--
-- PostgreSQL database dump
--

-- Dumped from database version 15.3 (Debian 15.3-1.pgdg110+1)
-- Dumped by pg_dump version 15.3 (Debian 15.3-1.pgdg110+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: financial; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA financial;


ALTER SCHEMA financial OWNER TO postgres;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: account; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial.account (
    account_id bigint DEFAULT '0'::bigint NOT NULL,
    district_id bigint DEFAULT '0'::bigint NOT NULL,
    frequency character varying(18) NOT NULL,
    date date NOT NULL
);


ALTER TABLE financial.account OWNER TO postgres;

--
-- Name: card; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial.card (
    card_id bigint DEFAULT '0'::bigint NOT NULL,
    disp_id bigint NOT NULL,
    type character varying(7) NOT NULL,
    issued date NOT NULL
);


ALTER TABLE financial.card OWNER TO postgres;

--
-- Name: client; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial.client (
    client_id bigint NOT NULL,
    gender character varying(1) NOT NULL,
    birth_date date NOT NULL,
    district_id bigint NOT NULL
);


ALTER TABLE financial.client OWNER TO postgres;

--
-- Name: disp; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial.disp (
    disp_id bigint NOT NULL,
    client_id bigint NOT NULL,
    account_id bigint NOT NULL,
    type character varying(9) NOT NULL
);


ALTER TABLE financial.disp OWNER TO postgres;

--
-- Name: district; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial.district (
    district_id bigint DEFAULT '0'::bigint NOT NULL,
    a2 character varying(19) NOT NULL,
    a3 character varying(15) NOT NULL,
    a4 bigint NOT NULL,
    a5 bigint NOT NULL,
    a6 bigint NOT NULL,
    a7 bigint NOT NULL,
    a8 integer NOT NULL,
    a9 bigint NOT NULL,
    a10 numeric(4,1) NOT NULL,
    a11 bigint NOT NULL,
    a12 numeric(4,1) DEFAULT NULL::numeric,
    a13 numeric(3,2) NOT NULL,
    a14 bigint NOT NULL,
    a15 integer,
    a16 bigint NOT NULL
);


ALTER TABLE financial.district OWNER TO postgres;

--
-- Name: loan; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial.loan (
    loan_id bigint DEFAULT '0'::bigint NOT NULL,
    account_id bigint NOT NULL,
    date date NOT NULL,
    amount bigint NOT NULL,
    duration bigint NOT NULL,
    payments numeric(6,2) NOT NULL,
    status character varying(1) NOT NULL
);


ALTER TABLE financial.loan OWNER TO postgres;

--
-- Name: order; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial."order" (
    order_id bigint DEFAULT '0'::bigint NOT NULL,
    account_id bigint NOT NULL,
    bank_to character varying(2) NOT NULL,
    account_to bigint NOT NULL,
    amount numeric(6,1) NOT NULL,
    k_symbol character varying(8) NOT NULL
);


ALTER TABLE financial."order" OWNER TO postgres;

--
-- Name: trans; Type: TABLE; Schema: financial; Owner: postgres
--

CREATE TABLE financial.trans (
    trans_id bigint DEFAULT '0'::bigint NOT NULL,
    account_id bigint DEFAULT '0'::bigint NOT NULL,
    date date NOT NULL,
    type character varying(6) NOT NULL,
    operation character varying(14) DEFAULT NULL::character varying,
    amount bigint NOT NULL,
    balance bigint NOT NULL,
    k_symbol character varying(11) DEFAULT NULL::character varying,
    bank character varying(2) DEFAULT NULL::character varying,
    account bigint
);


ALTER TABLE financial.trans OWNER TO postgres;

--
-- Data for Name: account; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial.account (account_id, district_id, frequency, date) FROM stdin;
1	18	POPLATEK MESICNE	1995-03-24
2	1	POPLATEK MESICNE	1993-02-26
3	5	POPLATEK MESICNE	1997-07-07
4	12	POPLATEK MESICNE	1996-02-21
5	15	POPLATEK MESICNE	1997-05-30
6	51	POPLATEK MESICNE	1994-09-27
7	60	POPLATEK MESICNE	1996-11-24
8	57	POPLATEK MESICNE	1995-09-21
9	70	POPLATEK MESICNE	1993-01-27
10	54	POPLATEK MESICNE	1996-08-28
11	76	POPLATEK MESICNE	1995-10-10
12	21	POPLATEK MESICNE	1997-04-15
13	76	POPLATEK MESICNE	1997-08-17
14	47	POPLATEK MESICNE	1996-11-27
15	70	POPLATEK MESICNE	1993-10-02
16	12	POPLATEK MESICNE	1997-09-23
17	1	POPLATEK MESICNE	1997-01-08
18	43	POPLATEK TYDNE	1993-05-26
19	21	POPLATEK MESICNE	1995-04-07
20	74	POPLATEK MESICNE	1996-08-24
21	54	POPLATEK MESICNE	1997-12-06
22	1	POPLATEK MESICNE	1994-03-23
23	30	POPLATEK MESICNE	1993-05-22
24	74	POPLATEK MESICNE	1996-12-05
25	68	POPLATEK MESICNE	1996-07-28
26	52	POPLATEK MESICNE	1993-08-08
27	73	POPLATEK MESICNE	1993-09-26
29	7	POPLATEK MESICNE	1994-11-24
30	36	POPLATEK MESICNE	1995-03-04
31	68	POPLATEK MESICNE	1994-04-27
32	5	POPLATEK MESICNE	1995-08-28
33	22	POPLATEK MESICNE	1993-08-26
34	67	POPLATEK TYDNE	1993-09-17
35	75	POPLATEK MESICNE	1993-07-07
36	1	POPLATEK MESICNE	1993-07-01
37	20	POPLATEK MESICNE	1997-08-18
38	19	POPLATEK TYDNE	1997-08-08
39	36	POPLATEK MESICNE	1993-09-22
40	64	POPLATEK MESICNE	1993-10-25
41	72	POPLATEK MESICNE	1997-08-02
42	39	POPLATEK MESICNE	1996-08-16
43	36	POPLATEK MESICNE	1994-06-12
44	32	POPLATEK MESICNE	1993-05-10
45	64	POPLATEK MESICNE	1997-09-02
47	45	POPLATEK MESICNE	1993-08-08
48	21	POPLATEK MESICNE	1996-11-17
49	1	POPLATEK MESICNE	1997-04-06
50	1	POPLATEK MESICNE	1994-05-06
51	67	POPLATEK MESICNE	1996-05-11
52	16	POPLATEK MESICNE	1997-01-29
53	77	POPLATEK MESICNE	1995-06-07
54	4	POPLATEK MESICNE	1995-05-02
55	20	POPLATEK MESICNE	1996-02-19
56	50	POPLATEK MESICNE	1994-05-16
57	1	POPLATEK MESICNE	1995-05-21
58	29	POPLATEK MESICNE	1996-08-23
59	43	POPLATEK MESICNE	1994-03-27
61	70	POPLATEK MESICNE	1993-12-11
62	47	POPLATEK MESICNE	1993-03-28
63	22	POPLATEK MESICNE	1996-11-16
64	64	POPLATEK MESICNE	1997-03-11
65	36	POPLATEK MESICNE	1996-10-29
66	48	POPLATEK PO OBRATU	1993-12-03
67	16	POPLATEK MESICNE	1994-10-19
68	37	POPLATEK PO OBRATU	1994-12-20
69	64	POPLATEK MESICNE	1996-01-12
70	8	POPLATEK MESICNE	1995-02-18
71	1	POPLATEK MESICNE	1994-03-05
72	1	POPLATEK TYDNE	1996-06-20
73	72	POPLATEK MESICNE	1993-11-08
75	1	POPLATEK MESICNE	1995-08-13
76	52	POPLATEK MESICNE	1996-05-16
77	63	POPLATEK MESICNE	1996-11-19
78	74	POPLATEK MESICNE	1993-07-07
79	3	POPLATEK MESICNE	1996-11-29
80	43	POPLATEK MESICNE	1995-09-27
81	74	POPLATEK MESICNE	1996-07-18
82	26	POPLATEK MESICNE	1994-05-03
83	26	POPLATEK MESICNE	1993-04-16
84	44	POPLATEK PO OBRATU	1995-12-25
85	68	POPLATEK MESICNE	1997-03-23
86	54	POPLATEK MESICNE	1993-03-07
88	31	POPLATEK MESICNE	1996-07-03
89	68	POPLATEK MESICNE	1997-09-25
90	1	POPLATEK MESICNE	1994-07-13
91	17	POPLATEK MESICNE	1996-11-06
93	2	POPLATEK MESICNE	1996-06-12
95	1	POPLATEK MESICNE	1995-03-30
96	68	POPLATEK MESICNE	1993-02-18
97	74	POPLATEK MESICNE	1996-05-05
98	55	POPLATEK MESICNE	1997-05-02
99	1	POPLATEK MESICNE	1995-06-27
100	41	POPLATEK MESICNE	1993-12-28
101	35	POPLATEK MESICNE	1996-04-16
102	11	POPLATEK MESICNE	1993-10-16
103	44	POPLATEK MESICNE	1996-03-10
104	37	POPLATEK MESICNE	1993-04-15
105	21	POPLATEK MESICNE	1997-07-10
106	63	POPLATEK MESICNE	1994-11-27
107	64	POPLATEK MESICNE	1993-11-05
108	53	POPLATEK MESICNE	1995-03-10
109	53	POPLATEK MESICNE	1997-04-20
110	36	POPLATEK MESICNE	1996-07-17
112	6	POPLATEK MESICNE	1993-03-12
113	55	POPLATEK MESICNE	1996-07-22
114	60	POPLATEK MESICNE	1997-03-14
115	68	POPLATEK MESICNE	1993-03-19
116	8	POPLATEK MESICNE	1996-03-21
117	31	POPLATEK MESICNE	1993-09-05
118	68	POPLATEK MESICNE	1997-09-18
119	27	POPLATEK MESICNE	1993-05-25
120	65	POPLATEK TYDNE	1995-06-16
121	55	POPLATEK MESICNE	1997-10-11
122	31	POPLATEK MESICNE	1996-10-30
123	21	POPLATEK MESICNE	1993-03-13
124	55	POPLATEK MESICNE	1997-12-28
125	2	POPLATEK PO OBRATU	1996-09-07
126	5	POPLATEK MESICNE	1993-10-23
127	29	POPLATEK MESICNE	1994-02-02
128	2	POPLATEK MESICNE	1993-02-19
129	74	POPLATEK MESICNE	1997-10-01
130	54	POPLATEK MESICNE	1997-02-12
131	52	POPLATEK MESICNE	1995-06-13
132	40	POPLATEK PO OBRATU	1996-05-11
133	64	POPLATEK TYDNE	1997-10-11
134	34	POPLATEK MESICNE	1997-12-10
135	75	POPLATEK MESICNE	1993-06-15
136	74	POPLATEK MESICNE	1996-05-14
137	70	POPLATEK MESICNE	1996-07-19
138	22	POPLATEK MESICNE	1995-09-19
139	38	POPLATEK TYDNE	1997-05-15
140	24	POPLATEK MESICNE	1996-06-25
141	38	POPLATEK MESICNE	1996-03-06
142	51	POPLATEK MESICNE	1993-02-15
143	21	POPLATEK MESICNE	1996-11-27
144	10	POPLATEK TYDNE	1997-04-03
145	31	POPLATEK MESICNE	1996-01-03
146	4	POPLATEK MESICNE	1993-09-02
148	8	POPLATEK MESICNE	1993-06-21
149	43	POPLATEK MESICNE	1997-11-16
150	73	POPLATEK MESICNE	1995-03-16
151	76	POPLATEK MESICNE	1993-09-06
152	1	POPLATEK MESICNE	1996-04-12
153	77	POPLATEK MESICNE	1993-09-19
154	46	POPLATEK MESICNE	1994-06-21
155	58	POPLATEK MESICNE	1995-11-07
156	64	POPLATEK MESICNE	1997-10-22
157	11	POPLATEK MESICNE	1997-03-28
158	37	POPLATEK MESICNE	1995-03-15
159	70	POPLATEK MESICNE	1997-02-11
160	23	POPLATEK MESICNE	1993-09-04
161	28	POPLATEK MESICNE	1994-07-04
162	60	POPLATEK MESICNE	1993-08-25
163	30	POPLATEK MESICNE	1993-01-27
164	60	POPLATEK MESICNE	1996-09-13
165	25	POPLATEK MESICNE	1993-06-01
166	17	POPLATEK MESICNE	1996-08-20
167	29	POPLATEK TYDNE	1996-02-26
168	31	POPLATEK MESICNE	1993-04-27
169	4	POPLATEK MESICNE	1995-09-28
170	59	POPLATEK MESICNE	1996-07-02
171	46	POPLATEK MESICNE	1996-06-08
172	13	POPLATEK MESICNE	1993-08-30
173	66	POPLATEK MESICNE	1993-11-26
174	52	POPLATEK MESICNE	1996-09-04
176	71	POPLATEK TYDNE	1996-08-12
177	1	POPLATEK MESICNE	1997-09-26
178	59	POPLATEK MESICNE	1997-09-06
179	1	POPLATEK TYDNE	1997-09-22
180	55	POPLATEK TYDNE	1993-12-14
181	21	POPLATEK MESICNE	1996-06-11
182	47	POPLATEK MESICNE	1996-08-24
183	43	POPLATEK MESICNE	1993-12-12
184	77	POPLATEK MESICNE	1996-02-21
185	32	POPLATEK MESICNE	1997-07-04
186	1	POPLATEK TYDNE	1993-07-29
187	5	POPLATEK MESICNE	1993-03-28
188	54	POPLATEK MESICNE	1993-04-20
189	76	POPLATEK MESICNE	1997-04-16
190	74	POPLATEK MESICNE	1995-03-02
191	41	POPLATEK MESICNE	1997-03-17
192	55	POPLATEK MESICNE	1993-01-08
193	69	POPLATEK MESICNE	1996-12-22
194	44	POPLATEK MESICNE	1996-08-01
195	70	POPLATEK MESICNE	1997-02-27
196	4	POPLATEK MESICNE	1993-11-14
197	1	POPLATEK MESICNE	1993-02-25
198	70	POPLATEK MESICNE	1993-10-25
199	70	POPLATEK MESICNE	1996-10-26
200	17	POPLATEK MESICNE	1994-07-03
201	63	POPLATEK MESICNE	1994-11-02
204	67	POPLATEK MESICNE	1996-01-13
205	1	POPLATEK MESICNE	1997-10-08
206	61	POPLATEK MESICNE	1995-04-08
207	2	POPLATEK MESICNE	1993-07-25
208	54	POPLATEK MESICNE	1996-03-27
209	37	POPLATEK MESICNE	1996-11-24
210	48	POPLATEK MESICNE	1996-03-17
211	28	POPLATEK MESICNE	1997-07-19
212	27	POPLATEK TYDNE	1993-01-20
213	73	POPLATEK MESICNE	1995-08-29
214	22	POPLATEK MESICNE	1997-03-09
215	31	POPLATEK MESICNE	1997-11-25
216	38	POPLATEK MESICNE	1994-05-16
217	77	POPLATEK MESICNE	1995-01-20
218	68	POPLATEK MESICNE	1996-02-06
219	28	POPLATEK MESICNE	1995-09-06
220	72	POPLATEK MESICNE	1993-04-09
221	19	POPLATEK MESICNE	1996-10-30
222	37	POPLATEK MESICNE	1993-03-15
223	39	POPLATEK MESICNE	1995-06-13
224	15	POPLATEK MESICNE	1996-10-27
225	1	POPLATEK MESICNE	1993-07-28
226	70	POPLATEK MESICNE	1997-02-23
227	27	POPLATEK MESICNE	1995-03-28
228	5	POPLATEK MESICNE	1993-09-28
229	1	POPLATEK MESICNE	1997-06-07
230	1	POPLATEK MESICNE	1996-02-26
231	22	POPLATEK MESICNE	1995-04-03
232	45	POPLATEK MESICNE	1997-11-29
234	73	POPLATEK MESICNE	1993-07-15
235	41	POPLATEK MESICNE	1993-10-06
236	72	POPLATEK MESICNE	1996-03-16
237	50	POPLATEK MESICNE	1994-03-25
238	6	POPLATEK MESICNE	1993-08-15
239	69	POPLATEK TYDNE	1993-03-01
240	72	POPLATEK MESICNE	1997-04-28
241	15	POPLATEK MESICNE	1996-09-29
242	69	POPLATEK MESICNE	1996-08-29
243	55	POPLATEK TYDNE	1993-11-06
244	24	POPLATEK MESICNE	1993-02-08
245	65	POPLATEK MESICNE	1993-11-25
246	65	POPLATEK MESICNE	1997-12-20
248	1	POPLATEK MESICNE	1995-04-02
249	28	POPLATEK MESICNE	1996-12-03
250	56	POPLATEK MESICNE	1997-05-10
251	74	POPLATEK MESICNE	1996-04-06
252	19	POPLATEK MESICNE	1996-12-26
253	46	POPLATEK MESICNE	1995-12-05
255	68	POPLATEK MESICNE	1996-11-03
256	37	POPLATEK MESICNE	1995-05-14
257	11	POPLATEK MESICNE	1995-11-05
258	64	POPLATEK MESICNE	1997-07-09
259	2	POPLATEK MESICNE	1993-10-28
260	24	POPLATEK MESICNE	1995-10-14
261	54	POPLATEK MESICNE	1996-10-07
262	75	POPLATEK MESICNE	1996-01-27
263	64	POPLATEK TYDNE	1997-01-03
264	15	POPLATEK MESICNE	1996-02-09
265	19	POPLATEK MESICNE	1996-07-05
266	47	POPLATEK MESICNE	1994-05-11
267	38	POPLATEK MESICNE	1995-04-26
268	3	POPLATEK MESICNE	1996-05-29
269	3	POPLATEK MESICNE	1996-08-30
270	27	POPLATEK MESICNE	1995-01-23
271	1	POPLATEK MESICNE	1996-08-13
272	11	POPLATEK MESICNE	1996-10-23
273	24	POPLATEK PO OBRATU	1993-07-11
274	76	POPLATEK MESICNE	1993-08-20
275	29	POPLATEK MESICNE	1996-01-02
276	38	POPLATEK MESICNE	1997-12-08
277	32	POPLATEK PO OBRATU	1994-05-01
278	73	POPLATEK MESICNE	1996-04-08
279	39	POPLATEK MESICNE	1993-04-14
280	25	POPLATEK MESICNE	1993-01-23
281	1	POPLATEK MESICNE	1996-10-27
282	69	POPLATEK MESICNE	1997-05-12
283	44	POPLATEK MESICNE	1996-04-18
284	54	POPLATEK MESICNE	1997-07-18
285	17	POPLATEK MESICNE	1995-05-08
286	71	POPLATEK MESICNE	1996-03-27
287	16	POPLATEK MESICNE	1993-10-27
288	25	POPLATEK MESICNE	1995-03-18
289	1	POPLATEK MESICNE	1994-03-17
290	56	POPLATEK MESICNE	1993-12-02
291	7	POPLATEK MESICNE	1997-06-08
292	49	POPLATEK MESICNE	1997-02-26
293	1	POPLATEK MESICNE	1997-05-04
294	7	POPLATEK MESICNE	1997-01-05
295	66	POPLATEK MESICNE	1997-11-23
296	49	POPLATEK MESICNE	1996-02-14
297	74	POPLATEK MESICNE	1996-09-08
298	35	POPLATEK MESICNE	1997-12-02
299	77	POPLATEK MESICNE	1993-04-05
300	1	POPLATEK MESICNE	1993-06-23
301	60	POPLATEK MESICNE	1995-09-10
302	7	POPLATEK MESICNE	1996-05-09
303	71	POPLATEK MESICNE	1996-07-25
304	4	POPLATEK MESICNE	1997-03-20
305	34	POPLATEK MESICNE	1996-10-18
306	16	POPLATEK MESICNE	1993-06-08
307	26	POPLATEK MESICNE	1997-08-07
308	61	POPLATEK MESICNE	1995-10-16
309	14	POPLATEK MESICNE	1997-04-25
311	50	POPLATEK MESICNE	1997-08-08
312	41	POPLATEK MESICNE	1996-01-03
313	73	POPLATEK MESICNE	1996-07-06
314	15	POPLATEK PO OBRATU	1996-01-26
315	45	POPLATEK MESICNE	1997-12-08
316	62	POPLATEK MESICNE	1997-05-08
317	76	POPLATEK MESICNE	1993-03-10
318	36	POPLATEK MESICNE	1994-09-16
319	47	POPLATEK TYDNE	1995-10-17
320	47	POPLATEK MESICNE	1997-01-23
321	47	POPLATEK MESICNE	1993-11-11
322	1	POPLATEK MESICNE	1993-02-20
323	52	POPLATEK MESICNE	1997-02-23
324	1	POPLATEK MESICNE	1996-08-23
325	75	POPLATEK MESICNE	1996-10-06
326	61	POPLATEK MESICNE	1997-08-06
327	54	POPLATEK MESICNE	1993-06-02
328	1	POPLATEK MESICNE	1997-09-18
329	3	POPLATEK MESICNE	1996-10-19
330	42	POPLATEK MESICNE	1996-11-24
331	65	POPLATEK MESICNE	1995-10-02
332	36	POPLATEK MESICNE	1996-01-12
333	73	POPLATEK MESICNE	1996-12-23
334	1	POPLATEK MESICNE	1993-05-24
335	74	POPLATEK MESICNE	1996-01-20
336	62	POPLATEK MESICNE	1995-10-16
337	17	POPLATEK MESICNE	1995-11-25
338	49	POPLATEK MESICNE	1995-11-18
339	46	POPLATEK TYDNE	1996-09-11
340	1	POPLATEK MESICNE	1993-11-03
341	28	POPLATEK MESICNE	1996-11-19
342	64	POPLATEK MESICNE	1996-10-13
343	18	POPLATEK MESICNE	1994-04-26
344	54	POPLATEK MESICNE	1993-12-01
345	5	POPLATEK MESICNE	1993-11-20
346	37	POPLATEK MESICNE	1993-01-11
347	65	POPLATEK MESICNE	1993-12-13
348	25	POPLATEK MESICNE	1995-11-15
349	72	POPLATEK MESICNE	1997-06-08
350	47	POPLATEK MESICNE	1996-10-13
351	50	POPLATEK MESICNE	1997-02-17
352	39	POPLATEK MESICNE	1994-07-04
353	24	POPLATEK MESICNE	1995-08-30
354	59	POPLATEK MESICNE	1993-10-28
355	62	POPLATEK TYDNE	1996-02-01
356	70	POPLATEK MESICNE	1996-03-12
357	20	POPLATEK MESICNE	1996-03-10
358	12	POPLATEK MESICNE	1993-12-09
359	11	POPLATEK MESICNE	1994-12-11
360	32	POPLATEK MESICNE	1996-05-14
361	51	POPLATEK MESICNE	1993-02-27
362	15	POPLATEK MESICNE	1993-04-04
363	1	POPLATEK MESICNE	1994-05-06
364	1	POPLATEK MESICNE	1997-01-20
365	74	POPLATEK MESICNE	1993-12-12
366	1	POPLATEK MESICNE	1996-10-23
367	23	POPLATEK MESICNE	1997-05-09
368	77	POPLATEK MESICNE	1993-07-06
370	25	POPLATEK MESICNE	1994-02-18
371	12	POPLATEK MESICNE	1996-08-02
372	55	POPLATEK MESICNE	1995-09-10
373	67	POPLATEK MESICNE	1996-06-20
374	38	POPLATEK MESICNE	1993-01-09
375	68	POPLATEK MESICNE	1996-06-07
376	25	POPLATEK MESICNE	1995-03-05
377	70	POPLATEK MESICNE	1994-08-19
378	68	POPLATEK MESICNE	1996-07-22
379	32	POPLATEK MESICNE	1996-05-18
381	68	POPLATEK MESICNE	1993-07-04
382	14	POPLATEK MESICNE	1996-08-16
383	38	POPLATEK MESICNE	1997-05-15
384	24	POPLATEK TYDNE	1997-09-14
385	5	POPLATEK MESICNE	1993-04-07
386	1	POPLATEK MESICNE	1997-08-11
387	72	POPLATEK MESICNE	1997-09-19
388	59	POPLATEK MESICNE	1995-02-11
389	30	POPLATEK MESICNE	1993-08-28
390	44	POPLATEK MESICNE	1996-02-16
391	36	POPLATEK MESICNE	1993-12-11
392	1	POPLATEK MESICNE	1996-07-14
393	46	POPLATEK MESICNE	1995-02-04
395	1	POPLATEK MESICNE	1993-03-12
396	21	POPLATEK MESICNE	1993-03-08
397	11	POPLATEK MESICNE	1993-10-26
398	69	POPLATEK MESICNE	1997-10-24
399	1	POPLATEK MESICNE	1996-08-27
400	28	POPLATEK MESICNE	1993-07-17
401	32	POPLATEK MESICNE	1993-01-18
402	68	POPLATEK MESICNE	1997-09-14
403	1	POPLATEK MESICNE	1993-07-29
404	41	POPLATEK MESICNE	1995-04-28
405	55	POPLATEK MESICNE	1997-03-13
406	63	POPLATEK MESICNE	1996-09-03
407	72	POPLATEK TYDNE	1997-04-18
408	41	POPLATEK MESICNE	1993-07-21
409	1	POPLATEK MESICNE	1996-06-11
410	49	POPLATEK MESICNE	1996-10-15
411	70	POPLATEK MESICNE	1993-02-05
412	74	POPLATEK MESICNE	1996-01-21
413	18	POPLATEK MESICNE	1996-07-09
414	1	POPLATEK MESICNE	1996-01-29
415	25	POPLATEK MESICNE	1993-03-03
416	6	POPLATEK MESICNE	1996-08-11
417	73	POPLATEK MESICNE	1996-01-27
418	36	POPLATEK MESICNE	1995-08-27
419	13	POPLATEK MESICNE	1993-10-25
420	75	POPLATEK MESICNE	1995-08-26
421	75	POPLATEK MESICNE	1997-11-27
422	53	POPLATEK TYDNE	1994-08-29
423	12	POPLATEK MESICNE	1993-03-28
424	12	POPLATEK MESICNE	1997-02-17
425	9	POPLATEK MESICNE	1993-03-19
426	1	POPLATEK MESICNE	1993-11-29
427	8	POPLATEK MESICNE	1994-07-24
428	1	POPLATEK MESICNE	1993-02-27
429	63	POPLATEK MESICNE	1995-09-03
430	54	POPLATEK MESICNE	1995-09-02
431	18	POPLATEK MESICNE	1996-11-05
432	46	POPLATEK MESICNE	1993-06-16
433	20	POPLATEK MESICNE	1993-06-12
434	1	POPLATEK MESICNE	1996-12-24
435	38	POPLATEK MESICNE	1993-01-08
436	30	POPLATEK MESICNE	1996-08-07
437	43	POPLATEK MESICNE	1993-12-03
438	37	POPLATEK MESICNE	1997-06-23
439	69	POPLATEK MESICNE	1996-04-15
440	29	POPLATEK MESICNE	1996-12-22
441	27	POPLATEK TYDNE	1993-12-17
442	54	POPLATEK MESICNE	1997-03-30
443	64	POPLATEK MESICNE	1993-01-28
444	26	POPLATEK MESICNE	1996-05-09
445	63	POPLATEK TYDNE	1993-07-29
446	50	POPLATEK MESICNE	1993-06-15
447	5	POPLATEK MESICNE	1996-08-14
449	19	POPLATEK MESICNE	1994-11-22
450	59	POPLATEK MESICNE	1996-05-28
451	11	POPLATEK MESICNE	1994-05-05
452	63	POPLATEK MESICNE	1995-11-29
453	75	POPLATEK MESICNE	1997-04-24
454	7	POPLATEK MESICNE	1995-05-07
455	54	POPLATEK MESICNE	1995-04-23
456	49	POPLATEK MESICNE	1993-01-21
458	7	POPLATEK MESICNE	1995-06-16
459	47	POPLATEK MESICNE	1993-01-21
460	1	POPLATEK MESICNE	1994-04-18
461	30	POPLATEK MESICNE	1993-02-18
462	29	POPLATEK MESICNE	1993-11-10
463	51	POPLATEK MESICNE	1995-05-08
464	43	POPLATEK MESICNE	1997-05-28
465	32	POPLATEK MESICNE	1993-02-04
466	71	POPLATEK MESICNE	1996-02-18
467	74	POPLATEK MESICNE	1993-09-24
468	49	POPLATEK MESICNE	1996-03-19
469	72	POPLATEK MESICNE	1997-07-14
470	64	POPLATEK MESICNE	1994-03-23
471	47	POPLATEK MESICNE	1995-06-07
472	8	POPLATEK MESICNE	1996-10-11
473	73	POPLATEK MESICNE	1996-10-20
474	61	POPLATEK MESICNE	1995-12-06
475	3	POPLATEK MESICNE	1997-05-11
476	69	POPLATEK MESICNE	1997-04-11
477	1	POPLATEK MESICNE	1993-01-25
478	58	POPLATEK MESICNE	1994-07-16
479	1	POPLATEK MESICNE	1995-11-05
480	23	POPLATEK MESICNE	1997-01-21
481	72	POPLATEK MESICNE	1996-04-23
483	70	POPLATEK MESICNE	1997-07-15
484	1	POPLATEK MESICNE	1995-01-20
485	6	POPLATEK PO OBRATU	1993-01-04
486	33	POPLATEK MESICNE	1995-11-21
487	40	POPLATEK MESICNE	1995-11-14
488	25	POPLATEK MESICNE	1996-06-20
489	16	POPLATEK MESICNE	1993-05-17
490	45	POPLATEK MESICNE	1995-05-23
491	44	POPLATEK MESICNE	1996-05-12
492	5	POPLATEK MESICNE	1993-10-10
493	26	POPLATEK MESICNE	1994-04-05
494	60	POPLATEK MESICNE	1993-03-11
496	69	POPLATEK MESICNE	1993-02-26
497	55	POPLATEK MESICNE	1993-04-15
498	1	POPLATEK MESICNE	1993-11-21
500	56	POPLATEK MESICNE	1996-04-27
501	13	POPLATEK MESICNE	1995-10-21
502	1	POPLATEK MESICNE	1997-10-13
503	1	POPLATEK MESICNE	1996-08-08
504	73	POPLATEK MESICNE	1993-04-21
505	64	POPLATEK MESICNE	1996-12-16
506	67	POPLATEK MESICNE	1996-07-08
507	52	POPLATEK MESICNE	1996-06-17
508	74	POPLATEK MESICNE	1996-11-19
509	36	POPLATEK MESICNE	1997-08-14
510	1	POPLATEK TYDNE	1993-06-02
511	14	POPLATEK MESICNE	1996-11-10
512	68	POPLATEK MESICNE	1997-01-14
513	58	POPLATEK MESICNE	1996-11-21
514	70	POPLATEK MESICNE	1996-03-30
515	57	POPLATEK MESICNE	1995-02-09
516	6	POPLATEK MESICNE	1996-02-08
517	76	POPLATEK MESICNE	1993-09-22
518	74	POPLATEK MESICNE	1994-09-09
519	24	POPLATEK MESICNE	1993-11-12
520	60	POPLATEK MESICNE	1993-11-04
521	9	POPLATEK MESICNE	1995-10-08
522	17	POPLATEK MESICNE	1995-12-20
523	1	POPLATEK MESICNE	1993-08-11
524	61	POPLATEK MESICNE	1994-05-03
525	70	POPLATEK MESICNE	1996-03-20
526	67	POPLATEK MESICNE	1996-07-16
528	17	POPLATEK MESICNE	1996-12-30
529	39	POPLATEK MESICNE	1997-08-18
530	54	POPLATEK MESICNE	1996-11-19
531	31	POPLATEK MESICNE	1995-08-18
532	26	POPLATEK MESICNE	1995-09-02
533	40	POPLATEK MESICNE	1995-05-07
534	1	POPLATEK MESICNE	1997-05-26
535	35	POPLATEK MESICNE	1994-05-24
536	14	POPLATEK MESICNE	1996-10-13
537	34	POPLATEK MESICNE	1997-01-08
538	70	POPLATEK MESICNE	1994-06-07
539	13	POPLATEK PO OBRATU	1993-02-16
540	75	POPLATEK MESICNE	1993-10-16
541	61	POPLATEK MESICNE	1993-08-12
542	1	POPLATEK MESICNE	1993-11-01
543	64	POPLATEK MESICNE	1994-05-03
544	32	POPLATEK MESICNE	1995-05-15
545	54	POPLATEK MESICNE	1993-11-24
546	8	POPLATEK MESICNE	1996-11-23
547	24	POPLATEK MESICNE	1997-07-27
548	16	POPLATEK MESICNE	1994-06-07
549	5	POPLATEK MESICNE	1996-11-27
550	24	POPLATEK MESICNE	1997-10-17
551	77	POPLATEK MESICNE	1993-05-07
552	14	POPLATEK MESICNE	1993-08-20
553	26	POPLATEK MESICNE	1995-06-06
554	26	POPLATEK MESICNE	1996-01-26
555	24	POPLATEK MESICNE	1993-05-15
556	12	POPLATEK MESICNE	1997-06-26
557	1	POPLATEK MESICNE	1995-11-26
558	10	POPLATEK MESICNE	1996-06-15
559	46	POPLATEK MESICNE	1993-03-05
560	36	POPLATEK MESICNE	1995-08-20
561	11	POPLATEK MESICNE	1996-12-12
562	50	POPLATEK MESICNE	1993-02-25
563	53	POPLATEK MESICNE	1993-07-27
564	5	POPLATEK MESICNE	1997-12-23
565	39	POPLATEK MESICNE	1995-11-25
566	8	POPLATEK MESICNE	1997-11-13
567	15	POPLATEK MESICNE	1996-06-19
568	18	POPLATEK MESICNE	1995-03-28
569	76	POPLATEK MESICNE	1996-10-01
570	3	POPLATEK MESICNE	1996-11-14
571	72	POPLATEK MESICNE	1996-07-16
572	32	POPLATEK MESICNE	1994-03-27
573	1	POPLATEK TYDNE	1996-07-11
574	70	POPLATEK MESICNE	1993-07-30
575	38	POPLATEK MESICNE	1994-04-26
576	55	POPLATEK MESICNE	1993-01-01
577	29	POPLATEK MESICNE	1994-09-20
578	28	POPLATEK TYDNE	1997-03-21
579	1	POPLATEK MESICNE	1997-12-16
580	75	POPLATEK MESICNE	1996-05-20
581	26	POPLATEK MESICNE	1996-10-13
582	12	POPLATEK MESICNE	1994-08-05
584	31	POPLATEK MESICNE	1996-07-14
585	4	POPLATEK MESICNE	1997-09-04
586	54	POPLATEK MESICNE	1995-03-16
587	19	POPLATEK MESICNE	1996-06-21
588	66	POPLATEK MESICNE	1993-03-14
589	1	POPLATEK MESICNE	1997-04-26
590	50	POPLATEK MESICNE	1996-02-24
591	1	POPLATEK MESICNE	1997-08-12
592	23	POPLATEK MESICNE	1996-12-27
593	48	POPLATEK MESICNE	1996-07-16
594	54	POPLATEK MESICNE	1994-12-09
595	20	POPLATEK MESICNE	1996-12-21
596	31	POPLATEK MESICNE	1994-10-13
597	41	POPLATEK MESICNE	1993-12-05
598	1	POPLATEK MESICNE	1997-02-08
599	54	POPLATEK MESICNE	1996-12-04
600	46	POPLATEK MESICNE	1997-03-13
601	29	POPLATEK MESICNE	1993-08-04
602	43	POPLATEK MESICNE	1995-10-27
603	62	POPLATEK MESICNE	1996-06-11
604	12	POPLATEK MESICNE	1993-11-26
605	65	POPLATEK MESICNE	1997-02-04
606	75	POPLATEK MESICNE	1997-11-04
607	16	POPLATEK MESICNE	1995-02-17
608	32	POPLATEK MESICNE	1995-03-27
609	63	POPLATEK MESICNE	1994-05-15
610	74	POPLATEK MESICNE	1994-08-11
611	46	POPLATEK MESICNE	1997-07-21
612	1	POPLATEK MESICNE	1996-05-27
613	74	POPLATEK PO OBRATU	1996-08-10
614	25	POPLATEK MESICNE	1997-06-07
615	72	POPLATEK MESICNE	1996-04-09
616	43	POPLATEK MESICNE	1993-10-14
617	74	POPLATEK MESICNE	1996-08-23
618	1	POPLATEK MESICNE	1996-10-02
619	1	POPLATEK TYDNE	1995-09-09
620	26	POPLATEK MESICNE	1996-02-18
621	52	POPLATEK MESICNE	1996-06-01
622	24	POPLATEK MESICNE	1997-06-22
623	1	POPLATEK MESICNE	1993-03-24
624	70	POPLATEK MESICNE	1993-10-11
625	70	POPLATEK MESICNE	1995-07-12
626	72	POPLATEK MESICNE	1993-11-11
627	63	POPLATEK MESICNE	1993-02-05
628	72	POPLATEK MESICNE	1994-01-03
629	31	POPLATEK MESICNE	1994-07-25
630	71	POPLATEK MESICNE	1993-06-29
631	68	POPLATEK MESICNE	1996-03-25
632	29	POPLATEK MESICNE	1996-05-14
633	57	POPLATEK MESICNE	1995-12-06
635	21	POPLATEK MESICNE	1994-08-21
636	75	POPLATEK MESICNE	1997-04-24
637	49	POPLATEK MESICNE	1996-08-27
638	65	POPLATEK MESICNE	1995-06-28
639	1	POPLATEK MESICNE	1997-11-03
640	32	POPLATEK MESICNE	1993-06-02
641	40	POPLATEK MESICNE	1997-06-22
643	64	POPLATEK MESICNE	1997-10-28
644	4	POPLATEK MESICNE	1997-11-06
645	70	POPLATEK MESICNE	1997-08-21
646	51	POPLATEK MESICNE	1996-01-06
647	1	POPLATEK MESICNE	1997-04-28
648	13	POPLATEK MESICNE	1993-11-09
649	69	POPLATEK TYDNE	1994-05-17
650	3	POPLATEK MESICNE	1995-01-28
651	72	POPLATEK MESICNE	1993-11-28
652	21	POPLATEK MESICNE	1993-01-05
653	27	POPLATEK MESICNE	1997-08-19
654	63	POPLATEK MESICNE	1994-10-16
655	53	POPLATEK MESICNE	1993-03-24
656	3	POPLATEK MESICNE	1996-08-18
657	47	POPLATEK MESICNE	1993-08-08
658	4	POPLATEK MESICNE	1996-01-10
659	63	POPLATEK MESICNE	1996-12-14
660	68	POPLATEK MESICNE	1996-01-20
662	21	POPLATEK MESICNE	1994-07-18
664	1	POPLATEK MESICNE	1996-12-08
665	8	POPLATEK MESICNE	1995-09-03
666	27	POPLATEK MESICNE	1996-03-15
669	35	POPLATEK MESICNE	1996-06-07
671	60	POPLATEK MESICNE	1997-10-29
672	53	POPLATEK MESICNE	1997-06-23
673	31	POPLATEK MESICNE	1997-12-08
674	49	POPLATEK MESICNE	1995-09-02
675	58	POPLATEK MESICNE	1995-08-03
676	39	POPLATEK MESICNE	1995-09-22
677	70	POPLATEK MESICNE	1997-09-13
678	17	POPLATEK MESICNE	1993-10-08
679	22	POPLATEK MESICNE	1997-07-12
680	17	POPLATEK MESICNE	1997-07-18
682	54	POPLATEK MESICNE	1997-06-08
683	74	POPLATEK MESICNE	1996-07-22
684	49	POPLATEK MESICNE	1996-05-12
685	37	POPLATEK TYDNE	1995-01-04
686	41	POPLATEK MESICNE	1993-04-04
687	27	POPLATEK MESICNE	1996-06-02
688	74	POPLATEK MESICNE	1993-11-25
689	1	POPLATEK MESICNE	1996-04-24
690	10	POPLATEK MESICNE	1996-07-11
691	24	POPLATEK MESICNE	1996-02-21
692	69	POPLATEK MESICNE	1996-10-02
693	2	POPLATEK MESICNE	1994-06-06
694	67	POPLATEK MESICNE	1996-09-04
695	5	POPLATEK MESICNE	1996-04-21
696	54	POPLATEK MESICNE	1997-11-09
697	28	POPLATEK MESICNE	1993-02-23
698	71	POPLATEK MESICNE	1996-09-29
699	1	POPLATEK MESICNE	1993-09-17
700	20	POPLATEK MESICNE	1994-06-01
701	69	POPLATEK MESICNE	1993-06-08
702	12	POPLATEK MESICNE	1993-06-23
703	54	POPLATEK MESICNE	1997-12-21
704	55	POPLATEK MESICNE	1993-01-01
705	35	POPLATEK MESICNE	1997-07-14
706	49	POPLATEK MESICNE	1996-05-07
708	26	POPLATEK MESICNE	1996-03-30
709	19	POPLATEK MESICNE	1994-07-25
710	25	POPLATEK MESICNE	1994-09-02
711	70	POPLATEK MESICNE	1994-07-06
712	72	POPLATEK MESICNE	1996-12-01
713	58	POPLATEK MESICNE	1996-10-15
714	23	POPLATEK MESICNE	1996-11-04
715	32	POPLATEK MESICNE	1996-08-08
716	47	POPLATEK MESICNE	1994-09-25
717	75	POPLATEK MESICNE	1993-04-24
718	1	POPLATEK MESICNE	1996-03-03
719	30	POPLATEK MESICNE	1993-12-21
720	54	POPLATEK MESICNE	1995-07-20
721	76	POPLATEK MESICNE	1993-08-29
722	38	POPLATEK PO OBRATU	1997-05-04
725	70	POPLATEK MESICNE	1996-07-08
726	76	POPLATEK MESICNE	1994-02-03
727	35	POPLATEK MESICNE	1997-12-25
728	60	POPLATEK MESICNE	1995-11-28
729	14	POPLATEK MESICNE	1997-02-15
730	4	POPLATEK MESICNE	1993-08-28
731	5	POPLATEK MESICNE	1995-07-11
732	38	POPLATEK MESICNE	1996-06-07
733	49	POPLATEK TYDNE	1995-05-17
734	5	POPLATEK MESICNE	1996-04-08
735	70	POPLATEK MESICNE	1997-09-17
736	75	POPLATEK MESICNE	1997-12-07
737	34	POPLATEK MESICNE	1993-12-08
738	34	POPLATEK MESICNE	1993-06-21
739	66	POPLATEK MESICNE	1996-03-18
740	28	POPLATEK MESICNE	1994-04-04
741	54	POPLATEK MESICNE	1994-07-14
742	77	POPLATEK MESICNE	1994-01-28
743	10	POPLATEK MESICNE	1993-11-05
744	42	POPLATEK MESICNE	1993-03-06
745	43	POPLATEK MESICNE	1997-10-09
746	75	POPLATEK MESICNE	1995-05-10
747	39	POPLATEK MESICNE	1993-08-09
748	10	POPLATEK MESICNE	1993-04-08
749	38	POPLATEK MESICNE	1997-03-23
750	73	POPLATEK MESICNE	1993-09-12
751	3	POPLATEK MESICNE	1993-05-12
752	23	POPLATEK MESICNE	1997-01-10
753	31	POPLATEK MESICNE	1996-08-14
754	1	POPLATEK MESICNE	1995-06-08
755	38	POPLATEK MESICNE	1997-09-27
756	65	POPLATEK MESICNE	1995-01-13
757	50	POPLATEK MESICNE	1993-07-19
758	51	POPLATEK MESICNE	1997-12-19
759	23	POPLATEK MESICNE	1993-08-01
760	1	POPLATEK MESICNE	1997-05-24
761	43	POPLATEK MESICNE	1994-04-09
762	76	POPLATEK MESICNE	1995-10-18
763	1	POPLATEK MESICNE	1995-02-23
764	1	POPLATEK MESICNE	1993-01-08
765	12	POPLATEK MESICNE	1996-12-20
766	3	POPLATEK MESICNE	1996-04-21
767	25	POPLATEK MESICNE	1995-03-26
768	26	POPLATEK MESICNE	1997-07-03
770	7	POPLATEK MESICNE	1996-09-24
771	22	POPLATEK MESICNE	1996-01-22
772	45	POPLATEK MESICNE	1993-01-21
773	15	POPLATEK MESICNE	1993-06-19
774	1	POPLATEK MESICNE	1993-06-08
775	1	POPLATEK MESICNE	1994-12-18
776	66	POPLATEK MESICNE	1996-05-18
777	30	POPLATEK MESICNE	1997-12-28
778	68	POPLATEK MESICNE	1996-10-26
779	16	POPLATEK MESICNE	1996-08-13
780	3	POPLATEK MESICNE	1996-04-26
781	33	POPLATEK MESICNE	1995-02-19
782	42	POPLATEK MESICNE	1997-10-30
783	1	POPLATEK MESICNE	1997-09-08
784	59	POPLATEK MESICNE	1994-04-19
785	21	POPLATEK TYDNE	1997-08-09
786	53	POPLATEK MESICNE	1995-08-12
787	10	POPLATEK MESICNE	1993-11-14
788	12	POPLATEK MESICNE	1996-06-25
789	39	POPLATEK MESICNE	1995-02-06
790	54	POPLATEK MESICNE	1993-05-11
791	49	POPLATEK MESICNE	1995-12-14
792	3	POPLATEK MESICNE	1997-08-13
793	47	POPLATEK MESICNE	1993-01-03
794	63	POPLATEK MESICNE	1997-04-24
795	25	POPLATEK MESICNE	1995-01-27
796	1	POPLATEK MESICNE	1997-02-13
797	57	POPLATEK MESICNE	1996-11-20
798	1	POPLATEK MESICNE	1996-04-22
799	56	POPLATEK MESICNE	1993-10-10
800	11	POPLATEK MESICNE	1997-12-06
801	16	POPLATEK MESICNE	1997-07-23
802	15	POPLATEK MESICNE	1994-12-20
803	19	POPLATEK MESICNE	1995-09-09
804	64	POPLATEK MESICNE	1996-02-06
805	10	POPLATEK MESICNE	1996-12-02
806	13	POPLATEK MESICNE	1996-10-29
807	76	POPLATEK TYDNE	1995-06-13
808	69	POPLATEK MESICNE	1995-06-13
809	36	POPLATEK MESICNE	1995-12-20
810	46	POPLATEK MESICNE	1995-11-11
811	14	POPLATEK TYDNE	1997-08-01
812	1	POPLATEK MESICNE	1996-08-30
813	16	POPLATEK MESICNE	1993-02-10
814	76	POPLATEK MESICNE	1996-10-06
815	56	POPLATEK MESICNE	1993-08-25
816	52	POPLATEK MESICNE	1993-08-05
817	5	POPLATEK MESICNE	1994-03-18
819	20	POPLATEK MESICNE	1995-04-22
820	74	POPLATEK MESICNE	1995-11-04
821	60	POPLATEK MESICNE	1996-03-16
822	40	POPLATEK MESICNE	1996-10-04
823	71	POPLATEK MESICNE	1997-09-19
824	32	POPLATEK MESICNE	1996-03-21
825	19	POPLATEK MESICNE	1996-03-06
826	44	POPLATEK MESICNE	1996-10-05
827	36	POPLATEK MESICNE	1996-02-23
828	1	POPLATEK MESICNE	1997-02-12
829	59	POPLATEK MESICNE	1996-11-10
830	74	POPLATEK MESICNE	1993-02-08
831	44	POPLATEK MESICNE	1996-09-18
832	42	POPLATEK MESICNE	1996-05-24
833	31	POPLATEK MESICNE	1996-08-29
834	3	POPLATEK MESICNE	1997-05-23
836	46	POPLATEK MESICNE	1996-07-28
837	46	POPLATEK MESICNE	1993-09-18
838	47	POPLATEK MESICNE	1993-10-23
839	16	POPLATEK MESICNE	1995-01-17
840	70	POPLATEK MESICNE	1996-03-12
841	1	POPLATEK MESICNE	1993-11-04
842	62	POPLATEK MESICNE	1995-04-07
843	6	POPLATEK MESICNE	1997-04-09
844	53	POPLATEK MESICNE	1994-04-28
845	14	POPLATEK MESICNE	1997-12-27
846	72	POPLATEK MESICNE	1996-03-09
847	2	POPLATEK MESICNE	1996-07-21
848	31	POPLATEK MESICNE	1996-06-16
849	1	POPLATEK MESICNE	1996-01-01
850	25	POPLATEK MESICNE	1997-03-07
851	15	POPLATEK MESICNE	1994-09-23
852	57	POPLATEK MESICNE	1997-10-23
853	1	POPLATEK MESICNE	1996-03-20
854	62	POPLATEK MESICNE	1993-09-21
855	1	POPLATEK MESICNE	1994-03-28
856	2	POPLATEK MESICNE	1996-03-03
857	77	POPLATEK MESICNE	1993-09-16
858	52	POPLATEK MESICNE	1996-07-13
859	13	POPLATEK MESICNE	1997-08-26
860	1	POPLATEK MESICNE	1993-03-19
861	22	POPLATEK MESICNE	1993-09-13
862	64	POPLATEK TYDNE	1993-02-02
863	71	POPLATEK MESICNE	1993-05-16
864	72	POPLATEK MESICNE	1997-07-08
865	17	POPLATEK MESICNE	1996-03-18
866	9	POPLATEK MESICNE	1993-01-10
867	60	POPLATEK MESICNE	1997-11-09
868	1	POPLATEK MESICNE	1997-05-26
869	16	POPLATEK MESICNE	1996-07-15
870	70	POPLATEK MESICNE	1995-03-27
871	1	POPLATEK MESICNE	1996-09-02
872	27	POPLATEK MESICNE	1997-01-18
873	73	POPLATEK MESICNE	1997-04-26
874	56	POPLATEK TYDNE	1996-03-23
875	63	POPLATEK MESICNE	1995-05-17
876	4	POPLATEK MESICNE	1997-10-26
877	1	POPLATEK MESICNE	1996-05-29
878	52	POPLATEK MESICNE	1996-06-29
879	9	POPLATEK MESICNE	1997-06-04
880	26	POPLATEK MESICNE	1996-12-08
882	9	POPLATEK MESICNE	1993-03-06
883	1	POPLATEK MESICNE	1993-12-17
884	2	POPLATEK MESICNE	1993-12-07
885	1	POPLATEK MESICNE	1993-06-25
886	1	POPLATEK MESICNE	1993-06-23
887	1	POPLATEK MESICNE	1993-05-05
888	54	POPLATEK MESICNE	1996-10-28
889	43	POPLATEK MESICNE	1997-12-22
890	14	POPLATEK MESICNE	1993-02-05
891	34	POPLATEK MESICNE	1996-05-23
892	70	POPLATEK MESICNE	1993-03-20
893	53	POPLATEK MESICNE	1995-04-12
894	46	POPLATEK MESICNE	1995-08-27
895	24	POPLATEK MESICNE	1996-03-12
896	3	POPLATEK MESICNE	1995-06-11
897	38	POPLATEK MESICNE	1993-04-26
898	71	POPLATEK MESICNE	1996-03-27
899	72	POPLATEK MESICNE	1993-06-21
900	48	POPLATEK MESICNE	1994-04-26
901	60	POPLATEK MESICNE	1994-07-10
902	74	POPLATEK MESICNE	1993-06-29
903	47	POPLATEK MESICNE	1993-12-10
904	1	POPLATEK MESICNE	1994-03-20
905	35	POPLATEK MESICNE	1996-12-11
906	59	POPLATEK MESICNE	1997-12-27
907	41	POPLATEK MESICNE	1993-07-09
908	62	POPLATEK MESICNE	1994-04-29
909	30	POPLATEK MESICNE	1997-09-02
910	1	POPLATEK MESICNE	1997-02-03
911	60	POPLATEK MESICNE	1996-08-12
912	65	POPLATEK MESICNE	1997-04-27
913	59	POPLATEK MESICNE	1996-05-10
914	73	POPLATEK MESICNE	1993-11-14
915	72	POPLATEK MESICNE	1995-01-18
916	1	POPLATEK MESICNE	1996-08-13
917	56	POPLATEK MESICNE	1995-10-13
918	60	POPLATEK MESICNE	1996-08-23
919	62	POPLATEK MESICNE	1997-03-03
920	58	POPLATEK MESICNE	1996-09-05
921	10	POPLATEK MESICNE	1996-10-08
922	61	POPLATEK MESICNE	1995-04-27
923	13	POPLATEK MESICNE	1996-02-07
924	11	POPLATEK MESICNE	1995-12-09
925	59	POPLATEK MESICNE	1993-02-23
926	36	POPLATEK MESICNE	1996-11-01
927	69	POPLATEK MESICNE	1997-04-12
928	20	POPLATEK MESICNE	1993-04-26
929	54	POPLATEK MESICNE	1993-07-03
930	41	POPLATEK MESICNE	1993-08-03
931	59	POPLATEK MESICNE	1993-10-15
932	20	POPLATEK MESICNE	1996-07-08
933	21	POPLATEK MESICNE	1995-11-18
934	9	POPLATEK MESICNE	1997-11-27
935	23	POPLATEK MESICNE	1996-12-25
936	7	POPLATEK MESICNE	1996-03-02
937	43	POPLATEK MESICNE	1995-08-26
938	70	POPLATEK MESICNE	1997-12-13
939	55	POPLATEK MESICNE	1994-10-04
940	37	POPLATEK MESICNE	1994-11-15
941	8	POPLATEK MESICNE	1994-06-08
942	9	POPLATEK MESICNE	1993-08-16
943	1	POPLATEK MESICNE	1993-02-03
944	70	POPLATEK MESICNE	1993-03-08
945	18	POPLATEK MESICNE	1996-08-16
946	21	POPLATEK MESICNE	1996-01-01
947	59	POPLATEK MESICNE	1993-05-17
949	58	POPLATEK MESICNE	1996-02-13
950	49	POPLATEK MESICNE	1993-08-26
951	3	POPLATEK MESICNE	1996-04-28
952	41	POPLATEK MESICNE	1997-11-09
953	14	POPLATEK MESICNE	1995-07-22
954	74	POPLATEK MESICNE	1996-01-08
955	59	POPLATEK MESICNE	1996-07-08
956	74	POPLATEK MESICNE	1993-12-05
957	70	POPLATEK MESICNE	1995-12-22
958	72	POPLATEK MESICNE	1996-06-06
959	1	POPLATEK MESICNE	1996-02-23
960	4	POPLATEK PO OBRATU	1994-11-02
961	1	POPLATEK MESICNE	1997-10-18
962	64	POPLATEK MESICNE	1996-06-24
963	7	POPLATEK MESICNE	1996-08-09
964	26	POPLATEK MESICNE	1994-07-08
965	20	POPLATEK MESICNE	1993-08-25
966	15	POPLATEK MESICNE	1997-10-14
967	15	POPLATEK MESICNE	1996-08-17
968	74	POPLATEK MESICNE	1995-11-11
969	19	POPLATEK MESICNE	1994-01-08
970	18	POPLATEK MESICNE	1997-07-20
971	12	POPLATEK MESICNE	1996-07-18
972	46	POPLATEK MESICNE	1996-09-29
973	54	POPLATEK MESICNE	1994-11-05
974	29	POPLATEK MESICNE	1994-02-25
975	1	POPLATEK MESICNE	1996-10-19
976	77	POPLATEK MESICNE	1996-01-27
977	1	POPLATEK MESICNE	1993-04-26
978	73	POPLATEK MESICNE	1993-08-18
979	21	POPLATEK MESICNE	1993-02-16
980	1	POPLATEK MESICNE	1996-12-11
981	66	POPLATEK MESICNE	1995-03-25
982	54	POPLATEK MESICNE	1993-02-05
984	2	POPLATEK MESICNE	1996-07-10
985	32	POPLATEK MESICNE	1994-05-29
986	74	POPLATEK MESICNE	1996-05-02
987	15	POPLATEK MESICNE	1996-08-27
988	10	POPLATEK MESICNE	1994-10-22
989	19	POPLATEK MESICNE	1994-03-14
990	17	POPLATEK MESICNE	1995-10-11
991	39	POPLATEK MESICNE	1993-05-18
992	22	POPLATEK MESICNE	1995-10-01
993	6	POPLATEK MESICNE	1996-11-14
994	72	POPLATEK MESICNE	1995-09-15
995	64	POPLATEK MESICNE	1995-08-23
996	47	POPLATEK MESICNE	1997-08-18
997	54	POPLATEK MESICNE	1997-05-08
998	47	POPLATEK MESICNE	1993-11-11
1000	77	POPLATEK MESICNE	1993-01-25
1002	50	POPLATEK MESICNE	1996-09-17
1003	28	POPLATEK MESICNE	1996-10-10
1004	70	POPLATEK MESICNE	1996-07-02
1005	54	POPLATEK TYDNE	1993-02-23
1006	6	POPLATEK MESICNE	1993-02-08
1007	1	POPLATEK MESICNE	1996-06-28
1008	13	POPLATEK MESICNE	1996-10-05
1009	1	POPLATEK TYDNE	1995-08-01
1010	61	POPLATEK MESICNE	1995-05-01
1011	45	POPLATEK MESICNE	1994-12-17
1012	65	POPLATEK MESICNE	1994-07-09
1013	59	POPLATEK MESICNE	1996-05-13
1014	74	POPLATEK MESICNE	1996-03-20
1015	1	POPLATEK MESICNE	1997-06-14
1016	40	POPLATEK MESICNE	1993-09-29
1017	14	POPLATEK MESICNE	1994-08-11
1018	7	POPLATEK MESICNE	1993-06-03
1019	52	POPLATEK MESICNE	1993-01-21
1020	56	POPLATEK MESICNE	1996-04-09
1021	42	POPLATEK MESICNE	1996-11-17
1022	33	POPLATEK TYDNE	1994-08-01
1023	21	POPLATEK MESICNE	1993-08-13
1024	19	POPLATEK MESICNE	1997-05-02
1026	20	POPLATEK MESICNE	1997-09-03
1027	68	POPLATEK MESICNE	1997-07-18
1028	23	POPLATEK MESICNE	1996-03-19
1029	26	POPLATEK MESICNE	1996-06-25
1030	57	POPLATEK MESICNE	1995-11-12
1031	74	POPLATEK MESICNE	1995-06-20
1032	11	POPLATEK MESICNE	1993-04-26
1033	32	POPLATEK MESICNE	1997-08-05
1034	73	POPLATEK MESICNE	1997-04-04
1035	73	POPLATEK MESICNE	1997-04-18
1036	11	POPLATEK MESICNE	1996-01-18
1037	1	POPLATEK MESICNE	1997-02-18
1038	64	POPLATEK MESICNE	1995-04-20
1039	70	POPLATEK TYDNE	1993-05-10
1040	19	POPLATEK MESICNE	1996-05-18
1042	43	POPLATEK MESICNE	1994-04-03
1043	1	POPLATEK MESICNE	1997-08-13
1044	14	POPLATEK MESICNE	1995-11-09
1045	3	POPLATEK MESICNE	1996-05-09
1046	1	POPLATEK MESICNE	1995-04-14
1047	46	POPLATEK MESICNE	1994-06-13
1048	35	POPLATEK MESICNE	1993-05-05
1049	18	POPLATEK MESICNE	1997-12-04
1050	57	POPLATEK PO OBRATU	1993-02-24
1051	35	POPLATEK MESICNE	1993-10-21
1052	61	POPLATEK MESICNE	1993-09-27
1053	57	POPLATEK MESICNE	1994-05-25
1054	10	POPLATEK MESICNE	1993-02-19
1055	29	POPLATEK MESICNE	1996-12-12
1056	1	POPLATEK TYDNE	1996-12-28
1057	13	POPLATEK MESICNE	1993-08-23
1058	47	POPLATEK MESICNE	1996-06-11
1059	8	POPLATEK MESICNE	1995-05-30
1060	6	POPLATEK MESICNE	1996-10-20
1061	44	POPLATEK MESICNE	1997-10-17
1062	6	POPLATEK MESICNE	1993-07-11
1063	68	POPLATEK MESICNE	1996-09-19
1064	70	POPLATEK MESICNE	1997-09-29
1065	72	POPLATEK MESICNE	1993-03-27
1066	16	POPLATEK TYDNE	1996-09-15
1067	34	POPLATEK MESICNE	1996-09-10
1068	52	POPLATEK MESICNE	1997-02-15
1069	70	POPLATEK MESICNE	1993-07-24
1070	62	POPLATEK MESICNE	1996-04-23
1071	68	POPLATEK TYDNE	1993-05-10
1072	65	POPLATEK MESICNE	1997-12-09
1073	73	POPLATEK MESICNE	1994-02-27
1074	59	POPLATEK MESICNE	1996-05-16
1075	35	POPLATEK MESICNE	1995-07-13
1076	1	POPLATEK MESICNE	1994-10-30
1077	14	POPLATEK MESICNE	1993-03-03
1078	1	POPLATEK MESICNE	1996-07-12
1079	74	POPLATEK MESICNE	1993-09-14
1080	55	POPLATEK MESICNE	1993-12-27
1081	64	POPLATEK MESICNE	1996-12-21
1082	2	POPLATEK MESICNE	1996-06-08
1083	45	POPLATEK MESICNE	1996-12-06
1085	42	POPLATEK MESICNE	1997-09-11
1086	37	POPLATEK MESICNE	1996-06-17
1087	55	POPLATEK MESICNE	1996-06-26
1088	32	POPLATEK MESICNE	1993-12-19
1089	74	POPLATEK MESICNE	1995-10-10
1090	69	POPLATEK MESICNE	1996-10-19
1091	16	POPLATEK MESICNE	1993-09-09
1092	41	POPLATEK MESICNE	1995-06-06
1093	54	POPLATEK MESICNE	1996-01-14
1094	35	POPLATEK MESICNE	1996-07-10
1095	54	POPLATEK MESICNE	1997-06-18
1096	34	POPLATEK MESICNE	1997-03-03
1097	67	POPLATEK MESICNE	1996-06-22
1098	47	POPLATEK MESICNE	1993-12-28
1100	35	POPLATEK MESICNE	1996-09-23
1101	4	POPLATEK MESICNE	1997-09-22
1102	70	POPLATEK MESICNE	1996-02-19
1103	66	POPLATEK MESICNE	1995-07-09
1104	39	POPLATEK MESICNE	1995-12-07
1105	55	POPLATEK MESICNE	1994-09-01
1106	20	POPLATEK TYDNE	1993-08-29
1107	42	POPLATEK MESICNE	1993-09-08
1108	26	POPLATEK MESICNE	1995-03-09
1109	66	POPLATEK MESICNE	1994-10-27
1110	54	POPLATEK MESICNE	1997-07-10
1111	5	POPLATEK MESICNE	1996-02-16
1112	48	POPLATEK MESICNE	1995-02-03
1113	8	POPLATEK MESICNE	1996-09-23
1114	6	POPLATEK TYDNE	1993-11-13
1115	34	POPLATEK MESICNE	1993-03-27
1116	1	POPLATEK MESICNE	1993-07-20
1117	68	POPLATEK MESICNE	1996-08-29
1118	48	POPLATEK MESICNE	1993-07-04
1120	1	POPLATEK MESICNE	1993-10-05
1121	32	POPLATEK MESICNE	1996-04-17
1122	13	POPLATEK MESICNE	1995-08-12
1123	13	POPLATEK MESICNE	1993-11-01
1124	26	POPLATEK MESICNE	1996-06-02
1125	1	POPLATEK TYDNE	1997-11-21
1126	56	POPLATEK MESICNE	1993-03-08
1127	27	POPLATEK MESICNE	1993-01-27
1128	74	POPLATEK MESICNE	1993-11-21
1129	35	POPLATEK MESICNE	1995-03-03
1130	1	POPLATEK MESICNE	1997-05-11
1132	1	POPLATEK TYDNE	1993-02-03
1133	1	POPLATEK MESICNE	1993-11-01
1134	6	POPLATEK MESICNE	1993-02-09
1135	1	POPLATEK MESICNE	1995-07-17
1136	12	POPLATEK MESICNE	1993-08-07
1137	60	POPLATEK MESICNE	1995-12-19
1138	41	POPLATEK MESICNE	1997-04-07
1139	34	POPLATEK PO OBRATU	1996-01-20
1140	49	POPLATEK MESICNE	1997-11-07
1141	28	POPLATEK MESICNE	1997-02-16
1142	74	POPLATEK MESICNE	1995-10-19
1144	59	POPLATEK MESICNE	1993-01-28
1145	31	POPLATEK MESICNE	1993-07-03
1146	67	POPLATEK MESICNE	1993-09-12
1147	44	POPLATEK MESICNE	1993-04-10
1149	18	POPLATEK MESICNE	1995-09-07
1150	29	POPLATEK MESICNE	1997-10-08
1151	40	POPLATEK MESICNE	1995-06-23
1152	45	POPLATEK MESICNE	1993-04-15
1153	35	POPLATEK MESICNE	1993-12-29
1154	5	POPLATEK TYDNE	1997-08-29
1155	43	POPLATEK MESICNE	1996-10-04
1156	59	POPLATEK MESICNE	1997-12-09
1157	7	POPLATEK MESICNE	1993-03-27
1158	50	POPLATEK MESICNE	1994-04-03
1159	49	POPLATEK MESICNE	1994-02-09
1160	39	POPLATEK TYDNE	1996-07-29
1161	66	POPLATEK MESICNE	1993-05-08
1164	35	POPLATEK MESICNE	1994-01-14
1165	44	POPLATEK MESICNE	1997-03-23
1166	11	POPLATEK MESICNE	1993-04-21
1168	29	POPLATEK MESICNE	1994-11-03
1169	49	POPLATEK PO OBRATU	1994-03-02
1170	25	POPLATEK MESICNE	1996-03-26
1171	18	POPLATEK MESICNE	1997-12-20
1172	6	POPLATEK MESICNE	1997-10-25
1173	11	POPLATEK MESICNE	1996-09-22
1174	70	POPLATEK MESICNE	1995-03-21
1176	19	POPLATEK MESICNE	1996-10-24
1177	27	POPLATEK MESICNE	1997-12-20
1178	41	POPLATEK MESICNE	1997-05-04
1179	74	POPLATEK MESICNE	1993-01-23
1180	20	POPLATEK MESICNE	1993-05-19
1181	69	POPLATEK MESICNE	1997-08-20
1182	8	POPLATEK MESICNE	1997-02-11
1183	12	POPLATEK MESICNE	1995-05-08
1184	14	POPLATEK MESICNE	1994-05-06
1185	12	POPLATEK MESICNE	1997-06-07
1186	64	POPLATEK MESICNE	1997-12-17
1187	55	POPLATEK MESICNE	1996-07-28
1188	16	POPLATEK MESICNE	1996-07-22
1189	59	POPLATEK MESICNE	1993-03-19
1190	52	POPLATEK MESICNE	1996-09-09
1192	29	POPLATEK MESICNE	1996-05-02
1193	29	POPLATEK MESICNE	1994-01-05
1194	1	POPLATEK MESICNE	1994-04-15
1195	42	POPLATEK MESICNE	1996-12-27
1196	29	POPLATEK MESICNE	1996-01-16
1197	68	POPLATEK MESICNE	1993-09-07
1198	70	POPLATEK MESICNE	1997-04-20
1199	50	POPLATEK MESICNE	1997-03-18
1200	33	POPLATEK MESICNE	1993-05-07
1201	61	POPLATEK MESICNE	1993-07-23
1203	72	POPLATEK MESICNE	1995-08-09
1204	29	POPLATEK MESICNE	1993-12-03
1205	73	POPLATEK MESICNE	1994-10-08
1206	70	POPLATEK MESICNE	1995-10-21
1207	67	POPLATEK MESICNE	1993-06-08
1208	4	POPLATEK MESICNE	1997-11-09
1209	23	POPLATEK MESICNE	1997-10-23
1210	28	POPLATEK MESICNE	1996-05-21
1211	49	POPLATEK MESICNE	1996-08-09
1212	70	POPLATEK MESICNE	1995-12-18
1213	36	POPLATEK MESICNE	1996-05-08
1214	39	POPLATEK MESICNE	1997-01-19
1215	65	POPLATEK MESICNE	1997-03-04
1216	77	POPLATEK MESICNE	1996-03-01
1217	69	POPLATEK MESICNE	1993-10-25
1218	1	POPLATEK MESICNE	1996-12-12
1219	1	POPLATEK MESICNE	1996-06-08
1220	1	POPLATEK MESICNE	1995-07-15
1221	45	POPLATEK MESICNE	1997-01-02
1222	66	POPLATEK MESICNE	1993-01-20
1223	70	POPLATEK MESICNE	1996-08-10
1225	4	POPLATEK MESICNE	1993-12-14
1226	1	POPLATEK MESICNE	1996-10-23
1227	69	POPLATEK MESICNE	1996-01-13
1228	62	POPLATEK MESICNE	1995-04-09
1229	46	POPLATEK MESICNE	1997-12-10
1230	1	POPLATEK MESICNE	1997-05-03
1231	7	POPLATEK MESICNE	1994-01-18
1232	48	POPLATEK MESICNE	1996-07-06
1233	31	POPLATEK MESICNE	1996-02-08
1234	6	POPLATEK MESICNE	1993-09-13
1235	76	POPLATEK MESICNE	1993-11-23
1236	19	POPLATEK MESICNE	1993-05-05
1237	9	POPLATEK MESICNE	1994-03-13
1238	1	POPLATEK MESICNE	1995-10-29
1239	1	POPLATEK MESICNE	1993-04-10
1240	1	POPLATEK MESICNE	1997-09-11
1241	53	POPLATEK MESICNE	1996-07-02
1242	74	POPLATEK PO OBRATU	1996-11-24
1243	1	POPLATEK MESICNE	1996-01-07
1244	68	POPLATEK MESICNE	1996-05-08
1245	68	POPLATEK MESICNE	1997-11-12
1246	58	POPLATEK MESICNE	1994-08-18
1247	25	POPLATEK MESICNE	1993-06-08
1248	22	POPLATEK MESICNE	1995-04-29
1249	67	POPLATEK MESICNE	1995-03-30
1250	62	POPLATEK MESICNE	1996-03-28
1251	34	POPLATEK TYDNE	1995-07-18
1252	13	POPLATEK TYDNE	1995-07-26
1253	5	POPLATEK MESICNE	1997-04-13
1254	74	POPLATEK MESICNE	1995-03-28
1255	68	POPLATEK MESICNE	1997-07-02
1256	38	POPLATEK MESICNE	1994-04-21
1257	66	POPLATEK MESICNE	1995-10-11
1258	3	POPLATEK MESICNE	1996-09-01
1259	72	POPLATEK MESICNE	1997-04-12
1260	5	POPLATEK MESICNE	1996-11-17
1261	52	POPLATEK MESICNE	1995-03-18
1262	29	POPLATEK MESICNE	1997-01-19
1263	30	POPLATEK TYDNE	1996-01-09
1264	1	POPLATEK MESICNE	1997-02-16
1265	49	POPLATEK MESICNE	1996-02-25
1266	57	POPLATEK MESICNE	1996-07-01
1267	43	POPLATEK MESICNE	1996-08-05
1268	74	POPLATEK MESICNE	1993-07-25
1269	52	POPLATEK MESICNE	1994-03-28
1270	55	POPLATEK PO OBRATU	1996-06-07
1271	17	POPLATEK MESICNE	1996-06-18
1272	40	POPLATEK TYDNE	1993-05-25
1273	37	POPLATEK MESICNE	1994-03-25
1274	54	POPLATEK TYDNE	1996-08-19
1275	32	POPLATEK MESICNE	1996-06-26
1276	36	POPLATEK MESICNE	1993-01-07
1277	31	POPLATEK MESICNE	1993-06-20
1279	28	POPLATEK MESICNE	1997-10-13
1280	70	POPLATEK MESICNE	1995-05-03
1281	8	POPLATEK MESICNE	1997-04-14
1284	55	POPLATEK MESICNE	1997-07-02
1285	65	POPLATEK MESICNE	1993-06-04
1286	66	POPLATEK PO OBRATU	1993-11-23
1287	35	POPLATEK MESICNE	1995-03-04
1288	11	POPLATEK MESICNE	1993-11-27
1289	72	POPLATEK MESICNE	1996-07-07
1291	1	POPLATEK MESICNE	1994-07-04
1292	3	POPLATEK MESICNE	1994-09-03
1293	40	POPLATEK MESICNE	1996-09-03
1294	71	POPLATEK MESICNE	1994-11-27
1295	15	POPLATEK MESICNE	1994-10-28
1296	50	POPLATEK MESICNE	1996-12-02
1297	70	POPLATEK MESICNE	1993-07-27
1298	7	POPLATEK MESICNE	1996-01-20
1299	1	POPLATEK MESICNE	1993-06-21
1301	18	POPLATEK MESICNE	1994-09-15
1302	55	POPLATEK MESICNE	1993-11-21
1303	23	POPLATEK MESICNE	1997-09-08
1304	40	POPLATEK MESICNE	1996-04-27
1305	57	POPLATEK MESICNE	1993-08-25
1306	1	POPLATEK MESICNE	1995-03-22
1307	56	POPLATEK MESICNE	1994-12-05
1308	54	POPLATEK MESICNE	1996-09-25
1309	1	POPLATEK MESICNE	1995-04-15
1310	1	POPLATEK MESICNE	1996-02-22
1311	60	POPLATEK MESICNE	1996-01-03
1312	23	POPLATEK MESICNE	1994-10-15
1313	45	POPLATEK MESICNE	1997-10-01
1314	48	POPLATEK MESICNE	1993-12-03
1315	13	POPLATEK MESICNE	1995-04-17
1316	42	POPLATEK MESICNE	1996-12-13
1317	56	POPLATEK MESICNE	1994-02-18
1318	56	POPLATEK MESICNE	1997-12-22
1319	56	POPLATEK PO OBRATU	1997-08-08
1320	58	POPLATEK MESICNE	1996-11-18
1321	60	POPLATEK MESICNE	1997-03-27
1322	17	POPLATEK MESICNE	1993-07-05
1323	43	POPLATEK MESICNE	1996-05-20
1324	42	POPLATEK MESICNE	1996-11-05
1325	26	POPLATEK MESICNE	1996-08-08
1326	52	POPLATEK MESICNE	1996-11-11
1327	65	POPLATEK MESICNE	1994-08-24
1328	8	POPLATEK MESICNE	1996-05-04
1329	53	POPLATEK MESICNE	1996-09-16
1330	68	POPLATEK MESICNE	1996-10-22
1331	59	POPLATEK MESICNE	1995-01-03
1332	59	POPLATEK MESICNE	1993-03-25
1333	21	POPLATEK MESICNE	1994-09-29
1334	74	POPLATEK MESICNE	1993-05-14
1335	54	POPLATEK MESICNE	1995-09-21
1336	5	POPLATEK MESICNE	1997-02-26
1337	23	POPLATEK MESICNE	1993-09-01
1338	74	POPLATEK MESICNE	1993-01-11
1339	76	POPLATEK MESICNE	1997-07-06
1340	52	POPLATEK MESICNE	1997-10-28
1341	36	POPLATEK MESICNE	1995-11-21
1342	9	POPLATEK MESICNE	1997-10-09
1344	12	POPLATEK PO OBRATU	1995-07-16
1345	28	POPLATEK MESICNE	1993-10-19
1346	74	POPLATEK MESICNE	1997-07-01
1347	8	POPLATEK MESICNE	1996-11-24
1348	55	POPLATEK MESICNE	1997-11-12
1349	75	POPLATEK MESICNE	1996-03-05
1350	21	POPLATEK TYDNE	1996-08-25
1351	40	POPLATEK MESICNE	1996-03-29
1352	1	POPLATEK MESICNE	1994-09-23
1353	51	POPLATEK MESICNE	1994-04-21
1354	31	POPLATEK MESICNE	1997-06-21
1355	1	POPLATEK MESICNE	1997-08-16
1356	39	POPLATEK MESICNE	1997-02-01
1357	56	POPLATEK MESICNE	1995-11-20
1358	39	POPLATEK MESICNE	1996-04-21
1359	8	POPLATEK MESICNE	1993-12-02
1360	71	POPLATEK MESICNE	1994-08-14
1361	46	POPLATEK MESICNE	1996-12-09
1362	1	POPLATEK MESICNE	1996-12-19
1363	11	POPLATEK MESICNE	1997-03-23
1365	42	POPLATEK MESICNE	1996-03-15
1366	60	POPLATEK MESICNE	1993-02-24
1367	74	POPLATEK MESICNE	1996-08-20
1368	22	POPLATEK MESICNE	1996-12-12
1369	32	POPLATEK MESICNE	1996-03-23
1370	52	POPLATEK MESICNE	1996-09-25
1371	1	POPLATEK MESICNE	1994-04-27
1372	1	POPLATEK MESICNE	1993-03-16
1373	47	POPLATEK MESICNE	1993-06-12
1374	53	POPLATEK MESICNE	1996-09-26
1375	19	POPLATEK MESICNE	1994-04-27
1376	64	POPLATEK MESICNE	1995-09-20
1377	1	POPLATEK MESICNE	1996-09-25
1378	59	POPLATEK MESICNE	1993-03-04
1379	47	POPLATEK MESICNE	1997-10-01
1380	53	POPLATEK MESICNE	1996-02-19
1381	57	POPLATEK MESICNE	1993-11-01
1382	48	POPLATEK MESICNE	1993-08-03
1383	11	POPLATEK MESICNE	1996-04-15
1384	74	POPLATEK TYDNE	1996-03-28
1385	53	POPLATEK MESICNE	1997-05-08
1387	67	POPLATEK MESICNE	1997-01-01
1388	29	POPLATEK MESICNE	1994-05-02
1389	34	POPLATEK MESICNE	1997-08-05
1390	69	POPLATEK MESICNE	1996-12-30
1391	15	POPLATEK MESICNE	1996-12-21
1392	60	POPLATEK MESICNE	1993-04-28
1393	1	POPLATEK MESICNE	1996-11-24
1394	32	POPLATEK MESICNE	1994-12-27
1395	1	POPLATEK MESICNE	1995-11-21
1396	46	POPLATEK MESICNE	1996-06-26
1397	17	POPLATEK MESICNE	1993-03-22
1398	62	POPLATEK MESICNE	1994-08-18
1399	45	POPLATEK MESICNE	1996-05-20
1401	1	POPLATEK MESICNE	1993-08-12
1402	74	POPLATEK MESICNE	1993-03-26
1403	17	POPLATEK MESICNE	1995-11-02
1404	7	POPLATEK TYDNE	1993-09-22
1405	53	POPLATEK MESICNE	1996-06-04
1406	50	POPLATEK MESICNE	1994-03-04
1407	19	POPLATEK PO OBRATU	1997-04-11
1408	10	POPLATEK MESICNE	1996-09-07
1410	74	POPLATEK MESICNE	1993-09-11
1411	54	POPLATEK MESICNE	1993-07-09
1412	64	POPLATEK MESICNE	1993-05-18
1413	65	POPLATEK MESICNE	1995-06-07
1414	58	POPLATEK MESICNE	1995-01-17
1416	66	POPLATEK TYDNE	1993-07-12
1417	75	POPLATEK MESICNE	1994-12-20
1418	35	POPLATEK MESICNE	1997-02-09
1419	33	POPLATEK MESICNE	1993-12-22
1420	68	POPLATEK MESICNE	1995-06-08
1421	71	POPLATEK MESICNE	1994-10-05
1422	68	POPLATEK MESICNE	1993-04-09
1423	76	POPLATEK MESICNE	1995-09-08
1424	32	POPLATEK MESICNE	1997-05-20
1425	76	POPLATEK MESICNE	1993-07-06
1426	40	POPLATEK MESICNE	1995-10-27
1427	17	POPLATEK MESICNE	1995-10-08
1429	57	POPLATEK MESICNE	1993-07-30
1430	26	POPLATEK MESICNE	1997-02-13
1431	41	POPLATEK MESICNE	1996-06-11
1432	27	POPLATEK MESICNE	1997-07-19
1434	70	POPLATEK MESICNE	1997-08-08
1435	1	POPLATEK MESICNE	1996-12-01
1436	3	POPLATEK MESICNE	1994-12-07
1437	50	POPLATEK MESICNE	1995-01-13
1438	23	POPLATEK TYDNE	1997-09-18
1439	11	POPLATEK MESICNE	1996-01-27
1440	55	POPLATEK MESICNE	1993-09-22
1441	50	POPLATEK MESICNE	1994-10-25
1442	23	POPLATEK MESICNE	1993-05-23
1443	54	POPLATEK MESICNE	1997-09-27
1444	70	POPLATEK MESICNE	1996-06-16
1445	60	POPLATEK MESICNE	1996-03-16
1446	57	POPLATEK MESICNE	1995-01-18
1447	65	POPLATEK MESICNE	1997-02-20
1448	1	POPLATEK MESICNE	1995-10-07
1449	35	POPLATEK MESICNE	1993-08-26
1450	63	POPLATEK MESICNE	1996-04-07
1451	64	POPLATEK MESICNE	1993-06-24
1452	45	POPLATEK MESICNE	1995-09-16
1453	61	POPLATEK TYDNE	1993-09-25
1454	46	POPLATEK MESICNE	1997-07-25
1455	66	POPLATEK MESICNE	1996-01-03
1456	9	POPLATEK MESICNE	1996-04-12
1458	29	POPLATEK MESICNE	1994-01-03
1459	12	POPLATEK MESICNE	1997-03-26
1460	54	POPLATEK MESICNE	1996-11-29
1461	73	POPLATEK MESICNE	1996-04-07
1463	32	POPLATEK MESICNE	1996-09-25
1464	73	POPLATEK MESICNE	1996-10-21
1465	30	POPLATEK MESICNE	1995-06-08
1466	69	POPLATEK TYDNE	1997-03-26
1467	37	POPLATEK MESICNE	1994-04-27
1468	54	POPLATEK MESICNE	1993-10-11
1469	67	POPLATEK MESICNE	1995-12-15
1470	19	POPLATEK MESICNE	1994-02-10
1471	1	POPLATEK MESICNE	1996-07-21
1472	2	POPLATEK MESICNE	1995-07-20
1473	39	POPLATEK MESICNE	1996-04-16
1474	63	POPLATEK MESICNE	1996-09-14
1475	1	POPLATEK TYDNE	1993-06-14
1476	61	POPLATEK MESICNE	1993-04-26
1477	1	POPLATEK MESICNE	1993-02-08
1478	5	POPLATEK MESICNE	1996-10-30
1479	54	POPLATEK MESICNE	1995-04-04
1480	41	POPLATEK TYDNE	1996-07-03
1481	15	POPLATEK MESICNE	1993-01-17
1482	38	POPLATEK MESICNE	1996-12-08
1483	10	POPLATEK MESICNE	1996-01-09
1484	70	POPLATEK MESICNE	1996-09-23
1485	36	POPLATEK MESICNE	1993-10-03
1486	63	POPLATEK MESICNE	1996-01-15
1487	66	POPLATEK MESICNE	1993-09-10
1488	25	POPLATEK MESICNE	1997-04-29
1490	5	POPLATEK MESICNE	1996-07-25
1491	47	POPLATEK MESICNE	1997-06-11
1492	24	POPLATEK MESICNE	1996-10-17
1493	41	POPLATEK MESICNE	1993-01-09
1494	1	POPLATEK MESICNE	1997-10-08
1495	36	POPLATEK MESICNE	1993-11-01
1496	57	POPLATEK MESICNE	1995-02-05
1497	1	POPLATEK MESICNE	1993-07-16
1498	62	POPLATEK TYDNE	1997-02-07
1499	47	POPLATEK MESICNE	1993-11-28
1500	43	POPLATEK MESICNE	1996-10-01
1501	50	POPLATEK MESICNE	1996-08-11
1502	1	POPLATEK MESICNE	1996-10-02
1503	71	POPLATEK MESICNE	1996-04-10
1504	1	POPLATEK MESICNE	1996-08-26
1505	69	POPLATEK MESICNE	1993-04-23
1506	51	POPLATEK MESICNE	1997-10-13
1507	35	POPLATEK MESICNE	1993-08-03
1508	69	POPLATEK MESICNE	1996-01-22
1509	51	POPLATEK MESICNE	1994-05-19
1510	33	POPLATEK MESICNE	1996-03-11
1511	51	POPLATEK PO OBRATU	1994-03-13
1512	1	POPLATEK MESICNE	1994-01-08
1513	30	POPLATEK MESICNE	1993-08-23
1514	7	POPLATEK MESICNE	1997-07-01
1515	11	POPLATEK MESICNE	1993-06-11
1516	67	POPLATEK MESICNE	1993-10-08
1517	5	POPLATEK MESICNE	1996-08-24
1518	67	POPLATEK MESICNE	1993-04-21
1519	9	POPLATEK MESICNE	1995-06-14
1520	48	POPLATEK MESICNE	1995-08-08
1521	74	POPLATEK MESICNE	1996-04-04
1522	48	POPLATEK MESICNE	1997-08-02
1523	52	POPLATEK PO OBRATU	1997-11-24
1524	6	POPLATEK MESICNE	1997-02-20
1525	57	POPLATEK MESICNE	1996-09-05
1526	52	POPLATEK MESICNE	1995-01-22
1527	31	POPLATEK PO OBRATU	1993-11-17
1528	50	POPLATEK MESICNE	1996-06-08
1529	1	POPLATEK MESICNE	1996-04-28
1530	70	POPLATEK MESICNE	1995-05-27
1532	54	POPLATEK MESICNE	1996-09-19
1534	1	POPLATEK MESICNE	1993-05-24
1535	46	POPLATEK MESICNE	1993-03-20
1536	41	POPLATEK TYDNE	1993-01-22
1537	54	POPLATEK MESICNE	1997-06-06
1538	22	POPLATEK MESICNE	1996-09-20
1539	1	POPLATEK PO OBRATU	1993-01-03
1540	1	POPLATEK MESICNE	1995-03-29
1541	60	POPLATEK MESICNE	1996-10-18
1542	1	POPLATEK MESICNE	1996-04-25
1543	1	POPLATEK MESICNE	1996-04-14
1544	69	POPLATEK MESICNE	1993-07-14
1545	1	POPLATEK MESICNE	1993-03-08
1546	15	POPLATEK MESICNE	1996-11-20
1547	72	POPLATEK MESICNE	1993-09-14
1548	47	POPLATEK MESICNE	1995-01-27
1549	21	POPLATEK MESICNE	1996-11-21
1550	1	POPLATEK MESICNE	1996-04-15
1551	72	POPLATEK MESICNE	1997-06-18
1552	18	POPLATEK MESICNE	1994-01-02
1553	59	POPLATEK MESICNE	1996-12-21
1554	47	POPLATEK MESICNE	1994-11-15
1555	34	POPLATEK MESICNE	1996-11-10
1556	54	POPLATEK MESICNE	1996-09-15
1557	66	POPLATEK MESICNE	1996-12-13
1558	32	POPLATEK MESICNE	1996-10-06
1559	14	POPLATEK MESICNE	1994-10-08
1560	62	POPLATEK MESICNE	1997-04-14
1561	66	POPLATEK MESICNE	1995-04-01
1562	1	POPLATEK MESICNE	1995-08-30
1563	47	POPLATEK MESICNE	1996-08-14
1564	48	POPLATEK MESICNE	1996-03-05
1565	36	POPLATEK MESICNE	1993-10-20
1566	73	POPLATEK MESICNE	1993-07-07
1567	10	POPLATEK MESICNE	1997-08-19
1568	23	POPLATEK MESICNE	1995-07-15
1570	1	POPLATEK MESICNE	1994-03-12
1571	66	POPLATEK MESICNE	1996-07-29
1572	72	POPLATEK MESICNE	1997-10-21
1573	63	POPLATEK MESICNE	1997-12-29
1574	75	POPLATEK MESICNE	1997-05-28
1575	1	POPLATEK MESICNE	1993-02-27
1576	35	POPLATEK TYDNE	1996-08-06
1577	67	POPLATEK MESICNE	1996-10-16
1578	48	POPLATEK MESICNE	1994-12-01
1579	57	POPLATEK MESICNE	1994-08-09
1580	69	POPLATEK MESICNE	1996-01-08
1581	39	POPLATEK MESICNE	1995-10-12
1582	28	POPLATEK MESICNE	1996-05-01
1583	69	POPLATEK PO OBRATU	1994-11-17
1584	30	POPLATEK MESICNE	1993-05-27
1585	42	POPLATEK MESICNE	1996-02-23
1586	1	POPLATEK MESICNE	1996-10-03
1587	1	POPLATEK MESICNE	1996-12-11
1588	67	POPLATEK MESICNE	1993-12-11
1589	37	POPLATEK MESICNE	1993-08-07
1590	77	POPLATEK MESICNE	1995-04-07
1591	65	POPLATEK MESICNE	1996-01-10
1592	38	POPLATEK MESICNE	1994-08-18
1593	16	POPLATEK MESICNE	1996-08-22
1594	15	POPLATEK MESICNE	1997-04-06
1596	70	POPLATEK MESICNE	1997-10-05
1597	68	POPLATEK MESICNE	1995-07-04
1598	15	POPLATEK MESICNE	1997-04-12
1599	57	POPLATEK MESICNE	1995-11-10
1600	1	POPLATEK MESICNE	1996-09-13
1601	10	POPLATEK MESICNE	1993-02-09
1602	33	POPLATEK MESICNE	1993-09-19
1603	1	POPLATEK MESICNE	1993-05-09
1604	54	POPLATEK MESICNE	1993-12-16
1605	72	POPLATEK MESICNE	1993-12-16
1606	23	POPLATEK MESICNE	1996-03-07
1607	71	POPLATEK MESICNE	1996-04-20
1608	26	POPLATEK MESICNE	1997-10-08
1609	41	POPLATEK MESICNE	1996-07-05
1610	52	POPLATEK MESICNE	1993-05-17
1611	69	POPLATEK MESICNE	1996-02-11
1612	66	POPLATEK MESICNE	1996-02-12
1613	1	POPLATEK MESICNE	1995-09-13
1614	63	POPLATEK MESICNE	1996-05-07
1615	1	POPLATEK MESICNE	1997-10-20
1616	22	POPLATEK MESICNE	1997-02-07
1617	45	POPLATEK MESICNE	1993-06-01
1618	6	POPLATEK MESICNE	1996-12-18
1619	38	POPLATEK MESICNE	1997-02-24
1620	17	POPLATEK MESICNE	1995-06-08
1621	75	POPLATEK MESICNE	1993-12-01
1622	19	POPLATEK MESICNE	1996-04-12
1623	1	POPLATEK MESICNE	1996-02-04
1624	53	POPLATEK MESICNE	1996-04-22
1625	1	POPLATEK MESICNE	1995-01-17
1626	3	POPLATEK MESICNE	1994-03-15
1627	1	POPLATEK MESICNE	1994-01-20
1628	60	POPLATEK MESICNE	1993-01-10
1629	10	POPLATEK MESICNE	1995-11-02
1630	72	POPLATEK MESICNE	1993-07-28
1631	10	POPLATEK MESICNE	1996-09-27
1632	18	POPLATEK TYDNE	1996-01-13
1633	51	POPLATEK MESICNE	1995-02-22
1634	77	POPLATEK MESICNE	1994-06-04
1635	19	POPLATEK MESICNE	1993-12-29
1636	53	POPLATEK MESICNE	1997-04-08
1637	1	POPLATEK MESICNE	1993-01-08
1638	6	POPLATEK TYDNE	1996-11-12
1640	13	POPLATEK MESICNE	1995-09-01
1641	50	POPLATEK MESICNE	1996-04-22
1642	64	POPLATEK MESICNE	1995-05-27
1644	1	POPLATEK MESICNE	1993-05-09
1645	50	POPLATEK MESICNE	1996-10-16
1646	1	POPLATEK TYDNE	1996-05-27
1647	1	POPLATEK MESICNE	1997-07-09
1648	40	POPLATEK MESICNE	1997-08-08
1649	46	POPLATEK MESICNE	1993-01-26
1650	39	POPLATEK MESICNE	1997-12-06
1651	34	POPLATEK MESICNE	1997-01-23
1652	74	POPLATEK MESICNE	1993-05-20
1653	1	POPLATEK MESICNE	1994-09-19
1654	30	POPLATEK MESICNE	1996-08-05
1655	41	POPLATEK MESICNE	1996-04-15
1656	47	POPLATEK MESICNE	1997-02-01
1657	12	POPLATEK MESICNE	1997-11-04
1658	73	POPLATEK MESICNE	1993-05-10
1659	46	POPLATEK MESICNE	1996-12-25
1660	1	POPLATEK MESICNE	1995-09-22
1662	1	POPLATEK MESICNE	1997-08-11
1663	55	POPLATEK MESICNE	1996-11-02
1664	56	POPLATEK MESICNE	1993-11-15
1665	73	POPLATEK MESICNE	1997-04-15
1666	67	POPLATEK MESICNE	1993-10-30
1667	56	POPLATEK MESICNE	1996-08-18
1668	62	POPLATEK MESICNE	1997-03-07
1669	39	POPLATEK MESICNE	1996-09-19
1670	12	POPLATEK MESICNE	1996-01-02
1671	6	POPLATEK MESICNE	1993-05-05
1672	5	POPLATEK MESICNE	1996-05-08
1673	53	POPLATEK MESICNE	1993-12-08
1674	1	POPLATEK MESICNE	1995-09-15
1675	36	POPLATEK MESICNE	1993-02-01
1677	69	POPLATEK MESICNE	1997-01-08
1678	1	POPLATEK MESICNE	1993-02-22
1679	68	POPLATEK MESICNE	1996-09-05
1680	59	POPLATEK MESICNE	1993-12-10
1681	68	POPLATEK MESICNE	1997-07-11
1682	49	POPLATEK MESICNE	1995-12-22
1683	77	POPLATEK MESICNE	1996-11-01
1684	32	POPLATEK TYDNE	1993-07-10
1685	28	POPLATEK MESICNE	1995-12-13
1686	11	POPLATEK MESICNE	1993-11-18
1687	23	POPLATEK MESICNE	1997-04-18
1688	70	POPLATEK MESICNE	1993-02-27
1689	55	POPLATEK MESICNE	1993-09-07
1690	16	POPLATEK MESICNE	1995-10-07
1691	48	POPLATEK MESICNE	1995-11-08
1692	56	POPLATEK MESICNE	1995-03-29
1693	1	POPLATEK PO OBRATU	1997-04-29
1694	6	POPLATEK TYDNE	1993-08-29
1695	76	POPLATEK MESICNE	1993-01-03
1696	43	POPLATEK MESICNE	1995-06-09
1697	63	POPLATEK MESICNE	1997-05-17
1698	68	POPLATEK MESICNE	1996-03-14
1699	53	POPLATEK MESICNE	1993-01-14
1700	64	POPLATEK MESICNE	1995-11-18
1701	1	POPLATEK MESICNE	1993-08-10
1702	56	POPLATEK MESICNE	1995-02-27
1703	72	POPLATEK MESICNE	1997-11-02
1704	70	POPLATEK MESICNE	1995-09-22
1705	70	POPLATEK MESICNE	1993-09-15
1706	1	POPLATEK MESICNE	1995-01-05
1707	75	POPLATEK MESICNE	1997-01-13
1708	22	POPLATEK MESICNE	1994-11-21
1709	24	POPLATEK MESICNE	1996-04-23
1710	74	POPLATEK MESICNE	1997-05-25
1711	63	POPLATEK MESICNE	1996-01-05
1712	44	POPLATEK MESICNE	1996-11-25
1713	43	POPLATEK MESICNE	1993-03-03
1714	72	POPLATEK MESICNE	1994-09-08
1715	60	POPLATEK MESICNE	1996-05-26
1716	46	POPLATEK MESICNE	1996-05-02
1717	67	POPLATEK MESICNE	1997-12-02
1718	71	POPLATEK MESICNE	1997-09-23
1719	1	POPLATEK MESICNE	1993-09-06
1720	35	POPLATEK MESICNE	1995-05-16
1721	68	POPLATEK MESICNE	1993-03-25
1722	32	POPLATEK MESICNE	1996-03-11
1723	70	POPLATEK MESICNE	1997-11-04
1724	48	POPLATEK MESICNE	1997-06-07
1725	72	POPLATEK PO OBRATU	1995-07-03
1726	48	POPLATEK MESICNE	1993-01-03
1727	9	POPLATEK MESICNE	1997-10-11
1728	74	POPLATEK MESICNE	1995-06-23
1729	53	POPLATEK MESICNE	1997-09-08
1730	1	POPLATEK MESICNE	1993-01-09
1731	33	POPLATEK MESICNE	1993-01-14
1732	51	POPLATEK MESICNE	1996-02-20
1733	18	POPLATEK MESICNE	1996-04-20
1734	37	POPLATEK MESICNE	1997-04-10
1735	42	POPLATEK MESICNE	1996-12-04
1736	74	POPLATEK MESICNE	1997-02-26
1737	77	POPLATEK MESICNE	1996-02-13
1738	15	POPLATEK MESICNE	1996-08-06
1739	3	POPLATEK MESICNE	1996-07-08
1740	57	POPLATEK MESICNE	1997-03-13
1741	21	POPLATEK MESICNE	1995-05-10
1742	68	POPLATEK MESICNE	1995-10-08
1743	51	POPLATEK MESICNE	1993-06-04
1744	76	POPLATEK MESICNE	1996-02-07
1745	53	POPLATEK MESICNE	1996-10-19
1746	1	POPLATEK MESICNE	1997-03-11
1747	30	POPLATEK MESICNE	1997-08-14
1749	64	POPLATEK MESICNE	1995-10-14
1750	1	POPLATEK MESICNE	1993-01-26
1751	53	POPLATEK MESICNE	1996-10-04
1752	68	POPLATEK MESICNE	1996-05-08
1753	71	POPLATEK MESICNE	1997-06-14
1754	52	POPLATEK MESICNE	1996-12-01
1756	38	POPLATEK MESICNE	1995-10-26
1757	75	POPLATEK MESICNE	1995-03-27
1758	21	POPLATEK MESICNE	1996-07-08
1759	39	POPLATEK MESICNE	1996-01-25
1760	53	POPLATEK MESICNE	1995-11-11
1761	24	POPLATEK MESICNE	1993-08-24
1762	28	POPLATEK MESICNE	1993-12-11
1763	73	POPLATEK MESICNE	1996-03-06
1764	68	POPLATEK MESICNE	1997-09-04
1765	18	POPLATEK MESICNE	1996-07-21
1766	28	POPLATEK MESICNE	1994-09-03
1767	21	POPLATEK MESICNE	1993-10-20
1768	15	POPLATEK MESICNE	1993-12-20
1769	39	POPLATEK MESICNE	1995-01-25
1770	65	POPLATEK MESICNE	1994-02-08
1771	69	POPLATEK MESICNE	1993-03-28
1772	31	POPLATEK TYDNE	1995-02-20
1773	33	POPLATEK MESICNE	1993-04-19
1774	61	POPLATEK MESICNE	1996-09-10
1775	17	POPLATEK MESICNE	1993-02-27
1776	36	POPLATEK MESICNE	1997-07-27
1777	60	POPLATEK MESICNE	1996-10-10
1778	15	POPLATEK MESICNE	1995-02-25
1779	33	POPLATEK MESICNE	1993-08-15
1780	1	POPLATEK MESICNE	1993-04-02
1781	10	POPLATEK MESICNE	1996-06-23
1782	8	POPLATEK MESICNE	1993-05-12
1783	70	POPLATEK MESICNE	1997-09-11
1784	59	POPLATEK MESICNE	1993-05-08
1785	52	POPLATEK MESICNE	1996-10-25
1786	1	POPLATEK MESICNE	1993-05-25
1787	30	POPLATEK TYDNE	1993-03-22
1788	1	POPLATEK MESICNE	1994-01-04
1789	46	POPLATEK MESICNE	1993-10-23
1790	70	POPLATEK MESICNE	1997-09-08
1791	1	POPLATEK MESICNE	1996-02-03
1792	7	POPLATEK MESICNE	1993-12-16
1793	56	POPLATEK MESICNE	1995-06-10
1794	74	POPLATEK MESICNE	1997-07-23
1795	53	POPLATEK MESICNE	1997-08-21
1796	18	POPLATEK MESICNE	1995-10-14
1797	24	POPLATEK MESICNE	1994-08-01
1798	46	POPLATEK MESICNE	1997-11-28
1799	9	POPLATEK MESICNE	1996-09-13
1800	51	POPLATEK MESICNE	1996-03-14
1801	46	POPLATEK MESICNE	1993-02-13
1802	75	POPLATEK MESICNE	1995-03-10
1803	24	POPLATEK MESICNE	1995-07-29
1804	20	POPLATEK TYDNE	1993-09-23
1805	1	POPLATEK MESICNE	1993-02-02
1806	40	POPLATEK MESICNE	1993-01-19
1807	21	POPLATEK MESICNE	1997-10-15
1808	28	POPLATEK MESICNE	1997-05-16
1809	1	POPLATEK TYDNE	1993-11-12
1810	50	POPLATEK MESICNE	1995-09-03
1811	40	POPLATEK MESICNE	1993-09-22
1812	31	POPLATEK MESICNE	1996-10-08
1813	47	POPLATEK MESICNE	1994-02-11
1814	17	POPLATEK MESICNE	1997-09-23
1815	66	POPLATEK MESICNE	1993-04-17
1816	44	POPLATEK MESICNE	1993-10-08
1817	10	POPLATEK MESICNE	1996-12-16
1818	54	POPLATEK MESICNE	1997-02-25
1819	55	POPLATEK TYDNE	1996-10-21
1820	10	POPLATEK MESICNE	1994-04-22
1821	70	POPLATEK MESICNE	1995-04-07
1822	30	POPLATEK MESICNE	1993-05-05
1823	3	POPLATEK MESICNE	1996-09-28
1824	52	POPLATEK MESICNE	1994-01-17
1825	3	POPLATEK MESICNE	1995-12-05
1826	5	POPLATEK MESICNE	1994-05-22
1827	10	POPLATEK MESICNE	1993-09-06
1828	1	POPLATEK MESICNE	1994-09-28
1829	43	POPLATEK MESICNE	1993-02-27
1830	10	POPLATEK MESICNE	1993-02-08
1831	1	POPLATEK MESICNE	1993-09-21
1832	70	POPLATEK MESICNE	1996-04-01
1833	54	POPLATEK MESICNE	1997-11-15
1834	62	POPLATEK MESICNE	1993-08-03
1835	74	POPLATEK MESICNE	1994-12-24
1836	42	POPLATEK MESICNE	1996-02-15
1837	23	POPLATEK MESICNE	1993-06-24
1838	68	POPLATEK MESICNE	1994-05-26
1839	5	POPLATEK MESICNE	1997-06-22
1840	21	POPLATEK MESICNE	1997-01-22
1841	36	POPLATEK MESICNE	1997-06-12
1843	12	POPLATEK MESICNE	1993-01-30
1844	44	POPLATEK MESICNE	1993-01-06
1845	47	POPLATEK MESICNE	1997-08-20
1846	6	POPLATEK MESICNE	1995-06-17
1847	47	POPLATEK MESICNE	1996-04-04
1848	1	POPLATEK MESICNE	1994-08-04
1851	55	POPLATEK MESICNE	1993-05-23
1852	35	POPLATEK MESICNE	1993-07-05
1853	7	POPLATEK MESICNE	1997-01-29
1854	32	POPLATEK MESICNE	1997-02-02
1855	34	POPLATEK MESICNE	1996-10-27
1856	26	POPLATEK MESICNE	1994-06-19
1857	37	POPLATEK MESICNE	1997-08-18
1858	72	POPLATEK MESICNE	1995-02-18
1859	50	POPLATEK MESICNE	1996-02-02
1860	70	POPLATEK MESICNE	1997-01-02
1861	54	POPLATEK MESICNE	1993-07-02
1862	19	POPLATEK TYDNE	1995-04-15
1863	62	POPLATEK MESICNE	1997-04-01
1865	1	POPLATEK MESICNE	1994-05-04
1866	4	POPLATEK MESICNE	1997-11-17
1867	52	POPLATEK MESICNE	1995-11-15
1868	16	POPLATEK TYDNE	1997-11-29
1869	1	POPLATEK MESICNE	1996-06-14
1870	10	POPLATEK MESICNE	1994-06-25
1871	48	POPLATEK MESICNE	1994-05-10
1872	61	POPLATEK MESICNE	1997-09-17
1874	9	POPLATEK MESICNE	1993-03-27
1875	44	POPLATEK MESICNE	1993-08-21
1876	1	POPLATEK MESICNE	1997-09-20
1877	76	POPLATEK MESICNE	1993-12-13
1878	52	POPLATEK TYDNE	1994-09-13
1879	10	POPLATEK MESICNE	1994-05-13
1880	76	POPLATEK MESICNE	1994-02-25
1881	60	POPLATEK MESICNE	1997-08-17
1882	1	POPLATEK MESICNE	1993-12-21
1884	54	POPLATEK MESICNE	1996-12-24
1885	47	POPLATEK MESICNE	1996-08-13
1886	32	POPLATEK MESICNE	1996-03-05
1887	68	POPLATEK MESICNE	1993-05-09
1888	6	POPLATEK MESICNE	1996-10-21
1889	59	POPLATEK MESICNE	1995-02-06
1890	1	POPLATEK TYDNE	1997-07-20
1891	32	POPLATEK MESICNE	1993-04-10
1892	28	POPLATEK MESICNE	1993-07-13
1893	48	POPLATEK MESICNE	1996-07-20
1894	6	POPLATEK MESICNE	1996-08-29
1895	35	POPLATEK MESICNE	1996-07-12
1896	74	POPLATEK MESICNE	1993-10-05
1897	61	POPLATEK PO OBRATU	1996-03-05
1898	70	POPLATEK MESICNE	1993-04-01
1899	26	POPLATEK MESICNE	1996-11-05
1900	27	POPLATEK MESICNE	1996-07-27
1901	15	POPLATEK MESICNE	1995-12-01
1902	50	POPLATEK TYDNE	1993-07-17
1903	11	POPLATEK MESICNE	1996-07-05
1904	70	POPLATEK MESICNE	1996-05-18
1905	34	POPLATEK MESICNE	1996-05-25
1906	1	POPLATEK MESICNE	1996-08-01
1907	1	POPLATEK MESICNE	1997-03-25
1908	20	POPLATEK MESICNE	1994-09-13
1909	14	POPLATEK MESICNE	1993-01-12
1910	60	POPLATEK MESICNE	1996-09-06
1911	68	POPLATEK MESICNE	1994-08-21
1912	64	POPLATEK MESICNE	1993-08-15
1913	48	POPLATEK MESICNE	1996-06-06
1914	27	POPLATEK MESICNE	1995-01-24
1915	2	POPLATEK MESICNE	1997-04-14
1916	72	POPLATEK MESICNE	1996-02-16
1917	73	POPLATEK MESICNE	1995-12-13
1918	24	POPLATEK MESICNE	1994-04-10
1919	18	POPLATEK MESICNE	1994-12-04
1920	40	POPLATEK MESICNE	1996-04-08
1921	42	POPLATEK MESICNE	1997-06-27
1922	60	POPLATEK MESICNE	1996-02-09
1924	66	POPLATEK MESICNE	1996-05-16
1925	12	POPLATEK MESICNE	1993-08-03
1926	37	POPLATEK MESICNE	1993-01-06
1927	42	POPLATEK MESICNE	1995-08-04
1928	70	POPLATEK MESICNE	1997-03-02
1929	1	POPLATEK MESICNE	1997-07-06
1930	3	POPLATEK MESICNE	1993-06-27
1931	20	POPLATEK MESICNE	1993-11-23
1932	35	POPLATEK MESICNE	1996-04-03
1933	35	POPLATEK MESICNE	1997-04-04
1934	46	POPLATEK MESICNE	1994-10-05
1935	38	POPLATEK MESICNE	1996-08-15
1936	70	POPLATEK MESICNE	1995-07-18
1937	36	POPLATEK MESICNE	1993-05-18
1938	1	POPLATEK MESICNE	1994-06-25
1939	6	POPLATEK TYDNE	1996-04-19
1940	52	POPLATEK MESICNE	1993-12-22
1941	60	POPLATEK MESICNE	1993-11-15
1943	9	POPLATEK MESICNE	1996-11-26
1944	72	POPLATEK MESICNE	1993-02-12
1945	56	POPLATEK MESICNE	1995-11-09
1946	46	POPLATEK MESICNE	1997-09-16
1947	35	POPLATEK MESICNE	1993-11-12
1948	64	POPLATEK MESICNE	1996-04-08
1949	41	POPLATEK MESICNE	1994-05-04
1950	70	POPLATEK MESICNE	1997-08-01
1951	23	POPLATEK MESICNE	1997-08-07
1952	70	POPLATEK MESICNE	1993-11-28
1953	9	POPLATEK TYDNE	1997-05-15
1954	72	POPLATEK MESICNE	1996-06-05
1955	49	POPLATEK MESICNE	1995-01-07
1956	63	POPLATEK MESICNE	1997-05-23
1957	33	POPLATEK MESICNE	1996-09-18
1958	40	POPLATEK MESICNE	1994-10-24
1959	62	POPLATEK MESICNE	1993-12-24
1960	31	POPLATEK MESICNE	1997-12-04
1961	13	POPLATEK MESICNE	1995-08-30
1962	77	POPLATEK MESICNE	1996-02-24
1963	42	POPLATEK MESICNE	1996-02-03
1964	25	POPLATEK MESICNE	1996-02-12
1965	57	POPLATEK PO OBRATU	1993-02-08
1966	27	POPLATEK MESICNE	1993-02-12
1967	26	POPLATEK TYDNE	1995-02-13
1968	16	POPLATEK TYDNE	1997-10-14
1969	5	POPLATEK MESICNE	1994-04-02
1970	8	POPLATEK MESICNE	1993-12-08
1971	41	POPLATEK MESICNE	1995-08-04
1972	77	POPLATEK MESICNE	1993-01-02
1973	71	POPLATEK MESICNE	1996-06-05
1974	42	POPLATEK MESICNE	1995-06-01
1975	19	POPLATEK MESICNE	1994-09-07
1976	26	POPLATEK MESICNE	1997-03-25
1977	41	POPLATEK MESICNE	1996-02-03
1978	57	POPLATEK TYDNE	1993-06-11
1979	26	POPLATEK MESICNE	1993-01-11
1980	49	POPLATEK MESICNE	1996-03-16
1981	64	POPLATEK MESICNE	1993-10-08
1982	6	POPLATEK MESICNE	1997-05-08
1983	54	POPLATEK MESICNE	1997-12-25
1984	73	POPLATEK MESICNE	1993-11-07
1985	20	POPLATEK MESICNE	1996-07-29
1986	46	POPLATEK MESICNE	1995-04-04
1987	54	POPLATEK MESICNE	1994-03-17
1988	72	POPLATEK MESICNE	1996-12-30
1989	48	POPLATEK MESICNE	1994-09-21
1990	1	POPLATEK MESICNE	1993-06-09
1991	1	POPLATEK MESICNE	1996-11-16
1992	48	POPLATEK MESICNE	1997-09-27
1993	68	POPLATEK MESICNE	1994-10-30
1994	42	POPLATEK MESICNE	1995-07-19
1995	54	POPLATEK MESICNE	1997-07-18
1996	6	POPLATEK TYDNE	1996-05-08
1997	74	POPLATEK MESICNE	1996-09-05
1998	1	POPLATEK MESICNE	1993-06-17
1999	70	POPLATEK MESICNE	1993-06-06
2000	5	POPLATEK MESICNE	1997-08-06
2001	75	POPLATEK MESICNE	1994-05-19
2002	1	POPLATEK MESICNE	1993-04-08
2003	32	POPLATEK MESICNE	1995-11-27
2004	42	POPLATEK MESICNE	1996-08-04
2005	16	POPLATEK MESICNE	1997-05-11
2006	25	POPLATEK MESICNE	1997-06-16
2007	45	POPLATEK MESICNE	1997-09-29
2008	52	POPLATEK MESICNE	1993-04-16
2009	17	POPLATEK MESICNE	1994-04-14
2010	1	POPLATEK MESICNE	1993-12-27
2011	75	POPLATEK MESICNE	1993-03-25
2012	4	POPLATEK MESICNE	1996-04-08
2013	54	POPLATEK MESICNE	1996-08-15
2015	68	POPLATEK MESICNE	1995-11-25
2016	1	POPLATEK MESICNE	1997-02-23
2017	54	POPLATEK MESICNE	1996-02-21
2018	42	POPLATEK MESICNE	1995-06-04
2019	64	POPLATEK MESICNE	1997-06-11
2020	13	POPLATEK MESICNE	1993-09-04
2021	69	POPLATEK MESICNE	1997-02-05
2022	72	POPLATEK MESICNE	1993-06-11
2023	68	POPLATEK MESICNE	1993-01-26
2024	20	POPLATEK MESICNE	1997-03-02
2025	19	POPLATEK MESICNE	1994-10-02
2026	64	POPLATEK MESICNE	1996-09-14
2027	19	POPLATEK MESICNE	1994-11-28
2028	7	POPLATEK TYDNE	1994-11-26
2029	55	POPLATEK MESICNE	1993-05-29
2030	51	POPLATEK MESICNE	1994-09-13
2032	36	POPLATEK MESICNE	1996-11-14
2033	71	POPLATEK MESICNE	1996-03-20
2034	54	POPLATEK MESICNE	1996-08-21
2035	53	POPLATEK MESICNE	1996-05-10
2036	70	POPLATEK MESICNE	1997-10-03
2037	20	POPLATEK MESICNE	1993-05-06
2038	42	POPLATEK MESICNE	1993-08-06
2039	44	POPLATEK MESICNE	1993-03-12
2040	75	POPLATEK MESICNE	1996-06-25
2041	48	POPLATEK MESICNE	1995-07-05
2042	31	POPLATEK MESICNE	1997-02-12
2043	46	POPLATEK MESICNE	1995-11-27
2044	6	POPLATEK MESICNE	1994-11-23
2045	34	POPLATEK MESICNE	1996-09-09
2046	68	POPLATEK MESICNE	1996-10-17
2047	20	POPLATEK MESICNE	1995-02-21
2048	76	POPLATEK MESICNE	1997-03-30
2049	67	POPLATEK MESICNE	1997-12-19
2050	1	POPLATEK MESICNE	1993-10-22
2051	64	POPLATEK TYDNE	1995-11-08
2052	61	POPLATEK MESICNE	1993-10-20
2053	5	POPLATEK MESICNE	1997-10-16
2054	1	POPLATEK MESICNE	1995-01-24
2055	37	POPLATEK MESICNE	1997-04-17
2056	58	POPLATEK MESICNE	1993-04-07
2057	1	POPLATEK MESICNE	1997-06-20
2058	34	POPLATEK MESICNE	1996-09-09
2059	37	POPLATEK MESICNE	1994-10-08
2060	13	POPLATEK MESICNE	1996-12-05
2061	24	POPLATEK MESICNE	1993-05-12
2062	70	POPLATEK MESICNE	1996-03-06
2063	1	POPLATEK MESICNE	1993-12-04
2064	54	POPLATEK MESICNE	1996-12-30
2065	61	POPLATEK MESICNE	1996-08-28
2066	25	POPLATEK MESICNE	1996-08-07
2067	76	POPLATEK MESICNE	1994-04-07
2068	21	POPLATEK MESICNE	1993-06-02
2069	72	POPLATEK MESICNE	1997-10-08
2070	72	POPLATEK MESICNE	1993-01-29
2071	35	POPLATEK MESICNE	1997-05-08
2072	41	POPLATEK MESICNE	1993-10-17
2073	59	POPLATEK MESICNE	1997-08-14
2074	12	POPLATEK MESICNE	1996-02-18
2075	33	POPLATEK MESICNE	1996-01-01
2076	18	POPLATEK MESICNE	1996-09-17
2077	29	POPLATEK MESICNE	1995-01-04
2078	62	POPLATEK MESICNE	1993-07-08
2079	55	POPLATEK MESICNE	1997-09-06
2080	74	POPLATEK MESICNE	1997-04-27
2081	36	POPLATEK MESICNE	1997-07-02
2082	36	POPLATEK MESICNE	1993-09-03
2083	1	POPLATEK MESICNE	1996-09-28
2084	44	POPLATEK MESICNE	1996-09-08
2085	25	POPLATEK MESICNE	1997-02-13
2086	70	POPLATEK TYDNE	1996-08-09
2087	7	POPLATEK TYDNE	1993-01-08
2088	4	POPLATEK MESICNE	1993-07-28
2089	29	POPLATEK TYDNE	1997-03-05
2090	40	POPLATEK MESICNE	1996-11-26
2091	1	POPLATEK MESICNE	1996-09-25
2092	1	POPLATEK MESICNE	1994-04-29
2093	64	POPLATEK MESICNE	1997-07-07
2094	73	POPLATEK MESICNE	1996-08-23
2095	56	POPLATEK MESICNE	1995-12-19
2096	32	POPLATEK MESICNE	1995-06-17
2097	46	POPLATEK MESICNE	1997-10-11
2099	3	POPLATEK TYDNE	1993-01-12
2101	9	POPLATEK MESICNE	1996-08-04
2102	41	POPLATEK MESICNE	1996-08-05
2103	48	POPLATEK MESICNE	1997-02-01
2104	48	POPLATEK MESICNE	1996-06-12
2105	70	POPLATEK MESICNE	1996-03-09
2106	1	POPLATEK MESICNE	1996-02-01
2107	70	POPLATEK MESICNE	1996-11-09
2108	74	POPLATEK MESICNE	1996-07-06
2109	34	POPLATEK MESICNE	1996-02-02
2110	64	POPLATEK MESICNE	1993-02-23
2111	42	POPLATEK TYDNE	1995-01-25
2112	44	POPLATEK MESICNE	1996-07-12
2113	7	POPLATEK MESICNE	1996-08-28
2114	30	POPLATEK MESICNE	1996-08-11
2115	8	POPLATEK MESICNE	1996-12-05
2116	70	POPLATEK MESICNE	1996-05-02
2117	48	POPLATEK MESICNE	1996-08-07
2118	42	POPLATEK MESICNE	1997-05-11
2119	74	POPLATEK MESICNE	1995-09-21
2121	64	POPLATEK MESICNE	1994-12-05
2122	68	POPLATEK MESICNE	1993-01-08
2123	64	POPLATEK MESICNE	1993-07-26
2124	69	POPLATEK MESICNE	1993-02-20
2125	43	POPLATEK TYDNE	1997-11-20
2126	1	POPLATEK MESICNE	1997-02-09
2127	1	POPLATEK MESICNE	1997-05-09
2128	22	POPLATEK MESICNE	1993-12-10
2130	46	POPLATEK MESICNE	1996-11-04
2131	70	POPLATEK MESICNE	1996-07-11
2132	76	POPLATEK MESICNE	1993-10-08
2133	11	POPLATEK MESICNE	1997-10-07
2134	52	POPLATEK MESICNE	1996-08-06
2135	51	POPLATEK MESICNE	1997-06-17
2136	75	POPLATEK MESICNE	1997-10-02
2137	4	POPLATEK PO OBRATU	1993-08-17
2138	75	POPLATEK MESICNE	1997-08-11
2139	8	POPLATEK MESICNE	1995-06-09
2140	75	POPLATEK MESICNE	1993-10-21
2141	21	POPLATEK MESICNE	1997-05-09
2142	42	POPLATEK MESICNE	1997-09-01
2143	1	POPLATEK MESICNE	1996-01-13
2144	55	POPLATEK PO OBRATU	1995-07-21
2146	31	POPLATEK MESICNE	1993-06-05
2147	28	POPLATEK MESICNE	1996-07-10
2148	1	POPLATEK MESICNE	1995-09-22
2149	7	POPLATEK MESICNE	1996-08-11
2150	37	POPLATEK MESICNE	1993-09-12
2151	38	POPLATEK MESICNE	1995-02-08
2152	22	POPLATEK MESICNE	1997-10-23
2153	31	POPLATEK TYDNE	1996-01-07
2154	63	POPLATEK MESICNE	1994-04-21
2155	58	POPLATEK MESICNE	1994-06-08
2156	1	POPLATEK MESICNE	1996-09-11
2157	77	POPLATEK MESICNE	1995-11-08
2158	38	POPLATEK MESICNE	1997-03-29
2159	1	POPLATEK MESICNE	1996-01-01
2160	72	POPLATEK MESICNE	1996-11-10
2161	15	POPLATEK TYDNE	1993-12-30
2162	50	POPLATEK MESICNE	1997-11-21
2163	17	POPLATEK MESICNE	1995-01-05
2164	63	POPLATEK MESICNE	1996-09-12
2165	51	POPLATEK MESICNE	1997-04-08
2166	71	POPLATEK MESICNE	1997-04-12
2167	16	POPLATEK MESICNE	1993-08-08
2169	57	POPLATEK MESICNE	1997-07-09
2170	1	POPLATEK PO OBRATU	1994-05-19
2172	1	POPLATEK MESICNE	1997-09-02
2173	64	POPLATEK MESICNE	1997-05-02
2174	18	POPLATEK MESICNE	1997-10-24
2175	1	POPLATEK MESICNE	1993-04-27
2176	67	POPLATEK MESICNE	1993-06-06
2177	62	POPLATEK MESICNE	1993-01-04
2178	64	POPLATEK MESICNE	1995-05-15
2179	1	POPLATEK TYDNE	1994-01-14
2180	45	POPLATEK MESICNE	1993-10-27
2182	22	POPLATEK MESICNE	1997-07-12
2183	54	POPLATEK MESICNE	1997-07-17
2184	6	POPLATEK MESICNE	1997-05-07
2185	67	POPLATEK MESICNE	1995-01-18
2186	63	POPLATEK MESICNE	1993-07-07
2187	9	POPLATEK TYDNE	1996-02-26
2189	75	POPLATEK MESICNE	1993-04-22
2190	41	POPLATEK TYDNE	1996-06-04
2191	1	POPLATEK MESICNE	1996-08-08
2192	59	POPLATEK MESICNE	1996-03-22
2193	44	POPLATEK MESICNE	1996-11-03
2194	54	POPLATEK MESICNE	1997-02-25
2195	73	POPLATEK MESICNE	1994-10-08
2196	11	POPLATEK MESICNE	1997-07-24
2197	46	POPLATEK MESICNE	1997-07-26
2199	1	POPLATEK MESICNE	1993-08-04
2200	1	POPLATEK MESICNE	1997-06-26
2201	8	POPLATEK MESICNE	1993-10-05
2203	47	POPLATEK MESICNE	1995-04-04
2204	9	POPLATEK MESICNE	1997-07-20
2205	51	POPLATEK MESICNE	1996-04-13
2206	45	POPLATEK MESICNE	1995-08-10
2207	35	POPLATEK MESICNE	1996-01-25
2208	7	POPLATEK MESICNE	1997-07-02
2209	65	POPLATEK MESICNE	1996-08-15
2210	31	POPLATEK MESICNE	1996-08-13
2211	61	POPLATEK PO OBRATU	1997-11-10
2212	33	POPLATEK MESICNE	1996-02-12
2213	68	POPLATEK MESICNE	1993-07-11
2214	45	POPLATEK MESICNE	1996-01-27
2215	48	POPLATEK MESICNE	1997-10-17
2216	74	POPLATEK MESICNE	1993-04-17
2217	73	POPLATEK MESICNE	1996-01-27
2218	19	POPLATEK MESICNE	1994-11-21
2219	60	POPLATEK MESICNE	1993-03-11
2220	16	POPLATEK MESICNE	1993-02-10
2221	58	POPLATEK MESICNE	1997-11-15
2222	47	POPLATEK MESICNE	1993-05-01
2223	44	POPLATEK MESICNE	1996-01-05
2224	46	POPLATEK PO OBRATU	1997-03-08
2225	15	POPLATEK MESICNE	1996-01-24
2226	2	POPLATEK MESICNE	1996-02-17
2227	31	POPLATEK TYDNE	1994-05-22
2228	34	POPLATEK MESICNE	1994-03-19
2229	1	POPLATEK MESICNE	1997-01-27
2230	7	POPLATEK MESICNE	1996-02-11
2231	2	POPLATEK MESICNE	1997-10-14
2232	1	POPLATEK MESICNE	1996-05-07
2233	43	POPLATEK MESICNE	1996-01-03
2234	3	POPLATEK MESICNE	1996-11-21
2235	45	POPLATEK MESICNE	1995-10-22
2236	73	POPLATEK MESICNE	1995-08-27
2237	26	POPLATEK MESICNE	1995-12-13
2239	25	POPLATEK MESICNE	1995-01-05
2240	36	POPLATEK MESICNE	1996-10-07
2241	6	POPLATEK MESICNE	1993-02-08
2242	7	POPLATEK TYDNE	1993-02-25
2243	25	POPLATEK MESICNE	1996-01-24
2244	46	POPLATEK MESICNE	1995-07-19
2245	29	POPLATEK MESICNE	1993-03-30
2246	1	POPLATEK MESICNE	1996-04-25
2247	24	POPLATEK MESICNE	1996-04-13
2250	35	POPLATEK MESICNE	1993-11-02
2252	1	POPLATEK MESICNE	1996-10-05
2253	74	POPLATEK MESICNE	1993-07-24
2254	1	POPLATEK MESICNE	1996-04-17
2255	52	POPLATEK MESICNE	1995-10-14
2256	48	POPLATEK MESICNE	1993-02-06
2257	57	POPLATEK MESICNE	1993-12-21
2258	3	POPLATEK MESICNE	1996-11-12
2259	64	POPLATEK MESICNE	1994-05-14
2260	1	POPLATEK MESICNE	1994-06-07
2261	1	POPLATEK TYDNE	1996-12-27
2262	13	POPLATEK MESICNE	1997-02-08
2263	36	POPLATEK MESICNE	1996-03-12
2264	41	POPLATEK MESICNE	1996-11-22
2265	65	POPLATEK MESICNE	1995-08-03
2266	50	POPLATEK MESICNE	1996-07-19
2267	54	POPLATEK TYDNE	1994-09-20
2268	1	POPLATEK MESICNE	1995-02-11
2269	6	POPLATEK MESICNE	1993-11-04
2270	14	POPLATEK MESICNE	1997-03-08
2271	68	POPLATEK MESICNE	1993-11-13
2272	48	POPLATEK MESICNE	1997-10-08
2274	66	POPLATEK MESICNE	1996-01-21
2275	1	POPLATEK MESICNE	1996-09-16
2276	31	POPLATEK MESICNE	1993-10-22
2278	1	POPLATEK MESICNE	1996-08-03
2279	2	POPLATEK TYDNE	1996-10-30
2280	68	POPLATEK MESICNE	1995-08-17
2281	1	POPLATEK MESICNE	1995-07-13
2282	29	POPLATEK TYDNE	1993-09-17
2285	36	POPLATEK MESICNE	1996-11-21
2286	70	POPLATEK MESICNE	1996-12-06
2287	1	POPLATEK MESICNE	1996-04-21
2288	69	POPLATEK MESICNE	1996-01-01
2289	1	POPLATEK MESICNE	1996-03-07
2290	37	POPLATEK MESICNE	1996-10-22
2291	49	POPLATEK MESICNE	1996-07-27
2292	41	POPLATEK MESICNE	1995-06-29
2293	31	POPLATEK MESICNE	1993-02-13
2294	46	POPLATEK MESICNE	1996-09-29
2295	57	POPLATEK MESICNE	1996-06-25
2296	29	POPLATEK MESICNE	1997-11-05
2297	46	POPLATEK MESICNE	1995-06-18
2298	31	POPLATEK MESICNE	1993-07-03
2299	1	POPLATEK MESICNE	1997-01-21
2300	36	POPLATEK MESICNE	1997-01-13
2301	22	POPLATEK MESICNE	1995-10-10
2302	24	POPLATEK MESICNE	1993-09-10
2303	41	POPLATEK MESICNE	1996-11-24
2304	49	POPLATEK MESICNE	1996-02-19
2305	1	POPLATEK MESICNE	1993-12-11
2306	38	POPLATEK MESICNE	1993-12-08
2307	60	POPLATEK MESICNE	1995-07-12
2309	18	POPLATEK MESICNE	1995-12-03
2310	15	POPLATEK MESICNE	1995-07-19
2311	28	POPLATEK MESICNE	1997-10-19
2312	65	POPLATEK MESICNE	1997-09-26
2313	26	POPLATEK TYDNE	1993-04-13
2314	2	POPLATEK MESICNE	1996-09-07
2315	75	POPLATEK MESICNE	1994-02-13
2316	1	POPLATEK MESICNE	1997-07-21
2317	68	POPLATEK MESICNE	1997-08-28
2318	73	POPLATEK MESICNE	1993-11-08
2319	58	POPLATEK MESICNE	1996-07-02
2321	35	POPLATEK MESICNE	1993-05-13
2322	33	POPLATEK MESICNE	1995-01-02
2323	72	POPLATEK MESICNE	1995-05-08
2324	1	POPLATEK MESICNE	1997-05-24
2325	55	POPLATEK MESICNE	1997-02-26
2326	70	POPLATEK MESICNE	1994-01-24
2327	19	POPLATEK MESICNE	1993-06-08
2328	35	POPLATEK MESICNE	1995-06-14
2329	1	POPLATEK MESICNE	1996-08-07
2330	54	POPLATEK MESICNE	1993-01-19
2331	8	POPLATEK MESICNE	1995-04-29
2332	77	POPLATEK MESICNE	1996-09-24
2333	45	POPLATEK MESICNE	1994-10-08
2334	50	POPLATEK MESICNE	1996-03-19
2335	70	POPLATEK MESICNE	1996-04-04
2336	39	POPLATEK MESICNE	1993-07-08
2337	65	POPLATEK MESICNE	1997-07-07
2338	59	POPLATEK MESICNE	1997-08-08
2339	63	POPLATEK MESICNE	1996-09-22
2340	14	POPLATEK MESICNE	1997-06-22
2341	33	POPLATEK MESICNE	1995-11-25
2342	51	POPLATEK MESICNE	1993-02-11
2343	68	POPLATEK MESICNE	1994-12-09
2344	13	POPLATEK MESICNE	1996-07-02
2345	5	POPLATEK MESICNE	1993-10-25
2346	27	POPLATEK MESICNE	1996-05-08
2347	38	POPLATEK MESICNE	1996-08-30
2348	65	POPLATEK MESICNE	1996-02-05
2349	72	POPLATEK MESICNE	1996-09-11
2350	18	POPLATEK MESICNE	1996-08-04
2351	74	POPLATEK MESICNE	1997-09-08
2352	70	POPLATEK MESICNE	1995-01-21
2353	51	POPLATEK MESICNE	1995-09-21
2354	7	POPLATEK MESICNE	1997-03-17
2355	1	POPLATEK MESICNE	1995-01-03
2356	34	POPLATEK TYDNE	1996-12-23
2357	19	POPLATEK MESICNE	1993-01-04
2358	7	POPLATEK MESICNE	1995-09-13
2359	54	POPLATEK MESICNE	1996-07-14
2360	26	POPLATEK MESICNE	1996-08-27
2361	28	POPLATEK MESICNE	1994-02-25
2362	16	POPLATEK MESICNE	1996-12-30
2363	47	POPLATEK MESICNE	1994-10-07
2364	33	POPLATEK MESICNE	1995-05-03
2365	42	POPLATEK MESICNE	1994-11-04
2366	68	POPLATEK MESICNE	1997-05-20
2367	28	POPLATEK MESICNE	1995-03-04
2369	49	POPLATEK MESICNE	1997-07-19
2370	51	POPLATEK MESICNE	1997-10-01
2371	15	POPLATEK TYDNE	1997-10-23
2372	1	POPLATEK MESICNE	1997-06-15
2373	14	POPLATEK MESICNE	1996-09-29
2374	1	POPLATEK MESICNE	1995-12-07
2375	29	POPLATEK MESICNE	1994-05-16
2376	71	POPLATEK MESICNE	1996-12-14
2377	77	POPLATEK MESICNE	1994-11-13
2378	16	POPLATEK MESICNE	1993-01-01
2379	44	POPLATEK MESICNE	1993-01-10
2380	46	POPLATEK MESICNE	1997-02-27
2381	1	POPLATEK MESICNE	1997-02-13
2382	59	POPLATEK MESICNE	1994-03-08
2383	68	POPLATEK MESICNE	1996-08-05
2384	40	POPLATEK MESICNE	1994-12-23
2385	60	POPLATEK MESICNE	1996-11-15
2386	12	POPLATEK MESICNE	1996-12-17
2387	70	POPLATEK MESICNE	1996-06-22
2388	30	POPLATEK MESICNE	1993-06-09
2389	40	POPLATEK MESICNE	1996-06-02
2390	1	POPLATEK MESICNE	1996-02-12
2391	2	POPLATEK MESICNE	1997-11-07
2392	1	POPLATEK MESICNE	1997-05-18
2393	10	POPLATEK MESICNE	1993-01-07
2394	62	POPLATEK MESICNE	1997-08-23
2395	3	POPLATEK MESICNE	1996-06-24
2396	2	POPLATEK MESICNE	1993-02-22
2397	70	POPLATEK MESICNE	1996-06-14
2398	70	POPLATEK MESICNE	1996-11-25
2399	1	POPLATEK MESICNE	1994-04-26
2400	40	POPLATEK MESICNE	1996-06-15
2401	16	POPLATEK MESICNE	1994-08-26
2402	18	POPLATEK MESICNE	1997-11-06
2403	25	POPLATEK MESICNE	1996-02-20
2404	8	POPLATEK MESICNE	1997-06-05
2405	64	POPLATEK MESICNE	1997-02-27
2406	5	POPLATEK MESICNE	1996-03-22
2407	1	POPLATEK MESICNE	1996-07-21
2408	26	POPLATEK MESICNE	1996-12-27
2409	76	POPLATEK MESICNE	1996-02-13
2410	54	POPLATEK MESICNE	1993-05-11
2411	69	POPLATEK MESICNE	1993-06-27
2413	33	POPLATEK MESICNE	1997-10-27
2414	1	POPLATEK MESICNE	1995-01-19
2415	16	POPLATEK MESICNE	1997-02-27
2416	5	POPLATEK MESICNE	1996-01-23
2417	44	POPLATEK MESICNE	1993-08-20
2418	64	POPLATEK MESICNE	1996-10-29
2419	24	POPLATEK MESICNE	1993-11-27
2420	35	POPLATEK MESICNE	1996-06-25
2421	18	POPLATEK MESICNE	1995-01-11
2422	27	POPLATEK MESICNE	1997-08-29
2423	30	POPLATEK MESICNE	1993-02-14
2424	1	POPLATEK MESICNE	1995-10-13
2425	41	POPLATEK MESICNE	1993-01-23
2427	70	POPLATEK TYDNE	1993-10-08
2428	72	POPLATEK MESICNE	1993-09-08
2429	61	POPLATEK MESICNE	1993-02-06
2430	3	POPLATEK MESICNE	1994-10-09
2431	74	POPLATEK MESICNE	1995-02-23
2432	8	POPLATEK MESICNE	1996-04-18
2433	71	POPLATEK MESICNE	1993-02-19
2434	17	POPLATEK MESICNE	1993-02-02
2435	38	POPLATEK MESICNE	1993-11-01
2436	67	POPLATEK MESICNE	1993-05-25
2437	1	POPLATEK MESICNE	1995-12-04
2438	71	POPLATEK MESICNE	1997-11-16
2439	74	POPLATEK MESICNE	1996-08-13
2440	19	POPLATEK MESICNE	1997-12-18
2441	47	POPLATEK MESICNE	1996-12-22
2442	14	POPLATEK MESICNE	1997-08-21
2443	46	POPLATEK MESICNE	1997-06-25
2444	76	POPLATEK MESICNE	1997-09-07
2445	52	POPLATEK MESICNE	1996-07-07
2446	3	POPLATEK MESICNE	1995-01-16
2447	38	POPLATEK MESICNE	1997-07-14
2448	23	POPLATEK MESICNE	1997-05-11
2449	23	POPLATEK MESICNE	1997-08-05
2450	48	POPLATEK MESICNE	1996-04-10
2451	54	POPLATEK MESICNE	1997-04-29
2452	1	POPLATEK MESICNE	1997-07-14
2453	1	POPLATEK MESICNE	1993-03-08
2454	8	POPLATEK MESICNE	1994-05-07
2455	30	POPLATEK MESICNE	1997-02-06
2456	65	POPLATEK MESICNE	1995-09-09
2457	76	POPLATEK MESICNE	1993-11-11
2458	40	POPLATEK TYDNE	1993-03-14
2459	55	POPLATEK MESICNE	1997-09-10
2460	1	POPLATEK MESICNE	1993-11-22
2461	1	POPLATEK MESICNE	1997-09-28
2463	56	POPLATEK MESICNE	1994-10-11
2464	33	POPLATEK PO OBRATU	1993-07-02
2465	57	POPLATEK MESICNE	1996-10-06
2466	39	POPLATEK MESICNE	1997-04-11
2467	33	POPLATEK MESICNE	1993-05-29
2468	4	POPLATEK MESICNE	1996-07-13
2469	11	POPLATEK MESICNE	1996-02-05
2470	16	POPLATEK MESICNE	1994-07-23
2471	6	POPLATEK MESICNE	1994-07-03
2472	60	POPLATEK MESICNE	1994-02-08
2473	14	POPLATEK MESICNE	1996-02-16
2474	33	POPLATEK MESICNE	1996-04-20
2475	17	POPLATEK MESICNE	1996-10-13
2476	32	POPLATEK MESICNE	1993-12-12
2477	11	POPLATEK MESICNE	1997-02-11
2479	18	POPLATEK MESICNE	1993-10-09
2480	35	POPLATEK MESICNE	1997-09-07
2481	1	POPLATEK MESICNE	1995-10-28
2482	1	POPLATEK MESICNE	1994-02-23
2483	1	POPLATEK MESICNE	1996-09-29
2484	74	POPLATEK MESICNE	1993-01-03
2485	41	POPLATEK MESICNE	1997-08-18
2486	1	POPLATEK MESICNE	1993-02-27
2487	42	POPLATEK MESICNE	1995-10-22
2488	5	POPLATEK MESICNE	1993-04-06
2489	72	POPLATEK MESICNE	1993-03-09
2490	22	POPLATEK MESICNE	1995-02-21
2491	76	POPLATEK MESICNE	1996-03-01
2492	73	POPLATEK MESICNE	1997-09-01
2493	62	POPLATEK MESICNE	1993-03-29
2494	74	POPLATEK MESICNE	1994-04-23
2495	70	POPLATEK MESICNE	1997-03-19
2496	51	POPLATEK MESICNE	1994-05-21
2497	65	POPLATEK MESICNE	1993-03-16
2498	40	POPLATEK MESICNE	1996-03-01
2499	2	POPLATEK MESICNE	1996-02-08
2500	61	POPLATEK MESICNE	1995-10-26
2501	30	POPLATEK MESICNE	1994-02-26
2502	32	POPLATEK MESICNE	1996-10-21
2503	1	POPLATEK MESICNE	1993-03-05
2504	16	POPLATEK MESICNE	1993-12-09
2505	60	POPLATEK MESICNE	1996-05-16
2506	22	POPLATEK PO OBRATU	1996-07-12
2507	62	POPLATEK MESICNE	1996-12-28
2508	34	POPLATEK MESICNE	1993-03-14
2509	43	POPLATEK MESICNE	1997-06-13
2510	61	POPLATEK MESICNE	1993-08-28
2511	40	POPLATEK MESICNE	1994-05-01
2513	70	POPLATEK MESICNE	1993-07-22
2514	16	POPLATEK MESICNE	1995-08-13
2515	64	POPLATEK MESICNE	1995-10-24
2516	6	POPLATEK MESICNE	1995-11-16
2517	55	POPLATEK PO OBRATU	1996-11-10
2519	4	POPLATEK MESICNE	1993-01-15
2520	18	POPLATEK MESICNE	1995-07-25
2521	63	POPLATEK MESICNE	1995-05-19
2522	36	POPLATEK MESICNE	1996-01-21
2523	10	POPLATEK MESICNE	1993-05-11
2524	1	POPLATEK MESICNE	1994-12-19
2525	45	POPLATEK MESICNE	1995-05-08
2526	16	POPLATEK MESICNE	1996-07-04
2527	38	POPLATEK MESICNE	1993-03-19
2528	65	POPLATEK MESICNE	1993-03-25
2530	74	POPLATEK MESICNE	1996-07-02
2531	51	POPLATEK MESICNE	1996-12-21
2532	38	POPLATEK MESICNE	1996-12-24
2533	49	POPLATEK MESICNE	1995-06-27
2534	61	POPLATEK MESICNE	1993-06-03
2535	61	POPLATEK MESICNE	1997-01-21
2536	41	POPLATEK MESICNE	1994-10-28
2537	27	POPLATEK MESICNE	1997-02-09
2538	42	POPLATEK MESICNE	1994-01-30
2539	24	POPLATEK MESICNE	1997-04-24
2540	54	POPLATEK MESICNE	1995-04-01
2541	57	POPLATEK MESICNE	1994-11-08
2542	21	POPLATEK MESICNE	1993-08-07
2543	68	POPLATEK MESICNE	1993-02-13
2544	38	POPLATEK MESICNE	1996-12-04
2545	1	POPLATEK MESICNE	1996-12-04
2546	1	POPLATEK MESICNE	1994-12-08
2547	74	POPLATEK MESICNE	1995-04-28
2548	57	POPLATEK MESICNE	1996-01-06
2549	74	POPLATEK MESICNE	1993-11-12
2550	67	POPLATEK MESICNE	1995-11-11
2551	5	POPLATEK MESICNE	1996-02-08
2552	52	POPLATEK MESICNE	1993-07-01
2553	41	POPLATEK MESICNE	1995-07-24
2554	36	POPLATEK MESICNE	1993-06-18
2555	53	POPLATEK MESICNE	1993-03-10
2556	46	POPLATEK MESICNE	1997-10-19
2557	40	POPLATEK MESICNE	1993-11-17
2558	46	POPLATEK MESICNE	1997-08-04
2559	32	POPLATEK MESICNE	1995-06-01
2560	15	POPLATEK MESICNE	1997-06-20
2561	59	POPLATEK MESICNE	1996-09-29
2562	35	POPLATEK MESICNE	1995-08-15
2563	48	POPLATEK MESICNE	1995-01-17
2564	36	POPLATEK MESICNE	1997-06-03
2565	74	POPLATEK MESICNE	1995-10-04
2566	48	POPLATEK MESICNE	1993-01-27
2567	17	POPLATEK MESICNE	1996-01-07
2568	17	POPLATEK MESICNE	1994-03-02
2569	2	POPLATEK MESICNE	1994-06-10
2570	1	POPLATEK MESICNE	1995-12-19
2571	61	POPLATEK MESICNE	1997-01-15
2572	64	POPLATEK PO OBRATU	1994-11-13
2573	4	POPLATEK MESICNE	1996-07-16
2574	68	POPLATEK MESICNE	1993-02-02
2575	72	POPLATEK MESICNE	1997-04-13
2576	1	POPLATEK MESICNE	1993-09-02
2577	7	POPLATEK MESICNE	1995-07-30
2578	54	POPLATEK MESICNE	1996-03-25
2579	24	POPLATEK MESICNE	1997-10-18
2580	60	POPLATEK MESICNE	1995-11-09
2581	72	POPLATEK MESICNE	1993-03-11
2582	28	POPLATEK MESICNE	1993-11-01
2583	62	POPLATEK MESICNE	1993-05-11
2584	50	POPLATEK MESICNE	1993-07-08
2585	75	POPLATEK MESICNE	1993-02-10
2586	57	POPLATEK MESICNE	1997-04-16
2587	1	POPLATEK MESICNE	1997-07-25
2588	5	POPLATEK MESICNE	1993-12-04
2589	10	POPLATEK MESICNE	1996-12-04
2590	47	POPLATEK MESICNE	1996-12-04
2591	1	POPLATEK MESICNE	1996-05-06
2592	69	POPLATEK MESICNE	1993-09-01
2593	5	POPLATEK MESICNE	1996-07-06
2594	19	POPLATEK PO OBRATU	1997-05-03
2595	1	POPLATEK MESICNE	1997-08-17
2596	1	POPLATEK MESICNE	1994-09-02
2597	31	POPLATEK MESICNE	1997-03-16
2598	1	POPLATEK MESICNE	1996-03-14
2599	48	POPLATEK MESICNE	1993-04-20
2600	1	POPLATEK MESICNE	1996-02-13
2601	70	POPLATEK MESICNE	1996-11-24
2602	46	POPLATEK MESICNE	1996-06-17
2603	9	POPLATEK MESICNE	1996-06-14
2604	68	POPLATEK MESICNE	1996-07-04
2605	21	POPLATEK MESICNE	1996-01-10
2606	1	POPLATEK MESICNE	1994-07-27
2607	1	POPLATEK MESICNE	1997-08-19
2608	19	POPLATEK MESICNE	1995-08-09
2609	73	POPLATEK MESICNE	1993-05-03
2610	54	POPLATEK MESICNE	1996-12-20
2611	1	POPLATEK MESICNE	1996-03-06
2612	1	POPLATEK MESICNE	1997-04-29
2613	26	POPLATEK MESICNE	1993-10-03
2614	44	POPLATEK MESICNE	1996-09-11
2615	68	POPLATEK MESICNE	1994-07-17
2616	1	POPLATEK MESICNE	1993-08-17
2617	1	POPLATEK MESICNE	1993-09-24
2618	60	POPLATEK MESICNE	1993-03-21
2619	20	POPLATEK MESICNE	1996-05-13
2620	22	POPLATEK MESICNE	1993-08-03
2621	55	POPLATEK MESICNE	1995-10-29
2622	1	POPLATEK MESICNE	1996-08-21
2623	58	POPLATEK MESICNE	1993-10-09
2624	31	POPLATEK MESICNE	1996-03-28
2625	48	POPLATEK TYDNE	1996-07-09
2627	76	POPLATEK MESICNE	1994-10-02
2628	64	POPLATEK PO OBRATU	1994-02-06
2629	66	POPLATEK MESICNE	1996-09-10
2630	64	POPLATEK MESICNE	1995-12-21
2631	1	POPLATEK MESICNE	1996-03-29
2632	24	POPLATEK MESICNE	1993-01-02
2633	25	POPLATEK MESICNE	1996-03-14
2634	45	POPLATEK MESICNE	1997-10-08
2635	27	POPLATEK MESICNE	1996-02-04
2636	18	POPLATEK MESICNE	1996-11-26
2637	70	POPLATEK MESICNE	1997-01-01
2638	5	POPLATEK MESICNE	1994-06-02
2639	17	POPLATEK MESICNE	1993-04-26
2640	1	POPLATEK MESICNE	1996-09-21
2641	7	POPLATEK MESICNE	1993-05-02
2642	68	POPLATEK MESICNE	1995-06-05
2644	1	POPLATEK MESICNE	1997-08-08
2645	54	POPLATEK MESICNE	1993-05-22
2646	6	POPLATEK MESICNE	1997-07-24
2647	73	POPLATEK MESICNE	1993-02-08
2648	51	POPLATEK MESICNE	1993-04-13
2649	2	POPLATEK MESICNE	1993-09-08
2650	72	POPLATEK MESICNE	1996-03-26
2651	2	POPLATEK MESICNE	1993-03-21
2652	1	POPLATEK MESICNE	1996-07-22
2653	66	POPLATEK MESICNE	1997-01-08
2654	56	POPLATEK MESICNE	1994-07-21
2655	1	POPLATEK MESICNE	1996-09-07
2656	1	POPLATEK MESICNE	1997-02-18
2657	55	POPLATEK MESICNE	1996-10-07
2658	27	POPLATEK MESICNE	1997-11-14
2659	14	POPLATEK MESICNE	1996-03-30
2660	1	POPLATEK TYDNE	1993-10-17
2661	1	POPLATEK MESICNE	1997-02-25
2662	71	POPLATEK MESICNE	1994-05-24
2663	64	POPLATEK MESICNE	1995-01-25
2664	58	POPLATEK MESICNE	1994-01-20
2665	61	POPLATEK MESICNE	1993-11-13
2666	49	POPLATEK MESICNE	1993-03-08
2667	23	POPLATEK MESICNE	1993-10-23
2668	21	POPLATEK MESICNE	1997-05-20
2670	13	POPLATEK MESICNE	1993-01-27
2671	1	POPLATEK MESICNE	1993-09-15
2672	59	POPLATEK MESICNE	1997-03-14
2673	34	POPLATEK MESICNE	1994-01-04
2674	50	POPLATEK MESICNE	1995-10-10
2675	1	POPLATEK MESICNE	1994-02-19
2676	73	POPLATEK MESICNE	1993-01-22
2677	5	POPLATEK MESICNE	1996-08-28
2678	1	POPLATEK MESICNE	1997-07-15
2679	67	POPLATEK MESICNE	1997-07-24
2680	46	POPLATEK MESICNE	1995-03-03
2681	28	POPLATEK MESICNE	1995-01-19
2684	7	POPLATEK MESICNE	1997-09-10
2685	67	POPLATEK MESICNE	1996-11-01
2686	26	POPLATEK MESICNE	1996-01-11
2687	76	POPLATEK MESICNE	1993-07-01
2688	72	POPLATEK MESICNE	1995-02-20
2689	70	POPLATEK MESICNE	1997-01-01
2690	66	POPLATEK MESICNE	1997-03-19
2691	69	POPLATEK MESICNE	1993-09-08
2692	28	POPLATEK MESICNE	1995-12-08
2693	17	POPLATEK MESICNE	1997-11-17
2694	7	POPLATEK MESICNE	1993-03-08
2695	16	POPLATEK MESICNE	1993-09-16
2696	1	POPLATEK MESICNE	1997-01-19
2697	8	POPLATEK MESICNE	1993-06-26
2698	49	POPLATEK MESICNE	1997-05-21
2699	73	POPLATEK MESICNE	1996-12-25
2700	74	POPLATEK MESICNE	1993-11-08
2701	71	POPLATEK MESICNE	1993-07-27
2702	74	POPLATEK MESICNE	1996-02-01
2703	61	POPLATEK MESICNE	1997-10-28
2705	63	POPLATEK PO OBRATU	1993-07-05
2706	47	POPLATEK MESICNE	1996-06-23
2707	61	POPLATEK MESICNE	1994-11-27
2708	1	POPLATEK MESICNE	1996-03-25
2709	2	POPLATEK MESICNE	1996-10-18
2710	12	POPLATEK MESICNE	1996-06-12
2711	58	POPLATEK MESICNE	1993-05-19
2712	9	POPLATEK MESICNE	1993-03-12
2713	26	POPLATEK MESICNE	1994-04-03
2714	1	POPLATEK MESICNE	1993-01-30
2715	42	POPLATEK MESICNE	1997-10-06
2716	66	POPLATEK MESICNE	1996-01-08
2717	74	POPLATEK MESICNE	1996-07-25
2718	29	POPLATEK MESICNE	1995-02-05
2719	10	POPLATEK MESICNE	1996-02-08
2720	2	POPLATEK TYDNE	1997-06-16
2721	74	POPLATEK MESICNE	1997-11-14
2722	69	POPLATEK MESICNE	1997-07-24
2723	75	POPLATEK MESICNE	1995-03-12
2724	11	POPLATEK MESICNE	1996-08-09
2725	52	POPLATEK MESICNE	1997-04-02
2726	18	POPLATEK MESICNE	1995-04-20
2727	1	POPLATEK MESICNE	1995-10-25
2728	52	POPLATEK TYDNE	1997-07-06
2729	40	POPLATEK MESICNE	1995-01-16
2730	23	POPLATEK MESICNE	1996-05-02
2731	1	POPLATEK MESICNE	1995-09-26
2732	5	POPLATEK MESICNE	1993-07-27
2733	76	POPLATEK MESICNE	1993-12-22
2734	53	POPLATEK MESICNE	1996-12-16
2736	72	POPLATEK MESICNE	1993-07-02
2737	69	POPLATEK MESICNE	1996-07-06
2738	41	POPLATEK MESICNE	1993-11-12
2739	59	POPLATEK MESICNE	1993-11-29
2740	14	POPLATEK MESICNE	1994-05-08
2741	15	POPLATEK MESICNE	1993-06-07
2742	23	POPLATEK MESICNE	1994-10-15
2743	51	POPLATEK MESICNE	1997-05-22
2744	70	POPLATEK TYDNE	1997-04-19
2745	60	POPLATEK MESICNE	1997-09-28
2746	24	POPLATEK MESICNE	1996-08-23
2747	1	POPLATEK MESICNE	1994-08-14
2749	1	POPLATEK MESICNE	1994-05-23
2750	13	POPLATEK MESICNE	1995-04-13
2751	31	POPLATEK MESICNE	1995-04-28
2752	74	POPLATEK MESICNE	1996-05-15
2753	26	POPLATEK MESICNE	1996-02-13
2754	57	POPLATEK TYDNE	1996-01-26
2755	20	POPLATEK MESICNE	1995-01-26
2756	24	POPLATEK MESICNE	1997-10-21
2757	54	POPLATEK MESICNE	1996-05-14
2758	70	POPLATEK MESICNE	1993-05-19
2759	46	POPLATEK MESICNE	1996-10-23
2760	10	POPLATEK MESICNE	1997-03-14
2761	1	POPLATEK MESICNE	1996-12-26
2762	19	POPLATEK MESICNE	1993-03-20
2763	64	POPLATEK MESICNE	1993-02-11
2764	53	POPLATEK MESICNE	1996-08-15
2765	69	POPLATEK MESICNE	1997-09-20
2766	31	POPLATEK MESICNE	1997-02-20
2767	54	POPLATEK MESICNE	1996-03-23
2768	73	POPLATEK MESICNE	1993-12-20
2770	42	POPLATEK MESICNE	1993-12-25
2771	37	POPLATEK MESICNE	1993-08-18
2772	11	POPLATEK MESICNE	1996-02-24
2773	38	POPLATEK MESICNE	1996-06-23
2774	42	POPLATEK MESICNE	1996-02-05
2775	30	POPLATEK MESICNE	1997-12-08
2776	23	POPLATEK MESICNE	1997-08-10
2777	62	POPLATEK MESICNE	1996-12-25
2778	38	POPLATEK MESICNE	1993-12-30
2779	73	POPLATEK MESICNE	1993-06-15
2780	63	POPLATEK MESICNE	1995-12-29
2781	16	POPLATEK MESICNE	1995-06-20
2782	1	POPLATEK MESICNE	1997-02-27
2783	43	POPLATEK MESICNE	1995-11-23
2784	40	POPLATEK MESICNE	1997-10-30
2787	1	POPLATEK MESICNE	1997-12-07
2788	54	POPLATEK MESICNE	1994-10-12
2789	14	POPLATEK MESICNE	1994-01-01
2790	1	POPLATEK MESICNE	1994-10-18
2791	25	POPLATEK MESICNE	1997-12-19
2792	1	POPLATEK MESICNE	1996-08-26
2793	47	POPLATEK MESICNE	1993-10-09
2794	74	POPLATEK MESICNE	1996-08-08
2795	11	POPLATEK MESICNE	1996-08-20
2796	5	POPLATEK TYDNE	1997-12-08
2797	74	POPLATEK MESICNE	1997-02-26
2798	70	POPLATEK MESICNE	1994-08-24
2799	54	POPLATEK TYDNE	1994-04-03
2800	41	POPLATEK MESICNE	1997-05-08
2801	11	POPLATEK MESICNE	1996-09-23
2802	1	POPLATEK MESICNE	1993-09-16
2803	58	POPLATEK MESICNE	1995-12-01
2804	53	POPLATEK MESICNE	1996-02-22
2805	39	POPLATEK MESICNE	1996-05-20
2806	53	POPLATEK MESICNE	1997-06-26
2807	42	POPLATEK MESICNE	1996-10-04
2808	1	POPLATEK MESICNE	1994-12-18
2809	73	POPLATEK MESICNE	1994-12-08
2810	66	POPLATEK MESICNE	1995-03-16
2811	4	POPLATEK MESICNE	1996-01-02
2812	18	POPLATEK MESICNE	1996-07-05
2813	24	POPLATEK MESICNE	1993-12-15
2814	72	POPLATEK MESICNE	1993-04-25
2816	74	POPLATEK MESICNE	1997-05-04
2817	56	POPLATEK MESICNE	1993-04-07
2818	40	POPLATEK MESICNE	1993-07-21
2819	35	POPLATEK MESICNE	1994-07-16
2820	36	POPLATEK MESICNE	1997-12-11
2821	54	POPLATEK MESICNE	1996-07-12
2823	57	POPLATEK MESICNE	1993-04-18
2824	11	POPLATEK MESICNE	1993-10-20
2825	54	POPLATEK MESICNE	1996-07-10
2826	35	POPLATEK MESICNE	1996-11-20
2827	70	POPLATEK MESICNE	1996-12-18
2829	66	POPLATEK MESICNE	1997-08-18
2830	20	POPLATEK MESICNE	1995-08-04
2831	1	POPLATEK MESICNE	1997-11-10
2832	12	POPLATEK MESICNE	1997-11-22
2833	64	POPLATEK MESICNE	1995-08-30
2834	70	POPLATEK MESICNE	1995-10-14
2835	73	POPLATEK MESICNE	1995-10-03
2836	42	POPLATEK MESICNE	1995-11-18
2837	46	POPLATEK MESICNE	1996-06-02
2838	3	POPLATEK TYDNE	1993-04-13
2839	70	POPLATEK MESICNE	1995-04-04
2840	15	POPLATEK MESICNE	1994-10-09
2841	71	POPLATEK MESICNE	1993-07-27
2842	14	POPLATEK MESICNE	1993-12-29
2843	30	POPLATEK MESICNE	1997-03-29
2844	43	POPLATEK MESICNE	1996-01-19
2845	62	POPLATEK MESICNE	1997-08-21
2846	1	POPLATEK MESICNE	1997-09-27
2847	75	POPLATEK MESICNE	1994-05-08
2849	1	POPLATEK MESICNE	1993-09-16
2850	57	POPLATEK MESICNE	1997-11-22
2851	17	POPLATEK MESICNE	1995-12-02
2852	70	POPLATEK MESICNE	1996-12-29
2853	54	POPLATEK MESICNE	1995-09-08
2854	1	POPLATEK MESICNE	1997-01-18
2855	27	POPLATEK MESICNE	1995-08-21
2856	25	POPLATEK MESICNE	1995-03-18
2857	19	POPLATEK MESICNE	1997-04-28
2858	56	POPLATEK MESICNE	1995-08-22
2859	11	POPLATEK MESICNE	1993-10-23
2860	54	POPLATEK TYDNE	1997-05-30
2861	38	POPLATEK MESICNE	1993-02-10
2862	33	POPLATEK MESICNE	1993-06-07
2863	14	POPLATEK MESICNE	1996-01-21
2864	54	POPLATEK MESICNE	1996-03-16
2865	1	POPLATEK MESICNE	1995-03-03
2866	43	POPLATEK MESICNE	1995-09-13
2867	30	POPLATEK MESICNE	1993-11-04
2868	1	POPLATEK MESICNE	1994-06-15
2869	68	POPLATEK MESICNE	1996-09-27
2870	1	POPLATEK MESICNE	1996-06-18
2871	52	POPLATEK MESICNE	1995-10-30
2872	1	POPLATEK MESICNE	1996-09-04
2873	70	POPLATEK MESICNE	1996-12-13
2874	32	POPLATEK MESICNE	1997-04-02
2875	19	POPLATEK MESICNE	1996-12-24
2876	52	POPLATEK MESICNE	1993-04-22
2877	37	POPLATEK MESICNE	1995-06-04
2878	1	POPLATEK MESICNE	1997-06-14
2879	15	POPLATEK MESICNE	1997-10-14
2880	71	POPLATEK MESICNE	1993-06-16
2881	70	POPLATEK MESICNE	1993-01-04
2882	44	POPLATEK MESICNE	1996-07-20
2883	77	POPLATEK MESICNE	1997-06-29
2884	1	POPLATEK MESICNE	1993-02-08
2885	1	POPLATEK MESICNE	1996-09-04
2886	1	POPLATEK MESICNE	1994-04-08
2887	76	POPLATEK MESICNE	1996-07-13
2888	19	POPLATEK MESICNE	1996-05-23
2889	8	POPLATEK MESICNE	1996-03-23
2890	69	POPLATEK MESICNE	1996-02-07
2891	42	POPLATEK MESICNE	1997-05-28
2892	64	POPLATEK MESICNE	1997-12-16
2893	39	POPLATEK MESICNE	1996-02-08
2894	17	POPLATEK MESICNE	1993-08-28
2895	19	POPLATEK MESICNE	1993-03-09
2896	29	POPLATEK MESICNE	1993-03-30
2897	51	POPLATEK MESICNE	1997-10-11
2898	54	POPLATEK MESICNE	1996-11-23
2899	40	POPLATEK MESICNE	1997-04-03
2900	20	POPLATEK MESICNE	1997-05-14
2901	1	POPLATEK MESICNE	1997-04-09
2902	32	POPLATEK MESICNE	1993-01-28
2903	38	POPLATEK MESICNE	1994-05-19
2904	13	POPLATEK MESICNE	1996-03-20
2905	74	POPLATEK MESICNE	1994-10-03
2906	49	POPLATEK MESICNE	1996-09-20
2907	70	POPLATEK MESICNE	1993-09-09
2908	61	POPLATEK MESICNE	1997-03-16
2909	58	POPLATEK MESICNE	1996-04-04
2910	68	POPLATEK MESICNE	1997-10-21
2911	33	POPLATEK MESICNE	1995-02-25
2912	74	POPLATEK MESICNE	1994-07-30
2913	8	POPLATEK MESICNE	1993-12-28
2914	4	POPLATEK MESICNE	1996-09-08
2915	57	POPLATEK MESICNE	1993-07-23
2916	6	POPLATEK MESICNE	1996-12-03
2917	68	POPLATEK MESICNE	1996-08-08
2918	15	POPLATEK PO OBRATU	1997-12-05
2919	77	POPLATEK MESICNE	1995-05-10
2920	73	POPLATEK MESICNE	1997-11-13
2921	54	POPLATEK MESICNE	1996-09-21
2922	16	POPLATEK MESICNE	1994-06-06
2923	43	POPLATEK MESICNE	1995-01-10
2924	56	POPLATEK MESICNE	1994-10-16
2925	1	POPLATEK MESICNE	1993-01-10
2926	50	POPLATEK MESICNE	1993-01-14
2927	37	POPLATEK MESICNE	1997-08-04
2928	55	POPLATEK MESICNE	1993-12-14
2929	51	POPLATEK MESICNE	1996-04-06
2930	1	POPLATEK MESICNE	1996-08-24
2931	36	POPLATEK MESICNE	1995-05-04
2932	72	POPLATEK MESICNE	1993-05-04
2933	10	POPLATEK MESICNE	1993-06-18
2934	1	POPLATEK MESICNE	1996-10-08
2935	68	POPLATEK MESICNE	1995-05-15
2936	3	POPLATEK MESICNE	1996-03-27
2937	1	POPLATEK MESICNE	1997-02-25
2938	1	POPLATEK MESICNE	1993-08-04
2939	5	POPLATEK MESICNE	1997-06-28
2940	54	POPLATEK MESICNE	1993-06-24
2942	44	POPLATEK MESICNE	1997-09-24
2944	22	POPLATEK MESICNE	1996-01-11
2945	6	POPLATEK MESICNE	1996-07-11
2946	54	POPLATEK MESICNE	1996-05-07
2947	57	POPLATEK MESICNE	1996-08-09
2949	1	POPLATEK MESICNE	1994-10-21
2950	62	POPLATEK MESICNE	1996-06-28
2951	44	POPLATEK MESICNE	1993-09-06
2952	65	POPLATEK MESICNE	1997-04-28
2953	1	POPLATEK MESICNE	1996-09-02
2954	1	POPLATEK MESICNE	1997-04-08
2955	67	POPLATEK MESICNE	1996-09-27
2956	15	POPLATEK MESICNE	1997-06-10
2957	25	POPLATEK MESICNE	1995-07-28
2958	48	POPLATEK MESICNE	1993-09-19
2959	8	POPLATEK MESICNE	1994-02-25
2960	19	POPLATEK MESICNE	1994-09-20
2961	9	POPLATEK MESICNE	1996-07-12
2962	1	POPLATEK MESICNE	1993-05-30
2963	31	POPLATEK MESICNE	1996-12-09
2964	72	POPLATEK MESICNE	1997-01-09
2965	6	POPLATEK MESICNE	1995-10-10
2966	33	POPLATEK MESICNE	1997-03-27
2967	38	POPLATEK MESICNE	1996-11-13
2968	15	POPLATEK MESICNE	1995-02-05
2969	29	POPLATEK MESICNE	1995-05-26
2970	60	POPLATEK MESICNE	1993-01-22
2971	76	POPLATEK TYDNE	1993-12-23
2972	12	POPLATEK MESICNE	1993-11-23
2973	23	POPLATEK MESICNE	1996-08-15
2974	9	POPLATEK MESICNE	1993-03-13
2976	13	POPLATEK MESICNE	1996-08-19
2977	28	POPLATEK MESICNE	1996-06-20
2978	74	POPLATEK MESICNE	1995-01-06
2979	10	POPLATEK MESICNE	1997-11-22
2980	66	POPLATEK MESICNE	1993-12-09
2981	46	POPLATEK MESICNE	1997-01-11
2982	19	POPLATEK MESICNE	1996-06-04
2983	42	POPLATEK MESICNE	1996-07-25
2985	71	POPLATEK MESICNE	1993-04-06
2986	63	POPLATEK MESICNE	1996-04-09
2987	18	POPLATEK MESICNE	1993-09-16
2988	66	POPLATEK PO OBRATU	1996-10-14
2989	4	POPLATEK MESICNE	1993-11-28
2990	30	POPLATEK MESICNE	1996-09-16
2991	19	POPLATEK MESICNE	1993-05-22
2992	43	POPLATEK MESICNE	1997-07-11
2993	1	POPLATEK TYDNE	1996-02-13
2994	77	POPLATEK MESICNE	1996-05-03
2995	51	POPLATEK MESICNE	1996-12-14
2996	54	POPLATEK MESICNE	1994-05-17
2997	40	POPLATEK MESICNE	1997-09-09
2998	21	POPLATEK MESICNE	1997-11-09
2999	66	POPLATEK MESICNE	1996-10-08
3000	28	POPLATEK MESICNE	1993-07-14
3001	1	POPLATEK MESICNE	1993-03-24
3003	18	POPLATEK MESICNE	1993-11-27
3004	11	POPLATEK MESICNE	1996-08-22
3005	42	POPLATEK PO OBRATU	1997-01-11
3006	64	POPLATEK MESICNE	1995-01-01
3007	16	POPLATEK MESICNE	1993-02-02
3008	72	POPLATEK MESICNE	1993-02-27
3009	1	POPLATEK MESICNE	1996-01-26
3010	46	POPLATEK MESICNE	1995-09-13
3011	64	POPLATEK MESICNE	1993-09-01
3012	49	POPLATEK MESICNE	1997-04-18
3013	73	POPLATEK MESICNE	1997-12-09
3014	75	POPLATEK TYDNE	1995-03-03
3015	19	POPLATEK MESICNE	1996-06-15
3016	26	POPLATEK MESICNE	1996-02-23
3017	75	POPLATEK MESICNE	1994-08-12
3018	34	POPLATEK MESICNE	1996-12-03
3019	33	POPLATEK MESICNE	1996-04-21
3020	3	POPLATEK MESICNE	1996-08-09
3021	10	POPLATEK MESICNE	1996-04-20
3022	64	POPLATEK MESICNE	1996-10-30
3023	35	POPLATEK MESICNE	1997-10-14
3024	1	POPLATEK MESICNE	1996-12-18
3025	25	POPLATEK MESICNE	1997-12-27
3026	24	POPLATEK MESICNE	1993-02-18
3027	62	POPLATEK MESICNE	1996-04-29
3028	27	POPLATEK MESICNE	1993-09-15
3029	42	POPLATEK MESICNE	1996-12-24
3030	65	POPLATEK MESICNE	1994-06-22
3031	51	POPLATEK MESICNE	1997-03-10
3032	5	POPLATEK MESICNE	1993-06-07
3033	69	POPLATEK MESICNE	1997-12-10
3035	15	POPLATEK TYDNE	1993-08-16
3036	10	POPLATEK MESICNE	1994-04-10
3037	44	POPLATEK MESICNE	1994-05-26
3038	10	POPLATEK MESICNE	1996-04-28
3039	1	POPLATEK MESICNE	1993-12-10
3040	17	POPLATEK MESICNE	1996-08-03
3041	70	POPLATEK MESICNE	1996-04-04
3042	10	POPLATEK MESICNE	1993-09-16
3043	1	POPLATEK MESICNE	1996-12-29
3044	72	POPLATEK MESICNE	1996-09-14
3045	1	POPLATEK MESICNE	1995-06-08
3046	74	POPLATEK MESICNE	1997-08-11
3047	16	POPLATEK MESICNE	1993-02-17
3048	74	POPLATEK TYDNE	1997-12-26
3049	61	POPLATEK MESICNE	1994-09-08
3050	60	POPLATEK MESICNE	1993-05-08
3051	9	POPLATEK MESICNE	1996-01-01
3052	44	POPLATEK MESICNE	1997-04-26
3053	11	POPLATEK MESICNE	1993-08-23
3055	15	POPLATEK MESICNE	1996-05-26
3056	55	POPLATEK MESICNE	1993-12-22
3057	9	POPLATEK MESICNE	1997-07-23
3058	44	POPLATEK MESICNE	1994-10-23
3059	1	POPLATEK MESICNE	1997-02-15
3060	73	POPLATEK MESICNE	1997-06-09
3061	76	POPLATEK MESICNE	1995-11-08
3062	17	POPLATEK MESICNE	1997-08-15
3063	72	POPLATEK MESICNE	1993-05-26
3064	40	POPLATEK MESICNE	1993-05-23
3066	74	POPLATEK MESICNE	1996-08-12
3067	46	POPLATEK MESICNE	1997-01-30
3068	59	POPLATEK MESICNE	1993-04-25
3069	66	POPLATEK MESICNE	1993-03-20
3070	56	POPLATEK MESICNE	1997-08-21
3071	41	POPLATEK MESICNE	1996-10-03
3072	8	POPLATEK MESICNE	1993-06-05
3074	74	POPLATEK TYDNE	1994-10-08
3075	71	POPLATEK MESICNE	1997-06-25
3076	54	POPLATEK MESICNE	1993-03-27
3077	64	POPLATEK MESICNE	1997-04-16
3078	1	POPLATEK MESICNE	1993-07-16
3079	18	POPLATEK MESICNE	1996-02-26
3080	57	POPLATEK MESICNE	1995-10-29
3082	33	POPLATEK MESICNE	1997-11-16
3083	66	POPLATEK MESICNE	1997-03-18
3084	59	POPLATEK TYDNE	1996-01-28
3085	66	POPLATEK MESICNE	1997-07-03
3086	1	POPLATEK MESICNE	1993-11-02
3087	15	POPLATEK MESICNE	1993-12-04
3088	18	POPLATEK MESICNE	1996-03-08
3089	12	POPLATEK TYDNE	1996-07-02
3090	1	POPLATEK MESICNE	1996-12-10
3091	3	POPLATEK MESICNE	1993-11-11
3092	46	POPLATEK MESICNE	1995-12-20
3093	16	POPLATEK MESICNE	1996-11-21
3094	56	POPLATEK MESICNE	1993-12-20
3096	68	POPLATEK MESICNE	1993-06-29
3097	66	POPLATEK MESICNE	1997-08-14
3098	1	POPLATEK MESICNE	1996-09-16
3099	70	POPLATEK MESICNE	1993-05-20
3100	65	POPLATEK MESICNE	1997-06-22
3101	1	POPLATEK MESICNE	1994-02-27
3102	33	POPLATEK MESICNE	1997-11-23
3103	1	POPLATEK PO OBRATU	1997-09-21
3104	1	POPLATEK MESICNE	1997-04-29
3105	37	POPLATEK MESICNE	1997-11-21
3106	12	POPLATEK TYDNE	1997-09-26
3107	5	POPLATEK MESICNE	1993-11-20
3108	53	POPLATEK MESICNE	1993-03-14
3109	18	POPLATEK MESICNE	1995-04-08
3110	48	POPLATEK MESICNE	1997-01-12
3111	60	POPLATEK MESICNE	1995-11-08
3112	38	POPLATEK MESICNE	1994-08-12
3113	67	POPLATEK MESICNE	1993-08-16
3114	1	POPLATEK MESICNE	1996-06-15
3115	14	POPLATEK MESICNE	1996-03-27
3116	54	POPLATEK MESICNE	1996-04-05
3117	33	POPLATEK MESICNE	1993-02-24
3118	48	POPLATEK MESICNE	1996-03-10
3119	33	POPLATEK MESICNE	1997-05-02
3120	1	POPLATEK MESICNE	1996-06-20
3121	46	POPLATEK MESICNE	1996-03-08
3122	74	POPLATEK MESICNE	1997-05-12
3124	6	POPLATEK MESICNE	1995-06-13
3125	37	POPLATEK MESICNE	1996-12-16
3126	17	POPLATEK MESICNE	1996-09-03
3127	66	POPLATEK MESICNE	1993-08-08
3128	1	POPLATEK MESICNE	1995-01-06
3129	5	POPLATEK MESICNE	1993-12-05
3130	13	POPLATEK MESICNE	1996-03-20
3131	21	POPLATEK MESICNE	1995-10-23
3132	56	POPLATEK MESICNE	1995-10-08
3133	66	POPLATEK MESICNE	1993-06-14
3134	48	POPLATEK MESICNE	1994-04-29
3135	72	POPLATEK MESICNE	1993-12-27
3136	69	POPLATEK MESICNE	1993-08-07
3137	39	POPLATEK MESICNE	1996-12-15
3138	37	POPLATEK MESICNE	1996-03-24
3139	12	POPLATEK MESICNE	1995-08-30
3140	3	POPLATEK MESICNE	1997-05-13
3141	1	POPLATEK TYDNE	1995-01-06
3142	2	POPLATEK MESICNE	1994-09-14
3143	38	POPLATEK MESICNE	1996-10-18
3144	67	POPLATEK MESICNE	1996-03-09
3145	4	POPLATEK MESICNE	1993-12-03
3146	68	POPLATEK MESICNE	1993-10-26
3147	54	POPLATEK MESICNE	1995-04-05
3148	33	POPLATEK MESICNE	1995-11-19
3149	57	POPLATEK MESICNE	1996-06-27
3151	6	POPLATEK MESICNE	1996-02-21
3152	1	POPLATEK MESICNE	1993-07-16
3153	2	POPLATEK MESICNE	1996-07-05
3154	1	POPLATEK MESICNE	1997-07-02
3155	28	POPLATEK MESICNE	1996-08-29
3156	1	POPLATEK PO OBRATU	1997-11-16
3157	77	POPLATEK MESICNE	1993-09-10
3158	71	POPLATEK MESICNE	1996-10-03
3160	22	POPLATEK MESICNE	1994-06-19
3161	48	POPLATEK MESICNE	1996-08-26
3162	63	POPLATEK TYDNE	1996-05-18
3163	41	POPLATEK MESICNE	1997-05-24
3164	33	POPLATEK MESICNE	1993-12-24
3166	71	POPLATEK MESICNE	1993-08-10
3167	18	POPLATEK MESICNE	1994-08-08
3168	39	POPLATEK MESICNE	1993-02-20
3169	19	POPLATEK MESICNE	1997-12-19
3170	1	POPLATEK MESICNE	1996-01-12
3171	61	POPLATEK MESICNE	1993-09-28
3172	77	POPLATEK MESICNE	1997-05-27
3173	39	POPLATEK MESICNE	1993-05-15
3174	65	POPLATEK MESICNE	1997-12-10
3175	50	POPLATEK MESICNE	1996-10-08
3176	26	POPLATEK MESICNE	1997-03-26
3177	74	POPLATEK MESICNE	1996-11-12
3178	4	POPLATEK MESICNE	1996-04-27
3179	71	POPLATEK MESICNE	1996-09-20
3180	1	POPLATEK MESICNE	1996-06-18
3181	42	POPLATEK MESICNE	1993-05-16
3182	6	POPLATEK MESICNE	1996-12-20
3183	45	POPLATEK MESICNE	1994-04-01
3184	1	POPLATEK MESICNE	1994-02-18
3185	45	POPLATEK MESICNE	1997-07-29
3186	10	POPLATEK MESICNE	1995-05-28
3187	59	POPLATEK MESICNE	1997-12-20
3188	24	POPLATEK MESICNE	1997-02-20
3189	29	POPLATEK MESICNE	1995-11-29
3190	1	POPLATEK MESICNE	1996-12-30
3191	72	POPLATEK MESICNE	1996-09-17
3192	18	POPLATEK MESICNE	1996-07-28
3193	74	POPLATEK MESICNE	1996-02-27
3194	11	POPLATEK MESICNE	1997-04-19
3195	40	POPLATEK MESICNE	1993-09-02
3196	1	POPLATEK MESICNE	1993-12-13
3197	1	POPLATEK MESICNE	1993-12-25
3199	66	POPLATEK MESICNE	1996-06-06
3200	17	POPLATEK PO OBRATU	1995-10-20
3201	4	POPLATEK MESICNE	1994-04-17
3202	8	POPLATEK MESICNE	1997-06-04
3203	23	POPLATEK MESICNE	1995-08-07
3204	61	POPLATEK MESICNE	1996-07-13
3205	1	POPLATEK MESICNE	1995-12-17
3206	38	POPLATEK MESICNE	1996-06-22
3208	29	POPLATEK MESICNE	1997-08-04
3209	45	POPLATEK MESICNE	1997-12-10
3210	1	POPLATEK MESICNE	1993-05-17
3211	72	POPLATEK MESICNE	1997-06-09
3212	70	POPLATEK MESICNE	1993-07-25
3213	51	POPLATEK MESICNE	1993-04-12
3214	67	POPLATEK MESICNE	1997-05-10
3216	3	POPLATEK MESICNE	1995-08-11
3217	75	POPLATEK PO OBRATU	1997-04-23
3218	41	POPLATEK MESICNE	1993-11-14
3219	1	POPLATEK MESICNE	1996-03-26
3220	29	POPLATEK MESICNE	1993-08-14
3221	5	POPLATEK MESICNE	1993-08-17
3222	4	POPLATEK MESICNE	1993-07-21
3223	1	POPLATEK MESICNE	1993-12-07
3224	55	POPLATEK MESICNE	1996-11-10
3225	1	POPLATEK MESICNE	1993-11-01
3226	65	POPLATEK MESICNE	1994-08-28
3227	1	POPLATEK MESICNE	1996-06-24
3228	29	POPLATEK MESICNE	1996-10-30
3229	64	POPLATEK MESICNE	1995-11-18
3230	1	POPLATEK MESICNE	1995-03-11
3231	73	POPLATEK MESICNE	1995-04-18
3232	37	POPLATEK MESICNE	1996-10-02
3233	31	POPLATEK MESICNE	1995-03-03
3234	1	POPLATEK MESICNE	1995-09-16
3235	8	POPLATEK MESICNE	1995-01-26
3236	52	POPLATEK MESICNE	1997-02-20
3237	20	POPLATEK MESICNE	1993-10-02
3238	47	POPLATEK MESICNE	1996-01-07
3239	5	POPLATEK MESICNE	1996-06-19
3240	35	POPLATEK TYDNE	1996-05-29
3241	44	POPLATEK MESICNE	1993-07-16
3242	28	POPLATEK MESICNE	1997-03-02
3243	1	POPLATEK MESICNE	1993-11-10
3244	56	POPLATEK MESICNE	1995-01-14
3245	45	POPLATEK MESICNE	1997-06-26
3246	54	POPLATEK MESICNE	1993-06-14
3247	61	POPLATEK MESICNE	1996-04-11
3248	77	POPLATEK MESICNE	1996-05-11
3249	74	POPLATEK MESICNE	1996-10-11
3250	1	POPLATEK MESICNE	1995-01-06
3251	59	POPLATEK MESICNE	1995-05-18
3252	12	POPLATEK MESICNE	1995-06-12
3253	71	POPLATEK PO OBRATU	1994-03-15
3254	36	POPLATEK MESICNE	1995-08-27
3255	1	POPLATEK MESICNE	1993-09-15
3256	40	POPLATEK MESICNE	1996-11-19
3258	53	POPLATEK MESICNE	1993-06-05
3259	1	POPLATEK MESICNE	1994-04-11
3260	68	POPLATEK MESICNE	1993-03-25
3261	1	POPLATEK MESICNE	1993-07-07
3262	23	POPLATEK MESICNE	1997-06-22
3263	44	POPLATEK MESICNE	1996-03-07
3264	70	POPLATEK MESICNE	1993-10-23
3265	52	POPLATEK PO OBRATU	1996-03-30
3266	14	POPLATEK MESICNE	1997-03-29
3267	64	POPLATEK MESICNE	1993-07-21
3268	21	POPLATEK MESICNE	1993-09-20
3269	37	POPLATEK MESICNE	1995-09-03
3270	30	POPLATEK MESICNE	1995-08-08
3271	8	POPLATEK MESICNE	1996-10-12
3272	53	POPLATEK MESICNE	1996-08-30
3273	74	POPLATEK MESICNE	1995-12-29
3274	76	POPLATEK MESICNE	1997-09-17
3275	74	POPLATEK MESICNE	1994-06-29
3276	1	POPLATEK MESICNE	1997-12-29
3277	36	POPLATEK MESICNE	1993-07-12
3278	4	POPLATEK MESICNE	1996-01-02
3279	46	POPLATEK TYDNE	1994-12-17
3280	1	POPLATEK MESICNE	1996-04-24
3281	1	POPLATEK MESICNE	1997-08-06
3282	1	POPLATEK MESICNE	1996-11-24
3283	68	POPLATEK MESICNE	1993-03-26
3284	64	POPLATEK MESICNE	1993-05-17
3285	43	POPLATEK MESICNE	1996-05-12
3286	8	POPLATEK MESICNE	1996-02-26
3287	18	POPLATEK MESICNE	1993-07-26
3288	54	POPLATEK MESICNE	1994-09-15
3289	1	POPLATEK MESICNE	1994-06-02
3290	19	POPLATEK MESICNE	1996-12-09
3291	45	POPLATEK MESICNE	1996-11-16
3292	1	POPLATEK MESICNE	1993-12-21
3293	1	POPLATEK MESICNE	1997-08-08
3294	75	POPLATEK MESICNE	1996-04-09
3296	67	POPLATEK MESICNE	1996-03-15
3297	53	POPLATEK MESICNE	1995-02-17
3298	29	POPLATEK MESICNE	1993-08-04
3299	11	POPLATEK TYDNE	1997-05-16
3300	71	POPLATEK MESICNE	1997-09-19
3301	14	POPLATEK MESICNE	1996-04-25
3302	21	POPLATEK MESICNE	1993-03-02
3303	1	POPLATEK MESICNE	1995-11-17
3304	36	POPLATEK MESICNE	1997-01-16
3305	13	POPLATEK MESICNE	1995-12-09
3306	75	POPLATEK MESICNE	1993-08-24
3307	30	POPLATEK MESICNE	1994-03-13
3308	40	POPLATEK MESICNE	1996-04-02
3309	66	POPLATEK MESICNE	1993-11-20
3310	25	POPLATEK MESICNE	1993-09-15
3311	8	POPLATEK MESICNE	1996-08-18
3312	30	POPLATEK MESICNE	1996-12-04
3314	25	POPLATEK MESICNE	1996-10-14
3315	23	POPLATEK MESICNE	1995-08-24
3316	28	POPLATEK MESICNE	1993-05-06
3317	4	POPLATEK MESICNE	1995-10-04
3318	62	POPLATEK MESICNE	1996-06-25
3319	56	POPLATEK MESICNE	1993-08-29
3320	1	POPLATEK MESICNE	1995-12-01
3321	17	POPLATEK MESICNE	1995-04-18
3322	65	POPLATEK TYDNE	1996-03-20
3323	13	POPLATEK MESICNE	1993-09-08
3324	3	POPLATEK MESICNE	1997-10-17
3325	11	POPLATEK MESICNE	1997-11-03
3326	5	POPLATEK MESICNE	1993-11-11
3327	45	POPLATEK MESICNE	1993-04-16
3328	1	POPLATEK MESICNE	1997-03-17
3329	3	POPLATEK MESICNE	1996-10-12
3330	76	POPLATEK MESICNE	1995-07-08
3331	16	POPLATEK MESICNE	1997-02-20
3332	17	POPLATEK MESICNE	1997-03-25
3333	44	POPLATEK MESICNE	1997-11-27
3334	67	POPLATEK MESICNE	1996-07-09
3335	35	POPLATEK MESICNE	1996-02-18
3336	51	POPLATEK MESICNE	1994-09-19
3337	58	POPLATEK PO OBRATU	1997-02-22
3338	25	POPLATEK MESICNE	1995-12-24
3339	1	POPLATEK MESICNE	1996-09-27
3342	59	POPLATEK MESICNE	1997-10-06
3343	1	POPLATEK MESICNE	1997-08-03
3344	70	POPLATEK MESICNE	1997-05-15
3345	22	POPLATEK MESICNE	1993-12-08
3346	1	POPLATEK MESICNE	1997-07-25
3347	4	POPLATEK MESICNE	1996-08-19
3348	4	POPLATEK MESICNE	1994-12-08
3349	47	POPLATEK MESICNE	1996-03-28
3350	74	POPLATEK MESICNE	1996-07-13
3351	70	POPLATEK MESICNE	1996-03-08
3352	42	POPLATEK MESICNE	1993-11-08
3353	74	POPLATEK MESICNE	1996-08-27
3354	63	POPLATEK MESICNE	1993-11-05
3355	70	POPLATEK MESICNE	1994-02-26
3357	54	POPLATEK MESICNE	1995-07-26
3358	44	POPLATEK MESICNE	1996-02-21
3359	8	POPLATEK MESICNE	1996-07-30
3360	71	POPLATEK MESICNE	1997-11-10
3361	45	POPLATEK MESICNE	1993-08-26
3362	73	POPLATEK MESICNE	1995-01-25
3363	30	POPLATEK MESICNE	1995-06-24
3364	21	POPLATEK TYDNE	1994-12-08
3365	11	POPLATEK MESICNE	1997-11-18
3366	68	POPLATEK MESICNE	1996-03-02
3367	1	POPLATEK MESICNE	1993-04-01
3368	24	POPLATEK MESICNE	1995-09-14
3369	8	POPLATEK MESICNE	1994-12-01
3370	49	POPLATEK MESICNE	1993-11-15
3371	68	POPLATEK MESICNE	1993-11-04
3372	23	POPLATEK MESICNE	1994-05-26
3373	27	POPLATEK MESICNE	1996-01-18
3374	21	POPLATEK MESICNE	1993-02-17
3375	9	POPLATEK MESICNE	1997-01-15
3376	58	POPLATEK MESICNE	1996-11-17
3377	74	POPLATEK MESICNE	1996-12-02
3378	55	POPLATEK MESICNE	1994-03-14
3379	63	POPLATEK MESICNE	1997-01-24
3380	64	POPLATEK MESICNE	1993-12-10
3381	68	POPLATEK MESICNE	1997-08-02
3382	23	POPLATEK TYDNE	1997-11-20
3383	29	POPLATEK MESICNE	1997-09-28
3384	14	POPLATEK MESICNE	1995-11-05
3385	1	POPLATEK MESICNE	1997-12-21
3386	2	POPLATEK MESICNE	1995-05-23
3387	25	POPLATEK TYDNE	1996-12-28
3389	13	POPLATEK MESICNE	1996-01-30
3390	12	POPLATEK TYDNE	1996-12-22
3391	74	POPLATEK MESICNE	1993-04-01
3392	1	POPLATEK MESICNE	1995-06-08
3393	4	POPLATEK MESICNE	1996-12-22
3394	23	POPLATEK MESICNE	1996-10-09
3395	16	POPLATEK MESICNE	1997-11-05
3396	1	POPLATEK MESICNE	1997-11-20
3397	49	POPLATEK MESICNE	1996-08-04
3398	43	POPLATEK MESICNE	1997-04-15
3399	63	POPLATEK MESICNE	1996-09-26
3401	38	POPLATEK TYDNE	1997-10-04
3402	76	POPLATEK TYDNE	1995-03-16
3403	63	POPLATEK MESICNE	1997-05-20
3404	33	POPLATEK MESICNE	1997-11-04
3405	36	POPLATEK MESICNE	1994-03-07
3406	53	POPLATEK MESICNE	1997-12-08
3407	28	POPLATEK MESICNE	1993-08-24
3408	62	POPLATEK MESICNE	1993-09-19
3409	23	POPLATEK MESICNE	1996-03-01
3410	39	POPLATEK MESICNE	1995-07-03
3411	19	POPLATEK MESICNE	1996-12-17
3412	31	POPLATEK MESICNE	1996-12-20
3413	70	POPLATEK MESICNE	1993-07-13
3415	75	POPLATEK MESICNE	1997-12-06
3417	48	POPLATEK MESICNE	1995-09-28
3418	42	POPLATEK PO OBRATU	1996-09-02
3419	1	POPLATEK MESICNE	1994-10-29
3421	31	POPLATEK MESICNE	1995-02-01
3422	21	POPLATEK MESICNE	1996-03-28
3423	11	POPLATEK MESICNE	1997-11-10
3424	74	POPLATEK MESICNE	1993-02-16
3425	70	POPLATEK MESICNE	1994-08-24
3426	9	POPLATEK TYDNE	1996-07-13
3427	36	POPLATEK MESICNE	1996-08-23
3428	27	POPLATEK MESICNE	1997-07-12
3429	73	POPLATEK MESICNE	1993-12-17
3430	9	POPLATEK MESICNE	1996-12-10
3431	64	POPLATEK MESICNE	1996-09-21
3432	1	POPLATEK MESICNE	1996-06-25
3433	73	POPLATEK MESICNE	1997-07-07
3434	32	POPLATEK MESICNE	1996-05-13
3435	59	POPLATEK MESICNE	1993-07-01
3436	5	POPLATEK MESICNE	1995-06-24
3437	1	POPLATEK MESICNE	1996-11-13
3438	35	POPLATEK MESICNE	1996-12-21
3439	16	POPLATEK MESICNE	1996-02-16
3440	22	POPLATEK MESICNE	1995-09-22
3442	4	POPLATEK MESICNE	1996-01-16
3443	45	POPLATEK MESICNE	1996-07-26
3444	53	POPLATEK TYDNE	1997-09-04
3445	1	POPLATEK MESICNE	1994-02-22
3446	6	POPLATEK PO OBRATU	1996-09-27
3448	58	POPLATEK TYDNE	1996-06-06
3449	1	POPLATEK MESICNE	1995-04-27
3450	1	POPLATEK MESICNE	1996-12-13
3451	52	POPLATEK MESICNE	1996-04-27
3452	63	POPLATEK MESICNE	1996-12-13
3453	13	POPLATEK MESICNE	1995-06-08
3454	32	POPLATEK MESICNE	1996-10-17
3455	34	POPLATEK MESICNE	1996-03-13
3456	32	POPLATEK MESICNE	1993-09-06
3457	54	POPLATEK MESICNE	1994-10-01
3458	63	POPLATEK MESICNE	1995-07-07
3459	76	POPLATEK MESICNE	1996-06-02
3460	16	POPLATEK MESICNE	1997-04-08
3461	8	POPLATEK MESICNE	1997-06-23
3462	51	POPLATEK MESICNE	1996-03-04
3463	38	POPLATEK MESICNE	1997-09-21
3464	25	POPLATEK MESICNE	1995-05-05
3465	1	POPLATEK MESICNE	1993-07-16
3466	64	POPLATEK MESICNE	1995-02-16
3467	17	POPLATEK MESICNE	1996-08-25
3468	32	POPLATEK MESICNE	1996-02-14
3469	76	POPLATEK MESICNE	1993-05-22
3470	8	POPLATEK MESICNE	1997-01-12
3471	63	POPLATEK MESICNE	1997-01-22
3472	55	POPLATEK MESICNE	1996-07-21
3474	23	POPLATEK MESICNE	1995-07-12
3476	3	POPLATEK MESICNE	1995-12-16
3477	71	POPLATEK MESICNE	1993-08-22
3478	30	POPLATEK MESICNE	1994-09-04
3479	22	POPLATEK MESICNE	1994-06-14
3480	58	POPLATEK MESICNE	1993-09-14
3482	70	POPLATEK MESICNE	1995-01-03
3483	40	POPLATEK MESICNE	1993-10-12
3484	22	POPLATEK MESICNE	1994-06-01
3485	53	POPLATEK MESICNE	1996-06-19
3486	64	POPLATEK MESICNE	1995-10-09
3487	41	POPLATEK MESICNE	1993-01-08
3489	9	POPLATEK MESICNE	1994-12-08
3490	48	POPLATEK MESICNE	1995-11-26
3491	51	POPLATEK MESICNE	1996-07-27
3492	33	POPLATEK MESICNE	1995-09-10
3493	63	POPLATEK MESICNE	1993-07-22
3494	60	POPLATEK MESICNE	1996-07-22
3495	54	POPLATEK MESICNE	1996-05-17
3496	42	POPLATEK MESICNE	1997-06-11
3497	76	POPLATEK MESICNE	1994-08-02
3498	31	POPLATEK MESICNE	1996-11-12
3499	51	POPLATEK MESICNE	1996-09-14
3501	36	POPLATEK MESICNE	1997-12-13
3502	74	POPLATEK MESICNE	1996-03-08
3503	1	POPLATEK MESICNE	1994-07-17
3504	70	POPLATEK MESICNE	1996-08-30
3505	46	POPLATEK MESICNE	1993-09-23
3506	70	POPLATEK MESICNE	1997-05-08
3507	9	POPLATEK MESICNE	1996-12-01
3508	42	POPLATEK MESICNE	1996-09-12
3509	2	POPLATEK MESICNE	1993-09-05
3510	41	POPLATEK MESICNE	1993-01-07
3511	70	POPLATEK MESICNE	1996-07-23
3512	46	POPLATEK MESICNE	1996-05-11
3513	20	POPLATEK MESICNE	1993-03-03
3514	7	POPLATEK MESICNE	1993-02-03
3515	68	POPLATEK MESICNE	1996-06-16
3516	36	POPLATEK TYDNE	1997-09-07
3517	26	POPLATEK MESICNE	1996-11-22
3518	9	POPLATEK MESICNE	1996-07-22
3519	52	POPLATEK MESICNE	1996-02-10
3520	72	POPLATEK MESICNE	1995-06-04
3521	75	POPLATEK MESICNE	1993-06-22
3522	16	POPLATEK MESICNE	1996-06-07
3523	65	POPLATEK MESICNE	1996-05-14
3524	66	POPLATEK MESICNE	1997-06-28
3525	70	POPLATEK MESICNE	1995-12-01
3526	1	POPLATEK MESICNE	1996-07-22
3527	44	POPLATEK MESICNE	1997-01-11
3528	10	POPLATEK MESICNE	1994-03-05
3529	12	POPLATEK MESICNE	1997-07-08
3530	34	POPLATEK MESICNE	1996-01-03
3531	59	POPLATEK MESICNE	1996-05-03
3532	73	POPLATEK MESICNE	1995-07-18
3533	74	POPLATEK MESICNE	1994-08-29
3534	59	POPLATEK MESICNE	1996-04-08
3535	1	POPLATEK MESICNE	1993-10-05
3536	24	POPLATEK MESICNE	1994-08-11
3537	45	POPLATEK MESICNE	1997-08-22
3538	58	POPLATEK MESICNE	1993-08-08
3539	42	POPLATEK MESICNE	1994-06-08
3540	18	POPLATEK MESICNE	1997-01-03
3541	70	POPLATEK MESICNE	1997-03-02
3542	49	POPLATEK MESICNE	1993-06-11
3543	74	POPLATEK MESICNE	1996-07-21
3544	33	POPLATEK MESICNE	1997-04-07
3545	51	POPLATEK MESICNE	1993-02-17
3546	55	POPLATEK MESICNE	1997-02-03
3547	54	POPLATEK MESICNE	1993-08-07
3548	23	POPLATEK MESICNE	1993-11-11
3549	27	POPLATEK MESICNE	1996-08-14
3550	68	POPLATEK MESICNE	1996-07-04
3551	6	POPLATEK MESICNE	1993-10-17
3552	62	POPLATEK MESICNE	1995-09-06
3553	70	POPLATEK MESICNE	1995-08-30
3554	66	POPLATEK MESICNE	1993-02-16
3555	32	POPLATEK MESICNE	1994-09-26
3556	58	POPLATEK MESICNE	1997-08-29
3557	72	POPLATEK MESICNE	1996-11-02
3558	4	POPLATEK MESICNE	1993-05-23
3559	18	POPLATEK MESICNE	1995-12-30
3560	57	POPLATEK MESICNE	1996-11-10
3561	33	POPLATEK MESICNE	1997-10-15
3562	50	POPLATEK MESICNE	1996-07-19
3563	1	POPLATEK MESICNE	1996-07-04
3564	14	POPLATEK MESICNE	1996-11-17
3565	30	POPLATEK MESICNE	1997-02-12
3566	21	POPLATEK MESICNE	1993-06-09
3567	5	POPLATEK MESICNE	1994-12-20
3568	40	POPLATEK MESICNE	1996-04-11
3569	1	POPLATEK MESICNE	1996-09-18
3570	44	POPLATEK MESICNE	1993-11-29
3571	39	POPLATEK MESICNE	1993-11-21
3572	65	POPLATEK MESICNE	1995-11-12
3573	59	POPLATEK MESICNE	1996-06-27
3574	72	POPLATEK MESICNE	1997-03-08
3575	7	POPLATEK MESICNE	1993-09-08
3576	58	POPLATEK MESICNE	1994-11-07
3577	74	POPLATEK MESICNE	1997-05-11
3578	1	POPLATEK MESICNE	1996-02-17
3579	53	POPLATEK MESICNE	1994-09-02
3580	43	POPLATEK MESICNE	1993-08-01
3581	66	POPLATEK MESICNE	1997-03-26
3582	19	POPLATEK MESICNE	1995-08-26
3583	40	POPLATEK MESICNE	1995-02-03
3584	55	POPLATEK MESICNE	1996-06-12
3585	1	POPLATEK MESICNE	1996-06-23
3586	59	POPLATEK MESICNE	1993-03-27
3587	64	POPLATEK MESICNE	1995-12-24
3588	33	POPLATEK MESICNE	1996-06-28
3589	5	POPLATEK MESICNE	1996-11-13
3590	57	POPLATEK MESICNE	1996-06-02
3591	1	POPLATEK PO OBRATU	1996-06-09
3592	54	POPLATEK MESICNE	1993-01-08
3593	1	POPLATEK MESICNE	1993-02-18
3594	29	POPLATEK MESICNE	1993-12-30
3595	30	POPLATEK MESICNE	1994-05-01
3596	59	POPLATEK MESICNE	1996-04-23
3597	1	POPLATEK PO OBRATU	1996-02-11
3598	76	POPLATEK MESICNE	1997-11-02
3599	63	POPLATEK MESICNE	1994-03-20
3600	27	POPLATEK MESICNE	1993-08-10
3601	54	POPLATEK MESICNE	1995-06-13
3602	18	POPLATEK MESICNE	1996-12-03
3603	3	POPLATEK MESICNE	1997-09-17
3604	75	POPLATEK MESICNE	1993-12-22
3605	3	POPLATEK MESICNE	1996-03-24
3606	1	POPLATEK MESICNE	1996-04-18
3608	72	POPLATEK TYDNE	1994-08-30
3609	28	POPLATEK MESICNE	1993-08-03
3610	1	POPLATEK MESICNE	1997-09-22
3612	70	POPLATEK MESICNE	1994-08-27
3613	43	POPLATEK MESICNE	1993-08-10
3614	19	POPLATEK MESICNE	1996-08-07
3615	46	POPLATEK MESICNE	1996-11-05
3616	50	POPLATEK MESICNE	1997-12-15
3617	22	POPLATEK MESICNE	1993-11-15
3618	29	POPLATEK MESICNE	1993-09-29
3620	14	POPLATEK MESICNE	1997-02-06
3621	32	POPLATEK MESICNE	1994-12-25
3622	53	POPLATEK MESICNE	1994-10-15
3623	59	POPLATEK MESICNE	1995-02-12
3624	32	POPLATEK TYDNE	1995-05-30
3625	3	POPLATEK MESICNE	1994-08-22
3626	51	POPLATEK MESICNE	1996-11-05
3628	70	POPLATEK MESICNE	1995-09-12
3629	48	POPLATEK MESICNE	1993-07-27
3631	1	POPLATEK MESICNE	1995-08-13
3632	56	POPLATEK TYDNE	1996-04-06
3633	18	POPLATEK MESICNE	1997-02-06
3634	21	POPLATEK MESICNE	1997-04-16
3635	10	POPLATEK MESICNE	1997-05-04
3636	21	POPLATEK MESICNE	1994-05-22
3637	53	POPLATEK MESICNE	1995-10-28
3638	52	POPLATEK PO OBRATU	1996-01-10
3639	4	POPLATEK MESICNE	1997-01-08
3640	10	POPLATEK MESICNE	1993-11-05
3641	7	POPLATEK MESICNE	1995-01-09
3643	1	POPLATEK MESICNE	1994-12-22
3644	38	POPLATEK MESICNE	1993-04-13
3645	36	POPLATEK MESICNE	1996-06-18
3646	63	POPLATEK TYDNE	1995-10-20
3647	77	POPLATEK MESICNE	1996-06-17
3648	61	POPLATEK MESICNE	1996-05-06
3649	54	POPLATEK MESICNE	1993-05-14
3650	8	POPLATEK MESICNE	1994-06-05
3651	23	POPLATEK MESICNE	1993-02-27
3652	36	POPLATEK MESICNE	1997-03-02
3653	31	POPLATEK MESICNE	1994-05-03
3654	47	POPLATEK MESICNE	1993-07-13
3655	1	POPLATEK MESICNE	1995-12-24
3656	53	POPLATEK MESICNE	1993-08-06
3657	62	POPLATEK MESICNE	1997-09-19
3658	24	POPLATEK MESICNE	1997-03-25
3659	54	POPLATEK MESICNE	1997-02-01
3660	74	POPLATEK MESICNE	1993-11-14
3661	50	POPLATEK MESICNE	1996-01-11
3662	4	POPLATEK MESICNE	1997-05-26
3663	67	POPLATEK MESICNE	1994-11-06
3664	1	POPLATEK MESICNE	1996-04-28
3665	28	POPLATEK MESICNE	1997-06-28
3667	55	POPLATEK MESICNE	1994-01-26
3668	1	POPLATEK MESICNE	1996-06-15
3669	76	POPLATEK MESICNE	1993-12-22
3670	27	POPLATEK MESICNE	1993-06-04
3671	21	POPLATEK MESICNE	1997-09-17
3672	26	POPLATEK MESICNE	1996-03-19
3673	30	POPLATEK MESICNE	1996-01-12
3674	38	POPLATEK MESICNE	1993-03-12
3675	64	POPLATEK MESICNE	1993-03-20
3676	58	POPLATEK MESICNE	1996-06-08
3677	1	POPLATEK MESICNE	1995-10-04
3678	1	POPLATEK MESICNE	1993-03-24
3679	64	POPLATEK MESICNE	1995-08-15
3680	27	POPLATEK MESICNE	1996-02-16
3681	70	POPLATEK MESICNE	1997-01-25
3682	70	POPLATEK MESICNE	1993-06-07
3683	33	POPLATEK MESICNE	1993-08-13
3684	23	POPLATEK MESICNE	1994-03-04
3686	77	POPLATEK MESICNE	1997-08-03
3687	71	POPLATEK MESICNE	1993-11-06
3688	70	POPLATEK MESICNE	1993-11-10
3689	8	POPLATEK MESICNE	1995-11-29
3690	67	POPLATEK PO OBRATU	1996-10-18
3691	50	POPLATEK MESICNE	1993-02-19
3692	70	POPLATEK MESICNE	1997-04-21
3693	61	POPLATEK MESICNE	1993-01-29
3694	70	POPLATEK MESICNE	1996-07-06
3695	30	POPLATEK MESICNE	1997-04-02
3696	1	POPLATEK MESICNE	1996-06-22
3697	45	POPLATEK MESICNE	1993-04-29
3698	1	POPLATEK MESICNE	1996-03-03
3699	50	POPLATEK MESICNE	1993-08-05
3700	1	POPLATEK MESICNE	1997-06-03
3701	76	POPLATEK MESICNE	1993-10-06
3702	53	POPLATEK MESICNE	1995-04-13
3703	74	POPLATEK MESICNE	1997-06-18
3704	75	POPLATEK MESICNE	1993-01-24
3705	20	POPLATEK MESICNE	1997-10-24
3706	8	POPLATEK MESICNE	1996-04-04
3708	64	POPLATEK MESICNE	1996-11-24
3709	74	POPLATEK MESICNE	1996-03-05
3710	1	POPLATEK MESICNE	1995-02-25
3711	3	POPLATEK MESICNE	1997-05-08
3712	3	POPLATEK MESICNE	1994-09-13
3713	14	POPLATEK TYDNE	1993-06-08
3714	2	POPLATEK TYDNE	1994-04-21
3715	74	POPLATEK MESICNE	1997-11-27
3716	1	POPLATEK MESICNE	1997-04-14
3717	56	POPLATEK MESICNE	1994-05-20
3718	63	POPLATEK MESICNE	1994-04-16
3719	37	POPLATEK MESICNE	1997-06-19
3720	36	POPLATEK MESICNE	1993-07-30
3721	22	POPLATEK MESICNE	1996-02-21
3722	76	POPLATEK MESICNE	1997-12-07
3723	2	POPLATEK MESICNE	1996-06-14
3724	16	POPLATEK MESICNE	1997-08-06
3725	33	POPLATEK MESICNE	1995-06-11
3726	54	POPLATEK MESICNE	1996-07-14
3727	66	POPLATEK MESICNE	1996-01-19
3728	10	POPLATEK MESICNE	1994-08-18
3729	31	POPLATEK MESICNE	1995-04-14
3730	17	POPLATEK MESICNE	1994-09-08
3731	70	POPLATEK MESICNE	1996-05-20
3732	21	POPLATEK MESICNE	1997-05-25
3733	33	POPLATEK MESICNE	1996-07-22
3734	43	POPLATEK MESICNE	1993-03-08
3735	1	POPLATEK MESICNE	1995-04-27
3736	54	POPLATEK MESICNE	1996-05-08
3737	34	POPLATEK MESICNE	1995-03-01
3738	51	POPLATEK MESICNE	1993-08-01
3739	1	POPLATEK MESICNE	1997-03-25
3741	65	POPLATEK MESICNE	1996-08-18
3742	59	POPLATEK MESICNE	1997-05-11
3743	1	POPLATEK MESICNE	1996-03-22
3745	5	POPLATEK MESICNE	1993-08-04
3746	70	POPLATEK MESICNE	1996-06-04
3747	1	POPLATEK MESICNE	1994-05-01
3748	1	POPLATEK MESICNE	1993-07-10
3749	68	POPLATEK MESICNE	1996-08-10
3750	77	POPLATEK MESICNE	1995-03-18
3751	9	POPLATEK MESICNE	1993-09-15
3752	1	POPLATEK MESICNE	1994-11-25
3753	28	POPLATEK MESICNE	1995-02-24
3754	37	POPLATEK TYDNE	1996-02-19
3755	64	POPLATEK MESICNE	1996-01-20
3756	39	POPLATEK TYDNE	1994-10-17
3757	64	POPLATEK MESICNE	1997-09-24
3758	38	POPLATEK MESICNE	1995-09-19
3759	1	POPLATEK MESICNE	1993-12-29
3760	44	POPLATEK MESICNE	1993-01-13
3763	55	POPLATEK MESICNE	1995-08-23
3764	69	POPLATEK MESICNE	1995-11-05
3765	32	POPLATEK MESICNE	1996-11-14
3766	29	POPLATEK PO OBRATU	1996-10-18
3767	1	POPLATEK MESICNE	1995-11-15
3768	52	POPLATEK MESICNE	1997-06-06
3769	3	POPLATEK MESICNE	1996-05-14
3770	23	POPLATEK MESICNE	1995-09-20
3771	22	POPLATEK MESICNE	1993-06-11
3772	7	POPLATEK MESICNE	1995-11-20
3773	10	POPLATEK MESICNE	1997-05-04
3774	72	POPLATEK MESICNE	1996-08-30
3775	19	POPLATEK MESICNE	1993-06-27
3776	1	POPLATEK MESICNE	1996-10-16
3777	70	POPLATEK MESICNE	1995-01-19
3778	52	POPLATEK MESICNE	1993-07-04
3779	74	POPLATEK MESICNE	1995-07-08
3780	44	POPLATEK MESICNE	1995-11-25
3781	31	POPLATEK MESICNE	1993-03-26
3782	9	POPLATEK TYDNE	1997-03-17
3783	40	POPLATEK MESICNE	1995-11-29
3784	25	POPLATEK MESICNE	1996-01-22
3785	10	POPLATEK MESICNE	1993-03-24
3786	21	POPLATEK MESICNE	1993-06-22
3787	70	POPLATEK MESICNE	1993-02-19
3788	70	POPLATEK MESICNE	1993-04-10
3789	6	POPLATEK MESICNE	1996-08-18
3790	1	POPLATEK TYDNE	1997-05-13
3791	1	POPLATEK TYDNE	1996-05-03
3792	10	POPLATEK MESICNE	1993-08-11
3793	5	POPLATEK MESICNE	1996-06-28
3794	20	POPLATEK MESICNE	1997-02-03
3795	36	POPLATEK MESICNE	1996-03-18
3796	53	POPLATEK MESICNE	1993-05-25
3797	64	POPLATEK MESICNE	1994-09-03
3798	15	POPLATEK MESICNE	1997-08-27
3799	74	POPLATEK MESICNE	1996-11-29
3800	30	POPLATEK MESICNE	1996-09-16
3801	1	POPLATEK MESICNE	1996-06-20
3802	44	POPLATEK MESICNE	1996-04-18
3803	61	POPLATEK MESICNE	1996-01-26
3804	7	POPLATEK MESICNE	1994-04-07
3805	9	POPLATEK MESICNE	1994-07-02
3806	36	POPLATEK MESICNE	1996-04-18
3807	53	POPLATEK MESICNE	1995-09-05
3808	38	POPLATEK MESICNE	1993-08-11
3809	1	POPLATEK MESICNE	1996-11-21
3810	43	POPLATEK MESICNE	1995-06-22
3811	1	POPLATEK MESICNE	1996-10-26
3812	72	POPLATEK MESICNE	1995-01-16
3813	1	POPLATEK MESICNE	1997-10-09
3814	74	POPLATEK MESICNE	1995-12-27
3815	1	POPLATEK MESICNE	1996-03-24
3816	25	POPLATEK MESICNE	1996-04-21
3817	70	POPLATEK MESICNE	1995-02-10
3818	74	POPLATEK MESICNE	1993-01-01
3819	69	POPLATEK MESICNE	1996-11-11
3820	1	POPLATEK MESICNE	1993-11-14
3821	18	POPLATEK MESICNE	1996-04-18
3822	8	POPLATEK MESICNE	1993-09-22
3823	74	POPLATEK MESICNE	1995-04-19
3824	41	POPLATEK MESICNE	1994-03-20
3825	7	POPLATEK MESICNE	1993-12-14
3826	34	POPLATEK MESICNE	1995-03-05
3827	1	POPLATEK MESICNE	1994-10-04
3828	44	POPLATEK MESICNE	1997-08-28
3830	56	POPLATEK MESICNE	1997-04-20
3832	45	POPLATEK MESICNE	1996-01-22
3833	77	POPLATEK MESICNE	1997-07-13
3834	54	POPLATEK MESICNE	1993-01-19
3835	50	POPLATEK MESICNE	1993-03-16
3836	68	POPLATEK MESICNE	1997-12-09
3837	48	POPLATEK PO OBRATU	1993-08-26
3838	3	POPLATEK MESICNE	1994-05-02
3839	1	POPLATEK MESICNE	1995-02-21
3840	76	POPLATEK MESICNE	1994-02-19
3841	8	POPLATEK MESICNE	1995-01-22
3842	1	POPLATEK MESICNE	1997-03-12
3843	62	POPLATEK MESICNE	1996-10-02
3844	67	POPLATEK MESICNE	1993-05-23
3845	48	POPLATEK MESICNE	1995-05-14
3846	61	POPLATEK MESICNE	1997-04-27
3847	33	POPLATEK MESICNE	1995-06-13
3848	20	POPLATEK MESICNE	1996-07-10
3849	75	POPLATEK MESICNE	1994-10-21
3850	8	POPLATEK MESICNE	1993-08-09
3851	1	POPLATEK MESICNE	1997-02-27
3852	20	POPLATEK MESICNE	1997-09-14
3854	8	POPLATEK MESICNE	1996-04-18
3855	33	POPLATEK MESICNE	1995-09-04
3856	45	POPLATEK MESICNE	1996-12-03
3857	54	POPLATEK MESICNE	1997-10-22
3858	2	POPLATEK MESICNE	1995-12-14
3859	53	POPLATEK MESICNE	1996-04-23
3860	4	POPLATEK MESICNE	1994-10-11
3861	2	POPLATEK MESICNE	1997-01-30
3862	1	POPLATEK MESICNE	1996-11-23
3863	15	POPLATEK MESICNE	1993-09-14
3864	33	POPLATEK MESICNE	1996-07-01
3865	50	POPLATEK MESICNE	1995-02-09
3866	60	POPLATEK MESICNE	1995-09-05
3867	1	POPLATEK MESICNE	1997-07-19
3868	43	POPLATEK MESICNE	1993-08-21
3869	72	POPLATEK MESICNE	1994-09-13
3870	38	POPLATEK MESICNE	1997-01-08
3871	26	POPLATEK MESICNE	1993-01-08
3872	25	POPLATEK MESICNE	1997-05-21
3874	51	POPLATEK MESICNE	1995-06-02
3875	44	POPLATEK MESICNE	1997-10-18
3876	69	POPLATEK MESICNE	1994-02-13
3877	59	POPLATEK MESICNE	1996-10-22
3878	23	POPLATEK MESICNE	1994-10-07
3880	3	POPLATEK MESICNE	1996-07-28
3881	21	POPLATEK MESICNE	1996-03-04
3882	10	POPLATEK MESICNE	1993-07-09
3883	72	POPLATEK MESICNE	1993-03-15
3884	1	POPLATEK MESICNE	1996-11-14
3885	51	POPLATEK MESICNE	1997-04-01
3886	1	POPLATEK MESICNE	1994-02-20
3887	62	POPLATEK MESICNE	1996-05-08
3888	39	POPLATEK MESICNE	1993-05-27
3889	16	POPLATEK MESICNE	1997-07-03
3890	50	POPLATEK MESICNE	1996-02-10
3891	1	POPLATEK MESICNE	1993-08-18
3892	43	POPLATEK MESICNE	1993-10-25
3893	42	POPLATEK MESICNE	1996-12-13
3894	52	POPLATEK MESICNE	1996-09-25
3895	27	POPLATEK MESICNE	1995-07-14
3896	45	POPLATEK MESICNE	1995-08-17
3897	13	POPLATEK MESICNE	1997-04-16
3898	70	POPLATEK MESICNE	1994-02-07
3899	22	POPLATEK MESICNE	1996-06-25
3901	12	POPLATEK MESICNE	1997-08-30
3902	1	POPLATEK MESICNE	1995-08-08
3903	58	POPLATEK MESICNE	1994-12-19
3904	18	POPLATEK MESICNE	1996-10-05
3905	54	POPLATEK PO OBRATU	1997-05-28
3906	52	POPLATEK MESICNE	1997-07-08
3907	37	POPLATEK MESICNE	1996-04-18
3908	13	POPLATEK MESICNE	1997-01-16
3909	1	POPLATEK MESICNE	1993-01-14
3910	10	POPLATEK MESICNE	1997-01-19
3911	32	POPLATEK MESICNE	1997-12-16
3912	2	POPLATEK MESICNE	1994-05-04
3913	23	POPLATEK MESICNE	1996-10-04
3914	33	POPLATEK MESICNE	1995-09-05
3915	65	POPLATEK MESICNE	1993-04-02
3916	8	POPLATEK MESICNE	1997-09-28
3917	1	POPLATEK MESICNE	1996-03-30
3918	53	POPLATEK MESICNE	1993-12-09
3919	34	POPLATEK MESICNE	1997-10-18
3920	74	POPLATEK MESICNE	1993-09-01
3921	18	POPLATEK MESICNE	1994-07-17
3922	68	POPLATEK MESICNE	1997-10-22
3923	52	POPLATEK MESICNE	1993-03-30
3924	70	POPLATEK MESICNE	1996-02-24
3925	1	POPLATEK MESICNE	1995-09-05
3926	72	POPLATEK MESICNE	1994-09-11
3927	56	POPLATEK MESICNE	1993-10-22
3928	24	POPLATEK MESICNE	1996-05-08
3930	37	POPLATEK MESICNE	1995-04-25
3931	28	POPLATEK MESICNE	1996-02-05
3932	74	POPLATEK MESICNE	1996-07-25
3933	61	POPLATEK MESICNE	1996-02-11
3934	6	POPLATEK MESICNE	1997-12-23
3935	23	POPLATEK MESICNE	1993-03-08
3936	39	POPLATEK MESICNE	1995-05-04
3937	76	POPLATEK MESICNE	1996-01-10
3938	57	POPLATEK MESICNE	1993-11-17
3939	70	POPLATEK MESICNE	1993-07-08
3940	35	POPLATEK TYDNE	1995-05-07
3941	7	POPLATEK MESICNE	1996-12-26
3942	27	POPLATEK TYDNE	1996-05-10
3943	71	POPLATEK MESICNE	1996-03-06
3944	22	POPLATEK MESICNE	1995-10-08
3945	50	POPLATEK MESICNE	1995-11-07
3946	70	POPLATEK MESICNE	1996-07-16
3947	76	POPLATEK MESICNE	1996-01-23
3948	1	POPLATEK MESICNE	1993-11-09
3949	54	POPLATEK MESICNE	1996-01-11
3950	48	POPLATEK MESICNE	1997-09-01
3951	22	POPLATEK MESICNE	1997-06-02
3952	26	POPLATEK MESICNE	1996-03-08
3953	1	POPLATEK MESICNE	1997-06-16
3954	22	POPLATEK MESICNE	1993-06-25
3955	64	POPLATEK MESICNE	1993-07-14
3956	6	POPLATEK MESICNE	1996-10-28
3957	33	POPLATEK TYDNE	1996-06-13
3958	59	POPLATEK MESICNE	1997-12-28
3959	1	POPLATEK TYDNE	1997-02-15
3960	64	POPLATEK MESICNE	1993-02-06
3961	52	POPLATEK MESICNE	1997-01-24
3962	54	POPLATEK MESICNE	1996-12-13
3963	9	POPLATEK MESICNE	1997-10-27
3964	25	POPLATEK MESICNE	1997-01-25
3965	31	POPLATEK MESICNE	1993-05-04
3966	42	POPLATEK MESICNE	1996-01-09
3967	54	POPLATEK MESICNE	1996-09-22
3968	36	POPLATEK MESICNE	1996-01-01
3969	39	POPLATEK MESICNE	1993-06-20
3970	24	POPLATEK MESICNE	1995-11-28
3971	75	POPLATEK MESICNE	1997-03-13
3972	51	POPLATEK MESICNE	1993-10-11
3973	20	POPLATEK MESICNE	1995-11-27
3974	55	POPLATEK MESICNE	1996-03-08
3975	20	POPLATEK MESICNE	1994-10-02
3976	74	POPLATEK MESICNE	1996-04-15
3977	7	POPLATEK MESICNE	1993-09-25
3978	59	POPLATEK MESICNE	1995-02-18
3979	37	POPLATEK MESICNE	1996-02-14
3980	75	POPLATEK MESICNE	1993-04-03
3981	23	POPLATEK MESICNE	1995-01-15
3982	26	POPLATEK MESICNE	1993-07-27
3983	67	POPLATEK MESICNE	1993-02-04
3984	51	POPLATEK MESICNE	1996-12-14
3985	1	POPLATEK MESICNE	1997-07-13
3986	19	POPLATEK MESICNE	1997-06-20
3987	25	POPLATEK MESICNE	1997-09-14
3988	23	POPLATEK MESICNE	1997-05-04
3989	19	POPLATEK MESICNE	1995-03-11
3990	77	POPLATEK MESICNE	1997-02-04
3991	1	POPLATEK MESICNE	1996-12-28
3992	43	POPLATEK MESICNE	1997-12-16
3993	54	POPLATEK MESICNE	1996-01-24
3994	15	POPLATEK MESICNE	1996-03-14
3995	12	POPLATEK MESICNE	1995-08-27
3996	1	POPLATEK MESICNE	1997-06-22
3997	62	POPLATEK MESICNE	1994-01-13
3998	2	POPLATEK MESICNE	1996-04-20
3999	35	POPLATEK MESICNE	1993-05-06
4000	7	POPLATEK MESICNE	1993-08-02
4001	54	POPLATEK MESICNE	1995-02-04
4003	25	POPLATEK MESICNE	1997-08-22
4008	27	POPLATEK MESICNE	1996-03-23
4009	56	POPLATEK MESICNE	1994-02-20
4010	30	POPLATEK MESICNE	1996-08-19
4013	73	POPLATEK PO OBRATU	1993-10-08
4014	56	POPLATEK PO OBRATU	1995-05-15
4026	58	POPLATEK MESICNE	1997-02-06
4033	57	POPLATEK MESICNE	1996-11-19
4034	1	POPLATEK MESICNE	1993-01-18
4035	1	POPLATEK MESICNE	1993-07-25
4047	45	POPLATEK TYDNE	1995-09-29
4052	36	POPLATEK TYDNE	1997-01-25
4055	23	POPLATEK MESICNE	1993-01-24
4059	34	POPLATEK MESICNE	1993-10-08
4066	72	POPLATEK MESICNE	1994-05-24
4069	38	POPLATEK MESICNE	1996-11-17
4071	64	POPLATEK MESICNE	1996-08-03
4078	40	POPLATEK MESICNE	1993-01-30
4079	52	POPLATEK MESICNE	1993-11-03
4081	11	POPLATEK MESICNE	1995-07-22
4082	49	POPLATEK MESICNE	1994-11-08
4086	66	POPLATEK MESICNE	1996-07-17
4088	45	POPLATEK MESICNE	1996-03-01
4090	72	POPLATEK MESICNE	1996-10-11
4091	9	POPLATEK MESICNE	1997-08-04
4092	74	POPLATEK MESICNE	1996-03-13
4093	1	POPLATEK MESICNE	1993-03-25
4099	54	POPLATEK MESICNE	1996-05-26
4102	60	POPLATEK MESICNE	1996-11-13
4103	38	POPLATEK MESICNE	1995-01-25
4105	58	POPLATEK MESICNE	1995-05-08
4109	54	POPLATEK MESICNE	1995-02-09
4116	6	POPLATEK MESICNE	1997-10-05
4119	77	POPLATEK MESICNE	1993-10-18
4121	54	POPLATEK MESICNE	1995-06-08
4127	50	POPLATEK MESICNE	1996-05-03
4128	64	POPLATEK MESICNE	1997-09-26
4130	70	POPLATEK MESICNE	1997-06-01
4131	5	POPLATEK MESICNE	1994-08-19
4132	36	POPLATEK MESICNE	1997-10-02
4134	7	POPLATEK MESICNE	1993-03-03
4140	28	POPLATEK MESICNE	1997-12-05
4143	55	POPLATEK MESICNE	1997-10-07
4144	1	POPLATEK MESICNE	1996-08-19
4150	65	POPLATEK MESICNE	1997-07-05
4156	42	POPLATEK MESICNE	1997-06-27
4158	27	POPLATEK MESICNE	1997-09-04
4159	74	POPLATEK MESICNE	1993-07-09
4161	1	POPLATEK MESICNE	1995-02-23
4171	28	POPLATEK MESICNE	1993-06-12
4173	1	POPLATEK MESICNE	1993-11-08
4186	1	POPLATEK MESICNE	1996-08-25
4190	62	POPLATEK MESICNE	1995-10-04
4195	67	POPLATEK MESICNE	1994-05-21
4204	21	POPLATEK MESICNE	1996-01-29
4208	1	POPLATEK MESICNE	1997-04-08
4214	1	POPLATEK MESICNE	1996-03-21
4225	55	POPLATEK MESICNE	1993-05-18
4237	18	POPLATEK MESICNE	1993-11-29
4240	50	POPLATEK MESICNE	1993-02-08
4245	52	POPLATEK MESICNE	1994-05-02
4253	43	POPLATEK MESICNE	1996-01-16
4254	70	POPLATEK MESICNE	1993-05-04
4255	70	POPLATEK TYDNE	1993-11-08
4258	51	POPLATEK MESICNE	1995-08-26
4259	66	POPLATEK MESICNE	1994-04-08
4260	56	POPLATEK MESICNE	1993-10-14
4263	5	POPLATEK MESICNE	1995-07-17
4264	28	POPLATEK MESICNE	1993-12-07
4266	54	POPLATEK MESICNE	1997-02-05
4268	77	POPLATEK MESICNE	1997-02-20
4269	26	POPLATEK MESICNE	1995-12-24
4273	15	POPLATEK MESICNE	1996-03-11
4276	43	POPLATEK MESICNE	1994-07-09
4283	39	POPLATEK MESICNE	1994-10-16
4286	43	POPLATEK MESICNE	1996-11-11
4287	1	POPLATEK MESICNE	1993-10-17
4293	64	POPLATEK PO OBRATU	1996-02-04
4296	63	POPLATEK MESICNE	1993-01-28
4301	1	POPLATEK MESICNE	1997-06-26
4309	74	POPLATEK TYDNE	1997-06-25
4318	33	POPLATEK TYDNE	1993-04-13
4320	61	POPLATEK MESICNE	1996-07-23
4321	47	POPLATEK MESICNE	1993-04-18
4328	72	POPLATEK MESICNE	1994-06-17
4329	1	POPLATEK MESICNE	1994-02-17
4330	47	POPLATEK MESICNE	1995-07-05
4332	74	POPLATEK MESICNE	1997-12-23
4336	2	POPLATEK MESICNE	1997-07-08
4337	29	POPLATEK MESICNE	1993-11-16
4342	74	POPLATEK MESICNE	1996-04-29
4343	31	POPLATEK MESICNE	1993-11-22
4346	25	POPLATEK MESICNE	1996-03-15
4347	1	POPLATEK MESICNE	1993-03-27
4349	74	POPLATEK MESICNE	1996-09-16
4350	63	POPLATEK MESICNE	1993-04-04
4352	2	POPLATEK MESICNE	1993-07-05
4354	38	POPLATEK MESICNE	1997-01-08
4355	31	POPLATEK MESICNE	1993-02-21
4356	47	POPLATEK MESICNE	1994-01-26
4358	5	POPLATEK MESICNE	1997-02-12
4361	69	POPLATEK MESICNE	1996-03-11
4368	1	POPLATEK MESICNE	1995-01-16
4375	39	POPLATEK MESICNE	1996-10-28
4377	28	POPLATEK MESICNE	1993-04-24
4379	44	POPLATEK MESICNE	1996-06-28
4383	73	POPLATEK MESICNE	1996-11-10
4385	23	POPLATEK MESICNE	1993-11-23
4386	51	POPLATEK TYDNE	1997-11-29
4389	77	POPLATEK MESICNE	1996-07-28
4405	41	POPLATEK MESICNE	1996-09-08
4408	71	POPLATEK TYDNE	1994-04-11
4413	74	POPLATEK TYDNE	1994-01-15
4414	24	POPLATEK MESICNE	1993-09-10
4415	73	POPLATEK MESICNE	1995-07-05
4416	14	POPLATEK MESICNE	1994-02-12
4418	66	POPLATEK MESICNE	1994-02-09
4423	39	POPLATEK MESICNE	1995-04-26
4424	48	POPLATEK MESICNE	1996-01-29
4427	32	POPLATEK MESICNE	1993-06-07
4434	41	POPLATEK MESICNE	1994-12-09
4437	40	POPLATEK MESICNE	1993-09-24
4438	48	POPLATEK MESICNE	1996-08-04
4439	30	POPLATEK MESICNE	1995-12-25
4442	54	POPLATEK MESICNE	1996-08-08
4445	47	POPLATEK MESICNE	1997-08-07
4447	62	POPLATEK MESICNE	1996-06-16
4448	60	POPLATEK MESICNE	1993-06-02
4454	63	POPLATEK MESICNE	1996-12-21
4456	14	POPLATEK MESICNE	1996-09-03
4458	60	POPLATEK MESICNE	1996-04-23
4462	73	POPLATEK TYDNE	1995-12-27
4463	67	POPLATEK MESICNE	1993-09-03
4467	17	POPLATEK TYDNE	1997-04-13
4470	16	POPLATEK MESICNE	1993-11-01
4471	4	POPLATEK TYDNE	1997-06-09
4473	45	POPLATEK MESICNE	1995-10-09
4475	72	POPLATEK MESICNE	1997-04-16
4476	24	POPLATEK MESICNE	1994-11-10
4478	70	POPLATEK MESICNE	1993-07-23
4480	58	POPLATEK MESICNE	1996-08-19
4484	54	POPLATEK MESICNE	1993-02-03
4488	33	POPLATEK MESICNE	1996-04-24
4493	61	POPLATEK PO OBRATU	1996-10-15
4503	50	POPLATEK MESICNE	1995-01-03
4511	33	POPLATEK MESICNE	1993-09-26
4514	69	POPLATEK MESICNE	1993-12-18
4519	8	POPLATEK MESICNE	1994-06-08
4526	63	POPLATEK MESICNE	1993-11-29
4527	9	POPLATEK MESICNE	1997-06-01
4533	68	POPLATEK MESICNE	1997-08-03
4534	63	POPLATEK MESICNE	1997-01-18
4537	53	POPLATEK TYDNE	1996-07-18
4538	70	POPLATEK MESICNE	1995-05-07
4543	33	POPLATEK MESICNE	1993-10-08
4550	56	POPLATEK MESICNE	1997-02-06
4576	27	POPLATEK MESICNE	1993-06-05
4580	9	POPLATEK MESICNE	1994-08-27
4585	27	POPLATEK MESICNE	1996-06-08
4588	12	POPLATEK MESICNE	1996-08-27
4589	4	POPLATEK MESICNE	1995-05-22
4596	74	POPLATEK MESICNE	1993-03-09
4616	1	POPLATEK MESICNE	1997-09-24
4618	3	POPLATEK MESICNE	1996-07-21
4626	9	POPLATEK MESICNE	1996-06-15
4631	77	POPLATEK PO OBRATU	1996-12-12
4650	4	POPLATEK MESICNE	1995-10-15
4659	56	POPLATEK MESICNE	1993-10-08
4660	63	POPLATEK MESICNE	1997-01-03
4681	70	POPLATEK MESICNE	1995-08-08
4715	8	POPLATEK MESICNE	1996-10-28
4725	73	POPLATEK MESICNE	1997-04-14
4727	2	POPLATEK MESICNE	1995-02-13
4729	66	POPLATEK MESICNE	1997-05-23
4743	64	POPLATEK MESICNE	1993-05-05
4746	54	POPLATEK MESICNE	1997-02-21
4753	1	POPLATEK MESICNE	1996-11-07
4768	39	POPLATEK MESICNE	1996-06-17
4774	66	POPLATEK MESICNE	1994-01-14
4784	46	POPLATEK MESICNE	1997-08-08
4794	72	POPLATEK MESICNE	1996-12-18
4803	26	POPLATEK MESICNE	1996-06-08
4825	15	POPLATEK MESICNE	1994-06-04
4851	52	POPLATEK MESICNE	1996-02-04
4852	47	POPLATEK MESICNE	1995-04-13
4858	67	POPLATEK MESICNE	1997-06-21
4863	5	POPLATEK MESICNE	1996-03-12
4894	14	POPLATEK MESICNE	1993-06-20
4907	42	POPLATEK MESICNE	1994-02-06
4937	12	POPLATEK MESICNE	1993-02-20
4948	43	POPLATEK MESICNE	1995-07-29
4949	33	POPLATEK MESICNE	1996-10-14
4969	60	POPLATEK TYDNE	1996-08-19
4981	54	POPLATEK MESICNE	1996-01-22
4994	1	POPLATEK TYDNE	1996-01-11
4995	20	POPLATEK TYDNE	1994-08-01
4999	1	POPLATEK MESICNE	1996-02-12
5001	53	POPLATEK MESICNE	1995-12-15
5011	31	POPLATEK MESICNE	1993-08-25
5024	70	POPLATEK MESICNE	1995-08-20
5033	54	POPLATEK MESICNE	1995-08-03
5063	43	POPLATEK MESICNE	1995-10-11
5065	66	POPLATEK MESICNE	1993-01-24
5066	13	POPLATEK TYDNE	1995-08-27
5072	6	POPLATEK MESICNE	1996-04-12
5092	74	POPLATEK MESICNE	1993-12-21
5118	72	POPLATEK MESICNE	1995-08-05
5120	1	POPLATEK MESICNE	1993-06-21
5125	1	POPLATEK MESICNE	1995-09-14
5126	58	POPLATEK MESICNE	1995-04-03
5129	68	POPLATEK MESICNE	1993-06-08
5133	68	POPLATEK TYDNE	1996-12-08
5164	5	POPLATEK MESICNE	1997-05-13
5180	54	POPLATEK MESICNE	1997-02-24
5181	75	POPLATEK MESICNE	1996-02-03
5194	1	POPLATEK PO OBRATU	1995-05-05
5196	13	POPLATEK TYDNE	1997-06-29
5213	1	POPLATEK MESICNE	1995-08-18
5215	55	POPLATEK MESICNE	1993-07-01
5228	77	POPLATEK PO OBRATU	1993-06-23
5250	8	POPLATEK TYDNE	1996-07-20
5256	72	POPLATEK PO OBRATU	1993-10-25
5263	64	POPLATEK MESICNE	1995-07-14
5267	4	POPLATEK MESICNE	1996-01-12
5269	49	POPLATEK MESICNE	1996-07-04
5270	44	POPLATEK MESICNE	1993-01-13
5283	15	POPLATEK MESICNE	1997-09-18
5290	34	POPLATEK MESICNE	1997-07-21
5305	47	POPLATEK MESICNE	1996-09-16
5313	40	POPLATEK MESICNE	1993-04-29
5317	28	POPLATEK MESICNE	1996-10-20
5343	64	POPLATEK MESICNE	1993-06-08
5357	70	POPLATEK MESICNE	1994-12-18
5358	4	POPLATEK MESICNE	1995-05-18
5362	76	POPLATEK TYDNE	1996-09-06
5366	70	POPLATEK MESICNE	1993-08-09
5369	54	POPLATEK MESICNE	1993-02-25
5372	48	POPLATEK MESICNE	1993-05-08
5385	44	POPLATEK TYDNE	1993-05-21
5387	1	POPLATEK MESICNE	1993-10-05
5395	47	POPLATEK MESICNE	1996-04-26
5422	66	POPLATEK MESICNE	1994-10-22
5423	15	POPLATEK MESICNE	1993-05-02
5428	24	POPLATEK MESICNE	1993-04-14
5429	71	POPLATEK MESICNE	1995-09-22
5442	34	POPLATEK MESICNE	1993-03-22
5445	72	POPLATEK MESICNE	1997-02-19
5472	1	POPLATEK MESICNE	1993-05-04
5477	57	POPLATEK MESICNE	1995-12-17
5481	52	POPLATEK MESICNE	1993-08-16
5483	13	POPLATEK MESICNE	1993-03-28
5505	1	POPLATEK MESICNE	1996-04-26
5541	43	POPLATEK MESICNE	1995-03-24
5546	43	POPLATEK MESICNE	1993-05-28
5572	15	POPLATEK MESICNE	1997-08-11
5574	13	POPLATEK TYDNE	1994-07-14
5591	9	POPLATEK MESICNE	1996-03-16
5593	15	POPLATEK MESICNE	1996-02-27
5602	19	POPLATEK PO OBRATU	1996-07-10
5622	70	POPLATEK MESICNE	1993-02-08
5628	61	POPLATEK MESICNE	1994-06-17
5632	5	POPLATEK TYDNE	1994-11-15
5648	59	POPLATEK MESICNE	1997-06-13
5650	10	POPLATEK PO OBRATU	1995-01-08
5661	53	POPLATEK MESICNE	1995-12-20
5692	66	POPLATEK MESICNE	1996-02-25
5698	1	POPLATEK MESICNE	1997-09-04
5700	42	POPLATEK MESICNE	1993-07-20
5708	64	POPLATEK TYDNE	1997-10-12
5724	14	POPLATEK PO OBRATU	1995-04-19
5726	17	POPLATEK PO OBRATU	1996-04-19
5735	52	POPLATEK MESICNE	1995-01-25
5740	43	POPLATEK MESICNE	1993-04-16
5742	74	POPLATEK PO OBRATU	1995-07-05
5758	44	POPLATEK MESICNE	1997-07-28
5767	72	POPLATEK MESICNE	1993-06-16
5774	1	POPLATEK MESICNE	1995-06-08
5794	70	POPLATEK MESICNE	1995-07-14
5817	77	POPLATEK PO OBRATU	1996-12-10
5837	5	POPLATEK MESICNE	1996-07-18
5868	44	POPLATEK MESICNE	1993-02-02
5870	75	POPLATEK MESICNE	1997-09-17
5878	76	POPLATEK MESICNE	1996-11-19
5891	54	POPLATEK MESICNE	1993-01-25
5912	45	POPLATEK MESICNE	1996-10-25
5927	15	POPLATEK MESICNE	1993-11-26
5944	27	POPLATEK MESICNE	1997-06-06
5952	50	POPLATEK MESICNE	1993-09-07
5984	11	POPLATEK MESICNE	1993-11-11
5991	1	POPLATEK MESICNE	1993-11-21
6030	47	POPLATEK MESICNE	1993-08-24
6034	6	POPLATEK TYDNE	1993-03-19
6040	1	POPLATEK MESICNE	1993-04-22
6051	56	POPLATEK MESICNE	1993-08-28
6061	1	POPLATEK MESICNE	1997-03-08
6062	24	POPLATEK MESICNE	1996-08-28
6064	49	POPLATEK MESICNE	1997-01-11
6075	19	POPLATEK MESICNE	1996-09-15
6083	6	POPLATEK TYDNE	1996-09-19
6097	29	POPLATEK MESICNE	1997-06-15
6118	1	POPLATEK TYDNE	1994-03-07
6138	54	POPLATEK MESICNE	1997-01-22
6148	74	POPLATEK MESICNE	1993-12-27
6157	34	POPLATEK MESICNE	1996-11-11
6158	67	POPLATEK MESICNE	1996-05-13
6226	74	POPLATEK TYDNE	1993-07-26
6265	5	POPLATEK MESICNE	1996-11-01
6273	38	POPLATEK MESICNE	1993-07-21
6281	56	POPLATEK MESICNE	1993-06-08
6289	64	POPLATEK MESICNE	1995-04-05
6306	64	POPLATEK MESICNE	1997-03-04
6321	1	POPLATEK MESICNE	1994-09-10
6353	26	POPLATEK MESICNE	1993-11-26
6358	3	POPLATEK MESICNE	1995-05-27
6363	74	POPLATEK MESICNE	1993-08-01
6397	48	POPLATEK MESICNE	1995-03-15
6400	31	POPLATEK PO OBRATU	1995-10-09
6425	31	POPLATEK MESICNE	1993-03-29
6434	1	POPLATEK MESICNE	1995-05-08
6440	1	POPLATEK MESICNE	1996-11-01
6453	34	POPLATEK MESICNE	1996-07-27
6461	50	POPLATEK MESICNE	1996-07-17
6463	16	POPLATEK MESICNE	1995-09-11
6472	61	POPLATEK MESICNE	1994-02-08
6473	12	POPLATEK MESICNE	1993-01-26
6495	6	POPLATEK MESICNE	1996-07-23
6505	7	POPLATEK MESICNE	1997-09-13
6510	74	POPLATEK MESICNE	1996-12-18
6511	72	POPLATEK MESICNE	1994-06-10
6512	34	POPLATEK TYDNE	1996-02-03
6555	38	POPLATEK TYDNE	1993-03-05
6592	1	POPLATEK MESICNE	1996-10-20
6602	74	POPLATEK MESICNE	1997-08-04
6609	16	POPLATEK MESICNE	1995-03-27
6636	72	POPLATEK TYDNE	1993-08-04
6649	1	POPLATEK MESICNE	1995-07-08
6678	54	POPLATEK MESICNE	1996-01-03
6686	61	POPLATEK MESICNE	1996-02-10
6688	16	POPLATEK MESICNE	1996-06-25
6699	35	POPLATEK MESICNE	1996-06-08
6701	49	POPLATEK TYDNE	1993-03-15
6706	38	POPLATEK MESICNE	1996-12-28
6715	48	POPLATEK TYDNE	1993-09-15
6738	62	POPLATEK MESICNE	1994-07-28
6792	1	POPLATEK MESICNE	1996-05-11
6806	1	POPLATEK MESICNE	1993-11-26
6856	43	POPLATEK MESICNE	1995-08-19
6866	14	POPLATEK MESICNE	1997-10-02
6872	15	POPLATEK MESICNE	1995-09-02
6897	48	POPLATEK MESICNE	1993-04-23
6902	60	POPLATEK MESICNE	1996-10-22
6910	76	POPLATEK MESICNE	1995-04-04
6922	3	POPLATEK TYDNE	1997-05-12
6924	74	POPLATEK MESICNE	1994-06-01
6927	74	POPLATEK TYDNE	1995-12-08
6930	41	POPLATEK MESICNE	1993-09-08
6950	36	POPLATEK MESICNE	1996-10-12
6985	38	POPLATEK MESICNE	1995-07-27
7011	75	POPLATEK MESICNE	1993-10-08
7033	75	POPLATEK MESICNE	1996-07-03
7045	51	POPLATEK MESICNE	1996-12-26
7049	69	POPLATEK MESICNE	1997-10-12
7052	55	POPLATEK PO OBRATU	1997-07-17
7082	57	POPLATEK MESICNE	1996-09-06
7099	1	POPLATEK MESICNE	1996-08-20
7101	54	POPLATEK MESICNE	1996-07-06
7123	64	POPLATEK PO OBRATU	1993-04-14
7133	1	POPLATEK MESICNE	1993-09-17
7136	12	POPLATEK TYDNE	1995-04-09
7156	71	POPLATEK MESICNE	1997-09-11
7176	1	POPLATEK MESICNE	1996-12-07
7180	7	POPLATEK TYDNE	1997-06-12
7181	77	POPLATEK PO OBRATU	1996-07-02
7184	5	POPLATEK MESICNE	1995-06-19
7190	49	POPLATEK MESICNE	1993-09-06
7203	71	POPLATEK MESICNE	1993-03-26
7231	10	POPLATEK MESICNE	1993-03-14
7240	17	POPLATEK MESICNE	1996-04-23
7262	70	POPLATEK MESICNE	1996-08-30
7274	11	POPLATEK MESICNE	1997-09-28
7401	1	POPLATEK MESICNE	1993-02-26
7418	21	POPLATEK MESICNE	1995-04-07
7424	68	POPLATEK MESICNE	1996-07-28
7437	19	POPLATEK TYDNE	1997-08-08
7445	64	POPLATEK MESICNE	1993-03-18
7449	1	POPLATEK MESICNE	1993-11-24
7454	4	POPLATEK MESICNE	1993-04-19
7465	1	POPLATEK TYDNE	1996-12-19
7485	39	POPLATEK MESICNE	1993-07-28
7487	4	POPLATEK MESICNE	1995-10-01
7520	9	POPLATEK MESICNE	1996-03-29
7523	63	POPLATEK MESICNE	1994-08-29
7542	54	POPLATEK MESICNE	1996-05-16
7546	43	POPLATEK MESICNE	1994-09-03
7559	56	POPLATEK MESICNE	1997-05-24
7562	72	POPLATEK TYDNE	1995-01-17
7565	59	POPLATEK MESICNE	1996-04-02
7594	16	POPLATEK MESICNE	1996-02-16
7606	21	POPLATEK MESICNE	1995-03-15
7607	1	POPLATEK MESICNE	1993-09-05
7614	62	POPLATEK MESICNE	1995-02-08
7618	72	POPLATEK TYDNE	1995-06-13
7632	68	POPLATEK MESICNE	1996-09-22
7636	40	POPLATEK MESICNE	1996-10-08
7637	46	POPLATEK MESICNE	1996-08-19
7674	1	POPLATEK MESICNE	1996-07-21
7713	50	POPLATEK TYDNE	1996-05-25
7721	13	POPLATEK MESICNE	1997-07-03
7733	19	POPLATEK TYDNE	1996-07-08
7745	2	POPLATEK MESICNE	1996-11-29
7753	74	POPLATEK MESICNE	1993-02-08
7765	52	POPLATEK TYDNE	1994-07-10
7769	23	POPLATEK MESICNE	1993-10-03
7774	74	POPLATEK PO OBRATU	1993-09-14
7795	64	POPLATEK MESICNE	1995-01-05
7815	19	POPLATEK TYDNE	1995-04-09
7819	38	POPLATEK MESICNE	1993-08-01
7824	60	POPLATEK MESICNE	1994-05-17
7828	36	POPLATEK MESICNE	1996-01-05
7844	1	POPLATEK MESICNE	1993-11-26
7857	75	POPLATEK MESICNE	1993-08-04
7859	52	POPLATEK MESICNE	1995-03-14
7861	34	POPLATEK MESICNE	1995-04-22
7890	23	POPLATEK MESICNE	1996-03-26
7894	27	POPLATEK MESICNE	1996-04-09
7907	70	POPLATEK MESICNE	1996-07-27
7926	69	POPLATEK TYDNE	1996-06-09
7944	59	POPLATEK MESICNE	1993-12-27
7957	51	POPLATEK MESICNE	1995-09-07
7965	55	POPLATEK MESICNE	1993-11-08
7966	54	POPLATEK MESICNE	1996-12-27
7990	9	POPLATEK MESICNE	1996-08-30
7997	10	POPLATEK MESICNE	1996-04-25
8026	36	POPLATEK MESICNE	1997-03-23
8027	44	POPLATEK TYDNE	1993-07-07
8038	47	POPLATEK MESICNE	1996-08-17
8039	9	POPLATEK MESICNE	1995-12-17
8041	1	POPLATEK MESICNE	1993-10-10
8051	1	POPLATEK TYDNE	1993-02-07
8073	24	POPLATEK PO OBRATU	1993-09-03
8085	73	POPLATEK MESICNE	1996-04-08
8092	54	POPLATEK MESICNE	1995-01-11
8094	67	POPLATEK MESICNE	1996-11-24
8114	59	POPLATEK MESICNE	1995-10-14
8127	37	POPLATEK MESICNE	1994-10-13
8129	45	POPLATEK MESICNE	1993-06-26
8132	5	POPLATEK TYDNE	1993-04-17
8149	64	POPLATEK PO OBRATU	1997-05-14
8153	9	POPLATEK MESICNE	1997-07-02
8158	48	POPLATEK TYDNE	1996-06-16
8159	26	POPLATEK MESICNE	1995-02-08
8169	29	POPLATEK MESICNE	1995-11-28
8173	11	POPLATEK MESICNE	1993-07-05
8212	52	POPLATEK PO OBRATU	1993-08-21
8225	50	POPLATEK MESICNE	1996-12-07
8260	31	POPLATEK MESICNE	1993-03-24
8261	13	POPLATEK MESICNE	1993-05-12
8268	59	POPLATEK MESICNE	1996-09-19
8316	70	POPLATEK MESICNE	1994-06-04
8320	51	POPLATEK MESICNE	1997-01-19
8321	77	POPLATEK MESICNE	1993-04-12
8327	1	POPLATEK TYDNE	1995-08-08
8330	48	POPLATEK MESICNE	1993-03-28
8341	64	POPLATEK MESICNE	1996-12-27
8377	29	POPLATEK MESICNE	1993-11-20
8381	14	POPLATEK MESICNE	1996-09-17
8405	20	POPLATEK MESICNE	1994-05-10
8411	20	POPLATEK MESICNE	1994-12-02
8475	4	POPLATEK MESICNE	1993-09-08
8489	19	POPLATEK MESICNE	1993-09-18
8492	2	POPLATEK MESICNE	1994-06-29
8505	70	POPLATEK MESICNE	1997-03-20
8519	23	POPLATEK MESICNE	1993-04-02
8523	54	POPLATEK MESICNE	1996-11-25
8533	47	POPLATEK MESICNE	1995-10-10
8547	14	POPLATEK TYDNE	1995-07-17
8558	1	POPLATEK PO OBRATU	1994-02-27
8564	68	POPLATEK MESICNE	1993-09-12
8566	74	POPLATEK MESICNE	1993-10-08
8625	64	POPLATEK MESICNE	1993-11-10
8628	2	POPLATEK PO OBRATU	1996-10-15
8639	46	POPLATEK MESICNE	1997-08-22
8645	60	POPLATEK MESICNE	1997-06-23
8680	17	POPLATEK MESICNE	1996-02-12
8688	66	POPLATEK MESICNE	1996-11-22
8713	53	POPLATEK MESICNE	1997-05-18
8742	70	POPLATEK MESICNE	1997-01-28
8759	1	POPLATEK MESICNE	1993-09-18
8772	1	POPLATEK MESICNE	1996-05-16
8776	64	POPLATEK MESICNE	1994-08-24
8784	1	POPLATEK MESICNE	1996-10-16
8856	15	POPLATEK MESICNE	1994-12-18
8896	28	POPLATEK PO OBRATU	1996-05-02
8899	1	POPLATEK TYDNE	1994-09-05
8919	62	POPLATEK MESICNE	1997-07-03
8926	1	POPLATEK MESICNE	1997-03-21
8931	63	POPLATEK TYDNE	1996-01-01
8934	51	POPLATEK MESICNE	1993-06-06
8957	1	POPLATEK MESICNE	1993-11-13
8972	70	POPLATEK MESICNE	1996-05-21
8982	64	POPLATEK MESICNE	1993-09-25
8998	61	POPLATEK MESICNE	1995-05-24
9006	40	POPLATEK TYDNE	1994-09-02
9017	70	POPLATEK MESICNE	1995-11-22
9024	1	POPLATEK MESICNE	1996-01-05
9030	72	POPLATEK MESICNE	1995-01-21
9031	47	POPLATEK MESICNE	1997-01-15
9034	1	POPLATEK MESICNE	1993-06-28
9037	1	POPLATEK MESICNE	1996-10-22
9041	1	POPLATEK MESICNE	1993-08-03
9051	5	POPLATEK TYDNE	1996-01-17
9052	43	POPLATEK PO OBRATU	1995-08-30
9093	47	POPLATEK MESICNE	1993-06-16
9104	10	POPLATEK MESICNE	1994-01-21
9138	26	POPLATEK MESICNE	1996-07-18
9140	32	POPLATEK MESICNE	1997-08-18
9153	9	POPLATEK MESICNE	1996-12-12
9156	18	POPLATEK MESICNE	1997-09-14
9159	64	POPLATEK MESICNE	1996-08-02
9167	56	POPLATEK MESICNE	1997-04-02
9179	28	POPLATEK MESICNE	1997-01-21
9188	45	POPLATEK MESICNE	1993-02-08
9192	1	POPLATEK MESICNE	1994-08-16
9199	72	POPLATEK MESICNE	1996-05-15
9201	69	POPLATEK MESICNE	1996-10-28
9203	70	POPLATEK MESICNE	1993-02-27
9208	29	POPLATEK MESICNE	1997-05-24
9225	11	POPLATEK MESICNE	1996-01-01
9227	51	POPLATEK MESICNE	1997-11-04
9235	37	POPLATEK MESICNE	1995-06-24
9236	11	POPLATEK MESICNE	1993-08-18
9241	74	POPLATEK MESICNE	1996-09-25
9242	57	POPLATEK MESICNE	1996-03-15
9263	68	POPLATEK MESICNE	1996-06-04
9265	1	POPLATEK MESICNE	1993-02-04
9307	68	POPLATEK MESICNE	1993-01-24
9333	36	POPLATEK MESICNE	1996-11-08
9337	30	POPLATEK MESICNE	1993-09-13
9353	59	POPLATEK MESICNE	1995-11-03
9377	1	POPLATEK MESICNE	1995-09-17
9403	1	POPLATEK TYDNE	1993-03-27
9422	70	POPLATEK MESICNE	1996-03-06
9424	54	POPLATEK MESICNE	1996-12-30
9433	59	POPLATEK MESICNE	1997-08-14
9455	73	POPLATEK MESICNE	1996-11-03
9472	1	POPLATEK TYDNE	1993-07-06
9484	5	POPLATEK MESICNE	1997-04-26
9491	7	POPLATEK TYDNE	1996-08-08
9493	64	POPLATEK MESICNE	1995-04-02
9494	21	POPLATEK MESICNE	1996-05-10
9504	9	POPLATEK MESICNE	1996-01-29
9510	1	POPLATEK MESICNE	1996-06-09
9513	59	POPLATEK MESICNE	1996-05-12
9528	19	POPLATEK MESICNE	1996-11-07
9548	62	POPLATEK MESICNE	1996-06-07
9549	4	POPLATEK MESICNE	1997-01-17
9560	1	POPLATEK MESICNE	1997-07-13
9583	31	POPLATEK TYDNE	1994-05-22
9591	74	POPLATEK MESICNE	1993-05-20
9627	65	POPLATEK PO OBRATU	1994-07-22
9631	11	POPLATEK MESICNE	1996-06-25
9633	70	POPLATEK MESICNE	1996-01-08
9635	70	POPLATEK MESICNE	1993-01-05
9640	1	POPLATEK MESICNE	1993-03-13
9645	38	POPLATEK MESICNE	1996-01-23
9646	1	POPLATEK TYDNE	1996-07-30
9656	61	POPLATEK MESICNE	1993-11-14
9673	76	POPLATEK MESICNE	1997-06-07
9677	8	POPLATEK MESICNE	1996-10-13
9703	68	POPLATEK MESICNE	1993-07-15
9707	70	POPLATEK MESICNE	1993-04-24
9730	54	POPLATEK MESICNE	1997-01-01
9731	54	POPLATEK PO OBRATU	1994-12-01
9750	74	POPLATEK MESICNE	1994-05-16
9790	52	POPLATEK MESICNE	1995-11-09
9814	64	POPLATEK TYDNE	1995-01-19
9826	68	POPLATEK MESICNE	1996-08-23
9828	11	POPLATEK MESICNE	1993-05-20
9833	20	POPLATEK MESICNE	1993-07-24
9859	27	POPLATEK MESICNE	1996-07-08
9869	12	POPLATEK MESICNE	1993-08-21
9883	1	POPLATEK MESICNE	1993-03-19
9897	1	POPLATEK MESICNE	1995-03-04
9928	60	POPLATEK MESICNE	1995-11-09
10001	24	POPLATEK MESICNE	1995-05-28
10005	64	POPLATEK MESICNE	1997-11-29
10018	8	POPLATEK MESICNE	1995-07-23
10019	8	POPLATEK MESICNE	1995-06-15
10022	1	POPLATEK MESICNE	1997-05-07
10036	1	POPLATEK MESICNE	1993-09-13
10049	17	POPLATEK MESICNE	1996-03-28
10063	4	POPLATEK TYDNE	1996-10-13
10065	76	POPLATEK MESICNE	1996-03-30
10068	1	POPLATEK MESICNE	1997-04-02
10079	62	POPLATEK MESICNE	1993-05-06
10093	1	POPLATEK TYDNE	1994-07-01
10105	55	POPLATEK MESICNE	1993-04-28
10131	1	POPLATEK MESICNE	1993-11-27
10134	22	POPLATEK MESICNE	1997-04-26
10148	34	POPLATEK MESICNE	1997-01-13
10152	34	POPLATEK MESICNE	1997-09-28
10202	70	POPLATEK MESICNE	1996-07-08
10215	38	POPLATEK MESICNE	1996-04-12
10220	44	POPLATEK MESICNE	1996-08-26
10227	62	POPLATEK PO OBRATU	1993-09-27
10233	27	POPLATEK MESICNE	1996-02-21
10243	44	POPLATEK MESICNE	1997-09-03
10257	27	POPLATEK MESICNE	1997-05-01
10266	54	POPLATEK MESICNE	1993-06-10
10280	69	POPLATEK MESICNE	1996-12-01
10297	14	POPLATEK MESICNE	1996-01-19
10320	68	POPLATEK MESICNE	1993-07-11
10343	8	POPLATEK MESICNE	1997-05-22
10345	36	POPLATEK MESICNE	1996-04-07
10351	23	POPLATEK MESICNE	1995-05-04
10361	21	POPLATEK MESICNE	1996-06-21
10364	55	POPLATEK MESICNE	1993-01-17
10365	22	POPLATEK MESICNE	1995-09-02
10404	1	POPLATEK MESICNE	1996-12-30
10411	39	POPLATEK PO OBRATU	1995-11-23
10436	60	POPLATEK MESICNE	1996-03-21
10439	66	POPLATEK MESICNE	1993-11-21
10440	72	POPLATEK MESICNE	1993-09-13
10445	72	POPLATEK MESICNE	1996-05-29
10451	1	POPLATEK MESICNE	1993-08-29
10478	70	POPLATEK TYDNE	1996-02-24
10493	12	POPLATEK MESICNE	1997-01-09
10520	55	POPLATEK PO OBRATU	1995-10-24
10558	40	POPLATEK MESICNE	1996-02-01
10562	51	POPLATEK MESICNE	1996-08-21
10607	52	POPLATEK MESICNE	1996-10-08
10613	55	POPLATEK MESICNE	1997-11-04
10630	41	POPLATEK MESICNE	1995-01-15
10644	16	POPLATEK MESICNE	1997-07-12
10645	2	POPLATEK MESICNE	1996-12-21
10650	76	POPLATEK MESICNE	1997-09-09
10652	1	POPLATEK MESICNE	1997-03-18
10656	8	POPLATEK MESICNE	1993-05-05
10663	11	POPLATEK MESICNE	1993-12-08
10670	60	POPLATEK MESICNE	1993-11-18
10679	1	POPLATEK MESICNE	1997-05-30
10694	73	POPLATEK TYDNE	1996-05-15
10710	19	POPLATEK MESICNE	1995-10-30
10711	36	POPLATEK MESICNE	1996-07-08
10728	71	POPLATEK MESICNE	1994-12-23
10738	45	POPLATEK TYDNE	1993-04-17
10762	1	POPLATEK MESICNE	1995-10-23
10774	46	POPLATEK MESICNE	1997-07-05
10788	67	POPLATEK TYDNE	1993-11-22
10789	75	POPLATEK MESICNE	1996-09-18
10799	76	POPLATEK MESICNE	1997-08-19
10807	34	POPLATEK MESICNE	1996-03-13
10812	16	POPLATEK MESICNE	1997-04-08
10857	50	POPLATEK MESICNE	1996-10-02
10884	65	POPLATEK MESICNE	1995-02-20
10904	48	POPLATEK MESICNE	1993-11-26
10905	32	POPLATEK MESICNE	1996-11-21
10906	76	POPLATEK MESICNE	1993-11-14
10911	1	POPLATEK TYDNE	1993-05-29
10915	25	POPLATEK TYDNE	1997-02-15
10940	50	POPLATEK MESICNE	1993-09-13
10942	44	POPLATEK TYDNE	1994-06-05
10954	25	POPLATEK MESICNE	1996-07-29
10963	16	POPLATEK MESICNE	1995-05-20
10973	18	POPLATEK TYDNE	1993-04-20
11013	1	POPLATEK TYDNE	1993-02-14
11021	1	POPLATEK MESICNE	1993-08-10
11027	32	POPLATEK TYDNE	1996-07-26
11042	72	POPLATEK MESICNE	1995-01-29
11053	46	POPLATEK MESICNE	1997-05-27
11054	59	POPLATEK TYDNE	1996-02-01
11065	11	POPLATEK MESICNE	1993-03-19
11069	37	POPLATEK MESICNE	1995-06-02
11079	16	POPLATEK MESICNE	1995-11-10
11096	28	POPLATEK MESICNE	1996-12-10
11111	1	POPLATEK MESICNE	1993-05-20
11123	39	POPLATEK MESICNE	1996-07-21
11135	75	POPLATEK MESICNE	1993-10-10
11138	70	POPLATEK TYDNE	1995-08-18
11141	1	POPLATEK TYDNE	1997-02-11
11186	12	POPLATEK MESICNE	1994-11-24
11231	1	POPLATEK MESICNE	1997-02-05
11244	33	POPLATEK MESICNE	1997-01-12
11265	15	POPLATEK MESICNE	1993-01-14
11271	5	POPLATEK MESICNE	1995-09-20
11295	74	POPLATEK MESICNE	1993-01-21
11317	50	POPLATEK MESICNE	1997-07-11
11320	44	POPLATEK MESICNE	1993-05-26
11325	62	POPLATEK MESICNE	1996-10-15
11327	7	POPLATEK MESICNE	1997-10-15
11328	54	POPLATEK MESICNE	1996-11-05
11333	8	POPLATEK MESICNE	1994-05-26
11349	1	POPLATEK TYDNE	1995-05-26
11359	61	POPLATEK MESICNE	1994-10-01
11362	67	POPLATEK MESICNE	1995-10-14
11382	74	POPLATEK MESICNE	1995-08-20
\.


--
-- Data for Name: card; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial.card (card_id, disp_id, type, issued) FROM stdin;
1	9	gold	1998-10-16
2	19	classic	1998-03-13
3	41	gold	1995-09-03
4	42	classic	1998-11-26
5	51	junior	1995-04-24
7	56	classic	1998-06-11
8	60	junior	1998-05-20
9	76	classic	1997-10-25
10	77	classic	1996-12-07
11	79	gold	1997-10-25
12	83	junior	1996-09-11
13	87	classic	1994-06-29
14	112	classic	1996-02-17
15	114	classic	1995-03-05
16	116	classic	1998-06-23
17	127	classic	1998-06-07
18	128	classic	1995-08-25
19	130	classic	1997-09-09
20	131	classic	1998-12-02
21	132	classic	1998-02-26
22	138	classic	1997-01-11
23	146	classic	1998-10-03
24	153	junior	1996-08-05
25	158	classic	1997-12-06
26	161	classic	1998-09-14
27	167	junior	1998-11-15
28	174	junior	1998-01-22
29	192	classic	1998-08-20
30	202	classic	1997-10-01
31	208	classic	1998-10-21
32	219	classic	1998-08-06
33	221	junior	1997-12-03
34	225	classic	1998-03-20
35	231	classic	1998-10-07
36	236	classic	1998-09-28
37	238	classic	1996-04-20
38	242	classic	1996-08-31
39	254	classic	1998-07-14
40	255	classic	1996-10-13
41	256	classic	1997-08-31
42	264	junior	1998-07-28
43	267	classic	1997-08-29
44	268	junior	1996-05-17
45	272	classic	1997-12-05
46	273	classic	1998-11-10
47	280	classic	1998-08-13
48	295	classic	1998-03-10
49	305	classic	1997-10-03
50	309	classic	1997-05-28
51	321	classic	1997-11-21
52	326	gold	1998-04-10
53	333	classic	1998-10-13
54	334	classic	1997-01-24
55	335	classic	1998-01-25
56	339	classic	1998-11-22
57	347	classic	1996-11-09
58	358	classic	1998-03-11
59	365	classic	1997-10-27
60	370	classic	1998-10-18
61	374	classic	1998-10-18
63	378	junior	1998-03-27
64	402	classic	1998-05-10
65	414	classic	1998-02-02
66	425	classic	1998-07-08
67	429	junior	1998-01-28
68	434	classic	1998-01-31
69	438	classic	1997-05-17
70	439	classic	1994-02-08
71	441	classic	1998-04-11
72	447	classic	1998-03-09
73	451	junior	1998-07-21
74	453	classic	1998-10-18
75	457	classic	1997-07-29
76	464	classic	1998-12-23
77	466	classic	1998-08-13
78	468	classic	1998-08-04
79	469	classic	1998-09-02
80	471	classic	1998-06-25
81	473	classic	1997-12-17
82	474	classic	1997-05-07
83	483	classic	1998-01-05
84	487	classic	1996-06-26
85	489	classic	1995-12-31
86	490	classic	1997-11-28
87	493	classic	1996-11-02
88	496	classic	1996-11-04
89	497	classic	1998-04-22
90	503	classic	1997-06-04
91	504	junior	1997-09-01
92	508	classic	1995-11-20
93	510	classic	1997-11-09
94	513	classic	1997-11-06
95	519	junior	1998-08-01
96	528	classic	1998-08-26
97	531	junior	1995-09-19
98	537	classic	1995-09-06
99	548	gold	1996-10-09
100	562	gold	1998-02-21
101	566	classic	1998-06-19
102	575	classic	1998-11-12
103	584	junior	1996-08-17
104	588	classic	1994-01-19
105	590	classic	1997-01-17
106	592	classic	1996-01-14
107	593	classic	1995-06-27
108	597	classic	1997-06-25
109	605	classic	1998-04-26
110	608	classic	1997-05-31
111	615	classic	1998-06-05
112	626	junior	1997-01-19
113	629	junior	1995-11-16
115	638	classic	1997-07-30
116	646	classic	1998-10-11
117	649	junior	1996-11-23
118	652	classic	1995-10-22
119	655	classic	1996-08-08
120	662	classic	1997-07-03
121	666	junior	1996-07-22
122	667	junior	1997-07-03
123	679	classic	1998-06-12
124	688	classic	1997-10-10
125	694	gold	1998-12-26
126	707	classic	1998-05-23
127	714	classic	1996-05-23
128	716	classic	1998-08-19
129	719	classic	1998-11-05
130	722	classic	1997-12-29
131	725	classic	1998-12-08
132	731	junior	1998-02-26
133	742	classic	1997-06-16
134	769	classic	1998-09-07
136	778	classic	1995-07-28
137	786	junior	1997-01-10
138	791	classic	1998-11-02
139	797	classic	1997-07-14
140	798	classic	1997-08-22
141	808	classic	1998-09-15
142	810	classic	1998-07-01
143	816	classic	1998-06-15
145	819	classic	1997-06-17
146	822	classic	1998-07-23
147	826	junior	1998-12-13
148	834	classic	1998-11-22
149	858	classic	1998-01-07
150	859	classic	1996-03-30
151	861	classic	1998-09-16
152	876	classic	1996-09-16
153	886	gold	1997-10-19
154	887	classic	1997-12-28
155	900	junior	1997-05-17
156	906	junior	1998-04-07
157	907	classic	1996-04-24
158	928	gold	1998-10-25
159	946	classic	1995-05-01
160	954	classic	1998-06-17
161	963	classic	1998-05-25
162	967	junior	1996-12-23
163	984	classic	1996-09-18
164	992	classic	1998-11-29
165	996	junior	1998-02-04
166	999	classic	1995-03-05
167	1011	classic	1995-09-15
168	1018	classic	1995-01-24
169	1019	classic	1998-08-10
170	1020	classic	1998-04-16
171	1027	classic	1997-03-05
172	1030	classic	1998-12-14
173	1031	classic	1998-06-21
174	1039	junior	1994-12-04
175	1040	classic	1997-01-03
176	1049	classic	1998-04-25
177	1056	classic	1998-11-19
178	1057	classic	1998-11-21
179	1059	classic	1998-08-10
180	1062	classic	1998-09-29
181	1066	classic	1994-08-19
182	1067	gold	1997-08-31
183	1080	classic	1996-05-08
184	1089	gold	1997-06-03
185	1098	classic	1997-09-07
186	1133	gold	1998-05-12
187	1140	classic	1997-09-07
188	1146	classic	1994-06-19
189	1157	classic	1997-02-19
190	1165	classic	1997-09-23
191	1168	junior	1998-04-02
192	1169	classic	1998-06-08
193	1179	gold	1998-09-21
194	1182	classic	1997-01-13
195	1194	classic	1997-02-03
196	1197	classic	1998-12-22
197	1202	junior	1996-10-21
198	1211	junior	1998-03-18
199	1213	classic	1997-02-07
200	1220	gold	1997-12-09
201	1223	classic	1998-12-08
202	1228	classic	1996-02-04
203	1231	classic	1998-09-16
204	1239	junior	1996-05-30
205	1242	classic	1998-11-16
206	1243	classic	1997-09-22
207	1244	classic	1998-05-25
208	1246	gold	1995-02-08
209	1251	classic	1998-07-31
210	1253	classic	1997-02-16
211	1271	classic	1997-06-10
212	1280	classic	1998-05-24
213	1289	gold	1997-06-11
214	1292	classic	1998-01-24
215	1296	classic	1998-03-02
216	1310	junior	1996-04-24
217	1316	classic	1998-11-09
218	1322	classic	1998-05-18
219	1329	classic	1998-12-04
220	1333	classic	1996-10-13
221	1339	classic	1998-08-10
222	1345	classic	1997-06-19
223	1353	classic	1995-04-18
225	1359	classic	1998-03-03
226	1378	classic	1997-04-18
227	1380	classic	1996-08-10
228	1382	junior	1998-03-15
229	1384	classic	1996-04-05
230	1388	gold	1998-10-25
231	1390	junior	1998-09-29
232	1396	classic	1997-05-01
233	1418	classic	1998-07-07
234	1424	classic	1997-09-29
235	1438	classic	1998-05-02
236	1440	junior	1998-01-29
237	1445	classic	1997-11-25
238	1452	gold	1997-08-17
239	1453	gold	1998-08-24
240	1459	classic	1998-12-23
241	1461	classic	1997-06-20
242	1473	classic	1998-09-24
243	1478	classic	1996-12-13
244	1480	classic	1998-03-16
245	1483	classic	1998-10-08
246	1492	classic	1998-02-08
247	1500	junior	1997-10-08
248	1512	classic	1998-03-01
249	1517	classic	1998-02-06
250	1522	classic	1998-06-30
251	1525	classic	1997-10-23
252	1529	classic	1997-09-02
253	1536	gold	1998-11-14
254	1578	classic	1997-11-11
255	1579	gold	1998-10-01
256	1583	classic	1997-05-26
257	1589	classic	1998-11-20
258	1607	classic	1997-01-26
259	1610	classic	1997-09-05
260	1616	classic	1998-07-05
261	1629	gold	1995-11-09
262	1647	junior	1995-08-24
263	1668	gold	1998-04-17
264	1669	classic	1998-10-07
265	1680	classic	1996-06-28
266	1690	classic	1997-03-04
267	1691	junior	1996-03-09
268	1707	gold	1997-12-11
269	1718	gold	1998-03-22
270	1736	junior	1997-06-17
272	1754	junior	1996-10-28
273	1758	classic	1997-11-07
274	1759	classic	1998-01-21
275	1762	classic	1997-05-20
276	1765	classic	1998-03-07
277	1777	gold	1998-07-12
278	1779	classic	1996-08-15
279	1791	classic	1997-09-21
280	1793	classic	1997-06-22
281	1795	classic	1997-12-22
282	1799	gold	1997-12-13
283	1800	classic	1998-02-25
284	1807	classic	1998-05-07
285	1811	gold	1998-09-10
286	1812	gold	1996-04-21
287	1819	junior	1997-06-28
288	1826	classic	1998-10-10
289	1831	junior	1996-04-08
290	1833	classic	1998-03-24
291	1836	classic	1998-09-29
292	1842	gold	1997-01-18
293	1850	classic	1997-02-17
294	1861	classic	1996-12-04
295	1864	classic	1998-10-26
296	1876	gold	1995-11-13
297	1883	classic	1997-06-15
298	1885	classic	1997-01-17
299	1886	classic	1998-10-25
300	1890	classic	1996-11-20
301	1899	classic	1998-07-07
302	1900	classic	1996-03-31
303	1912	classic	1996-08-01
304	1913	classic	1998-01-06
305	1914	classic	1997-05-23
306	1929	classic	1998-12-11
307	1930	gold	1998-09-05
308	1938	classic	1998-07-30
309	1946	classic	1994-09-19
310	1947	junior	1998-12-23
311	1954	classic	1997-07-01
312	1971	classic	1996-06-08
313	1980	classic	1996-06-17
314	1999	junior	1995-01-27
315	2005	junior	1998-03-24
316	2013	classic	1997-06-17
317	2015	classic	1998-06-10
319	2038	junior	1998-08-02
320	2045	classic	1996-07-11
321	2058	gold	1998-08-16
322	2063	classic	1998-12-28
323	2065	junior	1998-07-24
324	2074	classic	1997-02-19
325	2102	classic	1997-01-12
326	2104	classic	1997-12-14
327	2117	classic	1997-10-03
328	2121	junior	1998-09-12
329	2122	gold	1997-11-19
330	2124	classic	1998-04-11
331	2125	gold	1998-05-01
332	2126	classic	1998-06-19
333	2128	classic	1998-11-04
334	2133	classic	1998-03-13
335	2137	classic	1998-09-25
336	2138	junior	1998-10-09
337	2141	classic	1996-01-01
338	2146	classic	1998-04-16
339	2154	classic	1998-10-19
340	2155	classic	1998-01-25
341	2156	gold	1998-12-06
342	2157	classic	1995-09-27
343	2164	classic	1997-09-21
344	2168	classic	1998-07-27
345	2175	classic	1998-11-07
346	2177	classic	1998-08-14
347	2184	classic	1997-02-11
348	2203	classic	1998-02-02
349	2214	classic	1997-05-26
350	2226	classic	1997-04-20
351	2232	classic	1998-11-01
352	2235	classic	1998-09-11
353	2259	classic	1997-06-11
354	2265	gold	1998-06-30
355	2267	classic	1997-08-28
356	2268	classic	1997-09-13
357	2277	junior	1998-09-29
358	2287	junior	1998-05-23
359	2299	classic	1997-10-29
360	2308	classic	1998-02-24
361	2312	classic	1998-09-23
362	2320	gold	1998-06-21
363	2324	junior	1996-12-11
364	2329	classic	1996-02-29
365	2332	classic	1998-06-23
366	2335	classic	1998-10-09
367	2343	classic	1998-08-27
368	2361	classic	1998-01-10
369	2363	classic	1994-11-08
370	2374	classic	1998-04-03
371	2388	gold	1998-12-13
372	2395	classic	1996-03-31
373	2401	classic	1997-11-18
374	2423	classic	1996-11-08
375	2425	junior	1997-05-17
376	2428	classic	1994-11-10
377	2429	classic	1994-03-03
378	2430	classic	1998-12-11
379	2431	classic	1996-01-12
380	2434	classic	1997-12-15
381	2440	classic	1996-10-27
382	2445	gold	1997-11-22
383	2469	classic	1997-07-30
384	2475	junior	1994-09-15
385	2476	classic	1998-10-12
386	2478	classic	1998-08-14
387	2481	classic	1997-04-18
388	2488	junior	1998-11-26
389	2489	gold	1998-09-19
390	2490	classic	1996-10-14
391	2493	classic	1998-02-24
392	2496	classic	1998-11-22
393	2498	junior	1995-12-03
394	2501	classic	1998-10-05
395	2502	classic	1998-08-24
396	2508	classic	1998-07-26
397	2513	classic	1995-06-24
398	2522	classic	1998-02-14
399	2527	classic	1997-05-22
400	2529	classic	1997-04-06
401	2532	classic	1998-01-19
402	2536	classic	1998-09-03
403	2538	junior	1997-07-12
404	2540	junior	1998-11-12
405	2542	classic	1998-08-31
406	2548	classic	1998-08-16
407	2555	classic	1996-07-11
408	2560	classic	1996-12-10
409	2562	classic	1998-11-16
410	2569	classic	1995-07-20
411	2572	classic	1998-07-15
412	2585	classic	1998-05-09
413	2592	junior	1997-07-20
414	2606	classic	1998-09-26
415	2609	classic	1998-05-25
416	2616	classic	1998-10-01
417	2619	classic	1998-03-30
418	2623	classic	1995-04-14
419	2626	classic	1998-02-28
421	2644	classic	1998-04-27
422	2650	junior	1995-07-11
423	2657	classic	1996-02-19
424	2659	classic	1998-11-06
425	2662	junior	1998-09-04
426	2686	classic	1997-05-09
427	2688	gold	1996-01-25
428	2698	classic	1997-10-13
429	2709	classic	1998-11-05
430	2713	classic	1997-05-26
431	2715	gold	1997-09-12
433	2724	classic	1996-12-12
434	2739	classic	1997-12-30
435	2740	classic	1998-07-15
436	2759	classic	1997-10-09
437	2762	classic	1994-06-01
438	2768	classic	1997-10-30
439	2779	classic	1998-07-23
440	2782	classic	1998-07-07
441	2785	classic	1996-11-05
442	2796	classic	1998-12-26
443	2808	classic	1997-06-29
444	2815	gold	1998-04-03
445	2820	gold	1998-11-19
446	2841	classic	1998-06-04
447	2845	classic	1998-10-07
448	2864	classic	1998-04-29
449	2865	classic	1998-10-28
450	2880	classic	1998-07-07
451	2888	junior	1998-04-16
452	2910	classic	1998-12-19
453	2911	gold	1998-07-12
454	2921	classic	1997-08-01
455	2924	classic	1998-11-13
456	2929	classic	1998-05-16
457	2948	junior	1998-05-16
458	2951	gold	1998-05-14
459	2958	gold	1998-02-11
460	2971	classic	1998-10-05
461	2977	gold	1998-08-21
462	2978	classic	1995-12-30
463	2982	classic	1998-02-26
464	2984	classic	1995-02-21
465	2995	classic	1998-05-15
466	2998	classic	1998-11-25
467	3019	classic	1995-06-05
468	3023	classic	1995-01-30
469	3026	classic	1998-06-07
470	3036	classic	1996-09-02
471	3037	classic	1997-06-09
472	3056	classic	1997-11-24
473	3063	classic	1998-12-22
474	3066	junior	1998-01-24
475	3075	gold	1998-05-31
476	3079	classic	1997-07-06
477	3082	junior	1995-01-16
478	3084	classic	1994-10-09
479	3085	classic	1998-12-16
480	3092	classic	1998-09-01
481	3102	junior	1998-01-06
482	3104	junior	1998-01-13
483	3115	classic	1994-11-24
484	3116	classic	1995-07-04
485	3124	classic	1998-07-08
486	3128	gold	1998-12-25
487	3130	classic	1998-11-18
488	3134	gold	1998-10-20
489	3135	classic	1998-11-29
490	3136	gold	1997-02-07
491	3151	classic	1997-08-21
492	3166	classic	1998-04-09
493	3167	classic	1997-11-30
494	3173	classic	1997-06-10
495	3181	classic	1997-09-02
496	3183	junior	1998-07-21
497	3184	classic	1995-03-03
498	3186	classic	1998-04-18
499	3187	classic	1996-04-03
500	3192	classic	1998-11-26
501	3197	classic	1995-07-09
502	3201	classic	1997-08-22
503	3225	classic	1995-03-08
504	3230	junior	1995-11-06
505	3233	junior	1998-10-09
506	3236	gold	1998-12-19
507	3245	classic	1997-12-11
508	3249	classic	1998-08-03
509	3253	gold	1998-07-30
510	3256	classic	1998-04-13
511	3257	junior	1997-08-06
512	3259	classic	1997-07-24
513	3260	classic	1997-03-15
514	3267	classic	1996-09-10
515	3268	classic	1998-03-23
516	3279	classic	1996-10-25
517	3291	classic	1998-01-09
518	3292	gold	1998-02-10
519	3297	classic	1998-08-16
520	3308	classic	1998-09-25
521	3310	classic	1997-12-17
523	3319	junior	1998-11-23
524	3333	classic	1998-11-02
525	3337	classic	1998-07-27
526	3339	classic	1998-09-10
527	3348	junior	1998-12-14
528	3356	classic	1996-10-31
529	3357	classic	1998-02-27
530	3360	classic	1998-07-25
531	3378	gold	1998-08-24
532	3382	classic	1997-11-30
533	3384	classic	1998-10-09
534	3387	classic	1997-01-29
535	3395	classic	1998-03-22
536	3404	classic	1997-12-13
537	3405	classic	1997-09-15
538	3414	gold	1998-08-20
539	3415	classic	1997-04-23
540	3425	classic	1997-11-29
541	3427	junior	1996-11-26
542	3439	classic	1998-10-22
544	3448	gold	1998-09-10
545	3458	classic	1995-05-30
546	3465	gold	1997-08-19
547	3477	classic	1996-10-11
548	3501	classic	1998-07-16
549	3504	classic	1998-12-12
550	3515	classic	1998-08-08
551	3517	classic	1998-09-03
552	3519	classic	1997-10-25
553	3522	classic	1997-07-14
554	3535	classic	1998-09-29
555	3544	classic	1997-11-19
557	3567	classic	1998-01-17
558	3568	classic	1998-06-07
559	3573	classic	1995-06-17
560	3577	classic	1998-12-17
561	3581	gold	1998-09-28
562	3583	classic	1996-11-07
563	3589	classic	1994-10-21
564	3590	classic	1997-05-06
565	3601	gold	1997-01-06
566	3606	classic	1997-12-25
567	3611	classic	1998-07-08
568	3615	classic	1997-03-05
569	3616	classic	1997-12-12
570	3620	classic	1998-11-14
571	3627	junior	1998-07-13
572	3636	junior	1997-05-16
573	3638	classic	1998-12-23
574	3640	junior	1998-02-23
575	3667	gold	1997-12-25
576	3671	classic	1997-04-30
577	3687	classic	1994-02-15
578	3689	junior	1997-02-21
579	3699	classic	1997-11-18
580	3713	classic	1998-11-16
581	3721	classic	1998-08-13
582	3733	classic	1997-01-22
583	3735	classic	1997-04-24
584	3751	classic	1998-10-28
585	3753	gold	1998-10-01
586	3756	classic	1998-05-31
587	3763	junior	1996-08-05
588	3765	classic	1997-07-08
589	3766	junior	1997-12-20
590	3769	classic	1997-12-02
591	3779	classic	1997-07-23
592	3782	junior	1995-08-07
593	3787	junior	1998-01-06
594	3794	junior	1996-12-27
596	3811	classic	1997-10-19
597	3813	junior	1997-06-06
598	3821	classic	1997-08-23
599	3824	gold	1998-03-08
600	3829	classic	1996-05-20
601	3830	classic	1996-10-08
602	3846	junior	1998-04-18
603	3850	classic	1998-07-20
604	3858	classic	1998-11-04
605	3874	classic	1998-12-11
606	3883	classic	1996-01-22
607	3885	classic	1997-05-17
608	3890	classic	1997-12-17
609	3893	classic	1996-12-29
610	3894	classic	1997-08-29
611	3896	classic	1997-11-13
612	3906	classic	1997-09-22
613	3913	classic	1998-07-23
614	3938	junior	1998-10-16
616	3943	classic	1997-05-05
617	3944	gold	1997-04-09
618	3947	classic	1998-07-31
619	3958	classic	1998-04-01
620	3959	classic	1998-09-17
621	3970	junior	1996-03-19
622	3981	junior	1997-09-22
623	3984	classic	1998-07-25
624	3985	junior	1998-02-13
625	3987	classic	1997-07-17
626	3992	classic	1998-11-30
627	3994	classic	1998-07-05
628	4007	classic	1997-08-11
629	4018	junior	1998-09-25
630	4019	classic	1998-09-18
631	4061	junior	1998-06-09
632	4069	classic	1998-11-19
633	4078	classic	1997-10-12
634	4081	junior	1998-09-22
635	4083	classic	1998-12-29
636	4091	junior	1998-11-09
637	4094	junior	1997-08-06
638	4100	gold	1997-10-14
639	4112	classic	1998-05-23
640	4115	classic	1998-07-14
641	4116	classic	1996-06-18
642	4137	classic	1996-12-13
643	4157	classic	1998-03-04
644	4165	classic	1998-06-05
645	4166	classic	1998-05-17
646	4167	classic	1998-06-17
647	4171	junior	1997-03-21
648	4188	classic	1997-11-18
649	4190	classic	1998-05-29
650	4194	classic	1997-10-26
651	4201	junior	1996-08-02
652	4211	classic	1995-06-16
653	4212	classic	1998-09-16
654	4230	classic	1998-12-21
655	4231	classic	1998-02-13
656	4235	classic	1997-10-08
657	4246	junior	1998-12-02
658	4251	classic	1994-12-25
659	4258	classic	1998-01-08
660	4265	junior	1997-08-19
661	4270	classic	1995-07-03
662	4293	classic	1995-05-09
663	4295	classic	1997-08-06
664	4316	classic	1997-10-22
665	4318	classic	1997-03-24
666	4328	junior	1995-12-25
667	4333	classic	1997-01-31
668	4340	classic	1997-01-14
669	4341	classic	1998-06-19
670	4343	classic	1996-08-08
671	4345	classic	1997-09-17
672	4349	classic	1998-03-07
673	4353	junior	1996-08-31
674	4360	classic	1998-12-28
675	4376	classic	1997-06-23
676	4380	classic	1998-09-30
677	4382	junior	1998-12-01
678	4405	gold	1997-01-20
679	4416	classic	1997-03-06
680	4417	classic	1998-04-29
681	4426	classic	1997-01-22
682	4429	classic	1998-10-11
683	4437	classic	1998-08-05
684	4457	classic	1998-08-11
685	4467	classic	1998-12-29
687	4471	classic	1998-07-14
688	4472	classic	1997-08-01
689	4473	classic	1998-01-15
690	4479	classic	1996-11-07
691	4492	classic	1998-12-16
692	4493	classic	1998-12-08
693	4495	junior	1998-11-03
694	4504	classic	1997-07-24
695	4507	classic	1995-12-15
696	4516	classic	1998-07-05
697	4518	classic	1996-12-11
698	4522	gold	1997-10-07
699	4532	classic	1995-09-26
700	4533	junior	1998-05-22
701	4534	classic	1998-06-24
702	4543	classic	1998-08-30
703	4546	classic	1997-09-17
704	4553	gold	1998-11-21
705	4555	classic	1995-07-12
706	4559	gold	1997-01-16
707	4560	classic	1997-11-21
708	4568	junior	1996-09-24
709	4587	junior	1997-04-11
710	4588	junior	1996-12-10
711	4592	classic	1998-08-19
713	4627	classic	1995-09-30
714	4638	classic	1997-01-09
715	4639	junior	1998-12-08
716	4651	junior	1998-06-11
717	4654	classic	1998-05-19
718	4660	classic	1997-08-12
719	4663	classic	1995-06-24
720	4674	junior	1998-02-09
721	4680	junior	1994-04-05
722	4684	classic	1996-11-14
723	4699	classic	1997-12-15
724	4701	gold	1998-01-27
725	4715	junior	1996-03-30
726	4721	classic	1998-02-26
727	4723	classic	1998-07-19
728	4725	classic	1998-12-24
729	4740	junior	1997-01-22
730	4749	classic	1997-05-02
731	4751	classic	1996-06-23
732	4763	classic	1994-07-21
733	4764	junior	1997-06-30
734	4765	classic	1998-05-01
735	4772	classic	1998-12-19
736	4789	classic	1996-08-03
737	4791	classic	1995-04-13
738	4808	junior	1998-07-02
739	4821	classic	1997-12-03
740	4823	junior	1998-07-28
741	4832	classic	1996-09-11
742	4833	classic	1998-11-10
743	4862	gold	1998-10-18
744	4863	classic	1998-10-02
746	4901	classic	1998-11-04
747	4915	classic	1994-02-05
748	4923	classic	1997-06-16
749	4929	classic	1998-10-19
750	4937	classic	1998-10-24
751	4941	junior	1998-10-15
752	4944	junior	1998-09-06
753	4974	classic	1998-12-25
754	4976	junior	1998-10-10
755	5002	classic	1998-04-16
756	5012	classic	1998-05-18
757	5013	junior	1998-05-22
758	5016	classic	1998-09-21
759	5117	junior	1995-04-18
760	5126	classic	1998-01-19
761	5128	gold	1998-04-23
762	5132	classic	1997-11-10
763	5138	junior	1994-12-30
764	5159	classic	1996-05-29
765	5175	classic	1998-09-29
766	5200	classic	1995-02-11
767	5204	classic	1997-09-14
768	5223	classic	1998-07-06
769	5224	classic	1998-10-20
770	5232	classic	1998-06-15
771	5233	classic	1996-01-08
772	5243	classic	1996-10-30
773	5245	classic	1998-11-18
774	5249	classic	1997-12-25
775	5253	gold	1998-04-11
776	5263	classic	1996-10-19
778	5275	classic	1995-01-02
779	5323	junior	1995-05-21
780	5333	classic	1998-07-29
781	5366	classic	1997-07-07
782	5376	classic	1998-09-29
783	5433	junior	1995-10-24
784	5461	classic	1998-03-24
785	5468	classic	1998-06-16
786	5478	classic	1996-12-31
791	5521	classic	1997-05-12
792	5526	classic	1998-10-11
795	5563	classic	1998-08-02
796	5579	classic	1998-02-20
801	5684	classic	1997-06-15
803	5727	classic	1998-01-19
813	5873	junior	1996-10-28
814	5911	classic	1996-02-15
819	5978	gold	1998-12-06
820	6039	classic	1998-11-10
823	6178	classic	1998-06-05
824	6196	classic	1998-04-29
829	6255	classic	1998-12-22
831	6275	classic	1998-06-29
833	6299	classic	1998-08-01
834	6301	classic	1998-08-21
841	6468	classic	1997-03-06
844	6567	junior	1998-03-04
847	6610	classic	1997-05-20
850	6644	classic	1997-01-16
854	6753	classic	1996-10-07
855	6764	classic	1998-10-24
857	6789	junior	1998-10-25
863	6906	classic	1998-06-12
874	7127	gold	1997-10-07
880	7186	classic	1998-09-17
882	7195	classic	1996-09-11
884	7286	gold	1997-07-31
886	7325	classic	1998-12-15
890	7422	classic	1996-09-08
891	7434	classic	1997-12-23
896	7567	classic	1997-09-18
897	7576	classic	1998-01-18
904	7672	classic	1998-01-22
906	7683	gold	1998-05-18
918	7796	classic	1998-04-27
923	7855	classic	1998-09-24
924	7862	classic	1998-12-24
933	7959	junior	1998-04-21
936	8030	classic	1997-08-02
939	8217	junior	1997-05-29
942	8295	classic	1997-12-02
945	8342	junior	1996-05-09
946	8359	junior	1998-02-28
947	8366	classic	1997-11-08
951	8392	classic	1998-08-16
956	8502	classic	1998-09-30
957	8506	junior	1998-10-16
965	8636	classic	1998-04-02
977	8968	classic	1996-05-08
989	9119	classic	1996-02-21
991	9149	junior	1998-07-01
1001	9247	classic	1998-11-20
1002	9261	classic	1998-07-09
1003	9274	classic	1998-08-09
1005	9285	classic	1993-11-07
1007	9333	gold	1998-09-25
1009	9409	gold	1997-06-14
1010	9413	classic	1996-10-27
1014	9452	classic	1996-11-02
1016	9525	classic	1997-10-28
1022	9606	classic	1997-12-13
1023	9621	classic	1998-08-30
1024	9622	classic	1998-09-20
1025	9625	classic	1997-09-08
1035	9732	classic	1998-10-11
1036	9735	classic	1997-01-17
1038	9787	junior	1995-03-30
1039	9837	classic	1995-01-07
1040	9890	junior	1995-05-28
1043	9974	junior	1996-08-14
1055	10171	classic	1996-07-24
1056	10220	classic	1997-11-06
1059	10235	classic	1997-07-29
1064	10328	classic	1996-02-17
1070	10490	junior	1998-11-08
1076	10604	gold	1998-07-27
1081	10696	classic	1998-12-25
1087	10887	classic	1996-10-06
1093	11011	classic	1997-01-20
1095	11023	gold	1997-07-28
1098	11063	classic	1998-09-01
1100	11101	junior	1996-04-10
1102	11183	classic	1998-04-25
1103	11189	classic	1995-11-04
1105	11237	classic	1997-12-13
1111	11288	classic	1996-12-31
1115	11375	junior	1997-10-03
1118	11393	classic	1997-01-02
1134	11742	classic	1996-05-31
1137	11771	gold	1998-12-01
1138	11825	classic	1997-06-29
1139	11836	junior	1996-03-26
1150	12020	classic	1998-08-25
1154	12070	classic	1998-09-05
1155	12088	classic	1998-08-01
1164	12269	classic	1996-08-12
1165	12291	classic	1998-11-08
1167	12335	classic	1998-07-18
1169	12354	classic	1998-11-30
1173	12442	classic	1997-05-08
1175	12494	classic	1998-11-24
1176	12502	gold	1996-07-03
1177	12535	gold	1998-12-06
1178	12542	classic	1997-06-19
1187	12635	gold	1996-07-17
1188	12678	classic	1998-09-19
1189	12683	classic	1998-03-17
1192	12736	classic	1998-07-02
1193	12743	classic	1998-10-01
1194	12781	junior	1998-04-30
1195	12787	gold	1998-09-04
1196	12805	classic	1997-06-27
1199	12826	classic	1998-03-09
1203	12893	classic	1997-09-26
1216	13097	classic	1998-05-26
1217	13098	junior	1998-08-09
1220	13160	classic	1997-08-08
1223	13231	junior	1995-05-02
1225	13268	classic	1995-11-22
1230	13312	classic	1998-03-08
1233	13382	classic	1996-07-06
1234	13386	classic	1997-11-28
1239	13442	junior	1998-02-02
1247	13660	classic	1995-06-13
\.


--
-- Data for Name: client; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial.client (client_id, gender, birth_date, district_id) FROM stdin;
1	F	1970-12-13	18
2	M	1945-02-04	1
3	F	1940-10-09	1
4	M	1956-12-01	5
5	F	1960-07-03	5
6	M	1919-09-22	12
7	M	1929-01-25	15
8	F	1938-02-21	51
9	M	1935-10-16	60
10	M	1943-05-01	57
11	F	1950-08-22	57
12	M	1981-02-20	40
13	F	1974-05-29	54
14	F	1942-06-22	76
15	F	1918-08-28	21
16	M	1919-02-25	21
17	M	1934-10-13	76
18	F	1931-04-05	76
19	M	1942-12-28	47
20	M	1979-01-04	46
21	F	1952-10-29	12
22	F	1969-10-11	1
23	M	1973-05-29	1
24	F	1939-07-29	43
25	F	1939-04-23	21
26	F	1969-04-20	74
27	F	1966-03-26	54
28	M	1945-09-29	1
29	F	1951-09-11	30
30	F	1957-10-09	74
31	M	1962-02-09	68
32	M	1980-07-28	52
33	F	1948-12-04	73
36	F	1978-07-17	7
37	M	1970-08-10	7
38	F	1973-07-23	36
39	M	1968-01-25	68
40	F	1957-01-22	5
41	M	1968-08-27	22
42	M	1935-08-17	68
43	M	1920-10-28	75
44	F	1977-01-11	38
45	M	1952-08-26	20
46	F	1940-01-30	19
47	M	1934-07-14	76
48	M	1940-02-09	16
49	F	1959-05-11	72
50	F	1978-07-30	39
51	F	1979-12-02	36
52	M	1924-12-12	32
53	M	1977-05-05	64
55	F	1948-09-18	45
56	M	1960-03-31	21
57	F	1961-12-17	21
58	F	1927-04-29	1
59	M	1957-02-18	1
60	M	1980-02-19	67
61	F	1948-08-06	16
62	M	1932-12-08	77
63	M	1959-06-04	4
64	M	1926-04-22	20
65	F	1943-05-27	50
66	F	1951-11-10	1
67	F	1932-11-11	29
68	M	1946-12-14	43
70	M	1925-12-22	70
71	F	1927-02-06	70
72	M	1923-01-13	47
73	M	1924-02-20	22
74	F	1925-07-26	22
75	F	1977-09-19	64
76	F	1967-10-01	36
77	F	1956-02-18	1
78	F	1944-06-13	16
79	F	1969-03-10	37
80	F	1979-02-25	64
81	M	1976-04-29	8
82	F	1979-12-25	8
83	F	1978-12-25	1
84	M	1979-05-05	1
85	M	1961-08-27	1
86	F	1969-07-20	1
87	F	1946-11-17	72
89	F	1951-05-05	1
90	M	1975-08-17	52
91	M	1940-08-07	63
92	F	1966-06-12	74
93	M	1925-02-16	3
94	M	1947-09-09	43
95	F	1952-08-03	43
96	M	1972-02-29	74
97	M	1965-11-28	26
98	F	1973-05-04	33
99	M	1973-01-26	33
100	F	1942-08-11	44
101	M	1943-01-23	68
102	F	1958-09-10	74
103	M	1955-07-11	74
105	M	1980-05-26	31
106	F	1968-12-30	68
107	M	1972-06-23	1
108	M	1963-09-13	17
110	F	1967-04-13	2
112	M	1935-01-25	1
113	F	1940-08-15	1
114	F	1969-06-24	74
115	M	1969-12-24	74
116	M	1942-01-28	74
117	F	1936-09-20	74
118	M	1922-07-19	55
119	F	1922-02-28	55
120	M	1976-05-10	1
121	F	1978-10-29	41
122	F	1963-11-13	35
123	M	1969-02-12	11
124	M	1967-09-21	44
125	M	1936-10-31	37
126	F	1929-09-27	37
127	F	1950-12-27	21
128	F	1973-04-04	63
129	F	1947-05-31	64
130	M	1942-02-14	53
131	F	1977-01-31	53
132	M	1953-01-26	36
134	M	1932-01-18	6
135	F	1938-09-10	6
136	F	1921-01-26	55
137	M	1923-09-14	60
138	F	1972-10-21	54
139	F	1959-07-25	8
140	M	1961-06-06	8
141	M	1925-11-02	31
142	M	1937-06-21	68
143	M	1978-07-09	27
144	M	1958-12-06	65
145	M	1978-02-14	55
146	F	1961-12-19	31
147	F	1933-11-02	21
148	M	1940-12-25	21
149	M	1948-06-27	55
150	F	1980-09-27	2
151	F	1971-09-23	51
152	F	1945-12-02	29
153	F	1981-02-12	13
154	M	1933-08-27	74
155	F	1939-03-13	74
156	F	1930-07-22	54
157	F	1943-07-09	52
158	F	1945-07-03	40
159	M	1938-09-10	40
160	F	1942-04-26	64
161	F	1943-10-07	34
162	M	1941-10-17	65
163	M	1933-06-12	74
164	F	1962-04-04	70
165	M	1968-11-08	22
166	F	1961-10-22	22
167	F	1978-04-18	38
168	F	1976-11-05	24
169	M	1953-09-12	38
170	F	1946-06-16	38
171	M	1929-06-25	51
172	F	1935-10-05	51
173	F	1918-12-08	21
174	M	1978-11-10	10
175	M	1960-07-13	31
176	M	1929-03-11	4
178	M	1960-12-22	8
179	M	1980-12-29	43
180	M	1982-01-19	73
181	M	1967-07-06	76
182	F	1959-07-13	76
183	F	1978-03-19	1
184	M	1972-06-05	1
185	M	1954-05-30	77
186	F	1961-02-22	46
187	M	1942-08-23	58
188	M	1960-09-02	64
189	M	1919-08-10	11
190	F	1947-10-31	37
191	M	1954-09-03	37
192	M	1971-02-28	70
193	M	1962-05-01	1
194	F	1924-12-20	28
195	M	1919-11-18	74
196	F	1927-06-25	74
197	M	1933-04-25	30
198	M	1976-07-14	60
199	M	1923-06-21	29
200	F	1928-01-13	29
201	F	1930-08-19	17
202	F	1976-11-21	29
203	M	1962-06-10	31
204	F	1967-06-17	31
205	F	1942-06-15	4
206	F	1963-04-13	59
207	M	1932-05-20	46
208	F	1940-06-25	13
209	M	1935-08-20	13
210	M	1939-11-30	66
211	F	1945-06-28	66
212	M	1975-02-10	52
215	M	1967-09-24	71
216	M	1960-01-30	1
217	F	1974-12-22	59
218	F	1980-01-23	1
219	F	1964-04-02	60
221	F	1977-02-25	21
222	F	1972-06-29	47
223	F	1952-02-27	43
224	M	1955-05-11	77
225	M	1936-05-10	32
226	M	1942-06-16	1
227	F	1926-12-18	52
228	F	1956-03-16	48
229	M	1969-07-22	76
230	F	1967-03-10	74
231	M	1941-02-18	41
232	F	1921-06-17	55
233	F	1958-12-03	69
234	M	1955-06-21	69
235	F	1943-08-28	44
236	M	1961-09-01	70
237	F	1969-02-22	70
238	F	1961-11-28	6
239	F	1974-09-10	1
240	F	1929-06-17	34
241	M	1959-01-23	70
242	F	1961-08-01	17
243	M	1954-02-10	63
246	F	1970-12-28	67
247	M	1957-05-08	1
248	F	1969-12-12	61
249	M	1970-05-05	61
250	F	1979-11-25	8
251	F	1976-03-03	54
252	F	1969-09-01	37
253	F	1947-05-12	48
254	M	1963-05-30	28
255	F	1951-10-11	27
256	F	1963-02-27	73
257	F	1942-11-04	22
258	M	1937-05-31	22
259	M	1966-06-08	31
260	F	1962-02-24	31
261	F	1937-12-07	38
262	M	1945-11-25	77
263	M	1962-05-20	68
264	M	1978-08-22	28
265	F	1933-01-07	72
266	F	1967-08-28	19
267	M	1967-06-12	37
268	F	1982-05-02	39
269	F	1923-12-03	15
270	M	1947-03-08	46
271	F	1945-07-27	46
272	F	1944-10-25	70
273	F	1972-05-15	27
274	F	1970-11-25	17
275	F	1918-11-12	1
276	M	1957-06-11	1
277	F	1961-11-28	1
278	F	1972-12-27	22
279	M	1970-05-16	22
280	F	1969-12-18	45
282	F	1938-02-24	73
283	M	1933-11-04	73
284	M	1974-08-06	10
285	M	1954-06-03	72
286	F	1952-04-18	72
287	M	1980-09-09	50
288	M	1962-04-21	6
289	M	1958-03-27	54
290	M	1959-01-12	72
291	F	1955-04-27	72
292	F	1958-09-06	15
293	M	1943-09-27	69
294	M	1968-03-21	58
295	M	1939-03-27	12
296	M	1974-03-01	65
297	F	1924-03-15	65
298	M	1921-06-13	65
300	F	1957-07-30	1
301	M	1942-01-10	28
302	M	1971-02-23	56
303	M	1946-05-06	74
304	F	1934-03-11	19
305	M	1938-06-08	46
308	F	1976-06-12	68
309	F	1969-12-14	37
310	M	1950-04-16	11
311	F	1930-09-16	64
312	M	1924-07-03	2
313	F	1942-05-11	24
314	M	1945-03-22	24
315	M	1967-05-01	54
316	M	1955-04-28	75
317	F	1957-10-06	64
318	F	1943-04-02	15
319	F	1929-04-04	19
320	M	1934-11-12	19
321	F	1943-10-24	47
322	M	1933-02-01	38
323	F	1938-04-04	38
324	M	1960-12-03	3
325	M	1960-02-21	3
326	F	1967-09-18	27
327	M	1968-10-13	27
328	F	1918-01-24	1
329	M	1964-12-03	11
330	F	1944-08-05	65
331	M	1942-03-02	1
332	M	1978-07-25	29
333	M	1971-10-19	38
334	M	1969-10-31	32
335	F	1967-07-22	73
336	F	1964-02-11	39
337	M	1957-05-08	39
338	F	1951-06-19	8
339	M	1966-07-30	1
340	F	1970-08-19	1
341	M	1977-03-16	69
342	F	1972-06-30	69
343	M	1919-11-19	44
344	F	1963-07-16	54
345	M	1953-12-07	17
346	F	1960-11-02	17
347	M	1959-12-13	71
348	F	1953-01-24	71
349	F	1927-05-27	39
350	F	1925-04-02	25
351	M	1973-05-01	1
352	M	1940-08-27	56
353	M	1965-10-26	7
354	F	1922-04-27	49
355	M	1930-05-31	49
356	F	1979-12-07	1
357	M	1979-03-30	1
358	F	1959-06-26	7
359	M	1970-02-16	66
360	M	1943-04-27	49
361	F	1977-05-25	74
362	F	1950-04-27	35
363	M	1942-07-01	35
364	F	1942-12-05	54
365	M	1930-01-09	1
366	F	1936-11-10	1
367	F	1963-09-03	60
368	M	1968-10-14	60
369	F	1930-11-06	7
370	F	1956-01-05	71
371	M	1942-07-16	4
372	M	1932-04-03	34
373	M	1936-02-28	16
374	M	1967-06-14	26
375	F	1969-09-29	61
376	F	1973-01-08	14
378	M	1978-05-15	50
379	F	1983-10-13	50
380	M	1973-01-19	41
381	F	1977-01-26	73
382	M	1978-06-30	73
383	F	1939-05-17	15
384	M	1935-10-08	15
385	M	1948-03-24	45
386	M	1980-08-21	62
387	M	1927-06-06	76
388	F	1950-10-30	36
389	F	1974-06-30	47
390	F	1977-01-27	47
391	F	1933-05-22	47
392	F	1950-04-01	74
393	M	1956-08-31	74
394	F	1924-05-18	52
395	M	1919-07-05	52
396	M	1920-05-02	1
397	M	1930-03-27	75
398	F	1925-03-26	61
399	M	1952-04-14	45
400	M	1933-12-27	1
401	F	1928-11-19	1
402	M	1943-12-25	3
403	F	1973-05-26	42
404	M	1967-04-20	42
405	F	1934-10-19	65
406	M	1977-05-15	36
407	F	1975-05-27	73
408	F	1978-02-22	35
409	M	1925-06-18	74
410	M	1962-12-20	62
411	F	1941-04-14	17
412	M	1944-04-17	17
413	F	1972-11-18	49
414	F	1947-10-19	46
415	M	1945-04-01	46
416	F	1932-10-07	1
417	M	1930-06-10	1
418	M	1966-10-13	28
419	F	1970-10-07	64
420	M	1978-03-13	18
421	M	1965-07-31	54
422	M	1946-12-07	69
423	M	1957-06-23	37
424	M	1947-10-08	1
425	M	1948-02-12	25
426	M	1937-06-01	72
427	F	1941-09-14	72
428	F	1919-11-16	47
429	F	1981-01-20	50
430	M	1920-07-28	39
431	F	1927-10-01	24
432	F	1952-03-26	59
433	M	1955-02-07	62
434	F	1943-01-30	70
435	M	1967-10-23	20
436	M	1955-06-15	2
437	F	1920-01-17	11
438	M	1938-09-28	32
439	F	1968-09-12	51
440	F	1970-07-07	15
441	M	1959-09-14	1
442	F	1971-12-16	1
443	M	1971-12-20	1
444	F	1960-08-01	74
445	F	1947-04-27	1
446	M	1952-03-19	1
447	M	1946-09-04	23
448	F	1970-08-15	77
450	M	1953-11-27	25
451	M	1979-04-14	12
452	F	1953-10-22	55
453	M	1969-07-16	67
454	F	1949-06-15	38
455	M	1920-07-26	68
456	M	1940-02-28	25
457	M	1950-09-26	70
458	M	1961-07-24	68
459	F	1967-07-23	32
461	F	1970-08-13	68
462	M	1970-12-21	14
463	M	1944-04-05	38
464	F	1959-07-30	24
465	M	1952-09-01	5
466	F	1947-11-19	1
467	M	1950-04-17	1
468	M	1959-04-27	72
469	F	1970-10-13	59
470	F	1954-04-21	30
471	M	1977-01-11	44
472	M	1981-12-27	36
473	F	1939-09-25	1
474	M	1949-05-31	46
476	F	1947-06-01	1
477	M	1954-07-20	1
478	M	1978-06-21	21
479	M	1947-08-20	11
480	F	1946-01-24	11
481	M	1927-01-22	69
482	F	1934-01-22	69
483	M	1944-06-19	1
484	F	1959-09-13	28
485	M	1978-05-16	32
486	M	1944-04-12	68
487	F	1922-04-01	1
488	M	1917-08-02	1
489	M	1940-10-07	41
490	M	1950-10-23	55
491	M	1966-08-05	63
492	M	1935-10-26	72
493	F	1942-06-04	41
494	M	1980-05-19	1
495	F	1937-04-07	49
496	F	1951-05-21	70
497	M	1953-02-02	74
498	F	1948-01-15	74
499	F	1935-07-08	18
500	M	1971-01-06	1
501	M	1937-10-28	62
502	M	1919-12-08	6
503	M	1959-07-24	73
504	M	1979-08-01	36
505	M	1977-12-21	13
506	M	1946-08-16	75
507	M	1954-11-16	75
508	M	1971-04-28	53
509	M	1980-05-02	73
510	M	1976-04-15	12
511	M	1959-02-18	9
512	F	1965-08-03	60
513	F	1974-01-11	8
514	M	1968-11-15	8
515	M	1932-05-26	1
516	F	1930-04-27	1
517	M	1965-07-25	63
518	F	1979-04-28	54
519	M	1980-04-13	18
520	F	1947-09-27	46
521	M	1975-12-25	69
522	F	1956-03-04	1
523	M	1922-12-17	38
524	F	1963-01-02	30
525	M	1969-08-14	30
526	M	1964-02-01	43
527	F	1966-08-18	43
528	M	1977-02-11	37
529	M	1978-11-05	69
530	F	1957-09-27	29
531	M	1976-10-04	27
532	F	1980-09-03	27
533	F	1941-05-19	54
534	M	1957-07-22	74
535	M	1937-09-09	26
536	M	1939-08-25	47
537	M	1935-01-16	1
538	F	1948-05-10	5
540	M	1921-07-28	19
541	F	1927-03-09	19
542	F	1921-02-09	59
543	F	1958-04-15	11
544	M	1948-11-16	63
545	F	1973-10-11	75
546	M	1953-08-25	7
547	M	1949-03-31	54
548	M	1937-12-04	49
550	M	1961-11-30	7
551	F	1976-07-05	47
552	F	1934-05-08	1
553	M	1941-04-07	1
554	F	1925-04-19	30
555	M	1926-10-21	30
556	M	1946-07-08	29
557	M	1939-07-17	51
558	F	1920-07-05	43
559	F	1972-09-05	32
560	F	1967-12-16	71
561	F	1962-11-10	74
562	F	1975-09-22	49
563	F	1961-09-09	72
564	M	1955-01-24	72
565	F	1959-07-03	64
566	F	1946-03-05	47
567	M	1950-05-02	47
568	F	1960-07-19	8
569	M	1962-06-15	73
570	F	1941-01-31	61
571	M	1924-09-27	3
572	F	1920-08-04	3
573	M	1967-08-10	69
574	M	1972-12-25	1
575	M	1970-04-04	58
576	F	1974-05-12	58
577	F	1963-12-05	1
578	F	1977-07-07	23
579	F	1933-05-31	72
581	F	1949-02-04	70
582	M	1950-09-26	1
583	F	1965-01-01	75
584	F	1976-05-13	33
585	F	1942-02-21	40
586	M	1947-11-03	40
587	F	1945-07-08	25
588	F	1960-10-20	61
589	M	1961-09-17	45
590	M	1949-02-15	44
591	F	1974-10-29	65
592	M	1965-07-18	26
593	F	1954-07-10	60
596	M	1948-10-24	69
597	M	1943-02-22	55
598	M	1970-12-31	1
599	F	1977-05-18	1
601	M	1966-03-12	56
602	F	1965-01-16	56
603	F	1966-03-09	13
604	F	1965-07-31	1
605	F	1970-08-27	1
606	F	1949-01-25	10
607	M	1964-03-30	64
608	M	1972-08-31	67
609	M	1962-09-02	52
610	F	1979-08-10	74
611	M	1952-10-13	36
612	F	1960-11-10	36
613	F	1977-08-10	1
614	F	1947-02-03	14
615	F	1949-09-13	68
616	M	1975-01-01	58
617	M	1974-03-14	70
618	F	1932-03-16	57
619	M	1920-09-07	6
620	F	1918-02-13	6
621	M	1939-03-17	54
622	F	1931-11-23	74
623	M	1925-09-04	24
624	F	1932-07-26	24
625	F	1978-11-24	60
626	M	1980-04-13	9
627	M	1972-04-11	17
628	F	1970-05-27	17
629	M	1976-03-10	16
630	M	1952-03-03	61
631	F	1956-03-22	70
632	M	1946-03-16	67
633	F	1938-06-12	67
635	F	1927-06-29	17
636	M	1935-02-17	17
637	F	1970-12-15	39
638	F	1961-02-03	54
639	M	1978-08-02	31
640	M	1979-04-15	26
641	F	1962-07-04	40
642	M	1963-10-25	40
643	F	1949-06-13	1
644	F	1961-04-23	35
645	M	1925-12-21	14
646	F	1922-09-29	34
647	M	1929-04-06	34
648	F	1935-09-28	70
649	F	1978-05-02	13
651	F	1976-01-27	54
652	M	1938-12-08	61
653	F	1930-11-21	1
654	F	1942-05-17	64
655	M	1942-12-10	32
656	M	1956-06-06	1
657	F	1926-07-10	8
658	M	1926-12-21	8
659	M	1965-12-07	24
660	M	1923-03-22	16
661	F	1919-01-15	16
662	M	1945-08-07	5
663	M	1923-01-20	24
664	F	1980-03-19	77
665	F	1932-04-05	62
666	M	1982-05-23	26
667	F	1981-07-20	26
668	F	1942-12-25	1
669	F	1956-12-19	12
670	M	1959-01-21	1
671	F	1971-02-27	10
672	F	1929-11-09	46
673	M	1939-10-29	36
674	F	1927-01-11	11
675	M	1975-11-12	50
676	M	1953-02-07	70
677	M	1963-05-24	5
678	F	1933-05-28	39
679	M	1940-03-19	8
680	F	1940-05-09	8
681	M	1977-01-15	15
682	M	1979-10-21	18
683	F	1945-08-29	76
684	F	1976-04-10	3
685	F	1930-12-13	72
686	F	1971-10-03	32
687	M	1975-01-28	32
688	M	1954-05-04	1
689	M	1964-08-02	70
690	M	1942-11-07	38
691	F	1944-01-13	38
692	F	1936-01-11	74
693	M	1935-03-17	74
694	M	1936-02-28	29
695	M	1955-06-27	28
696	F	1952-12-01	28
697	M	1974-05-01	1
698	M	1954-02-27	75
699	F	1922-04-22	26
700	M	1929-11-20	12
702	F	1968-11-07	31
703	M	1959-04-26	4
704	M	1975-05-01	54
705	M	1938-12-10	19
706	M	1948-08-05	1
707	M	1941-12-14	1
708	F	1977-11-27	50
709	M	1934-12-29	1
710	M	1925-11-28	23
711	F	1963-08-16	48
712	M	1962-12-04	54
713	F	1980-03-29	20
714	M	1970-10-08	31
715	F	1952-01-15	1
716	F	1954-12-04	1
717	M	1968-05-02	54
718	F	1960-02-28	54
719	M	1974-08-09	46
720	M	1954-09-06	29
721	M	1940-02-15	43
722	F	1970-11-25	62
723	F	1957-07-26	12
724	F	1953-02-02	65
725	M	1956-12-11	75
726	M	1935-02-13	16
727	F	1930-07-20	32
728	M	1932-01-20	32
729	F	1969-03-17	63
730	M	1973-08-14	63
731	F	1979-01-22	74
732	M	1978-07-05	74
733	M	1978-07-28	46
734	F	1985-01-14	46
735	M	1973-11-26	1
736	F	1977-04-26	1
737	M	1952-11-04	74
738	M	1920-03-26	25
739	M	1942-04-16	72
740	M	1923-11-07	55
741	M	1941-07-09	74
742	F	1951-10-15	1
743	M	1941-02-17	1
744	M	1940-07-18	26
745	F	1966-02-14	52
746	M	1962-04-16	52
747	F	1953-08-20	24
748	M	1936-10-15	25
749	F	1933-07-29	25
750	F	1956-09-29	70
751	M	1959-03-09	70
752	M	1944-12-20	72
753	F	1940-09-24	72
754	F	1947-06-04	63
755	M	1947-11-21	72
756	M	1920-05-13	31
757	F	1970-12-20	71
758	F	1961-07-26	68
759	M	1955-05-20	29
760	F	1936-08-25	57
762	M	1937-04-20	21
763	F	1927-08-24	75
764	F	1955-10-13	49
765	M	1969-12-31	65
766	F	1926-07-03	1
767	M	1923-06-16	1
768	F	1931-09-23	32
769	M	1977-12-15	40
772	M	1944-12-10	64
773	M	1935-10-30	4
774	M	1973-03-03	70
775	F	1940-11-30	51
776	F	1953-05-03	1
777	M	1961-05-20	1
778	M	1940-06-04	13
779	F	1944-06-12	69
780	M	1924-02-26	3
781	M	1945-09-20	72
782	F	1963-03-18	5
783	F	1971-03-25	27
784	M	1964-12-28	27
785	M	1934-09-09	63
786	M	1978-09-06	53
787	M	1947-12-08	3
788	M	1974-09-03	47
789	M	1931-09-21	4
790	F	1967-05-09	63
791	F	1950-09-29	68
793	M	1978-02-04	21
794	F	1979-07-16	21
796	M	1919-08-30	1
797	M	1948-01-27	8
798	F	1940-02-12	27
799	M	1936-02-19	27
803	M	1951-02-15	35
804	F	1956-01-23	35
806	M	1980-04-22	60
807	F	1969-10-21	53
808	M	1963-11-28	31
809	M	1919-10-15	49
810	F	1945-09-24	58
811	M	1940-05-28	58
812	M	1940-12-06	39
813	M	1964-01-29	70
814	M	1959-10-01	19
815	F	1964-10-27	22
816	F	1958-02-01	17
818	M	1966-04-27	54
819	M	1958-07-08	74
820	F	1960-11-06	74
821	M	1948-05-12	49
822	F	1959-05-08	37
823	M	1956-10-24	41
824	M	1952-09-05	27
825	M	1977-04-02	74
826	M	1978-01-23	1
827	F	1965-09-04	10
828	M	1958-12-10	10
829	M	1957-05-19	24
830	M	1948-08-27	69
831	M	1948-05-02	2
832	F	1923-12-23	67
833	M	1960-06-11	5
834	M	1922-12-17	54
835	F	1943-10-20	28
836	M	1948-06-14	28
837	M	1974-10-14	71
838	F	1968-02-04	71
839	F	1955-05-18	47
840	M	1937-04-26	20
841	M	1981-02-10	69
842	F	1933-07-03	12
843	F	1957-09-03	54
844	M	1945-01-14	22
845	F	1953-01-30	22
846	M	1949-12-01	35
847	M	1979-12-25	49
849	F	1939-06-06	26
850	M	1969-09-21	19
851	M	1919-06-16	25
852	F	1916-06-04	25
853	M	1949-06-02	70
854	F	1941-11-02	72
855	M	1930-01-28	58
856	M	1919-01-22	23
857	M	1948-02-21	32
858	F	1959-03-29	47
859	F	1968-07-29	1
860	M	1967-12-08	1
861	F	1956-09-13	1
862	M	1952-01-05	30
863	F	1968-11-29	54
864	M	1953-03-27	11
865	F	1946-11-03	11
866	F	1975-11-24	38
870	M	1957-05-06	70
871	M	1974-03-11	76
872	M	1963-02-22	35
873	M	1944-01-05	60
874	F	1952-09-05	14
875	M	1956-12-07	14
876	M	1960-11-25	1
877	F	1927-01-21	5
878	M	1920-04-17	5
879	F	1943-12-08	38
880	M	1960-02-17	49
881	F	1975-02-22	5
882	F	1933-09-09	70
883	F	1920-01-06	75
884	M	1918-10-14	75
885	M	1923-02-08	34
886	M	1948-02-02	34
887	F	1973-11-28	66
888	M	1973-10-26	28
889	F	1981-10-24	54
890	M	1919-03-30	77
891	M	1931-01-31	33
892	F	1922-05-24	42
893	F	1935-10-23	43
894	M	1934-08-18	75
895	M	1970-07-03	39
896	F	1973-04-24	36
897	M	1981-03-25	36
898	F	1943-04-27	38
899	M	1944-02-13	38
900	M	1977-04-10	73
901	M	1919-12-21	39
902	M	1950-08-15	23
903	M	1934-03-06	31
904	M	1932-02-08	1
905	M	1940-10-23	38
906	M	1978-06-16	65
907	M	1948-03-11	51
908	F	1961-03-07	51
909	M	1975-09-07	23
910	M	1961-09-27	1
911	M	1939-11-28	43
912	M	1920-10-29	76
913	M	1938-11-18	1
914	F	1921-01-19	1
915	M	1975-05-03	12
916	M	1958-06-29	3
917	F	1973-09-16	25
918	M	1964-12-23	26
921	F	1954-02-13	7
922	F	1972-08-16	22
923	M	1978-08-22	22
924	M	1953-07-12	1
925	M	1959-08-13	54
926	M	1981-01-22	1
927	M	1974-10-26	1
928	F	1951-10-10	66
929	M	1935-04-23	30
930	F	1959-08-25	68
931	M	1968-06-07	16
932	M	1947-09-27	3
933	F	1978-03-11	33
934	M	1982-08-19	33
935	F	1946-05-17	42
936	M	1943-07-30	42
937	M	1931-11-14	1
938	F	1944-08-07	59
939	M	1952-08-03	21
940	M	1960-08-11	53
941	M	1935-10-05	10
942	F	1931-09-02	12
943	M	1936-09-26	12
944	M	1970-12-18	39
945	F	1977-01-10	39
946	M	1951-08-06	54
948	M	1924-04-22	49
949	M	1976-07-27	3
950	F	1965-04-12	76
951	M	1960-09-17	76
952	F	1951-05-01	63
953	M	1937-10-17	25
954	F	1942-10-20	1
955	M	1970-01-28	57
956	M	1966-10-21	1
957	F	1941-12-23	56
958	M	1942-05-04	56
959	F	1962-09-12	11
960	F	1957-04-13	16
961	F	1931-10-04	15
962	M	1966-02-19	19
963	F	1966-12-17	64
964	F	1953-10-21	10
965	F	1972-12-01	13
966	M	1978-09-02	13
967	M	1979-06-20	76
968	M	1957-02-17	69
970	M	1957-03-29	36
971	F	1919-01-01	46
972	M	1917-05-06	46
973	F	1970-10-06	14
974	M	1963-06-24	14
975	F	1959-07-12	1
976	F	1955-11-19	16
977	F	1926-05-10	76
978	F	1968-06-09	56
979	M	1966-11-18	56
980	M	1961-09-30	40
981	M	1960-06-28	5
984	M	1949-07-03	20
985	F	1947-01-13	20
986	M	1955-05-16	74
987	M	1952-05-20	60
988	F	1939-10-01	40
989	M	1933-08-15	40
990	M	1961-12-24	71
991	M	1941-06-27	32
992	M	1948-05-21	19
993	F	1969-10-31	44
994	M	1971-04-27	36
995	F	1973-10-30	36
996	F	1980-06-26	1
997	M	1950-11-11	59
998	F	1953-06-28	59
999	F	1966-09-01	74
1000	M	1961-10-27	74
1001	M	1947-04-14	44
1002	F	1944-03-08	42
1003	F	1937-10-31	31
1004	M	1957-09-25	3
1006	F	1942-06-28	46
1007	M	1938-01-05	46
1008	M	1956-07-06	6
1009	F	1962-04-27	33
1010	M	1955-08-16	33
1011	M	1939-07-13	16
1012	F	1966-02-13	70
1013	M	1973-03-12	70
1014	M	1931-02-08	1
1015	M	1934-03-13	62
1016	F	1940-07-21	62
1017	F	1943-02-12	6
1018	M	1945-02-28	53
1019	F	1946-12-22	14
1020	F	1977-05-10	72
1021	M	1977-08-05	2
1022	M	1940-07-23	31
1023	M	1938-12-28	1
1024	M	1956-03-29	25
1025	M	1964-07-08	15
1026	M	1979-08-12	57
1027	F	1940-11-04	1
1028	M	1934-10-02	1
1029	F	1954-03-16	1
1030	M	1947-10-11	1
1031	F	1968-12-11	2
1032	F	1938-10-30	1
1033	M	1937-10-14	1
1034	F	1974-11-11	52
1035	F	1971-03-28	13
1036	M	1976-12-06	13
1037	F	1965-11-01	1
1038	F	1961-09-23	69
1039	F	1980-10-11	70
1040	M	1960-06-17	1
1041	M	1961-07-05	72
1042	F	1966-09-25	17
1043	M	1963-11-16	17
1044	F	1971-09-13	9
1045	F	1947-12-24	60
1046	M	1975-08-24	1
1047	F	1963-07-11	16
1048	F	1974-10-03	70
1049	M	1942-11-11	1
1050	F	1971-07-01	27
1051	F	1971-08-26	73
1052	M	1964-03-11	56
1053	F	1958-06-03	56
1054	M	1924-08-20	63
1055	M	1919-05-17	4
1056	M	1963-06-19	1
1057	M	1939-02-21	52
1058	F	1975-08-01	9
1059	M	1960-06-03	26
1060	F	1957-12-17	26
1062	M	1975-01-08	16
1063	F	1976-06-12	16
1064	F	1951-02-03	1
1065	M	1957-11-26	2
1066	M	1940-10-18	1
1067	M	1952-05-14	1
1068	F	1926-10-20	13
1069	F	1938-02-21	54
1070	M	1938-12-02	54
1071	M	1925-01-25	43
1072	F	1966-12-08	60
1073	M	1924-04-10	34
1074	F	1928-08-25	34
1075	F	1934-06-04	65
1076	F	1979-05-11	53
1077	M	1920-06-23	46
1078	F	1978-12-15	24
1079	M	1961-07-15	3
1080	F	1950-10-06	54
1081	M	1970-12-16	71
1082	M	1967-02-23	9
1083	M	1937-12-15	48
1084	F	1944-04-09	48
1085	F	1932-12-19	60
1086	M	1973-05-04	74
1087	F	1978-07-30	74
1088	F	1969-08-23	47
1089	M	1939-12-09	1
1090	F	1939-06-20	35
1091	F	1940-06-27	59
1092	F	1962-07-20	41
1093	F	1976-07-28	62
1094	F	1960-10-04	30
1095	M	1954-02-16	30
1096	F	1926-03-03	1
1097	M	1930-09-02	1
1098	F	1948-09-10	60
1099	F	1979-11-21	65
1100	M	1951-07-04	59
1101	M	1946-06-22	74
1102	M	1935-01-29	72
1103	M	1951-08-18	1
1104	F	1955-02-09	1
1105	M	1942-01-03	56
1106	F	1940-02-25	56
1107	M	1961-04-26	60
1108	F	1955-12-22	62
1109	F	1931-09-01	58
1110	F	1928-03-24	10
1111	M	1979-06-04	61
1112	F	1930-07-25	13
1113	M	1976-08-20	11
1114	M	1980-06-18	59
1115	F	1920-08-24	36
1116	F	1973-04-19	69
1117	F	1976-11-01	20
1118	M	1969-11-03	20
1119	F	1980-01-05	54
1120	F	1973-10-21	41
1121	M	1939-03-02	59
1122	M	1921-02-18	20
1123	F	1922-08-26	20
1124	M	1928-04-12	21
1125	F	1934-03-30	9
1126	M	1935-10-23	9
1127	M	1974-11-12	23
1128	M	1930-07-16	7
1129	M	1931-09-24	43
1130	F	1940-11-26	70
1131	F	1947-10-28	55
1132	M	1948-03-21	55
1133	F	1958-09-15	37
1134	M	1959-10-01	37
1135	M	1952-07-21	8
1136	F	1976-09-18	9
1137	F	1977-03-05	1
1138	F	1970-09-30	70
1139	M	1973-09-22	70
1140	M	1946-02-24	18
1141	F	1941-04-22	21
1142	F	1946-11-19	59
1143	M	1946-05-15	59
1145	F	1968-09-14	58
1146	M	1965-11-14	54
1147	M	1930-05-12	3
1148	M	1941-05-15	41
1149	F	1976-09-25	14
1150	F	1945-06-24	74
1151	M	1973-03-06	59
1152	M	1981-03-12	74
1153	F	1980-11-15	70
1154	M	1924-01-31	72
1155	F	1922-07-10	72
1156	F	1933-11-11	1
1157	F	1958-12-30	4
1158	F	1954-08-21	1
1159	M	1944-02-03	64
1160	F	1938-07-28	64
1161	M	1973-05-25	7
1162	F	1975-02-19	26
1163	M	1964-08-28	20
1164	F	1959-09-14	15
1165	F	1942-10-02	15
1166	M	1959-06-27	74
1167	F	1954-03-17	74
1168	M	1978-05-31	19
1169	F	1941-01-24	18
1170	M	1977-04-28	12
1171	F	1974-03-28	46
1172	F	1923-06-13	54
1173	M	1922-06-02	54
1174	F	1970-03-13	29
1175	M	1925-10-25	1
1176	F	1918-08-31	1
1177	F	1939-06-21	77
1178	F	1971-10-04	1
1179	F	1930-10-05	1
1180	M	1944-10-06	21
1181	M	1939-11-12	1
1182	F	1946-10-16	66
1183	M	1942-11-29	54
1186	F	1947-08-05	2
1187	F	1961-09-06	32
1188	M	1968-09-19	32
1189	F	1932-02-15	74
1190	F	1976-04-12	15
1191	M	1977-06-02	15
1192	F	1925-01-01	10
1193	M	1926-01-29	19
1194	F	1939-06-14	17
1195	F	1939-01-22	39
1196	M	1943-04-16	22
1197	F	1966-10-02	6
1198	F	1975-02-17	72
1199	F	1976-10-24	64
1200	F	1931-11-17	47
1201	M	1945-09-10	54
1202	F	1980-10-11	47
1204	F	1974-11-09	77
1206	M	1957-06-21	50
1207	F	1939-09-17	28
1208	F	1975-09-01	70
1209	F	1957-04-09	36
1210	M	1961-10-12	6
1211	M	1978-07-14	1
1212	F	1927-09-19	13
1213	M	1966-04-28	1
1214	M	1940-11-15	61
1215	M	1944-05-06	45
1216	F	1945-06-12	65
1217	M	1937-04-17	59
1218	M	1980-05-27	74
1219	M	1944-07-31	1
1220	F	1953-12-16	40
1221	F	1973-05-18	14
1222	F	1939-11-30	7
1223	F	1955-08-13	14
1224	M	1938-05-12	56
1225	M	1946-08-21	42
1226	F	1951-04-14	33
1227	M	1955-10-02	33
1228	F	1949-08-28	21
1229	M	1971-02-02	19
1231	F	1965-09-27	20
1232	M	1959-04-13	20
1233	M	1942-10-22	68
1234	M	1975-01-15	23
1235	F	1979-07-12	23
1236	F	1967-04-28	26
1237	M	1923-11-07	57
1238	M	1935-09-01	74
1239	F	1976-09-09	11
1240	F	1976-08-24	32
1241	F	1942-12-17	73
1242	F	1944-08-21	73
1243	F	1974-10-05	11
1244	M	1964-05-02	1
1245	M	1979-08-13	64
1246	M	1962-11-19	70
1247	F	1969-10-09	70
1248	M	1971-06-24	19
1250	F	1952-08-01	43
1251	M	1959-05-30	1
1252	F	1953-08-19	1
1253	F	1967-08-28	14
1254	F	1939-08-31	3
1255	F	1966-08-07	1
1256	F	1955-11-13	46
1257	F	1928-09-01	35
1258	M	1924-09-20	35
1259	M	1966-09-29	18
1260	F	1945-01-03	57
1261	M	1951-09-28	57
1262	M	1952-04-03	35
1263	F	1959-02-25	35
1264	F	1976-10-03	61
1265	F	1958-12-21	57
1266	F	1952-11-24	71
1267	F	1954-02-11	29
1268	M	1949-03-30	29
1269	F	1948-12-31	1
1270	M	1930-05-16	13
1271	M	1935-11-29	47
1272	M	1944-04-15	8
1273	M	1978-06-15	6
1274	M	1976-01-25	44
1275	F	1951-10-10	1
1276	F	1942-04-26	68
1277	M	1931-04-07	70
1278	M	1978-09-12	72
1279	M	1956-07-11	16
1280	M	1952-05-08	34
1281	F	1949-12-28	34
1282	M	1936-11-27	52
1283	F	1939-02-09	66
1284	M	1943-08-04	66
1285	M	1939-11-26	62
1286	F	1950-03-13	52
1287	F	1944-08-09	65
1288	M	1972-05-20	73
1289	M	1946-09-18	59
1290	M	1976-01-29	35
1291	F	1964-04-18	1
1292	M	1977-04-28	14
1293	M	1927-01-29	1
1294	F	1930-05-29	1
1295	F	1944-02-09	74
1296	F	1959-08-01	55
1297	F	1918-01-28	64
1298	M	1921-03-15	64
1299	F	1920-10-16	2
1300	M	1979-10-27	45
1303	F	1940-08-16	42
1304	M	1936-07-28	37
1305	F	1945-04-28	55
1306	F	1922-10-08	32
1307	M	1953-04-08	74
1308	M	1954-02-18	69
1309	M	1975-06-17	1
1310	F	1977-09-24	41
1311	F	1956-12-18	54
1312	F	1935-04-03	35
1313	M	1970-11-20	54
1314	F	1975-06-09	54
1315	M	1923-02-26	34
1316	F	1946-11-13	67
1317	M	1945-05-18	67
1318	M	1931-03-10	47
1321	F	1977-11-09	35
1322	F	1945-09-22	4
1323	M	1944-01-06	70
1324	F	1956-08-07	66
1325	M	1945-09-19	39
1326	F	1956-05-12	55
1327	F	1963-12-31	20
1328	F	1937-06-05	42
1329	M	1918-02-16	26
1330	M	1968-09-17	66
1331	M	1963-11-24	54
1332	F	1957-11-27	5
1333	M	1949-04-20	48
1334	M	1978-02-06	8
1335	F	1961-01-25	1
1336	M	1962-11-04	1
1337	F	1979-03-29	56
1338	M	1983-07-26	56
1339	M	1959-05-04	22
1340	F	1939-03-20	68
1341	F	1962-06-17	69
1343	F	1939-08-16	1
1344	M	1935-02-18	1
1345	M	1968-05-22	32
1346	M	1954-08-29	13
1347	M	1970-03-06	13
1348	F	1975-06-07	13
1349	F	1968-01-07	26
1350	M	1959-04-28	1
1351	F	1951-09-24	1
1352	F	1971-04-01	54
1353	M	1959-02-13	27
1354	M	1921-01-14	64
1355	F	1976-02-01	35
1356	M	1932-09-18	1
1359	F	1951-09-04	1
1360	M	1946-08-19	1
1361	F	1922-09-29	1
1362	M	1929-01-03	1
1363	F	1979-12-27	6
1364	M	1933-12-28	1
1365	F	1938-02-23	1
1366	F	1980-03-02	12
1367	F	1965-10-27	60
1368	M	1957-12-30	60
1369	M	1978-10-23	41
1370	F	1965-01-11	34
1371	F	1948-10-22	49
1372	F	1976-12-07	28
1373	F	1975-02-08	74
1375	M	1977-01-27	69
1376	M	1958-09-03	18
1377	F	1951-07-23	18
1378	F	1941-11-25	74
1379	M	1937-02-18	74
1380	F	1953-07-29	44
1382	F	1979-11-23	18
1383	M	1982-10-05	29
1384	F	1953-04-24	40
1385	M	1953-08-30	22
1386	F	1956-08-09	22
1387	F	1977-02-22	1
1388	F	1962-09-06	5
1389	F	1927-03-04	43
1390	F	1979-05-27	59
1391	M	1965-11-22	41
1392	M	1932-02-06	50
1393	F	1934-05-01	50
1394	F	1942-08-22	49
1395	M	1941-10-18	49
1396	F	1946-03-14	39
1397	F	1921-12-25	66
1401	M	1981-07-24	35
1402	M	1936-11-25	44
1403	F	1944-01-02	44
1404	F	1968-12-20	11
1406	F	1948-11-12	29
1407	M	1941-08-04	29
1408	M	1969-08-07	49
1409	M	1951-04-30	25
1410	M	1944-02-03	18
1411	F	1939-08-06	18
1412	M	1979-11-05	6
1413	F	1969-07-16	11
1414	F	1974-11-13	70
1416	M	1927-12-02	19
1417	F	1966-11-12	27
1418	F	1974-06-16	41
1419	F	1918-01-25	74
1420	M	1916-01-20	74
1421	F	1956-02-10	20
1422	F	1976-02-23	69
1423	M	1982-04-11	69
1424	M	1952-01-05	8
1425	M	1968-08-27	12
1426	F	1964-04-30	12
1427	F	1965-12-16	14
1428	M	1920-04-23	12
1429	F	1927-09-04	12
1430	F	1982-05-29	64
1431	F	1930-11-08	55
1432	F	1961-08-17	16
1433	F	1959-07-10	72
1434	M	1967-03-25	72
1435	M	1953-06-25	52
1438	F	1963-10-25	29
1439	M	1974-09-10	29
1440	M	1978-01-17	1
1441	F	1931-12-05	42
1442	M	1933-04-18	42
1443	M	1935-01-25	29
1444	F	1942-07-14	29
1445	M	1941-07-24	68
1446	M	1954-07-29	70
1447	F	1952-06-21	70
1448	F	1957-10-09	50
1449	M	1949-06-29	41
1450	F	1969-03-17	61
1452	F	1940-05-28	72
1453	F	1966-03-29	29
1454	M	1925-10-03	73
1455	F	1927-09-02	73
1456	M	1928-04-24	70
1457	F	1934-10-12	70
1458	M	1938-04-08	67
1459	M	1976-09-08	4
1460	F	1933-03-13	23
1461	M	1969-12-21	28
1462	M	1941-03-02	49
1463	F	1936-01-26	70
1464	F	1928-04-01	36
1465	M	1931-01-06	36
1466	M	1953-08-22	39
1467	M	1924-09-30	65
1468	F	1940-04-16	77
1469	F	1966-09-14	54
1470	M	1942-05-04	1
1471	F	1938-09-15	1
1472	F	1967-09-10	1
1473	F	1931-12-06	1
1474	F	1971-12-15	45
1475	M	1932-03-31	19
1476	M	1970-11-30	70
1478	M	1969-08-21	4
1479	M	1956-06-22	1
1480	M	1943-05-28	69
1481	F	1933-11-23	62
1482	F	1950-03-28	46
1483	F	1951-05-10	1
1484	M	1952-06-18	1
1485	M	1978-05-14	7
1486	F	1974-09-13	7
1487	F	1976-08-27	48
1488	M	1961-01-09	31
1489	M	1928-01-24	6
1490	M	1928-04-20	42
1491	M	1982-04-21	19
1492	F	1968-05-09	9
1493	M	1922-12-29	1
1494	F	1915-03-22	1
1495	F	1931-02-10	1
1496	F	1942-06-08	1
1497	F	1948-08-03	53
1498	M	1941-02-09	53
1499	F	1951-11-29	74
1500	M	1981-12-12	1
1501	M	1946-01-22	68
1502	M	1973-01-24	68
1503	M	1922-09-01	58
1504	F	1918-01-16	58
1505	F	1971-06-25	65
1506	M	1931-06-25	22
1507	F	1929-11-22	22
1508	F	1954-06-30	67
1509	F	1942-04-19	62
1510	F	1948-01-30	34
1511	F	1962-03-06	13
1512	F	1942-08-11	5
1513	M	1959-08-21	74
1514	M	1957-08-02	68
1516	F	1946-10-17	38
1517	M	1956-10-02	66
1518	F	1960-07-28	3
1519	M	1959-07-06	3
1520	M	1956-11-05	72
1521	M	1979-10-10	5
1522	F	1968-05-14	52
1523	F	1931-08-30	29
1524	F	1962-01-13	30
1525	M	1943-03-09	1
1526	F	1935-03-15	1
1527	M	1934-12-18	49
1528	M	1964-03-20	57
1529	F	1972-06-20	43
1530	F	1945-08-06	74
1531	F	1960-06-28	52
1532	M	1962-10-30	52
1533	M	1960-12-22	55
1534	F	1952-12-22	17
1535	M	1936-10-28	40
1536	F	1967-10-13	37
1537	M	1979-12-07	54
1539	M	1923-11-19	32
1540	M	1937-11-07	36
1541	F	1933-03-06	36
1542	M	1919-12-08	31
1543	F	1927-06-02	31
1546	M	1930-04-13	28
1547	F	1927-12-20	28
1548	M	1923-03-04	70
1549	F	1928-11-14	70
1550	F	1946-11-21	8
1554	M	1944-12-15	55
1555	M	1950-09-14	30
1556	M	1950-04-02	66
1557	F	1959-12-14	35
1558	F	1927-01-25	11
1559	M	1940-10-20	72
1561	F	1923-09-16	1
1562	M	1919-08-14	1
1563	M	1978-08-06	3
1564	F	1947-06-25	40
1565	M	1960-05-19	71
1566	F	1966-10-20	15
1567	M	1930-04-19	50
1568	F	1927-06-29	50
1569	F	1956-07-17	54
1570	M	1958-06-17	54
1571	F	1967-10-15	7
1572	F	1963-12-12	1
1574	M	1979-02-18	18
1575	F	1923-10-06	55
1576	M	1919-05-02	55
1577	M	1944-04-19	23
1578	F	1971-08-15	40
1579	M	1963-10-13	27
1580	F	1968-06-18	1
1581	F	1963-04-15	56
1582	M	1934-02-14	54
1583	F	1972-01-08	1
1584	F	1962-01-29	1
1585	M	1935-07-20	60
1586	F	1934-01-12	60
1587	M	1928-05-05	23
1588	M	1950-10-29	45
1589	F	1951-11-27	48
1590	F	1940-08-10	13
1591	F	1953-07-07	42
1592	M	1928-04-11	56
1593	F	1925-05-31	56
1594	M	1939-09-29	56
1595	F	1954-12-16	56
1596	F	1978-10-22	58
1597	M	1956-05-10	60
1598	M	1925-04-25	67
1599	M	1964-10-08	43
1600	F	1965-06-15	43
1601	F	1969-03-29	42
1602	M	1968-12-30	42
1603	M	1968-08-27	26
1604	F	1969-07-21	26
1605	F	1980-09-21	52
1606	M	1982-09-02	65
1607	F	1941-05-26	8
1608	M	1941-11-11	53
1609	F	1944-05-30	53
1610	F	1942-04-23	68
1611	F	1963-12-02	59
1612	M	1959-06-30	59
1613	M	1961-01-15	50
1614	M	1938-05-18	21
1615	F	1952-04-28	74
1616	M	1938-05-23	54
1617	F	1950-04-30	5
1618	F	1979-12-07	17
1619	F	1942-01-27	74
1620	M	1936-05-15	74
1621	F	1952-04-05	76
1622	M	1950-10-12	52
1623	M	1963-07-09	36
1624	M	1965-09-10	9
1625	F	1973-07-12	9
1628	F	1957-03-25	12
1629	M	1966-09-01	28
1630	F	1964-02-19	28
1631	M	1976-04-30	74
1632	F	1943-02-20	8
1633	F	1972-08-28	55
1634	M	1969-11-10	55
1635	F	1930-09-02	75
1636	M	1932-09-12	75
1637	M	1943-10-20	21
1638	F	1954-01-30	40
1639	F	1959-05-01	1
1640	F	1953-06-13	51
1641	F	1923-01-28	31
1642	F	1959-10-10	1
1643	F	1976-04-17	39
1644	M	1976-06-06	56
1645	F	1961-03-10	39
1646	M	1966-03-17	8
1647	F	1978-03-26	71
1648	M	1952-03-12	46
1649	F	1950-03-16	46
1650	M	1953-03-29	1
1651	F	1966-07-10	11
1653	M	1944-06-19	42
1654	M	1963-12-08	60
1655	M	1972-02-04	74
1656	F	1968-06-18	22
1657	M	1935-10-02	32
1658	F	1929-08-21	52
1659	F	1937-12-15	1
1660	F	1982-12-11	1
1661	F	1953-04-16	47
1662	M	1967-09-07	53
1663	M	1957-04-29	19
1664	F	1918-11-10	64
1665	M	1912-03-02	64
1666	M	1941-08-31	1
1667	F	1940-08-13	1
1668	F	1949-08-17	20
1669	M	1952-10-25	47
1670	M	1961-05-07	53
1671	F	1931-09-15	57
1672	M	1928-01-07	57
1673	M	1972-07-09	48
1674	F	1920-10-27	11
1675	M	1940-02-15	74
1676	M	1953-02-03	53
1677	F	1946-09-07	53
1679	F	1942-04-17	67
1680	F	1975-03-28	29
1681	M	1940-11-25	34
1682	M	1956-09-07	69
1683	F	1951-12-24	15
1684	M	1946-10-25	15
1685	F	1944-04-21	61
1686	F	1947-11-08	1
1687	M	1947-02-27	1
1688	M	1923-08-10	32
1689	M	1936-12-04	1
1690	F	1947-08-17	46
1691	F	1978-02-08	21
1692	M	1972-02-07	62
1693	F	1980-07-06	45
1694	M	1979-12-27	45
1696	F	1923-03-21	1
1697	F	1964-01-10	55
1698	M	1967-11-21	55
1699	M	1955-03-11	17
1700	M	1949-03-09	7
1701	F	1945-06-11	7
1702	F	1973-04-07	53
1703	M	1918-01-11	50
1704	F	1914-10-03	50
1705	F	1946-07-01	19
1706	M	1944-07-19	19
1707	M	1951-02-18	10
1709	F	1952-12-13	74
1710	M	1944-02-11	54
1711	F	1962-06-14	64
1712	M	1964-01-01	64
1713	M	1935-04-21	65
1714	M	1945-05-22	58
1717	F	1979-03-07	73
1718	M	1938-07-27	75
1719	M	1970-08-09	35
1720	F	1934-02-24	33
1721	M	1934-07-02	33
1722	M	1933-10-01	68
1723	F	1981-02-28	71
1724	F	1934-10-21	68
1725	F	1959-01-18	76
1726	M	1952-06-03	76
1727	M	1951-01-21	32
1728	F	1946-08-18	32
1729	M	1947-05-16	76
1730	M	1932-12-15	40
1731	F	1968-11-30	17
1733	F	1974-07-20	57
1734	M	1975-11-10	26
1735	F	1976-05-31	26
1736	F	1979-04-17	41
1737	M	1955-07-30	27
1738	F	1963-01-25	27
1741	M	1932-07-02	70
1742	M	1954-06-06	1
1743	M	1959-07-27	3
1744	F	1969-12-28	50
1745	F	1959-10-18	23
1746	F	1959-09-10	11
1747	M	1956-02-20	11
1748	M	1976-12-31	64
1749	F	1928-11-17	50
1750	M	1964-12-31	23
1751	M	1959-01-24	54
1752	M	1978-11-23	70
1753	F	1979-02-26	60
1754	M	1979-05-29	57
1755	F	1965-08-18	65
1756	M	1936-07-08	1
1757	F	1937-09-30	1
1758	M	1947-11-13	35
1759	F	1923-01-16	63
1760	M	1923-03-07	77
1761	M	1948-04-23	45
1762	M	1956-12-30	61
1763	M	1967-12-07	46
1764	M	1971-07-09	66
1765	M	1975-08-03	9
1768	M	1951-04-27	29
1769	M	1949-08-05	12
1770	F	1951-10-15	12
1771	F	1927-10-20	54
1772	F	1979-09-21	73
1774	F	1971-10-05	32
1775	M	1943-12-08	73
1776	F	1954-10-24	30
1777	F	1963-01-08	69
1778	M	1968-09-02	69
1779	M	1935-11-26	37
1780	F	1954-12-09	54
1781	M	1924-08-16	67
1782	M	1948-12-24	19
1783	F	1946-10-05	1
1784	F	1980-11-02	2
1785	M	1975-11-25	39
1786	F	1934-06-25	63
1787	M	1931-11-28	63
1788	M	1950-03-23	1
1789	F	1933-08-07	61
1790	M	1953-05-28	1
1791	F	1966-05-12	5
1792	M	1975-09-01	54
1793	F	1945-03-17	41
1794	F	1940-03-30	54
1795	F	1960-02-28	38
1796	M	1938-11-23	10
1797	F	1941-11-04	10
1798	M	1933-07-08	70
1799	M	1959-06-26	36
1800	F	1943-09-28	63
1801	M	1970-01-01	66
1802	F	1964-10-16	66
1803	F	1946-05-12	25
1806	M	1952-01-03	5
1807	M	1935-06-30	47
1808	F	1933-06-26	47
1809	M	1931-05-12	24
1810	M	1919-06-30	41
1811	M	1939-03-29	1
1812	F	1947-05-17	36
1813	M	1949-09-28	36
1814	M	1940-03-12	57
1815	F	1977-02-24	16
1816	M	1951-07-24	62
1817	F	1953-12-06	47
1818	M	1956-10-02	47
1819	F	1979-04-20	43
1820	F	1928-11-20	50
1821	M	1941-04-24	1
1822	F	1922-09-13	71
1823	F	1978-08-07	1
1824	M	1960-08-03	69
1825	F	1974-04-24	51
1826	M	1937-09-12	13
1827	F	1941-08-16	13
1828	M	1962-11-14	69
1829	F	1942-08-16	51
1830	M	1952-02-03	33
1831	M	1976-10-09	51
1832	F	1966-07-31	1
1833	M	1966-11-15	30
1834	M	1927-02-19	7
1835	F	1928-03-11	7
1836	F	1944-03-07	36
1837	M	1957-01-13	67
1838	F	1959-11-27	67
1839	F	1936-12-18	5
1840	M	1935-10-28	5
1841	F	1953-03-23	67
1842	M	1943-09-13	9
1843	F	1939-01-25	48
1844	F	1922-02-03	74
1845	M	1918-11-14	74
1846	M	1980-12-12	48
1847	F	1979-01-30	52
1848	F	1924-07-02	6
1849	F	1922-09-24	57
1850	F	1942-07-05	52
1851	F	1975-09-12	31
1852	M	1962-09-05	50
1853	M	1965-08-18	1
1854	F	1932-05-27	70
1856	F	1968-08-22	54
1857	M	1964-03-16	54
1860	F	1964-10-31	1
1861	M	1957-07-15	29
1862	F	1977-10-09	50
1863	M	1952-02-16	54
1864	M	1948-03-14	22
1865	F	1949-06-09	22
1866	F	1942-06-11	64
1867	F	1944-09-24	1
1868	M	1980-02-16	60
1869	F	1933-02-14	1
1870	M	1935-04-29	1
1871	F	1980-02-20	1
1872	F	1963-01-24	52
1873	M	1968-10-26	52
1874	M	1946-10-20	1
1875	M	1976-10-19	15
1876	M	1951-07-01	1
1877	F	1957-08-21	47
1878	M	1963-09-02	47
1879	F	1944-04-02	21
1880	M	1974-08-08	1
1881	M	1934-01-24	72
1882	F	1932-05-24	72
1883	F	1961-10-27	18
1884	F	1976-01-26	59
1885	F	1970-01-07	47
1886	M	1920-04-07	34
1887	M	1926-07-15	54
1888	F	1918-09-24	66
1889	F	1957-07-28	32
1890	F	1955-08-14	14
1891	F	1959-03-04	62
1892	M	1928-03-26	66
1893	F	1934-02-11	66
1894	F	1947-11-05	1
1895	F	1965-11-03	47
1896	M	1982-02-08	48
1897	F	1969-03-07	36
1898	M	1961-08-01	73
1899	M	1941-07-03	10
1900	M	1965-11-22	23
1901	F	1962-11-07	23
1903	F	1939-08-30	1
1904	M	1941-02-22	66
1905	F	1949-05-18	72
1906	M	1922-07-07	63
1907	F	1928-09-08	75
1908	M	1920-01-17	33
1909	F	1944-03-16	35
1910	M	1946-11-08	67
1911	F	1938-04-21	48
1912	M	1972-02-26	57
1913	M	1968-04-15	69
1914	F	1942-06-20	39
1915	M	1939-09-09	39
1916	M	1926-07-19	28
1917	F	1969-03-13	69
1919	M	1949-05-04	30
1920	M	1975-08-07	42
1921	F	1946-10-26	1
1922	M	1949-04-03	1
1923	F	1958-05-07	1
1924	M	1938-05-29	67
1925	M	1938-06-23	37
1926	F	1935-02-08	37
1927	M	1952-04-26	77
1928	F	1952-08-14	77
1929	F	1955-08-15	65
1930	F	1934-02-21	38
1931	F	1942-11-14	16
1932	F	1940-01-21	15
1934	F	1933-11-21	70
1935	F	1929-05-12	68
1936	F	1955-10-16	15
1937	M	1960-03-27	15
1938	F	1939-09-30	57
1939	M	1925-08-14	1
1940	F	1923-01-22	1
1941	F	1921-07-12	10
1942	M	1915-05-10	10
1943	M	1926-02-11	39
1944	F	1957-01-22	31
1945	M	1954-06-03	54
1946	M	1935-07-19	72
1947	M	1981-02-08	23
1948	F	1939-02-19	71
1949	M	1942-06-23	71
1950	M	1929-07-06	26
1951	M	1971-04-29	41
1952	F	1971-03-09	52
1953	M	1965-09-22	52
1954	M	1952-07-28	69
1955	F	1971-10-28	66
1956	F	1925-07-09	1
1957	M	1972-03-04	63
1958	F	1977-11-21	63
1959	M	1920-12-26	1
1960	M	1946-08-23	22
1961	F	1920-06-04	31
1962	M	1950-11-18	6
1963	M	1945-06-12	38
1964	M	1931-08-05	17
1965	M	1939-08-10	75
1966	F	1948-07-01	19
1967	F	1963-11-15	1
1968	M	1960-08-13	1
1969	F	1926-08-26	53
1970	F	1947-11-05	1
1971	F	1969-03-14	3
1972	F	1946-04-29	1
1973	F	1931-09-13	60
1974	M	1918-07-14	10
1975	F	1915-09-27	10
1976	M	1918-10-12	72
1977	F	1935-10-25	10
1978	F	1952-05-22	18
1979	F	1926-03-19	51
1980	M	1959-04-30	77
1981	F	1970-09-22	19
1982	M	1977-07-08	53
1983	F	1982-02-05	53
1984	M	1926-08-29	1
1985	M	1937-12-13	6
1986	F	1942-08-13	6
1988	M	1952-05-04	13
1989	F	1939-01-13	50
1990	M	1943-11-25	50
1991	M	1918-11-09	64
1993	M	1975-06-21	1
1994	F	1967-07-06	1
1995	F	1941-04-10	50
1996	M	1937-03-20	1
1997	F	1977-11-09	1
1998	F	1978-12-15	40
1999	F	1982-02-10	74
2000	F	1942-05-09	39
2001	F	1977-08-05	34
2002	F	1918-11-26	70
2003	M	1921-06-15	70
2004	F	1974-02-03	1
2005	M	1979-10-03	30
2006	F	1962-08-22	41
2007	M	1958-09-13	41
2008	M	1940-06-07	47
2009	M	1936-01-16	12
2010	M	1952-08-12	37
2011	F	1925-11-18	46
2012	M	1923-06-27	46
2013	F	1940-07-10	1
2015	F	1968-11-15	1
2016	M	1934-10-09	55
2017	F	1931-01-23	55
2018	F	1945-08-25	56
2019	M	1932-09-28	73
2020	F	1925-12-20	73
2021	M	1919-12-08	67
2022	M	1939-11-12	56
2023	F	1931-09-02	56
2024	M	1934-04-15	62
2025	M	1941-12-31	39
2026	F	1934-12-03	39
2027	M	1930-01-22	12
2028	F	1924-10-17	12
2029	F	1923-09-19	5
2030	F	1980-08-04	5
2031	M	1926-12-15	54
2032	M	1943-03-21	1
2033	F	1937-07-02	1
2034	M	1926-06-12	13
2035	F	1928-07-27	13
2037	F	1948-08-26	69
2038	F	1980-03-29	1
2039	F	1969-01-20	68
2040	M	1944-08-07	59
2041	M	1956-08-11	68
2042	M	1982-07-04	49
2043	F	1954-09-15	77
2044	F	1961-09-18	32
2045	M	1956-08-22	28
2046	F	1952-08-26	28
2047	F	1943-07-25	11
2048	F	1928-06-03	23
2049	M	1927-02-20	70
2050	F	1932-05-23	70
2051	F	1918-12-07	74
2052	M	1914-05-19	74
2053	M	1918-02-07	16
2054	M	1948-12-06	48
2055	F	1976-08-31	56
2056	M	1978-12-09	1
2057	F	1976-01-02	6
2058	M	1971-03-02	76
2059	M	1972-06-30	43
2060	F	1971-06-04	43
2061	M	1953-07-27	63
2062	F	1954-05-22	63
2063	F	1950-09-26	68
2064	M	1926-07-30	53
2065	M	1978-08-20	64
2066	M	1972-10-27	1
2067	M	1979-10-20	56
2068	F	1930-05-24	72
2069	F	1923-01-01	70
2070	F	1972-07-23	70
2071	M	1973-12-19	1
2072	F	1944-02-09	75
2073	M	1956-02-08	22
2074	F	1961-09-16	24
2075	M	1922-01-29	74
2076	F	1957-02-07	63
2077	F	1930-03-01	44
2078	F	1978-08-03	10
2079	F	1925-05-29	72
2080	M	1963-12-26	60
2081	F	1972-11-06	46
2082	M	1933-02-04	67
2083	M	1943-03-12	71
2084	F	1929-02-16	1
2085	M	1928-11-28	1
2086	F	1954-10-29	35
2087	M	1977-09-29	68
2088	F	1948-08-26	32
2089	F	1967-06-09	70
2090	M	1970-10-07	70
2091	F	1928-01-17	48
2092	M	1945-03-21	72
2093	M	1970-06-24	48
2094	F	1975-09-06	48
2095	M	1974-04-30	9
2096	F	1974-09-06	74
2097	M	1936-11-11	53
2098	F	1939-05-28	53
2099	M	1918-01-16	1
2100	F	1931-09-29	33
2101	M	1935-06-24	33
2102	M	1941-05-27	51
2103	F	1944-02-04	18
2104	M	1948-01-08	37
2105	F	1947-07-18	42
2106	F	1921-03-21	74
2107	M	1923-04-18	74
2108	F	1945-04-21	77
2109	F	1950-05-14	15
2110	F	1967-11-03	3
2111	F	1924-05-29	57
2112	M	1927-09-15	21
2113	M	1937-04-04	68
2114	M	1918-08-21	51
2115	F	1914-03-01	51
2116	M	1930-06-14	76
2117	M	1945-02-28	53
2118	M	1970-11-12	1
2119	F	1960-05-18	30
2121	M	1979-09-25	64
2122	F	1970-07-17	1
2123	M	1982-05-17	53
2124	F	1949-01-14	68
2125	M	1975-04-12	71
2126	F	1975-03-28	52
2128	F	1955-08-13	38
2129	M	1962-12-07	75
2130	F	1945-10-29	21
2131	F	1975-02-11	39
2132	M	1969-02-06	39
2133	F	1921-11-28	53
2134	M	1917-12-14	53
2135	F	1940-08-08	24
2136	F	1940-07-24	28
2137	F	1962-11-09	73
2138	M	1980-12-19	68
2139	F	1932-03-06	18
2140	M	1926-10-18	18
2141	M	1951-09-06	28
2142	F	1941-12-20	21
2143	M	1948-11-12	21
2144	F	1960-01-28	15
2145	F	1968-12-24	39
2146	M	1973-01-04	65
2147	F	1963-08-14	69
2148	F	1953-07-20	31
2149	F	1923-04-09	33
2150	M	1941-04-17	61
2151	F	1945-12-30	61
2152	F	1929-09-07	17
2153	F	1949-05-16	36
2154	F	1957-11-28	60
2155	M	1958-06-10	15
2156	F	1966-12-27	33
2157	M	1945-11-17	11
2158	M	1981-05-06	10
2159	F	1930-01-23	74
2160	M	1945-05-31	70
2161	F	1920-03-06	1
2162	M	1913-09-12	1
2163	M	1918-04-08	52
2164	M	1941-10-29	47
2165	F	1945-03-02	47
2166	F	1947-07-22	30
2167	M	1981-12-13	1
2168	F	1963-07-12	46
2169	M	1971-01-01	46
2170	M	1942-04-30	70
2171	M	1958-11-28	1
2172	F	1929-08-21	7
2173	F	1951-12-17	56
2174	F	1952-08-08	74
2175	F	1942-01-03	53
2176	M	1946-07-16	18
2177	F	1942-05-30	24
2178	M	1939-08-09	46
2179	F	1939-10-27	9
2180	F	1972-10-17	51
2181	M	1968-07-22	46
2182	F	1929-12-01	75
2183	M	1931-08-21	75
2184	M	1970-07-07	24
2185	F	1957-06-20	20
2186	F	1942-07-26	48
2187	M	1933-03-12	40
2188	F	1925-08-25	40
2189	F	1962-11-15	21
2190	M	1974-10-22	28
2191	F	1979-08-04	28
2192	F	1956-04-12	1
2193	M	1952-07-26	1
2194	F	1961-08-22	50
2195	F	1942-09-13	68
2196	F	1955-02-16	31
2197	F	1962-12-10	47
2198	F	1920-02-22	17
2199	M	1911-12-09	17
2200	M	1953-07-31	66
2201	M	1929-02-23	44
2202	F	1928-08-17	44
2203	M	1939-10-01	10
2204	F	1946-08-19	54
2205	M	1952-12-12	55
2206	F	1964-06-04	10
2207	F	1961-02-17	70
2208	M	1959-01-09	70
2209	F	1927-06-13	30
2210	M	1933-04-23	30
2211	F	1920-02-24	3
2212	M	1972-05-27	52
2213	M	1968-11-07	3
2214	M	1946-11-07	5
2215	M	1925-01-29	10
2216	F	1972-07-04	1
2217	M	1974-02-20	1
2218	M	1968-11-08	43
2219	F	1964-11-28	43
2220	F	1952-02-17	20
2221	M	1945-03-15	20
2222	F	1934-08-03	1
2223	F	1943-05-24	70
2224	M	1932-10-04	54
2225	F	1960-11-06	4
2226	F	1964-10-09	74
2227	M	1975-07-25	42
2228	F	1940-03-20	43
2229	M	1944-09-07	68
2230	M	1969-05-31	5
2231	F	1971-10-13	21
2232	M	1967-05-27	36
2233	F	1964-12-24	36
2235	F	1940-04-20	14
2236	F	1978-06-27	44
2237	M	1958-10-03	47
2238	F	1954-02-19	47
2239	F	1976-01-09	6
2240	F	1932-03-12	47
2241	M	1926-12-30	47
2242	F	1976-06-05	1
2243	M	1980-07-04	1
2246	F	1953-08-01	55
2247	F	1978-01-13	35
2248	M	1975-10-24	7
2249	F	1945-12-07	32
2250	F	1938-12-08	34
2251	F	1971-10-13	26
2252	M	1965-11-15	37
2253	F	1957-09-09	37
2254	F	1927-12-09	72
2255	F	1923-08-24	50
2256	M	1974-06-05	70
2257	F	1979-08-31	62
2258	M	1979-11-03	62
2259	F	1950-01-02	19
2260	F	1962-04-22	62
2261	M	1956-11-13	62
2263	M	1934-08-17	1
2264	M	1943-05-08	4
2265	M	1977-09-18	52
2266	M	1939-01-23	16
2267	F	1966-04-10	1
2268	M	1938-12-26	10
2269	F	1963-11-10	48
2270	F	1960-04-21	61
2271	M	1964-11-07	61
2274	M	1964-10-14	9
2275	F	1965-07-24	9
2276	F	1932-04-27	44
2277	M	1979-03-25	1
2278	M	1921-07-01	76
2279	M	1953-11-06	52
2280	F	1974-04-24	10
2281	F	1978-06-06	76
2282	M	1973-03-11	60
2283	M	1961-08-09	1
2286	F	1966-11-26	54
2287	M	1979-10-21	47
2288	F	1957-08-23	32
2289	M	1954-08-21	32
2290	F	1954-05-30	31
2291	M	1957-09-19	6
2292	M	1921-11-10	59
2293	M	1969-11-22	1
2294	F	1952-12-27	32
2295	F	1939-02-28	22
2296	M	1942-06-13	22
2297	M	1965-01-18	48
2298	F	1969-05-15	48
2299	F	1940-02-20	6
2300	F	1961-07-07	35
2301	M	1960-12-19	35
2302	M	1957-01-26	74
2303	F	1939-04-01	61
2304	M	1939-02-11	61
2305	F	1949-06-10	70
2306	M	1943-08-21	70
2307	M	1923-09-06	26
2308	F	1974-10-31	27
2309	F	1976-05-13	15
2310	M	1939-07-23	40
2311	F	1935-10-01	40
2312	F	1975-02-15	11
2313	M	1980-10-29	70
2314	F	1959-12-16	34
2315	M	1963-10-08	34
2316	M	1970-03-25	1
2317	M	1976-02-22	1
2318	F	1923-09-19	20
2319	F	1970-05-16	40
2320	M	1951-05-23	60
2321	F	1968-01-12	68
2322	M	1928-06-11	15
2323	F	1942-06-29	48
2324	M	1978-07-16	27
2325	F	1955-02-03	2
2326	F	1945-12-14	72
2327	M	1919-10-27	73
2328	M	1968-10-02	24
2329	M	1973-01-02	18
2330	F	1948-11-17	40
2331	F	1957-05-31	42
2332	F	1949-12-22	60
2333	M	1949-10-12	60
2335	F	1934-03-28	66
2336	M	1922-07-17	12
2337	F	1917-04-09	12
2338	F	1957-07-25	58
2339	M	1956-12-06	58
2340	M	1953-05-02	42
2341	F	1947-07-13	42
2342	M	1948-12-18	70
2343	M	1959-03-18	1
2344	F	1924-04-27	3
2345	M	1942-07-19	33
2346	F	1947-10-25	33
2347	F	1943-12-17	35
2348	M	1933-04-24	35
2349	F	1968-07-10	46
2350	M	1967-06-09	46
2351	M	1965-04-17	38
2352	F	1977-09-29	70
2353	F	1929-09-17	4
2354	M	1967-12-21	1
2355	F	1948-06-30	6
2356	M	1930-07-10	52
2357	F	1937-01-10	52
2358	F	1946-10-16	74
2359	M	1953-07-01	74
2361	M	1968-09-24	9
2362	F	1974-09-02	9
2363	M	1947-06-18	43
2364	F	1971-04-26	56
2365	F	1953-06-26	46
2366	M	1930-01-01	35
2367	F	1931-04-05	35
2368	F	1943-12-22	64
2369	M	1940-12-19	64
2370	F	1956-08-21	41
2371	F	1956-02-07	70
2372	F	1971-04-09	23
2373	M	1954-01-19	15
2374	M	1968-07-27	9
2375	F	1965-07-25	72
2376	M	1964-08-19	72
2377	M	1950-11-17	49
2378	F	1953-03-13	63
2379	F	1964-06-19	33
2380	M	1927-08-17	40
2381	F	1931-10-11	40
2382	F	1927-10-25	62
2383	F	1947-01-01	31
2384	M	1946-12-17	31
2385	M	1933-05-05	13
2386	F	1934-03-10	13
2387	F	1945-07-16	77
2388	M	1971-07-29	42
2389	M	1924-07-20	25
2390	M	1938-05-13	57
2391	M	1942-01-24	1
2392	M	1955-05-21	26
2393	F	1976-08-23	16
2394	M	1962-06-04	5
2395	M	1953-03-11	8
2396	F	1949-08-29	41
2397	M	1918-07-14	46
2398	F	1955-08-25	71
2399	F	1943-05-02	42
2400	M	1959-04-10	19
2401	F	1948-01-26	26
2402	M	1948-10-26	41
2403	F	1963-01-25	1
2404	F	1977-07-05	27
2405	M	1975-08-21	27
2406	F	1956-10-06	49
2407	M	1975-08-27	51
2408	F	1940-04-28	6
2409	M	1964-05-27	54
2410	F	1973-02-08	73
2411	M	1968-08-17	73
2412	M	1980-10-26	20
2413	M	1961-08-09	46
2414	F	1950-07-13	54
2415	M	1957-04-24	54
2416	F	1954-12-23	72
2417	F	1938-06-21	48
2418	F	1953-12-27	1
2419	F	1954-06-23	1
2420	F	1972-06-06	48
2421	M	1970-11-10	48
2422	F	1976-06-09	68
2423	M	1957-07-09	42
2424	M	1920-11-10	54
2425	F	1977-07-18	6
2426	M	1927-06-09	74
2427	F	1934-11-30	74
2428	F	1946-06-27	1
2429	M	1973-11-22	70
2430	M	1937-10-28	5
2431	M	1966-10-10	75
2432	F	1924-03-08	27
2433	M	1964-06-19	32
2434	F	1945-05-24	42
2435	F	1943-10-18	16
2436	F	1934-08-06	25
2437	M	1936-12-27	45
2438	F	1946-09-19	52
2439	M	1944-11-26	52
2440	M	1935-09-09	17
2441	M	1928-10-06	1
2442	F	1927-07-08	1
2443	M	1949-05-23	75
2444	M	1934-08-26	4
2445	M	1969-02-26	54
2447	M	1972-10-07	68
2448	F	1971-07-01	68
2449	M	1967-12-28	1
2450	F	1975-05-17	54
2451	M	1939-12-06	42
2452	F	1952-06-07	64
2453	M	1924-01-13	13
2454	F	1940-09-04	69
2455	M	1919-11-04	72
2456	F	1923-12-04	72
2457	M	1940-08-17	68
2458	F	1932-08-09	68
2459	F	1974-07-22	20
2460	F	1963-01-05	19
2461	M	1967-04-02	64
2462	M	1934-06-06	19
2463	M	1944-12-17	7
2464	M	1945-09-01	30
2465	M	1973-10-17	51
2467	F	1946-05-16	36
2468	M	1965-03-18	71
2469	F	1957-09-10	54
2470	M	1943-06-14	53
2471	F	1942-01-05	53
2472	F	1976-03-29	70
2473	F	1976-10-17	20
2474	M	1957-04-06	42
2475	F	1982-02-02	44
2476	F	1957-02-16	75
2477	M	1952-06-14	75
2478	F	1940-05-24	48
2479	F	1959-03-31	31
2480	F	1976-12-08	46
2481	M	1948-06-22	6
2482	M	1925-01-07	34
2483	F	1929-12-30	34
2484	M	1969-12-21	68
2485	M	1933-05-15	20
2486	F	1961-10-05	76
2487	F	1967-09-25	67
2488	F	1980-09-22	9
2489	F	1975-01-28	64
2490	F	1961-03-26	61
2491	F	1939-03-20	5
2492	M	1943-12-13	5
2493	M	1962-10-09	1
2494	M	1971-01-06	37
2495	F	1939-12-14	58
2496	M	1972-07-07	1
2497	F	1962-04-06	34
2498	M	1980-03-12	37
2499	M	1944-08-04	13
2500	F	1946-08-20	24
2501	F	1940-12-04	70
2502	F	1935-03-13	1
2503	F	1977-09-23	54
2504	M	1950-01-09	61
2505	F	1960-04-30	25
2506	M	1976-09-27	76
2507	F	1952-08-26	37
2508	F	1965-08-07	72
2509	M	1971-02-06	72
2510	F	1959-06-10	72
2511	F	1975-03-27	35
2512	M	1974-07-27	35
2513	M	1941-05-08	41
2514	M	1957-02-11	59
2515	M	1958-06-03	12
2516	F	1942-01-05	33
2517	M	1924-09-09	18
2518	F	1921-05-07	18
2519	F	1970-08-06	29
2520	M	1944-07-30	62
2521	F	1947-03-30	55
2522	M	1937-09-08	74
2523	F	1937-12-02	74
2524	M	1959-07-31	36
2525	F	1952-07-10	36
2526	M	1964-07-26	1
2527	F	1947-07-31	44
2528	M	1977-02-16	25
2529	M	1939-06-22	70
2530	M	1950-02-11	8
2531	F	1954-01-24	5
2532	M	1937-05-09	29
2533	F	1929-07-17	40
2534	M	1943-01-10	1
2535	M	1945-01-10	1
2536	M	1961-10-22	64
2537	M	1957-10-10	73
2538	M	1980-02-23	56
2539	F	1972-01-21	32
2540	M	1981-06-26	46
2542	M	1944-12-19	3
2543	F	1952-08-27	3
2545	F	1953-09-28	9
2546	F	1961-12-03	41
2547	F	1953-10-29	48
2548	M	1953-10-06	48
2549	F	1923-05-05	70
2550	F	1976-10-12	1
2551	F	1939-08-11	70
2552	F	1964-01-24	74
2553	M	1976-11-24	34
2554	M	1941-09-20	64
2555	M	1963-09-23	42
2556	F	1951-02-10	44
2557	M	1957-02-18	7
2558	M	1959-01-18	30
2559	F	1965-03-31	8
2560	F	1974-06-20	70
2561	M	1945-07-26	48
2562	M	1952-11-01	42
2563	M	1971-09-08	74
2565	M	1946-05-22	64
2566	F	1963-03-25	29
2567	M	1943-05-30	64
2568	F	1938-06-11	64
2569	M	1948-04-01	69
2570	F	1947-06-19	69
2571	F	1979-04-25	43
2572	M	1953-10-08	1
2573	F	1965-03-10	1
2574	F	1932-04-22	29
2576	F	1979-05-16	46
2577	M	1918-01-07	70
2578	M	1954-07-08	76
2579	F	1935-01-02	11
2580	M	1935-03-07	11
2581	F	1953-11-19	52
2582	M	1938-12-15	51
2583	M	1937-06-17	75
2584	F	1944-12-15	4
2585	F	1971-08-28	75
2586	M	1966-05-14	8
2587	F	1973-01-03	8
2588	M	1958-05-19	33
2589	M	1963-02-17	21
2590	F	1964-10-19	42
2591	M	1960-02-27	42
2592	F	1980-08-31	1
2593	M	1977-06-10	1
2594	M	1963-07-31	55
2596	M	1961-10-08	31
2597	F	1969-08-06	28
2598	M	1965-10-25	28
2599	M	1946-01-09	1
2600	F	1923-04-17	7
2601	M	1961-07-25	37
2602	F	1966-08-20	37
2603	F	1972-11-03	38
2604	M	1926-07-11	22
2605	F	1925-04-17	22
2606	M	1943-01-04	31
2607	M	1943-03-27	63
2608	F	1943-09-15	58
2609	M	1977-05-09	1
2610	F	1980-05-03	1
2611	M	1938-11-09	77
2612	M	1975-02-03	38
2613	M	1977-10-26	1
2614	M	1946-03-14	72
2615	F	1945-08-26	64
2616	M	1970-07-07	50
2617	F	1962-06-26	50
2618	M	1942-08-14	17
2619	F	1969-07-09	63
2620	M	1968-07-18	63
2621	M	1956-05-09	51
2622	M	1973-06-07	71
2623	F	1965-07-16	16
2625	M	1972-10-07	57
2626	M	1940-02-14	1
2628	F	1931-11-05	1
2629	M	1931-12-03	1
2630	F	1937-08-20	64
2631	M	1970-05-21	18
2632	F	1963-02-25	18
2633	F	1967-07-12	1
2635	F	1966-12-10	67
2636	M	1918-10-24	28
2637	M	1935-06-06	64
2638	M	1942-01-07	1
2639	F	1950-03-04	45
2640	M	1951-01-29	45
2642	M	1973-09-04	22
2643	F	1946-01-07	54
2644	F	1964-03-23	6
2645	M	1920-04-22	67
2646	F	1937-06-07	63
2647	M	1940-03-26	9
2648	F	1934-10-10	9
2650	M	1975-03-05	75
2651	F	1969-11-27	75
2652	F	1949-05-09	41
2653	M	1950-01-25	1
2654	F	1939-10-08	59
2655	M	1963-08-12	44
2656	M	1955-09-15	54
2657	M	1948-07-09	73
2658	M	1933-01-21	11
2659	M	1941-05-24	46
2661	F	1961-10-17	1
2662	M	1978-08-29	1
2663	M	1976-10-01	8
2666	F	1935-07-06	47
2667	M	1972-01-01	9
2668	F	1975-02-09	9
2669	M	1927-05-08	51
2670	M	1936-09-13	45
2671	F	1972-04-22	35
2672	F	1940-03-26	7
2673	M	1959-07-16	65
2674	F	1952-10-03	65
2675	M	1924-01-22	31
2676	M	1961-06-01	61
2677	M	1922-05-24	33
2678	F	1918-05-15	33
2679	M	1938-09-30	1
2680	F	1945-09-02	1
2681	F	1971-01-04	45
2682	M	1975-01-14	45
2683	F	1929-06-13	48
2684	F	1953-02-11	74
2685	F	1969-06-21	73
2686	F	1951-03-24	19
2687	M	1949-08-22	19
2688	F	1967-10-24	60
2689	M	1923-01-17	16
2690	F	1971-12-25	58
2691	M	1964-05-17	47
2692	M	1925-05-30	44
2693	F	1976-08-04	46
2694	F	1927-10-06	15
2695	M	1929-05-16	15
2696	M	1947-09-04	2
2697	F	1948-08-14	2
2698	F	1970-10-07	31
2699	M	1977-02-23	31
2700	M	1945-02-22	34
2701	M	1952-03-29	1
2702	M	1919-02-26	7
2703	F	1973-03-12	2
2704	F	1949-05-22	1
2705	M	1924-04-30	43
2706	M	1967-07-02	3
2707	M	1969-05-23	45
2708	M	1958-08-12	73
2709	M	1946-06-14	26
2712	M	1956-01-17	25
2713	M	1962-09-02	36
2714	F	1970-03-06	6
2715	M	1957-07-04	7
2716	F	1969-07-13	25
2717	M	1930-04-28	46
2718	F	1932-12-22	46
2719	F	1964-10-30	29
2720	F	1949-09-05	1
2721	F	1950-06-26	24
2724	M	1975-03-01	35
2726	F	1973-07-28	1
2727	M	1968-02-05	1
2728	M	1922-08-13	74
2729	M	1966-08-28	1
2730	M	1947-03-18	52
2731	M	1927-12-08	38
2732	F	1953-09-16	57
2733	F	1927-11-11	3
2734	M	1934-11-12	3
2735	M	1928-07-31	64
2736	F	1958-02-15	1
2738	M	1951-04-25	1
2739	M	1950-01-26	13
2740	F	1967-11-23	36
2741	F	1930-11-29	41
2742	F	1948-08-27	65
2743	F	1939-10-04	50
2744	M	1943-02-22	50
2745	F	1939-08-07	54
2746	M	1971-02-25	1
2747	M	1936-10-14	6
2748	F	1936-10-06	6
2749	F	1921-03-04	14
2750	M	1913-07-13	14
2751	F	1957-01-24	68
2752	M	1971-08-09	48
2754	F	1978-05-24	66
2755	F	1970-03-23	1
2756	F	1919-09-28	31
2758	M	1946-07-14	1
2759	M	1974-01-26	2
2760	F	1975-12-12	68
2761	F	1977-09-29	1
2762	F	1953-04-23	29
2765	F	1981-04-20	36
2766	M	1959-09-15	70
2767	F	1954-06-04	70
2768	M	1964-04-02	1
2769	M	1937-05-15	69
2770	M	1954-07-08	1
2771	M	1920-10-25	37
2772	F	1923-01-08	37
2773	F	1919-09-13	49
2774	M	1921-02-23	49
2775	F	1978-07-09	41
2776	F	1934-06-07	31
2777	F	1970-03-28	46
2778	M	1964-05-16	57
2779	M	1948-05-04	29
2780	F	1947-01-16	29
2781	F	1960-11-22	46
2782	M	1940-09-13	31
2783	M	1940-06-20	1
2784	F	1958-07-25	36
2785	M	1962-07-29	22
2786	M	1951-11-02	24
2787	F	1976-10-14	41
2788	F	1951-10-21	49
2789	F	1951-12-25	1
2790	M	1975-02-10	16
2791	M	1921-10-10	60
2794	M	1965-01-22	18
2795	F	1968-04-13	18
2796	M	1974-06-25	15
2797	M	1950-11-05	28
2798	M	1931-06-27	65
2799	F	1961-12-02	4
2800	M	1949-08-26	2
2801	M	1919-02-18	75
2802	F	1966-11-29	1
2803	M	1931-10-12	68
2804	F	1936-11-10	68
2805	M	1964-07-13	73
2806	F	1955-07-01	58
2808	F	1974-03-31	8
2809	M	1979-02-14	33
2810	M	1971-07-28	72
2811	F	1946-12-07	1
2812	F	1970-05-02	55
2813	M	1941-04-10	70
2814	F	1973-02-10	19
2815	M	1930-06-30	35
2816	F	1938-03-15	35
2817	F	1977-02-19	1
2818	M	1963-04-12	54
2819	M	1980-08-12	8
2820	M	1966-12-17	77
2821	F	1980-11-01	45
2822	M	1958-10-19	50
2823	F	1946-12-18	70
2824	M	1941-09-05	39
2825	M	1958-03-29	65
2826	M	1935-01-28	59
2827	M	1923-02-13	63
2828	F	1949-07-10	14
2829	F	1939-12-27	33
2830	M	1974-11-14	51
2831	F	1980-07-09	68
2832	M	1927-07-23	13
2833	F	1923-07-09	13
2834	M	1949-05-23	52
2835	M	1966-01-27	27
2836	F	1919-09-21	38
2837	M	1927-05-21	38
2838	M	1965-03-09	65
2839	F	1928-07-05	72
2840	M	1934-05-14	72
2841	F	1973-04-10	18
2842	M	1958-06-17	74
2843	F	1966-10-06	70
2844	M	1962-11-19	51
2845	M	1952-09-02	7
2846	F	1969-03-17	1
2847	F	1942-07-25	34
2848	M	1939-02-20	34
2849	M	1928-04-02	19
2850	M	1970-08-20	7
2851	M	1939-08-10	54
2852	F	1942-06-28	26
2853	F	1956-04-25	28
2854	M	1949-06-01	16
2855	F	1957-07-26	16
2856	M	1923-11-11	47
2857	M	1927-02-03	33
2858	F	1926-02-12	42
2859	F	1928-09-24	68
2860	M	1958-03-31	28
2862	F	1964-10-07	49
2863	M	1968-03-05	49
2864	F	1952-04-09	51
2865	M	1948-11-18	15
2866	F	1949-10-30	15
2867	F	1960-01-23	1
2868	M	1933-12-14	14
2869	M	1975-08-05	1
2870	M	1959-11-28	29
2871	F	1967-11-23	71
2872	F	1933-10-27	77
2873	F	1975-03-24	16
2874	M	1972-09-10	34
2875	M	1936-08-17	46
2876	M	1977-01-07	1
2877	M	1932-04-29	59
2878	M	1947-04-17	68
2879	M	1977-01-10	40
2880	M	1952-12-30	60
2881	F	1967-03-21	12
2882	M	1931-12-14	70
2883	M	1953-02-26	30
2884	F	1958-10-10	40
2885	F	1965-10-04	1
2886	M	1958-10-03	1
2887	F	1961-01-29	2
2888	F	1978-09-09	1
2889	M	1943-12-05	25
2890	M	1951-10-11	62
2891	F	1957-07-23	62
2892	F	1941-03-21	3
2893	F	1927-11-02	2
2894	F	1948-07-25	70
2895	F	1977-05-17	70
2896	F	1975-05-16	1
2897	M	1925-07-18	40
2898	F	1920-10-17	40
2899	M	1918-05-18	16
2900	M	1923-03-22	18
2901	F	1939-01-09	25
2902	F	1959-07-03	8
2903	M	1959-11-26	8
2904	F	1946-05-18	64
2905	M	1951-07-07	64
2906	M	1934-12-16	5
2907	F	1932-09-22	5
2908	M	1971-02-28	1
2909	M	1936-10-09	26
2910	M	1936-09-28	76
2911	M	1932-09-25	45
2912	F	1925-07-28	45
2913	M	1962-12-27	44
2915	F	1954-02-22	33
2916	M	1972-09-30	1
2917	M	1940-01-18	16
2918	M	1967-05-21	5
2919	F	1970-09-08	5
2920	F	1962-06-23	44
2921	F	1976-12-20	64
2922	M	1940-09-07	43
2923	F	1977-03-21	35
2924	F	1941-02-06	18
2925	M	1947-09-08	18
2926	M	1934-02-11	27
2927	F	1929-12-28	27
2928	M	1932-03-02	38
2929	M	1958-03-10	1
2930	M	1941-03-22	41
2932	F	1940-07-11	1
2933	M	1942-12-12	72
2934	F	1948-04-27	72
2935	F	1944-05-02	61
2936	F	1945-03-11	3
2937	M	1949-07-01	74
2938	F	1921-06-01	8
2939	M	1918-02-13	8
2940	M	1965-10-16	1
2941	M	1951-03-12	38
2942	F	1966-06-03	67
2943	F	1980-06-28	1
2944	F	1943-08-23	71
2945	M	1921-06-02	74
2946	F	1926-01-23	74
2947	F	1957-05-18	19
2948	M	1978-11-20	47
2949	M	1943-09-25	14
2950	M	1944-06-06	46
2951	F	1950-08-31	76
2952	F	1978-01-17	52
2953	M	1936-07-07	3
2954	F	1959-08-12	38
2955	M	1952-07-16	38
2956	M	1939-08-06	23
2957	M	1978-03-07	23
2958	M	1975-05-07	48
2959	M	1957-11-19	54
2960	M	1928-12-19	1
2961	F	1933-12-28	1
2962	M	1938-11-10	1
2963	F	1939-03-29	1
2964	M	1978-11-27	8
2965	F	1918-02-07	30
2966	M	1955-02-20	65
2967	F	1961-01-15	53
2968	M	1962-08-24	40
2969	M	1923-04-22	55
2970	F	1922-04-06	55
2971	F	1977-12-03	1
2972	M	1976-01-14	1
2974	F	1951-07-12	56
2975	F	1943-03-18	33
2976	F	1922-08-03	57
2977	M	1963-02-06	39
2978	F	1948-03-05	33
2979	F	1961-12-22	4
2980	M	1974-06-14	11
2981	F	1949-02-05	16
2982	F	1973-03-23	6
2983	M	1967-07-23	6
2984	F	1963-05-24	60
2985	M	1960-04-13	60
2986	M	1952-05-15	14
2987	F	1946-06-01	14
2988	M	1961-05-21	33
2989	F	1949-02-01	17
2990	F	1938-04-02	32
2991	M	1941-07-31	32
2992	M	1966-05-07	11
2994	M	1963-07-22	18
2995	F	1941-06-15	35
2996	M	1965-01-29	1
2997	F	1941-03-09	1
2998	M	1961-04-02	1
2999	F	1979-03-24	74
3000	F	1928-04-02	41
3001	M	1958-10-07	1
3002	F	1955-05-13	42
3003	F	1973-05-12	69
3004	M	1971-07-13	69
3005	M	1931-06-29	43
3006	F	1973-08-08	22
3007	M	1964-04-11	76
3008	M	1919-12-19	73
3009	F	1957-08-03	62
3010	M	1960-01-12	62
3011	M	1955-09-19	74
3012	F	1955-11-10	70
3013	F	1950-03-18	51
3014	M	1953-11-05	51
3015	M	1952-02-29	73
3016	M	1977-08-23	40
3017	M	1941-05-14	2
3018	M	1978-01-28	61
3019	M	1969-09-23	30
3020	F	1942-08-27	32
3021	M	1961-08-24	1
3022	F	1954-09-22	1
3023	M	1959-04-04	16
3024	M	1929-03-08	60
3025	F	1932-12-27	60
3026	M	1947-03-25	22
3027	M	1959-07-25	62
3028	F	1932-04-23	34
3029	M	1970-05-08	43
3030	F	1976-05-10	68
3031	F	1965-09-05	40
3032	M	1959-04-10	40
3035	M	1964-11-02	27
3036	F	1941-03-31	16
3037	M	1942-01-04	64
3038	F	1946-03-05	6
3039	F	1969-06-01	55
3041	F	1927-04-24	4
3042	F	1968-02-14	18
3043	F	1951-11-15	63
3044	M	1945-10-07	36
3045	F	1950-03-18	10
3046	F	1925-01-22	1
3047	M	1975-10-01	45
3048	F	1923-01-06	16
3049	M	1967-04-06	6
3050	F	1967-07-31	6
3051	M	1928-03-11	65
3054	M	1958-04-28	74
3055	M	1931-02-23	51
3056	F	1959-01-16	38
3057	M	1962-03-05	38
3058	F	1943-09-29	49
3059	M	1977-11-29	61
3060	M	1960-05-18	61
3061	F	1965-10-05	61
3062	F	1930-08-22	41
3063	M	1971-01-29	27
3064	M	1930-05-05	42
3065	F	1921-08-21	24
3066	F	1982-03-09	54
3067	F	1952-06-21	57
3068	M	1954-03-20	57
3069	M	1943-10-23	21
3070	M	1920-12-12	46
3071	F	1967-02-23	38
3072	M	1936-04-14	1
3073	F	1937-10-23	1
3074	M	1958-11-07	1
3075	M	1941-05-05	74
3076	F	1962-11-17	57
3077	F	1934-02-24	50
3078	M	1932-01-31	50
3079	M	1943-05-19	67
3080	F	1951-07-27	5
3081	M	1945-03-02	5
3082	F	1979-10-17	52
3083	M	1971-04-07	41
3084	F	1951-08-24	23
3085	F	1946-06-29	62
3086	M	1948-09-14	62
3087	F	1959-09-21	46
3088	M	1950-06-11	40
3089	M	1974-07-26	46
3090	M	1968-11-17	32
3091	F	1966-03-03	15
3092	F	1967-11-06	59
3093	M	1966-02-21	35
3094	M	1950-08-18	48
3095	M	1953-06-29	36
3096	M	1982-02-27	74
3097	M	1948-08-22	48
3098	M	1938-06-23	17
3099	M	1965-11-13	17
3100	M	1931-03-30	2
3101	M	1941-12-13	1
3102	F	1979-02-16	61
3103	F	1973-03-07	64
3104	F	1982-01-04	4
3105	M	1947-08-17	68
3106	F	1928-03-03	72
3107	M	1960-11-16	30
3108	F	1962-02-26	30
3109	F	1932-04-21	7
3110	M	1931-02-27	54
3111	F	1924-02-07	54
3112	M	1939-09-12	24
3113	F	1971-11-12	60
3114	M	1971-02-24	60
3115	M	1961-11-30	72
3116	M	1951-09-09	28
3117	F	1941-06-22	62
3118	M	1940-07-09	62
3119	F	1936-01-26	50
3120	M	1964-06-02	75
3121	F	1956-10-18	57
3122	M	1959-04-02	57
3123	M	1979-07-25	1
3124	F	1958-01-02	5
3125	F	1922-10-30	10
3126	M	1938-01-13	47
3127	F	1920-06-18	1
3128	F	1944-02-09	69
3129	F	1946-08-01	5
3130	F	1955-05-31	19
3131	F	1935-06-14	1
3132	F	1975-03-24	1
3133	F	1973-04-20	31
3134	M	1938-05-04	1
3135	M	1969-01-06	48
3136	M	1963-12-18	1
3137	M	1947-02-26	70
3138	F	1943-08-12	70
3139	F	1956-09-23	46
3140	M	1959-04-13	46
3141	F	1925-11-09	9
3142	M	1919-03-18	68
3143	F	1944-02-02	21
3144	M	1919-08-04	1
3145	F	1921-11-04	1
3146	M	1948-07-15	1
3147	F	1964-04-26	19
3148	M	1942-04-04	3
3149	F	1935-01-09	3
3150	F	1932-07-24	54
3151	F	1951-07-27	1
3152	M	1936-10-04	1
3153	M	1924-06-17	26
3154	F	1926-02-21	26
3155	F	1973-04-08	44
3156	F	1954-11-02	68
3157	F	1942-02-26	1
3158	F	1940-11-25	1
3159	M	1930-10-27	24
3160	M	1951-06-29	20
3161	M	1980-11-18	66
3162	M	1960-05-17	55
3163	F	1964-05-26	1
3164	M	1962-09-10	1
3165	F	1976-09-01	3
3166	M	1955-06-14	31
3167	F	1943-09-08	48
3170	M	1921-02-21	76
3171	F	1924-04-26	76
3172	M	1951-12-23	64
3173	F	1946-04-18	66
3174	M	1952-11-16	66
3175	F	1950-07-19	64
3176	M	1937-07-07	1
3177	M	1938-08-12	24
3178	F	1969-08-01	25
3179	F	1948-03-12	45
3180	M	1944-09-30	45
3181	M	1943-02-15	27
3182	F	1925-04-22	18
3183	M	1980-02-24	70
3184	F	1959-12-01	5
3185	F	1972-11-26	17
3186	F	1955-01-14	1
3187	M	1952-09-02	7
3188	F	1976-05-19	68
3190	F	1920-11-01	1
3191	F	1975-11-05	56
3192	M	1939-07-14	6
3193	F	1950-02-22	28
3194	F	1975-08-17	51
3195	F	1971-06-13	2
3196	F	1978-08-14	72
3197	M	1958-07-10	1
3198	F	1953-03-05	1
3199	F	1957-12-18	1
3200	M	1954-11-15	1
3201	F	1953-08-06	66
3202	M	1922-07-19	56
3203	F	1959-04-23	1
3204	M	1956-03-26	1
3205	F	1921-06-25	1
3206	M	1921-05-21	1
3207	F	1925-12-03	55
3208	M	1947-02-06	27
3209	F	1939-01-03	27
3210	M	1963-08-30	14
3211	F	1967-08-07	17
3213	M	1941-10-04	1
3214	M	1922-05-12	71
3215	F	1936-05-06	64
3216	M	1959-11-28	58
3217	M	1977-05-02	61
3218	M	1965-12-16	49
3219	F	1959-10-18	49
3220	M	1957-02-17	23
3221	F	1953-07-16	23
3222	M	1977-05-06	21
3225	M	1957-03-17	13
3226	M	1951-11-22	1
3227	F	1950-10-28	59
3228	M	1957-02-22	34
3229	M	1979-04-18	50
3230	F	1982-06-06	1
3231	M	1961-06-03	21
3232	M	1976-11-05	5
3233	M	1980-11-30	1
3234	F	1919-08-04	67
3235	F	1950-06-12	46
3236	F	1960-04-15	28
3239	F	1981-11-16	7
3240	F	1937-12-10	67
3241	M	1934-09-14	26
3242	F	1937-03-04	26
3243	F	1920-09-30	71
3244	M	1933-09-29	72
3245	M	1952-12-02	70
3246	M	1931-04-20	66
3247	F	1958-04-21	69
3248	F	1929-08-02	28
3249	M	1959-01-20	17
3250	F	1962-01-20	17
3251	F	1962-12-28	52
3252	M	1961-03-26	52
3253	M	1946-07-02	70
3254	M	1930-02-13	1
3255	F	1970-01-04	8
3256	M	1976-07-18	49
3257	F	1978-05-11	73
3258	F	1960-07-30	74
3259	M	1950-10-15	71
3260	F	1942-09-08	74
3261	M	1950-04-10	74
3262	F	1941-08-14	61
3264	F	1950-10-20	63
3265	F	1963-06-11	47
3266	M	1960-10-08	47
3267	M	1951-08-26	61
3268	F	1956-03-31	1
3269	M	1974-11-05	2
3270	M	1940-01-22	12
3271	F	1942-01-03	58
3272	F	1920-07-18	9
3273	M	1918-01-02	9
3274	M	1929-01-22	26
3275	F	1924-09-19	26
3276	M	1980-03-21	52
3277	M	1966-03-26	42
3278	F	1962-04-20	42
3279	F	1954-08-04	66
3280	M	1958-05-31	66
3281	M	1950-12-27	74
3282	M	1981-09-02	29
3283	M	1933-11-23	10
3284	M	1936-07-02	2
3285	F	1943-09-17	2
3286	F	1972-03-15	74
3287	M	1978-04-01	74
3288	M	1926-01-28	69
3289	F	1977-06-09	75
3290	F	1969-07-12	11
3291	M	1947-01-23	52
3292	M	1940-01-21	18
3293	F	1953-01-20	1
3294	M	1957-03-08	52
3295	F	1966-03-13	40
3296	M	1969-06-11	23
3297	M	1968-04-17	1
3298	F	1942-08-05	5
3299	F	1961-09-17	76
3300	M	1950-06-29	53
3302	F	1964-02-17	52
3303	M	1965-01-09	52
3304	M	1939-08-31	69
3305	F	1971-10-11	41
3306	M	1948-04-26	27
3307	F	1979-07-01	14
3308	M	1948-02-16	15
3309	F	1942-04-29	15
3310	M	1954-02-13	23
3311	M	1954-08-25	51
3312	F	1971-11-05	70
3313	F	1946-02-10	60
3314	F	1931-12-18	24
3315	M	1934-06-21	24
3316	F	1947-12-15	1
3317	M	1950-04-24	1
3319	F	1979-04-24	1
3320	M	1972-02-14	1
3321	F	1969-05-30	13
3322	M	1948-02-29	31
3323	F	1981-02-22	74
3324	F	1971-04-13	26
3325	M	1963-09-28	26
3326	F	1952-12-26	57
3327	F	1937-07-04	20
3328	M	1966-10-11	24
3329	M	1961-03-20	54
3330	F	1955-04-15	54
3331	F	1970-02-05	70
3332	F	1969-11-15	46
3333	F	1949-07-24	10
3334	M	1967-07-01	1
3335	M	1967-02-10	11
3336	F	1951-05-30	64
3337	M	1952-04-13	53
3338	F	1942-11-29	69
3339	F	1976-01-29	31
3340	M	1976-02-16	54
3341	F	1968-12-20	54
3342	M	1973-09-29	73
3344	M	1961-09-16	42
3345	F	1941-01-27	37
3346	M	1941-02-25	37
3347	M	1936-01-19	11
3348	F	1978-02-14	38
3349	M	1963-12-21	42
3350	M	1950-03-19	30
3351	F	1942-09-15	30
3352	M	1919-09-12	23
3353	F	1919-04-21	23
3354	F	1943-10-28	62
3355	M	1953-01-15	38
3356	M	1974-04-23	73
3357	F	1954-07-21	63
3358	M	1975-10-07	16
3359	M	1945-02-24	1
3360	F	1976-08-31	43
3361	F	1930-10-02	40
3365	F	1966-07-30	1
3366	F	1959-02-12	54
3367	M	1952-04-23	54
3368	F	1952-10-24	14
3369	M	1952-04-16	1
3370	M	1919-03-28	25
3371	F	1919-10-07	25
3372	M	1970-10-30	1
3373	M	1952-11-29	5
3374	F	1960-08-13	5
3375	M	1954-11-06	74
3376	F	1945-01-19	11
3377	M	1938-05-05	11
3378	M	1957-04-21	5
3379	F	1949-07-01	5
3380	F	1978-04-03	74
3381	F	1965-09-01	70
3382	M	1954-02-28	54
3383	F	1956-04-23	54
3384	F	1942-08-03	41
3385	F	1924-02-13	11
3386	F	1940-03-08	49
3387	M	1943-08-14	58
3388	F	1965-10-26	53
3389	F	1967-01-16	39
3390	F	1972-11-17	53
3391	M	1971-04-07	42
3392	F	1975-10-31	1
3393	F	1954-08-24	73
3394	F	1980-07-04	66
3395	M	1962-12-28	4
3396	F	1977-03-03	18
3397	F	1974-06-08	24
3398	M	1969-09-13	24
3399	M	1932-02-25	72
3402	F	1952-05-02	74
3403	M	1957-10-18	74
3404	F	1940-10-11	56
3405	M	1949-12-15	40
3406	F	1947-07-13	40
3407	F	1973-04-13	35
3408	M	1973-12-20	35
3409	M	1919-04-03	36
3410	M	1965-02-16	54
3412	M	1975-07-18	57
3413	F	1969-11-25	57
3414	F	1947-10-17	11
3415	F	1973-09-30	54
3416	M	1978-06-01	35
3417	F	1985-03-18	35
3418	F	1963-08-07	70
3420	M	1979-06-24	66
3421	M	1947-03-05	20
3422	F	1951-05-02	1
3423	F	1971-09-05	12
3424	M	1918-11-14	64
3425	M	1970-05-07	70
3426	M	1978-02-07	73
3427	M	1980-06-16	42
3428	F	1987-09-27	42
3429	M	1941-10-16	46
3430	M	1951-09-25	3
3431	F	1979-04-05	70
3432	M	1973-11-08	15
3433	M	1962-09-07	71
3434	F	1956-09-20	71
3435	F	1945-05-27	4
3436	M	1958-02-18	30
3437	F	1959-08-08	30
3438	M	1942-01-12	43
3439	M	1967-01-27	62
3440	F	1938-02-13	1
3441	M	1958-02-09	75
3443	F	1934-12-06	1
3444	M	1977-04-06	57
3445	F	1979-03-26	17
3446	M	1957-10-01	70
3447	F	1949-04-21	54
3448	M	1954-12-24	1
3449	M	1928-03-21	27
3450	M	1976-09-12	25
3451	M	1974-07-17	19
3452	F	1975-08-28	19
3453	M	1950-08-02	56
3454	F	1949-10-17	11
3455	M	1957-02-28	11
3456	F	1945-01-21	54
3457	F	1923-06-14	75
3458	M	1953-06-30	33
3459	F	1964-08-30	14
3460	M	1965-10-11	14
3461	M	1958-02-22	54
3462	F	1965-03-18	54
3463	F	1979-03-02	1
3464	M	1953-01-14	43
3465	M	1942-04-17	30
3466	F	1936-05-31	1
3467	M	1939-12-06	1
3468	F	1933-12-31	68
3469	F	1975-02-23	1
3470	F	1937-04-23	52
3471	F	1952-09-29	1
3472	F	1946-05-11	70
3473	M	1948-05-21	70
3474	F	1954-12-08	32
3475	M	1957-03-13	19
3476	F	1968-01-05	60
3477	M	1965-08-28	37
3478	M	1926-05-30	1
3479	F	1933-09-19	1
3480	F	1951-04-10	15
3481	M	1957-11-10	15
3482	F	1941-02-09	71
3483	M	1940-12-02	70
3484	M	1972-04-30	44
3485	M	1922-05-27	77
3486	M	1962-03-09	77
3487	M	1959-09-06	1
3488	M	1955-10-09	1
3489	M	1966-08-13	76
3490	M	1920-10-16	19
3491	F	1922-11-18	19
3492	F	1970-12-27	8
3493	F	1965-05-04	69
3494	M	1969-07-02	42
3495	F	1941-05-10	64
3496	M	1949-07-11	64
3497	F	1970-09-11	39
3498	M	1938-04-01	77
3499	M	1969-03-16	19
3500	M	1960-06-07	29
3501	M	1964-03-21	51
3502	M	1952-08-03	54
3503	F	1953-01-14	54
3504	M	1952-01-25	40
3505	M	1977-12-06	20
3506	F	1961-08-20	1
3507	F	1946-12-02	32
3508	M	1970-11-09	38
3509	F	1965-02-13	38
3510	M	1939-10-26	13
3511	M	1963-09-11	74
3512	M	1946-05-25	49
3513	M	1922-07-20	70
3514	F	1918-02-05	70
3515	F	1975-01-02	61
3516	F	1971-09-07	58
3517	F	1953-06-24	68
3518	F	1955-09-02	33
3519	M	1949-12-15	74
3520	F	1928-05-17	8
3521	M	1964-07-20	4
3522	M	1963-02-02	57
3523	M	1964-04-29	6
3524	F	1945-11-20	68
3525	M	1974-05-21	15
3526	F	1977-07-06	15
3527	M	1978-08-11	77
3528	F	1970-10-06	73
3529	M	1973-03-15	54
3530	F	1971-09-18	16
3531	M	1920-06-14	43
3532	M	1935-02-24	56
3533	F	1963-12-01	1
3534	F	1971-03-21	50
3535	M	1973-05-12	37
3536	M	1922-08-20	55
3537	M	1946-04-16	51
3538	F	1944-05-02	1
3539	M	1920-08-31	36
3540	M	1936-08-04	51
3541	F	1934-05-01	51
3542	M	1939-09-02	10
3543	F	1941-08-19	10
3544	F	1961-08-15	1
3545	M	1966-11-01	68
3546	M	1971-02-28	3
3547	F	1924-03-15	1
3548	M	1975-05-03	1
3549	F	1937-09-08	5
3550	F	1969-09-14	54
3552	M	1940-11-16	44
3554	F	1965-12-21	22
3555	M	1968-02-06	22
3556	M	1927-11-27	6
3557	F	1928-11-24	6
3558	F	1928-07-01	54
3559	F	1939-10-23	57
3560	M	1944-02-02	57
3562	M	1931-04-05	1
3563	F	1926-11-22	1
3564	M	1948-03-23	62
3565	M	1962-07-29	44
3566	F	1932-02-19	65
3567	M	1948-03-09	1
3568	M	1941-01-25	1
3569	M	1933-04-09	67
3570	F	1945-04-27	15
3571	M	1970-06-17	25
3572	F	1928-12-18	48
3573	F	1972-02-09	8
3574	F	1946-02-17	19
3575	F	1937-10-12	9
3576	F	1939-03-15	1
3577	F	1942-12-15	31
3578	M	1927-10-20	72
3579	F	1930-08-07	72
3580	F	1929-04-27	6
3581	M	1967-12-23	33
3582	M	1955-02-17	38
3583	F	1942-09-09	15
3584	M	1941-03-25	15
3585	F	1968-10-02	29
3586	M	1943-04-11	60
3587	F	1939-12-01	60
3588	F	1953-11-04	76
3589	F	1961-07-13	73
3590	F	1976-09-23	23
3591	M	1930-09-28	74
3592	F	1925-03-30	74
3594	F	1961-05-07	13
3595	M	1965-01-01	28
3596	M	1975-03-22	74
3597	F	1933-08-17	10
3598	M	1923-09-11	66
3599	F	1931-03-02	66
3600	F	1943-07-26	46
3601	M	1938-08-03	19
3602	F	1940-12-10	19
3603	M	1954-06-13	42
3605	M	1934-07-24	71
3606	M	1958-06-06	63
3607	F	1946-07-29	18
3608	M	1947-12-09	66
3609	F	1955-10-26	66
3610	M	1919-05-08	36
3611	F	1972-05-27	30
3612	F	1962-09-04	19
3613	M	1969-02-12	19
3614	F	1971-10-09	43
3615	M	1974-07-04	1
3616	F	1964-04-14	77
3617	F	1954-11-30	51
3618	M	1953-02-21	54
3619	M	1955-08-09	40
3620	M	1937-09-14	21
3621	M	1939-07-21	66
3622	F	1938-04-17	66
3623	F	1965-04-20	28
3624	F	1982-02-27	1
3627	F	1981-06-08	18
3628	F	1927-02-26	11
3629	M	1947-12-13	42
3630	F	1923-11-28	64
3631	M	1921-11-19	64
3632	F	1943-09-29	15
3633	M	1933-10-14	72
3634	M	1923-06-25	1
3635	F	1921-01-31	1
3636	M	1978-05-19	46
3637	M	1959-01-10	64
3638	F	1943-12-11	49
3639	M	1928-04-17	73
3640	M	1978-07-24	75
3641	F	1979-02-01	75
3642	M	1961-08-27	19
3643	M	1980-11-11	26
3644	M	1951-06-14	75
3645	M	1975-02-26	34
3646	F	1943-06-16	33
3647	M	1948-08-23	33
3648	M	1980-01-03	3
3649	F	1959-10-25	10
3650	M	1918-02-17	64
3651	M	1918-10-01	35
3652	M	1920-02-20	1
3653	F	1917-01-03	1
3654	F	1924-03-01	25
3655	M	1968-02-06	59
3656	F	1925-08-26	62
3657	M	1921-05-18	62
3658	M	1924-04-05	58
3659	F	1930-11-10	42
3660	M	1974-07-09	65
3661	M	1932-11-25	51
3662	M	1931-09-22	27
3663	F	1947-06-25	69
3664	M	1951-03-19	69
3667	M	1971-09-18	70
3668	F	1972-12-23	70
3669	M	1962-08-22	10
3670	F	1980-09-17	44
3671	M	1943-07-16	10
3672	F	1948-12-06	10
3673	F	1951-12-07	1
3674	F	1980-11-10	17
3675	M	1952-03-18	70
3676	F	1965-10-14	10
3677	M	1960-09-16	10
3678	F	1934-08-12	1
3679	M	1931-04-23	72
3680	F	1923-04-07	72
3681	M	1921-04-26	1
3682	F	1924-01-12	1
3683	F	1977-02-22	74
3684	F	1961-12-31	16
3685	M	1974-03-06	74
3686	F	1962-10-11	61
3687	M	1972-02-06	49
3688	F	1975-05-02	49
3689	F	1979-07-12	9
3690	M	1960-08-02	44
3691	M	1965-04-17	18
3693	M	1922-03-31	15
3694	F	1920-04-29	15
3695	M	1934-10-04	55
3696	F	1939-04-11	55
3697	F	1954-01-16	9
3698	M	1971-04-25	44
3699	M	1968-08-08	1
3700	F	1976-05-24	1
3701	F	1954-05-06	73
3702	M	1952-11-27	76
3703	M	1931-06-15	17
3704	M	1962-04-11	69
3705	F	1965-06-04	1
3707	M	1941-06-24	74
3708	F	1958-03-16	46
3709	M	1955-05-03	46
3710	M	1928-01-25	59
3711	M	1968-05-07	25
3712	F	1969-05-30	56
3713	F	1944-02-23	41
3714	F	1953-10-01	8
3716	M	1953-04-15	74
3717	M	1925-01-30	71
3718	F	1929-06-29	71
3719	M	1930-08-30	54
3720	F	1936-12-07	54
3721	F	1954-12-16	64
3722	F	1956-04-29	1
3723	M	1968-09-01	18
3724	F	1925-09-23	57
3727	M	1970-01-13	33
3728	M	1936-01-06	66
3729	F	1941-08-22	66
3730	F	1945-08-07	59
3732	M	1946-08-27	66
3733	F	1946-05-09	1
3734	M	1943-12-02	15
3735	M	1938-01-17	18
3736	F	1932-07-22	18
3737	M	1948-04-30	12
3738	F	1978-03-31	1
3739	F	1956-08-21	3
3740	M	1929-11-03	46
3741	M	1936-05-04	16
3742	F	1961-11-27	56
3743	M	1958-11-06	56
3745	F	1971-01-19	2
3746	M	1975-01-25	66
3747	M	1964-12-02	1
3748	F	1930-03-05	59
3749	F	1943-03-21	65
3750	M	1938-10-03	1
3751	M	1966-10-12	33
3752	F	1961-02-06	33
3753	F	1959-04-14	1
3754	F	1947-07-13	1
3755	F	1951-07-09	37
3756	F	1971-10-03	12
3757	M	1922-04-16	5
3758	F	1963-09-14	53
3759	M	1961-10-12	53
3760	M	1955-01-04	18
3761	M	1975-08-05	48
3762	F	1959-02-18	60
3763	F	1977-08-12	38
3764	M	1978-01-29	38
3765	F	1956-01-24	45
3766	F	1980-03-10	1
3767	M	1936-09-07	14
3768	F	1944-03-04	14
3769	M	1957-09-10	54
3770	F	1925-01-03	35
3771	M	1942-03-27	48
3772	F	1936-08-23	48
3773	F	1964-07-29	33
3774	M	1922-10-29	1
3775	M	1928-11-27	46
3776	M	1978-07-09	74
3777	F	1975-09-04	74
3779	M	1949-05-15	6
3780	M	1977-11-22	37
3781	F	1975-03-12	17
3782	M	1980-09-10	1
3783	F	1968-07-08	1
3784	M	1974-11-08	1
3785	F	1920-07-18	66
3786	M	1920-07-10	13
3787	F	1978-05-07	21
3788	F	1955-07-05	56
3789	M	1964-10-17	66
3790	M	1936-08-28	48
3791	M	1939-03-18	72
3792	M	1972-09-21	74
3793	F	1951-06-20	39
3794	F	1976-05-06	37
3795	M	1982-05-03	12
3796	M	1953-06-29	3
3797	F	1951-07-14	3
3798	F	1954-11-17	1
3799	M	1929-03-24	2
3800	F	1954-06-15	38
3801	M	1948-08-15	38
3802	M	1925-07-28	67
3803	M	1930-07-15	1
3804	F	1933-04-11	1
3805	M	1942-12-20	68
3806	F	1967-06-27	54
3807	F	1947-11-07	33
3808	M	1943-01-24	57
3811	M	1952-06-20	6
3812	M	1967-02-08	1
3813	F	1978-08-25	2
3814	M	1945-09-13	1
3815	F	1969-04-12	28
3816	M	1966-01-26	1
3817	F	1937-10-21	77
3818	M	1942-07-28	71
3819	F	1936-05-24	71
3821	M	1939-05-16	22
3822	M	1953-11-26	48
3823	M	1956-12-08	63
3824	M	1971-01-07	41
3825	F	1965-04-20	41
3826	M	1921-03-08	33
3827	F	1923-05-05	33
3829	M	1972-03-13	59
3830	F	1968-02-24	18
3831	M	1918-02-11	11
3832	F	1925-09-04	11
3833	M	1935-03-01	19
3834	F	1976-09-12	1
3835	F	1931-05-12	50
3836	M	1948-11-21	77
3837	F	1921-08-22	39
3838	M	1929-10-27	65
3839	F	1937-07-05	65
3840	F	1933-06-12	50
3841	M	1919-07-08	26
3842	M	1976-06-26	74
3843	F	1942-04-21	4
3844	F	1963-12-26	71
3845	M	1959-05-09	1
3846	F	1980-07-11	27
3847	F	1959-09-14	6
3848	F	1938-08-14	45
3849	F	1932-12-11	1
3850	F	1957-01-26	45
3851	M	1961-11-20	45
3852	F	1952-09-12	10
3853	F	1980-07-04	59
3854	M	1959-08-30	24
3855	M	1939-03-20	29
3856	F	1944-06-09	1
3857	F	1952-12-03	72
3858	F	1948-06-14	18
3859	M	1941-05-03	18
3860	M	1938-04-10	74
3861	F	1951-01-27	11
3862	F	1947-07-13	40
3863	F	1939-10-27	1
3864	M	1931-11-17	1
3865	M	1977-11-06	75
3866	F	1977-07-03	75
3868	M	1962-11-14	66
3869	F	1946-02-24	17
3870	F	1971-08-08	4
3871	M	1979-03-25	4
3872	M	1930-04-19	8
3873	F	1960-12-16	23
3874	F	1942-08-10	61
3875	F	1930-07-27	1
3876	M	1923-05-22	1
3877	F	1956-09-13	38
3880	F	1961-08-24	29
3881	F	1947-05-07	45
3882	M	1942-05-10	45
3883	M	1965-09-27	18
3884	M	1963-11-18	72
3885	F	1940-01-17	70
3886	F	1965-07-17	8
3887	M	1920-01-17	67
3888	F	1916-10-27	67
3890	M	1958-10-22	3
3891	M	1958-12-14	75
3892	M	1979-04-19	1
3893	M	1969-12-26	1
3894	M	1941-01-21	29
3895	F	1945-05-03	29
3896	M	1923-10-03	5
3897	F	1951-03-28	16
3898	F	1948-01-17	57
3899	F	1919-09-20	55
3900	M	1943-09-23	55
3901	F	1951-04-12	55
3902	F	1949-12-20	65
3903	F	1948-03-18	1
3904	F	1939-01-15	29
3905	M	1935-08-05	29
3906	M	1936-12-23	64
3907	F	1954-12-09	1
3908	M	1929-11-25	73
3909	F	1923-09-16	73
3910	F	1919-08-23	37
3911	F	1952-10-13	31
3912	F	1945-03-07	1
3913	M	1951-08-01	8
3914	F	1920-08-24	52
3915	M	1977-01-05	20
3916	F	1970-08-27	47
3917	M	1967-12-28	47
3918	M	1974-01-10	5
3919	M	1942-06-17	35
3920	F	1925-08-13	44
3921	F	1958-01-21	28
3922	F	1928-04-08	1
3923	M	1935-10-20	1
3924	M	1971-01-09	56
3925	F	1936-08-14	45
3926	M	1972-10-01	54
3927	F	1948-02-23	61
3928	F	1928-08-08	77
3929	M	1957-11-01	74
3930	M	1921-01-17	1
3931	F	1921-10-15	1
3932	M	1939-10-06	59
3933	F	1946-09-07	59
3934	M	1968-10-15	12
3935	M	1939-11-27	71
3936	F	1962-04-08	36
3937	M	1963-06-09	36
3938	M	1980-01-22	27
3939	M	1953-11-06	40
3942	M	1952-08-13	53
3943	M	1945-12-04	1
3944	M	1936-01-01	8
3945	F	1931-10-25	8
3946	M	1975-05-11	1
3947	M	1967-05-25	23
3948	F	1979-05-23	44
3949	M	1974-08-26	44
3950	M	1924-03-21	38
3951	F	1920-07-22	38
3952	F	1965-12-28	52
3953	F	1925-06-09	14
3954	M	1957-10-31	64
3955	F	1960-05-31	64
3956	F	1975-06-02	21
3957	M	1971-08-12	21
3958	F	1946-04-30	37
3959	F	1970-07-15	30
3960	M	1964-01-06	8
3961	F	1943-04-03	53
3962	M	1952-11-28	74
3963	M	1974-02-07	76
3964	M	1942-05-07	74
3965	M	1963-05-16	1
3966	F	1969-10-07	1
3967	F	1960-09-26	18
3968	M	1955-06-15	18
3969	F	1951-02-19	4
3970	F	1980-08-09	46
3971	M	1966-02-20	1
3972	M	1930-06-01	1
3973	F	1982-08-20	1
3974	M	1938-08-24	68
3975	F	1954-07-19	1
3976	M	1967-09-13	43
3977	M	1975-09-27	8
3978	M	1970-12-15	18
3979	F	1928-10-14	54
3980	M	1953-07-13	1
3981	M	1979-06-16	19
3982	F	1919-01-15	45
3983	F	1926-05-22	1
3984	F	1964-03-13	1
3985	F	1979-04-16	75
3987	M	1960-11-07	67
3988	F	1974-09-04	53
3989	M	1980-03-27	53
3990	M	1973-02-03	29
3991	M	1967-05-17	11
3992	F	1948-11-10	71
3993	F	1980-03-07	14
3994	F	1965-01-31	21
3995	F	1948-08-15	1
3996	F	1947-07-16	36
3997	F	1927-01-05	13
3998	F	1950-06-03	59
3999	F	1976-01-16	30
4000	M	1957-10-22	40
4001	M	1956-01-29	69
4002	F	1920-06-29	25
4003	M	1949-04-23	8
4004	F	1957-08-12	30
4006	F	1978-05-07	25
4007	M	1948-11-07	23
4008	F	1951-05-08	23
4009	M	1966-06-29	4
4010	F	1948-06-17	4
4011	F	1957-12-19	62
4012	F	1956-10-09	56
4013	F	1951-12-06	1
4014	M	1980-09-06	17
4015	F	1972-12-27	65
4016	F	1971-05-25	13
4017	M	1964-05-15	13
4018	F	1980-09-07	3
4019	M	1945-09-16	11
4020	F	1953-03-31	45
4021	M	1948-12-10	45
4022	M	1926-02-10	1
4023	F	1925-05-17	1
4024	M	1964-10-16	3
4025	F	1971-10-07	3
4026	F	1945-09-24	76
4027	F	1965-06-28	16
4028	M	1970-08-08	16
4029	M	1967-01-03	17
4030	F	1976-09-21	44
4031	M	1975-05-22	67
4032	F	1964-08-02	35
4033	M	1925-10-15	51
4034	M	1937-07-17	58
4035	F	1930-08-20	58
4036	F	1976-07-09	25
4037	F	1966-10-22	1
4040	F	1961-05-17	59
4041	M	1954-01-26	59
4042	M	1939-09-04	1
4043	F	1953-05-09	70
4044	F	1930-04-29	44
4046	F	1944-12-18	1
4047	M	1937-01-28	1
4048	M	1923-11-24	4
4049	M	1945-09-13	4
4050	M	1948-12-30	47
4051	M	1949-10-06	74
4052	F	1950-10-17	74
4053	F	1929-09-23	70
4054	F	1959-02-08	72
4055	F	1953-06-01	74
4056	F	1952-07-26	63
4057	F	1922-06-11	70
4059	M	1924-05-11	54
4060	F	1954-06-21	44
4061	M	1978-12-24	8
4062	M	1950-08-08	71
4063	F	1966-02-16	61
4064	M	1972-02-08	61
4065	M	1942-06-27	73
4066	F	1936-11-28	30
4067	F	1959-07-08	21
4068	M	1924-06-25	11
4069	M	1959-03-07	68
4070	F	1959-05-23	68
4071	F	1942-12-15	45
4072	M	1941-05-08	45
4073	M	1955-02-10	24
4074	F	1958-06-08	24
4075	F	1944-09-18	8
4076	M	1969-11-17	49
4077	F	1955-03-06	68
4078	M	1951-06-04	23
4079	M	1955-06-29	27
4080	F	1943-09-26	21
4081	M	1978-06-03	9
4082	F	1961-01-15	58
4083	F	1968-01-30	74
4084	M	1957-10-05	55
4085	F	1952-12-04	55
4086	F	1941-12-22	63
4087	F	1946-02-16	64
4088	F	1948-12-18	68
4089	M	1947-02-27	68
4090	M	1971-06-22	23
4091	F	1982-09-07	29
4092	F	1933-11-11	14
4093	M	1946-09-29	1
4094	M	1979-12-19	2
4095	M	1974-09-14	25
4096	F	1980-03-16	25
4098	M	1938-03-28	13
4099	F	1945-05-03	12
4100	M	1955-03-13	74
4101	F	1970-05-07	1
4102	F	1969-08-15	4
4103	M	1965-05-19	4
4104	M	1919-04-10	23
4105	F	1980-11-15	16
4106	M	1936-11-09	1
4107	M	1954-09-09	49
4108	F	1926-01-26	43
4109	M	1953-08-11	63
4112	M	1974-11-28	38
4113	F	1947-09-09	76
4114	M	1964-02-09	63
4115	M	1943-03-27	33
4116	M	1936-11-24	36
4117	F	1918-07-01	53
4118	M	1978-06-17	28
4119	F	1962-02-20	62
4120	M	1961-03-06	62
4121	M	1923-02-12	23
4122	M	1969-09-18	39
4123	F	1966-11-12	39
4124	F	1963-11-10	19
4125	F	1922-04-17	31
4126	M	1975-09-09	74
4127	F	1970-05-26	74
4129	F	1952-03-31	75
4131	M	1976-06-02	48
4132	M	1962-10-15	42
4133	F	1965-03-22	42
4134	F	1954-02-12	1
4136	M	1959-01-06	31
4137	M	1949-08-30	21
4138	F	1968-09-18	11
4139	M	1969-07-20	74
4140	M	1963-10-04	70
4141	M	1970-03-18	9
4142	M	1960-06-11	36
4143	M	1955-08-24	27
4144	F	1955-09-11	27
4145	F	1922-12-02	73
4146	F	1955-06-13	9
4147	M	1972-12-23	64
4148	F	1968-02-08	64
4149	M	1979-03-07	1
4150	F	1977-08-10	1
4151	F	1926-07-17	73
4152	M	1927-06-07	73
4153	M	1956-04-12	32
4154	F	1953-10-25	32
4155	M	1923-05-13	1
4156	F	1962-11-02	5
4157	M	1972-05-09	1
4158	F	1920-07-10	35
4159	M	1913-12-06	35
4160	F	1969-06-27	16
4161	F	1972-09-09	22
4163	M	1951-06-07	4
4164	F	1924-10-22	45
4165	M	1955-03-13	53
4166	M	1947-02-26	1
4167	F	1949-05-31	6
4169	F	1980-02-19	58
4170	M	1983-08-27	58
4171	M	1980-05-18	1
4172	F	1945-04-29	1
4173	F	1978-06-04	52
4174	M	1927-02-11	63
4175	F	1965-01-06	13
4176	M	1922-08-31	32
4177	M	1935-12-25	34
4178	M	1926-08-31	32
4179	M	1920-07-29	54
4180	M	1932-06-17	63
4181	F	1964-05-15	76
4182	M	1941-06-23	16
4183	F	1940-11-13	16
4184	F	1975-04-26	8
4185	F	1964-04-23	51
4186	M	1978-10-14	38
4187	F	1967-08-28	25
4188	M	1976-08-17	1
4189	M	1941-12-07	64
4190	M	1942-11-17	17
4191	F	1957-01-06	32
4192	M	1931-11-21	72
4193	F	1937-02-28	8
4194	F	1940-01-03	63
4195	M	1945-07-30	63
4196	F	1951-01-16	55
4198	F	1954-10-17	23
4199	M	1961-12-19	23
4201	M	1977-07-19	3
4202	F	1970-05-20	3
4203	F	1967-01-08	1
4204	M	1960-06-03	1
4205	M	1935-02-05	30
4206	M	1942-10-09	22
4207	M	1938-03-02	70
4209	F	1933-02-23	70
4210	M	1979-09-15	40
4211	F	1973-04-17	22
4212	M	1945-05-27	53
4213	F	1925-06-27	64
4214	M	1921-07-03	64
4215	F	1952-06-08	49
4217	F	1951-06-25	9
4218	F	1939-10-06	48
4219	F	1944-01-04	51
4220	M	1963-09-15	33
4221	F	1941-09-26	63
4222	M	1928-08-16	60
4223	M	1970-05-30	54
4224	F	1977-04-03	42
4225	M	1977-08-08	76
4226	M	1957-04-08	31
4227	F	1963-12-24	51
4229	M	1961-10-05	36
4230	F	1961-11-11	74
4231	F	1959-08-08	1
4232	M	1971-02-15	70
4233	M	1938-02-15	46
4234	F	1972-11-08	70
4235	F	1975-11-15	9
4236	F	1962-01-17	42
4237	F	1923-07-31	16
4238	F	1971-04-26	41
4239	M	1920-12-11	70
4240	F	1960-10-21	46
4241	F	1950-03-30	20
4242	M	1954-04-27	20
4243	M	1958-01-26	7
4244	F	1922-08-12	68
4245	M	1919-09-23	68
4246	F	1980-09-09	36
4247	F	1975-01-16	26
4248	F	1975-05-07	9
4249	M	1977-05-21	52
4250	F	1961-09-06	72
4251	M	1960-04-26	44
4252	F	1953-05-28	44
4253	F	1936-05-19	16
4254	M	1972-03-05	65
4255	F	1925-06-28	66
4256	M	1957-03-29	70
4257	F	1968-06-29	1
4258	F	1966-05-11	44
4259	F	1949-06-16	10
4260	M	1967-06-01	12
4261	F	1924-08-04	34
4262	F	1925-04-24	59
4263	F	1972-06-26	73
4264	F	1971-06-21	74
4265	M	1978-01-19	59
4266	F	1974-01-26	1
4267	F	1936-04-21	24
4268	M	1928-06-11	24
4269	F	1955-09-07	45
4270	F	1972-02-05	58
4271	M	1964-07-23	58
4272	F	1978-08-30	42
4273	F	1976-11-29	18
4274	F	1937-05-24	70
4275	F	1957-06-26	49
4276	F	1973-08-05	74
4277	M	1979-11-05	74
4278	M	1949-11-18	33
4279	M	1949-10-13	51
4280	F	1944-01-08	55
4281	M	1931-04-13	54
4282	M	1932-06-09	3
4283	M	1924-09-05	27
4284	M	1946-11-26	68
4285	F	1945-12-28	68
4286	F	1965-09-28	6
4287	F	1953-10-07	62
4288	F	1946-03-08	70
4289	M	1981-11-23	66
4290	M	1947-03-09	32
4291	F	1951-05-07	58
4292	M	1952-07-19	72
4293	F	1959-12-16	4
4294	M	1956-06-22	4
4295	M	1960-03-16	18
4296	M	1925-11-06	57
4297	F	1928-10-16	57
4298	M	1920-04-18	33
4299	F	1977-09-15	50
4300	F	1977-11-15	1
4301	F	1956-05-03	14
4302	F	1944-01-04	30
4303	F	1978-03-05	21
4304	F	1945-06-15	5
4305	F	1939-06-21	40
4306	M	1940-10-17	40
4307	M	1977-04-14	1
4308	F	1970-01-10	44
4309	F	1979-04-26	39
4310	F	1925-05-30	65
4311	M	1981-04-12	59
4312	F	1979-10-20	72
4313	F	1968-02-21	53
4314	F	1925-05-24	58
4315	F	1959-04-25	74
4316	F	1943-08-26	1
4317	F	1978-10-11	53
4318	F	1942-09-11	43
4319	M	1946-11-06	43
4320	F	1958-11-04	66
4321	F	1973-10-18	19
4322	M	1970-10-01	19
4323	M	1924-03-20	40
4324	F	1918-07-22	40
4325	M	1947-07-19	55
4326	M	1930-09-20	1
4327	F	1937-08-23	1
4328	F	1976-06-13	59
4329	F	1947-05-18	64
4330	M	1921-07-02	33
4331	M	1959-09-03	5
4332	M	1936-01-11	57
4333	M	1958-04-20	1
4334	F	1954-02-19	1
4335	F	1924-12-25	54
4336	F	1969-08-02	19
4337	M	1966-04-21	48
4338	M	1944-10-25	30
4339	F	1977-09-15	59
4340	F	1949-07-18	1
4341	M	1964-05-01	76
4342	F	1918-04-07	63
4343	F	1929-08-09	27
4344	M	1925-06-15	54
4345	F	1974-09-29	18
4346	F	1973-09-20	3
4347	F	1926-06-20	54
4348	F	1978-04-17	3
4349	F	1959-08-22	1
4350	M	1966-08-20	1
4352	M	1971-07-24	72
4353	F	1979-09-19	28
4354	M	1986-08-13	28
4355	F	1938-12-29	1
4358	M	1942-10-24	70
4359	M	1950-08-02	64
4360	F	1965-07-10	19
4361	M	1955-05-04	46
4362	M	1943-09-16	50
4363	F	1951-07-01	50
4364	M	1977-12-05	22
4365	M	1961-05-12	10
4367	M	1982-03-30	14
4368	F	1977-10-21	32
4369	M	1965-06-15	53
4370	M	1939-06-28	59
4371	M	1968-12-12	32
4372	M	1933-10-11	3
4373	M	1951-12-20	51
4376	M	1954-03-05	70
4377	M	1978-01-31	48
4380	M	1931-05-13	1
4381	M	1959-01-25	56
4382	M	1980-10-20	18
4383	M	1963-08-01	21
4384	F	1973-01-12	10
4385	F	1972-10-02	21
4386	F	1945-12-27	53
4387	M	1946-02-18	52
4388	F	1936-09-16	4
4389	F	1926-07-01	10
4390	F	1972-04-29	7
4393	F	1941-09-11	1
4394	F	1975-12-30	64
4395	F	1958-05-16	36
4396	F	1974-11-07	63
4397	M	1973-11-26	63
4398	M	1958-07-23	77
4399	F	1967-11-20	61
4400	F	1959-08-29	54
4401	M	1968-07-20	8
4402	M	1929-04-11	23
4403	F	1938-10-19	36
4404	F	1951-04-09	31
4405	F	1959-04-17	47
4406	M	1954-11-01	1
4407	M	1975-07-06	70
4408	M	1923-05-19	62
4409	F	1928-01-22	62
4410	F	1976-01-12	24
4411	M	1950-01-02	54
4412	F	1952-11-26	54
4413	M	1977-05-04	74
4414	M	1933-06-19	50
4415	M	1977-07-09	4
4416	M	1970-12-25	67
4417	M	1976-04-24	1
4418	M	1970-05-19	28
4420	M	1957-05-06	55
4421	F	1944-06-27	1
4422	F	1943-07-31	76
4423	M	1918-05-24	27
4424	M	1933-05-06	21
4425	F	1936-10-15	21
4426	F	1969-09-13	26
4427	M	1940-11-03	30
4428	M	1954-03-09	38
4429	M	1945-04-02	64
4430	F	1938-06-27	64
4431	M	1930-09-30	58
4432	F	1964-03-14	1
4433	M	1968-02-22	1
4434	M	1964-03-29	64
4435	F	1965-10-30	64
4436	M	1920-04-28	27
4437	F	1961-10-26	70
4438	M	1957-12-04	70
4439	M	1975-03-25	70
4440	M	1948-12-26	33
4441	F	1943-10-07	33
4442	F	1921-04-29	23
4444	M	1969-03-28	77
4445	F	1964-04-14	77
4446	F	1950-10-11	71
4447	M	1957-08-16	71
4448	F	1942-05-02	72
4449	M	1949-11-08	8
4450	F	1949-01-05	67
4451	F	1927-10-19	50
4452	F	1924-06-08	70
4453	F	1976-05-29	61
4454	M	1976-02-09	61
4455	M	1976-07-29	70
4456	M	1936-10-23	30
4457	M	1943-01-17	1
4458	F	1950-12-23	22
4459	F	1962-05-21	1
4460	M	1957-02-24	1
4461	F	1957-04-22	54
4462	M	1977-09-13	1
4463	M	1923-08-17	76
4464	M	1964-11-19	53
4465	M	1937-06-02	74
4466	F	1922-10-07	75
4467	F	1944-11-17	20
4468	M	1944-05-04	20
4469	F	1973-02-28	8
4471	F	1975-06-11	64
4472	M	1965-07-25	74
4473	M	1944-12-27	1
4474	F	1964-12-09	3
4476	M	1927-01-13	3
4477	M	1957-01-18	74
4478	F	1952-05-14	74
4479	F	1958-07-24	2
4480	M	1963-03-30	74
4481	M	1975-06-16	1
4482	M	1979-01-17	56
4483	F	1966-08-29	63
4484	M	1955-04-11	37
4485	M	1919-07-20	36
4486	F	1914-06-14	36
4487	M	1974-08-14	22
4488	F	1971-04-03	22
4489	M	1948-03-24	76
4490	F	1956-02-18	76
4491	F	1977-07-13	2
4492	F	1965-09-08	16
4493	M	1947-10-05	33
4494	M	1952-11-09	54
4495	M	1979-04-11	66
4496	M	1971-02-19	10
4497	F	1964-09-14	10
4498	M	1931-12-28	31
4499	F	1929-09-28	31
4500	M	1924-08-12	17
4501	F	1947-03-18	70
4502	M	1932-01-10	21
4503	F	1928-05-28	21
4504	F	1965-11-24	33
4505	M	1966-07-06	33
4506	F	1954-11-30	11
4507	M	1970-08-03	1
4508	M	1921-11-14	54
4509	F	1920-03-12	54
4510	F	1938-12-28	34
4511	F	1945-04-27	51
4512	M	1963-10-19	1
4514	M	1940-12-25	65
4515	F	1920-09-28	59
4516	F	1961-09-27	1
4518	F	1952-04-04	39
4519	F	1951-10-31	70
4520	F	1957-06-28	1
4521	M	1943-09-09	1
4522	F	1950-11-01	68
4523	M	1952-03-09	68
4524	M	1957-07-14	77
4525	F	1964-07-17	77
4526	F	1970-04-24	70
4527	F	1963-02-04	1
4528	M	1922-01-09	28
4529	M	1976-09-16	37
4530	F	1984-09-18	37
4531	F	1964-06-25	64
4532	M	1953-10-09	39
4533	M	1980-01-29	64
4534	M	1954-12-24	38
4535	F	1931-12-03	1
4536	M	1947-10-14	41
4539	M	1942-12-12	55
4540	M	1936-01-16	69
4541	F	1971-03-02	32
4542	M	1954-02-06	29
4543	M	1941-12-01	1
4544	F	1955-06-13	52
4545	F	1936-01-20	3
4546	F	1951-04-20	23
4547	F	1943-12-30	9
4548	M	1958-01-05	7
4549	F	1920-10-30	10
4550	F	1942-10-17	72
4551	M	1924-04-29	60
4552	F	1919-02-28	60
4553	F	1945-02-23	1
4554	M	1937-07-24	70
4555	M	1960-08-07	52
4556	M	1970-05-31	74
4557	F	1932-10-24	44
4558	M	1928-09-27	44
4559	F	1958-03-09	35
4560	M	1963-10-20	9
4561	F	1968-06-29	40
4562	M	1965-10-11	25
4563	F	1971-07-25	10
4564	M	1975-08-25	10
4565	M	1948-03-03	14
4567	M	1937-02-12	70
4568	M	1982-04-26	70
4569	F	1971-07-09	6
4570	F	1939-11-03	1
4571	M	1967-11-07	1
4572	F	1936-05-21	28
4573	F	1955-10-12	5
4574	F	1966-11-12	20
4575	F	1964-09-20	36
4576	M	1958-06-27	53
4577	F	1949-07-25	64
4578	M	1976-12-27	15
4579	F	1939-07-01	74
4580	F	1944-11-24	30
4581	F	1956-06-16	1
4582	M	1918-10-12	44
4583	F	1941-08-24	61
4584	F	1949-06-24	7
4585	F	1948-09-10	9
4586	M	1951-08-13	9
4587	F	1978-05-06	36
4588	F	1976-11-05	53
4589	F	1976-09-15	2
4590	M	1936-03-17	1
4591	M	1933-08-19	43
4592	F	1955-03-29	1
4593	M	1932-07-03	72
4594	M	1940-11-25	1
4595	F	1940-11-29	1
4596	F	1973-08-31	74
4597	F	1952-05-19	1
4598	F	1941-04-12	25
4599	M	1947-12-05	25
4600	M	1967-03-13	70
4601	M	1935-04-02	1
4602	F	1934-04-04	1
4603	F	1946-07-26	69
4604	M	1968-10-02	67
4605	F	1980-09-09	18
4606	M	1937-10-14	8
4607	F	1976-11-16	74
4608	M	1945-01-18	41
4609	F	1976-12-19	7
4610	F	1966-01-02	34
4611	F	1953-05-10	1
4612	F	1960-09-23	44
4615	M	1951-07-31	56
4617	M	1977-12-20	45
4618	F	1972-03-27	45
4619	F	1941-02-20	77
4620	F	1940-11-01	54
4621	M	1946-02-10	54
4622	F	1972-05-25	50
4623	M	1967-05-09	68
4624	F	1966-05-24	48
4625	M	1967-03-04	48
4626	F	1947-11-24	3
4627	M	1942-03-24	1
4628	F	1938-05-31	1
4629	M	1923-05-10	76
4630	F	1915-09-27	76
4631	F	1933-04-01	8
4632	M	1928-04-18	1
4633	F	1980-10-31	62
4634	F	1940-03-09	67
4635	M	1936-02-28	67
4636	M	1977-09-22	48
4637	M	1969-02-13	61
4638	F	1968-02-26	33
4639	M	1980-05-16	20
4640	F	1956-05-07	75
4641	M	1958-02-12	33
4642	F	1960-08-03	33
4643	F	1969-07-21	1
4644	M	1931-01-19	20
4647	M	1978-08-20	8
4648	M	1964-01-24	33
4649	F	1928-06-25	45
4650	F	1965-07-15	54
4651	M	1979-01-24	2
4652	M	1962-02-26	53
4653	F	1946-12-18	4
4654	F	1950-02-15	2
4655	M	1947-10-14	2
4656	M	1942-09-16	1
4657	M	1941-09-13	15
4658	M	1935-10-11	33
4659	F	1959-04-14	50
4660	F	1975-07-06	60
4661	F	1944-05-11	1
4662	F	1927-02-10	1
4663	M	1942-10-29	72
4664	M	1921-08-05	38
4665	F	1926-08-27	9
4666	M	1928-06-12	9
4667	M	1941-04-26	25
4668	F	1938-06-25	25
4670	F	1968-08-14	51
4671	M	1972-07-27	51
4672	M	1949-08-28	44
4673	M	1952-08-16	69
4674	F	1978-12-27	59
4675	M	1975-10-02	23
4677	F	1921-09-29	3
4678	M	1968-12-06	21
4679	M	1948-01-31	20
4680	F	1979-05-24	72
4681	F	1949-10-08	1
4682	M	1953-08-11	1
4683	M	1956-08-02	51
4684	F	1953-03-05	1
4685	M	1964-07-14	62
4686	M	1944-07-02	39
4687	F	1947-12-19	16
4688	M	1940-09-11	16
4689	M	1963-04-26	50
4690	F	1962-08-26	66
4691	M	1964-01-28	66
4692	F	1955-04-06	76
4693	M	1943-03-02	42
4694	F	1943-04-15	42
4695	M	1925-12-11	52
4696	F	1933-04-12	52
4697	F	1957-09-25	27
4698	M	1963-03-31	45
4699	F	1963-11-12	13
4700	F	1937-06-15	70
4701	M	1941-06-28	22
4704	F	1955-04-29	12
4705	M	1955-09-12	1
4706	F	1943-07-11	58
4707	M	1940-11-05	58
4708	M	1950-07-14	18
4709	M	1978-04-16	54
4710	F	1961-05-09	52
4711	M	1955-07-23	52
4712	F	1960-06-06	37
4713	F	1918-11-04	13
4714	M	1911-08-20	13
4715	F	1976-08-12	15
4716	F	1933-08-02	10
4717	M	1944-08-09	32
4718	M	1932-11-22	2
4719	M	1937-02-18	23
4720	F	1946-05-06	33
4721	F	1956-03-21	65
4722	M	1972-01-28	8
4723	F	1941-02-06	1
4724	F	1973-10-14	53
4725	M	1945-11-17	34
4726	F	1952-07-04	34
4727	F	1970-11-23	74
4728	M	1970-10-31	74
4729	M	1945-07-07	18
4730	M	1920-05-04	68
4731	F	1973-02-11	52
4732	M	1918-03-17	70
4733	M	1955-07-17	1
4734	M	1925-03-21	72
4735	F	1922-10-23	72
4736	F	1943-05-28	56
4737	F	1981-06-01	24
4739	F	1960-03-08	37
4740	M	1977-06-12	28
4741	F	1929-07-29	74
4742	F	1949-04-13	61
4743	M	1956-09-25	61
4744	M	1929-12-18	6
4745	F	1948-08-04	68
4746	F	1941-07-20	39
4747	F	1922-04-27	76
4748	M	1928-01-26	76
4749	F	1948-01-19	57
4750	M	1962-04-04	70
4751	M	1973-01-08	35
4752	M	1939-10-09	7
4753	F	1934-02-18	7
4754	F	1939-12-28	27
4755	F	1954-09-05	71
4756	F	1950-01-08	22
4757	M	1945-10-09	22
4758	F	1973-01-09	50
4759	M	1980-02-21	50
4760	M	1935-03-27	70
4761	F	1934-11-28	70
4762	F	1971-02-13	76
4763	F	1944-02-23	77
4764	M	1979-10-15	54
4765	M	1935-03-06	48
4766	M	1967-05-27	22
4767	F	1918-09-21	26
4768	F	1960-04-03	1
4769	F	1923-01-23	22
4770	M	1924-12-13	22
4771	F	1961-01-07	64
4772	F	1950-01-29	6
4773	F	1952-06-13	33
4774	M	1951-08-14	59
4775	F	1948-07-22	59
4776	M	1974-12-22	1
4777	F	1929-06-23	64
4778	M	1922-03-07	64
4779	M	1978-02-10	52
4780	F	1972-02-01	54
4781	F	1966-08-15	9
4782	M	1966-12-28	25
4783	F	1978-10-16	31
4784	F	1920-12-08	42
4785	M	1921-10-06	42
4786	M	1938-08-16	54
4787	M	1962-03-12	36
4788	F	1980-04-27	39
4789	F	1940-09-26	24
4790	M	1946-02-09	75
4791	M	1936-02-15	51
4792	F	1957-05-25	20
4793	F	1946-02-15	55
4794	F	1945-11-16	20
4795	F	1925-09-18	74
4796	M	1928-03-11	7
4797	F	1940-09-03	59
4798	F	1962-01-02	37
4799	F	1946-03-20	75
4800	M	1953-08-14	75
4801	M	1978-11-25	23
4802	M	1971-07-06	75
4803	M	1945-08-07	45
4804	F	1930-02-07	51
4805	F	1935-03-13	1
4806	F	1944-02-01	19
4807	M	1948-12-28	25
4808	F	1981-11-24	23
4809	M	1930-11-01	19
4810	F	1935-01-26	19
4811	F	1971-03-26	77
4812	M	1925-06-26	1
4813	M	1968-10-25	43
4814	M	1962-02-28	54
4815	M	1970-09-17	15
4816	F	1974-03-04	15
4817	M	1969-09-04	12
4818	M	1932-03-13	1
4819	M	1964-04-13	62
4820	F	1969-09-19	2
4821	F	1939-06-08	35
4822	M	1945-10-13	35
4823	M	1982-04-16	7
4824	M	1940-03-05	54
4826	F	1977-12-27	25
4831	M	1958-08-14	27
4832	F	1957-01-09	56
4833	F	1971-02-28	30
4836	M	1952-12-31	49
4837	F	1967-03-13	56
4853	M	1939-03-01	58
4861	F	1977-11-01	57
4862	F	1943-11-23	1
4863	F	1974-03-02	1
4877	M	1957-02-19	45
4882	M	1978-12-21	36
4886	M	1979-12-09	23
4892	M	1969-03-08	26
4901	F	1950-05-08	72
4904	F	1961-04-19	38
4906	F	1976-10-19	64
4907	M	1974-05-31	64
4915	M	1963-07-19	40
4916	M	1939-01-09	52
4918	M	1968-05-06	11
4919	F	1951-05-26	49
4923	M	1962-07-02	66
4925	M	1951-06-18	45
4927	F	1955-03-16	72
4928	M	1976-02-09	9
4929	M	1943-07-30	74
4930	M	1981-07-30	1
4937	F	1960-11-09	54
4941	F	1979-02-25	60
4942	M	1959-07-05	38
4944	M	1982-04-07	58
4949	M	1982-10-20	54
4956	M	1946-10-10	6
4959	M	1979-04-25	77
4961	M	1982-07-31	54
4968	M	1938-05-26	50
4969	F	1968-07-20	64
4972	F	1977-07-13	70
4974	F	1962-06-30	5
4975	M	1961-10-21	5
4976	M	1981-01-18	36
4979	M	1937-06-28	7
4989	M	1935-09-04	28
4992	F	1972-07-14	55
4993	F	1973-06-27	1
4994	M	1978-06-21	1
5002	F	1977-07-17	65
5010	F	1950-09-08	42
5012	F	1972-09-22	27
5013	M	1980-09-15	1
5016	F	1946-01-05	1
5028	M	1976-04-10	28
5030	M	1980-01-15	1
5046	M	1937-08-22	1
5050	M	1951-01-19	62
5056	F	1957-02-04	67
5067	F	1975-09-10	21
5072	F	1981-03-24	1
5081	F	1961-10-31	1
5093	F	1949-04-12	55
5107	F	1947-10-06	50
5108	M	1944-05-22	50
5111	M	1959-12-12	50
5117	M	1975-03-21	52
5126	M	1965-04-03	43
5127	F	1975-04-05	33
5128	M	1963-12-24	70
5132	M	1967-10-21	51
5133	F	1959-08-10	66
5134	F	1967-07-19	58
5137	M	1979-05-05	5
5138	F	1974-08-05	45
5141	F	1953-05-19	54
5143	M	1973-03-09	77
5144	F	1966-06-07	77
5145	F	1950-10-31	26
5149	M	1962-12-18	15
5152	F	1975-09-09	43
5159	M	1964-12-02	39
5163	F	1957-10-28	43
5164	M	1971-11-30	9
5171	F	1956-09-23	64
5175	F	1949-09-18	63
5180	M	1943-12-20	1
5189	F	1961-01-10	74
5200	F	1960-04-23	33
5201	M	1954-04-19	33
5203	F	1945-09-08	61
5204	M	1963-01-22	47
5212	F	1946-10-12	72
5213	M	1980-10-10	1
5214	M	1976-09-12	47
5215	F	1973-10-15	47
5217	F	1940-07-16	74
5223	F	1977-01-11	2
5224	M	1949-07-24	29
5232	F	1948-04-06	74
5233	M	1967-10-30	66
5236	M	1978-06-03	25
5237	M	1977-08-03	1
5240	M	1940-02-17	74
5241	M	1978-06-26	63
5243	M	1970-04-18	2
5245	F	1942-03-18	38
5246	M	1982-05-15	70
5247	M	1943-04-14	47
5249	F	1971-01-05	5
5253	F	1946-10-07	69
5254	M	1948-09-16	69
5263	F	1962-02-27	1
5273	M	1959-01-10	39
5275	M	1950-05-21	28
5277	F	1968-11-07	44
5281	M	1941-12-24	73
5283	M	1982-03-10	17
5284	F	1971-09-24	51
5287	M	1971-01-02	77
5308	F	1974-07-09	41
5312	M	1947-01-08	71
5313	F	1947-01-16	71
5318	M	1968-03-28	74
5319	F	1964-09-23	74
5320	F	1951-04-07	17
5321	M	1950-02-01	17
5322	F	1956-03-13	73
5323	F	1976-02-17	14
5325	F	1970-09-18	66
5326	M	1967-08-12	66
5333	F	1967-05-29	39
5334	M	1935-12-29	48
5337	M	1961-05-02	1
5338	F	1966-05-25	1
5347	M	1949-03-31	41
5352	F	1976-08-18	40
5353	F	1967-05-22	48
5354	F	1967-01-05	30
5358	M	1942-08-31	54
5362	M	1939-12-09	47
5364	M	1964-03-14	62
5365	F	1971-05-01	62
5366	F	1971-09-20	60
5367	M	1979-06-06	60
5374	M	1947-11-26	63
5376	M	1970-01-23	14
5379	M	1978-03-20	60
5384	M	1935-07-21	73
5385	M	1974-02-01	67
5389	M	1968-08-31	17
5392	F	1955-03-28	16
5393	M	1955-12-03	4
5395	M	1962-06-01	45
5397	F	1969-07-30	72
5398	M	1967-03-23	72
5399	F	1972-12-27	24
5402	F	1968-05-29	30
5404	F	1976-09-18	58
5409	M	1948-03-25	15
5413	M	1946-04-10	33
5420	M	1935-07-19	61
5433	M	1975-09-24	50
5441	M	1957-01-25	18
5445	M	1952-09-16	69
5450	M	1940-08-28	8
5460	M	1961-10-01	63
5461	F	1968-09-20	9
5462	M	1963-09-08	9
5468	F	1944-05-27	68
5469	F	1979-03-02	63
5472	M	1956-05-10	53
5473	F	1968-08-09	70
5478	M	1945-10-27	33
5487	F	1947-09-17	56
5517	M	1964-03-13	57
5521	F	1973-05-15	9
5526	M	1947-03-19	27
5527	F	1941-11-28	27
5530	M	1953-03-29	12
5531	M	1979-05-15	4
5539	M	1935-06-05	74
5563	M	1976-01-01	1
5565	F	1966-12-22	3
5574	F	1970-09-12	9
5579	M	1951-02-16	77
5580	F	1952-03-01	77
5606	M	1980-08-06	4
5617	F	1958-08-01	56
5618	F	1953-03-22	63
5642	F	1957-11-04	70
5684	F	1955-03-02	8
5699	M	1950-10-08	73
5701	F	1959-11-22	2
5704	F	1975-10-09	66
5722	F	1959-10-07	64
5727	M	1953-02-24	54
5736	M	1953-05-16	1
5753	M	1948-05-23	39
5760	M	1948-05-08	66
5761	F	1941-05-11	66
5774	F	1960-01-15	46
5775	M	1955-03-10	46
5788	M	1962-05-04	72
5801	F	1979-12-10	26
5826	M	1968-09-09	15
5827	F	1975-01-28	15
5858	M	1952-07-17	52
5859	F	1945-01-29	52
5860	M	1964-04-22	47
5866	F	1978-04-03	67
5873	F	1979-04-06	5
5911	M	1935-10-03	14
5928	F	1970-09-10	42
5965	M	1951-04-10	50
5977	M	1979-05-31	43
5978	F	1944-01-27	33
6001	M	1937-05-01	60
6015	M	1973-11-21	54
6033	M	1966-05-27	1
6034	M	1939-08-15	20
6039	F	1958-07-03	1
6040	M	1963-04-10	1
6042	M	1963-10-12	53
6052	M	1949-04-06	40
6067	F	1950-03-13	70
6077	F	1980-04-30	54
6112	F	1958-12-28	43
6114	F	1940-02-15	66
6115	F	1953-12-25	13
6122	F	1968-02-16	6
6144	F	1956-12-19	54
6175	M	1964-05-17	72
6178	F	1940-10-15	1
6183	M	1963-11-16	1
6185	F	1948-03-05	58
6186	M	1952-05-27	58
6191	M	1952-12-24	74
6196	M	1943-03-09	68
6235	M	1940-04-04	5
6255	F	1946-01-01	54
6256	M	1941-05-21	54
6257	F	1942-08-20	75
6272	M	1942-10-10	1
6275	M	1956-12-30	13
6299	M	1936-08-09	1
6301	F	1949-03-08	55
6317	F	1957-01-27	77
6318	M	1950-03-05	77
6342	M	1954-06-04	8
6349	M	1972-12-03	72
6359	M	1976-07-06	64
6363	F	1973-10-20	4
6366	M	1966-02-21	49
6367	M	1970-04-28	44
6383	M	1970-01-07	15
6391	M	1952-01-30	34
6408	M	1956-06-29	47
6417	M	1950-01-07	40
6422	M	1960-09-23	28
6452	M	1942-07-17	64
6468	M	1944-02-23	70
6469	M	1953-03-16	4
6473	F	1940-09-30	76
6474	M	1934-11-30	76
6478	M	1951-05-20	3
6481	F	1958-12-24	1
6485	F	1962-05-21	48
6499	M	1963-02-01	44
6501	M	1970-11-04	1
6511	M	1953-08-07	47
6544	M	1974-08-04	66
6545	F	1978-09-09	66
6546	F	1963-08-22	1
6551	F	1948-08-12	24
6552	M	1955-02-21	71
6567	F	1978-11-21	5
6571	F	1971-03-24	72
6604	M	1948-07-26	72
6610	M	1954-06-03	57
6616	M	1953-06-18	1
6619	F	1943-12-18	43
6644	F	1959-09-06	1
6691	M	1942-10-15	43
6698	F	1952-07-13	43
6729	M	1957-12-27	15
6731	M	1943-11-26	13
6749	F	1943-09-29	9
6750	M	1946-06-04	9
6753	M	1962-05-23	15
6764	M	1944-04-12	19
6789	M	1979-03-26	57
6798	F	1948-08-03	61
6803	F	1980-12-07	5
6804	M	1981-06-07	5
6827	M	1969-04-28	59
6829	F	1963-12-24	10
6844	F	1971-09-05	53
6886	F	1942-03-13	66
6892	F	1951-03-22	1
6893	M	1944-01-14	1
6895	M	1971-06-24	42
6906	M	1949-09-25	64
6922	F	1939-04-27	14
6924	M	1967-08-23	17
6936	F	1959-02-27	52
6944	M	1970-03-13	43
6946	F	1970-01-29	74
6967	M	1953-12-17	44
6978	M	1965-04-05	38
6987	M	1968-01-29	1
7010	M	1967-06-30	70
7011	F	1961-04-14	70
7043	M	1940-06-30	77
7065	F	1971-07-07	5
7100	F	1961-09-23	30
7102	F	1967-07-20	75
7112	M	1961-06-24	76
7127	M	1957-09-29	3
7150	F	1963-09-16	45
7166	M	1964-05-13	15
7186	F	1944-06-01	27
7195	M	1962-09-11	50
7234	M	1965-08-04	28
7241	F	1957-09-06	57
7286	F	1970-02-10	47
7291	F	1940-12-02	77
7299	M	1938-09-16	1
7311	M	1949-05-18	56
7324	F	1963-03-18	1
7325	M	1975-01-24	24
7327	M	1959-05-22	49
7339	F	1974-02-28	19
7348	F	1977-10-26	6
7366	F	1973-04-12	29
7390	M	1937-11-04	1
7411	F	1963-01-25	54
7412	M	1955-10-17	54
7422	M	1958-11-26	74
7423	F	1964-09-08	74
7434	F	1942-04-04	34
7435	F	1957-04-16	67
7521	F	1960-02-09	74
7567	M	1937-03-15	5
7576	M	1962-07-10	38
7586	F	1973-01-28	56
7594	F	1949-04-07	64
7614	M	1977-03-05	64
7632	M	1948-01-11	1
7672	M	1953-04-05	26
7678	M	1962-04-07	3
7683	M	1946-04-01	12
7723	F	1966-06-14	48
7724	M	1968-02-23	48
7727	F	1958-06-13	31
7753	F	1978-09-23	70
7765	F	1958-02-24	1
7772	F	1976-12-30	1
7787	M	1951-07-10	34
7796	F	1975-09-27	50
7797	M	1970-07-30	50
7800	F	1957-08-30	16
7814	F	1976-01-06	61
7815	F	1946-01-19	4
7843	M	1966-05-11	6
7855	F	1964-01-30	7
7862	M	1965-10-17	74
7863	M	1959-03-12	72
7864	M	1935-12-14	34
7914	F	1966-10-24	38
7959	F	1978-06-29	1
7970	M	1967-11-20	74
7980	M	1976-08-08	16
8013	M	1942-06-22	43
8030	M	1967-07-19	1
8064	F	1966-11-29	54
8074	M	1958-10-07	61
8076	F	1950-07-27	16
8089	M	1965-04-06	35
8091	M	1971-02-10	5
8096	F	1979-11-02	38
8105	M	1963-03-12	72
8130	F	1976-05-08	62
8200	F	1944-05-31	1
8217	M	1978-08-02	69
8276	F	1979-06-08	43
8287	M	1936-09-26	14
8295	F	1951-01-23	15
8327	F	1945-08-31	48
8333	M	1966-02-01	60
8342	M	1979-07-30	76
8356	M	1969-09-04	3
8359	M	1979-12-06	74
8362	F	1975-09-15	74
8366	F	1960-05-21	41
8392	F	1966-05-08	36
8393	M	1966-05-06	36
8432	F	1968-01-06	38
8433	M	1961-09-11	38
8463	M	1947-09-04	75
8489	F	1952-12-27	75
8502	M	1943-04-19	51
8506	F	1979-12-25	69
8510	M	1947-05-24	55
8548	F	1945-05-10	57
8568	F	1971-12-03	1
8571	M	1935-10-26	54
8598	F	1957-12-31	46
8610	F	1948-05-02	55
8611	M	1948-10-26	55
8615	F	1939-04-13	12
8636	F	1941-11-12	71
8661	F	1954-05-11	1
8666	F	1971-08-28	7
8667	F	1967-02-12	77
8670	F	1943-01-07	5
8677	M	1955-08-14	49
8678	F	1962-07-12	49
8692	F	1953-07-07	71
8726	M	1953-08-10	10
8737	F	1948-04-11	17
8738	M	1948-07-10	17
8764	F	1940-07-07	70
8777	F	1953-04-11	11
9173	M	1945-02-04	1
9174	F	1940-10-09	1
9196	F	1939-04-23	21
9202	M	1962-02-09	68
9217	F	1940-01-30	19
9226	F	1939-12-25	64
9231	F	1972-09-24	29
9236	F	1956-05-07	31
9250	M	1963-01-14	1
9273	F	1955-08-26	39
9274	M	1958-04-05	39
9276	M	1946-11-06	4
9313	F	1960-04-17	9
9316	F	1958-10-26	63
9340	M	1967-08-22	54
9346	M	1972-12-10	43
9362	F	1973-07-19	56
9366	M	1975-06-26	72
9370	M	1975-12-20	59
9403	M	1974-03-22	16
9417	M	1949-03-08	21
9418	M	1950-04-10	1
9419	F	1950-11-09	1
9427	F	1970-11-09	62
9428	M	1965-05-09	62
9433	F	1945-03-22	72
9450	F	1943-10-11	68
9451	M	1942-05-05	68
9456	F	1941-12-07	40
9457	M	1978-09-26	46
9458	F	1973-11-21	46
9505	M	1958-08-21	1
9546	F	1955-11-02	50
9555	F	1947-05-15	13
9569	F	1950-07-18	19
9582	F	1942-04-14	2
9593	F	1968-01-28	74
9606	M	1949-02-16	52
9611	M	1958-05-27	23
9616	M	1962-09-19	74
9641	M	1945-01-26	64
9642	F	1937-09-03	64
9663	M	1945-09-24	19
9664	F	1944-11-13	19
9670	M	1948-05-04	38
9675	F	1970-02-19	60
9680	M	1977-08-21	36
9702	F	1951-11-16	33
9715	F	1977-11-30	35
9717	F	1952-11-10	52
9718	M	1959-02-03	52
9721	M	1954-12-05	34
9755	F	1951-06-05	23
9760	M	1969-02-17	27
9775	M	1960-06-23	70
9776	F	1961-03-05	70
9798	F	1950-03-02	69
9820	F	1968-01-21	59
9833	M	1964-09-21	51
9834	F	1960-03-17	51
9844	M	1945-08-03	55
9845	F	1943-06-15	55
9846	F	1967-07-01	54
9872	F	1967-03-17	9
9880	F	1970-12-10	10
9914	M	1942-12-08	36
9915	M	1967-07-10	27
9929	F	1967-07-19	47
9930	M	1972-06-23	9
9933	M	1941-10-15	74
9945	F	1968-04-14	31
9946	M	1960-04-20	31
9973	F	1945-10-03	24
9987	F	1950-06-19	73
9995	M	1958-07-07	54
9997	M	1962-06-07	67
10023	F	1973-03-20	59
10040	F	1968-10-30	37
10041	M	1968-04-17	37
10043	M	1965-10-29	45
10046	F	1946-09-17	5
10066	F	1963-05-23	64
10070	M	1974-04-23	9
10075	M	1964-07-01	48
10076	F	1969-12-25	26
10077	M	1973-06-27	26
10090	F	1980-03-14	29
10095	F	1976-02-06	1
10096	M	1978-01-05	1
10145	F	1965-07-25	4
10159	M	1938-01-06	50
10198	M	1976-05-24	31
10199	F	1979-08-13	31
10200	F	1980-02-16	13
10201	M	1985-10-19	13
10209	M	1975-10-27	59
10269	F	1940-05-11	70
10273	F	1958-09-27	51
10274	M	1956-10-11	51
10275	F	1970-01-25	77
10276	M	1976-11-16	77
10282	M	1979-06-19	1
10287	F	1962-09-03	48
10288	M	1959-06-07	48
10303	M	1962-04-05	64
10350	F	1961-09-14	29
10351	M	1958-11-10	29
10355	F	1976-07-10	14
10382	F	1965-02-17	20
10389	F	1943-08-15	20
10459	F	1964-08-09	17
10475	F	1948-08-28	51
10476	M	1950-12-04	51
10479	F	1955-10-20	2
10492	M	1937-11-11	70
10510	F	1945-01-26	23
10511	M	1950-01-15	23
10517	F	1980-09-12	54
10528	F	1952-02-16	47
10543	F	1945-02-23	14
10555	M	1935-12-15	1
10563	M	1949-01-07	68
10564	F	1954-03-19	68
10566	F	1942-11-09	74
10636	M	1971-08-03	64
10639	M	1954-01-29	2
10654	F	1962-07-16	46
10662	F	1949-08-25	60
10702	M	1938-05-03	17
10703	F	1943-04-28	17
10714	F	1946-03-31	66
10746	M	1971-08-04	53
10777	F	1980-01-27	70
10778	M	1976-03-19	70
10798	F	1980-03-23	1
10813	F	1979-05-13	1
10818	M	1972-08-04	64
10828	F	1957-11-23	1
10912	M	1963-01-09	15
10960	M	1942-02-20	28
10963	M	1944-06-15	1
10987	F	1961-10-03	62
10988	M	1964-06-13	62
10997	F	1972-02-06	1
10998	M	1967-12-19	1
11004	M	1947-11-16	63
11008	F	1969-05-19	51
11034	M	1972-02-19	1
11050	F	1957-05-04	70
11063	F	1955-11-04	64
11064	M	1953-07-09	64
11083	M	1953-10-17	61
11093	M	1959-01-29	40
11105	F	1957-02-01	70
11114	M	1952-07-26	1
11121	F	1971-04-10	72
11122	M	1979-06-10	72
11123	M	1948-01-29	47
11126	F	1965-01-22	1
11130	F	1961-04-08	1
11131	M	1957-07-26	1
11136	F	1944-07-27	3
11147	F	1972-07-12	5
11149	M	1965-07-14	43
11195	M	1953-12-05	58
11208	F	1957-03-05	10
11250	F	1946-09-23	26
11252	F	1965-12-08	32
11266	M	1938-09-25	9
11267	F	1936-08-26	9
11271	M	1937-12-08	18
11274	M	1969-04-14	64
11275	F	1963-04-18	64
11286	F	1940-11-27	56
11304	F	1960-10-20	28
11314	M	1936-06-02	45
11319	F	1942-04-14	1
11327	M	1947-10-21	72
11329	F	1961-01-31	69
11331	F	1944-12-14	70
11337	M	1969-04-03	29
11359	M	1972-08-20	11
11360	F	1972-04-19	11
11362	F	1966-01-11	51
11371	F	1941-11-04	37
11372	M	1961-09-28	11
11379	M	1952-05-28	74
11380	F	1951-04-06	74
11381	F	1979-07-26	57
11405	F	1964-07-29	68
11406	M	1970-11-15	68
11409	F	1980-05-02	32
11461	M	1974-07-08	70
11491	F	1958-05-16	36
11497	F	1959-07-17	11
11516	M	1938-11-09	59
11517	F	1940-05-21	59
11545	F	1966-01-22	1
11574	F	1944-04-20	1
11596	F	1940-12-04	70
11598	F	1977-09-23	54
11609	M	1957-02-11	59
11637	M	1951-06-12	73
11638	F	1954-08-24	73
11662	M	1972-04-03	76
11676	F	1943-03-12	5
11683	M	1980-01-28	7
11685	F	1965-07-23	64
11686	F	1948-10-18	21
11687	M	1945-01-23	21
11701	M	1949-04-14	9
11709	M	1961-08-03	1
11710	F	1967-06-19	1
11713	F	1951-04-11	59
11714	M	1945-07-04	59
11732	F	1957-05-20	19
11754	M	1966-11-03	62
11755	F	1945-07-16	4
11768	F	1971-09-12	1
11794	F	1970-10-07	31
11795	M	1977-02-23	31
11804	M	1944-12-12	74
11851	M	1970-04-02	65
11855	M	1957-12-01	11
11857	M	1952-08-26	70
11860	F	1925-08-30	70
11866	M	1937-09-02	1
11867	F	1934-11-19	1
11873	F	1963-11-20	38
11874	M	1969-01-19	1
11875	F	1967-06-23	1
11886	F	1941-09-13	61
11906	M	1944-12-03	76
11907	F	1945-11-16	76
11911	M	1939-10-24	8
11943	M	1961-07-09	1
11947	M	1964-05-29	70
11976	F	1939-10-27	54
11977	M	1944-07-01	54
11978	M	1971-10-09	54
11979	F	1977-12-09	54
12003	M	1976-06-23	74
12050	M	1943-05-30	52
12051	F	1936-09-30	52
12079	F	1972-08-12	64
12092	M	1977-05-15	68
12095	M	1939-02-27	47
12102	F	1968-09-07	21
12133	F	1964-06-26	27
12144	M	1980-11-23	2
12145	F	1982-06-25	2
12163	M	1954-06-16	1
12181	M	1961-08-19	1
12220	F	1971-11-12	60
12221	M	1971-02-24	60
12303	F	1974-04-05	24
12308	M	1978-11-29	64
12324	M	1978-03-06	8
12325	M	1964-10-30	8
12328	F	1944-04-08	1
12344	F	1940-06-20	26
12358	M	1943-07-05	17
12359	F	1935-10-13	17
12376	M	1959-02-17	4
12378	F	1946-08-27	76
12382	M	1955-11-29	1
12383	F	1963-05-13	1
12396	F	1970-01-17	62
12397	M	1973-06-02	62
12416	M	1973-05-30	1
12417	F	1974-01-03	1
12432	M	1965-03-07	55
12464	M	1959-12-17	39
12468	M	1969-07-04	22
12485	F	1965-04-10	34
12490	M	1980-08-14	34
12547	F	1963-10-13	70
12561	M	1966-06-20	38
12568	F	1956-03-01	44
12577	F	1950-05-05	62
12586	M	1947-01-30	27
12599	M	1956-01-01	44
12616	F	1965-01-26	27
12625	M	1958-12-07	54
12643	F	1962-07-20	69
12662	M	1953-06-01	14
12695	M	1979-03-16	68
12726	F	1945-08-09	8
12729	M	1968-03-21	36
12730	F	1964-09-29	36
12738	F	1960-10-29	23
12739	M	1958-01-17	23
12750	F	1940-05-25	21
12754	M	1960-08-20	55
12755	F	1959-11-01	55
12756	F	1949-01-21	22
12802	M	1969-08-12	1
12810	M	1964-10-14	39
12840	M	1939-07-27	60
12843	M	1953-05-05	66
12844	M	1946-10-15	45
12850	M	1955-08-26	72
12851	F	1957-09-27	72
12859	F	1976-05-21	1
12890	F	1958-01-20	70
12908	M	1941-03-12	12
12943	M	1970-10-12	55
12986	F	1973-05-08	40
12991	M	1947-01-16	51
13044	M	1976-03-01	52
13051	M	1965-01-13	55
13071	M	1956-02-18	41
13089	F	1979-02-14	16
13090	F	1980-04-18	2
13095	M	1950-03-16	76
13098	F	1978-12-15	1
13102	M	1949-04-15	8
13113	M	1976-11-25	11
13123	F	1978-02-17	56
13134	F	1962-11-03	1
13151	M	1958-12-22	73
13171	F	1950-06-26	19
13172	M	1938-10-19	36
13190	M	1956-11-28	71
13201	M	1937-05-17	31
13231	M	1959-07-01	1
13246	F	1942-01-13	46
13260	F	1977-05-27	72
13261	M	1944-08-01	75
13262	F	1938-02-09	75
13276	M	1977-01-20	76
13285	M	1935-12-25	34
13290	M	1941-06-23	16
13291	F	1940-11-13	16
13346	M	1956-04-15	50
13380	M	1942-09-18	65
13404	M	1966-09-25	48
13405	M	1958-08-13	32
13406	F	1978-04-18	42
13412	M	1954-03-20	1
13417	F	1951-11-17	25
13447	F	1970-05-05	13
13448	M	1968-07-08	13
13451	F	1955-11-18	44
13468	M	1960-10-31	25
13469	F	1955-12-08	25
13480	M	1953-06-01	16
13490	F	1969-05-25	18
13539	M	1978-09-07	63
13548	M	1976-03-18	1
13556	M	1958-07-19	32
13576	M	1974-07-07	72
13588	M	1974-01-29	46
13590	M	1977-08-03	59
13603	M	1941-07-28	46
13608	F	1963-05-15	37
13620	M	1970-07-26	16
13640	F	1955-06-09	28
13657	F	1963-05-12	59
13658	M	1957-04-23	59
13673	M	1971-02-20	39
13687	M	1959-05-23	75
13690	M	1963-05-16	70
13694	F	1976-01-20	1
13750	F	1980-11-13	12
13751	M	1979-07-20	12
13803	M	1947-11-14	1
13820	F	1948-07-31	33
13845	M	1973-02-16	15
13852	M	1972-01-26	5
13886	F	1954-04-12	44
13912	M	1975-11-20	50
13915	M	1974-11-23	77
13921	F	1970-12-20	62
13923	F	1979-02-22	7
13924	F	1952-09-09	54
13931	M	1942-01-01	8
13955	F	1945-10-30	1
13956	M	1943-04-06	1
13968	M	1968-04-13	61
13971	F	1962-10-19	67
13998	F	1953-08-12	74
\.


--
-- Data for Name: disp; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial.disp (disp_id, client_id, account_id, type) FROM stdin;
1	1	1	OWNER
2	2	2	OWNER
3	3	2	DISPONENT
4	4	3	OWNER
5	5	3	DISPONENT
6	6	4	OWNER
7	7	5	OWNER
8	8	6	OWNER
9	9	7	OWNER
10	10	8	OWNER
11	11	8	DISPONENT
12	12	9	OWNER
13	13	10	OWNER
14	14	11	OWNER
15	15	12	OWNER
16	16	12	DISPONENT
17	17	13	OWNER
18	18	13	DISPONENT
19	19	14	OWNER
20	20	15	OWNER
21	21	16	OWNER
22	22	17	OWNER
23	23	17	DISPONENT
24	24	18	OWNER
25	25	19	OWNER
26	26	20	OWNER
27	27	21	OWNER
28	28	22	OWNER
29	29	23	OWNER
30	30	24	OWNER
31	31	25	OWNER
32	32	26	OWNER
33	33	27	OWNER
36	36	29	OWNER
37	37	29	DISPONENT
38	38	30	OWNER
39	39	31	OWNER
40	40	32	OWNER
41	41	33	OWNER
42	42	34	OWNER
43	43	35	OWNER
44	44	36	OWNER
45	45	37	OWNER
46	46	38	OWNER
47	47	39	OWNER
48	48	40	OWNER
49	49	41	OWNER
50	50	42	OWNER
51	51	43	OWNER
52	52	44	OWNER
53	53	45	OWNER
55	55	47	OWNER
56	56	48	OWNER
57	57	48	DISPONENT
58	58	49	OWNER
59	59	50	OWNER
60	60	51	OWNER
61	61	52	OWNER
62	62	53	OWNER
63	63	54	OWNER
64	64	55	OWNER
65	65	56	OWNER
66	66	57	OWNER
67	67	58	OWNER
68	68	59	OWNER
70	70	61	OWNER
71	71	61	DISPONENT
72	72	62	OWNER
73	73	63	OWNER
74	74	63	DISPONENT
75	75	64	OWNER
76	76	65	OWNER
77	77	66	OWNER
78	78	67	OWNER
79	79	68	OWNER
80	80	69	OWNER
81	81	70	OWNER
82	82	70	DISPONENT
83	83	71	OWNER
84	84	71	DISPONENT
85	85	72	OWNER
86	86	72	DISPONENT
87	87	73	OWNER
89	89	75	OWNER
90	90	76	OWNER
91	91	77	OWNER
92	92	78	OWNER
93	93	79	OWNER
94	94	80	OWNER
95	95	80	DISPONENT
96	96	81	OWNER
97	97	82	OWNER
98	98	83	OWNER
99	99	83	DISPONENT
100	100	84	OWNER
101	101	85	OWNER
102	102	86	OWNER
103	103	86	DISPONENT
105	105	88	OWNER
106	106	89	OWNER
107	107	90	OWNER
108	108	91	OWNER
110	110	93	OWNER
112	112	95	OWNER
113	113	95	DISPONENT
114	114	96	OWNER
115	115	96	DISPONENT
116	116	97	OWNER
117	117	97	DISPONENT
118	118	98	OWNER
119	119	98	DISPONENT
120	120	99	OWNER
121	121	100	OWNER
122	122	101	OWNER
123	123	102	OWNER
124	124	103	OWNER
125	125	104	OWNER
126	126	104	DISPONENT
127	127	105	OWNER
128	128	106	OWNER
129	129	107	OWNER
130	130	108	OWNER
131	131	109	OWNER
132	132	110	OWNER
134	134	112	OWNER
135	135	112	DISPONENT
136	136	113	OWNER
137	137	114	OWNER
138	138	115	OWNER
139	139	116	OWNER
140	140	116	DISPONENT
141	141	117	OWNER
142	142	118	OWNER
143	143	119	OWNER
144	144	120	OWNER
145	145	121	OWNER
146	146	122	OWNER
147	147	123	OWNER
148	148	123	DISPONENT
149	149	124	OWNER
150	150	125	OWNER
151	151	126	OWNER
152	152	127	OWNER
153	153	128	OWNER
154	154	129	OWNER
155	155	129	DISPONENT
156	156	130	OWNER
157	157	131	OWNER
158	158	132	OWNER
159	159	132	DISPONENT
160	160	133	OWNER
161	161	134	OWNER
162	162	135	OWNER
163	163	136	OWNER
164	164	137	OWNER
165	165	138	OWNER
166	166	138	DISPONENT
167	167	139	OWNER
168	168	140	OWNER
169	169	141	OWNER
170	170	141	DISPONENT
171	171	142	OWNER
172	172	142	DISPONENT
173	173	143	OWNER
174	174	144	OWNER
175	175	145	OWNER
176	176	146	OWNER
178	178	148	OWNER
179	179	149	OWNER
180	180	150	OWNER
181	181	151	OWNER
182	182	151	DISPONENT
183	183	152	OWNER
184	184	152	DISPONENT
185	185	153	OWNER
186	186	154	OWNER
187	187	155	OWNER
188	188	156	OWNER
189	189	157	OWNER
190	190	158	OWNER
191	191	158	DISPONENT
192	192	159	OWNER
193	193	160	OWNER
194	194	161	OWNER
195	195	162	OWNER
196	196	162	DISPONENT
197	197	163	OWNER
198	198	164	OWNER
199	199	165	OWNER
200	200	165	DISPONENT
201	201	166	OWNER
202	202	167	OWNER
203	203	168	OWNER
204	204	168	DISPONENT
205	205	169	OWNER
206	206	170	OWNER
207	207	171	OWNER
208	208	172	OWNER
209	209	172	DISPONENT
210	210	173	OWNER
211	211	173	DISPONENT
212	212	174	OWNER
215	215	176	OWNER
216	216	177	OWNER
217	217	178	OWNER
218	218	179	OWNER
219	219	180	OWNER
221	221	181	OWNER
222	222	182	OWNER
223	223	183	OWNER
224	224	184	OWNER
225	225	185	OWNER
226	226	186	OWNER
227	227	187	OWNER
228	228	188	OWNER
229	229	189	OWNER
230	230	190	OWNER
231	231	191	OWNER
232	232	192	OWNER
233	233	193	OWNER
234	234	193	DISPONENT
235	235	194	OWNER
236	236	195	OWNER
237	237	195	DISPONENT
238	238	196	OWNER
239	239	197	OWNER
240	240	198	OWNER
241	241	199	OWNER
242	242	200	OWNER
243	243	201	OWNER
246	246	204	OWNER
247	247	205	OWNER
248	248	206	OWNER
249	249	206	DISPONENT
250	250	207	OWNER
251	251	208	OWNER
252	252	209	OWNER
253	253	210	OWNER
254	254	211	OWNER
255	255	212	OWNER
256	256	213	OWNER
257	257	214	OWNER
258	258	214	DISPONENT
259	259	215	OWNER
260	260	215	DISPONENT
261	261	216	OWNER
262	262	217	OWNER
263	263	218	OWNER
264	264	219	OWNER
265	265	220	OWNER
266	266	221	OWNER
267	267	222	OWNER
268	268	223	OWNER
269	269	224	OWNER
270	270	225	OWNER
271	271	225	DISPONENT
272	272	226	OWNER
273	273	227	OWNER
274	274	228	OWNER
275	275	229	OWNER
276	276	230	OWNER
277	277	230	DISPONENT
278	278	231	OWNER
279	279	231	DISPONENT
280	280	232	OWNER
282	282	234	OWNER
283	283	234	DISPONENT
284	284	235	OWNER
285	285	236	OWNER
286	286	236	DISPONENT
287	287	237	OWNER
288	288	238	OWNER
289	289	239	OWNER
290	290	240	OWNER
291	291	240	DISPONENT
292	292	241	OWNER
293	293	242	OWNER
294	294	243	OWNER
295	295	244	OWNER
296	296	245	OWNER
297	297	246	OWNER
298	298	246	DISPONENT
300	300	248	OWNER
301	301	249	OWNER
302	302	250	OWNER
303	303	251	OWNER
304	304	252	OWNER
305	305	253	OWNER
308	308	255	OWNER
309	309	256	OWNER
310	310	257	OWNER
311	311	258	OWNER
312	312	259	OWNER
313	313	260	OWNER
314	314	260	DISPONENT
315	315	261	OWNER
316	316	262	OWNER
317	317	263	OWNER
318	318	264	OWNER
319	319	265	OWNER
320	320	265	DISPONENT
321	321	266	OWNER
322	322	267	OWNER
323	323	267	DISPONENT
324	324	268	OWNER
325	325	269	OWNER
326	326	270	OWNER
327	327	270	DISPONENT
328	328	271	OWNER
329	329	272	OWNER
330	330	273	OWNER
331	331	274	OWNER
332	332	275	OWNER
333	333	276	OWNER
334	334	277	OWNER
335	335	278	OWNER
336	336	279	OWNER
337	337	279	DISPONENT
338	338	280	OWNER
339	339	281	OWNER
340	340	281	DISPONENT
341	341	282	OWNER
342	342	282	DISPONENT
343	343	283	OWNER
344	344	284	OWNER
345	345	285	OWNER
346	346	285	DISPONENT
347	347	286	OWNER
348	348	286	DISPONENT
349	349	287	OWNER
350	350	288	OWNER
351	351	289	OWNER
352	352	290	OWNER
353	353	291	OWNER
354	354	292	OWNER
355	355	292	DISPONENT
356	356	293	OWNER
357	357	293	DISPONENT
358	358	294	OWNER
359	359	295	OWNER
360	360	296	OWNER
361	361	297	OWNER
362	362	298	OWNER
363	363	298	DISPONENT
364	364	299	OWNER
365	365	300	OWNER
366	366	300	DISPONENT
367	367	301	OWNER
368	368	301	DISPONENT
369	369	302	OWNER
370	370	303	OWNER
371	371	304	OWNER
372	372	305	OWNER
373	373	306	OWNER
374	374	307	OWNER
375	375	308	OWNER
376	376	309	OWNER
378	378	311	OWNER
379	379	311	DISPONENT
380	380	312	OWNER
381	381	313	OWNER
382	382	313	DISPONENT
383	383	314	OWNER
384	384	314	DISPONENT
385	385	315	OWNER
386	386	316	OWNER
387	387	317	OWNER
388	388	318	OWNER
389	389	319	OWNER
390	390	320	OWNER
391	391	321	OWNER
392	392	322	OWNER
393	393	322	DISPONENT
394	394	323	OWNER
395	395	323	DISPONENT
396	396	324	OWNER
397	397	325	OWNER
398	398	326	OWNER
399	399	327	OWNER
400	400	328	OWNER
401	401	328	DISPONENT
402	402	329	OWNER
403	403	330	OWNER
404	404	330	DISPONENT
405	405	331	OWNER
406	406	332	OWNER
407	407	333	OWNER
408	408	334	OWNER
409	409	335	OWNER
410	410	336	OWNER
411	411	337	OWNER
412	412	337	DISPONENT
413	413	338	OWNER
414	414	339	OWNER
415	415	339	DISPONENT
416	416	340	OWNER
417	417	340	DISPONENT
418	418	341	OWNER
419	419	342	OWNER
420	420	343	OWNER
421	421	344	OWNER
422	422	345	OWNER
423	423	346	OWNER
424	424	347	OWNER
425	425	348	OWNER
426	426	349	OWNER
427	427	349	DISPONENT
428	428	350	OWNER
429	429	351	OWNER
430	430	352	OWNER
431	431	353	OWNER
432	432	354	OWNER
433	433	355	OWNER
434	434	356	OWNER
435	435	357	OWNER
436	436	358	OWNER
437	437	359	OWNER
438	438	360	OWNER
439	439	361	OWNER
440	440	362	OWNER
441	441	363	OWNER
442	442	364	OWNER
443	443	364	DISPONENT
444	444	365	OWNER
445	445	366	OWNER
446	446	366	DISPONENT
447	447	367	OWNER
448	448	368	OWNER
450	450	370	OWNER
451	451	371	OWNER
452	452	372	OWNER
453	453	373	OWNER
454	454	374	OWNER
455	455	375	OWNER
456	456	376	OWNER
457	457	377	OWNER
458	458	378	OWNER
459	459	379	OWNER
461	461	381	OWNER
462	462	382	OWNER
463	463	383	OWNER
464	464	384	OWNER
465	465	385	OWNER
466	466	386	OWNER
467	467	386	DISPONENT
468	468	387	OWNER
469	469	388	OWNER
470	470	389	OWNER
471	471	390	OWNER
472	472	391	OWNER
473	473	392	OWNER
474	474	393	OWNER
476	476	395	OWNER
477	477	395	DISPONENT
478	478	396	OWNER
479	479	397	OWNER
480	480	397	DISPONENT
481	481	398	OWNER
482	482	398	DISPONENT
483	483	399	OWNER
484	484	400	OWNER
485	485	401	OWNER
486	486	402	OWNER
487	487	403	OWNER
488	488	403	DISPONENT
489	489	404	OWNER
490	490	405	OWNER
491	491	406	OWNER
492	492	407	OWNER
493	493	408	OWNER
494	494	409	OWNER
495	495	410	OWNER
496	496	411	OWNER
497	497	412	OWNER
498	498	412	DISPONENT
499	499	413	OWNER
500	500	414	OWNER
501	501	415	OWNER
502	502	416	OWNER
503	503	417	OWNER
504	504	418	OWNER
505	505	419	OWNER
506	506	420	OWNER
507	507	421	OWNER
508	508	422	OWNER
509	509	423	OWNER
510	510	424	OWNER
511	511	425	OWNER
512	512	426	OWNER
513	513	427	OWNER
514	514	427	DISPONENT
515	515	428	OWNER
516	516	428	DISPONENT
517	517	429	OWNER
518	518	430	OWNER
519	519	431	OWNER
520	520	432	OWNER
521	521	433	OWNER
522	522	434	OWNER
523	523	435	OWNER
524	524	436	OWNER
525	525	436	DISPONENT
526	526	437	OWNER
527	527	437	DISPONENT
528	528	438	OWNER
529	529	439	OWNER
530	530	440	OWNER
531	531	441	OWNER
532	532	441	DISPONENT
533	533	442	OWNER
534	534	443	OWNER
535	535	444	OWNER
536	536	445	OWNER
537	537	446	OWNER
538	538	447	OWNER
540	540	449	OWNER
541	541	449	DISPONENT
542	542	450	OWNER
543	543	451	OWNER
544	544	452	OWNER
545	545	453	OWNER
546	546	454	OWNER
547	547	455	OWNER
548	548	456	OWNER
550	550	458	OWNER
551	551	459	OWNER
552	552	460	OWNER
553	553	460	DISPONENT
554	554	461	OWNER
555	555	461	DISPONENT
556	556	462	OWNER
557	557	463	OWNER
558	558	464	OWNER
559	559	465	OWNER
560	560	466	OWNER
561	561	467	OWNER
562	562	468	OWNER
563	563	469	OWNER
564	564	469	DISPONENT
565	565	470	OWNER
566	566	471	OWNER
567	567	471	DISPONENT
568	568	472	OWNER
569	569	473	OWNER
570	570	474	OWNER
571	571	475	OWNER
572	572	475	DISPONENT
573	573	476	OWNER
574	574	477	OWNER
575	575	478	OWNER
576	576	478	DISPONENT
577	577	479	OWNER
578	578	480	OWNER
579	579	481	OWNER
581	581	483	OWNER
582	582	484	OWNER
583	583	485	OWNER
584	584	486	OWNER
585	585	487	OWNER
586	586	487	DISPONENT
587	587	488	OWNER
588	588	489	OWNER
589	589	490	OWNER
590	590	491	OWNER
591	591	492	OWNER
592	592	493	OWNER
593	593	494	OWNER
596	596	496	OWNER
597	597	497	OWNER
598	598	498	OWNER
599	599	498	DISPONENT
601	601	500	OWNER
602	602	500	DISPONENT
603	603	501	OWNER
604	604	502	OWNER
605	605	503	OWNER
606	606	504	OWNER
607	607	505	OWNER
608	608	506	OWNER
609	609	507	OWNER
610	610	508	OWNER
611	611	509	OWNER
612	612	509	DISPONENT
613	613	510	OWNER
614	614	511	OWNER
615	615	512	OWNER
616	616	513	OWNER
617	617	514	OWNER
618	618	515	OWNER
619	619	516	OWNER
620	620	516	DISPONENT
621	621	517	OWNER
622	622	518	OWNER
623	623	519	OWNER
624	624	519	DISPONENT
625	625	520	OWNER
626	626	521	OWNER
627	627	522	OWNER
628	628	522	DISPONENT
629	629	523	OWNER
630	630	524	OWNER
631	631	525	OWNER
632	632	526	OWNER
633	633	526	DISPONENT
635	635	528	OWNER
636	636	528	DISPONENT
637	637	529	OWNER
638	638	530	OWNER
639	639	531	OWNER
640	640	532	OWNER
641	641	533	OWNER
642	642	533	DISPONENT
643	643	534	OWNER
644	644	535	OWNER
645	645	536	OWNER
646	646	537	OWNER
647	647	537	DISPONENT
648	648	538	OWNER
649	649	539	OWNER
651	651	540	OWNER
652	652	541	OWNER
653	653	542	OWNER
654	654	543	OWNER
655	655	544	OWNER
656	656	545	OWNER
657	657	546	OWNER
658	658	546	DISPONENT
659	659	547	OWNER
660	660	548	OWNER
661	661	548	DISPONENT
662	662	549	OWNER
663	663	550	OWNER
664	664	551	OWNER
665	665	552	OWNER
666	666	553	OWNER
667	667	554	OWNER
668	668	555	OWNER
669	669	556	OWNER
670	670	557	OWNER
671	671	558	OWNER
672	672	559	OWNER
673	673	560	OWNER
674	674	561	OWNER
675	675	562	OWNER
676	676	563	OWNER
677	677	564	OWNER
678	678	565	OWNER
679	679	566	OWNER
680	680	566	DISPONENT
681	681	567	OWNER
682	682	568	OWNER
683	683	569	OWNER
684	684	570	OWNER
685	685	571	OWNER
686	686	572	OWNER
687	687	572	DISPONENT
688	688	573	OWNER
689	689	574	OWNER
690	690	575	OWNER
691	691	575	DISPONENT
692	692	576	OWNER
693	693	576	DISPONENT
694	694	577	OWNER
695	695	578	OWNER
696	696	578	DISPONENT
697	697	579	OWNER
698	698	580	OWNER
699	699	581	OWNER
700	700	582	OWNER
702	702	584	OWNER
703	703	585	OWNER
704	704	586	OWNER
705	705	587	OWNER
706	706	588	OWNER
707	707	589	OWNER
708	708	590	OWNER
709	709	591	OWNER
710	710	592	OWNER
711	711	593	OWNER
712	712	594	OWNER
713	713	595	OWNER
714	714	596	OWNER
715	715	597	OWNER
716	716	598	OWNER
717	717	599	OWNER
718	718	599	DISPONENT
719	719	600	OWNER
720	720	601	OWNER
721	721	602	OWNER
722	722	603	OWNER
723	723	604	OWNER
724	724	605	OWNER
725	725	606	OWNER
726	726	607	OWNER
727	727	608	OWNER
728	728	608	DISPONENT
729	729	609	OWNER
730	730	609	DISPONENT
731	731	610	OWNER
732	732	610	DISPONENT
733	733	611	OWNER
734	734	611	DISPONENT
735	735	612	OWNER
736	736	612	DISPONENT
737	737	613	OWNER
738	738	614	OWNER
739	739	615	OWNER
740	740	616	OWNER
741	741	617	OWNER
742	742	618	OWNER
743	743	619	OWNER
744	744	620	OWNER
745	745	621	OWNER
746	746	621	DISPONENT
747	747	622	OWNER
748	748	623	OWNER
749	749	623	DISPONENT
750	750	624	OWNER
751	751	625	OWNER
752	752	626	OWNER
753	753	626	DISPONENT
754	754	627	OWNER
755	755	628	OWNER
756	756	629	OWNER
757	757	630	OWNER
758	758	631	OWNER
759	759	632	OWNER
760	760	633	OWNER
762	762	635	OWNER
763	763	636	OWNER
764	764	637	OWNER
765	765	638	OWNER
766	766	639	OWNER
767	767	639	DISPONENT
768	768	640	OWNER
769	769	641	OWNER
772	772	643	OWNER
773	773	644	OWNER
774	774	645	OWNER
775	775	646	OWNER
776	776	647	OWNER
777	777	647	DISPONENT
778	778	648	OWNER
779	779	649	OWNER
780	780	650	OWNER
781	781	651	OWNER
782	782	652	OWNER
783	783	653	OWNER
784	784	653	DISPONENT
785	785	654	OWNER
786	786	655	OWNER
787	787	656	OWNER
788	788	657	OWNER
789	789	658	OWNER
790	790	659	OWNER
791	791	660	OWNER
793	793	662	OWNER
794	794	662	DISPONENT
796	796	664	OWNER
797	797	665	OWNER
798	798	666	OWNER
799	799	666	DISPONENT
803	803	669	OWNER
804	804	669	DISPONENT
806	806	671	OWNER
807	807	672	OWNER
808	808	673	OWNER
809	809	674	OWNER
810	810	675	OWNER
811	811	675	DISPONENT
812	812	676	OWNER
813	813	677	OWNER
814	814	678	OWNER
815	815	679	OWNER
816	816	680	OWNER
818	818	682	OWNER
819	819	683	OWNER
820	820	683	DISPONENT
821	821	684	OWNER
822	822	685	OWNER
823	823	686	OWNER
824	824	687	OWNER
825	825	688	OWNER
826	826	689	OWNER
827	827	690	OWNER
828	828	690	DISPONENT
829	829	691	OWNER
830	830	692	OWNER
831	831	693	OWNER
832	832	694	OWNER
833	833	695	OWNER
834	834	696	OWNER
835	835	697	OWNER
836	836	697	DISPONENT
837	837	698	OWNER
838	838	698	DISPONENT
839	839	699	OWNER
840	840	700	OWNER
841	841	701	OWNER
842	842	702	OWNER
843	843	703	OWNER
844	844	704	OWNER
845	845	704	DISPONENT
846	846	705	OWNER
847	847	706	OWNER
849	849	708	OWNER
850	850	709	OWNER
851	851	710	OWNER
852	852	710	DISPONENT
853	853	711	OWNER
854	854	712	OWNER
855	855	713	OWNER
856	856	714	OWNER
857	857	715	OWNER
858	858	716	OWNER
859	859	717	OWNER
860	860	717	DISPONENT
861	861	718	OWNER
862	862	719	OWNER
863	863	720	OWNER
864	864	721	OWNER
865	865	721	DISPONENT
866	866	722	OWNER
870	870	725	OWNER
871	871	726	OWNER
872	872	727	OWNER
873	873	728	OWNER
874	874	729	OWNER
875	875	729	DISPONENT
876	876	730	OWNER
877	877	731	OWNER
878	878	731	DISPONENT
879	879	732	OWNER
880	880	733	OWNER
881	881	734	OWNER
882	882	735	OWNER
883	883	736	OWNER
884	884	736	DISPONENT
885	885	737	OWNER
886	886	738	OWNER
887	887	739	OWNER
888	888	740	OWNER
889	889	741	OWNER
890	890	742	OWNER
891	891	743	OWNER
892	892	744	OWNER
893	893	745	OWNER
894	894	746	OWNER
895	895	747	OWNER
896	896	748	OWNER
897	897	748	DISPONENT
898	898	749	OWNER
899	899	749	DISPONENT
900	900	750	OWNER
901	901	751	OWNER
902	902	752	OWNER
903	903	753	OWNER
904	904	754	OWNER
905	905	755	OWNER
906	906	756	OWNER
907	907	757	OWNER
908	908	758	OWNER
909	909	759	OWNER
910	910	760	OWNER
911	911	761	OWNER
912	912	762	OWNER
913	913	763	OWNER
914	914	764	OWNER
915	915	765	OWNER
916	916	766	OWNER
917	917	767	OWNER
918	918	768	OWNER
921	921	770	OWNER
922	922	771	OWNER
923	923	771	DISPONENT
924	924	772	OWNER
925	925	773	OWNER
926	926	774	OWNER
927	927	775	OWNER
928	928	776	OWNER
929	929	777	OWNER
930	930	778	OWNER
931	931	779	OWNER
932	932	780	OWNER
933	933	781	OWNER
934	934	781	DISPONENT
935	935	782	OWNER
936	936	782	DISPONENT
937	937	783	OWNER
938	938	784	OWNER
939	939	785	OWNER
940	940	786	OWNER
941	941	787	OWNER
942	942	788	OWNER
943	943	788	DISPONENT
944	944	789	OWNER
945	945	789	DISPONENT
946	946	790	OWNER
948	948	791	OWNER
949	949	792	OWNER
950	950	793	OWNER
951	951	793	DISPONENT
952	952	794	OWNER
953	953	795	OWNER
954	954	796	OWNER
955	955	797	OWNER
956	956	798	OWNER
957	957	799	OWNER
958	958	799	DISPONENT
959	959	800	OWNER
960	960	801	OWNER
961	961	802	OWNER
962	962	803	OWNER
963	963	804	OWNER
964	964	805	OWNER
965	965	806	OWNER
966	966	806	DISPONENT
967	967	807	OWNER
968	968	808	OWNER
970	970	809	OWNER
971	971	810	OWNER
972	972	810	DISPONENT
973	973	811	OWNER
974	974	811	DISPONENT
975	975	812	OWNER
976	976	813	OWNER
977	977	814	OWNER
978	978	815	OWNER
979	979	815	DISPONENT
980	980	816	OWNER
981	981	817	OWNER
984	984	819	OWNER
985	985	819	DISPONENT
986	986	820	OWNER
987	987	821	OWNER
988	988	822	OWNER
989	989	822	DISPONENT
990	990	823	OWNER
991	991	824	OWNER
992	992	825	OWNER
993	993	826	OWNER
994	994	827	OWNER
995	995	827	DISPONENT
996	996	828	OWNER
997	997	829	OWNER
998	998	829	DISPONENT
999	999	830	OWNER
1000	1000	830	DISPONENT
1001	1001	831	OWNER
1002	1002	832	OWNER
1003	1003	833	OWNER
1004	1004	834	OWNER
1006	1006	836	OWNER
1007	1007	836	DISPONENT
1008	1008	837	OWNER
1009	1009	838	OWNER
1010	1010	838	DISPONENT
1011	1011	839	OWNER
1012	1012	840	OWNER
1013	1013	840	DISPONENT
1014	1014	841	OWNER
1015	1015	842	OWNER
1016	1016	842	DISPONENT
1017	1017	843	OWNER
1018	1018	844	OWNER
1019	1019	845	OWNER
1020	1020	846	OWNER
1021	1021	847	OWNER
1022	1022	848	OWNER
1023	1023	849	OWNER
1024	1024	850	OWNER
1025	1025	851	OWNER
1026	1026	852	OWNER
1027	1027	853	OWNER
1028	1028	853	DISPONENT
1029	1029	854	OWNER
1030	1030	855	OWNER
1031	1031	856	OWNER
1032	1032	857	OWNER
1033	1033	857	DISPONENT
1034	1034	858	OWNER
1035	1035	859	OWNER
1036	1036	859	DISPONENT
1037	1037	860	OWNER
1038	1038	861	OWNER
1039	1039	862	OWNER
1040	1040	863	OWNER
1041	1041	864	OWNER
1042	1042	865	OWNER
1043	1043	865	DISPONENT
1044	1044	866	OWNER
1045	1045	867	OWNER
1046	1046	868	OWNER
1047	1047	869	OWNER
1048	1048	870	OWNER
1049	1049	871	OWNER
1050	1050	872	OWNER
1051	1051	873	OWNER
1052	1052	874	OWNER
1053	1053	874	DISPONENT
1054	1054	875	OWNER
1055	1055	876	OWNER
1056	1056	877	OWNER
1057	1057	878	OWNER
1058	1058	879	OWNER
1059	1059	880	OWNER
1060	1060	880	DISPONENT
1062	1062	882	OWNER
1063	1063	882	DISPONENT
1064	1064	883	OWNER
1065	1065	884	OWNER
1066	1066	885	OWNER
1067	1067	886	OWNER
1068	1068	887	OWNER
1069	1069	888	OWNER
1070	1070	888	DISPONENT
1071	1071	889	OWNER
1072	1072	890	OWNER
1073	1073	891	OWNER
1074	1074	891	DISPONENT
1075	1075	892	OWNER
1076	1076	893	OWNER
1077	1077	894	OWNER
1078	1078	895	OWNER
1079	1079	896	OWNER
1080	1080	897	OWNER
1081	1081	898	OWNER
1082	1082	899	OWNER
1083	1083	900	OWNER
1084	1084	900	DISPONENT
1085	1085	901	OWNER
1086	1086	902	OWNER
1087	1087	902	DISPONENT
1088	1088	903	OWNER
1089	1089	904	OWNER
1090	1090	905	OWNER
1091	1091	906	OWNER
1092	1092	907	OWNER
1093	1093	908	OWNER
1094	1094	909	OWNER
1095	1095	909	DISPONENT
1096	1096	910	OWNER
1097	1097	910	DISPONENT
1098	1098	911	OWNER
1099	1099	912	OWNER
1100	1100	913	OWNER
1101	1101	914	OWNER
1102	1102	915	OWNER
1103	1103	916	OWNER
1104	1104	916	DISPONENT
1105	1105	917	OWNER
1106	1106	917	DISPONENT
1107	1107	918	OWNER
1108	1108	919	OWNER
1109	1109	920	OWNER
1110	1110	921	OWNER
1111	1111	922	OWNER
1112	1112	923	OWNER
1113	1113	924	OWNER
1114	1114	925	OWNER
1115	1115	926	OWNER
1116	1116	927	OWNER
1117	1117	928	OWNER
1118	1118	928	DISPONENT
1119	1119	929	OWNER
1120	1120	930	OWNER
1121	1121	931	OWNER
1122	1122	932	OWNER
1123	1123	932	DISPONENT
1124	1124	933	OWNER
1125	1125	934	OWNER
1126	1126	934	DISPONENT
1127	1127	935	OWNER
1128	1128	936	OWNER
1129	1129	937	OWNER
1130	1130	938	OWNER
1131	1131	939	OWNER
1132	1132	939	DISPONENT
1133	1133	940	OWNER
1134	1134	940	DISPONENT
1135	1135	941	OWNER
1136	1136	942	OWNER
1137	1137	943	OWNER
1138	1138	944	OWNER
1139	1139	944	DISPONENT
1140	1140	945	OWNER
1141	1141	946	OWNER
1142	1142	947	OWNER
1143	1143	947	DISPONENT
1145	1145	949	OWNER
1146	1146	950	OWNER
1147	1147	951	OWNER
1148	1148	952	OWNER
1149	1149	953	OWNER
1150	1150	954	OWNER
1151	1151	955	OWNER
1152	1152	956	OWNER
1153	1153	957	OWNER
1154	1154	958	OWNER
1155	1155	958	DISPONENT
1156	1156	959	OWNER
1157	1157	960	OWNER
1158	1158	961	OWNER
1159	1159	962	OWNER
1160	1160	962	DISPONENT
1161	1161	963	OWNER
1162	1162	964	OWNER
1163	1163	965	OWNER
1164	1164	966	OWNER
1165	1165	967	OWNER
1166	1166	968	OWNER
1167	1167	968	DISPONENT
1168	1168	969	OWNER
1169	1169	970	OWNER
1170	1170	971	OWNER
1171	1171	972	OWNER
1172	1172	973	OWNER
1173	1173	973	DISPONENT
1174	1174	974	OWNER
1175	1175	975	OWNER
1176	1176	975	DISPONENT
1177	1177	976	OWNER
1178	1178	977	OWNER
1179	1179	978	OWNER
1180	1180	979	OWNER
1181	1181	980	OWNER
1182	1182	981	OWNER
1183	1183	982	OWNER
1186	1186	984	OWNER
1187	1187	985	OWNER
1188	1188	985	DISPONENT
1189	1189	986	OWNER
1190	1190	987	OWNER
1191	1191	987	DISPONENT
1192	1192	988	OWNER
1193	1193	989	OWNER
1194	1194	990	OWNER
1195	1195	991	OWNER
1196	1196	992	OWNER
1197	1197	993	OWNER
1198	1198	994	OWNER
1199	1199	995	OWNER
1200	1200	996	OWNER
1201	1201	997	OWNER
1202	1202	998	OWNER
1204	1204	1000	OWNER
1206	1206	1002	OWNER
1207	1207	1003	OWNER
1208	1208	1004	OWNER
1209	1209	1005	OWNER
1210	1210	1006	OWNER
1211	1211	1007	OWNER
1212	1212	1008	OWNER
1213	1213	1009	OWNER
1214	1214	1010	OWNER
1215	1215	1011	OWNER
1216	1216	1012	OWNER
1217	1217	1013	OWNER
1218	1218	1014	OWNER
1219	1219	1015	OWNER
1220	1220	1016	OWNER
1221	1221	1017	OWNER
1222	1222	1018	OWNER
1223	1223	1019	OWNER
1224	1224	1020	OWNER
1225	1225	1021	OWNER
1226	1226	1022	OWNER
1227	1227	1022	DISPONENT
1228	1228	1023	OWNER
1229	1229	1024	OWNER
1231	1231	1026	OWNER
1232	1232	1026	DISPONENT
1233	1233	1027	OWNER
1234	1234	1028	OWNER
1235	1235	1028	DISPONENT
1236	1236	1029	OWNER
1237	1237	1030	OWNER
1238	1238	1031	OWNER
1239	1239	1032	OWNER
1240	1240	1033	OWNER
1241	1241	1034	OWNER
1242	1242	1035	OWNER
1243	1243	1036	OWNER
1244	1244	1037	OWNER
1245	1245	1038	OWNER
1246	1246	1039	OWNER
1247	1247	1039	DISPONENT
1248	1248	1040	OWNER
1250	1250	1042	OWNER
1251	1251	1043	OWNER
1252	1252	1043	DISPONENT
1253	1253	1044	OWNER
1254	1254	1045	OWNER
1255	1255	1046	OWNER
1256	1256	1047	OWNER
1257	1257	1048	OWNER
1258	1258	1048	DISPONENT
1259	1259	1049	OWNER
1260	1260	1050	OWNER
1261	1261	1050	DISPONENT
1262	1262	1051	OWNER
1263	1263	1051	DISPONENT
1264	1264	1052	OWNER
1265	1265	1053	OWNER
1266	1266	1054	OWNER
1267	1267	1055	OWNER
1268	1268	1055	DISPONENT
1269	1269	1056	OWNER
1270	1270	1057	OWNER
1271	1271	1058	OWNER
1272	1272	1059	OWNER
1273	1273	1060	OWNER
1274	1274	1061	OWNER
1275	1275	1062	OWNER
1276	1276	1063	OWNER
1277	1277	1064	OWNER
1278	1278	1065	OWNER
1279	1279	1066	OWNER
1280	1280	1067	OWNER
1281	1281	1067	DISPONENT
1282	1282	1068	OWNER
1283	1283	1069	OWNER
1284	1284	1069	DISPONENT
1285	1285	1070	OWNER
1286	1286	1071	OWNER
1287	1287	1072	OWNER
1288	1288	1073	OWNER
1289	1289	1074	OWNER
1290	1290	1075	OWNER
1291	1291	1076	OWNER
1292	1292	1077	OWNER
1293	1293	1078	OWNER
1294	1294	1078	DISPONENT
1295	1295	1079	OWNER
1296	1296	1080	OWNER
1297	1297	1081	OWNER
1298	1298	1081	DISPONENT
1299	1299	1082	OWNER
1300	1300	1083	OWNER
1303	1303	1085	OWNER
1304	1304	1086	OWNER
1305	1305	1087	OWNER
1306	1306	1088	OWNER
1307	1307	1089	OWNER
1308	1308	1090	OWNER
1309	1309	1091	OWNER
1310	1310	1092	OWNER
1311	1311	1093	OWNER
1312	1312	1094	OWNER
1313	1313	1095	OWNER
1314	1314	1095	DISPONENT
1315	1315	1096	OWNER
1316	1316	1097	OWNER
1317	1317	1097	DISPONENT
1318	1318	1098	OWNER
1321	1321	1100	OWNER
1322	1322	1101	OWNER
1323	1323	1102	OWNER
1324	1324	1103	OWNER
1325	1325	1104	OWNER
1326	1326	1105	OWNER
1327	1327	1106	OWNER
1328	1328	1107	OWNER
1329	1329	1108	OWNER
1330	1330	1109	OWNER
1331	1331	1110	OWNER
1332	1332	1111	OWNER
1333	1333	1112	OWNER
1334	1334	1113	OWNER
1335	1335	1114	OWNER
1336	1336	1114	DISPONENT
1337	1337	1115	OWNER
1338	1338	1115	DISPONENT
1339	1339	1116	OWNER
1340	1340	1117	OWNER
1341	1341	1118	OWNER
1343	1343	1120	OWNER
1344	1344	1120	DISPONENT
1345	1345	1121	OWNER
1346	1346	1122	OWNER
1347	1347	1123	OWNER
1348	1348	1123	DISPONENT
1349	1349	1124	OWNER
1350	1350	1125	OWNER
1351	1351	1125	DISPONENT
1352	1352	1126	OWNER
1353	1353	1127	OWNER
1354	1354	1128	OWNER
1355	1355	1129	OWNER
1356	1356	1130	OWNER
1359	1359	1132	OWNER
1360	1360	1132	DISPONENT
1361	1361	1133	OWNER
1362	1362	1133	DISPONENT
1363	1363	1134	OWNER
1364	1364	1135	OWNER
1365	1365	1135	DISPONENT
1366	1366	1136	OWNER
1367	1367	1137	OWNER
1368	1368	1137	DISPONENT
1369	1369	1138	OWNER
1370	1370	1139	OWNER
1371	1371	1140	OWNER
1372	1372	1141	OWNER
1373	1373	1142	OWNER
1375	1375	1144	OWNER
1376	1376	1145	OWNER
1377	1377	1145	DISPONENT
1378	1378	1146	OWNER
1379	1379	1146	DISPONENT
1380	1380	1147	OWNER
1382	1382	1149	OWNER
1383	1383	1150	OWNER
1384	1384	1151	OWNER
1385	1385	1152	OWNER
1386	1386	1152	DISPONENT
1387	1387	1153	OWNER
1388	1388	1154	OWNER
1389	1389	1155	OWNER
1390	1390	1156	OWNER
1391	1391	1157	OWNER
1392	1392	1158	OWNER
1393	1393	1158	DISPONENT
1394	1394	1159	OWNER
1395	1395	1159	DISPONENT
1396	1396	1160	OWNER
1397	1397	1161	OWNER
1401	1401	1164	OWNER
1402	1402	1165	OWNER
1403	1403	1165	DISPONENT
1404	1404	1166	OWNER
1406	1406	1168	OWNER
1407	1407	1168	DISPONENT
1408	1408	1169	OWNER
1409	1409	1170	OWNER
1410	1410	1171	OWNER
1411	1411	1171	DISPONENT
1412	1412	1172	OWNER
1413	1413	1173	OWNER
1414	1414	1174	OWNER
1416	1416	1176	OWNER
1417	1417	1177	OWNER
1418	1418	1178	OWNER
1419	1419	1179	OWNER
1420	1420	1179	DISPONENT
1421	1421	1180	OWNER
1422	1422	1181	OWNER
1423	1423	1181	DISPONENT
1424	1424	1182	OWNER
1425	1425	1183	OWNER
1426	1426	1183	DISPONENT
1427	1427	1184	OWNER
1428	1428	1185	OWNER
1429	1429	1185	DISPONENT
1430	1430	1186	OWNER
1431	1431	1187	OWNER
1432	1432	1188	OWNER
1433	1433	1189	OWNER
1434	1434	1189	DISPONENT
1435	1435	1190	OWNER
1438	1438	1192	OWNER
1439	1439	1193	OWNER
1440	1440	1194	OWNER
1441	1441	1195	OWNER
1442	1442	1195	DISPONENT
1443	1443	1196	OWNER
1444	1444	1196	DISPONENT
1445	1445	1197	OWNER
1446	1446	1198	OWNER
1447	1447	1198	DISPONENT
1448	1448	1199	OWNER
1449	1449	1200	OWNER
1450	1450	1201	OWNER
1452	1452	1203	OWNER
1453	1453	1204	OWNER
1454	1454	1205	OWNER
1455	1455	1205	DISPONENT
1456	1456	1206	OWNER
1457	1457	1206	DISPONENT
1458	1458	1207	OWNER
1459	1459	1208	OWNER
1460	1460	1209	OWNER
1461	1461	1210	OWNER
1462	1462	1211	OWNER
1463	1463	1212	OWNER
1464	1464	1213	OWNER
1465	1465	1213	DISPONENT
1466	1466	1214	OWNER
1467	1467	1215	OWNER
1468	1468	1216	OWNER
1469	1469	1217	OWNER
1470	1470	1218	OWNER
1471	1471	1218	DISPONENT
1472	1472	1219	OWNER
1473	1473	1220	OWNER
1474	1474	1221	OWNER
1475	1475	1222	OWNER
1476	1476	1223	OWNER
1478	1478	1225	OWNER
1479	1479	1226	OWNER
1480	1480	1227	OWNER
1481	1481	1228	OWNER
1482	1482	1229	OWNER
1483	1483	1230	OWNER
1484	1484	1230	DISPONENT
1485	1485	1231	OWNER
1486	1486	1231	DISPONENT
1487	1487	1232	OWNER
1488	1488	1233	OWNER
1489	1489	1234	OWNER
1490	1490	1235	OWNER
1491	1491	1236	OWNER
1492	1492	1237	OWNER
1493	1493	1238	OWNER
1494	1494	1238	DISPONENT
1495	1495	1239	OWNER
1496	1496	1240	OWNER
1497	1497	1241	OWNER
1498	1498	1241	DISPONENT
1499	1499	1242	OWNER
1500	1500	1243	OWNER
1501	1501	1244	OWNER
1502	1502	1245	OWNER
1503	1503	1246	OWNER
1504	1504	1246	DISPONENT
1505	1505	1247	OWNER
1506	1506	1248	OWNER
1507	1507	1248	DISPONENT
1508	1508	1249	OWNER
1509	1509	1250	OWNER
1510	1510	1251	OWNER
1511	1511	1252	OWNER
1512	1512	1253	OWNER
1513	1513	1254	OWNER
1514	1514	1255	OWNER
1516	1516	1256	OWNER
1517	1517	1257	OWNER
1518	1518	1258	OWNER
1519	1519	1258	DISPONENT
1520	1520	1259	OWNER
1521	1521	1260	OWNER
1522	1522	1261	OWNER
1523	1523	1262	OWNER
1524	1524	1263	OWNER
1525	1525	1264	OWNER
1526	1526	1264	DISPONENT
1527	1527	1265	OWNER
1528	1528	1266	OWNER
1529	1529	1267	OWNER
1530	1530	1268	OWNER
1531	1531	1269	OWNER
1532	1532	1269	DISPONENT
1533	1533	1270	OWNER
1534	1534	1271	OWNER
1535	1535	1272	OWNER
1536	1536	1273	OWNER
1537	1537	1274	OWNER
1539	1539	1275	OWNER
1540	1540	1276	OWNER
1541	1541	1276	DISPONENT
1542	1542	1277	OWNER
1543	1543	1277	DISPONENT
1546	1546	1279	OWNER
1547	1547	1279	DISPONENT
1548	1548	1280	OWNER
1549	1549	1280	DISPONENT
1550	1550	1281	OWNER
1554	1554	1284	OWNER
1555	1555	1285	OWNER
1556	1556	1286	OWNER
1557	1557	1287	OWNER
1558	1558	1288	OWNER
1559	1559	1289	OWNER
1561	1561	1291	OWNER
1562	1562	1291	DISPONENT
1563	1563	1292	OWNER
1564	1564	1293	OWNER
1565	1565	1294	OWNER
1566	1566	1295	OWNER
1567	1567	1296	OWNER
1568	1568	1296	DISPONENT
1569	1569	1297	OWNER
1570	1570	1297	DISPONENT
1571	1571	1298	OWNER
1572	1572	1299	OWNER
1574	1574	1301	OWNER
1575	1575	1302	OWNER
1576	1576	1302	DISPONENT
1577	1577	1303	OWNER
1578	1578	1304	OWNER
1579	1579	1305	OWNER
1580	1580	1306	OWNER
1581	1581	1307	OWNER
1582	1582	1308	OWNER
1583	1583	1309	OWNER
1584	1584	1310	OWNER
1585	1585	1311	OWNER
1586	1586	1311	DISPONENT
1587	1587	1312	OWNER
1588	1588	1313	OWNER
1589	1589	1314	OWNER
1590	1590	1315	OWNER
1591	1591	1316	OWNER
1592	1592	1317	OWNER
1593	1593	1317	DISPONENT
1594	1594	1318	OWNER
1595	1595	1319	OWNER
1596	1596	1320	OWNER
1597	1597	1321	OWNER
1598	1598	1322	OWNER
1599	1599	1323	OWNER
1600	1600	1323	DISPONENT
1601	1601	1324	OWNER
1602	1602	1324	DISPONENT
1603	1603	1325	OWNER
1604	1604	1325	DISPONENT
1605	1605	1326	OWNER
1606	1606	1327	OWNER
1607	1607	1328	OWNER
1608	1608	1329	OWNER
1609	1609	1329	DISPONENT
1610	1610	1330	OWNER
1611	1611	1331	OWNER
1612	1612	1331	DISPONENT
1613	1613	1332	OWNER
1614	1614	1333	OWNER
1615	1615	1334	OWNER
1616	1616	1335	OWNER
1617	1617	1336	OWNER
1618	1618	1337	OWNER
1619	1619	1338	OWNER
1620	1620	1338	DISPONENT
1621	1621	1339	OWNER
1622	1622	1340	OWNER
1623	1623	1341	OWNER
1624	1624	1342	OWNER
1625	1625	1342	DISPONENT
1628	1628	1344	OWNER
1629	1629	1345	OWNER
1630	1630	1345	DISPONENT
1631	1631	1346	OWNER
1632	1632	1347	OWNER
1633	1633	1348	OWNER
1634	1634	1348	DISPONENT
1635	1635	1349	OWNER
1636	1636	1349	DISPONENT
1637	1637	1350	OWNER
1638	1638	1351	OWNER
1639	1639	1352	OWNER
1640	1640	1353	OWNER
1641	1641	1354	OWNER
1642	1642	1355	OWNER
1643	1643	1356	OWNER
1644	1644	1357	OWNER
1645	1645	1358	OWNER
1646	1646	1359	OWNER
1647	1647	1360	OWNER
1648	1648	1361	OWNER
1649	1649	1361	DISPONENT
1650	1650	1362	OWNER
1651	1651	1363	OWNER
1653	1653	1365	OWNER
1654	1654	1366	OWNER
1655	1655	1367	OWNER
1656	1656	1368	OWNER
1657	1657	1369	OWNER
1658	1658	1370	OWNER
1659	1659	1371	OWNER
1660	1660	1372	OWNER
1661	1661	1373	OWNER
1662	1662	1374	OWNER
1663	1663	1375	OWNER
1664	1664	1376	OWNER
1665	1665	1376	DISPONENT
1666	1666	1377	OWNER
1667	1667	1377	DISPONENT
1668	1668	1378	OWNER
1669	1669	1379	OWNER
1670	1670	1380	OWNER
1671	1671	1381	OWNER
1672	1672	1381	DISPONENT
1673	1673	1382	OWNER
1674	1674	1383	OWNER
1675	1675	1384	OWNER
1676	1676	1385	OWNER
1677	1677	1385	DISPONENT
1679	1679	1387	OWNER
1680	1680	1388	OWNER
1681	1681	1389	OWNER
1682	1682	1390	OWNER
1683	1683	1391	OWNER
1684	1684	1391	DISPONENT
1685	1685	1392	OWNER
1686	1686	1393	OWNER
1687	1687	1393	DISPONENT
1688	1688	1394	OWNER
1689	1689	1395	OWNER
1690	1690	1396	OWNER
1691	1691	1397	OWNER
1692	1692	1398	OWNER
1693	1693	1399	OWNER
1694	1694	1399	DISPONENT
1696	1696	1401	OWNER
1697	1697	1402	OWNER
1698	1698	1402	DISPONENT
1699	1699	1403	OWNER
1700	1700	1404	OWNER
1701	1701	1404	DISPONENT
1702	1702	1405	OWNER
1703	1703	1406	OWNER
1704	1704	1406	DISPONENT
1705	1705	1407	OWNER
1706	1706	1407	DISPONENT
1707	1707	1408	OWNER
1709	1709	1410	OWNER
1710	1710	1411	OWNER
1711	1711	1412	OWNER
1712	1712	1412	DISPONENT
1713	1713	1413	OWNER
1714	1714	1414	OWNER
1717	1717	1416	OWNER
1718	1718	1417	OWNER
1719	1719	1418	OWNER
1720	1720	1419	OWNER
1721	1721	1419	DISPONENT
1722	1722	1420	OWNER
1723	1723	1421	OWNER
1724	1724	1422	OWNER
1725	1725	1423	OWNER
1726	1726	1423	DISPONENT
1727	1727	1424	OWNER
1728	1728	1424	DISPONENT
1729	1729	1425	OWNER
1730	1730	1426	OWNER
1731	1731	1427	OWNER
1733	1733	1429	OWNER
1734	1734	1430	OWNER
1735	1735	1430	DISPONENT
1736	1736	1431	OWNER
1737	1737	1432	OWNER
1738	1738	1432	DISPONENT
1741	1741	1434	OWNER
1742	1742	1435	OWNER
1743	1743	1436	OWNER
1744	1744	1437	OWNER
1745	1745	1438	OWNER
1746	1746	1439	OWNER
1747	1747	1439	DISPONENT
1748	1748	1440	OWNER
1749	1749	1441	OWNER
1750	1750	1442	OWNER
1751	1751	1443	OWNER
1752	1752	1444	OWNER
1753	1753	1445	OWNER
1754	1754	1446	OWNER
1755	1755	1447	OWNER
1756	1756	1448	OWNER
1757	1757	1448	DISPONENT
1758	1758	1449	OWNER
1759	1759	1450	OWNER
1760	1760	1451	OWNER
1761	1761	1452	OWNER
1762	1762	1453	OWNER
1763	1763	1454	OWNER
1764	1764	1455	OWNER
1765	1765	1456	OWNER
1768	1768	1458	OWNER
1769	1769	1459	OWNER
1770	1770	1459	DISPONENT
1771	1771	1460	OWNER
1772	1772	1461	OWNER
1774	1774	1463	OWNER
1775	1775	1464	OWNER
1776	1776	1465	OWNER
1777	1777	1466	OWNER
1778	1778	1466	DISPONENT
1779	1779	1467	OWNER
1780	1780	1468	OWNER
1781	1781	1469	OWNER
1782	1782	1470	OWNER
1783	1783	1471	OWNER
1784	1784	1472	OWNER
1785	1785	1473	OWNER
1786	1786	1474	OWNER
1787	1787	1474	DISPONENT
1788	1788	1475	OWNER
1789	1789	1476	OWNER
1790	1790	1477	OWNER
1791	1791	1478	OWNER
1792	1792	1479	OWNER
1793	1793	1480	OWNER
1794	1794	1481	OWNER
1795	1795	1482	OWNER
1796	1796	1483	OWNER
1797	1797	1483	DISPONENT
1798	1798	1484	OWNER
1799	1799	1485	OWNER
1800	1800	1486	OWNER
1801	1801	1487	OWNER
1802	1802	1487	DISPONENT
1803	1803	1488	OWNER
1806	1806	1490	OWNER
1807	1807	1491	OWNER
1808	1808	1491	DISPONENT
1809	1809	1492	OWNER
1810	1810	1493	OWNER
1811	1811	1494	OWNER
1812	1812	1495	OWNER
1813	1813	1495	DISPONENT
1814	1814	1496	OWNER
1815	1815	1497	OWNER
1816	1816	1498	OWNER
1817	1817	1499	OWNER
1818	1818	1499	DISPONENT
1819	1819	1500	OWNER
1820	1820	1501	OWNER
1821	1821	1502	OWNER
1822	1822	1503	OWNER
1823	1823	1504	OWNER
1824	1824	1505	OWNER
1825	1825	1506	OWNER
1826	1826	1507	OWNER
1827	1827	1507	DISPONENT
1828	1828	1508	OWNER
1829	1829	1509	OWNER
1830	1830	1510	OWNER
1831	1831	1511	OWNER
1832	1832	1512	OWNER
1833	1833	1513	OWNER
1834	1834	1514	OWNER
1835	1835	1514	DISPONENT
1836	1836	1515	OWNER
1837	1837	1516	OWNER
1838	1838	1516	DISPONENT
1839	1839	1517	OWNER
1840	1840	1517	DISPONENT
1841	1841	1518	OWNER
1842	1842	1519	OWNER
1843	1843	1520	OWNER
1844	1844	1521	OWNER
1845	1845	1521	DISPONENT
1846	1846	1522	OWNER
1847	1847	1523	OWNER
1848	1848	1524	OWNER
1849	1849	1525	OWNER
1850	1850	1526	OWNER
1851	1851	1527	OWNER
1852	1852	1528	OWNER
1853	1853	1529	OWNER
1854	1854	1530	OWNER
1856	1856	1532	OWNER
1857	1857	1532	DISPONENT
1860	1860	1534	OWNER
1861	1861	1535	OWNER
1862	1862	1536	OWNER
1863	1863	1537	OWNER
1864	1864	1538	OWNER
1865	1865	1538	DISPONENT
1866	1866	1539	OWNER
1867	1867	1540	OWNER
1868	1868	1541	OWNER
1869	1869	1542	OWNER
1870	1870	1542	DISPONENT
1871	1871	1543	OWNER
1872	1872	1544	OWNER
1873	1873	1544	DISPONENT
1874	1874	1545	OWNER
1875	1875	1546	OWNER
1876	1876	1547	OWNER
1877	1877	1548	OWNER
1878	1878	1548	DISPONENT
1879	1879	1549	OWNER
1880	1880	1550	OWNER
1881	1881	1551	OWNER
1882	1882	1551	DISPONENT
1883	1883	1552	OWNER
1884	1884	1553	OWNER
1885	1885	1554	OWNER
1886	1886	1555	OWNER
1887	1887	1556	OWNER
1888	1888	1557	OWNER
1889	1889	1558	OWNER
1890	1890	1559	OWNER
1891	1891	1560	OWNER
1892	1892	1561	OWNER
1893	1893	1561	DISPONENT
1894	1894	1562	OWNER
1895	1895	1563	OWNER
1896	1896	1564	OWNER
1897	1897	1565	OWNER
1898	1898	1566	OWNER
1899	1899	1567	OWNER
1900	1900	1568	OWNER
1901	1901	1568	DISPONENT
1903	1903	1570	OWNER
1904	1904	1571	OWNER
1905	1905	1572	OWNER
1906	1906	1573	OWNER
1907	1907	1574	OWNER
1908	1908	1575	OWNER
1909	1909	1576	OWNER
1910	1910	1577	OWNER
1911	1911	1578	OWNER
1912	1912	1579	OWNER
1913	1913	1580	OWNER
1914	1914	1581	OWNER
1915	1915	1581	DISPONENT
1916	1916	1582	OWNER
1917	1917	1583	OWNER
1919	1919	1584	OWNER
1920	1920	1585	OWNER
1921	1921	1586	OWNER
1922	1922	1586	DISPONENT
1923	1923	1587	OWNER
1924	1924	1588	OWNER
1925	1925	1589	OWNER
1926	1926	1589	DISPONENT
1927	1927	1590	OWNER
1928	1928	1590	DISPONENT
1929	1929	1591	OWNER
1930	1930	1592	OWNER
1931	1931	1593	OWNER
1932	1932	1594	OWNER
1934	1934	1596	OWNER
1935	1935	1597	OWNER
1936	1936	1598	OWNER
1937	1937	1598	DISPONENT
1938	1938	1599	OWNER
1939	1939	1600	OWNER
1940	1940	1600	DISPONENT
1941	1941	1601	OWNER
1942	1942	1601	DISPONENT
1943	1943	1602	OWNER
1944	1944	1603	OWNER
1945	1945	1604	OWNER
1946	1946	1605	OWNER
1947	1947	1606	OWNER
1948	1948	1607	OWNER
1949	1949	1607	DISPONENT
1950	1950	1608	OWNER
1951	1951	1609	OWNER
1952	1952	1610	OWNER
1953	1953	1610	DISPONENT
1954	1954	1611	OWNER
1955	1955	1612	OWNER
1956	1956	1613	OWNER
1957	1957	1614	OWNER
1958	1958	1614	DISPONENT
1959	1959	1615	OWNER
1960	1960	1616	OWNER
1961	1961	1617	OWNER
1962	1962	1618	OWNER
1963	1963	1619	OWNER
1964	1964	1620	OWNER
1965	1965	1621	OWNER
1966	1966	1622	OWNER
1967	1967	1623	OWNER
1968	1968	1623	DISPONENT
1969	1969	1624	OWNER
1970	1970	1625	OWNER
1971	1971	1626	OWNER
1972	1972	1627	OWNER
1973	1973	1628	OWNER
1974	1974	1629	OWNER
1975	1975	1629	DISPONENT
1976	1976	1630	OWNER
1977	1977	1631	OWNER
1978	1978	1632	OWNER
1979	1979	1633	OWNER
1980	1980	1634	OWNER
1981	1981	1635	OWNER
1982	1982	1636	OWNER
1983	1983	1636	DISPONENT
1984	1984	1637	OWNER
1985	1985	1638	OWNER
1986	1986	1638	DISPONENT
1988	1988	1640	OWNER
1989	1989	1641	OWNER
1990	1990	1641	DISPONENT
1991	1991	1642	OWNER
1993	1993	1644	OWNER
1994	1994	1644	DISPONENT
1995	1995	1645	OWNER
1996	1996	1646	OWNER
1997	1997	1647	OWNER
1998	1998	1648	OWNER
1999	1999	1649	OWNER
2000	2000	1650	OWNER
2001	2001	1651	OWNER
2002	2002	1652	OWNER
2003	2003	1652	DISPONENT
2004	2004	1653	OWNER
2005	2005	1654	OWNER
2006	2006	1655	OWNER
2007	2007	1655	DISPONENT
2008	2008	1656	OWNER
2009	2009	1657	OWNER
2010	2010	1658	OWNER
2011	2011	1659	OWNER
2012	2012	1659	DISPONENT
2013	2013	1660	OWNER
2015	2015	1662	OWNER
2016	2016	1663	OWNER
2017	2017	1663	DISPONENT
2018	2018	1664	OWNER
2019	2019	1665	OWNER
2020	2020	1665	DISPONENT
2021	2021	1666	OWNER
2022	2022	1667	OWNER
2023	2023	1667	DISPONENT
2024	2024	1668	OWNER
2025	2025	1669	OWNER
2026	2026	1669	DISPONENT
2027	2027	1670	OWNER
2028	2028	1670	DISPONENT
2029	2029	1671	OWNER
2030	2030	1672	OWNER
2031	2031	1673	OWNER
2032	2032	1674	OWNER
2033	2033	1674	DISPONENT
2034	2034	1675	OWNER
2035	2035	1675	DISPONENT
2037	2037	1677	OWNER
2038	2038	1678	OWNER
2039	2039	1679	OWNER
2040	2040	1680	OWNER
2041	2041	1681	OWNER
2042	2042	1682	OWNER
2043	2043	1683	OWNER
2044	2044	1684	OWNER
2045	2045	1685	OWNER
2046	2046	1685	DISPONENT
2047	2047	1686	OWNER
2048	2048	1687	OWNER
2049	2049	1688	OWNER
2050	2050	1688	DISPONENT
2051	2051	1689	OWNER
2052	2052	1689	DISPONENT
2053	2053	1690	OWNER
2054	2054	1691	OWNER
2055	2055	1692	OWNER
2056	2056	1693	OWNER
2057	2057	1694	OWNER
2058	2058	1695	OWNER
2059	2059	1696	OWNER
2060	2060	1696	DISPONENT
2061	2061	1697	OWNER
2062	2062	1697	DISPONENT
2063	2063	1698	OWNER
2064	2064	1699	OWNER
2065	2065	1700	OWNER
2066	2066	1701	OWNER
2067	2067	1702	OWNER
2068	2068	1703	OWNER
2069	2069	1704	OWNER
2070	2070	1705	OWNER
2071	2071	1706	OWNER
2072	2072	1707	OWNER
2073	2073	1708	OWNER
2074	2074	1709	OWNER
2075	2075	1710	OWNER
2076	2076	1711	OWNER
2077	2077	1712	OWNER
2078	2078	1713	OWNER
2079	2079	1714	OWNER
2080	2080	1715	OWNER
2081	2081	1716	OWNER
2082	2082	1717	OWNER
2083	2083	1718	OWNER
2084	2084	1719	OWNER
2085	2085	1719	DISPONENT
2086	2086	1720	OWNER
2087	2087	1721	OWNER
2088	2088	1722	OWNER
2089	2089	1723	OWNER
2090	2090	1723	DISPONENT
2091	2091	1724	OWNER
2092	2092	1725	OWNER
2093	2093	1726	OWNER
2094	2094	1726	DISPONENT
2095	2095	1727	OWNER
2096	2096	1728	OWNER
2097	2097	1729	OWNER
2098	2098	1729	DISPONENT
2099	2099	1730	OWNER
2100	2100	1731	OWNER
2101	2101	1731	DISPONENT
2102	2102	1732	OWNER
2103	2103	1733	OWNER
2104	2104	1734	OWNER
2105	2105	1735	OWNER
2106	2106	1736	OWNER
2107	2107	1736	DISPONENT
2108	2108	1737	OWNER
2109	2109	1738	OWNER
2110	2110	1739	OWNER
2111	2111	1740	OWNER
2112	2112	1741	OWNER
2113	2113	1742	OWNER
2114	2114	1743	OWNER
2115	2115	1743	DISPONENT
2116	2116	1744	OWNER
2117	2117	1745	OWNER
2118	2118	1746	OWNER
2119	2119	1747	OWNER
2121	2121	1749	OWNER
2122	2122	1750	OWNER
2123	2123	1751	OWNER
2124	2124	1752	OWNER
2125	2125	1753	OWNER
2126	2126	1754	OWNER
2128	2128	1756	OWNER
2129	2129	1757	OWNER
2130	2130	1758	OWNER
2131	2131	1759	OWNER
2132	2132	1759	DISPONENT
2133	2133	1760	OWNER
2134	2134	1760	DISPONENT
2135	2135	1761	OWNER
2136	2136	1762	OWNER
2137	2137	1763	OWNER
2138	2138	1764	OWNER
2139	2139	1765	OWNER
2140	2140	1765	DISPONENT
2141	2141	1766	OWNER
2142	2142	1767	OWNER
2143	2143	1767	DISPONENT
2144	2144	1768	OWNER
2145	2145	1769	OWNER
2146	2146	1770	OWNER
2147	2147	1771	OWNER
2148	2148	1772	OWNER
2149	2149	1773	OWNER
2150	2150	1774	OWNER
2151	2151	1774	DISPONENT
2152	2152	1775	OWNER
2153	2153	1776	OWNER
2154	2154	1777	OWNER
2155	2155	1778	OWNER
2156	2156	1779	OWNER
2157	2157	1780	OWNER
2158	2158	1781	OWNER
2159	2159	1782	OWNER
2160	2160	1783	OWNER
2161	2161	1784	OWNER
2162	2162	1784	DISPONENT
2163	2163	1785	OWNER
2164	2164	1786	OWNER
2165	2165	1786	DISPONENT
2166	2166	1787	OWNER
2167	2167	1788	OWNER
2168	2168	1789	OWNER
2169	2169	1789	DISPONENT
2170	2170	1790	OWNER
2171	2171	1791	OWNER
2172	2172	1792	OWNER
2173	2173	1793	OWNER
2174	2174	1794	OWNER
2175	2175	1795	OWNER
2176	2176	1796	OWNER
2177	2177	1797	OWNER
2178	2178	1798	OWNER
2179	2179	1799	OWNER
2180	2180	1800	OWNER
2181	2181	1801	OWNER
2182	2182	1802	OWNER
2183	2183	1802	DISPONENT
2184	2184	1803	OWNER
2185	2185	1804	OWNER
2186	2186	1805	OWNER
2187	2187	1806	OWNER
2188	2188	1806	DISPONENT
2189	2189	1807	OWNER
2190	2190	1808	OWNER
2191	2191	1808	DISPONENT
2192	2192	1809	OWNER
2193	2193	1809	DISPONENT
2194	2194	1810	OWNER
2195	2195	1811	OWNER
2196	2196	1812	OWNER
2197	2197	1813	OWNER
2198	2198	1814	OWNER
2199	2199	1814	DISPONENT
2200	2200	1815	OWNER
2201	2201	1816	OWNER
2202	2202	1816	DISPONENT
2203	2203	1817	OWNER
2204	2204	1818	OWNER
2205	2205	1819	OWNER
2206	2206	1820	OWNER
2207	2207	1821	OWNER
2208	2208	1821	DISPONENT
2209	2209	1822	OWNER
2210	2210	1822	DISPONENT
2211	2211	1823	OWNER
2212	2212	1824	OWNER
2213	2213	1825	OWNER
2214	2214	1826	OWNER
2215	2215	1827	OWNER
2216	2216	1828	OWNER
2217	2217	1828	DISPONENT
2218	2218	1829	OWNER
2219	2219	1829	DISPONENT
2220	2220	1830	OWNER
2221	2221	1830	DISPONENT
2222	2222	1831	OWNER
2223	2223	1832	OWNER
2224	2224	1833	OWNER
2225	2225	1834	OWNER
2226	2226	1835	OWNER
2227	2227	1836	OWNER
2228	2228	1837	OWNER
2229	2229	1838	OWNER
2230	2230	1839	OWNER
2231	2231	1840	OWNER
2232	2232	1841	OWNER
2233	2233	1841	DISPONENT
2235	2235	1843	OWNER
2236	2236	1844	OWNER
2237	2237	1845	OWNER
2238	2238	1845	DISPONENT
2239	2239	1846	OWNER
2240	2240	1847	OWNER
2241	2241	1847	DISPONENT
2242	2242	1848	OWNER
2243	2243	1848	DISPONENT
2246	2246	1851	OWNER
2247	2247	1852	OWNER
2248	2248	1853	OWNER
2249	2249	1854	OWNER
2250	2250	1855	OWNER
2251	2251	1856	OWNER
2252	2252	1857	OWNER
2253	2253	1857	DISPONENT
2254	2254	1858	OWNER
2255	2255	1859	OWNER
2256	2256	1860	OWNER
2257	2257	1861	OWNER
2258	2258	1861	DISPONENT
2259	2259	1862	OWNER
2260	2260	1863	OWNER
2261	2261	1863	DISPONENT
2263	2263	1865	OWNER
2264	2264	1866	OWNER
2265	2265	1867	OWNER
2266	2266	1868	OWNER
2267	2267	1869	OWNER
2268	2268	1870	OWNER
2269	2269	1871	OWNER
2270	2270	1872	OWNER
2271	2271	1872	DISPONENT
2274	2274	1874	OWNER
2275	2275	1874	DISPONENT
2276	2276	1875	OWNER
2277	2277	1876	OWNER
2278	2278	1877	OWNER
2279	2279	1878	OWNER
2280	2280	1879	OWNER
2281	2281	1880	OWNER
2282	2282	1881	OWNER
2283	2283	1882	OWNER
2286	2286	1884	OWNER
2287	2287	1885	OWNER
2288	2288	1886	OWNER
2289	2289	1886	DISPONENT
2290	2290	1887	OWNER
2291	2291	1888	OWNER
2292	2292	1889	OWNER
2293	2293	1890	OWNER
2294	2294	1891	OWNER
2295	2295	1892	OWNER
2296	2296	1892	DISPONENT
2297	2297	1893	OWNER
2298	2298	1893	DISPONENT
2299	2299	1894	OWNER
2300	2300	1895	OWNER
2301	2301	1895	DISPONENT
2302	2302	1896	OWNER
2303	2303	1897	OWNER
2304	2304	1897	DISPONENT
2305	2305	1898	OWNER
2306	2306	1898	DISPONENT
2307	2307	1899	OWNER
2308	2308	1900	OWNER
2309	2309	1901	OWNER
2310	2310	1902	OWNER
2311	2311	1902	DISPONENT
2312	2312	1903	OWNER
2313	2313	1904	OWNER
2314	2314	1905	OWNER
2315	2315	1905	DISPONENT
2316	2316	1906	OWNER
2317	2317	1907	OWNER
2318	2318	1908	OWNER
2319	2319	1909	OWNER
2320	2320	1910	OWNER
2321	2321	1911	OWNER
2322	2322	1912	OWNER
2323	2323	1913	OWNER
2324	2324	1914	OWNER
2325	2325	1915	OWNER
2326	2326	1916	OWNER
2327	2327	1917	OWNER
2328	2328	1918	OWNER
2329	2329	1919	OWNER
2330	2330	1920	OWNER
2331	2331	1921	OWNER
2332	2332	1922	OWNER
2333	2333	1922	DISPONENT
2335	2335	1924	OWNER
2336	2336	1925	OWNER
2337	2337	1925	DISPONENT
2338	2338	1926	OWNER
2339	2339	1926	DISPONENT
2340	2340	1927	OWNER
2341	2341	1927	DISPONENT
2342	2342	1928	OWNER
2343	2343	1929	OWNER
2344	2344	1930	OWNER
2345	2345	1931	OWNER
2346	2346	1931	DISPONENT
2347	2347	1932	OWNER
2348	2348	1933	OWNER
2349	2349	1934	OWNER
2350	2350	1934	DISPONENT
2351	2351	1935	OWNER
2352	2352	1936	OWNER
2353	2353	1937	OWNER
2354	2354	1938	OWNER
2355	2355	1939	OWNER
2356	2356	1940	OWNER
2357	2357	1940	DISPONENT
2358	2358	1941	OWNER
2359	2359	1941	DISPONENT
2361	2361	1943	OWNER
2362	2362	1943	DISPONENT
2363	2363	1944	OWNER
2364	2364	1945	OWNER
2365	2365	1946	OWNER
2366	2366	1947	OWNER
2367	2367	1947	DISPONENT
2368	2368	1948	OWNER
2369	2369	1948	DISPONENT
2370	2370	1949	OWNER
2371	2371	1950	OWNER
2372	2372	1951	OWNER
2373	2373	1952	OWNER
2374	2374	1953	OWNER
2375	2375	1954	OWNER
2376	2376	1954	DISPONENT
2377	2377	1955	OWNER
2378	2378	1956	OWNER
2379	2379	1957	OWNER
2380	2380	1958	OWNER
2381	2381	1958	DISPONENT
2382	2382	1959	OWNER
2383	2383	1960	OWNER
2384	2384	1960	DISPONENT
2385	2385	1961	OWNER
2386	2386	1961	DISPONENT
2387	2387	1962	OWNER
2388	2388	1963	OWNER
2389	2389	1964	OWNER
2390	2390	1965	OWNER
2391	2391	1966	OWNER
2392	2392	1967	OWNER
2393	2393	1968	OWNER
2394	2394	1969	OWNER
2395	2395	1970	OWNER
2396	2396	1971	OWNER
2397	2397	1972	OWNER
2398	2398	1973	OWNER
2399	2399	1974	OWNER
2400	2400	1975	OWNER
2401	2401	1976	OWNER
2402	2402	1977	OWNER
2403	2403	1978	OWNER
2404	2404	1979	OWNER
2405	2405	1979	DISPONENT
2406	2406	1980	OWNER
2407	2407	1981	OWNER
2408	2408	1982	OWNER
2409	2409	1983	OWNER
2410	2410	1984	OWNER
2411	2411	1984	DISPONENT
2412	2412	1985	OWNER
2413	2413	1986	OWNER
2414	2414	1987	OWNER
2415	2415	1987	DISPONENT
2416	2416	1988	OWNER
2417	2417	1989	OWNER
2418	2418	1990	OWNER
2419	2419	1991	OWNER
2420	2420	1992	OWNER
2421	2421	1992	DISPONENT
2422	2422	1993	OWNER
2423	2423	1994	OWNER
2424	2424	1995	OWNER
2425	2425	1996	OWNER
2426	2426	1997	OWNER
2427	2427	1997	DISPONENT
2428	2428	1998	OWNER
2429	2429	1999	OWNER
2430	2430	2000	OWNER
2431	2431	2001	OWNER
2432	2432	2002	OWNER
2433	2433	2003	OWNER
2434	2434	2004	OWNER
2435	2435	2005	OWNER
2436	2436	2006	OWNER
2437	2437	2007	OWNER
2438	2438	2008	OWNER
2439	2439	2008	DISPONENT
2440	2440	2009	OWNER
2441	2441	2010	OWNER
2442	2442	2010	DISPONENT
2443	2443	2011	OWNER
2444	2444	2012	OWNER
2445	2445	2013	OWNER
2447	2447	2015	OWNER
2448	2448	2015	DISPONENT
2449	2449	2016	OWNER
2450	2450	2017	OWNER
2451	2451	2018	OWNER
2452	2452	2019	OWNER
2453	2453	2020	OWNER
2454	2454	2021	OWNER
2455	2455	2022	OWNER
2456	2456	2022	DISPONENT
2457	2457	2023	OWNER
2458	2458	2023	DISPONENT
2459	2459	2024	OWNER
2460	2460	2025	OWNER
2461	2461	2026	OWNER
2462	2462	2027	OWNER
2463	2463	2028	OWNER
2464	2464	2029	OWNER
2465	2465	2030	OWNER
2467	2467	2032	OWNER
2468	2468	2033	OWNER
2469	2469	2034	OWNER
2470	2470	2035	OWNER
2471	2471	2035	DISPONENT
2472	2472	2036	OWNER
2473	2473	2037	OWNER
2474	2474	2038	OWNER
2475	2475	2039	OWNER
2476	2476	2040	OWNER
2477	2477	2040	DISPONENT
2478	2478	2041	OWNER
2479	2479	2042	OWNER
2480	2480	2043	OWNER
2481	2481	2044	OWNER
2482	2482	2045	OWNER
2483	2483	2045	DISPONENT
2484	2484	2046	OWNER
2485	2485	2047	OWNER
2486	2486	2048	OWNER
2487	2487	2049	OWNER
2488	2488	2050	OWNER
2489	2489	2051	OWNER
2490	2490	2052	OWNER
2491	2491	2053	OWNER
2492	2492	2053	DISPONENT
2493	2493	2054	OWNER
2494	2494	2055	OWNER
2495	2495	2056	OWNER
2496	2496	2057	OWNER
2497	2497	2058	OWNER
2498	2498	2059	OWNER
2499	2499	2060	OWNER
2500	2500	2061	OWNER
2501	2501	2062	OWNER
2502	2502	2063	OWNER
2503	2503	2064	OWNER
2504	2504	2065	OWNER
2505	2505	2066	OWNER
2506	2506	2067	OWNER
2507	2507	2068	OWNER
2508	2508	2069	OWNER
2509	2509	2069	DISPONENT
2510	2510	2070	OWNER
2511	2511	2071	OWNER
2512	2512	2071	DISPONENT
2513	2513	2072	OWNER
2514	2514	2073	OWNER
2515	2515	2074	OWNER
2516	2516	2075	OWNER
2517	2517	2076	OWNER
2518	2518	2076	DISPONENT
2519	2519	2077	OWNER
2520	2520	2078	OWNER
2521	2521	2079	OWNER
2522	2522	2080	OWNER
2523	2523	2080	DISPONENT
2524	2524	2081	OWNER
2525	2525	2082	OWNER
2526	2526	2083	OWNER
2527	2527	2084	OWNER
2528	2528	2085	OWNER
2529	2529	2086	OWNER
2530	2530	2087	OWNER
2531	2531	2088	OWNER
2532	2532	2089	OWNER
2533	2533	2090	OWNER
2534	2534	2091	OWNER
2535	2535	2092	OWNER
2536	2536	2093	OWNER
2537	2537	2094	OWNER
2538	2538	2095	OWNER
2539	2539	2096	OWNER
2540	2540	2097	OWNER
2542	2542	2099	OWNER
2543	2543	2099	DISPONENT
2545	2545	2101	OWNER
2546	2546	2102	OWNER
2547	2547	2103	OWNER
2548	2548	2104	OWNER
2549	2549	2105	OWNER
2550	2550	2106	OWNER
2551	2551	2107	OWNER
2552	2552	2108	OWNER
2553	2553	2109	OWNER
2554	2554	2110	OWNER
2555	2555	2111	OWNER
2556	2556	2112	OWNER
2557	2557	2113	OWNER
2558	2558	2114	OWNER
2559	2559	2115	OWNER
2560	2560	2116	OWNER
2561	2561	2117	OWNER
2562	2562	2118	OWNER
2563	2563	2119	OWNER
2565	2565	2121	OWNER
2566	2566	2122	OWNER
2567	2567	2123	OWNER
2568	2568	2123	DISPONENT
2569	2569	2124	OWNER
2570	2570	2124	DISPONENT
2571	2571	2125	OWNER
2572	2572	2126	OWNER
2573	2573	2127	OWNER
2574	2574	2128	OWNER
2576	2576	2130	OWNER
2577	2577	2131	OWNER
2578	2578	2132	OWNER
2579	2579	2133	OWNER
2580	2580	2133	DISPONENT
2581	2581	2134	OWNER
2582	2582	2135	OWNER
2583	2583	2136	OWNER
2584	2584	2137	OWNER
2585	2585	2138	OWNER
2586	2586	2139	OWNER
2587	2587	2139	DISPONENT
2588	2588	2140	OWNER
2589	2589	2141	OWNER
2590	2590	2142	OWNER
2591	2591	2142	DISPONENT
2592	2592	2143	OWNER
2593	2593	2143	DISPONENT
2594	2594	2144	OWNER
2596	2596	2146	OWNER
2597	2597	2147	OWNER
2598	2598	2147	DISPONENT
2599	2599	2148	OWNER
2600	2600	2149	OWNER
2601	2601	2150	OWNER
2602	2602	2150	DISPONENT
2603	2603	2151	OWNER
2604	2604	2152	OWNER
2605	2605	2152	DISPONENT
2606	2606	2153	OWNER
2607	2607	2154	OWNER
2608	2608	2155	OWNER
2609	2609	2156	OWNER
2610	2610	2156	DISPONENT
2611	2611	2157	OWNER
2612	2612	2158	OWNER
2613	2613	2159	OWNER
2614	2614	2160	OWNER
2615	2615	2161	OWNER
2616	2616	2162	OWNER
2617	2617	2162	DISPONENT
2618	2618	2163	OWNER
2619	2619	2164	OWNER
2620	2620	2164	DISPONENT
2621	2621	2165	OWNER
2622	2622	2166	OWNER
2623	2623	2167	OWNER
2625	2625	2169	OWNER
2626	2626	2170	OWNER
2628	2628	2172	OWNER
2629	2629	2172	DISPONENT
2630	2630	2173	OWNER
2631	2631	2174	OWNER
2632	2632	2174	DISPONENT
2633	2633	2175	OWNER
2635	2635	2176	OWNER
2636	2636	2177	OWNER
2637	2637	2178	OWNER
2638	2638	2179	OWNER
2639	2639	2180	OWNER
2640	2640	2180	DISPONENT
2642	2642	2182	OWNER
2643	2643	2183	OWNER
2644	2644	2184	OWNER
2645	2645	2185	OWNER
2646	2646	2186	OWNER
2647	2647	2187	OWNER
2648	2648	2187	DISPONENT
2650	2650	2189	OWNER
2651	2651	2189	DISPONENT
2652	2652	2190	OWNER
2653	2653	2191	OWNER
2654	2654	2192	OWNER
2655	2655	2193	OWNER
2656	2656	2194	OWNER
2657	2657	2195	OWNER
2658	2658	2196	OWNER
2659	2659	2197	OWNER
2661	2661	2199	OWNER
2662	2662	2200	OWNER
2663	2663	2201	OWNER
2666	2666	2203	OWNER
2667	2667	2204	OWNER
2668	2668	2204	DISPONENT
2669	2669	2205	OWNER
2670	2670	2206	OWNER
2671	2671	2207	OWNER
2672	2672	2208	OWNER
2673	2673	2209	OWNER
2674	2674	2209	DISPONENT
2675	2675	2210	OWNER
2676	2676	2211	OWNER
2677	2677	2212	OWNER
2678	2678	2212	DISPONENT
2679	2679	2213	OWNER
2680	2680	2213	DISPONENT
2681	2681	2214	OWNER
2682	2682	2214	DISPONENT
2683	2683	2215	OWNER
2684	2684	2216	OWNER
2685	2685	2217	OWNER
2686	2686	2218	OWNER
2687	2687	2218	DISPONENT
2688	2688	2219	OWNER
2689	2689	2220	OWNER
2690	2690	2221	OWNER
2691	2691	2222	OWNER
2692	2692	2223	OWNER
2693	2693	2224	OWNER
2694	2694	2225	OWNER
2695	2695	2225	DISPONENT
2696	2696	2226	OWNER
2697	2697	2226	DISPONENT
2698	2698	2227	OWNER
2699	2699	2227	DISPONENT
2700	2700	2228	OWNER
2701	2701	2229	OWNER
2702	2702	2230	OWNER
2703	2703	2231	OWNER
2704	2704	2232	OWNER
2705	2705	2233	OWNER
2706	2706	2234	OWNER
2707	2707	2235	OWNER
2708	2708	2236	OWNER
2709	2709	2237	OWNER
2712	2712	2239	OWNER
2713	2713	2240	OWNER
2714	2714	2241	OWNER
2715	2715	2242	OWNER
2716	2716	2243	OWNER
2717	2717	2244	OWNER
2718	2718	2244	DISPONENT
2719	2719	2245	OWNER
2720	2720	2246	OWNER
2721	2721	2247	OWNER
2724	2724	2250	OWNER
2726	2726	2252	OWNER
2727	2727	2252	DISPONENT
2728	2728	2253	OWNER
2729	2729	2254	OWNER
2730	2730	2255	OWNER
2731	2731	2256	OWNER
2732	2732	2257	OWNER
2733	2733	2258	OWNER
2734	2734	2258	DISPONENT
2735	2735	2259	OWNER
2736	2736	2260	OWNER
2738	2738	2261	OWNER
2739	2739	2262	OWNER
2740	2740	2263	OWNER
2741	2741	2264	OWNER
2742	2742	2265	OWNER
2743	2743	2266	OWNER
2744	2744	2266	DISPONENT
2745	2745	2267	OWNER
2746	2746	2268	OWNER
2747	2747	2269	OWNER
2748	2748	2269	DISPONENT
2749	2749	2270	OWNER
2750	2750	2270	DISPONENT
2751	2751	2271	OWNER
2752	2752	2272	OWNER
2754	2754	2274	OWNER
2755	2755	2275	OWNER
2756	2756	2276	OWNER
2758	2758	2278	OWNER
2759	2759	2279	OWNER
2760	2760	2280	OWNER
2761	2761	2281	OWNER
2762	2762	2282	OWNER
2765	2765	2285	OWNER
2766	2766	2286	OWNER
2767	2767	2286	DISPONENT
2768	2768	2287	OWNER
2769	2769	2288	OWNER
2770	2770	2289	OWNER
2771	2771	2290	OWNER
2772	2772	2290	DISPONENT
2773	2773	2291	OWNER
2774	2774	2291	DISPONENT
2775	2775	2292	OWNER
2776	2776	2293	OWNER
2777	2777	2294	OWNER
2778	2778	2295	OWNER
2779	2779	2296	OWNER
2780	2780	2296	DISPONENT
2781	2781	2297	OWNER
2782	2782	2298	OWNER
2783	2783	2299	OWNER
2784	2784	2300	OWNER
2785	2785	2301	OWNER
2786	2786	2302	OWNER
2787	2787	2303	OWNER
2788	2788	2304	OWNER
2789	2789	2305	OWNER
2790	2790	2306	OWNER
2791	2791	2307	OWNER
2794	2794	2309	OWNER
2795	2795	2309	DISPONENT
2796	2796	2310	OWNER
2797	2797	2311	OWNER
2798	2798	2312	OWNER
2799	2799	2313	OWNER
2800	2800	2314	OWNER
2801	2801	2315	OWNER
2802	2802	2316	OWNER
2803	2803	2317	OWNER
2804	2804	2317	DISPONENT
2805	2805	2318	OWNER
2806	2806	2319	OWNER
2808	2808	2321	OWNER
2809	2809	2322	OWNER
2810	2810	2323	OWNER
2811	2811	2324	OWNER
2812	2812	2325	OWNER
2813	2813	2326	OWNER
2814	2814	2327	OWNER
2815	2815	2328	OWNER
2816	2816	2328	DISPONENT
2817	2817	2329	OWNER
2818	2818	2330	OWNER
2819	2819	2331	OWNER
2820	2820	2332	OWNER
2821	2821	2333	OWNER
2822	2822	2334	OWNER
2823	2823	2335	OWNER
2824	2824	2336	OWNER
2825	2825	2337	OWNER
2826	2826	2338	OWNER
2827	2827	2339	OWNER
2828	2828	2340	OWNER
2829	2829	2341	OWNER
2830	2830	2342	OWNER
2831	2831	2343	OWNER
2832	2832	2344	OWNER
2833	2833	2344	DISPONENT
2834	2834	2345	OWNER
2835	2835	2346	OWNER
2836	2836	2347	OWNER
2837	2837	2347	DISPONENT
2838	2838	2348	OWNER
2839	2839	2349	OWNER
2840	2840	2349	DISPONENT
2841	2841	2350	OWNER
2842	2842	2351	OWNER
2843	2843	2352	OWNER
2844	2844	2353	OWNER
2845	2845	2354	OWNER
2846	2846	2355	OWNER
2847	2847	2356	OWNER
2848	2848	2356	DISPONENT
2849	2849	2357	OWNER
2850	2850	2358	OWNER
2851	2851	2359	OWNER
2852	2852	2360	OWNER
2853	2853	2361	OWNER
2854	2854	2362	OWNER
2855	2855	2362	DISPONENT
2856	2856	2363	OWNER
2857	2857	2364	OWNER
2858	2858	2365	OWNER
2859	2859	2366	OWNER
2860	2860	2367	OWNER
2862	2862	2369	OWNER
2863	2863	2369	DISPONENT
2864	2864	2370	OWNER
2865	2865	2371	OWNER
2866	2866	2371	DISPONENT
2867	2867	2372	OWNER
2868	2868	2373	OWNER
2869	2869	2374	OWNER
2870	2870	2375	OWNER
2871	2871	2376	OWNER
2872	2872	2377	OWNER
2873	2873	2378	OWNER
2874	2874	2379	OWNER
2875	2875	2380	OWNER
2876	2876	2381	OWNER
2877	2877	2382	OWNER
2878	2878	2383	OWNER
2879	2879	2384	OWNER
2880	2880	2385	OWNER
2881	2881	2386	OWNER
2882	2882	2387	OWNER
2883	2883	2388	OWNER
2884	2884	2389	OWNER
2885	2885	2390	OWNER
2886	2886	2390	DISPONENT
2887	2887	2391	OWNER
2888	2888	2392	OWNER
2889	2889	2393	OWNER
2890	2890	2394	OWNER
2891	2891	2394	DISPONENT
2892	2892	2395	OWNER
2893	2893	2396	OWNER
2894	2894	2397	OWNER
2895	2895	2398	OWNER
2896	2896	2399	OWNER
2897	2897	2400	OWNER
2898	2898	2400	DISPONENT
2899	2899	2401	OWNER
2900	2900	2402	OWNER
2901	2901	2403	OWNER
2902	2902	2404	OWNER
2903	2903	2404	DISPONENT
2904	2904	2405	OWNER
2905	2905	2405	DISPONENT
2906	2906	2406	OWNER
2907	2907	2406	DISPONENT
2908	2908	2407	OWNER
2909	2909	2408	OWNER
2910	2910	2409	OWNER
2911	2911	2410	OWNER
2912	2912	2410	DISPONENT
2913	2913	2411	OWNER
2915	2915	2413	OWNER
2916	2916	2414	OWNER
2917	2917	2415	OWNER
2918	2918	2416	OWNER
2919	2919	2416	DISPONENT
2920	2920	2417	OWNER
2921	2921	2418	OWNER
2922	2922	2419	OWNER
2923	2923	2420	OWNER
2924	2924	2421	OWNER
2925	2925	2421	DISPONENT
2926	2926	2422	OWNER
2927	2927	2422	DISPONENT
2928	2928	2423	OWNER
2929	2929	2424	OWNER
2930	2930	2425	OWNER
2932	2932	2427	OWNER
2933	2933	2428	OWNER
2934	2934	2428	DISPONENT
2935	2935	2429	OWNER
2936	2936	2430	OWNER
2937	2937	2431	OWNER
2938	2938	2432	OWNER
2939	2939	2433	OWNER
2940	2940	2434	OWNER
2941	2941	2435	OWNER
2942	2942	2436	OWNER
2943	2943	2437	OWNER
2944	2944	2438	OWNER
2945	2945	2439	OWNER
2946	2946	2439	DISPONENT
2947	2947	2440	OWNER
2948	2948	2441	OWNER
2949	2949	2442	OWNER
2950	2950	2443	OWNER
2951	2951	2444	OWNER
2952	2952	2445	OWNER
2953	2953	2446	OWNER
2954	2954	2447	OWNER
2955	2955	2447	DISPONENT
2956	2956	2448	OWNER
2957	2957	2449	OWNER
2958	2958	2450	OWNER
2959	2959	2451	OWNER
2960	2960	2452	OWNER
2961	2961	2452	DISPONENT
2962	2962	2453	OWNER
2963	2963	2453	DISPONENT
2964	2964	2454	OWNER
2965	2965	2455	OWNER
2966	2966	2456	OWNER
2967	2967	2457	OWNER
2968	2968	2458	OWNER
2969	2969	2459	OWNER
2970	2970	2459	DISPONENT
2971	2971	2460	OWNER
2972	2972	2461	OWNER
2974	2974	2463	OWNER
2975	2975	2464	OWNER
2976	2976	2465	OWNER
2977	2977	2466	OWNER
2978	2978	2467	OWNER
2979	2979	2468	OWNER
2980	2980	2469	OWNER
2981	2981	2470	OWNER
2982	2982	2471	OWNER
2983	2983	2471	DISPONENT
2984	2984	2472	OWNER
2985	2985	2472	DISPONENT
2986	2986	2473	OWNER
2987	2987	2473	DISPONENT
2988	2988	2474	OWNER
2989	2989	2475	OWNER
2990	2990	2476	OWNER
2991	2991	2476	DISPONENT
2992	2992	2477	OWNER
2994	2994	2479	OWNER
2995	2995	2480	OWNER
2996	2996	2481	OWNER
2997	2997	2482	OWNER
2998	2998	2483	OWNER
2999	2999	2484	OWNER
3000	3000	2485	OWNER
3001	3001	2486	OWNER
3002	3002	2487	OWNER
3003	3003	2488	OWNER
3004	3004	2488	DISPONENT
3005	3005	2489	OWNER
3006	3006	2490	OWNER
3007	3007	2491	OWNER
3008	3008	2492	OWNER
3009	3009	2493	OWNER
3010	3010	2493	DISPONENT
3011	3011	2494	OWNER
3012	3012	2495	OWNER
3013	3013	2496	OWNER
3014	3014	2496	DISPONENT
3015	3015	2497	OWNER
3016	3016	2498	OWNER
3017	3017	2499	OWNER
3018	3018	2500	OWNER
3019	3019	2501	OWNER
3020	3020	2502	OWNER
3021	3021	2503	OWNER
3022	3022	2503	DISPONENT
3023	3023	2504	OWNER
3024	3024	2505	OWNER
3025	3025	2505	DISPONENT
3026	3026	2506	OWNER
3027	3027	2507	OWNER
3028	3028	2508	OWNER
3029	3029	2509	OWNER
3030	3030	2510	OWNER
3031	3031	2511	OWNER
3032	3032	2511	DISPONENT
3035	3035	2513	OWNER
3036	3036	2514	OWNER
3037	3037	2515	OWNER
3038	3038	2516	OWNER
3039	3039	2517	OWNER
3041	3041	2519	OWNER
3042	3042	2520	OWNER
3043	3043	2521	OWNER
3044	3044	2522	OWNER
3045	3045	2523	OWNER
3046	3046	2524	OWNER
3047	3047	2525	OWNER
3048	3048	2526	OWNER
3049	3049	2527	OWNER
3050	3050	2527	DISPONENT
3051	3051	2528	OWNER
3054	3054	2530	OWNER
3055	3055	2531	OWNER
3056	3056	2532	OWNER
3057	3057	2532	DISPONENT
3058	3058	2533	OWNER
3059	3059	2534	OWNER
3060	3060	2535	OWNER
3061	3061	2535	DISPONENT
3062	3062	2536	OWNER
3063	3063	2537	OWNER
3064	3064	2538	OWNER
3065	3065	2539	OWNER
3066	3066	2540	OWNER
3067	3067	2541	OWNER
3068	3068	2541	DISPONENT
3069	3069	2542	OWNER
3070	3070	2543	OWNER
3071	3071	2544	OWNER
3072	3072	2545	OWNER
3073	3073	2545	DISPONENT
3074	3074	2546	OWNER
3075	3075	2547	OWNER
3076	3076	2548	OWNER
3077	3077	2549	OWNER
3078	3078	2549	DISPONENT
3079	3079	2550	OWNER
3080	3080	2551	OWNER
3081	3081	2551	DISPONENT
3082	3082	2552	OWNER
3083	3083	2553	OWNER
3084	3084	2554	OWNER
3085	3085	2555	OWNER
3086	3086	2555	DISPONENT
3087	3087	2556	OWNER
3088	3088	2557	OWNER
3089	3089	2558	OWNER
3090	3090	2559	OWNER
3091	3091	2560	OWNER
3092	3092	2561	OWNER
3093	3093	2562	OWNER
3094	3094	2563	OWNER
3095	3095	2564	OWNER
3096	3096	2565	OWNER
3097	3097	2566	OWNER
3098	3098	2567	OWNER
3099	3099	2568	OWNER
3100	3100	2569	OWNER
3101	3101	2570	OWNER
3102	3102	2571	OWNER
3103	3103	2572	OWNER
3104	3104	2573	OWNER
3105	3105	2574	OWNER
3106	3106	2575	OWNER
3107	3107	2576	OWNER
3108	3108	2576	DISPONENT
3109	3109	2577	OWNER
3110	3110	2578	OWNER
3111	3111	2578	DISPONENT
3112	3112	2579	OWNER
3113	3113	2580	OWNER
3114	3114	2580	DISPONENT
3115	3115	2581	OWNER
3116	3116	2582	OWNER
3117	3117	2583	OWNER
3118	3118	2583	DISPONENT
3119	3119	2584	OWNER
3120	3120	2585	OWNER
3121	3121	2586	OWNER
3122	3122	2586	DISPONENT
3123	3123	2587	OWNER
3124	3124	2588	OWNER
3125	3125	2589	OWNER
3126	3126	2590	OWNER
3127	3127	2591	OWNER
3128	3128	2592	OWNER
3129	3129	2593	OWNER
3130	3130	2594	OWNER
3131	3131	2595	OWNER
3132	3132	2596	OWNER
3133	3133	2597	OWNER
3134	3134	2598	OWNER
3135	3135	2599	OWNER
3136	3136	2600	OWNER
3137	3137	2601	OWNER
3138	3138	2601	DISPONENT
3139	3139	2602	OWNER
3140	3140	2602	DISPONENT
3141	3141	2603	OWNER
3142	3142	2604	OWNER
3143	3143	2605	OWNER
3144	3144	2606	OWNER
3145	3145	2606	DISPONENT
3146	3146	2607	OWNER
3147	3147	2608	OWNER
3148	3148	2609	OWNER
3149	3149	2609	DISPONENT
3150	3150	2610	OWNER
3151	3151	2611	OWNER
3152	3152	2612	OWNER
3153	3153	2613	OWNER
3154	3154	2613	DISPONENT
3155	3155	2614	OWNER
3156	3156	2615	OWNER
3157	3157	2616	OWNER
3158	3158	2617	OWNER
3159	3159	2618	OWNER
3160	3160	2619	OWNER
3161	3161	2620	OWNER
3162	3162	2621	OWNER
3163	3163	2622	OWNER
3164	3164	2622	DISPONENT
3165	3165	2623	OWNER
3166	3166	2624	OWNER
3167	3167	2625	OWNER
3170	3170	2627	OWNER
3171	3171	2627	DISPONENT
3172	3172	2628	OWNER
3173	3173	2629	OWNER
3174	3174	2629	DISPONENT
3175	3175	2630	OWNER
3176	3176	2631	OWNER
3177	3177	2632	OWNER
3178	3178	2633	OWNER
3179	3179	2634	OWNER
3180	3180	2634	DISPONENT
3181	3181	2635	OWNER
3182	3182	2636	OWNER
3183	3183	2637	OWNER
3184	3184	2638	OWNER
3185	3185	2639	OWNER
3186	3186	2640	OWNER
3187	3187	2641	OWNER
3188	3188	2642	OWNER
3190	3190	2644	OWNER
3191	3191	2645	OWNER
3192	3192	2646	OWNER
3193	3193	2647	OWNER
3194	3194	2648	OWNER
3195	3195	2649	OWNER
3196	3196	2650	OWNER
3197	3197	2651	OWNER
3198	3198	2651	DISPONENT
3199	3199	2652	OWNER
3200	3200	2652	DISPONENT
3201	3201	2653	OWNER
3202	3202	2654	OWNER
3203	3203	2655	OWNER
3204	3204	2655	DISPONENT
3205	3205	2656	OWNER
3206	3206	2656	DISPONENT
3207	3207	2657	OWNER
3208	3208	2658	OWNER
3209	3209	2658	DISPONENT
3210	3210	2659	OWNER
3211	3211	2660	OWNER
3213	3213	2661	OWNER
3214	3214	2662	OWNER
3215	3215	2663	OWNER
3216	3216	2664	OWNER
3217	3217	2665	OWNER
3218	3218	2666	OWNER
3219	3219	2666	DISPONENT
3220	3220	2667	OWNER
3221	3221	2667	DISPONENT
3222	3222	2668	OWNER
3225	3225	2670	OWNER
3226	3226	2671	OWNER
3227	3227	2672	OWNER
3228	3228	2673	OWNER
3229	3229	2674	OWNER
3230	3230	2675	OWNER
3231	3231	2676	OWNER
3232	3232	2677	OWNER
3233	3233	2678	OWNER
3234	3234	2679	OWNER
3235	3235	2680	OWNER
3236	3236	2681	OWNER
3239	3239	2684	OWNER
3240	3240	2685	OWNER
3241	3241	2686	OWNER
3242	3242	2686	DISPONENT
3243	3243	2687	OWNER
3244	3244	2688	OWNER
3245	3245	2689	OWNER
3246	3246	2690	OWNER
3247	3247	2691	OWNER
3248	3248	2692	OWNER
3249	3249	2693	OWNER
3250	3250	2693	DISPONENT
3251	3251	2694	OWNER
3252	3252	2694	DISPONENT
3253	3253	2695	OWNER
3254	3254	2696	OWNER
3255	3255	2697	OWNER
3256	3256	2698	OWNER
3257	3257	2699	OWNER
3258	3258	2700	OWNER
3259	3259	2701	OWNER
3260	3260	2702	OWNER
3261	3261	2702	DISPONENT
3262	3262	2703	OWNER
3264	3264	2705	OWNER
3265	3265	2706	OWNER
3266	3266	2706	DISPONENT
3267	3267	2707	OWNER
3268	3268	2708	OWNER
3269	3269	2709	OWNER
3270	3270	2710	OWNER
3271	3271	2711	OWNER
3272	3272	2712	OWNER
3273	3273	2712	DISPONENT
3274	3274	2713	OWNER
3275	3275	2713	DISPONENT
3276	3276	2714	OWNER
3277	3277	2715	OWNER
3278	3278	2715	DISPONENT
3279	3279	2716	OWNER
3280	3280	2716	DISPONENT
3281	3281	2717	OWNER
3282	3282	2718	OWNER
3283	3283	2719	OWNER
3284	3284	2720	OWNER
3285	3285	2720	DISPONENT
3286	3286	2721	OWNER
3287	3287	2721	DISPONENT
3288	3288	2722	OWNER
3289	3289	2723	OWNER
3290	3290	2724	OWNER
3291	3291	2725	OWNER
3292	3292	2726	OWNER
3293	3293	2727	OWNER
3294	3294	2728	OWNER
3295	3295	2729	OWNER
3296	3296	2730	OWNER
3297	3297	2731	OWNER
3298	3298	2732	OWNER
3299	3299	2733	OWNER
3300	3300	2734	OWNER
3302	3302	2736	OWNER
3303	3303	2736	DISPONENT
3304	3304	2737	OWNER
3305	3305	2738	OWNER
3306	3306	2739	OWNER
3307	3307	2740	OWNER
3308	3308	2741	OWNER
3309	3309	2741	DISPONENT
3310	3310	2742	OWNER
3311	3311	2743	OWNER
3312	3312	2744	OWNER
3313	3313	2745	OWNER
3314	3314	2746	OWNER
3315	3315	2746	DISPONENT
3316	3316	2747	OWNER
3317	3317	2747	DISPONENT
3319	3319	2749	OWNER
3320	3320	2749	DISPONENT
3321	3321	2750	OWNER
3322	3322	2751	OWNER
3323	3323	2752	OWNER
3324	3324	2753	OWNER
3325	3325	2753	DISPONENT
3326	3326	2754	OWNER
3327	3327	2755	OWNER
3328	3328	2756	OWNER
3329	3329	2757	OWNER
3330	3330	2757	DISPONENT
3331	3331	2758	OWNER
3332	3332	2759	OWNER
3333	3333	2760	OWNER
3334	3334	2761	OWNER
3335	3335	2762	OWNER
3336	3336	2763	OWNER
3337	3337	2764	OWNER
3338	3338	2765	OWNER
3339	3339	2766	OWNER
3340	3340	2767	OWNER
3341	3341	2767	DISPONENT
3342	3342	2768	OWNER
3344	3344	2770	OWNER
3345	3345	2771	OWNER
3346	3346	2771	DISPONENT
3347	3347	2772	OWNER
3348	3348	2773	OWNER
3349	3349	2774	OWNER
3350	3350	2775	OWNER
3351	3351	2775	DISPONENT
3352	3352	2776	OWNER
3353	3353	2776	DISPONENT
3354	3354	2777	OWNER
3355	3355	2778	OWNER
3356	3356	2779	OWNER
3357	3357	2780	OWNER
3358	3358	2781	OWNER
3359	3359	2782	OWNER
3360	3360	2783	OWNER
3361	3361	2784	OWNER
3365	3365	2787	OWNER
3366	3366	2788	OWNER
3367	3367	2788	DISPONENT
3368	3368	2789	OWNER
3369	3369	2790	OWNER
3370	3370	2791	OWNER
3371	3371	2791	DISPONENT
3372	3372	2792	OWNER
3373	3373	2793	OWNER
3374	3374	2793	DISPONENT
3375	3375	2794	OWNER
3376	3376	2795	OWNER
3377	3377	2795	DISPONENT
3378	3378	2796	OWNER
3379	3379	2796	DISPONENT
3380	3380	2797	OWNER
3381	3381	2798	OWNER
3382	3382	2799	OWNER
3383	3383	2799	DISPONENT
3384	3384	2800	OWNER
3385	3385	2801	OWNER
3386	3386	2802	OWNER
3387	3387	2803	OWNER
3388	3388	2804	OWNER
3389	3389	2805	OWNER
3390	3390	2806	OWNER
3391	3391	2807	OWNER
3392	3392	2808	OWNER
3393	3393	2809	OWNER
3394	3394	2810	OWNER
3395	3395	2811	OWNER
3396	3396	2812	OWNER
3397	3397	2813	OWNER
3398	3398	2813	DISPONENT
3399	3399	2814	OWNER
3402	3402	2816	OWNER
3403	3403	2816	DISPONENT
3404	3404	2817	OWNER
3405	3405	2818	OWNER
3406	3406	2818	DISPONENT
3407	3407	2819	OWNER
3408	3408	2819	DISPONENT
3409	3409	2820	OWNER
3410	3410	2821	OWNER
3412	3412	2823	OWNER
3413	3413	2823	DISPONENT
3414	3414	2824	OWNER
3415	3415	2825	OWNER
3416	3416	2826	OWNER
3417	3417	2826	DISPONENT
3418	3418	2827	OWNER
3420	3420	2829	OWNER
3421	3421	2830	OWNER
3422	3422	2831	OWNER
3423	3423	2832	OWNER
3424	3424	2833	OWNER
3425	3425	2834	OWNER
3426	3426	2835	OWNER
3427	3427	2836	OWNER
3428	3428	2836	DISPONENT
3429	3429	2837	OWNER
3430	3430	2838	OWNER
3431	3431	2839	OWNER
3432	3432	2840	OWNER
3433	3433	2841	OWNER
3434	3434	2841	DISPONENT
3435	3435	2842	OWNER
3436	3436	2843	OWNER
3437	3437	2843	DISPONENT
3438	3438	2844	OWNER
3439	3439	2845	OWNER
3440	3440	2846	OWNER
3441	3441	2847	OWNER
3443	3443	2849	OWNER
3444	3444	2850	OWNER
3445	3445	2851	OWNER
3446	3446	2852	OWNER
3447	3447	2853	OWNER
3448	3448	2854	OWNER
3449	3449	2855	OWNER
3450	3450	2856	OWNER
3451	3451	2857	OWNER
3452	3452	2857	DISPONENT
3453	3453	2858	OWNER
3454	3454	2859	OWNER
3455	3455	2859	DISPONENT
3456	3456	2860	OWNER
3457	3457	2861	OWNER
3458	3458	2862	OWNER
3459	3459	2863	OWNER
3460	3460	2863	DISPONENT
3461	3461	2864	OWNER
3462	3462	2864	DISPONENT
3463	3463	2865	OWNER
3464	3464	2866	OWNER
3465	3465	2867	OWNER
3466	3466	2868	OWNER
3467	3467	2868	DISPONENT
3468	3468	2869	OWNER
3469	3469	2870	OWNER
3470	3470	2871	OWNER
3471	3471	2872	OWNER
3472	3472	2873	OWNER
3473	3473	2873	DISPONENT
3474	3474	2874	OWNER
3475	3475	2875	OWNER
3476	3476	2876	OWNER
3477	3477	2877	OWNER
3478	3478	2878	OWNER
3479	3479	2878	DISPONENT
3480	3480	2879	OWNER
3481	3481	2879	DISPONENT
3482	3482	2880	OWNER
3483	3483	2881	OWNER
3484	3484	2882	OWNER
3485	3485	2883	OWNER
3486	3486	2884	OWNER
3487	3487	2885	OWNER
3488	3488	2886	OWNER
3489	3489	2887	OWNER
3490	3490	2888	OWNER
3491	3491	2888	DISPONENT
3492	3492	2889	OWNER
3493	3493	2890	OWNER
3494	3494	2891	OWNER
3495	3495	2892	OWNER
3496	3496	2892	DISPONENT
3497	3497	2893	OWNER
3498	3498	2894	OWNER
3499	3499	2895	OWNER
3500	3500	2896	OWNER
3501	3501	2897	OWNER
3502	3502	2898	OWNER
3503	3503	2898	DISPONENT
3504	3504	2899	OWNER
3505	3505	2900	OWNER
3506	3506	2901	OWNER
3507	3507	2902	OWNER
3508	3508	2903	OWNER
3509	3509	2903	DISPONENT
3510	3510	2904	OWNER
3511	3511	2905	OWNER
3512	3512	2906	OWNER
3513	3513	2907	OWNER
3514	3514	2907	DISPONENT
3515	3515	2908	OWNER
3516	3516	2909	OWNER
3517	3517	2910	OWNER
3518	3518	2911	OWNER
3519	3519	2912	OWNER
3520	3520	2913	OWNER
3521	3521	2914	OWNER
3522	3522	2915	OWNER
3523	3523	2916	OWNER
3524	3524	2917	OWNER
3525	3525	2918	OWNER
3526	3526	2918	DISPONENT
3527	3527	2919	OWNER
3528	3528	2920	OWNER
3529	3529	2921	OWNER
3530	3530	2922	OWNER
3531	3531	2923	OWNER
3532	3532	2924	OWNER
3533	3533	2925	OWNER
3534	3534	2926	OWNER
3535	3535	2927	OWNER
3536	3536	2928	OWNER
3537	3537	2929	OWNER
3538	3538	2930	OWNER
3539	3539	2931	OWNER
3540	3540	2932	OWNER
3541	3541	2932	DISPONENT
3542	3542	2933	OWNER
3543	3543	2933	DISPONENT
3544	3544	2934	OWNER
3545	3545	2935	OWNER
3546	3546	2936	OWNER
3547	3547	2937	OWNER
3548	3548	2938	OWNER
3549	3549	2939	OWNER
3550	3550	2940	OWNER
3552	3552	2942	OWNER
3554	3554	2944	OWNER
3555	3555	2944	DISPONENT
3556	3556	2945	OWNER
3557	3557	2945	DISPONENT
3558	3558	2946	OWNER
3559	3559	2947	OWNER
3560	3560	2947	DISPONENT
3562	3562	2949	OWNER
3563	3563	2949	DISPONENT
3564	3564	2950	OWNER
3565	3565	2951	OWNER
3566	3566	2952	OWNER
3567	3567	2953	OWNER
3568	3568	2954	OWNER
3569	3569	2955	OWNER
3570	3570	2956	OWNER
3571	3571	2957	OWNER
3572	3572	2958	OWNER
3573	3573	2959	OWNER
3574	3574	2960	OWNER
3575	3575	2961	OWNER
3576	3576	2962	OWNER
3577	3577	2963	OWNER
3578	3578	2964	OWNER
3579	3579	2964	DISPONENT
3580	3580	2965	OWNER
3581	3581	2966	OWNER
3582	3582	2967	OWNER
3583	3583	2968	OWNER
3584	3584	2968	DISPONENT
3585	3585	2969	OWNER
3586	3586	2970	OWNER
3587	3587	2970	DISPONENT
3588	3588	2971	OWNER
3589	3589	2972	OWNER
3590	3590	2973	OWNER
3591	3591	2974	OWNER
3592	3592	2974	DISPONENT
3594	3594	2976	OWNER
3595	3595	2977	OWNER
3596	3596	2978	OWNER
3597	3597	2979	OWNER
3598	3598	2980	OWNER
3599	3599	2980	DISPONENT
3600	3600	2981	OWNER
3601	3601	2982	OWNER
3602	3602	2982	DISPONENT
3603	3603	2983	OWNER
3605	3605	2985	OWNER
3606	3606	2986	OWNER
3607	3607	2987	OWNER
3608	3608	2988	OWNER
3609	3609	2988	DISPONENT
3610	3610	2989	OWNER
3611	3611	2990	OWNER
3612	3612	2991	OWNER
3613	3613	2991	DISPONENT
3614	3614	2992	OWNER
3615	3615	2993	OWNER
3616	3616	2994	OWNER
3617	3617	2995	OWNER
3618	3618	2996	OWNER
3619	3619	2997	OWNER
3620	3620	2998	OWNER
3621	3621	2999	OWNER
3622	3622	2999	DISPONENT
3623	3623	3000	OWNER
3624	3624	3001	OWNER
3627	3627	3003	OWNER
3628	3628	3004	OWNER
3629	3629	3005	OWNER
3630	3630	3006	OWNER
3631	3631	3006	DISPONENT
3632	3632	3007	OWNER
3633	3633	3008	OWNER
3634	3634	3009	OWNER
3635	3635	3009	DISPONENT
3636	3636	3010	OWNER
3637	3637	3011	OWNER
3638	3638	3012	OWNER
3639	3639	3013	OWNER
3640	3640	3014	OWNER
3641	3641	3014	DISPONENT
3642	3642	3015	OWNER
3643	3643	3016	OWNER
3644	3644	3017	OWNER
3645	3645	3018	OWNER
3646	3646	3019	OWNER
3647	3647	3019	DISPONENT
3648	3648	3020	OWNER
3649	3649	3021	OWNER
3650	3650	3022	OWNER
3651	3651	3023	OWNER
3652	3652	3024	OWNER
3653	3653	3024	DISPONENT
3654	3654	3025	OWNER
3655	3655	3026	OWNER
3656	3656	3027	OWNER
3657	3657	3027	DISPONENT
3658	3658	3028	OWNER
3659	3659	3029	OWNER
3660	3660	3030	OWNER
3661	3661	3031	OWNER
3662	3662	3032	OWNER
3663	3663	3033	OWNER
3664	3664	3033	DISPONENT
3667	3667	3035	OWNER
3668	3668	3035	DISPONENT
3669	3669	3036	OWNER
3670	3670	3037	OWNER
3671	3671	3038	OWNER
3672	3672	3038	DISPONENT
3673	3673	3039	OWNER
3674	3674	3040	OWNER
3675	3675	3041	OWNER
3676	3676	3042	OWNER
3677	3677	3042	DISPONENT
3678	3678	3043	OWNER
3679	3679	3044	OWNER
3680	3680	3044	DISPONENT
3681	3681	3045	OWNER
3682	3682	3045	DISPONENT
3683	3683	3046	OWNER
3684	3684	3047	OWNER
3685	3685	3048	OWNER
3686	3686	3049	OWNER
3687	3687	3050	OWNER
3688	3688	3050	DISPONENT
3689	3689	3051	OWNER
3690	3690	3052	OWNER
3691	3691	3053	OWNER
3693	3693	3055	OWNER
3694	3694	3055	DISPONENT
3695	3695	3056	OWNER
3696	3696	3056	DISPONENT
3697	3697	3057	OWNER
3698	3698	3058	OWNER
3699	3699	3059	OWNER
3700	3700	3059	DISPONENT
3701	3701	3060	OWNER
3702	3702	3061	OWNER
3703	3703	3062	OWNER
3704	3704	3063	OWNER
3705	3705	3064	OWNER
3707	3707	3066	OWNER
3708	3708	3067	OWNER
3709	3709	3067	DISPONENT
3710	3710	3068	OWNER
3711	3711	3069	OWNER
3712	3712	3070	OWNER
3713	3713	3071	OWNER
3714	3714	3072	OWNER
3716	3716	3074	OWNER
3717	3717	3075	OWNER
3718	3718	3075	DISPONENT
3719	3719	3076	OWNER
3720	3720	3076	DISPONENT
3721	3721	3077	OWNER
3722	3722	3078	OWNER
3723	3723	3079	OWNER
3724	3724	3080	OWNER
3727	3727	3082	OWNER
3728	3728	3083	OWNER
3729	3729	3083	DISPONENT
3730	3730	3084	OWNER
3732	3732	3085	OWNER
3733	3733	3086	OWNER
3734	3734	3087	OWNER
3735	3735	3088	OWNER
3736	3736	3088	DISPONENT
3737	3737	3089	OWNER
3738	3738	3090	OWNER
3739	3739	3091	OWNER
3740	3740	3092	OWNER
3741	3741	3093	OWNER
3742	3742	3094	OWNER
3743	3743	3094	DISPONENT
3745	3745	3096	OWNER
3746	3746	3097	OWNER
3747	3747	3098	OWNER
3748	3748	3099	OWNER
3749	3749	3100	OWNER
3750	3750	3101	OWNER
3751	3751	3102	OWNER
3752	3752	3102	DISPONENT
3753	3753	3103	OWNER
3754	3754	3104	OWNER
3755	3755	3105	OWNER
3756	3756	3106	OWNER
3757	3757	3107	OWNER
3758	3758	3108	OWNER
3759	3759	3108	DISPONENT
3760	3760	3109	OWNER
3761	3761	3110	OWNER
3762	3762	3111	OWNER
3763	3763	3112	OWNER
3764	3764	3112	DISPONENT
3765	3765	3113	OWNER
3766	3766	3114	OWNER
3767	3767	3115	OWNER
3768	3768	3115	DISPONENT
3769	3769	3116	OWNER
3770	3770	3117	OWNER
3771	3771	3118	OWNER
3772	3772	3118	DISPONENT
3773	3773	3119	OWNER
3774	3774	3120	OWNER
3775	3775	3121	OWNER
3776	3776	3122	OWNER
3777	3777	3122	DISPONENT
3779	3779	3124	OWNER
3780	3780	3125	OWNER
3781	3781	3126	OWNER
3782	3782	3127	OWNER
3783	3783	3128	OWNER
3784	3784	3128	DISPONENT
3785	3785	3129	OWNER
3786	3786	3130	OWNER
3787	3787	3131	OWNER
3788	3788	3132	OWNER
3789	3789	3133	OWNER
3790	3790	3134	OWNER
3791	3791	3135	OWNER
3792	3792	3136	OWNER
3793	3793	3137	OWNER
3794	3794	3138	OWNER
3795	3795	3139	OWNER
3796	3796	3140	OWNER
3797	3797	3140	DISPONENT
3798	3798	3141	OWNER
3799	3799	3142	OWNER
3800	3800	3143	OWNER
3801	3801	3143	DISPONENT
3802	3802	3144	OWNER
3803	3803	3145	OWNER
3804	3804	3145	DISPONENT
3805	3805	3146	OWNER
3806	3806	3147	OWNER
3807	3807	3148	OWNER
3808	3808	3149	OWNER
3811	3811	3151	OWNER
3812	3812	3152	OWNER
3813	3813	3153	OWNER
3814	3814	3154	OWNER
3815	3815	3155	OWNER
3816	3816	3156	OWNER
3817	3817	3157	OWNER
3818	3818	3158	OWNER
3819	3819	3158	DISPONENT
3821	3821	3160	OWNER
3822	3822	3161	OWNER
3823	3823	3162	OWNER
3824	3824	3163	OWNER
3825	3825	3163	DISPONENT
3826	3826	3164	OWNER
3827	3827	3164	DISPONENT
3829	3829	3166	OWNER
3830	3830	3167	OWNER
3831	3831	3168	OWNER
3832	3832	3168	DISPONENT
3833	3833	3169	OWNER
3834	3834	3170	OWNER
3835	3835	3171	OWNER
3836	3836	3172	OWNER
3837	3837	3173	OWNER
3838	3838	3174	OWNER
3839	3839	3174	DISPONENT
3840	3840	3175	OWNER
3841	3841	3176	OWNER
3842	3842	3177	OWNER
3843	3843	3178	OWNER
3844	3844	3179	OWNER
3845	3845	3180	OWNER
3846	3846	3181	OWNER
3847	3847	3182	OWNER
3848	3848	3183	OWNER
3849	3849	3184	OWNER
3850	3850	3185	OWNER
3851	3851	3185	DISPONENT
3852	3852	3186	OWNER
3853	3853	3187	OWNER
3854	3854	3188	OWNER
3855	3855	3189	OWNER
3856	3856	3190	OWNER
3857	3857	3191	OWNER
3858	3858	3192	OWNER
3859	3859	3192	DISPONENT
3860	3860	3193	OWNER
3861	3861	3194	OWNER
3862	3862	3195	OWNER
3863	3863	3196	OWNER
3864	3864	3196	DISPONENT
3865	3865	3197	OWNER
3866	3866	3197	DISPONENT
3868	3868	3199	OWNER
3869	3869	3200	OWNER
3870	3870	3201	OWNER
3871	3871	3201	DISPONENT
3872	3872	3202	OWNER
3873	3873	3203	OWNER
3874	3874	3204	OWNER
3875	3875	3205	OWNER
3876	3876	3205	DISPONENT
3877	3877	3206	OWNER
3880	3880	3208	OWNER
3881	3881	3209	OWNER
3882	3882	3209	DISPONENT
3883	3883	3210	OWNER
3884	3884	3211	OWNER
3885	3885	3212	OWNER
3886	3886	3213	OWNER
3887	3887	3214	OWNER
3888	3888	3214	DISPONENT
3890	3890	3216	OWNER
3891	3891	3217	OWNER
3892	3892	3218	OWNER
3893	3893	3219	OWNER
3894	3894	3220	OWNER
3895	3895	3220	DISPONENT
3896	3896	3221	OWNER
3897	3897	3222	OWNER
3898	3898	3223	OWNER
3899	3899	3224	OWNER
3900	3900	3225	OWNER
3901	3901	3225	DISPONENT
3902	3902	3226	OWNER
3903	3903	3227	OWNER
3904	3904	3228	OWNER
3905	3905	3228	DISPONENT
3906	3906	3229	OWNER
3907	3907	3230	OWNER
3908	3908	3231	OWNER
3909	3909	3231	DISPONENT
3910	3910	3232	OWNER
3911	3911	3233	OWNER
3912	3912	3234	OWNER
3913	3913	3235	OWNER
3914	3914	3236	OWNER
3915	3915	3237	OWNER
3916	3916	3238	OWNER
3917	3917	3238	DISPONENT
3918	3918	3239	OWNER
3919	3919	3240	OWNER
3920	3920	3241	OWNER
3921	3921	3242	OWNER
3922	3922	3243	OWNER
3923	3923	3243	DISPONENT
3924	3924	3244	OWNER
3925	3925	3245	OWNER
3926	3926	3246	OWNER
3927	3927	3247	OWNER
3928	3928	3248	OWNER
3929	3929	3249	OWNER
3930	3930	3250	OWNER
3931	3931	3250	DISPONENT
3932	3932	3251	OWNER
3933	3933	3251	DISPONENT
3934	3934	3252	OWNER
3935	3935	3253	OWNER
3936	3936	3254	OWNER
3937	3937	3254	DISPONENT
3938	3938	3255	OWNER
3939	3939	3256	OWNER
3942	3942	3258	OWNER
3943	3943	3259	OWNER
3944	3944	3260	OWNER
3945	3945	3260	DISPONENT
3946	3946	3261	OWNER
3947	3947	3262	OWNER
3948	3948	3263	OWNER
3949	3949	3263	DISPONENT
3950	3950	3264	OWNER
3951	3951	3264	DISPONENT
3952	3952	3265	OWNER
3953	3953	3266	OWNER
3954	3954	3267	OWNER
3955	3955	3267	DISPONENT
3956	3956	3268	OWNER
3957	3957	3268	DISPONENT
3958	3958	3269	OWNER
3959	3959	3270	OWNER
3960	3960	3271	OWNER
3961	3961	3272	OWNER
3962	3962	3273	OWNER
3963	3963	3274	OWNER
3964	3964	3275	OWNER
3965	3965	3276	OWNER
3966	3966	3276	DISPONENT
3967	3967	3277	OWNER
3968	3968	3277	DISPONENT
3969	3969	3278	OWNER
3970	3970	3279	OWNER
3971	3971	3280	OWNER
3972	3972	3281	OWNER
3973	3973	3282	OWNER
3974	3974	3283	OWNER
3975	3975	3284	OWNER
3976	3976	3285	OWNER
3977	3977	3286	OWNER
3978	3978	3287	OWNER
3979	3979	3288	OWNER
3980	3980	3289	OWNER
3981	3981	3290	OWNER
3982	3982	3291	OWNER
3983	3983	3292	OWNER
3984	3984	3293	OWNER
3985	3985	3294	OWNER
3987	3987	3296	OWNER
3988	3988	3297	OWNER
3989	3989	3297	DISPONENT
3990	3990	3298	OWNER
3991	3991	3299	OWNER
3992	3992	3300	OWNER
3993	3993	3301	OWNER
3994	3994	3302	OWNER
3995	3995	3303	OWNER
3996	3996	3304	OWNER
3997	3997	3305	OWNER
3998	3998	3306	OWNER
3999	3999	3307	OWNER
4000	4000	3308	OWNER
4001	4001	3309	OWNER
4002	4002	3310	OWNER
4003	4003	3311	OWNER
4004	4004	3312	OWNER
4006	4006	3314	OWNER
4007	4007	3315	OWNER
4008	4008	3315	DISPONENT
4009	4009	3316	OWNER
4010	4010	3317	OWNER
4011	4011	3318	OWNER
4012	4012	3319	OWNER
4013	4013	3320	OWNER
4014	4014	3321	OWNER
4015	4015	3322	OWNER
4016	4016	3323	OWNER
4017	4017	3323	DISPONENT
4018	4018	3324	OWNER
4019	4019	3325	OWNER
4020	4020	3326	OWNER
4021	4021	3327	OWNER
4022	4022	3328	OWNER
4023	4023	3328	DISPONENT
4024	4024	3329	OWNER
4025	4025	3329	DISPONENT
4026	4026	3330	OWNER
4027	4027	3331	OWNER
4028	4028	3331	DISPONENT
4029	4029	3332	OWNER
4030	4030	3333	OWNER
4031	4031	3334	OWNER
4032	4032	3335	OWNER
4033	4033	3336	OWNER
4034	4034	3337	OWNER
4035	4035	3337	DISPONENT
4036	4036	3338	OWNER
4037	4037	3339	OWNER
4040	4040	3342	OWNER
4041	4041	3342	DISPONENT
4042	4042	3343	OWNER
4043	4043	3344	OWNER
4044	4044	3345	OWNER
4046	4046	3346	OWNER
4047	4047	3346	DISPONENT
4048	4048	3347	OWNER
4049	4049	3348	OWNER
4050	4050	3349	OWNER
4051	4051	3350	OWNER
4052	4052	3350	DISPONENT
4053	4053	3351	OWNER
4054	4054	3352	OWNER
4055	4055	3353	OWNER
4056	4056	3354	OWNER
4057	4057	3355	OWNER
4059	4059	3357	OWNER
4060	4060	3358	OWNER
4061	4061	3359	OWNER
4062	4062	3360	OWNER
4063	4063	3361	OWNER
4064	4064	3361	DISPONENT
4065	4065	3362	OWNER
4066	4066	3363	OWNER
4067	4067	3364	OWNER
4068	4068	3365	OWNER
4069	4069	3366	OWNER
4070	4070	3366	DISPONENT
4071	4071	3367	OWNER
4072	4072	3367	DISPONENT
4073	4073	3368	OWNER
4074	4074	3368	DISPONENT
4075	4075	3369	OWNER
4076	4076	3370	OWNER
4077	4077	3371	OWNER
4078	4078	3372	OWNER
4079	4079	3373	OWNER
4080	4080	3374	OWNER
4081	4081	3375	OWNER
4082	4082	3376	OWNER
4083	4083	3377	OWNER
4084	4084	3378	OWNER
4085	4085	3378	DISPONENT
4086	4086	3379	OWNER
4087	4087	3380	OWNER
4088	4088	3381	OWNER
4089	4089	3381	DISPONENT
4090	4090	3382	OWNER
4091	4091	3383	OWNER
4092	4092	3384	OWNER
4093	4093	3385	OWNER
4094	4094	3386	OWNER
4095	4095	3387	OWNER
4096	4096	3387	DISPONENT
4098	4098	3389	OWNER
4099	4099	3390	OWNER
4100	4100	3391	OWNER
4101	4101	3392	OWNER
4102	4102	3393	OWNER
4103	4103	3393	DISPONENT
4104	4104	3394	OWNER
4105	4105	3395	OWNER
4106	4106	3396	OWNER
4107	4107	3397	OWNER
4108	4108	3398	OWNER
4109	4109	3399	OWNER
4112	4112	3401	OWNER
4113	4113	3402	OWNER
4114	4114	3403	OWNER
4115	4115	3404	OWNER
4116	4116	3405	OWNER
4117	4117	3406	OWNER
4118	4118	3407	OWNER
4119	4119	3408	OWNER
4120	4120	3408	DISPONENT
4121	4121	3409	OWNER
4122	4122	3410	OWNER
4123	4123	3410	DISPONENT
4124	4124	3411	OWNER
4125	4125	3412	OWNER
4126	4126	3413	OWNER
4127	4127	3413	DISPONENT
4129	4129	3415	OWNER
4131	4131	3417	OWNER
4132	4132	3418	OWNER
4133	4133	3418	DISPONENT
4134	4134	3419	OWNER
4136	4136	3421	OWNER
4137	4137	3422	OWNER
4138	4138	3423	OWNER
4139	4139	3424	OWNER
4140	4140	3425	OWNER
4141	4141	3426	OWNER
4142	4142	3427	OWNER
4143	4143	3428	OWNER
4144	4144	3428	DISPONENT
4145	4145	3429	OWNER
4146	4146	3430	OWNER
4147	4147	3431	OWNER
4148	4148	3431	DISPONENT
4149	4149	3432	OWNER
4150	4150	3432	DISPONENT
4151	4151	3433	OWNER
4152	4152	3433	DISPONENT
4153	4153	3434	OWNER
4154	4154	3434	DISPONENT
4155	4155	3435	OWNER
4156	4156	3436	OWNER
4157	4157	3437	OWNER
4158	4158	3438	OWNER
4159	4159	3438	DISPONENT
4160	4160	3439	OWNER
4161	4161	3440	OWNER
4163	4163	3442	OWNER
4164	4164	3443	OWNER
4165	4165	3444	OWNER
4166	4166	3445	OWNER
4167	4167	3446	OWNER
4169	4169	3448	OWNER
4170	4170	3448	DISPONENT
4171	4171	3449	OWNER
4172	4172	3450	OWNER
4173	4173	3451	OWNER
4174	4174	3452	OWNER
4175	4175	3453	OWNER
4176	4176	3454	OWNER
4177	4177	3455	OWNER
4178	4178	3456	OWNER
4179	4179	3457	OWNER
4180	4180	3458	OWNER
4181	4181	3459	OWNER
4182	4182	3460	OWNER
4183	4183	3460	DISPONENT
4184	4184	3461	OWNER
4185	4185	3462	OWNER
4186	4186	3463	OWNER
4187	4187	3464	OWNER
4188	4188	3465	OWNER
4189	4189	3466	OWNER
4190	4190	3467	OWNER
4191	4191	3468	OWNER
4192	4192	3469	OWNER
4193	4193	3470	OWNER
4194	4194	3471	OWNER
4195	4195	3471	DISPONENT
4196	4196	3472	OWNER
4198	4198	3474	OWNER
4199	4199	3474	DISPONENT
4201	4201	3476	OWNER
4202	4202	3476	DISPONENT
4203	4203	3477	OWNER
4204	4204	3477	DISPONENT
4205	4205	3478	OWNER
4206	4206	3479	OWNER
4207	4207	3480	OWNER
4209	4209	3482	OWNER
4210	4210	3483	OWNER
4211	4211	3484	OWNER
4212	4212	3485	OWNER
4213	4213	3486	OWNER
4214	4214	3486	DISPONENT
4215	4215	3487	OWNER
4217	4217	3489	OWNER
4218	4218	3490	OWNER
4219	4219	3491	OWNER
4220	4220	3492	OWNER
4221	4221	3493	OWNER
4222	4222	3494	OWNER
4223	4223	3495	OWNER
4224	4224	3496	OWNER
4225	4225	3497	OWNER
4226	4226	3498	OWNER
4227	4227	3499	OWNER
4229	4229	3501	OWNER
4230	4230	3502	OWNER
4231	4231	3503	OWNER
4232	4232	3504	OWNER
4233	4233	3505	OWNER
4234	4234	3506	OWNER
4235	4235	3507	OWNER
4236	4236	3508	OWNER
4237	4237	3509	OWNER
4238	4238	3510	OWNER
4239	4239	3511	OWNER
4240	4240	3512	OWNER
4241	4241	3513	OWNER
4242	4242	3513	DISPONENT
4243	4243	3514	OWNER
4244	4244	3515	OWNER
4245	4245	3515	DISPONENT
4246	4246	3516	OWNER
4247	4247	3517	OWNER
4248	4248	3518	OWNER
4249	4249	3519	OWNER
4250	4250	3520	OWNER
4251	4251	3521	OWNER
4252	4252	3521	DISPONENT
4253	4253	3522	OWNER
4254	4254	3523	OWNER
4255	4255	3524	OWNER
4256	4256	3525	OWNER
4257	4257	3526	OWNER
4258	4258	3527	OWNER
4259	4259	3528	OWNER
4260	4260	3529	OWNER
4261	4261	3530	OWNER
4262	4262	3531	OWNER
4263	4263	3532	OWNER
4264	4264	3533	OWNER
4265	4265	3534	OWNER
4266	4266	3535	OWNER
4267	4267	3536	OWNER
4268	4268	3536	DISPONENT
4269	4269	3537	OWNER
4270	4270	3538	OWNER
4271	4271	3538	DISPONENT
4272	4272	3539	OWNER
4273	4273	3540	OWNER
4274	4274	3541	OWNER
4275	4275	3542	OWNER
4276	4276	3543	OWNER
4277	4277	3543	DISPONENT
4278	4278	3544	OWNER
4279	4279	3545	OWNER
4280	4280	3546	OWNER
4281	4281	3547	OWNER
4282	4282	3548	OWNER
4283	4283	3549	OWNER
4284	4284	3550	OWNER
4285	4285	3550	DISPONENT
4286	4286	3551	OWNER
4287	4287	3552	OWNER
4288	4288	3553	OWNER
4289	4289	3554	OWNER
4290	4290	3555	OWNER
4291	4291	3556	OWNER
4292	4292	3557	OWNER
4293	4293	3558	OWNER
4294	4294	3558	DISPONENT
4295	4295	3559	OWNER
4296	4296	3560	OWNER
4297	4297	3560	DISPONENT
4298	4298	3561	OWNER
4299	4299	3562	OWNER
4300	4300	3563	OWNER
4301	4301	3564	OWNER
4302	4302	3565	OWNER
4303	4303	3566	OWNER
4304	4304	3567	OWNER
4305	4305	3568	OWNER
4306	4306	3568	DISPONENT
4307	4307	3569	OWNER
4308	4308	3570	OWNER
4309	4309	3571	OWNER
4310	4310	3572	OWNER
4311	4311	3573	OWNER
4312	4312	3574	OWNER
4313	4313	3575	OWNER
4314	4314	3576	OWNER
4315	4315	3577	OWNER
4316	4316	3578	OWNER
4317	4317	3579	OWNER
4318	4318	3580	OWNER
4319	4319	3580	DISPONENT
4320	4320	3581	OWNER
4321	4321	3582	OWNER
4322	4322	3582	DISPONENT
4323	4323	3583	OWNER
4324	4324	3583	DISPONENT
4325	4325	3584	OWNER
4326	4326	3585	OWNER
4327	4327	3585	DISPONENT
4328	4328	3586	OWNER
4329	4329	3587	OWNER
4330	4330	3588	OWNER
4331	4331	3589	OWNER
4332	4332	3590	OWNER
4333	4333	3591	OWNER
4334	4334	3591	DISPONENT
4335	4335	3592	OWNER
4336	4336	3593	OWNER
4337	4337	3594	OWNER
4338	4338	3595	OWNER
4339	4339	3596	OWNER
4340	4340	3597	OWNER
4341	4341	3598	OWNER
4342	4342	3599	OWNER
4343	4343	3600	OWNER
4344	4344	3601	OWNER
4345	4345	3602	OWNER
4346	4346	3603	OWNER
4347	4347	3604	OWNER
4348	4348	3605	OWNER
4349	4349	3606	OWNER
4350	4350	3606	DISPONENT
4352	4352	3608	OWNER
4353	4353	3609	OWNER
4354	4354	3609	DISPONENT
4355	4355	3610	OWNER
4358	4358	3612	OWNER
4359	4359	3613	OWNER
4360	4360	3614	OWNER
4361	4361	3615	OWNER
4362	4362	3616	OWNER
4363	4363	3616	DISPONENT
4364	4364	3617	OWNER
4365	4365	3618	OWNER
4367	4367	3620	OWNER
4368	4368	3621	OWNER
4369	4369	3622	OWNER
4370	4370	3623	OWNER
4371	4371	3624	OWNER
4372	4372	3625	OWNER
4373	4373	3626	OWNER
4376	4376	3628	OWNER
4377	4377	3629	OWNER
4380	4380	3631	OWNER
4381	4381	3632	OWNER
4382	4382	3633	OWNER
4383	4383	3634	OWNER
4384	4384	3635	OWNER
4385	4385	3636	OWNER
4386	4386	3637	OWNER
4387	4387	3638	OWNER
4388	4388	3639	OWNER
4389	4389	3640	OWNER
4390	4390	3641	OWNER
4393	4393	3643	OWNER
4394	4394	3644	OWNER
4395	4395	3645	OWNER
4396	4396	3646	OWNER
4397	4397	3646	DISPONENT
4398	4398	3647	OWNER
4399	4399	3648	OWNER
4400	4400	3649	OWNER
4401	4401	3650	OWNER
4402	4402	3651	OWNER
4403	4403	3652	OWNER
4404	4404	3653	OWNER
4405	4405	3654	OWNER
4406	4406	3655	OWNER
4407	4407	3656	OWNER
4408	4408	3657	OWNER
4409	4409	3657	DISPONENT
4410	4410	3658	OWNER
4411	4411	3659	OWNER
4412	4412	3659	DISPONENT
4413	4413	3660	OWNER
4414	4414	3661	OWNER
4415	4415	3662	OWNER
4416	4416	3663	OWNER
4417	4417	3664	OWNER
4418	4418	3665	OWNER
4420	4420	3667	OWNER
4421	4421	3668	OWNER
4422	4422	3669	OWNER
4423	4423	3670	OWNER
4424	4424	3671	OWNER
4425	4425	3671	DISPONENT
4426	4426	3672	OWNER
4427	4427	3673	OWNER
4428	4428	3674	OWNER
4429	4429	3675	OWNER
4430	4430	3675	DISPONENT
4431	4431	3676	OWNER
4432	4432	3677	OWNER
4433	4433	3678	OWNER
4434	4434	3679	OWNER
4435	4435	3679	DISPONENT
4436	4436	3680	OWNER
4437	4437	3681	OWNER
4438	4438	3681	DISPONENT
4439	4439	3682	OWNER
4440	4440	3683	OWNER
4441	4441	3683	DISPONENT
4442	4442	3684	OWNER
4444	4444	3686	OWNER
4445	4445	3686	DISPONENT
4446	4446	3687	OWNER
4447	4447	3687	DISPONENT
4448	4448	3688	OWNER
4449	4449	3689	OWNER
4450	4450	3690	OWNER
4451	4451	3691	OWNER
4452	4452	3692	OWNER
4453	4453	3693	OWNER
4454	4454	3693	DISPONENT
4455	4455	3694	OWNER
4456	4456	3695	OWNER
4457	4457	3696	OWNER
4458	4458	3697	OWNER
4459	4459	3698	OWNER
4460	4460	3698	DISPONENT
4461	4461	3699	OWNER
4462	4462	3700	OWNER
4463	4463	3701	OWNER
4464	4464	3702	OWNER
4465	4465	3703	OWNER
4466	4466	3704	OWNER
4467	4467	3705	OWNER
4468	4468	3705	DISPONENT
4469	4469	3706	OWNER
4471	4471	3708	OWNER
4472	4472	3709	OWNER
4473	4473	3710	OWNER
4474	4474	3711	OWNER
4476	4476	3712	OWNER
4477	4477	3713	OWNER
4478	4478	3713	DISPONENT
4479	4479	3714	OWNER
4480	4480	3715	OWNER
4481	4481	3716	OWNER
4482	4482	3717	OWNER
4483	4483	3718	OWNER
4484	4484	3719	OWNER
4485	4485	3720	OWNER
4486	4486	3720	DISPONENT
4487	4487	3721	OWNER
4488	4488	3721	DISPONENT
4489	4489	3722	OWNER
4490	4490	3722	DISPONENT
4491	4491	3723	OWNER
4492	4492	3724	OWNER
4493	4493	3725	OWNER
4494	4494	3726	OWNER
4495	4495	3727	OWNER
4496	4496	3728	OWNER
4497	4497	3728	DISPONENT
4498	4498	3729	OWNER
4499	4499	3729	DISPONENT
4500	4500	3730	OWNER
4501	4501	3731	OWNER
4502	4502	3732	OWNER
4503	4503	3732	DISPONENT
4504	4504	3733	OWNER
4505	4505	3733	DISPONENT
4506	4506	3734	OWNER
4507	4507	3735	OWNER
4508	4508	3736	OWNER
4509	4509	3736	DISPONENT
4510	4510	3737	OWNER
4511	4511	3738	OWNER
4512	4512	3739	OWNER
4514	4514	3741	OWNER
4515	4515	3742	OWNER
4516	4516	3743	OWNER
4518	4518	3745	OWNER
4519	4519	3746	OWNER
4520	4520	3747	OWNER
4521	4521	3748	OWNER
4522	4522	3749	OWNER
4523	4523	3749	DISPONENT
4524	4524	3750	OWNER
4525	4525	3750	DISPONENT
4526	4526	3751	OWNER
4527	4527	3752	OWNER
4528	4528	3753	OWNER
4529	4529	3754	OWNER
4530	4530	3754	DISPONENT
4531	4531	3755	OWNER
4532	4532	3756	OWNER
4533	4533	3757	OWNER
4534	4534	3758	OWNER
4535	4535	3759	OWNER
4536	4536	3760	OWNER
4539	4539	3763	OWNER
4540	4540	3764	OWNER
4541	4541	3765	OWNER
4542	4542	3766	OWNER
4543	4543	3767	OWNER
4544	4544	3768	OWNER
4545	4545	3769	OWNER
4546	4546	3770	OWNER
4547	4547	3771	OWNER
4548	4548	3772	OWNER
4549	4549	3773	OWNER
4550	4550	3774	OWNER
4551	4551	3775	OWNER
4552	4552	3775	DISPONENT
4553	4553	3776	OWNER
4554	4554	3777	OWNER
4555	4555	3778	OWNER
4556	4556	3779	OWNER
4557	4557	3780	OWNER
4558	4558	3780	DISPONENT
4559	4559	3781	OWNER
4560	4560	3782	OWNER
4561	4561	3783	OWNER
4562	4562	3784	OWNER
4563	4563	3785	OWNER
4564	4564	3785	DISPONENT
4565	4565	3786	OWNER
4567	4567	3787	OWNER
4568	4568	3788	OWNER
4569	4569	3789	OWNER
4570	4570	3790	OWNER
4571	4571	3791	OWNER
4572	4572	3792	OWNER
4573	4573	3793	OWNER
4574	4574	3794	OWNER
4575	4575	3795	OWNER
4576	4576	3796	OWNER
4577	4577	3797	OWNER
4578	4578	3798	OWNER
4579	4579	3799	OWNER
4580	4580	3800	OWNER
4581	4581	3801	OWNER
4582	4582	3802	OWNER
4583	4583	3803	OWNER
4584	4584	3804	OWNER
4585	4585	3805	OWNER
4586	4586	3805	DISPONENT
4587	4587	3806	OWNER
4588	4588	3807	OWNER
4589	4589	3808	OWNER
4590	4590	3809	OWNER
4591	4591	3810	OWNER
4592	4592	3811	OWNER
4593	4593	3812	OWNER
4594	4594	3813	OWNER
4595	4595	3813	DISPONENT
4596	4596	3814	OWNER
4597	4597	3815	OWNER
4598	4598	3816	OWNER
4599	4599	3816	DISPONENT
4600	4600	3817	OWNER
4601	4601	3818	OWNER
4602	4602	3818	DISPONENT
4603	4603	3819	OWNER
4604	4604	3820	OWNER
4605	4605	3821	OWNER
4606	4606	3822	OWNER
4607	4607	3823	OWNER
4608	4608	3824	OWNER
4609	4609	3825	OWNER
4610	4610	3826	OWNER
4611	4611	3827	OWNER
4612	4612	3828	OWNER
4615	4615	3830	OWNER
4617	4617	3832	OWNER
4618	4618	3832	DISPONENT
4619	4619	3833	OWNER
4620	4620	3834	OWNER
4621	4621	3834	DISPONENT
4622	4622	3835	OWNER
4623	4623	3836	OWNER
4624	4624	3837	OWNER
4625	4625	3837	DISPONENT
4626	4626	3838	OWNER
4627	4627	3839	OWNER
4628	4628	3839	DISPONENT
4629	4629	3840	OWNER
4630	4630	3840	DISPONENT
4631	4631	3841	OWNER
4632	4632	3842	OWNER
4633	4633	3843	OWNER
4634	4634	3844	OWNER
4635	4635	3844	DISPONENT
4636	4636	3845	OWNER
4637	4637	3846	OWNER
4638	4638	3847	OWNER
4639	4639	3848	OWNER
4640	4640	3849	OWNER
4641	4641	3850	OWNER
4642	4642	3850	DISPONENT
4643	4643	3851	OWNER
4644	4644	3852	OWNER
4647	4647	3854	OWNER
4648	4648	3855	OWNER
4649	4649	3856	OWNER
4650	4650	3857	OWNER
4651	4651	3858	OWNER
4652	4652	3859	OWNER
4653	4653	3860	OWNER
4654	4654	3861	OWNER
4655	4655	3861	DISPONENT
4656	4656	3862	OWNER
4657	4657	3863	OWNER
4658	4658	3864	OWNER
4659	4659	3865	OWNER
4660	4660	3866	OWNER
4661	4661	3867	OWNER
4662	4662	3868	OWNER
4663	4663	3869	OWNER
4664	4664	3870	OWNER
4665	4665	3871	OWNER
4666	4666	3871	DISPONENT
4667	4667	3872	OWNER
4668	4668	3872	DISPONENT
4670	4670	3874	OWNER
4671	4671	3874	DISPONENT
4672	4672	3875	OWNER
4673	4673	3876	OWNER
4674	4674	3877	OWNER
4675	4675	3878	OWNER
4677	4677	3880	OWNER
4678	4678	3881	OWNER
4679	4679	3882	OWNER
4680	4680	3883	OWNER
4681	4681	3884	OWNER
4682	4682	3884	DISPONENT
4683	4683	3885	OWNER
4684	4684	3886	OWNER
4685	4685	3887	OWNER
4686	4686	3888	OWNER
4687	4687	3889	OWNER
4688	4688	3889	DISPONENT
4689	4689	3890	OWNER
4690	4690	3891	OWNER
4691	4691	3891	DISPONENT
4692	4692	3892	OWNER
4693	4693	3893	OWNER
4694	4694	3893	DISPONENT
4695	4695	3894	OWNER
4696	4696	3894	DISPONENT
4697	4697	3895	OWNER
4698	4698	3896	OWNER
4699	4699	3897	OWNER
4700	4700	3898	OWNER
4701	4701	3899	OWNER
4704	4704	3901	OWNER
4705	4705	3902	OWNER
4706	4706	3903	OWNER
4707	4707	3903	DISPONENT
4708	4708	3904	OWNER
4709	4709	3905	OWNER
4710	4710	3906	OWNER
4711	4711	3906	DISPONENT
4712	4712	3907	OWNER
4713	4713	3908	OWNER
4714	4714	3908	DISPONENT
4715	4715	3909	OWNER
4716	4716	3910	OWNER
4717	4717	3911	OWNER
4718	4718	3912	OWNER
4719	4719	3913	OWNER
4720	4720	3914	OWNER
4721	4721	3915	OWNER
4722	4722	3916	OWNER
4723	4723	3917	OWNER
4724	4724	3918	OWNER
4725	4725	3919	OWNER
4726	4726	3919	DISPONENT
4727	4727	3920	OWNER
4728	4728	3920	DISPONENT
4729	4729	3921	OWNER
4730	4730	3922	OWNER
4731	4731	3923	OWNER
4732	4732	3924	OWNER
4733	4733	3925	OWNER
4734	4734	3926	OWNER
4735	4735	3926	DISPONENT
4736	4736	3927	OWNER
4737	4737	3928	OWNER
4739	4739	3930	OWNER
4740	4740	3931	OWNER
4741	4741	3932	OWNER
4742	4742	3933	OWNER
4743	4743	3933	DISPONENT
4744	4744	3934	OWNER
4745	4745	3935	OWNER
4746	4746	3936	OWNER
4747	4747	3937	OWNER
4748	4748	3937	DISPONENT
4749	4749	3938	OWNER
4750	4750	3939	OWNER
4751	4751	3940	OWNER
4752	4752	3941	OWNER
4753	4753	3941	DISPONENT
4754	4754	3942	OWNER
4755	4755	3943	OWNER
4756	4756	3944	OWNER
4757	4757	3944	DISPONENT
4758	4758	3945	OWNER
4759	4759	3945	DISPONENT
4760	4760	3946	OWNER
4761	4761	3946	DISPONENT
4762	4762	3947	OWNER
4763	4763	3948	OWNER
4764	4764	3949	OWNER
4765	4765	3950	OWNER
4766	4766	3951	OWNER
4767	4767	3952	OWNER
4768	4768	3953	OWNER
4769	4769	3954	OWNER
4770	4770	3954	DISPONENT
4771	4771	3955	OWNER
4772	4772	3956	OWNER
4773	4773	3957	OWNER
4774	4774	3958	OWNER
4775	4775	3958	DISPONENT
4776	4776	3959	OWNER
4777	4777	3960	OWNER
4778	4778	3960	DISPONENT
4779	4779	3961	OWNER
4780	4780	3962	OWNER
4781	4781	3963	OWNER
4782	4782	3964	OWNER
4783	4783	3965	OWNER
4784	4784	3966	OWNER
4785	4785	3966	DISPONENT
4786	4786	3967	OWNER
4787	4787	3968	OWNER
4788	4788	3969	OWNER
4789	4789	3970	OWNER
4790	4790	3971	OWNER
4791	4791	3972	OWNER
4792	4792	3973	OWNER
4793	4793	3974	OWNER
4794	4794	3975	OWNER
4795	4795	3976	OWNER
4796	4796	3977	OWNER
4797	4797	3978	OWNER
4798	4798	3979	OWNER
4799	4799	3980	OWNER
4800	4800	3980	DISPONENT
4801	4801	3981	OWNER
4802	4802	3982	OWNER
4803	4803	3983	OWNER
4804	4804	3984	OWNER
4805	4805	3985	OWNER
4806	4806	3986	OWNER
4807	4807	3987	OWNER
4808	4808	3988	OWNER
4809	4809	3989	OWNER
4810	4810	3989	DISPONENT
4811	4811	3990	OWNER
4812	4812	3991	OWNER
4813	4813	3992	OWNER
4814	4814	3993	OWNER
4815	4815	3994	OWNER
4816	4816	3994	DISPONENT
4817	4817	3995	OWNER
4818	4818	3996	OWNER
4819	4819	3997	OWNER
4820	4820	3998	OWNER
4821	4821	3999	OWNER
4822	4822	3999	DISPONENT
4823	4823	4000	OWNER
4824	4824	4001	OWNER
4826	4826	4003	OWNER
4831	4831	4008	OWNER
4832	4832	4009	OWNER
4833	4833	4010	OWNER
4836	4836	4013	OWNER
4837	4837	4014	OWNER
4853	4853	4026	OWNER
4861	4861	4033	OWNER
4862	4862	4034	OWNER
4863	4863	4035	OWNER
4877	4877	4047	OWNER
4882	4882	4052	OWNER
4886	4886	4055	OWNER
4892	4892	4059	OWNER
4901	4901	4066	OWNER
4904	4904	4069	OWNER
4906	4906	4071	OWNER
4907	4907	4071	DISPONENT
4915	4915	4078	OWNER
4916	4916	4079	OWNER
4918	4918	4081	OWNER
4919	4919	4082	OWNER
4923	4923	4086	OWNER
4925	4925	4088	OWNER
4927	4927	4090	OWNER
4928	4928	4091	OWNER
4929	4929	4092	OWNER
4930	4930	4093	OWNER
4937	4937	4099	OWNER
4941	4941	4102	OWNER
4942	4942	4103	OWNER
4944	4944	4105	OWNER
4949	4949	4109	OWNER
4956	4956	4116	OWNER
4959	4959	4119	OWNER
4961	4961	4121	OWNER
4968	4968	4127	OWNER
4969	4969	4128	OWNER
4972	4972	4130	OWNER
4974	4974	4131	OWNER
4975	4975	4131	DISPONENT
4976	4976	4132	OWNER
4979	4979	4134	OWNER
4989	4989	4140	OWNER
4992	4992	4143	OWNER
4993	4993	4144	OWNER
4994	4994	4144	DISPONENT
5002	5002	4150	OWNER
5010	5010	4156	OWNER
5012	5012	4158	OWNER
5013	5013	4159	OWNER
5016	5016	4161	OWNER
5028	5028	4171	OWNER
5030	5030	4173	OWNER
5046	5046	4186	OWNER
5050	5050	4190	OWNER
5056	5056	4195	OWNER
5067	5067	4204	OWNER
5072	5072	4208	OWNER
5081	5081	4214	OWNER
5093	5093	4225	OWNER
5107	5107	4237	OWNER
5108	5108	4237	DISPONENT
5111	5111	4240	OWNER
5117	5117	4245	OWNER
5126	5126	4253	OWNER
5127	5127	4254	OWNER
5128	5128	4255	OWNER
5132	5132	4258	OWNER
5133	5133	4259	OWNER
5134	5134	4260	OWNER
5137	5137	4263	OWNER
5138	5138	4264	OWNER
5141	5141	4266	OWNER
5143	5143	4268	OWNER
5144	5144	4268	DISPONENT
5145	5145	4269	OWNER
5149	5149	4273	OWNER
5152	5152	4276	OWNER
5159	5159	4283	OWNER
5163	5163	4286	OWNER
5164	5164	4287	OWNER
5171	5171	4293	OWNER
5175	5175	4296	OWNER
5180	5180	4301	OWNER
5189	5189	4309	OWNER
5200	5200	4318	OWNER
5201	5201	4318	DISPONENT
5203	5203	4320	OWNER
5204	5204	4321	OWNER
5212	5212	4328	OWNER
5213	5213	4329	OWNER
5214	5214	4330	OWNER
5215	5215	4330	DISPONENT
5217	5217	4332	OWNER
5223	5223	4336	OWNER
5224	5224	4337	OWNER
5232	5232	4342	OWNER
5233	5233	4343	OWNER
5236	5236	4346	OWNER
5237	5237	4347	OWNER
5240	5240	4349	OWNER
5241	5241	4350	OWNER
5243	5243	4352	OWNER
5245	5245	4354	OWNER
5246	5246	4355	OWNER
5247	5247	4356	OWNER
5249	5249	4358	OWNER
5253	5253	4361	OWNER
5254	5254	4361	DISPONENT
5263	5263	4368	OWNER
5273	5273	4375	OWNER
5275	5275	4377	OWNER
5277	5277	4379	OWNER
5281	5281	4383	OWNER
5283	5283	4385	OWNER
5284	5284	4386	OWNER
5287	5287	4389	OWNER
5308	5308	4405	OWNER
5312	5312	4408	OWNER
5313	5313	4408	DISPONENT
5318	5318	4413	OWNER
5319	5319	4413	DISPONENT
5320	5320	4414	OWNER
5321	5321	4414	DISPONENT
5322	5322	4415	OWNER
5323	5323	4416	OWNER
5325	5325	4418	OWNER
5326	5326	4418	DISPONENT
5333	5333	4423	OWNER
5334	5334	4424	OWNER
5337	5337	4427	OWNER
5338	5338	4427	DISPONENT
5347	5347	4434	OWNER
5352	5352	4437	OWNER
5353	5353	4438	OWNER
5354	5354	4439	OWNER
5358	5358	4442	OWNER
5362	5362	4445	OWNER
5364	5364	4447	OWNER
5365	5365	4447	DISPONENT
5366	5366	4448	OWNER
5367	5367	4448	DISPONENT
5374	5374	4454	OWNER
5376	5376	4456	OWNER
5379	5379	4458	OWNER
5384	5384	4462	OWNER
5385	5385	4463	OWNER
5389	5389	4467	OWNER
5392	5392	4470	OWNER
5393	5393	4471	OWNER
5395	5395	4473	OWNER
5397	5397	4475	OWNER
5398	5398	4475	DISPONENT
5399	5399	4476	OWNER
5402	5402	4478	OWNER
5404	5404	4480	OWNER
5409	5409	4484	OWNER
5413	5413	4488	OWNER
5420	5420	4493	OWNER
5433	5433	4503	OWNER
5441	5441	4511	OWNER
5445	5445	4514	OWNER
5450	5450	4519	OWNER
5460	5460	4526	OWNER
5461	5461	4527	OWNER
5462	5462	4527	DISPONENT
5468	5468	4533	OWNER
5469	5469	4534	OWNER
5472	5472	4537	OWNER
5473	5473	4538	OWNER
5478	5478	4543	OWNER
5487	5487	4550	OWNER
5517	5517	4576	OWNER
5521	5521	4580	OWNER
5526	5526	4585	OWNER
5527	5527	4585	DISPONENT
5530	5530	4588	OWNER
5531	5531	4589	OWNER
5539	5539	4596	OWNER
5563	5563	4616	OWNER
5565	5565	4618	OWNER
5574	5574	4626	OWNER
5579	5579	4631	OWNER
5580	5580	4631	DISPONENT
5606	5606	4650	OWNER
5617	5617	4659	OWNER
5618	5618	4660	OWNER
5642	5642	4681	OWNER
5684	5684	4715	OWNER
5699	5699	4725	OWNER
5701	5701	4727	OWNER
5704	5704	4729	OWNER
5722	5722	4743	OWNER
5727	5727	4746	OWNER
5736	5736	4753	OWNER
5753	5753	4768	OWNER
5760	5760	4774	OWNER
5761	5761	4774	DISPONENT
5774	5774	4784	OWNER
5775	5775	4784	DISPONENT
5788	5788	4794	OWNER
5801	5801	4803	OWNER
5826	5826	4825	OWNER
5827	5827	4825	DISPONENT
5858	5858	4851	OWNER
5859	5859	4851	DISPONENT
5860	5860	4852	OWNER
5866	5866	4858	OWNER
5873	5873	4863	OWNER
5911	5911	4894	OWNER
5928	5928	4907	OWNER
5965	5965	4937	OWNER
5977	5977	4948	OWNER
5978	5978	4949	OWNER
6001	6001	4969	OWNER
6015	6015	4981	OWNER
6033	6033	4994	OWNER
6034	6034	4995	OWNER
6039	6039	4999	OWNER
6040	6040	4999	DISPONENT
6042	6042	5001	OWNER
6052	6052	5011	OWNER
6067	6067	5024	OWNER
6077	6077	5033	OWNER
6112	6112	5063	OWNER
6114	6114	5065	OWNER
6115	6115	5066	OWNER
6122	6122	5072	OWNER
6144	6144	5092	OWNER
6175	6175	5118	OWNER
6178	6178	5120	OWNER
6183	6183	5125	OWNER
6185	6185	5126	OWNER
6186	6186	5126	DISPONENT
6191	6191	5129	OWNER
6196	6196	5133	OWNER
6235	6235	5164	OWNER
6255	6255	5180	OWNER
6256	6256	5180	DISPONENT
6257	6257	5181	OWNER
6272	6272	5194	OWNER
6275	6275	5196	OWNER
6299	6299	5213	OWNER
6301	6301	5215	OWNER
6317	6317	5228	OWNER
6318	6318	5228	DISPONENT
6342	6342	5250	OWNER
6349	6349	5256	OWNER
6359	6359	5263	OWNER
6363	6363	5267	OWNER
6366	6366	5269	OWNER
6367	6367	5270	OWNER
6383	6383	5283	OWNER
6391	6391	5290	OWNER
6408	6408	5305	OWNER
6417	6417	5313	OWNER
6422	6422	5317	OWNER
6452	6452	5343	OWNER
6468	6468	5357	OWNER
6469	6469	5358	OWNER
6473	6473	5362	OWNER
6474	6474	5362	DISPONENT
6478	6478	5366	OWNER
6481	6481	5369	OWNER
6485	6485	5372	OWNER
6499	6499	5385	OWNER
6501	6501	5387	OWNER
6511	6511	5395	OWNER
6544	6544	5422	OWNER
6545	6545	5422	DISPONENT
6546	6546	5423	OWNER
6551	6551	5428	OWNER
6552	6552	5429	OWNER
6567	6567	5442	OWNER
6571	6571	5445	OWNER
6604	6604	5472	OWNER
6610	6610	5477	OWNER
6616	6616	5481	OWNER
6619	6619	5483	OWNER
6644	6644	5505	OWNER
6691	6691	5541	OWNER
6698	6698	5546	OWNER
6729	6729	5572	OWNER
6731	6731	5574	OWNER
6749	6749	5591	OWNER
6750	6750	5591	DISPONENT
6753	6753	5593	OWNER
6764	6764	5602	OWNER
6789	6789	5622	OWNER
6798	6798	5628	OWNER
6803	6803	5632	OWNER
6804	6804	5632	DISPONENT
6827	6827	5648	OWNER
6829	6829	5650	OWNER
6844	6844	5661	OWNER
6886	6886	5692	OWNER
6892	6892	5698	OWNER
6893	6893	5698	DISPONENT
6895	6895	5700	OWNER
6906	6906	5708	OWNER
6922	6922	5724	OWNER
6924	6924	5726	OWNER
6936	6936	5735	OWNER
6944	6944	5740	OWNER
6946	6946	5742	OWNER
6967	6967	5758	OWNER
6978	6978	5767	OWNER
6987	6987	5774	OWNER
7010	7010	5794	OWNER
7011	7011	5794	DISPONENT
7043	7043	5817	OWNER
7065	7065	5837	OWNER
7100	7100	5868	OWNER
7102	7102	5870	OWNER
7112	7112	5878	OWNER
7127	7127	5891	OWNER
7150	7150	5912	OWNER
7166	7166	5927	OWNER
7186	7186	5944	OWNER
7195	7195	5952	OWNER
7234	7234	5984	OWNER
7241	7241	5991	OWNER
7286	7286	6030	OWNER
7291	7291	6034	OWNER
7299	7299	6040	OWNER
7311	7311	6051	OWNER
7324	7324	6061	OWNER
7325	7325	6062	OWNER
7327	7327	6064	OWNER
7339	7339	6075	OWNER
7348	7348	6083	OWNER
7366	7366	6097	OWNER
7390	7390	6118	OWNER
7411	7411	6138	OWNER
7412	7412	6138	DISPONENT
7422	7422	6148	OWNER
7423	7423	6148	DISPONENT
7434	7434	6157	OWNER
7435	7435	6158	OWNER
7521	7521	6226	OWNER
7567	7567	6265	OWNER
7576	7576	6273	OWNER
7586	7586	6281	OWNER
7594	7594	6289	OWNER
7614	7614	6306	OWNER
7632	7632	6321	OWNER
7672	7672	6353	OWNER
7678	7678	6358	OWNER
7683	7683	6363	OWNER
7723	7723	6397	OWNER
7724	7724	6397	DISPONENT
7727	7727	6400	OWNER
7753	7753	6425	OWNER
7765	7765	6434	OWNER
7772	7772	6440	OWNER
7787	7787	6453	OWNER
7796	7796	6461	OWNER
7797	7797	6461	DISPONENT
7800	7800	6463	OWNER
7814	7814	6472	OWNER
7815	7815	6473	OWNER
7843	7843	6495	OWNER
7855	7855	6505	OWNER
7862	7862	6510	OWNER
7863	7863	6511	OWNER
7864	7864	6512	OWNER
7914	7914	6555	OWNER
7959	7959	6592	OWNER
7970	7970	6602	OWNER
7980	7980	6609	OWNER
8013	8013	6636	OWNER
8030	8030	6649	OWNER
8064	8064	6678	OWNER
8074	8074	6686	OWNER
8076	8076	6688	OWNER
8089	8089	6699	OWNER
8091	8091	6701	OWNER
8096	8096	6706	OWNER
8105	8105	6715	OWNER
8130	8130	6738	OWNER
8200	8200	6792	OWNER
8217	8217	6806	OWNER
8276	8276	6856	OWNER
8287	8287	6866	OWNER
8295	8295	6872	OWNER
8327	8327	6897	OWNER
8333	8333	6902	OWNER
8342	8342	6910	OWNER
8356	8356	6922	OWNER
8359	8359	6924	OWNER
8362	8362	6927	OWNER
8366	8366	6930	OWNER
8392	8392	6950	OWNER
8393	8393	6950	DISPONENT
8432	8432	6985	OWNER
8433	8433	6985	DISPONENT
8463	8463	7011	OWNER
8489	8489	7033	OWNER
8502	8502	7045	OWNER
8506	8506	7049	OWNER
8510	8510	7052	OWNER
8548	8548	7082	OWNER
8568	8568	7099	OWNER
8571	8571	7101	OWNER
8598	8598	7123	OWNER
8610	8610	7133	OWNER
8611	8611	7133	DISPONENT
8615	8615	7136	OWNER
8636	8636	7156	OWNER
8661	8661	7176	OWNER
8666	8666	7180	OWNER
8667	8667	7181	OWNER
8670	8670	7184	OWNER
8677	8677	7190	OWNER
8678	8678	7190	DISPONENT
8692	8692	7203	OWNER
8726	8726	7231	OWNER
8737	8737	7240	OWNER
8738	8738	7240	DISPONENT
8764	8764	7262	OWNER
8777	8777	7274	OWNER
8865	9173	7401	OWNER
8866	9174	7401	DISPONENT
8888	9196	7418	OWNER
8894	9202	7424	OWNER
8909	9217	7437	OWNER
8918	9226	7445	OWNER
8923	9231	7449	OWNER
8928	9236	7454	OWNER
8942	9250	7465	OWNER
8965	9273	7485	OWNER
8966	9274	7485	DISPONENT
8968	9276	7487	OWNER
9005	9313	7520	OWNER
9008	9316	7523	OWNER
9032	9340	7542	OWNER
9038	9346	7546	OWNER
9054	9362	7559	OWNER
9058	9366	7562	OWNER
9062	9370	7565	OWNER
9095	9403	7594	OWNER
9109	9417	7606	OWNER
9110	9418	7607	OWNER
9111	9419	7607	DISPONENT
9119	9427	7614	OWNER
9120	9428	7614	DISPONENT
9125	9433	7618	OWNER
9142	9450	7632	OWNER
9143	9451	7632	DISPONENT
9148	9456	7636	OWNER
9149	9457	7637	OWNER
9150	9458	7637	DISPONENT
9197	9505	7674	OWNER
9238	9546	7713	OWNER
9247	9555	7721	OWNER
9261	9569	7733	OWNER
9274	9582	7745	OWNER
9285	9593	7753	OWNER
9298	9606	7765	OWNER
9303	9611	7769	OWNER
9308	9616	7774	OWNER
9333	9641	7795	OWNER
9334	9642	7795	DISPONENT
9355	9663	7815	OWNER
9356	9664	7815	DISPONENT
9362	9670	7819	OWNER
9367	9675	7824	OWNER
9372	9680	7828	OWNER
9394	9702	7844	OWNER
9407	9715	7857	OWNER
9409	9717	7859	OWNER
9410	9718	7859	DISPONENT
9413	9721	7861	OWNER
9447	9755	7890	OWNER
9452	9760	7894	OWNER
9467	9775	7907	OWNER
9468	9776	7907	DISPONENT
9490	9798	7926	OWNER
9512	9820	7944	OWNER
9525	9833	7957	OWNER
9526	9834	7957	DISPONENT
9536	9844	7965	OWNER
9537	9845	7965	DISPONENT
9538	9846	7966	OWNER
9564	9872	7990	OWNER
9572	9880	7997	OWNER
9606	9914	8026	OWNER
9607	9915	8027	OWNER
9621	9929	8038	OWNER
9622	9930	8039	OWNER
9625	9933	8041	OWNER
9637	9945	8051	OWNER
9638	9946	8051	DISPONENT
9665	9973	8073	OWNER
9679	9987	8085	OWNER
9687	9995	8092	OWNER
9689	9997	8094	OWNER
9715	10023	8114	OWNER
9732	10040	8127	OWNER
9733	10041	8127	DISPONENT
9735	10043	8129	OWNER
9738	10046	8132	OWNER
9758	10066	8149	OWNER
9762	10070	8153	OWNER
9767	10075	8158	OWNER
9768	10076	8159	OWNER
9769	10077	8159	DISPONENT
9782	10090	8169	OWNER
9787	10095	8173	OWNER
9788	10096	8173	DISPONENT
9837	10145	8212	OWNER
9851	10159	8225	OWNER
9890	10198	8260	OWNER
9891	10199	8260	DISPONENT
9892	10200	8261	OWNER
9893	10201	8261	DISPONENT
9901	10209	8268	OWNER
9961	10269	8316	OWNER
9965	10273	8320	OWNER
9966	10274	8320	DISPONENT
9967	10275	8321	OWNER
9968	10276	8321	DISPONENT
9974	10282	8327	OWNER
9979	10287	8330	OWNER
9980	10288	8330	DISPONENT
9995	10303	8341	OWNER
10042	10350	8377	OWNER
10043	10351	8377	DISPONENT
10047	10355	8381	OWNER
10074	10382	8405	OWNER
10081	10389	8411	OWNER
10151	10459	8475	OWNER
10167	10475	8489	OWNER
10168	10476	8489	DISPONENT
10171	10479	8492	OWNER
10184	10492	8505	OWNER
10202	10510	8519	OWNER
10203	10511	8519	DISPONENT
10209	10517	8523	OWNER
10220	10528	8533	OWNER
10235	10543	8547	OWNER
10247	10555	8558	OWNER
10255	10563	8564	OWNER
10256	10564	8564	DISPONENT
10258	10566	8566	OWNER
10328	10636	8625	OWNER
10331	10639	8628	OWNER
10346	10654	8639	OWNER
10354	10662	8645	OWNER
10394	10702	8680	OWNER
10395	10703	8680	DISPONENT
10406	10714	8688	OWNER
10438	10746	8713	OWNER
10469	10777	8742	OWNER
10470	10778	8742	DISPONENT
10490	10798	8759	OWNER
10505	10813	8772	OWNER
10510	10818	8776	OWNER
10520	10828	8784	OWNER
10604	10912	8856	OWNER
10652	10960	8896	OWNER
10655	10963	8899	OWNER
10679	10987	8919	OWNER
10680	10988	8919	DISPONENT
10689	10997	8926	OWNER
10690	10998	8926	DISPONENT
10696	11004	8931	OWNER
10700	11008	8934	OWNER
10726	11034	8957	OWNER
10742	11050	8972	OWNER
10755	11063	8982	OWNER
10756	11064	8982	DISPONENT
10775	11083	8998	OWNER
10785	11093	9006	OWNER
10797	11105	9017	OWNER
10806	11114	9024	OWNER
10813	11121	9030	OWNER
10814	11122	9030	DISPONENT
10815	11123	9031	OWNER
10818	11126	9034	OWNER
10822	11130	9037	OWNER
10823	11131	9037	DISPONENT
10828	11136	9041	OWNER
10839	11147	9051	OWNER
10841	11149	9052	OWNER
10887	11195	9093	OWNER
10900	11208	9104	OWNER
10942	11250	9138	OWNER
10944	11252	9140	OWNER
10958	11266	9153	OWNER
10959	11267	9153	DISPONENT
10963	11271	9156	OWNER
10966	11274	9159	OWNER
10967	11275	9159	DISPONENT
10978	11286	9167	OWNER
10996	11304	9179	OWNER
11006	11314	9188	OWNER
11011	11319	9192	OWNER
11019	11327	9199	OWNER
11021	11329	9201	OWNER
11023	11331	9203	OWNER
11029	11337	9208	OWNER
11051	11359	9225	OWNER
11052	11360	9225	DISPONENT
11054	11362	9227	OWNER
11063	11371	9235	OWNER
11064	11372	9236	OWNER
11071	11379	9241	OWNER
11072	11380	9241	DISPONENT
11073	11381	9242	OWNER
11097	11405	9263	OWNER
11098	11406	9263	DISPONENT
11101	11409	9265	OWNER
11153	11461	9307	OWNER
11183	11491	9333	OWNER
11189	11497	9337	OWNER
11208	11516	9353	OWNER
11209	11517	9353	DISPONENT
11237	11545	9377	OWNER
11266	11574	9403	OWNER
11288	11596	9422	OWNER
11290	11598	9424	OWNER
11301	11609	9433	OWNER
11329	11637	9455	OWNER
11330	11638	9455	DISPONENT
11354	11662	9472	OWNER
11368	11676	9484	OWNER
11375	11683	9491	OWNER
11377	11685	9493	OWNER
11378	11686	9494	OWNER
11379	11687	9494	DISPONENT
11393	11701	9504	OWNER
11401	11709	9510	OWNER
11402	11710	9510	DISPONENT
11405	11713	9513	OWNER
11406	11714	9513	DISPONENT
11424	11732	9528	OWNER
11446	11754	9548	OWNER
11447	11755	9549	OWNER
11460	11768	9560	OWNER
11486	11794	9583	OWNER
11487	11795	9583	DISPONENT
11496	11804	9591	OWNER
11543	11851	9627	OWNER
11547	11855	9631	OWNER
11549	11857	9633	OWNER
11552	11860	9635	OWNER
11558	11866	9640	OWNER
11559	11867	9640	DISPONENT
11565	11873	9645	OWNER
11566	11874	9646	OWNER
11567	11875	9646	DISPONENT
11578	11886	9656	OWNER
11598	11906	9673	OWNER
11599	11907	9673	DISPONENT
11603	11911	9677	OWNER
11635	11943	9703	OWNER
11639	11947	9707	OWNER
11668	11976	9730	OWNER
11669	11977	9730	DISPONENT
11670	11978	9731	OWNER
11671	11979	9731	DISPONENT
11695	12003	9750	OWNER
11742	12050	9790	OWNER
11743	12051	9790	DISPONENT
11771	12079	9814	OWNER
11784	12092	9826	OWNER
11787	12095	9828	OWNER
11794	12102	9833	OWNER
11825	12133	9859	OWNER
11836	12144	9869	OWNER
11837	12145	9869	DISPONENT
11855	12163	9883	OWNER
11873	12181	9897	OWNER
11912	12220	9928	OWNER
11913	12221	9928	DISPONENT
11995	12303	10001	OWNER
12000	12308	10005	OWNER
12016	12324	10018	OWNER
12017	12325	10019	OWNER
12020	12328	10022	OWNER
12036	12344	10036	OWNER
12050	12358	10049	OWNER
12051	12359	10049	DISPONENT
12068	12376	10063	OWNER
12070	12378	10065	OWNER
12074	12382	10068	OWNER
12075	12383	10068	DISPONENT
12088	12396	10079	OWNER
12089	12397	10079	DISPONENT
12108	12416	10093	OWNER
12109	12417	10093	DISPONENT
12124	12432	10105	OWNER
12156	12464	10131	OWNER
12160	12468	10134	OWNER
12177	12485	10148	OWNER
12182	12490	10152	OWNER
12239	12547	10202	OWNER
12253	12561	10215	OWNER
12260	12568	10220	OWNER
12269	12577	10227	OWNER
12278	12586	10233	OWNER
12291	12599	10243	OWNER
12308	12616	10257	OWNER
12317	12625	10266	OWNER
12335	12643	10280	OWNER
12354	12662	10297	OWNER
12387	12695	10320	OWNER
12418	12726	10343	OWNER
12421	12729	10345	OWNER
12422	12730	10345	DISPONENT
12430	12738	10351	OWNER
12431	12739	10351	DISPONENT
12442	12750	10361	OWNER
12446	12754	10364	OWNER
12447	12755	10364	DISPONENT
12448	12756	10365	OWNER
12494	12802	10404	OWNER
12502	12810	10411	OWNER
12532	12840	10436	OWNER
12535	12843	10439	OWNER
12536	12844	10440	OWNER
12542	12850	10445	OWNER
12543	12851	10445	DISPONENT
12551	12859	10451	OWNER
12582	12890	10478	OWNER
12600	12908	10493	OWNER
12635	12943	10520	OWNER
12678	12986	10558	OWNER
12683	12991	10562	OWNER
12736	13044	10607	OWNER
12743	13051	10613	OWNER
12763	13071	10630	OWNER
12781	13089	10644	OWNER
12782	13090	10645	OWNER
12787	13095	10650	OWNER
12790	13098	10652	OWNER
12794	13102	10656	OWNER
12805	13113	10663	OWNER
12815	13123	10670	OWNER
12826	13134	10679	OWNER
12843	13151	10694	OWNER
12863	13171	10710	OWNER
12864	13172	10711	OWNER
12882	13190	10728	OWNER
12893	13201	10738	OWNER
12923	13231	10762	OWNER
12938	13246	10774	OWNER
12952	13260	10788	OWNER
12953	13261	10789	OWNER
12954	13262	10789	DISPONENT
12968	13276	10799	OWNER
12977	13285	10807	OWNER
12982	13290	10812	OWNER
12983	13291	10812	DISPONENT
13038	13346	10857	OWNER
13072	13380	10884	OWNER
13096	13404	10904	OWNER
13097	13405	10905	OWNER
13098	13406	10906	OWNER
13104	13412	10911	OWNER
13109	13417	10915	OWNER
13139	13447	10940	OWNER
13140	13448	10940	DISPONENT
13143	13451	10942	OWNER
13160	13468	10954	OWNER
13161	13469	10954	DISPONENT
13172	13480	10963	OWNER
13182	13490	10973	OWNER
13231	13539	11013	OWNER
13240	13548	11021	OWNER
13248	13556	11027	OWNER
13268	13576	11042	OWNER
13280	13588	11053	OWNER
13282	13590	11054	OWNER
13295	13603	11065	OWNER
13300	13608	11069	OWNER
13312	13620	11079	OWNER
13332	13640	11096	OWNER
13349	13657	11111	OWNER
13350	13658	11111	DISPONENT
13365	13673	11123	OWNER
13379	13687	11135	OWNER
13382	13690	11138	OWNER
13386	13694	11141	OWNER
13442	13750	11186	OWNER
13443	13751	11186	DISPONENT
13495	13803	11231	OWNER
13512	13820	11244	OWNER
13537	13845	11265	OWNER
13544	13852	11271	OWNER
13578	13886	11295	OWNER
13604	13912	11317	OWNER
13607	13915	11320	OWNER
13613	13921	11325	OWNER
13615	13923	11327	OWNER
13616	13924	11328	OWNER
13623	13931	11333	OWNER
13647	13955	11349	OWNER
13648	13956	11349	DISPONENT
13660	13968	11359	OWNER
13663	13971	11362	OWNER
13690	13998	11382	OWNER
\.


--
-- Data for Name: district; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial.district (district_id, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16) FROM stdin;
1	Hl.m. Praha	Prague	1204953	0	0	0	1	1	100.0	12541	0.2	0.43	167	85677	99107
2	Benesov	central Bohemia	88884	80	26	6	2	5	46.7	8507	1.6	1.85	132	2159	2674
3	Beroun	central Bohemia	75232	55	26	4	1	5	41.7	8980	1.9	2.21	111	2824	2813
4	Kladno	central Bohemia	149893	63	29	6	2	6	67.4	9753	4.6	5.05	109	5244	5892
5	Kolin	central Bohemia	95616	65	30	4	1	6	51.4	9307	3.8	4.43	118	2616	3040
6	Kutna Hora	central Bohemia	77963	60	23	4	2	4	51.5	8546	2.9	4.02	126	2640	3120
7	Melnik	central Bohemia	94725	38	28	1	3	6	63.4	9920	2.2	2.87	130	4289	4846
8	Mlada Boleslav	central Bohemia	112065	95	19	7	1	8	69.4	11277	1.2	1.44	127	5179	4987
9	Nymburk	central Bohemia	81344	61	23	4	2	6	55.3	8899	3.3	3.97	149	2987	2487
10	Praha - vychod	central Bohemia	92084	55	29	4	3	5	46.7	10124	0.5	0.54	141	3810	4316
11	Praha - zapad	central Bohemia	75637	35	36	9	0	7	36.5	9622	0.4	0.59	154	3475	3529
12	Pribram	central Bohemia	107870	84	29	6	1	6	58.0	8754	3.8	4.31	137	3804	3868
13	Rakovnik	central Bohemia	53921	61	22	1	1	2	41.3	8598	2.7	3.26	123	1597	1875
14	Ceske Budejovice	south Bohemia	177686	69	27	10	1	9	74.8	10045	1.4	1.71	135	6604	6295
15	Cesky Krumlov	south Bohemia	58796	22	16	7	1	5	51.9	9045	3.1	3.60	124	1845	1879
16	Jindrichuv Hradec	south Bohemia	93931	74	21	10	1	8	56.9	8427	1.1	1.54	107	1874	1913
17	Pelhrimov	south Bohemia	74062	99	15	4	2	7	61.4	8114	2.3	2.62	119	1003	1181
18	Pisek	south Bohemia	70699	60	13	2	1	4	65.3	8968	2.8	3.35	131	1740	1910
19	Prachatice	south Bohemia	51428	50	11	3	1	4	52.7	8402	3.1	3.98	120	999	1099
20	Strakonice	south Bohemia	70646	94	14	3	1	4	58.4	8547	2.6	3.64	120	1563	1542
21	Tabor	south Bohemia	103347	87	16	7	1	7	67.0	9104	1.5	2.07	123	2299	2354
22	Domazlice	west Bohemia	58400	65	16	4	1	6	52.4	8620	1.1	1.25	100	1089	1117
23	Cheb	west Bohemia	87419	21	11	4	3	9	85.5	8624	1.7	2.66	102	2879	3198
24	Karlovy Vary	west Bohemia	122603	25	21	6	2	8	80.0	8991	1.3	2.01	128	5198	5273
25	Klatovy	west Bohemia	88757	60	33	3	2	10	61.7	8554	2.4	2.68	113	1822	2218
26	Plzen - mesto	west Bohemia	170449	0	0	0	1	1	100.0	10787	2.6	3.09	131	6041	6261
27	Plzen - jih	west Bohemia	67298	71	19	10	0	7	43.8	8561	0.6	1.29	110	1029	1127
28	Plzen - sever	west Bohemia	72541	66	26	10	0	8	36.9	8594	1.6	2.01	112	1580	1525
29	Rokycany	west Bohemia	45714	52	10	5	1	6	55.6	8843	2.8	3.60	113	818	888
30	Sokolov	west Bohemia	94812	15	13	8	2	10	81.8	9650	3.3	3.67	100	2985	2804
31	Tachov	west Bohemia	51313	34	12	3	1	4	59.2	8930	3.5	4.20	108	1328	1452
32	Ceska Lipa	north Bohemia	105058	32	19	7	2	10	81.0	9272	2.8	3.22	118	4340	4505
33	Decin	north Bohemia	133777	24	17	7	3	11	84.7	8705	5.7	7.61	116	4650	4859
34	Chomutov	north Bohemia	125236	28	11	1	4	5	87.7	9675	6.4	7.68	100	5323	5190
35	Jablonec n. Nisou	north Bohemia	88768	10	18	5	1	7	80.5	8867	1.0	1.21	130	3384	3620
36	Liberec	north Bohemia	159617	29	19	8	1	9	85.2	9198	3.3	4.28	131	5796	6132
37	Litomerice	north Bohemia	114006	71	26	6	2	9	62.3	9065	4.4	5.39	123	4147	4166
38	Louny	north Bohemia	85852	41	23	4	2	4	59.8	8965	7.0	8.23	104	2653	2822
39	Most	north Bohemia	119895	17	4	3	2	4	89.9	10446	7.3	9.40	90	4947	4743
40	Teplice	north Bohemia	128118	9	16	6	3	8	85.3	9317	6.4	7.07	97	6949	6872
41	Usti nad Labem	north Bohemia	118650	8	8	5	1	3	85.6	9832	3.3	4.48	114	6445	5471
42	Havlickuv Brod	east Bohemia	95907	87	25	5	2	7	59.1	8388	2.4	2.94	87	1658	1668
43	Hradec Kralove	east Bohemia	161854	73	21	6	1	6	76.3	9425	1.7	2.50	125	4085	3891
44	Chrudim	east Bohemia	105606	77	26	7	2	7	53.0	8254	2.7	3.76	97	2166	2325
45	Jicin	east Bohemia	77917	85	19	6	1	5	53.5	8390	2.2	2.89	132	2080	2122
46	Nachod	east Bohemia	112709	48	20	7	3	10	73.5	8369	1.7	2.31	117	2854	2618
47	Pardubice	east Bohemia	162580	83	26	5	1	6	72.8	9538	1.5	1.81	111	6079	5410
48	Rychnov nad Kneznou	east Bohemia	78955	50	24	8	1	9	59.0	9060	1.7	2.44	124	1655	1717
49	Semily	east Bohemia	75685	31	28	5	1	9	60.8	8208	1.8	2.26	155	1660	2123
50	Svitavy	east Bohemia	102609	75	33	2	3	6	52.0	8187	4.8	5.45	94	2123	2134
51	Trutnov	east Bohemia	121947	37	28	7	3	11	70.5	8541	2.5	2.97	131	3496	3839
52	Usti nad Orlici	east Bohemia	139012	59	41	8	3	10	61.9	8363	2.5	3.49	108	2564	2799
53	Blansko	south Moravia	107911	88	33	6	2	7	50.9	8240	2.5	3.56	99	1850	1903
54	Brno - mesto	south Moravia	387570	0	0	0	1	1	100.0	9897	1.6	1.96	140	18721	18696
55	Brno - venkov	south Moravia	157042	49	70	18	0	9	33.9	8743	1.8	2.43	111	3659	3894
56	Breclav	south Moravia	124605	11	42	14	1	8	46.0	8772	4.6	4.98	126	2854	3158
57	Hodonin	south Moravia	161954	21	37	20	3	8	48.0	8720	3.7	4.50	116	3729	3651
58	Jihlava	south Moravia	109164	98	16	6	1	4	63.6	8757	3.3	3.95	96	2212	2471
59	Kromeriz	south Moravia	108871	41	29	7	2	6	62.1	8444	3.2	3.47	106	2595	2305
60	Prostejov	south Moravia	110643	49	41	4	1	4	51.9	8441	3.4	4.48	115	1879	2252
61	Trebic	south Moravia	117897	139	28	5	1	6	53.8	8814	4.7	5.74	107	2112	2059
62	Uherske Hradiste	south Moravia	145688	22	41	13	2	5	40.7	8544	1.2	1.86	109	2719	2906
63	Vyskov	south Moravia	86513	38	36	5	1	5	50.5	8288	3.7	4.52	110	1562	1460
64	Zlin	south Moravia	197099	29	41	10	2	10	74.7	9624	1.6	2.31	145	4484	4265
65	Znojmo	south Moravia	114200	101	41	4	1	4	43.7	8403	5.7	5.72	105	2157	2718
66	Zdar nad Sazavou	south Moravia	125832	151	41	2	3	5	48.3	8512	3.5	4.12	102	2247	2103
67	Bruntal	north Moravia	106054	38	25	6	2	6	63.1	8110	5.7	6.55	109	3244	3079
68	Frydek - Mistek	north Moravia	228848	15	40	18	2	6	57.2	9893	4.0	4.72	96	5623	5887
69	Jesenik	north Moravia	42821	4	13	5	1	3	48.4	8173	\N	7.01	124	\N	1358
70	Karvina	north Moravia	285387	0	2	8	5	7	89.9	10177	6.6	7.75	81	9878	10108
71	Novy Jicin	north Moravia	161227	5	35	11	4	10	69.7	8678	5.9	5.57	102	4980	4595
72	Olomouc	north Moravia	226122	32	50	7	4	4	62.6	8994	3.8	4.79	110	9672	9208
73	Opava	north Moravia	182027	17	49	12	2	7	56.4	8746	3.3	3.74	90	4355	4433
74	Ostrava - mesto	north Moravia	323870	0	0	0	1	1	100.0	10673	4.7	5.44	100	18782	18347
75	Prerov	north Moravia	138032	67	30	4	2	5	64.6	8819	5.3	5.66	99	4063	4505
76	Sumperk	north Moravia	127369	31	32	13	2	7	51.2	8369	4.7	5.88	107	3736	2807
77	Vsetin	north Moravia	148545	8	35	12	3	4	53.5	8909	4.0	5.56	113	3460	3590
\.


--
-- Data for Name: loan; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial.loan (loan_id, account_id, date, amount, duration, payments, status) FROM stdin;
4959	2	1994-01-05	80952	24	3373.00	A
4961	19	1996-04-29	30276	12	2523.00	B
4962	25	1997-12-08	30276	12	2523.00	A
4967	37	1998-10-14	318480	60	5308.00	D
4968	38	1998-04-19	110736	48	2307.00	C
4973	67	1996-05-02	165960	24	6915.00	A
4986	97	1997-08-10	102876	12	8573.00	A
4988	103	1997-12-06	265320	36	7370.00	D
4989	105	1998-12-05	352704	48	7348.00	C
4990	110	1997-09-08	162576	36	4516.00	C
4996	132	1996-11-06	88440	12	7370.00	A
5002	173	1994-05-31	104808	12	8734.00	A
5005	176	1997-04-10	27456	12	2288.00	A
5015	226	1998-07-12	109344	12	9112.00	C
5027	276	1998-12-02	160920	36	4470.00	C
5032	290	1994-11-03	123696	48	2577.00	A
5034	303	1998-05-30	112752	36	3132.00	C
5036	309	1998-11-25	91248	48	1901.00	C
5039	314	1997-05-03	66840	24	2785.00	C
5041	319	1997-07-11	369000	60	6150.00	C
5042	330	1998-07-12	331584	48	6908.00	C
5043	339	1997-12-25	468060	60	7801.00	C
5044	344	1994-12-21	100980	60	1683.00	C
5045	347	1995-05-01	187224	24	7801.00	B
5046	349	1998-09-09	42816	12	3568.00	C
5051	378	1997-10-11	230400	60	3840.00	C
5060	426	1994-07-19	252060	60	4201.00	D
5061	440	1998-03-13	84288	48	1756.00	C
5063	442	1997-07-10	357840	48	7455.00	D
5072	472	1997-04-28	196800	24	8200.00	D
5082	501	1996-10-24	262980	60	4383.00	C
5086	525	1997-07-16	210384	48	4383.00	C
5088	544	1996-08-22	91152	24	3798.00	A
5103	666	1997-11-28	12540	12	1045.00	A
5110	675	1997-04-01	102240	60	1704.00	C
5117	718	1997-08-20	76944	12	6412.00	A
5124	785	1998-02-12	156096	36	4336.00	C
5125	789	1995-11-23	73056	48	1522.00	C
5126	790	1994-07-24	208128	48	4336.00	B
5128	808	1996-04-11	215616	48	4492.00	D
5130	813	1994-05-11	24312	12	2026.00	A
5131	816	1995-01-08	48624	24	2026.00	A
5132	817	1995-02-17	538500	60	8975.00	C
5134	825	1997-02-02	53076	12	4423.00	A
5136	846	1996-07-28	187104	24	7796.00	A
5138	854	1995-05-30	87216	48	1817.00	C
5140	873	1998-02-24	178500	60	2975.00	C
5145	915	1995-09-16	309552	48	6449.00	C
5147	938	1998-05-21	22260	60	371.00	C
5148	940	1996-05-29	284280	60	4738.00	C
5151	960	1995-05-24	189060	60	3151.00	C
5154	993	1998-07-01	108720	60	1812.00	C
5158	1004	1998-04-11	188532	36	5237.00	C
5160	1011	1995-12-18	204000	60	3400.00	C
5161	1012	1994-10-28	98184	24	4091.00	A
5169	1068	1998-09-24	253200	60	4220.00	C
5170	1071	1994-01-20	253200	60	4220.00	C
5172	1083	1998-04-16	50976	36	1416.00	C
5174	1093	1997-06-13	385104	48	8023.00	C
5176	1106	1994-11-12	192552	24	8023.00	B
5189	1166	1994-02-07	149040	48	3105.00	A
5206	1242	1997-09-07	128544	24	5356.00	C
5207	1244	1997-02-28	35904	48	748.00	C
5208	1247	1995-03-16	99696	48	2077.00	D
5209	1250	1996-11-25	182640	48	3805.00	C
5210	1252	1997-04-01	148140	36	4115.00	C
5212	1256	1995-05-29	71064	36	1974.00	A
5214	1270	1997-07-01	74772	36	2077.00	C
5221	1284	1998-12-05	52512	12	4376.00	C
5226	1318	1998-10-11	185544	36	5154.00	C
5229	1329	1997-09-06	23520	12	1960.00	A
5236	1374	1997-09-15	389136	48	8107.00	C
5237	1375	1995-08-29	45336	24	1889.00	A
5241	1389	1998-09-02	125472	24	5228.00	C
5245	1407	1998-01-17	125472	24	5228.00	C
5253	1447	1997-06-03	100080	48	2085.00	C
5260	1480	1998-01-19	123300	36	3425.00	C
5265	1498	1998-10-07	165780	60	2763.00	C
5269	1527	1994-11-19	164052	36	4557.00	B
5270	1528	1997-07-21	191088	48	3981.00	C
5281	1580	1997-11-27	194256	24	8094.00	C
5282	1583	1996-08-24	388512	48	8094.00	D
5285	1603	1994-02-06	78936	12	6578.00	A
5287	1638	1998-01-26	64224	24	2676.00	C
5293	1656	1998-10-29	189792	48	3954.00	C
5301	1698	1996-07-06	141948	36	3943.00	C
5304	1718	1998-08-20	172272	24	7178.00	C
5310	1762	1995-04-28	248148	36	6893.00	A
5311	1766	1996-06-15	30060	60	501.00	C
5312	1772	1996-03-13	202788	36	5633.00	C
5313	1776	1998-05-27	43200	24	1800.00	C
5314	1787	1993-07-05	96396	12	8033.00	B
5316	1801	1993-07-11	165960	36	4610.00	A
5318	1808	1998-09-30	385584	48	8033.00	C
5319	1811	1994-06-23	239460	60	3991.00	C
5320	1819	1998-01-11	143676	36	3991.00	C
5325	1843	1993-08-03	105804	36	2939.00	A
5329	1862	1996-10-16	396120	60	6602.00	C
5332	1869	1998-01-29	37944	36	1054.00	C
5334	1876	1998-09-10	209040	24	8710.00	C
5337	1886	1996-07-31	162468	36	4513.00	C
5338	1888	1997-08-30	57360	12	4780.00	B
5343	1906	1997-10-08	44952	24	1873.00	C
5346	1928	1998-12-06	55632	24	2318.00	C
5350	1967	1996-04-21	249312	48	5194.00	C
5351	1978	1994-12-04	205200	36	5700.00	A
5352	1993	1995-04-15	68400	12	5700.00	B
5354	2000	1998-07-14	290820	60	4847.00	C
5358	2018	1997-01-21	38520	12	3210.00	A
5360	2035	1998-01-25	176328	36	4898.00	C
5363	2051	1997-04-22	293880	60	4898.00	D
5365	2055	1998-07-19	271260	60	4521.00	C
5366	2062	1996-10-29	86184	12	7182.00	A
5367	2064	1997-08-26	83628	36	2323.00	C
5368	2073	1998-10-05	44640	24	1860.00	C
5369	2080	1997-09-12	214596	36	5961.00	C
5375	2106	1996-10-03	101520	12	8460.00	A
5377	2116	1997-08-04	92400	12	7700.00	A
5382	2134	1997-03-17	22932	36	637.00	C
5384	2142	1998-03-07	23328	12	1944.00	C
5385	2143	1996-09-09	71460	36	1985.00	C
5388	2153	1996-11-28	61560	12	5130.00	A
5389	2165	1997-08-22	78600	24	3275.00	C
5390	2167	1994-10-30	170256	24	7094.00	A
5395	2176	1994-07-30	299088	36	8308.00	B
5398	2187	1997-11-04	53472	12	4456.00	A
5409	2218	1995-11-18	182040	60	3034.00	C
5413	2227	1995-12-12	92976	24	3874.00	A
5414	2228	1995-03-29	185952	48	3874.00	C
5415	2236	1996-09-26	139464	36	3874.00	D
5418	2245	1995-01-16	347952	48	7249.00	C
5419	2246	1997-02-05	415800	60	6930.00	C
5420	2247	1997-02-24	72504	24	3021.00	C
5428	2262	1998-12-02	230220	36	6395.00	C
5429	2268	1996-07-18	20196	36	561.00	C
5435	2279	1998-06-01	314688	48	6556.00	C
5445	2322	1996-06-29	46320	24	1930.00	A
5446	2334	1997-08-04	48312	24	2013.00	C
5447	2335	1997-11-12	541200	60	9020.00	D
5449	2343	1995-11-04	99336	24	4139.00	A
5450	2345	1994-12-11	199680	60	3328.00	C
5451	2350	1997-05-11	159744	48	3328.00	C
5452	2352	1996-04-29	49440	60	824.00	C
5453	2361	1995-04-01	156672	36	4352.00	A
5463	2413	1998-10-06	17952	12	1496.00	C
5464	2419	1995-01-30	95808	12	7984.00	A
5469	2445	1997-12-26	293160	60	4886.00	C
5470	2456	1996-04-15	200976	48	4187.00	C
5479	2486	1994-01-10	24516	12	2043.00	A
5482	2496	1996-01-12	165120	60	2752.00	C
5486	2516	1997-06-13	466608	48	9721.00	C
5491	2545	1998-02-13	428784	48	8933.00	C
5494	2572	1996-06-13	360000	48	7500.00	C
5495	2580	1996-08-02	89340	60	1489.00	C
5501	2622	1998-05-21	136344	24	5681.00	C
5519	2694	1994-03-08	91632	12	7636.00	A
5520	2699	1998-08-30	231168	48	4816.00	C
5523	2705	1993-12-08	93888	36	2608.00	A
5525	2720	1998-04-27	93888	36	2608.00	C
5526	2725	1998-11-08	69624	36	1934.00	C
5527	2728	1998-06-15	156420	60	2607.00	C
5531	2753	1997-09-30	66432	24	2768.00	C
5532	2754	1997-05-04	335280	48	6985.00	C
5533	2762	1994-07-05	111384	24	4641.00	A
5549	2824	1994-07-16	50460	60	841.00	C
5556	2872	1997-05-19	268320	60	4472.00	C
5561	2910	1998-08-29	437460	60	7291.00	C
5563	2912	1996-02-29	380160	60	6336.00	C
5568	2933	1994-05-17	272520	60	4542.00	C
5569	2936	1998-01-20	504000	60	8400.00	C
5576	2962	1994-12-21	31248	12	2604.00	A
5582	2982	1998-04-17	41256	12	3438.00	C
5584	2986	1997-12-06	24792	24	1033.00	C
5585	2988	1998-07-08	88608	12	7384.00	C
5586	2994	1996-09-14	48744	36	1354.00	C
5589	3005	1998-06-05	390000	48	8125.00	C
5591	3021	1996-12-04	155616	48	3242.00	C
5593	3037	1996-04-18	277884	36	7719.00	D
5595	3050	1994-09-02	82896	12	6908.00	A
5599	3064	1995-03-21	15420	12	1285.00	A
5606	3084	1996-08-28	253512	36	7042.00	D
5610	3112	1996-02-24	123216	48	2567.00	C
5611	3115	1996-11-15	321180	60	5353.00	C
5614	3137	1998-09-21	253560	60	4226.00	C
5616	3143	1998-05-15	130896	24	5454.00	C
5620	3161	1998-06-16	30012	12	2501.00	C
5624	3166	1995-01-03	177744	48	3703.00	D
5625	3189	1996-12-15	222180	60	3703.00	D
5634	3229	1997-05-01	39024	12	3252.00	A
5635	3230	1996-10-04	77184	36	2144.00	C
5638	3249	1997-08-27	68124	12	5677.00	A
5643	3273	1997-09-21	94512	12	7876.00	B
5644	3293	1998-11-27	276084	36	7669.00	C
5651	3329	1997-12-08	19248	12	1604.00	A
5656	3353	1997-02-09	146064	24	6086.00	C
5657	3354	1994-07-05	4980	12	415.00	A
5665	3390	1998-03-11	40632	12	3386.00	C
5669	3403	1998-06-27	71820	36	1995.00	C
5674	3418	1997-06-10	207264	48	4318.00	C
5681	3448	1997-10-20	68664	24	2861.00	C
5682	3455	1997-03-07	67464	12	5622.00	A
5683	3460	1998-05-29	140688	48	2931.00	C
5693	3489	1995-08-01	44088	24	1837.00	A
5698	3556	1998-09-22	174840	60	2914.00	C
5699	3562	1998-05-24	174960	24	7290.00	C
5706	3608	1996-05-24	161496	36	4486.00	C
5713	3629	1995-05-30	158760	60	2646.00	C
5718	3637	1997-09-01	14028	12	1169.00	A
5719	3664	1997-09-20	271584	48	5658.00	C
5723	3674	1994-09-10	23628	12	1969.00	A
5724	3678	1995-02-05	316140	60	5269.00	D
5725	3679	1996-07-23	444864	48	9268.00	C
5731	3711	1997-11-05	460980	60	7683.00	D
5739	3747	1995-01-02	76380	12	6365.00	A
5740	3752	1995-04-02	18564	12	1547.00	A
5741	3754	1996-11-03	68544	24	2856.00	A
5750	3804	1996-02-08	63252	12	5271.00	A
5754	3834	1994-09-28	23052	12	1921.00	A
5758	3859	1997-05-02	307200	60	5120.00	D
5760	3862	1998-09-18	74916	36	2081.00	C
5765	3875	1998-02-10	153936	24	6414.00	C
5772	3906	1998-03-08	334620	60	5577.00	C
5773	3907	1998-03-16	133848	24	5577.00	C
5774	3916	1998-07-12	96984	36	2694.00	C
5779	3942	1997-10-14	107352	36	2982.00	C
5782	3953	1998-01-04	63576	12	5298.00	C
5784	3967	1997-03-29	84600	36	2350.00	D
5790	4033	1997-03-20	84288	48	1756.00	C
5799	4052	1997-12-28	106128	36	2948.00	C
5804	4079	1995-04-05	158976	48	3312.00	C
5805	4081	1995-11-28	137904	24	5746.00	B
5808	4099	1997-07-31	41856	48	872.00	C
5815	4116	1998-06-03	151200	36	4200.00	C
5817	4127	1997-08-15	100800	24	4200.00	D
5823	4144	1998-06-21	212976	36	5916.00	C
5830	4190	1997-08-28	405780	60	6763.00	C
5836	4259	1994-08-27	79632	24	3318.00	A
5837	4260	1994-06-29	244560	60	4076.00	C
5841	4268	1998-11-04	41988	12	3499.00	C
5850	4293	1997-05-22	164196	36	4561.00	C
5856	4320	1997-08-09	51360	12	4280.00	B
5861	4337	1994-12-08	51408	24	2142.00	A
5862	4342	1997-12-09	100128	24	4172.00	C
5865	4354	1998-10-30	327660	60	5461.00	C
5868	4361	1997-03-29	90156	12	7513.00	A
5876	4413	1995-02-08	221280	48	4610.00	C
5877	4414	1995-02-23	97224	24	4051.00	A
5878	4415	1997-04-01	74040	12	6170.00	A
5880	4423	1995-10-31	73836	36	2051.00	A
5882	4427	1994-09-26	87816	12	7318.00	A
5886	4447	1996-10-31	192744	36	5354.00	C
5887	4448	1994-10-03	192744	36	5354.00	A
5889	4456	1998-02-09	321240	60	5354.00	C
5892	4462	1996-05-14	66480	24	2770.00	B
5893	4467	1998-08-03	86184	36	2394.00	C
5895	4473	1997-01-03	93960	60	1566.00	C
5897	4476	1996-09-25	15192	24	633.00	A
5900	4503	1996-01-01	135360	48	2820.00	C
5906	4533	1998-05-05	81144	36	2254.00	C
5909	4550	1998-01-03	61320	60	1022.00	C
5918	4576	1994-06-04	300204	36	8339.00	A
5922	4580	1995-08-05	20220	12	1685.00	A
5923	4585	1996-10-10	64656	48	1347.00	C
5930	4616	1998-01-12	66696	24	2779.00	C
5931	4618	1997-03-17	66696	24	2779.00	D
5932	4626	1997-06-18	33348	12	2779.00	A
5933	4631	1997-12-13	87528	24	3647.00	C
5938	4650	1996-08-25	402000	60	6700.00	C
5940	4660	1997-05-28	106944	24	4456.00	C
5942	4681	1997-03-15	162624	48	3388.00	C
5953	4715	1997-03-14	97176	24	4049.00	C
5956	4725	1997-11-04	168264	36	4674.00	C
5959	4727	1995-08-11	107640	24	4485.00	A
5963	4746	1997-09-07	204780	60	3413.00	C
5970	4774	1995-07-09	465072	48	9689.00	C
5973	4784	1997-11-24	219456	48	4572.00	C
5976	4794	1997-12-27	465504	48	9698.00	D
5977	4803	1997-02-25	59136	48	1232.00	C
5980	4825	1995-08-18	21396	12	1783.00	A
5988	4851	1996-08-22	141648	24	5902.00	A
5989	4852	1996-03-04	213300	36	5925.00	C
5991	4858	1998-07-27	335184	48	6983.00	D
5992	4863	1997-03-18	76080	12	6340.00	A
5997	4894	1993-11-04	117024	24	4876.00	A
5999	4907	1996-01-03	98832	48	2059.00	C
6004	4937	1994-07-23	143904	24	5996.00	A
6006	4948	1996-11-15	359760	60	5996.00	C
6007	4949	1997-08-30	289920	48	6040.00	C
6010	4969	1997-03-06	150180	60	2503.00	C
6011	4981	1996-11-28	179328	48	3736.00	C
6012	4994	1996-08-03	258444	36	7179.00	C
6013	4995	1996-02-03	128988	36	3583.00	D
6014	4999	1997-05-18	165168	36	4588.00	C
6015	5001	1996-11-09	110112	24	4588.00	A
6019	5033	1996-07-25	11400	12	950.00	A
6027	5066	1996-02-10	61656	24	2569.00	B
6028	5072	1997-02-09	317520	60	5292.00	C
6037	5118	1997-05-04	53232	48	1109.00	C
6038	5120	1994-08-10	323472	48	6739.00	A
6043	5126	1996-01-11	20352	48	424.00	C
6044	5133	1998-01-27	57060	12	4755.00	C
6052	5164	1998-03-23	22356	36	621.00	C
6054	5180	1998-07-16	58764	12	4897.00	C
6055	5181	1997-04-28	399120	60	6652.00	C
6059	5196	1997-12-28	79824	12	6652.00	A
6063	5213	1996-04-25	320976	48	6687.00	D
6064	5215	1994-08-04	14628	12	1219.00	A
6066	5228	1994-07-11	173808	24	7242.00	A
6072	5256	1994-05-10	193968	36	5388.00	A
6073	5263	1996-11-12	276300	60	4605.00	C
6075	5267	1997-11-26	129312	24	5388.00	D
6076	5269	1997-02-02	117420	60	1957.00	C
6077	5270	1993-11-22	79608	24	3317.00	A
6078	5283	1998-09-09	170832	48	3559.00	C
6083	5305	1998-03-31	240528	48	5011.00	C
6087	5313	1994-02-27	300660	60	5011.00	C
6088	5317	1997-03-07	90180	36	2505.00	C
6095	5358	1997-01-24	68340	60	1139.00	C
6097	5362	1997-08-21	202848	48	4226.00	C
6103	5385	1994-04-07	149340	60	2489.00	C
6104	5395	1997-09-05	158184	36	4394.00	C
6109	5422	1996-06-03	368880	60	6148.00	C
6111	5428	1993-09-24	174744	24	7281.00	B
6112	5442	1994-06-17	174744	24	7281.00	B
6113	5445	1997-10-01	78696	36	2186.00	C
6118	5477	1997-10-04	349392	48	7279.00	C
6120	5481	1994-09-11	209184	48	4358.00	A
6130	5541	1996-07-18	32640	48	680.00	C
6136	5572	1998-04-19	140880	60	2348.00	C
6137	5574	1996-04-10	44628	12	3719.00	A
6142	5591	1997-01-21	221880	60	3698.00	C
6144	5593	1996-08-09	44376	12	3698.00	A
6147	5602	1997-12-28	177504	48	3698.00	C
6150	5622	1994-11-02	83016	12	6918.00	A
6151	5628	1995-04-25	225420	60	3757.00	C
6153	5632	1995-07-25	285600	60	4760.00	C
6157	5650	1995-07-10	98592	24	4108.00	A
6168	5698	1998-11-21	99216	36	2756.00	C
6169	5700	1995-03-16	103680	60	1728.00	D
6173	5724	1997-01-08	232560	48	4845.00	C
6175	5735	1996-02-21	290700	60	4845.00	D
6178	5742	1995-12-16	232560	48	4845.00	C
6185	5774	1995-11-28	31176	24	1299.00	A
6190	5794	1996-05-06	123600	60	2060.00	C
6196	5837	1997-09-14	177804	36	4939.00	C
6202	5891	1994-04-18	65184	12	5432.00	A
6207	5912	1998-06-23	184620	60	3077.00	C
6210	5927	1994-06-06	87216	48	1817.00	B
6215	5944	1998-06-18	78720	48	1640.00	C
6216	5952	1994-09-30	141240	24	5885.00	A
6223	5991	1994-11-03	61056	48	1272.00	A
6227	6030	1995-03-04	28248	24	1177.00	A
6228	6034	1993-12-01	464520	60	7742.00	B
6229	6040	1994-10-02	11736	24	489.00	A
6232	6051	1994-07-08	276660	36	7685.00	B
6234	6061	1998-05-28	5148	12	429.00	C
6235	6062	1998-04-19	321360	60	5356.00	C
6237	6075	1998-01-06	407952	48	8499.00	D
6239	6083	1997-09-28	360864	48	7518.00	D
6242	6097	1997-10-22	26208	36	728.00	C
6244	6118	1995-01-08	270648	36	7518.00	B
6249	6138	1997-07-30	67608	24	2817.00	C
6253	6148	1994-11-04	59760	24	2490.00	A
6254	6157	1997-12-28	247920	48	5165.00	C
6255	6158	1997-02-08	247920	48	5165.00	D
6272	6226	1994-12-20	398640	60	6644.00	C
6278	6265	1997-06-10	87360	24	3640.00	C
6279	6273	1994-06-07	87360	24	3640.00	A
6283	6289	1996-08-11	85632	48	1784.00	C
6294	6353	1995-02-12	79920	60	1332.00	C
6296	6358	1996-08-06	270384	48	5633.00	C
6297	6363	1994-10-25	17508	12	1459.00	A
6302	6397	1996-09-16	181020	60	3017.00	C
6303	6400	1996-02-12	72408	24	3017.00	B
6306	6425	1994-12-20	36684	12	3057.00	A
6309	6434	1996-11-11	110136	24	4589.00	A
6310	6440	1997-06-17	34572	12	2881.00	A
6312	6453	1998-05-17	10944	36	304.00	C
6313	6461	1997-06-15	150912	36	4192.00	C
6315	6472	1995-02-06	43164	12	3597.00	A
6316	6473	1994-05-26	76908	12	6409.00	B
6320	6495	1998-04-28	104964	12	8747.00	C
6321	6505	1998-10-08	38496	12	3208.00	C
6322	6510	1997-05-06	76992	24	3208.00	C
6336	6555	1994-03-31	212400	36	5900.00	A
6338	6592	1997-08-24	390660	60	6511.00	C
6342	6609	1995-11-12	60156	36	1671.00	B
6346	6649	1997-05-22	100260	60	1671.00	C
6350	6678	1997-07-09	294384	48	6133.00	C
6353	6686	1997-12-25	116496	24	4854.00	C
6354	6688	1996-10-23	22968	36	638.00	C
6355	6699	1997-09-24	127200	48	2650.00	C
6356	6701	1993-12-08	95400	36	2650.00	A
6357	6706	1998-07-12	64860	60	1081.00	C
6358	6715	1995-01-14	137880	60	2298.00	D
6362	6738	1995-10-31	37908	12	3159.00	A
6377	6792	1997-03-17	17184	12	1432.00	A
6386	6856	1997-04-30	124344	36	3454.00	C
6399	6902	1997-12-21	49320	36	1370.00	C
6402	6922	1998-12-06	139488	24	5812.00	C
6403	6924	1995-12-05	194880	48	4060.00	C
6407	6930	1994-05-26	25944	24	1081.00	A
6415	6950	1997-02-12	475680	48	9910.00	C
6421	6985	1996-07-25	96768	36	2688.00	C
6435	7045	1997-06-16	288720	48	6015.00	C
6436	7049	1998-05-22	495180	60	8253.00	C
6437	7052	1997-11-09	63972	36	1777.00	D
6442	7082	1998-02-08	194160	48	4045.00	C
6450	7099	1998-06-10	234336	48	4882.00	C
6456	7123	1993-12-09	47016	12	3918.00	A
6460	7133	1994-11-06	48672	36	1352.00	A
6461	7136	1996-09-19	74124	36	2059.00	C
6464	7156	1998-04-16	49488	24	2062.00	C
6468	7176	1997-11-30	203940	60	3399.00	C
6469	7180	1998-11-17	99744	24	4156.00	C
6470	7181	1998-05-17	49872	12	4156.00	C
6471	7184	1996-08-04	155640	24	6485.00	A
6474	7190	1995-06-06	63360	60	1056.00	C
6486	7240	1998-01-15	152160	60	2536.00	C
6490	7262	1997-02-10	73260	60	1221.00	C
6495	7274	1998-03-12	49044	12	4087.00	C
6499	7401	1994-01-05	80952	24	3373.00	A
6501	7418	1996-04-29	30276	12	2523.00	B
6502	7424	1997-12-08	30276	12	2523.00	A
6508	7437	1998-04-19	110736	48	2307.00	C
6509	7445	1994-03-15	55368	24	2307.00	A
6512	7454	1994-05-26	63312	48	1319.00	A
6520	7485	1994-03-16	91200	24	3800.00	A
6526	7523	1995-01-03	288468	36	8013.00	A
6534	7542	1997-10-19	590820	60	9847.00	C
6535	7546	1995-11-02	41952	12	3496.00	A
6539	7559	1998-07-11	12792	12	1066.00	C
6540	7562	1995-12-31	309600	48	6450.00	C
6541	7565	1997-08-17	153504	48	3198.00	C
6544	7594	1997-12-11	130464	48	2718.00	C
6545	7606	1995-12-12	191880	60	3198.00	C
6546	7607	1995-03-27	31728	24	1322.00	A
6550	7614	1996-05-18	320592	48	6679.00	C
6552	7632	1998-01-08	170448	48	3551.00	C
6553	7636	1998-01-26	42384	12	3532.00	C
6554	7637	1997-01-29	390096	48	8127.00	C
6562	7674	1997-03-21	94488	24	3937.00	C
6568	7713	1998-02-25	220440	60	3674.00	C
6569	7721	1998-05-28	45456	12	3788.00	C
6571	7733	1998-05-12	140064	24	5836.00	C
6574	7745	1997-12-20	77544	36	2154.00	C
6577	7753	1994-03-11	51696	24	2154.00	A
6578	7765	1995-12-11	27984	12	2332.00	A
6580	7769	1994-05-22	196080	48	4085.00	A
6585	7795	1996-10-29	372120	60	6202.00	C
6589	7815	1996-01-01	189696	24	7904.00	A
6591	7819	1995-02-02	20832	48	434.00	C
6594	7824	1994-09-28	189696	24	7904.00	B
6596	7844	1994-06-25	91584	24	3816.00	A
6598	7857	1995-01-18	68112	12	5676.00	A
6599	7859	1996-11-19	72120	12	6010.00	A
6600	7861	1995-10-08	21852	36	607.00	A
6605	7890	1997-10-14	79344	48	1653.00	C
6607	7894	1997-10-21	153144	36	4254.00	C
6612	7907	1997-08-31	97392	12	8116.00	A
6613	7926	1996-09-22	84120	24	3505.00	A
6621	7957	1997-06-14	42900	12	3575.00	A
6624	7965	1994-09-30	71460	12	5955.00	A
6625	7966	1997-09-07	473280	60	7888.00	D
6632	7990	1998-04-23	144960	48	3020.00	C
6633	7997	1998-02-05	160656	24	6694.00	C
6641	8026	1997-09-09	128268	36	3563.00	C
6642	8027	1994-06-05	77640	12	6470.00	A
6643	8038	1998-01-18	35856	24	1494.00	C
6644	8039	1996-10-20	93600	24	3900.00	A
6645	8041	1994-11-06	140400	36	3900.00	A
6647	8051	1994-06-01	208320	48	4340.00	A
6650	8073	1994-02-17	49320	12	4110.00	B
6655	8085	1997-10-17	260400	60	4340.00	D
6659	8092	1996-02-20	56100	60	935.00	C
6660	8094	1997-05-09	220428	36	6123.00	C
6665	8114	1997-08-15	99300	60	1655.00	C
6667	8127	1996-07-15	155880	24	6495.00	A
6668	8129	1994-07-30	74736	36	2076.00	A
6675	8158	1997-11-01	238716	36	6631.00	C
6676	8159	1995-06-13	29784	24	1241.00	A
6677	8169	1997-08-12	97980	60	1633.00	C
6678	8173	1994-05-20	80340	12	6695.00	A
6682	8225	1998-03-30	36204	12	3017.00	D
6686	8260	1994-08-25	224604	36	6239.00	A
6687	8261	1993-09-13	87840	24	3660.00	A
6688	8268	1997-09-26	8616	24	359.00	C
6694	8316	1995-03-19	134784	24	5616.00	A
6695	8320	1997-06-04	309660	60	5161.00	C
6696	8321	1994-05-09	89040	60	1484.00	C
6698	8327	1996-03-10	247728	48	5161.00	C
6699	8330	1994-03-30	7656	24	319.00	A
6704	8377	1995-06-01	417060	60	6951.00	C
6705	8381	1997-07-25	333648	48	6951.00	D
6712	8405	1995-10-14	266220	60	4437.00	C
6715	8411	1996-05-06	220620	60	3677.00	C
6721	8475	1994-01-21	21072	24	878.00	A
6725	8489	1995-06-23	265320	36	7370.00	A
6726	8492	1995-09-03	85860	60	1431.00	C
6727	8505	1997-12-10	42840	12	3570.00	A
6729	8519	1994-08-11	74688	12	6224.00	A
6730	8523	1998-02-15	93036	12	7753.00	C
6732	8533	1996-09-19	174048	48	3626.00	C
6734	8547	1996-05-30	173016	36	4806.00	C
6736	8558	1994-06-14	288360	60	4806.00	C
6737	8564	1995-03-11	76680	24	3195.00	A
6738	8566	1994-09-29	230220	36	6395.00	B
6745	8625	1995-04-10	47304	24	1971.00	A
6746	8639	1998-06-06	185640	60	3094.00	C
6748	8645	1998-12-08	240900	60	4015.00	C
6751	8680	1996-07-14	85716	36	2381.00	C
6753	8688	1997-03-20	67980	12	5665.00	A
6755	8713	1998-07-24	170700	60	2845.00	C
6758	8742	1997-07-29	33144	12	2762.00	A
6763	8772	1997-06-19	88272	48	1839.00	C
6764	8776	1995-08-26	33984	48	708.00	C
6766	8784	1998-04-28	74352	24	3098.00	C
6785	8899	1995-12-25	125340	60	2089.00	C
6790	8919	1998-06-08	76104	24	3171.00	C
6791	8926	1998-01-23	566640	60	9444.00	C
6793	8931	1997-01-30	186300	60	3105.00	C
6805	8972	1996-12-21	45024	48	938.00	C
6808	8982	1994-10-12	227880	36	6330.00	A
6810	9006	1996-06-08	186384	48	3883.00	C
6816	9017	1996-03-26	100224	48	2088.00	D
6817	9024	1996-10-04	70656	48	1472.00	C
6818	9030	1996-12-12	155616	48	3242.00	C
6819	9031	1997-05-03	50112	24	2088.00	C
6820	9034	1993-12-16	38148	12	3179.00	A
6821	9037	1998-09-15	321936	48	6707.00	C
6824	9052	1997-02-26	71976	24	2999.00	D
6836	9093	1994-08-03	189300	60	3155.00	C
6841	9104	1994-08-07	172080	48	3585.00	A
6851	9138	1997-06-03	272220	60	4537.00	D
6852	9140	1998-11-10	16032	48	334.00	C
6855	9153	1998-03-01	52236	36	1451.00	C
6856	9156	1998-12-01	163332	36	4537.00	C
6857	9159	1998-06-08	69600	48	1450.00	C
6859	9167	1998-03-07	272220	60	4537.00	C
6861	9179	1998-02-28	215040	60	3584.00	C
6863	9188	1993-07-28	127080	60	2118.00	A
6865	9199	1996-09-11	29448	12	2454.00	B
6866	9201	1998-02-05	122472	24	5103.00	C
6868	9208	1998-10-12	82128	24	3422.00	C
6871	9225	1997-04-13	164256	48	3422.00	C
6872	9227	1998-04-29	191580	60	3193.00	C
6875	9235	1997-03-13	83280	48	1735.00	C
6876	9236	1993-12-21	86616	12	7218.00	A
6877	9241	1997-06-19	285240	60	4754.00	C
6878	9242	1997-01-24	23184	12	1932.00	A
6887	9263	1997-05-08	39576	12	3298.00	A
6888	9265	1994-07-11	39576	12	3298.00	A
6895	9307	1994-09-19	41904	12	3492.00	A
6903	9337	1994-06-04	52128	24	2172.00	A
6908	9353	1997-06-08	188616	24	7859.00	C
6913	9377	1997-04-29	99936	24	4164.00	C
6919	9403	1994-08-05	120888	36	3358.00	A
6921	9422	1996-10-29	86184	12	7182.00	A
6922	9424	1997-08-26	83628	36	2323.00	C
6923	9433	1998-10-05	44640	24	1860.00	C
6926	9455	1998-02-07	374760	60	6246.00	C
6929	9472	1995-05-08	36396	12	3033.00	A
6932	9491	1998-06-25	225504	48	4698.00	C
6933	9493	1995-09-09	188688	48	3931.00	C
6934	9494	1997-02-09	116832	12	9736.00	A
6938	9504	1997-03-10	341280	60	5688.00	C
6940	9510	1996-11-22	228276	36	6341.00	C
6942	9513	1997-07-16	18324	12	1527.00	A
6944	9548	1996-11-15	46176	48	962.00	C
6948	9560	1998-03-15	157068	36	4363.00	C
6949	9583	1995-12-12	104712	24	4363.00	A
6950	9591	1995-04-11	104712	24	4363.00	A
6955	9627	1995-11-22	244368	48	5091.00	C
6956	9631	1997-11-09	59448	24	2477.00	C
6959	9633	1997-06-30	59448	24	2477.00	D
6960	9640	1995-01-11	76416	24	3184.00	A
6961	9645	1996-06-06	176148	36	4893.00	C
6962	9646	1998-04-02	279072	48	5814.00	C
6965	9656	1995-06-13	139536	24	5814.00	A
6969	9673	1998-09-12	88200	36	2450.00	C
6970	9677	1997-06-17	31620	60	527.00	C
6984	9730	1997-08-15	116040	60	1934.00	C
6985	9731	1995-11-22	113796	36	3161.00	A
6986	9750	1995-02-11	151728	48	3161.00	D
6992	9790	1996-07-27	133968	48	2791.00	C
6995	9814	1996-09-26	96168	12	8014.00	A
6996	9828	1995-04-13	126600	24	5275.00	A
6998	9833	1994-05-21	97632	12	8136.00	A
7001	9859	1997-08-10	300600	60	5010.00	C
7004	9869	1995-03-15	331560	60	5526.00	C
7008	9897	1995-09-22	36168	12	3014.00	A
7013	9928	1996-08-02	89340	60	1489.00	C
7034	10001	1996-07-11	19044	36	529.00	C
7035	10005	1998-07-29	210744	36	5854.00	C
7036	10019	1996-09-25	194940	36	5415.00	C
7037	10022	1998-01-03	218064	48	4543.00	C
7046	10049	1997-03-28	91632	12	7636.00	A
7049	10063	1997-06-24	233424	36	6484.00	C
7050	10065	1997-09-23	311232	48	6484.00	C
7051	10068	1997-07-28	77808	12	6484.00	A
7055	10079	1994-04-06	167100	60	2785.00	C
7057	10093	1995-10-20	231696	36	6436.00	A
7061	10105	1994-08-27	121896	24	5079.00	A
7066	10131	1994-05-02	215388	36	5983.00	B
7067	10134	1998-01-11	136368	24	5682.00	C
7072	10148	1998-01-27	22104	12	1842.00	C
7085	10202	1997-06-19	305424	48	6363.00	C
7087	10215	1997-02-20	44304	24	1846.00	C
7088	10233	1997-05-03	239160	60	3986.00	C
7091	10243	1998-09-22	113436	36	3151.00	C
7096	10257	1998-09-02	37812	12	3151.00	C
7097	10266	1993-12-23	75624	24	3151.00	B
7100	10280	1997-12-31	348120	60	5802.00	C
7101	10297	1996-11-18	421008	48	8771.00	C
7104	10320	1993-12-13	259740	60	4329.00	A
7110	10345	1998-01-21	31260	12	2605.00	C
7115	10351	1997-03-04	88704	48	1848.00	C
7119	10361	1997-06-02	86880	12	7240.00	A
7121	10364	1993-11-10	21924	36	609.00	A
7122	10365	1997-01-04	260640	36	7240.00	D
7129	10404	1998-03-01	194280	60	3238.00	C
7130	10411	1996-12-11	123408	24	5142.00	A
7136	10436	1996-09-28	54396	36	1511.00	C
7137	10439	1994-06-03	151560	24	6315.00	A
7138	10440	1995-07-03	60000	60	1000.00	C
7139	10445	1998-01-22	23412	12	1951.00	C
7142	10451	1994-12-19	482940	60	8049.00	D
7147	10478	1998-01-02	267600	48	5575.00	C
7151	10493	1998-02-18	133800	24	5575.00	C
7154	10520	1996-12-05	417600	60	6960.00	C
7164	10613	1998-08-15	249792	48	5204.00	C
7166	10630	1995-06-24	198240	24	8260.00	A
7167	10644	1998-06-18	269964	36	7499.00	C
7168	10645	1998-07-05	208332	36	5787.00	C
7171	10650	1998-02-24	196224	48	4088.00	C
7172	10652	1998-05-07	45720	12	3810.00	C
7176	10663	1995-10-28	260028	36	7223.00	A
7181	10679	1997-10-02	197808	24	8242.00	C
7187	10711	1997-12-24	24180	60	403.00	C
7189	10728	1996-03-21	154656	48	3222.00	C
7192	10738	1994-12-21	115992	36	3222.00	A
7194	10762	1996-09-17	68832	36	1912.00	C
7195	10774	1998-04-23	339168	48	7066.00	C
7198	10788	1994-08-23	45768	12	3814.00	A
7199	10789	1997-12-09	45768	12	3814.00	A
7200	10799	1998-07-11	31140	60	519.00	C
7201	10807	1997-03-07	67464	12	5622.00	A
7202	10812	1998-05-29	140688	48	2931.00	C
7209	10857	1997-11-30	385560	60	6426.00	D
7213	10884	1996-02-13	113544	36	3154.00	C
7219	10905	1997-08-23	57120	48	1190.00	C
7220	10911	1994-07-28	131292	36	3647.00	A
7221	10915	1998-06-11	152460	60	2541.00	C
7226	10940	1994-02-23	197748	36	5493.00	A
7227	10942	1995-10-02	314520	60	5242.00	C
7230	10954	1997-04-02	18720	60	312.00	C
7233	10963	1996-12-25	115812	36	3217.00	C
7235	10973	1993-10-13	154416	48	3217.00	A
7240	11013	1993-09-06	274740	60	4579.00	A
7241	11021	1995-03-04	168984	24	7041.00	B
7242	11027	1997-10-23	48096	24	2004.00	C
7243	11042	1995-12-04	217152	36	6032.00	A
7246	11054	1996-08-20	148920	60	2482.00	C
7249	11065	1994-06-12	69360	48	1445.00	A
7250	11069	1997-03-04	119136	48	2482.00	C
7253	11079	1997-04-26	98304	12	8192.00	A
7255	11096	1997-06-09	213300	60	3555.00	C
7259	11111	1994-01-31	108144	36	3004.00	A
7262	11135	1994-03-01	182628	36	5073.00	A
7263	11138	1996-01-19	89880	24	3745.00	A
7264	11141	1997-10-07	44940	12	3745.00	A
7271	11186	1996-10-02	392460	60	6541.00	C
7277	11231	1997-10-24	89280	12	7440.00	A
7279	11244	1997-12-11	155760	24	6490.00	C
7284	11265	1993-09-15	52788	12	4399.00	A
7286	11271	1997-01-31	67320	36	1870.00	C
7292	11317	1998-11-22	317460	60	5291.00	C
7294	11327	1998-09-27	39168	24	1632.00	C
7295	11328	1998-07-18	280440	60	4674.00	C
7304	11349	1995-10-29	419880	60	6998.00	C
7305	11359	1996-08-06	54024	12	4502.00	A
7308	11362	1996-12-27	129408	24	5392.00	A
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial."order" (order_id, account_id, bank_to, account_to, amount, k_symbol) FROM stdin;
29401	1	YZ	87144583	2452.0	SIPO
29402	2	ST	89597016	3372.7	UVER
29403	2	QR	13943797	7266.0	SIPO
29404	3	WX	83084338	1135.0	SIPO
29405	3	CD	24485939	327.0	
29406	3	AB	59972357	3539.0	POJISTNE
29407	4	UV	26693541	2078.0	SIPO
29408	4	UV	5848086	1285.0	SIPO
29409	5	GH	37390208	2668.0	SIPO
29410	6	AB	44486999	3954.0	SIPO
29411	7	IJ	34452903	4880.0	SIPO
29412	8	UV	12510681	2612.0	SIPO
29413	8	IJ	93210345	6712.0	
29414	10	UV	18686104	7033.0	SIPO
29415	10	QR	93182509	1344.0	LEASING
29416	11	ST	38470870	2132.0	SIPO
29417	12	CD	23010808	297.0	SIPO
29418	12	KL	63607060	3295.0	SIPO
29419	13	EF	35443323	2444.0	SIPO
29420	14	WX	11793136	3629.0	SIPO
29421	15	KL	24265569	3072.0	SIPO
29422	17	EF	15076423	4032.0	SIPO
29423	19	QR	14132368	2523.2	UVER
29425	20	AB	3399968	2003.0	SIPO
29426	21	YZ	60152441	6276.0	SIPO
29427	22	ST	34691494	6352.0	SIPO
29428	23	MN	20774019	5807.0	SIPO
29429	24	IJ	50810194	221.0	SIPO
29430	24	QR	46086388	7641.0	
29431	25	YZ	1301700	2523.2	UVER
29432	25	IJ	4896235	6817.0	SIPO
29433	25	AB	79838293	1110.0	
29434	25	WX	52864879	164.0	POJISTNE
29435	26	EF	12891853	10387.0	SIPO
29436	27	CD	28175699	4054.0	SIPO
29439	29	ST	32924878	6871.0	SIPO
29440	29	MN	93088209	829.0	
29441	29	UV	41335338	8.0	POJISTNE
29442	30	EF	66168540	2480.2	LEASING
29443	31	ST	42430687	10202.0	SIPO
29444	33	KL	33047658	3892.0	SIPO
29445	34	WX	21845197	1479.0	LEASING
29446	34	GH	19993174	502.0	SIPO
29447	34	IJ	58999049	6070.0	
29448	35	MN	56788617	1022.0	SIPO
29449	35	MN	99848401	1362.0	SIPO
29450	36	CD	80693810	4069.0	SIPO
29451	37	QR	71644407	5307.5	UVER
29452	37	IJ	29728555	2317.0	SIPO
29453	37	OP	23782724	2584.0	
29454	37	YZ	89609831	97.0	POJISTNE
29455	38	QR	79067885	2306.8	UVER
29456	38	EF	2692229	6901.0	SIPO
29457	38	KL	83435654	231.0	
29458	38	OP	64685678	228.0	POJISTNE
29459	39	CD	77015351	145.0	SIPO
29460	39	WX	949460	2970.0	SIPO
29461	40	ST	31161588	33.0	SIPO
29462	40	MN	96111678	4301.0	
29463	42	CD	1007766	4239.0	SIPO
29464	42	KL	55873340	239.0	
29465	42	YZ	38318204	1592.0	POJISTNE
29466	43	CD	89718746	6589.0	SIPO
29467	44	GH	11344862	2344.0	SIPO
29470	47	KL	76620852	6940.0	SIPO
29471	47	KL	37438374	174.0	
29472	47	EF	83359431	141.0	POJISTNE
29473	47	UV	30289006	9.0	
29474	48	AB	50218236	6268.0	SIPO
29475	48	ST	2071685	1029.0	
29476	49	CD	83233099	3102.0	SIPO
29477	50	WX	75148117	269.0	SIPO
29478	50	UV	17270559	7024.0	
29479	51	KL	71050131	2074.0	SIPO
29480	51	KL	74449389	2057.0	
29481	52	EF	6008005	560.0	SIPO
29482	52	QR	85721850	3723.0	
29483	53	MN	81024360	2851.0	SIPO
29484	54	IJ	90659772	2280.0	SIPO
29485	55	EF	53077900	3086.0	SIPO
29486	56	KL	73539948	8080.0	SIPO
29487	57	YZ	55066728	4107.0	SIPO
29489	59	IJ	38201576	695.0	SIPO
29490	59	ST	65394794	6190.0	
29493	61	EF	20533621	1645.0	SIPO
29494	61	IJ	20426410	668.0	SIPO
29495	62	EF	80010622	2273.0	SIPO
29496	63	CD	85474604	2237.0	SIPO
29497	63	EF	8346772	157.0	SIPO
29498	65	YZ	74934333	686.0	SIPO
29499	65	CD	20976132	3315.0	
29500	65	GH	7764506	3401.0	POJISTNE
29501	66	GH	17993182	4471.3	LEASING
29502	67	YZ	45128363	6915.0	UVER
29503	67	YZ	57342255	6393.0	SIPO
29504	67	UV	59079301	445.0	
29505	68	WX	86834001	1705.0	SIPO
29506	68	IJ	8292192	1186.0	
29507	68	ST	34692824	137.0	POJISTNE
29508	68	MN	92248808	61.0	
29509	70	KL	7699788	4150.0	SIPO
29510	71	YZ	53903484	968.0	SIPO
29511	71	IJ	11544728	1602.0	
29512	71	OP	9098768	1011.0	POJISTNE
29513	71	QR	34794885	778.0	
29514	72	OP	43079012	2923.0	LEASING
29515	72	EF	69338589	7109.0	SIPO
29516	72	ST	8297068	2286.0	
29517	73	CD	67077487	6061.0	SIPO
29522	75	IJ	74818038	3369.0	SIPO
29523	76	MN	98325132	5208.0	SIPO
29524	77	ST	28454154	1709.0	LEASING
29525	78	WX	32111394	9039.0	SIPO
29526	79	CD	15471804	2788.0	SIPO
29527	80	IJ	85687774	2252.0	SIPO
29528	81	QR	18026441	1765.0	SIPO
29529	81	MN	28429049	62.0	
29530	81	GH	62443947	229.0	POJISTNE
29531	83	AB	26468819	2210.0	SIPO
29532	83	EF	41590857	3940.0	
29533	84	ST	33353132	1709.0	LEASING
29534	84	ST	18454540	12452.0	SIPO
29535	85	IJ	65366345	3831.0	SIPO
29536	85	OP	81823444	1792.0	LEASING
29537	86	WX	36292475	1002.0	SIPO
29538	86	MN	48764252	1160.0	
29541	88	ST	72993069	2268.0	SIPO
29542	90	ST	68375611	2774.0	SIPO
29543	90	UV	90134667	2375.0	
29544	90	MN	89044069	4372.0	POJISTNE
29545	90	YZ	2028567	361.0	
29554	96	CD	62272125	4422.1	LEASING
29555	96	QR	83610647	908.0	SIPO
29556	96	WX	41707503	2140.0	
29557	96	EF	49409562	46.0	POJISTNE
29558	96	EF	66311460	644.0	
29559	97	ST	69820374	1436.0	SIPO
29560	97	CD	33796209	2411.0	
29561	97	ST	83123987	3.0	POJISTNE
29562	97	CD	94469666	15.0	
29563	97	MN	9693319	8573.0	UVER
29564	98	CD	94078754	1569.0	SIPO
29565	98	WX	95535426	749.0	SIPO
29566	99	CD	38411343	4503.0	SIPO
29567	99	EF	26847303	4682.0	
29568	100	UV	6381905	598.0	SIPO
29569	100	GH	16341108	7329.0	
29570	101	KL	10926431	8037.0	SIPO
29571	101	GH	26152324	855.0	
29572	102	EF	24946403	7370.2	UVER
29573	102	KL	63927906	3373.0	SIPO
29574	102	UV	97521966	377.0	
29575	103	MN	2646291	7370.2	UVER
29576	104	MN	82782172	578.0	SIPO
29577	104	ST	8965999	1464.0	
29578	105	UV	58251345	7348.0	UVER
29579	106	WX	46916538	3735.0	SIPO
29580	107	IJ	67744958	2015.0	SIPO
29581	107	IJ	9999049	1580.0	
29582	107	QR	80934089	959.0	POJISTNE
29583	108	CD	62673318	4803.0	SIPO
29584	110	OP	24390584	3050.0	SIPO
29585	110	YZ	18149984	98.0	
29586	110	ST	14772266	4516.0	UVER
29589	112	AB	41812431	2051.0	SIPO
29590	113	GH	11191487	3146.0	SIPO
29591	114	QR	78667527	1590.0	SIPO
29592	114	MN	90660798	533.0	SIPO
29593	115	EF	51975733	5110.0	SIPO
29594	116	KL	99229424	5529.0	SIPO
29595	116	ST	16828024	927.0	LEASING
29596	117	CD	59419953	2329.0	SIPO
29597	118	IJ	51605445	2449.0	SIPO
29598	119	ST	21662587	8252.0	SIPO
29599	120	YZ	74934506	1899.0	LEASING
29600	120	ST	36501592	3965.0	SIPO
29601	121	YZ	81156724	794.0	SIPO
29602	121	UV	93935125	929.0	
29603	121	MN	91729092	393.0	POJISTNE
29604	123	KL	97764080	3016.0	SIPO
29605	124	IJ	11366123	447.0	SIPO
29606	124	OP	51247948	575.0	
29607	124	OP	34663748	971.0	POJISTNE
29608	125	IJ	14166999	4422.1	LEASING
29609	126	WX	62923598	7384.0	SIPO
29610	127	YZ	11707830	2242.0	SIPO
29611	129	IJ	69084489	3417.0	SIPO
29612	130	IJ	2152455	3969.0	SIPO
29613	131	UV	29374742	6904.0	SIPO
29614	132	WX	80542558	7370.2	UVER
29615	133	OP	90329002	3094.0	LEASING
29616	133	EF	45379865	4943.0	SIPO
29617	133	CD	30067122	5123.0	
29618	136	MN	78733890	2932.0	SIPO
29619	137	GH	71138578	3464.0	SIPO
29620	137	UV	34738314	787.0	
29621	141	KL	30588215	3016.5	LEASING
29622	141	KL	65986662	3462.0	SIPO
29623	141	WX	71174192	1791.0	
29624	141	GH	86448645	6716.0	POJISTNE
29625	142	YZ	23734498	1845.0	SIPO
29626	143	YZ	81564402	2272.0	SIPO
29627	145	GH	81546359	4815.0	SIPO
29628	146	AB	76565843	3823.0	SIPO
29631	148	KL	29826498	487.0	SIPO
29632	148	GH	99004148	89.0	
29633	148	QR	85938459	1736.0	POJISTNE
29634	151	QR	2754378	411.0	SIPO
29635	151	KL	77260404	2668.0	
29636	152	OP	21928644	426.0	SIPO
29637	152	OP	16610890	2993.0	
29638	153	UV	6886673	4544.0	SIPO
29639	154	MN	1314569	3891.0	SIPO
29640	155	KL	13971645	2988.0	SIPO
29641	156	QR	93965810	2030.0	SIPO
29642	157	AB	14697784	3991.0	SIPO
29643	158	ST	61129736	3420.0	SIPO
29644	159	GH	1882386	8694.0	SIPO
29645	160	QR	52787989	2374.0	SIPO
29646	160	ST	8854127	5552.0	
29647	161	GH	17877823	1389.0	SIPO
29648	161	WX	62378322	892.0	SIPO
29649	162	GH	1325488	3458.0	SIPO
29650	163	UV	86180990	3116.0	SIPO
29651	163	IJ	8512616	612.0	SIPO
29652	165	OP	71082353	1788.0	SIPO
29653	166	QR	26919090	3044.0	SIPO
29654	168	WX	47454333	2013.0	SIPO
29655	169	IJ	71273207	4975.0	SIPO
29656	169	KL	15956706	696.0	LEASING
29657	171	UV	5356938	3486.0	SIPO
29658	172	OP	11598539	4221.0	SIPO
29659	173	KL	95605074	6256.0	SIPO
29660	173	KL	26238835	1428.0	
29661	173	CD	85405385	735.0	POJISTNE
29662	173	CD	50065535	189.0	
29663	173	UV	38819456	8734.0	UVER
29664	174	QR	73784321	2139.0	SIPO
29667	176	GH	53236597	2288.3	UVER
29668	176	AB	55640232	4564.0	SIPO
29669	176	OP	90734010	36.0	
29670	176	QR	11736327	97.0	POJISTNE
29671	178	OP	16301811	1482.0	SIPO
29672	178	ST	1946038	505.0	
29673	179	UV	16450244	7615.0	SIPO
29674	179	IJ	47684144	1066.0	
29675	179	AB	11941713	378.0	POJISTNE
29676	179	OP	39081686	4608.0	
29677	181	KL	66975450	6780.0	SIPO
29678	183	AB	5552345	5202.0	SIPO
29679	183	GH	85986530	752.0	
29680	184	IJ	65986150	1623.0	LEASING
29681	185	IJ	14592427	6526.0	SIPO
29682	186	GH	83964973	6862.0	SIPO
29683	187	UV	39898049	2798.0	SIPO
29684	188	AB	26629168	7426.0	SIPO
29685	189	GH	54808670	4244.0	SIPO
29686	189	OP	28932172	750.0	
29687	189	MN	76972424	360.0	POJISTNE
29688	190	YZ	24279922	4519.0	SIPO
29689	190	WX	3125066	3233.0	
29690	190	WX	5304331	42.0	POJISTNE
29691	190	YZ	50605297	1316.0	
29692	191	YZ	89219265	4420.9	LEASING
29693	192	IJ	70552640	3583.0	SIPO
29694	193	QR	21547550	7110.0	SIPO
29695	194	CD	39405787	2648.0	SIPO
29696	195	AB	37868559	6260.0	SIPO
29697	196	MN	84787642	1270.0	SIPO
29698	196	AB	90261184	4417.0	
29699	196	KL	30200135	2554.0	POJISTNE
29700	196	IJ	21173686	385.0	
29701	197	EF	67286312	9454.0	SIPO
29702	198	MN	67775189	700.0	SIPO
29703	198	QR	64557379	2166.0	SIPO
29704	199	CD	15875643	1984.0	SIPO
29705	201	OP	34061867	9584.0	SIPO
29711	204	UV	59721839	1950.0	SIPO
29712	205	AB	99149345	4297.0	SIPO
29713	206	KL	75771987	2902.0	SIPO
29714	207	KL	71656483	403.0	SIPO
29715	207	GH	4786676	10.0	
29716	207	AB	83722591	2726.0	POJISTNE
29717	208	AB	9118587	4148.0	SIPO
29718	208	CD	77937751	1767.0	
29719	208	UV	98481541	986.0	POJISTNE
29720	208	OP	28241002	545.0	
29721	209	QR	17469549	483.0	SIPO
29722	209	EF	52778792	41.0	
29723	209	KL	1601225	1796.0	POJISTNE
29724	210	IJ	24753552	7534.0	SIPO
29725	211	IJ	2884138	2394.0	LEASING
29726	212	EF	58462047	13841.0	SIPO
29727	213	EF	4553950	5625.0	SIPO
29728	214	EF	26426023	2097.0	SIPO
29729	215	MN	65896379	2121.0	SIPO
29730	216	KL	85333066	1486.0	SIPO
29731	216	GH	38205874	1513.0	SIPO
29732	217	CD	23454666	3459.0	SIPO
29733	217	YZ	55710929	653.0	LEASING
29734	218	IJ	10956299	3182.0	LEASING
29735	219	GH	77167427	2336.0	SIPO
29736	219	OP	33257001	2988.0	
29737	220	QR	26923066	3095.0	SIPO
29738	221	CD	98228793	7896.0	SIPO
29739	222	WX	52384513	3440.9	LEASING
29740	224	EF	63218277	3503.0	SIPO
29741	225	MN	74407583	3383.0	SIPO
29742	225	KL	93545496	2.0	
29743	226	UV	29971635	8928.0	SIPO
29744	226	GH	39824432	9112.0	UVER
29745	227	GH	28972292	9381.0	SIPO
29746	228	QR	78199761	1946.0	SIPO
29747	228	EF	26569271	2158.0	
29748	229	ST	55160808	2505.0	SIPO
29749	230	ST	66906124	5615.0	SIPO
29750	230	AB	95935326	1527.0	
29751	230	KL	3922403	1058.0	POJISTNE
29752	231	WX	51732343	2073.0	SIPO
29753	232	KL	62672704	3643.0	SIPO
29755	234	MN	20655334	2809.0	SIPO
29756	235	MN	79934978	895.0	SIPO
29757	235	KL	52539473	1321.0	
29758	237	AB	13233763	152.0	SIPO
29759	237	AB	58324587	1788.0	
29760	238	IJ	39059901	2234.0	SIPO
29761	239	CD	96977406	1042.0	SIPO
29762	239	MN	30218410	5995.0	
29763	239	IJ	47741246	152.0	POJISTNE
29879	319	KL	32717514	2196.0	
29764	240	WX	50178039	9621.0	SIPO
29765	240	OP	22710114	1050.0	LEASING
29766	241	QR	28285497	1344.0	SIPO
29767	241	MN	27381342	632.0	
29768	241	EF	14364838	610.0	POJISTNE
29769	242	WX	23104387	1062.0	SIPO
29770	242	WX	62032568	2977.0	
29771	243	KL	55282419	1041.0	LEASING
29772	243	GH	73269855	3067.0	SIPO
29773	244	MN	74832015	2190.0	SIPO
29774	244	OP	78948193	226.0	
29775	244	GH	7008588	232.0	POJISTNE
29776	246	YZ	8283996	1970.0	SIPO
29780	248	AB	15760773	2484.9	LEASING
29781	249	OP	26255619	5618.0	SIPO
29782	249	GH	99770348	1876.0	
29783	250	WX	24246722	3066.0	SIPO
29784	251	AB	92959981	3059.0	SIPO
29785	252	CD	91842740	1767.0	SIPO
29788	255	WX	88934081	5323.0	SIPO
29789	257	ST	61510014	3816.7	LEASING
29790	257	GH	22533124	14166.0	SIPO
29791	258	KL	37360865	3737.0	SIPO
29792	259	MN	86616670	297.0	SIPO
29793	259	EF	8156723	2857.0	SIPO
29794	260	GH	71713226	5247.0	SIPO
29795	261	IJ	49824553	2182.0	SIPO
29796	261	ST	63415229	371.0	
29797	263	WX	73582678	6145.0	SIPO
29798	264	YZ	19889706	3307.0	SIPO
29799	265	EF	28306174	2900.0	SIPO
29800	266	WX	96796440	4975.2	LEASING
29801	267	KL	4520118	3074.0	SIPO
29802	268	OP	4418570	3121.0	SIPO
29803	269	QR	7832789	456.0	SIPO
29804	269	YZ	55865961	1690.0	
29805	270	QR	95370232	5462.0	SIPO
29806	271	QR	67201065	1535.0	SIPO
29807	272	IJ	15116119	7454.0	SIPO
29808	273	ST	77701490	1320.1	LEASING
29809	273	OP	80156594	5965.0	SIPO
29810	273	EF	85742187	178.0	
29811	273	YZ	15870309	1836.0	POJISTNE
29812	274	ST	91567790	9886.0	SIPO
29813	275	CD	46536463	198.0	SIPO
29814	275	UV	60457825	2062.0	
29815	276	AB	22070646	4470.5	UVER
29816	276	EF	80801391	5212.0	SIPO
29817	277	ST	67316442	2682.3	LEASING
29818	278	IJ	93538832	3362.0	SIPO
29819	278	MN	5409831	676.0	LEASING
29820	279	EF	46485179	624.0	SIPO
29821	279	QR	68556356	1380.0	
29822	280	KL	10603589	3334.0	SIPO
29823	280	UV	1495051	4694.0	
29824	280	QR	42263525	957.0	LEASING
29825	281	CD	31156671	5578.0	SIPO
29826	282	GH	6997305	7531.0	SIPO
29827	282	AB	4248011	802.0	
29828	283	OP	9780645	2802.0	SIPO
29829	284	EF	34219330	5629.0	SIPO
29830	285	UV	52409064	667.0	LEASING
29831	286	ST	3664666	9848.0	SIPO
29832	287	CD	57389086	772.0	SIPO
29833	287	EF	36382317	1572.0	SIPO
29834	288	WX	29425543	3257.0	SIPO
29835	288	QR	97550320	207.0	SIPO
29836	289	AB	78823619	5745.0	SIPO
29837	289	OP	72798836	2621.0	
29838	290	YZ	60961633	2577.0	UVER
29839	290	UV	10382223	2653.0	SIPO
29840	290	IJ	5267882	3274.0	
29841	291	YZ	46721518	1941.9	LEASING
29842	291	EF	31507086	62.0	SIPO
29843	291	YZ	27026367	12925.0	
29844	292	KL	722319	1986.0	SIPO
29845	293	QR	11480212	1636.0	SIPO
29846	293	QR	85708903	845.0	
29847	293	EF	34143477	1366.0	POJISTNE
29848	294	MN	91239595	5842.0	SIPO
29849	294	KL	94949411	145.0	
29850	294	IJ	58432865	430.0	POJISTNE
29851	294	UV	58291846	156.0	
29852	295	AB	78368478	6992.0	SIPO
29853	296	AB	63953745	2646.0	SIPO
29854	300	YZ	46045607	1628.0	SIPO
29855	301	IJ	99728369	1950.0	SIPO
29856	302	ST	12600803	3236.0	SIPO
29857	303	KL	43664085	3803.0	SIPO
29858	303	UV	25709551	3132.0	UVER
29859	304	AB	27760046	14367.0	SIPO
29860	305	ST	77063089	2953.0	SIPO
29861	306	IJ	70354622	3657.0	SIPO
29862	308	CD	17178321	1284.0	LEASING
29863	309	UV	74396675	1901.0	UVER
29865	311	CD	93944477	4777.0	SIPO
29866	311	WX	80353498	371.0	
29867	311	GH	47159934	3375.0	POJISTNE
29868	311	YZ	37490087	355.0	
29869	311	YZ	67794364	422.0	UVER
29870	312	WX	31189668	7814.0	SIPO
29871	313	GH	6982702	2294.0	SIPO
29872	314	WX	56231456	2785.0	UVER
29873	314	KL	99187093	13691.0	SIPO
29874	315	MN	6354302	3509.0	UVER
29875	317	QR	93325268	3068.0	SIPO
29876	318	GH	74740838	2858.0	SIPO
29877	319	GH	41618597	6149.5	UVER
29878	319	KL	87909203	1057.0	SIPO
29880	319	AB	559258	416.0	POJISTNE
29881	321	UV	44067668	1876.0	SIPO
29882	322	ST	4537106	6550.0	SIPO
29883	323	GH	65761726	3025.0	SIPO
29884	324	OP	83596694	1785.0	SIPO
29885	324	KL	19554490	284.0	SIPO
29886	325	GH	69376104	2741.0	SIPO
29887	326	MN	44978225	1881.0	SIPO
29888	326	EF	63815659	1567.0	SIPO
29889	327	OP	86823993	3252.0	SIPO
29890	327	IJ	47999680	3805.0	
29891	328	OP	10446250	1287.0	SIPO
29892	328	GH	3014916	1145.0	SIPO
29893	329	GH	73389369	792.0	SIPO
29894	329	UV	23747241	3110.0	
29895	330	OP	23515820	6908.0	UVER
29896	331	UV	55443829	3528.0	SIPO
29897	332	MN	6061673	2385.0	SIPO
29898	333	QR	71807402	1634.0	SIPO
29899	333	QR	42206424	72.0	
29900	333	AB	13184309	292.0	POJISTNE
29901	334	IJ	5579948	2374.0	SIPO
29902	334	MN	37566691	1168.0	
29903	335	GH	80065911	2697.0	SIPO
29904	336	AB	40453487	4067.0	SIPO
29905	338	AB	37576079	2252.0	SIPO
29906	339	OP	60226070	7801.2	UVER
29907	339	WX	52391654	4087.0	SIPO
29908	339	IJ	21728092	48.0	
29909	340	CD	26790029	917.0	SIPO
29910	340	YZ	80708729	901.0	SIPO
29911	342	KL	44861531	2332.0	SIPO
29912	343	QR	15103727	2505.0	SIPO
29913	344	WX	47483712	4739.0	SIPO
29914	344	CD	77219027	1683.0	UVER
29915	345	QR	68522327	8819.0	SIPO
29916	346	KL	13685655	7875.0	SIPO
29917	347	CD	37914210	7801.2	UVER
29918	349	ST	83005469	4660.0	SIPO
29919	349	YZ	66345286	3568.0	UVER
29920	350	AB	77066629	3791.0	SIPO
29921	352	KL	56583434	1992.0	SIPO
29922	353	UV	38371622	2687.0	SIPO
29923	353	CD	53546470	879.0	SIPO
29924	354	UV	38533955	4771.0	SIPO
29925	355	WX	5620038	5012.0	SIPO
29926	355	GH	28271162	2927.0	
29927	356	GH	75963014	4188.0	SIPO
29928	357	EF	3304052	1788.0	SIPO
29929	357	IJ	44572526	280.0	
29930	358	UV	86354624	532.0	SIPO
29931	358	ST	65233623	1434.0	
29932	358	ST	94764554	27.0	POJISTNE
29933	358	ST	94047659	73.0	
29934	359	UV	86209541	3544.0	SIPO
29935	361	YZ	95369791	1941.0	SIPO
29936	361	ST	59163767	1388.0	
29937	362	ST	76221531	6001.0	SIPO
29938	362	ST	91743081	292.0	
29939	362	EF	62852764	68.0	POJISTNE
29940	364	ST	39232927	2221.0	SIPO
29941	365	YZ	84520810	1766.0	LEASING
29942	365	QR	34196335	11528.0	SIPO
29943	365	QR	93025660	1782.0	
29944	365	UV	12044257	5.0	POJISTNE
29945	365	UV	89672892	9.0	
29946	366	IJ	75874721	2442.0	SIPO
29947	366	YZ	11380994	1914.0	
29948	366	QR	29283583	836.0	POJISTNE
29949	366	ST	68747752	3188.0	
29950	367	KL	59022962	6384.0	SIPO
29951	368	ST	13122338	4381.0	SIPO
29952	368	EF	27974027	742.0	
29953	368	UV	35746020	269.0	POJISTNE
29954	368	YZ	33245110	217.0	
29955	368	UV	35739392	1071.0	LEASING
29959	370	MN	39040500	215.0	SIPO
29960	370	EF	39893967	1188.0	
29961	370	KL	57786190	672.0	POJISTNE
29962	372	ST	65089881	7785.0	SIPO
29963	372	MN	83496254	2148.0	
29964	373	OP	55648291	6452.0	SIPO
29965	375	KL	32626718	3824.0	SIPO
29966	376	IJ	32540393	7097.0	SIPO
29967	378	MN	28203147	3840.2	UVER
29968	378	KL	6934583	8537.0	SIPO
29969	378	AB	85313254	1184.0	
29970	378	ST	70710897	2.0	POJISTNE
29971	378	KL	23140502	4.0	
29972	379	CD	35418421	1561.0	SIPO
29973	379	CD	30392295	434.0	
29974	379	GH	42905002	177.0	POJISTNE
29975	379	IJ	80296814	312.0	
29979	382	IJ	24703598	2235.0	SIPO
29980	382	OP	26432061	27.0	
29981	382	MN	87132888	14.0	POJISTNE
29982	383	EF	90773456	2057.0	SIPO
29983	384	MN	48816210	2304.1	LEASING
29984	385	WX	28537345	2160.0	SIPO
29985	385	ST	91164779	31.0	
29986	385	GH	79315310	121.0	POJISTNE
29987	386	CD	39887976	4711.0	SIPO
29988	388	CD	48455613	6524.0	SIPO
29989	389	KL	8779210	884.0	SIPO
29990	389	WX	25948596	3280.0	
29991	390	YZ	24210876	4977.0	SIPO
29992	392	GH	99824958	1407.0	SIPO
29993	392	WX	27344715	5663.0	
29994	393	AB	10808188	302.0	SIPO
29995	393	AB	27135431	5920.0	
30001	395	YZ	55113202	3871.0	SIPO
30002	395	GH	73209607	4036.0	
30003	395	WX	8607322	828.0	LEASING
30004	396	UV	71221321	5245.0	SIPO
30005	396	GH	26179212	68.0	
30006	396	OP	57553499	308.0	POJISTNE
30007	396	YZ	33896279	261.0	
30008	398	IJ	60894626	1702.0	SIPO
30009	399	GH	54855972	3090.5	LEASING
30010	399	IJ	47246265	6009.0	SIPO
30011	400	WX	99955695	6948.0	SIPO
30012	401	AB	66742342	3600.0	SIPO
30013	401	EF	88922524	1769.0	
30014	402	YZ	77129357	2083.0	SIPO
30015	402	CD	98438930	2211.0	
30016	403	KL	15987736	2401.0	SIPO
30017	404	GH	68393963	1563.0	SIPO
30018	404	WX	36616319	3450.0	
30019	405	EF	24659914	1339.0	LEASING
30020	405	MN	56718403	9632.0	SIPO
30021	405	WX	11276412	1497.0	
30022	405	KL	1622963	3579.0	POJISTNE
30023	406	UV	36316532	1800.0	SIPO
30024	406	KL	28461408	264.0	
30025	407	WX	90311783	5411.0	SIPO
30026	407	EF	32662862	14.0	
30027	408	QR	62073033	5042.0	SIPO
30028	409	QR	11262268	6810.0	SIPO
30029	410	WX	85225909	3825.0	SIPO
30030	411	QR	15704101	8499.0	SIPO
30031	412	WX	35379701	8727.0	SIPO
30032	413	CD	49738037	2107.0	SIPO
30033	414	AB	96403741	7870.0	SIPO
30034	415	OP	64789080	8740.0	SIPO
30035	416	ST	30481368	982.0	SIPO
30036	416	CD	54040610	987.0	SIPO
30037	418	MN	92404669	9316.0	SIPO
30038	420	KL	49270671	7192.0	SIPO
30039	421	YZ	94967096	5571.0	SIPO
30040	423	UV	78170078	1942.0	SIPO
30041	424	WX	64132481	4591.0	SIPO
30042	425	ST	21181220	2390.0	SIPO
30043	425	OP	54766887	806.0	
30044	425	GH	30106497	64.0	POJISTNE
30045	426	MN	45444989	4201.2	UVER
30046	426	AB	9528249	7497.0	SIPO
30047	426	GH	34606760	886.0	
30048	427	CD	43451237	8166.0	SIPO
30049	428	MN	64758032	3987.0	SIPO
30050	429	IJ	79427033	5286.0	SIPO
30051	431	GH	65853184	6482.0	SIPO
30052	431	KL	66201281	715.0	
30053	434	WX	98904990	5666.0	SIPO
30054	434	ST	31071788	1637.0	
30055	435	MN	75157016	3189.0	SIPO
30056	436	WX	36372977	4885.0	SIPO
30057	436	IJ	61715274	72.0	
30058	436	CD	51325714	293.0	POJISTNE
30059	437	CD	83092337	2248.0	SIPO
30060	437	YZ	18505370	3106.0	
30061	440	QR	84914481	5825.0	SIPO
30062	440	GH	78983664	1756.0	UVER
30063	441	OP	58999586	4473.0	LEASING
30064	441	YZ	91662942	3041.0	SIPO
30065	441	WX	11125362	765.0	
30066	442	EF	55799275	7455.0	UVER
30067	442	CD	21739507	5606.0	SIPO
30068	442	ST	98938321	2068.0	
30069	443	KL	39137601	1508.0	SIPO
30070	443	IJ	32109809	463.0	
30071	443	QR	69234090	67.0	POJISTNE
30072	444	QR	53384882	4469.0	SIPO
30073	445	QR	65335863	3998.0	SIPO
30074	445	IJ	49652427	7567.0	
30075	446	EF	81248056	6941.0	SIPO
30076	447	GH	35721868	5554.0	SIPO
30077	447	ST	99847948	554.0	LEASING
30080	449	AB	84388368	164.0	SIPO
30081	449	WX	77323555	1789.0	SIPO
30082	450	QR	70611452	2404.0	SIPO
30083	451	UV	62285023	7208.0	UVER
30084	452	OP	27081912	5058.0	SIPO
30085	452	OP	33601921	375.0	
30086	453	QR	23475498	7012.0	SIPO
30087	454	GH	80305754	5687.0	SIPO
30088	455	ST	60398054	8339.0	SIPO
30089	456	WX	12626231	4783.1	LEASING
30092	458	AB	65390032	9586.0	SIPO
30093	458	CD	51641261	1031.0	LEASING
30094	460	MN	57986551	3554.0	SIPO
30095	461	OP	30994916	1530.0	SIPO
30096	462	ST	32409316	8325.0	SIPO
30097	463	QR	88697516	6385.0	SIPO
30098	464	UV	4756558	3509.0	SIPO
30099	465	ST	3081554	1278.5	LEASING
30100	465	IJ	59340989	11126.0	SIPO
30101	467	UV	90201395	3937.0	SIPO
30102	467	AB	73301529	2895.0	
30103	468	AB	87048482	3735.0	SIPO
30104	468	YZ	30738526	499.0	
30105	469	AB	32004195	2672.0	SIPO
30106	470	AB	41005563	3568.0	SIPO
30107	470	IJ	70524096	630.0	
30108	470	OP	43083483	1078.0	POJISTNE
30109	471	ST	26110238	4695.0	SIPO
30110	471	CD	97181409	931.0	
30111	471	CD	33731478	253.0	POJISTNE
30112	471	KL	45840859	202.0	
30113	472	UV	6824928	8200.2	UVER
30114	473	GH	65049969	4237.0	SIPO
30115	473	KL	67095625	2640.0	
30116	473	QR	76250731	75.0	POJISTNE
30117	473	YZ	22973603	333.0	
30118	474	UV	33440119	694.0	SIPO
30119	474	OP	79647504	1606.0	
30120	475	UV	33983725	2760.0	SIPO
30121	477	CD	7729125	2660.0	SIPO
30122	477	GH	40855217	254.0	
30123	477	IJ	25759440	463.0	POJISTNE
30124	478	EF	9013551	8137.0	SIPO
30125	479	YZ	117046	2064.0	SIPO
30126	480	KL	12772888	4687.0	SIPO
30127	480	IJ	72983371	827.0	LEASING
30128	481	GH	50636059	64.0	SIPO
30129	481	IJ	29175484	1825.0	SIPO
30134	483	GH	70076584	1940.0	SIPO
30135	484	GH	19220835	1652.0	SIPO
30136	484	MN	16825324	1995.0	
30137	484	GH	17417866	108.0	POJISTNE
30138	484	IJ	31340134	1412.0	
30139	485	AB	58655077	2629.6	LEASING
30140	485	EF	89687889	7421.0	SIPO
30141	485	WX	56978738	1591.0	
30142	485	AB	20747721	3572.0	POJISTNE
30143	487	GH	40831804	10684.0	SIPO
30144	489	ST	53826928	5608.0	SIPO
30145	490	UV	89067864	2042.0	SIPO
30146	491	EF	26434993	9090.0	SIPO
30147	494	EF	88363974	2629.6	LEASING
30148	494	GH	24389368	8728.0	SIPO
30149	494	ST	62039023	207.0	
30153	496	IJ	60471528	3602.0	SIPO
30154	497	EF	31873262	3405.0	SIPO
30157	500	WX	67136871	2629.6	LEASING
30158	500	MN	57751679	3267.0	SIPO
30159	500	AB	1471186	539.0	
30160	501	KL	79491948	4382.7	UVER
30161	502	ST	27518320	2498.0	SIPO
30162	503	QR	34156501	7175.0	SIPO
30163	503	GH	41920358	1746.0	LEASING
30164	504	UV	2230048	2308.0	SIPO
30165	505	QR	6899768	18.0	SIPO
30166	505	OP	5099285	2203.0	
30167	506	GH	21071094	3011.0	SIPO
30168	506	QR	70163124	107.0	
30169	506	IJ	18590253	278.0	POJISTNE
30170	506	IJ	82022094	724.0	
30171	508	YZ	41786360	2480.0	SIPO
30172	509	IJ	50397551	6261.0	UVER
30173	510	YZ	34629786	2442.0	SIPO
30174	510	UV	64973693	1319.0	
30175	510	GH	56986600	1043.0	POJISTNE
30176	511	MN	4644132	2629.6	LEASING
30177	512	GH	88834064	9449.0	SIPO
30178	513	EF	99257760	7908.0	SIPO
30179	514	KL	49346691	5760.0	SIPO
30180	515	CD	6447190	2750.0	SIPO
30181	516	CD	22182691	3736.0	SIPO
30182	517	UV	82919829	9255.0	SIPO
30183	518	GH	39075994	1338.0	SIPO
30184	518	MN	13886338	2015.0	SIPO
30185	519	AB	65870404	3245.0	SIPO
30186	520	MN	67366206	2332.0	SIPO
30187	521	IJ	98804980	4234.0	SIPO
30188	522	WX	31764650	77.0	SIPO
30189	522	GH	18812161	4930.0	
30190	524	AB	71994364	5768.0	SIPO
30191	525	MN	88872944	4382.7	UVER
30192	525	ST	67853247	6454.0	SIPO
30193	526	MN	22128474	5074.0	SIPO
30195	528	IJ	11964172	2916.0	SIPO
30196	529	MN	85919022	3344.0	SIPO
30197	531	OP	48101	2144.0	SIPO
30198	533	EF	5924845	1319.0	SIPO
30199	533	IJ	31916600	3427.0	
30200	534	KL	26713061	1747.0	SIPO
30201	534	KL	88319682	713.0	
30202	534	OP	71464949	1341.0	POJISTNE
30203	535	OP	26501775	7021.0	SIPO
30204	535	UV	15932035	62.0	
30205	535	MN	70218544	765.0	POJISTNE
30206	536	AB	84382724	1742.0	SIPO
30207	536	AB	56864386	827.0	SIPO
30208	537	ST	79339456	1848.0	SIPO
30209	538	OP	5225766	2692.0	SIPO
30210	541	IJ	97866481	3030.0	SIPO
30211	541	WX	97620743	72.0	
30212	541	AB	50762343	5626.0	POJISTNE
30213	542	WX	82309841	2750.0	SIPO
30214	543	EF	10095620	647.0	SIPO
30215	543	QR	32736635	1086.0	
30216	543	CD	41006070	655.0	POJISTNE
30217	544	EF	24082440	3798.2	UVER
30218	545	YZ	87724715	3306.0	SIPO
30219	546	YZ	87099098	2940.0	SIPO
30220	547	EF	48055100	2273.0	SIPO
30221	548	EF	87448715	1285.0	SIPO
30222	548	AB	56284767	528.0	SIPO
30223	549	OP	83005940	1067.0	SIPO
30224	549	CD	87506788	3024.0	
30225	550	GH	71731483	1247.0	SIPO
30226	550	WX	49558728	349.0	SIPO
30227	552	AB	68878775	2097.0	SIPO
30228	555	ST	6209928	7218.0	SIPO
30229	555	YZ	19875437	479.0	
30230	555	WX	3315794	71.0	POJISTNE
30231	557	MN	88362860	2050.0	SIPO
30232	558	CD	60158938	4081.0	SIPO
30233	558	WX	11205697	1476.0	
30234	559	CD	77164244	2175.0	SIPO
30235	560	QR	17489135	5683.0	SIPO
30236	561	QR	37346130	343.0	SIPO
30237	561	WX	77749645	1308.0	SIPO
30238	563	QR	96173613	6245.0	SIPO
30239	564	YZ	8056086	295.0	SIPO
30240	564	IJ	56459259	8713.0	
30241	565	KL	67758250	3509.0	SIPO
30242	568	CD	60686451	1408.0	LEASING
30243	569	YZ	87054288	2074.0	SIPO
30244	570	YZ	48868894	6273.0	SIPO
30245	571	EF	93711280	3255.0	SIPO
30246	572	WX	64459979	5372.0	SIPO
30247	572	EF	76923572	960.0	
30248	572	QR	5563730	349.0	POJISTNE
30249	572	WX	71732580	1413.0	LEASING
30250	573	CD	80680703	2249.0	LEASING
30251	575	KL	32180041	756.0	SIPO
30252	575	GH	62339043	5329.0	
30253	576	OP	71033382	3662.0	SIPO
30254	577	QR	92529356	5120.0	SIPO
30255	578	ST	9104431	5484.0	SIPO
30256	578	KL	6721955	601.0	
30257	578	KL	88757896	17.0	POJISTNE
30258	578	CD	84361481	57.0	
30259	579	OP	19994384	2771.0	SIPO
30260	579	CD	61798560	1065.0	
30261	580	KL	18037027	3571.0	SIPO
30262	580	AB	27916240	1715.0	
30263	581	KL	62047934	1502.0	SIPO
30264	582	KL	94775294	2812.0	SIPO
30266	584	MN	76447403	2302.0	SIPO
30267	588	AB	29001635	3141.0	SIPO
30268	588	MN	81579917	1437.0	
30269	588	KL	40627336	511.0	POJISTNE
30270	589	GH	69257765	5746.0	SIPO
30271	591	WX	33145171	2788.0	SIPO
30272	592	WX	11703169	1148.0	SIPO
30273	592	MN	17637676	460.0	SIPO
30274	594	CD	76892024	2054.0	SIPO
30275	595	WX	22432470	4702.0	SIPO
30276	597	EF	43030637	6135.0	SIPO
30277	598	IJ	36825537	7781.0	SIPO
30278	599	OP	94891345	3118.0	SIPO
30279	599	MN	75048130	967.0	
30280	600	UV	6513369	5952.0	SIPO
30281	601	ST	62110066	2230.0	SIPO
30282	602	EF	11328745	3191.0	SIPO
30283	603	KL	46360403	4361.0	SIPO
30284	605	CD	93390070	6876.0	SIPO
30285	606	EF	87049013	7140.0	SIPO
30286	606	GH	57793295	1071.0	
30287	607	KL	5990779	2082.0	SIPO
30288	608	AB	57903474	2895.0	SIPO
30289	609	IJ	28244787	1171.0	SIPO
30290	609	CD	14562350	732.0	
30291	609	IJ	59537684	67.0	POJISTNE
30292	611	AB	98749815	2284.0	SIPO
30293	612	YZ	28562253	1936.0	SIPO
30294	614	YZ	9777558	1664.0	SIPO
30295	615	UV	30659657	309.0	SIPO
30296	615	OP	63728749	1787.0	
30297	616	OP	38012558	1869.0	SIPO
30298	617	WX	41264140	2607.2	LEASING
30299	617	MN	8556467	13080.0	SIPO
30300	618	ST	52253526	747.0	SIPO
30301	618	WX	93719195	3035.0	
30302	619	YZ	51829963	1729.0	SIPO
30303	619	AB	96250706	6538.0	
30304	621	GH	21300334	366.0	SIPO
30305	621	QR	32067704	3043.0	
30306	622	MN	57849115	6255.0	SIPO
30307	622	MN	53675001	594.0	
30308	622	QR	46919482	2568.0	POJISTNE
30309	622	GH	23822355	11.0	
30310	623	ST	73409360	419.0	SIPO
30311	623	IJ	34328079	1653.0	
30312	625	CD	76538800	2607.2	LEASING
30313	625	QR	50207537	11457.0	SIPO
30314	626	WX	22472965	3639.0	SIPO
30315	627	KL	23483765	8228.0	SIPO
30316	627	KL	85517316	554.0	LEASING
30317	628	YZ	24106633	3028.0	SIPO
30318	629	QR	91464036	1207.0	SIPO
30319	629	WX	2222919	1500.0	SIPO
30320	630	IJ	662714	2361.0	SIPO
30321	631	GH	89184629	2394.0	SIPO
30322	632	OP	31188458	842.0	SIPO
30323	632	CD	54220384	199.0	
30324	632	ST	95301532	1092.0	POJISTNE
30325	633	KL	56019914	3177.0	SIPO
30327	635	OP	12794989	1683.0	SIPO
30328	635	GH	86240660	2707.0	
30329	635	KL	117952	2160.0	POJISTNE
30330	635	UV	56503492	1547.0	
30331	636	YZ	33446622	3056.0	SIPO
30332	637	AB	34624809	1934.0	SIPO
30333	638	QR	41244357	2487.0	SIPO
30334	638	AB	77634972	4668.0	
30335	638	GH	45651602	873.0	POJISTNE
30336	639	ST	77312248	2046.0	SIPO
30337	640	MN	49130755	2891.0	SIPO
30338	641	WX	41606414	3330.0	SIPO
30340	644	YZ	15593272	946.0	SIPO
30341	644	YZ	19007480	1026.0	
30342	645	GH	25328028	13466.0	SIPO
30343	646	AB	34125185	4876.0	SIPO
30344	647	UV	41266620	6465.0	SIPO
30345	648	OP	81294440	9240.0	SIPO
30721	898	UV	34259772	1582.0	
30346	649	AB	90564441	3430.1	LEASING
30347	650	YZ	70699482	1697.0	SIPO
30348	651	QR	14427155	2652.0	SIPO
30349	651	CD	54411101	4062.0	
30350	652	YZ	56959491	7591.0	SIPO
30351	653	IJ	52822631	5397.0	SIPO
30352	654	AB	49887746	2885.0	SIPO
30353	655	CD	91412663	1899.0	SIPO
30354	655	WX	48714017	2036.0	
30355	655	KL	32799506	193.0	POJISTNE
30356	655	IJ	19362265	341.0	
30357	656	KL	74315947	5477.0	SIPO
30358	657	AB	72237545	1066.0	SIPO
30359	657	MN	15075981	1862.0	
30360	658	ST	92509448	2703.0	SIPO
30361	659	EF	43700408	1833.0	SIPO
30362	659	CD	72181445	107.0	
30363	660	EF	56245785	1234.0	SIPO
30364	660	WX	50051724	5338.0	
30367	662	UV	32952279	3330.0	SIPO
30370	664	OP	7335311	2997.0	SIPO
30371	665	ST	69178992	4149.0	SIPO
30372	666	AB	85506128	3936.0	SIPO
30373	666	ST	70089435	2282.0	
30374	666	GH	93173819	955.0	POJISTNE
30375	666	UV	65873688	1045.0	UVER
30386	669	WX	12925506	1947.0	SIPO
30390	673	KL	71669763	4586.0	SIPO
30391	674	EF	63081496	2058.0	SIPO
30392	675	MN	74623369	6358.0	SIPO
30393	675	MN	56463271	1704.0	UVER
30394	676	GH	72221982	3017.0	SIPO
30395	678	YZ	20567107	1192.0	SIPO
30396	678	WX	52606773	1929.0	
30397	678	CD	77998667	1967.0	POJISTNE
30398	679	OP	91457056	4049.0	SIPO
30399	679	KL	27114582	450.0	
30400	679	UV	84744864	281.0	POJISTNE
30401	680	UV	98674255	4853.0	SIPO
30404	682	QR	39035719	1477.0	SIPO
30405	682	CD	62099003	537.0	
30406	683	QR	19231844	8578.0	SIPO
30407	684	QR	66230869	1936.0	SIPO
30408	685	AB	46590065	3847.2	LEASING
30409	686	ST	30570674	2212.0	SIPO
30410	686	OP	92192554	2875.0	
30411	686	AB	65920859	983.0	POJISTNE
30412	687	UV	3712326	1444.0	SIPO
30413	687	EF	84690487	3998.0	
30414	688	GH	38275259	2509.0	SIPO
30415	689	IJ	27240383	3847.2	LEASING
30416	689	MN	58262753	4989.0	SIPO
30417	689	QR	99909179	1388.0	
30418	689	WX	87462937	17.0	POJISTNE
30419	689	IJ	93874132	16.0	
30420	690	ST	19503748	7152.0	SIPO
30421	690	ST	45288330	1749.0	LEASING
30422	691	YZ	42897981	3342.0	SIPO
30423	692	QR	82628667	4366.0	SIPO
30424	692	OP	98083799	137.0	
30425	693	IJ	37686020	6329.0	SIPO
30426	694	QR	91037123	3096.0	SIPO
30427	695	CD	38325697	9516.0	SIPO
30428	696	IJ	2534234	1299.0	SIPO
30429	696	AB	64442080	280.0	SIPO
30430	697	ST	77658992	6372.0	SIPO
30431	698	EF	98754322	6177.0	SIPO
30432	700	WX	21956253	1116.0	SIPO
30433	700	YZ	83101778	1646.0	
30434	702	EF	53787499	2813.0	SIPO
30435	703	QR	41043675	2306.0	SIPO
30436	704	IJ	15132719	2141.0	SIPO
30437	704	UV	96896516	1197.0	
30438	705	KL	67101108	4161.0	SIPO
30441	710	KL	95556771	3200.0	SIPO
30442	711	AB	97111349	3243.0	SIPO
30443	712	UV	19930512	3847.2	LEASING
30444	713	QR	13186729	3581.0	SIPO
30445	714	UV	88810574	3782.0	SIPO
30446	715	CD	61029869	2877.0	SIPO
30447	715	IJ	30505544	1808.0	
30448	715	MN	31952321	1378.0	POJISTNE
30449	717	KL	48199552	6561.0	SIPO
30450	718	KL	3925556	6412.0	UVER
30451	718	KL	22049463	726.0	SIPO
30452	718	QR	9956103	7122.0	
30453	718	MN	10620361	6041.0	POJISTNE
30454	719	UV	95629697	1991.0	SIPO
30455	720	GH	57822185	3916.0	SIPO
30456	721	UV	92811554	2194.0	SIPO
30466	725	OP	86504637	2612.0	SIPO
30467	726	YZ	22188473	3198.0	SIPO
30468	728	YZ	24685102	1143.0	SIPO
30469	728	WX	87029039	4119.0	
30470	728	EF	84884696	1863.0	LEASING
30471	729	AB	49945181	1872.0	SIPO
30472	729	GH	95585292	114.0	
30473	729	MN	56525182	67.0	POJISTNE
30474	731	UV	24144953	2706.0	SIPO
30475	732	GH	38898217	5129.0	SIPO
30476	734	YZ	88755988	2228.0	SIPO
30477	735	EF	74098461	1389.0	SIPO
30478	735	IJ	93383478	2187.0	SIPO
30479	736	GH	78246849	2119.0	SIPO
30480	737	WX	70212787	2817.0	SIPO
30481	738	EF	52158653	970.0	SIPO
30482	738	OP	91551339	82.0	
30483	738	YZ	99652116	3671.0	POJISTNE
30484	739	CD	15982044	5504.0	SIPO
30485	742	CD	99545573	2048.0	SIPO
30486	743	EF	82371133	2691.0	SIPO
30487	744	CD	51830822	2165.0	SIPO
30488	745	IJ	29839259	1965.0	SIPO
30489	746	YZ	78167122	3452.0	SIPO
30490	747	YZ	4759234	2672.0	SIPO
30491	748	OP	75135111	6492.0	SIPO
30492	749	WX	49041187	4965.0	SIPO
30493	749	WX	49583470	226.0	
30494	749	QR	72902929	51.0	POJISTNE
30495	749	UV	44345706	26.0	
30496	750	YZ	4588097	6615.0	SIPO
30497	751	GH	74106764	2363.0	SIPO
30498	752	ST	12794679	139.0	SIPO
30499	752	UV	44654941	5568.0	
30500	753	AB	81654536	1602.0	SIPO
30501	754	GH	22047943	1454.0	SIPO
30502	754	GH	54826593	1629.0	SIPO
30503	755	CD	65842372	3889.0	SIPO
30504	755	UV	18141162	1443.0	
30505	757	CD	82420587	810.0	SIPO
30506	757	KL	64578419	2289.0	
30507	759	UV	40699601	1952.0	SIPO
30508	760	OP	1005852	3403.0	SIPO
30509	760	OP	88799416	894.0	
30510	760	AB	76297777	909.0	POJISTNE
30511	762	GH	26588875	3895.0	SIPO
30512	763	CD	9127396	7417.0	SIPO
30513	764	EF	41232329	2360.0	SIPO
30514	766	YZ	65254580	7032.0	SIPO
30515	767	KL	91866522	3564.0	SIPO
30516	767	QR	39504963	504.0	
30517	767	GH	63160019	109.0	POJISTNE
30518	767	KL	32800996	22.0	
30519	768	KL	50946819	2814.0	SIPO
30523	771	IJ	54412794	214.0	SIPO
30524	771	CD	28503686	4816.0	
30525	772	IJ	69179099	4225.0	SIPO
30526	772	YZ	62614697	660.0	
30527	772	WX	50320124	280.0	POJISTNE
30530	775	EF	6431270	1168.0	SIPO
30531	775	ST	6988245	2439.0	
30532	776	YZ	44794058	2277.0	SIPO
30533	776	MN	45458602	1036.0	
30534	776	IJ	79007082	170.0	POJISTNE
30535	777	GH	7662755	6412.0	UVER
30536	780	UV	72554701	6220.0	SIPO
30537	781	UV	94061445	2054.0	SIPO
30538	782	IJ	82476073	3094.0	SIPO
30539	782	UV	68542945	2472.0	
30540	783	MN	85706555	3242.0	SIPO
30541	784	IJ	47865402	1485.0	SIPO
30542	784	KL	80516755	1215.0	
30543	784	GH	98420869	109.0	POJISTNE
30544	784	AB	51943343	701.0	
30545	785	MN	34928149	4335.8	UVER
30546	785	CD	69687145	7395.0	SIPO
30547	786	MN	96078651	4953.0	SIPO
30548	786	IJ	47281622	365.0	
30549	787	GH	43629378	4395.0	SIPO
30550	787	OP	81038975	122.0	
30551	788	OP	80561762	3096.0	SIPO
30552	789	OP	64140730	2153.0	SIPO
30553	789	OP	84300315	1641.0	
30554	789	AB	13870329	1522.0	UVER
30555	790	MN	86892044	4335.8	UVER
30556	791	CD	11072284	3054.0	SIPO
30557	792	AB	75295537	485.0	SIPO
30558	792	AB	50819605	1326.0	
30559	792	MN	90125488	588.0	POJISTNE
30560	793	CD	41663390	1212.0	SIPO
30561	793	OP	25394970	204.0	
30562	793	YZ	95059883	851.0	POJISTNE
30563	794	EF	49722951	1107.0	SIPO
30564	794	YZ	95150184	907.0	
30565	795	CD	39119124	2976.0	SIPO
30566	798	CD	6413495	2182.0	SIPO
30567	800	ST	70286303	2203.0	SIPO
30568	800	IJ	79600321	299.0	
30569	801	ST	28209829	2565.0	SIPO
30570	801	MN	60788422	767.0	
30571	802	UV	13280040	1876.0	SIPO
30572	804	KL	68166583	2342.0	SIPO
30573	804	AB	77494382	682.0	
30574	805	EF	11602461	1424.4	LEASING
30575	806	QR	33725094	2298.0	SIPO
30576	807	IJ	21882123	12579.0	SIPO
30578	808	QR	95864551	4492.0	UVER
30579	809	GH	26098048	8298.0	SIPO
30580	810	UV	99310320	2076.0	SIPO
30581	811	WX	22673315	5171.7	UVER
30582	812	ST	41519075	9128.0	SIPO
30583	813	IJ	39089608	2025.7	UVER
30584	814	GH	1200831	1598.0	SIPO
30585	814	KL	15360969	632.0	SIPO
30586	815	MN	93358599	1949.0	SIPO
30587	816	OP	35554933	2025.7	UVER
30588	816	QR	67616367	4514.0	SIPO
30589	817	GH	53805935	4605.0	SIPO
30590	817	AB	75855749	8975.0	UVER
30594	820	QR	12900066	210.0	SIPO
30595	820	AB	81232100	5367.0	
30596	821	QR	37818032	1436.0	SIPO
30597	821	AB	89886223	651.0	
30598	822	MN	92287319	1784.0	SIPO
30599	823	CD	43020331	62.0	SIPO
30600	823	WX	75077736	1515.0	
30601	823	AB	51397413	612.0	POJISTNE
30602	824	CD	30595302	5406.0	SIPO
30603	825	YZ	35577237	9235.0	SIPO
30604	825	YZ	87110560	4423.0	UVER
30605	826	KL	33696842	4550.0	SIPO
30606	826	YZ	5275464	866.0	
30607	826	WX	37950855	169.0	POJISTNE
30608	827	QR	21975636	2260.0	SIPO
30609	828	KL	18580800	8852.0	SIPO
30610	829	UV	85781967	2120.0	SIPO
30611	831	QR	94460784	2291.0	SIPO
30612	832	GH	30598807	2135.0	SIPO
30613	833	GH	3151357	3462.0	SIPO
30614	834	CD	48387557	2473.0	SIPO
30617	836	AB	7416719	125.0	SIPO
30618	836	MN	12516117	2934.0	
30619	837	AB	57949954	9250.0	SIPO
30620	839	GH	73115485	4254.0	SIPO
30621	840	MN	8011526	4606.0	SIPO
30622	841	IJ	1747614	2109.0	SIPO
30623	842	IJ	84613001	3278.0	SIPO
30624	843	EF	10746133	955.0	SIPO
30625	843	WX	32156717	128.0	
30626	843	WX	16661399	897.0	POJISTNE
30627	844	ST	37441408	1640.0	SIPO
30628	844	GH	24649799	12531.0	
30629	845	IJ	33191889	9651.0	SIPO
30630	846	WX	61563986	7795.5	UVER
30631	848	OP	79923873	3400.0	SIPO
30632	848	ST	72638684	1590.0	
30633	848	UV	7052839	1025.0	POJISTNE
30634	850	EF	23098129	14811.0	SIPO
30635	851	KL	59494537	2090.0	LEASING
30636	851	GH	75825410	3254.0	SIPO
30637	851	IJ	26014739	881.0	
30638	852	GH	3289789	69.0	SIPO
30639	852	KL	63201045	2013.0	
30640	853	AB	85631608	4673.0	SIPO
30641	853	QR	71826153	1378.0	
30642	854	AB	21777671	382.0	SIPO
30643	854	KL	41849011	1105.0	
30644	854	IJ	6306148	2843.0	POJISTNE
30645	854	OP	54977858	1817.0	UVER
30646	855	KL	31062770	6608.0	SIPO
30647	856	UV	71847098	3625.0	SIPO
30648	856	ST	69347637	571.0	
30649	856	CD	45113939	137.0	POJISTNE
30650	856	KL	66175556	1404.0	
30651	857	AB	51452183	3019.0	SIPO
30652	858	ST	28566694	5456.0	SIPO
30653	859	ST	87632876	463.0	SIPO
30654	859	MN	97751479	855.0	
30655	859	AB	76049786	1657.0	POJISTNE
30656	859	IJ	37609326	955.0	
30657	860	AB	19660163	8071.0	SIPO
30658	861	ST	19577122	9105.0	SIPO
30659	861	IJ	36303168	478.0	
30660	862	AB	95404332	3122.0	SIPO
30661	863	UV	57466894	4433.3	LEASING
30662	863	CD	35133409	6087.0	SIPO
30663	864	MN	78955989	3699.0	SIPO
30664	865	QR	38805490	409.0	SIPO
30665	865	OP	20329344	1885.0	
30666	866	YZ	81990486	465.0	SIPO
30667	866	EF	26753026	38.0	
30668	866	CD	94022661	504.0	POJISTNE
30669	866	MN	70676672	3844.0	
30670	867	EF	96948867	9718.0	SIPO
30671	867	ST	12128901	2820.0	
30672	867	IJ	10908985	405.0	POJISTNE
30673	868	ST	6806827	3239.0	SIPO
30674	868	ST	2121645	3119.0	
30675	870	EF	43178206	4562.0	SIPO
30676	871	OP	96428060	5168.0	SIPO
30677	872	QR	4002279	2762.0	SIPO
30678	873	CD	22322130	878.0	SIPO
30679	873	QR	57947230	1540.0	
30680	873	YZ	91838556	2211.0	POJISTNE
30681	873	UV	38070190	2975.0	UVER
30682	874	YZ	10270870	1642.3	LEASING
30683	874	OP	10934925	1053.0	SIPO
30684	874	ST	22497678	7025.0	
30685	875	OP	9408325	3837.0	SIPO
30686	876	OP	8003074	3796.0	SIPO
30687	877	UV	40519672	2115.0	SIPO
30688	877	CD	26341355	1513.0	
30689	878	UV	24647236	3943.0	SIPO
30690	879	MN	22161680	2094.0	SIPO
30691	880	WX	69104659	1690.1	LEASING
30692	880	OP	25282103	4840.0	SIPO
30698	882	CD	5837190	3306.0	SIPO
30699	883	GH	72100633	6195.0	SIPO
30700	883	EF	91641729	1756.0	
30701	883	QR	20838284	455.0	POJISTNE
30702	884	AB	15814888	2259.0	SIPO
30703	885	GH	90082960	872.0	SIPO
30704	885	UV	97141348	2420.0	
30705	886	AB	44119823	9034.0	SIPO
30706	887	EF	94832020	3009.0	SIPO
30707	888	AB	42709922	1592.0	SIPO
30708	889	YZ	22207898	1292.0	SIPO
30709	889	IJ	99116205	1965.0	SIPO
30710	890	EF	66783034	3136.0	SIPO
30711	891	MN	68707388	1784.0	SIPO
30712	892	CD	66285890	406.0	SIPO
30713	892	CD	25392246	2509.0	SIPO
30714	894	QR	4965514	2914.0	SIPO
30715	895	CD	87954961	523.0	SIPO
30716	895	QR	84034579	1454.0	
30717	896	QR	9933358	3220.0	SIPO
30718	897	GH	76899188	2910.0	SIPO
30719	897	AB	1613778	6676.0	
30720	898	EF	70056313	2882.0	SIPO
30722	899	YZ	59026044	1626.6	LEASING
30723	900	ST	51806682	5950.0	SIPO
30724	901	UV	93629043	1910.0	SIPO
30725	902	EF	83133846	260.0	SIPO
30726	902	OP	54130822	1869.0	
30727	902	QR	46706521	1726.0	POJISTNE
30728	903	GH	40163380	2580.0	SIPO
30729	905	EF	79027634	6086.0	SIPO
30730	905	IJ	93500333	37.0	
30731	905	KL	13783419	53.0	POJISTNE
30732	906	AB	85822999	2240.0	SIPO
30733	907	UV	56898051	2118.0	SIPO
30734	909	ST	43062096	1950.0	SIPO
30735	910	YZ	11557114	1937.0	SIPO
30736	911	GH	17067635	9600.0	SIPO
30737	911	WX	10116327	968.0	
30738	912	WX	13603061	2332.0	SIPO
30739	913	EF	87569880	2128.0	SIPO
30740	913	QR	52878284	2357.0	
30741	913	KL	91468649	4499.0	POJISTNE
30742	914	UV	90846919	2298.0	SIPO
30743	915	MN	88686042	6449.0	UVER
30744	915	EF	73569780	14291.0	SIPO
30745	916	MN	8061987	5299.0	SIPO
30746	917	YZ	8629411	4669.0	SIPO
30747	918	ST	81464928	10076.0	SIPO
30748	918	UV	19973844	2039.0	
30749	919	KL	87937092	4850.0	SIPO
30750	920	MN	34669208	2437.0	SIPO
30751	921	QR	13826614	1240.0	SIPO
30752	921	YZ	38948452	536.0	SIPO
30753	922	AB	51777029	898.0	SIPO
30754	922	WX	73872160	255.0	
30755	922	EF	77783399	1652.0	POJISTNE
30756	923	YZ	9631318	2087.0	SIPO
30757	924	MN	21176868	308.0	SIPO
30758	924	MN	71253311	1904.0	
30759	925	AB	8015108	5395.0	SIPO
30760	925	EF	71048921	1068.0	LEASING
30761	926	UV	50076764	1748.0	SIPO
30762	927	AB	99075811	1623.0	SIPO
30763	927	OP	57618069	5782.0	
30764	928	EF	72199558	4561.0	SIPO
30765	929	ST	61865889	5884.0	SIPO
30766	930	IJ	14144766	9356.0	SIPO
30767	931	QR	69328868	998.0	SIPO
30768	931	OP	98647319	1151.0	
30769	931	KL	13773954	461.0	POJISTNE
30770	931	MN	2668875	864.0	
30771	932	IJ	95952808	2793.0	SIPO
30772	933	GH	91725241	2584.0	SIPO
30773	934	MN	80159562	3236.0	SIPO
30774	935	OP	14574545	2118.0	SIPO
30775	936	ST	95479797	2780.0	SIPO
30776	936	YZ	51554924	224.0	SIPO
30777	937	IJ	99500470	1751.0	SIPO
30778	938	AB	33329439	3282.0	SIPO
30779	938	GH	56959378	371.0	UVER
30780	939	QR	68136739	2108.0	SIPO
30781	940	OP	99014985	4738.0	UVER
30782	941	GH	16961235	3871.0	SIPO
30783	943	AB	8294791	2144.0	SIPO
30784	944	IJ	46210002	5361.0	SIPO
30785	945	YZ	63545399	8215.0	SIPO
30786	947	GH	67947453	1546.0	SIPO
30787	947	EF	99499773	1143.0	
30791	950	CD	13765102	8910.0	SIPO
30792	951	KL	47982436	2371.0	SIPO
30793	952	OP	26491993	4946.0	SIPO
30794	953	OP	93842464	1768.0	SIPO
30795	953	OP	89555656	185.0	
30796	954	WX	698990	357.0	SIPO
30797	954	AB	55569523	1242.0	
30798	954	OP	8703875	1906.0	POJISTNE
30799	955	MN	52028411	7411.0	SIPO
30800	957	CD	90061181	2126.0	SIPO
30801	958	OP	78640448	3990.0	SIPO
30802	959	OP	48082047	579.0	SIPO
30803	959	QR	1625001	2180.0	SIPO
30804	960	YZ	8817315	3151.0	UVER
30805	960	CD	19250178	5940.0	SIPO
30806	961	ST	58554261	8255.0	SIPO
30807	963	QR	19417429	3799.0	SIPO
30808	965	GH	43064683	2853.0	SIPO
30809	966	GH	93294161	2129.0	SIPO
30810	967	WX	9696704	6824.0	SIPO
30811	968	YZ	47317737	7262.0	SIPO
30812	970	OP	78745192	5260.0	SIPO
30813	971	YZ	43347799	3860.0	SIPO
30814	972	OP	64758044	897.0	SIPO
30815	972	YZ	58550822	1141.0	
30816	973	KL	42422169	2909.0	SIPO
30817	975	CD	35931646	3550.0	SIPO
30818	976	OP	17866748	5244.0	SIPO
30819	977	ST	60977023	6846.0	SIPO
30820	978	UV	70650827	2062.0	SIPO
30821	979	KL	75259256	5354.0	SIPO
30822	980	ST	79582625	3632.0	SIPO
30823	980	EF	4869163	2889.0	
30824	981	UV	83665114	1069.0	SIPO
30825	981	MN	79798209	2769.0	
30826	982	IJ	6972080	2505.0	SIPO
30827	982	AB	29559022	188.0	
30828	982	CD	44355207	148.0	POJISTNE
30829	982	OP	19998705	192.0	
30834	984	QR	37694537	5911.0	SIPO
30835	985	MN	70730441	2227.0	SIPO
30836	986	AB	23655325	2146.0	SIPO
30837	987	GH	1669747	3528.0	SIPO
30838	988	UV	82773095	2512.0	SIPO
30839	989	CD	77140342	2262.0	SIPO
30840	989	KL	78910153	1147.0	SIPO
30841	990	YZ	56577050	7538.0	SIPO
30842	991	MN	2995044	6748.0	SIPO
30843	992	QR	63584351	3231.0	SIPO
30844	992	KL	77042627	1071.0	
30845	992	IJ	3588748	335.0	POJISTNE
30846	992	QR	40572267	2450.0	
30847	993	WX	89932006	1812.3	UVER
30848	995	OP	21824896	2153.0	SIPO
30849	995	GH	80483859	143.0	
30850	996	KL	40804118	1934.0	SIPO
30851	997	EF	76536661	1046.0	SIPO
30852	997	AB	37532264	700.0	
30853	997	CD	22804981	688.0	POJISTNE
30854	997	CD	66356766	36.0	
30855	998	MN	21143341	7641.0	SIPO
30859	1000	YZ	78449135	3179.0	SIPO
30860	1000	CD	8467102	1475.0	
30861	1000	OP	62838387	2852.0	POJISTNE
30864	1002	YZ	61809003	1293.0	SIPO
30865	1002	EF	29577315	1092.0	
30866	1002	YZ	69410747	470.0	POJISTNE
30867	1003	IJ	18349242	5276.0	SIPO
30868	1003	UV	66745954	185.0	
30869	1004	KL	48386609	5237.0	UVER
30870	1005	ST	26423788	3302.0	LEASING
30871	1005	MN	13424891	7896.0	SIPO
30872	1006	YZ	28566903	390.0	SIPO
30873	1006	EF	8671278	2008.0	
30874	1006	EF	76910799	60.0	POJISTNE
30875	1006	KL	51874184	33.0	
30876	1008	KL	54770183	2691.0	SIPO
30877	1009	MN	49052566	7521.0	SIPO
30880	1011	QR	9464615	3400.5	UVER
30881	1011	WX	17116374	7085.0	SIPO
30882	1012	EF	56211417	4090.8	UVER
30883	1013	ST	88824516	2081.0	SIPO
30884	1015	KL	18432247	3925.0	SIPO
30885	1016	UV	35817569	2619.0	SIPO
30886	1016	MN	21620893	2155.0	
30887	1017	IJ	49678987	4492.0	SIPO
30888	1017	GH	13622379	477.0	
30889	1018	MN	21977925	1614.0	SIPO
30890	1018	GH	98507838	1028.0	
30891	1019	WX	75165712	8127.0	SIPO
30892	1019	IJ	74068438	608.0	
30893	1019	ST	88047855	629.0	POJISTNE
30894	1020	MN	40117269	1874.0	SIPO
30895	1020	ST	49670916	105.0	
30896	1020	UV	24497020	10.0	POJISTNE
30897	1021	AB	37461710	2259.0	SIPO
30898	1024	IJ	50779986	2074.0	SIPO
30905	1026	IJ	92388706	8099.0	SIPO
30906	1026	WX	63060033	335.0	
30907	1027	ST	91939943	2117.0	SIPO
30908	1029	UV	28123855	8136.0	SIPO
30909	1029	WX	347924	342.0	
30910	1030	IJ	30616259	664.0	SIPO
30911	1030	WX	98720079	1050.0	SIPO
30912	1031	YZ	98259973	6817.0	SIPO
30913	1031	MN	53443789	747.0	
30914	1031	OP	61673647	51.0	POJISTNE
30915	1031	AB	13939214	551.0	LEASING
30916	1034	EF	54495429	4219.0	SIPO
30917	1035	CD	68746489	2194.0	SIPO
30918	1035	YZ	72017597	4942.0	
30919	1036	OP	5921757	4095.0	SIPO
30920	1037	ST	89659267	1062.0	SIPO
30921	1037	UV	73314934	940.0	
30922	1037	EF	22177893	1157.0	POJISTNE
30923	1037	CD	38512766	62.0	
30924	1038	OP	88674932	2006.0	SIPO
30925	1038	GH	65748941	141.0	
30926	1040	YZ	9653228	2342.0	LEASING
30927	1040	GH	15813100	7008.0	SIPO
30930	1043	MN	18801582	6433.0	SIPO
30931	1044	MN	62729650	2880.0	SIPO
30932	1044	GH	18615305	188.0	
30933	1045	GH	61220621	1730.0	SIPO
30934	1046	OP	70391350	7399.0	SIPO
30935	1047	KL	74345159	4339.0	SIPO
30936	1048	MN	24886042	3852.0	SIPO
30937	1049	EF	93252652	1545.0	SIPO
30938	1049	EF	13402939	954.0	
30939	1050	OP	98150521	5673.0	SIPO
30940	1053	YZ	8172607	1043.0	SIPO
30941	1053	YZ	46275836	2439.0	
30942	1054	IJ	38208055	4736.0	SIPO
30943	1055	CD	7340211	2047.0	SIPO
30944	1056	IJ	50892353	2531.7	LEASING
30945	1056	EF	26736420	5692.0	SIPO
30946	1057	QR	44777083	3090.0	SIPO
30947	1058	WX	49857848	4761.0	SIPO
30948	1058	WX	54740381	408.0	
30949	1059	CD	2758771	232.0	SIPO
30950	1059	ST	66466748	1914.0	
30951	1061	YZ	97285127	3790.0	SIPO
30952	1062	AB	56361120	7844.0	SIPO
30953	1064	QR	99262660	2918.0	SIPO
30954	1067	AB	90449589	7811.0	SIPO
30955	1068	ST	2958560	4219.5	UVER
30956	1068	AB	6389087	4737.0	SIPO
30957	1068	YZ	29813301	3273.0	
30958	1068	CD	73765313	632.0	POJISTNE
30959	1069	YZ	41750836	3080.0	SIPO
30960	1070	MN	65257990	5116.0	SIPO
30961	1071	GH	21432626	4219.5	UVER
30962	1072	OP	47369968	3520.0	SIPO
30963	1073	OP	88794773	3843.0	SIPO
30964	1074	IJ	51158940	1416.0	LEASING
30965	1075	WX	87197690	3868.0	SIPO
30966	1075	UV	90986024	208.0	
30967	1076	KL	42470806	2640.0	SIPO
30968	1076	YZ	93423914	4447.0	
30969	1078	YZ	33194816	3423.0	SIPO
30970	1079	MN	42747187	10392.0	SIPO
30971	1080	WX	40894991	6185.0	SIPO
30972	1081	QR	41841411	2484.0	SIPO
30973	1082	WX	8899295	2189.0	SIPO
30974	1083	KL	52041840	1930.0	SIPO
30975	1083	KL	1474237	835.0	
30976	1083	YZ	70442372	4351.0	POJISTNE
30977	1083	EF	96308820	1416.0	UVER
30980	1085	MN	39862310	8537.0	SIPO
30981	1086	UV	38448971	1376.0	SIPO
30982	1086	MN	12634462	474.0	
30983	1086	EF	44293308	86.0	POJISTNE
30984	1088	WX	46244287	3032.0	SIPO
30985	1089	OP	36553853	756.0	SIPO
30986	1089	QR	13997078	2962.0	
30987	1090	ST	12971461	3317.0	SIPO
30988	1092	ST	40163117	5664.0	SIPO
30989	1093	ST	99570404	8022.8	UVER
30990	1093	EF	21858203	10261.0	SIPO
30991	1094	UV	80894112	1408.0	SIPO
30992	1094	KL	27204376	747.0	SIPO
30993	1095	MN	98788070	1119.0	SIPO
30994	1095	KL	77274346	3773.0	
30995	1095	AB	69525956	896.0	POJISTNE
30996	1095	EF	92616253	1787.0	
30997	1096	MN	24721879	3488.0	SIPO
30998	1097	OP	95009862	7636.0	SIPO
30999	1097	OP	33397758	870.0	
31000	1097	CD	50336754	577.0	POJISTNE
31001	1097	UV	86982053	42.0	
31002	1098	AB	2207518	619.0	SIPO
31003	1098	GH	47811776	1007.0	SIPO
31009	1100	OP	60873585	174.0	SIPO
31010	1100	UV	21850496	882.0	
31011	1100	YZ	22059500	1103.0	POJISTNE
31012	1101	ST	64489167	7553.0	SIPO
31013	1102	CD	19876456	3559.0	SIPO
31014	1104	EF	72144114	8840.0	SIPO
31015	1105	EF	96368914	1839.0	SIPO
31016	1105	WX	69901072	4015.0	
31017	1106	WX	7667500	8022.8	UVER
31018	1107	ST	55333268	1746.0	SIPO
31019	1108	ST	17273038	31.0	SIPO
31020	1108	OP	30477523	2335.0	SIPO
31021	1110	CD	84862774	5427.0	SIPO
31022	1111	UV	64148080	3962.0	SIPO
31023	1113	CD	6762576	3837.0	SIPO
31024	1113	YZ	4878908	1809.0	
31025	1114	EF	41164273	3350.0	SIPO
31026	1115	OP	13170951	2293.0	SIPO
31027	1116	ST	41694200	8086.0	SIPO
31028	1117	UV	52116602	1640.0	SIPO
31029	1117	YZ	64481568	1075.0	SIPO
31030	1118	UV	32868296	3637.0	SIPO
31031	1118	GH	4071104	1388.0	
31034	1120	GH	5904931	1508.0	SIPO
31035	1120	KL	15175223	1195.0	SIPO
31036	1123	YZ	11799949	2444.0	SIPO
31037	1123	WX	23123979	6668.0	
31038	1124	WX	20725280	4813.7	LEASING
31039	1124	YZ	35057538	1030.0	SIPO
31040	1124	GH	54822939	2739.0	
31041	1125	YZ	68780326	7895.0	UVER
31042	1125	ST	79252308	11827.0	SIPO
31043	1125	UV	34524190	238.0	
31044	1125	YZ	64038717	1.0	POJISTNE
31045	1126	WX	12984758	2791.0	SIPO
31046	1127	WX	43852061	6260.0	SIPO
31047	1128	QR	14786029	2070.0	SIPO
31048	1129	OP	21761328	4604.0	SIPO
31049	1129	EF	57572519	2085.0	
31050	1130	QR	6974792	2241.0	SIPO
31053	1133	WX	45995962	2103.0	SIPO
31054	1133	ST	40755695	895.0	SIPO
31055	1134	OP	83356666	1973.0	SIPO
31056	1134	ST	64548426	6007.0	
31057	1135	YZ	62011670	1735.0	SIPO
31058	1136	IJ	88794064	3081.8	LEASING
31059	1136	YZ	58973252	6249.0	SIPO
31060	1136	YZ	17459643	2884.0	
31061	1137	GH	1497954	2121.0	SIPO
31062	1139	MN	67396074	3081.8	LEASING
31063	1139	CD	88400810	1191.0	SIPO
31064	1139	UV	4895151	3110.0	
31065	1139	UV	35875827	2386.0	POJISTNE
31066	1139	OP	71055465	479.0	
31067	1140	YZ	74234366	2790.0	SIPO
31068	1141	OP	42710840	1028.0	SIPO
31069	1141	QR	31942546	907.0	
31070	1141	IJ	44392269	248.0	POJISTNE
31071	1142	KL	67380297	2077.0	SIPO
31075	1144	GH	64795172	2250.0	SIPO
31076	1145	IJ	24233013	478.0	SIPO
31077	1145	KL	38151466	1469.0	
31078	1146	OP	77362507	3437.0	SIPO
31079	1146	QR	46465182	1384.0	
31081	1151	WX	90602427	3263.0	SIPO
31082	1152	GH	77527123	2186.0	SIPO
31083	1153	QR	24663144	4918.0	SIPO
31084	1153	MN	55908048	1033.0	
31085	1154	IJ	42328703	3475.0	SIPO
31086	1155	QR	81956076	2260.0	SIPO
31087	1158	CD	11980402	2171.0	SIPO
31088	1159	KL	37861478	6470.0	SIPO
31089	1160	YZ	20354813	3487.0	SIPO
31090	1160	CD	47398275	171.0	
31091	1161	ST	53418099	3947.0	SIPO
31096	1165	CD	13145977	8270.0	SIPO
31097	1166	CD	62584346	3105.2	UVER
31098	1166	EF	69850820	4397.0	SIPO
31102	1168	WX	84145503	2432.0	SIPO
31103	1168	GH	54825097	1838.0	
31104	1168	MN	2626044	48.0	POJISTNE
31105	1168	WX	34381449	40.0	
31106	1169	EF	74447035	7748.0	SIPO
31107	1169	WX	2818489	591.0	
31108	1170	YZ	66010159	2279.3	LEASING
31109	1170	EF	53990995	13057.0	SIPO
31110	1171	AB	8577967	7893.0	SIPO
31111	1173	YZ	85918098	950.0	SIPO
31112	1173	AB	55954945	1352.0	
31113	1174	GH	72342484	720.0	SIPO
31114	1174	IJ	14356726	829.0	
31115	1174	IJ	69252133	3182.0	POJISTNE
31119	1176	YZ	67840176	2267.0	SIPO
31120	1177	YZ	63586568	541.0	SIPO
31121	1177	IJ	89210205	3499.0	
31122	1177	OP	30046618	6306.0	UVER
31123	1178	GH	17762130	5639.0	SIPO
31124	1179	UV	68278848	2808.0	SIPO
31125	1181	OP	84730392	3418.0	SIPO
31126	1181	WX	99466686	329.0	
31127	1181	YZ	73321759	123.0	POJISTNE
31128	1182	UV	22986358	1662.7	LEASING
31129	1183	YZ	94248866	1882.0	SIPO
31130	1183	QR	47705107	1046.0	
31131	1185	KL	67108410	2581.0	SIPO
31132	1185	ST	46177363	249.0	SIPO
31133	1187	WX	56067287	2288.0	SIPO
31134	1188	KL	60496938	4421.0	SIPO
31135	1189	GH	69967859	1944.0	SIPO
31136	1189	GH	59060120	344.0	
31137	1190	KL	18257963	8249.0	SIPO
31142	1193	KL	465041	7334.0	SIPO
31143	1194	WX	70871931	3171.0	SIPO
31144	1195	IJ	70545512	1890.0	SIPO
31145	1195	IJ	17328250	453.0	SIPO
31146	1196	GH	66254877	12445.0	SIPO
31147	1197	ST	79359864	2582.0	SIPO
31148	1199	IJ	97586124	1948.0	SIPO
31149	1199	UV	49255633	762.0	
31150	1200	KL	65062272	3743.0	SIPO
31151	1200	EF	63795244	525.0	
31152	1200	EF	13788360	3156.0	POJISTNE
31153	1201	CD	73948222	5873.0	SIPO
31154	1201	OP	53580081	1836.0	
31159	1203	EF	84286474	465.0	SIPO
31160	1203	UV	74031829	3232.0	
31161	1203	AB	89206337	118.0	POJISTNE
31162	1203	EF	31680542	346.0	
31163	1204	WX	46599167	2154.0	SIPO
31164	1204	MN	21313643	4992.0	
31165	1205	YZ	8382422	2989.0	SIPO
31166	1206	KL	50189578	3279.0	SIPO
31167	1207	ST	70412289	9252.0	SIPO
31168	1207	YZ	3589851	1110.0	LEASING
31169	1208	ST	82192122	4426.0	SIPO
31170	1208	IJ	36384171	2126.0	
31171	1209	AB	9581202	3568.0	SIPO
31172	1211	QR	57585883	3073.0	SIPO
31173	1211	KL	33158874	890.0	
31174	1211	OP	16959125	372.0	POJISTNE
31175	1212	CD	49310952	2805.0	SIPO
31176	1213	AB	19831466	2984.0	SIPO
31177	1214	EF	29751098	4469.0	SIPO
31178	1215	QR	60905134	2508.0	SIPO
31179	1216	OP	9067219	2349.0	SIPO
31180	1217	AB	9696394	151.0	SIPO
31181	1217	YZ	58911669	1956.0	
31182	1218	IJ	27704996	3213.4	LEASING
31183	1219	IJ	86177932	3986.0	SIPO
31184	1220	CD	48306894	2770.0	SIPO
31185	1221	QR	20722085	3213.4	LEASING
31186	1222	WX	91109859	1727.0	SIPO
31187	1223	WX	7625335	1398.0	SIPO
31188	1223	CD	87986993	4963.0	
31194	1226	CD	52769649	3826.0	SIPO
31195	1227	YZ	31759178	5511.0	SIPO
31196	1227	GH	57943856	101.0	
31197	1227	MN	14547312	980.0	POJISTNE
31198	1227	YZ	39771598	2344.0	
31199	1228	AB	34928244	1980.0	SIPO
31200	1229	UV	85866784	5505.0	SIPO
31201	1230	IJ	91985517	3213.4	LEASING
31202	1231	GH	5624753	3485.0	SIPO
31203	1231	IJ	9577274	665.0	LEASING
31204	1233	GH	76341795	2260.0	SIPO
31205	1234	WX	71036088	2236.0	SIPO
31206	1235	QR	36736953	1843.0	SIPO
31207	1235	GH	56642502	1049.0	SIPO
31208	1238	IJ	28000951	2256.0	SIPO
31209	1239	KL	83388852	3744.0	SIPO
31210	1240	MN	14062285	4353.0	SIPO
31211	1241	EF	97685855	1368.0	SIPO
31212	1241	IJ	21271294	2201.0	
31213	1241	WX	87002157	227.0	POJISTNE
31214	1242	CD	11588836	5355.7	UVER
31215	1242	GH	12355560	4910.0	SIPO
31216	1242	AB	62675297	3674.0	
31217	1242	OP	25744539	422.0	POJISTNE
31218	1242	UV	13214141	38.0	
31219	1244	EF	22533941	903.0	SIPO
31220	1244	IJ	81744551	2122.0	
31221	1244	WX	97042274	406.0	POJISTNE
31222	1244	QR	49724513	54.0	
31223	1244	AB	67696446	748.0	UVER
31224	1245	IJ	42008179	3611.0	SIPO
31225	1246	AB	34252166	3239.0	SIPO
31226	1247	YZ	9652227	2077.0	UVER
31227	1248	AB	25126809	3176.0	SIPO
31228	1249	ST	91224199	704.0	SIPO
31229	1249	GH	65504103	392.0	
31230	1249	QR	4520500	1361.0	POJISTNE
31231	1250	GH	21845096	3805.2	UVER
31232	1250	YZ	14470041	61.0	SIPO
31233	1250	IJ	49418222	10069.0	
31234	1251	UV	78350180	7870.0	SIPO
31235	1252	UV	84370898	4114.7	UVER
31236	1253	OP	64931833	3865.0	SIPO
31237	1253	WX	10639518	5330.0	
31238	1255	GH	13613921	4598.0	UVER
31239	1256	AB	72944313	1178.0	SIPO
31240	1256	ST	69528400	5450.0	
31241	1256	IJ	9768981	1974.0	UVER
31242	1257	CD	16047442	4387.0	SIPO
31243	1258	AB	56178200	759.0	SIPO
31244	1258	OP	77309888	1174.0	
31245	1259	IJ	29708302	724.0	SIPO
31246	1259	MN	46119725	2108.0	
31247	1259	EF	47106474	464.0	POJISTNE
31248	1259	WX	87490993	1429.0	UVER
31249	1260	QR	76420205	6594.0	SIPO
31250	1261	CD	48037660	9222.0	SIPO
31251	1262	EF	16308558	2821.0	SIPO
31252	1264	YZ	35251403	6605.0	SIPO
31253	1265	QR	2120972	1870.0	SIPO
31254	1266	MN	3816020	9291.0	SIPO
31255	1267	GH	53632640	2271.0	SIPO
31256	1267	YZ	92731403	867.0	
31257	1267	OP	38344526	21.0	POJISTNE
31258	1267	QR	69378167	1672.0	
31259	1268	ST	70287799	2220.0	SIPO
31260	1269	CD	70135479	6840.0	SIPO
31261	1269	EF	78545605	599.0	
31262	1270	AB	27904290	2077.3	UVER
31263	1270	WX	88882463	4162.0	SIPO
31264	1271	EF	44934696	4128.0	SIPO
31265	1272	IJ	75666576	1246.4	LEASING
31266	1273	IJ	25406718	3863.0	SIPO
31267	1275	IJ	30025339	1903.0	SIPO
31268	1276	OP	19942432	3839.0	SIPO
31269	1276	YZ	87970047	508.0	
31270	1276	AB	23086488	169.0	POJISTNE
31271	1277	OP	2533764	3175.0	SIPO
31276	1279	QR	61846792	3587.0	SIPO
31277	1280	EF	39353507	2491.0	SIPO
31282	1284	AB	29951918	4375.5	UVER
31283	1285	YZ	21816671	7213.0	SIPO
31284	1286	IJ	38014668	8500.0	SIPO
31285	1287	EF	52661430	2623.0	SIPO
31286	1287	UV	28742987	6619.0	
31287	1287	CD	8041507	525.0	POJISTNE
31288	1288	IJ	87367409	2948.0	SIPO
31289	1289	OP	91892945	6950.0	SIPO
31291	1291	OP	71369182	1333.0	SIPO
31292	1291	IJ	15883821	335.0	SIPO
31293	1292	MN	61391454	1653.0	SIPO
31294	1292	UV	43192416	1457.0	
31295	1292	KL	75588404	221.0	POJISTNE
31296	1293	MN	91569077	3484.0	SIPO
31297	1294	ST	59882163	1404.0	SIPO
31298	1294	UV	31563121	2177.0	
31299	1295	UV	74620097	3282.0	SIPO
31300	1296	GH	57227110	1607.0	SIPO
31301	1297	IJ	23392784	2878.0	SIPO
31302	1297	UV	17594236	3311.0	
31303	1298	MN	11863774	5822.0	SIPO
31304	1299	CD	17364889	317.0	SIPO
31305	1299	GH	4791987	2291.0	
31308	1302	UV	38729328	3924.0	SIPO
31309	1303	IJ	57378178	3601.0	SIPO
31310	1304	CD	84192180	2368.9	LEASING
31311	1306	YZ	36806219	5023.0	SIPO
31312	1306	IJ	20391887	942.0	
31313	1306	EF	58231496	1888.0	POJISTNE
31314	1307	OP	88894867	3297.0	SIPO
31315	1308	CD	27181756	3206.0	SIPO
31316	1309	AB	95435869	2600.0	LEASING
31317	1309	YZ	27833730	10199.0	SIPO
31318	1311	UV	53567492	9327.0	SIPO
31319	1312	ST	56866002	1690.0	SIPO
31320	1314	IJ	52970862	6889.0	SIPO
31321	1315	YZ	869143	2813.0	SIPO
31322	1315	QR	62296283	299.0	
31323	1315	MN	4333562	3160.0	POJISTNE
31324	1316	KL	70345508	1130.0	SIPO
31325	1316	WX	87733494	619.0	
31326	1316	EF	61034697	233.0	POJISTNE
31327	1317	YZ	54353141	3493.0	SIPO
31328	1318	ST	77757256	5154.0	UVER
31329	1318	AB	10788429	8677.0	SIPO
31330	1318	AB	50830727	1762.0	
31331	1318	MN	13490295	2015.0	POJISTNE
31332	1318	AB	44717049	744.0	
31333	1319	IJ	20581275	6185.0	SIPO
31334	1319	YZ	35347509	884.0	
31335	1319	EF	91518568	1362.0	POJISTNE
31336	1320	EF	72762423	4377.0	SIPO
31337	1320	MN	96369796	907.0	
31338	1320	ST	17258435	149.0	POJISTNE
31339	1320	KL	99194561	80.0	
31340	1321	EF	33750575	2683.0	SIPO
31341	1321	CD	3041947	636.0	LEASING
31342	1322	ST	3167045	1485.0	SIPO
31343	1322	OP	6584710	1431.0	SIPO
31344	1323	OP	80685257	9720.0	SIPO
31345	1324	ST	6513697	2741.0	SIPO
31346	1324	GH	7442152	680.0	
31347	1325	QR	62716066	362.0	SIPO
31348	1325	UV	37066787	1766.0	
31349	1326	YZ	57284325	96.0	SIPO
31350	1326	QR	42594999	786.0	
31351	1326	ST	57544726	1207.0	POJISTNE
31352	1326	QR	85305046	954.0	
31353	1328	AB	49398750	3249.8	LEASING
31354	1329	UV	31472492	1960.2	UVER
31355	1329	QR	69419830	3368.0	SIPO
31356	1329	AB	48227208	5081.0	
31358	1331	YZ	74847352	1096.0	SIPO
31359	1331	EF	79824220	3320.0	
31360	1332	MN	12752318	4755.0	SIPO
31361	1333	MN	53933286	6508.0	SIPO
31362	1335	QR	86276912	5367.0	SIPO
31363	1335	MN	66854125	1044.0	
31364	1336	CD	63792580	9426.0	SIPO
31365	1337	WX	46227514	3264.0	SIPO
31366	1338	CD	87075221	4545.0	SIPO
31367	1338	OP	42143994	897.0	
31368	1338	IJ	85222345	157.0	POJISTNE
31369	1340	KL	25240075	818.0	SIPO
31370	1340	CD	67103540	472.0	
31371	1340	GH	64112800	1120.0	POJISTNE
31372	1341	MN	57686775	2098.0	SIPO
31373	1342	YZ	42622768	1079.0	LEASING
31374	1342	EF	75854611	2517.0	SIPO
31375	1342	ST	45400208	1011.0	
31376	1342	YZ	30762762	3665.0	POJISTNE
31380	1345	ST	37129354	3294.0	SIPO
31381	1345	AB	89492493	848.0	
31382	1346	WX	66261118	1592.0	SIPO
31383	1346	AB	56407761	475.0	
31384	1347	ST	98295950	2066.0	SIPO
31385	1348	CD	53150421	5025.0	SIPO
31386	1348	ST	8676511	17.0	
31387	1348	UV	14109647	492.0	POJISTNE
31388	1349	QR	14006042	2292.0	SIPO
31389	1349	OP	96585589	1521.0	SIPO
31390	1350	OP	97355442	1079.0	LEASING
31391	1350	MN	23763126	6875.0	SIPO
31392	1350	QR	96030205	3493.0	
31393	1351	QR	55786406	2227.0	SIPO
31394	1352	GH	58356165	2976.0	SIPO
31395	1352	WX	39692401	3445.0	
31396	1352	EF	54978299	370.0	POJISTNE
31397	1352	EF	98708682	213.0	
31398	1353	QR	64405166	651.0	SIPO
31399	1353	QR	98736470	6646.0	
31400	1354	QR	24313408	3080.0	SIPO
31401	1355	WX	64249014	3606.0	SIPO
31402	1357	EF	34856063	2290.0	SIPO
31403	1358	GH	97084825	2980.0	SIPO
31404	1361	AB	67573106	6195.0	SIPO
31405	1363	QR	46678805	5046.0	SIPO
31406	1363	KL	28982448	1517.0	
31407	1363	MN	35128331	82.0	POJISTNE
31408	1363	OP	19618755	243.0	
31411	1365	OP	53364294	2314.0	SIPO
31412	1366	GH	26513684	4773.0	SIPO
31413	1366	ST	24074399	310.0	
31414	1366	UV	48775595	1.0	POJISTNE
31415	1367	MN	3021765	3872.0	SIPO
31416	1367	ST	41883254	193.0	
31417	1367	QR	58902168	717.0	POJISTNE
31418	1367	UV	69351130	431.0	
31419	1368	CD	10035527	4439.0	SIPO
31420	1369	AB	25008797	6005.0	SIPO
31421	1369	KL	43920379	1738.0	
31422	1370	WX	50552004	1852.0	SIPO
31423	1371	QR	48874825	3074.0	SIPO
31424	1373	MN	6348324	1628.0	SIPO
31425	1373	CD	9301025	346.0	
31426	1374	WX	38325822	8107.3	UVER
31427	1375	CD	90090238	5930.0	SIPO
31428	1375	MN	47862768	1889.0	UVER
31429	1376	QR	86161052	2731.0	SIPO
31430	1377	QR	94826453	2272.0	SIPO
31431	1378	QR	81520026	2953.0	SIPO
31432	1378	EF	29417294	1347.0	
31433	1378	OP	12318605	693.0	POJISTNE
31434	1378	AB	95008945	881.0	
31435	1379	AB	47752141	6953.0	SIPO
31436	1380	KL	34163099	8829.0	SIPO
31437	1380	CD	91279375	1100.0	
31438	1380	QR	88771873	1200.0	LEASING
31439	1381	ST	30807364	2705.0	SIPO
31440	1382	IJ	22867429	2059.0	SIPO
31441	1383	GH	38012504	2173.0	SIPO
31442	1385	QR	75899833	9834.0	SIPO
31447	1389	IJ	18867123	5227.7	UVER
31448	1389	WX	71177351	6376.0	SIPO
31449	1390	AB	35191500	1011.0	SIPO
31450	1390	EF	43511337	6147.0	
31451	1391	QR	42852616	3053.0	SIPO
31452	1392	EF	64765941	3081.0	SIPO
31453	1392	ST	15265077	4216.0	
31454	1393	IJ	81478815	5254.0	SIPO
31455	1394	YZ	28259659	1454.0	SIPO
31456	1394	ST	14472324	646.0	SIPO
31457	1395	ST	54942530	3432.0	SIPO
31458	1396	AB	60094183	14707.0	SIPO
31459	1397	MN	51145178	8319.0	SIPO
31460	1399	IJ	36796647	5427.0	SIPO
31461	1399	WX	32165342	13.0	
31462	1399	YZ	87596064	29.0	POJISTNE
31463	1399	KL	64385211	345.0	
31468	1401	IJ	35891682	2463.0	SIPO
31469	1402	ST	2188045	2073.0	SIPO
31470	1402	IJ	79063850	2221.0	
31471	1402	IJ	52195531	471.0	POJISTNE
31472	1402	EF	12338292	374.0	
31473	1403	ST	50271129	9120.0	SIPO
31474	1404	IJ	6610733	2121.0	LEASING
31475	1404	UV	64530676	6306.0	SIPO
31476	1404	CD	76187407	123.0	
31477	1404	WX	45402222	53.0	POJISTNE
31478	1404	IJ	96404462	483.0	
31479	1405	GH	27032226	2229.0	SIPO
31480	1405	ST	63219690	158.0	
31481	1406	EF	24323117	2302.0	SIPO
31482	1406	CD	43622702	458.0	SIPO
31483	1407	UV	51198023	5227.7	UVER
31484	1407	ST	30396717	14882.0	SIPO
31487	1410	KL	63791805	3816.0	SIPO
31488	1411	CD	50814467	5174.0	SIPO
31489	1412	OP	20603227	936.0	SIPO
31490	1412	MN	65591120	1773.0	
31491	1412	ST	86234765	1110.0	POJISTNE
31492	1413	GH	68355953	2016.0	SIPO
31493	1413	AB	67985760	3477.0	
31494	1413	ST	30746954	620.0	POJISTNE
31495	1414	AB	31974488	1920.0	SIPO
31496	1414	MN	8757979	5397.0	
31497	1414	YZ	13936388	1817.0	POJISTNE
31500	1416	GH	1996410	3688.0	LEASING
31501	1417	QR	84443246	7394.0	SIPO
31502	1418	OP	96634888	6759.0	SIPO
31503	1419	QR	61356300	3305.0	SIPO
31504	1420	QR	22850889	1794.0	SIPO
31505	1422	UV	24991828	2655.0	SIPO
31506	1423	WX	64437407	2394.0	SIPO
31507	1423	IJ	50862812	1213.0	
31508	1424	YZ	45458507	6224.0	SIPO
31509	1425	MN	22342765	4069.0	SIPO
31510	1426	GH	15124905	2681.0	SIPO
31511	1427	AB	54532253	6046.0	SIPO
31513	1429	EF	8150911	2166.0	SIPO
31514	1430	CD	90607785	4127.0	UVER
31515	1432	CD	68369197	3267.2	LEASING
31516	1432	IJ	80977028	13590.0	SIPO
31518	1434	QR	81822454	3214.0	SIPO
31519	1435	WX	87787443	7949.0	SIPO
31520	1436	QR	96351390	3104.0	SIPO
31521	1437	ST	58229595	1753.0	SIPO
31522	1437	OP	22823983	314.0	
31523	1437	AB	52723318	65.0	POJISTNE
31524	1437	GH	27458155	29.0	
31525	1439	MN	79379254	2122.0	SIPO
31526	1440	ST	85377597	56.0	SIPO
31527	1440	IJ	63291668	2020.0	
31528	1440	IJ	66044574	56.0	POJISTNE
31529	1441	IJ	27838117	2425.0	SIPO
31530	1442	QR	70648139	5950.0	SIPO
31531	1443	UV	43636268	7505.0	SIPO
31532	1444	YZ	56467163	2024.0	SIPO
31533	1445	YZ	18387353	1361.0	SIPO
31534	1445	AB	68283045	668.0	
31535	1445	EF	22041118	1075.0	POJISTNE
31536	1445	IJ	82043331	1420.0	
31537	1446	GH	83373719	4877.0	SIPO
31538	1447	YZ	1155138	2084.7	UVER
31539	1447	OP	54932880	8210.0	SIPO
31540	1448	CD	82941960	7156.0	UVER
31541	1449	KL	82136630	2820.0	SIPO
31542	1449	UV	17508918	320.0	
31543	1450	UV	804383	3103.0	SIPO
31544	1451	UV	44489443	3734.0	SIPO
31545	1453	OP	2968991	1250.8	LEASING
31546	1453	ST	62248831	6820.0	SIPO
31547	1456	CD	25505447	1250.8	LEASING
31553	1458	ST	80573415	3259.0	SIPO
31554	1459	EF	28272974	1542.0	SIPO
31555	1459	OP	25038093	582.0	
31556	1460	UV	8283299	3417.0	SIPO
31557	1461	MN	76424008	4217.1	LEASING
31558	1461	EF	52034497	8705.0	SIPO
31560	1463	QR	31343501	719.0	SIPO
31561	1463	YZ	71522283	1505.0	
31562	1465	WX	32052809	1904.0	SIPO
31563	1465	CD	77944719	218.0	
31564	1466	ST	82133537	10056.0	SIPO
31565	1467	QR	10475975	6814.0	SIPO
31566	1468	AB	25955593	439.0	SIPO
31567	1468	IJ	53378862	1710.0	
31568	1469	EF	97405832	3574.0	SIPO
31569	1470	AB	72926729	4060.0	SIPO
31570	1471	CD	85543155	7823.0	SIPO
31571	1471	YZ	17326855	12.0	
31572	1471	MN	59438282	176.0	POJISTNE
31573	1472	MN	39937996	3527.0	SIPO
31574	1472	OP	3332001	2375.0	
31575	1473	QR	28500956	1984.0	SIPO
31576	1474	IJ	16386759	2695.0	SIPO
31577	1476	YZ	33632028	3467.0	SIPO
31578	1477	OP	39149236	2100.0	SIPO
31579	1478	KL	82071739	11931.0	SIPO
31580	1479	QR	35573202	2162.0	SIPO
31581	1480	WX	70736652	3425.2	UVER
31582	1481	EF	82271873	2065.0	SIPO
31583	1482	KL	43270033	2687.0	SIPO
31584	1482	KL	10367054	1766.0	
31585	1482	GH	84175443	335.0	POJISTNE
31586	1483	YZ	92452376	1962.0	SIPO
31587	1483	AB	39453744	2701.0	
31588	1484	GH	82517391	2346.0	SIPO
31589	1484	IJ	29707634	794.0	SIPO
31590	1485	MN	47115165	336.0	SIPO
31591	1485	EF	43014037	5949.0	
31592	1485	OP	33874970	1018.0	LEASING
31593	1486	KL	50455820	3592.0	SIPO
31594	1486	KL	1473415	2291.0	
31595	1486	MN	12761944	2235.0	POJISTNE
31596	1487	KL	70317125	2204.0	SIPO
31597	1488	WX	69482773	5850.0	SIPO
31598	1488	CD	64393782	230.0	
31601	1490	CD	39819097	1657.7	LEASING
31602	1491	OP	94478863	6966.0	SIPO
31603	1492	KL	60810822	1546.0	SIPO
31604	1493	EF	95543610	2264.0	SIPO
31605	1493	GH	85806101	51.0	SIPO
31606	1495	IJ	9478509	3059.0	SIPO
31607	1495	MN	97259157	670.0	
31608	1496	AB	4760909	6931.0	SIPO
31609	1496	GH	36367225	161.0	
31610	1496	AB	44200831	33.0	POJISTNE
31611	1497	WX	59296756	261.0	SIPO
31612	1497	YZ	74438202	5463.0	
31613	1498	ST	26674098	2762.8	UVER
31614	1499	EF	54662084	3666.0	SIPO
31615	1500	GH	4727745	4119.0	SIPO
31616	1501	OP	40921163	2292.0	SIPO
31617	1502	IJ	11066508	7338.0	SIPO
31618	1503	OP	11958569	3171.0	SIPO
31619	1504	UV	29212069	619.0	SIPO
31620	1504	WX	69836336	4887.0	
31621	1506	UV	28518402	9498.0	UVER
31622	1507	ST	156510	6619.0	SIPO
31623	1508	OP	10600459	1657.7	LEASING
31624	1508	UV	9055811	8967.0	SIPO
31625	1509	EF	43322950	4943.0	SIPO
31626	1509	QR	20525896	2320.0	
31627	1510	OP	82537191	9985.0	SIPO
31628	1511	OP	43543106	1657.7	LEASING
31629	1512	YZ	42362171	8822.0	SIPO
31630	1513	AB	52238965	1632.0	SIPO
31631	1513	QR	85800695	3912.0	
31632	1513	OP	59476637	1316.0	POJISTNE
31633	1513	GH	65290647	689.0	
31634	1514	ST	47490662	1547.0	SIPO
31635	1514	WX	89040159	2234.0	SIPO
31636	1515	IJ	74637114	1538.0	SIPO
31637	1515	CD	84623413	774.0	
31638	1515	QR	23320967	2907.0	POJISTNE
31639	1516	YZ	87859165	2277.0	SIPO
31640	1517	ST	15521866	2601.0	SIPO
31641	1519	UV	68640708	3443.0	SIPO
31642	1520	YZ	12391865	2943.0	SIPO
31643	1521	GH	37432712	3024.0	SIPO
31644	1523	CD	15318	1684.0	SIPO
31645	1523	IJ	13058364	9843.0	
31646	1524	WX	26553452	2705.0	SIPO
31647	1525	QR	24106085	1625.0	SIPO
31648	1526	QR	69354104	4433.0	SIPO
31649	1527	EF	27702808	4557.2	UVER
31651	1528	QR	58779168	3981.0	UVER
31652	1529	MN	66372424	1059.0	SIPO
31653	1529	YZ	86592346	1463.0	
31654	1529	QR	57476818	77.0	POJISTNE
31655	1530	WX	24157417	3700.0	SIPO
31658	1532	AB	67652118	7903.0	SIPO
31661	1534	EF	3089267	7451.0	SIPO
31662	1534	ST	36498439	2155.0	
31663	1535	UV	60955130	2757.0	SIPO
31664	1536	ST	11303443	13204.0	SIPO
31665	1538	IJ	9744745	10288.0	SIPO
31668	1540	IJ	33179605	4540.0	SIPO
31669	1540	UV	76470201	3057.0	
31670	1540	UV	64628779	1164.0	LEASING
31671	1542	CD	9322101	2655.0	SIPO
31672	1544	IJ	71562015	9526.0	SIPO
31673	1544	ST	7747644	189.0	
31674	1545	KL	98522644	2625.0	SIPO
31675	1545	MN	5408674	1112.0	
31676	1546	UV	49245339	4173.0	SIPO
31677	1548	MN	36616581	2106.0	SIPO
31678	1549	OP	11773330	4052.0	SIPO
31679	1550	ST	90144109	4708.0	SIPO
31680	1551	AB	436425	747.0	SIPO
31681	1551	CD	74171310	2316.0	SIPO
31682	1552	MN	57056182	5263.0	SIPO
31683	1552	WX	17611515	1021.0	LEASING
31684	1554	OP	93773585	6551.0	SIPO
31685	1555	QR	32593053	3263.0	SIPO
31686	1556	QR	42585212	1837.0	SIPO
31687	1557	EF	82259255	2253.0	SIPO
31688	1558	IJ	10707974	1148.0	SIPO
31689	1558	ST	33069950	2899.0	
31690	1558	UV	65272307	1384.0	LEASING
31691	1559	KL	31869977	8004.0	SIPO
31692	1560	YZ	49192738	3332.0	SIPO
31693	1560	CD	89837598	244.0	
31694	1560	UV	97033959	437.0	POJISTNE
31695	1560	OP	34151840	1137.0	LEASING
31696	1561	CD	91776167	1924.0	SIPO
31697	1561	WX	32302445	51.0	SIPO
31698	1562	EF	14241010	1933.0	SIPO
31699	1565	AB	92115938	610.0	SIPO
31700	1565	AB	37661731	2095.0	
31701	1565	OP	85872715	383.0	POJISTNE
31702	1566	WX	11077720	4375.0	SIPO
31703	1566	WX	15924412	1164.0	
31704	1566	YZ	98447876	1622.0	POJISTNE
31705	1566	OP	12450731	948.0	
31706	1567	UV	14090234	480.0	SIPO
31707	1567	CD	53102117	6000.0	
31708	1567	EF	34027445	3455.0	POJISTNE
31709	1568	WX	7532716	4399.0	SIPO
31710	1568	WX	99360131	49.0	
31711	1568	YZ	14241963	1028.0	POJISTNE
31712	1568	UV	54462337	1627.0	LEASING
31717	1570	UV	20745683	2865.0	SIPO
31718	1571	AB	54680818	7692.0	SIPO
31719	1572	EF	46670591	7596.0	SIPO
31720	1573	IJ	19240260	3638.0	SIPO
31721	1574	GH	16211796	2390.0	SIPO
31722	1575	CD	10936338	2998.0	SIPO
31723	1576	WX	88001566	11816.0	SIPO
31724	1577	KL	69888543	1282.0	SIPO
31725	1577	KL	58483004	988.0	
31726	1577	QR	87333589	290.0	POJISTNE
31727	1578	UV	44909232	1825.0	SIPO
31728	1579	CD	79833501	3377.0	SIPO
31729	1580	UV	11339313	8094.2	UVER
31730	1581	AB	55002999	5758.0	SIPO
31731	1582	CD	24857425	1917.0	SIPO
31732	1583	QR	49376446	8094.2	UVER
31733	1584	ST	97312646	1983.0	SIPO
31734	1586	EF	95375972	5504.0	SIPO
31735	1588	KL	66344201	2443.0	SIPO
31736	1590	ST	5941856	5847.0	SIPO
31737	1590	WX	79533683	1025.0	
31738	1590	ST	99553811	551.0	POJISTNE
31739	1590	GH	23429125	127.0	
31740	1591	AB	70031231	7680.0	SIPO
31741	1591	AB	57081830	26.0	
31742	1591	AB	34176314	153.0	POJISTNE
31743	1592	QR	4900444	224.0	SIPO
31744	1592	GH	84782951	1613.0	SIPO
31745	1593	MN	35590773	2086.0	SIPO
31746	1594	WX	15203357	4577.0	SIPO
31747	1594	AB	37283611	1596.0	
31748	1594	CD	79126387	54.0	POJISTNE
31752	1596	KL	29656684	1306.0	SIPO
31753	1596	OP	20661324	1997.0	SIPO
31754	1597	GH	13610762	2376.0	SIPO
31755	1598	CD	36073070	5438.0	SIPO
31756	1598	WX	12520486	7384.0	
31757	1599	OP	68704247	1337.0	SIPO
31758	1599	WX	99690108	4004.0	
31759	1600	YZ	78760194	3234.0	SIPO
31760	1601	AB	43843287	2694.0	SIPO
31761	1602	GH	6762600	2033.0	SIPO
31762	1603	WX	92258166	2359.0	SIPO
31763	1603	MN	3211814	1187.0	
31764	1603	CD	6821167	6578.0	UVER
31765	1604	CD	90369587	7088.0	SIPO
31766	1605	EF	28789526	3353.0	SIPO
31767	1607	GH	89174168	9958.0	SIPO
31768	1608	AB	7212549	3425.0	SIPO
31769	1609	KL	83359962	2017.0	SIPO
31770	1610	UV	10384375	6258.0	SIPO
31771	1611	UV	84055351	403.0	SIPO
31772	1611	IJ	54032	3403.0	
31773	1613	GH	46822315	3628.0	SIPO
31774	1614	CD	41090893	5763.0	SIPO
31775	1615	QR	27684122	3124.0	SIPO
31776	1616	AB	24604940	2642.0	SIPO
31777	1617	AB	40236705	1536.0	SIPO
31778	1618	EF	1680028	2265.0	SIPO
31779	1619	ST	53959548	3220.0	SIPO
31780	1620	ST	23482644	1931.0	SIPO
31781	1621	UV	69087219	7887.0	SIPO
31782	1622	KL	22068381	2357.0	SIPO
31783	1622	IJ	83712011	1028.0	
31784	1623	UV	2717727	9160.0	SIPO
31785	1624	CD	17034912	1017.0	SIPO
31786	1624	GH	31993609	1120.0	SIPO
31787	1625	GH	44850212	185.0	SIPO
31788	1625	GH	10578328	1727.0	
31789	1625	CD	51059633	679.0	POJISTNE
31790	1625	EF	45131552	1522.0	
31791	1628	AB	57004982	2850.0	SIPO
31792	1629	WX	6837058	3137.0	SIPO
31793	1630	WX	99400460	3595.0	SIPO
31794	1631	ST	78712355	2743.0	SIPO
31795	1632	OP	65521752	1977.6	LEASING
31796	1633	CD	27727192	2145.0	SIPO
31797	1635	EF	72468793	5683.0	SIPO
31798	1636	ST	93399142	4964.0	SIPO
31799	1637	KL	47292917	774.0	SIPO
31800	1637	GH	10736680	2569.0	SIPO
31801	1638	AB	8848363	2676.0	UVER
31802	1638	QR	57185012	9749.0	SIPO
31806	1640	UV	42289441	4783.0	SIPO
31807	1641	UV	82829361	1977.6	LEASING
31808	1641	ST	5037063	7532.0	SIPO
31809	1641	MN	57866871	1294.0	
31810	1641	QR	14463842	423.0	POJISTNE
31811	1642	UV	27920514	3597.0	SIPO
31816	1644	EF	89781009	2534.0	SIPO
31817	1644	IJ	76071583	1022.0	
31818	1644	GH	66140669	17.0	POJISTNE
31819	1645	EF	64568751	9078.0	SIPO
31820	1646	ST	80997341	6521.0	SIPO
31821	1646	QR	99677460	1651.0	
31822	1647	OP	55010729	2412.0	SIPO
31823	1647	GH	78795104	1199.0	
31824	1647	YZ	39877331	12.0	POJISTNE
31825	1650	IJ	90931999	3649.0	SIPO
31826	1650	OP	60317361	9100.0	
31827	1651	IJ	71805852	1581.7	LEASING
31828	1652	WX	88888269	3422.0	SIPO
31829	1653	EF	37755870	4656.0	SIPO
31830	1655	IJ	20809352	4277.0	SIPO
31831	1655	GH	90691631	3827.0	
31832	1656	IJ	73249953	3954.3	UVER
31833	1656	YZ	10182565	12113.0	SIPO
31834	1657	OP	7076365	2156.0	SIPO
31835	1658	UV	35897404	1950.0	SIPO
31836	1658	AB	35908234	172.0	
31837	1659	QR	20080882	2806.0	SIPO
31838	1660	OP	50701344	2372.6	LEASING
31843	1662	UV	28918445	9626.0	SIPO
31844	1663	QR	95733749	2220.0	SIPO
31845	1663	IJ	38020986	420.0	SIPO
31846	1664	UV	6438845	5454.0	SIPO
31847	1665	EF	15931928	1578.0	SIPO
31848	1666	AB	31104207	2164.0	SIPO
31849	1668	IJ	84733837	3275.0	SIPO
31850	1669	UV	35302007	5562.0	SIPO
31851	1670	WX	84970950	1242.0	SIPO
31852	1670	QR	66763526	1312.0	SIPO
31853	1671	AB	10778803	2507.0	SIPO
31854	1671	YZ	17247677	502.0	SIPO
31855	1672	ST	9213483	3898.0	SIPO
31856	1673	AB	20515662	2447.0	SIPO
31857	1674	WX	74642348	3804.0	SIPO
31858	1675	GH	17588830	2125.0	SIPO
31861	1677	IJ	52726864	5530.0	SIPO
31862	1678	IJ	72718292	2952.0	SIPO
31863	1678	OP	54732525	1778.0	
31864	1679	ST	49590080	5087.0	SIPO
31865	1680	QR	16704351	5955.0	SIPO
31866	1681	UV	8172750	8550.0	SIPO
31867	1681	AB	76300596	6.0	
31868	1681	YZ	66121870	1032.0	POJISTNE
31869	1683	WX	63649123	1342.0	SIPO
31870	1683	UV	73280399	3239.0	
31871	1683	MN	25822711	345.0	POJISTNE
31872	1684	GH	35036838	2123.0	LEASING
31873	1685	ST	17528325	7968.0	SIPO
31874	1686	UV	27540904	1532.0	SIPO
31875	1686	YZ	74546420	1225.0	
31877	1688	OP	80142312	2249.0	SIPO
31878	1689	MN	89019840	2128.0	SIPO
31879	1690	YZ	11582345	3311.0	SIPO
31880	1691	EF	22764325	720.0	SIPO
31881	1691	QR	60282856	1214.0	
31884	1693	WX	14131403	2482.0	LEASING
31885	1693	AB	38757246	11276.0	SIPO
31886	1695	AB	53282368	14658.0	SIPO
31887	1696	QR	41205018	2159.0	SIPO
31888	1697	QR	38106852	408.0	SIPO
31889	1697	AB	30674797	1778.0	
31890	1697	CD	36977207	35.0	POJISTNE
31891	1698	UV	6397009	9642.0	SIPO
31892	1698	CD	30528074	3943.0	UVER
31893	1699	IJ	62475007	3463.0	SIPO
31894	1699	EF	2504826	19.0	SIPO
31895	1700	AB	93968033	6765.0	SIPO
31896	1701	ST	90327703	4425.3	LEASING
31897	1701	MN	99692040	7571.0	SIPO
31898	1702	QR	43392902	4689.0	SIPO
31899	1703	CD	73302203	3554.0	SIPO
31900	1704	KL	36175376	3285.0	SIPO
31901	1705	KL	33791291	5502.0	SIPO
31902	1706	QR	67938715	2058.0	SIPO
31903	1707	YZ	25559365	1196.9	LEASING
31904	1707	KL	16216141	7830.0	SIPO
31905	1708	IJ	89942037	4519.0	SIPO
31906	1708	WX	62805408	3339.0	
31907	1709	MN	20695013	3227.0	SIPO
31908	1710	ST	17466086	2071.0	SIPO
31909	1711	KL	38527757	183.0	SIPO
31910	1711	KL	75510221	188.0	
31911	1711	CD	58891451	2158.0	POJISTNE
31912	1712	WX	3848445	1626.0	SIPO
31913	1714	MN	79335272	3028.0	SIPO
31914	1716	OP	39169329	3575.0	SIPO
31915	1716	ST	972009	1032.0	
31916	1717	ST	11458802	2500.0	SIPO
31917	1718	CD	9266335	7178.0	UVER
31918	1718	AB	69613939	14456.0	SIPO
31919	1719	UV	80013709	2768.0	SIPO
31920	1722	EF	3686994	4472.0	SIPO
31921	1723	AB	25436383	1092.0	SIPO
31922	1723	YZ	10030848	3904.0	
31923	1723	GH	36498862	4676.0	POJISTNE
31924	1723	ST	47622954	8.0	
31925	1724	QR	97682117	1604.0	SIPO
31926	1726	AB	99886172	4438.0	SIPO
31927	1726	OP	61997002	2082.0	
31928	1726	EF	89946835	74.0	POJISTNE
31929	1726	UV	65941238	115.0	
31930	1727	QR	62198191	1794.0	SIPO
31931	1727	EF	22698265	1093.0	
31932	1727	ST	4687321	3723.0	POJISTNE
31933	1728	OP	84701668	4954.0	SIPO
31934	1729	YZ	10198331	6554.0	SIPO
31935	1730	WX	42885518	1978.0	SIPO
31936	1731	QR	29816907	2631.0	SIPO
31937	1732	WX	69793838	8050.0	SIPO
31938	1733	UV	52269470	3126.0	LEASING
31939	1733	UV	57563334	5808.0	SIPO
31940	1734	UV	77629792	9431.0	SIPO
31941	1736	MN	76685434	3666.0	SIPO
31942	1737	GH	66021996	3103.0	SIPO
31943	1737	QR	67832314	2329.0	
31944	1738	MN	79240321	1998.0	SIPO
31945	1739	GH	76534843	9979.0	SIPO
31946	1740	WX	75491714	2713.0	SIPO
31947	1741	IJ	79026174	2366.0	SIPO
31948	1742	IJ	12537497	3827.0	SIPO
31949	1743	EF	61555409	2279.0	SIPO
31950	1744	KL	26504409	3317.0	SIPO
31951	1747	MN	87503873	871.0	SIPO
31952	1747	MN	40159267	1118.0	
31956	1749	AB	64197915	4560.8	LEASING
31957	1749	MN	42665183	9678.0	SIPO
31958	1750	MN	37446361	4028.0	SIPO
31959	1750	OP	16547310	5517.0	
31964	1756	GH	88401656	6307.0	SIPO
31965	1758	IJ	45051741	9384.0	SIPO
31966	1758	ST	56174659	355.0	
31967	1759	EF	39091742	1856.0	SIPO
31968	1759	WX	8029026	1866.0	
31969	1760	GH	58458250	1458.0	SIPO
31970	1760	WX	63081288	251.0	SIPO
31971	1761	AB	93704944	3048.0	SIPO
31972	1761	EF	69640517	3407.0	
31973	1761	ST	75990485	294.0	POJISTNE
31974	1762	CD	73894780	853.0	SIPO
31975	1762	QR	49858301	3352.0	
31976	1762	MN	87955689	1972.0	POJISTNE
31977	1762	QR	76073628	6893.0	UVER
31978	1763	UV	70918726	1146.0	SIPO
31979	1763	QR	52545648	5539.0	
31980	1764	CD	31592887	5270.0	SIPO
31981	1765	EF	89295994	2011.0	SIPO
31982	1766	KL	85209738	4353.0	SIPO
31983	1766	EF	6482232	43.0	
31984	1766	YZ	88636147	49.0	POJISTNE
31985	1766	OP	41643542	2390.0	
31986	1766	CD	41536575	501.0	UVER
31987	1767	ST	54714965	2266.0	SIPO
31988	1767	KL	65165352	1523.0	
31989	1767	IJ	83130889	1040.0	POJISTNE
31990	1770	EF	27800739	8351.0	SIPO
31991	1771	GH	38500511	3052.0	SIPO
31992	1772	WX	51707452	5633.0	UVER
31993	1772	IJ	88971179	11994.0	SIPO
31994	1773	ST	35383325	2877.0	SIPO
31995	1774	AB	60821378	2170.0	SIPO
31996	1775	QR	25300705	2343.0	SIPO
31997	1776	YZ	86032962	5710.0	SIPO
31998	1776	WX	80855452	1800.0	UVER
31999	1777	YZ	22132706	1240.0	SIPO
32000	1777	AB	64771890	1418.0	
32001	1777	AB	96171360	1657.0	POJISTNE
32002	1778	YZ	55264913	3432.0	SIPO
32003	1779	KL	92837720	3023.0	SIPO
32004	1779	EF	47371226	1230.0	
32005	1779	IJ	7877719	61.0	POJISTNE
32006	1780	UV	76511865	5429.0	SIPO
32007	1782	EF	99716561	3231.0	SIPO
32008	1783	EF	7060194	6003.0	SIPO
32009	1784	EF	14724040	1785.0	SIPO
32010	1785	IJ	39795231	1722.0	SIPO
32011	1786	QR	45089298	8818.0	SIPO
32012	1787	EF	8468449	8033.2	UVER
32014	1790	KL	20001995	2096.0	SIPO
32015	1790	ST	2797884	1935.0	
32016	1791	ST	62828624	6956.0	SIPO
32017	1792	IJ	49249744	1712.0	SIPO
32018	1793	IJ	77564143	5182.0	SIPO
32019	1793	ST	32010120	1345.0	LEASING
32020	1794	ST	3015161	2867.0	SIPO
32021	1794	MN	76406907	1890.0	
32022	1794	CD	95064234	198.0	POJISTNE
32023	1794	IJ	75616937	47.0	
32024	1795	MN	78194093	3850.0	SIPO
32025	1796	UV	5695713	1809.0	SIPO
32026	1796	AB	33720845	1228.0	
32027	1797	CD	18348533	3835.0	SIPO
32028	1797	ST	92369353	4015.0	
32029	1798	AB	9787851	2602.0	SIPO
32030	1798	MN	65253668	1687.0	
32031	1798	YZ	15383804	4316.0	POJISTNE
32032	1799	MN	72883474	2514.0	SIPO
32033	1800	KL	54079008	5103.0	SIPO
32034	1800	EF	27750283	1643.0	
32035	1801	OP	33671474	4610.0	UVER
32036	1801	QR	49547737	4167.0	SIPO
32037	1801	YZ	80957543	3419.0	
32038	1801	AB	73968469	956.0	POJISTNE
32039	1802	UV	57112502	1112.0	SIPO
32040	1802	CD	33883029	1396.0	SIPO
32041	1803	AB	29663437	1474.0	SIPO
32042	1803	YZ	14515853	829.0	
32043	1805	YZ	56198263	2693.0	LEASING
32044	1805	OP	38994044	3110.0	SIPO
32045	1806	UV	84037089	2552.0	SIPO
32046	1807	YZ	25078994	4731.0	SIPO
32047	1808	QR	39164525	8033.2	UVER
32048	1809	KL	35650015	6269.0	SIPO
32049	1809	WX	62114232	183.0	
32050	1809	WX	80008905	6860.0	POJISTNE
32051	1810	ST	40205115	5925.0	SIPO
32052	1811	EF	84066038	3990.8	UVER
32053	1811	ST	37117743	4206.0	SIPO
32054	1811	KL	87739562	6745.0	
32055	1812	KL	96231013	1169.0	SIPO
32056	1812	EF	95304095	1133.0	
32057	1813	GH	39702093	812.0	SIPO
32058	1813	QR	343406	4350.0	
32059	1814	QR	75643884	3035.0	SIPO
32060	1815	OP	19580573	6037.0	SIPO
32061	1815	QR	69614529	3859.0	
32062	1816	MN	50690215	2824.0	SIPO
32063	1817	CD	57132309	9131.0	SIPO
32064	1819	UV	82792853	3990.8	UVER
32065	1819	OP	78877323	966.0	SIPO
32066	1819	MN	18223607	1236.0	
32067	1819	UV	82754003	8253.0	POJISTNE
32068	1820	WX	58238744	7794.0	SIPO
32069	1821	IJ	23474955	9385.0	SIPO
32070	1822	IJ	19228476	1996.0	SIPO
32071	1823	QR	10427672	2347.0	SIPO
32072	1824	AB	51449030	319.0	SIPO
32073	1824	CD	62974762	9515.0	
32074	1825	QR	87801843	1425.0	SIPO
32075	1825	ST	42349684	2688.0	
32076	1826	OP	62603348	9921.0	SIPO
32077	1827	EF	47742539	2567.0	SIPO
32078	1828	KL	22854000	2394.5	LEASING
32079	1828	EF	60668200	4036.0	SIPO
32080	1828	UV	98265254	1613.0	
32081	1828	WX	90934735	153.0	POJISTNE
32082	1828	YZ	21647364	1498.0	
32083	1829	UV	42750388	3684.0	SIPO
32084	1830	YZ	23603689	7692.0	SIPO
32085	1831	KL	26089942	2047.0	SIPO
32086	1832	UV	33134043	2072.1	LEASING
32087	1832	QR	46307826	3275.0	SIPO
32088	1832	CD	19165534	139.0	
32089	1832	CD	5385864	581.0	POJISTNE
32090	1832	CD	85279571	5933.0	
32091	1833	KL	98189168	1674.0	SIPO
32092	1834	QR	4736280	8084.0	SIPO
32093	1835	GH	45864230	5938.0	SIPO
32094	1835	AB	98761927	1431.0	
32095	1836	YZ	46282643	6666.0	SIPO
32096	1836	EF	2027774	1685.0	
32097	1837	GH	47965639	6387.0	SIPO
32098	1838	EF	65023559	2072.1	LEASING
32099	1838	UV	67060506	8940.0	SIPO
32100	1839	OP	76028460	3093.0	SIPO
32101	1841	MN	89823549	2840.0	SIPO
32102	1841	KL	52448677	259.0	
32104	1843	QR	70984434	2938.7	UVER
32105	1843	QR	62958741	6994.0	SIPO
32106	1844	EF	32871842	2161.0	SIPO
32107	1845	QR	5894870	12537.0	SIPO
32108	1846	UV	47556239	2062.0	SIPO
32109	1847	MN	59477126	1815.0	SIPO
32110	1848	KL	94460415	3473.0	SIPO
32115	1851	WX	48939102	3649.0	SIPO
32116	1852	ST	43960928	2199.0	SIPO
32117	1854	IJ	67782974	3948.0	SIPO
32118	1855	MN	27503836	2897.0	SIPO
32119	1856	MN	85599320	725.0	SIPO
32120	1856	WX	413990	1449.0	
32121	1857	CD	39414250	4295.0	SIPO
32122	1857	GH	97685545	279.0	
32123	1858	ST	97497385	3764.0	SIPO
32124	1859	WX	63530605	2826.0	SIPO
32125	1860	GH	54349380	2170.0	SIPO
32126	1861	QR	9564370	1574.0	SIPO
32127	1861	AB	86292242	1519.0	
32128	1862	YZ	95449792	6601.7	UVER
32129	1863	GH	79569941	3371.0	SIPO
32130	1863	ST	28247505	1096.0	
32131	1863	QR	11498463	201.0	POJISTNE
32133	1865	EF	61108732	1915.0	SIPO
32134	1866	IJ	75322639	5051.0	SIPO
32135	1866	MN	7592410	1896.0	UVER
32136	1868	CD	26658559	12111.0	SIPO
32137	1869	YZ	44563007	1054.0	UVER
32138	1872	MN	37390577	5886.0	SIPO
32139	1872	UV	67046397	137.0	
32141	1874	ST	15775823	2100.0	SIPO
32142	1875	OP	47586584	3094.0	SIPO
32143	1876	IJ	65358716	2329.0	SIPO
32144	1876	YZ	2049482	723.0	
32145	1876	EF	57234233	8710.0	UVER
32146	1877	AB	71872693	1198.0	SIPO
32147	1877	UV	99609601	629.0	SIPO
32148	1879	WX	53768026	907.0	SIPO
32149	1879	QR	75441211	1119.0	
32150	1881	AB	4048985	2046.0	SIPO
32151	1881	CD	72414660	3640.0	
32152	1882	IJ	5768174	1907.0	SIPO
32153	1882	AB	81505483	1936.0	
32154	1882	OP	35459327	60.0	POJISTNE
32157	1886	QR	56325697	4512.7	UVER
32158	1886	KL	65109085	4198.0	SIPO
32159	1887	IJ	2468169	5608.0	SIPO
32160	1888	KL	40829509	4780.0	UVER
32161	1888	OP	88992631	510.0	SIPO
32162	1888	YZ	35539561	3473.0	
32163	1888	OP	94599204	3269.0	POJISTNE
32164	1889	OP	90301942	3298.0	SIPO
32165	1891	OP	32430213	2039.0	SIPO
32166	1891	YZ	43767422	172.0	
32167	1891	IJ	13493419	293.0	POJISTNE
32168	1892	OP	48820698	2398.0	SIPO
32169	1893	OP	37540984	6289.0	SIPO
32170	1895	IJ	59814214	1791.5	LEASING
32171	1895	YZ	97079294	5810.0	SIPO
32172	1896	AB	37679821	1791.5	LEASING
32173	1896	AB	81584167	9463.0	SIPO
32174	1897	EF	82123648	1791.5	LEASING
32175	1897	UV	56447219	8458.0	SIPO
32176	1897	OP	60395377	2237.0	
32177	1897	WX	10508221	129.0	POJISTNE
32178	1899	CD	12900150	3081.0	SIPO
32179	1900	KL	4257697	7114.0	SIPO
32180	1901	ST	11394077	6355.0	SIPO
32181	1903	QR	99218499	1878.0	SIPO
32182	1903	YZ	5529422	260.0	
32668	2226	GH	53093177	8042.0	
32183	1904	WX	72036003	2991.0	SIPO
32184	1904	KL	63970231	587.0	
32185	1904	OP	62933331	2257.0	POJISTNE
32186	1904	WX	91014575	1116.0	LEASING
32187	1905	AB	28957480	3506.0	SIPO
32188	1905	WX	17456478	3225.0	
32189	1905	KL	23034429	72.0	POJISTNE
32190	1906	OP	59762132	1872.8	UVER
32191	1906	YZ	62735038	7355.0	SIPO
32192	1906	YZ	40499287	158.0	
32193	1907	OP	72668206	8181.0	SIPO
32194	1907	UV	59887331	594.0	
32195	1908	UV	45842748	3594.0	SIPO
32196	1909	AB	56638652	43.0	SIPO
32197	1909	KL	63000541	1156.0	
32198	1909	KL	81369602	928.0	POJISTNE
32199	1910	YZ	15554768	851.0	SIPO
32200	1910	EF	95706283	2336.0	
32201	1912	AB	72722065	3232.0	SIPO
32202	1913	GH	53294521	2613.0	SIPO
32203	1914	GH	33870774	1289.0	SIPO
32204	1914	UV	9548128	2046.0	
32205	1915	EF	85960626	4052.0	SIPO
32206	1915	GH	43997365	2142.0	
32207	1916	QR	71571534	4269.0	SIPO
32208	1917	YZ	10547238	2943.0	SIPO
32209	1918	CD	53045350	4231.0	SIPO
32210	1919	EF	92220371	4545.0	SIPO
32211	1919	UV	54287219	342.0	
32212	1920	GH	77530604	3570.0	SIPO
32213	1921	MN	40611082	2309.0	SIPO
32214	1921	KL	97261964	124.0	
32217	1924	WX	86879318	1962.0	SIPO
32218	1925	WX	28522896	3860.0	SIPO
32219	1926	WX	87020074	2643.0	SIPO
32220	1926	QR	66210120	361.0	
32221	1927	ST	54550802	2283.0	SIPO
32222	1928	GH	84353714	2317.5	UVER
32223	1929	IJ	23485905	2027.0	SIPO
32224	1930	ST	47185248	3223.0	SIPO
32225	1931	AB	34779352	4898.0	SIPO
32226	1931	CD	16274184	23.0	
32227	1931	AB	90722965	1302.0	POJISTNE
32228	1933	ST	49145901	3804.0	SIPO
32229	1934	CD	78941809	1428.0	SIPO
32230	1934	IJ	6592476	4007.0	
32231	1934	UV	30378473	720.0	POJISTNE
32232	1934	UV	50147646	1167.0	
32233	1936	UV	58173835	2141.0	SIPO
32234	1937	IJ	67964726	2933.0	SIPO
32235	1938	IJ	28358316	6646.0	SIPO
32236	1938	UV	41125863	586.0	LEASING
32237	1939	CD	50836545	3090.0	SIPO
32238	1939	QR	37756449	893.0	
32239	1940	GH	89983695	3106.0	SIPO
32242	1943	EF	34419673	3060.0	SIPO
32243	1943	KL	17804307	1412.0	
32244	1943	MN	56432241	2704.0	POJISTNE
32245	1943	UV	87436866	2181.0	
32246	1944	OP	38381874	6741.0	SIPO
32247	1946	GH	47834515	7593.0	SIPO
32248	1947	QR	53213423	3448.0	SIPO
32249	1948	GH	89471458	731.0	SIPO
32250	1948	OP	4367113	6569.0	
32251	1949	GH	62772446	6888.0	SIPO
32252	1949	UV	70580106	107.0	
32253	1949	OP	83566981	43.0	POJISTNE
32254	1949	IJ	89576708	487.0	
32255	1950	KL	79988079	6943.0	SIPO
32256	1951	UV	67909365	709.0	SIPO
32257	1951	EF	62647110	968.0	
32258	1951	GH	34857571	2441.0	POJISTNE
32259	1954	IJ	85359781	2140.0	SIPO
32260	1955	KL	37730187	1964.0	SIPO
32261	1956	UV	409156	4674.0	SIPO
32262	1957	UV	19923216	1595.0	SIPO
32263	1957	QR	27709353	892.0	
32264	1958	UV	90704673	2934.0	SIPO
32265	1959	YZ	8956242	2975.0	SIPO
32266	1959	QR	89473181	167.0	SIPO
32267	1960	YZ	50274485	2103.0	SIPO
32268	1960	IJ	14609361	47.0	
32269	1961	QR	5029577	2293.0	SIPO
32270	1962	MN	10131866	770.0	SIPO
32271	1962	OP	17327452	1192.0	
32272	1962	MN	43612647	1771.0	POJISTNE
32273	1963	OP	92063742	3175.0	SIPO
32274	1964	CD	4341131	2438.0	SIPO
32275	1965	IJ	40902030	9541.0	SIPO
32276	1966	EF	77830534	5569.0	SIPO
32277	1967	YZ	88398128	5194.0	UVER
32278	1967	KL	91595464	14164.0	SIPO
32280	1969	QR	67560100	5403.0	SIPO
32281	1970	EF	44169485	1774.0	SIPO
32282	1970	GH	16633075	1916.0	
32283	1971	GH	27420634	6624.0	SIPO
32284	1972	YZ	67027497	2736.0	SIPO
32285	1973	KL	71021574	847.0	SIPO
32286	1973	WX	37152791	1150.0	
32287	1975	QR	25971132	2625.0	SIPO
32288	1975	GH	22193175	1480.0	
32289	1975	ST	98307567	1711.0	POJISTNE
32290	1975	ST	13919747	765.0	
32291	1976	CD	86137228	3408.0	SIPO
32292	1976	WX	33949554	2157.0	
32293	1978	KL	82303452	5700.3	UVER
32294	1978	OP	85430520	7001.0	SIPO
32295	1978	UV	57071173	5900.0	
32296	1978	KL	25988853	356.0	POJISTNE
32297	1979	UV	32008636	2014.0	SIPO
32298	1980	KL	11773962	6879.0	SIPO
32299	1981	OP	11741298	1087.0	SIPO
32300	1981	GH	1563025	1097.0	
32301	1982	OP	49496763	3732.0	SIPO
32302	1986	ST	67953830	5451.0	SIPO
32303	1988	AB	21216631	2671.0	SIPO
32304	1989	MN	72876500	1982.0	SIPO
32305	1990	WX	24609065	2168.0	SIPO
32306	1991	ST	67935246	2857.0	SIPO
32307	1991	QR	67428964	4312.0	
32308	1991	OP	45115184	341.0	POJISTNE
32309	1992	AB	63505238	4140.0	SIPO
32310	1993	ST	35646581	5700.3	UVER
32311	1994	YZ	270581	3962.0	SIPO
32312	1994	QR	84585159	706.0	
32313	1994	WX	14715516	18.0	POJISTNE
32314	1994	EF	9145510	43.0	
32315	1995	QR	94729518	2944.0	SIPO
32316	1996	GH	14449996	2395.6	LEASING
32317	1997	AB	81057321	581.0	SIPO
32318	1997	OP	12751335	1361.0	SIPO
32319	1999	EF	51544994	2676.0	SIPO
32320	1999	EF	25691366	3778.0	
32321	2000	YZ	79359417	3318.0	SIPO
32322	2000	GH	21546656	48.0	
32323	2000	AB	32802260	14.0	POJISTNE
32324	2000	KL	13970154	4847.0	UVER
32325	2001	MN	24125486	12524.0	SIPO
32326	2002	EF	59535497	3688.0	SIPO
32327	2003	GH	82628261	2127.0	LEASING
32328	2004	MN	4163760	5472.0	SIPO
32329	2005	ST	7945675	1924.0	SIPO
32330	2005	MN	85910385	141.0	
32331	2005	GH	61473250	209.0	POJISTNE
32332	2006	WX	41503340	2764.0	SIPO
32333	2006	AB	73561632	371.0	SIPO
32334	2008	AB	98016315	543.0	SIPO
32335	2008	EF	16119492	3655.0	
32336	2009	WX	4761881	2995.0	SIPO
32337	2009	MN	55095195	1268.0	
32338	2010	KL	55216366	3876.0	SIPO
32339	2011	YZ	51488196	1726.0	SIPO
32340	2011	KL	32849800	272.0	
32341	2011	MN	36082929	12.0	POJISTNE
32342	2012	IJ	87907689	3844.0	SIPO
32346	2015	UV	45701158	4535.0	SIPO
32347	2016	WX	59047102	741.0	SIPO
32348	2016	KL	14798927	1069.0	
32349	2016	ST	81232386	157.0	POJISTNE
32350	2017	UV	15796089	1855.0	SIPO
32351	2017	IJ	86340266	816.0	
32352	2018	WX	36951273	3115.0	SIPO
32353	2018	ST	33088541	3210.0	UVER
32354	2019	GH	2328062	1422.0	SIPO
32355	2019	AB	41162085	265.0	
32356	2019	OP	89666372	415.0	POJISTNE
32357	2020	WX	37676316	2329.0	SIPO
32358	2022	MN	67742168	1943.0	SIPO
32359	2023	CD	12073362	1687.0	SIPO
32360	2023	YZ	90052854	4208.0	
32361	2023	UV	74848830	1052.0	POJISTNE
32362	2023	OP	19809311	1684.0	
32363	2024	EF	52183383	7024.0	SIPO
32364	2025	OP	27186978	6704.0	SIPO
32365	2026	WX	61090582	1943.0	SIPO
32366	2026	YZ	17594266	3387.0	
32367	2027	AB	28182983	3476.0	SIPO
32368	2030	CD	8332980	4325.0	SIPO
32371	2032	KL	81025844	2873.0	SIPO
32372	2032	QR	61507683	225.0	
32373	2032	KL	53290563	690.0	POJISTNE
32374	2032	IJ	51595652	1441.0	
32375	2033	MN	78654551	4274.0	SIPO
32376	2034	OP	92716079	8744.0	SIPO
32377	2035	WX	13259464	4898.2	UVER
32378	2035	GH	67583274	8404.0	SIPO
32379	2035	CD	27185577	917.0	
32380	2035	EF	38668644	121.0	POJISTNE
32381	2035	WX	54719960	93.0	
32382	2037	GH	62236136	762.0	SIPO
32383	2037	CD	40179944	8535.0	
32384	2038	KL	62453108	1580.0	SIPO
32385	2038	CD	20491111	2062.0	
32386	2040	UV	19336450	5262.0	SIPO
32387	2042	YZ	33737266	1258.0	SIPO
32388	2042	IJ	24157494	1008.0	
32389	2043	QR	39356404	4366.0	SIPO
32390	2044	IJ	24649983	8417.0	SIPO
32391	2044	UV	64375972	861.0	LEASING
32392	2045	EF	65556877	1536.0	SIPO
32393	2046	KL	85085910	426.0	SIPO
32394	2046	EF	49969434	1647.0	
32395	2047	AB	49330854	2670.0	SIPO
32396	2048	UV	69120418	2525.0	SIPO
32397	2048	KL	96522324	1466.0	
32398	2048	GH	58051741	1017.0	LEASING
32399	2049	AB	66625147	4854.0	SIPO
32400	2049	GH	14193714	1037.0	
32401	2050	OP	79913246	3564.0	SIPO
32402	2050	WX	28735864	5542.0	
32403	2050	WX	44012415	197.0	POJISTNE
32404	2050	KL	89135688	401.0	
32405	2051	UV	74274343	4898.2	UVER
32406	2052	EF	4608887	4278.0	SIPO
32407	2052	GH	20415777	72.0	
32408	2052	OP	20428276	263.0	POJISTNE
32409	2052	CD	77256530	1799.0	LEASING
32410	2053	UV	22726750	4409.0	SIPO
32411	2054	ST	18836146	1488.0	SIPO
32412	2054	CD	30685097	4448.0	
32413	2054	UV	2714741	2802.0	POJISTNE
32414	2055	WX	8321655	6844.0	SIPO
32415	2055	KL	87599461	4521.0	UVER
32416	2057	OP	70669543	3573.0	SIPO
32417	2057	YZ	1773274	970.0	
32418	2057	KL	24007451	769.0	POJISTNE
32419	2057	AB	71481627	102.0	
32420	2058	ST	74001115	2564.0	SIPO
32421	2058	ST	17455786	131.0	
32422	2058	YZ	6131786	5.0	POJISTNE
32423	2058	IJ	17472982	2.0	
32424	2060	WX	37982398	7523.0	SIPO
32425	2061	QR	55974131	1994.0	SIPO
32426	2061	OP	78724276	675.0	
32427	2062	QR	97387158	7182.5	UVER
32428	2062	ST	30643040	107.0	SIPO
32429	2062	YZ	28156739	3136.0	
32430	2063	YZ	7305825	1542.0	SIPO
32431	2064	EF	1838881	2322.7	UVER
32432	2065	OP	16683084	3075.0	SIPO
32433	2066	WX	35182011	2319.0	SIPO
32434	2068	QR	33975577	172.0	SIPO
32435	2068	WX	6661606	1405.0	
32436	2068	OP	17151004	1047.0	POJISTNE
32437	2069	YZ	91279679	484.0	SIPO
32438	2069	CD	57790952	2223.0	
32439	2069	MN	75770503	2108.0	POJISTNE
32440	2069	YZ	80550372	118.0	
32441	2070	QR	36406797	8092.0	SIPO
32442	2071	ST	19791907	125.0	SIPO
32443	2071	WX	44377255	3093.0	
32444	2072	QR	48987203	6746.0	SIPO
32445	2073	KL	67186093	1860.0	UVER
32446	2074	ST	88473778	2354.0	SIPO
32447	2074	EF	58509194	2568.0	
32448	2075	KL	26600021	589.0	SIPO
32449	2075	OP	56678074	992.0	
32450	2075	UV	65491747	619.0	POJISTNE
32451	2076	OP	71402716	382.0	SIPO
32452	2076	OP	3638083	1670.0	SIPO
32453	2078	GH	3833902	3598.0	SIPO
32454	2080	UV	34001827	5961.0	UVER
32455	2080	UV	62451505	13628.0	SIPO
32456	2081	AB	25160008	2028.0	SIPO
32457	2082	CD	31757211	822.0	SIPO
32458	2082	CD	92538064	1782.0	
32459	2082	YZ	18167418	5187.0	POJISTNE
32460	2083	WX	89846694	8282.0	SIPO
32461	2084	YZ	30369031	4554.0	SIPO
32462	2085	AB	3505379	2124.0	SIPO
32463	2085	UV	94459324	305.0	
32464	2085	IJ	30590856	4045.0	POJISTNE
32465	2087	IJ	28660744	4619.9	LEASING
32466	2088	AB	86339223	3240.0	SIPO
32469	2090	UV	78000944	3532.0	SIPO
32470	2092	KL	8791333	7598.0	SIPO
32471	2094	ST	94971048	2288.0	SIPO
32472	2096	WX	16533756	3731.0	SIPO
32473	2096	UV	38005286	5441.0	
32478	2101	MN	28222400	987.0	SIPO
32479	2101	AB	83940368	600.0	
32480	2101	IJ	57205212	722.0	POJISTNE
32481	2102	KL	57302659	5662.0	SIPO
32482	2102	QR	30830097	1835.0	
32483	2103	IJ	66471505	1482.0	SIPO
32484	2103	EF	60364776	2211.0	
32485	2104	QR	61960321	6927.0	SIPO
32486	2105	EF	57194727	1546.0	SIPO
32487	2106	IJ	64902251	3468.0	SIPO
32488	2106	KL	14528537	8460.0	UVER
32489	2107	YZ	60404908	6395.0	SIPO
32490	2107	ST	32207316	663.0	
32491	2108	WX	52307826	5974.0	SIPO
32492	2110	OP	16387468	2050.0	SIPO
32493	2111	AB	14447975	4619.9	LEASING
32494	2112	UV	22188127	4788.0	SIPO
32495	2114	UV	20697045	5102.0	SIPO
32496	2114	CD	42759567	1742.0	
32497	2115	UV	74184041	1940.0	SIPO
32498	2116	EF	68418848	7699.8	UVER
32499	2116	EF	86869412	1307.0	SIPO
32500	2116	QR	59543710	3407.0	
32501	2117	GH	72168028	7786.0	SIPO
32502	2118	YZ	74920552	9871.0	SIPO
32503	2119	QR	40626055	5688.0	SIPO
32509	2121	ST	58488207	2625.0	SIPO
32510	2121	CD	4398906	3382.0	
32511	2122	UV	7883274	7663.0	SIPO
32512	2123	EF	18685001	2141.0	SIPO
32513	2124	QR	46953344	5207.0	SIPO
32514	2124	KL	31666642	287.0	
32515	2125	UV	70317023	3225.0	SIPO
32516	2127	EF	24088090	1995.0	SIPO
32517	2128	OP	30310547	3601.0	SIPO
32522	2131	YZ	249672	2560.0	SIPO
32523	2131	WX	91249781	957.0	SIPO
32524	2133	QR	57979929	2143.0	SIPO
32525	2134	AB	67233997	3118.0	SIPO
32526	2134	WX	15210831	641.0	
32527	2134	MN	47395515	637.0	UVER
32528	2135	KL	89391642	2740.0	SIPO
32529	2135	QR	91295229	4101.0	
32530	2137	KL	97860681	1958.7	LEASING
32531	2138	UV	60928738	9788.0	SIPO
32532	2139	IJ	36101162	2154.0	SIPO
32533	2139	GH	92438989	4737.0	
32534	2139	MN	30308371	6275.0	POJISTNE
32535	2140	WX	27352017	2318.0	SIPO
32536	2141	UV	77834790	5796.0	SIPO
32537	2142	YZ	3758663	9768.0	SIPO
32538	2142	OP	47238999	1944.0	UVER
32539	2143	MN	66855954	7264.0	SIPO
32540	2143	OP	18297326	1985.0	UVER
32545	2146	UV	75200062	2400.0	SIPO
32546	2146	AB	64262807	3230.0	
32547	2147	MN	42237263	2965.0	SIPO
32548	2147	WX	37541866	1341.0	LEASING
32549	2148	QR	41176962	2301.0	SIPO
32550	2148	MN	6842810	69.0	
32551	2149	MN	14587313	2536.0	SIPO
32552	2150	AB	37624383	2019.0	SIPO
32553	2151	YZ	35530597	5286.0	SIPO
32554	2151	GH	97779327	1227.0	
32555	2151	AB	65584575	223.0	POJISTNE
32556	2152	QR	56643396	3191.0	SIPO
32557	2153	IJ	28541732	5129.5	UVER
32558	2153	KL	60141891	1737.0	SIPO
32559	2153	CD	79112446	10303.0	
32560	2153	AB	94730412	2223.0	POJISTNE
32561	2154	AB	22301203	2126.0	SIPO
32562	2155	IJ	66442948	735.0	SIPO
32563	2155	ST	23068177	1534.0	
32564	2156	WX	3410566	9921.0	SIPO
32565	2157	EF	96798324	9094.0	SIPO
32566	2159	CD	89892041	1118.0	SIPO
32567	2159	AB	91621130	7601.0	
32568	2160	KL	74125879	6084.0	SIPO
32569	2161	CD	11111456	2770.0	SIPO
32570	2161	WX	86137514	1068.0	
32571	2162	UV	68998408	8468.0	SIPO
32572	2163	KL	45403152	2403.0	SIPO
32573	2163	ST	64506924	2791.0	
32574	2164	WX	68996095	7552.0	SIPO
32575	2165	CD	40212154	3274.8	UVER
32576	2165	IJ	83407926	12493.0	SIPO
32577	2166	YZ	4978508	262.0	SIPO
32578	2166	ST	84241741	991.0	
32579	2166	UV	73421168	5263.0	POJISTNE
32580	2167	IJ	18770349	5922.0	SIPO
32581	2167	QR	38404792	7094.0	UVER
32586	2169	AB	49559926	6235.0	SIPO
32587	2169	QR	71835785	875.0	
32588	2169	MN	98909568	1530.0	LEASING
32589	2170	KL	69894355	4838.0	SIPO
32590	2170	YZ	60630810	1468.0	
32591	2170	MN	6311643	6011.0	POJISTNE
32594	2172	KL	8108789	3413.0	SIPO
32595	2173	WX	74140065	1951.0	SIPO
32596	2174	OP	97218501	4367.0	SIPO
32597	2176	MN	81908911	8307.8	UVER
32598	2176	KL	62845337	1085.0	SIPO
32599	2176	EF	57953965	5135.0	
32600	2177	QR	5411524	3168.0	SIPO
32601	2178	ST	96580969	7959.0	SIPO
32602	2179	CD	2150762	2386.0	SIPO
32603	2179	OP	48367720	3650.0	
32604	2179	YZ	6092787	240.0	POJISTNE
32605	2179	OP	22667289	78.0	
32609	2182	OP	88771032	5262.0	SIPO
32610	2184	IJ	59498178	3165.0	SIPO
32611	2185	MN	23456716	2004.0	SIPO
32612	2186	ST	33835828	2283.0	SIPO
32613	2187	WX	29976457	4456.0	UVER
32617	2189	UV	89534949	1449.0	SIPO
32618	2189	WX	36365342	704.0	
32619	2189	AB	32410866	2803.0	POJISTNE
32620	2190	WX	48310	3649.0	SIPO
32621	2190	ST	90605234	1490.0	
32622	2190	EF	37804508	2782.0	POJISTNE
32623	2191	MN	83969157	6762.0	SIPO
32624	2192	CD	7238287	5743.0	SIPO
32625	2192	KL	25682276	7.0	
32626	2192	ST	21958375	1428.0	POJISTNE
32627	2192	AB	96580189	1852.0	LEASING
32628	2193	UV	47578817	3424.0	SIPO
32629	2194	EF	28507352	9386.0	SIPO
32630	2196	IJ	33944320	2160.0	SIPO
32631	2197	YZ	97071992	8524.0	SIPO
32635	2199	UV	58226454	668.0	SIPO
32636	2199	AB	99790232	1830.0	
32637	2200	GH	7693958	397.0	LEASING
32638	2201	IJ	47068661	1357.0	SIPO
32639	2201	CD	42079347	391.0	
32640	2201	EF	16468906	348.0	POJISTNE
32643	2203	GH	10702485	2320.0	SIPO
32644	2204	OP	86412846	3954.0	SIPO
32645	2205	EF	4889071	3042.0	SIPO
32646	2206	EF	11714333	3930.0	SIPO
32647	2208	IJ	50562041	2126.0	SIPO
32648	2209	YZ	15201545	5887.0	SIPO
32649	2209	ST	68777465	1418.0	
32650	2210	YZ	10651153	2553.0	SIPO
32651	2211	IJ	93359732	7863.0	SIPO
32652	2212	QR	39952963	3206.0	SIPO
32653	2213	IJ	46736180	6273.0	SIPO
32654	2214	UV	77339476	948.0	LEASING
32655	2215	QR	36252600	2348.0	SIPO
32656	2216	AB	73169725	4705.0	LEASING
32657	2216	MN	6210720	5184.0	SIPO
32658	2218	YZ	85124015	3034.0	UVER
32659	2219	ST	13571501	4103.8	LEASING
32660	2220	IJ	17050385	2783.0	SIPO
32661	2221	EF	85032087	1455.0	SIPO
32662	2221	CD	6097948	719.0	
32663	2222	ST	93425368	4103.8	LEASING
32664	2223	IJ	22266888	2930.0	SIPO
32665	2224	CD	33305394	2324.2	LEASING
32666	2225	GH	42774206	1946.0	SIPO
32667	2226	QR	54863834	40.0	SIPO
32669	2227	MN	86397230	3873.7	UVER
32670	2227	EF	69415771	13386.0	SIPO
32671	2228	CD	46155524	3873.7	UVER
32672	2228	ST	68287300	4625.0	SIPO
32673	2229	KL	29944843	9605.0	SIPO
32674	2230	GH	49185484	2612.0	SIPO
32675	2231	AB	8985472	2181.0	SIPO
32676	2231	KL	11682016	1431.0	
32677	2232	EF	97103237	4916.0	SIPO
32678	2233	WX	11697030	2028.0	SIPO
32679	2234	ST	51482504	1247.0	SIPO
32680	2234	AB	54483455	59.0	
32681	2234	UV	95181035	811.0	POJISTNE
32682	2235	CD	65763521	3730.0	SIPO
32683	2236	OP	68195986	3873.7	UVER
32685	2237	IJ	35369825	4876.0	SIPO
32686	2237	KL	87857412	891.0	
32687	2237	WX	55064397	1320.0	POJISTNE
32690	2239	AB	74974190	7355.0	SIPO
32691	2239	YZ	22235125	405.0	
32692	2240	IJ	42587310	2324.2	LEASING
32693	2241	KL	33408683	6545.0	SIPO
32694	2241	KL	37085980	455.0	
32695	2241	UV	84126734	16.0	POJISTNE
32696	2242	UV	83031367	5538.0	SIPO
32697	2243	MN	66443806	3890.0	SIPO
32698	2243	YZ	70212971	547.0	
32699	2244	IJ	61625307	1690.0	SIPO
32700	2245	UV	2059746	7248.8	UVER
32701	2246	YZ	72096937	6930.0	UVER
32702	2247	UV	52448576	3021.0	UVER
32703	2247	OP	77294456	592.0	SIPO
32704	2247	CD	39011389	1344.0	
32705	2247	WX	68231224	659.0	POJISTNE
32706	2247	UV	83908128	1051.0	
32711	2250	EF	63026058	4182.0	SIPO
32715	2252	IJ	42469954	637.0	SIPO
32716	2252	WX	61189848	1469.0	
32717	2253	OP	60593241	2944.0	SIPO
32718	2254	OP	72537737	4349.3	LEASING
32719	2254	YZ	39556306	8879.0	SIPO
32720	2254	QR	72738760	1488.0	
32721	2255	WX	25985443	2084.0	SIPO
32722	2256	UV	65441125	3152.0	SIPO
32723	2257	CD	48135429	2005.0	SIPO
32724	2258	YZ	34422958	2202.0	SIPO
32725	2259	CD	94851266	2520.0	SIPO
32729	2262	CD	77488755	6395.0	UVER
32730	2263	AB	68324535	7927.0	SIPO
32731	2264	EF	60699409	1810.0	SIPO
32733	2267	KL	57657045	3143.0	SIPO
32734	2268	ST	1695228	5742.0	SIPO
32735	2268	AB	38343775	561.0	UVER
32736	2269	ST	9433424	4581.0	SIPO
32737	2269	IJ	22943455	512.0	LEASING
32738	2270	YZ	68958437	3604.0	SIPO
32739	2271	GH	39753556	2032.0	SIPO
32740	2272	WX	99929630	3986.0	SIPO
32747	2275	KL	70977097	6531.0	SIPO
32748	2276	MN	86481719	1615.0	SIPO
32751	2278	YZ	28221976	1145.0	SIPO
32752	2278	MN	48851555	7377.0	
32753	2279	OP	19501900	6556.3	UVER
32754	2280	QR	5897534	6841.0	SIPO
32755	2281	YZ	7258689	5720.0	SIPO
32756	2282	YZ	67707383	4704.0	SIPO
32764	2286	YZ	68042516	1192.0	SIPO
32765	2286	CD	33564162	2109.0	
32766	2287	KL	35842073	6275.0	SIPO
32767	2288	AB	28359425	5411.0	SIPO
32768	2289	AB	28453374	5309.0	SIPO
32769	2290	ST	58844083	3965.0	SIPO
32770	2291	KL	69832765	3825.0	SIPO
32771	2292	CD	71342873	1626.0	SIPO
32772	2292	YZ	37514162	223.0	
32773	2292	MN	26075345	147.0	POJISTNE
32774	2293	IJ	36960655	2332.0	SIPO
32775	2294	MN	18471438	4426.0	SIPO
32776	2296	OP	93267988	3531.0	SIPO
32777	2297	UV	46263361	819.0	SIPO
32778	2297	QR	1093173	1452.0	
32779	2297	AB	97796540	689.0	POJISTNE
32780	2298	UV	63721817	4550.0	SIPO
32781	2301	EF	56871384	6907.0	SIPO
32782	2302	YZ	4605699	1989.0	SIPO
32783	2302	MN	49296242	1838.0	
32784	2303	KL	25147950	7892.0	SIPO
32786	2306	ST	79012286	1179.0	SIPO
32787	2306	KL	42063969	3586.0	
32788	2307	OP	60090291	3336.0	SIPO
32789	2307	YZ	84354322	123.0	SIPO
32794	2309	KL	33813035	8604.0	SIPO
32795	2310	WX	13273746	5259.0	SIPO
32796	2311	AB	43163901	6798.0	SIPO
32797	2312	CD	88846653	3392.0	SIPO
32798	2313	MN	33568215	5426.0	SIPO
32799	2313	GH	52766847	1341.0	
32800	2315	WX	82363116	1673.0	SIPO
32801	2316	KL	64642989	2111.0	SIPO
32802	2316	IJ	96044265	7.0	
32803	2316	MN	51700419	8.0	
32804	2317	CD	55275732	195.0	SIPO
32805	2317	AB	58933603	2486.0	SIPO
32806	2318	UV	58512443	3081.0	SIPO
32807	2318	IJ	95490520	5191.0	
32808	2318	ST	68937486	654.0	POJISTNE
32809	2318	IJ	71377277	251.0	
32810	2319	ST	46060675	9510.0	SIPO
32814	2321	EF	4345632	1158.0	LEASING
32815	2322	KL	89574056	1930.0	UVER
32816	2322	ST	75713777	3359.0	SIPO
32817	2322	QR	87459748	690.0	
32818	2322	EF	97367155	1019.0	POJISTNE
32819	2322	ST	14182174	1612.0	
32820	2323	AB	70839428	6446.0	SIPO
32821	2324	WX	80225026	4151.0	SIPO
32822	2325	GH	26319808	1334.0	SIPO
32823	2325	ST	46773761	2155.0	
32824	2325	MN	86350583	2270.0	POJISTNE
32825	2326	AB	48282474	3422.0	SIPO
32826	2327	WX	58510798	13208.0	SIPO
32827	2328	MN	22747612	1846.0	SIPO
32828	2329	WX	27642166	4400.0	SIPO
32829	2330	QR	64704280	1662.0	SIPO
32830	2330	EF	63786613	601.0	
32831	2331	GH	30773931	667.0	SIPO
32832	2331	MN	32200968	1408.0	
32833	2332	EF	63277864	3919.0	SIPO
32834	2334	IJ	17270642	2013.0	UVER
32835	2334	ST	92322378	10707.0	SIPO
32836	2335	YZ	25760704	2036.0	SIPO
32837	2335	EF	61203175	1069.0	
32838	2335	UV	98547273	485.0	POJISTNE
32839	2335	OP	63746511	1676.0	
32840	2335	GH	8226937	9020.0	UVER
32841	2336	KL	73208963	3058.0	SIPO
32842	2337	IJ	18192541	2963.0	SIPO
32843	2337	UV	63713687	927.0	
32844	2338	GH	76516425	1207.8	LEASING
32845	2339	MN	60427570	3893.0	SIPO
32846	2341	OP	5022091	1583.0	SIPO
32847	2341	ST	97825383	464.0	
32848	2342	AB	54005241	2164.0	SIPO
32849	2343	UV	28312742	4723.0	SIPO
32850	2343	KL	67309921	4139.0	UVER
32851	2344	KL	95720600	1002.0	SIPO
32852	2344	CD	44955593	2019.0	SIPO
32853	2345	QR	31917315	3328.2	UVER
32854	2345	QR	16879636	3612.0	SIPO
32855	2346	UV	36571818	334.0	SIPO
32856	2346	QR	74352502	1939.0	
32857	2346	WX	92272942	6970.0	POJISTNE
32858	2346	QR	42005080	3596.0	
32859	2347	WX	25791567	3477.0	SIPO
32860	2348	UV	94846903	3057.0	SIPO
32861	2348	QR	662106	3349.0	
32862	2349	ST	98776816	1992.0	SIPO
32863	2350	OP	74027311	3328.2	UVER
32864	2350	KL	56521683	575.0	SIPO
32865	2350	IJ	98643308	5263.0	
32866	2351	QR	91637825	9173.0	SIPO
32867	2352	MN	33949649	5581.0	SIPO
32868	2352	GH	79024326	34.0	
32869	2352	EF	61734002	4.0	POJISTNE
32870	2352	AB	25421935	824.0	UVER
32871	2353	IJ	83465021	7732.0	SIPO
32872	2353	YZ	26668000	1968.0	
32873	2354	ST	23677683	9071.0	SIPO
32874	2357	KL	58773815	3869.0	SIPO
32875	2358	OP	90139603	6114.0	SIPO
32876	2359	YZ	54163086	3119.0	SIPO
32877	2360	KL	84537815	7580.0	SIPO
32878	2361	MN	781095	4613.0	SIPO
32879	2361	YZ	17524379	4352.0	UVER
32880	2362	KL	47032982	2259.0	SIPO
32881	2363	CD	96414541	1525.0	SIPO
32882	2363	YZ	11521917	599.0	SIPO
32883	2364	CD	33847505	2033.0	SIPO
32884	2365	KL	22873586	3061.0	SIPO
32885	2366	CD	66497516	388.0	SIPO
32886	2366	QR	30780631	1261.0	SIPO
32887	2367	MN	47298574	5601.0	SIPO
32888	2367	KL	61017304	3678.0	
32890	2369	YZ	20459878	7292.0	SIPO
32891	2369	EF	44902819	207.0	
32892	2370	MN	28076833	9747.0	SIPO
32893	2371	UV	10878855	7101.3	UVER
32894	2371	YZ	33079290	12510.0	SIPO
32895	2371	AB	87190907	793.0	
32896	2371	OP	51855623	1087.0	POJISTNE
32897	2371	YZ	45326221	294.0	
32898	2372	KL	46931564	108.0	SIPO
32899	2372	MN	79875886	1946.0	
32900	2372	GH	21510470	107.0	POJISTNE
32901	2372	MN	9774154	131.0	
32902	2373	GH	19720453	2377.0	SIPO
32903	2374	UV	11096793	2331.0	SIPO
32904	2375	UV	68029534	279.0	SIPO
32905	2375	KL	35131472	7022.0	
32906	2376	ST	7464963	4428.0	SIPO
32907	2377	CD	25924396	305.0	SIPO
32908	2377	UV	10629874	1652.0	SIPO
32909	2378	EF	1222903	9612.0	SIPO
32910	2379	AB	13537359	3190.0	SIPO
32911	2379	IJ	3021407	145.0	
32912	2379	OP	77863126	46.0	POJISTNE
32913	2380	QR	25673014	4206.0	SIPO
32914	2381	WX	94099801	9358.0	SIPO
32915	2382	AB	6405681	3123.0	SIPO
32916	2383	YZ	94815557	1897.0	SIPO
32917	2383	WX	50398296	3334.0	
32918	2383	UV	40245962	139.0	POJISTNE
32919	2384	YZ	37366593	4282.0	LEASING
32920	2385	MN	97151100	1305.0	LEASING
32921	2386	WX	88837807	2042.0	SIPO
32922	2386	KL	16295147	1797.0	
32923	2387	WX	55608665	3414.0	SIPO
32924	2388	QR	54345786	2328.0	SIPO
32925	2389	IJ	87516963	3912.0	SIPO
32926	2390	WX	12861097	2353.0	LEASING
32927	2390	KL	62916707	2206.0	SIPO
32928	2390	QR	66811156	11464.0	
32929	2391	GH	6469798	4959.0	SIPO
32930	2393	KL	70831024	4292.0	SIPO
32931	2393	AB	73102003	1253.0	LEASING
32932	2394	KL	1669449	3103.0	UVER
32933	2394	IJ	38287389	3131.0	SIPO
32934	2394	CD	11698562	182.0	
32935	2394	WX	93556361	788.0	POJISTNE
32936	2395	IJ	13785899	3696.0	SIPO
32937	2396	AB	75456380	2548.0	SIPO
32938	2397	YZ	20025152	3113.0	SIPO
32939	2397	MN	30975151	16.0	
32940	2400	MN	98761516	1640.0	SIPO
32941	2401	KL	76152759	2782.0	SIPO
32942	2402	IJ	65373653	2384.0	SIPO
32943	2403	GH	38700193	3031.0	SIPO
32944	2404	YZ	50743573	5488.0	SIPO
32945	2405	KL	9480673	6407.0	SIPO
32946	2406	QR	54419815	3186.0	SIPO
32947	2407	YZ	5476630	7292.0	SIPO
32948	2408	QR	14278769	3017.0	SIPO
32949	2408	ST	51844030	53.0	
32950	2409	WX	68054622	5028.0	SIPO
32951	2410	EF	6188935	3410.0	SIPO
32957	2413	KL	97954469	6448.0	SIPO
32958	2413	MN	81122290	1496.0	UVER
32959	2414	EF	6135642	465.0	SIPO
32960	2414	EF	64713829	1501.0	
32961	2415	OP	65874808	7308.0	SIPO
32962	2416	UV	52533727	9425.0	SIPO
32963	2417	YZ	83809387	1319.0	SIPO
32964	2417	OP	93963139	1843.0	
32965	2419	ST	79840576	7984.3	UVER
32966	2420	YZ	71461701	2401.0	SIPO
32967	2421	YZ	66208350	1544.0	SIPO
32968	2421	MN	93932258	220.0	
32969	2421	OP	19669050	363.0	POJISTNE
32970	2422	EF	17186141	2809.0	SIPO
32971	2423	KL	35182595	1494.0	SIPO
32972	2423	AB	66884094	1317.0	SIPO
32973	2424	EF	92266177	14138.0	SIPO
32974	2425	KL	64028662	5936.0	SIPO
32978	2427	CD	39447444	5496.0	SIPO
32979	2427	YZ	61671554	868.0	
32980	2427	UV	48815095	2342.0	POJISTNE
32981	2429	QR	50382167	6786.0	SIPO
32982	2429	GH	91816699	369.0	
32983	2431	KL	96937953	1243.0	SIPO
32984	2431	UV	92502820	236.0	
32985	2431	IJ	28942603	2305.0	POJISTNE
32986	2431	WX	63151824	1502.0	LEASING
32987	2432	GH	70597290	2554.0	SIPO
32988	2433	GH	28003591	1757.0	SIPO
32989	2434	CD	94916831	2927.0	SIPO
32990	2435	UV	85717063	1633.9	LEASING
32991	2435	WX	21075344	7904.0	SIPO
32992	2437	OP	10448074	656.0	SIPO
32993	2437	YZ	65697604	1338.0	
32994	2438	GH	26398313	5817.0	SIPO
32995	2438	UV	62592428	705.0	
32996	2439	ST	16428494	2096.0	SIPO
32997	2440	YZ	19144922	6219.0	SIPO
32998	2440	KL	30988913	661.0	
32999	2440	GH	32329070	1230.0	POJISTNE
33000	2441	OP	53539413	4719.0	SIPO
33001	2441	ST	57518833	490.0	
33002	2441	ST	13103747	785.0	POJISTNE
33003	2442	AB	89339786	540.0	SIPO
33004	2442	IJ	67963898	1568.0	
33005	2443	OP	54071068	7034.0	SIPO
33006	2444	OP	60390728	2931.6	LEASING
33007	2445	ST	37553960	4886.0	UVER
33008	2446	KL	93986022	6372.0	SIPO
33009	2447	WX	57538109	6911.0	SIPO
33010	2448	MN	56000006	1067.0	SIPO
33011	2448	CD	6193393	1193.0	
33012	2450	OP	34500575	1455.0	SIPO
33013	2450	KL	21773249	7915.0	
33014	2451	IJ	55826187	6944.0	SIPO
33015	2452	WX	99223190	3244.0	SIPO
33016	2453	UV	32186746	2190.0	SIPO
33017	2455	OP	28967535	3262.0	SIPO
33018	2456	YZ	58417534	4187.3	UVER
33019	2456	KL	71291804	9554.0	SIPO
33020	2457	UV	35646599	3834.0	SIPO
33021	2459	ST	65574568	1971.0	SIPO
33022	2460	MN	22791433	435.0	LEASING
33024	2463	YZ	79603081	3077.0	SIPO
33025	2464	WX	54447740	2592.0	LEASING
33026	2464	ST	28556400	5555.0	SIPO
33027	2464	KL	74763947	4681.0	
33028	2465	KL	48546957	454.0	SIPO
33029	2465	IJ	23477942	3176.0	SIPO
33030	2466	WX	78467875	37.0	SIPO
33031	2466	IJ	40924441	3733.0	
33032	2467	IJ	55811417	5332.0	SIPO
33033	2468	QR	32765186	2094.0	SIPO
33034	2469	IJ	48410499	2220.0	SIPO
33035	2470	CD	71474998	4511.0	SIPO
33036	2470	GH	17039579	2105.0	
33037	2470	IJ	7093429	1042.0	POJISTNE
33038	2471	CD	40398550	3277.0	SIPO
33039	2471	EF	20720190	1347.0	
33040	2471	UV	61662065	363.0	POJISTNE
33041	2471	KL	585544	205.0	
33042	2472	CD	61095434	4109.0	SIPO
33043	2472	OP	22120690	1233.0	LEASING
33044	2473	IJ	16836262	1760.0	SIPO
33045	2473	IJ	87259512	236.0	
33046	2474	QR	31394452	121.0	SIPO
33047	2474	AB	28422999	2251.0	
33048	2475	OP	27521276	166.0	SIPO
33049	2475	ST	76343703	804.0	
33050	2475	AB	198555	3479.0	POJISTNE
33051	2475	GH	16848689	3829.0	
33052	2476	IJ	23237085	2854.0	SIPO
33053	2477	EF	3161973	3096.0	SIPO
33056	2479	AB	99287282	3022.0	SIPO
33057	2479	ST	56431281	765.0	
33058	2479	KL	86809700	204.0	POJISTNE
33059	2480	YZ	46494776	3022.0	LEASING
33060	2482	AB	35457408	7381.0	SIPO
33061	2482	KL	67559063	127.0	
33062	2482	AB	8125150	85.0	POJISTNE
33063	2482	CD	27061575	55.0	
33064	2482	WX	51882064	1721.0	LEASING
33065	2483	KL	97563403	4996.0	SIPO
33066	2483	GH	9561491	4926.0	
33067	2484	OP	3728384	2343.0	SIPO
33068	2484	OP	83567636	538.0	
33069	2484	GH	75644820	599.0	POJISTNE
33070	2484	ST	72945260	1390.0	
33071	2485	UV	69825196	1944.0	SIPO
33072	2486	OP	68277156	2043.0	UVER
33073	2487	GH	18209791	1828.0	SIPO
33074	2487	CD	60394644	228.0	
33075	2487	OP	9106064	842.0	POJISTNE
33076	2487	OP	85525637	262.0	
33077	2487	ST	90879106	1557.0	LEASING
33078	2488	UV	25563156	2030.0	SIPO
33079	2489	KL	75944941	3854.0	SIPO
33080	2490	ST	36983788	3526.0	SIPO
33081	2490	MN	39699643	649.0	
33082	2491	ST	7648384	1.0	SIPO
33083	2491	OP	47771161	3232.0	
33084	2492	ST	72453939	3235.0	SIPO
33085	2492	GH	49046558	506.0	SIPO
33086	2493	EF	91739165	5375.0	SIPO
33087	2494	AB	82410615	693.0	SIPO
33088	2494	AB	22744047	4206.0	
33089	2494	IJ	88460433	2247.0	POJISTNE
33090	2495	MN	76154935	856.0	LEASING
33091	2496	GH	76618009	4982.0	SIPO
33092	2496	MN	51870715	2752.0	UVER
33093	2497	IJ	38673484	3970.0	SIPO
33094	2497	ST	83746605	1871.0	LEASING
33095	2498	AB	17819351	4223.0	SIPO
33096	2498	QR	47083485	1798.0	LEASING
33097	2499	EF	26827723	112.0	SIPO
33098	2499	ST	97045737	1933.0	
33099	2499	EF	12857330	1858.0	POJISTNE
33100	2501	YZ	82897442	524.0	SIPO
33101	2501	QR	42648118	3142.0	
33102	2501	ST	57752704	745.0	POJISTNE
33103	2502	QR	18609726	3885.0	SIPO
33104	2503	CD	10819483	6279.0	SIPO
33105	2504	KL	41117668	5513.0	SIPO
33106	2505	WX	57194352	136.0	SIPO
33107	2505	KL	87996345	1825.0	SIPO
33108	2506	AB	40525519	10076.0	SIPO
33109	2507	ST	59955376	4556.0	SIPO
33110	2508	GH	89408212	2193.0	SIPO
33111	2509	OP	85724323	7073.0	SIPO
33112	2509	AB	73543202	4377.0	
33113	2509	OP	83953725	1950.0	POJISTNE
33114	2510	EF	59125840	6922.0	SIPO
33115	2510	CD	54819261	92.0	
33116	2510	QR	50671142	904.0	POJISTNE
33117	2511	KL	56617802	2696.0	SIPO
33118	2511	ST	88212847	3059.0	
33121	2513	YZ	17385280	2655.0	SIPO
33122	2514	GH	46998095	4001.0	SIPO
33123	2516	AB	61216103	9721.0	UVER
33124	2517	CD	67803686	11769.0	SIPO
33126	2519	OP	87381881	1599.0	SIPO
33127	2520	CD	39163434	2355.0	SIPO
33128	2521	ST	64551746	6002.0	SIPO
33129	2523	OP	19635182	1819.0	SIPO
33130	2523	UV	19039827	82.0	
33131	2523	KL	57632476	41.0	POJISTNE
33132	2523	GH	1038826	73.0	
33133	2524	ST	64186239	2550.0	SIPO
33134	2525	ST	21251112	2408.0	SIPO
33135	2525	GH	99278032	2929.0	
33136	2526	EF	82399522	3964.0	SIPO
33137	2527	YZ	75348806	2322.6	LEASING
33138	2527	CD	27758234	5774.0	SIPO
33139	2528	UV	51561528	2824.0	SIPO
33143	2530	KL	33356398	99.0	SIPO
33144	2530	KL	76112597	4379.0	
33145	2530	GH	66858243	3698.0	POJISTNE
33146	2531	KL	74343323	1614.0	SIPO
33147	2532	GH	75780755	12133.0	SIPO
33148	2534	CD	6917608	2190.0	SIPO
33149	2534	MN	32907408	1220.0	
33150	2535	OP	1460	4273.0	SIPO
33151	2535	QR	20700508	90.0	
33152	2535	QR	5892384	153.0	POJISTNE
33153	2536	WX	6038499	3136.0	SIPO
33154	2537	UV	70319515	13540.0	SIPO
33155	2538	EF	79103833	3689.0	SIPO
33156	2539	MN	2063680	1919.0	SIPO
33157	2539	MN	22129971	1904.0	SIPO
33158	2541	IJ	5857146	1822.0	SIPO
33159	2541	ST	76871382	2238.0	
33160	2541	GH	47231644	1897.0	POJISTNE
33161	2542	UV	28103435	435.0	SIPO
33162	2542	AB	12512219	2637.0	
33163	2542	YZ	40178102	308.0	POJISTNE
33164	2543	GH	60684478	2145.0	SIPO
33165	2544	ST	91578411	2920.0	SIPO
33166	2544	GH	94170903	556.0	
33167	2544	EF	9338546	33.0	POJISTNE
33168	2544	YZ	63550382	5.0	
33169	2545	AB	584811	2637.0	SIPO
33170	2545	ST	28254646	671.0	
33171	2545	GH	74550294	713.0	POJISTNE
33172	2545	ST	49701792	8933.0	UVER
33173	2546	ST	27307683	4896.5	LEASING
33174	2546	YZ	65769809	2985.0	SIPO
33175	2546	KL	17094719	1152.0	
33176	2546	MN	91997658	480.0	POJISTNE
33177	2547	KL	21153784	5492.0	SIPO
33178	2549	YZ	75947034	2085.0	SIPO
33179	2550	AB	94691901	6828.0	SIPO
33180	2550	MN	80567723	403.0	
33181	2550	GH	78013139	67.0	POJISTNE
33182	2550	ST	71683752	49.0	
33183	2551	AB	68646061	2390.0	LEASING
33184	2551	WX	58459019	11601.0	SIPO
33185	2551	WX	38843870	2818.0	
33186	2552	GH	17411059	7035.0	SIPO
33187	2553	YZ	41427993	9687.0	SIPO
33188	2554	CD	41483783	7607.0	SIPO
33189	2555	QR	57132226	5464.0	SIPO
33190	2555	AB	73481118	2261.0	
33191	2556	WX	2889705	2006.0	SIPO
33192	2557	YZ	31457412	2806.0	SIPO
33193	2558	CD	46043479	1982.0	SIPO
33194	2559	AB	54144173	5123.0	SIPO
33195	2560	CD	63472384	1146.0	SIPO
33196	2560	IJ	44398903	4445.0	
33197	2561	CD	62003558	7764.0	SIPO
33198	2562	EF	27375477	2235.0	SIPO
33199	2563	YZ	67025834	2984.0	SIPO
33200	2564	GH	96319454	8086.0	SIPO
33201	2567	OP	14598107	2574.0	SIPO
33202	2568	KL	34637659	5228.0	SIPO
33203	2568	MN	1379150	1086.0	
33204	2568	OP	99602746	306.0	POJISTNE
33205	2569	OP	55144518	463.0	SIPO
33206	2569	IJ	14173150	1871.0	SIPO
33207	2570	KL	48350596	2051.0	SIPO
33208	2572	ST	86283236	7500.0	UVER
33209	2574	ST	61405271	9546.0	SIPO
33210	2575	ST	15963220	407.0	SIPO
33211	2575	UV	83146077	2171.0	SIPO
33212	2576	IJ	24689656	8106.0	SIPO
33213	2577	QR	745589	3347.0	SIPO
33214	2578	EF	27696168	2846.0	SIPO
33215	2579	OP	96343248	2688.0	SIPO
33216	2580	AB	96968262	5016.0	SIPO
33217	2580	KL	10807258	1489.0	UVER
33218	2581	OP	81132262	4769.0	SIPO
33219	2582	EF	97059088	1381.0	SIPO
33220	2582	ST	12887466	1748.0	
33221	2583	YZ	60918307	415.0	LEASING
33222	2584	OP	90582960	994.0	SIPO
33223	2584	ST	98448490	582.0	SIPO
33224	2588	MN	69929891	6509.0	SIPO
33225	2589	YZ	35212731	2236.0	SIPO
33226	2589	AB	55523544	1458.0	SIPO
33227	2590	YZ	34911799	1300.0	SIPO
33228	2590	KL	50073719	660.0	
33229	2590	MN	76566916	60.0	POJISTNE
33230	2591	OP	4184359	3301.0	SIPO
33231	2592	KL	8464664	5129.0	SIPO
33232	2593	MN	41153532	7300.0	SIPO
33233	2594	GH	34011191	1189.0	LEASING
33234	2594	CD	21398240	10912.0	SIPO
33235	2594	OP	75519376	506.0	
33236	2595	ST	2264398	3481.0	SIPO
33237	2596	EF	34919470	2285.0	SIPO
33238	2597	YZ	16589868	1398.0	SIPO
33239	2597	MN	7596224	1957.0	
33241	2600	AB	15214342	4379.0	SIPO
33242	2602	QR	62890523	1332.0	SIPO
33243	2602	WX	59156989	4073.0	
33244	2603	ST	30168819	3210.0	SIPO
33245	2604	OP	53184521	3965.0	SIPO
33246	2605	WX	47577834	4245.0	SIPO
33247	2606	AB	91720389	31.0	SIPO
33248	2606	GH	97712260	2443.0	SIPO
33249	2607	IJ	86115359	1433.0	SIPO
33250	2607	GH	82425427	755.0	
33251	2607	EF	72089344	882.0	POJISTNE
33252	2607	UV	50356459	1570.0	LEASING
33253	2608	OP	78614222	4788.0	SIPO
33254	2609	WX	66515242	4881.9	LEASING
33255	2610	QR	8855772	1842.0	SIPO
33256	2612	WX	2631092	2259.5	LEASING
33257	2613	ST	6268191	941.0	SIPO
33258	2613	GH	49477297	2154.0	SIPO
33259	2614	UV	83787446	2152.0	SIPO
33260	2616	IJ	7358169	8188.0	SIPO
33261	2617	QR	48354953	166.0	SIPO
33262	2617	OP	4205275	1867.0	
33263	2618	WX	72358518	3223.0	SIPO
33264	2619	AB	54822903	5454.0	SIPO
33265	2620	YZ	32839107	3855.0	SIPO
33266	2621	AB	59638219	2819.0	SIPO
33267	2622	YZ	32006168	7067.0	SIPO
33268	2622	EF	66704517	5681.0	UVER
33269	2623	EF	52708911	2891.0	SIPO
33270	2624	AB	69800835	10744.0	SIPO
33271	2625	CD	57670444	1922.0	LEASING
33272	2625	OP	68053567	4978.0	SIPO
33275	2627	KL	30658924	1579.0	SIPO
33276	2627	YZ	29709238	561.0	SIPO
33277	2628	GH	64364433	3090.0	LEASING
33278	2631	CD	16949427	2125.0	SIPO
33279	2632	EF	40250009	2042.0	SIPO
33280	2632	IJ	73459928	41.0	
33281	2632	IJ	36942219	2300.0	POJISTNE
33282	2636	KL	24701452	3254.0	SIPO
33283	2637	IJ	16977686	5194.0	SIPO
33284	2638	IJ	93051498	1018.0	SIPO
33285	2638	AB	13954824	728.0	
33286	2638	UV	68702125	4538.0	POJISTNE
33287	2639	MN	93859052	8633.0	SIPO
33288	2640	ST	20136499	8872.0	SIPO
33289	2641	WX	13973546	5126.0	SIPO
33290	2642	IJ	2104819	792.0	SIPO
33291	2642	IJ	37776649	571.0	
33292	2642	EF	64703529	2536.0	POJISTNE
33295	2644	CD	72787970	2563.0	SIPO
33296	2644	IJ	61139798	124.0	SIPO
33297	2645	IJ	14088654	389.0	SIPO
33298	2645	OP	46016168	631.0	
33299	2645	WX	18570590	5457.0	POJISTNE
33300	2645	ST	91531282	1010.0	
33301	2645	OP	4627538	725.0	LEASING
33302	2646	EF	53211688	3005.8	LEASING
33303	2646	MN	34138214	6232.0	SIPO
33304	2646	OP	72267347	528.0	
33305	2646	QR	99920969	300.0	POJISTNE
33306	2647	YZ	4161513	5303.0	SIPO
33307	2649	GH	28252244	5799.0	SIPO
33308	2649	QR	38579416	320.0	
33309	2649	ST	86506151	177.0	POJISTNE
33310	2649	AB	33442980	655.0	
33311	2650	AB	6979340	4563.0	SIPO
33312	2651	YZ	2372819	3592.9	LEASING
33313	2651	IJ	13021684	10862.0	SIPO
33314	2652	CD	2992314	1735.0	SIPO
33315	2652	QR	98601030	6351.0	
33316	2653	YZ	49173659	6280.0	SIPO
33317	2653	CD	82124638	2310.0	
33318	2654	MN	88949298	3861.0	SIPO
33319	2655	WX	94447552	2216.0	LEASING
33320	2655	QR	637197	2900.0	SIPO
33321	2655	WX	4603857	89.0	
33322	2655	KL	9168452	1339.0	POJISTNE
33323	2656	OP	41066408	409.0	SIPO
33324	2656	OP	42664700	1718.0	SIPO
33325	2657	QR	74292081	2174.0	SIPO
33326	2658	WX	70099252	486.0	SIPO
33327	2658	MN	3748625	1367.0	
33328	2658	CD	91022419	417.0	POJISTNE
33331	2661	GH	84294449	4764.0	SIPO
33332	2662	OP	1110756	3625.0	SIPO
33333	2663	KL	81498741	3877.0	SIPO
33334	2664	UV	60040694	3453.0	SIPO
33335	2664	QR	12188804	475.0	
33336	2666	UV	53003144	647.0	SIPO
33337	2666	EF	41393333	1287.0	
33338	2667	ST	2693307	2180.0	SIPO
33339	2668	YZ	53599059	9884.0	SIPO
33344	2670	AB	38848883	3978.0	SIPO
33345	2670	CD	70427286	4754.0	
33346	2671	QR	40581232	1984.0	SIPO
33347	2672	OP	87283455	2111.0	SIPO
33348	2672	IJ	41447466	211.0	
33349	2673	QR	44548678	1759.0	SIPO
33350	2673	MN	7310396	4111.0	
33351	2676	OP	32712727	1510.0	SIPO
33352	2676	IJ	56445985	1339.0	
33353	2676	ST	71575033	2348.0	POJISTNE
33354	2677	QR	72427195	3926.0	SIPO
33355	2677	KL	17019027	641.0	
33356	2677	YZ	61867588	1599.0	POJISTNE
33357	2677	YZ	80062365	158.0	
33358	2678	EF	97883551	3793.0	LEASING
33359	2679	AB	25353056	3842.0	SIPO
33360	2681	ST	19728160	4662.0	SIPO
33361	2681	IJ	27633780	1560.0	LEASING
33370	2685	CD	35602325	2576.0	SIPO
33371	2686	OP	79690658	1996.0	SIPO
33372	2687	EF	74690037	3830.0	SIPO
33373	2688	YZ	18395823	2802.0	SIPO
33374	2689	YZ	50778090	2727.0	SIPO
33375	2689	UV	36906784	2121.0	
33376	2690	YZ	55287820	2017.0	SIPO
33377	2691	OP	20484054	1370.0	UVER
33378	2692	GH	59398072	3386.0	SIPO
33379	2693	IJ	79708873	5852.0	SIPO
33380	2694	ST	95437645	3532.0	SIPO
33381	2694	GH	45261365	7636.0	UVER
33382	2695	ST	45832115	3923.0	SIPO
33383	2696	OP	90366512	3115.0	SIPO
33384	2697	GH	87258666	378.0	SIPO
33385	2697	GH	34090870	3142.0	
33386	2697	EF	3080630	629.0	POJISTNE
33387	2699	AB	41725951	4816.0	UVER
33388	2699	IJ	10817695	3743.0	SIPO
33389	2699	CD	32435608	662.0	
33390	2700	GH	2221990	5221.0	SIPO
33391	2700	YZ	95353859	6129.0	
33392	2700	QR	52413690	1123.0	POJISTNE
33393	2700	OP	33791315	2323.0	
33394	2701	MN	46385306	489.0	SIPO
33395	2701	MN	24402356	5761.0	
33396	2702	WX	31848305	3537.0	SIPO
33397	2702	WX	90875982	29.0	
33398	2703	AB	7336545	2082.0	SIPO
33401	2705	YZ	50098043	2608.2	UVER
33402	2705	GH	33252960	10723.0	SIPO
33403	2707	QR	17847508	3032.0	SIPO
33404	2707	GH	63447183	2546.0	
33405	2709	CD	63955408	1969.0	SIPO
33406	2709	UV	79388266	39.0	
33407	2709	KL	95859038	16.0	POJISTNE
33408	2711	MN	40865373	7300.0	SIPO
33409	2711	ST	19293779	871.0	LEASING
33410	2712	EF	14783954	2976.0	SIPO
33411	2713	UV	34315210	3387.0	SIPO
33412	2715	WX	67997187	1707.0	SIPO
33413	2715	CD	56625884	216.0	
33414	2715	KL	7159662	296.0	POJISTNE
33415	2716	QR	36398339	989.0	SIPO
33416	2716	UV	78199630	7456.0	
33417	2717	MN	72128897	2271.0	SIPO
33418	2719	AB	84430861	2889.0	SIPO
33419	2720	ST	27251911	2608.2	UVER
33420	2720	YZ	96241729	6206.0	SIPO
33421	2720	AB	33301061	4719.0	
33422	2721	QR	69068598	1544.0	SIPO
33423	2721	QR	48024463	2200.0	
33424	2721	MN	20500302	179.0	POJISTNE
33425	2721	ST	69458347	73.0	
33426	2722	KL	4174536	1671.0	SIPO
33427	2723	KL	3428757	5546.0	SIPO
33428	2724	ST	4672384	6399.0	SIPO
33429	2725	CD	59237199	3197.0	SIPO
33430	2725	WX	80807143	66.0	
33431	2725	IJ	64775931	461.0	POJISTNE
33432	2725	WX	31665891	1934.0	UVER
33433	2726	EF	2342153	5297.0	SIPO
33434	2728	OP	99268948	2607.0	UVER
33435	2728	EF	96346175	11222.0	SIPO
33436	2729	AB	18292260	8733.0	SIPO
33437	2730	YZ	36823308	2284.0	SIPO
33438	2731	CD	94928621	5044.0	SIPO
33439	2732	ST	11633754	1564.9	LEASING
33440	2733	QR	12963968	780.0	SIPO
33441	2733	EF	39144194	1545.0	
33442	2734	YZ	90248888	883.0	SIPO
33443	2734	UV	86357444	3310.0	
33444	2734	UV	25696611	1293.0	POJISTNE
33447	2736	ST	28956604	4604.0	SIPO
33448	2737	WX	2289492	4456.0	SIPO
33449	2738	CD	1114500	7762.0	SIPO
33450	2738	YZ	48380392	1152.0	
33451	2739	WX	92235922	414.0	SIPO
33452	2739	AB	56375890	4173.0	
33453	2742	KL	76674633	128.0	SIPO
33454	2742	ST	59019696	4878.0	
33455	2743	ST	1417857	3330.0	SIPO
33456	2743	GH	18241173	2811.0	
33457	2743	QR	20341313	1870.0	POJISTNE
33458	2744	ST	49756062	14384.0	SIPO
33459	2745	AB	76602530	1076.0	SIPO
33460	2745	UV	59444808	3461.0	
33461	2745	KL	40470147	1465.0	POJISTNE
33462	2745	GH	33104568	3525.0	
33463	2746	QR	11944139	2404.0	SIPO
33464	2747	IJ	7507563	3826.0	SIPO
33466	2749	QR	23250580	14520.0	SIPO
33467	2750	UV	35031116	1750.0	SIPO
33468	2750	YZ	25649327	2229.0	
33469	2751	MN	89055364	826.0	SIPO
33470	2751	WX	57857632	2957.0	
33471	2753	GH	41750717	2768.0	UVER
33472	2753	MN	97449540	6869.0	SIPO
33473	2754	WX	6736475	6985.3	UVER
33474	2754	MN	10118246	2882.0	SIPO
33475	2754	QR	77635740	226.0	
33476	2755	MN	81284296	504.0	SIPO
33477	2755	AB	13263649	3263.0	SIPO
33478	2756	YZ	94753807	8702.0	SIPO
33479	2757	QR	31494546	2077.0	SIPO
33480	2758	QR	46158099	4692.0	SIPO
33481	2759	MN	6377709	12692.0	SIPO
33482	2760	OP	87346362	5369.0	SIPO
33483	2760	IJ	9268027	4476.0	
33484	2761	IJ	99762063	6238.0	SIPO
33485	2762	EF	73534762	4641.0	UVER
33486	2762	UV	85078340	6892.0	SIPO
33487	2762	CD	75502043	733.0	
33488	2763	MN	62060552	4191.2	LEASING
33489	2763	AB	90810441	9480.0	SIPO
33490	2764	ST	22728401	1024.0	SIPO
33491	2764	ST	93326770	2382.0	
33492	2765	CD	33376592	5254.0	SIPO
33493	2766	QR	91327929	3498.0	SIPO
33494	2767	UV	37215685	4664.0	SIPO
33495	2767	OP	32782268	1333.0	
33496	2767	GH	97537642	1275.0	POJISTNE
33497	2768	MN	62968182	2155.0	SIPO
33501	2770	YZ	10137910	494.0	SIPO
33502	2770	OP	52641576	1582.0	
33503	2770	GH	41737938	494.0	POJISTNE
33504	2771	IJ	67174297	7288.0	SIPO
33505	2771	IJ	73423743	1479.0	LEASING
33506	2772	ST	65062320	7594.0	SIPO
33507	2773	WX	54261672	3354.0	SIPO
33508	2773	UV	95782577	154.0	
33509	2773	WX	5557954	36.0	POJISTNE
33510	2773	IJ	16981333	59.0	
33511	2774	WX	60773050	3628.0	SIPO
33512	2775	EF	66799968	3455.5	LEASING
33513	2775	AB	56198441	8691.0	SIPO
33514	2776	QR	40267509	1647.0	SIPO
33515	2778	OP	72472995	192.0	SIPO
33516	2778	YZ	18643141	5821.0	
33517	2779	UV	95626550	8262.0	SIPO
33518	2779	QR	69750815	34.0	
33519	2779	YZ	93445163	10.0	POJISTNE
33520	2779	ST	87464	5.0	
33521	2782	IJ	16703307	2602.8	LEASING
33522	2784	MN	51967656	3307.0	SIPO
33526	2787	QR	19312352	8356.0	SIPO
33527	2788	OP	74001586	3803.0	SIPO
33528	2789	WX	94019633	2965.0	SIPO
33529	2789	YZ	53360038	229.0	
33530	2789	WX	51038181	762.0	POJISTNE
33531	2790	WX	30340635	8862.0	SIPO
33532	2791	GH	13939756	3215.0	SIPO
33533	2792	QR	24712276	2327.0	SIPO
33534	2793	EF	41871547	2301.0	SIPO
33535	2795	AB	62608569	1722.0	SIPO
33536	2795	EF	22198647	6366.0	
33537	2795	WX	57666754	1869.0	POJISTNE
33538	2796	ST	33603441	3381.0	SIPO
33539	2796	MN	37211978	5291.0	
33540	2798	WX	61733460	6094.0	SIPO
33541	2799	GH	12735343	1043.0	SIPO
33542	2799	WX	8040637	4870.0	
33543	2799	CD	2489036	2493.0	POJISTNE
33544	2800	OP	95347153	8740.0	SIPO
33545	2801	OP	87508368	3524.0	SIPO
33546	2802	ST	44960343	2412.0	SIPO
33547	2803	KL	18263268	1904.0	LEASING
33548	2805	IJ	21232450	2017.0	SIPO
33549	2806	MN	74175697	5068.0	SIPO
33550	2809	OP	88213985	1764.0	SIPO
33551	2809	ST	59529948	6339.0	
33552	2810	ST	38680678	392.0	SIPO
33553	2810	WX	72857814	5828.0	
33554	2810	WX	18647271	977.0	POJISTNE
33555	2810	IJ	18043649	411.0	
33556	2811	EF	28944403	1980.9	LEASING
33557	2811	WX	92551469	14584.0	SIPO
33558	2812	MN	76939731	8211.0	SIPO
33559	2813	OP	75464439	798.0	SIPO
33560	2813	GH	57591462	4789.0	
33561	2813	AB	7243586	227.0	POJISTNE
33562	2813	OP	607473	957.0	
33563	2814	QR	14418357	2627.0	SIPO
33567	2816	IJ	98916184	3933.0	SIPO
33568	2816	KL	33418482	644.0	
33569	2818	KL	61242389	1194.0	LEASING
33570	2818	OP	17903107	8947.0	SIPO
33571	2819	AB	7996678	8713.0	SIPO
33572	2819	OP	41235882	748.0	
33573	2820	WX	69806456	1645.0	SIPO
33574	2820	KL	91463666	1322.0	SIPO
33575	2821	EF	85205876	3933.0	SIPO
33576	2821	YZ	58186644	2122.0	
33580	2823	GH	22294932	2210.0	SIPO
33581	2824	EF	94259202	7289.0	SIPO
33582	2824	YZ	96265625	841.0	UVER
33583	2825	OP	31306642	5284.0	SIPO
33584	2826	EF	23213660	5240.0	SIPO
33585	2827	UV	61289268	1756.0	LEASING
33591	2830	AB	33658105	6981.0	SIPO
33592	2830	CD	94782387	2150.0	
33593	2831	MN	83744406	3586.0	SIPO
33594	2831	IJ	53561782	793.0	
33595	2831	IJ	29570031	363.0	POJISTNE
33596	2831	GH	48501449	414.0	
33597	2832	WX	70201998	2122.0	SIPO
33598	2833	CD	87006002	2970.0	SIPO
33599	2834	OP	24967217	2515.0	SIPO
33600	2834	GH	82648515	1907.0	
33601	2834	MN	78759455	431.0	POJISTNE
33602	2834	WX	58814722	2726.0	
33603	2836	CD	56261038	9472.0	SIPO
33604	2838	KL	44696366	2802.0	LEASING
33605	2838	YZ	46153497	1948.0	SIPO
33606	2838	IJ	42194247	1370.0	
33607	2839	CD	85834467	3157.0	SIPO
33608	2839	KL	46831309	4885.0	
33609	2839	MN	26345074	369.0	POJISTNE
33610	2839	CD	79972260	166.0	
33611	2840	QR	79565185	3557.0	LEASING
33612	2840	EF	9861410	11282.0	SIPO
33613	2841	AB	5304688	3536.0	SIPO
33614	2842	MN	19413084	358.0	SIPO
33615	2842	UV	64184588	930.0	
33616	2842	AB	97435020	862.0	POJISTNE
33617	2843	KL	70247077	7746.0	SIPO
33618	2845	EF	94221847	6559.0	SIPO
33619	2846	GH	17155772	2457.0	SIPO
33620	2847	QR	9167498	5185.0	SIPO
33625	2849	UV	46355319	2704.0	SIPO
33626	2850	QR	60242688	2038.0	SIPO
33627	2853	UV	25895470	2472.0	SIPO
33628	2854	UV	42156320	4186.0	SIPO
33629	2855	ST	19678038	1589.0	SIPO
33630	2856	YZ	3529602	6599.0	SIPO
33631	2857	WX	60526561	6317.0	SIPO
33632	2858	UV	57180392	5333.0	SIPO
33633	2858	YZ	67071980	786.0	
33634	2858	YZ	6062734	500.0	LEASING
33635	2861	GH	70139986	2613.0	SIPO
33636	2862	AB	80541097	1371.0	SIPO
33637	2862	CD	24443286	5728.0	
33638	2863	YZ	43436944	945.0	SIPO
33639	2863	QR	88193910	5223.0	
33640	2864	GH	51518619	890.0	SIPO
33641	2864	KL	14610875	413.0	
33642	2864	WX	47772210	6308.0	POJISTNE
33643	2865	QR	75203019	3482.0	SIPO
33644	2865	OP	5581480	8.0	
33645	2865	ST	96803217	2.0	POJISTNE
33646	2865	OP	25167072	1.0	
33647	2866	EF	53555941	5711.0	SIPO
33648	2867	EF	91818844	7523.0	SIPO
33649	2868	IJ	78688722	3306.0	SIPO
33650	2869	UV	37169212	2562.0	SIPO
33651	2870	WX	9366387	5851.0	SIPO
33652	2871	ST	62647694	3829.0	SIPO
33653	2872	CD	99307715	4040.0	SIPO
33654	2872	ST	89302223	4059.0	
33655	2872	EF	76374816	4472.0	UVER
33656	2873	WX	11313259	3615.0	SIPO
33657	2873	EF	63152539	2925.0	
33658	2873	EF	4028761	761.0	POJISTNE
33659	2873	OP	80315440	693.0	
33660	2874	EF	91025083	2066.0	SIPO
33661	2876	IJ	30939269	5231.0	SIPO
33662	2877	OP	94405835	5305.0	SIPO
33663	2878	IJ	92538761	3192.0	SIPO
33664	2879	WX	51897668	7193.0	SIPO
33665	2880	AB	74414473	7501.0	SIPO
33666	2881	YZ	90429490	4639.0	SIPO
33667	2882	MN	48702168	4441.0	LEASING
33668	2882	WX	76007932	8002.0	SIPO
33669	2883	IJ	75625574	2497.0	SIPO
33670	2884	UV	41624492	3854.0	SIPO
33671	2885	IJ	81014710	7905.0	SIPO
33672	2886	ST	55240148	3472.0	SIPO
33673	2887	KL	73852997	5645.0	SIPO
33674	2888	CD	40461963	305.0	SIPO
33675	2888	MN	60675382	2087.0	SIPO
33676	2889	UV	95314317	3292.0	LEASING
33677	2889	OP	81463575	5038.0	SIPO
33678	2890	AB	53374159	2661.0	SIPO
33679	2890	ST	74552196	2992.0	
33680	2891	QR	1952332	4614.0	SIPO
33681	2891	ST	74825072	4928.0	
33682	2891	AB	25900477	1756.0	LEASING
33683	2893	QR	48678463	1503.0	SIPO
33684	2893	GH	98864054	751.0	
33685	2894	CD	24206251	3735.8	LEASING
33686	2895	CD	10887700	5598.0	SIPO
33687	2896	OP	14075744	1852.0	SIPO
33688	2896	WX	62635773	295.0	
33689	2897	UV	27572107	5751.0	SIPO
33690	2898	CD	96764617	6655.0	SIPO
33691	2899	GH	887281	7503.0	SIPO
33692	2901	MN	42160421	4936.0	SIPO
33693	2902	QR	5844581	825.0	SIPO
33694	2902	ST	44056862	5465.0	
33695	2903	AB	77294861	7826.0	SIPO
33696	2906	IJ	29248845	2454.0	SIPO
33697	2906	QR	22673285	6863.0	
33698	2906	EF	13827365	341.0	POJISTNE
33699	2907	KL	17701733	3983.0	SIPO
33700	2908	YZ	40506255	3207.0	SIPO
33701	2909	KL	14482391	7036.0	SIPO
33702	2910	UV	32031208	7291.3	UVER
33703	2910	UV	77491187	6778.0	SIPO
33704	2910	OP	4570603	7656.0	
33705	2911	YZ	52539229	617.0	SIPO
33706	2911	CD	6411171	4389.0	
33707	2911	UV	28014308	2572.0	POJISTNE
33708	2911	KL	26874399	1051.0	LEASING
33709	2912	GH	80799913	6336.0	UVER
33710	2913	OP	76905709	499.0	SIPO
33711	2913	GH	18112695	2481.0	SIPO
33712	2914	WX	71556800	1822.0	SIPO
33713	2914	YZ	60860872	3367.0	
33714	2916	YZ	28176665	2096.0	SIPO
33715	2916	YZ	12730980	635.0	
33716	2916	YZ	94931244	3630.0	POJISTNE
33717	2916	WX	87459617	2.0	
33718	2917	KL	62685650	6157.0	SIPO
33719	2918	QR	30644363	7997.2	UVER
33720	2918	AB	49901193	10487.0	SIPO
33721	2919	ST	15447330	7331.0	SIPO
33722	2920	EF	16727841	5493.0	SIPO
33723	2921	YZ	71265828	6797.0	SIPO
33724	2923	GH	9396666	2786.0	SIPO
33725	2925	QR	35286706	4297.0	SIPO
33726	2926	WX	66115546	1348.0	SIPO
33727	2926	WX	11561584	1093.0	
33728	2926	GH	88491463	868.0	POJISTNE
33729	2926	UV	98638396	699.0	
33730	2927	YZ	20619231	2025.0	LEASING
33731	2928	UV	24262804	3566.0	SIPO
33732	2929	KL	11338740	3658.3	LEASING
33733	2929	ST	1906198	226.0	SIPO
33734	2929	QR	86361235	11789.0	
33735	2930	UV	40203636	12032.0	SIPO
33736	2931	QR	47281336	2884.0	SIPO
33737	2932	IJ	13324618	3658.3	LEASING
33738	2932	QR	17844856	4920.0	SIPO
33739	2932	KL	90025215	26.0	
33740	2932	UV	90010833	4.0	POJISTNE
33741	2932	QR	33505654	7.0	
33742	2933	YZ	92012846	4542.0	UVER
33743	2933	MN	29096329	5907.0	SIPO
33744	2935	UV	54752987	2100.0	SIPO
33745	2936	GH	70934575	4247.0	SIPO
33746	2936	OP	93174194	8400.0	UVER
33747	2937	IJ	18161338	3230.0	SIPO
33748	2938	ST	98826944	3658.3	LEASING
33749	2938	MN	35517573	1996.0	SIPO
33750	2938	AB	20103186	2288.0	
33751	2938	KL	39321178	6758.0	POJISTNE
33752	2939	GH	76236229	2882.0	SIPO
33753	2940	ST	12957185	7156.0	SIPO
33756	2942	QR	93897425	2451.0	SIPO
33757	2942	UV	81376140	1072.0	
33760	2944	QR	674886	2984.0	SIPO
33761	2944	MN	7655978	615.0	
33762	2945	AB	32185286	1854.0	SIPO
33763	2946	WX	52027302	2672.0	SIPO
33764	2947	QR	70519995	2228.0	SIPO
33767	2949	UV	79491674	783.0	SIPO
33768	2949	QR	82074588	1268.0	SIPO
33769	2950	QR	59668195	8653.0	SIPO
33770	2951	YZ	2752936	743.0	SIPO
33771	2951	QR	88711630	1810.0	
33772	2951	QR	71099632	462.0	POJISTNE
33773	2952	YZ	60263645	1629.0	SIPO
33774	2952	QR	47959893	750.0	SIPO
33775	2953	MN	9888029	580.0	SIPO
33776	2953	UV	53719216	2848.0	
33777	2953	KL	50650024	1515.0	LEASING
33778	2954	WX	47941517	8306.0	SIPO
33779	2955	QR	2700269	3386.0	SIPO
33780	2956	MN	21069139	9042.0	SIPO
33781	2957	UV	65183514	4640.0	SIPO
33782	2958	EF	63280850	3261.0	SIPO
33783	2960	WX	53651827	8884.0	SIPO
33784	2961	AB	60457706	606.0	SIPO
33785	2961	AB	11433631	1055.0	SIPO
33786	2962	YZ	75064962	2604.5	UVER
33787	2963	IJ	31752610	5101.0	SIPO
33788	2964	QR	96140092	2306.0	SIPO
33789	2965	MN	62399500	2648.0	SIPO
33790	2966	EF	86442154	4560.0	SIPO
33791	2967	QR	98696469	2666.0	SIPO
33792	2967	YZ	72003149	1042.0	
33793	2967	KL	50707632	4489.0	POJISTNE
33794	2968	AB	52683812	1394.0	SIPO
33795	2968	YZ	56916338	2284.0	
33796	2971	IJ	96314990	3554.8	LEASING
33797	2972	QR	68329626	3554.8	LEASING
33798	2973	IJ	8758783	4373.0	SIPO
33799	2973	CD	26884633	212.0	
33800	2974	MN	42395120	1546.0	SIPO
33807	2976	IJ	31364357	8473.0	SIPO
33808	2977	UV	10316992	1727.0	LEASING
33809	2977	IJ	47011393	3055.0	SIPO
33810	2978	MN	20491338	3212.0	SIPO
33811	2979	QR	8953369	3494.0	SIPO
33812	2980	GH	92280965	3316.0	SIPO
33813	2981	CD	49108111	2022.0	SIPO
33814	2982	AB	34302795	3438.0	UVER
33815	2982	KL	40149122	8143.0	SIPO
33816	2982	EF	48207306	164.0	
33817	2982	OP	37620991	226.0	POJISTNE
33818	2982	ST	51036828	23.0	
33823	2985	YZ	80860942	2113.0	SIPO
33824	2986	MN	61638289	3301.0	SIPO
33825	2986	CD	64366233	1390.0	
33826	2986	WX	94623159	1033.0	UVER
33827	2987	QR	71831965	5569.0	SIPO
33828	2988	IJ	47759002	7384.0	UVER
33829	2989	QR	70749723	3395.0	SIPO
33830	2990	KL	10709649	22.0	SIPO
33831	2990	GH	22984445	2704.0	
33832	2991	EF	62427842	9220.0	SIPO
33833	2991	CD	47281420	121.0	
33834	2991	MN	70128237	7.0	POJISTNE
33835	2991	IJ	62011402	107.0	
33836	2992	OP	59211057	5396.0	SIPO
33837	2994	WX	20186478	3217.0	SIPO
33838	2994	WX	65474504	1354.0	UVER
33840	2996	ST	55056405	7282.0	SIPO
33841	2996	WX	21435213	15.0	
33842	2996	MN	47044444	99.0	POJISTNE
33843	2996	EF	27229410	402.0	
33844	2997	MN	27474618	1978.0	SIPO
33845	2998	OP	27213704	3170.0	SIPO
33846	2998	MN	53139364	28.0	
33847	2998	EF	11165088	3.0	POJISTNE
33848	2999	KL	27672302	2806.0	SIPO
33851	3004	YZ	61573129	1522.0	SIPO
33852	3004	GH	60290586	1572.0	SIPO
33853	3005	CD	95518534	8125.3	UVER
33854	3005	IJ	33958757	6883.0	SIPO
33855	3005	AB	44410479	7696.0	
33856	3006	YZ	98815863	3783.0	SIPO
33857	3007	CD	27930361	983.0	SIPO
33858	3007	KL	5890685	1405.0	
33859	3007	UV	2805859	5596.0	POJISTNE
33860	3007	ST	61215889	997.0	
33861	3008	QR	79819476	2120.0	SIPO
33862	3009	OP	71009987	2739.0	SIPO
33863	3011	GH	88863443	2042.0	SIPO
33864	3011	WX	47335153	138.0	
33865	3012	YZ	76434039	2601.0	SIPO
33866	3013	YZ	42602026	3064.0	SIPO
33867	3014	OP	52151411	4187.0	LEASING
33868	3015	WX	49125337	18.0	SIPO
33869	3015	WX	854856	2130.0	
33870	3016	AB	78590231	8517.0	SIPO
33871	3017	QR	89721834	3019.0	SIPO
33872	3017	AB	12489307	879.0	
33873	3017	GH	57924091	1173.0	POJISTNE
33874	3017	MN	8393472	1877.0	
33875	3021	AB	86677175	3241.8	UVER
33876	3022	GH	24765986	3170.0	SIPO
33877	3023	OP	15459257	2213.0	SIPO
33878	3024	OP	72384530	611.0	SIPO
33879	3024	EF	13622033	1650.0	SIPO
33880	3025	EF	14488661	3354.0	SIPO
33881	3026	OP	60199838	8024.0	SIPO
33882	3027	MN	37909793	2631.0	SIPO
34013	3108	UV	61451268	482.0	
33883	3028	ST	81761723	2200.0	SIPO
33884	3029	ST	89893799	1514.0	SIPO
33885	3030	GH	12182104	293.0	SIPO
33886	3030	AB	24432987	1795.0	
33887	3031	KL	53394967	2789.0	SIPO
33888	3032	OP	14357602	2858.0	SIPO
33889	3033	YZ	42934656	605.0	SIPO
33890	3033	OP	9593081	192.0	
33891	3033	UV	11267763	1137.0	POJISTNE
33895	3035	KL	58785599	7524.0	SIPO
33896	3035	OP	22791952	4919.0	
33897	3037	KL	19517636	7718.7	UVER
33899	3039	YZ	29247951	5035.0	SIPO
33900	3039	YZ	32417327	1233.0	
33901	3040	ST	27743059	2202.0	SIPO
33902	3041	KL	96395837	130.0	SIPO
33903	3041	EF	49177348	1827.0	
33904	3041	MN	11865109	743.0	POJISTNE
33905	3042	UV	51078170	2884.0	SIPO
33906	3042	WX	17494821	3459.0	
33907	3043	QR	90735184	2768.0	SIPO
33908	3044	MN	65354591	2756.0	SIPO
33909	3045	WX	59194171	2366.0	SIPO
33910	3046	IJ	27034569	1889.0	SIPO
33911	3046	MN	23135692	613.0	
33912	3047	IJ	75409131	2316.0	SIPO
33913	3048	UV	57049596	4631.2	LEASING
33914	3049	OP	65114086	1961.0	SIPO
33915	3050	AB	71189987	6907.5	UVER
33916	3050	AB	72762232	9716.0	SIPO
33917	3050	AB	62503671	119.0	
33918	3050	CD	93120836	41.0	POJISTNE
33919	3051	WX	89318686	4104.0	SIPO
33920	3051	GH	55203390	184.0	
33921	3051	WX	73282408	623.0	POJISTNE
33922	3052	MN	81194168	4144.5	LEASING
33923	3052	MN	40350818	6175.0	SIPO
33924	3053	OP	23890793	3790.0	SIPO
33925	3053	KL	38718313	3675.0	
33928	3055	KL	99765395	1279.0	SIPO
33929	3055	WX	24442416	1140.0	SIPO
33930	3056	AB	36077541	868.0	SIPO
33931	3056	ST	67921972	2033.0	SIPO
33932	3057	WX	53154373	4646.0	SIPO
33933	3059	AB	37264526	1433.0	SIPO
33934	3059	IJ	42451202	1758.0	
33935	3059	QR	52040380	529.0	POJISTNE
33936	3060	IJ	55676627	3960.0	SIPO
33937	3061	WX	62345623	1978.0	SIPO
33938	3062	AB	21810698	2638.0	SIPO
33939	3063	YZ	83163529	2330.0	SIPO
33940	3064	IJ	63995122	1455.0	SIPO
33941	3064	EF	30132371	4714.0	
33942	3064	ST	35513132	1285.0	UVER
33945	3066	CD	50533449	3241.0	SIPO
33946	3067	EF	14703780	2604.0	SIPO
33947	3067	AB	61285483	1330.0	
33948	3068	YZ	6201172	3878.0	SIPO
33949	3069	ST	27829212	6704.0	SIPO
33950	3070	UV	28481227	3374.0	SIPO
33951	3071	MN	64606320	5122.0	SIPO
33952	3071	ST	5976218	4268.0	
33953	3072	WX	249654	5268.0	SIPO
33958	3075	KL	50335317	1523.0	SIPO
33959	3076	WX	67460548	2715.0	SIPO
33960	3077	OP	91859578	3698.0	SIPO
33961	3078	KL	30277490	2232.0	SIPO
33962	3079	IJ	45304375	234.0	SIPO
33963	3079	WX	63926827	2065.0	
33964	3080	UV	4152691	3359.0	SIPO
33967	3082	OP	12562770	7496.0	SIPO
33968	3084	MN	37864983	7042.0	UVER
33970	3085	OP	55201452	5723.0	SIPO
33971	3085	MN	41444516	907.0	
33972	3086	GH	59381639	5022.0	SIPO
33973	3087	WX	48730450	845.0	SIPO
33974	3087	MN	59350305	395.0	
33975	3087	GH	32416212	693.0	POJISTNE
33976	3088	IJ	76251017	5866.0	SIPO
33977	3090	UV	1940066	4225.2	LEASING
33978	3090	GH	47624367	6829.0	SIPO
33979	3090	YZ	75680291	722.0	
33980	3090	AB	18386042	640.0	POJISTNE
33981	3091	GH	49400448	4922.0	SIPO
33982	3091	QR	20404392	3387.0	
33983	3092	EF	57711619	2311.0	SIPO
33984	3093	CD	40338969	4238.0	SIPO
33985	3094	MN	54152226	5421.0	SIPO
33986	3094	WX	36868620	10.0	
33987	3094	IJ	79572272	21.0	POJISTNE
33988	3094	IJ	4935080	17.0	
33994	3096	CD	81572884	6446.0	SIPO
33995	3096	KL	64655774	65.0	
33996	3096	EF	74155062	8.0	POJISTNE
33997	3096	KL	85654091	1619.0	
33998	3097	EF	18871748	403.0	SIPO
33999	3097	ST	70961040	2119.0	
34000	3098	WX	95756363	4605.0	SIPO
34001	3099	OP	30212110	3205.0	SIPO
34002	3100	AB	66114073	222.0	SIPO
34003	3100	CD	8754432	6275.0	
34004	3101	EF	52626574	1938.0	SIPO
34005	3102	ST	24365711	6722.0	SIPO
34006	3103	GH	71421909	9388.0	SIPO
34007	3103	EF	57580989	776.0	
34008	3103	AB	37620896	4244.0	POJISTNE
34009	3104	OP	58133125	2004.0	SIPO
34010	3105	ST	35257673	2145.0	SIPO
34011	3107	EF	71699601	2642.0	SIPO
34012	3108	UV	40014571	1560.0	SIPO
34014	3111	EF	58687466	3641.0	SIPO
34015	3112	IJ	66820907	2567.3	UVER
34016	3112	OP	66618603	1468.0	SIPO
34017	3112	KL	83437150	1584.0	
34018	3113	CD	35737115	8001.0	SIPO
34019	3113	WX	14441299	4043.0	
34020	3113	ST	47521537	367.0	POJISTNE
34021	3113	GH	11477154	355.0	
34022	3115	UV	94811379	5353.3	UVER
34023	3115	IJ	68203913	14723.0	SIPO
34024	3116	CD	74016618	9037.0	SIPO
34025	3117	OP	41120845	3570.0	SIPO
34026	3118	GH	73266708	8886.0	SIPO
34027	3119	AB	77515130	1144.0	SIPO
34028	3119	MN	30850821	84.0	
34029	3119	MN	80588805	884.0	POJISTNE
34030	3120	CD	21733200	2904.0	SIPO
34031	3121	CD	63130450	2902.0	SIPO
34032	3122	AB	14967674	4944.0	SIPO
34035	3124	KL	29770392	3649.0	SIPO
34036	3124	ST	56739848	811.0	
34037	3124	ST	274038	876.0	POJISTNE
34038	3125	CD	77198278	4245.0	SIPO
34039	3126	QR	39072895	3992.0	SIPO
34040	3127	YZ	63558506	7334.0	SIPO
34041	3129	GH	18722367	2707.0	SIPO
34042	3130	ST	47109222	1546.0	SIPO
34043	3131	GH	1389563	9131.0	SIPO
34044	3132	ST	49754077	3520.0	SIPO
34045	3132	OP	96756225	855.0	
34046	3132	OP	68989574	13.0	POJISTNE
34047	3133	IJ	62989395	3191.0	SIPO
34048	3133	ST	98308729	6327.0	
34049	3134	WX	32364529	3268.0	SIPO
34050	3135	CD	78418945	6814.0	SIPO
34051	3136	CD	66834139	2655.0	SIPO
34052	3136	UV	29040438	3489.0	
34053	3137	ST	85610150	4226.5	UVER
34054	3140	OP	56121855	2376.0	SIPO
34055	3140	WX	26200568	1978.0	
34056	3141	OP	82784348	1087.0	LEASING
34057	3141	QR	83041977	9905.0	SIPO
34058	3142	MN	52314406	1974.0	SIPO
34059	3142	WX	91892325	1254.0	SIPO
34060	3143	IJ	86599880	4474.0	SIPO
34061	3143	OP	92271554	5454.0	UVER
34062	3144	KL	24305564	3786.0	SIPO
34063	3145	ST	71322232	2527.0	SIPO
34064	3146	OP	91693257	2122.0	SIPO
34065	3147	ST	93076461	7729.0	SIPO
34066	3147	MN	78769749	28.0	
34067	3147	CD	85648721	33.0	POJISTNE
34068	3147	AB	80525493	37.0	
34069	3148	ST	29701394	2478.0	SIPO
34072	3151	IJ	53186309	363.0	SIPO
34073	3151	EF	48056763	4081.0	
34074	3152	KL	22302586	6339.0	SIPO
34075	3153	WX	47472262	3175.0	SIPO
34076	3153	OP	43252468	2001.0	
34077	3154	WX	76435845	3609.0	SIPO
34078	3154	KL	5445003	515.0	
34079	3155	KL	66843986	8704.0	SIPO
34080	3156	KL	10083705	1087.0	LEASING
34081	3157	EF	12642550	694.0	SIPO
34082	3157	YZ	78150850	1740.0	SIPO
34083	3158	UV	24583161	2100.0	SIPO
34087	3160	IJ	5269879	8364.0	SIPO
34088	3161	CD	21771204	2501.0	UVER
34089	3162	IJ	32623553	9350.0	SIPO
34090	3163	WX	2153873	2221.7	LEASING
34091	3163	MN	79781448	2350.0	SIPO
34092	3163	OP	11820799	6514.0	
34093	3163	UV	83438044	1620.0	POJISTNE
34094	3164	UV	53459769	2971.0	SIPO
34095	3164	WX	37334716	433.0	SIPO
34098	3166	UV	16657728	3702.8	UVER
34099	3168	YZ	85804390	3292.0	SIPO
34100	3169	YZ	57548916	836.0	SIPO
34101	3169	OP	67546647	6674.0	
34102	3170	CD	79496711	4187.0	SIPO
34103	3171	QR	49371123	3102.0	SIPO
34104	3172	ST	38317006	1899.0	SIPO
34105	3172	EF	26548195	43.0	
34106	3173	EF	9030479	2189.0	SIPO
34107	3173	IJ	2587175	634.0	SIPO
34108	3174	IJ	69832593	2859.0	SIPO
34109	3175	AB	73805624	3280.0	SIPO
34110	3176	WX	84174042	2464.0	SIPO
34111	3178	EF	10611677	1665.0	SIPO
34112	3178	OP	35352593	287.0	
34113	3179	ST	29653591	2556.0	SIPO
34114	3179	WX	81993627	1015.0	
34115	3180	EF	50436025	1210.0	SIPO
34116	3180	CD	25152552	1954.0	
34117	3182	AB	83704822	6455.0	SIPO
34118	3183	QR	52212673	3024.0	SIPO
34119	3184	OP	29959482	3410.0	SIPO
34120	3185	AB	90867876	6404.0	SIPO
34121	3185	ST	46145159	2041.0	
34122	3186	KL	13502067	7456.0	SIPO
34123	3188	AB	82353186	7623.0	SIPO
34124	3189	WX	75490885	3702.8	UVER
34125	3190	ST	96924554	3085.0	SIPO
34126	3191	ST	18965119	2774.0	SIPO
34127	3191	ST	47511076	3606.0	
34128	3192	GH	66663372	1272.0	SIPO
34129	3192	AB	36690706	2518.0	
34130	3193	GH	24848491	9641.0	SIPO
34131	3194	OP	46890920	7584.0	SIPO
34874	3714	AB	69903582	513.0	
34132	3195	KL	48782503	1599.0	SIPO
34133	3195	QR	58903491	1253.0	
34134	3195	WX	79532688	218.0	POJISTNE
34135	3196	QR	20193255	2389.0	SIPO
34136	3197	QR	34224891	2008.0	SIPO
34140	3199	QR	90896355	1571.0	SIPO
34141	3199	WX	75887262	2164.0	
34142	3201	YZ	11025113	3352.0	SIPO
34143	3201	AB	88160776	2898.0	
34144	3202	ST	94148736	1613.0	SIPO
34145	3202	CD	62389814	908.0	SIPO
34146	3203	YZ	15327358	2111.0	SIPO
34147	3205	WX	31185347	1564.0	SIPO
34148	3206	EF	56025850	2434.0	SIPO
34149	3206	YZ	59108871	677.0	
34152	3209	QR	59829372	5659.0	SIPO
34153	3210	WX	29783749	7388.0	SIPO
34154	3211	WX	11110592	2012.0	SIPO
34155	3212	KL	87521946	2112.0	SIPO
34156	3212	MN	77462422	68.0	
34157	3212	YZ	17035544	95.0	POJISTNE
34158	3212	QR	12530750	47.0	
34159	3213	AB	80640691	1483.0	SIPO
34160	3213	GH	67793083	562.0	
34161	3214	EF	20723015	2679.0	SIPO
34164	3216	YZ	22704035	1951.3	LEASING
34165	3216	QR	76364105	2712.0	SIPO
34166	3216	KL	29463476	6634.0	
34167	3217	MN	98874544	1951.3	LEASING
34168	3217	GH	66272967	8196.0	SIPO
34169	3218	AB	79115420	1449.0	SIPO
34170	3218	UV	42386043	667.0	
34171	3219	CD	53001368	8811.0	SIPO
34172	3220	KL	21290225	1882.0	LEASING
34173	3221	ST	23888492	148.0	SIPO
34174	3221	OP	83177405	2038.0	SIPO
34175	3222	UV	18331057	674.0	SIPO
34176	3222	ST	34597045	859.0	
34177	3222	EF	51901710	590.0	POJISTNE
34178	3224	IJ	12458819	2583.0	SIPO
34179	3224	WX	54968285	1375.0	SIPO
34180	3225	CD	58175218	8030.0	SIPO
34181	3226	CD	54645806	450.0	SIPO
34182	3226	UV	33583200	2348.0	
34183	3227	IJ	27954143	2743.0	SIPO
34184	3227	IJ	5033845	1662.0	
34185	3227	KL	1780486	4742.0	POJISTNE
34186	3227	UV	62453669	1721.0	LEASING
34187	3228	CD	86360150	3847.0	SIPO
34188	3229	QR	63988697	3252.2	UVER
34189	3229	YZ	97103529	6828.0	SIPO
34190	3229	WX	5108792	6411.0	
34191	3230	YZ	9279585	2144.0	UVER
34192	3231	UV	8378410	2636.0	SIPO
34193	3232	IJ	7032335	2413.0	SIPO
34194	3233	GH	33019089	9044.0	SIPO
34195	3234	UV	99641459	2659.0	SIPO
34196	3235	EF	74219459	6149.0	SIPO
34197	3236	GH	61162030	350.0	SIPO
34198	3236	KL	52487677	2038.0	SIPO
34199	3237	QR	85631554	9095.0	SIPO
34200	3238	EF	11093372	8109.0	SIPO
34201	3238	ST	45814847	793.0	
34202	3239	QR	42712515	8838.0	SIPO
34203	3240	WX	70950943	1951.3	LEASING
34204	3240	UV	58338659	5110.0	SIPO
34205	3240	YZ	77722441	21.0	
34206	3240	OP	47667419	298.0	POJISTNE
34207	3241	YZ	69585042	3034.0	SIPO
34208	3242	MN	17684483	5838.0	SIPO
34209	3242	UV	96171485	1551.0	UVER
34210	3243	OP	9595072	3886.0	SIPO
34211	3244	AB	53532010	1858.0	SIPO
34212	3244	EF	55354916	219.0	
34213	3245	WX	34591257	3878.0	SIPO
34214	3246	OP	1907498	4621.0	SIPO
34215	3247	MN	78002387	974.0	SIPO
34216	3247	IJ	72730910	3032.0	
34217	3248	AB	45627826	2793.0	SIPO
34218	3248	GH	9478331	466.0	SIPO
34219	3249	YZ	65147852	8197.0	SIPO
34220	3249	GH	63599234	5677.0	UVER
34221	3250	QR	95726948	1880.0	SIPO
34222	3251	GH	12013626	2021.0	SIPO
34223	3252	YZ	22094863	1406.0	SIPO
34224	3252	IJ	76135319	483.0	
34225	3252	WX	6552386	155.0	POJISTNE
34226	3253	GH	16544443	1951.3	LEASING
34227	3254	QR	69699191	5119.0	SIPO
34228	3256	EF	87682252	2232.0	SIPO
34229	3256	WX	73508322	4490.0	
34231	3258	IJ	40508979	1646.0	LEASING
34232	3258	IJ	52715402	8565.0	SIPO
34233	3258	GH	98635321	213.0	
34234	3259	OP	14523250	912.0	SIPO
34235	3259	YZ	45163714	1350.0	
34236	3260	AB	89460461	8462.0	SIPO
34237	3260	MN	83334749	40.0	
34238	3261	WX	93776452	3647.0	SIPO
34239	3261	OP	53245943	2197.0	
34240	3262	IJ	79490107	8340.0	SIPO
34241	3264	MN	52467608	1886.0	SIPO
34243	3266	UV	53358691	119.0	SIPO
34244	3266	GH	81213712	1528.0	SIPO
34245	3267	QR	85891317	6403.0	SIPO
34246	3268	OP	86191415	1395.0	SIPO
34247	3268	WX	36828112	634.0	
34248	3268	GH	1312548	251.0	POJISTNE
34249	3269	GH	47857588	1951.3	LEASING
34250	3270	ST	24160874	7806.0	SIPO
34251	3271	CD	83911329	2527.0	SIPO
34252	3272	CD	31408977	466.0	SIPO
34253	3272	QR	1989675	1531.0	
34254	3272	WX	47639417	1126.0	POJISTNE
34255	3272	EF	16072351	342.0	
34256	3273	GH	14236212	7876.0	UVER
34257	3274	IJ	82867139	5775.0	SIPO
34258	3275	GH	91385793	120.0	SIPO
34259	3275	CD	69099885	3056.0	
34260	3276	IJ	54098749	1722.0	SIPO
34261	3276	CD	4509616	929.0	
34262	3276	WX	88365083	1017.0	POJISTNE
34263	3279	MN	28563004	11462.0	SIPO
34264	3280	WX	41357261	1726.0	SIPO
34265	3280	QR	41446197	2671.0	
34266	3281	CD	23259127	3594.0	SIPO
34267	3283	KL	5958080	8720.0	SIPO
34268	3284	MN	95121895	4872.0	SIPO
34269	3285	UV	32551253	2100.0	SIPO
34270	3286	KL	7226884	11785.0	SIPO
34271	3287	AB	77842962	6968.0	SIPO
34272	3288	EF	29007971	2471.0	SIPO
34273	3289	ST	95194470	3419.0	SIPO
34274	3289	GH	75018042	3841.0	
34275	3291	YZ	36294978	2505.0	SIPO
34276	3292	QR	24686056	3170.0	SIPO
34277	3293	AB	78677373	7668.7	UVER
34278	3293	MN	12542009	3231.0	SIPO
34279	3293	EF	86246293	567.0	
34280	3293	WX	16846144	58.0	POJISTNE
34281	3293	CD	46667754	221.0	
34282	3294	QR	51399004	6369.0	SIPO
34287	3296	CD	53869980	5091.0	SIPO
34288	3296	GH	2751821	9248.0	
34289	3299	QR	50097662	4676.0	UVER
34290	3300	UV	49339282	7786.5	UVER
34291	3300	UV	88663518	6632.0	SIPO
34292	3301	AB	16176736	4956.0	SIPO
34293	3302	YZ	76450466	1376.0	SIPO
34294	3302	UV	73494863	572.0	
34295	3302	GH	28717500	57.0	POJISTNE
34296	3304	OP	36187023	4660.0	SIPO
34297	3305	EF	18376934	22.0	SIPO
34298	3305	YZ	41987031	2858.0	SIPO
34299	3306	KL	23961645	5454.0	SIPO
34300	3306	EF	82538950	59.0	
34301	3309	OP	15451962	2430.0	SIPO
34302	3309	EF	46898156	2991.0	
34303	3309	IJ	73238503	731.0	POJISTNE
34304	3310	WX	15485203	3277.0	SIPO
34305	3311	QR	95109635	4671.9	LEASING
34306	3311	IJ	92903273	4035.0	SIPO
34307	3311	QR	81377613	666.0	
34308	3311	OP	18833959	3455.0	POJISTNE
34309	3312	MN	34514337	813.0	SIPO
34310	3312	MN	91536551	789.0	
34311	3312	AB	79964786	330.0	POJISTNE
34312	3312	MN	21088898	32.0	
34317	3316	IJ	74230772	9655.0	SIPO
34318	3317	KL	89721625	2166.0	SIPO
34319	3318	EF	97567843	667.0	SIPO
34320	3318	EF	6951642	771.0	
34321	3318	GH	73162799	511.0	POJISTNE
34322	3319	AB	20696419	66.0	SIPO
34323	3319	UV	77133154	2154.0	
34324	3320	AB	62426316	2075.0	SIPO
34325	3322	OP	67021620	3421.0	SIPO
34326	3323	UV	78556829	3498.0	SIPO
34327	3324	ST	36944615	2471.0	SIPO
34328	3324	OP	46396940	2146.0	
34329	3327	AB	65687149	1923.0	SIPO
34330	3327	EF	12969375	4270.0	
34331	3328	AB	72908800	3300.0	SIPO
34332	3329	GH	58081787	9249.0	SIPO
34333	3329	YZ	25896650	1604.0	UVER
34334	3330	IJ	47722655	3651.7	LEASING
34335	3330	AB	93315863	5713.0	SIPO
34336	3331	EF	11893606	3832.0	SIPO
34337	3331	YZ	15388948	1436.0	
34338	3335	IJ	89511143	2170.0	SIPO
34339	3336	IJ	52481698	2974.0	SIPO
34340	3337	KL	54129630	5743.0	SIPO
34341	3338	QR	71534847	7531.0	SIPO
34342	3339	YZ	87395226	3354.0	SIPO
34346	3342	EF	71651464	8335.0	SIPO
34347	3343	MN	51401966	2212.0	SIPO
34348	3343	QR	27868533	7661.0	
34349	3344	KL	21086722	8537.0	SIPO
34351	3346	IJ	52659970	2276.0	SIPO
34352	3346	WX	56243741	4930.0	
34353	3347	ST	24763751	2624.0	SIPO
34354	3348	GH	18148541	5787.0	SIPO
34355	3349	MN	26473224	7601.0	SIPO
34356	3350	QR	79860478	3661.0	SIPO
34357	3351	WX	48346024	2700.0	SIPO
34358	3352	IJ	76645076	2360.0	SIPO
34359	3352	YZ	16720837	578.0	
34360	3353	AB	20473671	6086.2	UVER
34361	3353	WX	11269444	10616.0	SIPO
34362	3353	CD	19594610	58.0	
34363	3353	UV	21930182	414.0	POJISTNE
34364	3354	IJ	6930423	489.0	SIPO
34365	3354	WX	12488460	2704.0	
34366	3354	KL	6017333	1540.0	POJISTNE
34367	3354	GH	34654396	415.0	UVER
34368	3355	OP	52532029	2575.0	SIPO
34372	3357	UV	28360057	1841.0	SIPO
34373	3358	MN	14699524	1740.0	SIPO
34374	3358	QR	15025878	446.0	
34375	3359	MN	58614808	2038.0	SIPO
34376	3360	OP	85336076	9194.0	SIPO
34377	3361	EF	34121233	6154.0	SIPO
34378	3362	UV	25993234	7294.0	SIPO
34379	3363	OP	95549660	2463.0	SIPO
34380	3364	EF	15549332	3651.7	LEASING
34381	3364	ST	86091345	5491.0	SIPO
34382	3364	MN	21862072	699.0	
34383	3365	YZ	10983294	2298.0	SIPO
34384	3365	WX	74494957	677.0	SIPO
34385	3366	UV	81127321	3964.0	SIPO
34386	3366	GH	24337905	1608.0	
34387	3367	KL	62753373	904.0	SIPO
34388	3367	CD	63311707	2119.0	
34389	3368	UV	71638446	4389.0	SIPO
34390	3368	CD	59722214	3343.0	
34391	3368	UV	2184236	176.0	POJISTNE
34392	3369	QR	57075303	26.0	SIPO
34393	3369	CD	76031207	3007.0	
34394	3370	KL	51196622	2385.5	LEASING
34395	3371	ST	31096357	11549.0	SIPO
34396	3372	OP	54498982	9838.0	SIPO
34397	3373	YZ	67776107	5776.0	SIPO
34398	3373	EF	60809451	3435.0	
34401	3376	MN	78656208	6794.0	SIPO
34402	3377	QR	72621738	3240.0	SIPO
34403	3378	KL	76775717	6387.0	SIPO
34404	3380	AB	38360536	4376.0	SIPO
34405	3381	WX	40119654	9971.0	SIPO
34406	3382	GH	87277590	3975.8	UVER
34407	3384	GH	22978300	2935.0	SIPO
34408	3385	UV	84957164	3454.0	SIPO
34411	3389	IJ	52682036	4882.0	SIPO
34412	3390	WX	72620779	3385.5	UVER
34413	3390	IJ	88170289	850.0	SIPO
34414	3390	IJ	12870973	2004.0	
34415	3390	KL	2908385	105.0	POJISTNE
34416	3390	KL	97396742	560.0	
34417	3391	UV	31342697	813.0	SIPO
34418	3391	WX	58574038	6082.0	
34419	3391	EF	97930192	620.0	LEASING
34420	3392	GH	6041044	6139.0	SIPO
34421	3393	KL	5670416	7993.0	SIPO
34422	3394	GH	46189069	191.0	SIPO
34423	3394	WX	18512994	1698.0	SIPO
34424	3395	OP	31348461	3712.0	SIPO
34425	3397	UV	22606748	9400.0	SIPO
34426	3398	CD	52684825	1990.0	SIPO
34427	3399	ST	23485142	4748.0	SIPO
34428	3399	OP	54617005	784.0	
34429	3399	WX	61551862	261.0	POJISTNE
34430	3399	OP	58814012	1753.0	
34433	3401	OP	90434562	4247.0	SIPO
34434	3402	CD	36531198	1197.0	LEASING
34435	3402	CD	91337632	3656.0	SIPO
34436	3402	WX	85702967	4324.0	
34437	3403	QR	57706224	1995.0	UVER
34438	3405	KL	12718767	7543.0	SIPO
34439	3406	EF	9910709	2820.0	SIPO
34440	3409	QR	37438416	3167.0	SIPO
34441	3410	WX	46270674	3505.0	SIPO
34442	3410	ST	77840584	169.0	POJISTNE
34443	3410	AB	6115699	120.0	
34444	3411	ST	92270415	6443.0	SIPO
34445	3412	OP	26138603	670.0	SIPO
34446	3412	CD	72363370	1033.0	SIPO
34447	3413	ST	21769154	4359.0	SIPO
34448	3413	IJ	9298742	242.0	
34449	3413	WX	78589880	247.0	POJISTNE
34450	3413	KL	48610538	139.0	
34456	3415	QR	59051889	4178.0	SIPO
34459	3418	ST	23146361	4318.0	UVER
34460	3419	QR	75110560	4910.0	SIPO
34461	3419	QR	88912635	532.0	
34462	3419	OP	5571186	2456.0	POJISTNE
34466	3421	AB	66145115	8640.0	SIPO
34467	3422	CD	16984451	9212.0	SIPO
34468	3423	UV	56754469	1110.0	SIPO
34469	3423	GH	76289182	2685.0	
34470	3424	ST	26565379	1379.0	LEASING
34471	3424	OP	73358708	4979.0	SIPO
34472	3424	AB	4327679	2264.0	
34473	3424	MN	83404469	1463.0	POJISTNE
34474	3425	CD	15378684	2646.0	SIPO
34475	3426	MN	59809923	13088.0	SIPO
34476	3426	CD	44458460	488.0	
34477	3427	YZ	62610715	9843.0	SIPO
34478	3429	UV	41107934	538.0	SIPO
34479	3429	MN	25704860	1326.0	SIPO
34480	3430	GH	59314578	2426.0	SIPO
34481	3431	QR	92135792	8649.0	SIPO
34482	3432	QR	78206079	2734.0	SIPO
34483	3433	IJ	6368720	2303.0	SIPO
34484	3434	ST	31012535	983.0	SIPO
34485	3434	YZ	23543101	988.0	
34486	3435	WX	24808752	3090.0	SIPO
34487	3436	GH	61714267	2243.0	SIPO
34488	3437	OP	91245090	478.0	SIPO
34489	3437	WX	29037130	6761.0	
34490	3438	KL	6888103	2857.0	SIPO
34491	3439	EF	41336739	7541.0	SIPO
34492	3440	GH	44665473	7623.0	SIPO
34493	3440	UV	62948483	2066.0	
34494	3440	MN	47094911	20.0	POJISTNE
34495	3440	AB	76361179	5.0	
34497	3442	GH	78622638	2230.0	SIPO
34498	3443	KL	53761804	2755.0	SIPO
34499	3446	UV	46330589	12659.0	SIPO
34502	3448	AB	16375589	2860.7	UVER
34503	3451	UV	61476659	7097.0	SIPO
35234	3955	GH	24978786	997.0	
34504	3452	CD	27763378	3129.0	SIPO
34505	3453	EF	53012669	7062.0	SIPO
34506	3454	CD	20250928	3208.0	SIPO
34507	3455	EF	29934013	5622.5	UVER
34508	3456	YZ	52054703	1500.0	SIPO
34509	3457	YZ	68303775	2796.0	SIPO
34510	3458	QR	59860581	1153.0	SIPO
34511	3458	KL	39817977	1525.0	SIPO
34512	3460	IJ	5287313	2931.0	UVER
34513	3462	GH	61501145	1491.0	SIPO
34514	3462	KL	83431678	4743.0	
34515	3463	QR	23059034	646.0	SIPO
34516	3463	AB	65683340	5186.0	
34517	3463	GH	85014348	2552.0	POJISTNE
34518	3464	ST	96288322	2802.0	SIPO
34519	3464	IJ	61951309	1852.0	
34520	3465	EF	47699880	4543.0	SIPO
34521	3466	KL	45041459	2499.0	SIPO
34522	3466	MN	77973669	105.0	
34523	3466	KL	32844662	742.0	POJISTNE
34524	3467	YZ	23836910	2274.0	LEASING
34525	3467	IJ	66278958	2899.0	SIPO
34526	3467	IJ	69940155	618.0	
34527	3467	MN	3529680	40.0	POJISTNE
34528	3467	ST	92155229	5.0	
34529	3468	QR	38282466	3907.0	SIPO
34530	3468	QR	18880945	149.0	
34531	3468	AB	32682919	1629.0	LEASING
34532	3469	MN	92487829	2554.0	SIPO
34533	3470	EF	60161107	2492.0	SIPO
34534	3471	WX	495654	5446.0	SIPO
34535	3471	YZ	42072856	846.0	
34536	3472	WX	49463623	9623.0	SIPO
34537	3472	OP	78649419	138.0	
34538	3472	YZ	91869926	227.0	POJISTNE
34542	3474	QR	94945477	915.0	SIPO
34543	3474	YZ	72860312	240.0	
34544	3474	ST	32642370	1047.0	POJISTNE
34547	3476	CD	45791339	860.0	SIPO
34548	3476	YZ	55472403	5447.0	
34549	3477	YZ	4360360	2132.0	SIPO
34550	3478	QR	47389072	4906.0	SIPO
34551	3479	QR	1348793	7650.0	SIPO
34552	3479	UV	59266370	1506.0	
34558	3482	OP	48705834	3026.0	SIPO
34559	3483	ST	56916624	2173.0	SIPO
34560	3484	IJ	28239637	6634.0	SIPO
34561	3485	OP	78194117	399.0	SIPO
34562	3485	GH	6110102	5428.0	
34563	3486	EF	56069827	2084.0	SIPO
34564	3487	IJ	68540710	324.0	SIPO
34565	3487	QR	94053124	7951.0	
34568	3489	YZ	33276313	3373.0	SIPO
34569	3489	ST	2520353	1837.0	UVER
34570	3491	YZ	90553646	1542.0	SIPO
34571	3491	QR	61091714	776.0	
34572	3491	AB	50632536	4953.0	POJISTNE
34573	3492	ST	20670485	4485.0	SIPO
34574	3492	AB	556761	4962.0	
34575	3493	WX	38925045	2277.0	SIPO
34576	3494	KL	69196706	3599.0	SIPO
34577	3495	UV	9359574	5079.0	SIPO
34578	3497	QR	2248609	1611.0	SIPO
34579	3497	KL	58310377	5650.0	
34580	3497	KL	42836803	118.0	POJISTNE
34581	3498	IJ	27484888	884.0	SIPO
34582	3498	GH	43527126	2347.0	
34585	3501	UV	83109223	7590.0	SIPO
34586	3501	OP	60597056	2225.0	
34587	3501	EF	31481027	7304.0	UVER
34588	3502	GH	40998464	5258.0	SIPO
34589	3504	QR	46586519	3360.0	SIPO
34590	3505	KL	66976618	3823.0	SIPO
34591	3506	MN	58155363	3562.0	SIPO
34592	3506	GH	59540486	4084.0	
34593	3507	WX	42998218	557.0	SIPO
34594	3507	QR	75874447	2700.0	
34595	3509	IJ	59559762	3027.0	SIPO
34596	3511	WX	58378344	2313.0	SIPO
34597	3512	QR	92828630	2063.0	UVER
34598	3513	KL	91703849	4507.0	SIPO
34599	3513	YZ	20442784	2185.0	
34600	3514	QR	48036253	2266.0	SIPO
34601	3515	WX	37745529	2563.0	SIPO
34602	3518	EF	53048187	3438.0	SIPO
34603	3522	IJ	26984930	2423.0	SIPO
34604	3524	WX	74303066	3060.0	SIPO
34605	3525	UV	81389748	3084.0	SIPO
34606	3526	AB	66721755	4559.0	SIPO
34607	3527	YZ	67898595	3414.0	SIPO
34608	3528	WX	97499405	7655.0	SIPO
34609	3530	KL	75893652	1977.0	SIPO
34610	3531	OP	70772456	2868.0	SIPO
34611	3533	EF	91321044	2127.0	SIPO
34612	3534	UV	3138167	2189.0	SIPO
34613	3534	GH	64108812	4075.0	
34614	3535	CD	947845	2131.0	SIPO
34615	3536	AB	57065409	2589.0	SIPO
34616	3537	KL	60367298	646.0	SIPO
34617	3537	KL	1519895	3772.0	
34618	3537	WX	75993489	50.0	POJISTNE
34619	3537	ST	5785829	27.0	
34620	3540	UV	51321852	2565.0	SIPO
34621	3541	OP	69823670	1691.0	SIPO
34622	3542	ST	15109885	2267.0	SIPO
34623	3543	WX	77653699	2094.0	SIPO
34624	3544	AB	94637792	10975.0	SIPO
34625	3545	OP	99964111	7358.0	SIPO
34626	3546	ST	93214726	1658.0	SIPO
34627	3546	ST	36442333	4795.0	
34628	3547	AB	35709709	2684.0	SIPO
34629	3548	KL	35372984	3586.0	SIPO
34630	3549	AB	58160090	3265.0	SIPO
34631	3550	CD	42492997	5262.0	SIPO
34632	3550	AB	16933977	936.0	
34633	3550	QR	33730071	2564.0	POJISTNE
34634	3551	QR	9448177	1769.0	SIPO
34635	3551	EF	54634529	133.0	
34636	3551	GH	22486317	290.0	POJISTNE
34637	3552	GH	97242187	6694.0	SIPO
34638	3552	OP	15827417	352.0	
34639	3552	QR	57125264	602.0	POJISTNE
34640	3555	MN	13329792	2054.8	LEASING
34641	3555	AB	19062775	12578.0	SIPO
34642	3556	AB	15446061	2913.8	UVER
34643	3556	OP	63096010	4240.0	SIPO
34644	3556	AB	8922565	984.0	
34645	3557	QR	45131135	2262.0	SIPO
34646	3558	YZ	68742489	1580.0	SIPO
34647	3558	KL	9583253	152.0	
34648	3558	GH	98339360	3231.0	POJISTNE
34649	3559	ST	75172489	4418.0	SIPO
34650	3560	UV	69438946	3350.0	SIPO
34651	3561	AB	87848221	1789.0	SIPO
34652	3562	MN	34374082	7290.5	UVER
34653	3565	QR	59281444	492.0	SIPO
34654	3565	QR	37784505	1494.0	
34655	3565	AB	17042690	410.0	POJISTNE
34656	3566	QR	38624727	294.0	SIPO
34657	3566	MN	22689193	3276.0	
34658	3566	KL	72305500	479.0	LEASING
34659	3567	EF	92374240	4374.3	LEASING
34660	3567	QR	29068303	1156.0	SIPO
34661	3567	GH	86320829	6943.0	
34662	3568	EF	83231448	2626.0	SIPO
34663	3570	EF	1657617	3836.0	SIPO
34664	3571	ST	3029764	3224.0	SIPO
34665	3571	AB	82703417	222.0	
34666	3572	GH	82395380	2964.0	SIPO
34667	3574	WX	11223960	2328.0	SIPO
34668	3575	IJ	97652846	5070.0	SIPO
34669	3576	EF	38732874	1213.0	SIPO
34670	3576	IJ	62933295	455.0	SIPO
34671	3577	IJ	28108173	7964.0	SIPO
34672	3578	KL	34134709	4051.0	SIPO
34673	3579	IJ	50074374	3460.0	SIPO
34674	3580	EF	31000817	3430.0	SIPO
34675	3580	AB	9052366	335.0	
34676	3581	EF	78509592	3663.0	SIPO
34677	3581	IJ	1107889	2846.0	
34678	3582	MN	35781991	1961.0	SIPO
34679	3583	ST	18402582	3084.0	SIPO
34680	3584	ST	47541791	3382.7	LEASING
34681	3584	EF	46564525	12078.0	SIPO
34682	3584	OP	3099793	98.0	
34683	3585	CD	78560203	2862.0	SIPO
34684	3587	KL	50633436	1108.0	SIPO
34685	3587	QR	68455278	1059.0	
34686	3588	OP	51301729	1563.0	SIPO
34687	3589	KL	9368139	7843.0	SIPO
34688	3590	ST	36574792	8939.0	SIPO
34689	3591	IJ	9111011	4261.0	SIPO
34690	3592	KL	88522523	3360.0	SIPO
34691	3593	UV	49978005	4524.0	SIPO
34692	3593	ST	40100878	986.0	
34693	3594	MN	15711051	3483.0	SIPO
34694	3595	CD	30129873	7868.0	SIPO
34695	3597	EF	18808675	3382.7	LEASING
34696	3597	EF	46205991	3134.0	SIPO
34697	3598	MN	9772658	6435.0	SIPO
34698	3599	GH	53911006	3257.0	SIPO
34699	3600	OP	30949759	1537.0	SIPO
34700	3601	EF	22016549	1794.0	SIPO
34701	3603	UV	31472325	7883.0	SIPO
34702	3604	ST	88427799	3893.0	SIPO
34703	3605	AB	77193778	4410.0	SIPO
34704	3605	MN	2428693	269.0	
34705	3605	OP	40185999	803.0	POJISTNE
34710	3608	QR	97533720	4486.0	UVER
34711	3608	AB	49062126	3124.0	SIPO
34712	3609	GH	7829064	2128.0	SIPO
34713	3609	WX	36661124	4238.0	
34714	3610	IJ	97961097	1502.0	SIPO
34715	3610	MN	83137714	1133.0	SIPO
34721	3612	UV	61390018	676.0	SIPO
34722	3612	WX	4672742	2410.0	
34723	3612	IJ	65161853	4262.0	POJISTNE
34724	3612	KL	64986586	819.0	LEASING
34725	3613	AB	67434847	4030.0	SIPO
34726	3613	MN	62003463	2144.0	
34727	3614	WX	95418405	3382.7	LEASING
34728	3614	MN	28523504	1214.0	SIPO
34729	3614	OP	19014889	1081.0	
34730	3614	MN	4245263	2886.0	POJISTNE
34731	3615	UV	28111076	3781.0	SIPO
34732	3617	AB	52725309	57.0	SIPO
34733	3617	AB	46849840	1797.0	
34734	3617	GH	6879449	1389.0	POJISTNE
34735	3618	KL	91105961	8812.0	SIPO
34736	3618	CD	40253979	826.0	
34740	3621	WX	1515150	5319.0	SIPO
34741	3622	EF	48173946	9698.0	SIPO
34742	3622	YZ	19400376	2286.0	
34743	3623	OP	63441431	2490.0	SIPO
34744	3623	YZ	12989753	105.0	
34745	3624	GH	76964914	11953.0	SIPO
34746	3625	CD	78479534	1544.0	SIPO
34747	3625	YZ	6307900	467.0	SIPO
34748	3626	ST	53192520	3068.0	SIPO
34749	3626	CD	85035067	5156.0	
34751	3628	WX	48774606	1791.0	SIPO
34752	3628	CD	23473745	189.0	
34753	3628	GH	50009119	1343.0	POJISTNE
34754	3629	MN	36472505	2645.5	UVER
34755	3629	CD	72661483	1894.0	SIPO
34756	3629	QR	11967546	368.0	
34757	3629	UV	21008116	8742.0	POJISTNE
34763	3631	QR	14763951	3407.0	SIPO
34764	3632	UV	62396734	2544.0	LEASING
34765	3633	AB	84880846	7037.0	SIPO
34766	3633	AB	61292290	799.0	
34767	3634	GH	31865799	4851.1	LEASING
34768	3635	KL	61182141	2045.0	SIPO
34769	3635	MN	61283069	493.0	
34770	3636	GH	45862406	40.0	SIPO
34771	3636	IJ	68396133	1731.0	
34772	3636	EF	19441080	4744.0	POJISTNE
34773	3637	YZ	98685901	4877.0	SIPO
34774	3637	ST	57452273	219.0	
34775	3637	MN	80355101	1169.0	UVER
34776	3638	IJ	81354158	14417.0	SIPO
34777	3639	OP	74130224	3358.0	SIPO
34778	3640	AB	21871125	2040.0	SIPO
34779	3641	KL	67058944	2163.0	SIPO
34783	3644	IJ	34674823	2304.0	SIPO
34784	3645	UV	37983209	7021.0	SIPO
34785	3645	AB	95973336	2651.0	
34786	3646	AB	43066799	2855.0	SIPO
34787	3646	IJ	47689282	3182.0	
34788	3647	OP	97101318	5842.0	SIPO
34789	3648	YZ	23132455	1812.0	SIPO
34790	3648	ST	57323801	640.0	
34791	3648	QR	19181388	17.0	POJISTNE
34792	3649	WX	57693803	6468.0	SIPO
34793	3649	ST	17516535	4.0	
34794	3650	MN	85858434	7858.0	SIPO
34795	3651	YZ	29599017	2728.0	SIPO
34796	3652	GH	31254297	3005.0	SIPO
34797	3653	IJ	41153007	4128.0	SIPO
34798	3653	ST	80628025	1208.0	
34799	3654	QR	71955466	6946.0	SIPO
34800	3655	QR	35052341	2945.0	SIPO
34801	3655	EF	63581627	2927.0	
34802	3655	KL	28216910	1124.0	POJISTNE
34803	3657	AB	71329426	1533.0	SIPO
34804	3659	WX	60077226	1672.0	SIPO
34805	3659	AB	66256487	2862.0	
34806	3659	ST	66483676	2205.0	POJISTNE
34807	3659	ST	8070820	955.0	
34808	3661	OP	83624249	3310.0	SIPO
34809	3663	OP	84084528	7862.0	SIPO
34810	3664	GH	3468728	5658.0	UVER
34811	3665	OP	36443472	3394.8	LEASING
34812	3665	ST	18253863	4351.0	SIPO
34813	3665	QR	84521090	2465.0	
34816	3667	GH	41246616	2975.0	SIPO
34817	3669	WX	63851803	2057.0	SIPO
34818	3669	AB	20263856	1298.0	
34819	3669	CD	75799655	2087.0	POJISTNE
34820	3670	UV	46954530	2961.0	SIPO
34821	3671	ST	62767541	2777.0	SIPO
34822	3672	AB	42041498	2388.0	SIPO
34823	3672	KL	33347761	2957.0	
34824	3673	MN	41758221	1939.0	SIPO
34825	3674	EF	94948046	1968.7	UVER
34826	3674	EF	25279706	9503.0	SIPO
34827	3675	YZ	27985441	7824.0	SIPO
34828	3676	ST	76132893	3319.0	SIPO
34829	3677	MN	83299553	2283.0	SIPO
34831	3678	CD	68775540	5269.0	UVER
34832	3679	CD	36547637	3869.0	SIPO
34833	3679	OP	62108045	5148.0	
34834	3679	KL	30865085	9268.0	UVER
34835	3680	MN	24556887	1030.0	SIPO
34836	3680	UV	42364639	2470.0	SIPO
34837	3681	AB	62512141	7797.0	SIPO
34838	3682	UV	41079390	2761.0	SIPO
34839	3683	AB	55347096	3114.0	SIPO
34840	3684	WX	86708855	3365.0	SIPO
34842	3686	OP	22078037	2054.0	SIPO
34843	3687	KL	44689565	5106.0	SIPO
34844	3689	WX	69802808	4609.9	LEASING
34845	3690	MN	84757935	4514.0	SIPO
34846	3691	AB	56120270	3267.0	SIPO
34847	3692	ST	73999780	3263.0	SIPO
34848	3693	GH	36411053	8992.0	SIPO
34849	3694	OP	90951615	4492.0	SIPO
34850	3695	EF	65356701	8101.0	SIPO
34851	3696	KL	77298909	3581.0	SIPO
34852	3696	YZ	33187008	1133.0	LEASING
34853	3697	GH	99985640	300.0	SIPO
34854	3697	KL	90743112	5632.0	
34855	3699	WX	57787090	7085.0	SIPO
34856	3700	GH	41282796	5230.0	SIPO
34857	3701	MN	4635501	2844.0	SIPO
34858	3702	ST	45320862	9650.0	SIPO
34859	3702	YZ	10236680	418.0	LEASING
34860	3703	QR	89147013	1820.0	SIPO
34861	3703	GH	25207352	192.0	
34862	3704	YZ	11861372	3046.0	SIPO
34863	3706	EF	51997315	4298.0	SIPO
34865	3709	KL	96639173	5579.0	SIPO
34866	3709	MN	33267444	1317.0	
34867	3709	EF	39317482	255.0	POJISTNE
34868	3709	EF	22020697	474.0	
34869	3710	CD	59793263	4633.0	SIPO
34870	3711	CD	24353820	7683.2	UVER
34872	3712	CD	80358522	2499.0	SIPO
34873	3714	WX	44852805	3217.0	SIPO
34875	3714	EF	64223658	77.0	POJISTNE
34876	3714	IJ	5437863	426.0	
34877	3717	MN	97482406	1558.2	LEASING
34878	3717	MN	95008021	10727.0	SIPO
34879	3718	WX	79798763	2107.0	SIPO
34880	3719	QR	49360007	3197.0	SIPO
34881	3720	UV	84661042	2957.0	SIPO
34882	3721	WX	69870853	2128.0	SIPO
34883	3721	AB	86966162	132.0	
34884	3722	QR	71472602	8123.0	SIPO
34885	3724	YZ	86384850	2597.0	UVER
34886	3725	KL	24855488	7642.0	SIPO
34887	3726	MN	64175748	6785.0	SIPO
34888	3726	WX	41449713	2588.0	
34889	3727	OP	1811063	6598.0	SIPO
34890	3727	ST	36931669	836.0	
34891	3727	QR	60296291	1030.0	POJISTNE
34892	3729	OP	52811223	2941.0	SIPO
34893	3730	OP	83157652	1944.0	SIPO
34894	3731	QR	48735064	1974.0	SIPO
34895	3732	ST	31681299	1668.0	SIPO
34896	3733	YZ	74489986	11123.0	SIPO
34897	3735	IJ	95204364	6302.0	SIPO
34898	3735	GH	60675847	1173.0	
34899	3736	EF	75976282	3500.0	SIPO
34900	3737	CD	48756384	3805.0	SIPO
34901	3737	CD	26807791	29.0	SIPO
34902	3738	EF	91961931	5750.0	SIPO
34906	3741	QR	55627053	4228.0	SIPO
34907	3742	UV	34186905	2969.0	SIPO
34908	3743	GH	70616876	5478.0	SIPO
34909	3743	QR	71234905	757.0	POJISTNE
34910	3743	OP	7009309	390.0	
34911	3743	ST	40573942	885.0	LEASING
34915	3745	ST	65273123	11469.0	SIPO
34916	3745	UV	77627140	841.0	
34917	3746	KL	13736939	4353.0	SIPO
34918	3746	KL	7049614	556.0	
34919	3746	YZ	4717898	1333.0	LEASING
34920	3747	IJ	82686203	2389.0	SIPO
34921	3747	IJ	93115895	1827.0	
34922	3747	UV	1665688	1500.0	POJISTNE
34923	3747	MN	80613380	6365.0	UVER
34924	3748	QR	77061086	308.0	SIPO
34925	3748	EF	10963404	1820.0	
34926	3749	CD	99050771	3904.0	SIPO
34927	3750	UV	81509756	7774.0	SIPO
34928	3751	UV	58641087	110.0	SIPO
34929	3751	YZ	49654692	3046.0	
34930	3752	IJ	56390714	3218.0	SIPO
34931	3752	YZ	34449517	1547.0	UVER
34932	3753	IJ	9330445	1540.0	SIPO
34933	3754	GH	72773557	2856.0	UVER
34934	3754	YZ	10911417	3976.0	SIPO
34935	3754	OP	52597421	1184.0	
34936	3754	MN	55045568	913.0	POJISTNE
34937	3754	UV	27539909	900.0	
34938	3755	IJ	221682	2956.1	LEASING
34939	3755	YZ	53685873	13500.0	SIPO
34940	3756	YZ	82284283	9023.0	SIPO
34941	3757	KL	350499	987.0	SIPO
34942	3757	ST	43094796	1229.0	
34943	3757	EF	59959924	803.0	POJISTNE
34944	3757	OP	41911280	3933.0	
34945	3758	YZ	62182962	4009.0	SIPO
34946	3759	AB	45222652	1642.0	SIPO
34947	3760	YZ	4517555	2947.8	LEASING
34951	3763	AB	57082331	3232.0	SIPO
34952	3763	IJ	55779212	3623.0	
34953	3764	CD	8085334	2506.0	SIPO
34954	3765	QR	73058956	617.0	SIPO
34955	3765	QR	28543275	762.0	
34956	3765	EF	11630344	691.0	POJISTNE
34957	3766	CD	36534357	9546.0	SIPO
34958	3767	ST	48275125	881.0	SIPO
34959	3767	EF	4828662	3655.0	
34960	3769	CD	98724436	2050.0	SIPO
34961	3770	YZ	32996630	9060.0	SIPO
34962	3771	IJ	77776777	1152.0	LEASING
34963	3772	QR	93521964	7775.0	SIPO
34964	3773	MN	19248593	3146.0	SIPO
34965	3774	CD	61108714	5745.0	SIPO
34966	3774	AB	76028048	2881.0	
34967	3775	KL	93404399	2448.0	SIPO
34968	3776	IJ	41931992	4739.0	SIPO
34969	3776	ST	93457734	2261.0	
34970	3777	QR	6119949	1039.0	SIPO
34971	3777	AB	91688686	1007.0	
34972	3777	YZ	87551414	102.0	POJISTNE
34973	3778	CD	941700	3035.0	SIPO
34974	3778	WX	62903511	1515.0	LEASING
34975	3779	CD	38576167	159.0	SIPO
34976	3779	KL	79480331	853.0	
34977	3779	ST	6959701	2969.0	POJISTNE
34978	3780	YZ	29958713	370.0	SIPO
34979	3780	AB	77057331	1241.0	SIPO
34980	3781	GH	78370004	7701.0	SIPO
34981	3782	UV	93482148	553.0	SIPO
34982	3782	UV	43415004	2790.0	
34983	3782	AB	96572547	10608.0	POJISTNE
34984	3783	WX	49779665	3041.0	SIPO
34985	3784	IJ	70703857	1583.0	SIPO
34986	3784	GH	35721373	3360.0	
34987	3785	UV	21385729	6502.0	SIPO
34988	3787	EF	96782379	4407.0	SIPO
34989	3787	ST	13449669	1953.0	LEASING
34990	3789	QR	43976020	11244.0	SIPO
34991	3791	WX	1958173	3682.0	SIPO
34992	3791	YZ	15558588	3147.0	
34993	3791	MN	4485118	1033.0	POJISTNE
34994	3792	OP	13595378	3518.0	SIPO
34995	3793	YZ	82695603	5706.0	SIPO
34996	3794	KL	83359801	4536.0	SIPO
34997	3795	WX	49257469	2419.0	SIPO
34998	3795	CD	41867381	6679.0	
34999	3796	QR	12162918	8301.0	SIPO
35000	3798	MN	51615589	1258.0	SIPO
35001	3798	MN	28350711	8637.0	
35002	3799	AB	1355666	4673.0	SIPO
35003	3799	MN	9053272	1290.0	
35004	3799	EF	71719521	136.0	POJISTNE
35005	3799	UV	23728156	213.0	
35006	3800	AB	68339317	1294.0	SIPO
35007	3800	OP	90384268	3634.0	
35008	3802	MN	36424207	3276.0	SIPO
35009	3803	IJ	73056244	5188.0	SIPO
35010	3804	KL	84903490	5270.7	UVER
35011	3804	WX	32746297	643.0	SIPO
35012	3804	CD	46665102	4458.0	
35013	3805	KL	33937186	5908.0	SIPO
35014	3806	WX	51833760	3216.0	SIPO
35015	3806	AB	66113912	2478.0	
35016	3806	ST	6164783	18.0	POJISTNE
35017	3807	GH	5179399	4828.0	SIPO
35018	3808	AB	7896417	1966.0	SIPO
35019	3808	GH	27884578	4767.0	
35020	3809	WX	10469216	1965.0	SIPO
35021	3809	OP	52133649	1619.0	
35022	3809	YZ	9162903	2.0	POJISTNE
35023	3810	KL	25770914	2862.0	SIPO
35024	3811	KL	13080460	2515.0	SIPO
35025	3812	GH	23986679	2125.0	SIPO
35026	3813	EF	81887119	5645.0	SIPO
35027	3813	KL	81905740	895.0	
35028	3813	EF	20648479	333.0	POJISTNE
35029	3815	QR	94093620	3162.4	LEASING
35030	3817	MN	93542521	6529.0	SIPO
35031	3818	QR	35474443	3596.0	SIPO
35032	3818	OP	32659602	1474.0	
35033	3818	CD	34760767	4065.0	POJISTNE
35034	3819	CD	89256637	7102.0	SIPO
35035	3820	UV	41454017	8054.0	SIPO
35036	3822	GH	32954842	11657.0	SIPO
35037	3824	UV	61468034	6198.0	SIPO
35038	3826	GH	788856	4518.0	SIPO
35039	3828	GH	80965399	2010.0	SIPO
35044	3830	EF	9319293	5498.0	SIPO
35046	3832	IJ	97227751	160.0	SIPO
35047	3832	UV	41750305	4176.0	
35048	3833	MN	68814772	6760.0	SIPO
35049	3834	KL	49577087	3114.0	SIPO
35050	3834	YZ	63132923	375.0	
35051	3834	MN	51878350	3189.0	POJISTNE
35052	3834	YZ	52872371	262.0	
35053	3834	WX	34075695	1921.0	UVER
35054	3835	IJ	1018590	6337.0	SIPO
35055	3835	AB	19860339	1247.0	
35056	3836	QR	24936366	2676.0	SIPO
35057	3836	MN	95188617	1011.0	
35058	3836	YZ	32683402	5308.0	POJISTNE
35059	3837	YZ	24419355	1377.6	LEASING
35060	3839	YZ	94504993	3072.1	LEASING
35061	3840	CD	87679588	2559.0	SIPO
35062	3841	ST	99752336	440.0	SIPO
35063	3841	MN	55037939	1223.0	SIPO
35064	3842	ST	627255	2776.0	SIPO
35065	3844	UV	74524152	2260.0	SIPO
35066	3845	WX	31715512	8866.0	SIPO
35067	3846	GH	312638	2016.0	SIPO
35068	3847	YZ	2573502	5500.0	SIPO
35069	3847	YZ	83747803	7.0	
35070	3847	QR	36324137	883.0	POJISTNE
35071	3848	YZ	42658120	7241.0	SIPO
35072	3849	IJ	72727924	4447.0	SIPO
35073	3850	IJ	3844541	2037.0	SIPO
35074	3850	CD	34453201	5120.0	
35075	3851	MN	52305114	1294.0	SIPO
35076	3851	KL	91988861	9505.0	
35077	3852	CD	38480061	220.0	SIPO
35078	3852	CD	24416232	3144.0	SIPO
35080	3854	QR	36950737	1290.0	SIPO
35081	3854	OP	59714329	930.0	
35082	3855	ST	32587927	950.0	SIPO
35083	3855	IJ	38085216	5578.0	
35084	3855	MN	78167867	795.0	POJISTNE
35085	3856	UV	91998385	2280.0	SIPO
35086	3857	ST	18218005	2183.0	SIPO
35087	3859	WX	17110729	5120.2	UVER
35088	3860	AB	27327156	1248.5	LEASING
35089	3860	ST	88340824	8323.0	SIPO
35090	3861	EF	32061487	4227.0	SIPO
35091	3862	MN	12050682	2080.8	UVER
35092	3862	UV	37094020	3508.0	SIPO
35093	3862	YZ	17165685	7824.0	
35094	3863	QR	88157391	8504.0	SIPO
35095	3864	KL	59408056	347.0	SIPO
35096	3864	GH	67975002	5960.0	
35097	3864	GH	15961814	511.0	POJISTNE
35098	3864	QR	75671767	1419.0	
35099	3865	OP	62146550	5947.0	SIPO
35100	3867	AB	21799749	5476.0	SIPO
35101	3868	CD	47142148	3259.0	SIPO
35102	3869	GH	43038785	1248.5	LEASING
35103	3869	UV	88817554	6360.0	SIPO
35104	3870	AB	91396879	3673.0	SIPO
35105	3871	UV	55483001	153.0	SIPO
35106	3871	AB	64580011	1505.0	SIPO
35107	3872	UV	37346983	2502.2	UVER
35108	3872	GH	39719027	1691.0	SIPO
35109	3872	QR	66648661	923.0	
35110	3872	KL	84313565	5301.0	POJISTNE
35111	3872	MN	8770090	2908.0	
35115	3874	CD	51856213	5861.0	SIPO
35116	3875	IJ	93942355	6413.7	UVER
35117	3876	UV	60230421	12056.0	SIPO
35118	3877	QR	32653641	3711.0	SIPO
35119	3878	OP	23655247	216.0	SIPO
35120	3878	YZ	38488340	1648.0	
35121	3878	YZ	35417062	70.0	POJISTNE
35126	3880	CD	74985646	1942.0	SIPO
35127	3881	EF	91738003	1319.0	SIPO
35128	3881	IJ	58912730	3188.0	
35129	3882	KL	49302369	1608.0	SIPO
35130	3882	QR	87316327	379.0	
35131	3882	ST	72013407	77.0	POJISTNE
35132	3882	IJ	12070072	100.0	
35133	3884	YZ	5279612	5011.0	SIPO
35134	3885	GH	4249543	1176.0	LEASING
35135	3887	MN	51578915	2013.0	SIPO
35136	3889	KL	70547342	173.0	SIPO
35137	3889	GH	94921665	1767.0	
35138	3890	MN	11023718	5467.0	SIPO
35139	3891	GH	80522375	3172.0	SIPO
35140	3892	GH	29015290	2238.0	SIPO
35141	3893	QR	80644279	1501.0	SIPO
35142	3893	MN	44051182	1534.0	
35143	3894	OP	98407303	2745.0	SIPO
35144	3894	YZ	15127009	621.0	SIPO
35145	3895	OP	23516989	4414.0	SIPO
35146	3896	EF	45272469	2602.0	SIPO
35147	3896	MN	53936433	1642.0	
35148	3897	MN	68786066	5350.0	SIPO
35149	3898	WX	33097869	2650.0	SIPO
35150	3899	IJ	84541290	3069.0	SIPO
35153	3901	GH	92254411	932.0	LEASING
35154	3902	WX	38989275	1016.0	SIPO
35155	3902	ST	77708458	5419.0	
35156	3903	CD	41765970	6583.0	SIPO
35157	3904	UV	63099199	2075.0	SIPO
35158	3905	YZ	45596945	7689.0	SIPO
35159	3906	EF	96055197	5577.3	UVER
35160	3907	CD	56403291	5577.3	UVER
35161	3908	KL	49593687	1630.0	SIPO
35162	3908	QR	26197701	1008.0	SIPO
35163	3909	YZ	4480547	8279.0	SIPO
35164	3909	QR	5039710	713.0	
35165	3909	YZ	73936581	617.0	POJISTNE
35166	3910	YZ	79231428	2673.0	SIPO
35167	3911	EF	83345818	1946.0	SIPO
35168	3912	UV	99253552	1177.0	SIPO
35169	3912	KL	95519256	1551.0	SIPO
35170	3913	OP	66400325	7333.0	SIPO
35171	3914	AB	39802485	6118.0	SIPO
35172	3915	GH	25808733	9510.0	SIPO
35173	3916	EF	91283201	2693.7	UVER
35174	3916	UV	38921874	10900.0	SIPO
35175	3916	UV	51592075	1078.0	
35176	3916	AB	23392904	2570.0	POJISTNE
35177	3917	CD	89179288	2362.0	SIPO
35178	3917	QR	63465010	2833.0	
35179	3917	YZ	75628006	789.0	POJISTNE
35180	3917	OP	9782308	272.0	
35181	3918	ST	11387104	4865.0	SIPO
35182	3919	KL	81950729	3521.0	SIPO
35183	3922	MN	27645427	2953.0	SIPO
35184	3923	ST	4434031	5037.0	SIPO
35185	3924	KL	47621411	3093.0	SIPO
35186	3925	WX	61645322	4256.0	SIPO
35187	3925	OP	25474483	2247.0	
35188	3926	IJ	55667674	2232.0	SIPO
35189	3927	CD	14631736	1926.0	SIPO
35190	3927	YZ	35319298	1400.0	
35196	3930	YZ	79120719	9101.0	SIPO
35197	3932	UV	38860297	1593.0	SIPO
35198	3933	YZ	1246595	1616.2	LEASING
35199	3934	MN	96072834	2396.0	SIPO
35200	3935	WX	62539005	1184.0	LEASING
35201	3935	MN	30181229	2648.0	SIPO
35202	3935	GH	11549193	5908.0	
35203	3935	YZ	3849626	652.0	POJISTNE
35204	3935	MN	46342325	1070.0	
35205	3936	CD	59733676	1859.0	SIPO
35206	3936	ST	98634075	127.0	
35207	3936	AB	8674580	432.0	POJISTNE
35208	3937	KL	92072844	3385.0	SIPO
35209	3938	CD	83267962	3869.0	SIPO
35210	3939	MN	57331061	5177.0	SIPO
35211	3941	MN	7649010	1510.0	SIPO
35212	3941	WX	13397574	599.0	
35213	3942	YZ	11209202	2982.5	UVER
35214	3942	ST	34098577	13428.0	SIPO
35215	3943	YZ	50228506	1942.0	SIPO
35216	3944	QR	78422194	1165.0	SIPO
35217	3944	EF	65107047	3338.0	
35218	3946	GH	72052663	4832.0	SIPO
35219	3946	AB	14122963	4607.0	
35220	3947	CD	13642275	2469.0	SIPO
35221	3947	YZ	94871657	619.0	
35222	3948	YZ	3428841	314.0	SIPO
35223	3948	EF	58645462	2780.0	
35224	3948	YZ	3555155	1969.0	POJISTNE
35225	3948	EF	3710729	210.0	
35226	3950	EF	8577830	6955.0	SIPO
35227	3950	WX	71886944	1185.0	LEASING
35228	3951	OP	7565194	7284.0	UVER
35229	3952	GH	72330528	367.0	SIPO
35230	3952	GH	22428715	1138.0	SIPO
35231	3953	AB	85838764	5297.7	UVER
35232	3954	MN	77104884	2014.0	SIPO
35233	3955	EF	9654927	4129.0	SIPO
35235	3956	ST	20439923	6035.0	SIPO
35236	3956	IJ	23786348	892.0	
35237	3959	AB	40621632	1680.6	LEASING
35238	3960	CD	74252974	3204.0	SIPO
35239	3961	AB	38375651	2309.0	SIPO
35240	3963	IJ	27212840	3477.0	SIPO
35241	3963	WX	88884788	95.0	
35242	3963	EF	42651188	70.0	POJISTNE
35243	3964	UV	49043488	2146.0	SIPO
35244	3966	IJ	59096312	1754.0	SIPO
35245	3967	AB	28307140	2349.5	UVER
35246	3969	QR	24362379	4299.0	SIPO
35247	3970	ST	15046972	8957.0	SIPO
35248	3971	KL	30010575	9510.0	SIPO
35249	3971	UV	54464662	1026.0	
35250	3971	WX	30132991	857.0	POJISTNE
35251	3971	MN	55104500	402.0	
35252	3972	GH	4039895	7012.0	SIPO
35253	3972	AB	33554858	2012.0	
35254	3973	IJ	58564495	6941.0	SIPO
35255	3974	QR	35360241	4670.0	SIPO
35256	3975	YZ	22444594	2269.0	SIPO
35257	3976	ST	59522145	967.0	SIPO
35258	3976	ST	8696937	1447.0	SIPO
35259	3977	ST	51005125	2974.0	SIPO
35260	3978	WX	59417921	3616.0	SIPO
35261	3978	UV	2867442	692.0	
35262	3978	QR	18854892	1997.0	POJISTNE
35263	3979	WX	51212304	6256.0	SIPO
35264	3980	ST	74249100	1367.0	SIPO
35265	3980	QR	32205635	2264.0	
35266	3981	AB	83879112	1383.0	SIPO
35267	3981	EF	20137071	336.0	
35268	3981	MN	9709912	545.0	POJISTNE
35269	3982	OP	15246630	2153.0	SIPO
35270	3984	AB	94890266	1803.0	SIPO
35271	3985	GH	17921477	2007.0	SIPO
35272	3986	AB	78493797	3960.0	SIPO
35273	3986	WX	87679379	2649.0	
35274	3987	WX	32697832	4992.0	SIPO
35275	3987	QR	86586814	1526.0	LEASING
35276	3989	CD	242722	2097.0	SIPO
35277	3990	YZ	18163431	10312.0	SIPO
35278	3991	IJ	95958947	1937.0	SIPO
35279	3992	ST	15884882	6738.0	SIPO
35280	3993	ST	54010170	7616.0	SIPO
35281	3995	KL	10419178	3601.0	SIPO
35282	3995	UV	18222165	415.0	
35283	3995	YZ	70030551	983.0	POJISTNE
35284	3996	YZ	29565316	1511.0	SIPO
35285	3998	QR	26202184	2364.0	SIPO
35286	3998	KL	25096166	1519.0	
35287	3999	IJ	35235697	4806.0	SIPO
35288	3999	AB	48404151	2332.0	
35289	3999	KL	77352034	563.0	POJISTNE
35291	4003	OP	382733	3815.5	LEASING
35292	4003	YZ	76160329	3786.0	SIPO
35297	4010	ST	6746900	5948.0	SIPO
35298	4010	MN	19982749	1824.0	LEASING
35303	4013	MN	22217119	1003.0	LEASING
35304	4013	EF	83890586	6686.0	SIPO
35317	4026	ST	76516663	2620.4	LEASING
35318	4026	IJ	95854043	2618.0	SIPO
35319	4026	QR	60125994	9711.0	
35334	4033	MN	70536905	1494.0	SIPO
35335	4033	OP	86237394	2808.0	
35336	4033	OP	46252030	1756.0	UVER
35352	4047	MN	39103245	2988.0	LEASING
35364	4052	IJ	25790983	2948.0	UVER
35372	4059	WX	58010673	5652.0	UVER
35381	4066	YZ	54565942	3224.5	LEASING
35382	4066	CD	35107851	6893.0	SIPO
35383	4066	WX	20153117	7246.0	
35391	4071	EF	53343808	1078.0	LEASING
35392	4071	WX	88639789	10272.0	SIPO
35402	4079	WX	16481298	3312.0	UVER
35403	4079	AB	19063937	5009.0	SIPO
35404	4079	QR	7362539	218.0	
35405	4079	ST	81205659	321.0	POJISTNE
35409	4081	YZ	22211885	5746.0	UVER
35417	4088	UV	18712330	4235.7	LEASING
35418	4088	YZ	76793396	3315.0	SIPO
35419	4088	KL	26589399	337.0	
35420	4088	WX	65632182	3.0	POJISTNE
35422	4091	YZ	45072424	4247.0	SIPO
35423	4091	ST	12956852	185.0	
35424	4091	CD	73299705	907.0	LEASING
35433	4099	AB	31954735	1926.0	SIPO
35434	4099	IJ	40898221	403.0	
35435	4099	QR	6660080	1298.0	POJISTNE
35436	4099	GH	75250422	872.0	UVER
35462	4116	MN	92376952	4200.2	UVER
35463	4116	IJ	69320016	14448.0	SIPO
35472	4127	CD	6366193	4200.2	UVER
35473	4127	QR	34589725	11105.0	SIPO
35474	4127	GH	77216887	221.0	
35475	4127	QR	28738975	69.0	POJISTNE
35478	4131	YZ	77345645	2520.1	LEASING
35479	4131	OP	66005611	974.0	SIPO
35480	4131	UV	18379521	4696.0	
35482	4134	OP	98212933	1171.0	LEASING
35483	4134	WX	37454885	5932.0	SIPO
35493	4143	OP	86283540	1896.0	LEASING
35494	4144	QR	13202494	5915.7	UVER
35495	4144	WX	44854801	8753.0	SIPO
35503	4150	ST	41463971	3006.0	SIPO
35504	4150	WX	91151189	1669.0	
35505	4150	QR	82856064	75.0	POJISTNE
35506	4150	CD	57309913	1273.0	LEASING
35532	4171	WX	22916323	2611.8	LEASING
35533	4171	GH	90027188	14336.0	SIPO
35557	4186	EF	54694455	7028.0	SIPO
35558	4186	UV	72907602	894.0	LEASING
35565	4190	QR	51522499	2901.0	SIPO
35566	4190	MN	24471074	1100.0	
35567	4190	IJ	72617375	1242.0	POJISTNE
35568	4190	QR	57476657	6763.0	UVER
35639	4237	GH	65168309	1960.5	LEASING
35649	4245	CD	5514008	4534.0	SIPO
35650	4245	OP	46815562	1663.0	LEASING
35663	4253	UV	53549736	4125.2	LEASING
35664	4253	WX	66295969	7344.0	SIPO
35668	4259	ST	4058731	3318.0	UVER
35669	4259	CD	73520475	9516.0	SIPO
35670	4259	AB	40486842	2255.0	
35671	4260	EF	42941677	4075.5	UVER
35672	4260	OP	18079054	12006.0	SIPO
35680	4266	MN	21157777	9098.0	SIPO
35681	4266	QR	92455988	507.0	LEASING
35683	4268	IJ	24499589	6646.0	SIPO
35684	4268	AB	28338015	3499.0	UVER
35690	4273	QR	39798104	2895.2	LEASING
35691	4273	UV	91834884	9909.0	SIPO
35695	4276	IJ	57985192	2895.2	LEASING
35718	4293	GH	89613037	4561.0	UVER
35719	4293	IJ	75312357	4797.0	SIPO
35737	4309	UV	97354483	4825.3	UVER
35748	4318	YZ	59831583	4609.6	LEASING
35749	4318	KL	13522321	13396.0	SIPO
35752	4320	GH	15082747	4280.0	UVER
35763	4330	KL	9958225	4609.6	LEASING
35764	4330	CD	5012721	4140.0	SIPO
35765	4330	OP	83009093	1786.0	
35767	4332	WX	43657523	4609.6	LEASING
35768	4332	GH	21178984	7885.0	SIPO
35772	4336	CD	16882026	4556.0	LEASING
35773	4336	WX	30210501	8316.0	SIPO
35774	4337	IJ	15837014	2142.0	UVER
35781	4342	AB	4569364	4172.0	UVER
35782	4342	KL	52346587	6135.0	SIPO
35785	4346	EF	11365098	2329.0	LEASING
35786	4346	KL	97406702	5389.0	SIPO
35787	4346	AB	19900185	3067.0	
35791	4352	EF	6195903	3710.0	SIPO
35792	4352	MN	5816001	506.0	LEASING
35794	4354	MN	33371013	5461.3	UVER
35795	4354	CD	23047155	12756.0	SIPO
35796	4356	AB	75449079	1003.0	LEASING
35798	4358	IJ	36673987	2542.0	LEASING
35802	4361	AB	55740487	7512.7	UVER
35820	4377	OP	46991014	4788.3	LEASING
35825	4383	IJ	71792411	1540.0	LEASING
35826	4383	AB	54309666	8352.0	SIPO
35827	4383	KL	99767720	4265.0	
35829	4386	ST	24428779	1590.0	LEASING
35830	4386	OP	82197737	11954.0	SIPO
35865	4408	YZ	89509248	3779.9	LEASING
35866	4408	GH	93220632	5156.0	SIPO
35874	4413	QR	63660216	4610.0	UVER
35875	4413	UV	8759522	7802.0	SIPO
35876	4414	ST	75805902	3716.0	SIPO
35877	4414	ST	35362416	3509.0	
35878	4414	EF	88424551	4051.0	UVER
35879	4415	AB	8593738	4601.0	SIPO
35880	4415	MN	61133015	3408.0	
35881	4415	QR	19646489	77.0	POJISTNE
35882	4415	OP	67352598	397.0	
35883	4415	EF	42558240	6170.0	UVER
35887	4418	ST	50905704	5951.0	SIPO
35888	4418	ST	36693310	186.0	
35889	4418	UV	51602697	906.0	POJISTNE
35890	4418	ST	76446610	1435.0	
35891	4418	ST	73401069	881.0	LEASING
35899	4423	GH	47825217	2051.0	UVER
35900	4423	CD	4275078	1277.0	SIPO
35901	4423	QR	21013897	4015.0	
35902	4424	MN	62918054	720.0	LEASING
35905	4427	KL	17050731	5005.0	SIPO
35906	4427	CD	55410188	7318.0	UVER
35917	4434	GH	7346713	2314.0	LEASING
35918	4434	OP	390536	4495.0	SIPO
35922	4438	ST	41293668	658.0	LEASING
35925	4442	CD	2065778	8590.0	SIPO
35926	4442	GH	64758652	1502.0	LEASING
35931	4447	WX	55297768	5353.5	UVER
35932	4448	WX	57328462	5353.5	UVER
35941	4456	IJ	41103047	5353.5	UVER
35951	4462	AB	98249196	2770.3	UVER
35956	4467	UV	25870239	2394.5	UVER
35957	4467	QR	66281664	4556.0	SIPO
35964	4471	CD	9000087	3029.2	LEASING
35965	4471	AB	60353129	11318.0	SIPO
35967	4473	EF	96544521	5528.0	SIPO
35968	4473	KL	69761729	3525.0	
35969	4473	KL	75815641	1566.0	UVER
35971	4475	YZ	70522868	1691.9	LEASING
35972	4476	YZ	51957607	3195.0	SIPO
35973	4476	EF	27366185	912.0	
35974	4476	GH	96384197	3103.0	POJISTNE
35975	4476	UV	18494886	633.0	UVER
35978	4478	CD	49646252	707.0	LEASING
36008	4503	YZ	21099597	2819.8	UVER
36020	4511	WX	95965677	3948.0	SIPO
36021	4511	EF	87421154	798.0	LEASING
36042	4527	QR	12378204	2156.0	UVER
36048	4533	CD	10384428	2253.5	UVER
36049	4533	OP	65046036	10479.0	SIPO
36053	4537	EF	82846194	1352.1	LEASING
36066	4550	IJ	71980470	1113.0	SIPO
36067	4550	EF	95971029	1607.0	
36068	4550	ST	19181561	424.0	POJISTNE
36069	4550	WX	30900681	1022.0	UVER
36110	4576	UV	20694566	8339.0	UVER
36115	4580	ST	99807279	1684.8	UVER
36116	4580	AB	90886467	8723.0	SIPO
36124	4585	YZ	64408206	4065.0	SIPO
36125	4585	GH	3908431	1347.0	UVER
36166	4616	GH	74167519	2778.7	UVER
36167	4616	WX	88828020	12260.0	SIPO
36170	4618	WX	54633820	2778.7	UVER
36181	4626	IJ	69861972	2778.7	UVER
36189	4631	KL	39618468	3647.0	UVER
36217	4650	YZ	59294611	554.0	SIPO
36218	4650	KL	6576216	2828.0	
36219	4650	ST	50796478	6700.0	UVER
36230	4660	QR	35342312	4456.0	UVER
36231	4660	QR	85892647	2121.0	SIPO
36232	4660	UV	85081994	475.0	
36233	4660	MN	76798975	437.0	POJISTNE
36263	4681	ST	8383214	3388.0	UVER
36264	4681	CD	50554043	5016.0	SIPO
36265	4681	OP	30791741	4515.0	
36325	4715	AB	94525420	4049.0	UVER
36341	4725	KL	46966421	4674.2	UVER
36342	4725	KL	77940284	13462.0	SIPO
36345	4727	YZ	36371326	4485.0	UVER
36346	4727	QR	30821961	3580.0	SIPO
36347	4727	UV	87424748	1861.0	
36371	4746	UV	51417624	3413.0	UVER
36378	4753	UV	96378469	1271.0	LEASING
36413	4774	EF	85673802	9689.0	UVER
36424	4784	CD	68459832	4572.0	UVER
36443	4794	MN	92189216	1922.0	SIPO
36444	4794	EF	60735916	603.0	
36445	4794	UV	85381936	3142.0	POJISTNE
36446	4794	CD	91262608	1660.0	
36447	4794	KL	80407201	9698.0	UVER
36454	4803	UV	17711252	1232.0	UVER
36489	4825	OP	74436640	1783.2	UVER
36529	4851	MN	12253350	5902.2	UVER
36530	4851	YZ	40565508	4285.0	SIPO
36531	4852	QR	23212576	4794.0	SIPO
36532	4852	YZ	98242383	5925.0	UVER
36539	4858	AB	67520165	6983.3	UVER
36547	4863	MN	69927233	6340.3	UVER
36548	4863	OP	70381557	3300.0	SIPO
36549	4863	QR	66434705	6036.0	
36599	4894	ST	81512897	4875.8	UVER
36618	4907	YZ	25638538	3938.0	SIPO
36619	4907	AB	5604631	1253.0	
36620	4907	QR	82890259	325.0	POJISTNE
36621	4907	IJ	5619949	2059.0	UVER
36665	4937	ST	47568672	5996.2	UVER
36666	4937	OP	13841212	2687.0	SIPO
36667	4937	OP	43502605	800.0	
36679	4948	KL	70243751	5996.2	UVER
36680	4948	WX	39958155	4710.0	SIPO
36681	4949	WX	44724160	6039.8	UVER
36709	4969	ST	80888122	2502.8	UVER
36710	4969	UV	87679707	8309.0	SIPO
36711	4969	AB	94635641	610.0	
36729	4981	YZ	61511546	4930.0	SIPO
36730	4981	GH	9506047	3736.0	UVER
36748	4994	MN	80840283	7178.8	UVER
36749	4995	QR	68653625	3583.0	UVER
36754	4999	GH	95365690	4588.5	UVER
36755	4999	WX	20009368	7028.0	SIPO
36756	4999	MN	71272724	6327.0	
36758	5001	OP	7923072	4588.5	UVER
36759	5001	OP	11451143	9292.0	SIPO
36799	5033	CD	73070150	1820.0	SIPO
36800	5033	QR	93854265	754.0	
36801	5033	EF	12796581	2196.0	POJISTNE
36802	5033	EF	25932383	950.0	UVER
36851	5065	GH	31354725	1541.3	LEASING
36852	5066	CD	56157791	2568.8	UVER
36853	5066	OP	2258235	4206.0	SIPO
36854	5066	EF	39506387	1018.0	
36855	5066	YZ	10269540	132.0	POJISTNE
36856	5066	KL	45041960	1283.0	
36866	5072	CD	10877579	1863.0	SIPO
36867	5072	EF	85992329	5869.0	
36868	5072	OP	62572306	1065.0	POJISTNE
36869	5072	OP	5224442	805.0	
36870	5072	IJ	38607579	5292.0	UVER
36928	5118	GH	99441033	3095.0	SIPO
36929	5118	CD	97549569	446.0	
36930	5118	CD	59396386	1109.0	UVER
36934	5120	MN	4935771	6738.7	UVER
36935	5120	YZ	26903707	3008.0	SIPO
36946	5126	YZ	63854801	4208.0	SIPO
36947	5126	GH	96935939	424.0	UVER
36956	5133	MN	16182625	4755.0	UVER
36957	5133	AB	50449115	286.0	SIPO
36958	5133	IJ	35177278	412.0	
36959	5133	QR	97651743	3913.0	POJISTNE
37012	5164	EF	54096066	4261.0	SIPO
37013	5164	UV	10503888	621.0	UVER
37032	5180	WX	41377508	4897.0	UVER
37033	5181	WX	47686052	6652.5	UVER
37059	5196	YZ	95793395	6652.5	UVER
37060	5196	CD	22101694	7905.0	SIPO
37085	5213	OP	46268802	6687.0	UVER
37087	5215	KL	58698618	2.0	SIPO
37088	5215	QR	81640040	5315.0	
37089	5215	KL	3664792	372.0	POJISTNE
37090	5215	QR	71636765	870.0	
37091	5215	KL	79302054	1219.0	UVER
37108	5228	OP	7177615	7242.0	UVER
37154	5256	KL	11066365	5388.5	UVER
37167	5263	GH	63990634	3950.0	SIPO
37168	5263	MN	57356619	4605.0	UVER
37173	5267	MN	56727522	5388.5	UVER
37177	5269	UV	7043707	793.0	SIPO
37178	5269	OP	84263461	7260.0	
37179	5269	OP	61308646	1957.0	UVER
37180	5270	CD	13973260	3317.0	UVER
37196	5283	KL	94041960	3559.0	UVER
37197	5283	YZ	67168420	9649.0	SIPO
37213	5290	YZ	96250020	7537.0	UVER
37214	5290	UV	29544717	6293.0	SIPO
37215	5290	WX	1615906	2245.0	
37216	5290	QR	95391487	1336.0	POJISTNE
37238	5305	MN	81407129	5011.2	UVER
37251	5313	QR	80564933	5011.2	UVER
37252	5313	MN	60921382	5791.0	SIPO
37253	5313	UV	15263599	1167.0	
37254	5313	AB	62256020	958.0	POJISTNE
37257	5317	AB	69538569	2504.8	UVER
37258	5317	KL	53978085	4331.0	SIPO
37317	5358	ST	89332604	9191.0	SIPO
37318	5358	MN	3237545	1139.0	UVER
37323	5362	OP	24749118	4226.3	UVER
37324	5362	UV	18269801	6413.0	SIPO
37325	5362	IJ	23946857	7962.0	
37339	5372	QR	4785913	2612.0	LEASING
37361	5385	KL	92821448	2489.3	UVER
37362	5385	YZ	67199128	8754.0	SIPO
37378	5395	WX	43853229	4393.8	UVER
37421	5422	YZ	91485505	6148.0	UVER
37422	5422	AB	38885069	832.0	SIPO
37423	5422	WX	95722668	2320.0	
37424	5422	EF	40573519	1435.0	POJISTNE
37425	5423	MN	48649221	1394.0	LEASING
37426	5423	MN	5680722	446.0	SIPO
37427	5423	QR	82146298	8618.0	
37428	5423	AB	59710752	4068.0	POJISTNE
37435	5428	MN	55829697	7281.3	UVER
37456	5442	CD	26435643	7281.3	UVER
37457	5442	EF	14627766	8110.0	SIPO
37458	5442	MN	10828179	2070.0	
37459	5442	IJ	7772154	1017.0	POJISTNE
37462	5445	QR	10110479	2186.0	UVER
37463	5445	UV	2227068	685.0	SIPO
37464	5445	IJ	80277055	1439.0	
37465	5445	OP	4871046	624.0	POJISTNE
37466	5445	KL	26684844	859.0	
37516	5477	UV	48098021	7279.3	UVER
37517	5477	UV	40210610	6342.0	SIPO
37520	5481	IJ	17114121	4358.0	UVER
37522	5483	KL	24862456	1307.0	LEASING
37560	5505	WX	15837931	2908.2	LEASING
37616	5541	UV	59490781	3114.0	SIPO
37617	5541	QR	48447573	648.0	
37618	5541	WX	66726541	680.0	UVER
37625	5546	IJ	97723727	2536.9	LEASING
37665	5572	IJ	85013025	2348.0	UVER
37666	5572	KL	53127735	11314.0	SIPO
37668	5574	CD	52011740	3719.0	UVER
37669	5574	QR	36525643	11878.0	SIPO
37699	5591	ST	19205475	3697.8	UVER
37700	5591	GH	38603085	323.0	SIPO
37701	5591	UV	44512021	2872.0	
37702	5591	OP	87980109	345.0	POJISTNE
37703	5591	YZ	30955463	2.0	
37706	5593	GH	67515390	3697.8	UVER
37707	5593	EF	48020237	6049.0	SIPO
37716	5602	EF	42234236	3697.8	UVER
37740	5622	UV	45906978	6918.3	UVER
37741	5622	ST	24175644	6327.0	SIPO
37742	5622	EF	71167778	573.0	
37748	5628	QR	30017256	3757.0	UVER
37755	5632	ST	84198254	4760.0	UVER
37782	5650	EF	10689866	4108.3	UVER
37783	5650	GH	29767215	10530.0	SIPO
37795	5661	MN	80939536	1653.6	LEASING
37838	5692	AB	42425257	1653.6	LEASING
37847	5698	OP	81442999	2756.0	UVER
37848	5698	QR	64414620	10120.0	SIPO
37850	5700	UV	47866308	1728.0	UVER
37888	5724	WX	9607071	4845.0	UVER
37889	5724	IJ	5197179	2692.0	SIPO
37890	5724	MN	30744582	561.0	
37891	5724	YZ	83046674	281.0	POJISTNE
37892	5724	WX	21557212	1220.0	
37906	5735	MN	1054633	4845.0	UVER
37912	5740	OP	3078049	2907.0	LEASING
37915	5742	GH	19201743	4845.0	UVER
37937	5758	KL	97891717	5700.7	UVER
37938	5758	IJ	690603	3063.0	SIPO
37939	5758	WX	15063757	3203.0	
37940	5758	UV	75170343	7996.0	POJISTNE
37964	5774	UV	69220012	1413.0	SIPO
37965	5774	OP	39872121	7143.0	
37966	5774	ST	4440504	1299.0	UVER
37995	5794	CD	1848161	2060.0	UVER
38026	5817	WX	72341751	3849.0	LEASING
38027	5817	QR	90788304	3105.0	SIPO
38028	5817	WX	85494482	9352.0	
38053	5837	KL	80529534	4939.0	UVER
38091	5868	CD	64549314	1762.0	LEASING
38118	5891	EF	95617645	5432.3	UVER
38151	5912	CD	6367522	3076.8	UVER
38152	5912	OP	65154915	9846.0	SIPO
38166	5927	OP	95520770	1817.3	UVER
38190	5944	AB	49417829	4685.0	SIPO
38191	5944	AB	50435006	1640.0	UVER
38198	5952	EF	22068012	5885.3	UVER
38199	5952	GH	68812089	3028.0	SIPO
38200	5952	MN	40625691	1374.0	
38201	5952	YZ	2707452	3684.0	POJISTNE
38202	5952	WX	37493223	1594.0	
38263	5991	UV	6799704	1978.0	SIPO
38264	5991	KL	83801996	4235.0	
38265	5991	MN	49866914	1272.0	UVER
38326	6030	WX	18410075	1177.0	UVER
38328	6034	MN	6834680	7741.8	UVER
38338	6040	UV	45750951	2635.0	SIPO
38339	6040	EF	96697401	1321.0	
38340	6040	GH	15017515	5015.0	POJISTNE
38341	6040	QR	12242263	489.0	UVER
38359	6051	AB	22275466	7685.0	UVER
38373	6061	YZ	38191717	8521.0	SIPO
38374	6061	KL	92930179	429.0	UVER
38375	6062	OP	96754401	5356.0	UVER
38376	6062	KL	65052980	10608.0	SIPO
38395	6075	ST	38067519	8499.0	UVER
38408	6083	MN	44330716	7518.0	UVER
38431	6097	WX	87940978	3155.0	SIPO
38432	6097	KL	34494578	728.0	UVER
38462	6118	UV	16368747	7518.0	UVER
38500	6138	EF	68264150	2817.3	UVER
38501	6138	WX	42320823	10869.0	SIPO
38519	6148	YZ	26888096	7847.0	SIPO
38520	6148	QR	40286940	2490.0	UVER
38539	6157	GH	85308313	5165.2	UVER
38540	6157	MN	97978877	9523.0	SIPO
38541	6158	ST	22791475	5165.2	UVER
38649	6226	KL	83721154	6643.7	UVER
38694	6265	WX	43599933	3639.5	UVER
38695	6265	EF	11553663	7274.0	SIPO
38708	6273	QR	34498596	3639.5	UVER
38729	6289	GH	34028458	1784.5	UVER
38820	6353	EF	55760598	586.0	SIPO
38821	6353	OP	1903015	5984.0	
38822	6353	CD	62611573	1332.0	UVER
38829	6358	GH	31235045	5632.8	UVER
38830	6358	EF	69701927	13076.0	SIPO
38837	6363	UV	2478039	1459.0	UVER
38885	6397	GH	75494760	3016.7	UVER
38888	6400	OP	68610131	3016.7	UVER
38889	6400	OP	10098511	7320.0	SIPO
38890	6400	QR	30437541	143.0	
38891	6400	EF	79846286	7396.0	POJISTNE
38921	6425	KL	41016417	3057.0	UVER
38930	6434	GH	56125944	4589.2	UVER
38931	6434	EF	10144585	4891.0	SIPO
38936	6440	UV	75896376	2881.0	UVER
38955	6453	MN	92548077	1514.0	SIPO
38956	6453	KL	17806643	695.0	
38957	6453	EF	98467659	541.0	POJISTNE
38958	6453	KL	10349285	304.0	UVER
38965	6461	MN	30961704	4192.5	UVER
38982	6472	QR	3375345	3597.0	UVER
38983	6473	KL	93282901	6408.8	UVER
39014	6495	OP	70482468	8606.0	SIPO
39015	6495	EF	70085698	8747.0	UVER
39027	6505	WX	49671936	3207.8	UVER
39032	6510	EF	50882208	3207.8	UVER
39033	6511	KL	72078418	1924.7	LEASING
39102	6555	UV	80658405	5900.0	UVER
39151	6592	QR	62818646	6510.7	UVER
39152	6592	QR	16516280	10755.0	SIPO
39167	6602	GH	94580405	8523.0	UVER
39177	6609	ST	70020216	1671.0	UVER
39178	6609	UV	11188424	3881.0	SIPO
39179	6609	GH	27650201	1624.0	
39241	6649	CD	71315157	1671.0	UVER
39284	6678	AB	46673387	6133.0	UVER
39303	6686	ST	36217254	4853.8	UVER
39305	6688	AB	1844835	1753.0	SIPO
39306	6688	OP	24286341	1282.0	
39307	6688	AB	44432550	570.0	POJISTNE
39308	6688	EF	9123272	638.0	UVER
39324	6699	AB	40932357	2650.2	UVER
39325	6699	UV	79769712	7303.0	SIPO
39326	6699	EF	81050043	5504.0	
39328	6701	CD	54543888	2650.2	UVER
39337	6706	ST	63843142	1982.0	SIPO
39338	6706	IJ	19147312	671.0	
39339	6706	CD	23725885	815.0	POJISTNE
39340	6706	WX	83129149	1081.0	UVER
39352	6715	GH	85509657	2298.2	UVER
39380	6738	ST	11352903	3159.0	UVER
39463	6792	GH	65384101	3520.0	SIPO
39464	6792	AB	20771622	49.0	
39465	6792	YZ	5785042	423.0	POJISTNE
39466	6792	YZ	76593392	1432.0	UVER
39483	6806	IJ	24762851	2428.9	LEASING
39555	6856	CD	38296979	3454.0	UVER
39556	6856	CD	71201121	2557.0	SIPO
39557	6856	YZ	61659604	794.0	
39558	6856	WX	70674234	6965.0	POJISTNE
39617	6902	OP	39091980	3738.0	SIPO
39618	6902	YZ	4458135	827.0	
39619	6902	ST	86353617	1370.0	UVER
39629	6910	AB	23767364	2391.5	LEASING
39646	6922	UV	54632151	5811.7	UVER
39648	6924	UV	50566107	4059.5	UVER
39649	6924	CD	76091629	4585.0	SIPO
39661	6930	WX	22201913	1081.0	UVER
39689	6950	ST	88771885	8561.0	SIPO
39690	6950	IJ	13666057	9910.0	UVER
40760	7674	YZ	18857425	7383.0	
39741	6985	ST	77922910	2687.5	UVER
39742	6985	ST	73746818	13167.0	SIPO
39830	7045	MN	36153978	6015.3	UVER
39835	7049	GH	52499610	8253.2	UVER
39841	7052	AB	10413468	1776.7	UVER
39890	7082	CD	91626292	6359.0	SIPO
39891	7082	AB	93874412	1204.0	
39892	7082	CD	47163563	15.0	POJISTNE
39893	7082	AB	18123281	262.0	
39894	7082	YZ	25515216	4045.0	UVER
39924	7099	AB	75017177	4882.5	UVER
39925	7099	UV	96372824	236.0	SIPO
39926	7099	QR	8235311	11766.0	
39927	7099	AB	62618040	528.0	POJISTNE
39966	7123	WX	42583918	3918.2	UVER
39967	7123	KL	42013669	14581.0	SIPO
39986	7133	CD	49628651	2683.0	SIPO
39987	7133	YZ	28418004	44.0	
39988	7133	IJ	89750158	115.0	POJISTNE
39989	7133	ST	56658023	56.0	
39990	7133	AB	27370810	1352.0	UVER
39994	7136	ST	16474801	2059.0	UVER
39995	7136	ST	35699868	1080.0	SIPO
39996	7136	UV	45092648	2235.0	
39997	7136	AB	13272279	547.0	POJISTNE
40034	7156	MN	60879224	2062.0	UVER
40065	7176	KL	12137484	6110.0	SIPO
40066	7176	CD	11141997	3399.0	UVER
40071	7180	YZ	5624032	4156.5	UVER
40072	7180	ST	71244883	8089.0	SIPO
40073	7181	KL	76611220	4156.5	UVER
40074	7181	UV	66605192	5030.0	SIPO
40075	7181	OP	86960434	421.0	
40076	7181	IJ	99126499	16.0	POJISTNE
40077	7181	OP	40795511	514.0	
40084	7184	GH	64944064	3434.0	SIPO
40085	7184	AB	5196965	1879.0	
40086	7184	QR	43513906	691.0	POJISTNE
40087	7184	EF	15510481	276.0	
40088	7184	AB	95096921	6485.0	UVER
40099	7190	WX	11074567	5394.0	SIPO
40100	7190	MN	63233262	1056.0	UVER
40158	7231	CD	3170419	2283.2	LEASING
40169	7240	WX	51813179	2535.7	UVER
40170	7240	QR	38210588	9136.0	SIPO
40207	7262	EF	83855402	1900.0	SIPO
40208	7262	UV	4781288	6875.0	
40209	7262	UV	99959164	1221.0	UVER
40226	7274	WX	91164630	4086.8	UVER
40227	7274	WX	33532422	4603.0	SIPO
40328	7401	ST	89597016	3372.7	UVER
40329	7401	QR	13943797	7266.0	SIPO
40349	7418	QR	14132368	2523.2	UVER
40357	7424	YZ	1301700	2523.2	UVER
40358	7424	IJ	4896235	6817.0	SIPO
40359	7424	AB	79838293	1110.0	
40360	7424	WX	52864879	164.0	POJISTNE
40381	7437	QR	79067885	2306.8	UVER
40382	7437	EF	2692229	6901.0	SIPO
40383	7437	KL	83435654	231.0	
40384	7437	OP	64685678	228.0	POJISTNE
40395	7445	WX	21391058	2306.8	UVER
40410	7454	QR	96140414	2306.0	SIPO
40411	7454	AB	52242457	471.0	
40412	7454	QR	90570520	1319.0	UVER
40429	7465	ST	28778660	1060.6	LEASING
40430	7465	ST	29852605	1391.0	SIPO
40431	7465	CD	49864357	2850.0	
40432	7465	OP	112665	302.0	POJISTNE
40433	7465	MN	72408258	2527.0	
40462	7485	OP	40248417	3799.8	UVER
40463	7485	UV	56684088	10279.0	SIPO
40465	7487	ST	72582745	2279.9	LEASING
40466	7487	IJ	21018159	7329.0	SIPO
40467	7487	KL	47784578	4792.0	
40524	7523	QR	92478555	8013.0	UVER
40559	7542	OP	63780206	3683.0	SIPO
40560	7542	UV	94022273	3389.0	
40561	7542	CD	1739269	9847.0	UVER
40565	7546	AB	36362540	3495.8	UVER
40566	7546	EF	8914953	3861.0	SIPO
40567	7546	ST	87915062	198.0	
40568	7546	ST	3298998	49.0	POJISTNE
40588	7559	YZ	78349375	4112.0	SIPO
40589	7559	GH	48709929	1066.0	UVER
40593	7562	YZ	13822353	6450.2	UVER
40597	7565	EF	61455482	3197.8	UVER
40598	7565	GH	98498379	6649.0	SIPO
40599	7565	MN	24854338	228.0	
40635	7594	QR	61969953	2718.0	UVER
40636	7594	YZ	48485803	2302.0	SIPO
40637	7594	MN	40380853	2165.0	
40638	7594	WX	62343466	1347.0	POJISTNE
40639	7594	IJ	4607093	210.0	
40654	7606	MN	80371361	3197.8	UVER
40655	7606	AB	99149345	4268.0	SIPO
40656	7606	CD	41400957	5856.0	
40657	7607	KL	40659213	6020.0	SIPO
40658	7607	GH	90159475	1322.0	UVER
40671	7614	WX	54133033	6678.7	UVER
40675	7618	AB	12091774	2362.4	LEASING
40694	7632	KL	82218134	9629.0	SIPO
40695	7632	WX	61472195	3551.0	UVER
40702	7636	KL	97231417	3532.0	UVER
40703	7636	CD	96037745	3077.0	SIPO
40704	7636	CD	10650349	325.0	
40705	7637	GH	40997958	9397.0	SIPO
40706	7637	YZ	40161162	8127.0	UVER
40758	7674	GH	13693094	3937.3	UVER
40759	7674	ST	57784575	1477.0	SIPO
40815	7713	UV	76325124	3673.7	UVER
40816	7713	ST	45360702	8418.0	SIPO
40827	7721	IJ	35142588	3788.3	UVER
40846	7733	EF	37232846	5836.0	UVER
40865	7745	WX	97571604	2153.8	UVER
40866	7745	WX	99381535	10160.0	SIPO
40883	7753	GH	62899923	2153.8	UVER
40897	7765	IJ	74587321	2332.0	UVER
40898	7765	EF	75713848	8217.0	SIPO
40906	7769	OP	57404768	4085.0	UVER
40910	7774	KL	75218081	1002.4	LEASING
40947	7795	AB	32384473	6202.0	UVER
40975	7815	MN	67844575	7903.8	UVER
40976	7815	KL	1201522	1475.0	SIPO
40977	7815	ST	1738054	268.0	
40978	7815	IJ	92419248	2197.0	POJISTNE
40987	7819	KL	64831554	1953.0	SIPO
40988	7819	MN	77821957	733.0	
40989	7819	CD	46939146	1296.0	POJISTNE
40990	7819	WX	14313167	1721.0	
40991	7819	UV	847703	434.0	UVER
40999	7824	KL	63899862	7903.8	UVER
41000	7824	ST	63655739	2156.0	SIPO
41001	7824	GH	44470602	1525.0	
41042	7844	UV	97729610	3816.0	UVER
41059	7857	WX	74962877	5676.0	UVER
41060	7857	EF	68440097	8157.0	SIPO
41061	7857	MN	40089714	1042.0	
41062	7857	KL	92092263	137.0	POJISTNE
41064	7859	UV	4752576	6010.2	UVER
41066	7861	GH	21743178	8400.0	SIPO
41067	7861	OP	58806037	400.0	
41068	7861	WX	69198441	26.0	POJISTNE
41069	7861	MN	77948432	131.0	
41070	7861	WX	68080514	607.0	UVER
41106	7890	ST	40316993	4304.0	SIPO
41107	7890	WX	15278214	1653.0	UVER
41111	7894	CD	54257065	4253.7	UVER
41112	7894	ST	28510761	4780.0	SIPO
41113	7894	ST	49265408	2705.0	
41131	7907	EF	4643744	8116.2	UVER
41132	7907	IJ	24488801	6327.0	SIPO
41168	7926	GH	19511139	3505.0	UVER
41214	7957	YZ	74890845	3575.0	UVER
41215	7957	WX	45545804	6164.0	SIPO
41216	7957	EF	66945707	6055.0	
41230	7965	YZ	98081868	5955.0	UVER
41231	7965	IJ	47610610	7268.0	SIPO
41232	7966	MN	70140522	7887.7	UVER
41266	7990	AB	48107528	3020.0	UVER
41267	7990	IJ	79489946	7158.0	SIPO
41276	7997	ST	41260135	6694.2	UVER
41316	8026	GH	42597097	3563.0	UVER
41317	8027	CD	58650100	6469.7	UVER
41332	8038	AB	66150927	5215.0	SIPO
41333	8038	QR	85338079	1494.0	UVER
41334	8039	UV	23606485	3900.5	UVER
41335	8039	AB	63169944	1074.0	SIPO
41336	8039	MN	52981835	610.0	
41337	8039	IJ	3321844	3231.0	POJISTNE
41339	8041	UV	52271634	3900.5	UVER
41351	8051	AB	43162244	4340.0	UVER
41380	8073	OP	7434404	4110.0	UVER
41381	8073	GH	14566856	695.0	SIPO
41382	8073	IJ	4501516	11567.0	
41406	8085	ST	4945105	4340.0	UVER
41407	8085	KL	18004334	916.0	SIPO
41408	8085	KL	82082688	10965.0	
41415	8092	ST	92639082	6216.0	SIPO
41416	8092	QR	98730998	935.0	UVER
41418	8094	UV	16097522	6123.0	UVER
41419	8094	CD	81951832	5665.0	SIPO
41452	8114	MN	69633596	5958.0	SIPO
41453	8114	GH	65448498	494.0	
41454	8114	EF	93537979	1655.0	UVER
41468	8127	AB	15843767	6494.8	UVER
41469	8127	IJ	10767406	8305.0	SIPO
41471	8129	AB	67742585	6184.0	SIPO
41472	8129	KL	34254557	2076.0	UVER
41501	8149	IJ	85080247	4190.3	UVER
41507	8153	IJ	48735177	1993.6	LEASING
41512	8158	QR	37226617	6630.7	UVER
41513	8158	UV	88843780	9538.0	SIPO
41514	8158	OP	99838619	2148.0	
41515	8159	WX	6845528	3034.0	SIPO
41516	8159	QR	17476857	1552.0	
41517	8159	GH	50695323	1241.0	UVER
41532	8169	WX	75957637	2148.0	SIPO
41533	8169	GH	17758477	3575.0	
41534	8169	IJ	33620470	1633.0	UVER
41538	8173	MN	9593391	6695.0	UVER
41592	8212	AB	97101723	1280.0	LEASING
41606	8225	ST	69110774	3017.2	UVER
41652	8260	QR	25747537	6239.2	UVER
41653	8261	AB	89613669	3659.8	UVER
41654	8261	GH	72995984	1915.0	SIPO
41655	8261	YZ	66767722	413.0	
41656	8261	OP	24150228	646.0	POJISTNE
41657	8261	KL	89226317	2163.0	
41666	8268	YZ	74354535	1999.0	SIPO
41667	8268	UV	88068616	5870.0	
41668	8268	ST	69461178	359.0	UVER
41742	8316	ST	47769522	5616.2	UVER
41746	8320	UV	30686378	5161.2	UVER
41747	8320	KL	9010935	9105.0	SIPO
41748	8321	WX	27547550	7041.0	SIPO
41749	8321	AB	48114669	1484.0	UVER
41754	8327	IJ	33872771	5161.2	UVER
41755	8327	UV	66402190	4104.0	SIPO
41756	8327	QR	54091328	2539.0	
41760	8330	EF	78180604	3708.0	SIPO
41761	8330	EF	4814380	319.0	UVER
41778	8341	OP	92974847	1303.2	LEASING
41827	8377	QR	64508902	6950.8	UVER
41828	8377	QR	50940710	1172.0	SIPO
41829	8377	MN	65432101	5018.0	
41834	8381	IJ	59746819	6950.8	UVER
41835	8381	AB	88732933	740.0	SIPO
41836	8381	QR	19546556	8039.0	
41881	8405	YZ	84832042	410.0	SIPO
41882	8405	ST	21518677	4095.0	
41883	8405	UV	41846251	3344.0	POJISTNE
41884	8405	OP	25666362	4437.0	UVER
41894	8411	GH	55101638	3677.3	UVER
41895	8411	CD	50854969	5812.0	SIPO
41896	8411	OP	18521237	3507.0	
41989	8475	EF	54853975	495.0	SIPO
41990	8475	WX	90749495	3833.0	
41991	8475	AB	42267400	878.0	UVER
42003	8489	ST	2885187	3835.0	SIPO
42004	8489	GH	20661109	7370.0	UVER
42008	8492	ST	72004610	4403.0	SIPO
42009	8492	EF	88451617	1431.0	UVER
42029	8505	UV	92435764	3570.0	UVER
42047	8519	KL	62055730	6224.3	UVER
42048	8519	IJ	12003517	13711.0	SIPO
42056	8523	AB	52086591	7753.3	UVER
42068	8533	YZ	84493583	3626.0	UVER
42084	8547	AB	64253020	4806.5	UVER
42104	8558	OP	72949552	4806.5	UVER
42115	8564	ST	88073575	3195.0	UVER
42116	8564	UV	59670215	7170.0	SIPO
42117	8564	EF	30920487	5483.0	
42119	8566	MN	44048529	6394.8	UVER
42120	8566	AB	72264265	555.0	SIPO
42121	8566	OP	72889137	8894.0	
42200	8625	UV	74800854	1970.8	UVER
42201	8625	YZ	85545950	8151.0	SIPO
42221	8639	MN	67667299	3094.5	UVER
42234	8645	KL	37808364	8919.0	SIPO
42235	8645	CD	50500750	4015.0	UVER
42274	8680	UV	42112159	2381.2	UVER
42275	8680	ST	96207493	3598.0	SIPO
42276	8680	OP	23105997	8566.0	
42286	8688	WX	81943165	5665.0	UVER
42322	8713	ST	10424369	2845.0	UVER
42360	8742	MN	70177709	68.0	SIPO
42361	8742	EF	59493338	235.0	
42362	8742	YZ	45149773	6089.0	POJISTNE
42363	8742	GH	12393570	2762.0	UVER
42392	8759	ST	60727876	1562.1	LEASING
42414	8772	KL	85151469	1839.3	UVER
42415	8772	CD	19611203	7357.0	SIPO
42420	8776	CD	88153653	708.0	UVER
42431	8784	UV	10770130	3098.0	UVER
42432	8784	KL	68974447	7097.0	SIPO
42581	8896	AB	6663299	2474.6	LEASING
42584	8899	CD	16985112	2088.8	UVER
42585	8899	OP	23646956	3713.0	SIPO
42612	8919	KL	55111950	166.0	SIPO
42613	8919	ST	41956782	2670.0	
42614	8919	IJ	5126792	3171.0	UVER
42625	8926	ST	35869842	3912.0	SIPO
42626	8926	WX	2699643	2693.0	
42627	8926	MN	94917398	1142.0	POJISTNE
42628	8926	UV	49839079	25.0	
42629	8926	CD	21242875	9444.0	UVER
42633	8931	KL	7974166	3104.7	UVER
42634	8931	WX	9704506	1749.0	SIPO
42635	8931	MN	66827905	6294.0	
42674	8957	IJ	80486869	1209.4	LEASING
42697	8972	EF	61556398	4719.0	SIPO
42698	8972	YZ	5877823	2056.0	
42699	8972	CD	75504857	938.0	UVER
42713	8982	OP	77285653	6330.2	UVER
42734	8998	IJ	51931607	3798.1	LEASING
42743	9006	YZ	28411376	3883.0	UVER
42744	9006	UV	73640763	4541.0	SIPO
42763	9017	IJ	66171890	2088.0	UVER
42771	9024	AB	4807711	6270.0	SIPO
42772	9024	GH	77119290	1472.0	UVER
42779	9030	UV	55505740	2587.0	SIPO
42780	9030	YZ	49006336	831.0	
42781	9030	UV	13342953	3242.0	UVER
42782	9031	UV	95826726	2088.0	UVER
42783	9031	AB	35263872	4228.0	SIPO
42784	9031	AB	50771135	145.0	
42785	9031	IJ	85827368	645.0	POJISTNE
42787	9034	UV	53641200	3179.0	UVER
42788	9034	YZ	1820415	4697.0	SIPO
42789	9034	ST	92149078	621.0	
42790	9034	AB	22182023	9115.0	POJISTNE
42796	9037	QR	79376786	3416.0	SIPO
42797	9037	QR	77797412	4033.0	
42798	9037	YZ	68518405	6707.0	UVER
42813	9052	QR	10905218	2999.3	UVER
42874	9093	AB	28652066	1311.0	SIPO
42875	9093	QR	62233042	2617.0	
42876	9093	OP	60554724	3155.0	UVER
42889	9104	AB	10966873	3585.2	UVER
42942	9138	ST	11258626	4537.3	UVER
42943	9138	IJ	72567075	9519.0	SIPO
42944	9138	ST	63407915	2666.0	
42946	9140	CD	64458685	9264.0	SIPO
42947	9140	UV	6970173	19.0	
42948	9140	WX	30615341	56.0	POJISTNE
42949	9140	MN	91346168	334.0	UVER
42965	9153	GH	1709419	5042.0	SIPO
42966	9153	ST	27339548	1451.0	UVER
42971	9156	WX	22888767	4537.3	UVER
42976	9159	EF	35698783	6869.0	SIPO
42977	9159	QR	61719810	1847.0	
42978	9159	YZ	78505074	253.0	POJISTNE
42979	9159	IJ	98776262	316.0	
42980	9159	ST	70977645	1450.0	UVER
42990	9167	MN	98049097	4537.3	UVER
42991	9167	QR	15502429	4950.0	SIPO
42992	9167	WX	99994199	887.0	
42993	9167	AB	40962070	545.0	POJISTNE
43002	9179	CD	47917145	3583.7	UVER
43009	9188	GH	22466057	2118.3	UVER
43010	9188	OP	94166147	7936.0	SIPO
43011	9188	GH	11309677	471.0	
43012	9188	OP	96138745	66.0	POJISTNE
43023	9199	WX	42162633	2454.5	UVER
43025	9201	AB	85031735	5103.0	UVER
43026	9201	CD	29740798	13461.0	SIPO
43034	9208	WX	63637012	3421.5	UVER
43055	9225	YZ	44963038	3421.5	UVER
43056	9227	IJ	23946523	1784.0	SIPO
43057	9227	AB	54022675	1164.0	
43058	9227	GH	92207109	3193.0	UVER
43068	9235	UV	2864957	1735.0	UVER
43069	9236	YZ	16537583	2239.0	SIPO
43070	9236	AB	10692495	2276.0	
43071	9236	KL	67995285	7218.0	UVER
43081	9241	ST	73753130	4753.7	UVER
43082	9241	WX	9130680	3595.0	SIPO
43083	9242	IJ	54940307	1932.0	UVER
43117	9263	YZ	8448315	3298.3	UVER
43118	9263	IJ	66611260	9874.0	SIPO
43119	9263	ST	63701718	62.0	
43122	9265	IJ	81887966	3298.3	UVER
43123	9265	EF	98678969	9493.0	SIPO
43124	9265	EF	84062218	4017.0	
43182	9307	EF	53406888	3491.5	UVER
43183	9307	EF	84733318	4654.0	SIPO
43184	9307	AB	52218389	2735.0	
43228	9337	CD	56037777	2172.0	UVER
43248	9353	WX	95570617	7859.0	UVER
43249	9353	GH	35453134	10240.0	SIPO
43294	9377	QR	64104062	4164.0	UVER
43295	9377	QR	54912304	2758.0	SIPO
43296	9377	AB	52341222	3983.0	
43327	9403	GH	93069415	3358.0	UVER
43328	9403	IJ	75850492	3225.0	SIPO
43357	9422	QR	97387158	7182.5	UVER
43358	9422	ST	30643040	107.0	SIPO
43359	9422	YZ	28156739	3136.0	
43361	9424	EF	1838881	2322.7	UVER
43375	9433	KL	67186093	1860.0	UVER
43405	9455	YZ	28933072	6245.8	UVER
43406	9455	KL	21014684	2789.0	SIPO
43407	9455	IJ	47912371	618.0	
43408	9455	IJ	93110262	7793.0	POJISTNE
43436	9472	AB	21299124	3033.0	UVER
43437	9472	KL	17279625	5119.0	SIPO
43465	9491	ST	8897775	4698.0	UVER
43466	9491	GH	6734550	4704.0	SIPO
43467	9491	GH	42563897	2245.0	
43468	9491	QR	50093847	872.0	POJISTNE
43469	9493	AB	57428258	3930.8	UVER
43470	9493	WX	47398895	6803.0	SIPO
43471	9494	IJ	95319723	4746.0	SIPO
43472	9494	GH	66095858	9736.0	UVER
43489	9504	KL	22714406	5688.0	UVER
43501	9510	EF	56462389	6341.0	UVER
43508	9513	WX	64432430	8319.0	SIPO
43509	9513	WX	37582862	1527.0	UVER
43561	9548	YZ	97789895	9613.0	SIPO
43562	9548	OP	54906487	962.0	UVER
43573	9560	OP	86154901	4362.7	UVER
43574	9560	EF	53716289	7234.0	SIPO
43600	9583	MN	86397230	4362.7	UVER
43601	9583	EF	69415771	13386.0	SIPO
43610	9591	WX	37543189	4362.7	UVER
43611	9591	QR	26528680	4146.0	SIPO
43664	9627	KL	63660836	5091.3	UVER
43669	9631	MN	51593184	2476.8	UVER
43673	9633	ST	67566084	2476.8	UVER
43683	9640	WX	56319099	3184.3	UVER
43684	9640	QR	35819530	10597.0	SIPO
43685	9640	GH	37369465	4087.0	
43692	9645	EF	71165287	4893.0	UVER
43693	9645	KL	32246267	5183.0	SIPO
43694	9646	QR	71861016	5813.5	UVER
43708	9656	EF	27695667	5813.5	UVER
43709	9656	OP	12446082	10721.0	SIPO
43737	9673	QR	70481157	2450.2	UVER
43738	9673	GH	96695422	3684.0	SIPO
43746	9677	WX	83789282	8944.0	SIPO
43747	9677	AB	25327652	527.0	UVER
43789	9703	KL	62426549	2467.0	LEASING
43796	9707	IJ	75120967	3112.1	LEASING
43821	9730	WX	53964394	258.0	SIPO
43822	9730	AB	9366584	4764.0	
43823	9730	WX	82324945	1934.0	UVER
43824	9731	IJ	58578437	3160.7	UVER
43825	9731	AB	50025022	4967.0	SIPO
43826	9731	OP	14137328	1320.0	
43849	9750	OP	14637118	3160.7	UVER
43912	9790	UV	22918135	2791.0	UVER
43913	9790	EF	28873682	9210.0	SIPO
43914	9790	AB	42063897	993.0	
43915	9790	QR	93822401	2488.0	POJISTNE
43945	9814	QR	6911552	8013.7	UVER
43962	9828	UV	86956995	5274.7	UVER
43972	9833	OP	18851059	8136.0	UVER
43973	9833	ST	35473787	6531.0	SIPO
43974	9833	EF	18397510	5915.0	
44009	9859	EF	18163144	5010.5	UVER
44010	9859	QR	24650532	1008.0	SIPO
44011	9859	KL	16269088	1476.0	
44012	9859	KL	56029701	765.0	POJISTNE
44027	9869	YZ	58726429	5887.0	SIPO
44028	9869	MN	41454464	2498.0	
44029	9869	CD	29203164	5526.0	UVER
44048	9883	MN	98655610	2768.9	LEASING
44049	9883	CD	27317208	713.0	SIPO
44050	9883	CD	12663782	1780.0	
44051	9883	WX	85923730	12504.0	POJISTNE
44070	9897	IJ	58063542	3013.5	UVER
44071	9897	ST	84057002	1507.0	SIPO
44072	9897	IJ	22879386	4339.0	
44073	9897	YZ	57870101	6953.0	POJISTNE
44112	9928	AB	96968262	5016.0	SIPO
44113	9928	KL	10807258	1489.0	UVER
44226	10001	WX	77369373	529.0	UVER
44232	10005	WX	1889122	5854.2	UVER
44233	10005	WX	9563577	9151.0	SIPO
44247	10019	QR	87297737	5415.0	UVER
44249	10022	OP	56197208	4542.7	UVER
44250	10022	MN	25915658	7678.0	SIPO
44251	10022	MN	82763254	4104.0	
44272	10036	EF	60250908	4729.9	LEASING
44297	10049	CD	7603472	1609.0	SIPO
44298	10049	ST	95437645	1281.0	
44299	10049	GH	45261365	7636.0	UVER
44321	10063	UV	42204785	6483.7	UVER
44322	10063	GH	12242025	90.0	SIPO
44323	10063	UV	1152956	7601.0	
44324	10063	YZ	79726081	2746.0	POJISTNE
44325	10063	ST	68336278	1326.0	
44328	10065	CD	54091745	6483.7	UVER
44330	10068	WX	81110077	6483.7	UVER
44345	10079	YZ	33228176	2784.8	UVER
44355	10093	GH	24015391	6436.0	UVER
44356	10093	EF	14110547	2762.0	SIPO
44357	10093	WX	57294940	331.0	
44358	10093	EF	80783962	7082.0	POJISTNE
44373	10105	OP	27668351	5079.0	UVER
44408	10131	YZ	64831644	5983.0	UVER
44412	10134	EF	12704295	5681.8	UVER
44413	10134	QR	69918125	9535.0	SIPO
44435	10148	UV	70086633	4205.0	SIPO
44436	10148	UV	85131781	1866.0	
44437	10148	ST	5157071	1842.0	UVER
44523	10202	AB	31367302	6363.3	UVER
44524	10202	QR	56383961	1281.0	SIPO
44525	10202	CD	86462396	4880.0	
44536	10215	UV	65958177	152.0	SIPO
44537	10215	GH	18670410	4122.0	
44538	10215	WX	33332234	1846.0	UVER
44562	10233	MN	72738069	3985.7	UVER
44563	10233	WX	6003463	456.0	SIPO
44564	10233	CD	70803910	53.0	
44565	10233	OP	53952217	986.0	POJISTNE
44566	10233	MN	69788956	4260.0	
44578	10243	GH	33131796	3151.3	UVER
44598	10257	IJ	7045454	3151.3	UVER
44599	10257	YZ	6128639	14801.0	SIPO
44611	10266	EF	72682583	3151.3	UVER
44634	10280	EF	13051045	5802.3	UVER
44665	10297	CD	53796619	9902.0	SIPO
44666	10297	WX	2840400	8771.0	UVER
44698	10320	KL	11919367	4328.8	UVER
44699	10320	KL	6873333	12414.0	SIPO
44732	10345	UV	98083507	6742.0	SIPO
44733	10345	UV	38070029	2605.0	UVER
44743	10351	CD	99277340	4410.0	SIPO
44744	10351	GH	66402935	1848.0	UVER
44765	10361	CD	64321249	7240.0	UVER
44769	10364	EF	67477196	6262.0	SIPO
44770	10364	IJ	11477667	609.0	UVER
44771	10365	OP	35377323	7240.0	UVER
44772	10365	MN	91104155	4325.0	SIPO
44773	10365	GH	19185972	6395.0	
44774	10365	OP	23228162	331.0	POJISTNE
44775	10365	YZ	81018465	1773.0	
44836	10404	AB	3621232	2171.0	SIPO
44837	10404	AB	74571001	1203.0	
44838	10404	AB	21209323	100.0	POJISTNE
44839	10404	UV	60165852	883.0	
44840	10404	ST	55139064	3238.0	UVER
44850	10411	GH	82482695	5142.0	UVER
44851	10411	ST	41324371	3020.0	SIPO
44852	10411	GH	93566715	1807.0	
44853	10411	CD	33192354	2323.0	POJISTNE
44854	10411	ST	47737151	7732.0	
44894	10436	AB	4855519	1511.0	UVER
44899	10439	AB	78703766	6315.0	UVER
44900	10439	WX	55833750	10134.0	SIPO
44901	10440	YZ	4957092	2960.0	SIPO
44902	10440	IJ	96339386	1950.0	
44903	10440	AB	1623732	1000.0	UVER
44909	10445	MN	24684030	3234.0	SIPO
44910	10445	EF	399	1951.0	UVER
44923	10451	CD	58286762	2439.0	SIPO
44924	10451	QR	73621487	4653.0	
44925	10451	MN	92217593	689.0	POJISTNE
44926	10451	YZ	10042131	8049.0	UVER
44966	10478	MN	41004979	5575.3	UVER
44983	10493	UV	88460844	5575.3	UVER
44984	10493	YZ	11884606	8594.0	SIPO
44985	10493	AB	16853463	842.0	
45022	10520	MN	4994863	6959.8	UVER
45167	10613	MN	57666522	5204.2	UVER
45189	10630	UV	65871029	7303.0	SIPO
45190	10630	OP	6516325	8260.0	UVER
45210	10644	ST	68935322	7498.7	UVER
45211	10644	GH	87092184	11053.0	SIPO
45212	10645	AB	62736219	5787.0	UVER
45213	10645	MN	86990302	3740.0	SIPO
45221	10650	QR	49945110	4088.0	UVER
45222	10650	WX	40695470	10356.0	SIPO
45224	10652	UV	59188014	3810.0	UVER
45225	10652	MN	74468493	1290.0	SIPO
45226	10652	QR	87759685	2362.0	
45244	10663	MN	48801767	7223.2	UVER
45245	10663	YZ	75102978	4782.0	SIPO
45246	10663	YZ	54900079	9317.0	
45271	10679	AB	88228171	8241.8	UVER
45272	10679	UV	90083878	6670.0	SIPO
45324	10711	MN	4543543	2714.0	SIPO
45325	10711	OP	49912905	413.0	
45326	10711	WX	75319576	85.0	POJISTNE
45327	10711	EF	39264708	443.0	
45328	10711	GH	56366127	403.0	UVER
45347	10728	QR	3507805	3221.5	UVER
45348	10728	UV	56014490	3867.0	SIPO
45363	10738	UV	56781524	3221.5	UVER
45364	10738	CD	73939931	186.0	SIPO
45365	10738	CD	41088736	8042.0	
45401	10762	WX	41995155	5435.0	SIPO
45402	10762	YZ	96996306	1912.0	UVER
45417	10774	AB	56546854	3728.0	SIPO
45418	10774	QR	93903570	7066.0	UVER
45433	10788	EF	82111698	3813.7	UVER
45435	10789	IJ	33691179	3813.7	UVER
45436	10789	GH	34503346	10340.0	SIPO
45437	10789	GH	94227504	933.0	
45438	10789	AB	38727879	2670.0	POJISTNE
45448	10799	UV	80825555	519.0	UVER
45455	10807	EF	29934013	5622.5	UVER
45460	10812	IJ	5287313	2931.0	UVER
45536	10857	UV	47286009	6426.3	UVER
45575	10884	IJ	46969729	3154.0	UVER
45576	10884	EF	72628474	1326.0	SIPO
45577	10884	QR	42624378	4408.0	
45605	10904	IJ	77286952	538.0	LEASING
45606	10905	AB	20420891	2939.0	SIPO
45607	10905	EF	13832676	1682.0	
45608	10905	KL	88619136	1190.0	UVER
45612	10911	QR	35383486	3647.0	UVER
45613	10911	YZ	70292973	7312.0	SIPO
45618	10915	AB	40481370	2540.8	UVER
45619	10915	CD	80617797	2596.0	SIPO
45620	10915	GH	27411347	390.0	
45621	10915	IJ	40923118	3651.0	POJISTNE
45622	10915	WX	53494477	4520.0	
45666	10940	KL	1789451	7517.0	SIPO
45667	10940	YZ	91803866	5493.0	UVER
45669	10942	IJ	35088640	5242.0	UVER
45670	10942	AB	71402126	10472.0	SIPO
45688	10954	ST	11468434	312.0	UVER
45704	10963	AB	61788761	3216.7	UVER
45717	10973	OP	88414823	3216.7	UVER
45776	11013	YZ	91721045	4579.0	UVER
45777	11013	CD	27690512	756.0	SIPO
45778	11013	IJ	43103534	9499.0	
45793	11021	KL	1485199	7040.7	UVER
45800	11027	QR	81596547	2004.2	UVER
45801	11027	GH	23646575	3799.0	SIPO
45826	11042	EF	86233681	6031.8	UVER
45827	11042	UV	59894961	8436.0	SIPO
45845	11053	KL	79624074	3619.1	LEASING
45846	11054	KL	99520563	2482.0	UVER
45847	11054	EF	28344845	11506.0	SIPO
45868	11065	MN	13170600	1445.0	UVER
45873	11069	QR	55347859	2482.0	UVER
45885	11079	UV	40114671	8191.5	UVER
45902	11096	QR	41980844	6661.0	SIPO
45903	11096	WX	43682754	3555.0	UVER
45922	11111	MN	63972902	3004.5	UVER
45923	11111	CD	17909336	4736.0	SIPO
45969	11135	OP	24313068	3264.0	SIPO
45970	11135	UV	31748539	5073.0	UVER
45974	11138	YZ	73215025	3744.7	UVER
45978	11141	QR	68096905	3744.7	UVER
46055	11186	UV	92339318	6541.2	UVER
46056	11186	WX	55896991	9810.0	SIPO
46125	11231	CD	69176065	7440.5	UVER
46126	11231	AB	4824811	9783.0	SIPO
46127	11231	UV	15493494	229.0	
46149	11244	KL	40766275	6490.5	UVER
46150	11244	EF	90770136	12154.0	SIPO
46184	11265	KL	37816989	506.0	SIPO
46185	11265	WX	80508869	2607.0	
46186	11265	KL	33709621	4399.0	UVER
46193	11271	QR	24716264	1870.3	UVER
46194	11271	EF	69184708	5808.0	SIPO
46195	11271	AB	31909245	2364.0	
46196	11271	IJ	36822885	516.0	POJISTNE
46258	11317	CD	66904526	5290.8	UVER
46259	11317	KL	72136521	3849.0	SIPO
46260	11317	YZ	43205881	2784.0	
46273	11327	YZ	5815422	3693.0	SIPO
46274	11327	CD	61814498	1632.0	UVER
46275	11328	YZ	75745355	4674.0	UVER
46289	11333	IJ	99705963	3286.7	LEASING
46311	11349	KL	66436326	6998.0	UVER
46312	11349	GH	57291018	10886.0	SIPO
46328	11359	EF	37834555	4502.3	UVER
46329	11359	OP	33080721	4518.0	SIPO
46330	11359	AB	90330576	254.0	
46334	11362	YZ	70641225	4780.0	SIPO
46335	11362	MN	78507822	56.0	
46336	11362	ST	40799850	330.0	POJISTNE
46337	11362	KL	20009470	129.0	
46338	11362	MN	61540514	5392.0	UVER
\.


--
-- Data for Name: trans; Type: TABLE DATA; Schema: financial; Owner: postgres
--

COPY financial.trans (trans_id, account_id, date, type, operation, amount, balance, k_symbol, bank, account) FROM stdin;
1	1	1995-03-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
5	1	1995-04-13	PRIJEM	PREVOD Z UCTU	3679	4679	\N	AB	41403269
6	1	1995-05-13	PRIJEM	PREVOD Z UCTU	3679	20977	\N	AB	41403269
7	1	1995-06-13	PRIJEM	PREVOD Z UCTU	3679	26835	\N	AB	41403269
8	1	1995-07-13	PRIJEM	PREVOD Z UCTU	3679	30415	\N	AB	41403269
9	1	1995-08-13	PRIJEM	PREVOD Z UCTU	3679	28903	\N	AB	41403269
10	1	1995-09-13	PRIJEM	PREVOD Z UCTU	3679	22714	\N	AB	41403269
11	1	1995-10-13	PRIJEM	PREVOD Z UCTU	3679	23318	\N	AB	41403269
12	1	1995-11-13	PRIJEM	PREVOD Z UCTU	3679	21721	\N	AB	41403269
13	1	1995-12-13	PRIJEM	PREVOD Z UCTU	3679	20249	\N	AB	41403269
14	1	1996-01-13	PRIJEM	PREVOD Z UCTU	3679	17870	\N	AB	41403269
15	1	1996-02-13	PRIJEM	PREVOD Z UCTU	3679	14807	\N	AB	41403269
16	1	1996-03-13	PRIJEM	PREVOD Z UCTU	3679	16179	\N	AB	41403269
17	1	1996-04-13	PRIJEM	PREVOD Z UCTU	3679	17657	\N	AB	41403269
18	1	1996-05-13	PRIJEM	PREVOD Z UCTU	3679	16937	\N	AB	41403269
19	1	1996-06-13	PRIJEM	PREVOD Z UCTU	3679	15652	\N	AB	41403269
20	1	1996-07-13	PRIJEM	PREVOD Z UCTU	3679	17970	\N	AB	41403269
21	1	1996-08-13	PRIJEM	PREVOD Z UCTU	3679	18126	\N	AB	41403269
22	1	1996-09-13	PRIJEM	PREVOD Z UCTU	3679	20404	\N	AB	41403269
23	1	1996-10-13	PRIJEM	PREVOD Z UCTU	3679	19995	\N	AB	41403269
24	1	1996-11-13	PRIJEM	PREVOD Z UCTU	3679	18011	\N	AB	41403269
25	1	1996-12-13	PRIJEM	PREVOD Z UCTU	3679	16495	\N	AB	41403269
26	1	1997-01-13	PRIJEM	PREVOD Z UCTU	3679	15087	\N	AB	41403269
27	1	1997-02-13	PRIJEM	PREVOD Z UCTU	3679	15745	\N	AB	41403269
28	1	1997-03-13	PRIJEM	PREVOD Z UCTU	3679	15815	\N	AB	41403269
29	1	1997-04-13	PRIJEM	PREVOD Z UCTU	3679	12480	\N	AB	41403269
30	1	1997-05-13	PRIJEM	PREVOD Z UCTU	3679	13742	\N	AB	41403269
31	1	1997-06-13	PRIJEM	PREVOD Z UCTU	3679	13838	\N	AB	41403269
32	1	1997-07-13	PRIJEM	PREVOD Z UCTU	3679	16606	\N	AB	41403269
33	1	1997-08-13	PRIJEM	PREVOD Z UCTU	3679	16682	\N	AB	41403269
34	1	1997-09-13	PRIJEM	PREVOD Z UCTU	3679	16702	\N	AB	41403269
35	1	1997-10-13	PRIJEM	PREVOD Z UCTU	3679	17979	\N	AB	41403269
36	1	1997-11-13	PRIJEM	PREVOD Z UCTU	3679	18164	\N	AB	41403269
37	1	1997-12-13	PRIJEM	PREVOD Z UCTU	3679	14749	\N	AB	41403269
38	1	1998-01-13	PRIJEM	PREVOD Z UCTU	3679	15353	\N	AB	41403269
39	1	1998-02-13	PRIJEM	PREVOD Z UCTU	3679	14901	\N	AB	41403269
40	1	1998-03-13	PRIJEM	PREVOD Z UCTU	3679	16170	\N	AB	41403269
41	1	1998-04-13	PRIJEM	PREVOD Z UCTU	3679	15585	\N	AB	41403269
42	1	1998-05-13	PRIJEM	PREVOD Z UCTU	3679	16677	\N	AB	41403269
43	1	1998-06-13	PRIJEM	PREVOD Z UCTU	3679	17957	\N	AB	41403269
44	1	1998-07-13	PRIJEM	PREVOD Z UCTU	3679	18790	\N	AB	41403269
45	1	1998-08-13	PRIJEM	PREVOD Z UCTU	3679	19808	\N	AB	41403269
46	1	1998-09-13	PRIJEM	PREVOD Z UCTU	3679	14598	\N	AB	41403269
47	1	1998-10-13	PRIJEM	PREVOD Z UCTU	3679	15869	\N	AB	41403269
48	1	1998-11-13	PRIJEM	PREVOD Z UCTU	3679	17144	\N	AB	41403269
49	1	1998-12-13	PRIJEM	PREVOD Z UCTU	3679	13414	\N	AB	41403269
58	1	1995-09-05	VYDAJ	PREVOD NA UCET	2452	19035	SIPO	YZ	87144583
59	1	1995-10-05	VYDAJ	PREVOD NA UCET	2452	19639	SIPO	YZ	87144583
60	1	1995-11-05	VYDAJ	PREVOD NA UCET	2452	18042	SIPO	YZ	87144583
61	1	1995-12-05	VYDAJ	PREVOD NA UCET	2452	16570	SIPO	YZ	87144583
62	1	1996-01-05	VYDAJ	PREVOD NA UCET	2452	15511	SIPO	YZ	87144583
63	1	1996-02-05	VYDAJ	PREVOD NA UCET	2452	11128	SIPO	YZ	87144583
64	1	1996-03-05	VYDAJ	PREVOD NA UCET	2452	12500	SIPO	YZ	87144583
65	1	1996-04-05	VYDAJ	PREVOD NA UCET	2452	13978	SIPO	YZ	87144583
66	1	1996-05-05	VYDAJ	PREVOD NA UCET	2452	13258	SIPO	YZ	87144583
67	1	1996-06-05	VYDAJ	PREVOD NA UCET	2452	11973	SIPO	YZ	87144583
68	1	1996-07-05	VYDAJ	PREVOD NA UCET	2452	14291	SIPO	YZ	87144583
69	1	1996-08-05	VYDAJ	PREVOD NA UCET	2452	14447	SIPO	YZ	87144583
70	1	1996-09-05	VYDAJ	PREVOD NA UCET	2452	16725	SIPO	YZ	87144583
71	1	1996-10-05	VYDAJ	PREVOD NA UCET	2452	16316	SIPO	YZ	87144583
72	1	1996-11-05	VYDAJ	PREVOD NA UCET	2452	14332	SIPO	YZ	87144583
73	1	1996-12-05	VYDAJ	PREVOD NA UCET	2452	12816	SIPO	YZ	87144583
74	1	1997-01-05	VYDAJ	PREVOD NA UCET	2452	10208	SIPO	YZ	87144583
75	1	1997-02-05	VYDAJ	PREVOD NA UCET	2452	10366	SIPO	YZ	87144583
76	1	1997-03-05	VYDAJ	PREVOD NA UCET	2452	12136	SIPO	YZ	87144583
77	1	1997-04-05	VYDAJ	PREVOD NA UCET	2452	8801	SIPO	YZ	87144583
78	1	1997-05-05	VYDAJ	PREVOD NA UCET	2452	10063	SIPO	YZ	87144583
79	1	1997-06-05	VYDAJ	PREVOD NA UCET	2452	10159	SIPO	YZ	87144583
80	1	1997-07-05	VYDAJ	PREVOD NA UCET	2452	11427	SIPO	YZ	87144583
81	1	1997-08-05	VYDAJ	PREVOD NA UCET	2452	14203	SIPO	YZ	87144583
82	1	1997-09-05	VYDAJ	PREVOD NA UCET	2452	13413	SIPO	YZ	87144583
83	1	1997-10-05	VYDAJ	PREVOD NA UCET	2452	14300	SIPO	YZ	87144583
84	1	1997-11-05	VYDAJ	PREVOD NA UCET	2452	15585	SIPO	YZ	87144583
85	1	1997-12-05	VYDAJ	PREVOD NA UCET	2452	15770	SIPO	YZ	87144583
86	1	1998-01-05	VYDAJ	PREVOD NA UCET	2452	11774	SIPO	YZ	87144583
87	1	1998-02-05	VYDAJ	PREVOD NA UCET	2452	10722	SIPO	YZ	87144583
88	1	1998-03-05	VYDAJ	PREVOD NA UCET	2452	12491	SIPO	YZ	87144583
89	1	1998-04-05	VYDAJ	PREVOD NA UCET	2452	11906	SIPO	YZ	87144583
90	1	1998-05-05	VYDAJ	PREVOD NA UCET	2452	12998	SIPO	YZ	87144583
91	1	1998-06-05	VYDAJ	PREVOD NA UCET	2452	14278	SIPO	YZ	87144583
92	1	1998-07-05	VYDAJ	PREVOD NA UCET	2452	15111	SIPO	YZ	87144583
93	1	1998-08-05	VYDAJ	PREVOD NA UCET	2452	16129	SIPO	YZ	87144583
94	1	1998-09-05	VYDAJ	PREVOD NA UCET	2452	10919	SIPO	YZ	87144583
95	1	1998-10-05	VYDAJ	PREVOD NA UCET	2452	12190	SIPO	YZ	87144583
96	1	1998-11-05	VYDAJ	PREVOD NA UCET	2452	13465	SIPO	YZ	87144583
97	1	1998-12-05	VYDAJ	PREVOD NA UCET	2452	9735	SIPO	YZ	87144583
98	1	1995-12-24	VYDAJ	VYBER	540	18109	\N	\N	\N
99	1	1996-12-18	VYDAJ	VYBER	180	12615	\N	\N	\N
108	1	1996-01-21	VYDAJ	VYBER	870	13950	\N	\N	\N
109	1	1996-01-18	VYDAJ	VYBER	150	14820	\N	\N	\N
110	1	1996-01-04	VYDAJ	VYBER	210	17963	\N	\N	\N
111	1	1996-01-09	VYDAJ	VYBER	720	14611	\N	\N	\N
112	1	1996-01-09	VYDAJ	VYBER	180	15331	\N	\N	\N
113	1	1996-01-10	VYDAJ	VYBER	420	14191	\N	\N	\N
114	1	1997-01-30	VYDAJ	VYBER	840	12777	\N	\N	\N
117	1	1997-01-13	VYDAJ	VYBER	630	14457	\N	\N	\N
118	1	1997-01-22	VYDAJ	VYBER	450	13617	\N	\N	\N
119	1	1997-01-19	VYDAJ	VYBER	390	14067	\N	\N	\N
121	1	1998-01-03	VYDAJ	VYBER	570	14226	\N	\N	\N
122	1	1998-01-28	VYDAJ	VYBER	480	13133	\N	\N	\N
123	1	1998-01-24	VYDAJ	VYBER	330	13613	\N	\N	\N
125	1	1998-01-19	VYDAJ	VYBER	810	13943	\N	\N	\N
127	1	1995-11-30	VYDAJ	VYBER	870	19036	\N	\N	\N
131	1	1996-05-13	VYDAJ	VYBER	660	16277	\N	\N	\N
132	1	1996-06-22	VYDAJ	VYBER	360	16692	\N	\N	\N
133	1	1996-07-16	VYDAJ	VYBER	990	17980	\N	\N	\N
134	1	1996-08-26	VYDAJ	VYBER	1410	19116	\N	\N	\N
135	1	1996-10-13	VYDAJ	VYBER	270	19725	\N	\N	\N
136	1	1996-08-05	VYDAJ	VYBER	1140	16899	\N	\N	\N
137	1	1996-01-27	VYDAJ	VYBER	420	13530	\N	\N	\N
138	1	1997-02-16	VYDAJ	VYBER	570	15175	\N	\N	\N
139	1	1997-08-28	VYDAJ	VYBER	870	15812	\N	\N	\N
140	1	1997-09-05	VYDAJ	VYBER	390	13023	\N	\N	\N
141	1	1997-02-24	VYDAJ	VYBER	630	14545	\N	\N	\N
142	1	1997-05-27	VYDAJ	VYBER	1170	12572	\N	\N	\N
143	1	1998-03-17	VYDAJ	VYBER	810	15360	\N	\N	\N
144	1	1998-08-03	VYDAJ	VYBER	270	18581	\N	\N	\N
146	1	1998-11-14	VYDAJ	VYBER	510	16634	\N	\N	\N
147	1	1998-04-04	VYDAJ	VYBER	1050	14358	\N	\N	\N
148	1	1998-04-28	VYDAJ	VYBER	180	15405	\N	\N	\N
149	1	1998-06-24	VYDAJ	VYBER	450	17507	\N	\N	\N
150	1	1998-01-17	VYDAJ	VYBER	600	14753	\N	\N	\N
159	1	1995-08-31	VYDAJ	VYBER	15	21487	SLUZBY	\N	\N
160	1	1995-09-30	VYDAJ	VYBER	15	22091	SLUZBY	\N	\N
161	1	1995-10-31	VYDAJ	VYBER	15	20494	SLUZBY	\N	\N
162	1	1995-11-30	VYDAJ	VYBER	15	19022	SLUZBY	\N	\N
163	1	1995-12-31	VYDAJ	VYBER	15	18173	SLUZBY	\N	\N
164	1	1996-01-31	VYDAJ	VYBER	15	13580	SLUZBY	\N	\N
165	1	1996-02-29	VYDAJ	VYBER	15	14952	SLUZBY	\N	\N
166	1	1996-03-31	VYDAJ	VYBER	15	16430	SLUZBY	\N	\N
167	1	1996-04-30	VYDAJ	VYBER	15	15710	SLUZBY	\N	\N
168	1	1996-05-31	VYDAJ	VYBER	15	14425	SLUZBY	\N	\N
169	1	1996-06-30	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
170	1	1996-07-31	VYDAJ	VYBER	15	18039	SLUZBY	\N	\N
171	1	1996-08-31	VYDAJ	VYBER	15	19177	SLUZBY	\N	\N
172	1	1996-09-30	VYDAJ	VYBER	15	18768	SLUZBY	\N	\N
173	1	1996-10-31	VYDAJ	VYBER	15	16784	SLUZBY	\N	\N
174	1	1996-11-30	VYDAJ	VYBER	15	15268	SLUZBY	\N	\N
175	1	1996-12-31	VYDAJ	VYBER	15	12660	SLUZBY	\N	\N
176	1	1997-01-31	VYDAJ	VYBER	15	12818	SLUZBY	\N	\N
177	1	1997-02-28	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
178	1	1997-03-31	VYDAJ	VYBER	15	11253	SLUZBY	\N	\N
179	1	1997-04-30	VYDAJ	VYBER	15	12515	SLUZBY	\N	\N
180	1	1997-05-31	VYDAJ	VYBER	15	12611	SLUZBY	\N	\N
181	1	1997-06-30	VYDAJ	VYBER	15	13879	SLUZBY	\N	\N
182	1	1997-07-31	VYDAJ	VYBER	15	16655	SLUZBY	\N	\N
183	1	1997-08-31	VYDAJ	VYBER	15	15865	SLUZBY	\N	\N
184	1	1997-09-30	VYDAJ	VYBER	15	16752	SLUZBY	\N	\N
185	1	1997-10-31	VYDAJ	VYBER	15	18037	SLUZBY	\N	\N
186	1	1997-11-30	VYDAJ	VYBER	15	18222	SLUZBY	\N	\N
187	1	1997-12-31	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
188	1	1998-01-31	VYDAJ	VYBER	15	13174	SLUZBY	\N	\N
189	1	1998-02-28	VYDAJ	VYBER	15	14943	SLUZBY	\N	\N
190	1	1998-03-31	VYDAJ	VYBER	15	15408	SLUZBY	\N	\N
191	1	1998-04-30	VYDAJ	VYBER	15	15450	SLUZBY	\N	\N
192	1	1998-05-31	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
193	1	1998-06-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
194	1	1998-07-31	VYDAJ	VYBER	15	18851	SLUZBY	\N	\N
195	1	1998-08-31	VYDAJ	VYBER	15	19871	SLUZBY	\N	\N
196	1	1998-09-30	VYDAJ	VYBER	15	14642	SLUZBY	\N	\N
197	1	1998-10-31	VYDAJ	VYBER	15	15917	SLUZBY	\N	\N
198	1	1998-11-30	VYDAJ	VYBER	15	16687	SLUZBY	\N	\N
199	1	1995-04-23	PRIJEM	VKLAD	12600	17279	\N	\N	\N
200	1	1995-05-23	PRIJEM	VKLAD	2100	23077	\N	\N	\N
201	1	1995-06-22	VYDAJ	VYBER	200	26635	\N	\N	\N
202	1	1995-07-22	VYDAJ	VYBER	5300	25115	\N	\N	\N
203	1	1995-08-21	VYDAJ	VYBER	7500	21403	\N	\N	\N
204	1	1995-09-20	VYDAJ	VYBER	700	22014	\N	\N	\N
205	1	1995-10-20	VYDAJ	VYBER	2900	20418	\N	\N	\N
206	1	1995-11-19	VYDAJ	VYBER	1900	19821	\N	\N	\N
207	1	1995-12-19	VYDAJ	VYBER	1600	18649	\N	\N	\N
208	1	1996-01-18	VYDAJ	VYBER	2900	14970	\N	\N	\N
209	1	1996-02-17	PRIJEM	VKLAD	100	14907	\N	\N	\N
210	1	1996-03-18	PRIJEM	VKLAD	200	16379	\N	\N	\N
211	1	1996-04-17	VYDAJ	VYBER	2000	15657	\N	\N	\N
212	1	1996-05-17	VYDAJ	VYBER	1900	14377	\N	\N	\N
213	1	1996-06-16	PRIJEM	VKLAD	1400	17052	\N	\N	\N
214	1	1996-07-16	PRIJEM	VKLAD	1000	18970	\N	\N	\N
215	1	1996-08-15	PRIJEM	VKLAD	2400	20526	\N	\N	\N
216	1	1996-09-14	VYDAJ	VYBER	1700	18704	\N	\N	\N
217	1	1996-10-14	VYDAJ	VYBER	3000	16725	\N	\N	\N
218	1	1996-11-13	VYDAJ	VYBER	2800	15211	\N	\N	\N
219	1	1996-12-13	VYDAJ	VYBER	3700	12795	\N	\N	\N
220	1	1997-01-12	PRIJEM	VKLAD	1200	11408	\N	\N	\N
221	1	1997-02-11	PRIJEM	VKLAD	1700	12066	\N	\N	\N
222	1	1997-03-13	VYDAJ	VYBER	4600	11215	\N	\N	\N
223	1	1997-07-11	PRIJEM	VKLAD	1500	12927	\N	\N	\N
224	1	1997-08-10	VYDAJ	VYBER	1200	13003	\N	\N	\N
225	1	1997-11-08	VYDAJ	VYBER	1100	14485	\N	\N	\N
226	1	1997-12-08	VYDAJ	VYBER	4700	11070	\N	\N	\N
227	1	1998-01-07	VYDAJ	VYBER	100	11674	\N	\N	\N
228	1	1998-02-06	PRIJEM	VKLAD	500	11222	\N	\N	\N
229	1	1998-09-04	VYDAJ	VYBER	6500	13371	\N	\N	\N
230	1	1998-12-03	VYDAJ	VYBER	4500	12187	\N	\N	\N
276	2	1993-02-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
279	2	1993-03-12	PRIJEM	PREVOD Z UCTU	20236	21336	\N	ST	66487163
280	2	1993-04-12	PRIJEM	PREVOD Z UCTU	20236	45286	\N	ST	66487163
281	2	1993-05-12	PRIJEM	PREVOD Z UCTU	20236	54631	\N	ST	66487163
282	2	1993-06-12	PRIJEM	PREVOD Z UCTU	30354	67530	\N	ST	66487163
283	2	1993-07-12	PRIJEM	PREVOD Z UCTU	20236	62326	\N	ST	66487163
284	2	1993-08-12	PRIJEM	PREVOD Z UCTU	20236	49139	\N	ST	66487163
285	2	1993-09-12	PRIJEM	PREVOD Z UCTU	20236	39962	\N	ST	66487163
286	2	1993-10-12	PRIJEM	PREVOD Z UCTU	20236	30744	\N	ST	66487163
287	2	1993-11-12	PRIJEM	PREVOD Z UCTU	20236	40800	\N	ST	66487163
288	2	1993-12-12	PRIJEM	PREVOD Z UCTU	30354	47213	\N	ST	66487163
289	2	1994-01-12	PRIJEM	PREVOD Z UCTU	20236	40811	\N	ST	66487163
290	2	1994-02-12	PRIJEM	PREVOD Z UCTU	20236	33009	\N	ST	66487163
291	2	1994-03-12	PRIJEM	PREVOD Z UCTU	20236	39200	\N	ST	66487163
292	2	1994-04-12	PRIJEM	PREVOD Z UCTU	20236	44012	\N	ST	66487163
293	2	1994-05-12	PRIJEM	PREVOD Z UCTU	20236	46144	\N	ST	66487163
294	2	1994-06-12	PRIJEM	PREVOD Z UCTU	30354	43381	\N	ST	66487163
295	2	1994-07-12	PRIJEM	PREVOD Z UCTU	20236	38690	\N	ST	66487163
296	2	1994-08-12	PRIJEM	PREVOD Z UCTU	20236	43894	\N	ST	66487163
297	2	1994-09-12	PRIJEM	PREVOD Z UCTU	20236	45820	\N	ST	66487163
298	2	1994-10-12	PRIJEM	PREVOD Z UCTU	20236	38700	\N	ST	66487163
299	2	1994-11-12	PRIJEM	PREVOD Z UCTU	20236	45013	\N	ST	66487163
300	2	1994-12-12	PRIJEM	PREVOD Z UCTU	30354	51152	\N	ST	66487163
301	2	1995-01-12	PRIJEM	PREVOD Z UCTU	20236	45884	\N	ST	66487163
302	2	1995-02-12	PRIJEM	PREVOD Z UCTU	20236	33385	\N	ST	66487163
303	2	1995-03-12	PRIJEM	PREVOD Z UCTU	20236	41078	\N	ST	66487163
304	2	1995-04-12	PRIJEM	PREVOD Z UCTU	20236	46595	\N	ST	66487163
305	2	1995-05-12	PRIJEM	PREVOD Z UCTU	20236	38898	\N	ST	66487163
306	2	1995-06-12	PRIJEM	PREVOD Z UCTU	30354	46121	\N	ST	66487163
307	2	1995-07-12	PRIJEM	PREVOD Z UCTU	20236	49575	\N	ST	66487163
308	2	1995-08-12	PRIJEM	PREVOD Z UCTU	20236	50919	\N	ST	66487163
309	2	1995-09-12	PRIJEM	PREVOD Z UCTU	20236	34252	\N	ST	66487163
310	2	1995-10-12	PRIJEM	PREVOD Z UCTU	20236	42344	\N	ST	66487163
311	2	1995-11-12	PRIJEM	PREVOD Z UCTU	20236	39813	\N	ST	66487163
312	2	1995-12-12	PRIJEM	PREVOD Z UCTU	30354	58147	\N	ST	66487163
313	2	1996-01-12	PRIJEM	PREVOD Z UCTU	20236	36992	\N	ST	66487163
314	2	1996-02-12	PRIJEM	PREVOD Z UCTU	20236	41548	\N	ST	66487163
315	2	1996-03-12	PRIJEM	PREVOD Z UCTU	20236	51138	\N	ST	66487163
316	2	1996-04-12	PRIJEM	PREVOD Z UCTU	20236	47980	\N	ST	66487163
317	2	1996-05-12	PRIJEM	PREVOD Z UCTU	20236	42558	\N	ST	66487163
318	2	1996-06-12	PRIJEM	PREVOD Z UCTU	30354	51880	\N	ST	66487163
319	2	1996-07-12	PRIJEM	PREVOD Z UCTU	20236	59600	\N	ST	66487163
320	2	1996-08-12	PRIJEM	PREVOD Z UCTU	20236	47812	\N	ST	66487163
321	2	1996-09-12	PRIJEM	PREVOD Z UCTU	20236	52135	\N	ST	66487163
322	2	1996-10-12	PRIJEM	PREVOD Z UCTU	20236	48910	\N	ST	66487163
406	2	1997-10-14	VYDAJ	VYBER	3800	51462	\N	\N	0
323	2	1996-11-12	PRIJEM	PREVOD Z UCTU	20236	53537	\N	ST	66487163
324	2	1996-12-12	PRIJEM	PREVOD Z UCTU	30354	61002	\N	ST	66487163
325	2	1997-01-12	PRIJEM	PREVOD Z UCTU	20236	47061	\N	ST	66487163
326	2	1997-02-12	PRIJEM	PREVOD Z UCTU	20236	45273	\N	ST	66487163
327	2	1997-03-12	PRIJEM	PREVOD Z UCTU	20236	50579	\N	ST	66487163
328	2	1997-04-12	PRIJEM	PREVOD Z UCTU	20236	56383	\N	ST	66487163
329	2	1997-05-12	PRIJEM	PREVOD Z UCTU	20236	62840	\N	ST	66487163
330	2	1997-06-12	PRIJEM	PREVOD Z UCTU	30354	69302	\N	ST	66487163
331	2	1997-07-12	PRIJEM	PREVOD Z UCTU	20236	50616	\N	ST	66487163
332	2	1997-08-12	PRIJEM	PREVOD Z UCTU	20236	52043	\N	ST	66487163
333	2	1997-09-12	PRIJEM	PREVOD Z UCTU	20236	51916	\N	ST	66487163
334	2	1997-10-12	PRIJEM	PREVOD Z UCTU	20236	55262	\N	ST	66487163
335	2	1997-11-12	PRIJEM	PREVOD Z UCTU	20236	51615	\N	ST	66487163
336	2	1997-12-12	PRIJEM	PREVOD Z UCTU	30354	62183	\N	ST	66487163
337	2	1998-01-12	PRIJEM	PREVOD Z UCTU	20236	45346	\N	ST	66487163
338	2	1998-02-12	PRIJEM	PREVOD Z UCTU	20236	40752	\N	ST	66487163
339	2	1998-03-12	PRIJEM	PREVOD Z UCTU	20236	49746	\N	ST	66487163
340	2	1998-04-12	PRIJEM	PREVOD Z UCTU	20236	43827	\N	ST	66487163
341	2	1998-05-12	PRIJEM	PREVOD Z UCTU	20236	43128	\N	ST	66487163
342	2	1998-06-12	PRIJEM	PREVOD Z UCTU	30354	59856	\N	ST	66487163
343	2	1998-07-12	PRIJEM	PREVOD Z UCTU	20236	59512	\N	ST	66487163
344	2	1998-08-12	PRIJEM	PREVOD Z UCTU	20236	60184	\N	ST	66487163
345	2	1998-09-12	PRIJEM	PREVOD Z UCTU	20236	55836	\N	ST	66487163
346	2	1998-10-12	PRIJEM	PREVOD Z UCTU	20236	53786	\N	ST	66487163
347	2	1998-11-12	PRIJEM	PREVOD Z UCTU	20236	54535	\N	ST	66487163
348	2	1998-12-12	PRIJEM	PREVOD Z UCTU	30354	54171	\N	ST	66487163
355	2	1993-07-11	VYDAJ	VYBER	3200	42090	\N	\N	0
356	2	1993-08-07	VYDAJ	VYBER	2900	28903	\N	\N	0
357	2	1993-09-14	VYDAJ	VYBER	3600	36362	\N	\N	0
358	2	1993-10-03	VYDAJ	VYBER	4000	17774	\N	\N	0
359	2	1993-11-21	VYDAJ	VYBER	3800	37000	\N	\N	0
360	2	1993-12-08	VYDAJ	VYBER	3500	21059	\N	\N	0
361	2	1994-01-12	VYDAJ	PREVOD NA UCET	3373	35338	UVER	ST	89597016
362	2	1994-02-12	VYDAJ	PREVOD NA UCET	3373	29636	UVER	ST	89597016
363	2	1994-03-12	VYDAJ	PREVOD NA UCET	3373	35827	UVER	ST	89597016
364	2	1994-04-12	VYDAJ	PREVOD NA UCET	3373	40639	UVER	ST	89597016
365	2	1994-05-12	VYDAJ	PREVOD NA UCET	3373	42772	UVER	ST	89597016
366	2	1994-06-12	VYDAJ	PREVOD NA UCET	3373	40009	UVER	ST	89597016
367	2	1994-07-12	VYDAJ	PREVOD NA UCET	3373	35317	UVER	ST	89597016
368	2	1994-08-12	VYDAJ	PREVOD NA UCET	3373	40522	UVER	ST	89597016
369	2	1994-09-12	VYDAJ	PREVOD NA UCET	3373	42447	UVER	ST	89597016
370	2	1994-10-12	VYDAJ	PREVOD NA UCET	3373	35328	UVER	ST	89597016
371	2	1994-11-12	VYDAJ	PREVOD NA UCET	3373	41641	UVER	ST	89597016
372	2	1994-12-12	VYDAJ	PREVOD NA UCET	3373	47780	UVER	ST	89597016
373	2	1995-01-12	VYDAJ	PREVOD NA UCET	3373	36211	UVER	ST	89597016
374	2	1995-02-12	VYDAJ	PREVOD NA UCET	3373	30012	UVER	ST	89597016
375	2	1995-03-12	VYDAJ	PREVOD NA UCET	3373	37705	UVER	ST	89597016
376	2	1995-04-12	VYDAJ	PREVOD NA UCET	3373	43222	UVER	ST	89597016
377	2	1995-05-12	VYDAJ	PREVOD NA UCET	3373	35526	UVER	ST	89597016
378	2	1995-06-12	VYDAJ	PREVOD NA UCET	3373	42749	UVER	ST	89597016
379	2	1995-07-12	VYDAJ	PREVOD NA UCET	3373	46202	UVER	ST	89597016
380	2	1995-08-12	VYDAJ	PREVOD NA UCET	3373	47547	UVER	ST	89597016
381	2	1995-09-12	VYDAJ	PREVOD NA UCET	3373	30879	UVER	ST	89597016
382	2	1995-10-12	VYDAJ	PREVOD NA UCET	3373	38972	UVER	ST	89597016
383	2	1995-11-12	VYDAJ	PREVOD NA UCET	3373	36440	UVER	ST	89597016
384	2	1995-12-12	VYDAJ	PREVOD NA UCET	3373	54774	UVER	ST	89597016
385	2	1996-01-22	VYDAJ	VYBER	4700	22692	\N	\N	0
386	2	1996-02-16	VYDAJ	VYBER	3500	38048	\N	\N	0
387	2	1996-03-28	VYDAJ	VYBER	2200	38538	\N	\N	0
388	2	1996-04-26	VYDAJ	VYBER	2500	22735	\N	\N	0
389	2	1996-05-17	VYDAJ	VYBER	3100	32558	\N	\N	0
390	2	1996-06-03	VYDAJ	VYBER	2900	21292	\N	\N	0
391	2	1996-07-18	VYDAJ	VYBER	3000	56600	\N	\N	0
392	2	1996-08-13	VYDAJ	VYBER	3200	44612	\N	\N	0
393	2	1996-09-11	VYDAJ	VYBER	2800	31899	\N	\N	0
394	2	1996-10-22	VYDAJ	VYBER	3500	45410	\N	\N	0
395	2	1996-11-08	VYDAJ	VYBER	3100	33301	\N	\N	0
396	2	1996-12-04	VYDAJ	VYBER	3600	45914	\N	\N	0
397	2	1997-01-24	VYDAJ	VYBER	2100	29661	\N	\N	0
398	2	1997-02-13	VYDAJ	VYBER	2000	43273	\N	\N	0
399	2	1997-02-27	VYDAJ	VYBER	4400	38873	\N	\N	0
400	2	1997-04-15	VYDAJ	VYBER	3100	53283	\N	\N	0
401	2	1997-05-15	VYDAJ	VYBER	3100	59740	\N	\N	0
402	2	1997-06-01	VYDAJ	VYBER	3400	53814	\N	\N	0
403	2	1997-07-18	VYDAJ	VYBER	2600	48016	\N	\N	0
404	2	1997-08-14	VYDAJ	VYBER	3300	48743	\N	\N	0
405	2	1997-09-09	VYDAJ	VYBER	3900	31680	\N	\N	0
407	2	1997-11-11	VYDAJ	VYBER	3100	31379	\N	\N	0
408	2	1997-12-21	VYDAJ	VYBER	2800	53683	\N	\N	0
409	2	1998-01-06	VYDAJ	VYBER	3200	33210	\N	\N	0
410	2	1998-02-03	VYDAJ	VYBER	4000	27782	\N	\N	0
411	2	1998-03-23	VYDAJ	VYBER	2700	28927	\N	\N	0
412	2	1998-04-21	VYDAJ	VYBER	3400	40427	\N	\N	0
413	2	1998-05-05	VYDAJ	VYBER	3600	30158	\N	\N	0
414	2	1998-06-15	VYDAJ	VYBER	3500	56356	\N	\N	0
415	2	1998-07-06	VYDAJ	VYBER	2000	39276	\N	\N	0
416	2	1998-08-10	VYDAJ	VYBER	3100	39948	\N	\N	0
417	2	1998-09-16	VYDAJ	VYBER	4800	51036	\N	\N	0
418	2	1998-10-08	VYDAJ	VYBER	3200	33550	\N	\N	0
419	2	1998-11-13	VYDAJ	VYBER	2200	52335	\N	\N	0
420	2	1998-12-07	VYDAJ	VYBER	3700	23817	\N	\N	0
428	2	1993-08-05	VYDAJ	PREVOD NA UCET	7266	31803	SIPO	QR	13943797
429	2	1993-09-05	VYDAJ	PREVOD NA UCET	7266	19726	SIPO	QR	13943797
430	2	1993-10-05	VYDAJ	PREVOD NA UCET	7266	10508	SIPO	QR	13943797
431	2	1993-11-05	VYDAJ	PREVOD NA UCET	7266	20564	SIPO	QR	13943797
432	2	1993-12-05	VYDAJ	PREVOD NA UCET	7266	24559	SIPO	QR	13943797
433	2	1994-01-05	VYDAJ	PREVOD NA UCET	7266	20575	SIPO	QR	13943797
434	2	1994-02-05	VYDAJ	PREVOD NA UCET	7266	12773	SIPO	QR	13943797
435	2	1994-03-05	VYDAJ	PREVOD NA UCET	7266	18964	SIPO	QR	13943797
436	2	1994-04-05	VYDAJ	PREVOD NA UCET	7266	23776	SIPO	QR	13943797
437	2	1994-05-05	VYDAJ	PREVOD NA UCET	7266	25908	SIPO	QR	13943797
438	2	1994-06-05	VYDAJ	PREVOD NA UCET	7266	13027	SIPO	QR	13943797
439	2	1994-07-05	VYDAJ	PREVOD NA UCET	7266	18454	SIPO	QR	13943797
440	2	1994-08-05	VYDAJ	PREVOD NA UCET	7266	23658	SIPO	QR	13943797
441	2	1994-09-05	VYDAJ	PREVOD NA UCET	7266	25584	SIPO	QR	13943797
442	2	1994-10-05	VYDAJ	PREVOD NA UCET	7266	18464	SIPO	QR	13943797
443	2	1994-11-05	VYDAJ	PREVOD NA UCET	7266	24777	SIPO	QR	13943797
444	2	1994-12-05	VYDAJ	PREVOD NA UCET	7266	23798	SIPO	QR	13943797
445	2	1995-01-05	VYDAJ	PREVOD NA UCET	7266	25648	SIPO	QR	13943797
446	2	1995-02-05	VYDAJ	PREVOD NA UCET	7266	13149	SIPO	QR	13943797
447	2	1995-03-05	VYDAJ	PREVOD NA UCET	7266	20842	SIPO	QR	13943797
448	2	1995-04-05	VYDAJ	PREVOD NA UCET	7266	26359	SIPO	QR	13943797
449	2	1995-05-05	VYDAJ	PREVOD NA UCET	7266	18662	SIPO	QR	13943797
450	2	1995-06-05	VYDAJ	PREVOD NA UCET	7266	15767	SIPO	QR	13943797
451	2	1995-07-05	VYDAJ	PREVOD NA UCET	7266	29339	SIPO	QR	13943797
452	2	1995-08-05	VYDAJ	PREVOD NA UCET	7266	30683	SIPO	QR	13943797
453	2	1995-09-05	VYDAJ	PREVOD NA UCET	7266	14016	SIPO	QR	13943797
454	2	1995-10-05	VYDAJ	PREVOD NA UCET	7266	22108	SIPO	QR	13943797
455	2	1995-11-05	VYDAJ	PREVOD NA UCET	7266	19577	SIPO	QR	13943797
456	2	1995-12-05	VYDAJ	PREVOD NA UCET	7266	27793	SIPO	QR	13943797
457	2	1996-01-05	VYDAJ	PREVOD NA UCET	7266	16556	SIPO	QR	13943797
458	2	1996-02-05	VYDAJ	PREVOD NA UCET	7266	15512	SIPO	QR	13943797
459	2	1996-03-05	VYDAJ	PREVOD NA UCET	7266	30902	SIPO	QR	13943797
460	2	1996-04-05	VYDAJ	PREVOD NA UCET	7266	31444	SIPO	QR	13943797
461	2	1996-05-05	VYDAJ	PREVOD NA UCET	7266	15622	SIPO	QR	13943797
462	2	1996-06-05	VYDAJ	PREVOD NA UCET	7266	14026	SIPO	QR	13943797
463	2	1996-07-05	VYDAJ	PREVOD NA UCET	7266	44764	SIPO	QR	13943797
464	2	1996-08-05	VYDAJ	PREVOD NA UCET	7266	27876	SIPO	QR	13943797
465	2	1996-09-05	VYDAJ	PREVOD NA UCET	7266	37499	SIPO	QR	13943797
466	2	1996-10-05	VYDAJ	PREVOD NA UCET	7266	25374	SIPO	QR	13943797
467	2	1996-11-05	VYDAJ	PREVOD NA UCET	7266	38301	SIPO	QR	13943797
468	2	1996-12-05	VYDAJ	PREVOD NA UCET	7266	38648	SIPO	QR	13943797
469	2	1997-01-05	VYDAJ	PREVOD NA UCET	7266	32025	SIPO	QR	13943797
470	2	1997-02-05	VYDAJ	PREVOD NA UCET	7266	28637	SIPO	QR	13943797
471	2	1997-03-05	VYDAJ	PREVOD NA UCET	7266	31743	SIPO	QR	13943797
472	2	1997-04-05	VYDAJ	PREVOD NA UCET	7266	37947	SIPO	QR	13943797
473	2	1997-05-05	VYDAJ	PREVOD NA UCET	7266	46204	SIPO	QR	13943797
474	2	1997-06-05	VYDAJ	PREVOD NA UCET	7266	46548	SIPO	QR	13943797
475	2	1997-07-05	VYDAJ	PREVOD NA UCET	7266	30380	SIPO	QR	13943797
476	2	1997-08-05	VYDAJ	PREVOD NA UCET	7266	36307	SIPO	QR	13943797
477	2	1997-09-05	VYDAJ	PREVOD NA UCET	7266	35580	SIPO	QR	13943797
478	2	1997-10-05	VYDAJ	PREVOD NA UCET	7266	35026	SIPO	QR	13943797
479	2	1997-11-05	VYDAJ	PREVOD NA UCET	7266	34479	SIPO	QR	13943797
480	2	1997-12-05	VYDAJ	PREVOD NA UCET	7266	31829	SIPO	QR	13943797
481	2	1998-01-05	VYDAJ	PREVOD NA UCET	7266	36410	SIPO	QR	13943797
482	2	1998-02-05	VYDAJ	PREVOD NA UCET	7266	20516	SIPO	QR	13943797
483	2	1998-03-05	VYDAJ	PREVOD NA UCET	7266	29510	SIPO	QR	13943797
484	2	1998-04-05	VYDAJ	PREVOD NA UCET	7266	23591	SIPO	QR	13943797
485	2	1998-05-05	VYDAJ	PREVOD NA UCET	7266	22892	SIPO	QR	13943797
486	2	1998-06-05	VYDAJ	PREVOD NA UCET	7266	29502	SIPO	QR	13943797
487	2	1998-07-05	VYDAJ	PREVOD NA UCET	7266	41276	SIPO	QR	13943797
488	2	1998-08-05	VYDAJ	PREVOD NA UCET	7266	43048	SIPO	QR	13943797
489	2	1998-09-05	VYDAJ	PREVOD NA UCET	7266	35600	SIPO	QR	13943797
490	2	1998-10-05	VYDAJ	PREVOD NA UCET	7266	36750	SIPO	QR	13943797
491	2	1998-11-05	VYDAJ	PREVOD NA UCET	7266	38799	SIPO	QR	13943797
492	2	1998-12-05	VYDAJ	PREVOD NA UCET	7266	27517	SIPO	QR	13943797
493	2	1993-08-22	VYBER	VYBER	21286	27853	\N	\N	\N
495	2	1993-12-21	VYBER	VYBER	13396	30817	\N	\N	\N
497	2	1993-07-19	VYBER	VYBER	13145	49181	\N	\N	\N
503	2	1994-09-20	VYBER	VYBER	12041	25606	\N	\N	\N
508	2	1995-10-17	VYBER	VYBER	9336	26736	\N	\N	\N
509	2	1995-04-20	VYBER	VYBER	6011	33611	\N	\N	\N
510	2	1995-06-29	VYBER	VYBER	3672	36477	\N	\N	\N
512	2	1995-04-26	VYBER	VYBER	2696	30915	\N	\N	\N
513	2	1995-04-30	VYBER	VYBER	5119	25943	\N	\N	\N
514	2	1995-08-17	VYBER	VYBER	19480	21167	\N	\N	\N
517	2	1996-04-26	VYBER	VYBER	22745	25235	\N	\N	\N
519	2	1996-09-17	VYBER	VYBER	19641	32494	\N	\N	\N
521	2	1996-07-19	VYBER	VYBER	7935	48665	\N	\N	\N
522	2	1996-07-25	VYBER	VYBER	13709	34956	\N	\N	\N
523	2	1996-05-31	VYBER	VYBER	8477	24206	\N	\N	\N
526	2	1997-05-18	VYBER	VYBER	2736	57004	\N	\N	\N
527	2	1997-08-27	VYBER	VYBER	5166	43577	\N	\N	\N
528	2	1997-03-14	VYBER	VYBER	5524	45055	\N	\N	\N
529	2	1998-08-13	VYBER	VYBER	4198	55986	\N	\N	\N
532	2	1998-03-19	VYBER	VYBER	18119	31627	\N	\N	\N
533	2	1998-11-19	VYBER	VYBER	3010	47225	\N	\N	\N
538	2	1997-06-14	VYDAJ	VYBER	42000	27302	\N	\N	\N
542	2	1995-01-22	VYDAJ	VYBER	5100	23311	\N	\N	\N
543	2	1996-01-02	VYDAJ	VYBER	9900	29522	\N	\N	\N
545	2	1998-01-20	VYDAJ	VYBER	11700	30346	\N	\N	\N
546	2	1993-12-10	VYDAJ	VYBER	4200	16859	\N	\N	\N
547	2	1994-12-07	VYDAJ	VYBER	3000	20798	\N	\N	\N
548	2	1995-12-19	VYDAJ	VYBER	4500	39274	\N	\N	\N
549	2	1996-12-21	VYDAJ	VYBER	3300	53202	\N	\N	\N
550	2	1997-12-19	VYDAJ	VYBER	5700	56483	\N	\N	\N
551	2	1998-12-02	VYDAJ	VYBER	1800	34783	\N	\N	\N
560	2	1994-01-18	VYDAJ	VYBER	2400	32938	\N	\N	\N
561	2	1994-01-19	VYDAJ	VYBER	6000	26938	\N	\N	\N
562	2	1994-01-26	VYDAJ	VYBER	6600	19938	\N	\N	\N
563	2	1994-01-12	VYDAJ	VYBER	2100	38711	\N	\N	\N
565	2	1995-01-12	VYDAJ	VYBER	6300	39584	\N	\N	\N
566	2	1995-01-13	VYDAJ	VYBER	7500	28711	\N	\N	\N
569	2	1995-01-30	VYDAJ	VYBER	3000	20311	\N	\N	\N
574	2	1996-01-12	VYDAJ	VYBER	7800	29192	\N	\N	\N
575	2	1996-01-16	VYDAJ	VYBER	1800	27392	\N	\N	\N
576	2	1997-01-12	VYDAJ	VYBER	1800	45261	\N	\N	\N
577	2	1997-01-09	VYDAJ	VYBER	4800	26825	\N	\N	\N
578	2	1997-01-01	VYDAJ	VYBER	8700	39291	\N	\N	\N
580	2	1997-01-01	VYDAJ	VYBER	5400	47991	\N	\N	\N
583	2	1998-01-10	VYDAJ	VYBER	4200	25110	\N	\N	\N
584	2	1998-01-08	VYDAJ	VYBER	3900	29310	\N	\N	\N
586	2	1998-01-18	VYDAJ	VYBER	3300	42046	\N	\N	\N
590	2	1993-12-19	VYDAJ	VYBER	3000	44213	\N	\N	\N
592	2	1993-09-26	VYDAJ	VYBER	10200	21662	\N	\N	\N
595	2	1994-12-27	VYDAJ	VYBER	5700	32780	\N	\N	\N
596	2	1994-06-21	VYDAJ	VYBER	6900	33109	\N	\N	\N
598	2	1994-07-04	VYDAJ	VYBER	3600	25720	\N	\N	\N
599	2	1994-05-25	VYDAJ	VYBER	8400	20172	\N	\N	\N
600	2	1994-08-22	VYDAJ	VYBER	2400	32722	\N	\N	\N
601	2	1994-11-17	VYDAJ	VYBER	8700	32941	\N	\N	\N
602	2	1994-05-19	VYDAJ	VYBER	9300	33472	\N	\N	\N
603	2	1995-02-23	VYDAJ	VYBER	2700	28012	\N	\N	\N
607	2	1995-05-27	VYDAJ	VYBER	10500	22926	\N	\N	\N
608	2	1996-11-15	VYDAJ	VYBER	4200	49337	\N	\N	\N
610	2	1996-01-03	VYDAJ	VYBER	5700	23822	\N	\N	\N
611	2	1996-12-13	VYDAJ	VYBER	4500	56502	\N	\N	\N
612	2	1996-05-12	VYDAJ	VYBER	6900	35658	\N	\N	\N
614	2	1997-01-12	VYDAJ	VYBER	13500	31761	\N	\N	\N
616	2	1997-08-08	VYDAJ	VYBER	4500	31807	\N	\N	\N
618	2	1997-02-06	VYDAJ	VYBER	3600	25037	\N	\N	\N
619	2	1998-12-15	VYDAJ	VYBER	8700	45471	\N	\N	\N
620	2	1998-11-21	VYDAJ	VYBER	6000	41225	\N	\N	\N
621	2	1998-11-06	VYDAJ	VYBER	4500	34299	\N	\N	\N
622	2	1998-12-17	VYDAJ	VYBER	3000	42471	\N	\N	\N
623	2	1998-08-16	VYDAJ	VYBER	10200	45786	\N	\N	\N
624	2	1998-11-16	VYDAJ	VYBER	2100	50235	\N	\N	\N
632	2	1993-07-31	VYDAJ	VYBER	15	39069	SLUZBY	\N	\N
633	2	1993-08-31	VYDAJ	VYBER	15	26992	SLUZBY	\N	\N
634	2	1993-09-30	VYDAJ	VYBER	15	21774	SLUZBY	\N	\N
635	2	1993-10-31	VYDAJ	VYBER	15	27830	SLUZBY	\N	\N
636	2	1993-11-30	VYDAJ	VYBER	15	31825	SLUZBY	\N	\N
637	2	1993-12-31	VYDAJ	VYBER	15	27841	SLUZBY	\N	\N
638	2	1994-01-31	VYDAJ	VYBER	15	20039	SLUZBY	\N	\N
639	2	1994-02-28	VYDAJ	VYBER	15	26230	SLUZBY	\N	\N
640	2	1994-03-31	VYDAJ	VYBER	15	31042	SLUZBY	\N	\N
641	2	1994-04-30	VYDAJ	VYBER	15	33174	SLUZBY	\N	\N
642	2	1994-05-31	VYDAJ	VYBER	15	20293	SLUZBY	\N	\N
643	2	1994-06-30	VYDAJ	VYBER	15	29320	SLUZBY	\N	\N
644	2	1994-07-31	VYDAJ	VYBER	15	30924	SLUZBY	\N	\N
645	2	1994-08-31	VYDAJ	VYBER	15	32850	SLUZBY	\N	\N
646	2	1994-09-30	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
647	2	1994-10-31	VYDAJ	VYBER	15	32043	SLUZBY	\N	\N
648	2	1994-11-30	VYDAJ	VYBER	15	31064	SLUZBY	\N	\N
649	2	1994-12-31	VYDAJ	VYBER	15	32914	SLUZBY	\N	\N
650	2	1995-01-31	VYDAJ	VYBER	15	20415	SLUZBY	\N	\N
651	2	1995-02-28	VYDAJ	VYBER	15	28108	SLUZBY	\N	\N
652	2	1995-03-31	VYDAJ	VYBER	15	33625	SLUZBY	\N	\N
653	2	1995-04-30	VYDAJ	VYBER	15	25928	SLUZBY	\N	\N
654	2	1995-05-31	VYDAJ	VYBER	15	23033	SLUZBY	\N	\N
655	2	1995-06-30	VYDAJ	VYBER	15	36605	SLUZBY	\N	\N
656	2	1995-07-31	VYDAJ	VYBER	15	37949	SLUZBY	\N	\N
657	2	1995-08-31	VYDAJ	VYBER	15	21282	SLUZBY	\N	\N
658	2	1995-09-30	VYDAJ	VYBER	15	29374	SLUZBY	\N	\N
659	2	1995-10-31	VYDAJ	VYBER	15	26843	SLUZBY	\N	\N
660	2	1995-11-30	VYDAJ	VYBER	15	35059	SLUZBY	\N	\N
661	2	1995-12-31	VYDAJ	VYBER	15	39422	SLUZBY	\N	\N
662	2	1996-01-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
663	2	1996-02-29	VYDAJ	VYBER	15	38168	SLUZBY	\N	\N
664	2	1996-03-31	VYDAJ	VYBER	15	38710	SLUZBY	\N	\N
665	2	1996-04-30	VYDAJ	VYBER	15	22888	SLUZBY	\N	\N
666	2	1996-05-31	VYDAJ	VYBER	15	24192	SLUZBY	\N	\N
667	2	1996-06-30	VYDAJ	VYBER	15	52030	SLUZBY	\N	\N
668	2	1996-07-31	VYDAJ	VYBER	15	35142	SLUZBY	\N	\N
669	2	1996-08-31	VYDAJ	VYBER	15	44765	SLUZBY	\N	\N
670	2	1996-09-30	VYDAJ	VYBER	15	32640	SLUZBY	\N	\N
671	2	1996-10-31	VYDAJ	VYBER	15	45567	SLUZBY	\N	\N
672	2	1996-11-30	VYDAJ	VYBER	15	49514	SLUZBY	\N	\N
673	2	1996-12-31	VYDAJ	VYBER	15	53391	SLUZBY	\N	\N
674	2	1997-01-31	VYDAJ	VYBER	15	29803	SLUZBY	\N	\N
675	2	1997-02-28	VYDAJ	VYBER	15	39009	SLUZBY	\N	\N
676	2	1997-03-31	VYDAJ	VYBER	15	45213	SLUZBY	\N	\N
677	2	1997-04-30	VYDAJ	VYBER	15	53470	SLUZBY	\N	\N
678	2	1997-05-31	VYDAJ	VYBER	15	57214	SLUZBY	\N	\N
679	2	1997-06-30	VYDAJ	VYBER	15	27446	SLUZBY	\N	\N
680	2	1997-07-31	VYDAJ	VYBER	15	48173	SLUZBY	\N	\N
681	2	1997-08-31	VYDAJ	VYBER	15	43746	SLUZBY	\N	\N
682	2	1997-09-30	VYDAJ	VYBER	15	52092	SLUZBY	\N	\N
683	2	1997-10-31	VYDAJ	VYBER	15	51645	SLUZBY	\N	\N
684	2	1997-11-30	VYDAJ	VYBER	15	51795	SLUZBY	\N	\N
685	2	1997-12-31	VYDAJ	VYBER	15	53876	SLUZBY	\N	\N
686	2	1998-01-31	VYDAJ	VYBER	15	31782	SLUZBY	\N	\N
687	2	1998-02-28	VYDAJ	VYBER	15	40876	SLUZBY	\N	\N
688	2	1998-03-31	VYDAJ	VYBER	15	29057	SLUZBY	\N	\N
689	2	1998-04-30	VYDAJ	VYBER	15	40558	SLUZBY	\N	\N
690	2	1998-05-31	VYDAJ	VYBER	15	36768	SLUZBY	\N	\N
691	2	1998-06-30	VYDAJ	VYBER	15	48542	SLUZBY	\N	\N
692	2	1998-07-31	VYDAJ	VYBER	15	50314	SLUZBY	\N	\N
693	2	1998-08-31	VYDAJ	VYBER	15	42866	SLUZBY	\N	\N
694	2	1998-09-30	VYDAJ	VYBER	15	44016	SLUZBY	\N	\N
695	2	1998-10-31	VYDAJ	VYBER	15	46065	SLUZBY	\N	\N
696	2	1998-11-30	VYDAJ	VYBER	15	36583	SLUZBY	\N	\N
697	2	1993-03-28	PRIJEM	VKLAD	3700	25036	\N	\N	\N
698	2	1993-04-27	VYDAJ	VYBER	11000	34286	\N	\N	\N
699	2	1993-05-27	VYDAJ	VYBER	17600	37031	\N	\N	\N
700	2	1993-06-26	VYDAJ	VYBER	22400	45130	\N	\N	\N
701	2	1993-07-26	VYDAJ	VYBER	10300	38881	\N	\N	\N
702	2	1993-08-25	VYDAJ	VYBER	1000	26853	\N	\N	\N
703	2	1993-09-24	VYDAJ	VYBER	4500	31862	\N	\N	\N
704	2	1993-10-24	VYDAJ	VYBER	3000	27744	\N	\N	\N
705	2	1993-11-23	VYDAJ	VYBER	5300	31700	\N	\N	\N
706	2	1993-12-23	VYDAJ	VYBER	3100	27717	\N	\N	\N
707	2	1994-01-22	VYDAJ	VYBER	400	26538	\N	\N	\N
708	2	1994-02-21	VYDAJ	VYBER	3500	26136	\N	\N	\N
709	2	1994-03-23	VYDAJ	VYBER	4900	30927	\N	\N	\N
710	2	1994-04-22	VYDAJ	VYBER	7600	33039	\N	\N	\N
711	2	1994-05-22	VYDAJ	VYBER	4900	28572	\N	\N	\N
712	2	1994-06-21	VYDAJ	VYBER	3900	29209	\N	\N	\N
713	2	1994-07-21	VYDAJ	VYBER	4500	30817	\N	\N	\N
714	2	1994-08-20	VYDAJ	VYBER	5400	35122	\N	\N	\N
715	2	1994-09-19	VYDAJ	VYBER	4800	37647	\N	\N	\N
716	2	1994-10-19	VYDAJ	VYBER	3400	31928	\N	\N	\N
717	2	1994-11-18	VYDAJ	VYBER	2000	30941	\N	\N	\N
718	2	1994-12-18	VYDAJ	VYBER	9300	38480	\N	\N	\N
719	2	1995-01-17	VYDAJ	VYBER	300	28411	\N	\N	\N
720	2	1995-02-16	PRIJEM	VKLAD	700	30712	\N	\N	\N
721	2	1995-03-18	VYDAJ	VYBER	4200	33505	\N	\N	\N
722	2	1995-04-17	VYDAJ	VYBER	3600	39622	\N	\N	\N
723	2	1995-05-17	VYDAJ	VYBER	2100	33426	\N	\N	\N
724	2	1995-06-16	VYDAJ	VYBER	2600	40149	\N	\N	\N
725	2	1995-07-16	VYDAJ	VYBER	8400	37802	\N	\N	\N
726	2	1995-08-15	VYDAJ	VYBER	6900	40647	\N	\N	\N
727	2	1995-09-14	VYDAJ	VYBER	1600	29279	\N	\N	\N
728	2	1995-10-14	VYDAJ	VYBER	2900	36072	\N	\N	\N
729	2	1995-11-13	VYDAJ	VYBER	1500	34940	\N	\N	\N
730	2	1995-12-13	VYDAJ	VYBER	11000	43774	\N	\N	\N
731	2	1996-01-12	PRIJEM	VKLAD	200	16756	\N	\N	\N
732	2	1996-02-11	PRIJEM	VKLAD	5800	21312	\N	\N	\N
733	2	1996-03-12	VYDAJ	VYBER	10400	40738	\N	\N	\N
734	2	1996-04-11	VYDAJ	VYBER	3700	27744	\N	\N	\N
735	2	1996-05-11	PRIJEM	VKLAD	6700	22322	\N	\N	\N
736	2	1996-06-10	PRIJEM	VKLAD	7500	21526	\N	\N	\N
737	2	1996-07-10	VYDAJ	VYBER	5400	39364	\N	\N	\N
738	2	1996-08-09	VYDAJ	VYBER	300	27576	\N	\N	\N
739	2	1996-09-08	VYDAJ	VYBER	2800	34699	\N	\N	\N
740	2	1996-10-08	PRIJEM	VKLAD	3300	28674	\N	\N	\N
741	2	1996-11-07	VYDAJ	VYBER	1900	36401	\N	\N	\N
742	2	1996-12-07	VYDAJ	VYBER	8000	30648	\N	\N	\N
743	2	1997-01-06	VYDAJ	VYBER	400	31625	\N	\N	\N
744	2	1997-02-05	PRIJEM	VKLAD	6100	35903	\N	\N	\N
745	2	1997-03-07	VYDAJ	VYBER	1400	30343	\N	\N	\N
746	2	1997-04-06	VYDAJ	VYBER	1800	36147	\N	\N	\N
747	2	1997-05-06	VYDAJ	VYBER	3600	42604	\N	\N	\N
748	2	1997-06-05	VYDAJ	VYBER	7600	38948	\N	\N	\N
749	2	1997-07-05	PRIJEM	VKLAD	10200	37646	\N	\N	\N
750	2	1997-08-04	VYDAJ	VYBER	4600	43573	\N	\N	\N
751	2	1997-09-03	VYDAJ	VYBER	900	42846	\N	\N	\N
752	2	1997-10-03	VYDAJ	VYBER	9800	42292	\N	\N	\N
753	2	1997-11-02	VYDAJ	VYBER	9900	41745	\N	\N	\N
754	2	1997-12-02	VYDAJ	VYBER	12700	39095	\N	\N	\N
755	2	1998-01-01	VYDAJ	VYBER	10200	43676	\N	\N	\N
756	2	1998-01-31	PRIJEM	VKLAD	1300	31646	\N	\N	\N
757	2	1998-03-02	VYDAJ	VYBER	4100	36776	\N	\N	\N
758	2	1998-04-01	PRIJEM	VKLAD	1800	30857	\N	\N	\N
759	2	1998-05-01	VYDAJ	VYBER	6800	33758	\N	\N	\N
760	2	1998-05-31	VYDAJ	VYBER	6500	36782	\N	\N	\N
761	2	1998-06-30	VYDAJ	VYBER	8000	48556	\N	\N	\N
762	2	1998-07-30	VYDAJ	VYBER	9400	50112	\N	\N	\N
763	2	1998-08-29	VYDAJ	VYBER	3100	42686	\N	\N	\N
764	2	1998-09-28	VYDAJ	VYBER	7200	43836	\N	\N	\N
765	2	1998-10-28	VYDAJ	VYBER	7900	45886	\N	\N	\N
766	2	1998-11-27	VYDAJ	VYBER	4800	36425	\N	\N	\N
837	3	1997-07-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
844	3	1997-07-11	PRIJEM	VKLAD	7502	8502	\N	\N	\N
845	3	1997-08-11	PRIJEM	VKLAD	7502	23828	\N	\N	\N
846	3	1997-09-11	PRIJEM	VKLAD	7502	29009	\N	\N	\N
847	3	1997-10-11	PRIJEM	VKLAD	7502	29724	\N	\N	\N
848	3	1997-11-11	PRIJEM	VKLAD	7502	29949	\N	\N	\N
849	3	1997-12-11	PRIJEM	VKLAD	11253	29211	\N	\N	\N
850	3	1998-01-11	PRIJEM	VKLAD	7502	20730	\N	\N	\N
851	3	1998-02-11	PRIJEM	VKLAD	7502	15096	\N	\N	\N
852	3	1998-03-11	PRIJEM	VKLAD	7502	23239	\N	\N	\N
853	3	1998-04-11	PRIJEM	VKLAD	7502	26813	\N	\N	\N
854	3	1998-05-11	PRIJEM	VKLAD	7502	25481	\N	\N	\N
855	3	1998-06-11	PRIJEM	VKLAD	11253	27420	\N	\N	\N
856	3	1998-07-11	PRIJEM	VKLAD	7502	31013	\N	\N	\N
857	3	1998-08-11	PRIJEM	VKLAD	7502	34122	\N	\N	\N
858	3	1998-09-11	PRIJEM	VKLAD	7502	36545	\N	\N	\N
859	3	1998-10-11	PRIJEM	VKLAD	7502	41079	\N	\N	\N
860	3	1998-11-11	PRIJEM	VKLAD	7502	45232	\N	\N	\N
861	3	1998-12-11	PRIJEM	VKLAD	11253	53447	\N	\N	\N
873	3	1997-12-06	VYDAJ	PREVOD NA UCET	1135	21824	SIPO	WX	83084338
874	3	1998-01-06	VYDAJ	PREVOD NA UCET	1135	18414	SIPO	WX	83084338
875	3	1998-02-06	VYDAJ	PREVOD NA UCET	1135	11460	SIPO	WX	83084338
876	3	1998-03-06	VYDAJ	PREVOD NA UCET	1135	19603	SIPO	WX	83084338
877	3	1998-04-06	VYDAJ	PREVOD NA UCET	1135	23177	SIPO	WX	83084338
878	3	1998-05-06	VYDAJ	PREVOD NA UCET	1135	21845	SIPO	WX	83084338
879	3	1998-06-06	VYDAJ	PREVOD NA UCET	1135	20033	SIPO	WX	83084338
880	3	1998-07-06	VYDAJ	PREVOD NA UCET	1135	27377	SIPO	WX	83084338
881	3	1998-08-06	VYDAJ	PREVOD NA UCET	1135	30486	SIPO	WX	83084338
882	3	1998-09-06	VYDAJ	PREVOD NA UCET	1135	32909	SIPO	WX	83084338
883	3	1998-10-06	VYDAJ	PREVOD NA UCET	1135	37443	SIPO	WX	83084338
884	3	1998-11-06	VYDAJ	PREVOD NA UCET	1135	41596	SIPO	WX	83084338
885	3	1998-12-06	VYDAJ	PREVOD NA UCET	1135	46060	SIPO	WX	83084338
897	3	1997-12-07	VYDAJ	PREVOD NA UCET	327	21497	 	CD	24485939
898	3	1998-01-07	VYDAJ	PREVOD NA UCET	327	18087	 	CD	24485939
899	3	1998-02-07	VYDAJ	PREVOD NA UCET	327	11133	 	CD	24485939
900	3	1998-03-07	VYDAJ	PREVOD NA UCET	327	19276	 	CD	24485939
901	3	1998-04-07	VYDAJ	PREVOD NA UCET	327	22850	 	CD	24485939
902	3	1998-05-07	VYDAJ	PREVOD NA UCET	327	21518	 	CD	24485939
903	3	1998-06-07	VYDAJ	PREVOD NA UCET	327	19706	 	CD	24485939
904	3	1998-07-07	VYDAJ	PREVOD NA UCET	327	27050	 	CD	24485939
905	3	1998-08-07	VYDAJ	PREVOD NA UCET	327	30159	 	CD	24485939
906	3	1998-09-07	VYDAJ	PREVOD NA UCET	327	32582	 	CD	24485939
907	3	1998-10-07	VYDAJ	PREVOD NA UCET	327	37116	 	CD	24485939
908	3	1998-11-07	VYDAJ	PREVOD NA UCET	327	41269	 	CD	24485939
909	3	1998-12-07	VYDAJ	PREVOD NA UCET	327	45733	 	CD	24485939
921	3	1997-12-09	VYDAJ	PREVOD NA UCET	3539	17958	POJISTNE	AB	59972357
922	3	1998-01-09	VYDAJ	PREVOD NA UCET	3539	14548	POJISTNE	AB	59972357
923	3	1998-02-09	VYDAJ	PREVOD NA UCET	3539	7594	POJISTNE	AB	59972357
924	3	1998-03-09	VYDAJ	PREVOD NA UCET	3539	15737	POJISTNE	AB	59972357
925	3	1998-04-09	VYDAJ	PREVOD NA UCET	3539	19311	POJISTNE	AB	59972357
926	3	1998-05-09	VYDAJ	PREVOD NA UCET	3539	17979	POJISTNE	AB	59972357
927	3	1998-06-09	VYDAJ	PREVOD NA UCET	3539	16167	POJISTNE	AB	59972357
928	3	1998-07-09	VYDAJ	PREVOD NA UCET	3539	23511	POJISTNE	AB	59972357
929	3	1998-08-09	VYDAJ	PREVOD NA UCET	3539	26620	POJISTNE	AB	59972357
930	3	1998-09-09	VYDAJ	PREVOD NA UCET	3539	29043	POJISTNE	AB	59972357
931	3	1998-10-09	VYDAJ	PREVOD NA UCET	3539	33577	POJISTNE	AB	59972357
932	3	1998-11-09	VYDAJ	PREVOD NA UCET	3539	37730	POJISTNE	AB	59972357
933	3	1998-12-09	VYDAJ	PREVOD NA UCET	3539	42194	POJISTNE	AB	59972357
938	3	1997-12-28	VYDAJ	VYBER	2560	26651	\N	\N	\N
939	3	1998-12-24	VYDAJ	VYBER	2560	50887	\N	\N	\N
946	3	1998-01-30	VYDAJ	VYBER	2760	12330	\N	\N	\N
947	3	1998-01-10	VYDAJ	VYBER	1320	13228	\N	\N	\N
948	3	1998-01-29	VYDAJ	VYBER	2280	15090	\N	\N	\N
949	3	1998-01-22	VYDAJ	VYBER	3360	17370	\N	\N	\N
950	3	1998-01-04	VYDAJ	VYBER	1560	19549	\N	\N	\N
951	3	1998-01-03	VYDAJ	VYBER	2040	24709	\N	\N	\N
952	3	1997-12-01	VYDAJ	VYBER	2400	27659	\N	\N	\N
956	3	1998-04-22	VYDAJ	VYBER	3120	23693	\N	\N	\N
957	3	1998-11-11	VYDAJ	VYBER	2400	42832	\N	\N	\N
969	3	1997-11-30	VYDAJ	VYBER	15	30059	SLUZBY	\N	\N
970	3	1997-12-31	VYDAJ	VYBER	15	26749	SLUZBY	\N	\N
971	3	1998-01-31	VYDAJ	VYBER	15	12395	SLUZBY	\N	\N
972	3	1998-02-28	VYDAJ	VYBER	15	15138	SLUZBY	\N	\N
973	3	1998-03-31	VYDAJ	VYBER	15	23312	SLUZBY	\N	\N
974	3	1998-04-30	VYDAJ	VYBER	15	23780	SLUZBY	\N	\N
975	3	1998-05-31	VYDAJ	VYBER	15	25568	SLUZBY	\N	\N
976	3	1998-06-30	VYDAJ	VYBER	15	27512	SLUZBY	\N	\N
977	3	1998-07-31	VYDAJ	VYBER	15	31121	SLUZBY	\N	\N
978	3	1998-08-31	VYDAJ	VYBER	15	34244	SLUZBY	\N	\N
979	3	1998-09-30	VYDAJ	VYBER	15	38578	SLUZBY	\N	\N
980	3	1998-10-31	VYDAJ	VYBER	15	42731	SLUZBY	\N	\N
981	3	1998-11-30	VYDAJ	VYBER	15	47195	SLUZBY	\N	\N
982	3	1997-08-06	PRIJEM	VKLAD	7800	16326	\N	\N	\N
983	3	1997-09-05	VYDAJ	VYBER	2400	21507	\N	\N	\N
984	3	1997-10-05	VYDAJ	VYBER	6900	22222	\N	\N	\N
985	3	1997-11-04	VYDAJ	VYBER	7400	22447	\N	\N	\N
986	3	1997-12-04	VYDAJ	VYBER	4700	22959	\N	\N	\N
987	3	1998-01-03	VYDAJ	VYBER	3600	21109	\N	\N	\N
988	3	1998-02-02	PRIJEM	VKLAD	200	12595	\N	\N	\N
989	3	1998-03-04	PRIJEM	VKLAD	5600	20738	\N	\N	\N
990	3	1998-04-03	PRIJEM	VKLAD	1000	24312	\N	\N	\N
991	3	1998-05-03	VYDAJ	VYBER	800	22980	\N	\N	\N
992	3	1998-06-02	VYDAJ	VYBER	4400	21168	\N	\N	\N
993	3	1998-07-02	PRIJEM	VKLAD	1000	28512	\N	\N	\N
994	3	1998-08-01	PRIJEM	VKLAD	500	31621	\N	\N	\N
995	3	1998-08-31	VYDAJ	VYBER	200	34044	\N	\N	\N
996	3	1998-09-30	PRIJEM	VKLAD	1900	38592	\N	\N	\N
997	3	1998-10-30	PRIJEM	VKLAD	1500	42579	\N	\N	\N
998	3	1998-11-29	PRIJEM	VKLAD	4200	47032	\N	\N	\N
1017	4	1996-02-21	PRIJEM	VKLAD	800	800	\N	\N	\N
1020	4	1996-03-11	PRIJEM	PREVOD Z UCTU	5553	6353	DUCHOD	UV	89899795
1021	4	1996-04-11	PRIJEM	PREVOD Z UCTU	5553	11906	DUCHOD	UV	89899795
1022	4	1996-05-11	PRIJEM	PREVOD Z UCTU	5553	17459	DUCHOD	UV	89899795
1023	4	1996-06-11	PRIJEM	PREVOD Z UCTU	5553	23012	DUCHOD	UV	89899795
1024	4	1996-07-11	PRIJEM	PREVOD Z UCTU	5553	28565	DUCHOD	UV	89899795
1025	4	1996-08-11	PRIJEM	PREVOD Z UCTU	5553	28907	DUCHOD	UV	89899795
1026	4	1996-09-11	PRIJEM	PREVOD Z UCTU	5553	27088	DUCHOD	UV	89899795
1027	4	1996-10-11	PRIJEM	PREVOD Z UCTU	5553	26062	DUCHOD	UV	89899795
1028	4	1996-11-11	PRIJEM	PREVOD Z UCTU	5553	28338	DUCHOD	UV	89899795
1029	4	1996-12-11	PRIJEM	PREVOD Z UCTU	5553	30624	DUCHOD	UV	89899795
1030	4	1997-01-11	PRIJEM	PREVOD Z UCTU	5553	27458	DUCHOD	UV	89899795
1031	4	1997-02-11	PRIJEM	PREVOD Z UCTU	5553	19452	DUCHOD	UV	89899795
1032	4	1997-03-11	PRIJEM	PREVOD Z UCTU	5553	21700	DUCHOD	UV	89899795
1033	4	1997-04-11	PRIJEM	PREVOD Z UCTU	5553	22195	DUCHOD	UV	89899795
1034	4	1997-05-11	PRIJEM	PREVOD Z UCTU	5553	24454	DUCHOD	UV	89899795
1035	4	1997-06-11	PRIJEM	PREVOD Z UCTU	5553	19152	DUCHOD	UV	89899795
1036	4	1997-07-11	PRIJEM	PREVOD Z UCTU	5553	21401	DUCHOD	UV	89899795
1037	4	1997-08-11	PRIJEM	PREVOD Z UCTU	5553	23658	DUCHOD	UV	89899795
1038	4	1997-09-11	PRIJEM	PREVOD Z UCTU	5553	22917	DUCHOD	UV	89899795
1039	4	1997-10-11	PRIJEM	PREVOD Z UCTU	5553	23279	DUCHOD	UV	89899795
1040	4	1997-11-11	PRIJEM	PREVOD Z UCTU	5553	23600	DUCHOD	UV	89899795
1041	4	1997-12-11	PRIJEM	PREVOD Z UCTU	5553	25864	DUCHOD	UV	89899795
1042	4	1998-01-11	PRIJEM	PREVOD Z UCTU	5553	20072	DUCHOD	UV	89899795
1043	4	1998-02-11	PRIJEM	PREVOD Z UCTU	5553	16691	DUCHOD	UV	89899795
1044	4	1998-03-11	PRIJEM	PREVOD Z UCTU	5553	18928	DUCHOD	UV	89899795
1045	4	1998-04-11	PRIJEM	PREVOD Z UCTU	5553	21174	DUCHOD	UV	89899795
1046	4	1998-05-11	PRIJEM	PREVOD Z UCTU	5553	22627	DUCHOD	UV	89899795
1047	4	1998-06-11	PRIJEM	PREVOD Z UCTU	5553	24328	DUCHOD	UV	89899795
1048	4	1998-07-11	PRIJEM	PREVOD Z UCTU	5553	25874	DUCHOD	UV	89899795
1049	4	1998-08-11	PRIJEM	PREVOD Z UCTU	5553	26307	DUCHOD	UV	89899795
1050	4	1998-09-11	PRIJEM	PREVOD Z UCTU	5553	28584	DUCHOD	UV	89899795
1051	4	1998-10-11	PRIJEM	PREVOD Z UCTU	5553	30869	DUCHOD	UV	89899795
1052	4	1998-11-11	PRIJEM	PREVOD Z UCTU	5553	33165	DUCHOD	UV	89899795
1053	4	1998-12-11	PRIJEM	PREVOD Z UCTU	5553	34870	DUCHOD	UV	89899795
1061	4	1996-08-06	VYDAJ	PREVOD NA UCET	2078	23354	SIPO	UV	26693541
1062	4	1996-09-06	VYDAJ	PREVOD NA UCET	2078	21535	SIPO	UV	26693541
1063	4	1996-10-06	VYDAJ	PREVOD NA UCET	2078	20509	SIPO	UV	26693541
1064	4	1996-11-06	VYDAJ	PREVOD NA UCET	2078	22785	SIPO	UV	26693541
1065	4	1996-12-06	VYDAJ	PREVOD NA UCET	2078	25071	SIPO	UV	26693541
1066	4	1997-01-06	VYDAJ	PREVOD NA UCET	2078	22305	SIPO	UV	26693541
1067	4	1997-02-06	VYDAJ	PREVOD NA UCET	2078	13899	SIPO	UV	26693541
1068	4	1997-03-06	VYDAJ	PREVOD NA UCET	2078	16147	SIPO	UV	26693541
1069	4	1997-04-06	VYDAJ	PREVOD NA UCET	2078	16642	SIPO	UV	26693541
1070	4	1997-05-06	VYDAJ	PREVOD NA UCET	2078	18901	SIPO	UV	26693541
1071	4	1997-06-06	VYDAJ	PREVOD NA UCET	2078	13599	SIPO	UV	26693541
1072	4	1997-07-06	VYDAJ	PREVOD NA UCET	2078	15848	SIPO	UV	26693541
1073	4	1997-08-06	VYDAJ	PREVOD NA UCET	2078	18105	SIPO	UV	26693541
1074	4	1997-09-06	VYDAJ	PREVOD NA UCET	2078	17364	SIPO	UV	26693541
1075	4	1997-10-06	VYDAJ	PREVOD NA UCET	2078	17726	SIPO	UV	26693541
1076	4	1997-11-06	VYDAJ	PREVOD NA UCET	2078	18687	SIPO	UV	26693541
1077	4	1997-12-06	VYDAJ	PREVOD NA UCET	2078	20311	SIPO	UV	26693541
1078	4	1998-01-06	VYDAJ	PREVOD NA UCET	2078	17799	SIPO	UV	26693541
1079	4	1998-02-06	VYDAJ	PREVOD NA UCET	2078	11138	SIPO	UV	26693541
1080	4	1998-03-06	VYDAJ	PREVOD NA UCET	2078	13375	SIPO	UV	26693541
1081	4	1998-04-06	VYDAJ	PREVOD NA UCET	2078	15621	SIPO	UV	26693541
1082	4	1998-05-06	VYDAJ	PREVOD NA UCET	2078	17074	SIPO	UV	26693541
1083	4	1998-06-06	VYDAJ	PREVOD NA UCET	2078	18775	SIPO	UV	26693541
1084	4	1998-07-06	VYDAJ	PREVOD NA UCET	2078	20321	SIPO	UV	26693541
1085	4	1998-08-06	VYDAJ	PREVOD NA UCET	2078	20754	SIPO	UV	26693541
1086	4	1998-09-06	VYDAJ	PREVOD NA UCET	2078	23031	SIPO	UV	26693541
1087	4	1998-10-06	VYDAJ	PREVOD NA UCET	2078	25316	SIPO	UV	26693541
1088	4	1998-11-06	VYDAJ	PREVOD NA UCET	2078	27612	SIPO	UV	26693541
1089	4	1998-12-06	VYDAJ	PREVOD NA UCET	2078	29317	SIPO	UV	26693541
1096	4	1996-07-13	VYDAJ	PREVOD NA UCET	1285	27280	 	UV	5848086
1097	4	1996-08-13	VYDAJ	PREVOD NA UCET	1285	27622	 	UV	5848086
1098	4	1996-09-13	VYDAJ	PREVOD NA UCET	1285	25803	 	UV	5848086
1099	4	1996-10-13	VYDAJ	PREVOD NA UCET	1285	24777	 	UV	5848086
1100	4	1996-11-13	VYDAJ	PREVOD NA UCET	1285	27053	 	UV	5848086
1101	4	1996-12-13	VYDAJ	PREVOD NA UCET	1285	26299	 	UV	5848086
1102	4	1997-01-13	VYDAJ	PREVOD NA UCET	1285	22623	 	UV	5848086
1103	4	1997-02-13	VYDAJ	PREVOD NA UCET	1285	18167	 	UV	5848086
1104	4	1997-03-13	VYDAJ	PREVOD NA UCET	1285	20415	 	UV	5848086
1105	4	1997-04-13	VYDAJ	PREVOD NA UCET	1285	20910	 	UV	5848086
1106	4	1997-05-13	VYDAJ	PREVOD NA UCET	1285	23169	 	UV	5848086
1107	4	1997-06-13	VYDAJ	PREVOD NA UCET	1285	17867	 	UV	5848086
1108	4	1997-07-13	VYDAJ	PREVOD NA UCET	1285	20116	 	UV	5848086
1109	4	1997-08-13	VYDAJ	PREVOD NA UCET	1285	22373	 	UV	5848086
1110	4	1997-09-13	VYDAJ	PREVOD NA UCET	1285	21632	 	UV	5848086
1111	4	1997-10-13	VYDAJ	PREVOD NA UCET	1285	21994	 	UV	5848086
1112	4	1997-11-13	VYDAJ	PREVOD NA UCET	1285	22315	 	UV	5848086
1113	4	1997-12-13	VYDAJ	PREVOD NA UCET	1285	23679	 	UV	5848086
1114	4	1998-01-13	VYDAJ	PREVOD NA UCET	1285	15267	 	UV	5848086
1115	4	1998-02-13	VYDAJ	PREVOD NA UCET	1285	15406	 	UV	5848086
1116	4	1998-03-13	VYDAJ	PREVOD NA UCET	1285	17643	 	UV	5848086
1117	4	1998-04-13	VYDAJ	PREVOD NA UCET	1285	19089	 	UV	5848086
1118	4	1998-05-13	VYDAJ	PREVOD NA UCET	1285	21342	 	UV	5848086
1119	4	1998-06-13	VYDAJ	PREVOD NA UCET	1285	23043	 	UV	5848086
1120	4	1998-07-13	VYDAJ	PREVOD NA UCET	1285	24589	 	UV	5848086
1121	4	1998-08-13	VYDAJ	PREVOD NA UCET	1285	25022	 	UV	5848086
1122	4	1998-09-13	VYDAJ	PREVOD NA UCET	1285	27299	 	UV	5848086
1123	4	1998-10-13	VYDAJ	PREVOD NA UCET	1285	29584	 	UV	5848086
1124	4	1998-11-13	VYDAJ	PREVOD NA UCET	1285	31880	 	UV	5848086
1125	4	1998-12-13	VYDAJ	PREVOD NA UCET	1285	33585	 	UV	5848086
1127	4	1997-06-02	VYDAJ	VYBER	5250	15677	\N	\N	\N
1130	4	1997-01-12	VYDAJ	VYBER	3550	23908	\N	\N	\N
1131	4	1998-01-20	VYDAJ	VYBER	2100	13167	\N	\N	\N
1132	4	1996-12-20	VYDAJ	VYBER	1450	24849	\N	\N	\N
1133	4	1997-12-22	VYDAJ	VYBER	1400	19799	\N	\N	\N
1134	4	1998-12-03	VYDAJ	VYBER	600	31395	\N	\N	\N
1141	4	1997-01-09	VYDAJ	VYBER	400	21905	\N	\N	\N
1142	4	1997-01-26	VYDAJ	VYBER	1520	19103	\N	\N	\N
1143	4	1997-01-01	VYDAJ	VYBER	560	24383	\N	\N	\N
1144	4	1997-01-28	VYDAJ	VYBER	1360	15903	\N	\N	\N
1145	4	1997-01-27	VYDAJ	VYBER	1840	17263	\N	\N	\N
1146	4	1997-01-16	VYDAJ	VYBER	2000	20623	\N	\N	\N
1148	4	1998-01-07	VYDAJ	VYBER	1680	16119	\N	\N	\N
1149	4	1998-01-11	VYDAJ	VYBER	2320	17752	\N	\N	\N
1151	4	1998-01-08	VYDAJ	VYBER	1600	14519	\N	\N	\N
1152	4	1998-01-12	VYDAJ	VYBER	1200	16552	\N	\N	\N
1153	4	1996-12-12	VYDAJ	VYBER	3040	27584	\N	\N	\N
1155	4	1997-11-06	VYDAJ	VYBER	640	18047	\N	\N	\N
1156	4	1997-03-16	VYDAJ	VYBER	1760	18655	\N	\N	\N
1157	4	1997-12-22	VYDAJ	VYBER	2480	21199	\N	\N	\N
1158	4	1997-05-28	VYDAJ	VYBER	640	20849	\N	\N	\N
1159	4	1997-05-27	VYDAJ	VYBER	1680	21489	\N	\N	\N
1160	4	1998-06-03	VYDAJ	VYBER	560	20853	\N	\N	\N
1161	4	1998-06-17	VYDAJ	VYBER	720	22323	\N	\N	\N
1162	4	1998-07-24	VYDAJ	VYBER	1840	22749	\N	\N	\N
1170	4	1996-07-31	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
1171	4	1996-08-31	VYDAJ	VYBER	15	23613	SLUZBY	\N	\N
1172	4	1996-09-30	VYDAJ	VYBER	15	22587	SLUZBY	\N	\N
1173	4	1996-10-31	VYDAJ	VYBER	15	24863	SLUZBY	\N	\N
1174	4	1996-11-30	VYDAJ	VYBER	15	27149	SLUZBY	\N	\N
1175	4	1996-12-31	VYDAJ	VYBER	15	24943	SLUZBY	\N	\N
1176	4	1997-01-31	VYDAJ	VYBER	15	15977	SLUZBY	\N	\N
1177	4	1997-02-28	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
1178	4	1997-03-31	VYDAJ	VYBER	15	18720	SLUZBY	\N	\N
1179	4	1997-04-30	VYDAJ	VYBER	15	20979	SLUZBY	\N	\N
1180	4	1997-05-31	VYDAJ	VYBER	15	20927	SLUZBY	\N	\N
1181	4	1997-06-30	VYDAJ	VYBER	15	17926	SLUZBY	\N	\N
1182	4	1997-07-31	VYDAJ	VYBER	15	20183	SLUZBY	\N	\N
1183	4	1997-08-31	VYDAJ	VYBER	15	19442	SLUZBY	\N	\N
1184	4	1997-09-30	VYDAJ	VYBER	15	19804	SLUZBY	\N	\N
1185	4	1997-10-31	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
1186	4	1997-11-30	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
1187	4	1997-12-31	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
1188	4	1998-01-31	VYDAJ	VYBER	15	13216	SLUZBY	\N	\N
1189	4	1998-02-28	VYDAJ	VYBER	15	15453	SLUZBY	\N	\N
1190	4	1998-03-31	VYDAJ	VYBER	15	17699	SLUZBY	\N	\N
1191	4	1998-04-30	VYDAJ	VYBER	15	19152	SLUZBY	\N	\N
1192	4	1998-05-31	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
1193	4	1998-06-30	VYDAJ	VYBER	15	22399	SLUZBY	\N	\N
1194	4	1998-07-31	VYDAJ	VYBER	15	22832	SLUZBY	\N	\N
1195	4	1998-08-31	VYDAJ	VYBER	15	25109	SLUZBY	\N	\N
1196	4	1998-09-30	VYDAJ	VYBER	15	27394	SLUZBY	\N	\N
1197	4	1998-10-31	VYDAJ	VYBER	15	29690	SLUZBY	\N	\N
1198	4	1998-11-30	VYDAJ	VYBER	15	31995	SLUZBY	\N	\N
1199	4	1996-07-20	VYDAJ	VYBER	1900	25380	\N	\N	\N
1200	4	1996-08-19	VYDAJ	VYBER	4100	23522	\N	\N	\N
1201	4	1996-09-18	VYDAJ	VYBER	3300	22503	\N	\N	\N
1202	4	1997-08-14	VYDAJ	VYBER	3000	19373	\N	\N	\N
1203	4	1997-09-13	VYDAJ	VYBER	1900	19732	\N	\N	\N
1204	4	1997-10-13	VYDAJ	VYBER	1300	20694	\N	\N	\N
1205	4	1997-12-12	VYDAJ	VYBER	900	24964	\N	\N	\N
1206	4	1998-04-11	VYDAJ	VYBER	800	20374	\N	\N	\N
1237	5	1997-05-30	PRIJEM	VKLAD	600	600	\N	\N	\N
1243	5	1997-06-13	PRIJEM	PREVOD Z UCTU	5017	5617	DUCHOD	KL	66297393
1244	5	1997-07-13	PRIJEM	PREVOD Z UCTU	5017	10634	DUCHOD	KL	66297393
1245	5	1997-08-13	PRIJEM	PREVOD Z UCTU	5017	15651	DUCHOD	KL	66297393
1246	5	1997-09-13	PRIJEM	PREVOD Z UCTU	5017	20668	DUCHOD	KL	66297393
1247	5	1997-10-13	PRIJEM	PREVOD Z UCTU	5017	25685	DUCHOD	KL	66297393
1248	5	1997-11-13	PRIJEM	PREVOD Z UCTU	5017	28023	DUCHOD	KL	66297393
1249	5	1997-12-13	PRIJEM	PREVOD Z UCTU	5017	29220	DUCHOD	KL	66297393
1250	5	1998-01-13	PRIJEM	PREVOD Z UCTU	5017	25750	DUCHOD	KL	66297393
1251	5	1998-02-13	PRIJEM	PREVOD Z UCTU	5017	24425	DUCHOD	KL	66297393
1252	5	1998-03-13	PRIJEM	PREVOD Z UCTU	5017	26857	DUCHOD	KL	66297393
1253	5	1998-04-13	PRIJEM	PREVOD Z UCTU	5017	28499	DUCHOD	KL	66297393
1254	5	1998-05-13	PRIJEM	PREVOD Z UCTU	5017	28746	DUCHOD	KL	66297393
1255	5	1998-06-13	PRIJEM	PREVOD Z UCTU	5017	28794	DUCHOD	KL	66297393
1256	5	1998-07-13	PRIJEM	PREVOD Z UCTU	5017	30444	DUCHOD	KL	66297393
1257	5	1998-08-13	PRIJEM	PREVOD Z UCTU	5017	28797	DUCHOD	KL	66297393
1258	5	1998-09-13	PRIJEM	PREVOD Z UCTU	5017	26141	DUCHOD	KL	66297393
1259	5	1998-10-13	PRIJEM	PREVOD Z UCTU	5017	27238	DUCHOD	KL	66297393
1260	5	1998-11-13	PRIJEM	PREVOD Z UCTU	5017	29682	DUCHOD	KL	66297393
1261	5	1998-12-13	PRIJEM	PREVOD Z UCTU	5017	32036	DUCHOD	KL	66297393
1272	5	1997-11-08	VYDAJ	PREVOD NA UCET	2668	23006	SIPO	GH	37390208
1273	5	1997-12-08	VYDAJ	PREVOD NA UCET	2668	24203	SIPO	GH	37390208
1274	5	1998-01-08	VYDAJ	PREVOD NA UCET	2668	21533	SIPO	GH	37390208
1275	5	1998-02-08	VYDAJ	PREVOD NA UCET	2668	19408	SIPO	GH	37390208
1276	5	1998-03-08	VYDAJ	PREVOD NA UCET	2668	21840	SIPO	GH	37390208
1277	5	1998-04-08	VYDAJ	PREVOD NA UCET	2668	23482	SIPO	GH	37390208
1278	5	1998-05-08	VYDAJ	PREVOD NA UCET	2668	23729	SIPO	GH	37390208
1279	5	1998-06-08	VYDAJ	PREVOD NA UCET	2668	23777	SIPO	GH	37390208
1280	5	1998-07-08	VYDAJ	PREVOD NA UCET	2668	25427	SIPO	GH	37390208
1281	5	1998-08-08	VYDAJ	PREVOD NA UCET	2668	23780	SIPO	GH	37390208
1282	5	1998-09-08	VYDAJ	PREVOD NA UCET	2668	21124	SIPO	GH	37390208
1283	5	1998-10-08	VYDAJ	PREVOD NA UCET	2668	22221	SIPO	GH	37390208
1284	5	1998-11-08	VYDAJ	PREVOD NA UCET	2668	24665	SIPO	GH	37390208
1285	5	1998-12-08	VYDAJ	PREVOD NA UCET	2668	27019	SIPO	GH	37390208
1286	5	1997-12-05	VYDAJ	VYBER	1250	26871	\N	\N	\N
1287	5	1998-12-25	VYDAJ	VYBER	850	27966	\N	\N	\N
1294	5	1998-01-11	VYDAJ	VYBER	800	20733	\N	\N	\N
1295	5	1998-01-20	VYDAJ	VYBER	2240	23510	\N	\N	\N
1296	5	1998-01-07	VYDAJ	VYBER	2080	24201	\N	\N	\N
1297	5	1998-01-22	VYDAJ	VYBER	720	22790	\N	\N	\N
1298	5	1998-01-07	VYDAJ	VYBER	1280	26281	\N	\N	\N
1299	5	1998-01-27	VYDAJ	VYBER	800	21990	\N	\N	\N
1301	5	1997-12-24	VYDAJ	VYBER	1760	27460	\N	\N	\N
1305	5	1998-12-18	VYDAJ	VYBER	1520	28916	\N	\N	\N
1306	5	1998-12-15	VYDAJ	VYBER	1600	30436	\N	\N	\N
1307	5	1998-09-17	VYDAJ	VYBER	1040	25101	\N	\N	\N
1318	5	1997-10-31	VYDAJ	VYBER	15	25674	SLUZBY	\N	\N
1319	5	1997-11-30	VYDAJ	VYBER	15	28121	SLUZBY	\N	\N
1320	5	1997-12-31	VYDAJ	VYBER	15	27561	SLUZBY	\N	\N
1321	5	1998-01-31	VYDAJ	VYBER	15	22076	SLUZBY	\N	\N
1322	5	1998-02-28	VYDAJ	VYBER	15	24508	SLUZBY	\N	\N
1323	5	1998-03-31	VYDAJ	VYBER	15	26150	SLUZBY	\N	\N
1324	5	1998-04-30	VYDAJ	VYBER	15	26397	SLUZBY	\N	\N
1325	5	1998-05-31	VYDAJ	VYBER	15	26445	SLUZBY	\N	\N
1326	5	1998-06-30	VYDAJ	VYBER	15	28095	SLUZBY	\N	\N
1327	5	1998-07-31	VYDAJ	VYBER	15	26448	SLUZBY	\N	\N
1328	5	1998-08-31	VYDAJ	VYBER	15	23792	SLUZBY	\N	\N
1329	5	1998-09-30	VYDAJ	VYBER	15	24889	SLUZBY	\N	\N
1330	5	1998-10-31	VYDAJ	VYBER	15	27333	SLUZBY	\N	\N
1331	5	1998-11-30	VYDAJ	VYBER	15	29687	SLUZBY	\N	\N
1332	5	1998-03-26	VYDAJ	VYBER	800	26057	\N	\N	\N
1333	5	1998-04-25	VYDAJ	VYBER	2200	26299	\N	\N	\N
1334	5	1998-05-25	VYDAJ	VYBER	2400	26346	\N	\N	\N
1335	5	1998-06-24	VYDAJ	VYBER	800	27994	\N	\N	\N
1336	5	1998-07-24	VYDAJ	VYBER	4100	26344	\N	\N	\N
1337	5	1998-08-23	VYDAJ	VYBER	5100	23697	\N	\N	\N
1338	5	1998-09-22	VYDAJ	VYBER	300	24801	\N	\N	\N
1339	5	1998-11-21	VYDAJ	VYBER	100	29582	\N	\N	\N
1340	5	1998-12-21	VYDAJ	VYBER	100	28816	\N	\N	\N
1356	6	1994-09-27	PRIJEM	VKLAD	900	900	\N	\N	\N
1366	6	1994-10-11	PRIJEM	PREVOD Z UCTU	6669	7569	DUCHOD	OP	150186
1367	6	1994-11-11	PRIJEM	PREVOD Z UCTU	6669	14238	DUCHOD	OP	150186
1368	6	1994-12-11	PRIJEM	PREVOD Z UCTU	6669	20907	DUCHOD	OP	150186
1369	6	1995-01-11	PRIJEM	PREVOD Z UCTU	6669	27576	DUCHOD	OP	150186
1370	6	1995-02-11	PRIJEM	PREVOD Z UCTU	6669	34245	DUCHOD	OP	150186
1371	6	1995-03-11	PRIJEM	PREVOD Z UCTU	6669	30536	DUCHOD	OP	150186
1372	6	1995-04-11	PRIJEM	PREVOD Z UCTU	6669	33343	DUCHOD	OP	150186
1373	6	1995-05-11	PRIJEM	PREVOD Z UCTU	6669	36162	DUCHOD	OP	150186
1374	6	1995-06-11	PRIJEM	PREVOD Z UCTU	6669	30988	DUCHOD	OP	150186
1375	6	1995-07-11	PRIJEM	PREVOD Z UCTU	6669	33804	DUCHOD	OP	150186
1376	6	1995-08-11	PRIJEM	PREVOD Z UCTU	6669	36624	DUCHOD	OP	150186
1377	6	1995-09-11	PRIJEM	PREVOD Z UCTU	6669	37755	DUCHOD	OP	150186
1378	6	1995-10-11	PRIJEM	PREVOD Z UCTU	6669	40392	DUCHOD	OP	150186
1379	6	1995-11-11	PRIJEM	PREVOD Z UCTU	6669	39238	DUCHOD	OP	150186
1380	6	1995-12-11	PRIJEM	PREVOD Z UCTU	6669	37734	DUCHOD	OP	150186
1381	6	1996-01-11	PRIJEM	PREVOD Z UCTU	6669	39834	DUCHOD	OP	150186
1382	6	1996-02-11	PRIJEM	PREVOD Z UCTU	6669	32734	DUCHOD	OP	150186
1383	6	1996-03-11	PRIJEM	PREVOD Z UCTU	6669	31704	DUCHOD	OP	150186
1384	6	1996-04-11	PRIJEM	PREVOD Z UCTU	6669	32997	DUCHOD	OP	150186
1385	6	1996-05-11	PRIJEM	PREVOD Z UCTU	6669	35817	DUCHOD	OP	150186
1386	6	1996-06-11	PRIJEM	PREVOD Z UCTU	6669	27046	DUCHOD	OP	150186
1387	6	1996-07-11	PRIJEM	PREVOD Z UCTU	6669	29856	DUCHOD	OP	150186
1388	6	1996-08-11	PRIJEM	PREVOD Z UCTU	6669	32660	DUCHOD	OP	150186
1389	6	1996-09-11	PRIJEM	PREVOD Z UCTU	6669	35475	DUCHOD	OP	150186
1390	6	1996-10-11	PRIJEM	PREVOD Z UCTU	6669	38303	DUCHOD	OP	150186
1391	6	1996-11-11	PRIJEM	PREVOD Z UCTU	6669	39460	DUCHOD	OP	150186
1392	6	1996-12-11	PRIJEM	PREVOD Z UCTU	6669	38384	DUCHOD	OP	150186
1393	6	1997-01-11	PRIJEM	PREVOD Z UCTU	6669	36258	DUCHOD	OP	150186
1394	6	1997-02-11	PRIJEM	PREVOD Z UCTU	6669	30270	DUCHOD	OP	150186
1395	6	1997-03-11	PRIJEM	PREVOD Z UCTU	6669	33075	DUCHOD	OP	150186
1396	6	1997-04-11	PRIJEM	PREVOD Z UCTU	6669	35892	DUCHOD	OP	150186
1397	6	1997-05-11	PRIJEM	PREVOD Z UCTU	6669	38721	DUCHOD	OP	150186
1398	6	1997-06-11	PRIJEM	PREVOD Z UCTU	6669	41561	DUCHOD	OP	150186
1399	6	1997-07-11	PRIJEM	PREVOD Z UCTU	6669	41400	DUCHOD	OP	150186
1400	6	1997-08-11	PRIJEM	PREVOD Z UCTU	6669	39364	DUCHOD	OP	150186
1401	6	1997-09-11	PRIJEM	PREVOD Z UCTU	6669	42210	DUCHOD	OP	150186
1402	6	1997-10-11	PRIJEM	PREVOD Z UCTU	6669	45064	DUCHOD	OP	150186
1403	6	1997-11-11	PRIJEM	PREVOD Z UCTU	6669	47931	DUCHOD	OP	150186
1404	6	1997-12-11	PRIJEM	PREVOD Z UCTU	6669	49769	DUCHOD	OP	150186
1405	6	1998-01-11	PRIJEM	PREVOD Z UCTU	6669	49207	DUCHOD	OP	150186
1406	6	1998-02-11	PRIJEM	PREVOD Z UCTU	6669	42478	DUCHOD	OP	150186
1407	6	1998-03-11	PRIJEM	PREVOD Z UCTU	6669	43093	DUCHOD	OP	150186
1408	6	1998-04-11	PRIJEM	PREVOD Z UCTU	6669	45955	DUCHOD	OP	150186
1409	6	1998-05-11	PRIJEM	PREVOD Z UCTU	6669	48825	DUCHOD	OP	150186
1410	6	1998-06-11	PRIJEM	PREVOD Z UCTU	6669	49463	DUCHOD	OP	150186
1411	6	1998-07-11	PRIJEM	PREVOD Z UCTU	6669	42255	DUCHOD	OP	150186
1412	6	1998-08-11	PRIJEM	PREVOD Z UCTU	6669	43907	DUCHOD	OP	150186
1413	6	1998-09-11	PRIJEM	PREVOD Z UCTU	6669	46768	DUCHOD	OP	150186
1414	6	1998-10-11	PRIJEM	PREVOD Z UCTU	6669	46121	DUCHOD	OP	150186
1415	6	1998-11-11	PRIJEM	PREVOD Z UCTU	6669	48997	DUCHOD	OP	150186
1416	6	1998-12-11	PRIJEM	PREVOD Z UCTU	6669	51879	DUCHOD	OP	150186
1430	6	1995-02-12	VYDAJ	PREVOD NA UCET	3954	30291	SIPO	AB	44486999
1431	6	1995-03-12	VYDAJ	PREVOD NA UCET	3954	26582	SIPO	AB	44486999
1432	6	1995-04-12	VYDAJ	PREVOD NA UCET	3954	29389	SIPO	AB	44486999
1433	6	1995-05-12	VYDAJ	PREVOD NA UCET	3954	32208	SIPO	AB	44486999
1434	6	1995-06-12	VYDAJ	PREVOD NA UCET	3954	27034	SIPO	AB	44486999
1435	6	1995-07-12	VYDAJ	PREVOD NA UCET	3954	29850	SIPO	AB	44486999
1436	6	1995-08-12	VYDAJ	PREVOD NA UCET	3954	32670	SIPO	AB	44486999
1437	6	1995-09-12	VYDAJ	PREVOD NA UCET	3954	33801	SIPO	AB	44486999
1438	6	1995-10-12	VYDAJ	PREVOD NA UCET	3954	36438	SIPO	AB	44486999
1439	6	1995-11-12	VYDAJ	PREVOD NA UCET	3954	35284	SIPO	AB	44486999
1440	6	1995-12-12	VYDAJ	PREVOD NA UCET	3954	33780	SIPO	AB	44486999
1441	6	1996-01-12	VYDAJ	PREVOD NA UCET	3954	34600	SIPO	AB	44486999
1442	6	1996-02-12	VYDAJ	PREVOD NA UCET	3954	28780	SIPO	AB	44486999
1443	6	1996-03-12	VYDAJ	PREVOD NA UCET	3954	27750	SIPO	AB	44486999
1444	6	1996-04-12	VYDAJ	PREVOD NA UCET	3954	29043	SIPO	AB	44486999
1445	6	1996-05-12	VYDAJ	PREVOD NA UCET	3954	31863	SIPO	AB	44486999
1446	6	1996-06-12	VYDAJ	PREVOD NA UCET	3954	23092	SIPO	AB	44486999
1447	6	1996-07-12	VYDAJ	PREVOD NA UCET	3954	25902	SIPO	AB	44486999
1448	6	1996-08-12	VYDAJ	PREVOD NA UCET	3954	28706	SIPO	AB	44486999
1449	6	1996-09-12	VYDAJ	PREVOD NA UCET	3954	31521	SIPO	AB	44486999
1450	6	1996-10-12	VYDAJ	PREVOD NA UCET	3954	34349	SIPO	AB	44486999
1451	6	1996-11-12	VYDAJ	PREVOD NA UCET	3954	35506	SIPO	AB	44486999
1452	6	1996-12-12	VYDAJ	PREVOD NA UCET	3954	34430	SIPO	AB	44486999
1453	6	1997-01-12	VYDAJ	PREVOD NA UCET	3954	30544	SIPO	AB	44486999
1454	6	1997-02-12	VYDAJ	PREVOD NA UCET	3954	26316	SIPO	AB	44486999
1455	6	1997-03-12	VYDAJ	PREVOD NA UCET	3954	29121	SIPO	AB	44486999
1456	6	1997-04-12	VYDAJ	PREVOD NA UCET	3954	31938	SIPO	AB	44486999
1457	6	1997-05-12	VYDAJ	PREVOD NA UCET	3954	34767	SIPO	AB	44486999
1458	6	1997-06-12	VYDAJ	PREVOD NA UCET	3954	37607	SIPO	AB	44486999
1459	6	1997-07-12	VYDAJ	PREVOD NA UCET	3954	37446	SIPO	AB	44486999
1460	6	1997-08-12	VYDAJ	PREVOD NA UCET	3954	35410	SIPO	AB	44486999
1461	6	1997-09-12	VYDAJ	PREVOD NA UCET	3954	38256	SIPO	AB	44486999
1462	6	1997-10-12	VYDAJ	PREVOD NA UCET	3954	41110	SIPO	AB	44486999
1463	6	1997-11-12	VYDAJ	PREVOD NA UCET	3954	43977	SIPO	AB	44486999
1464	6	1997-12-12	VYDAJ	PREVOD NA UCET	3954	45815	SIPO	AB	44486999
1465	6	1998-01-12	VYDAJ	PREVOD NA UCET	3954	43493	SIPO	AB	44486999
1466	6	1998-02-12	VYDAJ	PREVOD NA UCET	3954	38524	SIPO	AB	44486999
1467	6	1998-03-12	VYDAJ	PREVOD NA UCET	3954	39139	SIPO	AB	44486999
1468	6	1998-04-12	VYDAJ	PREVOD NA UCET	3954	42001	SIPO	AB	44486999
1469	6	1998-05-12	VYDAJ	PREVOD NA UCET	3954	44871	SIPO	AB	44486999
1470	6	1998-06-12	VYDAJ	PREVOD NA UCET	3954	45509	SIPO	AB	44486999
1471	6	1998-07-12	VYDAJ	PREVOD NA UCET	3954	38301	SIPO	AB	44486999
1472	6	1998-08-12	VYDAJ	PREVOD NA UCET	3954	39953	SIPO	AB	44486999
1473	6	1998-09-12	VYDAJ	PREVOD NA UCET	3954	42814	SIPO	AB	44486999
1474	6	1998-10-12	VYDAJ	PREVOD NA UCET	3954	42167	SIPO	AB	44486999
1475	6	1998-11-12	VYDAJ	PREVOD NA UCET	3954	45043	SIPO	AB	44486999
1476	6	1998-12-12	VYDAJ	PREVOD NA UCET	3954	47925	SIPO	AB	44486999
1478	6	1995-06-01	VYDAJ	VYBER	3900	24319	\N	\N	\N
1479	6	1996-06-09	VYDAJ	VYBER	11600	20377	\N	\N	\N
1480	6	1997-06-19	VYDAJ	VYBER	2050	35557	\N	\N	\N
1481	6	1998-06-20	VYDAJ	VYBER	7600	37909	\N	\N	\N
1484	6	1996-01-20	VYDAJ	VYBER	650	31070	\N	\N	\N
1485	6	1997-01-21	VYDAJ	VYBER	4250	25814	\N	\N	\N
1486	6	1998-01-07	VYDAJ	VYBER	3450	42538	\N	\N	\N
1488	6	1995-12-04	VYDAJ	VYBER	1300	31065	\N	\N	\N
1489	6	1996-12-23	VYDAJ	VYBER	1050	33380	\N	\N	\N
1490	6	1997-12-04	VYDAJ	VYBER	400	43740	\N	\N	\N
1491	6	1998-12-26	VYDAJ	VYBER	450	47475	\N	\N	\N
1504	6	1996-01-08	VYDAJ	VYBER	640	33165	\N	\N	\N
1505	6	1996-01-15	VYDAJ	VYBER	720	33880	\N	\N	\N
1506	6	1996-01-11	VYDAJ	VYBER	1280	38554	\N	\N	\N
1507	6	1996-01-17	VYDAJ	VYBER	2160	31720	\N	\N	\N
1508	6	1996-01-23	VYDAJ	VYBER	1920	25950	\N	\N	\N
1509	6	1996-01-21	VYDAJ	VYBER	1600	27870	\N	\N	\N
1510	6	1997-01-23	VYDAJ	VYBER	1680	24134	\N	\N	\N
1511	6	1997-01-30	VYDAJ	VYBER	640	23494	\N	\N	\N
1512	6	1997-01-10	VYDAJ	VYBER	1680	29589	\N	\N	\N
1513	6	1997-01-02	VYDAJ	VYBER	2240	31269	\N	\N	\N
1514	6	1997-01-15	VYDAJ	VYBER	480	30064	\N	\N	\N
1515	6	1997-01-11	VYDAJ	VYBER	1760	34498	\N	\N	\N
1516	6	1998-01-20	VYDAJ	VYBER	1600	37173	\N	\N	\N
1517	6	1998-01-23	VYDAJ	VYBER	1520	35653	\N	\N	\N
1518	6	1998-01-19	VYDAJ	VYBER	1920	38773	\N	\N	\N
1519	6	1998-01-15	VYDAJ	VYBER	2160	40693	\N	\N	\N
1520	6	1998-01-12	VYDAJ	VYBER	1760	47447	\N	\N	\N
1521	6	1998-01-13	VYDAJ	VYBER	640	42853	\N	\N	\N
1527	6	1995-10-30	VYDAJ	VYBER	3600	32438	\N	\N	\N
1528	6	1995-02-15	VYDAJ	VYBER	2160	28131	\N	\N	\N
1529	6	1995-02-24	VYDAJ	VYBER	2320	23811	\N	\N	\N
1530	6	1995-11-14	VYDAJ	VYBER	3040	32244	\N	\N	\N
1531	6	1996-10-25	VYDAJ	VYBER	1680	32669	\N	\N	\N
1532	6	1996-04-02	VYDAJ	VYBER	1520	26328	\N	\N	\N
1533	6	1996-12-05	VYDAJ	VYBER	3920	31715	\N	\N	\N
1534	6	1996-02-18	VYDAJ	VYBER	3280	25500	\N	\N	\N
1535	6	1996-03-08	VYDAJ	VYBER	560	25035	\N	\N	\N
1536	6	1997-06-30	VYDAJ	VYBER	960	34746	\N	\N	\N
1537	6	1997-08-07	VYDAJ	VYBER	1120	32695	\N	\N	\N
1538	6	1997-12-08	VYDAJ	VYBER	640	43100	\N	\N	\N
1539	6	1997-07-17	VYDAJ	VYBER	3760	33686	\N	\N	\N
1540	6	1998-03-05	VYDAJ	VYBER	2240	36424	\N	\N	\N
1541	6	1998-10-09	VYDAJ	VYBER	3520	39452	\N	\N	\N
1542	6	1998-07-22	VYDAJ	VYBER	1200	37101	\N	\N	\N
1543	6	1998-06-28	VYDAJ	VYBER	2480	35429	\N	\N	\N
1544	6	1998-05-19	VYDAJ	VYBER	2240	42631	\N	\N	\N
1559	6	1995-02-28	VYDAJ	VYBER	15	23867	SLUZBY	\N	\N
1560	6	1995-03-31	VYDAJ	VYBER	15	26674	SLUZBY	\N	\N
1561	6	1995-04-30	VYDAJ	VYBER	15	29493	SLUZBY	\N	\N
1562	6	1995-05-31	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
1563	6	1995-06-30	VYDAJ	VYBER	15	27135	SLUZBY	\N	\N
1564	6	1995-07-31	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
1565	6	1995-08-31	VYDAJ	VYBER	15	31086	SLUZBY	\N	\N
1566	6	1995-09-30	VYDAJ	VYBER	15	33723	SLUZBY	\N	\N
1567	6	1995-10-31	VYDAJ	VYBER	15	32569	SLUZBY	\N	\N
1568	6	1995-11-30	VYDAJ	VYBER	15	32365	SLUZBY	\N	\N
1569	6	1995-12-31	VYDAJ	VYBER	15	33805	SLUZBY	\N	\N
1570	6	1996-01-31	VYDAJ	VYBER	15	26065	SLUZBY	\N	\N
1571	6	1996-02-29	VYDAJ	VYBER	15	25595	SLUZBY	\N	\N
1572	6	1996-03-31	VYDAJ	VYBER	15	27848	SLUZBY	\N	\N
1573	6	1996-04-30	VYDAJ	VYBER	15	29148	SLUZBY	\N	\N
1574	6	1996-05-31	VYDAJ	VYBER	15	31977	SLUZBY	\N	\N
1575	6	1996-06-30	VYDAJ	VYBER	15	23187	SLUZBY	\N	\N
1576	6	1996-07-31	VYDAJ	VYBER	15	25991	SLUZBY	\N	\N
1577	6	1996-08-31	VYDAJ	VYBER	15	28806	SLUZBY	\N	\N
1578	6	1996-09-30	VYDAJ	VYBER	15	31634	SLUZBY	\N	\N
1579	6	1996-10-31	VYDAJ	VYBER	15	32791	SLUZBY	\N	\N
1580	6	1996-11-30	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
1581	6	1996-12-31	VYDAJ	VYBER	15	33509	SLUZBY	\N	\N
1582	6	1997-01-31	VYDAJ	VYBER	15	23601	SLUZBY	\N	\N
1583	6	1997-02-28	VYDAJ	VYBER	15	26406	SLUZBY	\N	\N
1584	6	1997-03-31	VYDAJ	VYBER	15	29223	SLUZBY	\N	\N
1585	6	1997-04-30	VYDAJ	VYBER	15	32052	SLUZBY	\N	\N
1586	6	1997-05-31	VYDAJ	VYBER	15	34892	SLUZBY	\N	\N
1587	6	1997-06-30	VYDAJ	VYBER	15	34731	SLUZBY	\N	\N
1588	6	1997-07-31	VYDAJ	VYBER	15	33815	SLUZBY	\N	\N
1589	6	1997-08-31	VYDAJ	VYBER	15	35541	SLUZBY	\N	\N
1590	6	1997-09-30	VYDAJ	VYBER	15	38395	SLUZBY	\N	\N
1591	6	1997-10-31	VYDAJ	VYBER	15	41262	SLUZBY	\N	\N
1592	6	1997-11-30	VYDAJ	VYBER	15	44140	SLUZBY	\N	\N
1593	6	1997-12-31	VYDAJ	VYBER	15	45988	SLUZBY	\N	\N
1594	6	1998-01-31	VYDAJ	VYBER	15	35809	SLUZBY	\N	\N
1595	6	1998-02-28	VYDAJ	VYBER	15	38664	SLUZBY	\N	\N
1596	6	1998-03-31	VYDAJ	VYBER	15	39286	SLUZBY	\N	\N
1597	6	1998-04-30	VYDAJ	VYBER	15	42156	SLUZBY	\N	\N
1598	6	1998-05-31	VYDAJ	VYBER	15	42794	SLUZBY	\N	\N
1599	6	1998-06-30	VYDAJ	VYBER	15	35586	SLUZBY	\N	\N
1600	6	1998-07-31	VYDAJ	VYBER	15	37238	SLUZBY	\N	\N
1601	6	1998-08-31	VYDAJ	VYBER	15	40099	SLUZBY	\N	\N
1602	6	1998-09-30	VYDAJ	VYBER	15	42972	SLUZBY	\N	\N
1603	6	1998-10-31	VYDAJ	VYBER	15	42328	SLUZBY	\N	\N
1604	6	1998-11-30	VYDAJ	VYBER	15	45210	SLUZBY	\N	\N
1605	6	1995-02-24	VYDAJ	VYBER	2000	26131	\N	\N	\N
1606	6	1995-05-25	VYDAJ	VYBER	4100	28108	\N	\N	\N
1607	6	1995-08-23	VYDAJ	VYBER	1700	30970	\N	\N	\N
1608	6	1995-09-22	VYDAJ	VYBER	200	33601	\N	\N	\N
1609	6	1995-10-22	VYDAJ	VYBER	400	36038	\N	\N	\N
1610	6	1995-12-21	VYDAJ	VYBER	100	33680	\N	\N	\N
1611	6	1996-01-20	VYDAJ	VYBER	1600	29470	\N	\N	\N
1659	7	1996-11-24	PRIJEM	VKLAD	900	900	\N	\N	\N
1671	7	1996-12-07	PRIJEM	VKLAD	33975	34875	\N	\N	\N
1672	7	1997-01-07	PRIJEM	VKLAD	22650	50955	\N	\N	\N
1673	7	1997-02-07	PRIJEM	VKLAD	22650	61436	\N	\N	\N
1674	7	1997-03-07	PRIJEM	VKLAD	22650	69755	\N	\N	\N
1675	7	1997-04-07	PRIJEM	VKLAD	22650	70001	\N	\N	\N
1676	7	1997-05-07	PRIJEM	VKLAD	22650	69358	\N	\N	\N
1677	7	1997-06-07	PRIJEM	VKLAD	33975	76788	\N	\N	\N
1678	7	1997-07-07	PRIJEM	VKLAD	22650	70509	\N	\N	\N
1679	7	1997-08-07	PRIJEM	VKLAD	22650	66155	\N	\N	\N
1680	7	1997-09-07	PRIJEM	VKLAD	22650	67948	\N	\N	\N
1681	7	1997-10-07	PRIJEM	VKLAD	22650	71550	\N	\N	\N
1682	7	1997-11-07	PRIJEM	VKLAD	22650	75967	\N	\N	\N
1683	7	1997-12-07	PRIJEM	VKLAD	33975	86918	\N	\N	\N
1684	7	1998-01-07	PRIJEM	VKLAD	22650	77487	\N	\N	\N
1685	7	1998-02-07	PRIJEM	VKLAD	22650	68029	\N	\N	\N
1686	7	1998-03-07	PRIJEM	VKLAD	22650	77837	\N	\N	\N
1687	7	1998-04-07	PRIJEM	VKLAD	22650	81978	\N	\N	\N
1688	7	1998-05-07	PRIJEM	VKLAD	22650	85533	\N	\N	\N
1689	7	1998-06-07	PRIJEM	VKLAD	33975	94463	\N	\N	\N
1690	7	1998-07-07	PRIJEM	VKLAD	22650	90361	\N	\N	\N
1691	7	1998-08-07	PRIJEM	VKLAD	22650	93347	\N	\N	\N
1692	7	1998-09-07	PRIJEM	VKLAD	22650	92819	\N	\N	\N
1693	7	1998-10-07	PRIJEM	VKLAD	22650	93106	\N	\N	\N
1694	7	1998-11-07	PRIJEM	VKLAD	22650	89084	\N	\N	\N
1695	7	1998-12-07	PRIJEM	VKLAD	33975	99675	\N	\N	\N
1712	7	1997-05-06	VYDAJ	PREVOD NA UCET	4880	46708	SIPO	IJ	34452903
1713	7	1997-06-06	VYDAJ	PREVOD NA UCET	4880	42813	SIPO	IJ	34452903
1714	7	1997-07-06	VYDAJ	PREVOD NA UCET	4880	47859	SIPO	IJ	34452903
1715	7	1997-08-06	VYDAJ	PREVOD NA UCET	4880	43505	SIPO	IJ	34452903
1716	7	1997-09-06	VYDAJ	PREVOD NA UCET	4880	45298	SIPO	IJ	34452903
1717	7	1997-10-06	VYDAJ	PREVOD NA UCET	4880	48900	SIPO	IJ	34452903
1718	7	1997-11-06	VYDAJ	PREVOD NA UCET	4880	53317	SIPO	IJ	34452903
1719	7	1997-12-06	VYDAJ	PREVOD NA UCET	4880	52943	SIPO	IJ	34452903
1720	7	1998-01-06	VYDAJ	PREVOD NA UCET	4880	54837	SIPO	IJ	34452903
1721	7	1998-02-06	VYDAJ	PREVOD NA UCET	4880	45379	SIPO	IJ	34452903
1722	7	1998-03-06	VYDAJ	PREVOD NA UCET	4880	55187	SIPO	IJ	34452903
1723	7	1998-04-06	VYDAJ	PREVOD NA UCET	4880	59328	SIPO	IJ	34452903
1724	7	1998-05-06	VYDAJ	PREVOD NA UCET	4880	62883	SIPO	IJ	34452903
1725	7	1998-06-06	VYDAJ	PREVOD NA UCET	4880	60488	SIPO	IJ	34452903
1726	7	1998-07-06	VYDAJ	PREVOD NA UCET	4880	67711	SIPO	IJ	34452903
1727	7	1998-08-06	VYDAJ	PREVOD NA UCET	4880	70697	SIPO	IJ	34452903
1728	7	1998-09-06	VYDAJ	PREVOD NA UCET	4880	70169	SIPO	IJ	34452903
1729	7	1998-10-06	VYDAJ	PREVOD NA UCET	4880	70456	SIPO	IJ	34452903
1730	7	1998-11-06	VYDAJ	PREVOD NA UCET	4880	66434	SIPO	IJ	34452903
1731	7	1998-12-06	VYDAJ	PREVOD NA UCET	4880	65700	SIPO	IJ	34452903
1744	7	1998-01-01	VYDAJ	VYBER	1680	59717	\N	\N	\N
1745	7	1998-01-21	VYDAJ	VYBER	3000	56607	\N	\N	\N
1746	7	1998-01-17	VYDAJ	VYBER	3480	71607	\N	\N	\N
1747	7	1998-01-17	VYDAJ	VYBER	2400	75087	\N	\N	\N
1748	7	1998-01-27	VYDAJ	VYBER	3360	53247	\N	\N	\N
1749	7	1998-01-29	VYDAJ	VYBER	3240	50007	\N	\N	\N
1756	7	1997-07-20	VYDAJ	VYBER	4680	65829	\N	\N	\N
1757	7	1997-08-02	VYDAJ	VYBER	1680	48385	\N	\N	\N
1758	7	1997-05-26	VYDAJ	VYBER	4800	47458	\N	\N	\N
1759	7	1998-08-24	VYDAJ	VYBER	2520	74727	\N	\N	\N
1760	7	1998-06-09	VYDAJ	VYBER	3480	90983	\N	\N	\N
1761	7	1998-12-21	VYDAJ	VYBER KARTOU	5900	68175	\N	\N	0
1762	7	1998-04-16	VYDAJ	VYBER	2400	79578	\N	\N	\N
1763	7	1998-05-31	VYDAJ	VYBER	3960	65368	\N	\N	\N
1780	7	1997-04-30	VYDAJ	VYBER	15	51588	SLUZBY	\N	\N
1781	7	1997-05-31	VYDAJ	VYBER	15	47693	SLUZBY	\N	\N
1782	7	1997-06-30	VYDAJ	VYBER	15	52739	SLUZBY	\N	\N
1783	7	1997-07-31	VYDAJ	VYBER	15	50065	SLUZBY	\N	\N
1784	7	1997-08-31	VYDAJ	VYBER	15	50178	SLUZBY	\N	\N
1785	7	1997-09-30	VYDAJ	VYBER	15	53780	SLUZBY	\N	\N
1786	7	1997-10-31	VYDAJ	VYBER	15	58197	SLUZBY	\N	\N
1787	7	1997-11-30	VYDAJ	VYBER	15	57823	SLUZBY	\N	\N
1788	7	1997-12-31	VYDAJ	VYBER	15	61397	SLUZBY	\N	\N
1789	7	1998-01-31	VYDAJ	VYBER	15	50259	SLUZBY	\N	\N
1790	7	1998-02-28	VYDAJ	VYBER	15	60067	SLUZBY	\N	\N
1791	7	1998-03-31	VYDAJ	VYBER	15	64208	SLUZBY	\N	\N
1792	7	1998-04-30	VYDAJ	VYBER	15	67763	SLUZBY	\N	\N
1793	7	1998-05-31	VYDAJ	VYBER	15	69328	SLUZBY	\N	\N
1794	7	1998-06-30	VYDAJ	VYBER	15	72591	SLUZBY	\N	\N
1795	7	1998-07-31	VYDAJ	VYBER	15	75577	SLUZBY	\N	\N
1796	7	1998-08-31	VYDAJ	VYBER	15	75049	SLUZBY	\N	\N
1797	7	1998-09-30	VYDAJ	VYBER	15	75336	SLUZBY	\N	\N
1798	7	1998-10-31	VYDAJ	VYBER	15	71314	SLUZBY	\N	\N
1799	7	1998-11-30	VYDAJ	VYBER	15	70580	SLUZBY	\N	\N
1800	7	1996-12-24	VYDAJ	VYBER	6600	28275	\N	\N	\N
1801	7	1997-01-23	VYDAJ	VYBER	12300	38655	\N	\N	\N
1802	7	1997-02-22	VYDAJ	VYBER	14500	46936	\N	\N	\N
1803	7	1997-03-24	VYDAJ	VYBER	22600	47155	\N	\N	\N
1804	7	1997-04-23	VYDAJ	VYBER	18600	51401	\N	\N	\N
1805	7	1997-05-23	VYDAJ	VYBER	17100	52258	\N	\N	\N
1806	7	1997-06-22	VYDAJ	VYBER	24300	52488	\N	\N	\N
1807	7	1997-07-22	VYDAJ	VYBER	16000	49829	\N	\N	\N
1808	7	1997-08-21	VYDAJ	VYBER	16200	49955	\N	\N	\N
1809	7	1997-09-20	VYDAJ	VYBER	14400	53548	\N	\N	\N
1810	7	1997-10-20	VYDAJ	VYBER	13600	57950	\N	\N	\N
1811	7	1997-11-19	VYDAJ	VYBER	18400	57567	\N	\N	\N
1812	7	1997-12-19	VYDAJ	VYBER	25800	61118	\N	\N	\N
1813	7	1998-01-18	VYDAJ	VYBER	12000	59607	\N	\N	\N
1814	7	1998-02-17	VYDAJ	VYBER	8200	59829	\N	\N	\N
1815	7	1998-03-19	VYDAJ	VYBER	13900	63937	\N	\N	\N
1816	7	1998-04-18	VYDAJ	VYBER	12100	67478	\N	\N	\N
1817	7	1998-05-18	VYDAJ	VYBER	16500	69033	\N	\N	\N
1818	7	1998-06-17	VYDAJ	VYBER	18700	72283	\N	\N	\N
1819	7	1998-07-17	VYDAJ	VYBER	15100	75261	\N	\N	\N
1820	7	1998-08-16	VYDAJ	VYBER	16100	77247	\N	\N	\N
1821	7	1998-09-15	VYDAJ	VYBER	17800	75019	\N	\N	\N
1822	7	1998-10-15	VYDAJ	VYBER	22100	71006	\N	\N	\N
1823	7	1998-11-14	VYDAJ	VYBER	18800	70284	\N	\N	\N
1824	7	1998-12-14	VYDAJ	VYBER	25600	74075	\N	\N	\N
1850	8	1995-09-21	PRIJEM	VKLAD	900	900	\N	\N	\N
1860	8	1995-10-07	PRIJEM	VKLAD	20475	21375	\N	\N	\N
1861	8	1995-11-07	PRIJEM	VKLAD	20475	45587	\N	\N	\N
1862	8	1995-12-07	PRIJEM	VKLAD	30712	64417	\N	\N	\N
1863	8	1996-01-07	PRIJEM	VKLAD	20475	68154	\N	\N	\N
1864	8	1996-02-07	PRIJEM	VKLAD	20475	71132	\N	\N	\N
1865	8	1996-03-07	PRIJEM	VKLAD	20475	66715	\N	\N	\N
1866	8	1996-04-07	PRIJEM	VKLAD	20475	63388	\N	\N	\N
1867	8	1996-05-07	PRIJEM	VKLAD	20475	62350	\N	\N	\N
1868	8	1996-06-07	PRIJEM	VKLAD	30712	75952	\N	\N	\N
1869	8	1996-07-07	PRIJEM	VKLAD	20475	61130	\N	\N	\N
1870	8	1996-08-07	PRIJEM	VKLAD	20475	59776	\N	\N	\N
1871	8	1996-09-07	PRIJEM	VKLAD	20475	60923	\N	\N	\N
1872	8	1996-10-07	PRIJEM	VKLAD	20475	63373	\N	\N	\N
1873	8	1996-11-07	PRIJEM	VKLAD	20475	55536	\N	\N	\N
1874	8	1996-12-07	PRIJEM	VKLAD	30712	63993	\N	\N	\N
1875	8	1997-01-07	PRIJEM	VKLAD	20475	43943	\N	\N	\N
1876	8	1997-02-07	PRIJEM	VKLAD	20475	39499	\N	\N	\N
1877	8	1997-03-07	PRIJEM	VKLAD	20475	50979	\N	\N	\N
1878	8	1997-04-07	PRIJEM	VKLAD	20475	56220	\N	\N	\N
1879	8	1997-05-07	PRIJEM	VKLAD	20475	62159	\N	\N	\N
1880	8	1997-06-07	PRIJEM	VKLAD	30712	75251	\N	\N	\N
1881	8	1997-07-07	PRIJEM	VKLAD	20475	52398	\N	\N	\N
1882	8	1997-08-07	PRIJEM	VKLAD	20475	56715	\N	\N	\N
1883	8	1997-09-07	PRIJEM	VKLAD	20475	58841	\N	\N	\N
1884	8	1997-10-07	PRIJEM	VKLAD	20475	58469	\N	\N	\N
1885	8	1997-11-07	PRIJEM	VKLAD	20475	57893	\N	\N	\N
1886	8	1997-12-07	PRIJEM	VKLAD	30712	67651	\N	\N	\N
1887	8	1998-01-07	PRIJEM	VKLAD	20475	56912	\N	\N	\N
1888	8	1998-02-07	PRIJEM	VKLAD	20475	35988	\N	\N	\N
1889	8	1998-03-07	PRIJEM	VKLAD	20475	40282	\N	\N	\N
1890	8	1998-04-07	PRIJEM	VKLAD	20475	47577	\N	\N	\N
1891	8	1998-05-07	PRIJEM	VKLAD	20475	54977	\N	\N	\N
1892	8	1998-06-07	PRIJEM	VKLAD	30712	68733	\N	\N	\N
1893	8	1998-07-07	PRIJEM	VKLAD	20475	45348	\N	\N	\N
1894	8	1998-08-07	PRIJEM	VKLAD	20475	55250	\N	\N	\N
1895	8	1998-09-07	PRIJEM	VKLAD	20475	65121	\N	\N	\N
1896	8	1998-10-07	PRIJEM	VKLAD	20475	71104	\N	\N	\N
1897	8	1998-11-07	PRIJEM	VKLAD	20475	64926	\N	\N	\N
1898	8	1998-12-07	PRIJEM	VKLAD	30712	79255	\N	\N	\N
1912	8	1996-02-07	VYDAJ	PREVOD NA UCET	2612	68520	SIPO	UV	12510681
1913	8	1996-03-07	VYDAJ	PREVOD NA UCET	2612	64103	SIPO	UV	12510681
1914	8	1996-04-07	VYDAJ	PREVOD NA UCET	2612	60776	SIPO	UV	12510681
1915	8	1996-05-07	VYDAJ	PREVOD NA UCET	2612	59738	SIPO	UV	12510681
1916	8	1996-06-07	VYDAJ	PREVOD NA UCET	2612	66140	SIPO	UV	12510681
1917	8	1996-07-07	VYDAJ	PREVOD NA UCET	2612	58518	SIPO	UV	12510681
1918	8	1996-08-07	VYDAJ	PREVOD NA UCET	2612	57164	SIPO	UV	12510681
1919	8	1996-09-07	VYDAJ	PREVOD NA UCET	2612	58311	SIPO	UV	12510681
1920	8	1996-10-07	VYDAJ	PREVOD NA UCET	2612	60761	SIPO	UV	12510681
1921	8	1996-11-07	VYDAJ	PREVOD NA UCET	2612	52924	SIPO	UV	12510681
1922	8	1996-12-07	VYDAJ	PREVOD NA UCET	2612	61381	SIPO	UV	12510681
1923	8	1997-01-07	VYDAJ	PREVOD NA UCET	2612	41331	SIPO	UV	12510681
1924	8	1997-02-07	VYDAJ	PREVOD NA UCET	2612	36887	SIPO	UV	12510681
1925	8	1997-03-07	VYDAJ	PREVOD NA UCET	2612	48367	SIPO	UV	12510681
1926	8	1997-04-07	VYDAJ	PREVOD NA UCET	2612	53608	SIPO	UV	12510681
1927	8	1997-05-07	VYDAJ	PREVOD NA UCET	2612	59547	SIPO	UV	12510681
1928	8	1997-06-07	VYDAJ	PREVOD NA UCET	2612	72639	SIPO	UV	12510681
1929	8	1997-07-07	VYDAJ	PREVOD NA UCET	2612	49786	SIPO	UV	12510681
1930	8	1997-08-07	VYDAJ	PREVOD NA UCET	2612	54103	SIPO	UV	12510681
1931	8	1997-09-07	VYDAJ	PREVOD NA UCET	2612	56229	SIPO	UV	12510681
1932	8	1997-10-07	VYDAJ	PREVOD NA UCET	2612	55857	SIPO	UV	12510681
1933	8	1997-11-07	VYDAJ	PREVOD NA UCET	2612	55281	SIPO	UV	12510681
1934	8	1997-12-07	VYDAJ	PREVOD NA UCET	2612	65039	SIPO	UV	12510681
1935	8	1998-01-07	VYDAJ	PREVOD NA UCET	2612	54300	SIPO	UV	12510681
1936	8	1998-02-07	VYDAJ	PREVOD NA UCET	2612	33376	SIPO	UV	12510681
1937	8	1998-03-07	VYDAJ	PREVOD NA UCET	2612	37670	SIPO	UV	12510681
1938	8	1998-04-07	VYDAJ	PREVOD NA UCET	2612	44965	SIPO	UV	12510681
1939	8	1998-05-07	VYDAJ	PREVOD NA UCET	2612	52365	SIPO	UV	12510681
1940	8	1998-06-07	VYDAJ	PREVOD NA UCET	2612	72121	SIPO	UV	12510681
1941	8	1998-07-07	VYDAJ	PREVOD NA UCET	2612	42236	SIPO	UV	12510681
1942	8	1998-08-07	VYDAJ	PREVOD NA UCET	2612	52638	SIPO	UV	12510681
1943	8	1998-09-07	VYDAJ	PREVOD NA UCET	2612	62509	SIPO	UV	12510681
1944	8	1998-10-07	VYDAJ	PREVOD NA UCET	2612	68492	SIPO	UV	12510681
1945	8	1998-11-07	VYDAJ	PREVOD NA UCET	2612	62314	SIPO	UV	12510681
1946	8	1998-12-07	VYDAJ	PREVOD NA UCET	2612	76643	SIPO	UV	12510681
1961	8	1996-03-05	VYDAJ	PREVOD NA UCET	6712	46240	 	IJ	93210345
1962	8	1996-04-05	VYDAJ	PREVOD NA UCET	6712	42913	 	IJ	93210345
1963	8	1996-05-05	VYDAJ	PREVOD NA UCET	6712	41875	 	IJ	93210345
1964	8	1996-06-05	VYDAJ	PREVOD NA UCET	6712	45240	 	IJ	93210345
1965	8	1996-07-05	VYDAJ	PREVOD NA UCET	6712	40655	 	IJ	93210345
1966	8	1996-08-05	VYDAJ	PREVOD NA UCET	6712	39301	 	IJ	93210345
1967	8	1996-09-05	VYDAJ	PREVOD NA UCET	6712	40448	 	IJ	93210345
1968	8	1996-10-05	VYDAJ	PREVOD NA UCET	6712	42898	 	IJ	93210345
1969	8	1996-11-05	VYDAJ	PREVOD NA UCET	6712	35061	 	IJ	93210345
1970	8	1996-12-05	VYDAJ	PREVOD NA UCET	6712	33281	 	IJ	93210345
1971	8	1997-01-05	VYDAJ	PREVOD NA UCET	6712	33268	 	IJ	93210345
1972	8	1997-02-05	VYDAJ	PREVOD NA UCET	6712	19024	 	IJ	93210345
1973	8	1997-03-05	VYDAJ	PREVOD NA UCET	6712	30504	 	IJ	93210345
1974	8	1997-04-05	VYDAJ	PREVOD NA UCET	6712	35745	 	IJ	93210345
1975	8	1997-05-05	VYDAJ	PREVOD NA UCET	6712	41684	 	IJ	93210345
1976	8	1997-06-05	VYDAJ	PREVOD NA UCET	6712	44539	 	IJ	93210345
1977	8	1997-07-05	VYDAJ	PREVOD NA UCET	6712	31923	 	IJ	93210345
1978	8	1997-08-05	VYDAJ	PREVOD NA UCET	6712	36240	 	IJ	93210345
1979	8	1997-09-05	VYDAJ	PREVOD NA UCET	6712	38366	 	IJ	93210345
1980	8	1997-10-05	VYDAJ	PREVOD NA UCET	6712	37994	 	IJ	93210345
1981	8	1997-11-05	VYDAJ	PREVOD NA UCET	6712	37418	 	IJ	93210345
1982	8	1997-12-05	VYDAJ	PREVOD NA UCET	6712	36939	 	IJ	93210345
1983	8	1998-01-05	VYDAJ	PREVOD NA UCET	6712	38477	 	IJ	93210345
1984	8	1998-02-05	VYDAJ	PREVOD NA UCET	6712	11613	 	IJ	93210345
1985	8	1998-03-05	VYDAJ	PREVOD NA UCET	6712	19807	 	IJ	93210345
1986	8	1998-04-05	VYDAJ	PREVOD NA UCET	6712	27102	 	IJ	93210345
1987	8	1998-05-05	VYDAJ	PREVOD NA UCET	6712	34502	 	IJ	93210345
1988	8	1998-06-05	VYDAJ	PREVOD NA UCET	6712	38021	 	IJ	93210345
1989	8	1998-07-05	VYDAJ	PREVOD NA UCET	6712	24873	 	IJ	93210345
1990	8	1998-08-05	VYDAJ	PREVOD NA UCET	6712	35675	 	IJ	93210345
1991	8	1998-09-05	VYDAJ	PREVOD NA UCET	6712	44646	 	IJ	93210345
1992	8	1998-10-05	VYDAJ	PREVOD NA UCET	6712	50629	 	IJ	93210345
1993	8	1998-11-05	VYDAJ	PREVOD NA UCET	6712	44451	 	IJ	93210345
1994	8	1998-12-05	VYDAJ	PREVOD NA UCET	6712	48543	 	IJ	93210345
1996	8	1996-06-07	VYDAJ	VYBER	7200	68752	\N	\N	\N
1997	8	1997-06-22	VYDAJ	VYBER	11520	38419	\N	\N	\N
1998	8	1998-06-07	VYDAJ	VYBER	40800	31321	\N	\N	\N
2001	8	1997-01-06	VYDAJ	VYBER	6560	26708	\N	\N	\N
2002	8	1998-01-28	VYDAJ	VYBER	15520	21780	\N	\N	\N
2004	8	1996-12-19	VYDAJ	VYBER	3680	41841	\N	\N	\N
2005	8	1997-12-08	VYDAJ	VYBER	2720	62319	\N	\N	\N
2006	8	1998-12-20	VYDAJ	VYBER	4320	72323	\N	\N	\N
2019	8	1997-01-06	VYDAJ	VYBER	3240	23468	\N	\N	\N
2020	8	1997-01-28	VYDAJ	VYBER	3120	25611	\N	\N	\N
2021	8	1997-01-10	VYDAJ	VYBER	2160	39171	\N	\N	\N
2022	8	1997-01-21	VYDAJ	VYBER	2280	28731	\N	\N	\N
2023	8	1997-01-01	VYDAJ	VYBER	2040	39980	\N	\N	\N
2024	8	1997-01-20	VYDAJ	VYBER	3360	31011	\N	\N	\N
2025	8	1998-01-02	VYDAJ	VYBER	3240	45189	\N	\N	\N
2026	8	1998-01-26	VYDAJ	VYBER	1680	37300	\N	\N	\N
2027	8	1998-01-10	VYDAJ	VYBER	840	42460	\N	\N	\N
2028	8	1998-01-02	VYDAJ	VYBER	960	48429	\N	\N	\N
2029	8	1998-01-10	VYDAJ	VYBER	3480	38980	\N	\N	\N
2030	8	1998-01-06	VYDAJ	VYBER	2040	36437	\N	\N	\N
2037	8	1996-10-22	VYDAJ	VYBER	4680	41581	\N	\N	\N
2038	8	1996-06-26	VYDAJ	VYBER	5280	47140	\N	\N	\N
2039	8	1996-11-23	VYDAJ	VYBER	2400	39824	\N	\N	\N
2040	8	1996-12-07	VYDAJ	VYBER	3960	57421	\N	\N	\N
2041	8	1996-06-14	VYDAJ	VYBER	3120	63020	\N	\N	\N
2042	8	1997-03-30	VYDAJ	VYBER	2280	42287	\N	\N	\N
2043	8	1997-06-22	VYDAJ	VYBER	5400	49939	\N	\N	\N
2044	8	1997-12-13	VYDAJ	VYBER	1920	49199	\N	\N	\N
2045	8	1998-02-26	VYDAJ	VYBER	2640	26416	\N	\N	\N
2046	8	1998-03-17	VYDAJ	VYBER	3480	33690	\N	\N	\N
2047	8	1998-02-16	VYDAJ	VYBER	4320	29056	\N	\N	\N
2048	8	1998-02-03	VYDAJ	VYBER	3600	18325	\N	\N	\N
2049	8	1998-08-30	VYDAJ	VYBER	1680	50958	\N	\N	\N
2064	8	1996-02-29	VYDAJ	VYBER	15	52952	SLUZBY	\N	\N
2065	8	1996-03-31	VYDAJ	VYBER	15	49625	SLUZBY	\N	\N
2066	8	1996-04-30	VYDAJ	VYBER	15	48587	SLUZBY	\N	\N
2067	8	1996-05-31	VYDAJ	VYBER	15	51952	SLUZBY	\N	\N
2068	8	1996-06-30	VYDAJ	VYBER	15	47367	SLUZBY	\N	\N
2069	8	1996-07-31	VYDAJ	VYBER	15	46013	SLUZBY	\N	\N
2070	8	1996-08-31	VYDAJ	VYBER	15	47160	SLUZBY	\N	\N
2071	8	1996-09-30	VYDAJ	VYBER	15	49610	SLUZBY	\N	\N
2072	8	1996-10-31	VYDAJ	VYBER	15	41773	SLUZBY	\N	\N
2073	8	1996-11-30	VYDAJ	VYBER	15	39993	SLUZBY	\N	\N
2074	8	1996-12-31	VYDAJ	VYBER	15	42020	SLUZBY	\N	\N
2075	8	1997-01-31	VYDAJ	VYBER	15	25736	SLUZBY	\N	\N
2076	8	1997-02-28	VYDAJ	VYBER	15	37216	SLUZBY	\N	\N
2077	8	1997-03-31	VYDAJ	VYBER	15	42457	SLUZBY	\N	\N
2078	8	1997-04-30	VYDAJ	VYBER	15	48396	SLUZBY	\N	\N
2079	8	1997-05-31	VYDAJ	VYBER	15	51251	SLUZBY	\N	\N
2080	8	1997-06-30	VYDAJ	VYBER	15	38635	SLUZBY	\N	\N
2081	8	1997-07-31	VYDAJ	VYBER	15	42952	SLUZBY	\N	\N
2082	8	1997-08-31	VYDAJ	VYBER	15	45078	SLUZBY	\N	\N
2083	8	1997-09-30	VYDAJ	VYBER	15	44706	SLUZBY	\N	\N
2084	8	1997-10-31	VYDAJ	VYBER	15	44130	SLUZBY	\N	\N
2085	8	1997-11-30	VYDAJ	VYBER	15	43651	SLUZBY	\N	\N
2086	8	1997-12-31	VYDAJ	VYBER	15	49389	SLUZBY	\N	\N
2087	8	1998-01-31	VYDAJ	VYBER	15	21925	SLUZBY	\N	\N
2088	8	1998-02-28	VYDAJ	VYBER	15	26519	SLUZBY	\N	\N
2089	8	1998-03-31	VYDAJ	VYBER	15	33814	SLUZBY	\N	\N
2090	8	1998-04-30	VYDAJ	VYBER	15	41214	SLUZBY	\N	\N
2091	8	1998-05-31	VYDAJ	VYBER	15	44733	SLUZBY	\N	\N
2092	8	1998-06-30	VYDAJ	VYBER	15	31585	SLUZBY	\N	\N
2093	8	1998-07-31	VYDAJ	VYBER	15	42387	SLUZBY	\N	\N
2094	8	1998-08-31	VYDAJ	VYBER	15	51158	SLUZBY	\N	\N
2095	8	1998-09-30	VYDAJ	VYBER	15	62741	SLUZBY	\N	\N
2096	8	1998-10-31	VYDAJ	VYBER	15	68763	SLUZBY	\N	\N
2097	8	1998-11-30	VYDAJ	VYBER	15	62555	SLUZBY	\N	\N
2098	8	1995-10-21	PRIJEM	VKLAD	3700	25075	\N	\N	\N
2099	8	1995-11-20	VYDAJ	VYBER	12000	33587	\N	\N	\N
2100	8	1995-12-20	VYDAJ	VYBER	16900	47517	\N	\N	\N
2101	8	1996-01-19	VYDAJ	VYBER	17700	50454	\N	\N	\N
2102	8	1996-02-18	VYDAJ	VYBER	15800	52720	\N	\N	\N
2103	8	1996-03-19	VYDAJ	VYBER	14700	49403	\N	\N	\N
2104	8	1996-04-18	VYDAJ	VYBER	12400	48376	\N	\N	\N
2105	8	1996-05-18	VYDAJ	VYBER	8000	51738	\N	\N	\N
2106	8	1996-06-17	VYDAJ	VYBER	10600	52420	\N	\N	\N
2107	8	1996-07-17	VYDAJ	VYBER	12700	45818	\N	\N	\N
2108	8	1996-08-16	VYDAJ	VYBER	10200	46964	\N	\N	\N
2109	8	1996-09-15	VYDAJ	VYBER	8900	49411	\N	\N	\N
2110	8	1996-10-15	VYDAJ	VYBER	14500	46261	\N	\N	\N
2111	8	1996-11-14	VYDAJ	VYBER	10700	42224	\N	\N	\N
2112	8	1996-12-14	VYDAJ	VYBER	11900	45521	\N	\N	\N
2113	8	1997-01-13	VYDAJ	VYBER	4800	34371	\N	\N	\N
2114	8	1997-02-12	PRIJEM	VKLAD	200	37087	\N	\N	\N
2115	8	1997-03-14	VYDAJ	VYBER	3800	44567	\N	\N	\N
2116	8	1997-04-13	VYDAJ	VYBER	5400	48208	\N	\N	\N
2117	8	1997-05-13	VYDAJ	VYBER	8500	51047	\N	\N	\N
2118	8	1997-06-12	VYDAJ	VYBER	17300	55339	\N	\N	\N
2119	8	1997-07-12	VYDAJ	VYBER	7000	42786	\N	\N	\N
2120	8	1997-08-11	VYDAJ	VYBER	9200	44903	\N	\N	\N
2121	8	1997-09-10	VYDAJ	VYBER	11700	44529	\N	\N	\N
2122	8	1997-10-10	VYDAJ	VYBER	11900	43957	\N	\N	\N
2123	8	1997-11-09	VYDAJ	VYBER	11800	43481	\N	\N	\N
2124	8	1997-12-09	VYDAJ	VYBER	11200	51119	\N	\N	\N
2125	8	1998-01-08	VYDAJ	VYBER	11000	43300	\N	\N	\N
2126	8	1998-02-07	PRIJEM	VKLAD	3900	15513	\N	\N	\N
2127	8	1998-03-09	VYDAJ	VYBER	500	37170	\N	\N	\N
2128	8	1998-04-08	VYDAJ	VYBER	3900	41065	\N	\N	\N
2129	8	1998-05-08	VYDAJ	VYBER	7800	44565	\N	\N	\N
2130	8	1998-06-07	PRIJEM	VKLAD	6000	74733	\N	\N	\N
2131	8	1998-07-07	VYDAJ	VYBER	500	44848	\N	\N	\N
2132	8	1998-08-06	VYDAJ	VYBER	900	34775	\N	\N	\N
2133	8	1998-09-05	PRIJEM	VKLAD	200	51358	\N	\N	\N
2134	8	1998-10-05	VYDAJ	VYBER	5400	57341	\N	\N	\N
2135	8	1998-11-04	VYDAJ	VYBER	17600	51163	\N	\N	\N
2136	8	1998-12-04	VYDAJ	VYBER	7300	55255	\N	\N	\N
2176	9	1993-01-27	PRIJEM	VKLAD	400	400	\N	\N	\N
2178	9	1993-04-26	PRIJEM	VKLAD	14245	33804	\N	\N	\N
2179	9	1994-05-14	PRIJEM	VKLAD	11131	36585	\N	\N	\N
2180	9	1994-06-06	PRIJEM	VKLAD	3468	33858	\N	\N	\N
2181	9	1995-12-16	PRIJEM	VKLAD	45691	78519	\N	\N	\N
2182	9	1995-01-13	PRIJEM	VKLAD	10498	29838	\N	\N	\N
2183	9	1996-11-22	PRIJEM	VKLAD	12894	37513	\N	\N	\N
2184	9	1996-12-16	PRIJEM	VKLAD	2690	35403	\N	\N	\N
2185	9	1997-10-11	PRIJEM	VKLAD	32930	84352	\N	\N	\N
2186	9	1997-10-04	PRIJEM	VKLAD	35759	51422	\N	\N	\N
2187	9	1998-09-08	PRIJEM	VKLAD	13225	29111	\N	\N	\N
2188	9	1998-04-14	PRIJEM	VKLAD	26526	41980	\N	\N	\N
2190	9	1993-02-15	PRIJEM	VKLAD	800	1200	\N	\N	\N
2191	9	1993-03-16	PRIJEM	VKLAD	800	12905	\N	\N	\N
2192	9	1993-04-14	PRIJEM	VKLAD	800	19559	\N	\N	\N
2193	9	1993-05-14	PRIJEM	VKLAD	800	27889	\N	\N	\N
2194	9	1993-06-15	PRIJEM	VKLAD	800	24385	\N	\N	\N
2195	9	1993-07-15	PRIJEM	VKLAD	800	21956	\N	\N	\N
2196	9	1993-08-15	PRIJEM	VKLAD	800	17079	\N	\N	\N
2197	9	1993-09-16	PRIJEM	VKLAD	800	19238	\N	\N	\N
2198	9	1993-10-16	PRIJEM	VKLAD	800	23704	\N	\N	\N
2199	9	1993-11-15	PRIJEM	VKLAD	800	26988	\N	\N	\N
2200	9	1993-12-16	PRIJEM	VKLAD	800	27784	\N	\N	\N
2201	9	1994-01-15	PRIJEM	VKLAD	800	24178	\N	\N	\N
2202	9	1994-02-16	PRIJEM	VKLAD	800	19514	\N	\N	\N
2203	9	1994-03-13	PRIJEM	VKLAD	800	24984	\N	\N	\N
2204	9	1994-04-15	PRIJEM	VKLAD	800	24368	\N	\N	\N
2205	9	1994-05-17	PRIJEM	VKLAD	800	37385	\N	\N	\N
2206	9	1994-06-14	PRIJEM	VKLAD	800	14358	\N	\N	\N
2207	9	1994-07-17	PRIJEM	VKLAD	800	19281	\N	\N	\N
2208	9	1994-08-17	PRIJEM	VKLAD	800	22452	\N	\N	\N
2209	9	1994-09-13	PRIJEM	VKLAD	800	27686	\N	\N	\N
2210	9	1994-10-13	PRIJEM	VKLAD	800	25484	\N	\N	\N
2211	9	1994-11-14	PRIJEM	VKLAD	800	27330	\N	\N	\N
2212	9	1994-12-16	PRIJEM	VKLAD	800	31033	\N	\N	\N
2213	9	1995-01-16	PRIJEM	VKLAD	800	30638	\N	\N	\N
2214	9	1995-02-17	PRIJEM	VKLAD	800	22862	\N	\N	\N
2215	9	1995-03-17	PRIJEM	VKLAD	800	23734	\N	\N	\N
2216	9	1995-04-17	PRIJEM	VKLAD	800	28223	\N	\N	\N
2217	9	1995-05-16	PRIJEM	VKLAD	800	28025	\N	\N	\N
2218	9	1995-06-15	PRIJEM	VKLAD	800	30786	\N	\N	\N
2219	9	1995-07-13	PRIJEM	VKLAD	800	27897	\N	\N	\N
2220	9	1995-08-17	PRIJEM	VKLAD	800	28794	\N	\N	\N
2221	9	1995-09-14	PRIJEM	VKLAD	800	26096	\N	\N	\N
2222	9	1995-10-14	PRIJEM	VKLAD	800	31905	\N	\N	\N
2223	9	1995-11-15	PRIJEM	VKLAD	800	32517	\N	\N	\N
2224	9	1995-12-13	PRIJEM	VKLAD	800	32828	\N	\N	\N
2225	9	1996-01-14	PRIJEM	VKLAD	800	54088	\N	\N	\N
2226	9	1996-02-15	PRIJEM	VKLAD	800	33960	\N	\N	\N
2227	9	1996-03-17	PRIJEM	VKLAD	800	32836	\N	\N	\N
2228	9	1996-04-14	PRIJEM	VKLAD	800	31357	\N	\N	\N
2229	9	1996-05-14	PRIJEM	VKLAD	800	30374	\N	\N	\N
2230	9	1996-06-14	PRIJEM	VKLAD	800	26136	\N	\N	\N
2231	9	1996-07-13	PRIJEM	VKLAD	800	25935	\N	\N	\N
2232	9	1996-08-17	PRIJEM	VKLAD	800	24523	\N	\N	\N
2233	9	1996-09-15	PRIJEM	VKLAD	800	23205	\N	\N	\N
2234	9	1996-10-15	PRIJEM	VKLAD	800	24885	\N	\N	\N
2235	9	1996-11-16	PRIJEM	VKLAD	800	24619	\N	\N	\N
2236	9	1996-12-14	PRIJEM	VKLAD	800	32713	\N	\N	\N
2237	9	1997-01-13	PRIJEM	VKLAD	800	22635	\N	\N	\N
2238	9	1997-02-16	PRIJEM	VKLAD	800	21568	\N	\N	\N
2239	9	1997-03-14	PRIJEM	VKLAD	800	21437	\N	\N	\N
2240	9	1997-04-16	PRIJEM	VKLAD	800	16660	\N	\N	\N
2241	9	1997-05-14	PRIJEM	VKLAD	800	17316	\N	\N	\N
2242	9	1997-06-13	PRIJEM	VKLAD	800	18171	\N	\N	\N
2243	9	1997-07-17	PRIJEM	VKLAD	800	14027	\N	\N	\N
2244	9	1997-08-15	PRIJEM	VKLAD	800	14876	\N	\N	\N
2245	9	1997-09-14	PRIJEM	VKLAD	800	15718	\N	\N	\N
2246	9	1997-10-15	PRIJEM	VKLAD	800	85152	\N	\N	\N
2247	9	1997-11-13	PRIJEM	VKLAD	800	48130	\N	\N	\N
2248	9	1997-12-14	PRIJEM	VKLAD	800	30975	\N	\N	\N
2249	9	1998-01-14	PRIJEM	VKLAD	800	17849	\N	\N	\N
2250	9	1998-02-13	PRIJEM	VKLAD	800	16554	\N	\N	\N
2251	9	1998-03-15	PRIJEM	VKLAD	800	17402	\N	\N	\N
2252	9	1998-04-16	PRIJEM	VKLAD	800	42780	\N	\N	\N
2253	9	1998-05-15	PRIJEM	VKLAD	800	30494	\N	\N	\N
2254	9	1998-06-15	PRIJEM	VKLAD	800	21477	\N	\N	\N
2255	9	1998-07-15	PRIJEM	VKLAD	800	19385	\N	\N	\N
2256	9	1998-08-14	PRIJEM	VKLAD	800	15343	\N	\N	\N
2257	9	1998-09-16	PRIJEM	VKLAD	800	29911	\N	\N	\N
2258	9	1998-10-17	PRIJEM	VKLAD	800	24385	\N	\N	\N
2259	9	1998-11-14	PRIJEM	VKLAD	800	21114	\N	\N	\N
2260	9	1998-12-13	PRIJEM	VKLAD	800	23782	\N	\N	\N
2262	9	1994-06-10	VYDAJ	VYBER	20300	13558	\N	\N	\N
2263	9	1995-06-21	VYDAJ	VYBER	5700	26986	\N	\N	\N
2268	9	1994-01-13	VYDAJ	VYBER	1100	23378	\N	\N	\N
2269	9	1995-01-18	VYDAJ	VYBER	9700	20238	\N	\N	\N
2270	9	1996-01-21	VYDAJ	VYBER	6800	43588	\N	\N	\N
2273	9	1993-06-17	VYDAJ	VYBER	8900	15485	\N	\N	\N
2280	9	1994-01-30	VYDAJ	VYBER	4100	18628	\N	\N	\N
2281	9	1995-01-01	VYDAJ	VYBER	6100	20940	\N	\N	\N
2282	9	1996-01-28	VYDAJ	VYBER	8800	33838	\N	\N	\N
2283	9	1997-01-07	VYDAJ	VYBER	5600	22235	\N	\N	\N
2285	9	1993-12-17	VYDAJ	VYBER	2100	25684	\N	\N	\N
2286	9	1994-12-20	VYDAJ	VYBER	1500	27733	\N	\N	\N
2287	9	1995-12-05	VYDAJ	VYBER	800	31828	\N	\N	\N
2288	9	1996-12-25	VYDAJ	VYBER	2700	32703	\N	\N	\N
2289	9	1997-12-07	VYDAJ	VYBER	700	30175	\N	\N	\N
2290	9	1998-12-11	VYDAJ	VYBER	1100	22982	\N	\N	\N
2297	9	1994-01-10	VYDAJ	VYBER	1000	24478	\N	\N	\N
2298	9	1994-01-16	VYDAJ	VYBER	900	23278	\N	\N	\N
2299	9	1994-01-28	VYDAJ	VYBER	850	22728	\N	\N	\N
2300	9	1994-01-23	VYDAJ	VYBER	1450	24528	\N	\N	\N
2301	9	1994-01-24	VYDAJ	VYBER	950	23578	\N	\N	\N
2302	9	1994-01-22	VYDAJ	VYBER	700	25978	\N	\N	\N
2303	9	1995-01-01	VYDAJ	VYBER	800	27040	\N	\N	\N
2304	9	1995-01-08	VYDAJ	VYBER	600	19340	\N	\N	\N
2305	9	1995-01-01	VYDAJ	VYBER	300	20640	\N	\N	\N
2306	9	1995-01-03	VYDAJ	VYBER	700	19940	\N	\N	\N
2307	9	1995-01-25	VYDAJ	VYBER	650	19588	\N	\N	\N
2308	9	1995-01-30	VYDAJ	VYBER	550	19038	\N	\N	\N
2309	9	1996-01-22	VYDAJ	VYBER	950	42638	\N	\N	\N
2310	9	1996-01-20	VYDAJ	VYBER	1250	50388	\N	\N	\N
2311	9	1996-01-04	VYDAJ	VYBER	1100	77638	\N	\N	\N
2312	9	1996-01-17	VYDAJ	VYBER	1200	51638	\N	\N	\N
2313	9	1996-01-15	VYDAJ	VYBER	1250	52838	\N	\N	\N
2314	9	1996-01-09	VYDAJ	VYBER	850	76788	\N	\N	\N
2315	9	1997-01-24	VYDAJ	VYBER	700	20685	\N	\N	\N
2316	9	1997-01-22	VYDAJ	VYBER	1250	21385	\N	\N	\N
2317	9	1997-01-03	VYDAJ	VYBER	250	32585	\N	\N	\N
2318	9	1997-01-07	VYDAJ	VYBER	850	27835	\N	\N	\N
2319	9	1997-01-08	VYDAJ	VYBER	400	21835	\N	\N	\N
2320	9	1997-01-28	VYDAJ	VYBER	1100	19585	\N	\N	\N
2321	9	1998-01-04	VYDAJ	VYBER	850	17399	\N	\N	\N
2322	9	1998-01-19	VYDAJ	VYBER	1000	16849	\N	\N	\N
2324	9	1998-01-20	VYDAJ	VYBER	1150	15699	\N	\N	\N
2325	9	1998-01-13	VYDAJ	VYBER	350	17049	\N	\N	\N
2326	9	1998-01-02	VYDAJ	VYBER	1300	18249	\N	\N	\N
2327	9	1993-07-31	VYDAJ	VYBER	2100	17579	\N	\N	\N
2328	9	1993-07-29	VYDAJ	VYBER	1250	19606	\N	\N	\N
2329	9	1993-08-06	VYDAJ	VYBER	1300	16279	\N	\N	\N
2331	9	1994-11-09	VYDAJ	VYBER	350	26530	\N	\N	\N
2332	9	1994-03-16	VYDAJ	VYBER	1800	23184	\N	\N	\N
2333	9	1994-07-05	VYDAJ	VYBER	1650	18481	\N	\N	\N
2334	9	1994-09-04	VYDAJ	VYBER	250	26886	\N	\N	\N
2335	9	1994-10-09	VYDAJ	VYBER	2200	24684	\N	\N	\N
2336	9	1995-09-05	VYDAJ	VYBER	2200	26696	\N	\N	\N
2337	9	1995-02-15	VYDAJ	VYBER	1050	18062	\N	\N	\N
2338	9	1995-10-22	VYDAJ	VYBER	1900	28205	\N	\N	\N
2339	9	1995-06-02	VYDAJ	VYBER	1450	29986	\N	\N	\N
2340	9	1995-05-14	VYDAJ	VYBER	2000	27225	\N	\N	\N
2341	9	1995-09-13	VYDAJ	VYBER	1400	25296	\N	\N	\N
2342	9	1996-06-09	VYDAJ	VYBER	1750	28736	\N	\N	\N
2343	9	1996-07-30	VYDAJ	VYBER	850	22435	\N	\N	\N
2344	9	1996-03-17	VYDAJ	VYBER	800	32036	\N	\N	\N
2345	9	1996-08-29	VYDAJ	VYBER	1400	23123	\N	\N	\N
2346	9	1996-10-28	VYDAJ	VYBER	1150	23735	\N	\N	\N
2347	9	1996-07-21	VYDAJ	VYBER	2050	23885	\N	\N	\N
2348	9	1996-07-24	VYDAJ	VYBER	600	23285	\N	\N	\N
2349	9	1996-02-28	VYDAJ	VYBER	1250	32710	\N	\N	\N
2350	9	1997-06-21	VYDAJ	VYBER	500	17671	\N	\N	\N
2351	9	1997-12-18	VYDAJ	VYBER	450	30525	\N	\N	\N
2352	9	1997-04-02	VYDAJ	VYBER	1400	20110	\N	\N	\N
2353	9	1997-04-08	VYDAJ	VYBER	1900	16410	\N	\N	\N
2354	9	1997-04-09	VYDAJ	VYBER	550	15860	\N	\N	\N
2355	9	1998-11-03	VYDAJ	VYBER	750	20314	\N	\N	\N
2356	9	1998-11-14	VYDAJ	VYBER	1200	19914	\N	\N	\N
2358	9	1998-05-31	VYDAJ	VYBER	1850	28777	\N	\N	\N
2365	9	1993-05-31	VYDAJ	VYBER	15	23585	SLUZBY	\N	\N
2366	9	1993-06-30	VYDAJ	VYBER	15	21156	SLUZBY	\N	\N
2367	9	1993-07-31	VYDAJ	VYBER	15	19679	SLUZBY	\N	\N
2368	9	1993-08-31	VYDAJ	VYBER	15	18438	SLUZBY	\N	\N
2369	9	1993-09-30	VYDAJ	VYBER	15	22904	SLUZBY	\N	\N
2370	9	1993-10-31	VYDAJ	VYBER	15	26188	SLUZBY	\N	\N
2371	9	1993-11-30	VYDAJ	VYBER	15	26984	SLUZBY	\N	\N
2372	9	1993-12-31	VYDAJ	VYBER	15	25478	SLUZBY	\N	\N
2373	9	1994-01-31	VYDAJ	VYBER	15	18714	SLUZBY	\N	\N
2374	9	1994-02-28	VYDAJ	VYBER	15	24184	SLUZBY	\N	\N
2375	9	1994-03-31	VYDAJ	VYBER	15	23568	SLUZBY	\N	\N
2376	9	1994-04-30	VYDAJ	VYBER	15	25454	SLUZBY	\N	\N
2377	9	1994-05-31	VYDAJ	VYBER	15	30390	SLUZBY	\N	\N
2378	9	1994-06-30	VYDAJ	VYBER	15	20131	SLUZBY	\N	\N
2379	9	1994-07-31	VYDAJ	VYBER	15	21652	SLUZBY	\N	\N
2380	9	1994-08-31	VYDAJ	VYBER	15	27136	SLUZBY	\N	\N
2381	9	1994-09-30	VYDAJ	VYBER	15	26884	SLUZBY	\N	\N
2382	9	1994-10-31	VYDAJ	VYBER	15	26880	SLUZBY	\N	\N
2383	9	1994-11-30	VYDAJ	VYBER	15	30233	SLUZBY	\N	\N
2384	9	1994-12-31	VYDAJ	VYBER	15	27840	SLUZBY	\N	\N
2385	9	1995-01-31	VYDAJ	VYBER	15	19112	SLUZBY	\N	\N
2386	9	1995-02-28	VYDAJ	VYBER	15	22934	SLUZBY	\N	\N
2387	9	1995-03-31	VYDAJ	VYBER	15	27423	SLUZBY	\N	\N
2388	9	1995-04-30	VYDAJ	VYBER	15	29225	SLUZBY	\N	\N
2389	9	1995-05-31	VYDAJ	VYBER	15	31436	SLUZBY	\N	\N
2390	9	1995-06-30	VYDAJ	VYBER	15	27097	SLUZBY	\N	\N
2391	9	1995-07-31	VYDAJ	VYBER	15	27194	SLUZBY	\N	\N
2392	9	1995-08-31	VYDAJ	VYBER	15	28896	SLUZBY	\N	\N
2393	9	1995-09-30	VYDAJ	VYBER	15	31105	SLUZBY	\N	\N
2394	9	1995-10-31	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
2395	9	1995-11-30	VYDAJ	VYBER	15	32628	SLUZBY	\N	\N
2396	9	1995-12-31	VYDAJ	VYBER	15	78738	SLUZBY	\N	\N
2397	9	1996-01-31	VYDAJ	VYBER	15	34060	SLUZBY	\N	\N
2398	9	1996-02-29	VYDAJ	VYBER	15	32836	SLUZBY	\N	\N
2399	9	1996-03-31	VYDAJ	VYBER	15	32157	SLUZBY	\N	\N
2400	9	1996-04-30	VYDAJ	VYBER	15	31474	SLUZBY	\N	\N
2401	9	1996-05-31	VYDAJ	VYBER	15	30486	SLUZBY	\N	\N
2402	9	1996-06-30	VYDAJ	VYBER	15	26235	SLUZBY	\N	\N
2403	9	1996-07-31	VYDAJ	VYBER	15	22523	SLUZBY	\N	\N
2404	9	1996-08-31	VYDAJ	VYBER	15	23205	SLUZBY	\N	\N
2405	9	1996-09-30	VYDAJ	VYBER	15	23285	SLUZBY	\N	\N
2406	9	1996-10-31	VYDAJ	VYBER	15	23819	SLUZBY	\N	\N
2407	9	1996-11-30	VYDAJ	VYBER	15	37613	SLUZBY	\N	\N
2408	9	1996-12-31	VYDAJ	VYBER	15	32835	SLUZBY	\N	\N
2409	9	1997-01-31	VYDAJ	VYBER	15	19668	SLUZBY	\N	\N
2410	9	1997-02-28	VYDAJ	VYBER	15	21637	SLUZBY	\N	\N
2411	9	1997-03-31	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
2412	9	1997-04-30	VYDAJ	VYBER	15	16716	SLUZBY	\N	\N
2413	9	1997-05-31	VYDAJ	VYBER	15	17371	SLUZBY	\N	\N
2414	9	1997-06-30	VYDAJ	VYBER	15	17727	SLUZBY	\N	\N
2415	9	1997-07-31	VYDAJ	VYBER	15	14076	SLUZBY	\N	\N
2416	9	1997-08-31	VYDAJ	VYBER	15	14918	SLUZBY	\N	\N
2417	9	1997-09-30	VYDAJ	VYBER	15	15763	SLUZBY	\N	\N
2418	9	1997-10-31	VYDAJ	VYBER	15	85430	SLUZBY	\N	\N
2419	9	1997-11-30	VYDAJ	VYBER	15	48375	SLUZBY	\N	\N
2420	9	1997-12-31	VYDAJ	VYBER	15	30649	SLUZBY	\N	\N
2421	9	1998-01-31	VYDAJ	VYBER	15	15754	SLUZBY	\N	\N
2422	9	1998-02-28	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
2423	9	1998-03-31	VYDAJ	VYBER	15	17454	SLUZBY	\N	\N
2424	9	1998-04-30	VYDAJ	VYBER	15	42894	SLUZBY	\N	\N
2425	9	1998-05-31	VYDAJ	VYBER	15	30627	SLUZBY	\N	\N
2426	9	1998-06-30	VYDAJ	VYBER	15	18585	SLUZBY	\N	\N
2427	9	1998-07-31	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
2428	9	1998-08-31	VYDAJ	VYBER	15	15886	SLUZBY	\N	\N
2429	9	1998-09-30	VYDAJ	VYBER	15	23585	SLUZBY	\N	\N
2430	9	1998-10-31	VYDAJ	VYBER	15	21064	SLUZBY	\N	\N
2431	9	1998-11-30	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
2432	9	1993-02-26	PRIJEM	VKLAD	10900	12100	\N	\N	\N
2433	9	1993-03-28	PRIJEM	VKLAD	5800	18705	\N	\N	\N
2434	9	1993-04-27	VYDAJ	VYBER	6800	27004	\N	\N	\N
2435	9	1993-05-27	VYDAJ	VYBER	4400	23489	\N	\N	\N
2436	9	1993-06-26	PRIJEM	VKLAD	5600	21085	\N	\N	\N
2437	9	1993-07-26	VYDAJ	VYBER	1100	20856	\N	\N	\N
2438	9	1993-08-25	PRIJEM	VKLAD	1300	18379	\N	\N	\N
2439	9	1993-09-24	PRIJEM	VKLAD	3600	22838	\N	\N	\N
2440	9	1993-10-24	PRIJEM	VKLAD	2400	26104	\N	\N	\N
2441	9	1993-11-23	VYDAJ	VYBER	100	26888	\N	\N	\N
2442	9	1993-12-23	VYDAJ	VYBER	300	25384	\N	\N	\N
2443	9	1994-01-22	PRIJEM	VKLAD	3400	26678	\N	\N	\N
2444	9	1994-02-21	PRIJEM	VKLAD	4600	24114	\N	\N	\N
2445	9	1994-03-23	PRIJEM	VKLAD	300	23484	\N	\N	\N
2446	9	1994-04-22	PRIJEM	VKLAD	1000	25368	\N	\N	\N
2447	9	1994-05-22	VYDAJ	VYBER	7100	30285	\N	\N	\N
2448	9	1994-06-21	PRIJEM	VKLAD	5700	20058	\N	\N	\N
2449	9	1994-07-21	PRIJEM	VKLAD	2300	21581	\N	\N	\N
2450	9	1994-08-20	PRIJEM	VKLAD	4600	27052	\N	\N	\N
2451	9	1994-09-19	VYDAJ	VYBER	900	26786	\N	\N	\N
2452	9	1994-10-19	PRIJEM	VKLAD	1300	26784	\N	\N	\N
2453	9	1994-11-18	PRIJEM	VKLAD	2800	30130	\N	\N	\N
2454	9	1994-12-18	VYDAJ	VYBER	1800	29233	\N	\N	\N
2455	9	1995-01-17	VYDAJ	VYBER	700	29938	\N	\N	\N
2456	9	1995-02-16	PRIJEM	VKLAD	4000	22062	\N	\N	\N
2457	9	1995-03-18	PRIJEM	VKLAD	3600	27334	\N	\N	\N
2458	9	1995-04-17	PRIJEM	VKLAD	900	29123	\N	\N	\N
2459	9	1995-05-17	PRIJEM	VKLAD	3300	31325	\N	\N	\N
2460	9	1995-06-16	PRIJEM	VKLAD	1900	32686	\N	\N	\N
2461	9	1995-07-16	VYDAJ	VYBER	800	27097	\N	\N	\N
2462	9	1995-08-15	PRIJEM	VKLAD	800	27994	\N	\N	\N
2463	9	1995-09-14	PRIJEM	VKLAD	4900	30996	\N	\N	\N
2464	9	1995-10-14	VYDAJ	VYBER	1800	30105	\N	\N	\N
2465	9	1995-11-13	PRIJEM	VKLAD	3400	31717	\N	\N	\N
2466	9	1995-12-13	PRIJEM	VKLAD	200	32028	\N	\N	\N
2467	9	1996-01-12	VYDAJ	VYBER	23500	53288	\N	\N	\N
2468	9	1996-02-11	VYDAJ	VYBER	900	33160	\N	\N	\N
2469	9	1996-03-12	VYDAJ	VYBER	800	32036	\N	\N	\N
2470	9	1996-04-11	VYDAJ	VYBER	1600	30557	\N	\N	\N
2471	9	1996-05-11	VYDAJ	VYBER	1900	29574	\N	\N	\N
2472	9	1996-06-10	VYDAJ	VYBER	3400	25336	\N	\N	\N
2473	9	1996-07-10	VYDAJ	VYBER	1100	25135	\N	\N	\N
2474	9	1996-08-09	PRIJEM	VKLAD	1200	23723	\N	\N	\N
2475	9	1996-09-08	VYDAJ	VYBER	800	22405	\N	\N	\N
2476	9	1996-10-08	PRIJEM	VKLAD	800	24085	\N	\N	\N
2477	9	1996-12-07	VYDAJ	VYBER	5700	31913	\N	\N	\N
2478	9	1997-01-06	VYDAJ	VYBER	3900	28685	\N	\N	\N
2479	9	1997-02-05	PRIJEM	VKLAD	1100	20768	\N	\N	\N
2480	9	1997-03-07	VYDAJ	VYBER	1000	20637	\N	\N	\N
2481	9	1997-04-06	VYDAJ	VYBER	1800	18310	\N	\N	\N
2482	9	1997-05-06	VYDAJ	VYBER	200	16516	\N	\N	\N
2483	9	1997-07-05	VYDAJ	VYBER	4500	13227	\N	\N	\N
2484	9	1997-10-03	VYDAJ	VYBER	100	15663	\N	\N	\N
2485	9	1997-11-02	VYDAJ	VYBER	38100	47330	\N	\N	\N
2486	9	1997-12-02	VYDAJ	VYBER	17500	30875	\N	\N	\N
2487	9	1998-01-01	VYDAJ	VYBER	11100	19549	\N	\N	\N
2488	9	1998-04-01	VYDAJ	VYBER	2000	15454	\N	\N	\N
2489	9	1998-05-01	VYDAJ	VYBER	13200	29694	\N	\N	\N
2490	9	1998-05-31	VYDAJ	VYBER	8100	20677	\N	\N	\N
2491	9	1998-06-30	VYDAJ	VYBER	3000	18600	\N	\N	\N
2492	9	1998-07-30	VYDAJ	VYBER	4900	14485	\N	\N	\N
2493	9	1998-08-29	PRIJEM	VKLAD	500	15843	\N	\N	\N
2494	9	1998-09-28	VYDAJ	VYBER	6400	23511	\N	\N	\N
2495	9	1998-10-28	VYDAJ	VYBER	3400	20985	\N	\N	\N
2496	9	1998-11-27	PRIJEM	VKLAD	4100	24014	\N	\N	\N
2568	10	1996-08-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2577	10	1996-09-13	PRIJEM	VKLAD	17686	18786	\N	\N	\N
2578	10	1996-10-13	PRIJEM	VKLAD	17686	39684	\N	\N	\N
2579	10	1996-11-13	PRIJEM	VKLAD	17686	50469	\N	\N	\N
2580	10	1996-12-13	PRIJEM	VKLAD	26529	65639	\N	\N	\N
2581	10	1997-01-13	PRIJEM	VKLAD	17686	65694	\N	\N	\N
2582	10	1997-02-13	PRIJEM	VKLAD	17686	47393	\N	\N	\N
2583	10	1997-03-13	PRIJEM	VKLAD	17686	51805	\N	\N	\N
2584	10	1997-04-13	PRIJEM	VKLAD	17686	53019	\N	\N	\N
2585	10	1997-05-13	PRIJEM	VKLAD	17686	54454	\N	\N	\N
2586	10	1997-06-13	PRIJEM	VKLAD	26529	38112	\N	\N	\N
2587	10	1997-07-13	PRIJEM	VKLAD	17686	49613	\N	\N	\N
2588	10	1997-08-13	PRIJEM	VKLAD	17686	50131	\N	\N	\N
2589	10	1997-09-13	PRIJEM	VKLAD	17686	57057	\N	\N	\N
2590	10	1997-10-13	PRIJEM	VKLAD	17686	60005	\N	\N	\N
2591	10	1997-11-13	PRIJEM	VKLAD	17686	61464	\N	\N	\N
2592	10	1997-12-13	PRIJEM	VKLAD	26529	70969	\N	\N	\N
2593	10	1998-01-13	PRIJEM	VKLAD	17686	54375	\N	\N	\N
2594	10	1998-02-13	PRIJEM	VKLAD	17686	48913	\N	\N	\N
2595	10	1998-03-13	PRIJEM	VKLAD	17686	54628	\N	\N	\N
2596	10	1998-04-13	PRIJEM	VKLAD	17686	59268	\N	\N	\N
2597	10	1998-05-13	PRIJEM	VKLAD	17686	58600	\N	\N	\N
2598	10	1998-06-13	PRIJEM	VKLAD	26529	56438	\N	\N	\N
2599	10	1998-07-13	PRIJEM	VKLAD	17686	56327	\N	\N	\N
2600	10	1998-08-13	PRIJEM	VKLAD	17686	61873	\N	\N	\N
2601	10	1998-09-13	PRIJEM	VKLAD	17686	68343	\N	\N	\N
2602	10	1998-10-13	PRIJEM	VKLAD	17686	77244	\N	\N	\N
2603	10	1998-11-13	PRIJEM	VKLAD	17686	77966	\N	\N	\N
2604	10	1998-12-13	PRIJEM	VKLAD	26529	83410	\N	\N	\N
2618	10	1997-02-12	VYDAJ	PREVOD NA UCET	7033	29707	SIPO	UV	18686104
2619	10	1997-03-12	VYDAJ	PREVOD NA UCET	7033	34119	SIPO	UV	18686104
2620	10	1997-04-12	VYDAJ	PREVOD NA UCET	7033	35333	SIPO	UV	18686104
2621	10	1997-05-12	VYDAJ	PREVOD NA UCET	7033	36768	SIPO	UV	18686104
2622	10	1997-06-12	VYDAJ	PREVOD NA UCET	7033	11583	SIPO	UV	18686104
2623	10	1997-07-12	VYDAJ	PREVOD NA UCET	7033	31927	SIPO	UV	18686104
2624	10	1997-08-12	VYDAJ	PREVOD NA UCET	7033	32445	SIPO	UV	18686104
2625	10	1997-09-12	VYDAJ	PREVOD NA UCET	7033	39371	SIPO	UV	18686104
2626	10	1997-10-12	VYDAJ	PREVOD NA UCET	7033	42319	SIPO	UV	18686104
2627	10	1997-11-12	VYDAJ	PREVOD NA UCET	7033	43778	SIPO	UV	18686104
2628	10	1997-12-12	VYDAJ	PREVOD NA UCET	7033	44440	SIPO	UV	18686104
2629	10	1998-01-12	VYDAJ	PREVOD NA UCET	7033	36689	SIPO	UV	18686104
2630	10	1998-02-12	VYDAJ	PREVOD NA UCET	7033	31227	SIPO	UV	18686104
2631	10	1998-03-12	VYDAJ	PREVOD NA UCET	7033	36942	SIPO	UV	18686104
2632	10	1998-04-12	VYDAJ	PREVOD NA UCET	7033	41582	SIPO	UV	18686104
2633	10	1998-05-12	VYDAJ	PREVOD NA UCET	7033	40914	SIPO	UV	18686104
2634	10	1998-06-12	VYDAJ	PREVOD NA UCET	7033	29909	SIPO	UV	18686104
2635	10	1998-07-12	VYDAJ	PREVOD NA UCET	7033	38641	SIPO	UV	18686104
2636	10	1998-08-12	VYDAJ	PREVOD NA UCET	7033	44187	SIPO	UV	18686104
2637	10	1998-09-12	VYDAJ	PREVOD NA UCET	7033	50657	SIPO	UV	18686104
2638	10	1998-10-12	VYDAJ	PREVOD NA UCET	7033	59558	SIPO	UV	18686104
2639	10	1998-11-12	VYDAJ	PREVOD NA UCET	7033	60280	SIPO	UV	18686104
2640	10	1998-12-12	VYDAJ	PREVOD NA UCET	7033	56881	SIPO	UV	18686104
2678	10	1997-06-08	VYDAJ	VYBER	23840	18616	\N	\N	\N
2679	10	1998-06-11	VYDAJ	VYBER	13760	36942	\N	\N	\N
2681	10	1997-01-17	VYDAJ	VYBER	9760	55934	\N	\N	\N
2682	10	1998-01-13	VYDAJ	VYBER	3840	50535	\N	\N	\N
2684	10	1997-12-15	VYDAJ	VYBER	4000	66969	\N	\N	\N
2685	10	1998-12-18	VYDAJ	VYBER	2720	61190	\N	\N	\N
2694	10	1997-01-28	VYDAJ	VYBER	3480	38954	\N	\N	\N
2696	10	1997-01-29	VYDAJ	VYBER	2400	36554	\N	\N	\N
2698	10	1998-01-03	VYDAJ	VYBER	3120	44442	\N	\N	\N
2699	10	1998-01-14	VYDAJ	VYBER	2760	47775	\N	\N	\N
2700	10	1998-01-07	VYDAJ	VYBER	720	43722	\N	\N	\N
2701	10	1998-01-15	VYDAJ	VYBER	1680	46095	\N	\N	\N
2702	10	1998-01-22	VYDAJ	VYBER	840	41455	\N	\N	\N
2703	10	1998-01-23	VYDAJ	VYBER	3360	38095	\N	\N	\N
2709	10	1997-05-07	VYDAJ	VYBER	1800	43801	\N	\N	\N
2710	10	1997-08-12	VYDAJ	VYBER	1200	39478	\N	\N	\N
2711	10	1997-05-16	VYDAJ	VYBER	2880	51574	\N	\N	\N
2712	10	1997-12-24	VYDAJ	VYBER	3720	47349	\N	\N	\N
2713	10	1997-03-26	VYDAJ	VYBER	2520	49285	\N	\N	\N
2715	10	1997-07-29	VYDAJ	VYBER	600	40513	\N	\N	\N
2716	10	1998-04-15	VYDAJ	VYBER	1680	57588	\N	\N	\N
2717	10	1998-11-29	VYDAJ	VYBER	3720	63646	\N	\N	\N
2718	10	1998-06-28	VYDAJ	VYBER	5760	45478	\N	\N	\N
2719	10	1998-05-02	VYDAJ	VYBER	2640	47947	\N	\N	\N
2720	10	1998-12-22	VYDAJ	VYBER	2160	59030	\N	\N	\N
2734	10	1997-01-31	VYDAJ	VYBER	15	36740	SLUZBY	\N	\N
2735	10	1997-02-28	VYDAJ	VYBER	15	41152	SLUZBY	\N	\N
2736	10	1997-03-31	VYDAJ	VYBER	15	42366	SLUZBY	\N	\N
2737	10	1997-04-30	VYDAJ	VYBER	15	45601	SLUZBY	\N	\N
2738	10	1997-05-31	VYDAJ	VYBER	15	42456	SLUZBY	\N	\N
2739	10	1997-06-30	VYDAJ	VYBER	15	38960	SLUZBY	\N	\N
2740	10	1997-07-31	VYDAJ	VYBER	15	40678	SLUZBY	\N	\N
2741	10	1997-08-31	VYDAJ	VYBER	15	46404	SLUZBY	\N	\N
2742	10	1997-09-30	VYDAJ	VYBER	15	49352	SLUZBY	\N	\N
2743	10	1997-10-31	VYDAJ	VYBER	15	50811	SLUZBY	\N	\N
2744	10	1997-11-30	VYDAJ	VYBER	15	51473	SLUZBY	\N	\N
2745	10	1997-12-31	VYDAJ	VYBER	15	47562	SLUZBY	\N	\N
2746	10	1998-01-31	VYDAJ	VYBER	15	38260	SLUZBY	\N	\N
2747	10	1998-02-28	VYDAJ	VYBER	15	43975	SLUZBY	\N	\N
2748	10	1998-03-31	VYDAJ	VYBER	15	48615	SLUZBY	\N	\N
2749	10	1998-04-30	VYDAJ	VYBER	15	50587	SLUZBY	\N	\N
2750	10	1998-05-31	VYDAJ	VYBER	15	50702	SLUZBY	\N	\N
2751	10	1998-06-30	VYDAJ	VYBER	15	45674	SLUZBY	\N	\N
2752	10	1998-07-31	VYDAJ	VYBER	15	51220	SLUZBY	\N	\N
2753	10	1998-08-31	VYDAJ	VYBER	15	57690	SLUZBY	\N	\N
2754	10	1998-09-30	VYDAJ	VYBER	15	66591	SLUZBY	\N	\N
2755	10	1998-10-31	VYDAJ	VYBER	15	67313	SLUZBY	\N	\N
2756	10	1998-11-30	VYDAJ	VYBER	15	63914	SLUZBY	\N	\N
2757	10	1996-09-27	PRIJEM	VKLAD	3200	21986	\N	\N	\N
2758	10	1996-10-27	VYDAJ	VYBER	7000	32684	\N	\N	\N
2759	10	1996-11-26	VYDAJ	VYBER	11500	38969	\N	\N	\N
2760	10	1996-12-26	VYDAJ	VYBER	17800	47839	\N	\N	\N
2761	10	1997-01-25	VYDAJ	VYBER	13500	42434	\N	\N	\N
2762	10	1997-02-24	VYDAJ	VYBER	6400	40993	\N	\N	\N
2763	10	1997-03-26	VYDAJ	VYBER	7100	42185	\N	\N	\N
2764	10	1997-04-25	VYDAJ	VYBER	7600	45419	\N	\N	\N
2765	10	1997-05-25	VYDAJ	VYBER	9300	42274	\N	\N	\N
2766	10	1997-06-24	PRIJEM	VKLAD	700	38812	\N	\N	\N
2767	10	1997-07-24	VYDAJ	VYBER	8500	41113	\N	\N	\N
2768	10	1997-08-23	VYDAJ	VYBER	3900	46231	\N	\N	\N
2769	10	1997-09-22	VYDAJ	VYBER	7900	49157	\N	\N	\N
2770	10	1997-10-22	VYDAJ	VYBER	9400	50605	\N	\N	\N
2771	10	1997-11-21	VYDAJ	VYBER	10200	51264	\N	\N	\N
2772	10	1997-12-21	VYDAJ	VYBER	15900	51069	\N	\N	\N
2773	10	1998-01-20	VYDAJ	VYBER	3800	42295	\N	\N	\N
2774	10	1998-02-19	VYDAJ	VYBER	5100	43813	\N	\N	\N
2775	10	1998-03-21	VYDAJ	VYBER	6200	48428	\N	\N	\N
2776	10	1998-04-20	VYDAJ	VYBER	7200	50388	\N	\N	\N
2777	10	1998-05-20	VYDAJ	VYBER	8100	50500	\N	\N	\N
2778	10	1998-06-19	VYDAJ	VYBER	5200	51238	\N	\N	\N
2779	10	1998-07-19	VYDAJ	VYBER	5300	51027	\N	\N	\N
2780	10	1998-08-18	VYDAJ	VYBER	4400	57473	\N	\N	\N
2781	10	1998-09-17	VYDAJ	VYBER	2000	66343	\N	\N	\N
2782	10	1998-10-17	VYDAJ	VYBER	10200	67044	\N	\N	\N
2783	10	1998-11-16	VYDAJ	VYBER	10600	67366	\N	\N	\N
2784	10	1998-12-16	VYDAJ	VYBER	19500	63910	\N	\N	\N
2813	11	1995-10-10	PRIJEM	VKLAD	300	300	\N	\N	\N
2823	11	1995-10-12	PRIJEM	PREVOD Z UCTU	3494	3794	\N	IJ	89189946
2824	11	1995-11-12	PRIJEM	PREVOD Z UCTU	3494	7298	\N	IJ	89189946
2825	11	1995-12-12	PRIJEM	PREVOD Z UCTU	3494	10808	\N	IJ	89189946
2826	11	1996-01-12	PRIJEM	PREVOD Z UCTU	3494	14318	\N	IJ	89189946
2827	11	1996-02-12	PRIJEM	PREVOD Z UCTU	3494	17828	\N	IJ	89189946
2828	11	1996-03-12	PRIJEM	PREVOD Z UCTU	3494	19220	\N	IJ	89189946
2829	11	1996-04-12	PRIJEM	PREVOD Z UCTU	3494	20636	\N	IJ	89189946
2830	11	1996-05-12	PRIJEM	PREVOD Z UCTU	3494	22059	\N	IJ	89189946
2831	11	1996-06-12	PRIJEM	PREVOD Z UCTU	3494	23217	\N	IJ	89189946
2832	11	1996-07-12	PRIJEM	PREVOD Z UCTU	3494	24651	\N	IJ	89189946
2833	11	1996-08-12	PRIJEM	PREVOD Z UCTU	3494	26090	\N	IJ	89189946
2834	11	1996-09-12	PRIJEM	PREVOD Z UCTU	3494	27535	\N	IJ	89189946
2835	11	1996-10-12	PRIJEM	PREVOD Z UCTU	3494	28986	\N	IJ	89189946
2836	11	1996-11-12	PRIJEM	PREVOD Z UCTU	3494	29843	\N	IJ	89189946
2837	11	1996-12-12	PRIJEM	PREVOD Z UCTU	3494	31305	\N	IJ	89189946
2838	11	1997-01-12	PRIJEM	PREVOD Z UCTU	3494	32171	\N	IJ	89189946
2839	11	1997-02-12	PRIJEM	PREVOD Z UCTU	3494	29890	\N	IJ	89189946
2840	11	1997-03-12	PRIJEM	PREVOD Z UCTU	3494	30242	\N	IJ	89189946
2841	11	1997-04-12	PRIJEM	PREVOD Z UCTU	3494	31707	\N	IJ	89189946
2842	11	1997-05-12	PRIJEM	PREVOD Z UCTU	3494	33175	\N	IJ	89189946
2843	11	1997-06-12	PRIJEM	PREVOD Z UCTU	3494	34649	\N	IJ	89189946
2844	11	1997-07-12	PRIJEM	PREVOD Z UCTU	3494	35018	\N	IJ	89189946
2845	11	1997-08-12	PRIJEM	PREVOD Z UCTU	3494	36500	\N	IJ	89189946
2846	11	1997-09-12	PRIJEM	PREVOD Z UCTU	3494	36687	\N	IJ	89189946
2847	11	1997-10-12	PRIJEM	PREVOD Z UCTU	3494	37366	\N	IJ	89189946
2848	11	1997-11-12	PRIJEM	PREVOD Z UCTU	3494	38858	\N	IJ	89189946
2849	11	1997-12-12	PRIJEM	PREVOD Z UCTU	3494	40355	\N	IJ	89189946
2850	11	1998-01-12	PRIJEM	PREVOD Z UCTU	3494	40389	\N	IJ	89189946
2851	11	1998-02-12	PRIJEM	PREVOD Z UCTU	3494	38469	\N	IJ	89189946
2852	11	1998-03-12	PRIJEM	PREVOD Z UCTU	3494	39967	\N	IJ	89189946
2853	11	1998-04-12	PRIJEM	PREVOD Z UCTU	3494	37867	\N	IJ	89189946
2854	11	1998-05-12	PRIJEM	PREVOD Z UCTU	3494	32657	\N	IJ	89189946
2855	11	1998-06-12	PRIJEM	PREVOD Z UCTU	3494	32357	\N	IJ	89189946
2856	11	1998-07-12	PRIJEM	PREVOD Z UCTU	3494	31426	\N	IJ	89189946
2857	11	1998-08-12	PRIJEM	PREVOD Z UCTU	3494	27188	\N	IJ	89189946
2858	11	1998-09-12	PRIJEM	PREVOD Z UCTU	3494	26505	\N	IJ	89189946
2859	11	1998-10-12	PRIJEM	PREVOD Z UCTU	3494	25649	\N	IJ	89189946
2860	11	1998-11-12	PRIJEM	PREVOD Z UCTU	3494	24388	\N	IJ	89189946
2861	11	1998-12-12	PRIJEM	PREVOD Z UCTU	3494	25225	\N	IJ	89189946
2875	11	1996-02-13	VYDAJ	PREVOD NA UCET	2132	15696	\N	ST	38470870
2876	11	1996-03-13	VYDAJ	PREVOD NA UCET	2132	17088	\N	ST	38470870
2877	11	1996-04-13	VYDAJ	PREVOD NA UCET	2132	18504	\N	ST	38470870
2878	11	1996-05-13	VYDAJ	PREVOD NA UCET	2132	19927	\N	ST	38470870
2879	11	1996-06-13	VYDAJ	PREVOD NA UCET	2132	21085	\N	ST	38470870
2880	11	1996-07-13	VYDAJ	PREVOD NA UCET	2132	22519	\N	ST	38470870
2881	11	1996-08-13	VYDAJ	PREVOD NA UCET	2132	23958	\N	ST	38470870
2882	11	1996-09-13	VYDAJ	PREVOD NA UCET	2132	25403	\N	ST	38470870
2883	11	1996-10-13	VYDAJ	PREVOD NA UCET	2132	26854	\N	ST	38470870
2884	11	1996-11-13	VYDAJ	PREVOD NA UCET	2132	27711	\N	ST	38470870
2885	11	1996-12-13	VYDAJ	PREVOD NA UCET	2132	29173	\N	ST	38470870
2886	11	1997-01-13	VYDAJ	PREVOD NA UCET	2132	30039	\N	ST	38470870
2887	11	1997-02-13	VYDAJ	PREVOD NA UCET	2132	27758	\N	ST	38470870
2888	11	1997-03-13	VYDAJ	PREVOD NA UCET	2132	28110	\N	ST	38470870
2889	11	1997-04-13	VYDAJ	PREVOD NA UCET	2132	29575	\N	ST	38470870
2890	11	1997-05-13	VYDAJ	PREVOD NA UCET	2132	31043	\N	ST	38470870
2891	11	1997-06-13	VYDAJ	PREVOD NA UCET	2132	32517	\N	ST	38470870
2892	11	1997-07-13	VYDAJ	PREVOD NA UCET	2132	32886	\N	ST	38470870
2893	11	1997-08-13	VYDAJ	PREVOD NA UCET	2132	34368	\N	ST	38470870
2894	11	1997-09-13	VYDAJ	PREVOD NA UCET	2132	34555	\N	ST	38470870
2895	11	1997-10-13	VYDAJ	PREVOD NA UCET	2132	35234	\N	ST	38470870
2896	11	1997-11-13	VYDAJ	PREVOD NA UCET	2132	36726	\N	ST	38470870
2897	11	1997-12-13	VYDAJ	PREVOD NA UCET	2132	38223	\N	ST	38470870
2898	11	1998-01-13	VYDAJ	PREVOD NA UCET	2132	37597	\N	ST	38470870
2899	11	1998-02-13	VYDAJ	PREVOD NA UCET	2132	36337	\N	ST	38470870
2900	11	1998-03-13	VYDAJ	PREVOD NA UCET	2132	37835	\N	ST	38470870
2901	11	1998-04-13	VYDAJ	PREVOD NA UCET	2132	35735	\N	ST	38470870
2902	11	1998-05-13	VYDAJ	PREVOD NA UCET	2132	30255	\N	ST	38470870
2903	11	1998-06-13	VYDAJ	PREVOD NA UCET	2132	30225	\N	ST	38470870
2904	11	1998-07-13	VYDAJ	PREVOD NA UCET	2132	29294	\N	ST	38470870
2905	11	1998-08-13	VYDAJ	PREVOD NA UCET	2132	25056	\N	ST	38470870
2906	11	1998-09-13	VYDAJ	PREVOD NA UCET	2132	24373	\N	ST	38470870
2907	11	1998-10-13	VYDAJ	PREVOD NA UCET	2132	23517	\N	ST	38470870
2908	11	1998-11-13	VYDAJ	PREVOD NA UCET	2132	22256	\N	ST	38470870
2909	11	1998-12-13	VYDAJ	PREVOD NA UCET	2132	23093	\N	ST	38470870
2911	11	1996-12-26	VYDAJ	VYBER	390	28783	\N	\N	\N
2912	11	1997-12-19	VYDAJ	VYBER	510	37713	\N	\N	\N
2913	11	1998-12-09	VYDAJ	VYBER	600	21731	\N	\N	\N
2926	11	1997-01-24	VYDAJ	VYBER	180	29109	\N	\N	\N
2927	11	1997-01-03	VYDAJ	VYBER	210	28677	\N	\N	\N
2928	11	1997-01-26	VYDAJ	VYBER	660	27699	\N	\N	\N
2929	11	1997-01-24	VYDAJ	VYBER	420	28689	\N	\N	\N
2930	11	1997-01-16	VYDAJ	VYBER	180	29859	\N	\N	\N
2931	11	1997-01-24	VYDAJ	VYBER	330	28359	\N	\N	\N
2932	11	1998-01-21	VYDAJ	VYBER	450	35977	\N	\N	\N
2933	11	1998-01-15	VYDAJ	VYBER	360	37237	\N	\N	\N
2934	11	1998-01-09	VYDAJ	VYBER	360	36895	\N	\N	\N
2935	11	1998-01-17	VYDAJ	VYBER	810	36427	\N	\N	\N
2936	11	1998-01-08	VYDAJ	VYBER	600	37255	\N	\N	\N
2937	11	1998-01-12	VYDAJ	VYBER	660	39729	\N	\N	\N
2944	11	1996-06-07	VYDAJ	VYBER	270	19723	\N	\N	\N
2945	11	1997-06-17	VYDAJ	VYBER	1110	31407	\N	\N	\N
2946	11	1997-02-09	VYDAJ	VYBER	510	26396	\N	\N	\N
2947	11	1997-09-24	VYDAJ	VYBER	210	34345	\N	\N	\N
2948	11	1997-03-09	VYDAJ	VYBER	1110	26748	\N	\N	\N
2949	11	1997-01-24	VYDAJ	VYBER	570	29289	\N	\N	\N
2950	11	1997-02-07	VYDAJ	VYBER	900	26906	\N	\N	\N
2951	11	1998-06-24	VYDAJ	VYBER	1200	29025	\N	\N	\N
2952	11	1998-02-04	VYDAJ	VYBER	600	34975	\N	\N	\N
2953	11	1998-05-12	VYDAJ	VYBER	270	32387	\N	\N	\N
2954	11	1998-08-30	VYDAJ	VYBER	930	22926	\N	\N	\N
2955	11	1998-01-31	VYDAJ	VYBER	540	35590	\N	\N	\N
2970	11	1996-02-29	VYDAJ	VYBER	15	15726	SLUZBY	\N	\N
2971	11	1996-03-31	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
2972	11	1996-04-30	VYDAJ	VYBER	15	18565	SLUZBY	\N	\N
2973	11	1996-05-31	VYDAJ	VYBER	15	19993	SLUZBY	\N	\N
2974	11	1996-06-30	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
2975	11	1996-07-31	VYDAJ	VYBER	15	22596	SLUZBY	\N	\N
2976	11	1996-08-31	VYDAJ	VYBER	15	24041	SLUZBY	\N	\N
2977	11	1996-09-30	VYDAJ	VYBER	15	25492	SLUZBY	\N	\N
2978	11	1996-10-31	VYDAJ	VYBER	15	26949	SLUZBY	\N	\N
2979	11	1996-11-30	VYDAJ	VYBER	15	27811	SLUZBY	\N	\N
2980	11	1996-12-31	VYDAJ	VYBER	15	28887	SLUZBY	\N	\N
2981	11	1997-01-31	VYDAJ	VYBER	15	27806	SLUZBY	\N	\N
2982	11	1997-02-28	VYDAJ	VYBER	15	27858	SLUZBY	\N	\N
2983	11	1997-03-31	VYDAJ	VYBER	15	28213	SLUZBY	\N	\N
2984	11	1997-04-30	VYDAJ	VYBER	15	29681	SLUZBY	\N	\N
2985	11	1997-05-31	VYDAJ	VYBER	15	31155	SLUZBY	\N	\N
2986	11	1997-06-30	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
2987	11	1997-07-31	VYDAJ	VYBER	15	33006	SLUZBY	\N	\N
2988	11	1997-08-31	VYDAJ	VYBER	15	33193	SLUZBY	\N	\N
2989	11	1997-09-30	VYDAJ	VYBER	15	33872	SLUZBY	\N	\N
2990	11	1997-10-31	VYDAJ	VYBER	15	35364	SLUZBY	\N	\N
2991	11	1997-11-30	VYDAJ	VYBER	15	36861	SLUZBY	\N	\N
2992	11	1997-12-31	VYDAJ	VYBER	15	37855	SLUZBY	\N	\N
2993	11	1998-01-31	VYDAJ	VYBER	15	35575	SLUZBY	\N	\N
2994	11	1998-02-28	VYDAJ	VYBER	15	36473	SLUZBY	\N	\N
2995	11	1998-03-31	VYDAJ	VYBER	15	34373	SLUZBY	\N	\N
2996	11	1998-04-30	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
2997	11	1998-05-31	VYDAJ	VYBER	15	28863	SLUZBY	\N	\N
2998	11	1998-06-30	VYDAJ	VYBER	15	27932	SLUZBY	\N	\N
2999	11	1998-07-31	VYDAJ	VYBER	15	23694	SLUZBY	\N	\N
3000	11	1998-08-31	VYDAJ	VYBER	15	23011	SLUZBY	\N	\N
3001	11	1998-09-30	VYDAJ	VYBER	15	22155	SLUZBY	\N	\N
3002	11	1998-10-31	VYDAJ	VYBER	15	20894	SLUZBY	\N	\N
3003	11	1998-11-30	VYDAJ	VYBER	15	22331	SLUZBY	\N	\N
3004	11	1996-11-03	VYDAJ	VYBER	600	26349	\N	\N	\N
3005	11	1997-08-30	VYDAJ	VYBER	1300	33068	\N	\N	\N
3006	11	1997-09-29	VYDAJ	VYBER	600	33745	\N	\N	\N
3007	11	1998-03-28	VYDAJ	VYBER	3600	34235	\N	\N	\N
3008	11	1998-04-27	VYDAJ	VYBER	6700	29035	\N	\N	\N
3009	11	1998-05-27	VYDAJ	VYBER	1500	28755	\N	\N	\N
3010	11	1998-06-26	VYDAJ	VYBER	1200	27825	\N	\N	\N
3011	11	1998-07-26	VYDAJ	VYBER	5700	23594	\N	\N	\N
3012	11	1998-08-25	VYDAJ	VYBER	1200	23856	\N	\N	\N
3013	11	1998-09-24	VYDAJ	VYBER	2300	22073	\N	\N	\N
3014	11	1998-10-24	VYDAJ	VYBER	2700	20817	\N	\N	\N
3054	12	1997-04-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3059	12	1997-05-13	PRIJEM	PREVOD Z UCTU	5938	7038	DUCHOD	CD	70369857
3060	12	1997-06-13	PRIJEM	PREVOD Z UCTU	5938	12976	DUCHOD	CD	70369857
3061	12	1997-07-13	PRIJEM	PREVOD Z UCTU	5938	18914	DUCHOD	CD	70369857
3062	12	1997-08-13	PRIJEM	PREVOD Z UCTU	5938	23795	DUCHOD	CD	70369857
3063	12	1997-09-13	PRIJEM	PREVOD Z UCTU	5938	25614	DUCHOD	CD	70369857
3064	12	1997-10-13	PRIJEM	PREVOD Z UCTU	5938	28044	DUCHOD	CD	70369857
3065	12	1997-11-13	PRIJEM	PREVOD Z UCTU	5938	28806	DUCHOD	CD	70369857
3066	12	1997-12-13	PRIJEM	PREVOD Z UCTU	5938	29053	DUCHOD	CD	70369857
3067	12	1998-01-13	PRIJEM	PREVOD Z UCTU	5938	23549	DUCHOD	CD	70369857
3068	12	1998-02-13	PRIJEM	PREVOD Z UCTU	5938	18366	DUCHOD	CD	70369857
3069	12	1998-03-13	PRIJEM	PREVOD Z UCTU	5938	18364	DUCHOD	CD	70369857
3070	12	1998-04-13	PRIJEM	PREVOD Z UCTU	5938	20768	DUCHOD	CD	70369857
3071	12	1998-05-13	PRIJEM	PREVOD Z UCTU	5938	23181	DUCHOD	CD	70369857
3072	12	1998-06-13	PRIJEM	PREVOD Z UCTU	5938	25605	DUCHOD	CD	70369857
3073	12	1998-07-13	PRIJEM	PREVOD Z UCTU	5938	17025	DUCHOD	CD	70369857
3074	12	1998-08-13	PRIJEM	PREVOD Z UCTU	5938	19423	DUCHOD	CD	70369857
3075	12	1998-09-13	PRIJEM	PREVOD Z UCTU	5938	21831	DUCHOD	CD	70369857
3076	12	1998-10-13	PRIJEM	PREVOD Z UCTU	5938	22409	DUCHOD	CD	70369857
3077	12	1998-11-13	PRIJEM	PREVOD Z UCTU	5938	24828	DUCHOD	CD	70369857
3078	12	1998-12-13	PRIJEM	PREVOD Z UCTU	5938	26009	DUCHOD	CD	70369857
3088	12	1997-10-12	VYDAJ	PREVOD NA UCET	297	22106	SIPO	CD	23010808
3089	12	1997-11-12	VYDAJ	PREVOD NA UCET	297	22868	SIPO	CD	23010808
3090	12	1997-12-12	VYDAJ	PREVOD NA UCET	297	23115	SIPO	CD	23010808
3091	12	1998-01-12	VYDAJ	PREVOD NA UCET	297	17611	SIPO	CD	23010808
3092	12	1998-02-12	VYDAJ	PREVOD NA UCET	297	12428	SIPO	CD	23010808
3093	12	1998-03-12	VYDAJ	PREVOD NA UCET	297	12426	SIPO	CD	23010808
3094	12	1998-04-12	VYDAJ	PREVOD NA UCET	297	14830	SIPO	CD	23010808
3095	12	1998-05-12	VYDAJ	PREVOD NA UCET	297	17243	SIPO	CD	23010808
3096	12	1998-06-12	VYDAJ	PREVOD NA UCET	297	19667	SIPO	CD	23010808
3097	12	1998-07-12	VYDAJ	PREVOD NA UCET	297	11087	SIPO	CD	23010808
3098	12	1998-08-12	VYDAJ	PREVOD NA UCET	297	13485	SIPO	CD	23010808
3099	12	1998-09-12	VYDAJ	PREVOD NA UCET	297	15893	SIPO	CD	23010808
3100	12	1998-10-12	VYDAJ	PREVOD NA UCET	297	16471	SIPO	CD	23010808
3101	12	1998-11-12	VYDAJ	PREVOD NA UCET	297	18890	SIPO	CD	23010808
3102	12	1998-12-12	VYDAJ	PREVOD NA UCET	297	20071	SIPO	CD	23010808
3112	12	1997-10-05	VYDAJ	PREVOD NA UCET	3295	22403	 	KL	63607060
3113	12	1997-11-05	VYDAJ	PREVOD NA UCET	3295	23165	 	KL	63607060
3114	12	1997-12-05	VYDAJ	PREVOD NA UCET	3295	25612	 	KL	63607060
3115	12	1998-01-05	VYDAJ	PREVOD NA UCET	3295	19968	 	KL	63607060
3116	12	1998-02-05	VYDAJ	PREVOD NA UCET	3295	14245	 	KL	63607060
3117	12	1998-03-05	VYDAJ	PREVOD NA UCET	3295	12723	 	KL	63607060
3118	12	1998-04-05	VYDAJ	PREVOD NA UCET	3295	15127	 	KL	63607060
3119	12	1998-05-05	VYDAJ	PREVOD NA UCET	3295	17540	 	KL	63607060
3120	12	1998-06-05	VYDAJ	PREVOD NA UCET	3295	19964	 	KL	63607060
3121	12	1998-07-05	VYDAJ	PREVOD NA UCET	3295	11384	 	KL	63607060
3122	12	1998-08-05	VYDAJ	PREVOD NA UCET	3295	13782	 	KL	63607060
3123	12	1998-09-05	VYDAJ	PREVOD NA UCET	3295	16190	 	KL	63607060
3124	12	1998-10-05	VYDAJ	PREVOD NA UCET	3295	18608	 	KL	63607060
3125	12	1998-11-05	VYDAJ	PREVOD NA UCET	3295	19187	 	KL	63607060
3126	12	1998-12-05	VYDAJ	PREVOD NA UCET	3295	21618	 	KL	63607060
3128	12	1998-06-22	VYDAJ	VYBER	11000	14605	\N	\N	\N
3130	12	1998-01-01	VYDAJ	VYBER	2050	23663	\N	\N	\N
3131	12	1997-12-22	VYDAJ	VYBER	1200	26173	\N	\N	\N
3132	12	1998-12-10	VYDAJ	VYBER	1250	20368	\N	\N	\N
3139	12	1998-01-04	VYDAJ	VYBER	400	23263	\N	\N	\N
3140	12	1998-01-22	VYDAJ	VYBER	2320	19869	\N	\N	\N
3141	12	1998-01-24	VYDAJ	VYBER	1760	17469	\N	\N	\N
3142	12	1998-01-10	VYDAJ	VYBER	560	17908	\N	\N	\N
3143	12	1998-01-23	VYDAJ	VYBER	640	19229	\N	\N	\N
3144	12	1998-01-15	VYDAJ	VYBER	1360	22189	\N	\N	\N
3145	12	1997-12-13	VYDAJ	VYBER	1680	27373	\N	\N	\N
3147	12	1997-10-23	VYDAJ	VYBER	1200	26364	\N	\N	\N
3149	12	1997-10-18	VYDAJ	VYBER	480	27564	\N	\N	\N
3150	12	1997-12-24	VYDAJ	VYBER	560	25613	\N	\N	\N
3151	12	1998-10-07	VYDAJ	VYBER	1840	16768	\N	\N	\N
3153	12	1998-02-06	VYDAJ	VYBER	1520	12725	\N	\N	\N
3155	12	1998-02-19	VYDAJ	VYBER	2400	15966	\N	\N	\N
3165	12	1997-09-30	VYDAJ	VYBER	15	25698	SLUZBY	\N	\N
3166	12	1997-10-31	VYDAJ	VYBER	15	26460	SLUZBY	\N	\N
3167	12	1997-11-30	VYDAJ	VYBER	15	28907	SLUZBY	\N	\N
3168	12	1997-12-31	VYDAJ	VYBER	15	25713	SLUZBY	\N	\N
3169	12	1998-01-31	VYDAJ	VYBER	15	17540	SLUZBY	\N	\N
3170	12	1998-02-28	VYDAJ	VYBER	15	16018	SLUZBY	\N	\N
3171	12	1998-03-31	VYDAJ	VYBER	15	18422	SLUZBY	\N	\N
3172	12	1998-04-30	VYDAJ	VYBER	15	20835	SLUZBY	\N	\N
3173	12	1998-05-31	VYDAJ	VYBER	15	23259	SLUZBY	\N	\N
3174	12	1998-06-30	VYDAJ	VYBER	15	14679	SLUZBY	\N	\N
3175	12	1998-07-31	VYDAJ	VYBER	15	17077	SLUZBY	\N	\N
3176	12	1998-08-31	VYDAJ	VYBER	15	19485	SLUZBY	\N	\N
3177	12	1998-09-30	VYDAJ	VYBER	15	21903	SLUZBY	\N	\N
3178	12	1998-10-31	VYDAJ	VYBER	15	22482	SLUZBY	\N	\N
3179	12	1998-11-30	VYDAJ	VYBER	15	24913	SLUZBY	\N	\N
3180	12	1997-07-14	VYDAJ	VYBER	1100	17814	\N	\N	\N
3181	12	1997-08-13	VYDAJ	VYBER	3200	20595	\N	\N	\N
3182	12	1997-09-12	VYDAJ	VYBER	1000	19676	\N	\N	\N
3183	12	1997-12-11	VYDAJ	VYBER	2200	23412	\N	\N	\N
3184	12	1998-01-10	VYDAJ	VYBER	1500	18468	\N	\N	\N
3203	13	1997-08-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3212	13	1997-09-09	PRIJEM	PREVOD Z UCTU	6803	7803	DUCHOD	QR	96172117
3213	13	1997-10-09	PRIJEM	PREVOD Z UCTU	6803	14606	DUCHOD	QR	96172117
3214	13	1997-11-09	PRIJEM	PREVOD Z UCTU	6803	21409	DUCHOD	QR	96172117
3215	13	1997-12-09	PRIJEM	PREVOD Z UCTU	6803	27157	DUCHOD	QR	96172117
3531	15	1995-02-06	PRIJEM	VKLAD	17065	48983	\N	\N	\N
3216	13	1998-01-09	PRIJEM	PREVOD Z UCTU	6803	29751	DUCHOD	QR	96172117
3217	13	1998-02-09	PRIJEM	PREVOD Z UCTU	6803	18199	DUCHOD	QR	96172117
3218	13	1998-03-09	PRIJEM	PREVOD Z UCTU	6803	20910	DUCHOD	QR	96172117
3219	13	1998-04-09	PRIJEM	PREVOD Z UCTU	6803	20928	DUCHOD	QR	96172117
3220	13	1998-05-09	PRIJEM	PREVOD Z UCTU	6803	17837	DUCHOD	QR	96172117
3221	13	1998-06-09	PRIJEM	PREVOD Z UCTU	6803	15435	DUCHOD	QR	96172117
3222	13	1998-07-09	PRIJEM	PREVOD Z UCTU	6803	18736	DUCHOD	QR	96172117
3223	13	1998-08-09	PRIJEM	PREVOD Z UCTU	6803	17220	DUCHOD	QR	96172117
3224	13	1998-09-09	PRIJEM	PREVOD Z UCTU	6803	15816	DUCHOD	QR	96172117
3225	13	1998-10-09	PRIJEM	PREVOD Z UCTU	6803	15909	DUCHOD	QR	96172117
3226	13	1998-11-09	PRIJEM	PREVOD Z UCTU	6803	20315	DUCHOD	QR	96172117
3227	13	1998-12-09	PRIJEM	PREVOD Z UCTU	6803	17518	DUCHOD	QR	96172117
3241	13	1998-02-07	VYDAJ	PREVOD NA UCET	2444	11396	SIPO	EF	35443323
3242	13	1998-03-07	VYDAJ	PREVOD NA UCET	2444	14107	SIPO	EF	35443323
3243	13	1998-04-07	VYDAJ	PREVOD NA UCET	2444	14525	SIPO	EF	35443323
3244	13	1998-05-07	VYDAJ	PREVOD NA UCET	2444	11034	SIPO	EF	35443323
3245	13	1998-06-07	VYDAJ	PREVOD NA UCET	2444	8632	SIPO	EF	35443323
3246	13	1998-07-07	VYDAJ	PREVOD NA UCET	2444	11933	SIPO	EF	35443323
3247	13	1998-08-07	VYDAJ	PREVOD NA UCET	2444	10417	SIPO	EF	35443323
3248	13	1998-09-07	VYDAJ	PREVOD NA UCET	2444	9013	SIPO	EF	35443323
3249	13	1998-10-07	VYDAJ	PREVOD NA UCET	2444	9106	SIPO	EF	35443323
3250	13	1998-11-07	VYDAJ	PREVOD NA UCET	2444	13512	SIPO	EF	35443323
3251	13	1998-12-07	VYDAJ	PREVOD NA UCET	2444	10715	SIPO	EF	35443323
3255	13	1998-01-20	VYDAJ	VYBER	1500	18331	\N	\N	\N
3257	13	1998-12-19	VYDAJ	VYBER	1050	13168	\N	\N	\N
3264	13	1998-01-18	VYDAJ	VYBER	2320	19831	\N	\N	\N
3266	13	1998-01-28	VYDAJ	VYBER	2160	15691	\N	\N	\N
3267	13	1998-01-20	VYDAJ	VYBER	480	17851	\N	\N	\N
3268	13	1998-01-29	VYDAJ	VYBER	1920	13771	\N	\N	\N
3269	13	1998-01-17	VYDAJ	VYBER	800	22151	\N	\N	\N
3275	13	1998-04-08	VYDAJ	VYBER	400	14125	\N	\N	\N
3277	13	1998-07-28	VYDAJ	VYBER	720	12816	\N	\N	\N
3292	13	1998-01-31	VYDAJ	VYBER	15	13840	SLUZBY	\N	\N
3293	13	1998-02-28	VYDAJ	VYBER	15	16551	SLUZBY	\N	\N
3294	13	1998-03-31	VYDAJ	VYBER	15	16969	SLUZBY	\N	\N
3295	13	1998-04-30	VYDAJ	VYBER	15	13478	SLUZBY	\N	\N
3296	13	1998-05-31	VYDAJ	VYBER	15	11076	SLUZBY	\N	\N
3297	13	1998-06-30	VYDAJ	VYBER	15	14377	SLUZBY	\N	\N
3298	13	1998-07-31	VYDAJ	VYBER	15	12861	SLUZBY	\N	\N
3299	13	1998-08-31	VYDAJ	VYBER	15	11457	SLUZBY	\N	\N
3300	13	1998-09-30	VYDAJ	VYBER	15	11550	SLUZBY	\N	\N
3301	13	1998-10-31	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
3302	13	1998-11-30	VYDAJ	VYBER	15	13159	SLUZBY	\N	\N
3303	13	1997-11-15	VYDAJ	VYBER	1100	20309	\N	\N	\N
3304	13	1997-12-15	VYDAJ	VYBER	4300	22857	\N	\N	\N
3305	13	1998-01-14	VYDAJ	VYBER	6800	22951	\N	\N	\N
3306	13	1998-02-13	VYDAJ	VYBER	1700	16499	\N	\N	\N
3307	13	1998-03-15	VYDAJ	VYBER	4000	16910	\N	\N	\N
3308	13	1998-04-14	VYDAJ	VYBER	7500	13428	\N	\N	\N
3309	13	1998-05-14	VYDAJ	VYBER	6800	11037	\N	\N	\N
3310	13	1998-06-13	VYDAJ	VYBER	1100	14335	\N	\N	\N
3311	13	1998-07-13	VYDAJ	VYBER	5200	13536	\N	\N	\N
3312	13	1998-08-12	VYDAJ	VYBER	5800	11420	\N	\N	\N
3313	13	1998-09-11	VYDAJ	VYBER	4300	11516	\N	\N	\N
3314	13	1998-11-10	VYDAJ	VYBER	7200	13115	\N	\N	\N
3315	13	1998-12-10	VYDAJ	VYBER	3300	14218	\N	\N	\N
3330	14	1996-11-27	PRIJEM	VKLAD	400	400	\N	\N	\N
3342	14	1996-12-10	PRIJEM	VKLAD	22137	22537	\N	\N	\N
3343	14	1997-01-10	PRIJEM	VKLAD	14758	39512	\N	\N	\N
3344	14	1997-02-10	PRIJEM	VKLAD	14758	45377	\N	\N	\N
3345	14	1997-03-10	PRIJEM	VKLAD	14758	50866	\N	\N	\N
3346	14	1997-04-10	PRIJEM	VKLAD	14758	51874	\N	\N	\N
3347	14	1997-05-10	PRIJEM	VKLAD	14758	45941	\N	\N	\N
3348	14	1997-06-10	PRIJEM	VKLAD	22137	52703	\N	\N	\N
3349	14	1997-07-10	PRIJEM	VKLAD	14758	47200	\N	\N	\N
3350	14	1997-08-10	PRIJEM	VKLAD	14758	48288	\N	\N	\N
3351	14	1997-09-10	PRIJEM	VKLAD	14758	48078	\N	\N	\N
3352	14	1997-10-10	PRIJEM	VKLAD	14758	50769	\N	\N	\N
3353	14	1997-11-10	PRIJEM	VKLAD	14758	48365	\N	\N	\N
3354	14	1997-12-10	PRIJEM	VKLAD	22137	54029	\N	\N	\N
3355	14	1998-01-10	PRIJEM	VKLAD	14758	50725	\N	\N	\N
3356	14	1998-02-10	PRIJEM	VKLAD	14758	46715	\N	\N	\N
3357	14	1998-03-10	PRIJEM	VKLAD	14758	48396	\N	\N	\N
3358	14	1998-04-10	PRIJEM	VKLAD	14758	48283	\N	\N	\N
3359	14	1998-05-10	PRIJEM	VKLAD	14758	51373	\N	\N	\N
3360	14	1998-06-10	PRIJEM	VKLAD	22137	59453	\N	\N	\N
3361	14	1998-07-10	PRIJEM	VKLAD	14758	41362	\N	\N	\N
3362	14	1998-08-10	PRIJEM	VKLAD	14758	49630	\N	\N	\N
3363	14	1998-09-10	PRIJEM	VKLAD	14758	55332	\N	\N	\N
3364	14	1998-10-10	PRIJEM	VKLAD	14758	55346	\N	\N	\N
3365	14	1998-11-10	PRIJEM	VKLAD	14758	55857	\N	\N	\N
3366	14	1998-12-10	PRIJEM	VKLAD	22137	56835	\N	\N	\N
3383	14	1997-05-06	VYDAJ	PREVOD NA UCET	3629	31183	SIPO	WX	11793136
3384	14	1997-06-06	VYDAJ	PREVOD NA UCET	3629	30566	SIPO	WX	11793136
3385	14	1997-07-06	VYDAJ	PREVOD NA UCET	3629	32442	SIPO	WX	11793136
3386	14	1997-08-06	VYDAJ	PREVOD NA UCET	3629	33530	SIPO	WX	11793136
3387	14	1997-09-06	VYDAJ	PREVOD NA UCET	3629	33320	SIPO	WX	11793136
3388	14	1997-10-06	VYDAJ	PREVOD NA UCET	3629	36011	SIPO	WX	11793136
3389	14	1997-11-06	VYDAJ	PREVOD NA UCET	3629	33607	SIPO	WX	11793136
3390	14	1997-12-06	VYDAJ	PREVOD NA UCET	3629	31892	SIPO	WX	11793136
3391	14	1998-01-06	VYDAJ	PREVOD NA UCET	3629	35967	SIPO	WX	11793136
3392	14	1998-02-06	VYDAJ	PREVOD NA UCET	3629	31957	SIPO	WX	11793136
3393	14	1998-03-06	VYDAJ	PREVOD NA UCET	3629	33638	SIPO	WX	11793136
3394	14	1998-04-06	VYDAJ	PREVOD NA UCET	3629	33525	SIPO	WX	11793136
3395	14	1998-05-06	VYDAJ	PREVOD NA UCET	3629	36615	SIPO	WX	11793136
3396	14	1998-06-06	VYDAJ	PREVOD NA UCET	3629	37316	SIPO	WX	11793136
3397	14	1998-07-06	VYDAJ	PREVOD NA UCET	3629	26604	SIPO	WX	11793136
3398	14	1998-08-06	VYDAJ	PREVOD NA UCET	3629	34872	SIPO	WX	11793136
3399	14	1998-09-06	VYDAJ	PREVOD NA UCET	3629	40574	SIPO	WX	11793136
3400	14	1998-10-06	VYDAJ	PREVOD NA UCET	3629	40588	SIPO	WX	11793136
3401	14	1998-11-06	VYDAJ	PREVOD NA UCET	3629	41099	SIPO	WX	11793136
3402	14	1998-12-06	VYDAJ	PREVOD NA UCET	3629	34698	SIPO	WX	11793136
3405	14	1998-06-27	VYDAJ	VYBER	12160	30053	\N	\N	\N
3407	14	1997-12-11	VYDAJ	VYBER	800	53229	\N	\N	\N
3408	14	1998-12-15	VYDAJ	VYBER KARTOU	1600	55235	\N	\N	0
3414	14	1998-06-25	VYDAJ	VYBER	4440	42213	\N	\N	\N
3415	14	1998-12-19	VYDAJ	VYBER	4800	39135	\N	\N	\N
3416	14	1998-05-29	VYDAJ	VYBER KARTOU	1800	40773	\N	\N	0
3417	14	1998-08-31	VYDAJ	VYBER KARTOU	2800	44203	\N	\N	0
3418	14	1998-11-22	VYDAJ	VYBER KARTOU	1000	38157	\N	\N	0
3435	14	1997-04-30	VYDAJ	VYBER	15	34812	SLUZBY	\N	\N
3436	14	1997-05-31	VYDAJ	VYBER	15	34195	SLUZBY	\N	\N
3437	14	1997-06-30	VYDAJ	VYBER	15	36071	SLUZBY	\N	\N
3438	14	1997-07-31	VYDAJ	VYBER	15	37159	SLUZBY	\N	\N
3439	14	1997-08-31	VYDAJ	VYBER	15	36949	SLUZBY	\N	\N
3440	14	1997-09-30	VYDAJ	VYBER	15	39640	SLUZBY	\N	\N
3441	14	1997-10-31	VYDAJ	VYBER	15	37236	SLUZBY	\N	\N
3442	14	1997-11-30	VYDAJ	VYBER	15	35521	SLUZBY	\N	\N
3443	14	1997-12-31	VYDAJ	VYBER	15	39596	SLUZBY	\N	\N
3444	14	1998-01-31	VYDAJ	VYBER	15	35586	SLUZBY	\N	\N
3445	14	1998-02-28	VYDAJ	VYBER	15	37267	SLUZBY	\N	\N
3446	14	1998-03-31	VYDAJ	VYBER	15	37154	SLUZBY	\N	\N
3447	14	1998-04-30	VYDAJ	VYBER	15	40244	SLUZBY	\N	\N
3448	14	1998-05-31	VYDAJ	VYBER	15	40945	SLUZBY	\N	\N
3449	14	1998-06-30	VYDAJ	VYBER	15	30233	SLUZBY	\N	\N
3450	14	1998-07-31	VYDAJ	VYBER	15	38501	SLUZBY	\N	\N
3451	14	1998-08-31	VYDAJ	VYBER	15	47003	SLUZBY	\N	\N
3452	14	1998-09-30	VYDAJ	VYBER	15	44217	SLUZBY	\N	\N
3453	14	1998-10-31	VYDAJ	VYBER	15	44728	SLUZBY	\N	\N
3454	14	1998-11-30	VYDAJ	VYBER	15	38327	SLUZBY	\N	\N
3455	14	1996-12-27	PRIJEM	VKLAD	2200	24737	\N	\N	\N
3456	14	1997-01-26	VYDAJ	VYBER	9000	30512	\N	\N	\N
3457	14	1997-02-25	VYDAJ	VYBER	9400	35977	\N	\N	\N
3458	14	1997-03-27	VYDAJ	VYBER	13900	36966	\N	\N	\N
3459	14	1997-04-26	VYDAJ	VYBER	17200	34674	\N	\N	\N
3460	14	1997-05-26	VYDAJ	VYBER	11900	34041	\N	\N	\N
3461	14	1997-06-25	VYDAJ	VYBER	16800	35903	\N	\N	\N
3462	14	1997-07-25	VYDAJ	VYBER	10200	37000	\N	\N	\N
3463	14	1997-08-24	VYDAJ	VYBER	11500	36788	\N	\N	\N
3464	14	1997-09-23	VYDAJ	VYBER	8600	39478	\N	\N	\N
3465	14	1997-10-23	VYDAJ	VYBER	13700	37069	\N	\N	\N
3466	14	1997-11-22	VYDAJ	VYBER	13000	35365	\N	\N	\N
3467	14	1997-12-22	VYDAJ	VYBER	13800	39429	\N	\N	\N
3468	14	1998-01-21	VYDAJ	VYBER	15300	35425	\N	\N	\N
3469	14	1998-02-20	VYDAJ	VYBER	9600	37115	\N	\N	\N
3470	14	1998-03-22	VYDAJ	VYBER	11400	36996	\N	\N	\N
3471	14	1998-04-21	VYDAJ	VYBER	8200	40083	\N	\N	\N
3472	14	1998-05-21	VYDAJ	VYBER	8800	42573	\N	\N	\N
3473	14	1998-06-20	VYDAJ	VYBER	12800	46653	\N	\N	\N
3474	14	1998-07-20	VYDAJ	VYBER KARTOU	3000	38362	\N	\N	0
3475	14	1998-08-19	VYDAJ	VYBER KARTOU	2800	46830	\N	\N	0
3476	14	1998-09-18	VYDAJ	VYBER	11300	44032	\N	\N	\N
3477	14	1998-10-18	VYDAJ	VYBER	10800	44546	\N	\N	\N
3478	14	1998-11-17	VYDAJ	VYBER	16700	39157	\N	\N	\N
3479	14	1998-12-17	VYDAJ	VYBER	11300	43935	\N	\N	\N
3505	15	1993-10-02	PRIJEM	VKLAD	800	800	\N	\N	\N
3515	15	1993-10-06	PRIJEM	VKLAD	17065	17865	\N	\N	\N
3516	15	1993-11-06	PRIJEM	VKLAD	17065	39392	\N	\N	\N
3517	15	1993-12-06	PRIJEM	VKLAD	25598	57840	\N	\N	\N
3518	15	1994-01-06	PRIJEM	VKLAD	17065	59131	\N	\N	\N
3519	15	1994-02-06	PRIJEM	VKLAD	17065	60772	\N	\N	\N
3520	15	1994-03-06	PRIJEM	VKLAD	17065	59690	\N	\N	\N
3521	15	1994-04-06	PRIJEM	VKLAD	17065	55455	\N	\N	\N
3522	15	1994-05-06	PRIJEM	VKLAD	17065	57442	\N	\N	\N
3523	15	1994-06-06	PRIJEM	VKLAD	25598	66085	\N	\N	\N
3524	15	1994-07-06	PRIJEM	VKLAD	17065	37736	\N	\N	\N
3525	15	1994-08-06	PRIJEM	VKLAD	17065	47248	\N	\N	\N
3526	15	1994-09-06	PRIJEM	VKLAD	17065	51595	\N	\N	\N
3527	15	1994-10-06	PRIJEM	VKLAD	17065	54069	\N	\N	\N
3528	15	1994-11-06	PRIJEM	VKLAD	17065	52740	\N	\N	\N
3529	15	1994-12-06	PRIJEM	VKLAD	25598	62039	\N	\N	\N
3530	15	1995-01-06	PRIJEM	VKLAD	17065	53987	\N	\N	\N
3532	15	1995-03-06	PRIJEM	VKLAD	17065	50240	\N	\N	\N
3533	15	1995-04-06	PRIJEM	VKLAD	17065	51003	\N	\N	\N
3534	15	1995-05-06	PRIJEM	VKLAD	17065	53069	\N	\N	\N
3535	15	1995-06-06	PRIJEM	VKLAD	25598	55125	\N	\N	\N
3536	15	1995-07-06	PRIJEM	VKLAD	17065	54294	\N	\N	\N
3537	15	1995-08-06	PRIJEM	VKLAD	17065	50888	\N	\N	\N
3538	15	1995-09-06	PRIJEM	VKLAD	17065	53344	\N	\N	\N
3539	15	1995-10-06	PRIJEM	VKLAD	17065	52404	\N	\N	\N
3540	15	1995-11-06	PRIJEM	VKLAD	17065	54962	\N	\N	\N
3541	15	1995-12-06	PRIJEM	VKLAD	25598	66671	\N	\N	\N
3542	15	1996-01-06	PRIJEM	VKLAD	17065	59257	\N	\N	\N
3543	15	1996-02-06	PRIJEM	VKLAD	17065	42726	\N	\N	\N
3544	15	1996-03-06	PRIJEM	VKLAD	17065	47244	\N	\N	\N
3545	15	1996-04-06	PRIJEM	VKLAD	17065	49877	\N	\N	\N
3546	15	1996-05-06	PRIJEM	VKLAD	17065	51524	\N	\N	\N
3547	15	1996-06-06	PRIJEM	VKLAD	25598	62206	\N	\N	\N
3548	15	1996-07-06	PRIJEM	VKLAD	17065	51606	\N	\N	\N
3549	15	1996-08-06	PRIJEM	VKLAD	17065	52555	\N	\N	\N
3550	15	1996-09-06	PRIJEM	VKLAD	17065	50276	\N	\N	\N
3551	15	1996-10-06	PRIJEM	VKLAD	17065	49855	\N	\N	\N
3552	15	1996-11-06	PRIJEM	VKLAD	17065	49855	\N	\N	\N
3553	15	1996-12-06	PRIJEM	VKLAD	25598	50639	\N	\N	\N
3554	15	1997-01-06	PRIJEM	VKLAD	17065	49909	\N	\N	\N
3555	15	1997-02-06	PRIJEM	VKLAD	17065	38178	\N	\N	\N
3556	15	1997-03-06	PRIJEM	VKLAD	17065	49083	\N	\N	\N
3557	15	1997-04-06	PRIJEM	VKLAD	17065	50234	\N	\N	\N
3558	15	1997-05-06	PRIJEM	VKLAD	17065	50586	\N	\N	\N
3559	15	1997-06-06	PRIJEM	VKLAD	25598	57746	\N	\N	\N
3560	15	1997-07-06	PRIJEM	VKLAD	17065	56097	\N	\N	\N
3561	15	1997-08-06	PRIJEM	VKLAD	17065	47314	\N	\N	\N
3562	15	1997-09-06	PRIJEM	VKLAD	17065	49735	\N	\N	\N
3563	15	1997-10-06	PRIJEM	VKLAD	17065	50259	\N	\N	\N
3564	15	1997-11-06	PRIJEM	VKLAD	17065	50142	\N	\N	\N
3565	15	1997-12-06	PRIJEM	VKLAD	25598	58797	\N	\N	\N
3566	15	1998-01-06	PRIJEM	VKLAD	17065	54078	\N	\N	\N
3567	15	1998-02-06	PRIJEM	VKLAD	17065	37604	\N	\N	\N
3568	15	1998-03-06	PRIJEM	VKLAD	17065	41881	\N	\N	\N
3569	15	1998-04-06	PRIJEM	VKLAD	17065	38361	\N	\N	\N
3570	15	1998-05-06	PRIJEM	VKLAD	17065	40034	\N	\N	\N
3571	15	1998-06-06	PRIJEM	VKLAD	25598	50048	\N	\N	\N
3572	15	1998-07-06	PRIJEM	VKLAD	17065	33686	\N	\N	\N
3573	15	1998-08-06	PRIJEM	VKLAD	17065	36843	\N	\N	\N
3574	15	1998-09-06	PRIJEM	VKLAD	17065	38407	\N	\N	\N
3575	15	1998-10-06	PRIJEM	VKLAD	17065	37526	\N	\N	\N
3576	15	1998-11-06	PRIJEM	VKLAD	17065	36242	\N	\N	\N
3577	15	1998-12-06	PRIJEM	VKLAD	25598	52384	\N	\N	\N
3591	15	1994-02-06	VYDAJ	PREVOD NA UCET	3072	57700	SIPO	KL	24265569
3592	15	1994-03-06	VYDAJ	PREVOD NA UCET	3072	56618	SIPO	KL	24265569
3593	15	1994-04-06	VYDAJ	PREVOD NA UCET	3072	52383	SIPO	KL	24265569
3594	15	1994-05-06	VYDAJ	PREVOD NA UCET	3072	54370	SIPO	KL	24265569
3595	15	1994-06-06	VYDAJ	PREVOD NA UCET	3072	63013	SIPO	KL	24265569
3596	15	1994-07-06	VYDAJ	PREVOD NA UCET	3072	34664	SIPO	KL	24265569
3597	15	1994-08-06	VYDAJ	PREVOD NA UCET	3072	44176	SIPO	KL	24265569
3598	15	1994-09-06	VYDAJ	PREVOD NA UCET	3072	48523	SIPO	KL	24265569
3599	15	1994-10-06	VYDAJ	PREVOD NA UCET	3072	50997	SIPO	KL	24265569
3600	15	1994-11-06	VYDAJ	PREVOD NA UCET	3072	49668	SIPO	KL	24265569
3601	15	1994-12-06	VYDAJ	PREVOD NA UCET	3072	58967	SIPO	KL	24265569
3602	15	1995-01-06	VYDAJ	PREVOD NA UCET	3072	50915	SIPO	KL	24265569
3603	15	1995-02-06	VYDAJ	PREVOD NA UCET	3072	45911	SIPO	KL	24265569
3604	15	1995-03-06	VYDAJ	PREVOD NA UCET	3072	47168	SIPO	KL	24265569
3605	15	1995-04-06	VYDAJ	PREVOD NA UCET	3072	47931	SIPO	KL	24265569
3606	15	1995-05-06	VYDAJ	PREVOD NA UCET	3072	49997	SIPO	KL	24265569
3607	15	1995-06-06	VYDAJ	PREVOD NA UCET	3072	52053	SIPO	KL	24265569
3608	15	1995-07-06	VYDAJ	PREVOD NA UCET	3072	51222	SIPO	KL	24265569
3609	15	1995-08-06	VYDAJ	PREVOD NA UCET	3072	47816	SIPO	KL	24265569
3610	15	1995-09-06	VYDAJ	PREVOD NA UCET	3072	50272	SIPO	KL	24265569
3611	15	1995-10-06	VYDAJ	PREVOD NA UCET	3072	49332	SIPO	KL	24265569
3612	15	1995-11-06	VYDAJ	PREVOD NA UCET	3072	51890	SIPO	KL	24265569
3613	15	1995-12-06	VYDAJ	PREVOD NA UCET	3072	63599	SIPO	KL	24265569
3614	15	1996-01-06	VYDAJ	PREVOD NA UCET	3072	56185	SIPO	KL	24265569
3615	15	1996-02-06	VYDAJ	PREVOD NA UCET	3072	39654	SIPO	KL	24265569
3616	15	1996-03-06	VYDAJ	PREVOD NA UCET	3072	44172	SIPO	KL	24265569
3617	15	1996-04-06	VYDAJ	PREVOD NA UCET	3072	46805	SIPO	KL	24265569
3618	15	1996-05-06	VYDAJ	PREVOD NA UCET	3072	48452	SIPO	KL	24265569
3619	15	1996-06-06	VYDAJ	PREVOD NA UCET	3072	59134	SIPO	KL	24265569
3620	15	1996-07-06	VYDAJ	PREVOD NA UCET	3072	48534	SIPO	KL	24265569
3621	15	1996-08-06	VYDAJ	PREVOD NA UCET	3072	49483	SIPO	KL	24265569
3622	15	1996-09-06	VYDAJ	PREVOD NA UCET	3072	47204	SIPO	KL	24265569
3623	15	1996-10-06	VYDAJ	PREVOD NA UCET	3072	46783	SIPO	KL	24265569
3624	15	1996-11-06	VYDAJ	PREVOD NA UCET	3072	46783	SIPO	KL	24265569
3625	15	1996-12-06	VYDAJ	PREVOD NA UCET	3072	47567	SIPO	KL	24265569
3626	15	1997-01-06	VYDAJ	PREVOD NA UCET	3072	46837	SIPO	KL	24265569
3627	15	1997-02-06	VYDAJ	PREVOD NA UCET	3072	35106	SIPO	KL	24265569
3628	15	1997-03-06	VYDAJ	PREVOD NA UCET	3072	46011	SIPO	KL	24265569
3629	15	1997-04-06	VYDAJ	PREVOD NA UCET	3072	47162	SIPO	KL	24265569
3630	15	1997-05-06	VYDAJ	PREVOD NA UCET	3072	47514	SIPO	KL	24265569
3631	15	1997-06-06	VYDAJ	PREVOD NA UCET	3072	54674	SIPO	KL	24265569
3632	15	1997-07-06	VYDAJ	PREVOD NA UCET	3072	53025	SIPO	KL	24265569
3633	15	1997-08-06	VYDAJ	PREVOD NA UCET	3072	44242	SIPO	KL	24265569
3634	15	1997-09-06	VYDAJ	PREVOD NA UCET	3072	46663	SIPO	KL	24265569
3635	15	1997-10-06	VYDAJ	PREVOD NA UCET	3072	47187	SIPO	KL	24265569
3636	15	1997-11-06	VYDAJ	PREVOD NA UCET	3072	47070	SIPO	KL	24265569
3637	15	1997-12-06	VYDAJ	PREVOD NA UCET	3072	55725	SIPO	KL	24265569
3638	15	1998-01-06	VYDAJ	PREVOD NA UCET	3072	47886	SIPO	KL	24265569
3639	15	1998-02-06	VYDAJ	PREVOD NA UCET	3072	34532	SIPO	KL	24265569
3640	15	1998-03-06	VYDAJ	PREVOD NA UCET	3072	38809	SIPO	KL	24265569
3641	15	1998-04-06	VYDAJ	PREVOD NA UCET	3072	35289	SIPO	KL	24265569
3642	15	1998-05-06	VYDAJ	PREVOD NA UCET	3072	36962	SIPO	KL	24265569
3643	15	1998-06-06	VYDAJ	PREVOD NA UCET	3072	46976	SIPO	KL	24265569
3644	15	1998-07-06	VYDAJ	PREVOD NA UCET	3072	30614	SIPO	KL	24265569
3645	15	1998-08-06	VYDAJ	PREVOD NA UCET	3072	33771	SIPO	KL	24265569
3646	15	1998-09-06	VYDAJ	PREVOD NA UCET	3072	20335	SIPO	KL	24265569
3647	15	1998-10-06	VYDAJ	PREVOD NA UCET	3072	34454	SIPO	KL	24265569
3648	15	1998-11-06	VYDAJ	PREVOD NA UCET	3072	33170	SIPO	KL	24265569
3649	15	1998-12-06	VYDAJ	PREVOD NA UCET	3072	49312	SIPO	KL	24265569
3651	15	1994-06-07	VYDAJ	VYBER	46720	16293	\N	\N	\N
3652	15	1995-06-03	VYDAJ	VYBER	6240	29527	\N	\N	\N
3653	15	1996-06-15	VYDAJ	VYBER	7360	51774	\N	\N	\N
3655	15	1998-06-08	VYDAJ	VYBER	26720	16556	\N	\N	\N
3658	15	1995-01-03	VYDAJ	VYBER	3360	38362	\N	\N	\N
3659	15	1996-01-17	VYDAJ	VYBER	13120	39705	\N	\N	\N
3663	15	1994-12-07	VYDAJ	VYBER	3040	55927	\N	\N	\N
3664	15	1995-12-30	VYDAJ	VYBER	2240	42939	\N	\N	\N
3665	15	1996-12-14	VYDAJ	VYBER	3840	43727	\N	\N	\N
3666	15	1997-12-28	VYDAJ	VYBER	1760	36865	\N	\N	\N
3667	15	1998-12-26	VYDAJ	VYBER	2080	47232	\N	\N	\N
3680	15	1995-01-04	VYDAJ	VYBER	1440	36922	\N	\N	\N
3681	15	1995-01-14	VYDAJ	VYBER	2400	45755	\N	\N	\N
3682	15	1995-01-17	VYDAJ	VYBER	1320	44435	\N	\N	\N
3683	15	1995-01-23	VYDAJ	VYBER	2400	41075	\N	\N	\N
3684	15	1995-01-14	VYDAJ	VYBER	2760	48155	\N	\N	\N
3685	15	1995-01-20	VYDAJ	VYBER	960	43475	\N	\N	\N
3686	15	1996-01-11	VYDAJ	VYBER	2760	52825	\N	\N	\N
3687	15	1996-01-27	VYDAJ	VYBER	3480	28025	\N	\N	\N
3688	15	1996-01-05	VYDAJ	VYBER	960	42192	\N	\N	\N
3689	15	1996-01-28	VYDAJ	VYBER	2520	25505	\N	\N	\N
3690	15	1996-01-21	VYDAJ	VYBER	1200	31505	\N	\N	\N
3691	15	1996-01-07	VYDAJ	VYBER	600	55585	\N	\N	\N
3692	15	1997-01-11	VYDAJ	VYBER	1680	45157	\N	\N	\N
3693	15	1997-01-18	VYDAJ	VYBER	1080	26157	\N	\N	\N
3694	15	1997-01-03	VYDAJ	VYBER	720	32844	\N	\N	\N
3695	15	1997-01-19	VYDAJ	VYBER	2280	21717	\N	\N	\N
3696	15	1997-01-18	VYDAJ	VYBER	1560	27237	\N	\N	\N
3697	15	1997-01-19	VYDAJ	VYBER	2160	23997	\N	\N	\N
3698	15	1998-01-22	VYDAJ	VYBER	600	26786	\N	\N	\N
3699	15	1998-01-20	VYDAJ	VYBER	2640	27386	\N	\N	\N
3700	15	1998-01-10	VYDAJ	VYBER	2760	30026	\N	\N	\N
3701	15	1998-01-27	VYDAJ	VYBER	3480	23306	\N	\N	\N
3702	15	1998-01-29	VYDAJ	VYBER	2880	20426	\N	\N	\N
3703	15	1998-01-06	VYDAJ	VYBER	3120	50958	\N	\N	\N
3708	15	1994-03-21	VYDAJ	VYBER	2400	49298	\N	\N	\N
3709	15	1994-03-21	VYDAJ	VYBER	1320	47978	\N	\N	\N
3710	15	1994-03-19	VYDAJ	VYBER	4920	51698	\N	\N	\N
3711	15	1994-10-28	VYDAJ	VYBER	4800	35497	\N	\N	\N
3712	15	1995-01-26	VYDAJ	VYBER	3720	31755	\N	\N	\N
3713	15	1995-12-26	VYDAJ	VYBER	720	45179	\N	\N	\N
3714	15	1995-08-02	VYDAJ	VYBER	3480	33823	\N	\N	\N
3715	15	1995-09-18	VYDAJ	VYBER	5400	44872	\N	\N	\N
3716	15	1996-10-24	VYDAJ	VYBER	4440	32643	\N	\N	\N
3717	15	1996-12-04	VYDAJ	VYBER	5520	25041	\N	\N	\N
3718	15	1996-08-20	VYDAJ	VYBER	1920	33063	\N	\N	\N
3719	15	1996-09-19	VYDAJ	VYBER	2160	32644	\N	\N	\N
3720	15	1996-11-29	VYDAJ	VYBER	2760	30423	\N	\N	\N
3721	15	1997-02-02	VYDAJ	VYBER	720	21113	\N	\N	\N
3722	15	1997-01-11	VYDAJ	VYBER	5400	39757	\N	\N	\N
3723	15	1997-04-27	VYDAJ	VYBER	1080	33382	\N	\N	\N
3724	15	1997-10-09	VYDAJ	VYBER	3240	43947	\N	\N	\N
3725	15	1997-01-17	VYDAJ	VYBER	5160	28797	\N	\N	\N
3726	15	1997-07-24	VYDAJ	VYBER	5520	30105	\N	\N	\N
3727	15	1997-03-19	VYDAJ	VYBER	3480	33031	\N	\N	\N
3728	15	1998-07-07	VYDAJ	VYBER	3600	27014	\N	\N	\N
3729	15	1998-03-15	VYDAJ	VYBER	3600	21809	\N	\N	\N
3730	15	1998-11-18	VYDAJ	VYBER	960	26690	\N	\N	\N
3731	15	1998-11-13	VYDAJ	VYBER	5520	27650	\N	\N	\N
3732	15	1998-03-17	VYDAJ	VYBER	600	21209	\N	\N	\N
3747	15	1994-02-28	VYDAJ	VYBER	15	57925	SLUZBY	\N	\N
3748	15	1994-03-31	VYDAJ	VYBER	15	48190	SLUZBY	\N	\N
3749	15	1994-04-30	VYDAJ	VYBER	15	52577	SLUZBY	\N	\N
3750	15	1994-05-31	VYDAJ	VYBER	15	40487	SLUZBY	\N	\N
3751	15	1994-06-30	VYDAJ	VYBER	15	20671	SLUZBY	\N	\N
3752	15	1994-07-31	VYDAJ	VYBER	15	30183	SLUZBY	\N	\N
3753	15	1994-08-31	VYDAJ	VYBER	15	34530	SLUZBY	\N	\N
3754	15	1994-09-30	VYDAJ	VYBER	15	37004	SLUZBY	\N	\N
3755	15	1994-10-31	VYDAJ	VYBER	15	35675	SLUZBY	\N	\N
3756	15	1994-11-30	VYDAJ	VYBER	15	36441	SLUZBY	\N	\N
3757	15	1994-12-31	VYDAJ	VYBER	15	41722	SLUZBY	\N	\N
3758	15	1995-01-31	VYDAJ	VYBER	15	31918	SLUZBY	\N	\N
3759	15	1995-02-28	VYDAJ	VYBER	15	33175	SLUZBY	\N	\N
3760	15	1995-03-31	VYDAJ	VYBER	15	33938	SLUZBY	\N	\N
3761	15	1995-04-30	VYDAJ	VYBER	15	36004	SLUZBY	\N	\N
3762	15	1995-05-31	VYDAJ	VYBER	15	35767	SLUZBY	\N	\N
3763	15	1995-06-30	VYDAJ	VYBER	15	37229	SLUZBY	\N	\N
3764	15	1995-07-31	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
3765	15	1995-08-31	VYDAJ	VYBER	15	36279	SLUZBY	\N	\N
3766	15	1995-09-30	VYDAJ	VYBER	15	35339	SLUZBY	\N	\N
3767	15	1995-10-31	VYDAJ	VYBER	15	37897	SLUZBY	\N	\N
3768	15	1995-11-30	VYDAJ	VYBER	15	41073	SLUZBY	\N	\N
3769	15	1995-12-31	VYDAJ	VYBER	15	43152	SLUZBY	\N	\N
3770	15	1996-01-31	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
3771	15	1996-02-29	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
3772	15	1996-03-31	VYDAJ	VYBER	15	32812	SLUZBY	\N	\N
3773	15	1996-04-30	VYDAJ	VYBER	15	34459	SLUZBY	\N	\N
3774	15	1996-05-31	VYDAJ	VYBER	15	36608	SLUZBY	\N	\N
3775	15	1996-06-30	VYDAJ	VYBER	15	34541	SLUZBY	\N	\N
3776	15	1996-07-31	VYDAJ	VYBER	15	35490	SLUZBY	\N	\N
3777	15	1996-08-31	VYDAJ	VYBER	15	33211	SLUZBY	\N	\N
3778	15	1996-09-30	VYDAJ	VYBER	15	32790	SLUZBY	\N	\N
3779	15	1996-10-31	VYDAJ	VYBER	15	32790	SLUZBY	\N	\N
3780	15	1996-11-30	VYDAJ	VYBER	15	30561	SLUZBY	\N	\N
3781	15	1996-12-31	VYDAJ	VYBER	15	33564	SLUZBY	\N	\N
3782	15	1997-01-31	VYDAJ	VYBER	15	21833	SLUZBY	\N	\N
3783	15	1997-02-28	VYDAJ	VYBER	15	32018	SLUZBY	\N	\N
3784	15	1997-03-31	VYDAJ	VYBER	15	33169	SLUZBY	\N	\N
3785	15	1997-04-30	VYDAJ	VYBER	15	33521	SLUZBY	\N	\N
3786	15	1997-05-31	VYDAJ	VYBER	15	32148	SLUZBY	\N	\N
3787	15	1997-06-30	VYDAJ	VYBER	15	39032	SLUZBY	\N	\N
3788	15	1997-07-31	VYDAJ	VYBER	15	30249	SLUZBY	\N	\N
3789	15	1997-08-31	VYDAJ	VYBER	15	32670	SLUZBY	\N	\N
3790	15	1997-09-30	VYDAJ	VYBER	15	33194	SLUZBY	\N	\N
3791	15	1997-10-31	VYDAJ	VYBER	15	33077	SLUZBY	\N	\N
3792	15	1997-11-30	VYDAJ	VYBER	15	33199	SLUZBY	\N	\N
3793	15	1997-12-31	VYDAJ	VYBER	15	37013	SLUZBY	\N	\N
3794	15	1998-01-31	VYDAJ	VYBER	15	20539	SLUZBY	\N	\N
3795	15	1998-02-28	VYDAJ	VYBER	15	24816	SLUZBY	\N	\N
3796	15	1998-03-31	VYDAJ	VYBER	15	21296	SLUZBY	\N	\N
3797	15	1998-04-30	VYDAJ	VYBER	15	22969	SLUZBY	\N	\N
3798	15	1998-05-31	VYDAJ	VYBER	15	24450	SLUZBY	\N	\N
3799	15	1998-06-30	VYDAJ	VYBER	15	16621	SLUZBY	\N	\N
3800	15	1998-07-31	VYDAJ	VYBER	15	19778	SLUZBY	\N	\N
3801	15	1998-08-31	VYDAJ	VYBER	15	21342	SLUZBY	\N	\N
3802	15	1998-09-30	VYDAJ	VYBER	15	20461	SLUZBY	\N	\N
3803	15	1998-10-31	VYDAJ	VYBER	15	19177	SLUZBY	\N	\N
3804	15	1998-11-30	VYDAJ	VYBER	15	26786	SLUZBY	\N	\N
3805	15	1993-11-01	PRIJEM	VKLAD	4400	22327	\N	\N	\N
3806	15	1993-12-01	VYDAJ	VYBER	7300	32242	\N	\N	\N
3807	15	1993-12-31	VYDAJ	VYBER	16000	42066	\N	\N	\N
3808	15	1994-01-30	VYDAJ	VYBER	15600	43531	\N	\N	\N
3809	15	1994-03-01	VYDAJ	VYBER	15300	42625	\N	\N	\N
3810	15	1994-03-31	VYDAJ	VYBER	9800	38390	\N	\N	\N
3811	15	1994-04-30	VYDAJ	VYBER	12200	40377	\N	\N	\N
3812	15	1994-05-30	VYDAJ	VYBER	14100	40270	\N	\N	\N
3813	15	1994-06-29	PRIJEM	VKLAD	4300	20593	\N	\N	\N
3814	15	1994-07-29	VYDAJ	VYBER	4600	30064	\N	\N	\N
3815	15	1994-08-28	VYDAJ	VYBER	9800	34376	\N	\N	\N
3816	15	1994-09-27	VYDAJ	VYBER	11700	36823	\N	\N	\N
3817	15	1994-10-27	VYDAJ	VYBER	10700	40297	\N	\N	\N
3818	15	1994-11-26	VYDAJ	VYBER	13400	36268	\N	\N	\N
3819	15	1994-12-26	VYDAJ	VYBER	14400	41527	\N	\N	\N
3820	15	1995-01-25	VYDAJ	VYBER	5600	35475	\N	\N	\N
3821	15	1995-02-24	VYDAJ	VYBER	12900	33011	\N	\N	\N
3822	15	1995-03-26	VYDAJ	VYBER	13400	33768	\N	\N	\N
3823	15	1995-04-25	VYDAJ	VYBER	12100	35831	\N	\N	\N
3824	15	1995-05-25	VYDAJ	VYBER	14400	35597	\N	\N	\N
3825	15	1995-06-24	VYDAJ	VYBER	15000	37053	\N	\N	\N
3826	15	1995-07-24	VYDAJ	VYBER	14100	37122	\N	\N	\N
3827	15	1995-08-23	VYDAJ	VYBER	11700	36116	\N	\N	\N
3828	15	1995-09-22	VYDAJ	VYBER	9700	35172	\N	\N	\N
3829	15	1995-10-22	VYDAJ	VYBER	11600	37732	\N	\N	\N
3830	15	1995-11-21	VYDAJ	VYBER	11000	40890	\N	\N	\N
3831	15	1995-12-21	VYDAJ	VYBER	17700	45899	\N	\N	\N
3832	15	1996-01-20	VYDAJ	VYBER	7000	32705	\N	\N	\N
3833	15	1996-02-19	VYDAJ	VYBER	9600	30054	\N	\N	\N
3834	15	1996-03-20	VYDAJ	VYBER	11500	32672	\N	\N	\N
3835	15	1996-04-19	VYDAJ	VYBER	12500	34305	\N	\N	\N
3836	15	1996-05-19	VYDAJ	VYBER	12000	36452	\N	\N	\N
3837	15	1996-06-18	VYDAJ	VYBER	17400	34374	\N	\N	\N
3838	15	1996-07-18	VYDAJ	VYBER	13200	35334	\N	\N	\N
3839	15	1996-08-17	VYDAJ	VYBER	14500	34983	\N	\N	\N
3840	15	1996-09-16	VYDAJ	VYBER	12400	34804	\N	\N	\N
3841	15	1996-10-16	VYDAJ	VYBER	9700	37083	\N	\N	\N
3842	15	1996-11-15	VYDAJ	VYBER	13600	33183	\N	\N	\N
3843	15	1996-12-15	VYDAJ	VYBER	10300	33427	\N	\N	\N
3844	15	1997-01-14	VYDAJ	VYBER	5800	33957	\N	\N	\N
3845	15	1997-02-13	VYDAJ	VYBER	3200	31906	\N	\N	\N
3846	15	1997-03-15	VYDAJ	VYBER	9500	36511	\N	\N	\N
3847	15	1997-04-14	VYDAJ	VYBER	12700	34462	\N	\N	\N
3848	15	1997-05-14	VYDAJ	VYBER	15500	32014	\N	\N	\N
3849	15	1997-06-13	VYDAJ	VYBER	15800	38874	\N	\N	\N
3850	15	1997-07-13	VYDAJ	VYBER	17400	35625	\N	\N	\N
3851	15	1997-08-12	VYDAJ	VYBER	11700	32542	\N	\N	\N
3852	15	1997-09-11	VYDAJ	VYBER	13600	33063	\N	\N	\N
3853	15	1997-10-11	VYDAJ	VYBER	11000	32947	\N	\N	\N
3854	15	1997-11-10	VYDAJ	VYBER	14000	33070	\N	\N	\N
3855	15	1997-12-10	VYDAJ	VYBER	17100	38625	\N	\N	\N
3856	15	1998-01-09	VYDAJ	VYBER	15100	32786	\N	\N	\N
3857	15	1998-02-08	VYDAJ	VYBER	9800	24732	\N	\N	\N
3858	15	1998-03-10	VYDAJ	VYBER	13400	25409	\N	\N	\N
3859	15	1998-04-09	VYDAJ	VYBER	12400	22889	\N	\N	\N
3860	15	1998-05-09	VYDAJ	VYBER	12600	24362	\N	\N	\N
3861	15	1998-06-08	VYDAJ	VYBER	3700	43276	\N	\N	\N
3862	15	1998-07-08	VYDAJ	VYBER	7300	19714	\N	\N	\N
3863	15	1998-08-07	VYDAJ	VYBER	12500	21271	\N	\N	\N
3864	15	1998-09-06	VYDAJ	VYBER	15000	23407	\N	\N	\N
3865	15	1998-10-06	VYDAJ	VYBER	15400	19054	\N	\N	\N
3929	16	1997-09-23	PRIJEM	VKLAD	500	500	\N	\N	\N
3939	16	1997-10-06	PRIJEM	VKLAD	20841	21341	\N	\N	\N
3940	16	1997-11-06	PRIJEM	VKLAD	20841	43509	\N	\N	\N
3941	16	1997-12-06	PRIJEM	VKLAD	31262	60274	\N	\N	\N
3942	16	1998-01-06	PRIJEM	VKLAD	20841	58847	\N	\N	\N
3943	16	1998-02-06	PRIJEM	VKLAD	20841	58846	\N	\N	\N
3944	16	1998-03-06	PRIJEM	VKLAD	20841	57628	\N	\N	\N
3945	16	1998-04-06	PRIJEM	VKLAD	20841	57107	\N	\N	\N
3946	16	1998-05-06	PRIJEM	VKLAD	20841	48283	\N	\N	\N
3947	16	1998-06-06	PRIJEM	VKLAD	31262	54638	\N	\N	\N
3948	16	1998-07-06	PRIJEM	VKLAD	20841	46032	\N	\N	\N
3949	16	1998-08-06	PRIJEM	VKLAD	20841	40654	\N	\N	\N
3950	16	1998-09-06	PRIJEM	VKLAD	20841	38059	\N	\N	\N
3951	16	1998-10-06	PRIJEM	VKLAD	20841	31557	\N	\N	\N
3952	16	1998-11-06	PRIJEM	VKLAD	20841	28623	\N	\N	\N
3953	16	1998-12-06	PRIJEM	VKLAD	31262	32914	\N	\N	\N
3959	16	1998-12-05	VYDAJ	VYBER	2080	1652	\N	\N	\N
3975	16	1998-05-13	VYDAJ	VYBER	3120	45163	\N	\N	\N
3976	16	1998-09-13	VYDAJ	VYBER	3000	35059	\N	\N	\N
3977	16	1998-06-18	VYDAJ	VYBER	3840	50798	\N	\N	\N
3978	16	1998-04-16	VYDAJ	VYBER	4800	52307	\N	\N	\N
3993	16	1998-02-28	VYDAJ	VYBER	15	36787	SLUZBY	\N	\N
3994	16	1998-03-31	VYDAJ	VYBER	15	36266	SLUZBY	\N	\N
3995	16	1998-04-30	VYDAJ	VYBER	15	27442	SLUZBY	\N	\N
3996	16	1998-05-31	VYDAJ	VYBER	15	23376	SLUZBY	\N	\N
3997	16	1998-06-30	VYDAJ	VYBER	15	25191	SLUZBY	\N	\N
3998	16	1998-07-31	VYDAJ	VYBER	15	19813	SLUZBY	\N	\N
3999	16	1998-08-31	VYDAJ	VYBER	15	17218	SLUZBY	\N	\N
4000	16	1998-09-30	VYDAJ	VYBER	15	10716	SLUZBY	\N	\N
4001	16	1998-10-31	VYDAJ	VYBER	15	7782	SLUZBY	\N	\N
4002	16	1998-11-30	VYDAJ	VYBER	15	3732	SLUZBY	\N	\N
4003	16	1997-10-23	PRIJEM	VKLAD	1300	22641	\N	\N	\N
4004	16	1997-11-22	VYDAJ	VYBER	14600	28909	\N	\N	\N
4005	16	1997-12-22	VYDAJ	VYBER	22400	37874	\N	\N	\N
4006	16	1998-01-21	VYDAJ	VYBER	21000	37847	\N	\N	\N
4007	16	1998-02-20	VYDAJ	VYBER	22200	36646	\N	\N	\N
4008	16	1998-03-22	VYDAJ	VYBER	21500	36128	\N	\N	\N
4009	16	1998-04-21	VYDAJ	VYBER	25000	27307	\N	\N	\N
4010	16	1998-05-21	VYDAJ	VYBER	21900	23263	\N	\N	\N
4011	16	1998-06-20	VYDAJ	VYBER	25700	25098	\N	\N	\N
4012	16	1998-07-20	VYDAJ	VYBER	26300	19732	\N	\N	\N
4013	16	1998-08-19	VYDAJ	VYBER	23500	17154	\N	\N	\N
4014	16	1998-09-18	VYDAJ	VYBER	24400	10659	\N	\N	\N
4015	16	1998-10-18	VYDAJ	VYBER	23800	7757	\N	\N	\N
4016	16	1998-11-17	VYDAJ	VYBER	24900	3723	\N	\N	\N
4032	17	1997-01-08	PRIJEM	VKLAD	700	700	\N	\N	\N
4033	17	1997-08-18	PRIJEM	VKLAD	44068	70368	\N	\N	\N
4034	17	1997-11-20	PRIJEM	VKLAD	42988	74975	\N	\N	\N
4035	17	1998-12-12	PRIJEM	VKLAD	45974	100815	\N	\N	\N
4036	17	1998-11-03	PRIJEM	VKLAD	49483	97469	\N	\N	\N
4037	17	1998-01-06	PRIJEM	VKLAD	7643	46330	\N	\N	\N
4038	17	1998-05-21	PRIJEM	VKLAD	27788	61410	\N	\N	\N
4061	17	1998-11-08	VYDAJ	PREVOD NA UCET	4032	88339	SIPO	EF	15076423
4062	17	1998-12-08	VYDAJ	PREVOD NA UCET	4032	54841	SIPO	EF	15076423
4065	17	1998-12-02	VYBER	VYBER	15409	58873	\N	\N	\N
4070	17	1998-11-03	VYBER	VYBER	5098	92371	\N	\N	\N
4079	17	1998-12-17	VYDAJ	VYBER	3300	97515	\N	\N	\N
4086	17	1998-11-22	VYDAJ	VYBER	1800	86539	\N	\N	\N
4111	17	1998-11-30	VYDAJ	VYBER	15	74282	SLUZBY	\N	\N
4112	17	1997-02-07	PRIJEM	VKLAD	12400	13100	\N	\N	\N
4113	17	1997-03-09	PRIJEM	VKLAD	2500	15600	\N	\N	\N
4114	17	1997-04-08	PRIJEM	VKLAD	300	15900	\N	\N	\N
4115	17	1997-05-08	VYDAJ	VYBER	1100	14800	\N	\N	\N
4116	17	1997-06-07	PRIJEM	VKLAD	2300	17100	\N	\N	\N
4117	17	1997-07-07	PRIJEM	VKLAD	4100	21200	\N	\N	\N
4118	17	1997-08-06	PRIJEM	VKLAD	5100	26300	\N	\N	\N
4119	17	1997-09-05	VYDAJ	VYBER	25500	45000	\N	\N	\N
4120	17	1997-10-05	VYDAJ	VYBER	10100	35194	\N	\N	\N
4121	17	1997-11-04	VYDAJ	VYBER	3500	31987	\N	\N	\N
4122	17	1997-12-04	VYDAJ	VYBER	23000	52275	\N	\N	\N
4123	17	1998-01-03	VYDAJ	VYBER	13900	38687	\N	\N	\N
4124	17	1998-02-02	VYDAJ	VYBER	8000	38543	\N	\N	\N
4125	17	1998-03-04	VYDAJ	VYBER	3800	34936	\N	\N	\N
4126	17	1998-04-03	VYDAJ	VYBER	1800	33329	\N	\N	\N
4127	17	1998-05-03	PRIJEM	VKLAD	100	33622	\N	\N	\N
4128	17	1998-06-02	VYDAJ	VYBER	9600	52025	\N	\N	\N
4129	17	1998-07-02	VYDAJ	VYBER	4100	48181	\N	\N	\N
4130	17	1998-08-01	VYDAJ	VYBER	5500	42937	\N	\N	\N
4131	17	1998-08-31	PRIJEM	VKLAD	4600	47537	\N	\N	\N
4132	17	1998-09-30	VYDAJ	VYBER	1400	46588	\N	\N	\N
4133	17	1998-10-30	PRIJEM	VKLAD	1200	47788	\N	\N	\N
4134	17	1998-11-29	VYDAJ	VYBER	12600	73939	\N	\N	\N
4152	18	1993-05-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
4153	18	1994-11-01	PRIJEM	VKLAD	39962	125491	\N	\N	\N
4154	18	1994-05-03	PRIJEM	VKLAD	10248	78980	\N	\N	\N
4155	18	1994-01-17	PRIJEM	VKLAD	13402	34902	\N	\N	\N
4156	18	1994-10-24	PRIJEM	VKLAD	24534	85216	\N	\N	\N
4157	18	1994-11-09	PRIJEM	VKLAD	36880	136771	\N	\N	\N
4158	18	1994-09-08	PRIJEM	VKLAD	9977	102374	\N	\N	\N
4159	18	1994-09-26	PRIJEM	VKLAD	33153	103690	\N	\N	\N
4160	18	1994-09-27	PRIJEM	VKLAD	42022	155603	\N	\N	\N
4161	18	1994-05-10	PRIJEM	VKLAD	11859	90839	\N	\N	\N
4162	18	1994-08-17	PRIJEM	VKLAD	33035	61726	\N	\N	\N
4163	18	1994-03-25	PRIJEM	VKLAD	44907	74078	\N	\N	\N
4164	18	1994-08-21	PRIJEM	VKLAD	5816	53142	\N	\N	\N
4165	18	1994-08-14	PRIJEM	VKLAD	28115	28691	\N	\N	\N
4166	18	1994-09-20	PRIJEM	VKLAD	18362	74437	\N	\N	\N
4167	18	1994-08-28	PRIJEM	VKLAD	39105	92247	\N	\N	\N
4168	18	1994-09-27	PRIJEM	VKLAD	9891	113581	\N	\N	\N
4169	18	1994-10-04	PRIJEM	VKLAD	31440	84640	\N	\N	\N
4170	18	1994-12-29	PRIJEM	VKLAD	18099	99873	\N	\N	\N
4171	18	1994-03-28	PRIJEM	VKLAD	35017	109095	\N	\N	\N
4172	18	1994-12-25	PRIJEM	VKLAD	47679	81774	\N	\N	\N
4173	18	1994-03-21	PRIJEM	VKLAD	7706	35771	\N	\N	\N
4174	18	1994-06-04	PRIJEM	VKLAD	40088	97848	\N	\N	\N
4175	18	1994-10-05	PRIJEM	VKLAD	13242	97882	\N	\N	\N
4176	18	1994-07-07	PRIJEM	VKLAD	34562	48831	\N	\N	\N
4177	18	1996-06-11	PRIJEM	VKLAD	25379	59135	\N	\N	\N
4178	18	1996-02-07	PRIJEM	VKLAD	28206	50521	\N	\N	\N
4179	18	1996-03-03	PRIJEM	VKLAD	10377	35855	\N	\N	\N
4180	18	1996-07-03	PRIJEM	VKLAD	22941	35621	\N	\N	\N
4181	18	1996-06-06	PRIJEM	VKLAD	5721	23456	\N	\N	\N
4182	18	1996-09-16	PRIJEM	VKLAD	5664	35137	\N	\N	\N
4183	18	1996-01-02	PRIJEM	VKLAD	26914	60491	\N	\N	\N
4184	18	1996-05-09	PRIJEM	VKLAD	31542	60138	\N	\N	\N
4185	18	1997-09-02	PRIJEM	VKLAD	15276	83143	\N	\N	\N
4186	18	1997-09-04	PRIJEM	VKLAD	9983	77226	\N	\N	\N
4187	18	1997-10-30	PRIJEM	VKLAD	39438	136546	\N	\N	\N
4188	18	1997-09-17	PRIJEM	VKLAD	30849	101051	\N	\N	\N
4189	18	1997-08-13	PRIJEM	VKLAD	32927	94874	\N	\N	\N
4190	18	1997-11-13	PRIJEM	VKLAD	23510	101897	\N	\N	\N
4191	18	1997-10-04	PRIJEM	VKLAD	23233	103712	\N	\N	\N
4192	18	1997-11-01	PRIJEM	VKLAD	38505	143687	\N	\N	\N
4193	18	1997-08-15	PRIJEM	VKLAD	43341	127305	\N	\N	\N
4194	18	1997-01-05	PRIJEM	VKLAD	40814	67553	\N	\N	\N
4195	18	1997-11-26	PRIJEM	VKLAD	31179	133076	\N	\N	\N
4196	18	1997-10-29	PRIJEM	VKLAD	39930	142408	\N	\N	\N
4197	18	1997-08-07	PRIJEM	VKLAD	10329	61947	\N	\N	\N
4198	18	1997-04-27	PRIJEM	VKLAD	6194	25185	\N	\N	\N
4199	18	1997-03-11	PRIJEM	VKLAD	11971	38505	\N	\N	\N
4200	18	1997-12-20	PRIJEM	VKLAD	23368	87762	\N	\N	\N
4201	18	1997-02-08	PRIJEM	VKLAD	8093	31881	\N	\N	\N
4202	18	1997-10-09	PRIJEM	VKLAD	47466	151178	\N	\N	\N
4203	18	1997-06-04	PRIJEM	VKLAD	35942	48013	\N	\N	\N
4204	18	1997-07-26	PRIJEM	VKLAD	36830	46273	\N	\N	\N
4205	18	1998-12-18	PRIJEM	VKLAD	42360	143609	\N	\N	\N
4206	18	1998-12-11	PRIJEM	VKLAD	32595	106724	\N	\N	\N
4207	18	1998-07-27	PRIJEM	VKLAD	41449	96625	\N	\N	\N
4208	18	1998-11-18	PRIJEM	VKLAD	24250	76364	\N	\N	\N
4209	18	1998-08-03	PRIJEM	VKLAD	9956	89929	\N	\N	\N
4210	18	1998-05-26	PRIJEM	VKLAD	43352	71560	\N	\N	\N
4211	18	1998-03-20	PRIJEM	VKLAD	24754	87328	\N	\N	\N
4212	18	1998-10-22	PRIJEM	VKLAD	22395	89001	\N	\N	\N
4213	18	1998-11-20	PRIJEM	VKLAD	23894	100258	\N	\N	\N
4225	18	1994-07-15	VYBER	VYBER	10061	38770	\N	\N	\N
4226	18	1994-07-30	VYBER	VYBER	10753	22917	\N	\N	\N
4229	18	1994-09-10	VYBER	VYBER	20399	81975	\N	\N	\N
4230	18	1994-08-12	VYBER	VYBER	22416	576	\N	\N	\N
4232	18	1994-06-05	VYBER	VYBER	18365	79483	\N	\N	\N
4234	18	1995-04-30	VYBER	VYBER	23073	10844	\N	\N	\N
4235	18	1995-06-10	VYBER	VYBER	4335	18796	\N	\N	\N
4236	18	1995-11-11	VYBER	VYBER	10802	18569	\N	\N	\N
4238	18	1996-05-19	VYBER	VYBER	2002	40402	\N	\N	\N
4239	18	1996-09-19	VYBER	VYBER	6936	28201	\N	\N	\N
4240	18	1996-05-01	VYBER	VYBER	10631	28596	\N	\N	\N
4241	18	1996-05-17	VYBER	VYBER	10934	42404	\N	\N	\N
4242	18	1996-03-21	VYBER	VYBER	4665	36890	\N	\N	\N
4243	18	1996-02-12	VYBER	VYBER	16729	30492	\N	\N	\N
4244	18	1996-07-17	VYBER	VYBER	17207	11714	\N	\N	\N
4245	18	1996-01-06	VYBER	VYBER	3124	57367	\N	\N	\N
4248	18	1996-08-09	VYBER	VYBER	6812	20036	\N	\N	\N
4249	18	1996-11-15	VYBER	VYBER	7163	21714	\N	\N	\N
4250	18	1996-10-11	VYBER	VYBER	16053	17820	\N	\N	\N
4251	18	1997-01-08	VYBER	VYBER	23508	34345	\N	\N	\N
4252	18	1997-12-08	VYBER	VYBER	2464	70394	\N	\N	\N
4253	18	1997-08-14	VYBER	VYBER	10910	83964	\N	\N	\N
4254	18	1997-04-08	VYBER	VYBER	16005	18991	\N	\N	\N
4255	18	1997-02-12	VYBER	VYBER	10024	21857	\N	\N	\N
4256	18	1997-05-08	VYBER	VYBER	7182	19238	\N	\N	\N
4257	18	1997-05-02	VYBER	VYBER	15031	10220	\N	\N	\N
4258	18	1997-09-10	VYBER	VYBER	7024	70202	\N	\N	\N
4259	18	1997-01-11	VYBER	VYBER	20589	13756	\N	\N	\N
4260	18	1997-04-07	VYBER	VYBER	4809	34996	\N	\N	\N
4261	18	1997-12-23	VYBER	VYBER	13558	74204	\N	\N	\N
4262	18	1997-03-04	VYBER	VYBER	11668	10234	\N	\N	\N
4263	18	1998-07-24	VYBER	VYBER	9030	55176	\N	\N	\N
4264	18	1998-11-11	VYBER	VYBER	16426	52114	\N	\N	\N
4265	18	1998-03-25	VYBER	VYBER	3200	84128	\N	\N	\N
4266	18	1998-12-16	VYBER	VYBER	5475	101249	\N	\N	\N
4267	18	1998-11-07	VYBER	VYBER	2306	68540	\N	\N	\N
4268	18	1998-05-25	VYBER	VYBER	2476	28208	\N	\N	\N
4269	18	1998-05-15	VYBER	VYBER	20698	30684	\N	\N	\N
4270	18	1998-04-09	VYBER	VYBER	24439	43303	\N	\N	\N
4271	18	1998-04-01	VYBER	VYBER	7338	67742	\N	\N	\N
4273	18	1994-06-11	VYDAJ	VYBER	70200	2083	\N	\N	\N
4275	18	1996-06-13	VYDAJ	VYBER	46500	12635	\N	\N	\N
4276	18	1997-06-08	VYDAJ	VYBER	37500	9713	\N	\N	\N
4277	18	1998-06-29	VYDAJ	VYBER	10500	63953	\N	\N	\N
4280	18	1995-01-25	VYDAJ	VYBER	7200	59244	\N	\N	\N
4281	18	1996-01-25	VYDAJ	VYBER	29400	22167	\N	\N	\N
4282	18	1997-01-15	VYDAJ	VYBER	9300	2356	\N	\N	\N
4283	18	1998-01-01	VYDAJ	VYBER	15300	54584	\N	\N	\N
4285	18	1994-12-08	VYDAJ	VYBER	6900	32395	\N	\N	\N
4286	18	1995-12-14	VYDAJ	VYBER	4200	33473	\N	\N	\N
4287	18	1996-12-08	VYDAJ	VYBER	6900	26665	\N	\N	\N
4288	18	1997-12-12	VYDAJ	VYBER	6000	64394	\N	\N	\N
4289	18	1998-12-02	VYDAJ	VYBER	2100	74129	\N	\N	\N
4296	18	1994-10-23	VYDAJ	VYBER	4200	60682	\N	\N	\N
4298	18	1994-09-23	VYDAJ	VYBER	3900	70537	\N	\N	\N
4299	18	1994-12-01	VYDAJ	VYBER	5100	39295	\N	\N	\N
4300	18	1994-06-05	VYDAJ	VYBER	7200	72283	\N	\N	\N
4301	18	1994-11-20	VYDAJ	VYBER	12600	44071	\N	\N	\N
4302	18	1995-08-04	VYDAJ	VYBER	6600	24557	\N	\N	\N
4303	18	1995-01-27	VYDAJ	VYBER	3600	55644	\N	\N	\N
4304	18	1995-11-07	VYDAJ	VYBER	6900	29371	\N	\N	\N
4305	18	1995-04-07	VYDAJ	VYBER	13800	29161	\N	\N	\N
4306	18	1996-05-19	VYDAJ	VYBER	10500	29902	\N	\N	\N
4307	18	1996-02-25	VYDAJ	VYBER	5100	25392	\N	\N	\N
4308	18	1996-07-11	VYDAJ	VYBER	11400	28921	\N	\N	\N
4309	18	1996-05-26	VYDAJ	VYBER	12300	17602	\N	\N	\N
4310	18	1996-07-23	VYDAJ	VYBER	5100	6614	\N	\N	\N
4311	18	1997-05-11	VYDAJ	VYBER	7200	12038	\N	\N	\N
4312	18	1997-07-20	VYDAJ	VYBER	8100	9443	\N	\N	\N
4313	18	1997-03-15	VYDAJ	VYBER	3600	34905	\N	\N	\N
4314	18	1997-07-12	VYDAJ	VYBER	14100	17543	\N	\N	\N
4316	18	1997-01-11	VYDAJ	VYBER	2100	11656	\N	\N	\N
4317	18	1998-02-07	VYDAJ	VYBER	2700	57757	\N	\N	\N
4318	18	1998-04-12	VYDAJ	VYBER	5700	37603	\N	\N	\N
4336	18	1994-05-31	VYDAJ	VYBER	30	57760	SLUZBY	\N	\N
4337	18	1994-06-30	VYDAJ	VYBER	30	14269	SLUZBY	\N	\N
4338	18	1994-07-31	VYDAJ	VYBER	30	22992	SLUZBY	\N	\N
4339	18	1994-08-31	VYDAJ	VYBER	30	92397	SLUZBY	\N	\N
4340	18	1994-09-30	VYDAJ	VYBER	30	53200	SLUZBY	\N	\N
4341	18	1994-10-31	VYDAJ	VYBER	30	85529	SLUZBY	\N	\N
4342	18	1994-11-30	VYDAJ	VYBER	30	44395	SLUZBY	\N	\N
4343	18	1994-12-31	VYDAJ	VYBER	30	100044	SLUZBY	\N	\N
4344	18	1995-01-31	VYDAJ	VYBER	30	55990	SLUZBY	\N	\N
4345	18	1995-02-28	VYDAJ	VYBER	30	48192	SLUZBY	\N	\N
4346	18	1995-03-31	VYDAJ	VYBER	30	42961	SLUZBY	\N	\N
4347	18	1995-04-30	VYDAJ	VYBER	30	10814	SLUZBY	\N	\N
4348	18	1995-05-31	VYDAJ	VYBER	30	23131	SLUZBY	\N	\N
4349	18	1995-06-30	VYDAJ	VYBER	30	27772	SLUZBY	\N	\N
4350	18	1995-07-31	VYDAJ	VYBER	30	31157	SLUZBY	\N	\N
4351	18	1995-08-31	VYDAJ	VYBER	30	29753	SLUZBY	\N	\N
4352	18	1995-09-30	VYDAJ	VYBER	30	37147	SLUZBY	\N	\N
4353	18	1995-10-31	VYDAJ	VYBER	30	36271	SLUZBY	\N	\N
4354	18	1995-11-30	VYDAJ	VYBER	30	31173	SLUZBY	\N	\N
4355	18	1995-12-31	VYDAJ	VYBER	30	33577	SLUZBY	\N	\N
4356	18	1996-01-31	VYDAJ	VYBER	30	22315	SLUZBY	\N	\N
4357	18	1996-02-29	VYDAJ	VYBER	30	25478	SLUZBY	\N	\N
4358	18	1996-03-31	VYDAJ	VYBER	30	37004	SLUZBY	\N	\N
4359	18	1996-04-30	VYDAJ	VYBER	30	39227	SLUZBY	\N	\N
4360	18	1996-05-31	VYDAJ	VYBER	30	17735	SLUZBY	\N	\N
4361	18	1996-06-30	VYDAJ	VYBER	30	12680	SLUZBY	\N	\N
4362	18	1996-07-31	VYDAJ	VYBER	30	6648	SLUZBY	\N	\N
4363	18	1996-08-31	VYDAJ	VYBER	30	20073	SLUZBY	\N	\N
4364	18	1996-09-30	VYDAJ	VYBER	30	28273	SLUZBY	\N	\N
4365	18	1996-10-31	VYDAJ	VYBER	30	17877	SLUZBY	\N	\N
4366	18	1996-11-30	VYDAJ	VYBER	30	21765	SLUZBY	\N	\N
4367	18	1996-12-31	VYDAJ	VYBER	30	26739	SLUZBY	\N	\N
4368	18	1997-01-31	VYDAJ	VYBER	30	2388	SLUZBY	\N	\N
4369	18	1997-02-28	VYDAJ	VYBER	30	21902	SLUZBY	\N	\N
4370	18	1997-03-31	VYDAJ	VYBER	30	35005	SLUZBY	\N	\N
4371	18	1997-04-30	VYDAJ	VYBER	30	25251	SLUZBY	\N	\N
4372	18	1997-05-31	VYDAJ	VYBER	30	12071	SLUZBY	\N	\N
4373	18	1997-06-30	VYDAJ	VYBER	30	9743	SLUZBY	\N	\N
4374	18	1997-07-31	VYDAJ	VYBER	30	46318	SLUZBY	\N	\N
4375	18	1997-08-31	VYDAJ	VYBER	30	67867	SLUZBY	\N	\N
4376	18	1997-09-30	VYDAJ	VYBER	30	101379	SLUZBY	\N	\N
4377	18	1997-10-31	VYDAJ	VYBER	30	105182	SLUZBY	\N	\N
4378	18	1997-11-30	VYDAJ	VYBER	30	86558	SLUZBY	\N	\N
4379	18	1997-12-31	VYDAJ	VYBER	30	69884	SLUZBY	\N	\N
4380	18	1998-01-31	VYDAJ	VYBER	30	60457	SLUZBY	\N	\N
4381	18	1998-02-28	VYDAJ	VYBER	30	57974	SLUZBY	\N	\N
4382	18	1998-03-31	VYDAJ	VYBER	30	75080	SLUZBY	\N	\N
4383	18	1998-04-30	VYDAJ	VYBER	30	51382	SLUZBY	\N	\N
4384	18	1998-05-31	VYDAJ	VYBER	30	69553	SLUZBY	\N	\N
4385	18	1998-06-30	VYDAJ	VYBER	30	64206	SLUZBY	\N	\N
4386	18	1998-07-31	VYDAJ	VYBER	30	79973	SLUZBY	\N	\N
4387	18	1998-08-31	VYDAJ	VYBER	30	75925	SLUZBY	\N	\N
4388	18	1998-09-30	VYDAJ	VYBER	30	66606	SLUZBY	\N	\N
4389	18	1998-10-31	VYDAJ	VYBER	30	70846	SLUZBY	\N	\N
4390	18	1998-11-30	VYDAJ	VYBER	30	76229	SLUZBY	\N	\N
4391	18	1993-06-25	PRIJEM	VKLAD	13500	14600	\N	\N	\N
4392	18	1993-07-25	PRIJEM	VKLAD	2600	17200	\N	\N	\N
4393	18	1993-08-24	PRIJEM	VKLAD	3500	20700	\N	\N	\N
4394	18	1993-09-23	PRIJEM	VKLAD	2500	23200	\N	\N	\N
4395	18	1993-10-23	PRIJEM	VKLAD	200	23400	\N	\N	\N
4396	18	1993-12-22	VYDAJ	VYBER	1900	21500	\N	\N	\N
4397	18	1994-01-21	VYDAJ	VYBER	6000	28902	\N	\N	\N
4398	18	1994-02-20	VYDAJ	VYBER	1000	27945	\N	\N	\N
4399	18	1994-03-22	VYDAJ	VYBER	6600	29171	\N	\N	\N
4400	18	1994-04-21	VYDAJ	VYBER	41000	68277	\N	\N	\N
4401	18	1994-05-21	VYDAJ	VYBER	33400	57439	\N	\N	\N
4402	18	1994-06-20	PRIJEM	VKLAD	12100	14183	\N	\N	\N
4403	18	1994-07-20	VYDAJ	VYBER	5100	33670	\N	\N	\N
4404	18	1994-08-19	VYDAJ	VYBER	14400	47326	\N	\N	\N
4405	18	1994-09-18	VYDAJ	VYBER	25900	56075	\N	\N	\N
4406	18	1994-09-27	VYDAJ	VYBER	51300	104303	\N	\N	\N
4407	18	1994-09-27	VYDAJ	VYBER	51400	52903	\N	\N	\N
4408	18	1994-10-18	VYDAJ	VYBER	33000	64882	\N	\N	\N
4409	18	1994-11-01	VYDAJ	VYBER	25600	99891	\N	\N	\N
4410	18	1994-11-09	VYDAJ	VYBER	51900	84871	\N	\N	\N
4411	18	1994-11-17	VYDAJ	VYBER	28200	56671	\N	\N	\N
4412	18	1994-12-17	PRIJEM	VKLAD	1700	34095	\N	\N	\N
4413	18	1995-01-16	VYDAJ	VYBER	33600	66444	\N	\N	\N
4414	18	1995-02-15	VYDAJ	VYBER	8000	47990	\N	\N	\N
4415	18	1995-03-17	VYDAJ	VYBER	5400	42792	\N	\N	\N
4416	18	1995-04-16	PRIJEM	VKLAD	4600	33761	\N	\N	\N
4417	18	1995-05-16	PRIJEM	VKLAD	12300	23114	\N	\N	\N
4418	18	1995-06-15	PRIJEM	VKLAD	8900	27696	\N	\N	\N
4419	18	1995-07-15	PRIJEM	VKLAD	3300	31072	\N	\N	\N
4420	18	1995-08-14	PRIJEM	VKLAD	5100	29657	\N	\N	\N
4421	18	1995-09-13	PRIJEM	VKLAD	7300	37053	\N	\N	\N
4422	18	1995-10-13	VYDAJ	VYBER	1000	36147	\N	\N	\N
4423	18	1995-11-12	PRIJEM	VKLAD	12500	31069	\N	\N	\N
4424	18	1995-12-12	PRIJEM	VKLAD	6500	37673	\N	\N	\N
4425	18	1996-01-11	VYDAJ	VYBER	5800	51567	\N	\N	\N
4426	18	1996-02-10	VYDAJ	VYBER	3300	47221	\N	\N	\N
4427	18	1996-03-11	PRIJEM	VKLAD	5700	41555	\N	\N	\N
4428	18	1996-04-10	PRIJEM	VKLAD	2100	39104	\N	\N	\N
4429	18	1996-05-10	VYDAJ	VYBER	6800	53338	\N	\N	\N
4430	18	1996-06-09	PRIJEM	VKLAD	10300	33756	\N	\N	\N
4431	18	1996-07-09	PRIJEM	VKLAD	4700	40321	\N	\N	\N
4432	18	1996-08-08	PRIJEM	VKLAD	20200	26848	\N	\N	\N
4433	18	1996-09-07	PRIJEM	VKLAD	9400	29473	\N	\N	\N
4434	18	1996-10-07	PRIJEM	VKLAD	5600	33873	\N	\N	\N
4435	18	1996-11-06	PRIJEM	VKLAD	11000	28877	\N	\N	\N
4436	18	1996-12-06	PRIJEM	VKLAD	11800	33565	\N	\N	\N
4437	18	1997-01-05	VYDAJ	VYBER	9700	57853	\N	\N	\N
4438	18	1997-02-04	PRIJEM	VKLAD	21400	23788	\N	\N	\N
4439	18	1997-03-06	PRIJEM	VKLAD	16300	26534	\N	\N	\N
4440	18	1997-04-05	PRIJEM	VKLAD	4800	39805	\N	\N	\N
4441	18	1997-05-05	PRIJEM	VKLAD	16200	26420	\N	\N	\N
4442	18	1997-06-04	VYDAJ	VYBER	800	47213	\N	\N	\N
4443	18	1997-07-04	PRIJEM	VKLAD	21900	31643	\N	\N	\N
4444	18	1997-08-03	PRIJEM	VKLAD	5300	51618	\N	\N	\N
4445	18	1997-08-15	VYDAJ	VYBER	59800	67505	\N	\N	\N
4446	18	1997-09-02	VYDAJ	VYBER	15900	67243	\N	\N	\N
4447	18	1997-10-02	VYDAJ	VYBER	20900	80479	\N	\N	\N
4448	18	1997-10-09	VYDAJ	VYBER	48700	102478	\N	\N	\N
4449	18	1997-10-29	VYDAJ	VYBER	45300	97108	\N	\N	\N
4450	18	1997-10-30	VYDAJ	VYBER	31900	104646	\N	\N	\N
4451	18	1997-11-01	VYDAJ	VYBER	40600	103087	\N	\N	\N
4452	18	1997-11-01	VYDAJ	VYBER	24700	78387	\N	\N	\N
4453	18	1997-11-26	VYDAJ	VYBER	46900	86176	\N	\N	\N
4454	18	1997-12-01	VYDAJ	VYBER	13700	72858	\N	\N	\N
4455	18	1997-12-31	VYDAJ	VYBER	4600	69914	\N	\N	\N
4456	18	1998-01-30	PRIJEM	VKLAD	5600	60184	\N	\N	\N
4457	18	1998-03-01	PRIJEM	VKLAD	4600	62574	\N	\N	\N
4458	18	1998-03-31	VYDAJ	VYBER	9300	75110	\N	\N	\N
4459	18	1998-04-30	PRIJEM	VKLAD	13600	51412	\N	\N	\N
4460	18	1998-05-30	VYDAJ	VYBER	2200	69360	\N	\N	\N
4461	18	1998-06-29	PRIJEM	VKLAD	4900	74453	\N	\N	\N
4462	18	1998-07-29	VYDAJ	VYBER	16900	79725	\N	\N	\N
4463	18	1998-08-28	VYDAJ	VYBER	14300	75629	\N	\N	\N
4464	18	1998-09-27	VYDAJ	VYBER	9600	66325	\N	\N	\N
4465	18	1998-10-27	VYDAJ	VYBER	18400	70601	\N	\N	\N
4466	18	1998-11-26	VYDAJ	VYBER	24300	75958	\N	\N	\N
4467	18	1998-12-18	VYDAJ	VYBER	62400	81209	\N	\N	\N
4530	19	1995-04-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
4534	19	1995-04-10	PRIJEM	PREVOD Z UCTU	15139	16139	\N	OP	29053187
4535	19	1995-05-10	PRIJEM	PREVOD Z UCTU	15139	35772	\N	OP	29053187
4536	19	1995-06-10	PRIJEM	PREVOD Z UCTU	22708	55831	\N	OP	29053187
4537	19	1995-07-10	PRIJEM	PREVOD Z UCTU	15139	57684	\N	OP	29053187
4538	19	1995-08-10	PRIJEM	PREVOD Z UCTU	15139	55297	\N	OP	29053187
4539	19	1995-09-10	PRIJEM	PREVOD Z UCTU	15139	34542	\N	OP	29053187
4540	19	1995-10-10	PRIJEM	PREVOD Z UCTU	15139	36262	\N	OP	29053187
4541	19	1995-11-10	PRIJEM	PREVOD Z UCTU	15139	25093	\N	OP	29053187
4542	19	1995-12-10	PRIJEM	PREVOD Z UCTU	22708	29039	\N	OP	29053187
4543	19	1996-01-10	PRIJEM	PREVOD Z UCTU	15139	41024	\N	OP	29053187
4544	19	1996-02-10	PRIJEM	PREVOD Z UCTU	15139	21421	\N	OP	29053187
4545	19	1996-03-10	PRIJEM	PREVOD Z UCTU	15139	35162	\N	OP	29053187
4546	19	1996-04-10	PRIJEM	PREVOD Z UCTU	15139	15854	\N	OP	29053187
4547	19	1996-05-10	PRIJEM	PREVOD Z UCTU	15139	30381	\N	OP	29053187
4548	19	1996-06-10	PRIJEM	PREVOD Z UCTU	22708	39618	\N	OP	29053187
4549	19	1996-07-10	PRIJEM	PREVOD Z UCTU	15139	18934	\N	OP	29053187
4550	19	1996-08-10	PRIJEM	PREVOD Z UCTU	15139	21995	\N	OP	29053187
4551	19	1996-09-10	PRIJEM	PREVOD Z UCTU	15139	26233	\N	OP	29053187
4552	19	1996-10-10	PRIJEM	PREVOD Z UCTU	15139	37319	\N	OP	29053187
4553	19	1996-11-10	PRIJEM	PREVOD Z UCTU	15139	21873	\N	OP	29053187
4554	19	1996-12-10	PRIJEM	PREVOD Z UCTU	22708	42591	\N	OP	29053187
4555	19	1997-01-10	PRIJEM	PREVOD Z UCTU	15139	31659	\N	OP	29053187
4556	19	1997-02-10	PRIJEM	PREVOD Z UCTU	15139	23853	\N	OP	29053187
4557	19	1997-03-10	PRIJEM	PREVOD Z UCTU	15139	23728	\N	OP	29053187
4558	19	1997-04-10	PRIJEM	PREVOD Z UCTU	15139	4754	\N	OP	29053187
4559	19	1997-05-10	PRIJEM	PREVOD Z UCTU	15139	17386	\N	OP	29053187
4560	19	1997-06-10	PRIJEM	PREVOD Z UCTU	22708	12103	\N	OP	29053187
4561	19	1997-07-10	PRIJEM	PREVOD Z UCTU	15139	19983	\N	OP	29053187
4562	19	1997-08-10	PRIJEM	PREVOD Z UCTU	15139	21236	\N	OP	29053187
4563	19	1997-09-10	PRIJEM	PREVOD Z UCTU	15139	6110	\N	OP	29053187
4564	19	1997-10-10	PRIJEM	PREVOD Z UCTU	15139	21272	\N	OP	29053187
4565	19	1997-11-10	PRIJEM	PREVOD Z UCTU	15139	8933	\N	OP	29053187
4566	19	1997-12-10	PRIJEM	PREVOD Z UCTU	22708	29174	\N	OP	29053187
4567	19	1998-01-10	PRIJEM	PREVOD Z UCTU	15139	9321	\N	OP	29053187
4568	19	1998-02-10	PRIJEM	PREVOD Z UCTU	15139	22263	\N	OP	29053187
4569	19	1998-03-10	PRIJEM	PREVOD Z UCTU	15139	22134	\N	OP	29053187
4570	19	1998-04-10	PRIJEM	PREVOD Z UCTU	15139	24312	\N	OP	29053187
4571	19	1998-05-10	PRIJEM	PREVOD Z UCTU	15139	9831	\N	OP	29053187
4572	19	1998-06-10	PRIJEM	PREVOD Z UCTU	22708	29579	\N	OP	29053187
4573	19	1998-07-10	PRIJEM	PREVOD Z UCTU	15139	11579	\N	OP	29053187
4574	19	1998-08-10	PRIJEM	PREVOD Z UCTU	15139	23862	\N	OP	29053187
4575	19	1998-09-10	PRIJEM	PREVOD Z UCTU	15139	11865	\N	OP	29053187
4576	19	1998-10-10	PRIJEM	PREVOD Z UCTU	15139	19931	\N	OP	29053187
4577	19	1998-11-10	PRIJEM	PREVOD Z UCTU	15139	12754	\N	OP	29053187
4578	19	1998-12-10	PRIJEM	PREVOD Z UCTU	22708	30905	\N	OP	29053187
4586	19	1995-08-09	VYDAJ	VYBER	2800	40158	\N	\N	0
4587	19	1995-09-23	VYDAJ	VYBER	2800	16742	\N	\N	0
4588	19	1995-10-10	VYDAJ	VYBER	3000	33262	\N	\N	0
4589	19	1995-11-12	VYDAJ	VYBER	2100	22993	\N	\N	0
4590	19	1995-11-29	VYDAJ	VYBER	2700	20293	\N	\N	0
4591	19	1995-12-31	VYDAJ	VYBER	1600	24885	\N	\N	0
4592	19	1996-02-10	VYDAJ	VYBER	1800	19621	\N	\N	0
4593	19	1996-03-07	VYDAJ	VYBER	2300	20023	\N	\N	0
4594	19	1996-03-24	VYDAJ	VYBER	2000	16162	\N	\N	0
4595	19	1996-05-12	VYDAJ	VYBER	2500	27881	\N	\N	0
4596	19	1996-06-12	VYDAJ	VYBER	2500	37118	\N	\N	0
4597	19	1996-07-12	VYDAJ	VYBER	2500	16434	\N	\N	0
4598	19	1996-08-12	VYDAJ	PREVOD NA UCET	2523	19471	UVER	QR	14132368
4599	19	1996-09-12	VYDAJ	PREVOD NA UCET	2523	23710	UVER	QR	14132368
4600	19	1996-10-12	VYDAJ	PREVOD NA UCET	2523	18896	UVER	QR	14132368
4601	19	1996-11-12	VYDAJ	PREVOD NA UCET	2523	19350	UVER	QR	14132368
4602	19	1996-12-12	VYDAJ	PREVOD NA UCET	2523	37368	UVER	QR	14132368
4603	19	1997-01-12	VYDAJ	PREVOD NA UCET	2523	10736	UVER	QR	14132368
4604	19	1997-02-12	VYDAJ	PREVOD NA UCET	2523	21330	UVER	QR	14132368
4605	19	1997-03-12	VYDAJ	PREVOD NA UCET	2523	21204	UVER	QR	14132368
4606	19	1997-04-12	VYDAJ	VYBER	2500	2254	\N	\N	\N
4607	19	1997-05-22	VYDAJ	VYBER	2300	15086	\N	\N	0
4608	19	1997-06-11	VYDAJ	VYBER	1400	10703	\N	\N	0
4609	19	1997-07-12	VYDAJ	VYBER	2700	6083	\N	\N	0
4610	19	1997-08-16	VYDAJ	VYBER	2200	7236	\N	\N	0
4611	19	1997-08-30	VYDAJ	VYBER	2600	7936	\N	\N	0
4612	19	1997-10-26	VYDAJ	VYBER	2700	7872	\N	\N	0
4613	19	1997-10-29	VYDAJ	VYBER	2700	5172	\N	\N	0
4614	19	1997-12-04	VYDAJ	VYBER	2500	6466	\N	\N	0
4615	19	1998-01-04	VYDAJ	VYBER	3100	-5818	\N	\N	0
4616	19	1998-01-30	VYDAJ	VYBER	2200	7121	\N	\N	0
4617	19	1998-02-28	VYDAJ	VYBER	2700	6995	\N	\N	0
4618	19	1998-04-13	VYDAJ	VYBER	2900	21412	\N	\N	0
4619	19	1998-05-13	VYDAJ	VYBER	3000	6831	\N	\N	0
4620	19	1998-06-13	VYDAJ	VYBER	2400	27179	\N	\N	0
4621	19	1998-07-17	VYDAJ	VYBER	2900	8679	\N	\N	0
4622	19	1998-08-18	VYDAJ	VYBER	2700	21162	\N	\N	0
4623	19	1998-09-06	VYDAJ	VYBER	2400	-3274	\N	\N	0
4624	19	1998-10-06	VYDAJ	VYBER	2700	4792	\N	\N	0
4625	19	1998-11-05	VYDAJ	VYBER	3500	11715	\N	\N	0
4626	19	1998-11-24	VYDAJ	VYBER	1900	8154	\N	\N	0
4635	19	1995-09-13	VYDAJ	VYBER	15000	19542	SIPO	\N	0
4636	19	1995-10-10	VYDAJ	VYBER	13200	20062	SIPO	\N	0
4637	19	1995-11-05	VYDAJ	VYBER	16800	9954	SIPO	\N	0
4638	19	1995-11-29	VYDAJ	VYBER	16700	3593	SIPO	\N	0
4639	19	1996-01-15	VYDAJ	VYBER	16300	17824	SIPO	\N	0
4640	19	1996-01-30	VYDAJ	VYBER	14200	3624	SIPO	\N	0
4641	19	1996-03-16	VYDAJ	VYBER	17000	18162	SIPO	\N	0
4642	19	1996-04-06	VYDAJ	VYBER	18200	715	SIPO	\N	0
4643	19	1996-05-16	VYDAJ	VYBER	11500	16381	SIPO	\N	0
4644	19	1996-06-17	VYDAJ	VYBER	13800	23318	SIPO	\N	0
4645	19	1996-07-09	VYDAJ	VYBER	16800	3795	SIPO	\N	0
4646	19	1996-07-31	VYDAJ	VYBER	15500	6856	SIPO	\N	0
4647	19	1996-09-08	VYDAJ	VYBER	13300	11094	SIPO	\N	0
4648	19	1996-10-11	VYDAJ	VYBER	15900	21419	SIPO	\N	0
4649	19	1996-11-04	VYDAJ	VYBER	13200	6734	SIPO	\N	0
4650	19	1996-12-15	VYDAJ	VYBER	17200	20168	SIPO	\N	0
4651	19	1997-01-10	VYDAJ	VYBER	18400	13259	SIPO	\N	0
4652	19	1997-02-17	VYDAJ	VYBER	12800	8530	SIPO	\N	0
4653	19	1997-03-12	VYDAJ	VYBER	18400	2804	SIPO	\N	0
4654	19	1997-04-03	VYDAJ	VYBER	15000	-10385	SIPO	\N	0
4656	19	1997-06-01	VYDAJ	VYBER	18500	-10605	SIPO	\N	0
4657	19	1997-07-12	VYDAJ	VYBER	11200	8783	SIPO	\N	0
4658	19	1997-08-10	VYDAJ	VYBER	11800	9436	SIPO	\N	0
4659	19	1997-09-01	VYDAJ	VYBER	17000	-9029	SIPO	\N	0
4661	19	1997-11-04	VYDAJ	VYBER	11400	-6206	SIPO	\N	0
4663	19	1998-01-04	VYDAJ	VYBER	13900	-2718	SIPO	\N	0
4667	19	1998-05-05	VYDAJ	VYBER	18100	-5308	SIPO	\N	0
4668	19	1998-06-18	VYDAJ	VYBER	14100	13079	SIPO	\N	0
4669	19	1998-07-04	VYDAJ	VYBER	12300	-3560	SIPO	\N	0
4671	19	1998-09-02	VYDAJ	VYBER	15900	-874	SIPO	\N	0
4673	19	1998-11-07	VYDAJ	VYBER	14100	-2386	SIPO	\N	0
4674	19	1998-12-13	VYDAJ	VYBER	13500	17405	SIPO	\N	0
4685	19	1995-08-23	VYBER	VYBER	11765	43532	\N	\N	\N
4688	19	1995-09-06	VYBER	VYBER	16543	19403	\N	\N	\N
4698	19	1996-06-28	VYBER	VYBER	3886	19432	\N	\N	\N
4713	19	1995-12-19	VYDAJ	VYBER	2700	26339	\N	\N	\N
4714	19	1996-12-11	VYDAJ	VYBER	2700	39891	\N	\N	\N
4715	19	1997-12-14	VYDAJ	VYBER	2100	27074	\N	\N	\N
4723	19	1996-01-12	VYDAJ	VYBER	2100	34124	\N	\N	\N
4725	19	1996-01-10	VYDAJ	VYBER	4800	36224	\N	\N	\N
4729	19	1997-01-08	VYDAJ	VYBER	1500	16520	\N	\N	\N
4770	19	1995-08-31	VYDAJ	VYBER	15	43946	SLUZBY	\N	\N
4771	19	1995-09-30	VYDAJ	VYBER	15	16923	SLUZBY	\N	\N
4772	19	1995-10-31	VYDAJ	VYBER	15	20254	SLUZBY	\N	\N
4773	19	1995-11-30	VYDAJ	VYBER	15	3731	SLUZBY	\N	\N
4774	19	1995-12-31	VYDAJ	VYBER	15	26485	SLUZBY	\N	\N
4775	19	1996-01-31	VYDAJ	VYBER	15	3782	SLUZBY	\N	\N
4776	19	1996-02-29	VYDAJ	VYBER	15	19723	SLUZBY	\N	\N
4777	19	1996-03-31	VYDAJ	VYBER	15	16315	SLUZBY	\N	\N
4778	19	1996-04-30	VYDAJ	VYBER	15	15943	SLUZBY	\N	\N
4779	19	1996-05-31	VYDAJ	VYBER	15	16910	SLUZBY	\N	\N
4780	19	1996-06-30	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
4781	19	1996-07-31	VYDAJ	VYBER	15	22356	SLUZBY	\N	\N
4782	19	1996-08-31	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
4783	19	1996-09-30	VYDAJ	VYBER	15	22180	SLUZBY	\N	\N
4784	19	1996-10-31	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
4785	19	1996-11-30	VYDAJ	VYBER	15	19883	SLUZBY	\N	\N
4786	19	1996-12-31	VYDAJ	VYBER	15	18020	SLUZBY	\N	\N
4787	19	1997-01-31	VYDAJ	VYBER	15	8714	SLUZBY	\N	\N
4788	19	1997-02-28	VYDAJ	VYBER	15	8589	SLUZBY	\N	\N
4789	19	1997-03-31	VYDAJ	VYBER	15	4615	SLUZBY	\N	\N
4790	19	1997-04-30	VYDAJ	VYBER	15	2247	SLUZBY	\N	\N
4791	19	1997-05-31	VYDAJ	VYBER	15	7895	SLUZBY	\N	\N
4792	19	1997-06-30	VYDAJ	VYBER	15	4844	SLUZBY	\N	\N
4793	19	1997-07-31	VYDAJ	VYBER	15	6097	SLUZBY	\N	\N
4794	19	1997-08-31	VYDAJ	VYBER	15	7971	SLUZBY	\N	\N
4795	19	1997-09-30	VYDAJ	VYBER	15	6133	SLUZBY	\N	\N
4796	19	1997-10-31	VYDAJ	VYBER	15	5194	SLUZBY	\N	\N
4797	19	1997-11-30	VYDAJ	VYBER	15	8966	SLUZBY	\N	\N
4798	19	1997-12-31	VYDAJ	VYBER	15	11182	SLUZBY	\N	\N
4799	19	1998-01-31	VYDAJ	VYBER	15	7124	SLUZBY	\N	\N
4800	19	1998-02-28	VYDAJ	VYBER	15	9695	SLUZBY	\N	\N
4801	19	1998-03-31	VYDAJ	VYBER	15	9173	SLUZBY	\N	\N
4802	19	1998-04-30	VYDAJ	VYBER	15	12792	SLUZBY	\N	\N
4803	19	1998-05-31	VYDAJ	VYBER	15	6871	SLUZBY	\N	\N
4804	19	1998-06-30	VYDAJ	VYBER	15	8740	SLUZBY	\N	\N
4805	19	1998-07-31	VYDAJ	VYBER	15	8723	SLUZBY	\N	\N
4806	19	1998-08-31	VYDAJ	VYBER	15	15026	SLUZBY	\N	\N
4807	19	1998-09-30	VYDAJ	VYBER	15	7492	SLUZBY	\N	\N
4808	19	1998-10-31	VYDAJ	VYBER	15	15215	SLUZBY	\N	\N
4809	19	1998-11-30	VYDAJ	VYBER	15	8197	SLUZBY	\N	\N
4810	19	1995-05-07	PRIJEM	VKLAD	4400	20633	\N	\N	\N
4811	19	1995-06-06	VYDAJ	VYBER	2900	33123	\N	\N	\N
4812	19	1995-07-06	VYDAJ	VYBER	13700	42545	\N	\N	\N
4813	19	1995-08-05	VYDAJ	VYBER	15200	42958	\N	\N	\N
4814	19	1995-09-04	VYDAJ	VYBER	8000	35946	\N	\N	\N
4815	19	1995-10-04	PRIJEM	VKLAD	4200	21123	\N	\N	\N
4816	19	1995-11-03	PRIJEM	VKLAD	6500	26754	\N	\N	\N
4817	19	1995-12-03	PRIJEM	VKLAD	2600	6331	\N	\N	\N
4818	19	1996-01-02	PRIJEM	VKLAD	1000	25885	\N	\N	\N
4819	19	1996-02-01	PRIJEM	VKLAD	2500	6282	\N	\N	\N
4820	19	1996-03-02	PRIJEM	VKLAD	2600	22323	\N	\N	\N
4821	19	1996-04-01	PRIJEM	VKLAD	2600	18915	\N	\N	\N
4822	19	1996-05-01	VYDAJ	VYBER	700	15242	\N	\N	\N
4823	19	1996-05-31	PRIJEM	VKLAD	400	16781	\N	\N	\N
4824	19	1996-06-30	PRIJEM	VKLAD	1000	20432	\N	\N	\N
4825	19	1996-07-30	PRIJEM	VKLAD	5800	22234	\N	\N	\N
4826	19	1996-08-29	PRIJEM	VKLAD	4800	24271	\N	\N	\N
4827	19	1996-09-28	VYDAJ	VYBER	1700	22010	\N	\N	\N
4828	19	1996-10-28	PRIJEM	VKLAD	900	19796	\N	\N	\N
4829	19	1996-11-27	PRIJEM	VKLAD	400	19750	\N	\N	\N
4830	19	1996-12-27	VYDAJ	VYBER	2300	17868	\N	\N	\N
4831	19	1997-01-26	VYDAJ	VYBER	2100	8636	\N	\N	\N
4832	19	1997-03-27	PRIJEM	VKLAD	1800	4604	\N	\N	\N
4833	19	1997-05-26	VYDAJ	VYBER	7200	7886	\N	\N	\N
4834	19	1997-06-25	VYDAJ	VYBER	5900	4803	\N	\N	\N
4835	19	1997-08-24	PRIJEM	VKLAD	3300	10536	\N	\N	\N
4836	19	1997-10-23	VYDAJ	VYBER	10700	10572	\N	\N	\N
4837	19	1997-12-22	VYDAJ	VYBER	16000	11074	\N	\N	\N
4838	19	1998-02-20	VYDAJ	VYBER	12600	9663	\N	\N	\N
4839	19	1998-03-22	VYDAJ	VYBER	13000	9134	\N	\N	\N
4840	19	1998-04-21	VYDAJ	VYBER	8700	12712	\N	\N	\N
4841	19	1998-06-20	VYDAJ	VYBER	4400	8679	\N	\N	\N
4842	19	1998-08-19	VYDAJ	VYBER	6200	14962	\N	\N	\N
4843	19	1998-09-18	VYDAJ	VYBER	4400	7465	\N	\N	\N
4844	19	1998-10-18	VYDAJ	VYBER	4800	15131	\N	\N	\N
4845	19	1998-11-17	VYDAJ	VYBER	2700	10054	\N	\N	\N
4846	19	1998-12-17	VYDAJ	VYBER	6600	10805	\N	\N	\N
4892	20	1996-08-24	PRIJEM	VKLAD	500	500	\N	\N	\N
4901	20	1996-09-14	PRIJEM	PREVOD Z UCTU	3005	3505	\N	EF	10051638
4902	20	1996-10-14	PRIJEM	PREVOD Z UCTU	3005	6510	\N	EF	10051638
4903	20	1996-11-14	PRIJEM	PREVOD Z UCTU	3005	9515	\N	EF	10051638
4904	20	1996-12-14	PRIJEM	PREVOD Z UCTU	3005	12520	\N	EF	10051638
4905	20	1997-01-14	PRIJEM	PREVOD Z UCTU	3005	15525	\N	EF	10051638
4906	20	1997-02-14	PRIJEM	PREVOD Z UCTU	3005	15463	\N	EF	10051638
4907	20	1997-03-14	PRIJEM	PREVOD Z UCTU	3005	14904	\N	EF	10051638
4908	20	1997-04-14	PRIJEM	PREVOD Z UCTU	3005	15948	\N	EF	10051638
4909	20	1997-05-14	PRIJEM	PREVOD Z UCTU	3005	16991	\N	EF	10051638
4910	20	1997-06-14	PRIJEM	PREVOD Z UCTU	3005	18040	\N	EF	10051638
4911	20	1997-07-14	PRIJEM	PREVOD Z UCTU	3005	15660	\N	EF	10051638
4912	20	1997-08-14	PRIJEM	PREVOD Z UCTU	3005	16707	\N	EF	10051638
4913	20	1997-09-14	PRIJEM	PREVOD Z UCTU	3005	17754	\N	EF	10051638
4914	20	1997-10-14	PRIJEM	PREVOD Z UCTU	3005	18810	\N	EF	10051638
4915	20	1997-11-14	PRIJEM	PREVOD Z UCTU	3005	19660	\N	EF	10051638
4916	20	1997-12-14	PRIJEM	PREVOD Z UCTU	3005	20124	\N	EF	10051638
4917	20	1998-01-14	PRIJEM	PREVOD Z UCTU	3005	17766	\N	EF	10051638
4918	20	1998-02-14	PRIJEM	PREVOD Z UCTU	3005	18825	\N	EF	10051638
4919	20	1998-03-14	PRIJEM	PREVOD Z UCTU	3005	19133	\N	EF	10051638
4920	20	1998-04-14	PRIJEM	PREVOD Z UCTU	3005	19354	\N	EF	10051638
4921	20	1998-05-14	PRIJEM	PREVOD Z UCTU	3005	20416	\N	EF	10051638
4922	20	1998-06-14	PRIJEM	PREVOD Z UCTU	3005	20458	\N	EF	10051638
4923	20	1998-07-14	PRIJEM	PREVOD Z UCTU	3005	16565	\N	EF	10051638
4924	20	1998-08-14	PRIJEM	PREVOD Z UCTU	3005	17616	\N	EF	10051638
4925	20	1998-09-14	PRIJEM	PREVOD Z UCTU	3005	18671	\N	EF	10051638
4926	20	1998-10-14	PRIJEM	PREVOD Z UCTU	3005	18434	\N	EF	10051638
4927	20	1998-11-14	PRIJEM	PREVOD Z UCTU	3005	18892	\N	EF	10051638
4928	20	1998-12-14	PRIJEM	PREVOD Z UCTU	3005	19623	\N	EF	10051638
4941	20	1997-01-14	VYDAJ	PREVOD NA UCET	2003	12442	SIPO	AB	3399968
4942	20	1997-02-14	VYDAJ	PREVOD NA UCET	2003	13460	SIPO	AB	3399968
4943	20	1997-03-14	VYDAJ	PREVOD NA UCET	2003	12901	SIPO	AB	3399968
4944	20	1997-04-14	VYDAJ	PREVOD NA UCET	2003	13945	SIPO	AB	3399968
4945	20	1997-05-14	VYDAJ	PREVOD NA UCET	2003	14988	SIPO	AB	3399968
4946	20	1997-06-14	VYDAJ	PREVOD NA UCET	2003	16037	SIPO	AB	3399968
4947	20	1997-07-14	VYDAJ	PREVOD NA UCET	2003	13657	SIPO	AB	3399968
4948	20	1997-08-14	VYDAJ	PREVOD NA UCET	2003	14704	SIPO	AB	3399968
4949	20	1997-09-14	VYDAJ	PREVOD NA UCET	2003	15751	SIPO	AB	3399968
4950	20	1997-10-14	VYDAJ	PREVOD NA UCET	2003	16807	SIPO	AB	3399968
4951	20	1997-11-14	VYDAJ	PREVOD NA UCET	2003	17657	SIPO	AB	3399968
4952	20	1997-12-14	VYDAJ	PREVOD NA UCET	2003	18121	SIPO	AB	3399968
4953	20	1998-01-14	VYDAJ	PREVOD NA UCET	2003	15763	SIPO	AB	3399968
4954	20	1998-02-14	VYDAJ	PREVOD NA UCET	2003	16822	SIPO	AB	3399968
4955	20	1998-03-14	VYDAJ	PREVOD NA UCET	2003	17130	SIPO	AB	3399968
4956	20	1998-04-14	VYDAJ	PREVOD NA UCET	2003	17351	SIPO	AB	3399968
4957	20	1998-05-14	VYDAJ	PREVOD NA UCET	2003	18413	SIPO	AB	3399968
4958	20	1998-06-14	VYDAJ	PREVOD NA UCET	2003	18455	SIPO	AB	3399968
4959	20	1998-07-14	VYDAJ	PREVOD NA UCET	2003	14562	SIPO	AB	3399968
4960	20	1998-08-14	VYDAJ	PREVOD NA UCET	2003	15613	SIPO	AB	3399968
4961	20	1998-09-14	VYDAJ	PREVOD NA UCET	2003	16668	SIPO	AB	3399968
4962	20	1998-10-14	VYDAJ	PREVOD NA UCET	2003	16431	SIPO	AB	3399968
4963	20	1998-11-14	VYDAJ	PREVOD NA UCET	2003	16889	SIPO	AB	3399968
4964	20	1998-12-14	VYDAJ	PREVOD NA UCET	2003	17620	SIPO	AB	3399968
4967	20	1998-06-24	VYDAJ	VYBER	4950	13505	\N	\N	\N
4969	20	1997-01-14	VYDAJ	VYBER	1080	14445	\N	\N	\N
4970	20	1998-01-02	VYDAJ	VYBER	1980	16201	\N	\N	\N
4972	20	1997-12-10	VYDAJ	VYBER	600	17119	\N	\N	\N
4973	20	1998-12-01	VYDAJ	VYBER	330	16618	\N	\N	\N
4978	20	1997-11-04	VYDAJ	VYBER	210	16655	\N	\N	\N
4979	20	1997-06-20	VYDAJ	VYBER	810	13327	\N	\N	\N
4982	20	1997-06-28	VYDAJ	VYBER	720	12607	\N	\N	\N
4983	20	1998-02-24	VYDAJ	VYBER	750	16072	\N	\N	\N
4984	20	1998-01-08	VYDAJ	VYBER	1440	14761	\N	\N	\N
4985	20	1998-09-22	VYDAJ	VYBER	1290	15378	\N	\N	\N
4986	20	1998-05-26	VYDAJ	VYBER	1020	17393	\N	\N	\N
4987	20	1998-03-30	VYDAJ	VYBER	840	16290	\N	\N	\N
5001	20	1997-01-31	VYDAJ	VYBER	15	12458	SLUZBY	\N	\N
5002	20	1997-02-28	VYDAJ	VYBER	15	11899	SLUZBY	\N	\N
5003	20	1997-03-31	VYDAJ	VYBER	15	12943	SLUZBY	\N	\N
5004	20	1997-04-30	VYDAJ	VYBER	15	13986	SLUZBY	\N	\N
5005	20	1997-05-31	VYDAJ	VYBER	15	15035	SLUZBY	\N	\N
5006	20	1997-06-30	VYDAJ	VYBER	15	12655	SLUZBY	\N	\N
5007	20	1997-07-31	VYDAJ	VYBER	15	13702	SLUZBY	\N	\N
5008	20	1997-08-31	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
5009	20	1997-09-30	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
5010	20	1997-10-31	VYDAJ	VYBER	15	16865	SLUZBY	\N	\N
5011	20	1997-11-30	VYDAJ	VYBER	15	17719	SLUZBY	\N	\N
5012	20	1997-12-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
5013	20	1998-01-31	VYDAJ	VYBER	15	15820	SLUZBY	\N	\N
5014	20	1998-02-28	VYDAJ	VYBER	15	16128	SLUZBY	\N	\N
5015	20	1998-03-31	VYDAJ	VYBER	15	16349	SLUZBY	\N	\N
5016	20	1998-04-30	VYDAJ	VYBER	15	17411	SLUZBY	\N	\N
5017	20	1998-05-31	VYDAJ	VYBER	15	17453	SLUZBY	\N	\N
5018	20	1998-06-30	VYDAJ	VYBER	15	13560	SLUZBY	\N	\N
5019	20	1998-07-31	VYDAJ	VYBER	15	14611	SLUZBY	\N	\N
5020	20	1998-08-31	VYDAJ	VYBER	15	15666	SLUZBY	\N	\N
5021	20	1998-09-30	VYDAJ	VYBER	15	15429	SLUZBY	\N	\N
5022	20	1998-10-31	VYDAJ	VYBER	15	16487	SLUZBY	\N	\N
5023	20	1998-11-30	VYDAJ	VYBER	15	16948	SLUZBY	\N	\N
5024	20	1997-02-20	VYDAJ	VYBER	1600	11860	\N	\N	\N
5025	20	1997-06-20	VYDAJ	VYBER	1900	14137	\N	\N	\N
5026	20	1998-11-12	VYDAJ	VYBER	600	15887	\N	\N	\N
5051	21	1997-12-06	PRIJEM	VKLAD	1100	1100	\N	\N	\N
5063	21	1997-12-08	PRIJEM	VKLAD	14123	15223	\N	\N	\N
5064	21	1998-01-08	PRIJEM	VKLAD	9415	28687	\N	\N	\N
5065	21	1998-02-08	PRIJEM	VKLAD	9415	33708	\N	\N	\N
5066	21	1998-03-08	PRIJEM	VKLAD	9415	39559	\N	\N	\N
5067	21	1998-04-08	PRIJEM	VKLAD	9415	41933	\N	\N	\N
5068	21	1998-05-08	PRIJEM	VKLAD	9415	44613	\N	\N	\N
5069	21	1998-06-08	PRIJEM	VKLAD	14123	49206	\N	\N	\N
5070	21	1998-07-08	PRIJEM	VKLAD	9415	32123	\N	\N	\N
5071	21	1998-08-08	PRIJEM	VKLAD	9415	35928	\N	\N	\N
5072	21	1998-09-08	PRIJEM	VKLAD	9415	41945	\N	\N	\N
5073	21	1998-10-08	PRIJEM	VKLAD	9415	47612	\N	\N	\N
5074	21	1998-11-08	PRIJEM	VKLAD	9415	56409	\N	\N	\N
5075	21	1998-12-08	PRIJEM	VKLAD	14123	61685	\N	\N	\N
5091	21	1998-04-12	VYDAJ	PREVOD NA UCET	6276	35657	SIPO	YZ	60152441
5092	21	1998-05-12	VYDAJ	PREVOD NA UCET	6276	38337	SIPO	YZ	60152441
5093	21	1998-06-12	VYDAJ	PREVOD NA UCET	6276	14930	SIPO	YZ	60152441
5094	21	1998-07-12	VYDAJ	PREVOD NA UCET	6276	25847	SIPO	YZ	60152441
5095	21	1998-08-12	VYDAJ	PREVOD NA UCET	6276	25932	SIPO	YZ	60152441
5096	21	1998-09-12	VYDAJ	PREVOD NA UCET	6276	35669	SIPO	YZ	60152441
5097	21	1998-10-12	VYDAJ	PREVOD NA UCET	6276	41336	SIPO	YZ	60152441
5098	21	1998-11-12	VYDAJ	PREVOD NA UCET	6276	50133	SIPO	YZ	60152441
5099	21	1998-12-12	VYDAJ	PREVOD NA UCET	6276	53009	SIPO	YZ	60152441
5101	21	1998-06-09	VYDAJ	VYBER	28000	21206	\N	\N	\N
5105	21	1998-12-08	VYDAJ	VYBER	2400	59285	\N	\N	\N
5124	21	1998-08-10	VYDAJ	VYBER	3720	32208	\N	\N	\N
5125	21	1998-12-06	VYDAJ	VYBER	5760	47562	\N	\N	\N
5126	21	1998-10-02	VYDAJ	VYBER	1800	38197	\N	\N	\N
5130	21	1998-08-05	VYDAJ	VYBER	4920	26513	\N	\N	\N
5147	21	1998-04-30	VYDAJ	VYBER	15	35798	SLUZBY	\N	\N
5148	21	1998-05-31	VYDAJ	VYBER	15	38483	SLUZBY	\N	\N
5149	21	1998-06-30	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
5150	21	1998-07-31	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
5151	21	1998-08-31	VYDAJ	VYBER	15	26030	SLUZBY	\N	\N
5152	21	1998-09-30	VYDAJ	VYBER	15	35797	SLUZBY	\N	\N
5153	21	1998-10-31	VYDAJ	VYBER	15	41494	SLUZBY	\N	\N
5154	21	1998-11-30	VYDAJ	VYBER	15	50322	SLUZBY	\N	\N
5155	21	1998-01-05	PRIJEM	VKLAD	4000	19272	\N	\N	\N
5156	21	1998-02-04	VYDAJ	VYBER	4500	24293	\N	\N	\N
5157	21	1998-03-06	VYDAJ	VYBER	3700	30144	\N	\N	\N
5158	21	1998-04-05	VYDAJ	VYBER	7200	32518	\N	\N	\N
5159	21	1998-05-05	VYDAJ	VYBER	600	35198	\N	\N	\N
5160	21	1998-06-04	VYDAJ	VYBER	3400	35083	\N	\N	\N
5161	21	1998-07-04	PRIJEM	VKLAD	7700	22708	\N	\N	\N
5162	21	1998-08-03	PRIJEM	VKLAD	5500	31433	\N	\N	\N
5163	21	1998-09-02	PRIJEM	VKLAD	6500	32530	\N	\N	\N
5164	21	1998-10-02	PRIJEM	VKLAD	4200	39997	\N	\N	\N
5165	21	1998-11-01	PRIJEM	VKLAD	5500	46994	\N	\N	\N
5166	21	1998-12-01	PRIJEM	VKLAD	3000	53322	\N	\N	\N
5180	22	1994-03-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
5184	22	1994-04-12	PRIJEM	VKLAD	16873	17973	\N	\N	\N
5185	22	1994-05-12	PRIJEM	VKLAD	16873	38373	\N	\N	\N
5186	22	1994-06-12	PRIJEM	VKLAD	25310	58087	\N	\N	\N
5187	22	1994-07-12	PRIJEM	VKLAD	16873	59210	\N	\N	\N
5188	22	1994-08-12	PRIJEM	VKLAD	16873	56154	\N	\N	\N
5189	22	1994-09-12	PRIJEM	VKLAD	16873	51726	\N	\N	\N
5190	22	1994-10-12	PRIJEM	VKLAD	16873	46710	\N	\N	\N
5191	22	1994-11-12	PRIJEM	VKLAD	16873	44073	\N	\N	\N
5192	22	1994-12-12	PRIJEM	VKLAD	25310	49462	\N	\N	\N
5193	22	1995-01-12	PRIJEM	VKLAD	16873	46021	\N	\N	\N
5194	22	1995-02-12	PRIJEM	VKLAD	16873	40975	\N	\N	\N
5195	22	1995-03-12	PRIJEM	VKLAD	16873	38812	\N	\N	\N
5196	22	1995-04-12	PRIJEM	VKLAD	16873	42751	\N	\N	\N
5197	22	1995-05-12	PRIJEM	VKLAD	16873	41296	\N	\N	\N
5198	22	1995-06-12	PRIJEM	VKLAD	25310	51177	\N	\N	\N
5199	22	1995-07-12	PRIJEM	VKLAD	16873	50645	\N	\N	\N
5200	22	1995-08-12	PRIJEM	VKLAD	16873	49922	\N	\N	\N
5201	22	1995-09-12	PRIJEM	VKLAD	16873	47894	\N	\N	\N
5202	22	1995-10-12	PRIJEM	VKLAD	16873	46856	\N	\N	\N
5203	22	1995-11-12	PRIJEM	VKLAD	16873	40710	\N	\N	\N
5204	22	1995-12-12	PRIJEM	VKLAD	25310	50892	\N	\N	\N
5205	22	1996-01-12	PRIJEM	VKLAD	16873	50153	\N	\N	\N
5206	22	1996-02-12	PRIJEM	VKLAD	16873	41910	\N	\N	\N
5207	22	1996-03-12	PRIJEM	VKLAD	16873	52571	\N	\N	\N
5208	22	1996-04-12	PRIJEM	VKLAD	16873	50778	\N	\N	\N
5209	22	1996-05-12	PRIJEM	VKLAD	16873	49177	\N	\N	\N
5210	22	1996-06-12	PRIJEM	VKLAD	25310	58113	\N	\N	\N
5211	22	1996-07-12	PRIJEM	VKLAD	16873	44673	\N	\N	\N
5212	22	1996-08-12	PRIJEM	VKLAD	16873	49841	\N	\N	\N
5213	22	1996-09-12	PRIJEM	VKLAD	16873	52944	\N	\N	\N
5214	22	1996-10-12	PRIJEM	VKLAD	16873	56062	\N	\N	\N
5215	22	1996-11-12	PRIJEM	VKLAD	16873	54593	\N	\N	\N
5216	22	1996-12-12	PRIJEM	VKLAD	25310	68160	\N	\N	\N
5217	22	1997-01-12	PRIJEM	VKLAD	16873	61522	\N	\N	\N
5218	22	1997-02-12	PRIJEM	VKLAD	16873	61276	\N	\N	\N
5219	22	1997-03-12	PRIJEM	VKLAD	16873	60926	\N	\N	\N
5220	22	1997-04-12	PRIJEM	VKLAD	16873	64281	\N	\N	\N
5221	22	1997-05-12	PRIJEM	VKLAD	16873	64845	\N	\N	\N
5222	22	1997-06-12	PRIJEM	VKLAD	25310	64752	\N	\N	\N
5223	22	1997-07-12	PRIJEM	VKLAD	16873	56506	\N	\N	\N
5224	22	1997-08-12	PRIJEM	VKLAD	16873	55346	\N	\N	\N
5225	22	1997-09-12	PRIJEM	VKLAD	16873	55477	\N	\N	\N
5226	22	1997-10-12	PRIJEM	VKLAD	16873	55402	\N	\N	\N
5227	22	1997-11-12	PRIJEM	VKLAD	16873	53824	\N	\N	\N
5228	22	1997-12-12	PRIJEM	VKLAD	25310	60282	\N	\N	\N
5229	22	1998-01-12	PRIJEM	VKLAD	16873	48121	\N	\N	\N
5230	22	1998-02-12	PRIJEM	VKLAD	16873	50011	\N	\N	\N
5231	22	1998-03-12	PRIJEM	VKLAD	16873	47503	\N	\N	\N
5232	22	1998-04-12	PRIJEM	VKLAD	16873	45597	\N	\N	\N
5233	22	1998-05-12	PRIJEM	VKLAD	16873	44188	\N	\N	\N
5234	22	1998-06-12	PRIJEM	VKLAD	25310	45108	\N	\N	\N
5235	22	1998-07-12	PRIJEM	VKLAD	16873	39756	\N	\N	\N
5236	22	1998-08-12	PRIJEM	VKLAD	16873	36521	\N	\N	\N
5237	22	1998-09-12	PRIJEM	VKLAD	16873	32454	\N	\N	\N
5238	22	1998-10-12	PRIJEM	VKLAD	16873	29770	\N	\N	\N
5239	22	1998-11-12	PRIJEM	VKLAD	16873	30376	\N	\N	\N
5240	22	1998-12-12	PRIJEM	VKLAD	25310	37119	\N	\N	\N
5249	22	1994-09-10	VYDAJ	PREVOD NA UCET	6352	34853	SIPO	ST	34691494
5250	22	1994-10-10	VYDAJ	PREVOD NA UCET	6352	29837	SIPO	ST	34691494
5251	22	1994-11-10	VYDAJ	PREVOD NA UCET	6352	27200	SIPO	ST	34691494
5252	22	1994-12-10	VYDAJ	PREVOD NA UCET	6352	24152	SIPO	ST	34691494
5253	22	1995-01-10	VYDAJ	PREVOD NA UCET	6352	29148	SIPO	ST	34691494
5254	22	1995-02-10	VYDAJ	PREVOD NA UCET	6352	24102	SIPO	ST	34691494
5255	22	1995-03-10	VYDAJ	PREVOD NA UCET	6352	21939	SIPO	ST	34691494
5256	22	1995-04-10	VYDAJ	PREVOD NA UCET	6352	25878	SIPO	ST	34691494
5257	22	1995-05-10	VYDAJ	PREVOD NA UCET	6352	24423	SIPO	ST	34691494
5258	22	1995-06-10	VYDAJ	PREVOD NA UCET	6352	25867	SIPO	ST	34691494
5259	22	1995-07-10	VYDAJ	PREVOD NA UCET	6352	33772	SIPO	ST	34691494
5260	22	1995-08-10	VYDAJ	PREVOD NA UCET	6352	33049	SIPO	ST	34691494
5261	22	1995-09-10	VYDAJ	PREVOD NA UCET	6352	31021	SIPO	ST	34691494
5262	22	1995-10-10	VYDAJ	PREVOD NA UCET	6352	29983	SIPO	ST	34691494
5263	22	1995-11-10	VYDAJ	PREVOD NA UCET	6352	23837	SIPO	ST	34691494
5264	22	1995-12-10	VYDAJ	PREVOD NA UCET	6352	25582	SIPO	ST	34691494
5265	22	1996-01-10	VYDAJ	PREVOD NA UCET	6352	33280	SIPO	ST	34691494
5266	22	1996-02-10	VYDAJ	PREVOD NA UCET	6352	23037	SIPO	ST	34691494
5267	22	1996-03-10	VYDAJ	PREVOD NA UCET	6352	35698	SIPO	ST	34691494
5268	22	1996-04-10	VYDAJ	PREVOD NA UCET	6352	35605	SIPO	ST	34691494
5269	22	1996-05-10	VYDAJ	PREVOD NA UCET	6352	39804	SIPO	ST	34691494
5270	22	1996-06-10	VYDAJ	PREVOD NA UCET	6352	33203	SIPO	ST	34691494
5271	22	1996-07-10	VYDAJ	PREVOD NA UCET	6352	27800	SIPO	ST	34691494
5272	22	1996-08-10	VYDAJ	PREVOD NA UCET	6352	32968	SIPO	ST	34691494
5273	22	1996-09-10	VYDAJ	PREVOD NA UCET	6352	36071	SIPO	ST	34691494
5274	22	1996-10-10	VYDAJ	PREVOD NA UCET	6352	39189	SIPO	ST	34691494
5275	22	1996-11-10	VYDAJ	PREVOD NA UCET	6352	37720	SIPO	ST	34691494
5276	22	1996-12-10	VYDAJ	PREVOD NA UCET	6352	42850	SIPO	ST	34691494
5277	22	1997-01-10	VYDAJ	PREVOD NA UCET	6352	46249	SIPO	ST	34691494
5278	22	1997-02-10	VYDAJ	PREVOD NA UCET	6352	44403	SIPO	ST	34691494
5279	22	1997-03-10	VYDAJ	PREVOD NA UCET	6352	44053	SIPO	ST	34691494
5280	22	1997-04-10	VYDAJ	PREVOD NA UCET	6352	47408	SIPO	ST	34691494
5281	22	1997-05-10	VYDAJ	PREVOD NA UCET	6352	47972	SIPO	ST	34691494
5282	22	1997-06-10	VYDAJ	PREVOD NA UCET	6352	39442	SIPO	ST	34691494
5283	22	1997-07-10	VYDAJ	PREVOD NA UCET	6352	39633	SIPO	ST	34691494
5284	22	1997-08-10	VYDAJ	PREVOD NA UCET	6352	38473	SIPO	ST	34691494
5285	22	1997-09-10	VYDAJ	PREVOD NA UCET	6352	38604	SIPO	ST	34691494
5286	22	1997-10-10	VYDAJ	PREVOD NA UCET	6352	38529	SIPO	ST	34691494
5287	22	1997-11-10	VYDAJ	PREVOD NA UCET	6352	36951	SIPO	ST	34691494
5288	22	1997-12-10	VYDAJ	PREVOD NA UCET	6352	34972	SIPO	ST	34691494
5289	22	1998-01-10	VYDAJ	PREVOD NA UCET	6352	31248	SIPO	ST	34691494
5290	22	1998-02-10	VYDAJ	PREVOD NA UCET	6352	33138	SIPO	ST	34691494
5291	22	1998-03-10	VYDAJ	PREVOD NA UCET	6352	30630	SIPO	ST	34691494
5292	22	1998-04-10	VYDAJ	PREVOD NA UCET	6352	28724	SIPO	ST	34691494
5293	22	1998-05-10	VYDAJ	PREVOD NA UCET	6352	27315	SIPO	ST	34691494
5294	22	1998-06-10	VYDAJ	PREVOD NA UCET	6352	19798	SIPO	ST	34691494
5295	22	1998-07-10	VYDAJ	PREVOD NA UCET	6352	22883	SIPO	ST	34691494
5296	22	1998-08-10	VYDAJ	PREVOD NA UCET	6352	19648	SIPO	ST	34691494
5297	22	1998-09-10	VYDAJ	PREVOD NA UCET	6352	15581	SIPO	ST	34691494
5298	22	1998-10-10	VYDAJ	PREVOD NA UCET	6352	12897	SIPO	ST	34691494
5299	22	1998-11-10	VYDAJ	PREVOD NA UCET	6352	13503	SIPO	ST	34691494
5300	22	1998-12-10	VYDAJ	PREVOD NA UCET	6352	11809	SIPO	ST	34691494
5303	22	1996-06-15	VYDAJ	VYBER	27600	30513	\N	\N	\N
5304	22	1997-06-05	VYDAJ	VYBER	9600	45794	\N	\N	\N
5305	22	1998-06-13	VYDAJ	VYBER	5700	39408	\N	\N	\N
5307	22	1995-01-20	VYDAJ	VYBER	2500	35021	\N	\N	\N
5308	22	1996-01-27	VYDAJ	VYBER	7200	29253	\N	\N	\N
5309	22	1997-01-10	VYDAJ	VYBER	1600	44649	\N	\N	\N
5310	22	1998-01-04	VYDAJ	VYBER	6900	37600	\N	\N	\N
5311	22	1994-12-03	VYDAJ	VYBER	2500	30504	\N	\N	\N
5312	22	1995-12-01	VYDAJ	VYBER	1500	31934	\N	\N	\N
5313	22	1996-12-13	VYDAJ	VYBER	1800	66360	\N	\N	\N
5314	22	1997-12-29	VYDAJ	VYBER	2800	57482	\N	\N	\N
5315	22	1998-12-25	VYDAJ	VYBER	1500	35619	\N	\N	\N
5317	22	1994-10-03	VYDAJ	VYBER	2100	36189	\N	\N	\N
5320	22	1994-11-15	VYDAJ	VYBER	3800	40273	\N	\N	\N
5322	22	1995-01-21	VYDAJ	VYBER	4700	30321	\N	\N	\N
5323	22	1995-09-09	VYDAJ	VYBER	1200	37373	\N	\N	\N
5324	22	1995-11-06	VYDAJ	VYBER	4000	30189	\N	\N	\N
5325	22	1995-02-19	VYDAJ	VYBER	2200	28175	\N	\N	\N
5326	22	1996-05-23	VYDAJ	VYBER	4400	44777	\N	\N	\N
5327	22	1996-05-27	VYDAJ	VYBER	800	43977	\N	\N	\N
5328	22	1996-04-25	VYDAJ	VYBER	4800	45978	\N	\N	\N
5329	22	1996-06-22	VYDAJ	VYBER	1400	29113	\N	\N	\N
5330	22	1996-06-08	VYDAJ	VYBER	4600	39555	\N	\N	\N
5331	22	1997-06-29	VYDAJ	VYBER	3000	61752	\N	\N	\N
5332	22	1997-01-21	VYDAJ	VYBER	2300	56922	\N	\N	\N
5333	22	1997-07-09	VYDAJ	VYBER	4400	45985	\N	\N	\N
5334	22	1997-09-12	VYDAJ	VYBER	1000	54477	\N	\N	\N
5335	22	1997-01-14	VYDAJ	VYBER	2300	59222	\N	\N	\N
5336	22	1997-08-12	VYDAJ	VYBER	4400	50946	\N	\N	\N
5337	22	1997-10-19	VYDAJ	VYBER	4500	50902	\N	\N	\N
5338	22	1998-02-18	VYDAJ	VYBER	1500	45211	\N	\N	\N
5339	22	1998-01-23	VYDAJ	VYBER	4300	43821	\N	\N	\N
5340	22	1998-06-03	VYDAJ	VYBER	1800	26150	\N	\N	\N
5341	22	1998-02-12	VYDAJ	VYBER	3300	46711	\N	\N	\N
5350	22	1994-08-31	VYDAJ	VYBER	15	41205	SLUZBY	\N	\N
5351	22	1994-09-30	VYDAJ	VYBER	15	38289	SLUZBY	\N	\N
5352	22	1994-10-31	VYDAJ	VYBER	15	33552	SLUZBY	\N	\N
5353	22	1994-11-30	VYDAJ	VYBER	15	33004	SLUZBY	\N	\N
5354	22	1994-12-31	VYDAJ	VYBER	15	35500	SLUZBY	\N	\N
5355	22	1995-01-31	VYDAJ	VYBER	15	30454	SLUZBY	\N	\N
5356	22	1995-02-28	VYDAJ	VYBER	15	28291	SLUZBY	\N	\N
5357	22	1995-03-31	VYDAJ	VYBER	15	32230	SLUZBY	\N	\N
5358	22	1995-04-30	VYDAJ	VYBER	15	30775	SLUZBY	\N	\N
5359	22	1995-05-31	VYDAJ	VYBER	15	32219	SLUZBY	\N	\N
5360	22	1995-06-30	VYDAJ	VYBER	15	40124	SLUZBY	\N	\N
5361	22	1995-07-31	VYDAJ	VYBER	15	39401	SLUZBY	\N	\N
5362	22	1995-08-31	VYDAJ	VYBER	15	38573	SLUZBY	\N	\N
5363	22	1995-09-30	VYDAJ	VYBER	15	36335	SLUZBY	\N	\N
5364	22	1995-10-31	VYDAJ	VYBER	15	34189	SLUZBY	\N	\N
5365	22	1995-11-30	VYDAJ	VYBER	15	33434	SLUZBY	\N	\N
5366	22	1995-12-31	VYDAJ	VYBER	15	39632	SLUZBY	\N	\N
5367	22	1996-01-31	VYDAJ	VYBER	15	29389	SLUZBY	\N	\N
5368	22	1996-02-29	VYDAJ	VYBER	15	42050	SLUZBY	\N	\N
5369	22	1996-03-31	VYDAJ	VYBER	15	41957	SLUZBY	\N	\N
5370	22	1996-04-30	VYDAJ	VYBER	15	46156	SLUZBY	\N	\N
5371	22	1996-05-31	VYDAJ	VYBER	15	44155	SLUZBY	\N	\N
5372	22	1996-06-30	VYDAJ	VYBER	15	29252	SLUZBY	\N	\N
5373	22	1996-07-31	VYDAJ	VYBER	15	44820	SLUZBY	\N	\N
5374	22	1996-08-31	VYDAJ	VYBER	15	50023	SLUZBY	\N	\N
5375	22	1996-09-30	VYDAJ	VYBER	15	53141	SLUZBY	\N	\N
5376	22	1996-10-31	VYDAJ	VYBER	15	56272	SLUZBY	\N	\N
5377	22	1996-11-30	VYDAJ	VYBER	15	54802	SLUZBY	\N	\N
5378	22	1996-12-31	VYDAJ	VYBER	15	66601	SLUZBY	\N	\N
5379	22	1997-01-31	VYDAJ	VYBER	15	57155	SLUZBY	\N	\N
5380	22	1997-02-28	VYDAJ	VYBER	15	61505	SLUZBY	\N	\N
5381	22	1997-03-31	VYDAJ	VYBER	15	61160	SLUZBY	\N	\N
5382	22	1997-04-30	VYDAJ	VYBER	15	64524	SLUZBY	\N	\N
5383	22	1997-05-31	VYDAJ	VYBER	15	65094	SLUZBY	\N	\N
5384	22	1997-06-30	VYDAJ	VYBER	15	61985	SLUZBY	\N	\N
5385	22	1997-07-31	VYDAJ	VYBER	15	56725	SLUZBY	\N	\N
5386	22	1997-08-31	VYDAJ	VYBER	15	51156	SLUZBY	\N	\N
5387	22	1997-09-30	VYDAJ	VYBER	15	54681	SLUZBY	\N	\N
5388	22	1997-10-31	VYDAJ	VYBER	15	51103	SLUZBY	\N	\N
5389	22	1997-11-30	VYDAJ	VYBER	15	54024	SLUZBY	\N	\N
5390	22	1997-12-31	VYDAJ	VYBER	15	57700	SLUZBY	\N	\N
5391	22	1998-01-31	VYDAJ	VYBER	15	43990	SLUZBY	\N	\N
5392	22	1998-02-28	VYDAJ	VYBER	15	45382	SLUZBY	\N	\N
5393	22	1998-03-31	VYDAJ	VYBER	15	47676	SLUZBY	\N	\N
5394	22	1998-04-30	VYDAJ	VYBER	15	45767	SLUZBY	\N	\N
5395	22	1998-05-31	VYDAJ	VYBER	15	44350	SLUZBY	\N	\N
5396	22	1998-06-30	VYDAJ	VYBER	15	39535	SLUZBY	\N	\N
5397	22	1998-07-31	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
5398	22	1998-08-31	VYDAJ	VYBER	15	21933	SLUZBY	\N	\N
5399	22	1998-09-30	VYDAJ	VYBER	15	19249	SLUZBY	\N	\N
5400	22	1998-10-31	VYDAJ	VYBER	15	19855	SLUZBY	\N	\N
5401	22	1998-11-30	VYDAJ	VYBER	15	18161	SLUZBY	\N	\N
5402	22	1994-04-22	PRIJEM	VKLAD	3500	21473	\N	\N	\N
5403	22	1994-05-22	VYDAJ	VYBER	5700	32673	\N	\N	\N
5404	22	1994-06-21	VYDAJ	VYBER	15900	42187	\N	\N	\N
5405	22	1994-07-21	VYDAJ	VYBER	20100	39110	\N	\N	\N
5406	22	1994-08-20	VYDAJ	VYBER	15100	41054	\N	\N	\N
5407	22	1994-09-19	VYDAJ	VYBER	13600	38126	\N	\N	\N
5408	22	1994-10-19	VYDAJ	VYBER	13300	33410	\N	\N	\N
5409	22	1994-11-18	VYDAJ	VYBER	7400	32873	\N	\N	\N
5410	22	1994-12-18	VYDAJ	VYBER	14100	35362	\N	\N	\N
5411	22	1995-01-17	VYDAJ	VYBER	8500	37521	\N	\N	\N
5412	22	1995-02-16	VYDAJ	VYBER	10600	30375	\N	\N	\N
5413	22	1995-03-18	VYDAJ	VYBER	6700	32112	\N	\N	\N
5414	22	1995-04-17	VYDAJ	VYBER	12100	30651	\N	\N	\N
5415	22	1995-05-17	VYDAJ	VYBER	9200	32096	\N	\N	\N
5416	22	1995-06-16	VYDAJ	VYBER	11200	39977	\N	\N	\N
5417	22	1995-07-16	VYDAJ	VYBER	11400	39245	\N	\N	\N
5418	22	1995-08-15	VYDAJ	VYBER	11500	38422	\N	\N	\N
5419	22	1995-09-14	VYDAJ	VYBER	11700	36194	\N	\N	\N
5420	22	1995-10-14	VYDAJ	VYBER	12800	34056	\N	\N	\N
5421	22	1995-11-13	VYDAJ	VYBER	7400	33310	\N	\N	\N
5422	22	1995-12-13	VYDAJ	VYBER	11400	39492	\N	\N	\N
5423	22	1996-01-12	VYDAJ	VYBER	13700	36453	\N	\N	\N
5424	22	1996-02-11	PRIJEM	VKLAD	2000	25037	\N	\N	\N
5425	22	1996-03-12	VYDAJ	VYBER	10800	41771	\N	\N	\N
5426	22	1996-04-11	VYDAJ	VYBER	1700	33905	\N	\N	\N
5427	22	1996-05-11	VYDAJ	VYBER	7500	32304	\N	\N	\N
5428	22	1996-06-10	VYDAJ	VYBER	400	32803	\N	\N	\N
5429	22	1996-07-10	PRIJEM	VKLAD	4900	34152	\N	\N	\N
5430	22	1996-08-09	VYDAJ	VYBER	5500	39320	\N	\N	\N
5431	22	1996-09-08	VYDAJ	VYBER	7600	42423	\N	\N	\N
5432	22	1996-10-08	VYDAJ	VYBER	7600	45541	\N	\N	\N
5433	22	1996-11-07	VYDAJ	VYBER	12200	44072	\N	\N	\N
5434	22	1996-12-07	VYDAJ	VYBER	5600	49202	\N	\N	\N
5435	22	1997-01-06	VYDAJ	VYBER	14000	52601	\N	\N	\N
5436	22	1997-02-05	VYDAJ	VYBER	6400	50755	\N	\N	\N
5437	22	1997-03-07	VYDAJ	VYBER	11100	50405	\N	\N	\N
5438	22	1997-04-06	VYDAJ	VYBER	7400	53760	\N	\N	\N
5439	22	1997-05-06	VYDAJ	VYBER	10200	54324	\N	\N	\N
5440	22	1997-06-05	VYDAJ	VYBER	9700	55394	\N	\N	\N
5441	22	1997-07-05	VYDAJ	VYBER	11600	50385	\N	\N	\N
5442	22	1997-08-04	VYDAJ	VYBER	11900	44825	\N	\N	\N
5443	22	1997-09-03	VYDAJ	VYBER	6200	44956	\N	\N	\N
5444	22	1997-10-03	VYDAJ	VYBER	9800	44881	\N	\N	\N
5445	22	1997-11-02	VYDAJ	VYBER	7800	43303	\N	\N	\N
5446	22	1997-12-02	VYDAJ	VYBER	12700	41324	\N	\N	\N
5447	22	1998-01-01	VYDAJ	VYBER	13200	44500	\N	\N	\N
5448	22	1998-01-31	VYDAJ	VYBER	4500	39490	\N	\N	\N
5449	22	1998-03-02	VYDAJ	VYBER	8400	36982	\N	\N	\N
5450	22	1998-04-01	VYDAJ	VYBER	12600	35076	\N	\N	\N
5451	22	1998-05-01	VYDAJ	VYBER	12100	33667	\N	\N	\N
5452	22	1998-05-31	VYDAJ	VYBER	16400	27950	\N	\N	\N
5453	22	1998-06-30	VYDAJ	VYBER	10300	29235	\N	\N	\N
5454	22	1998-07-30	VYDAJ	VYBER	13900	25856	\N	\N	\N
5455	22	1998-08-29	VYDAJ	VYBER	14700	21821	\N	\N	\N
5456	22	1998-09-28	VYDAJ	VYBER	13300	19154	\N	\N	\N
5457	22	1998-10-28	VYDAJ	VYBER	10000	19770	\N	\N	\N
5458	22	1998-11-27	VYDAJ	VYBER	12300	18076	\N	\N	\N
5516	23	1993-05-22	PRIJEM	VKLAD	800	800	\N	\N	\N
5522	23	1993-06-09	PRIJEM	VKLAD	33132	33932	\N	\N	\N
5523	23	1993-07-09	PRIJEM	VKLAD	22088	50760	\N	\N	\N
5524	23	1993-08-09	PRIJEM	VKLAD	22088	61583	\N	\N	\N
5525	23	1993-09-09	PRIJEM	VKLAD	22088	64440	\N	\N	\N
5526	23	1993-10-09	PRIJEM	VKLAD	22088	69412	\N	\N	\N
5527	23	1993-11-09	PRIJEM	VKLAD	22088	62973	\N	\N	\N
5528	23	1993-12-09	PRIJEM	VKLAD	33132	69211	\N	\N	\N
5529	23	1994-01-09	PRIJEM	VKLAD	22088	47632	\N	\N	\N
5530	23	1994-02-09	PRIJEM	VKLAD	22088	52066	\N	\N	\N
5531	23	1994-03-09	PRIJEM	VKLAD	22088	55805	\N	\N	\N
5532	23	1994-04-09	PRIJEM	VKLAD	22088	55855	\N	\N	\N
5533	23	1994-05-09	PRIJEM	VKLAD	22088	58910	\N	\N	\N
5534	23	1994-06-09	PRIJEM	VKLAD	33132	68011	\N	\N	\N
5535	23	1994-07-09	PRIJEM	VKLAD	22088	53796	\N	\N	\N
5536	23	1994-08-09	PRIJEM	VKLAD	22088	56339	\N	\N	\N
5537	23	1994-09-09	PRIJEM	VKLAD	22088	57888	\N	\N	\N
5538	23	1994-10-09	PRIJEM	VKLAD	22088	58941	\N	\N	\N
5539	23	1994-11-09	PRIJEM	VKLAD	22088	58159	\N	\N	\N
5540	23	1994-12-09	PRIJEM	VKLAD	33132	68350	\N	\N	\N
5541	23	1995-01-09	PRIJEM	VKLAD	22088	62155	\N	\N	\N
5542	23	1995-02-09	PRIJEM	VKLAD	22088	56724	\N	\N	\N
5543	23	1995-03-09	PRIJEM	VKLAD	22088	56805	\N	\N	\N
5544	23	1995-04-09	PRIJEM	VKLAD	22088	55984	\N	\N	\N
5545	23	1995-05-09	PRIJEM	VKLAD	22088	57827	\N	\N	\N
5546	23	1995-06-09	PRIJEM	VKLAD	33132	65691	\N	\N	\N
5547	23	1995-07-09	PRIJEM	VKLAD	22088	33054	\N	\N	\N
5548	23	1995-08-09	PRIJEM	VKLAD	22088	46932	\N	\N	\N
5549	23	1995-09-09	PRIJEM	VKLAD	22088	51543	\N	\N	\N
5550	23	1995-10-09	PRIJEM	VKLAD	22088	54303	\N	\N	\N
5551	23	1995-11-09	PRIJEM	VKLAD	22088	49874	\N	\N	\N
5552	23	1995-12-09	PRIJEM	VKLAD	33132	64276	\N	\N	\N
5553	23	1996-01-09	PRIJEM	VKLAD	22088	57169	\N	\N	\N
5554	23	1996-02-09	PRIJEM	VKLAD	22088	53929	\N	\N	\N
5555	23	1996-03-09	PRIJEM	VKLAD	22088	58190	\N	\N	\N
5556	23	1996-04-09	PRIJEM	VKLAD	22088	55784	\N	\N	\N
5557	23	1996-05-09	PRIJEM	VKLAD	22088	58374	\N	\N	\N
5558	23	1996-06-09	PRIJEM	VKLAD	33132	56236	\N	\N	\N
5559	23	1996-07-09	PRIJEM	VKLAD	22088	60355	\N	\N	\N
5560	23	1996-08-09	PRIJEM	VKLAD	22088	55514	\N	\N	\N
5561	23	1996-09-09	PRIJEM	VKLAD	22088	57596	\N	\N	\N
5562	23	1996-10-09	PRIJEM	VKLAD	22088	60087	\N	\N	\N
5563	23	1996-11-09	PRIJEM	VKLAD	22088	56548	\N	\N	\N
5564	23	1996-12-09	PRIJEM	VKLAD	33132	72983	\N	\N	\N
5565	23	1997-01-09	PRIJEM	VKLAD	22088	68762	\N	\N	\N
5566	23	1997-02-09	PRIJEM	VKLAD	22088	69929	\N	\N	\N
5567	23	1997-03-09	PRIJEM	VKLAD	22088	74965	\N	\N	\N
5568	23	1997-04-09	PRIJEM	VKLAD	22088	74526	\N	\N	\N
5569	23	1997-05-09	PRIJEM	VKLAD	22088	70614	\N	\N	\N
5570	23	1997-06-09	PRIJEM	VKLAD	33132	83960	\N	\N	\N
5571	23	1997-07-09	PRIJEM	VKLAD	22088	68166	\N	\N	\N
5572	23	1997-08-09	PRIJEM	VKLAD	22088	76093	\N	\N	\N
5573	23	1997-09-09	PRIJEM	VKLAD	22088	78950	\N	\N	\N
5574	23	1997-10-09	PRIJEM	VKLAD	22088	82418	\N	\N	\N
5575	23	1997-11-09	PRIJEM	VKLAD	22088	79275	\N	\N	\N
5576	23	1997-12-09	PRIJEM	VKLAD	33132	94788	\N	\N	\N
5577	23	1998-01-09	PRIJEM	VKLAD	22088	91600	\N	\N	\N
5578	23	1998-02-09	PRIJEM	VKLAD	22088	80220	\N	\N	\N
5579	23	1998-03-09	PRIJEM	VKLAD	22088	81588	\N	\N	\N
5580	23	1998-04-09	PRIJEM	VKLAD	22088	77219	\N	\N	\N
5581	23	1998-05-09	PRIJEM	VKLAD	22088	83376	\N	\N	\N
5582	23	1998-06-09	PRIJEM	VKLAD	33132	95299	\N	\N	\N
5583	23	1998-07-09	PRIJEM	VKLAD	22088	80314	\N	\N	\N
5584	23	1998-08-09	PRIJEM	VKLAD	22088	81278	\N	\N	\N
5585	23	1998-09-09	PRIJEM	VKLAD	22088	79313	\N	\N	\N
5586	23	1998-10-09	PRIJEM	VKLAD	22088	73015	\N	\N	\N
5587	23	1998-11-09	PRIJEM	VKLAD	22088	79049	\N	\N	\N
5588	23	1998-12-09	PRIJEM	VKLAD	33132	82787	\N	\N	\N
5599	23	1993-11-05	VYDAJ	PREVOD NA UCET	5807	40885	SIPO	MN	20774019
5600	23	1993-12-05	VYDAJ	PREVOD NA UCET	5807	36079	SIPO	MN	20774019
5601	23	1994-01-05	VYDAJ	PREVOD NA UCET	5807	40104	SIPO	MN	20774019
5602	23	1994-02-05	VYDAJ	PREVOD NA UCET	5807	29978	SIPO	MN	20774019
5603	23	1994-03-05	VYDAJ	PREVOD NA UCET	5807	33717	SIPO	MN	20774019
5604	23	1994-04-05	VYDAJ	PREVOD NA UCET	5807	33767	SIPO	MN	20774019
5605	23	1994-05-05	VYDAJ	PREVOD NA UCET	5807	36822	SIPO	MN	20774019
5606	23	1994-06-05	VYDAJ	PREVOD NA UCET	5807	34879	SIPO	MN	20774019
5607	23	1994-07-05	VYDAJ	PREVOD NA UCET	5807	31708	SIPO	MN	20774019
5608	23	1994-08-05	VYDAJ	PREVOD NA UCET	5807	34251	SIPO	MN	20774019
5609	23	1994-09-05	VYDAJ	PREVOD NA UCET	5807	35800	SIPO	MN	20774019
5610	23	1994-10-05	VYDAJ	PREVOD NA UCET	5807	36853	SIPO	MN	20774019
5611	23	1994-11-05	VYDAJ	PREVOD NA UCET	5807	36071	SIPO	MN	20774019
5612	23	1994-12-05	VYDAJ	PREVOD NA UCET	5807	35218	SIPO	MN	20774019
5613	23	1995-01-05	VYDAJ	PREVOD NA UCET	5807	40067	SIPO	MN	20774019
5614	23	1995-02-05	VYDAJ	PREVOD NA UCET	5807	34636	SIPO	MN	20774019
5615	23	1995-03-05	VYDAJ	PREVOD NA UCET	5807	34717	SIPO	MN	20774019
5616	23	1995-04-05	VYDAJ	PREVOD NA UCET	5807	33896	SIPO	MN	20774019
5617	23	1995-05-05	VYDAJ	PREVOD NA UCET	5807	35739	SIPO	MN	20774019
5618	23	1995-06-05	VYDAJ	PREVOD NA UCET	5807	32559	SIPO	MN	20774019
5619	23	1995-07-05	VYDAJ	PREVOD NA UCET	5807	10966	SIPO	MN	20774019
5620	23	1995-08-05	VYDAJ	PREVOD NA UCET	5807	24844	SIPO	MN	20774019
5621	23	1995-09-05	VYDAJ	PREVOD NA UCET	5807	29455	SIPO	MN	20774019
5622	23	1995-10-05	VYDAJ	PREVOD NA UCET	5807	32215	SIPO	MN	20774019
5623	23	1995-11-05	VYDAJ	PREVOD NA UCET	5807	31586	SIPO	MN	20774019
5624	23	1995-12-05	VYDAJ	PREVOD NA UCET	5807	44244	SIPO	MN	20774019
5625	23	1996-01-05	VYDAJ	PREVOD NA UCET	5807	51981	SIPO	MN	20774019
5626	23	1996-02-05	VYDAJ	PREVOD NA UCET	5807	40041	SIPO	MN	20774019
5627	23	1996-03-05	VYDAJ	PREVOD NA UCET	5807	42902	SIPO	MN	20774019
5628	23	1996-04-05	VYDAJ	PREVOD NA UCET	5807	52596	SIPO	MN	20774019
5629	23	1996-05-05	VYDAJ	PREVOD NA UCET	5807	50186	SIPO	MN	20774019
5630	23	1996-06-05	VYDAJ	PREVOD NA UCET	5807	23104	SIPO	MN	20774019
5631	23	1996-07-05	VYDAJ	PREVOD NA UCET	5807	47267	SIPO	MN	20774019
5632	23	1996-08-05	VYDAJ	PREVOD NA UCET	5807	33426	SIPO	MN	20774019
5633	23	1996-09-05	VYDAJ	PREVOD NA UCET	5807	35508	SIPO	MN	20774019
5634	23	1996-10-05	VYDAJ	PREVOD NA UCET	5807	37999	SIPO	MN	20774019
5635	23	1996-11-05	VYDAJ	PREVOD NA UCET	5807	37100	SIPO	MN	20774019
5636	23	1996-12-05	VYDAJ	PREVOD NA UCET	5807	39851	SIPO	MN	20774019
5637	23	1997-01-05	VYDAJ	PREVOD NA UCET	5807	46674	SIPO	MN	20774019
5638	23	1997-02-05	VYDAJ	PREVOD NA UCET	5807	47841	SIPO	MN	20774019
5639	23	1997-03-05	VYDAJ	PREVOD NA UCET	5807	52877	SIPO	MN	20774019
5640	23	1997-04-05	VYDAJ	PREVOD NA UCET	5807	52438	SIPO	MN	20774019
5641	23	1997-05-05	VYDAJ	PREVOD NA UCET	5807	48526	SIPO	MN	20774019
5642	23	1997-06-05	VYDAJ	PREVOD NA UCET	5807	50828	SIPO	MN	20774019
5643	23	1997-07-05	VYDAJ	PREVOD NA UCET	5807	46078	SIPO	MN	20774019
5644	23	1997-08-05	VYDAJ	PREVOD NA UCET	5807	54005	SIPO	MN	20774019
5645	23	1997-09-05	VYDAJ	PREVOD NA UCET	5807	56862	SIPO	MN	20774019
5646	23	1997-10-05	VYDAJ	PREVOD NA UCET	5807	60330	SIPO	MN	20774019
5647	23	1997-11-05	VYDAJ	PREVOD NA UCET	5807	57187	SIPO	MN	20774019
5648	23	1997-12-05	VYDAJ	PREVOD NA UCET	5807	61656	SIPO	MN	20774019
5649	23	1998-01-05	VYDAJ	PREVOD NA UCET	5807	69512	SIPO	MN	20774019
5650	23	1998-02-05	VYDAJ	PREVOD NA UCET	5807	61252	SIPO	MN	20774019
5651	23	1998-03-05	VYDAJ	PREVOD NA UCET	5807	59500	SIPO	MN	20774019
5652	23	1998-04-05	VYDAJ	PREVOD NA UCET	5807	55131	SIPO	MN	20774019
5653	23	1998-05-05	VYDAJ	PREVOD NA UCET	5807	61288	SIPO	MN	20774019
5654	23	1998-06-05	VYDAJ	PREVOD NA UCET	5807	62167	SIPO	MN	20774019
5655	23	1998-07-05	VYDAJ	PREVOD NA UCET	5807	58226	SIPO	MN	20774019
5656	23	1998-08-05	VYDAJ	PREVOD NA UCET	5807	59190	SIPO	MN	20774019
5657	23	1998-09-05	VYDAJ	PREVOD NA UCET	5807	57225	SIPO	MN	20774019
5658	23	1998-10-05	VYDAJ	PREVOD NA UCET	5807	50927	SIPO	MN	20774019
5659	23	1998-11-05	VYDAJ	PREVOD NA UCET	5807	56961	SIPO	MN	20774019
5660	23	1998-12-05	VYDAJ	PREVOD NA UCET	5807	54135	SIPO	MN	20774019
5662	23	1994-06-12	VYDAJ	VYBER	20160	47851	\N	\N	\N
5663	23	1995-06-11	VYDAJ	VYBER	40320	25371	\N	\N	\N
5664	23	1996-06-04	VYDAJ	VYBER	40480	18111	\N	\N	\N
5665	23	1997-06-28	VYDAJ	VYBER	27040	51400	\N	\N	\N
5666	23	1998-06-25	VYDAJ	VYBER	20800	63699	\N	\N	\N
5668	23	1994-01-07	VYDAJ	VYBER	14560	25544	\N	\N	\N
5669	23	1995-01-12	VYDAJ	VYBER	11680	40275	\N	\N	\N
5670	23	1996-01-20	VYDAJ	VYBER	11520	45649	\N	\N	\N
5671	23	1997-01-01	VYDAJ	VYBER	3360	52481	\N	\N	\N
5672	23	1998-01-12	VYDAJ	VYBER	3360	88240	\N	\N	\N
5673	23	1993-12-19	VYDAJ	VYBER	3200	45711	\N	\N	\N
5674	23	1994-12-19	VYDAJ	VYBER	2560	45690	\N	\N	\N
5675	23	1995-12-24	VYDAJ	VYBER	2400	61876	\N	\N	\N
5676	23	1996-12-17	VYDAJ	VYBER	1600	71383	\N	\N	\N
5677	23	1997-12-02	VYDAJ	VYBER	1600	67463	\N	\N	\N
5678	23	1998-12-07	VYDAJ	VYBER	4480	49655	\N	\N	\N
5684	23	1993-11-20	VYDAJ	VYBER	4080	41693	\N	\N	\N
5686	23	1994-12-12	VYDAJ	VYBER	600	67750	\N	\N	\N
5687	23	1994-07-16	VYDAJ	VYBER	3600	50196	\N	\N	\N
5688	23	1994-10-29	VYDAJ	VYBER	2640	41701	\N	\N	\N
5689	23	1995-08-16	VYDAJ	VYBER	1800	35132	\N	\N	\N
5690	23	1995-05-21	VYDAJ	VYBER	3120	38207	\N	\N	\N
5691	23	1995-06-24	VYDAJ	VYBER	5280	16671	\N	\N	\N
5692	23	1995-06-13	VYDAJ	VYBER	1920	21951	\N	\N	\N
5693	23	1995-03-10	VYDAJ	VYBER	3960	52845	\N	\N	\N
5694	23	1995-02-26	VYDAJ	VYBER	960	40364	\N	\N	\N
5695	23	1996-07-29	VYDAJ	VYBER	3600	56755	\N	\N	\N
5696	23	1996-04-07	VYDAJ	VYBER	4200	33696	\N	\N	\N
5697	23	1996-11-05	VYDAJ	VYBER	2640	34460	\N	\N	\N
5698	23	1996-02-13	VYDAJ	VYBER	5400	48529	\N	\N	\N
5699	23	1996-06-25	VYDAJ	VYBER	3360	52876	\N	\N	\N
5700	23	1996-01-04	VYDAJ	VYBER	4320	57788	\N	\N	\N
5701	23	1996-08-02	VYDAJ	VYBER	5640	51333	\N	\N	\N
5702	23	1997-06-23	VYDAJ	VYBER	5520	78440	\N	\N	\N
5703	23	1997-05-20	VYDAJ	VYBER	840	69774	\N	\N	\N
5704	23	1997-10-09	VYDAJ	VYBER	4920	77498	\N	\N	\N
5705	23	1997-01-30	VYDAJ	VYBER	2160	66602	\N	\N	\N
5706	23	1997-04-12	VYDAJ	VYBER	5160	69366	\N	\N	\N
5707	23	1998-09-10	VYDAJ	VYBER	3360	75953	\N	\N	\N
5708	23	1998-09-24	VYDAJ	VYBER	5880	56473	\N	\N	\N
5709	23	1998-03-29	VYDAJ	VYBER	3840	60648	\N	\N	\N
5710	23	1998-02-05	VYDAJ	VYBER	3120	58132	\N	\N	\N
5711	23	1998-08-09	VYDAJ	VYBER	3120	78158	\N	\N	\N
5712	23	1998-12-05	VYDAJ	VYBER	5880	59942	\N	\N	\N
5723	23	1993-10-31	VYDAJ	VYBER	15	46692	SLUZBY	\N	\N
5724	23	1993-11-30	VYDAJ	VYBER	15	41886	SLUZBY	\N	\N
5725	23	1993-12-31	VYDAJ	VYBER	15	45911	SLUZBY	\N	\N
5726	23	1994-01-31	VYDAJ	VYBER	15	35785	SLUZBY	\N	\N
5727	23	1994-02-28	VYDAJ	VYBER	15	39524	SLUZBY	\N	\N
5728	23	1994-03-31	VYDAJ	VYBER	15	39574	SLUZBY	\N	\N
5729	23	1994-04-30	VYDAJ	VYBER	15	42629	SLUZBY	\N	\N
5730	23	1994-05-31	VYDAJ	VYBER	15	40686	SLUZBY	\N	\N
5731	23	1994-06-30	VYDAJ	VYBER	15	37515	SLUZBY	\N	\N
5732	23	1994-07-31	VYDAJ	VYBER	15	40058	SLUZBY	\N	\N
5733	23	1994-08-31	VYDAJ	VYBER	15	41607	SLUZBY	\N	\N
5734	23	1994-09-30	VYDAJ	VYBER	15	42660	SLUZBY	\N	\N
5735	23	1994-10-31	VYDAJ	VYBER	15	41878	SLUZBY	\N	\N
5736	23	1994-11-30	VYDAJ	VYBER	15	41025	SLUZBY	\N	\N
5737	23	1994-12-31	VYDAJ	VYBER	15	45874	SLUZBY	\N	\N
5738	23	1995-01-31	VYDAJ	VYBER	15	40443	SLUZBY	\N	\N
5739	23	1995-02-28	VYDAJ	VYBER	15	40524	SLUZBY	\N	\N
5740	23	1995-03-31	VYDAJ	VYBER	15	39703	SLUZBY	\N	\N
5741	23	1995-04-30	VYDAJ	VYBER	15	41546	SLUZBY	\N	\N
5742	23	1995-05-31	VYDAJ	VYBER	15	38366	SLUZBY	\N	\N
5743	23	1995-06-30	VYDAJ	VYBER	15	16773	SLUZBY	\N	\N
5744	23	1995-07-31	VYDAJ	VYBER	15	30651	SLUZBY	\N	\N
5745	23	1995-08-31	VYDAJ	VYBER	15	35262	SLUZBY	\N	\N
5746	23	1995-09-30	VYDAJ	VYBER	15	38022	SLUZBY	\N	\N
5747	23	1995-10-31	VYDAJ	VYBER	15	37393	SLUZBY	\N	\N
5748	23	1995-11-30	VYDAJ	VYBER	15	50051	SLUZBY	\N	\N
5749	23	1995-12-31	VYDAJ	VYBER	15	62108	SLUZBY	\N	\N
5750	23	1996-01-31	VYDAJ	VYBER	15	45848	SLUZBY	\N	\N
5751	23	1996-02-29	VYDAJ	VYBER	15	48709	SLUZBY	\N	\N
5752	23	1996-03-31	VYDAJ	VYBER	15	58403	SLUZBY	\N	\N
5753	23	1996-04-30	VYDAJ	VYBER	15	55993	SLUZBY	\N	\N
5754	23	1996-05-31	VYDAJ	VYBER	15	58591	SLUZBY	\N	\N
5755	23	1996-06-30	VYDAJ	VYBER	15	53074	SLUZBY	\N	\N
5756	23	1996-07-31	VYDAJ	VYBER	15	56973	SLUZBY	\N	\N
5757	23	1996-08-31	VYDAJ	VYBER	15	55715	SLUZBY	\N	\N
5758	23	1996-09-30	VYDAJ	VYBER	15	57806	SLUZBY	\N	\N
5759	23	1996-10-31	VYDAJ	VYBER	15	60307	SLUZBY	\N	\N
5760	23	1996-11-30	VYDAJ	VYBER	15	56758	SLUZBY	\N	\N
5761	23	1996-12-31	VYDAJ	VYBER	15	71641	SLUZBY	\N	\N
5762	23	1997-01-31	VYDAJ	VYBER	15	53648	SLUZBY	\N	\N
5763	23	1997-02-28	VYDAJ	VYBER	15	70184	SLUZBY	\N	\N
5764	23	1997-03-31	VYDAJ	VYBER	15	75245	SLUZBY	\N	\N
5765	23	1997-04-30	VYDAJ	VYBER	15	69633	SLUZBY	\N	\N
5766	23	1997-05-31	VYDAJ	VYBER	15	56635	SLUZBY	\N	\N
5767	23	1997-06-30	VYDAJ	VYBER	15	51885	SLUZBY	\N	\N
5768	23	1997-07-31	VYDAJ	VYBER	15	59812	SLUZBY	\N	\N
5769	23	1997-08-31	VYDAJ	VYBER	15	62669	SLUZBY	\N	\N
5770	23	1997-09-30	VYDAJ	VYBER	15	66137	SLUZBY	\N	\N
5771	23	1997-10-31	VYDAJ	VYBER	15	62994	SLUZBY	\N	\N
5772	23	1997-11-30	VYDAJ	VYBER	15	69063	SLUZBY	\N	\N
5773	23	1997-12-31	VYDAJ	VYBER	15	75319	SLUZBY	\N	\N
5774	23	1998-01-31	VYDAJ	VYBER	15	67059	SLUZBY	\N	\N
5775	23	1998-02-28	VYDAJ	VYBER	15	65307	SLUZBY	\N	\N
5776	23	1998-03-31	VYDAJ	VYBER	15	60938	SLUZBY	\N	\N
5777	23	1998-04-30	VYDAJ	VYBER	15	67095	SLUZBY	\N	\N
5778	23	1998-05-31	VYDAJ	VYBER	15	67974	SLUZBY	\N	\N
5779	23	1998-06-30	VYDAJ	VYBER	15	64033	SLUZBY	\N	\N
5780	23	1998-07-31	VYDAJ	VYBER	15	64997	SLUZBY	\N	\N
5781	23	1998-08-31	VYDAJ	VYBER	15	63032	SLUZBY	\N	\N
5782	23	1998-09-30	VYDAJ	VYBER	15	56734	SLUZBY	\N	\N
5783	23	1998-10-31	VYDAJ	VYBER	15	62768	SLUZBY	\N	\N
5784	23	1998-11-30	VYDAJ	VYBER	15	65822	SLUZBY	\N	\N
5785	23	1993-06-21	VYDAJ	VYBER	5300	28632	\N	\N	\N
5786	23	1993-07-21	VYDAJ	VYBER	11400	39360	\N	\N	\N
5787	23	1993-08-20	VYDAJ	VYBER	19400	42183	\N	\N	\N
5788	23	1993-09-19	VYDAJ	VYBER	17300	47140	\N	\N	\N
5789	23	1993-10-19	VYDAJ	VYBER	22900	46512	\N	\N	\N
5790	23	1993-11-18	VYDAJ	VYBER	17200	45773	\N	\N	\N
5791	23	1993-12-18	VYDAJ	VYBER	20300	48911	\N	\N	\N
5792	23	1994-01-17	VYDAJ	VYBER	12000	35632	\N	\N	\N
5793	23	1994-02-16	VYDAJ	VYBER	12700	39366	\N	\N	\N
5794	23	1994-03-18	VYDAJ	VYBER	16400	39405	\N	\N	\N
5795	23	1994-04-17	VYDAJ	VYBER	13400	42455	\N	\N	\N
5796	23	1994-05-17	VYDAJ	VYBER	18400	40510	\N	\N	\N
5797	23	1994-06-16	VYDAJ	VYBER	10500	37351	\N	\N	\N
5798	23	1994-07-16	VYDAJ	VYBER	10300	39896	\N	\N	\N
5799	23	1994-08-15	VYDAJ	VYBER	14900	41439	\N	\N	\N
5800	23	1994-09-14	VYDAJ	VYBER	15400	42488	\N	\N	\N
5801	23	1994-10-14	VYDAJ	VYBER	14600	44341	\N	\N	\N
5802	23	1994-11-13	VYDAJ	VYBER	17300	40859	\N	\N	\N
5803	23	1994-12-13	VYDAJ	VYBER	19500	48250	\N	\N	\N
5804	23	1995-01-12	VYDAJ	VYBER	10200	51955	\N	\N	\N
5805	23	1995-02-11	VYDAJ	VYBER	15400	41324	\N	\N	\N
5806	23	1995-03-13	VYDAJ	VYBER	13300	39545	\N	\N	\N
5807	23	1995-04-12	VYDAJ	VYBER	14600	41384	\N	\N	\N
5808	23	1995-05-12	VYDAJ	VYBER	16500	41327	\N	\N	\N
5809	23	1995-06-11	VYDAJ	VYBER	1500	23871	\N	\N	\N
5810	23	1995-07-11	VYDAJ	VYBER	2500	30554	\N	\N	\N
5811	23	1995-08-10	VYDAJ	VYBER	10000	36932	\N	\N	\N
5812	23	1995-09-09	VYDAJ	VYBER	13700	37843	\N	\N	\N
5813	23	1995-10-09	VYDAJ	VYBER	17100	37203	\N	\N	\N
5814	23	1995-11-08	VYDAJ	VYBER	3800	27786	\N	\N	\N
5815	23	1995-12-08	VYDAJ	VYBER	13100	31144	\N	\N	\N
5816	23	1996-01-07	VYDAJ	VYBER	16900	35081	\N	\N	\N
5817	23	1996-02-06	VYDAJ	VYBER	8200	31841	\N	\N	\N
5818	23	1996-03-07	VYDAJ	VYBER	6800	36102	\N	\N	\N
5819	23	1996-04-06	VYDAJ	VYBER	14700	37896	\N	\N	\N
5820	23	1996-05-06	VYDAJ	VYBER	13900	36286	\N	\N	\N
5821	23	1996-06-05	PRIJEM	VKLAD	10800	28911	\N	\N	\N
5822	23	1996-07-05	VYDAJ	VYBER	9000	38267	\N	\N	\N
5823	23	1996-08-04	VYDAJ	VYBER	12100	39233	\N	\N	\N
5824	23	1996-09-03	VYDAJ	VYBER	14400	41315	\N	\N	\N
5825	23	1996-10-03	VYDAJ	VYBER	14000	43806	\N	\N	\N
5826	23	1996-11-02	VYDAJ	VYBER	17400	42907	\N	\N	\N
5827	23	1996-12-02	VYDAJ	VYBER	11100	45658	\N	\N	\N
5828	23	1997-01-01	VYDAJ	VYBER	15800	55841	\N	\N	\N
5829	23	1997-01-31	VYDAJ	VYBER	13200	53662	\N	\N	\N
5830	23	1997-03-02	VYDAJ	VYBER	11500	58684	\N	\N	\N
5831	23	1997-04-01	VYDAJ	VYBER	17000	58245	\N	\N	\N
5832	23	1997-05-01	VYDAJ	VYBER	15300	54333	\N	\N	\N
5833	23	1997-05-31	VYDAJ	VYBER	13400	56650	\N	\N	\N
5834	23	1997-06-30	PRIJEM	VKLAD	200	51899	\N	\N	\N
5835	23	1997-07-30	VYDAJ	VYBER	8600	59566	\N	\N	\N
5836	23	1997-08-29	VYDAJ	VYBER	13700	62393	\N	\N	\N
5837	23	1997-09-28	VYDAJ	VYBER	13100	65850	\N	\N	\N
5838	23	1997-10-28	VYDAJ	VYBER	14800	62698	\N	\N	\N
5839	23	1997-11-27	VYDAJ	VYBER	10500	68775	\N	\N	\N
5840	23	1997-12-27	VYDAJ	VYBER	19800	74988	\N	\N	\N
5841	23	1998-01-26	VYDAJ	VYBER	21500	66740	\N	\N	\N
5842	23	1998-02-25	VYDAJ	VYBER	15200	65020	\N	\N	\N
5843	23	1998-03-27	VYDAJ	VYBER	17100	64488	\N	\N	\N
5844	23	1998-04-26	VYDAJ	VYBER	10400	66819	\N	\N	\N
5845	23	1998-05-26	VYDAJ	VYBER	15700	67676	\N	\N	\N
5846	23	1998-06-25	VYDAJ	VYBER	10800	84499	\N	\N	\N
5847	23	1998-07-25	VYDAJ	VYBER	15600	64714	\N	\N	\N
5848	23	1998-08-24	VYDAJ	VYBER	15400	62758	\N	\N	\N
5849	23	1998-09-23	VYDAJ	VYBER	13600	62353	\N	\N	\N
5850	23	1998-10-23	VYDAJ	VYBER	10500	62515	\N	\N	\N
5851	23	1998-11-22	VYDAJ	VYBER	13500	65549	\N	\N	\N
5919	24	1996-12-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
5931	24	1996-12-06	PRIJEM	VKLAD	18926	19926	\N	\N	\N
5932	24	1997-01-06	PRIJEM	VKLAD	12617	36612	\N	\N	\N
5933	24	1997-02-06	PRIJEM	VKLAD	12617	45771	\N	\N	\N
5934	24	1997-03-06	PRIJEM	VKLAD	12617	45671	\N	\N	\N
5935	24	1997-04-06	PRIJEM	VKLAD	12617	46379	\N	\N	\N
5936	24	1997-05-06	PRIJEM	VKLAD	12617	38689	\N	\N	\N
5937	24	1997-06-06	PRIJEM	VKLAD	18926	41472	\N	\N	\N
5938	24	1997-07-06	PRIJEM	VKLAD	12617	34733	\N	\N	\N
5939	24	1997-08-06	PRIJEM	VKLAD	12617	32292	\N	\N	\N
5940	24	1997-09-06	PRIJEM	VKLAD	12617	29418	\N	\N	\N
5941	24	1997-10-06	PRIJEM	VKLAD	12617	28812	\N	\N	\N
5942	24	1997-11-06	PRIJEM	VKLAD	12617	27943	\N	\N	\N
5943	24	1997-12-06	PRIJEM	VKLAD	18926	33013	\N	\N	\N
5944	24	1998-01-06	PRIJEM	VKLAD	12617	24154	\N	\N	\N
5945	24	1998-02-06	PRIJEM	VKLAD	12617	26195	\N	\N	\N
5946	24	1998-03-06	PRIJEM	VKLAD	12617	31008	\N	\N	\N
5947	24	1998-04-06	PRIJEM	VKLAD	12617	33077	\N	\N	\N
5948	24	1998-05-06	PRIJEM	VKLAD	12617	37920	\N	\N	\N
5949	24	1998-06-06	PRIJEM	VKLAD	18926	49091	\N	\N	\N
5950	24	1998-07-06	PRIJEM	VKLAD	12617	32486	\N	\N	\N
5951	24	1998-08-06	PRIJEM	VKLAD	12617	37326	\N	\N	\N
5952	24	1998-09-06	PRIJEM	VKLAD	12617	42186	\N	\N	\N
5953	24	1998-10-06	PRIJEM	VKLAD	12617	47067	\N	\N	\N
5954	24	1998-11-06	PRIJEM	VKLAD	12617	25146	\N	\N	\N
5955	24	1998-12-06	PRIJEM	VKLAD	18926	36264	\N	\N	\N
5971	24	1997-04-08	VYDAJ	PREVOD NA UCET	221	46158	SIPO	IJ	50810194
5972	24	1997-05-08	VYDAJ	PREVOD NA UCET	221	38468	SIPO	IJ	50810194
5973	24	1997-06-08	VYDAJ	PREVOD NA UCET	221	41251	SIPO	IJ	50810194
5974	24	1997-07-08	VYDAJ	PREVOD NA UCET	221	34512	SIPO	IJ	50810194
5975	24	1997-08-08	VYDAJ	PREVOD NA UCET	221	32071	SIPO	IJ	50810194
5976	24	1997-09-08	VYDAJ	PREVOD NA UCET	221	29197	SIPO	IJ	50810194
5977	24	1997-10-08	VYDAJ	PREVOD NA UCET	221	28591	SIPO	IJ	50810194
5978	24	1997-11-08	VYDAJ	PREVOD NA UCET	221	27722	SIPO	IJ	50810194
5979	24	1997-12-08	VYDAJ	PREVOD NA UCET	221	32792	SIPO	IJ	50810194
5980	24	1998-01-08	VYDAJ	PREVOD NA UCET	221	22493	SIPO	IJ	50810194
5981	24	1998-02-08	VYDAJ	PREVOD NA UCET	221	25974	SIPO	IJ	50810194
5982	24	1998-03-08	VYDAJ	PREVOD NA UCET	221	28027	SIPO	IJ	50810194
5983	24	1998-04-08	VYDAJ	PREVOD NA UCET	221	32856	SIPO	IJ	50810194
5984	24	1998-05-08	VYDAJ	PREVOD NA UCET	221	37699	SIPO	IJ	50810194
5985	24	1998-06-08	VYDAJ	PREVOD NA UCET	221	48870	SIPO	IJ	50810194
5986	24	1998-07-08	VYDAJ	PREVOD NA UCET	221	32265	SIPO	IJ	50810194
5987	24	1998-08-08	VYDAJ	PREVOD NA UCET	221	37105	SIPO	IJ	50810194
5988	24	1998-09-08	VYDAJ	PREVOD NA UCET	221	41965	SIPO	IJ	50810194
5989	24	1998-10-08	VYDAJ	PREVOD NA UCET	221	46846	SIPO	IJ	50810194
5990	24	1998-11-08	VYDAJ	PREVOD NA UCET	221	24925	SIPO	IJ	50810194
5991	24	1998-12-08	VYDAJ	PREVOD NA UCET	221	36043	SIPO	IJ	50810194
6007	24	1997-04-10	VYDAJ	PREVOD NA UCET	7641	38517	 	QR	46086388
6008	24	1997-05-10	VYDAJ	PREVOD NA UCET	7641	30827	 	QR	46086388
6009	24	1997-06-10	VYDAJ	PREVOD NA UCET	7641	33610	 	QR	46086388
6010	24	1997-07-10	VYDAJ	PREVOD NA UCET	7641	26871	 	QR	46086388
6011	24	1997-08-10	VYDAJ	PREVOD NA UCET	7641	24430	 	QR	46086388
6012	24	1997-09-10	VYDAJ	PREVOD NA UCET	7641	21556	 	QR	46086388
6013	24	1997-10-10	VYDAJ	PREVOD NA UCET	7641	20950	 	QR	46086388
6014	24	1997-11-10	VYDAJ	PREVOD NA UCET	7641	20081	 	QR	46086388
6015	24	1997-12-10	VYDAJ	PREVOD NA UCET	7641	25151	 	QR	46086388
6016	24	1998-01-10	VYDAJ	PREVOD NA UCET	7641	14852	 	QR	46086388
6017	24	1998-02-10	VYDAJ	PREVOD NA UCET	7641	18333	 	QR	46086388
6018	24	1998-03-10	VYDAJ	PREVOD NA UCET	7641	20386	 	QR	46086388
6019	24	1998-04-10	VYDAJ	PREVOD NA UCET	7641	25215	 	QR	46086388
6020	24	1998-05-10	VYDAJ	PREVOD NA UCET	7641	30058	 	QR	46086388
6021	24	1998-06-10	VYDAJ	PREVOD NA UCET	7641	41229	 	QR	46086388
6022	24	1998-07-10	VYDAJ	PREVOD NA UCET	7641	24624	 	QR	46086388
6023	24	1998-08-10	VYDAJ	PREVOD NA UCET	7641	29464	 	QR	46086388
6024	24	1998-09-10	VYDAJ	PREVOD NA UCET	7641	34324	 	QR	46086388
6025	24	1998-10-10	VYDAJ	PREVOD NA UCET	7641	39205	 	QR	46086388
6026	24	1998-11-10	VYDAJ	PREVOD NA UCET	7641	17284	 	QR	46086388
6027	24	1998-12-10	VYDAJ	PREVOD NA UCET	7641	28402	 	QR	46086388
6036	24	1998-12-21	VYDAJ	VYBER	3680	24722	\N	\N	\N
6052	24	1998-01-14	VYDAJ	VYBER	1320	13532	\N	\N	\N
6053	24	1998-01-06	VYDAJ	VYBER	1440	22714	\N	\N	\N
6058	24	1997-06-28	VYDAJ	VYBER	4320	29290	\N	\N	\N
6059	24	1997-08-16	VYDAJ	VYBER	720	23710	\N	\N	\N
6060	24	1997-12-17	VYDAJ	VYBER	840	24311	\N	\N	\N
6061	24	1997-05-01	VYDAJ	VYBER	4800	33872	\N	\N	\N
6062	24	1997-12-05	VYDAJ	VYBER	2160	14087	\N	\N	\N
6063	24	1997-09-22	VYDAJ	VYBER	1440	20116	\N	\N	\N
6064	24	1997-12-30	VYDAJ	VYBER	2760	11451	\N	\N	\N
6066	24	1998-12-25	VYDAJ	VYBER	3240	21482	\N	\N	\N
6067	24	1998-03-06	VYDAJ	VYBER	2760	28248	\N	\N	\N
6085	24	1997-04-30	VYDAJ	VYBER	15	38672	SLUZBY	\N	\N
6086	24	1997-05-31	VYDAJ	VYBER	15	30947	SLUZBY	\N	\N
6087	24	1997-06-30	VYDAJ	VYBER	15	29416	SLUZBY	\N	\N
6088	24	1997-07-31	VYDAJ	VYBER	15	26975	SLUZBY	\N	\N
6089	24	1997-08-31	VYDAJ	VYBER	15	23801	SLUZBY	\N	\N
6090	24	1997-09-30	VYDAJ	VYBER	15	20195	SLUZBY	\N	\N
6091	24	1997-10-31	VYDAJ	VYBER	15	21026	SLUZBY	\N	\N
6092	24	1997-11-30	VYDAJ	VYBER	15	20147	SLUZBY	\N	\N
6093	24	1997-12-31	VYDAJ	VYBER	15	11537	SLUZBY	\N	\N
6094	24	1998-01-31	VYDAJ	VYBER	15	13578	SLUZBY	\N	\N
6095	24	1998-02-28	VYDAJ	VYBER	15	18391	SLUZBY	\N	\N
6096	24	1998-03-31	VYDAJ	VYBER	15	20460	SLUZBY	\N	\N
6097	24	1998-04-30	VYDAJ	VYBER	15	25303	SLUZBY	\N	\N
6098	24	1998-05-31	VYDAJ	VYBER	15	30166	SLUZBY	\N	\N
6099	24	1998-06-30	VYDAJ	VYBER	15	19869	SLUZBY	\N	\N
6100	24	1998-07-31	VYDAJ	VYBER	15	24709	SLUZBY	\N	\N
6101	24	1998-08-31	VYDAJ	VYBER	15	29569	SLUZBY	\N	\N
6102	24	1998-09-30	VYDAJ	VYBER	15	34450	SLUZBY	\N	\N
6103	24	1998-10-31	VYDAJ	VYBER	15	12529	SLUZBY	\N	\N
6104	24	1998-11-30	VYDAJ	VYBER	15	17338	SLUZBY	\N	\N
6105	24	1997-01-04	PRIJEM	VKLAD	4000	23995	\N	\N	\N
6106	24	1997-02-03	VYDAJ	VYBER	3600	33154	\N	\N	\N
6107	24	1997-03-05	VYDAJ	VYBER	12900	33054	\N	\N	\N
6108	24	1997-04-04	VYDAJ	VYBER	12100	33762	\N	\N	\N
6109	24	1997-05-04	VYDAJ	VYBER	7800	26072	\N	\N	\N
6110	24	1997-06-03	VYDAJ	VYBER	8400	22547	\N	\N	\N
6111	24	1997-07-03	VYDAJ	VYBER	7300	22116	\N	\N	\N
6112	24	1997-08-02	VYDAJ	VYBER	7300	19675	\N	\N	\N
6113	24	1997-09-01	VYDAJ	VYBER	7000	16801	\N	\N	\N
6114	24	1997-10-01	VYDAJ	VYBER	4000	16195	\N	\N	\N
6115	24	1997-10-31	VYDAJ	VYBER	5700	15326	\N	\N	\N
6116	24	1997-11-30	VYDAJ	VYBER	3900	16247	\N	\N	\N
6117	24	1997-12-30	VYDAJ	VYBER	10100	14211	\N	\N	\N
6118	24	1998-06-28	VYDAJ	VYBER	21500	19729	\N	\N	\N
6119	24	1998-10-26	VYDAJ	VYBER	26800	12405	\N	\N	\N
6145	25	1996-07-28	PRIJEM	VKLAD	900	900	\N	\N	\N
6150	25	1996-09-03	PRIJEM	VKLAD	13067	29767	\N	\N	\N
6151	25	1996-11-10	PRIJEM	VKLAD	19946	86326	\N	\N	\N
6152	25	1996-12-16	PRIJEM	VKLAD	48955	103447	\N	\N	\N
6154	25	1996-11-07	PRIJEM	VKLAD	48119	113444	\N	\N	\N
6156	25	1996-11-29	PRIJEM	VKLAD	29361	68871	\N	\N	\N
6158	25	1996-09-06	PRIJEM	VKLAD	41759	113580	\N	\N	\N
6162	25	1996-10-03	PRIJEM	VKLAD	22573	80710	\N	\N	\N
6163	25	1996-12-10	PRIJEM	VKLAD	25125	77339	\N	\N	\N
6164	25	1996-12-09	PRIJEM	VKLAD	47179	115114	\N	\N	\N
6166	25	1996-11-15	PRIJEM	VKLAD	31101	109110	\N	\N	\N
6167	25	1996-11-06	PRIJEM	VKLAD	29145	116735	\N	\N	\N
6168	25	1996-09-25	PRIJEM	VKLAD	13794	91374	\N	\N	\N
6171	25	1996-09-05	PRIJEM	VKLAD	42054	71821	\N	\N	\N
6173	25	1996-10-28	PRIJEM	VKLAD	40895	87314	\N	\N	\N
6175	25	1997-04-07	PRIJEM	VKLAD	39433	111485	\N	\N	\N
6176	25	1997-05-09	PRIJEM	VKLAD	8802	61962	\N	\N	\N
6177	25	1997-05-03	PRIJEM	VKLAD	18951	54434	\N	\N	\N
6178	25	1997-06-09	PRIJEM	VKLAD	5271	71719	\N	\N	\N
6179	25	1997-02-06	PRIJEM	VKLAD	39485	82186	\N	\N	\N
6180	25	1997-05-28	PRIJEM	VKLAD	30931	88130	\N	\N	\N
6181	25	1997-10-23	PRIJEM	VKLAD	8094	64548	\N	\N	\N
6182	25	1997-09-17	PRIJEM	VKLAD	42433	86810	\N	\N	\N
6183	25	1997-09-01	PRIJEM	VKLAD	12761	55068	\N	\N	\N
6184	25	1997-04-05	PRIJEM	VKLAD	49734	73162	\N	\N	\N
6185	25	1997-11-20	PRIJEM	VKLAD	36216	119653	\N	\N	\N
6186	25	1997-02-02	PRIJEM	VKLAD	15549	44901	\N	\N	\N
6187	25	1997-01-11	PRIJEM	VKLAD	41021	92784	\N	\N	\N
6188	25	1997-05-10	PRIJEM	VKLAD	36054	98016	\N	\N	\N
6189	25	1997-07-26	PRIJEM	VKLAD	20895	51678	\N	\N	\N
6190	25	1997-07-06	PRIJEM	VKLAD	37842	72774	\N	\N	\N
6191	25	1997-09-27	PRIJEM	VKLAD	18292	71502	\N	\N	\N
6192	25	1997-10-11	PRIJEM	VKLAD	26124	87154	\N	\N	\N
6193	25	1997-08-09	PRIJEM	VKLAD	18228	66724	\N	\N	\N
6194	25	1997-10-29	PRIJEM	VKLAD	29180	91228	\N	\N	\N
6195	25	1998-02-02	PRIJEM	VKLAD	22281	55437	\N	\N	\N
6196	25	1998-05-04	PRIJEM	VKLAD	39037	87299	\N	\N	\N
6197	25	1998-01-29	PRIJEM	VKLAD	6293	39103	\N	\N	\N
6198	25	1998-08-09	PRIJEM	VKLAD	17165	71932	\N	\N	\N
6199	25	1998-10-06	PRIJEM	VKLAD	7578	30615	\N	\N	\N
6200	25	1998-05-25	PRIJEM	VKLAD	11875	69389	\N	\N	\N
6201	25	1998-06-25	PRIJEM	VKLAD	33290	57217	\N	\N	\N
6202	25	1998-05-09	PRIJEM	VKLAD	48185	134210	\N	\N	\N
6203	25	1998-08-27	PRIJEM	VKLAD	44221	71313	\N	\N	\N
6204	25	1998-12-09	PRIJEM	VKLAD	48853	96519	\N	\N	\N
6205	25	1998-01-27	PRIJEM	VKLAD	25817	34610	\N	\N	\N
6206	25	1998-10-29	PRIJEM	VKLAD	23516	43517	\N	\N	\N
6207	25	1998-05-20	PRIJEM	VKLAD	25444	57514	\N	\N	\N
6208	25	1998-07-14	PRIJEM	VKLAD	44083	108878	\N	\N	\N
6209	25	1998-11-18	PRIJEM	VKLAD	20900	48787	\N	\N	\N
6210	25	1998-04-26	PRIJEM	VKLAD	6373	48196	\N	\N	\N
6211	25	1998-07-07	PRIJEM	VKLAD	25185	81499	\N	\N	\N
6212	25	1998-04-25	PRIJEM	VKLAD	33007	41823	\N	\N	\N
6222	25	1996-10-07	VYDAJ	VYBER	2400	77200	\N	\N	0
6223	25	1996-11-11	VYDAJ	VYBER	1500	78009	\N	\N	0
6224	25	1996-12-20	VYDAJ	VYBER	1900	101547	\N	\N	0
6225	25	1997-01-22	VYDAJ	VYBER	2000	47916	\N	\N	0
6226	25	1997-02-03	VYDAJ	VYBER	2200	42701	\N	\N	0
6227	25	1997-03-25	VYDAJ	VYBER	3200	26208	\N	\N	0
6228	25	1997-03-31	VYDAJ	VYBER	2900	23428	\N	\N	0
6229	25	1997-05-02	VYDAJ	VYBER	1600	35483	\N	\N	0
6230	25	1997-06-04	VYDAJ	VYBER	1800	75222	\N	\N	0
6231	25	1997-07-10	VYDAJ	VYBER	1700	52783	\N	\N	0
6232	25	1997-07-28	VYDAJ	VYBER	2100	49578	\N	\N	0
6233	25	1997-09-09	VYDAJ	VYBER	2600	51194	\N	\N	0
6234	25	1997-10-10	VYDAJ	VYBER	2600	61030	\N	\N	0
6235	25	1997-10-27	VYDAJ	VYBER	2500	62048	\N	\N	0
6236	25	1997-12-12	VYDAJ	PREVOD NA UCET	2523	22118	UVER	YZ	1301700
6237	25	1998-01-12	VYDAJ	PREVOD NA UCET	2523	8793	UVER	YZ	1301700
6238	25	1998-02-12	VYDAJ	PREVOD NA UCET	2523	44822	UVER	YZ	1301700
6239	25	1998-03-12	VYDAJ	PREVOD NA UCET	2523	19352	UVER	YZ	1301700
6240	25	1998-04-12	VYDAJ	PREVOD NA UCET	2523	8816	UVER	YZ	1301700
6241	25	1998-05-12	VYDAJ	PREVOD NA UCET	2523	61570	UVER	YZ	1301700
6242	25	1998-06-12	VYDAJ	PREVOD NA UCET	2523	59027	UVER	YZ	1301700
6243	25	1998-07-12	VYDAJ	PREVOD NA UCET	2523	64795	UVER	YZ	1301700
6244	25	1998-08-12	VYDAJ	PREVOD NA UCET	2523	62592	UVER	YZ	1301700
6245	25	1998-09-12	VYDAJ	PREVOD NA UCET	2523	49183	UVER	YZ	1301700
6246	25	1998-10-12	VYDAJ	PREVOD NA UCET	2523	20001	UVER	YZ	1301700
6247	25	1998-11-12	VYDAJ	PREVOD NA UCET	2523	27887	UVER	YZ	1301700
6248	25	1998-12-17	VYDAJ	VYBER	2700	33302	\N	\N	0
6258	25	1996-10-10	VYDAJ	PREVOD NA UCET	6817	70219	SIPO	IJ	4896235
6259	25	1996-11-10	VYDAJ	PREVOD NA UCET	6817	79509	SIPO	IJ	4896235
6260	25	1996-12-10	VYDAJ	PREVOD NA UCET	6817	70522	SIPO	IJ	4896235
6261	25	1997-01-10	VYDAJ	PREVOD NA UCET	6817	51763	SIPO	IJ	4896235
6262	25	1997-02-10	VYDAJ	PREVOD NA UCET	6817	74095	SIPO	IJ	4896235
6263	25	1997-03-10	VYDAJ	PREVOD NA UCET	6817	31008	SIPO	IJ	4896235
6264	25	1997-04-10	VYDAJ	PREVOD NA UCET	6817	77304	SIPO	IJ	4896235
6265	25	1997-05-10	VYDAJ	PREVOD NA UCET	6817	91199	SIPO	IJ	4896235
6266	25	1997-06-10	VYDAJ	PREVOD NA UCET	6817	64902	SIPO	IJ	4896235
6267	25	1997-07-10	VYDAJ	PREVOD NA UCET	6817	54483	SIPO	IJ	4896235
6268	25	1997-08-10	VYDAJ	PREVOD NA UCET	6817	59907	SIPO	IJ	4896235
6269	25	1997-09-10	VYDAJ	PREVOD NA UCET	6817	44377	SIPO	IJ	4896235
6270	25	1997-10-10	VYDAJ	PREVOD NA UCET	6817	63630	SIPO	IJ	4896235
6271	25	1997-11-10	VYDAJ	PREVOD NA UCET	6817	83437	SIPO	IJ	4896235
6272	25	1997-12-10	VYDAJ	PREVOD NA UCET	6817	24641	SIPO	IJ	4896235
6273	25	1998-01-10	VYDAJ	PREVOD NA UCET	6817	11317	SIPO	IJ	4896235
6274	25	1998-02-10	VYDAJ	PREVOD NA UCET	6817	47346	SIPO	IJ	4896235
6275	25	1998-03-10	VYDAJ	PREVOD NA UCET	6817	21875	SIPO	IJ	4896235
6276	25	1998-04-10	VYDAJ	PREVOD NA UCET	6817	11339	SIPO	IJ	4896235
6277	25	1998-05-10	VYDAJ	PREVOD NA UCET	6817	64093	SIPO	IJ	4896235
6278	25	1998-06-10	VYDAJ	PREVOD NA UCET	6817	61550	SIPO	IJ	4896235
6279	25	1998-07-10	VYDAJ	PREVOD NA UCET	6817	74518	SIPO	IJ	4896235
6280	25	1998-08-10	VYDAJ	PREVOD NA UCET	6817	65115	SIPO	IJ	4896235
6281	25	1998-09-10	VYDAJ	PREVOD NA UCET	6817	51706	SIPO	IJ	4896235
6282	25	1998-10-10	VYDAJ	PREVOD NA UCET	6817	22524	SIPO	IJ	4896235
6283	25	1998-11-10	VYDAJ	PREVOD NA UCET	6817	30410	SIPO	IJ	4896235
6284	25	1998-12-10	VYDAJ	PREVOD NA UCET	6817	89702	SIPO	IJ	4896235
6294	25	1996-10-06	VYDAJ	PREVOD NA UCET	1110	79600	 	AB	79838293
6295	25	1996-11-06	VYDAJ	PREVOD NA UCET	1110	65325	 	AB	79838293
6296	25	1996-12-06	VYDAJ	PREVOD NA UCET	1110	68099	 	AB	79838293
6297	25	1997-01-06	VYDAJ	PREVOD NA UCET	1110	58744	 	AB	79838293
6298	25	1997-02-06	VYDAJ	PREVOD NA UCET	1110	81076	 	AB	79838293
6299	25	1997-03-06	VYDAJ	PREVOD NA UCET	1110	37989	 	AB	79838293
6300	25	1997-04-06	VYDAJ	PREVOD NA UCET	1110	72052	 	AB	79838293
6301	25	1997-05-06	VYDAJ	PREVOD NA UCET	1110	53324	 	AB	79838293
6302	25	1997-06-06	VYDAJ	PREVOD NA UCET	1110	74112	 	AB	79838293
6303	25	1997-07-06	VYDAJ	PREVOD NA UCET	1110	71664	 	AB	79838293
6304	25	1997-08-06	VYDAJ	PREVOD NA UCET	1110	48660	 	AB	79838293
6305	25	1997-09-06	VYDAJ	PREVOD NA UCET	1110	53958	 	AB	79838293
6306	25	1997-10-06	VYDAJ	PREVOD NA UCET	1110	70611	 	AB	79838293
6307	25	1997-11-06	VYDAJ	PREVOD NA UCET	1110	90418	 	AB	79838293
6308	25	1997-12-06	VYDAJ	PREVOD NA UCET	1110	31622	 	AB	79838293
6309	25	1998-01-06	VYDAJ	PREVOD NA UCET	1110	18298	 	AB	79838293
6310	25	1998-02-06	VYDAJ	PREVOD NA UCET	1110	54327	 	AB	79838293
6311	25	1998-03-06	VYDAJ	PREVOD NA UCET	1110	28856	 	AB	79838293
6312	25	1998-04-06	VYDAJ	PREVOD NA UCET	1110	18320	 	AB	79838293
6313	25	1998-05-06	VYDAJ	PREVOD NA UCET	1110	86189	 	AB	79838293
6314	25	1998-06-06	VYDAJ	PREVOD NA UCET	1110	68531	 	AB	79838293
6315	25	1998-07-06	VYDAJ	PREVOD NA UCET	1110	56314	 	AB	79838293
6316	25	1998-08-06	VYDAJ	PREVOD NA UCET	1110	54931	 	AB	79838293
6317	25	1998-09-06	VYDAJ	PREVOD NA UCET	1110	58687	 	AB	79838293
6318	25	1998-10-06	VYDAJ	PREVOD NA UCET	1110	29505	 	AB	79838293
6319	25	1998-11-06	VYDAJ	PREVOD NA UCET	1110	37391	 	AB	79838293
6320	25	1998-12-06	VYDAJ	PREVOD NA UCET	1110	47830	 	AB	79838293
6330	25	1996-10-08	VYDAJ	PREVOD NA UCET	164	77036	POJISTNE	WX	52864879
6331	25	1996-11-08	VYDAJ	PREVOD NA UCET	164	66380	POJISTNE	WX	52864879
6332	25	1996-12-08	VYDAJ	PREVOD NA UCET	164	67935	POJISTNE	WX	52864879
6333	25	1997-01-08	VYDAJ	PREVOD NA UCET	164	58580	POJISTNE	WX	52864879
6334	25	1997-02-08	VYDAJ	PREVOD NA UCET	164	80912	POJISTNE	WX	52864879
6335	25	1997-03-08	VYDAJ	PREVOD NA UCET	164	37825	POJISTNE	WX	52864879
6336	25	1997-04-08	VYDAJ	PREVOD NA UCET	164	84121	POJISTNE	WX	52864879
6337	25	1997-05-08	VYDAJ	PREVOD NA UCET	164	53160	POJISTNE	WX	52864879
6338	25	1997-06-08	VYDAJ	PREVOD NA UCET	164	66448	POJISTNE	WX	52864879
6339	25	1997-07-08	VYDAJ	PREVOD NA UCET	164	61300	POJISTNE	WX	52864879
6340	25	1997-08-08	VYDAJ	PREVOD NA UCET	164	48496	POJISTNE	WX	52864879
6341	25	1997-09-08	VYDAJ	PREVOD NA UCET	164	53794	POJISTNE	WX	52864879
6342	25	1997-10-08	VYDAJ	PREVOD NA UCET	164	70447	POJISTNE	WX	52864879
6343	25	1997-11-08	VYDAJ	PREVOD NA UCET	164	90254	POJISTNE	WX	52864879
6344	25	1997-12-08	VYDAJ	PREVOD NA UCET	164	31458	POJISTNE	WX	52864879
6345	25	1998-01-08	VYDAJ	PREVOD NA UCET	164	18134	POJISTNE	WX	52864879
6346	25	1998-02-08	VYDAJ	PREVOD NA UCET	164	54163	POJISTNE	WX	52864879
6347	25	1998-03-08	VYDAJ	PREVOD NA UCET	164	28692	POJISTNE	WX	52864879
6348	25	1998-04-08	VYDAJ	PREVOD NA UCET	164	18156	POJISTNE	WX	52864879
6349	25	1998-05-08	VYDAJ	PREVOD NA UCET	164	86025	POJISTNE	WX	52864879
6350	25	1998-06-08	VYDAJ	PREVOD NA UCET	164	68367	POJISTNE	WX	52864879
6351	25	1998-07-08	VYDAJ	PREVOD NA UCET	164	81335	POJISTNE	WX	52864879
6352	25	1998-08-08	VYDAJ	PREVOD NA UCET	164	54767	POJISTNE	WX	52864879
6353	25	1998-09-08	VYDAJ	PREVOD NA UCET	164	58523	POJISTNE	WX	52864879
6354	25	1998-10-08	VYDAJ	PREVOD NA UCET	164	29341	POJISTNE	WX	52864879
6355	25	1998-11-08	VYDAJ	PREVOD NA UCET	164	37227	POJISTNE	WX	52864879
6356	25	1998-12-08	VYDAJ	PREVOD NA UCET	164	47666	POJISTNE	WX	52864879
6358	25	1996-12-12	VYBER	VYBER	16030	54492	\N	\N	\N
6368	25	1997-01-18	VYBER	VYBER	3627	82316	\N	\N	\N
6369	25	1997-01-11	VYBER	VYBER	3841	88943	\N	\N	\N
6370	25	1997-12-02	VYBER	VYBER	7278	32732	\N	\N	\N
6372	25	1997-02-20	VYBER	VYBER	22926	51169	\N	\N	\N
6373	25	1997-04-15	VYBER	VYBER	13141	64163	\N	\N	\N
6374	25	1998-07-11	VYBER	VYBER	7200	67318	\N	\N	\N
6381	25	1998-09-02	VYBER	VYBER	11715	59797	\N	\N	\N
6383	25	1997-06-22	VYDAJ	VYBER	16800	48102	\N	\N	\N
6386	25	1997-01-19	VYDAJ	VYBER	7800	58616	\N	\N	\N
6388	25	1996-12-27	VYDAJ	VYBER	2400	62847	\N	\N	\N
6390	25	1998-12-27	VYDAJ	VYBER	3300	30002	\N	\N	\N
6397	25	1997-01-17	VYDAJ	VYBER	3000	85943	\N	\N	\N
6398	25	1997-01-19	VYDAJ	VYBER	7500	66416	\N	\N	\N
6399	25	1997-01-19	VYDAJ	VYBER	8400	73916	\N	\N	\N
6400	25	1997-01-29	VYDAJ	VYBER	7800	29116	\N	\N	\N
6401	25	1997-01-21	VYDAJ	VYBER	8700	49916	\N	\N	\N
6402	25	1997-01-01	VYDAJ	VYBER	3300	59854	\N	\N	\N
6403	25	1998-01-28	VYDAJ	VYBER	1800	32810	\N	\N	\N
6404	25	1998-01-29	VYDAJ	VYBER	6000	33103	\N	\N	\N
6412	25	1997-05-29	VYDAJ	VYBER	11400	76730	\N	\N	\N
6413	25	1997-06-07	VYDAJ	VYBER	7500	66612	\N	\N	\N
6414	25	1997-07-25	VYDAJ	VYBER	6900	30783	\N	\N	\N
6415	25	1997-04-29	VYDAJ	VYBER	5700	36863	\N	\N	\N
6417	25	1997-07-06	VYDAJ	VYBER	10200	61464	\N	\N	\N
6418	25	1998-11-04	VYDAJ	VYBER	5100	38501	\N	\N	\N
6419	25	1998-08-23	VYDAJ	VYBER	3000	27092	\N	\N	\N
6430	25	1996-10-31	VYDAJ	VYBER	15	87590	SLUZBY	\N	\N
6431	25	1996-11-30	VYDAJ	VYBER	15	69209	SLUZBY	\N	\N
6432	25	1996-12-31	VYDAJ	VYBER	15	63154	SLUZBY	\N	\N
6433	25	1997-01-31	VYDAJ	VYBER	15	29352	SLUZBY	\N	\N
6434	25	1997-02-28	VYDAJ	VYBER	15	39099	SLUZBY	\N	\N
6435	25	1997-03-31	VYDAJ	VYBER	15	26328	SLUZBY	\N	\N
6436	25	1997-04-30	VYDAJ	VYBER	15	37083	SLUZBY	\N	\N
6437	25	1997-05-31	VYDAJ	VYBER	15	77022	SLUZBY	\N	\N
6438	25	1997-06-30	VYDAJ	VYBER	15	34932	SLUZBY	\N	\N
6439	25	1997-07-31	VYDAJ	VYBER	15	49770	SLUZBY	\N	\N
6440	25	1997-08-31	VYDAJ	VYBER	15	42307	SLUZBY	\N	\N
6441	25	1997-09-30	VYDAJ	VYBER	15	71721	SLUZBY	\N	\N
6442	25	1997-10-31	VYDAJ	VYBER	15	91528	SLUZBY	\N	\N
6443	25	1997-11-30	VYDAJ	VYBER	15	40010	SLUZBY	\N	\N
6444	25	1997-12-31	VYDAJ	VYBER	15	19408	SLUZBY	\N	\N
6445	25	1998-01-31	VYDAJ	VYBER	15	33156	SLUZBY	\N	\N
6446	25	1998-02-28	VYDAJ	VYBER	15	29966	SLUZBY	\N	\N
6447	25	1998-03-31	VYDAJ	VYBER	15	19430	SLUZBY	\N	\N
6448	25	1998-04-30	VYDAJ	VYBER	15	48262	SLUZBY	\N	\N
6449	25	1998-05-31	VYDAJ	VYBER	15	69641	SLUZBY	\N	\N
6450	25	1998-06-30	VYDAJ	VYBER	15	57424	SLUZBY	\N	\N
6451	25	1998-07-31	VYDAJ	VYBER	15	56041	SLUZBY	\N	\N
6452	25	1998-08-31	VYDAJ	VYBER	15	71512	SLUZBY	\N	\N
6453	25	1998-09-30	VYDAJ	VYBER	15	23037	SLUZBY	\N	\N
6454	25	1998-10-31	VYDAJ	VYBER	15	43601	SLUZBY	\N	\N
6455	25	1998-11-30	VYDAJ	VYBER	15	48940	SLUZBY	\N	\N
6456	25	1996-08-27	PRIJEM	VKLAD	15800	16700	\N	\N	\N
6457	25	1996-09-06	VYDAJ	VYBER	36000	77580	\N	\N	\N
6458	25	1996-09-26	VYDAJ	VYBER	33600	57774	\N	\N	\N
6459	25	1996-10-26	VYDAJ	VYBER	23800	46419	\N	\N	\N
6460	25	1996-11-06	VYDAJ	VYBER	50300	66435	\N	\N	\N
6461	25	1996-11-07	VYDAJ	VYBER	46900	66544	\N	\N	\N
6462	25	1996-11-15	VYDAJ	VYBER	62800	46310	\N	\N	\N
6463	25	1996-11-25	VYDAJ	VYBER	6800	39510	\N	\N	\N
6464	25	1996-12-09	VYDAJ	VYBER	62900	52214	\N	\N	\N
6465	25	1996-12-25	VYDAJ	VYBER	36300	65247	\N	\N	\N
6466	25	1997-01-24	VYDAJ	VYBER	11000	36916	\N	\N	\N
6467	25	1997-02-23	VYDAJ	VYBER	12300	38869	\N	\N	\N
6468	25	1997-03-25	VYDAJ	VYBER	1600	29408	\N	\N	\N
6469	25	1997-04-07	VYDAJ	VYBER	27200	84285	\N	\N	\N
6470	25	1997-04-24	VYDAJ	VYBER	21600	42563	\N	\N	\N
6471	25	1997-05-24	VYDAJ	VYBER	34000	57199	\N	\N	\N
6472	25	1997-06-23	VYDAJ	VYBER	13400	34702	\N	\N	\N
6473	25	1997-07-23	VYDAJ	VYBER	15100	37683	\N	\N	\N
6474	25	1997-08-22	VYDAJ	VYBER	17800	42107	\N	\N	\N
6475	25	1997-09-21	VYDAJ	VYBER	33600	53210	\N	\N	\N
6476	25	1997-10-21	VYDAJ	VYBER	30700	56454	\N	\N	\N
6477	25	1997-11-20	VYDAJ	VYBER	59200	39653	\N	\N	\N
6478	25	1997-11-20	VYDAJ	VYBER	20800	98853	\N	\N	\N
6479	25	1997-12-20	VYDAJ	VYBER	2800	19318	\N	\N	\N
6480	25	1998-02-18	VYDAJ	VYBER	15000	29822	\N	\N	\N
6481	25	1998-05-09	VYDAJ	VYBER	63300	70910	\N	\N	\N
6482	25	1998-05-19	VYDAJ	VYBER	29500	32070	\N	\N	\N
6483	25	1998-06-18	VYDAJ	VYBER	35100	23927	\N	\N	\N
6484	25	1998-07-18	VYDAJ	VYBER	53100	55778	\N	\N	\N
6485	25	1998-08-17	VYDAJ	VYBER	32500	30092	\N	\N	\N
6486	25	1998-09-16	VYDAJ	VYBER	26300	22883	\N	\N	\N
6487	25	1998-12-15	VYDAJ	VYBER	53700	36002	\N	\N	\N
6517	26	1993-08-08	PRIJEM	VKLAD	800	800	\N	\N	\N
6525	26	1993-08-12	PRIJEM	PREVOD Z UCTU	24802	25602	\N	GH	73418420
6526	26	1993-09-12	PRIJEM	PREVOD Z UCTU	24802	51773	\N	GH	73418420
6527	26	1993-10-12	PRIJEM	PREVOD Z UCTU	24802	61451	\N	GH	73418420
6528	26	1993-11-12	PRIJEM	PREVOD Z UCTU	24802	67494	\N	GH	73418420
6529	26	1993-12-12	PRIJEM	PREVOD Z UCTU	37203	83469	\N	GH	73418420
6530	26	1994-01-12	PRIJEM	PREVOD Z UCTU	24802	67293	\N	GH	73418420
6531	26	1994-02-12	PRIJEM	PREVOD Z UCTU	24802	45046	\N	GH	73418420
6532	26	1994-03-12	PRIJEM	PREVOD Z UCTU	24802	50405	\N	GH	73418420
6533	26	1994-04-12	PRIJEM	PREVOD Z UCTU	24802	41916	\N	GH	73418420
6534	26	1994-05-12	PRIJEM	PREVOD Z UCTU	24802	47962	\N	GH	73418420
6535	26	1994-06-12	PRIJEM	PREVOD Z UCTU	37203	61239	\N	GH	73418420
6536	26	1994-07-12	PRIJEM	PREVOD Z UCTU	24802	55654	\N	GH	73418420
6537	26	1994-08-12	PRIJEM	PREVOD Z UCTU	24802	56170	\N	GH	73418420
6538	26	1994-09-12	PRIJEM	PREVOD Z UCTU	24802	36048	\N	GH	73418420
6539	26	1994-10-12	PRIJEM	PREVOD Z UCTU	24802	43467	\N	GH	73418420
6540	26	1994-11-12	PRIJEM	PREVOD Z UCTU	24802	45824	\N	GH	73418420
6541	26	1994-12-12	PRIJEM	PREVOD Z UCTU	37203	59293	\N	GH	73418420
6542	26	1995-01-12	PRIJEM	PREVOD Z UCTU	24802	45499	\N	GH	73418420
6543	26	1995-02-12	PRIJEM	PREVOD Z UCTU	24802	40054	\N	GH	73418420
6544	26	1995-03-12	PRIJEM	PREVOD Z UCTU	24802	42894	\N	GH	73418420
6545	26	1995-04-12	PRIJEM	PREVOD Z UCTU	24802	39537	\N	GH	73418420
6546	26	1995-05-12	PRIJEM	PREVOD Z UCTU	24802	45172	\N	GH	73418420
6547	26	1995-06-12	PRIJEM	PREVOD Z UCTU	37203	60136	\N	GH	73418420
6548	26	1995-07-12	PRIJEM	PREVOD Z UCTU	24802	47516	\N	GH	73418420
6549	26	1995-08-12	PRIJEM	PREVOD Z UCTU	24802	46786	\N	GH	73418420
6550	26	1995-09-12	PRIJEM	PREVOD Z UCTU	24802	43740	\N	GH	73418420
6551	26	1995-10-12	PRIJEM	PREVOD Z UCTU	24802	38566	\N	GH	73418420
6552	26	1995-11-12	PRIJEM	PREVOD Z UCTU	24802	42598	\N	GH	73418420
6553	26	1995-12-12	PRIJEM	PREVOD Z UCTU	37203	52546	\N	GH	73418420
6554	26	1996-01-12	PRIJEM	PREVOD Z UCTU	24802	42689	\N	GH	73418420
6555	26	1996-02-12	PRIJEM	PREVOD Z UCTU	24802	37612	\N	GH	73418420
6556	26	1996-03-12	PRIJEM	PREVOD Z UCTU	24802	40234	\N	GH	73418420
6557	26	1996-04-12	PRIJEM	PREVOD Z UCTU	24802	34328	\N	GH	73418420
6558	26	1996-05-12	PRIJEM	PREVOD Z UCTU	24802	36634	\N	GH	73418420
6559	26	1996-06-12	PRIJEM	PREVOD Z UCTU	37203	49250	\N	GH	73418420
6560	26	1996-07-12	PRIJEM	PREVOD Z UCTU	24802	46194	\N	GH	73418420
6561	26	1996-08-12	PRIJEM	PREVOD Z UCTU	24802	46646	\N	GH	73418420
6562	26	1996-09-12	PRIJEM	PREVOD Z UCTU	24802	47900	\N	GH	73418420
6563	26	1996-10-12	PRIJEM	PREVOD Z UCTU	24802	47555	\N	GH	73418420
6564	26	1996-11-12	PRIJEM	PREVOD Z UCTU	24802	37102	\N	GH	73418420
6565	26	1996-12-12	PRIJEM	PREVOD Z UCTU	37203	49806	\N	GH	73418420
6566	26	1997-01-12	PRIJEM	PREVOD Z UCTU	24802	44340	\N	GH	73418420
6567	26	1997-02-12	PRIJEM	PREVOD Z UCTU	24802	40569	\N	GH	73418420
6568	26	1997-03-12	PRIJEM	PREVOD Z UCTU	24802	41190	\N	GH	73418420
6569	26	1997-04-12	PRIJEM	PREVOD Z UCTU	24802	35201	\N	GH	73418420
6570	26	1997-05-12	PRIJEM	PREVOD Z UCTU	24802	38004	\N	GH	73418420
6571	26	1997-06-12	PRIJEM	PREVOD Z UCTU	37203	51516	\N	GH	73418420
6572	26	1997-07-12	PRIJEM	PREVOD Z UCTU	24802	39846	\N	GH	73418420
6573	26	1997-08-12	PRIJEM	PREVOD Z UCTU	24802	38156	\N	GH	73418420
6574	26	1997-09-12	PRIJEM	PREVOD Z UCTU	24802	35154	\N	GH	73418420
6575	26	1997-10-12	PRIJEM	PREVOD Z UCTU	24802	35446	\N	GH	73418420
6576	26	1997-11-12	PRIJEM	PREVOD Z UCTU	24802	36741	\N	GH	73418420
6577	26	1997-12-12	PRIJEM	PREVOD Z UCTU	37203	54951	\N	GH	73418420
6578	26	1998-01-12	PRIJEM	PREVOD Z UCTU	24802	44491	\N	GH	73418420
6579	26	1998-02-12	PRIJEM	PREVOD Z UCTU	24802	48722	\N	GH	73418420
6580	26	1998-03-12	PRIJEM	PREVOD Z UCTU	24802	50568	\N	GH	73418420
6581	26	1998-04-12	PRIJEM	PREVOD Z UCTU	24802	49117	\N	GH	73418420
6582	26	1998-05-12	PRIJEM	PREVOD Z UCTU	24802	39151	\N	GH	73418420
6583	26	1998-06-12	PRIJEM	PREVOD Z UCTU	37203	53660	\N	GH	73418420
6584	26	1998-07-12	PRIJEM	PREVOD Z UCTU	24802	50796	\N	GH	73418420
6585	26	1998-08-12	PRIJEM	PREVOD Z UCTU	24802	40840	\N	GH	73418420
6586	26	1998-09-12	PRIJEM	PREVOD Z UCTU	24802	43781	\N	GH	73418420
6587	26	1998-10-12	PRIJEM	PREVOD Z UCTU	24802	51431	\N	GH	73418420
6588	26	1998-11-12	PRIJEM	PREVOD Z UCTU	24802	46981	\N	GH	73418420
6589	26	1998-12-12	PRIJEM	PREVOD Z UCTU	37203	56088	\N	GH	73418420
6602	26	1994-01-06	VYDAJ	PREVOD NA UCET	10387	42491	SIPO	EF	12891853
6603	26	1994-02-06	VYDAJ	PREVOD NA UCET	10387	20244	SIPO	EF	12891853
6604	26	1994-03-06	VYDAJ	PREVOD NA UCET	10387	27303	SIPO	EF	12891853
6605	26	1994-04-06	VYDAJ	PREVOD NA UCET	10387	17114	SIPO	EF	12891853
6606	26	1994-05-06	VYDAJ	PREVOD NA UCET	10387	23160	SIPO	EF	12891853
6607	26	1994-06-06	VYDAJ	PREVOD NA UCET	10387	24036	SIPO	EF	12891853
6608	26	1994-07-06	VYDAJ	PREVOD NA UCET	10387	30852	SIPO	EF	12891853
6609	26	1994-08-06	VYDAJ	PREVOD NA UCET	10387	31368	SIPO	EF	12891853
6610	26	1994-09-06	VYDAJ	PREVOD NA UCET	10387	11246	SIPO	EF	12891853
6611	26	1994-10-06	VYDAJ	PREVOD NA UCET	10387	18665	SIPO	EF	12891853
6612	26	1994-11-06	VYDAJ	PREVOD NA UCET	10387	21022	SIPO	EF	12891853
6613	26	1994-12-06	VYDAJ	PREVOD NA UCET	10387	22090	SIPO	EF	12891853
6614	26	1995-01-06	VYDAJ	PREVOD NA UCET	10387	29697	SIPO	EF	12891853
6615	26	1995-02-06	VYDAJ	PREVOD NA UCET	10387	15252	SIPO	EF	12891853
6616	26	1995-03-06	VYDAJ	PREVOD NA UCET	10387	18092	SIPO	EF	12891853
6617	26	1995-04-06	VYDAJ	PREVOD NA UCET	10387	14735	SIPO	EF	12891853
6618	26	1995-05-06	VYDAJ	PREVOD NA UCET	10387	20370	SIPO	EF	12891853
6619	26	1995-06-06	VYDAJ	PREVOD NA UCET	10387	22933	SIPO	EF	12891853
6620	26	1995-07-06	VYDAJ	PREVOD NA UCET	10387	22714	SIPO	EF	12891853
6621	26	1995-08-06	VYDAJ	PREVOD NA UCET	10387	21984	SIPO	EF	12891853
6622	26	1995-09-06	VYDAJ	PREVOD NA UCET	10387	18938	SIPO	EF	12891853
6623	26	1995-10-06	VYDAJ	PREVOD NA UCET	10387	13764	SIPO	EF	12891853
6624	26	1995-11-06	VYDAJ	PREVOD NA UCET	10387	17796	SIPO	EF	12891853
6625	26	1995-12-06	VYDAJ	PREVOD NA UCET	10387	15343	SIPO	EF	12891853
6626	26	1996-01-06	VYDAJ	PREVOD NA UCET	10387	17887	SIPO	EF	12891853
6627	26	1996-02-06	VYDAJ	PREVOD NA UCET	10387	12810	SIPO	EF	12891853
6628	26	1996-03-06	VYDAJ	PREVOD NA UCET	10387	15432	SIPO	EF	12891853
6629	26	1996-04-06	VYDAJ	PREVOD NA UCET	10387	9526	SIPO	EF	12891853
6630	26	1996-05-06	VYDAJ	PREVOD NA UCET	10387	11832	SIPO	EF	12891853
6631	26	1996-06-06	VYDAJ	PREVOD NA UCET	10387	12047	SIPO	EF	12891853
6632	26	1996-07-06	VYDAJ	PREVOD NA UCET	10387	21392	SIPO	EF	12891853
6633	26	1996-08-06	VYDAJ	PREVOD NA UCET	10387	21844	SIPO	EF	12891853
6634	26	1996-09-06	VYDAJ	PREVOD NA UCET	10387	23098	SIPO	EF	12891853
6635	26	1996-10-06	VYDAJ	PREVOD NA UCET	10387	22753	SIPO	EF	12891853
6636	26	1996-11-06	VYDAJ	PREVOD NA UCET	10387	12300	SIPO	EF	12891853
6637	26	1996-12-06	VYDAJ	PREVOD NA UCET	10387	12603	SIPO	EF	12891853
6638	26	1997-01-06	VYDAJ	PREVOD NA UCET	10387	19538	SIPO	EF	12891853
6639	26	1997-02-06	VYDAJ	PREVOD NA UCET	10387	15767	SIPO	EF	12891853
6640	26	1997-03-06	VYDAJ	PREVOD NA UCET	10387	16388	SIPO	EF	12891853
6641	26	1997-04-06	VYDAJ	PREVOD NA UCET	10387	10399	SIPO	EF	12891853
6642	26	1997-05-06	VYDAJ	PREVOD NA UCET	10387	13202	SIPO	EF	12891853
6643	26	1997-06-06	VYDAJ	PREVOD NA UCET	10387	14313	SIPO	EF	12891853
6644	26	1997-07-06	VYDAJ	PREVOD NA UCET	10387	15044	SIPO	EF	12891853
6645	26	1997-08-06	VYDAJ	PREVOD NA UCET	10387	13354	SIPO	EF	12891853
6646	26	1997-09-06	VYDAJ	PREVOD NA UCET	10387	10352	SIPO	EF	12891853
6647	26	1997-10-06	VYDAJ	PREVOD NA UCET	10387	10644	SIPO	EF	12891853
6648	26	1997-11-06	VYDAJ	PREVOD NA UCET	10387	11939	SIPO	EF	12891853
6649	26	1997-12-06	VYDAJ	PREVOD NA UCET	10387	17748	SIPO	EF	12891853
6650	26	1998-01-06	VYDAJ	PREVOD NA UCET	10387	19689	SIPO	EF	12891853
6651	26	1998-02-06	VYDAJ	PREVOD NA UCET	10387	23920	SIPO	EF	12891853
6652	26	1998-03-06	VYDAJ	PREVOD NA UCET	10387	25766	SIPO	EF	12891853
6653	26	1998-04-06	VYDAJ	PREVOD NA UCET	10387	24315	SIPO	EF	12891853
6654	26	1998-05-06	VYDAJ	PREVOD NA UCET	10387	14349	SIPO	EF	12891853
6655	26	1998-06-06	VYDAJ	PREVOD NA UCET	10387	16457	SIPO	EF	12891853
6656	26	1998-07-06	VYDAJ	PREVOD NA UCET	10387	25994	SIPO	EF	12891853
6657	26	1998-08-06	VYDAJ	PREVOD NA UCET	10387	16038	SIPO	EF	12891853
6658	26	1998-09-06	VYDAJ	PREVOD NA UCET	10387	19579	SIPO	EF	12891853
6659	26	1998-10-06	VYDAJ	PREVOD NA UCET	10387	33529	SIPO	EF	12891853
6660	26	1998-11-06	VYDAJ	PREVOD NA UCET	10387	28679	SIPO	EF	12891853
6661	26	1998-12-06	VYDAJ	PREVOD NA UCET	10387	18885	SIPO	EF	12891853
6670	26	1994-03-22	VYBER	VYBER	11635	29170	\N	\N	\N
6673	26	1994-02-27	VYBER	VYBER	7498	37548	\N	\N	\N
6674	26	1994-08-19	VYBER	VYBER	21479	34691	\N	\N	\N
6676	26	1994-01-23	VYBER	VYBER	22879	35114	\N	\N	\N
6678	26	1995-09-19	VYBER	VYBER	12609	31131	\N	\N	\N
6679	26	1995-06-16	VYBER	VYBER	8794	51342	\N	\N	\N
6681	26	1995-01-15	VYBER	VYBER	16275	29224	\N	\N	\N
6682	26	1996-03-20	VYBER	VYBER	10825	29409	\N	\N	\N
6683	26	1996-10-18	VYBER	VYBER	12086	33669	\N	\N	\N
6691	26	1997-07-12	VYBER	VYBER	6002	33844	\N	\N	\N
6696	26	1997-03-12	VYBER	VYBER	17804	23386	\N	\N	\N
6698	26	1998-10-31	VYBER	VYBER	12545	39081	\N	\N	\N
6699	26	1998-11-14	VYBER	VYBER	17826	29155	\N	\N	\N
6700	26	1998-09-06	VYBER	VYBER	2380	29966	\N	\N	\N
6712	26	1995-01-07	VYDAJ	VYBER	9000	20697	\N	\N	\N
6715	26	1998-01-02	VYDAJ	VYBER	5100	30076	\N	\N	\N
6716	26	1993-12-30	VYDAJ	VYBER	1800	81669	\N	\N	\N
6718	26	1995-12-16	VYDAJ	VYBER	8400	44146	\N	\N	\N
6721	26	1998-12-22	VYDAJ	VYBER	4500	51588	\N	\N	\N
6727	26	1994-03-16	VYDAJ	VYBER	9600	40805	\N	\N	\N
6728	26	1994-01-12	VYDAJ	VYBER	9300	57993	\N	\N	\N
6729	26	1994-08-22	VYDAJ	VYBER	14400	20291	\N	\N	\N
6732	26	1995-03-21	VYDAJ	VYBER	5400	37494	\N	\N	\N
6733	26	1995-08-22	VYDAJ	VYBER	12000	34786	\N	\N	\N
6734	26	1995-04-02	VYDAJ	VYBER	3000	25122	\N	\N	\N
6735	26	1995-02-25	VYDAJ	VYBER	6000	34054	\N	\N	\N
6736	26	1995-12-04	VYDAJ	VYBER	6000	25730	\N	\N	\N
6737	26	1995-06-17	VYDAJ	VYBER	7200	44142	\N	\N	\N
6740	26	1996-11-14	VYDAJ	VYBER	7200	29902	\N	\N	\N
6741	26	1996-01-15	VYDAJ	VYBER	10800	31889	\N	\N	\N
6742	26	1996-10-17	VYDAJ	VYBER	1800	45755	\N	\N	\N
6743	26	1996-04-15	VYDAJ	VYBER	1500	32828	\N	\N	\N
6745	26	1997-08-15	VYDAJ	VYBER	6600	31556	\N	\N	\N
6748	26	1997-06-26	VYDAJ	VYBER	5700	25316	\N	\N	\N
6752	26	1998-04-28	VYDAJ	VYBER	6600	24617	\N	\N	\N
6753	26	1998-07-27	VYDAJ	VYBER	10800	26296	\N	\N	\N
6766	26	1993-12-31	VYDAJ	VYBER	15	81978	SLUZBY	\N	\N
6767	26	1994-01-31	VYDAJ	VYBER	15	35331	SLUZBY	\N	\N
6768	26	1994-02-28	VYDAJ	VYBER	15	37690	SLUZBY	\N	\N
6769	26	1994-03-31	VYDAJ	VYBER	15	29301	SLUZBY	\N	\N
6770	26	1994-04-30	VYDAJ	VYBER	15	42047	SLUZBY	\N	\N
6771	26	1994-05-31	VYDAJ	VYBER	15	48123	SLUZBY	\N	\N
6772	26	1994-06-30	VYDAJ	VYBER	15	61439	SLUZBY	\N	\N
6773	26	1994-07-31	VYDAJ	VYBER	15	55855	SLUZBY	\N	\N
6774	26	1994-08-31	VYDAJ	VYBER	15	20433	SLUZBY	\N	\N
6775	26	1994-09-30	VYDAJ	VYBER	15	36152	SLUZBY	\N	\N
6776	26	1994-10-31	VYDAJ	VYBER	15	43609	SLUZBY	\N	\N
6777	26	1994-11-30	VYDAJ	VYBER	15	45977	SLUZBY	\N	\N
6778	26	1994-12-31	VYDAJ	VYBER	15	59484	SLUZBY	\N	\N
6779	26	1995-01-31	VYDAJ	VYBER	15	25639	SLUZBY	\N	\N
6780	26	1995-02-28	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
6781	26	1995-03-31	VYDAJ	VYBER	15	37622	SLUZBY	\N	\N
6782	26	1995-04-30	VYDAJ	VYBER	15	39657	SLUZBY	\N	\N
6783	26	1995-05-31	VYDAJ	VYBER	15	33320	SLUZBY	\N	\N
6784	26	1995-06-30	VYDAJ	VYBER	15	33101	SLUZBY	\N	\N
6785	26	1995-07-31	VYDAJ	VYBER	15	32371	SLUZBY	\N	\N
6786	26	1995-08-31	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
6787	26	1995-09-30	VYDAJ	VYBER	15	24151	SLUZBY	\N	\N
6788	26	1995-10-31	VYDAJ	VYBER	15	28183	SLUZBY	\N	\N
6789	26	1995-11-30	VYDAJ	VYBER	15	31730	SLUZBY	\N	\N
6790	26	1995-12-31	VYDAJ	VYBER	15	28274	SLUZBY	\N	\N
6791	26	1996-01-31	VYDAJ	VYBER	15	23197	SLUZBY	\N	\N
6792	26	1996-02-29	VYDAJ	VYBER	15	25819	SLUZBY	\N	\N
6793	26	1996-03-31	VYDAJ	VYBER	15	19913	SLUZBY	\N	\N
6794	26	1996-04-30	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
6795	26	1996-05-31	VYDAJ	VYBER	15	22434	SLUZBY	\N	\N
6796	26	1996-06-30	VYDAJ	VYBER	15	31779	SLUZBY	\N	\N
6797	26	1996-07-31	VYDAJ	VYBER	15	32231	SLUZBY	\N	\N
6798	26	1996-08-31	VYDAJ	VYBER	15	33485	SLUZBY	\N	\N
6799	26	1996-09-30	VYDAJ	VYBER	15	33140	SLUZBY	\N	\N
6800	26	1996-10-31	VYDAJ	VYBER	15	22687	SLUZBY	\N	\N
6801	26	1996-11-30	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
6802	26	1996-12-31	VYDAJ	VYBER	15	29925	SLUZBY	\N	\N
6803	26	1997-01-31	VYDAJ	VYBER	15	26154	SLUZBY	\N	\N
6804	26	1997-02-28	VYDAJ	VYBER	15	26775	SLUZBY	\N	\N
6805	26	1997-03-31	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
6806	26	1997-04-30	VYDAJ	VYBER	15	23589	SLUZBY	\N	\N
6807	26	1997-05-31	VYDAJ	VYBER	15	24700	SLUZBY	\N	\N
6808	26	1997-06-30	VYDAJ	VYBER	15	25431	SLUZBY	\N	\N
6809	26	1997-07-31	VYDAJ	VYBER	15	23741	SLUZBY	\N	\N
6810	26	1997-08-31	VYDAJ	VYBER	15	20739	SLUZBY	\N	\N
6811	26	1997-09-30	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
6812	26	1997-10-31	VYDAJ	VYBER	15	22326	SLUZBY	\N	\N
6813	26	1997-11-30	VYDAJ	VYBER	15	28135	SLUZBY	\N	\N
6814	26	1997-12-31	VYDAJ	VYBER	15	35176	SLUZBY	\N	\N
6815	26	1998-01-31	VYDAJ	VYBER	15	34307	SLUZBY	\N	\N
6816	26	1998-02-28	VYDAJ	VYBER	15	36153	SLUZBY	\N	\N
6817	26	1998-03-31	VYDAJ	VYBER	15	34702	SLUZBY	\N	\N
6818	26	1998-04-30	VYDAJ	VYBER	15	24736	SLUZBY	\N	\N
6819	26	1998-05-31	VYDAJ	VYBER	15	26844	SLUZBY	\N	\N
6820	26	1998-06-30	VYDAJ	VYBER	15	36381	SLUZBY	\N	\N
6821	26	1998-07-31	VYDAJ	VYBER	15	26425	SLUZBY	\N	\N
6822	26	1998-08-31	VYDAJ	VYBER	15	32346	SLUZBY	\N	\N
6823	26	1998-09-30	VYDAJ	VYBER	15	43916	SLUZBY	\N	\N
6824	26	1998-10-31	VYDAJ	VYBER	15	39066	SLUZBY	\N	\N
6825	26	1998-11-30	VYDAJ	VYBER	15	29272	SLUZBY	\N	\N
6826	26	1993-09-07	PRIJEM	VKLAD	1300	26971	\N	\N	\N
6827	26	1993-10-07	VYDAJ	VYBER	15300	36649	\N	\N	\N
6828	26	1993-11-06	VYDAJ	VYBER	19000	42692	\N	\N	\N
6829	26	1993-12-06	VYDAJ	VYBER	21500	46266	\N	\N	\N
6830	26	1994-01-05	VYDAJ	VYBER	29100	52878	\N	\N	\N
6831	26	1994-02-04	VYDAJ	VYBER	4700	30631	\N	\N	\N
6832	26	1994-03-06	VYDAJ	VYBER	1700	25603	\N	\N	\N
6833	26	1994-04-05	VYDAJ	VYBER	1800	27501	\N	\N	\N
6834	26	1994-05-05	VYDAJ	VYBER	8500	33547	\N	\N	\N
6835	26	1994-06-04	VYDAJ	VYBER	13700	34423	\N	\N	\N
6836	26	1994-07-04	VYDAJ	VYBER	20200	41239	\N	\N	\N
6837	26	1994-08-03	VYDAJ	VYBER	14100	41755	\N	\N	\N
6838	26	1994-09-02	PRIJEM	VKLAD	1200	21633	\N	\N	\N
6839	26	1994-10-02	VYDAJ	VYBER	7100	29052	\N	\N	\N
6840	26	1994-11-01	VYDAJ	VYBER	12200	31409	\N	\N	\N
6841	26	1994-12-01	VYDAJ	VYBER	13500	32477	\N	\N	\N
6842	26	1994-12-31	VYDAJ	VYBER	19400	40084	\N	\N	\N
6843	26	1995-01-30	VYDAJ	VYBER	3700	25524	\N	\N	\N
6844	26	1995-03-01	VYDAJ	VYBER	5700	28479	\N	\N	\N
6845	26	1995-03-31	VYDAJ	VYBER	9500	28122	\N	\N	\N
6846	26	1995-04-30	VYDAJ	VYBER	8900	30757	\N	\N	\N
6847	26	1995-05-30	VYDAJ	VYBER	12000	33172	\N	\N	\N
6848	26	1995-06-29	VYDAJ	VYBER	11200	32942	\N	\N	\N
6849	26	1995-07-29	VYDAJ	VYBER	15300	32216	\N	\N	\N
6850	26	1995-08-28	VYDAJ	VYBER	5600	29186	\N	\N	\N
6851	26	1995-09-27	VYDAJ	VYBER	7100	24031	\N	\N	\N
6852	26	1995-10-27	VYDAJ	VYBER	10500	28066	\N	\N	\N
6853	26	1995-11-26	VYDAJ	VYBER	11000	31598	\N	\N	\N
6854	26	1995-12-26	VYDAJ	VYBER	16000	28146	\N	\N	\N
6855	26	1996-01-25	VYDAJ	VYBER	8800	23089	\N	\N	\N
6856	26	1996-02-24	VYDAJ	VYBER	11900	25712	\N	\N	\N
6857	26	1996-03-25	VYDAJ	VYBER	9600	19809	\N	\N	\N
6858	26	1996-04-24	VYDAJ	VYBER	10700	22128	\N	\N	\N
6859	26	1996-05-24	VYDAJ	VYBER	14300	22334	\N	\N	\N
6860	26	1996-06-23	VYDAJ	VYBER	17600	31650	\N	\N	\N
6861	26	1996-07-23	VYDAJ	VYBER	14100	32094	\N	\N	\N
6862	26	1996-08-22	VYDAJ	VYBER	13300	33346	\N	\N	\N
6863	26	1996-09-21	VYDAJ	VYBER	14900	33000	\N	\N	\N
6864	26	1996-10-21	VYDAJ	VYBER	11100	22569	\N	\N	\N
6865	26	1996-11-20	VYDAJ	VYBER	7000	22902	\N	\N	\N
6866	26	1996-12-20	VYDAJ	VYBER	20000	29806	\N	\N	\N
6867	26	1997-01-19	VYDAJ	VYBER	18300	26040	\N	\N	\N
6868	26	1997-02-18	VYDAJ	VYBER	13900	26669	\N	\N	\N
6869	26	1997-03-20	VYDAJ	VYBER	2700	20686	\N	\N	\N
6870	26	1997-04-19	VYDAJ	VYBER	11700	23501	\N	\N	\N
6871	26	1997-05-19	VYDAJ	VYBER	13400	24604	\N	\N	\N
6872	26	1997-06-18	VYDAJ	VYBER	20500	31016	\N	\N	\N
6873	26	1997-07-18	VYDAJ	VYBER	10200	23644	\N	\N	\N
6874	26	1997-08-17	VYDAJ	VYBER	10900	20656	\N	\N	\N
6875	26	1997-09-16	VYDAJ	VYBER	14200	20954	\N	\N	\N
6876	26	1997-10-16	VYDAJ	VYBER	13200	22246	\N	\N	\N
6877	26	1997-11-15	VYDAJ	VYBER	8700	28041	\N	\N	\N
6878	26	1997-12-15	VYDAJ	VYBER	19900	35051	\N	\N	\N
6879	26	1998-01-14	VYDAJ	VYBER	10300	34191	\N	\N	\N
6880	26	1998-02-13	VYDAJ	VYBER	12700	36022	\N	\N	\N
6881	26	1998-03-15	VYDAJ	VYBER	16000	34568	\N	\N	\N
6882	26	1998-04-14	VYDAJ	VYBER	17900	31217	\N	\N	\N
6883	26	1998-05-14	VYDAJ	VYBER	12400	26751	\N	\N	\N
6884	26	1998-06-13	VYDAJ	VYBER	17400	36260	\N	\N	\N
6885	26	1998-07-13	VYDAJ	VYBER	13700	37096	\N	\N	\N
6886	26	1998-08-12	VYDAJ	VYBER	8600	32240	\N	\N	\N
6887	26	1998-09-11	VYDAJ	VYBER	600	18979	\N	\N	\N
6888	26	1998-10-11	VYDAJ	VYBER	6900	26629	\N	\N	\N
6889	26	1998-11-10	VYDAJ	VYBER	6500	22179	\N	\N	\N
6955	27	1993-09-26	PRIJEM	VKLAD	900	900	\N	\N	\N
6965	27	1993-10-08	PRIJEM	VKLAD	8627	9527	\N	\N	\N
6966	27	1993-11-08	PRIJEM	VKLAD	8627	26468	\N	\N	\N
6967	27	1993-12-08	PRIJEM	VKLAD	12940	37788	\N	\N	\N
6968	27	1994-01-08	PRIJEM	VKLAD	8627	38123	\N	\N	\N
6969	27	1994-02-08	PRIJEM	VKLAD	8627	38273	\N	\N	\N
6970	27	1994-03-08	PRIJEM	VKLAD	8627	35856	\N	\N	\N
6971	27	1994-04-08	PRIJEM	VKLAD	8627	30540	\N	\N	\N
6972	27	1994-05-08	PRIJEM	VKLAD	8627	30517	\N	\N	\N
6973	27	1994-06-08	PRIJEM	VKLAD	12940	35707	\N	\N	\N
6974	27	1994-07-08	PRIJEM	VKLAD	8627	35801	\N	\N	\N
6975	27	1994-08-08	PRIJEM	VKLAD	8627	34496	\N	\N	\N
6976	27	1994-09-08	PRIJEM	VKLAD	8627	33987	\N	\N	\N
6977	27	1994-10-08	PRIJEM	VKLAD	8627	35778	\N	\N	\N
6978	27	1994-11-08	PRIJEM	VKLAD	8627	36075	\N	\N	\N
6979	27	1994-12-08	PRIJEM	VKLAD	12940	39884	\N	\N	\N
6980	27	1995-01-08	PRIJEM	VKLAD	8627	31385	\N	\N	\N
6981	27	1995-02-08	PRIJEM	VKLAD	8627	19550	\N	\N	\N
6982	27	1995-03-08	PRIJEM	VKLAD	8627	23376	\N	\N	\N
6983	27	1995-04-08	PRIJEM	VKLAD	8627	28028	\N	\N	\N
6984	27	1995-05-08	PRIJEM	VKLAD	8627	29394	\N	\N	\N
6985	27	1995-06-08	PRIJEM	VKLAD	12940	35277	\N	\N	\N
6986	27	1995-07-08	PRIJEM	VKLAD	8627	33862	\N	\N	\N
6987	27	1995-08-08	PRIJEM	VKLAD	8627	33247	\N	\N	\N
6988	27	1995-09-08	PRIJEM	VKLAD	8627	33330	\N	\N	\N
6989	27	1995-10-08	PRIJEM	VKLAD	8627	25105	\N	\N	\N
6990	27	1995-11-08	PRIJEM	VKLAD	8627	31467	\N	\N	\N
6991	27	1995-12-08	PRIJEM	VKLAD	12940	40464	\N	\N	\N
6992	27	1996-01-08	PRIJEM	VKLAD	8627	34260	\N	\N	\N
6993	27	1996-02-08	PRIJEM	VKLAD	8627	22421	\N	\N	\N
6994	27	1996-03-08	PRIJEM	VKLAD	8627	25764	\N	\N	\N
6995	27	1996-04-08	PRIJEM	VKLAD	8627	23713	\N	\N	\N
6996	27	1996-05-08	PRIJEM	VKLAD	8627	22450	\N	\N	\N
6997	27	1996-06-08	PRIJEM	VKLAD	12940	23991	\N	\N	\N
6998	27	1996-07-08	PRIJEM	VKLAD	8627	22824	\N	\N	\N
6999	27	1996-08-08	PRIJEM	VKLAD	8627	19652	\N	\N	\N
7000	27	1996-09-08	PRIJEM	VKLAD	8627	21178	\N	\N	\N
7001	27	1996-10-08	PRIJEM	VKLAD	8627	20905	\N	\N	\N
7002	27	1996-11-08	PRIJEM	VKLAD	8627	21834	\N	\N	\N
7003	27	1996-12-08	PRIJEM	VKLAD	12940	29587	\N	\N	\N
7004	27	1997-01-08	PRIJEM	VKLAD	8627	24138	\N	\N	\N
7005	27	1997-02-08	PRIJEM	VKLAD	8627	23274	\N	\N	\N
7006	27	1997-03-08	PRIJEM	VKLAD	8627	24108	\N	\N	\N
7007	27	1997-04-08	PRIJEM	VKLAD	8627	24046	\N	\N	\N
7008	27	1997-05-08	PRIJEM	VKLAD	8627	21998	\N	\N	\N
7009	27	1997-06-08	PRIJEM	VKLAD	12940	25939	\N	\N	\N
7010	27	1997-07-08	PRIJEM	VKLAD	8627	24494	\N	\N	\N
7011	27	1997-08-08	PRIJEM	VKLAD	8627	23249	\N	\N	\N
7012	27	1997-09-08	PRIJEM	VKLAD	8627	22898	\N	\N	\N
7013	27	1997-10-08	PRIJEM	VKLAD	8627	23146	\N	\N	\N
7014	27	1997-11-08	PRIJEM	VKLAD	8627	24096	\N	\N	\N
7015	27	1997-12-08	PRIJEM	VKLAD	12940	27762	\N	\N	\N
7016	27	1998-01-08	PRIJEM	VKLAD	8627	17523	\N	\N	\N
7017	27	1998-02-08	PRIJEM	VKLAD	8627	19643	\N	\N	\N
7018	27	1998-03-08	PRIJEM	VKLAD	8627	22874	\N	\N	\N
7019	27	1998-04-08	PRIJEM	VKLAD	8627	23920	\N	\N	\N
7020	27	1998-05-08	PRIJEM	VKLAD	8627	25072	\N	\N	\N
7021	27	1998-06-08	PRIJEM	VKLAD	12940	27041	\N	\N	\N
7022	27	1998-07-08	PRIJEM	VKLAD	8627	22201	\N	\N	\N
7023	27	1998-08-08	PRIJEM	VKLAD	8627	23136	\N	\N	\N
7024	27	1998-09-08	PRIJEM	VKLAD	8627	24682	\N	\N	\N
7025	27	1998-10-08	PRIJEM	VKLAD	8627	27239	\N	\N	\N
7026	27	1998-11-08	PRIJEM	VKLAD	8627	26899	\N	\N	\N
7027	27	1998-12-08	PRIJEM	VKLAD	12940	32074	\N	\N	\N
7042	27	1994-03-05	VYDAJ	PREVOD NA UCET	4054	27229	SIPO	CD	28175699
7043	27	1994-04-05	VYDAJ	PREVOD NA UCET	4054	21913	SIPO	CD	28175699
7044	27	1994-05-05	VYDAJ	PREVOD NA UCET	4054	21890	SIPO	CD	28175699
7045	27	1994-06-05	VYDAJ	PREVOD NA UCET	4054	22767	SIPO	CD	28175699
7046	27	1994-07-05	VYDAJ	PREVOD NA UCET	4054	27174	SIPO	CD	28175699
7047	27	1994-08-05	VYDAJ	PREVOD NA UCET	4054	25869	SIPO	CD	28175699
7048	27	1994-09-05	VYDAJ	PREVOD NA UCET	4054	25360	SIPO	CD	28175699
7049	27	1994-10-05	VYDAJ	PREVOD NA UCET	4054	27151	SIPO	CD	28175699
7050	27	1994-11-05	VYDAJ	PREVOD NA UCET	4054	27448	SIPO	CD	28175699
7051	27	1994-12-05	VYDAJ	PREVOD NA UCET	4054	26944	SIPO	CD	28175699
7052	27	1995-01-05	VYDAJ	PREVOD NA UCET	4054	24658	SIPO	CD	28175699
7053	27	1995-02-05	VYDAJ	PREVOD NA UCET	4054	10923	SIPO	CD	28175699
7054	27	1995-03-05	VYDAJ	PREVOD NA UCET	4054	14749	SIPO	CD	28175699
7055	27	1995-04-05	VYDAJ	PREVOD NA UCET	4054	19401	SIPO	CD	28175699
7056	27	1995-05-05	VYDAJ	PREVOD NA UCET	4054	20767	SIPO	CD	28175699
7057	27	1995-06-05	VYDAJ	PREVOD NA UCET	4054	22337	SIPO	CD	28175699
7058	27	1995-07-05	VYDAJ	PREVOD NA UCET	4054	25235	SIPO	CD	28175699
7059	27	1995-08-05	VYDAJ	PREVOD NA UCET	4054	24620	SIPO	CD	28175699
7060	27	1995-09-05	VYDAJ	PREVOD NA UCET	4054	24703	SIPO	CD	28175699
7061	27	1995-10-05	VYDAJ	PREVOD NA UCET	4054	16478	SIPO	CD	28175699
7062	27	1995-11-05	VYDAJ	PREVOD NA UCET	4054	22840	SIPO	CD	28175699
7063	27	1995-12-05	VYDAJ	PREVOD NA UCET	4054	27524	SIPO	CD	28175699
7064	27	1996-01-05	VYDAJ	PREVOD NA UCET	4054	25633	SIPO	CD	28175699
7065	27	1996-02-05	VYDAJ	PREVOD NA UCET	4054	13794	SIPO	CD	28175699
7066	27	1996-03-05	VYDAJ	PREVOD NA UCET	4054	17137	SIPO	CD	28175699
7067	27	1996-04-05	VYDAJ	PREVOD NA UCET	4054	15086	SIPO	CD	28175699
7068	27	1996-05-05	VYDAJ	PREVOD NA UCET	4054	13823	SIPO	CD	28175699
7069	27	1996-06-05	VYDAJ	PREVOD NA UCET	4054	11051	SIPO	CD	28175699
7070	27	1996-07-05	VYDAJ	PREVOD NA UCET	4054	14197	SIPO	CD	28175699
7071	27	1996-08-05	VYDAJ	PREVOD NA UCET	4054	11025	SIPO	CD	28175699
7072	27	1996-09-05	VYDAJ	PREVOD NA UCET	4054	12551	SIPO	CD	28175699
7073	27	1996-10-05	VYDAJ	PREVOD NA UCET	4054	12278	SIPO	CD	28175699
7074	27	1996-11-05	VYDAJ	PREVOD NA UCET	4054	13207	SIPO	CD	28175699
7075	27	1996-12-05	VYDAJ	PREVOD NA UCET	4054	16647	SIPO	CD	28175699
7076	27	1997-01-05	VYDAJ	PREVOD NA UCET	4054	15511	SIPO	CD	28175699
7077	27	1997-02-05	VYDAJ	PREVOD NA UCET	4054	10847	SIPO	CD	28175699
7078	27	1997-03-05	VYDAJ	PREVOD NA UCET	4054	15481	SIPO	CD	28175699
7079	27	1997-04-05	VYDAJ	PREVOD NA UCET	4054	15419	SIPO	CD	28175699
7080	27	1997-05-05	VYDAJ	PREVOD NA UCET	4054	13371	SIPO	CD	28175699
7081	27	1997-06-05	VYDAJ	PREVOD NA UCET	4054	11499	SIPO	CD	28175699
7082	27	1997-07-05	VYDAJ	PREVOD NA UCET	4054	21967	SIPO	CD	28175699
7083	27	1997-08-05	VYDAJ	PREVOD NA UCET	4054	17322	SIPO	CD	28175699
7084	27	1997-09-05	VYDAJ	PREVOD NA UCET	4054	14271	SIPO	CD	28175699
7085	27	1997-10-05	VYDAJ	PREVOD NA UCET	4054	16019	SIPO	CD	28175699
7086	27	1997-11-05	VYDAJ	PREVOD NA UCET	4054	15469	SIPO	CD	28175699
7087	27	1997-12-05	VYDAJ	PREVOD NA UCET	4054	14822	SIPO	CD	28175699
7088	27	1998-01-05	VYDAJ	PREVOD NA UCET	4054	8896	SIPO	CD	28175699
7089	27	1998-02-05	VYDAJ	PREVOD NA UCET	4054	11016	SIPO	CD	28175699
7090	27	1998-03-05	VYDAJ	PREVOD NA UCET	4054	14247	SIPO	CD	28175699
7091	27	1998-04-05	VYDAJ	PREVOD NA UCET	4054	15293	SIPO	CD	28175699
7092	27	1998-05-05	VYDAJ	PREVOD NA UCET	4054	16445	SIPO	CD	28175699
7093	27	1998-06-05	VYDAJ	PREVOD NA UCET	4054	14101	SIPO	CD	28175699
7094	27	1998-07-05	VYDAJ	PREVOD NA UCET	4054	13574	SIPO	CD	28175699
7095	27	1998-08-05	VYDAJ	PREVOD NA UCET	4054	14509	SIPO	CD	28175699
7096	27	1998-09-05	VYDAJ	PREVOD NA UCET	4054	16055	SIPO	CD	28175699
7097	27	1998-10-05	VYDAJ	PREVOD NA UCET	4054	18612	SIPO	CD	28175699
7098	27	1998-11-05	VYDAJ	PREVOD NA UCET	4054	18272	SIPO	CD	28175699
7099	27	1998-12-05	VYDAJ	PREVOD NA UCET	4054	20934	SIPO	CD	28175699
7102	27	1995-06-17	VYDAJ	VYBER	4500	30777	\N	\N	\N
7108	27	1995-01-27	VYDAJ	VYBER	4300	18385	\N	\N	\N
7109	27	1996-01-10	VYDAJ	VYBER	8800	24660	\N	\N	\N
7113	27	1994-12-24	VYDAJ	VYBER	1500	29984	\N	\N	\N
7114	27	1995-12-23	VYDAJ	VYBER	2700	29564	\N	\N	\N
7115	27	1996-12-30	VYDAJ	VYBER	2000	21087	\N	\N	\N
7116	27	1997-12-28	VYDAJ	VYBER	1100	21862	\N	\N	\N
7117	27	1998-12-06	VYDAJ	VYBER	1800	19134	\N	\N	\N
7130	27	1995-01-06	VYDAJ	VYBER	1900	22758	\N	\N	\N
7131	27	1995-01-28	VYDAJ	VYBER	2600	15785	\N	\N	\N
7132	27	1995-01-03	VYDAJ	VYBER	1400	28712	\N	\N	\N
7133	27	1995-01-23	VYDAJ	VYBER	2300	22685	\N	\N	\N
7134	27	1995-01-12	VYDAJ	VYBER	1900	29485	\N	\N	\N
7135	27	1995-01-22	VYDAJ	VYBER	900	24985	\N	\N	\N
7136	27	1996-01-25	VYDAJ	VYBER	800	20360	\N	\N	\N
7137	27	1996-01-28	VYDAJ	VYBER	600	17760	\N	\N	\N
7138	27	1996-01-09	VYDAJ	VYBER	800	33460	\N	\N	\N
7139	27	1996-01-17	VYDAJ	VYBER	2000	23460	\N	\N	\N
7140	27	1996-01-27	VYDAJ	VYBER	2000	18360	\N	\N	\N
7141	27	1996-01-23	VYDAJ	VYBER	2300	21160	\N	\N	\N
7142	27	1997-01-29	VYDAJ	VYBER	2100	14838	\N	\N	\N
7143	27	1997-01-03	VYDAJ	VYBER	1600	19565	\N	\N	\N
7144	27	1997-01-12	VYDAJ	VYBER	1200	20938	\N	\N	\N
7145	27	1997-01-24	VYDAJ	VYBER	500	16938	\N	\N	\N
7146	27	1997-01-16	VYDAJ	VYBER	1200	19738	\N	\N	\N
7147	27	1997-01-22	VYDAJ	VYBER	2300	17438	\N	\N	\N
7149	27	1998-01-11	VYDAJ	VYBER	1400	16123	\N	\N	\N
7150	27	1998-01-23	VYDAJ	VYBER	1200	14923	\N	\N	\N
7151	27	1998-01-01	VYDAJ	VYBER	2300	19650	\N	\N	\N
7152	27	1998-01-02	VYDAJ	VYBER	800	18850	\N	\N	\N
7158	27	1994-03-09	VYDAJ	VYBER	4300	31556	\N	\N	\N
7160	27	1994-09-15	VYDAJ	VYBER	500	33487	\N	\N	\N
7161	27	1995-02-09	VYDAJ	VYBER	4700	14850	\N	\N	\N
7162	27	1995-02-03	VYDAJ	VYBER	900	14977	\N	\N	\N
7164	27	1995-04-29	VYDAJ	VYBER	700	24728	\N	\N	\N
7165	27	1995-09-22	VYDAJ	VYBER	4900	23030	\N	\N	\N
7166	27	1995-10-03	VYDAJ	VYBER	2600	20532	\N	\N	\N
7167	27	1996-05-08	VYDAJ	VYBER	4100	18350	\N	\N	\N
7170	27	1996-03-23	VYDAJ	VYBER	3600	19064	\N	\N	\N
7171	27	1997-08-22	VYDAJ	VYBER	900	22349	\N	\N	\N
7173	27	1997-02-09	VYDAJ	VYBER	3800	19474	\N	\N	\N
7174	27	1997-10-02	VYDAJ	VYBER	2900	20073	\N	\N	\N
7175	27	1997-07-25	VYDAJ	VYBER	3200	21294	\N	\N	\N
7176	27	1997-05-27	VYDAJ	VYBER	2000	15498	\N	\N	\N
7177	27	1997-12-27	VYDAJ	VYBER	4800	22962	\N	\N	\N
7180	27	1998-10-21	VYDAJ	VYBER	2600	24639	\N	\N	\N
7181	27	1998-07-09	VYDAJ	VYBER	4100	18101	\N	\N	\N
7182	27	1998-06-03	VYDAJ	VYBER	3600	18155	\N	\N	\N
7197	27	1994-02-28	VYDAJ	VYBER	15	31283	SLUZBY	\N	\N
7198	27	1994-03-31	VYDAJ	VYBER	15	25967	SLUZBY	\N	\N
7199	27	1994-04-30	VYDAJ	VYBER	15	25944	SLUZBY	\N	\N
7200	27	1994-05-31	VYDAJ	VYBER	15	26821	SLUZBY	\N	\N
7201	27	1994-06-30	VYDAJ	VYBER	15	31228	SLUZBY	\N	\N
7202	27	1994-07-31	VYDAJ	VYBER	15	29923	SLUZBY	\N	\N
7203	27	1994-08-31	VYDAJ	VYBER	15	29414	SLUZBY	\N	\N
7204	27	1994-09-30	VYDAJ	VYBER	15	31205	SLUZBY	\N	\N
7205	27	1994-10-31	VYDAJ	VYBER	15	31502	SLUZBY	\N	\N
7206	27	1994-11-30	VYDAJ	VYBER	15	30998	SLUZBY	\N	\N
7207	27	1994-12-31	VYDAJ	VYBER	15	30112	SLUZBY	\N	\N
7208	27	1995-01-31	VYDAJ	VYBER	15	15877	SLUZBY	\N	\N
7209	27	1995-02-28	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
7210	27	1995-03-31	VYDAJ	VYBER	15	23455	SLUZBY	\N	\N
7211	27	1995-04-30	VYDAJ	VYBER	15	24821	SLUZBY	\N	\N
7212	27	1995-05-31	VYDAJ	VYBER	15	26391	SLUZBY	\N	\N
7213	27	1995-06-30	VYDAJ	VYBER	15	29289	SLUZBY	\N	\N
7214	27	1995-07-31	VYDAJ	VYBER	15	28674	SLUZBY	\N	\N
7215	27	1995-08-31	VYDAJ	VYBER	15	28757	SLUZBY	\N	\N
7216	27	1995-09-30	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
7217	27	1995-10-31	VYDAJ	VYBER	15	26894	SLUZBY	\N	\N
7218	27	1995-11-30	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
7219	27	1995-12-31	VYDAJ	VYBER	15	29687	SLUZBY	\N	\N
7220	27	1996-01-31	VYDAJ	VYBER	15	17848	SLUZBY	\N	\N
7221	27	1996-02-29	VYDAJ	VYBER	15	21191	SLUZBY	\N	\N
7222	27	1996-03-31	VYDAJ	VYBER	15	19140	SLUZBY	\N	\N
7223	27	1996-04-30	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
7224	27	1996-05-31	VYDAJ	VYBER	15	15105	SLUZBY	\N	\N
7225	27	1996-06-30	VYDAJ	VYBER	15	18251	SLUZBY	\N	\N
7226	27	1996-07-31	VYDAJ	VYBER	15	15079	SLUZBY	\N	\N
7227	27	1996-08-31	VYDAJ	VYBER	15	16605	SLUZBY	\N	\N
7228	27	1996-09-30	VYDAJ	VYBER	15	16332	SLUZBY	\N	\N
7229	27	1996-10-31	VYDAJ	VYBER	15	17261	SLUZBY	\N	\N
7230	27	1996-11-30	VYDAJ	VYBER	15	20701	SLUZBY	\N	\N
7231	27	1996-12-31	VYDAJ	VYBER	15	21165	SLUZBY	\N	\N
7232	27	1997-01-31	VYDAJ	VYBER	15	14901	SLUZBY	\N	\N
7233	27	1997-02-28	VYDAJ	VYBER	15	19535	SLUZBY	\N	\N
7234	27	1997-03-31	VYDAJ	VYBER	15	19473	SLUZBY	\N	\N
7235	27	1997-04-30	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
7236	27	1997-05-31	VYDAJ	VYBER	15	15553	SLUZBY	\N	\N
7237	27	1997-06-30	VYDAJ	VYBER	15	26021	SLUZBY	\N	\N
7238	27	1997-07-31	VYDAJ	VYBER	15	21376	SLUZBY	\N	\N
7239	27	1997-08-31	VYDAJ	VYBER	15	22425	SLUZBY	\N	\N
7240	27	1997-09-30	VYDAJ	VYBER	15	22973	SLUZBY	\N	\N
7241	27	1997-10-31	VYDAJ	VYBER	15	23223	SLUZBY	\N	\N
7242	27	1997-11-30	VYDAJ	VYBER	15	24176	SLUZBY	\N	\N
7243	27	1997-12-31	VYDAJ	VYBER	15	21950	SLUZBY	\N	\N
7244	27	1998-01-31	VYDAJ	VYBER	15	14970	SLUZBY	\N	\N
7245	27	1998-02-28	VYDAJ	VYBER	15	19701	SLUZBY	\N	\N
7246	27	1998-03-31	VYDAJ	VYBER	15	22947	SLUZBY	\N	\N
7247	27	1998-04-30	VYDAJ	VYBER	15	23999	SLUZBY	\N	\N
7248	27	1998-05-31	VYDAJ	VYBER	15	25155	SLUZBY	\N	\N
7249	27	1998-06-30	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
7250	27	1998-07-31	VYDAJ	VYBER	15	18163	SLUZBY	\N	\N
7251	27	1998-08-31	VYDAJ	VYBER	15	23209	SLUZBY	\N	\N
7252	27	1998-09-30	VYDAJ	VYBER	15	24766	SLUZBY	\N	\N
7253	27	1998-10-31	VYDAJ	VYBER	15	22326	SLUZBY	\N	\N
7254	27	1998-11-30	VYDAJ	VYBER	15	24988	SLUZBY	\N	\N
7255	27	1993-10-26	PRIJEM	VKLAD	8300	17827	\N	\N	\N
7256	27	1993-11-25	VYDAJ	VYBER	1700	24768	\N	\N	\N
7257	27	1993-12-25	VYDAJ	VYBER	8400	29388	\N	\N	\N
7258	27	1994-01-24	VYDAJ	VYBER	8600	29523	\N	\N	\N
7259	27	1994-02-23	VYDAJ	VYBER	7100	31173	\N	\N	\N
7260	27	1994-03-25	VYDAJ	VYBER	5700	25856	\N	\N	\N
7261	27	1994-04-24	VYDAJ	VYBER	4700	25840	\N	\N	\N
7262	27	1994-05-24	VYDAJ	VYBER	3800	26717	\N	\N	\N
7263	27	1994-06-23	VYDAJ	VYBER	4600	31107	\N	\N	\N
7264	27	1994-07-23	VYDAJ	VYBER	6000	29801	\N	\N	\N
7265	27	1994-08-22	VYDAJ	VYBER	5200	29296	\N	\N	\N
7266	27	1994-09-21	VYDAJ	VYBER	2400	31087	\N	\N	\N
7267	27	1994-10-21	VYDAJ	VYBER	4400	31378	\N	\N	\N
7268	27	1994-11-20	VYDAJ	VYBER	5200	30875	\N	\N	\N
7269	27	1994-12-20	VYDAJ	VYBER	8400	31484	\N	\N	\N
7270	27	1995-01-19	VYDAJ	VYBER	3600	25885	\N	\N	\N
7271	27	1995-02-18	PRIJEM	VKLAD	3900	18750	\N	\N	\N
7272	27	1995-04-19	VYDAJ	VYBER	2600	25428	\N	\N	\N
7273	27	1995-05-19	VYDAJ	VYBER	3100	26294	\N	\N	\N
7274	27	1995-06-18	VYDAJ	VYBER	1600	29177	\N	\N	\N
7275	27	1995-07-18	VYDAJ	VYBER	5300	28562	\N	\N	\N
7276	27	1995-08-17	VYDAJ	VYBER	4600	28647	\N	\N	\N
7277	27	1995-09-16	VYDAJ	VYBER	5400	27930	\N	\N	\N
7278	27	1995-10-16	PRIJEM	VKLAD	1700	26805	\N	\N	\N
7279	27	1995-12-15	VYDAJ	VYBER	8200	32264	\N	\N	\N
7280	27	1996-01-14	PRIJEM	VKLAD	800	25460	\N	\N	\N
7281	27	1996-02-13	VYDAJ	VYBER	1300	21121	\N	\N	\N
7282	27	1996-03-14	VYDAJ	VYBER	3100	22664	\N	\N	\N
7283	27	1996-04-13	VYDAJ	VYBER	5900	17813	\N	\N	\N
7284	27	1996-05-13	VYDAJ	VYBER	3300	15050	\N	\N	\N
7285	27	1996-06-12	VYDAJ	VYBER	5800	18191	\N	\N	\N
7286	27	1996-07-12	VYDAJ	VYBER	7800	15024	\N	\N	\N
7287	27	1996-08-11	VYDAJ	VYBER	3100	16552	\N	\N	\N
7288	27	1996-09-10	VYDAJ	VYBER	4900	16278	\N	\N	\N
7289	27	1996-10-10	VYDAJ	VYBER	3700	17205	\N	\N	\N
7290	27	1996-11-09	VYDAJ	VYBER	1200	20634	\N	\N	\N
7291	27	1996-12-09	VYDAJ	VYBER	6500	23087	\N	\N	\N
7292	27	1997-01-08	VYDAJ	VYBER	2000	22138	\N	\N	\N
7293	27	1997-02-07	PRIJEM	VKLAD	3800	14647	\N	\N	\N
7294	27	1997-03-09	VYDAJ	VYBER	4700	19408	\N	\N	\N
7295	27	1997-04-08	VYDAJ	VYBER	6700	17346	\N	\N	\N
7296	27	1997-05-08	VYDAJ	VYBER	4500	17498	\N	\N	\N
7297	27	1997-06-07	PRIJEM	VKLAD	1500	12999	\N	\N	\N
7298	27	1997-07-07	VYDAJ	VYBER	6100	15867	\N	\N	\N
7299	27	1997-08-06	VYDAJ	VYBER	2700	14622	\N	\N	\N
7300	27	1997-09-05	VYDAJ	VYBER	4100	18325	\N	\N	\N
7301	27	1997-10-05	VYDAJ	VYBER	1500	14519	\N	\N	\N
7302	27	1997-11-04	VYDAJ	VYBER	3700	19523	\N	\N	\N
7303	27	1997-12-04	VYDAJ	VYBER	5300	18876	\N	\N	\N
7304	27	1998-01-03	VYDAJ	VYBER	5900	12950	\N	\N	\N
7305	27	1998-02-02	PRIJEM	VKLAD	100	15070	\N	\N	\N
7306	27	1998-03-04	VYDAJ	VYBER	1400	18301	\N	\N	\N
7307	27	1998-04-03	VYDAJ	VYBER	3600	19347	\N	\N	\N
7308	27	1998-05-03	VYDAJ	VYBER	3500	20499	\N	\N	\N
7309	27	1998-06-02	VYDAJ	VYBER	3400	21755	\N	\N	\N
7310	27	1998-07-02	VYDAJ	VYBER	9500	17628	\N	\N	\N
7311	27	1998-08-01	PRIJEM	VKLAD	400	18563	\N	\N	\N
7312	27	1998-08-31	VYDAJ	VYBER	3100	20109	\N	\N	\N
7313	27	1998-09-30	VYDAJ	VYBER	2100	22666	\N	\N	\N
7314	27	1998-10-30	VYDAJ	VYBER	2400	22239	\N	\N	\N
7315	27	1998-11-29	VYDAJ	VYBER	2000	24899	\N	\N	\N
7730	29	1994-11-24	PRIJEM	VKLAD	700	700	\N	\N	\N
7742	29	1994-12-10	PRIJEM	VKLAD	26667	27367	\N	\N	\N
7743	29	1995-01-10	PRIJEM	VKLAD	17778	44974	\N	\N	\N
7744	29	1995-02-10	PRIJEM	VKLAD	17778	51774	\N	\N	\N
7745	29	1995-03-10	PRIJEM	VKLAD	17778	59301	\N	\N	\N
7746	29	1995-04-10	PRIJEM	VKLAD	17778	59251	\N	\N	\N
7747	29	1995-05-10	PRIJEM	VKLAD	17778	54212	\N	\N	\N
7748	29	1995-06-10	PRIJEM	VKLAD	26667	59950	\N	\N	\N
7749	29	1995-07-10	PRIJEM	VKLAD	17778	44544	\N	\N	\N
7750	29	1995-08-10	PRIJEM	VKLAD	17778	43955	\N	\N	\N
7751	29	1995-09-10	PRIJEM	VKLAD	17778	38208	\N	\N	\N
7752	29	1995-10-10	PRIJEM	VKLAD	17778	43800	\N	\N	\N
7753	29	1995-11-10	PRIJEM	VKLAD	17778	43906	\N	\N	\N
7754	29	1995-12-10	PRIJEM	VKLAD	26667	53302	\N	\N	\N
7755	29	1996-01-10	PRIJEM	VKLAD	17778	38280	\N	\N	\N
7756	29	1996-02-10	PRIJEM	VKLAD	17778	37580	\N	\N	\N
7757	29	1996-03-10	PRIJEM	VKLAD	17778	42867	\N	\N	\N
7758	29	1996-04-10	PRIJEM	VKLAD	17778	45872	\N	\N	\N
7759	29	1996-05-10	PRIJEM	VKLAD	17778	40354	\N	\N	\N
7760	29	1996-06-10	PRIJEM	VKLAD	26667	51435	\N	\N	\N
7761	29	1996-07-10	PRIJEM	VKLAD	17778	38058	\N	\N	\N
7762	29	1996-08-10	PRIJEM	VKLAD	17778	41241	\N	\N	\N
7763	29	1996-09-10	PRIJEM	VKLAD	17778	41429	\N	\N	\N
7764	29	1996-10-10	PRIJEM	VKLAD	17778	41417	\N	\N	\N
7765	29	1996-11-10	PRIJEM	VKLAD	17778	38985	\N	\N	\N
7766	29	1996-12-10	PRIJEM	VKLAD	26667	43010	\N	\N	\N
7767	29	1997-01-10	PRIJEM	VKLAD	17778	33541	\N	\N	\N
7768	29	1997-02-10	PRIJEM	VKLAD	17778	32858	\N	\N	\N
7769	29	1997-03-10	PRIJEM	VKLAD	17778	35814	\N	\N	\N
7770	29	1997-04-10	PRIJEM	VKLAD	17778	38902	\N	\N	\N
7771	29	1997-05-10	PRIJEM	VKLAD	17778	35266	\N	\N	\N
7772	29	1997-06-10	PRIJEM	VKLAD	26667	34970	\N	\N	\N
7773	29	1997-07-10	PRIJEM	VKLAD	17778	33712	\N	\N	\N
7774	29	1997-08-10	PRIJEM	VKLAD	17778	34966	\N	\N	\N
7775	29	1997-09-10	PRIJEM	VKLAD	17778	32525	\N	\N	\N
7776	29	1997-10-10	PRIJEM	VKLAD	17778	35003	\N	\N	\N
7777	29	1997-11-10	PRIJEM	VKLAD	17778	32994	\N	\N	\N
7778	29	1997-12-10	PRIJEM	VKLAD	26667	46571	\N	\N	\N
7779	29	1998-01-10	PRIJEM	VKLAD	17778	33496	\N	\N	\N
7780	29	1998-02-10	PRIJEM	VKLAD	17778	30646	\N	\N	\N
7781	29	1998-03-10	PRIJEM	VKLAD	17778	36119	\N	\N	\N
7782	29	1998-04-10	PRIJEM	VKLAD	17778	34811	\N	\N	\N
7783	29	1998-05-10	PRIJEM	VKLAD	17778	35960	\N	\N	\N
7784	29	1998-06-10	PRIJEM	VKLAD	26667	45442	\N	\N	\N
7785	29	1998-07-10	PRIJEM	VKLAD	17778	34024	\N	\N	\N
7786	29	1998-08-10	PRIJEM	VKLAD	17778	38096	\N	\N	\N
7787	29	1998-09-10	PRIJEM	VKLAD	17778	37096	\N	\N	\N
7788	29	1998-10-10	PRIJEM	VKLAD	17778	31224	\N	\N	\N
7789	29	1998-11-10	PRIJEM	VKLAD	17778	31600	\N	\N	\N
7790	29	1998-12-10	PRIJEM	VKLAD	26667	41766	\N	\N	\N
7807	29	1995-05-08	VYDAJ	PREVOD NA UCET	6871	36434	SIPO	ST	32924878
7808	29	1995-06-08	VYDAJ	PREVOD NA UCET	6871	33283	SIPO	ST	32924878
7809	29	1995-07-08	VYDAJ	PREVOD NA UCET	6871	26766	SIPO	ST	32924878
7810	29	1995-08-08	VYDAJ	PREVOD NA UCET	6871	26177	SIPO	ST	32924878
7811	29	1995-09-08	VYDAJ	PREVOD NA UCET	6871	20430	SIPO	ST	32924878
7812	29	1995-10-08	VYDAJ	PREVOD NA UCET	6871	26022	SIPO	ST	32924878
7813	29	1995-11-08	VYDAJ	PREVOD NA UCET	6871	26128	SIPO	ST	32924878
7814	29	1995-12-08	VYDAJ	PREVOD NA UCET	6871	26635	SIPO	ST	32924878
7815	29	1996-01-08	VYDAJ	PREVOD NA UCET	6871	20502	SIPO	ST	32924878
7816	29	1996-02-08	VYDAJ	PREVOD NA UCET	6871	19802	SIPO	ST	32924878
7817	29	1996-03-08	VYDAJ	PREVOD NA UCET	6871	25089	SIPO	ST	32924878
7818	29	1996-04-08	VYDAJ	PREVOD NA UCET	6871	28094	SIPO	ST	32924878
7819	29	1996-05-08	VYDAJ	PREVOD NA UCET	6871	22576	SIPO	ST	32924878
7820	29	1996-06-08	VYDAJ	PREVOD NA UCET	6871	24768	SIPO	ST	32924878
7821	29	1996-07-08	VYDAJ	PREVOD NA UCET	6871	20280	SIPO	ST	32924878
7822	29	1996-08-08	VYDAJ	PREVOD NA UCET	6871	23463	SIPO	ST	32924878
7823	29	1996-09-08	VYDAJ	PREVOD NA UCET	6871	23651	SIPO	ST	32924878
7824	29	1996-10-08	VYDAJ	PREVOD NA UCET	6871	23639	SIPO	ST	32924878
7825	29	1996-11-08	VYDAJ	PREVOD NA UCET	6871	21207	SIPO	ST	32924878
7826	29	1996-12-08	VYDAJ	PREVOD NA UCET	6871	16343	SIPO	ST	32924878
7827	29	1997-01-08	VYDAJ	PREVOD NA UCET	6871	17083	SIPO	ST	32924878
7828	29	1997-02-08	VYDAJ	PREVOD NA UCET	6871	15080	SIPO	ST	32924878
7829	29	1997-03-08	VYDAJ	PREVOD NA UCET	6871	18036	SIPO	ST	32924878
7830	29	1997-04-08	VYDAJ	PREVOD NA UCET	6871	21124	SIPO	ST	32924878
7831	29	1997-05-08	VYDAJ	PREVOD NA UCET	6871	17488	SIPO	ST	32924878
7832	29	1997-06-08	VYDAJ	PREVOD NA UCET	6871	8303	SIPO	ST	32924878
7833	29	1997-07-08	VYDAJ	PREVOD NA UCET	6871	15934	SIPO	ST	32924878
7834	29	1997-08-08	VYDAJ	PREVOD NA UCET	6871	17188	SIPO	ST	32924878
7835	29	1997-09-08	VYDAJ	PREVOD NA UCET	6871	18747	SIPO	ST	32924878
7836	29	1997-10-08	VYDAJ	PREVOD NA UCET	6871	24925	SIPO	ST	32924878
7837	29	1997-11-08	VYDAJ	PREVOD NA UCET	6871	15216	SIPO	ST	32924878
7838	29	1997-12-08	VYDAJ	PREVOD NA UCET	6871	25404	SIPO	ST	32924878
7839	29	1998-01-08	VYDAJ	PREVOD NA UCET	6871	16318	SIPO	ST	32924878
7840	29	1998-02-08	VYDAJ	PREVOD NA UCET	6871	12868	SIPO	ST	32924878
7841	29	1998-03-08	VYDAJ	PREVOD NA UCET	6871	18341	SIPO	ST	32924878
7842	29	1998-04-08	VYDAJ	PREVOD NA UCET	6871	17033	SIPO	ST	32924878
7843	29	1998-05-08	VYDAJ	PREVOD NA UCET	6871	18182	SIPO	ST	32924878
7844	29	1998-06-08	VYDAJ	PREVOD NA UCET	6871	18775	SIPO	ST	32924878
7845	29	1998-07-08	VYDAJ	PREVOD NA UCET	6871	16246	SIPO	ST	32924878
7846	29	1998-08-08	VYDAJ	PREVOD NA UCET	6871	20318	SIPO	ST	32924878
7847	29	1998-09-08	VYDAJ	PREVOD NA UCET	6871	19318	SIPO	ST	32924878
7848	29	1998-10-08	VYDAJ	PREVOD NA UCET	6871	13446	SIPO	ST	32924878
7849	29	1998-11-08	VYDAJ	PREVOD NA UCET	6871	13822	SIPO	ST	32924878
7850	29	1998-12-08	VYDAJ	PREVOD NA UCET	6871	15099	SIPO	ST	32924878
7866	29	1995-04-13	VYDAJ	PREVOD NA UCET	829	58414	 	MN	93088209
7867	29	1995-05-13	VYDAJ	PREVOD NA UCET	829	53375	 	MN	93088209
7868	29	1995-06-13	VYDAJ	PREVOD NA UCET	829	59113	 	MN	93088209
7869	29	1995-07-13	VYDAJ	PREVOD NA UCET	829	43707	 	MN	93088209
7870	29	1995-08-13	VYDAJ	PREVOD NA UCET	829	43118	 	MN	93088209
7871	29	1995-09-13	VYDAJ	PREVOD NA UCET	829	37371	 	MN	93088209
7872	29	1995-10-13	VYDAJ	PREVOD NA UCET	829	42963	 	MN	93088209
7873	29	1995-11-13	VYDAJ	PREVOD NA UCET	829	43069	 	MN	93088209
7874	29	1995-12-13	VYDAJ	PREVOD NA UCET	829	52465	 	MN	93088209
7875	29	1996-01-13	VYDAJ	PREVOD NA UCET	829	36243	 	MN	93088209
7876	29	1996-02-13	VYDAJ	PREVOD NA UCET	829	36743	 	MN	93088209
7877	29	1996-03-13	VYDAJ	PREVOD NA UCET	829	42030	 	MN	93088209
7878	29	1996-04-13	VYDAJ	PREVOD NA UCET	829	45035	 	MN	93088209
7879	29	1996-05-13	VYDAJ	PREVOD NA UCET	829	39517	 	MN	93088209
7880	29	1996-06-13	VYDAJ	PREVOD NA UCET	829	50598	 	MN	93088209
7881	29	1996-07-13	VYDAJ	PREVOD NA UCET	829	37221	 	MN	93088209
7882	29	1996-08-13	VYDAJ	PREVOD NA UCET	829	40404	 	MN	93088209
7883	29	1996-09-13	VYDAJ	PREVOD NA UCET	829	40592	 	MN	93088209
7884	29	1996-10-13	VYDAJ	PREVOD NA UCET	829	40580	 	MN	93088209
7885	29	1996-11-13	VYDAJ	PREVOD NA UCET	829	31148	 	MN	93088209
7886	29	1996-12-13	VYDAJ	PREVOD NA UCET	829	28973	 	MN	93088209
7887	29	1997-01-13	VYDAJ	PREVOD NA UCET	829	28704	 	MN	93088209
7888	29	1997-02-13	VYDAJ	PREVOD NA UCET	829	24821	 	MN	93088209
7889	29	1997-03-13	VYDAJ	PREVOD NA UCET	829	34977	 	MN	93088209
7890	29	1997-04-13	VYDAJ	PREVOD NA UCET	829	24265	 	MN	93088209
7891	29	1997-05-13	VYDAJ	PREVOD NA UCET	829	19669	 	MN	93088209
7892	29	1997-06-13	VYDAJ	PREVOD NA UCET	829	22733	 	MN	93088209
7893	29	1997-07-13	VYDAJ	PREVOD NA UCET	829	23975	 	MN	93088209
7894	29	1997-08-13	VYDAJ	PREVOD NA UCET	829	25529	 	MN	93088209
7895	29	1997-09-13	VYDAJ	PREVOD NA UCET	829	31688	 	MN	93088209
7896	29	1997-10-13	VYDAJ	PREVOD NA UCET	829	34166	 	MN	93088209
7897	29	1997-11-13	VYDAJ	PREVOD NA UCET	829	32157	 	MN	93088209
7898	29	1997-12-13	VYDAJ	PREVOD NA UCET	829	45734	 	MN	93088209
7899	29	1998-01-13	VYDAJ	PREVOD NA UCET	829	32659	 	MN	93088209
7900	29	1998-02-13	VYDAJ	PREVOD NA UCET	829	29809	 	MN	93088209
7901	29	1998-03-13	VYDAJ	PREVOD NA UCET	829	35282	 	MN	93088209
7902	29	1998-04-13	VYDAJ	PREVOD NA UCET	829	33974	 	MN	93088209
7903	29	1998-05-13	VYDAJ	PREVOD NA UCET	829	35123	 	MN	93088209
7904	29	1998-06-13	VYDAJ	PREVOD NA UCET	829	29085	 	MN	93088209
7905	29	1998-07-13	VYDAJ	PREVOD NA UCET	829	33187	 	MN	93088209
7906	29	1998-08-13	VYDAJ	PREVOD NA UCET	829	37259	 	MN	93088209
7907	29	1998-09-13	VYDAJ	PREVOD NA UCET	829	36259	 	MN	93088209
7908	29	1998-10-13	VYDAJ	PREVOD NA UCET	829	30387	 	MN	93088209
7909	29	1998-11-13	VYDAJ	PREVOD NA UCET	829	30763	 	MN	93088209
7910	29	1998-12-13	VYDAJ	PREVOD NA UCET	829	37409	 	MN	93088209
7926	29	1995-04-10	VYDAJ	PREVOD NA UCET	8	59243	POJISTNE	UV	41335338
7927	29	1995-05-10	VYDAJ	PREVOD NA UCET	8	54204	POJISTNE	UV	41335338
7928	29	1995-06-10	VYDAJ	PREVOD NA UCET	8	59942	POJISTNE	UV	41335338
7929	29	1995-07-10	VYDAJ	PREVOD NA UCET	8	44536	POJISTNE	UV	41335338
7930	29	1995-08-10	VYDAJ	PREVOD NA UCET	8	43947	POJISTNE	UV	41335338
7931	29	1995-09-10	VYDAJ	PREVOD NA UCET	8	38200	POJISTNE	UV	41335338
7932	29	1995-10-10	VYDAJ	PREVOD NA UCET	8	43792	POJISTNE	UV	41335338
7933	29	1995-11-10	VYDAJ	PREVOD NA UCET	8	43898	POJISTNE	UV	41335338
7934	29	1995-12-10	VYDAJ	PREVOD NA UCET	8	53294	POJISTNE	UV	41335338
7935	29	1996-01-10	VYDAJ	PREVOD NA UCET	8	38272	POJISTNE	UV	41335338
7936	29	1996-02-10	VYDAJ	PREVOD NA UCET	8	37572	POJISTNE	UV	41335338
7937	29	1996-03-10	VYDAJ	PREVOD NA UCET	8	42859	POJISTNE	UV	41335338
7938	29	1996-04-10	VYDAJ	PREVOD NA UCET	8	45864	POJISTNE	UV	41335338
7939	29	1996-05-10	VYDAJ	PREVOD NA UCET	8	40346	POJISTNE	UV	41335338
7940	29	1996-06-10	VYDAJ	PREVOD NA UCET	8	51427	POJISTNE	UV	41335338
7941	29	1996-07-10	VYDAJ	PREVOD NA UCET	8	38050	POJISTNE	UV	41335338
7942	29	1996-08-10	VYDAJ	PREVOD NA UCET	8	41233	POJISTNE	UV	41335338
7943	29	1996-09-10	VYDAJ	PREVOD NA UCET	8	41421	POJISTNE	UV	41335338
7944	29	1996-10-10	VYDAJ	PREVOD NA UCET	8	41409	POJISTNE	UV	41335338
7945	29	1996-11-10	VYDAJ	PREVOD NA UCET	8	38977	POJISTNE	UV	41335338
7946	29	1996-12-10	VYDAJ	PREVOD NA UCET	8	43002	POJISTNE	UV	41335338
7947	29	1997-01-10	VYDAJ	PREVOD NA UCET	8	33533	POJISTNE	UV	41335338
7948	29	1997-02-10	VYDAJ	PREVOD NA UCET	8	32850	POJISTNE	UV	41335338
7949	29	1997-03-10	VYDAJ	PREVOD NA UCET	8	35806	POJISTNE	UV	41335338
7950	29	1997-04-10	VYDAJ	PREVOD NA UCET	8	38894	POJISTNE	UV	41335338
7951	29	1997-05-10	VYDAJ	PREVOD NA UCET	8	35258	POJISTNE	UV	41335338
7952	29	1997-06-10	VYDAJ	PREVOD NA UCET	8	34962	POJISTNE	UV	41335338
7953	29	1997-07-10	VYDAJ	PREVOD NA UCET	8	33704	POJISTNE	UV	41335338
7954	29	1997-08-10	VYDAJ	PREVOD NA UCET	8	26358	POJISTNE	UV	41335338
7955	29	1997-09-10	VYDAJ	PREVOD NA UCET	8	32517	POJISTNE	UV	41335338
7956	29	1997-10-10	VYDAJ	PREVOD NA UCET	8	34995	POJISTNE	UV	41335338
7957	29	1997-11-10	VYDAJ	PREVOD NA UCET	8	32986	POJISTNE	UV	41335338
7958	29	1997-12-10	VYDAJ	PREVOD NA UCET	8	46563	POJISTNE	UV	41335338
7959	29	1998-01-10	VYDAJ	PREVOD NA UCET	8	33488	POJISTNE	UV	41335338
7960	29	1998-02-10	VYDAJ	PREVOD NA UCET	8	30638	POJISTNE	UV	41335338
7961	29	1998-03-10	VYDAJ	PREVOD NA UCET	8	36111	POJISTNE	UV	41335338
7962	29	1998-04-10	VYDAJ	PREVOD NA UCET	8	34803	POJISTNE	UV	41335338
7963	29	1998-05-10	VYDAJ	PREVOD NA UCET	8	35952	POJISTNE	UV	41335338
7964	29	1998-06-10	VYDAJ	PREVOD NA UCET	8	45434	POJISTNE	UV	41335338
7965	29	1998-07-10	VYDAJ	PREVOD NA UCET	8	34016	POJISTNE	UV	41335338
7966	29	1998-08-10	VYDAJ	PREVOD NA UCET	8	38088	POJISTNE	UV	41335338
7967	29	1998-09-10	VYDAJ	PREVOD NA UCET	8	37088	POJISTNE	UV	41335338
7968	29	1998-10-10	VYDAJ	PREVOD NA UCET	8	31216	POJISTNE	UV	41335338
7969	29	1998-11-10	VYDAJ	PREVOD NA UCET	8	31592	POJISTNE	UV	41335338
7970	29	1998-12-10	VYDAJ	PREVOD NA UCET	8	38238	POJISTNE	UV	41335338
7972	29	1995-06-28	VYDAJ	VYBER	8960	33453	\N	\N	\N
7973	29	1996-06-25	VYDAJ	VYBER	7680	27018	\N	\N	\N
7975	29	1998-06-13	VYDAJ	VYBER	15520	29914	\N	\N	\N
7977	29	1995-12-19	VYDAJ	VYBER	3200	49265	\N	\N	\N
7978	29	1996-12-15	VYDAJ	VYBER	1760	27213	\N	\N	\N
7979	29	1997-12-08	VYDAJ	VYBER	2400	19904	\N	\N	\N
7980	29	1998-12-10	VYDAJ	VYBER	3520	38246	\N	\N	\N
7993	29	1996-01-01	VYDAJ	VYBER	2880	29293	\N	\N	\N
7994	29	1996-01-27	VYDAJ	VYBER	840	26563	\N	\N	\N
7995	29	1996-01-15	VYDAJ	VYBER	720	35523	\N	\N	\N
7996	29	1996-01-11	VYDAJ	VYBER	1200	37072	\N	\N	\N
7997	29	1996-01-06	VYDAJ	VYBER	1920	27373	\N	\N	\N
7998	29	1996-01-19	VYDAJ	VYBER	2520	27403	\N	\N	\N
7999	29	1997-01-19	VYDAJ	VYBER	600	21864	\N	\N	\N
8000	29	1997-01-09	VYDAJ	VYBER	1320	15763	\N	\N	\N
8002	29	1997-01-19	VYDAJ	VYBER	3360	22464	\N	\N	\N
8003	29	1997-01-15	VYDAJ	VYBER	2880	25824	\N	\N	\N
8004	29	1997-01-04	VYDAJ	VYBER	3360	23954	\N	\N	\N
8005	29	1998-01-23	VYDAJ	VYBER	1680	30979	\N	\N	\N
8006	29	1998-01-09	VYDAJ	VYBER	600	15718	\N	\N	\N
8007	29	1998-01-05	VYDAJ	VYBER	2880	40489	\N	\N	\N
8008	29	1998-01-25	VYDAJ	VYBER	1560	29419	\N	\N	\N
8009	29	1998-01-01	VYDAJ	VYBER	2520	43369	\N	\N	\N
8010	29	1998-01-28	VYDAJ	VYBER	1200	28219	\N	\N	\N
8017	29	1995-12-22	VYDAJ	VYBER	2160	34305	\N	\N	\N
8018	29	1995-09-03	VYDAJ	VYBER	4560	27301	\N	\N	\N
8019	29	1995-12-26	VYDAJ	VYBER	2280	32025	\N	\N	\N
8020	29	1995-09-01	VYDAJ	VYBER	4200	31861	\N	\N	\N
8021	29	1996-04-20	VYDAJ	VYBER	5520	29315	\N	\N	\N
8022	29	1996-11-06	VYDAJ	VYBER	2520	28078	\N	\N	\N
8023	29	1996-12-04	VYDAJ	VYBER	2880	23214	\N	\N	\N
8024	29	1996-11-19	VYDAJ	VYBER	5160	25988	\N	\N	\N
8025	29	1997-05-15	VYDAJ	VYBER	2400	17269	\N	\N	\N
8026	29	1997-05-16	VYDAJ	VYBER	2160	15109	\N	\N	\N
8027	29	1997-05-11	VYDAJ	VYBER	5160	30098	\N	\N	\N
8028	29	1998-04-21	VYDAJ	VYBER	2040	31934	\N	\N	\N
8029	29	1998-09-16	VYDAJ	VYBER	5760	30499	\N	\N	\N
8030	29	1998-02-08	VYDAJ	VYBER	3600	19739	\N	\N	\N
8032	29	1998-07-14	VYDAJ	VYBER	1200	31987	\N	\N	\N
8033	29	1998-06-29	VYDAJ	VYBER	3960	25125	\N	\N	\N
8034	29	1998-06-30	VYDAJ	VYBER	5520	19732	\N	\N	\N
8051	29	1995-04-30	VYDAJ	VYBER	15	43305	SLUZBY	\N	\N
8052	29	1995-05-31	VYDAJ	VYBER	15	40154	SLUZBY	\N	\N
8053	29	1995-06-30	VYDAJ	VYBER	15	33637	SLUZBY	\N	\N
8054	29	1995-07-31	VYDAJ	VYBER	15	33048	SLUZBY	\N	\N
8055	29	1995-08-31	VYDAJ	VYBER	15	36061	SLUZBY	\N	\N
8056	29	1995-09-30	VYDAJ	VYBER	15	32893	SLUZBY	\N	\N
8057	29	1995-10-31	VYDAJ	VYBER	15	32999	SLUZBY	\N	\N
8058	29	1995-11-30	VYDAJ	VYBER	15	33506	SLUZBY	\N	\N
8059	29	1995-12-31	VYDAJ	VYBER	15	32173	SLUZBY	\N	\N
8060	29	1996-01-31	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
8061	29	1996-02-29	VYDAJ	VYBER	15	31960	SLUZBY	\N	\N
8062	29	1996-03-31	VYDAJ	VYBER	15	34965	SLUZBY	\N	\N
8063	29	1996-04-30	VYDAJ	VYBER	15	29447	SLUZBY	\N	\N
8064	29	1996-05-31	VYDAJ	VYBER	15	31639	SLUZBY	\N	\N
8065	29	1996-06-30	VYDAJ	VYBER	15	27151	SLUZBY	\N	\N
8066	29	1996-07-31	VYDAJ	VYBER	15	30334	SLUZBY	\N	\N
8067	29	1996-08-31	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
8068	29	1996-09-30	VYDAJ	VYBER	15	30510	SLUZBY	\N	\N
8069	29	1996-10-31	VYDAJ	VYBER	15	30598	SLUZBY	\N	\N
8070	29	1996-11-30	VYDAJ	VYBER	15	26094	SLUZBY	\N	\N
8071	29	1996-12-31	VYDAJ	VYBER	15	27314	SLUZBY	\N	\N
8072	29	1997-01-31	VYDAJ	VYBER	15	21951	SLUZBY	\N	\N
8073	29	1997-02-28	VYDAJ	VYBER	15	24907	SLUZBY	\N	\N
8074	29	1997-03-31	VYDAJ	VYBER	15	27995	SLUZBY	\N	\N
8075	29	1997-04-30	VYDAJ	VYBER	15	24359	SLUZBY	\N	\N
8076	29	1997-05-31	VYDAJ	VYBER	15	15174	SLUZBY	\N	\N
8077	29	1997-06-30	VYDAJ	VYBER	15	22805	SLUZBY	\N	\N
8078	29	1997-07-31	VYDAJ	VYBER	15	24059	SLUZBY	\N	\N
8079	29	1997-08-31	VYDAJ	VYBER	15	25618	SLUZBY	\N	\N
8080	29	1997-09-30	VYDAJ	VYBER	15	31796	SLUZBY	\N	\N
8081	29	1997-10-31	VYDAJ	VYBER	15	34287	SLUZBY	\N	\N
8082	29	1997-11-30	VYDAJ	VYBER	15	32275	SLUZBY	\N	\N
8083	29	1997-12-31	VYDAJ	VYBER	15	45889	SLUZBY	\N	\N
8084	29	1998-01-31	VYDAJ	VYBER	15	28339	SLUZBY	\N	\N
8085	29	1998-02-28	VYDAJ	VYBER	15	29912	SLUZBY	\N	\N
8086	29	1998-03-31	VYDAJ	VYBER	15	35404	SLUZBY	\N	\N
8087	29	1998-04-30	VYDAJ	VYBER	15	32053	SLUZBY	\N	\N
8088	29	1998-05-31	VYDAJ	VYBER	15	35246	SLUZBY	\N	\N
8089	29	1998-06-30	VYDAJ	VYBER	15	19717	SLUZBY	\N	\N
8090	29	1998-07-31	VYDAJ	VYBER	15	32089	SLUZBY	\N	\N
8091	29	1998-08-31	VYDAJ	VYBER	15	37389	SLUZBY	\N	\N
8092	29	1998-09-30	VYDAJ	VYBER	15	30617	SLUZBY	\N	\N
8093	29	1998-10-31	VYDAJ	VYBER	15	30493	SLUZBY	\N	\N
8094	29	1998-11-30	VYDAJ	VYBER	15	30870	SLUZBY	\N	\N
8095	29	1994-12-24	VYDAJ	VYBER	200	27167	\N	\N	\N
8096	29	1995-01-23	VYDAJ	VYBER	11100	33874	\N	\N	\N
8097	29	1995-02-22	VYDAJ	VYBER	10400	41374	\N	\N	\N
8098	29	1995-03-24	VYDAJ	VYBER	18000	41301	\N	\N	\N
8099	29	1995-04-23	VYDAJ	VYBER	15300	43114	\N	\N	\N
8100	29	1995-05-23	VYDAJ	VYBER	13400	39975	\N	\N	\N
8101	29	1995-06-22	VYDAJ	VYBER	16700	42413	\N	\N	\N
8102	29	1995-07-22	VYDAJ	VYBER	10800	32907	\N	\N	\N
8103	29	1995-08-21	VYDAJ	VYBER	7200	35918	\N	\N	\N
8104	29	1995-09-20	VYDAJ	VYBER	4600	32771	\N	\N	\N
8105	29	1995-10-20	VYDAJ	VYBER	10100	32863	\N	\N	\N
8106	29	1995-11-19	VYDAJ	VYBER	9700	33369	\N	\N	\N
8107	29	1995-12-19	VYDAJ	VYBER	12800	36465	\N	\N	\N
8108	29	1996-01-18	VYDAJ	VYBER	5600	29923	\N	\N	\N
8109	29	1996-02-17	VYDAJ	VYBER	4900	31843	\N	\N	\N
8110	29	1996-03-18	VYDAJ	VYBER	7200	34830	\N	\N	\N
8111	29	1996-04-17	VYDAJ	VYBER	10200	34835	\N	\N	\N
8112	29	1996-05-17	VYDAJ	VYBER	8000	31517	\N	\N	\N
8113	29	1996-06-16	VYDAJ	VYBER	15900	34698	\N	\N	\N
8114	29	1996-07-16	VYDAJ	VYBER	7000	30221	\N	\N	\N
8115	29	1996-08-15	VYDAJ	VYBER	10000	30404	\N	\N	\N
8116	29	1996-09-14	VYDAJ	VYBER	10200	30392	\N	\N	\N
8117	29	1996-10-14	VYDAJ	VYBER	10100	30480	\N	\N	\N
8118	29	1996-11-13	VYDAJ	VYBER	7000	31977	\N	\N	\N
8119	29	1996-12-13	VYDAJ	VYBER	13200	29802	\N	\N	\N
8120	29	1997-01-12	VYDAJ	VYBER	4000	29533	\N	\N	\N
8121	29	1997-02-11	VYDAJ	VYBER	7200	25650	\N	\N	\N
8122	29	1997-03-13	VYDAJ	VYBER	7100	27877	\N	\N	\N
8123	29	1997-04-12	VYDAJ	VYBER	13800	25094	\N	\N	\N
8124	29	1997-05-12	VYDAJ	VYBER	9600	20498	\N	\N	\N
8125	29	1997-06-11	VYDAJ	VYBER	11400	23562	\N	\N	\N
8126	29	1997-07-11	VYDAJ	VYBER	8900	24804	\N	\N	\N
8127	29	1997-08-10	VYDAJ	VYBER	8600	26366	\N	\N	\N
8128	29	1997-09-09	VYDAJ	VYBER	4000	14747	\N	\N	\N
8129	29	1997-10-09	VYDAJ	VYBER	7700	17225	\N	\N	\N
8130	29	1997-11-08	VYDAJ	VYBER	12200	22087	\N	\N	\N
8131	29	1997-12-08	VYDAJ	VYBER	3100	22304	\N	\N	\N
8132	29	1998-01-07	VYDAJ	VYBER	17300	23189	\N	\N	\N
8133	29	1998-02-06	VYDAJ	VYBER	5000	23339	\N	\N	\N
8134	29	1998-03-08	VYDAJ	VYBER	4700	25212	\N	\N	\N
8135	29	1998-04-07	VYDAJ	VYBER	11500	23904	\N	\N	\N
8136	29	1998-05-07	VYDAJ	VYBER	7000	25053	\N	\N	\N
8137	29	1998-06-06	VYDAJ	VYBER	9600	25646	\N	\N	\N
8138	29	1998-07-06	PRIJEM	VKLAD	3400	23117	\N	\N	\N
8139	29	1998-08-05	VYDAJ	VYBER	4900	27189	\N	\N	\N
8140	29	1998-09-04	VYDAJ	VYBER	11200	26189	\N	\N	\N
8141	29	1998-10-04	VYDAJ	VYBER	10300	20317	\N	\N	\N
8142	29	1998-11-03	VYDAJ	VYBER	9800	20693	\N	\N	\N
8143	29	1998-12-03	VYDAJ	VYBER	8900	21970	\N	\N	\N
8193	30	1995-03-04	PRIJEM	VKLAD	400	400	\N	\N	\N
8194	30	1995-06-11	PRIJEM	VKLAD	39619	129090	\N	\N	\N
8195	30	1995-12-20	PRIJEM	VKLAD	45998	67408	\N	\N	\N
8196	30	1995-09-14	PRIJEM	VKLAD	32186	107688	\N	\N	\N
8197	30	1995-10-12	PRIJEM	VKLAD	9356	49581	\N	\N	\N
8198	30	1995-05-02	PRIJEM	VKLAD	19709	47630	\N	\N	\N
8199	30	1995-07-25	PRIJEM	VKLAD	7825	46244	\N	\N	\N
8200	30	1995-06-09	PRIJEM	VKLAD	12814	47544	\N	\N	\N
8201	30	1995-11-19	PRIJEM	VKLAD	7671	62554	\N	\N	\N
8202	30	1995-09-12	PRIJEM	VKLAD	28501	80601	\N	\N	\N
8203	30	1995-06-26	PRIJEM	VKLAD	32506	119916	\N	\N	\N
8204	30	1995-05-20	PRIJEM	VKLAD	14905	51435	\N	\N	\N
8205	30	1995-05-31	PRIJEM	VKLAD	26181	93229	\N	\N	\N
8206	30	1995-08-14	PRIJEM	VKLAD	12316	33685	\N	\N	\N
8207	30	1995-06-09	PRIJEM	VKLAD	41927	89471	\N	\N	\N
8208	30	1995-11-26	PRIJEM	VKLAD	10443	72997	\N	\N	\N
8209	30	1995-09-01	PRIJEM	VKLAD	37747	68643	\N	\N	\N
8210	30	1995-11-16	PRIJEM	VKLAD	41929	73344	\N	\N	\N
8211	30	1995-06-16	PRIJEM	VKLAD	43054	124844	\N	\N	\N
8212	30	1995-04-30	PRIJEM	VKLAD	17117	27921	\N	\N	\N
8213	30	1995-07-16	PRIJEM	VKLAD	21563	46596	\N	\N	\N
8214	30	1995-06-17	PRIJEM	VKLAD	20066	87410	\N	\N	\N
8215	30	1995-05-30	PRIJEM	VKLAD	15431	66866	\N	\N	\N
8216	30	1995-06-02	PRIJEM	VKLAD	30816	124030	\N	\N	\N
8217	30	1995-12-27	PRIJEM	VKLAD	30648	94156	\N	\N	\N
8219	30	1996-12-15	PRIJEM	VKLAD	27016	77216	\N	\N	\N
8220	30	1996-08-26	PRIJEM	VKLAD	46064	102678	\N	\N	\N
8221	30	1996-08-11	PRIJEM	VKLAD	30475	103414	\N	\N	\N
8222	30	1996-03-22	PRIJEM	VKLAD	29491	50768	\N	\N	\N
8223	30	1996-11-11	PRIJEM	VKLAD	36998	76741	\N	\N	\N
8224	30	1996-07-28	PRIJEM	VKLAD	49290	72812	\N	\N	\N
8225	30	1996-11-17	PRIJEM	VKLAD	44963	121704	\N	\N	\N
8226	30	1996-05-15	PRIJEM	VKLAD	28976	50245	\N	\N	\N
8227	30	1996-09-28	PRIJEM	VKLAD	24138	62301	\N	\N	\N
8228	30	1996-06-08	PRIJEM	VKLAD	39588	73615	\N	\N	\N
8229	30	1996-01-07	PRIJEM	VKLAD	12011	65763	\N	\N	\N
8230	30	1996-12-19	PRIJEM	VKLAD	41647	117363	\N	\N	\N
8231	30	1997-11-07	PRIJEM	VKLAD	30812	81782	\N	\N	\N
8232	30	1997-08-24	PRIJEM	VKLAD	49066	68559	\N	\N	\N
8233	30	1997-11-20	PRIJEM	VKLAD	35779	70961	\N	\N	\N
8234	30	1997-05-13	PRIJEM	VKLAD	5546	41590	\N	\N	\N
8235	30	1997-10-09	PRIJEM	VKLAD	20120	116510	\N	\N	\N
8236	30	1997-03-21	PRIJEM	VKLAD	8782	33056	\N	\N	\N
8237	30	1997-06-18	PRIJEM	VKLAD	41704	104492	\N	\N	\N
8238	30	1997-06-04	PRIJEM	VKLAD	45207	62788	\N	\N	\N
8239	30	1997-07-12	PRIJEM	VKLAD	29067	42737	\N	\N	\N
8240	30	1997-10-20	PRIJEM	VKLAD	17278	52488	\N	\N	\N
8241	30	1997-12-08	PRIJEM	VKLAD	9931	116197	\N	\N	\N
8242	30	1997-08-26	PRIJEM	VKLAD	45110	148924	\N	\N	\N
8243	30	1997-01-22	PRIJEM	VKLAD	35966	64440	\N	\N	\N
8244	30	1997-11-29	PRIJEM	VKLAD	14371	140325	\N	\N	\N
8245	30	1997-12-04	PRIJEM	VKLAD	28810	128866	\N	\N	\N
8246	30	1997-07-15	PRIJEM	VKLAD	35422	78159	\N	\N	\N
8247	30	1997-10-06	PRIJEM	VKLAD	42332	118690	\N	\N	\N
8248	30	1997-02-20	PRIJEM	VKLAD	13705	41070	\N	\N	\N
8249	30	1997-09-28	PRIJEM	VKLAD	41148	76078	\N	\N	\N
8250	30	1997-11-21	PRIJEM	VKLAD	41390	112351	\N	\N	\N
8251	30	1997-01-01	PRIJEM	VKLAD	5386	40174	\N	\N	\N
8252	30	1997-08-25	PRIJEM	VKLAD	35255	103814	\N	\N	\N
8253	30	1997-11-26	PRIJEM	VKLAD	46703	149154	\N	\N	\N
8254	30	1997-05-12	PRIJEM	VKLAD	15839	36044	\N	\N	\N
8255	30	1998-09-23	PRIJEM	VKLAD	30617	68177	\N	\N	\N
8256	30	1998-08-29	PRIJEM	VKLAD	36169	131289	\N	\N	\N
8257	30	1998-10-24	PRIJEM	VKLAD	33146	62924	\N	\N	\N
8258	30	1998-10-02	PRIJEM	VKLAD	46559	115061	\N	\N	\N
8259	30	1998-08-03	PRIJEM	VKLAD	15318	61899	\N	\N	\N
8260	30	1998-01-11	PRIJEM	VKLAD	9089	34620	\N	\N	\N
8261	30	1998-10-06	PRIJEM	VKLAD	19917	112578	\N	\N	\N
8262	30	1998-12-30	PRIJEM	VKLAD	21936	44155	\N	\N	\N
8263	30	1998-02-13	PRIJEM	VKLAD	13657	51475	\N	\N	\N
8264	30	1998-10-27	PRIJEM	VKLAD	38652	101576	\N	\N	\N
8265	30	1998-03-18	PRIJEM	VKLAD	11636	29900	\N	\N	\N
8266	30	1998-08-19	PRIJEM	VKLAD	43244	65067	\N	\N	\N
8267	30	1998-04-28	PRIJEM	VKLAD	33038	48872	\N	\N	\N
8268	30	1998-02-07	PRIJEM	VKLAD	11502	37818	\N	\N	\N
8269	30	1998-09-02	PRIJEM	VKLAD	23089	120163	\N	\N	\N
8270	30	1998-04-14	PRIJEM	VKLAD	18573	48534	\N	\N	\N
8271	30	1998-11-06	PRIJEM	VKLAD	11256	113138	\N	\N	\N
8272	30	1998-09-08	PRIJEM	VKLAD	42797	141960	\N	\N	\N
8273	30	1998-07-19	PRIJEM	VKLAD	10705	46393	\N	\N	\N
8274	30	1998-08-07	PRIJEM	VKLAD	5776	65523	\N	\N	\N
8275	30	1998-06-27	PRIJEM	VKLAD	18998	50920	\N	\N	\N
8276	30	1998-09-01	PRIJEM	VKLAD	48711	131474	\N	\N	\N
8277	30	1998-08-20	PRIJEM	VKLAD	30053	95120	\N	\N	\N
8326	30	1995-12-10	VYBER	VYBER	17461	21410	\N	\N	\N
8327	30	1995-07-01	VYBER	VYBER	24578	21233	\N	\N	\N
8328	30	1995-08-03	VYBER	VYBER	13205	21369	\N	\N	\N
8329	30	1995-09-04	VYBER	VYBER	2590	66053	\N	\N	\N
8330	30	1995-07-17	VYBER	VYBER	8177	38419	\N	\N	\N
8332	30	1995-06-30	VYBER	VYBER	24380	45826	\N	\N	\N
8333	30	1995-11-17	VYBER	VYBER	18461	54883	\N	\N	\N
8334	30	1995-10-21	VYBER	VYBER	9716	39865	\N	\N	\N
8336	30	1995-09-13	VYBER	VYBER	5099	75502	\N	\N	\N
8337	30	1995-09-11	VYBER	VYBER	13953	52100	\N	\N	\N
8338	30	1996-06-09	VYBER	VYBER	18748	54867	\N	\N	\N
8339	30	1996-09-20	VYBER	VYBER	6371	67763	\N	\N	\N
8342	30	1996-06-10	VYBER	VYBER	12090	42777	\N	\N	\N
8343	30	1996-09-09	VYBER	VYBER	8282	94707	\N	\N	\N
8346	30	1996-01-12	VYBER	VYBER	18324	43239	\N	\N	\N
8347	30	1996-09-10	VYBER	VYBER	20573	74134	\N	\N	\N
8348	30	1998-05-02	VYBER	VYBER	7873	41094	\N	\N	\N
8350	30	1998-08-06	VYBER	VYBER	2152	59747	\N	\N	\N
8352	30	1998-11-10	VYBER	VYBER	14412	53426	\N	\N	\N
8358	30	1998-07-18	VYBER	VYBER	15351	35688	\N	\N	\N
8362	30	1997-06-20	VYDAJ	VYBER	75600	28892	\N	\N	\N
8364	30	1995-12-20	VYDAJ	VYBER	3900	63508	\N	\N	\N
8365	30	1996-12-15	VYDAJ	VYBER	1500	75716	\N	\N	\N
8366	30	1997-12-15	VYDAJ	VYBER	1500	65697	\N	\N	\N
8374	30	1996-01-24	VYDAJ	VYBER	6600	22539	\N	\N	\N
8375	30	1996-01-04	VYDAJ	VYBER	3900	53752	\N	\N	\N
8376	30	1996-01-22	VYDAJ	VYBER	6000	29139	\N	\N	\N
8377	30	1996-01-21	VYDAJ	VYBER	8100	35139	\N	\N	\N
8379	30	1996-01-11	VYDAJ	VYBER	4200	61563	\N	\N	\N
8380	30	1997-01-24	VYDAJ	VYBER	2400	33840	\N	\N	\N
8381	30	1997-01-04	VYDAJ	VYBER	3600	34474	\N	\N	\N
8382	30	1997-01-15	VYDAJ	VYBER	6000	28474	\N	\N	\N
8383	30	1997-01-04	VYDAJ	VYBER	2100	38074	\N	\N	\N
8384	30	1997-01-28	VYDAJ	VYBER	4200	29640	\N	\N	\N
8388	30	1998-01-13	VYDAJ	VYBER	4200	26220	\N	\N	\N
8390	30	1998-01-11	VYDAJ	VYBER	4200	30420	\N	\N	\N
8391	30	1998-01-05	VYDAJ	VYBER	1500	25531	\N	\N	\N
8392	30	1995-06-07	VYDAJ	VYBER	7800	34730	\N	\N	\N
8393	30	1995-06-26	VYDAJ	VYBER	8100	111816	\N	\N	\N
8394	30	1995-06-28	VYDAJ	VYBER	11400	69816	\N	\N	\N
8395	30	1995-11-30	VYDAJ	VYBER	8400	38886	\N	\N	\N
8399	30	1996-09-22	VYDAJ	VYBER	5700	62063	\N	\N	\N
8400	30	1996-04-10	VYDAJ	VYBER	6900	27249	\N	\N	\N
8402	30	1997-11-05	VYDAJ	VYBER	1800	50970	\N	\N	\N
8403	30	1997-11-22	VYDAJ	VYBER	9900	102451	\N	\N	\N
8405	30	1997-09-07	VYDAJ	VYBER	11700	76430	\N	\N	\N
8406	30	1997-02-08	VYDAJ	VYBER	2400	27365	\N	\N	\N
8408	30	1998-05-10	VYDAJ	VYBER	7500	31794	\N	\N	\N
8409	30	1998-05-03	VYDAJ	VYBER	1800	39294	\N	\N	\N
8410	30	1998-10-05	VYDAJ	VYBER	5100	92661	\N	\N	\N
8416	30	1995-05-31	VYDAJ	VYBER	15	93214	SLUZBY	\N	\N
8417	30	1995-06-30	VYDAJ	VYBER	15	45811	SLUZBY	\N	\N
8418	30	1995-07-31	VYDAJ	VYBER	15	46374	SLUZBY	\N	\N
8419	30	1995-08-31	VYDAJ	VYBER	15	33796	SLUZBY	\N	\N
8420	30	1995-09-30	VYDAJ	VYBER	15	40225	SLUZBY	\N	\N
8421	30	1995-10-31	VYDAJ	VYBER	15	31415	SLUZBY	\N	\N
8422	30	1995-11-30	VYDAJ	VYBER	15	38871	SLUZBY	\N	\N
8423	30	1995-12-31	VYDAJ	VYBER	15	57652	SLUZBY	\N	\N
8424	30	1996-01-31	VYDAJ	VYBER	15	21403	SLUZBY	\N	\N
8425	30	1996-02-29	VYDAJ	VYBER	15	21277	SLUZBY	\N	\N
8426	30	1996-03-31	VYDAJ	VYBER	15	34149	SLUZBY	\N	\N
8427	30	1996-04-30	VYDAJ	VYBER	15	21269	SLUZBY	\N	\N
8428	30	1996-05-31	VYDAJ	VYBER	15	34027	SLUZBY	\N	\N
8429	30	1996-06-30	VYDAJ	VYBER	15	28222	SLUZBY	\N	\N
8430	30	1996-07-31	VYDAJ	VYBER	15	72939	SLUZBY	\N	\N
8431	30	1996-08-31	VYDAJ	VYBER	15	102989	SLUZBY	\N	\N
8432	30	1996-09-30	VYDAJ	VYBER	15	62601	SLUZBY	\N	\N
8433	30	1996-10-31	VYDAJ	VYBER	15	39743	SLUZBY	\N	\N
8434	30	1996-11-30	VYDAJ	VYBER	15	50200	SLUZBY	\N	\N
8435	30	1996-12-31	VYDAJ	VYBER	15	34788	SLUZBY	\N	\N
8436	30	1997-01-31	VYDAJ	VYBER	15	29765	SLUZBY	\N	\N
8437	30	1997-02-28	VYDAJ	VYBER	15	24274	SLUZBY	\N	\N
8438	30	1997-03-31	VYDAJ	VYBER	15	20137	SLUZBY	\N	\N
8439	30	1997-04-30	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
8440	30	1997-05-31	VYDAJ	VYBER	15	17581	SLUZBY	\N	\N
8441	30	1997-06-30	VYDAJ	VYBER	15	13670	SLUZBY	\N	\N
8442	30	1997-07-31	VYDAJ	VYBER	15	41393	SLUZBY	\N	\N
8443	30	1997-08-31	VYDAJ	VYBER	15	88130	SLUZBY	\N	\N
8444	30	1997-09-30	VYDAJ	VYBER	15	76358	SLUZBY	\N	\N
8445	30	1997-10-31	VYDAJ	VYBER	15	52770	SLUZBY	\N	\N
8446	30	1997-11-30	VYDAJ	VYBER	15	100056	SLUZBY	\N	\N
8447	30	1997-12-31	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
8448	30	1998-01-31	VYDAJ	VYBER	15	26316	SLUZBY	\N	\N
8449	30	1998-02-28	VYDAJ	VYBER	15	18264	SLUZBY	\N	\N
8450	30	1998-03-31	VYDAJ	VYBER	15	29961	SLUZBY	\N	\N
8451	30	1998-04-30	VYDAJ	VYBER	15	48967	SLUZBY	\N	\N
8452	30	1998-05-31	VYDAJ	VYBER	15	31922	SLUZBY	\N	\N
8453	30	1998-06-30	VYDAJ	VYBER	15	51039	SLUZBY	\N	\N
8454	30	1998-07-31	VYDAJ	VYBER	15	46581	SLUZBY	\N	\N
8455	30	1998-08-31	VYDAJ	VYBER	15	82763	SLUZBY	\N	\N
8456	30	1998-09-30	VYDAJ	VYBER	15	68502	SLUZBY	\N	\N
8457	30	1998-10-31	VYDAJ	VYBER	15	101882	SLUZBY	\N	\N
8458	30	1998-11-30	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
8459	30	1995-04-03	PRIJEM	VKLAD	10400	10800	\N	\N	\N
8460	30	1995-05-03	VYDAJ	VYBER	11100	36530	\N	\N	\N
8461	30	1995-06-02	VYDAJ	VYBER	60200	63830	\N	\N	\N
8462	30	1995-06-02	VYDAJ	VYBER	21300	42530	\N	\N	\N
8463	30	1995-06-11	VYDAJ	VYBER	47300	81790	\N	\N	\N
8464	30	1995-06-16	VYDAJ	VYBER	57500	67344	\N	\N	\N
8465	30	1995-06-26	VYDAJ	VYBER	30600	81216	\N	\N	\N
8466	30	1995-07-02	PRIJEM	VKLAD	3800	25033	\N	\N	\N
8467	30	1995-08-01	VYDAJ	VYBER	11800	34574	\N	\N	\N
8468	30	1995-08-31	VYDAJ	VYBER	2900	30896	\N	\N	\N
8469	30	1995-09-14	VYDAJ	VYBER	58300	49388	\N	\N	\N
8470	30	1995-09-30	VYDAJ	VYBER	9500	40240	\N	\N	\N
8471	30	1995-10-30	VYDAJ	VYBER	8600	31265	\N	\N	\N
8472	30	1995-11-29	VYDAJ	VYBER	25900	47097	\N	\N	\N
8473	30	1995-12-29	VYDAJ	VYBER	36700	57456	\N	\N	\N
8474	30	1996-01-28	VYDAJ	VYBER	1300	21239	\N	\N	\N
8475	30	1996-02-27	VYDAJ	VYBER	200	21203	\N	\N	\N
8476	30	1996-03-28	VYDAJ	VYBER	16700	34068	\N	\N	\N
8477	30	1996-04-27	VYDAJ	VYBER	6100	21149	\N	\N	\N
8478	30	1996-05-27	VYDAJ	VYBER	16300	33945	\N	\N	\N
8479	30	1996-06-26	VYDAJ	VYBER	14700	28077	\N	\N	\N
8480	30	1996-07-26	VYDAJ	VYBER	4700	23522	\N	\N	\N
8481	30	1996-08-25	VYDAJ	VYBER	46800	56614	\N	\N	\N
8482	30	1996-09-24	VYDAJ	VYBER	23900	38163	\N	\N	\N
8483	30	1996-10-24	VYDAJ	VYBER	23100	39501	\N	\N	\N
8484	30	1996-11-17	VYDAJ	VYBER	41300	80404	\N	\N	\N
8485	30	1996-11-23	VYDAJ	VYBER	30400	50004	\N	\N	\N
8486	30	1996-12-19	VYDAJ	VYBER	58100	59263	\N	\N	\N
8487	30	1996-12-23	VYDAJ	VYBER	24700	34563	\N	\N	\N
8488	30	1997-01-22	VYDAJ	VYBER	28200	36240	\N	\N	\N
8489	30	1997-02-21	VYDAJ	VYBER	16900	24170	\N	\N	\N
8490	30	1997-03-23	VYDAJ	VYBER	13000	20056	\N	\N	\N
8491	30	1997-05-22	VYDAJ	VYBER	24100	17490	\N	\N	\N
8492	30	1997-06-21	VYDAJ	VYBER	15300	13592	\N	\N	\N
8493	30	1997-07-21	VYDAJ	VYBER	36900	41259	\N	\N	\N
8494	30	1997-08-20	VYDAJ	VYBER	21900	19493	\N	\N	\N
8495	30	1997-08-26	VYDAJ	VYBER	61000	87924	\N	\N	\N
8496	30	1997-09-19	VYDAJ	VYBER	41500	34930	\N	\N	\N
8497	30	1997-10-06	VYDAJ	VYBER	22300	96390	\N	\N	\N
8498	30	1997-10-09	VYDAJ	VYBER	34700	81810	\N	\N	\N
8499	30	1997-10-19	VYDAJ	VYBER	46600	35210	\N	\N	\N
8500	30	1997-11-18	VYDAJ	VYBER	46600	35182	\N	\N	\N
8501	30	1997-11-26	VYDAJ	VYBER	23200	125954	\N	\N	\N
8502	30	1997-11-29	VYDAJ	VYBER	40600	99725	\N	\N	\N
8503	30	1997-12-04	VYDAJ	VYBER	22600	106266	\N	\N	\N
8504	30	1997-12-08	VYDAJ	VYBER	49000	67197	\N	\N	\N
8505	30	1997-12-18	VYDAJ	VYBER	38900	26797	\N	\N	\N
8506	30	1998-02-16	VYDAJ	VYBER	33300	18175	\N	\N	\N
8507	30	1998-04-17	VYDAJ	VYBER	32700	15834	\N	\N	\N
8508	30	1998-08-15	VYDAJ	VYBER	43700	21823	\N	\N	\N
8509	30	1998-08-29	VYDAJ	VYBER	48800	82489	\N	\N	\N
8510	30	1998-09-01	VYDAJ	VYBER	34400	97074	\N	\N	\N
8511	30	1998-09-02	VYDAJ	VYBER	21000	99163	\N	\N	\N
8512	30	1998-09-08	VYDAJ	VYBER	47900	94060	\N	\N	\N
8513	30	1998-09-14	VYDAJ	VYBER	56500	37560	\N	\N	\N
8514	30	1998-10-02	VYDAJ	VYBER	17300	97761	\N	\N	\N
8515	30	1998-10-06	VYDAJ	VYBER	37800	74778	\N	\N	\N
8516	30	1998-10-14	VYDAJ	VYBER	45000	29778	\N	\N	\N
8517	30	1998-11-06	VYDAJ	VYBER	45300	67838	\N	\N	\N
8518	30	1998-11-13	VYDAJ	VYBER	31400	22026	\N	\N	\N
8563	31	1994-04-27	PRIJEM	VKLAD	800	800	\N	\N	\N
8564	31	1994-10-02	PRIJEM	VKLAD	31459	60416	\N	\N	\N
8566	31	1994-08-25	PRIJEM	VKLAD	17624	127387	\N	\N	\N
8567	31	1994-05-16	PRIJEM	VKLAD	42260	63442	\N	\N	\N
8569	31	1994-09-02	PRIJEM	VKLAD	29607	119901	\N	\N	\N
8570	31	1994-12-08	PRIJEM	VKLAD	35663	57767	\N	\N	\N
8572	31	1994-08-10	PRIJEM	VKLAD	12720	97086	\N	\N	\N
8573	31	1994-08-23	PRIJEM	VKLAD	41079	127963	\N	\N	\N
8574	31	1994-06-13	PRIJEM	VKLAD	7467	99085	\N	\N	\N
8575	31	1994-10-05	PRIJEM	VKLAD	7882	68298	\N	\N	\N
8576	31	1994-07-26	PRIJEM	VKLAD	15456	85982	\N	\N	\N
8579	31	1994-06-07	PRIJEM	VKLAD	49537	91618	\N	\N	\N
8581	31	1994-08-30	PRIJEM	VKLAD	33581	89968	\N	\N	\N
8585	31	1994-05-01	PRIJEM	VKLAD	5339	6139	\N	\N	\N
8586	31	1994-08-09	PRIJEM	VKLAD	31173	84366	\N	\N	\N
8587	31	1994-12-15	PRIJEM	VKLAD	44540	92105	\N	\N	\N
8588	31	1994-05-10	PRIJEM	VKLAD	15043	21182	\N	\N	\N
8589	31	1994-07-23	PRIJEM	VKLAD	43883	70526	\N	\N	\N
8590	31	1995-12-06	PRIJEM	VKLAD	30276	95386	\N	\N	\N
8591	31	1995-09-28	PRIJEM	VKLAD	29316	59392	\N	\N	\N
8592	31	1995-10-29	PRIJEM	VKLAD	27452	71345	\N	\N	\N
8593	31	1995-04-14	PRIJEM	VKLAD	49190	116627	\N	\N	\N
8594	31	1995-01-08	PRIJEM	VKLAD	28892	104792	\N	\N	\N
8595	31	1995-12-23	PRIJEM	VKLAD	40288	120682	\N	\N	\N
8596	31	1995-11-29	PRIJEM	VKLAD	22009	64873	\N	\N	\N
8597	31	1995-07-29	PRIJEM	VKLAD	7446	65379	\N	\N	\N
8598	31	1995-04-17	PRIJEM	VKLAD	33456	125383	\N	\N	\N
8599	31	1995-04-05	PRIJEM	VKLAD	38690	80939	\N	\N	\N
8600	31	1995-01-10	PRIJEM	VKLAD	28587	71679	\N	\N	\N
8601	31	1995-01-05	PRIJEM	VKLAD	30311	69787	\N	\N	\N
8602	31	1995-01-12	PRIJEM	VKLAD	47153	118832	\N	\N	\N
8603	31	1995-03-03	PRIJEM	VKLAD	8196	34623	\N	\N	\N
8604	31	1995-06-18	PRIJEM	VKLAD	35257	127256	\N	\N	\N
8605	31	1995-04-03	PRIJEM	VKLAD	10404	42249	\N	\N	\N
8606	31	1995-03-03	PRIJEM	VKLAD	48559	83182	\N	\N	\N
8607	31	1995-01-22	PRIJEM	VKLAD	25995	111847	\N	\N	\N
8608	31	1995-05-28	PRIJEM	VKLAD	16728	73261	\N	\N	\N
8609	31	1995-12-21	PRIJEM	VKLAD	35110	88494	\N	\N	\N
8610	31	1995-10-09	PRIJEM	VKLAD	14143	73695	\N	\N	\N
8611	31	1995-07-21	PRIJEM	VKLAD	15294	86533	\N	\N	\N
8612	31	1995-06-07	PRIJEM	VKLAD	46849	120401	\N	\N	\N
8613	31	1995-05-13	PRIJEM	VKLAD	49080	117033	\N	\N	\N
8614	31	1995-07-20	PRIJEM	VKLAD	30761	71239	\N	\N	\N
8615	31	1995-01-14	PRIJEM	VKLAD	37814	128844	\N	\N	\N
8616	31	1995-01-05	PRIJEM	VKLAD	6113	75900	\N	\N	\N
8617	31	1995-08-17	PRIJEM	VKLAD	11732	67153	\N	\N	\N
8618	31	1995-05-10	PRIJEM	VKLAD	48163	78155	\N	\N	\N
8619	31	1996-02-03	PRIJEM	VKLAD	12252	110093	\N	\N	\N
8620	31	1996-02-08	PRIJEM	VKLAD	5053	77457	\N	\N	\N
8621	31	1996-09-12	PRIJEM	VKLAD	26888	55007	\N	\N	\N
8622	31	1996-10-26	PRIJEM	VKLAD	35548	77465	\N	\N	\N
8623	31	1996-05-19	PRIJEM	VKLAD	20292	71654	\N	\N	\N
8624	31	1996-02-07	PRIJEM	VKLAD	11711	121804	\N	\N	\N
8625	31	1996-01-31	PRIJEM	VKLAD	35521	97582	\N	\N	\N
8626	31	1996-01-18	PRIJEM	VKLAD	11689	51448	\N	\N	\N
8627	31	1996-05-07	PRIJEM	VKLAD	16538	106864	\N	\N	\N
8628	31	1996-03-21	PRIJEM	VKLAD	31761	79814	\N	\N	\N
8629	31	1996-11-07	PRIJEM	VKLAD	25473	103138	\N	\N	\N
8630	31	1996-04-11	PRIJEM	VKLAD	6727	86822	\N	\N	\N
8631	31	1996-02-25	PRIJEM	VKLAD	21140	86695	\N	\N	\N
8632	31	1996-11-14	PRIJEM	VKLAD	21545	77081	\N	\N	\N
8633	31	1996-09-14	PRIJEM	VKLAD	8806	31606	\N	\N	\N
8634	31	1996-10-11	PRIJEM	VKLAD	39228	70947	\N	\N	\N
8635	31	1996-02-23	PRIJEM	VKLAD	21200	65555	\N	\N	\N
8636	31	1996-04-18	PRIJEM	VKLAD	44981	90001	\N	\N	\N
8637	31	1996-10-14	PRIJEM	VKLAD	20786	58031	\N	\N	\N
8638	31	1996-11-19	PRIJEM	VKLAD	21589	75135	\N	\N	\N
8639	31	1996-05-24	PRIJEM	VKLAD	38273	85572	\N	\N	\N
8640	31	1996-01-23	PRIJEM	VKLAD	26065	77513	\N	\N	\N
8641	31	1996-03-15	PRIJEM	VKLAD	7384	74453	\N	\N	\N
8642	31	1996-07-09	PRIJEM	VKLAD	7532	36253	\N	\N	\N
8643	31	1996-03-03	PRIJEM	VKLAD	15868	85371	\N	\N	\N
8644	31	1996-07-22	PRIJEM	VKLAD	41372	61923	\N	\N	\N
8645	31	1996-07-04	PRIJEM	VKLAD	27770	51486	\N	\N	\N
8646	31	1997-05-18	PRIJEM	VKLAD	35611	53773	\N	\N	\N
8647	31	1997-07-02	PRIJEM	VKLAD	24610	114435	\N	\N	\N
8648	31	1997-01-15	PRIJEM	VKLAD	28088	47527	\N	\N	\N
8649	31	1997-02-24	PRIJEM	VKLAD	14313	91878	\N	\N	\N
8650	31	1997-12-02	PRIJEM	VKLAD	47148	56952	\N	\N	\N
8651	31	1997-07-12	PRIJEM	VKLAD	21433	64368	\N	\N	\N
8652	31	1997-07-02	PRIJEM	VKLAD	26437	89825	\N	\N	\N
8653	31	1997-02-22	PRIJEM	VKLAD	16903	34230	\N	\N	\N
8654	31	1997-05-31	PRIJEM	VKLAD	47476	124300	\N	\N	\N
8655	31	1997-10-07	PRIJEM	VKLAD	42540	77295	\N	\N	\N
8656	31	1997-10-02	PRIJEM	VKLAD	19742	40155	\N	\N	\N
8657	31	1997-05-27	PRIJEM	VKLAD	31747	76824	\N	\N	\N
8658	31	1997-08-31	PRIJEM	VKLAD	46990	57306	\N	\N	\N
8659	31	1997-06-24	PRIJEM	VKLAD	46467	75728	\N	\N	\N
8660	31	1997-03-04	PRIJEM	VKLAD	39840	131852	\N	\N	\N
8661	31	1997-04-26	PRIJEM	VKLAD	30389	46672	\N	\N	\N
8662	31	1997-04-01	PRIJEM	VKLAD	14597	43485	\N	\N	\N
8663	31	1997-10-25	PRIJEM	VKLAD	23394	49687	\N	\N	\N
8664	31	1997-02-24	PRIJEM	VKLAD	43335	77565	\N	\N	\N
8665	31	1998-09-02	PRIJEM	VKLAD	24258	59401	\N	\N	\N
8666	31	1998-04-13	PRIJEM	VKLAD	49940	112425	\N	\N	\N
8667	31	1998-06-04	PRIJEM	VKLAD	19927	44987	\N	\N	\N
8668	31	1998-02-28	PRIJEM	VKLAD	31907	65314	\N	\N	\N
8669	31	1998-04-10	PRIJEM	VKLAD	46087	72687	\N	\N	\N
8670	31	1998-03-24	PRIJEM	VKLAD	28479	48037	\N	\N	\N
8671	31	1998-09-06	PRIJEM	VKLAD	25450	48451	\N	\N	\N
8672	31	1998-04-15	PRIJEM	VKLAD	24706	137131	\N	\N	\N
8673	31	1998-07-24	PRIJEM	VKLAD	9096	28684	\N	\N	\N
8674	31	1998-02-19	PRIJEM	VKLAD	35917	41346	\N	\N	\N
8675	31	1998-08-25	PRIJEM	VKLAD	5607	35036	\N	\N	\N
8676	31	1998-01-21	PRIJEM	VKLAD	9986	15584	\N	\N	\N
8677	31	1998-02-28	PRIJEM	VKLAD	46461	111775	\N	\N	\N
8678	31	1998-08-08	PRIJEM	VKLAD	10843	39631	\N	\N	\N
8685	31	1994-07-12	VYDAJ	PREVOD NA UCET	10202	45320	SIPO	ST	42430687
8686	31	1994-08-12	VYDAJ	PREVOD NA UCET	10202	86884	SIPO	ST	42430687
8687	31	1994-09-12	VYDAJ	PREVOD NA UCET	10202	62495	SIPO	ST	42430687
8688	31	1994-10-12	VYDAJ	PREVOD NA UCET	10202	58096	SIPO	ST	42430687
8689	31	1994-11-12	VYDAJ	PREVOD NA UCET	10202	17808	SIPO	ST	42430687
8690	31	1994-12-12	VYDAJ	PREVOD NA UCET	10202	47565	SIPO	ST	42430687
8691	31	1995-01-12	VYDAJ	PREVOD NA UCET	10202	91030	SIPO	ST	42430687
8692	31	1995-02-12	VYDAJ	PREVOD NA UCET	10202	35577	SIPO	ST	42430687
8693	31	1995-03-12	VYDAJ	PREVOD NA UCET	10202	72980	SIPO	ST	42430687
8694	31	1995-04-12	VYDAJ	PREVOD NA UCET	10202	67437	SIPO	ST	42430687
8695	31	1995-05-12	VYDAJ	PREVOD NA UCET	10202	67953	SIPO	ST	42430687
8696	31	1995-06-12	VYDAJ	PREVOD NA UCET	10202	91999	SIPO	ST	42430687
8697	31	1995-07-12	VYDAJ	PREVOD NA UCET	10202	40478	SIPO	ST	42430687
8698	31	1995-08-12	VYDAJ	PREVOD NA UCET	10202	55421	SIPO	ST	42430687
8699	31	1995-09-12	VYDAJ	PREVOD NA UCET	10202	34876	SIPO	ST	42430687
8700	31	1995-10-12	VYDAJ	PREVOD NA UCET	10202	63493	SIPO	ST	42430687
8701	31	1995-11-12	VYDAJ	PREVOD NA UCET	10202	61364	SIPO	ST	42430687
8702	31	1995-12-12	VYDAJ	PREVOD NA UCET	10202	85184	SIPO	ST	42430687
8703	31	1996-01-12	VYDAJ	PREVOD NA UCET	10202	57159	SIPO	ST	42430687
8704	31	1996-02-12	VYDAJ	PREVOD NA UCET	10202	67255	SIPO	ST	42430687
8705	31	1996-03-12	VYDAJ	PREVOD NA UCET	10202	67069	SIPO	ST	42430687
8706	31	1996-04-12	VYDAJ	PREVOD NA UCET	10202	76620	SIPO	ST	42430687
8707	31	1996-05-12	VYDAJ	PREVOD NA UCET	10202	96662	SIPO	ST	42430687
8708	31	1996-06-12	VYDAJ	PREVOD NA UCET	10202	46874	SIPO	ST	42430687
8709	31	1996-07-12	VYDAJ	PREVOD NA UCET	10202	26051	SIPO	ST	42430687
8710	31	1996-08-12	VYDAJ	PREVOD NA UCET	10202	46963	SIPO	ST	42430687
8711	31	1996-09-12	VYDAJ	PREVOD NA UCET	10202	44805	SIPO	ST	42430687
8712	31	1996-10-12	VYDAJ	PREVOD NA UCET	10202	60745	SIPO	ST	42430687
8713	31	1996-11-12	VYDAJ	PREVOD NA UCET	10202	92936	SIPO	ST	42430687
8714	31	1996-12-12	VYDAJ	PREVOD NA UCET	10202	39440	SIPO	ST	42430687
8715	31	1997-01-12	VYDAJ	PREVOD NA UCET	10202	19439	SIPO	ST	42430687
8716	31	1997-02-12	VYDAJ	PREVOD NA UCET	10202	17327	SIPO	ST	42430687
8717	31	1997-03-12	VYDAJ	PREVOD NA UCET	10202	46150	SIPO	ST	42430687
8718	31	1997-04-12	VYDAJ	PREVOD NA UCET	10202	16283	SIPO	ST	42430687
8719	31	1997-05-12	VYDAJ	PREVOD NA UCET	10202	18162	SIPO	ST	42430687
8720	31	1997-06-12	VYDAJ	PREVOD NA UCET	10202	41681	SIPO	ST	42430687
8721	31	1997-07-12	VYDAJ	PREVOD NA UCET	10202	54166	SIPO	ST	42430687
8722	31	1997-08-12	VYDAJ	PREVOD NA UCET	10202	10222	SIPO	ST	42430687
8723	31	1997-09-12	VYDAJ	PREVOD NA UCET	10202	20289	SIPO	ST	42430687
8724	31	1997-10-12	VYDAJ	PREVOD NA UCET	10202	26293	SIPO	ST	42430687
8725	31	1997-11-12	VYDAJ	PREVOD NA UCET	10202	9720	SIPO	ST	42430687
8726	31	1997-12-12	VYDAJ	PREVOD NA UCET	10202	15750	SIPO	ST	42430687
8727	31	1998-01-12	VYDAJ	PREVOD NA UCET	10202	5598	SIPO	ST	42430687
8728	31	1998-02-12	VYDAJ	PREVOD NA UCET	10202	5429	SIPO	ST	42430687
8729	31	1998-03-12	VYDAJ	PREVOD NA UCET	10202	19558	SIPO	ST	42430687
8730	31	1998-04-12	VYDAJ	PREVOD NA UCET	10202	62485	SIPO	ST	42430687
8731	31	1998-05-12	VYDAJ	PREVOD NA UCET	10202	24888	SIPO	ST	42430687
8732	31	1998-06-12	VYDAJ	PREVOD NA UCET	10202	29685	SIPO	ST	42430687
8733	31	1998-07-12	VYDAJ	PREVOD NA UCET	10202	19588	SIPO	ST	42430687
8734	31	1998-08-12	VYDAJ	PREVOD NA UCET	10202	29429	SIPO	ST	42430687
8735	31	1998-09-12	VYDAJ	PREVOD NA UCET	10202	38249	SIPO	ST	42430687
8736	31	1998-10-12	VYDAJ	PREVOD NA UCET	10202	23306	SIPO	ST	42430687
8737	31	1998-11-12	VYDAJ	PREVOD NA UCET	10202	13222	SIPO	ST	42430687
8739	31	1994-07-04	VYBER	VYBER	8742	55522	\N	\N	\N
8744	31	1994-09-09	VYBER	VYBER	2704	72697	\N	\N	\N
8746	31	1994-12-18	VYBER	VYBER	20805	71300	\N	\N	\N
8748	31	1994-10-19	VYBER	VYBER	10685	47411	\N	\N	\N
8749	31	1994-07-18	VYBER	VYBER	6088	39232	\N	\N	\N
8750	31	1994-10-01	VYBER	VYBER	16488	28957	\N	\N	\N
8751	31	1994-07-21	VYBER	VYBER	12589	26643	\N	\N	\N
8752	31	1995-05-02	VYBER	VYBER	24971	37492	\N	\N	\N
8753	31	1995-01-16	VYBER	VYBER	9516	95528	\N	\N	\N
8754	31	1995-03-30	VYBER	VYBER	19293	31587	\N	\N	\N
8755	31	1995-01-19	VYBER	VYBER	9676	85852	\N	\N	\N
8757	31	1996-10-14	VYBER	VYBER	16114	41917	\N	\N	\N
8758	31	1996-09-13	VYBER	VYBER	10705	34100	\N	\N	\N
8759	31	1996-08-06	VYBER	VYBER	4915	57165	\N	\N	\N
8760	31	1996-01-27	VYBER	VYBER	5252	72261	\N	\N	\N
8761	31	1996-07-02	VYBER	VYBER	8849	23716	\N	\N	\N
8763	31	1996-06-01	VYBER	VYBER	15615	64576	\N	\N	\N
8765	31	1996-11-14	VYBER	VYBER	23535	53546	\N	\N	\N
8766	31	1996-05-21	VYBER	VYBER	24355	47299	\N	\N	\N
8767	31	1996-02-26	VYBER	VYBER	17477	69218	\N	\N	\N
8768	31	1996-07-08	VYBER	VYBER	22765	28721	\N	\N	\N
8769	31	1997-02-09	VYBER	VYBER	17957	29729	\N	\N	\N
8770	31	1997-03-27	VYBER	VYBER	17510	28640	\N	\N	\N
8778	31	1997-06-21	VYBER	VYBER	12420	29261	\N	\N	\N
8779	31	1997-05-25	VYBER	VYBER	8696	45077	\N	\N	\N
8781	31	1998-02-19	VYBER	VYBER	8050	33296	\N	\N	\N
8789	31	1998-09-13	VYBER	VYBER	4870	33379	\N	\N	\N
8791	31	1998-03-27	VYBER	VYBER	21653	26384	\N	\N	\N
8792	31	1994-12-30	VYDAJ	VYBER	6600	39300	\N	\N	\N
8793	31	1995-12-22	VYDAJ	VYBER	8100	80394	\N	\N	\N
8794	31	1996-12-06	VYDAJ	VYBER	8100	67342	\N	\N	\N
8800	31	1994-10-27	VYDAJ	VYBER	6900	27811	\N	\N	\N
8802	31	1995-02-17	VYDAJ	VYBER	12900	22677	\N	\N	\N
8803	31	1995-05-02	VYDAJ	VYBER	7500	29992	\N	\N	\N
8804	31	1995-06-26	VYDAJ	VYBER	12300	50356	\N	\N	\N
8805	31	1995-04-06	VYDAJ	VYBER	3300	77639	\N	\N	\N
8806	31	1995-02-01	VYDAJ	VYBER	11400	45779	\N	\N	\N
8807	31	1995-12-25	VYDAJ	VYBER	11100	67082	\N	\N	\N
8808	31	1996-06-10	VYDAJ	VYBER	7500	57076	\N	\N	\N
8809	31	1996-01-28	VYDAJ	VYBER	10200	62061	\N	\N	\N
8810	31	1996-03-12	VYDAJ	VYBER	8100	77271	\N	\N	\N
8811	31	1996-05-18	VYDAJ	VYBER	5100	51362	\N	\N	\N
8812	31	1996-05-28	VYDAJ	VYBER	5700	79872	\N	\N	\N
8813	31	1996-06-13	VYDAJ	VYBER	3300	43574	\N	\N	\N
8814	31	1997-07-24	VYDAJ	VYBER	12300	41866	\N	\N	\N
8816	31	1997-06-28	VYDAJ	VYBER	12600	63128	\N	\N	\N
8820	31	1997-10-02	VYDAJ	VYBER	5400	34755	\N	\N	\N
8823	31	1998-06-08	VYDAJ	VYBER	5100	39887	\N	\N	\N
8832	31	1994-06-30	VYDAJ	VYBER	15	64264	SLUZBY	\N	\N
8833	31	1994-07-31	VYDAJ	VYBER	15	53193	SLUZBY	\N	\N
8834	31	1994-08-31	VYDAJ	VYBER	15	90294	SLUZBY	\N	\N
8835	31	1994-09-30	VYDAJ	VYBER	15	45445	SLUZBY	\N	\N
8836	31	1994-10-31	VYDAJ	VYBER	15	28010	SLUZBY	\N	\N
8837	31	1994-11-30	VYDAJ	VYBER	15	22104	SLUZBY	\N	\N
8838	31	1994-12-31	VYDAJ	VYBER	15	39476	SLUZBY	\N	\N
8839	31	1995-01-31	VYDAJ	VYBER	15	57179	SLUZBY	\N	\N
8840	31	1995-02-28	VYDAJ	VYBER	15	26427	SLUZBY	\N	\N
8841	31	1995-03-31	VYDAJ	VYBER	15	31845	SLUZBY	\N	\N
8842	31	1995-04-30	VYDAJ	VYBER	15	62463	SLUZBY	\N	\N
8843	31	1995-05-31	VYDAJ	VYBER	15	73552	SLUZBY	\N	\N
8844	31	1995-06-30	VYDAJ	VYBER	15	50680	SLUZBY	\N	\N
8845	31	1995-07-31	VYDAJ	VYBER	15	65623	SLUZBY	\N	\N
8846	31	1995-08-31	VYDAJ	VYBER	15	45078	SLUZBY	\N	\N
8847	31	1995-09-30	VYDAJ	VYBER	15	59552	SLUZBY	\N	\N
8848	31	1995-10-31	VYDAJ	VYBER	15	71566	SLUZBY	\N	\N
8849	31	1995-11-30	VYDAJ	VYBER	15	65110	SLUZBY	\N	\N
8850	31	1995-12-31	VYDAJ	VYBER	15	67361	SLUZBY	\N	\N
8851	31	1996-01-31	VYDAJ	VYBER	15	97841	SLUZBY	\N	\N
8852	31	1996-02-29	VYDAJ	VYBER	15	69503	SLUZBY	\N	\N
8853	31	1996-03-31	VYDAJ	VYBER	15	80095	SLUZBY	\N	\N
8854	31	1996-04-30	VYDAJ	VYBER	15	90326	SLUZBY	\N	\N
8855	31	1996-05-31	VYDAJ	VYBER	15	80191	SLUZBY	\N	\N
8856	31	1996-06-30	VYDAJ	VYBER	15	32565	SLUZBY	\N	\N
8857	31	1996-07-31	VYDAJ	VYBER	15	62080	SLUZBY	\N	\N
8858	31	1996-08-31	VYDAJ	VYBER	15	28119	SLUZBY	\N	\N
8859	31	1996-09-30	VYDAJ	VYBER	15	31719	SLUZBY	\N	\N
8860	31	1996-10-31	VYDAJ	VYBER	15	77665	SLUZBY	\N	\N
8861	31	1996-11-30	VYDAJ	VYBER	15	75442	SLUZBY	\N	\N
8862	31	1996-12-31	VYDAJ	VYBER	15	39641	SLUZBY	\N	\N
8863	31	1997-01-31	VYDAJ	VYBER	15	47686	SLUZBY	\N	\N
8864	31	1997-02-28	VYDAJ	VYBER	15	92012	SLUZBY	\N	\N
8865	31	1997-03-31	VYDAJ	VYBER	15	28888	SLUZBY	\N	\N
8866	31	1997-04-30	VYDAJ	VYBER	15	46764	SLUZBY	\N	\N
8867	31	1997-05-31	VYDAJ	VYBER	15	94083	SLUZBY	\N	\N
8868	31	1997-06-30	VYDAJ	VYBER	15	63388	SLUZBY	\N	\N
8869	31	1997-07-31	VYDAJ	VYBER	15	42124	SLUZBY	\N	\N
8870	31	1997-08-31	VYDAJ	VYBER	15	57291	SLUZBY	\N	\N
8871	31	1997-09-30	VYDAJ	VYBER	15	20413	SLUZBY	\N	\N
8872	31	1997-10-31	VYDAJ	VYBER	15	49822	SLUZBY	\N	\N
8873	31	1997-11-30	VYDAJ	VYBER	15	9804	SLUZBY	\N	\N
8874	31	1997-12-31	VYDAJ	VYBER	15	15800	SLUZBY	\N	\N
8875	31	1998-01-31	VYDAJ	VYBER	15	15631	SLUZBY	\N	\N
8876	31	1998-02-28	VYDAJ	VYBER	15	111760	SLUZBY	\N	\N
8877	31	1998-03-31	VYDAJ	VYBER	15	26600	SLUZBY	\N	\N
8878	31	1998-04-30	VYDAJ	VYBER	15	83890	SLUZBY	\N	\N
8879	31	1998-05-31	VYDAJ	VYBER	15	25060	SLUZBY	\N	\N
8880	31	1998-06-30	VYDAJ	VYBER	15	29790	SLUZBY	\N	\N
8881	31	1998-07-31	VYDAJ	VYBER	15	28788	SLUZBY	\N	\N
8882	31	1998-08-31	VYDAJ	VYBER	15	35143	SLUZBY	\N	\N
8883	31	1998-09-30	VYDAJ	VYBER	15	33508	SLUZBY	\N	\N
8884	31	1998-10-31	VYDAJ	VYBER	15	23424	SLUZBY	\N	\N
8885	31	1998-11-30	VYDAJ	VYBER	15	13298	SLUZBY	\N	\N
8886	31	1994-05-27	VYDAJ	VYBER	21500	41942	\N	\N	\N
8887	31	1994-06-26	VYDAJ	VYBER	35100	63985	\N	\N	\N
8888	31	1994-07-26	VYDAJ	VYBER	33000	52982	\N	\N	\N
8889	31	1994-08-23	VYDAJ	VYBER	18200	109763	\N	\N	\N
8890	31	1994-08-25	VYDAJ	VYBER	37100	56387	\N	\N	\N
8891	31	1994-08-25	VYDAJ	VYBER	33900	93487	\N	\N	\N
8892	31	1994-09-02	VYDAJ	VYBER	44500	75401	\N	\N	\N
8893	31	1994-09-24	VYDAJ	VYBER	17300	45195	\N	\N	\N
8894	31	1994-10-24	VYDAJ	VYBER	12700	34711	\N	\N	\N
8895	31	1994-11-23	PRIJEM	VKLAD	4200	22008	\N	\N	\N
8896	31	1994-12-23	VYDAJ	VYBER	25400	45900	\N	\N	\N
8897	31	1995-01-08	VYDAJ	VYBER	61700	43092	\N	\N	\N
8898	31	1995-01-12	VYDAJ	VYBER	17600	101232	\N	\N	\N
8899	31	1995-01-14	VYDAJ	VYBER	23800	105044	\N	\N	\N
8900	31	1995-01-22	VYDAJ	VYBER	21900	56847	\N	\N	\N
8901	31	1995-01-22	VYDAJ	VYBER	33100	78747	\N	\N	\N
8902	31	1995-02-21	PRIJEM	VKLAD	3600	26277	\N	\N	\N
8903	31	1995-03-23	VYDAJ	VYBER	22100	50880	\N	\N	\N
8904	31	1995-04-14	VYDAJ	VYBER	24700	91927	\N	\N	\N
8905	31	1995-04-17	VYDAJ	VYBER	29900	95483	\N	\N	\N
8906	31	1995-04-22	VYDAJ	VYBER	33300	62183	\N	\N	\N
8907	31	1995-05-13	VYDAJ	VYBER	34200	82833	\N	\N	\N
8908	31	1995-05-22	VYDAJ	VYBER	26300	56533	\N	\N	\N
8909	31	1995-06-07	VYDAJ	VYBER	18200	102201	\N	\N	\N
8910	31	1995-06-18	VYDAJ	VYBER	33800	93456	\N	\N	\N
8911	31	1995-06-21	VYDAJ	VYBER	30800	62656	\N	\N	\N
8912	31	1995-07-21	VYDAJ	VYBER	28600	57933	\N	\N	\N
8913	31	1995-08-20	VYDAJ	VYBER	22300	44853	\N	\N	\N
8914	31	1995-09-19	VYDAJ	VYBER	4800	30076	\N	\N	\N
8915	31	1995-10-19	VYDAJ	VYBER	19600	43893	\N	\N	\N
8916	31	1995-11-18	VYDAJ	VYBER	18500	42864	\N	\N	\N
8917	31	1995-12-18	VYDAJ	VYBER	31800	53384	\N	\N	\N
8918	31	1995-12-23	VYDAJ	VYBER	42500	78182	\N	\N	\N
8919	31	1996-01-17	VYDAJ	VYBER	17400	39759	\N	\N	\N
8920	31	1996-02-07	VYDAJ	VYBER	49400	72404	\N	\N	\N
8921	31	1996-02-16	VYDAJ	VYBER	22900	44355	\N	\N	\N
8922	31	1996-03-17	VYDAJ	VYBER	26400	48053	\N	\N	\N
8923	31	1996-04-16	VYDAJ	VYBER	31600	45020	\N	\N	\N
8924	31	1996-05-16	VYDAJ	VYBER	40200	56462	\N	\N	\N
8925	31	1996-06-15	VYDAJ	VYBER	11200	32374	\N	\N	\N
8926	31	1996-07-15	VYDAJ	VYBER	5500	20551	\N	\N	\N
8927	31	1996-08-14	VYDAJ	VYBER	19000	27963	\N	\N	\N
8928	31	1996-09-13	VYDAJ	VYBER	11300	22800	\N	\N	\N
8929	31	1996-10-13	VYDAJ	VYBER	23500	37245	\N	\N	\N
8930	31	1996-11-12	VYDAJ	VYBER	37400	55536	\N	\N	\N
8931	31	1996-12-12	VYDAJ	VYBER	17700	49642	\N	\N	\N
8932	31	1997-01-11	VYDAJ	VYBER	10000	29641	\N	\N	\N
8933	31	1997-02-10	VYDAJ	VYBER	2200	27529	\N	\N	\N
8934	31	1997-03-04	VYDAJ	VYBER	43100	88752	\N	\N	\N
8935	31	1997-03-12	VYDAJ	VYBER	32400	56352	\N	\N	\N
8936	31	1997-04-11	VYDAJ	VYBER	17000	26485	\N	\N	\N
8937	31	1997-05-11	VYDAJ	VYBER	18400	28364	\N	\N	\N
8938	31	1997-05-31	VYDAJ	VYBER	30400	94098	\N	\N	\N
8939	31	1997-06-10	VYDAJ	VYBER	42200	51883	\N	\N	\N
8940	31	1997-07-02	VYDAJ	VYBER	36200	78235	\N	\N	\N
8941	31	1997-07-10	VYDAJ	VYBER	35300	42935	\N	\N	\N
8942	31	1997-08-09	VYDAJ	VYBER	21700	20424	\N	\N	\N
8943	31	1997-09-08	VYDAJ	VYBER	26800	30491	\N	\N	\N
8944	31	1997-10-08	VYDAJ	VYBER	40800	36495	\N	\N	\N
8945	31	1997-11-07	VYDAJ	VYBER	29900	19922	\N	\N	\N
8946	31	1997-12-07	VYDAJ	VYBER	31000	25952	\N	\N	\N
8947	31	1998-02-28	VYDAJ	VYBER	35500	76260	\N	\N	\N
8948	31	1998-03-07	VYDAJ	VYBER	46500	29760	\N	\N	\N
8949	31	1998-04-15	VYDAJ	VYBER	53600	83531	\N	\N	\N
8950	31	1998-05-06	VYDAJ	VYBER	48800	35090	\N	\N	\N
8951	31	1998-09-03	VYDAJ	VYBER	36400	23001	\N	\N	\N
9009	32	1995-08-28	PRIJEM	VKLAD	700	700	\N	\N	\N
9018	32	1995-09-11	PRIJEM	VKLAD	16548	17248	\N	\N	\N
9019	32	1995-10-11	PRIJEM	VKLAD	16548	39009	\N	\N	\N
9020	32	1995-11-11	PRIJEM	VKLAD	16548	51058	\N	\N	\N
9021	32	1995-12-11	PRIJEM	VKLAD	24822	63326	\N	\N	\N
9022	32	1996-01-11	PRIJEM	VKLAD	16548	63541	\N	\N	\N
9023	32	1996-02-11	PRIJEM	VKLAD	16548	59278	\N	\N	\N
9024	32	1996-03-11	PRIJEM	VKLAD	16548	60591	\N	\N	\N
9025	32	1996-04-11	PRIJEM	VKLAD	16548	59706	\N	\N	\N
9026	32	1996-05-11	PRIJEM	VKLAD	16548	59119	\N	\N	\N
9027	32	1996-06-11	PRIJEM	VKLAD	24822	62106	\N	\N	\N
9028	32	1996-07-11	PRIJEM	VKLAD	16548	61055	\N	\N	\N
9029	32	1996-08-11	PRIJEM	VKLAD	16548	60977	\N	\N	\N
9030	32	1996-09-11	PRIJEM	VKLAD	16548	63526	\N	\N	\N
9031	32	1996-10-11	PRIJEM	VKLAD	16548	66158	\N	\N	\N
9032	32	1996-11-11	PRIJEM	VKLAD	16548	68702	\N	\N	\N
9033	32	1996-12-11	PRIJEM	VKLAD	24822	75123	\N	\N	\N
9034	32	1997-01-11	PRIJEM	VKLAD	16548	67983	\N	\N	\N
9035	32	1997-02-11	PRIJEM	VKLAD	16548	65130	\N	\N	\N
9036	32	1997-03-11	PRIJEM	VKLAD	16548	63563	\N	\N	\N
9037	32	1997-04-11	PRIJEM	VKLAD	16548	64497	\N	\N	\N
9038	32	1997-05-11	PRIJEM	VKLAD	16548	61953	\N	\N	\N
9039	32	1997-06-11	PRIJEM	VKLAD	24822	71175	\N	\N	\N
9040	32	1997-07-11	PRIJEM	VKLAD	16548	71034	\N	\N	\N
9041	32	1997-08-11	PRIJEM	VKLAD	16548	74901	\N	\N	\N
9042	32	1997-09-11	PRIJEM	VKLAD	16548	76580	\N	\N	\N
9043	32	1997-10-11	PRIJEM	VKLAD	16548	69259	\N	\N	\N
9044	32	1997-11-11	PRIJEM	VKLAD	16548	71935	\N	\N	\N
9045	32	1997-12-11	PRIJEM	VKLAD	24822	79475	\N	\N	\N
9046	32	1998-01-11	PRIJEM	VKLAD	16548	79169	\N	\N	\N
9047	32	1998-02-11	PRIJEM	VKLAD	16548	70341	\N	\N	\N
9048	32	1998-03-11	PRIJEM	VKLAD	16548	77113	\N	\N	\N
9049	32	1998-04-11	PRIJEM	VKLAD	16548	79001	\N	\N	\N
9050	32	1998-05-11	PRIJEM	VKLAD	16548	73792	\N	\N	\N
9051	32	1998-06-11	PRIJEM	VKLAD	24822	81650	\N	\N	\N
9052	32	1998-07-11	PRIJEM	VKLAD	16548	62005	\N	\N	\N
9053	32	1998-08-11	PRIJEM	VKLAD	16548	68943	\N	\N	\N
9054	32	1998-09-11	PRIJEM	VKLAD	16548	72402	\N	\N	\N
9055	32	1998-10-11	PRIJEM	VKLAD	16548	71875	\N	\N	\N
9056	32	1998-11-11	PRIJEM	VKLAD	16548	76858	\N	\N	\N
9057	32	1998-12-11	PRIJEM	VKLAD	24822	90565	\N	\N	\N
9059	32	1996-06-03	VYDAJ	VYBER	8000	37284	\N	\N	\N
9060	32	1997-06-13	VYDAJ	VYBER	9400	61775	\N	\N	\N
9061	32	1998-06-19	VYDAJ	VYBER	13300	48450	\N	\N	\N
9063	32	1996-01-14	VYDAJ	VYBER	8100	55441	\N	\N	\N
9064	32	1997-01-21	VYDAJ	VYBER	1500	51683	\N	\N	\N
9065	32	1998-01-15	VYDAJ	VYBER	9500	53569	\N	\N	\N
9067	32	1996-12-15	VYDAJ	VYBER	2400	72723	\N	\N	\N
9068	32	1997-12-07	VYDAJ	VYBER	1900	54653	\N	\N	\N
9069	32	1998-12-26	VYDAJ	VYBER	1200	89365	\N	\N	\N
9077	32	1996-08-01	VYDAJ	VYBER	2400	44429	\N	\N	\N
9078	32	1997-09-30	VYDAJ	VYBER	3800	54711	\N	\N	\N
9079	32	1997-05-05	VYDAJ	VYBER	3500	45405	\N	\N	\N
9080	32	1997-12-16	VYDAJ	VYBER	3700	62375	\N	\N	\N
9081	32	1997-10-06	VYDAJ	VYBER	2000	52711	\N	\N	\N
9082	32	1997-01-30	VYDAJ	VYBER	3300	48383	\N	\N	\N
9083	32	1997-04-02	VYDAJ	VYBER	2600	47949	\N	\N	\N
9084	32	1997-06-03	VYDAJ	VYBER	1200	46353	\N	\N	\N
9085	32	1998-09-13	VYDAJ	VYBER	3100	59702	\N	\N	\N
9086	32	1998-05-22	VYDAJ	VYBER	2600	56592	\N	\N	\N
9087	32	1998-06-21	VYDAJ	VYBER	2600	45850	\N	\N	\N
9088	32	1998-12-03	VYDAJ	VYBER	500	76643	\N	\N	\N
9089	32	1998-06-30	VYDAJ	VYBER	600	45457	\N	\N	\N
9090	32	1998-09-26	VYDAJ	VYBER	4600	55102	\N	\N	\N
9091	32	1998-05-09	VYDAJ	VYBER	4600	57244	\N	\N	\N
9105	32	1996-01-31	VYDAJ	VYBER	15	42730	SLUZBY	\N	\N
9106	32	1996-02-29	VYDAJ	VYBER	15	44043	SLUZBY	\N	\N
9107	32	1996-03-31	VYDAJ	VYBER	15	43158	SLUZBY	\N	\N
9108	32	1996-04-30	VYDAJ	VYBER	15	42571	SLUZBY	\N	\N
9109	32	1996-05-31	VYDAJ	VYBER	15	45284	SLUZBY	\N	\N
9110	32	1996-06-30	VYDAJ	VYBER	15	44507	SLUZBY	\N	\N
9111	32	1996-07-31	VYDAJ	VYBER	15	46829	SLUZBY	\N	\N
9112	32	1996-08-31	VYDAJ	VYBER	15	46978	SLUZBY	\N	\N
9113	32	1996-09-30	VYDAJ	VYBER	15	49610	SLUZBY	\N	\N
9114	32	1996-10-31	VYDAJ	VYBER	15	52154	SLUZBY	\N	\N
9115	32	1996-11-30	VYDAJ	VYBER	15	50301	SLUZBY	\N	\N
9116	32	1996-12-31	VYDAJ	VYBER	15	51435	SLUZBY	\N	\N
9117	32	1997-01-31	VYDAJ	VYBER	15	48582	SLUZBY	\N	\N
9118	32	1997-02-28	VYDAJ	VYBER	15	47015	SLUZBY	\N	\N
9119	32	1997-03-31	VYDAJ	VYBER	15	50549	SLUZBY	\N	\N
9120	32	1997-04-30	VYDAJ	VYBER	15	48905	SLUZBY	\N	\N
9121	32	1997-05-31	VYDAJ	VYBER	15	47553	SLUZBY	\N	\N
9122	32	1997-06-30	VYDAJ	VYBER	15	54486	SLUZBY	\N	\N
9123	32	1997-07-31	VYDAJ	VYBER	15	58353	SLUZBY	\N	\N
9124	32	1997-08-31	VYDAJ	VYBER	15	60032	SLUZBY	\N	\N
9125	32	1997-09-30	VYDAJ	VYBER	15	58511	SLUZBY	\N	\N
9126	32	1997-10-31	VYDAJ	VYBER	15	55387	SLUZBY	\N	\N
9127	32	1997-11-30	VYDAJ	VYBER	15	56553	SLUZBY	\N	\N
9128	32	1997-12-31	VYDAJ	VYBER	15	62621	SLUZBY	\N	\N
9129	32	1998-01-31	VYDAJ	VYBER	15	53793	SLUZBY	\N	\N
9130	32	1998-02-28	VYDAJ	VYBER	15	60565	SLUZBY	\N	\N
9131	32	1998-03-31	VYDAJ	VYBER	15	62453	SLUZBY	\N	\N
9132	32	1998-04-30	VYDAJ	VYBER	15	61844	SLUZBY	\N	\N
9133	32	1998-05-31	VYDAJ	VYBER	15	56828	SLUZBY	\N	\N
9134	32	1998-06-30	VYDAJ	VYBER	15	46057	SLUZBY	\N	\N
9135	32	1998-07-31	VYDAJ	VYBER	15	52395	SLUZBY	\N	\N
9136	32	1998-08-31	VYDAJ	VYBER	15	55854	SLUZBY	\N	\N
9137	32	1998-09-30	VYDAJ	VYBER	15	55327	SLUZBY	\N	\N
9138	32	1998-10-31	VYDAJ	VYBER	15	63310	SLUZBY	\N	\N
9139	32	1998-11-30	VYDAJ	VYBER	15	77143	SLUZBY	\N	\N
9140	32	1995-09-27	PRIJEM	VKLAD	5200	22448	\N	\N	\N
9141	32	1995-10-27	VYDAJ	VYBER	4600	34409	\N	\N	\N
9142	32	1995-11-26	VYDAJ	VYBER	12700	38358	\N	\N	\N
9143	32	1995-12-26	VYDAJ	VYBER	16500	46826	\N	\N	\N
9144	32	1996-01-25	VYDAJ	VYBER	12900	42541	\N	\N	\N
9145	32	1996-02-24	VYDAJ	VYBER	15400	43878	\N	\N	\N
9146	32	1996-03-25	VYDAJ	VYBER	17600	42991	\N	\N	\N
9147	32	1996-04-24	VYDAJ	VYBER	17300	42406	\N	\N	\N
9148	32	1996-05-24	VYDAJ	VYBER	14000	45119	\N	\N	\N
9149	32	1996-06-23	VYDAJ	VYBER	17800	44306	\N	\N	\N
9150	32	1996-07-23	VYDAJ	VYBER	14400	46655	\N	\N	\N
9151	32	1996-08-22	VYDAJ	VYBER	14200	46777	\N	\N	\N
9152	32	1996-09-21	VYDAJ	VYBER	14100	49426	\N	\N	\N
9153	32	1996-10-21	VYDAJ	VYBER	14200	51958	\N	\N	\N
9154	32	1996-11-20	VYDAJ	VYBER	18600	50102	\N	\N	\N
9155	32	1996-12-20	VYDAJ	VYBER	21500	51223	\N	\N	\N
9156	32	1997-01-19	VYDAJ	VYBER	14800	53183	\N	\N	\N
9157	32	1997-02-18	VYDAJ	VYBER	18300	46830	\N	\N	\N
9158	32	1997-03-20	VYDAJ	VYBER	13200	50363	\N	\N	\N
9159	32	1997-04-19	VYDAJ	VYBER	15800	48697	\N	\N	\N
9160	32	1997-05-19	VYDAJ	VYBER	14600	47353	\N	\N	\N
9161	32	1997-06-18	VYDAJ	VYBER	7500	54275	\N	\N	\N
9162	32	1997-07-18	VYDAJ	VYBER	12900	58134	\N	\N	\N
9163	32	1997-08-17	VYDAJ	VYBER	15100	59801	\N	\N	\N
9164	32	1997-09-16	VYDAJ	VYBER	18300	58280	\N	\N	\N
9165	32	1997-10-16	VYDAJ	VYBER	14100	55159	\N	\N	\N
9166	32	1997-11-15	VYDAJ	VYBER	15600	56335	\N	\N	\N
9167	32	1997-12-15	VYDAJ	VYBER	13400	66075	\N	\N	\N
9168	32	1998-01-14	VYDAJ	VYBER	16100	63069	\N	\N	\N
9169	32	1998-02-13	VYDAJ	VYBER	10000	60341	\N	\N	\N
9170	32	1998-03-15	VYDAJ	VYBER	14900	62213	\N	\N	\N
9171	32	1998-04-14	VYDAJ	VYBER	17400	61601	\N	\N	\N
9172	32	1998-05-14	VYDAJ	VYBER	14600	59192	\N	\N	\N
9173	32	1998-06-13	VYDAJ	VYBER	19900	61750	\N	\N	\N
9174	32	1998-07-13	VYDAJ	VYBER	9800	52205	\N	\N	\N
9175	32	1998-08-12	VYDAJ	VYBER	13300	55643	\N	\N	\N
9176	32	1998-09-11	VYDAJ	VYBER	9600	62802	\N	\N	\N
9177	32	1998-10-11	VYDAJ	VYBER	8800	63075	\N	\N	\N
9178	32	1998-11-10	VYDAJ	VYBER	3000	60310	\N	\N	\N
9179	32	1998-12-10	VYDAJ	VYBER	10900	65743	\N	\N	\N
9220	33	1993-08-26	PRIJEM	VKLAD	600	600	\N	\N	\N
9229	33	1993-09-09	PRIJEM	VKLAD	23589	24189	\N	\N	\N
9230	33	1993-10-09	PRIJEM	VKLAD	23589	49800	\N	\N	\N
9231	33	1993-11-09	PRIJEM	VKLAD	23589	61109	\N	\N	\N
9232	33	1993-12-09	PRIJEM	VKLAD	35384	80055	\N	\N	\N
9233	33	1994-01-09	PRIJEM	VKLAD	23589	76839	\N	\N	\N
9234	33	1994-02-09	PRIJEM	VKLAD	23589	69939	\N	\N	\N
9235	33	1994-03-09	PRIJEM	VKLAD	23589	65063	\N	\N	\N
9236	33	1994-04-09	PRIJEM	VKLAD	23589	59967	\N	\N	\N
9237	33	1994-05-09	PRIJEM	VKLAD	23589	62958	\N	\N	\N
9238	33	1994-06-09	PRIJEM	VKLAD	35384	72555	\N	\N	\N
9239	33	1994-07-09	PRIJEM	VKLAD	23589	71883	\N	\N	\N
9240	33	1994-08-09	PRIJEM	VKLAD	23589	72117	\N	\N	\N
9241	33	1994-09-09	PRIJEM	VKLAD	23589	67946	\N	\N	\N
9242	33	1994-10-09	PRIJEM	VKLAD	23589	67158	\N	\N	\N
9243	33	1994-11-09	PRIJEM	VKLAD	23589	68167	\N	\N	\N
9244	33	1994-12-09	PRIJEM	VKLAD	35384	79073	\N	\N	\N
9245	33	1995-01-09	PRIJEM	VKLAD	23589	70807	\N	\N	\N
9246	33	1995-02-09	PRIJEM	VKLAD	23589	71629	\N	\N	\N
9247	33	1995-03-09	PRIJEM	VKLAD	23589	73153	\N	\N	\N
9248	33	1995-04-09	PRIJEM	VKLAD	23589	74787	\N	\N	\N
9249	33	1995-05-09	PRIJEM	VKLAD	23589	73720	\N	\N	\N
9250	33	1995-06-09	PRIJEM	VKLAD	35384	90455	\N	\N	\N
9251	33	1995-07-09	PRIJEM	VKLAD	23589	86131	\N	\N	\N
9252	33	1995-08-09	PRIJEM	VKLAD	23589	83405	\N	\N	\N
9253	33	1995-09-09	PRIJEM	VKLAD	23589	77659	\N	\N	\N
9254	33	1995-10-09	PRIJEM	VKLAD	23589	78097	\N	\N	\N
9255	33	1995-11-09	PRIJEM	VKLAD	23589	77243	\N	\N	\N
9256	33	1995-12-09	PRIJEM	VKLAD	35384	93385	\N	\N	\N
9257	33	1996-01-09	PRIJEM	VKLAD	23589	83559	\N	\N	\N
9258	33	1996-02-09	PRIJEM	VKLAD	23589	83917	\N	\N	\N
9259	33	1996-03-09	PRIJEM	VKLAD	23589	84576	\N	\N	\N
9260	33	1996-04-09	PRIJEM	VKLAD	23589	84436	\N	\N	\N
9261	33	1996-05-09	PRIJEM	VKLAD	23589	84394	\N	\N	\N
9262	33	1996-06-09	PRIJEM	VKLAD	35384	90739	\N	\N	\N
9263	33	1996-07-09	PRIJEM	VKLAD	23589	87500	\N	\N	\N
9264	33	1996-08-09	PRIJEM	VKLAD	23589	87367	\N	\N	\N
9265	33	1996-09-09	PRIJEM	VKLAD	23589	86532	\N	\N	\N
9266	33	1996-10-09	PRIJEM	VKLAD	23589	86191	\N	\N	\N
9267	33	1996-11-09	PRIJEM	VKLAD	23589	85306	\N	\N	\N
9268	33	1996-12-09	PRIJEM	VKLAD	35384	103320	\N	\N	\N
9269	33	1997-01-09	PRIJEM	VKLAD	23589	98408	\N	\N	\N
9270	33	1997-02-09	PRIJEM	VKLAD	23589	97696	\N	\N	\N
9271	33	1997-03-09	PRIJEM	VKLAD	23589	95181	\N	\N	\N
9272	33	1997-04-09	PRIJEM	VKLAD	23589	97056	\N	\N	\N
9273	33	1997-05-09	PRIJEM	VKLAD	23589	97935	\N	\N	\N
9274	33	1997-06-09	PRIJEM	VKLAD	35384	107101	\N	\N	\N
9275	33	1997-07-09	PRIJEM	VKLAD	23589	101608	\N	\N	\N
9276	33	1997-08-09	PRIJEM	VKLAD	23589	100513	\N	\N	\N
9277	33	1997-09-09	PRIJEM	VKLAD	23589	103108	\N	\N	\N
9278	33	1997-10-09	PRIJEM	VKLAD	23589	104910	\N	\N	\N
9279	33	1997-11-09	PRIJEM	VKLAD	23589	103216	\N	\N	\N
9280	33	1997-12-09	PRIJEM	VKLAD	35384	117910	\N	\N	\N
9281	33	1998-01-09	PRIJEM	VKLAD	23589	83364	\N	\N	\N
9282	33	1998-02-09	PRIJEM	VKLAD	23589	95357	\N	\N	\N
9283	33	1998-03-09	PRIJEM	VKLAD	23589	98415	\N	\N	\N
9284	33	1998-04-09	PRIJEM	VKLAD	23589	102986	\N	\N	\N
9285	33	1998-05-09	PRIJEM	VKLAD	23589	107484	\N	\N	\N
9286	33	1998-06-09	PRIJEM	VKLAD	35384	123696	\N	\N	\N
9287	33	1998-07-09	PRIJEM	VKLAD	23589	109264	\N	\N	\N
9288	33	1998-08-09	PRIJEM	VKLAD	23589	108786	\N	\N	\N
9289	33	1998-09-09	PRIJEM	VKLAD	23589	109110	\N	\N	\N
9290	33	1998-10-09	PRIJEM	VKLAD	23589	114814	\N	\N	\N
9291	33	1998-11-09	PRIJEM	VKLAD	23589	120140	\N	\N	\N
9292	33	1998-12-09	PRIJEM	VKLAD	35384	114176	\N	\N	\N
9306	33	1994-02-08	VYDAJ	PREVOD NA UCET	3892	46350	SIPO	KL	33047658
9307	33	1994-03-08	VYDAJ	PREVOD NA UCET	3892	41474	SIPO	KL	33047658
9308	33	1994-04-08	VYDAJ	PREVOD NA UCET	3892	36378	SIPO	KL	33047658
9395	33	1996-09-15	VYDAJ	VYBER KARTOU	2100	66232	\N	\N	0
9309	33	1994-05-08	VYDAJ	PREVOD NA UCET	3892	39369	SIPO	KL	33047658
9310	33	1994-06-08	VYDAJ	PREVOD NA UCET	3892	37171	SIPO	KL	33047658
9311	33	1994-07-08	VYDAJ	PREVOD NA UCET	3892	48294	SIPO	KL	33047658
9312	33	1994-08-08	VYDAJ	PREVOD NA UCET	3892	48528	SIPO	KL	33047658
9313	33	1994-09-08	VYDAJ	PREVOD NA UCET	3892	44357	SIPO	KL	33047658
9314	33	1994-10-08	VYDAJ	PREVOD NA UCET	3892	43569	SIPO	KL	33047658
9315	33	1994-11-08	VYDAJ	PREVOD NA UCET	3892	44578	SIPO	KL	33047658
9316	33	1994-12-08	VYDAJ	PREVOD NA UCET	3892	43689	SIPO	KL	33047658
9317	33	1995-01-08	VYDAJ	PREVOD NA UCET	3892	47218	SIPO	KL	33047658
9318	33	1995-02-08	VYDAJ	PREVOD NA UCET	3892	48040	SIPO	KL	33047658
9319	33	1995-03-08	VYDAJ	PREVOD NA UCET	3892	49564	SIPO	KL	33047658
9320	33	1995-04-08	VYDAJ	PREVOD NA UCET	3892	51198	SIPO	KL	33047658
9321	33	1995-05-08	VYDAJ	PREVOD NA UCET	3892	50131	SIPO	KL	33047658
9322	33	1995-06-08	VYDAJ	PREVOD NA UCET	3892	55071	SIPO	KL	33047658
9323	33	1995-07-08	VYDAJ	PREVOD NA UCET	3892	62542	SIPO	KL	33047658
9324	33	1995-08-08	VYDAJ	PREVOD NA UCET	3892	59816	SIPO	KL	33047658
9325	33	1995-09-08	VYDAJ	PREVOD NA UCET	3892	54070	SIPO	KL	33047658
9326	33	1995-10-08	VYDAJ	PREVOD NA UCET	3892	54508	SIPO	KL	33047658
9327	33	1995-11-08	VYDAJ	PREVOD NA UCET	3892	53654	SIPO	KL	33047658
9328	33	1995-12-08	VYDAJ	PREVOD NA UCET	3892	58001	SIPO	KL	33047658
9329	33	1996-01-08	VYDAJ	PREVOD NA UCET	3892	59970	SIPO	KL	33047658
9330	33	1996-02-08	VYDAJ	PREVOD NA UCET	3892	60328	SIPO	KL	33047658
9331	33	1996-03-08	VYDAJ	PREVOD NA UCET	3892	60987	SIPO	KL	33047658
9332	33	1996-04-08	VYDAJ	PREVOD NA UCET	3892	60847	SIPO	KL	33047658
9333	33	1996-05-08	VYDAJ	PREVOD NA UCET	3892	60805	SIPO	KL	33047658
9334	33	1996-06-08	VYDAJ	PREVOD NA UCET	3892	55355	SIPO	KL	33047658
9335	33	1996-07-08	VYDAJ	PREVOD NA UCET	3892	63911	SIPO	KL	33047658
9336	33	1996-08-08	VYDAJ	PREVOD NA UCET	3892	63778	SIPO	KL	33047658
9337	33	1996-09-08	VYDAJ	PREVOD NA UCET	3892	62943	SIPO	KL	33047658
9338	33	1996-10-08	VYDAJ	PREVOD NA UCET	3892	62602	SIPO	KL	33047658
9339	33	1996-11-08	VYDAJ	PREVOD NA UCET	3892	66217	SIPO	KL	33047658
9340	33	1996-12-08	VYDAJ	PREVOD NA UCET	3892	80836	SIPO	KL	33047658
9341	33	1997-01-08	VYDAJ	PREVOD NA UCET	3892	74819	SIPO	KL	33047658
9342	33	1997-02-08	VYDAJ	PREVOD NA UCET	3892	74107	SIPO	KL	33047658
9343	33	1997-03-08	VYDAJ	PREVOD NA UCET	3892	71592	SIPO	KL	33047658
9344	33	1997-04-08	VYDAJ	PREVOD NA UCET	3892	73467	SIPO	KL	33047658
9345	33	1997-05-08	VYDAJ	PREVOD NA UCET	3892	74346	SIPO	KL	33047658
9346	33	1997-06-08	VYDAJ	PREVOD NA UCET	3892	71717	SIPO	KL	33047658
9347	33	1997-07-08	VYDAJ	PREVOD NA UCET	3892	78019	SIPO	KL	33047658
9348	33	1997-08-08	VYDAJ	PREVOD NA UCET	3892	76924	SIPO	KL	33047658
9349	33	1997-09-08	VYDAJ	PREVOD NA UCET	3892	79519	SIPO	KL	33047658
9350	33	1997-10-08	VYDAJ	PREVOD NA UCET	3892	81321	SIPO	KL	33047658
9351	33	1997-11-08	VYDAJ	PREVOD NA UCET	3892	79627	SIPO	KL	33047658
9352	33	1997-12-08	VYDAJ	PREVOD NA UCET	3892	82526	SIPO	KL	33047658
9353	33	1998-01-08	VYDAJ	PREVOD NA UCET	3892	59775	SIPO	KL	33047658
9354	33	1998-02-08	VYDAJ	PREVOD NA UCET	3892	71768	SIPO	KL	33047658
9355	33	1998-03-08	VYDAJ	PREVOD NA UCET	3892	74826	SIPO	KL	33047658
9356	33	1998-04-08	VYDAJ	PREVOD NA UCET	3892	79397	SIPO	KL	33047658
9357	33	1998-05-08	VYDAJ	PREVOD NA UCET	3892	83895	SIPO	KL	33047658
9358	33	1998-06-08	VYDAJ	PREVOD NA UCET	3892	88312	SIPO	KL	33047658
9359	33	1998-07-08	VYDAJ	PREVOD NA UCET	3892	85675	SIPO	KL	33047658
9360	33	1998-08-08	VYDAJ	PREVOD NA UCET	3892	85197	SIPO	KL	33047658
9361	33	1998-09-08	VYDAJ	PREVOD NA UCET	3892	85521	SIPO	KL	33047658
9362	33	1998-10-08	VYDAJ	PREVOD NA UCET	3892	91225	SIPO	KL	33047658
9363	33	1998-11-08	VYDAJ	PREVOD NA UCET	3892	96551	SIPO	KL	33047658
9364	33	1998-12-08	VYDAJ	PREVOD NA UCET	3892	78792	SIPO	KL	33047658
9366	33	1994-12-08	VYDAJ	VYBER	1200	47581	\N	\N	\N
9367	33	1995-12-23	VYDAJ	VYBER KARTOU	2600	63585	\N	\N	0
9368	33	1996-12-02	VYDAJ	VYBER KARTOU	900	84728	\N	\N	0
9369	33	1997-12-21	VYDAJ	VYBER KARTOU	1800	53010	\N	\N	0
9370	33	1998-12-17	VYDAJ	VYBER KARTOU	2200	111976	\N	\N	0
9378	33	1994-03-19	VYDAJ	VYBER	3000	62063	\N	\N	\N
9379	33	1994-04-14	VYDAJ	VYBER	1000	58967	\N	\N	\N
9380	33	1994-06-05	VYDAJ	VYBER	4400	41063	\N	\N	\N
9381	33	1994-03-28	VYDAJ	VYBER	500	40063	\N	\N	\N
9382	33	1994-08-29	VYDAJ	VYBER	2900	48017	\N	\N	\N
9383	33	1994-11-16	VYDAJ	VYBER	2100	66067	\N	\N	\N
9384	33	1994-03-25	VYDAJ	VYBER	3800	40563	\N	\N	\N
9385	33	1994-10-18	VYDAJ	VYBER	4200	62958	\N	\N	\N
9386	33	1995-12-23	VYDAJ	VYBER KARTOU	3600	66185	\N	\N	0
9387	33	1995-09-11	VYDAJ	VYBER KARTOU	4100	73559	\N	\N	0
9388	33	1995-08-20	VYDAJ	VYBER	3400	57705	\N	\N	\N
9389	33	1995-01-02	VYDAJ	VYBER	2900	51110	\N	\N	\N
9390	33	1995-11-01	VYDAJ	VYBER KARTOU	3300	57546	\N	\N	0
9391	33	1996-09-03	VYDAJ	VYBER KARTOU	1000	66835	\N	\N	0
9392	33	1996-11-07	VYDAJ	VYBER KARTOU	1000	70109	\N	\N	0
9393	33	1996-06-04	VYDAJ	VYBER KARTOU	2500	59247	\N	\N	0
9394	33	1996-04-12	VYDAJ	VYBER KARTOU	2100	64436	\N	\N	0
9396	33	1997-01-01	VYDAJ	VYBER KARTOU	3700	100011	\N	\N	0
9397	33	1997-11-17	VYDAJ	VYBER KARTOU	700	102516	\N	\N	0
9398	33	1997-10-09	VYDAJ	VYBER KARTOU	3200	101710	\N	\N	0
9399	33	1997-10-26	VYDAJ	VYBER KARTOU	2700	99010	\N	\N	0
9400	33	1997-05-12	VYDAJ	VYBER KARTOU	4500	93435	\N	\N	0
9401	33	1998-02-25	VYDAJ	VYBER KARTOU	1700	93657	\N	\N	0
9402	33	1998-03-04	VYDAJ	VYBER KARTOU	3900	78718	\N	\N	0
9416	33	1994-01-31	VYDAJ	VYBER	15	50242	SLUZBY	\N	\N
9417	33	1994-02-28	VYDAJ	VYBER	15	45366	SLUZBY	\N	\N
9418	33	1994-03-31	VYDAJ	VYBER	15	40270	SLUZBY	\N	\N
9419	33	1994-04-30	VYDAJ	VYBER	15	43261	SLUZBY	\N	\N
9420	33	1994-05-31	VYDAJ	VYBER	15	45463	SLUZBY	\N	\N
9421	33	1994-06-30	VYDAJ	VYBER	15	52186	SLUZBY	\N	\N
9422	33	1994-07-31	VYDAJ	VYBER	15	52420	SLUZBY	\N	\N
9423	33	1994-08-31	VYDAJ	VYBER	15	48249	SLUZBY	\N	\N
9424	33	1994-09-30	VYDAJ	VYBER	15	47461	SLUZBY	\N	\N
9425	33	1994-10-31	VYDAJ	VYBER	15	48470	SLUZBY	\N	\N
9426	33	1994-11-30	VYDAJ	VYBER	15	48781	SLUZBY	\N	\N
9427	33	1994-12-31	VYDAJ	VYBER	15	54010	SLUZBY	\N	\N
9428	33	1995-01-31	VYDAJ	VYBER	15	51932	SLUZBY	\N	\N
9429	33	1995-02-28	VYDAJ	VYBER	15	53456	SLUZBY	\N	\N
9430	33	1995-03-31	VYDAJ	VYBER	15	55090	SLUZBY	\N	\N
9431	33	1995-04-30	VYDAJ	VYBER	15	54023	SLUZBY	\N	\N
9432	33	1995-05-31	VYDAJ	VYBER	15	58963	SLUZBY	\N	\N
9433	33	1995-06-30	VYDAJ	VYBER	15	66434	SLUZBY	\N	\N
9434	33	1995-07-31	VYDAJ	VYBER	15	63708	SLUZBY	\N	\N
9435	33	1995-08-31	VYDAJ	VYBER	15	57962	SLUZBY	\N	\N
9436	33	1995-09-30	VYDAJ	VYBER	15	58400	SLUZBY	\N	\N
9437	33	1995-10-31	VYDAJ	VYBER	15	60846	SLUZBY	\N	\N
9438	33	1995-11-30	VYDAJ	VYBER	15	61893	SLUZBY	\N	\N
9439	33	1995-12-31	VYDAJ	VYBER	15	63862	SLUZBY	\N	\N
9440	33	1996-01-31	VYDAJ	VYBER	15	64220	SLUZBY	\N	\N
9441	33	1996-02-29	VYDAJ	VYBER	15	64879	SLUZBY	\N	\N
9442	33	1996-03-31	VYDAJ	VYBER	15	64739	SLUZBY	\N	\N
9443	33	1996-04-30	VYDAJ	VYBER	15	64697	SLUZBY	\N	\N
9444	33	1996-05-31	VYDAJ	VYBER	15	61747	SLUZBY	\N	\N
9445	33	1996-06-30	VYDAJ	VYBER	15	67803	SLUZBY	\N	\N
9446	33	1996-07-31	VYDAJ	VYBER	15	67670	SLUZBY	\N	\N
9447	33	1996-08-31	VYDAJ	VYBER	15	67835	SLUZBY	\N	\N
9448	33	1996-09-30	VYDAJ	VYBER	15	66494	SLUZBY	\N	\N
9449	33	1996-10-31	VYDAJ	VYBER	15	71109	SLUZBY	\N	\N
9450	33	1996-11-30	VYDAJ	VYBER	15	85628	SLUZBY	\N	\N
9451	33	1996-12-31	VYDAJ	VYBER	15	103711	SLUZBY	\N	\N
9452	33	1997-01-31	VYDAJ	VYBER	15	98799	SLUZBY	\N	\N
9453	33	1997-02-28	VYDAJ	VYBER	15	98084	SLUZBY	\N	\N
9454	33	1997-03-31	VYDAJ	VYBER	15	95559	SLUZBY	\N	\N
9455	33	1997-04-30	VYDAJ	VYBER	15	97438	SLUZBY	\N	\N
9456	33	1997-05-31	VYDAJ	VYBER	15	93809	SLUZBY	\N	\N
9457	33	1997-06-30	VYDAJ	VYBER	15	107511	SLUZBY	\N	\N
9458	33	1997-07-31	VYDAJ	VYBER	15	102016	SLUZBY	\N	\N
9459	33	1997-08-31	VYDAJ	VYBER	15	100911	SLUZBY	\N	\N
9460	33	1997-09-30	VYDAJ	VYBER	15	103513	SLUZBY	\N	\N
9461	33	1997-10-31	VYDAJ	VYBER	15	99419	SLUZBY	\N	\N
9462	33	1997-11-30	VYDAJ	VYBER	15	102918	SLUZBY	\N	\N
9463	33	1997-12-31	VYDAJ	VYBER	15	53367	SLUZBY	\N	\N
9464	33	1998-01-31	VYDAJ	VYBER	15	83660	SLUZBY	\N	\N
9465	33	1998-02-28	VYDAJ	VYBER	15	94018	SLUZBY	\N	\N
9466	33	1998-03-31	VYDAJ	VYBER	15	98789	SLUZBY	\N	\N
9467	33	1998-04-30	VYDAJ	VYBER	15	103387	SLUZBY	\N	\N
9468	33	1998-05-31	VYDAJ	VYBER	15	107904	SLUZBY	\N	\N
9469	33	1998-06-30	VYDAJ	VYBER	15	102667	SLUZBY	\N	\N
9470	33	1998-07-31	VYDAJ	VYBER	15	109689	SLUZBY	\N	\N
9471	33	1998-08-31	VYDAJ	VYBER	15	89413	SLUZBY	\N	\N
9472	33	1998-09-30	VYDAJ	VYBER	15	95117	SLUZBY	\N	\N
9473	33	1998-10-31	VYDAJ	VYBER	15	100443	SLUZBY	\N	\N
9474	33	1998-11-30	VYDAJ	VYBER	15	82684	SLUZBY	\N	\N
9475	33	1993-09-25	PRIJEM	VKLAD	2000	26189	\N	\N	\N
9476	33	1993-10-25	VYDAJ	VYBER	12400	37400	\N	\N	\N
9477	33	1993-11-24	VYDAJ	VYBER	16600	44509	\N	\N	\N
9478	33	1993-12-24	VYDAJ	VYBER	27000	53055	\N	\N	\N
9479	33	1994-01-23	VYDAJ	VYBER	26800	50039	\N	\N	\N
9480	33	1994-02-22	VYDAJ	VYBER	24800	45139	\N	\N	\N
9481	33	1994-03-24	VYDAJ	VYBER	17700	44363	\N	\N	\N
9482	33	1994-04-23	VYDAJ	VYBER	15900	43067	\N	\N	\N
9483	33	1994-05-23	VYDAJ	VYBER	17700	45258	\N	\N	\N
9484	33	1994-06-22	VYDAJ	VYBER	20600	51955	\N	\N	\N
9485	33	1994-07-22	VYDAJ	VYBER	19700	52183	\N	\N	\N
9486	33	1994-08-21	VYDAJ	VYBER	21200	50917	\N	\N	\N
9487	33	1994-09-20	VYDAJ	VYBER	20700	47246	\N	\N	\N
9488	33	1994-10-20	VYDAJ	VYBER	14700	48258	\N	\N	\N
9489	33	1994-11-19	VYDAJ	VYBER	17500	48567	\N	\N	\N
9490	33	1994-12-19	VYDAJ	VYBER	25300	53773	\N	\N	\N
9491	33	1995-01-18	VYDAJ	VYBER	19100	51707	\N	\N	\N
9492	33	1995-02-17	VYDAJ	VYBER	18400	53229	\N	\N	\N
9493	33	1995-03-19	VYDAJ	VYBER	18300	54853	\N	\N	\N
9494	33	1995-04-18	VYDAJ	VYBER	21000	53787	\N	\N	\N
9495	33	1995-05-18	VYDAJ	VYBER	15000	58720	\N	\N	\N
9496	33	1995-06-17	VYDAJ	VYBER	24300	66155	\N	\N	\N
9497	33	1995-07-17	VYDAJ	VYBER	22700	63431	\N	\N	\N
9498	33	1995-08-16	VYDAJ	VYBER	22300	61105	\N	\N	\N
9499	33	1995-09-15	VYDAJ	VYBER	15400	58159	\N	\N	\N
9500	33	1995-10-15	VYDAJ	VYBER	17500	60597	\N	\N	\N
9501	33	1995-11-14	VYDAJ	VYBER	15600	61643	\N	\N	\N
9502	33	1995-12-14	VYDAJ	VYBER	23600	69785	\N	\N	\N
9503	33	1996-01-13	VYDAJ	VYBER	19600	63959	\N	\N	\N
9504	33	1996-02-12	VYDAJ	VYBER	19300	64617	\N	\N	\N
9505	33	1996-03-13	VYDAJ	VYBER	20100	64476	\N	\N	\N
9506	33	1996-04-12	VYDAJ	VYBER	17900	66536	\N	\N	\N
9507	33	1996-05-12	VYDAJ	VYBER	22900	61494	\N	\N	\N
9508	33	1996-06-11	VYDAJ	VYBER	23200	67539	\N	\N	\N
9509	33	1996-07-11	VYDAJ	VYBER	20100	67400	\N	\N	\N
9510	33	1996-08-10	VYDAJ	VYBER	19800	67567	\N	\N	\N
9511	33	1996-09-09	VYDAJ	VYBER	18200	68332	\N	\N	\N
9512	33	1996-10-09	VYDAJ	VYBER	15400	70791	\N	\N	\N
9513	33	1996-11-08	VYDAJ	VYBER KARTOU	4500	61717	\N	\N	0
9514	33	1996-12-08	VYDAJ	VYBER	12900	67936	\N	\N	\N
9515	33	1997-01-07	VYDAJ	VYBER	21300	78711	\N	\N	\N
9516	33	1997-02-06	VYDAJ	VYBER	20800	77999	\N	\N	\N
9517	33	1997-03-08	VYDAJ	VYBER	22600	75484	\N	\N	\N
9518	33	1997-04-07	VYDAJ	VYBER	18200	77359	\N	\N	\N
9519	33	1997-05-07	VYDAJ	VYBER	19200	78238	\N	\N	\N
9520	33	1997-06-06	VYDAJ	VYBER	18200	75609	\N	\N	\N
9521	33	1997-07-06	VYDAJ	VYBER	25600	81911	\N	\N	\N
9522	33	1997-08-05	VYDAJ	VYBER	21200	80816	\N	\N	\N
9523	33	1997-09-04	VYDAJ	VYBER	17500	83411	\N	\N	\N
9524	33	1997-10-04	VYDAJ	VYBER	18300	85213	\N	\N	\N
9525	33	1997-11-03	VYDAJ	VYBER	15900	83519	\N	\N	\N
9526	33	1997-12-03	VYDAJ	VYBER	16500	86418	\N	\N	\N
9527	33	1997-12-09	VYDAJ	VYBER	63100	54810	\N	\N	\N
9528	33	1998-01-02	PRIJEM	VKLAD	10300	63667	\N	\N	\N
9529	33	1998-02-01	VYDAJ	VYBER KARTOU	8000	75660	\N	\N	0
9530	33	1998-03-03	VYDAJ	VYBER	11400	82618	\N	\N	\N
9531	33	1998-04-02	VYDAJ	VYBER	15500	83289	\N	\N	\N
9532	33	1998-05-02	VYDAJ	VYBER	15600	87787	\N	\N	\N
9533	33	1998-06-01	VYDAJ	VYBER	15700	92204	\N	\N	\N
9534	33	1998-06-09	VYDAJ	VYBER	21500	102196	\N	\N	\N
9535	33	1998-07-01	VYDAJ	VYBER	13100	89567	\N	\N	\N
9536	33	1998-07-31	VYDAJ	VYBER	20600	89089	\N	\N	\N
9537	33	1998-08-30	VYDAJ	VYBER	19800	88986	\N	\N	\N
9538	33	1998-09-29	VYDAJ	VYBER	14400	94710	\N	\N	\N
9539	33	1998-10-29	VYDAJ	VYBER	14800	100014	\N	\N	\N
9540	33	1998-11-09	VYDAJ	VYBER	36500	83640	\N	\N	\N
9541	33	1998-11-28	VYDAJ	VYBER KARTOU	1300	82340	\N	\N	0
9606	34	1993-09-17	PRIJEM	VKLAD	600	600	\N	\N	\N
9616	34	1993-10-11	PRIJEM	PREVOD Z UCTU	31845	32445	\N	EF	2569228
9617	34	1993-11-11	PRIJEM	PREVOD Z UCTU	31845	61450	\N	EF	2569228
9618	34	1993-12-11	PRIJEM	PREVOD Z UCTU	47768	88965	\N	EF	2569228
9619	34	1994-01-11	PRIJEM	PREVOD Z UCTU	31845	88013	\N	EF	2569228
9620	34	1994-02-11	PRIJEM	PREVOD Z UCTU	31845	87189	\N	EF	2569228
9621	34	1994-03-11	PRIJEM	PREVOD Z UCTU	31845	71513	\N	EF	2569228
9622	34	1994-04-11	PRIJEM	PREVOD Z UCTU	31845	78976	\N	EF	2569228
9623	34	1994-05-11	PRIJEM	PREVOD Z UCTU	31845	68274	\N	EF	2569228
9624	34	1994-06-11	PRIJEM	PREVOD Z UCTU	47768	68222	\N	EF	2569228
9625	34	1994-07-11	PRIJEM	PREVOD Z UCTU	31845	52151	\N	EF	2569228
9626	34	1994-08-11	PRIJEM	PREVOD Z UCTU	31845	50908	\N	EF	2569228
9627	34	1994-09-11	PRIJEM	PREVOD Z UCTU	31845	64975	\N	EF	2569228
9628	34	1994-10-11	PRIJEM	PREVOD Z UCTU	31845	73685	\N	EF	2569228
9629	34	1994-11-11	PRIJEM	PREVOD Z UCTU	31845	67212	\N	EF	2569228
9630	34	1994-12-11	PRIJEM	PREVOD Z UCTU	47768	88710	\N	EF	2569228
9631	34	1995-01-11	PRIJEM	PREVOD Z UCTU	31845	63316	\N	EF	2569228
9632	34	1995-02-11	PRIJEM	PREVOD Z UCTU	31845	67777	\N	EF	2569228
9633	34	1995-03-11	PRIJEM	PREVOD Z UCTU	31845	93261	\N	EF	2569228
9634	34	1995-04-11	PRIJEM	PREVOD Z UCTU	31845	72036	\N	EF	2569228
9635	34	1995-05-11	PRIJEM	PREVOD Z UCTU	31845	72624	\N	EF	2569228
9636	34	1995-06-11	PRIJEM	PREVOD Z UCTU	47768	83942	\N	EF	2569228
9637	34	1995-07-11	PRIJEM	PREVOD Z UCTU	31845	80787	\N	EF	2569228
9638	34	1995-08-11	PRIJEM	PREVOD Z UCTU	31845	79923	\N	EF	2569228
9639	34	1995-09-11	PRIJEM	PREVOD Z UCTU	31845	77066	\N	EF	2569228
9640	34	1995-10-11	PRIJEM	PREVOD Z UCTU	31845	78996	\N	EF	2569228
9641	34	1995-11-11	PRIJEM	PREVOD Z UCTU	31845	76629	\N	EF	2569228
9642	34	1995-12-11	PRIJEM	PREVOD Z UCTU	47768	94580	\N	EF	2569228
9643	34	1996-01-11	PRIJEM	PREVOD Z UCTU	31845	80854	\N	EF	2569228
9644	34	1996-02-11	PRIJEM	PREVOD Z UCTU	31845	66537	\N	EF	2569228
9645	34	1996-03-11	PRIJEM	PREVOD Z UCTU	31845	73326	\N	EF	2569228
9646	34	1996-04-11	PRIJEM	PREVOD Z UCTU	31845	75631	\N	EF	2569228
9647	34	1996-05-11	PRIJEM	PREVOD Z UCTU	31845	73755	\N	EF	2569228
9648	34	1996-06-11	PRIJEM	PREVOD Z UCTU	47768	83986	\N	EF	2569228
9649	34	1996-07-11	PRIJEM	PREVOD Z UCTU	31845	66958	\N	EF	2569228
9650	34	1996-08-11	PRIJEM	PREVOD Z UCTU	31845	64431	\N	EF	2569228
9651	34	1996-09-11	PRIJEM	PREVOD Z UCTU	31845	68793	\N	EF	2569228
9652	34	1996-10-11	PRIJEM	PREVOD Z UCTU	31845	70697	\N	EF	2569228
9653	34	1996-11-11	PRIJEM	PREVOD Z UCTU	31845	65784	\N	EF	2569228
9654	34	1996-12-11	PRIJEM	PREVOD Z UCTU	47768	79311	\N	EF	2569228
9655	34	1997-01-11	PRIJEM	PREVOD Z UCTU	31845	73520	\N	EF	2569228
9656	34	1997-02-11	PRIJEM	PREVOD Z UCTU	31845	78013	\N	EF	2569228
9657	34	1997-03-11	PRIJEM	PREVOD Z UCTU	31845	72832	\N	EF	2569228
9658	34	1997-04-11	PRIJEM	PREVOD Z UCTU	31845	73824	\N	EF	2569228
9659	34	1997-05-11	PRIJEM	PREVOD Z UCTU	31845	73704	\N	EF	2569228
9660	34	1997-06-11	PRIJEM	PREVOD Z UCTU	47768	77485	\N	EF	2569228
9661	34	1997-07-11	PRIJEM	PREVOD Z UCTU	31845	79962	\N	EF	2569228
9662	34	1997-08-11	PRIJEM	PREVOD Z UCTU	31845	75256	\N	EF	2569228
9663	34	1997-09-11	PRIJEM	PREVOD Z UCTU	31845	75632	\N	EF	2569228
9664	34	1997-10-11	PRIJEM	PREVOD Z UCTU	31845	63551	\N	EF	2569228
9665	34	1997-11-11	PRIJEM	PREVOD Z UCTU	31845	67191	\N	EF	2569228
9666	34	1997-12-11	PRIJEM	PREVOD Z UCTU	47768	87755	\N	EF	2569228
9667	34	1998-01-11	PRIJEM	PREVOD Z UCTU	31845	83453	\N	EF	2569228
9668	34	1998-02-11	PRIJEM	PREVOD Z UCTU	31845	75986	\N	EF	2569228
9669	34	1998-03-11	PRIJEM	PREVOD Z UCTU	31845	71353	\N	EF	2569228
9670	34	1998-04-11	PRIJEM	PREVOD Z UCTU	31845	76318	\N	EF	2569228
9671	34	1998-05-11	PRIJEM	PREVOD Z UCTU	31845	71366	\N	EF	2569228
9672	34	1998-06-11	PRIJEM	PREVOD Z UCTU	47768	90451	\N	EF	2569228
9673	34	1998-07-11	PRIJEM	PREVOD Z UCTU	31845	87861	\N	EF	2569228
9674	34	1998-08-11	PRIJEM	PREVOD Z UCTU	31845	77155	\N	EF	2569228
9675	34	1998-09-11	PRIJEM	PREVOD Z UCTU	31845	69775	\N	EF	2569228
9676	34	1998-10-11	PRIJEM	PREVOD Z UCTU	31845	70022	\N	EF	2569228
9677	34	1998-11-11	PRIJEM	PREVOD Z UCTU	31845	64895	\N	EF	2569228
9678	34	1998-12-11	PRIJEM	PREVOD Z UCTU	47768	89749	\N	EF	2569228
9765	34	1994-03-08	VYDAJ	PREVOD NA UCET	502	52927	SIPO	GH	19993174
9766	34	1994-04-08	VYDAJ	PREVOD NA UCET	502	47131	SIPO	GH	19993174
9767	34	1994-05-08	VYDAJ	PREVOD NA UCET	502	44793	SIPO	GH	19993174
9768	34	1994-06-08	VYDAJ	PREVOD NA UCET	502	20454	SIPO	GH	19993174
9769	34	1994-07-08	VYDAJ	PREVOD NA UCET	502	20306	SIPO	GH	19993174
9770	34	1994-08-08	VYDAJ	PREVOD NA UCET	502	19063	SIPO	GH	19993174
9771	34	1994-09-08	VYDAJ	PREVOD NA UCET	502	33130	SIPO	GH	19993174
9772	34	1994-10-08	VYDAJ	PREVOD NA UCET	502	41840	SIPO	GH	19993174
9773	34	1994-11-08	VYDAJ	PREVOD NA UCET	502	35367	SIPO	GH	19993174
9774	34	1994-12-08	VYDAJ	PREVOD NA UCET	502	40942	SIPO	GH	19993174
9775	34	1995-01-08	VYDAJ	PREVOD NA UCET	502	43071	SIPO	GH	19993174
9776	34	1995-02-08	VYDAJ	PREVOD NA UCET	502	43432	SIPO	GH	19993174
9777	34	1995-03-08	VYDAJ	PREVOD NA UCET	502	61416	SIPO	GH	19993174
9778	34	1995-04-08	VYDAJ	PREVOD NA UCET	502	52691	SIPO	GH	19993174
9779	34	1995-05-08	VYDAJ	PREVOD NA UCET	502	61179	SIPO	GH	19993174
9780	34	1995-06-08	VYDAJ	PREVOD NA UCET	502	54274	SIPO	GH	19993174
9781	34	1995-07-08	VYDAJ	PREVOD NA UCET	502	77642	SIPO	GH	19993174
9782	34	1995-08-08	VYDAJ	PREVOD NA UCET	502	68478	SIPO	GH	19993174
9783	34	1995-09-08	VYDAJ	PREVOD NA UCET	502	45221	SIPO	GH	19993174
9784	34	1995-10-08	VYDAJ	PREVOD NA UCET	502	47151	SIPO	GH	19993174
9785	34	1995-11-08	VYDAJ	PREVOD NA UCET	502	44784	SIPO	GH	19993174
9786	34	1995-12-08	VYDAJ	PREVOD NA UCET	502	46812	SIPO	GH	19993174
9787	34	1996-01-08	VYDAJ	PREVOD NA UCET	502	49009	SIPO	GH	19993174
9788	34	1996-02-08	VYDAJ	PREVOD NA UCET	502	34692	SIPO	GH	19993174
9789	34	1996-03-08	VYDAJ	PREVOD NA UCET	502	41481	SIPO	GH	19993174
9790	34	1996-04-08	VYDAJ	PREVOD NA UCET	502	43786	SIPO	GH	19993174
9791	34	1996-05-08	VYDAJ	PREVOD NA UCET	502	41910	SIPO	GH	19993174
9792	34	1996-06-08	VYDAJ	PREVOD NA UCET	502	36218	SIPO	GH	19993174
9793	34	1996-07-08	VYDAJ	PREVOD NA UCET	502	35113	SIPO	GH	19993174
9794	34	1996-08-08	VYDAJ	PREVOD NA UCET	502	32586	SIPO	GH	19993174
9795	34	1996-09-08	VYDAJ	PREVOD NA UCET	502	36948	SIPO	GH	19993174
9796	34	1996-10-08	VYDAJ	PREVOD NA UCET	502	38852	SIPO	GH	19993174
9797	34	1996-11-08	VYDAJ	PREVOD NA UCET	502	33939	SIPO	GH	19993174
9798	34	1996-12-08	VYDAJ	PREVOD NA UCET	502	31543	SIPO	GH	19993174
9799	34	1997-01-08	VYDAJ	PREVOD NA UCET	502	41675	SIPO	GH	19993174
9800	34	1997-02-08	VYDAJ	PREVOD NA UCET	502	46168	SIPO	GH	19993174
9801	34	1997-03-08	VYDAJ	PREVOD NA UCET	502	40987	SIPO	GH	19993174
9802	34	1997-04-08	VYDAJ	PREVOD NA UCET	502	41979	SIPO	GH	19993174
9803	34	1997-05-08	VYDAJ	PREVOD NA UCET	502	41859	SIPO	GH	19993174
9804	34	1997-06-08	VYDAJ	PREVOD NA UCET	502	36017	SIPO	GH	19993174
9805	34	1997-07-08	VYDAJ	PREVOD NA UCET	502	48117	SIPO	GH	19993174
9806	34	1997-08-08	VYDAJ	PREVOD NA UCET	502	43411	SIPO	GH	19993174
9807	34	1997-09-08	VYDAJ	PREVOD NA UCET	502	43787	SIPO	GH	19993174
9808	34	1997-10-08	VYDAJ	PREVOD NA UCET	502	31706	SIPO	GH	19993174
9809	34	1997-11-08	VYDAJ	PREVOD NA UCET	502	35346	SIPO	GH	19993174
9810	34	1997-12-08	VYDAJ	PREVOD NA UCET	502	39987	SIPO	GH	19993174
9811	34	1998-01-08	VYDAJ	PREVOD NA UCET	502	51608	SIPO	GH	19993174
9812	34	1998-02-08	VYDAJ	PREVOD NA UCET	502	44141	SIPO	GH	19993174
9813	34	1998-03-08	VYDAJ	PREVOD NA UCET	502	48314	SIPO	GH	19993174
9814	34	1998-04-08	VYDAJ	PREVOD NA UCET	502	44473	SIPO	GH	19993174
9815	34	1998-05-08	VYDAJ	PREVOD NA UCET	502	39521	SIPO	GH	19993174
9816	34	1998-06-08	VYDAJ	PREVOD NA UCET	502	42683	SIPO	GH	19993174
9817	34	1998-07-08	VYDAJ	PREVOD NA UCET	502	56016	SIPO	GH	19993174
9818	34	1998-08-08	VYDAJ	PREVOD NA UCET	502	45310	SIPO	GH	19993174
9819	34	1998-09-08	VYDAJ	PREVOD NA UCET	502	37930	SIPO	GH	19993174
9820	34	1998-10-08	VYDAJ	PREVOD NA UCET	502	38177	SIPO	GH	19993174
9821	34	1998-11-08	VYDAJ	PREVOD NA UCET	502	33050	SIPO	GH	19993174
9822	34	1998-12-08	VYDAJ	PREVOD NA UCET	502	41981	SIPO	GH	19993174
9836	34	1994-02-11	VYDAJ	PREVOD NA UCET	6070	81119	 	IJ	58999049
9837	34	1994-03-11	VYDAJ	PREVOD NA UCET	6070	65443	 	IJ	58999049
9838	34	1994-04-11	VYDAJ	PREVOD NA UCET	6070	72906	 	IJ	58999049
9839	34	1994-05-11	VYDAJ	PREVOD NA UCET	6070	62204	 	IJ	58999049
9840	34	1994-06-11	VYDAJ	PREVOD NA UCET	6070	62152	 	IJ	58999049
9841	34	1994-07-11	VYDAJ	PREVOD NA UCET	6070	46081	 	IJ	58999049
9842	34	1994-08-11	VYDAJ	PREVOD NA UCET	6070	44838	 	IJ	58999049
9843	34	1994-09-11	VYDAJ	PREVOD NA UCET	6070	58905	 	IJ	58999049
9844	34	1994-10-11	VYDAJ	PREVOD NA UCET	6070	67615	 	IJ	58999049
9845	34	1994-11-11	VYDAJ	PREVOD NA UCET	6070	61142	 	IJ	58999049
9846	34	1994-12-11	VYDAJ	PREVOD NA UCET	6070	51740	 	IJ	58999049
9847	34	1995-01-11	VYDAJ	PREVOD NA UCET	6070	57246	 	IJ	58999049
9848	34	1995-02-11	VYDAJ	PREVOD NA UCET	6070	61707	 	IJ	58999049
9849	34	1995-03-11	VYDAJ	PREVOD NA UCET	6070	52991	 	IJ	58999049
9850	34	1995-04-11	VYDAJ	PREVOD NA UCET	6070	65966	 	IJ	58999049
9851	34	1995-05-11	VYDAJ	PREVOD NA UCET	6070	66554	 	IJ	58999049
9852	34	1995-06-11	VYDAJ	PREVOD NA UCET	6070	77872	 	IJ	58999049
9853	34	1995-07-11	VYDAJ	PREVOD NA UCET	6070	74717	 	IJ	58999049
9854	34	1995-08-11	VYDAJ	PREVOD NA UCET	6070	73853	 	IJ	58999049
9855	34	1995-09-11	VYDAJ	PREVOD NA UCET	6070	70996	 	IJ	58999049
9856	34	1995-10-11	VYDAJ	PREVOD NA UCET	6070	72926	 	IJ	58999049
9857	34	1995-11-11	VYDAJ	PREVOD NA UCET	6070	70559	 	IJ	58999049
9858	34	1995-12-11	VYDAJ	PREVOD NA UCET	6070	88510	 	IJ	58999049
9859	34	1996-01-11	VYDAJ	PREVOD NA UCET	6070	74784	 	IJ	58999049
9860	34	1996-02-11	VYDAJ	PREVOD NA UCET	6070	60467	 	IJ	58999049
9861	34	1996-03-11	VYDAJ	PREVOD NA UCET	6070	67256	 	IJ	58999049
9862	34	1996-04-11	VYDAJ	PREVOD NA UCET	6070	69561	 	IJ	58999049
9863	34	1996-05-11	VYDAJ	PREVOD NA UCET	6070	67685	 	IJ	58999049
9864	34	1996-06-11	VYDAJ	PREVOD NA UCET	6070	77916	 	IJ	58999049
9865	34	1996-07-11	VYDAJ	PREVOD NA UCET	6070	60888	 	IJ	58999049
9866	34	1996-08-11	VYDAJ	PREVOD NA UCET	6070	58361	 	IJ	58999049
9867	34	1996-09-11	VYDAJ	PREVOD NA UCET	6070	62723	 	IJ	58999049
9868	34	1996-10-11	VYDAJ	PREVOD NA UCET	6070	64627	 	IJ	58999049
9869	34	1996-11-11	VYDAJ	PREVOD NA UCET	6070	59714	 	IJ	58999049
9870	34	1996-12-11	VYDAJ	PREVOD NA UCET	6070	73241	 	IJ	58999049
9871	34	1997-01-11	VYDAJ	PREVOD NA UCET	6070	67450	 	IJ	58999049
9872	34	1997-02-11	VYDAJ	PREVOD NA UCET	6070	71943	 	IJ	58999049
9873	34	1997-03-11	VYDAJ	PREVOD NA UCET	6070	66762	 	IJ	58999049
9874	34	1997-04-11	VYDAJ	PREVOD NA UCET	6070	67754	 	IJ	58999049
9875	34	1997-05-11	VYDAJ	PREVOD NA UCET	6070	67634	 	IJ	58999049
9876	34	1997-06-11	VYDAJ	PREVOD NA UCET	6070	71415	 	IJ	58999049
9877	34	1997-07-11	VYDAJ	PREVOD NA UCET	6070	73892	 	IJ	58999049
9878	34	1997-08-11	VYDAJ	PREVOD NA UCET	6070	69186	 	IJ	58999049
9879	34	1997-09-11	VYDAJ	PREVOD NA UCET	6070	69562	 	IJ	58999049
9880	34	1997-10-11	VYDAJ	PREVOD NA UCET	6070	57481	 	IJ	58999049
9881	34	1997-11-11	VYDAJ	PREVOD NA UCET	6070	61121	 	IJ	58999049
9882	34	1997-12-11	VYDAJ	PREVOD NA UCET	6070	81685	 	IJ	58999049
9883	34	1998-01-11	VYDAJ	PREVOD NA UCET	6070	77383	 	IJ	58999049
9884	34	1998-02-11	VYDAJ	PREVOD NA UCET	6070	69916	 	IJ	58999049
9885	34	1998-03-11	VYDAJ	PREVOD NA UCET	6070	65283	 	IJ	58999049
9886	34	1998-04-11	VYDAJ	PREVOD NA UCET	6070	70248	 	IJ	58999049
9887	34	1998-05-11	VYDAJ	PREVOD NA UCET	6070	65296	 	IJ	58999049
9888	34	1998-06-11	VYDAJ	PREVOD NA UCET	6070	84381	 	IJ	58999049
9889	34	1998-07-11	VYDAJ	PREVOD NA UCET	6070	81791	 	IJ	58999049
9890	34	1998-08-11	VYDAJ	PREVOD NA UCET	6070	50780	 	IJ	58999049
9891	34	1998-09-11	VYDAJ	PREVOD NA UCET	6070	63705	 	IJ	58999049
9892	34	1998-10-11	VYDAJ	PREVOD NA UCET	6070	63952	 	IJ	58999049
9893	34	1998-11-11	VYDAJ	PREVOD NA UCET	6070	58825	 	IJ	58999049
9894	34	1998-12-11	VYDAJ	PREVOD NA UCET	6070	83679	 	IJ	58999049
9899	34	1994-05-10	VYBER	VYBER	8364	36429	\N	\N	\N
9900	34	1994-05-13	VYBER	VYBER	23844	38360	\N	\N	\N
9901	34	1994-05-17	VYBER	VYBER	12412	20848	\N	\N	\N
9902	34	1994-03-10	VYBER	VYBER	13259	39668	\N	\N	\N
9903	34	1994-06-23	VYBER	VYBER	22949	20703	\N	\N	\N
9904	34	1996-12-19	VYBER	VYBER	7384	65857	\N	\N	\N
9905	34	1996-11-30	VYBER	VYBER	11065	48875	\N	\N	\N
9906	34	1996-06-25	VYBER	VYBER	22726	55190	\N	\N	\N
9907	34	1996-07-13	VYBER	VYBER	14967	45921	\N	\N	\N
9908	34	1996-01-13	VYBER	VYBER	23311	51473	\N	\N	\N
9909	34	1997-10-01	VYBER	VYBER	14159	32208	\N	\N	\N
9910	34	1997-02-21	VYBER	VYBER	10277	61666	\N	\N	\N
9911	34	1997-05-21	VYBER	VYBER	17498	50136	\N	\N	\N
9913	34	1998-08-11	VYBER	VYBER	20305	56850	\N	\N	\N
9915	34	1998-01-24	VYBER	VYBER	14575	62808	\N	\N	\N
9916	34	1998-11-08	VYBER	VYBER	13771	33552	\N	\N	\N
9918	34	1998-03-09	VYBER	VYBER	8806	39508	\N	\N	\N
9920	34	1994-12-25	VYDAJ	VYBER	8400	43340	\N	\N	\N
9921	34	1995-12-16	VYDAJ	VYBER	3000	85510	\N	\N	\N
9922	34	1996-12-04	VYDAJ	VYBER	2100	32045	\N	\N	\N
9923	34	1997-12-30	VYDAJ	VYBER	3300	51885	\N	\N	\N
9924	34	1998-12-27	VYDAJ	VYBER KARTOU	3900	49879	\N	\N	0
9933	34	1994-04-30	VYDAJ	VYBER	6000	45325	\N	\N	\N
9935	34	1994-10-30	VYDAJ	VYBER	8700	35715	\N	\N	\N
9936	34	1994-07-25	VYDAJ	VYBER	14100	19481	\N	\N	\N
9937	34	1995-07-13	VYDAJ	VYBER	6000	68717	\N	\N	\N
9938	34	1995-04-13	VYDAJ	VYBER	4500	61466	\N	\N	\N
9939	34	1995-02-06	VYDAJ	VYBER	13500	43934	\N	\N	\N
9940	34	1995-05-16	VYDAJ	VYBER	3000	63554	\N	\N	\N
9941	34	1995-05-25	VYDAJ	VYBER	9000	54554	\N	\N	\N
9942	34	1996-04-25	VYDAJ	VYBER	7200	62361	\N	\N	\N
9943	34	1996-10-22	VYDAJ	VYBER	5400	59227	\N	\N	\N
9944	34	1996-10-22	VYDAJ	VYBER	7200	52027	\N	\N	\N
9945	34	1996-06-02	VYDAJ	VYBER	13500	54420	\N	\N	\N
9946	34	1997-03-30	VYDAJ	VYBER	3900	62862	\N	\N	\N
9947	34	1997-06-09	VYDAJ	VYBER	6300	29717	\N	\N	\N
9948	34	1997-07-26	VYDAJ	VYBER	9300	64592	\N	\N	\N
9949	34	1997-10-19	VYDAJ	VYBER	5700	51781	\N	\N	\N
9950	34	1998-11-12	VYDAJ	VYBER	3600	55225	\N	\N	\N
9951	34	1998-09-26	VYDAJ	VYBER	9600	38505	\N	\N	\N
9952	34	1998-07-16	VYDAJ	VYBER	10200	71591	\N	\N	\N
9953	34	1998-10-20	VYDAJ	VYBER	1500	62452	\N	\N	\N
9954	34	1998-04-14	VYDAJ	VYBER	13200	57048	\N	\N	\N
9969	34	1994-02-28	VYDAJ	VYBER	30	53429	SLUZBY	\N	\N
9970	34	1994-03-31	VYDAJ	VYBER	30	47633	SLUZBY	\N	\N
9971	34	1994-04-30	VYDAJ	VYBER	30	45295	SLUZBY	\N	\N
9972	34	1994-05-31	VYDAJ	VYBER	30	20956	SLUZBY	\N	\N
9973	34	1994-06-30	VYDAJ	VYBER	30	20808	SLUZBY	\N	\N
9974	34	1994-07-31	VYDAJ	VYBER	30	19565	SLUZBY	\N	\N
9975	34	1994-08-31	VYDAJ	VYBER	30	33632	SLUZBY	\N	\N
9976	34	1994-09-30	VYDAJ	VYBER	30	42342	SLUZBY	\N	\N
9977	34	1994-10-31	VYDAJ	VYBER	30	35869	SLUZBY	\N	\N
9978	34	1994-11-30	VYDAJ	VYBER	30	41444	SLUZBY	\N	\N
9979	34	1994-12-31	VYDAJ	VYBER	30	43573	SLUZBY	\N	\N
9980	34	1995-01-31	VYDAJ	VYBER	30	57434	SLUZBY	\N	\N
9981	34	1995-02-28	VYDAJ	VYBER	30	61918	SLUZBY	\N	\N
9982	34	1995-03-31	VYDAJ	VYBER	30	53193	SLUZBY	\N	\N
9983	34	1995-04-30	VYDAJ	VYBER	30	61681	SLUZBY	\N	\N
9984	34	1995-05-31	VYDAJ	VYBER	30	54776	SLUZBY	\N	\N
9985	34	1995-06-30	VYDAJ	VYBER	30	78144	SLUZBY	\N	\N
9986	34	1995-07-31	VYDAJ	VYBER	30	68980	SLUZBY	\N	\N
9987	34	1995-08-31	VYDAJ	VYBER	30	74123	SLUZBY	\N	\N
9988	34	1995-09-30	VYDAJ	VYBER	30	71253	SLUZBY	\N	\N
9989	34	1995-10-31	VYDAJ	VYBER	30	73186	SLUZBY	\N	\N
9990	34	1995-11-30	VYDAJ	VYBER	30	70814	SLUZBY	\N	\N
9991	34	1995-12-31	VYDAJ	VYBER	30	85811	SLUZBY	\N	\N
9992	34	1996-01-31	VYDAJ	VYBER	30	51694	SLUZBY	\N	\N
9993	34	1996-02-29	VYDAJ	VYBER	30	60683	SLUZBY	\N	\N
9994	34	1996-03-31	VYDAJ	VYBER	30	67488	SLUZBY	\N	\N
9995	34	1996-04-30	VYDAJ	VYBER	30	62612	SLUZBY	\N	\N
9996	34	1996-05-31	VYDAJ	VYBER	30	67920	SLUZBY	\N	\N
9997	34	1996-06-30	VYDAJ	VYBER	30	55415	SLUZBY	\N	\N
9998	34	1996-07-31	VYDAJ	VYBER	30	46088	SLUZBY	\N	\N
9999	34	1996-08-31	VYDAJ	VYBER	30	58550	SLUZBY	\N	\N
10000	34	1996-09-30	VYDAJ	VYBER	30	62954	SLUZBY	\N	\N
10001	34	1996-10-31	VYDAJ	VYBER	30	34441	SLUZBY	\N	\N
10002	34	1996-11-30	VYDAJ	VYBER	30	34145	SLUZBY	\N	\N
10003	34	1996-12-31	VYDAJ	VYBER	30	42177	SLUZBY	\N	\N
10004	34	1997-01-31	VYDAJ	VYBER	30	46670	SLUZBY	\N	\N
10005	34	1997-02-28	VYDAJ	VYBER	30	41489	SLUZBY	\N	\N
10006	34	1997-03-31	VYDAJ	VYBER	30	42481	SLUZBY	\N	\N
10007	34	1997-04-30	VYDAJ	VYBER	30	42361	SLUZBY	\N	\N
10008	34	1997-05-31	VYDAJ	VYBER	30	36519	SLUZBY	\N	\N
10009	34	1997-06-30	VYDAJ	VYBER	30	48619	SLUZBY	\N	\N
10010	34	1997-07-31	VYDAJ	VYBER	30	43913	SLUZBY	\N	\N
10011	34	1997-08-31	VYDAJ	VYBER	30	44289	SLUZBY	\N	\N
10012	34	1997-09-30	VYDAJ	VYBER	30	46367	SLUZBY	\N	\N
10013	34	1997-10-31	VYDAJ	VYBER	30	35848	SLUZBY	\N	\N
10014	34	1997-11-30	VYDAJ	VYBER	30	40489	SLUZBY	\N	\N
10015	34	1997-12-31	VYDAJ	VYBER	30	52110	SLUZBY	\N	\N
10016	34	1998-01-31	VYDAJ	VYBER	30	44643	SLUZBY	\N	\N
10017	34	1998-02-28	VYDAJ	VYBER	30	48816	SLUZBY	\N	\N
10018	34	1998-03-31	VYDAJ	VYBER	30	44975	SLUZBY	\N	\N
10019	34	1998-04-30	VYDAJ	VYBER	30	40023	SLUZBY	\N	\N
10020	34	1998-05-31	VYDAJ	VYBER	30	43185	SLUZBY	\N	\N
10021	34	1998-06-30	VYDAJ	VYBER	30	56518	SLUZBY	\N	\N
10022	34	1998-07-31	VYDAJ	VYBER	30	45812	SLUZBY	\N	\N
10023	34	1998-08-31	VYDAJ	VYBER	30	38432	SLUZBY	\N	\N
10024	34	1998-09-30	VYDAJ	VYBER	30	38679	SLUZBY	\N	\N
10025	34	1998-10-31	VYDAJ	VYBER	30	47323	SLUZBY	\N	\N
10026	34	1998-11-30	VYDAJ	VYBER	30	42483	SLUZBY	\N	\N
10027	34	1993-10-17	VYDAJ	VYBER	2900	29545	\N	\N	\N
10028	34	1993-11-16	VYDAJ	VYBER	20400	41050	\N	\N	\N
10029	34	1993-12-16	VYDAJ	VYBER	33000	55965	\N	\N	\N
10030	34	1994-01-15	VYDAJ	VYBER	32900	55113	\N	\N	\N
10031	34	1994-02-14	VYDAJ	VYBER	27900	53219	\N	\N	\N
10032	34	1994-03-16	VYDAJ	VYBER	18000	47443	\N	\N	\N
10033	34	1994-04-15	VYDAJ	VYBER	21800	51106	\N	\N	\N
10034	34	1994-05-15	VYDAJ	VYBER	5100	33260	\N	\N	\N
10035	34	1994-06-14	VYDAJ	VYBER	18500	43652	\N	\N	\N
10036	34	1994-07-14	VYDAJ	VYBER	12500	33581	\N	\N	\N
10037	34	1994-08-13	VYDAJ	VYBER	11300	33538	\N	\N	\N
10038	34	1994-09-12	VYDAJ	VYBER	16700	42205	\N	\N	\N
10039	34	1994-10-12	VYDAJ	VYBER	23200	44415	\N	\N	\N
10040	34	1994-11-11	VYDAJ	VYBER	19900	41242	\N	\N	\N
10041	34	1994-12-11	VYDAJ	VYBER	30900	57810	\N	\N	\N
10042	34	1995-01-10	VYDAJ	VYBER	11600	31471	\N	\N	\N
10043	34	1995-02-09	VYDAJ	VYBER	7500	35932	\N	\N	\N
10044	34	1995-03-11	VYDAJ	VYBER	34200	59061	\N	\N	\N
10045	34	1995-04-10	VYDAJ	VYBER	12500	40191	\N	\N	\N
10046	34	1995-05-10	VYDAJ	VYBER	20400	40779	\N	\N	\N
10047	34	1995-06-09	VYDAJ	VYBER	18100	36174	\N	\N	\N
10048	34	1995-07-09	VYDAJ	VYBER	28700	48942	\N	\N	\N
10049	34	1995-08-08	VYDAJ	VYBER	20400	48078	\N	\N	\N
10050	34	1995-09-07	VYDAJ	VYBER	28400	45723	\N	\N	\N
10051	34	1995-10-07	VYDAJ	VYBER	23600	47653	\N	\N	\N
10052	34	1995-11-06	VYDAJ	VYBER	27900	45286	\N	\N	\N
10053	34	1995-12-06	VYDAJ	VYBER	23500	47314	\N	\N	\N
10054	34	1996-01-05	VYDAJ	VYBER	36300	49511	\N	\N	\N
10055	34	1996-02-04	VYDAJ	VYBER	16500	35194	\N	\N	\N
10056	34	1996-03-05	VYDAJ	VYBER	18700	41983	\N	\N	\N
10057	34	1996-04-04	VYDAJ	VYBER	23200	44288	\N	\N	\N
10058	34	1996-05-04	VYDAJ	VYBER	20200	42412	\N	\N	\N
10059	34	1996-06-03	VYDAJ	VYBER	17700	36720	\N	\N	\N
10060	34	1996-07-03	VYDAJ	VYBER	19800	35615	\N	\N	\N
10061	34	1996-08-02	VYDAJ	VYBER	13000	33088	\N	\N	\N
10062	34	1996-09-01	VYDAJ	VYBER	21100	37450	\N	\N	\N
10063	34	1996-10-01	VYDAJ	VYBER	23600	39354	\N	\N	\N
10064	34	1996-10-31	VYDAJ	VYBER	17800	34471	\N	\N	\N
10065	34	1996-11-30	VYDAJ	VYBER	14700	34175	\N	\N	\N
10066	34	1996-12-30	VYDAJ	VYBER	23900	41957	\N	\N	\N
10067	34	1997-01-29	VYDAJ	VYBER	21000	46450	\N	\N	\N
10068	34	1997-02-28	VYDAJ	VYBER	20400	41519	\N	\N	\N
10069	34	1997-03-30	VYDAJ	VYBER	20600	42262	\N	\N	\N
10070	34	1997-04-29	VYDAJ	VYBER	25600	42154	\N	\N	\N
10071	34	1997-05-29	VYDAJ	VYBER	13800	36336	\N	\N	\N
10072	34	1997-06-28	VYDAJ	VYBER	23000	48415	\N	\N	\N
10073	34	1997-07-28	VYDAJ	VYBER	20900	43692	\N	\N	\N
10074	34	1997-08-27	VYDAJ	VYBER	25100	44086	\N	\N	\N
10075	34	1997-09-26	VYDAJ	VYBER	23400	46162	\N	\N	\N
10076	34	1997-10-26	VYDAJ	VYBER	16100	35681	\N	\N	\N
10077	34	1997-11-25	VYDAJ	VYBER	20800	40321	\N	\N	\N
10078	34	1997-12-25	VYDAJ	VYBER	26500	55185	\N	\N	\N
10079	34	1998-01-24	VYDAJ	VYBER	18400	44408	\N	\N	\N
10080	34	1998-02-23	VYDAJ	VYBER	21300	48616	\N	\N	\N
10081	34	1998-03-25	VYDAJ	VYBER	20500	44783	\N	\N	\N
10082	34	1998-04-24	VYDAJ	VYBER	17200	39848	\N	\N	\N
10083	34	1998-05-24	VYDAJ	VYBER	22300	42996	\N	\N	\N
10084	34	1998-06-23	VYDAJ	VYBER	28100	56281	\N	\N	\N
10085	34	1998-07-23	VYDAJ	VYBER	26000	45591	\N	\N	\N
10086	34	1998-08-22	VYDAJ	VYBER	12500	38280	\N	\N	\N
10087	34	1998-09-21	VYDAJ	VYBER	15600	48105	\N	\N	\N
10088	34	1998-10-21	VYDAJ	VYBER	15300	47152	\N	\N	\N
10089	34	1998-11-20	VYDAJ	VYBER	12900	42325	\N	\N	\N
10090	34	1998-12-20	VYDAJ	VYBER	29900	53779	\N	\N	\N
10154	35	1993-07-07	PRIJEM	VKLAD	600	600	\N	\N	\N
10162	35	1993-08-05	PRIJEM	PREVOD Z UCTU	5446	6046	DUCHOD	ST	60448020
10163	35	1993-09-05	PRIJEM	PREVOD Z UCTU	5446	11492	DUCHOD	ST	60448020
10164	35	1993-10-05	PRIJEM	PREVOD Z UCTU	5446	16938	DUCHOD	ST	60448020
10165	35	1993-11-05	PRIJEM	PREVOD Z UCTU	5446	22384	DUCHOD	ST	60448020
10166	35	1993-12-05	PRIJEM	PREVOD Z UCTU	5446	27830	DUCHOD	ST	60448020
10167	35	1994-01-05	PRIJEM	PREVOD Z UCTU	5446	26157	DUCHOD	ST	60448020
10168	35	1994-02-05	PRIJEM	PREVOD Z UCTU	5446	25377	DUCHOD	ST	60448020
10169	35	1994-03-05	PRIJEM	PREVOD Z UCTU	5446	25150	DUCHOD	ST	60448020
10170	35	1994-04-05	PRIJEM	PREVOD Z UCTU	5446	26128	DUCHOD	ST	60448020
10171	35	1994-05-05	PRIJEM	PREVOD Z UCTU	5446	28472	DUCHOD	ST	60448020
10172	35	1994-06-05	PRIJEM	PREVOD Z UCTU	5446	30128	DUCHOD	ST	60448020
10173	35	1994-07-05	PRIJEM	PREVOD Z UCTU	5446	24747	DUCHOD	ST	60448020
10174	35	1994-08-05	PRIJEM	PREVOD Z UCTU	5446	27885	DUCHOD	ST	60448020
10175	35	1994-09-05	PRIJEM	PREVOD Z UCTU	5446	31036	DUCHOD	ST	60448020
10176	35	1994-10-05	PRIJEM	PREVOD Z UCTU	5446	30500	DUCHOD	ST	60448020
10177	35	1994-11-05	PRIJEM	PREVOD Z UCTU	5446	32520	DUCHOD	ST	60448020
10178	35	1994-12-05	PRIJEM	PREVOD Z UCTU	5446	31989	DUCHOD	ST	60448020
10179	35	1995-01-05	PRIJEM	PREVOD Z UCTU	5446	29055	DUCHOD	ST	60448020
10180	35	1995-02-05	PRIJEM	PREVOD Z UCTU	5446	24917	DUCHOD	ST	60448020
10181	35	1995-03-05	PRIJEM	PREVOD Z UCTU	5446	28056	DUCHOD	ST	60448020
10182	35	1995-04-05	PRIJEM	PREVOD Z UCTU	5446	31107	DUCHOD	ST	60448020
10183	35	1995-05-05	PRIJEM	PREVOD Z UCTU	5446	31489	DUCHOD	ST	60448020
10184	35	1995-06-05	PRIJEM	PREVOD Z UCTU	5446	30713	DUCHOD	ST	60448020
10185	35	1995-07-05	PRIJEM	PREVOD Z UCTU	5446	18882	DUCHOD	ST	60448020
10186	35	1995-08-05	PRIJEM	PREVOD Z UCTU	5446	21995	DUCHOD	ST	60448020
10187	35	1995-09-05	PRIJEM	PREVOD Z UCTU	5446	25121	DUCHOD	ST	60448020
10188	35	1995-10-05	PRIJEM	PREVOD Z UCTU	5446	27259	DUCHOD	ST	60448020
10189	35	1995-11-05	PRIJEM	PREVOD Z UCTU	5446	27805	DUCHOD	ST	60448020
10190	35	1995-12-05	PRIJEM	PREVOD Z UCTU	5446	21847	DUCHOD	ST	60448020
10191	35	1996-01-05	PRIJEM	PREVOD Z UCTU	5446	20011	DUCHOD	ST	60448020
10192	35	1996-02-05	PRIJEM	PREVOD Z UCTU	5446	18877	DUCHOD	ST	60448020
10193	35	1996-03-05	PRIJEM	PREVOD Z UCTU	5446	19888	DUCHOD	ST	60448020
10194	35	1996-04-05	PRIJEM	PREVOD Z UCTU	5446	19300	DUCHOD	ST	60448020
10195	35	1996-05-05	PRIJEM	PREVOD Z UCTU	5446	18710	DUCHOD	ST	60448020
10196	35	1996-06-05	PRIJEM	PREVOD Z UCTU	5446	17817	DUCHOD	ST	60448020
10197	35	1996-07-05	PRIJEM	PREVOD Z UCTU	5446	18621	DUCHOD	ST	60448020
10198	35	1996-08-05	PRIJEM	PREVOD Z UCTU	5446	20971	DUCHOD	ST	60448020
10199	35	1996-09-05	PRIJEM	PREVOD Z UCTU	5446	17800	DUCHOD	ST	60448020
10200	35	1996-10-05	PRIJEM	PREVOD Z UCTU	5446	20908	DUCHOD	ST	60448020
10201	35	1996-11-05	PRIJEM	PREVOD Z UCTU	5446	22527	DUCHOD	ST	60448020
10202	35	1996-12-05	PRIJEM	PREVOD Z UCTU	5446	21246	DUCHOD	ST	60448020
10203	35	1997-01-05	PRIJEM	PREVOD Z UCTU	5446	21241	DUCHOD	ST	60448020
10204	35	1997-02-05	PRIJEM	PREVOD Z UCTU	5446	20514	DUCHOD	ST	60448020
10205	35	1997-03-05	PRIJEM	PREVOD Z UCTU	5446	21629	DUCHOD	ST	60448020
10206	35	1997-04-05	PRIJEM	PREVOD Z UCTU	5446	19943	DUCHOD	ST	60448020
10207	35	1997-05-05	PRIJEM	PREVOD Z UCTU	5446	20733	DUCHOD	ST	60448020
10208	35	1997-06-05	PRIJEM	PREVOD Z UCTU	5446	19044	DUCHOD	ST	60448020
10209	35	1997-07-05	PRIJEM	PREVOD Z UCTU	5446	18950	DUCHOD	ST	60448020
10210	35	1997-08-05	PRIJEM	PREVOD Z UCTU	5446	22062	DUCHOD	ST	60448020
10211	35	1997-09-05	PRIJEM	PREVOD Z UCTU	5446	21779	DUCHOD	ST	60448020
10212	35	1997-10-05	PRIJEM	PREVOD Z UCTU	5446	20393	DUCHOD	ST	60448020
10213	35	1997-11-05	PRIJEM	PREVOD Z UCTU	5446	22208	DUCHOD	ST	60448020
10214	35	1997-12-05	PRIJEM	PREVOD Z UCTU	5446	19032	DUCHOD	ST	60448020
10215	35	1998-01-05	PRIJEM	PREVOD Z UCTU	5446	18739	DUCHOD	ST	60448020
10216	35	1998-02-05	PRIJEM	PREVOD Z UCTU	5446	17157	DUCHOD	ST	60448020
10217	35	1998-03-05	PRIJEM	PREVOD Z UCTU	5446	20261	DUCHOD	ST	60448020
10218	35	1998-04-05	PRIJEM	PREVOD Z UCTU	5446	23378	DUCHOD	ST	60448020
10219	35	1998-05-05	PRIJEM	PREVOD Z UCTU	5446	26509	DUCHOD	ST	60448020
10220	35	1998-06-05	PRIJEM	PREVOD Z UCTU	5446	18020	DUCHOD	ST	60448020
10221	35	1998-07-05	PRIJEM	PREVOD Z UCTU	5446	21128	DUCHOD	ST	60448020
10222	35	1998-08-05	PRIJEM	PREVOD Z UCTU	5446	19134	DUCHOD	ST	60448020
10223	35	1998-09-05	PRIJEM	PREVOD Z UCTU	5446	18235	DUCHOD	ST	60448020
10224	35	1998-10-05	PRIJEM	PREVOD Z UCTU	5446	21343	DUCHOD	ST	60448020
10225	35	1998-11-05	PRIJEM	PREVOD Z UCTU	5446	24464	DUCHOD	ST	60448020
10226	35	1998-12-05	PRIJEM	PREVOD Z UCTU	5446	27598	DUCHOD	ST	60448020
10238	35	1993-12-13	VYDAJ	PREVOD NA UCET	1022	25446	SIPO	MN	56788617
10239	35	1994-01-13	VYDAJ	PREVOD NA UCET	1022	22093	SIPO	MN	56788617
10240	35	1994-02-13	VYDAJ	PREVOD NA UCET	1022	20833	SIPO	MN	56788617
10241	35	1994-03-13	VYDAJ	PREVOD NA UCET	1022	22766	SIPO	MN	56788617
10242	35	1994-04-13	VYDAJ	PREVOD NA UCET	1022	23744	SIPO	MN	56788617
10243	35	1994-05-13	VYDAJ	PREVOD NA UCET	1022	26088	SIPO	MN	56788617
10244	35	1994-06-13	VYDAJ	PREVOD NA UCET	1022	19224	SIPO	MN	56788617
10245	35	1994-07-13	VYDAJ	PREVOD NA UCET	1022	22363	SIPO	MN	56788617
10246	35	1994-08-13	VYDAJ	PREVOD NA UCET	1022	25501	SIPO	MN	56788617
10247	35	1994-09-13	VYDAJ	PREVOD NA UCET	1022	28652	SIPO	MN	56788617
10248	35	1994-10-13	VYDAJ	PREVOD NA UCET	1022	27476	SIPO	MN	56788617
10249	35	1994-11-13	VYDAJ	PREVOD NA UCET	1022	30136	SIPO	MN	56788617
10250	35	1994-12-13	VYDAJ	PREVOD NA UCET	1022	29605	SIPO	MN	56788617
10251	35	1995-01-13	VYDAJ	PREVOD NA UCET	1022	23311	SIPO	MN	56788617
10252	35	1995-02-13	VYDAJ	PREVOD NA UCET	1022	22533	SIPO	MN	56788617
10253	35	1995-03-13	VYDAJ	PREVOD NA UCET	1022	25672	SIPO	MN	56788617
10254	35	1995-04-13	VYDAJ	PREVOD NA UCET	1022	28723	SIPO	MN	56788617
10255	35	1995-05-13	VYDAJ	PREVOD NA UCET	1022	29105	SIPO	MN	56788617
10256	35	1995-06-13	VYDAJ	PREVOD NA UCET	1022	13379	SIPO	MN	56788617
10257	35	1995-07-13	VYDAJ	PREVOD NA UCET	1022	16498	SIPO	MN	56788617
10258	35	1995-08-13	VYDAJ	PREVOD NA UCET	1022	19611	SIPO	MN	56788617
10259	35	1995-09-13	VYDAJ	PREVOD NA UCET	1022	22737	SIPO	MN	56788617
10260	35	1995-10-13	VYDAJ	PREVOD NA UCET	1022	24875	SIPO	MN	56788617
10261	35	1995-11-13	VYDAJ	PREVOD NA UCET	1022	25421	SIPO	MN	56788617
10262	35	1995-12-13	VYDAJ	PREVOD NA UCET	1022	19463	SIPO	MN	56788617
10263	35	1996-01-13	VYDAJ	PREVOD NA UCET	1022	13387	SIPO	MN	56788617
10264	35	1996-02-13	VYDAJ	PREVOD NA UCET	1022	16493	SIPO	MN	56788617
10265	35	1996-03-13	VYDAJ	PREVOD NA UCET	1022	17504	SIPO	MN	56788617
10266	35	1996-04-13	VYDAJ	PREVOD NA UCET	1022	16916	SIPO	MN	56788617
10267	35	1996-05-13	VYDAJ	PREVOD NA UCET	1022	16326	SIPO	MN	56788617
10268	35	1996-06-13	VYDAJ	PREVOD NA UCET	1022	15433	SIPO	MN	56788617
10269	35	1996-07-13	VYDAJ	PREVOD NA UCET	1022	16237	SIPO	MN	56788617
10270	35	1996-08-13	VYDAJ	PREVOD NA UCET	1022	16907	SIPO	MN	56788617
10271	35	1996-09-13	VYDAJ	PREVOD NA UCET	1022	15416	SIPO	MN	56788617
10272	35	1996-10-13	VYDAJ	PREVOD NA UCET	1022	18524	SIPO	MN	56788617
10273	35	1996-11-13	VYDAJ	PREVOD NA UCET	1022	20143	SIPO	MN	56788617
10274	35	1996-12-13	VYDAJ	PREVOD NA UCET	1022	15742	SIPO	MN	56788617
10275	35	1997-01-13	VYDAJ	PREVOD NA UCET	1022	16697	SIPO	MN	56788617
10276	35	1997-02-13	VYDAJ	PREVOD NA UCET	1022	18130	SIPO	MN	56788617
10277	35	1997-03-13	VYDAJ	PREVOD NA UCET	1022	19245	SIPO	MN	56788617
10278	35	1997-04-13	VYDAJ	PREVOD NA UCET	1022	15239	SIPO	MN	56788617
10279	35	1997-05-13	VYDAJ	PREVOD NA UCET	1022	18349	SIPO	MN	56788617
10280	35	1997-06-13	VYDAJ	PREVOD NA UCET	1022	16660	SIPO	MN	56788617
10281	35	1997-07-13	VYDAJ	PREVOD NA UCET	1022	16566	SIPO	MN	56788617
10282	35	1997-08-13	VYDAJ	PREVOD NA UCET	1022	19678	SIPO	MN	56788617
10283	35	1997-09-13	VYDAJ	PREVOD NA UCET	1022	19395	SIPO	MN	56788617
10284	35	1997-10-13	VYDAJ	PREVOD NA UCET	1022	18009	SIPO	MN	56788617
10285	35	1997-11-13	VYDAJ	PREVOD NA UCET	1022	19824	SIPO	MN	56788617
10286	35	1997-12-13	VYDAJ	PREVOD NA UCET	1022	13248	SIPO	MN	56788617
10287	35	1998-01-13	VYDAJ	PREVOD NA UCET	1022	11675	SIPO	MN	56788617
10288	35	1998-02-13	VYDAJ	PREVOD NA UCET	1022	14773	SIPO	MN	56788617
10289	35	1998-03-13	VYDAJ	PREVOD NA UCET	1022	17877	SIPO	MN	56788617
10290	35	1998-04-13	VYDAJ	PREVOD NA UCET	1022	20994	SIPO	MN	56788617
10291	35	1998-05-13	VYDAJ	PREVOD NA UCET	1022	12525	SIPO	MN	56788617
10292	35	1998-06-13	VYDAJ	PREVOD NA UCET	1022	15636	SIPO	MN	56788617
10293	35	1998-07-13	VYDAJ	PREVOD NA UCET	1022	13644	SIPO	MN	56788617
10294	35	1998-08-13	VYDAJ	PREVOD NA UCET	1022	12750	SIPO	MN	56788617
10295	35	1998-09-13	VYDAJ	PREVOD NA UCET	1022	15851	SIPO	MN	56788617
10296	35	1998-10-13	VYDAJ	PREVOD NA UCET	1022	18959	SIPO	MN	56788617
10297	35	1998-11-13	VYDAJ	PREVOD NA UCET	1022	22080	SIPO	MN	56788617
10298	35	1998-12-13	VYDAJ	PREVOD NA UCET	1022	21294	SIPO	MN	56788617
10310	35	1993-12-09	VYDAJ	PREVOD NA UCET	1362	26468	 	MN	99848401
10311	35	1994-01-09	VYDAJ	PREVOD NA UCET	1362	23115	 	MN	99848401
10312	35	1994-02-09	VYDAJ	PREVOD NA UCET	1362	24015	 	MN	99848401
10313	35	1994-03-09	VYDAJ	PREVOD NA UCET	1362	23788	 	MN	99848401
10314	35	1994-04-09	VYDAJ	PREVOD NA UCET	1362	24766	 	MN	99848401
10315	35	1994-05-09	VYDAJ	PREVOD NA UCET	1362	27110	 	MN	99848401
10316	35	1994-06-09	VYDAJ	PREVOD NA UCET	1362	28766	 	MN	99848401
10317	35	1994-07-09	VYDAJ	PREVOD NA UCET	1362	23385	 	MN	99848401
10318	35	1994-08-09	VYDAJ	PREVOD NA UCET	1362	26523	 	MN	99848401
10319	35	1994-09-09	VYDAJ	PREVOD NA UCET	1362	29674	 	MN	99848401
10320	35	1994-10-09	VYDAJ	PREVOD NA UCET	1362	28498	 	MN	99848401
10321	35	1994-11-09	VYDAJ	PREVOD NA UCET	1362	31158	 	MN	99848401
10322	35	1994-12-09	VYDAJ	PREVOD NA UCET	1362	30627	 	MN	99848401
10323	35	1995-01-09	VYDAJ	PREVOD NA UCET	1362	25533	 	MN	99848401
10324	35	1995-02-09	VYDAJ	PREVOD NA UCET	1362	23555	 	MN	99848401
10325	35	1995-03-09	VYDAJ	PREVOD NA UCET	1362	26694	 	MN	99848401
10326	35	1995-04-09	VYDAJ	PREVOD NA UCET	1362	29745	 	MN	99848401
10327	35	1995-05-09	VYDAJ	PREVOD NA UCET	1362	30127	 	MN	99848401
10328	35	1995-06-09	VYDAJ	PREVOD NA UCET	1362	29351	 	MN	99848401
10329	35	1995-07-09	VYDAJ	PREVOD NA UCET	1362	17520	 	MN	99848401
10330	35	1995-08-09	VYDAJ	PREVOD NA UCET	1362	20633	 	MN	99848401
10331	35	1995-09-09	VYDAJ	PREVOD NA UCET	1362	23759	 	MN	99848401
10332	35	1995-10-09	VYDAJ	PREVOD NA UCET	1362	25897	 	MN	99848401
10333	35	1995-11-09	VYDAJ	PREVOD NA UCET	1362	26443	 	MN	99848401
10334	35	1995-12-09	VYDAJ	PREVOD NA UCET	1362	20485	 	MN	99848401
10335	35	1996-01-09	VYDAJ	PREVOD NA UCET	1362	14409	 	MN	99848401
10336	35	1996-02-09	VYDAJ	PREVOD NA UCET	1362	17515	 	MN	99848401
10337	35	1996-03-09	VYDAJ	PREVOD NA UCET	1362	18526	 	MN	99848401
10338	35	1996-04-09	VYDAJ	PREVOD NA UCET	1362	17938	 	MN	99848401
10339	35	1996-05-09	VYDAJ	PREVOD NA UCET	1362	17348	 	MN	99848401
10340	35	1996-06-09	VYDAJ	PREVOD NA UCET	1362	16455	 	MN	99848401
10341	35	1996-07-09	VYDAJ	PREVOD NA UCET	1362	17259	 	MN	99848401
10342	35	1996-08-09	VYDAJ	PREVOD NA UCET	1362	19609	 	MN	99848401
10343	35	1996-09-09	VYDAJ	PREVOD NA UCET	1362	16438	 	MN	99848401
10344	35	1996-10-09	VYDAJ	PREVOD NA UCET	1362	19546	 	MN	99848401
10345	35	1996-11-09	VYDAJ	PREVOD NA UCET	1362	21165	 	MN	99848401
10346	35	1996-12-09	VYDAJ	PREVOD NA UCET	1362	19884	 	MN	99848401
10347	35	1997-01-09	VYDAJ	PREVOD NA UCET	1362	17719	 	MN	99848401
10348	35	1997-02-09	VYDAJ	PREVOD NA UCET	1362	19152	 	MN	99848401
10349	35	1997-03-09	VYDAJ	PREVOD NA UCET	1362	20267	 	MN	99848401
10350	35	1997-04-09	VYDAJ	PREVOD NA UCET	1362	18581	 	MN	99848401
10351	35	1997-05-09	VYDAJ	PREVOD NA UCET	1362	19371	 	MN	99848401
10352	35	1997-06-09	VYDAJ	PREVOD NA UCET	1362	17682	 	MN	99848401
10353	35	1997-07-09	VYDAJ	PREVOD NA UCET	1362	17588	 	MN	99848401
10354	35	1997-08-09	VYDAJ	PREVOD NA UCET	1362	20700	 	MN	99848401
10355	35	1997-09-09	VYDAJ	PREVOD NA UCET	1362	20417	 	MN	99848401
10356	35	1997-10-09	VYDAJ	PREVOD NA UCET	1362	19031	 	MN	99848401
10357	35	1997-11-09	VYDAJ	PREVOD NA UCET	1362	20846	 	MN	99848401
10358	35	1997-12-09	VYDAJ	PREVOD NA UCET	1362	17670	 	MN	99848401
10359	35	1998-01-09	VYDAJ	PREVOD NA UCET	1362	15297	 	MN	99848401
10360	35	1998-02-09	VYDAJ	PREVOD NA UCET	1362	15795	 	MN	99848401
10361	35	1998-03-09	VYDAJ	PREVOD NA UCET	1362	18899	 	MN	99848401
10362	35	1998-04-09	VYDAJ	PREVOD NA UCET	1362	22016	 	MN	99848401
10363	35	1998-05-09	VYDAJ	PREVOD NA UCET	1362	25147	 	MN	99848401
10364	35	1998-06-09	VYDAJ	PREVOD NA UCET	1362	16658	 	MN	99848401
10365	35	1998-07-09	VYDAJ	PREVOD NA UCET	1362	19766	 	MN	99848401
10366	35	1998-08-09	VYDAJ	PREVOD NA UCET	1362	17772	 	MN	99848401
10367	35	1998-09-09	VYDAJ	PREVOD NA UCET	1362	16873	 	MN	99848401
10368	35	1998-10-09	VYDAJ	PREVOD NA UCET	1362	19981	 	MN	99848401
10369	35	1998-11-09	VYDAJ	PREVOD NA UCET	1362	23102	 	MN	99848401
10370	35	1998-12-09	VYDAJ	PREVOD NA UCET	1362	26236	 	MN	99848401
10372	35	1994-06-10	VYDAJ	VYBER	5000	20246	\N	\N	\N
10373	35	1995-06-10	VYDAJ	VYBER	14950	14401	\N	\N	\N
10383	35	1994-01-07	VYDAJ	VYBER	560	25597	\N	\N	\N
10384	35	1994-01-08	VYDAJ	VYBER	1120	24477	\N	\N	\N
10385	35	1994-01-01	VYDAJ	VYBER	2080	23431	\N	\N	\N
10386	35	1994-01-04	VYDAJ	VYBER	880	20711	\N	\N	\N
10387	35	1994-01-26	VYDAJ	VYBER	2240	19853	\N	\N	\N
10388	35	1994-01-02	VYDAJ	VYBER	1840	21591	\N	\N	\N
10389	35	1995-01-01	VYDAJ	VYBER	800	23609	\N	\N	\N
10390	35	1995-01-14	VYDAJ	VYBER	1360	21951	\N	\N	\N
10391	35	1995-01-22	VYDAJ	VYBER	1440	20511	\N	\N	\N
10392	35	1995-01-25	VYDAJ	VYBER	1120	19391	\N	\N	\N
10393	35	1995-01-12	VYDAJ	VYBER	1200	24333	\N	\N	\N
10394	35	1995-01-07	VYDAJ	VYBER	2160	26895	\N	\N	\N
10395	35	1996-01-01	VYDAJ	VYBER	1840	16485	\N	\N	\N
10397	35	1996-01-06	VYDAJ	VYBER	2240	15771	\N	\N	\N
10398	35	1996-01-02	VYDAJ	VYBER	1920	14565	\N	\N	\N
10400	35	1996-01-05	VYDAJ	VYBER	2000	18011	\N	\N	\N
10402	35	1997-01-08	VYDAJ	VYBER	2160	19081	\N	\N	\N
10404	35	1997-01-20	VYDAJ	VYBER	1680	15017	\N	\N	\N
10407	35	1998-01-07	VYDAJ	VYBER	2080	16659	\N	\N	\N
10416	35	1994-03-28	VYDAJ	VYBER	2160	20606	\N	\N	\N
10417	35	1994-02-09	VYDAJ	VYBER	2160	21855	\N	\N	\N
10418	35	1994-02-17	VYDAJ	VYBER	1200	19633	\N	\N	\N
10419	35	1994-06-10	VYDAJ	VYBER	3520	25246	\N	\N	\N
10420	35	1994-10-07	VYDAJ	VYBER	640	29860	\N	\N	\N
10421	35	1995-11-27	VYDAJ	VYBER	3600	16321	\N	\N	\N
10422	35	1995-05-28	VYDAJ	VYBER	1840	27265	\N	\N	\N
10424	35	1995-04-23	VYDAJ	VYBER	1680	27043	\N	\N	\N
10427	35	1996-12-13	VYDAJ	VYBER	3120	16764	\N	\N	\N
10429	35	1996-07-14	VYDAJ	VYBER	560	15677	\N	\N	\N
10430	35	1996-08-10	VYDAJ	VYBER	1680	17929	\N	\N	\N
10433	35	1997-04-11	VYDAJ	VYBER	2320	16261	\N	\N	\N
10438	35	1998-12-11	VYDAJ	VYBER	3920	22316	\N	\N	\N
10439	35	1998-12-19	VYDAJ	VYBER	640	20654	\N	\N	\N
10456	35	1993-12-31	VYDAJ	VYBER	15	25511	SLUZBY	\N	\N
10457	35	1994-01-31	VYDAJ	VYBER	15	19931	SLUZBY	\N	\N
10458	35	1994-02-28	VYDAJ	VYBER	15	19704	SLUZBY	\N	\N
10459	35	1994-03-31	VYDAJ	VYBER	15	20682	SLUZBY	\N	\N
10460	35	1994-04-30	VYDAJ	VYBER	15	23826	SLUZBY	\N	\N
10461	35	1994-05-31	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
10462	35	1994-06-30	VYDAJ	VYBER	15	19301	SLUZBY	\N	\N
10463	35	1994-07-31	VYDAJ	VYBER	15	22439	SLUZBY	\N	\N
10464	35	1994-08-31	VYDAJ	VYBER	15	25590	SLUZBY	\N	\N
10465	35	1994-09-30	VYDAJ	VYBER	15	25054	SLUZBY	\N	\N
10466	35	1994-10-31	VYDAJ	VYBER	15	27074	SLUZBY	\N	\N
10467	35	1994-11-30	VYDAJ	VYBER	15	26543	SLUZBY	\N	\N
10468	35	1994-12-31	VYDAJ	VYBER	15	24409	SLUZBY	\N	\N
10469	35	1995-01-31	VYDAJ	VYBER	15	19471	SLUZBY	\N	\N
10470	35	1995-02-28	VYDAJ	VYBER	15	22610	SLUZBY	\N	\N
10471	35	1995-03-31	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
10472	35	1995-04-30	VYDAJ	VYBER	15	26043	SLUZBY	\N	\N
10473	35	1995-05-31	VYDAJ	VYBER	15	25267	SLUZBY	\N	\N
10474	35	1995-06-30	VYDAJ	VYBER	15	13436	SLUZBY	\N	\N
10475	35	1995-07-31	VYDAJ	VYBER	15	16549	SLUZBY	\N	\N
10476	35	1995-08-31	VYDAJ	VYBER	15	19675	SLUZBY	\N	\N
10477	35	1995-09-30	VYDAJ	VYBER	15	21813	SLUZBY	\N	\N
10478	35	1995-10-31	VYDAJ	VYBER	15	22359	SLUZBY	\N	\N
10479	35	1995-11-30	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
10480	35	1995-12-31	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
10481	35	1996-01-31	VYDAJ	VYBER	15	13431	SLUZBY	\N	\N
10482	35	1996-02-29	VYDAJ	VYBER	15	14442	SLUZBY	\N	\N
10483	35	1996-03-31	VYDAJ	VYBER	15	13854	SLUZBY	\N	\N
10484	35	1996-04-30	VYDAJ	VYBER	15	13264	SLUZBY	\N	\N
10485	35	1996-05-31	VYDAJ	VYBER	15	12371	SLUZBY	\N	\N
10486	35	1996-06-30	VYDAJ	VYBER	15	13175	SLUZBY	\N	\N
10487	35	1996-07-31	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
10488	35	1996-08-31	VYDAJ	VYBER	15	12354	SLUZBY	\N	\N
10489	35	1996-09-30	VYDAJ	VYBER	15	15462	SLUZBY	\N	\N
10490	35	1996-10-31	VYDAJ	VYBER	15	17081	SLUZBY	\N	\N
10491	35	1996-11-30	VYDAJ	VYBER	15	15800	SLUZBY	\N	\N
10492	35	1996-12-31	VYDAJ	VYBER	15	15795	SLUZBY	\N	\N
10493	35	1997-01-31	VYDAJ	VYBER	15	15068	SLUZBY	\N	\N
10494	35	1997-02-28	VYDAJ	VYBER	15	16183	SLUZBY	\N	\N
10495	35	1997-03-31	VYDAJ	VYBER	15	14497	SLUZBY	\N	\N
10496	35	1997-04-30	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
10497	35	1997-05-31	VYDAJ	VYBER	15	13598	SLUZBY	\N	\N
10498	35	1997-06-30	VYDAJ	VYBER	15	13504	SLUZBY	\N	\N
10499	35	1997-07-31	VYDAJ	VYBER	15	16616	SLUZBY	\N	\N
10500	35	1997-08-31	VYDAJ	VYBER	15	16333	SLUZBY	\N	\N
10501	35	1997-09-30	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
10502	35	1997-10-31	VYDAJ	VYBER	15	16762	SLUZBY	\N	\N
10503	35	1997-11-30	VYDAJ	VYBER	15	13586	SLUZBY	\N	\N
10504	35	1997-12-31	VYDAJ	VYBER	15	13293	SLUZBY	\N	\N
10505	35	1998-01-31	VYDAJ	VYBER	15	11711	SLUZBY	\N	\N
10506	35	1998-02-28	VYDAJ	VYBER	15	14815	SLUZBY	\N	\N
10507	35	1998-03-31	VYDAJ	VYBER	15	17932	SLUZBY	\N	\N
10508	35	1998-04-30	VYDAJ	VYBER	15	21063	SLUZBY	\N	\N
10509	35	1998-05-31	VYDAJ	VYBER	15	12574	SLUZBY	\N	\N
10510	35	1998-06-30	VYDAJ	VYBER	15	15682	SLUZBY	\N	\N
10511	35	1998-07-31	VYDAJ	VYBER	15	13688	SLUZBY	\N	\N
10512	35	1998-08-31	VYDAJ	VYBER	15	12789	SLUZBY	\N	\N
10513	35	1998-09-30	VYDAJ	VYBER	15	15897	SLUZBY	\N	\N
10514	35	1998-10-31	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
10515	35	1998-11-30	VYDAJ	VYBER	15	22152	SLUZBY	\N	\N
10516	35	1994-05-03	VYDAJ	VYBER	800	23026	\N	\N	\N
10517	35	1994-06-02	VYDAJ	VYBER	1500	24682	\N	\N	\N
10518	35	1994-09-30	VYDAJ	VYBER	3700	25068	\N	\N	\N
10519	35	1994-10-30	VYDAJ	VYBER	500	26976	\N	\N	\N
10520	35	1994-11-29	VYDAJ	VYBER	3700	26436	\N	\N	\N
10521	35	1994-12-29	VYDAJ	VYBER	5300	24305	\N	\N	\N
10522	35	1995-03-29	VYDAJ	VYBER	100	25572	\N	\N	\N
10523	35	1995-04-28	VYDAJ	VYBER	1100	25943	\N	\N	\N
10524	35	1995-05-28	VYDAJ	VYBER	2100	25165	\N	\N	\N
10525	35	1995-09-25	VYDAJ	VYBER	1000	21737	\N	\N	\N
10526	35	1995-10-25	VYDAJ	VYBER	2600	22275	\N	\N	\N
10527	35	1995-11-24	VYDAJ	VYBER	5500	19921	\N	\N	\N
10528	35	1995-12-24	VYDAJ	VYBER	1200	18263	\N	\N	\N
10529	35	1996-02-22	VYDAJ	VYBER	2100	14393	\N	\N	\N
10530	35	1996-03-23	VYDAJ	VYBER	3700	13804	\N	\N	\N
10531	35	1996-04-22	VYDAJ	VYBER	3700	13216	\N	\N	\N
10532	35	1996-05-22	VYDAJ	VYBER	4000	12326	\N	\N	\N
10533	35	1996-06-21	VYDAJ	VYBER	2300	13133	\N	\N	\N
10534	35	1996-07-21	VYDAJ	VYBER	200	15477	\N	\N	\N
10535	35	1996-08-20	VYDAJ	VYBER	4600	12307	\N	\N	\N
10536	35	1996-10-19	VYDAJ	VYBER	1500	17024	\N	\N	\N
10537	35	1996-11-18	VYDAJ	VYBER	4400	15743	\N	\N	\N
10538	35	1997-02-16	VYDAJ	VYBER	2000	16130	\N	\N	\N
10539	35	1997-03-18	VYDAJ	VYBER	4800	14445	\N	\N	\N
10540	35	1997-05-17	VYDAJ	VYBER	4800	13549	\N	\N	\N
10541	35	1997-06-16	VYDAJ	VYBER	3200	13460	\N	\N	\N
10542	35	1997-08-15	VYDAJ	VYBER	3400	16278	\N	\N	\N
10543	35	1997-09-14	VYDAJ	VYBER	4500	14895	\N	\N	\N
10544	35	1997-10-14	VYDAJ	VYBER	1300	16709	\N	\N	\N
10545	35	1997-11-13	VYDAJ	VYBER	6300	13524	\N	\N	\N
10546	35	1997-12-13	VYDAJ	VYBER	3400	14270	\N	\N	\N
10547	35	1998-01-12	VYDAJ	VYBER	2600	12697	\N	\N	\N
10548	35	1998-05-12	VYDAJ	VYBER	11600	13547	\N	\N	\N
10549	35	1998-07-11	VYDAJ	VYBER	5100	14666	\N	\N	\N
10550	35	1998-08-10	VYDAJ	VYBER	4000	13772	\N	\N	\N
10612	36	1993-07-01	PRIJEM	VKLAD	500	500	\N	\N	\N
10619	36	1993-07-05	PRIJEM	VKLAD	19852	20352	\N	\N	\N
10620	36	1993-08-05	PRIJEM	VKLAD	19852	44278	\N	\N	\N
10621	36	1993-09-05	PRIJEM	VKLAD	19852	52834	\N	\N	\N
10622	36	1993-10-05	PRIJEM	VKLAD	19852	59525	\N	\N	\N
10623	36	1993-11-05	PRIJEM	VKLAD	19852	63844	\N	\N	\N
10624	36	1993-12-05	PRIJEM	VKLAD	29778	68111	\N	\N	\N
10625	36	1994-01-05	PRIJEM	VKLAD	19852	65517	\N	\N	\N
10626	36	1994-02-05	PRIJEM	VKLAD	19852	52755	\N	\N	\N
10627	36	1994-03-05	PRIJEM	VKLAD	19852	57224	\N	\N	\N
10628	36	1994-04-05	PRIJEM	VKLAD	19852	59498	\N	\N	\N
10629	36	1994-05-05	PRIJEM	VKLAD	19852	58992	\N	\N	\N
10630	36	1994-06-05	PRIJEM	VKLAD	29778	70709	\N	\N	\N
10631	36	1994-07-05	PRIJEM	VKLAD	19852	44928	\N	\N	\N
10632	36	1994-08-05	PRIJEM	VKLAD	19852	49699	\N	\N	\N
10633	36	1994-09-05	PRIJEM	VKLAD	19852	56351	\N	\N	\N
10634	36	1994-10-05	PRIJEM	VKLAD	19852	58625	\N	\N	\N
10635	36	1994-11-05	PRIJEM	VKLAD	19852	58195	\N	\N	\N
10636	36	1994-12-05	PRIJEM	VKLAD	29778	70290	\N	\N	\N
10637	36	1995-01-05	PRIJEM	VKLAD	19852	60737	\N	\N	\N
10638	36	1995-02-05	PRIJEM	VKLAD	19852	39829	\N	\N	\N
10639	36	1995-03-05	PRIJEM	VKLAD	19852	47937	\N	\N	\N
10640	36	1995-04-05	PRIJEM	VKLAD	19852	54077	\N	\N	\N
10641	36	1995-05-05	PRIJEM	VKLAD	19852	55264	\N	\N	\N
10642	36	1995-06-05	PRIJEM	VKLAD	29778	66043	\N	\N	\N
10643	36	1995-07-05	PRIJEM	VKLAD	19852	42787	\N	\N	\N
10644	36	1995-08-05	PRIJEM	VKLAD	19852	52007	\N	\N	\N
10645	36	1995-09-05	PRIJEM	VKLAD	19852	55053	\N	\N	\N
10646	36	1995-10-05	PRIJEM	VKLAD	19852	58403	\N	\N	\N
10647	36	1995-11-05	PRIJEM	VKLAD	19852	60063	\N	\N	\N
10648	36	1995-12-05	PRIJEM	VKLAD	29778	66430	\N	\N	\N
10649	36	1996-01-05	PRIJEM	VKLAD	19852	64712	\N	\N	\N
10650	36	1996-02-05	PRIJEM	VKLAD	19852	37326	\N	\N	\N
10651	36	1996-03-05	PRIJEM	VKLAD	19852	48419	\N	\N	\N
10652	36	1996-04-05	PRIJEM	VKLAD	19852	51143	\N	\N	\N
10653	36	1996-05-05	PRIJEM	VKLAD	19852	53669	\N	\N	\N
10654	36	1996-06-05	PRIJEM	VKLAD	29778	62529	\N	\N	\N
10655	36	1996-07-05	PRIJEM	VKLAD	19852	58186	\N	\N	\N
10656	36	1996-08-05	PRIJEM	VKLAD	19852	55532	\N	\N	\N
10657	36	1996-09-05	PRIJEM	VKLAD	19852	55307	\N	\N	\N
10658	36	1996-10-05	PRIJEM	VKLAD	19852	53133	\N	\N	\N
10659	36	1996-11-05	PRIJEM	VKLAD	19852	55360	\N	\N	\N
10660	36	1996-12-05	PRIJEM	VKLAD	29778	60430	\N	\N	\N
10661	36	1997-01-05	PRIJEM	VKLAD	19852	46930	\N	\N	\N
10662	36	1997-02-05	PRIJEM	VKLAD	19852	40561	\N	\N	\N
10663	36	1997-03-05	PRIJEM	VKLAD	19852	45773	\N	\N	\N
10664	36	1997-04-05	PRIJEM	VKLAD	19852	54148	\N	\N	\N
10665	36	1997-05-05	PRIJEM	VKLAD	19852	58381	\N	\N	\N
10666	36	1997-06-05	PRIJEM	VKLAD	29778	57288	\N	\N	\N
10667	36	1997-07-05	PRIJEM	VKLAD	19852	55323	\N	\N	\N
10668	36	1997-08-05	PRIJEM	VKLAD	19852	59762	\N	\N	\N
10669	36	1997-09-05	PRIJEM	VKLAD	19852	64115	\N	\N	\N
10670	36	1997-10-05	PRIJEM	VKLAD	19852	65276	\N	\N	\N
10671	36	1997-11-05	PRIJEM	VKLAD	19852	62289	\N	\N	\N
10672	36	1997-12-05	PRIJEM	VKLAD	29778	70279	\N	\N	\N
10673	36	1998-01-05	PRIJEM	VKLAD	19852	64161	\N	\N	\N
10674	36	1998-02-05	PRIJEM	VKLAD	19852	42451	\N	\N	\N
10675	36	1998-03-05	PRIJEM	VKLAD	19852	55957	\N	\N	\N
10676	36	1998-04-05	PRIJEM	VKLAD	19852	62599	\N	\N	\N
10677	36	1998-05-05	PRIJEM	VKLAD	19852	64148	\N	\N	\N
10678	36	1998-06-05	PRIJEM	VKLAD	29778	77737	\N	\N	\N
10679	36	1998-07-05	PRIJEM	VKLAD	19852	68280	\N	\N	\N
10680	36	1998-08-05	PRIJEM	VKLAD	19852	71191	\N	\N	\N
10681	36	1998-09-05	PRIJEM	VKLAD	19852	76043	\N	\N	\N
10682	36	1998-10-05	PRIJEM	VKLAD	19852	77202	\N	\N	\N
10683	36	1998-11-05	PRIJEM	VKLAD	19852	75766	\N	\N	\N
10684	36	1998-12-05	PRIJEM	VKLAD	29778	85055	\N	\N	\N
10695	36	1993-11-05	VYDAJ	PREVOD NA UCET	4069	59775	SIPO	CD	80693810
10696	36	1993-12-05	VYDAJ	PREVOD NA UCET	4069	64042	SIPO	CD	80693810
10697	36	1994-01-05	VYDAJ	PREVOD NA UCET	4069	61448	SIPO	CD	80693810
10698	36	1994-02-05	VYDAJ	PREVOD NA UCET	4069	48686	SIPO	CD	80693810
10699	36	1994-03-05	VYDAJ	PREVOD NA UCET	4069	53155	SIPO	CD	80693810
10700	36	1994-04-05	VYDAJ	PREVOD NA UCET	4069	55429	SIPO	CD	80693810
10701	36	1994-05-05	VYDAJ	PREVOD NA UCET	4069	54923	SIPO	CD	80693810
10702	36	1994-06-05	VYDAJ	PREVOD NA UCET	4069	66640	SIPO	CD	80693810
10703	36	1994-07-05	VYDAJ	PREVOD NA UCET	4069	40859	SIPO	CD	80693810
10704	36	1994-08-05	VYDAJ	PREVOD NA UCET	4069	45630	SIPO	CD	80693810
10705	36	1994-09-05	VYDAJ	PREVOD NA UCET	4069	52282	SIPO	CD	80693810
10706	36	1994-10-05	VYDAJ	PREVOD NA UCET	4069	54556	SIPO	CD	80693810
10707	36	1994-11-05	VYDAJ	PREVOD NA UCET	4069	54126	SIPO	CD	80693810
10708	36	1994-12-05	VYDAJ	PREVOD NA UCET	4069	66221	SIPO	CD	80693810
10709	36	1995-01-05	VYDAJ	PREVOD NA UCET	4069	55348	SIPO	CD	80693810
10710	36	1995-02-05	VYDAJ	PREVOD NA UCET	4069	35760	SIPO	CD	80693810
10711	36	1995-03-05	VYDAJ	PREVOD NA UCET	4069	43868	SIPO	CD	80693810
10712	36	1995-04-05	VYDAJ	PREVOD NA UCET	4069	50008	SIPO	CD	80693810
10713	36	1995-05-05	VYDAJ	PREVOD NA UCET	4069	51195	SIPO	CD	80693810
10714	36	1995-06-05	VYDAJ	PREVOD NA UCET	4069	61974	SIPO	CD	80693810
10715	36	1995-07-05	VYDAJ	PREVOD NA UCET	4069	38718	SIPO	CD	80693810
10716	36	1995-08-05	VYDAJ	PREVOD NA UCET	4069	47938	SIPO	CD	80693810
10717	36	1995-09-05	VYDAJ	PREVOD NA UCET	4069	50984	SIPO	CD	80693810
10718	36	1995-10-05	VYDAJ	PREVOD NA UCET	4069	54334	SIPO	CD	80693810
10719	36	1995-11-05	VYDAJ	PREVOD NA UCET	4069	55994	SIPO	CD	80693810
10720	36	1995-12-05	VYDAJ	PREVOD NA UCET	4069	62361	SIPO	CD	80693810
10721	36	1996-01-05	VYDAJ	PREVOD NA UCET	4069	60643	SIPO	CD	80693810
10722	36	1996-02-05	VYDAJ	PREVOD NA UCET	4069	33257	SIPO	CD	80693810
10723	36	1996-03-05	VYDAJ	PREVOD NA UCET	4069	44350	SIPO	CD	80693810
10724	36	1996-04-05	VYDAJ	PREVOD NA UCET	4069	47074	SIPO	CD	80693810
10725	36	1996-05-05	VYDAJ	PREVOD NA UCET	4069	49600	SIPO	CD	80693810
10726	36	1996-06-05	VYDAJ	PREVOD NA UCET	4069	58460	SIPO	CD	80693810
10727	36	1996-07-05	VYDAJ	PREVOD NA UCET	4069	54117	SIPO	CD	80693810
10728	36	1996-08-05	VYDAJ	PREVOD NA UCET	4069	51463	SIPO	CD	80693810
10729	36	1996-09-05	VYDAJ	PREVOD NA UCET	4069	51238	SIPO	CD	80693810
10730	36	1996-10-05	VYDAJ	PREVOD NA UCET	4069	49064	SIPO	CD	80693810
10731	36	1996-11-05	VYDAJ	PREVOD NA UCET	4069	51291	SIPO	CD	80693810
10732	36	1996-12-05	VYDAJ	PREVOD NA UCET	4069	56361	SIPO	CD	80693810
10733	36	1997-01-05	VYDAJ	PREVOD NA UCET	4069	42861	SIPO	CD	80693810
10734	36	1997-02-05	VYDAJ	PREVOD NA UCET	4069	36492	SIPO	CD	80693810
10735	36	1997-03-05	VYDAJ	PREVOD NA UCET	4069	41704	SIPO	CD	80693810
10736	36	1997-04-05	VYDAJ	PREVOD NA UCET	4069	50079	SIPO	CD	80693810
10737	36	1997-05-05	VYDAJ	PREVOD NA UCET	4069	54312	SIPO	CD	80693810
10738	36	1997-06-05	VYDAJ	PREVOD NA UCET	4069	53219	SIPO	CD	80693810
10739	36	1997-07-05	VYDAJ	PREVOD NA UCET	4069	51254	SIPO	CD	80693810
10740	36	1997-08-05	VYDAJ	PREVOD NA UCET	4069	55693	SIPO	CD	80693810
10741	36	1997-09-05	VYDAJ	PREVOD NA UCET	4069	60046	SIPO	CD	80693810
10742	36	1997-10-05	VYDAJ	PREVOD NA UCET	4069	61207	SIPO	CD	80693810
10743	36	1997-11-05	VYDAJ	PREVOD NA UCET	4069	58220	SIPO	CD	80693810
10744	36	1997-12-05	VYDAJ	PREVOD NA UCET	4069	66210	SIPO	CD	80693810
10745	36	1998-01-05	VYDAJ	PREVOD NA UCET	4069	60092	SIPO	CD	80693810
10746	36	1998-02-05	VYDAJ	PREVOD NA UCET	4069	35982	SIPO	CD	80693810
10747	36	1998-03-05	VYDAJ	PREVOD NA UCET	4069	51888	SIPO	CD	80693810
10748	36	1998-04-05	VYDAJ	PREVOD NA UCET	4069	58530	SIPO	CD	80693810
10749	36	1998-05-05	VYDAJ	PREVOD NA UCET	4069	60079	SIPO	CD	80693810
10750	36	1998-06-05	VYDAJ	PREVOD NA UCET	4069	73668	SIPO	CD	80693810
10751	36	1998-07-05	VYDAJ	PREVOD NA UCET	4069	57211	SIPO	CD	80693810
10752	36	1998-08-05	VYDAJ	PREVOD NA UCET	4069	67122	SIPO	CD	80693810
10753	36	1998-09-05	VYDAJ	PREVOD NA UCET	4069	66094	SIPO	CD	80693810
10754	36	1998-10-05	VYDAJ	PREVOD NA UCET	4069	73133	SIPO	CD	80693810
10755	36	1998-11-05	VYDAJ	PREVOD NA UCET	4069	71697	SIPO	CD	80693810
10756	36	1998-12-05	VYDAJ	PREVOD NA UCET	4069	80986	SIPO	CD	80693810
10758	36	1994-06-15	VYDAJ	VYBER	41120	25520	\N	\N	\N
10759	36	1995-06-07	VYDAJ	VYBER	31200	24894	\N	\N	\N
10761	36	1997-06-01	VYDAJ	VYBER	18080	27510	\N	\N	\N
10762	36	1998-06-16	VYDAJ	VYBER	12160	48208	\N	\N	\N
10764	36	1994-01-16	VYDAJ	VYBER	8160	50528	\N	\N	\N
10765	36	1995-01-29	VYDAJ	VYBER	12480	19808	\N	\N	\N
10766	36	1996-01-23	VYDAJ	VYBER	15520	20323	\N	\N	\N
10768	36	1998-01-15	VYDAJ	VYBER	13440	25952	\N	\N	\N
10769	36	1993-12-03	VYDAJ	VYBER	3360	38333	\N	\N	\N
10770	36	1994-12-15	VYDAJ	VYBER	960	56741	\N	\N	\N
10771	36	1995-12-03	VYDAJ	VYBER	2720	36652	\N	\N	\N
10772	36	1996-12-15	VYDAJ	VYBER	1120	32701	\N	\N	\N
10773	36	1997-12-26	VYDAJ	VYBER	1600	45210	\N	\N	\N
10774	36	1998-12-07	VYDAJ	VYBER	960	80026	\N	\N	\N
10781	36	1994-01-20	VYDAJ	VYBER	2760	47768	\N	\N	\N
10782	36	1994-01-21	VYDAJ	VYBER	2520	45248	\N	\N	\N
10783	36	1994-01-25	VYDAJ	VYBER	3240	40808	\N	\N	\N
10784	36	1994-01-24	VYDAJ	VYBER	1200	44048	\N	\N	\N
10785	36	1994-01-04	VYDAJ	VYBER	1320	45665	\N	\N	\N
10786	36	1994-01-12	VYDAJ	VYBER	2760	58688	\N	\N	\N
10787	36	1995-01-28	VYDAJ	VYBER	1920	32288	\N	\N	\N
10788	36	1995-01-05	VYDAJ	VYBER	1320	59417	\N	\N	\N
10789	36	1995-01-01	VYDAJ	VYBER	960	40885	\N	\N	\N
10790	36	1995-01-11	VYDAJ	VYBER	3000	50308	\N	\N	\N
10791	36	1995-01-09	VYDAJ	VYBER	2040	53308	\N	\N	\N
10792	36	1995-01-28	VYDAJ	VYBER	600	34208	\N	\N	\N
10793	36	1996-01-20	VYDAJ	VYBER	2040	36563	\N	\N	\N
10794	36	1996-01-06	VYDAJ	VYBER	1920	58723	\N	\N	\N
10795	36	1996-01-08	VYDAJ	VYBER	3000	55723	\N	\N	\N
10796	36	1996-01-22	VYDAJ	VYBER	720	35843	\N	\N	\N
10797	36	1996-01-28	VYDAJ	VYBER	3000	17323	\N	\N	\N
10798	36	1996-01-09	VYDAJ	VYBER	1920	53803	\N	\N	\N
10799	36	1997-01-29	VYDAJ	VYBER	3000	21681	\N	\N	\N
10800	36	1997-01-08	VYDAJ	VYBER	1560	40461	\N	\N	\N
10801	36	1997-01-28	VYDAJ	VYBER	2280	24681	\N	\N	\N
10802	36	1997-01-07	VYDAJ	VYBER	840	42021	\N	\N	\N
10803	36	1997-01-30	VYDAJ	VYBER	1080	20601	\N	\N	\N
10804	36	1997-01-22	VYDAJ	VYBER	2400	26961	\N	\N	\N
10805	36	1998-01-10	VYDAJ	VYBER	2760	43832	\N	\N	\N
10806	36	1998-01-13	VYDAJ	VYBER	2640	40592	\N	\N	\N
10807	36	1998-01-25	VYDAJ	VYBER	1080	22472	\N	\N	\N
10808	36	1998-01-10	VYDAJ	VYBER	600	43232	\N	\N	\N
10809	36	1998-01-01	VYDAJ	VYBER	1080	44309	\N	\N	\N
10810	36	1998-01-15	VYDAJ	VYBER	1200	39392	\N	\N	\N
10817	36	1994-06-16	VYDAJ	VYBER	600	24920	\N	\N	\N
10818	36	1994-07-24	VYDAJ	VYBER	3480	32219	\N	\N	\N
10819	36	1994-12-13	VYDAJ	VYBER	5880	57701	\N	\N	\N
10820	36	1994-12-07	VYDAJ	VYBER	2640	63581	\N	\N	\N
10821	36	1994-07-12	VYDAJ	VYBER	4320	35699	\N	\N	\N
10822	36	1994-07-11	VYDAJ	VYBER	840	40019	\N	\N	\N
10823	36	1995-06-22	VYDAJ	VYBER	1560	22834	\N	\N	\N
10824	36	1995-06-06	VYDAJ	VYBER	5880	56094	\N	\N	\N
10825	36	1995-04-22	VYDAJ	VYBER	3000	45448	\N	\N	\N
10826	36	1995-04-15	VYDAJ	VYBER	1560	48448	\N	\N	\N
10827	36	1996-12-28	VYDAJ	VYBER	4800	26941	\N	\N	\N
10828	36	1996-12-25	VYDAJ	VYBER	960	31741	\N	\N	\N
10829	36	1996-11-22	VYDAJ	VYBER	5280	30511	\N	\N	\N
10830	36	1996-12-07	VYDAJ	VYBER	2640	53721	\N	\N	\N
10831	36	1996-08-11	VYDAJ	VYBER	3960	47503	\N	\N	\N
10832	36	1997-06-16	VYDAJ	VYBER	5400	35319	\N	\N	\N
10833	36	1997-12-04	VYDAJ	VYBER	1680	40501	\N	\N	\N
10834	36	1997-03-02	VYDAJ	VYBER	4080	25921	\N	\N	\N
10835	36	1997-03-26	VYDAJ	VYBER	840	34164	\N	\N	\N
10836	36	1997-10-13	VYDAJ	VYBER	3840	42267	\N	\N	\N
10837	36	1998-12-16	VYDAJ	VYBER	1200	78826	\N	\N	\N
10838	36	1998-01-18	VYDAJ	VYBER	2400	23552	\N	\N	\N
10839	36	1998-09-05	VYDAJ	VYBER	5880	70163	\N	\N	\N
10851	36	1993-11-30	VYDAJ	VYBER	15	41693	SLUZBY	\N	\N
10852	36	1993-12-31	VYDAJ	VYBER	15	46985	SLUZBY	\N	\N
10853	36	1994-01-31	VYDAJ	VYBER	15	32903	SLUZBY	\N	\N
10854	36	1994-02-28	VYDAJ	VYBER	15	37372	SLUZBY	\N	\N
10855	36	1994-03-31	VYDAJ	VYBER	15	39646	SLUZBY	\N	\N
10856	36	1994-04-30	VYDAJ	VYBER	15	39140	SLUZBY	\N	\N
10857	36	1994-05-31	VYDAJ	VYBER	15	40931	SLUZBY	\N	\N
10858	36	1994-06-30	VYDAJ	VYBER	15	25076	SLUZBY	\N	\N
10859	36	1994-07-31	VYDAJ	VYBER	15	29847	SLUZBY	\N	\N
10860	36	1994-08-31	VYDAJ	VYBER	15	36499	SLUZBY	\N	\N
10861	36	1994-09-30	VYDAJ	VYBER	15	38773	SLUZBY	\N	\N
10862	36	1994-10-31	VYDAJ	VYBER	15	38343	SLUZBY	\N	\N
10863	36	1994-11-30	VYDAJ	VYBER	15	40512	SLUZBY	\N	\N
10864	36	1994-12-31	VYDAJ	VYBER	15	41845	SLUZBY	\N	\N
10865	36	1995-01-31	VYDAJ	VYBER	15	19977	SLUZBY	\N	\N
10866	36	1995-02-28	VYDAJ	VYBER	15	28085	SLUZBY	\N	\N
10867	36	1995-03-31	VYDAJ	VYBER	15	34225	SLUZBY	\N	\N
10868	36	1995-04-30	VYDAJ	VYBER	15	35412	SLUZBY	\N	\N
10869	36	1995-05-31	VYDAJ	VYBER	15	36265	SLUZBY	\N	\N
10870	36	1995-06-30	VYDAJ	VYBER	15	22935	SLUZBY	\N	\N
10871	36	1995-07-31	VYDAJ	VYBER	15	32155	SLUZBY	\N	\N
10872	36	1995-08-31	VYDAJ	VYBER	15	35201	SLUZBY	\N	\N
10873	36	1995-09-30	VYDAJ	VYBER	15	38551	SLUZBY	\N	\N
10874	36	1995-10-31	VYDAJ	VYBER	15	40211	SLUZBY	\N	\N
10875	36	1995-11-30	VYDAJ	VYBER	15	39372	SLUZBY	\N	\N
10876	36	1995-12-31	VYDAJ	VYBER	15	44860	SLUZBY	\N	\N
10877	36	1996-01-31	VYDAJ	VYBER	15	17474	SLUZBY	\N	\N
10878	36	1996-02-29	VYDAJ	VYBER	15	28567	SLUZBY	\N	\N
10879	36	1996-03-31	VYDAJ	VYBER	15	31291	SLUZBY	\N	\N
10880	36	1996-04-30	VYDAJ	VYBER	15	33817	SLUZBY	\N	\N
10881	36	1996-05-31	VYDAJ	VYBER	15	32751	SLUZBY	\N	\N
10882	36	1996-06-30	VYDAJ	VYBER	15	38334	SLUZBY	\N	\N
10883	36	1996-07-31	VYDAJ	VYBER	15	35680	SLUZBY	\N	\N
10884	36	1996-08-31	VYDAJ	VYBER	15	35455	SLUZBY	\N	\N
10885	36	1996-09-30	VYDAJ	VYBER	15	33281	SLUZBY	\N	\N
10886	36	1996-10-31	VYDAJ	VYBER	15	35508	SLUZBY	\N	\N
10887	36	1996-11-30	VYDAJ	VYBER	15	30652	SLUZBY	\N	\N
10888	36	1996-12-31	VYDAJ	VYBER	15	27078	SLUZBY	\N	\N
10889	36	1997-01-31	VYDAJ	VYBER	15	20709	SLUZBY	\N	\N
10890	36	1997-02-28	VYDAJ	VYBER	15	30001	SLUZBY	\N	\N
10891	36	1997-03-31	VYDAJ	VYBER	15	34296	SLUZBY	\N	\N
10892	36	1997-04-30	VYDAJ	VYBER	15	38529	SLUZBY	\N	\N
10893	36	1997-05-31	VYDAJ	VYBER	15	45590	SLUZBY	\N	\N
10894	36	1997-06-30	VYDAJ	VYBER	15	35471	SLUZBY	\N	\N
10895	36	1997-07-31	VYDAJ	VYBER	15	39910	SLUZBY	\N	\N
10896	36	1997-08-31	VYDAJ	VYBER	15	44263	SLUZBY	\N	\N
10897	36	1997-09-30	VYDAJ	VYBER	15	45424	SLUZBY	\N	\N
10898	36	1997-10-31	VYDAJ	VYBER	15	42437	SLUZBY	\N	\N
10899	36	1997-11-30	VYDAJ	VYBER	15	42181	SLUZBY	\N	\N
10900	36	1997-12-31	VYDAJ	VYBER	15	45389	SLUZBY	\N	\N
10901	36	1998-01-31	VYDAJ	VYBER	15	22599	SLUZBY	\N	\N
10902	36	1998-02-28	VYDAJ	VYBER	15	36105	SLUZBY	\N	\N
10903	36	1998-03-31	VYDAJ	VYBER	15	42747	SLUZBY	\N	\N
10904	36	1998-04-30	VYDAJ	VYBER	15	44296	SLUZBY	\N	\N
10905	36	1998-05-31	VYDAJ	VYBER	15	47959	SLUZBY	\N	\N
10906	36	1998-06-30	VYDAJ	VYBER	15	48428	SLUZBY	\N	\N
10907	36	1998-07-31	VYDAJ	VYBER	15	57439	SLUZBY	\N	\N
10908	36	1998-08-31	VYDAJ	VYBER	15	67391	SLUZBY	\N	\N
10909	36	1998-09-30	VYDAJ	VYBER	15	66350	SLUZBY	\N	\N
10910	36	1998-10-31	VYDAJ	VYBER	15	73414	SLUZBY	\N	\N
10911	36	1998-11-30	VYDAJ	VYBER	15	71977	SLUZBY	\N	\N
10912	36	1993-07-31	PRIJEM	VKLAD	4000	24426	\N	\N	\N
10913	36	1993-08-30	VYDAJ	VYBER	11400	32878	\N	\N	\N
10914	36	1993-09-29	VYDAJ	VYBER	13300	39534	\N	\N	\N
10915	36	1993-10-29	VYDAJ	VYBER	15700	43825	\N	\N	\N
10916	36	1993-11-28	VYDAJ	VYBER	18300	41475	\N	\N	\N
10917	36	1993-12-28	VYDAJ	VYBER	17300	46742	\N	\N	\N
10918	36	1994-01-27	VYDAJ	VYBER	8100	32708	\N	\N	\N
10919	36	1994-02-26	VYDAJ	VYBER	11500	37186	\N	\N	\N
10920	36	1994-03-28	VYDAJ	VYBER	13700	39455	\N	\N	\N
10921	36	1994-04-27	VYDAJ	VYBER	16500	38929	\N	\N	\N
10922	36	1994-05-27	VYDAJ	VYBER	14200	40723	\N	\N	\N
10923	36	1994-07-26	VYDAJ	VYBER	2500	29719	\N	\N	\N
10924	36	1994-08-25	VYDAJ	VYBER	9300	36330	\N	\N	\N
10925	36	1994-09-24	VYDAJ	VYBER	13700	38582	\N	\N	\N
10926	36	1994-10-24	VYDAJ	VYBER	16400	38156	\N	\N	\N
10927	36	1994-11-23	VYDAJ	VYBER	13800	40326	\N	\N	\N
10928	36	1994-12-23	VYDAJ	VYBER	15100	41641	\N	\N	\N
10929	36	1995-01-22	VYDAJ	VYBER	15500	34808	\N	\N	\N
10930	36	1995-02-21	VYDAJ	VYBER	7800	27960	\N	\N	\N
10931	36	1995-03-23	VYDAJ	VYBER	9800	34068	\N	\N	\N
10932	36	1995-04-22	VYDAJ	VYBER	10200	35248	\N	\N	\N
10933	36	1995-05-22	VYDAJ	VYBER	15100	36095	\N	\N	\N
10934	36	1995-06-21	VYDAJ	VYBER	500	24394	\N	\N	\N
10935	36	1995-07-21	VYDAJ	VYBER	6700	32018	\N	\N	\N
10936	36	1995-08-20	VYDAJ	VYBER	12900	35038	\N	\N	\N
10937	36	1995-09-19	VYDAJ	VYBER	12600	38384	\N	\N	\N
10938	36	1995-10-19	VYDAJ	VYBER	14300	40034	\N	\N	\N
10939	36	1995-11-18	VYDAJ	VYBER	16800	39194	\N	\N	\N
10940	36	1995-12-18	VYDAJ	VYBER	17700	44661	\N	\N	\N
10941	36	1996-01-17	VYDAJ	VYBER	15200	38603	\N	\N	\N
10942	36	1996-02-16	VYDAJ	VYBER	4800	28457	\N	\N	\N
10943	36	1996-03-17	VYDAJ	VYBER	13200	31150	\N	\N	\N
10944	36	1996-04-16	VYDAJ	VYBER	13400	33674	\N	\N	\N
10945	36	1996-05-16	VYDAJ	VYBER	17000	32600	\N	\N	\N
10946	36	1996-06-15	VYDAJ	VYBER	20300	38160	\N	\N	\N
10947	36	1996-07-15	VYDAJ	VYBER	18600	35517	\N	\N	\N
10948	36	1996-08-14	VYDAJ	VYBER	12200	35303	\N	\N	\N
10949	36	1996-09-13	VYDAJ	VYBER	18100	33138	\N	\N	\N
10950	36	1996-10-13	VYDAJ	VYBER	13700	35364	\N	\N	\N
10951	36	1996-11-12	VYDAJ	VYBER	15500	35791	\N	\N	\N
10952	36	1996-12-12	VYDAJ	VYBER	19900	33821	\N	\N	\N
10953	36	1997-01-11	VYDAJ	VYBER	11100	29361	\N	\N	\N
10954	36	1997-02-10	VYDAJ	VYBER	6600	29892	\N	\N	\N
10955	36	1997-03-12	VYDAJ	VYBER	6700	35004	\N	\N	\N
10956	36	1997-04-11	VYDAJ	VYBER	11700	38379	\N	\N	\N
10957	36	1997-05-11	VYDAJ	VYBER	8900	45412	\N	\N	\N
10958	36	1997-06-10	VYDAJ	VYBER	12500	40719	\N	\N	\N
10959	36	1997-07-10	VYDAJ	VYBER	11500	39754	\N	\N	\N
10960	36	1997-08-09	VYDAJ	VYBER	11600	44093	\N	\N	\N
10961	36	1997-09-08	VYDAJ	VYBER	14800	45246	\N	\N	\N
10962	36	1997-10-08	VYDAJ	VYBER	15100	46107	\N	\N	\N
10963	36	1997-11-07	VYDAJ	VYBER	16200	42020	\N	\N	\N
10964	36	1997-12-07	VYDAJ	VYBER	19400	46810	\N	\N	\N
10965	36	1998-01-06	VYDAJ	VYBER	13500	46592	\N	\N	\N
10966	36	1998-02-05	VYDAJ	VYBER	2400	40051	\N	\N	\N
10967	36	1998-03-07	VYDAJ	VYBER	9300	42588	\N	\N	\N
10968	36	1998-04-06	VYDAJ	VYBER	14400	44130	\N	\N	\N
10969	36	1998-05-06	VYDAJ	VYBER	12300	47779	\N	\N	\N
10970	36	1998-06-05	VYDAJ	VYBER	13300	60368	\N	\N	\N
10971	36	1998-07-05	VYDAJ	VYBER	7000	61280	\N	\N	\N
10972	36	1998-08-04	VYDAJ	VYBER	6100	51339	\N	\N	\N
10973	36	1998-09-03	VYDAJ	VYBER	11200	56191	\N	\N	\N
10974	36	1998-10-03	VYDAJ	VYBER	9000	57350	\N	\N	\N
10975	36	1998-11-02	VYDAJ	VYBER	17500	55914	\N	\N	\N
10976	36	1998-12-02	VYDAJ	VYBER	16700	55277	\N	\N	\N
11043	37	1997-08-18	PRIJEM	VKLAD	900	900	\N	\N	\N
11045	37	1997-11-01	PRIJEM	VKLAD	11660	46868	\N	\N	\N
11046	37	1997-11-28	PRIJEM	VKLAD	37413	69483	\N	\N	\N
11048	37	1997-12-30	PRIJEM	VKLAD	21018	62472	\N	\N	\N
11049	37	1997-09-11	PRIJEM	VKLAD	38257	94492	\N	\N	\N
11052	37	1997-08-22	PRIJEM	VKLAD	21538	56150	\N	\N	\N
11054	37	1997-08-20	PRIJEM	VKLAD	33712	34612	\N	\N	\N
11058	37	1997-09-17	PRIJEM	VKLAD	7878	102370	\N	\N	\N
11059	37	1998-03-05	PRIJEM	VKLAD	47001	64179	\N	\N	\N
11060	37	1998-07-11	PRIJEM	VKLAD	7585	17052	\N	\N	\N
11061	37	1998-08-14	PRIJEM	VKLAD	47785	46774	\N	\N	\N
11062	37	1998-03-27	PRIJEM	VKLAD	26615	79393	\N	\N	\N
11063	37	1998-04-19	PRIJEM	VKLAD	11830	40304	\N	\N	\N
11064	37	1998-03-09	PRIJEM	VKLAD	42997	104762	\N	\N	\N
11065	37	1998-05-12	PRIJEM	VKLAD	24116	72886	\N	\N	\N
11066	37	1998-04-29	PRIJEM	VKLAD	17195	57499	\N	\N	\N
11067	37	1998-12-17	PRIJEM	VKLAD	49437	50602	\N	\N	\N
11068	37	1998-09-20	PRIJEM	VKLAD	42957	49186	\N	\N	\N
11079	37	1997-11-05	VYDAJ	VYBER	6700	40168	\N	\N	0
11080	37	1997-12-14	VYDAJ	VYBER	4500	60154	\N	\N	0
11081	37	1998-01-14	VYDAJ	VYBER	4500	35187	\N	\N	0
11082	37	1998-02-07	VYDAJ	VYBER	5500	17518	\N	\N	0
11083	37	1998-03-11	VYDAJ	VYBER	6200	95978	\N	\N	0
11084	37	1998-04-05	VYDAJ	VYBER	5800	49872	\N	\N	0
11085	37	1998-05-17	VYDAJ	VYBER	5100	39286	\N	\N	0
11086	37	1998-06-18	VYDAJ	VYBER	7000	14375	\N	\N	0
11087	37	1998-07-19	VYDAJ	VYBER	6200	9052	\N	\N	0
11088	37	1998-08-13	VYDAJ	VYBER	5100	-1011	\N	\N	0
11089	37	1998-08-29	VYDAJ	VYBER	7300	15470	\N	\N	0
11090	37	1998-10-06	VYDAJ	VYBER	3200	32566	\N	\N	0
11091	37	1998-11-12	VYDAJ	PREVOD NA UCET	5308	6140	UVER	QR	71644407
11103	37	1997-11-08	VYDAJ	PREVOD NA UCET	2317	37754	SIPO	IJ	29728555
11104	37	1997-12-08	VYDAJ	PREVOD NA UCET	2317	67238	SIPO	IJ	29728555
11105	37	1998-01-08	VYDAJ	PREVOD NA UCET	2317	53071	SIPO	IJ	29728555
11106	37	1998-02-08	VYDAJ	PREVOD NA UCET	2317	15104	SIPO	IJ	29728555
11107	37	1998-03-08	VYDAJ	PREVOD NA UCET	2317	61765	SIPO	IJ	29728555
11108	37	1998-04-08	VYDAJ	PREVOD NA UCET	2317	47458	SIPO	IJ	29728555
11109	37	1998-05-08	VYDAJ	PREVOD NA UCET	2317	55254	SIPO	IJ	29728555
11110	37	1998-06-08	VYDAJ	PREVOD NA UCET	2317	37059	SIPO	IJ	29728555
11111	37	1998-07-08	VYDAJ	PREVOD NA UCET	2317	12051	SIPO	IJ	29728555
11112	37	1998-08-08	VYDAJ	PREVOD NA UCET	2317	6673	SIPO	IJ	29728555
11113	37	1998-09-08	VYDAJ	PREVOD NA UCET	2317	13113	SIPO	IJ	29728555
11114	37	1998-10-08	VYDAJ	PREVOD NA UCET	2317	30152	SIPO	IJ	29728555
11115	37	1998-11-08	VYDAJ	PREVOD NA UCET	2317	14032	SIPO	IJ	29728555
11116	37	1998-12-08	VYDAJ	PREVOD NA UCET	2317	3749	SIPO	IJ	29728555
11127	37	1997-11-09	VYDAJ	PREVOD NA UCET	2584	35170	 	OP	23782724
11128	37	1997-12-09	VYDAJ	PREVOD NA UCET	2584	64654	 	OP	23782724
11129	37	1998-01-09	VYDAJ	PREVOD NA UCET	2584	46587	 	OP	23782724
11130	37	1998-02-09	VYDAJ	PREVOD NA UCET	2584	12520	 	OP	23782724
11131	37	1998-03-09	VYDAJ	PREVOD NA UCET	2584	102178	 	OP	23782724
11132	37	1998-04-09	VYDAJ	PREVOD NA UCET	2584	44874	 	OP	23782724
11133	37	1998-05-09	VYDAJ	PREVOD NA UCET	2584	52670	 	OP	23782724
11134	37	1998-06-09	VYDAJ	PREVOD NA UCET	2584	34475	 	OP	23782724
11135	37	1998-07-09	VYDAJ	PREVOD NA UCET	2584	9467	 	OP	23782724
11136	37	1998-08-09	VYDAJ	PREVOD NA UCET	2584	4089	 	OP	23782724
11137	37	1998-09-09	VYDAJ	PREVOD NA UCET	2584	10529	 	OP	23782724
11138	37	1998-10-09	VYDAJ	PREVOD NA UCET	2584	27568	 	OP	23782724
11139	37	1998-11-09	VYDAJ	PREVOD NA UCET	2584	11448	 	OP	23782724
11140	37	1998-12-09	VYDAJ	PREVOD NA UCET	2584	1165	 	OP	23782724
11151	37	1997-11-07	VYDAJ	PREVOD NA UCET	97	40071	POJISTNE	YZ	89609831
11152	37	1997-12-07	VYDAJ	PREVOD NA UCET	97	69555	POJISTNE	YZ	89609831
11153	37	1998-01-07	VYDAJ	PREVOD NA UCET	97	55388	POJISTNE	YZ	89609831
11154	37	1998-02-07	VYDAJ	PREVOD NA UCET	97	17421	POJISTNE	YZ	89609831
11155	37	1998-03-07	VYDAJ	PREVOD NA UCET	97	64082	POJISTNE	YZ	89609831
11156	37	1998-04-07	VYDAJ	PREVOD NA UCET	97	49775	POJISTNE	YZ	89609831
11157	37	1998-05-07	VYDAJ	PREVOD NA UCET	97	57571	POJISTNE	YZ	89609831
11158	37	1998-06-07	VYDAJ	PREVOD NA UCET	97	39376	POJISTNE	YZ	89609831
11159	37	1998-07-07	VYDAJ	PREVOD NA UCET	97	14368	POJISTNE	YZ	89609831
11160	37	1998-08-07	VYDAJ	PREVOD NA UCET	97	8990	POJISTNE	YZ	89609831
11161	37	1998-09-07	VYDAJ	PREVOD NA UCET	97	15430	POJISTNE	YZ	89609831
11162	37	1998-10-07	VYDAJ	PREVOD NA UCET	97	32469	POJISTNE	YZ	89609831
11163	37	1998-11-07	VYDAJ	PREVOD NA UCET	97	16349	POJISTNE	YZ	89609831
11164	37	1998-12-07	VYDAJ	PREVOD NA UCET	97	6066	POJISTNE	YZ	89609831
11173	37	1998-08-17	VYBER	VYBER	24004	22770	\N	\N	\N
11175	37	1998-03-29	VYBER	VYBER	17651	61742	\N	\N	\N
11181	37	1997-12-30	VYDAJ	VYBER	7200	55272	\N	\N	\N
11182	37	1998-12-22	VYDAJ	VYBER	4800	45802	\N	\N	\N
11189	37	1998-01-19	VYDAJ	VYBER	2700	22887	\N	\N	\N
11190	37	1998-01-12	VYDAJ	VYBER	2400	44187	\N	\N	\N
11193	37	1998-01-08	VYDAJ	VYBER	3900	49171	\N	\N	\N
11194	37	1998-01-13	VYDAJ	VYBER	4500	39687	\N	\N	\N
11201	37	1998-09-26	VYDAJ	VYBER	11400	37786	\N	\N	\N
11202	37	1998-05-11	VYDAJ	VYBER	3900	48770	\N	\N	\N
11204	37	1998-03-31	VYDAJ	VYBER	6300	55687	\N	\N	\N
11205	37	1998-10-04	VYDAJ	VYBER	2100	35766	\N	\N	\N
11217	37	1997-11-30	VYDAJ	VYBER	15	69652	SLUZBY	\N	\N
11218	37	1997-12-31	VYDAJ	VYBER	15	55485	SLUZBY	\N	\N
11219	37	1998-01-31	VYDAJ	VYBER	15	23018	SLUZBY	\N	\N
11220	37	1998-02-28	VYDAJ	VYBER	15	17178	SLUZBY	\N	\N
11221	37	1998-03-31	VYDAJ	VYBER	15	55672	SLUZBY	\N	\N
11222	37	1998-04-30	VYDAJ	VYBER	15	57668	SLUZBY	\N	\N
11223	37	1998-05-31	VYDAJ	VYBER	15	39473	SLUZBY	\N	\N
11224	37	1998-06-30	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
11225	37	1998-07-31	VYDAJ	VYBER	15	9087	SLUZBY	\N	\N
11226	37	1998-08-31	VYDAJ	VYBER	15	15527	SLUZBY	\N	\N
11227	37	1998-09-30	VYDAJ	VYBER	15	37866	SLUZBY	\N	\N
11228	37	1998-10-31	VYDAJ	VYBER	15	16446	SLUZBY	\N	\N
11229	37	1998-11-30	VYDAJ	VYBER	15	6163	SLUZBY	\N	\N
11230	37	1997-09-17	VYDAJ	VYBER	42400	41570	\N	\N	\N
11231	37	1997-09-17	VYDAJ	VYBER	18400	83970	\N	\N	\N
11232	37	1997-10-17	VYDAJ	VYBER	7000	34858	\N	\N	\N
11233	37	1997-11-16	VYDAJ	VYBER	3100	32070	\N	\N	\N
11234	37	1997-12-16	VYDAJ	VYBER	18700	41454	\N	\N	\N
11235	37	1998-01-15	VYDAJ	VYBER	9600	25587	\N	\N	\N
11236	37	1998-02-14	PRIJEM	VKLAD	4600	17120	\N	\N	\N
11237	37	1998-03-16	VYDAJ	VYBER	43200	52778	\N	\N	\N
11238	37	1998-04-15	VYDAJ	VYBER	16400	28474	\N	\N	\N
11239	37	1998-05-15	VYDAJ	VYBER	28500	44386	\N	\N	\N
11240	37	1998-06-14	VYDAJ	VYBER	13100	21375	\N	\N	\N
11241	37	1998-07-14	VYDAJ	VYBER	1800	15252	\N	\N	\N
11242	37	1998-09-12	VYDAJ	VYBER	4300	6229	\N	\N	\N
11243	37	1998-10-12	VYDAJ	VYBER	11200	16368	\N	\N	\N
11261	38	1997-08-08	PRIJEM	VKLAD	1100	14941	\N	\N	\N
11269	38	1997-08-08	PRIJEM	PREVOD Z UCTU	13841	13841	\N	YZ	66502475
11270	38	1997-09-08	PRIJEM	PREVOD Z UCTU	13841	35430	\N	YZ	66502475
11271	38	1997-10-08	PRIJEM	PREVOD Z UCTU	13841	46699	\N	YZ	66502475
11272	38	1997-11-08	PRIJEM	PREVOD Z UCTU	13841	50024	\N	YZ	66502475
11273	38	1997-12-08	PRIJEM	PREVOD Z UCTU	20762	55991	\N	YZ	66502475
11274	38	1998-01-08	PRIJEM	PREVOD Z UCTU	13841	33743	\N	YZ	66502475
11275	38	1998-02-08	PRIJEM	PREVOD Z UCTU	13841	29512	\N	YZ	66502475
11276	38	1998-03-08	PRIJEM	PREVOD Z UCTU	13841	29580	\N	YZ	66502475
11277	38	1998-04-08	PRIJEM	PREVOD Z UCTU	13841	37648	\N	YZ	66502475
11278	38	1998-05-08	PRIJEM	PREVOD Z UCTU	13841	32635	\N	YZ	66502475
11279	38	1998-06-08	PRIJEM	PREVOD Z UCTU	20762	48016	\N	YZ	66502475
11280	38	1998-07-08	PRIJEM	PREVOD Z UCTU	13841	44834	\N	YZ	66502475
11281	38	1998-08-08	PRIJEM	PREVOD Z UCTU	13841	45296	\N	YZ	66502475
11282	38	1998-09-08	PRIJEM	PREVOD Z UCTU	13841	43448	\N	YZ	66502475
11283	38	1998-10-08	PRIJEM	PREVOD Z UCTU	13841	43092	\N	YZ	66502475
11284	38	1998-11-08	PRIJEM	PREVOD Z UCTU	13841	45696	\N	YZ	66502475
11285	38	1998-12-08	PRIJEM	PREVOD Z UCTU	20762	54727	\N	YZ	66502475
11297	38	1997-12-08	VYDAJ	VYBER	1800	54191	\N	\N	0
11298	38	1998-01-13	VYDAJ	VYBER	1700	25512	\N	\N	0
11299	38	1998-02-07	VYDAJ	VYBER	1500	15671	\N	\N	0
11300	38	1998-02-25	VYDAJ	VYBER	2500	26781	\N	\N	0
11301	38	1998-04-06	VYDAJ	VYBER	2500	30708	\N	\N	0
11302	38	1998-05-12	VYDAJ	PREVOD NA UCET	2307	30097	UVER	QR	79067885
11303	38	1998-06-12	VYDAJ	PREVOD NA UCET	2307	45478	UVER	QR	79067885
11304	38	1998-07-12	VYDAJ	PREVOD NA UCET	2307	42296	UVER	QR	79067885
11305	38	1998-08-12	VYDAJ	PREVOD NA UCET	2307	42759	UVER	QR	79067885
11306	38	1998-09-12	VYDAJ	PREVOD NA UCET	2307	32072	UVER	QR	79067885
11307	38	1998-10-12	VYDAJ	PREVOD NA UCET	2307	40554	UVER	QR	79067885
11308	38	1998-11-12	VYDAJ	PREVOD NA UCET	2307	43158	UVER	QR	79067885
11309	38	1998-12-12	VYDAJ	PREVOD NA UCET	2307	52189	UVER	QR	79067885
11322	38	1998-01-07	VYDAJ	PREVOD NA UCET	6901	19902	SIPO	EF	2692229
11323	38	1998-02-07	VYDAJ	PREVOD NA UCET	6901	17171	SIPO	EF	2692229
11324	38	1998-03-07	VYDAJ	PREVOD NA UCET	6901	15739	SIPO	EF	2692229
11325	38	1998-04-07	VYDAJ	PREVOD NA UCET	6901	23807	SIPO	EF	2692229
11326	38	1998-05-07	VYDAJ	PREVOD NA UCET	6901	18794	SIPO	EF	2692229
11327	38	1998-06-07	VYDAJ	PREVOD NA UCET	6901	27254	SIPO	EF	2692229
11328	38	1998-07-07	VYDAJ	PREVOD NA UCET	6901	30993	SIPO	EF	2692229
11329	38	1998-08-07	VYDAJ	PREVOD NA UCET	6901	31455	SIPO	EF	2692229
11330	38	1998-09-07	VYDAJ	PREVOD NA UCET	6901	29607	SIPO	EF	2692229
11331	38	1998-10-07	VYDAJ	PREVOD NA UCET	6901	29251	SIPO	EF	2692229
11332	38	1998-11-07	VYDAJ	PREVOD NA UCET	6901	31855	SIPO	EF	2692229
11333	38	1998-12-07	VYDAJ	PREVOD NA UCET	6901	33965	SIPO	EF	2692229
11345	38	1997-12-10	VYDAJ	PREVOD NA UCET	231	47360	 	KL	83435654
11346	38	1998-01-10	VYDAJ	PREVOD NA UCET	231	33512	 	KL	83435654
11347	38	1998-02-10	VYDAJ	PREVOD NA UCET	231	29281	 	KL	83435654
11348	38	1998-03-10	VYDAJ	PREVOD NA UCET	231	29349	 	KL	83435654
11349	38	1998-04-10	VYDAJ	PREVOD NA UCET	231	37417	 	KL	83435654
11350	38	1998-05-10	VYDAJ	PREVOD NA UCET	231	32404	 	KL	83435654
11351	38	1998-06-10	VYDAJ	PREVOD NA UCET	231	47785	 	KL	83435654
11352	38	1998-07-10	VYDAJ	PREVOD NA UCET	231	44603	 	KL	83435654
11353	38	1998-08-10	VYDAJ	PREVOD NA UCET	231	45065	 	KL	83435654
11354	38	1998-09-10	VYDAJ	PREVOD NA UCET	231	34379	 	KL	83435654
11355	38	1998-10-10	VYDAJ	PREVOD NA UCET	231	42861	 	KL	83435654
11356	38	1998-11-10	VYDAJ	PREVOD NA UCET	231	45465	 	KL	83435654
11357	38	1998-12-10	VYDAJ	PREVOD NA UCET	231	54496	 	KL	83435654
11370	38	1998-01-05	VYDAJ	PREVOD NA UCET	228	26803	POJISTNE	OP	64685678
11371	38	1998-02-05	VYDAJ	PREVOD NA UCET	228	24072	POJISTNE	OP	64685678
11372	38	1998-03-05	VYDAJ	PREVOD NA UCET	228	20740	POJISTNE	OP	64685678
11373	38	1998-04-05	VYDAJ	PREVOD NA UCET	228	33208	POJISTNE	OP	64685678
11374	38	1998-05-05	VYDAJ	PREVOD NA UCET	228	25695	POJISTNE	OP	64685678
11375	38	1998-06-05	VYDAJ	PREVOD NA UCET	228	34155	POJISTNE	OP	64685678
11376	38	1998-07-05	VYDAJ	PREVOD NA UCET	228	37894	POJISTNE	OP	64685678
11377	38	1998-08-05	VYDAJ	PREVOD NA UCET	228	38356	POJISTNE	OP	64685678
11378	38	1998-09-05	VYDAJ	PREVOD NA UCET	228	36508	POJISTNE	OP	64685678
11379	38	1998-10-05	VYDAJ	PREVOD NA UCET	228	36152	POJISTNE	OP	64685678
11380	38	1998-11-05	VYDAJ	PREVOD NA UCET	228	38756	POJISTNE	OP	64685678
11381	38	1998-12-05	VYDAJ	PREVOD NA UCET	228	40866	POJISTNE	OP	64685678
11383	38	1998-07-24	VYBER	VYBER	12339	29957	\N	\N	\N
11387	38	1998-09-09	VYBER	VYBER	8838	34610	\N	\N	\N
11390	38	1998-10-13	VYBER	VYBER	2088	38466	\N	\N	\N
11392	38	1998-03-05	VYBER	VYBER	5896	20968	\N	\N	\N
11394	38	1998-08-28	VYBER	VYBER	8658	34101	\N	\N	\N
11398	38	1998-01-05	VYDAJ	VYBER	16800	27031	\N	\N	\N
11399	38	1997-12-09	VYDAJ	VYBER	6600	47591	\N	\N	\N
11400	38	1998-12-18	VYDAJ	VYBER	7800	44389	\N	\N	\N
11407	38	1998-01-12	VYDAJ	VYBER	1500	27212	\N	\N	\N
11408	38	1998-01-10	VYDAJ	VYBER	4800	28712	\N	\N	\N
11409	38	1998-01-21	VYDAJ	VYBER	3300	22212	\N	\N	\N
11412	38	1998-01-03	VYDAJ	VYBER	3900	43631	\N	\N	\N
11417	38	1998-06-30	VYDAJ	VYBER	10500	35152	\N	\N	\N
11418	38	1998-04-25	VYDAJ	VYBER	14400	23017	\N	\N	\N
11419	38	1998-11-17	VYDAJ	VYBER	3600	39558	\N	\N	\N
11420	38	1998-05-19	VYDAJ	VYBER	2400	27697	\N	\N	\N
11421	38	1998-10-17	VYDAJ	VYBER	4500	33966	\N	\N	\N
11434	38	1997-12-31	VYDAJ	VYBER	30	47531	SLUZBY	\N	\N
11435	38	1998-01-31	VYDAJ	VYBER	30	22300	SLUZBY	\N	\N
11436	38	1998-02-28	VYDAJ	VYBER	30	26864	SLUZBY	\N	\N
11437	38	1998-03-31	VYDAJ	VYBER	30	29436	SLUZBY	\N	\N
11438	38	1998-04-30	VYDAJ	VYBER	30	23123	SLUZBY	\N	\N
11439	38	1998-05-31	VYDAJ	VYBER	30	27783	SLUZBY	\N	\N
11440	38	1998-06-30	VYDAJ	VYBER	30	35122	SLUZBY	\N	\N
11441	38	1998-07-31	VYDAJ	VYBER	30	30084	SLUZBY	\N	\N
11442	38	1998-08-31	VYDAJ	VYBER	30	34236	SLUZBY	\N	\N
11443	38	1998-09-30	VYDAJ	VYBER	30	32180	SLUZBY	\N	\N
11444	38	1998-10-31	VYDAJ	VYBER	30	34084	SLUZBY	\N	\N
11445	38	1998-11-30	VYDAJ	VYBER	30	39694	SLUZBY	\N	\N
11446	38	1997-09-07	PRIJEM	VKLAD	6600	21589	\N	\N	\N
11447	38	1997-10-07	VYDAJ	VYBER	2700	32858	\N	\N	\N
11448	38	1997-11-06	VYDAJ	VYBER	10700	36183	\N	\N	\N
11449	38	1997-12-06	VYDAJ	VYBER	15000	35229	\N	\N	\N
11450	38	1998-01-05	PRIJEM	VKLAD	200	43831	\N	\N	\N
11451	38	1998-02-04	PRIJEM	VKLAD	2000	24300	\N	\N	\N
11452	38	1998-03-06	PRIJEM	VKLAD	1900	22640	\N	\N	\N
11453	38	1998-04-05	PRIJEM	VKLAD	4000	33436	\N	\N	\N
11454	38	1998-05-05	PRIJEM	VKLAD	2800	25923	\N	\N	\N
11455	38	1998-06-04	PRIJEM	VKLAD	6600	34383	\N	\N	\N
11456	38	1998-07-04	PRIJEM	VKLAD	3000	38122	\N	\N	\N
11457	38	1998-08-03	PRIJEM	VKLAD	8500	38584	\N	\N	\N
11458	38	1998-09-02	PRIJEM	VKLAD	2500	36736	\N	\N	\N
11459	38	1998-10-02	PRIJEM	VKLAD	4200	36380	\N	\N	\N
11460	38	1998-11-01	PRIJEM	VKLAD	4900	38984	\N	\N	\N
11461	38	1998-12-01	PRIJEM	VKLAD	1400	41094	\N	\N	\N
11479	39	1993-09-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
11489	39	1993-10-05	PRIJEM	PREVOD Z UCTU	6474	7574	DUCHOD	KL	84387933
11490	39	1993-11-05	PRIJEM	PREVOD Z UCTU	6474	14048	DUCHOD	KL	84387933
11491	39	1993-12-05	PRIJEM	PREVOD Z UCTU	6474	20522	DUCHOD	KL	84387933
11492	39	1994-01-05	PRIJEM	PREVOD Z UCTU	6474	26996	DUCHOD	KL	84387933
11493	39	1994-02-05	PRIJEM	PREVOD Z UCTU	6474	30909	DUCHOD	KL	84387933
11494	39	1994-03-05	PRIJEM	PREVOD Z UCTU	6474	30360	DUCHOD	KL	84387933
11495	39	1994-04-05	PRIJEM	PREVOD Z UCTU	6474	31734	DUCHOD	KL	84387933
11496	39	1994-05-05	PRIJEM	PREVOD Z UCTU	6474	30508	DUCHOD	KL	84387933
11497	39	1994-06-05	PRIJEM	PREVOD Z UCTU	6474	30819	DUCHOD	KL	84387933
11498	39	1994-07-05	PRIJEM	PREVOD Z UCTU	6474	30670	DUCHOD	KL	84387933
11499	39	1994-08-05	PRIJEM	PREVOD Z UCTU	6474	29478	DUCHOD	KL	84387933
11500	39	1994-09-05	PRIJEM	PREVOD Z UCTU	6474	32929	DUCHOD	KL	84387933
11501	39	1994-10-05	PRIJEM	PREVOD Z UCTU	6474	35092	DUCHOD	KL	84387933
11502	39	1994-11-05	PRIJEM	PREVOD Z UCTU	6474	33456	DUCHOD	KL	84387933
11503	39	1994-12-05	PRIJEM	PREVOD Z UCTU	6474	36322	DUCHOD	KL	84387933
11504	39	1995-01-05	PRIJEM	PREVOD Z UCTU	6474	33740	DUCHOD	KL	84387933
11505	39	1995-02-05	PRIJEM	PREVOD Z UCTU	6474	25825	DUCHOD	KL	84387933
11506	39	1995-03-05	PRIJEM	PREVOD Z UCTU	6474	29261	DUCHOD	KL	84387933
11507	39	1995-04-05	PRIJEM	PREVOD Z UCTU	6474	32510	DUCHOD	KL	84387933
11508	39	1995-05-05	PRIJEM	PREVOD Z UCTU	6474	33669	DUCHOD	KL	84387933
11509	39	1995-06-05	PRIJEM	PREVOD Z UCTU	6474	33929	DUCHOD	KL	84387933
11510	39	1995-07-05	PRIJEM	PREVOD Z UCTU	6474	30361	DUCHOD	KL	84387933
11511	39	1995-08-05	PRIJEM	PREVOD Z UCTU	6474	32813	DUCHOD	KL	84387933
11512	39	1995-09-05	PRIJEM	PREVOD Z UCTU	6474	33872	DUCHOD	KL	84387933
11513	39	1995-10-05	PRIJEM	PREVOD Z UCTU	6474	35837	DUCHOD	KL	84387933
11514	39	1995-11-05	PRIJEM	PREVOD Z UCTU	6474	33799	DUCHOD	KL	84387933
11515	39	1995-12-05	PRIJEM	PREVOD Z UCTU	6474	26449	DUCHOD	KL	84387933
11516	39	1996-01-05	PRIJEM	PREVOD Z UCTU	6474	28536	DUCHOD	KL	84387933
11517	39	1996-02-05	PRIJEM	PREVOD Z UCTU	6474	20840	DUCHOD	KL	84387933
11518	39	1996-03-05	PRIJEM	PREVOD Z UCTU	6474	22811	DUCHOD	KL	84387933
11519	39	1996-04-05	PRIJEM	PREVOD Z UCTU	6474	26234	DUCHOD	KL	84387933
11520	39	1996-05-05	PRIJEM	PREVOD Z UCTU	6474	29671	DUCHOD	KL	84387933
11521	39	1996-06-05	PRIJEM	PREVOD Z UCTU	6474	33122	DUCHOD	KL	84387933
11522	39	1996-07-05	PRIJEM	PREVOD Z UCTU	6474	32532	DUCHOD	KL	84387933
11523	39	1996-08-05	PRIJEM	PREVOD Z UCTU	6474	34794	DUCHOD	KL	84387933
11524	39	1996-09-05	PRIJEM	PREVOD Z UCTU	6474	34856	DUCHOD	KL	84387933
11525	39	1996-10-05	PRIJEM	PREVOD Z UCTU	6474	35721	DUCHOD	KL	84387933
11526	39	1996-11-05	PRIJEM	PREVOD Z UCTU	6474	33480	DUCHOD	KL	84387933
11527	39	1996-12-05	PRIJEM	PREVOD Z UCTU	6474	34441	DUCHOD	KL	84387933
11528	39	1997-01-05	PRIJEM	PREVOD Z UCTU	6474	32580	DUCHOD	KL	84387933
11529	39	1997-02-05	PRIJEM	PREVOD Z UCTU	6474	26347	DUCHOD	KL	84387933
11530	39	1997-03-05	PRIJEM	PREVOD Z UCTU	6474	29784	DUCHOD	KL	84387933
11531	39	1997-04-05	PRIJEM	PREVOD Z UCTU	6474	29388	DUCHOD	KL	84387933
11532	39	1997-05-05	PRIJEM	PREVOD Z UCTU	6474	31638	DUCHOD	KL	84387933
11533	39	1997-06-05	PRIJEM	PREVOD Z UCTU	6474	29800	DUCHOD	KL	84387933
11534	39	1997-07-05	PRIJEM	PREVOD Z UCTU	6474	26244	DUCHOD	KL	84387933
11535	39	1997-08-05	PRIJEM	PREVOD Z UCTU	6474	23439	DUCHOD	KL	84387933
11536	39	1997-09-05	PRIJEM	PREVOD Z UCTU	6474	22569	DUCHOD	KL	84387933
11537	39	1997-10-05	PRIJEM	PREVOD Z UCTU	6474	24194	DUCHOD	KL	84387933
11538	39	1997-11-05	PRIJEM	PREVOD Z UCTU	6474	27625	DUCHOD	KL	84387933
11539	39	1997-12-05	PRIJEM	PREVOD Z UCTU	6474	30467	DUCHOD	KL	84387933
11540	39	1998-01-05	PRIJEM	PREVOD Z UCTU	6474	30820	DUCHOD	KL	84387933
11541	39	1998-02-05	PRIJEM	PREVOD Z UCTU	6474	26102	DUCHOD	KL	84387933
11542	39	1998-03-05	PRIJEM	PREVOD Z UCTU	6474	28437	DUCHOD	KL	84387933
11543	39	1998-04-05	PRIJEM	PREVOD Z UCTU	6474	29781	DUCHOD	KL	84387933
11544	39	1998-05-05	PRIJEM	PREVOD Z UCTU	6474	27249	DUCHOD	KL	84387933
11545	39	1998-06-05	PRIJEM	PREVOD Z UCTU	6474	20414	DUCHOD	KL	84387933
11546	39	1998-07-05	PRIJEM	PREVOD Z UCTU	6474	23025	DUCHOD	KL	84387933
11547	39	1998-08-05	PRIJEM	PREVOD Z UCTU	6474	23345	DUCHOD	KL	84387933
11548	39	1998-09-05	PRIJEM	PREVOD Z UCTU	6474	25267	DUCHOD	KL	84387933
11549	39	1998-10-05	PRIJEM	PREVOD Z UCTU	6474	21393	DUCHOD	KL	84387933
11550	39	1998-11-05	PRIJEM	PREVOD Z UCTU	6474	21705	DUCHOD	KL	84387933
11551	39	1998-12-05	PRIJEM	PREVOD Z UCTU	6474	20317	DUCHOD	KL	84387933
11565	39	1994-02-14	VYDAJ	PREVOD NA UCET	145	27794	SIPO	CD	77015351
11566	39	1994-03-14	VYDAJ	PREVOD NA UCET	145	27245	SIPO	CD	77015351
11567	39	1994-04-14	VYDAJ	PREVOD NA UCET	145	28619	SIPO	CD	77015351
11568	39	1994-05-14	VYDAJ	PREVOD NA UCET	145	27393	SIPO	CD	77015351
11569	39	1994-06-14	VYDAJ	PREVOD NA UCET	145	27704	SIPO	CD	77015351
11570	39	1994-07-14	VYDAJ	PREVOD NA UCET	145	27555	SIPO	CD	77015351
11571	39	1994-08-14	VYDAJ	PREVOD NA UCET	145	26363	SIPO	CD	77015351
11572	39	1994-09-14	VYDAJ	PREVOD NA UCET	145	29814	SIPO	CD	77015351
11573	39	1994-10-14	VYDAJ	PREVOD NA UCET	145	31977	SIPO	CD	77015351
11574	39	1994-11-14	VYDAJ	PREVOD NA UCET	145	30341	SIPO	CD	77015351
11575	39	1994-12-14	VYDAJ	PREVOD NA UCET	145	33207	SIPO	CD	77015351
11576	39	1995-01-14	VYDAJ	PREVOD NA UCET	145	21985	SIPO	CD	77015351
11577	39	1995-02-14	VYDAJ	PREVOD NA UCET	145	22710	SIPO	CD	77015351
11578	39	1995-03-14	VYDAJ	PREVOD NA UCET	145	26146	SIPO	CD	77015351
11579	39	1995-04-14	VYDAJ	PREVOD NA UCET	145	29395	SIPO	CD	77015351
11580	39	1995-05-14	VYDAJ	PREVOD NA UCET	145	27754	SIPO	CD	77015351
11581	39	1995-06-14	VYDAJ	PREVOD NA UCET	145	28334	SIPO	CD	77015351
11582	39	1995-07-14	VYDAJ	PREVOD NA UCET	145	27246	SIPO	CD	77015351
11583	39	1995-08-14	VYDAJ	PREVOD NA UCET	145	27298	SIPO	CD	77015351
11584	39	1995-09-14	VYDAJ	PREVOD NA UCET	145	29257	SIPO	CD	77015351
11585	39	1995-10-14	VYDAJ	PREVOD NA UCET	145	27222	SIPO	CD	77015351
11586	39	1995-11-14	VYDAJ	PREVOD NA UCET	145	27884	SIPO	CD	77015351
11587	39	1995-12-14	VYDAJ	PREVOD NA UCET	145	23334	SIPO	CD	77015351
11588	39	1996-01-14	VYDAJ	PREVOD NA UCET	145	18941	SIPO	CD	77015351
11589	39	1996-02-14	VYDAJ	PREVOD NA UCET	145	17725	SIPO	CD	77015351
11590	39	1996-03-14	VYDAJ	PREVOD NA UCET	145	19696	SIPO	CD	77015351
11591	39	1996-04-14	VYDAJ	PREVOD NA UCET	145	23119	SIPO	CD	77015351
11592	39	1996-05-14	VYDAJ	PREVOD NA UCET	145	26556	SIPO	CD	77015351
11593	39	1996-06-14	VYDAJ	PREVOD NA UCET	145	30007	SIPO	CD	77015351
11594	39	1996-07-14	VYDAJ	PREVOD NA UCET	145	28217	SIPO	CD	77015351
11595	39	1996-08-14	VYDAJ	PREVOD NA UCET	145	28279	SIPO	CD	77015351
11596	39	1996-09-14	VYDAJ	PREVOD NA UCET	145	29141	SIPO	CD	77015351
11597	39	1996-10-14	VYDAJ	PREVOD NA UCET	145	26906	SIPO	CD	77015351
11598	39	1996-11-14	VYDAJ	PREVOD NA UCET	145	27865	SIPO	CD	77015351
11599	39	1996-12-14	VYDAJ	PREVOD NA UCET	145	30526	SIPO	CD	77015351
11600	39	1997-01-14	VYDAJ	PREVOD NA UCET	145	25465	SIPO	CD	77015351
11601	39	1997-02-14	VYDAJ	PREVOD NA UCET	145	23232	SIPO	CD	77015351
11602	39	1997-03-14	VYDAJ	PREVOD NA UCET	145	25869	SIPO	CD	77015351
11603	39	1997-04-14	VYDAJ	PREVOD NA UCET	145	26273	SIPO	CD	77015351
11604	39	1997-05-14	VYDAJ	PREVOD NA UCET	145	28523	SIPO	CD	77015351
11605	39	1997-06-14	VYDAJ	PREVOD NA UCET	145	21485	SIPO	CD	77015351
11606	39	1997-07-14	VYDAJ	PREVOD NA UCET	145	21689	SIPO	CD	77015351
11607	39	1997-08-14	VYDAJ	PREVOD NA UCET	145	20324	SIPO	CD	77015351
11608	39	1997-09-14	VYDAJ	PREVOD NA UCET	145	19454	SIPO	CD	77015351
11609	39	1997-10-14	VYDAJ	PREVOD NA UCET	145	21079	SIPO	CD	77015351
11610	39	1997-11-14	VYDAJ	PREVOD NA UCET	145	24510	SIPO	CD	77015351
11611	39	1997-12-14	VYDAJ	PREVOD NA UCET	145	26452	SIPO	CD	77015351
11612	39	1998-01-14	VYDAJ	PREVOD NA UCET	145	24345	SIPO	CD	77015351
11613	39	1998-02-14	VYDAJ	PREVOD NA UCET	145	22987	SIPO	CD	77015351
11614	39	1998-03-14	VYDAJ	PREVOD NA UCET	145	25322	SIPO	CD	77015351
11615	39	1998-04-14	VYDAJ	PREVOD NA UCET	145	26666	SIPO	CD	77015351
11616	39	1998-05-14	VYDAJ	PREVOD NA UCET	145	21414	SIPO	CD	77015351
11617	39	1998-06-14	VYDAJ	PREVOD NA UCET	145	17299	SIPO	CD	77015351
11618	39	1998-07-14	VYDAJ	PREVOD NA UCET	145	19910	SIPO	CD	77015351
11619	39	1998-08-14	VYDAJ	PREVOD NA UCET	145	20230	SIPO	CD	77015351
11620	39	1998-09-14	VYDAJ	PREVOD NA UCET	145	22152	SIPO	CD	77015351
11621	39	1998-10-14	VYDAJ	PREVOD NA UCET	145	18278	SIPO	CD	77015351
11622	39	1998-11-14	VYDAJ	PREVOD NA UCET	145	18590	SIPO	CD	77015351
11623	39	1998-12-14	VYDAJ	PREVOD NA UCET	145	16252	SIPO	CD	77015351
11637	39	1994-02-08	VYDAJ	PREVOD NA UCET	2970	27939	 	WX	949460
11638	39	1994-03-08	VYDAJ	PREVOD NA UCET	2970	27390	 	WX	949460
11639	39	1994-04-08	VYDAJ	PREVOD NA UCET	2970	28764	 	WX	949460
11640	39	1994-05-08	VYDAJ	PREVOD NA UCET	2970	27538	 	WX	949460
11641	39	1994-06-08	VYDAJ	PREVOD NA UCET	2970	27849	 	WX	949460
11642	39	1994-07-08	VYDAJ	PREVOD NA UCET	2970	27700	 	WX	949460
11643	39	1994-08-08	VYDAJ	PREVOD NA UCET	2970	26508	 	WX	949460
11644	39	1994-09-08	VYDAJ	PREVOD NA UCET	2970	29959	 	WX	949460
11645	39	1994-10-08	VYDAJ	PREVOD NA UCET	2970	32122	 	WX	949460
11646	39	1994-11-08	VYDAJ	PREVOD NA UCET	2970	30486	 	WX	949460
11647	39	1994-12-08	VYDAJ	PREVOD NA UCET	2970	33352	 	WX	949460
11648	39	1995-01-08	VYDAJ	PREVOD NA UCET	2970	29330	 	WX	949460
11649	39	1995-02-08	VYDAJ	PREVOD NA UCET	2970	22855	 	WX	949460
11650	39	1995-03-08	VYDAJ	PREVOD NA UCET	2970	26291	 	WX	949460
11651	39	1995-04-08	VYDAJ	PREVOD NA UCET	2970	29540	 	WX	949460
11652	39	1995-05-08	VYDAJ	PREVOD NA UCET	2970	27899	 	WX	949460
11653	39	1995-06-08	VYDAJ	PREVOD NA UCET	2970	28479	 	WX	949460
11654	39	1995-07-08	VYDAJ	PREVOD NA UCET	2970	27391	 	WX	949460
11655	39	1995-08-08	VYDAJ	PREVOD NA UCET	2970	29843	 	WX	949460
11656	39	1995-09-08	VYDAJ	PREVOD NA UCET	2970	30902	 	WX	949460
11657	39	1995-10-08	VYDAJ	PREVOD NA UCET	2970	32867	 	WX	949460
11658	39	1995-11-08	VYDAJ	PREVOD NA UCET	2970	30829	 	WX	949460
11659	39	1995-12-08	VYDAJ	PREVOD NA UCET	2970	23479	 	WX	949460
11660	39	1996-01-08	VYDAJ	PREVOD NA UCET	2970	24366	 	WX	949460
11661	39	1996-02-08	VYDAJ	PREVOD NA UCET	2970	17870	 	WX	949460
11662	39	1996-03-08	VYDAJ	PREVOD NA UCET	2970	19841	 	WX	949460
11663	39	1996-04-08	VYDAJ	PREVOD NA UCET	2970	23264	 	WX	949460
11664	39	1996-05-08	VYDAJ	PREVOD NA UCET	2970	26701	 	WX	949460
11665	39	1996-06-08	VYDAJ	PREVOD NA UCET	2970	30152	 	WX	949460
11666	39	1996-07-08	VYDAJ	PREVOD NA UCET	2970	28362	 	WX	949460
11667	39	1996-08-08	VYDAJ	PREVOD NA UCET	2970	28424	 	WX	949460
11668	39	1996-09-08	VYDAJ	PREVOD NA UCET	2970	29286	 	WX	949460
11669	39	1996-10-08	VYDAJ	PREVOD NA UCET	2970	27051	 	WX	949460
11670	39	1996-11-08	VYDAJ	PREVOD NA UCET	2970	28010	 	WX	949460
11671	39	1996-12-08	VYDAJ	PREVOD NA UCET	2970	30671	 	WX	949460
11672	39	1997-01-08	VYDAJ	PREVOD NA UCET	2970	27930	 	WX	949460
11673	39	1997-02-08	VYDAJ	PREVOD NA UCET	2970	23377	 	WX	949460
11674	39	1997-03-08	VYDAJ	PREVOD NA UCET	2970	26014	 	WX	949460
11675	39	1997-04-08	VYDAJ	PREVOD NA UCET	2970	26418	 	WX	949460
11676	39	1997-05-08	VYDAJ	PREVOD NA UCET	2970	28668	 	WX	949460
11677	39	1997-06-08	VYDAJ	PREVOD NA UCET	2970	26830	 	WX	949460
11678	39	1997-07-08	VYDAJ	PREVOD NA UCET	2970	23274	 	WX	949460
11679	39	1997-08-08	VYDAJ	PREVOD NA UCET	2970	20469	 	WX	949460
11680	39	1997-09-08	VYDAJ	PREVOD NA UCET	2970	19599	 	WX	949460
11681	39	1997-10-08	VYDAJ	PREVOD NA UCET	2970	21224	 	WX	949460
11682	39	1997-11-08	VYDAJ	PREVOD NA UCET	2970	24655	 	WX	949460
11683	39	1997-12-08	VYDAJ	PREVOD NA UCET	2970	26597	 	WX	949460
11684	39	1998-01-08	VYDAJ	PREVOD NA UCET	2970	26730	 	WX	949460
11685	39	1998-02-08	VYDAJ	PREVOD NA UCET	2970	23132	 	WX	949460
11686	39	1998-03-08	VYDAJ	PREVOD NA UCET	2970	25467	 	WX	949460
11687	39	1998-04-08	VYDAJ	PREVOD NA UCET	2970	26811	 	WX	949460
11688	39	1998-05-08	VYDAJ	PREVOD NA UCET	2970	24279	 	WX	949460
11689	39	1998-06-08	VYDAJ	PREVOD NA UCET	2970	17444	 	WX	949460
11690	39	1998-07-08	VYDAJ	PREVOD NA UCET	2970	20055	 	WX	949460
11691	39	1998-08-08	VYDAJ	PREVOD NA UCET	2970	20375	 	WX	949460
11692	39	1998-09-08	VYDAJ	PREVOD NA UCET	2970	22297	 	WX	949460
11693	39	1998-10-08	VYDAJ	PREVOD NA UCET	2970	18423	 	WX	949460
11694	39	1998-11-08	VYDAJ	PREVOD NA UCET	2970	18735	 	WX	949460
11695	39	1998-12-08	VYDAJ	PREVOD NA UCET	2970	17347	 	WX	949460
11697	39	1994-06-20	VYDAJ	VYBER	2600	24104	\N	\N	\N
11698	39	1995-06-28	VYDAJ	VYBER	4150	23784	\N	\N	\N
11699	39	1996-06-21	VYDAJ	VYBER	4050	25957	\N	\N	\N
11700	39	1997-06-13	VYDAJ	VYBER	5200	21630	\N	\N	\N
11703	39	1994-12-27	VYDAJ	VYBER	750	27157	\N	\N	\N
11704	39	1995-12-27	VYDAJ	VYBER	1350	21984	\N	\N	\N
11705	39	1996-12-18	VYDAJ	VYBER	950	29576	\N	\N	\N
11706	39	1997-12-05	VYDAJ	VYBER	900	29567	\N	\N	\N
11707	39	1998-12-11	VYDAJ	VYBER	950	16397	\N	\N	\N
11720	39	1995-01-11	VYDAJ	VYBER	640	26610	\N	\N	\N
11721	39	1995-01-14	VYDAJ	VYBER	1520	22130	\N	\N	\N
11722	39	1995-01-24	VYDAJ	VYBER	1520	20465	\N	\N	\N
11723	39	1995-01-28	VYDAJ	VYBER	1200	19265	\N	\N	\N
11724	39	1995-01-05	VYDAJ	VYBER	1440	32300	\N	\N	\N
11725	39	1995-01-09	VYDAJ	VYBER	2080	27250	\N	\N	\N
11727	39	1996-01-10	VYDAJ	VYBER	1600	19086	\N	\N	\N
11728	39	1996-01-26	VYDAJ	VYBER	1840	14301	\N	\N	\N
11729	39	1996-01-06	VYDAJ	VYBER	1200	27336	\N	\N	\N
11730	39	1996-01-24	VYDAJ	VYBER	1920	16141	\N	\N	\N
11731	39	1996-01-22	VYDAJ	VYBER	880	18061	\N	\N	\N
11732	39	1997-01-05	VYDAJ	VYBER	1040	31540	\N	\N	\N
11733	39	1997-01-18	VYDAJ	VYBER	1600	22185	\N	\N	\N
11734	39	1997-01-11	VYDAJ	VYBER	400	25610	\N	\N	\N
11735	39	1997-01-01	VYDAJ	VYBER	1280	28406	\N	\N	\N
11736	39	1997-01-06	VYDAJ	VYBER	640	30900	\N	\N	\N
11737	39	1997-01-15	VYDAJ	VYBER	1680	23785	\N	\N	\N
11738	39	1998-01-11	VYDAJ	VYBER	2240	24490	\N	\N	\N
11739	39	1998-01-27	VYDAJ	VYBER	1440	21945	\N	\N	\N
11740	39	1998-01-30	VYDAJ	VYBER	1600	19545	\N	\N	\N
11741	39	1998-01-25	VYDAJ	VYBER	400	23385	\N	\N	\N
11742	39	1998-01-22	VYDAJ	VYBER	560	23785	\N	\N	\N
11743	39	1998-01-07	VYDAJ	VYBER	1120	29700	\N	\N	\N
11748	39	1994-03-30	VYDAJ	VYBER	1440	25165	\N	\N	\N
11749	39	1994-03-25	VYDAJ	VYBER	640	26605	\N	\N	\N
11750	39	1994-05-31	VYDAJ	VYBER	800	24360	\N	\N	\N
11751	39	1994-07-16	VYDAJ	VYBER	1840	25715	\N	\N	\N
11752	39	1994-05-18	VYDAJ	VYBER	640	26753	\N	\N	\N
11753	39	1994-04-22	VYDAJ	VYBER	1280	23939	\N	\N	\N
11754	39	1995-11-20	VYDAJ	VYBER	2800	22284	\N	\N	\N
11755	39	1995-06-07	VYDAJ	VYBER	2480	31449	\N	\N	\N
11756	39	1995-01-13	VYDAJ	VYBER	2960	23650	\N	\N	\N
11757	39	1995-05-06	VYDAJ	VYBER	2800	30869	\N	\N	\N
11758	39	1995-11-19	VYDAJ	VYBER	2800	25084	\N	\N	\N
11759	39	1995-11-24	VYDAJ	VYBER	2400	19884	\N	\N	\N
11760	39	1995-06-04	VYDAJ	VYBER	400	27455	\N	\N	\N
11761	39	1996-01-09	VYDAJ	VYBER	3680	20686	\N	\N	\N
11762	39	1996-02-16	VYDAJ	VYBER	1440	16285	\N	\N	\N
11763	39	1997-03-17	VYDAJ	VYBER	3040	22829	\N	\N	\N
11764	39	1997-01-30	VYDAJ	VYBER	2400	19785	\N	\N	\N
11765	39	1997-07-09	VYDAJ	VYBER	1440	21834	\N	\N	\N
11766	39	1997-01-10	VYDAJ	VYBER	1920	26010	\N	\N	\N
11767	39	1998-05-12	VYDAJ	VYBER	2720	21559	\N	\N	\N
11769	39	1998-04-21	VYDAJ	VYBER	480	26186	\N	\N	\N
11770	39	1998-05-21	VYDAJ	VYBER	3840	17574	\N	\N	\N
11785	39	1994-02-28	VYDAJ	VYBER	15	23886	SLUZBY	\N	\N
11786	39	1994-03-31	VYDAJ	VYBER	15	25260	SLUZBY	\N	\N
11787	39	1994-04-30	VYDAJ	VYBER	15	24034	SLUZBY	\N	\N
11788	39	1994-05-31	VYDAJ	VYBER	15	24345	SLUZBY	\N	\N
11789	39	1994-06-30	VYDAJ	VYBER	15	24196	SLUZBY	\N	\N
11790	39	1994-07-31	VYDAJ	VYBER	15	23004	SLUZBY	\N	\N
11791	39	1994-08-31	VYDAJ	VYBER	15	26455	SLUZBY	\N	\N
11792	39	1994-09-30	VYDAJ	VYBER	15	28618	SLUZBY	\N	\N
11793	39	1994-10-31	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
11794	39	1994-11-30	VYDAJ	VYBER	15	29848	SLUZBY	\N	\N
11795	39	1994-12-31	VYDAJ	VYBER	15	27266	SLUZBY	\N	\N
11796	39	1995-01-31	VYDAJ	VYBER	15	19351	SLUZBY	\N	\N
11797	39	1995-02-28	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
11798	39	1995-03-31	VYDAJ	VYBER	15	26036	SLUZBY	\N	\N
11799	39	1995-04-30	VYDAJ	VYBER	15	27195	SLUZBY	\N	\N
11800	39	1995-05-31	VYDAJ	VYBER	15	27855	SLUZBY	\N	\N
11801	39	1995-06-30	VYDAJ	VYBER	15	23887	SLUZBY	\N	\N
11802	39	1995-07-31	VYDAJ	VYBER	15	26339	SLUZBY	\N	\N
11803	39	1995-08-31	VYDAJ	VYBER	15	27398	SLUZBY	\N	\N
11804	39	1995-09-30	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
11805	39	1995-10-31	VYDAJ	VYBER	15	27325	SLUZBY	\N	\N
11806	39	1995-11-30	VYDAJ	VYBER	15	19975	SLUZBY	\N	\N
11807	39	1995-12-31	VYDAJ	VYBER	15	22062	SLUZBY	\N	\N
11808	39	1996-01-31	VYDAJ	VYBER	15	14366	SLUZBY	\N	\N
11809	39	1996-02-29	VYDAJ	VYBER	15	16337	SLUZBY	\N	\N
11810	39	1996-03-31	VYDAJ	VYBER	15	19760	SLUZBY	\N	\N
11811	39	1996-04-30	VYDAJ	VYBER	15	23197	SLUZBY	\N	\N
11812	39	1996-05-31	VYDAJ	VYBER	15	26648	SLUZBY	\N	\N
11813	39	1996-06-30	VYDAJ	VYBER	15	26058	SLUZBY	\N	\N
11814	39	1996-07-31	VYDAJ	VYBER	15	28320	SLUZBY	\N	\N
11815	39	1996-08-31	VYDAJ	VYBER	15	28382	SLUZBY	\N	\N
11816	39	1996-09-30	VYDAJ	VYBER	15	29247	SLUZBY	\N	\N
11817	39	1996-10-31	VYDAJ	VYBER	15	27006	SLUZBY	\N	\N
11818	39	1996-11-30	VYDAJ	VYBER	15	27967	SLUZBY	\N	\N
11819	39	1996-12-31	VYDAJ	VYBER	15	29686	SLUZBY	\N	\N
11820	39	1997-01-31	VYDAJ	VYBER	15	19873	SLUZBY	\N	\N
11821	39	1997-02-28	VYDAJ	VYBER	15	23310	SLUZBY	\N	\N
11822	39	1997-03-31	VYDAJ	VYBER	15	22914	SLUZBY	\N	\N
11823	39	1997-04-30	VYDAJ	VYBER	15	26364	SLUZBY	\N	\N
11824	39	1997-05-31	VYDAJ	VYBER	15	28626	SLUZBY	\N	\N
11825	39	1997-06-30	VYDAJ	VYBER	15	21570	SLUZBY	\N	\N
11826	39	1997-07-31	VYDAJ	VYBER	15	21765	SLUZBY	\N	\N
11827	39	1997-08-31	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
11828	39	1997-09-30	VYDAJ	VYBER	15	19520	SLUZBY	\N	\N
11829	39	1997-10-31	VYDAJ	VYBER	15	21151	SLUZBY	\N	\N
11830	39	1997-11-30	VYDAJ	VYBER	15	23993	SLUZBY	\N	\N
11831	39	1997-12-31	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
11832	39	1998-01-31	VYDAJ	VYBER	15	19628	SLUZBY	\N	\N
11833	39	1998-02-28	VYDAJ	VYBER	15	21963	SLUZBY	\N	\N
11834	39	1998-03-31	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
11835	39	1998-04-30	VYDAJ	VYBER	15	20775	SLUZBY	\N	\N
11836	39	1998-05-31	VYDAJ	VYBER	15	13940	SLUZBY	\N	\N
11837	39	1998-06-30	VYDAJ	VYBER	15	16551	SLUZBY	\N	\N
11838	39	1998-07-31	VYDAJ	VYBER	15	16871	SLUZBY	\N	\N
11839	39	1998-08-31	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
11840	39	1998-09-30	VYDAJ	VYBER	15	14919	SLUZBY	\N	\N
11841	39	1998-10-31	VYDAJ	VYBER	15	15231	SLUZBY	\N	\N
11842	39	1998-11-30	VYDAJ	VYBER	15	13843	SLUZBY	\N	\N
11843	39	1994-01-20	VYDAJ	VYBER	2600	24396	\N	\N	\N
11844	39	1994-02-19	VYDAJ	VYBER	4000	23794	\N	\N	\N
11845	39	1994-04-20	VYDAJ	VYBER	3400	25219	\N	\N	\N
11846	39	1994-05-20	VYDAJ	VYBER	1700	25053	\N	\N	\N
11847	39	1994-06-19	VYDAJ	VYBER	1000	26704	\N	\N	\N
11848	39	1994-07-19	VYDAJ	VYBER	2800	22915	\N	\N	\N
11849	39	1994-09-17	VYDAJ	VYBER	1300	28514	\N	\N	\N
11850	39	1994-10-17	VYDAJ	VYBER	5100	26877	\N	\N	\N
11851	39	1994-11-16	VYDAJ	VYBER	600	29741	\N	\N	\N
11852	39	1994-12-16	VYDAJ	VYBER	5300	27907	\N	\N	\N
11853	39	1995-03-16	VYDAJ	VYBER	200	25946	\N	\N	\N
11854	39	1995-04-15	VYDAJ	VYBER	2300	27095	\N	\N	\N
11855	39	1995-06-14	VYDAJ	VYBER	400	27934	\N	\N	\N
11856	39	1995-07-14	VYDAJ	VYBER	1000	26246	\N	\N	\N
11857	39	1995-08-13	VYDAJ	VYBER	2400	27443	\N	\N	\N
11858	39	1995-09-12	VYDAJ	VYBER	1500	29402	\N	\N	\N
11859	39	1995-10-12	VYDAJ	VYBER	5500	27367	\N	\N	\N
11860	39	1995-11-11	VYDAJ	VYBER	2800	28029	\N	\N	\N
11861	39	1996-07-08	VYDAJ	VYBER	1200	31332	\N	\N	\N
11862	39	1996-08-07	VYDAJ	VYBER	3400	31394	\N	\N	\N
11863	39	1996-09-06	VYDAJ	VYBER	2600	32256	\N	\N	\N
11864	39	1996-10-06	VYDAJ	VYBER	5700	30021	\N	\N	\N
11865	39	1996-11-05	VYDAJ	VYBER	2500	30980	\N	\N	\N
11866	39	1996-12-05	VYDAJ	VYBER	800	33641	\N	\N	\N
11867	39	1997-01-04	VYDAJ	VYBER	2300	26106	\N	\N	\N
11868	39	1997-03-05	VYDAJ	VYBER	800	28984	\N	\N	\N
11869	39	1997-05-04	VYDAJ	VYBER	1200	25164	\N	\N	\N
11870	39	1997-06-03	VYDAJ	VYBER	5300	23326	\N	\N	\N
11871	39	1997-07-03	VYDAJ	VYBER	1800	19770	\N	\N	\N
11872	39	1997-08-02	VYDAJ	VYBER	4800	16965	\N	\N	\N
11873	39	1997-09-01	VYDAJ	VYBER	4300	16095	\N	\N	\N
11874	39	1997-10-01	VYDAJ	VYBER	1800	17720	\N	\N	\N
11875	39	1997-11-30	VYDAJ	VYBER	600	24008	\N	\N	\N
11876	39	1997-12-30	VYDAJ	VYBER	2200	24252	\N	\N	\N
11877	39	1998-01-29	VYDAJ	VYBER	800	21145	\N	\N	\N
11878	39	1998-02-28	VYDAJ	VYBER	1100	21978	\N	\N	\N
11879	39	1998-03-30	VYDAJ	VYBER	2100	23222	\N	\N	\N
11880	39	1998-04-29	VYDAJ	VYBER	5500	20686	\N	\N	\N
11881	39	1998-05-29	VYDAJ	VYBER	3700	13874	\N	\N	\N
11882	39	1998-06-28	VYDAJ	VYBER	800	16499	\N	\N	\N
11883	39	1998-07-28	VYDAJ	VYBER	3100	16810	\N	\N	\N
11884	39	1998-08-27	VYDAJ	VYBER	1500	18730	\N	\N	\N
11885	39	1998-09-26	VYDAJ	VYBER	7300	14852	\N	\N	\N
11886	39	1998-10-26	VYDAJ	VYBER	3100	15178	\N	\N	\N
11887	39	1998-11-25	VYDAJ	VYBER	4800	13790	\N	\N	\N
11948	40	1993-10-25	PRIJEM	VKLAD	700	700	\N	\N	\N
11959	40	1993-11-05	PRIJEM	VKLAD	6502	7202	\N	\N	\N
11960	40	1993-12-05	PRIJEM	VKLAD	9753	25370	\N	\N	\N
11961	40	1994-01-05	PRIJEM	VKLAD	6502	29745	\N	\N	\N
11962	40	1994-02-05	PRIJEM	VKLAD	6502	35851	\N	\N	\N
11963	40	1994-03-05	PRIJEM	VKLAD	6502	36976	\N	\N	\N
11964	40	1994-04-05	PRIJEM	VKLAD	6502	35359	\N	\N	\N
11965	40	1994-05-05	PRIJEM	VKLAD	6502	34139	\N	\N	\N
11966	40	1994-06-05	PRIJEM	VKLAD	9753	38867	\N	\N	\N
11967	40	1994-07-05	PRIJEM	VKLAD	6502	33854	\N	\N	\N
11968	40	1994-08-05	PRIJEM	VKLAD	6502	29518	\N	\N	\N
11969	40	1994-09-05	PRIJEM	VKLAD	6502	32679	\N	\N	\N
11970	40	1994-10-05	PRIJEM	VKLAD	6502	36153	\N	\N	\N
11971	40	1994-11-05	PRIJEM	VKLAD	6502	34526	\N	\N	\N
11972	40	1994-12-05	PRIJEM	VKLAD	9753	41560	\N	\N	\N
11973	40	1995-01-05	PRIJEM	VKLAD	6502	34858	\N	\N	\N
11974	40	1995-02-05	PRIJEM	VKLAD	6502	25614	\N	\N	\N
11975	40	1995-03-05	PRIJEM	VKLAD	6502	30261	\N	\N	\N
11976	40	1995-04-05	PRIJEM	VKLAD	6502	35128	\N	\N	\N
11977	40	1995-05-05	PRIJEM	VKLAD	6502	35307	\N	\N	\N
11978	40	1995-06-05	PRIJEM	VKLAD	9753	35930	\N	\N	\N
11979	40	1995-07-05	PRIJEM	VKLAD	6502	35608	\N	\N	\N
11980	40	1995-08-05	PRIJEM	VKLAD	6502	34686	\N	\N	\N
11981	40	1995-09-05	PRIJEM	VKLAD	6502	33159	\N	\N	\N
11982	40	1995-10-05	PRIJEM	VKLAD	6502	29119	\N	\N	\N
11983	40	1995-11-05	PRIJEM	VKLAD	6502	28069	\N	\N	\N
11984	40	1995-12-05	PRIJEM	VKLAD	9753	32671	\N	\N	\N
11985	40	1996-01-05	PRIJEM	VKLAD	6502	22219	\N	\N	\N
11986	40	1996-02-05	PRIJEM	VKLAD	6502	19033	\N	\N	\N
11987	40	1996-03-05	PRIJEM	VKLAD	6502	20246	\N	\N	\N
11988	40	1996-04-05	PRIJEM	VKLAD	6502	21263	\N	\N	\N
11989	40	1996-05-05	PRIJEM	VKLAD	6502	22495	\N	\N	\N
11990	40	1996-06-05	PRIJEM	VKLAD	9753	25680	\N	\N	\N
11991	40	1996-07-05	PRIJEM	VKLAD	6502	22806	\N	\N	\N
11992	40	1996-08-05	PRIJEM	VKLAD	6502	16713	\N	\N	\N
11993	40	1996-09-05	PRIJEM	VKLAD	6502	18918	\N	\N	\N
11994	40	1996-10-05	PRIJEM	VKLAD	6502	21132	\N	\N	\N
11995	40	1996-11-05	PRIJEM	VKLAD	6502	17236	\N	\N	\N
11996	40	1996-12-05	PRIJEM	VKLAD	9753	22695	\N	\N	\N
11997	40	1997-01-05	PRIJEM	VKLAD	6502	14689	\N	\N	\N
11998	40	1997-02-05	PRIJEM	VKLAD	6502	16885	\N	\N	\N
11999	40	1997-03-05	PRIJEM	VKLAD	6502	19091	\N	\N	\N
12000	40	1997-04-05	PRIJEM	VKLAD	6502	21305	\N	\N	\N
12001	40	1997-05-05	PRIJEM	VKLAD	6502	23529	\N	\N	\N
12002	40	1997-06-05	PRIJEM	VKLAD	9753	29013	\N	\N	\N
12003	40	1997-07-05	PRIJEM	VKLAD	6502	18223	\N	\N	\N
12004	40	1997-08-05	PRIJEM	VKLAD	6502	20433	\N	\N	\N
12005	40	1997-09-05	PRIJEM	VKLAD	6502	22653	\N	\N	\N
12006	40	1997-10-05	PRIJEM	VKLAD	6502	24882	\N	\N	\N
12007	40	1997-11-05	PRIJEM	VKLAD	6502	27121	\N	\N	\N
12008	40	1997-12-05	PRIJEM	VKLAD	9753	32619	\N	\N	\N
12009	40	1998-01-05	PRIJEM	VKLAD	6502	24984	\N	\N	\N
12010	40	1998-02-05	PRIJEM	VKLAD	6502	22212	\N	\N	\N
12011	40	1998-03-05	PRIJEM	VKLAD	6502	24439	\N	\N	\N
12012	40	1998-04-05	PRIJEM	VKLAD	6502	26675	\N	\N	\N
12013	40	1998-05-05	PRIJEM	VKLAD	6502	28921	\N	\N	\N
12014	40	1998-06-05	PRIJEM	VKLAD	9753	31822	\N	\N	\N
12015	40	1998-07-05	PRIJEM	VKLAD	6502	29780	\N	\N	\N
12016	40	1998-08-05	PRIJEM	VKLAD	6502	32038	\N	\N	\N
12017	40	1998-09-05	PRIJEM	VKLAD	6502	34305	\N	\N	\N
12018	40	1998-10-05	PRIJEM	VKLAD	6502	36582	\N	\N	\N
12019	40	1998-11-05	PRIJEM	VKLAD	6502	23459	\N	\N	\N
12020	40	1998-12-05	PRIJEM	VKLAD	9753	28941	\N	\N	\N
12035	40	1994-03-07	VYDAJ	PREVOD NA UCET	33	36943	SIPO	ST	31161588
12036	40	1994-04-07	VYDAJ	PREVOD NA UCET	33	35326	SIPO	ST	31161588
12037	40	1994-05-07	VYDAJ	PREVOD NA UCET	33	34106	SIPO	ST	31161588
12038	40	1994-06-07	VYDAJ	PREVOD NA UCET	33	38834	SIPO	ST	31161588
12039	40	1994-07-07	VYDAJ	PREVOD NA UCET	33	33821	SIPO	ST	31161588
12040	40	1994-08-07	VYDAJ	PREVOD NA UCET	33	29485	SIPO	ST	31161588
12041	40	1994-09-07	VYDAJ	PREVOD NA UCET	33	32646	SIPO	ST	31161588
12042	40	1994-10-07	VYDAJ	PREVOD NA UCET	33	36120	SIPO	ST	31161588
12043	40	1994-11-07	VYDAJ	PREVOD NA UCET	33	34493	SIPO	ST	31161588
12044	40	1994-12-07	VYDAJ	PREVOD NA UCET	33	41527	SIPO	ST	31161588
12045	40	1995-01-07	VYDAJ	PREVOD NA UCET	33	34825	SIPO	ST	31161588
12046	40	1995-02-07	VYDAJ	PREVOD NA UCET	33	25581	SIPO	ST	31161588
12047	40	1995-03-07	VYDAJ	PREVOD NA UCET	33	30228	SIPO	ST	31161588
12048	40	1995-04-07	VYDAJ	PREVOD NA UCET	33	35095	SIPO	ST	31161588
12049	40	1995-05-07	VYDAJ	PREVOD NA UCET	33	35274	SIPO	ST	31161588
12050	40	1995-06-07	VYDAJ	PREVOD NA UCET	33	35897	SIPO	ST	31161588
12051	40	1995-07-07	VYDAJ	PREVOD NA UCET	33	35575	SIPO	ST	31161588
12052	40	1995-08-07	VYDAJ	PREVOD NA UCET	33	34653	SIPO	ST	31161588
12053	40	1995-09-07	VYDAJ	PREVOD NA UCET	33	33126	SIPO	ST	31161588
12054	40	1995-10-07	VYDAJ	PREVOD NA UCET	33	29086	SIPO	ST	31161588
12055	40	1995-11-07	VYDAJ	PREVOD NA UCET	33	28036	SIPO	ST	31161588
12056	40	1995-12-07	VYDAJ	PREVOD NA UCET	33	32638	SIPO	ST	31161588
12057	40	1996-01-07	VYDAJ	PREVOD NA UCET	33	22186	SIPO	ST	31161588
12058	40	1996-02-07	VYDAJ	PREVOD NA UCET	33	19000	SIPO	ST	31161588
12059	40	1996-03-07	VYDAJ	PREVOD NA UCET	33	20213	SIPO	ST	31161588
12060	40	1996-04-07	VYDAJ	PREVOD NA UCET	33	21230	SIPO	ST	31161588
12061	40	1996-05-07	VYDAJ	PREVOD NA UCET	33	22462	SIPO	ST	31161588
12062	40	1996-06-07	VYDAJ	PREVOD NA UCET	33	25647	SIPO	ST	31161588
12063	40	1996-07-07	VYDAJ	PREVOD NA UCET	33	22773	SIPO	ST	31161588
12064	40	1996-08-07	VYDAJ	PREVOD NA UCET	33	16680	SIPO	ST	31161588
12065	40	1996-09-07	VYDAJ	PREVOD NA UCET	33	18885	SIPO	ST	31161588
12066	40	1996-10-07	VYDAJ	PREVOD NA UCET	33	21099	SIPO	ST	31161588
12067	40	1996-11-07	VYDAJ	PREVOD NA UCET	33	17203	SIPO	ST	31161588
12068	40	1996-12-07	VYDAJ	PREVOD NA UCET	33	22662	SIPO	ST	31161588
12069	40	1997-01-07	VYDAJ	PREVOD NA UCET	33	14656	SIPO	ST	31161588
12070	40	1997-02-07	VYDAJ	PREVOD NA UCET	33	16852	SIPO	ST	31161588
12071	40	1997-03-07	VYDAJ	PREVOD NA UCET	33	19058	SIPO	ST	31161588
12072	40	1997-04-07	VYDAJ	PREVOD NA UCET	33	21272	SIPO	ST	31161588
12073	40	1997-05-07	VYDAJ	PREVOD NA UCET	33	23496	SIPO	ST	31161588
12074	40	1997-06-07	VYDAJ	PREVOD NA UCET	33	15980	SIPO	ST	31161588
12075	40	1997-07-07	VYDAJ	PREVOD NA UCET	33	18190	SIPO	ST	31161588
12076	40	1997-08-07	VYDAJ	PREVOD NA UCET	33	20400	SIPO	ST	31161588
12077	40	1997-09-07	VYDAJ	PREVOD NA UCET	33	22620	SIPO	ST	31161588
12078	40	1997-10-07	VYDAJ	PREVOD NA UCET	33	24849	SIPO	ST	31161588
12079	40	1997-11-07	VYDAJ	PREVOD NA UCET	33	27088	SIPO	ST	31161588
12080	40	1997-12-07	VYDAJ	PREVOD NA UCET	33	32586	SIPO	ST	31161588
12081	40	1998-01-07	VYDAJ	PREVOD NA UCET	33	22351	SIPO	ST	31161588
12082	40	1998-02-07	VYDAJ	PREVOD NA UCET	33	22179	SIPO	ST	31161588
12083	40	1998-03-07	VYDAJ	PREVOD NA UCET	33	24406	SIPO	ST	31161588
12084	40	1998-04-07	VYDAJ	PREVOD NA UCET	33	26642	SIPO	ST	31161588
12085	40	1998-05-07	VYDAJ	PREVOD NA UCET	33	28888	SIPO	ST	31161588
12086	40	1998-06-07	VYDAJ	PREVOD NA UCET	33	31789	SIPO	ST	31161588
12087	40	1998-07-07	VYDAJ	PREVOD NA UCET	33	29747	SIPO	ST	31161588
12088	40	1998-08-07	VYDAJ	PREVOD NA UCET	33	32005	SIPO	ST	31161588
12089	40	1998-09-07	VYDAJ	PREVOD NA UCET	33	34272	SIPO	ST	31161588
12090	40	1998-10-07	VYDAJ	PREVOD NA UCET	33	36549	SIPO	ST	31161588
12091	40	1998-11-07	VYDAJ	PREVOD NA UCET	33	23426	SIPO	ST	31161588
12092	40	1998-12-07	VYDAJ	PREVOD NA UCET	33	28908	SIPO	ST	31161588
12107	40	1994-03-12	VYDAJ	PREVOD NA UCET	4301	30442	 	MN	96111678
12108	40	1994-04-12	VYDAJ	PREVOD NA UCET	4301	31025	 	MN	96111678
12109	40	1994-05-12	VYDAJ	PREVOD NA UCET	4301	29805	 	MN	96111678
12110	40	1994-06-12	VYDAJ	PREVOD NA UCET	4301	34533	 	MN	96111678
12111	40	1994-07-12	VYDAJ	PREVOD NA UCET	4301	29520	 	MN	96111678
12112	40	1994-08-12	VYDAJ	PREVOD NA UCET	4301	25184	 	MN	96111678
12113	40	1994-09-12	VYDAJ	PREVOD NA UCET	4301	28345	 	MN	96111678
12114	40	1994-10-12	VYDAJ	PREVOD NA UCET	4301	26919	 	MN	96111678
12115	40	1994-11-12	VYDAJ	PREVOD NA UCET	4301	30192	 	MN	96111678
12116	40	1994-12-12	VYDAJ	PREVOD NA UCET	4301	37226	 	MN	96111678
12117	40	1995-01-12	VYDAJ	PREVOD NA UCET	4301	23324	 	MN	96111678
12118	40	1995-02-12	VYDAJ	PREVOD NA UCET	4301	21280	 	MN	96111678
12119	40	1995-03-12	VYDAJ	PREVOD NA UCET	4301	25927	 	MN	96111678
12120	40	1995-04-12	VYDAJ	PREVOD NA UCET	4301	30794	 	MN	96111678
12121	40	1995-05-12	VYDAJ	PREVOD NA UCET	4301	30973	 	MN	96111678
12122	40	1995-06-12	VYDAJ	PREVOD NA UCET	4301	31596	 	MN	96111678
12123	40	1995-07-12	VYDAJ	PREVOD NA UCET	4301	31274	 	MN	96111678
12124	40	1995-08-12	VYDAJ	PREVOD NA UCET	4301	30352	 	MN	96111678
12125	40	1995-09-12	VYDAJ	PREVOD NA UCET	4301	28825	 	MN	96111678
12126	40	1995-10-12	VYDAJ	PREVOD NA UCET	4301	24785	 	MN	96111678
12127	40	1995-11-12	VYDAJ	PREVOD NA UCET	4301	23735	 	MN	96111678
12128	40	1995-12-12	VYDAJ	PREVOD NA UCET	4301	28337	 	MN	96111678
12129	40	1996-01-12	VYDAJ	PREVOD NA UCET	4301	13485	 	MN	96111678
12130	40	1996-02-12	VYDAJ	PREVOD NA UCET	4301	13699	 	MN	96111678
12131	40	1996-03-12	VYDAJ	PREVOD NA UCET	4301	15912	 	MN	96111678
12132	40	1996-04-12	VYDAJ	PREVOD NA UCET	4301	15929	 	MN	96111678
12133	40	1996-05-12	VYDAJ	PREVOD NA UCET	4301	15861	 	MN	96111678
12134	40	1996-06-12	VYDAJ	PREVOD NA UCET	4301	16246	 	MN	96111678
12135	40	1996-07-12	VYDAJ	PREVOD NA UCET	4301	10172	 	MN	96111678
12136	40	1996-08-12	VYDAJ	PREVOD NA UCET	4301	12379	 	MN	96111678
12137	40	1996-09-12	VYDAJ	PREVOD NA UCET	4301	14584	 	MN	96111678
12138	40	1996-10-12	VYDAJ	PREVOD NA UCET	4301	10698	 	MN	96111678
12139	40	1996-11-12	VYDAJ	PREVOD NA UCET	4301	12902	 	MN	96111678
12140	40	1996-12-12	VYDAJ	PREVOD NA UCET	4301	8161	 	MN	96111678
12141	40	1997-01-12	VYDAJ	PREVOD NA UCET	4301	10355	 	MN	96111678
12142	40	1997-02-12	VYDAJ	PREVOD NA UCET	4301	12551	 	MN	96111678
12143	40	1997-03-12	VYDAJ	PREVOD NA UCET	4301	14757	 	MN	96111678
12144	40	1997-04-12	VYDAJ	PREVOD NA UCET	4301	16971	 	MN	96111678
12145	40	1997-05-12	VYDAJ	PREVOD NA UCET	4301	19195	 	MN	96111678
12146	40	1997-06-12	VYDAJ	PREVOD NA UCET	4301	11679	 	MN	96111678
12147	40	1997-07-12	VYDAJ	PREVOD NA UCET	4301	13889	 	MN	96111678
12148	40	1997-08-12	VYDAJ	PREVOD NA UCET	4301	16099	 	MN	96111678
12149	40	1997-09-12	VYDAJ	PREVOD NA UCET	4301	18319	 	MN	96111678
12150	40	1997-10-12	VYDAJ	PREVOD NA UCET	4301	20548	 	MN	96111678
12151	40	1997-11-12	VYDAJ	PREVOD NA UCET	4301	22787	 	MN	96111678
12152	40	1997-12-12	VYDAJ	PREVOD NA UCET	4301	28285	 	MN	96111678
12153	40	1998-01-12	VYDAJ	PREVOD NA UCET	4301	18050	 	MN	96111678
12154	40	1998-02-12	VYDAJ	PREVOD NA UCET	4301	17878	 	MN	96111678
12155	40	1998-03-12	VYDAJ	PREVOD NA UCET	4301	20105	 	MN	96111678
12156	40	1998-04-12	VYDAJ	PREVOD NA UCET	4301	22341	 	MN	96111678
12157	40	1998-05-12	VYDAJ	PREVOD NA UCET	4301	24587	 	MN	96111678
12158	40	1998-06-12	VYDAJ	PREVOD NA UCET	4301	27488	 	MN	96111678
12159	40	1998-07-12	VYDAJ	PREVOD NA UCET	4301	25446	 	MN	96111678
12160	40	1998-08-12	VYDAJ	PREVOD NA UCET	4301	27704	 	MN	96111678
12161	40	1998-09-12	VYDAJ	PREVOD NA UCET	4301	29971	 	MN	96111678
12162	40	1998-10-12	VYDAJ	PREVOD NA UCET	4301	32248	 	MN	96111678
12163	40	1998-11-12	VYDAJ	PREVOD NA UCET	4301	19125	 	MN	96111678
12164	40	1998-12-12	VYDAJ	PREVOD NA UCET	4301	24607	 	MN	96111678
12170	40	1998-06-21	VYDAJ	VYBER	4300	23188	\N	\N	\N
12173	40	1995-01-10	VYDAJ	VYBER	7200	27625	\N	\N	\N
12176	40	1998-01-03	VYDAJ	VYBER	5600	18482	\N	\N	\N
12178	40	1994-12-13	VYDAJ	VYBER	500	36726	\N	\N	\N
12179	40	1995-12-28	VYDAJ	VYBER	1500	18137	\N	\N	\N
12181	40	1997-12-25	VYDAJ	VYBER	2900	25385	\N	\N	\N
12182	40	1998-12-24	VYDAJ	VYBER	1000	23607	\N	\N	\N
12195	40	1995-01-21	VYDAJ	VYBER	1200	20224	\N	\N	\N
12196	40	1995-01-01	VYDAJ	VYBER	1300	28356	\N	\N	\N
12197	40	1995-01-30	VYDAJ	VYBER	1200	19024	\N	\N	\N
12198	40	1995-01-15	VYDAJ	VYBER	2600	19724	\N	\N	\N
12199	40	1995-01-15	VYDAJ	VYBER	1000	22324	\N	\N	\N
12200	40	1995-01-01	VYDAJ	VYBER	2700	29656	\N	\N	\N
12201	40	1996-01-07	VYDAJ	VYBER	2100	20086	\N	\N	\N
12202	40	1996-01-02	VYDAJ	VYBER	2500	15717	\N	\N	\N
12204	40	1996-01-07	VYDAJ	VYBER	800	19286	\N	\N	\N
12206	40	1996-01-08	VYDAJ	VYBER	1500	17786	\N	\N	\N
12214	40	1998-01-01	VYDAJ	VYBER	1400	24082	\N	\N	\N
12215	40	1998-01-13	VYDAJ	VYBER	600	17450	\N	\N	\N
12216	40	1998-01-16	VYDAJ	VYBER	1800	15650	\N	\N	\N
12218	40	1998-01-06	VYDAJ	VYBER	2600	22384	\N	\N	\N
12225	40	1994-03-11	VYDAJ	VYBER	2200	34743	\N	\N	\N
12227	40	1994-06-20	VYDAJ	VYBER	1600	32933	\N	\N	\N
12228	40	1994-10-08	VYDAJ	VYBER	4900	31220	\N	\N	\N
12229	40	1994-07-16	VYDAJ	VYBER	4900	24620	\N	\N	\N
12230	40	1995-05-14	VYDAJ	VYBER	3600	27373	\N	\N	\N
12231	40	1995-12-16	VYDAJ	VYBER	600	19637	\N	\N	\N
12235	40	1996-07-10	VYDAJ	VYBER	4800	17973	\N	\N	\N
12239	40	1998-05-19	VYDAJ	VYBER	2600	21987	\N	\N	\N
12240	40	1998-10-16	VYDAJ	VYBER	1700	30548	\N	\N	\N
12241	40	1998-10-26	VYDAJ	VYBER	1300	29248	\N	\N	\N
12257	40	1994-03-31	VYDAJ	VYBER	15	28857	SLUZBY	\N	\N
12258	40	1994-04-30	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
12259	40	1994-05-31	VYDAJ	VYBER	15	29114	SLUZBY	\N	\N
12260	40	1994-06-30	VYDAJ	VYBER	15	27352	SLUZBY	\N	\N
12261	40	1994-07-31	VYDAJ	VYBER	15	23016	SLUZBY	\N	\N
12262	40	1994-08-31	VYDAJ	VYBER	15	26177	SLUZBY	\N	\N
12263	40	1994-09-30	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
12264	40	1994-10-31	VYDAJ	VYBER	15	28024	SLUZBY	\N	\N
12265	40	1994-11-30	VYDAJ	VYBER	15	31807	SLUZBY	\N	\N
12266	40	1994-12-31	VYDAJ	VYBER	15	32356	SLUZBY	\N	\N
12267	40	1995-01-31	VYDAJ	VYBER	15	19112	SLUZBY	\N	\N
12268	40	1995-02-28	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
12269	40	1995-03-31	VYDAJ	VYBER	15	28626	SLUZBY	\N	\N
12270	40	1995-04-30	VYDAJ	VYBER	15	28805	SLUZBY	\N	\N
12271	40	1995-05-31	VYDAJ	VYBER	15	26177	SLUZBY	\N	\N
12272	40	1995-06-30	VYDAJ	VYBER	15	29106	SLUZBY	\N	\N
12273	40	1995-07-31	VYDAJ	VYBER	15	28184	SLUZBY	\N	\N
12274	40	1995-08-31	VYDAJ	VYBER	15	26657	SLUZBY	\N	\N
12275	40	1995-09-30	VYDAJ	VYBER	15	22617	SLUZBY	\N	\N
12276	40	1995-10-31	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
12277	40	1995-11-30	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
12278	40	1995-12-31	VYDAJ	VYBER	15	18217	SLUZBY	\N	\N
12279	40	1996-01-31	VYDAJ	VYBER	15	12531	SLUZBY	\N	\N
12280	40	1996-02-29	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
12281	40	1996-03-31	VYDAJ	VYBER	15	14761	SLUZBY	\N	\N
12282	40	1996-04-30	VYDAJ	VYBER	15	15993	SLUZBY	\N	\N
12283	40	1996-05-31	VYDAJ	VYBER	15	15927	SLUZBY	\N	\N
12284	40	1996-06-30	VYDAJ	VYBER	15	16304	SLUZBY	\N	\N
12285	40	1996-07-31	VYDAJ	VYBER	15	10211	SLUZBY	\N	\N
12286	40	1996-08-31	VYDAJ	VYBER	15	12416	SLUZBY	\N	\N
12287	40	1996-09-30	VYDAJ	VYBER	15	14630	SLUZBY	\N	\N
12288	40	1996-10-31	VYDAJ	VYBER	15	10734	SLUZBY	\N	\N
12289	40	1996-11-30	VYDAJ	VYBER	15	12942	SLUZBY	\N	\N
12290	40	1996-12-31	VYDAJ	VYBER	15	8187	SLUZBY	\N	\N
12291	40	1997-01-31	VYDAJ	VYBER	15	10383	SLUZBY	\N	\N
12292	40	1997-02-28	VYDAJ	VYBER	15	12589	SLUZBY	\N	\N
12293	40	1997-03-31	VYDAJ	VYBER	15	14803	SLUZBY	\N	\N
12294	40	1997-04-30	VYDAJ	VYBER	15	17027	SLUZBY	\N	\N
12295	40	1997-05-31	VYDAJ	VYBER	15	19260	SLUZBY	\N	\N
12296	40	1997-06-30	VYDAJ	VYBER	15	11721	SLUZBY	\N	\N
12297	40	1997-07-31	VYDAJ	VYBER	15	13931	SLUZBY	\N	\N
12298	40	1997-08-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
12299	40	1997-09-30	VYDAJ	VYBER	15	18380	SLUZBY	\N	\N
12300	40	1997-10-31	VYDAJ	VYBER	15	20619	SLUZBY	\N	\N
12301	40	1997-11-30	VYDAJ	VYBER	15	22866	SLUZBY	\N	\N
12302	40	1997-12-31	VYDAJ	VYBER	15	25482	SLUZBY	\N	\N
12303	40	1998-01-31	VYDAJ	VYBER	15	15710	SLUZBY	\N	\N
12304	40	1998-02-28	VYDAJ	VYBER	15	17937	SLUZBY	\N	\N
12305	40	1998-03-31	VYDAJ	VYBER	15	20173	SLUZBY	\N	\N
12306	40	1998-04-30	VYDAJ	VYBER	15	22419	SLUZBY	\N	\N
12307	40	1998-05-31	VYDAJ	VYBER	15	22069	SLUZBY	\N	\N
12308	40	1998-06-30	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
12309	40	1998-07-31	VYDAJ	VYBER	15	25536	SLUZBY	\N	\N
12310	40	1998-08-31	VYDAJ	VYBER	15	27803	SLUZBY	\N	\N
12311	40	1998-09-30	VYDAJ	VYBER	15	30080	SLUZBY	\N	\N
12312	40	1998-10-31	VYDAJ	VYBER	15	16957	SLUZBY	\N	\N
12313	40	1998-11-30	VYDAJ	VYBER	15	19188	SLUZBY	\N	\N
12314	40	1993-11-24	PRIJEM	VKLAD	8400	15602	\N	\N	\N
12315	40	1993-12-24	VYDAJ	VYBER	2200	23170	\N	\N	\N
12316	40	1994-01-23	VYDAJ	VYBER	500	29245	\N	\N	\N
12317	40	1994-02-22	VYDAJ	VYBER	5500	30351	\N	\N	\N
12318	40	1994-03-24	VYDAJ	VYBER	1700	28742	\N	\N	\N
12319	40	1994-04-23	VYDAJ	VYBER	3500	27525	\N	\N	\N
12320	40	1994-05-23	VYDAJ	VYBER	800	29005	\N	\N	\N
12321	40	1994-06-22	VYDAJ	VYBER	5700	27233	\N	\N	\N
12322	40	1994-07-22	VYDAJ	VYBER	1700	22920	\N	\N	\N
12323	40	1994-08-21	PRIJEM	VKLAD	900	26084	\N	\N	\N
12324	40	1994-09-20	PRIJEM	VKLAD	1200	29545	\N	\N	\N
12325	40	1994-10-20	PRIJEM	VKLAD	1000	27919	\N	\N	\N
12326	40	1994-11-19	PRIJEM	VKLAD	1500	31692	\N	\N	\N
12327	40	1994-12-19	VYDAJ	VYBER	4500	32226	\N	\N	\N
12328	40	1995-01-18	PRIJEM	VKLAD	1700	21424	\N	\N	\N
12329	40	1995-02-17	PRIJEM	VKLAD	2400	23680	\N	\N	\N
12330	40	1995-03-19	PRIJEM	VKLAD	2600	28527	\N	\N	\N
12331	40	1995-04-18	VYDAJ	VYBER	2100	28694	\N	\N	\N
12332	40	1995-05-18	VYDAJ	VYBER	1300	26073	\N	\N	\N
12333	40	1995-06-17	VYDAJ	VYBER	2600	28996	\N	\N	\N
12334	40	1995-07-17	VYDAJ	VYBER	3200	28074	\N	\N	\N
12335	40	1995-08-16	VYDAJ	VYBER	3800	26552	\N	\N	\N
12336	40	1995-09-15	VYDAJ	VYBER	6300	22525	\N	\N	\N
12337	40	1995-10-15	VYDAJ	VYBER	3300	21485	\N	\N	\N
12338	40	1995-11-14	VYDAJ	VYBER	900	22835	\N	\N	\N
12339	40	1995-12-14	VYDAJ	VYBER	8100	20237	\N	\N	\N
12340	40	1996-01-13	VYDAJ	VYBER	1000	12485	\N	\N	\N
12341	40	1996-02-12	VYDAJ	VYBER	1000	18000	\N	\N	\N
12342	40	1996-03-13	VYDAJ	VYBER	1200	14712	\N	\N	\N
12343	40	1996-04-12	VYDAJ	VYBER	1000	20230	\N	\N	\N
12344	40	1996-05-12	VYDAJ	VYBER	2300	20162	\N	\N	\N
12345	40	1996-06-11	VYDAJ	VYBER	5100	20547	\N	\N	\N
12346	40	1996-07-11	VYDAJ	VYBER	3500	14473	\N	\N	\N
12347	40	1996-10-09	VYDAJ	VYBER	6100	14999	\N	\N	\N
12348	40	1996-12-08	VYDAJ	VYBER	10200	12462	\N	\N	\N
12349	40	1997-06-06	VYDAJ	VYBER	13000	16013	\N	\N	\N
12350	40	1998-10-29	VYDAJ	VYBER	12400	16848	\N	\N	\N
12413	41	1997-08-02	PRIJEM	VKLAD	800	800	\N	\N	\N
12421	41	1997-08-14	PRIJEM	VKLAD	17292	18092	\N	\N	\N
12422	41	1997-09-14	PRIJEM	VKLAD	17292	38928	\N	\N	\N
12423	41	1997-10-14	PRIJEM	VKLAD	17292	48344	\N	\N	\N
12424	41	1997-11-14	PRIJEM	VKLAD	17292	54020	\N	\N	\N
12425	41	1997-12-14	PRIJEM	VKLAD	25938	64511	\N	\N	\N
12426	41	1998-01-14	PRIJEM	VKLAD	17292	62951	\N	\N	\N
12427	41	1998-02-14	PRIJEM	VKLAD	17292	62619	\N	\N	\N
12428	41	1998-03-14	PRIJEM	VKLAD	17292	60987	\N	\N	\N
12429	41	1998-04-14	PRIJEM	VKLAD	17292	69000	\N	\N	\N
12430	41	1998-05-14	PRIJEM	VKLAD	17292	72294	\N	\N	\N
12431	41	1998-06-14	PRIJEM	VKLAD	25938	66246	\N	\N	\N
12432	41	1998-07-14	PRIJEM	VKLAD	17292	72873	\N	\N	\N
12433	41	1998-08-14	PRIJEM	VKLAD	17292	76484	\N	\N	\N
12434	41	1998-09-14	PRIJEM	VKLAD	17292	80410	\N	\N	\N
12435	41	1998-10-14	PRIJEM	VKLAD	17292	86554	\N	\N	\N
12436	41	1998-11-14	PRIJEM	VKLAD	17292	92525	\N	\N	\N
12437	41	1998-12-14	PRIJEM	VKLAD	25938	100992	\N	\N	\N
12439	41	1998-06-07	VYDAJ	VYBER	14000	40308	\N	\N	\N
12441	41	1998-12-04	VYDAJ	VYBER	800	75054	\N	\N	\N
12447	41	1998-11-11	VYDAJ	VYBER	1000	75233	\N	\N	\N
12448	41	1998-03-05	VYDAJ	VYBER	4700	47095	\N	\N	\N
12449	41	1998-03-05	VYDAJ	VYBER	3400	43695	\N	\N	\N
12450	41	1998-12-20	VYDAJ	VYBER	600	100392	\N	\N	\N
12451	41	1998-03-24	VYDAJ	VYBER	500	60487	\N	\N	\N
12452	41	1998-12-02	VYDAJ	VYBER	2400	75854	\N	\N	\N
12465	41	1997-12-31	VYDAJ	VYBER	15	45659	SLUZBY	\N	\N
12466	41	1998-01-31	VYDAJ	VYBER	15	45327	SLUZBY	\N	\N
12467	41	1998-02-28	VYDAJ	VYBER	15	62795	SLUZBY	\N	\N
12468	41	1998-03-31	VYDAJ	VYBER	15	51708	SLUZBY	\N	\N
12469	41	1998-04-30	VYDAJ	VYBER	15	55002	SLUZBY	\N	\N
12470	41	1998-05-31	VYDAJ	VYBER	15	54308	SLUZBY	\N	\N
12471	41	1998-06-30	VYDAJ	VYBER	15	55581	SLUZBY	\N	\N
12472	41	1998-07-31	VYDAJ	VYBER	15	59192	SLUZBY	\N	\N
12473	41	1998-08-31	VYDAJ	VYBER	15	63118	SLUZBY	\N	\N
12474	41	1998-09-30	VYDAJ	VYBER	15	69262	SLUZBY	\N	\N
12475	41	1998-10-31	VYDAJ	VYBER	15	76233	SLUZBY	\N	\N
12476	41	1998-11-30	VYDAJ	VYBER	15	78254	SLUZBY	\N	\N
12477	41	1997-09-01	PRIJEM	VKLAD	3500	21636	\N	\N	\N
12478	41	1997-10-01	VYDAJ	VYBER	8000	31052	\N	\N	\N
12479	41	1997-10-31	VYDAJ	VYBER	11800	36728	\N	\N	\N
12480	41	1997-11-30	VYDAJ	VYBER	15600	38573	\N	\N	\N
12481	41	1997-12-30	VYDAJ	VYBER	19000	45511	\N	\N	\N
12482	41	1998-01-29	VYDAJ	VYBER	17800	45151	\N	\N	\N
12483	41	1998-02-28	VYDAJ	VYBER	11000	51795	\N	\N	\N
12484	41	1998-03-30	VYDAJ	VYBER	9000	51487	\N	\N	\N
12485	41	1998-04-29	VYDAJ	VYBER	14200	54800	\N	\N	\N
12486	41	1998-05-29	VYDAJ	VYBER	18200	54094	\N	\N	\N
12487	41	1998-06-28	VYDAJ	VYBER	10900	55346	\N	\N	\N
12488	41	1998-07-28	VYDAJ	VYBER	13900	58973	\N	\N	\N
12489	41	1998-08-27	VYDAJ	VYBER	13600	62884	\N	\N	\N
12490	41	1998-09-26	VYDAJ	VYBER	11400	69010	\N	\N	\N
12491	41	1998-10-26	VYDAJ	VYBER	10600	75954	\N	\N	\N
12492	41	1998-11-25	VYDAJ	VYBER	14600	77925	\N	\N	\N
12510	42	1996-08-16	PRIJEM	VKLAD	800	800	\N	\N	\N
12519	42	1996-09-12	PRIJEM	VKLAD	9106	9906	\N	\N	\N
12520	42	1996-10-12	PRIJEM	VKLAD	9106	25949	\N	\N	\N
12521	42	1996-11-12	PRIJEM	VKLAD	9106	33041	\N	\N	\N
12522	42	1996-12-12	PRIJEM	VKLAD	13659	38101	\N	\N	\N
12523	42	1997-01-12	PRIJEM	VKLAD	9106	36315	\N	\N	\N
12524	42	1997-02-12	PRIJEM	VKLAD	9106	31765	\N	\N	\N
12525	42	1997-03-12	PRIJEM	VKLAD	9106	30686	\N	\N	\N
12526	42	1997-04-12	PRIJEM	VKLAD	9106	29001	\N	\N	\N
12527	42	1997-05-12	PRIJEM	VKLAD	9106	29020	\N	\N	\N
12528	42	1997-06-12	PRIJEM	VKLAD	13659	30441	\N	\N	\N
12529	42	1997-07-12	PRIJEM	VKLAD	9106	33560	\N	\N	\N
12530	42	1997-08-12	PRIJEM	VKLAD	9106	33293	\N	\N	\N
12531	42	1997-09-12	PRIJEM	VKLAD	9106	37932	\N	\N	\N
12532	42	1997-10-12	PRIJEM	VKLAD	9106	37887	\N	\N	\N
12533	42	1997-11-12	PRIJEM	VKLAD	9106	38713	\N	\N	\N
12534	42	1997-12-12	PRIJEM	VKLAD	13659	45322	\N	\N	\N
12535	42	1998-01-12	PRIJEM	VKLAD	9106	34169	\N	\N	\N
12536	42	1998-02-12	PRIJEM	VKLAD	9106	39834	\N	\N	\N
12537	42	1998-03-12	PRIJEM	VKLAD	9106	41493	\N	\N	\N
12538	42	1998-04-12	PRIJEM	VKLAD	9106	41762	\N	\N	\N
12539	42	1998-05-12	PRIJEM	VKLAD	9106	40337	\N	\N	\N
12540	42	1998-06-12	PRIJEM	VKLAD	13659	41080	\N	\N	\N
12541	42	1998-07-12	PRIJEM	VKLAD	9106	38746	\N	\N	\N
12542	42	1998-08-12	PRIJEM	VKLAD	9106	36011	\N	\N	\N
12543	42	1998-09-12	PRIJEM	VKLAD	9106	34963	\N	\N	\N
12544	42	1998-10-12	PRIJEM	VKLAD	9106	30467	\N	\N	\N
12545	42	1998-11-12	PRIJEM	VKLAD	9106	30595	\N	\N	\N
12546	42	1998-12-12	PRIJEM	VKLAD	13659	32675	\N	\N	\N
12559	42	1997-01-13	VYDAJ	PREVOD NA UCET	4239	27876	SIPO	CD	1007766
12560	42	1997-02-13	VYDAJ	PREVOD NA UCET	4239	23326	SIPO	CD	1007766
12561	42	1997-03-13	VYDAJ	PREVOD NA UCET	4239	26447	SIPO	CD	1007766
12562	42	1997-04-13	VYDAJ	PREVOD NA UCET	4239	24762	SIPO	CD	1007766
12563	42	1997-05-13	VYDAJ	PREVOD NA UCET	4239	24781	SIPO	CD	1007766
12564	42	1997-06-13	VYDAJ	PREVOD NA UCET	4239	26202	SIPO	CD	1007766
12565	42	1997-07-13	VYDAJ	PREVOD NA UCET	4239	27321	SIPO	CD	1007766
12566	42	1997-08-13	VYDAJ	PREVOD NA UCET	4239	29054	SIPO	CD	1007766
12567	42	1997-09-13	VYDAJ	PREVOD NA UCET	4239	33693	SIPO	CD	1007766
12568	42	1997-10-13	VYDAJ	PREVOD NA UCET	4239	28128	SIPO	CD	1007766
12569	42	1997-11-13	VYDAJ	PREVOD NA UCET	4239	34474	SIPO	CD	1007766
12570	42	1997-12-13	VYDAJ	PREVOD NA UCET	4239	41083	SIPO	CD	1007766
12571	42	1998-01-13	VYDAJ	PREVOD NA UCET	4239	29930	SIPO	CD	1007766
12572	42	1998-02-13	VYDAJ	PREVOD NA UCET	4239	35595	SIPO	CD	1007766
12573	42	1998-03-13	VYDAJ	PREVOD NA UCET	4239	37254	SIPO	CD	1007766
12574	42	1998-04-13	VYDAJ	PREVOD NA UCET	4239	37523	SIPO	CD	1007766
12575	42	1998-05-13	VYDAJ	PREVOD NA UCET	4239	36098	SIPO	CD	1007766
12576	42	1998-06-13	VYDAJ	PREVOD NA UCET	4239	36841	SIPO	CD	1007766
12577	42	1998-07-13	VYDAJ	PREVOD NA UCET	4239	34507	SIPO	CD	1007766
12578	42	1998-08-13	VYDAJ	PREVOD NA UCET	4239	31772	SIPO	CD	1007766
12579	42	1998-09-13	VYDAJ	PREVOD NA UCET	4239	30724	SIPO	CD	1007766
12580	42	1998-10-13	VYDAJ	PREVOD NA UCET	4239	26228	SIPO	CD	1007766
12581	42	1998-11-13	VYDAJ	PREVOD NA UCET	4239	26356	SIPO	CD	1007766
12582	42	1998-12-13	VYDAJ	PREVOD NA UCET	4239	28436	SIPO	CD	1007766
12596	42	1997-02-05	VYDAJ	PREVOD NA UCET	239	24251	 	KL	55873340
12597	42	1997-03-05	VYDAJ	PREVOD NA UCET	239	23172	 	KL	55873340
12598	42	1997-04-05	VYDAJ	PREVOD NA UCET	239	21487	 	KL	55873340
12599	42	1997-05-05	VYDAJ	PREVOD NA UCET	239	21506	 	KL	55873340
12600	42	1997-06-05	VYDAJ	PREVOD NA UCET	239	18374	 	KL	55873340
12601	42	1997-07-05	VYDAJ	PREVOD NA UCET	239	26046	 	KL	55873340
12602	42	1997-08-05	VYDAJ	PREVOD NA UCET	239	27179	 	KL	55873340
12603	42	1997-09-05	VYDAJ	PREVOD NA UCET	239	28918	 	KL	55873340
12604	42	1997-10-05	VYDAJ	PREVOD NA UCET	239	33573	 	KL	55873340
12605	42	1997-11-05	VYDAJ	PREVOD NA UCET	239	27999	 	KL	55873340
12606	42	1997-12-05	VYDAJ	PREVOD NA UCET	239	34355	 	KL	55873340
12607	42	1998-01-05	VYDAJ	PREVOD NA UCET	239	29055	 	KL	55873340
12608	42	1998-02-05	VYDAJ	PREVOD NA UCET	239	26920	 	KL	55873340
12609	42	1998-03-05	VYDAJ	PREVOD NA UCET	239	31759	 	KL	55873340
12610	42	1998-04-05	VYDAJ	PREVOD NA UCET	239	37148	 	KL	55873340
12611	42	1998-05-05	VYDAJ	PREVOD NA UCET	239	37423	 	KL	55873340
12612	42	1998-06-05	VYDAJ	PREVOD NA UCET	239	33473	 	KL	55873340
12613	42	1998-07-05	VYDAJ	PREVOD NA UCET	239	36732	 	KL	55873340
12614	42	1998-08-05	VYDAJ	PREVOD NA UCET	239	34397	 	KL	55873340
12615	42	1998-09-05	VYDAJ	PREVOD NA UCET	239	27449	 	KL	55873340
12616	42	1998-10-05	VYDAJ	PREVOD NA UCET	239	22953	 	KL	55873340
12617	42	1998-11-05	VYDAJ	PREVOD NA UCET	239	23081	 	KL	55873340
12618	42	1998-12-05	VYDAJ	PREVOD NA UCET	239	20608	 	KL	55873340
12632	42	1997-02-08	VYDAJ	PREVOD NA UCET	1592	22659	POJISTNE	YZ	38318204
12633	42	1997-03-08	VYDAJ	PREVOD NA UCET	1592	21580	POJISTNE	YZ	38318204
12634	42	1997-04-08	VYDAJ	PREVOD NA UCET	1592	19895	POJISTNE	YZ	38318204
12635	42	1997-05-08	VYDAJ	PREVOD NA UCET	1592	19914	POJISTNE	YZ	38318204
12636	42	1997-06-08	VYDAJ	PREVOD NA UCET	1592	16782	POJISTNE	YZ	38318204
12637	42	1997-07-08	VYDAJ	PREVOD NA UCET	1592	24454	POJISTNE	YZ	38318204
12638	42	1997-08-08	VYDAJ	PREVOD NA UCET	1592	25587	POJISTNE	YZ	38318204
12639	42	1997-09-08	VYDAJ	PREVOD NA UCET	1592	27326	POJISTNE	YZ	38318204
12640	42	1997-10-08	VYDAJ	PREVOD NA UCET	1592	31981	POJISTNE	YZ	38318204
12641	42	1997-11-08	VYDAJ	PREVOD NA UCET	1592	26407	POJISTNE	YZ	38318204
12642	42	1997-12-08	VYDAJ	PREVOD NA UCET	1592	32763	POJISTNE	YZ	38318204
12643	42	1998-01-08	VYDAJ	PREVOD NA UCET	1592	27703	POJISTNE	YZ	38318204
12644	42	1998-02-08	VYDAJ	PREVOD NA UCET	1592	30728	POJISTNE	YZ	38318204
12645	42	1998-03-08	VYDAJ	PREVOD NA UCET	1592	24287	POJISTNE	YZ	38318204
12646	42	1998-04-08	VYDAJ	PREVOD NA UCET	1592	35556	POJISTNE	YZ	38318204
12647	42	1998-05-08	VYDAJ	PREVOD NA UCET	1592	31231	POJISTNE	YZ	38318204
12648	42	1998-06-08	VYDAJ	PREVOD NA UCET	1592	27421	POJISTNE	YZ	38318204
12649	42	1998-07-08	VYDAJ	PREVOD NA UCET	1592	29640	POJISTNE	YZ	38318204
12650	42	1998-08-08	VYDAJ	PREVOD NA UCET	1592	26905	POJISTNE	YZ	38318204
12651	42	1998-09-08	VYDAJ	PREVOD NA UCET	1592	25857	POJISTNE	YZ	38318204
12652	42	1998-10-08	VYDAJ	PREVOD NA UCET	1592	21361	POJISTNE	YZ	38318204
12653	42	1998-11-08	VYDAJ	PREVOD NA UCET	1592	21489	POJISTNE	YZ	38318204
12654	42	1998-12-08	VYDAJ	PREVOD NA UCET	1592	19016	POJISTNE	YZ	38318204
12659	42	1997-12-23	VYDAJ	VYBER	1600	33963	\N	\N	\N
12660	42	1998-12-30	VYDAJ	VYBER	2560	25876	\N	\N	\N
12670	42	1997-01-22	VYDAJ	VYBER	600	24996	\N	\N	\N
12671	42	1997-01-14	VYDAJ	VYBER	2280	25596	\N	\N	\N
12672	42	1997-01-28	VYDAJ	VYBER	600	24396	\N	\N	\N
12673	42	1998-01-10	VYDAJ	VYBER	2640	25063	\N	\N	\N
12674	42	1998-01-29	VYDAJ	VYBER	1320	27050	\N	\N	\N
12675	42	1998-01-06	VYDAJ	VYBER	1560	27495	\N	\N	\N
12676	42	1998-01-08	VYDAJ	VYBER	1800	29295	\N	\N	\N
12677	42	1998-01-01	VYDAJ	VYBER	1920	29294	\N	\N	\N
12678	42	1998-01-13	VYDAJ	VYBER	1560	28370	\N	\N	\N
12685	42	1997-05-18	VYDAJ	VYBER	5040	18541	\N	\N	\N
12686	42	1997-12-16	VYDAJ	VYBER	1200	39883	\N	\N	\N
12687	42	1997-10-12	VYDAJ	VYBER	5520	32367	\N	\N	\N
12688	42	1997-12-28	VYDAJ	VYBER	2880	31083	\N	\N	\N
12689	42	1997-12-17	VYDAJ	VYBER	4320	35563	\N	\N	\N
12690	42	1998-09-28	VYDAJ	VYBER	3840	26884	\N	\N	\N
12691	42	1998-03-07	VYDAJ	VYBER	5880	25879	\N	\N	\N
12692	42	1998-05-29	VYDAJ	VYBER	2520	33578	\N	\N	\N
12693	42	1998-06-07	VYDAJ	VYBER	960	32513	\N	\N	\N
12694	42	1998-03-01	VYDAJ	VYBER	3720	31998	\N	\N	\N
12708	42	1997-01-31	VYDAJ	VYBER	15	24490	SLUZBY	\N	\N
12709	42	1997-02-28	VYDAJ	VYBER	15	23411	SLUZBY	\N	\N
12710	42	1997-03-31	VYDAJ	VYBER	15	21726	SLUZBY	\N	\N
12711	42	1997-04-30	VYDAJ	VYBER	15	21745	SLUZBY	\N	\N
12712	42	1997-05-31	VYDAJ	VYBER	15	18613	SLUZBY	\N	\N
12713	42	1997-06-30	VYDAJ	VYBER	15	26285	SLUZBY	\N	\N
12714	42	1997-07-31	VYDAJ	VYBER	15	27418	SLUZBY	\N	\N
12715	42	1997-08-31	VYDAJ	VYBER	15	29157	SLUZBY	\N	\N
12716	42	1997-09-30	VYDAJ	VYBER	15	33812	SLUZBY	\N	\N
12717	42	1997-10-31	VYDAJ	VYBER	15	28238	SLUZBY	\N	\N
12718	42	1997-11-30	VYDAJ	VYBER	15	34594	SLUZBY	\N	\N
12719	42	1997-12-31	VYDAJ	VYBER	15	31214	SLUZBY	\N	\N
12720	42	1998-01-31	VYDAJ	VYBER	15	27159	SLUZBY	\N	\N
12721	42	1998-02-28	VYDAJ	VYBER	15	35718	SLUZBY	\N	\N
12722	42	1998-03-31	VYDAJ	VYBER	15	37387	SLUZBY	\N	\N
12723	42	1998-04-30	VYDAJ	VYBER	15	37662	SLUZBY	\N	\N
12724	42	1998-05-31	VYDAJ	VYBER	15	33712	SLUZBY	\N	\N
12725	42	1998-06-30	VYDAJ	VYBER	15	36971	SLUZBY	\N	\N
12726	42	1998-07-31	VYDAJ	VYBER	15	34636	SLUZBY	\N	\N
12727	42	1998-08-31	VYDAJ	VYBER	15	31888	SLUZBY	\N	\N
12728	42	1998-09-30	VYDAJ	VYBER	15	26992	SLUZBY	\N	\N
12729	42	1998-10-31	VYDAJ	VYBER	15	26320	SLUZBY	\N	\N
12730	42	1998-11-30	VYDAJ	VYBER	15	26447	SLUZBY	\N	\N
12731	42	1996-09-15	PRIJEM	VKLAD	6900	16806	\N	\N	\N
12732	42	1996-10-15	VYDAJ	VYBER	2100	23849	\N	\N	\N
12733	42	1996-11-14	VYDAJ	VYBER	8700	24341	\N	\N	\N
12734	42	1996-12-14	VYDAJ	VYBER	11000	27101	\N	\N	\N
12735	42	1997-01-13	VYDAJ	VYBER	4200	32115	\N	\N	\N
12736	42	1997-02-12	VYDAJ	VYBER	4200	27565	\N	\N	\N
12737	42	1997-03-14	VYDAJ	VYBER	4800	21647	\N	\N	\N
12738	42	1997-04-13	VYDAJ	VYBER	3100	21662	\N	\N	\N
12739	42	1997-05-13	VYDAJ	VYBER	1200	23581	\N	\N	\N
12740	42	1997-07-12	VYDAJ	VYBER	2000	31560	\N	\N	\N
12741	42	1997-08-11	VYDAJ	VYBER	1400	24187	\N	\N	\N
12742	42	1997-09-10	PRIJEM	VKLAD	1500	28826	\N	\N	\N
12743	42	1997-10-10	VYDAJ	VYBER	3200	28781	\N	\N	\N
12744	42	1997-11-09	PRIJEM	VKLAD	3200	29607	\N	\N	\N
12745	42	1997-12-09	VYDAJ	VYBER	1100	31663	\N	\N	\N
12746	42	1998-01-08	PRIJEM	VKLAD	3600	31095	\N	\N	\N
12747	42	1998-02-07	PRIJEM	VKLAD	5400	32320	\N	\N	\N
12748	42	1998-03-09	PRIJEM	VKLAD	8100	32387	\N	\N	\N
12749	42	1998-04-08	VYDAJ	VYBER	2900	32656	\N	\N	\N
12750	42	1998-05-08	VYDAJ	VYBER	4600	32823	\N	\N	\N
12751	42	1998-06-07	VYDAJ	VYBER	3500	29013	\N	\N	\N
12752	42	1998-07-07	VYDAJ	VYBER	5500	31232	\N	\N	\N
12753	42	1998-08-06	VYDAJ	VYBER	5900	28497	\N	\N	\N
12754	42	1998-09-05	VYDAJ	VYBER	4200	27688	\N	\N	\N
12755	42	1998-10-05	VYDAJ	VYBER	3800	23192	\N	\N	\N
12756	42	1998-11-04	VYDAJ	VYBER	3000	23320	\N	\N	\N
12757	42	1998-12-04	VYDAJ	VYBER	5600	20847	\N	\N	\N
12786	43	1994-06-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
12792	43	1994-06-13	PRIJEM	VKLAD	35862	36962	\N	\N	\N
12793	43	1994-07-13	PRIJEM	VKLAD	23908	57062	\N	\N	\N
12794	43	1994-08-13	PRIJEM	VKLAD	23908	65976	\N	\N	\N
12795	43	1994-09-13	PRIJEM	VKLAD	23908	68044	\N	\N	\N
12796	43	1994-10-13	PRIJEM	VKLAD	23908	72332	\N	\N	\N
12797	43	1994-11-13	PRIJEM	VKLAD	23908	73251	\N	\N	\N
12798	43	1994-12-13	PRIJEM	VKLAD	35862	81659	\N	\N	\N
12799	43	1995-01-13	PRIJEM	VKLAD	23908	74592	\N	\N	\N
12800	43	1995-02-13	PRIJEM	VKLAD	23908	64013	\N	\N	\N
12801	43	1995-03-13	PRIJEM	VKLAD	23908	66158	\N	\N	\N
12802	43	1995-04-13	PRIJEM	VKLAD	23908	68221	\N	\N	\N
12803	43	1995-05-13	PRIJEM	VKLAD	23908	67287	\N	\N	\N
12804	43	1995-06-13	PRIJEM	VKLAD	35862	84605	\N	\N	\N
12805	43	1995-07-13	PRIJEM	VKLAD	23908	81718	\N	\N	\N
12806	43	1995-08-13	PRIJEM	VKLAD	23908	77746	\N	\N	\N
12807	43	1995-09-13	PRIJEM	VKLAD	23908	74552	\N	\N	\N
12808	43	1995-10-13	PRIJEM	VKLAD	23908	69564	\N	\N	\N
12809	43	1995-11-13	PRIJEM	VKLAD	23908	69444	\N	\N	\N
12810	43	1995-12-13	PRIJEM	VKLAD	35862	79864	\N	\N	\N
12811	43	1996-01-13	PRIJEM	VKLAD	23908	68755	\N	\N	\N
12812	43	1996-02-13	PRIJEM	VKLAD	23908	65656	\N	\N	\N
12813	43	1996-03-13	PRIJEM	VKLAD	23908	67900	\N	\N	\N
12814	43	1996-04-13	PRIJEM	VKLAD	23908	70058	\N	\N	\N
12815	43	1996-05-13	PRIJEM	VKLAD	23908	71825	\N	\N	\N
12816	43	1996-06-13	PRIJEM	VKLAD	35862	79281	\N	\N	\N
12817	43	1996-07-13	PRIJEM	VKLAD	23908	60297	\N	\N	\N
12818	43	1996-08-13	PRIJEM	VKLAD	23908	64316	\N	\N	\N
12819	43	1996-09-13	PRIJEM	VKLAD	23908	70156	\N	\N	\N
12820	43	1996-10-13	PRIJEM	VKLAD	23908	72818	\N	\N	\N
12821	43	1996-11-13	PRIJEM	VKLAD	23908	66584	\N	\N	\N
12822	43	1996-12-13	PRIJEM	VKLAD	35862	82778	\N	\N	\N
12823	43	1997-01-13	PRIJEM	VKLAD	23908	64823	\N	\N	\N
12824	43	1997-02-13	PRIJEM	VKLAD	23908	68059	\N	\N	\N
12825	43	1997-03-13	PRIJEM	VKLAD	23908	72608	\N	\N	\N
12826	43	1997-04-13	PRIJEM	VKLAD	23908	76877	\N	\N	\N
12827	43	1997-05-13	PRIJEM	VKLAD	23908	80262	\N	\N	\N
12828	43	1997-06-13	PRIJEM	VKLAD	35862	90512	\N	\N	\N
12829	43	1997-07-13	PRIJEM	VKLAD	23908	65329	\N	\N	\N
12830	43	1997-08-13	PRIJEM	VKLAD	23908	74968	\N	\N	\N
12831	43	1997-09-13	PRIJEM	VKLAD	23908	77339	\N	\N	\N
12832	43	1997-10-13	PRIJEM	VKLAD	23908	80418	\N	\N	\N
12833	43	1997-11-13	PRIJEM	VKLAD	23908	84311	\N	\N	\N
12834	43	1997-12-13	PRIJEM	VKLAD	35862	99572	\N	\N	\N
12835	43	1998-01-13	PRIJEM	VKLAD	23908	73871	\N	\N	\N
12836	43	1998-02-13	PRIJEM	VKLAD	23908	77139	\N	\N	\N
12837	43	1998-03-13	PRIJEM	VKLAD	23908	83215	\N	\N	\N
12838	43	1998-04-13	PRIJEM	VKLAD	23908	82812	\N	\N	\N
12839	43	1998-05-13	PRIJEM	VKLAD	23908	83507	\N	\N	\N
12840	43	1998-06-13	PRIJEM	VKLAD	35862	86291	\N	\N	\N
12841	43	1998-07-13	PRIJEM	VKLAD	23908	52234	\N	\N	\N
12842	43	1998-08-13	PRIJEM	VKLAD	23908	63112	\N	\N	\N
12843	43	1998-09-13	PRIJEM	VKLAD	23908	71331	\N	\N	\N
12844	43	1998-10-13	PRIJEM	VKLAD	23908	69169	\N	\N	\N
12845	43	1998-11-13	PRIJEM	VKLAD	23908	77105	\N	\N	\N
12846	43	1998-12-13	PRIJEM	VKLAD	35862	85511	\N	\N	\N
12857	43	1994-11-05	VYDAJ	PREVOD NA UCET	6589	64343	SIPO	CD	89718746
12858	43	1994-12-05	VYDAJ	PREVOD NA UCET	6589	66937	SIPO	CD	89718746
12859	43	1995-01-05	VYDAJ	PREVOD NA UCET	6589	75364	SIPO	CD	89718746
12860	43	1995-02-05	VYDAJ	PREVOD NA UCET	6589	52505	SIPO	CD	89718746
12861	43	1995-03-05	VYDAJ	PREVOD NA UCET	6589	56450	SIPO	CD	89718746
12862	43	1995-04-05	VYDAJ	PREVOD NA UCET	6589	59813	SIPO	CD	89718746
12863	43	1995-05-05	VYDAJ	PREVOD NA UCET	6589	59839	SIPO	CD	89718746
12864	43	1995-06-05	VYDAJ	PREVOD NA UCET	6589	60943	SIPO	CD	89718746
12865	43	1995-07-05	VYDAJ	PREVOD NA UCET	6589	78310	SIPO	CD	89718746
12866	43	1995-08-05	VYDAJ	PREVOD NA UCET	6589	75438	SIPO	CD	89718746
12867	43	1995-09-05	VYDAJ	PREVOD NA UCET	6589	70444	SIPO	CD	89718746
12868	43	1995-10-05	VYDAJ	PREVOD NA UCET	6589	68256	SIPO	CD	89718746
12869	43	1995-11-05	VYDAJ	PREVOD NA UCET	6589	45536	SIPO	CD	89718746
12870	43	1995-12-05	VYDAJ	PREVOD NA UCET	6589	44002	SIPO	CD	89718746
12871	43	1996-01-05	VYDAJ	PREVOD NA UCET	6589	49647	SIPO	CD	89718746
12872	43	1996-02-05	VYDAJ	PREVOD NA UCET	6589	41748	SIPO	CD	89718746
12873	43	1996-03-05	VYDAJ	PREVOD NA UCET	6589	43992	SIPO	CD	89718746
12874	43	1996-04-05	VYDAJ	PREVOD NA UCET	6589	46150	SIPO	CD	89718746
12875	43	1996-05-05	VYDAJ	PREVOD NA UCET	6589	47917	SIPO	CD	89718746
12876	43	1996-06-05	VYDAJ	PREVOD NA UCET	6589	43419	SIPO	CD	89718746
12877	43	1996-07-05	VYDAJ	PREVOD NA UCET	6589	36389	SIPO	CD	89718746
12878	43	1996-08-05	VYDAJ	PREVOD NA UCET	6589	40408	SIPO	CD	89718746
12879	43	1996-09-05	VYDAJ	PREVOD NA UCET	6589	46248	SIPO	CD	89718746
12880	43	1996-10-05	VYDAJ	PREVOD NA UCET	6589	48910	SIPO	CD	89718746
12881	43	1996-11-05	VYDAJ	PREVOD NA UCET	6589	42676	SIPO	CD	89718746
12882	43	1996-12-05	VYDAJ	PREVOD NA UCET	6589	46916	SIPO	CD	89718746
12883	43	1997-01-05	VYDAJ	PREVOD NA UCET	6589	51655	SIPO	CD	89718746
12884	43	1997-02-05	VYDAJ	PREVOD NA UCET	6589	44151	SIPO	CD	89718746
12885	43	1997-03-05	VYDAJ	PREVOD NA UCET	6589	48700	SIPO	CD	89718746
12886	43	1997-04-05	VYDAJ	PREVOD NA UCET	6589	52969	SIPO	CD	89718746
12887	43	1997-05-05	VYDAJ	PREVOD NA UCET	6589	56354	SIPO	CD	89718746
12888	43	1997-06-05	VYDAJ	PREVOD NA UCET	6589	54650	SIPO	CD	89718746
12889	43	1997-07-05	VYDAJ	PREVOD NA UCET	6589	46921	SIPO	CD	89718746
12890	43	1997-08-05	VYDAJ	PREVOD NA UCET	6589	51060	SIPO	CD	89718746
12891	43	1997-09-05	VYDAJ	PREVOD NA UCET	6589	53431	SIPO	CD	89718746
12892	43	1997-10-05	VYDAJ	PREVOD NA UCET	6589	56510	SIPO	CD	89718746
12893	43	1997-11-05	VYDAJ	PREVOD NA UCET	6589	60403	SIPO	CD	89718746
12894	43	1997-12-05	VYDAJ	PREVOD NA UCET	6589	63710	SIPO	CD	89718746
12895	43	1998-01-05	VYDAJ	PREVOD NA UCET	6589	53163	SIPO	CD	89718746
12896	43	1998-02-05	VYDAJ	PREVOD NA UCET	6589	53231	SIPO	CD	89718746
12897	43	1998-03-05	VYDAJ	PREVOD NA UCET	6589	59307	SIPO	CD	89718746
12898	43	1998-04-05	VYDAJ	PREVOD NA UCET	6589	58904	SIPO	CD	89718746
12899	43	1998-05-05	VYDAJ	PREVOD NA UCET	6589	59599	SIPO	CD	89718746
12900	43	1998-06-05	VYDAJ	PREVOD NA UCET	6589	50429	SIPO	CD	89718746
12901	43	1998-07-05	VYDAJ	PREVOD NA UCET	6589	28326	SIPO	CD	89718746
12902	43	1998-08-05	VYDAJ	PREVOD NA UCET	6589	39204	SIPO	CD	89718746
12903	43	1998-09-05	VYDAJ	PREVOD NA UCET	6589	47423	SIPO	CD	89718746
12904	43	1998-10-05	VYDAJ	PREVOD NA UCET	6589	47561	SIPO	CD	89718746
12905	43	1998-11-05	VYDAJ	PREVOD NA UCET	6589	53197	SIPO	CD	89718746
12906	43	1998-12-05	VYDAJ	PREVOD NA UCET	6589	49649	SIPO	CD	89718746
12909	43	1996-06-16	VYDAJ	VYBER	32800	46481	\N	\N	\N
12910	43	1997-06-21	VYDAJ	VYBER	38560	51952	\N	\N	\N
12911	43	1998-06-23	VYDAJ	VYBER	31200	34691	\N	\N	\N
12913	43	1995-01-20	VYDAJ	VYBER	4960	63272	\N	\N	\N
12914	43	1996-01-26	VYDAJ	VYBER	6560	59995	\N	\N	\N
12915	43	1997-01-07	VYDAJ	VYBER	5440	43915	\N	\N	\N
12916	43	1998-01-05	VYDAJ	VYBER	13440	59752	\N	\N	\N
12917	43	1994-12-05	VYDAJ	VYBER	3040	63897	\N	\N	\N
12918	43	1995-12-23	VYDAJ	VYBER KARTOU	1300	78564	\N	\N	0
12919	43	1996-12-23	VYDAJ	VYBER KARTOU	1900	80878	\N	\N	0
12920	43	1997-12-19	VYDAJ	VYBER KARTOU	2700	96872	\N	\N	0
12921	43	1998-12-20	VYDAJ	VYBER KARTOU	800	60511	\N	\N	0
12928	43	1995-01-16	VYDAJ	VYBER	3480	71112	\N	\N	\N
12929	43	1995-01-06	VYDAJ	VYBER	1440	73924	\N	\N	\N
12930	43	1995-01-30	VYDAJ	VYBER	2520	58832	\N	\N	\N
12931	43	1995-01-18	VYDAJ	VYBER	2880	68232	\N	\N	\N
12932	43	1995-01-26	VYDAJ	VYBER	1920	61352	\N	\N	\N
12933	43	1995-01-09	VYDAJ	VYBER	2640	50684	\N	\N	\N
12934	43	1996-01-14	VYDAJ	VYBER KARTOU	600	66555	\N	\N	0
12935	43	1996-01-14	VYDAJ	VYBER KARTOU	1600	67155	\N	\N	0
12936	43	1996-01-07	VYDAJ	VYBER KARTOU	1400	48247	\N	\N	0
12937	43	1996-01-11	VYDAJ	VYBER KARTOU	1200	44847	\N	\N	0
12938	43	1996-01-26	VYDAJ	VYBER KARTOU	1200	58795	\N	\N	0
12939	43	1996-01-08	VYDAJ	VYBER KARTOU	2200	46047	\N	\N	0
12940	43	1997-01-06	VYDAJ	VYBER KARTOU	2300	49355	\N	\N	0
12941	43	1997-01-19	VYDAJ	VYBER KARTOU	2500	62323	\N	\N	0
12942	43	1997-01-23	VYDAJ	VYBER KARTOU	1300	61023	\N	\N	0
12943	43	1997-01-27	VYDAJ	VYBER KARTOU	1000	52723	\N	\N	0
12944	43	1997-01-12	VYDAJ	VYBER KARTOU	3000	40915	\N	\N	0
12945	43	1997-01-28	VYDAJ	VYBER KARTOU	2200	50523	\N	\N	0
12946	43	1998-01-03	VYDAJ	VYBER KARTOU	600	76292	\N	\N	0
12947	43	1998-01-09	VYDAJ	VYBER KARTOU	600	52563	\N	\N	0
12948	43	1998-01-03	VYDAJ	VYBER KARTOU	3100	73192	\N	\N	0
12949	43	1998-01-10	VYDAJ	VYBER KARTOU	2600	49963	\N	\N	0
12950	43	1998-01-15	VYDAJ	VYBER KARTOU	2800	71071	\N	\N	0
12951	43	1998-01-25	VYDAJ	VYBER KARTOU	2300	59571	\N	\N	0
12953	43	1994-10-31	VYDAJ	VYBER	1680	70947	\N	\N	\N
12956	43	1995-10-08	VYDAJ	VYBER KARTOU	3800	45656	\N	\N	0
12957	43	1995-04-14	VYDAJ	VYBER	2040	66181	\N	\N	\N
12958	43	1995-05-06	VYDAJ	VYBER	5160	54679	\N	\N	\N
12959	43	1995-08-18	VYDAJ	VYBER KARTOU	1000	76746	\N	\N	0
12960	43	1995-02-25	VYDAJ	VYBER	1200	62813	\N	\N	\N
12961	43	1996-02-21	VYDAJ	VYBER KARTOU	800	64856	\N	\N	0
12962	43	1996-11-01	VYDAJ	VYBER KARTOU	3600	49265	\N	\N	0
12963	43	1996-05-21	VYDAJ	VYBER	4560	63465	\N	\N	\N
12964	43	1996-10-22	VYDAJ	VYBER KARTOU	3100	69718	\N	\N	0
12965	43	1996-02-27	VYDAJ	VYBER KARTOU	2000	62856	\N	\N	0
12966	43	1996-05-17	VYDAJ	VYBER KARTOU	3800	68025	\N	\N	0
12967	43	1997-07-07	VYDAJ	VYBER KARTOU	2000	44921	\N	\N	0
12968	43	1997-09-21	VYDAJ	VYBER	4800	72539	\N	\N	\N
12969	43	1997-07-10	VYDAJ	VYBER KARTOU	3500	41421	\N	\N	0
12970	43	1998-11-16	VYDAJ	VYBER KARTOU	3600	73505	\N	\N	0
12971	43	1998-01-20	VYDAJ	VYBER KARTOU	600	70471	\N	\N	0
12972	43	1998-10-05	VYDAJ	VYBER KARTOU	2300	45261	\N	\N	0
12973	43	1998-06-03	VYDAJ	VYBER	5160	57018	\N	\N	\N
12984	43	1994-10-31	VYDAJ	VYBER	15	70932	SLUZBY	\N	\N
12985	43	1994-11-30	VYDAJ	VYBER	15	73526	SLUZBY	\N	\N
12986	43	1994-12-31	VYDAJ	VYBER	15	81953	SLUZBY	\N	\N
12987	43	1995-01-31	VYDAJ	VYBER	15	59094	SLUZBY	\N	\N
12988	43	1995-02-28	VYDAJ	VYBER	15	63039	SLUZBY	\N	\N
12989	43	1995-03-31	VYDAJ	VYBER	15	66402	SLUZBY	\N	\N
12990	43	1995-04-30	VYDAJ	VYBER	15	66428	SLUZBY	\N	\N
12991	43	1995-05-31	VYDAJ	VYBER	15	67532	SLUZBY	\N	\N
12992	43	1995-06-30	VYDAJ	VYBER	15	84899	SLUZBY	\N	\N
12993	43	1995-07-31	VYDAJ	VYBER	15	82027	SLUZBY	\N	\N
12994	43	1995-08-31	VYDAJ	VYBER	15	77033	SLUZBY	\N	\N
12995	43	1995-09-30	VYDAJ	VYBER	15	74845	SLUZBY	\N	\N
12996	43	1995-10-31	VYDAJ	VYBER	15	69825	SLUZBY	\N	\N
12997	43	1995-11-30	VYDAJ	VYBER	15	69691	SLUZBY	\N	\N
12998	43	1995-12-31	VYDAJ	VYBER	15	78836	SLUZBY	\N	\N
12999	43	1996-01-31	VYDAJ	VYBER	15	59037	SLUZBY	\N	\N
13000	43	1996-02-29	VYDAJ	VYBER	15	63081	SLUZBY	\N	\N
13001	43	1996-03-31	VYDAJ	VYBER	15	68139	SLUZBY	\N	\N
13002	43	1996-04-30	VYDAJ	VYBER	15	70306	SLUZBY	\N	\N
13003	43	1996-05-31	VYDAJ	VYBER	15	63708	SLUZBY	\N	\N
13004	43	1996-06-30	VYDAJ	VYBER	15	46678	SLUZBY	\N	\N
13005	43	1996-07-31	VYDAJ	VYBER	15	46997	SLUZBY	\N	\N
13006	43	1996-08-31	VYDAJ	VYBER	15	52837	SLUZBY	\N	\N
13007	43	1996-09-30	VYDAJ	VYBER	15	55499	SLUZBY	\N	\N
13008	43	1996-10-31	VYDAJ	VYBER	15	52865	SLUZBY	\N	\N
13009	43	1996-11-30	VYDAJ	VYBER	15	53505	SLUZBY	\N	\N
13010	43	1996-12-31	VYDAJ	VYBER	15	58244	SLUZBY	\N	\N
13011	43	1997-01-31	VYDAJ	VYBER	15	50740	SLUZBY	\N	\N
13012	43	1997-02-28	VYDAJ	VYBER	15	55289	SLUZBY	\N	\N
13013	43	1997-03-31	VYDAJ	VYBER	15	59558	SLUZBY	\N	\N
13014	43	1997-04-30	VYDAJ	VYBER	15	62943	SLUZBY	\N	\N
13015	43	1997-05-31	VYDAJ	VYBER	15	61239	SLUZBY	\N	\N
13016	43	1997-06-30	VYDAJ	VYBER	15	53510	SLUZBY	\N	\N
13017	43	1997-07-31	VYDAJ	VYBER	15	57649	SLUZBY	\N	\N
13018	43	1997-08-31	VYDAJ	VYBER	15	60020	SLUZBY	\N	\N
13019	43	1997-09-30	VYDAJ	VYBER	15	63099	SLUZBY	\N	\N
13020	43	1997-10-31	VYDAJ	VYBER	15	66992	SLUZBY	\N	\N
13021	43	1997-11-30	VYDAJ	VYBER	15	70299	SLUZBY	\N	\N
13022	43	1997-12-31	VYDAJ	VYBER	15	76892	SLUZBY	\N	\N
13023	43	1998-01-31	VYDAJ	VYBER	15	59820	SLUZBY	\N	\N
13024	43	1998-02-28	VYDAJ	VYBER	15	65896	SLUZBY	\N	\N
13025	43	1998-03-31	VYDAJ	VYBER	15	65493	SLUZBY	\N	\N
13026	43	1998-04-30	VYDAJ	VYBER	15	66188	SLUZBY	\N	\N
13027	43	1998-05-31	VYDAJ	VYBER	15	62178	SLUZBY	\N	\N
13028	43	1998-06-30	VYDAJ	VYBER	15	34915	SLUZBY	\N	\N
13029	43	1998-07-31	VYDAJ	VYBER	15	45793	SLUZBY	\N	\N
13030	43	1998-08-31	VYDAJ	VYBER	15	54012	SLUZBY	\N	\N
13031	43	1998-09-30	VYDAJ	VYBER	15	54150	SLUZBY	\N	\N
13032	43	1998-10-31	VYDAJ	VYBER	15	59786	SLUZBY	\N	\N
13033	43	1998-11-30	VYDAJ	VYBER	15	56238	SLUZBY	\N	\N
13034	43	1994-07-12	VYDAJ	VYBER	3900	33154	\N	\N	\N
13035	43	1994-08-11	VYDAJ	VYBER	15200	42068	\N	\N	\N
13036	43	1994-09-10	VYDAJ	VYBER	22100	44136	\N	\N	\N
13037	43	1994-10-10	VYDAJ	VYBER	19900	48424	\N	\N	\N
13038	43	1994-11-09	VYDAJ	VYBER	15000	49343	\N	\N	\N
13039	43	1994-12-09	VYDAJ	VYBER	18100	45797	\N	\N	\N
13040	43	1995-01-08	VYDAJ	VYBER	20600	53324	\N	\N	\N
13041	43	1995-02-07	VYDAJ	VYBER	12400	40105	\N	\N	\N
13042	43	1995-03-09	VYDAJ	VYBER	14200	42250	\N	\N	\N
13043	43	1995-04-08	VYDAJ	VYBER	15500	44313	\N	\N	\N
13044	43	1995-05-08	VYDAJ	VYBER	11300	43379	\N	\N	\N
13045	43	1995-06-07	VYDAJ	VYBER	12200	48743	\N	\N	\N
13046	43	1995-07-07	VYDAJ	VYBER	20500	57810	\N	\N	\N
13047	43	1995-08-06	VYDAJ	VYBER	21600	53838	\N	\N	\N
13048	43	1995-09-05	VYDAJ	VYBER	19800	50644	\N	\N	\N
13049	43	1995-10-05	VYDAJ	VYBER	18800	49456	\N	\N	\N
13050	43	1995-11-04	VYDAJ	VYBER	17700	52125	\N	\N	\N
13051	43	1995-12-04	VYDAJ	VYBER	19100	50591	\N	\N	\N
13052	43	1996-01-03	VYDAJ	VYBER	22600	56236	\N	\N	\N
13053	43	1996-02-02	VYDAJ	VYBER	10700	48337	\N	\N	\N
13054	43	1996-03-03	VYDAJ	VYBER	12500	50581	\N	\N	\N
13055	43	1996-04-02	VYDAJ	VYBER	15400	52739	\N	\N	\N
13056	43	1996-05-02	VYDAJ	VYBER	15800	54506	\N	\N	\N
13057	43	1996-06-01	VYDAJ	VYBER	13700	50008	\N	\N	\N
13058	43	1996-07-01	VYDAJ	VYBER KARTOU	3700	42978	\N	\N	0
13059	43	1996-07-31	VYDAJ	VYBER	13500	47012	\N	\N	\N
13060	43	1996-08-30	VYDAJ	VYBER	11700	52616	\N	\N	\N
13061	43	1996-09-29	VYDAJ	VYBER	14900	55256	\N	\N	\N
13062	43	1996-10-29	VYDAJ	VYBER	17100	52618	\N	\N	\N
13063	43	1996-11-28	VYDAJ	VYBER	13300	53284	\N	\N	\N
13064	43	1996-12-28	VYDAJ	VYBER	22900	57978	\N	\N	\N
13065	43	1997-01-27	VYDAJ	VYBER	7300	53723	\N	\N	\N
13066	43	1997-02-26	VYDAJ	VYBER	13000	55059	\N	\N	\N
13067	43	1997-03-28	VYDAJ	VYBER	13300	59308	\N	\N	\N
13068	43	1997-04-27	VYDAJ	VYBER	14200	62677	\N	\N	\N
13069	43	1997-05-27	VYDAJ	VYBER	19300	60962	\N	\N	\N
13070	43	1997-06-26	PRIJEM	VKLAD	1300	53252	\N	\N	\N
13071	43	1997-07-26	VYDAJ	VYBER	7900	57429	\N	\N	\N
13072	43	1997-08-25	VYDAJ	VYBER	15200	59768	\N	\N	\N
13073	43	1997-09-24	VYDAJ	VYBER	9700	62839	\N	\N	\N
13074	43	1997-10-24	VYDAJ	VYBER	13700	66718	\N	\N	\N
13075	43	1997-11-23	VYDAJ	VYBER	14300	70011	\N	\N	\N
13076	43	1997-12-23	VYDAJ	VYBER	20300	76572	\N	\N	\N
13077	43	1998-01-22	VYDAJ	VYBER	8600	61871	\N	\N	\N
13078	43	1998-02-21	VYDAJ	VYBER	11500	65639	\N	\N	\N
13079	43	1998-03-23	VYDAJ	VYBER	18000	65215	\N	\N	\N
13080	43	1998-04-22	VYDAJ	VYBER	16900	65912	\N	\N	\N
13081	43	1998-05-22	VYDAJ	VYBER	21600	61907	\N	\N	\N
13082	43	1998-06-21	VYDAJ	VYBER	20400	65891	\N	\N	\N
13083	43	1998-07-21	VYDAJ	VYBER	6600	45634	\N	\N	\N
13084	43	1998-08-20	VYDAJ	VYBER	9300	53812	\N	\N	\N
13085	43	1998-09-19	VYDAJ	VYBER	17400	53931	\N	\N	\N
13086	43	1998-10-19	VYDAJ	VYBER	9600	59569	\N	\N	\N
13087	43	1998-11-18	VYDAJ	VYBER	17500	56005	\N	\N	\N
13088	43	1998-12-18	VYDAJ	VYBER	24200	61311	\N	\N	\N
13144	44	1993-05-10	PRIJEM	VKLAD	400	400	\N	\N	\N
13150	44	1993-06-05	PRIJEM	PREVOD Z UCTU	4200	4600	DUCHOD	OP	4120284
13151	44	1993-07-05	PRIJEM	PREVOD Z UCTU	4200	8800	DUCHOD	OP	4120284
13152	44	1993-08-05	PRIJEM	PREVOD Z UCTU	4200	13000	DUCHOD	OP	4120284
13153	44	1993-09-05	PRIJEM	PREVOD Z UCTU	4200	17200	DUCHOD	OP	4120284
13154	44	1993-10-05	PRIJEM	PREVOD Z UCTU	4200	21400	DUCHOD	OP	4120284
13155	44	1993-11-05	PRIJEM	PREVOD Z UCTU	4200	23300	DUCHOD	OP	4120284
13156	44	1993-12-05	PRIJEM	PREVOD Z UCTU	4200	22017	DUCHOD	OP	4120284
13157	44	1994-01-05	PRIJEM	PREVOD Z UCTU	4200	20396	DUCHOD	OP	4120284
13158	44	1994-02-05	PRIJEM	PREVOD Z UCTU	4200	16625	DUCHOD	OP	4120284
13159	44	1994-03-05	PRIJEM	PREVOD Z UCTU	4200	16840	DUCHOD	OP	4120284
13160	44	1994-04-05	PRIJEM	PREVOD Z UCTU	4200	18740	DUCHOD	OP	4120284
13161	44	1994-05-05	PRIJEM	PREVOD Z UCTU	4200	19446	DUCHOD	OP	4120284
13162	44	1994-06-05	PRIJEM	PREVOD Z UCTU	4200	17515	DUCHOD	OP	4120284
13163	44	1994-07-05	PRIJEM	PREVOD Z UCTU	4200	19417	DUCHOD	OP	4120284
13164	44	1994-08-05	PRIJEM	PREVOD Z UCTU	4200	19965	DUCHOD	OP	4120284
13165	44	1994-09-05	PRIJEM	PREVOD Z UCTU	4200	21877	DUCHOD	OP	4120284
13166	44	1994-10-05	PRIJEM	PREVOD Z UCTU	4200	22037	DUCHOD	OP	4120284
13167	44	1994-11-05	PRIJEM	PREVOD Z UCTU	4200	23858	DUCHOD	OP	4120284
13168	44	1994-12-05	PRIJEM	PREVOD Z UCTU	4200	21889	DUCHOD	OP	4120284
13169	44	1995-01-05	PRIJEM	PREVOD Z UCTU	4200	22509	DUCHOD	OP	4120284
13170	44	1995-02-05	PRIJEM	PREVOD Z UCTU	4200	17454	DUCHOD	OP	4120284
13171	44	1995-03-05	PRIJEM	PREVOD Z UCTU	4200	19356	DUCHOD	OP	4120284
13172	44	1995-04-05	PRIJEM	PREVOD Z UCTU	4200	20466	DUCHOD	OP	4120284
13173	44	1995-05-05	PRIJEM	PREVOD Z UCTU	4200	19178	DUCHOD	OP	4120284
13174	44	1995-06-05	PRIJEM	PREVOD Z UCTU	4200	20487	DUCHOD	OP	4120284
13175	44	1995-07-05	PRIJEM	PREVOD Z UCTU	4200	21301	DUCHOD	OP	4120284
13176	44	1995-08-05	PRIJEM	PREVOD Z UCTU	4200	19718	DUCHOD	OP	4120284
13177	44	1995-09-05	PRIJEM	PREVOD Z UCTU	4200	20029	DUCHOD	OP	4120284
13178	44	1995-10-05	PRIJEM	PREVOD Z UCTU	4200	19040	DUCHOD	OP	4120284
13179	44	1995-11-05	PRIJEM	PREVOD Z UCTU	4200	20948	DUCHOD	OP	4120284
13180	44	1995-12-05	PRIJEM	PREVOD Z UCTU	4200	16861	DUCHOD	OP	4120284
13181	44	1996-01-05	PRIJEM	PREVOD Z UCTU	4200	18280	DUCHOD	OP	4120284
13182	44	1996-02-05	PRIJEM	PREVOD Z UCTU	4200	18264	DUCHOD	OP	4120284
13183	44	1996-03-05	PRIJEM	PREVOD Z UCTU	4200	20170	DUCHOD	OP	4120284
13184	44	1996-04-05	PRIJEM	PREVOD Z UCTU	4200	16477	DUCHOD	OP	4120284
13185	44	1996-05-05	PRIJEM	PREVOD Z UCTU	4200	18375	DUCHOD	OP	4120284
13186	44	1996-06-05	PRIJEM	PREVOD Z UCTU	4200	20281	DUCHOD	OP	4120284
13187	44	1996-07-05	PRIJEM	PREVOD Z UCTU	4200	19787	DUCHOD	OP	4120284
13188	44	1996-08-05	PRIJEM	PREVOD Z UCTU	4200	21699	DUCHOD	OP	4120284
13189	44	1996-09-05	PRIJEM	PREVOD Z UCTU	4200	23618	DUCHOD	OP	4120284
13190	44	1996-10-05	PRIJEM	PREVOD Z UCTU	4200	25545	DUCHOD	OP	4120284
13191	44	1996-11-05	PRIJEM	PREVOD Z UCTU	4200	27481	DUCHOD	OP	4120284
13192	44	1996-12-05	PRIJEM	PREVOD Z UCTU	4200	29424	DUCHOD	OP	4120284
13193	44	1997-01-05	PRIJEM	PREVOD Z UCTU	4200	29385	DUCHOD	OP	4120284
13194	44	1997-02-05	PRIJEM	PREVOD Z UCTU	4200	26133	DUCHOD	OP	4120284
13195	44	1997-03-05	PRIJEM	PREVOD Z UCTU	4200	25663	DUCHOD	OP	4120284
13196	44	1997-04-05	PRIJEM	PREVOD Z UCTU	4200	27599	DUCHOD	OP	4120284
13197	44	1997-05-05	PRIJEM	PREVOD Z UCTU	4200	27538	DUCHOD	OP	4120284
13198	44	1997-06-05	PRIJEM	PREVOD Z UCTU	4200	29482	DUCHOD	OP	4120284
13199	44	1997-07-05	PRIJEM	PREVOD Z UCTU	4200	20053	DUCHOD	OP	4120284
13200	44	1997-08-05	PRIJEM	PREVOD Z UCTU	4200	21965	DUCHOD	OP	4120284
13201	44	1997-09-05	PRIJEM	PREVOD Z UCTU	4200	23485	DUCHOD	OP	4120284
13202	44	1997-10-05	PRIJEM	PREVOD Z UCTU	4200	25411	DUCHOD	OP	4120284
13203	44	1997-11-05	PRIJEM	PREVOD Z UCTU	4200	27345	DUCHOD	OP	4120284
13204	44	1997-12-05	PRIJEM	PREVOD Z UCTU	4200	29288	DUCHOD	OP	4120284
13205	44	1998-01-05	PRIJEM	PREVOD Z UCTU	4200	26490	DUCHOD	OP	4120284
13206	44	1998-02-05	PRIJEM	PREVOD Z UCTU	4200	20333	DUCHOD	OP	4120284
13207	44	1998-03-05	PRIJEM	PREVOD Z UCTU	4200	20722	DUCHOD	OP	4120284
13208	44	1998-04-05	PRIJEM	PREVOD Z UCTU	4200	22636	DUCHOD	OP	4120284
13209	44	1998-05-05	PRIJEM	PREVOD Z UCTU	4200	20788	DUCHOD	OP	4120284
13210	44	1998-06-05	PRIJEM	PREVOD Z UCTU	4200	19394	DUCHOD	OP	4120284
13211	44	1998-07-05	PRIJEM	PREVOD Z UCTU	4200	21303	DUCHOD	OP	4120284
13212	44	1998-08-05	PRIJEM	PREVOD Z UCTU	4200	23219	DUCHOD	OP	4120284
13213	44	1998-09-05	PRIJEM	PREVOD Z UCTU	4200	25144	DUCHOD	OP	4120284
13214	44	1998-10-05	PRIJEM	PREVOD Z UCTU	4200	27076	DUCHOD	OP	4120284
13215	44	1998-11-05	PRIJEM	PREVOD Z UCTU	4200	25007	DUCHOD	OP	4120284
13216	44	1998-12-05	PRIJEM	PREVOD Z UCTU	4200	26939	DUCHOD	OP	4120284
13226	44	1993-10-09	VYDAJ	PREVOD NA UCET	2344	19056	SIPO	GH	11344862
13227	44	1993-11-09	VYDAJ	PREVOD NA UCET	2344	17756	SIPO	GH	11344862
13228	44	1993-12-09	VYDAJ	PREVOD NA UCET	2344	19673	SIPO	GH	11344862
13229	44	1994-01-09	VYDAJ	PREVOD NA UCET	2344	18052	SIPO	GH	11344862
13230	44	1994-02-09	VYDAJ	PREVOD NA UCET	2344	14281	SIPO	GH	11344862
13231	44	1994-03-09	VYDAJ	PREVOD NA UCET	2344	14496	SIPO	GH	11344862
13232	44	1994-04-09	VYDAJ	PREVOD NA UCET	2344	15196	SIPO	GH	11344862
13233	44	1994-05-09	VYDAJ	PREVOD NA UCET	2344	17102	SIPO	GH	11344862
13234	44	1994-06-09	VYDAJ	PREVOD NA UCET	2344	15171	SIPO	GH	11344862
13235	44	1994-07-09	VYDAJ	PREVOD NA UCET	2344	17073	SIPO	GH	11344862
13236	44	1994-08-09	VYDAJ	PREVOD NA UCET	2344	17621	SIPO	GH	11344862
13237	44	1994-09-09	VYDAJ	PREVOD NA UCET	2344	19533	SIPO	GH	11344862
13238	44	1994-10-09	VYDAJ	PREVOD NA UCET	2344	19693	SIPO	GH	11344862
13239	44	1994-11-09	VYDAJ	PREVOD NA UCET	2344	21514	SIPO	GH	11344862
13240	44	1994-12-09	VYDAJ	PREVOD NA UCET	2344	18745	SIPO	GH	11344862
13241	44	1995-01-09	VYDAJ	PREVOD NA UCET	2344	18165	SIPO	GH	11344862
13242	44	1995-02-09	VYDAJ	PREVOD NA UCET	2344	15110	SIPO	GH	11344862
13243	44	1995-03-09	VYDAJ	PREVOD NA UCET	2344	17012	SIPO	GH	11344862
13244	44	1995-04-09	VYDAJ	PREVOD NA UCET	2344	18122	SIPO	GH	11344862
13245	44	1995-05-09	VYDAJ	PREVOD NA UCET	2344	16834	SIPO	GH	11344862
13246	44	1995-06-09	VYDAJ	PREVOD NA UCET	2344	18143	SIPO	GH	11344862
13247	44	1995-07-09	VYDAJ	PREVOD NA UCET	2344	18957	SIPO	GH	11344862
13248	44	1995-08-09	VYDAJ	PREVOD NA UCET	2344	17374	SIPO	GH	11344862
13249	44	1995-09-09	VYDAJ	PREVOD NA UCET	2344	17685	SIPO	GH	11344862
13250	44	1995-10-09	VYDAJ	PREVOD NA UCET	2344	16696	SIPO	GH	11344862
13251	44	1995-11-09	VYDAJ	PREVOD NA UCET	2344	18604	SIPO	GH	11344862
13252	44	1995-12-09	VYDAJ	PREVOD NA UCET	2344	14517	SIPO	GH	11344862
13253	44	1996-01-09	VYDAJ	PREVOD NA UCET	2344	14896	SIPO	GH	11344862
13254	44	1996-02-09	VYDAJ	PREVOD NA UCET	2344	15920	SIPO	GH	11344862
13255	44	1996-03-09	VYDAJ	PREVOD NA UCET	2344	17826	SIPO	GH	11344862
13256	44	1996-04-09	VYDAJ	PREVOD NA UCET	2344	14133	SIPO	GH	11344862
13257	44	1996-05-09	VYDAJ	PREVOD NA UCET	2344	16031	SIPO	GH	11344862
13258	44	1996-06-09	VYDAJ	PREVOD NA UCET	2344	15537	SIPO	GH	11344862
13259	44	1996-07-09	VYDAJ	PREVOD NA UCET	2344	17443	SIPO	GH	11344862
13260	44	1996-08-09	VYDAJ	PREVOD NA UCET	2344	19355	SIPO	GH	11344862
13261	44	1996-09-09	VYDAJ	PREVOD NA UCET	2344	21274	SIPO	GH	11344862
13389	44	1994-11-30	VYDAJ	VYBER	15	18789	SLUZBY	\N	\N
13262	44	1996-10-09	VYDAJ	PREVOD NA UCET	2344	23201	SIPO	GH	11344862
13263	44	1996-11-09	VYDAJ	PREVOD NA UCET	2344	25137	SIPO	GH	11344862
13264	44	1996-12-09	VYDAJ	PREVOD NA UCET	2344	27080	SIPO	GH	11344862
13265	44	1997-01-09	VYDAJ	PREVOD NA UCET	2344	27041	SIPO	GH	11344862
13266	44	1997-02-09	VYDAJ	PREVOD NA UCET	2344	21389	SIPO	GH	11344862
13267	44	1997-03-09	VYDAJ	PREVOD NA UCET	2344	23319	SIPO	GH	11344862
13268	44	1997-04-09	VYDAJ	PREVOD NA UCET	2344	25255	SIPO	GH	11344862
13269	44	1997-05-09	VYDAJ	PREVOD NA UCET	2344	25194	SIPO	GH	11344862
13270	44	1997-06-09	VYDAJ	PREVOD NA UCET	2344	27138	SIPO	GH	11344862
13271	44	1997-07-09	VYDAJ	PREVOD NA UCET	2344	17709	SIPO	GH	11344862
13272	44	1997-08-09	VYDAJ	PREVOD NA UCET	2344	19221	SIPO	GH	11344862
13273	44	1997-09-09	VYDAJ	PREVOD NA UCET	2344	21141	SIPO	GH	11344862
13274	44	1997-10-09	VYDAJ	PREVOD NA UCET	2344	23067	SIPO	GH	11344862
13275	44	1997-11-09	VYDAJ	PREVOD NA UCET	2344	25001	SIPO	GH	11344862
13276	44	1997-12-09	VYDAJ	PREVOD NA UCET	2344	26044	SIPO	GH	11344862
13277	44	1998-01-09	VYDAJ	PREVOD NA UCET	2344	21186	SIPO	GH	11344862
13278	44	1998-02-09	VYDAJ	PREVOD NA UCET	2344	16469	SIPO	GH	11344862
13279	44	1998-03-09	VYDAJ	PREVOD NA UCET	2344	18378	SIPO	GH	11344862
13280	44	1998-04-09	VYDAJ	PREVOD NA UCET	2344	20292	SIPO	GH	11344862
13281	44	1998-05-09	VYDAJ	PREVOD NA UCET	2344	18444	SIPO	GH	11344862
13282	44	1998-06-09	VYDAJ	PREVOD NA UCET	2344	17050	SIPO	GH	11344862
13283	44	1998-07-09	VYDAJ	PREVOD NA UCET	2344	18959	SIPO	GH	11344862
13284	44	1998-08-09	VYDAJ	PREVOD NA UCET	2344	20875	SIPO	GH	11344862
13285	44	1998-09-09	VYDAJ	PREVOD NA UCET	2344	22800	SIPO	GH	11344862
13286	44	1998-10-09	VYDAJ	PREVOD NA UCET	2344	21532	SIPO	GH	11344862
13287	44	1998-11-09	VYDAJ	PREVOD NA UCET	2344	22663	SIPO	GH	11344862
13288	44	1998-12-09	VYDAJ	PREVOD NA UCET	2344	24595	SIPO	GH	11344862
13293	44	1997-06-12	VYDAJ	VYBER	11350	15788	\N	\N	\N
13295	44	1993-12-20	VYDAJ	VYBER	500	18613	\N	\N	\N
13296	44	1994-12-06	VYDAJ	VYBER	800	21089	\N	\N	\N
13298	44	1996-12-22	VYDAJ	VYBER	550	26530	\N	\N	\N
13299	44	1997-12-08	VYDAJ	VYBER	900	28388	\N	\N	\N
13300	44	1998-12-24	VYDAJ	VYBER	850	23745	\N	\N	\N
13308	44	1994-01-19	VYDAJ	VYBER	1920	13412	\N	\N	\N
13309	44	1994-01-19	VYDAJ	VYBER	1040	15332	\N	\N	\N
13311	44	1994-01-29	VYDAJ	VYBER	1040	12372	\N	\N	\N
13312	44	1994-01-15	VYDAJ	VYBER	1680	16372	\N	\N	\N
13313	44	1995-01-08	VYDAJ	VYBER	2000	20509	\N	\N	\N
13314	44	1995-01-15	VYDAJ	VYBER	2160	13205	\N	\N	\N
13316	44	1995-01-10	VYDAJ	VYBER	1520	16645	\N	\N	\N
13318	44	1995-01-13	VYDAJ	VYBER	1280	15365	\N	\N	\N
13320	44	1996-01-08	VYDAJ	VYBER	1040	17240	\N	\N	\N
13321	44	1996-01-04	VYDAJ	VYBER	480	14080	\N	\N	\N
13324	44	1996-01-29	VYDAJ	VYBER	880	14016	\N	\N	\N
13325	44	1997-01-28	VYDAJ	VYBER	880	21841	\N	\N	\N
13326	44	1997-01-25	VYDAJ	VYBER	1280	22721	\N	\N	\N
13327	44	1997-01-23	VYDAJ	VYBER	1200	24001	\N	\N	\N
13328	44	1997-01-02	VYDAJ	VYBER	1440	25185	\N	\N	\N
13329	44	1997-01-20	VYDAJ	VYBER	1200	25201	\N	\N	\N
13330	44	1997-01-18	VYDAJ	VYBER	640	26401	\N	\N	\N
13331	44	1998-01-12	VYDAJ	VYBER	720	20466	\N	\N	\N
13332	44	1998-01-18	VYDAJ	VYBER	560	18146	\N	\N	\N
13333	44	1998-01-26	VYDAJ	VYBER	2080	16066	\N	\N	\N
13334	44	1998-01-06	VYDAJ	VYBER	1680	23530	\N	\N	\N
13335	44	1998-01-05	VYDAJ	VYBER	1280	25210	\N	\N	\N
13336	44	1998-01-17	VYDAJ	VYBER	1760	18706	\N	\N	\N
13339	44	1993-12-12	VYDAJ	VYBER	560	19113	\N	\N	\N
13342	44	1993-11-08	VYDAJ	VYBER	3200	20100	\N	\N	\N
13343	44	1994-09-27	VYDAJ	VYBER	1760	17773	\N	\N	\N
13344	44	1994-02-14	VYDAJ	VYBER	1680	12601	\N	\N	\N
13345	44	1994-05-28	VYDAJ	VYBER	3840	13262	\N	\N	\N
13346	44	1994-07-14	VYDAJ	VYBER	1360	15713	\N	\N	\N
13347	44	1994-11-28	VYDAJ	VYBER	2800	18714	\N	\N	\N
13348	44	1994-01-04	VYDAJ	VYBER	2480	16196	\N	\N	\N
13350	44	1994-04-05	VYDAJ	VYBER	1200	17540	\N	\N	\N
13351	44	1995-04-24	VYDAJ	VYBER	3200	14922	\N	\N	\N
13354	44	1996-06-09	VYDAJ	VYBER	2400	17881	\N	\N	\N
13356	44	1997-12-22	VYDAJ	VYBER	3840	22204	\N	\N	\N
13357	44	1997-02-08	VYDAJ	VYBER	2400	23733	\N	\N	\N
13359	44	1997-04-17	VYDAJ	VYBER	2000	23255	\N	\N	\N
13361	44	1997-08-07	VYDAJ	VYBER	400	21565	\N	\N	\N
13362	44	1998-02-06	VYDAJ	VYBER	1520	18813	\N	\N	\N
13363	44	1998-04-10	VYDAJ	VYBER	3760	16532	\N	\N	\N
13364	44	1998-10-07	VYDAJ	VYBER	3200	23876	\N	\N	\N
13365	44	1998-10-31	VYDAJ	VYBER	800	20807	\N	\N	\N
13376	44	1993-10-31	VYDAJ	VYBER	15	19100	SLUZBY	\N	\N
13377	44	1993-11-30	VYDAJ	VYBER	15	17817	SLUZBY	\N	\N
13378	44	1993-12-31	VYDAJ	VYBER	15	18676	SLUZBY	\N	\N
13379	44	1994-01-31	VYDAJ	VYBER	15	12425	SLUZBY	\N	\N
13380	44	1994-02-28	VYDAJ	VYBER	15	12640	SLUZBY	\N	\N
13381	44	1994-03-31	VYDAJ	VYBER	15	14540	SLUZBY	\N	\N
13382	44	1994-04-30	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
13383	44	1994-05-31	VYDAJ	VYBER	15	13315	SLUZBY	\N	\N
13384	44	1994-06-30	VYDAJ	VYBER	15	15217	SLUZBY	\N	\N
13385	44	1994-07-31	VYDAJ	VYBER	15	15765	SLUZBY	\N	\N
13386	44	1994-08-31	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
13387	44	1994-09-30	VYDAJ	VYBER	15	17837	SLUZBY	\N	\N
13388	44	1994-10-31	VYDAJ	VYBER	15	19758	SLUZBY	\N	\N
13390	44	1994-12-31	VYDAJ	VYBER	15	18309	SLUZBY	\N	\N
13391	44	1995-01-31	VYDAJ	VYBER	15	13254	SLUZBY	\N	\N
13392	44	1995-02-28	VYDAJ	VYBER	15	15156	SLUZBY	\N	\N
13393	44	1995-03-31	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
13394	44	1995-04-30	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
13395	44	1995-05-31	VYDAJ	VYBER	15	16287	SLUZBY	\N	\N
13396	44	1995-06-30	VYDAJ	VYBER	15	17101	SLUZBY	\N	\N
13397	44	1995-07-31	VYDAJ	VYBER	15	15518	SLUZBY	\N	\N
13398	44	1995-08-31	VYDAJ	VYBER	15	15829	SLUZBY	\N	\N
13399	44	1995-09-30	VYDAJ	VYBER	15	14840	SLUZBY	\N	\N
13400	44	1995-10-31	VYDAJ	VYBER	15	16748	SLUZBY	\N	\N
13401	44	1995-11-30	VYDAJ	VYBER	15	12661	SLUZBY	\N	\N
13402	44	1995-12-31	VYDAJ	VYBER	15	14560	SLUZBY	\N	\N
13403	44	1996-01-31	VYDAJ	VYBER	15	14064	SLUZBY	\N	\N
13404	44	1996-02-29	VYDAJ	VYBER	15	15970	SLUZBY	\N	\N
13405	44	1996-03-31	VYDAJ	VYBER	15	12277	SLUZBY	\N	\N
13406	44	1996-04-30	VYDAJ	VYBER	15	14175	SLUZBY	\N	\N
13407	44	1996-05-31	VYDAJ	VYBER	15	16081	SLUZBY	\N	\N
13408	44	1996-06-30	VYDAJ	VYBER	15	15587	SLUZBY	\N	\N
13409	44	1996-07-31	VYDAJ	VYBER	15	17499	SLUZBY	\N	\N
13410	44	1996-08-31	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
13411	44	1996-09-30	VYDAJ	VYBER	15	21345	SLUZBY	\N	\N
13412	44	1996-10-31	VYDAJ	VYBER	15	23281	SLUZBY	\N	\N
13413	44	1996-11-30	VYDAJ	VYBER	15	25224	SLUZBY	\N	\N
13414	44	1996-12-31	VYDAJ	VYBER	15	26625	SLUZBY	\N	\N
13415	44	1997-01-31	VYDAJ	VYBER	15	21933	SLUZBY	\N	\N
13416	44	1997-02-28	VYDAJ	VYBER	15	21463	SLUZBY	\N	\N
13417	44	1997-03-31	VYDAJ	VYBER	15	23399	SLUZBY	\N	\N
13418	44	1997-04-30	VYDAJ	VYBER	15	23338	SLUZBY	\N	\N
13419	44	1997-05-31	VYDAJ	VYBER	15	25282	SLUZBY	\N	\N
13420	44	1997-06-30	VYDAJ	VYBER	15	15853	SLUZBY	\N	\N
13421	44	1997-07-31	VYDAJ	VYBER	15	17765	SLUZBY	\N	\N
13422	44	1997-08-31	VYDAJ	VYBER	15	19285	SLUZBY	\N	\N
13423	44	1997-09-30	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
13424	44	1997-10-31	VYDAJ	VYBER	15	23145	SLUZBY	\N	\N
13425	44	1997-11-30	VYDAJ	VYBER	15	25088	SLUZBY	\N	\N
13426	44	1997-12-31	VYDAJ	VYBER	15	22290	SLUZBY	\N	\N
13427	44	1998-01-31	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
13428	44	1998-02-28	VYDAJ	VYBER	15	16522	SLUZBY	\N	\N
13429	44	1998-03-31	VYDAJ	VYBER	15	18436	SLUZBY	\N	\N
13430	44	1998-04-30	VYDAJ	VYBER	15	16588	SLUZBY	\N	\N
13431	44	1998-05-31	VYDAJ	VYBER	15	15194	SLUZBY	\N	\N
13432	44	1998-06-30	VYDAJ	VYBER	15	17103	SLUZBY	\N	\N
13433	44	1998-07-31	VYDAJ	VYBER	15	19019	SLUZBY	\N	\N
13434	44	1998-08-31	VYDAJ	VYBER	15	20944	SLUZBY	\N	\N
13435	44	1998-09-30	VYDAJ	VYBER	15	22876	SLUZBY	\N	\N
13436	44	1998-10-31	VYDAJ	VYBER	15	21607	SLUZBY	\N	\N
13437	44	1998-11-30	VYDAJ	VYBER	15	22739	SLUZBY	\N	\N
13438	44	1994-11-01	VYDAJ	VYBER	100	19658	\N	\N	\N
13439	44	1994-12-01	VYDAJ	VYBER	1100	17689	\N	\N	\N
13440	44	1994-12-31	VYDAJ	VYBER	500	18324	\N	\N	\N
13441	44	1995-03-31	VYDAJ	VYBER	800	16281	\N	\N	\N
13442	44	1995-05-30	VYDAJ	VYBER	600	16234	\N	\N	\N
13443	44	1995-06-29	VYDAJ	VYBER	1100	17043	\N	\N	\N
13444	44	1995-07-29	VYDAJ	VYBER	3500	15457	\N	\N	\N
13445	44	1995-08-28	VYDAJ	VYBER	1600	15774	\N	\N	\N
13446	44	1995-09-27	VYDAJ	VYBER	2900	14785	\N	\N	\N
13447	44	1995-11-26	VYDAJ	VYBER	6000	12604	\N	\N	\N
13448	44	1996-03-25	VYDAJ	VYBER	5600	12226	\N	\N	\N
13449	44	1998-05-14	VYDAJ	VYBER	3300	15144	\N	\N	\N
13513	45	1997-09-02	PRIJEM	VKLAD	300	300	\N	\N	\N
13516	45	1998-05-13	PRIJEM	VKLAD	25455	51370	\N	\N	\N
13517	45	1998-07-18	PRIJEM	VKLAD	3176	33834	\N	\N	\N
13526	45	1997-09-14	PRIJEM	VKLAD	1600	1900	\N	\N	\N
13527	45	1997-10-15	PRIJEM	VKLAD	1600	13905	\N	\N	\N
13528	45	1997-11-14	PRIJEM	VKLAD	1600	21740	\N	\N	\N
13529	45	1997-12-13	PRIJEM	VKLAD	1600	28316	\N	\N	\N
13530	45	1998-01-13	PRIJEM	VKLAD	1600	30624	\N	\N	\N
13531	45	1998-02-14	PRIJEM	VKLAD	1600	27479	\N	\N	\N
13532	45	1998-03-15	PRIJEM	VKLAD	1600	25772	\N	\N	\N
13533	45	1998-04-16	PRIJEM	VKLAD	1600	27216	\N	\N	\N
13534	45	1998-05-17	PRIJEM	VKLAD	1600	52970	\N	\N	\N
13535	45	1998-06-15	PRIJEM	VKLAD	1600	39717	\N	\N	\N
13536	45	1998-07-16	PRIJEM	VKLAD	1600	30658	\N	\N	\N
13537	45	1998-08-13	PRIJEM	VKLAD	1600	32749	\N	\N	\N
13538	45	1998-09-15	PRIJEM	VKLAD	1600	32964	\N	\N	\N
13539	45	1998-10-13	PRIJEM	VKLAD	1600	30678	\N	\N	\N
13540	45	1998-11-15	PRIJEM	VKLAD	1600	25882	\N	\N	\N
13541	45	1998-12-14	PRIJEM	VKLAD	1600	27769	\N	\N	\N
13547	45	1998-12-30	VYDAJ	VYBER	1400	25769	\N	\N	\N
13555	45	1998-01-23	VYDAJ	VYBER	900	28274	\N	\N	\N
13558	45	1998-01-22	VYDAJ	VYBER	450	29174	\N	\N	\N
13559	45	1998-01-19	VYDAJ	VYBER	1000	29624	\N	\N	\N
13565	45	1998-03-11	VYDAJ	VYBER	1700	24172	\N	\N	\N
13566	45	1998-04-11	VYDAJ	VYBER	1350	25616	\N	\N	\N
13567	45	1998-03-11	VYDAJ	VYBER	1500	25872	\N	\N	\N
13581	45	1998-01-31	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
13582	45	1998-02-28	VYDAJ	VYBER	15	27572	SLUZBY	\N	\N
13583	45	1998-03-31	VYDAJ	VYBER	15	26966	SLUZBY	\N	\N
13584	45	1998-04-30	VYDAJ	VYBER	15	27315	SLUZBY	\N	\N
13585	45	1998-05-31	VYDAJ	VYBER	15	38117	SLUZBY	\N	\N
13586	45	1998-06-30	VYDAJ	VYBER	15	29058	SLUZBY	\N	\N
13587	45	1998-07-31	VYDAJ	VYBER	15	31149	SLUZBY	\N	\N
13588	45	1998-08-31	VYDAJ	VYBER	15	31364	SLUZBY	\N	\N
13589	45	1998-09-30	VYDAJ	VYBER	15	29078	SLUZBY	\N	\N
13590	45	1998-10-31	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
13591	45	1998-11-30	VYDAJ	VYBER	15	26169	SLUZBY	\N	\N
13592	45	1997-10-02	PRIJEM	VKLAD	10400	12305	\N	\N	\N
13593	45	1997-11-01	PRIJEM	VKLAD	6200	20140	\N	\N	\N
13594	45	1997-12-01	PRIJEM	VKLAD	4900	26716	\N	\N	\N
13595	45	1997-12-31	PRIJEM	VKLAD	600	28916	\N	\N	\N
13596	45	1998-01-30	VYDAJ	VYBER	2500	25774	\N	\N	\N
13597	45	1998-03-01	VYDAJ	VYBER	200	27372	\N	\N	\N
13598	45	1998-03-31	PRIJEM	VKLAD	1100	26981	\N	\N	\N
13599	45	1998-04-30	VYDAJ	VYBER	1400	25915	\N	\N	\N
13600	45	1998-05-30	VYDAJ	VYBER	15000	37970	\N	\N	\N
13601	45	1998-06-29	VYDAJ	VYBER	10800	28917	\N	\N	\N
13602	45	1998-07-29	VYDAJ	VYBER	2800	31034	\N	\N	\N
13603	45	1998-08-28	VYDAJ	VYBER	1500	31249	\N	\N	\N
13604	45	1998-09-27	VYDAJ	VYBER	4000	28964	\N	\N	\N
13605	45	1998-10-27	VYDAJ	VYBER	6500	24178	\N	\N	\N
13606	45	1998-11-26	PRIJEM	VKLAD	200	26082	\N	\N	\N
13607	45	1998-12-26	VYDAJ	VYBER	600	27169	\N	\N	\N
13882	47	1993-08-08	PRIJEM	VKLAD	300	300	\N	\N	\N
13890	47	1993-08-11	PRIJEM	PREVOD Z UCTU	35257	35557	\N	UV	45187926
13891	47	1993-09-11	PRIJEM	PREVOD Z UCTU	35257	65314	\N	UV	45187926
13892	47	1993-10-11	PRIJEM	PREVOD Z UCTU	35257	79402	\N	UV	45187926
13893	47	1993-11-11	PRIJEM	PREVOD Z UCTU	35257	86971	\N	UV	45187926
13894	47	1993-12-11	PRIJEM	PREVOD Z UCTU	52886	108509	\N	UV	45187926
13895	47	1994-01-11	PRIJEM	PREVOD Z UCTU	35257	63228	\N	UV	45187926
13896	47	1994-02-11	PRIJEM	PREVOD Z UCTU	35257	58944	\N	UV	45187926
13897	47	1994-03-11	PRIJEM	PREVOD Z UCTU	35257	74896	\N	UV	45187926
13898	47	1994-04-11	PRIJEM	PREVOD Z UCTU	35257	82430	\N	UV	45187926
13899	47	1994-05-11	PRIJEM	PREVOD Z UCTU	35257	86597	\N	UV	45187926
13900	47	1994-06-11	PRIJEM	PREVOD Z UCTU	52886	106113	\N	UV	45187926
13901	47	1994-07-11	PRIJEM	PREVOD Z UCTU	35257	76251	\N	UV	45187926
13902	47	1994-08-11	PRIJEM	PREVOD Z UCTU	35257	80692	\N	UV	45187926
13903	47	1994-09-11	PRIJEM	PREVOD Z UCTU	35257	87154	\N	UV	45187926
13904	47	1994-10-11	PRIJEM	PREVOD Z UCTU	35257	78742	\N	UV	45187926
13905	47	1994-11-11	PRIJEM	PREVOD Z UCTU	35257	58557	\N	UV	45187926
13906	47	1994-12-11	PRIJEM	PREVOD Z UCTU	52886	86343	\N	UV	45187926
13907	47	1995-01-11	PRIJEM	PREVOD Z UCTU	35257	64719	\N	UV	45187926
13908	47	1995-02-11	PRIJEM	PREVOD Z UCTU	35257	60466	\N	UV	45187926
13909	47	1995-03-11	PRIJEM	PREVOD Z UCTU	35257	71627	\N	UV	45187926
13910	47	1995-04-11	PRIJEM	PREVOD Z UCTU	35257	62846	\N	UV	45187926
13911	47	1995-05-11	PRIJEM	PREVOD Z UCTU	35257	64924	\N	UV	45187926
13912	47	1995-06-11	PRIJEM	PREVOD Z UCTU	52886	90123	\N	UV	45187926
13913	47	1995-07-11	PRIJEM	PREVOD Z UCTU	35257	66066	\N	UV	45187926
13914	47	1995-08-11	PRIJEM	PREVOD Z UCTU	35257	65580	\N	UV	45187926
13915	47	1995-09-11	PRIJEM	PREVOD Z UCTU	35257	67154	\N	UV	45187926
13916	47	1995-10-11	PRIJEM	PREVOD Z UCTU	35257	53511	\N	UV	45187926
13917	47	1995-11-11	PRIJEM	PREVOD Z UCTU	35257	63934	\N	UV	45187926
13918	47	1995-12-11	PRIJEM	PREVOD Z UCTU	52886	76723	\N	UV	45187926
13919	47	1996-01-11	PRIJEM	PREVOD Z UCTU	35257	65810	\N	UV	45187926
13920	47	1996-02-11	PRIJEM	PREVOD Z UCTU	35257	54754	\N	UV	45187926
13921	47	1996-03-11	PRIJEM	PREVOD Z UCTU	35257	64172	\N	UV	45187926
13922	47	1996-04-11	PRIJEM	PREVOD Z UCTU	35257	67129	\N	UV	45187926
13923	47	1996-05-11	PRIJEM	PREVOD Z UCTU	35257	63855	\N	UV	45187926
13924	47	1996-06-11	PRIJEM	PREVOD Z UCTU	52886	84033	\N	UV	45187926
13925	47	1996-07-11	PRIJEM	PREVOD Z UCTU	35257	67585	\N	UV	45187926
13926	47	1996-08-11	PRIJEM	PREVOD Z UCTU	35257	68145	\N	UV	45187926
13927	47	1996-09-11	PRIJEM	PREVOD Z UCTU	35257	73108	\N	UV	45187926
13928	47	1996-10-11	PRIJEM	PREVOD Z UCTU	35257	76088	\N	UV	45187926
13929	47	1996-11-11	PRIJEM	PREVOD Z UCTU	35257	74372	\N	UV	45187926
13930	47	1996-12-11	PRIJEM	PREVOD Z UCTU	52886	87875	\N	UV	45187926
13931	47	1997-01-11	PRIJEM	PREVOD Z UCTU	35257	66275	\N	UV	45187926
13932	47	1997-02-11	PRIJEM	PREVOD Z UCTU	35257	60317	\N	UV	45187926
13933	47	1997-03-11	PRIJEM	PREVOD Z UCTU	35257	70248	\N	UV	45187926
13934	47	1997-04-11	PRIJEM	PREVOD Z UCTU	35257	68614	\N	UV	45187926
13935	47	1997-05-11	PRIJEM	PREVOD Z UCTU	35257	69025	\N	UV	45187926
13936	47	1997-06-11	PRIJEM	PREVOD Z UCTU	52886	79804	\N	UV	45187926
13937	47	1997-07-11	PRIJEM	PREVOD Z UCTU	35257	78282	\N	UV	45187926
13938	47	1997-08-11	PRIJEM	PREVOD Z UCTU	35257	82575	\N	UV	45187926
13939	47	1997-09-11	PRIJEM	PREVOD Z UCTU	35257	73869	\N	UV	45187926
13940	47	1997-10-11	PRIJEM	PREVOD Z UCTU	35257	68671	\N	UV	45187926
13941	47	1997-11-11	PRIJEM	PREVOD Z UCTU	35257	71316	\N	UV	45187926
13942	47	1997-12-11	PRIJEM	PREVOD Z UCTU	52886	80674	\N	UV	45187926
13943	47	1998-01-11	PRIJEM	PREVOD Z UCTU	35257	62406	\N	UV	45187926
13944	47	1998-02-11	PRIJEM	PREVOD Z UCTU	35257	55891	\N	UV	45187926
13945	47	1998-03-11	PRIJEM	PREVOD Z UCTU	35257	62079	\N	UV	45187926
13946	47	1998-04-11	PRIJEM	PREVOD Z UCTU	35257	59217	\N	UV	45187926
13947	47	1998-05-11	PRIJEM	PREVOD Z UCTU	35257	63113	\N	UV	45187926
13948	47	1998-06-11	PRIJEM	PREVOD Z UCTU	52886	81447	\N	UV	45187926
13949	47	1998-07-11	PRIJEM	PREVOD Z UCTU	35257	67422	\N	UV	45187926
13950	47	1998-08-11	PRIJEM	PREVOD Z UCTU	35257	59922	\N	UV	45187926
13951	47	1998-09-11	PRIJEM	PREVOD Z UCTU	35257	54288	\N	UV	45187926
13952	47	1998-10-11	PRIJEM	PREVOD Z UCTU	35257	54443	\N	UV	45187926
13953	47	1998-11-11	PRIJEM	PREVOD Z UCTU	35257	48080	\N	UV	45187926
13954	47	1998-12-11	PRIJEM	PREVOD Z UCTU	52886	93815	\N	UV	45187926
13966	47	1993-12-13	VYDAJ	PREVOD NA UCET	6940	38269	SIPO	KL	76620852
13967	47	1994-01-13	VYDAJ	PREVOD NA UCET	6940	56288	SIPO	KL	76620852
13968	47	1994-02-13	VYDAJ	PREVOD NA UCET	6940	52004	SIPO	KL	76620852
13969	47	1994-03-13	VYDAJ	PREVOD NA UCET	6940	67956	SIPO	KL	76620852
13970	47	1994-04-13	VYDAJ	PREVOD NA UCET	6940	75490	SIPO	KL	76620852
13971	47	1994-05-13	VYDAJ	PREVOD NA UCET	6940	79657	SIPO	KL	76620852
13972	47	1994-06-13	VYDAJ	PREVOD NA UCET	6940	60773	SIPO	KL	76620852
13973	47	1994-07-13	VYDAJ	PREVOD NA UCET	6940	69311	SIPO	KL	76620852
13974	47	1994-08-13	VYDAJ	PREVOD NA UCET	6940	73752	SIPO	KL	76620852
13975	47	1994-09-13	VYDAJ	PREVOD NA UCET	6940	80214	SIPO	KL	76620852
13976	47	1994-10-13	VYDAJ	PREVOD NA UCET	6940	47473	SIPO	KL	76620852
13977	47	1994-11-13	VYDAJ	PREVOD NA UCET	6940	51617	SIPO	KL	76620852
13978	47	1994-12-13	VYDAJ	PREVOD NA UCET	6940	79403	SIPO	KL	76620852
13979	47	1995-01-13	VYDAJ	PREVOD NA UCET	6940	53879	SIPO	KL	76620852
13980	47	1995-02-13	VYDAJ	PREVOD NA UCET	6940	53526	SIPO	KL	76620852
13981	47	1995-03-13	VYDAJ	PREVOD NA UCET	6940	64687	SIPO	KL	76620852
13982	47	1995-04-13	VYDAJ	PREVOD NA UCET	6940	43955	SIPO	KL	76620852
13983	47	1995-05-13	VYDAJ	PREVOD NA UCET	6940	57984	SIPO	KL	76620852
13984	47	1995-06-13	VYDAJ	PREVOD NA UCET	6940	83183	SIPO	KL	76620852
13985	47	1995-07-13	VYDAJ	PREVOD NA UCET	6940	59126	SIPO	KL	76620852
13986	47	1995-08-13	VYDAJ	PREVOD NA UCET	6940	58640	SIPO	KL	76620852
13987	47	1995-09-13	VYDAJ	PREVOD NA UCET	6940	44660	SIPO	KL	76620852
13988	47	1995-10-13	VYDAJ	PREVOD NA UCET	6940	46571	SIPO	KL	76620852
13989	47	1995-11-13	VYDAJ	PREVOD NA UCET	6940	56994	SIPO	KL	76620852
13990	47	1995-12-13	VYDAJ	PREVOD NA UCET	6940	69783	SIPO	KL	76620852
13991	47	1996-01-13	VYDAJ	PREVOD NA UCET	6940	58870	SIPO	KL	76620852
13992	47	1996-02-13	VYDAJ	PREVOD NA UCET	6940	47814	SIPO	KL	76620852
13993	47	1996-03-13	VYDAJ	PREVOD NA UCET	6940	57232	SIPO	KL	76620852
13994	47	1996-04-13	VYDAJ	PREVOD NA UCET	6940	60189	SIPO	KL	76620852
13995	47	1996-05-13	VYDAJ	PREVOD NA UCET	6940	56915	SIPO	KL	76620852
13996	47	1996-06-13	VYDAJ	PREVOD NA UCET	6940	56393	SIPO	KL	76620852
13997	47	1996-07-13	VYDAJ	PREVOD NA UCET	6940	60645	SIPO	KL	76620852
13998	47	1996-08-13	VYDAJ	PREVOD NA UCET	6940	61205	SIPO	KL	76620852
13999	47	1996-09-13	VYDAJ	PREVOD NA UCET	6940	66168	SIPO	KL	76620852
14000	47	1996-10-13	VYDAJ	PREVOD NA UCET	6940	69148	SIPO	KL	76620852
14001	47	1996-11-13	VYDAJ	PREVOD NA UCET	6940	67432	SIPO	KL	76620852
14002	47	1996-12-13	VYDAJ	PREVOD NA UCET	6940	80935	SIPO	KL	76620852
14003	47	1997-01-13	VYDAJ	PREVOD NA UCET	6940	56635	SIPO	KL	76620852
14004	47	1997-02-13	VYDAJ	PREVOD NA UCET	6940	53377	SIPO	KL	76620852
14005	47	1997-03-13	VYDAJ	PREVOD NA UCET	6940	63308	SIPO	KL	76620852
14006	47	1997-04-13	VYDAJ	PREVOD NA UCET	6940	61674	SIPO	KL	76620852
14007	47	1997-05-13	VYDAJ	PREVOD NA UCET	6940	62085	SIPO	KL	76620852
14008	47	1997-06-13	VYDAJ	PREVOD NA UCET	6940	72864	SIPO	KL	76620852
14009	47	1997-07-13	VYDAJ	PREVOD NA UCET	6940	71342	SIPO	KL	76620852
14010	47	1997-08-13	VYDAJ	PREVOD NA UCET	6940	75635	SIPO	KL	76620852
14011	47	1997-09-13	VYDAJ	PREVOD NA UCET	6940	66929	SIPO	KL	76620852
14012	47	1997-10-13	VYDAJ	PREVOD NA UCET	6940	61731	SIPO	KL	76620852
14013	47	1997-11-13	VYDAJ	PREVOD NA UCET	6940	64376	SIPO	KL	76620852
14014	47	1997-12-13	VYDAJ	PREVOD NA UCET	6940	73734	SIPO	KL	76620852
14015	47	1998-01-13	VYDAJ	PREVOD NA UCET	6940	41666	SIPO	KL	76620852
14016	47	1998-02-13	VYDAJ	PREVOD NA UCET	6940	29751	SIPO	KL	76620852
14017	47	1998-03-13	VYDAJ	PREVOD NA UCET	6940	55139	SIPO	KL	76620852
14018	47	1998-04-13	VYDAJ	PREVOD NA UCET	6940	52277	SIPO	KL	76620852
14019	47	1998-05-13	VYDAJ	PREVOD NA UCET	6940	56173	SIPO	KL	76620852
14020	47	1998-06-13	VYDAJ	PREVOD NA UCET	6940	36007	SIPO	KL	76620852
14021	47	1998-07-13	VYDAJ	PREVOD NA UCET	6940	24882	SIPO	KL	76620852
14022	47	1998-08-13	VYDAJ	PREVOD NA UCET	6940	19282	SIPO	KL	76620852
14023	47	1998-09-13	VYDAJ	PREVOD NA UCET	6940	19448	SIPO	KL	76620852
14024	47	1998-10-13	VYDAJ	PREVOD NA UCET	6940	13103	SIPO	KL	76620852
14025	47	1998-11-13	VYDAJ	PREVOD NA UCET	6940	41140	SIPO	KL	76620852
14026	47	1998-12-13	VYDAJ	PREVOD NA UCET	6940	86875	SIPO	KL	76620852
14039	47	1994-01-05	VYDAJ	PREVOD NA UCET	174	33212	 	KL	37438374
14040	47	1994-02-05	VYDAJ	PREVOD NA UCET	174	23828	 	KL	37438374
14041	47	1994-03-05	VYDAJ	PREVOD NA UCET	174	51980	 	KL	37438374
14042	47	1994-04-05	VYDAJ	PREVOD NA UCET	174	68014	 	KL	37438374
14043	47	1994-05-05	VYDAJ	PREVOD NA UCET	174	51481	 	KL	37438374
14044	47	1994-06-05	VYDAJ	PREVOD NA UCET	174	53368	 	KL	37438374
14045	47	1994-07-05	VYDAJ	PREVOD NA UCET	174	41135	 	KL	37438374
14046	47	1994-08-05	VYDAJ	PREVOD NA UCET	174	45576	 	KL	37438374
14047	47	1994-09-05	VYDAJ	PREVOD NA UCET	174	52038	 	KL	37438374
14048	47	1994-10-05	VYDAJ	PREVOD NA UCET	174	43626	 	KL	37438374
14049	47	1994-11-05	VYDAJ	PREVOD NA UCET	174	23441	 	KL	37438374
14050	47	1994-12-05	VYDAJ	PREVOD NA UCET	174	33598	 	KL	37438374
14051	47	1995-01-05	VYDAJ	PREVOD NA UCET	174	29603	 	KL	37438374
14052	47	1995-02-05	VYDAJ	PREVOD NA UCET	174	25350	 	KL	37438374
14053	47	1995-03-05	VYDAJ	PREVOD NA UCET	174	36511	 	KL	37438374
14054	47	1995-04-05	VYDAJ	PREVOD NA UCET	174	27730	 	KL	37438374
14055	47	1995-05-05	VYDAJ	PREVOD NA UCET	174	29808	 	KL	37438374
14056	47	1995-06-05	VYDAJ	PREVOD NA UCET	174	37378	 	KL	37438374
14057	47	1995-07-05	VYDAJ	PREVOD NA UCET	174	30950	 	KL	37438374
14058	47	1995-08-05	VYDAJ	PREVOD NA UCET	174	30464	 	KL	37438374
14059	47	1995-09-05	VYDAJ	PREVOD NA UCET	174	36838	 	KL	37438374
14060	47	1995-10-05	VYDAJ	PREVOD NA UCET	174	18395	 	KL	37438374
14061	47	1995-11-05	VYDAJ	PREVOD NA UCET	174	28818	 	KL	37438374
14062	47	1995-12-05	VYDAJ	PREVOD NA UCET	174	23978	 	KL	37438374
14063	47	1996-01-05	VYDAJ	PREVOD NA UCET	174	32794	 	KL	37438374
14064	47	1996-02-05	VYDAJ	PREVOD NA UCET	174	19638	 	KL	37438374
14065	47	1996-03-05	VYDAJ	PREVOD NA UCET	174	29056	 	KL	37438374
14066	47	1996-04-05	VYDAJ	PREVOD NA UCET	174	32013	 	KL	37438374
14067	47	1996-05-05	VYDAJ	PREVOD NA UCET	174	35279	 	KL	37438374
14068	47	1996-06-05	VYDAJ	PREVOD NA UCET	174	31288	 	KL	37438374
14069	47	1996-07-05	VYDAJ	PREVOD NA UCET	174	32469	 	KL	37438374
14070	47	1996-08-05	VYDAJ	PREVOD NA UCET	174	33029	 	KL	37438374
14071	47	1996-09-05	VYDAJ	PREVOD NA UCET	174	37992	 	KL	37438374
14072	47	1996-10-05	VYDAJ	PREVOD NA UCET	174	40972	 	KL	37438374
14073	47	1996-11-05	VYDAJ	PREVOD NA UCET	174	39256	 	KL	37438374
14074	47	1996-12-05	VYDAJ	PREVOD NA UCET	174	37830	 	KL	37438374
14075	47	1997-01-05	VYDAJ	PREVOD NA UCET	174	42859	 	KL	37438374
14076	47	1997-02-05	VYDAJ	PREVOD NA UCET	174	27612	 	KL	37438374
14077	47	1997-03-05	VYDAJ	PREVOD NA UCET	174	35132	 	KL	37438374
14078	47	1997-04-05	VYDAJ	PREVOD NA UCET	174	40098	 	KL	37438374
14079	47	1997-05-05	VYDAJ	PREVOD NA UCET	174	33909	 	KL	37438374
14080	47	1997-06-05	VYDAJ	PREVOD NA UCET	174	27059	 	KL	37438374
14081	47	1997-07-05	VYDAJ	PREVOD NA UCET	174	45856	 	KL	37438374
14082	47	1997-08-05	VYDAJ	PREVOD NA UCET	174	47459	 	KL	37438374
14083	47	1997-09-05	VYDAJ	PREVOD NA UCET	174	38753	 	KL	37438374
14084	47	1997-10-05	VYDAJ	PREVOD NA UCET	174	33555	 	KL	37438374
14085	47	1997-11-05	VYDAJ	PREVOD NA UCET	174	36200	 	KL	37438374
14086	47	1997-12-05	VYDAJ	PREVOD NA UCET	174	27929	 	KL	37438374
14087	47	1998-01-05	VYDAJ	PREVOD NA UCET	174	27290	 	KL	37438374
14088	47	1998-02-05	VYDAJ	PREVOD NA UCET	174	20775	 	KL	37438374
14089	47	1998-03-05	VYDAJ	PREVOD NA UCET	174	26963	 	KL	37438374
14090	47	1998-04-05	VYDAJ	PREVOD NA UCET	174	24101	 	KL	37438374
14091	47	1998-05-05	VYDAJ	PREVOD NA UCET	174	27997	 	KL	37438374
14092	47	1998-06-05	VYDAJ	PREVOD NA UCET	174	28702	 	KL	37438374
14093	47	1998-07-05	VYDAJ	PREVOD NA UCET	174	32306	 	KL	37438374
14094	47	1998-08-05	VYDAJ	PREVOD NA UCET	174	24806	 	KL	37438374
14095	47	1998-09-05	VYDAJ	PREVOD NA UCET	174	19172	 	KL	37438374
14096	47	1998-10-05	VYDAJ	PREVOD NA UCET	174	19327	 	KL	37438374
14097	47	1998-11-05	VYDAJ	PREVOD NA UCET	174	12964	 	KL	37438374
14098	47	1998-12-05	VYDAJ	PREVOD NA UCET	174	41070	 	KL	37438374
14111	47	1994-01-06	VYDAJ	PREVOD NA UCET	141	27971	POJISTNE	EF	83359431
14112	47	1994-02-06	VYDAJ	PREVOD NA UCET	141	23687	POJISTNE	EF	83359431
14113	47	1994-03-06	VYDAJ	PREVOD NA UCET	141	39639	POJISTNE	EF	83359431
14114	47	1994-04-06	VYDAJ	PREVOD NA UCET	141	47173	POJISTNE	EF	83359431
14115	47	1994-05-06	VYDAJ	PREVOD NA UCET	141	51340	POJISTNE	EF	83359431
14116	47	1994-06-06	VYDAJ	PREVOD NA UCET	141	53227	POJISTNE	EF	83359431
14117	47	1994-07-06	VYDAJ	PREVOD NA UCET	141	40994	POJISTNE	EF	83359431
14118	47	1994-08-06	VYDAJ	PREVOD NA UCET	141	45435	POJISTNE	EF	83359431
14119	47	1994-09-06	VYDAJ	PREVOD NA UCET	141	51897	POJISTNE	EF	83359431
14120	47	1994-10-06	VYDAJ	PREVOD NA UCET	141	43485	POJISTNE	EF	83359431
14121	47	1994-11-06	VYDAJ	PREVOD NA UCET	141	23300	POJISTNE	EF	83359431
14122	47	1994-12-06	VYDAJ	PREVOD NA UCET	141	33457	POJISTNE	EF	83359431
14123	47	1995-01-06	VYDAJ	PREVOD NA UCET	141	29462	POJISTNE	EF	83359431
14124	47	1995-02-06	VYDAJ	PREVOD NA UCET	141	25209	POJISTNE	EF	83359431
14125	47	1995-03-06	VYDAJ	PREVOD NA UCET	141	36370	POJISTNE	EF	83359431
14126	47	1995-04-06	VYDAJ	PREVOD NA UCET	141	27589	POJISTNE	EF	83359431
14127	47	1995-05-06	VYDAJ	PREVOD NA UCET	141	29667	POJISTNE	EF	83359431
14128	47	1995-06-06	VYDAJ	PREVOD NA UCET	141	37237	POJISTNE	EF	83359431
14129	47	1995-07-06	VYDAJ	PREVOD NA UCET	141	30809	POJISTNE	EF	83359431
14130	47	1995-08-06	VYDAJ	PREVOD NA UCET	141	30323	POJISTNE	EF	83359431
14131	47	1995-09-06	VYDAJ	PREVOD NA UCET	141	31897	POJISTNE	EF	83359431
14132	47	1995-10-06	VYDAJ	PREVOD NA UCET	141	18254	POJISTNE	EF	83359431
14133	47	1995-11-06	VYDAJ	PREVOD NA UCET	141	28677	POJISTNE	EF	83359431
14134	47	1995-12-06	VYDAJ	PREVOD NA UCET	141	23837	POJISTNE	EF	83359431
14135	47	1996-01-06	VYDAJ	PREVOD NA UCET	141	32653	POJISTNE	EF	83359431
14136	47	1996-02-06	VYDAJ	PREVOD NA UCET	141	19497	POJISTNE	EF	83359431
14137	47	1996-03-06	VYDAJ	PREVOD NA UCET	141	28915	POJISTNE	EF	83359431
14138	47	1996-04-06	VYDAJ	PREVOD NA UCET	141	31872	POJISTNE	EF	83359431
14139	47	1996-05-06	VYDAJ	PREVOD NA UCET	141	35138	POJISTNE	EF	83359431
14140	47	1996-06-06	VYDAJ	PREVOD NA UCET	141	31147	POJISTNE	EF	83359431
14141	47	1996-07-06	VYDAJ	PREVOD NA UCET	141	32328	POJISTNE	EF	83359431
14142	47	1996-08-06	VYDAJ	PREVOD NA UCET	141	32888	POJISTNE	EF	83359431
14143	47	1996-09-06	VYDAJ	PREVOD NA UCET	141	37851	POJISTNE	EF	83359431
14144	47	1996-10-06	VYDAJ	PREVOD NA UCET	141	40831	POJISTNE	EF	83359431
14145	47	1996-11-06	VYDAJ	PREVOD NA UCET	141	39115	POJISTNE	EF	83359431
14146	47	1996-12-06	VYDAJ	PREVOD NA UCET	141	37689	POJISTNE	EF	83359431
14147	47	1997-01-06	VYDAJ	PREVOD NA UCET	141	42718	POJISTNE	EF	83359431
14148	47	1997-02-06	VYDAJ	PREVOD NA UCET	141	27471	POJISTNE	EF	83359431
14149	47	1997-03-06	VYDAJ	PREVOD NA UCET	141	34991	POJISTNE	EF	83359431
14150	47	1997-04-06	VYDAJ	PREVOD NA UCET	141	39957	POJISTNE	EF	83359431
14151	47	1997-05-06	VYDAJ	PREVOD NA UCET	141	33768	POJISTNE	EF	83359431
14152	47	1997-06-06	VYDAJ	PREVOD NA UCET	141	26918	POJISTNE	EF	83359431
14153	47	1997-07-06	VYDAJ	PREVOD NA UCET	141	45715	POJISTNE	EF	83359431
14154	47	1997-08-06	VYDAJ	PREVOD NA UCET	141	47318	POJISTNE	EF	83359431
14155	47	1997-09-06	VYDAJ	PREVOD NA UCET	141	38612	POJISTNE	EF	83359431
14156	47	1997-10-06	VYDAJ	PREVOD NA UCET	141	33414	POJISTNE	EF	83359431
14157	47	1997-11-06	VYDAJ	PREVOD NA UCET	141	36059	POJISTNE	EF	83359431
14158	47	1997-12-06	VYDAJ	PREVOD NA UCET	141	27788	POJISTNE	EF	83359431
14159	47	1998-01-06	VYDAJ	PREVOD NA UCET	141	27149	POJISTNE	EF	83359431
14160	47	1998-02-06	VYDAJ	PREVOD NA UCET	141	20634	POJISTNE	EF	83359431
14161	47	1998-03-06	VYDAJ	PREVOD NA UCET	141	26822	POJISTNE	EF	83359431
14162	47	1998-04-06	VYDAJ	PREVOD NA UCET	141	23960	POJISTNE	EF	83359431
14163	47	1998-05-06	VYDAJ	PREVOD NA UCET	141	27856	POJISTNE	EF	83359431
14164	47	1998-06-06	VYDAJ	PREVOD NA UCET	141	28561	POJISTNE	EF	83359431
14165	47	1998-07-06	VYDAJ	PREVOD NA UCET	141	32165	POJISTNE	EF	83359431
14166	47	1998-08-06	VYDAJ	PREVOD NA UCET	141	24665	POJISTNE	EF	83359431
14167	47	1998-09-06	VYDAJ	PREVOD NA UCET	141	19031	POJISTNE	EF	83359431
14168	47	1998-10-06	VYDAJ	PREVOD NA UCET	141	19186	POJISTNE	EF	83359431
14169	47	1998-11-06	VYDAJ	PREVOD NA UCET	141	12823	POJISTNE	EF	83359431
14170	47	1998-12-06	VYDAJ	PREVOD NA UCET	141	40929	POJISTNE	EF	83359431
14182	47	1993-12-14	VYDAJ	PREVOD NA UCET	9	38260	 	UV	30289006
14183	47	1994-01-14	VYDAJ	PREVOD NA UCET	9	56279	 	UV	30289006
14184	47	1994-02-14	VYDAJ	PREVOD NA UCET	9	51995	 	UV	30289006
14185	47	1994-03-14	VYDAJ	PREVOD NA UCET	9	67947	 	UV	30289006
14186	47	1994-04-14	VYDAJ	PREVOD NA UCET	9	75481	 	UV	30289006
14187	47	1994-05-14	VYDAJ	PREVOD NA UCET	9	79648	 	UV	30289006
14188	47	1994-06-14	VYDAJ	PREVOD NA UCET	9	60764	 	UV	30289006
14189	47	1994-07-14	VYDAJ	PREVOD NA UCET	9	69302	 	UV	30289006
14190	47	1994-08-14	VYDAJ	PREVOD NA UCET	9	73743	 	UV	30289006
14191	47	1994-09-14	VYDAJ	PREVOD NA UCET	9	80205	 	UV	30289006
14192	47	1994-10-14	VYDAJ	PREVOD NA UCET	9	47464	 	UV	30289006
14193	47	1994-11-14	VYDAJ	PREVOD NA UCET	9	51608	 	UV	30289006
14194	47	1994-12-14	VYDAJ	PREVOD NA UCET	9	79394	 	UV	30289006
14195	47	1995-01-14	VYDAJ	PREVOD NA UCET	9	53870	 	UV	30289006
14196	47	1995-02-14	VYDAJ	PREVOD NA UCET	9	53517	 	UV	30289006
14197	47	1995-03-14	VYDAJ	PREVOD NA UCET	9	43635	 	UV	30289006
14198	47	1995-04-14	VYDAJ	PREVOD NA UCET	9	43946	 	UV	30289006
14199	47	1995-05-14	VYDAJ	PREVOD NA UCET	9	57975	 	UV	30289006
14200	47	1995-06-14	VYDAJ	PREVOD NA UCET	9	83174	 	UV	30289006
14201	47	1995-07-14	VYDAJ	PREVOD NA UCET	9	59117	 	UV	30289006
14202	47	1995-08-14	VYDAJ	PREVOD NA UCET	9	58631	 	UV	30289006
14203	47	1995-09-14	VYDAJ	PREVOD NA UCET	9	44651	 	UV	30289006
14204	47	1995-10-14	VYDAJ	PREVOD NA UCET	9	46562	 	UV	30289006
14205	47	1995-11-14	VYDAJ	PREVOD NA UCET	9	56985	 	UV	30289006
14206	47	1995-12-14	VYDAJ	PREVOD NA UCET	9	69774	 	UV	30289006
14207	47	1996-01-14	VYDAJ	PREVOD NA UCET	9	58861	 	UV	30289006
14208	47	1996-02-14	VYDAJ	PREVOD NA UCET	9	47805	 	UV	30289006
14209	47	1996-03-14	VYDAJ	PREVOD NA UCET	9	57223	 	UV	30289006
14210	47	1996-04-14	VYDAJ	PREVOD NA UCET	9	60180	 	UV	30289006
14211	47	1996-05-14	VYDAJ	PREVOD NA UCET	9	56906	 	UV	30289006
14212	47	1996-06-14	VYDAJ	PREVOD NA UCET	9	56384	 	UV	30289006
14213	47	1996-07-14	VYDAJ	PREVOD NA UCET	9	60636	 	UV	30289006
14214	47	1996-08-14	VYDAJ	PREVOD NA UCET	9	61196	 	UV	30289006
14215	47	1996-09-14	VYDAJ	PREVOD NA UCET	9	66159	 	UV	30289006
14216	47	1996-10-14	VYDAJ	PREVOD NA UCET	9	69139	 	UV	30289006
14217	47	1996-11-14	VYDAJ	PREVOD NA UCET	9	67423	 	UV	30289006
14218	47	1996-12-14	VYDAJ	PREVOD NA UCET	9	80926	 	UV	30289006
14219	47	1997-01-14	VYDAJ	PREVOD NA UCET	9	56626	 	UV	30289006
14220	47	1997-02-14	VYDAJ	PREVOD NA UCET	9	53368	 	UV	30289006
14221	47	1997-03-14	VYDAJ	PREVOD NA UCET	9	63299	 	UV	30289006
14222	47	1997-04-14	VYDAJ	PREVOD NA UCET	9	61665	 	UV	30289006
14223	47	1997-05-14	VYDAJ	PREVOD NA UCET	9	62076	 	UV	30289006
14224	47	1997-06-14	VYDAJ	PREVOD NA UCET	9	72855	 	UV	30289006
14225	47	1997-07-14	VYDAJ	PREVOD NA UCET	9	71333	 	UV	30289006
14226	47	1997-08-14	VYDAJ	PREVOD NA UCET	9	75626	 	UV	30289006
14227	47	1997-09-14	VYDAJ	PREVOD NA UCET	9	66920	 	UV	30289006
14228	47	1997-10-14	VYDAJ	PREVOD NA UCET	9	61722	 	UV	30289006
14229	47	1997-11-14	VYDAJ	PREVOD NA UCET	9	64367	 	UV	30289006
14230	47	1997-12-14	VYDAJ	PREVOD NA UCET	9	73725	 	UV	30289006
14231	47	1998-01-14	VYDAJ	PREVOD NA UCET	9	41657	 	UV	30289006
14232	47	1998-02-14	VYDAJ	PREVOD NA UCET	9	29742	 	UV	30289006
14233	47	1998-03-14	VYDAJ	PREVOD NA UCET	9	55130	 	UV	30289006
14234	47	1998-04-14	VYDAJ	PREVOD NA UCET	9	28068	 	UV	30289006
14235	47	1998-05-14	VYDAJ	PREVOD NA UCET	9	28764	 	UV	30289006
14236	47	1998-06-14	VYDAJ	PREVOD NA UCET	9	35998	 	UV	30289006
14237	47	1998-07-14	VYDAJ	PREVOD NA UCET	9	24873	 	UV	30289006
14238	47	1998-08-14	VYDAJ	PREVOD NA UCET	9	19273	 	UV	30289006
14239	47	1998-09-14	VYDAJ	PREVOD NA UCET	9	19439	 	UV	30289006
14240	47	1998-10-14	VYDAJ	PREVOD NA UCET	9	13094	 	UV	30289006
14241	47	1998-11-14	VYDAJ	PREVOD NA UCET	9	41131	 	UV	30289006
14242	47	1998-12-14	VYDAJ	PREVOD NA UCET	9	86866	 	UV	30289006
14253	47	1994-10-22	VYBER	VYBER	22126	25338	\N	\N	\N
14254	47	1994-10-13	VYBER	VYBER	24329	54413	\N	\N	\N
14255	47	1995-09-23	VYBER	VYBER	18921	25730	\N	\N	\N
14256	47	1995-03-14	VYBER	VYBER	5088	43644	\N	\N	\N
14259	47	1995-09-13	VYBER	VYBER	15554	51600	\N	\N	\N
14261	47	1995-01-17	VYBER	VYBER	9971	24699	\N	\N	\N
14262	47	1995-01-05	VYBER	VYBER	13064	29777	\N	\N	\N
14263	47	1995-03-14	VYBER	VYBER	15955	48732	\N	\N	\N
14265	47	1995-04-13	VYBER	VYBER	11951	50895	\N	\N	\N
14266	47	1995-07-17	VYBER	VYBER	20129	38988	\N	\N	\N
14268	47	1996-05-10	VYBER	VYBER	6540	28598	\N	\N	\N
14269	47	1997-01-30	VYBER	VYBER	3288	27638	\N	\N	\N
14270	47	1997-02-10	VYBER	VYBER	2411	25060	\N	\N	\N
14271	47	1997-10-01	VYBER	VYBER	8963	33729	\N	\N	\N
14272	47	1997-04-22	VYBER	VYBER	2459	33924	\N	\N	\N
14273	47	1997-11-28	VYBER	VYBER	10214	27953	\N	\N	\N
14275	47	1997-05-29	VYBER	VYBER	14406	27070	\N	\N	\N
14276	47	1997-04-17	VYBER	VYBER	12482	49183	\N	\N	\N
14277	47	1997-07-07	VYBER	VYBER	2690	43025	\N	\N	\N
14282	47	1998-03-15	VYBER	VYBER	9107	46023	\N	\N	\N
14283	47	1998-07-02	VYBER	VYBER	3651	32480	\N	\N	\N
14284	47	1998-03-04	VYBER	VYBER	2705	27137	\N	\N	\N
14287	47	1995-06-28	VYDAJ	VYBER	40500	42674	\N	\N	\N
14288	47	1996-06-11	VYDAJ	VYBER	20700	63333	\N	\N	\N
14292	47	1994-01-15	VYDAJ	VYBER	16500	39779	\N	\N	\N
14293	47	1995-01-15	VYDAJ	VYBER	16200	37670	\N	\N	\N
14294	47	1996-01-20	VYDAJ	VYBER	23700	35161	\N	\N	\N
14296	47	1998-01-11	VYDAJ	VYBER	13800	48606	\N	\N	\N
14297	47	1993-12-22	VYDAJ	VYBER	2400	35860	\N	\N	\N
14298	47	1994-12-05	VYDAJ	VYBER	5400	33772	\N	\N	\N
14300	47	1996-12-10	VYDAJ	VYBER	2700	34989	\N	\N	\N
14301	47	1997-12-26	VYDAJ	VYBER	4200	31825	\N	\N	\N
14302	47	1998-12-26	VYDAJ	VYBER	8400	78466	\N	\N	\N
14309	47	1994-01-19	VYDAJ	VYBER	3900	35879	\N	\N	\N
14310	47	1994-01-21	VYDAJ	VYBER	5100	23579	\N	\N	\N
14312	47	1994-01-27	VYDAJ	VYBER	4500	19079	\N	\N	\N
14313	47	1994-01-19	VYDAJ	VYBER	7200	28679	\N	\N	\N
14314	47	1994-01-03	VYDAJ	VYBER	2700	33386	\N	\N	\N
14315	47	1995-01-04	VYDAJ	VYBER	5700	42841	\N	\N	\N
14316	47	1995-01-26	VYDAJ	VYBER	2700	21999	\N	\N	\N
14318	47	1995-01-11	VYDAJ	VYBER	3900	60819	\N	\N	\N
14320	47	1995-01-15	VYDAJ	VYBER	3000	34670	\N	\N	\N
14322	47	1996-01-25	VYDAJ	VYBER	6600	19661	\N	\N	\N
14323	47	1996-01-01	VYDAJ	VYBER	7800	36568	\N	\N	\N
14324	47	1996-01-03	VYDAJ	VYBER	3600	32968	\N	\N	\N
14325	47	1996-01-10	VYDAJ	VYBER	2100	30553	\N	\N	\N
14327	47	1997-01-08	VYDAJ	VYBER	1500	41218	\N	\N	\N
14328	47	1997-01-09	VYDAJ	VYBER	8700	32518	\N	\N	\N
14329	47	1997-01-10	VYDAJ	VYBER	1500	31018	\N	\N	\N
14330	47	1997-01-14	VYDAJ	VYBER	5700	50926	\N	\N	\N
14331	47	1997-01-12	VYDAJ	VYBER	2700	63575	\N	\N	\N
14332	47	1997-01-17	VYDAJ	VYBER	3900	47026	\N	\N	\N
14344	47	1994-12-16	VYDAJ	VYBER	6900	72494	\N	\N	\N
14345	47	1994-10-05	VYDAJ	VYBER	9000	43800	\N	\N	\N
14346	47	1995-09-06	VYDAJ	VYBER	4800	32038	\N	\N	\N
14347	47	1995-05-18	VYDAJ	VYBER	4800	53175	\N	\N	\N
14348	47	1995-04-15	VYDAJ	VYBER	6000	37946	\N	\N	\N
14349	47	1995-11-29	VYDAJ	VYBER	13800	23985	\N	\N	\N
14350	47	1995-03-28	VYDAJ	VYBER	12900	30735	\N	\N	\N
14351	47	1996-02-20	VYDAJ	VYBER	6300	41505	\N	\N	\N
14352	47	1996-12-26	VYDAJ	VYBER	6000	42826	\N	\N	\N
14353	47	1996-03-29	VYDAJ	VYBER	3600	32023	\N	\N	\N
14355	47	1996-05-17	VYDAJ	VYBER	9300	47606	\N	\N	\N
14356	47	1997-08-29	VYDAJ	VYBER	9300	38726	\N	\N	\N
14357	47	1997-04-08	VYDAJ	VYBER	6600	33357	\N	\N	\N
14363	47	1998-01-02	VYDAJ	VYBER	4500	27464	\N	\N	\N
14366	47	1998-07-13	VYDAJ	VYBER	7800	59622	\N	\N	\N
14379	47	1993-12-31	VYDAJ	VYBER	15	36086	SLUZBY	\N	\N
14380	47	1994-01-31	VYDAJ	VYBER	15	19202	SLUZBY	\N	\N
14381	47	1994-02-28	VYDAJ	VYBER	15	52154	SLUZBY	\N	\N
14382	47	1994-03-31	VYDAJ	VYBER	15	68188	SLUZBY	\N	\N
14383	47	1994-04-30	VYDAJ	VYBER	15	75755	SLUZBY	\N	\N
14384	47	1994-05-31	VYDAJ	VYBER	15	79942	SLUZBY	\N	\N
14385	47	1994-06-30	VYDAJ	VYBER	15	61009	SLUZBY	\N	\N
14386	47	1994-07-31	VYDAJ	VYBER	15	69550	SLUZBY	\N	\N
14387	47	1994-08-31	VYDAJ	VYBER	15	74012	SLUZBY	\N	\N
14388	47	1994-09-30	VYDAJ	VYBER	15	80500	SLUZBY	\N	\N
14389	47	1994-10-31	VYDAJ	VYBER	15	25515	SLUZBY	\N	\N
14390	47	1994-11-30	VYDAJ	VYBER	15	51772	SLUZBY	\N	\N
14391	47	1994-12-31	VYDAJ	VYBER	15	48541	SLUZBY	\N	\N
14392	47	1995-01-31	VYDAJ	VYBER	15	25524	SLUZBY	\N	\N
14393	47	1995-02-28	VYDAJ	VYBER	15	53685	SLUZBY	\N	\N
14394	47	1995-03-31	VYDAJ	VYBER	15	27904	SLUZBY	\N	\N
14395	47	1995-04-30	VYDAJ	VYBER	15	38082	SLUZBY	\N	\N
14396	47	1995-05-31	VYDAJ	VYBER	15	37552	SLUZBY	\N	\N
14397	47	1995-06-30	VYDAJ	VYBER	15	31124	SLUZBY	\N	\N
14398	47	1995-07-31	VYDAJ	VYBER	15	30638	SLUZBY	\N	\N
14399	47	1995-08-31	VYDAJ	VYBER	15	37012	SLUZBY	\N	\N
14400	47	1995-09-30	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
14401	47	1995-10-31	VYDAJ	VYBER	15	28992	SLUZBY	\N	\N
14402	47	1995-11-30	VYDAJ	VYBER	15	24152	SLUZBY	\N	\N
14403	47	1995-12-31	VYDAJ	VYBER	15	44368	SLUZBY	\N	\N
14404	47	1996-01-31	VYDAJ	VYBER	15	19812	SLUZBY	\N	\N
14405	47	1996-02-29	VYDAJ	VYBER	15	29230	SLUZBY	\N	\N
14406	47	1996-03-31	VYDAJ	VYBER	15	32187	SLUZBY	\N	\N
14407	47	1996-04-30	VYDAJ	VYBER	15	35453	SLUZBY	\N	\N
14408	47	1996-05-31	VYDAJ	VYBER	15	31462	SLUZBY	\N	\N
14409	47	1996-06-30	VYDAJ	VYBER	15	32643	SLUZBY	\N	\N
14410	47	1996-07-31	VYDAJ	VYBER	15	33203	SLUZBY	\N	\N
14411	47	1996-08-31	VYDAJ	VYBER	15	38166	SLUZBY	\N	\N
14412	47	1996-09-30	VYDAJ	VYBER	15	41146	SLUZBY	\N	\N
14413	47	1996-10-31	VYDAJ	VYBER	15	39430	SLUZBY	\N	\N
14414	47	1996-11-30	VYDAJ	VYBER	15	38004	SLUZBY	\N	\N
14415	47	1996-12-31	VYDAJ	VYBER	15	43033	SLUZBY	\N	\N
14416	47	1997-01-31	VYDAJ	VYBER	15	27786	SLUZBY	\N	\N
14417	47	1997-02-28	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
14418	47	1997-03-31	VYDAJ	VYBER	15	40272	SLUZBY	\N	\N
14419	47	1997-04-30	VYDAJ	VYBER	15	34083	SLUZBY	\N	\N
14420	47	1997-05-31	VYDAJ	VYBER	15	27233	SLUZBY	\N	\N
14421	47	1997-06-30	VYDAJ	VYBER	15	46030	SLUZBY	\N	\N
14422	47	1997-07-31	VYDAJ	VYBER	15	47633	SLUZBY	\N	\N
14423	47	1997-08-31	VYDAJ	VYBER	15	38927	SLUZBY	\N	\N
14424	47	1997-09-30	VYDAJ	VYBER	15	42692	SLUZBY	\N	\N
14425	47	1997-10-31	VYDAJ	VYBER	15	36374	SLUZBY	\N	\N
14426	47	1997-11-30	VYDAJ	VYBER	15	28103	SLUZBY	\N	\N
14427	47	1997-12-31	VYDAJ	VYBER	15	31964	SLUZBY	\N	\N
14428	47	1998-01-31	VYDAJ	VYBER	15	20949	SLUZBY	\N	\N
14429	47	1998-02-28	VYDAJ	VYBER	15	29842	SLUZBY	\N	\N
14430	47	1998-03-31	VYDAJ	VYBER	15	24275	SLUZBY	\N	\N
14431	47	1998-04-30	VYDAJ	VYBER	15	28171	SLUZBY	\N	\N
14432	47	1998-05-31	VYDAJ	VYBER	15	28876	SLUZBY	\N	\N
14433	47	1998-06-30	VYDAJ	VYBER	15	36131	SLUZBY	\N	\N
14434	47	1998-07-31	VYDAJ	VYBER	15	24980	SLUZBY	\N	\N
14435	47	1998-08-31	VYDAJ	VYBER	15	19346	SLUZBY	\N	\N
14436	47	1998-09-30	VYDAJ	VYBER	15	19501	SLUZBY	\N	\N
14437	47	1998-10-31	VYDAJ	VYBER	15	13138	SLUZBY	\N	\N
14438	47	1998-11-30	VYDAJ	VYBER	15	41244	SLUZBY	\N	\N
14439	47	1993-09-07	VYDAJ	VYBER	5600	30057	\N	\N	\N
14440	47	1993-10-07	VYDAJ	VYBER	21400	44145	\N	\N	\N
14441	47	1993-11-06	VYDAJ	VYBER	28000	51714	\N	\N	\N
14442	47	1993-12-06	VYDAJ	VYBER	31700	55623	\N	\N	\N
14443	47	1993-12-11	VYDAJ	VYBER	63300	45209	\N	\N	\N
14444	47	1994-01-05	VYDAJ	VYBER	5100	28112	\N	\N	\N
14445	47	1994-02-04	PRIJEM	VKLAD	4800	24002	\N	\N	\N
14446	47	1994-03-06	VYDAJ	VYBER	12200	39780	\N	\N	\N
14447	47	1994-04-05	VYDAJ	VYBER	20700	47314	\N	\N	\N
14448	47	1994-05-05	VYDAJ	VYBER	24100	51655	\N	\N	\N
14449	47	1994-06-04	VYDAJ	VYBER	26400	53542	\N	\N	\N
14450	47	1994-06-11	VYDAJ	VYBER	38400	67713	\N	\N	\N
14451	47	1994-07-04	VYDAJ	VYBER	19700	41309	\N	\N	\N
14452	47	1994-08-03	VYDAJ	VYBER	23800	45750	\N	\N	\N
14453	47	1994-09-02	VYDAJ	VYBER	21800	52212	\N	\N	\N
14454	47	1994-10-02	VYDAJ	VYBER	27700	52800	\N	\N	\N
14455	47	1994-11-01	VYDAJ	VYBER	1900	23615	\N	\N	\N
14456	47	1994-12-01	VYDAJ	VYBER	12600	39172	\N	\N	\N
14457	47	1994-12-31	VYDAJ	VYBER	24200	48556	\N	\N	\N
14458	47	1995-01-30	PRIJEM	VKLAD	3400	25399	\N	\N	\N
14459	47	1995-03-01	VYDAJ	VYBER	17000	36685	\N	\N	\N
14460	47	1995-03-31	VYDAJ	VYBER	3000	27919	\N	\N	\N
14461	47	1995-04-30	VYDAJ	VYBER	8100	29982	\N	\N	\N
14462	47	1995-05-30	VYDAJ	VYBER	15800	37375	\N	\N	\N
14463	47	1995-06-29	VYDAJ	VYBER	11800	30874	\N	\N	\N
14464	47	1995-07-29	VYDAJ	VYBER	8500	30488	\N	\N	\N
14465	47	1995-08-28	VYDAJ	VYBER	21800	36831	\N	\N	\N
14466	47	1995-09-27	VYDAJ	VYBER	7300	18430	\N	\N	\N
14467	47	1995-10-27	VYDAJ	VYBER	17700	28862	\N	\N	\N
14468	47	1995-11-26	VYDAJ	VYBER	19200	37785	\N	\N	\N
14469	47	1995-12-26	VYDAJ	VYBER	25600	44174	\N	\N	\N
14470	47	1996-01-25	VYDAJ	VYBER	8900	26261	\N	\N	\N
14471	47	1996-02-24	VYDAJ	VYBER	12400	29105	\N	\N	\N
14472	47	1996-03-25	VYDAJ	VYBER	21600	35623	\N	\N	\N
14473	47	1996-04-24	VYDAJ	VYBER	24900	35280	\N	\N	\N
14474	47	1996-05-24	VYDAJ	VYBER	16300	31306	\N	\N	\N
14475	47	1996-06-23	VYDAJ	VYBER	23900	32484	\N	\N	\N
14476	47	1996-07-23	VYDAJ	VYBER	27600	33036	\N	\N	\N
14477	47	1996-08-22	VYDAJ	VYBER	23200	37996	\N	\N	\N
14478	47	1996-09-21	VYDAJ	VYBER	25200	40959	\N	\N	\N
14479	47	1996-10-21	VYDAJ	VYBER	29900	39239	\N	\N	\N
14480	47	1996-11-20	VYDAJ	VYBER	29600	37823	\N	\N	\N
14481	47	1996-12-20	VYDAJ	VYBER	32100	48826	\N	\N	\N
14482	47	1997-01-19	VYDAJ	VYBER	16100	30926	\N	\N	\N
14483	47	1997-02-18	VYDAJ	VYBER	18200	35168	\N	\N	\N
14484	47	1997-03-20	VYDAJ	VYBER	23200	40099	\N	\N	\N
14485	47	1997-04-19	VYDAJ	VYBER	12800	36383	\N	\N	\N
14486	47	1997-05-19	VYDAJ	VYBER	20600	41476	\N	\N	\N
14487	47	1997-06-18	VYDAJ	VYBER	27000	45855	\N	\N	\N
14488	47	1997-07-18	VYDAJ	VYBER	23900	47433	\N	\N	\N
14489	47	1997-08-17	VYDAJ	VYBER	27600	48026	\N	\N	\N
14490	47	1997-09-16	VYDAJ	VYBER	24400	42520	\N	\N	\N
14491	47	1997-10-16	VYDAJ	VYBER	25500	36222	\N	\N	\N
14492	47	1997-11-15	VYDAJ	VYBER	26200	38167	\N	\N	\N
14493	47	1997-12-15	VYDAJ	VYBER	37700	36025	\N	\N	\N
14494	47	1998-01-14	VYDAJ	VYBER	20800	20857	\N	\N	\N
14495	47	1998-02-13	VYDAJ	VYBER	19200	36691	\N	\N	\N
14496	47	1998-03-15	VYDAJ	VYBER	21900	24123	\N	\N	\N
14497	47	1998-04-14	VYDAJ	VYBER	24200	28077	\N	\N	\N
14498	47	1998-05-14	VYDAJ	VYBER	27400	28773	\N	\N	\N
14499	47	1998-06-13	VYDAJ	VYBER	38500	42947	\N	\N	\N
14500	47	1998-07-13	VYDAJ	VYBER	27800	31822	\N	\N	\N
14501	47	1998-08-12	VYDAJ	VYBER	33700	26222	\N	\N	\N
14502	47	1998-09-11	VYDAJ	VYBER	27900	26388	\N	\N	\N
14503	47	1998-10-11	VYDAJ	VYBER	34400	20043	\N	\N	\N
14569	48	1996-11-17	PRIJEM	VKLAD	700	700	\N	\N	\N
14581	48	1996-12-12	PRIJEM	VKLAD	34221	34921	\N	\N	\N
14582	48	1997-01-12	PRIJEM	VKLAD	22814	52996	\N	\N	\N
14583	48	1997-02-12	PRIJEM	VKLAD	22814	60050	\N	\N	\N
14584	48	1997-03-12	PRIJEM	VKLAD	22814	65129	\N	\N	\N
14585	48	1997-04-12	PRIJEM	VKLAD	22814	69428	\N	\N	\N
14586	48	1997-05-12	PRIJEM	VKLAD	22814	67134	\N	\N	\N
14587	48	1997-06-12	PRIJEM	VKLAD	34221	71351	\N	\N	\N
14588	48	1997-07-12	PRIJEM	VKLAD	22814	45852	\N	\N	\N
14589	48	1997-08-12	PRIJEM	VKLAD	22814	54201	\N	\N	\N
14590	48	1997-09-12	PRIJEM	VKLAD	22814	59075	\N	\N	\N
14591	48	1997-10-12	PRIJEM	VKLAD	22814	66574	\N	\N	\N
14592	48	1997-11-12	PRIJEM	VKLAD	22814	59904	\N	\N	\N
14593	48	1997-12-12	PRIJEM	VKLAD	34221	72803	\N	\N	\N
14594	48	1998-01-12	PRIJEM	VKLAD	22814	60321	\N	\N	\N
14595	48	1998-02-12	PRIJEM	VKLAD	22814	56076	\N	\N	\N
14596	48	1998-03-12	PRIJEM	VKLAD	22814	71783	\N	\N	\N
14597	48	1998-04-12	PRIJEM	VKLAD	22814	62005	\N	\N	\N
14598	48	1998-05-12	PRIJEM	VKLAD	22814	65466	\N	\N	\N
14599	48	1998-06-12	PRIJEM	VKLAD	34221	64107	\N	\N	\N
14600	48	1998-07-12	PRIJEM	VKLAD	22814	65446	\N	\N	\N
14601	48	1998-08-12	PRIJEM	VKLAD	22814	66410	\N	\N	\N
14602	48	1998-09-12	PRIJEM	VKLAD	22814	66477	\N	\N	\N
14603	48	1998-10-12	PRIJEM	VKLAD	22814	66423	\N	\N	\N
14604	48	1998-11-12	PRIJEM	VKLAD	22814	63694	\N	\N	\N
14605	48	1998-12-12	PRIJEM	VKLAD	34221	70653	\N	\N	\N
14622	48	1997-05-06	VYDAJ	PREVOD NA UCET	6268	45349	SIPO	AB	50218236
14623	48	1997-06-06	VYDAJ	PREVOD NA UCET	6268	38159	SIPO	AB	50218236
14624	48	1997-07-06	VYDAJ	PREVOD NA UCET	6268	24067	SIPO	AB	50218236
14625	48	1997-08-06	VYDAJ	PREVOD NA UCET	6268	32416	SIPO	AB	50218236
14626	48	1997-09-06	VYDAJ	PREVOD NA UCET	6268	37290	SIPO	AB	50218236
14627	48	1997-10-06	VYDAJ	PREVOD NA UCET	6268	44789	SIPO	AB	50218236
14628	48	1997-11-06	VYDAJ	PREVOD NA UCET	6268	42919	SIPO	AB	50218236
14629	48	1997-12-06	VYDAJ	PREVOD NA UCET	6268	39611	SIPO	AB	50218236
14630	48	1998-01-06	VYDAJ	PREVOD NA UCET	6268	42936	SIPO	AB	50218236
14631	48	1998-02-06	VYDAJ	PREVOD NA UCET	6268	35991	SIPO	AB	50218236
14632	48	1998-03-06	VYDAJ	PREVOD NA UCET	6268	49998	SIPO	AB	50218236
14633	48	1998-04-06	VYDAJ	PREVOD NA UCET	6268	46720	SIPO	AB	50218236
14634	48	1998-05-06	VYDAJ	PREVOD NA UCET	6268	54281	SIPO	AB	50218236
14635	48	1998-06-06	VYDAJ	PREVOD NA UCET	6268	30115	SIPO	AB	50218236
14636	48	1998-07-06	VYDAJ	PREVOD NA UCET	6268	58061	SIPO	AB	50218236
14637	48	1998-08-06	VYDAJ	PREVOD NA UCET	6268	59425	SIPO	AB	50218236
14638	48	1998-09-06	VYDAJ	PREVOD NA UCET	6268	60392	SIPO	AB	50218236
14639	48	1998-10-06	VYDAJ	PREVOD NA UCET	6268	60458	SIPO	AB	50218236
14640	48	1998-11-06	VYDAJ	PREVOD NA UCET	6268	60409	SIPO	AB	50218236
14641	48	1998-12-06	VYDAJ	PREVOD NA UCET	6268	52461	SIPO	AB	50218236
14658	48	1997-05-07	VYDAJ	PREVOD NA UCET	1029	44320	 	ST	2071685
14659	48	1997-06-07	VYDAJ	PREVOD NA UCET	1029	37130	 	ST	2071685
14660	48	1997-07-07	VYDAJ	PREVOD NA UCET	1029	23038	 	ST	2071685
14661	48	1997-08-07	VYDAJ	PREVOD NA UCET	1029	31387	 	ST	2071685
14662	48	1997-09-07	VYDAJ	PREVOD NA UCET	1029	36261	 	ST	2071685
14663	48	1997-10-07	VYDAJ	PREVOD NA UCET	1029	43760	 	ST	2071685
14664	48	1997-11-07	VYDAJ	PREVOD NA UCET	1029	41890	 	ST	2071685
14665	48	1997-12-07	VYDAJ	PREVOD NA UCET	1029	38582	 	ST	2071685
14666	48	1998-01-07	VYDAJ	PREVOD NA UCET	1029	41907	 	ST	2071685
14667	48	1998-02-07	VYDAJ	PREVOD NA UCET	1029	34962	 	ST	2071685
14668	48	1998-03-07	VYDAJ	PREVOD NA UCET	1029	48969	 	ST	2071685
14669	48	1998-04-07	VYDAJ	PREVOD NA UCET	1029	45691	 	ST	2071685
14670	48	1998-05-07	VYDAJ	PREVOD NA UCET	1029	53252	 	ST	2071685
14671	48	1998-06-07	VYDAJ	PREVOD NA UCET	1029	29086	 	ST	2071685
14672	48	1998-07-07	VYDAJ	PREVOD NA UCET	1029	57032	 	ST	2071685
14673	48	1998-08-07	VYDAJ	PREVOD NA UCET	1029	58396	 	ST	2071685
14674	48	1998-09-07	VYDAJ	PREVOD NA UCET	1029	59363	 	ST	2071685
14675	48	1998-10-07	VYDAJ	PREVOD NA UCET	1029	59429	 	ST	2071685
14676	48	1998-11-07	VYDAJ	PREVOD NA UCET	1029	40880	 	ST	2071685
14677	48	1998-12-07	VYDAJ	PREVOD NA UCET	1029	36432	 	ST	2071685
14679	48	1997-06-29	VYDAJ	VYBER	19680	30151	\N	\N	\N
14680	48	1998-06-01	VYDAJ	VYBER	25120	36383	\N	\N	\N
14683	48	1998-01-14	VYDAJ	VYBER	9600	50721	\N	\N	\N
14685	48	1997-12-19	VYDAJ	VYBER	2080	49023	\N	\N	\N
14686	48	1998-12-03	VYDAJ	VYBER KARTOU	3500	58729	\N	\N	0
14692	48	1997-10-30	VYDAJ	VYBER	1080	48994	\N	\N	\N
14693	48	1997-06-17	VYDAJ	VYBER	2520	49831	\N	\N	\N
14694	48	1997-05-27	VYDAJ	VYBER	3600	44234	\N	\N	\N
14695	48	1997-11-10	VYDAJ	VYBER	4800	37090	\N	\N	\N
14696	48	1998-10-08	VYDAJ	VYBER	5520	53909	\N	\N	\N
14697	48	1998-01-19	VYDAJ	VYBER	5640	45081	\N	\N	\N
14698	48	1998-05-19	VYDAJ	VYBER	4200	61266	\N	\N	\N
14699	48	1998-01-22	VYDAJ	VYBER	3000	42081	\N	\N	\N
14700	48	1998-04-30	VYDAJ	VYBER	1680	60564	\N	\N	\N
14701	48	1998-11-23	VYDAJ	VYBER KARTOU	1700	61994	\N	\N	0
14718	48	1997-04-30	VYDAJ	VYBER	15	51617	SLUZBY	\N	\N
14719	48	1997-05-31	VYDAJ	VYBER	15	44427	SLUZBY	\N	\N
14720	48	1997-06-30	VYDAJ	VYBER	15	30335	SLUZBY	\N	\N
14721	48	1997-07-31	VYDAJ	VYBER	15	38684	SLUZBY	\N	\N
14722	48	1997-08-31	VYDAJ	VYBER	15	43558	SLUZBY	\N	\N
14723	48	1997-09-30	VYDAJ	VYBER	15	51057	SLUZBY	\N	\N
14724	48	1997-10-31	VYDAJ	VYBER	15	49187	SLUZBY	\N	\N
14725	48	1997-11-30	VYDAJ	VYBER	15	45879	SLUZBY	\N	\N
14726	48	1997-12-31	VYDAJ	VYBER	15	49204	SLUZBY	\N	\N
14727	48	1998-01-31	VYDAJ	VYBER	15	42259	SLUZBY	\N	\N
14728	48	1998-02-28	VYDAJ	VYBER	15	56266	SLUZBY	\N	\N
14729	48	1998-03-31	VYDAJ	VYBER	15	52988	SLUZBY	\N	\N
14730	48	1998-04-30	VYDAJ	VYBER	15	60549	SLUZBY	\N	\N
14731	48	1998-05-31	VYDAJ	VYBER	15	61503	SLUZBY	\N	\N
14732	48	1998-06-30	VYDAJ	VYBER	15	64329	SLUZBY	\N	\N
14733	48	1998-07-31	VYDAJ	VYBER	15	65693	SLUZBY	\N	\N
14734	48	1998-08-31	VYDAJ	VYBER	15	66660	SLUZBY	\N	\N
14735	48	1998-09-30	VYDAJ	VYBER	15	66726	SLUZBY	\N	\N
14736	48	1998-10-31	VYDAJ	VYBER	15	66677	SLUZBY	\N	\N
14737	48	1998-11-30	VYDAJ	VYBER	15	62229	SLUZBY	\N	\N
14738	48	1996-12-17	VYDAJ	VYBER	4800	30121	\N	\N	\N
14739	48	1997-01-16	VYDAJ	VYBER	15900	37096	\N	\N	\N
14740	48	1997-02-15	VYDAJ	VYBER	17900	42150	\N	\N	\N
14741	48	1997-03-17	VYDAJ	VYBER	18700	46429	\N	\N	\N
14742	48	1997-04-16	VYDAJ	VYBER	18000	51428	\N	\N	\N
14743	48	1997-05-16	VYDAJ	VYBER	19300	47834	\N	\N	\N
14744	48	1997-06-15	VYDAJ	VYBER	19000	52351	\N	\N	\N
14745	48	1997-07-15	VYDAJ	VYBER	7300	38552	\N	\N	\N
14746	48	1997-08-14	VYDAJ	VYBER	10800	43401	\N	\N	\N
14747	48	1997-09-13	VYDAJ	VYBER	8200	50875	\N	\N	\N
14748	48	1997-10-13	VYDAJ	VYBER	16500	50074	\N	\N	\N
14749	48	1997-11-12	VYDAJ	VYBER	14200	45704	\N	\N	\N
14750	48	1997-12-12	VYDAJ	VYBER	21700	51103	\N	\N	\N
14751	48	1998-01-11	VYDAJ	VYBER	4400	37507	\N	\N	\N
14752	48	1998-02-10	VYDAJ	VYBER	1700	33262	\N	\N	\N
14753	48	1998-03-12	VYDAJ	VYBER	19000	52783	\N	\N	\N
14754	48	1998-04-11	VYDAJ	VYBER	6500	39191	\N	\N	\N
14755	48	1998-05-11	VYDAJ	VYBER	10600	42652	\N	\N	\N
14756	48	1998-06-10	PRIJEM	VKLAD	800	29886	\N	\N	\N
14757	48	1998-07-10	VYDAJ	VYBER	14400	42632	\N	\N	\N
14758	48	1998-08-09	VYDAJ	VYBER	14800	43596	\N	\N	\N
14759	48	1998-09-08	VYDAJ	VYBER	15700	43663	\N	\N	\N
14760	48	1998-10-08	VYDAJ	VYBER	10300	43609	\N	\N	\N
14761	48	1998-11-07	VYDAJ	VYBER	18500	41909	\N	\N	\N
14762	48	1998-12-07	VYDAJ	VYBER	15000	37461	\N	\N	\N
14788	49	1997-04-06	PRIJEM	VKLAD	300	300	\N	\N	\N
14792	49	1997-04-12	PRIJEM	PREVOD Z UCTU	4654	4954	DUCHOD	EF	57398068
14793	49	1997-05-12	PRIJEM	PREVOD Z UCTU	4654	9621	DUCHOD	EF	57398068
14794	49	1997-06-12	PRIJEM	PREVOD Z UCTU	4654	14296	DUCHOD	EF	57398068
14795	49	1997-07-12	PRIJEM	PREVOD Z UCTU	4654	18970	DUCHOD	EF	57398068
14796	49	1997-08-12	PRIJEM	PREVOD Z UCTU	4654	23645	DUCHOD	EF	57398068
14797	49	1997-09-12	PRIJEM	PREVOD Z UCTU	4654	23906	DUCHOD	EF	57398068
14798	49	1997-10-12	PRIJEM	PREVOD Z UCTU	4654	22741	DUCHOD	EF	57398068
14799	49	1997-11-12	PRIJEM	PREVOD Z UCTU	4654	18633	DUCHOD	EF	57398068
14800	49	1997-12-12	PRIJEM	PREVOD Z UCTU	4654	19449	DUCHOD	EF	57398068
14801	49	1998-01-12	PRIJEM	PREVOD Z UCTU	4654	19226	DUCHOD	EF	57398068
14802	49	1998-02-12	PRIJEM	PREVOD Z UCTU	4654	14171	DUCHOD	EF	57398068
14803	49	1998-03-12	PRIJEM	PREVOD Z UCTU	4654	15764	DUCHOD	EF	57398068
14804	49	1998-04-12	PRIJEM	PREVOD Z UCTU	4654	17365	DUCHOD	EF	57398068
14805	49	1998-05-12	PRIJEM	PREVOD Z UCTU	4654	18973	DUCHOD	EF	57398068
14806	49	1998-06-12	PRIJEM	PREVOD Z UCTU	4654	17605	DUCHOD	EF	57398068
14807	49	1998-07-12	PRIJEM	PREVOD Z UCTU	4654	15685	DUCHOD	EF	57398068
14808	49	1998-08-12	PRIJEM	PREVOD Z UCTU	4654	16986	DUCHOD	EF	57398068
14809	49	1998-09-12	PRIJEM	PREVOD Z UCTU	4654	15223	DUCHOD	EF	57398068
14810	49	1998-10-12	PRIJEM	PREVOD Z UCTU	4654	15620	DUCHOD	EF	57398068
14811	49	1998-11-12	PRIJEM	PREVOD Z UCTU	4654	13658	DUCHOD	EF	57398068
14812	49	1998-12-12	PRIJEM	PREVOD Z UCTU	4654	15249	DUCHOD	EF	57398068
14821	49	1997-09-10	VYDAJ	PREVOD NA UCET	3102	19252	SIPO	CD	83233099
14822	49	1997-10-10	VYDAJ	PREVOD NA UCET	3102	18087	SIPO	CD	83233099
14823	49	1997-11-10	VYDAJ	PREVOD NA UCET	3102	13979	SIPO	CD	83233099
14824	49	1997-12-10	VYDAJ	PREVOD NA UCET	3102	15595	SIPO	CD	83233099
14825	49	1998-01-10	VYDAJ	PREVOD NA UCET	3102	14572	SIPO	CD	83233099
14826	49	1998-02-10	VYDAJ	PREVOD NA UCET	3102	9517	SIPO	CD	83233099
14827	49	1998-03-10	VYDAJ	PREVOD NA UCET	3102	11110	SIPO	CD	83233099
14828	49	1998-04-10	VYDAJ	PREVOD NA UCET	3102	12711	SIPO	CD	83233099
14829	49	1998-05-10	VYDAJ	PREVOD NA UCET	3102	14319	SIPO	CD	83233099
14830	49	1998-06-10	VYDAJ	PREVOD NA UCET	3102	12951	SIPO	CD	83233099
14831	49	1998-07-10	VYDAJ	PREVOD NA UCET	3102	11031	SIPO	CD	83233099
14832	49	1998-08-10	VYDAJ	PREVOD NA UCET	3102	12332	SIPO	CD	83233099
14833	49	1998-09-10	VYDAJ	PREVOD NA UCET	3102	10569	SIPO	CD	83233099
14834	49	1998-10-10	VYDAJ	PREVOD NA UCET	3102	10966	SIPO	CD	83233099
14835	49	1998-11-10	VYDAJ	PREVOD NA UCET	3102	9004	SIPO	CD	83233099
14836	49	1998-12-10	VYDAJ	PREVOD NA UCET	3102	10595	SIPO	CD	83233099
14840	49	1998-01-19	VYDAJ	VYBER	1700	14726	\N	\N	\N
14841	49	1997-12-11	VYDAJ	VYBER	800	14795	\N	\N	\N
14850	49	1998-01-10	VYDAJ	VYBER	1840	17674	\N	\N	\N
14851	49	1998-01-15	VYDAJ	VYBER	640	18586	\N	\N	\N
14852	49	1998-01-16	VYDAJ	VYBER	2160	16426	\N	\N	\N
14854	49	1998-01-22	VYDAJ	VYBER	2160	12566	\N	\N	\N
14857	49	1997-11-06	VYDAJ	VYBER	2640	17081	\N	\N	\N
14858	49	1998-10-21	VYDAJ	VYBER	960	14660	\N	\N	\N
14859	49	1998-06-14	VYDAJ	VYBER	3520	14085	\N	\N	\N
14860	49	1998-08-12	VYDAJ	VYBER	3360	13626	\N	\N	\N
14861	49	1998-05-28	VYDAJ	VYBER	2080	16893	\N	\N	\N
14871	49	1997-08-31	VYDAJ	VYBER	15	23654	SLUZBY	\N	\N
14872	49	1997-09-30	VYDAJ	VYBER	15	23989	SLUZBY	\N	\N
14873	49	1997-10-31	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
14874	49	1997-11-30	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
14875	49	1997-12-31	VYDAJ	VYBER	15	19514	SLUZBY	\N	\N
14876	49	1998-01-31	VYDAJ	VYBER	15	12619	SLUZBY	\N	\N
14877	49	1998-02-28	VYDAJ	VYBER	15	14212	SLUZBY	\N	\N
14878	49	1998-03-31	VYDAJ	VYBER	15	15813	SLUZBY	\N	\N
14879	49	1998-04-30	VYDAJ	VYBER	15	17421	SLUZBY	\N	\N
14880	49	1998-05-31	VYDAJ	VYBER	15	16053	SLUZBY	\N	\N
14881	49	1998-06-30	VYDAJ	VYBER	15	14133	SLUZBY	\N	\N
14882	49	1998-07-31	VYDAJ	VYBER	15	15434	SLUZBY	\N	\N
14883	49	1998-08-31	VYDAJ	VYBER	15	13671	SLUZBY	\N	\N
14884	49	1998-09-30	VYDAJ	VYBER	15	14068	SLUZBY	\N	\N
14885	49	1998-10-31	VYDAJ	VYBER	15	12106	SLUZBY	\N	\N
14886	49	1998-11-30	VYDAJ	VYBER	15	13697	SLUZBY	\N	\N
14887	49	1997-09-03	VYDAJ	VYBER	1300	22354	\N	\N	\N
14888	49	1997-10-03	VYDAJ	VYBER	2800	21189	\N	\N	\N
14889	49	1997-11-02	VYDAJ	VYBER	3100	19721	\N	\N	\N
14890	49	1998-05-31	VYDAJ	VYBER	900	16068	\N	\N	\N
14891	49	1998-07-30	VYDAJ	VYBER	300	15385	\N	\N	\N
14892	49	1998-09-28	VYDAJ	VYBER	1200	14023	\N	\N	\N
14893	49	1998-10-28	VYDAJ	VYBER	2600	12060	\N	\N	\N
14915	50	1994-05-06	PRIJEM	VKLAD	900	900	\N	\N	\N
14920	50	1994-05-12	PRIJEM	VKLAD	16130	17030	\N	\N	\N
14921	50	1994-06-12	PRIJEM	VKLAD	24195	42471	\N	\N	\N
14922	50	1994-07-12	PRIJEM	VKLAD	16130	48539	\N	\N	\N
14923	50	1994-08-12	PRIJEM	VKLAD	16130	52162	\N	\N	\N
14924	50	1994-09-12	PRIJEM	VKLAD	16130	53904	\N	\N	\N
14925	50	1994-10-12	PRIJEM	VKLAD	16130	49749	\N	\N	\N
14926	50	1994-11-12	PRIJEM	VKLAD	16130	46169	\N	\N	\N
14927	50	1994-12-12	PRIJEM	VKLAD	24195	52539	\N	\N	\N
14928	50	1995-01-12	PRIJEM	VKLAD	16130	42152	\N	\N	\N
14929	50	1995-02-12	PRIJEM	VKLAD	16130	39133	\N	\N	\N
14930	50	1995-03-12	PRIJEM	VKLAD	16130	39900	\N	\N	\N
14931	50	1995-04-12	PRIJEM	VKLAD	16130	42375	\N	\N	\N
14932	50	1995-05-12	PRIJEM	VKLAD	16130	42160	\N	\N	\N
14933	50	1995-06-12	PRIJEM	VKLAD	24195	50108	\N	\N	\N
14934	50	1995-07-12	PRIJEM	VKLAD	16130	42004	\N	\N	\N
14935	50	1995-08-12	PRIJEM	VKLAD	16130	41882	\N	\N	\N
14936	50	1995-09-12	PRIJEM	VKLAD	16130	44260	\N	\N	\N
14937	50	1995-10-12	PRIJEM	VKLAD	16130	42145	\N	\N	\N
14938	50	1995-11-12	PRIJEM	VKLAD	16130	42422	\N	\N	\N
14939	50	1995-12-12	PRIJEM	VKLAD	24195	49563	\N	\N	\N
14940	50	1996-01-12	PRIJEM	VKLAD	16130	45357	\N	\N	\N
14941	50	1996-02-12	PRIJEM	VKLAD	16130	33126	\N	\N	\N
14942	50	1996-03-12	PRIJEM	VKLAD	16130	36365	\N	\N	\N
14943	50	1996-04-12	PRIJEM	VKLAD	16130	38717	\N	\N	\N
14944	50	1996-05-12	PRIJEM	VKLAD	16130	38377	\N	\N	\N
14945	50	1996-06-12	PRIJEM	VKLAD	24195	49703	\N	\N	\N
14946	50	1996-07-12	PRIJEM	VKLAD	16130	37359	\N	\N	\N
14947	50	1996-08-12	PRIJEM	VKLAD	16130	42216	\N	\N	\N
14948	50	1996-09-12	PRIJEM	VKLAD	16130	40385	\N	\N	\N
14949	50	1996-10-12	PRIJEM	VKLAD	16130	38244	\N	\N	\N
14950	50	1996-11-12	PRIJEM	VKLAD	16130	39298	\N	\N	\N
14951	50	1996-12-12	PRIJEM	VKLAD	24195	43916	\N	\N	\N
14952	50	1997-01-12	PRIJEM	VKLAD	16130	37972	\N	\N	\N
14953	50	1997-02-12	PRIJEM	VKLAD	16130	26910	\N	\N	\N
14954	50	1997-03-12	PRIJEM	VKLAD	16130	31716	\N	\N	\N
14955	50	1997-04-12	PRIJEM	VKLAD	16130	30541	\N	\N	\N
14956	50	1997-05-12	PRIJEM	VKLAD	16130	32568	\N	\N	\N
14957	50	1997-06-12	PRIJEM	VKLAD	24195	46973	\N	\N	\N
14958	50	1997-07-12	PRIJEM	VKLAD	16130	38855	\N	\N	\N
14959	50	1997-08-12	PRIJEM	VKLAD	16130	44415	\N	\N	\N
14960	50	1997-09-12	PRIJEM	VKLAD	16130	44788	\N	\N	\N
14961	50	1997-10-12	PRIJEM	VKLAD	16130	46765	\N	\N	\N
14962	50	1997-11-12	PRIJEM	VKLAD	16130	45343	\N	\N	\N
14963	50	1997-12-12	PRIJEM	VKLAD	24195	52680	\N	\N	\N
14964	50	1998-01-12	PRIJEM	VKLAD	16130	46770	\N	\N	\N
14965	50	1998-02-12	PRIJEM	VKLAD	16130	42349	\N	\N	\N
14966	50	1998-03-12	PRIJEM	VKLAD	16130	48421	\N	\N	\N
14967	50	1998-04-12	PRIJEM	VKLAD	16130	51714	\N	\N	\N
14968	50	1998-05-12	PRIJEM	VKLAD	16130	55822	\N	\N	\N
14969	50	1998-06-12	PRIJEM	VKLAD	24195	47107	\N	\N	\N
14970	50	1998-07-12	PRIJEM	VKLAD	16130	56109	\N	\N	\N
14971	50	1998-08-12	PRIJEM	VKLAD	16130	65149	\N	\N	\N
14972	50	1998-09-12	PRIJEM	VKLAD	16130	69311	\N	\N	\N
14973	50	1998-10-12	PRIJEM	VKLAD	16130	76597	\N	\N	\N
14974	50	1998-11-12	PRIJEM	VKLAD	16130	76400	\N	\N	\N
14975	50	1998-12-12	PRIJEM	VKLAD	24195	90088	\N	\N	\N
14985	50	1994-10-05	VYDAJ	PREVOD NA UCET	269	40643	SIPO	WX	75148117
14986	50	1994-11-05	VYDAJ	PREVOD NA UCET	269	37063	SIPO	WX	75148117
14987	50	1994-12-05	VYDAJ	PREVOD NA UCET	269	37168	SIPO	WX	75148117
14988	50	1995-01-05	VYDAJ	PREVOD NA UCET	269	35246	SIPO	WX	75148117
14989	50	1995-02-05	VYDAJ	PREVOD NA UCET	269	30027	SIPO	WX	75148117
14990	50	1995-03-05	VYDAJ	PREVOD NA UCET	269	30794	SIPO	WX	75148117
14991	50	1995-04-05	VYDAJ	PREVOD NA UCET	269	33269	SIPO	WX	75148117
14992	50	1995-05-05	VYDAJ	PREVOD NA UCET	269	33054	SIPO	WX	75148117
14993	50	1995-06-05	VYDAJ	PREVOD NA UCET	269	32937	SIPO	WX	75148117
14994	50	1995-07-05	VYDAJ	PREVOD NA UCET	269	32898	SIPO	WX	75148117
14995	50	1995-08-05	VYDAJ	PREVOD NA UCET	269	32776	SIPO	WX	75148117
14996	50	1995-09-05	VYDAJ	PREVOD NA UCET	269	35154	SIPO	WX	75148117
14997	50	1995-10-05	VYDAJ	PREVOD NA UCET	269	33039	SIPO	WX	75148117
14998	50	1995-11-05	VYDAJ	PREVOD NA UCET	269	33316	SIPO	WX	75148117
14999	50	1995-12-05	VYDAJ	PREVOD NA UCET	269	32392	SIPO	WX	75148117
15000	50	1996-01-05	VYDAJ	PREVOD NA UCET	269	38051	SIPO	WX	75148117
15001	50	1996-02-05	VYDAJ	PREVOD NA UCET	269	24020	SIPO	WX	75148117
15002	50	1996-03-05	VYDAJ	PREVOD NA UCET	269	27259	SIPO	WX	75148117
15003	50	1996-04-05	VYDAJ	PREVOD NA UCET	269	29611	SIPO	WX	75148117
15004	50	1996-05-05	VYDAJ	PREVOD NA UCET	269	30571	SIPO	WX	75148117
15005	50	1996-06-05	VYDAJ	PREVOD NA UCET	269	32532	SIPO	WX	75148117
15006	50	1996-07-05	VYDAJ	PREVOD NA UCET	269	28253	SIPO	WX	75148117
15007	50	1996-08-05	VYDAJ	PREVOD NA UCET	269	33110	SIPO	WX	75148117
15008	50	1996-09-05	VYDAJ	PREVOD NA UCET	269	31279	SIPO	WX	75148117
15009	50	1996-10-05	VYDAJ	PREVOD NA UCET	269	29138	SIPO	WX	75148117
15010	50	1996-11-05	VYDAJ	PREVOD NA UCET	269	30192	SIPO	WX	75148117
15011	50	1996-12-05	VYDAJ	PREVOD NA UCET	269	28045	SIPO	WX	75148117
15012	50	1997-01-05	VYDAJ	PREVOD NA UCET	269	30166	SIPO	WX	75148117
15013	50	1997-02-05	VYDAJ	PREVOD NA UCET	269	17804	SIPO	WX	75148117
15014	50	1997-03-05	VYDAJ	PREVOD NA UCET	269	22610	SIPO	WX	75148117
15015	50	1997-04-05	VYDAJ	PREVOD NA UCET	269	21435	SIPO	WX	75148117
15016	50	1997-05-05	VYDAJ	PREVOD NA UCET	269	27562	SIPO	WX	75148117
15017	50	1997-06-05	VYDAJ	PREVOD NA UCET	269	29802	SIPO	WX	75148117
15018	50	1997-07-05	VYDAJ	PREVOD NA UCET	269	29749	SIPO	WX	75148117
15019	50	1997-08-05	VYDAJ	PREVOD NA UCET	269	35309	SIPO	WX	75148117
15020	50	1997-09-05	VYDAJ	PREVOD NA UCET	269	35682	SIPO	WX	75148117
15021	50	1997-10-05	VYDAJ	PREVOD NA UCET	269	37659	SIPO	WX	75148117
15022	50	1997-11-05	VYDAJ	PREVOD NA UCET	269	36237	SIPO	WX	75148117
15023	50	1997-12-05	VYDAJ	PREVOD NA UCET	269	35509	SIPO	WX	75148117
15024	50	1998-01-05	VYDAJ	PREVOD NA UCET	269	40164	SIPO	WX	75148117
15025	50	1998-02-05	VYDAJ	PREVOD NA UCET	269	33243	SIPO	WX	75148117
15026	50	1998-03-05	VYDAJ	PREVOD NA UCET	269	39315	SIPO	WX	75148117
15027	50	1998-04-05	VYDAJ	PREVOD NA UCET	269	42608	SIPO	WX	75148117
15028	50	1998-05-05	VYDAJ	PREVOD NA UCET	269	46716	SIPO	WX	75148117
15029	50	1998-06-05	VYDAJ	PREVOD NA UCET	269	48736	SIPO	WX	75148117
15030	50	1998-07-05	VYDAJ	PREVOD NA UCET	269	47003	SIPO	WX	75148117
15031	50	1998-08-05	VYDAJ	PREVOD NA UCET	269	56043	SIPO	WX	75148117
15032	50	1998-09-05	VYDAJ	PREVOD NA UCET	269	60205	SIPO	WX	75148117
15033	50	1998-10-05	VYDAJ	PREVOD NA UCET	269	67491	SIPO	WX	75148117
15034	50	1998-11-05	VYDAJ	PREVOD NA UCET	269	69294	SIPO	WX	75148117
15035	50	1998-12-05	VYDAJ	PREVOD NA UCET	269	76417	SIPO	WX	75148117
15045	50	1994-10-09	VYDAJ	PREVOD NA UCET	7024	33619	 	UV	17270559
15046	50	1994-11-09	VYDAJ	PREVOD NA UCET	7024	30039	 	UV	17270559
15047	50	1994-12-09	VYDAJ	PREVOD NA UCET	7024	28344	 	UV	17270559
15048	50	1995-01-09	VYDAJ	PREVOD NA UCET	7024	28222	 	UV	17270559
15049	50	1995-02-09	VYDAJ	PREVOD NA UCET	7024	23003	 	UV	17270559
15050	50	1995-03-09	VYDAJ	PREVOD NA UCET	7024	23770	 	UV	17270559
15051	50	1995-04-09	VYDAJ	PREVOD NA UCET	7024	26245	 	UV	17270559
15052	50	1995-05-09	VYDAJ	PREVOD NA UCET	7024	26030	 	UV	17270559
15053	50	1995-06-09	VYDAJ	PREVOD NA UCET	7024	25913	 	UV	17270559
15054	50	1995-07-09	VYDAJ	PREVOD NA UCET	7024	25874	 	UV	17270559
15055	50	1995-08-09	VYDAJ	PREVOD NA UCET	7024	25752	 	UV	17270559
15056	50	1995-09-09	VYDAJ	PREVOD NA UCET	7024	28130	 	UV	17270559
15057	50	1995-10-09	VYDAJ	PREVOD NA UCET	7024	26015	 	UV	17270559
15058	50	1995-11-09	VYDAJ	PREVOD NA UCET	7024	26292	 	UV	17270559
15059	50	1995-12-09	VYDAJ	PREVOD NA UCET	7024	25368	 	UV	17270559
15060	50	1996-01-09	VYDAJ	PREVOD NA UCET	7024	31027	 	UV	17270559
15061	50	1996-02-09	VYDAJ	PREVOD NA UCET	7024	16996	 	UV	17270559
15062	50	1996-03-09	VYDAJ	PREVOD NA UCET	7024	20235	 	UV	17270559
15063	50	1996-04-09	VYDAJ	PREVOD NA UCET	7024	22587	 	UV	17270559
15064	50	1996-05-09	VYDAJ	PREVOD NA UCET	7024	22247	 	UV	17270559
15065	50	1996-06-09	VYDAJ	PREVOD NA UCET	7024	25508	 	UV	17270559
15066	50	1996-07-09	VYDAJ	PREVOD NA UCET	7024	21229	 	UV	17270559
15067	50	1996-08-09	VYDAJ	PREVOD NA UCET	7024	26086	 	UV	17270559
15068	50	1996-09-09	VYDAJ	PREVOD NA UCET	7024	24255	 	UV	17270559
15069	50	1996-10-09	VYDAJ	PREVOD NA UCET	7024	22114	 	UV	17270559
15070	50	1996-11-09	VYDAJ	PREVOD NA UCET	7024	23168	 	UV	17270559
15071	50	1996-12-09	VYDAJ	PREVOD NA UCET	7024	19721	 	UV	17270559
15072	50	1997-01-09	VYDAJ	PREVOD NA UCET	7024	21842	 	UV	17270559
15073	50	1997-02-09	VYDAJ	PREVOD NA UCET	7024	10780	 	UV	17270559
15074	50	1997-03-09	VYDAJ	PREVOD NA UCET	7024	15586	 	UV	17270559
15075	50	1997-04-09	VYDAJ	PREVOD NA UCET	7024	14411	 	UV	17270559
15076	50	1997-05-09	VYDAJ	PREVOD NA UCET	7024	16438	 	UV	17270559
15077	50	1997-06-09	VYDAJ	PREVOD NA UCET	7024	22778	 	UV	17270559
15078	50	1997-07-09	VYDAJ	PREVOD NA UCET	7024	22725	 	UV	17270559
15079	50	1997-08-09	VYDAJ	PREVOD NA UCET	7024	28285	 	UV	17270559
15080	50	1997-09-09	VYDAJ	PREVOD NA UCET	7024	28658	 	UV	17270559
15081	50	1997-10-09	VYDAJ	PREVOD NA UCET	7024	30635	 	UV	17270559
15082	50	1997-11-09	VYDAJ	PREVOD NA UCET	7024	29213	 	UV	17270559
15083	50	1997-12-09	VYDAJ	PREVOD NA UCET	7024	28485	 	UV	17270559
15084	50	1998-01-09	VYDAJ	PREVOD NA UCET	7024	33140	 	UV	17270559
15085	50	1998-02-09	VYDAJ	PREVOD NA UCET	7024	26219	 	UV	17270559
15086	50	1998-03-09	VYDAJ	PREVOD NA UCET	7024	32291	 	UV	17270559
15087	50	1998-04-09	VYDAJ	PREVOD NA UCET	7024	35584	 	UV	17270559
15088	50	1998-05-09	VYDAJ	PREVOD NA UCET	7024	39692	 	UV	17270559
15089	50	1998-06-09	VYDAJ	PREVOD NA UCET	7024	22912	 	UV	17270559
15090	50	1998-07-09	VYDAJ	PREVOD NA UCET	7024	39979	 	UV	17270559
15091	50	1998-08-09	VYDAJ	PREVOD NA UCET	7024	49019	 	UV	17270559
15092	50	1998-09-09	VYDAJ	PREVOD NA UCET	7024	53181	 	UV	17270559
15093	50	1998-10-09	VYDAJ	PREVOD NA UCET	7024	60467	 	UV	17270559
15094	50	1998-11-09	VYDAJ	PREVOD NA UCET	7024	62270	 	UV	17270559
15095	50	1998-12-09	VYDAJ	PREVOD NA UCET	7024	69393	 	UV	17270559
15098	50	1996-06-17	VYDAJ	VYBER	23600	26103	\N	\N	\N
15099	50	1997-06-19	VYDAJ	VYBER	14800	29873	\N	\N	\N
15100	50	1998-06-07	VYDAJ	VYBER	18800	29936	\N	\N	\N
15102	50	1995-01-25	VYDAJ	VYBER	2600	35252	\N	\N	\N
15103	50	1996-01-20	VYDAJ	VYBER	8600	32857	\N	\N	\N
15104	50	1997-01-19	VYDAJ	VYBER	5100	32272	\N	\N	\N
15105	50	1998-01-13	VYDAJ	VYBER	7400	39370	\N	\N	\N
15106	50	1994-12-17	VYDAJ	VYBER	1500	51039	\N	\N	\N
15107	50	1995-12-28	VYDAJ	VYBER	2000	38163	\N	\N	\N
15108	50	1996-12-16	VYDAJ	VYBER	2200	41716	\N	\N	\N
15109	50	1997-12-30	VYDAJ	VYBER	900	41780	\N	\N	\N
15110	50	1998-12-23	VYDAJ	VYBER	1600	85788	\N	\N	\N
15117	50	1995-01-19	VYDAJ	VYBER	1000	39152	\N	\N	\N
15118	50	1995-01-09	VYDAJ	VYBER	2200	26022	\N	\N	\N
15119	50	1995-01-17	VYDAJ	VYBER	500	40152	\N	\N	\N
15120	50	1995-01-29	VYDAJ	VYBER	1000	34252	\N	\N	\N
15121	50	1995-01-22	VYDAJ	VYBER	1300	37852	\N	\N	\N
15122	50	1995-01-16	VYDAJ	VYBER	1500	40652	\N	\N	\N
15123	50	1996-01-24	VYDAJ	VYBER	2200	28257	\N	\N	\N
15124	50	1996-01-18	VYDAJ	VYBER	900	43357	\N	\N	\N
15125	50	1996-01-10	VYDAJ	VYBER	1800	29227	\N	\N	\N
15126	50	1996-01-20	VYDAJ	VYBER	1900	41457	\N	\N	\N
15127	50	1996-01-22	VYDAJ	VYBER	2400	30457	\N	\N	\N
15128	50	1996-01-14	VYDAJ	VYBER	1100	44257	\N	\N	\N
15129	50	1997-01-09	VYDAJ	VYBER	1300	28866	\N	\N	\N
15130	50	1997-01-26	VYDAJ	VYBER	500	17972	\N	\N	\N
15131	50	1997-01-17	VYDAJ	VYBER	600	37372	\N	\N	\N
15132	50	1997-01-20	VYDAJ	VYBER	1000	31272	\N	\N	\N
15133	50	1997-01-25	VYDAJ	VYBER	2600	18472	\N	\N	\N
15134	50	1997-01-25	VYDAJ	VYBER	2100	21072	\N	\N	\N
15135	50	1998-01-01	VYDAJ	VYBER	700	41233	\N	\N	\N
15136	50	1998-01-30	VYDAJ	VYBER	1300	33370	\N	\N	\N
15137	50	1998-01-26	VYDAJ	VYBER	1200	37170	\N	\N	\N
15138	50	1998-01-03	VYDAJ	VYBER	800	40433	\N	\N	\N
15139	50	1998-01-29	VYDAJ	VYBER	2500	34670	\N	\N	\N
15140	50	1998-01-11	VYDAJ	VYBER	2500	30640	\N	\N	\N
15142	50	1994-12-08	VYDAJ	VYBER	1800	35368	\N	\N	\N
15143	50	1994-12-25	VYDAJ	VYBER	3900	47139	\N	\N	\N
15146	50	1995-05-04	VYDAJ	VYBER	2200	33323	\N	\N	\N
15147	50	1995-02-28	VYDAJ	VYBER	3400	35877	\N	\N	\N
15148	50	1995-09-25	VYDAJ	VYBER	1900	42360	\N	\N	\N
15149	50	1995-05-25	VYDAJ	VYBER	2300	39860	\N	\N	\N
15150	50	1995-06-24	VYDAJ	VYBER	4700	45408	\N	\N	\N
15151	50	1996-05-07	VYDAJ	VYBER	1300	29271	\N	\N	\N
15152	50	1996-12-08	VYDAJ	VYBER	1300	26745	\N	\N	\N
15153	50	1996-02-28	VYDAJ	VYBER	1400	27426	\N	\N	\N
15154	50	1996-01-27	VYDAJ	VYBER	2400	24157	\N	\N	\N
15155	50	1996-08-25	VYDAJ	VYBER	2000	31416	\N	\N	\N
15156	50	1997-02-12	VYDAJ	VYBER	1200	25710	\N	\N	\N
15157	50	1997-03-26	VYDAJ	VYBER	4600	21616	\N	\N	\N
15158	50	1997-02-15	VYDAJ	VYBER	4500	21210	\N	\N	\N
15159	50	1997-05-08	VYDAJ	VYBER	4100	23462	\N	\N	\N
15160	50	1997-03-13	VYDAJ	VYBER	600	31116	\N	\N	\N
15161	50	1997-03-13	VYDAJ	VYBER	2200	28916	\N	\N	\N
15162	50	1998-12-16	VYDAJ	VYBER	2700	87388	\N	\N	\N
15163	50	1998-07-21	VYDAJ	VYBER	2400	56109	\N	\N	\N
15173	50	1994-09-30	VYDAJ	VYBER	15	54112	SLUZBY	\N	\N
15174	50	1994-10-31	VYDAJ	VYBER	15	49932	SLUZBY	\N	\N
15175	50	1994-11-30	VYDAJ	VYBER	15	46337	SLUZBY	\N	\N
15176	50	1994-12-31	VYDAJ	VYBER	15	47315	SLUZBY	\N	\N
15177	50	1995-01-31	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
15178	50	1995-02-28	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
15179	50	1995-03-31	VYDAJ	VYBER	15	40038	SLUZBY	\N	\N
15180	50	1995-04-30	VYDAJ	VYBER	15	42523	SLUZBY	\N	\N
15181	50	1995-05-31	VYDAJ	VYBER	15	33206	SLUZBY	\N	\N
15182	50	1995-06-30	VYDAJ	VYBER	15	45567	SLUZBY	\N	\N
15183	50	1995-07-31	VYDAJ	VYBER	15	33045	SLUZBY	\N	\N
15184	50	1995-08-31	VYDAJ	VYBER	15	35423	SLUZBY	\N	\N
15185	50	1995-09-30	VYDAJ	VYBER	15	33308	SLUZBY	\N	\N
15186	50	1995-10-31	VYDAJ	VYBER	15	33585	SLUZBY	\N	\N
15187	50	1995-11-30	VYDAJ	VYBER	15	32661	SLUZBY	\N	\N
15188	50	1995-12-31	VYDAJ	VYBER	15	38320	SLUZBY	\N	\N
15189	50	1996-01-31	VYDAJ	VYBER	15	24289	SLUZBY	\N	\N
15190	50	1996-02-29	VYDAJ	VYBER	15	27528	SLUZBY	\N	\N
15191	50	1996-03-31	VYDAJ	VYBER	15	29880	SLUZBY	\N	\N
15192	50	1996-04-30	VYDAJ	VYBER	15	30840	SLUZBY	\N	\N
15193	50	1996-05-31	VYDAJ	VYBER	15	32801	SLUZBY	\N	\N
15194	50	1996-06-30	VYDAJ	VYBER	15	28522	SLUZBY	\N	\N
15195	50	1996-07-31	VYDAJ	VYBER	15	33379	SLUZBY	\N	\N
15196	50	1996-08-31	VYDAJ	VYBER	15	31548	SLUZBY	\N	\N
15197	50	1996-09-30	VYDAJ	VYBER	15	29407	SLUZBY	\N	\N
15198	50	1996-10-31	VYDAJ	VYBER	15	30461	SLUZBY	\N	\N
15199	50	1996-11-30	VYDAJ	VYBER	15	28314	SLUZBY	\N	\N
15200	50	1996-12-31	VYDAJ	VYBER	15	30435	SLUZBY	\N	\N
15201	50	1997-01-31	VYDAJ	VYBER	15	18073	SLUZBY	\N	\N
15202	50	1997-02-28	VYDAJ	VYBER	15	22879	SLUZBY	\N	\N
15203	50	1997-03-31	VYDAJ	VYBER	15	21704	SLUZBY	\N	\N
15204	50	1997-04-30	VYDAJ	VYBER	15	27831	SLUZBY	\N	\N
15205	50	1997-05-31	VYDAJ	VYBER	15	30071	SLUZBY	\N	\N
15206	50	1997-06-30	VYDAJ	VYBER	15	30018	SLUZBY	\N	\N
15207	50	1997-07-31	VYDAJ	VYBER	15	35578	SLUZBY	\N	\N
15208	50	1997-08-31	VYDAJ	VYBER	15	35951	SLUZBY	\N	\N
15209	50	1997-09-30	VYDAJ	VYBER	15	37928	SLUZBY	\N	\N
15210	50	1997-10-31	VYDAJ	VYBER	15	36506	SLUZBY	\N	\N
15211	50	1997-11-30	VYDAJ	VYBER	15	35778	SLUZBY	\N	\N
15212	50	1997-12-31	VYDAJ	VYBER	15	41933	SLUZBY	\N	\N
15213	50	1998-01-31	VYDAJ	VYBER	15	33512	SLUZBY	\N	\N
15214	50	1998-02-28	VYDAJ	VYBER	15	39584	SLUZBY	\N	\N
15215	50	1998-03-31	VYDAJ	VYBER	15	42877	SLUZBY	\N	\N
15216	50	1998-04-30	VYDAJ	VYBER	15	46985	SLUZBY	\N	\N
15217	50	1998-05-31	VYDAJ	VYBER	15	49005	SLUZBY	\N	\N
15218	50	1998-06-30	VYDAJ	VYBER	15	47272	SLUZBY	\N	\N
15219	50	1998-07-31	VYDAJ	VYBER	15	56312	SLUZBY	\N	\N
15220	50	1998-08-31	VYDAJ	VYBER	15	60474	SLUZBY	\N	\N
15221	50	1998-09-30	VYDAJ	VYBER	15	67760	SLUZBY	\N	\N
15222	50	1998-10-31	VYDAJ	VYBER	15	69563	SLUZBY	\N	\N
15223	50	1998-11-30	VYDAJ	VYBER	15	76686	SLUZBY	\N	\N
15224	50	1994-06-05	PRIJEM	VKLAD	1200	18276	\N	\N	\N
15225	50	1994-07-05	VYDAJ	VYBER	10200	32409	\N	\N	\N
15226	50	1994-08-04	VYDAJ	VYBER	12700	36032	\N	\N	\N
15227	50	1994-09-03	VYDAJ	VYBER	14600	37774	\N	\N	\N
15228	50	1994-10-03	VYDAJ	VYBER	13200	40912	\N	\N	\N
15229	50	1994-11-02	VYDAJ	VYBER	12600	37332	\N	\N	\N
15230	50	1994-12-02	VYDAJ	VYBER	8900	37437	\N	\N	\N
15231	50	1995-01-01	VYDAJ	VYBER	11800	35515	\N	\N	\N
15232	50	1995-01-31	VYDAJ	VYBER	4100	30310	\N	\N	\N
15233	50	1995-03-02	VYDAJ	VYBER	4800	31063	\N	\N	\N
15234	50	1995-04-01	VYDAJ	VYBER	6500	33538	\N	\N	\N
15235	50	1995-05-01	VYDAJ	VYBER	7000	35523	\N	\N	\N
15236	50	1995-05-31	VYDAJ	VYBER	6800	33220	\N	\N	\N
15237	50	1995-06-30	VYDAJ	VYBER	12400	33167	\N	\N	\N
15238	50	1995-07-30	VYDAJ	VYBER	9100	32904	\N	\N	\N
15239	50	1995-08-29	VYDAJ	VYBER	6600	35282	\N	\N	\N
15240	50	1995-09-28	VYDAJ	VYBER	9200	33160	\N	\N	\N
15241	50	1995-10-28	VYDAJ	VYBER	8700	33445	\N	\N	\N
15242	50	1995-11-27	VYDAJ	VYBER	9900	32522	\N	\N	\N
15243	50	1995-12-27	VYDAJ	VYBER	9400	40163	\N	\N	\N
15244	50	1996-01-26	VYDAJ	VYBER	1700	26557	\N	\N	\N
15245	50	1996-02-25	VYDAJ	VYBER	4300	28826	\N	\N	\N
15246	50	1996-03-26	VYDAJ	VYBER	6600	29765	\N	\N	\N
15247	50	1996-04-25	VYDAJ	VYBER	8000	30717	\N	\N	\N
15248	50	1996-05-25	VYDAJ	VYBER	5700	32677	\N	\N	\N
15249	50	1996-06-24	PRIJEM	VKLAD	2300	28403	\N	\N	\N
15250	50	1996-07-24	VYDAJ	VYBER	4100	33259	\N	\N	\N
15251	50	1996-08-23	VYDAJ	VYBER	8800	33416	\N	\N	\N
15252	50	1996-09-22	VYDAJ	VYBER	11100	29285	\N	\N	\N
15253	50	1996-10-22	VYDAJ	VYBER	7900	30344	\N	\N	\N
15254	50	1996-11-21	VYDAJ	VYBER	11100	28198	\N	\N	\N
15255	50	1996-12-21	VYDAJ	VYBER	11400	30316	\N	\N	\N
15256	50	1997-01-20	VYDAJ	VYBER	8100	23172	\N	\N	\N
15257	50	1997-02-19	PRIJEM	VKLAD	1600	22810	\N	\N	\N
15258	50	1997-03-21	VYDAJ	VYBER	2700	26216	\N	\N	\N
15259	50	1997-04-20	VYDAJ	VYBER	2800	27741	\N	\N	\N
15260	50	1997-05-20	VYDAJ	VYBER	2600	29968	\N	\N	\N
15261	50	1997-06-19	VYDAJ	VYBER	2300	44673	\N	\N	\N
15262	50	1997-07-19	VYDAJ	VYBER	3400	35455	\N	\N	\N
15263	50	1997-08-18	VYDAJ	VYBER	8600	35815	\N	\N	\N
15264	50	1997-09-17	VYDAJ	VYBER	7000	37788	\N	\N	\N
15265	50	1997-10-17	VYDAJ	VYBER	10400	36365	\N	\N	\N
15266	50	1997-11-16	VYDAJ	VYBER	9700	35643	\N	\N	\N
15267	50	1997-12-16	VYDAJ	VYBER	10000	42680	\N	\N	\N
15268	50	1998-01-15	VYDAJ	VYBER	1000	38370	\N	\N	\N
15269	50	1998-02-14	VYDAJ	VYBER	2900	39449	\N	\N	\N
15270	50	1998-03-16	VYDAJ	VYBER	5700	42721	\N	\N	\N
15271	50	1998-04-15	VYDAJ	VYBER	4900	46814	\N	\N	\N
15272	50	1998-05-15	VYDAJ	VYBER	7000	48822	\N	\N	\N
15273	50	1998-07-14	PRIJEM	VKLAD	2400	58509	\N	\N	\N
15274	50	1998-08-13	VYDAJ	VYBER	4900	60249	\N	\N	\N
15275	50	1998-09-12	VYDAJ	VYBER	1800	67511	\N	\N	\N
15276	50	1998-10-12	VYDAJ	VYBER	7300	69297	\N	\N	\N
15277	50	1998-11-11	VYDAJ	VYBER	2000	60270	\N	\N	\N
15278	50	1998-12-11	VYDAJ	VYBER	3500	65893	\N	\N	\N
15335	51	1996-05-11	PRIJEM	VKLAD	800	800	\N	\N	\N
15341	51	1996-06-08	PRIJEM	VKLAD	30950	31750	\N	\N	\N
15342	51	1996-07-08	PRIJEM	VKLAD	20633	46859	\N	\N	\N
15343	51	1996-08-08	PRIJEM	VKLAD	20633	54825	\N	\N	\N
15344	51	1996-09-08	PRIJEM	VKLAD	20633	58812	\N	\N	\N
15345	51	1996-10-08	PRIJEM	VKLAD	20633	60670	\N	\N	\N
15346	51	1996-11-08	PRIJEM	VKLAD	20633	49339	\N	\N	\N
15347	51	1996-12-08	PRIJEM	VKLAD	30950	64132	\N	\N	\N
15348	51	1997-01-08	PRIJEM	VKLAD	20633	61560	\N	\N	\N
15349	51	1997-02-08	PRIJEM	VKLAD	20633	60387	\N	\N	\N
15350	51	1997-03-08	PRIJEM	VKLAD	20633	62214	\N	\N	\N
15351	51	1997-04-08	PRIJEM	VKLAD	20633	60849	\N	\N	\N
15352	51	1997-05-08	PRIJEM	VKLAD	20633	60078	\N	\N	\N
15353	51	1997-06-08	PRIJEM	VKLAD	30950	60114	\N	\N	\N
15354	51	1997-07-08	PRIJEM	VKLAD	20633	60831	\N	\N	\N
15355	51	1997-08-08	PRIJEM	VKLAD	20633	55661	\N	\N	\N
15356	51	1997-09-08	PRIJEM	VKLAD	20633	59566	\N	\N	\N
15357	51	1997-10-08	PRIJEM	VKLAD	20633	57988	\N	\N	\N
15358	51	1997-11-08	PRIJEM	VKLAD	20633	64605	\N	\N	\N
15359	51	1997-12-08	PRIJEM	VKLAD	30950	79962	\N	\N	\N
15360	51	1998-01-08	PRIJEM	VKLAD	20633	77360	\N	\N	\N
15361	51	1998-02-08	PRIJEM	VKLAD	20633	76346	\N	\N	\N
15362	51	1998-03-08	PRIJEM	VKLAD	20633	72334	\N	\N	\N
15363	51	1998-04-08	PRIJEM	VKLAD	20633	76812	\N	\N	\N
15364	51	1998-05-08	PRIJEM	VKLAD	20633	80905	\N	\N	\N
15365	51	1998-06-08	PRIJEM	VKLAD	30950	90017	\N	\N	\N
15366	51	1998-07-08	PRIJEM	VKLAD	20633	72840	\N	\N	\N
15367	51	1998-08-08	PRIJEM	VKLAD	20633	78289	\N	\N	\N
15368	51	1998-09-08	PRIJEM	VKLAD	20633	84174	\N	\N	\N
15369	51	1998-10-08	PRIJEM	VKLAD	20633	93284	\N	\N	\N
15370	51	1998-11-08	PRIJEM	VKLAD	20633	97528	\N	\N	\N
15371	51	1998-12-08	PRIJEM	VKLAD	30950	106203	\N	\N	\N
15381	51	1996-10-12	VYDAJ	PREVOD NA UCET	2074	38896	SIPO	KL	71050131
15382	51	1996-11-12	VYDAJ	PREVOD NA UCET	2074	47265	SIPO	KL	71050131
15383	51	1996-12-12	VYDAJ	PREVOD NA UCET	2074	62058	SIPO	KL	71050131
15384	51	1997-01-12	VYDAJ	PREVOD NA UCET	2074	59486	SIPO	KL	71050131
15385	51	1997-02-12	VYDAJ	PREVOD NA UCET	2074	58313	SIPO	KL	71050131
15386	51	1997-03-12	VYDAJ	PREVOD NA UCET	2074	60140	SIPO	KL	71050131
15387	51	1997-04-12	VYDAJ	PREVOD NA UCET	2074	58775	SIPO	KL	71050131
15388	51	1997-05-12	VYDAJ	PREVOD NA UCET	2074	55204	SIPO	KL	71050131
15389	51	1997-06-12	VYDAJ	PREVOD NA UCET	2074	58040	SIPO	KL	71050131
15390	51	1997-07-12	VYDAJ	PREVOD NA UCET	2074	58757	SIPO	KL	71050131
15391	51	1997-08-12	VYDAJ	PREVOD NA UCET	2074	53587	SIPO	KL	71050131
15392	51	1997-09-12	VYDAJ	PREVOD NA UCET	2074	57492	SIPO	KL	71050131
15393	51	1997-10-12	VYDAJ	PREVOD NA UCET	2074	55914	SIPO	KL	71050131
15394	51	1997-11-12	VYDAJ	PREVOD NA UCET	2074	62531	SIPO	KL	71050131
15395	51	1997-12-12	VYDAJ	PREVOD NA UCET	2074	76588	SIPO	KL	71050131
15396	51	1998-01-12	VYDAJ	PREVOD NA UCET	2074	75286	SIPO	KL	71050131
15397	51	1998-02-12	VYDAJ	PREVOD NA UCET	2074	74272	SIPO	KL	71050131
15398	51	1998-03-12	VYDAJ	PREVOD NA UCET	2074	70260	SIPO	KL	71050131
15399	51	1998-04-12	VYDAJ	PREVOD NA UCET	2074	74738	SIPO	KL	71050131
15400	51	1998-05-12	VYDAJ	PREVOD NA UCET	2074	75131	SIPO	KL	71050131
15401	51	1998-06-12	VYDAJ	PREVOD NA UCET	2074	87943	SIPO	KL	71050131
15402	51	1998-07-12	VYDAJ	PREVOD NA UCET	2074	67366	SIPO	KL	71050131
15403	51	1998-08-12	VYDAJ	PREVOD NA UCET	2074	76215	SIPO	KL	71050131
15404	51	1998-09-12	VYDAJ	PREVOD NA UCET	2074	82100	SIPO	KL	71050131
15405	51	1998-10-12	VYDAJ	PREVOD NA UCET	2074	91210	SIPO	KL	71050131
15406	51	1998-11-12	VYDAJ	PREVOD NA UCET	2074	95454	SIPO	KL	71050131
15407	51	1998-12-12	VYDAJ	PREVOD NA UCET	2074	104129	SIPO	KL	71050131
15418	51	1996-11-07	VYDAJ	PREVOD NA UCET	2057	37006	 	KL	74449389
15419	51	1996-12-07	VYDAJ	PREVOD NA UCET	2057	33182	 	KL	74449389
15420	51	1997-01-07	VYDAJ	PREVOD NA UCET	2057	40927	 	KL	74449389
15421	51	1997-02-07	VYDAJ	PREVOD NA UCET	2057	39754	 	KL	74449389
15422	51	1997-03-07	VYDAJ	PREVOD NA UCET	2057	41581	 	KL	74449389
15423	51	1997-04-07	VYDAJ	PREVOD NA UCET	2057	40216	 	KL	74449389
15424	51	1997-05-07	VYDAJ	PREVOD NA UCET	2057	39445	 	KL	74449389
15425	51	1997-06-07	VYDAJ	PREVOD NA UCET	2057	29164	 	KL	74449389
15426	51	1997-07-07	VYDAJ	PREVOD NA UCET	2057	40198	 	KL	74449389
15427	51	1997-08-07	VYDAJ	PREVOD NA UCET	2057	35028	 	KL	74449389
15428	51	1997-09-07	VYDAJ	PREVOD NA UCET	2057	38933	 	KL	74449389
15429	51	1997-10-07	VYDAJ	PREVOD NA UCET	2057	37355	 	KL	74449389
15430	51	1997-11-07	VYDAJ	PREVOD NA UCET	2057	43972	 	KL	74449389
15431	51	1997-12-07	VYDAJ	PREVOD NA UCET	2057	49012	 	KL	74449389
15432	51	1998-01-07	VYDAJ	PREVOD NA UCET	2057	56727	 	KL	74449389
15433	51	1998-02-07	VYDAJ	PREVOD NA UCET	2057	55713	 	KL	74449389
15434	51	1998-03-07	VYDAJ	PREVOD NA UCET	2057	51701	 	KL	74449389
15435	51	1998-04-07	VYDAJ	PREVOD NA UCET	2057	56179	 	KL	74449389
15436	51	1998-05-07	VYDAJ	PREVOD NA UCET	2057	60272	 	KL	74449389
15437	51	1998-06-07	VYDAJ	PREVOD NA UCET	2057	59067	 	KL	74449389
15438	51	1998-07-07	VYDAJ	PREVOD NA UCET	2057	52207	 	KL	74449389
15439	51	1998-08-07	VYDAJ	PREVOD NA UCET	2057	57656	 	KL	74449389
15440	51	1998-09-07	VYDAJ	PREVOD NA UCET	2057	63541	 	KL	74449389
15441	51	1998-10-07	VYDAJ	PREVOD NA UCET	2057	72651	 	KL	74449389
15442	51	1998-11-07	VYDAJ	PREVOD NA UCET	2057	76895	 	KL	74449389
15443	51	1998-12-07	VYDAJ	PREVOD NA UCET	2057	75253	 	KL	74449389
15445	51	1997-06-03	VYDAJ	VYBER	12900	42521	\N	\N	\N
15446	51	1998-06-27	VYDAJ	VYBER	26300	61643	\N	\N	\N
15447	51	1996-12-18	VYDAJ	VYBER	1700	60358	\N	\N	\N
15448	51	1997-12-12	VYDAJ	VYBER	1300	78662	\N	\N	\N
15449	51	1998-12-13	VYDAJ	VYBER KARTOU	2600	101529	\N	\N	0
15456	51	1997-05-09	VYDAJ	VYBER	2800	57278	\N	\N	\N
15457	51	1997-09-30	VYDAJ	VYBER	2800	54912	\N	\N	\N
15458	51	1997-10-06	VYDAJ	VYBER	2400	39412	\N	\N	\N
15459	51	1997-01-13	VYDAJ	VYBER	2900	56586	\N	\N	\N
15460	51	1997-04-03	VYDAJ	VYBER	800	59573	\N	\N	\N
15461	51	1997-08-03	VYDAJ	VYBER	4800	54185	\N	\N	\N
15462	51	1998-01-18	VYDAJ	VYBER	3000	68686	\N	\N	\N
15463	51	1998-05-12	VYDAJ	VYBER	3700	77205	\N	\N	\N
15464	51	1998-02-24	VYDAJ	VYBER	4800	69472	\N	\N	\N
15465	51	1998-05-19	VYDAJ	VYBER	3600	71531	\N	\N	\N
15466	51	1998-07-12	VYDAJ	VYBER KARTOU	3400	69440	\N	\N	0
15467	51	1998-01-14	VYDAJ	VYBER	3600	71686	\N	\N	\N
15468	51	1998-12-16	VYDAJ	VYBER KARTOU	3700	97829	\N	\N	0
15469	51	1998-07-18	VYDAJ	VYBER	4500	62866	\N	\N	\N
15480	51	1996-10-31	VYDAJ	VYBER	15	39063	SLUZBY	\N	\N
15481	51	1996-11-30	VYDAJ	VYBER	15	47439	SLUZBY	\N	\N
15482	51	1996-12-31	VYDAJ	VYBER	15	60584	SLUZBY	\N	\N
15483	51	1997-01-31	VYDAJ	VYBER	15	56811	SLUZBY	\N	\N
15484	51	1997-02-28	VYDAJ	VYBER	15	58538	SLUZBY	\N	\N
15485	51	1997-03-31	VYDAJ	VYBER	15	60373	SLUZBY	\N	\N
15486	51	1997-04-30	VYDAJ	VYBER	15	59002	SLUZBY	\N	\N
15487	51	1997-05-31	VYDAJ	VYBER	15	55421	SLUZBY	\N	\N
15488	51	1997-06-30	VYDAJ	VYBER	15	58255	SLUZBY	\N	\N
15489	51	1997-07-31	VYDAJ	VYBER	15	58985	SLUZBY	\N	\N
15490	51	1997-08-31	VYDAJ	VYBER	15	53790	SLUZBY	\N	\N
15491	51	1997-09-30	VYDAJ	VYBER	15	57712	SLUZBY	\N	\N
15492	51	1997-10-31	VYDAJ	VYBER	15	56129	SLUZBY	\N	\N
15493	51	1997-11-30	VYDAJ	VYBER	15	62769	SLUZBY	\N	\N
15494	51	1997-12-31	VYDAJ	VYBER	15	76884	SLUZBY	\N	\N
15495	51	1998-01-31	VYDAJ	VYBER	15	68970	SLUZBY	\N	\N
15496	51	1998-02-28	VYDAJ	VYBER	15	69758	SLUZBY	\N	\N
15497	51	1998-03-31	VYDAJ	VYBER	15	70536	SLUZBY	\N	\N
15498	51	1998-04-30	VYDAJ	VYBER	15	75029	SLUZBY	\N	\N
15499	51	1998-05-31	VYDAJ	VYBER	15	71824	SLUZBY	\N	\N
15500	51	1998-06-30	VYDAJ	VYBER	15	61964	SLUZBY	\N	\N
15501	51	1998-07-31	VYDAJ	VYBER	15	59713	SLUZBY	\N	\N
15502	51	1998-08-31	VYDAJ	VYBER	15	65598	SLUZBY	\N	\N
15503	51	1998-09-30	VYDAJ	VYBER	15	74708	SLUZBY	\N	\N
15504	51	1998-10-31	VYDAJ	VYBER	15	78952	SLUZBY	\N	\N
15505	51	1998-11-30	VYDAJ	VYBER	15	77310	SLUZBY	\N	\N
15506	51	1996-06-10	VYDAJ	VYBER	5600	26150	\N	\N	\N
15507	51	1996-07-10	VYDAJ	VYBER	12800	34059	\N	\N	\N
15508	51	1996-08-09	VYDAJ	VYBER	16800	38025	\N	\N	\N
15509	51	1996-09-08	VYDAJ	VYBER	19000	39812	\N	\N	\N
15510	51	1996-10-08	VYDAJ	VYBER	19700	40970	\N	\N	\N
15511	51	1996-11-07	VYDAJ	VYBER	8300	28706	\N	\N	\N
15512	51	1996-12-07	VYDAJ	VYBER	12200	35239	\N	\N	\N
15513	51	1997-01-06	VYDAJ	VYBER	17600	42984	\N	\N	\N
15514	51	1997-02-05	VYDAJ	VYBER	15000	41811	\N	\N	\N
15515	51	1997-03-07	VYDAJ	VYBER	14900	43638	\N	\N	\N
15516	51	1997-04-06	VYDAJ	VYBER	17300	42273	\N	\N	\N
15517	51	1997-05-06	VYDAJ	VYBER	17500	41502	\N	\N	\N
15518	51	1997-06-05	VYDAJ	VYBER	11300	31221	\N	\N	\N
15519	51	1997-07-05	VYDAJ	VYBER	16000	42255	\N	\N	\N
15520	51	1997-08-04	VYDAJ	VYBER	17100	37085	\N	\N	\N
15521	51	1997-09-03	VYDAJ	VYBER	12800	40990	\N	\N	\N
15522	51	1997-10-03	VYDAJ	VYBER	13100	41812	\N	\N	\N
15523	51	1997-11-02	VYDAJ	VYBER	10100	46029	\N	\N	\N
15524	51	1997-12-02	VYDAJ	VYBER	11700	51069	\N	\N	\N
15525	51	1998-01-01	VYDAJ	VYBER	18100	58784	\N	\N	\N
15526	51	1998-01-31	VYDAJ	VYBER	11200	57770	\N	\N	\N
15527	51	1998-03-02	VYDAJ	VYBER	16000	53758	\N	\N	\N
15528	51	1998-04-01	VYDAJ	VYBER	12300	58236	\N	\N	\N
15529	51	1998-05-01	VYDAJ	VYBER	12700	62329	\N	\N	\N
15530	51	1998-05-31	VYDAJ	VYBER	10700	61124	\N	\N	\N
15531	51	1998-06-30	VYDAJ	VYBER	7700	54264	\N	\N	\N
15532	51	1998-07-30	VYDAJ	VYBER KARTOU	3400	59466	\N	\N	0
15533	51	1998-08-29	VYDAJ	VYBER	10900	65315	\N	\N	\N
15534	51	1998-09-28	VYDAJ	VYBER	7700	74400	\N	\N	\N
15535	51	1998-10-28	VYDAJ	VYBER	12600	78610	\N	\N	\N
15536	51	1998-11-27	VYDAJ	VYBER	18500	76954	\N	\N	\N
15568	52	1997-01-29	PRIJEM	VKLAD	900	900	\N	\N	\N
15570	52	1997-02-06	PRIJEM	PREVOD Z UCTU	25530	26430	\N	CD	42768037
15571	52	1997-03-06	PRIJEM	PREVOD Z UCTU	25530	51764	\N	CD	42768037
15572	52	1997-04-06	PRIJEM	PREVOD Z UCTU	25530	63406	\N	CD	42768037
15573	52	1997-05-06	PRIJEM	PREVOD Z UCTU	25530	70496	\N	CD	42768037
15574	52	1997-06-06	PRIJEM	PREVOD Z UCTU	38295	83077	\N	CD	42768037
15575	52	1997-07-06	PRIJEM	PREVOD Z UCTU	25530	59163	\N	CD	42768037
15576	52	1997-08-06	PRIJEM	PREVOD Z UCTU	25530	65101	\N	CD	42768037
15577	52	1997-09-06	PRIJEM	PREVOD Z UCTU	25530	59502	\N	CD	42768037
15578	52	1997-10-06	PRIJEM	PREVOD Z UCTU	25530	65446	\N	CD	42768037
15579	52	1997-11-06	PRIJEM	PREVOD Z UCTU	25530	64500	\N	CD	42768037
15580	52	1997-12-06	PRIJEM	PREVOD Z UCTU	38295	74613	\N	CD	42768037
15581	52	1998-01-06	PRIJEM	PREVOD Z UCTU	25530	49981	\N	CD	42768037
15582	52	1998-02-06	PRIJEM	PREVOD Z UCTU	25530	37944	\N	CD	42768037
15583	52	1998-03-06	PRIJEM	PREVOD Z UCTU	25530	38120	\N	CD	42768037
15584	52	1998-04-06	PRIJEM	PREVOD Z UCTU	25530	47967	\N	CD	42768037
15585	52	1998-05-06	PRIJEM	PREVOD Z UCTU	25530	52349	\N	CD	42768037
15586	52	1998-06-06	PRIJEM	PREVOD Z UCTU	38295	68712	\N	CD	42768037
15587	52	1998-07-06	PRIJEM	PREVOD Z UCTU	25530	55130	\N	CD	42768037
15588	52	1998-08-06	PRIJEM	PREVOD Z UCTU	25530	45457	\N	CD	42768037
15589	52	1998-09-06	PRIJEM	PREVOD Z UCTU	25530	40932	\N	CD	42768037
15590	52	1998-10-06	PRIJEM	PREVOD Z UCTU	25530	42170	\N	CD	42768037
15591	52	1998-11-06	PRIJEM	PREVOD Z UCTU	25530	51527	\N	CD	42768037
15592	52	1998-12-06	PRIJEM	PREVOD Z UCTU	38295	62681	\N	CD	42768037
15598	52	1997-06-07	VYDAJ	PREVOD NA UCET	560	82517	SIPO	EF	6008005
15599	52	1997-07-07	VYDAJ	PREVOD NA UCET	560	58603	SIPO	EF	6008005
15600	52	1997-08-07	VYDAJ	PREVOD NA UCET	560	64541	SIPO	EF	6008005
15601	52	1997-09-07	VYDAJ	PREVOD NA UCET	560	58942	SIPO	EF	6008005
15602	52	1997-10-07	VYDAJ	PREVOD NA UCET	560	64886	SIPO	EF	6008005
15603	52	1997-11-07	VYDAJ	PREVOD NA UCET	560	63940	SIPO	EF	6008005
15604	52	1997-12-07	VYDAJ	PREVOD NA UCET	560	74053	SIPO	EF	6008005
15605	52	1998-01-07	VYDAJ	PREVOD NA UCET	560	38321	SIPO	EF	6008005
15606	52	1998-02-07	VYDAJ	PREVOD NA UCET	560	37384	SIPO	EF	6008005
15607	52	1998-03-07	VYDAJ	PREVOD NA UCET	560	37560	SIPO	EF	6008005
15608	52	1998-04-07	VYDAJ	PREVOD NA UCET	560	47407	SIPO	EF	6008005
15609	52	1998-05-07	VYDAJ	PREVOD NA UCET	560	51789	SIPO	EF	6008005
15610	52	1998-06-07	VYDAJ	PREVOD NA UCET	560	68152	SIPO	EF	6008005
15611	52	1998-07-07	VYDAJ	PREVOD NA UCET	560	54570	SIPO	EF	6008005
15612	52	1998-08-07	VYDAJ	PREVOD NA UCET	560	44897	SIPO	EF	6008005
15613	52	1998-09-07	VYDAJ	PREVOD NA UCET	560	40372	SIPO	EF	6008005
15614	52	1998-10-07	VYDAJ	PREVOD NA UCET	560	41610	SIPO	EF	6008005
15615	52	1998-11-07	VYDAJ	PREVOD NA UCET	560	34017	SIPO	EF	6008005
15616	52	1998-12-07	VYDAJ	PREVOD NA UCET	560	62121	SIPO	EF	6008005
15622	52	1997-06-11	VYDAJ	PREVOD NA UCET	3723	78794	 	QR	85721850
15623	52	1997-07-11	VYDAJ	PREVOD NA UCET	3723	54880	 	QR	85721850
15624	52	1997-08-11	VYDAJ	PREVOD NA UCET	3723	60818	 	QR	85721850
15625	52	1997-09-11	VYDAJ	PREVOD NA UCET	3723	55219	 	QR	85721850
15626	52	1997-10-11	VYDAJ	PREVOD NA UCET	3723	61163	 	QR	85721850
15627	52	1997-11-11	VYDAJ	PREVOD NA UCET	3723	60217	 	QR	85721850
15628	52	1997-12-11	VYDAJ	PREVOD NA UCET	3723	70330	 	QR	85721850
15629	52	1998-01-11	VYDAJ	PREVOD NA UCET	3723	34598	 	QR	85721850
15630	52	1998-02-11	VYDAJ	PREVOD NA UCET	3723	20428	 	QR	85721850
15631	52	1998-03-11	VYDAJ	PREVOD NA UCET	3723	33837	 	QR	85721850
15632	52	1998-04-11	VYDAJ	PREVOD NA UCET	3723	43684	 	QR	85721850
15633	52	1998-05-11	VYDAJ	PREVOD NA UCET	3723	48066	 	QR	85721850
15634	52	1998-06-11	VYDAJ	PREVOD NA UCET	3723	64429	 	QR	85721850
15635	52	1998-07-11	VYDAJ	PREVOD NA UCET	3723	50847	 	QR	85721850
15636	52	1998-08-11	VYDAJ	PREVOD NA UCET	3723	41174	 	QR	85721850
15637	52	1998-09-11	VYDAJ	PREVOD NA UCET	3723	36649	 	QR	85721850
15638	52	1998-10-11	VYDAJ	PREVOD NA UCET	3723	37887	 	QR	85721850
15639	52	1998-11-11	VYDAJ	PREVOD NA UCET	3723	30294	 	QR	85721850
15640	52	1998-12-11	VYDAJ	PREVOD NA UCET	3723	45498	 	QR	85721850
15641	52	1997-09-05	VYBER	VYBER	6656	33972	\N	\N	\N
15644	52	1998-06-14	VYBER	VYBER	12702	51727	\N	\N	\N
15645	52	1998-12-16	VYBER	VYBER	22963	22535	\N	\N	\N
15647	52	1998-11-19	VYBER	VYBER	6207	24087	\N	\N	\N
15648	52	1998-07-20	VYBER	VYBER	18656	32191	\N	\N	\N
15649	52	1998-02-09	VYBER	VYBER	13233	24151	\N	\N	\N
15652	52	1998-11-07	VYBER	VYBER	16950	34577	\N	\N	\N
15654	52	1998-08-13	VYBER	VYBER	11265	29909	\N	\N	\N
15657	52	1997-06-23	VYDAJ	VYBER	42300	36494	\N	\N	\N
15660	52	1998-01-06	VYDAJ	VYBER	11100	38881	\N	\N	\N
15661	52	1997-12-22	VYDAJ	VYBER	1800	68530	\N	\N	\N
15662	52	1998-12-10	VYDAJ	VYBER	2700	49221	\N	\N	\N
15669	52	1998-01-11	VYDAJ	VYBER	2100	32498	\N	\N	\N
15670	52	1998-01-24	VYDAJ	VYBER	8700	23798	\N	\N	\N
15672	52	1998-01-04	VYDAJ	VYBER	7800	29551	\N	\N	\N
15674	52	1998-01-04	VYDAJ	VYBER	5100	24451	\N	\N	\N
15679	52	1998-09-19	VYDAJ	VYBER	12000	24649	\N	\N	\N
15683	52	1998-12-08	VYDAJ	VYBER	10200	51921	\N	\N	\N
15690	52	1997-06-30	VYDAJ	VYBER	15	33633	SLUZBY	\N	\N
15691	52	1997-07-31	VYDAJ	VYBER	15	39571	SLUZBY	\N	\N
15692	52	1997-08-31	VYDAJ	VYBER	15	40628	SLUZBY	\N	\N
15693	52	1997-09-30	VYDAJ	VYBER	15	39916	SLUZBY	\N	\N
15694	52	1997-10-31	VYDAJ	VYBER	15	38970	SLUZBY	\N	\N
15695	52	1997-11-30	VYDAJ	VYBER	15	36318	SLUZBY	\N	\N
15696	52	1997-12-31	VYDAJ	VYBER	15	37351	SLUZBY	\N	\N
15697	52	1998-01-31	VYDAJ	VYBER	15	12414	SLUZBY	\N	\N
15698	52	1998-02-28	VYDAJ	VYBER	15	12590	SLUZBY	\N	\N
15699	52	1998-03-31	VYDAJ	VYBER	15	22437	SLUZBY	\N	\N
15700	52	1998-04-30	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
15701	52	1998-05-31	VYDAJ	VYBER	15	30417	SLUZBY	\N	\N
15702	52	1998-06-30	VYDAJ	VYBER	15	29600	SLUZBY	\N	\N
15703	52	1998-07-31	VYDAJ	VYBER	15	19927	SLUZBY	\N	\N
15704	52	1998-08-31	VYDAJ	VYBER	15	15402	SLUZBY	\N	\N
15705	52	1998-09-30	VYDAJ	VYBER	15	16640	SLUZBY	\N	\N
15706	52	1998-10-31	VYDAJ	VYBER	15	25997	SLUZBY	\N	\N
15707	52	1998-11-30	VYDAJ	VYBER	15	24386	SLUZBY	\N	\N
15708	52	1997-02-28	VYDAJ	VYBER	200	26234	\N	\N	\N
15709	52	1997-03-30	VYDAJ	VYBER	14000	37764	\N	\N	\N
15710	52	1997-04-29	VYDAJ	VYBER	18600	44806	\N	\N	\N
15711	52	1997-05-29	VYDAJ	VYBER	25900	44596	\N	\N	\N
15712	52	1997-06-28	VYDAJ	VYBER	3100	33394	\N	\N	\N
15713	52	1997-07-28	VYDAJ	VYBER	15500	39380	\N	\N	\N
15714	52	1997-08-27	VYDAJ	VYBER	20400	40418	\N	\N	\N
15715	52	1997-09-26	VYDAJ	VYBER	15500	39719	\N	\N	\N
15716	52	1997-10-26	VYDAJ	VYBER	22400	38763	\N	\N	\N
15717	52	1997-11-25	VYDAJ	VYBER	24100	36117	\N	\N	\N
15718	52	1997-12-25	VYDAJ	VYBER	31400	37130	\N	\N	\N
15719	52	1998-01-24	VYDAJ	VYBER	11500	12298	\N	\N	\N
15720	52	1998-02-23	VYDAJ	VYBER	7900	12528	\N	\N	\N
15721	52	1998-03-25	VYDAJ	VYBER	11500	22337	\N	\N	\N
15722	52	1998-04-24	VYDAJ	VYBER	17000	26684	\N	\N	\N
15723	52	1998-05-24	VYDAJ	VYBER	17800	30266	\N	\N	\N
15724	52	1998-06-23	VYDAJ	VYBER	22300	29427	\N	\N	\N
15725	52	1998-07-23	VYDAJ	VYBER	12400	19791	\N	\N	\N
15726	52	1998-08-22	VYDAJ	VYBER	14600	15309	\N	\N	\N
15727	52	1998-09-21	VYDAJ	VYBER	8100	16549	\N	\N	\N
15728	52	1998-10-21	VYDAJ	VYBER	12000	25887	\N	\N	\N
15729	52	1998-11-20	PRIJEM	VKLAD	200	24287	\N	\N	\N
15730	52	1998-12-20	VYDAJ	VYBER	1500	21035	\N	\N	\N
15754	53	1995-06-07	PRIJEM	VKLAD	700	700	\N	\N	\N
15760	53	1995-06-10	PRIJEM	PREVOD Z UCTU	4277	4977	DUCHOD	UV	7922441
15761	53	1995-07-10	PRIJEM	PREVOD Z UCTU	4277	9269	DUCHOD	UV	7922441
15762	53	1995-08-10	PRIJEM	PREVOD Z UCTU	4277	13566	DUCHOD	UV	7922441
15763	53	1995-09-10	PRIJEM	PREVOD Z UCTU	4277	17864	DUCHOD	UV	7922441
15764	53	1995-10-10	PRIJEM	PREVOD Z UCTU	4277	22162	DUCHOD	UV	7922441
15765	53	1995-11-10	PRIJEM	PREVOD Z UCTU	4277	21952	DUCHOD	UV	7922441
15766	53	1995-12-10	PRIJEM	PREVOD Z UCTU	4277	18682	DUCHOD	UV	7922441
15767	53	1996-01-10	PRIJEM	PREVOD Z UCTU	4277	18398	DUCHOD	UV	7922441
15768	53	1996-02-10	PRIJEM	PREVOD Z UCTU	4277	17305	DUCHOD	UV	7922441
15769	53	1996-03-10	PRIJEM	PREVOD Z UCTU	4277	18775	DUCHOD	UV	7922441
15770	53	1996-04-10	PRIJEM	PREVOD Z UCTU	4277	20251	DUCHOD	UV	7922441
15771	53	1996-05-10	PRIJEM	PREVOD Z UCTU	4277	21733	DUCHOD	UV	7922441
15772	53	1996-06-10	PRIJEM	PREVOD Z UCTU	4277	19471	DUCHOD	UV	7922441
15773	53	1996-07-10	PRIJEM	PREVOD Z UCTU	4277	19592	DUCHOD	UV	7922441
15774	53	1996-08-10	PRIJEM	PREVOD Z UCTU	4277	21071	DUCHOD	UV	7922441
15775	53	1996-09-10	PRIJEM	PREVOD Z UCTU	4277	22557	DUCHOD	UV	7922441
15776	53	1996-10-10	PRIJEM	PREVOD Z UCTU	4277	24048	DUCHOD	UV	7922441
15777	53	1996-11-10	PRIJEM	PREVOD Z UCTU	4277	25546	DUCHOD	UV	7922441
15778	53	1996-12-10	PRIJEM	PREVOD Z UCTU	4277	27050	DUCHOD	UV	7922441
15779	53	1997-01-10	PRIJEM	PREVOD Z UCTU	4277	23889	DUCHOD	UV	7922441
15780	53	1997-02-10	PRIJEM	PREVOD Z UCTU	4277	19482	DUCHOD	UV	7922441
15781	53	1997-03-10	PRIJEM	PREVOD Z UCTU	4277	20961	DUCHOD	UV	7922441
15782	53	1997-04-10	PRIJEM	PREVOD Z UCTU	4277	22446	DUCHOD	UV	7922441
15783	53	1997-05-10	PRIJEM	PREVOD Z UCTU	4277	23936	DUCHOD	UV	7922441
15784	53	1997-06-10	PRIJEM	PREVOD Z UCTU	4277	22474	DUCHOD	UV	7922441
15785	53	1997-07-10	PRIJEM	PREVOD Z UCTU	4277	20048	DUCHOD	UV	7922441
15786	53	1997-08-10	PRIJEM	PREVOD Z UCTU	4277	21534	DUCHOD	UV	7922441
15787	53	1997-09-10	PRIJEM	PREVOD Z UCTU	4277	23021	DUCHOD	UV	7922441
15788	53	1997-10-10	PRIJEM	PREVOD Z UCTU	4277	24514	DUCHOD	UV	7922441
15789	53	1997-11-10	PRIJEM	PREVOD Z UCTU	4277	26013	DUCHOD	UV	7922441
15790	53	1997-12-10	PRIJEM	PREVOD Z UCTU	4277	27519	DUCHOD	UV	7922441
15791	53	1998-01-10	PRIJEM	PREVOD Z UCTU	4277	23189	DUCHOD	UV	7922441
15792	53	1998-02-10	PRIJEM	PREVOD Z UCTU	4277	19176	DUCHOD	UV	7922441
15793	53	1998-03-10	PRIJEM	PREVOD Z UCTU	4277	20653	DUCHOD	UV	7922441
15794	53	1998-04-10	PRIJEM	PREVOD Z UCTU	4277	22136	DUCHOD	UV	7922441
15795	53	1998-05-10	PRIJEM	PREVOD Z UCTU	4277	20265	DUCHOD	UV	7922441
15796	53	1998-06-10	PRIJEM	PREVOD Z UCTU	4277	21751	DUCHOD	UV	7922441
15797	53	1998-07-10	PRIJEM	PREVOD Z UCTU	4277	23238	DUCHOD	UV	7922441
15798	53	1998-08-10	PRIJEM	PREVOD Z UCTU	4277	20967	DUCHOD	UV	7922441
15799	53	1998-09-10	PRIJEM	PREVOD Z UCTU	4277	20448	DUCHOD	UV	7922441
15800	53	1998-10-10	PRIJEM	PREVOD Z UCTU	4277	21930	DUCHOD	UV	7922441
15801	53	1998-11-10	PRIJEM	PREVOD Z UCTU	4277	23418	DUCHOD	UV	7922441
15802	53	1998-12-10	PRIJEM	PREVOD Z UCTU	4277	21284	DUCHOD	UV	7922441
15812	53	1995-10-11	VYDAJ	PREVOD NA UCET	2851	19311	SIPO	MN	81024360
15813	53	1995-11-11	VYDAJ	PREVOD NA UCET	2851	19101	SIPO	MN	81024360
15814	53	1995-12-11	VYDAJ	PREVOD NA UCET	2851	15831	SIPO	MN	81024360
15815	53	1996-01-11	VYDAJ	PREVOD NA UCET	2851	15547	SIPO	MN	81024360
15816	53	1996-02-11	VYDAJ	PREVOD NA UCET	2851	14454	SIPO	MN	81024360
15817	53	1996-03-11	VYDAJ	PREVOD NA UCET	2851	15924	SIPO	MN	81024360
15818	53	1996-04-11	VYDAJ	PREVOD NA UCET	2851	17400	SIPO	MN	81024360
15819	53	1996-05-11	VYDAJ	PREVOD NA UCET	2851	18882	SIPO	MN	81024360
15820	53	1996-06-11	VYDAJ	PREVOD NA UCET	2851	16620	SIPO	MN	81024360
15821	53	1996-07-11	VYDAJ	PREVOD NA UCET	2851	16741	SIPO	MN	81024360
15822	53	1996-08-11	VYDAJ	PREVOD NA UCET	2851	18220	SIPO	MN	81024360
15823	53	1996-09-11	VYDAJ	PREVOD NA UCET	2851	19706	SIPO	MN	81024360
15824	53	1996-10-11	VYDAJ	PREVOD NA UCET	2851	21197	SIPO	MN	81024360
15825	53	1996-11-11	VYDAJ	PREVOD NA UCET	2851	22695	SIPO	MN	81024360
15826	53	1996-12-11	VYDAJ	PREVOD NA UCET	2851	24199	SIPO	MN	81024360
15827	53	1997-01-11	VYDAJ	PREVOD NA UCET	2851	16748	SIPO	MN	81024360
15828	53	1997-02-11	VYDAJ	PREVOD NA UCET	2851	16631	SIPO	MN	81024360
15829	53	1997-03-11	VYDAJ	PREVOD NA UCET	2851	18110	SIPO	MN	81024360
15830	53	1997-04-11	VYDAJ	PREVOD NA UCET	2851	19595	SIPO	MN	81024360
15831	53	1997-05-11	VYDAJ	PREVOD NA UCET	2851	21085	SIPO	MN	81024360
15832	53	1997-06-11	VYDAJ	PREVOD NA UCET	2851	19623	SIPO	MN	81024360
15833	53	1997-07-11	VYDAJ	PREVOD NA UCET	2851	17197	SIPO	MN	81024360
15834	53	1997-08-11	VYDAJ	PREVOD NA UCET	2851	18683	SIPO	MN	81024360
15835	53	1997-09-11	VYDAJ	PREVOD NA UCET	2851	20170	SIPO	MN	81024360
15836	53	1997-10-11	VYDAJ	PREVOD NA UCET	2851	21663	SIPO	MN	81024360
15837	53	1997-11-11	VYDAJ	PREVOD NA UCET	2851	23162	SIPO	MN	81024360
15838	53	1997-12-11	VYDAJ	PREVOD NA UCET	2851	24668	SIPO	MN	81024360
15839	53	1998-01-11	VYDAJ	PREVOD NA UCET	2851	20338	SIPO	MN	81024360
15840	53	1998-02-11	VYDAJ	PREVOD NA UCET	2851	16325	SIPO	MN	81024360
15841	53	1998-03-11	VYDAJ	PREVOD NA UCET	2851	17802	SIPO	MN	81024360
15842	53	1998-04-11	VYDAJ	PREVOD NA UCET	2851	19285	SIPO	MN	81024360
15843	53	1998-05-11	VYDAJ	PREVOD NA UCET	2851	17414	SIPO	MN	81024360
15844	53	1998-06-11	VYDAJ	PREVOD NA UCET	2851	18900	SIPO	MN	81024360
15845	53	1998-07-11	VYDAJ	PREVOD NA UCET	2851	20387	SIPO	MN	81024360
15846	53	1998-08-11	VYDAJ	PREVOD NA UCET	2851	18116	SIPO	MN	81024360
15847	53	1998-09-11	VYDAJ	PREVOD NA UCET	2851	17597	SIPO	MN	81024360
15848	53	1998-10-11	VYDAJ	PREVOD NA UCET	2851	19079	SIPO	MN	81024360
15849	53	1998-11-11	VYDAJ	PREVOD NA UCET	2851	20567	SIPO	MN	81024360
15850	53	1998-12-11	VYDAJ	PREVOD NA UCET	2851	18433	SIPO	MN	81024360
15852	53	1996-06-05	VYDAJ	VYBER	3750	15194	\N	\N	\N
15857	53	1997-01-10	VYDAJ	VYBER	1650	22239	\N	\N	\N
15858	53	1998-01-15	VYDAJ	VYBER	3900	16438	\N	\N	\N
15859	53	1995-12-01	VYDAJ	VYBER	1150	14405	\N	\N	\N
15860	53	1996-12-24	VYDAJ	VYBER	750	23449	\N	\N	\N
15861	53	1997-12-21	VYDAJ	VYBER	800	23868	\N	\N	\N
15862	53	1998-12-17	VYDAJ	VYBER	650	15063	\N	\N	\N
15873	53	1996-01-12	VYDAJ	VYBER	1600	13947	\N	\N	\N
15874	53	1996-01-13	VYDAJ	VYBER	960	12987	\N	\N	\N
15875	53	1997-01-03	VYDAJ	VYBER	480	23052	\N	\N	\N
15876	53	1997-01-10	VYDAJ	VYBER	1280	20959	\N	\N	\N
15877	53	1997-01-04	VYDAJ	VYBER	1520	21532	\N	\N	\N
15878	53	1997-01-13	VYDAJ	VYBER	1600	15148	\N	\N	\N
15879	53	1997-01-07	VYDAJ	VYBER	1920	19612	\N	\N	\N
15880	53	1997-01-10	VYDAJ	VYBER	1360	19599	\N	\N	\N
15881	53	1998-01-02	VYDAJ	VYBER	1360	22592	\N	\N	\N
15882	53	1998-01-19	VYDAJ	VYBER	800	15638	\N	\N	\N
15884	53	1998-01-24	VYDAJ	VYBER	800	14838	\N	\N	\N
15885	53	1998-01-08	VYDAJ	VYBER	2080	18912	\N	\N	\N
15886	53	1998-01-04	VYDAJ	VYBER	1600	20992	\N	\N	\N
15887	53	1995-12-25	VYDAJ	VYBER	1760	14071	\N	\N	\N
15890	53	1995-11-13	VYDAJ	VYBER	3600	15501	\N	\N	\N
15891	53	1995-10-22	VYDAJ	VYBER	1680	17631	\N	\N	\N
15893	53	1996-06-17	VYDAJ	VYBER	1360	15260	\N	\N	\N
15894	53	1997-07-09	VYDAJ	VYBER	3280	15771	\N	\N	\N
15896	53	1997-06-25	VYDAJ	VYBER	640	18983	\N	\N	\N
15897	53	1997-06-02	VYDAJ	VYBER	2960	18197	\N	\N	\N
15900	53	1998-05-06	VYDAJ	VYBER	3360	15988	\N	\N	\N
15901	53	1998-11-12	VYDAJ	VYBER	2320	18247	\N	\N	\N
15902	53	1998-12-11	VYDAJ	VYBER	2720	15713	\N	\N	\N
15904	53	1998-07-22	VYDAJ	VYBER	3760	16627	\N	\N	\N
15905	53	1998-08-20	VYDAJ	VYBER	2000	16116	\N	\N	\N
15916	53	1995-10-31	VYDAJ	VYBER	15	17675	SLUZBY	\N	\N
15917	53	1995-11-30	VYDAJ	VYBER	15	15555	SLUZBY	\N	\N
15918	53	1995-12-31	VYDAJ	VYBER	15	14121	SLUZBY	\N	\N
15919	53	1996-01-31	VYDAJ	VYBER	15	13028	SLUZBY	\N	\N
15920	53	1996-02-29	VYDAJ	VYBER	15	14498	SLUZBY	\N	\N
15921	53	1996-03-31	VYDAJ	VYBER	15	15974	SLUZBY	\N	\N
15922	53	1996-04-30	VYDAJ	VYBER	15	17456	SLUZBY	\N	\N
15923	53	1996-05-31	VYDAJ	VYBER	15	18944	SLUZBY	\N	\N
15924	53	1996-06-30	VYDAJ	VYBER	15	15315	SLUZBY	\N	\N
15925	53	1996-07-31	VYDAJ	VYBER	15	16794	SLUZBY	\N	\N
15926	53	1996-08-31	VYDAJ	VYBER	15	18280	SLUZBY	\N	\N
15927	53	1996-09-30	VYDAJ	VYBER	15	19771	SLUZBY	\N	\N
15928	53	1996-10-31	VYDAJ	VYBER	15	21269	SLUZBY	\N	\N
15929	53	1996-11-30	VYDAJ	VYBER	15	22773	SLUZBY	\N	\N
15930	53	1996-12-31	VYDAJ	VYBER	15	23532	SLUZBY	\N	\N
15931	53	1997-01-31	VYDAJ	VYBER	15	15205	SLUZBY	\N	\N
15932	53	1997-02-28	VYDAJ	VYBER	15	16684	SLUZBY	\N	\N
15933	53	1997-03-31	VYDAJ	VYBER	15	18169	SLUZBY	\N	\N
15934	53	1997-04-30	VYDAJ	VYBER	15	19659	SLUZBY	\N	\N
15935	53	1997-05-31	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
15936	53	1997-06-30	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
15937	53	1997-07-31	VYDAJ	VYBER	15	17257	SLUZBY	\N	\N
15938	53	1997-08-31	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
15939	53	1997-09-30	VYDAJ	VYBER	15	20237	SLUZBY	\N	\N
15940	53	1997-10-31	VYDAJ	VYBER	15	21736	SLUZBY	\N	\N
15941	53	1997-11-30	VYDAJ	VYBER	15	23242	SLUZBY	\N	\N
15942	53	1997-12-31	VYDAJ	VYBER	15	23952	SLUZBY	\N	\N
15943	53	1998-01-31	VYDAJ	VYBER	15	14899	SLUZBY	\N	\N
15944	53	1998-02-28	VYDAJ	VYBER	15	16376	SLUZBY	\N	\N
15945	53	1998-03-31	VYDAJ	VYBER	15	17859	SLUZBY	\N	\N
15946	53	1998-04-30	VYDAJ	VYBER	15	19348	SLUZBY	\N	\N
15947	53	1998-05-31	VYDAJ	VYBER	15	17474	SLUZBY	\N	\N
15948	53	1998-06-30	VYDAJ	VYBER	15	18961	SLUZBY	\N	\N
15949	53	1998-07-31	VYDAJ	VYBER	15	16690	SLUZBY	\N	\N
15950	53	1998-08-31	VYDAJ	VYBER	15	16171	SLUZBY	\N	\N
15951	53	1998-09-30	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
15952	53	1998-10-31	VYDAJ	VYBER	15	19141	SLUZBY	\N	\N
15953	53	1998-11-30	VYDAJ	VYBER	15	17007	SLUZBY	\N	\N
15954	53	1998-11-18	VYDAJ	VYBER	1300	16947	\N	\N	\N
15998	54	1995-05-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
16003	54	1995-05-12	PRIJEM	PREVOD Z UCTU	3421	4421	\N	IJ	773424
16004	54	1995-06-12	PRIJEM	PREVOD Z UCTU	3421	7854	\N	IJ	773424
16005	54	1995-07-12	PRIJEM	PREVOD Z UCTU	3421	11293	\N	IJ	773424
16006	54	1995-08-12	PRIJEM	PREVOD Z UCTU	3421	14733	\N	IJ	773424
16007	54	1995-09-12	PRIJEM	PREVOD Z UCTU	3421	18172	\N	IJ	773424
16008	54	1995-10-12	PRIJEM	PREVOD Z UCTU	3421	19347	\N	IJ	773424
16009	54	1995-11-12	PRIJEM	PREVOD Z UCTU	3421	20543	\N	IJ	773424
16010	54	1995-12-12	PRIJEM	PREVOD Z UCTU	3421	21114	\N	IJ	773424
16011	54	1996-01-12	PRIJEM	PREVOD Z UCTU	3421	21632	\N	IJ	773424
16012	54	1996-02-12	PRIJEM	PREVOD Z UCTU	3421	19081	\N	IJ	773424
16013	54	1996-03-12	PRIJEM	PREVOD Z UCTU	3421	19079	\N	IJ	773424
16014	54	1996-04-12	PRIJEM	PREVOD Z UCTU	3421	19379	\N	IJ	773424
16015	54	1996-05-12	PRIJEM	PREVOD Z UCTU	3421	20582	\N	IJ	773424
16016	54	1996-06-12	PRIJEM	PREVOD Z UCTU	3421	21338	\N	IJ	773424
16017	54	1996-07-12	PRIJEM	PREVOD Z UCTU	3421	14457	\N	IJ	773424
16018	54	1996-08-12	PRIJEM	PREVOD Z UCTU	3421	15638	\N	IJ	773424
16019	54	1996-09-12	PRIJEM	PREVOD Z UCTU	3421	16818	\N	IJ	773424
16020	54	1996-10-12	PRIJEM	PREVOD Z UCTU	3421	18009	\N	IJ	773424
16021	54	1996-11-12	PRIJEM	PREVOD Z UCTU	3421	18268	\N	IJ	773424
16022	54	1996-12-12	PRIJEM	PREVOD Z UCTU	3421	17115	\N	IJ	773424
16023	54	1997-01-12	PRIJEM	PREVOD Z UCTU	3421	17499	\N	IJ	773424
16024	54	1997-02-12	PRIJEM	PREVOD Z UCTU	3421	16767	\N	IJ	773424
16025	54	1997-03-12	PRIJEM	PREVOD Z UCTU	3421	17957	\N	IJ	773424
16026	54	1997-04-12	PRIJEM	PREVOD Z UCTU	3421	19153	\N	IJ	773424
16027	54	1997-05-12	PRIJEM	PREVOD Z UCTU	3421	19957	\N	IJ	773424
16028	54	1997-06-12	PRIJEM	PREVOD Z UCTU	3421	19601	\N	IJ	773424
16029	54	1997-07-12	PRIJEM	PREVOD Z UCTU	3421	20805	\N	IJ	773424
16030	54	1997-08-12	PRIJEM	PREVOD Z UCTU	3421	20543	\N	IJ	773424
16031	54	1997-09-12	PRIJEM	PREVOD Z UCTU	3421	21746	\N	IJ	773424
16032	54	1997-10-12	PRIJEM	PREVOD Z UCTU	3421	22957	\N	IJ	773424
16033	54	1997-11-12	PRIJEM	PREVOD Z UCTU	3421	24167	\N	IJ	773424
16034	54	1997-12-12	PRIJEM	PREVOD Z UCTU	3421	24722	\N	IJ	773424
16035	54	1998-01-12	PRIJEM	PREVOD Z UCTU	3421	22670	\N	IJ	773424
16036	54	1998-02-12	PRIJEM	PREVOD Z UCTU	3421	22385	\N	IJ	773424
16037	54	1998-03-12	PRIJEM	PREVOD Z UCTU	3421	23598	\N	IJ	773424
16038	54	1998-04-12	PRIJEM	PREVOD Z UCTU	3421	24817	\N	IJ	773424
16039	54	1998-05-12	PRIJEM	PREVOD Z UCTU	3421	26035	\N	IJ	773424
16040	54	1998-06-12	PRIJEM	PREVOD Z UCTU	3421	26994	\N	IJ	773424
16041	54	1998-07-12	PRIJEM	PREVOD Z UCTU	3421	26065	\N	IJ	773424
16042	54	1998-08-12	PRIJEM	PREVOD Z UCTU	3421	27289	\N	IJ	773424
16043	54	1998-09-12	PRIJEM	PREVOD Z UCTU	3421	28523	\N	IJ	773424
16044	54	1998-10-12	PRIJEM	PREVOD Z UCTU	3421	29756	\N	IJ	773424
16045	54	1998-11-12	PRIJEM	PREVOD Z UCTU	3421	28202	\N	IJ	773424
16046	54	1998-12-12	PRIJEM	PREVOD Z UCTU	3421	29436	\N	IJ	773424
16055	54	1995-09-12	VYDAJ	PREVOD NA UCET	2280	15892	SIPO	IJ	90659772
16056	54	1995-10-12	VYDAJ	PREVOD NA UCET	2280	17067	SIPO	IJ	90659772
16057	54	1995-11-12	VYDAJ	PREVOD NA UCET	2280	18263	SIPO	IJ	90659772
16058	54	1995-12-12	VYDAJ	PREVOD NA UCET	2280	18834	SIPO	IJ	90659772
16059	54	1996-01-12	VYDAJ	PREVOD NA UCET	2280	19352	SIPO	IJ	90659772
16060	54	1996-02-12	VYDAJ	PREVOD NA UCET	2280	16801	SIPO	IJ	90659772
16061	54	1996-03-12	VYDAJ	PREVOD NA UCET	2280	16799	SIPO	IJ	90659772
16062	54	1996-04-12	VYDAJ	PREVOD NA UCET	2280	17099	SIPO	IJ	90659772
16063	54	1996-05-12	VYDAJ	PREVOD NA UCET	2280	18302	SIPO	IJ	90659772
16064	54	1996-06-12	VYDAJ	PREVOD NA UCET	2280	10988	SIPO	IJ	90659772
16065	54	1996-07-12	VYDAJ	PREVOD NA UCET	2280	12177	SIPO	IJ	90659772
16066	54	1996-08-12	VYDAJ	PREVOD NA UCET	2280	13358	SIPO	IJ	90659772
16067	54	1996-09-12	VYDAJ	PREVOD NA UCET	2280	14538	SIPO	IJ	90659772
16068	54	1996-10-12	VYDAJ	PREVOD NA UCET	2280	15729	SIPO	IJ	90659772
16069	54	1996-11-12	VYDAJ	PREVOD NA UCET	2280	14518	SIPO	IJ	90659772
16070	54	1996-12-12	VYDAJ	PREVOD NA UCET	2280	14835	SIPO	IJ	90659772
16071	54	1997-01-12	VYDAJ	PREVOD NA UCET	2280	15009	SIPO	IJ	90659772
16072	54	1997-02-12	VYDAJ	PREVOD NA UCET	2280	14487	SIPO	IJ	90659772
16073	54	1997-03-12	VYDAJ	PREVOD NA UCET	2280	15677	SIPO	IJ	90659772
16074	54	1997-04-12	VYDAJ	PREVOD NA UCET	2280	16873	SIPO	IJ	90659772
16075	54	1997-05-12	VYDAJ	PREVOD NA UCET	2280	17677	SIPO	IJ	90659772
16076	54	1997-06-12	VYDAJ	PREVOD NA UCET	2280	17321	SIPO	IJ	90659772
16077	54	1997-07-12	VYDAJ	PREVOD NA UCET	2280	18525	SIPO	IJ	90659772
16078	54	1997-08-12	VYDAJ	PREVOD NA UCET	2280	18263	SIPO	IJ	90659772
16079	54	1997-09-12	VYDAJ	PREVOD NA UCET	2280	19466	SIPO	IJ	90659772
16080	54	1997-10-12	VYDAJ	PREVOD NA UCET	2280	20677	SIPO	IJ	90659772
16081	54	1997-11-12	VYDAJ	PREVOD NA UCET	2280	21887	SIPO	IJ	90659772
16082	54	1997-12-12	VYDAJ	PREVOD NA UCET	2280	22442	SIPO	IJ	90659772
16083	54	1998-01-12	VYDAJ	PREVOD NA UCET	2280	20390	SIPO	IJ	90659772
16084	54	1998-02-12	VYDAJ	PREVOD NA UCET	2280	20105	SIPO	IJ	90659772
16085	54	1998-03-12	VYDAJ	PREVOD NA UCET	2280	21318	SIPO	IJ	90659772
16086	54	1998-04-12	VYDAJ	PREVOD NA UCET	2280	22537	SIPO	IJ	90659772
16087	54	1998-05-12	VYDAJ	PREVOD NA UCET	2280	23755	SIPO	IJ	90659772
16088	54	1998-06-12	VYDAJ	PREVOD NA UCET	2280	24714	SIPO	IJ	90659772
16089	54	1998-07-12	VYDAJ	PREVOD NA UCET	2280	23785	SIPO	IJ	90659772
16090	54	1998-08-12	VYDAJ	PREVOD NA UCET	2280	25009	SIPO	IJ	90659772
16351	55	1997-03-18	VYDAJ	VYBER	2080	16365	\N	\N	\N
16091	54	1998-09-12	VYDAJ	PREVOD NA UCET	2280	26243	SIPO	IJ	90659772
16092	54	1998-10-12	VYDAJ	PREVOD NA UCET	2280	27476	SIPO	IJ	90659772
16093	54	1998-11-12	VYDAJ	PREVOD NA UCET	2280	25922	SIPO	IJ	90659772
16094	54	1998-12-12	VYDAJ	PREVOD NA UCET	2280	27156	SIPO	IJ	90659772
16096	54	1996-06-12	VYDAJ	VYBER	8070	13268	\N	\N	\N
16097	54	1997-06-09	VYDAJ	VYBER	1560	16180	\N	\N	\N
16098	54	1998-06-26	VYDAJ	VYBER	1560	23154	\N	\N	\N
16100	54	1996-01-21	VYDAJ	VYBER	810	16472	\N	\N	\N
16102	54	1998-01-01	VYDAJ	VYBER	1350	20149	\N	\N	\N
16103	54	1995-12-09	VYDAJ	VYBER	630	17693	\N	\N	\N
16104	54	1996-12-04	VYDAJ	VYBER	870	13694	\N	\N	\N
16105	54	1997-12-05	VYDAJ	VYBER	180	21301	\N	\N	\N
16106	54	1998-12-21	VYDAJ	VYBER	450	26706	\N	\N	\N
16113	54	1996-01-02	VYDAJ	VYBER	180	18211	\N	\N	\N
16114	54	1996-01-15	VYDAJ	VYBER	720	17972	\N	\N	\N
16115	54	1996-01-25	VYDAJ	VYBER	150	15602	\N	\N	\N
16116	54	1996-01-22	VYDAJ	VYBER	720	15752	\N	\N	\N
16117	54	1996-01-19	VYDAJ	VYBER	690	17282	\N	\N	\N
16118	54	1996-01-12	VYDAJ	VYBER	660	18692	\N	\N	\N
16119	54	1997-01-20	VYDAJ	VYBER	720	13299	\N	\N	\N
16120	54	1997-01-07	VYDAJ	VYBER	420	14078	\N	\N	\N
16121	54	1997-01-05	VYDAJ	VYBER	150	14498	\N	\N	\N
16122	54	1997-01-20	VYDAJ	VYBER	720	14019	\N	\N	\N
16123	54	1997-01-17	VYDAJ	VYBER	270	14739	\N	\N	\N
16124	54	1997-01-05	VYDAJ	VYBER	240	14648	\N	\N	\N
16125	54	1998-01-30	VYDAJ	VYBER	780	18890	\N	\N	\N
16126	54	1998-01-01	VYDAJ	VYBER	540	21499	\N	\N	\N
16127	54	1998-01-06	VYDAJ	VYBER	450	19699	\N	\N	\N
16128	54	1998-01-01	VYDAJ	VYBER	480	22039	\N	\N	\N
16129	54	1998-01-11	VYDAJ	VYBER	450	19249	\N	\N	\N
16130	54	1998-01-25	VYDAJ	VYBER	720	19670	\N	\N	\N
16132	54	1995-12-26	VYDAJ	VYBER	510	18324	\N	\N	\N
16137	54	1996-05-29	VYDAJ	VYBER	450	17852	\N	\N	\N
16138	54	1996-10-23	VYDAJ	VYBER	930	14799	\N	\N	\N
16139	54	1996-04-11	VYDAJ	VYBER	900	15958	\N	\N	\N
16141	54	1996-02-25	VYDAJ	VYBER	1200	15601	\N	\N	\N
16142	54	1996-11-12	VYDAJ	VYBER	1470	16798	\N	\N	\N
16144	54	1997-04-19	VYDAJ	VYBER	390	16483	\N	\N	\N
16146	54	1997-11-23	VYDAJ	VYBER	480	21407	\N	\N	\N
16147	54	1997-01-12	VYDAJ	VYBER	210	17289	\N	\N	\N
16148	54	1997-08-01	VYDAJ	VYBER	1470	17122	\N	\N	\N
16149	54	1998-06-08	VYDAJ	VYBER	270	23573	\N	\N	\N
16150	54	1998-10-16	VYDAJ	VYBER	840	26636	\N	\N	\N
16151	54	1998-07-07	VYDAJ	VYBER	600	22644	\N	\N	\N
16152	54	1998-10-21	VYDAJ	VYBER	630	26006	\N	\N	\N
16153	54	1998-11-07	VYDAJ	VYBER	1320	24781	\N	\N	\N
16163	54	1995-09-30	VYDAJ	VYBER	15	15926	SLUZBY	\N	\N
16164	54	1995-10-31	VYDAJ	VYBER	15	17122	SLUZBY	\N	\N
16165	54	1995-11-30	VYDAJ	VYBER	15	18323	SLUZBY	\N	\N
16166	54	1995-12-31	VYDAJ	VYBER	15	18391	SLUZBY	\N	\N
16167	54	1996-01-31	VYDAJ	VYBER	15	15660	SLUZBY	\N	\N
16168	54	1996-02-29	VYDAJ	VYBER	15	15658	SLUZBY	\N	\N
16169	54	1996-03-31	VYDAJ	VYBER	15	16858	SLUZBY	\N	\N
16170	54	1996-04-30	VYDAJ	VYBER	15	17161	SLUZBY	\N	\N
16171	54	1996-05-31	VYDAJ	VYBER	15	17917	SLUZBY	\N	\N
16172	54	1996-06-30	VYDAJ	VYBER	15	11036	SLUZBY	\N	\N
16173	54	1996-07-31	VYDAJ	VYBER	15	12217	SLUZBY	\N	\N
16174	54	1996-08-31	VYDAJ	VYBER	15	13397	SLUZBY	\N	\N
16175	54	1996-09-30	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
16176	54	1996-10-31	VYDAJ	VYBER	15	14847	SLUZBY	\N	\N
16177	54	1996-11-30	VYDAJ	VYBER	15	14564	SLUZBY	\N	\N
16178	54	1996-12-31	VYDAJ	VYBER	15	14888	SLUZBY	\N	\N
16179	54	1997-01-31	VYDAJ	VYBER	15	13346	SLUZBY	\N	\N
16180	54	1997-02-28	VYDAJ	VYBER	15	14536	SLUZBY	\N	\N
16181	54	1997-03-31	VYDAJ	VYBER	15	15732	SLUZBY	\N	\N
16182	54	1997-04-30	VYDAJ	VYBER	15	16536	SLUZBY	\N	\N
16183	54	1997-05-31	VYDAJ	VYBER	15	17740	SLUZBY	\N	\N
16184	54	1997-06-30	VYDAJ	VYBER	15	17384	SLUZBY	\N	\N
16185	54	1997-07-31	VYDAJ	VYBER	15	18592	SLUZBY	\N	\N
16186	54	1997-08-31	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
16187	54	1997-09-30	VYDAJ	VYBER	15	19536	SLUZBY	\N	\N
16188	54	1997-10-31	VYDAJ	VYBER	15	20746	SLUZBY	\N	\N
16189	54	1997-11-30	VYDAJ	VYBER	15	21481	SLUZBY	\N	\N
16190	54	1997-12-31	VYDAJ	VYBER	15	22519	SLUZBY	\N	\N
16191	54	1998-01-31	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
16192	54	1998-02-28	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
16193	54	1998-03-31	VYDAJ	VYBER	15	21396	SLUZBY	\N	\N
16194	54	1998-04-30	VYDAJ	VYBER	15	22614	SLUZBY	\N	\N
16195	54	1998-05-31	VYDAJ	VYBER	15	23843	SLUZBY	\N	\N
16196	54	1998-06-30	VYDAJ	VYBER	15	23244	SLUZBY	\N	\N
16197	54	1998-07-31	VYDAJ	VYBER	15	23868	SLUZBY	\N	\N
16198	54	1998-08-31	VYDAJ	VYBER	15	25102	SLUZBY	\N	\N
16199	54	1998-09-30	VYDAJ	VYBER	15	26335	SLUZBY	\N	\N
16200	54	1998-10-31	VYDAJ	VYBER	15	26101	SLUZBY	\N	\N
16201	54	1998-11-30	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
16246	55	1996-02-19	PRIJEM	VKLAD	300	300	\N	\N	\N
16249	55	1996-03-12	PRIJEM	PREVOD Z UCTU	4629	4929	DUCHOD	CD	74305099
16250	55	1996-04-12	PRIJEM	PREVOD Z UCTU	4629	9558	DUCHOD	CD	74305099
16251	55	1996-05-12	PRIJEM	PREVOD Z UCTU	4629	14187	DUCHOD	CD	74305099
16252	55	1996-06-12	PRIJEM	PREVOD Z UCTU	4629	18816	DUCHOD	CD	74305099
16253	55	1996-07-12	PRIJEM	PREVOD Z UCTU	4629	23445	DUCHOD	CD	74305099
16254	55	1996-08-12	PRIJEM	PREVOD Z UCTU	4629	17746	DUCHOD	CD	74305099
16255	55	1996-09-12	PRIJEM	PREVOD Z UCTU	4629	19346	DUCHOD	CD	74305099
16256	55	1996-10-12	PRIJEM	PREVOD Z UCTU	4629	20953	DUCHOD	CD	74305099
16257	55	1996-11-12	PRIJEM	PREVOD Z UCTU	4629	22566	DUCHOD	CD	74305099
16258	55	1996-12-12	PRIJEM	PREVOD Z UCTU	4629	22663	DUCHOD	CD	74305099
16259	55	1997-01-12	PRIJEM	PREVOD Z UCTU	4629	23232	DUCHOD	CD	74305099
16260	55	1997-02-12	PRIJEM	PREVOD Z UCTU	4629	18285	DUCHOD	CD	74305099
16261	55	1997-03-12	PRIJEM	PREVOD Z UCTU	4629	18445	DUCHOD	CD	74305099
16262	55	1997-04-12	PRIJEM	PREVOD Z UCTU	4629	17964	DUCHOD	CD	74305099
16263	55	1997-05-12	PRIJEM	PREVOD Z UCTU	4629	15799	DUCHOD	CD	74305099
16264	55	1997-06-12	PRIJEM	PREVOD Z UCTU	4629	17391	DUCHOD	CD	74305099
16265	55	1997-07-12	PRIJEM	PREVOD Z UCTU	4629	15305	DUCHOD	CD	74305099
16266	55	1997-08-12	PRIJEM	PREVOD Z UCTU	4629	16895	DUCHOD	CD	74305099
16267	55	1997-09-12	PRIJEM	PREVOD Z UCTU	4629	18491	DUCHOD	CD	74305099
16268	55	1997-10-12	PRIJEM	PREVOD Z UCTU	4629	20094	DUCHOD	CD	74305099
16269	55	1997-11-12	PRIJEM	PREVOD Z UCTU	4629	19784	DUCHOD	CD	74305099
16270	55	1997-12-12	PRIJEM	PREVOD Z UCTU	4629	17871	DUCHOD	CD	74305099
16271	55	1998-01-12	PRIJEM	PREVOD Z UCTU	4629	17859	DUCHOD	CD	74305099
16272	55	1998-02-12	PRIJEM	PREVOD Z UCTU	4629	14893	DUCHOD	CD	74305099
16273	55	1998-03-12	PRIJEM	PREVOD Z UCTU	4629	15519	DUCHOD	CD	74305099
16274	55	1998-04-12	PRIJEM	PREVOD Z UCTU	4629	16149	DUCHOD	CD	74305099
16275	55	1998-05-12	PRIJEM	PREVOD Z UCTU	4629	16302	DUCHOD	CD	74305099
16276	55	1998-06-12	PRIJEM	PREVOD Z UCTU	4629	17897	DUCHOD	CD	74305099
16277	55	1998-07-12	PRIJEM	PREVOD Z UCTU	4629	19497	DUCHOD	CD	74305099
16278	55	1998-08-12	PRIJEM	PREVOD Z UCTU	4629	18224	DUCHOD	CD	74305099
16279	55	1998-09-12	PRIJEM	PREVOD Z UCTU	4629	19829	DUCHOD	CD	74305099
16280	55	1998-10-12	PRIJEM	PREVOD Z UCTU	4629	21437	DUCHOD	CD	74305099
16281	55	1998-11-12	PRIJEM	PREVOD Z UCTU	4629	19692	DUCHOD	CD	74305099
16282	55	1998-12-12	PRIJEM	PREVOD Z UCTU	4629	21303	DUCHOD	CD	74305099
16290	55	1996-08-10	VYDAJ	PREVOD NA UCET	3086	13117	SIPO	EF	53077900
16291	55	1996-09-10	VYDAJ	PREVOD NA UCET	3086	14717	SIPO	EF	53077900
16292	55	1996-10-10	VYDAJ	PREVOD NA UCET	3086	16324	SIPO	EF	53077900
16293	55	1996-11-10	VYDAJ	PREVOD NA UCET	3086	17937	SIPO	EF	53077900
16294	55	1996-12-10	VYDAJ	PREVOD NA UCET	3086	18034	SIPO	EF	53077900
16295	55	1997-01-10	VYDAJ	PREVOD NA UCET	3086	18603	SIPO	EF	53077900
16296	55	1997-02-10	VYDAJ	PREVOD NA UCET	3086	13656	SIPO	EF	53077900
16297	55	1997-03-10	VYDAJ	PREVOD NA UCET	3086	13816	SIPO	EF	53077900
16298	55	1997-04-10	VYDAJ	PREVOD NA UCET	3086	13335	SIPO	EF	53077900
16299	55	1997-05-10	VYDAJ	PREVOD NA UCET	3086	11170	SIPO	EF	53077900
16300	55	1997-06-10	VYDAJ	PREVOD NA UCET	3086	12762	SIPO	EF	53077900
16301	55	1997-07-10	VYDAJ	PREVOD NA UCET	3086	10676	SIPO	EF	53077900
16302	55	1997-08-10	VYDAJ	PREVOD NA UCET	3086	12266	SIPO	EF	53077900
16303	55	1997-09-10	VYDAJ	PREVOD NA UCET	3086	13862	SIPO	EF	53077900
16304	55	1997-10-10	VYDAJ	PREVOD NA UCET	3086	15465	SIPO	EF	53077900
16305	55	1997-11-10	VYDAJ	PREVOD NA UCET	3086	15155	SIPO	EF	53077900
16306	55	1997-12-10	VYDAJ	PREVOD NA UCET	3086	13242	SIPO	EF	53077900
16307	55	1998-01-10	VYDAJ	PREVOD NA UCET	3086	13230	SIPO	EF	53077900
16308	55	1998-02-10	VYDAJ	PREVOD NA UCET	3086	10264	SIPO	EF	53077900
16309	55	1998-03-10	VYDAJ	PREVOD NA UCET	3086	10890	SIPO	EF	53077900
16310	55	1998-04-10	VYDAJ	PREVOD NA UCET	3086	11520	SIPO	EF	53077900
16311	55	1998-05-10	VYDAJ	PREVOD NA UCET	3086	11673	SIPO	EF	53077900
16312	55	1998-06-10	VYDAJ	PREVOD NA UCET	3086	13268	SIPO	EF	53077900
16313	55	1998-07-10	VYDAJ	PREVOD NA UCET	3086	14868	SIPO	EF	53077900
16314	55	1998-08-10	VYDAJ	PREVOD NA UCET	3086	13595	SIPO	EF	53077900
16315	55	1998-09-10	VYDAJ	PREVOD NA UCET	3086	15200	SIPO	EF	53077900
16316	55	1998-10-10	VYDAJ	PREVOD NA UCET	3086	16808	SIPO	EF	53077900
16317	55	1998-11-10	VYDAJ	PREVOD NA UCET	3086	15063	SIPO	EF	53077900
16318	55	1998-12-10	VYDAJ	PREVOD NA UCET	3086	16674	SIPO	EF	53077900
16322	55	1996-12-20	VYDAJ	VYBER	1050	21613	\N	\N	\N
16323	55	1997-12-14	VYDAJ	VYBER	650	17221	\N	\N	\N
16324	55	1998-12-20	VYDAJ	VYBER	400	20903	\N	\N	\N
16331	55	1997-01-16	VYDAJ	VYBER	400	21152	\N	\N	\N
16332	55	1997-01-15	VYDAJ	VYBER	400	21552	\N	\N	\N
16333	55	1997-01-30	VYDAJ	VYBER	1280	16672	\N	\N	\N
16334	55	1997-01-18	VYDAJ	VYBER	2160	18992	\N	\N	\N
16335	55	1997-01-14	VYDAJ	VYBER	1280	21952	\N	\N	\N
16336	55	1997-01-29	VYDAJ	VYBER	1040	17952	\N	\N	\N
16338	55	1998-01-07	VYDAJ	VYBER	960	16316	\N	\N	\N
16339	55	1998-01-22	VYDAJ	VYBER	1440	14419	\N	\N	\N
16340	55	1998-01-23	VYDAJ	VYBER	1120	13299	\N	\N	\N
16341	55	1998-01-18	VYDAJ	VYBER	2000	15859	\N	\N	\N
16343	55	1996-07-23	VYDAJ	VYBER	2960	16185	\N	\N	\N
16346	55	1996-11-16	VYDAJ	VYBER	1520	21046	\N	\N	\N
16348	55	1997-02-21	VYDAJ	VYBER	1440	16845	\N	\N	\N
16349	55	1997-06-23	VYDAJ	VYBER	3680	13711	\N	\N	\N
16350	55	1997-04-19	VYDAJ	VYBER	3760	14204	\N	\N	\N
16352	55	1997-11-08	VYDAJ	VYBER	1920	18241	\N	\N	\N
16355	55	1997-11-24	VYDAJ	VYBER	3520	16264	\N	\N	\N
16356	55	1998-03-30	VYDAJ	VYBER	960	14559	\N	\N	\N
16357	55	1998-08-03	VYDAJ	VYBER	2880	16681	\N	\N	\N
16358	55	1998-02-16	VYDAJ	VYBER	960	13933	\N	\N	\N
16359	55	1998-05-09	VYDAJ	VYBER	1440	14759	\N	\N	\N
16360	55	1998-11-03	VYDAJ	VYBER	3360	18149	\N	\N	\N
16368	55	1996-07-31	VYDAJ	VYBER	15	16203	SLUZBY	\N	\N
16369	55	1996-08-31	VYDAJ	VYBER	15	17803	SLUZBY	\N	\N
16370	55	1996-09-30	VYDAJ	VYBER	15	19410	SLUZBY	\N	\N
16371	55	1996-10-31	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
16372	55	1996-11-30	VYDAJ	VYBER	15	21120	SLUZBY	\N	\N
16373	55	1996-12-31	VYDAJ	VYBER	15	21689	SLUZBY	\N	\N
16374	55	1997-01-31	VYDAJ	VYBER	15	16742	SLUZBY	\N	\N
16375	55	1997-02-28	VYDAJ	VYBER	15	16902	SLUZBY	\N	\N
16376	55	1997-03-31	VYDAJ	VYBER	15	16421	SLUZBY	\N	\N
16377	55	1997-04-30	VYDAJ	VYBER	15	14256	SLUZBY	\N	\N
16378	55	1997-05-31	VYDAJ	VYBER	15	15848	SLUZBY	\N	\N
16379	55	1997-06-30	VYDAJ	VYBER	15	13762	SLUZBY	\N	\N
16380	55	1997-07-31	VYDAJ	VYBER	15	15352	SLUZBY	\N	\N
16381	55	1997-08-31	VYDAJ	VYBER	15	16948	SLUZBY	\N	\N
16382	55	1997-09-30	VYDAJ	VYBER	15	18551	SLUZBY	\N	\N
16383	55	1997-10-31	VYDAJ	VYBER	15	20161	SLUZBY	\N	\N
16384	55	1997-11-30	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
16385	55	1997-12-31	VYDAJ	VYBER	15	17276	SLUZBY	\N	\N
16386	55	1998-01-31	VYDAJ	VYBER	15	13350	SLUZBY	\N	\N
16387	55	1998-02-28	VYDAJ	VYBER	15	13976	SLUZBY	\N	\N
16388	55	1998-03-31	VYDAJ	VYBER	15	14606	SLUZBY	\N	\N
16389	55	1998-04-30	VYDAJ	VYBER	15	16199	SLUZBY	\N	\N
16390	55	1998-05-31	VYDAJ	VYBER	15	16354	SLUZBY	\N	\N
16391	55	1998-06-30	VYDAJ	VYBER	15	17954	SLUZBY	\N	\N
16392	55	1998-07-31	VYDAJ	VYBER	15	19561	SLUZBY	\N	\N
16393	55	1998-08-31	VYDAJ	VYBER	15	18286	SLUZBY	\N	\N
16394	55	1998-09-30	VYDAJ	VYBER	15	19894	SLUZBY	\N	\N
16395	55	1998-10-31	VYDAJ	VYBER	15	21509	SLUZBY	\N	\N
16396	55	1998-11-30	VYDAJ	VYBER	15	19760	SLUZBY	\N	\N
16397	55	1996-07-18	VYDAJ	VYBER	4300	19145	\N	\N	\N
16428	56	1994-05-16	PRIJEM	VKLAD	900	900	\N	\N	\N
16434	56	1994-06-07	PRIJEM	VKLAD	21890	22790	\N	\N	\N
16435	56	1994-07-07	PRIJEM	VKLAD	14593	36231	\N	\N	\N
16436	56	1994-08-07	PRIJEM	VKLAD	14593	46337	\N	\N	\N
16437	56	1994-09-07	PRIJEM	VKLAD	14593	49169	\N	\N	\N
16438	56	1994-10-07	PRIJEM	VKLAD	14593	50909	\N	\N	\N
16439	56	1994-11-07	PRIJEM	VKLAD	14593	40080	\N	\N	\N
16440	56	1994-12-07	PRIJEM	VKLAD	21890	43897	\N	\N	\N
16441	56	1995-01-07	PRIJEM	VKLAD	14593	41418	\N	\N	\N
16442	56	1995-02-07	PRIJEM	VKLAD	14593	39726	\N	\N	\N
16443	56	1995-03-07	PRIJEM	VKLAD	14593	39834	\N	\N	\N
16444	56	1995-04-07	PRIJEM	VKLAD	14593	39639	\N	\N	\N
16445	56	1995-05-07	PRIJEM	VKLAD	14593	37740	\N	\N	\N
16446	56	1995-06-07	PRIJEM	VKLAD	21890	45135	\N	\N	\N
16447	56	1995-07-07	PRIJEM	VKLAD	14593	42347	\N	\N	\N
16448	56	1995-08-07	PRIJEM	VKLAD	14593	41061	\N	\N	\N
16449	56	1995-09-07	PRIJEM	VKLAD	14593	40373	\N	\N	\N
16450	56	1995-10-07	PRIJEM	VKLAD	14593	37375	\N	\N	\N
16451	56	1995-11-07	PRIJEM	VKLAD	14593	37938	\N	\N	\N
16452	56	1995-12-07	PRIJEM	VKLAD	21890	48552	\N	\N	\N
16453	56	1996-01-07	PRIJEM	VKLAD	14593	44770	\N	\N	\N
16454	56	1996-02-07	PRIJEM	VKLAD	14593	41525	\N	\N	\N
16455	56	1996-03-07	PRIJEM	VKLAD	14593	43263	\N	\N	\N
16456	56	1996-04-07	PRIJEM	VKLAD	14593	46252	\N	\N	\N
16457	56	1996-05-07	PRIJEM	VKLAD	14593	46612	\N	\N	\N
16458	56	1996-06-07	PRIJEM	VKLAD	21890	54275	\N	\N	\N
16459	56	1996-07-07	PRIJEM	VKLAD	14593	34594	\N	\N	\N
16460	56	1996-08-07	PRIJEM	VKLAD	14593	37807	\N	\N	\N
16461	56	1996-09-07	PRIJEM	VKLAD	14593	40033	\N	\N	\N
16462	56	1996-10-07	PRIJEM	VKLAD	14593	42370	\N	\N	\N
16463	56	1996-11-07	PRIJEM	VKLAD	14593	43317	\N	\N	\N
16464	56	1996-12-07	PRIJEM	VKLAD	21890	45685	\N	\N	\N
16465	56	1997-01-07	PRIJEM	VKLAD	14593	35171	\N	\N	\N
16466	56	1997-02-07	PRIJEM	VKLAD	14593	37990	\N	\N	\N
16467	56	1997-03-07	PRIJEM	VKLAD	14593	40099	\N	\N	\N
16468	56	1997-04-07	PRIJEM	VKLAD	14593	44636	\N	\N	\N
16469	56	1997-05-07	PRIJEM	VKLAD	14593	45933	\N	\N	\N
16470	56	1997-06-07	PRIJEM	VKLAD	21890	56287	\N	\N	\N
16471	56	1997-07-07	PRIJEM	VKLAD	14593	36789	\N	\N	\N
16472	56	1997-08-07	PRIJEM	VKLAD	14593	45095	\N	\N	\N
16473	56	1997-09-07	PRIJEM	VKLAD	14593	45166	\N	\N	\N
16474	56	1997-10-07	PRIJEM	VKLAD	14593	48003	\N	\N	\N
16475	56	1997-11-07	PRIJEM	VKLAD	14593	43446	\N	\N	\N
16476	56	1997-12-07	PRIJEM	VKLAD	21890	53173	\N	\N	\N
16477	56	1998-01-07	PRIJEM	VKLAD	14593	48266	\N	\N	\N
16478	56	1998-02-07	PRIJEM	VKLAD	14593	45494	\N	\N	\N
16479	56	1998-03-07	PRIJEM	VKLAD	14593	48230	\N	\N	\N
16480	56	1998-04-07	PRIJEM	VKLAD	14593	44737	\N	\N	\N
16481	56	1998-05-07	PRIJEM	VKLAD	14593	47408	\N	\N	\N
16482	56	1998-06-07	PRIJEM	VKLAD	21890	53791	\N	\N	\N
16483	56	1998-07-07	PRIJEM	VKLAD	14593	45219	\N	\N	\N
16484	56	1998-08-07	PRIJEM	VKLAD	14593	55563	\N	\N	\N
16485	56	1998-09-07	PRIJEM	VKLAD	14593	59486	\N	\N	\N
16486	56	1998-10-07	PRIJEM	VKLAD	14593	65600	\N	\N	\N
16487	56	1998-11-07	PRIJEM	VKLAD	14593	71022	\N	\N	\N
16488	56	1998-12-07	PRIJEM	VKLAD	21890	78757	\N	\N	\N
16498	56	1994-10-14	VYDAJ	PREVOD NA UCET	8080	30529	SIPO	KL	73539948
16499	56	1994-11-14	VYDAJ	PREVOD NA UCET	8080	23200	SIPO	KL	73539948
16500	56	1994-12-14	VYDAJ	PREVOD NA UCET	8080	26717	SIPO	KL	73539948
16501	56	1995-01-14	VYDAJ	PREVOD NA UCET	8080	25038	SIPO	KL	73539948
16502	56	1995-02-14	VYDAJ	PREVOD NA UCET	8080	25146	SIPO	KL	73539948
16503	56	1995-03-14	VYDAJ	PREVOD NA UCET	8080	24954	SIPO	KL	73539948
16504	56	1995-04-14	VYDAJ	PREVOD NA UCET	8080	23059	SIPO	KL	73539948
16505	56	1995-05-14	VYDAJ	PREVOD NA UCET	8080	23160	SIPO	KL	73539948
16506	56	1995-06-14	VYDAJ	PREVOD NA UCET	8080	27655	SIPO	KL	73539948
16507	56	1995-07-14	VYDAJ	PREVOD NA UCET	8080	26367	SIPO	KL	73539948
16508	56	1995-08-14	VYDAJ	PREVOD NA UCET	8080	25681	SIPO	KL	73539948
16509	56	1995-09-14	VYDAJ	PREVOD NA UCET	8080	22693	SIPO	KL	73539948
16510	56	1995-10-14	VYDAJ	PREVOD NA UCET	8080	23255	SIPO	KL	73539948
16511	56	1995-11-14	VYDAJ	PREVOD NA UCET	8080	26558	SIPO	KL	73539948
16512	56	1995-12-14	VYDAJ	PREVOD NA UCET	8080	30072	SIPO	KL	73539948
16513	56	1996-01-14	VYDAJ	PREVOD NA UCET	8080	36690	SIPO	KL	73539948
16514	56	1996-02-14	VYDAJ	PREVOD NA UCET	8080	33445	SIPO	KL	73539948
16515	56	1996-03-14	VYDAJ	PREVOD NA UCET	8080	35183	SIPO	KL	73539948
16516	56	1996-04-14	VYDAJ	PREVOD NA UCET	8080	38172	SIPO	KL	73539948
16517	56	1996-05-14	VYDAJ	PREVOD NA UCET	8080	38532	SIPO	KL	73539948
16518	56	1996-06-14	VYDAJ	PREVOD NA UCET	8080	46195	SIPO	KL	73539948
16519	56	1996-07-14	VYDAJ	PREVOD NA UCET	8080	26514	SIPO	KL	73539948
16520	56	1996-08-14	VYDAJ	PREVOD NA UCET	8080	29727	SIPO	KL	73539948
16521	56	1996-09-14	VYDAJ	PREVOD NA UCET	8080	31953	SIPO	KL	73539948
16522	56	1996-10-14	VYDAJ	PREVOD NA UCET	8080	34290	SIPO	KL	73539948
16523	56	1996-11-14	VYDAJ	PREVOD NA UCET	8080	32117	SIPO	KL	73539948
16524	56	1996-12-14	VYDAJ	PREVOD NA UCET	8080	37605	SIPO	KL	73539948
16525	56	1997-01-14	VYDAJ	PREVOD NA UCET	8080	27091	SIPO	KL	73539948
16526	56	1997-02-14	VYDAJ	PREVOD NA UCET	8080	29910	SIPO	KL	73539948
16527	56	1997-03-14	VYDAJ	PREVOD NA UCET	8080	32019	SIPO	KL	73539948
16528	56	1997-04-14	VYDAJ	PREVOD NA UCET	8080	36556	SIPO	KL	73539948
16529	56	1997-05-14	VYDAJ	PREVOD NA UCET	8080	37853	SIPO	KL	73539948
16530	56	1997-06-14	VYDAJ	PREVOD NA UCET	8080	18607	SIPO	KL	73539948
16531	56	1997-07-14	VYDAJ	PREVOD NA UCET	8080	28709	SIPO	KL	73539948
16532	56	1997-08-14	VYDAJ	PREVOD NA UCET	8080	32455	SIPO	KL	73539948
16533	56	1997-09-14	VYDAJ	PREVOD NA UCET	8080	37086	SIPO	KL	73539948
16534	56	1997-10-14	VYDAJ	PREVOD NA UCET	8080	39923	SIPO	KL	73539948
16535	56	1997-11-14	VYDAJ	PREVOD NA UCET	8080	35366	SIPO	KL	73539948
16536	56	1997-12-14	VYDAJ	PREVOD NA UCET	8080	43333	SIPO	KL	73539948
16537	56	1998-01-14	VYDAJ	PREVOD NA UCET	8080	38026	SIPO	KL	73539948
16538	56	1998-02-14	VYDAJ	PREVOD NA UCET	8080	37414	SIPO	KL	73539948
16539	56	1998-03-14	VYDAJ	PREVOD NA UCET	8080	40150	SIPO	KL	73539948
16540	56	1998-04-14	VYDAJ	PREVOD NA UCET	8080	36657	SIPO	KL	73539948
16541	56	1998-05-14	VYDAJ	PREVOD NA UCET	8080	39328	SIPO	KL	73539948
16542	56	1998-06-14	VYDAJ	PREVOD NA UCET	8080	18831	SIPO	KL	73539948
16543	56	1998-07-14	VYDAJ	PREVOD NA UCET	8080	37139	SIPO	KL	73539948
16544	56	1998-08-14	VYDAJ	PREVOD NA UCET	8080	47483	SIPO	KL	73539948
16545	56	1998-09-14	VYDAJ	PREVOD NA UCET	8080	51406	SIPO	KL	73539948
16546	56	1998-10-14	VYDAJ	PREVOD NA UCET	8080	57520	SIPO	KL	73539948
16547	56	1998-11-14	VYDAJ	PREVOD NA UCET	8080	62942	SIPO	KL	73539948
16548	56	1998-12-14	VYDAJ	PREVOD NA UCET	8080	70677	SIPO	KL	73539948
16551	56	1996-06-21	VYDAJ	VYBER	23840	22355	\N	\N	\N
16552	56	1997-06-12	VYDAJ	VYBER	29600	26687	\N	\N	\N
16553	56	1998-06-12	VYDAJ	VYBER	26880	26911	\N	\N	\N
16556	56	1996-01-22	VYDAJ	VYBER	12480	24210	\N	\N	\N
16557	56	1997-01-06	VYDAJ	VYBER	8640	20578	\N	\N	\N
16558	56	1998-01-19	VYDAJ	VYBER	3680	34346	\N	\N	\N
16559	56	1994-12-05	VYDAJ	VYBER	1280	22007	\N	\N	\N
16560	56	1995-12-30	VYDAJ	VYBER	1920	28152	\N	\N	\N
16561	56	1996-12-15	VYDAJ	VYBER	2720	34885	\N	\N	\N
16562	56	1997-12-12	VYDAJ	VYBER	1760	51413	\N	\N	\N
16563	56	1998-12-29	VYDAJ	VYBER	3360	57317	\N	\N	\N
16565	56	1994-10-24	VYDAJ	VYBER	5160	25369	\N	\N	\N
16568	56	1995-10-08	VYDAJ	VYBER	2040	31335	\N	\N	\N
16569	56	1996-11-18	VYDAJ	VYBER	5640	26477	\N	\N	\N
16570	56	1996-11-08	VYDAJ	VYBER	3120	40197	\N	\N	\N
16571	56	1996-03-29	VYDAJ	VYBER	2760	32423	\N	\N	\N
16572	56	1997-05-05	VYDAJ	VYBER	1440	31340	\N	\N	\N
16573	56	1997-10-25	VYDAJ	VYBER	4200	35723	\N	\N	\N
16574	56	1997-08-12	VYDAJ	VYBER	4560	40535	\N	\N	\N
16575	56	1998-04-01	VYDAJ	VYBER	2640	30144	\N	\N	\N
16576	56	1998-09-05	VYDAJ	VYBER	3360	44893	\N	\N	\N
16577	56	1998-01-23	VYDAJ	VYBER	1680	32666	\N	\N	\N
16578	56	1998-04-28	VYDAJ	VYBER	2880	32677	\N	\N	\N
16579	56	1998-05-31	VYDAJ	VYBER	5160	31901	\N	\N	\N
16580	56	1998-01-08	VYDAJ	VYBER	2160	46106	\N	\N	\N
16591	56	1994-10-31	VYDAJ	VYBER	15	25487	SLUZBY	\N	\N
16592	56	1994-11-30	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
16593	56	1994-12-31	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
16594	56	1995-01-31	VYDAJ	VYBER	15	25133	SLUZBY	\N	\N
16595	56	1995-02-28	VYDAJ	VYBER	15	25241	SLUZBY	\N	\N
16596	56	1995-03-31	VYDAJ	VYBER	15	25046	SLUZBY	\N	\N
16597	56	1995-04-30	VYDAJ	VYBER	15	23147	SLUZBY	\N	\N
16598	56	1995-05-31	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
16599	56	1995-06-30	VYDAJ	VYBER	15	27754	SLUZBY	\N	\N
16600	56	1995-07-31	VYDAJ	VYBER	15	26468	SLUZBY	\N	\N
16601	56	1995-08-31	VYDAJ	VYBER	15	25780	SLUZBY	\N	\N
16602	56	1995-09-30	VYDAJ	VYBER	15	22782	SLUZBY	\N	\N
16603	56	1995-10-31	VYDAJ	VYBER	15	23345	SLUZBY	\N	\N
16604	56	1995-11-30	VYDAJ	VYBER	15	26662	SLUZBY	\N	\N
16605	56	1995-12-31	VYDAJ	VYBER	15	28277	SLUZBY	\N	\N
16606	56	1996-01-31	VYDAJ	VYBER	15	24332	SLUZBY	\N	\N
16607	56	1996-02-29	VYDAJ	VYBER	15	33570	SLUZBY	\N	\N
16608	56	1996-03-31	VYDAJ	VYBER	15	32559	SLUZBY	\N	\N
16609	56	1996-04-30	VYDAJ	VYBER	15	38319	SLUZBY	\N	\N
16610	56	1996-05-31	VYDAJ	VYBER	15	38685	SLUZBY	\N	\N
16611	56	1996-06-30	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
16612	56	1996-07-31	VYDAJ	VYBER	15	26614	SLUZBY	\N	\N
16613	56	1996-08-31	VYDAJ	VYBER	15	29840	SLUZBY	\N	\N
16614	56	1996-09-30	VYDAJ	VYBER	15	32077	SLUZBY	\N	\N
16615	56	1996-10-31	VYDAJ	VYBER	15	34424	SLUZBY	\N	\N
16616	56	1996-11-30	VYDAJ	VYBER	15	26595	SLUZBY	\N	\N
16617	56	1996-12-31	VYDAJ	VYBER	15	29218	SLUZBY	\N	\N
16618	56	1997-01-31	VYDAJ	VYBER	15	23397	SLUZBY	\N	\N
16619	56	1997-02-28	VYDAJ	VYBER	15	30006	SLUZBY	\N	\N
16620	56	1997-03-31	VYDAJ	VYBER	15	30043	SLUZBY	\N	\N
16621	56	1997-04-30	VYDAJ	VYBER	15	32780	SLUZBY	\N	\N
16622	56	1997-05-31	VYDAJ	VYBER	15	34397	SLUZBY	\N	\N
16623	56	1997-06-30	VYDAJ	VYBER	15	22196	SLUZBY	\N	\N
16624	56	1997-07-31	VYDAJ	VYBER	15	30502	SLUZBY	\N	\N
16625	56	1997-08-31	VYDAJ	VYBER	15	30573	SLUZBY	\N	\N
16626	56	1997-09-30	VYDAJ	VYBER	15	33410	SLUZBY	\N	\N
16627	56	1997-10-31	VYDAJ	VYBER	15	28853	SLUZBY	\N	\N
16628	56	1997-11-30	VYDAJ	VYBER	15	31283	SLUZBY	\N	\N
16629	56	1997-12-31	VYDAJ	VYBER	15	33673	SLUZBY	\N	\N
16630	56	1998-01-31	VYDAJ	VYBER	15	30901	SLUZBY	\N	\N
16631	56	1998-02-28	VYDAJ	VYBER	15	33637	SLUZBY	\N	\N
16632	56	1998-03-31	VYDAJ	VYBER	15	32784	SLUZBY	\N	\N
16633	56	1998-04-30	VYDAJ	VYBER	15	32815	SLUZBY	\N	\N
16634	56	1998-05-31	VYDAJ	VYBER	15	37061	SLUZBY	\N	\N
16635	56	1998-06-30	VYDAJ	VYBER	15	30626	SLUZBY	\N	\N
16636	56	1998-07-31	VYDAJ	VYBER	15	40970	SLUZBY	\N	\N
16637	56	1998-08-31	VYDAJ	VYBER	15	48253	SLUZBY	\N	\N
16638	56	1998-09-30	VYDAJ	VYBER	15	51007	SLUZBY	\N	\N
16639	56	1998-10-31	VYDAJ	VYBER	15	56429	SLUZBY	\N	\N
16640	56	1998-11-30	VYDAJ	VYBER	15	56867	SLUZBY	\N	\N
16641	56	1994-06-15	VYDAJ	VYBER	1200	21590	\N	\N	\N
16642	56	1994-07-15	VYDAJ	VYBER	4600	31631	\N	\N	\N
16643	56	1994-08-14	VYDAJ	VYBER	11900	34437	\N	\N	\N
16644	56	1994-09-13	VYDAJ	VYBER	13000	36169	\N	\N	\N
16645	56	1994-10-13	VYDAJ	VYBER	12300	38609	\N	\N	\N
16646	56	1994-11-12	VYDAJ	VYBER	8800	31280	\N	\N	\N
16647	56	1994-12-12	VYDAJ	VYBER	9100	34797	\N	\N	\N
16648	56	1995-01-11	VYDAJ	VYBER	8300	33118	\N	\N	\N
16649	56	1995-02-10	VYDAJ	VYBER	6500	33226	\N	\N	\N
16650	56	1995-03-12	VYDAJ	VYBER	6800	33034	\N	\N	\N
16651	56	1995-04-11	VYDAJ	VYBER	8500	31139	\N	\N	\N
16652	56	1995-05-11	VYDAJ	VYBER	6500	31240	\N	\N	\N
16653	56	1995-06-10	VYDAJ	VYBER	9400	35735	\N	\N	\N
16654	56	1995-07-10	VYDAJ	VYBER	7900	34447	\N	\N	\N
16655	56	1995-08-09	VYDAJ	VYBER	7300	33761	\N	\N	\N
16656	56	1995-09-08	VYDAJ	VYBER	9600	30773	\N	\N	\N
16657	56	1995-10-08	VYDAJ	VYBER	4000	33375	\N	\N	\N
16658	56	1995-11-07	VYDAJ	VYBER	3300	34638	\N	\N	\N
16659	56	1995-12-07	VYDAJ	VYBER	10400	38152	\N	\N	\N
16660	56	1996-01-06	PRIJEM	VKLAD	1900	30177	\N	\N	\N
16661	56	1996-02-05	PRIJEM	VKLAD	2600	26932	\N	\N	\N
16662	56	1996-03-06	VYDAJ	VYBER	4900	28670	\N	\N	\N
16663	56	1996-04-05	VYDAJ	VYBER	900	31659	\N	\N	\N
16664	56	1996-05-05	VYDAJ	VYBER	6300	32019	\N	\N	\N
16665	56	1996-06-04	VYDAJ	VYBER	6300	32385	\N	\N	\N
16666	56	1996-07-04	VYDAJ	VYBER	2500	20001	\N	\N	\N
16667	56	1996-08-03	VYDAJ	VYBER	3400	23214	\N	\N	\N
16668	56	1996-09-02	VYDAJ	VYBER	4400	25440	\N	\N	\N
16669	56	1996-10-02	VYDAJ	VYBER	4300	27777	\N	\N	\N
16670	56	1996-11-01	VYDAJ	VYBER	5700	28724	\N	\N	\N
16671	56	1996-12-01	VYDAJ	VYBER	2800	23795	\N	\N	\N
16672	56	1996-12-31	VYDAJ	VYBER	5800	29233	\N	\N	\N
16673	56	1997-01-30	VYDAJ	VYBER	3800	23291	\N	\N	\N
16674	56	1997-03-01	VYDAJ	VYBER	4500	25506	\N	\N	\N
16675	56	1997-03-31	VYDAJ	VYBER	2100	30057	\N	\N	\N
16676	56	1997-04-30	VYDAJ	VYBER	3900	32794	\N	\N	\N
16677	56	1997-05-30	VYDAJ	VYBER	3600	34253	\N	\N	\N
16678	56	1997-06-29	PRIJEM	VKLAD	3500	22107	\N	\N	\N
16679	56	1997-07-29	PRIJEM	VKLAD	1700	30409	\N	\N	\N
16680	56	1997-08-28	VYDAJ	VYBER	2000	30455	\N	\N	\N
16681	56	1997-09-27	VYDAJ	VYBER	3800	33286	\N	\N	\N
16682	56	1997-10-27	VYDAJ	VYBER	7000	28723	\N	\N	\N
16683	56	1997-11-26	VYDAJ	VYBER	4200	31166	\N	\N	\N
16684	56	1997-12-26	VYDAJ	VYBER	9800	33533	\N	\N	\N
16685	56	1998-01-25	VYDAJ	VYBER	1900	30766	\N	\N	\N
16686	56	1998-02-24	VYDAJ	VYBER	3900	33514	\N	\N	\N
16687	56	1998-03-26	VYDAJ	VYBER	7500	32650	\N	\N	\N
16688	56	1998-04-25	VYDAJ	VYBER	1100	35557	\N	\N	\N
16689	56	1998-05-25	VYDAJ	VYBER	2400	36928	\N	\N	\N
16690	56	1998-06-24	PRIJEM	VKLAD	11700	30531	\N	\N	\N
16691	56	1998-07-24	PRIJEM	VKLAD	3700	40839	\N	\N	\N
16692	56	1998-08-23	PRIJEM	VKLAD	600	48083	\N	\N	\N
16693	56	1998-09-22	VYDAJ	VYBER	600	50806	\N	\N	\N
16694	56	1998-10-22	VYDAJ	VYBER	1300	56220	\N	\N	\N
16695	56	1998-11-21	VYDAJ	VYBER	6300	56642	\N	\N	\N
16696	56	1998-12-21	VYDAJ	VYBER	10000	60677	\N	\N	\N
16752	57	1995-05-21	PRIJEM	VKLAD	700	700	\N	\N	\N
16758	57	1995-06-06	PRIJEM	VKLAD	31962	32662	\N	\N	\N
16759	57	1995-07-06	PRIJEM	VKLAD	21308	50214	\N	\N	\N
16760	57	1995-08-06	PRIJEM	VKLAD	21308	59557	\N	\N	\N
16761	57	1995-09-06	PRIJEM	VKLAD	21308	61227	\N	\N	\N
16762	57	1995-10-06	PRIJEM	VKLAD	21308	63905	\N	\N	\N
16763	57	1995-11-06	PRIJEM	VKLAD	21308	63898	\N	\N	\N
16764	57	1995-12-06	PRIJEM	VKLAD	31962	74238	\N	\N	\N
16765	57	1996-01-06	PRIJEM	VKLAD	21308	67639	\N	\N	\N
16766	57	1996-02-06	PRIJEM	VKLAD	21308	54022	\N	\N	\N
16767	57	1996-03-06	PRIJEM	VKLAD	21308	59272	\N	\N	\N
16768	57	1996-04-06	PRIJEM	VKLAD	21308	64353	\N	\N	\N
16769	57	1996-05-06	PRIJEM	VKLAD	21308	62827	\N	\N	\N
16770	57	1996-06-06	PRIJEM	VKLAD	31962	69646	\N	\N	\N
16771	57	1996-07-06	PRIJEM	VKLAD	21308	54910	\N	\N	\N
16772	57	1996-08-06	PRIJEM	VKLAD	21308	54745	\N	\N	\N
16773	57	1996-09-06	PRIJEM	VKLAD	21308	45055	\N	\N	\N
16774	57	1996-10-06	PRIJEM	VKLAD	21308	51263	\N	\N	\N
16775	57	1996-11-06	PRIJEM	VKLAD	21308	50777	\N	\N	\N
16776	57	1996-12-06	PRIJEM	VKLAD	31962	64551	\N	\N	\N
16777	57	1997-01-06	PRIJEM	VKLAD	21308	54301	\N	\N	\N
16778	57	1997-02-06	PRIJEM	VKLAD	21308	48437	\N	\N	\N
16779	57	1997-03-06	PRIJEM	VKLAD	21308	50743	\N	\N	\N
16780	57	1997-04-06	PRIJEM	VKLAD	21308	54564	\N	\N	\N
16781	57	1997-05-06	PRIJEM	VKLAD	21308	59537	\N	\N	\N
16782	57	1997-06-06	PRIJEM	VKLAD	31962	71239	\N	\N	\N
16783	57	1997-07-06	PRIJEM	VKLAD	21308	42852	\N	\N	\N
16784	57	1997-08-06	PRIJEM	VKLAD	21308	49247	\N	\N	\N
16785	57	1997-09-06	PRIJEM	VKLAD	21308	52159	\N	\N	\N
16786	57	1997-10-06	PRIJEM	VKLAD	21308	54583	\N	\N	\N
16787	57	1997-11-06	PRIJEM	VKLAD	21308	53606	\N	\N	\N
16788	57	1997-12-06	PRIJEM	VKLAD	31962	62289	\N	\N	\N
16789	57	1998-01-06	PRIJEM	VKLAD	21308	48129	\N	\N	\N
16790	57	1998-02-06	PRIJEM	VKLAD	21308	44770	\N	\N	\N
16791	57	1998-03-06	PRIJEM	VKLAD	21308	62119	\N	\N	\N
16792	57	1998-04-06	PRIJEM	VKLAD	21308	53167	\N	\N	\N
16793	57	1998-05-06	PRIJEM	VKLAD	21308	61850	\N	\N	\N
16794	57	1998-06-06	PRIJEM	VKLAD	31962	77726	\N	\N	\N
16795	57	1998-07-06	PRIJEM	VKLAD	21308	62022	\N	\N	\N
16796	57	1998-08-06	PRIJEM	VKLAD	21308	62344	\N	\N	\N
16797	57	1998-09-06	PRIJEM	VKLAD	21308	59567	\N	\N	\N
16798	57	1998-10-06	PRIJEM	VKLAD	21308	57386	\N	\N	\N
16799	57	1998-11-06	PRIJEM	VKLAD	21308	57889	\N	\N	\N
16800	57	1998-12-06	PRIJEM	VKLAD	31962	68951	\N	\N	\N
16810	57	1995-10-10	VYDAJ	PREVOD NA UCET	4107	59098	SIPO	YZ	55066728
16811	57	1995-11-10	VYDAJ	PREVOD NA UCET	4107	57091	SIPO	YZ	55066728
16812	57	1995-12-10	VYDAJ	PREVOD NA UCET	4107	70131	SIPO	YZ	55066728
16813	57	1996-01-10	VYDAJ	PREVOD NA UCET	4107	63532	SIPO	YZ	55066728
16814	57	1996-02-10	VYDAJ	PREVOD NA UCET	4107	49915	SIPO	YZ	55066728
16815	57	1996-03-10	VYDAJ	PREVOD NA UCET	4107	55165	SIPO	YZ	55066728
16816	57	1996-04-10	VYDAJ	PREVOD NA UCET	4107	60246	SIPO	YZ	55066728
16817	57	1996-05-10	VYDAJ	PREVOD NA UCET	4107	58720	SIPO	YZ	55066728
16818	57	1996-06-10	VYDAJ	PREVOD NA UCET	4107	65539	SIPO	YZ	55066728
16819	57	1996-07-10	VYDAJ	PREVOD NA UCET	4107	50803	SIPO	YZ	55066728
16820	57	1996-08-10	VYDAJ	PREVOD NA UCET	4107	50638	SIPO	YZ	55066728
16821	57	1996-09-10	VYDAJ	PREVOD NA UCET	4107	40948	SIPO	YZ	55066728
16822	57	1996-10-10	VYDAJ	PREVOD NA UCET	4107	47156	SIPO	YZ	55066728
16823	57	1996-11-10	VYDAJ	PREVOD NA UCET	4107	46670	SIPO	YZ	55066728
16824	57	1996-12-10	VYDAJ	PREVOD NA UCET	4107	55344	SIPO	YZ	55066728
16825	57	1997-01-10	VYDAJ	PREVOD NA UCET	4107	36794	SIPO	YZ	55066728
16826	57	1997-02-10	VYDAJ	PREVOD NA UCET	4107	31030	SIPO	YZ	55066728
16827	57	1997-03-10	VYDAJ	PREVOD NA UCET	4107	46636	SIPO	YZ	55066728
16828	57	1997-04-10	VYDAJ	PREVOD NA UCET	4107	50457	SIPO	YZ	55066728
16829	57	1997-05-10	VYDAJ	PREVOD NA UCET	4107	55430	SIPO	YZ	55066728
16830	57	1997-06-10	VYDAJ	PREVOD NA UCET	4107	41832	SIPO	YZ	55066728
16831	57	1997-07-10	VYDAJ	PREVOD NA UCET	4107	27845	SIPO	YZ	55066728
16832	57	1997-08-10	VYDAJ	PREVOD NA UCET	4107	30740	SIPO	YZ	55066728
16833	57	1997-09-10	VYDAJ	PREVOD NA UCET	4107	33152	SIPO	YZ	55066728
16834	57	1997-10-10	VYDAJ	PREVOD NA UCET	4107	32976	SIPO	YZ	55066728
16835	57	1997-11-10	VYDAJ	PREVOD NA UCET	4107	34299	SIPO	YZ	55066728
16836	57	1997-12-10	VYDAJ	PREVOD NA UCET	4107	38082	SIPO	YZ	55066728
16837	57	1998-01-10	VYDAJ	PREVOD NA UCET	4107	41522	SIPO	YZ	55066728
16838	57	1998-02-10	VYDAJ	PREVOD NA UCET	4107	40663	SIPO	YZ	55066728
16839	57	1998-03-10	VYDAJ	PREVOD NA UCET	4107	36612	SIPO	YZ	55066728
16840	57	1998-04-10	VYDAJ	PREVOD NA UCET	4107	49060	SIPO	YZ	55066728
16841	57	1998-05-10	VYDAJ	PREVOD NA UCET	4107	57743	SIPO	YZ	55066728
16842	57	1998-06-10	VYDAJ	PREVOD NA UCET	4107	48719	SIPO	YZ	55066728
16843	57	1998-07-10	VYDAJ	PREVOD NA UCET	4107	57915	SIPO	YZ	55066728
16844	57	1998-08-10	VYDAJ	PREVOD NA UCET	4107	58237	SIPO	YZ	55066728
16845	57	1998-09-10	VYDAJ	PREVOD NA UCET	4107	55460	SIPO	YZ	55066728
16846	57	1998-10-10	VYDAJ	PREVOD NA UCET	4107	53279	SIPO	YZ	55066728
16847	57	1998-11-10	VYDAJ	PREVOD NA UCET	4107	53782	SIPO	YZ	55066728
16848	57	1998-12-10	VYDAJ	PREVOD NA UCET	4107	64844	SIPO	YZ	55066728
16850	57	1996-06-26	VYDAJ	VYBER	9400	33439	\N	\N	\N
16851	57	1997-06-15	VYDAJ	VYBER	19000	22832	\N	\N	\N
16852	57	1998-06-07	VYDAJ	VYBER	24900	52826	\N	\N	\N
16854	57	1996-01-19	VYDAJ	VYBER	5500	37332	\N	\N	\N
16855	57	1997-01-18	VYDAJ	VYBER	2800	32294	\N	\N	\N
16856	57	1998-01-23	VYDAJ	VYBER	4200	34422	\N	\N	\N
16857	57	1995-12-13	VYDAJ	VYBER	900	67531	\N	\N	\N
16858	57	1996-12-07	VYDAJ	VYBER	1300	59451	\N	\N	\N
16859	57	1997-12-15	VYDAJ	VYBER	1500	36582	\N	\N	\N
16860	57	1998-12-24	VYDAJ	VYBER	2100	62744	\N	\N	\N
16867	57	1996-01-04	VYDAJ	VYBER	500	49131	\N	\N	\N
16868	57	1996-01-23	VYDAJ	VYBER	1000	34732	\N	\N	\N
16869	57	1996-01-12	VYDAJ	VYBER	2800	60732	\N	\N	\N
16870	57	1996-01-28	VYDAJ	VYBER	2200	32532	\N	\N	\N
16871	57	1996-01-05	VYDAJ	VYBER	2800	46331	\N	\N	\N
16872	57	1996-01-20	VYDAJ	VYBER	1600	35732	\N	\N	\N
16873	57	1997-01-01	VYDAJ	VYBER	2300	32993	\N	\N	\N
16874	57	1997-01-08	VYDAJ	VYBER	1000	51301	\N	\N	\N
16875	57	1997-01-12	VYDAJ	VYBER	1700	35094	\N	\N	\N
16876	57	1997-01-06	VYDAJ	VYBER	2000	52301	\N	\N	\N
16877	57	1997-01-29	VYDAJ	VYBER	2700	26994	\N	\N	\N
16878	57	1997-01-28	VYDAJ	VYBER	2600	29694	\N	\N	\N
16879	57	1998-01-29	VYDAJ	VYBER	1600	30022	\N	\N	\N
16880	57	1998-01-07	VYDAJ	VYBER	2500	45629	\N	\N	\N
16881	57	1998-01-12	VYDAJ	VYBER	900	39622	\N	\N	\N
16882	57	1998-01-10	VYDAJ	VYBER	1000	40522	\N	\N	\N
16883	57	1998-01-13	VYDAJ	VYBER	1000	38622	\N	\N	\N
16884	57	1998-01-24	VYDAJ	VYBER	2800	31622	\N	\N	\N
16885	57	1995-12-10	VYDAJ	VYBER	1700	68431	\N	\N	\N
16887	57	1995-11-15	VYDAJ	VYBER	2300	54791	\N	\N	\N
16888	57	1995-10-06	VYDAJ	VYBER	700	63205	\N	\N	\N
16889	57	1995-11-06	VYDAJ	VYBER	2700	61198	\N	\N	\N
16891	57	1996-09-21	VYDAJ	VYBER	1600	29848	\N	\N	\N
16892	57	1996-12-30	VYDAJ	VYBER	1200	35144	\N	\N	\N
16893	57	1996-12-06	VYDAJ	VYBER	3800	60751	\N	\N	\N
16894	57	1996-05-20	VYDAJ	VYBER	4400	37520	\N	\N	\N
16895	57	1996-03-05	VYDAJ	VYBER	1600	37964	\N	\N	\N
16896	57	1996-08-14	VYDAJ	VYBER	4000	28238	\N	\N	\N
16897	57	1996-08-17	VYDAJ	VYBER	4600	23638	\N	\N	\N
16898	57	1997-12-03	VYDAJ	VYBER	4100	30327	\N	\N	\N
16899	57	1997-10-17	VYDAJ	VYBER	800	32176	\N	\N	\N
16900	57	1997-02-10	VYDAJ	VYBER	1700	29330	\N	\N	\N
16901	57	1997-06-22	VYDAJ	VYBER	1400	21432	\N	\N	\N
16902	57	1998-06-02	VYDAJ	VYBER	3600	54364	\N	\N	\N
16903	57	1998-08-02	VYDAJ	VYBER	4500	53636	\N	\N	\N
16904	57	1998-03-08	VYDAJ	VYBER	2700	40719	\N	\N	\N
16905	57	1998-10-21	VYDAJ	VYBER	3800	49479	\N	\N	\N
16906	57	1998-09-29	VYDAJ	VYBER	1900	53560	\N	\N	\N
16917	57	1995-10-31	VYDAJ	VYBER	15	42590	SLUZBY	\N	\N
16918	57	1995-11-30	VYDAJ	VYBER	15	42276	SLUZBY	\N	\N
16919	57	1995-12-31	VYDAJ	VYBER	15	49631	SLUZBY	\N	\N
16920	57	1996-01-31	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
16921	57	1996-02-29	VYDAJ	VYBER	15	39564	SLUZBY	\N	\N
16922	57	1996-03-31	VYDAJ	VYBER	15	43045	SLUZBY	\N	\N
16923	57	1996-04-30	VYDAJ	VYBER	15	41519	SLUZBY	\N	\N
16924	57	1996-05-31	VYDAJ	VYBER	15	37684	SLUZBY	\N	\N
16925	57	1996-06-30	VYDAJ	VYBER	15	33602	SLUZBY	\N	\N
16926	57	1996-07-31	VYDAJ	VYBER	15	33437	SLUZBY	\N	\N
16927	57	1996-08-31	VYDAJ	VYBER	15	23747	SLUZBY	\N	\N
16928	57	1996-09-30	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
16929	57	1996-10-31	VYDAJ	VYBER	15	29469	SLUZBY	\N	\N
16930	57	1996-11-30	VYDAJ	VYBER	15	32589	SLUZBY	\N	\N
16931	57	1996-12-31	VYDAJ	VYBER	15	35293	SLUZBY	\N	\N
16932	57	1997-01-31	VYDAJ	VYBER	15	27129	SLUZBY	\N	\N
16933	57	1997-02-28	VYDAJ	VYBER	15	29435	SLUZBY	\N	\N
16934	57	1997-03-31	VYDAJ	VYBER	15	33256	SLUZBY	\N	\N
16935	57	1997-04-30	VYDAJ	VYBER	15	38229	SLUZBY	\N	\N
16936	57	1997-05-31	VYDAJ	VYBER	15	39277	SLUZBY	\N	\N
16937	57	1997-06-30	VYDAJ	VYBER	15	21544	SLUZBY	\N	\N
16938	57	1997-07-31	VYDAJ	VYBER	15	27939	SLUZBY	\N	\N
16939	57	1997-08-31	VYDAJ	VYBER	15	30851	SLUZBY	\N	\N
16940	57	1997-09-30	VYDAJ	VYBER	15	33275	SLUZBY	\N	\N
16941	57	1997-10-31	VYDAJ	VYBER	15	32298	SLUZBY	\N	\N
16942	57	1997-11-30	VYDAJ	VYBER	15	34427	SLUZBY	\N	\N
16943	57	1997-12-31	VYDAJ	VYBER	15	36721	SLUZBY	\N	\N
16944	57	1998-01-31	VYDAJ	VYBER	15	30162	SLUZBY	\N	\N
16945	57	1998-02-28	VYDAJ	VYBER	15	40811	SLUZBY	\N	\N
16946	57	1998-03-31	VYDAJ	VYBER	15	36759	SLUZBY	\N	\N
16947	57	1998-04-30	VYDAJ	VYBER	15	49242	SLUZBY	\N	\N
16948	57	1998-05-31	VYDAJ	VYBER	15	57964	SLUZBY	\N	\N
16949	57	1998-06-30	VYDAJ	VYBER	15	48914	SLUZBY	\N	\N
16950	57	1998-07-31	VYDAJ	VYBER	15	58136	SLUZBY	\N	\N
16951	57	1998-08-31	VYDAJ	VYBER	15	58459	SLUZBY	\N	\N
16952	57	1998-09-30	VYDAJ	VYBER	15	53778	SLUZBY	\N	\N
16953	57	1998-10-31	VYDAJ	VYBER	15	49681	SLUZBY	\N	\N
16954	57	1998-11-30	VYDAJ	VYBER	15	53989	SLUZBY	\N	\N
16955	57	1995-06-20	VYDAJ	VYBER	3800	28862	\N	\N	\N
16956	57	1995-07-20	VYDAJ	VYBER	12100	38114	\N	\N	\N
16957	57	1995-08-19	VYDAJ	VYBER	19800	39757	\N	\N	\N
16958	57	1995-09-18	VYDAJ	VYBER	18800	42427	\N	\N	\N
16959	57	1995-10-18	VYDAJ	VYBER	16700	42398	\N	\N	\N
16960	57	1995-11-17	VYDAJ	VYBER	12700	42091	\N	\N	\N
16961	57	1995-12-17	VYDAJ	VYBER	18100	49431	\N	\N	\N
16962	57	1996-01-16	VYDAJ	VYBER	17900	42832	\N	\N	\N
16963	57	1996-02-15	VYDAJ	VYBER	10500	39415	\N	\N	\N
16964	57	1996-03-16	VYDAJ	VYBER	12300	42865	\N	\N	\N
16965	57	1996-04-15	VYDAJ	VYBER	18900	41346	\N	\N	\N
16966	57	1996-05-15	VYDAJ	VYBER	16800	41920	\N	\N	\N
16967	57	1996-06-14	VYDAJ	VYBER	22700	42839	\N	\N	\N
16968	57	1996-07-14	VYDAJ	VYBER	17500	33303	\N	\N	\N
16969	57	1996-08-13	VYDAJ	VYBER	18400	32238	\N	\N	\N
16970	57	1996-09-12	VYDAJ	VYBER	9500	31448	\N	\N	\N
16971	57	1996-10-12	VYDAJ	VYBER	17800	29356	\N	\N	\N
16972	57	1996-11-11	VYDAJ	VYBER	14200	32470	\N	\N	\N
16973	57	1996-12-11	VYDAJ	VYBER	19000	36344	\N	\N	\N
16974	57	1997-01-10	VYDAJ	VYBER	10400	40901	\N	\N	\N
16975	57	1997-02-09	VYDAJ	VYBER	13300	35137	\N	\N	\N
16976	57	1997-03-11	VYDAJ	VYBER	13500	33136	\N	\N	\N
16977	57	1997-04-10	VYDAJ	VYBER	12400	38057	\N	\N	\N
16978	57	1997-05-10	VYDAJ	VYBER	16300	39130	\N	\N	\N
16979	57	1997-06-09	VYDAJ	VYBER	25300	45939	\N	\N	\N
16980	57	1997-07-09	VYDAJ	VYBER	10900	31952	\N	\N	\N
16981	57	1997-08-08	VYDAJ	VYBER	14400	34847	\N	\N	\N
16982	57	1997-09-07	VYDAJ	VYBER	14900	37259	\N	\N	\N
16983	57	1997-10-07	VYDAJ	VYBER	17500	37083	\N	\N	\N
16984	57	1997-11-06	VYDAJ	VYBER	15200	38406	\N	\N	\N
16985	57	1997-12-06	VYDAJ	VYBER	20100	42189	\N	\N	\N
16986	57	1998-01-05	VYDAJ	VYBER	9900	26821	\N	\N	\N
16987	57	1998-02-04	VYDAJ	VYBER	6700	23462	\N	\N	\N
16988	57	1998-03-06	VYDAJ	VYBER	18700	43419	\N	\N	\N
16989	57	1998-04-05	VYDAJ	VYBER	4900	31859	\N	\N	\N
16990	57	1998-05-05	VYDAJ	VYBER	8700	40542	\N	\N	\N
16991	57	1998-06-04	VYDAJ	VYBER	8600	45764	\N	\N	\N
16992	57	1998-07-04	VYDAJ	VYBER	8200	40714	\N	\N	\N
16993	57	1998-08-03	VYDAJ	VYBER	12600	41036	\N	\N	\N
16994	57	1998-09-02	VYDAJ	VYBER	20200	38259	\N	\N	\N
16995	57	1998-10-02	VYDAJ	VYBER	17700	36078	\N	\N	\N
16996	57	1998-11-01	VYDAJ	VYBER	13100	36581	\N	\N	\N
16997	57	1998-12-01	VYDAJ	VYBER	17000	36989	\N	\N	\N
17041	58	1996-08-23	PRIJEM	VKLAD	600	600	\N	\N	\N
17050	58	1996-09-08	PRIJEM	PREVOD Z UCTU	5804	6404	DUCHOD	ST	5804259
17051	58	1996-10-08	PRIJEM	PREVOD Z UCTU	5804	12208	DUCHOD	ST	5804259
17052	58	1996-11-08	PRIJEM	PREVOD Z UCTU	5804	18012	DUCHOD	ST	5804259
17053	58	1996-12-08	PRIJEM	PREVOD Z UCTU	5804	23816	DUCHOD	ST	5804259
17054	58	1997-01-08	PRIJEM	PREVOD Z UCTU	5804	28954	DUCHOD	ST	5804259
17055	58	1997-02-08	PRIJEM	PREVOD Z UCTU	5804	21413	DUCHOD	ST	5804259
17056	58	1997-03-08	PRIJEM	PREVOD Z UCTU	5804	20097	DUCHOD	ST	5804259
17057	58	1997-04-08	PRIJEM	PREVOD Z UCTU	5804	22952	DUCHOD	ST	5804259
17058	58	1997-05-08	PRIJEM	PREVOD Z UCTU	5804	28321	DUCHOD	ST	5804259
17059	58	1997-06-08	PRIJEM	PREVOD Z UCTU	5804	25203	DUCHOD	ST	5804259
17060	58	1997-07-08	PRIJEM	PREVOD Z UCTU	5804	11899	DUCHOD	ST	5804259
17061	58	1997-08-08	PRIJEM	PREVOD Z UCTU	5804	17235	DUCHOD	ST	5804259
17062	58	1997-09-08	PRIJEM	PREVOD Z UCTU	5804	14077	DUCHOD	ST	5804259
17063	58	1997-10-08	PRIJEM	PREVOD Z UCTU	5804	15317	DUCHOD	ST	5804259
17064	58	1997-11-08	PRIJEM	PREVOD Z UCTU	5804	17660	DUCHOD	ST	5804259
17065	58	1997-12-08	PRIJEM	PREVOD Z UCTU	5804	15740	DUCHOD	ST	5804259
17066	58	1998-01-08	PRIJEM	PREVOD Z UCTU	5804	11808	DUCHOD	ST	5804259
17067	58	1998-02-08	PRIJEM	PREVOD Z UCTU	5804	3600	DUCHOD	ST	5804259
17068	58	1998-03-08	PRIJEM	PREVOD Z UCTU	5804	9368	DUCHOD	ST	5804259
17069	58	1998-04-08	PRIJEM	PREVOD Z UCTU	5804	10683	DUCHOD	ST	5804259
17070	58	1998-05-08	PRIJEM	PREVOD Z UCTU	5804	10391	DUCHOD	ST	5804259
17071	58	1998-06-08	PRIJEM	PREVOD Z UCTU	5804	13940	DUCHOD	ST	5804259
17072	58	1998-07-08	PRIJEM	PREVOD Z UCTU	5804	9968	DUCHOD	ST	5804259
17073	58	1998-08-08	PRIJEM	PREVOD Z UCTU	5804	13677	DUCHOD	ST	5804259
17074	58	1998-09-08	PRIJEM	PREVOD Z UCTU	5804	17200	DUCHOD	ST	5804259
17075	58	1998-10-08	PRIJEM	PREVOD Z UCTU	5804	20856	DUCHOD	ST	5804259
17076	58	1998-11-08	PRIJEM	PREVOD Z UCTU	5804	24309	DUCHOD	ST	5804259
17077	58	1998-12-08	PRIJEM	PREVOD Z UCTU	5804	15160	DUCHOD	ST	5804259
17091	58	1997-02-08	VYDAJ	VYBER	1900	19513	SIPO	\N	0
17092	58	1997-02-27	VYDAJ	VYBER	2400	14233	SIPO	\N	0
17093	58	1997-03-28	VYDAJ	VYBER	2200	17097	SIPO	\N	0
17094	58	1997-05-14	VYDAJ	VYBER	2000	26321	SIPO	\N	0
17095	58	1997-06-11	VYDAJ	VYBER	2100	23103	SIPO	\N	0
17096	58	1997-07-01	VYDAJ	VYBER	2800	6095	SIPO	\N	0
17097	58	1997-08-08	VYDAJ	VYBER	2400	14835	SIPO	\N	0
17098	58	1997-09-04	VYDAJ	VYBER	1800	8273	SIPO	\N	0
17099	58	1997-10-07	VYDAJ	VYBER	2500	9513	SIPO	\N	0
17100	58	1997-11-14	VYDAJ	VYBER	2700	14960	SIPO	\N	0
17101	58	1997-11-26	VYDAJ	VYBER	2300	10460	SIPO	\N	0
17102	58	1998-01-14	VYDAJ	VYBER	2200	6728	SIPO	\N	0
17104	58	1998-03-09	VYDAJ	VYBER	2300	7068	SIPO	\N	0
17105	58	1998-04-06	VYDAJ	VYBER	2200	4879	SIPO	\N	0
17106	58	1998-05-03	VYDAJ	VYBER	2200	4587	SIPO	\N	0
17107	58	1998-06-01	VYDAJ	VYBER	1800	8616	SIPO	\N	0
17108	58	1998-06-30	VYDAJ	VYBER	2800	4164	SIPO	\N	0
17109	58	1998-07-28	VYDAJ	VYBER	2100	7868	SIPO	\N	0
17110	58	1998-09-03	VYDAJ	VYBER	2300	11396	SIPO	\N	0
17111	58	1998-09-29	VYDAJ	VYBER	2200	15000	SIPO	\N	0
17112	58	1998-11-01	VYDAJ	VYBER	2400	18505	SIPO	\N	0
17113	58	1998-12-06	VYDAJ	VYBER	1900	9356	SIPO	\N	0
17115	58	1997-06-14	VYDAJ	VYBER	14250	8853	\N	\N	\N
17116	58	1998-06-16	VYDAJ	VYBER	7000	6940	\N	\N	\N
17118	58	1997-01-26	VYDAJ	VYBER	4150	18964	\N	\N	\N
17119	58	1998-01-17	VYDAJ	VYBER	2450	2518	\N	\N	\N
17121	58	1997-12-20	VYDAJ	VYBER	1400	9340	\N	\N	\N
17122	58	1998-12-29	VYDAJ	VYBER	1000	11200	\N	\N	\N
17129	58	1997-01-18	VYDAJ	VYBER	2080	25034	\N	\N	\N
17131	58	1997-01-29	VYDAJ	VYBER	720	18244	\N	\N	\N
17132	58	1997-01-22	VYDAJ	VYBER	1200	23834	\N	\N	\N
17133	58	1997-01-11	VYDAJ	VYBER	1840	27114	\N	\N	\N
17134	58	1997-01-26	VYDAJ	VYBER	720	23114	\N	\N	\N
17135	58	1998-01-22	VYDAJ	VYBER	1440	-443	\N	\N	\N
17136	58	1998-01-11	VYDAJ	VYBER	880	8928	\N	\N	\N
17137	58	1998-01-07	VYDAJ	VYBER	480	6004	\N	\N	\N
17138	58	1998-01-14	VYDAJ	VYBER	1760	4968	\N	\N	\N
17139	58	1998-01-09	VYDAJ	VYBER	2000	9808	\N	\N	\N
17140	58	1998-01-24	VYDAJ	VYBER	1760	-2203	\N	\N	\N
17144	58	1997-02-04	VYDAJ	VYBER	2720	15609	\N	\N	\N
17145	58	1997-12-26	VYDAJ	VYBER	2880	6460	\N	\N	\N
17146	58	1997-11-28	VYDAJ	VYBER	560	9900	\N	\N	\N
17147	58	1997-02-14	VYDAJ	VYBER	2880	16633	\N	\N	\N
17148	58	1998-06-07	VYDAJ	VYBER	480	8136	\N	\N	\N
17150	58	1998-04-26	VYDAJ	VYBER	3920	6763	\N	\N	\N
17151	58	1998-12-24	VYDAJ	VYBER	2960	12200	\N	\N	\N
17152	58	1998-01-22	VYDAJ	VYBER	1520	998	\N	\N	\N
17167	58	1997-01-31	VYDAJ	VYBER	15	18329	SLUZBY	\N	\N
17168	58	1997-02-28	VYDAJ	VYBER	15	14293	SLUZBY	\N	\N
17169	58	1997-03-31	VYDAJ	VYBER	15	17148	SLUZBY	\N	\N
17170	58	1997-04-30	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
17171	58	1997-05-31	VYDAJ	VYBER	15	19399	SLUZBY	\N	\N
17172	58	1997-06-30	VYDAJ	VYBER	15	8895	SLUZBY	\N	\N
17173	58	1997-07-31	VYDAJ	VYBER	15	11431	SLUZBY	\N	\N
17174	58	1997-08-31	VYDAJ	VYBER	15	10073	SLUZBY	\N	\N
17175	58	1997-09-30	VYDAJ	VYBER	15	12013	SLUZBY	\N	\N
17176	58	1997-10-31	VYDAJ	VYBER	15	11856	SLUZBY	\N	\N
17177	58	1997-11-30	VYDAJ	VYBER	15	9936	SLUZBY	\N	\N
17178	58	1997-12-31	VYDAJ	VYBER	15	6484	SLUZBY	\N	\N
17179	58	1998-01-31	VYDAJ	VYBER	15	-2199	SLUZBY	\N	\N
17180	58	1998-02-28	VYDAJ	VYBER	15	3586	SLUZBY	\N	\N
17181	58	1998-03-31	VYDAJ	VYBER	15	7079	SLUZBY	\N	\N
17182	58	1998-04-30	VYDAJ	VYBER	15	6787	SLUZBY	\N	\N
17183	58	1998-05-31	VYDAJ	VYBER	15	10416	SLUZBY	\N	\N
17184	58	1998-06-30	VYDAJ	VYBER	15	6964	SLUZBY	\N	\N
17185	58	1998-07-31	VYDAJ	VYBER	15	7873	SLUZBY	\N	\N
17186	58	1998-08-31	VYDAJ	VYBER	15	13696	SLUZBY	\N	\N
17187	58	1998-09-30	VYDAJ	VYBER	15	15052	SLUZBY	\N	\N
17188	58	1998-10-31	VYDAJ	VYBER	15	20905	SLUZBY	\N	\N
17189	58	1998-11-30	VYDAJ	VYBER	15	11256	SLUZBY	\N	\N
17190	58	1996-12-21	VYDAJ	VYBER	700	23116	\N	\N	\N
17191	58	1997-03-21	VYDAJ	VYBER	800	19297	\N	\N	\N
17192	58	1997-04-20	VYDAJ	VYBER	500	22452	\N	\N	\N
17193	58	1997-05-20	VYDAJ	VYBER	7000	19321	\N	\N	\N
17194	58	1997-07-19	VYDAJ	VYBER	500	11399	\N	\N	\N
17195	58	1997-08-18	VYDAJ	VYBER	4800	10035	\N	\N	\N
17196	58	1997-09-17	VYDAJ	VYBER	2100	11977	\N	\N	\N
17197	58	1997-10-17	VYDAJ	VYBER	3500	11817	\N	\N	\N
17198	58	1997-11-16	VYDAJ	VYBER	2200	12760	\N	\N	\N
17199	58	1997-12-16	VYDAJ	VYBER	5000	10740	\N	\N	\N
17200	58	1998-11-11	VYDAJ	VYBER	13100	11209	\N	\N	\N
17228	59	1994-03-27	PRIJEM	VKLAD	600	600	\N	\N	\N
17232	59	1994-04-05	PRIJEM	VKLAD	14283	14883	\N	\N	\N
17233	59	1994-05-05	PRIJEM	VKLAD	14283	36181	\N	\N	\N
17234	59	1994-06-05	PRIJEM	VKLAD	21424	51203	\N	\N	\N
17235	59	1994-07-05	PRIJEM	VKLAD	14283	50014	\N	\N	\N
17236	59	1994-08-05	PRIJEM	VKLAD	14283	52448	\N	\N	\N
17237	59	1994-09-05	PRIJEM	VKLAD	14283	50305	\N	\N	\N
17238	59	1994-10-05	PRIJEM	VKLAD	14283	50754	\N	\N	\N
17239	59	1994-11-05	PRIJEM	VKLAD	14283	49578	\N	\N	\N
17240	59	1994-12-05	PRIJEM	VKLAD	21424	53587	\N	\N	\N
17241	59	1995-01-05	PRIJEM	VKLAD	14283	44794	\N	\N	\N
17242	59	1995-02-05	PRIJEM	VKLAD	14283	29104	\N	\N	\N
17243	59	1995-03-05	PRIJEM	VKLAD	14283	39277	\N	\N	\N
17244	59	1995-04-05	PRIJEM	VKLAD	14283	43584	\N	\N	\N
17245	59	1995-05-05	PRIJEM	VKLAD	14283	45993	\N	\N	\N
17246	59	1995-06-05	PRIJEM	VKLAD	21424	53322	\N	\N	\N
17247	59	1995-07-05	PRIJEM	VKLAD	14283	51802	\N	\N	\N
17248	59	1995-08-05	PRIJEM	VKLAD	14283	51356	\N	\N	\N
17249	59	1995-09-05	PRIJEM	VKLAD	14283	53107	\N	\N	\N
17250	59	1995-10-05	PRIJEM	VKLAD	14283	54525	\N	\N	\N
17251	59	1995-11-05	PRIJEM	VKLAD	14283	56798	\N	\N	\N
17252	59	1995-12-05	PRIJEM	VKLAD	21424	65211	\N	\N	\N
17253	59	1996-01-05	PRIJEM	VKLAD	14283	61427	\N	\N	\N
17254	59	1996-02-05	PRIJEM	VKLAD	14283	40827	\N	\N	\N
17255	59	1996-03-05	PRIJEM	VKLAD	14283	53255	\N	\N	\N
17256	59	1996-04-05	PRIJEM	VKLAD	14283	50620	\N	\N	\N
17257	59	1996-05-05	PRIJEM	VKLAD	14283	55587	\N	\N	\N
17258	59	1996-06-05	PRIJEM	VKLAD	21424	63390	\N	\N	\N
17259	59	1996-07-05	PRIJEM	VKLAD	14283	38605	\N	\N	\N
17260	59	1996-08-05	PRIJEM	VKLAD	14283	43339	\N	\N	\N
17261	59	1996-09-05	PRIJEM	VKLAD	14283	51768	\N	\N	\N
17262	59	1996-10-05	PRIJEM	VKLAD	14283	51490	\N	\N	\N
17263	59	1996-11-05	PRIJEM	VKLAD	14283	52233	\N	\N	\N
17264	59	1996-12-05	PRIJEM	VKLAD	21424	63027	\N	\N	\N
17265	59	1997-01-05	PRIJEM	VKLAD	14283	49673	\N	\N	\N
17266	59	1997-02-05	PRIJEM	VKLAD	14283	46723	\N	\N	\N
17267	59	1997-03-05	PRIJEM	VKLAD	14283	53461	\N	\N	\N
17268	59	1997-04-05	PRIJEM	VKLAD	14283	57319	\N	\N	\N
17269	59	1997-05-05	PRIJEM	VKLAD	14283	58886	\N	\N	\N
17270	59	1997-06-05	PRIJEM	VKLAD	21424	63791	\N	\N	\N
17271	59	1997-07-05	PRIJEM	VKLAD	14283	49382	\N	\N	\N
17272	59	1997-08-05	PRIJEM	VKLAD	14283	48609	\N	\N	\N
17273	59	1997-09-05	PRIJEM	VKLAD	14283	47548	\N	\N	\N
17274	59	1997-10-05	PRIJEM	VKLAD	14283	45715	\N	\N	\N
17275	59	1997-11-05	PRIJEM	VKLAD	14283	44448	\N	\N	\N
17276	59	1997-12-05	PRIJEM	VKLAD	21424	55603	\N	\N	\N
17277	59	1998-01-05	PRIJEM	VKLAD	14283	56459	\N	\N	\N
17278	59	1998-02-05	PRIJEM	VKLAD	14283	54869	\N	\N	\N
17279	59	1998-03-05	PRIJEM	VKLAD	14283	62442	\N	\N	\N
17280	59	1998-04-05	PRIJEM	VKLAD	14283	65052	\N	\N	\N
17281	59	1998-05-05	PRIJEM	VKLAD	14283	69179	\N	\N	\N
17282	59	1998-06-05	PRIJEM	VKLAD	21424	81147	\N	\N	\N
17283	59	1998-07-05	PRIJEM	VKLAD	14283	78831	\N	\N	\N
17284	59	1998-08-05	PRIJEM	VKLAD	14283	80052	\N	\N	\N
17285	59	1998-09-05	PRIJEM	VKLAD	14283	76235	\N	\N	\N
17286	59	1998-10-05	PRIJEM	VKLAD	14283	81108	\N	\N	\N
17287	59	1998-11-05	PRIJEM	VKLAD	14283	79594	\N	\N	\N
17288	59	1998-12-05	PRIJEM	VKLAD	21424	89720	\N	\N	\N
17296	59	1994-08-08	VYDAJ	PREVOD NA UCET	695	45563	SIPO	IJ	38201576
17297	59	1994-09-08	VYDAJ	PREVOD NA UCET	695	43420	SIPO	IJ	38201576
17298	59	1994-10-08	VYDAJ	PREVOD NA UCET	695	50059	SIPO	IJ	38201576
17299	59	1994-11-08	VYDAJ	PREVOD NA UCET	695	48883	SIPO	IJ	38201576
17300	59	1994-12-08	VYDAJ	PREVOD NA UCET	695	52892	SIPO	IJ	38201576
17301	59	1995-01-08	VYDAJ	PREVOD NA UCET	695	36949	SIPO	IJ	38201576
17302	59	1995-02-08	VYDAJ	PREVOD NA UCET	695	22219	SIPO	IJ	38201576
17303	59	1995-03-08	VYDAJ	PREVOD NA UCET	695	38582	SIPO	IJ	38201576
17304	59	1995-04-08	VYDAJ	PREVOD NA UCET	695	42889	SIPO	IJ	38201576
17305	59	1995-05-08	VYDAJ	PREVOD NA UCET	695	45298	SIPO	IJ	38201576
17306	59	1995-06-08	VYDAJ	PREVOD NA UCET	695	52627	SIPO	IJ	38201576
17307	59	1995-07-08	VYDAJ	PREVOD NA UCET	695	44917	SIPO	IJ	38201576
17308	59	1995-08-08	VYDAJ	PREVOD NA UCET	695	50661	SIPO	IJ	38201576
17309	59	1995-09-08	VYDAJ	PREVOD NA UCET	695	52412	SIPO	IJ	38201576
17310	59	1995-10-08	VYDAJ	PREVOD NA UCET	695	53830	SIPO	IJ	38201576
17311	59	1995-11-08	VYDAJ	PREVOD NA UCET	695	49913	SIPO	IJ	38201576
17312	59	1995-12-08	VYDAJ	PREVOD NA UCET	695	63236	SIPO	IJ	38201576
17313	59	1996-01-08	VYDAJ	PREVOD NA UCET	695	48092	SIPO	IJ	38201576
17314	59	1996-02-08	VYDAJ	PREVOD NA UCET	695	33942	SIPO	IJ	38201576
17315	59	1996-03-08	VYDAJ	PREVOD NA UCET	695	52560	SIPO	IJ	38201576
17316	59	1996-04-08	VYDAJ	PREVOD NA UCET	695	49925	SIPO	IJ	38201576
17317	59	1996-05-08	VYDAJ	PREVOD NA UCET	695	48702	SIPO	IJ	38201576
17318	59	1996-06-08	VYDAJ	PREVOD NA UCET	695	62695	SIPO	IJ	38201576
17319	59	1996-07-08	VYDAJ	PREVOD NA UCET	695	31720	SIPO	IJ	38201576
17320	59	1996-08-08	VYDAJ	PREVOD NA UCET	695	36454	SIPO	IJ	38201576
17321	59	1996-09-08	VYDAJ	PREVOD NA UCET	695	51073	SIPO	IJ	38201576
17322	59	1996-10-08	VYDAJ	PREVOD NA UCET	695	44605	SIPO	IJ	38201576
17323	59	1996-11-08	VYDAJ	PREVOD NA UCET	695	51538	SIPO	IJ	38201576
17324	59	1996-12-08	VYDAJ	PREVOD NA UCET	695	56142	SIPO	IJ	38201576
17325	59	1997-01-08	VYDAJ	PREVOD NA UCET	695	29658	SIPO	IJ	38201576
17326	59	1997-02-08	VYDAJ	PREVOD NA UCET	695	46028	SIPO	IJ	38201576
17327	59	1997-03-08	VYDAJ	PREVOD NA UCET	695	46576	SIPO	IJ	38201576
17328	59	1997-04-08	VYDAJ	PREVOD NA UCET	695	56624	SIPO	IJ	38201576
17329	59	1997-05-08	VYDAJ	PREVOD NA UCET	695	58191	SIPO	IJ	38201576
17330	59	1997-06-08	VYDAJ	PREVOD NA UCET	695	56906	SIPO	IJ	38201576
17331	59	1997-07-08	VYDAJ	PREVOD NA UCET	695	48687	SIPO	IJ	38201576
17332	59	1997-08-08	VYDAJ	PREVOD NA UCET	695	39314	SIPO	IJ	38201576
17333	59	1997-09-08	VYDAJ	PREVOD NA UCET	695	40253	SIPO	IJ	38201576
17334	59	1997-10-08	VYDAJ	PREVOD NA UCET	695	38020	SIPO	IJ	38201576
17335	59	1997-11-08	VYDAJ	PREVOD NA UCET	695	35963	SIPO	IJ	38201576
17336	59	1997-12-08	VYDAJ	PREVOD NA UCET	695	42018	SIPO	IJ	38201576
17337	59	1998-01-08	VYDAJ	PREVOD NA UCET	695	51124	SIPO	IJ	38201576
17338	59	1998-02-08	VYDAJ	PREVOD NA UCET	695	47984	SIPO	IJ	38201576
17339	59	1998-03-08	VYDAJ	PREVOD NA UCET	695	56747	SIPO	IJ	38201576
17340	59	1998-04-08	VYDAJ	PREVOD NA UCET	695	60857	SIPO	IJ	38201576
17341	59	1998-05-08	VYDAJ	PREVOD NA UCET	695	65384	SIPO	IJ	38201576
17342	59	1998-06-08	VYDAJ	PREVOD NA UCET	695	74262	SIPO	IJ	38201576
17343	59	1998-07-08	VYDAJ	PREVOD NA UCET	695	71946	SIPO	IJ	38201576
17344	59	1998-08-08	VYDAJ	PREVOD NA UCET	695	78637	SIPO	IJ	38201576
17345	59	1998-09-08	VYDAJ	PREVOD NA UCET	695	75540	SIPO	IJ	38201576
17346	59	1998-10-08	VYDAJ	PREVOD NA UCET	695	74223	SIPO	IJ	38201576
17347	59	1998-11-08	VYDAJ	PREVOD NA UCET	695	78899	SIPO	IJ	38201576
17348	59	1998-12-08	VYDAJ	PREVOD NA UCET	695	89025	SIPO	IJ	38201576
17356	59	1994-08-08	VYDAJ	PREVOD NA UCET	6190	46258	 	ST	65394794
17357	59	1994-09-08	VYDAJ	PREVOD NA UCET	6190	44115	 	ST	65394794
17358	59	1994-10-08	VYDAJ	PREVOD NA UCET	6190	43869	 	ST	65394794
17359	59	1994-11-08	VYDAJ	PREVOD NA UCET	6190	42693	 	ST	65394794
17360	59	1994-12-08	VYDAJ	PREVOD NA UCET	6190	46702	 	ST	65394794
17361	59	1995-01-08	VYDAJ	PREVOD NA UCET	6190	37644	 	ST	65394794
17362	59	1995-02-08	VYDAJ	PREVOD NA UCET	6190	22914	 	ST	65394794
17363	59	1995-03-08	VYDAJ	PREVOD NA UCET	6190	32392	 	ST	65394794
17364	59	1995-04-08	VYDAJ	PREVOD NA UCET	6190	36699	 	ST	65394794
17365	59	1995-05-08	VYDAJ	PREVOD NA UCET	6190	39108	 	ST	65394794
17366	59	1995-06-08	VYDAJ	PREVOD NA UCET	6190	46437	 	ST	65394794
17367	59	1995-07-08	VYDAJ	PREVOD NA UCET	6190	45612	 	ST	65394794
17368	59	1995-08-08	VYDAJ	PREVOD NA UCET	6190	44471	 	ST	65394794
17369	59	1995-09-08	VYDAJ	PREVOD NA UCET	6190	46222	 	ST	65394794
17370	59	1995-10-08	VYDAJ	PREVOD NA UCET	6190	47640	 	ST	65394794
17371	59	1995-11-08	VYDAJ	PREVOD NA UCET	6190	50608	 	ST	65394794
17372	59	1995-12-08	VYDAJ	PREVOD NA UCET	6190	57046	 	ST	65394794
17373	59	1996-01-08	VYDAJ	PREVOD NA UCET	6190	41902	 	ST	65394794
17374	59	1996-02-08	VYDAJ	PREVOD NA UCET	6190	34637	 	ST	65394794
17375	59	1996-03-08	VYDAJ	PREVOD NA UCET	6190	46370	 	ST	65394794
17376	59	1996-04-08	VYDAJ	PREVOD NA UCET	6190	43735	 	ST	65394794
17377	59	1996-05-08	VYDAJ	PREVOD NA UCET	6190	49397	 	ST	65394794
17378	59	1996-06-08	VYDAJ	PREVOD NA UCET	6190	56505	 	ST	65394794
17379	59	1996-07-08	VYDAJ	PREVOD NA UCET	6190	32415	 	ST	65394794
17380	59	1996-08-08	VYDAJ	PREVOD NA UCET	6190	37149	 	ST	65394794
17381	59	1996-09-08	VYDAJ	PREVOD NA UCET	6190	44883	 	ST	65394794
17382	59	1996-10-08	VYDAJ	PREVOD NA UCET	6190	45300	 	ST	65394794
17383	59	1996-11-08	VYDAJ	PREVOD NA UCET	6190	45348	 	ST	65394794
17384	59	1996-12-08	VYDAJ	PREVOD NA UCET	6190	56837	 	ST	65394794
17385	59	1997-01-08	VYDAJ	PREVOD NA UCET	6190	23468	 	ST	65394794
17386	59	1997-02-08	VYDAJ	PREVOD NA UCET	6190	39838	 	ST	65394794
17387	59	1997-03-08	VYDAJ	PREVOD NA UCET	6190	47271	 	ST	65394794
17388	59	1997-04-08	VYDAJ	PREVOD NA UCET	6190	50434	 	ST	65394794
17389	59	1997-05-08	VYDAJ	PREVOD NA UCET	6190	52001	 	ST	65394794
17390	59	1997-06-08	VYDAJ	PREVOD NA UCET	6190	57601	 	ST	65394794
17391	59	1997-07-08	VYDAJ	PREVOD NA UCET	6190	42497	 	ST	65394794
17392	59	1997-08-08	VYDAJ	PREVOD NA UCET	6190	33124	 	ST	65394794
17393	59	1997-09-08	VYDAJ	PREVOD NA UCET	6190	34063	 	ST	65394794
17394	59	1997-10-08	VYDAJ	PREVOD NA UCET	6190	31830	 	ST	65394794
17395	59	1997-11-08	VYDAJ	PREVOD NA UCET	6190	36658	 	ST	65394794
17396	59	1997-12-08	VYDAJ	PREVOD NA UCET	6190	42713	 	ST	65394794
17397	59	1998-01-08	VYDAJ	PREVOD NA UCET	6190	44934	 	ST	65394794
17398	59	1998-02-08	VYDAJ	PREVOD NA UCET	6190	48679	 	ST	65394794
17399	59	1998-03-08	VYDAJ	PREVOD NA UCET	6190	50557	 	ST	65394794
17400	59	1998-04-08	VYDAJ	PREVOD NA UCET	6190	54667	 	ST	65394794
17401	59	1998-05-08	VYDAJ	PREVOD NA UCET	6190	59194	 	ST	65394794
17402	59	1998-06-08	VYDAJ	PREVOD NA UCET	6190	74957	 	ST	65394794
17403	59	1998-07-08	VYDAJ	PREVOD NA UCET	6190	72641	 	ST	65394794
17404	59	1998-08-08	VYDAJ	PREVOD NA UCET	6190	72447	 	ST	65394794
17405	59	1998-09-08	VYDAJ	PREVOD NA UCET	6190	69350	 	ST	65394794
17406	59	1998-10-08	VYDAJ	PREVOD NA UCET	6190	74918	 	ST	65394794
17407	59	1998-11-08	VYDAJ	PREVOD NA UCET	6190	72709	 	ST	65394794
17408	59	1998-12-08	VYDAJ	PREVOD NA UCET	6190	82835	 	ST	65394794
17411	59	1996-06-27	VYDAJ	VYBER	22880	24145	\N	\N	\N
17412	59	1997-06-25	VYDAJ	VYBER	5920	34946	\N	\N	\N
17415	59	1995-01-27	VYDAJ	VYBER	15520	14709	\N	\N	\N
17416	59	1996-01-06	VYDAJ	VYBER	12640	48787	\N	\N	\N
17417	59	1997-01-07	VYDAJ	VYBER	14880	30353	\N	\N	\N
17418	59	1998-01-21	VYDAJ	VYBER	7040	25174	\N	\N	\N
17419	59	1994-12-22	VYDAJ	VYBER	3200	35162	\N	\N	\N
17420	59	1995-12-05	VYDAJ	VYBER	1280	63931	\N	\N	\N
17421	59	1996-12-09	VYDAJ	VYBER	4000	52142	\N	\N	\N
17422	59	1997-12-03	VYDAJ	VYBER	1920	34179	\N	\N	\N
17423	59	1998-12-29	VYDAJ	VYBER	3360	79475	\N	\N	\N
17430	59	1995-01-06	VYDAJ	VYBER	960	43834	\N	\N	\N
17431	59	1995-01-19	VYDAJ	VYBER	1200	30829	\N	\N	\N
17432	59	1995-01-02	VYDAJ	VYBER	840	30511	\N	\N	\N
17433	59	1995-01-12	VYDAJ	VYBER	2520	32029	\N	\N	\N
17435	59	1995-01-10	VYDAJ	VYBER	2400	34549	\N	\N	\N
17436	59	1996-01-19	VYDAJ	VYBER	3120	35162	\N	\N	\N
17437	59	1996-01-22	VYDAJ	VYBER	720	34442	\N	\N	\N
17438	59	1996-01-11	VYDAJ	VYBER	3120	38782	\N	\N	\N
17439	59	1996-01-28	VYDAJ	VYBER	3360	26402	\N	\N	\N
17440	59	1996-01-27	VYDAJ	VYBER	2520	29762	\N	\N	\N
17441	59	1996-01-23	VYDAJ	VYBER	2160	32282	\N	\N	\N
17442	59	1997-01-07	VYDAJ	VYBER	3360	46313	\N	\N	\N
17443	59	1997-01-03	VYDAJ	VYBER	2160	41750	\N	\N	\N
17444	59	1997-01-03	VYDAJ	VYBER	3480	38270	\N	\N	\N
17445	59	1997-01-26	VYDAJ	VYBER	960	32308	\N	\N	\N
17446	59	1997-01-07	VYDAJ	VYBER	1080	45233	\N	\N	\N
17447	59	1997-01-03	VYDAJ	VYBER	2880	35390	\N	\N	\N
17448	59	1998-01-16	VYDAJ	VYBER	2040	35574	\N	\N	\N
17449	59	1998-01-10	VYDAJ	VYBER	1560	40734	\N	\N	\N
17450	59	1998-01-17	VYDAJ	VYBER	1680	33894	\N	\N	\N
17451	59	1998-01-08	VYDAJ	VYBER	2640	51819	\N	\N	\N
17452	59	1998-01-09	VYDAJ	VYBER	2640	42294	\N	\N	\N
17453	59	1998-01-20	VYDAJ	VYBER	1680	32214	\N	\N	\N
17455	59	1994-12-29	VYDAJ	VYBER	3960	31202	\N	\N	\N
17456	59	1994-11-24	VYDAJ	VYBER	2280	32013	\N	\N	\N
17457	59	1994-12-12	VYDAJ	VYBER	5040	41662	\N	\N	\N
17458	59	1994-11-04	VYDAJ	VYBER	2040	35295	\N	\N	\N
17459	59	1995-09-20	VYDAJ	VYBER	1440	40082	\N	\N	\N
17460	59	1995-07-20	VYDAJ	VYBER	2400	36917	\N	\N	\N
17461	59	1995-05-20	VYDAJ	VYBER	5040	34068	\N	\N	\N
17462	59	1995-06-24	VYDAJ	VYBER	2880	37357	\N	\N	\N
17463	59	1995-04-18	VYDAJ	VYBER	3120	33579	\N	\N	\N
17464	59	1996-07-31	VYDAJ	VYBER	5880	29056	\N	\N	\N
17465	59	1996-09-10	VYDAJ	VYBER	3720	41163	\N	\N	\N
17466	59	1996-06-26	VYDAJ	VYBER	3480	47025	\N	\N	\N
17467	59	1996-04-04	VYDAJ	VYBER	5400	36337	\N	\N	\N
17468	59	1997-06-10	VYDAJ	VYBER	2640	40866	\N	\N	\N
17469	59	1997-11-01	VYDAJ	VYBER	1800	30165	\N	\N	\N
17470	59	1997-09-18	VYDAJ	VYBER	2760	31303	\N	\N	\N
17471	59	1998-08-05	VYDAJ	VYBER	720	79332	\N	\N	\N
17472	59	1998-02-02	VYDAJ	VYBER	720	24586	\N	\N	\N
17473	59	1998-01-16	VYDAJ	VYBER	3120	37614	\N	\N	\N
17474	59	1998-10-10	VYDAJ	VYBER	1200	73023	\N	\N	\N
17475	59	1998-07-12	VYDAJ	VYBER	960	70986	\N	\N	\N
17484	59	1994-08-31	VYDAJ	VYBER	15	36022	SLUZBY	\N	\N
17485	59	1994-09-30	VYDAJ	VYBER	15	36471	SLUZBY	\N	\N
17486	59	1994-10-31	VYDAJ	VYBER	15	37335	SLUZBY	\N	\N
17487	59	1994-11-30	VYDAJ	VYBER	15	32163	SLUZBY	\N	\N
17488	59	1994-12-31	VYDAJ	VYBER	15	31351	SLUZBY	\N	\N
17489	59	1995-01-31	VYDAJ	VYBER	15	14821	SLUZBY	\N	\N
17490	59	1995-02-28	VYDAJ	VYBER	15	24994	SLUZBY	\N	\N
17491	59	1995-03-31	VYDAJ	VYBER	15	29301	SLUZBY	\N	\N
17492	59	1995-04-30	VYDAJ	VYBER	15	31710	SLUZBY	\N	\N
17493	59	1995-05-31	VYDAJ	VYBER	15	31898	SLUZBY	\N	\N
17494	59	1995-06-30	VYDAJ	VYBER	15	37519	SLUZBY	\N	\N
17495	59	1995-07-31	VYDAJ	VYBER	15	37073	SLUZBY	\N	\N
17496	59	1995-08-31	VYDAJ	VYBER	15	38824	SLUZBY	\N	\N
17497	59	1995-09-30	VYDAJ	VYBER	15	40242	SLUZBY	\N	\N
17498	59	1995-10-31	VYDAJ	VYBER	15	42515	SLUZBY	\N	\N
17499	59	1995-11-30	VYDAJ	VYBER	15	43787	SLUZBY	\N	\N
17500	59	1995-12-31	VYDAJ	VYBER	15	47144	SLUZBY	\N	\N
17501	59	1996-01-31	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
17502	59	1996-02-29	VYDAJ	VYBER	15	38972	SLUZBY	\N	\N
17503	59	1996-03-31	VYDAJ	VYBER	15	41737	SLUZBY	\N	\N
17504	59	1996-04-30	VYDAJ	VYBER	15	41304	SLUZBY	\N	\N
17505	59	1996-05-31	VYDAJ	VYBER	15	41966	SLUZBY	\N	\N
17506	59	1996-06-30	VYDAJ	VYBER	15	24322	SLUZBY	\N	\N
17507	59	1996-07-31	VYDAJ	VYBER	15	34936	SLUZBY	\N	\N
17508	59	1996-08-31	VYDAJ	VYBER	15	37485	SLUZBY	\N	\N
17509	59	1996-09-30	VYDAJ	VYBER	15	37207	SLUZBY	\N	\N
17510	59	1996-10-31	VYDAJ	VYBER	15	37950	SLUZBY	\N	\N
17511	59	1996-11-30	VYDAJ	VYBER	15	41603	SLUZBY	\N	\N
17512	59	1996-12-31	VYDAJ	VYBER	15	43910	SLUZBY	\N	\N
17513	59	1997-01-31	VYDAJ	VYBER	15	32440	SLUZBY	\N	\N
17514	59	1997-02-28	VYDAJ	VYBER	15	39178	SLUZBY	\N	\N
17515	59	1997-03-31	VYDAJ	VYBER	15	43036	SLUZBY	\N	\N
17516	59	1997-04-30	VYDAJ	VYBER	15	44603	SLUZBY	\N	\N
17517	59	1997-05-31	VYDAJ	VYBER	15	42367	SLUZBY	\N	\N
17518	59	1997-06-30	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
17519	59	1997-07-31	VYDAJ	VYBER	15	34326	SLUZBY	\N	\N
17520	59	1997-08-31	VYDAJ	VYBER	15	33265	SLUZBY	\N	\N
17521	59	1997-09-30	VYDAJ	VYBER	15	31432	SLUZBY	\N	\N
17522	59	1997-10-31	VYDAJ	VYBER	15	31965	SLUZBY	\N	\N
17523	59	1997-11-30	VYDAJ	VYBER	15	36099	SLUZBY	\N	\N
17524	59	1997-12-31	VYDAJ	VYBER	15	42176	SLUZBY	\N	\N
17525	59	1998-01-31	VYDAJ	VYBER	15	25306	SLUZBY	\N	\N
17526	59	1998-02-28	VYDAJ	VYBER	15	48159	SLUZBY	\N	\N
17527	59	1998-03-31	VYDAJ	VYBER	15	50769	SLUZBY	\N	\N
17528	59	1998-04-30	VYDAJ	VYBER	15	54896	SLUZBY	\N	\N
17529	59	1998-05-31	VYDAJ	VYBER	15	59423	SLUZBY	\N	\N
17530	59	1998-06-30	VYDAJ	VYBER	15	74548	SLUZBY	\N	\N
17531	59	1998-07-31	VYDAJ	VYBER	15	71269	SLUZBY	\N	\N
17532	59	1998-08-31	VYDAJ	VYBER	15	72752	SLUZBY	\N	\N
17533	59	1998-09-30	VYDAJ	VYBER	15	69625	SLUZBY	\N	\N
17534	59	1998-10-31	VYDAJ	VYBER	15	73311	SLUZBY	\N	\N
17535	59	1998-11-30	VYDAJ	VYBER	15	72996	SLUZBY	\N	\N
17536	59	1994-04-26	PRIJEM	VKLAD	7000	21883	\N	\N	\N
17537	59	1994-05-26	VYDAJ	VYBER	6500	29681	\N	\N	\N
17538	59	1994-06-25	VYDAJ	VYBER	15600	35603	\N	\N	\N
17539	59	1994-07-25	VYDAJ	VYBER	12000	38014	\N	\N	\N
17540	59	1994-08-24	VYDAJ	VYBER	9700	35863	\N	\N	\N
17541	59	1994-09-23	VYDAJ	VYBER	7100	36320	\N	\N	\N
17542	59	1994-10-23	VYDAJ	VYBER	6700	37169	\N	\N	\N
17543	59	1994-11-22	VYDAJ	VYBER	8400	34293	\N	\N	\N
17544	59	1994-12-22	VYDAJ	VYBER	3300	38362	\N	\N	\N
17545	59	1995-01-21	VYDAJ	VYBER	600	30229	\N	\N	\N
17546	59	1995-02-20	PRIJEM	VKLAD	2700	24919	\N	\N	\N
17547	59	1995-03-22	VYDAJ	VYBER	3200	29192	\N	\N	\N
17548	59	1995-04-21	VYDAJ	VYBER	2000	31579	\N	\N	\N
17549	59	1995-05-21	VYDAJ	VYBER	2300	31768	\N	\N	\N
17550	59	1995-06-20	VYDAJ	VYBER	6200	40237	\N	\N	\N
17551	59	1995-07-20	VYDAJ	VYBER	5600	39317	\N	\N	\N
17552	59	1995-08-19	VYDAJ	VYBER	5800	38671	\N	\N	\N
17553	59	1995-09-18	VYDAJ	VYBER	4700	41522	\N	\N	\N
17554	59	1995-10-18	VYDAJ	VYBER	5300	42340	\N	\N	\N
17555	59	1995-11-17	VYDAJ	VYBER	6300	43613	\N	\N	\N
17556	59	1995-12-17	VYDAJ	VYBER	10100	46946	\N	\N	\N
17557	59	1996-01-16	VYDAJ	VYBER	500	38282	\N	\N	\N
17558	59	1996-02-15	PRIJEM	VKLAD	4900	38842	\N	\N	\N
17559	59	1996-03-16	VYDAJ	VYBER	4800	41570	\N	\N	\N
17560	59	1996-04-15	VYDAJ	VYBER	2600	41135	\N	\N	\N
17561	59	1996-05-15	VYDAJ	VYBER	6900	41802	\N	\N	\N
17562	59	1996-06-14	VYDAJ	VYBER	6000	50505	\N	\N	\N
17563	59	1996-07-14	PRIJEM	VKLAD	3100	34820	\N	\N	\N
17564	59	1996-08-13	PRIJEM	VKLAD	900	37354	\N	\N	\N
17565	59	1996-09-12	VYDAJ	VYBER	4100	37063	\N	\N	\N
17566	59	1996-10-12	VYDAJ	VYBER	6800	37805	\N	\N	\N
17567	59	1996-11-11	VYDAJ	VYBER	3900	41448	\N	\N	\N
17568	59	1996-12-11	VYDAJ	VYBER	8400	43742	\N	\N	\N
17569	59	1997-01-10	PRIJEM	VKLAD	9800	33268	\N	\N	\N
17570	59	1997-02-09	VYDAJ	VYBER	800	39038	\N	\N	\N
17571	59	1997-03-11	VYDAJ	VYBER	3700	42876	\N	\N	\N
17572	59	1997-04-10	VYDAJ	VYBER	6000	44434	\N	\N	\N
17573	59	1997-05-10	VYDAJ	VYBER	9800	42201	\N	\N	\N
17574	59	1997-06-09	VYDAJ	VYBER	13400	43506	\N	\N	\N
17575	59	1997-07-09	VYDAJ	VYBER	8300	34197	\N	\N	\N
17576	59	1997-08-08	VYDAJ	VYBER	8600	40009	\N	\N	\N
17577	59	1997-09-07	VYDAJ	VYBER	6600	40948	\N	\N	\N
17578	59	1997-10-07	VYDAJ	VYBER	7000	38715	\N	\N	\N
17579	59	1997-11-06	VYDAJ	VYBER	1600	42848	\N	\N	\N
17580	59	1997-12-06	VYDAJ	VYBER	6700	48903	\N	\N	\N
17581	59	1998-01-05	VYDAJ	VYBER	2000	54459	\N	\N	\N
17582	59	1998-02-04	PRIJEM	VKLAD	16000	40586	\N	\N	\N
17583	59	1998-03-06	VYDAJ	VYBER	5000	57442	\N	\N	\N
17584	59	1998-04-05	VYDAJ	VYBER	3500	61552	\N	\N	\N
17585	59	1998-05-05	VYDAJ	VYBER	3100	66079	\N	\N	\N
17586	59	1998-06-04	PRIJEM	VKLAD	300	59723	\N	\N	\N
17587	59	1998-07-04	VYDAJ	VYBER	10000	64548	\N	\N	\N
17588	59	1998-08-03	VYDAJ	VYBER	5500	65769	\N	\N	\N
17589	59	1998-09-02	VYDAJ	VYBER	10800	61952	\N	\N	\N
17590	59	1998-10-02	VYDAJ	VYBER	2800	66825	\N	\N	\N
17591	59	1998-11-01	VYDAJ	VYBER	8000	65311	\N	\N	\N
17592	59	1998-12-01	VYDAJ	VYBER	4700	68296	\N	\N	\N
17956	61	1993-12-11	PRIJEM	VKLAD	700	700	\N	\N	\N
17969	61	1994-01-07	PRIJEM	PREVOD Z UCTU	4019	4719	DUCHOD	OP	33850741
17970	61	1994-02-07	PRIJEM	PREVOD Z UCTU	4019	8738	DUCHOD	OP	33850741
17971	61	1994-03-07	PRIJEM	PREVOD Z UCTU	4019	12757	DUCHOD	OP	33850741
17972	61	1994-04-07	PRIJEM	PREVOD Z UCTU	4019	16776	DUCHOD	OP	33850741
17973	61	1994-05-07	PRIJEM	PREVOD Z UCTU	4019	20795	DUCHOD	OP	33850741
17974	61	1994-06-07	PRIJEM	PREVOD Z UCTU	4019	22535	DUCHOD	OP	33850741
17975	61	1994-07-07	PRIJEM	PREVOD Z UCTU	4019	24314	DUCHOD	OP	33850741
17976	61	1994-08-07	PRIJEM	PREVOD Z UCTU	4019	26100	DUCHOD	OP	33850741
17977	61	1994-09-07	PRIJEM	PREVOD Z UCTU	4019	23803	DUCHOD	OP	33850741
17978	61	1994-10-07	PRIJEM	PREVOD Z UCTU	4019	21815	DUCHOD	OP	33850741
17979	61	1994-11-07	PRIJEM	PREVOD Z UCTU	4019	23591	DUCHOD	OP	33850741
17980	61	1994-12-07	PRIJEM	PREVOD Z UCTU	4019	25374	DUCHOD	OP	33850741
17981	61	1995-01-07	PRIJEM	PREVOD Z UCTU	4019	25244	DUCHOD	OP	33850741
17982	61	1995-02-07	PRIJEM	PREVOD Z UCTU	4019	16536	DUCHOD	OP	33850741
17983	61	1995-03-07	PRIJEM	PREVOD Z UCTU	4019	18289	DUCHOD	OP	33850741
17984	61	1995-04-07	PRIJEM	PREVOD Z UCTU	4019	20050	DUCHOD	OP	33850741
17985	61	1995-05-07	PRIJEM	PREVOD Z UCTU	4019	21818	DUCHOD	OP	33850741
17986	61	1995-06-07	PRIJEM	PREVOD Z UCTU	4019	22791	DUCHOD	OP	33850741
17987	61	1995-07-07	PRIJEM	PREVOD Z UCTU	4019	24571	DUCHOD	OP	33850741
17988	61	1995-08-07	PRIJEM	PREVOD Z UCTU	4019	26257	DUCHOD	OP	33850741
17989	61	1995-09-07	PRIJEM	PREVOD Z UCTU	4019	27151	DUCHOD	OP	33850741
17990	61	1995-10-07	PRIJEM	PREVOD Z UCTU	4019	28949	DUCHOD	OP	33850741
17991	61	1995-11-07	PRIJEM	PREVOD Z UCTU	4019	30754	DUCHOD	OP	33850741
17992	61	1995-12-07	PRIJEM	PREVOD Z UCTU	4019	31765	DUCHOD	OP	33850741
17993	61	1996-01-07	PRIJEM	PREVOD Z UCTU	4019	28481	DUCHOD	OP	33850741
17994	61	1996-02-07	PRIJEM	PREVOD Z UCTU	4019	17471	DUCHOD	OP	33850741
17995	61	1996-03-07	PRIJEM	PREVOD Z UCTU	4019	19228	DUCHOD	OP	33850741
17996	61	1996-04-07	PRIJEM	PREVOD Z UCTU	4019	18029	DUCHOD	OP	33850741
17997	61	1996-05-07	PRIJEM	PREVOD Z UCTU	4019	19789	DUCHOD	OP	33850741
17998	61	1996-06-07	PRIJEM	PREVOD Z UCTU	4019	17956	DUCHOD	OP	33850741
17999	61	1996-07-07	PRIJEM	PREVOD Z UCTU	4019	19717	DUCHOD	OP	33850741
18000	61	1996-08-07	PRIJEM	PREVOD Z UCTU	4019	21483	DUCHOD	OP	33850741
18001	61	1996-09-07	PRIJEM	PREVOD Z UCTU	4019	23256	DUCHOD	OP	33850741
18002	61	1996-10-07	PRIJEM	PREVOD Z UCTU	4019	22872	DUCHOD	OP	33850741
18003	61	1996-11-07	PRIJEM	PREVOD Z UCTU	4019	24651	DUCHOD	OP	33850741
18004	61	1996-12-07	PRIJEM	PREVOD Z UCTU	4019	25837	DUCHOD	OP	33850741
18005	61	1997-01-07	PRIJEM	PREVOD Z UCTU	4019	22504	DUCHOD	OP	33850741
18006	61	1997-02-07	PRIJEM	PREVOD Z UCTU	4019	18278	DUCHOD	OP	33850741
18007	61	1997-03-07	PRIJEM	PREVOD Z UCTU	4019	20038	DUCHOD	OP	33850741
18008	61	1997-04-07	PRIJEM	PREVOD Z UCTU	4019	18762	DUCHOD	OP	33850741
18009	61	1997-05-07	PRIJEM	PREVOD Z UCTU	4019	16753	DUCHOD	OP	33850741
18010	61	1997-06-07	PRIJEM	PREVOD Z UCTU	4019	18506	DUCHOD	OP	33850741
18011	61	1997-07-07	PRIJEM	PREVOD Z UCTU	4019	19867	DUCHOD	OP	33850741
18012	61	1997-08-07	PRIJEM	PREVOD Z UCTU	4019	21633	DUCHOD	OP	33850741
18013	61	1997-09-07	PRIJEM	PREVOD Z UCTU	4019	21002	DUCHOD	OP	33850741
18014	61	1997-10-07	PRIJEM	PREVOD Z UCTU	4019	19969	DUCHOD	OP	33850741
18015	61	1997-11-07	PRIJEM	PREVOD Z UCTU	4019	21736	DUCHOD	OP	33850741
18016	61	1997-12-07	PRIJEM	PREVOD Z UCTU	4019	23510	DUCHOD	OP	33850741
18017	61	1998-01-07	PRIJEM	PREVOD Z UCTU	4019	25291	DUCHOD	OP	33850741
18018	61	1998-02-07	PRIJEM	PREVOD Z UCTU	4019	19041	DUCHOD	OP	33850741
18019	61	1998-03-07	PRIJEM	PREVOD Z UCTU	4019	20803	DUCHOD	OP	33850741
18020	61	1998-04-07	PRIJEM	PREVOD Z UCTU	4019	22172	DUCHOD	OP	33850741
18021	61	1998-05-07	PRIJEM	PREVOD Z UCTU	4019	23948	DUCHOD	OP	33850741
18022	61	1998-06-07	PRIJEM	PREVOD Z UCTU	4019	19680	DUCHOD	OP	33850741
18023	61	1998-07-07	PRIJEM	PREVOD Z UCTU	4019	21448	DUCHOD	OP	33850741
18024	61	1998-08-07	PRIJEM	PREVOD Z UCTU	4019	23220	DUCHOD	OP	33850741
18025	61	1998-09-07	PRIJEM	PREVOD Z UCTU	4019	25000	DUCHOD	OP	33850741
18026	61	1998-10-07	PRIJEM	PREVOD Z UCTU	4019	26787	DUCHOD	OP	33850741
18027	61	1998-11-07	PRIJEM	PREVOD Z UCTU	4019	27479	DUCHOD	OP	33850741
18028	61	1998-12-07	PRIJEM	PREVOD Z UCTU	4019	23428	DUCHOD	OP	33850741
18045	61	1994-05-13	VYDAJ	PREVOD NA UCET	1645	19150	SIPO	EF	20533621
18046	61	1994-06-13	VYDAJ	PREVOD NA UCET	1645	20890	SIPO	EF	20533621
18047	61	1994-07-13	VYDAJ	PREVOD NA UCET	1645	22669	SIPO	EF	20533621
18048	61	1994-08-13	VYDAJ	PREVOD NA UCET	1645	24055	SIPO	EF	20533621
18049	61	1994-09-13	VYDAJ	PREVOD NA UCET	1645	18398	SIPO	EF	20533621
18050	61	1994-10-13	VYDAJ	PREVOD NA UCET	1645	20170	SIPO	EF	20533621
18051	61	1994-11-13	VYDAJ	PREVOD NA UCET	1645	21946	SIPO	EF	20533621
18052	61	1994-12-13	VYDAJ	PREVOD NA UCET	1645	23729	SIPO	EF	20533621
18053	61	1995-01-13	VYDAJ	PREVOD NA UCET	1645	19119	SIPO	EF	20533621
18054	61	1995-02-13	VYDAJ	PREVOD NA UCET	1645	14891	SIPO	EF	20533621
18055	61	1995-03-13	VYDAJ	PREVOD NA UCET	1645	16644	SIPO	EF	20533621
18056	61	1995-04-13	VYDAJ	PREVOD NA UCET	1645	18405	SIPO	EF	20533621
18057	61	1995-05-13	VYDAJ	PREVOD NA UCET	1645	20173	SIPO	EF	20533621
18058	61	1995-06-13	VYDAJ	PREVOD NA UCET	1645	21146	SIPO	EF	20533621
18059	61	1995-07-13	VYDAJ	PREVOD NA UCET	1645	22926	SIPO	EF	20533621
18060	61	1995-08-13	VYDAJ	PREVOD NA UCET	1645	24612	SIPO	EF	20533621
18061	61	1995-09-13	VYDAJ	PREVOD NA UCET	1645	25506	SIPO	EF	20533621
18062	61	1995-10-13	VYDAJ	PREVOD NA UCET	1645	27304	SIPO	EF	20533621
18063	61	1995-11-13	VYDAJ	PREVOD NA UCET	1645	29109	SIPO	EF	20533621
18064	61	1995-12-13	VYDAJ	PREVOD NA UCET	1645	30120	SIPO	EF	20533621
18065	61	1996-01-13	VYDAJ	PREVOD NA UCET	1645	22446	SIPO	EF	20533621
18066	61	1996-02-13	VYDAJ	PREVOD NA UCET	1645	15826	SIPO	EF	20533621
18067	61	1996-03-13	VYDAJ	PREVOD NA UCET	1645	17583	SIPO	EF	20533621
18068	61	1996-04-13	VYDAJ	PREVOD NA UCET	1645	16384	SIPO	EF	20533621
18069	61	1996-05-13	VYDAJ	PREVOD NA UCET	1645	18144	SIPO	EF	20533621
18070	61	1996-06-13	VYDAJ	PREVOD NA UCET	1645	16311	SIPO	EF	20533621
18071	61	1996-07-13	VYDAJ	PREVOD NA UCET	1645	18072	SIPO	EF	20533621
18072	61	1996-08-13	VYDAJ	PREVOD NA UCET	1645	19838	SIPO	EF	20533621
18073	61	1996-09-13	VYDAJ	PREVOD NA UCET	1645	21611	SIPO	EF	20533621
18074	61	1996-10-13	VYDAJ	PREVOD NA UCET	1645	21227	SIPO	EF	20533621
18075	61	1996-11-13	VYDAJ	PREVOD NA UCET	1645	23006	SIPO	EF	20533621
18076	61	1996-12-13	VYDAJ	PREVOD NA UCET	1645	24192	SIPO	EF	20533621
18077	61	1997-01-13	VYDAJ	PREVOD NA UCET	1645	17109	SIPO	EF	20533621
18078	61	1997-02-13	VYDAJ	PREVOD NA UCET	1645	16633	SIPO	EF	20533621
18079	61	1997-03-13	VYDAJ	PREVOD NA UCET	1645	18393	SIPO	EF	20533621
18080	61	1997-04-13	VYDAJ	PREVOD NA UCET	1645	13357	SIPO	EF	20533621
18178	61	1998-06-05	VYDAJ	VYBER	5850	16329	\N	\N	\N
18081	61	1997-05-13	VYDAJ	PREVOD NA UCET	1645	15108	SIPO	EF	20533621
18082	61	1997-06-13	VYDAJ	PREVOD NA UCET	1645	16861	SIPO	EF	20533621
18083	61	1997-07-13	VYDAJ	PREVOD NA UCET	1645	18222	SIPO	EF	20533621
18084	61	1997-08-13	VYDAJ	PREVOD NA UCET	1645	19988	SIPO	EF	20533621
18085	61	1997-09-13	VYDAJ	PREVOD NA UCET	1645	19357	SIPO	EF	20533621
18086	61	1997-10-13	VYDAJ	PREVOD NA UCET	1645	18324	SIPO	EF	20533621
18087	61	1997-11-13	VYDAJ	PREVOD NA UCET	1645	20091	SIPO	EF	20533621
18088	61	1997-12-13	VYDAJ	PREVOD NA UCET	1645	21865	SIPO	EF	20533621
18089	61	1998-01-13	VYDAJ	PREVOD NA UCET	1645	19326	SIPO	EF	20533621
18090	61	1998-02-13	VYDAJ	PREVOD NA UCET	1645	17396	SIPO	EF	20533621
18091	61	1998-03-13	VYDAJ	PREVOD NA UCET	1645	19158	SIPO	EF	20533621
18092	61	1998-04-13	VYDAJ	PREVOD NA UCET	1645	20527	SIPO	EF	20533621
18093	61	1998-05-13	VYDAJ	PREVOD NA UCET	1645	22303	SIPO	EF	20533621
18094	61	1998-06-13	VYDAJ	PREVOD NA UCET	1645	18035	SIPO	EF	20533621
18095	61	1998-07-13	VYDAJ	PREVOD NA UCET	1645	19803	SIPO	EF	20533621
18096	61	1998-08-13	VYDAJ	PREVOD NA UCET	1645	21575	SIPO	EF	20533621
18097	61	1998-09-13	VYDAJ	PREVOD NA UCET	1645	23355	SIPO	EF	20533621
18098	61	1998-10-13	VYDAJ	PREVOD NA UCET	1645	25142	SIPO	EF	20533621
18099	61	1998-11-13	VYDAJ	PREVOD NA UCET	1645	24314	SIPO	EF	20533621
18100	61	1998-12-13	VYDAJ	PREVOD NA UCET	1645	18343	SIPO	EF	20533621
18118	61	1994-06-05	VYDAJ	PREVOD NA UCET	668	18516	 	IJ	20426410
18119	61	1994-07-05	VYDAJ	PREVOD NA UCET	668	20295	 	IJ	20426410
18120	61	1994-08-05	VYDAJ	PREVOD NA UCET	668	22081	 	IJ	20426410
18121	61	1994-09-05	VYDAJ	PREVOD NA UCET	668	19784	 	IJ	20426410
18122	61	1994-10-05	VYDAJ	PREVOD NA UCET	668	17796	 	IJ	20426410
18123	61	1994-11-05	VYDAJ	PREVOD NA UCET	668	19572	 	IJ	20426410
18124	61	1994-12-05	VYDAJ	PREVOD NA UCET	668	21355	 	IJ	20426410
18125	61	1995-01-05	VYDAJ	PREVOD NA UCET	668	21225	 	IJ	20426410
18126	61	1995-02-05	VYDAJ	PREVOD NA UCET	668	12517	 	IJ	20426410
18127	61	1995-03-05	VYDAJ	PREVOD NA UCET	668	14270	 	IJ	20426410
18128	61	1995-04-05	VYDAJ	PREVOD NA UCET	668	16031	 	IJ	20426410
18129	61	1995-05-05	VYDAJ	PREVOD NA UCET	668	17799	 	IJ	20426410
18130	61	1995-06-05	VYDAJ	PREVOD NA UCET	668	18772	 	IJ	20426410
18131	61	1995-07-05	VYDAJ	PREVOD NA UCET	668	20552	 	IJ	20426410
18132	61	1995-08-05	VYDAJ	PREVOD NA UCET	668	22238	 	IJ	20426410
18133	61	1995-09-05	VYDAJ	PREVOD NA UCET	668	23132	 	IJ	20426410
18134	61	1995-10-05	VYDAJ	PREVOD NA UCET	668	24930	 	IJ	20426410
18135	61	1995-11-05	VYDAJ	PREVOD NA UCET	668	26735	 	IJ	20426410
18136	61	1995-12-05	VYDAJ	PREVOD NA UCET	668	27746	 	IJ	20426410
18137	61	1996-01-05	VYDAJ	PREVOD NA UCET	668	24462	 	IJ	20426410
18138	61	1996-02-05	VYDAJ	PREVOD NA UCET	668	13452	 	IJ	20426410
18139	61	1996-03-05	VYDAJ	PREVOD NA UCET	668	15209	 	IJ	20426410
18140	61	1996-04-05	VYDAJ	PREVOD NA UCET	668	14010	 	IJ	20426410
18141	61	1996-05-05	VYDAJ	PREVOD NA UCET	668	15770	 	IJ	20426410
18142	61	1996-06-05	VYDAJ	PREVOD NA UCET	668	16257	 	IJ	20426410
18143	61	1996-07-05	VYDAJ	PREVOD NA UCET	668	15698	 	IJ	20426410
18144	61	1996-08-05	VYDAJ	PREVOD NA UCET	668	17464	 	IJ	20426410
18145	61	1996-09-05	VYDAJ	PREVOD NA UCET	668	19237	 	IJ	20426410
18146	61	1996-10-05	VYDAJ	PREVOD NA UCET	668	18853	 	IJ	20426410
18147	61	1996-11-05	VYDAJ	PREVOD NA UCET	668	20632	 	IJ	20426410
18148	61	1996-12-05	VYDAJ	PREVOD NA UCET	668	21818	 	IJ	20426410
18149	61	1997-01-05	VYDAJ	PREVOD NA UCET	668	18485	 	IJ	20426410
18150	61	1997-02-05	VYDAJ	PREVOD NA UCET	668	14259	 	IJ	20426410
18151	61	1997-03-05	VYDAJ	PREVOD NA UCET	668	16019	 	IJ	20426410
18152	61	1997-04-05	VYDAJ	PREVOD NA UCET	668	14743	 	IJ	20426410
18153	61	1997-05-05	VYDAJ	PREVOD NA UCET	668	12734	 	IJ	20426410
18154	61	1997-06-05	VYDAJ	PREVOD NA UCET	668	14487	 	IJ	20426410
18155	61	1997-07-05	VYDAJ	PREVOD NA UCET	668	15848	 	IJ	20426410
18156	61	1997-08-05	VYDAJ	PREVOD NA UCET	668	17614	 	IJ	20426410
18157	61	1997-09-05	VYDAJ	PREVOD NA UCET	668	16983	 	IJ	20426410
18158	61	1997-10-05	VYDAJ	PREVOD NA UCET	668	15950	 	IJ	20426410
18159	61	1997-11-05	VYDAJ	PREVOD NA UCET	668	17717	 	IJ	20426410
18160	61	1997-12-05	VYDAJ	PREVOD NA UCET	668	19491	 	IJ	20426410
18161	61	1998-01-05	VYDAJ	PREVOD NA UCET	668	21272	 	IJ	20426410
18162	61	1998-02-05	VYDAJ	PREVOD NA UCET	668	15022	 	IJ	20426410
18163	61	1998-03-05	VYDAJ	PREVOD NA UCET	668	16784	 	IJ	20426410
18164	61	1998-04-05	VYDAJ	PREVOD NA UCET	668	18153	 	IJ	20426410
18165	61	1998-05-05	VYDAJ	PREVOD NA UCET	668	19929	 	IJ	20426410
18166	61	1998-06-05	VYDAJ	PREVOD NA UCET	668	15661	 	IJ	20426410
18167	61	1998-07-05	VYDAJ	PREVOD NA UCET	668	17429	 	IJ	20426410
18168	61	1998-08-05	VYDAJ	PREVOD NA UCET	668	19201	 	IJ	20426410
18169	61	1998-09-05	VYDAJ	PREVOD NA UCET	668	20981	 	IJ	20426410
18170	61	1998-10-05	VYDAJ	PREVOD NA UCET	668	22768	 	IJ	20426410
18171	61	1998-11-05	VYDAJ	PREVOD NA UCET	668	23460	 	IJ	20426410
18172	61	1998-12-05	VYDAJ	PREVOD NA UCET	668	19409	 	IJ	20426410
18181	61	1995-01-11	VYDAJ	VYBER	2400	22204	\N	\N	\N
18182	61	1996-01-07	VYDAJ	VYBER	2950	25531	\N	\N	\N
18183	61	1997-01-11	VYDAJ	VYBER	3750	18754	\N	\N	\N
18184	61	1998-01-24	VYDAJ	VYBER	1300	15626	\N	\N	\N
18197	61	1995-01-02	VYDAJ	VYBER	1920	21893	\N	\N	\N
18198	61	1995-01-23	VYDAJ	VYBER	1840	16479	\N	\N	\N
18199	61	1995-01-29	VYDAJ	VYBER	1040	13119	\N	\N	\N
18200	61	1995-01-11	VYDAJ	VYBER	1440	20764	\N	\N	\N
18201	61	1995-01-28	VYDAJ	VYBER	2320	14159	\N	\N	\N
18202	61	1995-01-07	VYDAJ	VYBER	640	24604	\N	\N	\N
18203	61	1996-01-25	VYDAJ	VYBER	1920	14046	\N	\N	\N
18204	61	1996-01-24	VYDAJ	VYBER	2160	15966	\N	\N	\N
18205	61	1996-01-07	VYDAJ	VYBER	1440	24091	\N	\N	\N
18206	61	1996-01-20	VYDAJ	VYBER	2080	18126	\N	\N	\N
18207	61	1996-01-03	VYDAJ	VYBER	2320	25130	\N	\N	\N
18208	61	1996-01-18	VYDAJ	VYBER	2240	20206	\N	\N	\N
18209	61	1997-01-18	VYDAJ	VYBER	480	15349	\N	\N	\N
18210	61	1997-01-01	VYDAJ	VYBER	1360	20833	\N	\N	\N
18211	61	1997-01-05	VYDAJ	VYBER	1680	19153	\N	\N	\N
18212	61	1997-01-27	VYDAJ	VYBER	480	14869	\N	\N	\N
18214	61	1997-01-13	VYDAJ	VYBER	1280	15829	\N	\N	\N
18215	61	1998-01-17	VYDAJ	VYBER	560	16926	\N	\N	\N
18216	61	1998-01-11	VYDAJ	VYBER	2240	23051	\N	\N	\N
18218	61	1998-01-15	VYDAJ	VYBER	1840	17486	\N	\N	\N
18220	61	1998-01-11	VYDAJ	VYBER	2080	20971	\N	\N	\N
18229	61	1994-09-11	VYDAJ	VYBER	2160	20043	\N	\N	\N
18232	61	1994-08-15	VYDAJ	VYBER	3680	20375	\N	\N	\N
18234	61	1995-05-14	VYDAJ	VYBER	800	19373	\N	\N	\N
18235	61	1995-12-23	VYDAJ	VYBER	480	29640	\N	\N	\N
18236	61	1995-11-18	VYDAJ	VYBER	800	28309	\N	\N	\N
18237	61	1995-01-15	VYDAJ	VYBER	800	18319	\N	\N	\N
18238	61	1996-09-14	VYDAJ	VYBER	2160	19451	\N	\N	\N
18239	61	1996-06-03	VYDAJ	VYBER	1280	16925	\N	\N	\N
18240	61	1996-06-06	VYDAJ	VYBER	2320	13937	\N	\N	\N
18241	61	1996-03-18	VYDAJ	VYBER	1520	16063	\N	\N	\N
18242	61	1996-04-04	VYDAJ	VYBER	1440	14678	\N	\N	\N
18243	61	1996-12-15	VYDAJ	VYBER	2080	22112	\N	\N	\N
18244	61	1997-03-24	VYDAJ	VYBER	3040	15353	\N	\N	\N
18245	61	1997-07-02	VYDAJ	VYBER	400	16516	\N	\N	\N
18246	61	1997-08-18	VYDAJ	VYBER	2400	17588	\N	\N	\N
18247	61	1997-04-10	VYDAJ	VYBER	3760	15002	\N	\N	\N
18248	61	1998-11-07	VYDAJ	VYBER	1520	25959	\N	\N	\N
18249	61	1998-12-02	VYDAJ	VYBER	1440	20077	\N	\N	\N
18251	61	1998-11-24	VYDAJ	VYBER	2880	21434	\N	\N	\N
18252	61	1998-12-07	VYDAJ	VYBER	3440	19988	\N	\N	\N
18270	61	1994-05-31	VYDAJ	VYBER	15	19184	SLUZBY	\N	\N
18271	61	1994-06-30	VYDAJ	VYBER	15	20963	SLUZBY	\N	\N
18272	61	1994-07-31	VYDAJ	VYBER	15	22749	SLUZBY	\N	\N
18273	61	1994-08-31	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
18274	61	1994-09-30	VYDAJ	VYBER	15	18464	SLUZBY	\N	\N
18275	61	1994-10-31	VYDAJ	VYBER	15	20240	SLUZBY	\N	\N
18276	61	1994-11-30	VYDAJ	VYBER	15	22023	SLUZBY	\N	\N
18277	61	1994-12-31	VYDAJ	VYBER	15	23813	SLUZBY	\N	\N
18278	61	1995-01-31	VYDAJ	VYBER	15	13185	SLUZBY	\N	\N
18279	61	1995-02-28	VYDAJ	VYBER	15	14938	SLUZBY	\N	\N
18280	61	1995-03-31	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
18281	61	1995-04-30	VYDAJ	VYBER	15	18467	SLUZBY	\N	\N
18282	61	1995-05-31	VYDAJ	VYBER	15	19440	SLUZBY	\N	\N
18283	61	1995-06-30	VYDAJ	VYBER	15	21220	SLUZBY	\N	\N
18284	61	1995-07-31	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
18285	61	1995-08-31	VYDAJ	VYBER	15	24700	SLUZBY	\N	\N
18286	61	1995-09-30	VYDAJ	VYBER	15	25598	SLUZBY	\N	\N
18287	61	1995-10-31	VYDAJ	VYBER	15	27403	SLUZBY	\N	\N
18288	61	1995-11-30	VYDAJ	VYBER	15	28414	SLUZBY	\N	\N
18289	61	1995-12-31	VYDAJ	VYBER	15	29750	SLUZBY	\N	\N
18290	61	1996-01-31	VYDAJ	VYBER	15	14120	SLUZBY	\N	\N
18291	61	1996-02-29	VYDAJ	VYBER	15	15877	SLUZBY	\N	\N
18292	61	1996-03-31	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
18293	61	1996-04-30	VYDAJ	VYBER	15	16438	SLUZBY	\N	\N
18294	61	1996-05-31	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
18295	61	1996-06-30	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
18296	61	1996-07-31	VYDAJ	VYBER	15	18132	SLUZBY	\N	\N
18297	61	1996-08-31	VYDAJ	VYBER	15	19905	SLUZBY	\N	\N
18298	61	1996-09-30	VYDAJ	VYBER	15	19521	SLUZBY	\N	\N
18299	61	1996-10-31	VYDAJ	VYBER	15	21300	SLUZBY	\N	\N
18300	61	1996-11-30	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
18301	61	1996-12-31	VYDAJ	VYBER	15	22193	SLUZBY	\N	\N
18302	61	1997-01-31	VYDAJ	VYBER	15	14927	SLUZBY	\N	\N
18303	61	1997-02-28	VYDAJ	VYBER	15	16687	SLUZBY	\N	\N
18304	61	1997-03-31	VYDAJ	VYBER	15	15411	SLUZBY	\N	\N
18305	61	1997-04-30	VYDAJ	VYBER	15	13402	SLUZBY	\N	\N
18306	61	1997-05-31	VYDAJ	VYBER	15	15155	SLUZBY	\N	\N
18307	61	1997-06-30	VYDAJ	VYBER	15	16916	SLUZBY	\N	\N
18308	61	1997-07-31	VYDAJ	VYBER	15	18282	SLUZBY	\N	\N
18309	61	1997-08-31	VYDAJ	VYBER	15	17651	SLUZBY	\N	\N
18310	61	1997-09-30	VYDAJ	VYBER	15	16618	SLUZBY	\N	\N
18311	61	1997-10-31	VYDAJ	VYBER	15	18385	SLUZBY	\N	\N
18312	61	1997-11-30	VYDAJ	VYBER	15	20159	SLUZBY	\N	\N
18313	61	1997-12-31	VYDAJ	VYBER	15	21940	SLUZBY	\N	\N
18314	61	1998-01-31	VYDAJ	VYBER	15	15690	SLUZBY	\N	\N
18315	61	1998-02-28	VYDAJ	VYBER	15	17452	SLUZBY	\N	\N
18316	61	1998-03-31	VYDAJ	VYBER	15	18821	SLUZBY	\N	\N
18317	61	1998-04-30	VYDAJ	VYBER	15	20597	SLUZBY	\N	\N
18318	61	1998-05-31	VYDAJ	VYBER	15	22179	SLUZBY	\N	\N
18319	61	1998-06-30	VYDAJ	VYBER	15	18097	SLUZBY	\N	\N
18320	61	1998-07-31	VYDAJ	VYBER	15	19869	SLUZBY	\N	\N
18321	61	1998-08-31	VYDAJ	VYBER	15	21649	SLUZBY	\N	\N
18322	61	1998-09-30	VYDAJ	VYBER	15	23436	SLUZBY	\N	\N
18323	61	1998-10-31	VYDAJ	VYBER	15	24128	SLUZBY	\N	\N
18324	61	1998-11-30	VYDAJ	VYBER	15	21517	SLUZBY	\N	\N
18325	61	1994-08-08	VYDAJ	VYBER	400	25700	\N	\N	\N
18326	61	1994-09-07	VYDAJ	VYBER	1600	22203	\N	\N	\N
18327	61	1995-08-03	VYDAJ	VYBER	100	22906	\N	\N	\N
18328	61	1995-09-02	VYDAJ	VYBER	900	23800	\N	\N	\N
18329	61	1995-12-31	VYDAJ	VYBER	2300	27450	\N	\N	\N
18330	61	1996-11-25	VYDAJ	VYBER	600	22406	\N	\N	\N
18331	61	1997-09-21	VYDAJ	VYBER	2800	16557	\N	\N	\N
18332	61	1998-03-20	VYDAJ	VYBER	400	18758	\N	\N	\N
18333	61	1998-05-19	VYDAJ	VYBER	200	22103	\N	\N	\N
18334	61	1998-10-16	VYDAJ	VYBER	1100	24042	\N	\N	\N
18391	62	1993-03-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
18395	62	1993-04-05	PRIJEM	PREVOD Z UCTU	5079	6179	DUCHOD	UV	87209295
18396	62	1993-05-05	PRIJEM	PREVOD Z UCTU	5079	11258	DUCHOD	UV	87209295
18397	62	1993-06-05	PRIJEM	PREVOD Z UCTU	5079	16337	DUCHOD	UV	87209295
18398	62	1993-07-05	PRIJEM	PREVOD Z UCTU	5079	21416	DUCHOD	UV	87209295
18399	62	1993-08-05	PRIJEM	PREVOD Z UCTU	5079	26495	DUCHOD	UV	87209295
18400	62	1993-09-05	PRIJEM	PREVOD Z UCTU	5079	27963	DUCHOD	UV	87209295
18401	62	1993-10-05	PRIJEM	PREVOD Z UCTU	5079	30859	DUCHOD	UV	87209295
18402	62	1993-11-05	PRIJEM	PREVOD Z UCTU	5079	31464	DUCHOD	UV	87209295
18403	62	1993-12-05	PRIJEM	PREVOD Z UCTU	5079	29770	DUCHOD	UV	87209295
18404	62	1994-01-05	PRIJEM	PREVOD Z UCTU	5079	29490	DUCHOD	UV	87209295
18405	62	1994-02-05	PRIJEM	PREVOD Z UCTU	5079	24461	DUCHOD	UV	87209295
18406	62	1994-03-05	PRIJEM	PREVOD Z UCTU	5079	27341	DUCHOD	UV	87209295
18407	62	1994-04-05	PRIJEM	PREVOD Z UCTU	5079	24623	DUCHOD	UV	87209295
18408	62	1994-05-05	PRIJEM	PREVOD Z UCTU	5079	27505	DUCHOD	UV	87209295
18409	62	1994-06-05	PRIJEM	PREVOD Z UCTU	5079	30398	DUCHOD	UV	87209295
18410	62	1994-07-05	PRIJEM	PREVOD Z UCTU	5079	31702	DUCHOD	UV	87209295
18411	62	1994-08-05	PRIJEM	PREVOD Z UCTU	5079	34613	DUCHOD	UV	87209295
18412	62	1994-09-05	PRIJEM	PREVOD Z UCTU	5079	31630	DUCHOD	UV	87209295
18413	62	1994-10-05	PRIJEM	PREVOD Z UCTU	5079	34541	DUCHOD	UV	87209295
18414	62	1994-11-05	PRIJEM	PREVOD Z UCTU	5079	31371	DUCHOD	UV	87209295
18415	62	1994-12-05	PRIJEM	PREVOD Z UCTU	5079	31554	DUCHOD	UV	87209295
18416	62	1995-01-05	PRIJEM	PREVOD Z UCTU	5079	27034	DUCHOD	UV	87209295
18417	62	1995-02-05	PRIJEM	PREVOD Z UCTU	5079	25037	DUCHOD	UV	87209295
18418	62	1995-03-05	PRIJEM	PREVOD Z UCTU	5079	27921	DUCHOD	UV	87209295
18419	62	1995-04-05	PRIJEM	PREVOD Z UCTU	5079	30816	DUCHOD	UV	87209295
18420	62	1995-05-05	PRIJEM	PREVOD Z UCTU	5079	28410	DUCHOD	UV	87209295
18421	62	1995-06-05	PRIJEM	PREVOD Z UCTU	5079	31307	DUCHOD	UV	87209295
18422	62	1995-07-05	PRIJEM	PREVOD Z UCTU	5079	28330	DUCHOD	UV	87209295
18423	62	1995-08-05	PRIJEM	PREVOD Z UCTU	5079	31226	DUCHOD	UV	87209295
18424	62	1995-09-05	PRIJEM	PREVOD Z UCTU	5079	31429	DUCHOD	UV	87209295
18425	62	1995-10-05	PRIJEM	PREVOD Z UCTU	5079	32937	DUCHOD	UV	87209295
18426	62	1995-11-05	PRIJEM	PREVOD Z UCTU	5079	33648	DUCHOD	UV	87209295
18427	62	1995-12-05	PRIJEM	PREVOD Z UCTU	5079	36366	DUCHOD	UV	87209295
18428	62	1996-01-05	PRIJEM	PREVOD Z UCTU	5079	30447	DUCHOD	UV	87209295
18429	62	1996-02-05	PRIJEM	PREVOD Z UCTU	5079	23975	DUCHOD	UV	87209295
18430	62	1996-03-05	PRIJEM	PREVOD Z UCTU	5079	26853	DUCHOD	UV	87209295
18431	62	1996-04-05	PRIJEM	PREVOD Z UCTU	5079	29744	DUCHOD	UV	87209295
18432	62	1996-05-05	PRIJEM	PREVOD Z UCTU	5079	29597	DUCHOD	UV	87209295
18433	62	1996-06-05	PRIJEM	PREVOD Z UCTU	5079	32499	DUCHOD	UV	87209295
18434	62	1996-07-05	PRIJEM	PREVOD Z UCTU	5079	31486	DUCHOD	UV	87209295
18435	62	1996-08-05	PRIJEM	PREVOD Z UCTU	5079	28325	DUCHOD	UV	87209295
18436	62	1996-09-05	PRIJEM	PREVOD Z UCTU	5079	24701	DUCHOD	UV	87209295
18437	62	1996-10-05	PRIJEM	PREVOD Z UCTU	5079	24682	DUCHOD	UV	87209295
18438	62	1996-11-05	PRIJEM	PREVOD Z UCTU	5079	22962	DUCHOD	UV	87209295
18439	62	1996-12-05	PRIJEM	PREVOD Z UCTU	5079	23529	DUCHOD	UV	87209295
18440	62	1997-01-05	PRIJEM	PREVOD Z UCTU	5079	20694	DUCHOD	UV	87209295
18441	62	1997-02-05	PRIJEM	PREVOD Z UCTU	5079	20331	DUCHOD	UV	87209295
18442	62	1997-03-05	PRIJEM	PREVOD Z UCTU	5079	23193	DUCHOD	UV	87209295
18443	62	1997-04-05	PRIJEM	PREVOD Z UCTU	5079	26067	DUCHOD	UV	87209295
18444	62	1997-05-05	PRIJEM	PREVOD Z UCTU	5079	28953	DUCHOD	UV	87209295
18445	62	1997-06-05	PRIJEM	PREVOD Z UCTU	5079	31552	DUCHOD	UV	87209295
18446	62	1997-07-05	PRIJEM	PREVOD Z UCTU	5079	28042	DUCHOD	UV	87209295
18447	62	1997-08-05	PRIJEM	PREVOD Z UCTU	5079	27232	DUCHOD	UV	87209295
18448	62	1997-09-05	PRIJEM	PREVOD Z UCTU	5079	24626	DUCHOD	UV	87209295
18449	62	1997-10-05	PRIJEM	PREVOD Z UCTU	5079	25211	DUCHOD	UV	87209295
18450	62	1997-11-05	PRIJEM	PREVOD Z UCTU	5079	20496	DUCHOD	UV	87209295
18451	62	1997-12-05	PRIJEM	PREVOD Z UCTU	5079	23365	DUCHOD	UV	87209295
18452	62	1998-01-05	PRIJEM	PREVOD Z UCTU	5079	22675	DUCHOD	UV	87209295
18453	62	1998-02-05	PRIJEM	PREVOD Z UCTU	5079	21540	DUCHOD	UV	87209295
18454	62	1998-03-05	PRIJEM	PREVOD Z UCTU	5079	24406	DUCHOD	UV	87209295
18455	62	1998-04-05	PRIJEM	PREVOD Z UCTU	5079	21174	DUCHOD	UV	87209295
18456	62	1998-05-05	PRIJEM	PREVOD Z UCTU	5079	19542	DUCHOD	UV	87209295
18457	62	1998-06-05	PRIJEM	PREVOD Z UCTU	5079	19304	DUCHOD	UV	87209295
18458	62	1998-07-05	PRIJEM	PREVOD Z UCTU	5079	21861	DUCHOD	UV	87209295
18459	62	1998-08-05	PRIJEM	PREVOD Z UCTU	5079	23528	DUCHOD	UV	87209295
18460	62	1998-09-05	PRIJEM	PREVOD Z UCTU	5079	25040	DUCHOD	UV	87209295
18461	62	1998-10-05	PRIJEM	PREVOD Z UCTU	5079	24693	DUCHOD	UV	87209295
18462	62	1998-11-05	PRIJEM	PREVOD Z UCTU	5079	21969	DUCHOD	UV	87209295
18463	62	1998-12-05	PRIJEM	PREVOD Z UCTU	5079	20734	DUCHOD	UV	87209295
18471	62	1993-08-08	VYDAJ	PREVOD NA UCET	2273	24222	SIPO	EF	80010622
18472	62	1993-09-08	VYDAJ	PREVOD NA UCET	2273	25690	SIPO	EF	80010622
18473	62	1993-10-08	VYDAJ	PREVOD NA UCET	2273	28586	SIPO	EF	80010622
18474	62	1993-11-08	VYDAJ	PREVOD NA UCET	2273	29191	SIPO	EF	80010622
18475	62	1993-12-08	VYDAJ	PREVOD NA UCET	2273	27497	SIPO	EF	80010622
18476	62	1994-01-08	VYDAJ	PREVOD NA UCET	2273	25937	SIPO	EF	80010622
18477	62	1994-02-08	VYDAJ	PREVOD NA UCET	2273	22188	SIPO	EF	80010622
18478	62	1994-03-08	VYDAJ	PREVOD NA UCET	2273	22428	SIPO	EF	80010622
18479	62	1994-04-08	VYDAJ	PREVOD NA UCET	2273	22350	SIPO	EF	80010622
18480	62	1994-05-08	VYDAJ	PREVOD NA UCET	2273	25232	SIPO	EF	80010622
18481	62	1994-06-08	VYDAJ	PREVOD NA UCET	2273	28125	SIPO	EF	80010622
18482	62	1994-07-08	VYDAJ	PREVOD NA UCET	2273	29429	SIPO	EF	80010622
18483	62	1994-08-08	VYDAJ	PREVOD NA UCET	2273	32340	SIPO	EF	80010622
18484	62	1994-09-08	VYDAJ	PREVOD NA UCET	2273	29357	SIPO	EF	80010622
18485	62	1994-10-08	VYDAJ	PREVOD NA UCET	2273	32268	SIPO	EF	80010622
18486	62	1994-11-08	VYDAJ	PREVOD NA UCET	2273	29098	SIPO	EF	80010622
18487	62	1994-12-08	VYDAJ	PREVOD NA UCET	2273	29281	SIPO	EF	80010622
18488	62	1995-01-08	VYDAJ	PREVOD NA UCET	2273	22841	SIPO	EF	80010622
18489	62	1995-02-08	VYDAJ	PREVOD NA UCET	2273	22764	SIPO	EF	80010622
18490	62	1995-03-08	VYDAJ	PREVOD NA UCET	2273	25648	SIPO	EF	80010622
18491	62	1995-04-08	VYDAJ	PREVOD NA UCET	2273	28543	SIPO	EF	80010622
18492	62	1995-05-08	VYDAJ	PREVOD NA UCET	2273	26137	SIPO	EF	80010622
18493	62	1995-06-08	VYDAJ	PREVOD NA UCET	2273	29034	SIPO	EF	80010622
18494	62	1995-07-08	VYDAJ	PREVOD NA UCET	2273	26057	SIPO	EF	80010622
18495	62	1995-08-08	VYDAJ	PREVOD NA UCET	2273	28953	SIPO	EF	80010622
18496	62	1995-09-08	VYDAJ	PREVOD NA UCET	2273	29156	SIPO	EF	80010622
18497	62	1995-10-08	VYDAJ	PREVOD NA UCET	2273	30664	SIPO	EF	80010622
18498	62	1995-11-08	VYDAJ	PREVOD NA UCET	2273	31375	SIPO	EF	80010622
18499	62	1995-12-08	VYDAJ	PREVOD NA UCET	2273	34093	SIPO	EF	80010622
18500	62	1996-01-08	VYDAJ	PREVOD NA UCET	2273	28174	SIPO	EF	80010622
18501	62	1996-02-08	VYDAJ	PREVOD NA UCET	2273	21702	SIPO	EF	80010622
18502	62	1996-03-08	VYDAJ	PREVOD NA UCET	2273	24580	SIPO	EF	80010622
18503	62	1996-04-08	VYDAJ	PREVOD NA UCET	2273	27471	SIPO	EF	80010622
18504	62	1996-05-08	VYDAJ	PREVOD NA UCET	2273	27324	SIPO	EF	80010622
18505	62	1996-06-08	VYDAJ	PREVOD NA UCET	2273	30226	SIPO	EF	80010622
18506	62	1996-07-08	VYDAJ	PREVOD NA UCET	2273	29213	SIPO	EF	80010622
18507	62	1996-08-08	VYDAJ	PREVOD NA UCET	2273	26052	SIPO	EF	80010622
18508	62	1996-09-08	VYDAJ	PREVOD NA UCET	2273	22428	SIPO	EF	80010622
18509	62	1996-10-08	VYDAJ	PREVOD NA UCET	2273	22409	SIPO	EF	80010622
18510	62	1996-11-08	VYDAJ	PREVOD NA UCET	2273	18389	SIPO	EF	80010622
18511	62	1996-12-08	VYDAJ	PREVOD NA UCET	2273	19356	SIPO	EF	80010622
18512	62	1997-01-08	VYDAJ	PREVOD NA UCET	2273	16321	SIPO	EF	80010622
18513	62	1997-02-08	VYDAJ	PREVOD NA UCET	2273	18058	SIPO	EF	80010622
18514	62	1997-03-08	VYDAJ	PREVOD NA UCET	2273	20920	SIPO	EF	80010622
18515	62	1997-04-08	VYDAJ	PREVOD NA UCET	2273	23794	SIPO	EF	80010622
18516	62	1997-05-08	VYDAJ	PREVOD NA UCET	2273	26380	SIPO	EF	80010622
18517	62	1997-06-08	VYDAJ	PREVOD NA UCET	2273	22879	SIPO	EF	80010622
18518	62	1997-07-08	VYDAJ	PREVOD NA UCET	2273	23769	SIPO	EF	80010622
18519	62	1997-08-08	VYDAJ	PREVOD NA UCET	2273	24959	SIPO	EF	80010622
18520	62	1997-09-08	VYDAJ	PREVOD NA UCET	2273	22353	SIPO	EF	80010622
18521	62	1997-10-08	VYDAJ	PREVOD NA UCET	2273	22938	SIPO	EF	80010622
18522	62	1997-11-08	VYDAJ	PREVOD NA UCET	2273	18223	SIPO	EF	80010622
18523	62	1997-12-08	VYDAJ	PREVOD NA UCET	2273	21092	SIPO	EF	80010622
18524	62	1998-01-08	VYDAJ	PREVOD NA UCET	2273	19122	SIPO	EF	80010622
18525	62	1998-02-08	VYDAJ	PREVOD NA UCET	2273	19267	SIPO	EF	80010622
18526	62	1998-03-08	VYDAJ	PREVOD NA UCET	2273	22133	SIPO	EF	80010622
18527	62	1998-04-08	VYDAJ	PREVOD NA UCET	2273	18901	SIPO	EF	80010622
18528	62	1998-05-08	VYDAJ	PREVOD NA UCET	2273	17269	SIPO	EF	80010622
18529	62	1998-06-08	VYDAJ	PREVOD NA UCET	2273	17031	SIPO	EF	80010622
18530	62	1998-07-08	VYDAJ	PREVOD NA UCET	2273	19588	SIPO	EF	80010622
18531	62	1998-08-08	VYDAJ	PREVOD NA UCET	2273	21255	SIPO	EF	80010622
18532	62	1998-09-08	VYDAJ	PREVOD NA UCET	2273	22767	SIPO	EF	80010622
18533	62	1998-10-08	VYDAJ	PREVOD NA UCET	2273	22420	SIPO	EF	80010622
18534	62	1998-11-08	VYDAJ	PREVOD NA UCET	2273	19696	SIPO	EF	80010622
18535	62	1998-12-08	VYDAJ	PREVOD NA UCET	2273	18461	SIPO	EF	80010622
18536	62	1993-12-14	VYDAJ	VYBER	900	26597	\N	\N	\N
18537	62	1994-12-19	VYDAJ	VYBER	300	24981	\N	\N	\N
18538	62	1995-12-22	VYDAJ	VYBER	650	27183	\N	\N	\N
18539	62	1996-12-26	VYDAJ	VYBER	600	16356	\N	\N	\N
18540	62	1997-12-13	VYDAJ	VYBER	1400	19692	\N	\N	\N
18548	62	1994-01-20	VYDAJ	VYBER	1360	20337	\N	\N	\N
18549	62	1994-01-04	VYDAJ	VYBER	2080	24411	\N	\N	\N
18550	62	1994-01-08	VYDAJ	VYBER	1280	28210	\N	\N	\N
18551	62	1994-01-16	VYDAJ	VYBER	2160	23777	\N	\N	\N
18552	62	1994-01-19	VYDAJ	VYBER	2080	21697	\N	\N	\N
18553	62	1994-01-27	VYDAJ	VYBER	1040	19297	\N	\N	\N
18554	62	1995-01-06	VYDAJ	VYBER	880	26154	\N	\N	\N
18555	62	1995-01-02	VYDAJ	VYBER	1680	21955	\N	\N	\N
18556	62	1995-01-13	VYDAJ	VYBER	1360	21481	\N	\N	\N
18557	62	1995-01-08	VYDAJ	VYBER	1040	25114	\N	\N	\N
18558	62	1995-01-18	VYDAJ	VYBER	800	20681	\N	\N	\N
18559	62	1995-01-20	VYDAJ	VYBER	800	19881	\N	\N	\N
18560	62	1996-01-01	VYDAJ	VYBER	880	25368	\N	\N	\N
18561	62	1996-01-27	VYDAJ	VYBER	880	18814	\N	\N	\N
18562	62	1996-01-09	VYDAJ	VYBER	2080	26094	\N	\N	\N
18563	62	1996-01-10	VYDAJ	VYBER	1280	24814	\N	\N	\N
18564	62	1996-01-25	VYDAJ	VYBER	1440	20974	\N	\N	\N
18565	62	1996-01-26	VYDAJ	VYBER	1280	19694	\N	\N	\N
18569	62	1997-01-02	VYDAJ	VYBER	800	15615	\N	\N	\N
18570	62	1997-01-10	VYDAJ	VYBER	640	15681	\N	\N	\N
18572	62	1998-01-20	VYDAJ	VYBER	480	17122	\N	\N	\N
18574	62	1998-01-01	VYDAJ	VYBER	2160	17596	\N	\N	\N
18575	62	1998-01-25	VYDAJ	VYBER	720	16402	\N	\N	\N
18576	62	1998-01-06	VYDAJ	VYBER	1280	21395	\N	\N	\N
18577	62	1998-01-13	VYDAJ	VYBER	1520	17602	\N	\N	\N
18581	62	1994-12-09	VYDAJ	VYBER	1600	27681	\N	\N	\N
18582	62	1994-08-26	VYDAJ	VYBER	3600	26440	\N	\N	\N
18583	62	1994-11-15	VYDAJ	VYBER	2720	26378	\N	\N	\N
18584	62	1994-10-11	VYDAJ	VYBER	2480	29788	\N	\N	\N
18585	62	1994-12-27	VYDAJ	VYBER	1440	23541	\N	\N	\N
18586	62	1994-03-23	VYDAJ	VYBER	2960	19468	\N	\N	\N
18587	62	1994-03-07	VYDAJ	VYBER	2640	24701	\N	\N	\N
18588	62	1995-04-10	VYDAJ	VYBER	3600	24943	\N	\N	\N
18589	62	1995-09-27	VYDAJ	VYBER	800	27756	\N	\N	\N
18590	62	1995-06-27	VYDAJ	VYBER	3680	23154	\N	\N	\N
18591	62	1995-12-29	VYDAJ	VYBER	1040	26143	\N	\N	\N
18592	62	1995-04-20	VYDAJ	VYBER	800	23243	\N	\N	\N
18593	62	1995-12-09	VYDAJ	VYBER	3760	30333	\N	\N	\N
18594	62	1996-12-20	VYDAJ	VYBER	2400	16956	\N	\N	\N
18595	62	1996-04-09	VYDAJ	VYBER	2240	25231	\N	\N	\N
18596	62	1996-07-26	VYDAJ	VYBER	3760	23153	\N	\N	\N
18597	62	1996-06-28	VYDAJ	VYBER	1920	26306	\N	\N	\N
18598	62	1997-01-19	VYDAJ	VYBER	480	15201	\N	\N	\N
18600	62	1998-03-10	VYDAJ	VYBER	3600	18533	\N	\N	\N
18603	62	1998-12-09	VYDAJ	VYBER	1840	16621	\N	\N	\N
18604	62	1998-08-18	VYDAJ	VYBER	1360	19895	\N	\N	\N
18605	62	1998-09-08	VYDAJ	VYBER	2320	20447	\N	\N	\N
18614	62	1993-08-31	VYDAJ	VYBER	15	22884	SLUZBY	\N	\N
18615	62	1993-09-30	VYDAJ	VYBER	15	25780	SLUZBY	\N	\N
18616	62	1993-10-31	VYDAJ	VYBER	15	26385	SLUZBY	\N	\N
18617	62	1993-11-30	VYDAJ	VYBER	15	24691	SLUZBY	\N	\N
18618	62	1993-12-31	VYDAJ	VYBER	15	26491	SLUZBY	\N	\N
18619	62	1994-01-31	VYDAJ	VYBER	15	19382	SLUZBY	\N	\N
18620	62	1994-02-28	VYDAJ	VYBER	15	22262	SLUZBY	\N	\N
18621	62	1994-03-31	VYDAJ	VYBER	15	19544	SLUZBY	\N	\N
18622	62	1994-04-30	VYDAJ	VYBER	15	22426	SLUZBY	\N	\N
18623	62	1994-05-31	VYDAJ	VYBER	15	25319	SLUZBY	\N	\N
18624	62	1994-06-30	VYDAJ	VYBER	15	26623	SLUZBY	\N	\N
18625	62	1994-07-31	VYDAJ	VYBER	15	29534	SLUZBY	\N	\N
18626	62	1994-08-31	VYDAJ	VYBER	15	26551	SLUZBY	\N	\N
18627	62	1994-09-30	VYDAJ	VYBER	15	29462	SLUZBY	\N	\N
18628	62	1994-10-31	VYDAJ	VYBER	15	26292	SLUZBY	\N	\N
18629	62	1994-11-30	VYDAJ	VYBER	15	26475	SLUZBY	\N	\N
18630	62	1994-12-31	VYDAJ	VYBER	15	23635	SLUZBY	\N	\N
18631	62	1995-01-31	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
18632	62	1995-02-28	VYDAJ	VYBER	15	22842	SLUZBY	\N	\N
18633	62	1995-03-31	VYDAJ	VYBER	15	25737	SLUZBY	\N	\N
18634	62	1995-04-30	VYDAJ	VYBER	15	23331	SLUZBY	\N	\N
18635	62	1995-05-31	VYDAJ	VYBER	15	26228	SLUZBY	\N	\N
18636	62	1995-06-30	VYDAJ	VYBER	15	23251	SLUZBY	\N	\N
18637	62	1995-07-31	VYDAJ	VYBER	15	26147	SLUZBY	\N	\N
18638	62	1995-08-31	VYDAJ	VYBER	15	26350	SLUZBY	\N	\N
18639	62	1995-09-30	VYDAJ	VYBER	15	27858	SLUZBY	\N	\N
18640	62	1995-10-31	VYDAJ	VYBER	15	28569	SLUZBY	\N	\N
18641	62	1995-11-30	VYDAJ	VYBER	15	31287	SLUZBY	\N	\N
18642	62	1995-12-31	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
18643	62	1996-01-31	VYDAJ	VYBER	15	18896	SLUZBY	\N	\N
18644	62	1996-02-29	VYDAJ	VYBER	15	21774	SLUZBY	\N	\N
18645	62	1996-03-31	VYDAJ	VYBER	15	24665	SLUZBY	\N	\N
18646	62	1996-04-30	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
18647	62	1996-05-31	VYDAJ	VYBER	15	27420	SLUZBY	\N	\N
18648	62	1996-06-30	VYDAJ	VYBER	15	26407	SLUZBY	\N	\N
18649	62	1996-07-31	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
18650	62	1996-08-31	VYDAJ	VYBER	15	19622	SLUZBY	\N	\N
18651	62	1996-09-30	VYDAJ	VYBER	15	19603	SLUZBY	\N	\N
18652	62	1996-10-31	VYDAJ	VYBER	15	17883	SLUZBY	\N	\N
18653	62	1996-11-30	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
18654	62	1996-12-31	VYDAJ	VYBER	15	16415	SLUZBY	\N	\N
18655	62	1997-01-31	VYDAJ	VYBER	15	15252	SLUZBY	\N	\N
18656	62	1997-02-28	VYDAJ	VYBER	15	18114	SLUZBY	\N	\N
18657	62	1997-03-31	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
18658	62	1997-04-30	VYDAJ	VYBER	15	23874	SLUZBY	\N	\N
18659	62	1997-05-31	VYDAJ	VYBER	15	26473	SLUZBY	\N	\N
18660	62	1997-06-30	VYDAJ	VYBER	15	22963	SLUZBY	\N	\N
18661	62	1997-07-31	VYDAJ	VYBER	15	23853	SLUZBY	\N	\N
18662	62	1997-08-31	VYDAJ	VYBER	15	25047	SLUZBY	\N	\N
18663	62	1997-09-30	VYDAJ	VYBER	15	22432	SLUZBY	\N	\N
18664	62	1997-10-31	VYDAJ	VYBER	15	23017	SLUZBY	\N	\N
18665	62	1997-11-30	VYDAJ	VYBER	15	18286	SLUZBY	\N	\N
18666	62	1997-12-31	VYDAJ	VYBER	15	19756	SLUZBY	\N	\N
18667	62	1998-01-31	VYDAJ	VYBER	15	16461	SLUZBY	\N	\N
18668	62	1998-02-28	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
18669	62	1998-03-31	VYDAJ	VYBER	15	18595	SLUZBY	\N	\N
18670	62	1998-04-30	VYDAJ	VYBER	15	18963	SLUZBY	\N	\N
18671	62	1998-05-31	VYDAJ	VYBER	15	17325	SLUZBY	\N	\N
18672	62	1998-06-30	VYDAJ	VYBER	15	16782	SLUZBY	\N	\N
18673	62	1998-07-31	VYDAJ	VYBER	15	18449	SLUZBY	\N	\N
18674	62	1998-08-31	VYDAJ	VYBER	15	19961	SLUZBY	\N	\N
18675	62	1998-09-30	VYDAJ	VYBER	15	19614	SLUZBY	\N	\N
18676	62	1998-10-31	VYDAJ	VYBER	15	16890	SLUZBY	\N	\N
18677	62	1998-11-30	VYDAJ	VYBER	15	15655	SLUZBY	\N	\N
18678	62	1993-08-25	VYDAJ	VYBER	1400	22822	\N	\N	\N
18679	62	1993-10-24	VYDAJ	VYBER	2300	26286	\N	\N	\N
18680	62	1993-11-23	VYDAJ	VYBER	4600	24591	\N	\N	\N
18681	62	1993-12-23	VYDAJ	VYBER	200	26397	\N	\N	\N
18682	62	1994-06-21	VYDAJ	VYBER	1600	26525	\N	\N	\N
18683	62	1994-08-20	VYDAJ	VYBER	2300	30040	\N	\N	\N
18684	62	1994-10-19	VYDAJ	VYBER	3600	26188	\N	\N	\N
18685	62	1994-12-18	VYDAJ	VYBER	2400	25281	\N	\N	\N
18686	62	1995-04-17	VYDAJ	VYBER	900	24043	\N	\N	\N
18687	62	1995-06-16	VYDAJ	VYBER	2200	26834	\N	\N	\N
18688	62	1995-08-15	VYDAJ	VYBER	2700	26253	\N	\N	\N
18689	62	1995-09-14	VYDAJ	VYBER	600	28556	\N	\N	\N
18690	62	1995-10-14	VYDAJ	VYBER	2200	28464	\N	\N	\N
18691	62	1995-11-13	VYDAJ	VYBER	200	31175	\N	\N	\N
18692	62	1995-12-13	VYDAJ	VYBER	2500	27833	\N	\N	\N
18693	62	1996-01-12	VYDAJ	VYBER	2400	22414	\N	\N	\N
18694	62	1996-04-11	VYDAJ	VYBER	800	24431	\N	\N	\N
18695	62	1996-06-10	VYDAJ	VYBER	2000	28226	\N	\N	\N
18696	62	1996-07-10	VYDAJ	VYBER	2300	26913	\N	\N	\N
18697	62	1996-08-09	VYDAJ	VYBER	6500	19552	\N	\N	\N
18698	62	1996-09-08	VYDAJ	VYBER	2900	19528	\N	\N	\N
18699	62	1996-10-08	VYDAJ	VYBER	4600	17809	\N	\N	\N
18700	62	1996-11-07	VYDAJ	VYBER	2300	20662	\N	\N	\N
18701	62	1996-12-07	VYDAJ	VYBER	1900	21629	\N	\N	\N
18702	62	1997-01-06	VYDAJ	VYBER	2100	18594	\N	\N	\N
18703	62	1997-05-06	VYDAJ	VYBER	300	28653	\N	\N	\N
18704	62	1997-06-05	VYDAJ	VYBER	6400	25152	\N	\N	\N
18705	62	1997-07-05	VYDAJ	VYBER	2000	26042	\N	\N	\N
18706	62	1997-08-04	VYDAJ	VYBER	1700	22153	\N	\N	\N
18707	62	1997-09-03	VYDAJ	VYBER	5500	19547	\N	\N	\N
18708	62	1997-10-03	VYDAJ	VYBER	2300	20132	\N	\N	\N
18709	62	1997-11-02	VYDAJ	VYBER	7600	15417	\N	\N	\N
18710	62	1998-04-01	VYDAJ	VYBER	2500	16095	\N	\N	\N
18711	62	1998-05-01	VYDAJ	VYBER	4500	14463	\N	\N	\N
18712	62	1998-05-31	VYDAJ	VYBER	3100	14225	\N	\N	\N
18713	62	1998-06-30	VYDAJ	VYBER	300	16797	\N	\N	\N
18714	62	1998-07-30	VYDAJ	VYBER	1200	18388	\N	\N	\N
18715	62	1998-09-28	VYDAJ	VYBER	900	19547	\N	\N	\N
18716	62	1998-10-28	VYDAJ	VYBER	5600	16820	\N	\N	\N
18717	62	1998-11-27	VYDAJ	VYBER	4100	15596	\N	\N	\N
18783	63	1996-11-16	PRIJEM	VKLAD	600	600	\N	\N	\N
18795	63	1996-12-12	PRIJEM	PREVOD Z UCTU	5024	5624	DUCHOD	AB	11145478
18796	63	1997-01-12	PRIJEM	PREVOD Z UCTU	5024	10648	DUCHOD	AB	11145478
18797	63	1997-02-12	PRIJEM	PREVOD Z UCTU	5024	15672	DUCHOD	AB	11145478
18798	63	1997-03-12	PRIJEM	PREVOD Z UCTU	5024	20696	DUCHOD	AB	11145478
18799	63	1997-04-12	PRIJEM	PREVOD Z UCTU	5024	25720	DUCHOD	AB	11145478
18800	63	1997-05-12	PRIJEM	PREVOD Z UCTU	5024	25755	DUCHOD	AB	11145478
18801	63	1997-06-12	PRIJEM	PREVOD Z UCTU	5024	28465	DUCHOD	AB	11145478
18802	63	1997-07-12	PRIJEM	PREVOD Z UCTU	5024	27878	DUCHOD	AB	11145478
18803	63	1997-08-12	PRIJEM	PREVOD Z UCTU	5024	27311	DUCHOD	AB	11145478
18804	63	1997-09-12	PRIJEM	PREVOD Z UCTU	5024	30033	DUCHOD	AB	11145478
18805	63	1997-10-12	PRIJEM	PREVOD Z UCTU	5024	30286	DUCHOD	AB	11145478
18806	63	1997-11-12	PRIJEM	PREVOD Z UCTU	5024	31315	DUCHOD	AB	11145478
18807	63	1997-12-12	PRIJEM	PREVOD Z UCTU	5024	33333	DUCHOD	AB	11145478
18808	63	1998-01-12	PRIJEM	PREVOD Z UCTU	5024	31564	DUCHOD	AB	11145478
18809	63	1998-02-12	PRIJEM	PREVOD Z UCTU	5024	27094	DUCHOD	AB	11145478
18810	63	1998-03-12	PRIJEM	PREVOD Z UCTU	5024	29088	DUCHOD	AB	11145478
18811	63	1998-04-12	PRIJEM	PREVOD Z UCTU	5024	31811	DUCHOD	AB	11145478
18812	63	1998-05-12	PRIJEM	PREVOD Z UCTU	5024	34551	DUCHOD	AB	11145478
18813	63	1998-06-12	PRIJEM	PREVOD Z UCTU	5024	37303	DUCHOD	AB	11145478
18814	63	1998-07-12	PRIJEM	PREVOD Z UCTU	5024	26465	DUCHOD	AB	11145478
18815	63	1998-08-12	PRIJEM	PREVOD Z UCTU	5024	29177	DUCHOD	AB	11145478
18816	63	1998-09-12	PRIJEM	PREVOD Z UCTU	5024	31907	DUCHOD	AB	11145478
18817	63	1998-10-12	PRIJEM	PREVOD Z UCTU	5024	29527	DUCHOD	AB	11145478
18818	63	1998-11-12	PRIJEM	PREVOD Z UCTU	5024	32255	DUCHOD	AB	11145478
18819	63	1998-12-12	PRIJEM	PREVOD Z UCTU	5024	34441	DUCHOD	AB	11145478
18835	63	1997-04-12	VYDAJ	PREVOD NA UCET	2237	23483	SIPO	CD	85474604
18836	63	1997-05-12	VYDAJ	PREVOD NA UCET	2237	23518	SIPO	CD	85474604
18837	63	1997-06-12	VYDAJ	PREVOD NA UCET	2237	26228	SIPO	CD	85474604
18838	63	1997-07-12	VYDAJ	PREVOD NA UCET	2237	25641	SIPO	CD	85474604
18839	63	1997-08-12	VYDAJ	PREVOD NA UCET	2237	25074	SIPO	CD	85474604
18840	63	1997-09-12	VYDAJ	PREVOD NA UCET	2237	27796	SIPO	CD	85474604
18841	63	1997-10-12	VYDAJ	PREVOD NA UCET	2237	28049	SIPO	CD	85474604
18842	63	1997-11-12	VYDAJ	PREVOD NA UCET	2237	29078	SIPO	CD	85474604
18843	63	1997-12-12	VYDAJ	PREVOD NA UCET	2237	31096	SIPO	CD	85474604
18844	63	1998-01-12	VYDAJ	PREVOD NA UCET	2237	29327	SIPO	CD	85474604
18845	63	1998-02-12	VYDAJ	PREVOD NA UCET	2237	24857	SIPO	CD	85474604
18846	63	1998-03-12	VYDAJ	PREVOD NA UCET	2237	26851	SIPO	CD	85474604
18847	63	1998-04-12	VYDAJ	PREVOD NA UCET	2237	29574	SIPO	CD	85474604
18848	63	1998-05-12	VYDAJ	PREVOD NA UCET	2237	32314	SIPO	CD	85474604
18849	63	1998-06-12	VYDAJ	PREVOD NA UCET	2237	35066	SIPO	CD	85474604
18850	63	1998-07-12	VYDAJ	PREVOD NA UCET	2237	24228	SIPO	CD	85474604
18851	63	1998-08-12	VYDAJ	PREVOD NA UCET	2237	26940	SIPO	CD	85474604
18852	63	1998-09-12	VYDAJ	PREVOD NA UCET	2237	29670	SIPO	CD	85474604
18853	63	1998-10-12	VYDAJ	PREVOD NA UCET	2237	27290	SIPO	CD	85474604
18854	63	1998-11-12	VYDAJ	PREVOD NA UCET	2237	30018	SIPO	CD	85474604
18855	63	1998-12-12	VYDAJ	PREVOD NA UCET	2237	32204	SIPO	CD	85474604
18872	63	1997-05-05	VYDAJ	PREVOD NA UCET	157	20731	 	EF	8346772
18873	63	1997-06-05	VYDAJ	PREVOD NA UCET	157	23441	 	EF	8346772
18874	63	1997-07-05	VYDAJ	PREVOD NA UCET	157	22854	 	EF	8346772
18875	63	1997-08-05	VYDAJ	PREVOD NA UCET	157	22287	 	EF	8346772
18876	63	1997-09-05	VYDAJ	PREVOD NA UCET	157	25009	 	EF	8346772
18877	63	1997-10-05	VYDAJ	PREVOD NA UCET	157	25262	 	EF	8346772
18878	63	1997-11-05	VYDAJ	PREVOD NA UCET	157	27991	 	EF	8346772
18879	63	1997-12-05	VYDAJ	PREVOD NA UCET	157	28309	 	EF	8346772
18880	63	1998-01-05	VYDAJ	PREVOD NA UCET	157	28540	 	EF	8346772
18881	63	1998-02-05	VYDAJ	PREVOD NA UCET	157	22070	 	EF	8346772
18882	63	1998-03-05	VYDAJ	PREVOD NA UCET	157	24064	 	EF	8346772
18883	63	1998-04-05	VYDAJ	PREVOD NA UCET	157	26787	 	EF	8346772
18884	63	1998-05-05	VYDAJ	PREVOD NA UCET	157	29527	 	EF	8346772
18885	63	1998-06-05	VYDAJ	PREVOD NA UCET	157	32279	 	EF	8346772
18886	63	1998-07-05	VYDAJ	PREVOD NA UCET	157	21441	 	EF	8346772
18887	63	1998-08-05	VYDAJ	PREVOD NA UCET	157	24153	 	EF	8346772
18888	63	1998-09-05	VYDAJ	PREVOD NA UCET	157	26883	 	EF	8346772
18889	63	1998-10-05	VYDAJ	PREVOD NA UCET	157	25703	 	EF	8346772
18890	63	1998-11-05	VYDAJ	PREVOD NA UCET	157	27231	 	EF	8346772
18891	63	1998-12-05	VYDAJ	PREVOD NA UCET	157	29967	 	EF	8346772
18894	63	1998-06-17	VYDAJ	VYBER	11650	23416	\N	\N	\N
18896	63	1997-12-25	VYDAJ	VYBER	750	30346	\N	\N	\N
18897	63	1998-12-10	VYDAJ	VYBER	550	29417	\N	\N	\N
18910	63	1998-01-03	VYDAJ	VYBER	1760	28697	\N	\N	\N
18911	63	1998-01-29	VYDAJ	VYBER	2240	23807	\N	\N	\N
18912	63	1998-01-26	VYDAJ	VYBER	2240	26047	\N	\N	\N
18913	63	1998-01-30	VYDAJ	VYBER	1680	22127	\N	\N	\N
18914	63	1998-01-13	VYDAJ	VYBER	1040	28287	\N	\N	\N
18915	63	1998-01-07	VYDAJ	VYBER	2000	26540	\N	\N	\N
18919	63	1997-10-02	VYDAJ	VYBER	2480	25419	\N	\N	\N
18920	63	1997-08-02	VYDAJ	VYBER	480	22444	\N	\N	\N
18924	63	1997-04-25	VYDAJ	VYBER	2640	20843	\N	\N	\N
18925	63	1997-11-24	VYDAJ	VYBER	720	28358	\N	\N	\N
18926	63	1997-07-29	VYDAJ	VYBER	400	22841	\N	\N	\N
18928	63	1998-10-09	VYDAJ	VYBER	1200	24503	\N	\N	\N
18929	63	1998-02-19	VYDAJ	VYBER	720	24137	\N	\N	\N
18930	63	1998-06-17	VYDAJ	VYBER	1920	21496	\N	\N	\N
18931	63	1998-10-04	VYDAJ	VYBER	3920	25860	\N	\N	\N
18948	63	1997-04-30	VYDAJ	VYBER	15	20888	SLUZBY	\N	\N
18949	63	1997-05-31	VYDAJ	VYBER	15	23598	SLUZBY	\N	\N
18950	63	1997-06-30	VYDAJ	VYBER	15	23011	SLUZBY	\N	\N
18951	63	1997-07-31	VYDAJ	VYBER	15	22924	SLUZBY	\N	\N
18952	63	1997-08-31	VYDAJ	VYBER	15	25166	SLUZBY	\N	\N
18953	63	1997-09-30	VYDAJ	VYBER	15	27899	SLUZBY	\N	\N
18954	63	1997-10-31	VYDAJ	VYBER	15	28148	SLUZBY	\N	\N
18955	63	1997-11-30	VYDAJ	VYBER	15	28466	SLUZBY	\N	\N
18956	63	1997-12-31	VYDAJ	VYBER	15	30457	SLUZBY	\N	\N
18957	63	1998-01-31	VYDAJ	VYBER	15	22227	SLUZBY	\N	\N
18958	63	1998-02-28	VYDAJ	VYBER	15	24221	SLUZBY	\N	\N
18959	63	1998-03-31	VYDAJ	VYBER	15	26944	SLUZBY	\N	\N
18960	63	1998-04-30	VYDAJ	VYBER	15	29684	SLUZBY	\N	\N
18961	63	1998-05-31	VYDAJ	VYBER	15	32436	SLUZBY	\N	\N
18962	63	1998-06-30	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
18963	63	1998-07-31	VYDAJ	VYBER	15	24310	SLUZBY	\N	\N
18964	63	1998-08-31	VYDAJ	VYBER	15	27040	SLUZBY	\N	\N
18965	63	1998-09-30	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
18966	63	1998-10-31	VYDAJ	VYBER	15	27388	SLUZBY	\N	\N
18967	63	1998-11-30	VYDAJ	VYBER	15	30124	SLUZBY	\N	\N
18968	63	1997-06-14	VYDAJ	VYBER	3300	22928	\N	\N	\N
18969	63	1997-07-14	VYDAJ	VYBER	2400	23241	\N	\N	\N
18970	63	1997-11-11	VYDAJ	VYBER	1700	26291	\N	\N	\N
18992	64	1997-03-11	PRIJEM	VKLAD	200	200	\N	\N	\N
18993	64	1997-12-12	PRIJEM	VKLAD	21862	34474	\N	\N	\N
18994	64	1997-05-06	PRIJEM	VKLAD	3154	16454	\N	\N	\N
18995	64	1998-04-04	PRIJEM	VKLAD	34850	79559	\N	\N	\N
18996	64	1998-03-18	PRIJEM	VKLAD	32782	44565	\N	\N	\N
19051	64	1997-04-10	PRIJEM	VKLAD	13100	13300	\N	\N	\N
19052	64	1997-05-10	PRIJEM	VKLAD	3500	19954	\N	\N	\N
19053	64	1997-06-09	PRIJEM	VKLAD	4000	24013	\N	\N	\N
19054	64	1997-07-09	VYDAJ	VYBER	2000	22096	\N	\N	\N
19055	64	1997-08-08	VYDAJ	VYBER	1300	20879	\N	\N	\N
19056	64	1997-09-07	VYDAJ	VYBER	3200	17762	\N	\N	\N
19057	64	1997-10-07	VYDAJ	VYBER	3200	14646	\N	\N	\N
19058	64	1997-11-06	VYDAJ	VYBER	200	14529	\N	\N	\N
19059	64	1997-12-06	VYDAJ	VYBER	2000	12612	\N	\N	\N
19060	64	1998-01-05	VYDAJ	VYBER	14400	20196	\N	\N	\N
19061	64	1998-02-04	VYDAJ	VYBER	8700	11640	\N	\N	\N
19062	64	1998-04-05	VYDAJ	VYBER	32200	47359	\N	\N	\N
19063	64	1998-05-05	VYDAJ	VYBER	15600	31949	\N	\N	\N
19064	64	1998-06-04	VYDAJ	VYBER	5000	27146	\N	\N	\N
19065	64	1998-07-04	VYDAJ	VYBER	6000	21344	\N	\N	\N
19066	64	1998-08-03	VYDAJ	VYBER	1000	20541	\N	\N	\N
19067	64	1998-09-02	PRIJEM	VKLAD	1100	21838	\N	\N	\N
19068	64	1998-10-02	PRIJEM	VKLAD	1600	23636	\N	\N	\N
19069	64	1998-11-01	VYDAJ	VYBER	3300	20533	\N	\N	\N
19070	64	1998-12-01	PRIJEM	VKLAD	1000	21730	\N	\N	\N
19090	65	1996-10-29	PRIJEM	VKLAD	600	600	\N	\N	\N
19101	65	1996-11-06	PRIJEM	VKLAD	24590	25190	\N	\N	\N
19102	65	1996-12-06	PRIJEM	VKLAD	36885	61585	\N	\N	\N
19103	65	1997-01-06	PRIJEM	VKLAD	24590	68488	\N	\N	\N
19104	65	1997-02-06	PRIJEM	VKLAD	24590	75566	\N	\N	\N
19105	65	1997-03-06	PRIJEM	VKLAD	24590	77868	\N	\N	\N
19106	65	1997-04-06	PRIJEM	VKLAD	24590	75318	\N	\N	\N
19107	65	1997-05-06	PRIJEM	VKLAD	24590	69656	\N	\N	\N
19108	65	1997-06-06	PRIJEM	VKLAD	36885	82266	\N	\N	\N
19109	65	1997-07-06	PRIJEM	VKLAD	24590	72918	\N	\N	\N
19110	65	1997-08-06	PRIJEM	VKLAD	24590	69241	\N	\N	\N
19111	65	1997-09-06	PRIJEM	VKLAD	24590	64846	\N	\N	\N
19112	65	1997-10-06	PRIJEM	VKLAD	24590	61733	\N	\N	\N
19113	65	1997-11-06	PRIJEM	VKLAD	24590	59305	\N	\N	\N
19114	65	1997-12-06	PRIJEM	VKLAD	36885	69061	\N	\N	\N
19115	65	1998-01-06	PRIJEM	VKLAD	24590	64150	\N	\N	\N
19116	65	1998-02-06	PRIJEM	VKLAD	24590	61022	\N	\N	\N
19117	65	1998-03-06	PRIJEM	VKLAD	24590	65798	\N	\N	\N
19118	65	1998-04-06	PRIJEM	VKLAD	24590	63184	\N	\N	\N
19119	65	1998-05-06	PRIJEM	VKLAD	24590	58351	\N	\N	\N
19120	65	1998-06-06	PRIJEM	VKLAD	36885	71902	\N	\N	\N
19121	65	1998-07-06	PRIJEM	VKLAD	24590	68600	\N	\N	\N
19122	65	1998-08-06	PRIJEM	VKLAD	24590	61987	\N	\N	\N
19123	65	1998-09-06	PRIJEM	VKLAD	24590	61545	\N	\N	\N
19124	65	1998-10-06	PRIJEM	VKLAD	24590	64013	\N	\N	\N
19125	65	1998-11-06	PRIJEM	VKLAD	24590	66990	\N	\N	\N
19126	65	1998-12-06	PRIJEM	VKLAD	36885	85379	\N	\N	\N
19141	65	1997-03-06	VYDAJ	PREVOD NA UCET	686	77182	SIPO	YZ	74934333
19142	65	1997-04-06	VYDAJ	PREVOD NA UCET	686	74632	SIPO	YZ	74934333
19143	65	1997-05-06	VYDAJ	PREVOD NA UCET	686	68970	SIPO	YZ	74934333
19144	65	1997-06-06	VYDAJ	PREVOD NA UCET	686	81580	SIPO	YZ	74934333
19145	65	1997-07-06	VYDAJ	PREVOD NA UCET	686	72232	SIPO	YZ	74934333
19146	65	1997-08-06	VYDAJ	PREVOD NA UCET	686	68555	SIPO	YZ	74934333
19147	65	1997-09-06	VYDAJ	PREVOD NA UCET	686	64160	SIPO	YZ	74934333
19148	65	1997-10-06	VYDAJ	PREVOD NA UCET	686	61047	SIPO	YZ	74934333
19149	65	1997-11-06	VYDAJ	PREVOD NA UCET	686	58619	SIPO	YZ	74934333
19150	65	1997-12-06	VYDAJ	PREVOD NA UCET	686	68375	SIPO	YZ	74934333
19151	65	1998-01-06	VYDAJ	PREVOD NA UCET	686	63464	SIPO	YZ	74934333
19152	65	1998-02-06	VYDAJ	PREVOD NA UCET	686	60336	SIPO	YZ	74934333
19153	65	1998-03-06	VYDAJ	PREVOD NA UCET	686	65112	SIPO	YZ	74934333
19154	65	1998-04-06	VYDAJ	PREVOD NA UCET	686	62498	SIPO	YZ	74934333
19155	65	1998-05-06	VYDAJ	PREVOD NA UCET	686	57665	SIPO	YZ	74934333
19156	65	1998-06-06	VYDAJ	PREVOD NA UCET	686	71216	SIPO	YZ	74934333
19157	65	1998-07-06	VYDAJ	PREVOD NA UCET	686	67914	SIPO	YZ	74934333
19158	65	1998-08-06	VYDAJ	PREVOD NA UCET	686	61301	SIPO	YZ	74934333
19159	65	1998-09-06	VYDAJ	PREVOD NA UCET	686	60859	SIPO	YZ	74934333
19160	65	1998-10-06	VYDAJ	PREVOD NA UCET	686	63327	SIPO	YZ	74934333
19161	65	1998-11-06	VYDAJ	PREVOD NA UCET	686	66304	SIPO	YZ	74934333
19162	65	1998-12-06	VYDAJ	PREVOD NA UCET	686	84693	SIPO	YZ	74934333
19177	65	1997-03-14	VYDAJ	PREVOD NA UCET	3315	70466	 	CD	20976132
19178	65	1997-04-14	VYDAJ	PREVOD NA UCET	3315	67916	 	CD	20976132
19179	65	1997-05-14	VYDAJ	PREVOD NA UCET	3315	62254	 	CD	20976132
19180	65	1997-06-14	VYDAJ	PREVOD NA UCET	3315	74864	 	CD	20976132
19181	65	1997-07-14	VYDAJ	PREVOD NA UCET	3315	65516	 	CD	20976132
19182	65	1997-08-14	VYDAJ	PREVOD NA UCET	3315	61839	 	CD	20976132
19183	65	1997-09-14	VYDAJ	PREVOD NA UCET	3315	57444	 	CD	20976132
19184	65	1997-10-14	VYDAJ	PREVOD NA UCET	3315	54331	 	CD	20976132
19185	65	1997-11-14	VYDAJ	PREVOD NA UCET	3315	51903	 	CD	20976132
19186	65	1997-12-14	VYDAJ	PREVOD NA UCET	3315	61659	 	CD	20976132
19187	65	1998-01-14	VYDAJ	PREVOD NA UCET	3315	52648	 	CD	20976132
19188	65	1998-02-14	VYDAJ	PREVOD NA UCET	3315	53620	 	CD	20976132
19189	65	1998-03-14	VYDAJ	PREVOD NA UCET	3315	58396	 	CD	20976132
19190	65	1998-04-14	VYDAJ	PREVOD NA UCET	3315	55782	 	CD	20976132
19191	65	1998-05-14	VYDAJ	PREVOD NA UCET	3315	50949	 	CD	20976132
19192	65	1998-06-14	VYDAJ	PREVOD NA UCET	3315	64500	 	CD	20976132
19193	65	1998-07-14	VYDAJ	PREVOD NA UCET	3315	61198	 	CD	20976132
19194	65	1998-08-14	VYDAJ	PREVOD NA UCET	3315	49985	 	CD	20976132
19195	65	1998-09-14	VYDAJ	PREVOD NA UCET	3315	54143	 	CD	20976132
19196	65	1998-10-14	VYDAJ	PREVOD NA UCET	3315	56611	 	CD	20976132
19197	65	1998-11-14	VYDAJ	PREVOD NA UCET	3315	59588	 	CD	20976132
19198	65	1998-12-14	VYDAJ	PREVOD NA UCET	3315	77977	 	CD	20976132
19213	65	1997-03-10	VYDAJ	PREVOD NA UCET	3401	73781	POJISTNE	GH	7764506
19214	65	1997-04-10	VYDAJ	PREVOD NA UCET	3401	71231	POJISTNE	GH	7764506
19215	65	1997-05-10	VYDAJ	PREVOD NA UCET	3401	65569	POJISTNE	GH	7764506
19216	65	1997-06-10	VYDAJ	PREVOD NA UCET	3401	78179	POJISTNE	GH	7764506
19217	65	1997-07-10	VYDAJ	PREVOD NA UCET	3401	68831	POJISTNE	GH	7764506
19218	65	1997-08-10	VYDAJ	PREVOD NA UCET	3401	65154	POJISTNE	GH	7764506
19219	65	1997-09-10	VYDAJ	PREVOD NA UCET	3401	60759	POJISTNE	GH	7764506
19220	65	1997-10-10	VYDAJ	PREVOD NA UCET	3401	57646	POJISTNE	GH	7764506
19221	65	1997-11-10	VYDAJ	PREVOD NA UCET	3401	55218	POJISTNE	GH	7764506
19222	65	1997-12-10	VYDAJ	PREVOD NA UCET	3401	64974	POJISTNE	GH	7764506
19223	65	1998-01-10	VYDAJ	PREVOD NA UCET	3401	60063	POJISTNE	GH	7764506
19224	65	1998-02-10	VYDAJ	PREVOD NA UCET	3401	56935	POJISTNE	GH	7764506
19225	65	1998-03-10	VYDAJ	PREVOD NA UCET	3401	61711	POJISTNE	GH	7764506
19226	65	1998-04-10	VYDAJ	PREVOD NA UCET	3401	59097	POJISTNE	GH	7764506
19227	65	1998-05-10	VYDAJ	PREVOD NA UCET	3401	54264	POJISTNE	GH	7764506
19228	65	1998-06-10	VYDAJ	PREVOD NA UCET	3401	67815	POJISTNE	GH	7764506
19229	65	1998-07-10	VYDAJ	PREVOD NA UCET	3401	64513	POJISTNE	GH	7764506
19230	65	1998-08-10	VYDAJ	PREVOD NA UCET	3401	53300	POJISTNE	GH	7764506
19231	65	1998-09-10	VYDAJ	PREVOD NA UCET	3401	57458	POJISTNE	GH	7764506
19232	65	1998-10-10	VYDAJ	PREVOD NA UCET	3401	59926	POJISTNE	GH	7764506
19233	65	1998-11-10	VYDAJ	PREVOD NA UCET	3401	62903	POJISTNE	GH	7764506
19234	65	1998-12-10	VYDAJ	PREVOD NA UCET	3401	81292	POJISTNE	GH	7764506
19236	65	1997-12-27	VYDAJ	VYBER KARTOU	2700	39359	\N	\N	0
19237	65	1998-12-19	VYDAJ	VYBER KARTOU	2900	55877	\N	\N	0
19250	65	1998-01-15	VYDAJ	VYBER KARTOU	1300	51348	\N	\N	0
19251	65	1998-01-26	VYDAJ	VYBER KARTOU	500	38448	\N	\N	0
19252	65	1998-01-23	VYDAJ	VYBER KARTOU	2400	38948	\N	\N	0
19253	65	1998-01-11	VYDAJ	VYBER KARTOU	2400	57663	\N	\N	0
19254	65	1998-01-13	VYDAJ	VYBER KARTOU	1700	55963	\N	\N	0
19255	65	1998-01-30	VYDAJ	VYBER KARTOU	2200	36248	\N	\N	0
19263	65	1997-11-21	VYDAJ	VYBER KARTOU	600	51303	\N	\N	0
19264	65	1997-12-20	VYDAJ	VYBER KARTOU	3000	58659	\N	\N	0
19265	65	1998-08-08	VYDAJ	VYBER	4600	56701	\N	\N	\N
19266	65	1998-05-20	VYDAJ	VYBER KARTOU	4000	46949	\N	\N	0
19267	65	1998-07-22	VYDAJ	VYBER	4200	37198	\N	\N	\N
19268	65	1998-04-15	VYDAJ	VYBER	4600	51182	\N	\N	\N
19269	65	1998-09-23	VYDAJ	VYBER KARTOU	500	39243	\N	\N	0
19285	65	1997-03-31	VYDAJ	VYBER	15	50728	SLUZBY	\N	\N
19286	65	1997-04-30	VYDAJ	VYBER	15	45066	SLUZBY	\N	\N
19287	65	1997-05-31	VYDAJ	VYBER	15	45381	SLUZBY	\N	\N
19288	65	1997-06-30	VYDAJ	VYBER	15	48328	SLUZBY	\N	\N
19289	65	1997-07-31	VYDAJ	VYBER	15	44651	SLUZBY	\N	\N
19290	65	1997-08-31	VYDAJ	VYBER	15	40256	SLUZBY	\N	\N
19291	65	1997-09-30	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
19292	65	1997-10-31	VYDAJ	VYBER	15	34715	SLUZBY	\N	\N
19293	65	1997-11-30	VYDAJ	VYBER	15	32176	SLUZBY	\N	\N
19294	65	1997-12-31	VYDAJ	VYBER	15	39560	SLUZBY	\N	\N
19295	65	1998-01-31	VYDAJ	VYBER	15	36432	SLUZBY	\N	\N
19296	65	1998-02-28	VYDAJ	VYBER	15	41208	SLUZBY	\N	\N
19297	65	1998-03-31	VYDAJ	VYBER	15	38594	SLUZBY	\N	\N
19298	65	1998-04-30	VYDAJ	VYBER	15	33761	SLUZBY	\N	\N
19299	65	1998-05-31	VYDAJ	VYBER	15	35017	SLUZBY	\N	\N
19300	65	1998-06-30	VYDAJ	VYBER	15	44010	SLUZBY	\N	\N
19301	65	1998-07-31	VYDAJ	VYBER	15	37397	SLUZBY	\N	\N
19302	65	1998-08-31	VYDAJ	VYBER	15	36955	SLUZBY	\N	\N
19303	65	1998-09-30	VYDAJ	VYBER	15	39423	SLUZBY	\N	\N
19304	65	1998-10-31	VYDAJ	VYBER	15	42400	SLUZBY	\N	\N
19305	65	1998-11-30	VYDAJ	VYBER	15	48494	SLUZBY	\N	\N
19306	65	1996-11-28	VYDAJ	VYBER	500	24690	\N	\N	\N
19307	65	1996-12-28	VYDAJ	VYBER	17800	43785	\N	\N	\N
19308	65	1997-01-27	VYDAJ	VYBER	17700	50788	\N	\N	\N
19309	65	1997-02-26	VYDAJ	VYBER	22500	53066	\N	\N	\N
19310	65	1997-03-28	VYDAJ	VYBER	20000	50466	\N	\N	\N
19311	65	1997-04-27	VYDAJ	VYBER	23100	44816	\N	\N	\N
19312	65	1997-05-27	VYDAJ	VYBER	17100	45154	\N	\N	\N
19313	65	1997-06-26	VYDAJ	VYBER	26800	48064	\N	\N	\N
19314	65	1997-07-26	VYDAJ	VYBER	21100	44416	\N	\N	\N
19315	65	1997-08-25	VYDAJ	VYBER	21800	40039	\N	\N	\N
19316	65	1997-09-24	VYDAJ	VYBER	20500	36944	\N	\N	\N
19317	65	1997-10-24	VYDAJ	VYBER	19800	34531	\N	\N	\N
19318	65	1997-11-23	VYDAJ	VYBER	19300	32003	\N	\N	\N
19319	65	1997-12-23	VYDAJ	VYBER	16600	42059	\N	\N	\N
19320	65	1998-01-22	VYDAJ	VYBER	10000	41348	\N	\N	\N
19321	65	1998-02-21	VYDAJ	VYBER	12600	41020	\N	\N	\N
19322	65	1998-03-23	VYDAJ	VYBER	20000	38396	\N	\N	\N
19323	65	1998-04-22	VYDAJ	VYBER	17600	33582	\N	\N	\N
19324	65	1998-05-22	VYDAJ	VYBER	12100	34849	\N	\N	\N
19325	65	1998-06-21	VYDAJ	VYBER	20700	43800	\N	\N	\N
19326	65	1998-07-21	VYDAJ	VYBER	19800	41398	\N	\N	\N
19327	65	1998-08-20	VYDAJ	VYBER	13200	36785	\N	\N	\N
19328	65	1998-09-19	VYDAJ	VYBER	14400	39743	\N	\N	\N
19329	65	1998-10-19	VYDAJ	VYBER	14400	42211	\N	\N	\N
19330	65	1998-11-18	VYDAJ	VYBER	11300	48288	\N	\N	\N
19331	65	1998-12-18	VYDAJ	VYBER	19200	58777	\N	\N	\N
19358	66	1993-12-03	PRIJEM	VKLAD	400	400	\N	\N	\N
19370	66	1993-12-09	PRIJEM	PREVOD Z UCTU	67070	67470	\N	KL	76316427
19371	66	1994-01-09	PRIJEM	PREVOD Z UCTU	44713	91092	\N	KL	76316427
19372	66	1994-02-09	PRIJEM	PREVOD Z UCTU	44713	100659	\N	KL	76316427
19373	66	1994-03-09	PRIJEM	PREVOD Z UCTU	44713	106680	\N	KL	76316427
19374	66	1994-04-09	PRIJEM	PREVOD Z UCTU	44713	112331	\N	KL	76316427
19375	66	1994-05-09	PRIJEM	PREVOD Z UCTU	44713	95200	\N	KL	76316427
19376	66	1994-06-09	PRIJEM	PREVOD Z UCTU	67070	125845	\N	KL	76316427
19377	66	1994-07-09	PRIJEM	PREVOD Z UCTU	44713	80224	\N	KL	76316427
19378	66	1994-08-09	PRIJEM	PREVOD Z UCTU	44713	95733	\N	KL	76316427
19379	66	1994-09-09	PRIJEM	PREVOD Z UCTU	44713	94385	\N	KL	76316427
19380	66	1994-10-09	PRIJEM	PREVOD Z UCTU	44713	102807	\N	KL	76316427
19381	66	1994-11-09	PRIJEM	PREVOD Z UCTU	44713	108964	\N	KL	76316427
19382	66	1994-12-09	PRIJEM	PREVOD Z UCTU	67070	126401	\N	KL	76316427
19383	66	1995-01-09	PRIJEM	PREVOD Z UCTU	44713	77932	\N	KL	76316427
19384	66	1995-02-09	PRIJEM	PREVOD Z UCTU	44713	77347	\N	KL	76316427
19385	66	1995-03-09	PRIJEM	PREVOD Z UCTU	44713	93202	\N	KL	76316427
19386	66	1995-04-09	PRIJEM	PREVOD Z UCTU	44713	86919	\N	KL	76316427
19387	66	1995-05-09	PRIJEM	PREVOD Z UCTU	44713	97836	\N	KL	76316427
19388	66	1995-06-09	PRIJEM	PREVOD Z UCTU	67070	109251	\N	KL	76316427
19389	66	1995-07-09	PRIJEM	PREVOD Z UCTU	44713	111031	\N	KL	76316427
19390	66	1995-08-09	PRIJEM	PREVOD Z UCTU	44713	99619	\N	KL	76316427
19391	66	1995-09-09	PRIJEM	PREVOD Z UCTU	44713	103967	\N	KL	76316427
19392	66	1995-10-09	PRIJEM	PREVOD Z UCTU	44713	104930	\N	KL	76316427
19393	66	1995-11-09	PRIJEM	PREVOD Z UCTU	44713	100492	\N	KL	76316427
19394	66	1995-12-09	PRIJEM	PREVOD Z UCTU	67070	127895	\N	KL	76316427
19395	66	1996-01-09	PRIJEM	PREVOD Z UCTU	44713	101136	\N	KL	76316427
19396	66	1996-02-09	PRIJEM	PREVOD Z UCTU	44713	79107	\N	KL	76316427
19397	66	1996-03-09	PRIJEM	PREVOD Z UCTU	44713	100088	\N	KL	76316427
19398	66	1996-04-09	PRIJEM	PREVOD Z UCTU	44713	108240	\N	KL	76316427
19399	66	1996-05-09	PRIJEM	PREVOD Z UCTU	44713	110018	\N	KL	76316427
19400	66	1996-06-09	PRIJEM	PREVOD Z UCTU	67070	112011	\N	KL	76316427
19401	66	1996-07-09	PRIJEM	PREVOD Z UCTU	44713	52640	\N	KL	76316427
19402	66	1996-08-09	PRIJEM	PREVOD Z UCTU	44713	68467	\N	KL	76316427
19403	66	1996-09-09	PRIJEM	PREVOD Z UCTU	44713	91115	\N	KL	76316427
19404	66	1996-10-09	PRIJEM	PREVOD Z UCTU	44713	105745	\N	KL	76316427
19405	66	1996-11-09	PRIJEM	PREVOD Z UCTU	44713	94713	\N	KL	76316427
19406	66	1996-12-09	PRIJEM	PREVOD Z UCTU	67070	129813	\N	KL	76316427
19407	66	1997-01-09	PRIJEM	PREVOD Z UCTU	44713	84096	\N	KL	76316427
19408	66	1997-02-09	PRIJEM	PREVOD Z UCTU	44713	88636	\N	KL	76316427
19409	66	1997-03-09	PRIJEM	PREVOD Z UCTU	44713	92158	\N	KL	76316427
19410	66	1997-04-09	PRIJEM	PREVOD Z UCTU	44713	101129	\N	KL	76316427
19411	66	1997-05-09	PRIJEM	PREVOD Z UCTU	44713	111695	\N	KL	76316427
19412	66	1997-06-09	PRIJEM	PREVOD Z UCTU	67070	102614	\N	KL	76316427
19413	66	1997-07-09	PRIJEM	PREVOD Z UCTU	44713	86879	\N	KL	76316427
19414	66	1997-08-09	PRIJEM	PREVOD Z UCTU	44713	103501	\N	KL	76316427
19415	66	1997-09-09	PRIJEM	PREVOD Z UCTU	44713	102102	\N	KL	76316427
19416	66	1997-10-09	PRIJEM	PREVOD Z UCTU	44713	110569	\N	KL	76316427
19417	66	1997-11-09	PRIJEM	PREVOD Z UCTU	44713	114260	\N	KL	76316427
19418	66	1997-12-09	PRIJEM	PREVOD Z UCTU	67070	107205	\N	KL	76316427
19419	66	1998-01-09	PRIJEM	PREVOD Z UCTU	44713	78064	\N	KL	76316427
19420	66	1998-02-09	PRIJEM	PREVOD Z UCTU	44713	71243	\N	KL	76316427
19421	66	1998-03-09	PRIJEM	PREVOD Z UCTU	44713	78720	\N	KL	76316427
19422	66	1998-04-09	PRIJEM	PREVOD Z UCTU	44713	85345	\N	KL	76316427
19423	66	1998-05-09	PRIJEM	PREVOD Z UCTU	44713	100663	\N	KL	76316427
19424	66	1998-06-09	PRIJEM	PREVOD Z UCTU	67070	120964	\N	KL	76316427
19425	66	1998-07-09	PRIJEM	PREVOD Z UCTU	44713	59499	\N	KL	76316427
19426	66	1998-08-09	PRIJEM	PREVOD Z UCTU	44713	87950	\N	KL	76316427
19427	66	1998-09-09	PRIJEM	PREVOD Z UCTU	44713	80373	\N	KL	76316427
19428	66	1998-10-09	PRIJEM	PREVOD Z UCTU	44713	91986	\N	KL	76316427
19429	66	1998-11-09	PRIJEM	PREVOD Z UCTU	44713	97963	\N	KL	76316427
19430	66	1998-12-09	PRIJEM	PREVOD Z UCTU	67070	124127	\N	KL	76316427
19514	66	1994-12-24	VYBER	VYBER	23137	73564	\N	\N	\N
19516	66	1994-12-26	VYBER	VYBER	5532	68032	\N	\N	\N
19517	66	1994-08-12	VYBER	VYBER	23823	71910	\N	\N	\N
19518	66	1995-01-19	VYBER	VYBER	9709	52023	\N	\N	\N
19519	66	1995-06-05	VYBER	VYBER	4879	55081	\N	\N	\N
19520	66	1996-05-14	VYBER	VYBER	17159	92859	\N	\N	\N
19521	66	1996-07-23	VYBER	VYBER	19050	23790	\N	\N	\N
19522	66	1996-01-22	VYBER	VYBER	24412	55724	\N	\N	\N
19523	66	1996-12-19	VYBER	VYBER	2304	57509	\N	\N	\N
19525	66	1997-11-21	VYBER	VYBER	3455	40005	\N	\N	\N
19526	66	1997-06-05	VYBER	VYBER	14226	35544	\N	\N	\N
19527	66	1997-08-14	VYBER	VYBER	18412	85089	\N	\N	\N
19528	66	1997-12-23	VYBER	VYBER	14758	47347	\N	\N	\N
19529	66	1997-06-20	VYBER	VYBER	12476	42038	\N	\N	\N
19531	66	1994-06-10	VYDAJ	VYBER	16200	49045	\N	\N	\N
19532	66	1995-06-08	VYDAJ	VYBER	12900	42181	\N	\N	\N
19533	66	1996-06-27	VYDAJ	VYBER	40200	7811	\N	\N	\N
19534	66	1997-06-13	VYDAJ	VYBER	25800	76814	\N	\N	\N
19535	66	1998-06-12	VYDAJ	VYBER	31800	14764	\N	\N	\N
19537	66	1994-12-04	VYDAJ	VYBER	5700	59331	\N	\N	\N
19538	66	1995-12-12	VYDAJ	VYBER	4800	95295	\N	\N	\N
19539	66	1996-12-19	VYDAJ	VYBER	8400	49109	\N	\N	\N
19540	66	1997-12-17	VYDAJ	VYBER KARTOU	3000	62105	\N	\N	0
19541	66	1998-12-15	VYDAJ	VYBER KARTOU	3600	99827	\N	\N	0
19554	66	1995-01-01	VYDAJ	VYBER	5100	41619	\N	\N	\N
19555	66	1995-01-12	VYDAJ	VYBER	8700	61732	\N	\N	\N
19556	66	1995-01-29	VYDAJ	VYBER	4200	32523	\N	\N	\N
19557	66	1995-01-08	VYDAJ	VYBER	2700	33219	\N	\N	\N
19558	66	1995-01-07	VYDAJ	VYBER	5700	35919	\N	\N	\N
19559	66	1995-01-09	VYDAJ	VYBER	7500	70432	\N	\N	\N
19560	66	1996-01-07	VYDAJ	VYBER	1800	56423	\N	\N	\N
19561	66	1996-01-20	VYDAJ	VYBER	6000	80136	\N	\N	\N
19562	66	1996-01-16	VYDAJ	VYBER	6300	86136	\N	\N	\N
19563	66	1996-01-28	VYDAJ	VYBER	6300	34224	\N	\N	\N
19564	66	1996-01-11	VYDAJ	VYBER	8700	92436	\N	\N	\N
19565	66	1996-01-02	VYDAJ	VYBER	2100	58223	\N	\N	\N
19566	66	1997-01-02	VYDAJ	VYBER	5700	39383	\N	\N	\N
19567	66	1997-01-14	VYDAJ	VYBER	6300	77796	\N	\N	\N
19568	66	1997-01-02	VYDAJ	VYBER	4200	45083	\N	\N	\N
19569	66	1997-01-19	VYDAJ	VYBER KARTOU	1500	52796	\N	\N	0
19570	66	1997-01-23	VYDAJ	VYBER KARTOU	2700	43796	\N	\N	0
19571	66	1997-01-23	VYDAJ	VYBER	6300	46496	\N	\N	\N
19572	66	1998-01-01	VYDAJ	VYBER	7200	40251	\N	\N	\N
19573	66	1998-01-22	VYDAJ	VYBER	7500	34864	\N	\N	\N
19574	66	1998-01-22	VYDAJ	VYBER	8400	26464	\N	\N	\N
19575	66	1998-01-08	VYDAJ	VYBER	6900	33351	\N	\N	\N
19576	66	1998-01-14	VYDAJ	VYBER	6900	42364	\N	\N	\N
19577	66	1998-01-12	VYDAJ	VYBER KARTOU	3600	49264	\N	\N	0
19585	66	1995-11-06	VYDAJ	VYBER	9000	55779	\N	\N	\N
19586	66	1995-03-29	VYDAJ	VYBER	6600	52602	\N	\N	\N
19587	66	1995-10-03	VYDAJ	VYBER	4200	60217	\N	\N	\N
19588	66	1995-04-08	VYDAJ	VYBER	10500	42206	\N	\N	\N
19589	66	1995-08-08	VYDAJ	VYBER	11700	54906	\N	\N	\N
19590	66	1995-08-09	VYDAJ	VYBER	1800	97819	\N	\N	\N
19591	66	1996-06-06	VYDAJ	VYBER	12000	44941	\N	\N	\N
19592	66	1996-06-11	VYDAJ	VYBER	5100	67411	\N	\N	\N
19593	66	1996-10-16	VYDAJ	VYBER	12600	86245	\N	\N	\N
19594	66	1996-10-21	VYDAJ	VYBER	9000	49845	\N	\N	\N
19595	66	1996-10-13	VYDAJ	VYBER	6900	98845	\N	\N	\N
19596	66	1997-03-10	VYDAJ	VYBER	7200	84958	\N	\N	\N
19597	66	1997-03-05	VYDAJ	VYBER	4800	47445	\N	\N	\N
19598	66	1997-06-04	VYDAJ	VYBER	8700	49770	\N	\N	\N
19599	66	1997-02-25	VYDAJ	VYBER	8400	52136	\N	\N	\N
19600	66	1998-03-28	VYDAJ	VYBER	12300	40520	\N	\N	\N
19601	66	1998-05-21	VYDAJ	VYBER	8400	53763	\N	\N	\N
19602	66	1998-03-05	VYDAJ	VYBER	13800	34007	\N	\N	\N
19619	66	1994-04-30	VYDAJ	VYBER	100	74887	SLUZBY	\N	\N
19620	66	1994-05-31	VYDAJ	VYBER	100	95475	SLUZBY	\N	\N
19621	66	1994-06-30	VYDAJ	VYBER	100	49211	SLUZBY	\N	\N
19622	66	1994-07-31	VYDAJ	VYBER	100	80420	SLUZBY	\N	\N
19623	66	1994-08-31	VYDAJ	VYBER	100	49672	SLUZBY	\N	\N
19624	66	1994-09-30	VYDAJ	VYBER	100	58094	SLUZBY	\N	\N
19625	66	1994-10-31	VYDAJ	VYBER	100	64251	SLUZBY	\N	\N
19626	66	1994-11-30	VYDAJ	VYBER	100	65031	SLUZBY	\N	\N
19627	66	1994-12-31	VYDAJ	VYBER	100	46719	SLUZBY	\N	\N
19628	66	1995-01-31	VYDAJ	VYBER	100	32634	SLUZBY	\N	\N
19629	66	1995-02-28	VYDAJ	VYBER	100	48489	SLUZBY	\N	\N
19630	66	1995-03-31	VYDAJ	VYBER	100	52706	SLUZBY	\N	\N
19631	66	1995-04-30	VYDAJ	VYBER	100	53123	SLUZBY	\N	\N
19632	66	1995-05-31	VYDAJ	VYBER	100	59960	SLUZBY	\N	\N
19633	66	1995-06-30	VYDAJ	VYBER	100	66318	SLUZBY	\N	\N
19634	66	1995-07-31	VYDAJ	VYBER	100	66606	SLUZBY	\N	\N
19635	66	1995-08-31	VYDAJ	VYBER	100	59254	SLUZBY	\N	\N
19636	66	1995-09-30	VYDAJ	VYBER	100	64417	SLUZBY	\N	\N
19637	66	1995-10-31	VYDAJ	VYBER	100	64779	SLUZBY	\N	\N
19638	66	1995-11-30	VYDAJ	VYBER	100	60825	SLUZBY	\N	\N
19639	66	1995-12-31	VYDAJ	VYBER	100	60323	SLUZBY	\N	\N
19640	66	1996-01-31	VYDAJ	VYBER	100	34394	SLUZBY	\N	\N
19641	66	1996-02-29	VYDAJ	VYBER	100	55375	SLUZBY	\N	\N
19642	66	1996-03-31	VYDAJ	VYBER	100	63527	SLUZBY	\N	\N
19643	66	1996-04-30	VYDAJ	VYBER	100	65305	SLUZBY	\N	\N
19644	66	1996-05-31	VYDAJ	VYBER	100	56941	SLUZBY	\N	\N
19645	66	1996-06-30	VYDAJ	VYBER	100	7927	SLUZBY	\N	\N
19646	66	1996-07-31	VYDAJ	VYBER	100	23754	SLUZBY	\N	\N
19647	66	1996-08-31	VYDAJ	VYBER	100	46402	SLUZBY	\N	\N
19648	66	1996-09-30	VYDAJ	VYBER	100	61032	SLUZBY	\N	\N
19649	66	1996-10-31	VYDAJ	VYBER	100	50000	SLUZBY	\N	\N
19650	66	1996-11-30	VYDAJ	VYBER	100	62743	SLUZBY	\N	\N
19651	66	1996-12-31	VYDAJ	VYBER	100	49283	SLUZBY	\N	\N
19652	66	1997-01-31	VYDAJ	VYBER	100	43923	SLUZBY	\N	\N
19653	66	1997-02-28	VYDAJ	VYBER	100	52245	SLUZBY	\N	\N
19654	66	1997-03-31	VYDAJ	VYBER	100	56416	SLUZBY	\N	\N
19655	66	1997-04-30	VYDAJ	VYBER	100	66982	SLUZBY	\N	\N
19656	66	1997-05-31	VYDAJ	VYBER	100	58470	SLUZBY	\N	\N
19657	66	1997-06-30	VYDAJ	VYBER	100	42166	SLUZBY	\N	\N
19658	66	1997-07-31	VYDAJ	VYBER	100	58788	SLUZBY	\N	\N
19659	66	1997-08-31	VYDAJ	VYBER	100	57389	SLUZBY	\N	\N
19660	66	1997-09-30	VYDAJ	VYBER	100	65856	SLUZBY	\N	\N
19661	66	1997-10-31	VYDAJ	VYBER	100	69547	SLUZBY	\N	\N
19662	66	1997-11-30	VYDAJ	VYBER	100	40135	SLUZBY	\N	\N
19663	66	1997-12-31	VYDAJ	VYBER	100	47451	SLUZBY	\N	\N
19664	66	1998-01-31	VYDAJ	VYBER	100	26530	SLUZBY	\N	\N
19665	66	1998-02-28	VYDAJ	VYBER	100	47807	SLUZBY	\N	\N
19666	66	1998-03-31	VYDAJ	VYBER	100	40632	SLUZBY	\N	\N
19667	66	1998-04-30	VYDAJ	VYBER	100	55950	SLUZBY	\N	\N
19668	66	1998-05-31	VYDAJ	VYBER	100	53894	SLUZBY	\N	\N
19669	66	1998-06-30	VYDAJ	VYBER	100	14786	SLUZBY	\N	\N
19670	66	1998-07-31	VYDAJ	VYBER	100	43237	SLUZBY	\N	\N
19671	66	1998-08-31	VYDAJ	VYBER	100	55560	SLUZBY	\N	\N
19672	66	1998-09-30	VYDAJ	VYBER	100	80573	SLUZBY	\N	\N
19673	66	1998-10-31	VYDAJ	VYBER	100	92250	SLUZBY	\N	\N
19674	66	1998-11-30	VYDAJ	VYBER	100	98257	SLUZBY	\N	\N
19675	66	1994-01-02	VYDAJ	VYBER	21300	46379	\N	\N	\N
19676	66	1994-02-01	VYDAJ	VYBER	35500	55946	\N	\N	\N
19677	66	1994-03-03	VYDAJ	VYBER	39100	61967	\N	\N	\N
19678	66	1994-04-02	VYDAJ	VYBER	39500	67618	\N	\N	\N
19679	66	1994-04-09	VYDAJ	VYBER	37800	74531	\N	\N	\N
19680	66	1994-05-02	VYDAJ	VYBER	24400	50487	\N	\N	\N
19681	66	1994-06-01	VYDAJ	VYBER	36700	58775	\N	\N	\N
19682	66	1994-06-09	VYDAJ	VYBER	60600	65245	\N	\N	\N
19683	66	1994-07-01	VYDAJ	VYBER	13700	35511	\N	\N	\N
19684	66	1994-07-31	VYDAJ	VYBER	29400	51020	\N	\N	\N
19685	66	1994-08-30	VYDAJ	VYBER	22400	49510	\N	\N	\N
19686	66	1994-09-29	VYDAJ	VYBER	36400	57985	\N	\N	\N
19687	66	1994-10-29	VYDAJ	VYBER	38700	64107	\N	\N	\N
19688	66	1994-11-28	VYDAJ	VYBER	44100	64864	\N	\N	\N
19689	66	1994-12-09	VYDAJ	VYBER	29700	96701	\N	\N	\N
19690	66	1994-12-28	VYDAJ	VYBER	21600	46432	\N	\N	\N
19691	66	1995-01-27	VYDAJ	VYBER	15300	36723	\N	\N	\N
19692	66	1995-02-26	VYDAJ	VYBER	28900	48447	\N	\N	\N
19693	66	1995-03-28	VYDAJ	VYBER	34000	59202	\N	\N	\N
19694	66	1995-04-27	VYDAJ	VYBER	34000	52919	\N	\N	\N
19695	66	1995-05-27	VYDAJ	VYBER	38000	59836	\N	\N	\N
19696	66	1995-06-26	VYDAJ	VYBER	43200	66051	\N	\N	\N
19697	66	1995-07-26	VYDAJ	VYBER	44600	66431	\N	\N	\N
19698	66	1995-08-25	VYDAJ	VYBER	38800	59019	\N	\N	\N
19699	66	1995-09-24	VYDAJ	VYBER	39700	64267	\N	\N	\N
19700	66	1995-10-24	VYDAJ	VYBER	40400	64530	\N	\N	\N
19701	66	1995-11-23	VYDAJ	VYBER	39900	60592	\N	\N	\N
19702	66	1995-12-09	VYDAJ	VYBER	27800	100095	\N	\N	\N
19703	66	1995-12-23	VYDAJ	VYBER	35200	60095	\N	\N	\N
19704	66	1996-01-22	VYDAJ	VYBER	15200	40524	\N	\N	\N
19705	66	1996-02-21	VYDAJ	VYBER	23800	55307	\N	\N	\N
19706	66	1996-03-22	VYDAJ	VYBER	36700	63388	\N	\N	\N
19707	66	1996-04-21	VYDAJ	VYBER	43100	65140	\N	\N	\N
19708	66	1996-05-21	VYDAJ	VYBER	36100	56759	\N	\N	\N
19709	66	1996-06-09	VYDAJ	VYBER	39500	72511	\N	\N	\N
19710	66	1996-06-20	VYDAJ	VYBER	19400	48011	\N	\N	\N
19711	66	1996-07-20	VYDAJ	VYBER	9800	42840	\N	\N	\N
19712	66	1996-08-19	VYDAJ	VYBER	22100	46367	\N	\N	\N
19713	66	1996-09-18	VYDAJ	VYBER	30200	60915	\N	\N	\N
19714	66	1996-10-18	VYDAJ	VYBER	27400	58845	\N	\N	\N
19715	66	1996-11-17	VYDAJ	VYBER	32100	62613	\N	\N	\N
19716	66	1996-12-09	VYDAJ	VYBER	41600	88213	\N	\N	\N
19717	66	1996-12-17	VYDAJ	VYBER	28400	59813	\N	\N	\N
19718	66	1997-01-16	VYDAJ	VYBER	23500	54296	\N	\N	\N
19719	66	1997-02-15	VYDAJ	VYBER	28100	60536	\N	\N	\N
19720	66	1997-03-17	VYDAJ	VYBER	28700	56258	\N	\N	\N
19721	66	1997-04-16	VYDAJ	VYBER	34300	66829	\N	\N	\N
19722	66	1997-05-09	VYDAJ	VYBER	24700	86995	\N	\N	\N
19723	66	1997-05-16	VYDAJ	VYBER	28700	58295	\N	\N	\N
19724	66	1997-06-15	VYDAJ	VYBER	22300	54514	\N	\N	\N
19725	66	1997-07-15	VYDAJ	VYBER	28200	58679	\N	\N	\N
19726	66	1997-08-14	VYDAJ	VYBER	27900	57189	\N	\N	\N
19727	66	1997-09-13	VYDAJ	VYBER	36400	65702	\N	\N	\N
19728	66	1997-10-13	VYDAJ	VYBER	41200	69369	\N	\N	\N
19729	66	1997-11-09	VYDAJ	VYBER	55700	58560	\N	\N	\N
19730	66	1997-11-12	VYDAJ	VYBER	15100	43460	\N	\N	\N
19731	66	1997-12-12	VYDAJ	VYBER	42100	65105	\N	\N	\N
19732	66	1998-01-11	VYDAJ	VYBER	25200	52864	\N	\N	\N
19733	66	1998-02-10	VYDAJ	VYBER	23500	47743	\N	\N	\N
19734	66	1998-03-12	VYDAJ	VYBER	25900	52820	\N	\N	\N
19735	66	1998-04-11	VYDAJ	VYBER	29500	55845	\N	\N	\N
19736	66	1998-05-11	VYDAJ	VYBER	38500	62163	\N	\N	\N
19737	66	1998-06-09	VYDAJ	VYBER	60900	60064	\N	\N	\N
19738	66	1998-06-10	VYDAJ	VYBER	13500	46564	\N	\N	\N
19739	66	1998-07-10	VYDAJ	VYBER	16300	43199	\N	\N	\N
19740	66	1998-08-09	VYDAJ	VYBER	32500	55450	\N	\N	\N
19741	66	1998-09-08	VYDAJ	VYBER	19900	35660	\N	\N	\N
19742	66	1998-10-08	VYDAJ	VYBER	33300	47273	\N	\N	\N
19743	66	1998-11-07	VYDAJ	VYBER	39000	53250	\N	\N	\N
19744	66	1998-12-07	VYDAJ	VYBER	41200	57057	\N	\N	\N
19745	66	1998-12-09	VYDAJ	VYBER	20700	103427	\N	\N	\N
19809	67	1994-10-19	PRIJEM	VKLAD	700	700	\N	\N	\N
19820	67	1994-11-05	PRIJEM	PREVOD Z UCTU	41490	42190	\N	GH	15195447
19821	67	1994-12-05	PRIJEM	PREVOD Z UCTU	62235	94283	\N	GH	15195447
19822	67	1995-01-05	PRIJEM	PREVOD Z UCTU	41490	101659	\N	GH	15195447
19823	67	1995-02-05	PRIJEM	PREVOD Z UCTU	41490	106609	\N	GH	15195447
19824	67	1995-03-05	PRIJEM	PREVOD Z UCTU	41490	107070	\N	GH	15195447
19825	67	1995-04-05	PRIJEM	PREVOD Z UCTU	41490	74327	\N	GH	15195447
19826	67	1995-05-05	PRIJEM	PREVOD Z UCTU	41490	86849	\N	GH	15195447
19827	67	1995-06-05	PRIJEM	PREVOD Z UCTU	62235	100152	\N	GH	15195447
19828	67	1995-07-05	PRIJEM	PREVOD Z UCTU	41490	59087	\N	GH	15195447
19829	67	1995-08-05	PRIJEM	PREVOD Z UCTU	41490	79760	\N	GH	15195447
19830	67	1995-09-05	PRIJEM	PREVOD Z UCTU	41490	73583	\N	GH	15195447
19831	67	1995-10-05	PRIJEM	PREVOD Z UCTU	41490	85228	\N	GH	15195447
19832	67	1995-11-05	PRIJEM	PREVOD Z UCTU	41490	85068	\N	GH	15195447
19833	67	1995-12-05	PRIJEM	PREVOD Z UCTU	62235	89069	\N	GH	15195447
19834	67	1996-01-05	PRIJEM	PREVOD Z UCTU	41490	82346	\N	GH	15195447
19835	67	1996-02-05	PRIJEM	PREVOD Z UCTU	41490	91307	\N	GH	15195447
19836	67	1996-03-05	PRIJEM	PREVOD Z UCTU	41490	65903	\N	GH	15195447
19837	67	1996-04-05	PRIJEM	PREVOD Z UCTU	41490	64131	\N	GH	15195447
19838	67	1996-05-05	PRIJEM	PREVOD Z UCTU	41490	65179	\N	GH	15195447
19839	67	1996-06-05	PRIJEM	PREVOD Z UCTU	62235	92174	\N	GH	15195447
19840	67	1996-07-05	PRIJEM	PREVOD Z UCTU	41490	80471	\N	GH	15195447
19841	67	1996-08-05	PRIJEM	PREVOD Z UCTU	41490	68220	\N	GH	15195447
19842	67	1996-09-05	PRIJEM	PREVOD Z UCTU	41490	75783	\N	GH	15195447
19843	67	1996-10-05	PRIJEM	PREVOD Z UCTU	41490	80577	\N	GH	15195447
19844	67	1996-11-05	PRIJEM	PREVOD Z UCTU	41490	62645	\N	GH	15195447
19845	67	1996-12-05	PRIJEM	PREVOD Z UCTU	62235	94947	\N	GH	15195447
19846	67	1997-01-05	PRIJEM	PREVOD Z UCTU	41490	76761	\N	GH	15195447
19847	67	1997-02-05	PRIJEM	PREVOD Z UCTU	41490	70650	\N	GH	15195447
19848	67	1997-03-05	PRIJEM	PREVOD Z UCTU	41490	75755	\N	GH	15195447
19849	67	1997-04-05	PRIJEM	PREVOD Z UCTU	41490	71869	\N	GH	15195447
19850	67	1997-05-05	PRIJEM	PREVOD Z UCTU	41490	67017	\N	GH	15195447
19851	67	1997-06-05	PRIJEM	PREVOD Z UCTU	62235	89289	\N	GH	15195447
19852	67	1997-07-05	PRIJEM	PREVOD Z UCTU	41490	66073	\N	GH	15195447
19853	67	1997-08-05	PRIJEM	PREVOD Z UCTU	41490	73354	\N	GH	15195447
19854	67	1997-09-05	PRIJEM	PREVOD Z UCTU	41490	81900	\N	GH	15195447
19855	67	1997-10-05	PRIJEM	PREVOD Z UCTU	41490	75603	\N	GH	15195447
19856	67	1997-11-05	PRIJEM	PREVOD Z UCTU	41490	78581	\N	GH	15195447
19857	67	1997-12-05	PRIJEM	PREVOD Z UCTU	62235	98044	\N	GH	15195447
19858	67	1998-01-05	PRIJEM	PREVOD Z UCTU	41490	85254	\N	GH	15195447
19859	67	1998-02-05	PRIJEM	PREVOD Z UCTU	41490	89767	\N	GH	15195447
19860	67	1998-03-05	PRIJEM	PREVOD Z UCTU	41490	98359	\N	GH	15195447
19861	67	1998-04-05	PRIJEM	PREVOD Z UCTU	41490	106740	\N	GH	15195447
19862	67	1998-05-05	PRIJEM	PREVOD Z UCTU	41490	106856	\N	GH	15195447
19863	67	1998-06-05	PRIJEM	PREVOD Z UCTU	62235	134939	\N	GH	15195447
19864	67	1998-07-05	PRIJEM	PREVOD Z UCTU	41490	92643	\N	GH	15195447
19865	67	1998-08-05	PRIJEM	PREVOD Z UCTU	41490	103108	\N	GH	15195447
19866	67	1998-09-05	PRIJEM	PREVOD Z UCTU	41490	112375	\N	GH	15195447
19867	67	1998-10-05	PRIJEM	PREVOD Z UCTU	41490	110461	\N	GH	15195447
19868	67	1998-11-05	PRIJEM	PREVOD Z UCTU	41490	91473	\N	GH	15195447
19869	67	1998-12-05	PRIJEM	PREVOD Z UCTU	62235	127579	\N	GH	15195447
19884	67	1995-03-26	VYDAJ	VYBER	6900	32632	\N	\N	0
19885	67	1995-03-25	VYDAJ	VYBER	7300	39532	\N	\N	0
19886	67	1995-05-21	VYDAJ	VYBER	8700	43111	\N	\N	0
19887	67	1995-05-31	VYDAJ	VYBER	5400	37917	\N	\N	0
19888	67	1995-06-27	VYDAJ	VYBER	5800	17414	\N	\N	0
19889	67	1995-08-10	VYDAJ	VYBER	6700	73060	\N	\N	0
19890	67	1995-09-04	VYDAJ	VYBER	5900	32093	\N	\N	0
19891	67	1995-10-13	VYDAJ	VYBER	8600	70235	\N	\N	0
19892	67	1995-11-04	VYDAJ	VYBER	5600	43578	\N	\N	0
19893	67	1995-12-15	VYDAJ	VYBER	7500	48931	\N	\N	0
19894	67	1996-01-04	VYDAJ	VYBER	8300	40856	\N	\N	0
19895	67	1996-02-11	VYDAJ	VYBER	7900	83407	\N	\N	0
19896	67	1996-03-10	VYDAJ	VYBER	8000	57903	\N	\N	0
19897	67	1996-04-15	VYDAJ	VYBER	4500	30793	\N	\N	0
19898	67	1996-05-12	VYDAJ	PREVOD NA UCET	6915	36664	UVER	YZ	45128363
19899	67	1996-06-12	VYDAJ	PREVOD NA UCET	6915	47366	UVER	YZ	45128363
19900	67	1996-07-12	VYDAJ	PREVOD NA UCET	6915	47556	UVER	YZ	45128363
19901	67	1996-08-12	VYDAJ	PREVOD NA UCET	6915	41005	UVER	YZ	45128363
19902	67	1996-09-12	VYDAJ	PREVOD NA UCET	6915	41775	UVER	YZ	45128363
19903	67	1996-10-12	VYDAJ	PREVOD NA UCET	6915	27884	UVER	YZ	45128363
19904	67	1996-11-12	VYDAJ	PREVOD NA UCET	6915	33037	UVER	YZ	45128363
19905	67	1996-12-12	VYDAJ	PREVOD NA UCET	6915	49639	UVER	YZ	45128363
19906	67	1997-01-12	VYDAJ	PREVOD NA UCET	6915	44546	UVER	YZ	45128363
19907	67	1997-02-12	VYDAJ	PREVOD NA UCET	6915	34542	UVER	YZ	45128363
19908	67	1997-03-12	VYDAJ	PREVOD NA UCET	6915	43140	UVER	YZ	45128363
19909	67	1997-04-12	VYDAJ	PREVOD NA UCET	6915	36461	UVER	YZ	45128363
19910	67	1997-05-12	VYDAJ	PREVOD NA UCET	6915	27392	UVER	YZ	45128363
19911	67	1997-06-12	VYDAJ	PREVOD NA UCET	6915	47468	UVER	YZ	45128363
19912	67	1997-07-12	VYDAJ	PREVOD NA UCET	6915	45858	UVER	YZ	45128363
19913	67	1997-08-12	VYDAJ	PREVOD NA UCET	6915	60046	UVER	YZ	45128363
19914	67	1997-09-12	VYDAJ	PREVOD NA UCET	6915	74985	UVER	YZ	45128363
19915	67	1997-10-12	VYDAJ	PREVOD NA UCET	6915	52042	UVER	YZ	45128363
19916	67	1997-11-12	VYDAJ	PREVOD NA UCET	6915	49655	UVER	YZ	45128363
19917	67	1997-12-12	VYDAJ	PREVOD NA UCET	6915	91129	UVER	YZ	45128363
19918	67	1998-01-12	VYDAJ	PREVOD NA UCET	6915	78339	UVER	YZ	45128363
19919	67	1998-02-12	VYDAJ	PREVOD NA UCET	6915	76459	UVER	YZ	45128363
19920	67	1998-03-12	VYDAJ	PREVOD NA UCET	6915	91444	UVER	YZ	45128363
19921	67	1998-04-12	VYDAJ	PREVOD NA UCET	6915	99825	UVER	YZ	45128363
19922	67	1998-05-14	VYDAJ	VYBER	5900	94118	\N	\N	0
19923	67	1998-06-05	VYDAJ	VYBER	6000	128939	\N	\N	0
19924	67	1998-07-01	VYDAJ	VYBER	7600	51153	\N	\N	0
19925	67	1998-08-18	VYDAJ	VYBER	4700	91570	\N	\N	0
19926	67	1998-09-19	VYDAJ	VYBER	8800	85337	\N	\N	0
19927	67	1998-10-14	VYDAJ	VYBER	5500	98123	\N	\N	0
19928	67	1998-11-16	VYDAJ	VYBER	8700	75935	\N	\N	0
19929	67	1998-12-10	VYDAJ	VYBER	6900	55279	\N	\N	0
19944	67	1995-03-12	VYDAJ	PREVOD NA UCET	6393	59277	SIPO	YZ	57342255
19945	67	1995-04-12	VYDAJ	PREVOD NA UCET	6393	67934	SIPO	YZ	57342255
19946	67	1995-05-12	VYDAJ	PREVOD NA UCET	6393	71756	SIPO	YZ	57342255
19947	67	1995-06-12	VYDAJ	PREVOD NA UCET	6393	53059	SIPO	YZ	57342255
19948	67	1995-07-12	VYDAJ	PREVOD NA UCET	6393	52694	SIPO	YZ	57342255
19949	67	1995-08-12	VYDAJ	PREVOD NA UCET	6393	66667	SIPO	YZ	57342255
19950	67	1995-09-12	VYDAJ	PREVOD NA UCET	6393	61490	SIPO	YZ	57342255
19951	67	1995-10-12	VYDAJ	PREVOD NA UCET	6393	78835	SIPO	YZ	57342255
19952	67	1995-11-12	VYDAJ	PREVOD NA UCET	6393	78675	SIPO	YZ	57342255
19953	67	1995-12-12	VYDAJ	PREVOD NA UCET	6393	82676	SIPO	YZ	57342255
19954	67	1996-01-12	VYDAJ	PREVOD NA UCET	6393	72237	SIPO	YZ	57342255
19955	67	1996-02-12	VYDAJ	PREVOD NA UCET	6393	42114	SIPO	YZ	57342255
19956	67	1996-03-12	VYDAJ	PREVOD NA UCET	6393	51510	SIPO	YZ	57342255
19957	67	1996-04-12	VYDAJ	PREVOD NA UCET	6393	35738	SIPO	YZ	57342255
19958	67	1996-05-12	VYDAJ	PREVOD NA UCET	6393	30271	SIPO	YZ	57342255
19959	67	1996-06-12	VYDAJ	PREVOD NA UCET	6393	54281	SIPO	YZ	57342255
19960	67	1996-07-12	VYDAJ	PREVOD NA UCET	6393	41163	SIPO	YZ	57342255
19961	67	1996-08-12	VYDAJ	PREVOD NA UCET	6393	34612	SIPO	YZ	57342255
19962	67	1996-09-12	VYDAJ	PREVOD NA UCET	6393	48690	SIPO	YZ	57342255
19963	67	1996-10-12	VYDAJ	PREVOD NA UCET	6393	21491	SIPO	YZ	57342255
19964	67	1996-11-12	VYDAJ	PREVOD NA UCET	6393	39952	SIPO	YZ	57342255
19965	67	1996-12-12	VYDAJ	PREVOD NA UCET	6393	56554	SIPO	YZ	57342255
19966	67	1997-01-12	VYDAJ	PREVOD NA UCET	6393	38153	SIPO	YZ	57342255
19967	67	1997-02-12	VYDAJ	PREVOD NA UCET	6393	41457	SIPO	YZ	57342255
19968	67	1997-03-12	VYDAJ	PREVOD NA UCET	6393	36747	SIPO	YZ	57342255
19969	67	1997-04-12	VYDAJ	PREVOD NA UCET	6393	43376	SIPO	YZ	57342255
19970	67	1997-05-12	VYDAJ	PREVOD NA UCET	6393	34307	SIPO	YZ	57342255
19971	67	1997-06-12	VYDAJ	PREVOD NA UCET	6393	41075	SIPO	YZ	57342255
19972	67	1997-07-12	VYDAJ	PREVOD NA UCET	6393	39465	SIPO	YZ	57342255
19973	67	1997-08-12	VYDAJ	PREVOD NA UCET	6393	66961	SIPO	YZ	57342255
19974	67	1997-09-12	VYDAJ	PREVOD NA UCET	6393	68592	SIPO	YZ	57342255
19975	67	1997-10-12	VYDAJ	PREVOD NA UCET	6393	45649	SIPO	YZ	57342255
19976	67	1997-11-12	VYDAJ	PREVOD NA UCET	6393	43262	SIPO	YZ	57342255
19977	67	1997-12-12	VYDAJ	PREVOD NA UCET	6393	84736	SIPO	YZ	57342255
19978	67	1998-01-12	VYDAJ	PREVOD NA UCET	6393	71946	SIPO	YZ	57342255
19979	67	1998-02-12	VYDAJ	PREVOD NA UCET	6393	83374	SIPO	YZ	57342255
19980	67	1998-03-12	VYDAJ	PREVOD NA UCET	6393	85051	SIPO	YZ	57342255
19981	67	1998-04-12	VYDAJ	PREVOD NA UCET	6393	93432	SIPO	YZ	57342255
19982	67	1998-05-12	VYDAJ	PREVOD NA UCET	6393	100463	SIPO	YZ	57342255
19983	67	1998-06-12	VYDAJ	PREVOD NA UCET	6393	76046	SIPO	YZ	57342255
19984	67	1998-07-12	VYDAJ	PREVOD NA UCET	6393	82745	SIPO	YZ	57342255
19985	67	1998-08-12	VYDAJ	PREVOD NA UCET	6393	96715	SIPO	YZ	57342255
19986	67	1998-09-12	VYDAJ	PREVOD NA UCET	6393	94582	SIPO	YZ	57342255
19987	67	1998-10-12	VYDAJ	PREVOD NA UCET	6393	104068	SIPO	YZ	57342255
19988	67	1998-11-12	VYDAJ	PREVOD NA UCET	6393	85080	SIPO	YZ	57342255
19989	67	1998-12-12	VYDAJ	PREVOD NA UCET	6393	48886	SIPO	YZ	57342255
20004	67	1995-03-13	VYDAJ	PREVOD NA UCET	445	58832	 	UV	59079301
20005	67	1995-04-13	VYDAJ	PREVOD NA UCET	445	67489	 	UV	59079301
20006	67	1995-05-13	VYDAJ	PREVOD NA UCET	445	71311	 	UV	59079301
20007	67	1995-06-13	VYDAJ	PREVOD NA UCET	445	52614	 	UV	59079301
20008	67	1995-07-13	VYDAJ	PREVOD NA UCET	445	52249	 	UV	59079301
20009	67	1995-08-13	VYDAJ	PREVOD NA UCET	445	66222	 	UV	59079301
20010	67	1995-09-13	VYDAJ	PREVOD NA UCET	445	61045	 	UV	59079301
20011	67	1995-10-13	VYDAJ	PREVOD NA UCET	445	69790	 	UV	59079301
20012	67	1995-11-13	VYDAJ	PREVOD NA UCET	445	78230	 	UV	59079301
20013	67	1995-12-13	VYDAJ	PREVOD NA UCET	445	56431	 	UV	59079301
20014	67	1996-01-13	VYDAJ	PREVOD NA UCET	445	49592	 	UV	59079301
20015	67	1996-02-13	VYDAJ	PREVOD NA UCET	445	41669	 	UV	59079301
20016	67	1996-03-13	VYDAJ	PREVOD NA UCET	445	37065	 	UV	59079301
20017	67	1996-04-13	VYDAJ	PREVOD NA UCET	445	35293	 	UV	59079301
20018	67	1996-05-13	VYDAJ	PREVOD NA UCET	445	29826	 	UV	59079301
20019	67	1996-06-13	VYDAJ	PREVOD NA UCET	445	46921	 	UV	59079301
20020	67	1996-07-13	VYDAJ	PREVOD NA UCET	445	40718	 	UV	59079301
20021	67	1996-08-13	VYDAJ	PREVOD NA UCET	445	34167	 	UV	59079301
20022	67	1996-09-13	VYDAJ	PREVOD NA UCET	445	41330	 	UV	59079301
20023	67	1996-10-13	VYDAJ	PREVOD NA UCET	445	21046	 	UV	59079301
20024	67	1996-11-13	VYDAJ	PREVOD NA UCET	445	32592	 	UV	59079301
20025	67	1996-12-13	VYDAJ	PREVOD NA UCET	445	49194	 	UV	59079301
20026	67	1997-01-13	VYDAJ	PREVOD NA UCET	445	37708	 	UV	59079301
20027	67	1997-02-13	VYDAJ	PREVOD NA UCET	445	34097	 	UV	59079301
20028	67	1997-03-13	VYDAJ	PREVOD NA UCET	445	36302	 	UV	59079301
20029	67	1997-04-13	VYDAJ	PREVOD NA UCET	445	36016	 	UV	59079301
20030	67	1997-05-13	VYDAJ	PREVOD NA UCET	445	26947	 	UV	59079301
20031	67	1997-06-13	VYDAJ	PREVOD NA UCET	445	40630	 	UV	59079301
20032	67	1997-07-13	VYDAJ	PREVOD NA UCET	445	39020	 	UV	59079301
20033	67	1997-08-13	VYDAJ	PREVOD NA UCET	445	59601	 	UV	59079301
20034	67	1997-09-13	VYDAJ	PREVOD NA UCET	445	46196	 	UV	59079301
20035	67	1997-10-13	VYDAJ	PREVOD NA UCET	445	45204	 	UV	59079301
20036	67	1997-11-13	VYDAJ	PREVOD NA UCET	445	42817	 	UV	59079301
20037	67	1997-12-13	VYDAJ	PREVOD NA UCET	445	84291	 	UV	59079301
20038	67	1998-01-13	VYDAJ	PREVOD NA UCET	445	71501	 	UV	59079301
20039	67	1998-02-13	VYDAJ	PREVOD NA UCET	445	76014	 	UV	59079301
20040	67	1998-03-13	VYDAJ	PREVOD NA UCET	445	84606	 	UV	59079301
20041	67	1998-04-13	VYDAJ	PREVOD NA UCET	445	92987	 	UV	59079301
20042	67	1998-05-13	VYDAJ	PREVOD NA UCET	445	100018	 	UV	59079301
20043	67	1998-06-13	VYDAJ	PREVOD NA UCET	445	75601	 	UV	59079301
20044	67	1998-07-13	VYDAJ	PREVOD NA UCET	445	82300	 	UV	59079301
20045	67	1998-08-13	VYDAJ	PREVOD NA UCET	445	96270	 	UV	59079301
20046	67	1998-09-13	VYDAJ	PREVOD NA UCET	445	94137	 	UV	59079301
20047	67	1998-10-13	VYDAJ	PREVOD NA UCET	445	103623	 	UV	59079301
20048	67	1998-11-13	VYDAJ	PREVOD NA UCET	445	84635	 	UV	59079301
20049	67	1998-12-13	VYDAJ	PREVOD NA UCET	445	48441	 	UV	59079301
20060	67	1996-01-10	VYBER	VYBER	3716	78630	\N	\N	\N
20061	67	1996-03-04	VYBER	VYBER	17427	24413	\N	\N	\N
20062	67	1996-03-20	VYBER	VYBER	14570	22495	\N	\N	\N
20063	67	1996-07-25	VYBER	VYBER	14131	26587	\N	\N	\N
20064	67	1996-10-05	VYBER	VYBER	19150	61427	\N	\N	\N
20065	67	1996-10-07	VYBER	VYBER	18528	42899	\N	\N	\N
20066	67	1996-04-26	VYBER	VYBER	3303	23590	\N	\N	\N
20070	67	1997-11-10	VYBER	VYBER	22011	56570	\N	\N	\N
20071	67	1997-12-21	VYBER	VYBER	17910	57681	\N	\N	\N
20072	67	1997-10-05	VYBER	VYBER	7646	67957	\N	\N	\N
20074	67	1997-03-16	VYBER	VYBER	6054	30248	\N	\N	\N
20075	67	1997-04-15	VYBER	VYBER	10607	25409	\N	\N	\N
20078	67	1997-08-02	VYBER	VYBER	13407	25764	\N	\N	\N
20079	67	1997-05-06	VYBER	VYBER	18317	48700	\N	\N	\N
20080	67	1997-09-13	VYBER	VYBER	21951	46641	\N	\N	\N
20083	67	1997-06-09	VYBER	VYBER	4306	54383	\N	\N	\N
20084	67	1998-11-01	VYBER	VYBER	21205	49983	\N	\N	\N
20085	67	1998-12-21	VYBER	VYBER	4150	39491	\N	\N	\N
20086	67	1998-07-12	VYBER	VYBER	3505	89138	\N	\N	\N
20087	67	1998-10-26	VYBER	VYBER	4868	93255	\N	\N	\N
20089	67	1995-12-02	VYDAJ	VYBER	7500	26834	\N	\N	\N
20090	67	1996-12-30	VYDAJ	VYBER	6900	35094	\N	\N	\N
20091	67	1997-12-17	VYDAJ	VYBER	8700	75591	\N	\N	\N
20092	67	1998-12-14	VYDAJ	VYBER	4800	43641	\N	\N	\N
20099	67	1995-05-09	VYDAJ	VYBER	8700	78149	\N	\N	\N
20100	67	1995-11-18	VYDAJ	VYBER	12900	37130	\N	\N	\N
20101	67	1995-08-21	VYDAJ	VYBER	6900	37822	\N	\N	\N
20102	67	1995-09-06	VYDAJ	VYBER	5700	67883	\N	\N	\N
20103	67	1995-06-17	VYDAJ	VYBER	13500	23214	\N	\N	\N
20104	67	1995-11-21	VYDAJ	VYBER	3000	34130	\N	\N	\N
20105	67	1996-09-29	VYDAJ	VYBER	2400	38930	\N	\N	\N
20106	67	1996-06-27	VYDAJ	VYBER	8100	38821	\N	\N	\N
20107	67	1996-05-09	VYDAJ	VYBER	4800	60379	\N	\N	\N
20108	67	1996-04-24	VYDAJ	VYBER	3900	26893	\N	\N	\N
20109	67	1996-12-25	VYDAJ	VYBER	7200	41994	\N	\N	\N
20110	67	1997-06-29	VYDAJ	VYBER	11400	24430	\N	\N	\N
20111	67	1997-02-04	VYDAJ	VYBER	8700	29160	\N	\N	\N
20112	67	1997-10-06	VYDAJ	VYBER	9000	58957	\N	\N	\N
20113	67	1997-06-23	VYDAJ	VYBER	4800	35830	\N	\N	\N
20114	67	1997-08-15	VYDAJ	VYBER	10800	48801	\N	\N	\N
20115	67	1998-12-07	VYDAJ	VYBER	3900	62179	\N	\N	\N
20116	67	1998-09-08	VYDAJ	VYBER	11400	100975	\N	\N	\N
20117	67	1998-01-21	VYDAJ	VYBER	5700	65801	\N	\N	\N
20133	67	1995-03-31	VYDAJ	VYBER	15	32837	SLUZBY	\N	\N
20134	67	1995-04-30	VYDAJ	VYBER	15	45359	SLUZBY	\N	\N
20135	67	1995-05-31	VYDAJ	VYBER	15	43317	SLUZBY	\N	\N
20136	67	1995-06-30	VYDAJ	VYBER	15	17597	SLUZBY	\N	\N
20137	67	1995-07-31	VYDAJ	VYBER	15	38270	SLUZBY	\N	\N
20138	67	1995-08-31	VYDAJ	VYBER	15	37993	SLUZBY	\N	\N
20139	67	1995-09-30	VYDAJ	VYBER	15	43738	SLUZBY	\N	\N
20140	67	1995-10-31	VYDAJ	VYBER	15	49178	SLUZBY	\N	\N
20141	67	1995-11-30	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
20142	67	1995-12-31	VYDAJ	VYBER	15	49156	SLUZBY	\N	\N
20143	67	1996-01-31	VYDAJ	VYBER	15	49817	SLUZBY	\N	\N
20144	67	1996-02-29	VYDAJ	VYBER	15	41840	SLUZBY	\N	\N
20145	67	1996-03-31	VYDAJ	VYBER	15	22641	SLUZBY	\N	\N
20146	67	1996-04-30	VYDAJ	VYBER	15	23689	SLUZBY	\N	\N
20147	67	1996-05-31	VYDAJ	VYBER	15	29939	SLUZBY	\N	\N
20148	67	1996-06-30	VYDAJ	VYBER	15	38981	SLUZBY	\N	\N
20149	67	1996-07-31	VYDAJ	VYBER	15	26730	SLUZBY	\N	\N
20150	67	1996-08-31	VYDAJ	VYBER	15	34293	SLUZBY	\N	\N
20151	67	1996-09-30	VYDAJ	VYBER	15	39087	SLUZBY	\N	\N
20152	67	1996-10-31	VYDAJ	VYBER	15	21155	SLUZBY	\N	\N
20153	67	1996-11-30	VYDAJ	VYBER	15	32712	SLUZBY	\N	\N
20154	67	1996-12-31	VYDAJ	VYBER	15	35271	SLUZBY	\N	\N
20155	67	1997-01-31	VYDAJ	VYBER	15	37860	SLUZBY	\N	\N
20156	67	1997-02-28	VYDAJ	VYBER	15	34265	SLUZBY	\N	\N
20157	67	1997-03-31	VYDAJ	VYBER	15	30379	SLUZBY	\N	\N
20158	67	1997-04-30	VYDAJ	VYBER	15	25527	SLUZBY	\N	\N
20159	67	1997-05-31	VYDAJ	VYBER	15	27054	SLUZBY	\N	\N
20160	67	1997-06-30	VYDAJ	VYBER	15	24583	SLUZBY	\N	\N
20161	67	1997-07-31	VYDAJ	VYBER	15	39171	SLUZBY	\N	\N
20162	67	1997-08-31	VYDAJ	VYBER	15	49010	SLUZBY	\N	\N
20163	67	1997-09-30	VYDAJ	VYBER	15	46413	SLUZBY	\N	\N
20164	67	1997-10-31	VYDAJ	VYBER	15	45391	SLUZBY	\N	\N
20165	67	1997-11-30	VYDAJ	VYBER	15	43009	SLUZBY	\N	\N
20166	67	1997-12-31	VYDAJ	VYBER	15	57964	SLUZBY	\N	\N
20167	67	1998-01-31	VYDAJ	VYBER	15	66077	SLUZBY	\N	\N
20168	67	1998-02-28	VYDAJ	VYBER	15	76269	SLUZBY	\N	\N
20169	67	1998-03-31	VYDAJ	VYBER	15	84950	SLUZBY	\N	\N
20170	67	1998-04-30	VYDAJ	VYBER	15	93366	SLUZBY	\N	\N
20171	67	1998-05-31	VYDAJ	VYBER	15	72704	SLUZBY	\N	\N
20172	67	1998-06-30	VYDAJ	VYBER	15	75953	SLUZBY	\N	\N
20173	67	1998-07-31	VYDAJ	VYBER	15	61618	SLUZBY	\N	\N
20174	67	1998-08-31	VYDAJ	VYBER	15	70885	SLUZBY	\N	\N
20175	67	1998-09-30	VYDAJ	VYBER	15	68971	SLUZBY	\N	\N
20176	67	1998-10-31	VYDAJ	VYBER	15	71188	SLUZBY	\N	\N
20177	67	1998-11-30	VYDAJ	VYBER	15	65344	SLUZBY	\N	\N
20178	67	1994-11-18	VYDAJ	VYBER	10200	31990	\N	\N	\N
20179	67	1994-12-18	VYDAJ	VYBER	34300	59983	\N	\N	\N
20180	67	1995-01-17	VYDAJ	VYBER	36800	64859	\N	\N	\N
20181	67	1995-02-16	VYDAJ	VYBER	41300	65309	\N	\N	\N
20182	67	1995-03-05	VYDAJ	VYBER	41400	65670	\N	\N	\N
20183	67	1995-03-18	VYDAJ	VYBER	12000	46832	\N	\N	\N
20184	67	1995-04-17	VYDAJ	VYBER	22300	45189	\N	\N	\N
20185	67	1995-05-17	VYDAJ	VYBER	19500	51811	\N	\N	\N
20186	67	1995-06-05	VYDAJ	VYBER	40700	59452	\N	\N	\N
20187	67	1995-06-16	VYDAJ	VYBER	15900	36714	\N	\N	\N
20188	67	1995-07-16	VYDAJ	VYBER	14100	38149	\N	\N	\N
20189	67	1995-08-15	VYDAJ	VYBER	21500	44722	\N	\N	\N
20190	67	1995-09-14	VYDAJ	VYBER	17500	43545	\N	\N	\N
20191	67	1995-10-14	VYDAJ	VYBER	20800	48990	\N	\N	\N
20192	67	1995-11-13	VYDAJ	VYBER	28200	50030	\N	\N	\N
20193	67	1995-12-13	VYDAJ	VYBER	25800	56876	\N	\N	\N
20194	67	1996-01-12	VYDAJ	VYBER	22200	50037	\N	\N	\N
20195	67	1996-02-11	VYDAJ	VYBER	34900	48507	\N	\N	\N
20196	67	1996-03-12	VYDAJ	VYBER	14000	37510	\N	\N	\N
20197	67	1996-04-11	VYDAJ	VYBER	22000	42131	\N	\N	\N
20198	67	1996-05-11	VYDAJ	VYBER	16800	43579	\N	\N	\N
20199	67	1996-06-10	VYDAJ	VYBER	31500	60674	\N	\N	\N
20200	67	1996-07-10	VYDAJ	VYBER	26000	54471	\N	\N	\N
20201	67	1996-08-09	VYDAJ	VYBER	20300	47920	\N	\N	\N
20202	67	1996-09-08	VYDAJ	VYBER	20700	55083	\N	\N	\N
20203	67	1996-10-08	VYDAJ	VYBER	8100	34799	\N	\N	\N
20204	67	1996-11-07	VYDAJ	VYBER	16300	46345	\N	\N	\N
20205	67	1996-12-07	VYDAJ	VYBER	32000	62947	\N	\N	\N
20206	67	1997-01-06	VYDAJ	VYBER	25300	51461	\N	\N	\N
20207	67	1997-02-05	VYDAJ	VYBER	22800	47850	\N	\N	\N
20208	67	1997-03-07	VYDAJ	VYBER	25700	50055	\N	\N	\N
20209	67	1997-04-06	VYDAJ	VYBER	22100	49769	\N	\N	\N
20210	67	1997-05-06	VYDAJ	VYBER	8000	40700	\N	\N	\N
20211	67	1997-06-05	VYDAJ	VYBER	30600	58689	\N	\N	\N
20212	67	1997-07-05	VYDAJ	VYBER	13300	52773	\N	\N	\N
20213	67	1997-08-04	PRIJEM	VKLAD	6100	31864	\N	\N	\N
20214	67	1997-09-03	VYDAJ	VYBER	8600	40410	\N	\N	\N
20215	67	1997-10-03	VYDAJ	VYBER	12300	34113	\N	\N	\N
20216	67	1997-11-02	VYDAJ	VYBER	8300	37091	\N	\N	\N
20217	67	1997-12-02	VYDAJ	VYBER	7200	35809	\N	\N	\N
20218	67	1998-01-01	VYDAJ	VYBER	14200	43764	\N	\N	\N
20219	67	1998-01-31	VYDAJ	VYBER	17800	48277	\N	\N	\N
20220	67	1998-03-02	VYDAJ	VYBER	19400	56869	\N	\N	\N
20221	67	1998-04-01	VYDAJ	VYBER	19700	65250	\N	\N	\N
20222	67	1998-05-01	VYDAJ	VYBER	28000	65366	\N	\N	\N
20223	67	1998-05-31	VYDAJ	VYBER	21800	72719	\N	\N	\N
20224	67	1998-06-05	VYDAJ	VYBER	15400	113539	\N	\N	\N
20225	67	1998-06-12	VYDAJ	VYBER	31100	82439	\N	\N	\N
20226	67	1998-06-30	VYDAJ	VYBER	17200	58753	\N	\N	\N
20227	67	1998-07-30	VYDAJ	VYBER	21000	61300	\N	\N	\N
20228	67	1998-08-29	VYDAJ	VYBER	21000	70570	\N	\N	\N
20229	67	1998-09-28	VYDAJ	VYBER	16700	68637	\N	\N	\N
20230	67	1998-10-28	VYDAJ	VYBER	22400	70855	\N	\N	\N
20231	67	1998-11-27	VYDAJ	VYBER	10900	65035	\N	\N	\N
20232	67	1998-12-05	VYDAJ	VYBER	61500	66079	\N	\N	\N
20283	68	1994-12-20	PRIJEM	VKLAD	200	200	\N	\N	\N
20296	68	1995-01-12	PRIJEM	PREVOD Z UCTU	35557	35757	\N	ST	60952126
20297	68	1995-02-12	PRIJEM	PREVOD Z UCTU	35557	64264	\N	ST	60952126
20298	68	1995-03-12	PRIJEM	PREVOD Z UCTU	35557	80868	\N	ST	60952126
20299	68	1995-04-12	PRIJEM	PREVOD Z UCTU	35557	90729	\N	ST	60952126
20300	68	1995-05-12	PRIJEM	PREVOD Z UCTU	35557	95322	\N	ST	60952126
20301	68	1995-06-12	PRIJEM	PREVOD Z UCTU	53336	104680	\N	ST	60952126
20302	68	1995-07-12	PRIJEM	PREVOD Z UCTU	35557	59220	\N	ST	60952126
20303	68	1995-08-12	PRIJEM	PREVOD Z UCTU	35557	77166	\N	ST	60952126
20304	68	1995-09-12	PRIJEM	PREVOD Z UCTU	35557	85654	\N	ST	60952126
20305	68	1995-10-12	PRIJEM	PREVOD Z UCTU	35557	59436	\N	ST	60952126
20306	68	1995-11-12	PRIJEM	PREVOD Z UCTU	35557	76866	\N	ST	60952126
20307	68	1995-12-12	PRIJEM	PREVOD Z UCTU	53336	94950	\N	ST	60952126
20308	68	1996-01-12	PRIJEM	PREVOD Z UCTU	35557	61454	\N	ST	60952126
20309	68	1996-02-12	PRIJEM	PREVOD Z UCTU	35557	67381	\N	ST	60952126
20310	68	1996-03-12	PRIJEM	PREVOD Z UCTU	35557	79524	\N	ST	60952126
20311	68	1996-04-12	PRIJEM	PREVOD Z UCTU	35557	86409	\N	ST	60952126
20312	68	1996-05-12	PRIJEM	PREVOD Z UCTU	35557	90511	\N	ST	60952126
20313	68	1996-06-12	PRIJEM	PREVOD Z UCTU	53336	112710	\N	ST	60952126
20314	68	1996-07-12	PRIJEM	PREVOD Z UCTU	35557	78632	\N	ST	60952126
20315	68	1996-08-12	PRIJEM	PREVOD Z UCTU	35557	76622	\N	ST	60952126
20316	68	1996-09-12	PRIJEM	PREVOD Z UCTU	35557	88671	\N	ST	60952126
20317	68	1996-10-12	PRIJEM	PREVOD Z UCTU	35557	85409	\N	ST	60952126
20318	68	1996-11-12	PRIJEM	PREVOD Z UCTU	35557	91106	\N	ST	60952126
20319	68	1996-12-12	PRIJEM	PREVOD Z UCTU	53336	101052	\N	ST	60952126
20320	68	1997-01-12	PRIJEM	PREVOD Z UCTU	35557	88882	\N	ST	60952126
20321	68	1997-02-12	PRIJEM	PREVOD Z UCTU	35557	64965	\N	ST	60952126
20322	68	1997-03-12	PRIJEM	PREVOD Z UCTU	35557	86470	\N	ST	60952126
20323	68	1997-04-12	PRIJEM	PREVOD Z UCTU	35557	95397	\N	ST	60952126
20324	68	1997-05-12	PRIJEM	PREVOD Z UCTU	35557	96220	\N	ST	60952126
20325	68	1997-06-12	PRIJEM	PREVOD Z UCTU	53336	108994	\N	ST	60952126
20326	68	1997-07-12	PRIJEM	PREVOD Z UCTU	35557	97754	\N	ST	60952126
20327	68	1997-08-12	PRIJEM	PREVOD Z UCTU	35557	97502	\N	ST	60952126
20328	68	1997-09-12	PRIJEM	PREVOD Z UCTU	35557	79255	\N	ST	60952126
20329	68	1997-10-12	PRIJEM	PREVOD Z UCTU	35557	84708	\N	ST	60952126
20330	68	1997-11-12	PRIJEM	PREVOD Z UCTU	35557	88985	\N	ST	60952126
20331	68	1997-12-12	PRIJEM	PREVOD Z UCTU	53336	113165	\N	ST	60952126
20332	68	1998-01-12	PRIJEM	PREVOD Z UCTU	35557	67904	\N	ST	60952126
20333	68	1998-02-12	PRIJEM	PREVOD Z UCTU	35557	81994	\N	ST	60952126
20334	68	1998-03-12	PRIJEM	PREVOD Z UCTU	35557	98643	\N	ST	60952126
20335	68	1998-04-12	PRIJEM	PREVOD Z UCTU	35557	98577	\N	ST	60952126
20336	68	1998-05-12	PRIJEM	PREVOD Z UCTU	35557	105223	\N	ST	60952126
20337	68	1998-06-12	PRIJEM	PREVOD Z UCTU	53336	131470	\N	ST	60952126
20338	68	1998-07-12	PRIJEM	PREVOD Z UCTU	35557	107217	\N	ST	60952126
20339	68	1998-08-12	PRIJEM	PREVOD Z UCTU	35557	118887	\N	ST	60952126
20340	68	1998-09-12	PRIJEM	PREVOD Z UCTU	35557	69346	\N	ST	60952126
20341	68	1998-10-12	PRIJEM	PREVOD Z UCTU	35557	97564	\N	ST	60952126
20342	68	1998-11-12	PRIJEM	PREVOD Z UCTU	35557	98877	\N	ST	60952126
20343	68	1998-12-12	PRIJEM	PREVOD Z UCTU	53336	112348	\N	ST	60952126
20361	68	1995-06-11	VYDAJ	PREVOD NA UCET	1705	51344	SIPO	WX	86834001
20362	68	1995-07-11	VYDAJ	PREVOD NA UCET	1705	23663	SIPO	WX	86834001
20363	68	1995-08-11	VYDAJ	PREVOD NA UCET	1705	41609	SIPO	WX	86834001
20364	68	1995-09-11	VYDAJ	PREVOD NA UCET	1705	50097	SIPO	WX	86834001
20365	68	1995-10-11	VYDAJ	PREVOD NA UCET	1705	23879	SIPO	WX	86834001
20366	68	1995-11-11	VYDAJ	PREVOD NA UCET	1705	41309	SIPO	WX	86834001
20367	68	1995-12-11	VYDAJ	PREVOD NA UCET	1705	41614	SIPO	WX	86834001
20368	68	1996-01-11	VYDAJ	PREVOD NA UCET	1705	25897	SIPO	WX	86834001
20369	68	1996-02-11	VYDAJ	PREVOD NA UCET	1705	31824	SIPO	WX	86834001
20370	68	1996-03-11	VYDAJ	PREVOD NA UCET	1705	43967	SIPO	WX	86834001
20371	68	1996-04-11	VYDAJ	PREVOD NA UCET	1705	50852	SIPO	WX	86834001
20372	68	1996-05-11	VYDAJ	PREVOD NA UCET	1705	54954	SIPO	WX	86834001
20373	68	1996-06-11	VYDAJ	PREVOD NA UCET	1705	59374	SIPO	WX	86834001
20374	68	1996-07-11	VYDAJ	PREVOD NA UCET	1705	43075	SIPO	WX	86834001
20375	68	1996-08-11	VYDAJ	PREVOD NA UCET	1705	51965	SIPO	WX	86834001
20376	68	1996-09-11	VYDAJ	PREVOD NA UCET	1705	53114	SIPO	WX	86834001
20377	68	1996-10-11	VYDAJ	PREVOD NA UCET	1705	49852	SIPO	WX	86834001
20378	68	1996-11-11	VYDAJ	PREVOD NA UCET	1705	55549	SIPO	WX	86834001
20379	68	1996-12-11	VYDAJ	PREVOD NA UCET	1705	47716	SIPO	WX	86834001
20380	68	1997-01-11	VYDAJ	PREVOD NA UCET	1705	53325	SIPO	WX	86834001
20381	68	1997-02-11	VYDAJ	PREVOD NA UCET	1705	29408	SIPO	WX	86834001
20382	68	1997-03-11	VYDAJ	PREVOD NA UCET	1705	50913	SIPO	WX	86834001
20383	68	1997-04-11	VYDAJ	PREVOD NA UCET	1705	59840	SIPO	WX	86834001
20384	68	1997-05-11	VYDAJ	PREVOD NA UCET	1705	60663	SIPO	WX	86834001
20385	68	1997-06-11	VYDAJ	PREVOD NA UCET	1705	55658	SIPO	WX	86834001
20386	68	1997-07-11	VYDAJ	PREVOD NA UCET	1705	62197	SIPO	WX	86834001
20387	68	1997-08-11	VYDAJ	PREVOD NA UCET	1705	61945	SIPO	WX	86834001
20388	68	1997-09-11	VYDAJ	PREVOD NA UCET	1705	43698	SIPO	WX	86834001
20389	68	1997-10-11	VYDAJ	PREVOD NA UCET	1705	49151	SIPO	WX	86834001
20390	68	1997-11-11	VYDAJ	PREVOD NA UCET	1705	53428	SIPO	WX	86834001
20391	68	1997-12-11	VYDAJ	PREVOD NA UCET	1705	59829	SIPO	WX	86834001
20392	68	1998-01-11	VYDAJ	PREVOD NA UCET	1705	32347	SIPO	WX	86834001
20393	68	1998-02-11	VYDAJ	PREVOD NA UCET	1705	46437	SIPO	WX	86834001
20394	68	1998-03-11	VYDAJ	PREVOD NA UCET	1705	63086	SIPO	WX	86834001
20395	68	1998-04-11	VYDAJ	PREVOD NA UCET	1705	63020	SIPO	WX	86834001
20396	68	1998-05-11	VYDAJ	PREVOD NA UCET	1705	69666	SIPO	WX	86834001
20397	68	1998-06-11	VYDAJ	PREVOD NA UCET	1705	78134	SIPO	WX	86834001
20398	68	1998-07-11	VYDAJ	PREVOD NA UCET	1705	71660	SIPO	WX	86834001
20399	68	1998-08-11	VYDAJ	PREVOD NA UCET	1705	83330	SIPO	WX	86834001
20400	68	1998-09-11	VYDAJ	PREVOD NA UCET	1705	33789	SIPO	WX	86834001
20401	68	1998-10-11	VYDAJ	PREVOD NA UCET	1705	62007	SIPO	WX	86834001
20402	68	1998-11-11	VYDAJ	PREVOD NA UCET	1705	63320	SIPO	WX	86834001
20403	68	1998-12-11	VYDAJ	PREVOD NA UCET	1705	59012	SIPO	WX	86834001
20420	68	1995-05-14	VYDAJ	PREVOD NA UCET	1186	80593	 	IJ	8292192
20421	68	1995-06-14	VYDAJ	PREVOD NA UCET	1186	64794	 	IJ	8292192
20422	68	1995-07-14	VYDAJ	PREVOD NA UCET	1186	58034	 	IJ	8292192
20423	68	1995-08-14	VYDAJ	PREVOD NA UCET	1186	75980	 	IJ	8292192
20424	68	1995-09-14	VYDAJ	PREVOD NA UCET	1186	84468	 	IJ	8292192
20425	68	1995-10-14	VYDAJ	PREVOD NA UCET	1186	58250	 	IJ	8292192
20426	68	1995-11-14	VYDAJ	PREVOD NA UCET	1186	60627	 	IJ	8292192
20427	68	1995-12-14	VYDAJ	PREVOD NA UCET	1186	91964	 	IJ	8292192
20428	68	1996-01-14	VYDAJ	PREVOD NA UCET	1186	46268	 	IJ	8292192
20429	68	1996-02-14	VYDAJ	PREVOD NA UCET	1186	45795	 	IJ	8292192
20430	68	1996-03-14	VYDAJ	PREVOD NA UCET	1186	78338	 	IJ	8292192
20431	68	1996-04-14	VYDAJ	PREVOD NA UCET	1186	56723	 	IJ	8292192
20432	68	1996-05-14	VYDAJ	PREVOD NA UCET	1186	61125	 	IJ	8292192
20433	68	1996-06-14	VYDAJ	PREVOD NA UCET	1186	57724	 	IJ	8292192
20434	68	1996-07-14	VYDAJ	PREVOD NA UCET	1186	55246	 	IJ	8292192
20435	68	1996-08-14	VYDAJ	PREVOD NA UCET	1186	75436	 	IJ	8292192
20436	68	1996-09-14	VYDAJ	PREVOD NA UCET	1186	87485	 	IJ	8292192
20437	68	1996-10-14	VYDAJ	PREVOD NA UCET	1186	84223	 	IJ	8292192
20438	68	1996-11-14	VYDAJ	PREVOD NA UCET	1186	89920	 	IJ	8292192
20439	68	1996-12-14	VYDAJ	PREVOD NA UCET	1186	99866	 	IJ	8292192
20440	68	1997-01-14	VYDAJ	PREVOD NA UCET	1186	87696	 	IJ	8292192
20441	68	1997-02-14	VYDAJ	PREVOD NA UCET	1186	63779	 	IJ	8292192
20442	68	1997-03-14	VYDAJ	PREVOD NA UCET	1186	85284	 	IJ	8292192
20443	68	1997-04-14	VYDAJ	PREVOD NA UCET	1186	94211	 	IJ	8292192
20444	68	1997-05-14	VYDAJ	PREVOD NA UCET	1186	95034	 	IJ	8292192
20445	68	1997-06-14	VYDAJ	PREVOD NA UCET	1186	107808	 	IJ	8292192
20446	68	1997-07-14	VYDAJ	PREVOD NA UCET	1186	96568	 	IJ	8292192
20447	68	1997-08-14	VYDAJ	PREVOD NA UCET	1186	96316	 	IJ	8292192
20448	68	1997-09-14	VYDAJ	PREVOD NA UCET	1186	78069	 	IJ	8292192
20449	68	1997-10-14	VYDAJ	PREVOD NA UCET	1186	83522	 	IJ	8292192
20450	68	1997-11-14	VYDAJ	PREVOD NA UCET	1186	87799	 	IJ	8292192
20451	68	1997-12-14	VYDAJ	PREVOD NA UCET	1186	61779	 	IJ	8292192
20452	68	1998-01-14	VYDAJ	PREVOD NA UCET	1186	58018	 	IJ	8292192
20453	68	1998-02-14	VYDAJ	PREVOD NA UCET	1186	80808	 	IJ	8292192
20454	68	1998-03-14	VYDAJ	PREVOD NA UCET	1186	97457	 	IJ	8292192
20455	68	1998-04-14	VYDAJ	PREVOD NA UCET	1186	97391	 	IJ	8292192
20456	68	1998-05-14	VYDAJ	PREVOD NA UCET	1186	104037	 	IJ	8292192
20457	68	1998-06-14	VYDAJ	PREVOD NA UCET	1186	93084	 	IJ	8292192
20458	68	1998-07-14	VYDAJ	PREVOD NA UCET	1186	106031	 	IJ	8292192
20459	68	1998-08-14	VYDAJ	PREVOD NA UCET	1186	56701	 	IJ	8292192
20460	68	1998-09-14	VYDAJ	PREVOD NA UCET	1186	68160	 	IJ	8292192
20461	68	1998-10-14	VYDAJ	PREVOD NA UCET	1186	96378	 	IJ	8292192
20462	68	1998-11-14	VYDAJ	PREVOD NA UCET	1186	97691	 	IJ	8292192
20463	68	1998-12-14	VYDAJ	PREVOD NA UCET	1186	111162	 	IJ	8292192
20481	68	1995-06-06	VYDAJ	PREVOD NA UCET	137	53049	POJISTNE	ST	34692824
20482	68	1995-07-06	VYDAJ	PREVOD NA UCET	137	25368	POJISTNE	ST	34692824
20483	68	1995-08-06	VYDAJ	PREVOD NA UCET	137	43375	POJISTNE	ST	34692824
20484	68	1995-09-06	VYDAJ	PREVOD NA UCET	137	51802	POJISTNE	ST	34692824
20485	68	1995-10-06	VYDAJ	PREVOD NA UCET	137	25584	POJISTNE	ST	34692824
20486	68	1995-11-06	VYDAJ	PREVOD NA UCET	137	43075	POJISTNE	ST	34692824
20487	68	1995-12-06	VYDAJ	PREVOD NA UCET	137	43380	POJISTNE	ST	34692824
20488	68	1996-01-06	VYDAJ	PREVOD NA UCET	137	30002	POJISTNE	ST	34692824
20489	68	1996-02-06	VYDAJ	PREVOD NA UCET	137	33529	POJISTNE	ST	34692824
20490	68	1996-03-06	VYDAJ	PREVOD NA UCET	137	45733	POJISTNE	ST	34692824
20491	68	1996-04-06	VYDAJ	PREVOD NA UCET	137	52557	POJISTNE	ST	34692824
20492	68	1996-05-06	VYDAJ	PREVOD NA UCET	137	56720	POJISTNE	ST	34692824
20493	68	1996-06-06	VYDAJ	PREVOD NA UCET	137	61140	POJISTNE	ST	34692824
20494	68	1996-07-06	VYDAJ	PREVOD NA UCET	137	44841	POJISTNE	ST	34692824
20495	68	1996-08-06	VYDAJ	PREVOD NA UCET	137	53670	POJISTNE	ST	34692824
20496	68	1996-09-06	VYDAJ	PREVOD NA UCET	137	75480	POJISTNE	ST	34692824
20497	68	1996-10-06	VYDAJ	PREVOD NA UCET	137	73318	POJISTNE	ST	34692824
20498	68	1996-11-06	VYDAJ	PREVOD NA UCET	137	84254	POJISTNE	ST	34692824
20499	68	1996-12-06	VYDAJ	PREVOD NA UCET	137	65482	POJISTNE	ST	34692824
20500	68	1997-01-06	VYDAJ	PREVOD NA UCET	137	92130	POJISTNE	ST	34692824
20501	68	1997-02-06	VYDAJ	PREVOD NA UCET	137	55011	POJISTNE	ST	34692824
20502	68	1997-03-06	VYDAJ	PREVOD NA UCET	137	63718	POJISTNE	ST	34692824
20503	68	1997-04-06	VYDAJ	PREVOD NA UCET	137	81445	POJISTNE	ST	34692824
20504	68	1997-05-06	VYDAJ	PREVOD NA UCET	137	88029	POJISTNE	ST	34692824
20505	68	1997-06-06	VYDAJ	PREVOD NA UCET	137	87057	POJISTNE	ST	34692824
20506	68	1997-07-06	VYDAJ	PREVOD NA UCET	137	98602	POJISTNE	ST	34692824
20507	68	1997-08-06	VYDAJ	PREVOD NA UCET	137	96711	POJISTNE	ST	34692824
20508	68	1997-09-06	VYDAJ	PREVOD NA UCET	137	45464	POJISTNE	ST	34692824
20509	68	1997-10-06	VYDAJ	PREVOD NA UCET	137	50917	POJISTNE	ST	34692824
20510	68	1997-11-06	VYDAJ	PREVOD NA UCET	137	55194	POJISTNE	ST	34692824
20511	68	1997-12-06	VYDAJ	PREVOD NA UCET	137	61534	POJISTNE	ST	34692824
20512	68	1998-01-06	VYDAJ	PREVOD NA UCET	137	45813	POJISTNE	ST	34692824
20513	68	1998-02-06	VYDAJ	PREVOD NA UCET	137	48203	POJISTNE	ST	34692824
20514	68	1998-03-06	VYDAJ	PREVOD NA UCET	137	64852	POJISTNE	ST	34692824
20515	68	1998-04-06	VYDAJ	PREVOD NA UCET	137	68625	POJISTNE	ST	34692824
20516	68	1998-05-06	VYDAJ	PREVOD NA UCET	137	71371	POJISTNE	ST	34692824
20517	68	1998-06-06	VYDAJ	PREVOD NA UCET	137	79900	POJISTNE	ST	34692824
20518	68	1998-07-06	VYDAJ	PREVOD NA UCET	137	73365	POJISTNE	ST	34692824
20519	68	1998-08-06	VYDAJ	PREVOD NA UCET	137	85096	POJISTNE	ST	34692824
20520	68	1998-09-06	VYDAJ	PREVOD NA UCET	137	46355	POJISTNE	ST	34692824
20521	68	1998-10-06	VYDAJ	PREVOD NA UCET	137	63712	POJISTNE	ST	34692824
20522	68	1998-11-06	VYDAJ	PREVOD NA UCET	137	65086	POJISTNE	ST	34692824
20523	68	1998-12-06	VYDAJ	PREVOD NA UCET	137	60717	POJISTNE	ST	34692824
20541	68	1995-06-06	VYDAJ	PREVOD NA UCET	61	53186	 	MN	92248808
20542	68	1995-07-06	VYDAJ	PREVOD NA UCET	61	25505	 	MN	92248808
20543	68	1995-08-06	VYDAJ	PREVOD NA UCET	61	43314	 	MN	92248808
20544	68	1995-09-06	VYDAJ	PREVOD NA UCET	61	51939	 	MN	92248808
20545	68	1995-10-06	VYDAJ	PREVOD NA UCET	61	25721	 	MN	92248808
20546	68	1995-11-06	VYDAJ	PREVOD NA UCET	61	43014	 	MN	92248808
20547	68	1995-12-06	VYDAJ	PREVOD NA UCET	61	43319	 	MN	92248808
20548	68	1996-01-06	VYDAJ	PREVOD NA UCET	61	30139	 	MN	92248808
20549	68	1996-02-06	VYDAJ	PREVOD NA UCET	61	33666	 	MN	92248808
20550	68	1996-03-06	VYDAJ	PREVOD NA UCET	61	45672	 	MN	92248808
20551	68	1996-04-06	VYDAJ	PREVOD NA UCET	61	52694	 	MN	92248808
20552	68	1996-05-06	VYDAJ	PREVOD NA UCET	61	56659	 	MN	92248808
20553	68	1996-06-06	VYDAJ	PREVOD NA UCET	61	61079	 	MN	92248808
20554	68	1996-07-06	VYDAJ	PREVOD NA UCET	61	44780	 	MN	92248808
20555	68	1996-08-06	VYDAJ	PREVOD NA UCET	61	53807	 	MN	92248808
20556	68	1996-09-06	VYDAJ	PREVOD NA UCET	61	75419	 	MN	92248808
20557	68	1996-10-06	VYDAJ	PREVOD NA UCET	61	73257	 	MN	92248808
20558	68	1996-11-06	VYDAJ	PREVOD NA UCET	61	84391	 	MN	92248808
20559	68	1996-12-06	VYDAJ	PREVOD NA UCET	61	65421	 	MN	92248808
20560	68	1997-01-06	VYDAJ	PREVOD NA UCET	61	92267	 	MN	92248808
20561	68	1997-02-06	VYDAJ	PREVOD NA UCET	61	54950	 	MN	92248808
20562	68	1997-03-06	VYDAJ	PREVOD NA UCET	61	63855	 	MN	92248808
20563	68	1997-04-06	VYDAJ	PREVOD NA UCET	61	81582	 	MN	92248808
20564	68	1997-05-06	VYDAJ	PREVOD NA UCET	61	87968	 	MN	92248808
20565	68	1997-06-06	VYDAJ	PREVOD NA UCET	61	86996	 	MN	92248808
20566	68	1997-07-06	VYDAJ	PREVOD NA UCET	61	98739	 	MN	92248808
20567	68	1997-08-06	VYDAJ	PREVOD NA UCET	61	63650	 	MN	92248808
20568	68	1997-09-06	VYDAJ	PREVOD NA UCET	61	45403	 	MN	92248808
20569	68	1997-10-06	VYDAJ	PREVOD NA UCET	61	50856	 	MN	92248808
20570	68	1997-11-06	VYDAJ	PREVOD NA UCET	61	55133	 	MN	92248808
20571	68	1997-12-06	VYDAJ	PREVOD NA UCET	61	61671	 	MN	92248808
20572	68	1998-01-06	VYDAJ	PREVOD NA UCET	61	45752	 	MN	92248808
20573	68	1998-02-06	VYDAJ	PREVOD NA UCET	61	48142	 	MN	92248808
20574	68	1998-03-06	VYDAJ	PREVOD NA UCET	61	64791	 	MN	92248808
20575	68	1998-04-06	VYDAJ	PREVOD NA UCET	61	68762	 	MN	92248808
20576	68	1998-05-06	VYDAJ	PREVOD NA UCET	61	71508	 	MN	92248808
20577	68	1998-06-06	VYDAJ	PREVOD NA UCET	61	79839	 	MN	92248808
20578	68	1998-07-06	VYDAJ	PREVOD NA UCET	61	73502	 	MN	92248808
20579	68	1998-08-06	VYDAJ	PREVOD NA UCET	61	85035	 	MN	92248808
20580	68	1998-09-06	VYDAJ	PREVOD NA UCET	61	46294	 	MN	92248808
20581	68	1998-10-06	VYDAJ	PREVOD NA UCET	61	63849	 	MN	92248808
20582	68	1998-11-06	VYDAJ	PREVOD NA UCET	61	65025	 	MN	92248808
20583	68	1998-12-06	VYDAJ	PREVOD NA UCET	61	60854	 	MN	92248808
20594	68	1995-11-13	VYBER	VYBER	15053	61813	\N	\N	\N
20596	68	1995-09-19	VYBER	VYBER	19787	34981	\N	\N	\N
20598	68	1995-05-13	VYBER	VYBER	13543	81779	\N	\N	\N
20599	68	1995-07-01	VYBER	VYBER	4840	37266	\N	\N	\N
20601	68	1996-01-01	VYBER	VYBER	14797	43100	\N	\N	\N
20603	68	1996-09-21	VYBER	VYBER	14250	73235	\N	\N	\N
20605	68	1996-11-26	VYBER	VYBER	18842	71078	\N	\N	\N
20606	68	1997-02-09	VYBER	VYBER	14237	31113	\N	\N	\N
20607	68	1997-09-02	VYBER	VYBER	24882	64201	\N	\N	\N
20608	68	1997-03-22	VYBER	VYBER	3854	81430	\N	\N	\N
20609	68	1997-01-29	VYBER	VYBER	16575	58821	\N	\N	\N
20610	68	1997-06-07	VYBER	VYBER	5333	81663	\N	\N	\N
20612	68	1995-12-13	VYDAJ	VYBER	1800	93150	\N	\N	\N
20613	68	1996-12-04	VYDAJ	VYBER	5700	65619	\N	\N	\N
20614	68	1997-12-30	VYDAJ	VYBER KARTOU	6600	55179	\N	\N	0
20615	68	1998-12-04	VYDAJ	VYBER KARTOU	6000	60915	\N	\N	0
20628	68	1996-01-19	VYDAJ	VYBER	2400	33668	\N	\N	\N
20629	68	1996-01-06	VYDAJ	VYBER	3600	30200	\N	\N	\N
20630	68	1996-01-10	VYDAJ	VYBER	2400	27602	\N	\N	\N
20631	68	1996-01-14	VYDAJ	VYBER	5700	40568	\N	\N	\N
20632	68	1996-01-16	VYDAJ	VYBER	4500	36068	\N	\N	\N
20633	68	1996-01-04	VYDAJ	VYBER	3000	40100	\N	\N	\N
20634	68	1997-01-08	VYDAJ	VYBER	7500	59230	\N	\N	\N
20635	68	1997-01-29	VYDAJ	VYBER	3900	54921	\N	\N	\N
20636	68	1997-01-16	VYDAJ	VYBER	8100	79596	\N	\N	\N
20637	68	1997-01-25	VYDAJ	VYBER	4200	75396	\N	\N	\N
20638	68	1997-01-04	VYDAJ	VYBER	7800	92328	\N	\N	\N
20639	68	1997-01-07	VYDAJ	VYBER	2100	90030	\N	\N	\N
20640	68	1998-01-28	VYDAJ	VYBER KARTOU	1500	56518	\N	\N	0
20641	68	1998-01-07	VYDAJ	VYBER KARTOU	3300	42452	\N	\N	0
20642	68	1998-01-11	VYDAJ	VYBER KARTOU	1500	34052	\N	\N	0
20643	68	1998-01-12	VYDAJ	VYBER	8700	59204	\N	\N	\N
20644	68	1998-01-30	VYDAJ	VYBER KARTOU	7800	48718	\N	\N	0
20645	68	1998-01-08	VYDAJ	VYBER KARTOU	6900	35552	\N	\N	0
20649	68	1995-06-21	VYDAJ	VYBER	2400	41994	\N	\N	\N
20650	68	1995-07-06	VYDAJ	VYBER	11700	25566	\N	\N	\N
20653	68	1995-09-26	VYDAJ	VYBER	9300	25681	\N	\N	\N
20654	68	1996-01-05	VYDAJ	VYBER	6300	33800	\N	\N	\N
20655	68	1996-03-19	VYDAJ	VYBER	2700	52638	\N	\N	\N
20656	68	1996-07-30	VYDAJ	VYBER	1500	53746	\N	\N	\N
20657	68	1996-07-04	VYDAJ	VYBER	12900	44978	\N	\N	\N
20658	68	1997-07-06	VYDAJ	VYBER	3600	95002	\N	\N	\N
20659	68	1997-04-24	VYDAJ	VYBER	6300	87911	\N	\N	\N
20660	68	1997-08-25	VYDAJ	VYBER	7500	88816	\N	\N	\N
20661	68	1997-09-16	VYDAJ	VYBER	6300	71769	\N	\N	\N
20662	68	1997-05-22	VYDAJ	VYBER	8100	86934	\N	\N	\N
20663	68	1997-06-17	VYDAJ	VYBER	9300	98508	\N	\N	\N
20664	68	1997-10-18	VYDAJ	VYBER	1500	82022	\N	\N	\N
20665	68	1997-01-09	VYDAJ	VYBER	4200	55030	\N	\N	\N
20666	68	1998-11-21	VYDAJ	VYBER	11100	73991	\N	\N	\N
20667	68	1998-11-03	VYDAJ	VYBER	11100	65223	\N	\N	\N
20668	68	1998-08-31	VYDAJ	VYBER	12000	46492	\N	\N	\N
20669	68	1998-08-16	VYDAJ	VYBER KARTOU	7200	49501	\N	\N	0
20670	68	1998-04-09	VYDAJ	VYBER KARTOU	3900	64725	\N	\N	0
20671	68	1998-09-09	VYDAJ	VYBER	10800	35494	\N	\N	\N
20672	68	1998-12-15	VYDAJ	VYBER	14400	96762	\N	\N	\N
20673	68	1998-11-20	VYDAJ	VYBER	12600	85091	\N	\N	\N
20674	68	1998-06-25	VYDAJ	VYBER KARTOU	3300	89784	\N	\N	0
20692	68	1995-05-31	VYDAJ	VYBER	100	53247	SLUZBY	\N	\N
20693	68	1995-06-30	VYDAJ	VYBER	100	42106	SLUZBY	\N	\N
20694	68	1995-07-31	VYDAJ	VYBER	100	43512	SLUZBY	\N	\N
20695	68	1995-08-31	VYDAJ	VYBER	100	52000	SLUZBY	\N	\N
20696	68	1995-09-30	VYDAJ	VYBER	100	25782	SLUZBY	\N	\N
20697	68	1995-10-31	VYDAJ	VYBER	100	43212	SLUZBY	\N	\N
20698	68	1995-11-30	VYDAJ	VYBER	100	43517	SLUZBY	\N	\N
20699	68	1995-12-31	VYDAJ	VYBER	100	57897	SLUZBY	\N	\N
20700	68	1996-01-31	VYDAJ	VYBER	100	33727	SLUZBY	\N	\N
20701	68	1996-02-29	VYDAJ	VYBER	100	45870	SLUZBY	\N	\N
20702	68	1996-03-31	VYDAJ	VYBER	100	52755	SLUZBY	\N	\N
20703	68	1996-04-30	VYDAJ	VYBER	100	56857	SLUZBY	\N	\N
20704	68	1996-05-31	VYDAJ	VYBER	100	61277	SLUZBY	\N	\N
20705	68	1996-06-30	VYDAJ	VYBER	100	57878	SLUZBY	\N	\N
20706	68	1996-07-31	VYDAJ	VYBER	100	53868	SLUZBY	\N	\N
20707	68	1996-08-31	VYDAJ	VYBER	100	75617	SLUZBY	\N	\N
20708	68	1996-09-30	VYDAJ	VYBER	100	73455	SLUZBY	\N	\N
20709	68	1996-10-31	VYDAJ	VYBER	100	84452	SLUZBY	\N	\N
20710	68	1996-11-30	VYDAJ	VYBER	100	71319	SLUZBY	\N	\N
20711	68	1996-12-31	VYDAJ	VYBER	100	100128	SLUZBY	\N	\N
20712	68	1997-01-31	VYDAJ	VYBER	100	55148	SLUZBY	\N	\N
20713	68	1997-02-28	VYDAJ	VYBER	100	63916	SLUZBY	\N	\N
20714	68	1997-03-31	VYDAJ	VYBER	100	81643	SLUZBY	\N	\N
20715	68	1997-04-30	VYDAJ	VYBER	100	88166	SLUZBY	\N	\N
20716	68	1997-05-31	VYDAJ	VYBER	100	87194	SLUZBY	\N	\N
20717	68	1997-06-30	VYDAJ	VYBER	100	98800	SLUZBY	\N	\N
20718	68	1997-07-31	VYDAJ	VYBER	100	96848	SLUZBY	\N	\N
20719	68	1997-08-31	VYDAJ	VYBER	100	89083	SLUZBY	\N	\N
20720	68	1997-09-30	VYDAJ	VYBER	100	71954	SLUZBY	\N	\N
20721	68	1997-10-31	VYDAJ	VYBER	100	82231	SLUZBY	\N	\N
20722	68	1997-11-30	VYDAJ	VYBER	100	88032	SLUZBY	\N	\N
20723	68	1997-12-31	VYDAJ	VYBER	100	55350	SLUZBY	\N	\N
20724	68	1998-01-31	VYDAJ	VYBER	100	48840	SLUZBY	\N	\N
20725	68	1998-02-28	VYDAJ	VYBER	100	80989	SLUZBY	\N	\N
20726	68	1998-03-31	VYDAJ	VYBER	100	97723	SLUZBY	\N	\N
20727	68	1998-04-30	VYDAJ	VYBER	100	97669	SLUZBY	\N	\N
20728	68	1998-05-31	VYDAJ	VYBER	100	104337	SLUZBY	\N	\N
20729	68	1998-06-30	VYDAJ	VYBER	100	90063	SLUZBY	\N	\N
20730	68	1998-07-31	VYDAJ	VYBER	100	106333	SLUZBY	\N	\N
20731	68	1998-08-31	VYDAJ	VYBER	100	58492	SLUZBY	\N	\N
20732	68	1998-09-30	VYDAJ	VYBER	100	63910	SLUZBY	\N	\N
20733	68	1998-10-31	VYDAJ	VYBER	100	76323	SLUZBY	\N	\N
20734	68	1998-11-30	VYDAJ	VYBER	100	66915	SLUZBY	\N	\N
20735	68	1995-01-19	VYDAJ	VYBER	7100	28657	\N	\N	\N
20736	68	1995-02-18	VYDAJ	VYBER	19100	45164	\N	\N	\N
20737	68	1995-03-20	VYDAJ	VYBER	25900	54968	\N	\N	\N
20738	68	1995-04-19	VYDAJ	VYBER	31200	59529	\N	\N	\N
20739	68	1995-05-19	VYDAJ	VYBER	27500	53093	\N	\N	\N
20740	68	1995-06-12	VYDAJ	VYBER	38700	65980	\N	\N	\N
20741	68	1995-06-18	VYDAJ	VYBER	20400	44394	\N	\N	\N
20742	68	1995-07-18	VYDAJ	VYBER	14600	43434	\N	\N	\N
20743	68	1995-08-17	VYDAJ	VYBER	24100	51880	\N	\N	\N
20744	68	1995-09-16	VYDAJ	VYBER	29700	54768	\N	\N	\N
20745	68	1995-10-16	VYDAJ	VYBER	15100	43150	\N	\N	\N
20746	68	1995-11-15	VYDAJ	VYBER	17200	43427	\N	\N	\N
20747	68	1995-12-15	VYDAJ	VYBER	34200	57764	\N	\N	\N
20748	68	1996-01-14	VYDAJ	VYBER	14000	47454	\N	\N	\N
20749	68	1996-02-13	VYDAJ	VYBER	20400	46981	\N	\N	\N
20750	68	1996-03-14	VYDAJ	VYBER	23000	55338	\N	\N	\N
20751	68	1996-04-13	VYDAJ	VYBER	28500	57909	\N	\N	\N
20752	68	1996-05-13	VYDAJ	VYBER	28200	62311	\N	\N	\N
20753	68	1996-06-12	VYDAJ	VYBER	28600	58910	\N	\N	\N
20754	68	1996-06-12	VYDAJ	VYBER	25200	87510	\N	\N	\N
20755	68	1996-07-12	VYDAJ	VYBER	22200	56432	\N	\N	\N
20756	68	1996-08-11	VYDAJ	VYBER	10900	41065	\N	\N	\N
20757	68	1996-09-10	VYDAJ	VYBER	20600	54819	\N	\N	\N
20758	68	1996-10-10	VYDAJ	VYBER	21700	51557	\N	\N	\N
20759	68	1996-11-09	VYDAJ	VYBER	27000	57254	\N	\N	\N
20760	68	1996-12-09	VYDAJ	VYBER	16000	49421	\N	\N	\N
20761	68	1997-01-08	VYDAJ	VYBER	23300	66730	\N	\N	\N
20762	68	1997-02-07	VYDAJ	VYBER	9600	45350	\N	\N	\N
20763	68	1997-03-09	VYDAJ	VYBER	11100	52618	\N	\N	\N
20764	68	1997-04-08	VYDAJ	VYBER	19900	61545	\N	\N	\N
20765	68	1997-05-08	VYDAJ	VYBER	25600	62368	\N	\N	\N
20766	68	1997-06-07	VYDAJ	VYBER	24300	57363	\N	\N	\N
20767	68	1997-07-07	VYDAJ	VYBER	31100	63902	\N	\N	\N
20768	68	1997-08-06	VYDAJ	VYBER	33000	63711	\N	\N	\N
20769	68	1997-09-05	VYDAJ	VYBER	18600	45601	\N	\N	\N
20770	68	1997-10-05	VYDAJ	VYBER	20900	51054	\N	\N	\N
20771	68	1997-11-04	VYDAJ	VYBER	26900	55331	\N	\N	\N
20772	68	1997-12-04	VYDAJ	VYBER	26300	61732	\N	\N	\N
20773	68	1997-12-12	VYDAJ	VYBER	50200	62965	\N	\N	\N
20774	68	1998-01-03	VYDAJ	VYBER	9400	45950	\N	\N	\N
20775	68	1998-02-02	VYDAJ	VYBER KARTOU	500	48340	\N	\N	0
20776	68	1998-03-04	VYDAJ	VYBER	16000	64989	\N	\N	\N
20777	68	1998-04-03	VYDAJ	VYBER	28900	68823	\N	\N	\N
20778	68	1998-05-03	VYDAJ	VYBER	26100	71569	\N	\N	\N
20779	68	1998-06-02	VYDAJ	VYBER	24300	80037	\N	\N	\N
20780	68	1998-06-12	VYDAJ	VYBER	37200	94270	\N	\N	\N
20781	68	1998-07-02	VYDAJ	VYBER	16500	73563	\N	\N	\N
20782	68	1998-08-01	VYDAJ	VYBER	21100	85233	\N	\N	\N
20783	68	1998-08-12	VYDAJ	VYBER	61000	57887	\N	\N	\N
20784	68	1998-08-31	PRIJEM	VKLAD	8800	58592	\N	\N	\N
20785	68	1998-09-30	VYDAJ	VYBER KARTOU	4400	64010	\N	\N	0
20786	68	1998-10-30	VYDAJ	VYBER	20300	76078	\N	\N	\N
20787	68	1998-11-29	VYDAJ	VYBER KARTOU	7300	66691	\N	\N	0
20836	69	1996-01-12	PRIJEM	VKLAD	600	600	\N	\N	\N
20837	69	1996-10-11	PRIJEM	VKLAD	43725	69571	\N	\N	\N
20838	69	1996-03-16	PRIJEM	VKLAD	28882	51431	\N	\N	\N
20839	69	1997-11-01	PRIJEM	VKLAD	35034	64470	\N	\N	\N
20840	69	1997-01-09	PRIJEM	VKLAD	28119	50378	\N	\N	\N
20841	69	1998-11-02	PRIJEM	VKLAD	5319	27383	\N	\N	\N
20842	69	1998-12-20	PRIJEM	VKLAD	35022	64897	\N	\N	\N
20843	69	1996-01-13	PRIJEM	VKLAD	1400	2000	\N	\N	\N
20844	69	1996-02-13	PRIJEM	VKLAD	1400	15506	\N	\N	\N
20845	69	1996-03-16	PRIJEM	VKLAD	1400	22549	\N	\N	\N
20846	69	1996-04-15	PRIJEM	VKLAD	1400	43560	\N	\N	\N
20847	69	1996-05-17	PRIJEM	VKLAD	1400	38545	\N	\N	\N
20848	69	1996-06-13	PRIJEM	VKLAD	1400	28104	\N	\N	\N
20849	69	1996-07-13	PRIJEM	VKLAD	1400	21206	\N	\N	\N
20850	69	1996-08-14	PRIJEM	VKLAD	1400	24369	\N	\N	\N
20851	69	1996-09-15	PRIJEM	VKLAD	1400	26652	\N	\N	\N
20852	69	1996-10-17	PRIJEM	VKLAD	1400	70971	\N	\N	\N
20853	69	1996-11-13	PRIJEM	VKLAD	1400	52493	\N	\N	\N
20854	69	1996-12-17	PRIJEM	VKLAD	1400	40430	\N	\N	\N
20855	69	1997-01-13	PRIJEM	VKLAD	1400	42478	\N	\N	\N
20856	69	1997-02-17	PRIJEM	VKLAD	1400	33133	\N	\N	\N
20857	69	1997-03-17	PRIJEM	VKLAD	1400	31778	\N	\N	\N
20858	69	1997-04-15	PRIJEM	VKLAD	1400	29698	\N	\N	\N
20859	69	1997-05-14	PRIJEM	VKLAD	1400	27613	\N	\N	\N
20860	69	1997-06-15	PRIJEM	VKLAD	1400	23719	\N	\N	\N
20861	69	1997-07-15	PRIJEM	VKLAD	1400	29607	\N	\N	\N
20862	69	1997-08-16	PRIJEM	VKLAD	1400	29007	\N	\N	\N
20863	69	1997-09-14	PRIJEM	VKLAD	1400	30116	\N	\N	\N
20864	69	1997-10-16	PRIJEM	VKLAD	1400	28827	\N	\N	\N
20865	69	1997-11-14	PRIJEM	VKLAD	1400	43070	\N	\N	\N
20866	69	1997-12-17	PRIJEM	VKLAD	1400	31330	\N	\N	\N
20867	69	1998-01-17	PRIJEM	VKLAD	1400	20967	\N	\N	\N
20868	69	1998-02-16	PRIJEM	VKLAD	1400	16146	\N	\N	\N
20869	69	1998-03-16	PRIJEM	VKLAD	1400	18595	\N	\N	\N
20870	69	1998-04-16	PRIJEM	VKLAD	1400	15304	\N	\N	\N
20871	69	1998-05-14	PRIJEM	VKLAD	1400	17258	\N	\N	\N
20872	69	1998-06-13	PRIJEM	VKLAD	1400	19212	\N	\N	\N
20873	69	1998-07-17	PRIJEM	VKLAD	1400	17871	\N	\N	\N
20874	69	1998-08-14	PRIJEM	VKLAD	1400	17574	\N	\N	\N
20875	69	1998-09-14	PRIJEM	VKLAD	1400	19529	\N	\N	\N
20876	69	1998-10-16	PRIJEM	VKLAD	1400	21493	\N	\N	\N
20877	69	1998-11-13	PRIJEM	VKLAD	1400	28783	\N	\N	\N
20878	69	1998-12-14	PRIJEM	VKLAD	1400	29375	\N	\N	\N
20879	69	1996-01-18	PRIJEM	VKLAD	500	2500	\N	\N	\N
20880	69	1996-02-18	PRIJEM	VKLAD	500	16006	\N	\N	\N
20881	69	1996-03-18	PRIJEM	VKLAD	500	51931	\N	\N	\N
20882	69	1996-04-18	PRIJEM	VKLAD	500	44060	\N	\N	\N
20883	69	1996-05-18	PRIJEM	VKLAD	500	39045	\N	\N	\N
20884	69	1996-06-18	PRIJEM	VKLAD	500	28604	\N	\N	\N
20885	69	1996-07-18	PRIJEM	VKLAD	500	21706	\N	\N	\N
20886	69	1996-08-18	PRIJEM	VKLAD	500	24869	\N	\N	\N
20887	69	1996-09-18	PRIJEM	VKLAD	500	27152	\N	\N	\N
20888	69	1996-10-18	PRIJEM	VKLAD	500	71471	\N	\N	\N
20889	69	1996-11-18	PRIJEM	VKLAD	500	52993	\N	\N	\N
20890	69	1996-12-18	PRIJEM	VKLAD	500	40930	\N	\N	\N
20891	69	1997-01-18	PRIJEM	VKLAD	500	42978	\N	\N	\N
20892	69	1997-02-18	PRIJEM	VKLAD	500	33633	\N	\N	\N
20893	69	1997-03-18	PRIJEM	VKLAD	500	32278	\N	\N	\N
20894	69	1997-04-18	PRIJEM	VKLAD	500	30198	\N	\N	\N
20895	69	1997-05-18	PRIJEM	VKLAD	500	28113	\N	\N	\N
20896	69	1997-06-18	PRIJEM	VKLAD	500	24219	\N	\N	\N
20897	69	1997-07-18	PRIJEM	VKLAD	500	30107	\N	\N	\N
20898	69	1997-08-18	PRIJEM	VKLAD	500	29507	\N	\N	\N
20899	69	1997-09-18	PRIJEM	VKLAD	500	30616	\N	\N	\N
20900	69	1997-10-18	PRIJEM	VKLAD	500	29327	\N	\N	\N
20901	69	1997-11-18	PRIJEM	VKLAD	500	43570	\N	\N	\N
20902	69	1997-12-18	PRIJEM	VKLAD	500	31830	\N	\N	\N
20903	69	1998-01-18	PRIJEM	VKLAD	500	21467	\N	\N	\N
20904	69	1998-02-18	PRIJEM	VKLAD	500	16646	\N	\N	\N
20905	69	1998-03-18	PRIJEM	VKLAD	500	19095	\N	\N	\N
20906	69	1998-04-18	PRIJEM	VKLAD	500	15804	\N	\N	\N
20907	69	1998-05-18	PRIJEM	VKLAD	500	17758	\N	\N	\N
20908	69	1998-06-18	PRIJEM	VKLAD	500	19712	\N	\N	\N
20909	69	1998-07-18	PRIJEM	VKLAD	500	18371	\N	\N	\N
20910	69	1998-08-18	PRIJEM	VKLAD	500	18074	\N	\N	\N
20911	69	1998-09-18	PRIJEM	VKLAD	500	20029	\N	\N	\N
20912	69	1998-10-18	PRIJEM	VKLAD	500	21993	\N	\N	\N
20913	69	1998-11-18	PRIJEM	VKLAD	500	29283	\N	\N	\N
20914	69	1998-12-18	PRIJEM	VKLAD	500	29875	\N	\N	\N
20915	69	1996-06-03	VYDAJ	VYBER	17200	22004	\N	\N	\N
20917	69	1998-06-23	VYDAJ	VYBER	3300	16412	\N	\N	\N
20919	69	1997-01-07	VYDAJ	VYBER	6700	22259	\N	\N	\N
20920	69	1998-01-27	VYDAJ	VYBER	5800	15667	\N	\N	\N
20921	69	1996-06-24	VYDAJ	VYBER	12900	14104	\N	\N	\N
20922	69	1997-06-09	VYDAJ	VYBER	4100	22319	\N	\N	\N
20925	69	1997-01-11	VYDAJ	VYBER	9300	41078	\N	\N	\N
20926	69	1998-01-10	VYDAJ	VYBER	3800	19567	\N	\N	\N
20927	69	1996-12-25	VYDAJ	VYBER	2200	37780	\N	\N	\N
20928	69	1997-12-26	VYDAJ	VYBER	1900	29930	\N	\N	\N
20929	69	1998-12-26	VYDAJ	VYBER	1600	63297	\N	\N	\N
20932	69	1996-06-20	VYDAJ	VYBER	1600	27004	\N	\N	\N
20933	69	1996-12-23	VYDAJ	VYBER	950	39980	\N	\N	\N
20934	69	1997-11-23	VYDAJ	VYBER	1050	42520	\N	\N	\N
20935	69	1997-10-15	VYDAJ	VYBER	1000	27427	\N	\N	\N
20936	69	1997-12-16	VYDAJ	VYBER	1150	29930	\N	\N	\N
20937	69	1997-01-23	VYDAJ	VYBER	1300	41678	\N	\N	\N
20938	69	1997-03-11	VYDAJ	VYBER	1300	30378	\N	\N	\N
20939	69	1998-11-22	VYDAJ	VYBER	1400	27883	\N	\N	\N
20940	69	1998-07-21	VYDAJ	VYBER	2250	16121	\N	\N	\N
20941	69	1998-03-28	VYDAJ	VYBER	1550	17545	\N	\N	\N
20945	69	1996-03-31	VYDAJ	VYBER	15	52060	SLUZBY	\N	\N
20946	69	1996-04-30	VYDAJ	VYBER	15	44245	SLUZBY	\N	\N
20947	69	1996-05-31	VYDAJ	VYBER	15	39204	SLUZBY	\N	\N
20948	69	1996-06-30	VYDAJ	VYBER	15	14206	SLUZBY	\N	\N
20949	69	1996-07-31	VYDAJ	VYBER	15	21769	SLUZBY	\N	\N
20950	69	1996-08-31	VYDAJ	VYBER	15	24952	SLUZBY	\N	\N
20951	69	1996-09-30	VYDAJ	VYBER	15	27246	SLUZBY	\N	\N
20952	69	1996-10-31	VYDAJ	VYBER	15	71693	SLUZBY	\N	\N
20953	69	1996-11-30	VYDAJ	VYBER	15	53230	SLUZBY	\N	\N
20954	69	1996-12-31	VYDAJ	VYBER	15	37959	SLUZBY	\N	\N
20955	69	1997-01-31	VYDAJ	VYBER	15	41833	SLUZBY	\N	\N
20956	69	1997-02-28	VYDAJ	VYBER	15	33778	SLUZBY	\N	\N
20957	69	1997-03-31	VYDAJ	VYBER	15	32398	SLUZBY	\N	\N
20958	69	1997-04-30	VYDAJ	VYBER	15	30313	SLUZBY	\N	\N
20959	69	1997-05-31	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
20960	69	1997-06-30	VYDAJ	VYBER	15	24307	SLUZBY	\N	\N
20961	69	1997-07-31	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
20962	69	1997-08-31	VYDAJ	VYBER	15	29616	SLUZBY	\N	\N
20963	69	1997-09-30	VYDAJ	VYBER	15	30727	SLUZBY	\N	\N
20964	69	1997-10-31	VYDAJ	VYBER	15	29436	SLUZBY	\N	\N
20965	69	1997-11-30	VYDAJ	VYBER	15	42680	SLUZBY	\N	\N
20966	69	1997-12-31	VYDAJ	VYBER	15	30067	SLUZBY	\N	\N
20967	69	1998-01-31	VYDAJ	VYBER	15	15746	SLUZBY	\N	\N
20968	69	1998-02-28	VYDAJ	VYBER	15	16695	SLUZBY	\N	\N
20969	69	1998-03-31	VYDAJ	VYBER	15	17604	SLUZBY	\N	\N
20970	69	1998-04-30	VYDAJ	VYBER	15	15858	SLUZBY	\N	\N
20971	69	1998-05-31	VYDAJ	VYBER	15	17812	SLUZBY	\N	\N
20972	69	1998-06-30	VYDAJ	VYBER	15	16471	SLUZBY	\N	\N
20973	69	1998-07-31	VYDAJ	VYBER	15	16174	SLUZBY	\N	\N
20974	69	1998-08-31	VYDAJ	VYBER	15	18129	SLUZBY	\N	\N
20975	69	1998-09-30	VYDAJ	VYBER	15	20093	SLUZBY	\N	\N
20976	69	1998-10-31	VYDAJ	VYBER	15	22064	SLUZBY	\N	\N
20977	69	1998-11-30	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
20978	69	1996-02-11	PRIJEM	VKLAD	11600	14106	\N	\N	\N
20979	69	1996-03-12	PRIJEM	VKLAD	5100	21149	\N	\N	\N
20980	69	1996-04-11	VYDAJ	VYBER	9900	42160	\N	\N	\N
20981	69	1996-05-11	VYDAJ	VYBER	7100	37145	\N	\N	\N
20982	69	1996-06-10	PRIJEM	VKLAD	4700	26704	\N	\N	\N
20983	69	1996-07-10	PRIJEM	VKLAD	5600	19806	\N	\N	\N
20984	69	1996-08-09	PRIJEM	VKLAD	1200	22969	\N	\N	\N
20985	69	1996-09-08	PRIJEM	VKLAD	300	25252	\N	\N	\N
20986	69	1996-10-08	VYDAJ	VYBER	1400	25846	\N	\N	\N
20987	69	1996-11-07	VYDAJ	VYBER	20600	51093	\N	\N	\N
20988	69	1996-12-07	VYDAJ	VYBER	14200	39030	\N	\N	\N
20989	69	1997-01-06	VYDAJ	VYBER	9000	28959	\N	\N	\N
20990	69	1997-02-05	VYDAJ	VYBER	10100	31733	\N	\N	\N
20991	69	1997-03-07	VYDAJ	VYBER	2100	31678	\N	\N	\N
20992	69	1997-04-06	VYDAJ	VYBER	4100	28298	\N	\N	\N
20993	69	1997-05-06	VYDAJ	VYBER	4100	26213	\N	\N	\N
20994	69	1997-06-05	VYDAJ	VYBER	1800	26419	\N	\N	\N
20995	69	1997-07-05	PRIJEM	VKLAD	3900	28207	\N	\N	\N
20996	69	1997-08-04	VYDAJ	VYBER	2600	27607	\N	\N	\N
20997	69	1997-09-03	VYDAJ	VYBER	900	28716	\N	\N	\N
20998	69	1997-10-03	VYDAJ	VYBER	2300	28427	\N	\N	\N
20999	69	1997-11-02	VYDAJ	VYBER	22800	41670	\N	\N	\N
21000	69	1997-12-02	VYDAJ	VYBER	11600	31080	\N	\N	\N
21001	69	1998-01-01	VYDAJ	VYBER	6700	23367	\N	\N	\N
21002	69	1998-01-31	VYDAJ	VYBER	1000	14746	\N	\N	\N
21003	69	1998-03-02	PRIJEM	VKLAD	500	17195	\N	\N	\N
21004	69	1998-04-01	VYDAJ	VYBER	3700	13904	\N	\N	\N
21041	70	1995-02-18	PRIJEM	VKLAD	500	500	\N	\N	\N
21044	70	1995-03-05	PRIJEM	VKLAD	9087	9587	\N	\N	\N
21045	70	1995-04-05	PRIJEM	VKLAD	9087	24399	\N	\N	\N
21046	70	1995-05-05	PRIJEM	VKLAD	9087	32763	\N	\N	\N
21047	70	1995-06-05	PRIJEM	VKLAD	13630	42701	\N	\N	\N
21048	70	1995-07-05	PRIJEM	VKLAD	9087	40513	\N	\N	\N
21049	70	1995-08-05	PRIJEM	VKLAD	9087	41473	\N	\N	\N
21050	70	1995-09-05	PRIJEM	VKLAD	9087	40214	\N	\N	\N
21051	70	1995-10-05	PRIJEM	VKLAD	9087	42374	\N	\N	\N
21052	70	1995-11-05	PRIJEM	VKLAD	9087	41938	\N	\N	\N
21053	70	1995-12-05	PRIJEM	VKLAD	13630	37908	\N	\N	\N
21054	70	1996-01-05	PRIJEM	VKLAD	9087	32770	\N	\N	\N
21055	70	1996-02-05	PRIJEM	VKLAD	9087	36903	\N	\N	\N
21056	70	1996-03-05	PRIJEM	VKLAD	9087	42056	\N	\N	\N
21057	70	1996-04-05	PRIJEM	VKLAD	9087	40514	\N	\N	\N
21058	70	1996-05-05	PRIJEM	VKLAD	9087	43577	\N	\N	\N
21059	70	1996-06-05	PRIJEM	VKLAD	13630	48087	\N	\N	\N
21060	70	1996-07-05	PRIJEM	VKLAD	9087	43555	\N	\N	\N
21061	70	1996-08-05	PRIJEM	VKLAD	9087	33729	\N	\N	\N
21062	70	1996-09-05	PRIJEM	VKLAD	9087	40674	\N	\N	\N
21063	70	1996-10-05	PRIJEM	VKLAD	9087	46757	\N	\N	\N
21064	70	1996-11-05	PRIJEM	VKLAD	9087	44128	\N	\N	\N
21065	70	1996-12-05	PRIJEM	VKLAD	13630	46031	\N	\N	\N
21066	70	1997-01-05	PRIJEM	VKLAD	9087	42802	\N	\N	\N
21067	70	1997-02-05	PRIJEM	VKLAD	9087	43567	\N	\N	\N
21068	70	1997-03-05	PRIJEM	VKLAD	9087	41861	\N	\N	\N
21069	70	1997-04-05	PRIJEM	VKLAD	9087	43224	\N	\N	\N
21070	70	1997-05-05	PRIJEM	VKLAD	9087	40380	\N	\N	\N
21071	70	1997-06-05	PRIJEM	VKLAD	13630	45678	\N	\N	\N
21072	70	1997-07-05	PRIJEM	VKLAD	9087	38675	\N	\N	\N
21073	70	1997-08-05	PRIJEM	VKLAD	9087	43136	\N	\N	\N
21074	70	1997-09-05	PRIJEM	VKLAD	9087	43201	\N	\N	\N
21075	70	1997-10-05	PRIJEM	VKLAD	9087	46579	\N	\N	\N
21076	70	1997-11-05	PRIJEM	VKLAD	9087	50153	\N	\N	\N
21077	70	1997-12-05	PRIJEM	VKLAD	13630	57028	\N	\N	\N
21078	70	1998-01-05	PRIJEM	VKLAD	9087	57241	\N	\N	\N
21079	70	1998-02-05	PRIJEM	VKLAD	9087	60184	\N	\N	\N
21080	70	1998-03-05	PRIJEM	VKLAD	9087	58774	\N	\N	\N
21081	70	1998-04-05	PRIJEM	VKLAD	9087	53365	\N	\N	\N
21082	70	1998-05-05	PRIJEM	VKLAD	9087	54893	\N	\N	\N
21083	70	1998-06-05	PRIJEM	VKLAD	13630	41151	\N	\N	\N
21084	70	1998-07-05	PRIJEM	VKLAD	9087	46709	\N	\N	\N
21085	70	1998-08-05	PRIJEM	VKLAD	9087	50905	\N	\N	\N
21086	70	1998-09-05	PRIJEM	VKLAD	9087	50321	\N	\N	\N
21087	70	1998-10-05	PRIJEM	VKLAD	9087	49826	\N	\N	\N
21088	70	1998-11-05	PRIJEM	VKLAD	9087	50230	\N	\N	\N
21089	70	1998-12-05	PRIJEM	VKLAD	13630	55678	\N	\N	\N
21096	70	1995-07-10	VYDAJ	PREVOD NA UCET	4150	36363	SIPO	KL	7699788
21097	70	1995-08-10	VYDAJ	PREVOD NA UCET	4150	37323	SIPO	KL	7699788
21098	70	1995-09-10	VYDAJ	PREVOD NA UCET	4150	36064	SIPO	KL	7699788
21099	70	1995-10-10	VYDAJ	PREVOD NA UCET	4150	38224	SIPO	KL	7699788
21100	70	1995-11-10	VYDAJ	PREVOD NA UCET	4150	37788	SIPO	KL	7699788
21101	70	1995-12-10	VYDAJ	PREVOD NA UCET	4150	31998	SIPO	KL	7699788
21102	70	1996-01-10	VYDAJ	PREVOD NA UCET	4150	28620	SIPO	KL	7699788
21103	70	1996-02-10	VYDAJ	PREVOD NA UCET	4150	32753	SIPO	KL	7699788
21104	70	1996-03-10	VYDAJ	PREVOD NA UCET	4150	37906	SIPO	KL	7699788
21105	70	1996-04-10	VYDAJ	PREVOD NA UCET	4150	36364	SIPO	KL	7699788
21106	70	1996-05-10	VYDAJ	PREVOD NA UCET	4150	39427	SIPO	KL	7699788
21107	70	1996-06-10	VYDAJ	PREVOD NA UCET	4150	43937	SIPO	KL	7699788
21108	70	1996-07-10	VYDAJ	PREVOD NA UCET	4150	39405	SIPO	KL	7699788
21109	70	1996-08-10	VYDAJ	PREVOD NA UCET	4150	29579	SIPO	KL	7699788
21110	70	1996-09-10	VYDAJ	PREVOD NA UCET	4150	37524	SIPO	KL	7699788
21111	70	1996-10-10	VYDAJ	PREVOD NA UCET	4150	34907	SIPO	KL	7699788
21112	70	1996-11-10	VYDAJ	PREVOD NA UCET	4150	32278	SIPO	KL	7699788
21113	70	1996-12-10	VYDAJ	PREVOD NA UCET	4150	35381	SIPO	KL	7699788
21114	70	1997-01-10	VYDAJ	PREVOD NA UCET	4150	34352	SIPO	KL	7699788
21115	70	1997-02-10	VYDAJ	PREVOD NA UCET	4150	32637	SIPO	KL	7699788
21116	70	1997-03-10	VYDAJ	PREVOD NA UCET	4150	34011	SIPO	KL	7699788
21117	70	1997-04-10	VYDAJ	PREVOD NA UCET	4150	31174	SIPO	KL	7699788
21118	70	1997-05-10	VYDAJ	PREVOD NA UCET	4150	31930	SIPO	KL	7699788
21119	70	1997-06-10	VYDAJ	PREVOD NA UCET	4150	38728	SIPO	KL	7699788
21120	70	1997-07-10	VYDAJ	PREVOD NA UCET	4150	33925	SIPO	KL	7699788
21121	70	1997-08-10	VYDAJ	PREVOD NA UCET	4150	33986	SIPO	KL	7699788
21122	70	1997-09-10	VYDAJ	PREVOD NA UCET	4150	37351	SIPO	KL	7699788
21123	70	1997-10-10	VYDAJ	PREVOD NA UCET	4150	44029	SIPO	KL	7699788
21124	70	1997-11-10	VYDAJ	PREVOD NA UCET	4150	46003	SIPO	KL	7699788
21125	70	1997-12-10	VYDAJ	PREVOD NA UCET	4150	52878	SIPO	KL	7699788
21126	70	1998-01-10	VYDAJ	PREVOD NA UCET	4150	53091	SIPO	KL	7699788
21127	70	1998-02-10	VYDAJ	PREVOD NA UCET	4150	56034	SIPO	KL	7699788
21128	70	1998-03-10	VYDAJ	PREVOD NA UCET	4150	52944	SIPO	KL	7699788
21129	70	1998-04-10	VYDAJ	PREVOD NA UCET	4150	49215	SIPO	KL	7699788
21130	70	1998-05-10	VYDAJ	PREVOD NA UCET	4150	50743	SIPO	KL	7699788
21131	70	1998-06-10	VYDAJ	PREVOD NA UCET	4150	37001	SIPO	KL	7699788
21132	70	1998-07-10	VYDAJ	PREVOD NA UCET	4150	42559	SIPO	KL	7699788
21133	70	1998-08-10	VYDAJ	PREVOD NA UCET	4150	46755	SIPO	KL	7699788
21134	70	1998-09-10	VYDAJ	PREVOD NA UCET	4150	46171	SIPO	KL	7699788
21135	70	1998-10-10	VYDAJ	PREVOD NA UCET	4150	45676	SIPO	KL	7699788
21136	70	1998-11-10	VYDAJ	PREVOD NA UCET	4150	46080	SIPO	KL	7699788
21137	70	1998-12-10	VYDAJ	PREVOD NA UCET	4150	42248	SIPO	KL	7699788
21140	70	1997-06-29	VYDAJ	VYBER	9280	29448	\N	\N	\N
21141	70	1998-06-04	VYDAJ	VYBER	20320	27521	\N	\N	\N
21142	70	1995-12-05	VYDAJ	VYBER	1760	36148	\N	\N	\N
21143	70	1996-12-06	VYDAJ	VYBER	800	45231	\N	\N	\N
21144	70	1997-12-23	VYDAJ	VYBER	4320	48558	\N	\N	\N
21145	70	1998-12-09	VYDAJ	VYBER	4480	46398	\N	\N	\N
21146	70	1995-11-14	VYDAJ	VYBER	3720	34068	\N	\N	\N
21148	70	1995-11-21	VYDAJ	VYBER	5400	24168	\N	\N	\N
21150	70	1995-08-26	VYDAJ	VYBER	1320	31003	\N	\N	\N
21151	70	1995-12-30	VYDAJ	VYBER	3120	23578	\N	\N	\N
21152	70	1996-07-13	VYDAJ	VYBER	3720	29685	\N	\N	\N
21153	70	1996-12-29	VYDAJ	VYBER	1800	33581	\N	\N	\N
21154	70	1996-07-13	VYDAJ	VYBER	2160	27525	\N	\N	\N
21155	70	1996-07-13	VYDAJ	VYBER	3000	24525	\N	\N	\N
21156	70	1997-11-30	VYDAJ	VYBER	5280	40898	\N	\N	\N
21157	70	1997-10-14	VYDAJ	VYBER	3720	40309	\N	\N	\N
21158	70	1997-02-10	VYDAJ	VYBER	3480	36787	\N	\N	\N
21159	70	1998-02-17	VYDAJ	VYBER	1080	54954	\N	\N	\N
21160	70	1998-02-24	VYDAJ	VYBER	4680	50274	\N	\N	\N
21161	70	1998-12-08	VYDAJ	VYBER	4800	50878	\N	\N	\N
21162	70	1998-06-22	VYDAJ	VYBER	3120	33881	\N	\N	\N
21163	70	1998-03-06	VYDAJ	VYBER	1680	57094	\N	\N	\N
21164	70	1998-03-14	VYDAJ	VYBER	5160	47784	\N	\N	\N
21172	70	1995-07-31	VYDAJ	VYBER	15	32386	SLUZBY	\N	\N
21173	70	1995-08-31	VYDAJ	VYBER	15	31127	SLUZBY	\N	\N
21174	70	1995-09-30	VYDAJ	VYBER	15	33287	SLUZBY	\N	\N
21175	70	1995-10-31	VYDAJ	VYBER	15	32851	SLUZBY	\N	\N
21176	70	1995-11-30	VYDAJ	VYBER	15	24278	SLUZBY	\N	\N
21177	70	1995-12-31	VYDAJ	VYBER	15	23683	SLUZBY	\N	\N
21178	70	1996-01-31	VYDAJ	VYBER	15	27816	SLUZBY	\N	\N
21179	70	1996-02-29	VYDAJ	VYBER	15	32969	SLUZBY	\N	\N
21180	70	1996-03-31	VYDAJ	VYBER	15	31427	SLUZBY	\N	\N
21181	70	1996-04-30	VYDAJ	VYBER	15	34490	SLUZBY	\N	\N
21182	70	1996-05-31	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
21183	70	1996-06-30	VYDAJ	VYBER	15	34468	SLUZBY	\N	\N
21184	70	1996-07-31	VYDAJ	VYBER	15	24642	SLUZBY	\N	\N
21185	70	1996-08-31	VYDAJ	VYBER	15	31587	SLUZBY	\N	\N
21186	70	1996-09-30	VYDAJ	VYBER	15	37670	SLUZBY	\N	\N
21187	70	1996-10-31	VYDAJ	VYBER	15	35041	SLUZBY	\N	\N
21188	70	1996-11-30	VYDAJ	VYBER	15	32401	SLUZBY	\N	\N
21189	70	1996-12-31	VYDAJ	VYBER	15	33715	SLUZBY	\N	\N
21190	70	1997-01-31	VYDAJ	VYBER	15	34480	SLUZBY	\N	\N
21191	70	1997-02-28	VYDAJ	VYBER	15	32774	SLUZBY	\N	\N
21192	70	1997-03-31	VYDAJ	VYBER	15	34137	SLUZBY	\N	\N
21193	70	1997-04-30	VYDAJ	VYBER	15	31293	SLUZBY	\N	\N
21194	70	1997-05-31	VYDAJ	VYBER	15	32048	SLUZBY	\N	\N
21195	70	1997-06-30	VYDAJ	VYBER	15	29588	SLUZBY	\N	\N
21196	70	1997-07-31	VYDAJ	VYBER	15	34049	SLUZBY	\N	\N
21197	70	1997-08-31	VYDAJ	VYBER	15	34114	SLUZBY	\N	\N
21198	70	1997-09-30	VYDAJ	VYBER	15	37492	SLUZBY	\N	\N
21199	70	1997-10-31	VYDAJ	VYBER	15	40466	SLUZBY	\N	\N
21200	70	1997-11-30	VYDAJ	VYBER	15	46178	SLUZBY	\N	\N
21201	70	1997-12-31	VYDAJ	VYBER	15	48754	SLUZBY	\N	\N
21202	70	1998-01-31	VYDAJ	VYBER	15	53297	SLUZBY	\N	\N
21203	70	1998-02-28	VYDAJ	VYBER	15	50487	SLUZBY	\N	\N
21204	70	1998-03-31	VYDAJ	VYBER	15	47978	SLUZBY	\N	\N
21205	70	1998-04-30	VYDAJ	VYBER	15	49406	SLUZBY	\N	\N
21206	70	1998-05-31	VYDAJ	VYBER	15	50941	SLUZBY	\N	\N
21207	70	1998-06-30	VYDAJ	VYBER	15	34022	SLUZBY	\N	\N
21208	70	1998-07-31	VYDAJ	VYBER	15	42718	SLUZBY	\N	\N
21209	70	1998-08-31	VYDAJ	VYBER	15	41234	SLUZBY	\N	\N
21210	70	1998-09-30	VYDAJ	VYBER	15	40739	SLUZBY	\N	\N
21211	70	1998-10-31	VYDAJ	VYBER	15	41143	SLUZBY	\N	\N
21212	70	1998-11-30	VYDAJ	VYBER	15	42048	SLUZBY	\N	\N
21213	70	1995-03-20	PRIJEM	VKLAD	5700	15287	\N	\N	\N
21214	70	1995-04-19	VYDAJ	VYBER	800	23599	\N	\N	\N
21215	70	1995-05-19	VYDAJ	VYBER	3800	28963	\N	\N	\N
21216	70	1995-06-18	VYDAJ	VYBER	11400	31301	\N	\N	\N
21217	70	1995-07-18	VYDAJ	VYBER	4100	32263	\N	\N	\N
21218	70	1995-08-17	VYDAJ	VYBER	5000	32323	\N	\N	\N
21219	70	1995-09-16	VYDAJ	VYBER	2900	33164	\N	\N	\N
21220	70	1995-10-16	VYDAJ	VYBER	5500	32724	\N	\N	\N
21221	70	1995-11-15	VYDAJ	VYBER	4500	29568	\N	\N	\N
21222	70	1995-12-15	VYDAJ	VYBER	5300	26698	\N	\N	\N
21223	70	1996-01-14	VYDAJ	VYBER	900	27720	\N	\N	\N
21224	70	1996-02-13	PRIJEM	VKLAD	100	32853	\N	\N	\N
21225	70	1996-03-14	VYDAJ	VYBER	6600	31306	\N	\N	\N
21226	70	1996-04-13	VYDAJ	VYBER	2000	34364	\N	\N	\N
21227	70	1996-05-13	VYDAJ	VYBER	5100	34327	\N	\N	\N
21228	70	1996-06-12	VYDAJ	VYBER	9600	34337	\N	\N	\N
21229	70	1996-07-12	VYDAJ	VYBER	6000	33405	\N	\N	\N
21230	70	1996-08-11	PRIJEM	VKLAD	1900	31479	\N	\N	\N
21231	70	1996-09-10	PRIJEM	VKLAD	1000	41674	\N	\N	\N
21232	70	1996-10-10	VYDAJ	VYBER	7700	39057	\N	\N	\N
21233	70	1996-11-09	VYDAJ	VYBER	7700	36428	\N	\N	\N
21234	70	1996-12-09	VYDAJ	VYBER	5700	39531	\N	\N	\N
21235	70	1997-01-08	VYDAJ	VYBER	4300	38502	\N	\N	\N
21236	70	1997-02-07	VYDAJ	VYBER	3300	40267	\N	\N	\N
21237	70	1997-03-09	VYDAJ	VYBER	3700	38161	\N	\N	\N
21238	70	1997-04-08	VYDAJ	VYBER	7900	35324	\N	\N	\N
21239	70	1997-05-08	VYDAJ	VYBER	4300	36080	\N	\N	\N
21240	70	1997-06-07	VYDAJ	VYBER	2800	42878	\N	\N	\N
21241	70	1997-07-07	VYDAJ	VYBER	600	38075	\N	\N	\N
21242	70	1997-08-06	VYDAJ	VYBER	5000	38136	\N	\N	\N
21243	70	1997-09-05	VYDAJ	VYBER	1700	41501	\N	\N	\N
21244	70	1997-10-05	PRIJEM	VKLAD	1600	48179	\N	\N	\N
21245	70	1997-11-04	PRIJEM	VKLAD	600	41066	\N	\N	\N
21246	70	1997-12-04	PRIJEM	VKLAD	2500	43398	\N	\N	\N
21247	70	1998-01-03	VYDAJ	VYBER	600	48154	\N	\N	\N
21248	70	1998-02-02	VYDAJ	VYBER	2200	51097	\N	\N	\N
21249	70	1998-03-04	VYDAJ	VYBER	800	49687	\N	\N	\N
21250	70	1998-04-03	VYDAJ	VYBER	3700	44278	\N	\N	\N
21251	70	1998-05-03	VYDAJ	VYBER	3600	45806	\N	\N	\N
21252	70	1998-06-02	VYDAJ	VYBER	3100	47841	\N	\N	\N
21253	70	1998-07-02	PRIJEM	VKLAD	3600	37622	\N	\N	\N
21254	70	1998-08-01	VYDAJ	VYBER	900	41818	\N	\N	\N
21255	70	1998-08-31	VYDAJ	VYBER	5700	41248	\N	\N	\N
21256	70	1998-09-30	VYDAJ	VYBER	5600	40754	\N	\N	\N
21257	70	1998-10-30	VYDAJ	VYBER	4700	40976	\N	\N	\N
21258	70	1998-11-29	VYDAJ	VYBER	4200	41880	\N	\N	\N
21305	71	1994-03-05	PRIJEM	VKLAD	700	700	\N	\N	\N
21308	71	1994-03-09	PRIJEM	VKLAD	21717	22417	\N	\N	\N
21309	71	1994-04-09	PRIJEM	VKLAD	21717	44903	\N	\N	\N
21310	71	1994-05-09	PRIJEM	VKLAD	21717	57482	\N	\N	\N
21311	71	1994-06-09	PRIJEM	VKLAD	32576	75084	\N	\N	\N
21312	71	1994-07-09	PRIJEM	VKLAD	21717	71295	\N	\N	\N
21313	71	1994-08-09	PRIJEM	VKLAD	21717	66339	\N	\N	\N
21314	71	1994-09-09	PRIJEM	VKLAD	21717	63950	\N	\N	\N
21315	71	1994-10-09	PRIJEM	VKLAD	21717	59005	\N	\N	\N
21316	71	1994-11-09	PRIJEM	VKLAD	21717	61156	\N	\N	\N
21317	71	1994-12-09	PRIJEM	VKLAD	32576	72887	\N	\N	\N
21318	71	1995-01-09	PRIJEM	VKLAD	21717	52731	\N	\N	\N
21319	71	1995-02-09	PRIJEM	VKLAD	21717	49791	\N	\N	\N
21320	71	1995-03-09	PRIJEM	VKLAD	21717	58014	\N	\N	\N
21321	71	1995-04-09	PRIJEM	VKLAD	21717	60574	\N	\N	\N
21322	71	1995-05-09	PRIJEM	VKLAD	21717	64145	\N	\N	\N
21323	71	1995-06-09	PRIJEM	VKLAD	32576	72882	\N	\N	\N
21324	71	1995-07-09	PRIJEM	VKLAD	21717	67297	\N	\N	\N
21325	71	1995-08-09	PRIJEM	VKLAD	21717	66329	\N	\N	\N
21326	71	1995-09-09	PRIJEM	VKLAD	21717	58411	\N	\N	\N
21327	71	1995-10-09	PRIJEM	VKLAD	21717	58868	\N	\N	\N
21328	71	1995-11-09	PRIJEM	VKLAD	21717	58159	\N	\N	\N
21329	71	1995-12-09	PRIJEM	VKLAD	32576	72030	\N	\N	\N
21330	71	1996-01-09	PRIJEM	VKLAD	21717	61961	\N	\N	\N
21331	71	1996-02-09	PRIJEM	VKLAD	21717	52451	\N	\N	\N
21332	71	1996-03-09	PRIJEM	VKLAD	21717	61979	\N	\N	\N
21333	71	1996-04-09	PRIJEM	VKLAD	21717	60141	\N	\N	\N
21334	71	1996-05-09	PRIJEM	VKLAD	21717	62997	\N	\N	\N
21335	71	1996-06-09	PRIJEM	VKLAD	32576	74919	\N	\N	\N
21336	71	1996-07-09	PRIJEM	VKLAD	21717	47862	\N	\N	\N
21337	71	1996-08-09	PRIJEM	VKLAD	21717	57770	\N	\N	\N
21338	71	1996-09-09	PRIJEM	VKLAD	21717	59305	\N	\N	\N
21339	71	1996-10-09	PRIJEM	VKLAD	21717	61047	\N	\N	\N
21340	71	1996-11-09	PRIJEM	VKLAD	21717	62495	\N	\N	\N
21341	71	1996-12-09	PRIJEM	VKLAD	32576	73304	\N	\N	\N
21342	71	1997-01-09	PRIJEM	VKLAD	21717	64777	\N	\N	\N
21343	71	1997-02-09	PRIJEM	VKLAD	21717	57881	\N	\N	\N
21344	71	1997-03-09	PRIJEM	VKLAD	21717	67325	\N	\N	\N
21345	71	1997-04-09	PRIJEM	VKLAD	21717	71100	\N	\N	\N
21346	71	1997-05-09	PRIJEM	VKLAD	21717	76291	\N	\N	\N
21347	71	1997-06-09	PRIJEM	VKLAD	32576	80803	\N	\N	\N
21348	71	1997-07-09	PRIJEM	VKLAD	21717	39454	\N	\N	\N
21349	71	1997-08-09	PRIJEM	VKLAD	21717	52934	\N	\N	\N
21350	71	1997-09-09	PRIJEM	VKLAD	21717	62257	\N	\N	\N
21351	71	1997-10-09	PRIJEM	VKLAD	21717	69911	\N	\N	\N
21352	71	1997-11-09	PRIJEM	VKLAD	21717	71987	\N	\N	\N
21353	71	1997-12-09	PRIJEM	VKLAD	32576	79988	\N	\N	\N
21354	71	1998-01-09	PRIJEM	VKLAD	21717	77093	\N	\N	\N
21355	71	1998-02-09	PRIJEM	VKLAD	21717	72786	\N	\N	\N
21356	71	1998-03-09	PRIJEM	VKLAD	21717	75468	\N	\N	\N
21357	71	1998-04-09	PRIJEM	VKLAD	21717	78267	\N	\N	\N
21358	71	1998-05-09	PRIJEM	VKLAD	21717	83680	\N	\N	\N
21359	71	1998-06-09	PRIJEM	VKLAD	32576	94860	\N	\N	\N
21360	71	1998-07-09	PRIJEM	VKLAD	21717	56459	\N	\N	\N
21361	71	1998-08-09	PRIJEM	VKLAD	21717	69800	\N	\N	\N
21362	71	1998-09-09	PRIJEM	VKLAD	21717	81691	\N	\N	\N
21363	71	1998-10-09	PRIJEM	VKLAD	21717	89117	\N	\N	\N
21364	71	1998-11-09	PRIJEM	VKLAD	21717	86744	\N	\N	\N
21365	71	1998-12-09	PRIJEM	VKLAD	32576	93840	\N	\N	\N
21373	71	1994-08-06	VYDAJ	PREVOD NA UCET	968	47002	SIPO	YZ	53903484
21374	71	1994-09-06	VYDAJ	PREVOD NA UCET	968	44613	SIPO	YZ	53903484
21375	71	1994-10-06	VYDAJ	PREVOD NA UCET	968	39668	SIPO	YZ	53903484
21376	71	1994-11-06	VYDAJ	PREVOD NA UCET	968	41819	SIPO	YZ	53903484
21377	71	1994-12-06	VYDAJ	PREVOD NA UCET	968	42691	SIPO	YZ	53903484
21378	71	1995-01-06	VYDAJ	PREVOD NA UCET	968	33394	SIPO	YZ	53903484
21379	71	1995-02-06	VYDAJ	PREVOD NA UCET	968	30454	SIPO	YZ	53903484
21380	71	1995-03-06	VYDAJ	PREVOD NA UCET	968	38677	SIPO	YZ	53903484
21381	71	1995-04-06	VYDAJ	PREVOD NA UCET	968	41237	SIPO	YZ	53903484
21382	71	1995-05-06	VYDAJ	PREVOD NA UCET	968	44808	SIPO	YZ	53903484
21383	71	1995-06-06	VYDAJ	PREVOD NA UCET	968	42686	SIPO	YZ	53903484
21384	71	1995-07-06	VYDAJ	PREVOD NA UCET	968	47960	SIPO	YZ	53903484
21385	71	1995-08-06	VYDAJ	PREVOD NA UCET	968	46992	SIPO	YZ	53903484
21386	71	1995-09-06	VYDAJ	PREVOD NA UCET	968	39074	SIPO	YZ	53903484
21387	71	1995-10-06	VYDAJ	PREVOD NA UCET	968	39531	SIPO	YZ	53903484
21388	71	1995-11-06	VYDAJ	PREVOD NA UCET	968	38822	SIPO	YZ	53903484
21389	71	1995-12-06	VYDAJ	PREVOD NA UCET	968	43274	SIPO	YZ	53903484
21390	71	1996-01-06	VYDAJ	PREVOD NA UCET	968	44184	SIPO	YZ	53903484
21391	71	1996-02-06	VYDAJ	PREVOD NA UCET	968	33114	SIPO	YZ	53903484
21392	71	1996-03-06	VYDAJ	PREVOD NA UCET	968	42642	SIPO	YZ	53903484
21393	71	1996-04-06	VYDAJ	PREVOD NA UCET	968	40804	SIPO	YZ	53903484
21394	71	1996-05-06	VYDAJ	PREVOD NA UCET	968	43660	SIPO	YZ	53903484
21395	71	1996-06-06	VYDAJ	PREVOD NA UCET	968	44723	SIPO	YZ	53903484
21396	71	1996-07-06	VYDAJ	PREVOD NA UCET	968	28525	SIPO	YZ	53903484
21397	71	1996-08-06	VYDAJ	PREVOD NA UCET	968	38433	SIPO	YZ	53903484
21398	71	1996-09-06	VYDAJ	PREVOD NA UCET	968	39968	SIPO	YZ	53903484
21399	71	1996-10-06	VYDAJ	PREVOD NA UCET	968	41710	SIPO	YZ	53903484
21400	71	1996-11-06	VYDAJ	PREVOD NA UCET	968	43158	SIPO	YZ	53903484
21401	71	1996-12-06	VYDAJ	PREVOD NA UCET	968	43108	SIPO	YZ	53903484
21402	71	1997-01-06	VYDAJ	PREVOD NA UCET	968	45440	SIPO	YZ	53903484
21403	71	1997-02-06	VYDAJ	PREVOD NA UCET	968	38544	SIPO	YZ	53903484
21404	71	1997-03-06	VYDAJ	PREVOD NA UCET	968	47988	SIPO	YZ	53903484
21405	71	1997-04-06	VYDAJ	PREVOD NA UCET	968	51763	SIPO	YZ	53903484
21406	71	1997-05-06	VYDAJ	PREVOD NA UCET	968	56954	SIPO	YZ	53903484
21407	71	1997-06-06	VYDAJ	PREVOD NA UCET	968	50607	SIPO	YZ	53903484
21408	71	1997-07-06	VYDAJ	PREVOD NA UCET	968	20117	SIPO	YZ	53903484
21409	71	1997-08-06	VYDAJ	PREVOD NA UCET	968	33597	SIPO	YZ	53903484
21410	71	1997-09-06	VYDAJ	PREVOD NA UCET	968	42920	SIPO	YZ	53903484
21411	71	1997-10-06	VYDAJ	PREVOD NA UCET	968	50574	SIPO	YZ	53903484
21412	71	1997-11-06	VYDAJ	PREVOD NA UCET	968	52650	SIPO	YZ	53903484
21413	71	1997-12-06	VYDAJ	PREVOD NA UCET	968	54432	SIPO	YZ	53903484
21414	71	1998-01-06	VYDAJ	PREVOD NA UCET	968	59856	SIPO	YZ	53903484
21415	71	1998-02-06	VYDAJ	PREVOD NA UCET	968	53449	SIPO	YZ	53903484
21416	71	1998-03-06	VYDAJ	PREVOD NA UCET	968	56131	SIPO	YZ	53903484
21417	71	1998-04-06	VYDAJ	PREVOD NA UCET	968	60230	SIPO	YZ	53903484
21418	71	1998-05-06	VYDAJ	PREVOD NA UCET	968	64343	SIPO	YZ	53903484
21419	71	1998-06-06	VYDAJ	PREVOD NA UCET	968	64664	SIPO	YZ	53903484
21420	71	1998-07-06	VYDAJ	PREVOD NA UCET	968	37122	SIPO	YZ	53903484
21421	71	1998-08-06	VYDAJ	PREVOD NA UCET	968	50463	SIPO	YZ	53903484
21422	71	1998-09-06	VYDAJ	PREVOD NA UCET	968	62354	SIPO	YZ	53903484
21423	71	1998-10-06	VYDAJ	PREVOD NA UCET	968	69780	SIPO	YZ	53903484
21424	71	1998-11-06	VYDAJ	PREVOD NA UCET	968	67407	SIPO	YZ	53903484
21425	71	1998-12-06	VYDAJ	PREVOD NA UCET	968	63644	SIPO	YZ	53903484
21433	71	1994-08-07	VYDAJ	PREVOD NA UCET	1602	45400	 	IJ	11544728
21434	71	1994-09-07	VYDAJ	PREVOD NA UCET	1602	43011	 	IJ	11544728
21435	71	1994-10-07	VYDAJ	PREVOD NA UCET	1602	38066	 	IJ	11544728
21436	71	1994-11-07	VYDAJ	PREVOD NA UCET	1602	40217	 	IJ	11544728
21437	71	1994-12-07	VYDAJ	PREVOD NA UCET	1602	40311	 	IJ	11544728
21438	71	1995-01-07	VYDAJ	PREVOD NA UCET	1602	31792	 	IJ	11544728
21439	71	1995-02-07	VYDAJ	PREVOD NA UCET	1602	28852	 	IJ	11544728
21440	71	1995-03-07	VYDAJ	PREVOD NA UCET	1602	37075	 	IJ	11544728
21441	71	1995-04-07	VYDAJ	PREVOD NA UCET	1602	39635	 	IJ	11544728
21442	71	1995-05-07	VYDAJ	PREVOD NA UCET	1602	42428	 	IJ	11544728
21443	71	1995-06-07	VYDAJ	PREVOD NA UCET	1602	41084	 	IJ	11544728
21444	71	1995-07-07	VYDAJ	PREVOD NA UCET	1602	45580	 	IJ	11544728
21445	71	1995-08-07	VYDAJ	PREVOD NA UCET	1602	45390	 	IJ	11544728
21446	71	1995-09-07	VYDAJ	PREVOD NA UCET	1602	36694	 	IJ	11544728
21447	71	1995-10-07	VYDAJ	PREVOD NA UCET	1602	37929	 	IJ	11544728
21448	71	1995-11-07	VYDAJ	PREVOD NA UCET	1602	37220	 	IJ	11544728
21449	71	1995-12-07	VYDAJ	PREVOD NA UCET	1602	40232	 	IJ	11544728
21450	71	1996-01-07	VYDAJ	PREVOD NA UCET	1602	41804	 	IJ	11544728
21451	71	1996-02-07	VYDAJ	PREVOD NA UCET	1602	30734	 	IJ	11544728
21452	71	1996-03-07	VYDAJ	PREVOD NA UCET	1602	41040	 	IJ	11544728
21453	71	1996-04-07	VYDAJ	PREVOD NA UCET	1602	39202	 	IJ	11544728
21454	71	1996-05-07	VYDAJ	PREVOD NA UCET	1602	42058	 	IJ	11544728
21455	71	1996-06-07	VYDAJ	PREVOD NA UCET	1602	43121	 	IJ	11544728
21456	71	1996-07-07	VYDAJ	PREVOD NA UCET	1602	26145	 	IJ	11544728
21457	71	1996-08-07	VYDAJ	PREVOD NA UCET	1602	36053	 	IJ	11544728
21458	71	1996-09-07	VYDAJ	PREVOD NA UCET	1602	37588	 	IJ	11544728
21459	71	1996-10-07	VYDAJ	PREVOD NA UCET	1602	39330	 	IJ	11544728
21460	71	1996-11-07	VYDAJ	PREVOD NA UCET	1602	40778	 	IJ	11544728
21461	71	1996-12-07	VYDAJ	PREVOD NA UCET	1602	41506	 	IJ	11544728
21462	71	1997-01-07	VYDAJ	PREVOD NA UCET	1602	43060	 	IJ	11544728
21463	71	1997-02-07	VYDAJ	PREVOD NA UCET	1602	36164	 	IJ	11544728
21464	71	1997-03-07	VYDAJ	PREVOD NA UCET	1602	45608	 	IJ	11544728
21465	71	1997-04-07	VYDAJ	PREVOD NA UCET	1602	50161	 	IJ	11544728
21466	71	1997-05-07	VYDAJ	PREVOD NA UCET	1602	55352	 	IJ	11544728
21467	71	1997-06-07	VYDAJ	PREVOD NA UCET	1602	48227	 	IJ	11544728
21468	71	1997-07-07	VYDAJ	PREVOD NA UCET	1602	17737	 	IJ	11544728
21469	71	1997-08-07	VYDAJ	PREVOD NA UCET	1602	31995	 	IJ	11544728
21470	71	1997-09-07	VYDAJ	PREVOD NA UCET	1602	41318	 	IJ	11544728
21471	71	1997-10-07	VYDAJ	PREVOD NA UCET	1602	48194	 	IJ	11544728
21472	71	1997-11-07	VYDAJ	PREVOD NA UCET	1602	50270	 	IJ	11544728
21473	71	1997-12-07	VYDAJ	PREVOD NA UCET	1602	52052	 	IJ	11544728
21474	71	1998-01-07	VYDAJ	PREVOD NA UCET	1602	57476	 	IJ	11544728
21475	71	1998-02-07	VYDAJ	PREVOD NA UCET	1602	51847	 	IJ	11544728
21476	71	1998-03-07	VYDAJ	PREVOD NA UCET	1602	54529	 	IJ	11544728
21477	71	1998-04-07	VYDAJ	PREVOD NA UCET	1602	56550	 	IJ	11544728
21478	71	1998-05-07	VYDAJ	PREVOD NA UCET	1602	62741	 	IJ	11544728
21479	71	1998-06-07	VYDAJ	PREVOD NA UCET	1602	63062	 	IJ	11544728
21480	71	1998-07-07	VYDAJ	PREVOD NA UCET	1602	34742	 	IJ	11544728
21481	71	1998-08-07	VYDAJ	PREVOD NA UCET	1602	48861	 	IJ	11544728
21482	71	1998-09-07	VYDAJ	PREVOD NA UCET	1602	59974	 	IJ	11544728
21483	71	1998-10-07	VYDAJ	PREVOD NA UCET	1602	68178	 	IJ	11544728
21484	71	1998-11-07	VYDAJ	PREVOD NA UCET	1602	65027	 	IJ	11544728
21485	71	1998-12-07	VYDAJ	PREVOD NA UCET	1602	61264	 	IJ	11544728
21492	71	1994-07-09	VYDAJ	PREVOD NA UCET	1011	70284	POJISTNE	OP	9098768
21493	71	1994-08-09	VYDAJ	PREVOD NA UCET	1011	65328	POJISTNE	OP	9098768
21494	71	1994-09-09	VYDAJ	PREVOD NA UCET	1011	62939	POJISTNE	OP	9098768
21495	71	1994-10-09	VYDAJ	PREVOD NA UCET	1011	57994	POJISTNE	OP	9098768
21496	71	1994-11-09	VYDAJ	PREVOD NA UCET	1011	60145	POJISTNE	OP	9098768
21497	71	1994-12-09	VYDAJ	PREVOD NA UCET	1011	71876	POJISTNE	OP	9098768
21498	71	1995-01-09	VYDAJ	PREVOD NA UCET	1011	49440	POJISTNE	OP	9098768
21499	71	1995-02-09	VYDAJ	PREVOD NA UCET	1011	48780	POJISTNE	OP	9098768
21500	71	1995-03-09	VYDAJ	PREVOD NA UCET	1011	57003	POJISTNE	OP	9098768
21501	71	1995-04-09	VYDAJ	PREVOD NA UCET	1011	59563	POJISTNE	OP	9098768
21502	71	1995-05-09	VYDAJ	PREVOD NA UCET	1011	63134	POJISTNE	OP	9098768
21503	71	1995-06-09	VYDAJ	PREVOD NA UCET	1011	71871	POJISTNE	OP	9098768
21504	71	1995-07-09	VYDAJ	PREVOD NA UCET	1011	66286	POJISTNE	OP	9098768
21505	71	1995-08-09	VYDAJ	PREVOD NA UCET	1011	65318	POJISTNE	OP	9098768
21506	71	1995-09-09	VYDAJ	PREVOD NA UCET	1011	57400	POJISTNE	OP	9098768
21507	71	1995-10-09	VYDAJ	PREVOD NA UCET	1011	57857	POJISTNE	OP	9098768
21508	71	1995-11-09	VYDAJ	PREVOD NA UCET	1011	57148	POJISTNE	OP	9098768
21509	71	1995-12-09	VYDAJ	PREVOD NA UCET	1011	71019	POJISTNE	OP	9098768
21510	71	1996-01-09	VYDAJ	PREVOD NA UCET	1011	60950	POJISTNE	OP	9098768
21511	71	1996-02-09	VYDAJ	PREVOD NA UCET	1011	51440	POJISTNE	OP	9098768
21512	71	1996-03-09	VYDAJ	PREVOD NA UCET	1011	60968	POJISTNE	OP	9098768
21513	71	1996-04-09	VYDAJ	PREVOD NA UCET	1011	59130	POJISTNE	OP	9098768
21514	71	1996-05-09	VYDAJ	PREVOD NA UCET	1011	61986	POJISTNE	OP	9098768
21515	71	1996-06-09	VYDAJ	PREVOD NA UCET	1011	37588	POJISTNE	OP	9098768
21516	71	1996-07-09	VYDAJ	PREVOD NA UCET	1011	46851	POJISTNE	OP	9098768
21517	71	1996-08-09	VYDAJ	PREVOD NA UCET	1011	56759	POJISTNE	OP	9098768
21518	71	1996-09-09	VYDAJ	PREVOD NA UCET	1011	58294	POJISTNE	OP	9098768
21519	71	1996-10-09	VYDAJ	PREVOD NA UCET	1011	60036	POJISTNE	OP	9098768
21520	71	1996-11-09	VYDAJ	PREVOD NA UCET	1011	61484	POJISTNE	OP	9098768
21521	71	1996-12-09	VYDAJ	PREVOD NA UCET	1011	72293	POJISTNE	OP	9098768
21522	71	1997-01-09	VYDAJ	PREVOD NA UCET	1011	63766	POJISTNE	OP	9098768
21523	71	1997-02-09	VYDAJ	PREVOD NA UCET	1011	56870	POJISTNE	OP	9098768
21524	71	1997-03-09	VYDAJ	PREVOD NA UCET	1011	66314	POJISTNE	OP	9098768
21525	71	1997-04-09	VYDAJ	PREVOD NA UCET	1011	70089	POJISTNE	OP	9098768
21526	71	1997-05-09	VYDAJ	PREVOD NA UCET	1011	75280	POJISTNE	OP	9098768
21527	71	1997-06-09	VYDAJ	PREVOD NA UCET	1011	79792	POJISTNE	OP	9098768
21528	71	1997-07-09	VYDAJ	PREVOD NA UCET	1011	38443	POJISTNE	OP	9098768
21529	71	1997-08-09	VYDAJ	PREVOD NA UCET	1011	51923	POJISTNE	OP	9098768
21530	71	1997-09-09	VYDAJ	PREVOD NA UCET	1011	61246	POJISTNE	OP	9098768
21531	71	1997-10-09	VYDAJ	PREVOD NA UCET	1011	68900	POJISTNE	OP	9098768
21532	71	1997-11-09	VYDAJ	PREVOD NA UCET	1011	70976	POJISTNE	OP	9098768
21533	71	1997-12-09	VYDAJ	PREVOD NA UCET	1011	78977	POJISTNE	OP	9098768
21534	71	1998-01-09	VYDAJ	PREVOD NA UCET	1011	76082	POJISTNE	OP	9098768
21535	71	1998-02-09	VYDAJ	PREVOD NA UCET	1011	71775	POJISTNE	OP	9098768
21536	71	1998-03-09	VYDAJ	PREVOD NA UCET	1011	74457	POJISTNE	OP	9098768
21537	71	1998-04-09	VYDAJ	PREVOD NA UCET	1011	77256	POJISTNE	OP	9098768
21538	71	1998-05-09	VYDAJ	PREVOD NA UCET	1011	82669	POJISTNE	OP	9098768
21539	71	1998-06-09	VYDAJ	PREVOD NA UCET	1011	93849	POJISTNE	OP	9098768
21540	71	1998-07-09	VYDAJ	PREVOD NA UCET	1011	55448	POJISTNE	OP	9098768
21541	71	1998-08-09	VYDAJ	PREVOD NA UCET	1011	68789	POJISTNE	OP	9098768
21542	71	1998-09-09	VYDAJ	PREVOD NA UCET	1011	80680	POJISTNE	OP	9098768
21543	71	1998-10-09	VYDAJ	PREVOD NA UCET	1011	88106	POJISTNE	OP	9098768
21544	71	1998-11-09	VYDAJ	PREVOD NA UCET	1011	85733	POJISTNE	OP	9098768
21545	71	1998-12-09	VYDAJ	PREVOD NA UCET	1011	92829	POJISTNE	OP	9098768
21553	71	1994-08-07	VYDAJ	PREVOD NA UCET	778	44622	 	QR	34794885
21554	71	1994-09-07	VYDAJ	PREVOD NA UCET	778	42233	 	QR	34794885
21555	71	1994-10-07	VYDAJ	PREVOD NA UCET	778	37288	 	QR	34794885
21556	71	1994-11-07	VYDAJ	PREVOD NA UCET	778	39439	 	QR	34794885
21557	71	1994-12-07	VYDAJ	PREVOD NA UCET	778	41913	 	QR	34794885
21558	71	1995-01-07	VYDAJ	PREVOD NA UCET	778	31014	 	QR	34794885
21559	71	1995-02-07	VYDAJ	PREVOD NA UCET	778	28074	 	QR	34794885
21560	71	1995-03-07	VYDAJ	PREVOD NA UCET	778	36297	 	QR	34794885
21561	71	1995-04-07	VYDAJ	PREVOD NA UCET	778	38857	 	QR	34794885
21562	71	1995-05-07	VYDAJ	PREVOD NA UCET	778	44030	 	QR	34794885
21563	71	1995-06-07	VYDAJ	PREVOD NA UCET	778	40306	 	QR	34794885
21564	71	1995-07-07	VYDAJ	PREVOD NA UCET	778	47182	 	QR	34794885
21565	71	1995-08-07	VYDAJ	PREVOD NA UCET	778	44612	 	QR	34794885
21566	71	1995-09-07	VYDAJ	PREVOD NA UCET	778	38296	 	QR	34794885
21567	71	1995-10-07	VYDAJ	PREVOD NA UCET	778	37151	 	QR	34794885
21568	71	1995-11-07	VYDAJ	PREVOD NA UCET	778	36442	 	QR	34794885
21569	71	1995-12-07	VYDAJ	PREVOD NA UCET	778	39454	 	QR	34794885
21570	71	1996-01-07	VYDAJ	PREVOD NA UCET	778	43406	 	QR	34794885
21571	71	1996-02-07	VYDAJ	PREVOD NA UCET	778	32336	 	QR	34794885
21572	71	1996-03-07	VYDAJ	PREVOD NA UCET	778	40262	 	QR	34794885
21573	71	1996-04-07	VYDAJ	PREVOD NA UCET	778	38424	 	QR	34794885
21574	71	1996-05-07	VYDAJ	PREVOD NA UCET	778	41280	 	QR	34794885
21575	71	1996-06-07	VYDAJ	PREVOD NA UCET	778	42343	 	QR	34794885
21576	71	1996-07-07	VYDAJ	PREVOD NA UCET	778	27747	 	QR	34794885
21577	71	1996-08-07	VYDAJ	PREVOD NA UCET	778	37655	 	QR	34794885
21578	71	1996-09-07	VYDAJ	PREVOD NA UCET	778	39190	 	QR	34794885
21579	71	1996-10-07	VYDAJ	PREVOD NA UCET	778	40932	 	QR	34794885
21580	71	1996-11-07	VYDAJ	PREVOD NA UCET	778	42380	 	QR	34794885
21581	71	1996-12-07	VYDAJ	PREVOD NA UCET	778	40728	 	QR	34794885
21582	71	1997-01-07	VYDAJ	PREVOD NA UCET	778	44662	 	QR	34794885
21583	71	1997-02-07	VYDAJ	PREVOD NA UCET	778	37766	 	QR	34794885
21584	71	1997-03-07	VYDAJ	PREVOD NA UCET	778	47210	 	QR	34794885
21585	71	1997-04-07	VYDAJ	PREVOD NA UCET	778	49383	 	QR	34794885
21586	71	1997-05-07	VYDAJ	PREVOD NA UCET	778	54574	 	QR	34794885
21587	71	1997-06-07	VYDAJ	PREVOD NA UCET	778	49829	 	QR	34794885
21588	71	1997-07-07	VYDAJ	PREVOD NA UCET	778	19339	 	QR	34794885
21589	71	1997-08-07	VYDAJ	PREVOD NA UCET	778	31217	 	QR	34794885
21590	71	1997-09-07	VYDAJ	PREVOD NA UCET	778	40540	 	QR	34794885
21591	71	1997-10-07	VYDAJ	PREVOD NA UCET	778	49796	 	QR	34794885
21592	71	1997-11-07	VYDAJ	PREVOD NA UCET	778	51872	 	QR	34794885
21593	71	1997-12-07	VYDAJ	PREVOD NA UCET	778	53654	 	QR	34794885
21594	71	1998-01-07	VYDAJ	PREVOD NA UCET	778	59078	 	QR	34794885
21595	71	1998-02-07	VYDAJ	PREVOD NA UCET	778	51069	 	QR	34794885
21596	71	1998-03-07	VYDAJ	PREVOD NA UCET	778	53751	 	QR	34794885
21597	71	1998-04-07	VYDAJ	PREVOD NA UCET	778	58152	 	QR	34794885
21598	71	1998-05-07	VYDAJ	PREVOD NA UCET	778	61963	 	QR	34794885
21599	71	1998-06-07	VYDAJ	PREVOD NA UCET	778	62284	 	QR	34794885
21600	71	1998-07-07	VYDAJ	PREVOD NA UCET	778	36344	 	QR	34794885
21601	71	1998-08-07	VYDAJ	PREVOD NA UCET	778	48083	 	QR	34794885
21602	71	1998-09-07	VYDAJ	PREVOD NA UCET	778	61576	 	QR	34794885
21603	71	1998-10-07	VYDAJ	PREVOD NA UCET	778	67400	 	QR	34794885
21604	71	1998-11-07	VYDAJ	PREVOD NA UCET	778	66629	 	QR	34794885
21605	71	1998-12-07	VYDAJ	PREVOD NA UCET	778	62866	 	QR	34794885
21607	71	1995-06-18	VYDAJ	VYBER	5280	66591	\N	\N	\N
21608	71	1996-06-09	VYDAJ	VYBER	36320	38599	\N	\N	\N
21609	71	1997-06-25	VYDAJ	VYBER	39520	20872	\N	\N	\N
21610	71	1998-06-23	VYDAJ	VYBER	27520	37849	\N	\N	\N
21612	71	1995-01-01	VYDAJ	VYBER	7680	39042	\N	\N	\N
21613	71	1996-01-13	VYDAJ	VYBER	11840	44430	\N	\N	\N
21614	71	1997-01-13	VYDAJ	VYBER	8640	55126	\N	\N	\N
21615	71	1998-01-08	VYDAJ	VYBER KARTOU	2100	55376	\N	\N	0
21616	71	1994-12-09	VYDAJ	VYBER	1920	69956	\N	\N	\N
21617	71	1995-12-06	VYDAJ	VYBER	1440	41834	\N	\N	\N
21618	71	1996-12-17	VYDAJ	VYBER KARTOU	3500	68793	\N	\N	0
21619	71	1997-12-08	VYDAJ	VYBER	4640	47412	\N	\N	\N
21620	71	1998-12-29	VYDAJ	VYBER KARTOU	2400	69229	\N	\N	0
21627	71	1995-01-15	VYDAJ	VYBER	2400	47040	\N	\N	\N
21628	71	1995-01-22	VYDAJ	VYBER	1560	45480	\N	\N	\N
21629	71	1995-01-04	VYDAJ	VYBER	720	36882	\N	\N	\N
21630	71	1995-01-05	VYDAJ	VYBER	2520	34362	\N	\N	\N
21631	71	1995-01-09	VYDAJ	VYBER	2280	50451	\N	\N	\N
21632	71	1995-01-02	VYDAJ	VYBER	1440	37602	\N	\N	\N
21633	71	1996-01-02	VYDAJ	VYBER	2520	48632	\N	\N	\N
21634	71	1996-01-07	VYDAJ	VYBER	1560	40244	\N	\N	\N
21635	71	1996-01-24	VYDAJ	VYBER	2520	33910	\N	\N	\N
21636	71	1996-01-02	VYDAJ	VYBER	3480	45152	\N	\N	\N
21637	71	1996-01-10	VYDAJ	VYBER	1200	59750	\N	\N	\N
21638	71	1996-01-12	VYDAJ	VYBER	3480	56270	\N	\N	\N
21639	71	1997-01-16	VYDAJ	VYBER KARTOU	2200	52926	\N	\N	0
21640	71	1997-01-19	VYDAJ	VYBER KARTOU	1100	43326	\N	\N	0
21641	71	1997-01-24	VYDAJ	VYBER KARTOU	1600	41726	\N	\N	0
21642	71	1997-01-30	VYDAJ	VYBER KARTOU	2400	39326	\N	\N	0
21643	71	1997-01-06	VYDAJ	VYBER KARTOU	2900	46408	\N	\N	0
21644	71	1997-01-03	VYDAJ	VYBER KARTOU	1600	49308	\N	\N	0
21645	71	1998-01-19	VYDAJ	VYBER KARTOU	2900	58782	\N	\N	0
21646	71	1998-01-25	VYDAJ	VYBER KARTOU	1000	54782	\N	\N	0
21647	71	1998-01-05	VYDAJ	VYBER KARTOU	2000	60824	\N	\N	0
21648	71	1998-01-12	VYDAJ	VYBER KARTOU	3400	72682	\N	\N	0
21649	71	1998-01-27	VYDAJ	VYBER KARTOU	600	54182	\N	\N	0
21650	71	1998-01-21	VYDAJ	VYBER KARTOU	3000	55782	\N	\N	0
21651	71	1994-09-21	VYDAJ	VYBER	5040	57899	\N	\N	\N
21652	71	1994-12-29	VYDAJ	VYBER	4080	65876	\N	\N	\N
21657	71	1994-10-19	VYDAJ	VYBER	1920	56074	\N	\N	\N
21658	71	1995-11-03	VYDAJ	VYBER	2160	39790	\N	\N	\N
21659	71	1995-07-28	VYDAJ	VYBER	960	65326	\N	\N	\N
21660	71	1995-08-31	VYDAJ	VYBER	5400	40042	\N	\N	\N
21661	71	1995-01-25	VYDAJ	VYBER	5520	39960	\N	\N	\N
21662	71	1996-04-02	VYDAJ	VYBER	5400	41772	\N	\N	\N
21663	71	1996-06-30	VYDAJ	VYBER	4440	29508	\N	\N	\N
21664	71	1997-12-27	VYDAJ	VYBER KARTOU	1300	62577	\N	\N	0
21665	71	1997-11-04	VYDAJ	VYBER KARTOU	1200	53618	\N	\N	0
21666	71	1997-08-03	VYDAJ	VYBER KARTOU	2600	34565	\N	\N	0
21667	71	1997-05-21	VYDAJ	VYBER	5640	51340	\N	\N	\N
21668	71	1997-11-19	VYDAJ	VYBER KARTOU	3400	55176	\N	\N	0
21669	71	1998-02-14	VYDAJ	VYBER KARTOU	2200	56875	\N	\N	0
21670	71	1998-11-18	VYDAJ	VYBER	4080	64353	\N	\N	\N
21671	71	1998-06-19	VYDAJ	VYBER	5880	65369	\N	\N	\N
21672	71	1998-04-06	VYDAJ	VYBER KARTOU	1300	58930	\N	\N	0
21680	71	1994-07-31	VYDAJ	VYBER	15	70570	SLUZBY	\N	\N
21681	71	1994-08-31	VYDAJ	VYBER	15	65581	SLUZBY	\N	\N
21682	71	1994-09-30	VYDAJ	VYBER	15	58136	SLUZBY	\N	\N
21683	71	1994-10-31	VYDAJ	VYBER	15	42787	SLUZBY	\N	\N
21684	71	1994-11-30	VYDAJ	VYBER	15	43659	SLUZBY	\N	\N
21685	71	1994-12-31	VYDAJ	VYBER	15	46722	SLUZBY	\N	\N
21686	71	1995-01-31	VYDAJ	VYBER	15	31422	SLUZBY	\N	\N
21687	71	1995-02-28	VYDAJ	VYBER	15	39645	SLUZBY	\N	\N
21688	71	1995-03-31	VYDAJ	VYBER	15	42205	SLUZBY	\N	\N
21689	71	1995-04-30	VYDAJ	VYBER	15	45776	SLUZBY	\N	\N
21690	71	1995-05-31	VYDAJ	VYBER	15	43654	SLUZBY	\N	\N
21691	71	1995-06-30	VYDAJ	VYBER	15	48928	SLUZBY	\N	\N
21692	71	1995-07-31	VYDAJ	VYBER	15	47960	SLUZBY	\N	\N
21693	71	1995-08-31	VYDAJ	VYBER	15	45442	SLUZBY	\N	\N
21694	71	1995-09-30	VYDAJ	VYBER	15	40499	SLUZBY	\N	\N
21695	71	1995-10-31	VYDAJ	VYBER	15	41950	SLUZBY	\N	\N
21696	71	1995-11-30	VYDAJ	VYBER	15	44242	SLUZBY	\N	\N
21697	71	1995-12-31	VYDAJ	VYBER	15	51152	SLUZBY	\N	\N
21698	71	1996-01-31	VYDAJ	VYBER	15	34082	SLUZBY	\N	\N
21699	71	1996-02-29	VYDAJ	VYBER	15	43610	SLUZBY	\N	\N
21700	71	1996-03-31	VYDAJ	VYBER	15	47172	SLUZBY	\N	\N
21701	71	1996-04-30	VYDAJ	VYBER	15	44628	SLUZBY	\N	\N
21702	71	1996-05-31	VYDAJ	VYBER	15	45691	SLUZBY	\N	\N
21703	71	1996-06-30	VYDAJ	VYBER	15	29493	SLUZBY	\N	\N
21704	71	1996-07-31	VYDAJ	VYBER	15	39401	SLUZBY	\N	\N
21705	71	1996-08-31	VYDAJ	VYBER	15	40936	SLUZBY	\N	\N
21706	71	1996-09-30	VYDAJ	VYBER	15	42678	SLUZBY	\N	\N
21707	71	1996-10-31	VYDAJ	VYBER	15	44126	SLUZBY	\N	\N
21708	71	1996-11-30	VYDAJ	VYBER	15	44076	SLUZBY	\N	\N
21709	71	1996-12-31	VYDAJ	VYBER	15	50908	SLUZBY	\N	\N
21710	71	1997-01-31	VYDAJ	VYBER	15	39512	SLUZBY	\N	\N
21711	71	1997-02-28	VYDAJ	VYBER	15	48956	SLUZBY	\N	\N
21712	71	1997-03-31	VYDAJ	VYBER	15	52731	SLUZBY	\N	\N
21713	71	1997-04-30	VYDAJ	VYBER	15	57922	SLUZBY	\N	\N
21714	71	1997-05-31	VYDAJ	VYBER	15	51575	SLUZBY	\N	\N
21715	71	1997-06-30	VYDAJ	VYBER	15	21085	SLUZBY	\N	\N
21716	71	1997-07-31	VYDAJ	VYBER	15	37165	SLUZBY	\N	\N
21717	71	1997-08-31	VYDAJ	VYBER	15	43888	SLUZBY	\N	\N
21718	71	1997-09-30	VYDAJ	VYBER	15	51542	SLUZBY	\N	\N
21719	71	1997-10-31	VYDAJ	VYBER	15	54818	SLUZBY	\N	\N
21720	71	1997-11-30	VYDAJ	VYBER	15	55400	SLUZBY	\N	\N
21721	71	1997-12-31	VYDAJ	VYBER	15	62824	SLUZBY	\N	\N
21722	71	1998-01-31	VYDAJ	VYBER	15	54417	SLUZBY	\N	\N
21723	71	1998-02-28	VYDAJ	VYBER	15	57099	SLUZBY	\N	\N
21724	71	1998-03-31	VYDAJ	VYBER	15	61198	SLUZBY	\N	\N
21725	71	1998-04-30	VYDAJ	VYBER	15	65311	SLUZBY	\N	\N
21726	71	1998-05-31	VYDAJ	VYBER	15	65632	SLUZBY	\N	\N
21727	71	1998-06-30	VYDAJ	VYBER	15	38090	SLUZBY	\N	\N
21728	71	1998-07-31	VYDAJ	VYBER	15	51431	SLUZBY	\N	\N
21729	71	1998-08-31	VYDAJ	VYBER	15	63322	SLUZBY	\N	\N
21730	71	1998-09-30	VYDAJ	VYBER	15	70748	SLUZBY	\N	\N
21731	71	1998-10-31	VYDAJ	VYBER	15	68375	SLUZBY	\N	\N
21732	71	1998-11-30	VYDAJ	VYBER	15	64612	SLUZBY	\N	\N
21733	71	1994-04-04	PRIJEM	VKLAD	700	23186	\N	\N	\N
21734	71	1994-05-04	VYDAJ	VYBER	9300	35765	\N	\N	\N
21735	71	1994-06-03	VYDAJ	VYBER	15200	42508	\N	\N	\N
21736	71	1994-07-03	VYDAJ	VYBER	25800	49578	\N	\N	\N
21737	71	1994-08-02	VYDAJ	VYBER	22600	47970	\N	\N	\N
21738	71	1994-09-01	VYDAJ	VYBER	20000	45581	\N	\N	\N
21739	71	1994-10-01	VYDAJ	VYBER	17500	40636	\N	\N	\N
21740	71	1994-10-31	VYDAJ	VYBER	13500	42802	\N	\N	\N
21741	71	1994-11-30	VYDAJ	VYBER	16700	43674	\N	\N	\N
21742	71	1994-12-30	VYDAJ	VYBER	19400	46476	\N	\N	\N
21743	71	1995-01-29	VYDAJ	VYBER	8700	31260	\N	\N	\N
21744	71	1995-02-28	VYDAJ	VYBER	9300	39660	\N	\N	\N
21745	71	1995-03-30	VYDAJ	VYBER	15000	42003	\N	\N	\N
21746	71	1995-04-29	VYDAJ	VYBER	14000	45563	\N	\N	\N
21747	71	1995-05-29	VYDAJ	VYBER	19700	43434	\N	\N	\N
21748	71	1995-06-28	VYDAJ	VYBER	17900	48691	\N	\N	\N
21749	71	1995-07-28	VYDAJ	VYBER	17600	47726	\N	\N	\N
21750	71	1995-08-27	VYDAJ	VYBER	20100	45218	\N	\N	\N
21751	71	1995-09-26	VYDAJ	VYBER	17100	40300	\N	\N	\N
21752	71	1995-10-26	VYDAJ	VYBER	16100	41757	\N	\N	\N
21753	71	1995-11-25	VYDAJ	VYBER	13100	44048	\N	\N	\N
21754	71	1995-12-25	VYDAJ	VYBER	20100	50919	\N	\N	\N
21755	71	1996-01-24	VYDAJ	VYBER	8000	36430	\N	\N	\N
21756	71	1996-02-23	VYDAJ	VYBER	8000	43440	\N	\N	\N
21757	71	1996-03-24	VYDAJ	VYBER	14000	46968	\N	\N	\N
21758	71	1996-04-23	VYDAJ	VYBER	14700	44430	\N	\N	\N
21759	71	1996-05-23	VYDAJ	VYBER	16500	45486	\N	\N	\N
21760	71	1996-06-22	VYDAJ	VYBER	3800	33788	\N	\N	\N
21761	71	1996-07-22	VYDAJ	VYBER	7600	39251	\N	\N	\N
21762	71	1996-08-21	VYDAJ	VYBER	16000	40759	\N	\N	\N
21763	71	1996-09-20	VYDAJ	VYBER	15800	42494	\N	\N	\N
21764	71	1996-10-20	VYDAJ	VYBER	16100	43936	\N	\N	\N
21765	71	1996-11-19	VYDAJ	VYBER	17600	43884	\N	\N	\N
21766	71	1996-12-19	VYDAJ	VYBER	18100	50693	\N	\N	\N
21767	71	1997-01-18	VYDAJ	VYBER	8500	44426	\N	\N	\N
21768	71	1997-02-17	VYDAJ	VYBER	8100	48770	\N	\N	\N
21769	71	1997-03-19	VYDAJ	VYBER	13800	52514	\N	\N	\N
21770	71	1997-04-18	VYDAJ	VYBER	12400	57689	\N	\N	\N
21771	71	1997-05-18	VYDAJ	VYBER	18300	56980	\N	\N	\N
21772	71	1997-06-17	VYDAJ	VYBER	19400	60392	\N	\N	\N
21773	71	1997-07-17	VYDAJ	VYBER KARTOU	1400	37043	\N	\N	0
21774	71	1997-08-16	VYDAJ	VYBER	8200	43723	\N	\N	\N
21775	71	1997-09-15	VYDAJ	VYBER	9900	51346	\N	\N	\N
21776	71	1997-10-15	VYDAJ	VYBER	14300	54600	\N	\N	\N
21777	71	1997-11-14	VYDAJ	VYBER	12400	58576	\N	\N	\N
21778	71	1997-12-14	VYDAJ	VYBER	15100	63877	\N	\N	\N
21779	71	1998-01-13	VYDAJ	VYBER	11000	61682	\N	\N	\N
21780	71	1998-02-12	VYDAJ	VYBER	12700	59075	\N	\N	\N
21781	71	1998-03-14	VYDAJ	VYBER	13500	60957	\N	\N	\N
21782	71	1998-04-13	VYDAJ	VYBER	12200	65056	\N	\N	\N
21783	71	1998-05-13	VYDAJ	VYBER	17300	65369	\N	\N	\N
21784	71	1998-06-12	VYDAJ	VYBER	22600	71249	\N	\N	\N
21785	71	1998-07-12	VYDAJ	VYBER	4200	51248	\N	\N	\N
21786	71	1998-08-11	VYDAJ	VYBER	5700	63089	\N	\N	\N
21787	71	1998-09-10	VYDAJ	VYBER	10200	70480	\N	\N	\N
21788	71	1998-10-10	VYDAJ	VYBER	20000	68106	\N	\N	\N
21789	71	1998-11-09	VYDAJ	VYBER	17300	68433	\N	\N	\N
21790	71	1998-12-09	VYDAJ	VYBER	21200	71629	\N	\N	\N
21849	72	1996-06-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
21850	72	1996-10-13	PRIJEM	VKLAD	31999	87827	\N	\N	\N
21851	72	1996-10-13	PRIJEM	VKLAD	9048	96875	\N	\N	\N
21852	72	1996-09-06	PRIJEM	VKLAD	18102	38420	\N	\N	\N
21855	72	1996-06-30	PRIJEM	VKLAD	43379	77994	\N	\N	\N
21856	72	1996-08-06	PRIJEM	VKLAD	34445	102277	\N	\N	\N
21857	72	1996-12-14	PRIJEM	VKLAD	25946	98972	\N	\N	\N
21858	72	1996-10-10	PRIJEM	VKLAD	34105	55828	\N	\N	\N
21860	72	1996-06-29	PRIJEM	VKLAD	33499	34599	\N	\N	\N
21861	72	1996-07-01	PRIJEM	VKLAD	40155	118149	\N	\N	\N
21863	72	1996-12-09	PRIJEM	VKLAD	8389	75126	\N	\N	\N
21864	72	1996-07-27	PRIJEM	VKLAD	49740	89489	\N	\N	\N
21865	72	1996-08-04	PRIJEM	VKLAD	30444	120332	\N	\N	\N
21867	72	1996-12-04	PRIJEM	VKLAD	25245	69023	\N	\N	\N
21868	72	1996-12-03	PRIJEM	VKLAD	14282	43778	\N	\N	\N
21872	72	1997-04-05	PRIJEM	VKLAD	6545	86460	\N	\N	\N
21873	72	1997-08-29	PRIJEM	VKLAD	16758	59000	\N	\N	\N
21874	72	1997-08-07	PRIJEM	VKLAD	47381	156396	\N	\N	\N
21875	72	1997-07-29	PRIJEM	VKLAD	18854	111799	\N	\N	\N
21876	72	1997-08-07	PRIJEM	VKLAD	17404	109015	\N	\N	\N
21877	72	1997-05-25	PRIJEM	VKLAD	29461	116013	\N	\N	\N
21878	72	1997-04-04	PRIJEM	VKLAD	26405	79915	\N	\N	\N
21879	72	1997-09-08	PRIJEM	VKLAD	7306	92142	\N	\N	\N
21880	72	1997-04-09	PRIJEM	VKLAD	23552	121489	\N	\N	\N
21881	72	1997-05-21	PRIJEM	VKLAD	40534	119823	\N	\N	\N
21882	72	1997-09-09	PRIJEM	VKLAD	42784	134926	\N	\N	\N
21883	72	1997-07-23	PRIJEM	VKLAD	35226	84297	\N	\N	\N
21884	72	1997-10-22	PRIJEM	VKLAD	9452	25085	\N	\N	\N
21885	72	1997-06-10	PRIJEM	VKLAD	45164	71298	\N	\N	\N
21886	72	1997-04-15	PRIJEM	VKLAD	8209	106089	\N	\N	\N
21887	72	1997-09-04	PRIJEM	VKLAD	27843	87122	\N	\N	\N
21888	72	1997-07-28	PRIJEM	VKLAD	22148	92945	\N	\N	\N
21889	72	1997-11-03	PRIJEM	VKLAD	16742	61285	\N	\N	\N
21890	72	1997-07-06	PRIJEM	VKLAD	43199	84166	\N	\N	\N
21891	72	1997-03-23	PRIJEM	VKLAD	34836	53391	\N	\N	\N
21892	72	1997-04-05	PRIJEM	VKLAD	13763	100223	\N	\N	\N
21893	72	1997-10-24	PRIJEM	VKLAD	19363	44448	\N	\N	\N
21894	72	1997-05-29	PRIJEM	VKLAD	49605	102818	\N	\N	\N
21895	72	1997-08-05	PRIJEM	VKLAD	27839	93897	\N	\N	\N
21896	72	1997-05-21	PRIJEM	VKLAD	43995	79289	\N	\N	\N
21897	72	1997-01-15	PRIJEM	VKLAD	5324	44719	\N	\N	\N
21898	72	1997-02-05	PRIJEM	VKLAD	48100	80856	\N	\N	\N
21899	72	1997-11-18	PRIJEM	VKLAD	12938	37179	\N	\N	\N
21900	72	1998-04-13	PRIJEM	VKLAD	41186	54054	\N	\N	\N
21901	72	1998-05-07	PRIJEM	VKLAD	11608	62204	\N	\N	\N
21902	72	1998-01-26	PRIJEM	VKLAD	17534	45168	\N	\N	\N
21903	72	1998-01-17	PRIJEM	VKLAD	22445	27634	\N	\N	\N
21904	72	1998-08-11	PRIJEM	VKLAD	13393	45023	\N	\N	\N
21905	72	1998-05-28	PRIJEM	VKLAD	15171	39224	\N	\N	\N
21906	72	1998-05-10	PRIJEM	VKLAD	37863	97993	\N	\N	\N
21907	72	1998-08-28	PRIJEM	VKLAD	9807	47721	\N	\N	\N
21908	72	1998-06-26	PRIJEM	VKLAD	29247	88100	\N	\N	\N
21909	72	1998-07-04	PRIJEM	VKLAD	19209	107471	\N	\N	\N
21910	72	1998-06-19	PRIJEM	VKLAD	41381	58853	\N	\N	\N
21911	72	1998-05-04	PRIJEM	VKLAD	16025	52882	\N	\N	\N
21912	72	1998-11-25	PRIJEM	VKLAD	36211	127763	\N	\N	\N
21913	72	1998-09-04	PRIJEM	VKLAD	45894	93747	\N	\N	\N
21914	72	1998-08-06	PRIJEM	VKLAD	47622	66729	\N	\N	\N
21915	72	1998-11-15	PRIJEM	VKLAD	36902	50038	\N	\N	\N
21916	72	1998-11-19	PRIJEM	VKLAD	41514	91552	\N	\N	\N
21917	72	1998-01-29	PRIJEM	VKLAD	25286	70454	\N	\N	\N
21961	72	1996-08-14	VYDAJ	PREVOD NA UCET	7109	30882	SIPO	EF	69338589
21962	72	1996-09-14	VYDAJ	PREVOD NA UCET	7109	29025	SIPO	EF	69338589
21963	72	1996-10-14	VYDAJ	PREVOD NA UCET	7109	89766	SIPO	EF	69338589
21964	72	1996-11-14	VYDAJ	PREVOD NA UCET	7109	43552	SIPO	EF	69338589
21965	72	1996-12-14	VYDAJ	PREVOD NA UCET	7109	91863	SIPO	EF	69338589
21966	72	1997-01-14	VYDAJ	PREVOD NA UCET	7109	39395	SIPO	EF	69338589
21967	72	1997-02-14	VYDAJ	PREVOD NA UCET	7109	71461	SIPO	EF	69338589
21968	72	1997-03-14	VYDAJ	PREVOD NA UCET	7109	24361	SIPO	EF	69338589
21969	72	1997-04-14	VYDAJ	PREVOD NA UCET	7109	97880	SIPO	EF	69338589
21970	72	1997-05-14	VYDAJ	PREVOD NA UCET	7109	54494	SIPO	EF	69338589
21971	72	1997-06-14	VYDAJ	PREVOD NA UCET	7109	64189	SIPO	EF	69338589
21972	72	1997-07-14	VYDAJ	PREVOD NA UCET	7109	74771	SIPO	EF	69338589
21973	72	1997-08-14	VYDAJ	PREVOD NA UCET	7109	51242	SIPO	EF	69338589
21974	72	1997-09-14	VYDAJ	PREVOD NA UCET	7109	31824	SIPO	EF	69338589
21975	72	1997-10-14	VYDAJ	PREVOD NA UCET	7109	15633	SIPO	EF	69338589
21976	72	1997-11-14	VYDAJ	PREVOD NA UCET	7109	24241	SIPO	EF	69338589
21977	72	1997-12-14	VYDAJ	PREVOD NA UCET	7109	14524	SIPO	EF	69338589
21978	72	1998-01-14	VYDAJ	PREVOD NA UCET	7109	5189	SIPO	EF	69338589
21979	72	1998-02-14	VYDAJ	PREVOD NA UCET	7109	31836	SIPO	EF	69338589
21980	72	1998-03-14	VYDAJ	PREVOD NA UCET	7109	15094	SIPO	EF	69338589
21981	72	1998-04-14	VYDAJ	PREVOD NA UCET	7109	46945	SIPO	EF	69338589
21982	72	1998-05-14	VYDAJ	PREVOD NA UCET	7109	48684	SIPO	EF	69338589
21983	72	1998-06-14	VYDAJ	PREVOD NA UCET	7109	17472	SIPO	EF	69338589
21984	72	1998-07-14	VYDAJ	PREVOD NA UCET	7109	18964	SIPO	EF	69338589
21985	72	1998-08-14	VYDAJ	PREVOD NA UCET	7109	37914	SIPO	EF	69338589
21986	72	1998-09-14	VYDAJ	PREVOD NA UCET	7109	46852	SIPO	EF	69338589
21987	72	1998-10-14	VYDAJ	PREVOD NA UCET	7109	22440	SIPO	EF	69338589
21988	72	1998-11-14	VYDAJ	PREVOD NA UCET	7109	13136	SIPO	EF	69338589
21989	72	1998-12-14	VYDAJ	PREVOD NA UCET	7109	42669	SIPO	EF	69338589
21997	72	1996-08-06	VYDAJ	PREVOD NA UCET	2286	99991	 	ST	8297068
21998	72	1996-09-06	VYDAJ	PREVOD NA UCET	2286	36134	 	ST	8297068
21999	72	1996-10-06	VYDAJ	PREVOD NA UCET	2286	21723	 	ST	8297068
22000	72	1996-11-06	VYDAJ	PREVOD NA UCET	2286	50661	 	ST	8297068
22001	72	1996-12-06	VYDAJ	PREVOD NA UCET	2286	66737	 	ST	8297068
22002	72	1997-01-06	VYDAJ	PREVOD NA UCET	2286	46504	 	ST	8297068
22003	72	1997-02-06	VYDAJ	PREVOD NA UCET	2286	78570	 	ST	8297068
22004	72	1997-03-06	VYDAJ	PREVOD NA UCET	2286	31470	 	ST	8297068
22005	72	1997-04-06	VYDAJ	PREVOD NA UCET	2286	97937	 	ST	8297068
22006	72	1997-05-06	VYDAJ	PREVOD NA UCET	2286	61603	 	ST	8297068
22007	72	1997-06-06	VYDAJ	PREVOD NA UCET	2286	49897	 	ST	8297068
22008	72	1997-07-06	VYDAJ	PREVOD NA UCET	2286	81880	 	ST	8297068
22009	72	1997-08-06	VYDAJ	PREVOD NA UCET	2286	91611	 	ST	8297068
22010	72	1997-09-06	VYDAJ	PREVOD NA UCET	2286	84836	 	ST	8297068
22011	72	1997-10-06	VYDAJ	PREVOD NA UCET	2286	29742	 	ST	8297068
22012	72	1997-11-06	VYDAJ	PREVOD NA UCET	2286	58999	 	ST	8297068
22013	72	1997-12-06	VYDAJ	PREVOD NA UCET	2286	35033	 	ST	8297068
22014	72	1998-01-06	VYDAJ	PREVOD NA UCET	2286	12298	 	ST	8297068
22015	72	1998-02-06	VYDAJ	PREVOD NA UCET	2286	62545	 	ST	8297068
22016	72	1998-03-06	VYDAJ	PREVOD NA UCET	2286	29703	 	ST	8297068
22017	72	1998-04-06	VYDAJ	PREVOD NA UCET	2286	12868	 	ST	8297068
22018	72	1998-05-06	VYDAJ	PREVOD NA UCET	2286	50596	 	ST	8297068
22019	72	1998-06-06	VYDAJ	PREVOD NA UCET	2286	37081	 	ST	8297068
22020	72	1998-07-06	VYDAJ	PREVOD NA UCET	2286	105185	 	ST	8297068
22021	72	1998-08-06	VYDAJ	PREVOD NA UCET	2286	64443	 	ST	8297068
22022	72	1998-09-06	VYDAJ	PREVOD NA UCET	2286	91461	 	ST	8297068
22023	72	1998-10-06	VYDAJ	PREVOD NA UCET	2286	44749	 	ST	8297068
22024	72	1998-11-06	VYDAJ	PREVOD NA UCET	2286	20245	 	ST	8297068
22025	72	1998-12-06	VYDAJ	PREVOD NA UCET	2286	100578	 	ST	8297068
22027	72	1996-11-26	VYBER	VYBER	2600	29352	\N	\N	\N
22029	72	1997-08-11	VYBER	VYBER	8645	93151	\N	\N	\N
22030	72	1997-05-21	VYBER	VYBER	10371	109452	\N	\N	\N
22032	72	1997-11-13	VYBER	VYBER	4149	31350	\N	\N	\N
22033	72	1997-06-09	VYBER	VYBER	23763	26134	\N	\N	\N
22035	72	1997-03-15	VYBER	VYBER	4006	20355	\N	\N	\N
22036	72	1997-09-14	VYBER	VYBER	10793	38933	\N	\N	\N
22037	72	1998-08-09	VYBER	VYBER	3913	60530	\N	\N	\N
22039	72	1998-07-07	VYBER	VYBER	13065	92120	\N	\N	\N
22041	72	1998-05-09	VYBER	VYBER	2074	60130	\N	\N	\N
22045	72	1998-05-16	VYBER	VYBER	24631	24053	\N	\N	\N
22046	72	1998-07-11	VYBER	VYBER	24547	26073	\N	\N	\N
22048	72	1998-12-29	VYBER	VYBER	18152	22117	\N	\N	\N
22050	72	1997-06-01	VYDAJ	VYBER	11100	52183	\N	\N	\N
22055	72	1996-12-29	VYDAJ	VYBER	8700	48563	\N	\N	\N
22056	72	1997-12-07	VYDAJ	VYBER	5700	29333	\N	\N	\N
22057	72	1998-12-16	VYDAJ	VYBER	2400	40269	\N	\N	\N
22059	72	1996-12-12	VYDAJ	VYBER	2100	73026	\N	\N	\N
22061	72	1996-08-20	VYDAJ	VYBER	4800	20182	\N	\N	\N
22062	72	1997-02-26	VYDAJ	VYBER	7800	40161	\N	\N	\N
22063	72	1997-07-23	VYDAJ	VYBER	13500	70797	\N	\N	\N
22064	72	1997-03-05	VYDAJ	VYBER	6600	33756	\N	\N	\N
22065	72	1997-08-24	VYDAJ	VYBER	9000	42242	\N	\N	\N
22067	72	1998-02-05	VYDAJ	VYBER	5700	64831	\N	\N	\N
22069	72	1998-05-03	VYDAJ	VYBER	10200	36857	\N	\N	\N
22080	72	1996-08-31	VYDAJ	VYBER	30	20318	SLUZBY	\N	\N
22081	72	1996-09-30	VYDAJ	VYBER	30	24009	SLUZBY	\N	\N
22082	72	1996-10-31	VYDAJ	VYBER	30	52947	SLUZBY	\N	\N
22083	72	1996-11-30	VYDAJ	VYBER	30	29496	SLUZBY	\N	\N
22084	72	1996-12-31	VYDAJ	VYBER	30	48790	SLUZBY	\N	\N
22085	72	1997-01-31	VYDAJ	VYBER	30	32756	SLUZBY	\N	\N
22086	72	1997-02-28	VYDAJ	VYBER	30	40356	SLUZBY	\N	\N
22087	72	1997-03-31	VYDAJ	VYBER	30	53510	SLUZBY	\N	\N
22088	72	1997-04-30	VYDAJ	VYBER	30	63889	SLUZBY	\N	\N
22089	72	1997-05-31	VYDAJ	VYBER	30	63283	SLUZBY	\N	\N
22090	72	1997-06-30	VYDAJ	VYBER	30	40967	SLUZBY	\N	\N
22091	72	1997-07-31	VYDAJ	VYBER	30	66058	SLUZBY	\N	\N
22092	72	1997-08-31	VYDAJ	VYBER	30	59279	SLUZBY	\N	\N
22093	72	1997-09-30	VYDAJ	VYBER	30	32028	SLUZBY	\N	\N
22094	72	1997-10-31	VYDAJ	VYBER	30	44543	SLUZBY	\N	\N
22095	72	1997-11-30	VYDAJ	VYBER	30	37319	SLUZBY	\N	\N
22096	72	1997-12-31	VYDAJ	VYBER	30	14584	SLUZBY	\N	\N
22097	72	1998-01-31	VYDAJ	VYBER	30	70531	SLUZBY	\N	\N
22098	72	1998-02-28	VYDAJ	VYBER	30	31989	SLUZBY	\N	\N
22099	72	1998-03-31	VYDAJ	VYBER	30	15154	SLUZBY	\N	\N
22100	72	1998-04-30	VYDAJ	VYBER	30	47057	SLUZBY	\N	\N
22101	72	1998-05-31	VYDAJ	VYBER	30	39367	SLUZBY	\N	\N
22102	72	1998-06-30	VYDAJ	VYBER	30	88262	SLUZBY	\N	\N
22103	72	1998-07-31	VYDAJ	VYBER	30	19107	SLUZBY	\N	\N
22104	72	1998-08-31	VYDAJ	VYBER	30	47853	SLUZBY	\N	\N
22105	72	1998-09-30	VYDAJ	VYBER	30	47035	SLUZBY	\N	\N
22106	72	1998-10-31	VYDAJ	VYBER	30	22531	SLUZBY	\N	\N
22107	72	1998-11-30	VYDAJ	VYBER	30	102864	SLUZBY	\N	\N
22108	72	1996-07-01	VYDAJ	VYBER	62300	55849	\N	\N	\N
22109	72	1996-07-20	VYDAJ	VYBER	16100	39749	\N	\N	\N
22110	72	1996-08-04	VYDAJ	VYBER	52500	67832	\N	\N	\N
22111	72	1996-08-06	VYDAJ	VYBER	62000	37991	\N	\N	\N
22112	72	1996-08-19	VYDAJ	VYBER	5900	24982	\N	\N	\N
22113	72	1996-09-18	VYDAJ	VYBER	5100	23925	\N	\N	\N
22114	72	1996-10-18	VYDAJ	VYBER	37000	52766	\N	\N	\N
22115	72	1996-11-17	VYDAJ	VYBER	11600	31952	\N	\N	\N
22116	72	1996-12-17	VYDAJ	VYBER	34600	57263	\N	\N	\N
22117	72	1997-01-16	VYDAJ	VYBER	12100	32619	\N	\N	\N
22118	72	1997-02-15	VYDAJ	VYBER	23500	47961	\N	\N	\N
22119	72	1997-03-17	VYDAJ	VYBER	1800	18555	\N	\N	\N
22120	72	1997-04-09	VYDAJ	VYBER	16500	104989	\N	\N	\N
22121	72	1997-04-16	VYDAJ	VYBER	42500	63589	\N	\N	\N
22122	72	1997-05-16	VYDAJ	VYBER	19200	35294	\N	\N	\N
22123	72	1997-05-21	VYDAJ	VYBER	22900	86552	\N	\N	\N
22124	72	1997-05-25	VYDAJ	VYBER	62800	53213	\N	\N	\N
22125	72	1997-05-29	VYDAJ	VYBER	39800	63018	\N	\N	\N
22126	72	1997-06-15	VYDAJ	VYBER	23400	40789	\N	\N	\N
22127	72	1997-07-15	VYDAJ	VYBER	25700	49071	\N	\N	\N
22128	72	1997-07-29	VYDAJ	VYBER	46000	65799	\N	\N	\N
22129	72	1997-08-07	VYDAJ	VYBER	19800	101796	\N	\N	\N
22130	72	1997-08-07	VYDAJ	VYBER	34800	121596	\N	\N	\N
22131	72	1997-08-14	VYDAJ	VYBER	34800	58351	\N	\N	\N
22132	72	1997-09-09	VYDAJ	VYBER	56600	78326	\N	\N	\N
22133	72	1997-09-13	VYDAJ	VYBER	28600	49726	\N	\N	\N
22134	72	1997-10-13	VYDAJ	VYBER	7000	22742	\N	\N	\N
22135	72	1997-11-12	VYDAJ	VYBER	23500	35499	\N	\N	\N
22136	72	1997-12-12	VYDAJ	VYBER	7700	21633	\N	\N	\N
22137	72	1998-02-10	VYDAJ	VYBER	23600	38945	\N	\N	\N
22138	72	1998-03-12	VYDAJ	VYBER	7500	22203	\N	\N	\N
22139	72	1998-05-11	VYDAJ	VYBER	42200	55793	\N	\N	\N
22140	72	1998-06-10	VYDAJ	VYBER	12500	24581	\N	\N	\N
22141	72	1998-07-10	VYDAJ	VYBER	41500	50620	\N	\N	\N
22142	72	1998-08-09	VYDAJ	VYBER	28900	31630	\N	\N	\N
22143	72	1998-09-08	VYDAJ	VYBER	37500	53961	\N	\N	\N
22144	72	1998-10-08	VYDAJ	VYBER	15200	29549	\N	\N	\N
22145	72	1998-11-25	VYDAJ	VYBER	25100	102663	\N	\N	\N
22146	72	1998-12-07	VYDAJ	VYBER	50800	49778	\N	\N	\N
22178	73	1993-11-08	PRIJEM	VKLAD	400	400	\N	\N	\N
22189	73	1993-11-11	PRIJEM	VKLAD	19111	19511	\N	\N	\N
22190	73	1993-12-11	PRIJEM	VKLAD	28667	48932	\N	\N	\N
22191	73	1994-01-11	PRIJEM	VKLAD	19111	56207	\N	\N	\N
22192	73	1994-02-11	PRIJEM	VKLAD	19111	57542	\N	\N	\N
22193	73	1994-03-11	PRIJEM	VKLAD	19111	58391	\N	\N	\N
22194	73	1994-04-11	PRIJEM	VKLAD	19111	58453	\N	\N	\N
22195	73	1994-05-11	PRIJEM	VKLAD	19111	60009	\N	\N	\N
22196	73	1994-06-11	PRIJEM	VKLAD	28667	61504	\N	\N	\N
22197	73	1994-07-11	PRIJEM	VKLAD	19111	57262	\N	\N	\N
22198	73	1994-08-11	PRIJEM	VKLAD	19111	53726	\N	\N	\N
22199	73	1994-09-11	PRIJEM	VKLAD	19111	50372	\N	\N	\N
22200	73	1994-10-11	PRIJEM	VKLAD	19111	54287	\N	\N	\N
22201	73	1994-11-11	PRIJEM	VKLAD	19111	54020	\N	\N	\N
22202	73	1994-12-11	PRIJEM	VKLAD	28667	62311	\N	\N	\N
22203	73	1995-01-11	PRIJEM	VKLAD	19111	47026	\N	\N	\N
22204	73	1995-02-11	PRIJEM	VKLAD	19111	42454	\N	\N	\N
22205	73	1995-03-11	PRIJEM	VKLAD	19111	46318	\N	\N	\N
22206	73	1995-04-11	PRIJEM	VKLAD	19111	48804	\N	\N	\N
22207	73	1995-05-11	PRIJEM	VKLAD	19111	54410	\N	\N	\N
22208	73	1995-06-11	PRIJEM	VKLAD	28667	57916	\N	\N	\N
22209	73	1995-07-11	PRIJEM	VKLAD	19111	54249	\N	\N	\N
22210	73	1995-08-11	PRIJEM	VKLAD	19111	49469	\N	\N	\N
22211	73	1995-09-11	PRIJEM	VKLAD	19111	48872	\N	\N	\N
22212	73	1995-10-11	PRIJEM	VKLAD	19111	50761	\N	\N	\N
22213	73	1995-11-11	PRIJEM	VKLAD	19111	53256	\N	\N	\N
22214	73	1995-12-11	PRIJEM	VKLAD	28667	57213	\N	\N	\N
22215	73	1996-01-11	PRIJEM	VKLAD	19111	50328	\N	\N	\N
22216	73	1996-02-11	PRIJEM	VKLAD	19111	45838	\N	\N	\N
22217	73	1996-03-11	PRIJEM	VKLAD	19111	50408	\N	\N	\N
22218	73	1996-04-11	PRIJEM	VKLAD	19111	49891	\N	\N	\N
22219	73	1996-05-11	PRIJEM	VKLAD	19111	53579	\N	\N	\N
22220	73	1996-06-11	PRIJEM	VKLAD	28667	49156	\N	\N	\N
22221	73	1996-07-11	PRIJEM	VKLAD	19111	53353	\N	\N	\N
22222	73	1996-08-11	PRIJEM	VKLAD	19111	57360	\N	\N	\N
22223	73	1996-09-11	PRIJEM	VKLAD	19111	59975	\N	\N	\N
22224	73	1996-10-11	PRIJEM	VKLAD	19111	62199	\N	\N	\N
22225	73	1996-11-11	PRIJEM	VKLAD	19111	59727	\N	\N	\N
22226	73	1996-12-11	PRIJEM	VKLAD	28667	67130	\N	\N	\N
22227	73	1997-01-11	PRIJEM	VKLAD	19111	60273	\N	\N	\N
22228	73	1997-02-11	PRIJEM	VKLAD	19111	44853	\N	\N	\N
22229	73	1997-03-11	PRIJEM	VKLAD	19111	56722	\N	\N	\N
22230	73	1997-04-11	PRIJEM	VKLAD	19111	64637	\N	\N	\N
22231	73	1997-05-11	PRIJEM	VKLAD	19111	62675	\N	\N	\N
22232	73	1997-06-11	PRIJEM	VKLAD	28667	74972	\N	\N	\N
22233	73	1997-07-11	PRIJEM	VKLAD	19111	50111	\N	\N	\N
22234	73	1997-08-11	PRIJEM	VKLAD	19111	60805	\N	\N	\N
22235	73	1997-09-11	PRIJEM	VKLAD	19111	67131	\N	\N	\N
22236	73	1997-10-11	PRIJEM	VKLAD	19111	70678	\N	\N	\N
22237	73	1997-11-11	PRIJEM	VKLAD	19111	76244	\N	\N	\N
22238	73	1997-12-11	PRIJEM	VKLAD	28667	84189	\N	\N	\N
22239	73	1998-01-11	PRIJEM	VKLAD	19111	74479	\N	\N	\N
22240	73	1998-02-11	PRIJEM	VKLAD	19111	61139	\N	\N	\N
22241	73	1998-03-11	PRIJEM	VKLAD	19111	64619	\N	\N	\N
22242	73	1998-04-11	PRIJEM	VKLAD	19111	75066	\N	\N	\N
22243	73	1998-05-11	PRIJEM	VKLAD	19111	78144	\N	\N	\N
22244	73	1998-06-11	PRIJEM	VKLAD	28667	89175	\N	\N	\N
22245	73	1998-07-11	PRIJEM	VKLAD	19111	68964	\N	\N	\N
22246	73	1998-08-11	PRIJEM	VKLAD	19111	76321	\N	\N	\N
22247	73	1998-09-11	PRIJEM	VKLAD	19111	79898	\N	\N	\N
22248	73	1998-10-11	PRIJEM	VKLAD	19111	83002	\N	\N	\N
22249	73	1998-11-11	PRIJEM	VKLAD	19111	81993	\N	\N	\N
22250	73	1998-12-11	PRIJEM	VKLAD	28667	85530	\N	\N	\N
22265	73	1994-03-13	VYDAJ	PREVOD NA UCET	6061	52330	SIPO	CD	67077487
22266	73	1994-04-13	VYDAJ	PREVOD NA UCET	6061	52392	SIPO	CD	67077487
22267	73	1994-05-13	VYDAJ	PREVOD NA UCET	6061	53948	SIPO	CD	67077487
22268	73	1994-06-13	VYDAJ	PREVOD NA UCET	6061	55443	SIPO	CD	67077487
22269	73	1994-07-13	VYDAJ	PREVOD NA UCET	6061	51201	SIPO	CD	67077487
22270	73	1994-08-13	VYDAJ	PREVOD NA UCET	6061	47665	SIPO	CD	67077487
22271	73	1994-09-13	VYDAJ	PREVOD NA UCET	6061	44311	SIPO	CD	67077487
22272	73	1994-10-13	VYDAJ	PREVOD NA UCET	6061	48226	SIPO	CD	67077487
22273	73	1994-11-13	VYDAJ	PREVOD NA UCET	6061	47959	SIPO	CD	67077487
22274	73	1994-12-13	VYDAJ	PREVOD NA UCET	6061	56250	SIPO	CD	67077487
22275	73	1995-01-13	VYDAJ	PREVOD NA UCET	6061	40965	SIPO	CD	67077487
22276	73	1995-02-13	VYDAJ	PREVOD NA UCET	6061	36393	SIPO	CD	67077487
22277	73	1995-03-13	VYDAJ	PREVOD NA UCET	6061	40257	SIPO	CD	67077487
22278	73	1995-04-13	VYDAJ	PREVOD NA UCET	6061	42743	SIPO	CD	67077487
22279	73	1995-05-13	VYDAJ	PREVOD NA UCET	6061	48349	SIPO	CD	67077487
22280	73	1995-06-13	VYDAJ	PREVOD NA UCET	6061	51855	SIPO	CD	67077487
22281	73	1995-07-13	VYDAJ	PREVOD NA UCET	6061	48188	SIPO	CD	67077487
22282	73	1995-08-13	VYDAJ	PREVOD NA UCET	6061	43408	SIPO	CD	67077487
22283	73	1995-09-13	VYDAJ	PREVOD NA UCET	6061	42811	SIPO	CD	67077487
22284	73	1995-10-13	VYDAJ	PREVOD NA UCET	6061	44700	SIPO	CD	67077487
22285	73	1995-11-13	VYDAJ	PREVOD NA UCET	6061	47195	SIPO	CD	67077487
22286	73	1995-12-13	VYDAJ	PREVOD NA UCET	6061	51152	SIPO	CD	67077487
22287	73	1996-01-13	VYDAJ	PREVOD NA UCET	6061	42467	SIPO	CD	67077487
22288	73	1996-02-13	VYDAJ	PREVOD NA UCET	6061	37177	SIPO	CD	67077487
22289	73	1996-03-13	VYDAJ	PREVOD NA UCET	6061	44347	SIPO	CD	67077487
22290	73	1996-04-13	VYDAJ	PREVOD NA UCET	6061	43830	SIPO	CD	67077487
22291	73	1996-05-13	VYDAJ	PREVOD NA UCET	6061	47518	SIPO	CD	67077487
22292	73	1996-06-13	VYDAJ	PREVOD NA UCET	6061	43095	SIPO	CD	67077487
22293	73	1996-07-13	VYDAJ	PREVOD NA UCET	6061	45092	SIPO	CD	67077487
22294	73	1996-08-13	VYDAJ	PREVOD NA UCET	6061	51299	SIPO	CD	67077487
22295	73	1996-09-13	VYDAJ	PREVOD NA UCET	6061	53914	SIPO	CD	67077487
22296	73	1996-10-13	VYDAJ	PREVOD NA UCET	6061	56138	SIPO	CD	67077487
22297	73	1996-11-13	VYDAJ	PREVOD NA UCET	6061	53666	SIPO	CD	67077487
22298	73	1996-12-13	VYDAJ	PREVOD NA UCET	6061	61069	SIPO	CD	67077487
22299	73	1997-01-13	VYDAJ	PREVOD NA UCET	6061	54212	SIPO	CD	67077487
22300	73	1997-02-13	VYDAJ	PREVOD NA UCET	6061	38792	SIPO	CD	67077487
22301	73	1997-03-13	VYDAJ	PREVOD NA UCET	6061	50661	SIPO	CD	67077487
22302	73	1997-04-13	VYDAJ	PREVOD NA UCET	6061	58576	SIPO	CD	67077487
22303	73	1997-05-13	VYDAJ	PREVOD NA UCET	6061	56614	SIPO	CD	67077487
22304	73	1997-06-13	VYDAJ	PREVOD NA UCET	6061	68911	SIPO	CD	67077487
22305	73	1997-07-13	VYDAJ	PREVOD NA UCET	6061	41850	SIPO	CD	67077487
22306	73	1997-08-13	VYDAJ	PREVOD NA UCET	6061	54744	SIPO	CD	67077487
22307	73	1997-09-13	VYDAJ	PREVOD NA UCET	6061	61070	SIPO	CD	67077487
22308	73	1997-10-13	VYDAJ	PREVOD NA UCET	6061	64617	SIPO	CD	67077487
22309	73	1997-11-13	VYDAJ	PREVOD NA UCET	6061	64303	SIPO	CD	67077487
22310	73	1997-12-13	VYDAJ	PREVOD NA UCET	6061	78128	SIPO	CD	67077487
22311	73	1998-01-13	VYDAJ	PREVOD NA UCET	6061	62818	SIPO	CD	67077487
22312	73	1998-02-13	VYDAJ	PREVOD NA UCET	6061	55078	SIPO	CD	67077487
22313	73	1998-03-13	VYDAJ	PREVOD NA UCET	6061	58558	SIPO	CD	67077487
22314	73	1998-04-13	VYDAJ	PREVOD NA UCET	6061	69005	SIPO	CD	67077487
22315	73	1998-05-13	VYDAJ	PREVOD NA UCET	6061	72083	SIPO	CD	67077487
22316	73	1998-06-13	VYDAJ	PREVOD NA UCET	6061	83114	SIPO	CD	67077487
22317	73	1998-07-13	VYDAJ	PREVOD NA UCET	6061	62903	SIPO	CD	67077487
22318	73	1998-08-13	VYDAJ	PREVOD NA UCET	6061	70260	SIPO	CD	67077487
22319	73	1998-09-13	VYDAJ	PREVOD NA UCET	6061	63637	SIPO	CD	67077487
22320	73	1998-10-13	VYDAJ	PREVOD NA UCET	6061	76941	SIPO	CD	67077487
22321	73	1998-11-13	VYDAJ	PREVOD NA UCET	6061	59032	SIPO	CD	67077487
22322	73	1998-12-13	VYDAJ	PREVOD NA UCET	6061	61669	SIPO	CD	67077487
22326	73	1996-06-04	VYDAJ	VYBER	15680	20489	\N	\N	\N
22327	73	1997-06-16	VYDAJ	VYBER	44160	24751	\N	\N	\N
22328	73	1998-06-16	VYDAJ	VYBER	11200	56914	\N	\N	\N
22331	73	1995-01-10	VYDAJ	VYBER	12640	27915	\N	\N	\N
22332	73	1996-01-20	VYDAJ	VYBER	4480	37987	\N	\N	\N
22333	73	1997-01-28	VYDAJ	VYBER	13440	26372	\N	\N	\N
22334	73	1998-01-13	VYDAJ	VYBER	7360	55458	\N	\N	\N
22336	73	1994-12-19	VYDAJ	VYBER KARTOU	800	55450	\N	\N	0
22337	73	1995-12-06	VYDAJ	VYBER KARTOU	2700	28546	\N	\N	0
22338	73	1996-12-03	VYDAJ	VYBER	4480	38463	\N	\N	\N
22339	73	1997-12-18	VYDAJ	VYBER KARTOU	2400	62728	\N	\N	0
22340	73	1998-12-01	VYDAJ	VYBER KARTOU	2400	56863	\N	\N	0
22353	73	1995-01-14	VYDAJ	VYBER KARTOU	2300	38665	\N	\N	0
22354	73	1995-01-06	VYDAJ	VYBER KARTOU	1700	40555	\N	\N	0
22355	73	1995-01-16	VYDAJ	VYBER KARTOU	1800	36865	\N	\N	0
22356	73	1995-01-18	VYDAJ	VYBER KARTOU	2900	33965	\N	\N	0
22357	73	1995-01-18	VYDAJ	VYBER KARTOU	700	33265	\N	\N	0
22358	73	1995-01-30	VYDAJ	VYBER KARTOU	3500	24485	\N	\N	0
22359	73	1996-01-27	VYDAJ	VYBER KARTOU	3200	32387	\N	\N	0
22360	73	1996-01-23	VYDAJ	VYBER KARTOU	2400	35587	\N	\N	0
22361	73	1996-01-10	VYDAJ	VYBER KARTOU	3200	31217	\N	\N	0
22362	73	1996-01-30	VYDAJ	VYBER KARTOU	1400	26587	\N	\N	0
22363	73	1996-01-11	VYDAJ	VYBER KARTOU	1800	48528	\N	\N	0
22364	73	1996-01-10	VYDAJ	VYBER KARTOU	3200	34417	\N	\N	0
22365	73	1997-01-10	VYDAJ	VYBER KARTOU	1900	41162	\N	\N	0
22366	73	1997-01-17	VYDAJ	VYBER KARTOU	2900	51312	\N	\N	0
22367	73	1997-01-24	VYDAJ	VYBER KARTOU	1800	42112	\N	\N	0
22368	73	1997-01-25	VYDAJ	VYBER KARTOU	2300	39812	\N	\N	0
22369	73	1997-01-08	VYDAJ	VYBER KARTOU	2500	43062	\N	\N	0
22370	73	1997-01-29	VYDAJ	VYBER KARTOU	800	25572	\N	\N	0
22371	73	1998-01-04	VYDAJ	VYBER KARTOU	2000	55368	\N	\N	0
22372	73	1998-01-30	VYDAJ	VYBER KARTOU	1400	41818	\N	\N	0
22373	73	1998-01-01	VYDAJ	VYBER KARTOU	2500	60468	\N	\N	0
22374	73	1998-01-02	VYDAJ	VYBER KARTOU	3100	57368	\N	\N	0
22375	73	1998-01-30	VYDAJ	VYBER KARTOU	2400	43218	\N	\N	0
22376	73	1998-01-13	VYDAJ	VYBER KARTOU	2500	68879	\N	\N	0
22381	73	1994-11-25	VYDAJ	VYBER KARTOU	2500	45459	\N	\N	0
22382	73	1994-06-08	VYDAJ	VYBER	5520	32838	\N	\N	\N
22383	73	1994-08-01	VYDAJ	VYBER	5880	45515	\N	\N	\N
22384	73	1994-07-01	VYDAJ	VYBER KARTOU	3700	51951	\N	\N	0
22385	73	1994-08-04	VYDAJ	VYBER KARTOU	2300	43215	\N	\N	0
22386	73	1994-09-06	VYDAJ	VYBER	5880	31261	\N	\N	\N
22388	73	1995-06-05	VYDAJ	VYBER	5880	29250	\N	\N	\N
22389	73	1995-11-23	VYDAJ	VYBER KARTOU	3500	43695	\N	\N	0
22390	73	1995-01-30	VYDAJ	VYBER	5280	19205	\N	\N	\N
22391	73	1995-01-19	VYDAJ	VYBER	5280	27985	\N	\N	\N
22392	73	1995-03-04	VYDAJ	VYBER KARTOU	1700	27207	\N	\N	0
22393	73	1995-08-06	VYDAJ	VYBER	4920	30358	\N	\N	\N
22394	73	1995-03-24	VYDAJ	VYBER	4200	36057	\N	\N	\N
22395	73	1996-03-17	VYDAJ	VYBER KARTOU	3600	40747	\N	\N	0
22396	73	1996-02-12	VYDAJ	VYBER KARTOU	2600	43238	\N	\N	0
22397	73	1996-11-09	VYDAJ	VYBER KARTOU	700	40616	\N	\N	0
22398	73	1996-07-13	VYDAJ	VYBER KARTOU	2200	51153	\N	\N	0
22399	73	1997-11-13	VYDAJ	VYBER	5880	70364	\N	\N	\N
22400	73	1997-05-09	VYDAJ	VYBER KARTOU	3700	43564	\N	\N	0
22401	73	1997-07-11	VYDAJ	VYBER KARTOU	2200	47911	\N	\N	0
22402	73	1998-06-22	VYDAJ	VYBER KARTOU	1900	55014	\N	\N	0
22403	73	1998-06-23	VYDAJ	VYBER	5400	49614	\N	\N	\N
22404	73	1998-01-17	VYDAJ	VYBER KARTOU	2000	50058	\N	\N	0
22405	73	1998-02-20	VYDAJ	VYBER	5640	45338	\N	\N	\N
22406	73	1998-01-30	VYDAJ	VYBER	4440	45618	\N	\N	\N
22407	73	1998-01-11	VYDAJ	VYBER KARTOU	3100	71379	\N	\N	0
22408	73	1998-04-24	VYDAJ	VYBER KARTOU	3100	58805	\N	\N	0
22409	73	1998-06-01	VYDAJ	VYBER	5520	60509	\N	\N	\N
22425	73	1994-03-31	VYDAJ	VYBER	15	52542	SLUZBY	\N	\N
22426	73	1994-04-30	VYDAJ	VYBER	15	52598	SLUZBY	\N	\N
22427	73	1994-05-31	VYDAJ	VYBER	15	54158	SLUZBY	\N	\N
22428	73	1994-06-30	VYDAJ	VYBER	15	55651	SLUZBY	\N	\N
22429	73	1994-07-31	VYDAJ	VYBER	15	51395	SLUZBY	\N	\N
22430	73	1994-08-31	VYDAJ	VYBER	15	47841	SLUZBY	\N	\N
22431	73	1994-09-30	VYDAJ	VYBER	15	44476	SLUZBY	\N	\N
22432	73	1994-10-31	VYDAJ	VYBER	15	48409	SLUZBY	\N	\N
22433	73	1994-11-30	VYDAJ	VYBER	15	45644	SLUZBY	\N	\N
22434	73	1994-12-31	VYDAJ	VYBER	15	55655	SLUZBY	\N	\N
22435	73	1995-01-31	VYDAJ	VYBER	15	19343	SLUZBY	\N	\N
22436	73	1995-02-28	VYDAJ	VYBER	15	36507	SLUZBY	\N	\N
22437	73	1995-03-31	VYDAJ	VYBER	15	36193	SLUZBY	\N	\N
22438	73	1995-04-30	VYDAJ	VYBER	15	42899	SLUZBY	\N	\N
22439	73	1995-05-31	VYDAJ	VYBER	15	48530	SLUZBY	\N	\N
22440	73	1995-06-30	VYDAJ	VYBER	15	52038	SLUZBY	\N	\N
22441	73	1995-07-31	VYDAJ	VYBER	15	35278	SLUZBY	\N	\N
22442	73	1995-08-31	VYDAJ	VYBER	15	29761	SLUZBY	\N	\N
22443	73	1995-09-30	VYDAJ	VYBER	15	31650	SLUZBY	\N	\N
22444	73	1995-10-31	VYDAJ	VYBER	15	34145	SLUZBY	\N	\N
22445	73	1995-11-30	VYDAJ	VYBER	15	31246	SLUZBY	\N	\N
22446	73	1995-12-31	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
22447	73	1996-01-31	VYDAJ	VYBER	15	26727	SLUZBY	\N	\N
22448	73	1996-02-29	VYDAJ	VYBER	15	31297	SLUZBY	\N	\N
22449	73	1996-03-31	VYDAJ	VYBER	15	30780	SLUZBY	\N	\N
22450	73	1996-04-30	VYDAJ	VYBER	15	34468	SLUZBY	\N	\N
22451	73	1996-05-31	VYDAJ	VYBER	15	36169	SLUZBY	\N	\N
22452	73	1996-06-30	VYDAJ	VYBER	15	34242	SLUZBY	\N	\N
22453	73	1996-07-31	VYDAJ	VYBER	15	38249	SLUZBY	\N	\N
22454	73	1996-08-31	VYDAJ	VYBER	15	40864	SLUZBY	\N	\N
22455	73	1996-09-30	VYDAJ	VYBER	15	43088	SLUZBY	\N	\N
22456	73	1996-10-31	VYDAJ	VYBER	15	41316	SLUZBY	\N	\N
22457	73	1996-11-30	VYDAJ	VYBER	15	42943	SLUZBY	\N	\N
22458	73	1996-12-31	VYDAJ	VYBER	15	45562	SLUZBY	\N	\N
22459	73	1997-01-31	VYDAJ	VYBER	15	25742	SLUZBY	\N	\N
22460	73	1997-02-28	VYDAJ	VYBER	15	37611	SLUZBY	\N	\N
22461	73	1997-03-31	VYDAJ	VYBER	15	45526	SLUZBY	\N	\N
22462	73	1997-04-30	VYDAJ	VYBER	15	47264	SLUZBY	\N	\N
22463	73	1997-05-31	VYDAJ	VYBER	15	46306	SLUZBY	\N	\N
22464	73	1997-06-30	VYDAJ	VYBER	15	31000	SLUZBY	\N	\N
22465	73	1997-07-31	VYDAJ	VYBER	15	41694	SLUZBY	\N	\N
22466	73	1997-08-31	VYDAJ	VYBER	15	48020	SLUZBY	\N	\N
22467	73	1997-09-30	VYDAJ	VYBER	15	51567	SLUZBY	\N	\N
22468	73	1997-10-31	VYDAJ	VYBER	15	57133	SLUZBY	\N	\N
22469	73	1997-11-30	VYDAJ	VYBER	15	55522	SLUZBY	\N	\N
22470	73	1997-12-31	VYDAJ	VYBER	15	62968	SLUZBY	\N	\N
22471	73	1998-01-31	VYDAJ	VYBER	15	42028	SLUZBY	\N	\N
22472	73	1998-02-28	VYDAJ	VYBER	15	45508	SLUZBY	\N	\N
22473	73	1998-03-31	VYDAJ	VYBER	15	55955	SLUZBY	\N	\N
22474	73	1998-04-30	VYDAJ	VYBER	15	59033	SLUZBY	\N	\N
22475	73	1998-05-31	VYDAJ	VYBER	15	66029	SLUZBY	\N	\N
22476	73	1998-06-30	VYDAJ	VYBER	15	49853	SLUZBY	\N	\N
22477	73	1998-07-31	VYDAJ	VYBER	15	57210	SLUZBY	\N	\N
22478	73	1998-08-31	VYDAJ	VYBER	15	60787	SLUZBY	\N	\N
22479	73	1998-09-30	VYDAJ	VYBER	15	63891	SLUZBY	\N	\N
22480	73	1998-10-31	VYDAJ	VYBER	15	62882	SLUZBY	\N	\N
22481	73	1998-11-30	VYDAJ	VYBER	15	59263	SLUZBY	\N	\N
22482	73	1993-12-08	PRIJEM	VKLAD	700	20265	\N	\N	\N
22483	73	1994-01-07	VYDAJ	VYBER	12000	37096	\N	\N	\N
22484	73	1994-02-06	VYDAJ	VYBER	18000	38431	\N	\N	\N
22485	73	1994-03-08	VYDAJ	VYBER	18500	39280	\N	\N	\N
22486	73	1994-04-07	VYDAJ	VYBER	13200	39342	\N	\N	\N
22487	73	1994-05-07	VYDAJ	VYBER	11700	40898	\N	\N	\N
22488	73	1994-06-06	VYDAJ	VYBER	15800	38358	\N	\N	\N
22489	73	1994-07-06	VYDAJ	VYBER	13800	38151	\N	\N	\N
22490	73	1994-08-05	VYDAJ	VYBER	8600	34615	\N	\N	\N
22491	73	1994-09-04	VYDAJ	VYBER	10700	37141	\N	\N	\N
22492	73	1994-10-04	VYDAJ	VYBER	9300	35176	\N	\N	\N
22493	73	1994-11-03	VYDAJ	VYBER	13500	34909	\N	\N	\N
22494	73	1994-12-03	VYDAJ	VYBER	12000	33644	\N	\N	\N
22495	73	1995-01-02	VYDAJ	VYBER	13400	42255	\N	\N	\N
22496	73	1995-02-01	PRIJEM	VKLAD	4000	23343	\N	\N	\N
22497	73	1995-03-03	VYDAJ	VYBER	7600	28907	\N	\N	\N
22498	73	1995-04-02	VYDAJ	VYBER	6500	29693	\N	\N	\N
22499	73	1995-05-02	VYDAJ	VYBER	7600	35299	\N	\N	\N
22500	73	1995-06-01	VYDAJ	VYBER	13400	35130	\N	\N	\N
22501	73	1995-07-01	VYDAJ	VYBER	16900	35138	\N	\N	\N
22502	73	1995-07-31	VYDAJ	VYBER	13100	35293	\N	\N	\N
22503	73	1995-08-30	VYDAJ	VYBER	13800	29608	\N	\N	\N
22504	73	1995-09-29	VYDAJ	VYBER	11300	31511	\N	\N	\N
22505	73	1995-10-29	VYDAJ	VYBER	10700	34000	\N	\N	\N
22506	73	1995-11-28	VYDAJ	VYBER	12600	31095	\N	\N	\N
22507	73	1995-12-28	VYDAJ	VYBER	13700	37452	\N	\N	\N
22508	73	1996-01-27	VYDAJ	VYBER	4400	27987	\N	\N	\N
22509	73	1996-02-26	VYDAJ	VYBER	6000	31177	\N	\N	\N
22510	73	1996-03-27	VYDAJ	VYBER	10100	30647	\N	\N	\N
22511	73	1996-04-26	VYDAJ	VYBER	9500	34330	\N	\N	\N
22512	73	1996-05-26	VYDAJ	VYBER	11500	36018	\N	\N	\N
22513	73	1996-06-25	VYDAJ	VYBER	9000	34095	\N	\N	\N
22514	73	1996-07-25	VYDAJ	VYBER	7000	38092	\N	\N	\N
22515	73	1996-08-24	VYDAJ	VYBER	10600	40699	\N	\N	\N
22516	73	1996-09-23	VYDAJ	VYBER	11000	42914	\N	\N	\N
22517	73	1996-10-23	VYDAJ	VYBER	15000	41138	\N	\N	\N
22518	73	1996-11-22	VYDAJ	VYBER	10900	42766	\N	\N	\N
22519	73	1996-12-22	VYDAJ	VYBER	15700	45369	\N	\N	\N
22520	73	1997-01-21	VYDAJ	VYBER	7400	43912	\N	\N	\N
22521	73	1997-02-20	VYDAJ	VYBER KARTOU	1300	37492	\N	\N	0
22522	73	1997-03-22	VYDAJ	VYBER	5300	45361	\N	\N	\N
22523	73	1997-04-21	VYDAJ	VYBER	11500	47076	\N	\N	\N
22524	73	1997-05-21	VYDAJ	VYBER	10500	46114	\N	\N	\N
22525	73	1997-06-20	PRIJEM	VKLAD	6100	30851	\N	\N	\N
22526	73	1997-07-20	VYDAJ	VYBER KARTOU	300	41550	\N	\N	0
22527	73	1997-08-19	VYDAJ	VYBER	6900	47844	\N	\N	\N
22528	73	1997-09-18	VYDAJ	VYBER	9700	51370	\N	\N	\N
22529	73	1997-10-18	VYDAJ	VYBER	7700	56917	\N	\N	\N
22530	73	1997-11-17	VYDAJ	VYBER	9000	55303	\N	\N	\N
22531	73	1997-12-17	VYDAJ	VYBER	13000	65128	\N	\N	\N
22532	73	1998-01-16	VYDAJ	VYBER KARTOU	3400	52058	\N	\N	0
22533	73	1998-02-15	VYDAJ	VYBER	4100	50978	\N	\N	\N
22534	73	1998-03-17	VYDAJ	VYBER KARTOU	2800	55758	\N	\N	0
22535	73	1998-04-16	VYDAJ	VYBER	7100	61905	\N	\N	\N
22536	73	1998-05-16	VYDAJ	VYBER	6300	65783	\N	\N	\N
22537	73	1998-06-15	VYDAJ	VYBER	15000	68114	\N	\N	\N
22538	73	1998-07-15	VYDAJ	VYBER	5900	57003	\N	\N	\N
22539	73	1998-08-14	VYDAJ	VYBER	9700	60560	\N	\N	\N
22540	73	1998-09-13	VYDAJ	VYBER	10200	69698	\N	\N	\N
22541	73	1998-10-13	VYDAJ	VYBER	14300	62641	\N	\N	\N
22542	73	1998-11-12	VYDAJ	VYBER	16900	65093	\N	\N	\N
22543	73	1998-12-12	VYDAJ	VYBER	17800	67730	\N	\N	\N
22834	75	1995-08-13	PRIJEM	VKLAD	700	700	\N	\N	\N
22843	75	1995-09-07	PRIJEM	VKLAD	12550	13250	\N	\N	\N
22844	75	1995-10-07	PRIJEM	VKLAD	12550	30748	\N	\N	\N
22845	75	1995-11-07	PRIJEM	VKLAD	12550	40299	\N	\N	\N
22846	75	1995-12-07	PRIJEM	VKLAD	18825	49848	\N	\N	\N
22847	75	1996-01-07	PRIJEM	VKLAD	12550	47438	\N	\N	\N
22848	75	1996-02-07	PRIJEM	VKLAD	12550	28826	\N	\N	\N
22849	75	1996-03-07	PRIJEM	VKLAD	12550	30566	\N	\N	\N
22850	75	1996-04-07	PRIJEM	VKLAD	12550	31564	\N	\N	\N
22851	75	1996-05-07	PRIJEM	VKLAD	12550	34419	\N	\N	\N
22852	75	1996-06-07	PRIJEM	VKLAD	18825	34645	\N	\N	\N
22853	75	1996-07-07	PRIJEM	VKLAD	12550	35702	\N	\N	\N
22854	75	1996-08-07	PRIJEM	VKLAD	12550	33199	\N	\N	\N
22855	75	1996-09-07	PRIJEM	VKLAD	12550	33260	\N	\N	\N
22856	75	1996-10-07	PRIJEM	VKLAD	12550	33646	\N	\N	\N
22857	75	1996-11-07	PRIJEM	VKLAD	12550	33039	\N	\N	\N
22858	75	1996-12-07	PRIJEM	VKLAD	18825	38306	\N	\N	\N
22859	75	1997-01-07	PRIJEM	VKLAD	12550	32710	\N	\N	\N
22860	75	1997-02-07	PRIJEM	VKLAD	12550	24920	\N	\N	\N
22861	75	1997-03-07	PRIJEM	VKLAD	12550	27872	\N	\N	\N
22862	75	1997-04-07	PRIJEM	VKLAD	12550	27610	\N	\N	\N
22863	75	1997-05-07	PRIJEM	VKLAD	12550	28675	\N	\N	\N
22864	75	1997-06-07	PRIJEM	VKLAD	18825	32922	\N	\N	\N
22865	75	1997-07-07	PRIJEM	VKLAD	12550	28109	\N	\N	\N
22866	75	1997-08-07	PRIJEM	VKLAD	12550	26183	\N	\N	\N
22867	75	1997-09-07	PRIJEM	VKLAD	12550	30887	\N	\N	\N
22868	75	1997-10-07	PRIJEM	VKLAD	12550	25165	\N	\N	\N
22869	75	1997-11-07	PRIJEM	VKLAD	12550	29023	\N	\N	\N
22870	75	1997-12-07	PRIJEM	VKLAD	18825	30857	\N	\N	\N
22871	75	1998-01-07	PRIJEM	VKLAD	12550	40119	\N	\N	\N
22872	75	1998-02-07	PRIJEM	VKLAD	12550	31876	\N	\N	\N
22873	75	1998-03-07	PRIJEM	VKLAD	12550	38503	\N	\N	\N
22874	75	1998-04-07	PRIJEM	VKLAD	12550	29199	\N	\N	\N
22875	75	1998-05-07	PRIJEM	VKLAD	12550	35092	\N	\N	\N
22876	75	1998-06-07	PRIJEM	VKLAD	18825	31346	\N	\N	\N
22877	75	1998-07-07	PRIJEM	VKLAD	12550	35485	\N	\N	\N
22878	75	1998-08-07	PRIJEM	VKLAD	12550	28164	\N	\N	\N
22879	75	1998-09-07	PRIJEM	VKLAD	12550	37422	\N	\N	\N
22880	75	1998-10-07	PRIJEM	VKLAD	12550	26403	\N	\N	\N
22881	75	1998-11-07	PRIJEM	VKLAD	12550	35654	\N	\N	\N
22882	75	1998-12-07	PRIJEM	VKLAD	18825	34603	\N	\N	\N
22895	75	1996-01-10	VYDAJ	PREVOD NA UCET	3369	27469	SIPO	IJ	74818038
22896	75	1996-02-10	VYDAJ	PREVOD NA UCET	3369	17957	SIPO	IJ	74818038
22897	75	1996-03-10	VYDAJ	PREVOD NA UCET	3369	21697	SIPO	IJ	74818038
22898	75	1996-04-10	VYDAJ	PREVOD NA UCET	3369	21795	SIPO	IJ	74818038
22899	75	1996-05-10	VYDAJ	PREVOD NA UCET	3369	19950	SIPO	IJ	74818038
22900	75	1996-06-10	VYDAJ	PREVOD NA UCET	3369	23076	SIPO	IJ	74818038
22901	75	1996-07-10	VYDAJ	PREVOD NA UCET	3369	20573	SIPO	IJ	74818038
22902	75	1996-08-10	VYDAJ	PREVOD NA UCET	3369	22030	SIPO	IJ	74818038
22903	75	1996-09-10	VYDAJ	PREVOD NA UCET	3369	29891	SIPO	IJ	74818038
22904	75	1996-10-10	VYDAJ	PREVOD NA UCET	3369	30277	SIPO	IJ	74818038
22905	75	1996-11-10	VYDAJ	PREVOD NA UCET	3369	29670	SIPO	IJ	74818038
22906	75	1996-12-10	VYDAJ	PREVOD NA UCET	3369	33337	SIPO	IJ	74818038
22907	75	1997-01-10	VYDAJ	PREVOD NA UCET	3369	18781	SIPO	IJ	74818038
22908	75	1997-02-10	VYDAJ	PREVOD NA UCET	3369	21551	SIPO	IJ	74818038
22909	75	1997-03-10	VYDAJ	PREVOD NA UCET	3369	24503	SIPO	IJ	74818038
22910	75	1997-04-10	VYDAJ	PREVOD NA UCET	3369	24241	SIPO	IJ	74818038
22911	75	1997-05-10	VYDAJ	PREVOD NA UCET	3369	25306	SIPO	IJ	74818038
22912	75	1997-06-10	VYDAJ	PREVOD NA UCET	3369	29553	SIPO	IJ	74818038
22913	75	1997-07-10	VYDAJ	PREVOD NA UCET	3369	24740	SIPO	IJ	74818038
22914	75	1997-08-10	VYDAJ	PREVOD NA UCET	3369	22814	SIPO	IJ	74818038
22915	75	1997-09-10	VYDAJ	PREVOD NA UCET	3369	27518	SIPO	IJ	74818038
22916	75	1997-10-10	VYDAJ	PREVOD NA UCET	3369	21796	SIPO	IJ	74818038
22917	75	1997-11-10	VYDAJ	PREVOD NA UCET	3369	25654	SIPO	IJ	74818038
22918	75	1997-12-10	VYDAJ	PREVOD NA UCET	3369	27488	SIPO	IJ	74818038
22919	75	1998-01-10	VYDAJ	PREVOD NA UCET	3369	33150	SIPO	IJ	74818038
22920	75	1998-02-10	VYDAJ	PREVOD NA UCET	3369	28507	SIPO	IJ	74818038
22921	75	1998-03-10	VYDAJ	PREVOD NA UCET	3369	35134	SIPO	IJ	74818038
22922	75	1998-04-10	VYDAJ	PREVOD NA UCET	3369	25830	SIPO	IJ	74818038
22923	75	1998-05-10	VYDAJ	PREVOD NA UCET	3369	31723	SIPO	IJ	74818038
22924	75	1998-06-10	VYDAJ	PREVOD NA UCET	3369	27977	SIPO	IJ	74818038
22925	75	1998-07-10	VYDAJ	PREVOD NA UCET	3369	32116	SIPO	IJ	74818038
22926	75	1998-08-10	VYDAJ	PREVOD NA UCET	3369	24795	SIPO	IJ	74818038
22927	75	1998-09-10	VYDAJ	PREVOD NA UCET	3369	34053	SIPO	IJ	74818038
22928	75	1998-10-10	VYDAJ	PREVOD NA UCET	3369	23034	SIPO	IJ	74818038
22929	75	1998-11-10	VYDAJ	PREVOD NA UCET	3369	32285	SIPO	IJ	74818038
22930	75	1998-12-10	VYDAJ	PREVOD NA UCET	3369	27634	SIPO	IJ	74818038
22934	75	1998-06-26	VYDAJ	VYBER	5120	22857	\N	\N	\N
22938	75	1998-01-11	VYDAJ	VYBER	4320	28830	\N	\N	\N
22940	75	1996-12-08	VYDAJ	VYBER	1600	36706	\N	\N	\N
22942	75	1998-12-18	VYDAJ	VYBER	1120	25194	\N	\N	\N
22949	75	1996-01-18	VYDAJ	VYBER	1920	19069	\N	\N	\N
22950	75	1996-01-26	VYDAJ	VYBER	1320	17749	\N	\N	\N
22951	75	1996-01-17	VYDAJ	VYBER	1680	20989	\N	\N	\N
22952	75	1996-01-27	VYDAJ	VYBER	1560	16189	\N	\N	\N
22953	75	1996-01-12	VYDAJ	VYBER	2640	22669	\N	\N	\N
22954	75	1996-01-12	VYDAJ	VYBER	2160	25309	\N	\N	\N
22955	75	1997-01-10	VYDAJ	VYBER	3480	22150	\N	\N	\N
22956	75	1997-01-07	VYDAJ	VYBER	2760	29950	\N	\N	\N
22958	75	1997-01-11	VYDAJ	VYBER	3480	15301	\N	\N	\N
22959	75	1997-01-08	VYDAJ	VYBER	1080	25630	\N	\N	\N
22960	75	1997-01-07	VYDAJ	VYBER	3240	26710	\N	\N	\N
22961	75	1998-01-18	VYDAJ	VYBER	3120	24990	\N	\N	\N
22962	75	1998-01-15	VYDAJ	VYBER	720	28110	\N	\N	\N
22963	75	1998-01-29	VYDAJ	VYBER	3240	19230	\N	\N	\N
22964	75	1998-01-27	VYDAJ	VYBER	2520	22470	\N	\N	\N
22965	75	1998-01-08	VYDAJ	VYBER	1440	38679	\N	\N	\N
22966	75	1998-01-09	VYDAJ	VYBER	2160	36519	\N	\N	\N
22974	75	1996-03-27	VYDAJ	VYBER	2760	18937	\N	\N	\N
22975	75	1996-05-31	VYDAJ	VYBER	4200	15820	\N	\N	\N
22976	75	1996-07-07	VYDAJ	VYBER	960	34742	\N	\N	\N
22977	75	1997-09-01	VYDAJ	VYBER	4560	18337	\N	\N	\N
22978	75	1997-10-25	VYDAJ	VYBER	5400	16396	\N	\N	\N
22979	75	1997-03-16	VYDAJ	VYBER	2880	20183	\N	\N	\N
22980	75	1997-03-16	VYDAJ	VYBER	1440	23063	\N	\N	\N
22981	75	1998-04-13	VYDAJ	VYBER	3360	22470	\N	\N	\N
22982	75	1998-02-15	VYDAJ	VYBER	2640	25867	\N	\N	\N
22984	75	1998-12-12	VYDAJ	VYBER	1320	26314	\N	\N	\N
22985	75	1998-12-07	VYDAJ	VYBER	3600	31003	\N	\N	\N
22999	75	1996-01-31	VYDAJ	VYBER	15	16276	SLUZBY	\N	\N
23000	75	1996-02-29	VYDAJ	VYBER	15	18016	SLUZBY	\N	\N
23001	75	1996-03-31	VYDAJ	VYBER	15	19014	SLUZBY	\N	\N
23002	75	1996-04-30	VYDAJ	VYBER	15	21869	SLUZBY	\N	\N
23003	75	1996-05-31	VYDAJ	VYBER	15	20020	SLUZBY	\N	\N
23004	75	1996-06-30	VYDAJ	VYBER	15	23152	SLUZBY	\N	\N
23005	75	1996-07-31	VYDAJ	VYBER	15	20649	SLUZBY	\N	\N
23006	75	1996-08-31	VYDAJ	VYBER	15	22110	SLUZBY	\N	\N
23007	75	1996-09-30	VYDAJ	VYBER	15	29996	SLUZBY	\N	\N
23008	75	1996-10-31	VYDAJ	VYBER	15	30389	SLUZBY	\N	\N
23009	75	1996-11-30	VYDAJ	VYBER	15	29781	SLUZBY	\N	\N
23010	75	1996-12-31	VYDAJ	VYBER	15	33460	SLUZBY	\N	\N
23011	75	1997-01-31	VYDAJ	VYBER	15	15370	SLUZBY	\N	\N
23012	75	1997-02-28	VYDAJ	VYBER	15	21622	SLUZBY	\N	\N
23013	75	1997-03-31	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
23014	75	1997-04-30	VYDAJ	VYBER	15	24325	SLUZBY	\N	\N
23015	75	1997-05-31	VYDAJ	VYBER	15	25397	SLUZBY	\N	\N
23016	75	1997-06-30	VYDAJ	VYBER	15	29659	SLUZBY	\N	\N
23017	75	1997-07-31	VYDAJ	VYBER	15	24833	SLUZBY	\N	\N
23018	75	1997-08-31	VYDAJ	VYBER	15	22897	SLUZBY	\N	\N
23019	75	1997-09-30	VYDAJ	VYBER	15	27615	SLUZBY	\N	\N
23020	75	1997-10-31	VYDAJ	VYBER	15	16473	SLUZBY	\N	\N
23021	75	1997-11-30	VYDAJ	VYBER	15	12032	SLUZBY	\N	\N
23022	75	1997-12-31	VYDAJ	VYBER	15	27569	SLUZBY	\N	\N
23023	75	1998-01-31	VYDAJ	VYBER	15	19326	SLUZBY	\N	\N
23024	75	1998-02-28	VYDAJ	VYBER	15	25953	SLUZBY	\N	\N
23025	75	1998-03-31	VYDAJ	VYBER	15	16649	SLUZBY	\N	\N
23026	75	1998-04-30	VYDAJ	VYBER	15	22542	SLUZBY	\N	\N
23027	75	1998-05-31	VYDAJ	VYBER	15	12521	SLUZBY	\N	\N
23028	75	1998-06-30	VYDAJ	VYBER	15	22935	SLUZBY	\N	\N
23029	75	1998-07-31	VYDAJ	VYBER	15	15614	SLUZBY	\N	\N
23030	75	1998-08-31	VYDAJ	VYBER	15	24872	SLUZBY	\N	\N
23031	75	1998-09-30	VYDAJ	VYBER	15	13853	SLUZBY	\N	\N
23032	75	1998-10-31	VYDAJ	VYBER	15	23104	SLUZBY	\N	\N
23033	75	1998-11-30	VYDAJ	VYBER	15	15778	SLUZBY	\N	\N
23034	75	1995-09-12	PRIJEM	VKLAD	4900	18150	\N	\N	\N
23035	75	1995-10-12	VYDAJ	VYBER	3100	27648	\N	\N	\N
23036	75	1995-11-11	VYDAJ	VYBER	9400	30899	\N	\N	\N
23037	75	1995-12-11	VYDAJ	VYBER	15100	34748	\N	\N	\N
23038	75	1996-01-10	VYDAJ	VYBER	16600	30838	\N	\N	\N
23039	75	1996-02-09	VYDAJ	VYBER	7500	21326	\N	\N	\N
23040	75	1996-03-10	VYDAJ	VYBER	5500	25066	\N	\N	\N
23041	75	1996-04-09	VYDAJ	VYBER	6400	25164	\N	\N	\N
23042	75	1996-05-09	VYDAJ	VYBER	11100	23319	\N	\N	\N
23043	75	1996-06-08	VYDAJ	VYBER	8200	26445	\N	\N	\N
23044	75	1996-07-08	VYDAJ	VYBER	10800	23942	\N	\N	\N
23045	75	1996-08-07	VYDAJ	VYBER	7800	25399	\N	\N	\N
23046	75	1996-09-06	VYDAJ	VYBER	1400	20710	\N	\N	\N
23047	75	1996-10-06	VYDAJ	VYBER	8900	21096	\N	\N	\N
23048	75	1996-11-05	VYDAJ	VYBER	9900	20489	\N	\N	\N
23049	75	1996-12-05	VYDAJ	VYBER	10300	19481	\N	\N	\N
23050	75	1997-01-04	VYDAJ	VYBER	13300	20160	\N	\N	\N
23051	75	1997-02-03	VYDAJ	VYBER	3000	12370	\N	\N	\N
23052	75	1997-03-05	VYDAJ	VYBER	6300	15322	\N	\N	\N
23053	75	1997-04-04	VYDAJ	VYBER	5200	15060	\N	\N	\N
23054	75	1997-05-04	VYDAJ	VYBER	8200	16125	\N	\N	\N
23055	75	1997-06-03	VYDAJ	VYBER	11300	14097	\N	\N	\N
23056	75	1997-07-03	VYDAJ	VYBER	14100	15559	\N	\N	\N
23057	75	1997-08-02	VYDAJ	VYBER	11200	13633	\N	\N	\N
23058	75	1997-10-01	VYDAJ	VYBER	15000	12615	\N	\N	\N
23059	75	1997-11-30	VYDAJ	VYBER	13700	12047	\N	\N	\N
23060	75	1998-03-30	VYDAJ	VYBER	18600	16534	\N	\N	\N
23061	75	1998-05-29	VYDAJ	VYBER	19300	12423	\N	\N	\N
23062	75	1998-07-28	VYDAJ	VYBER	16600	15516	\N	\N	\N
23063	75	1998-09-26	VYDAJ	VYBER	20300	13753	\N	\N	\N
23064	75	1998-11-25	VYDAJ	VYBER	16600	15685	\N	\N	\N
23105	76	1996-05-16	PRIJEM	VKLAD	200	200	\N	\N	\N
23111	76	1996-06-06	PRIJEM	VKLAD	11720	11920	\N	\N	\N
23112	76	1996-07-06	PRIJEM	VKLAD	7813	29581	\N	\N	\N
23113	76	1996-08-06	PRIJEM	VKLAD	7813	37603	\N	\N	\N
23114	76	1996-09-06	PRIJEM	VKLAD	7813	42752	\N	\N	\N
23115	76	1996-10-06	PRIJEM	VKLAD	7813	44113	\N	\N	\N
23116	76	1996-11-06	PRIJEM	VKLAD	7813	38042	\N	\N	\N
23117	76	1996-12-06	PRIJEM	VKLAD	11720	32066	\N	\N	\N
23118	76	1997-01-06	PRIJEM	VKLAD	7813	38582	\N	\N	\N
23119	76	1997-02-06	PRIJEM	VKLAD	7813	39410	\N	\N	\N
23120	76	1997-03-06	PRIJEM	VKLAD	7813	33221	\N	\N	\N
23121	76	1997-04-06	PRIJEM	VKLAD	7813	38433	\N	\N	\N
23122	76	1997-05-06	PRIJEM	VKLAD	7813	39261	\N	\N	\N
23123	76	1997-06-06	PRIJEM	VKLAD	11720	49609	\N	\N	\N
23124	76	1997-07-06	PRIJEM	VKLAD	7813	37236	\N	\N	\N
23125	76	1997-08-06	PRIJEM	VKLAD	7813	42265	\N	\N	\N
23126	76	1997-09-06	PRIJEM	VKLAD	7813	36490	\N	\N	\N
23127	76	1997-10-06	PRIJEM	VKLAD	7813	37102	\N	\N	\N
23128	76	1997-11-06	PRIJEM	VKLAD	7813	37618	\N	\N	\N
23129	76	1997-12-06	PRIJEM	VKLAD	11720	44349	\N	\N	\N
23130	76	1998-01-06	PRIJEM	VKLAD	7813	34563	\N	\N	\N
23131	76	1998-02-06	PRIJEM	VKLAD	7813	30854	\N	\N	\N
23132	76	1998-03-06	PRIJEM	VKLAD	7813	29257	\N	\N	\N
23133	76	1998-04-06	PRIJEM	VKLAD	7813	30942	\N	\N	\N
23134	76	1998-05-06	PRIJEM	VKLAD	7813	33637	\N	\N	\N
23135	76	1998-06-06	PRIJEM	VKLAD	11720	33333	\N	\N	\N
23136	76	1998-07-06	PRIJEM	VKLAD	7813	33054	\N	\N	\N
23137	76	1998-08-06	PRIJEM	VKLAD	7813	33561	\N	\N	\N
23138	76	1998-09-06	PRIJEM	VKLAD	7813	33168	\N	\N	\N
23139	76	1998-10-06	PRIJEM	VKLAD	7813	30692	\N	\N	\N
23140	76	1998-11-06	PRIJEM	VKLAD	7813	22290	\N	\N	\N
23141	76	1998-12-06	PRIJEM	VKLAD	11720	26060	\N	\N	\N
23151	76	1996-10-06	VYDAJ	PREVOD NA UCET	5208	38905	SIPO	MN	98325132
23152	76	1996-11-06	VYDAJ	PREVOD NA UCET	5208	32834	SIPO	MN	98325132
23153	76	1996-12-06	VYDAJ	PREVOD NA UCET	5208	26858	SIPO	MN	98325132
23154	76	1997-01-06	VYDAJ	PREVOD NA UCET	5208	33374	SIPO	MN	98325132
23155	76	1997-02-06	VYDAJ	PREVOD NA UCET	5208	34202	SIPO	MN	98325132
23156	76	1997-03-06	VYDAJ	PREVOD NA UCET	5208	28013	SIPO	MN	98325132
23157	76	1997-04-06	VYDAJ	PREVOD NA UCET	5208	33225	SIPO	MN	98325132
23158	76	1997-05-06	VYDAJ	PREVOD NA UCET	5208	34053	SIPO	MN	98325132
23159	76	1997-06-06	VYDAJ	PREVOD NA UCET	5208	44401	SIPO	MN	98325132
23160	76	1997-07-06	VYDAJ	PREVOD NA UCET	5208	32028	SIPO	MN	98325132
23161	76	1997-08-06	VYDAJ	PREVOD NA UCET	5208	37057	SIPO	MN	98325132
23162	76	1997-09-06	VYDAJ	PREVOD NA UCET	5208	31282	SIPO	MN	98325132
23163	76	1997-10-06	VYDAJ	PREVOD NA UCET	5208	31894	SIPO	MN	98325132
23164	76	1997-11-06	VYDAJ	PREVOD NA UCET	5208	32410	SIPO	MN	98325132
23165	76	1997-12-06	VYDAJ	PREVOD NA UCET	5208	39141	SIPO	MN	98325132
23166	76	1998-01-06	VYDAJ	PREVOD NA UCET	5208	29355	SIPO	MN	98325132
23167	76	1998-02-06	VYDAJ	PREVOD NA UCET	5208	25646	SIPO	MN	98325132
23168	76	1998-03-06	VYDAJ	PREVOD NA UCET	5208	24049	SIPO	MN	98325132
23169	76	1998-04-06	VYDAJ	PREVOD NA UCET	5208	25734	SIPO	MN	98325132
23170	76	1998-05-06	VYDAJ	PREVOD NA UCET	5208	28429	SIPO	MN	98325132
23171	76	1998-06-06	VYDAJ	PREVOD NA UCET	5208	28125	SIPO	MN	98325132
23172	76	1998-07-06	VYDAJ	PREVOD NA UCET	5208	27846	SIPO	MN	98325132
23173	76	1998-08-06	VYDAJ	PREVOD NA UCET	5208	28353	SIPO	MN	98325132
23174	76	1998-09-06	VYDAJ	PREVOD NA UCET	5208	27960	SIPO	MN	98325132
23175	76	1998-10-06	VYDAJ	PREVOD NA UCET	5208	25484	SIPO	MN	98325132
23176	76	1998-11-06	VYDAJ	PREVOD NA UCET	5208	17082	SIPO	MN	98325132
23177	76	1998-12-06	VYDAJ	PREVOD NA UCET	5208	20852	SIPO	MN	98325132
23179	76	1997-06-06	VYDAJ	VYBER	22400	22001	\N	\N	\N
23181	76	1996-12-04	VYDAJ	VYBER	2800	20346	\N	\N	\N
23182	76	1997-12-25	VYDAJ	VYBER	1200	26641	\N	\N	\N
23183	76	1998-12-09	VYDAJ	VYBER	1300	19552	\N	\N	\N
23186	76	1996-11-19	VYDAJ	VYBER	2200	27434	\N	\N	\N
23188	76	1996-12-04	VYDAJ	VYBER	4400	23146	\N	\N	\N
23189	76	1997-04-24	VYDAJ	VYBER	1600	31325	\N	\N	\N
23190	76	1997-08-29	VYDAJ	VYBER	2500	28557	\N	\N	\N
23191	76	1997-02-13	VYDAJ	VYBER	1800	25302	\N	\N	\N
23192	76	1997-01-27	VYDAJ	VYBER	2500	31474	\N	\N	\N
23193	76	1997-12-17	VYDAJ	VYBER	2300	27841	\N	\N	\N
23194	76	1997-02-13	VYDAJ	VYBER	3300	27102	\N	\N	\N
23195	76	1998-11-04	VYDAJ	VYBER	4200	14477	\N	\N	\N
23196	76	1998-01-15	VYDAJ	VYBER	1500	23255	\N	\N	\N
23197	76	1998-11-03	VYDAJ	VYBER	1200	18677	\N	\N	\N
23198	76	1998-02-22	VYDAJ	VYBER	4300	21346	\N	\N	\N
23209	76	1996-10-31	VYDAJ	VYBER	15	30229	SLUZBY	\N	\N
23210	76	1996-11-30	VYDAJ	VYBER	15	27546	SLUZBY	\N	\N
23211	76	1996-12-31	VYDAJ	VYBER	15	30769	SLUZBY	\N	\N
23212	76	1997-01-31	VYDAJ	VYBER	15	31597	SLUZBY	\N	\N
23213	76	1997-02-28	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
23214	76	1997-03-31	VYDAJ	VYBER	15	30620	SLUZBY	\N	\N
23215	76	1997-04-30	VYDAJ	VYBER	15	31448	SLUZBY	\N	\N
23216	76	1997-05-31	VYDAJ	VYBER	15	37889	SLUZBY	\N	\N
23217	76	1997-06-30	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
23218	76	1997-07-31	VYDAJ	VYBER	15	34452	SLUZBY	\N	\N
23219	76	1997-08-31	VYDAJ	VYBER	15	28677	SLUZBY	\N	\N
23220	76	1997-09-30	VYDAJ	VYBER	15	29289	SLUZBY	\N	\N
23221	76	1997-10-31	VYDAJ	VYBER	15	29805	SLUZBY	\N	\N
23222	76	1997-11-30	VYDAJ	VYBER	15	32629	SLUZBY	\N	\N
23223	76	1997-12-31	VYDAJ	VYBER	15	26750	SLUZBY	\N	\N
23224	76	1998-01-31	VYDAJ	VYBER	15	23341	SLUZBY	\N	\N
23225	76	1998-02-28	VYDAJ	VYBER	15	21444	SLUZBY	\N	\N
23226	76	1998-03-31	VYDAJ	VYBER	15	22929	SLUZBY	\N	\N
23227	76	1998-04-30	VYDAJ	VYBER	15	25824	SLUZBY	\N	\N
23228	76	1998-05-31	VYDAJ	VYBER	15	23413	SLUZBY	\N	\N
23229	76	1998-06-30	VYDAJ	VYBER	15	28241	SLUZBY	\N	\N
23230	76	1998-07-31	VYDAJ	VYBER	15	27948	SLUZBY	\N	\N
23231	76	1998-08-31	VYDAJ	VYBER	15	28455	SLUZBY	\N	\N
23232	76	1998-09-30	VYDAJ	VYBER	15	28079	SLUZBY	\N	\N
23233	76	1998-10-31	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
23234	76	1998-11-30	VYDAJ	VYBER	15	17140	SLUZBY	\N	\N
23235	76	1996-06-15	PRIJEM	VKLAD	9800	21720	\N	\N	\N
23236	76	1996-07-15	PRIJEM	VKLAD	100	29681	\N	\N	\N
23237	76	1996-08-14	VYDAJ	VYBER	2800	34803	\N	\N	\N
23238	76	1996-09-13	VYDAJ	VYBER	6600	36152	\N	\N	\N
23239	76	1996-10-13	VYDAJ	VYBER	8800	30105	\N	\N	\N
23240	76	1996-11-12	VYDAJ	VYBER	3200	29634	\N	\N	\N
23241	76	1996-12-12	PRIJEM	VKLAD	3800	30658	\N	\N	\N
23242	76	1997-01-11	PRIJEM	VKLAD	600	33974	\N	\N	\N
23243	76	1997-02-10	VYDAJ	VYBER	3800	30402	\N	\N	\N
23244	76	1997-03-12	PRIJEM	VKLAD	2500	30513	\N	\N	\N
23245	76	1997-04-11	VYDAJ	VYBER	300	32925	\N	\N	\N
23246	76	1997-05-11	PRIJEM	VKLAD	3700	37753	\N	\N	\N
23247	76	1997-06-10	PRIJEM	VKLAD	7300	29301	\N	\N	\N
23248	76	1997-07-10	PRIJEM	VKLAD	2300	34328	\N	\N	\N
23249	76	1997-08-09	VYDAJ	VYBER	6000	31057	\N	\N	\N
23250	76	1997-09-08	VYDAJ	VYBER	2100	29182	\N	\N	\N
23251	76	1997-10-08	VYDAJ	VYBER	2200	29694	\N	\N	\N
23252	76	1997-11-07	PRIJEM	VKLAD	100	32510	\N	\N	\N
23253	76	1997-12-07	VYDAJ	VYBER	9000	30141	\N	\N	\N
23254	76	1998-01-06	VYDAJ	VYBER	4600	24755	\N	\N	\N
23255	76	1998-02-05	VYDAJ	VYBER	300	23041	\N	\N	\N
23256	76	1998-03-07	VYDAJ	VYBER	1200	22849	\N	\N	\N
23257	76	1998-04-06	PRIJEM	VKLAD	200	23129	\N	\N	\N
23258	76	1998-05-06	VYDAJ	VYBER	5100	23329	\N	\N	\N
23259	76	1998-06-05	VYDAJ	VYBER	1800	21613	\N	\N	\N
23260	76	1998-07-05	VYDAJ	VYBER	3000	25241	\N	\N	\N
23261	76	1998-08-04	VYDAJ	VYBER	2200	25748	\N	\N	\N
23262	76	1998-09-03	VYDAJ	VYBER	3100	25355	\N	\N	\N
23263	76	1998-10-03	VYDAJ	VYBER	5200	22879	\N	\N	\N
23264	76	1998-11-02	VYDAJ	VYBER	5700	19877	\N	\N	\N
23265	76	1998-12-02	VYDAJ	VYBER	2800	14340	\N	\N	\N
23297	77	1996-11-19	PRIJEM	VKLAD	400	400	\N	\N	\N
23309	77	1996-12-07	PRIJEM	PREVOD Z UCTU	25635	26035	\N	ST	14416885
23310	77	1997-01-07	PRIJEM	PREVOD Z UCTU	17090	43872	\N	ST	14416885
23311	77	1997-02-07	PRIJEM	PREVOD Z UCTU	17090	52489	\N	ST	14416885
23312	77	1997-03-07	PRIJEM	PREVOD Z UCTU	17090	55632	\N	ST	14416885
23313	77	1997-04-07	PRIJEM	PREVOD Z UCTU	17090	54981	\N	ST	14416885
23314	77	1997-05-07	PRIJEM	PREVOD Z UCTU	17090	54813	\N	ST	14416885
23315	77	1997-06-07	PRIJEM	PREVOD Z UCTU	25635	56325	\N	ST	14416885
23316	77	1997-07-07	PRIJEM	PREVOD Z UCTU	17090	51636	\N	ST	14416885
23317	77	1997-08-07	PRIJEM	PREVOD Z UCTU	17090	48248	\N	ST	14416885
23318	77	1997-09-07	PRIJEM	PREVOD Z UCTU	17090	37893	\N	ST	14416885
23319	77	1997-10-07	PRIJEM	PREVOD Z UCTU	17090	39460	\N	ST	14416885
23320	77	1997-11-07	PRIJEM	PREVOD Z UCTU	17090	38830	\N	ST	14416885
23321	77	1997-12-07	PRIJEM	PREVOD Z UCTU	25635	50949	\N	ST	14416885
23322	77	1998-01-07	PRIJEM	PREVOD Z UCTU	17090	45641	\N	ST	14416885
23323	77	1998-02-07	PRIJEM	PREVOD Z UCTU	17090	35462	\N	ST	14416885
23324	77	1998-03-07	PRIJEM	PREVOD Z UCTU	17090	33935	\N	ST	14416885
23325	77	1998-04-07	PRIJEM	PREVOD Z UCTU	17090	36386	\N	ST	14416885
23326	77	1998-05-07	PRIJEM	PREVOD Z UCTU	17090	38246	\N	ST	14416885
23327	77	1998-06-07	PRIJEM	PREVOD Z UCTU	25635	47162	\N	ST	14416885
23328	77	1998-07-07	PRIJEM	PREVOD Z UCTU	17090	41153	\N	ST	14416885
23329	77	1998-08-07	PRIJEM	PREVOD Z UCTU	17090	37418	\N	ST	14416885
23330	77	1998-09-07	PRIJEM	PREVOD Z UCTU	17090	37203	\N	ST	14416885
23331	77	1998-10-07	PRIJEM	PREVOD Z UCTU	17090	31044	\N	ST	14416885
23332	77	1998-11-07	PRIJEM	PREVOD Z UCTU	17090	29773	\N	ST	14416885
23333	77	1998-12-07	PRIJEM	PREVOD Z UCTU	25635	55448	\N	ST	14416885
23385	77	1997-08-19	VYBER	VYBER	6740	20708	\N	\N	\N
23386	77	1997-05-20	VYBER	VYBER	4353	30560	\N	\N	\N
23393	77	1998-01-11	VYBER	VYBER	16945	28696	\N	\N	\N
23394	77	1998-08-09	VYBER	VYBER	17374	20044	\N	\N	\N
23402	77	1998-01-11	VYDAJ	VYBER	5700	22996	\N	\N	\N
23404	77	1997-12-24	VYDAJ	VYBER	2100	28449	\N	\N	\N
23432	77	1997-09-14	VYDAJ	VYBER	6900	30993	\N	\N	\N
23433	77	1997-10-24	VYDAJ	VYBER	2700	21660	\N	\N	\N
23434	77	1998-06-05	VYDAJ	VYBER	2700	21527	\N	\N	\N
23439	77	1998-02-12	VYDAJ	VYBER	10800	16762	\N	\N	\N
23457	77	1997-04-30	VYDAJ	VYBER	15	37723	SLUZBY	\N	\N
23458	77	1997-05-31	VYDAJ	VYBER	15	30690	SLUZBY	\N	\N
23459	77	1997-06-30	VYDAJ	VYBER	15	34546	SLUZBY	\N	\N
23460	77	1997-07-31	VYDAJ	VYBER	15	31158	SLUZBY	\N	\N
23461	77	1997-08-31	VYDAJ	VYBER	15	20803	SLUZBY	\N	\N
23462	77	1997-09-30	VYDAJ	VYBER	15	22370	SLUZBY	\N	\N
23463	77	1997-10-31	VYDAJ	VYBER	15	21740	SLUZBY	\N	\N
23464	77	1997-11-30	VYDAJ	VYBER	15	25314	SLUZBY	\N	\N
23465	77	1997-12-31	VYDAJ	VYBER	15	28551	SLUZBY	\N	\N
23466	77	1998-01-31	VYDAJ	VYBER	15	18372	SLUZBY	\N	\N
23467	77	1998-02-28	VYDAJ	VYBER	15	16845	SLUZBY	\N	\N
23468	77	1998-03-31	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
23469	77	1998-04-30	VYDAJ	VYBER	15	21156	SLUZBY	\N	\N
23470	77	1998-05-31	VYDAJ	VYBER	15	24227	SLUZBY	\N	\N
23471	77	1998-06-30	VYDAJ	VYBER	15	24063	SLUZBY	\N	\N
23472	77	1998-07-31	VYDAJ	VYBER	15	20328	SLUZBY	\N	\N
23473	77	1998-08-31	VYDAJ	VYBER	15	20113	SLUZBY	\N	\N
23474	77	1998-09-30	VYDAJ	VYBER	15	13954	SLUZBY	\N	\N
23475	77	1998-10-31	VYDAJ	VYBER	15	12683	SLUZBY	\N	\N
23476	77	1998-11-30	VYDAJ	VYBER	15	29813	SLUZBY	\N	\N
23477	77	1996-12-19	PRIJEM	VKLAD	700	26735	\N	\N	\N
23478	77	1997-01-18	VYDAJ	VYBER	8600	35272	\N	\N	\N
23479	77	1997-02-17	VYDAJ	VYBER	14100	38389	\N	\N	\N
23480	77	1997-03-19	VYDAJ	VYBER	17900	37732	\N	\N	\N
23481	77	1997-04-18	VYDAJ	VYBER	17400	37581	\N	\N	\N
23482	77	1997-05-18	VYDAJ	VYBER	19900	34913	\N	\N	\N
23483	77	1997-06-17	VYDAJ	VYBER	21900	34425	\N	\N	\N
23484	77	1997-07-17	VYDAJ	VYBER	20600	31036	\N	\N	\N
23485	77	1997-08-16	VYDAJ	VYBER	20800	27448	\N	\N	\N
23486	77	1997-09-15	VYDAJ	VYBER	8700	22293	\N	\N	\N
23487	77	1997-10-15	VYDAJ	VYBER	15100	24360	\N	\N	\N
23488	77	1997-11-14	VYDAJ	VYBER	13600	25230	\N	\N	\N
23489	77	1997-12-14	VYDAJ	VYBER	20400	30549	\N	\N	\N
23490	77	1998-01-13	VYDAJ	VYBER	4700	18296	\N	\N	\N
23491	77	1998-02-12	VYDAJ	VYBER	7900	27562	\N	\N	\N
23492	77	1998-03-14	VYDAJ	VYBER	14700	19235	\N	\N	\N
23493	77	1998-04-13	VYDAJ	VYBER	15300	21086	\N	\N	\N
23494	77	1998-05-13	VYDAJ	VYBER	14100	24146	\N	\N	\N
23495	77	1998-06-12	VYDAJ	VYBER	23200	23962	\N	\N	\N
23496	77	1998-07-12	VYDAJ	VYBER	20900	20253	\N	\N	\N
23497	77	1998-09-10	VYDAJ	VYBER	23300	13903	\N	\N	\N
23498	77	1998-10-10	VYDAJ	VYBER	18400	12644	\N	\N	\N
23499	77	1998-12-09	VYDAJ	VYBER	36200	19248	\N	\N	\N
23525	78	1993-07-07	PRIJEM	VKLAD	400	400	\N	\N	\N
23532	78	1993-07-12	PRIJEM	VKLAD	17478	17878	\N	\N	\N
23533	78	1993-08-12	PRIJEM	VKLAD	17478	37804	\N	\N	\N
23534	78	1993-09-12	PRIJEM	VKLAD	17478	46910	\N	\N	\N
23535	78	1993-10-12	PRIJEM	VKLAD	17478	51670	\N	\N	\N
23536	78	1993-11-12	PRIJEM	VKLAD	17478	57056	\N	\N	\N
23537	78	1993-12-12	PRIJEM	VKLAD	26217	56446	\N	\N	\N
23538	78	1994-01-12	PRIJEM	VKLAD	17478	45377	\N	\N	\N
23539	78	1994-02-12	PRIJEM	VKLAD	17478	36473	\N	\N	\N
23540	78	1994-03-12	PRIJEM	VKLAD	17478	40336	\N	\N	\N
23541	78	1994-04-12	PRIJEM	VKLAD	17478	41512	\N	\N	\N
23542	78	1994-05-12	PRIJEM	VKLAD	17478	43093	\N	\N	\N
23543	78	1994-06-12	PRIJEM	VKLAD	26217	45013	\N	\N	\N
23544	78	1994-07-12	PRIJEM	VKLAD	17478	43692	\N	\N	\N
23545	78	1994-08-12	PRIJEM	VKLAD	17478	41485	\N	\N	\N
23546	78	1994-09-12	PRIJEM	VKLAD	17478	45170	\N	\N	\N
23547	78	1994-10-12	PRIJEM	VKLAD	17478	41275	\N	\N	\N
23548	78	1994-11-12	PRIJEM	VKLAD	17478	42450	\N	\N	\N
23549	78	1994-12-12	PRIJEM	VKLAD	26217	52469	\N	\N	\N
23550	78	1995-01-12	PRIJEM	VKLAD	17478	34872	\N	\N	\N
23551	78	1995-02-12	PRIJEM	VKLAD	17478	32514	\N	\N	\N
23552	78	1995-03-12	PRIJEM	VKLAD	17478	34950	\N	\N	\N
23553	78	1995-04-12	PRIJEM	VKLAD	17478	38705	\N	\N	\N
23554	78	1995-05-12	PRIJEM	VKLAD	17478	36873	\N	\N	\N
23555	78	1995-06-12	PRIJEM	VKLAD	26217	35672	\N	\N	\N
23556	78	1995-07-12	PRIJEM	VKLAD	17478	33611	\N	\N	\N
23557	78	1995-08-12	PRIJEM	VKLAD	17478	33158	\N	\N	\N
23558	78	1995-09-12	PRIJEM	VKLAD	17478	34403	\N	\N	\N
23559	78	1995-10-12	PRIJEM	VKLAD	17478	37352	\N	\N	\N
23560	78	1995-11-12	PRIJEM	VKLAD	17478	37311	\N	\N	\N
23561	78	1995-12-12	PRIJEM	VKLAD	26217	47709	\N	\N	\N
23562	78	1996-01-12	PRIJEM	VKLAD	17478	38991	\N	\N	\N
23563	78	1996-02-12	PRIJEM	VKLAD	17478	33141	\N	\N	\N
23564	78	1996-03-12	PRIJEM	VKLAD	17478	35882	\N	\N	\N
23565	78	1996-04-12	PRIJEM	VKLAD	17478	34829	\N	\N	\N
23566	78	1996-05-12	PRIJEM	VKLAD	17478	34373	\N	\N	\N
23567	78	1996-06-12	PRIJEM	VKLAD	26217	46559	\N	\N	\N
23568	78	1996-07-12	PRIJEM	VKLAD	17478	26428	\N	\N	\N
23569	78	1996-08-12	PRIJEM	VKLAD	17478	35049	\N	\N	\N
23570	78	1996-09-12	PRIJEM	VKLAD	17478	34597	\N	\N	\N
23571	78	1996-10-12	PRIJEM	VKLAD	17478	34340	\N	\N	\N
23572	78	1996-11-12	PRIJEM	VKLAD	17478	35179	\N	\N	\N
23573	78	1996-12-12	PRIJEM	VKLAD	26217	43257	\N	\N	\N
23574	78	1997-01-12	PRIJEM	VKLAD	17478	42718	\N	\N	\N
23575	78	1997-02-12	PRIJEM	VKLAD	17478	33778	\N	\N	\N
23576	78	1997-03-12	PRIJEM	VKLAD	17478	36215	\N	\N	\N
23577	78	1997-04-12	PRIJEM	VKLAD	17478	42672	\N	\N	\N
23578	78	1997-05-12	PRIJEM	VKLAD	17478	42442	\N	\N	\N
23579	78	1997-06-12	PRIJEM	VKLAD	26217	54057	\N	\N	\N
23580	78	1997-07-12	PRIJEM	VKLAD	17478	39118	\N	\N	\N
23581	78	1997-08-12	PRIJEM	VKLAD	17478	44986	\N	\N	\N
23582	78	1997-09-12	PRIJEM	VKLAD	17478	43376	\N	\N	\N
23583	78	1997-10-12	PRIJEM	VKLAD	17478	46851	\N	\N	\N
23584	78	1997-11-12	PRIJEM	VKLAD	17478	51646	\N	\N	\N
23585	78	1997-12-12	PRIJEM	VKLAD	26217	52774	\N	\N	\N
23586	78	1998-01-12	PRIJEM	VKLAD	17478	41865	\N	\N	\N
23587	78	1998-02-12	PRIJEM	VKLAD	17478	50336	\N	\N	\N
23588	78	1998-03-12	PRIJEM	VKLAD	17478	58941	\N	\N	\N
23589	78	1998-04-12	PRIJEM	VKLAD	17478	57369	\N	\N	\N
23590	78	1998-05-12	PRIJEM	VKLAD	17478	56915	\N	\N	\N
23591	78	1998-06-12	PRIJEM	VKLAD	26217	64578	\N	\N	\N
23592	78	1998-07-12	PRIJEM	VKLAD	17478	57691	\N	\N	\N
23593	78	1998-08-12	PRIJEM	VKLAD	17478	64633	\N	\N	\N
23594	78	1998-09-12	PRIJEM	VKLAD	17478	67109	\N	\N	\N
23595	78	1998-10-12	PRIJEM	VKLAD	17478	67697	\N	\N	\N
23596	78	1998-11-12	PRIJEM	VKLAD	17478	71291	\N	\N	\N
23597	78	1998-12-12	PRIJEM	VKLAD	26217	78733	\N	\N	\N
23609	78	1993-12-06	VYDAJ	PREVOD NA UCET	9039	30229	SIPO	WX	32111394
23610	78	1994-01-06	VYDAJ	PREVOD NA UCET	9039	29999	SIPO	WX	32111394
23611	78	1994-02-06	VYDAJ	PREVOD NA UCET	9039	21595	SIPO	WX	32111394
23612	78	1994-03-06	VYDAJ	PREVOD NA UCET	9039	22858	SIPO	WX	32111394
23613	78	1994-04-06	VYDAJ	PREVOD NA UCET	9039	24034	SIPO	WX	32111394
23614	78	1994-05-06	VYDAJ	PREVOD NA UCET	9039	25615	SIPO	WX	32111394
23615	78	1994-06-06	VYDAJ	PREVOD NA UCET	9039	18796	SIPO	WX	32111394
23616	78	1994-07-06	VYDAJ	PREVOD NA UCET	9039	26214	SIPO	WX	32111394
23617	78	1994-08-06	VYDAJ	PREVOD NA UCET	9039	24007	SIPO	WX	32111394
23618	78	1994-09-06	VYDAJ	PREVOD NA UCET	9039	27692	SIPO	WX	32111394
23619	78	1994-10-06	VYDAJ	PREVOD NA UCET	9039	23797	SIPO	WX	32111394
23620	78	1994-11-06	VYDAJ	PREVOD NA UCET	9039	24972	SIPO	WX	32111394
23621	78	1994-12-06	VYDAJ	PREVOD NA UCET	9039	26252	SIPO	WX	32111394
23622	78	1995-01-06	VYDAJ	PREVOD NA UCET	9039	18994	SIPO	WX	32111394
23623	78	1995-02-06	VYDAJ	PREVOD NA UCET	9039	15036	SIPO	WX	32111394
23624	78	1995-03-06	VYDAJ	PREVOD NA UCET	9039	17472	SIPO	WX	32111394
23625	78	1995-04-06	VYDAJ	PREVOD NA UCET	9039	21227	SIPO	WX	32111394
23626	78	1995-05-06	VYDAJ	PREVOD NA UCET	9039	19395	SIPO	WX	32111394
23627	78	1995-06-06	VYDAJ	PREVOD NA UCET	9039	9455	SIPO	WX	32111394
23628	78	1995-07-06	VYDAJ	PREVOD NA UCET	9039	16133	SIPO	WX	32111394
23629	78	1995-08-06	VYDAJ	PREVOD NA UCET	9039	17780	SIPO	WX	32111394
23630	78	1995-09-06	VYDAJ	PREVOD NA UCET	9039	16925	SIPO	WX	32111394
23631	78	1995-10-06	VYDAJ	PREVOD NA UCET	9039	19874	SIPO	WX	32111394
23632	78	1995-11-06	VYDAJ	PREVOD NA UCET	9039	19833	SIPO	WX	32111394
23633	78	1995-12-06	VYDAJ	PREVOD NA UCET	9039	21492	SIPO	WX	32111394
23634	78	1996-01-06	VYDAJ	PREVOD NA UCET	9039	21513	SIPO	WX	32111394
23635	78	1996-02-06	VYDAJ	PREVOD NA UCET	9039	15663	SIPO	WX	32111394
23636	78	1996-03-06	VYDAJ	PREVOD NA UCET	9039	18404	SIPO	WX	32111394
23637	78	1996-04-06	VYDAJ	PREVOD NA UCET	9039	17351	SIPO	WX	32111394
23638	78	1996-05-06	VYDAJ	PREVOD NA UCET	9039	16895	SIPO	WX	32111394
23639	78	1996-06-06	VYDAJ	PREVOD NA UCET	9039	20342	SIPO	WX	32111394
23640	78	1996-07-06	VYDAJ	PREVOD NA UCET	9039	8950	SIPO	WX	32111394
23641	78	1996-08-06	VYDAJ	PREVOD NA UCET	9039	17571	SIPO	WX	32111394
23642	78	1996-09-06	VYDAJ	PREVOD NA UCET	9039	21019	SIPO	WX	32111394
23643	78	1996-10-06	VYDAJ	PREVOD NA UCET	9039	16862	SIPO	WX	32111394
23644	78	1996-11-06	VYDAJ	PREVOD NA UCET	9039	17701	SIPO	WX	32111394
23645	78	1996-12-06	VYDAJ	PREVOD NA UCET	9039	17040	SIPO	WX	32111394
23646	78	1997-01-06	VYDAJ	PREVOD NA UCET	9039	25240	SIPO	WX	32111394
23647	78	1997-02-06	VYDAJ	PREVOD NA UCET	9039	16300	SIPO	WX	32111394
23648	78	1997-03-06	VYDAJ	PREVOD NA UCET	9039	18737	SIPO	WX	32111394
23649	78	1997-04-06	VYDAJ	PREVOD NA UCET	9039	25194	SIPO	WX	32111394
23650	78	1997-05-06	VYDAJ	PREVOD NA UCET	9039	24964	SIPO	WX	32111394
23651	78	1997-06-06	VYDAJ	PREVOD NA UCET	9039	27840	SIPO	WX	32111394
23652	78	1997-07-06	VYDAJ	PREVOD NA UCET	9039	21640	SIPO	WX	32111394
23653	78	1997-08-06	VYDAJ	PREVOD NA UCET	9039	27508	SIPO	WX	32111394
23654	78	1997-09-06	VYDAJ	PREVOD NA UCET	9039	25898	SIPO	WX	32111394
23655	78	1997-10-06	VYDAJ	PREVOD NA UCET	9039	29373	SIPO	WX	32111394
23656	78	1997-11-06	VYDAJ	PREVOD NA UCET	9039	34168	SIPO	WX	32111394
23657	78	1997-12-06	VYDAJ	PREVOD NA UCET	9039	26557	SIPO	WX	32111394
23658	78	1998-01-06	VYDAJ	PREVOD NA UCET	9039	32187	SIPO	WX	32111394
23659	78	1998-02-06	VYDAJ	PREVOD NA UCET	9039	26158	SIPO	WX	32111394
23660	78	1998-03-06	VYDAJ	PREVOD NA UCET	9039	41463	SIPO	WX	32111394
23661	78	1998-04-06	VYDAJ	PREVOD NA UCET	9039	39891	SIPO	WX	32111394
23662	78	1998-05-06	VYDAJ	PREVOD NA UCET	9039	39437	SIPO	WX	32111394
23663	78	1998-06-06	VYDAJ	PREVOD NA UCET	9039	38761	SIPO	WX	32111394
23664	78	1998-07-06	VYDAJ	PREVOD NA UCET	9039	36213	SIPO	WX	32111394
23665	78	1998-08-06	VYDAJ	PREVOD NA UCET	9039	48855	SIPO	WX	32111394
23666	78	1998-09-06	VYDAJ	PREVOD NA UCET	9039	55831	SIPO	WX	32111394
23667	78	1998-10-06	VYDAJ	PREVOD NA UCET	9039	57519	SIPO	WX	32111394
23668	78	1998-11-06	VYDAJ	PREVOD NA UCET	9039	58913	SIPO	WX	32111394
23669	78	1998-12-06	VYDAJ	PREVOD NA UCET	9039	62516	SIPO	WX	32111394
23671	78	1994-06-01	VYDAJ	VYBER	8900	28135	\N	\N	\N
23672	78	1995-06-04	VYDAJ	VYBER	9800	18494	\N	\N	\N
23673	78	1996-06-28	VYDAJ	VYBER	18800	17859	\N	\N	\N
23674	78	1997-06-15	VYDAJ	VYBER	21100	32957	\N	\N	\N
23675	78	1998-06-12	VYDAJ	VYBER	19500	45078	\N	\N	\N
23676	78	1993-12-22	VYDAJ	VYBER	2200	54246	\N	\N	\N
23677	78	1994-12-02	VYDAJ	VYBER	1600	35291	\N	\N	\N
23678	78	1995-12-29	VYDAJ	VYBER	800	33209	\N	\N	\N
23679	78	1996-12-25	VYDAJ	VYBER	800	34157	\N	\N	\N
23680	78	1997-12-27	VYDAJ	VYBER	1800	41874	\N	\N	\N
23681	78	1998-12-30	VYDAJ	VYBER	1100	77633	\N	\N	\N
23688	78	1994-01-07	VYDAJ	VYBER	2100	27899	\N	\N	\N
23689	78	1994-01-24	VYDAJ	VYBER	1000	39977	\N	\N	\N
23690	78	1994-01-17	VYDAJ	VYBER	900	40977	\N	\N	\N
23691	78	1994-01-30	VYDAJ	VYBER	600	39377	\N	\N	\N
23692	78	1994-01-12	VYDAJ	VYBER	1900	43477	\N	\N	\N
23693	78	1994-01-12	VYDAJ	VYBER	1600	41877	\N	\N	\N
23694	78	1995-01-03	VYDAJ	VYBER	2800	28033	\N	\N	\N
23695	78	1995-01-24	VYDAJ	VYBER	1400	30372	\N	\N	\N
23696	78	1995-01-28	VYDAJ	VYBER	1000	24772	\N	\N	\N
23697	78	1995-01-13	VYDAJ	VYBER	700	31772	\N	\N	\N
23698	78	1995-01-07	VYDAJ	VYBER	1600	17394	\N	\N	\N
23699	78	1995-01-03	VYDAJ	VYBER	1800	33933	\N	\N	\N
23700	78	1996-01-26	VYDAJ	VYBER	2300	24591	\N	\N	\N
23701	78	1996-01-20	VYDAJ	VYBER	1400	37591	\N	\N	\N
23702	78	1996-01-21	VYDAJ	VYBER	2800	33991	\N	\N	\N
23703	78	1996-01-01	VYDAJ	VYBER	2800	30552	\N	\N	\N
23704	78	1996-01-20	VYDAJ	VYBER	800	36791	\N	\N	\N
23705	78	1996-01-24	VYDAJ	VYBER	1900	26891	\N	\N	\N
23706	78	1997-01-23	VYDAJ	VYBER	2400	28618	\N	\N	\N
23707	78	1997-01-29	VYDAJ	VYBER	1200	26818	\N	\N	\N
23708	78	1997-01-16	VYDAJ	VYBER	2500	40218	\N	\N	\N
23709	78	1997-01-30	VYDAJ	VYBER	1600	25218	\N	\N	\N
23710	78	1997-01-22	VYDAJ	VYBER	700	31018	\N	\N	\N
23711	78	1997-01-29	VYDAJ	VYBER	600	28018	\N	\N	\N
23712	78	1998-01-02	VYDAJ	VYBER	800	41226	\N	\N	\N
23713	78	1998-01-10	VYDAJ	VYBER	2600	25087	\N	\N	\N
23714	78	1998-01-16	VYDAJ	VYBER	600	37565	\N	\N	\N
23715	78	1998-01-09	VYDAJ	VYBER	600	31587	\N	\N	\N
23716	78	1998-01-20	VYDAJ	VYBER	2500	35065	\N	\N	\N
23717	78	1998-01-10	VYDAJ	VYBER	700	24387	\N	\N	\N
23718	78	1993-12-01	VYDAJ	VYBER	3800	52068	\N	\N	\N
23720	78	1993-11-18	VYDAJ	VYBER	1400	55656	\N	\N	\N
23723	78	1994-12-27	VYDAJ	VYBER	2800	49669	\N	\N	\N
23724	78	1994-10-01	VYDAJ	VYBER	1100	32836	\N	\N	\N
23725	78	1994-04-29	VYDAJ	VYBER	2300	39212	\N	\N	\N
23726	78	1994-05-22	VYDAJ	VYBER	2300	40793	\N	\N	\N
23727	78	1994-05-25	VYDAJ	VYBER	3900	36893	\N	\N	\N
23728	78	1994-02-07	VYDAJ	VYBER	2600	18995	\N	\N	\N
23729	78	1994-11-01	VYDAJ	VYBER	500	34011	\N	\N	\N
23730	78	1995-08-11	VYDAJ	VYBER	2100	15680	\N	\N	\N
23731	78	1995-01-12	VYDAJ	VYBER	2400	32472	\N	\N	\N
23732	78	1995-02-01	VYDAJ	VYBER	800	24075	\N	\N	\N
23733	78	1995-01-03	VYDAJ	VYBER	3100	30833	\N	\N	\N
23734	78	1996-09-24	VYDAJ	VYBER	4500	25797	\N	\N	\N
23735	78	1996-10-16	VYDAJ	VYBER	2000	32340	\N	\N	\N
23736	78	1996-03-20	VYDAJ	VYBER	2600	33282	\N	\N	\N
23738	78	1996-09-09	VYDAJ	VYBER	3900	17119	\N	\N	\N
23739	78	1997-06-05	VYDAJ	VYBER	600	36879	\N	\N	\N
23740	78	1997-09-06	VYDAJ	VYBER	4200	34937	\N	\N	\N
23741	78	1997-11-23	VYDAJ	VYBER	1100	38146	\N	\N	\N
23742	78	1997-07-20	VYDAJ	VYBER	2200	36418	\N	\N	\N
23743	78	1997-11-26	VYDAJ	VYBER	2700	35446	\N	\N	\N
23744	78	1997-09-05	VYDAJ	VYBER	3200	39137	\N	\N	\N
23745	78	1998-05-31	VYDAJ	VYBER	1500	47800	\N	\N	\N
23746	78	1998-01-10	VYDAJ	VYBER	3900	27687	\N	\N	\N
23747	78	1998-09-15	VYDAJ	VYBER	800	66309	\N	\N	\N
23759	78	1993-11-30	VYDAJ	VYBER	15	55868	SLUZBY	\N	\N
23760	78	1993-12-31	VYDAJ	VYBER	15	54438	SLUZBY	\N	\N
23761	78	1994-01-31	VYDAJ	VYBER	15	39534	SLUZBY	\N	\N
23762	78	1994-02-28	VYDAJ	VYBER	15	36597	SLUZBY	\N	\N
23763	78	1994-03-31	VYDAJ	VYBER	15	40473	SLUZBY	\N	\N
23764	78	1994-04-30	VYDAJ	VYBER	15	39354	SLUZBY	\N	\N
23765	78	1994-05-31	VYDAJ	VYBER	15	37035	SLUZBY	\N	\N
23766	78	1994-06-30	VYDAJ	VYBER	15	45153	SLUZBY	\N	\N
23767	78	1994-07-31	VYDAJ	VYBER	15	43846	SLUZBY	\N	\N
23768	78	1994-08-31	VYDAJ	VYBER	15	41631	SLUZBY	\N	\N
23769	78	1994-09-30	VYDAJ	VYBER	15	33936	SLUZBY	\N	\N
23770	78	1994-10-31	VYDAJ	VYBER	15	34511	SLUZBY	\N	\N
23771	78	1994-11-30	VYDAJ	VYBER	15	36891	SLUZBY	\N	\N
23772	78	1994-12-31	VYDAJ	VYBER	15	35733	SLUZBY	\N	\N
23773	78	1995-01-31	VYDAJ	VYBER	15	24875	SLUZBY	\N	\N
23774	78	1995-02-28	VYDAJ	VYBER	15	26511	SLUZBY	\N	\N
23775	78	1995-03-31	VYDAJ	VYBER	15	30266	SLUZBY	\N	\N
23776	78	1995-04-30	VYDAJ	VYBER	15	28434	SLUZBY	\N	\N
23777	78	1995-05-31	VYDAJ	VYBER	15	28294	SLUZBY	\N	\N
23778	78	1995-06-30	VYDAJ	VYBER	15	25172	SLUZBY	\N	\N
23779	78	1995-07-31	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
23780	78	1995-08-31	VYDAJ	VYBER	15	25964	SLUZBY	\N	\N
23781	78	1995-09-30	VYDAJ	VYBER	15	28913	SLUZBY	\N	\N
23782	78	1995-10-31	VYDAJ	VYBER	15	28872	SLUZBY	\N	\N
23783	78	1995-11-30	VYDAJ	VYBER	15	30531	SLUZBY	\N	\N
23784	78	1995-12-31	VYDAJ	VYBER	15	33352	SLUZBY	\N	\N
23785	78	1996-01-31	VYDAJ	VYBER	15	24702	SLUZBY	\N	\N
23786	78	1996-02-29	VYDAJ	VYBER	15	27443	SLUZBY	\N	\N
23787	78	1996-03-31	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
23788	78	1996-04-30	VYDAJ	VYBER	15	25934	SLUZBY	\N	\N
23789	78	1996-05-31	VYDAJ	VYBER	15	29381	SLUZBY	\N	\N
23790	78	1996-06-30	VYDAJ	VYBER	15	17989	SLUZBY	\N	\N
23791	78	1996-07-31	VYDAJ	VYBER	15	26610	SLUZBY	\N	\N
23792	78	1996-08-31	VYDAJ	VYBER	15	30058	SLUZBY	\N	\N
23793	78	1996-09-30	VYDAJ	VYBER	15	25901	SLUZBY	\N	\N
23794	78	1996-10-31	VYDAJ	VYBER	15	26740	SLUZBY	\N	\N
23795	78	1996-11-30	VYDAJ	VYBER	15	26079	SLUZBY	\N	\N
23796	78	1996-12-31	VYDAJ	VYBER	15	34279	SLUZBY	\N	\N
23797	78	1997-01-31	VYDAJ	VYBER	15	25339	SLUZBY	\N	\N
23798	78	1997-02-28	VYDAJ	VYBER	15	27776	SLUZBY	\N	\N
23799	78	1997-03-31	VYDAJ	VYBER	15	34233	SLUZBY	\N	\N
23800	78	1997-04-30	VYDAJ	VYBER	15	34003	SLUZBY	\N	\N
23801	78	1997-05-31	VYDAJ	VYBER	15	37479	SLUZBY	\N	\N
23802	78	1997-06-30	VYDAJ	VYBER	15	30679	SLUZBY	\N	\N
23803	78	1997-07-31	VYDAJ	VYBER	15	36547	SLUZBY	\N	\N
23804	78	1997-08-31	VYDAJ	VYBER	15	42337	SLUZBY	\N	\N
23805	78	1997-09-30	VYDAJ	VYBER	15	38412	SLUZBY	\N	\N
23806	78	1997-10-31	VYDAJ	VYBER	15	43207	SLUZBY	\N	\N
23807	78	1997-11-30	VYDAJ	VYBER	15	35596	SLUZBY	\N	\N
23808	78	1997-12-31	VYDAJ	VYBER	15	42026	SLUZBY	\N	\N
23809	78	1998-01-31	VYDAJ	VYBER	15	35197	SLUZBY	\N	\N
23810	78	1998-02-28	VYDAJ	VYBER	15	50502	SLUZBY	\N	\N
23811	78	1998-03-31	VYDAJ	VYBER	15	48930	SLUZBY	\N	\N
23812	78	1998-04-30	VYDAJ	VYBER	15	48476	SLUZBY	\N	\N
23813	78	1998-05-31	VYDAJ	VYBER	15	49300	SLUZBY	\N	\N
23814	78	1998-06-30	VYDAJ	VYBER	15	45252	SLUZBY	\N	\N
23815	78	1998-07-31	VYDAJ	VYBER	15	57894	SLUZBY	\N	\N
23816	78	1998-08-31	VYDAJ	VYBER	15	64870	SLUZBY	\N	\N
23817	78	1998-09-30	VYDAJ	VYBER	15	66558	SLUZBY	\N	\N
23818	78	1998-10-31	VYDAJ	VYBER	15	67952	SLUZBY	\N	\N
23819	78	1998-11-30	VYDAJ	VYBER	15	71555	SLUZBY	\N	\N
23820	78	1993-08-06	PRIJEM	VKLAD	2400	20326	\N	\N	\N
23821	78	1993-09-05	VYDAJ	VYBER	8500	29432	\N	\N	\N
23822	78	1993-10-05	VYDAJ	VYBER	12900	34192	\N	\N	\N
23823	78	1993-11-04	VYDAJ	VYBER	12300	39578	\N	\N	\N
23824	78	1993-12-04	VYDAJ	VYBER	12800	39268	\N	\N	\N
23825	78	1994-01-03	VYDAJ	VYBER	15400	39038	\N	\N	\N
23826	78	1994-02-02	VYDAJ	VYBER	8900	30634	\N	\N	\N
23827	78	1994-03-04	VYDAJ	VYBER	4700	31897	\N	\N	\N
23828	78	1994-04-03	VYDAJ	VYBER	7400	33073	\N	\N	\N
23829	78	1994-05-03	VYDAJ	VYBER	4700	34654	\N	\N	\N
23830	78	1994-06-02	VYDAJ	VYBER	300	27835	\N	\N	\N
23831	78	1994-07-02	VYDAJ	VYBER	9900	35253	\N	\N	\N
23832	78	1994-08-01	VYDAJ	VYBER	10800	33046	\N	\N	\N
23833	78	1994-08-31	VYDAJ	VYBER	4900	36731	\N	\N	\N
23834	78	1994-09-30	VYDAJ	VYBER	11400	33951	\N	\N	\N
23835	78	1994-10-30	VYDAJ	VYBER	6900	34375	\N	\N	\N
23836	78	1994-11-29	VYDAJ	VYBER	5700	36750	\N	\N	\N
23837	78	1994-12-29	VYDAJ	VYBER	14100	35569	\N	\N	\N
23838	78	1995-01-28	VYDAJ	VYBER	4600	25772	\N	\N	\N
23839	78	1995-02-27	VYDAJ	VYBER	6100	26414	\N	\N	\N
23840	78	1995-03-29	VYDAJ	VYBER	4800	30150	\N	\N	\N
23841	78	1995-04-28	VYDAJ	VYBER	10400	28305	\N	\N	\N
23842	78	1995-05-28	VYDAJ	VYBER	8700	28173	\N	\N	\N
23843	78	1995-06-27	VYDAJ	VYBER	10600	25072	\N	\N	\N
23844	78	1995-07-27	VYDAJ	VYBER	6900	26711	\N	\N	\N
23845	78	1995-08-26	VYDAJ	VYBER	7300	25858	\N	\N	\N
23846	78	1995-09-25	VYDAJ	VYBER	5600	28803	\N	\N	\N
23847	78	1995-10-25	VYDAJ	VYBER	8600	28752	\N	\N	\N
23848	78	1995-11-24	VYDAJ	VYBER	6900	30411	\N	\N	\N
23849	78	1995-12-24	VYDAJ	VYBER	13700	34009	\N	\N	\N
23850	78	1996-01-23	VYDAJ	VYBER	5200	28791	\N	\N	\N
23851	78	1996-02-22	VYDAJ	VYBER	5800	27341	\N	\N	\N
23852	78	1996-03-23	VYDAJ	VYBER	7000	26282	\N	\N	\N
23853	78	1996-04-22	VYDAJ	VYBER	9000	25829	\N	\N	\N
23854	78	1996-05-22	VYDAJ	VYBER	5100	29273	\N	\N	\N
23855	78	1996-06-21	VYDAJ	VYBER	9900	36659	\N	\N	\N
23856	78	1996-07-21	PRIJEM	VKLAD	100	26528	\N	\N	\N
23857	78	1996-08-20	VYDAJ	VYBER	5100	29949	\N	\N	\N
23858	78	1996-09-19	VYDAJ	VYBER	4300	30297	\N	\N	\N
23859	78	1996-10-19	VYDAJ	VYBER	5700	26640	\N	\N	\N
23860	78	1996-11-18	VYDAJ	VYBER	9200	25979	\N	\N	\N
23861	78	1996-12-18	VYDAJ	VYBER	8300	34957	\N	\N	\N
23862	78	1997-01-17	VYDAJ	VYBER	8500	31718	\N	\N	\N
23863	78	1997-02-16	VYDAJ	VYBER	6100	27678	\N	\N	\N
23864	78	1997-03-18	VYDAJ	VYBER	2100	34115	\N	\N	\N
23865	78	1997-04-17	VYDAJ	VYBER	8800	33872	\N	\N	\N
23866	78	1997-05-17	VYDAJ	VYBER	5100	37342	\N	\N	\N
23867	78	1997-06-16	VYDAJ	VYBER	2400	30557	\N	\N	\N
23868	78	1997-07-16	VYDAJ	VYBER	500	38618	\N	\N	\N
23869	78	1997-08-15	VYDAJ	VYBER	2800	42186	\N	\N	\N
23870	78	1997-09-14	VYDAJ	VYBER	5100	38276	\N	\N	\N
23871	78	1997-10-14	VYDAJ	VYBER	3800	43051	\N	\N	\N
23872	78	1997-11-13	VYDAJ	VYBER	12400	39246	\N	\N	\N
23873	78	1997-12-13	VYDAJ	VYBER	9100	43674	\N	\N	\N
23874	78	1998-01-12	VYDAJ	VYBER	3700	38165	\N	\N	\N
23875	78	1998-02-11	PRIJEM	VKLAD	6700	32858	\N	\N	\N
23876	78	1998-03-13	VYDAJ	VYBER	10200	48741	\N	\N	\N
23877	78	1998-04-12	VYDAJ	VYBER	9100	48269	\N	\N	\N
23878	78	1998-05-12	VYDAJ	VYBER	7800	49115	\N	\N	\N
23879	78	1998-06-11	VYDAJ	VYBER	400	38361	\N	\N	\N
23880	78	1998-07-11	PRIJEM	VKLAD	4000	40213	\N	\N	\N
23881	78	1998-08-10	VYDAJ	VYBER	1700	47155	\N	\N	\N
23882	78	1998-09-09	VYDAJ	VYBER	6200	49631	\N	\N	\N
23883	78	1998-10-09	VYDAJ	VYBER	7300	50219	\N	\N	\N
23884	78	1998-11-08	VYDAJ	VYBER	5100	53813	\N	\N	\N
23885	78	1998-12-08	VYDAJ	VYBER	10000	52516	\N	\N	\N
23952	79	1996-11-29	PRIJEM	VKLAD	600	600	\N	\N	\N
23964	79	1996-12-12	PRIJEM	PREVOD Z UCTU	4182	4782	DUCHOD	OP	79930013
23965	79	1997-01-12	PRIJEM	PREVOD Z UCTU	4182	8964	DUCHOD	OP	79930013
23966	79	1997-02-12	PRIJEM	PREVOD Z UCTU	4182	13146	DUCHOD	OP	79930013
23967	79	1997-03-12	PRIJEM	PREVOD Z UCTU	4182	17328	DUCHOD	OP	79930013
23968	79	1997-04-12	PRIJEM	PREVOD Z UCTU	4182	21510	DUCHOD	OP	79930013
23969	79	1997-05-12	PRIJEM	PREVOD Z UCTU	4182	21813	DUCHOD	OP	79930013
23970	79	1997-06-12	PRIJEM	PREVOD Z UCTU	4182	18229	DUCHOD	OP	79930013
23971	79	1997-07-12	PRIJEM	PREVOD Z UCTU	4182	19676	DUCHOD	OP	79930013
23972	79	1997-08-12	PRIJEM	PREVOD Z UCTU	4182	19843	DUCHOD	OP	79930013
23973	79	1997-09-12	PRIJEM	PREVOD Z UCTU	4182	21291	DUCHOD	OP	79930013
23974	79	1997-10-12	PRIJEM	PREVOD Z UCTU	4182	22746	DUCHOD	OP	79930013
23975	79	1997-11-12	PRIJEM	PREVOD Z UCTU	4182	23726	DUCHOD	OP	79930013
23976	79	1997-12-12	PRIJEM	PREVOD Z UCTU	4182	25192	DUCHOD	OP	79930013
23977	79	1998-01-12	PRIJEM	PREVOD Z UCTU	4182	23651	DUCHOD	OP	79930013
23978	79	1998-02-12	PRIJEM	PREVOD Z UCTU	4182	21438	DUCHOD	OP	79930013
23979	79	1998-03-12	PRIJEM	PREVOD Z UCTU	4182	21863	DUCHOD	OP	79930013
23980	79	1998-04-12	PRIJEM	PREVOD Z UCTU	4182	23319	DUCHOD	OP	79930013
23981	79	1998-05-12	PRIJEM	PREVOD Z UCTU	4182	24381	DUCHOD	OP	79930013
23982	79	1998-06-12	PRIJEM	PREVOD Z UCTU	4182	22298	DUCHOD	OP	79930013
23983	79	1998-07-12	PRIJEM	PREVOD Z UCTU	4182	23120	DUCHOD	OP	79930013
23984	79	1998-08-12	PRIJEM	PREVOD Z UCTU	4182	21616	DUCHOD	OP	79930013
23985	79	1998-09-12	PRIJEM	PREVOD Z UCTU	4182	23072	DUCHOD	OP	79930013
23986	79	1998-10-12	PRIJEM	PREVOD Z UCTU	4182	24533	DUCHOD	OP	79930013
23987	79	1998-11-12	PRIJEM	PREVOD Z UCTU	4182	26001	DUCHOD	OP	79930013
23988	79	1998-12-12	PRIJEM	PREVOD Z UCTU	4182	27474	DUCHOD	OP	79930013
24004	79	1997-04-13	VYDAJ	PREVOD NA UCET	2788	18722	SIPO	CD	15471804
24005	79	1997-05-13	VYDAJ	PREVOD NA UCET	2788	19025	SIPO	CD	15471804
24006	79	1997-06-13	VYDAJ	PREVOD NA UCET	2788	15441	SIPO	CD	15471804
24007	79	1997-07-13	VYDAJ	PREVOD NA UCET	2788	16888	SIPO	CD	15471804
24008	79	1997-08-13	VYDAJ	PREVOD NA UCET	2788	17055	SIPO	CD	15471804
24009	79	1997-09-13	VYDAJ	PREVOD NA UCET	2788	18503	SIPO	CD	15471804
24010	79	1997-10-13	VYDAJ	PREVOD NA UCET	2788	19958	SIPO	CD	15471804
24011	79	1997-11-13	VYDAJ	PREVOD NA UCET	2788	20938	SIPO	CD	15471804
24012	79	1997-12-13	VYDAJ	PREVOD NA UCET	2788	22404	SIPO	CD	15471804
24013	79	1998-01-13	VYDAJ	PREVOD NA UCET	2788	20863	SIPO	CD	15471804
24014	79	1998-02-13	VYDAJ	PREVOD NA UCET	2788	17610	SIPO	CD	15471804
24015	79	1998-03-13	VYDAJ	PREVOD NA UCET	2788	19075	SIPO	CD	15471804
24016	79	1998-04-13	VYDAJ	PREVOD NA UCET	2788	20531	SIPO	CD	15471804
24017	79	1998-05-13	VYDAJ	PREVOD NA UCET	2788	21593	SIPO	CD	15471804
24018	79	1998-06-13	VYDAJ	PREVOD NA UCET	2788	19510	SIPO	CD	15471804
24019	79	1998-07-13	VYDAJ	PREVOD NA UCET	2788	20332	SIPO	CD	15471804
24020	79	1998-08-13	VYDAJ	PREVOD NA UCET	2788	18828	SIPO	CD	15471804
24021	79	1998-09-13	VYDAJ	PREVOD NA UCET	2788	20284	SIPO	CD	15471804
24292	80	1997-05-31	VYDAJ	VYBER	15	18799	SLUZBY	\N	\N
24022	79	1998-10-13	VYDAJ	PREVOD NA UCET	2788	21745	SIPO	CD	15471804
24023	79	1998-11-13	VYDAJ	PREVOD NA UCET	2788	23213	SIPO	CD	15471804
24024	79	1998-12-13	VYDAJ	PREVOD NA UCET	2788	24686	SIPO	CD	15471804
24026	79	1997-06-11	VYDAJ	VYBER	3200	14047	\N	\N	\N
24027	79	1998-06-07	VYDAJ	VYBER	3550	18116	\N	\N	\N
24030	79	1998-01-05	VYDAJ	VYBER	1900	20029	\N	\N	\N
24032	79	1997-12-14	VYDAJ	VYBER	550	21854	\N	\N	\N
24033	79	1998-12-19	VYDAJ	VYBER	400	24286	\N	\N	\N
24040	79	1997-04-13	VYDAJ	VYBER	1120	17602	\N	\N	\N
24041	79	1997-07-29	VYDAJ	VYBER	1280	15608	\N	\N	\N
24042	79	1997-05-30	VYDAJ	VYBER	1840	17185	\N	\N	\N
24043	79	1997-11-02	VYDAJ	VYBER	480	19544	\N	\N	\N
24045	79	1998-01-08	VYDAJ	VYBER	560	19469	\N	\N	\N
24046	79	1998-12-21	VYDAJ	VYBER	2480	21806	\N	\N	\N
24047	79	1998-07-17	VYDAJ	VYBER	2960	17372	\N	\N	\N
24048	79	1998-04-15	VYDAJ	VYBER	400	20131	\N	\N	\N
24049	79	1998-02-07	VYDAJ	VYBER	3680	17256	\N	\N	\N
24050	79	1998-02-13	VYDAJ	VYBER	1040	20398	\N	\N	\N
24051	79	1998-06-13	VYDAJ	VYBER	640	18870	\N	\N	\N
24068	79	1997-04-30	VYDAJ	VYBER	15	17631	SLUZBY	\N	\N
24069	79	1997-05-31	VYDAJ	VYBER	15	17247	SLUZBY	\N	\N
24070	79	1997-06-30	VYDAJ	VYBER	15	15494	SLUZBY	\N	\N
24071	79	1997-07-31	VYDAJ	VYBER	15	15661	SLUZBY	\N	\N
24072	79	1997-08-31	VYDAJ	VYBER	15	17109	SLUZBY	\N	\N
24073	79	1997-09-30	VYDAJ	VYBER	15	18564	SLUZBY	\N	\N
24074	79	1997-10-31	VYDAJ	VYBER	15	20024	SLUZBY	\N	\N
24075	79	1997-11-30	VYDAJ	VYBER	15	21010	SLUZBY	\N	\N
24076	79	1997-12-31	VYDAJ	VYBER	15	21929	SLUZBY	\N	\N
24077	79	1998-01-31	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
24078	79	1998-02-28	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
24079	79	1998-03-31	VYDAJ	VYBER	15	19137	SLUZBY	\N	\N
24080	79	1998-04-30	VYDAJ	VYBER	15	20199	SLUZBY	\N	\N
24081	79	1998-05-31	VYDAJ	VYBER	15	21666	SLUZBY	\N	\N
24082	79	1998-06-30	VYDAJ	VYBER	15	18938	SLUZBY	\N	\N
24083	79	1998-07-31	VYDAJ	VYBER	15	17434	SLUZBY	\N	\N
24084	79	1998-08-31	VYDAJ	VYBER	15	18890	SLUZBY	\N	\N
24085	79	1998-09-30	VYDAJ	VYBER	15	20351	SLUZBY	\N	\N
24086	79	1998-10-31	VYDAJ	VYBER	15	21819	SLUZBY	\N	\N
24087	79	1998-11-30	VYDAJ	VYBER	15	23292	SLUZBY	\N	\N
24109	80	1995-09-27	PRIJEM	VKLAD	900	900	\N	\N	\N
24119	80	1995-10-14	PRIJEM	PREVOD Z UCTU	3378	4278	\N	AB	97203635
24120	80	1995-11-14	PRIJEM	PREVOD Z UCTU	3378	7656	\N	AB	97203635
24121	80	1995-12-14	PRIJEM	PREVOD Z UCTU	3378	11034	\N	AB	97203635
24122	80	1996-01-14	PRIJEM	PREVOD Z UCTU	3378	14412	\N	AB	97203635
24123	80	1996-02-14	PRIJEM	PREVOD Z UCTU	3378	17790	\N	AB	97203635
24124	80	1996-03-14	PRIJEM	PREVOD Z UCTU	3378	18904	\N	AB	97203635
24125	80	1996-04-14	PRIJEM	PREVOD Z UCTU	3378	19672	\N	AB	97203635
24126	80	1996-05-14	PRIJEM	PREVOD Z UCTU	3378	19123	\N	AB	97203635
24127	80	1996-06-14	PRIJEM	PREVOD Z UCTU	3378	20313	\N	AB	97203635
24128	80	1996-07-14	PRIJEM	PREVOD Z UCTU	3378	16251	\N	AB	97203635
24129	80	1996-08-14	PRIJEM	PREVOD Z UCTU	3378	17428	\N	AB	97203635
24130	80	1996-09-14	PRIJEM	PREVOD Z UCTU	3378	18610	\N	AB	97203635
24131	80	1996-10-14	PRIJEM	PREVOD Z UCTU	3378	17695	\N	AB	97203635
24132	80	1996-11-14	PRIJEM	PREVOD Z UCTU	3378	18879	\N	AB	97203635
24133	80	1996-12-14	PRIJEM	PREVOD Z UCTU	3378	18895	\N	AB	97203635
24134	80	1997-01-14	PRIJEM	PREVOD Z UCTU	3378	18492	\N	AB	97203635
24135	80	1997-02-14	PRIJEM	PREVOD Z UCTU	3378	15205	\N	AB	97203635
24136	80	1997-03-14	PRIJEM	PREVOD Z UCTU	3378	16377	\N	AB	97203635
24137	80	1997-04-14	PRIJEM	PREVOD Z UCTU	3378	17555	\N	AB	97203635
24138	80	1997-05-14	PRIJEM	PREVOD Z UCTU	3378	18737	\N	AB	97203635
24139	80	1997-06-14	PRIJEM	PREVOD Z UCTU	3378	19775	\N	AB	97203635
24140	80	1997-07-14	PRIJEM	PREVOD Z UCTU	3378	20966	\N	AB	97203635
24141	80	1997-08-14	PRIJEM	PREVOD Z UCTU	3378	21262	\N	AB	97203635
24142	80	1997-09-14	PRIJEM	PREVOD Z UCTU	3378	22460	\N	AB	97203635
24143	80	1997-10-14	PRIJEM	PREVOD Z UCTU	3378	23453	\N	AB	97203635
24144	80	1997-11-14	PRIJEM	PREVOD Z UCTU	3378	24659	\N	AB	97203635
24145	80	1997-12-14	PRIJEM	PREVOD Z UCTU	3378	25541	\N	AB	97203635
24146	80	1998-01-14	PRIJEM	PREVOD Z UCTU	3378	24173	\N	AB	97203635
24147	80	1998-02-14	PRIJEM	PREVOD Z UCTU	3378	19102	\N	AB	97203635
24148	80	1998-03-14	PRIJEM	PREVOD Z UCTU	3378	20291	\N	AB	97203635
24149	80	1998-04-14	PRIJEM	PREVOD Z UCTU	3378	21484	\N	AB	97203635
24150	80	1998-05-14	PRIJEM	PREVOD Z UCTU	3378	22683	\N	AB	97203635
24151	80	1998-06-14	PRIJEM	PREVOD Z UCTU	3378	22026	\N	AB	97203635
24152	80	1998-07-14	PRIJEM	PREVOD Z UCTU	3378	23229	\N	AB	97203635
24153	80	1998-08-14	PRIJEM	PREVOD Z UCTU	3378	24435	\N	AB	97203635
24154	80	1998-09-14	PRIJEM	PREVOD Z UCTU	3378	25646	\N	AB	97203635
24155	80	1998-10-14	PRIJEM	PREVOD Z UCTU	3378	26861	\N	AB	97203635
24156	80	1998-11-14	PRIJEM	PREVOD Z UCTU	3378	28082	\N	AB	97203635
24157	80	1998-12-14	PRIJEM	PREVOD Z UCTU	3378	28047	\N	AB	97203635
24172	80	1996-03-12	VYDAJ	PREVOD NA UCET	2252	15526	\N	IJ	85687774
24173	80	1996-04-12	VYDAJ	PREVOD NA UCET	2252	16294	\N	IJ	85687774
24174	80	1996-05-12	VYDAJ	PREVOD NA UCET	2252	15745	\N	IJ	85687774
24175	80	1996-06-12	VYDAJ	PREVOD NA UCET	2252	16935	\N	IJ	85687774
24176	80	1996-07-12	VYDAJ	PREVOD NA UCET	2252	12873	\N	IJ	85687774
24177	80	1996-08-12	VYDAJ	PREVOD NA UCET	2252	14050	\N	IJ	85687774
24178	80	1996-09-12	VYDAJ	PREVOD NA UCET	2252	15232	\N	IJ	85687774
24179	80	1996-10-12	VYDAJ	PREVOD NA UCET	2252	14317	\N	IJ	85687774
24180	80	1996-11-12	VYDAJ	PREVOD NA UCET	2252	15501	\N	IJ	85687774
24181	80	1996-12-12	VYDAJ	PREVOD NA UCET	2252	15517	\N	IJ	85687774
24182	80	1997-01-12	VYDAJ	PREVOD NA UCET	2252	15924	\N	IJ	85687774
24183	80	1997-02-12	VYDAJ	PREVOD NA UCET	2252	11827	\N	IJ	85687774
24184	80	1997-03-12	VYDAJ	PREVOD NA UCET	2252	12999	\N	IJ	85687774
24185	80	1997-04-12	VYDAJ	PREVOD NA UCET	2252	14177	\N	IJ	85687774
24186	80	1997-05-12	VYDAJ	PREVOD NA UCET	2252	15359	\N	IJ	85687774
24187	80	1997-06-12	VYDAJ	PREVOD NA UCET	2252	16397	\N	IJ	85687774
24188	80	1997-07-12	VYDAJ	PREVOD NA UCET	2252	17588	\N	IJ	85687774
24189	80	1997-08-12	VYDAJ	PREVOD NA UCET	2252	17884	\N	IJ	85687774
24190	80	1997-09-12	VYDAJ	PREVOD NA UCET	2252	19082	\N	IJ	85687774
24191	80	1997-10-12	VYDAJ	PREVOD NA UCET	2252	20075	\N	IJ	85687774
24192	80	1997-11-12	VYDAJ	PREVOD NA UCET	2252	21281	\N	IJ	85687774
24193	80	1997-12-12	VYDAJ	PREVOD NA UCET	2252	22163	\N	IJ	85687774
24194	80	1998-01-12	VYDAJ	PREVOD NA UCET	2252	21485	\N	IJ	85687774
24195	80	1998-02-12	VYDAJ	PREVOD NA UCET	2252	15724	\N	IJ	85687774
24196	80	1998-03-12	VYDAJ	PREVOD NA UCET	2252	16913	\N	IJ	85687774
24197	80	1998-04-12	VYDAJ	PREVOD NA UCET	2252	18106	\N	IJ	85687774
24198	80	1998-05-12	VYDAJ	PREVOD NA UCET	2252	19305	\N	IJ	85687774
24199	80	1998-06-12	VYDAJ	PREVOD NA UCET	2252	18648	\N	IJ	85687774
24200	80	1998-07-12	VYDAJ	PREVOD NA UCET	2252	19851	\N	IJ	85687774
24201	80	1998-08-12	VYDAJ	PREVOD NA UCET	2252	21057	\N	IJ	85687774
24202	80	1998-09-12	VYDAJ	PREVOD NA UCET	2252	22268	\N	IJ	85687774
24203	80	1998-10-12	VYDAJ	PREVOD NA UCET	2252	23483	\N	IJ	85687774
24204	80	1998-11-12	VYDAJ	PREVOD NA UCET	2252	24704	\N	IJ	85687774
24205	80	1998-12-12	VYDAJ	PREVOD NA UCET	2252	24669	\N	IJ	85687774
24207	80	1996-06-22	VYDAJ	VYBER	5250	15063	\N	\N	\N
24209	80	1998-06-02	VYDAJ	VYBER	1860	20900	\N	\N	\N
24212	80	1997-01-24	VYDAJ	VYBER	2550	14892	\N	\N	\N
24213	80	1998-01-15	VYDAJ	VYBER	2970	20423	\N	\N	\N
24215	80	1996-12-21	VYDAJ	VYBER	780	18115	\N	\N	\N
24216	80	1997-12-25	VYDAJ	VYBER	720	23651	\N	\N	\N
24217	80	1998-12-17	VYDAJ	VYBER	660	27387	\N	\N	\N
24230	80	1997-01-23	VYDAJ	VYBER	570	17442	\N	\N	\N
24231	80	1997-01-13	VYDAJ	VYBER	450	15114	\N	\N	\N
24232	80	1997-01-12	VYDAJ	VYBER	360	15564	\N	\N	\N
24233	80	1997-01-29	VYDAJ	VYBER	450	14442	\N	\N	\N
24234	80	1997-01-20	VYDAJ	VYBER	480	18012	\N	\N	\N
24235	80	1997-01-30	VYDAJ	VYBER	420	14022	\N	\N	\N
24236	80	1998-01-14	VYDAJ	VYBER	780	23393	\N	\N	\N
24237	80	1998-01-24	VYDAJ	VYBER	450	18653	\N	\N	\N
24238	80	1998-01-20	VYDAJ	VYBER	750	19673	\N	\N	\N
24239	80	1998-01-13	VYDAJ	VYBER	690	20795	\N	\N	\N
24240	80	1998-01-21	VYDAJ	VYBER	570	19103	\N	\N	\N
24241	80	1998-01-25	VYDAJ	VYBER	750	17903	\N	\N	\N
24249	80	1996-10-06	VYDAJ	VYBER	1320	16569	\N	\N	\N
24250	80	1996-11-18	VYDAJ	VYBER	1170	17709	\N	\N	\N
24251	80	1996-04-14	VYDAJ	VYBER	840	18832	\N	\N	\N
24252	80	1996-03-29	VYDAJ	VYBER	420	18484	\N	\N	\N
24253	80	1996-09-15	VYDAJ	VYBER	780	17830	\N	\N	\N
24254	80	1996-05-03	VYDAJ	VYBER	900	17997	\N	\N	\N
24255	80	1997-11-27	VYDAJ	VYBER	330	24329	\N	\N	\N
24256	80	1997-07-29	VYDAJ	VYBER	900	20066	\N	\N	\N
24257	80	1997-12-16	VYDAJ	VYBER	1170	24371	\N	\N	\N
24258	80	1997-06-10	VYDAJ	VYBER	150	18649	\N	\N	\N
24259	80	1997-10-07	VYDAJ	VYBER	210	22327	\N	\N	\N
24260	80	1998-11-20	VYDAJ	VYBER	570	27512	\N	\N	\N
24261	80	1998-12-21	VYDAJ	VYBER	150	27237	\N	\N	\N
24262	80	1998-12-02	VYDAJ	VYBER	690	26921	\N	\N	\N
24277	80	1996-02-29	VYDAJ	VYBER	15	17778	SLUZBY	\N	\N
24278	80	1996-03-31	VYDAJ	VYBER	15	18546	SLUZBY	\N	\N
24279	80	1996-04-30	VYDAJ	VYBER	15	18897	SLUZBY	\N	\N
24280	80	1996-05-31	VYDAJ	VYBER	15	19187	SLUZBY	\N	\N
24281	80	1996-06-30	VYDAJ	VYBER	15	15125	SLUZBY	\N	\N
24282	80	1996-07-31	VYDAJ	VYBER	15	16302	SLUZBY	\N	\N
24283	80	1996-08-31	VYDAJ	VYBER	15	17484	SLUZBY	\N	\N
24284	80	1996-09-30	VYDAJ	VYBER	15	17889	SLUZBY	\N	\N
24285	80	1996-10-31	VYDAJ	VYBER	15	17753	SLUZBY	\N	\N
24286	80	1996-11-30	VYDAJ	VYBER	15	17769	SLUZBY	\N	\N
24287	80	1996-12-31	VYDAJ	VYBER	15	18176	SLUZBY	\N	\N
24288	80	1997-01-31	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
24289	80	1997-02-28	VYDAJ	VYBER	15	15251	SLUZBY	\N	\N
24290	80	1997-03-31	VYDAJ	VYBER	15	16429	SLUZBY	\N	\N
24291	80	1997-04-30	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
24293	80	1997-06-30	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
24294	80	1997-07-31	VYDAJ	VYBER	15	20136	SLUZBY	\N	\N
24295	80	1997-08-31	VYDAJ	VYBER	15	21334	SLUZBY	\N	\N
24296	80	1997-09-30	VYDAJ	VYBER	15	22537	SLUZBY	\N	\N
24297	80	1997-10-31	VYDAJ	VYBER	15	23533	SLUZBY	\N	\N
24298	80	1997-11-30	VYDAJ	VYBER	15	24415	SLUZBY	\N	\N
24299	80	1997-12-31	VYDAJ	VYBER	15	23737	SLUZBY	\N	\N
24300	80	1998-01-31	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
24301	80	1998-02-28	VYDAJ	VYBER	15	19165	SLUZBY	\N	\N
24302	80	1998-03-31	VYDAJ	VYBER	15	20358	SLUZBY	\N	\N
24303	80	1998-04-30	VYDAJ	VYBER	15	21557	SLUZBY	\N	\N
24304	80	1998-05-31	VYDAJ	VYBER	15	22760	SLUZBY	\N	\N
24305	80	1998-06-30	VYDAJ	VYBER	15	22103	SLUZBY	\N	\N
24306	80	1998-07-31	VYDAJ	VYBER	15	23309	SLUZBY	\N	\N
24307	80	1998-08-31	VYDAJ	VYBER	15	24520	SLUZBY	\N	\N
24308	80	1998-09-30	VYDAJ	VYBER	15	25735	SLUZBY	\N	\N
24309	80	1998-10-31	VYDAJ	VYBER	15	26956	SLUZBY	\N	\N
24310	80	1998-11-30	VYDAJ	VYBER	15	27611	SLUZBY	\N	\N
24346	81	1996-07-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
24354	81	1996-08-10	PRIJEM	PREVOD Z UCTU	3084	4084	\N	YZ	10088116
24355	81	1996-09-10	PRIJEM	PREVOD Z UCTU	3084	16495	\N	YZ	10088116
24356	81	1996-10-10	PRIJEM	PREVOD Z UCTU	3084	25954	\N	YZ	10088116
24357	81	1996-11-10	PRIJEM	PREVOD Z UCTU	3084	29240	\N	YZ	10088116
24358	81	1996-12-10	PRIJEM	PREVOD Z UCTU	3084	29433	\N	YZ	10088116
24359	81	1997-01-10	PRIJEM	PREVOD Z UCTU	3084	30251	\N	YZ	10088116
24360	81	1997-02-10	PRIJEM	PREVOD Z UCTU	3084	25353	\N	YZ	10088116
24361	81	1997-03-10	PRIJEM	PREVOD Z UCTU	3084	24013	\N	YZ	10088116
24362	81	1997-04-10	PRIJEM	PREVOD Z UCTU	3084	25119	\N	YZ	10088116
24363	81	1997-05-10	PRIJEM	PREVOD Z UCTU	3084	23856	\N	YZ	10088116
24364	81	1997-06-10	PRIJEM	PREVOD Z UCTU	3084	23187	\N	YZ	10088116
24365	81	1997-07-10	PRIJEM	PREVOD Z UCTU	3084	21481	\N	YZ	10088116
24366	81	1997-08-10	PRIJEM	PREVOD Z UCTU	3084	23177	\N	YZ	10088116
24367	81	1997-09-10	PRIJEM	PREVOD Z UCTU	3084	22374	\N	YZ	10088116
24368	81	1997-10-10	PRIJEM	PREVOD Z UCTU	3084	23022	\N	YZ	10088116
24369	81	1997-11-10	PRIJEM	PREVOD Z UCTU	3084	28938	\N	YZ	10088116
24370	81	1997-12-10	PRIJEM	PREVOD Z UCTU	3084	31462	\N	YZ	10088116
24371	81	1998-01-10	PRIJEM	PREVOD Z UCTU	3084	31025	\N	YZ	10088116
24372	81	1998-02-10	PRIJEM	PREVOD Z UCTU	3084	33319	\N	YZ	10088116
24373	81	1998-03-10	PRIJEM	PREVOD Z UCTU	3084	34461	\N	YZ	10088116
24374	81	1998-04-10	PRIJEM	PREVOD Z UCTU	3084	29444	\N	YZ	10088116
24375	81	1998-05-10	PRIJEM	PREVOD Z UCTU	3084	25581	\N	YZ	10088116
24376	81	1998-06-10	PRIJEM	PREVOD Z UCTU	3084	29066	\N	YZ	10088116
24377	81	1998-07-10	PRIJEM	PREVOD Z UCTU	3084	31390	\N	YZ	10088116
24378	81	1998-08-10	PRIJEM	PREVOD Z UCTU	3084	34442	\N	YZ	10088116
24379	81	1998-09-10	PRIJEM	PREVOD Z UCTU	3084	36838	\N	YZ	10088116
24380	81	1998-10-10	PRIJEM	PREVOD Z UCTU	3084	35725	\N	YZ	10088116
24381	81	1998-11-10	PRIJEM	PREVOD Z UCTU	3084	39080	\N	YZ	10088116
24382	81	1998-12-10	PRIJEM	PREVOD Z UCTU	3084	38746	\N	YZ	10088116
24394	81	1996-12-13	VYDAJ	PREVOD NA UCET	1765	27668	SIPO	QR	18026441
24395	81	1997-01-13	VYDAJ	PREVOD NA UCET	1765	26566	SIPO	QR	18026441
24396	81	1997-02-13	VYDAJ	PREVOD NA UCET	1765	23088	SIPO	QR	18026441
24397	81	1997-03-13	VYDAJ	PREVOD NA UCET	1765	22248	SIPO	QR	18026441
24398	81	1997-04-13	VYDAJ	PREVOD NA UCET	1765	23354	SIPO	QR	18026441
24399	81	1997-05-13	VYDAJ	PREVOD NA UCET	1765	22091	SIPO	QR	18026441
24400	81	1997-06-13	VYDAJ	PREVOD NA UCET	1765	21612	SIPO	QR	18026441
24401	81	1997-07-13	VYDAJ	PREVOD NA UCET	1765	20316	SIPO	QR	18026441
24402	81	1997-08-13	VYDAJ	PREVOD NA UCET	1765	19512	SIPO	QR	18026441
24403	81	1997-09-13	VYDAJ	PREVOD NA UCET	1765	20609	SIPO	QR	18026441
24404	81	1997-10-13	VYDAJ	PREVOD NA UCET	1765	26057	SIPO	QR	18026441
24405	81	1997-11-13	VYDAJ	PREVOD NA UCET	1765	26473	SIPO	QR	18026441
24406	81	1997-12-13	VYDAJ	PREVOD NA UCET	1765	29697	SIPO	QR	18026441
24407	81	1998-01-13	VYDAJ	PREVOD NA UCET	1765	29260	SIPO	QR	18026441
24408	81	1998-02-13	VYDAJ	PREVOD NA UCET	1765	31554	SIPO	QR	18026441
24409	81	1998-03-13	VYDAJ	PREVOD NA UCET	1765	27546	SIPO	QR	18026441
24410	81	1998-04-13	VYDAJ	PREVOD NA UCET	1765	26749	SIPO	QR	18026441
24411	81	1998-05-13	VYDAJ	PREVOD NA UCET	1765	23816	SIPO	QR	18026441
24412	81	1998-06-13	VYDAJ	PREVOD NA UCET	1765	27301	SIPO	QR	18026441
24413	81	1998-07-13	VYDAJ	PREVOD NA UCET	1765	29625	SIPO	QR	18026441
24414	81	1998-08-13	VYDAJ	PREVOD NA UCET	1765	32677	SIPO	QR	18026441
24415	81	1998-09-13	VYDAJ	PREVOD NA UCET	1765	35073	SIPO	QR	18026441
24416	81	1998-10-13	VYDAJ	PREVOD NA UCET	1765	33960	SIPO	QR	18026441
24417	81	1998-11-13	VYDAJ	PREVOD NA UCET	1765	37315	SIPO	QR	18026441
24418	81	1998-12-13	VYDAJ	PREVOD NA UCET	1765	36981	SIPO	QR	18026441
24431	81	1997-01-05	VYDAJ	PREVOD NA UCET	62	28026	 	MN	28429049
24432	81	1997-02-05	VYDAJ	PREVOD NA UCET	62	22498	 	MN	28429049
24433	81	1997-03-05	VYDAJ	PREVOD NA UCET	62	21158	 	MN	28429049
24434	81	1997-04-05	VYDAJ	PREVOD NA UCET	62	22264	 	MN	28429049
24435	81	1997-05-05	VYDAJ	PREVOD NA UCET	62	21871	 	MN	28429049
24436	81	1997-06-05	VYDAJ	PREVOD NA UCET	62	20332	 	MN	28429049
24437	81	1997-07-05	VYDAJ	PREVOD NA UCET	62	18626	 	MN	28429049
24438	81	1997-08-05	VYDAJ	PREVOD NA UCET	62	20322	 	MN	28429049
24439	81	1997-09-05	VYDAJ	PREVOD NA UCET	62	19519	 	MN	28429049
24440	81	1997-10-05	VYDAJ	PREVOD NA UCET	62	20617	 	MN	28429049
24441	81	1997-11-05	VYDAJ	PREVOD NA UCET	62	26083	 	MN	28429049
24442	81	1997-12-05	VYDAJ	PREVOD NA UCET	62	26507	 	MN	28429049
24443	81	1998-01-05	VYDAJ	PREVOD NA UCET	62	28810	 	MN	28429049
24444	81	1998-02-05	VYDAJ	PREVOD NA UCET	62	27864	 	MN	28429049
24445	81	1998-03-05	VYDAJ	PREVOD NA UCET	62	31606	 	MN	28429049
24446	81	1998-04-05	VYDAJ	PREVOD NA UCET	62	27589	 	MN	28429049
24447	81	1998-05-05	VYDAJ	PREVOD NA UCET	62	26786	 	MN	28429049
24448	81	1998-06-05	VYDAJ	PREVOD NA UCET	62	22911	 	MN	28429049
24449	81	1998-07-05	VYDAJ	PREVOD NA UCET	62	27335	 	MN	28429049
24450	81	1998-08-05	VYDAJ	PREVOD NA UCET	62	27387	 	MN	28429049
24451	81	1998-09-05	VYDAJ	PREVOD NA UCET	62	32283	 	MN	28429049
24452	81	1998-10-05	VYDAJ	PREVOD NA UCET	62	34870	 	MN	28429049
24453	81	1998-11-05	VYDAJ	PREVOD NA UCET	62	36225	 	MN	28429049
24454	81	1998-12-05	VYDAJ	PREVOD NA UCET	62	35891	 	MN	28429049
24467	81	1997-01-08	VYDAJ	PREVOD NA UCET	229	27797	POJISTNE	GH	62443947
24468	81	1997-02-08	VYDAJ	PREVOD NA UCET	229	22269	POJISTNE	GH	62443947
24469	81	1997-03-08	VYDAJ	PREVOD NA UCET	229	20929	POJISTNE	GH	62443947
24470	81	1997-04-08	VYDAJ	PREVOD NA UCET	229	22035	POJISTNE	GH	62443947
24471	81	1997-05-08	VYDAJ	PREVOD NA UCET	229	20772	POJISTNE	GH	62443947
24472	81	1997-06-08	VYDAJ	PREVOD NA UCET	229	20103	POJISTNE	GH	62443947
24473	81	1997-07-08	VYDAJ	PREVOD NA UCET	229	18397	POJISTNE	GH	62443947
24474	81	1997-08-08	VYDAJ	PREVOD NA UCET	229	20093	POJISTNE	GH	62443947
24475	81	1997-09-08	VYDAJ	PREVOD NA UCET	229	19290	POJISTNE	GH	62443947
24476	81	1997-10-08	VYDAJ	PREVOD NA UCET	229	19938	POJISTNE	GH	62443947
24477	81	1997-11-08	VYDAJ	PREVOD NA UCET	229	25854	POJISTNE	GH	62443947
24478	81	1997-12-08	VYDAJ	PREVOD NA UCET	229	26278	POJISTNE	GH	62443947
24479	81	1998-01-08	VYDAJ	PREVOD NA UCET	229	27411	POJISTNE	GH	62443947
24480	81	1998-02-08	VYDAJ	PREVOD NA UCET	229	30235	POJISTNE	GH	62443947
24481	81	1998-03-08	VYDAJ	PREVOD NA UCET	229	31377	POJISTNE	GH	62443947
24482	81	1998-04-08	VYDAJ	PREVOD NA UCET	229	27360	POJISTNE	GH	62443947
24483	81	1998-05-08	VYDAJ	PREVOD NA UCET	229	25297	POJISTNE	GH	62443947
24484	81	1998-06-08	VYDAJ	PREVOD NA UCET	229	25982	POJISTNE	GH	62443947
24485	81	1998-07-08	VYDAJ	PREVOD NA UCET	229	28306	POJISTNE	GH	62443947
24486	81	1998-08-08	VYDAJ	PREVOD NA UCET	229	31358	POJISTNE	GH	62443947
24487	81	1998-09-08	VYDAJ	PREVOD NA UCET	229	33754	POJISTNE	GH	62443947
24488	81	1998-10-08	VYDAJ	PREVOD NA UCET	229	32641	POJISTNE	GH	62443947
24489	81	1998-11-08	VYDAJ	PREVOD NA UCET	229	35996	POJISTNE	GH	62443947
24490	81	1998-12-08	VYDAJ	PREVOD NA UCET	229	35662	POJISTNE	GH	62443947
24492	81	1997-06-26	VYDAJ	VYBER	3000	18612	\N	\N	\N
24493	81	1998-06-04	VYDAJ	VYBER	930	22973	\N	\N	\N
24495	81	1997-01-21	VYDAJ	VYBER	1710	24356	\N	\N	\N
24496	81	1998-01-02	VYDAJ	VYBER	630	28872	\N	\N	\N
24497	81	1996-12-15	VYDAJ	VYBER	810	28858	\N	\N	\N
24498	81	1997-12-15	VYDAJ	VYBER	300	29397	\N	\N	\N
24499	81	1998-12-22	VYDAJ	VYBER	690	36291	\N	\N	\N
24506	81	1997-01-10	VYDAJ	VYBER	600	29651	\N	\N	\N
24507	81	1997-01-28	VYDAJ	VYBER	870	22466	\N	\N	\N
24508	81	1997-01-12	VYDAJ	VYBER	450	28331	\N	\N	\N
24509	81	1997-01-24	VYDAJ	VYBER	690	23666	\N	\N	\N
24510	81	1997-01-09	VYDAJ	VYBER	630	27167	\N	\N	\N
24511	81	1997-01-28	VYDAJ	VYBER	330	23336	\N	\N	\N
24512	81	1998-01-30	VYDAJ	VYBER	420	27820	\N	\N	\N
24513	81	1998-01-09	VYDAJ	VYBER	870	27941	\N	\N	\N
24514	81	1998-01-07	VYDAJ	VYBER	780	28030	\N	\N	\N
24515	81	1998-01-13	VYDAJ	VYBER	540	28720	\N	\N	\N
24516	81	1998-01-07	VYDAJ	VYBER	390	27640	\N	\N	\N
24517	81	1998-01-28	VYDAJ	VYBER	480	28240	\N	\N	\N
24521	81	1996-12-21	VYDAJ	VYBER	870	27988	\N	\N	\N
24522	81	1997-05-29	VYDAJ	VYBER	270	20321	\N	\N	\N
24523	81	1997-05-06	VYDAJ	VYBER	870	21001	\N	\N	\N
24524	81	1997-01-11	VYDAJ	VYBER	870	28781	\N	\N	\N
24525	81	1997-03-04	VYDAJ	VYBER	990	21220	\N	\N	\N
24526	81	1997-06-10	VYDAJ	VYBER	210	22977	\N	\N	\N
24527	81	1997-02-19	VYDAJ	VYBER	960	22128	\N	\N	\N
24528	81	1997-10-06	VYDAJ	VYBER	450	20167	\N	\N	\N
24529	81	1998-03-10	VYDAJ	VYBER	1350	29311	\N	\N	\N
24530	81	1998-04-10	VYDAJ	VYBER	930	28514	\N	\N	\N
24531	81	1998-05-06	VYDAJ	VYBER	1260	25526	\N	\N	\N
24532	81	1998-09-26	VYDAJ	VYBER	270	34803	\N	\N	\N
24533	81	1998-08-28	VYDAJ	VYBER	450	32227	\N	\N	\N
24534	81	1998-08-02	VYDAJ	VYBER	870	27449	\N	\N	\N
24535	81	1998-07-20	VYDAJ	VYBER	1410	28215	\N	\N	\N
24548	81	1996-12-31	VYDAJ	VYBER	15	28088	SLUZBY	\N	\N
24549	81	1997-01-31	VYDAJ	VYBER	15	22560	SLUZBY	\N	\N
24550	81	1997-02-28	VYDAJ	VYBER	15	22210	SLUZBY	\N	\N
24551	81	1997-03-31	VYDAJ	VYBER	15	22326	SLUZBY	\N	\N
24552	81	1997-04-30	VYDAJ	VYBER	15	21933	SLUZBY	\N	\N
24553	81	1997-05-31	VYDAJ	VYBER	15	20394	SLUZBY	\N	\N
24554	81	1997-06-30	VYDAJ	VYBER	15	18688	SLUZBY	\N	\N
24555	81	1997-07-31	VYDAJ	VYBER	15	20384	SLUZBY	\N	\N
24556	81	1997-08-31	VYDAJ	VYBER	15	19581	SLUZBY	\N	\N
24557	81	1997-09-30	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
24558	81	1997-10-31	VYDAJ	VYBER	15	26145	SLUZBY	\N	\N
24559	81	1997-11-30	VYDAJ	VYBER	15	26569	SLUZBY	\N	\N
24560	81	1997-12-31	VYDAJ	VYBER	15	29502	SLUZBY	\N	\N
24561	81	1998-01-31	VYDAJ	VYBER	15	27926	SLUZBY	\N	\N
24562	81	1998-02-28	VYDAJ	VYBER	15	31668	SLUZBY	\N	\N
24563	81	1998-03-31	VYDAJ	VYBER	15	27651	SLUZBY	\N	\N
24564	81	1998-04-30	VYDAJ	VYBER	15	26848	SLUZBY	\N	\N
24565	81	1998-05-31	VYDAJ	VYBER	15	23903	SLUZBY	\N	\N
24566	81	1998-06-30	VYDAJ	VYBER	15	27397	SLUZBY	\N	\N
24567	81	1998-07-31	VYDAJ	VYBER	15	28319	SLUZBY	\N	\N
24568	81	1998-08-31	VYDAJ	VYBER	15	32345	SLUZBY	\N	\N
24569	81	1998-09-30	VYDAJ	VYBER	15	34932	SLUZBY	\N	\N
24570	81	1998-10-31	VYDAJ	VYBER	15	34087	SLUZBY	\N	\N
24571	81	1998-11-30	VYDAJ	VYBER	15	37453	SLUZBY	\N	\N
24572	81	1996-08-17	PRIJEM	VKLAD	9300	13384	\N	\N	\N
24573	81	1996-09-16	PRIJEM	VKLAD	6300	22795	\N	\N	\N
24574	81	1996-10-16	PRIJEM	VKLAD	100	26054	\N	\N	\N
24575	81	1996-11-15	VYDAJ	VYBER	3000	26240	\N	\N	\N
24576	81	1996-12-15	PRIJEM	VKLAD	2000	29668	\N	\N	\N
24577	81	1997-01-14	VYDAJ	VYBER	500	26066	\N	\N	\N
24578	81	1997-02-13	VYDAJ	VYBER	500	24853	\N	\N	\N
24579	81	1997-04-14	VYDAJ	VYBER	1500	21854	\N	\N	\N
24580	81	1997-05-14	VYDAJ	VYBER	1500	20591	\N	\N	\N
24581	81	1997-06-13	PRIJEM	VKLAD	400	23377	\N	\N	\N
24582	81	1997-07-13	PRIJEM	VKLAD	600	22081	\N	\N	\N
24583	81	1997-08-12	VYDAJ	VYBER	1900	21277	\N	\N	\N
24584	81	1997-10-11	PRIJEM	VKLAD	4800	27822	\N	\N	\N
24585	81	1997-11-10	VYDAJ	VYBER	700	28238	\N	\N	\N
24586	81	1997-12-10	PRIJEM	VKLAD	2100	28378	\N	\N	\N
24587	81	1998-01-09	PRIJEM	VKLAD	1400	28811	\N	\N	\N
24588	81	1998-02-08	PRIJEM	VKLAD	2600	30464	\N	\N	\N
24589	81	1998-03-10	VYDAJ	VYBER	3800	30661	\N	\N	\N
24590	81	1998-04-09	VYDAJ	VYBER	1000	26360	\N	\N	\N
24591	81	1998-05-09	VYDAJ	VYBER	2800	22497	\N	\N	\N
24592	81	1998-06-08	PRIJEM	VKLAD	3300	26211	\N	\N	\N
24593	81	1998-07-08	PRIJEM	VKLAD	1200	28535	\N	\N	\N
24594	81	1998-08-07	PRIJEM	VKLAD	4200	31587	\N	\N	\N
24595	81	1998-09-06	PRIJEM	VKLAD	1700	33983	\N	\N	\N
24596	81	1998-10-06	VYDAJ	VYBER	2000	32870	\N	\N	\N
24597	81	1998-11-05	PRIJEM	VKLAD	2200	36287	\N	\N	\N
24598	81	1998-12-05	VYDAJ	VYBER	1500	35953	\N	\N	\N
24628	82	1994-05-03	PRIJEM	VKLAD	300	300	\N	\N	\N
24629	82	1994-11-05	PRIJEM	VKLAD	32507	109537	\N	\N	\N
24631	82	1994-10-17	PRIJEM	VKLAD	6228	59767	\N	\N	\N
24636	82	1994-09-12	PRIJEM	VKLAD	19875	53429	\N	\N	\N
24637	82	1994-09-19	PRIJEM	VKLAD	17115	91252	\N	\N	\N
24640	82	1994-09-16	PRIJEM	VKLAD	20708	74137	\N	\N	\N
24641	82	1994-07-10	PRIJEM	VKLAD	29055	53538	\N	\N	\N
24642	82	1994-11-05	PRIJEM	VKLAD	32729	77030	\N	\N	\N
24643	82	1994-05-19	PRIJEM	VKLAD	30302	30602	\N	\N	\N
24645	82	1994-09-20	PRIJEM	VKLAD	41926	133178	\N	\N	\N
24646	82	1995-10-08	PRIJEM	VKLAD	10148	46316	\N	\N	\N
24647	82	1995-01-17	PRIJEM	VKLAD	14974	35076	\N	\N	\N
24648	82	1995-01-31	PRIJEM	VKLAD	38424	82258	\N	\N	\N
24649	82	1995-03-10	PRIJEM	VKLAD	47120	101194	\N	\N	\N
24650	82	1995-04-12	PRIJEM	VKLAD	36667	92286	\N	\N	\N
24651	82	1995-01-30	PRIJEM	VKLAD	21658	43834	\N	\N	\N
24652	82	1995-08-12	PRIJEM	VKLAD	35695	56319	\N	\N	\N
24653	82	1995-09-02	PRIJEM	VKLAD	41588	69304	\N	\N	\N
24654	82	1995-03-23	PRIJEM	VKLAD	23130	121424	\N	\N	\N
24655	82	1995-10-28	PRIJEM	VKLAD	46124	76340	\N	\N	\N
24656	82	1996-07-05	PRIJEM	VKLAD	28342	48488	\N	\N	\N
24657	82	1996-08-21	PRIJEM	VKLAD	42663	71491	\N	\N	\N
24658	82	1996-09-14	PRIJEM	VKLAD	41835	135693	\N	\N	\N
24659	82	1996-11-18	PRIJEM	VKLAD	14446	92181	\N	\N	\N
24660	82	1996-03-14	PRIJEM	VKLAD	15981	54764	\N	\N	\N
24661	82	1996-12-25	PRIJEM	VKLAD	34636	161574	\N	\N	\N
24662	82	1996-11-12	PRIJEM	VKLAD	43637	97820	\N	\N	\N
24663	82	1996-11-28	PRIJEM	VKLAD	22090	103922	\N	\N	\N
24664	82	1996-07-30	PRIJEM	VKLAD	7649	42337	\N	\N	\N
24665	82	1996-08-23	PRIJEM	VKLAD	30534	96025	\N	\N	\N
24666	82	1996-04-13	PRIJEM	VKLAD	14674	91762	\N	\N	\N
24667	82	1996-11-17	PRIJEM	VKLAD	13015	110835	\N	\N	\N
24668	82	1996-05-05	PRIJEM	VKLAD	30263	71097	\N	\N	\N
24669	82	1996-12-20	PRIJEM	VKLAD	47606	127735	\N	\N	\N
24670	82	1996-02-08	PRIJEM	VKLAD	20185	43775	\N	\N	\N
24671	82	1996-02-24	PRIJEM	VKLAD	34355	66230	\N	\N	\N
24672	82	1996-09-20	PRIJEM	VKLAD	13007	57700	\N	\N	\N
24673	82	1996-12-15	PRIJEM	VKLAD	33492	129849	\N	\N	\N
24674	82	1996-03-31	PRIJEM	VKLAD	38921	77102	\N	\N	\N
24675	82	1996-12-19	PRIJEM	VKLAD	29880	80129	\N	\N	\N
24676	82	1996-12-11	PRIJEM	VKLAD	34826	96357	\N	\N	\N
24677	82	1996-09-23	PRIJEM	VKLAD	23720	81420	\N	\N	\N
24678	82	1996-11-21	PRIJEM	VKLAD	30651	81832	\N	\N	\N
24679	82	1996-12-21	PRIJEM	VKLAD	42503	152238	\N	\N	\N
24680	82	1996-10-09	PRIJEM	VKLAD	31936	113689	\N	\N	\N
24681	82	1997-12-20	PRIJEM	VKLAD	7848	42145	\N	\N	\N
24682	82	1997-02-24	PRIJEM	VKLAD	49513	84670	\N	\N	\N
24683	82	1997-11-23	PRIJEM	VKLAD	36432	100978	\N	\N	\N
24684	82	1997-03-13	PRIJEM	VKLAD	48572	149947	\N	\N	\N
24685	82	1997-09-18	PRIJEM	VKLAD	44151	96752	\N	\N	\N
24686	82	1997-05-13	PRIJEM	VKLAD	38785	74764	\N	\N	\N
24687	82	1997-04-17	PRIJEM	VKLAD	7771	58504	\N	\N	\N
24688	82	1997-01-14	PRIJEM	VKLAD	41678	105176	\N	\N	\N
24689	82	1997-08-25	PRIJEM	VKLAD	36641	59160	\N	\N	\N
24690	82	1997-01-14	PRIJEM	VKLAD	12022	117198	\N	\N	\N
24691	82	1997-11-09	PRIJEM	VKLAD	44336	104346	\N	\N	\N
24692	82	1997-08-30	PRIJEM	VKLAD	32603	91763	\N	\N	\N
24693	82	1997-03-10	PRIJEM	VKLAD	16542	101375	\N	\N	\N
24694	82	1997-12-07	PRIJEM	VKLAD	25234	121697	\N	\N	\N
24695	82	1997-06-26	PRIJEM	VKLAD	20202	43317	\N	\N	\N
24696	82	1997-02-17	PRIJEM	VKLAD	13022	35157	\N	\N	\N
24697	82	1998-08-22	PRIJEM	VKLAD	42179	106267	\N	\N	\N
24698	82	1998-07-18	PRIJEM	VKLAD	28876	72337	\N	\N	\N
24699	82	1998-05-04	PRIJEM	VKLAD	22889	81685	\N	\N	\N
24700	82	1998-01-01	PRIJEM	VKLAD	25182	61538	\N	\N	\N
24701	82	1998-01-04	PRIJEM	VKLAD	33874	86712	\N	\N	\N
24702	82	1998-12-23	PRIJEM	VKLAD	27127	92341	\N	\N	\N
24703	82	1998-06-12	PRIJEM	VKLAD	34092	71994	\N	\N	\N
24704	82	1998-10-14	PRIJEM	VKLAD	8458	42117	\N	\N	\N
24705	82	1998-08-04	PRIJEM	VKLAD	40377	101588	\N	\N	\N
24706	82	1998-01-05	PRIJEM	VKLAD	13803	100515	\N	\N	\N
24707	82	1998-11-08	PRIJEM	VKLAD	32517	93197	\N	\N	\N
24708	82	1998-06-21	PRIJEM	VKLAD	24378	123872	\N	\N	\N
24709	82	1998-09-11	PRIJEM	VKLAD	49581	109442	\N	\N	\N
24710	82	1998-05-29	PRIJEM	VKLAD	14940	59848	\N	\N	\N
24711	82	1998-06-13	PRIJEM	VKLAD	27500	99494	\N	\N	\N
24712	82	1998-12-14	PRIJEM	VKLAD	21987	65214	\N	\N	\N
24713	82	1998-05-25	PRIJEM	VKLAD	7893	44908	\N	\N	\N
24714	82	1998-10-28	PRIJEM	VKLAD	43216	85333	\N	\N	\N
24715	82	1998-02-12	PRIJEM	VKLAD	43147	89395	\N	\N	\N
24716	82	1998-04-11	PRIJEM	VKLAD	38222	76551	\N	\N	\N
24717	82	1998-01-13	PRIJEM	VKLAD	22740	78255	\N	\N	\N
24718	82	1998-04-22	PRIJEM	VKLAD	30452	77003	\N	\N	\N
24719	82	1998-04-08	PRIJEM	VKLAD	5826	38329	\N	\N	\N
24720	82	1998-02-10	PRIJEM	VKLAD	40408	83548	\N	\N	\N
24721	82	1998-09-15	PRIJEM	VKLAD	25060	115251	\N	\N	\N
24726	82	1994-12-18	VYBER	VYBER	7547	40815	\N	\N	\N
24736	82	1995-09-10	VYBER	VYBER	23082	46222	\N	\N	\N
24738	82	1995-11-19	VYBER	VYBER	8518	32624	\N	\N	\N
24739	82	1995-04-19	VYBER	VYBER	12511	79775	\N	\N	\N
24740	82	1995-03-18	VYBER	VYBER	2900	98294	\N	\N	\N
24741	82	1995-08-18	VYBER	VYBER	23993	32326	\N	\N	\N
24742	82	1995-11-05	VYBER	VYBER	20670	55837	\N	\N	\N
24743	82	1995-04-24	VYBER	VYBER	11839	67936	\N	\N	\N
24745	82	1995-11-13	VYBER	VYBER	14695	41142	\N	\N	\N
24747	82	1996-12-10	VYBER	VYBER	20773	83431	\N	\N	\N
24748	82	1996-05-03	VYBER	VYBER	4824	40834	\N	\N	\N
24749	82	1996-06-16	VYBER	VYBER	4604	38402	\N	\N	\N
24752	82	1996-03-03	VYBER	VYBER	15869	50483	\N	\N	\N
24753	82	1996-05-02	VYBER	VYBER	8981	45658	\N	\N	\N
24754	82	1996-06-21	VYBER	VYBER	5187	29615	\N	\N	\N
24756	82	1996-05-08	VYBER	VYBER	2317	68780	\N	\N	\N
24757	82	1998-10-01	VYBER	VYBER	21607	62597	\N	\N	\N
24758	82	1998-09-13	VYBER	VYBER	9626	90191	\N	\N	\N
24759	82	1998-02-20	VYBER	VYBER	12021	77374	\N	\N	\N
24760	82	1998-06-06	VYBER	VYBER	2069	58002	\N	\N	\N
24761	82	1998-10-11	VYBER	VYBER	8438	33659	\N	\N	\N
24762	82	1998-01-22	VYBER	VYBER	20680	42875	\N	\N	\N
24764	82	1998-05-16	VYBER	VYBER	15870	37015	\N	\N	\N
24765	82	1998-03-08	VYBER	VYBER	18384	47242	\N	\N	\N
24766	82	1998-10-29	VYBER	VYBER	24866	60467	\N	\N	\N
24767	82	1998-05-02	VYBER	VYBER	18406	58796	\N	\N	\N
24768	82	1998-09-12	VYBER	VYBER	9625	99817	\N	\N	\N
24773	82	1997-06-12	VYDAJ	VYBER	19800	25215	\N	\N	\N
24775	82	1994-12-10	VYDAJ	VYBER	8100	48362	\N	\N	\N
24777	82	1996-12-10	VYDAJ	VYBER	7800	75631	\N	\N	\N
24778	82	1997-12-29	VYDAJ	VYBER	6000	36145	\N	\N	\N
24779	82	1998-12-29	VYDAJ	VYBER	8700	83641	\N	\N	\N
24788	82	1995-01-29	VYDAJ	VYBER	2100	22176	\N	\N	\N
24789	82	1995-01-02	VYDAJ	VYBER	6300	24002	\N	\N	\N
24796	82	1996-01-13	VYDAJ	VYBER	1500	22605	\N	\N	\N
24798	82	1997-01-29	VYDAJ	VYBER	6900	34598	\N	\N	\N
24799	82	1997-01-13	VYDAJ	VYBER	5100	63498	\N	\N	\N
24800	82	1997-01-14	VYDAJ	VYBER	4800	77698	\N	\N	\N
24801	82	1997-01-30	VYDAJ	VYBER	1500	33098	\N	\N	\N
24802	82	1997-01-10	VYDAJ	VYBER	3900	68598	\N	\N	\N
24803	82	1997-01-26	VYDAJ	VYBER	3300	41498	\N	\N	\N
24804	82	1998-01-12	VYDAJ	VYBER	3000	55515	\N	\N	\N
24805	82	1998-01-01	VYDAJ	VYBER	3000	54338	\N	\N	\N
24806	82	1998-01-19	VYDAJ	VYBER	8700	69555	\N	\N	\N
24807	82	1998-01-02	VYDAJ	VYBER	1500	52838	\N	\N	\N
24808	82	1998-01-20	VYDAJ	VYBER	6000	63555	\N	\N	\N
24809	82	1998-01-01	VYDAJ	VYBER	4200	57338	\N	\N	\N
24810	82	1994-10-09	VYDAJ	VYBER	7800	53539	\N	\N	\N
24812	82	1994-11-11	VYDAJ	VYBER	7800	83237	\N	\N	\N
24813	82	1995-01-20	VYDAJ	VYBER	12300	22776	\N	\N	\N
24814	82	1995-01-02	VYDAJ	VYBER	3900	20102	\N	\N	\N
24815	82	1995-06-15	VYDAJ	VYBER	4800	26036	\N	\N	\N
24816	82	1995-10-09	VYDAJ	VYBER	4200	42116	\N	\N	\N
24817	82	1995-04-28	VYDAJ	VYBER	5400	62536	\N	\N	\N
24818	82	1996-06-20	VYDAJ	VYBER	3600	34802	\N	\N	\N
24819	82	1996-09-11	VYDAJ	VYBER	2400	93858	\N	\N	\N
24820	82	1996-03-10	VYDAJ	VYBER	11700	38783	\N	\N	\N
24821	82	1996-12-10	VYDAJ	VYBER	14100	61531	\N	\N	\N
24822	82	1996-08-22	VYDAJ	VYBER	6000	65491	\N	\N	\N
24823	82	1997-12-13	VYDAJ	VYBER	5100	55497	\N	\N	\N
24825	82	1997-04-16	VYDAJ	VYBER	3900	50733	\N	\N	\N
24826	82	1997-12-05	VYDAJ	VYBER	4800	96463	\N	\N	\N
24827	82	1998-07-29	VYDAJ	VYBER	11400	60937	\N	\N	\N
24828	82	1998-03-01	VYDAJ	VYBER	2700	65626	\N	\N	\N
24829	82	1998-08-27	VYDAJ	VYBER	12300	93967	\N	\N	\N
24830	82	1998-02-20	VYDAJ	VYBER	9300	68074	\N	\N	\N
24840	82	1994-09-30	VYDAJ	VYBER	15	78539	SLUZBY	\N	\N
24841	82	1994-10-31	VYDAJ	VYBER	15	44301	SLUZBY	\N	\N
24842	82	1994-11-30	VYDAJ	VYBER	15	56462	SLUZBY	\N	\N
24843	82	1994-12-31	VYDAJ	VYBER	15	30302	SLUZBY	\N	\N
24844	82	1995-01-31	VYDAJ	VYBER	15	82350	SLUZBY	\N	\N
24845	82	1995-02-28	VYDAJ	VYBER	15	54074	SLUZBY	\N	\N
24846	82	1995-03-31	VYDAJ	VYBER	15	55619	SLUZBY	\N	\N
24847	82	1995-04-30	VYDAJ	VYBER	15	42277	SLUZBY	\N	\N
24848	82	1995-05-31	VYDAJ	VYBER	15	30836	SLUZBY	\N	\N
24849	82	1995-06-30	VYDAJ	VYBER	15	22645	SLUZBY	\N	\N
24850	82	1995-07-31	VYDAJ	VYBER	15	20624	SLUZBY	\N	\N
24851	82	1995-08-31	VYDAJ	VYBER	15	27716	SLUZBY	\N	\N
24852	82	1995-09-30	VYDAJ	VYBER	15	36168	SLUZBY	\N	\N
24853	82	1995-10-31	VYDAJ	VYBER	15	76507	SLUZBY	\N	\N
24854	82	1995-11-30	VYDAJ	VYBER	15	24717	SLUZBY	\N	\N
24855	82	1995-12-31	VYDAJ	VYBER	15	24105	SLUZBY	\N	\N
24856	82	1996-01-31	VYDAJ	VYBER	15	23590	SLUZBY	\N	\N
24857	82	1996-02-29	VYDAJ	VYBER	15	66352	SLUZBY	\N	\N
24858	82	1996-03-31	VYDAJ	VYBER	15	77088	SLUZBY	\N	\N
24859	82	1996-04-30	VYDAJ	VYBER	15	54639	SLUZBY	\N	\N
24860	82	1996-05-31	VYDAJ	VYBER	15	43006	SLUZBY	\N	\N
24861	82	1996-06-30	VYDAJ	VYBER	15	20146	SLUZBY	\N	\N
24862	82	1996-07-31	VYDAJ	VYBER	15	42428	SLUZBY	\N	\N
24863	82	1996-08-31	VYDAJ	VYBER	15	96258	SLUZBY	\N	\N
24864	82	1996-09-30	VYDAJ	VYBER	15	81753	SLUZBY	\N	\N
24865	82	1996-10-31	VYDAJ	VYBER	15	54183	SLUZBY	\N	\N
24866	82	1996-11-30	VYDAJ	VYBER	15	104204	SLUZBY	\N	\N
24867	82	1996-12-31	VYDAJ	VYBER	15	72498	SLUZBY	\N	\N
24868	82	1997-01-31	VYDAJ	VYBER	15	33335	SLUZBY	\N	\N
24869	82	1997-02-28	VYDAJ	VYBER	15	84833	SLUZBY	\N	\N
24870	82	1997-03-31	VYDAJ	VYBER	15	54633	SLUZBY	\N	\N
24871	82	1997-04-30	VYDAJ	VYBER	15	35979	SLUZBY	\N	\N
24872	82	1997-05-31	VYDAJ	VYBER	15	45015	SLUZBY	\N	\N
24873	82	1997-06-30	VYDAJ	VYBER	15	43457	SLUZBY	\N	\N
24874	82	1997-07-31	VYDAJ	VYBER	15	27819	SLUZBY	\N	\N
24875	82	1997-08-31	VYDAJ	VYBER	15	91901	SLUZBY	\N	\N
24876	82	1997-09-30	VYDAJ	VYBER	15	97127	SLUZBY	\N	\N
24877	82	1997-10-31	VYDAJ	VYBER	15	60010	SLUZBY	\N	\N
24878	82	1997-11-30	VYDAJ	VYBER	15	101263	SLUZBY	\N	\N
24879	82	1997-12-31	VYDAJ	VYBER	15	36356	SLUZBY	\N	\N
24880	82	1998-01-31	VYDAJ	VYBER	15	43140	SLUZBY	\N	\N
24881	82	1998-02-28	VYDAJ	VYBER	15	68326	SLUZBY	\N	\N
24882	82	1998-03-31	VYDAJ	VYBER	15	32503	SLUZBY	\N	\N
24883	82	1998-04-30	VYDAJ	VYBER	15	77202	SLUZBY	\N	\N
24884	82	1998-05-31	VYDAJ	VYBER	15	60071	SLUZBY	\N	\N
24885	82	1998-06-30	VYDAJ	VYBER	15	70361	SLUZBY	\N	\N
24886	82	1998-07-31	VYDAJ	VYBER	15	61211	SLUZBY	\N	\N
24887	82	1998-08-31	VYDAJ	VYBER	15	94261	SLUZBY	\N	\N
24888	82	1998-09-30	VYDAJ	VYBER	15	84204	SLUZBY	\N	\N
24889	82	1998-10-31	VYDAJ	VYBER	15	60680	SLUZBY	\N	\N
24890	82	1998-11-30	VYDAJ	VYBER	15	59727	SLUZBY	\N	\N
24891	82	1994-06-02	VYDAJ	VYBER	3400	27256	\N	\N	\N
24892	82	1994-07-02	VYDAJ	VYBER	2900	24483	\N	\N	\N
24893	82	1994-08-01	VYDAJ	VYBER	15300	38433	\N	\N	\N
24894	82	1994-08-31	VYDAJ	VYBER	5100	33554	\N	\N	\N
24895	82	1994-09-20	VYDAJ	VYBER	22300	110878	\N	\N	\N
24896	82	1994-09-30	VYDAJ	VYBER	17200	61339	\N	\N	\N
24897	82	1994-09-30	VYDAJ	VYBER	32600	78554	\N	\N	\N
24898	82	1994-10-30	VYDAJ	VYBER	15700	44067	\N	\N	\N
24899	82	1994-11-05	VYDAJ	VYBER	18500	91037	\N	\N	\N
24900	82	1994-11-29	VYDAJ	VYBER	27100	56137	\N	\N	\N
24901	82	1994-12-29	VYDAJ	VYBER	10700	30115	\N	\N	\N
24902	82	1995-01-28	PRIJEM	VKLAD	1500	24276	\N	\N	\N
24903	82	1995-02-27	VYDAJ	VYBER	28600	53750	\N	\N	\N
24904	82	1995-03-23	VYDAJ	VYBER	31600	89824	\N	\N	\N
24905	82	1995-03-29	VYDAJ	VYBER	34500	55324	\N	\N	\N
24906	82	1995-04-28	VYDAJ	VYBER	20500	42036	\N	\N	\N
24907	82	1995-05-28	VYDAJ	VYBER	11600	30677	\N	\N	\N
24908	82	1995-06-27	VYDAJ	VYBER	3500	22536	\N	\N	\N
24909	82	1995-07-27	VYDAJ	VYBER	2100	20545	\N	\N	\N
24910	82	1995-08-26	VYDAJ	VYBER	4700	27626	\N	\N	\N
24911	82	1995-09-25	VYDAJ	VYBER	10200	36022	\N	\N	\N
24912	82	1995-10-25	VYDAJ	VYBER	11900	30216	\N	\N	\N
24913	82	1995-11-24	VYDAJ	VYBER	8100	24524	\N	\N	\N
24914	82	1995-12-24	VYDAJ	VYBER	700	24017	\N	\N	\N
24915	82	1996-01-23	PRIJEM	VKLAD	900	23505	\N	\N	\N
24916	82	1996-02-22	VYDAJ	VYBER	11900	31875	\N	\N	\N
24917	82	1996-03-23	VYDAJ	VYBER	16800	37964	\N	\N	\N
24918	82	1996-04-22	VYDAJ	VYBER	37400	54362	\N	\N	\N
24919	82	1996-05-22	VYDAJ	VYBER	26000	42780	\N	\N	\N
24920	82	1996-06-21	VYDAJ	VYBER	9600	20015	\N	\N	\N
24921	82	1996-07-21	VYDAJ	VYBER	13800	34688	\N	\N	\N
24922	82	1996-08-20	VYDAJ	VYBER	13600	28828	\N	\N	\N
24923	82	1996-09-14	VYDAJ	VYBER	57700	77993	\N	\N	\N
24924	82	1996-09-19	VYDAJ	VYBER	33300	44693	\N	\N	\N
24925	82	1996-10-09	VYDAJ	VYBER	18500	95189	\N	\N	\N
24926	82	1996-10-19	VYDAJ	VYBER	41300	53889	\N	\N	\N
24927	82	1996-11-17	VYDAJ	VYBER	33100	77735	\N	\N	\N
24928	82	1996-11-18	VYDAJ	VYBER	41000	51181	\N	\N	\N
24929	82	1996-12-15	VYDAJ	VYBER	36400	93449	\N	\N	\N
24930	82	1996-12-18	VYDAJ	VYBER	43200	50249	\N	\N	\N
24931	82	1996-12-20	VYDAJ	VYBER	18000	109735	\N	\N	\N
24932	82	1996-12-21	VYDAJ	VYBER	25300	126938	\N	\N	\N
24933	82	1996-12-25	VYDAJ	VYBER	53000	108574	\N	\N	\N
24934	82	1996-12-31	VYDAJ	VYBER	36500	72513	\N	\N	\N
24935	82	1997-01-14	VYDAJ	VYBER	34700	82498	\N	\N	\N
24936	82	1997-01-17	VYDAJ	VYBER	32900	44798	\N	\N	\N
24937	82	1997-02-16	VYDAJ	VYBER	11200	22135	\N	\N	\N
24938	82	1997-03-13	VYDAJ	VYBER	56600	93347	\N	\N	\N
24939	82	1997-03-18	VYDAJ	VYBER	39000	54347	\N	\N	\N
24940	82	1997-04-17	VYDAJ	VYBER	22700	35804	\N	\N	\N
24941	82	1997-05-17	VYDAJ	VYBER	29900	44864	\N	\N	\N
24942	82	1997-06-16	VYDAJ	VYBER	2100	23115	\N	\N	\N
24943	82	1997-07-16	VYDAJ	VYBER	15800	27657	\N	\N	\N
24944	82	1997-08-15	VYDAJ	VYBER	5300	22519	\N	\N	\N
24945	82	1997-09-14	VYDAJ	VYBER	39300	52601	\N	\N	\N
24946	82	1997-10-14	VYDAJ	VYBER	37500	59627	\N	\N	\N
24947	82	1997-11-13	VYDAJ	VYBER	39800	64546	\N	\N	\N
24948	82	1997-12-07	VYDAJ	VYBER	61100	60597	\N	\N	\N
24949	82	1997-12-13	VYDAJ	VYBER	21200	34297	\N	\N	\N
24950	82	1998-01-12	VYDAJ	VYBER	42000	58515	\N	\N	\N
24951	82	1998-02-11	VYDAJ	VYBER	37300	46248	\N	\N	\N
24952	82	1998-03-13	VYDAJ	VYBER	14900	32342	\N	\N	\N
24953	82	1998-04-12	VYDAJ	VYBER	30000	46551	\N	\N	\N
24954	82	1998-05-12	VYDAJ	VYBER	28800	52885	\N	\N	\N
24955	82	1998-06-11	VYDAJ	VYBER	20100	37902	\N	\N	\N
24956	82	1998-06-21	VYDAJ	VYBER	53800	70072	\N	\N	\N
24957	82	1998-07-11	VYDAJ	VYBER	26900	43461	\N	\N	\N
24958	82	1998-08-10	VYDAJ	VYBER	37500	64088	\N	\N	\N
24959	82	1998-09-09	VYDAJ	VYBER	34400	59861	\N	\N	\N
24960	82	1998-09-15	VYDAJ	VYBER	31400	83851	\N	\N	\N
24961	82	1998-10-09	VYDAJ	VYBER	20500	42097	\N	\N	\N
24962	82	1998-11-08	VYDAJ	VYBER	33700	59497	\N	\N	\N
24963	82	1998-12-08	VYDAJ	VYBER	16500	43227	\N	\N	\N
25020	83	1993-04-16	PRIJEM	VKLAD	500	500	\N	\N	\N
25025	83	1993-05-06	PRIJEM	VKLAD	9226	9726	\N	\N	\N
25026	83	1993-06-06	PRIJEM	VKLAD	13839	30401	\N	\N	\N
25027	83	1993-07-06	PRIJEM	VKLAD	9226	37421	\N	\N	\N
25028	83	1993-08-06	PRIJEM	VKLAD	9226	41273	\N	\N	\N
25029	83	1993-09-06	PRIJEM	VKLAD	9226	42435	\N	\N	\N
25030	83	1993-10-06	PRIJEM	VKLAD	9226	38142	\N	\N	\N
25031	83	1993-11-06	PRIJEM	VKLAD	9226	40231	\N	\N	\N
25032	83	1993-12-06	PRIJEM	VKLAD	13839	41225	\N	\N	\N
25033	83	1994-01-06	PRIJEM	VKLAD	9226	31420	\N	\N	\N
25034	83	1994-02-06	PRIJEM	VKLAD	9226	21812	\N	\N	\N
25035	83	1994-03-06	PRIJEM	VKLAD	9226	25137	\N	\N	\N
25036	83	1994-04-06	PRIJEM	VKLAD	9226	30179	\N	\N	\N
25037	83	1994-05-06	PRIJEM	VKLAD	9226	34239	\N	\N	\N
25038	83	1994-06-06	PRIJEM	VKLAD	13839	40924	\N	\N	\N
25039	83	1994-07-06	PRIJEM	VKLAD	9226	34936	\N	\N	\N
25040	83	1994-08-06	PRIJEM	VKLAD	9226	32383	\N	\N	\N
25041	83	1994-09-06	PRIJEM	VKLAD	9226	32147	\N	\N	\N
25042	83	1994-10-06	PRIJEM	VKLAD	9226	31003	\N	\N	\N
25043	83	1994-11-06	PRIJEM	VKLAD	9226	31120	\N	\N	\N
25044	83	1994-12-06	PRIJEM	VKLAD	13839	38699	\N	\N	\N
25045	83	1995-01-06	PRIJEM	VKLAD	9226	31854	\N	\N	\N
25046	83	1995-02-06	PRIJEM	VKLAD	9226	32603	\N	\N	\N
25047	83	1995-03-06	PRIJEM	VKLAD	9226	35770	\N	\N	\N
25048	83	1995-04-06	PRIJEM	VKLAD	9226	31735	\N	\N	\N
25049	83	1995-05-06	PRIJEM	VKLAD	9226	29644	\N	\N	\N
25050	83	1995-06-06	PRIJEM	VKLAD	13839	38916	\N	\N	\N
25051	83	1995-07-06	PRIJEM	VKLAD	9226	36570	\N	\N	\N
25052	83	1995-08-06	PRIJEM	VKLAD	9226	36063	\N	\N	\N
25053	83	1995-09-06	PRIJEM	VKLAD	9226	37950	\N	\N	\N
25054	83	1995-10-06	PRIJEM	VKLAD	9226	40446	\N	\N	\N
25055	83	1995-11-06	PRIJEM	VKLAD	9226	35132	\N	\N	\N
25056	83	1995-12-06	PRIJEM	VKLAD	13839	39132	\N	\N	\N
25057	83	1996-01-06	PRIJEM	VKLAD	9226	35651	\N	\N	\N
25058	83	1996-02-06	PRIJEM	VKLAD	9226	30250	\N	\N	\N
25059	83	1996-03-06	PRIJEM	VKLAD	9226	30607	\N	\N	\N
25060	83	1996-04-06	PRIJEM	VKLAD	9226	24304	\N	\N	\N
25061	83	1996-05-06	PRIJEM	VKLAD	9226	30145	\N	\N	\N
25062	83	1996-06-06	PRIJEM	VKLAD	13839	32874	\N	\N	\N
25063	83	1996-07-06	PRIJEM	VKLAD	9226	31747	\N	\N	\N
25064	83	1996-08-06	PRIJEM	VKLAD	9226	31109	\N	\N	\N
25065	83	1996-09-06	PRIJEM	VKLAD	9226	29767	\N	\N	\N
25066	83	1996-10-06	PRIJEM	VKLAD	9226	24838	\N	\N	\N
25067	83	1996-11-06	PRIJEM	VKLAD	9226	24378	\N	\N	\N
25068	83	1996-12-06	PRIJEM	VKLAD	13839	27792	\N	\N	\N
25069	83	1997-01-06	PRIJEM	VKLAD	9226	23677	\N	\N	\N
25070	83	1997-02-06	PRIJEM	VKLAD	9226	24601	\N	\N	\N
25071	83	1997-03-06	PRIJEM	VKLAD	9226	24853	\N	\N	\N
25072	83	1997-04-06	PRIJEM	VKLAD	9226	23283	\N	\N	\N
25073	83	1997-05-06	PRIJEM	VKLAD	9226	26410	\N	\N	\N
25074	83	1997-06-06	PRIJEM	VKLAD	13839	27057	\N	\N	\N
25075	83	1997-07-06	PRIJEM	VKLAD	9226	22285	\N	\N	\N
25076	83	1997-08-06	PRIJEM	VKLAD	9226	25408	\N	\N	\N
25077	83	1997-09-06	PRIJEM	VKLAD	9226	28544	\N	\N	\N
25078	83	1997-10-06	PRIJEM	VKLAD	9226	31693	\N	\N	\N
25079	83	1997-11-06	PRIJEM	VKLAD	9226	31967	\N	\N	\N
25080	83	1997-12-06	PRIJEM	VKLAD	13839	33850	\N	\N	\N
25081	83	1998-01-06	PRIJEM	VKLAD	9226	32847	\N	\N	\N
25082	83	1998-02-06	PRIJEM	VKLAD	9226	27241	\N	\N	\N
25083	83	1998-03-06	PRIJEM	VKLAD	9226	28584	\N	\N	\N
25084	83	1998-04-06	PRIJEM	VKLAD	9226	26567	\N	\N	\N
25085	83	1998-05-06	PRIJEM	VKLAD	9226	25978	\N	\N	\N
25086	83	1998-06-06	PRIJEM	VKLAD	13839	33728	\N	\N	\N
25087	83	1998-07-06	PRIJEM	VKLAD	9226	22782	\N	\N	\N
25088	83	1998-08-06	PRIJEM	VKLAD	9226	25906	\N	\N	\N
25089	83	1998-09-06	PRIJEM	VKLAD	9226	29043	\N	\N	\N
25090	83	1998-10-06	PRIJEM	VKLAD	9226	30393	\N	\N	\N
25091	83	1998-11-06	PRIJEM	VKLAD	9226	32595	\N	\N	\N
25092	83	1998-12-06	PRIJEM	VKLAD	13839	40380	\N	\N	\N
25101	83	1993-09-13	VYDAJ	PREVOD NA UCET	2210	36285	SIPO	AB	26468819
25102	83	1993-10-13	VYDAJ	PREVOD NA UCET	2210	30892	SIPO	AB	26468819
25103	83	1993-11-13	VYDAJ	PREVOD NA UCET	2210	27281	SIPO	AB	26468819
25104	83	1993-12-13	VYDAJ	PREVOD NA UCET	2210	27175	SIPO	AB	26468819
25105	83	1994-01-13	VYDAJ	PREVOD NA UCET	2210	15210	SIPO	AB	26468819
25106	83	1994-02-13	VYDAJ	PREVOD NA UCET	2210	15862	SIPO	AB	26468819
25107	83	1994-03-13	VYDAJ	PREVOD NA UCET	2210	20887	SIPO	AB	26468819
25108	83	1994-04-13	VYDAJ	PREVOD NA UCET	2210	24929	SIPO	AB	26468819
25109	83	1994-05-13	VYDAJ	PREVOD NA UCET	2210	26989	SIPO	AB	26468819
25110	83	1994-06-13	VYDAJ	PREVOD NA UCET	2210	25614	SIPO	AB	26468819
25111	83	1994-07-13	VYDAJ	PREVOD NA UCET	2210	24986	SIPO	AB	26468819
25112	83	1994-08-13	VYDAJ	PREVOD NA UCET	2210	22833	SIPO	AB	26468819
25113	83	1994-09-13	VYDAJ	PREVOD NA UCET	2210	21697	SIPO	AB	26468819
25114	83	1994-10-13	VYDAJ	PREVOD NA UCET	2210	21813	SIPO	AB	26468819
25115	83	1994-11-13	VYDAJ	PREVOD NA UCET	2210	24770	SIPO	AB	26468819
25116	83	1994-12-13	VYDAJ	PREVOD NA UCET	2210	26329	SIPO	AB	26468819
25117	83	1995-01-13	VYDAJ	PREVOD NA UCET	2210	21364	SIPO	AB	26468819
25118	83	1995-02-13	VYDAJ	PREVOD NA UCET	2210	26453	SIPO	AB	26468819
25119	83	1995-03-13	VYDAJ	PREVOD NA UCET	2210	24820	SIPO	AB	26468819
25120	83	1995-04-13	VYDAJ	PREVOD NA UCET	2210	24885	SIPO	AB	26468819
25121	83	1995-05-13	VYDAJ	PREVOD NA UCET	2210	21494	SIPO	AB	26468819
25122	83	1995-06-13	VYDAJ	PREVOD NA UCET	2210	32766	SIPO	AB	26468819
25123	83	1995-07-13	VYDAJ	PREVOD NA UCET	2210	30420	SIPO	AB	26468819
25124	83	1995-08-13	VYDAJ	PREVOD NA UCET	2210	28713	SIPO	AB	26468819
25125	83	1995-09-13	VYDAJ	PREVOD NA UCET	2210	31800	SIPO	AB	26468819
25126	83	1995-10-13	VYDAJ	PREVOD NA UCET	2210	34296	SIPO	AB	26468819
25127	83	1995-11-13	VYDAJ	PREVOD NA UCET	2210	28982	SIPO	AB	26468819
25128	83	1995-12-13	VYDAJ	PREVOD NA UCET	2210	32982	SIPO	AB	26468819
25129	83	1996-01-13	VYDAJ	PREVOD NA UCET	2210	13061	SIPO	AB	26468819
25130	83	1996-02-13	VYDAJ	PREVOD NA UCET	2210	24100	SIPO	AB	26468819
25131	83	1996-03-13	VYDAJ	PREVOD NA UCET	2210	24457	SIPO	AB	26468819
25132	83	1996-04-13	VYDAJ	PREVOD NA UCET	2210	18154	SIPO	AB	26468819
25133	83	1996-05-13	VYDAJ	PREVOD NA UCET	2210	23995	SIPO	AB	26468819
25134	83	1996-06-13	VYDAJ	PREVOD NA UCET	2210	26724	SIPO	AB	26468819
25135	83	1996-07-13	VYDAJ	PREVOD NA UCET	2210	25597	SIPO	AB	26468819
25136	83	1996-08-13	VYDAJ	PREVOD NA UCET	2210	24959	SIPO	AB	26468819
25137	83	1996-09-13	VYDAJ	PREVOD NA UCET	2210	23617	SIPO	AB	26468819
25138	83	1996-10-13	VYDAJ	PREVOD NA UCET	2210	18688	SIPO	AB	26468819
25139	83	1996-11-13	VYDAJ	PREVOD NA UCET	2210	13908	SIPO	AB	26468819
25140	83	1996-12-13	VYDAJ	PREVOD NA UCET	2210	21642	SIPO	AB	26468819
25141	83	1997-01-13	VYDAJ	PREVOD NA UCET	2210	13927	SIPO	AB	26468819
25142	83	1997-02-13	VYDAJ	PREVOD NA UCET	2210	18451	SIPO	AB	26468819
25143	83	1997-03-13	VYDAJ	PREVOD NA UCET	2210	18703	SIPO	AB	26468819
25144	83	1997-04-13	VYDAJ	PREVOD NA UCET	2210	17133	SIPO	AB	26468819
25145	83	1997-05-13	VYDAJ	PREVOD NA UCET	2210	20260	SIPO	AB	26468819
25146	83	1997-06-13	VYDAJ	PREVOD NA UCET	2210	20907	SIPO	AB	26468819
25147	83	1997-07-13	VYDAJ	PREVOD NA UCET	2210	16135	SIPO	AB	26468819
25148	83	1997-08-13	VYDAJ	PREVOD NA UCET	2210	19258	SIPO	AB	26468819
25149	83	1997-09-13	VYDAJ	PREVOD NA UCET	2210	22394	SIPO	AB	26468819
25150	83	1997-10-13	VYDAJ	PREVOD NA UCET	2210	22663	SIPO	AB	26468819
25151	83	1997-11-13	VYDAJ	PREVOD NA UCET	2210	20777	SIPO	AB	26468819
25152	83	1997-12-13	VYDAJ	PREVOD NA UCET	2210	27700	SIPO	AB	26468819
25153	83	1998-01-13	VYDAJ	PREVOD NA UCET	2210	22617	SIPO	AB	26468819
25154	83	1998-02-13	VYDAJ	PREVOD NA UCET	2210	21091	SIPO	AB	26468819
25155	83	1998-03-13	VYDAJ	PREVOD NA UCET	2210	17994	SIPO	AB	26468819
25156	83	1998-04-13	VYDAJ	PREVOD NA UCET	2210	16697	SIPO	AB	26468819
25157	83	1998-05-13	VYDAJ	PREVOD NA UCET	2210	19828	SIPO	AB	26468819
25158	83	1998-06-13	VYDAJ	PREVOD NA UCET	2210	13498	SIPO	AB	26468819
25159	83	1998-07-13	VYDAJ	PREVOD NA UCET	2210	16632	SIPO	AB	26468819
25160	83	1998-08-13	VYDAJ	PREVOD NA UCET	2210	19756	SIPO	AB	26468819
25161	83	1998-09-13	VYDAJ	PREVOD NA UCET	2210	22893	SIPO	AB	26468819
25162	83	1998-10-13	VYDAJ	PREVOD NA UCET	2210	24243	SIPO	AB	26468819
25163	83	1998-11-13	VYDAJ	PREVOD NA UCET	2210	26445	SIPO	AB	26468819
25164	83	1998-12-13	VYDAJ	PREVOD NA UCET	2210	34230	SIPO	AB	26468819
25173	83	1993-09-11	VYDAJ	PREVOD NA UCET	3940	38495	 	EF	41590857
25174	83	1993-10-11	VYDAJ	PREVOD NA UCET	3940	34202	 	EF	41590857
25175	83	1993-11-11	VYDAJ	PREVOD NA UCET	3940	36291	 	EF	41590857
25176	83	1993-12-11	VYDAJ	PREVOD NA UCET	3940	37285	 	EF	41590857
25177	83	1994-01-11	VYDAJ	PREVOD NA UCET	3940	22940	 	EF	41590857
25178	83	1994-02-11	VYDAJ	PREVOD NA UCET	3940	18072	 	EF	41590857
25179	83	1994-03-11	VYDAJ	PREVOD NA UCET	3940	21197	 	EF	41590857
25180	83	1994-04-11	VYDAJ	PREVOD NA UCET	3940	27139	 	EF	41590857
25181	83	1994-05-11	VYDAJ	PREVOD NA UCET	3940	30299	 	EF	41590857
25182	83	1994-06-11	VYDAJ	PREVOD NA UCET	3940	29984	 	EF	41590857
25183	83	1994-07-11	VYDAJ	PREVOD NA UCET	3940	27196	 	EF	41590857
25184	83	1994-08-11	VYDAJ	PREVOD NA UCET	3940	25043	 	EF	41590857
25185	83	1994-09-11	VYDAJ	PREVOD NA UCET	3940	23907	 	EF	41590857
25186	83	1994-10-11	VYDAJ	PREVOD NA UCET	3940	24023	 	EF	41590857
25187	83	1994-11-11	VYDAJ	PREVOD NA UCET	3940	26980	 	EF	41590857
25188	83	1994-12-11	VYDAJ	PREVOD NA UCET	3940	31259	 	EF	41590857
25189	83	1995-01-11	VYDAJ	PREVOD NA UCET	3940	23574	 	EF	41590857
25190	83	1995-02-11	VYDAJ	PREVOD NA UCET	3940	28663	 	EF	41590857
25191	83	1995-03-11	VYDAJ	PREVOD NA UCET	3940	27030	 	EF	41590857
25192	83	1995-04-11	VYDAJ	PREVOD NA UCET	3940	27095	 	EF	41590857
25193	83	1995-05-11	VYDAJ	PREVOD NA UCET	3940	23704	 	EF	41590857
25194	83	1995-06-11	VYDAJ	PREVOD NA UCET	3940	34976	 	EF	41590857
25195	83	1995-07-11	VYDAJ	PREVOD NA UCET	3940	32630	 	EF	41590857
25196	83	1995-08-11	VYDAJ	PREVOD NA UCET	3940	30923	 	EF	41590857
25197	83	1995-09-11	VYDAJ	PREVOD NA UCET	3940	34010	 	EF	41590857
25198	83	1995-10-11	VYDAJ	PREVOD NA UCET	3940	36506	 	EF	41590857
25199	83	1995-11-11	VYDAJ	PREVOD NA UCET	3940	31192	 	EF	41590857
25200	83	1995-12-11	VYDAJ	PREVOD NA UCET	3940	35192	 	EF	41590857
25201	83	1996-01-11	VYDAJ	PREVOD NA UCET	3940	15871	 	EF	41590857
25202	83	1996-02-11	VYDAJ	PREVOD NA UCET	3940	26310	 	EF	41590857
25203	83	1996-03-11	VYDAJ	PREVOD NA UCET	3940	26667	 	EF	41590857
25204	83	1996-04-11	VYDAJ	PREVOD NA UCET	3940	20364	 	EF	41590857
25205	83	1996-05-11	VYDAJ	PREVOD NA UCET	3940	26205	 	EF	41590857
25206	83	1996-06-11	VYDAJ	PREVOD NA UCET	3940	28934	 	EF	41590857
25207	83	1996-07-11	VYDAJ	PREVOD NA UCET	3940	27807	 	EF	41590857
25208	83	1996-08-11	VYDAJ	PREVOD NA UCET	3940	27169	 	EF	41590857
25209	83	1996-09-11	VYDAJ	PREVOD NA UCET	3940	25827	 	EF	41590857
25210	83	1996-10-11	VYDAJ	PREVOD NA UCET	3940	20898	 	EF	41590857
25211	83	1996-11-11	VYDAJ	PREVOD NA UCET	3940	16118	 	EF	41590857
25212	83	1996-12-11	VYDAJ	PREVOD NA UCET	3940	23852	 	EF	41590857
25213	83	1997-01-11	VYDAJ	PREVOD NA UCET	3940	16857	 	EF	41590857
25214	83	1997-02-11	VYDAJ	PREVOD NA UCET	3940	20661	 	EF	41590857
25215	83	1997-03-11	VYDAJ	PREVOD NA UCET	3940	20913	 	EF	41590857
25216	83	1997-04-11	VYDAJ	PREVOD NA UCET	3940	19343	 	EF	41590857
25217	83	1997-05-11	VYDAJ	PREVOD NA UCET	3940	22470	 	EF	41590857
25218	83	1997-06-11	VYDAJ	PREVOD NA UCET	3940	23117	 	EF	41590857
25219	83	1997-07-11	VYDAJ	PREVOD NA UCET	3940	18345	 	EF	41590857
25220	83	1997-08-11	VYDAJ	PREVOD NA UCET	3940	21468	 	EF	41590857
25221	83	1997-09-11	VYDAJ	PREVOD NA UCET	3940	24604	 	EF	41590857
25222	83	1997-10-11	VYDAJ	PREVOD NA UCET	3940	27753	 	EF	41590857
25223	83	1997-11-11	VYDAJ	PREVOD NA UCET	3940	22987	 	EF	41590857
25224	83	1997-12-11	VYDAJ	PREVOD NA UCET	3940	29910	 	EF	41590857
25225	83	1998-01-11	VYDAJ	PREVOD NA UCET	3940	24827	 	EF	41590857
25226	83	1998-02-11	VYDAJ	PREVOD NA UCET	3940	23301	 	EF	41590857
25227	83	1998-03-11	VYDAJ	PREVOD NA UCET	3940	20204	 	EF	41590857
25228	83	1998-04-11	VYDAJ	PREVOD NA UCET	3940	22627	 	EF	41590857
25229	83	1998-05-11	VYDAJ	PREVOD NA UCET	3940	22038	 	EF	41590857
25230	83	1998-06-11	VYDAJ	PREVOD NA UCET	3940	15708	 	EF	41590857
25231	83	1998-07-11	VYDAJ	PREVOD NA UCET	3940	18842	 	EF	41590857
25232	83	1998-08-11	VYDAJ	PREVOD NA UCET	3940	21966	 	EF	41590857
25233	83	1998-09-11	VYDAJ	PREVOD NA UCET	3940	25103	 	EF	41590857
25234	83	1998-10-11	VYDAJ	PREVOD NA UCET	3940	26453	 	EF	41590857
25235	83	1998-11-11	VYDAJ	PREVOD NA UCET	3940	28655	 	EF	41590857
25236	83	1998-12-11	VYDAJ	PREVOD NA UCET	3940	36440	 	EF	41590857
25242	83	1998-06-06	VYDAJ	VYBER	14080	19648	\N	\N	\N
25244	83	1994-01-14	VYDAJ	VYBER	1600	12530	\N	\N	\N
25245	83	1995-01-02	VYDAJ	VYBER	3200	22628	\N	\N	\N
25246	83	1996-01-09	VYDAJ	VYBER	13440	22211	\N	\N	\N
25249	83	1993-12-29	VYDAJ	VYBER	1600	25575	\N	\N	\N
25250	83	1994-12-11	VYDAJ	VYBER	2720	28539	\N	\N	\N
25251	83	1995-12-27	VYDAJ	VYBER	1280	31702	\N	\N	\N
25253	83	1997-12-20	VYDAJ	VYBER	4160	23540	\N	\N	\N
25254	83	1998-12-29	VYDAJ	VYBER	1120	33110	\N	\N	\N
25264	83	1994-01-13	VYDAJ	VYBER	1080	14130	\N	\N	\N
25266	83	1994-01-08	VYDAJ	VYBER	2040	29380	\N	\N	\N
25267	83	1995-01-25	VYDAJ	VYBER	3120	17044	\N	\N	\N
25268	83	1995-01-29	VYDAJ	VYBER	1920	13204	\N	\N	\N
25269	83	1995-01-07	VYDAJ	VYBER	1440	27514	\N	\N	\N
25270	83	1995-01-01	VYDAJ	VYBER	600	25828	\N	\N	\N
25271	83	1995-01-17	VYDAJ	VYBER	1200	20164	\N	\N	\N
25272	83	1995-01-26	VYDAJ	VYBER	1920	15124	\N	\N	\N
25275	83	1996-01-04	VYDAJ	VYBER	1200	26425	\N	\N	\N
25277	83	1996-01-09	VYDAJ	VYBER	2400	19811	\N	\N	\N
25278	83	1996-01-12	VYDAJ	VYBER	600	15271	\N	\N	\N
25280	83	1997-01-07	VYDAJ	VYBER	2880	20797	\N	\N	\N
25282	83	1997-01-11	VYDAJ	VYBER	720	16137	\N	\N	\N
25285	83	1998-01-29	VYDAJ	VYBER	1200	17937	\N	\N	\N
25286	83	1998-01-06	VYDAJ	VYBER	2280	30567	\N	\N	\N
25287	83	1998-01-28	VYDAJ	VYBER	720	19137	\N	\N	\N
25288	83	1998-01-19	VYDAJ	VYBER	1800	19857	\N	\N	\N
25289	83	1998-01-19	VYDAJ	VYBER	960	21657	\N	\N	\N
25291	83	1993-12-29	VYDAJ	VYBER	3480	22095	\N	\N	\N
25294	83	1994-08-04	VYDAJ	VYBER	1920	23157	\N	\N	\N
25295	83	1994-06-12	VYDAJ	VYBER	2160	27824	\N	\N	\N
25296	83	1994-10-06	VYDAJ	VYBER	1440	29563	\N	\N	\N
25298	83	1994-01-13	VYDAJ	VYBER	5520	17420	\N	\N	\N
25299	83	1995-10-31	VYDAJ	VYBER	4920	29521	\N	\N	\N
25300	83	1995-05-04	VYDAJ	VYBER	4560	20418	\N	\N	\N
25301	83	1995-08-11	VYDAJ	VYBER	1200	34863	\N	\N	\N
25302	83	1995-07-04	VYDAJ	VYBER	5040	27844	\N	\N	\N
25303	83	1995-03-20	VYDAJ	VYBER	2400	22420	\N	\N	\N
25304	83	1996-03-25	VYDAJ	VYBER	3960	16897	\N	\N	\N
25305	83	1996-12-14	VYDAJ	VYBER	5640	16002	\N	\N	\N
25306	83	1996-10-05	VYDAJ	VYBER	2280	15612	\N	\N	\N
25308	83	1996-06-02	VYDAJ	VYBER	3840	19035	\N	\N	\N
25309	83	1996-11-10	VYDAJ	VYBER	4320	20058	\N	\N	\N
25310	83	1996-03-20	VYDAJ	VYBER	3600	20857	\N	\N	\N
25311	83	1996-04-05	VYDAJ	VYBER	2400	15078	\N	\N	\N
25312	83	1997-11-08	VYDAJ	VYBER	5040	26927	\N	\N	\N
25313	83	1997-11-20	VYDAJ	VYBER	840	19937	\N	\N	\N
25314	83	1997-10-12	VYDAJ	VYBER	2880	24873	\N	\N	\N
25315	83	1997-02-13	VYDAJ	VYBER	2880	15571	\N	\N	\N
25317	83	1998-01-08	VYDAJ	VYBER	1800	28767	\N	\N	\N
25318	83	1998-11-03	VYDAJ	VYBER	960	23369	\N	\N	\N
25319	83	1998-03-06	VYDAJ	VYBER	4440	24144	\N	\N	\N
25320	83	1998-03-31	VYDAJ	VYBER	720	17356	\N	\N	\N
25321	83	1998-03-01	VYDAJ	VYBER	1800	19358	\N	\N	\N
25322	83	1998-10-04	VYDAJ	VYBER	1800	21167	\N	\N	\N
25323	83	1998-04-11	VYDAJ	VYBER	3720	18907	\N	\N	\N
25333	83	1993-09-30	VYDAJ	VYBER	15	28916	SLUZBY	\N	\N
25334	83	1993-10-31	VYDAJ	VYBER	15	31005	SLUZBY	\N	\N
25335	83	1993-11-30	VYDAJ	VYBER	15	27386	SLUZBY	\N	\N
25336	83	1993-12-31	VYDAJ	VYBER	15	22194	SLUZBY	\N	\N
25337	83	1994-01-31	VYDAJ	VYBER	15	12586	SLUZBY	\N	\N
25338	83	1994-02-28	VYDAJ	VYBER	15	15911	SLUZBY	\N	\N
25339	83	1994-03-31	VYDAJ	VYBER	15	20953	SLUZBY	\N	\N
25340	83	1994-04-30	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
25341	83	1994-05-31	VYDAJ	VYBER	15	27085	SLUZBY	\N	\N
25342	83	1994-06-30	VYDAJ	VYBER	15	25710	SLUZBY	\N	\N
25343	83	1994-07-31	VYDAJ	VYBER	15	25077	SLUZBY	\N	\N
25344	83	1994-08-31	VYDAJ	VYBER	15	22921	SLUZBY	\N	\N
25345	83	1994-09-30	VYDAJ	VYBER	15	21777	SLUZBY	\N	\N
25346	83	1994-10-31	VYDAJ	VYBER	15	21894	SLUZBY	\N	\N
25347	83	1994-11-30	VYDAJ	VYBER	15	24860	SLUZBY	\N	\N
25348	83	1994-12-31	VYDAJ	VYBER	15	26428	SLUZBY	\N	\N
25349	83	1995-01-31	VYDAJ	VYBER	15	13277	SLUZBY	\N	\N
25350	83	1995-02-28	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
25351	83	1995-03-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
25352	83	1995-04-30	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
25353	83	1995-05-31	VYDAJ	VYBER	15	21577	SLUZBY	\N	\N
25354	83	1995-06-30	VYDAJ	VYBER	15	32884	SLUZBY	\N	\N
25355	83	1995-07-31	VYDAJ	VYBER	15	30537	SLUZBY	\N	\N
25356	83	1995-08-31	VYDAJ	VYBER	15	28824	SLUZBY	\N	\N
25357	83	1995-09-30	VYDAJ	VYBER	15	31920	SLUZBY	\N	\N
25358	83	1995-10-31	VYDAJ	VYBER	15	29506	SLUZBY	\N	\N
25359	83	1995-11-30	VYDAJ	VYBER	15	29093	SLUZBY	\N	\N
25360	83	1995-12-31	VYDAJ	VYBER	15	31825	SLUZBY	\N	\N
25361	83	1996-01-31	VYDAJ	VYBER	15	21024	SLUZBY	\N	\N
25362	83	1996-02-29	VYDAJ	VYBER	15	24181	SLUZBY	\N	\N
25363	83	1996-03-31	VYDAJ	VYBER	15	17478	SLUZBY	\N	\N
25364	83	1996-04-30	VYDAJ	VYBER	15	20919	SLUZBY	\N	\N
25365	83	1996-05-31	VYDAJ	VYBER	15	22875	SLUZBY	\N	\N
25366	83	1996-06-30	VYDAJ	VYBER	15	22521	SLUZBY	\N	\N
25367	83	1996-07-31	VYDAJ	VYBER	15	21883	SLUZBY	\N	\N
25368	83	1996-08-31	VYDAJ	VYBER	15	20541	SLUZBY	\N	\N
25369	83	1996-09-30	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
25370	83	1996-10-31	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
25371	83	1996-11-30	VYDAJ	VYBER	15	13953	SLUZBY	\N	\N
25372	83	1996-12-31	VYDAJ	VYBER	15	14451	SLUZBY	\N	\N
25373	83	1997-01-31	VYDAJ	VYBER	15	15375	SLUZBY	\N	\N
25374	83	1997-02-28	VYDAJ	VYBER	15	15627	SLUZBY	\N	\N
25375	83	1997-03-31	VYDAJ	VYBER	15	14057	SLUZBY	\N	\N
25376	83	1997-04-30	VYDAJ	VYBER	15	17184	SLUZBY	\N	\N
25377	83	1997-05-31	VYDAJ	VYBER	15	13218	SLUZBY	\N	\N
25378	83	1997-06-30	VYDAJ	VYBER	15	13059	SLUZBY	\N	\N
25379	83	1997-07-31	VYDAJ	VYBER	15	16182	SLUZBY	\N	\N
25380	83	1997-08-31	VYDAJ	VYBER	15	19318	SLUZBY	\N	\N
25381	83	1997-09-30	VYDAJ	VYBER	15	22467	SLUZBY	\N	\N
25382	83	1997-10-31	VYDAJ	VYBER	15	22741	SLUZBY	\N	\N
25383	83	1997-11-30	VYDAJ	VYBER	15	20011	SLUZBY	\N	\N
25384	83	1997-12-31	VYDAJ	VYBER	15	23621	SLUZBY	\N	\N
25385	83	1998-01-31	VYDAJ	VYBER	15	18015	SLUZBY	\N	\N
25386	83	1998-02-28	VYDAJ	VYBER	15	21158	SLUZBY	\N	\N
25387	83	1998-03-31	VYDAJ	VYBER	15	17341	SLUZBY	\N	\N
25388	83	1998-04-30	VYDAJ	VYBER	15	16752	SLUZBY	\N	\N
25389	83	1998-05-31	VYDAJ	VYBER	15	19889	SLUZBY	\N	\N
25390	83	1998-06-30	VYDAJ	VYBER	15	13556	SLUZBY	\N	\N
25391	83	1998-07-31	VYDAJ	VYBER	15	16680	SLUZBY	\N	\N
25392	83	1998-08-31	VYDAJ	VYBER	15	19817	SLUZBY	\N	\N
25393	83	1998-09-30	VYDAJ	VYBER	15	22967	SLUZBY	\N	\N
25394	83	1998-10-31	VYDAJ	VYBER	15	24329	SLUZBY	\N	\N
25395	83	1998-11-30	VYDAJ	VYBER	15	26541	SLUZBY	\N	\N
25396	83	1993-05-16	PRIJEM	VKLAD	6800	16526	\N	\N	\N
25397	83	1993-06-15	VYDAJ	VYBER	2300	28101	\N	\N	\N
25398	83	1993-07-15	VYDAJ	VYBER	5500	31921	\N	\N	\N
25399	83	1993-08-14	VYDAJ	VYBER	8200	33073	\N	\N	\N
25400	83	1993-09-13	VYDAJ	VYBER	7500	28785	\N	\N	\N
25401	83	1993-10-13	VYDAJ	VYBER	1100	33102	\N	\N	\N
25402	83	1993-11-12	VYDAJ	VYBER	6800	29491	\N	\N	\N
25403	83	1993-12-12	VYDAJ	VYBER	7900	29385	\N	\N	\N
25404	83	1994-01-11	VYDAJ	VYBER	2500	26880	\N	\N	\N
25405	83	1994-02-10	PRIJEM	VKLAD	200	22012	\N	\N	\N
25406	83	1994-03-12	PRIJEM	VKLAD	1900	23097	\N	\N	\N
25407	83	1994-04-11	PRIJEM	VKLAD	900	31079	\N	\N	\N
25408	83	1994-05-11	VYDAJ	VYBER	1100	29199	\N	\N	\N
25409	83	1994-06-10	VYDAJ	VYBER	7000	33924	\N	\N	\N
25410	83	1994-07-10	VYDAJ	VYBER	3800	31136	\N	\N	\N
25411	83	1994-08-09	VYDAJ	VYBER	3400	28983	\N	\N	\N
25412	83	1994-09-08	VYDAJ	VYBER	4300	27847	\N	\N	\N
25413	83	1994-10-08	VYDAJ	VYBER	1600	27963	\N	\N	\N
25414	83	1994-11-07	VYDAJ	VYBER	200	30920	\N	\N	\N
25415	83	1994-12-07	VYDAJ	VYBER	3500	35199	\N	\N	\N
25416	83	1995-01-06	VYDAJ	VYBER	2900	28954	\N	\N	\N
25417	83	1995-02-05	PRIJEM	VKLAD	10100	23377	\N	\N	\N
25418	83	1995-03-07	VYDAJ	VYBER	4800	30970	\N	\N	\N
25419	83	1995-04-06	VYDAJ	VYBER	700	31035	\N	\N	\N
25420	83	1995-05-06	VYDAJ	VYBER	2000	27644	\N	\N	\N
25421	83	1995-06-05	PRIJEM	VKLAD	3500	25077	\N	\N	\N
25422	83	1995-07-05	VYDAJ	VYBER	500	27344	\N	\N	\N
25423	83	1995-08-04	VYDAJ	VYBER	3700	26837	\N	\N	\N
25424	83	1995-09-03	VYDAJ	VYBER	100	28724	\N	\N	\N
25425	83	1995-10-03	VYDAJ	VYBER	700	31220	\N	\N	\N
25426	83	1995-11-02	VYDAJ	VYBER	3600	25906	\N	\N	\N
25427	83	1995-12-02	VYDAJ	VYBER	3800	25293	\N	\N	\N
25428	83	1996-01-01	VYDAJ	VYBER	4200	27625	\N	\N	\N
25429	83	1996-01-31	PRIJEM	VKLAD	7900	21039	\N	\N	\N
25430	83	1996-03-01	VYDAJ	VYBER	2800	21381	\N	\N	\N
25431	83	1996-03-31	PRIJEM	VKLAD	500	17397	\N	\N	\N
25432	83	1996-04-30	PRIJEM	VKLAD	2700	20854	\N	\N	\N
25433	83	1996-05-30	VYDAJ	VYBER	1200	22795	\N	\N	\N
25434	83	1996-06-29	VYDAJ	VYBER	4300	22424	\N	\N	\N
25435	83	1996-07-29	VYDAJ	VYBER	3800	21797	\N	\N	\N
25436	83	1996-08-28	VYDAJ	VYBER	4500	20459	\N	\N	\N
25437	83	1996-09-27	VYDAJ	VYBER	5800	17817	\N	\N	\N
25438	83	1996-10-27	VYDAJ	VYBER	3600	15088	\N	\N	\N
25439	83	1996-12-26	VYDAJ	VYBER	1600	14402	\N	\N	\N
25440	83	1997-01-25	PRIJEM	VKLAD	1400	15327	\N	\N	\N
25441	83	1997-03-26	VYDAJ	VYBER	4700	14003	\N	\N	\N
25442	83	1997-05-25	VYDAJ	VYBER	7100	13160	\N	\N	\N
25443	83	1997-06-24	VYDAJ	VYBER	7900	13007	\N	\N	\N
25512	84	1995-12-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
25538	84	1996-04-15	PRIJEM	VKLAD	20431	83065	\N	\N	\N
25539	84	1996-01-16	PRIJEM	VKLAD	44290	69823	\N	\N	\N
25540	84	1996-05-15	PRIJEM	VKLAD	14437	97417	\N	\N	\N
25541	84	1996-11-06	PRIJEM	VKLAD	41958	133184	\N	\N	\N
25542	84	1996-03-12	PRIJEM	VKLAD	7966	101004	\N	\N	\N
25543	84	1996-01-14	PRIJEM	VKLAD	24433	25533	\N	\N	\N
25544	84	1996-12-09	PRIJEM	VKLAD	36682	97477	\N	\N	\N
25545	84	1996-05-21	PRIJEM	VKLAD	25821	123238	\N	\N	\N
25546	84	1996-10-31	PRIJEM	VKLAD	30649	91326	\N	\N	\N
25547	84	1996-01-20	PRIJEM	VKLAD	29820	99643	\N	\N	\N
25548	84	1996-05-06	PRIJEM	VKLAD	6284	63129	\N	\N	\N
25549	84	1996-05-15	PRIJEM	VKLAD	32303	82980	\N	\N	\N
25550	84	1996-08-21	PRIJEM	VKLAD	44558	56226	\N	\N	\N
25551	84	1996-12-10	PRIJEM	VKLAD	25142	111519	\N	\N	\N
25552	84	1996-04-10	PRIJEM	VKLAD	10453	75086	\N	\N	\N
25553	84	1996-12-21	PRIJEM	VKLAD	36289	83756	\N	\N	\N
25554	84	1996-03-04	PRIJEM	VKLAD	48660	93038	\N	\N	\N
25555	84	1996-10-29	PRIJEM	VKLAD	46103	60573	\N	\N	\N
25556	84	1997-12-30	PRIJEM	VKLAD	41273	65573	\N	\N	\N
25557	84	1997-04-10	PRIJEM	VKLAD	44808	60469	\N	\N	\N
25558	84	1997-10-26	PRIJEM	VKLAD	34320	49950	\N	\N	\N
25559	84	1998-11-25	PRIJEM	VKLAD	44530	58319	\N	\N	\N
25560	84	1998-10-23	PRIJEM	VKLAD	10142	27450	\N	\N	\N
25561	84	1998-06-02	PRIJEM	VKLAD	12763	59142	\N	\N	\N
25562	84	1998-05-21	PRIJEM	VKLAD	32847	55940	\N	\N	\N
25563	84	1998-12-04	PRIJEM	VKLAD	24561	82892	\N	\N	\N
25564	84	1998-12-21	PRIJEM	VKLAD	26108	72832	\N	\N	\N
25565	84	1998-06-21	PRIJEM	VKLAD	27652	99499	\N	\N	\N
25566	84	1998-02-15	PRIJEM	VKLAD	42618	90851	\N	\N	\N
25567	84	1998-02-15	PRIJEM	VKLAD	29402	48233	\N	\N	\N
25568	84	1998-08-10	PRIJEM	VKLAD	41775	79609	\N	\N	\N
25569	84	1998-12-07	PRIJEM	VKLAD	7510	87276	\N	\N	\N
25570	84	1998-12-28	PRIJEM	VKLAD	31008	103840	\N	\N	\N
25571	84	1998-02-19	PRIJEM	VKLAD	11967	102818	\N	\N	\N
25572	84	1998-06-21	PRIJEM	VKLAD	38357	71847	\N	\N	\N
25573	84	1998-08-02	PRIJEM	VKLAD	8256	50434	\N	\N	\N
25574	84	1998-12-08	PRIJEM	VKLAD	6300	93576	\N	\N	\N
25575	84	1998-06-27	PRIJEM	VKLAD	46807	123506	\N	\N	\N
25639	84	1996-04-11	VYDAJ	PREVOD NA UCET	12452	62634	SIPO	ST	18454540
25640	84	1996-05-11	VYDAJ	PREVOD NA UCET	12452	50677	SIPO	ST	18454540
25641	84	1996-06-11	VYDAJ	PREVOD NA UCET	12452	40742	SIPO	ST	18454540
25642	84	1996-07-11	VYDAJ	PREVOD NA UCET	12452	22489	SIPO	ST	18454540
25643	84	1996-08-11	VYDAJ	PREVOD NA UCET	12452	11668	SIPO	ST	18454540
25644	84	1996-09-11	VYDAJ	PREVOD NA UCET	12452	24797	SIPO	ST	18454540
25645	84	1996-10-11	VYDAJ	PREVOD NA UCET	12452	10170	SIPO	ST	18454540
25646	84	1996-11-11	VYDAJ	PREVOD NA UCET	12452	102632	SIPO	ST	18454540
25647	84	1996-12-11	VYDAJ	PREVOD NA UCET	12452	69767	SIPO	ST	18454540
25648	84	1997-01-11	VYDAJ	PREVOD NA UCET	12452	71506	SIPO	ST	18454540
25649	84	1997-02-11	VYDAJ	PREVOD NA UCET	12452	7769	SIPO	ST	18454540
25650	84	1997-03-11	VYDAJ	PREVOD NA UCET	12452	3794	SIPO	ST	18454540
25651	84	1997-04-11	VYDAJ	PREVOD NA UCET	12452	48017	SIPO	ST	18454540
25652	84	1997-05-11	VYDAJ	PREVOD NA UCET	12452	10582	SIPO	ST	18454540
25653	84	1997-06-11	VYDAJ	PREVOD NA UCET	12452	8631	SIPO	ST	18454540
25654	84	1997-07-11	VYDAJ	PREVOD NA UCET	12452	7765	SIPO	ST	18454540
25655	84	1997-08-11	VYDAJ	PREVOD NA UCET	12452	6795	SIPO	ST	18454540
25656	84	1997-09-11	VYDAJ	PREVOD NA UCET	12452	3315	SIPO	ST	18454540
25657	84	1997-10-11	VYDAJ	PREVOD NA UCET	12452	4030	SIPO	ST	18454540
25658	84	1997-11-11	VYDAJ	PREVOD NA UCET	12452	24412	SIPO	ST	18454540
25659	84	1997-12-11	VYDAJ	PREVOD NA UCET	12452	15100	SIPO	ST	18454540
25660	84	1998-01-11	VYDAJ	PREVOD NA UCET	12452	23739	SIPO	ST	18454540
25661	84	1998-02-11	VYDAJ	PREVOD NA UCET	12452	9331	SIPO	ST	18454540
25662	84	1998-03-11	VYDAJ	PREVOD NA UCET	12452	70468	SIPO	ST	18454540
25663	84	1998-04-11	VYDAJ	PREVOD NA UCET	12452	27261	SIPO	ST	18454540
25664	84	1998-05-11	VYDAJ	PREVOD NA UCET	12452	10693	SIPO	ST	18454540
25665	84	1998-06-11	VYDAJ	PREVOD NA UCET	12452	32590	SIPO	ST	18454540
25666	84	1998-07-11	VYDAJ	PREVOD NA UCET	12452	64926	SIPO	ST	18454540
25667	84	1998-08-11	VYDAJ	PREVOD NA UCET	12452	51357	SIPO	ST	18454540
25668	84	1998-09-11	VYDAJ	PREVOD NA UCET	12452	23413	SIPO	ST	18454540
25669	84	1998-10-11	VYDAJ	PREVOD NA UCET	12452	17308	SIPO	ST	18454540
25670	84	1998-11-11	VYDAJ	PREVOD NA UCET	12452	13789	SIPO	ST	18454540
25671	84	1998-12-11	VYDAJ	PREVOD NA UCET	12452	46724	SIPO	ST	18454540
25674	84	1996-09-09	VYBER	VYBER	5404	37249	\N	\N	\N
25680	84	1997-05-01	VYBER	VYBER	15520	23034	\N	\N	\N
25681	84	1997-10-29	VYBER	VYBER	13074	36876	\N	\N	\N
25687	84	1998-04-19	VYBER	VYBER	5959	23102	\N	\N	\N
25691	84	1998-12-04	VYBER	VYBER	3126	79766	\N	\N	\N
25692	84	1998-07-05	VYBER	VYBER	15065	77378	\N	\N	\N
25693	84	1998-08-17	VYBER	VYBER	2673	48684	\N	\N	\N
25694	84	1998-02-23	VYBER	VYBER	20031	82787	\N	\N	\N
25695	84	1998-04-03	VYBER	VYBER	13728	39713	\N	\N	\N
25700	84	1998-06-26	VYDAJ	VYBER	22800	76699	\N	\N	\N
25703	84	1997-01-12	VYDAJ	VYBER	20700	50806	\N	\N	\N
25704	84	1998-01-04	VYDAJ	VYBER	17100	48491	\N	\N	\N
25706	84	1996-12-04	VYDAJ	VYBER	2700	60795	\N	\N	\N
25707	84	1997-12-10	VYDAJ	VYBER	3900	27552	\N	\N	\N
25708	84	1998-12-09	VYDAJ	VYBER	4200	59176	\N	\N	\N
25721	84	1997-01-30	VYDAJ	VYBER	5400	20106	\N	\N	\N
25722	84	1997-01-25	VYDAJ	VYBER	4800	25506	\N	\N	\N
25723	84	1997-01-21	VYDAJ	VYBER	3000	33006	\N	\N	\N
25724	84	1997-01-16	VYDAJ	VYBER	3900	42406	\N	\N	\N
25725	84	1997-01-24	VYDAJ	VYBER	2700	30306	\N	\N	\N
25726	84	1997-01-13	VYDAJ	VYBER	4500	46306	\N	\N	\N
25727	84	1998-01-17	VYDAJ	VYBER	4200	21739	\N	\N	\N
25729	84	1998-01-08	VYDAJ	VYBER	8400	40091	\N	\N	\N
25730	84	1998-01-11	VYDAJ	VYBER	3900	36191	\N	\N	\N
25742	84	1996-12-09	VYDAJ	VYBER	11100	86377	\N	\N	\N
25752	84	1998-05-28	VYDAJ	VYBER	9600	46340	\N	\N	\N
25753	84	1998-08-06	VYDAJ	VYBER	12600	37834	\N	\N	\N
25754	84	1998-06-11	VYDAJ	VYBER	9900	45042	\N	\N	\N
25755	84	1998-08-17	VYDAJ	VYBER	12900	35784	\N	\N	\N
25756	84	1998-07-21	VYDAJ	VYBER	5700	42026	\N	\N	\N
25757	84	1998-06-02	VYDAJ	VYBER	4200	54942	\N	\N	\N
25773	84	1996-03-31	VYDAJ	VYBER	100	64633	SLUZBY	\N	\N
25774	84	1996-04-30	VYDAJ	VYBER	100	56845	SLUZBY	\N	\N
25775	84	1996-05-31	VYDAJ	VYBER	100	53194	SLUZBY	\N	\N
25776	84	1996-06-30	VYDAJ	VYBER	100	34941	SLUZBY	\N	\N
25777	84	1996-07-31	VYDAJ	VYBER	100	24120	SLUZBY	\N	\N
25778	84	1996-08-31	VYDAJ	VYBER	100	42653	SLUZBY	\N	\N
25779	84	1996-09-30	VYDAJ	VYBER	100	22622	SLUZBY	\N	\N
25780	84	1996-10-31	VYDAJ	VYBER	100	91226	SLUZBY	\N	\N
25781	84	1996-11-30	VYDAJ	VYBER	100	63495	SLUZBY	\N	\N
25782	84	1996-12-31	VYDAJ	VYBER	100	83958	SLUZBY	\N	\N
25783	84	1997-01-31	VYDAJ	VYBER	100	20221	SLUZBY	\N	\N
25784	84	1997-02-28	VYDAJ	VYBER	100	16246	SLUZBY	\N	\N
25785	84	1997-03-31	VYDAJ	VYBER	100	15661	SLUZBY	\N	\N
25786	84	1997-04-30	VYDAJ	VYBER	100	38554	SLUZBY	\N	\N
25787	84	1997-05-31	VYDAJ	VYBER	100	21083	SLUZBY	\N	\N
25788	84	1997-06-30	VYDAJ	VYBER	100	20217	SLUZBY	\N	\N
25789	84	1997-07-31	VYDAJ	VYBER	100	19247	SLUZBY	\N	\N
25790	84	1997-08-31	VYDAJ	VYBER	100	15767	SLUZBY	\N	\N
25791	84	1997-09-30	VYDAJ	VYBER	100	16482	SLUZBY	\N	\N
25792	84	1997-10-31	VYDAJ	VYBER	100	36864	SLUZBY	\N	\N
25793	84	1997-11-30	VYDAJ	VYBER	100	31452	SLUZBY	\N	\N
25794	84	1997-12-31	VYDAJ	VYBER	100	65591	SLUZBY	\N	\N
25795	84	1998-01-31	VYDAJ	VYBER	100	21783	SLUZBY	\N	\N
25796	84	1998-02-28	VYDAJ	VYBER	100	82920	SLUZBY	\N	\N
25797	84	1998-03-31	VYDAJ	VYBER	100	53441	SLUZBY	\N	\N
25798	84	1998-04-30	VYDAJ	VYBER	100	23145	SLUZBY	\N	\N
25799	84	1998-05-31	VYDAJ	VYBER	100	46379	SLUZBY	\N	\N
25800	84	1998-06-30	VYDAJ	VYBER	100	92443	SLUZBY	\N	\N
25801	84	1998-07-31	VYDAJ	VYBER	100	42178	SLUZBY	\N	\N
25802	84	1998-08-31	VYDAJ	VYBER	100	35865	SLUZBY	\N	\N
25803	84	1998-09-30	VYDAJ	VYBER	100	23460	SLUZBY	\N	\N
25804	84	1998-10-31	VYDAJ	VYBER	100	27441	SLUZBY	\N	\N
25805	84	1998-11-30	VYDAJ	VYBER	100	58331	SLUZBY	\N	\N
25806	84	1996-01-24	VYDAJ	VYBER	34000	65643	\N	\N	\N
25807	84	1996-02-23	VYDAJ	VYBER	21700	44105	\N	\N	\N
25808	84	1996-03-24	VYDAJ	VYBER	36600	64404	\N	\N	\N
25809	84	1996-04-23	VYDAJ	VYBER	26400	56665	\N	\N	\N
25810	84	1996-05-21	VYDAJ	VYBER	45600	77638	\N	\N	\N
25811	84	1996-05-23	VYDAJ	VYBER	24600	53038	\N	\N	\N
25812	84	1996-06-22	VYDAJ	VYBER	5900	34842	\N	\N	\N
25813	84	1996-07-22	PRIJEM	VKLAD	1600	24089	\N	\N	\N
25814	84	1996-08-21	VYDAJ	VYBER	13600	42626	\N	\N	\N
25815	84	1996-09-20	VYDAJ	VYBER	2200	22597	\N	\N	\N
25816	84	1996-10-20	PRIJEM	VKLAD	4300	14470	\N	\N	\N
25817	84	1996-11-06	VYDAJ	VYBER	18100	115084	\N	\N	\N
25818	84	1996-11-19	VYDAJ	VYBER	39400	63232	\N	\N	\N
25819	84	1996-12-10	VYDAJ	VYBER	29300	82219	\N	\N	\N
25820	84	1996-12-19	VYDAJ	VYBER	22300	47467	\N	\N	\N
25821	84	1997-01-18	VYDAJ	VYBER	6400	36006	\N	\N	\N
25822	84	1997-02-17	PRIJEM	VKLAD	8500	16269	\N	\N	\N
25823	84	1997-03-19	PRIJEM	VKLAD	11900	15694	\N	\N	\N
25824	84	1997-04-18	VYDAJ	VYBER	9500	38517	\N	\N	\N
25825	84	1997-05-18	PRIJEM	VKLAD	10500	21082	\N	\N	\N
25826	84	1997-06-17	PRIJEM	VKLAD	11600	20231	\N	\N	\N
25827	84	1997-07-17	PRIJEM	VKLAD	11500	19265	\N	\N	\N
25828	84	1997-08-16	PRIJEM	VKLAD	9000	15795	\N	\N	\N
25829	84	1997-09-15	PRIJEM	VKLAD	13200	16515	\N	\N	\N
25830	84	1997-10-15	PRIJEM	VKLAD	11600	15630	\N	\N	\N
25831	84	1997-11-14	PRIJEM	VKLAD	7000	31412	\N	\N	\N
25832	84	1997-12-14	PRIJEM	VKLAD	9200	24300	\N	\N	\N
25833	84	1998-01-13	PRIJEM	VKLAD	2200	25939	\N	\N	\N
25834	84	1998-02-12	PRIJEM	VKLAD	9500	18831	\N	\N	\N
25835	84	1998-03-14	VYDAJ	VYBER	17200	53268	\N	\N	\N
25836	84	1998-04-13	PRIJEM	VKLAD	1800	29061	\N	\N	\N
25837	84	1998-05-13	PRIJEM	VKLAD	12400	23093	\N	\N	\N
25838	84	1998-06-12	PRIJEM	VKLAD	900	33490	\N	\N	\N
25839	84	1998-06-27	VYDAJ	VYBER	31200	92306	\N	\N	\N
25840	84	1998-07-12	VYDAJ	VYBER	17200	47726	\N	\N	\N
25841	84	1998-08-11	VYDAJ	VYBER	15800	63809	\N	\N	\N
25842	84	1998-10-10	PRIJEM	VKLAD	6300	29760	\N	\N	\N
25843	84	1998-11-09	VYDAJ	VYBER	1200	26241	\N	\N	\N
25844	84	1998-12-09	VYDAJ	VYBER	30200	63376	\N	\N	\N
25881	85	1997-03-23	PRIJEM	VKLAD	400	400	\N	\N	\N
25885	85	1997-04-07	PRIJEM	VKLAD	5963	6363	\N	\N	\N
25886	85	1997-05-07	PRIJEM	VKLAD	5963	18442	\N	\N	\N
25887	85	1997-06-07	PRIJEM	VKLAD	8945	28848	\N	\N	\N
25888	85	1997-07-07	PRIJEM	VKLAD	5963	29699	\N	\N	\N
25889	85	1997-08-07	PRIJEM	VKLAD	5963	28559	\N	\N	\N
25890	85	1997-09-07	PRIJEM	VKLAD	5963	24467	\N	\N	\N
25891	85	1997-10-07	PRIJEM	VKLAD	5963	25166	\N	\N	\N
25892	85	1997-11-07	PRIJEM	VKLAD	5963	23062	\N	\N	\N
25893	85	1997-12-07	PRIJEM	VKLAD	8945	23632	\N	\N	\N
25894	85	1998-01-07	PRIJEM	VKLAD	5963	19500	\N	\N	\N
25895	85	1998-02-07	PRIJEM	VKLAD	5963	18415	\N	\N	\N
25896	85	1998-03-07	PRIJEM	VKLAD	5963	26402	\N	\N	\N
25897	85	1998-04-07	PRIJEM	VKLAD	5963	27914	\N	\N	\N
25898	85	1998-05-07	PRIJEM	VKLAD	5963	34438	\N	\N	\N
25899	85	1998-06-07	PRIJEM	VKLAD	8945	41767	\N	\N	\N
25900	85	1998-07-07	PRIJEM	VKLAD	5963	46943	\N	\N	\N
25901	85	1998-08-07	PRIJEM	VKLAD	5963	48537	\N	\N	\N
25902	85	1998-09-07	PRIJEM	VKLAD	5963	49635	\N	\N	\N
25903	85	1998-10-07	PRIJEM	VKLAD	5963	49332	\N	\N	\N
25904	85	1998-11-07	PRIJEM	VKLAD	5963	58453	\N	\N	\N
25905	85	1998-12-07	PRIJEM	VKLAD	8945	59467	\N	\N	\N
25913	85	1997-08-08	VYDAJ	PREVOD NA UCET	3831	24728	SIPO	IJ	65366345
25914	85	1997-09-08	VYDAJ	PREVOD NA UCET	3831	20636	SIPO	IJ	65366345
25915	85	1997-10-08	VYDAJ	PREVOD NA UCET	3831	21335	SIPO	IJ	65366345
25916	85	1997-11-08	VYDAJ	PREVOD NA UCET	3831	19231	SIPO	IJ	65366345
25917	85	1997-12-08	VYDAJ	PREVOD NA UCET	3831	19801	SIPO	IJ	65366345
25918	85	1998-01-08	VYDAJ	PREVOD NA UCET	3831	15669	SIPO	IJ	65366345
25919	85	1998-02-08	VYDAJ	PREVOD NA UCET	3831	14584	SIPO	IJ	65366345
25920	85	1998-03-08	VYDAJ	PREVOD NA UCET	3831	22571	SIPO	IJ	65366345
25921	85	1998-04-08	VYDAJ	PREVOD NA UCET	3831	24083	SIPO	IJ	65366345
25922	85	1998-05-08	VYDAJ	PREVOD NA UCET	3831	30607	SIPO	IJ	65366345
25923	85	1998-06-08	VYDAJ	PREVOD NA UCET	3831	37936	SIPO	IJ	65366345
25924	85	1998-07-08	VYDAJ	PREVOD NA UCET	3831	43112	SIPO	IJ	65366345
25925	85	1998-08-08	VYDAJ	PREVOD NA UCET	3831	44706	SIPO	IJ	65366345
25926	85	1998-09-08	VYDAJ	PREVOD NA UCET	3831	45804	SIPO	IJ	65366345
25927	85	1998-10-08	VYDAJ	PREVOD NA UCET	3831	45501	SIPO	IJ	65366345
25928	85	1998-11-08	VYDAJ	PREVOD NA UCET	3831	54622	SIPO	IJ	65366345
25929	85	1998-12-08	VYDAJ	PREVOD NA UCET	3831	55636	SIPO	IJ	65366345
25958	85	1997-12-14	VYDAJ	VYBER	3360	16441	\N	\N	\N
25959	85	1998-12-13	VYDAJ	VYBER	3840	51796	\N	\N	\N
25966	85	1998-01-24	VYDAJ	VYBER	960	12409	\N	\N	\N
25968	85	1998-01-09	VYDAJ	VYBER	3360	12309	\N	\N	\N
25970	85	1998-01-03	VYDAJ	VYBER	2520	14977	\N	\N	\N
25971	85	1998-01-03	VYDAJ	VYBER	1440	13537	\N	\N	\N
25974	85	1997-11-24	VYDAJ	VYBER	600	14631	\N	\N	\N
25975	85	1998-01-24	VYDAJ	VYBER	840	13369	\N	\N	\N
25976	85	1998-03-13	VYDAJ	VYBER	600	21971	\N	\N	\N
25977	85	1998-09-12	VYDAJ	VYBER	4920	36204	\N	\N	\N
25978	85	1998-09-11	VYDAJ	VYBER	4680	41124	\N	\N	\N
25979	85	1998-03-18	VYDAJ	VYBER	2400	21871	\N	\N	\N
25988	85	1997-08-31	VYDAJ	VYBER	15	18504	SLUZBY	\N	\N
25989	85	1997-09-30	VYDAJ	VYBER	15	19203	SLUZBY	\N	\N
25990	85	1997-10-31	VYDAJ	VYBER	15	17099	SLUZBY	\N	\N
25991	85	1997-11-30	VYDAJ	VYBER	15	14687	SLUZBY	\N	\N
25992	85	1997-12-31	VYDAJ	VYBER	15	17497	SLUZBY	\N	\N
25993	85	1998-01-31	VYDAJ	VYBER	15	12452	SLUZBY	\N	\N
25994	85	1998-02-28	VYDAJ	VYBER	15	20439	SLUZBY	\N	\N
25995	85	1998-03-31	VYDAJ	VYBER	15	21951	SLUZBY	\N	\N
25996	85	1998-04-30	VYDAJ	VYBER	15	28475	SLUZBY	\N	\N
25997	85	1998-05-31	VYDAJ	VYBER	15	32822	SLUZBY	\N	\N
25998	85	1998-06-30	VYDAJ	VYBER	15	40980	SLUZBY	\N	\N
25999	85	1998-07-31	VYDAJ	VYBER	15	42574	SLUZBY	\N	\N
26000	85	1998-08-31	VYDAJ	VYBER	15	43672	SLUZBY	\N	\N
26001	85	1998-09-30	VYDAJ	VYBER	15	43369	SLUZBY	\N	\N
26002	85	1998-10-31	VYDAJ	VYBER	15	52490	SLUZBY	\N	\N
26003	85	1998-11-30	VYDAJ	VYBER	15	50522	SLUZBY	\N	\N
26004	85	1997-04-22	PRIJEM	VKLAD	6100	12463	\N	\N	\N
26005	85	1997-05-22	PRIJEM	VKLAD	1400	19842	\N	\N	\N
26006	85	1997-06-21	VYDAJ	VYBER	5200	23648	\N	\N	\N
26007	85	1997-07-21	VYDAJ	VYBER	7200	22499	\N	\N	\N
26008	85	1997-08-20	VYDAJ	VYBER	6300	18428	\N	\N	\N
26009	85	1997-09-19	VYDAJ	VYBER	1500	19136	\N	\N	\N
26010	85	1997-10-19	VYDAJ	VYBER	4300	17035	\N	\N	\N
26011	85	1997-11-18	VYDAJ	VYBER	4000	15231	\N	\N	\N
26012	85	1997-12-18	PRIJEM	VKLAD	1000	17441	\N	\N	\N
26013	85	1998-01-17	PRIJEM	VKLAD	1900	14209	\N	\N	\N
26014	85	1998-02-16	PRIJEM	VKLAD	5800	20384	\N	\N	\N
26015	85	1998-03-18	PRIJEM	VKLAD	2300	24271	\N	\N	\N
26016	85	1998-04-17	PRIJEM	VKLAD	4300	28383	\N	\N	\N
26017	85	1998-05-17	PRIJEM	VKLAD	2100	32707	\N	\N	\N
26018	85	1998-06-16	PRIJEM	VKLAD	2900	40836	\N	\N	\N
26019	85	1998-07-16	VYDAJ	VYBER	700	42412	\N	\N	\N
26020	85	1998-08-15	VYDAJ	VYBER	1200	43506	\N	\N	\N
26021	85	1998-09-14	PRIJEM	VKLAD	7000	43204	\N	\N	\N
26022	85	1998-10-14	PRIJEM	VKLAD	6800	52301	\N	\N	\N
26023	85	1998-11-13	VYDAJ	VYBER	4300	50322	\N	\N	\N
26045	86	1993-03-07	PRIJEM	VKLAD	800	800	\N	\N	\N
26048	86	1993-03-11	PRIJEM	PREVOD Z UCTU	3243	4043	\N	ST	93896942
26049	86	1993-04-11	PRIJEM	PREVOD Z UCTU	3243	7297	\N	ST	93896942
26050	86	1993-05-11	PRIJEM	PREVOD Z UCTU	3243	10557	\N	ST	93896942
26051	86	1993-06-11	PRIJEM	PREVOD Z UCTU	3243	13817	\N	ST	93896942
26052	86	1993-07-11	PRIJEM	PREVOD Z UCTU	3243	17077	\N	ST	93896942
26053	86	1993-08-11	PRIJEM	PREVOD Z UCTU	3243	17232	\N	ST	93896942
26054	86	1993-09-11	PRIJEM	PREVOD Z UCTU	3243	18365	\N	ST	93896942
26055	86	1993-10-11	PRIJEM	PREVOD Z UCTU	3243	19502	\N	ST	93896942
26056	86	1993-11-11	PRIJEM	PREVOD Z UCTU	3243	20644	\N	ST	93896942
26057	86	1993-12-11	PRIJEM	PREVOD Z UCTU	3243	21160	\N	ST	93896942
26058	86	1994-01-11	PRIJEM	PREVOD Z UCTU	3243	21499	\N	ST	93896942
26059	86	1994-02-11	PRIJEM	PREVOD Z UCTU	3243	17782	\N	ST	93896942
26060	86	1994-03-11	PRIJEM	PREVOD Z UCTU	3243	18436	\N	ST	93896942
26061	86	1994-04-11	PRIJEM	PREVOD Z UCTU	3243	19182	\N	ST	93896942
26062	86	1994-05-11	PRIJEM	PREVOD Z UCTU	3243	20322	\N	ST	93896942
26063	86	1994-06-11	PRIJEM	PREVOD Z UCTU	3243	19517	\N	ST	93896942
26064	86	1994-07-11	PRIJEM	PREVOD Z UCTU	3243	20660	\N	ST	93896942
26065	86	1994-08-11	PRIJEM	PREVOD Z UCTU	3243	21806	\N	ST	93896942
26066	86	1994-09-11	PRIJEM	PREVOD Z UCTU	3243	22957	\N	ST	93896942
26067	86	1994-10-11	PRIJEM	PREVOD Z UCTU	3243	23543	\N	ST	93896942
26068	86	1994-11-11	PRIJEM	PREVOD Z UCTU	3243	22806	\N	ST	93896942
26069	86	1994-12-11	PRIJEM	PREVOD Z UCTU	3243	22492	\N	ST	93896942
26070	86	1995-01-11	PRIJEM	PREVOD Z UCTU	3243	21097	\N	ST	93896942
26071	86	1995-02-11	PRIJEM	PREVOD Z UCTU	3243	20145	\N	ST	93896942
26072	86	1995-03-11	PRIJEM	PREVOD Z UCTU	3243	20537	\N	ST	93896942
26073	86	1995-04-11	PRIJEM	PREVOD Z UCTU	3243	21683	\N	ST	93896942
26074	86	1995-05-11	PRIJEM	PREVOD Z UCTU	3243	22833	\N	ST	93896942
26075	86	1995-06-11	PRIJEM	PREVOD Z UCTU	3243	23988	\N	ST	93896942
26076	86	1995-07-11	PRIJEM	PREVOD Z UCTU	3243	16575	\N	ST	93896942
26077	86	1995-08-11	PRIJEM	PREVOD Z UCTU	3243	17704	\N	ST	93896942
26078	86	1995-09-11	PRIJEM	PREVOD Z UCTU	3243	18838	\N	ST	93896942
26079	86	1995-10-11	PRIJEM	PREVOD Z UCTU	3243	19976	\N	ST	93896942
26080	86	1995-11-11	PRIJEM	PREVOD Z UCTU	3243	21119	\N	ST	93896942
26081	86	1995-12-11	PRIJEM	PREVOD Z UCTU	3243	22267	\N	ST	93896942
26082	86	1996-01-11	PRIJEM	PREVOD Z UCTU	3243	22819	\N	ST	93896942
26083	86	1996-02-11	PRIJEM	PREVOD Z UCTU	3243	19591	\N	ST	93896942
26084	86	1996-03-11	PRIJEM	PREVOD Z UCTU	3243	17910	\N	ST	93896942
26085	86	1996-04-11	PRIJEM	PREVOD Z UCTU	3243	18505	\N	ST	93896942
26086	86	1996-05-11	PRIJEM	PREVOD Z UCTU	3243	18771	\N	ST	93896942
26087	86	1996-06-11	PRIJEM	PREVOD Z UCTU	3243	19908	\N	ST	93896942
26088	86	1996-07-11	PRIJEM	PREVOD Z UCTU	3243	21051	\N	ST	93896942
26089	86	1996-08-11	PRIJEM	PREVOD Z UCTU	3243	21627	\N	ST	93896942
26090	86	1996-09-11	PRIJEM	PREVOD Z UCTU	3243	22777	\N	ST	93896942
26091	86	1996-10-11	PRIJEM	PREVOD Z UCTU	3243	23931	\N	ST	93896942
26092	86	1996-11-11	PRIJEM	PREVOD Z UCTU	3243	25090	\N	ST	93896942
26093	86	1996-12-11	PRIJEM	PREVOD Z UCTU	3243	26254	\N	ST	93896942
26094	86	1997-01-11	PRIJEM	PREVOD Z UCTU	3243	24271	\N	ST	93896942
26095	86	1997-02-11	PRIJEM	PREVOD Z UCTU	3243	21887	\N	ST	93896942
26096	86	1997-03-11	PRIJEM	PREVOD Z UCTU	3243	23037	\N	ST	93896942
26097	86	1997-04-11	PRIJEM	PREVOD Z UCTU	3243	24192	\N	ST	93896942
26098	86	1997-05-11	PRIJEM	PREVOD Z UCTU	3243	24662	\N	ST	93896942
26099	86	1997-06-11	PRIJEM	PREVOD Z UCTU	3243	25824	\N	ST	93896942
26100	86	1997-07-11	PRIJEM	PREVOD Z UCTU	3243	25160	\N	ST	93896942
26101	86	1997-08-11	PRIJEM	PREVOD Z UCTU	3243	26323	\N	ST	93896942
26102	86	1997-09-11	PRIJEM	PREVOD Z UCTU	3243	26050	\N	ST	93896942
26103	86	1997-10-11	PRIJEM	PREVOD Z UCTU	3243	27218	\N	ST	93896942
26104	86	1997-11-11	PRIJEM	PREVOD Z UCTU	3243	28390	\N	ST	93896942
26105	86	1997-12-11	PRIJEM	PREVOD Z UCTU	3243	28155	\N	ST	93896942
26106	86	1998-01-11	PRIJEM	PREVOD Z UCTU	3243	28700	\N	ST	93896942
26107	86	1998-02-11	PRIJEM	PREVOD Z UCTU	3243	25161	\N	ST	93896942
26108	86	1998-03-11	PRIJEM	PREVOD Z UCTU	3243	26324	\N	ST	93896942
26109	86	1998-04-11	PRIJEM	PREVOD Z UCTU	3243	27492	\N	ST	93896942
26110	86	1998-05-11	PRIJEM	PREVOD Z UCTU	3243	28665	\N	ST	93896942
26111	86	1998-06-11	PRIJEM	PREVOD Z UCTU	3243	20962	\N	ST	93896942
26112	86	1998-07-11	PRIJEM	PREVOD Z UCTU	3243	20646	\N	ST	93896942
26113	86	1998-08-11	PRIJEM	PREVOD Z UCTU	3243	21370	\N	ST	93896942
26114	86	1998-09-11	PRIJEM	PREVOD Z UCTU	3243	20566	\N	ST	93896942
26115	86	1998-10-11	PRIJEM	PREVOD Z UCTU	3243	21712	\N	ST	93896942
26116	86	1998-11-11	PRIJEM	PREVOD Z UCTU	3243	22078	\N	ST	93896942
26117	86	1998-12-11	PRIJEM	PREVOD Z UCTU	3243	23228	\N	ST	93896942
26125	86	1993-08-10	VYDAJ	PREVOD NA UCET	1002	13989	\N	WX	36292475
26126	86	1993-09-10	VYDAJ	PREVOD NA UCET	1002	15122	\N	WX	36292475
26127	86	1993-10-10	VYDAJ	PREVOD NA UCET	1002	16259	\N	WX	36292475
26128	86	1993-11-10	VYDAJ	PREVOD NA UCET	1002	17401	\N	WX	36292475
26129	86	1993-12-10	VYDAJ	PREVOD NA UCET	1002	17917	\N	WX	36292475
26130	86	1994-01-10	VYDAJ	PREVOD NA UCET	1002	18256	\N	WX	36292475
26131	86	1994-02-10	VYDAJ	PREVOD NA UCET	1002	14539	\N	WX	36292475
26132	86	1994-03-10	VYDAJ	PREVOD NA UCET	1002	15193	\N	WX	36292475
26133	86	1994-04-10	VYDAJ	PREVOD NA UCET	1002	15939	\N	WX	36292475
26134	86	1994-05-10	VYDAJ	PREVOD NA UCET	1002	17079	\N	WX	36292475
26135	86	1994-06-10	VYDAJ	PREVOD NA UCET	1002	16274	\N	WX	36292475
26136	86	1994-07-10	VYDAJ	PREVOD NA UCET	1002	17417	\N	WX	36292475
26137	86	1994-08-10	VYDAJ	PREVOD NA UCET	1002	18563	\N	WX	36292475
26138	86	1994-09-10	VYDAJ	PREVOD NA UCET	1002	19714	\N	WX	36292475
26139	86	1994-10-10	VYDAJ	PREVOD NA UCET	1002	20300	\N	WX	36292475
26140	86	1994-11-10	VYDAJ	PREVOD NA UCET	1002	19563	\N	WX	36292475
26141	86	1994-12-10	VYDAJ	PREVOD NA UCET	1002	19249	\N	WX	36292475
26142	86	1995-01-10	VYDAJ	PREVOD NA UCET	1002	18004	\N	WX	36292475
26143	86	1995-02-10	VYDAJ	PREVOD NA UCET	1002	16902	\N	WX	36292475
26144	86	1995-03-10	VYDAJ	PREVOD NA UCET	1002	17294	\N	WX	36292475
26145	86	1995-04-10	VYDAJ	PREVOD NA UCET	1002	18440	\N	WX	36292475
26146	86	1995-05-10	VYDAJ	PREVOD NA UCET	1002	19590	\N	WX	36292475
26147	86	1995-06-10	VYDAJ	PREVOD NA UCET	1002	20745	\N	WX	36292475
26148	86	1995-07-10	VYDAJ	PREVOD NA UCET	1002	13332	\N	WX	36292475
26149	86	1995-08-10	VYDAJ	PREVOD NA UCET	1002	14461	\N	WX	36292475
26150	86	1995-09-10	VYDAJ	PREVOD NA UCET	1002	15595	\N	WX	36292475
26151	86	1995-10-10	VYDAJ	PREVOD NA UCET	1002	16733	\N	WX	36292475
26152	86	1995-11-10	VYDAJ	PREVOD NA UCET	1002	17876	\N	WX	36292475
26153	86	1995-12-10	VYDAJ	PREVOD NA UCET	1002	19024	\N	WX	36292475
26154	86	1996-01-10	VYDAJ	PREVOD NA UCET	1002	19576	\N	WX	36292475
26155	86	1996-02-10	VYDAJ	PREVOD NA UCET	1002	16348	\N	WX	36292475
26156	86	1996-03-10	VYDAJ	PREVOD NA UCET	1002	16017	\N	WX	36292475
26157	86	1996-04-10	VYDAJ	PREVOD NA UCET	1002	15262	\N	WX	36292475
26158	86	1996-05-10	VYDAJ	PREVOD NA UCET	1002	15528	\N	WX	36292475
26159	86	1996-06-10	VYDAJ	PREVOD NA UCET	1002	16665	\N	WX	36292475
26160	86	1996-07-10	VYDAJ	PREVOD NA UCET	1002	17808	\N	WX	36292475
26161	86	1996-08-10	VYDAJ	PREVOD NA UCET	1002	18384	\N	WX	36292475
26162	86	1996-09-10	VYDAJ	PREVOD NA UCET	1002	19534	\N	WX	36292475
26163	86	1996-10-10	VYDAJ	PREVOD NA UCET	1002	20688	\N	WX	36292475
26164	86	1996-11-10	VYDAJ	PREVOD NA UCET	1002	21847	\N	WX	36292475
26165	86	1996-12-10	VYDAJ	PREVOD NA UCET	1002	23011	\N	WX	36292475
26166	86	1997-01-10	VYDAJ	PREVOD NA UCET	1002	21028	\N	WX	36292475
26167	86	1997-02-10	VYDAJ	PREVOD NA UCET	1002	18644	\N	WX	36292475
26168	86	1997-03-10	VYDAJ	PREVOD NA UCET	1002	19794	\N	WX	36292475
26169	86	1997-04-10	VYDAJ	PREVOD NA UCET	1002	20949	\N	WX	36292475
26170	86	1997-05-10	VYDAJ	PREVOD NA UCET	1002	21419	\N	WX	36292475
26171	86	1997-06-10	VYDAJ	PREVOD NA UCET	1002	22581	\N	WX	36292475
26172	86	1997-07-10	VYDAJ	PREVOD NA UCET	1002	21917	\N	WX	36292475
26173	86	1997-08-10	VYDAJ	PREVOD NA UCET	1002	23080	\N	WX	36292475
26174	86	1997-09-10	VYDAJ	PREVOD NA UCET	1002	22807	\N	WX	36292475
26175	86	1997-10-10	VYDAJ	PREVOD NA UCET	1002	23975	\N	WX	36292475
26176	86	1997-11-10	VYDAJ	PREVOD NA UCET	1002	25147	\N	WX	36292475
26177	86	1997-12-10	VYDAJ	PREVOD NA UCET	1002	24912	\N	WX	36292475
26178	86	1998-01-10	VYDAJ	PREVOD NA UCET	1002	25697	\N	WX	36292475
26179	86	1998-02-10	VYDAJ	PREVOD NA UCET	1002	21918	\N	WX	36292475
26180	86	1998-03-10	VYDAJ	PREVOD NA UCET	1002	23081	\N	WX	36292475
26181	86	1998-04-10	VYDAJ	PREVOD NA UCET	1002	24249	\N	WX	36292475
26182	86	1998-05-10	VYDAJ	PREVOD NA UCET	1002	25422	\N	WX	36292475
26183	86	1998-06-10	VYDAJ	PREVOD NA UCET	1002	17719	\N	WX	36292475
26184	86	1998-07-10	VYDAJ	PREVOD NA UCET	1002	17403	\N	WX	36292475
26185	86	1998-08-10	VYDAJ	PREVOD NA UCET	1002	18127	\N	WX	36292475
26186	86	1998-09-10	VYDAJ	PREVOD NA UCET	1002	18523	\N	WX	36292475
26187	86	1998-10-10	VYDAJ	PREVOD NA UCET	1002	18469	\N	WX	36292475
26188	86	1998-11-10	VYDAJ	PREVOD NA UCET	1002	18835	\N	WX	36292475
26189	86	1998-12-10	VYDAJ	PREVOD NA UCET	1002	19985	\N	WX	36292475
26196	86	1993-07-12	VYDAJ	PREVOD NA UCET	1160	15917	\N	MN	48764252
26197	86	1993-08-12	VYDAJ	PREVOD NA UCET	1160	16072	\N	MN	48764252
26198	86	1993-09-12	VYDAJ	PREVOD NA UCET	1160	17205	\N	MN	48764252
26199	86	1993-10-12	VYDAJ	PREVOD NA UCET	1160	18342	\N	MN	48764252
26200	86	1993-11-12	VYDAJ	PREVOD NA UCET	1160	19484	\N	MN	48764252
26201	86	1993-12-12	VYDAJ	PREVOD NA UCET	1160	20000	\N	MN	48764252
26202	86	1994-01-12	VYDAJ	PREVOD NA UCET	1160	20339	\N	MN	48764252
26203	86	1994-02-12	VYDAJ	PREVOD NA UCET	1160	16622	\N	MN	48764252
26204	86	1994-03-12	VYDAJ	PREVOD NA UCET	1160	17276	\N	MN	48764252
26205	86	1994-04-12	VYDAJ	PREVOD NA UCET	1160	18022	\N	MN	48764252
26206	86	1994-05-12	VYDAJ	PREVOD NA UCET	1160	19162	\N	MN	48764252
26207	86	1994-06-12	VYDAJ	PREVOD NA UCET	1160	18357	\N	MN	48764252
26208	86	1994-07-12	VYDAJ	PREVOD NA UCET	1160	19500	\N	MN	48764252
26209	86	1994-08-12	VYDAJ	PREVOD NA UCET	1160	20646	\N	MN	48764252
26210	86	1994-09-12	VYDAJ	PREVOD NA UCET	1160	21797	\N	MN	48764252
26211	86	1994-10-12	VYDAJ	PREVOD NA UCET	1160	21213	\N	MN	48764252
26212	86	1994-11-12	VYDAJ	PREVOD NA UCET	1160	21646	\N	MN	48764252
26213	86	1994-12-12	VYDAJ	PREVOD NA UCET	1160	21332	\N	MN	48764252
26214	86	1995-01-12	VYDAJ	PREVOD NA UCET	1160	19937	\N	MN	48764252
26215	86	1995-02-12	VYDAJ	PREVOD NA UCET	1160	18985	\N	MN	48764252
26216	86	1995-03-12	VYDAJ	PREVOD NA UCET	1160	19377	\N	MN	48764252
26217	86	1995-04-12	VYDAJ	PREVOD NA UCET	1160	20523	\N	MN	48764252
26218	86	1995-05-12	VYDAJ	PREVOD NA UCET	1160	21673	\N	MN	48764252
26219	86	1995-06-12	VYDAJ	PREVOD NA UCET	1160	14278	\N	MN	48764252
26220	86	1995-07-12	VYDAJ	PREVOD NA UCET	1160	15415	\N	MN	48764252
26221	86	1995-08-12	VYDAJ	PREVOD NA UCET	1160	16544	\N	MN	48764252
26222	86	1995-09-12	VYDAJ	PREVOD NA UCET	1160	17678	\N	MN	48764252
26223	86	1995-10-12	VYDAJ	PREVOD NA UCET	1160	18816	\N	MN	48764252
26224	86	1995-11-12	VYDAJ	PREVOD NA UCET	1160	19959	\N	MN	48764252
26225	86	1995-12-12	VYDAJ	PREVOD NA UCET	1160	21107	\N	MN	48764252
26226	86	1996-01-12	VYDAJ	PREVOD NA UCET	1160	21659	\N	MN	48764252
26227	86	1996-02-12	VYDAJ	PREVOD NA UCET	1160	18431	\N	MN	48764252
26228	86	1996-03-12	VYDAJ	PREVOD NA UCET	1160	16750	\N	MN	48764252
26229	86	1996-04-12	VYDAJ	PREVOD NA UCET	1160	17345	\N	MN	48764252
26230	86	1996-05-12	VYDAJ	PREVOD NA UCET	1160	17611	\N	MN	48764252
26231	86	1996-06-12	VYDAJ	PREVOD NA UCET	1160	18748	\N	MN	48764252
26232	86	1996-07-12	VYDAJ	PREVOD NA UCET	1160	19891	\N	MN	48764252
26233	86	1996-08-12	VYDAJ	PREVOD NA UCET	1160	20467	\N	MN	48764252
26234	86	1996-09-12	VYDAJ	PREVOD NA UCET	1160	21617	\N	MN	48764252
26235	86	1996-10-12	VYDAJ	PREVOD NA UCET	1160	22771	\N	MN	48764252
26236	86	1996-11-12	VYDAJ	PREVOD NA UCET	1160	23930	\N	MN	48764252
26237	86	1996-12-12	VYDAJ	PREVOD NA UCET	1160	25094	\N	MN	48764252
26238	86	1997-01-12	VYDAJ	PREVOD NA UCET	1160	23111	\N	MN	48764252
26239	86	1997-02-12	VYDAJ	PREVOD NA UCET	1160	20727	\N	MN	48764252
26240	86	1997-03-12	VYDAJ	PREVOD NA UCET	1160	21877	\N	MN	48764252
26241	86	1997-04-12	VYDAJ	PREVOD NA UCET	1160	23032	\N	MN	48764252
26242	86	1997-05-12	VYDAJ	PREVOD NA UCET	1160	23502	\N	MN	48764252
26243	86	1997-06-12	VYDAJ	PREVOD NA UCET	1160	24664	\N	MN	48764252
26244	86	1997-07-12	VYDAJ	PREVOD NA UCET	1160	24000	\N	MN	48764252
26245	86	1997-08-12	VYDAJ	PREVOD NA UCET	1160	25163	\N	MN	48764252
26246	86	1997-09-12	VYDAJ	PREVOD NA UCET	1160	24890	\N	MN	48764252
26247	86	1997-10-12	VYDAJ	PREVOD NA UCET	1160	26058	\N	MN	48764252
26248	86	1997-11-12	VYDAJ	PREVOD NA UCET	1160	27230	\N	MN	48764252
26249	86	1997-12-12	VYDAJ	PREVOD NA UCET	1160	26995	\N	MN	48764252
26250	86	1998-01-12	VYDAJ	PREVOD NA UCET	1160	26880	\N	MN	48764252
26251	86	1998-02-12	VYDAJ	PREVOD NA UCET	1160	24001	\N	MN	48764252
26252	86	1998-03-12	VYDAJ	PREVOD NA UCET	1160	25164	\N	MN	48764252
26253	86	1998-04-12	VYDAJ	PREVOD NA UCET	1160	26332	\N	MN	48764252
26254	86	1998-05-12	VYDAJ	PREVOD NA UCET	1160	27505	\N	MN	48764252
26255	86	1998-06-12	VYDAJ	PREVOD NA UCET	1160	19802	\N	MN	48764252
26256	86	1998-07-12	VYDAJ	PREVOD NA UCET	1160	19486	\N	MN	48764252
26257	86	1998-08-12	VYDAJ	PREVOD NA UCET	1160	20210	\N	MN	48764252
26258	86	1998-09-12	VYDAJ	PREVOD NA UCET	1160	19406	\N	MN	48764252
26259	86	1998-10-12	VYDAJ	PREVOD NA UCET	1160	20552	\N	MN	48764252
26260	86	1998-11-12	VYDAJ	PREVOD NA UCET	1160	20918	\N	MN	48764252
26261	86	1998-12-12	VYDAJ	PREVOD NA UCET	1160	22068	\N	MN	48764252
26263	86	1994-06-07	VYDAJ	VYBER	1200	17276	\N	\N	\N
26264	86	1995-06-11	VYDAJ	VYBER	8550	15438	\N	\N	\N
26266	86	1997-06-29	VYDAJ	VYBER	1830	22834	\N	\N	\N
26267	86	1998-06-03	VYDAJ	VYBER	8880	18721	\N	\N	\N
26269	86	1994-01-15	VYDAJ	VYBER	2160	18179	\N	\N	\N
26270	86	1995-01-30	VYDAJ	VYBER	960	17837	\N	\N	\N
26271	86	1996-01-24	VYDAJ	VYBER	1620	18839	\N	\N	\N
26272	86	1997-01-05	VYDAJ	VYBER	1560	22540	\N	\N	\N
26273	86	1998-01-21	VYDAJ	VYBER	1920	23820	\N	\N	\N
26274	86	1993-12-07	VYDAJ	VYBER	630	18919	\N	\N	\N
26275	86	1994-12-03	VYDAJ	VYBER	780	20941	\N	\N	\N
26276	86	1995-12-30	VYDAJ	VYBER	420	20687	\N	\N	\N
26277	86	1996-12-13	VYDAJ	VYBER	630	24464	\N	\N	\N
26278	86	1997-12-23	VYDAJ	VYBER	390	26605	\N	\N	\N
26279	86	1998-12-22	VYDAJ	VYBER	180	21888	\N	\N	\N
26286	86	1994-01-26	VYDAJ	VYBER	750	16169	\N	\N	\N
26287	86	1994-01-18	VYDAJ	VYBER	240	17939	\N	\N	\N
26288	86	1994-01-01	VYDAJ	VYBER	330	19738	\N	\N	\N
26289	86	1994-01-20	VYDAJ	VYBER	420	17519	\N	\N	\N
26290	86	1994-01-08	VYDAJ	VYBER	480	19258	\N	\N	\N
26291	86	1994-01-25	VYDAJ	VYBER	600	16919	\N	\N	\N
26292	86	1995-01-07	VYDAJ	VYBER	840	19006	\N	\N	\N
26293	86	1995-01-04	VYDAJ	VYBER	630	20776	\N	\N	\N
26294	86	1995-01-10	VYDAJ	VYBER	150	17854	\N	\N	\N
26295	86	1995-01-22	VYDAJ	VYBER	450	19487	\N	\N	\N
26296	86	1995-01-24	VYDAJ	VYBER	690	18797	\N	\N	\N
26297	86	1995-01-06	VYDAJ	VYBER	390	20386	\N	\N	\N
26298	86	1996-01-02	VYDAJ	VYBER	180	20578	\N	\N	\N
26299	86	1996-01-27	VYDAJ	VYBER	270	18029	\N	\N	\N
26300	86	1996-01-12	VYDAJ	VYBER	360	21299	\N	\N	\N
26301	86	1996-01-27	VYDAJ	VYBER	330	17699	\N	\N	\N
26302	86	1996-01-23	VYDAJ	VYBER	840	20459	\N	\N	\N
26303	86	1996-01-27	VYDAJ	VYBER	540	18299	\N	\N	\N
26304	86	1997-01-03	VYDAJ	VYBER	450	24100	\N	\N	\N
26305	86	1997-01-16	VYDAJ	VYBER	510	21041	\N	\N	\N
26306	86	1997-01-16	VYDAJ	VYBER	480	21551	\N	\N	\N
26307	86	1997-01-24	VYDAJ	VYBER	630	20411	\N	\N	\N
26308	86	1997-01-05	VYDAJ	VYBER	510	22030	\N	\N	\N
26309	86	1997-01-29	VYDAJ	VYBER	840	19571	\N	\N	\N
26310	86	1998-01-24	VYDAJ	VYBER	390	23430	\N	\N	\N
26311	86	1998-01-16	VYDAJ	VYBER	690	25740	\N	\N	\N
26312	86	1998-01-10	VYDAJ	VYBER	240	25457	\N	\N	\N
26313	86	1998-01-12	VYDAJ	VYBER	660	28040	\N	\N	\N
26314	86	1998-01-26	VYDAJ	VYBER	600	22830	\N	\N	\N
26315	86	1998-01-16	VYDAJ	VYBER	450	26430	\N	\N	\N
26316	86	1993-08-08	VYDAJ	VYBER	960	14991	\N	\N	\N
26320	86	1994-01-29	VYDAJ	VYBER	690	15479	\N	\N	\N
26321	86	1994-10-01	VYDAJ	VYBER	570	21302	\N	\N	\N
26322	86	1994-06-02	VYDAJ	VYBER	750	18476	\N	\N	\N
26323	86	1994-03-12	VYDAJ	VYBER	390	16886	\N	\N	\N
26324	86	1994-10-14	VYDAJ	VYBER	720	20493	\N	\N	\N
26325	86	1994-02-26	VYDAJ	VYBER	480	16142	\N	\N	\N
26326	86	1994-12-09	VYDAJ	VYBER	690	20251	\N	\N	\N
26327	86	1994-10-11	VYDAJ	VYBER	1170	22373	\N	\N	\N
26328	86	1995-02-14	VYDAJ	VYBER	750	18235	\N	\N	\N
26329	86	1995-01-06	VYDAJ	VYBER	540	19846	\N	\N	\N
26331	86	1996-04-18	VYDAJ	VYBER	870	16475	\N	\N	\N
26332	86	1996-03-10	VYDAJ	VYBER	1350	14667	\N	\N	\N
26333	86	1996-02-01	VYDAJ	VYBER	420	17350	\N	\N	\N
26334	86	1996-03-23	VYDAJ	VYBER	540	16210	\N	\N	\N
26335	86	1996-07-26	VYDAJ	VYBER	570	19321	\N	\N	\N
26336	86	1996-02-22	VYDAJ	VYBER	1470	16961	\N	\N	\N
26337	86	1997-04-30	VYDAJ	VYBER	690	22436	\N	\N	\N
26338	86	1997-08-23	VYDAJ	VYBER	1140	24023	\N	\N	\N
26339	86	1997-01-15	VYDAJ	VYBER	1080	22031	\N	\N	\N
26340	86	1997-11-19	VYDAJ	VYBER	1020	26210	\N	\N	\N
26341	86	1997-09-06	VYDAJ	VYBER	300	23809	\N	\N	\N
26342	86	1997-12-04	VYDAJ	VYBER	390	25914	\N	\N	\N
26343	86	1998-06-18	VYDAJ	VYBER	1470	18332	\N	\N	\N
26344	86	1998-09-10	VYDAJ	VYBER	1200	17323	\N	\N	\N
26345	86	1998-10-13	VYDAJ	VYBER	780	19772	\N	\N	\N
26346	86	1998-07-24	VYDAJ	VYBER	420	19066	\N	\N	\N
26347	86	1998-09-04	VYDAJ	VYBER	750	19525	\N	\N	\N
26355	86	1993-07-31	VYDAJ	VYBER	15	15951	SLUZBY	\N	\N
26356	86	1993-08-31	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
26357	86	1993-09-30	VYDAJ	VYBER	15	17261	SLUZBY	\N	\N
26358	86	1993-10-31	VYDAJ	VYBER	15	18403	SLUZBY	\N	\N
26359	86	1993-11-30	VYDAJ	VYBER	15	19549	SLUZBY	\N	\N
26360	86	1993-12-31	VYDAJ	VYBER	15	20068	SLUZBY	\N	\N
26361	86	1994-01-31	VYDAJ	VYBER	15	15541	SLUZBY	\N	\N
26362	86	1994-02-28	VYDAJ	VYBER	15	16195	SLUZBY	\N	\N
26363	86	1994-03-31	VYDAJ	VYBER	15	16941	SLUZBY	\N	\N
26364	86	1994-04-30	VYDAJ	VYBER	15	18081	SLUZBY	\N	\N
26365	86	1994-05-31	VYDAJ	VYBER	15	19226	SLUZBY	\N	\N
26366	86	1994-06-30	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
26367	86	1994-07-31	VYDAJ	VYBER	15	19565	SLUZBY	\N	\N
26368	86	1994-08-31	VYDAJ	VYBER	15	20716	SLUZBY	\N	\N
26369	86	1994-09-30	VYDAJ	VYBER	15	21872	SLUZBY	\N	\N
26370	86	1994-10-31	VYDAJ	VYBER	15	20565	SLUZBY	\N	\N
26371	86	1994-11-30	VYDAJ	VYBER	15	21721	SLUZBY	\N	\N
26372	86	1994-12-31	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
26373	86	1995-01-31	VYDAJ	VYBER	15	17904	SLUZBY	\N	\N
26374	86	1995-02-28	VYDAJ	VYBER	15	18296	SLUZBY	\N	\N
26375	86	1995-03-31	VYDAJ	VYBER	15	19442	SLUZBY	\N	\N
26376	86	1995-04-30	VYDAJ	VYBER	15	20592	SLUZBY	\N	\N
26377	86	1995-05-31	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
26378	86	1995-06-30	VYDAJ	VYBER	15	14334	SLUZBY	\N	\N
26379	86	1995-07-31	VYDAJ	VYBER	15	15463	SLUZBY	\N	\N
26380	86	1995-08-31	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
26381	86	1995-09-30	VYDAJ	VYBER	15	17735	SLUZBY	\N	\N
26382	86	1995-10-31	VYDAJ	VYBER	15	18878	SLUZBY	\N	\N
26383	86	1995-11-30	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
26384	86	1995-12-31	VYDAJ	VYBER	15	20758	SLUZBY	\N	\N
26385	86	1996-01-31	VYDAJ	VYBER	15	17770	SLUZBY	\N	\N
26386	86	1996-02-29	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
26387	86	1996-03-31	VYDAJ	VYBER	15	16264	SLUZBY	\N	\N
26388	86	1996-04-30	VYDAJ	VYBER	15	16530	SLUZBY	\N	\N
26389	86	1996-05-31	VYDAJ	VYBER	15	17667	SLUZBY	\N	\N
26390	86	1996-06-30	VYDAJ	VYBER	15	18810	SLUZBY	\N	\N
26391	86	1996-07-31	VYDAJ	VYBER	15	19386	SLUZBY	\N	\N
26392	86	1996-08-31	VYDAJ	VYBER	15	20536	SLUZBY	\N	\N
26393	86	1996-09-30	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
26394	86	1996-10-31	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
26395	86	1996-11-30	VYDAJ	VYBER	15	24013	SLUZBY	\N	\N
26396	86	1996-12-31	VYDAJ	VYBER	15	24550	SLUZBY	\N	\N
26397	86	1997-01-31	VYDAJ	VYBER	15	19646	SLUZBY	\N	\N
26398	86	1997-02-28	VYDAJ	VYBER	15	20796	SLUZBY	\N	\N
26399	86	1997-03-31	VYDAJ	VYBER	15	21951	SLUZBY	\N	\N
26400	86	1997-04-30	VYDAJ	VYBER	15	22421	SLUZBY	\N	\N
26401	86	1997-05-31	VYDAJ	VYBER	15	23583	SLUZBY	\N	\N
26402	86	1997-06-30	VYDAJ	VYBER	15	22919	SLUZBY	\N	\N
26403	86	1997-07-31	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
26404	86	1997-08-31	VYDAJ	VYBER	15	24109	SLUZBY	\N	\N
26405	86	1997-09-30	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
26406	86	1997-10-31	VYDAJ	VYBER	15	26149	SLUZBY	\N	\N
26407	86	1997-11-30	VYDAJ	VYBER	15	26304	SLUZBY	\N	\N
26408	86	1997-12-31	VYDAJ	VYBER	15	26699	SLUZBY	\N	\N
26409	86	1998-01-31	VYDAJ	VYBER	15	22920	SLUZBY	\N	\N
26410	86	1998-02-28	VYDAJ	VYBER	15	24083	SLUZBY	\N	\N
26411	86	1998-03-31	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
26412	86	1998-04-30	VYDAJ	VYBER	15	26424	SLUZBY	\N	\N
26413	86	1998-05-31	VYDAJ	VYBER	15	27601	SLUZBY	\N	\N
26414	86	1998-06-30	VYDAJ	VYBER	15	18405	SLUZBY	\N	\N
26415	86	1998-07-31	VYDAJ	VYBER	15	19129	SLUZBY	\N	\N
26416	86	1998-08-31	VYDAJ	VYBER	15	20275	SLUZBY	\N	\N
26417	86	1998-09-30	VYDAJ	VYBER	15	19471	SLUZBY	\N	\N
26418	86	1998-10-31	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
26419	86	1998-11-30	VYDAJ	VYBER	15	20987	SLUZBY	\N	\N
26744	88	1996-07-03	PRIJEM	VKLAD	300	300	\N	\N	\N
26751	88	1996-07-06	PRIJEM	PREVOD Z UCTU	3403	3703	\N	MN	61120402
26752	88	1996-08-06	PRIJEM	PREVOD Z UCTU	3403	7119	\N	MN	61120402
26753	88	1996-09-06	PRIJEM	PREVOD Z UCTU	3403	10537	\N	MN	61120402
26754	88	1996-10-06	PRIJEM	PREVOD Z UCTU	3403	13956	\N	MN	61120402
26755	88	1996-11-06	PRIJEM	PREVOD Z UCTU	3403	17374	\N	MN	61120402
26756	88	1996-12-06	PRIJEM	PREVOD Z UCTU	3403	18537	\N	MN	61120402
26757	88	1997-01-06	PRIJEM	PREVOD Z UCTU	3403	18073	\N	MN	61120402
26758	88	1997-02-06	PRIJEM	PREVOD Z UCTU	3403	15745	\N	MN	61120402
26759	88	1997-03-06	PRIJEM	PREVOD Z UCTU	3403	16924	\N	MN	61120402
26760	88	1997-04-06	PRIJEM	PREVOD Z UCTU	3403	18103	\N	MN	61120402
26761	88	1997-05-06	PRIJEM	PREVOD Z UCTU	3403	19287	\N	MN	61120402
26762	88	1997-06-06	PRIJEM	PREVOD Z UCTU	3403	20086	\N	MN	61120402
26763	88	1997-07-06	PRIJEM	PREVOD Z UCTU	3403	21278	\N	MN	61120402
26764	88	1997-08-06	PRIJEM	PREVOD Z UCTU	3403	22476	\N	MN	61120402
26765	88	1997-09-06	PRIJEM	PREVOD Z UCTU	3403	23258	\N	MN	61120402
26766	88	1997-10-06	PRIJEM	PREVOD Z UCTU	3403	24464	\N	MN	61120402
26767	88	1997-11-06	PRIJEM	PREVOD Z UCTU	3403	24953	\N	MN	61120402
26768	88	1997-12-06	PRIJEM	PREVOD Z UCTU	3403	26166	\N	MN	61120402
26769	88	1998-01-06	PRIJEM	PREVOD Z UCTU	3403	27174	\N	MN	61120402
26770	88	1998-02-06	PRIJEM	PREVOD Z UCTU	3403	21963	\N	MN	61120402
26771	88	1998-03-06	PRIJEM	PREVOD Z UCTU	3403	23163	\N	MN	61120402
26772	88	1998-04-06	PRIJEM	PREVOD Z UCTU	3403	23049	\N	MN	61120402
26773	88	1998-05-06	PRIJEM	PREVOD Z UCTU	3403	24258	\N	MN	61120402
26774	88	1998-06-06	PRIJEM	PREVOD Z UCTU	3403	25078	\N	MN	61120402
26775	88	1998-07-06	PRIJEM	PREVOD Z UCTU	3403	24373	\N	MN	61120402
26776	88	1998-08-06	PRIJEM	PREVOD Z UCTU	3403	24773	\N	MN	61120402
26777	88	1998-09-06	PRIJEM	PREVOD Z UCTU	3403	25624	\N	MN	61120402
26778	88	1998-10-06	PRIJEM	PREVOD Z UCTU	3403	25547	\N	MN	61120402
26779	88	1998-11-06	PRIJEM	PREVOD Z UCTU	3403	25651	\N	MN	61120402
26780	88	1998-12-06	PRIJEM	PREVOD Z UCTU	3403	26867	\N	MN	61120402
26791	88	1996-11-14	VYDAJ	PREVOD NA UCET	2268	15106	SIPO	ST	72993069
26792	88	1996-12-14	VYDAJ	PREVOD NA UCET	2268	16269	SIPO	ST	72993069
26793	88	1997-01-14	VYDAJ	PREVOD NA UCET	2268	14845	SIPO	ST	72993069
26794	88	1997-02-14	VYDAJ	PREVOD NA UCET	2268	13477	SIPO	ST	72993069
26795	88	1997-03-14	VYDAJ	PREVOD NA UCET	2268	14656	SIPO	ST	72993069
26796	88	1997-04-14	VYDAJ	PREVOD NA UCET	2268	15835	SIPO	ST	72993069
26797	88	1997-05-14	VYDAJ	PREVOD NA UCET	2268	17019	SIPO	ST	72993069
26798	88	1997-06-14	VYDAJ	PREVOD NA UCET	2268	17818	SIPO	ST	72993069
26799	88	1997-07-14	VYDAJ	PREVOD NA UCET	2268	19010	SIPO	ST	72993069
26800	88	1997-08-14	VYDAJ	PREVOD NA UCET	2268	20208	SIPO	ST	72993069
26801	88	1997-09-14	VYDAJ	PREVOD NA UCET	2268	20990	SIPO	ST	72993069
26802	88	1997-10-14	VYDAJ	PREVOD NA UCET	2268	22196	SIPO	ST	72993069
26803	88	1997-11-14	VYDAJ	PREVOD NA UCET	2268	22685	SIPO	ST	72993069
26804	88	1997-12-14	VYDAJ	PREVOD NA UCET	2268	23898	SIPO	ST	72993069
26805	88	1998-01-14	VYDAJ	PREVOD NA UCET	2268	21006	SIPO	ST	72993069
26806	88	1998-02-14	VYDAJ	PREVOD NA UCET	2268	19695	SIPO	ST	72993069
26807	88	1998-03-14	VYDAJ	PREVOD NA UCET	2268	20895	SIPO	ST	72993069
26808	88	1998-04-14	VYDAJ	PREVOD NA UCET	2268	20781	SIPO	ST	72993069
26809	88	1998-05-14	VYDAJ	PREVOD NA UCET	2268	21990	SIPO	ST	72993069
26810	88	1998-06-14	VYDAJ	PREVOD NA UCET	2268	22810	SIPO	ST	72993069
26811	88	1998-07-14	VYDAJ	PREVOD NA UCET	2268	21295	SIPO	ST	72993069
26812	88	1998-08-14	VYDAJ	PREVOD NA UCET	2268	22505	SIPO	ST	72993069
26813	88	1998-09-14	VYDAJ	PREVOD NA UCET	2268	23356	SIPO	ST	72993069
26814	88	1998-10-14	VYDAJ	PREVOD NA UCET	2268	23279	SIPO	ST	72993069
26815	88	1998-11-14	VYDAJ	PREVOD NA UCET	2268	23383	SIPO	ST	72993069
26816	88	1998-12-14	VYDAJ	PREVOD NA UCET	2268	24599	SIPO	ST	72993069
26819	88	1998-06-23	VYDAJ	VYBER	1920	20890	\N	\N	\N
26821	88	1997-01-25	VYDAJ	VYBER	930	12775	\N	\N	\N
26822	88	1998-01-07	VYDAJ	VYBER	2550	24624	\N	\N	\N
26823	88	1996-12-28	VYDAJ	VYBER	810	15459	\N	\N	\N
26824	88	1997-12-30	VYDAJ	VYBER	210	23688	\N	\N	\N
26825	88	1998-12-17	VYDAJ	VYBER	270	24329	\N	\N	\N
26832	88	1997-01-15	VYDAJ	VYBER	360	14485	\N	\N	\N
26833	88	1997-01-02	VYDAJ	VYBER	840	14670	\N	\N	\N
26834	88	1997-01-13	VYDAJ	VYBER	150	17113	\N	\N	\N
26836	88	1997-01-09	VYDAJ	VYBER	810	17263	\N	\N	\N
26837	88	1997-01-28	VYDAJ	VYBER	150	12625	\N	\N	\N
26838	88	1998-01-16	VYDAJ	VYBER	750	20256	\N	\N	\N
26839	88	1998-01-24	VYDAJ	VYBER	690	18996	\N	\N	\N
26840	88	1998-01-27	VYDAJ	VYBER	510	18486	\N	\N	\N
26841	88	1998-01-20	VYDAJ	VYBER	570	19686	\N	\N	\N
26842	88	1998-01-11	VYDAJ	VYBER	870	23274	\N	\N	\N
26843	88	1998-01-09	VYDAJ	VYBER	480	24144	\N	\N	\N
26851	88	1997-10-21	VYDAJ	VYBER	720	21476	\N	\N	\N
26852	88	1997-05-16	VYDAJ	VYBER	390	16629	\N	\N	\N
26853	88	1997-08-18	VYDAJ	VYBER	420	19788	\N	\N	\N
26854	88	1997-01-16	VYDAJ	VYBER	780	13705	\N	\N	\N
26855	88	1997-02-05	VYDAJ	VYBER	330	12342	\N	\N	\N
26856	88	1998-07-09	VYDAJ	VYBER	810	23563	\N	\N	\N
26857	88	1998-04-03	VYDAJ	VYBER	1320	19646	\N	\N	\N
26858	88	1998-10-26	VYDAJ	VYBER	1110	22169	\N	\N	\N
26859	88	1998-09-15	VYDAJ	VYBER	1290	22066	\N	\N	\N
26860	88	1998-06-01	VYDAJ	VYBER	390	21675	\N	\N	\N
26861	88	1998-08-20	VYDAJ	VYBER	360	22145	\N	\N	\N
26873	88	1996-11-30	VYDAJ	VYBER	15	15134	SLUZBY	\N	\N
26874	88	1996-12-31	VYDAJ	VYBER	15	15510	SLUZBY	\N	\N
26875	88	1997-01-31	VYDAJ	VYBER	15	12672	SLUZBY	\N	\N
26876	88	1997-02-28	VYDAJ	VYBER	15	13521	SLUZBY	\N	\N
26877	88	1997-03-31	VYDAJ	VYBER	15	14700	SLUZBY	\N	\N
26878	88	1997-04-30	VYDAJ	VYBER	15	15884	SLUZBY	\N	\N
26879	88	1997-05-31	VYDAJ	VYBER	15	16683	SLUZBY	\N	\N
26880	88	1997-06-30	VYDAJ	VYBER	15	17875	SLUZBY	\N	\N
26881	88	1997-07-31	VYDAJ	VYBER	15	19073	SLUZBY	\N	\N
26882	88	1997-08-31	VYDAJ	VYBER	15	19855	SLUZBY	\N	\N
26883	88	1997-09-30	VYDAJ	VYBER	15	21061	SLUZBY	\N	\N
26884	88	1997-10-31	VYDAJ	VYBER	15	21550	SLUZBY	\N	\N
26885	88	1997-11-30	VYDAJ	VYBER	15	22763	SLUZBY	\N	\N
26886	88	1997-12-31	VYDAJ	VYBER	15	23771	SLUZBY	\N	\N
26887	88	1998-01-31	VYDAJ	VYBER	15	18560	SLUZBY	\N	\N
26888	88	1998-02-28	VYDAJ	VYBER	15	19760	SLUZBY	\N	\N
26889	88	1998-03-31	VYDAJ	VYBER	15	20966	SLUZBY	\N	\N
26890	88	1998-04-30	VYDAJ	VYBER	15	20855	SLUZBY	\N	\N
26891	88	1998-05-31	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
26892	88	1998-06-30	VYDAJ	VYBER	15	20970	SLUZBY	\N	\N
26893	88	1998-07-31	VYDAJ	VYBER	15	21370	SLUZBY	\N	\N
26894	88	1998-08-31	VYDAJ	VYBER	15	22221	SLUZBY	\N	\N
26895	88	1998-09-30	VYDAJ	VYBER	15	22144	SLUZBY	\N	\N
26896	88	1998-10-31	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
26897	88	1998-11-30	VYDAJ	VYBER	15	23464	SLUZBY	\N	\N
26928	89	1997-09-25	PRIJEM	VKLAD	600	600	\N	\N	\N
26938	89	1997-10-07	PRIJEM	VKLAD	4858	5458	\N	\N	\N
26939	89	1997-11-07	PRIJEM	VKLAD	4858	22332	\N	\N	\N
26940	89	1997-12-07	PRIJEM	VKLAD	7287	33801	\N	\N	\N
26941	89	1998-01-07	PRIJEM	VKLAD	4858	33972	\N	\N	\N
26942	89	1998-02-07	PRIJEM	VKLAD	4858	37355	\N	\N	\N
26943	89	1998-03-07	PRIJEM	VKLAD	4858	36232	\N	\N	\N
26944	89	1998-04-07	PRIJEM	VKLAD	4858	35307	\N	\N	\N
26945	89	1998-05-07	PRIJEM	VKLAD	4858	31673	\N	\N	\N
26946	89	1998-06-07	PRIJEM	VKLAD	7287	35860	\N	\N	\N
26947	89	1998-07-07	PRIJEM	VKLAD	4858	28416	\N	\N	\N
26948	89	1998-08-07	PRIJEM	VKLAD	4858	33275	\N	\N	\N
26949	89	1998-09-07	PRIJEM	VKLAD	4858	33637	\N	\N	\N
26950	89	1998-10-07	PRIJEM	VKLAD	4858	35704	\N	\N	\N
26951	89	1998-11-07	PRIJEM	VKLAD	4858	35074	\N	\N	\N
26952	89	1998-12-07	PRIJEM	VKLAD	7287	39075	\N	\N	\N
26954	89	1998-06-20	VYDAJ	VYBER	10200	25660	\N	\N	\N
26958	89	1998-12-16	VYDAJ	VYBER	1300	37775	\N	\N	\N
26974	89	1998-04-15	VYDAJ	VYBER	4500	30807	\N	\N	\N
26975	89	1998-03-16	VYDAJ	VYBER	2900	33332	\N	\N	\N
26976	89	1998-07-02	VYDAJ	VYBER	1200	23558	\N	\N	\N
26977	89	1998-08-25	VYDAJ	VYBER	500	28675	\N	\N	\N
26992	89	1998-02-28	VYDAJ	VYBER	15	31374	SLUZBY	\N	\N
26993	89	1998-03-31	VYDAJ	VYBER	15	30449	SLUZBY	\N	\N
26994	89	1998-04-30	VYDAJ	VYBER	15	26815	SLUZBY	\N	\N
26995	89	1998-05-31	VYDAJ	VYBER	15	28573	SLUZBY	\N	\N
26996	89	1998-06-30	VYDAJ	VYBER	15	24758	SLUZBY	\N	\N
26997	89	1998-07-31	VYDAJ	VYBER	15	28417	SLUZBY	\N	\N
26998	89	1998-08-31	VYDAJ	VYBER	15	28779	SLUZBY	\N	\N
26999	89	1998-09-30	VYDAJ	VYBER	15	30846	SLUZBY	\N	\N
27000	89	1998-10-31	VYDAJ	VYBER	15	30216	SLUZBY	\N	\N
27001	89	1998-11-30	VYDAJ	VYBER	15	31788	SLUZBY	\N	\N
27002	89	1997-10-25	PRIJEM	VKLAD	12000	17458	\N	\N	\N
27003	89	1997-11-24	PRIJEM	VKLAD	4100	26432	\N	\N	\N
27004	89	1997-12-24	VYDAJ	VYBER	4800	29001	\N	\N	\N
27005	89	1998-01-23	VYDAJ	VYBER	1600	32372	\N	\N	\N
27006	89	1998-02-22	VYDAJ	VYBER	6100	31255	\N	\N	\N
27007	89	1998-03-24	VYDAJ	VYBER	3000	30332	\N	\N	\N
27008	89	1998-04-23	VYDAJ	VYBER	4100	26707	\N	\N	\N
27009	89	1998-05-23	VYDAJ	VYBER	3200	28473	\N	\N	\N
27010	89	1998-06-22	VYDAJ	VYBER	1000	24660	\N	\N	\N
27011	89	1998-07-22	VYDAJ	VYBER	100	28316	\N	\N	\N
27012	89	1998-08-21	VYDAJ	VYBER	4100	29175	\N	\N	\N
27013	89	1998-09-20	VYDAJ	VYBER	2900	30737	\N	\N	\N
27014	89	1998-10-20	VYDAJ	VYBER	5600	30104	\N	\N	\N
27015	89	1998-11-19	VYDAJ	VYBER	3400	31674	\N	\N	\N
27031	90	1994-07-13	PRIJEM	VKLAD	500	500	\N	\N	\N
27038	90	1994-07-14	PRIJEM	VKLAD	24306	24806	\N	\N	\N
27039	90	1994-08-14	PRIJEM	VKLAD	24306	50472	\N	\N	\N
27040	90	1994-09-14	PRIJEM	VKLAD	24306	61744	\N	\N	\N
27041	90	1994-10-14	PRIJEM	VKLAD	24306	65286	\N	\N	\N
27042	90	1994-11-14	PRIJEM	VKLAD	24306	71158	\N	\N	\N
27043	90	1994-12-14	PRIJEM	VKLAD	36459	74107	\N	\N	\N
27044	90	1995-01-14	PRIJEM	VKLAD	24306	53385	\N	\N	\N
27045	90	1995-02-14	PRIJEM	VKLAD	24306	51765	\N	\N	\N
27046	90	1995-03-14	PRIJEM	VKLAD	24306	50484	\N	\N	\N
27047	90	1995-04-14	PRIJEM	VKLAD	24306	48969	\N	\N	\N
27048	90	1995-05-14	PRIJEM	VKLAD	24306	47846	\N	\N	\N
27049	90	1995-06-14	PRIJEM	VKLAD	36459	59829	\N	\N	\N
27050	90	1995-07-14	PRIJEM	VKLAD	24306	55651	\N	\N	\N
27051	90	1995-08-14	PRIJEM	VKLAD	24306	54879	\N	\N	\N
27052	90	1995-09-14	PRIJEM	VKLAD	24306	55898	\N	\N	\N
27053	90	1995-10-14	PRIJEM	VKLAD	24306	55597	\N	\N	\N
27054	90	1995-11-14	PRIJEM	VKLAD	24306	54013	\N	\N	\N
27055	90	1995-12-14	PRIJEM	VKLAD	36459	62478	\N	\N	\N
27056	90	1996-01-14	PRIJEM	VKLAD	24306	36625	\N	\N	\N
27057	90	1996-02-14	PRIJEM	VKLAD	24306	40145	\N	\N	\N
27058	90	1996-03-14	PRIJEM	VKLAD	24306	43087	\N	\N	\N
27059	90	1996-04-14	PRIJEM	VKLAD	24306	44251	\N	\N	\N
27060	90	1996-05-14	PRIJEM	VKLAD	24306	45021	\N	\N	\N
27061	90	1996-06-14	PRIJEM	VKLAD	36459	57547	\N	\N	\N
27062	90	1996-07-14	PRIJEM	VKLAD	24306	36668	\N	\N	\N
27063	90	1996-08-14	PRIJEM	VKLAD	24306	41898	\N	\N	\N
27064	90	1996-09-14	PRIJEM	VKLAD	24306	43376	\N	\N	\N
27065	90	1996-10-14	PRIJEM	VKLAD	24306	43746	\N	\N	\N
27066	90	1996-11-14	PRIJEM	VKLAD	24306	43817	\N	\N	\N
27067	90	1996-12-14	PRIJEM	VKLAD	36459	59227	\N	\N	\N
27068	90	1997-01-14	PRIJEM	VKLAD	24306	49783	\N	\N	\N
27069	90	1997-02-14	PRIJEM	VKLAD	24306	34553	\N	\N	\N
27070	90	1997-03-14	PRIJEM	VKLAD	24306	38269	\N	\N	\N
27071	90	1997-04-14	PRIJEM	VKLAD	24306	39401	\N	\N	\N
27072	90	1997-05-14	PRIJEM	VKLAD	24306	44038	\N	\N	\N
27073	90	1997-06-14	PRIJEM	VKLAD	36459	58726	\N	\N	\N
27074	90	1997-07-14	PRIJEM	VKLAD	24306	50255	\N	\N	\N
27075	90	1997-08-14	PRIJEM	VKLAD	24306	48076	\N	\N	\N
27076	90	1997-09-14	PRIJEM	VKLAD	24306	45241	\N	\N	\N
27077	90	1997-10-14	PRIJEM	VKLAD	24306	35409	\N	\N	\N
27078	90	1997-11-14	PRIJEM	VKLAD	24306	34619	\N	\N	\N
27079	90	1997-12-14	PRIJEM	VKLAD	36459	43878	\N	\N	\N
27080	90	1998-01-14	PRIJEM	VKLAD	24306	31393	\N	\N	\N
27081	90	1998-02-14	PRIJEM	VKLAD	24306	31778	\N	\N	\N
27082	90	1998-03-14	PRIJEM	VKLAD	24306	34272	\N	\N	\N
27083	90	1998-04-14	PRIJEM	VKLAD	24306	35778	\N	\N	\N
27084	90	1998-05-14	PRIJEM	VKLAD	24306	36687	\N	\N	\N
27085	90	1998-06-14	PRIJEM	VKLAD	36459	53258	\N	\N	\N
27086	90	1998-07-14	PRIJEM	VKLAD	24306	46106	\N	\N	\N
27087	90	1998-08-14	PRIJEM	VKLAD	24306	36642	\N	\N	\N
27088	90	1998-09-14	PRIJEM	VKLAD	24306	34947	\N	\N	\N
27089	90	1998-10-14	PRIJEM	VKLAD	24306	29958	\N	\N	\N
27090	90	1998-11-14	PRIJEM	VKLAD	24306	30636	\N	\N	\N
27091	90	1998-12-14	PRIJEM	VKLAD	36459	44470	\N	\N	\N
27103	90	1994-12-11	VYDAJ	PREVOD NA UCET	2774	40023	SIPO	ST	68375611
27104	90	1995-01-11	VYDAJ	PREVOD NA UCET	2774	36734	SIPO	ST	68375611
27105	90	1995-02-11	VYDAJ	PREVOD NA UCET	2774	29834	SIPO	ST	68375611
27106	90	1995-03-11	VYDAJ	PREVOD NA UCET	2774	28553	SIPO	ST	68375611
27107	90	1995-04-11	VYDAJ	PREVOD NA UCET	2774	27038	SIPO	ST	68375611
27108	90	1995-05-11	VYDAJ	PREVOD NA UCET	2774	25915	SIPO	ST	68375611
27109	90	1995-06-11	VYDAJ	PREVOD NA UCET	2774	30305	SIPO	ST	68375611
27110	90	1995-07-11	VYDAJ	PREVOD NA UCET	2774	33720	SIPO	ST	68375611
27111	90	1995-08-11	VYDAJ	PREVOD NA UCET	2774	32948	SIPO	ST	68375611
27112	90	1995-09-11	VYDAJ	PREVOD NA UCET	2774	33967	SIPO	ST	68375611
27113	90	1995-10-11	VYDAJ	PREVOD NA UCET	2774	33666	SIPO	ST	68375611
27114	90	1995-11-11	VYDAJ	PREVOD NA UCET	2774	32082	SIPO	ST	68375611
27115	90	1995-12-11	VYDAJ	PREVOD NA UCET	2774	28394	SIPO	ST	68375611
27116	90	1996-01-11	VYDAJ	PREVOD NA UCET	2774	14694	SIPO	ST	68375611
27117	90	1996-02-11	VYDAJ	PREVOD NA UCET	2774	18214	SIPO	ST	68375611
27118	90	1996-03-11	VYDAJ	PREVOD NA UCET	2774	21156	SIPO	ST	68375611
27119	90	1996-04-11	VYDAJ	PREVOD NA UCET	2774	22320	SIPO	ST	68375611
27120	90	1996-05-11	VYDAJ	PREVOD NA UCET	2774	23090	SIPO	ST	68375611
27121	90	1996-06-11	VYDAJ	PREVOD NA UCET	2774	23463	SIPO	ST	68375611
27122	90	1996-07-11	VYDAJ	PREVOD NA UCET	2774	14737	SIPO	ST	68375611
27123	90	1996-08-11	VYDAJ	PREVOD NA UCET	2774	19967	SIPO	ST	68375611
27124	90	1996-09-11	VYDAJ	PREVOD NA UCET	2774	23125	SIPO	ST	68375611
27125	90	1996-10-11	VYDAJ	PREVOD NA UCET	2774	21815	SIPO	ST	68375611
27126	90	1996-11-11	VYDAJ	PREVOD NA UCET	2774	21886	SIPO	ST	68375611
27127	90	1996-12-11	VYDAJ	PREVOD NA UCET	2774	25143	SIPO	ST	68375611
27128	90	1997-01-11	VYDAJ	PREVOD NA UCET	2774	30252	SIPO	ST	68375611
27129	90	1997-02-11	VYDAJ	PREVOD NA UCET	2774	12622	SIPO	ST	68375611
27130	90	1997-03-11	VYDAJ	PREVOD NA UCET	2774	16338	SIPO	ST	68375611
27131	90	1997-04-11	VYDAJ	PREVOD NA UCET	2774	17470	SIPO	ST	68375611
27132	90	1997-05-11	VYDAJ	PREVOD NA UCET	2774	22107	SIPO	ST	68375611
27133	90	1997-06-11	VYDAJ	PREVOD NA UCET	2774	24642	SIPO	ST	68375611
27134	90	1997-07-11	VYDAJ	PREVOD NA UCET	2774	28324	SIPO	ST	68375611
27135	90	1997-08-11	VYDAJ	PREVOD NA UCET	2774	26145	SIPO	ST	68375611
27136	90	1997-09-11	VYDAJ	PREVOD NA UCET	2774	23310	SIPO	ST	68375611
27137	90	1997-10-11	VYDAJ	PREVOD NA UCET	2774	13478	SIPO	ST	68375611
27138	90	1997-11-11	VYDAJ	PREVOD NA UCET	2774	12688	SIPO	ST	68375611
27139	90	1997-12-11	VYDAJ	PREVOD NA UCET	2774	9794	SIPO	ST	68375611
27140	90	1998-01-11	VYDAJ	PREVOD NA UCET	2774	9462	SIPO	ST	68375611
27141	90	1998-02-11	VYDAJ	PREVOD NA UCET	2774	9847	SIPO	ST	68375611
27142	90	1998-03-11	VYDAJ	PREVOD NA UCET	2774	12341	SIPO	ST	68375611
27143	90	1998-04-11	VYDAJ	PREVOD NA UCET	2774	13847	SIPO	ST	68375611
27144	90	1998-05-11	VYDAJ	PREVOD NA UCET	2774	14756	SIPO	ST	68375611
27145	90	1998-06-11	VYDAJ	PREVOD NA UCET	2774	19174	SIPO	ST	68375611
27146	90	1998-07-11	VYDAJ	PREVOD NA UCET	2774	24175	SIPO	ST	68375611
27147	90	1998-08-11	VYDAJ	PREVOD NA UCET	2774	14711	SIPO	ST	68375611
27148	90	1998-09-11	VYDAJ	PREVOD NA UCET	2774	13016	SIPO	ST	68375611
27149	90	1998-10-11	VYDAJ	PREVOD NA UCET	2774	8027	SIPO	ST	68375611
27150	90	1998-11-11	VYDAJ	PREVOD NA UCET	2774	8705	SIPO	ST	68375611
27151	90	1998-12-11	VYDAJ	PREVOD NA UCET	2774	10386	SIPO	ST	68375611
27163	90	1994-12-12	VYDAJ	PREVOD NA UCET	2375	37648	 	UV	90134667
27164	90	1995-01-12	VYDAJ	PREVOD NA UCET	2375	31959	 	UV	90134667
27165	90	1995-02-12	VYDAJ	PREVOD NA UCET	2375	27459	 	UV	90134667
27166	90	1995-03-12	VYDAJ	PREVOD NA UCET	2375	26178	 	UV	90134667
27167	90	1995-04-12	VYDAJ	PREVOD NA UCET	2375	24663	 	UV	90134667
27168	90	1995-05-12	VYDAJ	PREVOD NA UCET	2375	23540	 	UV	90134667
27169	90	1995-06-12	VYDAJ	PREVOD NA UCET	2375	27930	 	UV	90134667
27170	90	1995-07-12	VYDAJ	PREVOD NA UCET	2375	31345	 	UV	90134667
27171	90	1995-08-12	VYDAJ	PREVOD NA UCET	2375	30573	 	UV	90134667
27172	90	1995-09-12	VYDAJ	PREVOD NA UCET	2375	31592	 	UV	90134667
27173	90	1995-10-12	VYDAJ	PREVOD NA UCET	2375	31291	 	UV	90134667
27174	90	1995-11-12	VYDAJ	PREVOD NA UCET	2375	29707	 	UV	90134667
27175	90	1995-12-12	VYDAJ	PREVOD NA UCET	2375	26019	 	UV	90134667
27176	90	1996-01-12	VYDAJ	PREVOD NA UCET	2375	12319	 	UV	90134667
27177	90	1996-02-12	VYDAJ	PREVOD NA UCET	2375	15839	 	UV	90134667
27178	90	1996-03-12	VYDAJ	PREVOD NA UCET	2375	18781	 	UV	90134667
27179	90	1996-04-12	VYDAJ	PREVOD NA UCET	2375	19945	 	UV	90134667
27180	90	1996-05-12	VYDAJ	PREVOD NA UCET	2375	20715	 	UV	90134667
27181	90	1996-06-12	VYDAJ	PREVOD NA UCET	2375	21088	 	UV	90134667
27182	90	1996-07-12	VYDAJ	PREVOD NA UCET	2375	12362	 	UV	90134667
27183	90	1996-08-12	VYDAJ	PREVOD NA UCET	2375	17592	 	UV	90134667
27184	90	1996-09-12	VYDAJ	PREVOD NA UCET	2375	20750	 	UV	90134667
27185	90	1996-10-12	VYDAJ	PREVOD NA UCET	2375	19440	 	UV	90134667
27186	90	1996-11-12	VYDAJ	PREVOD NA UCET	2375	19511	 	UV	90134667
27187	90	1996-12-12	VYDAJ	PREVOD NA UCET	2375	22768	 	UV	90134667
27188	90	1997-01-12	VYDAJ	PREVOD NA UCET	2375	25477	 	UV	90134667
27189	90	1997-02-12	VYDAJ	PREVOD NA UCET	2375	10247	 	UV	90134667
27190	90	1997-03-12	VYDAJ	PREVOD NA UCET	2375	13963	 	UV	90134667
27191	90	1997-04-12	VYDAJ	PREVOD NA UCET	2375	15095	 	UV	90134667
27192	90	1997-05-12	VYDAJ	PREVOD NA UCET	2375	19732	 	UV	90134667
27193	90	1997-06-12	VYDAJ	PREVOD NA UCET	2375	22267	 	UV	90134667
27194	90	1997-07-12	VYDAJ	PREVOD NA UCET	2375	25949	 	UV	90134667
27195	90	1997-08-12	VYDAJ	PREVOD NA UCET	2375	23770	 	UV	90134667
27196	90	1997-09-12	VYDAJ	PREVOD NA UCET	2375	20935	 	UV	90134667
27197	90	1997-10-12	VYDAJ	PREVOD NA UCET	2375	11103	 	UV	90134667
27198	90	1997-11-12	VYDAJ	PREVOD NA UCET	2375	10313	 	UV	90134667
27199	90	1997-12-12	VYDAJ	PREVOD NA UCET	2375	7419	 	UV	90134667
27200	90	1998-01-12	VYDAJ	PREVOD NA UCET	2375	7087	 	UV	90134667
27201	90	1998-02-12	VYDAJ	PREVOD NA UCET	2375	7472	 	UV	90134667
27202	90	1998-03-12	VYDAJ	PREVOD NA UCET	2375	9966	 	UV	90134667
27203	90	1998-04-12	VYDAJ	PREVOD NA UCET	2375	11472	 	UV	90134667
27204	90	1998-05-12	VYDAJ	PREVOD NA UCET	2375	12381	 	UV	90134667
27205	90	1998-06-12	VYDAJ	PREVOD NA UCET	2375	16799	 	UV	90134667
27206	90	1998-07-12	VYDAJ	PREVOD NA UCET	2375	21800	 	UV	90134667
27207	90	1998-08-12	VYDAJ	PREVOD NA UCET	2375	12336	 	UV	90134667
27208	90	1998-09-12	VYDAJ	PREVOD NA UCET	2375	10641	 	UV	90134667
27209	90	1998-10-12	VYDAJ	PREVOD NA UCET	2375	5652	 	UV	90134667
27210	90	1998-11-12	VYDAJ	PREVOD NA UCET	2375	6330	 	UV	90134667
27211	90	1998-12-12	VYDAJ	PREVOD NA UCET	2375	8011	 	UV	90134667
27223	90	1994-12-06	VYDAJ	PREVOD NA UCET	4372	67058	POJISTNE	MN	89044069
27224	90	1995-01-06	VYDAJ	PREVOD NA UCET	4372	54369	POJISTNE	MN	89044069
27225	90	1995-02-06	VYDAJ	PREVOD NA UCET	4372	44169	POJISTNE	MN	89044069
27226	90	1995-03-06	VYDAJ	PREVOD NA UCET	4372	45888	POJISTNE	MN	89044069
27227	90	1995-04-06	VYDAJ	PREVOD NA UCET	4372	44973	POJISTNE	MN	89044069
27228	90	1995-05-06	VYDAJ	PREVOD NA UCET	4372	39250	POJISTNE	MN	89044069
27229	90	1995-06-06	VYDAJ	PREVOD NA UCET	4372	43640	POJISTNE	MN	89044069
27230	90	1995-07-06	VYDAJ	PREVOD NA UCET	4372	55655	POJISTNE	MN	89044069
27231	90	1995-08-06	VYDAJ	PREVOD NA UCET	4372	51483	POJISTNE	MN	89044069
27232	90	1995-09-06	VYDAJ	PREVOD NA UCET	4372	50102	POJISTNE	MN	89044069
27233	90	1995-10-06	VYDAJ	PREVOD NA UCET	4372	36801	POJISTNE	MN	89044069
27234	90	1995-11-06	VYDAJ	PREVOD NA UCET	4372	35217	POJISTNE	MN	89044069
27235	90	1995-12-06	VYDAJ	PREVOD NA UCET	4372	31529	POJISTNE	MN	89044069
27236	90	1996-01-06	VYDAJ	PREVOD NA UCET	4372	32389	POJISTNE	MN	89044069
27237	90	1996-02-06	VYDAJ	PREVOD NA UCET	4372	21349	POJISTNE	MN	89044069
27238	90	1996-03-06	VYDAJ	PREVOD NA UCET	4372	24291	POJISTNE	MN	89044069
27239	90	1996-04-06	VYDAJ	PREVOD NA UCET	4372	25455	POJISTNE	MN	89044069
27240	90	1996-05-06	VYDAJ	PREVOD NA UCET	4372	26225	POJISTNE	MN	89044069
27241	90	1996-06-06	VYDAJ	PREVOD NA UCET	4372	26598	POJISTNE	MN	89044069
27242	90	1996-07-06	VYDAJ	PREVOD NA UCET	4372	17872	POJISTNE	MN	89044069
27243	90	1996-08-06	VYDAJ	PREVOD NA UCET	4372	23102	POJISTNE	MN	89044069
27244	90	1996-09-06	VYDAJ	PREVOD NA UCET	4372	26260	POJISTNE	MN	89044069
27245	90	1996-10-06	VYDAJ	PREVOD NA UCET	4372	24950	POJISTNE	MN	89044069
27246	90	1996-11-06	VYDAJ	PREVOD NA UCET	4372	25021	POJISTNE	MN	89044069
27247	90	1996-12-06	VYDAJ	PREVOD NA UCET	4372	28278	POJISTNE	MN	89044069
27248	90	1997-01-06	VYDAJ	PREVOD NA UCET	4372	33387	POJISTNE	MN	89044069
27249	90	1997-02-06	VYDAJ	PREVOD NA UCET	4372	15757	POJISTNE	MN	89044069
27250	90	1997-03-06	VYDAJ	PREVOD NA UCET	4372	19473	POJISTNE	MN	89044069
27251	90	1997-04-06	VYDAJ	PREVOD NA UCET	4372	20605	POJISTNE	MN	89044069
27252	90	1997-05-06	VYDAJ	PREVOD NA UCET	4372	25242	POJISTNE	MN	89044069
27253	90	1997-06-06	VYDAJ	PREVOD NA UCET	4372	27777	POJISTNE	MN	89044069
27254	90	1997-07-06	VYDAJ	PREVOD NA UCET	4372	35419	POJISTNE	MN	89044069
27255	90	1997-08-06	VYDAJ	PREVOD NA UCET	4372	30240	POJISTNE	MN	89044069
27256	90	1997-09-06	VYDAJ	PREVOD NA UCET	4372	26445	POJISTNE	MN	89044069
27257	90	1997-10-06	VYDAJ	PREVOD NA UCET	4372	16613	POJISTNE	MN	89044069
27258	90	1997-11-06	VYDAJ	PREVOD NA UCET	4372	15823	POJISTNE	MN	89044069
27259	90	1997-12-06	VYDAJ	PREVOD NA UCET	4372	12929	POJISTNE	MN	89044069
27260	90	1998-01-06	VYDAJ	PREVOD NA UCET	4372	12597	POJISTNE	MN	89044069
27261	90	1998-02-06	VYDAJ	PREVOD NA UCET	4372	12982	POJISTNE	MN	89044069
27262	90	1998-03-06	VYDAJ	PREVOD NA UCET	4372	15476	POJISTNE	MN	89044069
27263	90	1998-04-06	VYDAJ	PREVOD NA UCET	4372	16982	POJISTNE	MN	89044069
27264	90	1998-05-06	VYDAJ	PREVOD NA UCET	4372	17891	POJISTNE	MN	89044069
27265	90	1998-06-06	VYDAJ	PREVOD NA UCET	4372	22309	POJISTNE	MN	89044069
27266	90	1998-07-06	VYDAJ	PREVOD NA UCET	4372	27310	POJISTNE	MN	89044069
27267	90	1998-08-06	VYDAJ	PREVOD NA UCET	4372	17846	POJISTNE	MN	89044069
27268	90	1998-09-06	VYDAJ	PREVOD NA UCET	4372	16151	POJISTNE	MN	89044069
27269	90	1998-10-06	VYDAJ	PREVOD NA UCET	4372	11162	POJISTNE	MN	89044069
27270	90	1998-11-06	VYDAJ	PREVOD NA UCET	4372	11840	POJISTNE	MN	89044069
27271	90	1998-12-06	VYDAJ	PREVOD NA UCET	4372	13521	POJISTNE	MN	89044069
27283	90	1994-12-10	VYDAJ	PREVOD NA UCET	361	66697	 	YZ	2028567
27284	90	1995-01-10	VYDAJ	PREVOD NA UCET	361	39508	 	YZ	2028567
27285	90	1995-02-10	VYDAJ	PREVOD NA UCET	361	32608	 	YZ	2028567
27286	90	1995-03-10	VYDAJ	PREVOD NA UCET	361	45527	 	YZ	2028567
27287	90	1995-04-10	VYDAJ	PREVOD NA UCET	361	29812	 	YZ	2028567
27288	90	1995-05-10	VYDAJ	PREVOD NA UCET	361	28689	 	YZ	2028567
27289	90	1995-06-10	VYDAJ	PREVOD NA UCET	361	33079	 	YZ	2028567
27290	90	1995-07-10	VYDAJ	PREVOD NA UCET	361	36494	 	YZ	2028567
27291	90	1995-08-10	VYDAJ	PREVOD NA UCET	361	35722	 	YZ	2028567
27292	90	1995-09-10	VYDAJ	PREVOD NA UCET	361	36741	 	YZ	2028567
27293	90	1995-10-10	VYDAJ	PREVOD NA UCET	361	36440	 	YZ	2028567
27294	90	1995-11-10	VYDAJ	PREVOD NA UCET	361	34856	 	YZ	2028567
27295	90	1995-12-10	VYDAJ	PREVOD NA UCET	361	31168	 	YZ	2028567
27296	90	1996-01-10	VYDAJ	PREVOD NA UCET	361	17468	 	YZ	2028567
27297	90	1996-02-10	VYDAJ	PREVOD NA UCET	361	20988	 	YZ	2028567
27298	90	1996-03-10	VYDAJ	PREVOD NA UCET	361	23930	 	YZ	2028567
27299	90	1996-04-10	VYDAJ	PREVOD NA UCET	361	25094	 	YZ	2028567
27300	90	1996-05-10	VYDAJ	PREVOD NA UCET	361	25864	 	YZ	2028567
27301	90	1996-06-10	VYDAJ	PREVOD NA UCET	361	26237	 	YZ	2028567
27302	90	1996-07-10	VYDAJ	PREVOD NA UCET	361	17511	 	YZ	2028567
27303	90	1996-08-10	VYDAJ	PREVOD NA UCET	361	22741	 	YZ	2028567
27304	90	1996-09-10	VYDAJ	PREVOD NA UCET	361	25899	 	YZ	2028567
27305	90	1996-10-10	VYDAJ	PREVOD NA UCET	361	24589	 	YZ	2028567
27306	90	1996-11-10	VYDAJ	PREVOD NA UCET	361	24660	 	YZ	2028567
27307	90	1996-12-10	VYDAJ	PREVOD NA UCET	361	27917	 	YZ	2028567
27308	90	1997-01-10	VYDAJ	PREVOD NA UCET	361	33026	 	YZ	2028567
27309	90	1997-02-10	VYDAJ	PREVOD NA UCET	361	15396	 	YZ	2028567
27310	90	1997-03-10	VYDAJ	PREVOD NA UCET	361	19112	 	YZ	2028567
27311	90	1997-04-10	VYDAJ	PREVOD NA UCET	361	20244	 	YZ	2028567
27312	90	1997-05-10	VYDAJ	PREVOD NA UCET	361	24881	 	YZ	2028567
27313	90	1997-06-10	VYDAJ	PREVOD NA UCET	361	27416	 	YZ	2028567
27314	90	1997-07-10	VYDAJ	PREVOD NA UCET	361	35058	 	YZ	2028567
27315	90	1997-08-10	VYDAJ	PREVOD NA UCET	361	28919	 	YZ	2028567
27316	90	1997-09-10	VYDAJ	PREVOD NA UCET	361	26084	 	YZ	2028567
27317	90	1997-10-10	VYDAJ	PREVOD NA UCET	361	16252	 	YZ	2028567
27318	90	1997-11-10	VYDAJ	PREVOD NA UCET	361	15462	 	YZ	2028567
27319	90	1997-12-10	VYDAJ	PREVOD NA UCET	361	12568	 	YZ	2028567
27320	90	1998-01-10	VYDAJ	PREVOD NA UCET	361	12236	 	YZ	2028567
27321	90	1998-02-10	VYDAJ	PREVOD NA UCET	361	12621	 	YZ	2028567
27322	90	1998-03-10	VYDAJ	PREVOD NA UCET	361	15115	 	YZ	2028567
27323	90	1998-04-10	VYDAJ	PREVOD NA UCET	361	16621	 	YZ	2028567
27324	90	1998-05-10	VYDAJ	PREVOD NA UCET	361	17530	 	YZ	2028567
27325	90	1998-06-10	VYDAJ	PREVOD NA UCET	361	21948	 	YZ	2028567
27326	90	1998-07-10	VYDAJ	PREVOD NA UCET	361	26949	 	YZ	2028567
27327	90	1998-08-10	VYDAJ	PREVOD NA UCET	361	17485	 	YZ	2028567
27328	90	1998-09-10	VYDAJ	PREVOD NA UCET	361	15790	 	YZ	2028567
27329	90	1998-10-10	VYDAJ	PREVOD NA UCET	361	10801	 	YZ	2028567
27330	90	1998-11-10	VYDAJ	PREVOD NA UCET	361	11479	 	YZ	2028567
27331	90	1998-12-10	VYDAJ	PREVOD NA UCET	361	13160	 	YZ	2028567
27334	90	1996-06-16	VYDAJ	VYBER	25120	27867	\N	\N	\N
27338	90	1995-01-02	VYDAJ	VYBER	10720	61381	\N	\N	\N
27339	90	1996-01-09	VYDAJ	VYBER	14560	17829	\N	\N	\N
27340	90	1997-01-20	VYDAJ	VYBER	11040	33703	\N	\N	\N
27342	90	1994-12-27	VYDAJ	VYBER	960	73147	\N	\N	\N
27343	90	1995-12-29	VYDAJ	VYBER	4160	58318	\N	\N	\N
27344	90	1996-12-29	VYDAJ	VYBER	1440	37587	\N	\N	\N
27345	90	1997-12-02	VYDAJ	VYBER	2400	17301	\N	\N	\N
27346	90	1998-12-22	VYDAJ	VYBER	3840	24030	\N	\N	\N
27353	90	1995-01-04	VYDAJ	VYBER	2640	58741	\N	\N	\N
27354	90	1995-01-13	VYDAJ	VYBER	2880	29079	\N	\N	\N
27355	90	1995-01-01	VYDAJ	VYBER	1320	72101	\N	\N	\N
27356	90	1995-01-11	VYDAJ	VYBER	2400	34334	\N	\N	\N
27357	90	1995-01-19	VYDAJ	VYBER	3360	50025	\N	\N	\N
27358	90	1995-01-26	VYDAJ	VYBER	1680	48345	\N	\N	\N
27359	90	1996-01-29	VYDAJ	VYBER	2160	26305	\N	\N	\N
27360	90	1996-01-16	VYDAJ	VYBER	960	35665	\N	\N	\N
27361	90	1996-01-16	VYDAJ	VYBER	2880	32785	\N	\N	\N
27362	90	1996-01-01	VYDAJ	VYBER	2760	55761	\N	\N	\N
27363	90	1996-01-22	VYDAJ	VYBER	2760	30025	\N	\N	\N
27364	90	1996-01-26	VYDAJ	VYBER	1560	28465	\N	\N	\N
27365	90	1997-01-16	VYDAJ	VYBER	2280	47503	\N	\N	\N
27366	90	1997-01-26	VYDAJ	VYBER	1680	27103	\N	\N	\N
27367	90	1997-01-12	VYDAJ	VYBER	2400	27852	\N	\N	\N
27368	90	1997-01-20	VYDAJ	VYBER	2400	31303	\N	\N	\N
27369	90	1997-01-19	VYDAJ	VYBER	2760	44743	\N	\N	\N
27370	90	1997-01-22	VYDAJ	VYBER	2520	28783	\N	\N	\N
27371	90	1998-01-20	VYDAJ	VYBER	2160	26233	\N	\N	\N
27372	90	1998-01-03	VYDAJ	VYBER	1800	16969	\N	\N	\N
27373	90	1998-01-24	VYDAJ	VYBER	2040	17293	\N	\N	\N
27374	90	1998-01-02	VYDAJ	VYBER	1200	18769	\N	\N	\N
27376	90	1998-01-15	VYDAJ	VYBER	3000	28393	\N	\N	\N
27380	90	1995-04-29	VYDAJ	VYBER	5520	43449	\N	\N	\N
27381	90	1995-08-22	VYDAJ	VYBER	600	54279	\N	\N	\N
27382	90	1995-02-17	VYDAJ	VYBER	1680	50085	\N	\N	\N
27383	90	1995-03-18	VYDAJ	VYBER	1320	49164	\N	\N	\N
27384	90	1995-09-24	VYDAJ	VYBER	5520	50378	\N	\N	\N
27385	90	1995-06-13	VYDAJ	VYBER	4560	23370	\N	\N	\N
27387	90	1996-07-01	VYDAJ	VYBER	840	27144	\N	\N	\N
27388	90	1996-06-15	VYDAJ	VYBER	4560	52987	\N	\N	\N
27389	90	1996-09-13	VYDAJ	VYBER	1680	19070	\N	\N	\N
27390	90	1996-09-15	VYDAJ	VYBER	2400	40976	\N	\N	\N
27391	90	1997-09-29	VYDAJ	VYBER	4680	20861	\N	\N	\N
27392	90	1997-07-10	VYDAJ	VYBER	3960	31098	\N	\N	\N
27393	90	1997-05-25	VYDAJ	VYBER	720	43318	\N	\N	\N
27394	90	1997-08-10	VYDAJ	VYBER	960	29280	\N	\N	\N
27395	90	1997-12-30	VYDAJ	VYBER	5040	19878	\N	\N	\N
27396	90	1997-12-18	VYDAJ	VYBER	2160	41718	\N	\N	\N
27397	90	1998-09-18	VYDAJ	VYBER	2280	32667	\N	\N	\N
27410	90	1994-11-30	VYDAJ	VYBER	15	71430	SLUZBY	\N	\N
27411	90	1994-12-31	VYDAJ	VYBER	15	73421	SLUZBY	\N	\N
27412	90	1995-01-31	VYDAJ	VYBER	15	48541	SLUZBY	\N	\N
27413	90	1995-02-28	VYDAJ	VYBER	15	50260	SLUZBY	\N	\N
27414	90	1995-03-31	VYDAJ	VYBER	15	49345	SLUZBY	\N	\N
27415	90	1995-04-30	VYDAJ	VYBER	15	43622	SLUZBY	\N	\N
27416	90	1995-05-31	VYDAJ	VYBER	15	48012	SLUZBY	\N	\N
27417	90	1995-06-30	VYDAJ	VYBER	15	60027	SLUZBY	\N	\N
27418	90	1995-07-31	VYDAJ	VYBER	15	55855	SLUZBY	\N	\N
27419	90	1995-08-31	VYDAJ	VYBER	15	54474	SLUZBY	\N	\N
27420	90	1995-09-30	VYDAJ	VYBER	15	50573	SLUZBY	\N	\N
27421	90	1995-10-31	VYDAJ	VYBER	15	55789	SLUZBY	\N	\N
27422	90	1995-11-30	VYDAJ	VYBER	15	54201	SLUZBY	\N	\N
27423	90	1995-12-31	VYDAJ	VYBER	15	58521	SLUZBY	\N	\N
27424	90	1996-01-31	VYDAJ	VYBER	15	26421	SLUZBY	\N	\N
27425	90	1996-02-29	VYDAJ	VYBER	15	40263	SLUZBY	\N	\N
27426	90	1996-03-31	VYDAJ	VYBER	15	43227	SLUZBY	\N	\N
27427	90	1996-04-30	VYDAJ	VYBER	15	44397	SLUZBY	\N	\N
27428	90	1996-05-31	VYDAJ	VYBER	15	45170	SLUZBY	\N	\N
27429	90	1996-06-30	VYDAJ	VYBER	15	27984	SLUZBY	\N	\N
27430	90	1996-07-31	VYDAJ	VYBER	15	36774	SLUZBY	\N	\N
27431	90	1996-08-31	VYDAJ	VYBER	15	30632	SLUZBY	\N	\N
27432	90	1996-09-30	VYDAJ	VYBER	15	29322	SLUZBY	\N	\N
27433	90	1996-10-31	VYDAJ	VYBER	15	29393	SLUZBY	\N	\N
27434	90	1996-11-30	VYDAJ	VYBER	15	32650	SLUZBY	\N	\N
27435	90	1996-12-31	VYDAJ	VYBER	15	37759	SLUZBY	\N	\N
27436	90	1997-01-31	VYDAJ	VYBER	15	20129	SLUZBY	\N	\N
27437	90	1997-02-28	VYDAJ	VYBER	15	23845	SLUZBY	\N	\N
27438	90	1997-03-31	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
27439	90	1997-04-30	VYDAJ	VYBER	15	29614	SLUZBY	\N	\N
27440	90	1997-05-31	VYDAJ	VYBER	15	32149	SLUZBY	\N	\N
27441	90	1997-06-30	VYDAJ	VYBER	15	39791	SLUZBY	\N	\N
27442	90	1997-07-31	VYDAJ	VYBER	15	34612	SLUZBY	\N	\N
27443	90	1997-08-31	VYDAJ	VYBER	15	30817	SLUZBY	\N	\N
27444	90	1997-09-30	VYDAJ	VYBER	15	20985	SLUZBY	\N	\N
27445	90	1997-10-31	VYDAJ	VYBER	15	20195	SLUZBY	\N	\N
27446	90	1997-11-30	VYDAJ	VYBER	15	19701	SLUZBY	\N	\N
27447	90	1997-12-31	VYDAJ	VYBER	15	19969	SLUZBY	\N	\N
27448	90	1998-01-31	VYDAJ	VYBER	15	17354	SLUZBY	\N	\N
27449	90	1998-02-28	VYDAJ	VYBER	15	19848	SLUZBY	\N	\N
27450	90	1998-03-31	VYDAJ	VYBER	15	21354	SLUZBY	\N	\N
27451	90	1998-04-30	VYDAJ	VYBER	15	22263	SLUZBY	\N	\N
27452	90	1998-05-31	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
27453	90	1998-06-30	VYDAJ	VYBER	15	31682	SLUZBY	\N	\N
27454	90	1998-07-31	VYDAJ	VYBER	15	22218	SLUZBY	\N	\N
27455	90	1998-08-31	VYDAJ	VYBER	15	20523	SLUZBY	\N	\N
27456	90	1998-09-30	VYDAJ	VYBER	15	15534	SLUZBY	\N	\N
27457	90	1998-10-31	VYDAJ	VYBER	15	16212	SLUZBY	\N	\N
27458	90	1998-11-30	VYDAJ	VYBER	15	17893	SLUZBY	\N	\N
27459	90	1994-08-12	PRIJEM	VKLAD	1300	26166	\N	\N	\N
27460	90	1994-09-11	VYDAJ	VYBER	13200	37438	\N	\N	\N
27461	90	1994-10-11	VYDAJ	VYBER	21000	40980	\N	\N	\N
27462	90	1994-11-10	VYDAJ	VYBER	18700	46852	\N	\N	\N
27463	90	1994-12-10	VYDAJ	VYBER	23900	42797	\N	\N	\N
27464	90	1995-01-09	VYDAJ	VYBER	14500	39869	\N	\N	\N
27465	90	1995-02-08	VYDAJ	VYBER	11200	32969	\N	\N	\N
27466	90	1995-03-10	VYDAJ	VYBER	14200	31327	\N	\N	\N
27467	90	1995-04-09	VYDAJ	VYBER	14800	30173	\N	\N	\N
27468	90	1995-05-09	VYDAJ	VYBER	10200	29050	\N	\N	\N
27469	90	1995-06-08	VYDAJ	VYBER	10200	33440	\N	\N	\N
27470	90	1995-07-08	VYDAJ	VYBER	18800	36855	\N	\N	\N
27471	90	1995-08-07	VYDAJ	VYBER	15400	36083	\N	\N	\N
27472	90	1995-09-06	VYDAJ	VYBER	13000	37102	\N	\N	\N
27473	90	1995-10-06	VYDAJ	VYBER	9400	41173	\N	\N	\N
27474	90	1995-11-05	VYDAJ	VYBER	16200	39589	\N	\N	\N
27475	90	1995-12-05	VYDAJ	VYBER	18300	35901	\N	\N	\N
27476	90	1996-01-04	VYDAJ	VYBER	19000	36761	\N	\N	\N
27477	90	1996-02-03	VYDAJ	VYBER	700	25721	\N	\N	\N
27478	90	1996-03-04	VYDAJ	VYBER	11600	28663	\N	\N	\N
27479	90	1996-04-03	VYDAJ	VYBER	13400	29827	\N	\N	\N
27480	90	1996-05-03	VYDAJ	VYBER	13800	30597	\N	\N	\N
27481	90	1996-06-02	VYDAJ	VYBER	14200	30970	\N	\N	\N
27482	90	1996-07-02	VYDAJ	VYBER	4900	22244	\N	\N	\N
27483	90	1996-08-01	VYDAJ	VYBER	9300	27474	\N	\N	\N
27484	90	1996-08-31	VYDAJ	VYBER	11400	30646	\N	\N	\N
27485	90	1996-09-30	VYDAJ	VYBER	11800	29336	\N	\N	\N
27486	90	1996-10-30	VYDAJ	VYBER	14500	29246	\N	\N	\N
27487	90	1996-11-29	VYDAJ	VYBER	11300	32517	\N	\N	\N
27488	90	1996-12-29	VYDAJ	VYBER	20200	39027	\N	\N	\N
27489	90	1997-01-28	VYDAJ	VYBER	7100	20003	\N	\N	\N
27490	90	1997-02-27	VYDAJ	VYBER	10800	23753	\N	\N	\N
27491	90	1997-03-29	VYDAJ	VYBER	13400	24869	\N	\N	\N
27492	90	1997-04-28	VYDAJ	VYBER	9900	29501	\N	\N	\N
27493	90	1997-05-28	VYDAJ	VYBER	11300	32018	\N	\N	\N
27494	90	1997-06-27	VYDAJ	VYBER	19100	39626	\N	\N	\N
27495	90	1997-07-27	VYDAJ	VYBER	15800	34455	\N	\N	\N
27496	90	1997-08-26	VYDAJ	VYBER	17400	30676	\N	\N	\N
27497	90	1997-09-25	VYDAJ	VYBER	19700	25541	\N	\N	\N
27498	90	1997-10-25	VYDAJ	VYBER	15300	20109	\N	\N	\N
27499	90	1997-11-24	VYDAJ	VYBER	15000	19619	\N	\N	\N
27500	90	1997-12-24	VYDAJ	VYBER	16800	24918	\N	\N	\N
27501	90	1998-01-23	VYDAJ	VYBER	6900	19333	\N	\N	\N
27502	90	1998-02-22	VYDAJ	VYBER	12000	19778	\N	\N	\N
27503	90	1998-03-24	VYDAJ	VYBER	13000	21272	\N	\N	\N
27504	90	1998-04-23	VYDAJ	VYBER	13600	22178	\N	\N	\N
27505	90	1998-05-23	VYDAJ	VYBER	10100	26587	\N	\N	\N
27506	90	1998-06-22	VYDAJ	VYBER	21700	31558	\N	\N	\N
27507	90	1998-07-22	VYDAJ	VYBER	24000	22106	\N	\N	\N
27508	90	1998-08-21	VYDAJ	VYBER	16200	20442	\N	\N	\N
27509	90	1998-09-20	VYDAJ	VYBER	17200	15467	\N	\N	\N
27510	90	1998-10-20	VYDAJ	VYBER	13800	16158	\N	\N	\N
27511	90	1998-11-19	VYDAJ	VYBER	12800	17836	\N	\N	\N
27512	90	1998-12-19	VYDAJ	VYBER	16600	27870	\N	\N	\N
27571	91	1996-11-06	PRIJEM	VKLAD	300	300	\N	\N	\N
27585	91	1996-11-08	PRIJEM	VKLAD	6774	7074	\N	\N	\N
27601	91	1997-06-10	PRIJEM	VKLAD	9246	23819	\N	\N	\N
27602	91	1997-09-10	PRIJEM	VKLAD	14203	30699	\N	\N	\N
27603	91	1998-09-26	PRIJEM	VKLAD	45770	69500	\N	\N	\N
27604	91	1998-08-27	PRIJEM	VKLAD	29473	34129	\N	\N	\N
27605	91	1998-10-01	PRIJEM	VKLAD	24006	61177	\N	\N	\N
27606	91	1998-08-19	PRIJEM	VKLAD	8169	4656	\N	\N	\N
27607	91	1998-04-17	PRIJEM	VKLAD	8422	24368	\N	\N	\N
27608	91	1998-04-27	PRIJEM	VKLAD	13304	37672	\N	\N	\N
27609	91	1998-09-24	PRIJEM	VKLAD	13182	23730	\N	\N	\N
27610	91	1998-08-27	PRIJEM	VKLAD	42982	77111	\N	\N	\N
27611	91	1998-02-23	PRIJEM	VKLAD	26830	41930	\N	\N	\N
27640	91	1998-05-18	VYDAJ	VYBER	15600	7334	SIPO	\N	0
27641	91	1998-06-10	VYDAJ	VYBER	13700	-3489	SIPO	\N	0
27644	91	1998-09-02	VYDAJ	VYBER	16500	25900	SIPO	\N	0
27645	91	1998-10-09	VYDAJ	VYBER	16300	44877	SIPO	\N	0
27646	91	1998-11-11	VYDAJ	VYBER	16900	8128	SIPO	\N	0
27647	91	1998-11-30	VYDAJ	VYBER	12400	-4172	SIPO	\N	0
27657	91	1998-09-05	VYBER	VYBER	12735	10548	\N	\N	\N
27660	91	1998-09-04	VYBER	VYBER	2617	23283	\N	\N	\N
27731	91	1998-04-30	VYDAJ	VYBER	15	22934	SLUZBY	\N	\N
27732	91	1998-05-31	VYDAJ	VYBER	15	10212	SLUZBY	\N	\N
27733	91	1998-06-30	VYDAJ	VYBER	15	-3462	SLUZBY	\N	\N
27734	91	1998-07-31	VYDAJ	VYBER	15	-3478	SLUZBY	\N	\N
27735	91	1998-08-31	VYDAJ	VYBER	15	42400	SLUZBY	\N	\N
27736	91	1998-09-30	VYDAJ	VYBER	15	37171	SLUZBY	\N	\N
27737	91	1998-10-31	VYDAJ	VYBER	15	25028	SLUZBY	\N	\N
27738	91	1998-11-30	VYDAJ	VYBER	15	-4186	SLUZBY	\N	\N
27739	91	1996-12-06	PRIJEM	VKLAD	6600	13697	\N	\N	\N
27740	91	1997-01-05	PRIJEM	VKLAD	7300	21026	\N	\N	\N
27741	91	1997-02-04	PRIJEM	VKLAD	2200	23256	\N	\N	\N
27742	91	1997-03-06	VYDAJ	VYBER	1300	21985	\N	\N	\N
27743	91	1997-04-05	VYDAJ	VYBER	100	21915	\N	\N	\N
27744	91	1997-05-05	VYDAJ	VYBER	4300	17644	\N	\N	\N
27745	91	1997-06-04	VYDAJ	VYBER	3100	14573	\N	\N	\N
27746	91	1997-07-04	VYDAJ	VYBER	7600	16298	\N	\N	\N
27747	91	1997-08-03	VYDAJ	VYBER	3100	13297	\N	\N	\N
27748	91	1997-09-02	PRIJEM	VKLAD	3100	16496	\N	\N	\N
27749	91	1997-10-02	VYDAJ	VYBER	5300	25519	\N	\N	\N
27750	91	1997-11-01	VYDAJ	VYBER	600	25046	\N	\N	\N
27751	91	1997-12-01	VYDAJ	VYBER	5600	19574	\N	\N	\N
27752	91	1997-12-31	VYDAJ	VYBER	3000	16700	\N	\N	\N
27753	91	1998-01-30	VYDAJ	VYBER	1600	15100	\N	\N	\N
27754	91	1998-03-01	VYDAJ	VYBER	17400	24677	\N	\N	\N
27755	91	1998-03-31	VYDAJ	VYBER	8800	15946	\N	\N	\N
27756	91	1998-04-30	VYDAJ	VYBER	14800	22949	\N	\N	\N
27757	91	1998-05-30	PRIJEM	VKLAD	2800	10134	\N	\N	\N
27758	91	1998-08-28	VYDAJ	VYBER	34700	42411	\N	\N	\N
27759	91	1998-09-27	VYDAJ	VYBER	32400	37100	\N	\N	\N
27760	91	1998-10-27	VYDAJ	VYBER	20000	24877	\N	\N	\N
28181	93	1996-06-12	PRIJEM	VKLAD	500	500	\N	\N	\N
28187	93	1996-06-14	PRIJEM	VKLAD	10782	11282	\N	\N	\N
28188	93	1996-07-14	PRIJEM	VKLAD	7188	22897	\N	\N	\N
28189	93	1996-08-14	PRIJEM	VKLAD	7188	29360	\N	\N	\N
28190	93	1996-09-14	PRIJEM	VKLAD	7188	32459	\N	\N	\N
28191	93	1996-10-14	PRIJEM	VKLAD	7188	31176	\N	\N	\N
28192	93	1996-11-14	PRIJEM	VKLAD	7188	32982	\N	\N	\N
28193	93	1996-12-14	PRIJEM	VKLAD	10782	36484	\N	\N	\N
28194	93	1997-01-14	PRIJEM	VKLAD	7188	26095	\N	\N	\N
28195	93	1997-02-14	PRIJEM	VKLAD	7188	21861	\N	\N	\N
28196	93	1997-03-14	PRIJEM	VKLAD	7188	24912	\N	\N	\N
28197	93	1997-04-14	PRIJEM	VKLAD	7188	31684	\N	\N	\N
28198	93	1997-05-14	PRIJEM	VKLAD	7188	33677	\N	\N	\N
28199	93	1997-06-14	PRIJEM	VKLAD	10782	38377	\N	\N	\N
28200	93	1997-07-14	PRIJEM	VKLAD	7188	26099	\N	\N	\N
28201	93	1997-08-14	PRIJEM	VKLAD	7188	29559	\N	\N	\N
28202	93	1997-09-14	PRIJEM	VKLAD	7188	33450	\N	\N	\N
28203	93	1997-10-14	PRIJEM	VKLAD	7188	33855	\N	\N	\N
28204	93	1997-11-14	PRIJEM	VKLAD	7188	34860	\N	\N	\N
28205	93	1997-12-14	PRIJEM	VKLAD	10782	35669	\N	\N	\N
28206	93	1998-01-14	PRIJEM	VKLAD	7188	33682	\N	\N	\N
28207	93	1998-02-14	PRIJEM	VKLAD	7188	28073	\N	\N	\N
28208	93	1998-03-14	PRIJEM	VKLAD	7188	27446	\N	\N	\N
28209	93	1998-04-14	PRIJEM	VKLAD	7188	24820	\N	\N	\N
28210	93	1998-05-14	PRIJEM	VKLAD	7188	26985	\N	\N	\N
28211	93	1998-06-14	PRIJEM	VKLAD	10782	29861	\N	\N	\N
28212	93	1998-07-14	PRIJEM	VKLAD	7188	28653	\N	\N	\N
28213	93	1998-08-14	PRIJEM	VKLAD	7188	31047	\N	\N	\N
28214	93	1998-09-14	PRIJEM	VKLAD	7188	32145	\N	\N	\N
28215	93	1998-10-14	PRIJEM	VKLAD	7188	35847	\N	\N	\N
28216	93	1998-11-14	PRIJEM	VKLAD	7188	32438	\N	\N	\N
28217	93	1998-12-14	PRIJEM	VKLAD	10782	34009	\N	\N	\N
28219	93	1997-06-14	VYDAJ	VYBER	24400	13977	\N	\N	\N
28222	93	1997-01-24	VYDAJ	VYBER	4600	17495	\N	\N	\N
28223	93	1998-01-24	VYDAJ	VYBER	7300	24582	\N	\N	\N
28230	93	1997-01-02	VYDAJ	VYBER	2200	28207	\N	\N	\N
28231	93	1997-01-13	VYDAJ	VYBER	2000	18907	\N	\N	\N
28232	93	1997-01-11	VYDAJ	VYBER	900	20907	\N	\N	\N
28233	93	1997-01-07	VYDAJ	VYBER	1400	26807	\N	\N	\N
28234	93	1997-01-01	VYDAJ	VYBER	2300	30407	\N	\N	\N
28235	93	1997-01-25	VYDAJ	VYBER	2600	14895	\N	\N	\N
28236	93	1998-01-06	VYDAJ	VYBER	500	27294	\N	\N	\N
28237	93	1998-01-24	VYDAJ	VYBER	1700	22882	\N	\N	\N
28238	93	1998-01-28	VYDAJ	VYBER	2500	19082	\N	\N	\N
28239	93	1998-01-08	VYDAJ	VYBER	800	26494	\N	\N	\N
28240	93	1998-01-25	VYDAJ	VYBER	1300	21582	\N	\N	\N
28241	93	1998-01-17	VYDAJ	VYBER	1300	32382	\N	\N	\N
28243	93	1996-12-16	VYDAJ	VYBER	3900	32584	\N	\N	\N
28247	93	1997-10-03	VYDAJ	VYBER	2500	31067	\N	\N	\N
28248	93	1997-01-19	VYDAJ	VYBER	4000	22095	\N	\N	\N
28249	93	1997-05-02	VYDAJ	VYBER	1200	30589	\N	\N	\N
28250	93	1997-02-01	VYDAJ	VYBER	2500	12473	\N	\N	\N
28251	93	1997-11-27	VYDAJ	VYBER	4200	30660	\N	\N	\N
28252	93	1998-03-19	VYDAJ	VYBER	2200	25246	\N	\N	\N
28253	93	1998-04-02	VYDAJ	VYBER	1300	24032	\N	\N	\N
28254	93	1998-03-04	VYDAJ	VYBER	2800	25358	\N	\N	\N
28255	93	1998-01-21	VYDAJ	VYBER	500	31882	\N	\N	\N
28266	93	1996-10-31	VYDAJ	VYBER	15	31294	SLUZBY	\N	\N
28267	93	1996-11-30	VYDAJ	VYBER	15	33102	SLUZBY	\N	\N
28268	93	1996-12-31	VYDAJ	VYBER	15	32707	SLUZBY	\N	\N
28269	93	1997-01-31	VYDAJ	VYBER	15	14973	SLUZBY	\N	\N
28270	93	1997-02-28	VYDAJ	VYBER	15	21924	SLUZBY	\N	\N
28271	93	1997-03-31	VYDAJ	VYBER	15	24996	SLUZBY	\N	\N
28272	93	1997-04-30	VYDAJ	VYBER	15	31789	SLUZBY	\N	\N
28273	93	1997-05-31	VYDAJ	VYBER	15	33795	SLUZBY	\N	\N
28274	93	1997-06-30	VYDAJ	VYBER	15	14111	SLUZBY	\N	\N
28275	93	1997-07-31	VYDAJ	VYBER	15	26171	SLUZBY	\N	\N
28276	93	1997-08-31	VYDAJ	VYBER	15	29662	SLUZBY	\N	\N
28277	93	1997-09-30	VYDAJ	VYBER	15	33567	SLUZBY	\N	\N
28278	93	1997-10-31	VYDAJ	VYBER	15	33972	SLUZBY	\N	\N
28279	93	1997-11-30	VYDAJ	VYBER	15	30787	SLUZBY	\N	\N
28280	93	1997-12-31	VYDAJ	VYBER	15	35794	SLUZBY	\N	\N
28281	93	1998-01-31	VYDAJ	VYBER	15	19185	SLUZBY	\N	\N
28282	93	1998-02-28	VYDAJ	VYBER	15	28158	SLUZBY	\N	\N
28283	93	1998-03-31	VYDAJ	VYBER	15	25332	SLUZBY	\N	\N
28284	93	1998-04-30	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
28285	93	1998-05-31	VYDAJ	VYBER	15	27079	SLUZBY	\N	\N
28286	93	1998-06-30	VYDAJ	VYBER	15	29965	SLUZBY	\N	\N
28287	93	1998-07-31	VYDAJ	VYBER	15	28759	SLUZBY	\N	\N
28288	93	1998-08-31	VYDAJ	VYBER	15	31157	SLUZBY	\N	\N
28289	93	1998-09-30	VYDAJ	VYBER	15	28659	SLUZBY	\N	\N
28290	93	1998-10-31	VYDAJ	VYBER	15	25250	SLUZBY	\N	\N
28291	93	1998-11-30	VYDAJ	VYBER	15	23227	SLUZBY	\N	\N
28292	93	1996-07-12	PRIJEM	VKLAD	4400	15709	\N	\N	\N
28293	93	1996-08-11	VYDAJ	VYBER	800	22172	\N	\N	\N
28294	93	1996-09-10	VYDAJ	VYBER	4200	25271	\N	\N	\N
28295	93	1996-10-10	VYDAJ	VYBER	8600	23988	\N	\N	\N
28296	93	1996-11-09	VYDAJ	VYBER	5500	25794	\N	\N	\N
28297	93	1996-12-09	VYDAJ	VYBER	7400	25702	\N	\N	\N
28298	93	1997-01-08	VYDAJ	VYBER	5000	21807	\N	\N	\N
28299	93	1997-02-07	PRIJEM	VKLAD	2200	14673	\N	\N	\N
28300	93	1997-03-09	VYDAJ	VYBER	4200	17724	\N	\N	\N
28301	93	1997-04-08	VYDAJ	VYBER	500	24496	\N	\N	\N
28302	93	1997-05-08	VYDAJ	VYBER	4100	26489	\N	\N	\N
28303	93	1997-06-07	VYDAJ	VYBER	6200	27595	\N	\N	\N
28304	93	1997-07-07	PRIJEM	VKLAD	4800	18911	\N	\N	\N
28305	93	1997-08-06	VYDAJ	VYBER	3800	22371	\N	\N	\N
28306	93	1997-09-05	VYDAJ	VYBER	3400	26262	\N	\N	\N
28307	93	1997-10-05	VYDAJ	VYBER	4400	26667	\N	\N	\N
28308	93	1997-11-04	VYDAJ	VYBER	6300	27672	\N	\N	\N
28309	93	1997-12-04	VYDAJ	VYBER	5900	24887	\N	\N	\N
28310	93	1998-01-03	VYDAJ	VYBER	8000	27794	\N	\N	\N
28311	93	1998-02-02	PRIJEM	VKLAD	1700	20885	\N	\N	\N
28312	93	1998-03-04	VYDAJ	VYBER	5100	20258	\N	\N	\N
28313	93	1998-04-03	VYDAJ	VYBER	6400	17632	\N	\N	\N
28314	93	1998-05-03	VYDAJ	VYBER	5100	19797	\N	\N	\N
28315	93	1998-06-02	VYDAJ	VYBER	8000	19079	\N	\N	\N
28316	93	1998-07-02	VYDAJ	VYBER	8500	21465	\N	\N	\N
28317	93	1998-08-01	VYDAJ	VYBER	4900	23859	\N	\N	\N
28318	93	1998-08-31	VYDAJ	VYBER	6200	24957	\N	\N	\N
28319	93	1998-09-30	VYDAJ	VYBER	3600	28674	\N	\N	\N
28320	93	1998-10-30	VYDAJ	VYBER	10700	25147	\N	\N	\N
28321	93	1998-11-29	VYDAJ	VYBER	9300	23138	\N	\N	\N
28865	95	1995-03-30	PRIJEM	VKLAD	200	200	\N	\N	\N
28869	95	1995-04-12	PRIJEM	VKLAD	23927	24127	\N	\N	\N
28870	95	1995-05-12	PRIJEM	VKLAD	23927	48361	\N	\N	\N
28871	95	1995-06-12	PRIJEM	VKLAD	35890	72157	\N	\N	\N
28872	95	1995-07-12	PRIJEM	VKLAD	23927	68739	\N	\N	\N
28873	95	1995-08-12	PRIJEM	VKLAD	23927	67651	\N	\N	\N
28874	95	1995-09-12	PRIJEM	VKLAD	23927	70747	\N	\N	\N
28875	95	1995-10-12	PRIJEM	VKLAD	23927	70554	\N	\N	\N
28876	95	1995-11-12	PRIJEM	VKLAD	23927	66864	\N	\N	\N
28877	95	1995-12-12	PRIJEM	VKLAD	35890	80319	\N	\N	\N
28878	95	1996-01-12	PRIJEM	VKLAD	23927	68262	\N	\N	\N
28879	95	1996-02-12	PRIJEM	VKLAD	23927	59147	\N	\N	\N
28880	95	1996-03-12	PRIJEM	VKLAD	23927	69616	\N	\N	\N
28881	95	1996-04-12	PRIJEM	VKLAD	23927	72322	\N	\N	\N
28882	95	1996-05-12	PRIJEM	VKLAD	23927	74538	\N	\N	\N
28883	95	1996-06-12	PRIJEM	VKLAD	35890	90729	\N	\N	\N
28884	95	1996-07-12	PRIJEM	VKLAD	23927	79012	\N	\N	\N
28885	95	1996-08-12	PRIJEM	VKLAD	23927	83259	\N	\N	\N
28886	95	1996-09-12	PRIJEM	VKLAD	23927	76159	\N	\N	\N
28887	95	1996-10-12	PRIJEM	VKLAD	23927	81327	\N	\N	\N
28888	95	1996-11-12	PRIJEM	VKLAD	23927	83582	\N	\N	\N
28889	95	1996-12-12	PRIJEM	VKLAD	35890	97808	\N	\N	\N
28890	95	1997-01-12	PRIJEM	VKLAD	23927	74813	\N	\N	\N
28891	95	1997-02-12	PRIJEM	VKLAD	23927	68618	\N	\N	\N
28892	95	1997-03-12	PRIJEM	VKLAD	23927	74652	\N	\N	\N
28893	95	1997-04-12	PRIJEM	VKLAD	23927	80585	\N	\N	\N
28894	95	1997-05-12	PRIJEM	VKLAD	23927	81734	\N	\N	\N
28895	95	1997-06-12	PRIJEM	VKLAD	35890	89345	\N	\N	\N
28896	95	1997-07-12	PRIJEM	VKLAD	23927	77701	\N	\N	\N
28897	95	1997-08-12	PRIJEM	VKLAD	23927	78838	\N	\N	\N
28898	95	1997-09-12	PRIJEM	VKLAD	23927	79178	\N	\N	\N
28899	95	1997-10-12	PRIJEM	VKLAD	23927	77716	\N	\N	\N
28900	95	1997-11-12	PRIJEM	VKLAD	23927	77149	\N	\N	\N
28901	95	1997-12-12	PRIJEM	VKLAD	35890	90347	\N	\N	\N
28902	95	1998-01-12	PRIJEM	VKLAD	23927	58052	\N	\N	\N
28903	95	1998-02-12	PRIJEM	VKLAD	23927	52900	\N	\N	\N
28904	95	1998-03-12	PRIJEM	VKLAD	23927	65173	\N	\N	\N
28905	95	1998-04-12	PRIJEM	VKLAD	23927	67962	\N	\N	\N
28906	95	1998-05-12	PRIJEM	VKLAD	23927	66058	\N	\N	\N
28907	95	1998-06-12	PRIJEM	VKLAD	35890	76416	\N	\N	\N
28908	95	1998-07-12	PRIJEM	VKLAD	23927	43762	\N	\N	\N
28909	95	1998-08-12	PRIJEM	VKLAD	23927	48089	\N	\N	\N
28910	95	1998-09-12	PRIJEM	VKLAD	23927	59674	\N	\N	\N
28911	95	1998-10-12	PRIJEM	VKLAD	23927	61715	\N	\N	\N
28912	95	1998-11-12	PRIJEM	VKLAD	23927	68079	\N	\N	\N
28913	95	1998-12-12	PRIJEM	VKLAD	35890	83926	\N	\N	\N
28915	95	1996-06-16	VYDAJ	VYBER	10880	79849	\N	\N	\N
28917	95	1998-06-22	VYDAJ	VYBER	28160	19656	\N	\N	\N
28919	95	1996-01-23	VYDAJ	VYBER	7040	56782	\N	\N	\N
28920	95	1997-01-10	VYDAJ	VYBER	13280	53886	\N	\N	\N
28921	95	1998-01-02	VYDAJ	VYBER	15840	39725	\N	\N	\N
28922	95	1995-12-30	VYDAJ	VYBER	2880	47639	\N	\N	\N
28923	95	1996-12-19	VYDAJ	VYBER KARTOU	2600	68008	\N	\N	0
28924	95	1997-12-28	VYDAJ	VYBER KARTOU	3000	55347	\N	\N	0
28925	95	1998-12-16	VYDAJ	VYBER KARTOU	3800	80126	\N	\N	0
28932	95	1996-01-13	VYDAJ	VYBER	2160	66102	\N	\N	\N
28933	95	1996-01-17	VYDAJ	VYBER	1200	63822	\N	\N	\N
28934	95	1996-01-05	VYDAJ	VYBER	2760	45055	\N	\N	\N
28935	95	1996-01-09	VYDAJ	VYBER	720	44335	\N	\N	\N
28936	95	1996-01-14	VYDAJ	VYBER	1080	65022	\N	\N	\N
28937	95	1996-01-28	VYDAJ	VYBER	2520	35022	\N	\N	\N
28938	95	1997-01-17	VYDAJ	VYBER KARTOU	3200	71613	\N	\N	0
28939	95	1997-01-11	VYDAJ	VYBER KARTOU	3000	50886	\N	\N	0
28940	95	1997-01-07	VYDAJ	VYBER KARTOU	1100	67166	\N	\N	0
28941	95	1997-01-21	VYDAJ	VYBER KARTOU	2000	52113	\N	\N	0
28942	95	1997-01-23	VYDAJ	VYBER KARTOU	1900	50213	\N	\N	0
28943	95	1997-01-29	VYDAJ	VYBER KARTOU	600	49613	\N	\N	0
28944	95	1998-01-08	VYDAJ	VYBER KARTOU	2200	34125	\N	\N	0
28945	95	1998-01-24	VYDAJ	VYBER KARTOU	2200	33432	\N	\N	0
28946	95	1998-01-29	VYDAJ	VYBER KARTOU	1200	32232	\N	\N	0
28947	95	1998-01-20	VYDAJ	VYBER KARTOU	2200	35632	\N	\N	0
28948	95	1998-01-30	VYDAJ	VYBER KARTOU	3400	28832	\N	\N	0
28949	95	1998-01-03	VYDAJ	VYBER KARTOU	3400	36325	\N	\N	0
28951	95	1995-10-24	VYDAJ	VYBER	1800	68754	\N	\N	\N
28956	95	1996-09-04	VYDAJ	VYBER KARTOU	2900	52232	\N	\N	0
28957	95	1996-06-27	VYDAJ	VYBER KARTOU	2600	54849	\N	\N	0
28958	95	1996-01-26	VYDAJ	VYBER	5040	37542	\N	\N	\N
28959	95	1996-08-18	VYDAJ	VYBER	5760	77499	\N	\N	\N
28960	95	1997-05-28	VYDAJ	VYBER KARTOU	3700	53234	\N	\N	0
28961	95	1997-06-23	VYDAJ	VYBER	4200	53545	\N	\N	\N
28962	95	1997-06-13	VYDAJ	VYBER KARTOU	2900	86445	\N	\N	0
28963	95	1997-02-10	VYDAJ	VYBER	5160	44691	\N	\N	\N
28964	95	1998-05-02	VYDAJ	VYBER KARTOU	2600	42131	\N	\N	0
28965	95	1998-01-17	VYDAJ	VYBER	4920	37832	\N	\N	\N
28966	95	1998-07-28	VYDAJ	VYBER KARTOU	2400	30762	\N	\N	0
28967	95	1998-02-18	VYDAJ	VYBER KARTOU	2500	41100	\N	\N	0
28968	95	1998-06-04	VYDAJ	VYBER KARTOU	2500	40526	\N	\N	0
28977	95	1995-08-31	VYDAJ	VYBER	15	46820	SLUZBY	\N	\N
28978	95	1995-09-30	VYDAJ	VYBER	15	46627	SLUZBY	\N	\N
28979	95	1995-10-31	VYDAJ	VYBER	15	42937	SLUZBY	\N	\N
28980	95	1995-11-30	VYDAJ	VYBER	15	44429	SLUZBY	\N	\N
28981	95	1995-12-31	VYDAJ	VYBER	15	47815	SLUZBY	\N	\N
28982	95	1996-01-31	VYDAJ	VYBER	15	35220	SLUZBY	\N	\N
28983	95	1996-02-29	VYDAJ	VYBER	15	45689	SLUZBY	\N	\N
28984	95	1996-03-31	VYDAJ	VYBER	15	48395	SLUZBY	\N	\N
28985	95	1996-04-30	VYDAJ	VYBER	15	50611	SLUZBY	\N	\N
28986	95	1996-05-31	VYDAJ	VYBER	15	54839	SLUZBY	\N	\N
28987	95	1996-06-30	VYDAJ	VYBER	15	55085	SLUZBY	\N	\N
28988	95	1996-07-31	VYDAJ	VYBER	15	59332	SLUZBY	\N	\N
28989	95	1996-08-31	VYDAJ	VYBER	15	55132	SLUZBY	\N	\N
28990	95	1996-09-30	VYDAJ	VYBER	15	57400	SLUZBY	\N	\N
28991	95	1996-10-31	VYDAJ	VYBER	15	59655	SLUZBY	\N	\N
28992	95	1996-11-30	VYDAJ	VYBER	15	61918	SLUZBY	\N	\N
28993	95	1996-12-31	VYDAJ	VYBER	15	68266	SLUZBY	\N	\N
28994	95	1997-01-31	VYDAJ	VYBER	15	49851	SLUZBY	\N	\N
28995	95	1997-02-28	VYDAJ	VYBER	15	50725	SLUZBY	\N	\N
28996	95	1997-03-31	VYDAJ	VYBER	15	56658	SLUZBY	\N	\N
28997	95	1997-04-30	VYDAJ	VYBER	15	57807	SLUZBY	\N	\N
28998	95	1997-05-31	VYDAJ	VYBER	15	53455	SLUZBY	\N	\N
28999	95	1997-06-30	VYDAJ	VYBER	15	53774	SLUZBY	\N	\N
29000	95	1997-07-31	VYDAJ	VYBER	15	54911	SLUZBY	\N	\N
29001	95	1997-08-31	VYDAJ	VYBER	15	55251	SLUZBY	\N	\N
29002	95	1997-09-30	VYDAJ	VYBER	15	53789	SLUZBY	\N	\N
29003	95	1997-10-31	VYDAJ	VYBER	15	53222	SLUZBY	\N	\N
29004	95	1997-11-30	VYDAJ	VYBER	15	54457	SLUZBY	\N	\N
29005	95	1997-12-31	VYDAJ	VYBER	15	55565	SLUZBY	\N	\N
29006	95	1998-01-31	VYDAJ	VYBER	15	28973	SLUZBY	\N	\N
29007	95	1998-02-28	VYDAJ	VYBER	15	41246	SLUZBY	\N	\N
29008	95	1998-03-31	VYDAJ	VYBER	15	44035	SLUZBY	\N	\N
29009	95	1998-04-30	VYDAJ	VYBER	15	44731	SLUZBY	\N	\N
29010	95	1998-05-31	VYDAJ	VYBER	15	43026	SLUZBY	\N	\N
29011	95	1998-06-30	VYDAJ	VYBER	15	19835	SLUZBY	\N	\N
29012	95	1998-07-31	VYDAJ	VYBER	15	30862	SLUZBY	\N	\N
29013	95	1998-08-31	VYDAJ	VYBER	15	48247	SLUZBY	\N	\N
29014	95	1998-09-30	VYDAJ	VYBER	15	59888	SLUZBY	\N	\N
29015	95	1998-10-31	VYDAJ	VYBER	15	61952	SLUZBY	\N	\N
29016	95	1998-11-30	VYDAJ	VYBER	15	68336	SLUZBY	\N	\N
29017	95	1995-04-29	PRIJEM	VKLAD	300	24427	\N	\N	\N
29018	95	1995-05-29	VYDAJ	VYBER	12200	36161	\N	\N	\N
29019	95	1995-06-28	VYDAJ	VYBER	27500	44657	\N	\N	\N
29020	95	1995-07-28	VYDAJ	VYBER	25200	43539	\N	\N	\N
29021	95	1995-08-27	VYDAJ	VYBER	21000	46651	\N	\N	\N
29022	95	1995-09-26	VYDAJ	VYBER	24300	46447	\N	\N	\N
29023	95	1995-10-26	VYDAJ	VYBER	26000	42754	\N	\N	\N
29024	95	1995-11-25	VYDAJ	VYBER	22600	44264	\N	\N	\N
29025	95	1995-12-25	VYDAJ	VYBER	29800	50519	\N	\N	\N
29026	95	1996-01-24	VYDAJ	VYBER	14200	42582	\N	\N	\N
29027	95	1996-02-23	VYDAJ	VYBER	13600	45547	\N	\N	\N
29028	95	1996-03-24	VYDAJ	VYBER	21400	48216	\N	\N	\N
29029	95	1996-04-23	VYDAJ	VYBER	21900	50422	\N	\N	\N
29030	95	1996-05-23	VYDAJ	VYBER	19900	54638	\N	\N	\N
29031	95	1996-06-22	VYDAJ	VYBER	22400	57449	\N	\N	\N
29032	95	1996-07-22	VYDAJ	VYBER	19900	59112	\N	\N	\N
29033	95	1996-08-21	VYDAJ	VYBER	22600	54899	\N	\N	\N
29034	95	1996-09-20	VYDAJ	VYBER	19000	57159	\N	\N	\N
29035	95	1996-10-20	VYDAJ	VYBER	21900	59427	\N	\N	\N
29036	95	1996-11-19	VYDAJ	VYBER	21900	61682	\N	\N	\N
29037	95	1996-12-19	VYDAJ	VYBER	27200	70608	\N	\N	\N
29038	95	1997-01-18	VYDAJ	VYBER	17500	54113	\N	\N	\N
29039	95	1997-02-17	VYDAJ	VYBER	18100	50518	\N	\N	\N
29040	95	1997-03-19	VYDAJ	VYBER	18200	56452	\N	\N	\N
29041	95	1997-04-18	VYDAJ	VYBER	23000	57585	\N	\N	\N
29042	95	1997-05-18	VYDAJ	VYBER	24800	56934	\N	\N	\N
29043	95	1997-06-17	VYDAJ	VYBER	28700	57745	\N	\N	\N
29044	95	1997-07-17	VYDAJ	VYBER	23000	54701	\N	\N	\N
29045	95	1997-08-16	VYDAJ	VYBER	23800	55038	\N	\N	\N
29046	95	1997-09-15	VYDAJ	VYBER	25600	53578	\N	\N	\N
29047	95	1997-10-15	VYDAJ	VYBER	24700	53016	\N	\N	\N
29048	95	1997-11-14	VYDAJ	VYBER	22900	54249	\N	\N	\N
29049	95	1997-12-14	VYDAJ	VYBER	32000	58347	\N	\N	\N
29050	95	1998-01-13	VYDAJ	VYBER	15300	42752	\N	\N	\N
29051	95	1998-02-12	VYDAJ	VYBER	9300	43600	\N	\N	\N
29052	95	1998-03-14	VYDAJ	VYBER	21300	43873	\N	\N	\N
29053	95	1998-04-13	VYDAJ	VYBER	23400	44562	\N	\N	\N
29054	95	1998-05-13	VYDAJ	VYBER	23200	42858	\N	\N	\N
29055	95	1998-06-12	VYDAJ	VYBER	28600	47816	\N	\N	\N
29056	95	1998-07-12	VYDAJ	VYBER	10600	33162	\N	\N	\N
29057	95	1998-08-11	VYDAJ	VYBER	6700	24162	\N	\N	\N
29058	95	1998-09-10	VYDAJ	VYBER	12500	35747	\N	\N	\N
29059	95	1998-10-10	VYDAJ	VYBER	22100	37788	\N	\N	\N
29060	95	1998-11-09	VYDAJ	VYBER	17800	44152	\N	\N	\N
29061	95	1998-12-09	VYDAJ	VYBER	20300	48036	\N	\N	\N
29107	96	1993-02-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
29110	96	1993-03-11	PRIJEM	PREVOD Z UCTU	44221	45321	\N	GH	68241083
29111	96	1993-04-11	PRIJEM	PREVOD Z UCTU	44221	78097	\N	GH	68241083
29112	96	1993-05-11	PRIJEM	PREVOD Z UCTU	44221	97791	\N	GH	68241083
29113	96	1993-06-11	PRIJEM	PREVOD Z UCTU	66332	129262	\N	GH	68241083
29114	96	1993-07-11	PRIJEM	PREVOD Z UCTU	44221	91620	\N	GH	68241083
29115	96	1993-08-11	PRIJEM	PREVOD Z UCTU	44221	87854	\N	GH	68241083
29116	96	1993-09-11	PRIJEM	PREVOD Z UCTU	44221	68786	\N	GH	68241083
29117	96	1993-10-11	PRIJEM	PREVOD Z UCTU	44221	91734	\N	GH	68241083
29118	96	1993-11-11	PRIJEM	PREVOD Z UCTU	44221	96643	\N	GH	68241083
29119	96	1993-12-11	PRIJEM	PREVOD Z UCTU	66332	109655	\N	GH	68241083
29120	96	1994-01-11	PRIJEM	PREVOD Z UCTU	44221	78322	\N	GH	68241083
29121	96	1994-02-11	PRIJEM	PREVOD Z UCTU	44221	66664	\N	GH	68241083
29122	96	1994-03-11	PRIJEM	PREVOD Z UCTU	44221	83581	\N	GH	68241083
29123	96	1994-04-11	PRIJEM	PREVOD Z UCTU	44221	95263	\N	GH	68241083
29124	96	1994-05-11	PRIJEM	PREVOD Z UCTU	44221	101679	\N	GH	68241083
29125	96	1994-06-11	PRIJEM	PREVOD Z UCTU	66332	124923	\N	GH	68241083
29126	96	1994-07-11	PRIJEM	PREVOD Z UCTU	44221	100751	\N	GH	68241083
29127	96	1994-08-11	PRIJEM	PREVOD Z UCTU	44221	103874	\N	GH	68241083
29128	96	1994-09-11	PRIJEM	PREVOD Z UCTU	44221	107406	\N	GH	68241083
29129	96	1994-10-11	PRIJEM	PREVOD Z UCTU	44221	93201	\N	GH	68241083
29130	96	1994-11-11	PRIJEM	PREVOD Z UCTU	44221	82400	\N	GH	68241083
29131	96	1994-12-11	PRIJEM	PREVOD Z UCTU	66332	121361	\N	GH	68241083
29132	96	1995-01-11	PRIJEM	PREVOD Z UCTU	44221	85712	\N	GH	68241083
29133	96	1995-02-11	PRIJEM	PREVOD Z UCTU	44221	81629	\N	GH	68241083
29134	96	1995-03-11	PRIJEM	PREVOD Z UCTU	44221	99473	\N	GH	68241083
29135	96	1995-04-11	PRIJEM	PREVOD Z UCTU	44221	104683	\N	GH	68241083
29136	96	1995-05-11	PRIJEM	PREVOD Z UCTU	44221	106905	\N	GH	68241083
29137	96	1995-06-11	PRIJEM	PREVOD Z UCTU	66332	99941	\N	GH	68241083
29138	96	1995-07-11	PRIJEM	PREVOD Z UCTU	44221	77702	\N	GH	68241083
29139	96	1995-08-11	PRIJEM	PREVOD Z UCTU	44221	76878	\N	GH	68241083
29140	96	1995-09-11	PRIJEM	PREVOD Z UCTU	44221	86554	\N	GH	68241083
29141	96	1995-10-11	PRIJEM	PREVOD Z UCTU	44221	97553	\N	GH	68241083
29142	96	1995-11-11	PRIJEM	PREVOD Z UCTU	44221	92910	\N	GH	68241083
29143	96	1995-12-11	PRIJEM	PREVOD Z UCTU	66332	108932	\N	GH	68241083
29144	96	1996-01-11	PRIJEM	PREVOD Z UCTU	44221	113560	\N	GH	68241083
29145	96	1996-02-11	PRIJEM	PREVOD Z UCTU	44221	93950	\N	GH	68241083
29146	96	1996-03-11	PRIJEM	PREVOD Z UCTU	44221	103423	\N	GH	68241083
29147	96	1996-04-11	PRIJEM	PREVOD Z UCTU	44221	98631	\N	GH	68241083
29148	96	1996-05-11	PRIJEM	PREVOD Z UCTU	44221	112181	\N	GH	68241083
29149	96	1996-06-11	PRIJEM	PREVOD Z UCTU	66332	113320	\N	GH	68241083
29150	96	1996-07-11	PRIJEM	PREVOD Z UCTU	44221	99577	\N	GH	68241083
29151	96	1996-08-11	PRIJEM	PREVOD Z UCTU	44221	110602	\N	GH	68241083
29152	96	1996-09-11	PRIJEM	PREVOD Z UCTU	44221	124663	\N	GH	68241083
29153	96	1996-10-11	PRIJEM	PREVOD Z UCTU	44221	112389	\N	GH	68241083
29154	96	1996-11-11	PRIJEM	PREVOD Z UCTU	44221	121145	\N	GH	68241083
29155	96	1996-12-11	PRIJEM	PREVOD Z UCTU	66332	126948	\N	GH	68241083
29156	96	1997-01-11	PRIJEM	PREVOD Z UCTU	44221	77136	\N	GH	68241083
29157	96	1997-02-11	PRIJEM	PREVOD Z UCTU	44221	95535	\N	GH	68241083
29158	96	1997-03-11	PRIJEM	PREVOD Z UCTU	44221	98899	\N	GH	68241083
29159	96	1997-04-11	PRIJEM	PREVOD Z UCTU	44221	110383	\N	GH	68241083
29160	96	1997-05-11	PRIJEM	PREVOD Z UCTU	44221	113694	\N	GH	68241083
29161	96	1997-06-11	PRIJEM	PREVOD Z UCTU	66332	149659	\N	GH	68241083
29162	96	1997-07-11	PRIJEM	PREVOD Z UCTU	44221	73373	\N	GH	68241083
29163	96	1997-08-11	PRIJEM	PREVOD Z UCTU	44221	110083	\N	GH	68241083
29164	96	1997-09-11	PRIJEM	PREVOD Z UCTU	44221	95853	\N	GH	68241083
29165	96	1997-10-11	PRIJEM	PREVOD Z UCTU	44221	119840	\N	GH	68241083
29166	96	1997-11-11	PRIJEM	PREVOD Z UCTU	44221	109360	\N	GH	68241083
29167	96	1997-12-11	PRIJEM	PREVOD Z UCTU	66332	133186	\N	GH	68241083
29168	96	1998-01-11	PRIJEM	PREVOD Z UCTU	44221	76493	\N	GH	68241083
29169	96	1998-02-11	PRIJEM	PREVOD Z UCTU	44221	99988	\N	GH	68241083
29170	96	1998-03-11	PRIJEM	PREVOD Z UCTU	44221	123072	\N	GH	68241083
29171	96	1998-04-11	PRIJEM	PREVOD Z UCTU	44221	107471	\N	GH	68241083
29172	96	1998-05-11	PRIJEM	PREVOD Z UCTU	44221	131398	\N	GH	68241083
29173	96	1998-06-11	PRIJEM	PREVOD Z UCTU	66332	109537	\N	GH	68241083
29174	96	1998-07-11	PRIJEM	PREVOD Z UCTU	44221	127297	\N	GH	68241083
29175	96	1998-08-11	PRIJEM	PREVOD Z UCTU	44221	93862	\N	GH	68241083
29176	96	1998-09-11	PRIJEM	PREVOD Z UCTU	44221	114550	\N	GH	68241083
29177	96	1998-10-11	PRIJEM	PREVOD Z UCTU	44221	108196	\N	GH	68241083
29178	96	1998-11-11	PRIJEM	PREVOD Z UCTU	44221	120287	\N	GH	68241083
29179	96	1998-12-11	PRIJEM	PREVOD Z UCTU	66332	156580	\N	GH	68241083
29258	96	1993-07-14	VYDAJ	PREVOD NA UCET	908	87928	SIPO	QR	83610647
29259	96	1993-08-14	VYDAJ	PREVOD NA UCET	908	84162	SIPO	QR	83610647
29260	96	1993-09-14	VYDAJ	PREVOD NA UCET	908	65094	SIPO	QR	83610647
29261	96	1993-10-14	VYDAJ	PREVOD NA UCET	908	88042	SIPO	QR	83610647
29262	96	1993-11-14	VYDAJ	PREVOD NA UCET	908	88751	SIPO	QR	83610647
29263	96	1993-12-14	VYDAJ	PREVOD NA UCET	908	65463	SIPO	QR	83610647
29264	96	1994-01-14	VYDAJ	PREVOD NA UCET	908	48130	SIPO	QR	83610647
29265	96	1994-02-14	VYDAJ	PREVOD NA UCET	908	41972	SIPO	QR	83610647
29266	96	1994-03-14	VYDAJ	PREVOD NA UCET	908	79889	SIPO	QR	83610647
29267	96	1994-04-14	VYDAJ	PREVOD NA UCET	908	57271	SIPO	QR	83610647
29268	96	1994-05-14	VYDAJ	PREVOD NA UCET	908	61387	SIPO	QR	83610647
29269	96	1994-06-14	VYDAJ	PREVOD NA UCET	908	56331	SIPO	QR	83610647
29270	96	1994-07-14	VYDAJ	PREVOD NA UCET	908	59459	SIPO	QR	83610647
29271	96	1994-08-14	VYDAJ	PREVOD NA UCET	908	62982	SIPO	QR	83610647
29272	96	1994-09-14	VYDAJ	PREVOD NA UCET	908	65514	SIPO	QR	83610647
29273	96	1994-10-14	VYDAJ	PREVOD NA UCET	908	57409	SIPO	QR	83610647
29274	96	1994-11-14	VYDAJ	PREVOD NA UCET	908	78708	SIPO	QR	83610647
29275	96	1994-12-14	VYDAJ	PREVOD NA UCET	908	64569	SIPO	QR	83610647
29276	96	1995-01-14	VYDAJ	PREVOD NA UCET	908	64028	SIPO	QR	83610647
29277	96	1995-02-14	VYDAJ	PREVOD NA UCET	908	77937	SIPO	QR	83610647
29278	96	1995-03-14	VYDAJ	PREVOD NA UCET	908	95781	SIPO	QR	83610647
29279	96	1995-04-14	VYDAJ	PREVOD NA UCET	908	100991	SIPO	QR	83610647
29280	96	1995-05-14	VYDAJ	PREVOD NA UCET	908	55513	SIPO	QR	83610647
29281	96	1995-06-14	VYDAJ	PREVOD NA UCET	908	96249	SIPO	QR	83610647
29282	96	1995-07-14	VYDAJ	PREVOD NA UCET	908	74010	SIPO	QR	83610647
29283	96	1995-08-14	VYDAJ	PREVOD NA UCET	908	73186	SIPO	QR	83610647
29284	96	1995-09-14	VYDAJ	PREVOD NA UCET	908	82862	SIPO	QR	83610647
29285	96	1995-10-14	VYDAJ	PREVOD NA UCET	908	93861	SIPO	QR	83610647
29286	96	1995-11-14	VYDAJ	PREVOD NA UCET	908	89218	SIPO	QR	83610647
29287	96	1995-12-14	VYDAJ	PREVOD NA UCET	908	105240	SIPO	QR	83610647
29288	96	1996-01-14	VYDAJ	PREVOD NA UCET	908	73068	SIPO	QR	83610647
29289	96	1996-02-14	VYDAJ	PREVOD NA UCET	908	90258	SIPO	QR	83610647
29290	96	1996-03-14	VYDAJ	PREVOD NA UCET	908	99731	SIPO	QR	83610647
29291	96	1996-04-14	VYDAJ	PREVOD NA UCET	908	94939	SIPO	QR	83610647
29292	96	1996-05-14	VYDAJ	PREVOD NA UCET	908	73789	SIPO	QR	83610647
29293	96	1996-06-14	VYDAJ	PREVOD NA UCET	908	71928	SIPO	QR	83610647
29294	96	1996-07-14	VYDAJ	PREVOD NA UCET	908	95885	SIPO	QR	83610647
29295	96	1996-08-14	VYDAJ	PREVOD NA UCET	908	106910	SIPO	QR	83610647
29296	96	1996-09-14	VYDAJ	PREVOD NA UCET	908	90671	SIPO	QR	83610647
29297	96	1996-10-14	VYDAJ	PREVOD NA UCET	908	108697	SIPO	QR	83610647
29298	96	1996-11-14	VYDAJ	PREVOD NA UCET	908	80253	SIPO	QR	83610647
29299	96	1996-12-14	VYDAJ	PREVOD NA UCET	908	82156	SIPO	QR	83610647
29300	96	1997-01-14	VYDAJ	PREVOD NA UCET	908	67744	SIPO	QR	83610647
29301	96	1997-02-14	VYDAJ	PREVOD NA UCET	908	75062	SIPO	QR	83610647
29302	96	1997-03-14	VYDAJ	PREVOD NA UCET	908	95207	SIPO	QR	83610647
29303	96	1997-04-14	VYDAJ	PREVOD NA UCET	908	94391	SIPO	QR	83610647
29304	96	1997-05-14	VYDAJ	PREVOD NA UCET	908	110002	SIPO	QR	83610647
29305	96	1997-06-14	VYDAJ	PREVOD NA UCET	908	27267	SIPO	QR	83610647
29306	96	1997-07-14	VYDAJ	PREVOD NA UCET	908	69681	SIPO	QR	83610647
29307	96	1997-08-14	VYDAJ	PREVOD NA UCET	908	106391	SIPO	QR	83610647
29308	96	1997-09-14	VYDAJ	PREVOD NA UCET	908	92161	SIPO	QR	83610647
29309	96	1997-10-14	VYDAJ	PREVOD NA UCET	908	98348	SIPO	QR	83610647
29310	96	1997-11-14	VYDAJ	PREVOD NA UCET	908	105668	SIPO	QR	83610647
29311	96	1997-12-14	VYDAJ	PREVOD NA UCET	908	76994	SIPO	QR	83610647
29312	96	1998-01-14	VYDAJ	PREVOD NA UCET	908	72801	SIPO	QR	83610647
29313	96	1998-02-14	VYDAJ	PREVOD NA UCET	908	96296	SIPO	QR	83610647
29314	96	1998-03-14	VYDAJ	PREVOD NA UCET	908	78780	SIPO	QR	83610647
29315	96	1998-04-14	VYDAJ	PREVOD NA UCET	908	103779	SIPO	QR	83610647
29316	96	1998-05-14	VYDAJ	PREVOD NA UCET	908	93406	SIPO	QR	83610647
29317	96	1998-06-14	VYDAJ	PREVOD NA UCET	908	105845	SIPO	QR	83610647
29318	96	1998-07-14	VYDAJ	PREVOD NA UCET	908	85205	SIPO	QR	83610647
29319	96	1998-08-14	VYDAJ	PREVOD NA UCET	908	90170	SIPO	QR	83610647
29320	96	1998-09-14	VYDAJ	PREVOD NA UCET	908	110858	SIPO	QR	83610647
29321	96	1998-10-14	VYDAJ	PREVOD NA UCET	908	104504	SIPO	QR	83610647
29322	96	1998-11-14	VYDAJ	PREVOD NA UCET	908	116595	SIPO	QR	83610647
29323	96	1998-12-14	VYDAJ	PREVOD NA UCET	908	93088	SIPO	QR	83610647
29330	96	1993-07-11	VYDAJ	PREVOD NA UCET	2140	88836	 	WX	41707503
29331	96	1993-08-11	VYDAJ	PREVOD NA UCET	2140	85070	 	WX	41707503
29332	96	1993-09-11	VYDAJ	PREVOD NA UCET	2140	66646	 	WX	41707503
29333	96	1993-10-11	VYDAJ	PREVOD NA UCET	2140	89594	 	WX	41707503
29334	96	1993-11-11	VYDAJ	PREVOD NA UCET	2140	89659	 	WX	41707503
29335	96	1993-12-11	VYDAJ	PREVOD NA UCET	2140	106871	 	WX	41707503
29336	96	1994-01-11	VYDAJ	PREVOD NA UCET	2140	75538	 	WX	41707503
29337	96	1994-02-11	VYDAJ	PREVOD NA UCET	2140	64524	 	WX	41707503
29338	96	1994-03-11	VYDAJ	PREVOD NA UCET	2140	80797	 	WX	41707503
29339	96	1994-04-11	VYDAJ	PREVOD NA UCET	2140	92479	 	WX	41707503
29340	96	1994-05-11	VYDAJ	PREVOD NA UCET	2140	98895	 	WX	41707503
29341	96	1994-06-11	VYDAJ	PREVOD NA UCET	2140	122139	 	WX	41707503
29342	96	1994-07-11	VYDAJ	PREVOD NA UCET	2140	97967	 	WX	41707503
29343	96	1994-08-11	VYDAJ	PREVOD NA UCET	2140	101090	 	WX	41707503
29344	96	1994-09-11	VYDAJ	PREVOD NA UCET	2140	104622	 	WX	41707503
29345	96	1994-10-11	VYDAJ	PREVOD NA UCET	2140	91061	 	WX	41707503
29346	96	1994-11-11	VYDAJ	PREVOD NA UCET	2140	80260	 	WX	41707503
29347	96	1994-12-11	VYDAJ	PREVOD NA UCET	2140	119221	 	WX	41707503
29348	96	1995-01-11	VYDAJ	PREVOD NA UCET	2140	67680	 	WX	41707503
29349	96	1995-02-11	VYDAJ	PREVOD NA UCET	2140	79489	 	WX	41707503
29350	96	1995-03-11	VYDAJ	PREVOD NA UCET	2140	96689	 	WX	41707503
29351	96	1995-04-11	VYDAJ	PREVOD NA UCET	2140	101899	 	WX	41707503
29352	96	1995-05-11	VYDAJ	PREVOD NA UCET	2140	56421	 	WX	41707503
29353	96	1995-06-11	VYDAJ	PREVOD NA UCET	2140	97801	 	WX	41707503
29354	96	1995-07-11	VYDAJ	PREVOD NA UCET	2140	74918	 	WX	41707503
29355	96	1995-08-11	VYDAJ	PREVOD NA UCET	2140	74094	 	WX	41707503
29356	96	1995-09-11	VYDAJ	PREVOD NA UCET	2140	84414	 	WX	41707503
29357	96	1995-10-11	VYDAJ	PREVOD NA UCET	2140	95413	 	WX	41707503
29358	96	1995-11-11	VYDAJ	PREVOD NA UCET	2140	90770	 	WX	41707503
29359	96	1995-12-11	VYDAJ	PREVOD NA UCET	2140	106792	 	WX	41707503
29360	96	1996-01-11	VYDAJ	PREVOD NA UCET	2140	93176	 	WX	41707503
29361	96	1996-02-11	VYDAJ	PREVOD NA UCET	2140	91166	 	WX	41707503
29362	96	1996-03-11	VYDAJ	PREVOD NA UCET	2140	100639	 	WX	41707503
29363	96	1996-04-11	VYDAJ	PREVOD NA UCET	2140	95847	 	WX	41707503
29364	96	1996-05-11	VYDAJ	PREVOD NA UCET	2140	109397	 	WX	41707503
29365	96	1996-06-11	VYDAJ	PREVOD NA UCET	2140	111180	 	WX	41707503
29366	96	1996-07-11	VYDAJ	PREVOD NA UCET	2140	96793	 	WX	41707503
29367	96	1996-08-11	VYDAJ	PREVOD NA UCET	2140	107818	 	WX	41707503
29368	96	1996-09-11	VYDAJ	PREVOD NA UCET	2140	92223	 	WX	41707503
29369	96	1996-10-11	VYDAJ	PREVOD NA UCET	2140	109605	 	WX	41707503
29370	96	1996-11-11	VYDAJ	PREVOD NA UCET	2140	81161	 	WX	41707503
29371	96	1996-12-11	VYDAJ	PREVOD NA UCET	2140	83064	 	WX	41707503
29372	96	1997-01-11	VYDAJ	PREVOD NA UCET	2140	74996	 	WX	41707503
29373	96	1997-02-11	VYDAJ	PREVOD NA UCET	2140	93395	 	WX	41707503
29374	96	1997-03-11	VYDAJ	PREVOD NA UCET	2140	96115	 	WX	41707503
29375	96	1997-04-11	VYDAJ	PREVOD NA UCET	2140	107599	 	WX	41707503
29376	96	1997-05-11	VYDAJ	PREVOD NA UCET	2140	110910	 	WX	41707503
29377	96	1997-06-11	VYDAJ	PREVOD NA UCET	2140	146875	 	WX	41707503
29378	96	1997-07-11	VYDAJ	PREVOD NA UCET	2140	70589	 	WX	41707503
29379	96	1997-08-11	VYDAJ	PREVOD NA UCET	2140	107299	 	WX	41707503
29380	96	1997-09-11	VYDAJ	PREVOD NA UCET	2140	93069	 	WX	41707503
29381	96	1997-10-11	VYDAJ	PREVOD NA UCET	2140	99256	 	WX	41707503
29382	96	1997-11-11	VYDAJ	PREVOD NA UCET	2140	107220	 	WX	41707503
29383	96	1997-12-11	VYDAJ	PREVOD NA UCET	2140	131046	 	WX	41707503
29384	96	1998-01-11	VYDAJ	PREVOD NA UCET	2140	74353	 	WX	41707503
29385	96	1998-02-11	VYDAJ	PREVOD NA UCET	2140	97204	 	WX	41707503
29386	96	1998-03-11	VYDAJ	PREVOD NA UCET	2140	120288	 	WX	41707503
29387	96	1998-04-11	VYDAJ	PREVOD NA UCET	2140	104687	 	WX	41707503
29388	96	1998-05-11	VYDAJ	PREVOD NA UCET	2140	94314	 	WX	41707503
29389	96	1998-06-11	VYDAJ	PREVOD NA UCET	2140	107397	 	WX	41707503
29390	96	1998-07-11	VYDAJ	PREVOD NA UCET	2140	86113	 	WX	41707503
29391	96	1998-08-11	VYDAJ	PREVOD NA UCET	2140	91078	 	WX	41707503
29392	96	1998-09-11	VYDAJ	PREVOD NA UCET	2140	111766	 	WX	41707503
29393	96	1998-10-11	VYDAJ	PREVOD NA UCET	2140	105412	 	WX	41707503
29394	96	1998-11-11	VYDAJ	PREVOD NA UCET	2140	118147	 	WX	41707503
29395	96	1998-12-11	VYDAJ	PREVOD NA UCET	2140	154440	 	WX	41707503
29403	96	1993-08-08	VYDAJ	PREVOD NA UCET	46	43633	POJISTNE	EF	49409562
29404	96	1993-09-08	VYDAJ	PREVOD NA UCET	46	24565	POJISTNE	EF	49409562
29405	96	1993-10-08	VYDAJ	PREVOD NA UCET	46	47513	POJISTNE	EF	49409562
29406	96	1993-11-08	VYDAJ	PREVOD NA UCET	46	52422	POJISTNE	EF	49409562
29407	96	1993-12-08	VYDAJ	PREVOD NA UCET	46	48423	POJISTNE	EF	49409562
29408	96	1994-01-08	VYDAJ	PREVOD NA UCET	46	34101	POJISTNE	EF	49409562
29409	96	1994-02-08	VYDAJ	PREVOD NA UCET	46	22443	POJISTNE	EF	49409562
29410	96	1994-03-08	VYDAJ	PREVOD NA UCET	46	39360	POJISTNE	EF	49409562
29411	96	1994-04-08	VYDAJ	PREVOD NA UCET	46	51042	POJISTNE	EF	49409562
29412	96	1994-05-08	VYDAJ	PREVOD NA UCET	46	57458	POJISTNE	EF	49409562
29413	96	1994-06-08	VYDAJ	PREVOD NA UCET	46	58591	POJISTNE	EF	49409562
29414	96	1994-07-08	VYDAJ	PREVOD NA UCET	46	56530	POJISTNE	EF	49409562
29415	96	1994-08-08	VYDAJ	PREVOD NA UCET	46	59653	POJISTNE	EF	49409562
29416	96	1994-09-08	VYDAJ	PREVOD NA UCET	46	63185	POJISTNE	EF	49409562
29417	96	1994-10-08	VYDAJ	PREVOD NA UCET	46	48980	POJISTNE	EF	49409562
29418	96	1994-11-08	VYDAJ	PREVOD NA UCET	46	45579	POJISTNE	EF	49409562
29419	96	1994-12-08	VYDAJ	PREVOD NA UCET	46	78929	POJISTNE	EF	49409562
29420	96	1995-01-08	VYDAJ	PREVOD NA UCET	46	56391	POJISTNE	EF	49409562
29421	96	1995-02-08	VYDAJ	PREVOD NA UCET	46	37408	POJISTNE	EF	49409562
29422	96	1995-03-08	VYDAJ	PREVOD NA UCET	46	78152	POJISTNE	EF	49409562
29423	96	1995-04-08	VYDAJ	PREVOD NA UCET	46	88262	POJISTNE	EF	49409562
29424	96	1995-05-08	VYDAJ	PREVOD NA UCET	46	94384	POJISTNE	EF	49409562
29425	96	1995-06-08	VYDAJ	PREVOD NA UCET	46	33609	POJISTNE	EF	49409562
29426	96	1995-07-08	VYDAJ	PREVOD NA UCET	46	33481	POJISTNE	EF	49409562
29427	96	1995-08-08	VYDAJ	PREVOD NA UCET	46	32657	POJISTNE	EF	49409562
29428	96	1995-09-08	VYDAJ	PREVOD NA UCET	46	42333	POJISTNE	EF	49409562
29429	96	1995-10-08	VYDAJ	PREVOD NA UCET	46	53332	POJISTNE	EF	49409562
29430	96	1995-11-08	VYDAJ	PREVOD NA UCET	46	48689	POJISTNE	EF	49409562
29431	96	1995-12-08	VYDAJ	PREVOD NA UCET	46	42600	POJISTNE	EF	49409562
29432	96	1996-01-08	VYDAJ	PREVOD NA UCET	46	70839	POJISTNE	EF	49409562
29433	96	1996-02-08	VYDAJ	PREVOD NA UCET	46	49729	POJISTNE	EF	49409562
29434	96	1996-03-08	VYDAJ	PREVOD NA UCET	46	59202	POJISTNE	EF	49409562
29435	96	1996-04-08	VYDAJ	PREVOD NA UCET	46	54410	POJISTNE	EF	49409562
29436	96	1996-05-08	VYDAJ	PREVOD NA UCET	46	67960	POJISTNE	EF	49409562
29437	96	1996-06-08	VYDAJ	PREVOD NA UCET	46	46988	POJISTNE	EF	49409562
29438	96	1996-07-08	VYDAJ	PREVOD NA UCET	46	55356	POJISTNE	EF	49409562
29439	96	1996-08-08	VYDAJ	PREVOD NA UCET	46	66381	POJISTNE	EF	49409562
29440	96	1996-09-08	VYDAJ	PREVOD NA UCET	46	80442	POJISTNE	EF	49409562
29441	96	1996-10-08	VYDAJ	PREVOD NA UCET	46	68168	POJISTNE	EF	49409562
29442	96	1996-11-08	VYDAJ	PREVOD NA UCET	46	76924	POJISTNE	EF	49409562
29443	96	1996-12-08	VYDAJ	PREVOD NA UCET	46	65116	POJISTNE	EF	49409562
29444	96	1997-01-08	VYDAJ	PREVOD NA UCET	46	32915	POJISTNE	EF	49409562
29445	96	1997-02-08	VYDAJ	PREVOD NA UCET	46	51314	POJISTNE	EF	49409562
29446	96	1997-03-08	VYDAJ	PREVOD NA UCET	46	54678	POJISTNE	EF	49409562
29447	96	1997-04-08	VYDAJ	PREVOD NA UCET	46	66162	POJISTNE	EF	49409562
29448	96	1997-05-08	VYDAJ	PREVOD NA UCET	46	69473	POJISTNE	EF	49409562
29449	96	1997-06-08	VYDAJ	PREVOD NA UCET	46	83327	POJISTNE	EF	49409562
29450	96	1997-07-08	VYDAJ	PREVOD NA UCET	46	29152	POJISTNE	EF	49409562
29451	96	1997-08-08	VYDAJ	PREVOD NA UCET	46	65862	POJISTNE	EF	49409562
29452	96	1997-09-08	VYDAJ	PREVOD NA UCET	46	51632	POJISTNE	EF	49409562
29453	96	1997-10-08	VYDAJ	PREVOD NA UCET	46	75619	POJISTNE	EF	49409562
29454	96	1997-11-08	VYDAJ	PREVOD NA UCET	46	65139	POJISTNE	EF	49409562
29455	96	1997-12-08	VYDAJ	PREVOD NA UCET	46	66854	POJISTNE	EF	49409562
29456	96	1998-01-08	VYDAJ	PREVOD NA UCET	46	32272	POJISTNE	EF	49409562
29457	96	1998-02-08	VYDAJ	PREVOD NA UCET	46	55767	POJISTNE	EF	49409562
29458	96	1998-03-08	VYDAJ	PREVOD NA UCET	46	78851	POJISTNE	EF	49409562
29459	96	1998-04-08	VYDAJ	PREVOD NA UCET	46	63250	POJISTNE	EF	49409562
29460	96	1998-05-08	VYDAJ	PREVOD NA UCET	46	87177	POJISTNE	EF	49409562
29461	96	1998-06-08	VYDAJ	PREVOD NA UCET	46	82805	POJISTNE	EF	49409562
29462	96	1998-07-08	VYDAJ	PREVOD NA UCET	46	90456	POJISTNE	EF	49409562
29463	96	1998-08-08	VYDAJ	PREVOD NA UCET	46	49641	POJISTNE	EF	49409562
29464	96	1998-09-08	VYDAJ	PREVOD NA UCET	46	70329	POJISTNE	EF	49409562
29465	96	1998-10-08	VYDAJ	PREVOD NA UCET	46	63975	POJISTNE	EF	49409562
29466	96	1998-11-08	VYDAJ	PREVOD NA UCET	46	95212	POJISTNE	EF	49409562
29467	96	1998-12-08	VYDAJ	PREVOD NA UCET	46	100748	POJISTNE	EF	49409562
29474	96	1993-07-11	VYDAJ	PREVOD NA UCET	644	90976	 	EF	66311460
29475	96	1993-08-11	VYDAJ	PREVOD NA UCET	644	87210	 	EF	66311460
29476	96	1993-09-11	VYDAJ	PREVOD NA UCET	644	66002	 	EF	66311460
29477	96	1993-10-11	VYDAJ	PREVOD NA UCET	644	88950	 	EF	66311460
29478	96	1993-11-11	VYDAJ	PREVOD NA UCET	644	91799	 	EF	66311460
29479	96	1993-12-11	VYDAJ	PREVOD NA UCET	644	109011	 	EF	66311460
29480	96	1994-01-11	VYDAJ	PREVOD NA UCET	644	77678	 	EF	66311460
29481	96	1994-02-11	VYDAJ	PREVOD NA UCET	644	63880	 	EF	66311460
29482	96	1994-03-11	VYDAJ	PREVOD NA UCET	644	82937	 	EF	66311460
29483	96	1994-04-11	VYDAJ	PREVOD NA UCET	644	94619	 	EF	66311460
29484	96	1994-05-11	VYDAJ	PREVOD NA UCET	644	101035	 	EF	66311460
29485	96	1994-06-11	VYDAJ	PREVOD NA UCET	644	124279	 	EF	66311460
29486	96	1994-07-11	VYDAJ	PREVOD NA UCET	644	100107	 	EF	66311460
29487	96	1994-08-11	VYDAJ	PREVOD NA UCET	644	103230	 	EF	66311460
29488	96	1994-09-11	VYDAJ	PREVOD NA UCET	644	106762	 	EF	66311460
29489	96	1994-10-11	VYDAJ	PREVOD NA UCET	644	90417	 	EF	66311460
29490	96	1994-11-11	VYDAJ	PREVOD NA UCET	644	79616	 	EF	66311460
29491	96	1994-12-11	VYDAJ	PREVOD NA UCET	644	118577	 	EF	66311460
29492	96	1995-01-11	VYDAJ	PREVOD NA UCET	644	67036	 	EF	66311460
29493	96	1995-02-11	VYDAJ	PREVOD NA UCET	644	78845	 	EF	66311460
29494	96	1995-03-11	VYDAJ	PREVOD NA UCET	644	98829	 	EF	66311460
29495	96	1995-04-11	VYDAJ	PREVOD NA UCET	644	104039	 	EF	66311460
29496	96	1995-05-11	VYDAJ	PREVOD NA UCET	644	106261	 	EF	66311460
29497	96	1995-06-11	VYDAJ	PREVOD NA UCET	644	97157	 	EF	66311460
29498	96	1995-07-11	VYDAJ	PREVOD NA UCET	644	77058	 	EF	66311460
29499	96	1995-08-11	VYDAJ	PREVOD NA UCET	644	76234	 	EF	66311460
29500	96	1995-09-11	VYDAJ	PREVOD NA UCET	644	83770	 	EF	66311460
29501	96	1995-10-11	VYDAJ	PREVOD NA UCET	644	94769	 	EF	66311460
29502	96	1995-11-11	VYDAJ	PREVOD NA UCET	644	90126	 	EF	66311460
29503	96	1995-12-11	VYDAJ	PREVOD NA UCET	644	106148	 	EF	66311460
29504	96	1996-01-11	VYDAJ	PREVOD NA UCET	644	112916	 	EF	66311460
29505	96	1996-02-11	VYDAJ	PREVOD NA UCET	644	93306	 	EF	66311460
29506	96	1996-03-11	VYDAJ	PREVOD NA UCET	644	102779	 	EF	66311460
29507	96	1996-04-11	VYDAJ	PREVOD NA UCET	644	97987	 	EF	66311460
29508	96	1996-05-11	VYDAJ	PREVOD NA UCET	644	111537	 	EF	66311460
29509	96	1996-06-11	VYDAJ	PREVOD NA UCET	644	72836	 	EF	66311460
29510	96	1996-07-11	VYDAJ	PREVOD NA UCET	644	98933	 	EF	66311460
29511	96	1996-08-11	VYDAJ	PREVOD NA UCET	644	109958	 	EF	66311460
29512	96	1996-09-11	VYDAJ	PREVOD NA UCET	644	91579	 	EF	66311460
29513	96	1996-10-11	VYDAJ	PREVOD NA UCET	644	111745	 	EF	66311460
29514	96	1996-11-11	VYDAJ	PREVOD NA UCET	644	83301	 	EF	66311460
29515	96	1996-12-11	VYDAJ	PREVOD NA UCET	644	85204	 	EF	66311460
29516	96	1997-01-11	VYDAJ	PREVOD NA UCET	644	74352	 	EF	66311460
29517	96	1997-02-11	VYDAJ	PREVOD NA UCET	644	92751	 	EF	66311460
29518	96	1997-03-11	VYDAJ	PREVOD NA UCET	644	98255	 	EF	66311460
29519	96	1997-04-11	VYDAJ	PREVOD NA UCET	644	109739	 	EF	66311460
29520	96	1997-05-11	VYDAJ	PREVOD NA UCET	644	113050	 	EF	66311460
29521	96	1997-06-11	VYDAJ	PREVOD NA UCET	644	149015	 	EF	66311460
29522	96	1997-07-11	VYDAJ	PREVOD NA UCET	644	72729	 	EF	66311460
29523	96	1997-08-11	VYDAJ	PREVOD NA UCET	644	109439	 	EF	66311460
29625	96	1993-10-24	VYDAJ	VYBER	2100	52242	\N	\N	\N
29524	96	1997-09-11	VYDAJ	PREVOD NA UCET	644	95209	 	EF	66311460
29525	96	1997-10-11	VYDAJ	PREVOD NA UCET	644	119196	 	EF	66311460
29526	96	1997-11-11	VYDAJ	PREVOD NA UCET	644	106576	 	EF	66311460
29527	96	1997-12-11	VYDAJ	PREVOD NA UCET	644	130402	 	EF	66311460
29528	96	1998-01-11	VYDAJ	PREVOD NA UCET	644	73709	 	EF	66311460
29529	96	1998-02-11	VYDAJ	PREVOD NA UCET	644	99344	 	EF	66311460
29530	96	1998-03-11	VYDAJ	PREVOD NA UCET	644	122428	 	EF	66311460
29531	96	1998-04-11	VYDAJ	PREVOD NA UCET	644	106827	 	EF	66311460
29532	96	1998-05-11	VYDAJ	PREVOD NA UCET	644	130754	 	EF	66311460
29533	96	1998-06-11	VYDAJ	PREVOD NA UCET	644	106753	 	EF	66311460
29534	96	1998-07-11	VYDAJ	PREVOD NA UCET	644	88253	 	EF	66311460
29535	96	1998-08-11	VYDAJ	PREVOD NA UCET	644	93218	 	EF	66311460
29536	96	1998-09-11	VYDAJ	PREVOD NA UCET	644	113906	 	EF	66311460
29537	96	1998-10-11	VYDAJ	PREVOD NA UCET	644	107552	 	EF	66311460
29538	96	1998-11-11	VYDAJ	PREVOD NA UCET	644	117503	 	EF	66311460
29539	96	1998-12-11	VYDAJ	PREVOD NA UCET	644	153796	 	EF	66311460
29540	96	1993-08-28	VYBER	VYBER	23255	24407	\N	\N	\N
29541	96	1993-07-22	VYBER	VYBER	8769	43459	\N	\N	\N
29543	96	1994-01-15	VYBER	VYBER	2690	45440	\N	\N	\N
29544	96	1994-01-06	VYBER	VYBER	4621	34147	\N	\N	\N
29545	96	1994-09-18	VYBER	VYBER	16729	48785	\N	\N	\N
29546	96	1995-10-26	VYBER	VYBER	24418	69443	\N	\N	\N
29547	96	1995-03-27	VYBER	VYBER	7824	87957	\N	\N	\N
29548	96	1995-11-18	VYBER	VYBER	22130	67088	\N	\N	\N
29549	96	1995-05-08	VYBER	VYBER	2289	94430	\N	\N	\N
29550	96	1995-09-26	VYBER	VYBER	15859	67003	\N	\N	\N
29551	96	1995-06-01	VYBER	VYBER	15720	40055	\N	\N	\N
29552	96	1995-10-27	VYBER	VYBER	6518	62925	\N	\N	\N
29553	96	1995-07-21	VYBER	VYBER	24690	49320	\N	\N	\N
29554	96	1995-04-30	VYBER	VYBER	4652	96734	\N	\N	\N
29555	96	1995-07-26	VYBER	VYBER	23497	25823	\N	\N	\N
29556	96	1995-08-20	VYBER	VYBER	19304	53882	\N	\N	\N
29557	96	1995-01-11	VYBER	VYBER	15892	69820	\N	\N	\N
29558	96	1996-06-16	VYBER	VYBER	2670	69258	\N	\N	\N
29559	96	1996-04-08	VYBER	VYBER	16036	54456	\N	\N	\N
29560	96	1996-05-29	VYBER	VYBER	16772	57017	\N	\N	\N
29561	96	1997-08-31	VYBER	VYBER	19258	61293	\N	\N	\N
29562	96	1997-12-26	VYBER	VYBER	6395	51864	\N	\N	\N
29563	96	1997-10-19	VYBER	VYBER	23380	74968	\N	\N	\N
29564	96	1997-01-17	VYBER	VYBER	2493	59251	\N	\N	\N
29565	96	1997-12-15	VYBER	VYBER	10235	66759	\N	\N	\N
29566	96	1997-02-24	VYBER	VYBER	12985	54877	\N	\N	\N
29567	96	1997-03-19	VYBER	VYBER	21881	73326	\N	\N	\N
29568	96	1997-02-13	VYBER	VYBER	16781	75970	\N	\N	\N
29569	96	1997-01-04	VYBER	VYBER	20889	40461	\N	\N	\N
29570	96	1998-08-29	VYBER	VYBER	3722	70079	\N	\N	\N
29571	96	1998-07-20	VYBER	VYBER	16163	69042	\N	\N	\N
29572	96	1998-08-22	VYBER	VYBER	14369	73801	\N	\N	\N
29573	96	1998-09-30	VYBER	VYBER	20895	75735	\N	\N	\N
29574	96	1998-11-09	VYBER	VYBER	19146	76066	\N	\N	\N
29575	96	1998-08-07	VYBER	VYBER	22571	49687	\N	\N	\N
29576	96	1998-07-09	VYBER	VYBER	7380	83076	\N	\N	\N
29579	96	1995-06-27	VYDAJ	VYBER	67500	28749	\N	\N	\N
29581	96	1997-06-11	VYDAJ	VYBER	59100	28175	\N	\N	\N
29582	96	1998-06-09	VYDAJ	VYBER	39600	43205	\N	\N	\N
29583	96	1993-12-09	VYDAJ	VYBER	5100	43323	\N	\N	\N
29584	96	1994-12-12	VYDAJ	VYBER	6300	65477	\N	\N	\N
29585	96	1995-12-02	VYDAJ	VYBER	7500	45746	\N	\N	\N
29586	96	1996-12-10	VYDAJ	VYBER	4500	60616	\N	\N	\N
29587	96	1997-12-03	VYDAJ	VYBER	7200	66900	\N	\N	\N
29588	96	1998-12-21	VYDAJ	VYBER	7500	84488	\N	\N	\N
29595	96	1994-01-24	VYDAJ	VYBER	6300	25640	\N	\N	\N
29596	96	1994-01-21	VYDAJ	VYBER	7500	33740	\N	\N	\N
29597	96	1994-01-01	VYDAJ	VYBER	7200	38768	\N	\N	\N
29599	96	1994-01-21	VYDAJ	VYBER	1800	31940	\N	\N	\N
29600	96	1994-01-16	VYDAJ	VYBER	4200	41240	\N	\N	\N
29601	96	1995-01-27	VYDAJ	VYBER	8400	51128	\N	\N	\N
29602	96	1995-01-29	VYDAJ	VYBER	3000	48128	\N	\N	\N
29603	96	1995-01-13	VYDAJ	VYBER	2100	64936	\N	\N	\N
29604	96	1995-01-17	VYDAJ	VYBER	1800	62228	\N	\N	\N
29605	96	1995-01-24	VYDAJ	VYBER	2700	59528	\N	\N	\N
29606	96	1995-01-09	VYDAJ	VYBER	6000	41491	\N	\N	\N
29607	96	1996-01-14	VYDAJ	VYBER KARTOU	2700	70368	\N	\N	0
29608	96	1996-01-13	VYDAJ	VYBER	7200	85976	\N	\N	\N
29609	96	1996-01-09	VYDAJ	VYBER KARTOU	1500	69339	\N	\N	0
29610	96	1996-01-23	VYDAJ	VYBER KARTOU	3900	66468	\N	\N	0
29611	96	1996-01-07	VYDAJ	VYBER KARTOU	3300	70885	\N	\N	0
29612	96	1996-01-24	VYDAJ	VYBER	7500	58968	\N	\N	\N
29613	96	1997-01-07	VYDAJ	VYBER KARTOU	2100	32961	\N	\N	0
29614	96	1997-01-13	VYDAJ	VYBER	5700	68652	\N	\N	\N
29615	96	1997-01-16	VYDAJ	VYBER	6000	61744	\N	\N	\N
29616	96	1997-01-23	VYDAJ	VYBER KARTOU	3600	55651	\N	\N	0
29617	96	1997-01-01	VYDAJ	VYBER	4500	61350	\N	\N	\N
29618	96	1997-01-05	VYDAJ	VYBER	5400	35061	\N	\N	\N
29619	96	1998-01-01	VYDAJ	VYBER KARTOU	2700	49418	\N	\N	0
29620	96	1998-01-17	VYDAJ	VYBER	6300	66501	\N	\N	\N
29621	96	1998-01-07	VYDAJ	VYBER	8400	32318	\N	\N	\N
29622	96	1998-01-02	VYDAJ	VYBER	8700	40718	\N	\N	\N
29623	96	1998-01-25	VYDAJ	VYBER KARTOU	2100	55601	\N	\N	0
29624	96	1998-01-25	VYDAJ	VYBER KARTOU	2700	57701	\N	\N	0
29626	96	1993-11-11	VYDAJ	VYBER	4200	92443	\N	\N	\N
29628	96	1993-07-19	VYDAJ	VYBER	4500	52228	\N	\N	\N
29629	96	1993-08-24	VYDAJ	VYBER	7200	47662	\N	\N	\N
29630	96	1993-11-17	VYDAJ	VYBER	9000	48251	\N	\N	\N
29631	96	1993-10-19	VYDAJ	VYBER	4500	54342	\N	\N	\N
29632	96	1994-12-23	VYDAJ	VYBER	8400	56169	\N	\N	\N
29633	96	1994-01-27	VYDAJ	VYBER	3300	22340	\N	\N	\N
29634	96	1994-10-25	VYDAJ	VYBER	12000	45409	\N	\N	\N
29635	96	1994-02-18	VYDAJ	VYBER	2700	39272	\N	\N	\N
29636	96	1994-06-03	VYDAJ	VYBER	3000	58637	\N	\N	\N
29637	96	1995-11-21	VYDAJ	VYBER KARTOU	3000	64088	\N	\N	0
29638	96	1995-06-07	VYDAJ	VYBER	11100	28955	\N	\N	\N
29639	96	1995-11-24	VYDAJ	VYBER	11100	52988	\N	\N	\N
29640	96	1996-02-19	VYDAJ	VYBER	14100	76158	\N	\N	\N
29641	96	1996-06-01	VYDAJ	VYBER	4800	52534	\N	\N	\N
29642	96	1996-01-13	VYDAJ	VYBER	12000	73976	\N	\N	\N
29643	96	1996-08-03	VYDAJ	VYBER	6900	66427	\N	\N	\N
29644	96	1997-04-27	VYDAJ	VYBER	7800	86591	\N	\N	\N
29645	96	1997-09-07	VYDAJ	VYBER	9600	51678	\N	\N	\N
29646	96	1997-07-05	VYDAJ	VYBER	14700	29198	\N	\N	\N
29647	96	1997-12-23	VYDAJ	VYBER	6900	59859	\N	\N	\N
29648	96	1997-11-23	VYDAJ	VYBER	11400	94268	\N	\N	\N
29649	96	1997-04-13	VYDAJ	VYBER	12300	95299	\N	\N	\N
29650	96	1997-02-22	VYDAJ	VYBER	7200	67862	\N	\N	\N
29651	96	1998-05-18	VYDAJ	VYBER KARTOU	2100	91306	\N	\N	0
29652	96	1998-10-07	VYDAJ	VYBER	11700	64021	\N	\N	\N
29653	96	1998-04-04	VYDAJ	VYBER	8700	63296	\N	\N	\N
29654	96	1998-12-09	VYDAJ	VYBER	10500	90248	\N	\N	\N
29662	96	1993-07-31	VYDAJ	VYBER	15	43679	SLUZBY	\N	\N
29663	96	1993-08-31	VYDAJ	VYBER	15	24611	SLUZBY	\N	\N
29664	96	1993-09-30	VYDAJ	VYBER	15	47559	SLUZBY	\N	\N
29665	96	1993-10-31	VYDAJ	VYBER	15	52468	SLUZBY	\N	\N
29666	96	1993-11-30	VYDAJ	VYBER	15	48469	SLUZBY	\N	\N
29667	96	1993-12-31	VYDAJ	VYBER	15	45968	SLUZBY	\N	\N
29668	96	1994-01-31	VYDAJ	VYBER	15	22489	SLUZBY	\N	\N
29669	96	1994-02-28	VYDAJ	VYBER	15	39406	SLUZBY	\N	\N
29670	96	1994-03-31	VYDAJ	VYBER	15	51088	SLUZBY	\N	\N
29671	96	1994-04-30	VYDAJ	VYBER	15	57504	SLUZBY	\N	\N
29672	96	1994-05-31	VYDAJ	VYBER	15	61637	SLUZBY	\N	\N
29673	96	1994-06-30	VYDAJ	VYBER	15	56576	SLUZBY	\N	\N
29674	96	1994-07-31	VYDAJ	VYBER	15	59699	SLUZBY	\N	\N
29675	96	1994-08-31	VYDAJ	VYBER	15	63231	SLUZBY	\N	\N
29676	96	1994-09-30	VYDAJ	VYBER	15	49026	SLUZBY	\N	\N
29677	96	1994-10-31	VYDAJ	VYBER	15	45625	SLUZBY	\N	\N
29678	96	1994-11-30	VYDAJ	VYBER	15	78975	SLUZBY	\N	\N
29679	96	1994-12-31	VYDAJ	VYBER	15	56437	SLUZBY	\N	\N
29680	96	1995-01-31	VYDAJ	VYBER	15	48354	SLUZBY	\N	\N
29681	96	1995-02-28	VYDAJ	VYBER	15	78198	SLUZBY	\N	\N
29682	96	1995-03-31	VYDAJ	VYBER	15	88308	SLUZBY	\N	\N
29683	96	1995-04-30	VYDAJ	VYBER	15	96719	SLUZBY	\N	\N
29684	96	1995-05-31	VYDAJ	VYBER	15	55775	SLUZBY	\N	\N
29685	96	1995-06-30	VYDAJ	VYBER	15	29027	SLUZBY	\N	\N
29686	96	1995-07-31	VYDAJ	VYBER	15	26003	SLUZBY	\N	\N
29687	96	1995-08-31	VYDAJ	VYBER	15	54079	SLUZBY	\N	\N
29688	96	1995-09-30	VYDAJ	VYBER	15	67278	SLUZBY	\N	\N
29689	96	1995-10-31	VYDAJ	VYBER	15	63235	SLUZBY	\N	\N
29690	96	1995-11-30	VYDAJ	VYBER	15	53246	SLUZBY	\N	\N
29691	96	1995-12-31	VYDAJ	VYBER	15	105585	SLUZBY	\N	\N
29692	96	1996-01-31	VYDAJ	VYBER	15	59275	SLUZBY	\N	\N
29693	96	1996-02-29	VYDAJ	VYBER	15	76448	SLUZBY	\N	\N
29694	96	1996-03-31	VYDAJ	VYBER	15	100092	SLUZBY	\N	\N
29695	96	1996-04-30	VYDAJ	VYBER	15	95306	SLUZBY	\N	\N
29696	96	1996-05-31	VYDAJ	VYBER	15	57334	SLUZBY	\N	\N
29697	96	1996-06-30	VYDAJ	VYBER	15	69502	SLUZBY	\N	\N
29698	96	1996-07-31	VYDAJ	VYBER	15	96227	SLUZBY	\N	\N
29699	96	1996-08-31	VYDAJ	VYBER	15	80488	SLUZBY	\N	\N
29700	96	1996-09-30	VYDAJ	VYBER	15	68214	SLUZBY	\N	\N
29701	96	1996-10-31	VYDAJ	VYBER	15	76970	SLUZBY	\N	\N
29702	96	1996-11-30	VYDAJ	VYBER	15	65162	SLUZBY	\N	\N
29703	96	1996-12-31	VYDAJ	VYBER	15	65850	SLUZBY	\N	\N
29704	96	1997-01-31	VYDAJ	VYBER	15	51360	SLUZBY	\N	\N
29705	96	1997-02-28	VYDAJ	VYBER	15	54724	SLUZBY	\N	\N
29706	96	1997-03-31	VYDAJ	VYBER	15	66208	SLUZBY	\N	\N
29707	96	1997-04-30	VYDAJ	VYBER	15	69519	SLUZBY	\N	\N
29708	96	1997-05-31	VYDAJ	VYBER	15	83373	SLUZBY	\N	\N
29709	96	1997-06-30	VYDAJ	VYBER	15	43898	SLUZBY	\N	\N
29710	96	1997-07-31	VYDAJ	VYBER	15	65908	SLUZBY	\N	\N
29711	96	1997-08-31	VYDAJ	VYBER	15	61278	SLUZBY	\N	\N
29712	96	1997-09-30	VYDAJ	VYBER	15	75665	SLUZBY	\N	\N
29713	96	1997-10-31	VYDAJ	VYBER	15	65185	SLUZBY	\N	\N
29714	96	1997-11-30	VYDAJ	VYBER	15	74100	SLUZBY	\N	\N
29715	96	1997-12-31	VYDAJ	VYBER	15	52118	SLUZBY	\N	\N
29716	96	1998-01-31	VYDAJ	VYBER	15	55813	SLUZBY	\N	\N
29717	96	1998-02-28	VYDAJ	VYBER	15	78897	SLUZBY	\N	\N
29718	96	1998-03-31	VYDAJ	VYBER	15	71996	SLUZBY	\N	\N
29719	96	1998-04-30	VYDAJ	VYBER	15	87223	SLUZBY	\N	\N
29720	96	1998-05-31	VYDAJ	VYBER	15	82851	SLUZBY	\N	\N
29721	96	1998-06-30	VYDAJ	VYBER	15	90502	SLUZBY	\N	\N
29722	96	1998-07-31	VYDAJ	VYBER	15	72258	SLUZBY	\N	\N
29723	96	1998-08-31	VYDAJ	VYBER	15	70375	SLUZBY	\N	\N
29724	96	1998-09-30	VYDAJ	VYBER	15	75721	SLUZBY	\N	\N
29725	96	1998-10-31	VYDAJ	VYBER	15	95258	SLUZBY	\N	\N
29726	96	1998-11-30	VYDAJ	VYBER	15	100794	SLUZBY	\N	\N
29727	96	1993-03-20	VYDAJ	VYBER	11500	33821	\N	\N	\N
29728	96	1993-04-19	VYDAJ	VYBER	24700	53397	\N	\N	\N
29729	96	1993-05-19	VYDAJ	VYBER	35100	62691	\N	\N	\N
29730	96	1993-06-11	VYDAJ	VYBER	62900	66362	\N	\N	\N
29731	96	1993-06-18	VYDAJ	VYBER	19200	47162	\N	\N	\N
29732	96	1993-07-18	VYDAJ	VYBER	31200	56728	\N	\N	\N
29733	96	1993-08-17	VYDAJ	VYBER	29300	54862	\N	\N	\N
29734	96	1993-09-16	VYDAJ	VYBER	17700	47394	\N	\N	\N
29735	96	1993-10-16	VYDAJ	VYBER	29200	58842	\N	\N	\N
29736	96	1993-11-15	VYDAJ	VYBER	31500	57251	\N	\N	\N
29737	96	1993-12-11	VYDAJ	VYBER	40500	66371	\N	\N	\N
29738	96	1993-12-15	VYDAJ	VYBER	19700	45763	\N	\N	\N
29739	96	1994-01-14	VYDAJ	VYBER	26500	49038	\N	\N	\N
29740	96	1994-02-13	VYDAJ	VYBER	21000	42880	\N	\N	\N
29741	96	1994-03-15	VYDAJ	VYBER	29000	50889	\N	\N	\N
29742	96	1994-04-14	VYDAJ	VYBER	34300	58179	\N	\N	\N
29743	96	1994-05-14	VYDAJ	VYBER	36600	62295	\N	\N	\N
29744	96	1994-06-11	VYDAJ	VYBER	30100	92039	\N	\N	\N
29745	96	1994-06-13	VYDAJ	VYBER	34800	57239	\N	\N	\N
29746	96	1994-07-13	VYDAJ	VYBER	37600	60367	\N	\N	\N
29747	96	1994-08-12	VYDAJ	VYBER	37200	63890	\N	\N	\N
29748	96	1994-09-11	VYDAJ	VYBER	38200	66422	\N	\N	\N
29749	96	1994-10-11	VYDAJ	VYBER	32100	58317	\N	\N	\N
29750	96	1994-11-10	VYDAJ	VYBER	7400	38179	\N	\N	\N
29751	96	1994-12-10	VYDAJ	VYBER	23900	55029	\N	\N	\N
29752	96	1994-12-11	VYDAJ	VYBER	46800	71777	\N	\N	\N
29753	96	1995-01-09	VYDAJ	VYBER	8900	47491	\N	\N	\N
29754	96	1995-02-08	VYDAJ	VYBER	10900	37454	\N	\N	\N
29755	96	1995-03-10	VYDAJ	VYBER	22900	55252	\N	\N	\N
29756	96	1995-04-09	VYDAJ	VYBER	27800	60462	\N	\N	\N
29757	96	1995-05-09	VYDAJ	VYBER	31700	62684	\N	\N	\N
29758	96	1995-05-11	VYDAJ	VYBER	47700	58561	\N	\N	\N
29759	96	1995-06-08	PRIJEM	VKLAD	4700	33655	\N	\N	\N
29760	96	1995-07-08	PRIJEM	VKLAD	4500	33527	\N	\N	\N
29761	96	1995-08-07	PRIJEM	VKLAD	6700	32703	\N	\N	\N
29762	96	1995-09-06	VYDAJ	VYBER	11700	42379	\N	\N	\N
29763	96	1995-10-06	VYDAJ	VYBER	13900	53378	\N	\N	\N
29764	96	1995-11-05	VYDAJ	VYBER	14500	48735	\N	\N	\N
29765	96	1995-12-05	VYDAJ	VYBER KARTOU	3100	42646	\N	\N	0
29766	96	1996-01-04	VYDAJ	VYBER	31400	74185	\N	\N	\N
29767	96	1996-01-11	VYDAJ	VYBER	17600	95316	\N	\N	\N
29768	96	1996-02-03	VYDAJ	VYBER	9500	49775	\N	\N	\N
29769	96	1996-03-04	VYDAJ	VYBER	17200	59248	\N	\N	\N
29770	96	1996-04-03	VYDAJ	VYBER	29600	70492	\N	\N	\N
29771	96	1996-05-03	VYDAJ	VYBER	27300	68006	\N	\N	\N
29772	96	1996-05-11	VYDAJ	VYBER	34700	74697	\N	\N	\N
29773	96	1996-06-02	VYDAJ	VYBER	5500	47034	\N	\N	\N
29774	96	1996-06-11	VYDAJ	VYBER	37700	73480	\N	\N	\N
29775	96	1996-07-02	VYDAJ	VYBER	14100	55402	\N	\N	\N
29776	96	1996-08-01	VYDAJ	VYBER	22900	73327	\N	\N	\N
29777	96	1996-08-31	VYDAJ	VYBER	26800	80503	\N	\N	\N
29778	96	1996-09-11	VYDAJ	VYBER	30300	94363	\N	\N	\N
29779	96	1996-09-30	VYDAJ	VYBER	22800	68229	\N	\N	\N
29780	96	1996-10-30	VYDAJ	VYBER	32100	76597	\N	\N	\N
29781	96	1996-11-11	VYDAJ	VYBER	37200	83945	\N	\N	\N
29782	96	1996-11-29	VYDAJ	VYBER	15400	64853	\N	\N	\N
29783	96	1996-12-11	VYDAJ	VYBER	41100	85848	\N	\N	\N
29784	96	1996-12-29	VYDAJ	VYBER	16600	65556	\N	\N	\N
29785	96	1997-01-28	VYDAJ	VYBER	4500	51151	\N	\N	\N
29786	96	1997-02-27	VYDAJ	VYBER KARTOU	400	54477	\N	\N	0
29787	96	1997-03-29	VYDAJ	VYBER	7400	65926	\N	\N	\N
29788	96	1997-04-28	VYDAJ	VYBER	17400	69191	\N	\N	\N
29789	96	1997-05-28	VYDAJ	VYBER	27000	83002	\N	\N	\N
29790	96	1997-06-11	VYDAJ	VYBER	59600	87275	\N	\N	\N
29791	96	1997-06-27	PRIJEM	VKLAD	16400	43667	\N	\N	\N
29792	96	1997-07-27	VYDAJ	VYBER KARTOU	4000	65681	\N	\N	0
29793	96	1997-08-26	VYDAJ	VYBER	26200	80191	\N	\N	\N
29794	96	1997-09-25	VYDAJ	VYBER	16800	75361	\N	\N	\N
29795	96	1997-10-11	VYDAJ	VYBER	17800	101396	\N	\N	\N
29796	96	1997-10-25	VYDAJ	VYBER	10100	64868	\N	\N	\N
29797	96	1997-11-24	VYDAJ	VYBER	20500	73768	\N	\N	\N
29798	96	1997-12-11	VYDAJ	VYBER	52500	77902	\N	\N	\N
29799	96	1997-12-24	VYDAJ	VYBER KARTOU	1600	58259	\N	\N	0
29800	96	1998-01-23	VYDAJ	VYBER	6100	60401	\N	\N	\N
29801	96	1998-02-22	VYDAJ	VYBER	17700	78596	\N	\N	\N
29802	96	1998-03-11	VYDAJ	VYBER	40600	79688	\N	\N	\N
29803	96	1998-03-24	VYDAJ	VYBER	7100	71680	\N	\N	\N
29804	96	1998-04-23	VYDAJ	VYBER	16900	86879	\N	\N	\N
29805	96	1998-05-11	VYDAJ	VYBER	34300	96454	\N	\N	\N
29806	96	1998-05-23	VYDAJ	VYBER	8800	82506	\N	\N	\N
29807	96	1998-06-22	VYDAJ	VYBER	15700	90145	\N	\N	\N
29808	96	1998-07-11	VYDAJ	VYBER	38400	88897	\N	\N	\N
29809	96	1998-07-22	PRIJEM	VKLAD	2900	71942	\N	\N	\N
29810	96	1998-08-21	VYDAJ	VYBER KARTOU	2000	88170	\N	\N	0
29811	96	1998-09-20	VYDAJ	VYBER	14600	96258	\N	\N	\N
29812	96	1998-10-20	VYDAJ	VYBER	9600	94904	\N	\N	\N
29813	96	1998-11-19	VYDAJ	VYBER	16200	100395	\N	\N	\N
29814	96	1998-12-11	VYDAJ	VYBER	59800	93996	\N	\N	\N
29815	96	1998-12-19	VYDAJ	VYBER KARTOU	1100	91988	\N	\N	0
29886	97	1996-05-05	PRIJEM	VKLAD	900	900	\N	\N	\N
29891	97	1996-05-14	PRIJEM	VKLAD	17928	18828	\N	\N	\N
29892	97	1996-06-14	PRIJEM	VKLAD	26892	50266	\N	\N	\N
29893	97	1996-07-14	PRIJEM	VKLAD	17928	54546	\N	\N	\N
29894	97	1996-08-14	PRIJEM	VKLAD	17928	60094	\N	\N	\N
29895	97	1996-09-14	PRIJEM	VKLAD	17928	59663	\N	\N	\N
29896	97	1996-10-14	PRIJEM	VKLAD	17928	56155	\N	\N	\N
29897	97	1996-11-14	PRIJEM	VKLAD	17928	51798	\N	\N	\N
29898	97	1996-12-14	PRIJEM	VKLAD	26892	38395	\N	\N	\N
29899	97	1997-01-14	PRIJEM	VKLAD	17928	36685	\N	\N	\N
29900	97	1997-02-14	PRIJEM	VKLAD	17928	36237	\N	\N	\N
29901	97	1997-03-14	PRIJEM	VKLAD	17928	30136	\N	\N	\N
29902	97	1997-04-14	PRIJEM	VKLAD	17928	36221	\N	\N	\N
29903	97	1997-05-14	PRIJEM	VKLAD	17928	40537	\N	\N	\N
29904	97	1997-06-14	PRIJEM	VKLAD	26892	55322	\N	\N	\N
29905	97	1997-07-14	PRIJEM	VKLAD	17928	46889	\N	\N	\N
29906	97	1997-08-14	PRIJEM	VKLAD	17928	48435	\N	\N	\N
29907	97	1997-09-14	PRIJEM	VKLAD	17928	47605	\N	\N	\N
29908	97	1997-10-14	PRIJEM	VKLAD	17928	50157	\N	\N	\N
29909	97	1997-11-14	PRIJEM	VKLAD	17928	52716	\N	\N	\N
29910	97	1997-12-14	PRIJEM	VKLAD	26892	57172	\N	\N	\N
29911	97	1998-01-14	PRIJEM	VKLAD	17928	54270	\N	\N	\N
29912	97	1998-02-14	PRIJEM	VKLAD	17928	42481	\N	\N	\N
29913	97	1998-03-14	PRIJEM	VKLAD	17928	45807	\N	\N	\N
29914	97	1998-04-14	PRIJEM	VKLAD	17928	51449	\N	\N	\N
29915	97	1998-05-14	PRIJEM	VKLAD	17928	53812	\N	\N	\N
29916	97	1998-06-14	PRIJEM	VKLAD	26892	53727	\N	\N	\N
29917	97	1998-07-14	PRIJEM	VKLAD	17928	57689	\N	\N	\N
29918	97	1998-08-14	PRIJEM	VKLAD	17928	65450	\N	\N	\N
29919	97	1998-09-14	PRIJEM	VKLAD	17928	56906	\N	\N	\N
29920	97	1998-10-14	PRIJEM	VKLAD	17928	64644	\N	\N	\N
29921	97	1998-11-14	PRIJEM	VKLAD	17928	58494	\N	\N	\N
29922	97	1998-12-14	PRIJEM	VKLAD	26892	67288	\N	\N	\N
29932	97	1996-10-10	VYDAJ	PREVOD NA UCET	1436	38227	SIPO	ST	69820374
29933	97	1996-11-10	VYDAJ	PREVOD NA UCET	1436	33870	SIPO	ST	69820374
29934	97	1996-12-10	VYDAJ	PREVOD NA UCET	1436	11503	SIPO	ST	69820374
29935	97	1997-01-10	VYDAJ	PREVOD NA UCET	1436	18757	SIPO	ST	69820374
29936	97	1997-02-10	VYDAJ	PREVOD NA UCET	1436	18309	SIPO	ST	69820374
29937	97	1997-03-10	VYDAJ	PREVOD NA UCET	1436	12208	SIPO	ST	69820374
29938	97	1997-04-10	VYDAJ	PREVOD NA UCET	1436	21653	SIPO	ST	69820374
29939	97	1997-05-10	VYDAJ	PREVOD NA UCET	1436	22609	SIPO	ST	69820374
29940	97	1997-06-10	VYDAJ	PREVOD NA UCET	1436	28430	SIPO	ST	69820374
29941	97	1997-07-10	VYDAJ	PREVOD NA UCET	1436	34961	SIPO	ST	69820374
29942	97	1997-08-10	VYDAJ	PREVOD NA UCET	1436	39080	SIPO	ST	69820374
29943	97	1997-09-10	VYDAJ	PREVOD NA UCET	1436	38250	SIPO	ST	69820374
29944	97	1997-10-10	VYDAJ	PREVOD NA UCET	1436	40802	SIPO	ST	69820374
29945	97	1997-11-10	VYDAJ	PREVOD NA UCET	1436	43361	SIPO	ST	69820374
29946	97	1997-12-10	VYDAJ	PREVOD NA UCET	1436	44133	SIPO	ST	69820374
29947	97	1998-01-10	VYDAJ	PREVOD NA UCET	1436	44915	SIPO	ST	69820374
29948	97	1998-02-10	VYDAJ	PREVOD NA UCET	1436	33126	SIPO	ST	69820374
29949	97	1998-03-10	VYDAJ	PREVOD NA UCET	1436	36452	SIPO	ST	69820374
29950	97	1998-04-10	VYDAJ	PREVOD NA UCET	1436	42094	SIPO	ST	69820374
29951	97	1998-05-10	VYDAJ	PREVOD NA UCET	1436	44457	SIPO	ST	69820374
29952	97	1998-06-10	VYDAJ	PREVOD NA UCET	1436	35408	SIPO	ST	69820374
29953	97	1998-07-10	VYDAJ	PREVOD NA UCET	1436	48334	SIPO	ST	69820374
29954	97	1998-08-10	VYDAJ	PREVOD NA UCET	1436	47522	SIPO	ST	69820374
29955	97	1998-09-10	VYDAJ	PREVOD NA UCET	1436	38978	SIPO	ST	69820374
29956	97	1998-10-10	VYDAJ	PREVOD NA UCET	1436	46716	SIPO	ST	69820374
29957	97	1998-11-10	VYDAJ	PREVOD NA UCET	1436	40566	SIPO	ST	69820374
29958	97	1998-12-10	VYDAJ	PREVOD NA UCET	1436	40396	SIPO	ST	69820374
29967	97	1996-09-14	VYDAJ	PREVOD NA UCET	2411	57252	 	CD	33796209
29968	97	1996-10-14	VYDAJ	PREVOD NA UCET	2411	53744	 	CD	33796209
29969	97	1996-11-14	VYDAJ	PREVOD NA UCET	2411	49387	 	CD	33796209
29970	97	1996-12-14	VYDAJ	PREVOD NA UCET	2411	35984	 	CD	33796209
29971	97	1997-01-14	VYDAJ	PREVOD NA UCET	2411	34274	 	CD	33796209
29972	97	1997-02-14	VYDAJ	PREVOD NA UCET	2411	33826	 	CD	33796209
29973	97	1997-03-14	VYDAJ	PREVOD NA UCET	2411	27725	 	CD	33796209
29974	97	1997-04-14	VYDAJ	PREVOD NA UCET	2411	33810	 	CD	33796209
29975	97	1997-05-14	VYDAJ	PREVOD NA UCET	2411	38126	 	CD	33796209
29976	97	1997-06-14	VYDAJ	PREVOD NA UCET	2411	52911	 	CD	33796209
29977	97	1997-07-14	VYDAJ	PREVOD NA UCET	2411	44478	 	CD	33796209
29978	97	1997-08-14	VYDAJ	PREVOD NA UCET	2411	46024	 	CD	33796209
29979	97	1997-09-14	VYDAJ	PREVOD NA UCET	2411	45194	 	CD	33796209
29980	97	1997-10-14	VYDAJ	PREVOD NA UCET	2411	47746	 	CD	33796209
29981	97	1997-11-14	VYDAJ	PREVOD NA UCET	2411	50305	 	CD	33796209
29982	97	1997-12-14	VYDAJ	PREVOD NA UCET	2411	54761	 	CD	33796209
29983	97	1998-01-14	VYDAJ	PREVOD NA UCET	2411	51859	 	CD	33796209
29984	97	1998-02-14	VYDAJ	PREVOD NA UCET	2411	40070	 	CD	33796209
29985	97	1998-03-14	VYDAJ	PREVOD NA UCET	2411	43396	 	CD	33796209
29986	97	1998-04-14	VYDAJ	PREVOD NA UCET	2411	49038	 	CD	33796209
29987	97	1998-05-14	VYDAJ	PREVOD NA UCET	2411	51401	 	CD	33796209
29988	97	1998-06-14	VYDAJ	PREVOD NA UCET	2411	51316	 	CD	33796209
29989	97	1998-07-14	VYDAJ	PREVOD NA UCET	2411	55278	 	CD	33796209
29990	97	1998-08-14	VYDAJ	PREVOD NA UCET	2411	63039	 	CD	33796209
29991	97	1998-09-14	VYDAJ	PREVOD NA UCET	2411	54495	 	CD	33796209
29992	97	1998-10-14	VYDAJ	PREVOD NA UCET	2411	62233	 	CD	33796209
29993	97	1998-11-14	VYDAJ	PREVOD NA UCET	2411	56083	 	CD	33796209
29994	97	1998-12-14	VYDAJ	PREVOD NA UCET	2411	64877	 	CD	33796209
30004	97	1996-10-05	VYDAJ	PREVOD NA UCET	3	39678	POJISTNE	ST	83123987
30005	97	1996-11-05	VYDAJ	PREVOD NA UCET	3	35321	POJISTNE	ST	83123987
30006	97	1996-12-05	VYDAJ	PREVOD NA UCET	3	28454	POJISTNE	ST	83123987
30007	97	1997-01-05	VYDAJ	PREVOD NA UCET	3	25168	POJISTNE	ST	83123987
30008	97	1997-02-05	VYDAJ	PREVOD NA UCET	3	19760	POJISTNE	ST	83123987
30009	97	1997-03-05	VYDAJ	PREVOD NA UCET	3	13659	POJISTNE	ST	83123987
30010	97	1997-04-05	VYDAJ	PREVOD NA UCET	3	23104	POJISTNE	ST	83123987
30011	97	1997-05-05	VYDAJ	PREVOD NA UCET	3	24060	POJISTNE	ST	83123987
30012	97	1997-06-05	VYDAJ	PREVOD NA UCET	3	29881	POJISTNE	ST	83123987
30013	97	1997-07-05	VYDAJ	PREVOD NA UCET	3	36412	POJISTNE	ST	83123987
30014	97	1997-08-05	VYDAJ	PREVOD NA UCET	3	40531	POJISTNE	ST	83123987
30015	97	1997-09-05	VYDAJ	PREVOD NA UCET	3	39701	POJISTNE	ST	83123987
30016	97	1997-10-05	VYDAJ	PREVOD NA UCET	3	42253	POJISTNE	ST	83123987
30017	97	1997-11-05	VYDAJ	PREVOD NA UCET	3	44812	POJISTNE	ST	83123987
30018	97	1997-12-05	VYDAJ	PREVOD NA UCET	3	45584	POJISTNE	ST	83123987
30019	97	1998-01-05	VYDAJ	PREVOD NA UCET	3	46366	POJISTNE	ST	83123987
30020	97	1998-02-05	VYDAJ	PREVOD NA UCET	3	34577	POJISTNE	ST	83123987
30021	97	1998-03-05	VYDAJ	PREVOD NA UCET	3	37903	POJISTNE	ST	83123987
30022	97	1998-04-05	VYDAJ	PREVOD NA UCET	3	43545	POJISTNE	ST	83123987
30023	97	1998-05-05	VYDAJ	PREVOD NA UCET	3	45908	POJISTNE	ST	83123987
30024	97	1998-06-05	VYDAJ	PREVOD NA UCET	3	36859	POJISTNE	ST	83123987
30025	97	1998-07-05	VYDAJ	PREVOD NA UCET	3	49785	POJISTNE	ST	83123987
30026	97	1998-08-05	VYDAJ	PREVOD NA UCET	3	48973	POJISTNE	ST	83123987
30027	97	1998-09-05	VYDAJ	PREVOD NA UCET	3	40429	POJISTNE	ST	83123987
30028	97	1998-10-05	VYDAJ	PREVOD NA UCET	3	48167	POJISTNE	ST	83123987
30029	97	1998-11-05	VYDAJ	PREVOD NA UCET	3	44017	POJISTNE	ST	83123987
30030	97	1998-12-05	VYDAJ	PREVOD NA UCET	3	41847	POJISTNE	ST	83123987
30040	97	1996-10-07	VYDAJ	PREVOD NA UCET	15	39663	 	CD	94469666
30041	97	1996-11-07	VYDAJ	PREVOD NA UCET	15	35306	 	CD	94469666
30042	97	1996-12-07	VYDAJ	PREVOD NA UCET	15	24239	 	CD	94469666
30043	97	1997-01-07	VYDAJ	PREVOD NA UCET	15	25153	 	CD	94469666
30044	97	1997-02-07	VYDAJ	PREVOD NA UCET	15	19745	 	CD	94469666
30045	97	1997-03-07	VYDAJ	PREVOD NA UCET	15	13644	 	CD	94469666
30046	97	1997-04-07	VYDAJ	PREVOD NA UCET	15	23089	 	CD	94469666
30047	97	1997-05-07	VYDAJ	PREVOD NA UCET	15	24045	 	CD	94469666
30048	97	1997-06-07	VYDAJ	PREVOD NA UCET	15	29866	 	CD	94469666
30049	97	1997-07-07	VYDAJ	PREVOD NA UCET	15	36397	 	CD	94469666
30050	97	1997-08-07	VYDAJ	PREVOD NA UCET	15	40516	 	CD	94469666
30051	97	1997-09-07	VYDAJ	PREVOD NA UCET	15	39686	 	CD	94469666
30052	97	1997-10-07	VYDAJ	PREVOD NA UCET	15	42238	 	CD	94469666
30053	97	1997-11-07	VYDAJ	PREVOD NA UCET	15	44797	 	CD	94469666
30054	97	1997-12-07	VYDAJ	PREVOD NA UCET	15	45569	 	CD	94469666
30055	97	1998-01-07	VYDAJ	PREVOD NA UCET	15	46351	 	CD	94469666
30056	97	1998-02-07	VYDAJ	PREVOD NA UCET	15	34562	 	CD	94469666
30057	97	1998-03-07	VYDAJ	PREVOD NA UCET	15	37888	 	CD	94469666
30058	97	1998-04-07	VYDAJ	PREVOD NA UCET	15	43530	 	CD	94469666
30059	97	1998-05-07	VYDAJ	PREVOD NA UCET	15	45893	 	CD	94469666
30060	97	1998-06-07	VYDAJ	PREVOD NA UCET	15	36844	 	CD	94469666
30061	97	1998-07-07	VYDAJ	PREVOD NA UCET	15	49770	 	CD	94469666
30062	97	1998-08-07	VYDAJ	PREVOD NA UCET	15	48958	 	CD	94469666
30063	97	1998-09-07	VYDAJ	PREVOD NA UCET	15	40414	 	CD	94469666
30064	97	1998-10-07	VYDAJ	PREVOD NA UCET	15	48152	 	CD	94469666
30065	97	1998-11-07	VYDAJ	PREVOD NA UCET	15	44002	 	CD	94469666
30066	97	1998-12-07	VYDAJ	PREVOD NA UCET	15	41832	 	CD	94469666
30076	97	1996-10-18	VYDAJ	VYBER	6900	46844	\N	\N	0
30077	97	1996-11-26	VYDAJ	VYBER	8500	40887	\N	\N	0
30078	97	1996-12-09	VYDAJ	VYBER	11300	12939	\N	\N	0
30079	97	1997-01-19	VYDAJ	VYBER	11100	23174	\N	\N	0
30080	97	1997-02-19	VYDAJ	VYBER	8800	22386	\N	\N	0
30081	97	1997-02-24	VYDAJ	VYBER	7400	14986	\N	\N	0
30082	97	1997-04-14	VYDAJ	VYBER	6700	27110	\N	\N	0
30083	97	1997-05-16	VYDAJ	VYBER	8300	29826	\N	\N	0
30084	97	1997-06-20	VYDAJ	VYBER	8600	41671	\N	\N	0
30085	97	1997-07-11	VYDAJ	VYBER	6000	28961	\N	\N	0
30086	97	1997-08-12	VYDAJ	PREVOD NA UCET	8573	30507	UVER	MN	9693319
30087	97	1997-09-12	VYDAJ	PREVOD NA UCET	8573	29677	UVER	MN	9693319
30088	97	1997-10-12	VYDAJ	PREVOD NA UCET	8573	32229	UVER	MN	9693319
30089	97	1997-11-12	VYDAJ	PREVOD NA UCET	8573	34788	UVER	MN	9693319
30090	97	1997-12-12	VYDAJ	PREVOD NA UCET	8573	30280	UVER	MN	9693319
30091	97	1998-01-12	VYDAJ	PREVOD NA UCET	8573	36342	UVER	MN	9693319
30092	97	1998-02-12	VYDAJ	PREVOD NA UCET	8573	24553	UVER	MN	9693319
30093	97	1998-03-12	VYDAJ	PREVOD NA UCET	8573	27879	UVER	MN	9693319
30094	97	1998-04-12	VYDAJ	PREVOD NA UCET	8573	33521	UVER	MN	9693319
30095	97	1998-05-12	VYDAJ	PREVOD NA UCET	8573	35884	UVER	MN	9693319
30096	97	1998-06-12	VYDAJ	PREVOD NA UCET	8573	26835	UVER	MN	9693319
30097	97	1998-07-12	VYDAJ	PREVOD NA UCET	8573	39761	UVER	MN	9693319
30098	97	1998-08-18	VYDAJ	VYBER	6300	56739	\N	\N	0
30099	97	1998-08-26	VYDAJ	VYBER	8800	40239	\N	\N	0
30100	97	1998-10-17	VYDAJ	VYBER	10500	51733	\N	\N	0
30101	97	1998-11-16	VYDAJ	VYBER	8600	47483	\N	\N	0
30102	97	1998-12-21	VYDAJ	VYBER	9500	52377	\N	\N	0
30105	97	1998-06-04	VYDAJ	VYBER	9120	36862	\N	\N	\N
30107	97	1997-01-08	VYDAJ	VYBER	4960	20193	\N	\N	\N
30108	97	1998-01-19	VYDAJ	VYBER	15040	36819	\N	\N	\N
30109	97	1996-12-17	VYDAJ	VYBER	4320	31664	\N	\N	\N
30110	97	1997-12-24	VYDAJ	VYBER	2080	52681	\N	\N	\N
30111	97	1998-12-15	VYDAJ	VYBER KARTOU	3000	61877	\N	\N	0
30112	97	1996-12-06	VYDAJ	VYBER	4200	24254	\N	\N	\N
30116	97	1997-06-17	VYDAJ	VYBER	2640	50271	\N	\N	\N
30117	97	1997-12-11	VYDAJ	VYBER	5280	38853	\N	\N	\N
30118	97	1997-04-10	VYDAJ	VYBER	3360	18293	\N	\N	\N
30119	97	1997-05-21	VYDAJ	VYBER	2640	27186	\N	\N	\N
30120	97	1997-08-26	VYDAJ	VYBER	5280	40744	\N	\N	\N
30121	97	1997-04-17	VYDAJ	VYBER	1440	25670	\N	\N	\N
30122	97	1997-02-18	VYDAJ	VYBER	2640	31186	\N	\N	\N
30123	97	1998-11-07	VYDAJ	VYBER KARTOU	2000	42002	\N	\N	0
30124	97	1998-09-16	VYDAJ	VYBER KARTOU	2900	51595	\N	\N	0
30134	97	1996-09-30	VYDAJ	VYBER	15	57481	SLUZBY	\N	\N
30135	97	1996-10-31	VYDAJ	VYBER	15	47024	SLUZBY	\N	\N
30136	97	1996-11-30	VYDAJ	VYBER	15	41057	SLUZBY	\N	\N
30137	97	1996-12-31	VYDAJ	VYBER	15	25171	SLUZBY	\N	\N
30138	97	1997-01-31	VYDAJ	VYBER	15	19763	SLUZBY	\N	\N
30139	97	1997-02-28	VYDAJ	VYBER	15	15062	SLUZBY	\N	\N
30140	97	1997-03-31	VYDAJ	VYBER	15	27807	SLUZBY	\N	\N
30141	97	1997-04-30	VYDAJ	VYBER	15	24063	SLUZBY	\N	\N
30142	97	1997-05-31	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
30143	97	1997-06-30	VYDAJ	VYBER	15	36415	SLUZBY	\N	\N
30144	97	1997-07-31	VYDAJ	VYBER	15	40534	SLUZBY	\N	\N
30145	97	1997-08-31	VYDAJ	VYBER	15	39704	SLUZBY	\N	\N
30146	97	1997-09-30	VYDAJ	VYBER	15	42256	SLUZBY	\N	\N
30147	97	1997-10-31	VYDAJ	VYBER	15	44815	SLUZBY	\N	\N
30148	97	1997-11-30	VYDAJ	VYBER	15	45587	SLUZBY	\N	\N
30149	97	1997-12-31	VYDAJ	VYBER	15	46369	SLUZBY	\N	\N
30150	97	1998-01-31	VYDAJ	VYBER	15	34580	SLUZBY	\N	\N
30151	97	1998-02-28	VYDAJ	VYBER	15	37906	SLUZBY	\N	\N
30152	97	1998-03-31	VYDAJ	VYBER	15	43548	SLUZBY	\N	\N
30153	97	1998-04-30	VYDAJ	VYBER	15	45911	SLUZBY	\N	\N
30154	97	1998-05-31	VYDAJ	VYBER	15	45982	SLUZBY	\N	\N
30155	97	1998-06-30	VYDAJ	VYBER	15	49788	SLUZBY	\N	\N
30156	97	1998-07-31	VYDAJ	VYBER	15	48976	SLUZBY	\N	\N
30157	97	1998-08-31	VYDAJ	VYBER	15	40432	SLUZBY	\N	\N
30158	97	1998-09-30	VYDAJ	VYBER	15	48170	SLUZBY	\N	\N
30159	97	1998-10-31	VYDAJ	VYBER	15	44020	SLUZBY	\N	\N
30160	97	1998-11-30	VYDAJ	VYBER	15	41850	SLUZBY	\N	\N
30161	97	1996-06-04	PRIJEM	VKLAD	4500	23374	\N	\N	\N
30162	97	1996-07-04	VYDAJ	VYBER	13800	36618	\N	\N	\N
30163	97	1996-08-03	VYDAJ	VYBER	12600	42166	\N	\N	\N
30164	97	1996-09-02	VYDAJ	VYBER	18600	41735	\N	\N	\N
30165	97	1996-10-02	VYDAJ	VYBER	17800	39681	\N	\N	\N
30166	97	1996-11-01	VYDAJ	VYBER	11700	35324	\N	\N	\N
30167	97	1996-12-01	VYDAJ	VYBER	12600	28457	\N	\N	\N
30168	97	1996-12-31	VYDAJ	VYBER	6600	25186	\N	\N	\N
30169	97	1997-01-30	VYDAJ	VYBER	3500	19674	\N	\N	\N
30170	97	1997-03-01	VYDAJ	VYBER	1400	13662	\N	\N	\N
30171	97	1997-03-31	VYDAJ	VYBER	4700	23107	\N	\N	\N
30172	97	1997-04-30	VYDAJ	VYBER	1700	24077	\N	\N	\N
30173	97	1997-05-30	PRIJEM	VKLAD	2600	29786	\N	\N	\N
30174	97	1997-06-29	VYDAJ	VYBER	5400	36271	\N	\N	\N
30175	97	1997-07-29	VYDAJ	VYBER	4100	40378	\N	\N	\N
30176	97	1997-08-28	VYDAJ	VYBER	1200	39544	\N	\N	\N
30177	97	1997-09-27	VYDAJ	VYBER	3100	42094	\N	\N	\N
30178	97	1997-10-27	VYDAJ	VYBER	3100	44646	\N	\N	\N
30179	97	1997-11-26	VYDAJ	VYBER	4900	45405	\N	\N	\N
30180	97	1997-12-26	VYDAJ	VYBER	6500	46181	\N	\N	\N
30181	97	1998-01-25	VYDAJ	VYBER	2400	34419	\N	\N	\N
30182	97	1998-02-24	VYDAJ	VYBER	2300	37770	\N	\N	\N
30183	97	1998-04-25	VYDAJ	VYBER	3300	45738	\N	\N	\N
30184	97	1998-05-25	VYDAJ	VYBER	5600	45801	\N	\N	\N
30185	97	1998-06-24	VYDAJ	VYBER KARTOU	1700	49616	\N	\N	0
30186	97	1998-07-24	VYDAJ	VYBER	6500	48778	\N	\N	\N
30187	97	1998-08-23	VYDAJ	VYBER	7700	49039	\N	\N	\N
30188	97	1998-09-22	VYDAJ	VYBER KARTOU	3600	47995	\N	\N	0
30189	97	1998-10-22	VYDAJ	VYBER	7900	43833	\N	\N	\N
30190	97	1998-11-21	VYDAJ	VYBER	5800	41683	\N	\N	\N
30223	98	1997-05-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
30228	98	1997-05-10	PRIJEM	PREVOD Z UCTU	4557	5657	DUCHOD	GH	50599706
30229	98	1997-06-10	PRIJEM	PREVOD Z UCTU	4557	10231	DUCHOD	GH	50599706
30230	98	1997-07-10	PRIJEM	PREVOD Z UCTU	4557	14811	DUCHOD	GH	50599706
30231	98	1997-08-10	PRIJEM	PREVOD Z UCTU	4557	19392	DUCHOD	GH	50599706
30232	98	1997-09-10	PRIJEM	PREVOD Z UCTU	4557	23276	DUCHOD	GH	50599706
30233	98	1997-10-10	PRIJEM	PREVOD Z UCTU	4557	25586	DUCHOD	GH	50599706
30234	98	1997-11-10	PRIJEM	PREVOD Z UCTU	4557	25006	DUCHOD	GH	50599706
30235	98	1997-12-10	PRIJEM	PREVOD Z UCTU	4557	24225	DUCHOD	GH	50599706
30236	98	1998-01-10	PRIJEM	PREVOD Z UCTU	4557	16558	DUCHOD	GH	50599706
30237	98	1998-02-10	PRIJEM	PREVOD Z UCTU	4557	14457	DUCHOD	GH	50599706
30238	98	1998-03-10	PRIJEM	PREVOD Z UCTU	4557	14432	DUCHOD	GH	50599706
30239	98	1998-04-10	PRIJEM	PREVOD Z UCTU	4557	16708	DUCHOD	GH	50599706
30240	98	1998-05-10	PRIJEM	PREVOD Z UCTU	4557	18993	DUCHOD	GH	50599706
30241	98	1998-06-10	PRIJEM	PREVOD Z UCTU	4557	18564	DUCHOD	GH	50599706
30242	98	1998-07-10	PRIJEM	PREVOD Z UCTU	4557	14911	DUCHOD	GH	50599706
30243	98	1998-08-10	PRIJEM	PREVOD Z UCTU	4557	17189	DUCHOD	GH	50599706
30244	98	1998-09-10	PRIJEM	PREVOD Z UCTU	4557	17074	DUCHOD	GH	50599706
30245	98	1998-10-10	PRIJEM	PREVOD Z UCTU	4557	19361	DUCHOD	GH	50599706
30246	98	1998-11-10	PRIJEM	PREVOD Z UCTU	4557	21657	DUCHOD	GH	50599706
30247	98	1998-12-10	PRIJEM	PREVOD Z UCTU	4557	16254	DUCHOD	GH	50599706
30256	98	1997-09-13	VYDAJ	PREVOD NA UCET	1569	21707	SIPO	CD	94078754
30257	98	1997-10-13	VYDAJ	PREVOD NA UCET	1569	24017	SIPO	CD	94078754
30258	98	1997-11-13	VYDAJ	PREVOD NA UCET	1569	23437	SIPO	CD	94078754
30259	98	1997-12-13	VYDAJ	PREVOD NA UCET	1569	22656	SIPO	CD	94078754
30260	98	1998-01-13	VYDAJ	PREVOD NA UCET	1569	13389	SIPO	CD	94078754
30261	98	1998-02-13	VYDAJ	PREVOD NA UCET	1569	12888	SIPO	CD	94078754
30262	98	1998-03-13	VYDAJ	PREVOD NA UCET	1569	12863	SIPO	CD	94078754
30263	98	1998-04-13	VYDAJ	PREVOD NA UCET	1569	15139	SIPO	CD	94078754
30264	98	1998-05-13	VYDAJ	PREVOD NA UCET	1569	16304	SIPO	CD	94078754
30265	98	1998-06-13	VYDAJ	PREVOD NA UCET	1569	16995	SIPO	CD	94078754
30266	98	1998-07-13	VYDAJ	PREVOD NA UCET	1569	13342	SIPO	CD	94078754
30267	98	1998-08-13	VYDAJ	PREVOD NA UCET	1569	15620	SIPO	CD	94078754
30268	98	1998-09-13	VYDAJ	PREVOD NA UCET	1569	15505	SIPO	CD	94078754
30269	98	1998-10-13	VYDAJ	PREVOD NA UCET	1569	17792	SIPO	CD	94078754
30270	98	1998-11-13	VYDAJ	PREVOD NA UCET	1569	20088	SIPO	CD	94078754
30271	98	1998-12-13	VYDAJ	PREVOD NA UCET	1569	14685	SIPO	CD	94078754
30281	98	1997-10-09	VYDAJ	PREVOD NA UCET	749	21029	 	WX	95535426
30282	98	1997-11-09	VYDAJ	PREVOD NA UCET	749	20449	 	WX	95535426
30283	98	1997-12-09	VYDAJ	PREVOD NA UCET	749	19668	 	WX	95535426
30284	98	1998-01-09	VYDAJ	PREVOD NA UCET	749	12001	 	WX	95535426
30285	98	1998-02-09	VYDAJ	PREVOD NA UCET	749	9900	 	WX	95535426
30286	98	1998-03-09	VYDAJ	PREVOD NA UCET	749	9875	 	WX	95535426
30287	98	1998-04-09	VYDAJ	PREVOD NA UCET	749	12151	 	WX	95535426
30288	98	1998-05-09	VYDAJ	PREVOD NA UCET	749	14436	 	WX	95535426
30289	98	1998-06-09	VYDAJ	PREVOD NA UCET	749	14007	 	WX	95535426
30290	98	1998-07-09	VYDAJ	PREVOD NA UCET	749	10354	 	WX	95535426
30291	98	1998-08-09	VYDAJ	PREVOD NA UCET	749	12632	 	WX	95535426
30292	98	1998-09-09	VYDAJ	PREVOD NA UCET	749	12517	 	WX	95535426
30293	98	1998-10-09	VYDAJ	PREVOD NA UCET	749	14804	 	WX	95535426
30294	98	1998-11-09	VYDAJ	PREVOD NA UCET	749	17100	 	WX	95535426
30295	98	1998-12-09	VYDAJ	PREVOD NA UCET	749	11697	 	WX	95535426
30300	98	1997-12-30	VYDAJ	VYBER	700	15556	\N	\N	\N
30301	98	1998-12-28	VYDAJ	VYBER	300	14385	\N	\N	\N
30308	98	1998-01-08	VYDAJ	VYBER	2000	12750	\N	\N	\N
30310	98	1998-01-13	VYDAJ	VYBER	880	12509	\N	\N	\N
30312	98	1998-01-03	VYDAJ	VYBER	880	14750	\N	\N	\N
30313	98	1998-01-11	VYDAJ	VYBER	1600	14958	\N	\N	\N
30315	98	1997-10-25	VYDAJ	VYBER	1600	22417	\N	\N	\N
30319	98	1998-06-21	VYDAJ	VYBER	2240	14755	\N	\N	\N
30320	98	1998-08-24	VYDAJ	VYBER	2400	13220	\N	\N	\N
30321	98	1998-05-12	VYDAJ	VYBER	1120	17873	\N	\N	\N
30332	98	1997-09-30	VYDAJ	VYBER	15	21778	SLUZBY	\N	\N
30333	98	1997-10-31	VYDAJ	VYBER	15	21198	SLUZBY	\N	\N
30334	98	1997-11-30	VYDAJ	VYBER	15	20417	SLUZBY	\N	\N
30335	98	1997-12-31	VYDAJ	VYBER	15	15630	SLUZBY	\N	\N
30336	98	1998-01-31	VYDAJ	VYBER	15	10649	SLUZBY	\N	\N
30337	98	1998-02-28	VYDAJ	VYBER	15	10624	SLUZBY	\N	\N
30338	98	1998-03-31	VYDAJ	VYBER	15	12900	SLUZBY	\N	\N
30339	98	1998-04-30	VYDAJ	VYBER	15	15185	SLUZBY	\N	\N
30340	98	1998-05-31	VYDAJ	VYBER	15	14756	SLUZBY	\N	\N
30341	98	1998-06-30	VYDAJ	VYBER	15	11103	SLUZBY	\N	\N
30342	98	1998-07-31	VYDAJ	VYBER	15	13381	SLUZBY	\N	\N
30343	98	1998-08-31	VYDAJ	VYBER	15	13266	SLUZBY	\N	\N
30344	98	1998-09-30	VYDAJ	VYBER	15	15553	SLUZBY	\N	\N
30345	98	1998-10-31	VYDAJ	VYBER	15	17849	SLUZBY	\N	\N
30346	98	1998-11-30	VYDAJ	VYBER	15	12446	SLUZBY	\N	\N
30347	98	1997-08-30	VYDAJ	VYBER	700	18692	\N	\N	\N
30348	98	1997-10-29	VYDAJ	VYBER	1300	21117	\N	\N	\N
30349	98	1997-11-28	VYDAJ	VYBER	3100	20337	\N	\N	\N
30350	98	1997-12-28	VYDAJ	VYBER	6400	16256	\N	\N	\N
30351	98	1998-01-27	VYDAJ	VYBER	1900	10609	\N	\N	\N
30352	98	1998-02-26	VYDAJ	VYBER	2300	10588	\N	\N	\N
30353	98	1998-05-27	VYDAJ	VYBER	1600	14704	\N	\N	\N
30354	98	1998-06-26	VYDAJ	VYBER	3700	11055	\N	\N	\N
30355	98	1998-11-23	VYDAJ	VYBER	7700	12388	\N	\N	\N
30376	99	1995-06-27	PRIJEM	VKLAD	600	600	\N	\N	\N
30377	99	1995-08-22	PRIJEM	VKLAD	27299	90347	\N	\N	\N
30378	99	1995-08-01	PRIJEM	VKLAD	8539	63048	\N	\N	\N
30384	99	1995-07-30	PRIJEM	VKLAD	40794	54494	\N	\N	\N
30385	99	1996-06-18	PRIJEM	VKLAD	14222	81108	\N	\N	\N
30386	99	1996-03-08	PRIJEM	VKLAD	13598	109951	\N	\N	\N
30387	99	1996-04-20	PRIJEM	VKLAD	32434	80020	\N	\N	\N
30388	99	1996-06-08	PRIJEM	VKLAD	39458	76071	\N	\N	\N
30389	99	1996-11-28	PRIJEM	VKLAD	12686	59291	\N	\N	\N
30390	99	1996-11-24	PRIJEM	VKLAD	19333	46605	\N	\N	\N
30391	99	1996-01-05	PRIJEM	VKLAD	35048	68846	\N	\N	\N
30392	99	1996-03-21	PRIJEM	VKLAD	26988	62854	\N	\N	\N
30393	99	1996-07-14	PRIJEM	VKLAD	26529	70570	\N	\N	\N
30394	99	1996-11-15	PRIJEM	VKLAD	18633	32472	\N	\N	\N
30395	99	1996-12-09	PRIJEM	VKLAD	26156	97122	\N	\N	\N
30396	99	1996-02-20	PRIJEM	VKLAD	13631	62514	\N	\N	\N
30397	99	1996-10-19	PRIJEM	VKLAD	11300	26645	\N	\N	\N
30398	99	1996-04-10	PRIJEM	VKLAD	16443	52268	\N	\N	\N
30399	99	1996-08-15	PRIJEM	VKLAD	5255	45753	\N	\N	\N
30400	99	1996-12-29	PRIJEM	VKLAD	39839	94576	\N	\N	\N
30401	99	1996-12-07	PRIJEM	VKLAD	16065	70966	\N	\N	\N
30402	99	1996-02-29	PRIJEM	VKLAD	49346	96160	\N	\N	\N
30403	99	1997-02-01	PRIJEM	VKLAD	32440	107405	\N	\N	\N
30404	99	1997-06-19	PRIJEM	VKLAD	38277	90441	\N	\N	\N
30405	99	1997-07-06	PRIJEM	VKLAD	24681	107309	\N	\N	\N
30406	99	1997-05-16	PRIJEM	VKLAD	49677	73125	\N	\N	\N
30407	99	1997-06-09	PRIJEM	VKLAD	48377	95349	\N	\N	\N
30408	99	1997-07-17	PRIJEM	VKLAD	47809	107733	\N	\N	\N
30409	99	1997-07-22	PRIJEM	VKLAD	30352	122885	\N	\N	\N
30410	99	1997-10-26	PRIJEM	VKLAD	9702	46980	\N	\N	\N
30411	99	1997-01-31	PRIJEM	VKLAD	39502	74979	\N	\N	\N
30412	99	1997-10-20	PRIJEM	VKLAD	21064	37278	\N	\N	\N
30413	99	1997-01-13	PRIJEM	VKLAD	42818	117733	\N	\N	\N
30414	99	1997-03-28	PRIJEM	VKLAD	15419	36885	\N	\N	\N
30415	99	1997-09-25	PRIJEM	VKLAD	32644	54466	\N	\N	\N
30416	99	1997-08-26	PRIJEM	VKLAD	19500	60391	\N	\N	\N
30417	99	1997-07-30	PRIJEM	VKLAD	30198	116283	\N	\N	\N
30418	99	1997-04-04	PRIJEM	VKLAD	49889	86881	\N	\N	\N
30419	99	1997-01-21	PRIJEM	VKLAD	10334	53467	\N	\N	\N
30420	99	1998-04-12	PRIJEM	VKLAD	8149	64638	\N	\N	\N
30421	99	1998-06-01	PRIJEM	VKLAD	5569	93753	\N	\N	\N
30422	99	1998-05-29	PRIJEM	VKLAD	19802	88015	\N	\N	\N
30423	99	1998-08-06	PRIJEM	VKLAD	12468	39718	\N	\N	\N
30424	99	1998-04-27	PRIJEM	VKLAD	10110	40648	\N	\N	\N
30425	99	1998-05-24	PRIJEM	VKLAD	44184	70013	\N	\N	\N
30426	99	1998-08-15	PRIJEM	VKLAD	15991	39824	\N	\N	\N
30427	99	1998-05-05	PRIJEM	VKLAD	11092	51914	\N	\N	\N
30428	99	1998-04-10	PRIJEM	VKLAD	23957	61171	\N	\N	\N
30429	99	1998-03-23	PRIJEM	VKLAD	44921	45623	\N	\N	\N
30444	99	1996-03-09	VYDAJ	PREVOD NA UCET	4503	40548	SIPO	CD	38411343
30445	99	1996-04-09	VYDAJ	PREVOD NA UCET	4503	35825	SIPO	CD	38411343
30446	99	1996-05-09	VYDAJ	PREVOD NA UCET	4503	49424	SIPO	CD	38411343
30447	99	1996-06-09	VYDAJ	PREVOD NA UCET	4503	71568	SIPO	CD	38411343
30448	99	1996-07-09	VYDAJ	PREVOD NA UCET	4503	48723	SIPO	CD	38411343
30449	99	1996-08-09	VYDAJ	PREVOD NA UCET	4503	45180	SIPO	CD	38411343
30450	99	1996-09-09	VYDAJ	PREVOD NA UCET	4503	30609	SIPO	CD	38411343
30451	99	1996-10-09	VYDAJ	PREVOD NA UCET	4503	20027	SIPO	CD	38411343
30452	99	1996-11-09	VYDAJ	PREVOD NA UCET	4503	18521	SIPO	CD	38411343
30453	99	1996-12-09	VYDAJ	PREVOD NA UCET	4503	92619	SIPO	CD	38411343
30454	99	1997-01-09	VYDAJ	PREVOD NA UCET	4503	79597	SIPO	CD	38411343
30455	99	1997-02-09	VYDAJ	PREVOD NA UCET	4503	52902	SIPO	CD	38411343
30456	99	1997-03-09	VYDAJ	PREVOD NA UCET	4503	30848	SIPO	CD	38411343
30457	99	1997-04-09	VYDAJ	PREVOD NA UCET	4503	82378	SIPO	CD	38411343
30458	99	1997-05-09	VYDAJ	PREVOD NA UCET	4503	28130	SIPO	CD	38411343
30459	99	1997-06-09	VYDAJ	PREVOD NA UCET	4503	90846	SIPO	CD	38411343
30460	99	1997-07-09	VYDAJ	PREVOD NA UCET	4503	102806	SIPO	CD	38411343
30461	99	1997-08-09	VYDAJ	PREVOD NA UCET	4503	60873	SIPO	CD	38411343
30462	99	1997-09-09	VYDAJ	PREVOD NA UCET	4503	47098	SIPO	CD	38411343
30463	99	1997-10-09	VYDAJ	PREVOD NA UCET	4503	28396	SIPO	CD	38411343
30464	99	1997-11-09	VYDAJ	PREVOD NA UCET	4503	36916	SIPO	CD	38411343
30465	99	1997-12-09	VYDAJ	PREVOD NA UCET	4503	22647	SIPO	CD	38411343
30466	99	1998-01-09	VYDAJ	PREVOD NA UCET	4503	14535	SIPO	CD	38411343
30467	99	1998-02-09	VYDAJ	PREVOD NA UCET	4503	5386	SIPO	CD	38411343
30469	99	1998-04-09	VYDAJ	PREVOD NA UCET	4503	37214	SIPO	CD	38411343
30470	99	1998-05-09	VYDAJ	PREVOD NA UCET	4503	47411	SIPO	CD	38411343
30471	99	1998-06-09	VYDAJ	PREVOD NA UCET	4503	89250	SIPO	CD	38411343
30472	99	1998-07-09	VYDAJ	PREVOD NA UCET	4503	45207	SIPO	CD	38411343
30473	99	1998-08-09	VYDAJ	PREVOD NA UCET	4503	35215	SIPO	CD	38411343
30474	99	1998-09-09	VYDAJ	PREVOD NA UCET	4503	33342	SIPO	CD	38411343
30475	99	1998-10-09	VYDAJ	PREVOD NA UCET	4503	16134	SIPO	CD	38411343
30476	99	1998-11-09	VYDAJ	PREVOD NA UCET	4503	6986	SIPO	CD	38411343
30492	99	1996-03-10	VYDAJ	PREVOD NA UCET	4682	35866	 	EF	26847303
30493	99	1996-04-10	VYDAJ	PREVOD NA UCET	4682	47586	 	EF	26847303
30494	99	1996-05-10	VYDAJ	PREVOD NA UCET	4682	44742	 	EF	26847303
30495	99	1996-06-10	VYDAJ	PREVOD NA UCET	4682	66886	 	EF	26847303
30496	99	1996-07-10	VYDAJ	PREVOD NA UCET	4682	44041	 	EF	26847303
30497	99	1996-08-10	VYDAJ	PREVOD NA UCET	4682	40498	 	EF	26847303
30498	99	1996-09-10	VYDAJ	PREVOD NA UCET	4682	25927	 	EF	26847303
30499	99	1996-10-10	VYDAJ	PREVOD NA UCET	4682	15345	 	EF	26847303
30500	99	1996-11-10	VYDAJ	PREVOD NA UCET	4682	13839	 	EF	26847303
30501	99	1996-12-10	VYDAJ	PREVOD NA UCET	4682	87937	 	EF	26847303
30502	99	1997-01-10	VYDAJ	PREVOD NA UCET	4682	74915	 	EF	26847303
30503	99	1997-02-10	VYDAJ	PREVOD NA UCET	4682	48220	 	EF	26847303
30504	99	1997-03-10	VYDAJ	PREVOD NA UCET	4682	26166	 	EF	26847303
30505	99	1997-04-10	VYDAJ	PREVOD NA UCET	4682	77696	 	EF	26847303
30506	99	1997-05-10	VYDAJ	PREVOD NA UCET	4682	23448	 	EF	26847303
30507	99	1997-06-10	VYDAJ	PREVOD NA UCET	4682	86164	 	EF	26847303
30508	99	1997-07-10	VYDAJ	PREVOD NA UCET	4682	98124	 	EF	26847303
30509	99	1997-08-10	VYDAJ	PREVOD NA UCET	4682	56191	 	EF	26847303
30510	99	1997-09-10	VYDAJ	PREVOD NA UCET	4682	29322	 	EF	26847303
30511	99	1997-10-10	VYDAJ	PREVOD NA UCET	4682	23714	 	EF	26847303
30512	99	1997-11-10	VYDAJ	PREVOD NA UCET	4682	32234	 	EF	26847303
30513	99	1997-12-10	VYDAJ	PREVOD NA UCET	4682	17965	 	EF	26847303
30514	99	1998-01-10	VYDAJ	PREVOD NA UCET	4682	9853	 	EF	26847303
30515	99	1998-02-10	VYDAJ	PREVOD NA UCET	4682	704	 	EF	26847303
30517	99	1998-04-10	VYDAJ	PREVOD NA UCET	4682	56489	 	EF	26847303
30518	99	1998-05-10	VYDAJ	PREVOD NA UCET	4682	42729	 	EF	26847303
30519	99	1998-06-10	VYDAJ	PREVOD NA UCET	4682	84568	 	EF	26847303
30520	99	1998-07-10	VYDAJ	PREVOD NA UCET	4682	40525	 	EF	26847303
30521	99	1998-08-10	VYDAJ	PREVOD NA UCET	4682	30533	 	EF	26847303
30522	99	1998-09-10	VYDAJ	PREVOD NA UCET	4682	16860	 	EF	26847303
30523	99	1998-10-10	VYDAJ	PREVOD NA UCET	4682	11452	 	EF	26847303
30524	99	1998-11-10	VYDAJ	PREVOD NA UCET	4682	2304	 	EF	26847303
30531	99	1996-12-30	VYBER	VYBER	10751	83825	\N	\N	\N
30532	99	1996-04-03	VYBER	VYBER	8250	40328	\N	\N	\N
30534	99	1997-01-25	VYBER	VYBER	18275	35192	\N	\N	\N
30535	99	1997-09-10	VYBER	VYBER	13094	34004	\N	\N	\N
30536	99	1997-04-13	VYBER	VYBER	22327	55369	\N	\N	\N
30537	99	1997-10-03	VYBER	VYBER	21720	32899	\N	\N	\N
30542	99	1998-04-04	VYBER	VYBER	3899	41717	\N	\N	\N
30544	99	1996-12-02	VYDAJ	VYBER	4500	54901	\N	\N	\N
30552	99	1997-06-23	VYDAJ	VYBER	3900	86541	\N	\N	\N
30553	99	1997-10-29	VYDAJ	VYBER	5700	41280	\N	\N	\N
30554	99	1997-09-07	VYDAJ	VYBER	9000	51601	\N	\N	\N
30555	99	1997-04-17	VYDAJ	VYBER	6300	32469	\N	\N	\N
30556	99	1997-03-27	VYDAJ	VYBER	2100	21466	\N	\N	\N
30557	99	1997-06-27	VYDAJ	VYBER	4200	82341	\N	\N	\N
30559	99	1998-04-19	VYDAJ	VYBER	4800	30538	\N	\N	\N
30561	99	1998-08-20	VYDAJ	VYBER	2100	37724	\N	\N	\N
30563	99	1998-05-28	VYDAJ	VYBER	1800	68213	\N	\N	\N
30579	99	1996-02-29	VYDAJ	VYBER	15	96353	SLUZBY	\N	\N
30580	99	1996-03-31	VYDAJ	VYBER	15	48578	SLUZBY	\N	\N
30581	99	1996-04-30	VYDAJ	VYBER	15	53927	SLUZBY	\N	\N
30582	99	1996-05-31	VYDAJ	VYBER	15	36613	SLUZBY	\N	\N
30583	99	1996-06-30	VYDAJ	VYBER	15	53226	SLUZBY	\N	\N
30584	99	1996-07-31	VYDAJ	VYBER	15	49683	SLUZBY	\N	\N
30585	99	1996-08-31	VYDAJ	VYBER	15	35112	SLUZBY	\N	\N
30586	99	1996-09-30	VYDAJ	VYBER	15	24530	SLUZBY	\N	\N
30587	99	1996-10-31	VYDAJ	VYBER	15	23024	SLUZBY	\N	\N
30588	99	1996-11-30	VYDAJ	VYBER	15	59401	SLUZBY	\N	\N
30589	99	1996-12-31	VYDAJ	VYBER	15	84100	SLUZBY	\N	\N
30590	99	1997-01-31	VYDAJ	VYBER	15	74965	SLUZBY	\N	\N
30591	99	1997-02-28	VYDAJ	VYBER	15	35351	SLUZBY	\N	\N
30592	99	1997-03-31	VYDAJ	VYBER	15	36992	SLUZBY	\N	\N
30593	99	1997-04-30	VYDAJ	VYBER	15	32633	SLUZBY	\N	\N
30594	99	1997-05-31	VYDAJ	VYBER	15	46972	SLUZBY	\N	\N
30595	99	1997-06-30	VYDAJ	VYBER	15	82628	SLUZBY	\N	\N
30596	99	1997-07-31	VYDAJ	VYBER	15	65376	SLUZBY	\N	\N
30597	99	1997-08-31	VYDAJ	VYBER	15	60601	SLUZBY	\N	\N
30598	99	1997-09-30	VYDAJ	VYBER	15	54619	SLUZBY	\N	\N
30599	99	1997-10-31	VYDAJ	VYBER	15	41419	SLUZBY	\N	\N
30600	99	1997-11-30	VYDAJ	VYBER	15	27150	SLUZBY	\N	\N
30601	99	1997-12-31	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
30602	99	1998-01-31	VYDAJ	VYBER	15	9889	SLUZBY	\N	\N
30603	99	1998-02-28	VYDAJ	VYBER	15	702	SLUZBY	\N	\N
30604	99	1998-03-31	VYDAJ	VYBER	15	45616	SLUZBY	\N	\N
30605	99	1998-04-30	VYDAJ	VYBER	15	40822	SLUZBY	\N	\N
30606	99	1998-05-31	VYDAJ	VYBER	15	88184	SLUZBY	\N	\N
30607	99	1998-06-30	VYDAJ	VYBER	15	49710	SLUZBY	\N	\N
30608	99	1998-07-31	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
30609	99	1998-08-31	VYDAJ	VYBER	15	37845	SLUZBY	\N	\N
30610	99	1998-09-30	VYDAJ	VYBER	15	16937	SLUZBY	\N	\N
30611	99	1998-10-31	VYDAJ	VYBER	15	11489	SLUZBY	\N	\N
30612	99	1998-11-30	VYDAJ	VYBER	15	2307	SLUZBY	\N	\N
30613	99	1995-07-27	PRIJEM	VKLAD	13100	13700	\N	\N	\N
30614	99	1995-08-26	VYDAJ	VYBER	30300	60047	\N	\N	\N
30615	99	1995-09-25	VYDAJ	VYBER	14500	45797	\N	\N	\N
30616	99	1995-10-25	VYDAJ	VYBER	7200	38848	\N	\N	\N
30617	99	1995-11-24	VYDAJ	VYBER	5100	33998	\N	\N	\N
30618	99	1995-12-24	VYDAJ	VYBER	700	33548	\N	\N	\N
30619	99	1996-01-23	VYDAJ	VYBER	20200	48646	\N	\N	\N
30620	99	1996-02-22	VYDAJ	VYBER	15700	46814	\N	\N	\N
30621	99	1996-03-08	VYDAJ	VYBER	64900	45051	\N	\N	\N
30622	99	1996-03-23	VYDAJ	VYBER	14500	48354	\N	\N	\N
30623	99	1996-04-22	VYDAJ	VYBER	26300	53720	\N	\N	\N
30624	99	1996-05-22	VYDAJ	VYBER	8300	36442	\N	\N	\N
30625	99	1996-06-21	VYDAJ	VYBER	28100	53008	\N	\N	\N
30626	99	1996-07-21	VYDAJ	VYBER	21100	49470	\N	\N	\N
30627	99	1996-08-20	VYDAJ	VYBER	10800	34953	\N	\N	\N
30628	99	1996-09-19	VYDAJ	VYBER	1500	24427	\N	\N	\N
30629	99	1996-10-19	VYDAJ	VYBER	3700	22945	\N	\N	\N
30630	99	1996-11-18	VYDAJ	VYBER	5200	27272	\N	\N	\N
30631	99	1996-12-18	VYDAJ	VYBER	33200	54737	\N	\N	\N
30632	99	1997-01-13	VYDAJ	VYBER	52800	64933	\N	\N	\N
30633	99	1997-01-17	VYDAJ	VYBER	21800	43133	\N	\N	\N
30634	99	1997-02-01	VYDAJ	VYBER	50000	57405	\N	\N	\N
30635	99	1997-02-16	VYDAJ	VYBER	13100	35120	\N	\N	\N
30636	99	1997-03-18	VYDAJ	VYBER	2600	23566	\N	\N	\N
30637	99	1997-04-17	VYDAJ	VYBER	16600	38769	\N	\N	\N
30638	99	1997-05-17	VYDAJ	VYBER	26300	46825	\N	\N	\N
30639	99	1997-06-16	VYDAJ	VYBER	34000	52164	\N	\N	\N
30640	99	1997-07-16	VYDAJ	VYBER	38200	59924	\N	\N	\N
30641	99	1997-07-17	VYDAJ	VYBER	15200	92533	\N	\N	\N
30642	99	1997-07-22	VYDAJ	VYBER	36800	86085	\N	\N	\N
30643	99	1997-07-30	VYDAJ	VYBER	51300	64983	\N	\N	\N
30644	99	1997-08-15	VYDAJ	VYBER	15300	40891	\N	\N	\N
30645	99	1997-09-14	VYDAJ	VYBER	7500	21822	\N	\N	\N
30646	99	1997-10-14	VYDAJ	VYBER	7500	16214	\N	\N	\N
30647	99	1997-11-13	VYDAJ	VYBER	5200	27034	\N	\N	\N
30648	99	1997-12-13	PRIJEM	VKLAD	1000	18965	\N	\N	\N
30649	99	1998-04-12	VYDAJ	VYBER	29300	35338	\N	\N	\N
30650	99	1998-05-12	VYDAJ	VYBER	16900	25829	\N	\N	\N
30651	99	1998-06-11	VYDAJ	VYBER	35100	49468	\N	\N	\N
30652	99	1998-07-11	VYDAJ	VYBER	13400	27125	\N	\N	\N
30653	99	1998-08-10	VYDAJ	VYBER	6700	23833	\N	\N	\N
30654	99	1998-09-09	VYDAJ	VYBER	11800	21542	\N	\N	\N
30655	99	1998-10-09	PRIJEM	VKLAD	3700	20637	\N	\N	\N
30700	100	1993-12-28	PRIJEM	VKLAD	600	600	\N	\N	\N
30713	100	1994-01-05	PRIJEM	VKLAD	11891	12491	\N	\N	\N
30714	100	1994-02-05	PRIJEM	VKLAD	11891	30094	\N	\N	\N
30715	100	1994-03-05	PRIJEM	VKLAD	11891	41466	\N	\N	\N
30716	100	1994-04-05	PRIJEM	VKLAD	11891	45682	\N	\N	\N
30717	100	1994-05-05	PRIJEM	VKLAD	11891	45313	\N	\N	\N
30718	100	1994-06-05	PRIJEM	VKLAD	17837	49458	\N	\N	\N
30719	100	1994-07-05	PRIJEM	VKLAD	11891	34398	\N	\N	\N
30720	100	1994-08-05	PRIJEM	VKLAD	11891	39558	\N	\N	\N
30721	100	1994-09-05	PRIJEM	VKLAD	11891	41536	\N	\N	\N
30722	100	1994-10-05	PRIJEM	VKLAD	11891	43321	\N	\N	\N
30723	100	1994-11-05	PRIJEM	VKLAD	11891	44213	\N	\N	\N
30724	100	1994-12-05	PRIJEM	VKLAD	17837	47468	\N	\N	\N
30725	100	1995-01-05	PRIJEM	VKLAD	11891	41616	\N	\N	\N
30726	100	1995-02-05	PRIJEM	VKLAD	11891	36013	\N	\N	\N
30727	100	1995-03-05	PRIJEM	VKLAD	11891	38756	\N	\N	\N
30728	100	1995-04-05	PRIJEM	VKLAD	11891	44035	\N	\N	\N
30729	100	1995-05-05	PRIJEM	VKLAD	11891	39662	\N	\N	\N
30730	100	1995-06-05	PRIJEM	VKLAD	17837	47445	\N	\N	\N
30731	100	1995-07-05	PRIJEM	VKLAD	11891	35816	\N	\N	\N
30732	100	1995-08-05	PRIJEM	VKLAD	11891	40081	\N	\N	\N
30733	100	1995-09-05	PRIJEM	VKLAD	11891	42460	\N	\N	\N
30734	100	1995-10-05	PRIJEM	VKLAD	11891	41412	\N	\N	\N
30735	100	1995-11-05	PRIJEM	VKLAD	11891	45903	\N	\N	\N
30736	100	1995-12-05	PRIJEM	VKLAD	17837	55552	\N	\N	\N
30737	100	1996-01-05	PRIJEM	VKLAD	11891	49490	\N	\N	\N
30738	100	1996-02-05	PRIJEM	VKLAD	11891	29665	\N	\N	\N
30739	100	1996-03-05	PRIJEM	VKLAD	11891	41818	\N	\N	\N
30740	100	1996-04-05	PRIJEM	VKLAD	11891	46123	\N	\N	\N
30741	100	1996-05-05	PRIJEM	VKLAD	11891	50083	\N	\N	\N
30742	100	1996-06-05	PRIJEM	VKLAD	17837	60351	\N	\N	\N
30743	100	1996-07-05	PRIJEM	VKLAD	11891	54657	\N	\N	\N
30744	100	1996-08-05	PRIJEM	VKLAD	11891	58096	\N	\N	\N
30745	100	1996-09-05	PRIJEM	VKLAD	11891	55039	\N	\N	\N
30746	100	1996-10-05	PRIJEM	VKLAD	11891	58181	\N	\N	\N
30747	100	1996-11-05	PRIJEM	VKLAD	11891	58310	\N	\N	\N
30748	100	1996-12-05	PRIJEM	VKLAD	17837	63498	\N	\N	\N
30749	100	1997-01-05	PRIJEM	VKLAD	11891	64344	\N	\N	\N
30750	100	1997-02-05	PRIJEM	VKLAD	11891	45696	\N	\N	\N
30751	100	1997-03-05	PRIJEM	VKLAD	11891	53710	\N	\N	\N
30752	100	1997-04-05	PRIJEM	VKLAD	11891	51738	\N	\N	\N
30753	100	1997-05-05	PRIJEM	VKLAD	11891	57271	\N	\N	\N
30754	100	1997-06-05	PRIJEM	VKLAD	17837	62045	\N	\N	\N
30755	100	1997-07-05	PRIJEM	VKLAD	11891	60498	\N	\N	\N
30756	100	1997-08-05	PRIJEM	VKLAD	11891	55788	\N	\N	\N
30757	100	1997-09-05	PRIJEM	VKLAD	11891	56568	\N	\N	\N
30758	100	1997-10-05	PRIJEM	VKLAD	11891	56202	\N	\N	\N
30759	100	1997-11-05	PRIJEM	VKLAD	11891	54129	\N	\N	\N
30760	100	1997-12-05	PRIJEM	VKLAD	17837	63712	\N	\N	\N
30761	100	1998-01-05	PRIJEM	VKLAD	11891	57200	\N	\N	\N
30762	100	1998-02-05	PRIJEM	VKLAD	11891	45851	\N	\N	\N
30763	100	1998-03-05	PRIJEM	VKLAD	11891	49944	\N	\N	\N
30764	100	1998-04-05	PRIJEM	VKLAD	11891	62393	\N	\N	\N
30765	100	1998-05-05	PRIJEM	VKLAD	11891	68972	\N	\N	\N
30766	100	1998-06-05	PRIJEM	VKLAD	17837	74702	\N	\N	\N
30767	100	1998-07-05	PRIJEM	VKLAD	11891	39271	\N	\N	\N
30768	100	1998-08-05	PRIJEM	VKLAD	11891	63391	\N	\N	\N
30769	100	1998-09-05	PRIJEM	VKLAD	11891	66802	\N	\N	\N
30770	100	1998-10-05	PRIJEM	VKLAD	11891	73291	\N	\N	\N
30771	100	1998-11-05	PRIJEM	VKLAD	11891	75406	\N	\N	\N
30772	100	1998-12-05	PRIJEM	VKLAD	17837	84377	\N	\N	\N
30789	100	1994-05-06	VYDAJ	PREVOD NA UCET	598	37386	SIPO	UV	6381905
30790	100	1994-06-06	VYDAJ	PREVOD NA UCET	598	41531	SIPO	UV	6381905
30791	100	1994-07-06	VYDAJ	PREVOD NA UCET	598	26471	SIPO	UV	6381905
30792	100	1994-08-06	VYDAJ	PREVOD NA UCET	598	31631	SIPO	UV	6381905
30793	100	1994-09-06	VYDAJ	PREVOD NA UCET	598	33609	SIPO	UV	6381905
30794	100	1994-10-06	VYDAJ	PREVOD NA UCET	598	35394	SIPO	UV	6381905
30795	100	1994-11-06	VYDAJ	PREVOD NA UCET	598	36286	SIPO	UV	6381905
30796	100	1994-12-06	VYDAJ	PREVOD NA UCET	598	35221	SIPO	UV	6381905
30797	100	1995-01-06	VYDAJ	PREVOD NA UCET	598	29849	SIPO	UV	6381905
30798	100	1995-02-06	VYDAJ	PREVOD NA UCET	598	28086	SIPO	UV	6381905
30799	100	1995-03-06	VYDAJ	PREVOD NA UCET	598	30829	SIPO	UV	6381905
30800	100	1995-04-06	VYDAJ	PREVOD NA UCET	598	36108	SIPO	UV	6381905
30801	100	1995-05-06	VYDAJ	PREVOD NA UCET	598	31735	SIPO	UV	6381905
30802	100	1995-06-06	VYDAJ	PREVOD NA UCET	598	39518	SIPO	UV	6381905
30803	100	1995-07-06	VYDAJ	PREVOD NA UCET	598	27889	SIPO	UV	6381905
30804	100	1995-08-06	VYDAJ	PREVOD NA UCET	598	32154	SIPO	UV	6381905
30805	100	1995-09-06	VYDAJ	PREVOD NA UCET	598	34533	SIPO	UV	6381905
30806	100	1995-10-06	VYDAJ	PREVOD NA UCET	598	33485	SIPO	UV	6381905
30807	100	1995-11-06	VYDAJ	PREVOD NA UCET	598	37976	SIPO	UV	6381905
30808	100	1995-12-06	VYDAJ	PREVOD NA UCET	598	47625	SIPO	UV	6381905
30809	100	1996-01-06	VYDAJ	PREVOD NA UCET	598	41563	SIPO	UV	6381905
30810	100	1996-02-06	VYDAJ	PREVOD NA UCET	598	21738	SIPO	UV	6381905
30811	100	1996-03-06	VYDAJ	PREVOD NA UCET	598	33891	SIPO	UV	6381905
30812	100	1996-04-06	VYDAJ	PREVOD NA UCET	598	38196	SIPO	UV	6381905
30813	100	1996-05-06	VYDAJ	PREVOD NA UCET	598	42156	SIPO	UV	6381905
30814	100	1996-06-06	VYDAJ	PREVOD NA UCET	598	52424	SIPO	UV	6381905
30815	100	1996-07-06	VYDAJ	PREVOD NA UCET	598	46730	SIPO	UV	6381905
30816	100	1996-08-06	VYDAJ	PREVOD NA UCET	598	50169	SIPO	UV	6381905
30817	100	1996-09-06	VYDAJ	PREVOD NA UCET	598	47112	SIPO	UV	6381905
30818	100	1996-10-06	VYDAJ	PREVOD NA UCET	598	50254	SIPO	UV	6381905
30819	100	1996-11-06	VYDAJ	PREVOD NA UCET	598	50383	SIPO	UV	6381905
30820	100	1996-12-06	VYDAJ	PREVOD NA UCET	598	54451	SIPO	UV	6381905
30821	100	1997-01-06	VYDAJ	PREVOD NA UCET	598	56417	SIPO	UV	6381905
30822	100	1997-02-06	VYDAJ	PREVOD NA UCET	598	37769	SIPO	UV	6381905
30823	100	1997-03-06	VYDAJ	PREVOD NA UCET	598	45783	SIPO	UV	6381905
30824	100	1997-04-06	VYDAJ	PREVOD NA UCET	598	43811	SIPO	UV	6381905
30825	100	1997-05-06	VYDAJ	PREVOD NA UCET	598	49344	SIPO	UV	6381905
30826	100	1997-06-06	VYDAJ	PREVOD NA UCET	598	54118	SIPO	UV	6381905
30827	100	1997-07-06	VYDAJ	PREVOD NA UCET	598	52571	SIPO	UV	6381905
30828	100	1997-08-06	VYDAJ	PREVOD NA UCET	598	47861	SIPO	UV	6381905
30829	100	1997-09-06	VYDAJ	PREVOD NA UCET	598	48641	SIPO	UV	6381905
30830	100	1997-10-06	VYDAJ	PREVOD NA UCET	598	48275	SIPO	UV	6381905
30831	100	1997-11-06	VYDAJ	PREVOD NA UCET	598	46202	SIPO	UV	6381905
30832	100	1997-12-06	VYDAJ	PREVOD NA UCET	598	55785	SIPO	UV	6381905
30833	100	1998-01-06	VYDAJ	PREVOD NA UCET	598	49273	SIPO	UV	6381905
30834	100	1998-02-06	VYDAJ	PREVOD NA UCET	598	37924	SIPO	UV	6381905
30835	100	1998-03-06	VYDAJ	PREVOD NA UCET	598	42017	SIPO	UV	6381905
30836	100	1998-04-06	VYDAJ	PREVOD NA UCET	598	56866	SIPO	UV	6381905
30837	100	1998-05-06	VYDAJ	PREVOD NA UCET	598	61445	SIPO	UV	6381905
30838	100	1998-06-06	VYDAJ	PREVOD NA UCET	598	65575	SIPO	UV	6381905
30839	100	1998-07-06	VYDAJ	PREVOD NA UCET	598	43844	SIPO	UV	6381905
30840	100	1998-08-06	VYDAJ	PREVOD NA UCET	598	55464	SIPO	UV	6381905
30841	100	1998-09-06	VYDAJ	PREVOD NA UCET	598	58875	SIPO	UV	6381905
30842	100	1998-10-06	VYDAJ	PREVOD NA UCET	598	65364	SIPO	UV	6381905
30843	100	1998-11-06	VYDAJ	PREVOD NA UCET	598	67479	SIPO	UV	6381905
30844	100	1998-12-06	VYDAJ	PREVOD NA UCET	598	76450	SIPO	UV	6381905
30861	100	1994-05-05	VYDAJ	PREVOD NA UCET	7329	37984	 	GH	16341108
30862	100	1994-06-05	VYDAJ	PREVOD NA UCET	7329	42129	 	GH	16341108
30863	100	1994-07-05	VYDAJ	PREVOD NA UCET	7329	27069	 	GH	16341108
30864	100	1994-08-05	VYDAJ	PREVOD NA UCET	7329	32229	 	GH	16341108
30865	100	1994-09-05	VYDAJ	PREVOD NA UCET	7329	34207	 	GH	16341108
30866	100	1994-10-05	VYDAJ	PREVOD NA UCET	7329	35992	 	GH	16341108
30867	100	1994-11-05	VYDAJ	PREVOD NA UCET	7329	36884	 	GH	16341108
30868	100	1994-12-05	VYDAJ	PREVOD NA UCET	7329	35819	 	GH	16341108
30869	100	1995-01-05	VYDAJ	PREVOD NA UCET	7329	30447	 	GH	16341108
30870	100	1995-02-05	VYDAJ	PREVOD NA UCET	7329	28684	 	GH	16341108
30871	100	1995-03-05	VYDAJ	PREVOD NA UCET	7329	31427	 	GH	16341108
30984	100	1995-05-06	VYDAJ	VYBER	5040	26695	\N	\N	\N
30872	100	1995-04-05	VYDAJ	PREVOD NA UCET	7329	36706	 	GH	16341108
30873	100	1995-05-05	VYDAJ	PREVOD NA UCET	7329	32333	 	GH	16341108
30874	100	1995-06-05	VYDAJ	PREVOD NA UCET	7329	40116	 	GH	16341108
30875	100	1995-07-05	VYDAJ	PREVOD NA UCET	7329	28487	 	GH	16341108
30876	100	1995-08-05	VYDAJ	PREVOD NA UCET	7329	32752	 	GH	16341108
30877	100	1995-09-05	VYDAJ	PREVOD NA UCET	7329	35131	 	GH	16341108
30878	100	1995-10-05	VYDAJ	PREVOD NA UCET	7329	34083	 	GH	16341108
30879	100	1995-11-05	VYDAJ	PREVOD NA UCET	7329	38574	 	GH	16341108
30880	100	1995-12-05	VYDAJ	PREVOD NA UCET	7329	48223	 	GH	16341108
30881	100	1996-01-05	VYDAJ	PREVOD NA UCET	7329	42161	 	GH	16341108
30882	100	1996-02-05	VYDAJ	PREVOD NA UCET	7329	22336	 	GH	16341108
30883	100	1996-03-05	VYDAJ	PREVOD NA UCET	7329	34489	 	GH	16341108
30884	100	1996-04-05	VYDAJ	PREVOD NA UCET	7329	38794	 	GH	16341108
30885	100	1996-05-05	VYDAJ	PREVOD NA UCET	7329	42754	 	GH	16341108
30886	100	1996-06-05	VYDAJ	PREVOD NA UCET	7329	53022	 	GH	16341108
30887	100	1996-07-05	VYDAJ	PREVOD NA UCET	7329	47328	 	GH	16341108
30888	100	1996-08-05	VYDAJ	PREVOD NA UCET	7329	50767	 	GH	16341108
30889	100	1996-09-05	VYDAJ	PREVOD NA UCET	7329	47710	 	GH	16341108
30890	100	1996-10-05	VYDAJ	PREVOD NA UCET	7329	50852	 	GH	16341108
30891	100	1996-11-05	VYDAJ	PREVOD NA UCET	7329	50981	 	GH	16341108
30892	100	1996-12-05	VYDAJ	PREVOD NA UCET	7329	55049	 	GH	16341108
30893	100	1997-01-05	VYDAJ	PREVOD NA UCET	7329	57015	 	GH	16341108
30894	100	1997-02-05	VYDAJ	PREVOD NA UCET	7329	38367	 	GH	16341108
30895	100	1997-03-05	VYDAJ	PREVOD NA UCET	7329	46381	 	GH	16341108
30896	100	1997-04-05	VYDAJ	PREVOD NA UCET	7329	44409	 	GH	16341108
30897	100	1997-05-05	VYDAJ	PREVOD NA UCET	7329	49942	 	GH	16341108
30898	100	1997-06-05	VYDAJ	PREVOD NA UCET	7329	54716	 	GH	16341108
30899	100	1997-07-05	VYDAJ	PREVOD NA UCET	7329	53169	 	GH	16341108
30900	100	1997-08-05	VYDAJ	PREVOD NA UCET	7329	48459	 	GH	16341108
30901	100	1997-09-05	VYDAJ	PREVOD NA UCET	7329	49239	 	GH	16341108
30902	100	1997-10-05	VYDAJ	PREVOD NA UCET	7329	48873	 	GH	16341108
30903	100	1997-11-05	VYDAJ	PREVOD NA UCET	7329	46800	 	GH	16341108
30904	100	1997-12-05	VYDAJ	PREVOD NA UCET	7329	56383	 	GH	16341108
30905	100	1998-01-05	VYDAJ	PREVOD NA UCET	7329	49871	 	GH	16341108
30906	100	1998-02-05	VYDAJ	PREVOD NA UCET	7329	38522	 	GH	16341108
30907	100	1998-03-05	VYDAJ	PREVOD NA UCET	7329	42615	 	GH	16341108
30908	100	1998-04-05	VYDAJ	PREVOD NA UCET	7329	55064	 	GH	16341108
30909	100	1998-05-05	VYDAJ	PREVOD NA UCET	7329	61643	 	GH	16341108
30910	100	1998-06-05	VYDAJ	PREVOD NA UCET	7329	66173	 	GH	16341108
30911	100	1998-07-05	VYDAJ	PREVOD NA UCET	7329	44442	 	GH	16341108
30912	100	1998-08-05	VYDAJ	PREVOD NA UCET	7329	56062	 	GH	16341108
30913	100	1998-09-05	VYDAJ	PREVOD NA UCET	7329	59473	 	GH	16341108
30914	100	1998-10-05	VYDAJ	PREVOD NA UCET	7329	65962	 	GH	16341108
30915	100	1998-11-05	VYDAJ	PREVOD NA UCET	7329	68077	 	GH	16341108
30916	100	1998-12-05	VYDAJ	PREVOD NA UCET	7329	77048	 	GH	16341108
30918	100	1994-06-14	VYDAJ	VYBER	25920	15611	\N	\N	\N
30919	100	1995-06-25	VYDAJ	VYBER	8320	23798	\N	\N	\N
30920	100	1996-06-22	VYDAJ	VYBER	6240	42584	\N	\N	\N
30922	100	1998-06-22	VYDAJ	VYBER	35040	30535	\N	\N	\N
30926	100	1996-01-28	VYDAJ	VYBER	8480	17663	\N	\N	\N
30927	100	1997-01-30	VYDAJ	VYBER	6880	33617	\N	\N	\N
30928	100	1998-01-12	VYDAJ	VYBER	9280	30473	\N	\N	\N
30930	100	1994-12-05	VYDAJ	VYBER	4320	43148	\N	\N	\N
30931	100	1995-12-07	VYDAJ	VYBER	4480	43145	\N	\N	\N
30932	100	1996-12-05	VYDAJ	VYBER	1120	62378	\N	\N	\N
30933	100	1997-12-09	VYDAJ	VYBER	1280	48005	\N	\N	\N
30934	100	1998-12-27	VYDAJ	VYBER	1920	74530	\N	\N	\N
30947	100	1995-01-04	VYDAJ	VYBER	720	29725	\N	\N	\N
30948	100	1995-01-05	VYDAJ	VYBER	1920	37776	\N	\N	\N
30949	100	1995-01-05	VYDAJ	VYBER	1920	39696	\N	\N	\N
30950	100	1995-01-06	VYDAJ	VYBER	3360	26489	\N	\N	\N
30951	100	1995-01-20	VYDAJ	VYBER	1200	23129	\N	\N	\N
30952	100	1995-01-17	VYDAJ	VYBER	2160	24329	\N	\N	\N
30953	100	1996-01-14	VYDAJ	VYBER	3240	27643	\N	\N	\N
30954	100	1996-01-12	VYDAJ	VYBER	3240	32203	\N	\N	\N
30955	100	1996-01-17	VYDAJ	VYBER	600	31543	\N	\N	\N
30956	100	1996-01-07	VYDAJ	VYBER	2040	39523	\N	\N	\N
30957	100	1996-01-11	VYDAJ	VYBER	2520	35443	\N	\N	\N
30958	100	1996-01-09	VYDAJ	VYBER	1560	37963	\N	\N	\N
30959	100	1997-01-16	VYDAJ	VYBER	720	50697	\N	\N	\N
30960	100	1997-01-19	VYDAJ	VYBER	2640	48057	\N	\N	\N
30961	100	1997-01-28	VYDAJ	VYBER	3120	40497	\N	\N	\N
30962	100	1997-01-25	VYDAJ	VYBER	1920	43617	\N	\N	\N
30963	100	1997-01-22	VYDAJ	VYBER	960	47097	\N	\N	\N
30964	100	1997-01-23	VYDAJ	VYBER	1560	45537	\N	\N	\N
30966	100	1998-01-20	VYDAJ	VYBER	2280	19793	\N	\N	\N
30967	100	1998-01-03	VYDAJ	VYBER	2880	45309	\N	\N	\N
30968	100	1998-01-16	VYDAJ	VYBER	3240	27233	\N	\N	\N
30969	100	1998-01-08	VYDAJ	VYBER	3480	42393	\N	\N	\N
30970	100	1998-01-21	VYDAJ	VYBER	2040	17753	\N	\N	\N
30978	100	1994-11-17	VYDAJ	VYBER	4440	31846	\N	\N	\N
30979	100	1994-12-01	VYDAJ	VYBER	1440	29631	\N	\N	\N
30982	100	1995-10-03	VYDAJ	VYBER	5040	29521	\N	\N	\N
30983	100	1995-02-08	VYDAJ	VYBER	600	27486	\N	\N	\N
30985	100	1995-04-23	VYDAJ	VYBER	5760	27648	\N	\N	\N
30986	100	1995-02-28	VYDAJ	VYBER	1920	26880	\N	\N	\N
30987	100	1996-01-13	VYDAJ	VYBER	1320	30883	\N	\N	\N
30988	100	1996-08-24	VYDAJ	VYBER	3000	42969	\N	\N	\N
30989	100	1996-10-24	VYDAJ	VYBER	2520	46234	\N	\N	\N
30990	100	1996-04-07	VYDAJ	VYBER	4440	33756	\N	\N	\N
30991	100	1996-03-11	VYDAJ	VYBER	5880	28011	\N	\N	\N
30992	100	1996-01-18	VYDAJ	VYBER	5400	26143	\N	\N	\N
30993	100	1997-08-04	VYDAJ	VYBER	3960	43897	\N	\N	\N
30994	100	1997-03-26	VYDAJ	VYBER	4200	39683	\N	\N	\N
30995	100	1997-08-18	VYDAJ	VYBER	1560	44501	\N	\N	\N
30996	100	1997-06-01	VYDAJ	VYBER	4320	44208	\N	\N	\N
30997	100	1998-01-09	VYDAJ	VYBER	2640	39753	\N	\N	\N
30998	100	1998-08-29	VYDAJ	VYBER	2160	53304	\N	\N	\N
30999	100	1998-05-07	VYDAJ	VYBER	4800	56645	\N	\N	\N
31000	100	1998-01-16	VYDAJ	VYBER	5160	22073	\N	\N	\N
31001	100	1998-06-28	VYDAJ	VYBER	3360	27175	\N	\N	\N
31019	100	1994-05-31	VYDAJ	VYBER	15	31621	SLUZBY	\N	\N
31020	100	1994-06-30	VYDAJ	VYBER	15	22507	SLUZBY	\N	\N
31021	100	1994-07-31	VYDAJ	VYBER	15	27667	SLUZBY	\N	\N
31022	100	1994-08-31	VYDAJ	VYBER	15	29645	SLUZBY	\N	\N
31023	100	1994-09-30	VYDAJ	VYBER	15	31430	SLUZBY	\N	\N
31024	100	1994-10-31	VYDAJ	VYBER	15	32322	SLUZBY	\N	\N
31025	100	1994-11-30	VYDAJ	VYBER	15	31071	SLUZBY	\N	\N
31026	100	1994-12-31	VYDAJ	VYBER	15	30445	SLUZBY	\N	\N
31027	100	1995-01-31	VYDAJ	VYBER	15	24122	SLUZBY	\N	\N
31028	100	1995-02-28	VYDAJ	VYBER	15	26865	SLUZBY	\N	\N
31029	100	1995-03-31	VYDAJ	VYBER	15	32144	SLUZBY	\N	\N
31030	100	1995-04-30	VYDAJ	VYBER	15	27771	SLUZBY	\N	\N
31031	100	1995-05-31	VYDAJ	VYBER	15	29609	SLUZBY	\N	\N
31032	100	1995-06-30	VYDAJ	VYBER	15	23925	SLUZBY	\N	\N
31033	100	1995-07-31	VYDAJ	VYBER	15	28190	SLUZBY	\N	\N
31034	100	1995-08-31	VYDAJ	VYBER	15	30569	SLUZBY	\N	\N
31035	100	1995-09-30	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
31036	100	1995-10-31	VYDAJ	VYBER	15	34012	SLUZBY	\N	\N
31037	100	1995-11-30	VYDAJ	VYBER	15	37716	SLUZBY	\N	\N
31038	100	1995-12-31	VYDAJ	VYBER	15	37599	SLUZBY	\N	\N
31039	100	1996-01-31	VYDAJ	VYBER	15	17774	SLUZBY	\N	\N
31040	100	1996-02-29	VYDAJ	VYBER	15	29927	SLUZBY	\N	\N
31041	100	1996-03-31	VYDAJ	VYBER	15	34232	SLUZBY	\N	\N
31042	100	1996-04-30	VYDAJ	VYBER	15	38192	SLUZBY	\N	\N
31043	100	1996-05-31	VYDAJ	VYBER	15	42515	SLUZBY	\N	\N
31044	100	1996-06-30	VYDAJ	VYBER	15	42766	SLUZBY	\N	\N
31045	100	1996-07-31	VYDAJ	VYBER	15	46205	SLUZBY	\N	\N
31046	100	1996-08-31	VYDAJ	VYBER	15	43148	SLUZBY	\N	\N
31047	100	1996-09-30	VYDAJ	VYBER	15	46290	SLUZBY	\N	\N
31048	100	1996-10-31	VYDAJ	VYBER	15	46419	SLUZBY	\N	\N
31049	100	1996-11-30	VYDAJ	VYBER	15	45662	SLUZBY	\N	\N
31050	100	1996-12-31	VYDAJ	VYBER	15	52453	SLUZBY	\N	\N
31051	100	1997-01-31	VYDAJ	VYBER	15	33805	SLUZBY	\N	\N
31052	100	1997-02-28	VYDAJ	VYBER	15	41819	SLUZBY	\N	\N
31053	100	1997-03-31	VYDAJ	VYBER	15	39847	SLUZBY	\N	\N
31054	100	1997-04-30	VYDAJ	VYBER	15	45380	SLUZBY	\N	\N
31055	100	1997-05-31	VYDAJ	VYBER	15	48528	SLUZBY	\N	\N
31056	100	1997-06-30	VYDAJ	VYBER	15	48607	SLUZBY	\N	\N
31057	100	1997-07-31	VYDAJ	VYBER	15	47857	SLUZBY	\N	\N
31058	100	1997-08-31	VYDAJ	VYBER	15	44677	SLUZBY	\N	\N
31059	100	1997-09-30	VYDAJ	VYBER	15	44311	SLUZBY	\N	\N
31060	100	1997-10-31	VYDAJ	VYBER	15	42238	SLUZBY	\N	\N
31061	100	1997-11-30	VYDAJ	VYBER	15	45875	SLUZBY	\N	\N
31062	100	1997-12-31	VYDAJ	VYBER	15	48189	SLUZBY	\N	\N
31063	100	1998-01-31	VYDAJ	VYBER	15	17860	SLUZBY	\N	\N
31064	100	1998-02-28	VYDAJ	VYBER	15	38053	SLUZBY	\N	\N
31065	100	1998-03-31	VYDAJ	VYBER	15	50502	SLUZBY	\N	\N
31066	100	1998-04-30	VYDAJ	VYBER	15	57081	SLUZBY	\N	\N
31067	100	1998-05-31	VYDAJ	VYBER	15	56865	SLUZBY	\N	\N
31068	100	1998-06-30	VYDAJ	VYBER	15	27380	SLUZBY	\N	\N
31069	100	1998-07-31	VYDAJ	VYBER	15	44000	SLUZBY	\N	\N
31070	100	1998-08-31	VYDAJ	VYBER	15	53511	SLUZBY	\N	\N
31071	100	1998-09-30	VYDAJ	VYBER	15	59100	SLUZBY	\N	\N
31072	100	1998-10-31	VYDAJ	VYBER	15	65615	SLUZBY	\N	\N
31073	100	1998-11-30	VYDAJ	VYBER	15	67741	SLUZBY	\N	\N
31074	100	1994-01-27	PRIJEM	VKLAD	5700	18191	\N	\N	\N
31075	100	1994-02-26	VYDAJ	VYBER	600	29494	\N	\N	\N
31076	100	1994-03-28	VYDAJ	VYBER	7800	33666	\N	\N	\N
31077	100	1994-04-27	VYDAJ	VYBER	12400	33282	\N	\N	\N
31078	100	1994-05-27	VYDAJ	VYBER	5900	31486	\N	\N	\N
31079	100	1994-06-26	PRIJEM	VKLAD	6800	22411	\N	\N	\N
31080	100	1994-07-26	PRIJEM	VKLAD	1100	27571	\N	\N	\N
31081	100	1994-08-25	VYDAJ	VYBER	2100	29531	\N	\N	\N
31082	100	1994-09-24	VYDAJ	VYBER	2300	31309	\N	\N	\N
31083	100	1994-10-24	VYDAJ	VYBER	3200	32194	\N	\N	\N
31084	100	1994-11-23	VYDAJ	VYBER	900	30946	\N	\N	\N
31085	100	1994-12-23	VYDAJ	VYBER	4900	30321	\N	\N	\N
31086	100	1995-01-22	PRIJEM	VKLAD	900	24029	\N	\N	\N
31087	100	1995-02-21	PRIJEM	VKLAD	1200	28686	\N	\N	\N
31088	100	1995-03-23	PRIJEM	VKLAD	1200	32029	\N	\N	\N
31089	100	1995-04-22	VYDAJ	VYBER	2700	33408	\N	\N	\N
31090	100	1995-05-22	PRIJEM	VKLAD	2800	29495	\N	\N	\N
31091	100	1995-06-21	VYDAJ	VYBER	7400	32118	\N	\N	\N
31092	100	1995-07-21	PRIJEM	VKLAD	200	28089	\N	\N	\N
31093	100	1995-08-20	VYDAJ	VYBER	1700	30454	\N	\N	\N
31094	100	1995-09-19	VYDAJ	VYBER	100	34433	\N	\N	\N
31095	100	1995-10-19	PRIJEM	VKLAD	400	33885	\N	\N	\N
31096	100	1995-11-18	VYDAJ	VYBER	400	37576	\N	\N	\N
31097	100	1995-12-18	VYDAJ	VYBER	5700	37445	\N	\N	\N
31098	100	1996-01-17	PRIJEM	VKLAD	4500	32143	\N	\N	\N
31099	100	1996-02-16	PRIJEM	VKLAD	8100	29838	\N	\N	\N
31100	100	1996-03-17	PRIJEM	VKLAD	6100	34111	\N	\N	\N
31101	100	1996-04-16	PRIJEM	VKLAD	4300	38056	\N	\N	\N
31102	100	1996-05-16	PRIJEM	VKLAD	200	42356	\N	\N	\N
31103	100	1996-06-15	VYDAJ	VYBER	3600	48824	\N	\N	\N
31104	100	1996-07-15	VYDAJ	VYBER	700	46030	\N	\N	\N
31105	100	1996-08-14	VYDAJ	VYBER	4200	45969	\N	\N	\N
31106	100	1996-09-13	VYDAJ	VYBER	1000	46112	\N	\N	\N
31107	100	1996-10-13	VYDAJ	VYBER	1500	48754	\N	\N	\N
31108	100	1996-11-12	VYDAJ	VYBER	4900	45483	\N	\N	\N
31109	100	1996-12-12	VYDAJ	VYBER	2200	52251	\N	\N	\N
31110	100	1997-01-11	VYDAJ	VYBER	5000	51417	\N	\N	\N
31111	100	1997-02-10	PRIJEM	VKLAD	3900	41669	\N	\N	\N
31112	100	1997-03-12	VYDAJ	VYBER	1900	43883	\N	\N	\N
31113	100	1997-04-11	PRIJEM	VKLAD	1400	45211	\N	\N	\N
31114	100	1997-05-11	VYDAJ	VYBER	1000	48344	\N	\N	\N
31115	100	1997-06-10	VYDAJ	VYBER	5700	48418	\N	\N	\N
31116	100	1997-07-10	VYDAJ	VYBER	4900	47671	\N	\N	\N
31117	100	1997-08-09	VYDAJ	VYBER	1800	46061	\N	\N	\N
31118	100	1997-09-08	VYDAJ	VYBER	4500	44141	\N	\N	\N
31119	100	1997-10-08	VYDAJ	VYBER	6200	42075	\N	\N	\N
31120	100	1997-11-07	VYDAJ	VYBER	500	45702	\N	\N	\N
31121	100	1997-12-07	VYDAJ	VYBER	6500	49285	\N	\N	\N
31122	100	1998-01-06	VYDAJ	VYBER	3400	45873	\N	\N	\N
31123	100	1998-02-05	PRIJEM	VKLAD	16100	33960	\N	\N	\N
31124	100	1998-03-07	PRIJEM	VKLAD	8300	50317	\N	\N	\N
31125	100	1998-04-06	PRIJEM	VKLAD	2400	57464	\N	\N	\N
31126	100	1998-05-06	PRIJEM	VKLAD	400	62043	\N	\N	\N
31127	100	1998-06-05	VYDAJ	VYBER	1200	73502	\N	\N	\N
31128	100	1998-07-05	PRIJEM	VKLAD	12500	51771	\N	\N	\N
31129	100	1998-08-04	PRIJEM	VKLAD	7500	51500	\N	\N	\N
31130	100	1998-09-03	PRIJEM	VKLAD	1400	54911	\N	\N	\N
31131	100	1998-10-03	PRIJEM	VKLAD	2300	61400	\N	\N	\N
31132	100	1998-11-02	VYDAJ	VYBER	2100	63515	\N	\N	\N
31133	100	1998-12-02	VYDAJ	VYBER	1200	66541	\N	\N	\N
31194	101	1996-04-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
31199	101	1996-05-06	PRIJEM	VKLAD	17864	18864	\N	\N	\N
31200	101	1996-06-06	PRIJEM	VKLAD	26796	49509	\N	\N	\N
31201	101	1996-07-06	PRIJEM	VKLAD	17864	53796	\N	\N	\N
31202	101	1996-08-06	PRIJEM	VKLAD	17864	57217	\N	\N	\N
31203	101	1996-09-06	PRIJEM	VKLAD	17864	62457	\N	\N	\N
31204	101	1996-10-06	PRIJEM	VKLAD	17864	53441	\N	\N	\N
31205	101	1996-11-06	PRIJEM	VKLAD	17864	53763	\N	\N	\N
31206	101	1996-12-06	PRIJEM	VKLAD	26796	59954	\N	\N	\N
31207	101	1997-01-06	PRIJEM	VKLAD	17864	55030	\N	\N	\N
31208	101	1997-02-06	PRIJEM	VKLAD	17864	32392	\N	\N	\N
31209	101	1997-03-06	PRIJEM	VKLAD	17864	48967	\N	\N	\N
31210	101	1997-04-06	PRIJEM	VKLAD	17864	56767	\N	\N	\N
31211	101	1997-05-06	PRIJEM	VKLAD	17864	54223	\N	\N	\N
31212	101	1997-06-06	PRIJEM	VKLAD	26796	68818	\N	\N	\N
31213	101	1997-07-06	PRIJEM	VKLAD	17864	56684	\N	\N	\N
31214	101	1997-08-06	PRIJEM	VKLAD	17864	62028	\N	\N	\N
31215	101	1997-09-06	PRIJEM	VKLAD	17864	64685	\N	\N	\N
31216	101	1997-10-06	PRIJEM	VKLAD	17864	61087	\N	\N	\N
31217	101	1997-11-06	PRIJEM	VKLAD	17864	62025	\N	\N	\N
31218	101	1997-12-06	PRIJEM	VKLAD	26796	74682	\N	\N	\N
31219	101	1998-01-06	PRIJEM	VKLAD	17864	70984	\N	\N	\N
31220	101	1998-02-06	PRIJEM	VKLAD	17864	58740	\N	\N	\N
31221	101	1998-03-06	PRIJEM	VKLAD	17864	67898	\N	\N	\N
31222	101	1998-04-06	PRIJEM	VKLAD	17864	69098	\N	\N	\N
31223	101	1998-05-06	PRIJEM	VKLAD	17864	66394	\N	\N	\N
31224	101	1998-06-06	PRIJEM	VKLAD	26796	79390	\N	\N	\N
31225	101	1998-07-06	PRIJEM	VKLAD	17864	57287	\N	\N	\N
31226	101	1998-08-06	PRIJEM	VKLAD	17864	66106	\N	\N	\N
31227	101	1998-09-06	PRIJEM	VKLAD	17864	74797	\N	\N	\N
31228	101	1998-10-06	PRIJEM	VKLAD	17864	73726	\N	\N	\N
31229	101	1998-11-06	PRIJEM	VKLAD	17864	75056	\N	\N	\N
31230	101	1998-12-06	PRIJEM	VKLAD	26796	81423	\N	\N	\N
31239	101	1996-09-07	VYDAJ	PREVOD NA UCET	8037	54420	SIPO	KL	10926431
31240	101	1996-10-07	VYDAJ	PREVOD NA UCET	8037	45404	SIPO	KL	10926431
31241	101	1996-11-07	VYDAJ	PREVOD NA UCET	8037	45726	SIPO	KL	10926431
31242	101	1996-12-07	VYDAJ	PREVOD NA UCET	8037	51917	SIPO	KL	10926431
31243	101	1997-01-07	VYDAJ	PREVOD NA UCET	8037	46993	SIPO	KL	10926431
31244	101	1997-02-07	VYDAJ	PREVOD NA UCET	8037	24355	SIPO	KL	10926431
31245	101	1997-03-07	VYDAJ	PREVOD NA UCET	8037	40930	SIPO	KL	10926431
31246	101	1997-04-07	VYDAJ	PREVOD NA UCET	8037	48730	SIPO	KL	10926431
31247	101	1997-05-07	VYDAJ	PREVOD NA UCET	8037	46186	SIPO	KL	10926431
31248	101	1997-06-07	VYDAJ	PREVOD NA UCET	8037	60781	SIPO	KL	10926431
31249	101	1997-07-07	VYDAJ	PREVOD NA UCET	8037	48647	SIPO	KL	10926431
31250	101	1997-08-07	VYDAJ	PREVOD NA UCET	8037	53991	SIPO	KL	10926431
31251	101	1997-09-07	VYDAJ	PREVOD NA UCET	8037	56648	SIPO	KL	10926431
31252	101	1997-10-07	VYDAJ	PREVOD NA UCET	8037	53050	SIPO	KL	10926431
31253	101	1997-11-07	VYDAJ	PREVOD NA UCET	8037	50588	SIPO	KL	10926431
31254	101	1997-12-07	VYDAJ	PREVOD NA UCET	8037	66645	SIPO	KL	10926431
31255	101	1998-01-07	VYDAJ	PREVOD NA UCET	8037	50587	SIPO	KL	10926431
31256	101	1998-02-07	VYDAJ	PREVOD NA UCET	8037	50703	SIPO	KL	10926431
31257	101	1998-03-07	VYDAJ	PREVOD NA UCET	8037	51861	SIPO	KL	10926431
31258	101	1998-04-07	VYDAJ	PREVOD NA UCET	8037	52661	SIPO	KL	10926431
31259	101	1998-05-07	VYDAJ	PREVOD NA UCET	8037	49357	SIPO	KL	10926431
31260	101	1998-06-07	VYDAJ	PREVOD NA UCET	8037	71353	SIPO	KL	10926431
31261	101	1998-07-07	VYDAJ	PREVOD NA UCET	8037	49250	SIPO	KL	10926431
31262	101	1998-08-07	VYDAJ	PREVOD NA UCET	8037	58069	SIPO	KL	10926431
31263	101	1998-09-07	VYDAJ	PREVOD NA UCET	8037	66760	SIPO	KL	10926431
31264	101	1998-10-07	VYDAJ	PREVOD NA UCET	8037	65689	SIPO	KL	10926431
31265	101	1998-11-07	VYDAJ	PREVOD NA UCET	8037	67019	SIPO	KL	10926431
31266	101	1998-12-07	VYDAJ	PREVOD NA UCET	8037	73386	SIPO	KL	10926431
31276	101	1996-10-05	VYDAJ	PREVOD NA UCET	855	35577	 	GH	26152324
31277	101	1996-11-05	VYDAJ	PREVOD NA UCET	855	35899	 	GH	26152324
31278	101	1996-12-05	VYDAJ	PREVOD NA UCET	855	33158	 	GH	26152324
31279	101	1997-01-05	VYDAJ	PREVOD NA UCET	855	37166	 	GH	26152324
31280	101	1997-02-05	VYDAJ	PREVOD NA UCET	855	14528	 	GH	26152324
31281	101	1997-03-05	VYDAJ	PREVOD NA UCET	855	31103	 	GH	26152324
31282	101	1997-04-05	VYDAJ	PREVOD NA UCET	855	38903	 	GH	26152324
31283	101	1997-05-05	VYDAJ	PREVOD NA UCET	855	36359	 	GH	26152324
31284	101	1997-06-05	VYDAJ	PREVOD NA UCET	855	42022	 	GH	26152324
31285	101	1997-07-05	VYDAJ	PREVOD NA UCET	855	38820	 	GH	26152324
31286	101	1997-08-05	VYDAJ	PREVOD NA UCET	855	44164	 	GH	26152324
31287	101	1997-09-05	VYDAJ	PREVOD NA UCET	855	46821	 	GH	26152324
31288	101	1997-10-05	VYDAJ	PREVOD NA UCET	855	43223	 	GH	26152324
31289	101	1997-11-05	VYDAJ	PREVOD NA UCET	855	44161	 	GH	26152324
31290	101	1997-12-05	VYDAJ	PREVOD NA UCET	855	47886	 	GH	26152324
31291	101	1998-01-05	VYDAJ	PREVOD NA UCET	855	53120	 	GH	26152324
31292	101	1998-02-05	VYDAJ	PREVOD NA UCET	855	40876	 	GH	26152324
31293	101	1998-03-05	VYDAJ	PREVOD NA UCET	855	50034	 	GH	26152324
31294	101	1998-04-05	VYDAJ	PREVOD NA UCET	855	51234	 	GH	26152324
31295	101	1998-05-05	VYDAJ	PREVOD NA UCET	855	48530	 	GH	26152324
31296	101	1998-06-05	VYDAJ	PREVOD NA UCET	855	52594	 	GH	26152324
31297	101	1998-07-05	VYDAJ	PREVOD NA UCET	855	39423	 	GH	26152324
31298	101	1998-08-05	VYDAJ	PREVOD NA UCET	855	48242	 	GH	26152324
31299	101	1998-09-05	VYDAJ	PREVOD NA UCET	855	56933	 	GH	26152324
31300	101	1998-10-05	VYDAJ	PREVOD NA UCET	855	55862	 	GH	26152324
31301	101	1998-11-05	VYDAJ	PREVOD NA UCET	855	57192	 	GH	26152324
31302	101	1998-12-05	VYDAJ	PREVOD NA UCET	855	54627	 	GH	26152324
31304	101	1997-06-14	VYDAJ	VYBER	13280	39501	\N	\N	\N
31305	101	1998-06-15	VYDAJ	VYBER	46240	25113	\N	\N	\N
31307	101	1997-01-17	VYDAJ	VYBER	12960	17673	\N	\N	\N
31308	101	1998-01-13	VYDAJ	VYBER	8800	39867	\N	\N	\N
31315	101	1997-01-16	VYDAJ	VYBER	3360	33513	\N	\N	\N
31316	101	1997-01-28	VYDAJ	VYBER	1680	15273	\N	\N	\N
31317	101	1997-01-11	VYDAJ	VYBER	1560	42073	\N	\N	\N
31318	101	1997-01-10	VYDAJ	VYBER	3360	43633	\N	\N	\N
31319	101	1997-01-21	VYDAJ	VYBER	720	16953	\N	\N	\N
31320	101	1997-01-17	VYDAJ	VYBER	2880	30633	\N	\N	\N
31321	101	1998-01-06	VYDAJ	VYBER	960	58624	\N	\N	\N
31322	101	1998-01-11	VYDAJ	VYBER	1920	48667	\N	\N	\N
31323	101	1998-01-17	VYDAJ	VYBER	2280	37587	\N	\N	\N
31324	101	1998-01-23	VYDAJ	VYBER	1680	35907	\N	\N	\N
31325	101	1998-01-03	VYDAJ	VYBER	1320	53975	\N	\N	\N
31326	101	1998-01-27	VYDAJ	VYBER	1320	34587	\N	\N	\N
31327	101	1996-09-30	VYDAJ	VYBER	5160	36432	\N	\N	\N
31328	101	1996-12-03	VYDAJ	VYBER	2760	34013	\N	\N	\N
31331	101	1996-12-27	VYDAJ	VYBER	3360	39057	\N	\N	\N
31332	101	1997-03-17	VYDAJ	VYBER	1320	39610	\N	\N	\N
31333	101	1997-04-29	VYDAJ	VYBER	5280	37050	\N	\N	\N
31334	101	1997-09-23	VYDAJ	VYBER	2760	46888	\N	\N	\N
31335	101	1997-11-29	VYDAJ	VYBER	2040	48548	\N	\N	\N
31336	101	1997-01-05	VYDAJ	VYBER	1200	38021	\N	\N	\N
31337	101	1997-09-30	VYDAJ	VYBER	3000	44093	\N	\N	\N
31338	101	1997-10-23	VYDAJ	VYBER	5520	44830	\N	\N	\N
31339	101	1997-06-01	VYDAJ	VYBER	2880	42877	\N	\N	\N
31340	101	1998-07-13	VYDAJ	VYBER	3720	45530	\N	\N	\N
31341	101	1998-04-07	VYDAJ	VYBER	3480	49181	\N	\N	\N
31342	101	1998-02-05	VYDAJ	VYBER	3120	41731	\N	\N	\N
31352	101	1996-09-30	VYDAJ	VYBER	15	41592	SLUZBY	\N	\N
31353	101	1996-10-31	VYDAJ	VYBER	15	36754	SLUZBY	\N	\N
31354	101	1996-11-30	VYDAJ	VYBER	15	36773	SLUZBY	\N	\N
31355	101	1996-12-31	VYDAJ	VYBER	15	39221	SLUZBY	\N	\N
31356	101	1997-01-31	VYDAJ	VYBER	15	15383	SLUZBY	\N	\N
31357	101	1997-02-28	VYDAJ	VYBER	15	31958	SLUZBY	\N	\N
31358	101	1997-03-31	VYDAJ	VYBER	15	39758	SLUZBY	\N	\N
31359	101	1997-04-30	VYDAJ	VYBER	15	37214	SLUZBY	\N	\N
31360	101	1997-05-31	VYDAJ	VYBER	15	45757	SLUZBY	\N	\N
31361	101	1997-06-30	VYDAJ	VYBER	15	39675	SLUZBY	\N	\N
31362	101	1997-07-31	VYDAJ	VYBER	15	45019	SLUZBY	\N	\N
31363	101	1997-08-31	VYDAJ	VYBER	15	47676	SLUZBY	\N	\N
31364	101	1997-09-30	VYDAJ	VYBER	15	44078	SLUZBY	\N	\N
31365	101	1997-10-31	VYDAJ	VYBER	15	45016	SLUZBY	\N	\N
31366	101	1997-11-30	VYDAJ	VYBER	15	48741	SLUZBY	\N	\N
31367	101	1997-12-31	VYDAJ	VYBER	15	55295	SLUZBY	\N	\N
31368	101	1998-01-31	VYDAJ	VYBER	15	34751	SLUZBY	\N	\N
31369	101	1998-02-28	VYDAJ	VYBER	15	50889	SLUZBY	\N	\N
31370	101	1998-03-31	VYDAJ	VYBER	15	52089	SLUZBY	\N	\N
31371	101	1998-04-30	VYDAJ	VYBER	15	49385	SLUZBY	\N	\N
31372	101	1998-05-31	VYDAJ	VYBER	15	49549	SLUZBY	\N	\N
31373	101	1998-06-30	VYDAJ	VYBER	15	25278	SLUZBY	\N	\N
31374	101	1998-07-31	VYDAJ	VYBER	15	45697	SLUZBY	\N	\N
31375	101	1998-08-31	VYDAJ	VYBER	15	58288	SLUZBY	\N	\N
31376	101	1998-09-30	VYDAJ	VYBER	15	67017	SLUZBY	\N	\N
31377	101	1998-10-31	VYDAJ	VYBER	15	65947	SLUZBY	\N	\N
31378	101	1998-11-30	VYDAJ	VYBER	15	67282	SLUZBY	\N	\N
31379	101	1996-05-16	PRIJEM	VKLAD	3800	22664	\N	\N	\N
31380	101	1996-06-15	VYDAJ	VYBER	13700	35809	\N	\N	\N
31381	101	1996-07-15	VYDAJ	VYBER	14600	39196	\N	\N	\N
31382	101	1996-08-14	VYDAJ	VYBER	12800	44417	\N	\N	\N
31383	101	1996-09-13	VYDAJ	VYBER	13000	41420	\N	\N	\N
31384	101	1996-10-13	VYDAJ	VYBER	8800	36604	\N	\N	\N
31385	101	1996-11-12	VYDAJ	VYBER	9100	36626	\N	\N	\N
31386	101	1996-12-12	VYDAJ	VYBER	9500	42417	\N	\N	\N
31387	101	1997-01-11	VYDAJ	VYBER	5200	36873	\N	\N	\N
31388	101	1997-02-10	PRIJEM	VKLAD	7500	31855	\N	\N	\N
31389	101	1997-04-11	VYDAJ	VYBER	6400	42330	\N	\N	\N
31390	101	1997-05-11	VYDAJ	VYBER	600	45586	\N	\N	\N
31391	101	1997-06-10	VYDAJ	VYBER	8000	52781	\N	\N	\N
31392	101	1997-07-10	VYDAJ	VYBER	3800	44847	\N	\N	\N
31393	101	1997-08-09	VYDAJ	VYBER	6500	47491	\N	\N	\N
31394	101	1997-09-08	VYDAJ	VYBER	7000	49648	\N	\N	\N
31395	101	1997-10-08	VYDAJ	VYBER	2700	50350	\N	\N	\N
31396	101	1997-11-07	VYDAJ	VYBER	3400	58625	\N	\N	\N
31397	101	1997-12-07	VYDAJ	VYBER	11600	55045	\N	\N	\N
31398	101	1998-01-06	VYDAJ	VYBER	11400	59584	\N	\N	\N
31399	101	1998-02-05	PRIJEM	VKLAD	10100	44851	\N	\N	\N
31400	101	1998-03-07	VYDAJ	VYBER	8000	59898	\N	\N	\N
31401	101	1998-04-06	VYDAJ	VYBER	8400	60698	\N	\N	\N
31402	101	1998-05-06	VYDAJ	VYBER	9000	57394	\N	\N	\N
31403	101	1998-06-05	PRIJEM	VKLAD	3900	53449	\N	\N	\N
31404	101	1998-07-05	PRIJEM	VKLAD	15000	40278	\N	\N	\N
31405	101	1998-08-04	PRIJEM	VKLAD	3400	49097	\N	\N	\N
31406	101	1998-09-03	VYDAJ	VYBER	500	57788	\N	\N	\N
31407	101	1998-10-03	VYDAJ	VYBER	10300	56717	\N	\N	\N
31408	101	1998-11-02	VYDAJ	VYBER	7900	58047	\N	\N	\N
31409	101	1998-12-02	VYDAJ	VYBER	11800	55482	\N	\N	\N
31442	102	1993-10-16	PRIJEM	VKLAD	400	400	\N	\N	\N
31443	102	1994-07-20	PRIJEM	VKLAD	32582	58021	\N	\N	\N
31444	102	1994-03-20	PRIJEM	VKLAD	21506	45406	\N	\N	\N
31445	102	1994-03-22	PRIJEM	VKLAD	15083	60489	\N	\N	\N
31446	102	1995-10-10	PRIJEM	VKLAD	8461	35171	\N	\N	\N
31447	102	1995-04-21	PRIJEM	VKLAD	22937	45440	\N	\N	\N
31448	102	1996-02-07	PRIJEM	VKLAD	40372	58728	\N	\N	\N
31449	102	1996-09-16	PRIJEM	VKLAD	16182	65822	\N	\N	\N
31450	102	1996-06-06	PRIJEM	VKLAD	8283	31204	\N	\N	\N
31451	102	1996-10-12	PRIJEM	VKLAD	47939	96232	\N	\N	\N
31452	102	1996-03-31	PRIJEM	VKLAD	29124	50001	\N	\N	\N
31453	102	1996-08-15	PRIJEM	VKLAD	10794	44190	\N	\N	\N
31454	102	1996-02-25	PRIJEM	VKLAD	12392	56445	\N	\N	\N
31455	102	1996-09-21	PRIJEM	VKLAD	18350	96777	\N	\N	\N
31456	102	1996-09-01	PRIJEM	VKLAD	18626	58196	\N	\N	\N
31457	102	1996-12-11	PRIJEM	VKLAD	13567	34164	\N	\N	\N
31458	102	1996-09-17	PRIJEM	VKLAD	12605	78427	\N	\N	\N
31459	102	1996-08-11	PRIJEM	VKLAD	22596	33396	\N	\N	\N
31460	102	1996-04-11	PRIJEM	VKLAD	32807	67279	\N	\N	\N
31461	102	1997-02-27	PRIJEM	VKLAD	42039	53086	\N	\N	\N
31462	102	1997-11-15	PRIJEM	VKLAD	22972	64478	\N	\N	\N
31463	102	1997-03-20	PRIJEM	VKLAD	6728	36123	\N	\N	\N
31464	102	1997-10-29	PRIJEM	VKLAD	21251	45154	\N	\N	\N
31465	102	1997-08-27	PRIJEM	VKLAD	45928	61612	\N	\N	\N
31466	102	1997-06-18	PRIJEM	VKLAD	11260	15498	\N	\N	\N
31467	102	1998-02-09	PRIJEM	VKLAD	29122	46429	\N	\N	\N
31468	102	1998-11-17	PRIJEM	VKLAD	48218	72532	\N	\N	\N
31469	102	1998-01-01	PRIJEM	VKLAD	11178	26158	\N	\N	\N
31470	102	1998-03-06	PRIJEM	VKLAD	25172	43563	\N	\N	\N
31471	102	1998-02-06	PRIJEM	VKLAD	14815	17307	\N	\N	\N
31472	102	1998-12-04	PRIJEM	VKLAD	22330	58033	\N	\N	\N
31473	102	1998-09-11	PRIJEM	VKLAD	29071	21967	\N	\N	\N
31474	102	1998-11-23	PRIJEM	VKLAD	14162	61994	\N	\N	\N
31475	102	1998-10-18	PRIJEM	VKLAD	32305	50465	\N	\N	\N
31476	102	1998-04-03	PRIJEM	VKLAD	14029	32441	\N	\N	\N
31510	102	1995-10-03	VYDAJ	VYBER	6400	25810	\N	\N	0
31511	102	1995-11-16	VYDAJ	VYBER	9300	18353	\N	\N	0
31512	102	1995-12-03	VYDAJ	VYBER	9000	9431	\N	\N	0
31513	102	1996-01-10	VYDAJ	VYBER	8900	11985	\N	\N	0
31514	102	1996-02-23	VYDAJ	VYBER	6700	44053	\N	\N	0
31515	102	1996-03-08	VYDAJ	VYBER	7500	33254	\N	\N	0
31516	102	1996-04-05	VYDAJ	VYBER	4300	38222	\N	\N	0
31517	102	1996-05-17	VYDAJ	VYBER	9800	24385	\N	\N	0
31518	102	1996-06-19	VYDAJ	VYBER	8000	22827	\N	\N	0
31519	102	1996-07-23	VYDAJ	VYBER	7300	17173	\N	\N	0
31520	102	1996-08-06	VYDAJ	VYBER	8900	11177	\N	\N	0
31521	102	1996-09-21	VYDAJ	VYBER	7200	89577	\N	\N	0
31522	102	1996-10-06	VYDAJ	VYBER	8200	48670	\N	\N	0
31523	102	1996-11-09	VYDAJ	VYBER	5700	16647	\N	\N	0
31524	102	1996-12-17	VYDAJ	VYBER	6600	27564	\N	\N	0
31525	102	1997-01-17	VYDAJ	VYBER	5100	19314	\N	\N	0
31526	102	1997-02-11	VYDAJ	VYBER	10100	11047	\N	\N	0
31527	102	1997-03-13	VYDAJ	VYBER	7800	29395	\N	\N	0
31528	102	1997-04-11	VYDAJ	VYBER	4700	23105	\N	\N	0
31529	102	1997-05-03	VYDAJ	VYBER	7900	15195	\N	\N	0
31530	102	1997-06-17	VYDAJ	VYBER	11100	4238	\N	\N	0
31531	102	1997-07-11	VYDAJ	VYBER	6400	7800	\N	\N	0
31532	102	1997-08-24	VYDAJ	VYBER	4600	6184	\N	\N	0
31533	102	1997-09-19	VYDAJ	VYBER	8000	40270	\N	\N	0
31534	102	1997-10-12	VYDAJ	VYBER	6900	22603	\N	\N	0
31535	102	1997-11-21	VYDAJ	VYBER	7600	47991	\N	\N	0
31536	102	1997-12-20	VYDAJ	VYBER	5700	14813	\N	\N	0
31537	102	1998-01-21	VYDAJ	VYBER	7800	14608	\N	\N	0
31538	102	1998-01-28	VYDAJ	VYBER	8800	5808	\N	\N	0
31539	102	1998-02-24	VYDAJ	VYBER	6400	24352	\N	\N	0
31540	102	1998-04-22	VYDAJ	VYBER	8500	20191	\N	\N	0
31541	102	1998-05-11	VYDAJ	VYBER	5900	4821	\N	\N	0
31545	102	1998-09-09	VYDAJ	VYBER	7400	-7104	\N	\N	0
31546	102	1998-10-20	VYDAJ	VYBER	5900	35965	\N	\N	0
31547	102	1998-11-14	VYDAJ	VYBER	8000	24314	\N	\N	0
31548	102	1998-11-30	VYDAJ	VYBER	5100	42967	\N	\N	0
31583	102	1995-11-05	VYDAJ	PREVOD NA UCET	3373	28030	SIPO	KL	63927906
31584	102	1995-12-05	VYDAJ	PREVOD NA UCET	3373	16658	SIPO	KL	63927906
31585	102	1996-01-05	VYDAJ	PREVOD NA UCET	3373	21262	SIPO	KL	63927906
31586	102	1996-02-05	VYDAJ	PREVOD NA UCET	3373	18356	SIPO	KL	63927906
31587	102	1996-03-05	VYDAJ	PREVOD NA UCET	3373	40754	SIPO	KL	63927906
31588	102	1996-04-05	VYDAJ	PREVOD NA UCET	3373	34849	SIPO	KL	63927906
31589	102	1996-05-05	VYDAJ	PREVOD NA UCET	3373	34562	SIPO	KL	63927906
31590	102	1996-06-05	VYDAJ	PREVOD NA UCET	3373	22921	SIPO	KL	63927906
31591	102	1996-07-05	VYDAJ	PREVOD NA UCET	3373	24850	SIPO	KL	63927906
31592	102	1996-08-05	VYDAJ	PREVOD NA UCET	3373	20077	SIPO	KL	63927906
31593	102	1996-09-05	VYDAJ	PREVOD NA UCET	3373	54823	SIPO	KL	63927906
31594	102	1996-10-05	VYDAJ	PREVOD NA UCET	3373	56870	SIPO	KL	63927906
31595	102	1996-11-05	VYDAJ	PREVOD NA UCET	3373	44426	SIPO	KL	63927906
31596	102	1996-12-05	VYDAJ	PREVOD NA UCET	3373	20974	SIPO	KL	63927906
31597	102	1997-01-05	VYDAJ	PREVOD NA UCET	3373	27191	SIPO	KL	63927906
31598	102	1997-02-05	VYDAJ	PREVOD NA UCET	3373	21524	SIPO	KL	63927906
31599	102	1997-03-05	VYDAJ	PREVOD NA UCET	3373	37572	SIPO	KL	63927906
31600	102	1997-04-05	VYDAJ	PREVOD NA UCET	3373	28182	SIPO	KL	63927906
31601	102	1997-05-05	VYDAJ	PREVOD NA UCET	3373	11822	SIPO	KL	63927906
31602	102	1997-06-05	VYDAJ	PREVOD NA UCET	3373	15715	SIPO	KL	63927906
31603	102	1997-07-05	VYDAJ	PREVOD NA UCET	3373	14577	SIPO	KL	63927906
31604	102	1997-08-05	VYDAJ	PREVOD NA UCET	3373	11161	SIPO	KL	63927906
31605	102	1997-09-05	VYDAJ	PREVOD NA UCET	3373	53747	SIPO	KL	63927906
31606	102	1997-10-05	VYDAJ	PREVOD NA UCET	3373	29880	SIPO	KL	63927906
31607	102	1997-11-05	VYDAJ	PREVOD NA UCET	3373	41883	SIPO	KL	63927906
31608	102	1997-12-05	VYDAJ	PREVOD NA UCET	3373	20890	SIPO	KL	63927906
31609	102	1998-01-05	VYDAJ	PREVOD NA UCET	3373	22785	SIPO	KL	63927906
31610	102	1998-02-05	VYDAJ	PREVOD NA UCET	3373	2492	SIPO	KL	63927906
31611	102	1998-03-05	VYDAJ	PREVOD NA UCET	3373	21091	SIPO	KL	63927906
31612	102	1998-04-05	VYDAJ	PREVOD NA UCET	3373	29068	SIPO	KL	63927906
31613	102	1998-05-05	VYDAJ	PREVOD NA UCET	3373	11098	SIPO	KL	63927906
31614	102	1998-06-05	VYDAJ	PREVOD NA UCET	3373	1463	SIPO	KL	63927906
31618	102	1998-10-05	VYDAJ	PREVOD NA UCET	3373	18537	SIPO	KL	63927906
31619	102	1998-11-05	VYDAJ	PREVOD NA UCET	3373	32691	SIPO	KL	63927906
31620	102	1998-12-05	VYDAJ	PREVOD NA UCET	3373	54660	SIPO	KL	63927906
31655	102	1995-11-09	VYDAJ	PREVOD NA UCET	377	27653	 	UV	97521966
31656	102	1995-12-09	VYDAJ	PREVOD NA UCET	377	16281	 	UV	97521966
31657	102	1996-01-09	VYDAJ	PREVOD NA UCET	377	20885	 	UV	97521966
31658	102	1996-02-09	VYDAJ	PREVOD NA UCET	377	58351	 	UV	97521966
31659	102	1996-03-09	VYDAJ	PREVOD NA UCET	377	32877	 	UV	97521966
31660	102	1996-04-09	VYDAJ	PREVOD NA UCET	377	34472	 	UV	97521966
31661	102	1996-05-09	VYDAJ	PREVOD NA UCET	377	34185	 	UV	97521966
31662	102	1996-06-09	VYDAJ	PREVOD NA UCET	377	30827	 	UV	97521966
31663	102	1996-07-09	VYDAJ	PREVOD NA UCET	377	24473	 	UV	97521966
31664	102	1996-08-09	VYDAJ	PREVOD NA UCET	377	10800	 	UV	97521966
31665	102	1996-09-09	VYDAJ	PREVOD NA UCET	377	49640	 	UV	97521966
31666	102	1996-10-09	VYDAJ	PREVOD NA UCET	377	48293	 	UV	97521966
31667	102	1996-11-09	VYDAJ	PREVOD NA UCET	377	22347	 	UV	97521966
31668	102	1996-12-09	VYDAJ	PREVOD NA UCET	377	20597	 	UV	97521966
31669	102	1997-01-09	VYDAJ	PREVOD NA UCET	377	24414	 	UV	97521966
31670	102	1997-02-09	VYDAJ	PREVOD NA UCET	377	21147	 	UV	97521966
31671	102	1997-03-09	VYDAJ	PREVOD NA UCET	377	37195	 	UV	97521966
31672	102	1997-04-09	VYDAJ	PREVOD NA UCET	377	27805	 	UV	97521966
31673	102	1997-05-09	VYDAJ	PREVOD NA UCET	377	11445	 	UV	97521966
31674	102	1997-06-09	VYDAJ	PREVOD NA UCET	377	15338	 	UV	97521966
31675	102	1997-07-09	VYDAJ	PREVOD NA UCET	377	14200	 	UV	97521966
31676	102	1997-08-09	VYDAJ	PREVOD NA UCET	377	10784	 	UV	97521966
31677	102	1997-09-09	VYDAJ	PREVOD NA UCET	377	53370	 	UV	97521966
31678	102	1997-10-09	VYDAJ	PREVOD NA UCET	377	29503	 	UV	97521966
31679	102	1997-11-09	VYDAJ	PREVOD NA UCET	377	41506	 	UV	97521966
31680	102	1997-12-09	VYDAJ	PREVOD NA UCET	377	20513	 	UV	97521966
31681	102	1998-01-09	VYDAJ	PREVOD NA UCET	377	22408	 	UV	97521966
31682	102	1998-02-09	VYDAJ	PREVOD NA UCET	377	46052	 	UV	97521966
31683	102	1998-03-09	VYDAJ	PREVOD NA UCET	377	26724	 	UV	97521966
31684	102	1998-04-09	VYDAJ	PREVOD NA UCET	377	28691	 	UV	97521966
31685	102	1998-05-09	VYDAJ	PREVOD NA UCET	377	10721	 	UV	97521966
31686	102	1998-06-09	VYDAJ	PREVOD NA UCET	377	1086	 	UV	97521966
31687	102	1998-07-09	VYDAJ	PREVOD NA UCET	377	701	 	UV	97521966
31688	102	1998-08-09	VYDAJ	PREVOD NA UCET	377	311	 	UV	97521966
31690	102	1998-10-09	VYDAJ	PREVOD NA UCET	377	18160	 	UV	97521966
31691	102	1998-11-09	VYDAJ	PREVOD NA UCET	377	32314	 	UV	97521966
31692	102	1998-12-09	VYDAJ	PREVOD NA UCET	377	54283	 	UV	97521966
31701	102	1996-04-29	VYBER	VYBER	10970	37123	\N	\N	\N
31703	102	1996-08-24	VYBER	VYBER	2939	41251	\N	\N	\N
31704	102	1996-02-21	VYBER	VYBER	7598	50753	\N	\N	\N
31707	102	1996-09-07	VYBER	VYBER	4806	50017	\N	\N	\N
31709	102	1996-10-26	VYBER	VYBER	23928	72304	\N	\N	\N
31710	102	1996-04-26	VYBER	VYBER	19186	48093	\N	\N	\N
31712	102	1996-11-07	VYBER	VYBER	21702	22724	\N	\N	\N
31714	102	1997-09-04	VYBER	VYBER	4558	57120	\N	\N	\N
31722	102	1997-12-03	VYBER	VYBER	8295	24263	\N	\N	\N
31723	102	1997-11-16	VYBER	VYBER	8887	55591	\N	\N	\N
31725	102	1998-03-08	VYBER	VYBER	16462	27101	\N	\N	\N
31728	102	1998-12-01	VYBER	VYBER	7249	35703	\N	\N	\N
31748	102	1998-12-17	VYDAJ	VYBER	4500	49783	\N	\N	\N
31776	102	1997-01-06	VYDAJ	VYBER	2400	24791	\N	\N	\N
31791	102	1995-10-31	VYDAJ	VYBER	12900	22418	\N	\N	\N
31794	102	1996-10-28	VYDAJ	VYBER	7200	65104	\N	\N	\N
31798	102	1996-03-19	VYDAJ	VYBER	12000	20877	\N	\N	\N
31801	102	1997-09-18	VYDAJ	VYBER	5100	48270	\N	\N	\N
31803	102	1997-04-24	VYDAJ	VYBER	1800	21305	\N	\N	\N
31806	102	1998-03-05	VYDAJ	VYBER	2700	18391	\N	\N	\N
31808	102	1998-11-25	VYDAJ	VYBER	14100	47894	\N	\N	\N
31843	102	1995-10-31	VYDAJ	VYBER	15	22403	SLUZBY	\N	\N
31844	102	1995-11-30	VYDAJ	VYBER	15	18431	SLUZBY	\N	\N
31845	102	1995-12-31	VYDAJ	VYBER	15	16335	SLUZBY	\N	\N
31846	102	1996-01-31	VYDAJ	VYBER	15	12029	SLUZBY	\N	\N
31847	102	1996-02-29	VYDAJ	VYBER	15	56627	SLUZBY	\N	\N
31848	102	1996-03-31	VYDAJ	VYBER	15	50122	SLUZBY	\N	\N
31849	102	1996-04-30	VYDAJ	VYBER	15	37335	SLUZBY	\N	\N
31850	102	1996-05-31	VYDAJ	VYBER	15	24494	SLUZBY	\N	\N
31851	102	1996-06-30	VYDAJ	VYBER	15	22923	SLUZBY	\N	\N
31852	102	1996-07-31	VYDAJ	VYBER	15	17250	SLUZBY	\N	\N
31853	102	1996-08-31	VYDAJ	VYBER	15	41370	SLUZBY	\N	\N
31854	102	1996-09-30	VYDAJ	VYBER	15	89843	SLUZBY	\N	\N
31855	102	1996-10-31	VYDAJ	VYBER	15	47799	SLUZBY	\N	\N
31856	102	1996-11-30	VYDAJ	VYBER	15	24347	SLUZBY	\N	\N
31857	102	1996-12-31	VYDAJ	VYBER	15	30564	SLUZBY	\N	\N
31858	102	1997-01-31	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
31859	102	1997-02-28	VYDAJ	VYBER	15	40945	SLUZBY	\N	\N
31860	102	1997-03-31	VYDAJ	VYBER	15	31555	SLUZBY	\N	\N
31861	102	1997-04-30	VYDAJ	VYBER	15	23095	SLUZBY	\N	\N
31862	102	1997-05-31	VYDAJ	VYBER	15	19088	SLUZBY	\N	\N
31863	102	1997-06-30	VYDAJ	VYBER	15	17950	SLUZBY	\N	\N
31864	102	1997-07-31	VYDAJ	VYBER	15	14534	SLUZBY	\N	\N
31865	102	1997-08-31	VYDAJ	VYBER	15	61678	SLUZBY	\N	\N
31866	102	1997-09-30	VYDAJ	VYBER	15	33253	SLUZBY	\N	\N
31867	102	1997-10-31	VYDAJ	VYBER	15	45256	SLUZBY	\N	\N
31868	102	1997-11-30	VYDAJ	VYBER	15	32558	SLUZBY	\N	\N
31869	102	1997-12-31	VYDAJ	VYBER	15	14980	SLUZBY	\N	\N
31870	102	1998-01-31	VYDAJ	VYBER	15	5865	SLUZBY	\N	\N
31871	102	1998-02-28	VYDAJ	VYBER	15	24464	SLUZBY	\N	\N
31872	102	1998-03-31	VYDAJ	VYBER	15	18412	SLUZBY	\N	\N
31873	102	1998-04-30	VYDAJ	VYBER	15	14471	SLUZBY	\N	\N
31874	102	1998-05-31	VYDAJ	VYBER	15	4836	SLUZBY	\N	\N
31875	102	1998-06-30	VYDAJ	VYBER	15	1078	SLUZBY	\N	\N
31876	102	1998-07-31	VYDAJ	VYBER	15	688	SLUZBY	\N	\N
31877	102	1998-08-31	VYDAJ	VYBER	15	296	SLUZBY	\N	\N
31878	102	1998-09-30	VYDAJ	VYBER	15	21910	SLUZBY	\N	\N
31879	102	1998-10-31	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
31880	102	1998-11-30	VYDAJ	VYBER	15	42952	SLUZBY	\N	\N
31881	102	1993-11-15	PRIJEM	VKLAD	14300	14700	\N	\N	\N
31882	102	1993-12-15	PRIJEM	VKLAD	6100	20800	\N	\N	\N
31883	102	1994-01-14	PRIJEM	VKLAD	3500	24300	\N	\N	\N
31884	102	1994-02-13	VYDAJ	VYBER	800	23500	\N	\N	\N
31885	102	1994-03-15	PRIJEM	VKLAD	400	23900	\N	\N	\N
31886	102	1994-04-14	VYDAJ	VYBER	16200	44383	\N	\N	\N
31887	102	1994-05-14	VYDAJ	VYBER	8100	36535	\N	\N	\N
31888	102	1994-06-13	VYDAJ	VYBER	5200	31587	\N	\N	\N
31889	102	1994-07-13	VYDAJ	VYBER	6400	25439	\N	\N	\N
31890	102	1994-08-12	VYDAJ	VYBER	19000	39269	\N	\N	\N
31891	102	1994-09-11	VYDAJ	VYBER	8400	31110	\N	\N	\N
31892	102	1994-10-11	VYDAJ	VYBER	900	30452	\N	\N	\N
31893	102	1994-11-10	VYDAJ	VYBER	4800	25894	\N	\N	\N
31894	102	1994-12-10	VYDAJ	VYBER	600	25536	\N	\N	\N
31895	102	1995-01-09	VYDAJ	VYBER	2600	23177	\N	\N	\N
31896	102	1995-02-08	VYDAJ	VYBER	1500	21919	\N	\N	\N
31897	102	1995-03-10	PRIJEM	VKLAD	500	22661	\N	\N	\N
31898	102	1995-04-09	VYDAJ	VYBER	400	22503	\N	\N	\N
31899	102	1995-05-09	VYDAJ	VYBER	8100	37564	\N	\N	\N
31900	102	1995-06-08	VYDAJ	VYBER	6100	31653	\N	\N	\N
31901	102	1995-07-08	VYDAJ	VYBER	1600	30242	\N	\N	\N
31902	102	1995-08-07	PRIJEM	VKLAD	2700	33132	\N	\N	\N
31903	102	1995-09-06	VYDAJ	VYBER	1300	32021	\N	\N	\N
31904	102	1995-10-06	PRIJEM	VKLAD	900	26710	\N	\N	\N
31905	102	1995-11-05	PRIJEM	VKLAD	9000	31403	\N	\N	\N
31906	102	1995-12-05	PRIJEM	VKLAD	10600	20031	\N	\N	\N
31907	102	1996-01-04	PRIJEM	VKLAD	8300	24635	\N	\N	\N
31908	102	1996-02-03	PRIJEM	VKLAD	9700	21729	\N	\N	\N
31909	102	1996-03-04	VYDAJ	VYBER	12500	44127	\N	\N	\N
31910	102	1996-04-03	VYDAJ	VYBER	7600	42522	\N	\N	\N
31911	102	1996-05-03	PRIJEM	VKLAD	600	37935	\N	\N	\N
31912	102	1996-06-02	PRIJEM	VKLAD	1800	26294	\N	\N	\N
31913	102	1996-07-02	PRIJEM	VKLAD	5300	28223	\N	\N	\N
31914	102	1996-08-01	PRIJEM	VKLAD	6200	23450	\N	\N	\N
31915	102	1996-08-31	VYDAJ	VYBER	1800	39570	\N	\N	\N
31916	102	1996-09-30	VYDAJ	VYBER	29600	60243	\N	\N	\N
31917	102	1996-10-30	VYDAJ	VYBER	17600	47504	\N	\N	\N
31918	102	1996-11-29	PRIJEM	VKLAD	7600	24247	\N	\N	\N
31919	102	1996-12-29	PRIJEM	VKLAD	2900	30464	\N	\N	\N
31920	102	1997-01-28	PRIJEM	VKLAD	5500	24814	\N	\N	\N
31921	102	1997-02-27	VYDAJ	VYBER	12200	40886	\N	\N	\N
31922	102	1997-03-29	VYDAJ	VYBER	4700	31423	\N	\N	\N
31923	102	1997-04-28	PRIJEM	VKLAD	1700	23005	\N	\N	\N
31924	102	1997-05-28	PRIJEM	VKLAD	7600	19045	\N	\N	\N
31925	102	1997-06-27	PRIJEM	VKLAD	2400	17898	\N	\N	\N
31926	102	1997-07-27	PRIJEM	VKLAD	6700	14500	\N	\N	\N
31927	102	1997-08-26	PRIJEM	VKLAD	9500	15684	\N	\N	\N
31928	102	1997-09-25	VYDAJ	VYBER	7200	33070	\N	\N	\N
31929	102	1997-10-25	PRIJEM	VKLAD	1300	23903	\N	\N	\N
31930	102	1997-11-24	VYDAJ	VYBER	15600	32391	\N	\N	\N
31931	102	1997-12-24	PRIJEM	VKLAD	100	14913	\N	\N	\N
31932	102	1998-02-22	VYDAJ	VYBER	15300	30752	\N	\N	\N
31933	102	1998-03-24	VYDAJ	VYBER	8400	18324	\N	\N	\N
31934	102	1998-04-23	VYDAJ	VYBER	5800	14391	\N	\N	\N
31935	102	1998-09-20	VYDAJ	VYBER	100	21867	\N	\N	\N
31936	102	1998-10-20	VYDAJ	VYBER	8600	41865	\N	\N	\N
31937	102	1998-11-19	VYDAJ	VYBER	24700	47832	\N	\N	\N
31998	103	1996-03-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
31999	103	1997-06-25	PRIJEM	VKLAD	8226	45253	\N	\N	\N
32000	103	1997-03-18	PRIJEM	VKLAD	8814	65747	\N	\N	\N
32001	103	1997-05-19	PRIJEM	VKLAD	38249	92609	\N	\N	\N
32002	103	1997-03-08	PRIJEM	VKLAD	47897	110433	\N	\N	\N
32003	103	1997-04-28	PRIJEM	VKLAD	19823	79734	\N	\N	\N
32004	103	1997-04-08	PRIJEM	VKLAD	15505	59911	\N	\N	\N
32005	103	1997-07-15	PRIJEM	VKLAD	29251	67730	\N	\N	\N
32006	103	1997-02-15	PRIJEM	VKLAD	18987	84644	\N	\N	\N
32007	103	1997-07-20	PRIJEM	VKLAD	48308	116038	\N	\N	\N
32008	103	1997-02-13	PRIJEM	VKLAD	34957	65657	\N	\N	\N
32009	103	1997-05-02	PRIJEM	VKLAD	7136	85860	\N	\N	\N
32010	103	1998-04-19	PRIJEM	VKLAD	32348	88764	\N	\N	\N
32011	103	1998-04-28	PRIJEM	VKLAD	35994	124758	\N	\N	\N
32012	103	1998-09-21	PRIJEM	VKLAD	24780	78752	\N	\N	\N
32013	103	1998-07-05	PRIJEM	VKLAD	45156	80486	\N	\N	\N
32014	103	1998-07-20	PRIJEM	VKLAD	37743	97659	\N	\N	\N
32015	103	1998-02-26	PRIJEM	VKLAD	31329	57908	\N	\N	\N
32016	103	1998-03-03	PRIJEM	VKLAD	43841	95275	\N	\N	\N
32017	103	1998-11-19	PRIJEM	VKLAD	46064	75456	\N	\N	\N
32018	103	1998-05-02	PRIJEM	VKLAD	40153	93074	\N	\N	\N
32019	103	1998-08-22	PRIJEM	VKLAD	46208	100374	\N	\N	\N
32020	103	1998-08-15	PRIJEM	VKLAD	26441	70620	\N	\N	\N
32021	103	1998-10-01	PRIJEM	VKLAD	12736	68634	\N	\N	\N
32022	103	1998-02-20	PRIJEM	VKLAD	39600	38460	\N	\N	\N
32038	103	1997-04-05	VYDAJ	VYBER	6900	44406	\N	\N	0
32039	103	1997-05-11	VYDAJ	VYBER	8700	54360	\N	\N	0
32040	103	1997-06-10	VYDAJ	VYBER	6600	37027	\N	\N	0
32041	103	1997-07-08	VYDAJ	VYBER	5800	38479	\N	\N	0
32042	103	1997-08-18	VYDAJ	VYBER	7500	37640	\N	\N	0
32043	103	1997-09-19	VYDAJ	VYBER	9300	20000	\N	\N	0
32044	103	1997-10-12	VYDAJ	VYBER	10300	13506	\N	\N	0
32045	103	1997-11-02	VYDAJ	VYBER	7900	4760	\N	\N	0
32046	103	1997-12-12	VYDAJ	VYBER	7400	12578	\N	\N	0
32047	103	1998-01-12	VYDAJ	PREVOD NA UCET	7370	16279	UVER	MN	2646291
32048	103	1998-02-12	VYDAJ	VYBER	7400	-1140	\N	\N	\N
32049	103	1998-03-12	VYDAJ	PREVOD NA UCET	7370	87905	UVER	MN	2646291
32050	103	1998-04-12	VYDAJ	PREVOD NA UCET	7370	56416	UVER	MN	2646291
32051	103	1998-05-12	VYDAJ	PREVOD NA UCET	7370	61724	UVER	MN	2646291
32052	103	1998-06-12	VYDAJ	PREVOD NA UCET	7370	28370	UVER	MN	2646291
32053	103	1998-07-12	VYDAJ	PREVOD NA UCET	7370	73116	UVER	MN	2646291
32054	103	1998-08-12	VYDAJ	PREVOD NA UCET	7370	58879	UVER	MN	2646291
32055	103	1998-09-12	VYDAJ	PREVOD NA UCET	7370	53972	UVER	MN	2646291
32056	103	1998-10-12	VYDAJ	PREVOD NA UCET	7370	59164	UVER	MN	2646291
32057	103	1998-11-12	VYDAJ	PREVOD NA UCET	7370	29392	UVER	MN	2646291
32058	103	1998-12-12	VYDAJ	PREVOD NA UCET	7370	43400	UVER	MN	2646291
32062	103	1997-08-13	VYBER	VYBER	23736	45140	\N	\N	\N
32063	103	1997-11-01	VYBER	VYBER	14689	12660	\N	\N	\N
32064	103	1997-05-22	VYBER	VYBER	22734	69875	\N	\N	\N
32066	103	1997-06-01	VYBER	VYBER	14782	48427	\N	\N	\N
32068	103	1997-09-05	VYBER	VYBER	6231	29300	\N	\N	\N
32069	103	1997-09-20	VYBER	VYBER	19621	379	\N	\N	\N
32072	103	1998-05-08	VYBER	VYBER	23980	69094	\N	\N	\N
32073	103	1998-07-25	VYBER	VYBER	7387	90272	\N	\N	\N
32074	103	1998-09-22	VYBER	VYBER	3734	75018	\N	\N	\N
32075	103	1998-11-30	VYBER	VYBER	5541	50785	\N	\N	\N
32076	103	1998-08-27	VYBER	VYBER	23472	76902	\N	\N	\N
32077	103	1998-02-08	VYBER	VYBER	4366	12860	\N	\N	\N
32078	103	1998-10-17	VYBER	VYBER	13490	45674	\N	\N	\N
32079	103	1998-02-25	VYBER	VYBER	11881	26579	\N	\N	\N
32080	103	1998-05-31	VYBER	VYBER	14341	35755	\N	\N	\N
32081	103	1998-08-19	VYBER	VYBER	16454	54166	\N	\N	\N
32082	103	1998-11-09	VYBER	VYBER	4701	36762	\N	\N	\N
32084	103	1997-12-23	VYDAJ	VYBER	4800	7778	\N	\N	\N
32085	103	1998-12-13	VYDAJ	VYBER	5700	37700	\N	\N	\N
32098	103	1998-01-13	VYDAJ	VYBER	6300	9979	\N	\N	\N
32101	103	1998-01-13	VYDAJ	VYBER	7200	2779	\N	\N	\N
32102	103	1998-01-16	VYDAJ	VYBER	3900	-1121	\N	\N	\N
32107	103	1997-04-30	VYDAJ	VYBER	1500	78739	\N	\N	\N
32108	103	1997-09-02	VYDAJ	VYBER	2100	35531	\N	\N	\N
32110	103	1997-05-28	VYDAJ	VYBER	7200	62675	\N	\N	\N
32112	103	1998-10-08	VYDAJ	VYBER	2100	66534	\N	\N	\N
32113	103	1998-03-30	VYDAJ	VYBER	6600	63205	\N	\N	\N
32114	103	1998-07-14	VYDAJ	VYBER	13200	59916	\N	\N	\N
32115	103	1998-02-11	VYDAJ	VYBER	6600	6260	\N	\N	\N
32116	103	1998-08-14	VYDAJ	VYBER	14700	44179	\N	\N	\N
32133	103	1997-04-30	VYDAJ	VYBER	15	78724	SLUZBY	\N	\N
32134	103	1997-05-31	VYDAJ	VYBER	15	63209	SLUZBY	\N	\N
32135	103	1997-06-30	VYDAJ	VYBER	15	45579	SLUZBY	\N	\N
32136	103	1997-07-31	VYDAJ	VYBER	15	97576	SLUZBY	\N	\N
32137	103	1997-08-31	VYDAJ	VYBER	15	38131	SLUZBY	\N	\N
32138	103	1997-09-30	VYDAJ	VYBER	15	506	SLUZBY	\N	\N
32139	103	1997-10-31	VYDAJ	VYBER	15	27353	SLUZBY	\N	\N
32140	103	1997-11-30	VYDAJ	VYBER	15	19978	SLUZBY	\N	\N
32141	103	1997-12-31	VYDAJ	VYBER	15	23649	SLUZBY	\N	\N
32142	103	1998-01-31	VYDAJ	VYBER	15	17251	SLUZBY	\N	\N
32143	103	1998-02-28	VYDAJ	VYBER	15	51443	SLUZBY	\N	\N
32144	103	1998-03-31	VYDAJ	VYBER	15	63786	SLUZBY	\N	\N
32145	103	1998-04-30	VYDAJ	VYBER	15	52921	SLUZBY	\N	\N
32146	103	1998-05-31	VYDAJ	VYBER	15	35740	SLUZBY	\N	\N
32147	103	1998-06-30	VYDAJ	VYBER	15	35330	SLUZBY	\N	\N
32148	103	1998-07-31	VYDAJ	VYBER	15	66249	SLUZBY	\N	\N
32149	103	1998-08-31	VYDAJ	VYBER	15	61342	SLUZBY	\N	\N
32150	103	1998-09-30	VYDAJ	VYBER	15	55898	SLUZBY	\N	\N
32151	103	1998-10-31	VYDAJ	VYBER	15	41463	SLUZBY	\N	\N
32152	103	1998-11-30	VYDAJ	VYBER	15	50770	SLUZBY	\N	\N
32153	103	1996-04-09	PRIJEM	VKLAD	12900	13900	\N	\N	\N
32154	103	1996-05-09	PRIJEM	VKLAD	6200	20100	\N	\N	\N
32155	103	1996-06-08	PRIJEM	VKLAD	4300	24400	\N	\N	\N
32156	103	1996-07-08	PRIJEM	VKLAD	2500	26900	\N	\N	\N
32157	103	1996-08-07	VYDAJ	VYBER	1500	25400	\N	\N	\N
32158	103	1996-09-06	PRIJEM	VKLAD	1700	27100	\N	\N	\N
32159	103	1996-10-06	PRIJEM	VKLAD	1700	28800	\N	\N	\N
32160	103	1996-11-05	PRIJEM	VKLAD	4900	33700	\N	\N	\N
32161	103	1996-12-05	VYDAJ	VYBER	1500	32200	\N	\N	\N
32162	103	1997-02-03	VYDAJ	VYBER	1500	30700	\N	\N	\N
32163	103	1997-03-05	VYDAJ	VYBER	22500	62536	\N	\N	\N
32164	103	1997-03-08	VYDAJ	VYBER	53500	56933	\N	\N	\N
32165	103	1997-04-04	VYDAJ	VYBER	15000	51306	\N	\N	\N
32166	103	1997-05-04	VYDAJ	VYBER	22800	63060	\N	\N	\N
32167	103	1997-06-03	VYDAJ	VYBER	4800	43627	\N	\N	\N
32168	103	1997-07-03	VYDAJ	VYBER	1300	44279	\N	\N	\N
32169	103	1997-07-20	VYDAJ	VYBER	19000	97038	\N	\N	\N
32170	103	1997-08-02	VYDAJ	VYBER	28700	68876	\N	\N	\N
32171	103	1997-09-01	VYDAJ	VYBER	500	37631	\N	\N	\N
32172	103	1997-10-01	PRIJEM	VKLAD	23300	23806	\N	\N	\N
32173	103	1997-10-31	PRIJEM	VKLAD	13800	27306	\N	\N	\N
32174	103	1997-11-30	PRIJEM	VKLAD	15200	19960	\N	\N	\N
32175	103	1997-12-30	PRIJEM	VKLAD	15800	23578	\N	\N	\N
32176	103	1998-01-29	PRIJEM	VKLAD	18300	17179	\N	\N	\N
32177	103	1998-02-28	VYDAJ	VYBER	6600	51465	\N	\N	\N
32178	103	1998-03-30	VYDAJ	VYBER	18100	69805	\N	\N	\N
32179	103	1998-04-28	VYDAJ	VYBER	62700	62058	\N	\N	\N
32180	103	1998-04-29	VYDAJ	VYBER	9700	52358	\N	\N	\N
32181	103	1998-05-29	VYDAJ	VYBER	12100	49624	\N	\N	\N
32182	103	1998-06-28	PRIJEM	VKLAD	6700	35070	\N	\N	\N
32183	103	1998-07-28	VYDAJ	VYBER	24500	65772	\N	\N	\N
32184	103	1998-08-27	VYDAJ	VYBER	16100	60802	\N	\N	\N
32185	103	1998-09-26	VYDAJ	VYBER	19600	55418	\N	\N	\N
32186	103	1998-10-26	VYDAJ	VYBER	4600	41074	\N	\N	\N
32187	103	1998-11-25	VYDAJ	VYBER	19500	55956	\N	\N	\N
32215	104	1993-04-15	PRIJEM	VKLAD	500	500	\N	\N	\N
32220	104	1993-05-05	PRIJEM	PREVOD Z UCTU	3063	3563	\N	YZ	13231766
32221	104	1993-06-05	PRIJEM	PREVOD Z UCTU	3063	6626	\N	YZ	13231766
32222	104	1993-07-05	PRIJEM	PREVOD Z UCTU	3063	9689	\N	YZ	13231766
32223	104	1993-08-05	PRIJEM	PREVOD Z UCTU	3063	12752	\N	YZ	13231766
32224	104	1993-09-05	PRIJEM	PREVOD Z UCTU	3063	15815	\N	YZ	13231766
32225	104	1993-10-05	PRIJEM	PREVOD Z UCTU	3063	16864	\N	YZ	13231766
32226	104	1993-11-05	PRIJEM	PREVOD Z UCTU	3063	17931	\N	YZ	13231766
32227	104	1993-12-05	PRIJEM	PREVOD Z UCTU	3063	19003	\N	YZ	13231766
32228	104	1994-01-05	PRIJEM	PREVOD Z UCTU	3063	19358	\N	YZ	13231766
32229	104	1994-02-05	PRIJEM	PREVOD Z UCTU	3063	17370	\N	YZ	13231766
32230	104	1994-03-05	PRIJEM	PREVOD Z UCTU	3063	18439	\N	YZ	13231766
32231	104	1994-04-05	PRIJEM	PREVOD Z UCTU	3063	19513	\N	YZ	13231766
32232	104	1994-05-05	PRIJEM	PREVOD Z UCTU	3063	20591	\N	YZ	13231766
32233	104	1994-06-05	PRIJEM	PREVOD Z UCTU	3063	21674	\N	YZ	13231766
32234	104	1994-07-05	PRIJEM	PREVOD Z UCTU	3063	17383	\N	YZ	13231766
32235	104	1994-08-05	PRIJEM	PREVOD Z UCTU	3063	18452	\N	YZ	13231766
32236	104	1994-09-05	PRIJEM	PREVOD Z UCTU	3063	19526	\N	YZ	13231766
32237	104	1994-10-05	PRIJEM	PREVOD Z UCTU	3063	20604	\N	YZ	13231766
32238	104	1994-11-05	PRIJEM	PREVOD Z UCTU	3063	19407	\N	YZ	13231766
32239	104	1994-12-05	PRIJEM	PREVOD Z UCTU	3063	20487	\N	YZ	13231766
32240	104	1995-01-05	PRIJEM	PREVOD Z UCTU	3063	19288	\N	YZ	13231766
32241	104	1995-02-05	PRIJEM	PREVOD Z UCTU	3063	18265	\N	YZ	13231766
32242	104	1995-03-05	PRIJEM	PREVOD Z UCTU	3063	19338	\N	YZ	13231766
32243	104	1995-04-05	PRIJEM	PREVOD Z UCTU	3063	19755	\N	YZ	13231766
32244	104	1995-05-05	PRIJEM	PREVOD Z UCTU	3063	19423	\N	YZ	13231766
32245	104	1995-06-05	PRIJEM	PREVOD Z UCTU	3063	20500	\N	YZ	13231766
32246	104	1995-07-05	PRIJEM	PREVOD Z UCTU	3063	21583	\N	YZ	13231766
32247	104	1995-08-05	PRIJEM	PREVOD Z UCTU	3063	22669	\N	YZ	13231766
32248	104	1995-09-05	PRIJEM	PREVOD Z UCTU	3063	23760	\N	YZ	13231766
32249	104	1995-10-05	PRIJEM	PREVOD Z UCTU	3063	23533	\N	YZ	13231766
32250	104	1995-11-05	PRIJEM	PREVOD Z UCTU	3063	24628	\N	YZ	13231766
32251	104	1995-12-05	PRIJEM	PREVOD Z UCTU	3063	25727	\N	YZ	13231766
32252	104	1996-01-05	PRIJEM	PREVOD Z UCTU	3063	26349	\N	YZ	13231766
32253	104	1996-02-05	PRIJEM	PREVOD Z UCTU	3063	23429	\N	YZ	13231766
32254	104	1996-03-05	PRIJEM	PREVOD Z UCTU	3063	24523	\N	YZ	13231766
32255	104	1996-04-05	PRIJEM	PREVOD Z UCTU	3063	25622	\N	YZ	13231766
32256	104	1996-05-05	PRIJEM	PREVOD Z UCTU	3063	24954	\N	YZ	13231766
32257	104	1996-06-05	PRIJEM	PREVOD Z UCTU	3063	25695	\N	YZ	13231766
32258	104	1996-07-05	PRIJEM	PREVOD Z UCTU	3063	18948	\N	YZ	13231766
32259	104	1996-08-05	PRIJEM	PREVOD Z UCTU	3063	20024	\N	YZ	13231766
32260	104	1996-09-05	PRIJEM	PREVOD Z UCTU	3063	19600	\N	YZ	13231766
32261	104	1996-10-05	PRIJEM	PREVOD Z UCTU	3063	20678	\N	YZ	13231766
32262	104	1996-11-05	PRIJEM	PREVOD Z UCTU	3063	21760	\N	YZ	13231766
32263	104	1996-12-05	PRIJEM	PREVOD Z UCTU	3063	22035	\N	YZ	13231766
32264	104	1997-01-05	PRIJEM	PREVOD Z UCTU	3063	21382	\N	YZ	13231766
32265	104	1997-02-05	PRIJEM	PREVOD Z UCTU	3063	20456	\N	YZ	13231766
32266	104	1997-03-05	PRIJEM	PREVOD Z UCTU	3063	20277	\N	YZ	13231766
32267	104	1997-04-05	PRIJEM	PREVOD Z UCTU	3063	21360	\N	YZ	13231766
32268	104	1997-05-05	PRIJEM	PREVOD Z UCTU	3063	22445	\N	YZ	13231766
32269	104	1997-06-05	PRIJEM	PREVOD Z UCTU	3063	23534	\N	YZ	13231766
32270	104	1997-07-05	PRIJEM	PREVOD Z UCTU	3063	24628	\N	YZ	13231766
32271	104	1997-08-05	PRIJEM	PREVOD Z UCTU	3063	24794	\N	YZ	13231766
32272	104	1997-09-05	PRIJEM	PREVOD Z UCTU	3063	25893	\N	YZ	13231766
32273	104	1997-10-05	PRIJEM	PREVOD Z UCTU	3063	26997	\N	YZ	13231766
32274	104	1997-11-05	PRIJEM	PREVOD Z UCTU	3063	28105	\N	YZ	13231766
32275	104	1997-12-05	PRIJEM	PREVOD Z UCTU	3063	28497	\N	YZ	13231766
32276	104	1998-01-05	PRIJEM	PREVOD Z UCTU	3063	29223	\N	YZ	13231766
32277	104	1998-02-05	PRIJEM	PREVOD Z UCTU	3063	27278	\N	YZ	13231766
32278	104	1998-03-05	PRIJEM	PREVOD Z UCTU	3063	28386	\N	YZ	13231766
32279	104	1998-04-05	PRIJEM	PREVOD Z UCTU	3063	29500	\N	YZ	13231766
32280	104	1998-05-05	PRIJEM	PREVOD Z UCTU	3063	30618	\N	YZ	13231766
32281	104	1998-06-05	PRIJEM	PREVOD Z UCTU	3063	31741	\N	YZ	13231766
32282	104	1998-07-05	PRIJEM	PREVOD Z UCTU	3063	24161	\N	YZ	13231766
32283	104	1998-08-05	PRIJEM	PREVOD Z UCTU	3063	25256	\N	YZ	13231766
32284	104	1998-09-05	PRIJEM	PREVOD Z UCTU	3063	25846	\N	YZ	13231766
32285	104	1998-10-05	PRIJEM	PREVOD Z UCTU	3063	26951	\N	YZ	13231766
32286	104	1998-11-05	PRIJEM	PREVOD Z UCTU	3063	27398	\N	YZ	13231766
32287	104	1998-12-05	PRIJEM	PREVOD Z UCTU	3063	28085	\N	YZ	13231766
32296	104	1993-09-11	VYDAJ	PREVOD NA UCET	578	13773	\N	MN	82782172
32297	104	1993-10-11	VYDAJ	PREVOD NA UCET	578	14822	\N	MN	82782172
32298	104	1993-11-11	VYDAJ	PREVOD NA UCET	578	15889	\N	MN	82782172
32299	104	1993-12-11	VYDAJ	PREVOD NA UCET	578	16961	\N	MN	82782172
32300	104	1994-01-11	VYDAJ	PREVOD NA UCET	578	15606	\N	MN	82782172
32301	104	1994-02-11	VYDAJ	PREVOD NA UCET	578	15328	\N	MN	82782172
32302	104	1994-03-11	VYDAJ	PREVOD NA UCET	578	16397	\N	MN	82782172
32303	104	1994-04-11	VYDAJ	PREVOD NA UCET	578	17471	\N	MN	82782172
32304	104	1994-05-11	VYDAJ	PREVOD NA UCET	578	18549	\N	MN	82782172
32305	104	1994-06-11	VYDAJ	PREVOD NA UCET	578	19452	\N	MN	82782172
32306	104	1994-07-11	VYDAJ	PREVOD NA UCET	578	15341	\N	MN	82782172
32307	104	1994-08-11	VYDAJ	PREVOD NA UCET	578	16410	\N	MN	82782172
32308	104	1994-09-11	VYDAJ	PREVOD NA UCET	578	17484	\N	MN	82782172
32309	104	1994-10-11	VYDAJ	PREVOD NA UCET	578	18562	\N	MN	82782172
32310	104	1994-11-11	VYDAJ	PREVOD NA UCET	578	17365	\N	MN	82782172
32311	104	1994-12-11	VYDAJ	PREVOD NA UCET	578	18445	\N	MN	82782172
32312	104	1995-01-11	VYDAJ	PREVOD NA UCET	578	16556	\N	MN	82782172
32313	104	1995-02-11	VYDAJ	PREVOD NA UCET	578	16223	\N	MN	82782172
32314	104	1995-03-11	VYDAJ	PREVOD NA UCET	578	17296	\N	MN	82782172
32315	104	1995-04-11	VYDAJ	PREVOD NA UCET	578	17413	\N	MN	82782172
32316	104	1995-05-11	VYDAJ	PREVOD NA UCET	578	17381	\N	MN	82782172
32317	104	1995-06-11	VYDAJ	PREVOD NA UCET	578	18458	\N	MN	82782172
32318	104	1995-07-11	VYDAJ	PREVOD NA UCET	578	19541	\N	MN	82782172
32319	104	1995-08-11	VYDAJ	PREVOD NA UCET	578	20627	\N	MN	82782172
32320	104	1995-09-11	VYDAJ	PREVOD NA UCET	578	21718	\N	MN	82782172
32321	104	1995-10-11	VYDAJ	PREVOD NA UCET	578	21491	\N	MN	82782172
32322	104	1995-11-11	VYDAJ	PREVOD NA UCET	578	22586	\N	MN	82782172
32323	104	1995-12-11	VYDAJ	PREVOD NA UCET	578	23685	\N	MN	82782172
32324	104	1996-01-11	VYDAJ	PREVOD NA UCET	578	23377	\N	MN	82782172
32325	104	1996-02-11	VYDAJ	PREVOD NA UCET	578	21387	\N	MN	82782172
32326	104	1996-03-11	VYDAJ	PREVOD NA UCET	578	22481	\N	MN	82782172
32327	104	1996-04-11	VYDAJ	PREVOD NA UCET	578	23580	\N	MN	82782172
32328	104	1996-05-11	VYDAJ	PREVOD NA UCET	578	22552	\N	MN	82782172
32329	104	1996-06-11	VYDAJ	PREVOD NA UCET	578	15823	\N	MN	82782172
32330	104	1996-07-11	VYDAJ	PREVOD NA UCET	578	16906	\N	MN	82782172
32331	104	1996-08-11	VYDAJ	PREVOD NA UCET	578	17982	\N	MN	82782172
32332	104	1996-09-11	VYDAJ	PREVOD NA UCET	578	17558	\N	MN	82782172
32333	104	1996-10-11	VYDAJ	PREVOD NA UCET	578	18636	\N	MN	82782172
32334	104	1996-11-11	VYDAJ	PREVOD NA UCET	578	19718	\N	MN	82782172
32335	104	1996-12-11	VYDAJ	PREVOD NA UCET	578	19993	\N	MN	82782172
32336	104	1997-01-11	VYDAJ	PREVOD NA UCET	578	19100	\N	MN	82782172
32337	104	1997-02-11	VYDAJ	PREVOD NA UCET	578	18414	\N	MN	82782172
32338	104	1997-03-11	VYDAJ	PREVOD NA UCET	578	18235	\N	MN	82782172
32339	104	1997-04-11	VYDAJ	PREVOD NA UCET	578	19318	\N	MN	82782172
32340	104	1997-05-11	VYDAJ	PREVOD NA UCET	578	20403	\N	MN	82782172
32341	104	1997-06-11	VYDAJ	PREVOD NA UCET	578	21492	\N	MN	82782172
32342	104	1997-07-11	VYDAJ	PREVOD NA UCET	578	21656	\N	MN	82782172
32343	104	1997-08-11	VYDAJ	PREVOD NA UCET	578	22752	\N	MN	82782172
32344	104	1997-09-11	VYDAJ	PREVOD NA UCET	578	23851	\N	MN	82782172
32345	104	1997-10-11	VYDAJ	PREVOD NA UCET	578	24955	\N	MN	82782172
32346	104	1997-11-11	VYDAJ	PREVOD NA UCET	578	26063	\N	MN	82782172
32347	104	1997-12-11	VYDAJ	PREVOD NA UCET	578	26455	\N	MN	82782172
32348	104	1998-01-11	VYDAJ	PREVOD NA UCET	578	27181	\N	MN	82782172
32349	104	1998-02-11	VYDAJ	PREVOD NA UCET	578	25236	\N	MN	82782172
32350	104	1998-03-11	VYDAJ	PREVOD NA UCET	578	26344	\N	MN	82782172
32351	104	1998-04-11	VYDAJ	PREVOD NA UCET	578	27458	\N	MN	82782172
32352	104	1998-05-11	VYDAJ	PREVOD NA UCET	578	28576	\N	MN	82782172
32353	104	1998-06-11	VYDAJ	PREVOD NA UCET	578	29699	\N	MN	82782172
32354	104	1998-07-11	VYDAJ	PREVOD NA UCET	578	22119	\N	MN	82782172
32355	104	1998-08-11	VYDAJ	PREVOD NA UCET	578	23214	\N	MN	82782172
32356	104	1998-09-11	VYDAJ	PREVOD NA UCET	578	23804	\N	MN	82782172
32357	104	1998-10-11	VYDAJ	PREVOD NA UCET	578	24249	\N	MN	82782172
32358	104	1998-11-11	VYDAJ	PREVOD NA UCET	578	25356	\N	MN	82782172
32359	104	1998-12-11	VYDAJ	PREVOD NA UCET	578	25533	\N	MN	82782172
32368	104	1993-09-09	VYDAJ	PREVOD NA UCET	1464	14351	\N	ST	8965999
32369	104	1993-10-09	VYDAJ	PREVOD NA UCET	1464	15400	\N	ST	8965999
32370	104	1993-11-09	VYDAJ	PREVOD NA UCET	1464	16467	\N	ST	8965999
32371	104	1993-12-09	VYDAJ	PREVOD NA UCET	1464	17539	\N	ST	8965999
32372	104	1994-01-09	VYDAJ	PREVOD NA UCET	1464	16184	\N	ST	8965999
32373	104	1994-02-09	VYDAJ	PREVOD NA UCET	1464	15906	\N	ST	8965999
32374	104	1994-03-09	VYDAJ	PREVOD NA UCET	1464	16975	\N	ST	8965999
32375	104	1994-04-09	VYDAJ	PREVOD NA UCET	1464	18049	\N	ST	8965999
32376	104	1994-05-09	VYDAJ	PREVOD NA UCET	1464	19127	\N	ST	8965999
32377	104	1994-06-09	VYDAJ	PREVOD NA UCET	1464	20030	\N	ST	8965999
32378	104	1994-07-09	VYDAJ	PREVOD NA UCET	1464	15919	\N	ST	8965999
32379	104	1994-08-09	VYDAJ	PREVOD NA UCET	1464	16988	\N	ST	8965999
32380	104	1994-09-09	VYDAJ	PREVOD NA UCET	1464	18062	\N	ST	8965999
32381	104	1994-10-09	VYDAJ	PREVOD NA UCET	1464	19140	\N	ST	8965999
32382	104	1994-11-09	VYDAJ	PREVOD NA UCET	1464	17943	\N	ST	8965999
32383	104	1994-12-09	VYDAJ	PREVOD NA UCET	1464	19023	\N	ST	8965999
32384	104	1995-01-09	VYDAJ	PREVOD NA UCET	1464	17134	\N	ST	8965999
32385	104	1995-02-09	VYDAJ	PREVOD NA UCET	1464	16801	\N	ST	8965999
32386	104	1995-03-09	VYDAJ	PREVOD NA UCET	1464	17874	\N	ST	8965999
32387	104	1995-04-09	VYDAJ	PREVOD NA UCET	1464	17991	\N	ST	8965999
32388	104	1995-05-09	VYDAJ	PREVOD NA UCET	1464	17959	\N	ST	8965999
32389	104	1995-06-09	VYDAJ	PREVOD NA UCET	1464	19036	\N	ST	8965999
32390	104	1995-07-09	VYDAJ	PREVOD NA UCET	1464	20119	\N	ST	8965999
32391	104	1995-08-09	VYDAJ	PREVOD NA UCET	1464	21205	\N	ST	8965999
32392	104	1995-09-09	VYDAJ	PREVOD NA UCET	1464	22296	\N	ST	8965999
32393	104	1995-10-09	VYDAJ	PREVOD NA UCET	1464	22069	\N	ST	8965999
32394	104	1995-11-09	VYDAJ	PREVOD NA UCET	1464	23164	\N	ST	8965999
32395	104	1995-12-09	VYDAJ	PREVOD NA UCET	1464	24263	\N	ST	8965999
32396	104	1996-01-09	VYDAJ	PREVOD NA UCET	1464	24225	\N	ST	8965999
32397	104	1996-02-09	VYDAJ	PREVOD NA UCET	1464	21965	\N	ST	8965999
32398	104	1996-03-09	VYDAJ	PREVOD NA UCET	1464	23059	\N	ST	8965999
32399	104	1996-04-09	VYDAJ	PREVOD NA UCET	1464	24158	\N	ST	8965999
32400	104	1996-05-09	VYDAJ	PREVOD NA UCET	1464	23130	\N	ST	8965999
32401	104	1996-06-09	VYDAJ	PREVOD NA UCET	1464	24231	\N	ST	8965999
32402	104	1996-07-09	VYDAJ	PREVOD NA UCET	1464	17484	\N	ST	8965999
32403	104	1996-08-09	VYDAJ	PREVOD NA UCET	1464	18560	\N	ST	8965999
32404	104	1996-09-09	VYDAJ	PREVOD NA UCET	1464	18136	\N	ST	8965999
32405	104	1996-10-09	VYDAJ	PREVOD NA UCET	1464	19214	\N	ST	8965999
32406	104	1996-11-09	VYDAJ	PREVOD NA UCET	1464	20296	\N	ST	8965999
32407	104	1996-12-09	VYDAJ	PREVOD NA UCET	1464	20571	\N	ST	8965999
32408	104	1997-01-09	VYDAJ	PREVOD NA UCET	1464	19678	\N	ST	8965999
32409	104	1997-02-09	VYDAJ	PREVOD NA UCET	1464	18992	\N	ST	8965999
32410	104	1997-03-09	VYDAJ	PREVOD NA UCET	1464	18813	\N	ST	8965999
32411	104	1997-04-09	VYDAJ	PREVOD NA UCET	1464	19896	\N	ST	8965999
32412	104	1997-05-09	VYDAJ	PREVOD NA UCET	1464	20981	\N	ST	8965999
32413	104	1997-06-09	VYDAJ	PREVOD NA UCET	1464	22070	\N	ST	8965999
32414	104	1997-07-09	VYDAJ	PREVOD NA UCET	1464	22234	\N	ST	8965999
32415	104	1997-08-09	VYDAJ	PREVOD NA UCET	1464	23330	\N	ST	8965999
32416	104	1997-09-09	VYDAJ	PREVOD NA UCET	1464	24429	\N	ST	8965999
32417	104	1997-10-09	VYDAJ	PREVOD NA UCET	1464	25533	\N	ST	8965999
32418	104	1997-11-09	VYDAJ	PREVOD NA UCET	1464	26641	\N	ST	8965999
32419	104	1997-12-09	VYDAJ	PREVOD NA UCET	1464	27033	\N	ST	8965999
32420	104	1998-01-09	VYDAJ	PREVOD NA UCET	1464	27759	\N	ST	8965999
32421	104	1998-02-09	VYDAJ	PREVOD NA UCET	1464	25814	\N	ST	8965999
32422	104	1998-03-09	VYDAJ	PREVOD NA UCET	1464	26922	\N	ST	8965999
32423	104	1998-04-09	VYDAJ	PREVOD NA UCET	1464	28036	\N	ST	8965999
32424	104	1998-05-09	VYDAJ	PREVOD NA UCET	1464	29154	\N	ST	8965999
32425	104	1998-06-09	VYDAJ	PREVOD NA UCET	1464	30277	\N	ST	8965999
32426	104	1998-07-09	VYDAJ	PREVOD NA UCET	1464	22697	\N	ST	8965999
32427	104	1998-08-09	VYDAJ	PREVOD NA UCET	1464	23792	\N	ST	8965999
32428	104	1998-09-09	VYDAJ	PREVOD NA UCET	1464	24382	\N	ST	8965999
32429	104	1998-10-09	VYDAJ	PREVOD NA UCET	1464	25487	\N	ST	8965999
32430	104	1998-11-09	VYDAJ	PREVOD NA UCET	1464	25934	\N	ST	8965999
32431	104	1998-12-09	VYDAJ	PREVOD NA UCET	1464	26111	\N	ST	8965999
32433	104	1994-06-20	VYDAJ	VYBER	5190	14262	\N	\N	\N
32435	104	1996-06-11	VYDAJ	VYBER	7830	16401	\N	\N	\N
32437	104	1998-06-25	VYDAJ	VYBER	8700	20999	\N	\N	\N
32438	104	1993-12-24	VYDAJ	VYBER	180	16781	\N	\N	\N
32439	104	1994-12-26	VYDAJ	VYBER	780	17665	\N	\N	\N
32440	104	1995-12-13	VYDAJ	VYBER	480	23205	\N	\N	\N
32441	104	1996-12-28	VYDAJ	VYBER	750	19243	\N	\N	\N
32442	104	1997-12-02	VYDAJ	VYBER	720	25434	\N	\N	\N
32443	104	1998-12-06	VYDAJ	VYBER	510	27575	\N	\N	\N
32450	104	1994-01-01	VYDAJ	VYBER	540	16295	\N	\N	\N
32451	104	1994-01-08	VYDAJ	VYBER	570	17648	\N	\N	\N
32452	104	1994-01-29	VYDAJ	VYBER	630	14256	\N	\N	\N
32453	104	1994-01-06	VYDAJ	VYBER	450	18218	\N	\N	\N
32454	104	1994-01-05	VYDAJ	VYBER	690	18668	\N	\N	\N
32455	104	1994-01-12	VYDAJ	VYBER	720	14886	\N	\N	\N
32456	104	1995-01-30	VYDAJ	VYBER	510	15146	\N	\N	\N
32457	104	1995-01-03	VYDAJ	VYBER	840	16225	\N	\N	\N
32458	104	1995-01-29	VYDAJ	VYBER	150	16406	\N	\N	\N
32459	104	1995-01-01	VYDAJ	VYBER	660	17065	\N	\N	\N
32460	104	1995-01-29	VYDAJ	VYBER	750	15656	\N	\N	\N
32461	104	1995-01-08	VYDAJ	VYBER	690	18598	\N	\N	\N
32462	104	1996-01-21	VYDAJ	VYBER	540	21337	\N	\N	\N
32463	104	1996-01-09	VYDAJ	VYBER	270	23955	\N	\N	\N
32464	104	1996-01-11	VYDAJ	VYBER	600	22777	\N	\N	\N
32465	104	1996-01-07	VYDAJ	VYBER	660	25689	\N	\N	\N
32466	104	1996-01-21	VYDAJ	VYBER	390	21877	\N	\N	\N
32467	104	1996-01-19	VYDAJ	VYBER	510	22267	\N	\N	\N
32468	104	1997-01-03	VYDAJ	VYBER	210	18319	\N	\N	\N
32469	104	1997-01-30	VYDAJ	VYBER	690	17330	\N	\N	\N
32470	104	1997-01-01	VYDAJ	VYBER	780	18529	\N	\N	\N
32471	104	1997-01-07	VYDAJ	VYBER	240	21142	\N	\N	\N
32472	104	1997-01-27	VYDAJ	VYBER	210	18020	\N	\N	\N
32473	104	1997-01-18	VYDAJ	VYBER	870	18230	\N	\N	\N
32474	104	1998-01-26	VYDAJ	VYBER	600	25861	\N	\N	\N
32475	104	1998-01-17	VYDAJ	VYBER	240	26461	\N	\N	\N
32476	104	1998-01-30	VYDAJ	VYBER	750	24121	\N	\N	\N
32477	104	1998-01-16	VYDAJ	VYBER	480	26701	\N	\N	\N
32478	104	1998-01-29	VYDAJ	VYBER	480	24871	\N	\N	\N
32479	104	1998-01-26	VYDAJ	VYBER	510	25351	\N	\N	\N
32484	104	1994-11-02	VYDAJ	VYBER	1080	17544	\N	\N	\N
32485	104	1994-06-09	VYDAJ	VYBER	180	21494	\N	\N	\N
32486	104	1994-11-03	VYDAJ	VYBER	1200	16344	\N	\N	\N
32487	104	1995-04-11	VYDAJ	VYBER	360	17053	\N	\N	\N
32488	104	1995-04-20	VYDAJ	VYBER	750	16303	\N	\N	\N
32489	104	1995-04-05	VYDAJ	VYBER	300	19455	\N	\N	\N
32490	104	1995-03-29	VYDAJ	VYBER	660	16636	\N	\N	\N
32491	104	1995-09-15	VYDAJ	VYBER	1320	20398	\N	\N	\N
32492	104	1996-11-13	VYDAJ	VYBER	810	18908	\N	\N	\N
32493	104	1996-01-23	VYDAJ	VYBER	1050	20287	\N	\N	\N
32494	104	1996-05-05	VYDAJ	VYBER	360	24594	\N	\N	\N
32495	104	1996-05-02	VYDAJ	VYBER	360	21891	\N	\N	\N
32496	104	1996-08-12	VYDAJ	VYBER	1170	16812	\N	\N	\N
32497	104	1996-08-23	VYDAJ	VYBER	330	16482	\N	\N	\N
32498	104	1996-04-28	VYDAJ	VYBER	1410	22170	\N	\N	\N
32499	104	1997-12-27	VYDAJ	VYBER	390	26065	\N	\N	\N
32500	104	1997-07-07	VYDAJ	VYBER	510	24118	\N	\N	\N
32501	104	1997-07-08	VYDAJ	VYBER	420	23698	\N	\N	\N
32502	104	1997-03-04	VYDAJ	VYBER	1260	17214	\N	\N	\N
32503	104	1998-10-11	VYDAJ	VYBER	660	24827	\N	\N	\N
32504	104	1998-11-12	VYDAJ	VYBER	420	24936	\N	\N	\N
32505	104	1998-09-02	VYDAJ	VYBER	510	22783	\N	\N	\N
32515	104	1993-09-30	VYDAJ	VYBER	15	13801	SLUZBY	\N	\N
32516	104	1993-10-31	VYDAJ	VYBER	15	14868	SLUZBY	\N	\N
32517	104	1993-11-30	VYDAJ	VYBER	15	15940	SLUZBY	\N	\N
32518	104	1993-12-31	VYDAJ	VYBER	15	16835	SLUZBY	\N	\N
32519	104	1994-01-31	VYDAJ	VYBER	15	14307	SLUZBY	\N	\N
32520	104	1994-02-28	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
32521	104	1994-03-31	VYDAJ	VYBER	15	16450	SLUZBY	\N	\N
32522	104	1994-04-30	VYDAJ	VYBER	15	17528	SLUZBY	\N	\N
32523	104	1994-05-31	VYDAJ	VYBER	15	18611	SLUZBY	\N	\N
32524	104	1994-06-30	VYDAJ	VYBER	15	14320	SLUZBY	\N	\N
32525	104	1994-07-31	VYDAJ	VYBER	15	15389	SLUZBY	\N	\N
32526	104	1994-08-31	VYDAJ	VYBER	15	16463	SLUZBY	\N	\N
32527	104	1994-09-30	VYDAJ	VYBER	15	17541	SLUZBY	\N	\N
32528	104	1994-10-31	VYDAJ	VYBER	15	18624	SLUZBY	\N	\N
32529	104	1994-11-30	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
32530	104	1994-12-31	VYDAJ	VYBER	15	17725	SLUZBY	\N	\N
32531	104	1995-01-31	VYDAJ	VYBER	15	15202	SLUZBY	\N	\N
32532	104	1995-02-28	VYDAJ	VYBER	15	16275	SLUZBY	\N	\N
32533	104	1995-03-31	VYDAJ	VYBER	15	16692	SLUZBY	\N	\N
32534	104	1995-04-30	VYDAJ	VYBER	15	16360	SLUZBY	\N	\N
32535	104	1995-05-31	VYDAJ	VYBER	15	17437	SLUZBY	\N	\N
32536	104	1995-06-30	VYDAJ	VYBER	15	18520	SLUZBY	\N	\N
32537	104	1995-07-31	VYDAJ	VYBER	15	19606	SLUZBY	\N	\N
32538	104	1995-08-31	VYDAJ	VYBER	15	20697	SLUZBY	\N	\N
32539	104	1995-09-30	VYDAJ	VYBER	15	20470	SLUZBY	\N	\N
32540	104	1995-10-31	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
32541	104	1995-11-30	VYDAJ	VYBER	15	22664	SLUZBY	\N	\N
32542	104	1995-12-31	VYDAJ	VYBER	15	23286	SLUZBY	\N	\N
32543	104	1996-01-31	VYDAJ	VYBER	15	20366	SLUZBY	\N	\N
32544	104	1996-02-29	VYDAJ	VYBER	15	21460	SLUZBY	\N	\N
32545	104	1996-03-31	VYDAJ	VYBER	15	22559	SLUZBY	\N	\N
32546	104	1996-04-30	VYDAJ	VYBER	15	22251	SLUZBY	\N	\N
32547	104	1996-05-31	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
32548	104	1996-06-30	VYDAJ	VYBER	15	15885	SLUZBY	\N	\N
32549	104	1996-07-31	VYDAJ	VYBER	15	16961	SLUZBY	\N	\N
32550	104	1996-08-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
32551	104	1996-09-30	VYDAJ	VYBER	15	17615	SLUZBY	\N	\N
32552	104	1996-10-31	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
32553	104	1996-11-30	VYDAJ	VYBER	15	18972	SLUZBY	\N	\N
32554	104	1996-12-31	VYDAJ	VYBER	15	19309	SLUZBY	\N	\N
32555	104	1997-01-31	VYDAJ	VYBER	15	17393	SLUZBY	\N	\N
32556	104	1997-02-28	VYDAJ	VYBER	15	18474	SLUZBY	\N	\N
32557	104	1997-03-31	VYDAJ	VYBER	15	18297	SLUZBY	\N	\N
32558	104	1997-04-30	VYDAJ	VYBER	15	19382	SLUZBY	\N	\N
32559	104	1997-05-31	VYDAJ	VYBER	15	20471	SLUZBY	\N	\N
32560	104	1997-06-30	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
32561	104	1997-07-31	VYDAJ	VYBER	15	21731	SLUZBY	\N	\N
32562	104	1997-08-31	VYDAJ	VYBER	15	22830	SLUZBY	\N	\N
32563	104	1997-09-30	VYDAJ	VYBER	15	23934	SLUZBY	\N	\N
32564	104	1997-10-31	VYDAJ	VYBER	15	25042	SLUZBY	\N	\N
32565	104	1997-11-30	VYDAJ	VYBER	15	26154	SLUZBY	\N	\N
32566	104	1997-12-31	VYDAJ	VYBER	15	26160	SLUZBY	\N	\N
32567	104	1998-01-31	VYDAJ	VYBER	15	24215	SLUZBY	\N	\N
32568	104	1998-02-28	VYDAJ	VYBER	15	25323	SLUZBY	\N	\N
32569	104	1998-03-31	VYDAJ	VYBER	15	26437	SLUZBY	\N	\N
32570	104	1998-04-30	VYDAJ	VYBER	15	27555	SLUZBY	\N	\N
32571	104	1998-05-31	VYDAJ	VYBER	15	28678	SLUZBY	\N	\N
32572	104	1998-06-30	VYDAJ	VYBER	15	21098	SLUZBY	\N	\N
32573	104	1998-07-31	VYDAJ	VYBER	15	22193	SLUZBY	\N	\N
32574	104	1998-08-31	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
32575	104	1998-09-30	VYDAJ	VYBER	15	23888	SLUZBY	\N	\N
32576	104	1998-10-31	VYDAJ	VYBER	15	24335	SLUZBY	\N	\N
32577	104	1998-11-30	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
32642	105	1997-07-10	PRIJEM	VKLAD	800	800	\N	\N	\N
32643	105	1997-12-08	PRIJEM	VKLAD	49101	74394	\N	\N	\N
32645	105	1997-09-20	PRIJEM	VKLAD	5577	24877	\N	\N	\N
32646	105	1997-10-28	PRIJEM	VKLAD	41590	63305	\N	\N	\N
32647	105	1998-04-03	PRIJEM	VKLAD	36510	61934	\N	\N	\N
32648	105	1998-08-31	PRIJEM	VKLAD	32534	39440	\N	\N	\N
32649	105	1998-05-16	PRIJEM	VKLAD	30421	55836	\N	\N	\N
32667	105	1998-06-18	VYDAJ	VYBER	9800	14989	\N	\N	0
32668	105	1998-07-09	VYDAJ	VYBER	5000	16583	\N	\N	0
32669	105	1998-08-10	VYDAJ	VYBER	4700	16536	\N	\N	0
32670	105	1998-08-30	VYDAJ	VYBER	9700	6836	\N	\N	0
32671	105	1998-10-12	VYDAJ	VYBER	6000	20818	\N	\N	0
32672	105	1998-11-04	VYDAJ	VYBER	7400	23693	\N	\N	0
32673	105	1998-12-12	VYDAJ	PREVOD NA UCET	7348	22827	UVER	UV	58251345
32681	105	1998-05-17	VYBER	VYBER	4019	51817	\N	\N	\N
32686	105	1998-06-07	VYDAJ	VYBER	11100	24789	\N	\N	\N
32688	105	1998-12-18	VYDAJ	VYBER	5700	17127	\N	\N	\N
32697	105	1998-12-02	VYDAJ	VYBER	5700	30175	\N	\N	\N
32698	105	1998-09-07	VYDAJ	VYBER	6900	22326	\N	\N	\N
32716	105	1998-05-31	VYDAJ	VYBER	15	51989	SLUZBY	\N	\N
32717	105	1998-06-30	VYDAJ	VYBER	15	15083	SLUZBY	\N	\N
32718	105	1998-07-31	VYDAJ	VYBER	15	16636	SLUZBY	\N	\N
32719	105	1998-08-31	VYDAJ	VYBER	15	39426	SLUZBY	\N	\N
32720	105	1998-09-30	VYDAJ	VYBER	15	22418	SLUZBY	\N	\N
32721	105	1998-10-31	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
32722	105	1998-11-30	VYDAJ	VYBER	15	23775	SLUZBY	\N	\N
32723	105	1997-08-09	PRIJEM	VKLAD	15100	15900	\N	\N	\N
32724	105	1997-09-08	PRIJEM	VKLAD	3400	19300	\N	\N	\N
32725	105	1997-10-08	VYDAJ	VYBER	3200	21715	\N	\N	\N
32726	105	1997-11-07	VYDAJ	VYBER	24500	38929	\N	\N	\N
32727	105	1997-12-07	VYDAJ	VYBER	13900	25293	\N	\N	\N
32728	105	1998-01-06	VYDAJ	VYBER	29900	44794	\N	\N	\N
32729	105	1998-02-05	VYDAJ	VYBER	14400	30704	\N	\N	\N
32730	105	1998-03-07	VYDAJ	VYBER	5900	25114	\N	\N	\N
32731	105	1998-04-06	VYDAJ	VYBER	24600	37334	\N	\N	\N
32732	105	1998-05-06	VYDAJ	VYBER	12100	25415	\N	\N	\N
32733	105	1998-06-05	VYDAJ	VYBER	16100	35889	\N	\N	\N
32734	105	1998-07-05	PRIJEM	VKLAD	6500	21583	\N	\N	\N
32735	105	1998-08-04	PRIJEM	VKLAD	4600	21236	\N	\N	\N
32736	105	1998-09-03	VYDAJ	VYBER	10200	29226	\N	\N	\N
32737	105	1998-10-03	PRIJEM	VKLAD	4400	26818	\N	\N	\N
32738	105	1998-11-02	PRIJEM	VKLAD	10200	31093	\N	\N	\N
32739	105	1998-12-02	PRIJEM	VKLAD	12100	35875	\N	\N	\N
32756	106	1994-11-27	PRIJEM	VKLAD	500	500	\N	\N	\N
32768	106	1994-12-14	PRIJEM	VKLAD	26648	27148	\N	\N	\N
32769	106	1995-01-14	PRIJEM	VKLAD	17765	40728	\N	\N	\N
32770	106	1995-02-14	PRIJEM	VKLAD	17765	48695	\N	\N	\N
32771	106	1995-03-14	PRIJEM	VKLAD	17765	52991	\N	\N	\N
32772	106	1995-04-14	PRIJEM	VKLAD	17765	58807	\N	\N	\N
32773	106	1995-05-14	PRIJEM	VKLAD	17765	59717	\N	\N	\N
32774	106	1995-06-14	PRIJEM	VKLAD	26648	67012	\N	\N	\N
32775	106	1995-07-14	PRIJEM	VKLAD	17765	54106	\N	\N	\N
32776	106	1995-08-14	PRIJEM	VKLAD	17765	54193	\N	\N	\N
32777	106	1995-09-14	PRIJEM	VKLAD	17765	53984	\N	\N	\N
32778	106	1995-10-14	PRIJEM	VKLAD	17765	50563	\N	\N	\N
32779	106	1995-11-14	PRIJEM	VKLAD	17765	50036	\N	\N	\N
32780	106	1995-12-14	PRIJEM	VKLAD	26648	56182	\N	\N	\N
32781	106	1996-01-14	PRIJEM	VKLAD	17765	54462	\N	\N	\N
32782	106	1996-02-14	PRIJEM	VKLAD	17765	33725	\N	\N	\N
32783	106	1996-03-14	PRIJEM	VKLAD	17765	46048	\N	\N	\N
32784	106	1996-04-14	PRIJEM	VKLAD	17765	46900	\N	\N	\N
32785	106	1996-05-14	PRIJEM	VKLAD	17765	50759	\N	\N	\N
32786	106	1996-06-14	PRIJEM	VKLAD	26648	60006	\N	\N	\N
32787	106	1996-07-14	PRIJEM	VKLAD	17765	52869	\N	\N	\N
32788	106	1996-08-14	PRIJEM	VKLAD	17765	53343	\N	\N	\N
32789	106	1996-09-14	PRIJEM	VKLAD	17765	53215	\N	\N	\N
32790	106	1996-10-14	PRIJEM	VKLAD	17765	54089	\N	\N	\N
32791	106	1996-11-14	PRIJEM	VKLAD	17765	53563	\N	\N	\N
32792	106	1996-12-14	PRIJEM	VKLAD	26648	62814	\N	\N	\N
32793	106	1997-01-14	PRIJEM	VKLAD	17765	47093	\N	\N	\N
32794	106	1997-02-14	PRIJEM	VKLAD	17765	42954	\N	\N	\N
32795	106	1997-03-14	PRIJEM	VKLAD	17765	51400	\N	\N	\N
32796	106	1997-04-14	PRIJEM	VKLAD	17765	54064	\N	\N	\N
32797	106	1997-05-14	PRIJEM	VKLAD	17765	56138	\N	\N	\N
32798	106	1997-06-14	PRIJEM	VKLAD	26648	63496	\N	\N	\N
32799	106	1997-07-14	PRIJEM	VKLAD	17765	45562	\N	\N	\N
32800	106	1997-08-14	PRIJEM	VKLAD	17765	50912	\N	\N	\N
32801	106	1997-09-14	PRIJEM	VKLAD	17765	59911	\N	\N	\N
32802	106	1997-10-14	PRIJEM	VKLAD	17765	60049	\N	\N	\N
32803	106	1997-11-14	PRIJEM	VKLAD	17765	61890	\N	\N	\N
32804	106	1997-12-14	PRIJEM	VKLAD	26648	73426	\N	\N	\N
32805	106	1998-01-14	PRIJEM	VKLAD	17765	62808	\N	\N	\N
32806	106	1998-02-14	PRIJEM	VKLAD	17765	66269	\N	\N	\N
32807	106	1998-03-14	PRIJEM	VKLAD	17765	70241	\N	\N	\N
32808	106	1998-04-14	PRIJEM	VKLAD	17765	70130	\N	\N	\N
32809	106	1998-05-14	PRIJEM	VKLAD	17765	68019	\N	\N	\N
32810	106	1998-06-14	PRIJEM	VKLAD	26648	76991	\N	\N	\N
32811	106	1998-07-14	PRIJEM	VKLAD	17765	61391	\N	\N	\N
32812	106	1998-08-14	PRIJEM	VKLAD	17765	60540	\N	\N	\N
32813	106	1998-09-14	PRIJEM	VKLAD	17765	60191	\N	\N	\N
32814	106	1998-10-14	PRIJEM	VKLAD	17765	58349	\N	\N	\N
32815	106	1998-11-14	PRIJEM	VKLAD	17765	59588	\N	\N	\N
32816	106	1998-12-14	PRIJEM	VKLAD	26648	68423	\N	\N	\N
32832	106	1995-04-14	VYDAJ	PREVOD NA UCET	3735	55072	SIPO	WX	46916538
32833	106	1995-05-14	VYDAJ	PREVOD NA UCET	3735	55982	SIPO	WX	46916538
32834	106	1995-06-14	VYDAJ	PREVOD NA UCET	3735	63277	SIPO	WX	46916538
32835	106	1995-07-14	VYDAJ	PREVOD NA UCET	3735	50371	SIPO	WX	46916538
32836	106	1995-08-14	VYDAJ	PREVOD NA UCET	3735	50458	SIPO	WX	46916538
32837	106	1995-09-14	VYDAJ	PREVOD NA UCET	3735	50249	SIPO	WX	46916538
32838	106	1995-10-14	VYDAJ	PREVOD NA UCET	3735	46828	SIPO	WX	46916538
32839	106	1995-11-14	VYDAJ	PREVOD NA UCET	3735	46301	SIPO	WX	46916538
32840	106	1995-12-14	VYDAJ	PREVOD NA UCET	3735	52447	SIPO	WX	46916538
32841	106	1996-01-14	VYDAJ	PREVOD NA UCET	3735	50727	SIPO	WX	46916538
32842	106	1996-02-14	VYDAJ	PREVOD NA UCET	3735	29990	SIPO	WX	46916538
32843	106	1996-03-14	VYDAJ	PREVOD NA UCET	3735	42313	SIPO	WX	46916538
32844	106	1996-04-14	VYDAJ	PREVOD NA UCET	3735	43165	SIPO	WX	46916538
32845	106	1996-05-14	VYDAJ	PREVOD NA UCET	3735	47024	SIPO	WX	46916538
32846	106	1996-06-14	VYDAJ	PREVOD NA UCET	3735	42071	SIPO	WX	46916538
32847	106	1996-07-14	VYDAJ	PREVOD NA UCET	3735	49134	SIPO	WX	46916538
32848	106	1996-08-14	VYDAJ	PREVOD NA UCET	3735	49608	SIPO	WX	46916538
32849	106	1996-09-14	VYDAJ	PREVOD NA UCET	3735	49480	SIPO	WX	46916538
32850	106	1996-10-14	VYDAJ	PREVOD NA UCET	3735	50354	SIPO	WX	46916538
32851	106	1996-11-14	VYDAJ	PREVOD NA UCET	3735	49828	SIPO	WX	46916538
32852	106	1996-12-14	VYDAJ	PREVOD NA UCET	3735	59079	SIPO	WX	46916538
32853	106	1997-01-14	VYDAJ	PREVOD NA UCET	3735	43358	SIPO	WX	46916538
32854	106	1997-02-14	VYDAJ	PREVOD NA UCET	3735	33519	SIPO	WX	46916538
32855	106	1997-03-14	VYDAJ	PREVOD NA UCET	3735	47665	SIPO	WX	46916538
32856	106	1997-04-14	VYDAJ	PREVOD NA UCET	3735	50329	SIPO	WX	46916538
32857	106	1997-05-14	VYDAJ	PREVOD NA UCET	3735	52403	SIPO	WX	46916538
32858	106	1997-06-14	VYDAJ	PREVOD NA UCET	3735	59761	SIPO	WX	46916538
32859	106	1997-07-14	VYDAJ	PREVOD NA UCET	3735	41827	SIPO	WX	46916538
32860	106	1997-08-14	VYDAJ	PREVOD NA UCET	3735	47177	SIPO	WX	46916538
32861	106	1997-09-14	VYDAJ	PREVOD NA UCET	3735	56176	SIPO	WX	46916538
32862	106	1997-10-14	VYDAJ	PREVOD NA UCET	3735	56314	SIPO	WX	46916538
32863	106	1997-11-14	VYDAJ	PREVOD NA UCET	3735	58155	SIPO	WX	46916538
32864	106	1997-12-14	VYDAJ	PREVOD NA UCET	3735	69691	SIPO	WX	46916538
32865	106	1998-01-14	VYDAJ	PREVOD NA UCET	3735	59073	SIPO	WX	46916538
32866	106	1998-02-14	VYDAJ	PREVOD NA UCET	3735	62534	SIPO	WX	46916538
32867	106	1998-03-14	VYDAJ	PREVOD NA UCET	3735	66506	SIPO	WX	46916538
32868	106	1998-04-14	VYDAJ	PREVOD NA UCET	3735	66395	SIPO	WX	46916538
32869	106	1998-05-14	VYDAJ	PREVOD NA UCET	3735	64284	SIPO	WX	46916538
32870	106	1998-06-14	VYDAJ	PREVOD NA UCET	3735	73256	SIPO	WX	46916538
32871	106	1998-07-14	VYDAJ	PREVOD NA UCET	3735	57656	SIPO	WX	46916538
32872	106	1998-08-14	VYDAJ	PREVOD NA UCET	3735	56805	SIPO	WX	46916538
32873	106	1998-09-14	VYDAJ	PREVOD NA UCET	3735	56456	SIPO	WX	46916538
32874	106	1998-10-14	VYDAJ	PREVOD NA UCET	3735	54614	SIPO	WX	46916538
32875	106	1998-11-14	VYDAJ	PREVOD NA UCET	3735	55853	SIPO	WX	46916538
32876	106	1998-12-14	VYDAJ	PREVOD NA UCET	3735	64688	SIPO	WX	46916538
32878	106	1995-06-14	VYDAJ	VYBER	15600	47677	\N	\N	\N
32879	106	1996-06-14	VYDAJ	VYBER	14200	45806	\N	\N	\N
32880	106	1997-06-18	VYDAJ	VYBER	13300	29961	\N	\N	\N
32881	106	1998-06-14	VYDAJ	VYBER	18800	54456	\N	\N	\N
32884	106	1996-01-28	VYDAJ	VYBER	7000	19927	\N	\N	\N
32885	106	1997-01-06	VYDAJ	VYBER	6000	31328	\N	\N	\N
32886	106	1998-01-10	VYDAJ	VYBER	7000	49543	\N	\N	\N
32888	106	1995-12-26	VYDAJ	VYBER KARTOU	1700	37047	\N	\N	0
32889	106	1996-12-18	VYDAJ	VYBER KARTOU	1700	38679	\N	\N	0
32890	106	1997-12-12	VYDAJ	VYBER KARTOU	1300	46778	\N	\N	0
32891	106	1998-12-10	VYDAJ	VYBER KARTOU	700	41775	\N	\N	0
32904	106	1996-01-22	VYDAJ	VYBER KARTOU	2900	28927	\N	\N	0
32905	106	1996-01-28	VYDAJ	VYBER KARTOU	800	26927	\N	\N	0
32906	106	1996-01-08	VYDAJ	VYBER KARTOU	500	36697	\N	\N	0
32907	106	1996-01-17	VYDAJ	VYBER KARTOU	2900	47827	\N	\N	0
32908	106	1996-01-18	VYDAJ	VYBER KARTOU	2600	45227	\N	\N	0
32909	106	1996-01-25	VYDAJ	VYBER KARTOU	1200	27727	\N	\N	0
32910	106	1997-01-15	VYDAJ	VYBER KARTOU	2600	40758	\N	\N	0
32911	106	1997-01-29	VYDAJ	VYBER KARTOU	1200	26158	\N	\N	0
32912	106	1997-01-05	VYDAJ	VYBER KARTOU	600	37328	\N	\N	0
32913	106	1997-01-11	VYDAJ	VYBER KARTOU	2000	29328	\N	\N	0
32914	106	1997-01-04	VYDAJ	VYBER KARTOU	900	37928	\N	\N	0
32915	106	1997-01-26	VYDAJ	VYBER KARTOU	2800	27358	\N	\N	0
32916	106	1998-01-05	VYDAJ	VYBER KARTOU	1700	66643	\N	\N	0
32917	106	1998-01-11	VYDAJ	VYBER KARTOU	1300	45743	\N	\N	0
32918	106	1998-01-13	VYDAJ	VYBER KARTOU	700	45043	\N	\N	0
32919	106	1998-01-18	VYDAJ	VYBER KARTOU	2000	57073	\N	\N	0
32920	106	1998-01-01	VYDAJ	VYBER KARTOU	1600	68343	\N	\N	0
32921	106	1998-01-11	VYDAJ	VYBER KARTOU	2500	47043	\N	\N	0
32928	106	1995-11-18	VYDAJ	VYBER KARTOU	1200	45101	\N	\N	0
32929	106	1995-09-18	VYDAJ	VYBER KARTOU	3900	46349	\N	\N	0
32930	106	1995-12-02	VYDAJ	VYBER KARTOU	1500	29534	\N	\N	0
32931	106	1995-06-09	VYDAJ	VYBER	1300	40364	\N	\N	\N
32934	106	1996-02-13	VYDAJ	VYBER	4100	15960	\N	\N	\N
32935	106	1996-04-11	VYDAJ	VYBER KARTOU	1100	29135	\N	\N	0
32936	106	1996-10-04	VYDAJ	VYBER KARTOU	2000	36324	\N	\N	0
32937	106	1997-05-20	VYDAJ	VYBER KARTOU	3700	36703	\N	\N	0
32938	106	1997-04-19	VYDAJ	VYBER KARTOU	2000	38229	\N	\N	0
32939	106	1997-01-29	VYDAJ	VYBER KARTOU	1100	25058	\N	\N	0
32940	106	1997-09-28	VYDAJ	VYBER	4500	51676	\N	\N	\N
32941	106	1997-06-26	VYDAJ	VYBER KARTOU	2300	27661	\N	\N	0
32942	106	1998-10-06	VYDAJ	VYBER	4800	51884	\N	\N	\N
32943	106	1998-03-25	VYDAJ	VYBER KARTOU	1400	65106	\N	\N	0
32944	106	1998-10-07	VYDAJ	VYBER KARTOU	2200	40584	\N	\N	0
32945	106	1998-04-22	VYDAJ	VYBER KARTOU	2600	63795	\N	\N	0
32962	106	1995-04-30	VYDAJ	VYBER	15	41952	SLUZBY	\N	\N
32963	106	1995-05-31	VYDAJ	VYBER	15	41664	SLUZBY	\N	\N
32964	106	1995-06-30	VYDAJ	VYBER	15	36341	SLUZBY	\N	\N
32965	106	1995-07-31	VYDAJ	VYBER	15	36428	SLUZBY	\N	\N
32966	106	1995-08-31	VYDAJ	VYBER	15	36219	SLUZBY	\N	\N
32967	106	1995-09-30	VYDAJ	VYBER	15	32798	SLUZBY	\N	\N
32968	106	1995-10-31	VYDAJ	VYBER	15	32271	SLUZBY	\N	\N
32969	106	1995-11-30	VYDAJ	VYBER	15	31034	SLUZBY	\N	\N
32970	106	1995-12-31	VYDAJ	VYBER	15	37197	SLUZBY	\N	\N
32971	106	1996-01-31	VYDAJ	VYBER	15	20060	SLUZBY	\N	\N
32972	106	1996-02-29	VYDAJ	VYBER	15	28283	SLUZBY	\N	\N
32973	106	1996-03-31	VYDAJ	VYBER	15	30235	SLUZBY	\N	\N
32974	106	1996-04-30	VYDAJ	VYBER	15	32994	SLUZBY	\N	\N
32975	106	1996-05-31	VYDAJ	VYBER	15	33358	SLUZBY	\N	\N
32976	106	1996-06-30	VYDAJ	VYBER	15	35104	SLUZBY	\N	\N
32977	106	1996-07-31	VYDAJ	VYBER	15	35578	SLUZBY	\N	\N
32978	106	1996-08-31	VYDAJ	VYBER	15	35450	SLUZBY	\N	\N
32979	106	1996-09-30	VYDAJ	VYBER	15	38324	SLUZBY	\N	\N
32980	106	1996-10-31	VYDAJ	VYBER	15	35798	SLUZBY	\N	\N
32981	106	1996-11-30	VYDAJ	VYBER	15	36166	SLUZBY	\N	\N
32982	106	1996-12-31	VYDAJ	VYBER	15	38828	SLUZBY	\N	\N
32983	106	1997-01-31	VYDAJ	VYBER	15	25189	SLUZBY	\N	\N
32984	106	1997-02-28	VYDAJ	VYBER	15	33635	SLUZBY	\N	\N
32985	106	1997-03-31	VYDAJ	VYBER	15	36299	SLUZBY	\N	\N
32986	106	1997-04-30	VYDAJ	VYBER	15	38373	SLUZBY	\N	\N
32987	106	1997-05-31	VYDAJ	VYBER	15	36848	SLUZBY	\N	\N
32988	106	1997-06-30	VYDAJ	VYBER	15	27797	SLUZBY	\N	\N
32989	106	1997-07-31	VYDAJ	VYBER	15	35847	SLUZBY	\N	\N
32990	106	1997-08-31	VYDAJ	VYBER	15	47346	SLUZBY	\N	\N
32991	106	1997-09-30	VYDAJ	VYBER	15	51884	SLUZBY	\N	\N
32992	106	1997-10-31	VYDAJ	VYBER	15	56525	SLUZBY	\N	\N
32993	106	1997-11-30	VYDAJ	VYBER	15	58378	SLUZBY	\N	\N
32994	106	1997-12-31	VYDAJ	VYBER	15	69943	SLUZBY	\N	\N
32995	106	1998-01-31	VYDAJ	VYBER	15	57304	SLUZBY	\N	\N
32996	106	1998-02-28	VYDAJ	VYBER	15	62776	SLUZBY	\N	\N
32997	106	1998-03-31	VYDAJ	VYBER	15	65365	SLUZBY	\N	\N
32998	106	1998-04-30	VYDAJ	VYBER	15	64054	SLUZBY	\N	\N
32999	106	1998-05-31	VYDAJ	VYBER	15	64543	SLUZBY	\N	\N
33000	106	1998-06-30	VYDAJ	VYBER	15	54726	SLUZBY	\N	\N
33001	106	1998-07-31	VYDAJ	VYBER	15	57875	SLUZBY	\N	\N
33002	106	1998-08-31	VYDAJ	VYBER	15	57026	SLUZBY	\N	\N
33003	106	1998-09-30	VYDAJ	VYBER	15	56684	SLUZBY	\N	\N
33004	106	1998-10-31	VYDAJ	VYBER	15	54823	SLUZBY	\N	\N
33005	106	1998-11-30	VYDAJ	VYBER	15	56075	SLUZBY	\N	\N
33006	106	1994-12-27	VYDAJ	VYBER	4200	22948	\N	\N	\N
33007	106	1995-01-26	VYDAJ	VYBER	9900	30828	\N	\N	\N
33008	106	1995-02-25	VYDAJ	VYBER	13600	35095	\N	\N	\N
33009	106	1995-03-27	VYDAJ	VYBER	12100	40891	\N	\N	\N
33010	106	1995-04-26	VYDAJ	VYBER	13300	41772	\N	\N	\N
33011	106	1995-05-26	VYDAJ	VYBER	14500	41482	\N	\N	\N
33012	106	1995-06-25	VYDAJ	VYBER	11500	36177	\N	\N	\N
33013	106	1995-07-25	VYDAJ	VYBER	14100	36271	\N	\N	\N
33014	106	1995-08-24	VYDAJ	VYBER	14400	36058	\N	\N	\N
33015	106	1995-09-23	VYDAJ	VYBER	13700	32649	\N	\N	\N
33016	106	1995-10-23	VYDAJ	VYBER	14700	32128	\N	\N	\N
33017	106	1995-11-22	VYDAJ	VYBER	14200	30901	\N	\N	\N
33018	106	1995-12-22	VYDAJ	VYBER	13700	38747	\N	\N	\N
33019	106	1996-01-21	VYDAJ	VYBER	13400	31827	\N	\N	\N
33020	106	1996-02-20	VYDAJ	VYBER KARTOU	1800	28190	\N	\N	0
33021	106	1996-03-21	VYDAJ	VYBER	12200	30113	\N	\N	\N
33022	106	1996-04-20	VYDAJ	VYBER	10300	32865	\N	\N	\N
33023	106	1996-05-20	VYDAJ	VYBER	13800	33224	\N	\N	\N
33024	106	1996-06-19	VYDAJ	VYBER	7100	34971	\N	\N	\N
33025	106	1996-07-19	VYDAJ	VYBER	13700	35434	\N	\N	\N
33026	106	1996-08-18	VYDAJ	VYBER	14300	35308	\N	\N	\N
33027	106	1996-09-17	VYDAJ	VYBER	11300	38180	\N	\N	\N
33028	106	1996-10-17	VYDAJ	VYBER	14700	35654	\N	\N	\N
33029	106	1996-11-16	VYDAJ	VYBER	13800	36028	\N	\N	\N
33030	106	1996-12-16	VYDAJ	VYBER	18700	40379	\N	\N	\N
33031	106	1997-01-15	VYDAJ	VYBER	10600	30158	\N	\N	\N
33032	106	1997-02-14	VYDAJ	VYBER	5700	37254	\N	\N	\N
33033	106	1997-03-16	VYDAJ	VYBER	11500	36165	\N	\N	\N
33034	106	1997-04-15	VYDAJ	VYBER	10100	40229	\N	\N	\N
33035	106	1997-05-15	VYDAJ	VYBER	12000	40403	\N	\N	\N
33036	106	1997-06-14	VYDAJ	VYBER	16500	43261	\N	\N	\N
33037	106	1997-07-14	VYDAJ	VYBER	6100	35727	\N	\N	\N
33038	106	1997-08-13	VYDAJ	VYBER KARTOU	2700	33147	\N	\N	0
33039	106	1997-09-12	VYDAJ	VYBER	5200	42146	\N	\N	\N
33040	106	1997-10-12	VYDAJ	VYBER	9600	42284	\N	\N	\N
33041	106	1997-11-11	VYDAJ	VYBER	12400	44125	\N	\N	\N
33042	106	1997-12-11	VYDAJ	VYBER	10300	48078	\N	\N	\N
33043	106	1998-01-10	VYDAJ	VYBER	10100	56543	\N	\N	\N
33044	106	1998-02-09	VYDAJ	VYBER	8800	48504	\N	\N	\N
33045	106	1998-03-11	VYDAJ	VYBER	10300	52476	\N	\N	\N
33046	106	1998-04-10	VYDAJ	VYBER	13000	52365	\N	\N	\N
33047	106	1998-05-10	VYDAJ	VYBER	13800	50254	\N	\N	\N
33048	106	1998-06-09	VYDAJ	VYBER	14200	50343	\N	\N	\N
33049	106	1998-07-09	VYDAJ	VYBER	11100	43626	\N	\N	\N
33050	106	1998-08-08	VYDAJ	VYBER	15100	42775	\N	\N	\N
33051	106	1998-09-07	VYDAJ	VYBER	14600	42426	\N	\N	\N
33052	106	1998-10-07	VYDAJ	VYBER	9100	42784	\N	\N	\N
33053	106	1998-11-06	VYDAJ	VYBER	13000	41823	\N	\N	\N
33054	106	1998-12-06	VYDAJ	VYBER	13600	42475	\N	\N	\N
33104	107	1993-11-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
33115	107	1993-11-07	PRIJEM	VKLAD	6832	7832	\N	\N	\N
33116	107	1993-12-07	PRIJEM	VKLAD	10248	28706	\N	\N	\N
33117	107	1994-01-07	PRIJEM	VKLAD	6832	34741	\N	\N	\N
33118	107	1994-02-07	PRIJEM	VKLAD	6832	37813	\N	\N	\N
33119	107	1994-03-07	PRIJEM	VKLAD	6832	40200	\N	\N	\N
33120	107	1994-04-07	PRIJEM	VKLAD	6832	35539	\N	\N	\N
33121	107	1994-05-07	PRIJEM	VKLAD	6832	34939	\N	\N	\N
33122	107	1994-06-07	PRIJEM	VKLAD	10248	34276	\N	\N	\N
33123	107	1994-07-07	PRIJEM	VKLAD	6832	32067	\N	\N	\N
33124	107	1994-08-07	PRIJEM	VKLAD	6832	34255	\N	\N	\N
33125	107	1994-09-07	PRIJEM	VKLAD	6832	34345	\N	\N	\N
33126	107	1994-10-07	PRIJEM	VKLAD	6832	31438	\N	\N	\N
33127	107	1994-11-07	PRIJEM	VKLAD	6832	30976	\N	\N	\N
33128	107	1994-12-07	PRIJEM	VKLAD	10248	30411	\N	\N	\N
33129	107	1995-01-07	PRIJEM	VKLAD	6832	25582	\N	\N	\N
33130	107	1995-02-07	PRIJEM	VKLAD	6832	25803	\N	\N	\N
33131	107	1995-03-07	PRIJEM	VKLAD	6832	29162	\N	\N	\N
33132	107	1995-04-07	PRIJEM	VKLAD	6832	31234	\N	\N	\N
33133	107	1995-05-07	PRIJEM	VKLAD	6832	30168	\N	\N	\N
33134	107	1995-06-07	PRIJEM	VKLAD	10248	32459	\N	\N	\N
33135	107	1995-07-07	PRIJEM	VKLAD	6832	32541	\N	\N	\N
33136	107	1995-08-07	PRIJEM	VKLAD	6832	33326	\N	\N	\N
33137	107	1995-09-07	PRIJEM	VKLAD	6832	30053	\N	\N	\N
33138	107	1995-10-07	PRIJEM	VKLAD	6832	25562	\N	\N	\N
33139	107	1995-11-07	PRIJEM	VKLAD	6832	23659	\N	\N	\N
33140	107	1995-12-07	PRIJEM	VKLAD	10248	27106	\N	\N	\N
33141	107	1996-01-07	PRIJEM	VKLAD	6832	31291	\N	\N	\N
33142	107	1996-02-07	PRIJEM	VKLAD	6832	28459	\N	\N	\N
33143	107	1996-03-07	PRIJEM	VKLAD	6832	24143	\N	\N	\N
33144	107	1996-04-07	PRIJEM	VKLAD	6832	21789	\N	\N	\N
33145	107	1996-05-07	PRIJEM	VKLAD	6832	30036	\N	\N	\N
33146	107	1996-06-07	PRIJEM	VKLAD	10248	38731	\N	\N	\N
33147	107	1996-07-07	PRIJEM	VKLAD	6832	41840	\N	\N	\N
33148	107	1996-08-07	PRIJEM	VKLAD	6832	39225	\N	\N	\N
33149	107	1996-09-07	PRIJEM	VKLAD	6832	42543	\N	\N	\N
33150	107	1996-10-07	PRIJEM	VKLAD	6832	45171	\N	\N	\N
33151	107	1996-11-07	PRIJEM	VKLAD	6832	46507	\N	\N	\N
33152	107	1996-12-07	PRIJEM	VKLAD	10248	48159	\N	\N	\N
33153	107	1997-01-07	PRIJEM	VKLAD	6832	37865	\N	\N	\N
33154	107	1997-02-07	PRIJEM	VKLAD	6832	28171	\N	\N	\N
33155	107	1997-03-07	PRIJEM	VKLAD	6832	30984	\N	\N	\N
33156	107	1997-04-07	PRIJEM	VKLAD	6832	38872	\N	\N	\N
33157	107	1997-05-07	PRIJEM	VKLAD	6832	45191	\N	\N	\N
33158	107	1997-06-07	PRIJEM	VKLAD	10248	50539	\N	\N	\N
33159	107	1997-07-07	PRIJEM	VKLAD	6832	48192	\N	\N	\N
33160	107	1997-08-07	PRIJEM	VKLAD	6832	48439	\N	\N	\N
33161	107	1997-09-07	PRIJEM	VKLAD	6832	47884	\N	\N	\N
33162	107	1997-10-07	PRIJEM	VKLAD	6832	45259	\N	\N	\N
33163	107	1997-11-07	PRIJEM	VKLAD	6832	46494	\N	\N	\N
33164	107	1997-12-07	PRIJEM	VKLAD	10248	50247	\N	\N	\N
33165	107	1998-01-07	PRIJEM	VKLAD	6832	44050	\N	\N	\N
33166	107	1998-02-07	PRIJEM	VKLAD	6832	35385	\N	\N	\N
33167	107	1998-03-07	PRIJEM	VKLAD	6832	43496	\N	\N	\N
33168	107	1998-04-07	PRIJEM	VKLAD	6832	43338	\N	\N	\N
33169	107	1998-05-07	PRIJEM	VKLAD	6832	40495	\N	\N	\N
33170	107	1998-06-07	PRIJEM	VKLAD	10248	43421	\N	\N	\N
33171	107	1998-07-07	PRIJEM	VKLAD	6832	46147	\N	\N	\N
33172	107	1998-08-07	PRIJEM	VKLAD	6832	45462	\N	\N	\N
33173	107	1998-09-07	PRIJEM	VKLAD	6832	43487	\N	\N	\N
33174	107	1998-10-07	PRIJEM	VKLAD	6832	47621	\N	\N	\N
33175	107	1998-11-07	PRIJEM	VKLAD	6832	48662	\N	\N	\N
33176	107	1998-12-07	PRIJEM	VKLAD	10248	50512	\N	\N	\N
33191	107	1994-03-12	VYDAJ	PREVOD NA UCET	2015	37226	SIPO	IJ	67744958
33192	107	1994-04-12	VYDAJ	PREVOD NA UCET	2015	32565	SIPO	IJ	67744958
33193	107	1994-05-12	VYDAJ	PREVOD NA UCET	2015	26805	SIPO	IJ	67744958
33194	107	1994-06-12	VYDAJ	PREVOD NA UCET	2015	31302	SIPO	IJ	67744958
33195	107	1994-07-12	VYDAJ	PREVOD NA UCET	2015	29093	SIPO	IJ	67744958
33196	107	1994-08-12	VYDAJ	PREVOD NA UCET	2015	31281	SIPO	IJ	67744958
33197	107	1994-09-12	VYDAJ	PREVOD NA UCET	2015	31371	SIPO	IJ	67744958
33198	107	1994-10-12	VYDAJ	PREVOD NA UCET	2015	25824	SIPO	IJ	67744958
33199	107	1994-11-12	VYDAJ	PREVOD NA UCET	2015	28002	SIPO	IJ	67744958
33200	107	1994-12-12	VYDAJ	PREVOD NA UCET	2015	27437	SIPO	IJ	67744958
33201	107	1995-01-12	VYDAJ	PREVOD NA UCET	2015	17688	SIPO	IJ	67744958
33202	107	1995-02-12	VYDAJ	PREVOD NA UCET	2015	22829	SIPO	IJ	67744958
33203	107	1995-03-12	VYDAJ	PREVOD NA UCET	2015	26188	SIPO	IJ	67744958
33204	107	1995-04-12	VYDAJ	PREVOD NA UCET	2015	28260	SIPO	IJ	67744958
33205	107	1995-05-12	VYDAJ	PREVOD NA UCET	2015	27194	SIPO	IJ	67744958
33206	107	1995-06-12	VYDAJ	PREVOD NA UCET	2015	29485	SIPO	IJ	67744958
33207	107	1995-07-12	VYDAJ	PREVOD NA UCET	2015	29567	SIPO	IJ	67744958
33208	107	1995-08-12	VYDAJ	PREVOD NA UCET	2015	30352	SIPO	IJ	67744958
33209	107	1995-09-12	VYDAJ	PREVOD NA UCET	2015	24799	SIPO	IJ	67744958
33210	107	1995-10-12	VYDAJ	PREVOD NA UCET	2015	22588	SIPO	IJ	67744958
33211	107	1995-11-12	VYDAJ	PREVOD NA UCET	2015	20685	SIPO	IJ	67744958
33212	107	1995-12-12	VYDAJ	PREVOD NA UCET	2015	24132	SIPO	IJ	67744958
33213	107	1996-01-12	VYDAJ	PREVOD NA UCET	2015	26997	SIPO	IJ	67744958
33214	107	1996-02-12	VYDAJ	PREVOD NA UCET	2015	25485	SIPO	IJ	67744958
33215	107	1996-03-12	VYDAJ	PREVOD NA UCET	2015	21169	SIPO	IJ	67744958
33216	107	1996-04-12	VYDAJ	PREVOD NA UCET	2015	18815	SIPO	IJ	67744958
33217	107	1996-05-12	VYDAJ	PREVOD NA UCET	2015	27062	SIPO	IJ	67744958
33218	107	1996-06-12	VYDAJ	PREVOD NA UCET	2015	35757	SIPO	IJ	67744958
33219	107	1996-07-12	VYDAJ	PREVOD NA UCET	2015	38866	SIPO	IJ	67744958
33220	107	1996-08-12	VYDAJ	PREVOD NA UCET	2015	36251	SIPO	IJ	67744958
33221	107	1996-09-12	VYDAJ	PREVOD NA UCET	2015	39569	SIPO	IJ	67744958
33222	107	1996-10-12	VYDAJ	PREVOD NA UCET	2015	42197	SIPO	IJ	67744958
33223	107	1996-11-12	VYDAJ	PREVOD NA UCET	2015	43533	SIPO	IJ	67744958
33224	107	1996-12-12	VYDAJ	PREVOD NA UCET	2015	42305	SIPO	IJ	67744958
33225	107	1997-01-12	VYDAJ	PREVOD NA UCET	2015	28891	SIPO	IJ	67744958
33226	107	1997-02-12	VYDAJ	PREVOD NA UCET	2015	25197	SIPO	IJ	67744958
33227	107	1997-03-12	VYDAJ	PREVOD NA UCET	2015	28010	SIPO	IJ	67744958
33228	107	1997-04-12	VYDAJ	PREVOD NA UCET	2015	35898	SIPO	IJ	67744958
33229	107	1997-05-12	VYDAJ	PREVOD NA UCET	2015	38617	SIPO	IJ	67744958
33230	107	1997-06-12	VYDAJ	PREVOD NA UCET	2015	47565	SIPO	IJ	67744958
33231	107	1997-07-12	VYDAJ	PREVOD NA UCET	2015	45218	SIPO	IJ	67744958
33232	107	1997-08-12	VYDAJ	PREVOD NA UCET	2015	45465	SIPO	IJ	67744958
33233	107	1997-09-12	VYDAJ	PREVOD NA UCET	2015	44910	SIPO	IJ	67744958
33234	107	1997-10-12	VYDAJ	PREVOD NA UCET	2015	42285	SIPO	IJ	67744958
33235	107	1997-11-12	VYDAJ	PREVOD NA UCET	2015	43520	SIPO	IJ	67744958
33236	107	1997-12-12	VYDAJ	PREVOD NA UCET	2015	47273	SIPO	IJ	67744958
33237	107	1998-01-12	VYDAJ	PREVOD NA UCET	2015	39396	SIPO	IJ	67744958
33238	107	1998-02-12	VYDAJ	PREVOD NA UCET	2015	38111	SIPO	IJ	67744958
33239	107	1998-03-12	VYDAJ	PREVOD NA UCET	2015	39442	SIPO	IJ	67744958
33240	107	1998-04-12	VYDAJ	PREVOD NA UCET	2015	40364	SIPO	IJ	67744958
33241	107	1998-05-12	VYDAJ	PREVOD NA UCET	2015	37521	SIPO	IJ	67744958
33242	107	1998-06-12	VYDAJ	PREVOD NA UCET	2015	40747	SIPO	IJ	67744958
33243	107	1998-07-12	VYDAJ	PREVOD NA UCET	2015	40053	SIPO	IJ	67744958
33244	107	1998-08-12	VYDAJ	PREVOD NA UCET	2015	38088	SIPO	IJ	67744958
33245	107	1998-09-12	VYDAJ	PREVOD NA UCET	2015	42213	SIPO	IJ	67744958
33246	107	1998-10-12	VYDAJ	PREVOD NA UCET	2015	43247	SIPO	IJ	67744958
33247	107	1998-11-12	VYDAJ	PREVOD NA UCET	2015	46588	SIPO	IJ	67744958
33248	107	1998-12-12	VYDAJ	PREVOD NA UCET	2015	47638	SIPO	IJ	67744958
33264	107	1994-04-06	VYDAJ	PREVOD NA UCET	1580	28707	 	IJ	9999049
33265	107	1994-05-06	VYDAJ	PREVOD NA UCET	1580	28107	 	IJ	9999049
33266	107	1994-06-06	VYDAJ	PREVOD NA UCET	1580	24028	 	IJ	9999049
33267	107	1994-07-06	VYDAJ	PREVOD NA UCET	1580	25235	 	IJ	9999049
33268	107	1994-08-06	VYDAJ	PREVOD NA UCET	1580	27423	 	IJ	9999049
33269	107	1994-09-06	VYDAJ	PREVOD NA UCET	1580	27513	 	IJ	9999049
33270	107	1994-10-06	VYDAJ	PREVOD NA UCET	1580	24606	 	IJ	9999049
33271	107	1994-11-06	VYDAJ	PREVOD NA UCET	1580	24144	 	IJ	9999049
33272	107	1994-12-06	VYDAJ	PREVOD NA UCET	1580	20163	 	IJ	9999049
33273	107	1995-01-06	VYDAJ	PREVOD NA UCET	1580	18750	 	IJ	9999049
33274	107	1995-02-06	VYDAJ	PREVOD NA UCET	1580	18971	 	IJ	9999049
33275	107	1995-03-06	VYDAJ	PREVOD NA UCET	1580	22330	 	IJ	9999049
33276	107	1995-04-06	VYDAJ	PREVOD NA UCET	1580	24402	 	IJ	9999049
33277	107	1995-05-06	VYDAJ	PREVOD NA UCET	1580	23336	 	IJ	9999049
33278	107	1995-06-06	VYDAJ	PREVOD NA UCET	1580	22211	 	IJ	9999049
33279	107	1995-07-06	VYDAJ	PREVOD NA UCET	1580	25709	 	IJ	9999049
33280	107	1995-08-06	VYDAJ	PREVOD NA UCET	1580	26494	 	IJ	9999049
33281	107	1995-09-06	VYDAJ	PREVOD NA UCET	1580	23221	 	IJ	9999049
33282	107	1995-10-06	VYDAJ	PREVOD NA UCET	1580	18730	 	IJ	9999049
33283	107	1995-11-06	VYDAJ	PREVOD NA UCET	1580	16827	 	IJ	9999049
33284	107	1995-12-06	VYDAJ	PREVOD NA UCET	1580	16858	 	IJ	9999049
33285	107	1996-01-06	VYDAJ	PREVOD NA UCET	1580	24459	 	IJ	9999049
33286	107	1996-02-06	VYDAJ	PREVOD NA UCET	1580	21627	 	IJ	9999049
33287	107	1996-03-06	VYDAJ	PREVOD NA UCET	1580	17311	 	IJ	9999049
33288	107	1996-04-06	VYDAJ	PREVOD NA UCET	1580	14957	 	IJ	9999049
33289	107	1996-05-06	VYDAJ	PREVOD NA UCET	1580	23204	 	IJ	9999049
33290	107	1996-06-06	VYDAJ	PREVOD NA UCET	1580	28483	 	IJ	9999049
33291	107	1996-07-06	VYDAJ	PREVOD NA UCET	1580	35008	 	IJ	9999049
33292	107	1996-08-06	VYDAJ	PREVOD NA UCET	1580	32393	 	IJ	9999049
33293	107	1996-09-06	VYDAJ	PREVOD NA UCET	1580	35711	 	IJ	9999049
33294	107	1996-10-06	VYDAJ	PREVOD NA UCET	1580	38339	 	IJ	9999049
33295	107	1996-11-06	VYDAJ	PREVOD NA UCET	1580	39675	 	IJ	9999049
33296	107	1996-12-06	VYDAJ	PREVOD NA UCET	1580	37911	 	IJ	9999049
33297	107	1997-01-06	VYDAJ	PREVOD NA UCET	1580	31033	 	IJ	9999049
33298	107	1997-02-06	VYDAJ	PREVOD NA UCET	1580	21339	 	IJ	9999049
33299	107	1997-03-06	VYDAJ	PREVOD NA UCET	1580	24152	 	IJ	9999049
33300	107	1997-04-06	VYDAJ	PREVOD NA UCET	1580	32040	 	IJ	9999049
33301	107	1997-05-06	VYDAJ	PREVOD NA UCET	1580	38359	 	IJ	9999049
33302	107	1997-06-06	VYDAJ	PREVOD NA UCET	1580	40291	 	IJ	9999049
33303	107	1997-07-06	VYDAJ	PREVOD NA UCET	1580	41360	 	IJ	9999049
33304	107	1997-08-06	VYDAJ	PREVOD NA UCET	1580	41607	 	IJ	9999049
33305	107	1997-09-06	VYDAJ	PREVOD NA UCET	1580	41052	 	IJ	9999049
33306	107	1997-10-06	VYDAJ	PREVOD NA UCET	1580	38427	 	IJ	9999049
33307	107	1997-11-06	VYDAJ	PREVOD NA UCET	1580	39662	 	IJ	9999049
33308	107	1997-12-06	VYDAJ	PREVOD NA UCET	1580	39999	 	IJ	9999049
33309	107	1998-01-06	VYDAJ	PREVOD NA UCET	1580	37218	 	IJ	9999049
33310	107	1998-02-06	VYDAJ	PREVOD NA UCET	1580	28553	 	IJ	9999049
33311	107	1998-03-06	VYDAJ	PREVOD NA UCET	1580	36664	 	IJ	9999049
33312	107	1998-04-06	VYDAJ	PREVOD NA UCET	1580	36506	 	IJ	9999049
33313	107	1998-05-06	VYDAJ	PREVOD NA UCET	1580	33663	 	IJ	9999049
33314	107	1998-06-06	VYDAJ	PREVOD NA UCET	1580	33173	 	IJ	9999049
33315	107	1998-07-06	VYDAJ	PREVOD NA UCET	1580	39315	 	IJ	9999049
33316	107	1998-08-06	VYDAJ	PREVOD NA UCET	1580	38630	 	IJ	9999049
33317	107	1998-09-06	VYDAJ	PREVOD NA UCET	1580	36655	 	IJ	9999049
33318	107	1998-10-06	VYDAJ	PREVOD NA UCET	1580	40789	 	IJ	9999049
33319	107	1998-11-06	VYDAJ	PREVOD NA UCET	1580	41830	 	IJ	9999049
33320	107	1998-12-06	VYDAJ	PREVOD NA UCET	1580	40264	 	IJ	9999049
33335	107	1994-03-09	VYDAJ	PREVOD NA UCET	959	39241	POJISTNE	QR	80934089
33336	107	1994-04-09	VYDAJ	PREVOD NA UCET	959	34580	POJISTNE	QR	80934089
33337	107	1994-05-09	VYDAJ	PREVOD NA UCET	959	28820	POJISTNE	QR	80934089
33338	107	1994-06-09	VYDAJ	PREVOD NA UCET	959	33317	POJISTNE	QR	80934089
33339	107	1994-07-09	VYDAJ	PREVOD NA UCET	959	31108	POJISTNE	QR	80934089
33340	107	1994-08-09	VYDAJ	PREVOD NA UCET	959	33296	POJISTNE	QR	80934089
33341	107	1994-09-09	VYDAJ	PREVOD NA UCET	959	33386	POJISTNE	QR	80934089
33342	107	1994-10-09	VYDAJ	PREVOD NA UCET	959	30479	POJISTNE	QR	80934089
33343	107	1994-11-09	VYDAJ	PREVOD NA UCET	959	30017	POJISTNE	QR	80934089
33344	107	1994-12-09	VYDAJ	PREVOD NA UCET	959	29452	POJISTNE	QR	80934089
33345	107	1995-01-09	VYDAJ	PREVOD NA UCET	959	19703	POJISTNE	QR	80934089
33346	107	1995-02-09	VYDAJ	PREVOD NA UCET	959	24844	POJISTNE	QR	80934089
33347	107	1995-03-09	VYDAJ	PREVOD NA UCET	959	28203	POJISTNE	QR	80934089
33348	107	1995-04-09	VYDAJ	PREVOD NA UCET	959	30275	POJISTNE	QR	80934089
33349	107	1995-05-09	VYDAJ	PREVOD NA UCET	959	29209	POJISTNE	QR	80934089
33350	107	1995-06-09	VYDAJ	PREVOD NA UCET	959	31500	POJISTNE	QR	80934089
33351	107	1995-07-09	VYDAJ	PREVOD NA UCET	959	31582	POJISTNE	QR	80934089
33352	107	1995-08-09	VYDAJ	PREVOD NA UCET	959	32367	POJISTNE	QR	80934089
33353	107	1995-09-09	VYDAJ	PREVOD NA UCET	959	29094	POJISTNE	QR	80934089
33354	107	1995-10-09	VYDAJ	PREVOD NA UCET	959	24603	POJISTNE	QR	80934089
33355	107	1995-11-09	VYDAJ	PREVOD NA UCET	959	22700	POJISTNE	QR	80934089
33356	107	1995-12-09	VYDAJ	PREVOD NA UCET	959	26147	POJISTNE	QR	80934089
33357	107	1996-01-09	VYDAJ	PREVOD NA UCET	959	29012	POJISTNE	QR	80934089
33358	107	1996-02-09	VYDAJ	PREVOD NA UCET	959	27500	POJISTNE	QR	80934089
33359	107	1996-03-09	VYDAJ	PREVOD NA UCET	959	23184	POJISTNE	QR	80934089
33360	107	1996-04-09	VYDAJ	PREVOD NA UCET	959	20830	POJISTNE	QR	80934089
33361	107	1996-05-09	VYDAJ	PREVOD NA UCET	959	29077	POJISTNE	QR	80934089
33362	107	1996-06-09	VYDAJ	PREVOD NA UCET	959	37772	POJISTNE	QR	80934089
33363	107	1996-07-09	VYDAJ	PREVOD NA UCET	959	40881	POJISTNE	QR	80934089
33364	107	1996-08-09	VYDAJ	PREVOD NA UCET	959	38266	POJISTNE	QR	80934089
33365	107	1996-09-09	VYDAJ	PREVOD NA UCET	959	41584	POJISTNE	QR	80934089
33366	107	1996-10-09	VYDAJ	PREVOD NA UCET	959	44212	POJISTNE	QR	80934089
33367	107	1996-11-09	VYDAJ	PREVOD NA UCET	959	45548	POJISTNE	QR	80934089
33368	107	1996-12-09	VYDAJ	PREVOD NA UCET	959	44320	POJISTNE	QR	80934089
33369	107	1997-01-09	VYDAJ	PREVOD NA UCET	959	34146	POJISTNE	QR	80934089
33370	107	1997-02-09	VYDAJ	PREVOD NA UCET	959	27212	POJISTNE	QR	80934089
33371	107	1997-03-09	VYDAJ	PREVOD NA UCET	959	30025	POJISTNE	QR	80934089
33372	107	1997-04-09	VYDAJ	PREVOD NA UCET	959	37913	POJISTNE	QR	80934089
33373	107	1997-05-09	VYDAJ	PREVOD NA UCET	959	40632	POJISTNE	QR	80934089
33374	107	1997-06-09	VYDAJ	PREVOD NA UCET	959	49580	POJISTNE	QR	80934089
33375	107	1997-07-09	VYDAJ	PREVOD NA UCET	959	47233	POJISTNE	QR	80934089
33376	107	1997-08-09	VYDAJ	PREVOD NA UCET	959	47480	POJISTNE	QR	80934089
33377	107	1997-09-09	VYDAJ	PREVOD NA UCET	959	46925	POJISTNE	QR	80934089
33378	107	1997-10-09	VYDAJ	PREVOD NA UCET	959	44300	POJISTNE	QR	80934089
33379	107	1997-11-09	VYDAJ	PREVOD NA UCET	959	45535	POJISTNE	QR	80934089
33380	107	1997-12-09	VYDAJ	PREVOD NA UCET	959	49288	POJISTNE	QR	80934089
33381	107	1998-01-09	VYDAJ	PREVOD NA UCET	959	41411	POJISTNE	QR	80934089
33382	107	1998-02-09	VYDAJ	PREVOD NA UCET	959	34426	POJISTNE	QR	80934089
33383	107	1998-03-09	VYDAJ	PREVOD NA UCET	959	41457	POJISTNE	QR	80934089
33384	107	1998-04-09	VYDAJ	PREVOD NA UCET	959	42379	POJISTNE	QR	80934089
33385	107	1998-05-09	VYDAJ	PREVOD NA UCET	959	39536	POJISTNE	QR	80934089
33386	107	1998-06-09	VYDAJ	PREVOD NA UCET	959	42462	POJISTNE	QR	80934089
33387	107	1998-07-09	VYDAJ	PREVOD NA UCET	959	41468	POJISTNE	QR	80934089
33388	107	1998-08-09	VYDAJ	PREVOD NA UCET	959	44503	POJISTNE	QR	80934089
33389	107	1998-09-09	VYDAJ	PREVOD NA UCET	959	42528	POJISTNE	QR	80934089
33390	107	1998-10-09	VYDAJ	PREVOD NA UCET	959	46662	POJISTNE	QR	80934089
33391	107	1998-11-09	VYDAJ	PREVOD NA UCET	959	48603	POJISTNE	QR	80934089
33392	107	1998-12-09	VYDAJ	PREVOD NA UCET	959	49653	POJISTNE	QR	80934089
33400	107	1994-12-01	VYDAJ	VYBER	3360	21743	\N	\N	\N
33401	107	1995-12-25	VYDAJ	VYBER	2880	25952	\N	\N	\N
33402	107	1996-12-22	VYDAJ	VYBER	1120	36185	\N	\N	\N
33403	107	1997-12-24	VYDAJ	VYBER	3360	40913	\N	\N	\N
33404	107	1998-12-26	VYDAJ	VYBER	1280	44078	\N	\N	\N
33417	107	1995-01-27	VYDAJ	VYBER	2400	14088	\N	\N	\N
33418	107	1995-01-07	VYDAJ	VYBER	3480	22102	\N	\N	\N
33419	107	1995-01-07	VYDAJ	VYBER	1440	20662	\N	\N	\N
33420	107	1995-01-01	VYDAJ	VYBER	600	22490	\N	\N	\N
33421	107	1995-01-24	VYDAJ	VYBER	1200	16488	\N	\N	\N
33422	107	1995-01-03	VYDAJ	VYBER	2160	20330	\N	\N	\N
33423	107	1996-01-24	VYDAJ	VYBER	2040	23117	\N	\N	\N
33424	107	1996-01-07	VYDAJ	VYBER	1320	29971	\N	\N	\N
33425	107	1996-01-22	VYDAJ	VYBER	2040	21117	\N	\N	\N
33426	107	1996-01-14	VYDAJ	VYBER	3120	23877	\N	\N	\N
33427	107	1996-01-22	VYDAJ	VYBER	720	23157	\N	\N	\N
33428	107	1996-01-23	VYDAJ	VYBER	1560	19557	\N	\N	\N
33429	107	1997-01-26	VYDAJ	VYBER	3360	25571	\N	\N	\N
33430	107	1997-01-07	VYDAJ	VYBER	2760	35105	\N	\N	\N
33431	107	1997-01-30	VYDAJ	VYBER	2760	22811	\N	\N	\N
33432	107	1997-01-11	VYDAJ	VYBER	3240	30906	\N	\N	\N
33433	107	1997-01-18	VYDAJ	VYBER	3120	31571	\N	\N	\N
33434	107	1997-01-18	VYDAJ	VYBER	2640	28931	\N	\N	\N
33435	107	1998-01-30	VYDAJ	VYBER	2400	29996	\N	\N	\N
33436	107	1998-01-07	VYDAJ	VYBER	1680	42370	\N	\N	\N
33437	107	1998-01-26	VYDAJ	VYBER	840	34436	\N	\N	\N
33438	107	1998-01-13	VYDAJ	VYBER	1200	38196	\N	\N	\N
33439	107	1998-01-28	VYDAJ	VYBER	2040	32396	\N	\N	\N
33440	107	1998-01-17	VYDAJ	VYBER	1920	35276	\N	\N	\N
33448	107	1994-05-07	VYDAJ	VYBER	5160	29779	\N	\N	\N
33449	107	1994-12-17	VYDAJ	VYBER	2640	24797	\N	\N	\N
33450	107	1994-03-28	VYDAJ	VYBER	2880	34346	\N	\N	\N
33451	107	1994-08-21	VYDAJ	VYBER	2400	28881	\N	\N	\N
33452	107	1994-04-22	VYDAJ	VYBER	1200	31365	\N	\N	\N
33453	107	1994-10-12	VYDAJ	VYBER	2640	27839	\N	\N	\N
33454	107	1995-10-03	VYDAJ	VYBER	3480	20310	\N	\N	\N
33455	107	1995-04-21	VYDAJ	VYBER	4440	23820	\N	\N	\N
33456	107	1995-09-05	VYDAJ	VYBER	1560	24801	\N	\N	\N
33457	107	1995-09-10	VYDAJ	VYBER	1680	26814	\N	\N	\N
33458	107	1995-12-04	VYDAJ	VYBER	4920	18438	\N	\N	\N
33459	107	1995-10-30	VYDAJ	VYBER	2760	18328	\N	\N	\N
33460	107	1995-09-10	VYDAJ	VYBER	600	28494	\N	\N	\N
33461	107	1996-03-25	VYDAJ	VYBER	4800	16469	\N	\N	\N
33462	107	1996-08-03	VYDAJ	VYBER	5640	33973	\N	\N	\N
33463	107	1996-02-29	VYDAJ	VYBER	5040	18905	\N	\N	\N
33464	107	1996-12-26	VYDAJ	VYBER	3720	32465	\N	\N	\N
33465	107	1996-03-24	VYDAJ	VYBER	3000	21269	\N	\N	\N
33466	107	1996-02-13	VYDAJ	VYBER	2040	23445	\N	\N	\N
33467	107	1996-12-07	VYDAJ	VYBER	2880	45279	\N	\N	\N
33468	107	1997-09-12	VYDAJ	VYBER	3360	41550	\N	\N	\N
33469	107	1997-02-24	VYDAJ	VYBER	5760	25637	\N	\N	\N
33470	107	1997-12-28	VYDAJ	VYBER	2280	38633	\N	\N	\N
33471	107	1997-07-03	VYDAJ	VYBER	3000	42940	\N	\N	\N
33472	107	1997-05-07	VYDAJ	VYBER	3600	41591	\N	\N	\N
33473	107	1998-03-07	VYDAJ	VYBER	1080	42416	\N	\N	\N
33474	107	1998-04-25	VYDAJ	VYBER	960	35104	\N	\N	\N
33475	107	1998-12-15	VYDAJ	VYBER	2280	45358	\N	\N	\N
33476	107	1998-12-03	VYDAJ	VYBER	4920	41844	\N	\N	\N
33477	107	1998-07-08	VYDAJ	VYBER	3720	42427	\N	\N	\N
33493	107	1994-03-31	VYDAJ	VYBER	15	34487	SLUZBY	\N	\N
33494	107	1994-04-30	VYDAJ	VYBER	15	31487	SLUZBY	\N	\N
33495	107	1994-05-31	VYDAJ	VYBER	15	26908	SLUZBY	\N	\N
33496	107	1994-06-30	VYDAJ	VYBER	15	31415	SLUZBY	\N	\N
33497	107	1994-07-31	VYDAJ	VYBER	15	29203	SLUZBY	\N	\N
33498	107	1994-08-31	VYDAJ	VYBER	15	28993	SLUZBY	\N	\N
33499	107	1994-09-30	VYDAJ	VYBER	15	31486	SLUZBY	\N	\N
33500	107	1994-10-31	VYDAJ	VYBER	15	25724	SLUZBY	\N	\N
33501	107	1994-11-30	VYDAJ	VYBER	15	25103	SLUZBY	\N	\N
33502	107	1994-12-31	VYDAJ	VYBER	15	23090	SLUZBY	\N	\N
33503	107	1995-01-31	VYDAJ	VYBER	15	20551	SLUZBY	\N	\N
33504	107	1995-02-28	VYDAJ	VYBER	15	23910	SLUZBY	\N	\N
33505	107	1995-03-31	VYDAJ	VYBER	15	25982	SLUZBY	\N	\N
33506	107	1995-04-30	VYDAJ	VYBER	15	24916	SLUZBY	\N	\N
33507	107	1995-05-31	VYDAJ	VYBER	15	23791	SLUZBY	\N	\N
33508	107	1995-06-30	VYDAJ	VYBER	15	27289	SLUZBY	\N	\N
33509	107	1995-07-31	VYDAJ	VYBER	15	28074	SLUZBY	\N	\N
33510	107	1995-08-31	VYDAJ	VYBER	15	26361	SLUZBY	\N	\N
33511	107	1995-09-30	VYDAJ	VYBER	15	23790	SLUZBY	\N	\N
33512	107	1995-10-31	VYDAJ	VYBER	15	18407	SLUZBY	\N	\N
33513	107	1995-11-30	VYDAJ	VYBER	15	23358	SLUZBY	\N	\N
33514	107	1995-12-31	VYDAJ	VYBER	15	26039	SLUZBY	\N	\N
33515	107	1996-01-31	VYDAJ	VYBER	15	23207	SLUZBY	\N	\N
33516	107	1996-02-29	VYDAJ	VYBER	15	18891	SLUZBY	\N	\N
33517	107	1996-03-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
33518	107	1996-04-30	VYDAJ	VYBER	15	24784	SLUZBY	\N	\N
33519	107	1996-05-31	VYDAJ	VYBER	15	30063	SLUZBY	\N	\N
33520	107	1996-06-30	VYDAJ	VYBER	15	36588	SLUZBY	\N	\N
33521	107	1996-07-31	VYDAJ	VYBER	15	39613	SLUZBY	\N	\N
33522	107	1996-08-31	VYDAJ	VYBER	15	37291	SLUZBY	\N	\N
33523	107	1996-09-30	VYDAJ	VYBER	15	39919	SLUZBY	\N	\N
33524	107	1996-10-31	VYDAJ	VYBER	15	41255	SLUZBY	\N	\N
33525	107	1996-11-30	VYDAJ	VYBER	15	39491	SLUZBY	\N	\N
33526	107	1996-12-31	VYDAJ	VYBER	15	32613	SLUZBY	\N	\N
33527	107	1997-01-31	VYDAJ	VYBER	15	22919	SLUZBY	\N	\N
33528	107	1997-02-28	VYDAJ	VYBER	15	25732	SLUZBY	\N	\N
33529	107	1997-03-31	VYDAJ	VYBER	15	33620	SLUZBY	\N	\N
33530	107	1997-04-30	VYDAJ	VYBER	15	39939	SLUZBY	\N	\N
33531	107	1997-05-31	VYDAJ	VYBER	15	41871	SLUZBY	\N	\N
33532	107	1997-06-30	VYDAJ	VYBER	15	45940	SLUZBY	\N	\N
33533	107	1997-07-31	VYDAJ	VYBER	15	43187	SLUZBY	\N	\N
33534	107	1997-08-31	VYDAJ	VYBER	15	42632	SLUZBY	\N	\N
33535	107	1997-09-30	VYDAJ	VYBER	15	40007	SLUZBY	\N	\N
33536	107	1997-10-31	VYDAJ	VYBER	15	41242	SLUZBY	\N	\N
33537	107	1997-11-30	VYDAJ	VYBER	15	41579	SLUZBY	\N	\N
33538	107	1997-12-31	VYDAJ	VYBER	15	38798	SLUZBY	\N	\N
33539	107	1998-01-31	VYDAJ	VYBER	15	30133	SLUZBY	\N	\N
33540	107	1998-02-28	VYDAJ	VYBER	15	38244	SLUZBY	\N	\N
33541	107	1998-03-31	VYDAJ	VYBER	15	38086	SLUZBY	\N	\N
33542	107	1998-04-30	VYDAJ	VYBER	15	35243	SLUZBY	\N	\N
33543	107	1998-05-31	VYDAJ	VYBER	15	34753	SLUZBY	\N	\N
33544	107	1998-06-30	VYDAJ	VYBER	15	40895	SLUZBY	\N	\N
33545	107	1998-07-31	VYDAJ	VYBER	15	40210	SLUZBY	\N	\N
33546	107	1998-08-31	VYDAJ	VYBER	15	38235	SLUZBY	\N	\N
33547	107	1998-09-30	VYDAJ	VYBER	15	42369	SLUZBY	\N	\N
33548	107	1998-10-31	VYDAJ	VYBER	15	43410	SLUZBY	\N	\N
33549	107	1998-11-30	VYDAJ	VYBER	15	46764	SLUZBY	\N	\N
33550	107	1993-12-05	PRIJEM	VKLAD	10600	18458	\N	\N	\N
33551	107	1994-01-04	VYDAJ	VYBER	900	27909	\N	\N	\N
33552	107	1994-02-03	VYDAJ	VYBER	3900	30981	\N	\N	\N
33553	107	1994-03-05	VYDAJ	VYBER	4600	33368	\N	\N	\N
33554	107	1994-04-04	VYDAJ	VYBER	4200	30287	\N	\N	\N
33555	107	1994-05-04	VYDAJ	VYBER	1800	29687	\N	\N	\N
33556	107	1994-06-03	VYDAJ	VYBER	1300	25608	\N	\N	\N
33557	107	1994-07-03	VYDAJ	VYBER	4600	26815	\N	\N	\N
33558	107	1994-08-02	VYDAJ	VYBER	200	29003	\N	\N	\N
33559	107	1994-09-01	PRIJEM	VKLAD	100	29093	\N	\N	\N
33560	107	1994-10-01	VYDAJ	VYBER	5300	26186	\N	\N	\N
33561	107	1994-10-31	VYDAJ	VYBER	200	25739	\N	\N	\N
33562	107	1994-11-30	VYDAJ	VYBER	3000	25118	\N	\N	\N
33563	107	1994-12-30	VYDAJ	VYBER	1800	22997	\N	\N	\N
33564	107	1995-01-29	PRIJEM	VKLAD	6400	20488	\N	\N	\N
33565	107	1995-02-28	PRIJEM	VKLAD	1000	23829	\N	\N	\N
33566	107	1995-03-30	VYDAJ	VYBER	300	25888	\N	\N	\N
33567	107	1995-04-29	PRIJEM	VKLAD	1000	24820	\N	\N	\N
33568	107	1995-05-29	VYDAJ	VYBER	3500	23694	\N	\N	\N
33569	107	1995-06-28	VYDAJ	VYBER	2300	27185	\N	\N	\N
33570	107	1995-07-28	VYDAJ	VYBER	1600	27967	\N	\N	\N
33571	107	1995-08-27	VYDAJ	VYBER	4100	26252	\N	\N	\N
33572	107	1995-09-26	VYDAJ	VYBER	1100	23699	\N	\N	\N
33573	107	1995-10-26	VYDAJ	VYBER	1500	21088	\N	\N	\N
33574	107	1995-11-25	PRIJEM	VKLAD	2600	23285	\N	\N	\N
33575	107	1995-12-25	PRIJEM	VKLAD	4700	28832	\N	\N	\N
33576	107	1996-01-24	PRIJEM	VKLAD	5600	25157	\N	\N	\N
33577	107	1996-02-23	PRIJEM	VKLAD	400	23845	\N	\N	\N
33578	107	1996-03-24	PRIJEM	VKLAD	3100	24269	\N	\N	\N
33579	107	1996-04-23	PRIJEM	VKLAD	5900	24715	\N	\N	\N
33580	107	1996-05-23	PRIJEM	VKLAD	2900	29962	\N	\N	\N
33581	107	1996-06-22	PRIJEM	VKLAD	700	36457	\N	\N	\N
33582	107	1996-07-22	PRIJEM	VKLAD	600	39466	\N	\N	\N
33583	107	1996-08-21	PRIJEM	VKLAD	900	37151	\N	\N	\N
33584	107	1996-09-20	PRIJEM	VKLAD	200	39769	\N	\N	\N
33585	107	1996-10-20	VYDAJ	VYBER	1100	41097	\N	\N	\N
33586	107	1996-11-19	VYDAJ	VYBER	4200	39333	\N	\N	\N
33587	107	1996-12-19	VYDAJ	VYBER	5000	37305	\N	\N	\N
33588	107	1997-01-18	PRIJEM	VKLAD	5800	34691	\N	\N	\N
33589	107	1997-02-17	PRIJEM	VKLAD	6200	31397	\N	\N	\N
33590	107	1997-03-19	PRIJEM	VKLAD	5500	33510	\N	\N	\N
33591	107	1997-04-18	PRIJEM	VKLAD	3900	39798	\N	\N	\N
33592	107	1997-05-18	PRIJEM	VKLAD	3100	41717	\N	\N	\N
33593	107	1997-06-17	VYDAJ	VYBER	1800	45765	\N	\N	\N
33594	107	1997-07-17	VYDAJ	VYBER	2200	43018	\N	\N	\N
33595	107	1997-08-16	VYDAJ	VYBER	3000	42465	\N	\N	\N
33596	107	1997-09-15	VYDAJ	VYBER	1700	39850	\N	\N	\N
33597	107	1997-10-15	VYDAJ	VYBER	1200	41085	\N	\N	\N
33598	107	1997-11-14	VYDAJ	VYBER	2100	41420	\N	\N	\N
33599	107	1997-12-14	VYDAJ	VYBER	3000	44273	\N	\N	\N
33600	107	1998-01-13	VYDAJ	VYBER	1000	37196	\N	\N	\N
33601	107	1998-02-12	PRIJEM	VKLAD	5700	40126	\N	\N	\N
33602	107	1998-03-14	VYDAJ	VYBER	1500	37942	\N	\N	\N
33603	107	1998-04-13	VYDAJ	VYBER	4300	36064	\N	\N	\N
33604	107	1998-05-13	VYDAJ	VYBER	2900	34621	\N	\N	\N
33605	107	1998-06-12	PRIJEM	VKLAD	300	42762	\N	\N	\N
33606	107	1998-07-12	PRIJEM	VKLAD	600	42068	\N	\N	\N
33607	107	1998-08-11	VYDAJ	VYBER	4400	40103	\N	\N	\N
33608	107	1998-09-10	PRIJEM	VKLAD	1700	44228	\N	\N	\N
33609	107	1998-10-10	VYDAJ	VYBER	1400	45262	\N	\N	\N
33610	107	1998-11-09	PRIJEM	VKLAD	900	49562	\N	\N	\N
33611	107	1998-12-09	PRIJEM	VKLAD	100	50612	\N	\N	\N
33674	108	1995-03-10	PRIJEM	VKLAD	800	800	\N	\N	\N
33678	108	1995-04-10	PRIJEM	VKLAD	15703	26903	\N	\N	\N
33679	108	1995-05-10	PRIJEM	VKLAD	15703	44285	\N	\N	\N
33680	108	1995-06-10	PRIJEM	VKLAD	23555	56902	\N	\N	\N
33681	108	1995-07-10	PRIJEM	VKLAD	15703	58627	\N	\N	\N
33682	108	1995-08-10	PRIJEM	VKLAD	15703	57172	\N	\N	\N
33683	108	1995-09-10	PRIJEM	VKLAD	15703	51497	\N	\N	\N
33684	108	1995-10-10	PRIJEM	VKLAD	15703	52796	\N	\N	\N
33685	108	1995-11-10	PRIJEM	VKLAD	15703	47653	\N	\N	\N
33686	108	1995-12-10	PRIJEM	VKLAD	23555	54944	\N	\N	\N
33687	108	1996-01-10	PRIJEM	VKLAD	15703	55075	\N	\N	\N
33688	108	1996-02-10	PRIJEM	VKLAD	15703	45846	\N	\N	\N
33689	108	1996-03-10	PRIJEM	VKLAD	15703	53312	\N	\N	\N
33690	108	1996-04-10	PRIJEM	VKLAD	15703	53207	\N	\N	\N
33691	108	1996-05-10	PRIJEM	VKLAD	15703	52566	\N	\N	\N
33692	108	1996-06-10	PRIJEM	VKLAD	23555	60013	\N	\N	\N
33693	108	1996-07-10	PRIJEM	VKLAD	15703	50726	\N	\N	\N
33694	108	1996-08-10	PRIJEM	VKLAD	15703	56110	\N	\N	\N
33695	108	1996-09-10	PRIJEM	VKLAD	15703	60217	\N	\N	\N
33696	108	1996-10-10	PRIJEM	VKLAD	15703	60238	\N	\N	\N
33697	108	1996-11-10	PRIJEM	VKLAD	15703	60658	\N	\N	\N
33698	108	1996-12-10	PRIJEM	VKLAD	23555	66997	\N	\N	\N
33699	108	1997-01-10	PRIJEM	VKLAD	15703	62951	\N	\N	\N
33700	108	1997-02-10	PRIJEM	VKLAD	15703	55565	\N	\N	\N
33701	108	1997-03-10	PRIJEM	VKLAD	15703	61065	\N	\N	\N
33702	108	1997-04-10	PRIJEM	VKLAD	15703	61187	\N	\N	\N
33703	108	1997-05-10	PRIJEM	VKLAD	15703	65907	\N	\N	\N
33704	108	1997-06-10	PRIJEM	VKLAD	23555	72098	\N	\N	\N
33705	108	1997-07-10	PRIJEM	VKLAD	15703	50858	\N	\N	\N
33706	108	1997-08-10	PRIJEM	VKLAD	15703	58439	\N	\N	\N
33707	108	1997-09-10	PRIJEM	VKLAD	15703	60846	\N	\N	\N
33708	108	1997-10-10	PRIJEM	VKLAD	15703	68367	\N	\N	\N
33709	108	1997-11-10	PRIJEM	VKLAD	15703	61450	\N	\N	\N
33710	108	1997-12-10	PRIJEM	VKLAD	23555	68489	\N	\N	\N
33711	108	1998-01-10	PRIJEM	VKLAD	15703	66023	\N	\N	\N
33712	108	1998-02-10	PRIJEM	VKLAD	15703	70260	\N	\N	\N
33713	108	1998-03-10	PRIJEM	VKLAD	15703	73113	\N	\N	\N
33714	108	1998-04-10	PRIJEM	VKLAD	15703	74792	\N	\N	\N
33715	108	1998-05-10	PRIJEM	VKLAD	15703	80066	\N	\N	\N
33716	108	1998-06-10	PRIJEM	VKLAD	23555	88609	\N	\N	\N
33717	108	1998-07-10	PRIJEM	VKLAD	15703	70673	\N	\N	\N
33718	108	1998-08-10	PRIJEM	VKLAD	15703	71424	\N	\N	\N
33719	108	1998-09-10	PRIJEM	VKLAD	15703	68269	\N	\N	\N
33720	108	1998-10-10	PRIJEM	VKLAD	15703	68807	\N	\N	\N
33721	108	1998-11-10	PRIJEM	VKLAD	15703	66240	\N	\N	\N
33722	108	1998-12-10	PRIJEM	VKLAD	23555	74920	\N	\N	\N
33731	108	1995-09-07	VYDAJ	PREVOD NA UCET	4803	35794	SIPO	CD	62673318
33732	108	1995-10-07	VYDAJ	PREVOD NA UCET	4803	37093	SIPO	CD	62673318
33733	108	1995-11-07	VYDAJ	PREVOD NA UCET	4803	31950	SIPO	CD	62673318
33734	108	1995-12-07	VYDAJ	PREVOD NA UCET	4803	31389	SIPO	CD	62673318
33735	108	1996-01-07	VYDAJ	PREVOD NA UCET	4803	39372	SIPO	CD	62673318
33736	108	1996-02-07	VYDAJ	PREVOD NA UCET	4803	30143	SIPO	CD	62673318
33737	108	1996-03-07	VYDAJ	PREVOD NA UCET	4803	37609	SIPO	CD	62673318
33738	108	1996-04-07	VYDAJ	PREVOD NA UCET	4803	37504	SIPO	CD	62673318
33739	108	1996-05-07	VYDAJ	PREVOD NA UCET	4803	36863	SIPO	CD	62673318
33740	108	1996-06-07	VYDAJ	PREVOD NA UCET	4803	36459	SIPO	CD	62673318
33741	108	1996-07-07	VYDAJ	PREVOD NA UCET	4803	35023	SIPO	CD	62673318
33742	108	1996-08-07	VYDAJ	PREVOD NA UCET	4803	40407	SIPO	CD	62673318
33743	108	1996-09-07	VYDAJ	PREVOD NA UCET	4803	44514	SIPO	CD	62673318
33744	108	1996-10-07	VYDAJ	PREVOD NA UCET	4803	44535	SIPO	CD	62673318
33745	108	1996-11-07	VYDAJ	PREVOD NA UCET	4803	44955	SIPO	CD	62673318
33746	108	1996-12-07	VYDAJ	PREVOD NA UCET	4803	43443	SIPO	CD	62673318
33747	108	1997-01-07	VYDAJ	PREVOD NA UCET	4803	47248	SIPO	CD	62673318
33748	108	1997-02-07	VYDAJ	PREVOD NA UCET	4803	39862	SIPO	CD	62673318
33749	108	1997-03-07	VYDAJ	PREVOD NA UCET	4803	45362	SIPO	CD	62673318
33750	108	1997-04-07	VYDAJ	PREVOD NA UCET	4803	45484	SIPO	CD	62673318
33751	108	1997-05-07	VYDAJ	PREVOD NA UCET	4803	50204	SIPO	CD	62673318
33752	108	1997-06-07	VYDAJ	PREVOD NA UCET	4803	48543	SIPO	CD	62673318
33753	108	1997-07-07	VYDAJ	PREVOD NA UCET	4803	35155	SIPO	CD	62673318
33754	108	1997-08-07	VYDAJ	PREVOD NA UCET	4803	42736	SIPO	CD	62673318
33755	108	1997-09-07	VYDAJ	PREVOD NA UCET	4803	45143	SIPO	CD	62673318
33756	108	1997-10-07	VYDAJ	PREVOD NA UCET	4803	52664	SIPO	CD	62673318
33757	108	1997-11-07	VYDAJ	PREVOD NA UCET	4803	45747	SIPO	CD	62673318
33758	108	1997-12-07	VYDAJ	PREVOD NA UCET	4803	44935	SIPO	CD	62673318
33759	108	1998-01-07	VYDAJ	PREVOD NA UCET	4803	50320	SIPO	CD	62673318
33760	108	1998-02-07	VYDAJ	PREVOD NA UCET	4803	54557	SIPO	CD	62673318
33761	108	1998-03-07	VYDAJ	PREVOD NA UCET	4803	57410	SIPO	CD	62673318
33762	108	1998-04-07	VYDAJ	PREVOD NA UCET	4803	59089	SIPO	CD	62673318
33763	108	1998-05-07	VYDAJ	PREVOD NA UCET	4803	64363	SIPO	CD	62673318
33764	108	1998-06-07	VYDAJ	PREVOD NA UCET	4803	65054	SIPO	CD	62673318
33765	108	1998-07-07	VYDAJ	PREVOD NA UCET	4803	54970	SIPO	CD	62673318
33766	108	1998-08-07	VYDAJ	PREVOD NA UCET	4803	55721	SIPO	CD	62673318
33767	108	1998-09-07	VYDAJ	PREVOD NA UCET	4803	52566	SIPO	CD	62673318
33768	108	1998-10-07	VYDAJ	PREVOD NA UCET	4803	53104	SIPO	CD	62673318
33769	108	1998-11-07	VYDAJ	PREVOD NA UCET	4803	50537	SIPO	CD	62673318
33770	108	1998-12-07	VYDAJ	PREVOD NA UCET	4803	51966	SIPO	CD	62673318
33772	108	1996-06-11	VYDAJ	VYBER	16960	43053	\N	\N	\N
33773	108	1997-06-14	VYDAJ	VYBER	34720	37378	\N	\N	\N
33774	108	1998-06-14	VYDAJ	VYBER	24800	63809	\N	\N	\N
33776	108	1996-01-12	VYDAJ	VYBER	5920	49155	\N	\N	\N
33777	108	1997-01-13	VYDAJ	VYBER	14880	48071	\N	\N	\N
33778	108	1998-01-10	VYDAJ	VYBER KARTOU	3700	62323	\N	\N	0
33779	108	1995-12-11	VYDAJ	VYBER	1760	53184	\N	\N	\N
33780	108	1996-12-27	VYDAJ	VYBER	2880	64117	\N	\N	\N
33781	108	1997-12-30	VYDAJ	VYBER KARTOU	3000	54889	\N	\N	0
33782	108	1998-12-18	VYDAJ	VYBER KARTOU	1400	70920	\N	\N	0
33784	108	1995-10-30	VYDAJ	VYBER	3240	49556	\N	\N	\N
33788	108	1995-12-04	VYDAJ	VYBER	5640	42192	\N	\N	\N
33790	108	1996-12-28	VYDAJ	VYBER	3000	61117	\N	\N	\N
33791	108	1996-04-27	VYDAJ	VYBER	3240	49967	\N	\N	\N
33792	108	1996-02-04	VYDAJ	VYBER	4800	34946	\N	\N	\N
33793	108	1996-11-13	VYDAJ	VYBER	5520	55138	\N	\N	\N
33794	108	1997-11-22	VYDAJ	VYBER	5160	51130	\N	\N	\N
33795	108	1997-11-16	VYDAJ	VYBER	5160	56290	\N	\N	\N
33796	108	1997-10-31	VYDAJ	VYBER	5160	50550	\N	\N	\N
33797	108	1997-04-22	VYDAJ	VYBER	3000	58187	\N	\N	\N
33798	108	1998-03-13	VYDAJ	VYBER	4080	69033	\N	\N	\N
33799	108	1998-12-25	VYDAJ	VYBER KARTOU	3700	56720	\N	\N	0
33800	108	1998-12-18	VYDAJ	VYBER KARTOU	2600	72320	\N	\N	0
33801	108	1998-12-08	VYDAJ	VYBER KARTOU	600	51366	\N	\N	0
33810	108	1995-08-31	VYDAJ	VYBER	15	57397	SLUZBY	\N	\N
33811	108	1995-09-30	VYDAJ	VYBER	15	51696	SLUZBY	\N	\N
33812	108	1995-10-31	VYDAJ	VYBER	15	49753	SLUZBY	\N	\N
33813	108	1995-11-30	VYDAJ	VYBER	15	47832	SLUZBY	\N	\N
33814	108	1995-12-31	VYDAJ	VYBER	15	53375	SLUZBY	\N	\N
33815	108	1996-01-31	VYDAJ	VYBER	15	49346	SLUZBY	\N	\N
33816	108	1996-02-29	VYDAJ	VYBER	15	46012	SLUZBY	\N	\N
33817	108	1996-03-31	VYDAJ	VYBER	15	53507	SLUZBY	\N	\N
33818	108	1996-04-30	VYDAJ	VYBER	15	50166	SLUZBY	\N	\N
33819	108	1996-05-31	VYDAJ	VYBER	15	52762	SLUZBY	\N	\N
33820	108	1996-06-30	VYDAJ	VYBER	15	43226	SLUZBY	\N	\N
33821	108	1996-07-31	VYDAJ	VYBER	15	50910	SLUZBY	\N	\N
33822	108	1996-08-31	VYDAJ	VYBER	15	49317	SLUZBY	\N	\N
33823	108	1996-09-30	VYDAJ	VYBER	15	60438	SLUZBY	\N	\N
33824	108	1996-10-31	VYDAJ	VYBER	15	49758	SLUZBY	\N	\N
33825	108	1996-11-30	VYDAJ	VYBER	15	48246	SLUZBY	\N	\N
33826	108	1996-12-31	VYDAJ	VYBER	15	52051	SLUZBY	\N	\N
33827	108	1997-01-31	VYDAJ	VYBER	15	44665	SLUZBY	\N	\N
33828	108	1997-02-28	VYDAJ	VYBER	15	50165	SLUZBY	\N	\N
33829	108	1997-03-31	VYDAJ	VYBER	15	50287	SLUZBY	\N	\N
33830	108	1997-04-30	VYDAJ	VYBER	15	55007	SLUZBY	\N	\N
33831	108	1997-05-31	VYDAJ	VYBER	15	53346	SLUZBY	\N	\N
33832	108	1997-06-30	VYDAJ	VYBER	15	39958	SLUZBY	\N	\N
33833	108	1997-07-31	VYDAJ	VYBER	15	47539	SLUZBY	\N	\N
33834	108	1997-08-31	VYDAJ	VYBER	15	49946	SLUZBY	\N	\N
33835	108	1997-09-30	VYDAJ	VYBER	15	57467	SLUZBY	\N	\N
33836	108	1997-10-31	VYDAJ	VYBER	15	55710	SLUZBY	\N	\N
33837	108	1997-11-30	VYDAJ	VYBER	15	49738	SLUZBY	\N	\N
33838	108	1997-12-31	VYDAJ	VYBER	15	55123	SLUZBY	\N	\N
33839	108	1998-01-31	VYDAJ	VYBER	15	59360	SLUZBY	\N	\N
33840	108	1998-02-28	VYDAJ	VYBER	15	62213	SLUZBY	\N	\N
33841	108	1998-03-31	VYDAJ	VYBER	15	63892	SLUZBY	\N	\N
33842	108	1998-04-30	VYDAJ	VYBER	15	69166	SLUZBY	\N	\N
33843	108	1998-05-31	VYDAJ	VYBER	15	69857	SLUZBY	\N	\N
33844	108	1998-06-30	VYDAJ	VYBER	15	59773	SLUZBY	\N	\N
33845	108	1998-07-31	VYDAJ	VYBER	15	60524	SLUZBY	\N	\N
33846	108	1998-08-31	VYDAJ	VYBER	15	57369	SLUZBY	\N	\N
33847	108	1998-09-30	VYDAJ	VYBER	15	57907	SLUZBY	\N	\N
33848	108	1998-10-31	VYDAJ	VYBER	15	55340	SLUZBY	\N	\N
33849	108	1998-11-30	VYDAJ	VYBER	15	56769	SLUZBY	\N	\N
33850	108	1995-04-09	PRIJEM	VKLAD	10400	11200	\N	\N	\N
33851	108	1995-05-09	PRIJEM	VKLAD	1600	28582	\N	\N	\N
33852	108	1995-06-08	VYDAJ	VYBER	11100	33348	\N	\N	\N
33853	108	1995-07-08	VYDAJ	VYBER	14200	42924	\N	\N	\N
33854	108	1995-08-07	VYDAJ	VYBER	17400	41469	\N	\N	\N
33855	108	1995-09-06	VYDAJ	VYBER	16800	40597	\N	\N	\N
33856	108	1995-10-06	VYDAJ	VYBER	9800	41896	\N	\N	\N
33857	108	1995-11-05	VYDAJ	VYBER	13000	36753	\N	\N	\N
33858	108	1995-12-05	VYDAJ	VYBER	6000	36192	\N	\N	\N
33859	108	1996-01-04	VYDAJ	VYBER	9200	44175	\N	\N	\N
33860	108	1996-02-03	VYDAJ	VYBER	9600	39746	\N	\N	\N
33861	108	1996-03-04	VYDAJ	VYBER	3600	42412	\N	\N	\N
33862	108	1996-04-03	VYDAJ	VYBER	11200	42307	\N	\N	\N
33863	108	1996-05-03	VYDAJ	VYBER	8500	41666	\N	\N	\N
33864	108	1996-06-02	VYDAJ	VYBER	11500	41262	\N	\N	\N
33865	108	1996-07-02	VYDAJ	VYBER	3400	39826	\N	\N	\N
33866	108	1996-08-01	VYDAJ	VYBER	5700	45210	\N	\N	\N
33867	108	1996-08-31	VYDAJ	VYBER	7000	49332	\N	\N	\N
33868	108	1996-09-30	VYDAJ	VYBER	11100	49338	\N	\N	\N
33869	108	1996-10-30	VYDAJ	VYBER	10700	49538	\N	\N	\N
33870	108	1996-11-29	VYDAJ	VYBER	7100	48038	\N	\N	\N
33871	108	1996-12-29	VYDAJ	VYBER	9300	51817	\N	\N	\N
33872	108	1997-01-28	VYDAJ	VYBER	3600	44471	\N	\N	\N
33873	108	1997-02-27	VYDAJ	VYBER	5600	49965	\N	\N	\N
33874	108	1997-03-29	VYDAJ	VYBER	11000	50065	\N	\N	\N
33875	108	1997-04-28	VYDAJ	VYBER	3400	54787	\N	\N	\N
33876	108	1997-05-28	VYDAJ	VYBER	12800	53107	\N	\N	\N
33877	108	1997-06-27	PRIJEM	VKLAD	2400	39778	\N	\N	\N
33878	108	1997-07-27	VYDAJ	VYBER	3500	47358	\N	\N	\N
33879	108	1997-08-26	VYDAJ	VYBER	8700	49739	\N	\N	\N
33880	108	1997-09-25	VYDAJ	VYBER KARTOU	3600	57246	\N	\N	0
33881	108	1997-10-25	VYDAJ	VYBER	12900	55467	\N	\N	\N
33882	108	1997-11-24	VYDAJ	VYBER KARTOU	1600	49530	\N	\N	0
33883	108	1997-12-24	VYDAJ	VYBER	10600	57889	\N	\N	\N
33884	108	1998-01-23	VYDAJ	VYBER KARTOU	3200	59123	\N	\N	0
33885	108	1998-02-22	VYDAJ	VYBER	8300	61960	\N	\N	\N
33886	108	1998-03-24	VYDAJ	VYBER	5400	63633	\N	\N	\N
33887	108	1998-04-23	VYDAJ	VYBER	5900	68892	\N	\N	\N
33888	108	1998-05-23	VYDAJ	VYBER	10500	69566	\N	\N	\N
33889	108	1998-06-22	VYDAJ	VYBER	4300	59509	\N	\N	\N
33890	108	1998-07-22	VYDAJ	VYBER	10400	60273	\N	\N	\N
33891	108	1998-08-21	VYDAJ	VYBER	14300	57124	\N	\N	\N
33892	108	1998-09-20	VYDAJ	VYBER	10600	57669	\N	\N	\N
33893	108	1998-10-20	VYDAJ	VYBER	13700	55107	\N	\N	\N
33894	108	1998-11-19	VYDAJ	VYBER	9700	56540	\N	\N	\N
33895	108	1998-12-19	VYDAJ	VYBER	10500	60420	\N	\N	\N
33941	109	1997-04-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
33944	109	1998-06-12	PRIJEM	VKLAD	16920	53624	\N	\N	\N
33945	109	1998-04-05	PRIJEM	VKLAD	12367	41577	\N	\N	\N
33950	109	1997-05-16	PRIJEM	VKLAD	1300	2400	\N	\N	\N
33951	109	1997-06-17	PRIJEM	VKLAD	1300	17327	\N	\N	\N
33952	109	1997-07-15	PRIJEM	VKLAD	1300	23604	\N	\N	\N
33953	109	1997-08-14	PRIJEM	VKLAD	1300	25189	\N	\N	\N
33954	109	1997-09-16	PRIJEM	VKLAD	1300	33290	\N	\N	\N
33955	109	1997-10-15	PRIJEM	VKLAD	1300	36616	\N	\N	\N
33956	109	1997-11-17	PRIJEM	VKLAD	1300	31548	\N	\N	\N
33957	109	1997-12-13	PRIJEM	VKLAD	1300	34773	\N	\N	\N
33958	109	1998-01-15	PRIJEM	VKLAD	1300	20837	\N	\N	\N
33959	109	1998-02-16	PRIJEM	VKLAD	1300	25419	\N	\N	\N
33960	109	1998-03-13	PRIJEM	VKLAD	1300	28607	\N	\N	\N
33961	109	1998-04-14	PRIJEM	VKLAD	1300	42877	\N	\N	\N
33962	109	1998-05-14	PRIJEM	VKLAD	1300	40559	\N	\N	\N
33963	109	1998-06-17	PRIJEM	VKLAD	1300	43824	\N	\N	\N
33964	109	1998-07-15	PRIJEM	VKLAD	1300	45290	\N	\N	\N
33965	109	1998-08-17	PRIJEM	VKLAD	1300	44268	\N	\N	\N
33966	109	1998-09-15	PRIJEM	VKLAD	1300	43443	\N	\N	\N
33967	109	1998-10-15	PRIJEM	VKLAD	1300	42518	\N	\N	\N
33968	109	1998-11-13	PRIJEM	VKLAD	1300	39989	\N	\N	\N
33969	109	1998-12-17	PRIJEM	VKLAD	1300	39850	\N	\N	\N
33974	109	1997-05-18	PRIJEM	VKLAD	1800	4200	\N	\N	\N
33975	109	1997-06-18	PRIJEM	VKLAD	1800	19127	\N	\N	\N
33976	109	1997-07-18	PRIJEM	VKLAD	1800	25404	\N	\N	\N
33977	109	1997-08-18	PRIJEM	VKLAD	1800	31889	\N	\N	\N
33978	109	1997-09-18	PRIJEM	VKLAD	1800	36190	\N	\N	\N
33979	109	1997-10-18	PRIJEM	VKLAD	1800	33816	\N	\N	\N
33980	109	1997-11-18	PRIJEM	VKLAD	1800	33348	\N	\N	\N
33981	109	1997-12-18	PRIJEM	VKLAD	1800	29273	\N	\N	\N
33982	109	1998-01-18	PRIJEM	VKLAD	1800	22637	\N	\N	\N
33983	109	1998-02-18	PRIJEM	VKLAD	1800	27219	\N	\N	\N
33984	109	1998-03-18	PRIJEM	VKLAD	1800	29107	\N	\N	\N
33985	109	1998-04-18	PRIJEM	VKLAD	1800	40077	\N	\N	\N
33986	109	1998-05-18	PRIJEM	VKLAD	1800	37259	\N	\N	\N
33987	109	1998-06-18	PRIJEM	VKLAD	1800	45624	\N	\N	\N
33988	109	1998-07-18	PRIJEM	VKLAD	1800	47090	\N	\N	\N
33989	109	1998-08-18	PRIJEM	VKLAD	1800	46068	\N	\N	\N
33990	109	1998-09-18	PRIJEM	VKLAD	1800	45243	\N	\N	\N
33991	109	1998-10-18	PRIJEM	VKLAD	1800	44318	\N	\N	\N
33992	109	1998-11-18	PRIJEM	VKLAD	1800	41789	\N	\N	\N
33993	109	1998-12-18	PRIJEM	VKLAD	1800	41650	\N	\N	\N
33995	109	1998-06-14	VYDAJ	VYBER	7100	46524	\N	\N	\N
33997	109	1998-01-06	VYDAJ	VYBER	9100	18187	\N	\N	\N
33998	109	1997-12-25	VYDAJ	VYBER	2100	27173	\N	\N	\N
33999	109	1998-12-13	VYDAJ	VYBER KARTOU	2300	38550	\N	\N	0
34000	109	1997-10-05	VYDAJ	VYBER	1000	35316	\N	\N	\N
34003	109	1997-07-18	VYDAJ	VYBER	2100	23304	\N	\N	\N
34004	109	1997-08-05	VYDAJ	VYBER	1900	23889	\N	\N	\N
34006	109	1998-08-01	VYDAJ	VYBER	1500	45768	\N	\N	\N
34007	109	1998-11-01	VYDAJ	VYBER	800	43689	\N	\N	\N
34008	109	1998-08-06	VYDAJ	VYBER	600	45168	\N	\N	\N
34009	109	1998-06-07	VYDAJ	VYBER	700	36704	\N	\N	\N
34010	109	1998-01-11	VYDAJ	VYBER	1450	16737	\N	\N	\N
34011	109	1998-05-01	VYDAJ	VYBER	950	39259	\N	\N	\N
34019	109	1997-07-31	VYDAJ	VYBER	15	25789	SLUZBY	\N	\N
34020	109	1997-08-31	VYDAJ	VYBER	15	31990	SLUZBY	\N	\N
34021	109	1997-09-30	VYDAJ	VYBER	15	36316	SLUZBY	\N	\N
34022	109	1997-10-31	VYDAJ	VYBER	15	33948	SLUZBY	\N	\N
34023	109	1997-11-30	VYDAJ	VYBER	15	33473	SLUZBY	\N	\N
34024	109	1997-12-31	VYDAJ	VYBER	15	27287	SLUZBY	\N	\N
34025	109	1998-01-31	VYDAJ	VYBER	15	22719	SLUZBY	\N	\N
34026	109	1998-02-28	VYDAJ	VYBER	15	27307	SLUZBY	\N	\N
34027	109	1998-03-31	VYDAJ	VYBER	15	29210	SLUZBY	\N	\N
34028	109	1998-04-30	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
34029	109	1998-05-31	VYDAJ	VYBER	15	37404	SLUZBY	\N	\N
34030	109	1998-06-30	VYDAJ	VYBER	15	45790	SLUZBY	\N	\N
34031	109	1998-07-31	VYDAJ	VYBER	15	47268	SLUZBY	\N	\N
34032	109	1998-08-31	VYDAJ	VYBER	15	46243	SLUZBY	\N	\N
34033	109	1998-09-30	VYDAJ	VYBER	15	45418	SLUZBY	\N	\N
34034	109	1998-10-31	VYDAJ	VYBER	15	44489	SLUZBY	\N	\N
34035	109	1998-11-30	VYDAJ	VYBER	15	41950	SLUZBY	\N	\N
34036	109	1997-05-20	PRIJEM	VKLAD	11800	16000	\N	\N	\N
34037	109	1997-06-19	PRIJEM	VKLAD	3100	22227	\N	\N	\N
34038	109	1997-07-19	PRIJEM	VKLAD	2400	25704	\N	\N	\N
34039	109	1997-08-18	PRIJEM	VKLAD	4900	30089	\N	\N	\N
34040	109	1997-09-17	PRIJEM	VKLAD	1100	34390	\N	\N	\N
34041	109	1997-10-17	VYDAJ	VYBER	4600	32016	\N	\N	\N
34042	109	1997-11-16	VYDAJ	VYBER	3700	30248	\N	\N	\N
34043	109	1997-12-16	VYDAJ	VYBER	7300	27473	\N	\N	\N
34044	109	1998-01-15	PRIJEM	VKLAD	2800	19537	\N	\N	\N
34045	109	1998-02-14	PRIJEM	VKLAD	1400	24119	\N	\N	\N
34046	109	1998-03-16	VYDAJ	VYBER	1300	27307	\N	\N	\N
34047	109	1998-04-15	VYDAJ	VYBER	4600	38277	\N	\N	\N
34048	109	1998-05-15	VYDAJ	VYBER	5100	35459	\N	\N	\N
34049	109	1998-06-14	VYDAJ	VYBER	4000	42524	\N	\N	\N
34050	109	1998-07-14	VYDAJ	VYBER	1800	43990	\N	\N	\N
34051	109	1998-08-13	VYDAJ	VYBER	2200	42968	\N	\N	\N
34052	109	1998-09-12	VYDAJ	VYBER	4100	42143	\N	\N	\N
34053	109	1998-10-12	VYDAJ	VYBER	4200	41218	\N	\N	\N
34054	109	1998-11-11	VYDAJ	VYBER	5000	38689	\N	\N	\N
34055	109	1998-12-11	VYDAJ	VYBER KARTOU	1100	40850	\N	\N	0
34076	110	1996-07-17	PRIJEM	VKLAD	900	900	\N	\N	\N
34084	110	1996-08-13	PRIJEM	VKLAD	23438	24338	\N	\N	\N
34085	110	1996-09-13	PRIJEM	VKLAD	23438	48329	\N	\N	\N
34086	110	1996-10-13	PRIJEM	VKLAD	23438	63104	\N	\N	\N
34087	110	1996-11-13	PRIJEM	VKLAD	23438	66314	\N	\N	\N
34088	110	1996-12-13	PRIJEM	VKLAD	35157	79652	\N	\N	\N
34089	110	1997-01-13	PRIJEM	VKLAD	23438	72340	\N	\N	\N
34090	110	1997-02-13	PRIJEM	VKLAD	23438	52943	\N	\N	\N
34091	110	1997-03-13	PRIJEM	VKLAD	23438	70035	\N	\N	\N
34092	110	1997-04-13	PRIJEM	VKLAD	23438	65407	\N	\N	\N
34093	110	1997-05-13	PRIJEM	VKLAD	23438	65284	\N	\N	\N
34094	110	1997-06-13	PRIJEM	VKLAD	35157	66482	\N	\N	\N
34095	110	1997-07-13	PRIJEM	VKLAD	23438	54505	\N	\N	\N
34096	110	1997-08-13	PRIJEM	VKLAD	23438	58380	\N	\N	\N
34097	110	1997-09-13	PRIJEM	VKLAD	23438	57764	\N	\N	\N
34098	110	1997-10-13	PRIJEM	VKLAD	23438	54635	\N	\N	\N
34099	110	1997-11-13	PRIJEM	VKLAD	23438	49755	\N	\N	\N
34100	110	1997-12-13	PRIJEM	VKLAD	35157	65635	\N	\N	\N
34101	110	1998-01-13	PRIJEM	VKLAD	23438	57534	\N	\N	\N
34102	110	1998-02-13	PRIJEM	VKLAD	23438	52912	\N	\N	\N
34103	110	1998-03-13	PRIJEM	VKLAD	23438	55067	\N	\N	\N
34104	110	1998-04-13	PRIJEM	VKLAD	23438	56040	\N	\N	\N
34105	110	1998-05-13	PRIJEM	VKLAD	23438	52317	\N	\N	\N
34106	110	1998-06-13	PRIJEM	VKLAD	35157	67904	\N	\N	\N
34107	110	1998-07-13	PRIJEM	VKLAD	23438	45576	\N	\N	\N
34108	110	1998-08-13	PRIJEM	VKLAD	23438	49028	\N	\N	\N
34109	110	1998-09-13	PRIJEM	VKLAD	23438	54972	\N	\N	\N
34110	110	1998-10-13	PRIJEM	VKLAD	23438	57836	\N	\N	\N
34111	110	1998-11-13	PRIJEM	VKLAD	23438	59715	\N	\N	\N
34112	110	1998-12-13	PRIJEM	VKLAD	35157	73616	\N	\N	\N
34125	110	1997-01-06	VYDAJ	PREVOD NA UCET	3050	51280	SIPO	OP	24390584
34126	110	1997-02-06	VYDAJ	PREVOD NA UCET	3050	30603	SIPO	OP	24390584
34127	110	1997-03-06	VYDAJ	PREVOD NA UCET	3050	46695	SIPO	OP	24390584
34128	110	1997-04-06	VYDAJ	PREVOD NA UCET	3050	42067	SIPO	OP	24390584
34129	110	1997-05-06	VYDAJ	PREVOD NA UCET	3050	41944	SIPO	OP	24390584
34130	110	1997-06-06	VYDAJ	PREVOD NA UCET	3050	39423	SIPO	OP	24390584
34131	110	1997-07-06	VYDAJ	PREVOD NA UCET	3050	32665	SIPO	OP	24390584
34132	110	1997-08-06	VYDAJ	PREVOD NA UCET	3050	47040	SIPO	OP	24390584
34133	110	1997-09-06	VYDAJ	PREVOD NA UCET	3050	55540	SIPO	OP	24390584
34134	110	1997-10-06	VYDAJ	PREVOD NA UCET	3050	53011	SIPO	OP	24390584
34135	110	1997-11-06	VYDAJ	PREVOD NA UCET	3050	51791	SIPO	OP	24390584
34136	110	1997-12-06	VYDAJ	PREVOD NA UCET	3050	46892	SIPO	OP	24390584
34137	110	1998-01-06	VYDAJ	PREVOD NA UCET	3050	62810	SIPO	OP	24390584
34138	110	1998-02-06	VYDAJ	PREVOD NA UCET	3050	42088	SIPO	OP	24390584
34139	110	1998-03-06	VYDAJ	PREVOD NA UCET	3050	47443	SIPO	OP	24390584
34140	110	1998-04-06	VYDAJ	PREVOD NA UCET	3050	52216	SIPO	OP	24390584
34141	110	1998-05-06	VYDAJ	PREVOD NA UCET	3050	53193	SIPO	OP	24390584
34142	110	1998-06-06	VYDAJ	PREVOD NA UCET	3050	49461	SIPO	OP	24390584
34143	110	1998-07-06	VYDAJ	PREVOD NA UCET	3050	20552	SIPO	OP	24390584
34144	110	1998-08-06	VYDAJ	PREVOD NA UCET	3050	35964	SIPO	OP	24390584
34145	110	1998-09-06	VYDAJ	PREVOD NA UCET	3050	36148	SIPO	OP	24390584
34146	110	1998-10-06	VYDAJ	PREVOD NA UCET	3050	39012	SIPO	OP	24390584
34147	110	1998-11-06	VYDAJ	PREVOD NA UCET	3050	40891	SIPO	OP	24390584
34148	110	1998-12-06	VYDAJ	PREVOD NA UCET	3050	43073	SIPO	OP	24390584
34161	110	1997-01-09	VYDAJ	PREVOD NA UCET	98	49862	 	YZ	18149984
34162	110	1997-02-09	VYDAJ	PREVOD NA UCET	98	30505	 	YZ	18149984
34163	110	1997-03-09	VYDAJ	PREVOD NA UCET	98	46597	 	YZ	18149984
34164	110	1997-04-09	VYDAJ	PREVOD NA UCET	98	41969	 	YZ	18149984
34165	110	1997-05-09	VYDAJ	PREVOD NA UCET	98	41846	 	YZ	18149984
34166	110	1997-06-09	VYDAJ	PREVOD NA UCET	98	39325	 	YZ	18149984
34167	110	1997-07-09	VYDAJ	PREVOD NA UCET	98	32567	 	YZ	18149984
34168	110	1997-08-09	VYDAJ	PREVOD NA UCET	98	46942	 	YZ	18149984
34169	110	1997-09-09	VYDAJ	PREVOD NA UCET	98	55442	 	YZ	18149984
34170	110	1997-10-09	VYDAJ	PREVOD NA UCET	98	52913	 	YZ	18149984
34171	110	1997-11-09	VYDAJ	PREVOD NA UCET	98	34793	 	YZ	18149984
34172	110	1997-12-09	VYDAJ	PREVOD NA UCET	98	34994	 	YZ	18149984
34173	110	1998-01-09	VYDAJ	PREVOD NA UCET	98	38612	 	YZ	18149984
34174	110	1998-02-09	VYDAJ	PREVOD NA UCET	98	33990	 	YZ	18149984
34175	110	1998-03-09	VYDAJ	PREVOD NA UCET	98	36145	 	YZ	18149984
34176	110	1998-04-09	VYDAJ	PREVOD NA UCET	98	37118	 	YZ	18149984
34177	110	1998-05-09	VYDAJ	PREVOD NA UCET	98	37195	 	YZ	18149984
34178	110	1998-06-09	VYDAJ	PREVOD NA UCET	98	37263	 	YZ	18149984
34179	110	1998-07-09	VYDAJ	PREVOD NA UCET	98	26654	 	YZ	18149984
34180	110	1998-08-09	VYDAJ	PREVOD NA UCET	98	35866	 	YZ	18149984
34181	110	1998-09-09	VYDAJ	PREVOD NA UCET	98	36050	 	YZ	18149984
34182	110	1998-10-09	VYDAJ	PREVOD NA UCET	98	38914	 	YZ	18149984
34183	110	1998-11-09	VYDAJ	PREVOD NA UCET	98	40793	 	YZ	18149984
34184	110	1998-12-09	VYDAJ	PREVOD NA UCET	98	42975	 	YZ	18149984
34197	110	1997-01-22	VYDAJ	VYBER	3700	42980	\N	\N	0
34198	110	1997-01-28	VYDAJ	VYBER	5200	35860	\N	\N	0
34199	110	1997-03-13	VYDAJ	VYBER	4500	65535	\N	\N	0
34200	110	1997-04-19	VYDAJ	VYBER	3600	44807	\N	\N	0
34201	110	1997-05-21	VYDAJ	VYBER	4800	42284	\N	\N	0
34202	110	1997-06-12	VYDAJ	VYBER	3500	31325	\N	\N	0
34203	110	1997-06-30	VYDAJ	VYBER	4900	35715	\N	\N	0
34204	110	1997-07-31	VYDAJ	VYBER	4600	50090	\N	\N	0
34205	110	1997-09-12	VYDAJ	PREVOD NA UCET	4516	34326	UVER	ST	14772266
34206	110	1997-10-12	VYDAJ	PREVOD NA UCET	4516	31197	UVER	ST	14772266
34207	110	1997-11-12	VYDAJ	PREVOD NA UCET	4516	26317	UVER	ST	14772266
34208	110	1997-12-12	VYDAJ	PREVOD NA UCET	4516	30478	UVER	ST	14772266
34209	110	1998-01-12	VYDAJ	PREVOD NA UCET	4516	34096	UVER	ST	14772266
34210	110	1998-02-12	VYDAJ	PREVOD NA UCET	4516	29474	UVER	ST	14772266
34211	110	1998-03-12	VYDAJ	PREVOD NA UCET	4516	31629	UVER	ST	14772266
34212	110	1998-04-12	VYDAJ	PREVOD NA UCET	4516	32602	UVER	ST	14772266
34213	110	1998-05-12	VYDAJ	PREVOD NA UCET	4516	28879	UVER	ST	14772266
34214	110	1998-06-12	VYDAJ	PREVOD NA UCET	4516	32747	UVER	ST	14772266
34215	110	1998-07-12	VYDAJ	PREVOD NA UCET	4516	22138	UVER	ST	14772266
34216	110	1998-08-12	VYDAJ	PREVOD NA UCET	4516	25590	UVER	ST	14772266
34217	110	1998-09-12	VYDAJ	PREVOD NA UCET	4516	31534	UVER	ST	14772266
34218	110	1998-10-12	VYDAJ	PREVOD NA UCET	4516	34398	UVER	ST	14772266
34219	110	1998-11-12	VYDAJ	PREVOD NA UCET	4516	36277	UVER	ST	14772266
34220	110	1998-12-12	VYDAJ	PREVOD NA UCET	4516	38459	UVER	ST	14772266
34222	110	1997-06-18	VYDAJ	VYBER	20160	40442	\N	\N	\N
34223	110	1998-06-23	VYDAJ	VYBER	44480	23424	\N	\N	\N
34230	110	1997-01-23	VYDAJ	VYBER	1920	41060	\N	\N	\N
34231	110	1997-01-19	VYDAJ	VYBER	1080	46680	\N	\N	\N
34232	110	1997-01-17	VYDAJ	VYBER	2880	47760	\N	\N	\N
34233	110	1997-01-28	VYDAJ	VYBER	2400	33460	\N	\N	\N
34234	110	1997-01-09	VYDAJ	VYBER	1320	49960	\N	\N	\N
34235	110	1997-01-10	VYDAJ	VYBER	960	48902	\N	\N	\N
34236	110	1998-01-14	VYDAJ	VYBER	1080	56454	\N	\N	\N
34237	110	1998-01-30	VYDAJ	VYBER	1560	44934	\N	\N	\N
34238	110	1998-01-24	VYDAJ	VYBER	2640	46494	\N	\N	\N
34239	110	1998-01-09	VYDAJ	VYBER	600	38710	\N	\N	\N
34240	110	1998-01-21	VYDAJ	VYBER	960	54894	\N	\N	\N
34241	110	1998-01-15	VYDAJ	VYBER	600	55854	\N	\N	\N
34244	110	1996-12-13	VYDAJ	VYBER	2520	77132	\N	\N	\N
34245	110	1997-06-13	VYDAJ	VYBER	5880	60602	\N	\N	\N
34246	110	1997-11-10	VYDAJ	VYBER	3960	30833	\N	\N	\N
34247	110	1997-09-29	VYDAJ	VYBER	1920	55844	\N	\N	\N
34248	110	1997-02-15	VYDAJ	VYBER	3360	49583	\N	\N	\N
34249	110	1998-11-14	VYDAJ	VYBER KARTOU	1700	58015	\N	\N	0
34250	110	1998-03-04	VYDAJ	VYBER KARTOU	2600	50493	\N	\N	0
34251	110	1998-07-27	VYDAJ	VYBER KARTOU	3000	42576	\N	\N	0
34252	110	1998-01-24	VYDAJ	VYBER	5760	49134	\N	\N	\N
34253	110	1998-05-10	VYDAJ	VYBER KARTOU	3800	33395	\N	\N	0
34254	110	1998-08-10	VYDAJ	VYBER	5760	30106	\N	\N	\N
34267	110	1996-12-31	VYDAJ	VYBER	15	54330	SLUZBY	\N	\N
34268	110	1997-01-31	VYDAJ	VYBER	15	33653	SLUZBY	\N	\N
34269	110	1997-02-28	VYDAJ	VYBER	15	49745	SLUZBY	\N	\N
34270	110	1997-03-31	VYDAJ	VYBER	15	45117	SLUZBY	\N	\N
34271	110	1997-04-30	VYDAJ	VYBER	15	44994	SLUZBY	\N	\N
34272	110	1997-05-31	VYDAJ	VYBER	15	42473	SLUZBY	\N	\N
34273	110	1997-06-30	VYDAJ	VYBER	15	40615	SLUZBY	\N	\N
34274	110	1997-07-31	VYDAJ	VYBER	15	54690	SLUZBY	\N	\N
34275	110	1997-08-31	VYDAJ	VYBER	15	58590	SLUZBY	\N	\N
34276	110	1997-09-30	VYDAJ	VYBER	15	56061	SLUZBY	\N	\N
34277	110	1997-10-31	VYDAJ	VYBER	15	54841	SLUZBY	\N	\N
34278	110	1997-11-30	VYDAJ	VYBER	15	49942	SLUZBY	\N	\N
34279	110	1997-12-31	VYDAJ	VYBER	15	65860	SLUZBY	\N	\N
34280	110	1998-01-31	VYDAJ	VYBER	15	45138	SLUZBY	\N	\N
34281	110	1998-02-28	VYDAJ	VYBER	15	53093	SLUZBY	\N	\N
34282	110	1998-03-31	VYDAJ	VYBER	15	55266	SLUZBY	\N	\N
34283	110	1998-04-30	VYDAJ	VYBER	15	56243	SLUZBY	\N	\N
34284	110	1998-05-31	VYDAJ	VYBER	15	52511	SLUZBY	\N	\N
34285	110	1998-06-30	VYDAJ	VYBER	15	23602	SLUZBY	\N	\N
34286	110	1998-07-31	VYDAJ	VYBER	15	42714	SLUZBY	\N	\N
34287	110	1998-08-31	VYDAJ	VYBER	15	49198	SLUZBY	\N	\N
34288	110	1998-09-30	VYDAJ	VYBER	15	55162	SLUZBY	\N	\N
34289	110	1998-10-31	VYDAJ	VYBER	15	58041	SLUZBY	\N	\N
34290	110	1998-11-30	VYDAJ	VYBER	15	58223	SLUZBY	\N	\N
34291	110	1996-08-16	PRIJEM	VKLAD	500	24838	\N	\N	\N
34292	110	1996-09-15	VYDAJ	VYBER	8800	39529	\N	\N	\N
34293	110	1996-10-15	VYDAJ	VYBER	20400	42704	\N	\N	\N
34294	110	1996-11-14	VYDAJ	VYBER	22000	44314	\N	\N	\N
34295	110	1996-12-14	VYDAJ	VYBER	23000	54132	\N	\N	\N
34296	110	1997-01-13	VYDAJ	VYBER	21700	50640	\N	\N	\N
34297	110	1997-02-12	VYDAJ	VYBER	1000	29505	\N	\N	\N
34298	110	1997-03-14	VYDAJ	VYBER	20600	44935	\N	\N	\N
34299	110	1997-04-13	VYDAJ	VYBER	17000	48407	\N	\N	\N
34300	110	1997-05-13	VYDAJ	VYBER	18200	47084	\N	\N	\N
34301	110	1997-06-12	VYDAJ	VYBER	4500	34825	\N	\N	\N
34302	110	1997-07-12	VYDAJ	VYBER	1500	31067	\N	\N	\N
34303	110	1997-08-11	VYDAJ	VYBER	12000	34942	\N	\N	\N
34304	110	1997-09-10	VYDAJ	VYBER	16600	38842	\N	\N	\N
34305	110	1997-10-10	VYDAJ	VYBER	17200	35713	\N	\N	\N
34306	110	1997-11-09	VYDAJ	VYBER	16900	34891	\N	\N	\N
34307	110	1997-12-09	VYDAJ	VYBER	11800	35092	\N	\N	\N
34308	110	1998-01-08	VYDAJ	VYBER	23500	39310	\N	\N	\N
34309	110	1998-02-07	VYDAJ	VYBER	8000	34088	\N	\N	\N
34310	110	1998-03-09	VYDAJ	VYBER	11200	36243	\N	\N	\N
34311	110	1998-04-08	VYDAJ	VYBER	15000	37216	\N	\N	\N
34312	110	1998-05-08	VYDAJ	VYBER	15900	37293	\N	\N	\N
34313	110	1998-06-07	VYDAJ	VYBER	12100	37361	\N	\N	\N
34314	110	1998-07-07	PRIJEM	VKLAD	6200	26752	\N	\N	\N
34315	110	1998-08-06	VYDAJ	VYBER KARTOU	3700	39014	\N	\N	0
34316	110	1998-09-05	VYDAJ	VYBER	10000	39198	\N	\N	\N
34317	110	1998-10-05	VYDAJ	VYBER	13100	42062	\N	\N	\N
34318	110	1998-11-04	VYDAJ	VYBER	14100	43941	\N	\N	\N
34319	110	1998-12-04	VYDAJ	VYBER	12100	46123	\N	\N	\N
34884	112	1993-03-12	PRIJEM	VKLAD	200	200	\N	\N	\N
34887	112	1993-03-13	PRIJEM	PREVOD Z UCTU	6582	6782	DUCHOD	EF	24612278
34888	112	1993-04-13	PRIJEM	PREVOD Z UCTU	6582	13381	DUCHOD	EF	24612278
34889	112	1993-05-13	PRIJEM	PREVOD Z UCTU	6582	19992	DUCHOD	EF	24612278
34890	112	1993-06-13	PRIJEM	PREVOD Z UCTU	6582	26602	DUCHOD	EF	24612278
34891	112	1993-07-13	PRIJEM	PREVOD Z UCTU	6582	31012	DUCHOD	EF	24612278
34892	112	1993-08-13	PRIJEM	PREVOD Z UCTU	6582	31479	DUCHOD	EF	24612278
34893	112	1993-09-13	PRIJEM	PREVOD Z UCTU	6582	34024	DUCHOD	EF	24612278
34894	112	1993-10-13	PRIJEM	PREVOD Z UCTU	6582	33277	DUCHOD	EF	24612278
34895	112	1993-11-13	PRIJEM	PREVOD Z UCTU	6582	35132	DUCHOD	EF	24612278
34896	112	1993-12-13	PRIJEM	PREVOD Z UCTU	6582	35490	DUCHOD	EF	24612278
34897	112	1994-01-13	PRIJEM	PREVOD Z UCTU	6582	31652	DUCHOD	EF	24612278
34898	112	1994-02-13	PRIJEM	PREVOD Z UCTU	6582	28528	DUCHOD	EF	24612278
34899	112	1994-03-13	PRIJEM	PREVOD Z UCTU	6582	32456	DUCHOD	EF	24612278
34900	112	1994-04-13	PRIJEM	PREVOD Z UCTU	6582	30800	DUCHOD	EF	24612278
34901	112	1994-05-13	PRIJEM	PREVOD Z UCTU	6582	31145	DUCHOD	EF	24612278
34902	112	1994-06-13	PRIJEM	PREVOD Z UCTU	6582	31839	DUCHOD	EF	24612278
34903	112	1994-07-13	PRIJEM	PREVOD Z UCTU	6582	32486	DUCHOD	EF	24612278
34904	112	1994-08-13	PRIJEM	PREVOD Z UCTU	6582	31569	DUCHOD	EF	24612278
34905	112	1994-09-13	PRIJEM	PREVOD Z UCTU	6582	31785	DUCHOD	EF	24612278
34906	112	1994-10-13	PRIJEM	PREVOD Z UCTU	6582	30427	DUCHOD	EF	24612278
34907	112	1994-11-13	PRIJEM	PREVOD Z UCTU	6582	26970	DUCHOD	EF	24612278
34908	112	1994-12-13	PRIJEM	PREVOD Z UCTU	6582	25358	DUCHOD	EF	24612278
34909	112	1995-01-13	PRIJEM	PREVOD Z UCTU	6582	20905	DUCHOD	EF	24612278
34910	112	1995-02-13	PRIJEM	PREVOD Z UCTU	6582	22938	DUCHOD	EF	24612278
34911	112	1995-03-13	PRIJEM	PREVOD Z UCTU	6582	25141	DUCHOD	EF	24612278
34912	112	1995-04-13	PRIJEM	PREVOD Z UCTU	6582	21876	DUCHOD	EF	24612278
34913	112	1995-05-13	PRIJEM	PREVOD Z UCTU	6582	21377	DUCHOD	EF	24612278
34914	112	1995-06-13	PRIJEM	PREVOD Z UCTU	6582	20380	DUCHOD	EF	24612278
34915	112	1995-07-13	PRIJEM	PREVOD Z UCTU	6582	20873	DUCHOD	EF	24612278
34916	112	1995-08-13	PRIJEM	PREVOD Z UCTU	6582	21567	DUCHOD	EF	24612278
34917	112	1995-09-13	PRIJEM	PREVOD Z UCTU	6582	21163	DUCHOD	EF	24612278
34918	112	1995-10-13	PRIJEM	PREVOD Z UCTU	6582	21658	DUCHOD	EF	24612278
34919	112	1995-11-13	PRIJEM	PREVOD Z UCTU	6582	19353	DUCHOD	EF	24612278
34920	112	1995-12-13	PRIJEM	PREVOD Z UCTU	6582	20340	DUCHOD	EF	24612278
34921	112	1996-01-13	PRIJEM	PREVOD Z UCTU	6582	19039	DUCHOD	EF	24612278
34922	112	1996-02-13	PRIJEM	PREVOD Z UCTU	6582	19210	DUCHOD	EF	24612278
34923	112	1996-03-13	PRIJEM	PREVOD Z UCTU	6582	17793	DUCHOD	EF	24612278
34924	112	1996-04-13	PRIJEM	PREVOD Z UCTU	6582	17972	DUCHOD	EF	24612278
34925	112	1996-05-13	PRIJEM	PREVOD Z UCTU	6582	19269	DUCHOD	EF	24612278
34926	112	1996-06-13	PRIJEM	PREVOD Z UCTU	6582	23857	DUCHOD	EF	24612278
34927	112	1996-07-13	PRIJEM	PREVOD Z UCTU	6582	17503	DUCHOD	EF	24612278
34928	112	1996-08-13	PRIJEM	PREVOD Z UCTU	6582	22083	DUCHOD	EF	24612278
34929	112	1996-09-13	PRIJEM	PREVOD Z UCTU	6582	25083	DUCHOD	EF	24612278
34930	112	1996-10-13	PRIJEM	PREVOD Z UCTU	6582	28095	DUCHOD	EF	24612278
34931	112	1996-11-13	PRIJEM	PREVOD Z UCTU	6582	32719	DUCHOD	EF	24612278
34932	112	1996-12-13	PRIJEM	PREVOD Z UCTU	6582	17335	DUCHOD	EF	24612278
34933	112	1997-01-13	PRIJEM	PREVOD Z UCTU	6582	20764	DUCHOD	EF	24612278
34934	112	1997-02-13	PRIJEM	PREVOD Z UCTU	6582	20066	DUCHOD	EF	24612278
34935	112	1997-03-13	PRIJEM	PREVOD Z UCTU	6582	24656	DUCHOD	EF	24612278
34936	112	1997-04-13	PRIJEM	PREVOD Z UCTU	6582	27023	DUCHOD	EF	24612278
34937	112	1997-05-13	PRIJEM	PREVOD Z UCTU	6582	30044	DUCHOD	EF	24612278
34938	112	1997-06-13	PRIJEM	PREVOD Z UCTU	6582	25478	DUCHOD	EF	24612278
34939	112	1997-07-13	PRIJEM	PREVOD Z UCTU	6582	30103	DUCHOD	EF	24612278
34940	112	1997-08-13	PRIJEM	PREVOD Z UCTU	6582	34736	DUCHOD	EF	24612278
34941	112	1997-09-13	PRIJEM	PREVOD Z UCTU	6582	39387	DUCHOD	EF	24612278
34942	112	1997-10-13	PRIJEM	PREVOD Z UCTU	6582	44058	DUCHOD	EF	24612278
34943	112	1997-11-13	PRIJEM	PREVOD Z UCTU	6582	48187	DUCHOD	EF	24612278
34944	112	1997-12-13	PRIJEM	PREVOD Z UCTU	6582	52895	DUCHOD	EF	24612278
34945	112	1998-01-13	PRIJEM	PREVOD Z UCTU	6582	19039	DUCHOD	EF	24612278
34946	112	1998-02-13	PRIJEM	PREVOD Z UCTU	6582	21540	DUCHOD	EF	24612278
34947	112	1998-03-13	PRIJEM	PREVOD Z UCTU	6582	26135	DUCHOD	EF	24612278
34948	112	1998-04-13	PRIJEM	PREVOD Z UCTU	6582	27868	DUCHOD	EF	24612278
34949	112	1998-05-13	PRIJEM	PREVOD Z UCTU	6582	32490	DUCHOD	EF	24612278
34950	112	1998-06-13	PRIJEM	PREVOD Z UCTU	6582	37132	DUCHOD	EF	24612278
34951	112	1998-07-13	PRIJEM	PREVOD Z UCTU	6582	36159	DUCHOD	EF	24612278
34952	112	1998-08-13	PRIJEM	PREVOD Z UCTU	6582	40819	DUCHOD	EF	24612278
34953	112	1998-09-13	PRIJEM	PREVOD Z UCTU	6582	38689	DUCHOD	EF	24612278
34954	112	1998-10-13	PRIJEM	PREVOD Z UCTU	6582	43360	DUCHOD	EF	24612278
34955	112	1998-11-13	PRIJEM	PREVOD Z UCTU	6582	48047	DUCHOD	EF	24612278
34956	112	1998-12-13	PRIJEM	PREVOD Z UCTU	6582	52752	DUCHOD	EF	24612278
34964	112	1993-08-11	VYDAJ	PREVOD NA UCET	2051	24897	SIPO	AB	41812431
34965	112	1993-09-11	VYDAJ	PREVOD NA UCET	2051	27442	SIPO	AB	41812431
34966	112	1993-10-11	VYDAJ	PREVOD NA UCET	2051	26695	SIPO	AB	41812431
34967	112	1993-11-11	VYDAJ	PREVOD NA UCET	2051	28550	SIPO	AB	41812431
34968	112	1993-12-11	VYDAJ	PREVOD NA UCET	2051	28908	SIPO	AB	41812431
34969	112	1994-01-11	VYDAJ	PREVOD NA UCET	2051	25870	SIPO	AB	41812431
34970	112	1994-02-11	VYDAJ	PREVOD NA UCET	2051	21946	SIPO	AB	41812431
34971	112	1994-03-11	VYDAJ	PREVOD NA UCET	2051	25874	SIPO	AB	41812431
34972	112	1994-04-11	VYDAJ	PREVOD NA UCET	2051	24218	SIPO	AB	41812431
34973	112	1994-05-11	VYDAJ	PREVOD NA UCET	2051	24563	SIPO	AB	41812431
34974	112	1994-06-11	VYDAJ	PREVOD NA UCET	2051	25257	SIPO	AB	41812431
34975	112	1994-07-11	VYDAJ	PREVOD NA UCET	2051	25904	SIPO	AB	41812431
34976	112	1994-08-11	VYDAJ	PREVOD NA UCET	2051	24987	SIPO	AB	41812431
34977	112	1994-09-11	VYDAJ	PREVOD NA UCET	2051	25203	SIPO	AB	41812431
34978	112	1994-10-11	VYDAJ	PREVOD NA UCET	2051	23845	SIPO	AB	41812431
34979	112	1994-11-11	VYDAJ	PREVOD NA UCET	2051	20388	SIPO	AB	41812431
34980	112	1994-12-11	VYDAJ	PREVOD NA UCET	2051	18776	SIPO	AB	41812431
34981	112	1995-01-11	VYDAJ	PREVOD NA UCET	2051	14323	SIPO	AB	41812431
34982	112	1995-02-11	VYDAJ	PREVOD NA UCET	2051	16356	SIPO	AB	41812431
34983	112	1995-03-11	VYDAJ	PREVOD NA UCET	2051	18559	SIPO	AB	41812431
34984	112	1995-04-11	VYDAJ	PREVOD NA UCET	2051	15294	SIPO	AB	41812431
34985	112	1995-05-11	VYDAJ	PREVOD NA UCET	2051	14795	SIPO	AB	41812431
34986	112	1995-06-11	VYDAJ	PREVOD NA UCET	2051	13798	SIPO	AB	41812431
34987	112	1995-07-11	VYDAJ	PREVOD NA UCET	2051	14291	SIPO	AB	41812431
34988	112	1995-08-11	VYDAJ	PREVOD NA UCET	2051	14985	SIPO	AB	41812431
34989	112	1995-09-11	VYDAJ	PREVOD NA UCET	2051	14581	SIPO	AB	41812431
34990	112	1995-10-11	VYDAJ	PREVOD NA UCET	2051	15076	SIPO	AB	41812431
34991	112	1995-11-11	VYDAJ	PREVOD NA UCET	2051	12771	SIPO	AB	41812431
34992	112	1995-12-11	VYDAJ	PREVOD NA UCET	2051	13758	SIPO	AB	41812431
34993	112	1996-01-11	VYDAJ	PREVOD NA UCET	2051	12457	SIPO	AB	41812431
34994	112	1996-02-11	VYDAJ	PREVOD NA UCET	2051	12628	SIPO	AB	41812431
34995	112	1996-03-11	VYDAJ	PREVOD NA UCET	2051	11211	SIPO	AB	41812431
34996	112	1996-04-11	VYDAJ	PREVOD NA UCET	2051	11390	SIPO	AB	41812431
34997	112	1996-05-11	VYDAJ	PREVOD NA UCET	2051	12687	SIPO	AB	41812431
34998	112	1996-06-11	VYDAJ	PREVOD NA UCET	2051	17275	SIPO	AB	41812431
34999	112	1996-07-11	VYDAJ	PREVOD NA UCET	2051	10921	SIPO	AB	41812431
35000	112	1996-08-11	VYDAJ	PREVOD NA UCET	2051	15501	SIPO	AB	41812431
35001	112	1996-09-11	VYDAJ	PREVOD NA UCET	2051	18501	SIPO	AB	41812431
35002	112	1996-10-11	VYDAJ	PREVOD NA UCET	2051	21513	SIPO	AB	41812431
35003	112	1996-11-11	VYDAJ	PREVOD NA UCET	2051	26137	SIPO	AB	41812431
35004	112	1996-12-11	VYDAJ	PREVOD NA UCET	2051	10753	SIPO	AB	41812431
35005	112	1997-01-11	VYDAJ	PREVOD NA UCET	2051	14582	SIPO	AB	41812431
35006	112	1997-02-11	VYDAJ	PREVOD NA UCET	2051	13484	SIPO	AB	41812431
35007	112	1997-03-11	VYDAJ	PREVOD NA UCET	2051	18074	SIPO	AB	41812431
35008	112	1997-04-11	VYDAJ	PREVOD NA UCET	2051	20441	SIPO	AB	41812431
35009	112	1997-05-11	VYDAJ	PREVOD NA UCET	2051	23462	SIPO	AB	41812431
35010	112	1997-06-11	VYDAJ	PREVOD NA UCET	2051	18896	SIPO	AB	41812431
35011	112	1997-07-11	VYDAJ	PREVOD NA UCET	2051	23521	SIPO	AB	41812431
35012	112	1997-08-11	VYDAJ	PREVOD NA UCET	2051	28154	SIPO	AB	41812431
35013	112	1997-09-11	VYDAJ	PREVOD NA UCET	2051	32805	SIPO	AB	41812431
35014	112	1997-10-11	VYDAJ	PREVOD NA UCET	2051	37476	SIPO	AB	41812431
35015	112	1997-11-11	VYDAJ	PREVOD NA UCET	2051	41605	SIPO	AB	41812431
35016	112	1997-12-11	VYDAJ	PREVOD NA UCET	2051	46313	SIPO	AB	41812431
35017	112	1998-01-11	VYDAJ	PREVOD NA UCET	2051	12457	SIPO	AB	41812431
35018	112	1998-02-11	VYDAJ	PREVOD NA UCET	2051	14958	SIPO	AB	41812431
35019	112	1998-03-11	VYDAJ	PREVOD NA UCET	2051	19553	SIPO	AB	41812431
35020	112	1998-04-11	VYDAJ	PREVOD NA UCET	2051	21286	SIPO	AB	41812431
35021	112	1998-05-11	VYDAJ	PREVOD NA UCET	2051	25908	SIPO	AB	41812431
35022	112	1998-06-11	VYDAJ	PREVOD NA UCET	2051	30550	SIPO	AB	41812431
35023	112	1998-07-11	VYDAJ	PREVOD NA UCET	2051	29577	SIPO	AB	41812431
35024	112	1998-08-11	VYDAJ	PREVOD NA UCET	2051	34237	SIPO	AB	41812431
35025	112	1998-09-11	VYDAJ	PREVOD NA UCET	2051	32107	SIPO	AB	41812431
35026	112	1998-10-11	VYDAJ	PREVOD NA UCET	2051	36778	SIPO	AB	41812431
35027	112	1998-11-11	VYDAJ	PREVOD NA UCET	2051	41465	SIPO	AB	41812431
35028	112	1998-12-11	VYDAJ	PREVOD NA UCET	2051	46170	SIPO	AB	41812431
35030	112	1994-06-02	VYDAJ	VYBER	3950	27308	\N	\N	\N
35032	112	1996-06-22	VYDAJ	VYBER	3450	20407	\N	\N	\N
35033	112	1997-06-06	VYDAJ	VYBER	9200	20947	\N	\N	\N
35034	112	1998-06-20	VYDAJ	VYBER	2350	34782	\N	\N	\N
35036	112	1994-01-11	VYDAJ	VYBER	800	25070	\N	\N	\N
35037	112	1995-01-10	VYDAJ	VYBER	750	16374	\N	\N	\N
35038	112	1996-01-18	VYDAJ	VYBER	2650	15829	\N	\N	\N
35041	112	1993-12-26	VYDAJ	VYBER	1300	34190	\N	\N	\N
35042	112	1994-12-17	VYDAJ	VYBER	300	25058	\N	\N	\N
35043	112	1995-12-29	VYDAJ	VYBER	750	15090	\N	\N	\N
35044	112	1996-12-22	VYDAJ	VYBER	750	16585	\N	\N	\N
35046	112	1998-12-24	VYDAJ	VYBER	1150	51602	\N	\N	\N
35053	112	1994-01-23	VYDAJ	VYBER	880	23892	\N	\N	\N
35054	112	1994-01-17	VYDAJ	VYBER	640	30052	\N	\N	\N
35055	112	1994-01-20	VYDAJ	VYBER	1680	27092	\N	\N	\N
35056	112	1994-01-14	VYDAJ	VYBER	960	30692	\N	\N	\N
35057	112	1994-01-21	VYDAJ	VYBER	2320	24772	\N	\N	\N
35058	112	1994-01-18	VYDAJ	VYBER	1280	28772	\N	\N	\N
35059	112	1995-01-01	VYDAJ	VYBER	640	20804	\N	\N	\N
35060	112	1995-01-14	VYDAJ	VYBER	1360	19545	\N	\N	\N
35061	112	1995-01-01	VYDAJ	VYBER	1440	19364	\N	\N	\N
35062	112	1995-01-03	VYDAJ	VYBER	2240	17124	\N	\N	\N
35063	112	1995-01-24	VYDAJ	VYBER	720	18345	\N	\N	\N
35064	112	1995-01-22	VYDAJ	VYBER	480	19065	\N	\N	\N
35065	112	1996-01-25	VYDAJ	VYBER	1200	14629	\N	\N	\N
35068	112	1996-01-07	VYDAJ	VYBER	640	14508	\N	\N	\N
35070	112	1996-01-17	VYDAJ	VYBER	560	18479	\N	\N	\N
35071	112	1997-01-14	VYDAJ	VYBER	1680	16044	\N	\N	\N
35073	112	1997-01-14	VYDAJ	VYBER	2080	17724	\N	\N	\N
35074	112	1997-01-20	VYDAJ	VYBER	560	15484	\N	\N	\N
35076	112	1997-01-13	VYDAJ	VYBER	960	19804	\N	\N	\N
35078	112	1998-01-14	VYDAJ	VYBER	2080	16959	\N	\N	\N
35084	112	1993-08-11	VYDAJ	VYBER	1440	26948	\N	\N	\N
35085	112	1994-07-16	VYDAJ	VYBER	2560	29926	\N	\N	\N
35086	112	1994-12-04	VYDAJ	VYBER	2720	20827	\N	\N	\N
35087	112	1994-11-28	VYDAJ	VYBER	1760	23450	\N	\N	\N
35088	112	1994-08-14	VYDAJ	VYBER	3520	28049	\N	\N	\N
35089	112	1994-11-21	VYDAJ	VYBER	1760	25210	\N	\N	\N
35090	112	1995-03-22	VYDAJ	VYBER	1120	24021	\N	\N	\N
35091	112	1995-04-09	VYDAJ	VYBER	2160	17345	\N	\N	\N
35092	112	1995-04-01	VYDAJ	VYBER	2800	21305	\N	\N	\N
35093	112	1996-09-10	VYDAJ	VYBER	1600	20552	\N	\N	\N
35095	112	1996-09-21	VYDAJ	VYBER	1600	23483	\N	\N	\N
35097	112	1996-04-19	VYDAJ	VYBER	3280	14692	\N	\N	\N
35098	112	1997-01-11	VYDAJ	VYBER	400	14182	\N	\N	\N
35099	112	1997-03-16	VYDAJ	VYBER	1200	23456	\N	\N	\N
35100	112	1997-10-18	VYDAJ	VYBER	560	43498	\N	\N	\N
35101	112	1997-05-02	VYDAJ	VYBER	1600	25513	\N	\N	\N
35102	112	1997-04-06	VYDAJ	VYBER	1040	22492	\N	\N	\N
35103	112	1998-09-04	VYDAJ	VYBER	3680	34158	\N	\N	\N
35105	112	1998-07-06	VYDAJ	VYBER	3280	31628	\N	\N	\N
35106	112	1998-03-25	VYDAJ	VYBER	2880	23255	\N	\N	\N
35108	112	1998-08-17	VYDAJ	VYBER	3120	37699	\N	\N	\N
35116	112	1993-07-31	VYDAJ	VYBER	15	31088	SLUZBY	\N	\N
35117	112	1993-08-31	VYDAJ	VYBER	15	31593	SLUZBY	\N	\N
35118	112	1993-09-30	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
35119	112	1993-10-31	VYDAJ	VYBER	15	33401	SLUZBY	\N	\N
35120	112	1993-11-30	VYDAJ	VYBER	15	35259	SLUZBY	\N	\N
35121	112	1993-12-31	VYDAJ	VYBER	15	34321	SLUZBY	\N	\N
35122	112	1994-01-31	VYDAJ	VYBER	15	23997	SLUZBY	\N	\N
35123	112	1994-02-28	VYDAJ	VYBER	15	28625	SLUZBY	\N	\N
35124	112	1994-03-31	VYDAJ	VYBER	15	32569	SLUZBY	\N	\N
35125	112	1994-04-30	VYDAJ	VYBER	15	30914	SLUZBY	\N	\N
35126	112	1994-05-31	VYDAJ	VYBER	15	31258	SLUZBY	\N	\N
35127	112	1994-06-30	VYDAJ	VYBER	15	31955	SLUZBY	\N	\N
35128	112	1994-07-31	VYDAJ	VYBER	15	30038	SLUZBY	\N	\N
35129	112	1994-08-31	VYDAJ	VYBER	15	28154	SLUZBY	\N	\N
35130	112	1994-09-30	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
35131	112	1994-10-31	VYDAJ	VYBER	15	30539	SLUZBY	\N	\N
35132	112	1994-11-30	VYDAJ	VYBER	15	23547	SLUZBY	\N	\N
35133	112	1994-12-31	VYDAJ	VYBER	15	25144	SLUZBY	\N	\N
35134	112	1995-01-31	VYDAJ	VYBER	15	18407	SLUZBY	\N	\N
35135	112	1995-02-28	VYDAJ	VYBER	15	23010	SLUZBY	\N	\N
35136	112	1995-03-31	VYDAJ	VYBER	15	24105	SLUZBY	\N	\N
35137	112	1995-04-30	VYDAJ	VYBER	15	21946	SLUZBY	\N	\N
35138	112	1995-05-31	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
35139	112	1995-06-30	VYDAJ	VYBER	15	20442	SLUZBY	\N	\N
35140	112	1995-07-31	VYDAJ	VYBER	15	17036	SLUZBY	\N	\N
35141	112	1995-08-31	VYDAJ	VYBER	15	16632	SLUZBY	\N	\N
35142	112	1995-09-30	VYDAJ	VYBER	15	17127	SLUZBY	\N	\N
35143	112	1995-10-31	VYDAJ	VYBER	15	14822	SLUZBY	\N	\N
35144	112	1995-11-30	VYDAJ	VYBER	15	15809	SLUZBY	\N	\N
35145	112	1995-12-31	VYDAJ	VYBER	15	15148	SLUZBY	\N	\N
35146	112	1996-01-31	VYDAJ	VYBER	15	14679	SLUZBY	\N	\N
35147	112	1996-02-29	VYDAJ	VYBER	15	13262	SLUZBY	\N	\N
35148	112	1996-03-31	VYDAJ	VYBER	15	13441	SLUZBY	\N	\N
35149	112	1996-04-30	VYDAJ	VYBER	15	14738	SLUZBY	\N	\N
35150	112	1996-05-31	VYDAJ	VYBER	15	19326	SLUZBY	\N	\N
35151	112	1996-06-30	VYDAJ	VYBER	15	12972	SLUZBY	\N	\N
35152	112	1996-07-31	VYDAJ	VYBER	15	17552	SLUZBY	\N	\N
35153	112	1996-08-31	VYDAJ	VYBER	15	22152	SLUZBY	\N	\N
35154	112	1996-09-30	VYDAJ	VYBER	15	23564	SLUZBY	\N	\N
35155	112	1996-10-31	VYDAJ	VYBER	15	28188	SLUZBY	\N	\N
35156	112	1996-11-30	VYDAJ	VYBER	15	12804	SLUZBY	\N	\N
35157	112	1996-12-31	VYDAJ	VYBER	15	16633	SLUZBY	\N	\N
35158	112	1997-01-31	VYDAJ	VYBER	15	15535	SLUZBY	\N	\N
35159	112	1997-02-28	VYDAJ	VYBER	15	20125	SLUZBY	\N	\N
35160	112	1997-03-31	VYDAJ	VYBER	15	23532	SLUZBY	\N	\N
35161	112	1997-04-30	VYDAJ	VYBER	15	27113	SLUZBY	\N	\N
35162	112	1997-05-31	VYDAJ	VYBER	15	30147	SLUZBY	\N	\N
35163	112	1997-06-30	VYDAJ	VYBER	15	25572	SLUZBY	\N	\N
35164	112	1997-07-31	VYDAJ	VYBER	15	30205	SLUZBY	\N	\N
35165	112	1997-08-31	VYDAJ	VYBER	15	34856	SLUZBY	\N	\N
35166	112	1997-09-30	VYDAJ	VYBER	15	39527	SLUZBY	\N	\N
35167	112	1997-10-31	VYDAJ	VYBER	15	43656	SLUZBY	\N	\N
35168	112	1997-11-30	VYDAJ	VYBER	15	48364	SLUZBY	\N	\N
35169	112	1997-12-31	VYDAJ	VYBER	15	14508	SLUZBY	\N	\N
35170	112	1998-01-31	VYDAJ	VYBER	15	17009	SLUZBY	\N	\N
35171	112	1998-02-28	VYDAJ	VYBER	15	21604	SLUZBY	\N	\N
35172	112	1998-03-31	VYDAJ	VYBER	15	23337	SLUZBY	\N	\N
35173	112	1998-04-30	VYDAJ	VYBER	15	27959	SLUZBY	\N	\N
35174	112	1998-05-31	VYDAJ	VYBER	15	32601	SLUZBY	\N	\N
35175	112	1998-06-30	VYDAJ	VYBER	15	34908	SLUZBY	\N	\N
35176	112	1998-07-31	VYDAJ	VYBER	15	36288	SLUZBY	\N	\N
35177	112	1998-08-31	VYDAJ	VYBER	15	37838	SLUZBY	\N	\N
35178	112	1998-09-30	VYDAJ	VYBER	15	38829	SLUZBY	\N	\N
35179	112	1998-10-31	VYDAJ	VYBER	15	43516	SLUZBY	\N	\N
35180	112	1998-11-30	VYDAJ	VYBER	15	48221	SLUZBY	\N	\N
35181	112	1993-07-10	VYDAJ	VYBER	2200	24430	\N	\N	\N
35182	112	1993-08-09	VYDAJ	VYBER	2700	28388	\N	\N	\N
35183	112	1993-09-08	VYDAJ	VYBER	2100	29493	\N	\N	\N
35184	112	1993-10-08	VYDAJ	VYBER	5400	28746	\N	\N	\N
35185	112	1993-11-07	VYDAJ	VYBER	2800	30601	\N	\N	\N
35186	112	1993-12-07	VYDAJ	VYBER	4300	30959	\N	\N	\N
35187	112	1994-01-06	VYDAJ	VYBER	6400	27921	\N	\N	\N
35188	112	1994-03-07	VYDAJ	VYBER	700	27925	\N	\N	\N
35189	112	1994-04-06	VYDAJ	VYBER	6300	26269	\N	\N	\N
35190	112	1994-05-06	VYDAJ	VYBER	4300	26614	\N	\N	\N
35191	112	1994-07-05	VYDAJ	VYBER	4000	27955	\N	\N	\N
35192	112	1994-08-04	VYDAJ	VYBER	3000	27038	\N	\N	\N
35193	112	1994-09-03	VYDAJ	VYBER	900	27254	\N	\N	\N
35194	112	1994-10-03	VYDAJ	VYBER	6000	25896	\N	\N	\N
35195	112	1994-11-02	VYDAJ	VYBER	8100	22439	\N	\N	\N
35196	112	1995-01-01	VYDAJ	VYBER	3700	21444	\N	\N	\N
35197	112	1995-03-02	VYDAJ	VYBER	2400	20610	\N	\N	\N
35198	112	1995-04-01	VYDAJ	VYBER	1800	19505	\N	\N	\N
35199	112	1995-05-01	VYDAJ	VYBER	5100	16846	\N	\N	\N
35200	112	1995-05-31	VYDAJ	VYBER	5600	15864	\N	\N	\N
35201	112	1995-06-30	VYDAJ	VYBER	4100	16342	\N	\N	\N
35202	112	1995-07-30	VYDAJ	VYBER	3900	16973	\N	\N	\N
35203	112	1995-08-29	VYDAJ	VYBER	5000	16567	\N	\N	\N
35204	112	1995-09-28	VYDAJ	VYBER	4100	17063	\N	\N	\N
35205	112	1995-10-28	VYDAJ	VYBER	6900	14758	\N	\N	\N
35206	112	1995-11-27	VYDAJ	VYBER	3600	15753	\N	\N	\N
35207	112	1995-12-27	VYDAJ	VYBER	4500	15840	\N	\N	\N
35208	112	1996-02-25	VYDAJ	VYBER	6000	13210	\N	\N	\N
35209	112	1996-03-26	VYDAJ	VYBER	4400	13393	\N	\N	\N
35210	112	1996-06-24	VYDAJ	VYBER	7500	12907	\N	\N	\N
35211	112	1996-11-21	VYDAJ	VYBER	20000	12719	\N	\N	\N
35212	112	1997-12-16	VYDAJ	VYBER	38500	14395	\N	\N	\N
35283	113	1996-07-22	PRIJEM	VKLAD	600	600	\N	\N	\N
35291	113	1996-08-06	PRIJEM	PREVOD Z UCTU	6417	7017	DUCHOD	KL	27305132
35292	113	1996-09-06	PRIJEM	PREVOD Z UCTU	6417	13434	DUCHOD	KL	27305132
35293	113	1996-10-06	PRIJEM	PREVOD Z UCTU	6417	19851	DUCHOD	KL	27305132
35294	113	1996-11-06	PRIJEM	PREVOD Z UCTU	6417	26268	DUCHOD	KL	27305132
35295	113	1996-12-06	PRIJEM	PREVOD Z UCTU	6417	32685	DUCHOD	KL	27305132
35296	113	1997-01-06	PRIJEM	PREVOD Z UCTU	6417	32697	DUCHOD	KL	27305132
35297	113	1997-02-06	PRIJEM	PREVOD Z UCTU	6417	27158	DUCHOD	KL	27305132
35298	113	1997-03-06	PRIJEM	PREVOD Z UCTU	6417	25366	DUCHOD	KL	27305132
35299	113	1997-04-06	PRIJEM	PREVOD Z UCTU	6417	25188	DUCHOD	KL	27305132
35300	113	1997-05-06	PRIJEM	PREVOD Z UCTU	6417	27131	DUCHOD	KL	27305132
35301	113	1997-06-06	PRIJEM	PREVOD Z UCTU	6417	27515	DUCHOD	KL	27305132
35302	113	1997-07-06	PRIJEM	PREVOD Z UCTU	6417	26762	DUCHOD	KL	27305132
35303	113	1997-08-06	PRIJEM	PREVOD Z UCTU	6417	26183	DUCHOD	KL	27305132
35304	113	1997-09-06	PRIJEM	PREVOD Z UCTU	6417	27328	DUCHOD	KL	27305132
35305	113	1997-10-06	PRIJEM	PREVOD Z UCTU	6417	26416	DUCHOD	KL	27305132
35306	113	1997-11-06	PRIJEM	PREVOD Z UCTU	6417	27964	DUCHOD	KL	27305132
35307	113	1997-12-06	PRIJEM	PREVOD Z UCTU	6417	27512	DUCHOD	KL	27305132
35308	113	1998-01-06	PRIJEM	PREVOD Z UCTU	6417	26084	DUCHOD	KL	27305132
35309	113	1998-02-06	PRIJEM	PREVOD Z UCTU	6417	26076	DUCHOD	KL	27305132
35310	113	1998-03-06	PRIJEM	PREVOD Z UCTU	6417	22607	DUCHOD	KL	27305132
35311	113	1998-04-06	PRIJEM	PREVOD Z UCTU	6417	19948	DUCHOD	KL	27305132
35312	113	1998-05-06	PRIJEM	PREVOD Z UCTU	6417	19426	DUCHOD	KL	27305132
35313	113	1998-06-06	PRIJEM	PREVOD Z UCTU	6417	22747	DUCHOD	KL	27305132
35314	113	1998-07-06	PRIJEM	PREVOD Z UCTU	6417	18923	DUCHOD	KL	27305132
35315	113	1998-08-06	PRIJEM	PREVOD Z UCTU	6417	18833	DUCHOD	KL	27305132
35316	113	1998-09-06	PRIJEM	PREVOD Z UCTU	6417	20868	DUCHOD	KL	27305132
35317	113	1998-10-06	PRIJEM	PREVOD Z UCTU	6417	24195	DUCHOD	KL	27305132
35318	113	1998-11-06	PRIJEM	PREVOD Z UCTU	6417	27536	DUCHOD	KL	27305132
35319	113	1998-12-06	PRIJEM	PREVOD Z UCTU	6417	30090	DUCHOD	KL	27305132
35331	113	1996-12-07	VYDAJ	PREVOD NA UCET	3146	27299	SIPO	GH	11191487
35332	113	1997-01-07	VYDAJ	PREVOD NA UCET	3146	29551	SIPO	GH	11191487
35333	113	1997-02-07	VYDAJ	PREVOD NA UCET	3146	24012	SIPO	GH	11191487
35334	113	1997-03-07	VYDAJ	PREVOD NA UCET	3146	22220	SIPO	GH	11191487
35335	113	1997-04-07	VYDAJ	PREVOD NA UCET	3146	22042	SIPO	GH	11191487
35336	113	1997-05-07	VYDAJ	PREVOD NA UCET	3146	21025	SIPO	GH	11191487
35337	113	1997-06-07	VYDAJ	PREVOD NA UCET	3146	24369	SIPO	GH	11191487
35338	113	1997-07-07	VYDAJ	PREVOD NA UCET	3146	23616	SIPO	GH	11191487
35339	113	1997-08-07	VYDAJ	PREVOD NA UCET	3146	23037	SIPO	GH	11191487
35340	113	1997-09-07	VYDAJ	PREVOD NA UCET	3146	24182	SIPO	GH	11191487
35341	113	1997-10-07	VYDAJ	PREVOD NA UCET	3146	23270	SIPO	GH	11191487
35342	113	1997-11-07	VYDAJ	PREVOD NA UCET	3146	24818	SIPO	GH	11191487
35343	113	1997-12-07	VYDAJ	PREVOD NA UCET	3146	24366	SIPO	GH	11191487
35344	113	1998-01-07	VYDAJ	PREVOD NA UCET	3146	22938	SIPO	GH	11191487
35345	113	1998-02-07	VYDAJ	PREVOD NA UCET	3146	22930	SIPO	GH	11191487
35346	113	1998-03-07	VYDAJ	PREVOD NA UCET	3146	19461	SIPO	GH	11191487
35347	113	1998-04-07	VYDAJ	PREVOD NA UCET	3146	16802	SIPO	GH	11191487
35348	113	1998-05-07	VYDAJ	PREVOD NA UCET	3146	16280	SIPO	GH	11191487
35349	113	1998-06-07	VYDAJ	PREVOD NA UCET	3146	19601	SIPO	GH	11191487
35350	113	1998-07-07	VYDAJ	PREVOD NA UCET	3146	15777	SIPO	GH	11191487
35351	113	1998-08-07	VYDAJ	PREVOD NA UCET	3146	15687	SIPO	GH	11191487
35352	113	1998-09-07	VYDAJ	PREVOD NA UCET	3146	17722	SIPO	GH	11191487
35353	113	1998-10-07	VYDAJ	PREVOD NA UCET	3146	21049	SIPO	GH	11191487
35354	113	1998-11-07	VYDAJ	PREVOD NA UCET	3146	24390	SIPO	GH	11191487
35355	113	1998-12-07	VYDAJ	PREVOD NA UCET	3146	26944	SIPO	GH	11191487
35360	113	1997-01-20	VYDAJ	VYBER	4500	20651	\N	\N	\N
35361	113	1998-01-16	VYDAJ	VYBER	950	19588	\N	\N	\N
35362	113	1996-12-27	VYDAJ	VYBER	1100	26199	\N	\N	\N
35363	113	1997-12-10	VYDAJ	VYBER	850	23516	\N	\N	\N
35364	113	1998-12-11	VYDAJ	VYBER	700	26244	\N	\N	\N
35365	113	1996-12-06	VYDAJ	VYBER	2240	30445	\N	\N	\N
35370	113	1997-03-22	VYDAJ	VYBER	3520	18700	\N	\N	\N
35371	113	1997-02-25	VYDAJ	VYBER	3440	18872	\N	\N	\N
35372	113	1997-10-04	VYDAJ	VYBER	1360	19999	\N	\N	\N
35373	113	1997-12-11	VYDAJ	VYBER	2720	20796	\N	\N	\N
35374	113	1997-05-06	VYDAJ	VYBER	2960	24171	\N	\N	\N
35375	113	1997-07-11	VYDAJ	VYBER	1680	19696	\N	\N	\N
35376	113	1997-07-10	VYDAJ	VYBER	2240	21376	\N	\N	\N
35377	113	1998-03-16	VYDAJ	VYBER	880	13481	\N	\N	\N
35379	113	1998-08-10	VYDAJ	VYBER	1280	14407	\N	\N	\N
35380	113	1998-11-16	VYDAJ	VYBER	800	23590	\N	\N	\N
35381	113	1998-04-21	VYDAJ	VYBER	3840	12962	\N	\N	\N
35382	113	1998-06-08	VYDAJ	VYBER	1040	18561	\N	\N	\N
35395	113	1996-12-31	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
35396	113	1997-01-31	VYDAJ	VYBER	15	20741	SLUZBY	\N	\N
35397	113	1997-02-28	VYDAJ	VYBER	15	18949	SLUZBY	\N	\N
35398	113	1997-03-31	VYDAJ	VYBER	15	18771	SLUZBY	\N	\N
35399	113	1997-04-30	VYDAJ	VYBER	15	20714	SLUZBY	\N	\N
35400	113	1997-05-31	VYDAJ	VYBER	15	21098	SLUZBY	\N	\N
35401	113	1997-06-30	VYDAJ	VYBER	15	20345	SLUZBY	\N	\N
35402	113	1997-07-31	VYDAJ	VYBER	15	19766	SLUZBY	\N	\N
35403	113	1997-08-31	VYDAJ	VYBER	15	20911	SLUZBY	\N	\N
35404	113	1997-09-30	VYDAJ	VYBER	15	21359	SLUZBY	\N	\N
35405	113	1997-10-31	VYDAJ	VYBER	15	21547	SLUZBY	\N	\N
35406	113	1997-11-30	VYDAJ	VYBER	15	21095	SLUZBY	\N	\N
35407	113	1997-12-31	VYDAJ	VYBER	15	19667	SLUZBY	\N	\N
35408	113	1998-01-31	VYDAJ	VYBER	15	19659	SLUZBY	\N	\N
35409	113	1998-02-28	VYDAJ	VYBER	15	16190	SLUZBY	\N	\N
35410	113	1998-03-31	VYDAJ	VYBER	15	13531	SLUZBY	\N	\N
35411	113	1998-04-30	VYDAJ	VYBER	15	13009	SLUZBY	\N	\N
35412	113	1998-05-31	VYDAJ	VYBER	15	16330	SLUZBY	\N	\N
35413	113	1998-06-30	VYDAJ	VYBER	15	12506	SLUZBY	\N	\N
35414	113	1998-07-31	VYDAJ	VYBER	15	12416	SLUZBY	\N	\N
35415	113	1998-08-31	VYDAJ	VYBER	15	14451	SLUZBY	\N	\N
35416	113	1998-09-30	VYDAJ	VYBER	15	17778	SLUZBY	\N	\N
35417	113	1998-10-31	VYDAJ	VYBER	15	21119	SLUZBY	\N	\N
35418	113	1998-11-30	VYDAJ	VYBER	15	23673	SLUZBY	\N	\N
35419	113	1997-01-18	VYDAJ	VYBER	4400	25151	\N	\N	\N
35420	113	1997-02-17	VYDAJ	VYBER	1700	22312	\N	\N	\N
35421	113	1997-04-18	VYDAJ	VYBER	1400	20642	\N	\N	\N
35422	113	1997-06-17	VYDAJ	VYBER	4100	20269	\N	\N	\N
35423	113	1997-08-16	VYDAJ	VYBER	2200	20837	\N	\N	\N
35424	113	1997-09-15	VYDAJ	VYBER	2900	21282	\N	\N	\N
35425	113	1997-10-15	VYDAJ	VYBER	1800	21470	\N	\N	\N
35426	113	1997-11-14	VYDAJ	VYBER	3800	21018	\N	\N	\N
35427	113	1997-12-14	VYDAJ	VYBER	1200	19596	\N	\N	\N
35428	113	1998-01-13	VYDAJ	VYBER	2400	20538	\N	\N	\N
35429	113	1998-02-12	VYDAJ	VYBER	6800	16130	\N	\N	\N
35430	113	1998-03-14	VYDAJ	VYBER	5100	14361	\N	\N	\N
35431	113	1998-06-12	VYDAJ	VYBER	6100	12461	\N	\N	\N
35432	113	1998-07-12	VYDAJ	VYBER	3400	12377	\N	\N	\N
35458	114	1997-03-14	PRIJEM	VKLAD	500	500	\N	\N	\N
35462	114	1997-04-11	PRIJEM	PREVOD Z UCTU	4234	4734	DUCHOD	ST	94769709
35463	114	1997-05-11	PRIJEM	PREVOD Z UCTU	4234	8968	DUCHOD	ST	94769709
35464	114	1997-06-11	PRIJEM	PREVOD Z UCTU	4234	13202	DUCHOD	ST	94769709
35465	114	1997-07-11	PRIJEM	PREVOD Z UCTU	4234	17436	DUCHOD	ST	94769709
35466	114	1997-08-11	PRIJEM	PREVOD Z UCTU	4234	21670	DUCHOD	ST	94769709
35467	114	1997-09-11	PRIJEM	PREVOD Z UCTU	4234	20620	DUCHOD	ST	94769709
35468	114	1997-10-11	PRIJEM	PREVOD Z UCTU	4234	22799	DUCHOD	ST	94769709
35469	114	1997-11-11	PRIJEM	PREVOD Z UCTU	4234	23545	DUCHOD	ST	94769709
35470	114	1997-12-11	PRIJEM	PREVOD Z UCTU	4234	25734	DUCHOD	ST	94769709
35471	114	1998-01-11	PRIJEM	PREVOD Z UCTU	4234	27332	DUCHOD	ST	94769709
35472	114	1998-02-11	PRIJEM	PREVOD Z UCTU	4234	20568	DUCHOD	ST	94769709
35473	114	1998-03-11	PRIJEM	PREVOD Z UCTU	4234	22744	DUCHOD	ST	94769709
35474	114	1998-04-11	PRIJEM	PREVOD Z UCTU	4234	21250	DUCHOD	ST	94769709
35475	114	1998-05-11	PRIJEM	PREVOD Z UCTU	4234	23430	DUCHOD	ST	94769709
35476	114	1998-06-11	PRIJEM	PREVOD Z UCTU	4234	19619	DUCHOD	ST	94769709
35477	114	1998-07-11	PRIJEM	PREVOD Z UCTU	4234	21796	DUCHOD	ST	94769709
35478	114	1998-08-11	PRIJEM	PREVOD Z UCTU	4234	21093	DUCHOD	ST	94769709
35479	114	1998-09-11	PRIJEM	PREVOD Z UCTU	4234	23273	DUCHOD	ST	94769709
35480	114	1998-10-11	PRIJEM	PREVOD Z UCTU	4234	22499	DUCHOD	ST	94769709
35481	114	1998-11-11	PRIJEM	PREVOD Z UCTU	4234	24684	DUCHOD	ST	94769709
35482	114	1998-12-11	PRIJEM	PREVOD Z UCTU	4234	26528	DUCHOD	ST	94769709
35491	114	1997-09-06	VYDAJ	PREVOD NA UCET	1590	16386	SIPO	QR	78667527
35492	114	1997-10-06	VYDAJ	PREVOD NA UCET	1590	18565	SIPO	QR	78667527
35493	114	1997-11-06	VYDAJ	PREVOD NA UCET	1590	19311	SIPO	QR	78667527
35494	114	1997-12-06	VYDAJ	PREVOD NA UCET	1590	21500	SIPO	QR	78667527
35495	114	1998-01-06	VYDAJ	PREVOD NA UCET	1590	23098	SIPO	QR	78667527
35496	114	1998-02-06	VYDAJ	PREVOD NA UCET	1590	16334	SIPO	QR	78667527
35497	114	1998-03-06	VYDAJ	PREVOD NA UCET	1590	18510	SIPO	QR	78667527
35498	114	1998-04-06	VYDAJ	PREVOD NA UCET	1590	17016	SIPO	QR	78667527
35499	114	1998-05-06	VYDAJ	PREVOD NA UCET	1590	19196	SIPO	QR	78667527
35500	114	1998-06-06	VYDAJ	PREVOD NA UCET	1590	21385	SIPO	QR	78667527
35501	114	1998-07-06	VYDAJ	PREVOD NA UCET	1590	17562	SIPO	QR	78667527
35502	114	1998-08-06	VYDAJ	PREVOD NA UCET	1590	16859	SIPO	QR	78667527
35503	114	1998-09-06	VYDAJ	PREVOD NA UCET	1590	19039	SIPO	QR	78667527
35504	114	1998-10-06	VYDAJ	PREVOD NA UCET	1590	18265	SIPO	QR	78667527
35505	114	1998-11-06	VYDAJ	PREVOD NA UCET	1590	20450	SIPO	QR	78667527
35506	114	1998-12-06	VYDAJ	PREVOD NA UCET	1590	22294	SIPO	QR	78667527
35514	114	1997-08-13	VYDAJ	PREVOD NA UCET	533	21137	 	MN	90660798
35515	114	1997-09-13	VYDAJ	PREVOD NA UCET	533	20087	 	MN	90660798
35516	114	1997-10-13	VYDAJ	PREVOD NA UCET	533	22266	 	MN	90660798
35517	114	1997-11-13	VYDAJ	PREVOD NA UCET	533	23012	 	MN	90660798
35518	114	1997-12-13	VYDAJ	PREVOD NA UCET	533	25201	 	MN	90660798
35519	114	1998-01-13	VYDAJ	PREVOD NA UCET	533	26799	 	MN	90660798
35520	114	1998-02-13	VYDAJ	PREVOD NA UCET	533	20035	 	MN	90660798
35521	114	1998-03-13	VYDAJ	PREVOD NA UCET	533	22211	 	MN	90660798
35522	114	1998-04-13	VYDAJ	PREVOD NA UCET	533	20717	 	MN	90660798
35523	114	1998-05-13	VYDAJ	PREVOD NA UCET	533	22897	 	MN	90660798
35524	114	1998-06-13	VYDAJ	PREVOD NA UCET	533	19086	 	MN	90660798
35525	114	1998-07-13	VYDAJ	PREVOD NA UCET	533	21263	 	MN	90660798
35526	114	1998-08-13	VYDAJ	PREVOD NA UCET	533	20560	 	MN	90660798
35527	114	1998-09-13	VYDAJ	PREVOD NA UCET	533	22740	 	MN	90660798
35528	114	1998-10-13	VYDAJ	PREVOD NA UCET	533	21966	 	MN	90660798
35529	114	1998-11-13	VYDAJ	PREVOD NA UCET	533	24151	 	MN	90660798
35530	114	1998-12-13	VYDAJ	PREVOD NA UCET	533	25995	 	MN	90660798
35532	114	1998-06-07	VYDAJ	VYBER	6000	15385	\N	\N	\N
35533	114	1997-12-16	VYDAJ	VYBER	600	24601	\N	\N	\N
35534	114	1998-12-05	VYDAJ	VYBER	350	23884	\N	\N	\N
35541	114	1998-01-30	VYDAJ	VYBER	1840	17839	\N	\N	\N
35542	114	1998-01-28	VYDAJ	VYBER	1920	19679	\N	\N	\N
35543	114	1998-01-15	VYDAJ	VYBER	800	25999	\N	\N	\N
35544	114	1998-01-17	VYDAJ	VYBER	2000	23999	\N	\N	\N
35545	114	1998-01-26	VYDAJ	VYBER	880	21599	\N	\N	\N
35546	114	1998-01-25	VYDAJ	VYBER	1520	22479	\N	\N	\N
35549	114	1997-10-29	VYDAJ	VYBER	1440	20826	\N	\N	\N
35550	114	1997-09-01	VYDAJ	VYBER	3200	17976	\N	\N	\N
35552	114	1998-09-27	VYDAJ	VYBER	400	19780	\N	\N	\N
35553	114	1998-07-20	VYDAJ	VYBER	2880	18383	\N	\N	\N
35554	114	1998-03-30	VYDAJ	VYBER	3680	18531	\N	\N	\N
35555	114	1998-09-26	VYDAJ	VYBER	2560	20180	\N	\N	\N
35564	114	1997-08-31	VYDAJ	VYBER	15	21176	SLUZBY	\N	\N
35565	114	1997-09-30	VYDAJ	VYBER	15	20155	SLUZBY	\N	\N
35566	114	1997-10-31	VYDAJ	VYBER	15	20901	SLUZBY	\N	\N
35567	114	1997-11-30	VYDAJ	VYBER	15	23090	SLUZBY	\N	\N
35568	114	1997-12-31	VYDAJ	VYBER	15	24688	SLUZBY	\N	\N
35569	114	1998-01-31	VYDAJ	VYBER	15	17924	SLUZBY	\N	\N
35570	114	1998-02-28	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
35571	114	1998-03-31	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
35572	114	1998-04-30	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
35573	114	1998-05-31	VYDAJ	VYBER	15	22975	SLUZBY	\N	\N
35574	114	1998-06-30	VYDAJ	VYBER	15	19152	SLUZBY	\N	\N
35575	114	1998-07-31	VYDAJ	VYBER	15	18449	SLUZBY	\N	\N
35576	114	1998-08-31	VYDAJ	VYBER	15	20629	SLUZBY	\N	\N
35577	114	1998-09-30	VYDAJ	VYBER	15	19855	SLUZBY	\N	\N
35578	114	1998-10-31	VYDAJ	VYBER	15	22040	SLUZBY	\N	\N
35579	114	1998-11-30	VYDAJ	VYBER	15	24234	SLUZBY	\N	\N
35597	115	1993-03-19	PRIJEM	VKLAD	800	800	\N	\N	\N
35601	115	1993-04-07	PRIJEM	VKLAD	7665	8465	\N	\N	\N
35602	115	1993-05-07	PRIJEM	VKLAD	7665	23459	\N	\N	\N
35603	115	1993-06-07	PRIJEM	VKLAD	11498	36840	\N	\N	\N
35604	115	1993-07-07	PRIJEM	VKLAD	7665	37519	\N	\N	\N
35605	115	1993-08-07	PRIJEM	VKLAD	7665	37708	\N	\N	\N
35606	115	1993-09-07	PRIJEM	VKLAD	7665	33566	\N	\N	\N
35607	115	1993-10-07	PRIJEM	VKLAD	7665	34117	\N	\N	\N
35608	115	1993-11-07	PRIJEM	VKLAD	7665	35471	\N	\N	\N
35609	115	1993-12-07	PRIJEM	VKLAD	11498	37861	\N	\N	\N
35610	115	1994-01-07	PRIJEM	VKLAD	7665	29032	\N	\N	\N
35611	115	1994-02-07	PRIJEM	VKLAD	7665	32984	\N	\N	\N
35612	115	1994-03-07	PRIJEM	VKLAD	7665	32531	\N	\N	\N
35613	115	1994-04-07	PRIJEM	VKLAD	7665	30572	\N	\N	\N
35614	115	1994-05-07	PRIJEM	VKLAD	7665	34418	\N	\N	\N
35615	115	1994-06-07	PRIJEM	VKLAD	11498	36799	\N	\N	\N
35616	115	1994-07-07	PRIJEM	VKLAD	7665	21934	\N	\N	\N
35617	115	1994-08-07	PRIJEM	VKLAD	7665	27655	\N	\N	\N
35618	115	1994-09-07	PRIJEM	VKLAD	7665	27382	\N	\N	\N
35619	115	1994-10-07	PRIJEM	VKLAD	7665	28408	\N	\N	\N
35620	115	1994-11-07	PRIJEM	VKLAD	7665	26335	\N	\N	\N
35621	115	1994-12-07	PRIJEM	VKLAD	11498	30688	\N	\N	\N
35622	115	1995-01-07	PRIJEM	VKLAD	7665	31127	\N	\N	\N
35623	115	1995-02-07	PRIJEM	VKLAD	7665	31971	\N	\N	\N
35624	115	1995-03-07	PRIJEM	VKLAD	7665	33320	\N	\N	\N
35625	115	1995-04-07	PRIJEM	VKLAD	7665	31964	\N	\N	\N
35626	115	1995-05-07	PRIJEM	VKLAD	7665	33211	\N	\N	\N
35627	115	1995-06-07	PRIJEM	VKLAD	11498	32284	\N	\N	\N
35628	115	1995-07-07	PRIJEM	VKLAD	7665	33230	\N	\N	\N
35629	115	1995-08-07	PRIJEM	VKLAD	7665	34071	\N	\N	\N
35630	115	1995-09-07	PRIJEM	VKLAD	7665	34229	\N	\N	\N
35631	115	1995-10-07	PRIJEM	VKLAD	7665	33288	\N	\N	\N
35632	115	1995-11-07	PRIJEM	VKLAD	7665	37246	\N	\N	\N
35633	115	1995-12-07	PRIJEM	VKLAD	11498	41052	\N	\N	\N
35634	115	1996-01-07	PRIJEM	VKLAD	7665	36233	\N	\N	\N
35635	115	1996-02-07	PRIJEM	VKLAD	7665	35485	\N	\N	\N
35636	115	1996-03-07	PRIJEM	VKLAD	7665	37348	\N	\N	\N
35637	115	1996-04-07	PRIJEM	VKLAD	7665	36623	\N	\N	\N
35638	115	1996-05-07	PRIJEM	VKLAD	7665	39096	\N	\N	\N
35639	115	1996-06-07	PRIJEM	VKLAD	11498	42411	\N	\N	\N
35640	115	1996-07-07	PRIJEM	VKLAD	7665	40904	\N	\N	\N
35641	115	1996-08-07	PRIJEM	VKLAD	7665	46195	\N	\N	\N
35642	115	1996-09-07	PRIJEM	VKLAD	7665	45901	\N	\N	\N
35643	115	1996-10-07	PRIJEM	VKLAD	7665	50207	\N	\N	\N
35644	115	1996-11-07	PRIJEM	VKLAD	7665	46830	\N	\N	\N
35645	115	1996-12-07	PRIJEM	VKLAD	11498	50978	\N	\N	\N
35646	115	1997-01-07	PRIJEM	VKLAD	7665	47790	\N	\N	\N
35647	115	1997-02-07	PRIJEM	VKLAD	7665	48198	\N	\N	\N
35648	115	1997-03-07	PRIJEM	VKLAD	7665	49012	\N	\N	\N
35649	115	1997-04-07	PRIJEM	VKLAD	7665	44528	\N	\N	\N
35650	115	1997-05-07	PRIJEM	VKLAD	7665	47836	\N	\N	\N
35651	115	1997-06-07	PRIJEM	VKLAD	11498	50483	\N	\N	\N
35652	115	1997-07-07	PRIJEM	VKLAD	7665	47892	\N	\N	\N
35653	115	1997-08-07	PRIJEM	VKLAD	7665	47103	\N	\N	\N
35654	115	1997-09-07	PRIJEM	VKLAD	7665	47010	\N	\N	\N
35655	115	1997-10-07	PRIJEM	VKLAD	7665	41303	\N	\N	\N
35656	115	1997-11-07	PRIJEM	VKLAD	7665	46091	\N	\N	\N
35657	115	1997-12-07	PRIJEM	VKLAD	11498	51327	\N	\N	\N
35658	115	1998-01-07	PRIJEM	VKLAD	7665	52047	\N	\N	\N
35659	115	1998-02-07	PRIJEM	VKLAD	7665	50972	\N	\N	\N
35660	115	1998-03-07	PRIJEM	VKLAD	7665	49292	\N	\N	\N
35661	115	1998-04-07	PRIJEM	VKLAD	7665	45802	\N	\N	\N
35662	115	1998-05-07	PRIJEM	VKLAD	7665	45802	\N	\N	\N
35663	115	1998-06-07	PRIJEM	VKLAD	11498	49134	\N	\N	\N
35664	115	1998-07-07	PRIJEM	VKLAD	7665	35726	\N	\N	\N
35665	115	1998-08-07	PRIJEM	VKLAD	7665	34380	\N	\N	\N
35666	115	1998-09-07	PRIJEM	VKLAD	7665	38237	\N	\N	\N
35667	115	1998-10-07	PRIJEM	VKLAD	7665	40607	\N	\N	\N
35668	115	1998-11-07	PRIJEM	VKLAD	7665	35378	\N	\N	\N
35669	115	1998-12-07	PRIJEM	VKLAD	11498	40276	\N	\N	\N
35677	115	1993-08-11	VYDAJ	PREVOD NA UCET	5110	32598	SIPO	EF	51975733
35678	115	1993-09-11	VYDAJ	PREVOD NA UCET	5110	28456	SIPO	EF	51975733
35679	115	1993-10-11	VYDAJ	PREVOD NA UCET	5110	29007	SIPO	EF	51975733
35680	115	1993-11-11	VYDAJ	PREVOD NA UCET	5110	30361	SIPO	EF	51975733
35681	115	1993-12-11	VYDAJ	PREVOD NA UCET	5110	32751	SIPO	EF	51975733
35682	115	1994-01-11	VYDAJ	PREVOD NA UCET	5110	23922	SIPO	EF	51975733
35683	115	1994-02-11	VYDAJ	PREVOD NA UCET	5110	27874	SIPO	EF	51975733
35684	115	1994-03-11	VYDAJ	PREVOD NA UCET	5110	24321	SIPO	EF	51975733
35685	115	1994-04-11	VYDAJ	PREVOD NA UCET	5110	25462	SIPO	EF	51975733
35686	115	1994-05-11	VYDAJ	PREVOD NA UCET	5110	29308	SIPO	EF	51975733
35687	115	1994-06-11	VYDAJ	PREVOD NA UCET	5110	31689	SIPO	EF	51975733
35688	115	1994-07-11	VYDAJ	PREVOD NA UCET	5110	16824	SIPO	EF	51975733
35689	115	1994-08-11	VYDAJ	PREVOD NA UCET	5110	22445	SIPO	EF	51975733
35690	115	1994-09-11	VYDAJ	PREVOD NA UCET	5110	20672	SIPO	EF	51975733
35691	115	1994-10-11	VYDAJ	PREVOD NA UCET	5110	22998	SIPO	EF	51975733
35692	115	1994-11-11	VYDAJ	PREVOD NA UCET	5110	19125	SIPO	EF	51975733
35693	115	1994-12-11	VYDAJ	PREVOD NA UCET	5110	24678	SIPO	EF	51975733
35694	115	1995-01-11	VYDAJ	PREVOD NA UCET	5110	24217	SIPO	EF	51975733
35695	115	1995-02-11	VYDAJ	PREVOD NA UCET	5110	25561	SIPO	EF	51975733
35696	115	1995-03-11	VYDAJ	PREVOD NA UCET	5110	24210	SIPO	EF	51975733
35697	115	1995-04-11	VYDAJ	PREVOD NA UCET	5110	25454	SIPO	EF	51975733
35698	115	1995-05-11	VYDAJ	PREVOD NA UCET	5110	22801	SIPO	EF	51975733
35699	115	1995-06-11	VYDAJ	PREVOD NA UCET	5110	25474	SIPO	EF	51975733
35700	115	1995-07-11	VYDAJ	PREVOD NA UCET	5110	24320	SIPO	EF	51975733
35701	115	1995-08-11	VYDAJ	PREVOD NA UCET	5110	28961	SIPO	EF	51975733
35702	115	1995-09-11	VYDAJ	PREVOD NA UCET	5110	29119	SIPO	EF	51975733
35703	115	1995-10-11	VYDAJ	PREVOD NA UCET	5110	28178	SIPO	EF	51975733
35704	115	1995-11-11	VYDAJ	PREVOD NA UCET	5110	32136	SIPO	EF	51975733
35705	115	1995-12-11	VYDAJ	PREVOD NA UCET	5110	35942	SIPO	EF	51975733
35706	115	1996-01-11	VYDAJ	PREVOD NA UCET	5110	31123	SIPO	EF	51975733
35707	115	1996-02-11	VYDAJ	PREVOD NA UCET	5110	30375	SIPO	EF	51975733
35708	115	1996-03-11	VYDAJ	PREVOD NA UCET	5110	32238	SIPO	EF	51975733
35709	115	1996-04-11	VYDAJ	PREVOD NA UCET	5110	31513	SIPO	EF	51975733
35710	115	1996-05-11	VYDAJ	PREVOD NA UCET	5110	33986	SIPO	EF	51975733
35711	115	1996-06-11	VYDAJ	PREVOD NA UCET	5110	37301	SIPO	EF	51975733
35712	115	1996-07-11	VYDAJ	PREVOD NA UCET	5110	35794	SIPO	EF	51975733
35713	115	1996-08-11	VYDAJ	PREVOD NA UCET	5110	41085	SIPO	EF	51975733
35714	115	1996-09-11	VYDAJ	PREVOD NA UCET	5110	40791	SIPO	EF	51975733
35715	115	1996-10-11	VYDAJ	PREVOD NA UCET	5110	45097	SIPO	EF	51975733
35716	115	1996-11-11	VYDAJ	PREVOD NA UCET	5110	41720	SIPO	EF	51975733
35717	115	1996-12-11	VYDAJ	PREVOD NA UCET	5110	45868	SIPO	EF	51975733
35718	115	1997-01-11	VYDAJ	PREVOD NA UCET	5110	42680	SIPO	EF	51975733
35719	115	1997-02-11	VYDAJ	PREVOD NA UCET	5110	43088	SIPO	EF	51975733
35720	115	1997-03-11	VYDAJ	PREVOD NA UCET	5110	43902	SIPO	EF	51975733
35721	115	1997-04-11	VYDAJ	PREVOD NA UCET	5110	39418	SIPO	EF	51975733
35722	115	1997-05-11	VYDAJ	PREVOD NA UCET	5110	42726	SIPO	EF	51975733
35723	115	1997-06-11	VYDAJ	PREVOD NA UCET	5110	38773	SIPO	EF	51975733
35724	115	1997-07-11	VYDAJ	PREVOD NA UCET	5110	42782	SIPO	EF	51975733
35725	115	1997-08-11	VYDAJ	PREVOD NA UCET	5110	41993	SIPO	EF	51975733
35726	115	1997-09-11	VYDAJ	PREVOD NA UCET	5110	37000	SIPO	EF	51975733
35727	115	1997-10-11	VYDAJ	PREVOD NA UCET	5110	36193	SIPO	EF	51975733
35728	115	1997-11-11	VYDAJ	PREVOD NA UCET	5110	40981	SIPO	EF	51975733
35729	115	1997-12-11	VYDAJ	PREVOD NA UCET	5110	46217	SIPO	EF	51975733
35730	115	1998-01-11	VYDAJ	PREVOD NA UCET	5110	46937	SIPO	EF	51975733
35731	115	1998-02-11	VYDAJ	PREVOD NA UCET	5110	45862	SIPO	EF	51975733
35732	115	1998-03-11	VYDAJ	PREVOD NA UCET	5110	44182	SIPO	EF	51975733
35733	115	1998-04-11	VYDAJ	PREVOD NA UCET	5110	40692	SIPO	EF	51975733
35734	115	1998-05-11	VYDAJ	PREVOD NA UCET	5110	40692	SIPO	EF	51975733
35735	115	1998-06-11	VYDAJ	PREVOD NA UCET	5110	44024	SIPO	EF	51975733
35736	115	1998-07-11	VYDAJ	PREVOD NA UCET	5110	30616	SIPO	EF	51975733
35737	115	1998-08-11	VYDAJ	PREVOD NA UCET	5110	29270	SIPO	EF	51975733
35738	115	1998-09-11	VYDAJ	PREVOD NA UCET	5110	33127	SIPO	EF	51975733
35739	115	1998-10-11	VYDAJ	PREVOD NA UCET	5110	35497	SIPO	EF	51975733
35740	115	1998-11-11	VYDAJ	PREVOD NA UCET	5110	30268	SIPO	EF	51975733
35741	115	1998-12-11	VYDAJ	PREVOD NA UCET	5110	33466	SIPO	EF	51975733
35743	115	1994-06-19	VYDAJ	VYBER	6400	19789	\N	\N	\N
35746	115	1997-06-11	VYDAJ	VYBER	6600	43883	\N	\N	\N
35747	115	1998-06-23	VYDAJ	VYBER	11100	27924	\N	\N	\N
35749	115	1994-01-03	VYDAJ	VYBER	9900	21367	\N	\N	\N
35750	115	1995-01-06	VYDAJ	VYBER	1300	23462	\N	\N	\N
35751	115	1996-01-13	VYDAJ	VYBER	7500	23623	\N	\N	\N
35752	115	1997-01-24	VYDAJ	VYBER	8600	34080	\N	\N	\N
35753	115	1998-01-24	VYDAJ	VYBER KARTOU	2300	43137	\N	\N	0
35754	115	1993-12-01	VYDAJ	VYBER	1200	26363	\N	\N	\N
35755	115	1994-12-09	VYDAJ	VYBER	900	29788	\N	\N	\N
35756	115	1995-12-14	VYDAJ	VYBER	2500	33442	\N	\N	\N
35757	115	1996-12-12	VYDAJ	VYBER	2900	42968	\N	\N	\N
35758	115	1997-12-25	VYDAJ	VYBER KARTOU	2900	44217	\N	\N	0
35759	115	1998-12-11	VYDAJ	VYBER KARTOU	1700	38576	\N	\N	0
35763	115	1993-08-13	VYDAJ	VYBER	1300	31298	\N	\N	\N
35766	115	1994-10-20	VYDAJ	VYBER	4400	18598	\N	\N	\N
35767	115	1994-08-07	VYDAJ	VYBER	4300	23355	\N	\N	\N
35768	115	1994-03-11	VYDAJ	VYBER	3100	29431	\N	\N	\N
35769	115	1994-06-23	VYDAJ	VYBER	3200	16589	\N	\N	\N
35770	115	1994-07-03	VYDAJ	VYBER	2400	14269	\N	\N	\N
35771	115	1994-08-12	VYDAJ	VYBER	2800	19645	\N	\N	\N
35772	115	1994-02-20	VYDAJ	VYBER	1400	24774	\N	\N	\N
35773	115	1995-06-06	VYDAJ	VYBER	2100	20786	\N	\N	\N
35774	115	1995-09-21	VYDAJ	VYBER	3500	25619	\N	\N	\N
35775	115	1995-07-17	VYDAJ	VYBER	2000	22320	\N	\N	\N
35776	115	1995-12-28	VYDAJ	VYBER	3600	29842	\N	\N	\N
35777	115	1996-04-04	VYDAJ	VYBER	1700	28958	\N	\N	\N
35778	115	1996-11-04	VYDAJ	VYBER	3600	39165	\N	\N	\N
35779	115	1996-06-20	VYDAJ	VYBER	1400	35901	\N	\N	\N
35780	115	1997-06-03	VYDAJ	VYBER KARTOU	2500	38985	\N	\N	0
35781	115	1997-06-02	VYDAJ	VYBER KARTOU	3100	41485	\N	\N	0
35782	115	1997-09-24	VYDAJ	VYBER KARTOU	1800	33500	\N	\N	0
35783	115	1997-09-08	VYDAJ	VYBER	4900	42110	\N	\N	\N
35784	115	1997-07-31	VYDAJ	VYBER KARTOU	1600	39453	\N	\N	0
35785	115	1997-09-23	VYDAJ	VYBER KARTOU	1100	35900	\N	\N	0
35786	115	1997-04-06	VYDAJ	VYBER	4600	36863	\N	\N	\N
35787	115	1998-10-20	VYDAJ	VYBER	4600	30597	\N	\N	\N
35788	115	1998-07-18	VYDAJ	VYBER KARTOU	3300	27316	\N	\N	0
35789	115	1998-10-26	VYDAJ	VYBER KARTOU	3000	27597	\N	\N	0
35790	115	1998-12-04	VYDAJ	VYBER	4900	28778	\N	\N	\N
35799	115	1993-08-31	VYDAJ	VYBER	15	25901	SLUZBY	\N	\N
35800	115	1993-09-30	VYDAJ	VYBER	15	26452	SLUZBY	\N	\N
35801	115	1993-10-31	VYDAJ	VYBER	15	27806	SLUZBY	\N	\N
35802	115	1993-11-30	VYDAJ	VYBER	15	27563	SLUZBY	\N	\N
35803	115	1993-12-31	VYDAJ	VYBER	15	31267	SLUZBY	\N	\N
35804	115	1994-01-31	VYDAJ	VYBER	15	25319	SLUZBY	\N	\N
35805	115	1994-02-28	VYDAJ	VYBER	15	24866	SLUZBY	\N	\N
35806	115	1994-03-31	VYDAJ	VYBER	15	22907	SLUZBY	\N	\N
35807	115	1994-04-30	VYDAJ	VYBER	15	26753	SLUZBY	\N	\N
35808	115	1994-05-31	VYDAJ	VYBER	15	25301	SLUZBY	\N	\N
35809	115	1994-06-30	VYDAJ	VYBER	15	16669	SLUZBY	\N	\N
35810	115	1994-07-31	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
35811	115	1994-08-31	VYDAJ	VYBER	15	19717	SLUZBY	\N	\N
35812	115	1994-09-30	VYDAJ	VYBER	15	20743	SLUZBY	\N	\N
35813	115	1994-10-31	VYDAJ	VYBER	15	18670	SLUZBY	\N	\N
35814	115	1994-11-30	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
35815	115	1994-12-31	VYDAJ	VYBER	15	24762	SLUZBY	\N	\N
35816	115	1995-01-31	VYDAJ	VYBER	15	24306	SLUZBY	\N	\N
35817	115	1995-02-28	VYDAJ	VYBER	15	25655	SLUZBY	\N	\N
35818	115	1995-03-31	VYDAJ	VYBER	15	24299	SLUZBY	\N	\N
35819	115	1995-04-30	VYDAJ	VYBER	15	25546	SLUZBY	\N	\N
35820	115	1995-05-31	VYDAJ	VYBER	15	22886	SLUZBY	\N	\N
35821	115	1995-06-30	VYDAJ	VYBER	15	25565	SLUZBY	\N	\N
35822	115	1995-07-31	VYDAJ	VYBER	15	22406	SLUZBY	\N	\N
35823	115	1995-08-31	VYDAJ	VYBER	15	29064	SLUZBY	\N	\N
35824	115	1995-09-30	VYDAJ	VYBER	15	25723	SLUZBY	\N	\N
35825	115	1995-10-31	VYDAJ	VYBER	15	28281	SLUZBY	\N	\N
35826	115	1995-11-30	VYDAJ	VYBER	15	32254	SLUZBY	\N	\N
35827	115	1995-12-31	VYDAJ	VYBER	15	29968	SLUZBY	\N	\N
35828	115	1996-01-31	VYDAJ	VYBER	15	23720	SLUZBY	\N	\N
35829	115	1996-02-29	VYDAJ	VYBER	15	30483	SLUZBY	\N	\N
35830	115	1996-03-31	VYDAJ	VYBER	15	32358	SLUZBY	\N	\N
35831	115	1996-04-30	VYDAJ	VYBER	15	31631	SLUZBY	\N	\N
35832	115	1996-05-31	VYDAJ	VYBER	15	34113	SLUZBY	\N	\N
35833	115	1996-06-30	VYDAJ	VYBER	15	36039	SLUZBY	\N	\N
35834	115	1996-07-31	VYDAJ	VYBER	15	38530	SLUZBY	\N	\N
35835	115	1996-08-31	VYDAJ	VYBER	15	38236	SLUZBY	\N	\N
35836	115	1996-09-30	VYDAJ	VYBER	15	42542	SLUZBY	\N	\N
35837	115	1996-10-31	VYDAJ	VYBER	15	42765	SLUZBY	\N	\N
35838	115	1996-11-30	VYDAJ	VYBER	15	39480	SLUZBY	\N	\N
35839	115	1996-12-31	VYDAJ	VYBER	15	40125	SLUZBY	\N	\N
35840	115	1997-01-31	VYDAJ	VYBER	15	40533	SLUZBY	\N	\N
35841	115	1997-02-28	VYDAJ	VYBER	15	41347	SLUZBY	\N	\N
35842	115	1997-03-31	VYDAJ	VYBER	15	41463	SLUZBY	\N	\N
35843	115	1997-04-30	VYDAJ	VYBER	15	40171	SLUZBY	\N	\N
35844	115	1997-05-31	VYDAJ	VYBER	15	44585	SLUZBY	\N	\N
35845	115	1997-06-30	VYDAJ	VYBER	15	40227	SLUZBY	\N	\N
35846	115	1997-07-31	VYDAJ	VYBER	15	39438	SLUZBY	\N	\N
35847	115	1997-08-31	VYDAJ	VYBER	15	39345	SLUZBY	\N	\N
35848	115	1997-09-30	VYDAJ	VYBER	15	33638	SLUZBY	\N	\N
35849	115	1997-10-31	VYDAJ	VYBER	15	38426	SLUZBY	\N	\N
35850	115	1997-11-30	VYDAJ	VYBER	15	39829	SLUZBY	\N	\N
35851	115	1997-12-31	VYDAJ	VYBER	15	44382	SLUZBY	\N	\N
35852	115	1998-01-31	VYDAJ	VYBER	15	43307	SLUZBY	\N	\N
35853	115	1998-02-28	VYDAJ	VYBER	15	41627	SLUZBY	\N	\N
35854	115	1998-03-31	VYDAJ	VYBER	15	38137	SLUZBY	\N	\N
35855	115	1998-04-30	VYDAJ	VYBER	15	38137	SLUZBY	\N	\N
35856	115	1998-05-31	VYDAJ	VYBER	15	37636	SLUZBY	\N	\N
35857	115	1998-06-30	VYDAJ	VYBER	15	28061	SLUZBY	\N	\N
35858	115	1998-07-31	VYDAJ	VYBER	15	26715	SLUZBY	\N	\N
35859	115	1998-08-31	VYDAJ	VYBER	15	30572	SLUZBY	\N	\N
35860	115	1998-09-30	VYDAJ	VYBER	15	32942	SLUZBY	\N	\N
35861	115	1998-10-31	VYDAJ	VYBER	15	27713	SLUZBY	\N	\N
35862	115	1998-11-30	VYDAJ	VYBER	15	33678	SLUZBY	\N	\N
35863	115	1993-04-18	PRIJEM	VKLAD	7300	15765	\N	\N	\N
35864	115	1993-05-18	PRIJEM	VKLAD	1800	25259	\N	\N	\N
35865	115	1993-06-17	VYDAJ	VYBER	7100	29740	\N	\N	\N
35866	115	1993-07-17	VYDAJ	VYBER	7600	29919	\N	\N	\N
35867	115	1993-08-16	VYDAJ	VYBER	5500	25798	\N	\N	\N
35868	115	1993-09-15	VYDAJ	VYBER	2100	26356	\N	\N	\N
35869	115	1993-10-15	VYDAJ	VYBER	1300	27707	\N	\N	\N
35870	115	1993-11-14	VYDAJ	VYBER	2900	27461	\N	\N	\N
35871	115	1993-12-14	VYDAJ	VYBER	1600	31151	\N	\N	\N
35872	115	1994-01-13	PRIJEM	VKLAD	1300	25222	\N	\N	\N
35873	115	1994-02-12	VYDAJ	VYBER	1700	26174	\N	\N	\N
35874	115	1994-03-14	VYDAJ	VYBER	1500	22821	\N	\N	\N
35875	115	1994-04-13	PRIJEM	VKLAD	1200	26662	\N	\N	\N
35876	115	1994-05-13	VYDAJ	VYBER	4100	25208	\N	\N	\N
35877	115	1994-06-12	VYDAJ	VYBER	5500	26189	\N	\N	\N
35878	115	1994-07-12	PRIJEM	VKLAD	3100	19924	\N	\N	\N
35879	115	1994-08-11	PRIJEM	VKLAD	4200	27555	\N	\N	\N
35880	115	1994-09-10	VYDAJ	VYBER	1600	25782	\N	\N	\N
35881	115	1994-10-10	VYDAJ	VYBER	300	28108	\N	\N	\N
35882	115	1994-11-09	VYDAJ	VYBER	2100	24235	\N	\N	\N
35883	115	1995-01-08	VYDAJ	VYBER	1800	29327	\N	\N	\N
35884	115	1995-02-07	VYDAJ	VYBER	1300	30671	\N	\N	\N
35885	115	1995-03-09	VYDAJ	VYBER	4000	29320	\N	\N	\N
35886	115	1995-04-08	VYDAJ	VYBER	1400	30564	\N	\N	\N
35887	115	1995-05-08	VYDAJ	VYBER	5300	27911	\N	\N	\N
35888	115	1995-06-07	VYDAJ	VYBER	1700	30584	\N	\N	\N
35889	115	1995-07-07	VYDAJ	VYBER	3800	29430	\N	\N	\N
35890	115	1995-08-06	PRIJEM	VKLAD	4000	26406	\N	\N	\N
35891	115	1995-09-05	VYDAJ	VYBER	2500	26564	\N	\N	\N
35892	115	1995-10-05	VYDAJ	VYBER	100	25623	\N	\N	\N
35893	115	1995-11-04	PRIJEM	VKLAD	1300	29581	\N	\N	\N
35894	115	1995-12-04	VYDAJ	VYBER	2700	29554	\N	\N	\N
35895	115	1996-01-03	VYDAJ	VYBER	1400	28568	\N	\N	\N
35896	115	1996-02-02	PRIJEM	VKLAD	4100	27820	\N	\N	\N
35897	115	1996-03-03	VYDAJ	VYBER	800	29683	\N	\N	\N
35898	115	1996-04-02	VYDAJ	VYBER	1700	30658	\N	\N	\N
35899	115	1996-05-02	VYDAJ	VYBER	200	31431	\N	\N	\N
35900	115	1996-06-01	VYDAJ	VYBER	3200	30913	\N	\N	\N
35901	115	1996-07-01	VYDAJ	VYBER	2800	33239	\N	\N	\N
35902	115	1996-07-31	PRIJEM	VKLAD	2600	38394	\N	\N	\N
35903	115	1996-08-30	VYDAJ	VYBER	3000	38085	\N	\N	\N
35904	115	1996-09-29	PRIJEM	VKLAD	1600	42391	\N	\N	\N
35905	115	1996-10-29	VYDAJ	VYBER	2500	42597	\N	\N	\N
35906	115	1996-11-28	VYDAJ	VYBER	2400	39320	\N	\N	\N
35907	115	1996-12-28	VYDAJ	VYBER	3000	39968	\N	\N	\N
35908	115	1997-01-27	PRIJEM	VKLAD	6300	40380	\N	\N	\N
35909	115	1997-02-26	VYDAJ	VYBER KARTOU	1900	41188	\N	\N	0
35910	115	1997-03-28	VYDAJ	VYBER KARTOU	2600	41302	\N	\N	0
35911	115	1997-04-27	PRIJEM	VKLAD	600	40018	\N	\N	\N
35912	115	1997-05-27	PRIJEM	VKLAD	1700	44426	\N	\N	\N
35913	115	1997-06-26	PRIJEM	VKLAD	1300	40073	\N	\N	\N
35914	115	1997-07-26	VYDAJ	VYBER KARTOU	1900	40882	\N	\N	0
35915	115	1997-08-25	VYDAJ	VYBER KARTOU	2800	39193	\N	\N	0
35916	115	1997-09-24	VYDAJ	VYBER KARTOU	600	35300	\N	\N	0
35917	115	1997-10-24	PRIJEM	VKLAD	2100	38293	\N	\N	\N
35918	115	1997-11-23	VYDAJ	VYBER KARTOU	1300	39681	\N	\N	0
35919	115	1997-12-23	PRIJEM	VKLAD	900	47117	\N	\N	\N
35920	115	1998-01-22	VYDAJ	VYBER KARTOU	1500	45437	\N	\N	0
35921	115	1998-02-21	VYDAJ	VYBER	4400	41462	\N	\N	\N
35922	115	1998-03-23	VYDAJ	VYBER	6200	37982	\N	\N	\N
35923	115	1998-04-22	VYDAJ	VYBER KARTOU	2700	37992	\N	\N	0
35924	115	1998-05-22	VYDAJ	VYBER KARTOU	3200	37492	\N	\N	0
35925	115	1998-06-21	VYDAJ	VYBER	5000	39024	\N	\N	\N
35926	115	1998-07-21	VYDAJ	VYBER KARTOU	700	26616	\N	\N	0
35927	115	1998-08-20	PRIJEM	VKLAD	1200	30470	\N	\N	\N
35928	115	1998-09-19	VYDAJ	VYBER KARTOU	300	32827	\N	\N	0
35929	115	1998-10-19	VYDAJ	VYBER KARTOU	300	35197	\N	\N	0
35930	115	1998-11-18	PRIJEM	VKLAD	3300	33568	\N	\N	\N
36000	116	1996-03-21	PRIJEM	VKLAD	800	800	\N	\N	\N
36004	116	1996-04-09	PRIJEM	VKLAD	23123	23923	\N	\N	\N
36005	116	1996-05-09	PRIJEM	VKLAD	23123	49586	\N	\N	\N
36006	116	1996-06-09	PRIJEM	VKLAD	34685	68893	\N	\N	\N
36007	116	1996-07-09	PRIJEM	VKLAD	23123	67375	\N	\N	\N
36008	116	1996-08-09	PRIJEM	VKLAD	23123	63976	\N	\N	\N
36009	116	1996-09-09	PRIJEM	VKLAD	23123	60416	\N	\N	\N
36010	116	1996-10-09	PRIJEM	VKLAD	23123	58869	\N	\N	\N
36011	116	1996-11-09	PRIJEM	VKLAD	23123	58511	\N	\N	\N
36012	116	1996-12-09	PRIJEM	VKLAD	34685	63433	\N	\N	\N
36013	116	1997-01-09	PRIJEM	VKLAD	23123	56658	\N	\N	\N
36014	116	1997-02-09	PRIJEM	VKLAD	23123	43131	\N	\N	\N
36015	116	1997-03-09	PRIJEM	VKLAD	23123	49215	\N	\N	\N
36016	116	1997-04-09	PRIJEM	VKLAD	23123	53424	\N	\N	\N
36017	116	1997-05-09	PRIJEM	VKLAD	23123	53940	\N	\N	\N
36018	116	1997-06-09	PRIJEM	VKLAD	34685	65919	\N	\N	\N
36019	116	1997-07-09	PRIJEM	VKLAD	23123	42553	\N	\N	\N
36020	116	1997-08-09	PRIJEM	VKLAD	23123	49938	\N	\N	\N
36021	116	1997-09-09	PRIJEM	VKLAD	23123	54746	\N	\N	\N
36022	116	1997-10-09	PRIJEM	VKLAD	23123	53455	\N	\N	\N
36023	116	1997-11-09	PRIJEM	VKLAD	23123	55268	\N	\N	\N
36024	116	1997-12-09	PRIJEM	VKLAD	34685	66240	\N	\N	\N
36025	116	1998-01-09	PRIJEM	VKLAD	23123	53032	\N	\N	\N
36026	116	1998-02-09	PRIJEM	VKLAD	23123	38540	\N	\N	\N
36027	116	1998-03-09	PRIJEM	VKLAD	23123	42596	\N	\N	\N
36028	116	1998-04-09	PRIJEM	VKLAD	23123	41764	\N	\N	\N
36029	116	1998-05-09	PRIJEM	VKLAD	23123	37313	\N	\N	\N
36030	116	1998-06-09	PRIJEM	VKLAD	34685	45402	\N	\N	\N
36031	116	1998-07-09	PRIJEM	VKLAD	23123	36334	\N	\N	\N
36032	116	1998-08-09	PRIJEM	VKLAD	23123	34569	\N	\N	\N
36033	116	1998-09-09	PRIJEM	VKLAD	23123	52245	\N	\N	\N
36034	116	1998-10-09	PRIJEM	VKLAD	23123	38593	\N	\N	\N
36035	116	1998-11-09	PRIJEM	VKLAD	23123	51997	\N	\N	\N
36036	116	1998-12-09	PRIJEM	VKLAD	34685	77466	\N	\N	\N
36044	116	1996-08-11	VYDAJ	PREVOD NA UCET	5529	58447	SIPO	KL	99229424
36045	116	1996-09-11	VYDAJ	PREVOD NA UCET	5529	54887	SIPO	KL	99229424
36046	116	1996-10-11	VYDAJ	PREVOD NA UCET	5529	53340	SIPO	KL	99229424
36047	116	1996-11-11	VYDAJ	PREVOD NA UCET	5529	52982	SIPO	KL	99229424
36048	116	1996-12-11	VYDAJ	PREVOD NA UCET	5529	53464	SIPO	KL	99229424
36049	116	1997-01-11	VYDAJ	PREVOD NA UCET	5529	42409	SIPO	KL	99229424
36050	116	1997-02-11	VYDAJ	PREVOD NA UCET	5529	37602	SIPO	KL	99229424
36051	116	1997-03-11	VYDAJ	PREVOD NA UCET	5529	43686	SIPO	KL	99229424
36052	116	1997-04-11	VYDAJ	PREVOD NA UCET	5529	47895	SIPO	KL	99229424
36053	116	1997-05-11	VYDAJ	PREVOD NA UCET	5529	48411	SIPO	KL	99229424
36054	116	1997-06-11	VYDAJ	PREVOD NA UCET	5529	60390	SIPO	KL	99229424
36055	116	1997-07-11	VYDAJ	PREVOD NA UCET	5529	37024	SIPO	KL	99229424
36056	116	1997-08-11	VYDAJ	PREVOD NA UCET	5529	44409	SIPO	KL	99229424
36057	116	1997-09-11	VYDAJ	PREVOD NA UCET	5529	49217	SIPO	KL	99229424
36058	116	1997-10-11	VYDAJ	PREVOD NA UCET	5529	47926	SIPO	KL	99229424
36059	116	1997-11-11	VYDAJ	PREVOD NA UCET	5529	49739	SIPO	KL	99229424
36060	116	1997-12-11	VYDAJ	PREVOD NA UCET	5529	35411	SIPO	KL	99229424
36061	116	1998-01-11	VYDAJ	PREVOD NA UCET	5529	27803	SIPO	KL	99229424
36062	116	1998-02-11	VYDAJ	PREVOD NA UCET	5529	19411	SIPO	KL	99229424
36063	116	1998-03-11	VYDAJ	PREVOD NA UCET	5529	37067	SIPO	KL	99229424
36064	116	1998-04-11	VYDAJ	PREVOD NA UCET	5529	14135	SIPO	KL	99229424
36065	116	1998-05-11	VYDAJ	PREVOD NA UCET	5529	10684	SIPO	KL	99229424
36066	116	1998-06-11	VYDAJ	PREVOD NA UCET	5529	13173	SIPO	KL	99229424
36067	116	1998-07-11	VYDAJ	PREVOD NA UCET	5529	11405	SIPO	KL	99229424
36068	116	1998-08-11	VYDAJ	PREVOD NA UCET	5529	29040	SIPO	KL	99229424
36069	116	1998-09-11	VYDAJ	PREVOD NA UCET	5529	46716	SIPO	KL	99229424
36070	116	1998-10-11	VYDAJ	PREVOD NA UCET	5529	33064	SIPO	KL	99229424
36071	116	1998-11-11	VYDAJ	PREVOD NA UCET	5529	46468	SIPO	KL	99229424
36072	116	1998-12-11	VYDAJ	PREVOD NA UCET	5529	71937	SIPO	KL	99229424
36110	116	1997-06-21	VYDAJ	VYBER	21280	19310	\N	\N	\N
36113	116	1997-01-10	VYDAJ	VYBER	7040	49618	\N	\N	\N
36115	116	1996-12-01	VYDAJ	VYBER	3520	32708	\N	\N	\N
36116	116	1997-12-27	VYDAJ	VYBER	2880	32531	\N	\N	\N
36117	116	1998-12-01	VYDAJ	VYBER	3840	42781	\N	\N	\N
36124	116	1997-01-29	VYDAJ	VYBER	960	22409	\N	\N	\N
36125	116	1997-01-29	VYDAJ	VYBER	2520	19889	\N	\N	\N
36126	116	1997-01-05	VYDAJ	VYBER	720	36895	\N	\N	\N
36127	116	1997-01-22	VYDAJ	VYBER	1320	28289	\N	\N	\N
36128	116	1997-01-25	VYDAJ	VYBER	1080	23369	\N	\N	\N
36129	116	1997-01-10	VYDAJ	VYBER	1680	47938	\N	\N	\N
36130	116	1998-01-27	VYDAJ	VYBER	3000	15323	\N	\N	\N
36131	116	1998-01-20	VYDAJ	VYBER	2880	24923	\N	\N	\N
36132	116	1998-01-24	VYDAJ	VYBER	1560	18323	\N	\N	\N
36133	116	1998-01-24	VYDAJ	VYBER	2280	19883	\N	\N	\N
36134	116	1998-01-21	VYDAJ	VYBER	2760	22163	\N	\N	\N
36135	116	1998-01-02	VYDAJ	VYBER	720	31949	\N	\N	\N
36137	116	1996-09-04	VYDAJ	VYBER	720	37293	\N	\N	\N
36139	116	1996-12-09	VYDAJ	VYBER	4440	58993	\N	\N	\N
36140	116	1996-12-03	VYDAJ	VYBER	3960	28748	\N	\N	\N
36141	116	1997-01-07	VYDAJ	VYBER	3360	33535	\N	\N	\N
36142	116	1997-01-22	VYDAJ	VYBER	3840	24449	\N	\N	\N
36143	116	1998-10-17	VYDAJ	VYBER	4320	28744	\N	\N	\N
36144	116	1998-01-06	VYDAJ	VYBER	2040	29909	\N	\N	\N
36145	116	1998-04-05	VYDAJ	VYBER	2040	18641	\N	\N	\N
36155	116	1996-08-31	VYDAJ	VYBER	15	38013	SLUZBY	\N	\N
36156	116	1996-09-30	VYDAJ	VYBER	15	35746	SLUZBY	\N	\N
36157	116	1996-10-31	VYDAJ	VYBER	15	35388	SLUZBY	\N	\N
36158	116	1996-11-30	VYDAJ	VYBER	15	36228	SLUZBY	\N	\N
36159	116	1996-12-31	VYDAJ	VYBER	15	37615	SLUZBY	\N	\N
36160	116	1997-01-31	VYDAJ	VYBER	15	20008	SLUZBY	\N	\N
36161	116	1997-02-28	VYDAJ	VYBER	15	26092	SLUZBY	\N	\N
36162	116	1997-03-31	VYDAJ	VYBER	15	30301	SLUZBY	\N	\N
36163	116	1997-04-30	VYDAJ	VYBER	15	30817	SLUZBY	\N	\N
36164	116	1997-05-31	VYDAJ	VYBER	15	31235	SLUZBY	\N	\N
36165	116	1997-06-30	VYDAJ	VYBER	15	19430	SLUZBY	\N	\N
36166	116	1997-07-31	VYDAJ	VYBER	15	26815	SLUZBY	\N	\N
36167	116	1997-08-31	VYDAJ	VYBER	15	31623	SLUZBY	\N	\N
36168	116	1997-09-30	VYDAJ	VYBER	15	30332	SLUZBY	\N	\N
36169	116	1997-10-31	VYDAJ	VYBER	15	32145	SLUZBY	\N	\N
36170	116	1997-11-30	VYDAJ	VYBER	15	31556	SLUZBY	\N	\N
36171	116	1997-12-31	VYDAJ	VYBER	15	32669	SLUZBY	\N	\N
36172	116	1998-01-31	VYDAJ	VYBER	15	15417	SLUZBY	\N	\N
36173	116	1998-02-28	VYDAJ	VYBER	15	19473	SLUZBY	\N	\N
36174	116	1998-03-31	VYDAJ	VYBER	15	20681	SLUZBY	\N	\N
36175	116	1998-04-30	VYDAJ	VYBER	15	14190	SLUZBY	\N	\N
36176	116	1998-05-31	VYDAJ	VYBER	15	10718	SLUZBY	\N	\N
36177	116	1998-06-30	VYDAJ	VYBER	15	13211	SLUZBY	\N	\N
36178	116	1998-07-31	VYDAJ	VYBER	15	11446	SLUZBY	\N	\N
36179	116	1998-08-31	VYDAJ	VYBER	15	29122	SLUZBY	\N	\N
36180	116	1998-09-30	VYDAJ	VYBER	15	46870	SLUZBY	\N	\N
36181	116	1998-10-31	VYDAJ	VYBER	15	28874	SLUZBY	\N	\N
36182	116	1998-11-30	VYDAJ	VYBER	15	46621	SLUZBY	\N	\N
36183	116	1996-04-20	PRIJEM	VKLAD	2500	26423	\N	\N	\N
36184	116	1996-05-20	VYDAJ	VYBER	15500	34086	\N	\N	\N
36185	116	1996-06-19	VYDAJ	VYBER	24800	44093	\N	\N	\N
36186	116	1996-07-19	VYDAJ	VYBER	26700	40675	\N	\N	\N
36187	116	1996-08-18	VYDAJ	VYBER	20600	37847	\N	\N	\N
36188	116	1996-09-17	VYDAJ	VYBER	19300	35587	\N	\N	\N
36189	116	1996-10-17	VYDAJ	VYBER	18100	35240	\N	\N	\N
36190	116	1996-11-16	VYDAJ	VYBER	16900	36082	\N	\N	\N
36191	116	1996-12-16	VYDAJ	VYBER	16000	37464	\N	\N	\N
36192	116	1997-01-15	VYDAJ	VYBER	12800	29609	\N	\N	\N
36193	116	1997-02-14	VYDAJ	VYBER	11600	26002	\N	\N	\N
36194	116	1997-03-16	VYDAJ	VYBER	13500	30186	\N	\N	\N
36195	116	1997-04-15	VYDAJ	VYBER	17200	30695	\N	\N	\N
36196	116	1997-05-15	VYDAJ	VYBER	17300	31111	\N	\N	\N
36197	116	1997-06-14	VYDAJ	VYBER	19800	40590	\N	\N	\N
36198	116	1997-07-14	VYDAJ	VYBER	10300	26724	\N	\N	\N
36199	116	1997-08-13	VYDAJ	VYBER	12900	31509	\N	\N	\N
36200	116	1997-09-12	VYDAJ	VYBER	19000	30217	\N	\N	\N
36201	116	1997-10-12	VYDAJ	VYBER	15900	32026	\N	\N	\N
36202	116	1997-11-11	VYDAJ	VYBER	18300	31439	\N	\N	\N
36203	116	1997-12-11	VYDAJ	VYBER	25300	40940	\N	\N	\N
36204	116	1998-01-10	VYDAJ	VYBER	19700	33332	\N	\N	\N
36205	116	1998-02-09	VYDAJ	VYBER	13600	24940	\N	\N	\N
36206	116	1998-03-11	VYDAJ	VYBER	16500	20567	\N	\N	\N
36207	116	1998-04-10	VYDAJ	VYBER	22100	19664	\N	\N	\N
36208	116	1998-05-10	VYDAJ	VYBER	21100	16213	\N	\N	\N
36209	116	1998-06-09	VYDAJ	VYBER	26700	18702	\N	\N	\N
36210	116	1998-07-09	VYDAJ	VYBER	19400	16934	\N	\N	\N
36211	116	1998-10-07	VYDAJ	VYBER	31400	15470	\N	\N	\N
36245	117	1993-09-05	PRIJEM	VKLAD	900	900	\N	\N	\N
36254	117	1993-09-06	PRIJEM	PREVOD Z UCTU	4903	5803	DUCHOD	YZ	89992111
36255	117	1993-10-06	PRIJEM	PREVOD Z UCTU	4903	10726	DUCHOD	YZ	89992111
36256	117	1993-11-06	PRIJEM	PREVOD Z UCTU	4903	15653	DUCHOD	YZ	89992111
36257	117	1993-12-06	PRIJEM	PREVOD Z UCTU	4903	20581	DUCHOD	YZ	89992111
36258	117	1994-01-06	PRIJEM	PREVOD Z UCTU	4903	25208	DUCHOD	YZ	89992111
36259	117	1994-02-06	PRIJEM	PREVOD Z UCTU	4903	18077	DUCHOD	YZ	89992111
36260	117	1994-03-06	PRIJEM	PREVOD Z UCTU	4903	20699	DUCHOD	YZ	89992111
36261	117	1994-04-06	PRIJEM	PREVOD Z UCTU	4903	23332	DUCHOD	YZ	89992111
36262	117	1994-05-06	PRIJEM	PREVOD Z UCTU	4903	25495	DUCHOD	YZ	89992111
36263	117	1994-06-06	PRIJEM	PREVOD Z UCTU	4903	27348	DUCHOD	YZ	89992111
36264	117	1994-07-06	PRIJEM	PREVOD Z UCTU	4903	18798	DUCHOD	YZ	89992111
36265	117	1994-08-06	PRIJEM	PREVOD Z UCTU	4903	17497	DUCHOD	YZ	89992111
36266	117	1994-09-06	PRIJEM	PREVOD Z UCTU	4903	20117	DUCHOD	YZ	89992111
36267	117	1994-10-06	PRIJEM	PREVOD Z UCTU	4903	22747	DUCHOD	YZ	89992111
36268	117	1994-11-06	PRIJEM	PREVOD Z UCTU	4903	25389	DUCHOD	YZ	89992111
36269	117	1994-12-06	PRIJEM	PREVOD Z UCTU	4903	28042	DUCHOD	YZ	89992111
36270	117	1995-01-06	PRIJEM	PREVOD Z UCTU	4903	29905	DUCHOD	YZ	89992111
36271	117	1995-02-06	PRIJEM	PREVOD Z UCTU	4903	20793	DUCHOD	YZ	89992111
36272	117	1995-03-06	PRIJEM	PREVOD Z UCTU	4903	23426	DUCHOD	YZ	89992111
36273	117	1995-04-06	PRIJEM	PREVOD Z UCTU	4903	24947	DUCHOD	YZ	89992111
36274	117	1995-05-06	PRIJEM	PREVOD Z UCTU	4903	27598	DUCHOD	YZ	89992111
36275	117	1995-06-06	PRIJEM	PREVOD Z UCTU	4903	27377	DUCHOD	YZ	89992111
36276	117	1995-07-06	PRIJEM	PREVOD Z UCTU	4903	26517	DUCHOD	YZ	89992111
36277	117	1995-08-06	PRIJEM	PREVOD Z UCTU	4903	28359	DUCHOD	YZ	89992111
36278	117	1995-09-06	PRIJEM	PREVOD Z UCTU	4903	27344	DUCHOD	YZ	89992111
36279	117	1995-10-06	PRIJEM	PREVOD Z UCTU	4903	30009	DUCHOD	YZ	89992111
36280	117	1995-11-06	PRIJEM	PREVOD Z UCTU	4903	29077	DUCHOD	YZ	89992111
36281	117	1995-12-06	PRIJEM	PREVOD Z UCTU	4903	31745	DUCHOD	YZ	89992111
36282	117	1996-01-06	PRIJEM	PREVOD Z UCTU	4903	27160	DUCHOD	YZ	89992111
36283	117	1996-02-06	PRIJEM	PREVOD Z UCTU	4903	19256	DUCHOD	YZ	89992111
36284	117	1996-03-06	PRIJEM	PREVOD Z UCTU	4903	21888	DUCHOD	YZ	89992111
36285	117	1996-04-06	PRIJEM	PREVOD Z UCTU	4903	22680	DUCHOD	YZ	89992111
36286	117	1996-05-06	PRIJEM	PREVOD Z UCTU	4903	21474	DUCHOD	YZ	89992111
36287	117	1996-06-06	PRIJEM	PREVOD Z UCTU	4903	24110	DUCHOD	YZ	89992111
36288	117	1996-07-06	PRIJEM	PREVOD Z UCTU	4903	25206	DUCHOD	YZ	89992111
36289	117	1996-08-06	PRIJEM	PREVOD Z UCTU	4903	26755	DUCHOD	YZ	89992111
36290	117	1996-09-06	PRIJEM	PREVOD Z UCTU	4903	29413	DUCHOD	YZ	89992111
36291	117	1996-10-06	PRIJEM	PREVOD Z UCTU	4903	29277	DUCHOD	YZ	89992111
36292	117	1996-11-06	PRIJEM	PREVOD Z UCTU	4903	29140	DUCHOD	YZ	89992111
36293	117	1996-12-06	PRIJEM	PREVOD Z UCTU	4903	29802	DUCHOD	YZ	89992111
36294	117	1997-01-06	PRIJEM	PREVOD Z UCTU	4903	29216	DUCHOD	YZ	89992111
36295	117	1997-02-06	PRIJEM	PREVOD Z UCTU	4903	21445	DUCHOD	YZ	89992111
36296	117	1997-03-06	PRIJEM	PREVOD Z UCTU	4903	24080	DUCHOD	YZ	89992111
36297	117	1997-04-06	PRIJEM	PREVOD Z UCTU	4903	23363	DUCHOD	YZ	89992111
36298	117	1997-05-06	PRIJEM	PREVOD Z UCTU	4903	26007	DUCHOD	YZ	89992111
36299	117	1997-06-06	PRIJEM	PREVOD Z UCTU	4903	26275	DUCHOD	YZ	89992111
36300	117	1997-07-06	PRIJEM	PREVOD Z UCTU	4903	24122	DUCHOD	YZ	89992111
36301	117	1997-08-06	PRIJEM	PREVOD Z UCTU	4903	26768	DUCHOD	YZ	89992111
36302	117	1997-09-06	PRIJEM	PREVOD Z UCTU	4903	29426	DUCHOD	YZ	89992111
36303	117	1997-10-06	PRIJEM	PREVOD Z UCTU	4903	29710	DUCHOD	YZ	89992111
36304	117	1997-11-06	PRIJEM	PREVOD Z UCTU	4903	32382	DUCHOD	YZ	89992111
36305	117	1997-12-06	PRIJEM	PREVOD Z UCTU	4903	32155	DUCHOD	YZ	89992111
36306	117	1998-01-06	PRIJEM	PREVOD Z UCTU	4903	22278	DUCHOD	YZ	89992111
36307	117	1998-02-06	PRIJEM	PREVOD Z UCTU	4903	20992	DUCHOD	YZ	89992111
36308	117	1998-03-06	PRIJEM	PREVOD Z UCTU	4903	23624	DUCHOD	YZ	89992111
36309	117	1998-04-06	PRIJEM	PREVOD Z UCTU	4903	26268	DUCHOD	YZ	89992111
36310	117	1998-05-06	PRIJEM	PREVOD Z UCTU	4903	21031	DUCHOD	YZ	89992111
36311	117	1998-06-06	PRIJEM	PREVOD Z UCTU	4903	21261	DUCHOD	YZ	89992111
36312	117	1998-07-06	PRIJEM	PREVOD Z UCTU	4903	21991	DUCHOD	YZ	89992111
36313	117	1998-08-06	PRIJEM	PREVOD Z UCTU	4903	22461	DUCHOD	YZ	89992111
36314	117	1998-09-06	PRIJEM	PREVOD Z UCTU	4903	25100	DUCHOD	YZ	89992111
36315	117	1998-10-06	PRIJEM	PREVOD Z UCTU	4903	27455	DUCHOD	YZ	89992111
36316	117	1998-11-06	PRIJEM	PREVOD Z UCTU	4903	21895	DUCHOD	YZ	89992111
36317	117	1998-12-06	PRIJEM	PREVOD Z UCTU	4903	23090	DUCHOD	YZ	89992111
36330	117	1994-01-09	VYDAJ	PREVOD NA UCET	2329	21519	SIPO	CD	59419953
36331	117	1994-02-09	VYDAJ	PREVOD NA UCET	2329	15748	SIPO	CD	59419953
36332	117	1994-03-09	VYDAJ	PREVOD NA UCET	2329	18370	SIPO	CD	59419953
36333	117	1994-04-09	VYDAJ	PREVOD NA UCET	2329	21003	SIPO	CD	59419953
36334	117	1994-05-09	VYDAJ	PREVOD NA UCET	2329	23166	SIPO	CD	59419953
36335	117	1994-06-09	VYDAJ	PREVOD NA UCET	2329	25019	SIPO	CD	59419953
36336	117	1994-07-09	VYDAJ	PREVOD NA UCET	2329	16469	SIPO	CD	59419953
36337	117	1994-08-09	VYDAJ	PREVOD NA UCET	2329	15168	SIPO	CD	59419953
36338	117	1994-09-09	VYDAJ	PREVOD NA UCET	2329	17788	SIPO	CD	59419953
36339	117	1994-10-09	VYDAJ	PREVOD NA UCET	2329	20418	SIPO	CD	59419953
36340	117	1994-11-09	VYDAJ	PREVOD NA UCET	2329	23060	SIPO	CD	59419953
36341	117	1994-12-09	VYDAJ	PREVOD NA UCET	2329	25713	SIPO	CD	59419953
36342	117	1995-01-09	VYDAJ	PREVOD NA UCET	2329	25016	SIPO	CD	59419953
36343	117	1995-02-09	VYDAJ	PREVOD NA UCET	2329	18464	SIPO	CD	59419953
36344	117	1995-03-09	VYDAJ	PREVOD NA UCET	2329	21097	SIPO	CD	59419953
36345	117	1995-04-09	VYDAJ	PREVOD NA UCET	2329	22618	SIPO	CD	59419953
36346	117	1995-05-09	VYDAJ	PREVOD NA UCET	2329	25269	SIPO	CD	59419953
36347	117	1995-06-09	VYDAJ	PREVOD NA UCET	2329	25048	SIPO	CD	59419953
36348	117	1995-07-09	VYDAJ	PREVOD NA UCET	2329	24188	SIPO	CD	59419953
36349	117	1995-08-09	VYDAJ	PREVOD NA UCET	2329	26030	SIPO	CD	59419953
36350	117	1995-09-09	VYDAJ	PREVOD NA UCET	2329	25015	SIPO	CD	59419953
36351	117	1995-10-09	VYDAJ	PREVOD NA UCET	2329	27680	SIPO	CD	59419953
36352	117	1995-11-09	VYDAJ	PREVOD NA UCET	2329	26748	SIPO	CD	59419953
36353	117	1995-12-09	VYDAJ	PREVOD NA UCET	2329	29416	SIPO	CD	59419953
36354	117	1996-01-09	VYDAJ	PREVOD NA UCET	2329	24111	SIPO	CD	59419953
36355	117	1996-02-09	VYDAJ	PREVOD NA UCET	2329	16927	SIPO	CD	59419953
36356	117	1996-03-09	VYDAJ	PREVOD NA UCET	2329	17719	SIPO	CD	59419953
36357	117	1996-04-09	VYDAJ	PREVOD NA UCET	2329	20351	SIPO	CD	59419953
36358	117	1996-05-09	VYDAJ	PREVOD NA UCET	2329	19145	SIPO	CD	59419953
36359	117	1996-06-09	VYDAJ	PREVOD NA UCET	2329	21781	SIPO	CD	59419953
36360	117	1996-07-09	VYDAJ	PREVOD NA UCET	2329	22877	SIPO	CD	59419953
36361	117	1996-08-09	VYDAJ	PREVOD NA UCET	2329	24426	SIPO	CD	59419953
36362	117	1996-09-09	VYDAJ	PREVOD NA UCET	2329	27084	SIPO	CD	59419953
36363	117	1996-10-09	VYDAJ	PREVOD NA UCET	2329	26948	SIPO	CD	59419953
36364	117	1996-11-09	VYDAJ	PREVOD NA UCET	2329	26811	SIPO	CD	59419953
36365	117	1996-12-09	VYDAJ	PREVOD NA UCET	2329	27473	SIPO	CD	59419953
36366	117	1997-01-09	VYDAJ	PREVOD NA UCET	2329	24727	SIPO	CD	59419953
36367	117	1997-02-09	VYDAJ	PREVOD NA UCET	2329	19116	SIPO	CD	59419953
36368	117	1997-03-09	VYDAJ	PREVOD NA UCET	2329	21751	SIPO	CD	59419953
36369	117	1997-04-09	VYDAJ	PREVOD NA UCET	2329	21034	SIPO	CD	59419953
36370	117	1997-05-09	VYDAJ	PREVOD NA UCET	2329	23678	SIPO	CD	59419953
36371	117	1997-06-09	VYDAJ	PREVOD NA UCET	2329	23946	SIPO	CD	59419953
36372	117	1997-07-09	VYDAJ	PREVOD NA UCET	2329	21793	SIPO	CD	59419953
36373	117	1997-08-09	VYDAJ	PREVOD NA UCET	2329	24439	SIPO	CD	59419953
36374	117	1997-09-09	VYDAJ	PREVOD NA UCET	2329	27097	SIPO	CD	59419953
36375	117	1997-10-09	VYDAJ	PREVOD NA UCET	2329	27381	SIPO	CD	59419953
36376	117	1997-11-09	VYDAJ	PREVOD NA UCET	2329	30053	SIPO	CD	59419953
36377	117	1997-12-09	VYDAJ	PREVOD NA UCET	2329	29826	SIPO	CD	59419953
36378	117	1998-01-09	VYDAJ	PREVOD NA UCET	2329	19949	SIPO	CD	59419953
36379	117	1998-02-09	VYDAJ	PREVOD NA UCET	2329	18663	SIPO	CD	59419953
36380	117	1998-03-09	VYDAJ	PREVOD NA UCET	2329	21295	SIPO	CD	59419953
36381	117	1998-04-09	VYDAJ	PREVOD NA UCET	2329	23939	SIPO	CD	59419953
36382	117	1998-05-09	VYDAJ	PREVOD NA UCET	2329	18702	SIPO	CD	59419953
36383	117	1998-06-09	VYDAJ	PREVOD NA UCET	2329	17032	SIPO	CD	59419953
36384	117	1998-07-09	VYDAJ	PREVOD NA UCET	2329	19662	SIPO	CD	59419953
36385	117	1998-08-09	VYDAJ	PREVOD NA UCET	2329	20132	SIPO	CD	59419953
36386	117	1998-09-09	VYDAJ	PREVOD NA UCET	2329	22471	SIPO	CD	59419953
36387	117	1998-10-09	VYDAJ	PREVOD NA UCET	2329	16926	SIPO	CD	59419953
36388	117	1998-11-09	VYDAJ	PREVOD NA UCET	2329	19566	SIPO	CD	59419953
36389	117	1998-12-09	VYDAJ	PREVOD NA UCET	2329	16961	SIPO	CD	59419953
36391	117	1994-06-24	VYDAJ	VYBER	11200	13819	\N	\N	\N
36393	117	1996-06-26	VYDAJ	VYBER	1550	20231	\N	\N	\N
36394	117	1997-06-16	VYDAJ	VYBER	3700	20246	\N	\N	\N
36395	117	1998-06-06	VYDAJ	VYBER	1900	19361	\N	\N	\N
36397	117	1994-01-21	VYDAJ	VYBER	950	13129	\N	\N	\N
36399	117	1996-01-03	VYDAJ	VYBER	4500	23217	\N	\N	\N
36400	117	1997-01-16	VYDAJ	VYBER	3300	21427	\N	\N	\N
36403	117	1994-12-28	VYDAJ	VYBER	300	25413	\N	\N	\N
36404	117	1995-12-12	VYDAJ	VYBER	1100	28316	\N	\N	\N
36405	117	1996-12-16	VYDAJ	VYBER	1050	26423	\N	\N	\N
36406	117	1997-12-11	VYDAJ	VYBER	300	29526	\N	\N	\N
36407	117	1998-12-16	VYDAJ	VYBER	350	16611	\N	\N	\N
36415	117	1994-01-10	VYDAJ	VYBER	1600	18239	\N	\N	\N
36416	117	1994-01-18	VYDAJ	VYBER	2160	14079	\N	\N	\N
36417	117	1994-01-10	VYDAJ	VYBER	2000	16239	\N	\N	\N
36418	117	1994-01-09	VYDAJ	VYBER	1360	23848	\N	\N	\N
36419	117	1994-01-09	VYDAJ	VYBER	1680	19839	\N	\N	\N
36420	117	1995-01-23	VYDAJ	VYBER	720	16296	\N	\N	\N
36421	117	1995-01-30	VYDAJ	VYBER	480	15816	\N	\N	\N
36422	117	1995-01-14	VYDAJ	VYBER	1760	23256	\N	\N	\N
36423	117	1995-01-07	VYDAJ	VYBER	640	27345	\N	\N	\N
36424	117	1995-01-07	VYDAJ	VYBER	1920	27985	\N	\N	\N
36425	117	1995-01-21	VYDAJ	VYBER	640	17016	\N	\N	\N
36426	117	1996-01-05	VYDAJ	VYBER	960	22257	\N	\N	\N
36427	117	1996-01-06	VYDAJ	VYBER	720	26440	\N	\N	\N
36428	117	1996-01-30	VYDAJ	VYBER	2240	18191	\N	\N	\N
36429	117	1996-01-30	VYDAJ	VYBER	1760	20431	\N	\N	\N
36430	117	1996-01-18	VYDAJ	VYBER	400	22191	\N	\N	\N
36431	117	1996-01-13	VYDAJ	VYBER	1520	22591	\N	\N	\N
36432	117	1997-01-21	VYDAJ	VYBER	1520	19027	\N	\N	\N
36433	117	1997-01-25	VYDAJ	VYBER	800	18227	\N	\N	\N
36435	117	1997-01-20	VYDAJ	VYBER	880	20547	\N	\N	\N
36436	117	1997-01-07	VYDAJ	VYBER	2160	27056	\N	\N	\N
36437	117	1997-01-27	VYDAJ	VYBER	1760	16467	\N	\N	\N
36439	117	1998-01-22	VYDAJ	VYBER	1760	16029	\N	\N	\N
36440	117	1998-01-03	VYDAJ	VYBER	2160	17375	\N	\N	\N
36441	117	1998-01-09	VYDAJ	VYBER	2160	17789	\N	\N	\N
36442	117	1998-01-03	VYDAJ	VYBER	1840	19535	\N	\N	\N
36443	117	1998-01-01	VYDAJ	VYBER	1680	21375	\N	\N	\N
36450	117	1994-05-29	VYDAJ	VYBER	800	22366	\N	\N	\N
36451	117	1994-04-17	VYDAJ	VYBER	480	20523	\N	\N	\N
36452	117	1994-07-21	VYDAJ	VYBER	3920	12549	\N	\N	\N
36453	117	1995-05-24	VYDAJ	VYBER	2880	22389	\N	\N	\N
36454	117	1995-07-30	VYDAJ	VYBER	720	23368	\N	\N	\N
36455	117	1995-07-01	VYDAJ	VYBER	3520	21614	\N	\N	\N
36456	117	1995-09-05	VYDAJ	VYBER	3680	22441	\N	\N	\N
36457	117	1995-03-12	VYDAJ	VYBER	1120	19977	\N	\N	\N
36458	117	1995-01-18	VYDAJ	VYBER	3440	19816	\N	\N	\N
36459	117	1995-01-20	VYDAJ	VYBER	2160	17656	\N	\N	\N
36460	117	1996-04-30	VYDAJ	VYBER	560	16571	\N	\N	\N
36461	117	1996-10-19	VYDAJ	VYBER	2800	24148	\N	\N	\N
36462	117	1996-11-12	VYDAJ	VYBER	2000	24811	\N	\N	\N
36463	117	1996-03-08	VYDAJ	VYBER	1840	20048	\N	\N	\N
36464	117	1996-02-03	VYDAJ	VYBER	3920	14353	\N	\N	\N
36465	117	1996-04-23	VYDAJ	VYBER	1120	17071	\N	\N	\N
36466	117	1996-04-13	VYDAJ	VYBER	2160	18191	\N	\N	\N
36467	117	1997-03-25	VYDAJ	VYBER	3360	18391	\N	\N	\N
36468	117	1997-10-05	VYDAJ	VYBER	880	24807	\N	\N	\N
36469	117	1997-12-18	VYDAJ	VYBER	2560	22966	\N	\N	\N
36470	117	1997-05-12	VYDAJ	VYBER	1280	22398	\N	\N	\N
36471	117	1998-04-22	VYDAJ	VYBER	2080	18859	\N	\N	\N
36473	117	1998-07-12	VYDAJ	VYBER	2160	17502	\N	\N	\N
36474	117	1998-05-01	VYDAJ	VYBER	2800	16128	\N	\N	\N
36475	117	1998-11-25	VYDAJ	VYBER	1440	18126	\N	\N	\N
36476	117	1998-05-11	VYDAJ	VYBER	2400	16302	\N	\N	\N
36492	117	1994-01-31	VYDAJ	VYBER	15	13174	SLUZBY	\N	\N
36493	117	1994-02-28	VYDAJ	VYBER	15	15796	SLUZBY	\N	\N
36494	117	1994-03-31	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
36495	117	1994-04-30	VYDAJ	VYBER	15	20592	SLUZBY	\N	\N
36496	117	1994-05-31	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
36497	117	1994-06-30	VYDAJ	VYBER	15	13895	SLUZBY	\N	\N
36498	117	1994-07-31	VYDAJ	VYBER	15	12594	SLUZBY	\N	\N
36499	117	1994-08-31	VYDAJ	VYBER	15	15214	SLUZBY	\N	\N
36500	117	1994-09-30	VYDAJ	VYBER	15	17844	SLUZBY	\N	\N
36501	117	1994-10-31	VYDAJ	VYBER	15	20486	SLUZBY	\N	\N
36502	117	1994-11-30	VYDAJ	VYBER	15	23139	SLUZBY	\N	\N
36503	117	1994-12-31	VYDAJ	VYBER	15	25002	SLUZBY	\N	\N
36504	117	1995-01-31	VYDAJ	VYBER	15	15890	SLUZBY	\N	\N
36505	117	1995-02-28	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
36506	117	1995-03-31	VYDAJ	VYBER	15	20044	SLUZBY	\N	\N
36507	117	1995-04-30	VYDAJ	VYBER	15	22695	SLUZBY	\N	\N
36508	117	1995-05-31	VYDAJ	VYBER	15	22474	SLUZBY	\N	\N
36509	117	1995-06-30	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
36510	117	1995-07-31	VYDAJ	VYBER	15	23456	SLUZBY	\N	\N
36511	117	1995-08-31	VYDAJ	VYBER	15	26121	SLUZBY	\N	\N
36512	117	1995-09-30	VYDAJ	VYBER	15	25106	SLUZBY	\N	\N
36513	117	1995-10-31	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
36514	117	1995-11-30	VYDAJ	VYBER	15	26842	SLUZBY	\N	\N
36515	117	1995-12-31	VYDAJ	VYBER	15	27717	SLUZBY	\N	\N
36516	117	1996-01-31	VYDAJ	VYBER	15	18273	SLUZBY	\N	\N
36517	117	1996-02-29	VYDAJ	VYBER	15	16985	SLUZBY	\N	\N
36518	117	1996-03-31	VYDAJ	VYBER	15	17777	SLUZBY	\N	\N
36519	117	1996-04-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
36520	117	1996-05-31	VYDAJ	VYBER	15	19207	SLUZBY	\N	\N
36521	117	1996-06-30	VYDAJ	VYBER	15	20303	SLUZBY	\N	\N
36522	117	1996-07-31	VYDAJ	VYBER	15	21852	SLUZBY	\N	\N
36523	117	1996-08-31	VYDAJ	VYBER	15	24510	SLUZBY	\N	\N
36524	117	1996-09-30	VYDAJ	VYBER	15	24374	SLUZBY	\N	\N
36525	117	1996-10-31	VYDAJ	VYBER	15	24237	SLUZBY	\N	\N
36526	117	1996-11-30	VYDAJ	VYBER	15	24899	SLUZBY	\N	\N
36527	117	1996-12-31	VYDAJ	VYBER	15	24313	SLUZBY	\N	\N
36528	117	1997-01-31	VYDAJ	VYBER	15	16542	SLUZBY	\N	\N
36529	117	1997-02-28	VYDAJ	VYBER	15	19177	SLUZBY	\N	\N
36530	117	1997-03-31	VYDAJ	VYBER	15	18460	SLUZBY	\N	\N
36531	117	1997-04-30	VYDAJ	VYBER	15	21104	SLUZBY	\N	\N
36532	117	1997-05-31	VYDAJ	VYBER	15	21372	SLUZBY	\N	\N
36533	117	1997-06-30	VYDAJ	VYBER	15	19219	SLUZBY	\N	\N
36534	117	1997-07-31	VYDAJ	VYBER	15	21865	SLUZBY	\N	\N
36535	117	1997-08-31	VYDAJ	VYBER	15	24523	SLUZBY	\N	\N
36536	117	1997-09-30	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
36537	117	1997-10-31	VYDAJ	VYBER	15	27479	SLUZBY	\N	\N
36538	117	1997-11-30	VYDAJ	VYBER	15	27252	SLUZBY	\N	\N
36539	117	1997-12-31	VYDAJ	VYBER	15	23055	SLUZBY	\N	\N
36540	117	1998-01-31	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
36541	117	1998-02-28	VYDAJ	VYBER	15	18721	SLUZBY	\N	\N
36542	117	1998-03-31	VYDAJ	VYBER	15	21365	SLUZBY	\N	\N
36543	117	1998-04-30	VYDAJ	VYBER	15	18928	SLUZBY	\N	\N
36544	117	1998-05-31	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
36545	117	1998-06-30	VYDAJ	VYBER	15	17088	SLUZBY	\N	\N
36546	117	1998-07-31	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
36547	117	1998-08-31	VYDAJ	VYBER	15	20197	SLUZBY	\N	\N
36548	117	1998-09-30	VYDAJ	VYBER	15	22552	SLUZBY	\N	\N
36549	117	1998-10-31	VYDAJ	VYBER	15	16992	SLUZBY	\N	\N
36550	117	1998-11-30	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
36551	117	1994-01-03	VYDAJ	VYBER	300	20305	\N	\N	\N
36552	117	1994-12-29	VYDAJ	VYBER	500	24913	\N	\N	\N
36553	117	1995-07-27	VYDAJ	VYBER	100	24088	\N	\N	\N
36554	117	1995-10-25	VYDAJ	VYBER	3600	24080	\N	\N	\N
36555	117	1995-12-24	VYDAJ	VYBER	700	27616	\N	\N	\N
36556	117	1996-07-21	VYDAJ	VYBER	1100	21777	\N	\N	\N
36557	117	1996-09-19	VYDAJ	VYBER	2800	24284	\N	\N	\N
36558	117	1996-12-18	VYDAJ	VYBER	2200	24223	\N	\N	\N
36559	117	1997-05-17	VYDAJ	VYBER	1100	21298	\N	\N	\N
36560	117	1997-06-16	VYDAJ	VYBER	1100	19146	\N	\N	\N
36561	117	1997-09-14	VYDAJ	VYBER	1500	25597	\N	\N	\N
36562	117	1997-11-13	VYDAJ	VYBER	2900	27153	\N	\N	\N
36563	117	1997-12-13	VYDAJ	VYBER	4000	25526	\N	\N	\N
36564	117	1998-04-12	VYDAJ	VYBER	3000	20939	\N	\N	\N
36565	117	1998-09-09	VYDAJ	VYBER	300	24800	\N	\N	\N
36566	117	1998-10-09	VYDAJ	VYBER	8200	19255	\N	\N	\N
36567	117	1998-12-08	VYDAJ	VYBER	3800	19290	\N	\N	\N
36632	118	1997-09-18	PRIJEM	VKLAD	600	600	\N	\N	\N
36642	118	1997-10-09	PRIJEM	PREVOD Z UCTU	3674	4274	\N	EF	8585966
36643	118	1997-11-09	PRIJEM	PREVOD Z UCTU	3674	18877	\N	EF	8585966
36644	118	1997-12-09	PRIJEM	PREVOD Z UCTU	3674	28232	\N	EF	8585966
36645	118	1998-01-09	PRIJEM	PREVOD Z UCTU	3674	33719	\N	EF	8585966
36646	118	1998-02-09	PRIJEM	PREVOD Z UCTU	3674	40532	\N	EF	8585966
36647	118	1998-03-09	PRIJEM	PREVOD Z UCTU	3674	38096	\N	EF	8585966
36648	118	1998-04-09	PRIJEM	PREVOD Z UCTU	3674	33191	\N	EF	8585966
36649	118	1998-05-09	PRIJEM	PREVOD Z UCTU	3674	31081	\N	EF	8585966
36650	118	1998-06-09	PRIJEM	PREVOD Z UCTU	3674	28334	\N	EF	8585966
36651	118	1998-07-09	PRIJEM	PREVOD Z UCTU	3674	24012	\N	EF	8585966
36652	118	1998-08-09	PRIJEM	PREVOD Z UCTU	3674	26022	\N	EF	8585966
36653	118	1998-09-09	PRIJEM	PREVOD Z UCTU	3674	26520	\N	EF	8585966
36654	118	1998-10-09	PRIJEM	PREVOD Z UCTU	3674	30546	\N	EF	8585966
36655	118	1998-11-09	PRIJEM	PREVOD Z UCTU	3674	31080	\N	EF	8585966
36656	118	1998-12-09	PRIJEM	PREVOD Z UCTU	3674	29573	\N	EF	8585966
36671	118	1998-03-07	VYDAJ	PREVOD NA UCET	2449	34422	SIPO	IJ	51605445
36672	118	1998-04-07	VYDAJ	PREVOD NA UCET	2449	29517	SIPO	IJ	51605445
36673	118	1998-05-07	VYDAJ	PREVOD NA UCET	2449	27407	SIPO	IJ	51605445
36674	118	1998-06-07	VYDAJ	PREVOD NA UCET	2449	24660	SIPO	IJ	51605445
36675	118	1998-07-07	VYDAJ	PREVOD NA UCET	2449	20338	SIPO	IJ	51605445
36676	118	1998-08-07	VYDAJ	PREVOD NA UCET	2449	22348	SIPO	IJ	51605445
36677	118	1998-09-07	VYDAJ	PREVOD NA UCET	2449	22846	SIPO	IJ	51605445
36678	118	1998-10-07	VYDAJ	PREVOD NA UCET	2449	26872	SIPO	IJ	51605445
36679	118	1998-11-07	VYDAJ	PREVOD NA UCET	2449	27406	SIPO	IJ	51605445
36680	118	1998-12-07	VYDAJ	PREVOD NA UCET	2449	25899	SIPO	IJ	51605445
36682	118	1998-06-22	VYDAJ	VYBER	4140	22694	\N	\N	\N
36686	118	1998-12-11	VYDAJ	VYBER	210	29363	\N	\N	\N
36704	118	1998-11-28	VYDAJ	VYBER	840	28240	\N	\N	\N
36705	118	1998-09-04	VYDAJ	VYBER	720	25295	\N	\N	\N
36706	118	1998-03-18	VYDAJ	VYBER	1260	31836	\N	\N	\N
36707	118	1998-04-15	VYDAJ	VYBER	1350	31841	\N	\N	\N
36708	118	1998-05-16	VYDAJ	VYBER	1110	27271	\N	\N	\N
36709	118	1998-06-03	VYDAJ	VYBER	270	27109	\N	\N	\N
36724	118	1998-02-28	VYDAJ	VYBER	15	36871	SLUZBY	\N	\N
36725	118	1998-03-31	VYDAJ	VYBER	15	31966	SLUZBY	\N	\N
36726	118	1998-04-30	VYDAJ	VYBER	15	29856	SLUZBY	\N	\N
36727	118	1998-05-31	VYDAJ	VYBER	15	27379	SLUZBY	\N	\N
36728	118	1998-06-30	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
36729	118	1998-07-31	VYDAJ	VYBER	15	24797	SLUZBY	\N	\N
36730	118	1998-08-31	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
36731	118	1998-09-30	VYDAJ	VYBER	15	29321	SLUZBY	\N	\N
36732	118	1998-10-31	VYDAJ	VYBER	15	29855	SLUZBY	\N	\N
36733	118	1998-11-30	VYDAJ	VYBER	15	28348	SLUZBY	\N	\N
36734	118	1997-10-18	PRIJEM	VKLAD	10900	15174	\N	\N	\N
36735	118	1997-11-17	PRIJEM	VKLAD	5600	24477	\N	\N	\N
36736	118	1997-12-17	PRIJEM	VKLAD	1700	29932	\N	\N	\N
36737	118	1998-01-16	PRIJEM	VKLAD	3000	36719	\N	\N	\N
36738	118	1998-02-15	VYDAJ	VYBER	3800	36732	\N	\N	\N
36739	118	1998-03-17	VYDAJ	VYBER	5000	33096	\N	\N	\N
36740	118	1998-04-16	VYDAJ	VYBER	2100	29741	\N	\N	\N
36741	118	1998-05-16	VYDAJ	VYBER	2700	28381	\N	\N	\N
36742	118	1998-06-15	VYDAJ	VYBER	1500	26834	\N	\N	\N
36743	118	1998-07-15	PRIJEM	VKLAD	700	24712	\N	\N	\N
36744	118	1998-08-14	VYDAJ	VYBER	100	25922	\N	\N	\N
36745	118	1998-09-13	PRIJEM	VKLAD	2700	29220	\N	\N	\N
36746	118	1998-10-13	VYDAJ	VYBER	800	29746	\N	\N	\N
36747	118	1998-11-12	VYDAJ	VYBER	2000	29080	\N	\N	\N
36763	119	1993-05-25	PRIJEM	VKLAD	800	800	\N	\N	\N
36769	119	1993-06-13	PRIJEM	VKLAD	32288	33088	\N	\N	\N
36770	119	1993-07-13	PRIJEM	VKLAD	21525	51242	\N	\N	\N
36771	119	1993-08-13	PRIJEM	VKLAD	21525	57597	\N	\N	\N
36772	119	1993-09-13	PRIJEM	VKLAD	21525	60976	\N	\N	\N
36773	119	1993-10-13	PRIJEM	VKLAD	21525	63268	\N	\N	\N
36774	119	1993-11-13	PRIJEM	VKLAD	21525	55500	\N	\N	\N
36775	119	1993-12-13	PRIJEM	VKLAD	32288	63812	\N	\N	\N
36776	119	1994-01-13	PRIJEM	VKLAD	21525	53969	\N	\N	\N
36777	119	1994-02-13	PRIJEM	VKLAD	21525	46097	\N	\N	\N
36778	119	1994-03-13	PRIJEM	VKLAD	21525	43305	\N	\N	\N
36779	119	1994-04-13	PRIJEM	VKLAD	21525	45708	\N	\N	\N
36780	119	1994-05-13	PRIJEM	VKLAD	21525	49520	\N	\N	\N
36781	119	1994-06-13	PRIJEM	VKLAD	32288	60705	\N	\N	\N
36782	119	1994-07-13	PRIJEM	VKLAD	21525	48142	\N	\N	\N
36783	119	1994-08-13	PRIJEM	VKLAD	21525	44360	\N	\N	\N
36784	119	1994-09-13	PRIJEM	VKLAD	21525	49366	\N	\N	\N
36785	119	1994-10-13	PRIJEM	VKLAD	21525	48680	\N	\N	\N
36786	119	1994-11-13	PRIJEM	VKLAD	21525	49995	\N	\N	\N
36787	119	1994-12-13	PRIJEM	VKLAD	32288	63079	\N	\N	\N
36788	119	1995-01-13	PRIJEM	VKLAD	21525	51122	\N	\N	\N
36789	119	1995-02-13	PRIJEM	VKLAD	21525	45339	\N	\N	\N
36790	119	1995-03-13	PRIJEM	VKLAD	21525	46736	\N	\N	\N
36791	119	1995-04-13	PRIJEM	VKLAD	21525	47941	\N	\N	\N
36792	119	1995-05-13	PRIJEM	VKLAD	21525	48451	\N	\N	\N
36793	119	1995-06-13	PRIJEM	VKLAD	32288	56715	\N	\N	\N
36794	119	1995-07-13	PRIJEM	VKLAD	21525	49327	\N	\N	\N
36795	119	1995-08-13	PRIJEM	VKLAD	21525	43733	\N	\N	\N
36796	119	1995-09-13	PRIJEM	VKLAD	21525	44322	\N	\N	\N
36797	119	1995-10-13	PRIJEM	VKLAD	21525	48743	\N	\N	\N
36798	119	1995-11-13	PRIJEM	VKLAD	21525	43795	\N	\N	\N
36799	119	1995-12-13	PRIJEM	VKLAD	32288	51100	\N	\N	\N
36800	119	1996-01-13	PRIJEM	VKLAD	21525	43752	\N	\N	\N
36801	119	1996-02-13	PRIJEM	VKLAD	21525	44188	\N	\N	\N
36802	119	1996-03-13	PRIJEM	VKLAD	21525	43518	\N	\N	\N
36803	119	1996-04-13	PRIJEM	VKLAD	21525	43350	\N	\N	\N
36804	119	1996-05-13	PRIJEM	VKLAD	21525	40779	\N	\N	\N
36805	119	1996-06-13	PRIJEM	VKLAD	32288	50063	\N	\N	\N
36806	119	1996-07-13	PRIJEM	VKLAD	21525	47910	\N	\N	\N
36807	119	1996-08-13	PRIJEM	VKLAD	21525	45967	\N	\N	\N
36808	119	1996-09-13	PRIJEM	VKLAD	21525	46316	\N	\N	\N
36809	119	1996-10-13	PRIJEM	VKLAD	21525	44761	\N	\N	\N
36810	119	1996-11-13	PRIJEM	VKLAD	21525	43500	\N	\N	\N
36811	119	1996-12-13	PRIJEM	VKLAD	32288	53395	\N	\N	\N
36812	119	1997-01-13	PRIJEM	VKLAD	21525	43652	\N	\N	\N
36813	119	1997-02-13	PRIJEM	VKLAD	21525	41482	\N	\N	\N
36814	119	1997-03-13	PRIJEM	VKLAD	21525	45499	\N	\N	\N
36815	119	1997-04-13	PRIJEM	VKLAD	21525	48336	\N	\N	\N
36816	119	1997-05-13	PRIJEM	VKLAD	21525	48786	\N	\N	\N
36817	119	1997-06-13	PRIJEM	VKLAD	32288	60103	\N	\N	\N
36818	119	1997-07-13	PRIJEM	VKLAD	21525	49957	\N	\N	\N
36819	119	1997-08-13	PRIJEM	VKLAD	21525	52306	\N	\N	\N
36820	119	1997-09-13	PRIJEM	VKLAD	21525	55473	\N	\N	\N
36821	119	1997-10-13	PRIJEM	VKLAD	21525	59148	\N	\N	\N
36822	119	1997-11-13	PRIJEM	VKLAD	21525	61438	\N	\N	\N
36823	119	1997-12-13	PRIJEM	VKLAD	32288	70508	\N	\N	\N
36824	119	1998-01-13	PRIJEM	VKLAD	21525	61332	\N	\N	\N
36825	119	1998-02-13	PRIJEM	VKLAD	21525	60213	\N	\N	\N
36826	119	1998-03-13	PRIJEM	VKLAD	21525	54192	\N	\N	\N
36827	119	1998-04-13	PRIJEM	VKLAD	21525	54452	\N	\N	\N
36828	119	1998-05-13	PRIJEM	VKLAD	21525	52004	\N	\N	\N
36829	119	1998-06-13	PRIJEM	VKLAD	32288	44510	\N	\N	\N
36830	119	1998-07-13	PRIJEM	VKLAD	21525	44131	\N	\N	\N
36831	119	1998-08-13	PRIJEM	VKLAD	21525	45233	\N	\N	\N
36832	119	1998-09-13	PRIJEM	VKLAD	21525	50748	\N	\N	\N
36833	119	1998-10-13	PRIJEM	VKLAD	21525	49281	\N	\N	\N
36834	119	1998-11-13	PRIJEM	VKLAD	21525	50907	\N	\N	\N
36835	119	1998-12-13	PRIJEM	VKLAD	32288	58199	\N	\N	\N
36846	119	1993-11-12	VYDAJ	PREVOD NA UCET	8252	33975	SIPO	ST	21662587
36847	119	1993-12-12	VYDAJ	PREVOD NA UCET	8252	31524	SIPO	ST	21662587
36848	119	1994-01-12	VYDAJ	PREVOD NA UCET	8252	32444	SIPO	ST	21662587
36849	119	1994-02-12	VYDAJ	PREVOD NA UCET	8252	24572	SIPO	ST	21662587
36850	119	1994-03-12	VYDAJ	PREVOD NA UCET	8252	21780	SIPO	ST	21662587
36851	119	1994-04-12	VYDAJ	PREVOD NA UCET	8252	24183	SIPO	ST	21662587
36852	119	1994-05-12	VYDAJ	PREVOD NA UCET	8252	27995	SIPO	ST	21662587
36853	119	1994-06-12	VYDAJ	PREVOD NA UCET	8252	28417	SIPO	ST	21662587
36854	119	1994-07-12	VYDAJ	PREVOD NA UCET	8252	26617	SIPO	ST	21662587
36855	119	1994-08-12	VYDAJ	PREVOD NA UCET	8252	22835	SIPO	ST	21662587
36856	119	1994-09-12	VYDAJ	PREVOD NA UCET	8252	27841	SIPO	ST	21662587
36857	119	1994-10-12	VYDAJ	PREVOD NA UCET	8252	27155	SIPO	ST	21662587
36858	119	1994-11-12	VYDAJ	PREVOD NA UCET	8252	28470	SIPO	ST	21662587
36859	119	1994-12-12	VYDAJ	PREVOD NA UCET	8252	30791	SIPO	ST	21662587
36860	119	1995-01-12	VYDAJ	PREVOD NA UCET	8252	29597	SIPO	ST	21662587
36861	119	1995-02-12	VYDAJ	PREVOD NA UCET	8252	23814	SIPO	ST	21662587
36862	119	1995-03-12	VYDAJ	PREVOD NA UCET	8252	25211	SIPO	ST	21662587
36863	119	1995-04-12	VYDAJ	PREVOD NA UCET	8252	26416	SIPO	ST	21662587
36864	119	1995-05-12	VYDAJ	PREVOD NA UCET	8252	26926	SIPO	ST	21662587
36865	119	1995-06-12	VYDAJ	PREVOD NA UCET	8252	24427	SIPO	ST	21662587
36866	119	1995-07-12	VYDAJ	PREVOD NA UCET	8252	27802	SIPO	ST	21662587
36867	119	1995-08-12	VYDAJ	PREVOD NA UCET	8252	22208	SIPO	ST	21662587
36868	119	1995-09-12	VYDAJ	PREVOD NA UCET	8252	22797	SIPO	ST	21662587
36869	119	1995-10-12	VYDAJ	PREVOD NA UCET	8252	27218	SIPO	ST	21662587
36870	119	1995-11-12	VYDAJ	PREVOD NA UCET	8252	22270	SIPO	ST	21662587
36871	119	1995-12-12	VYDAJ	PREVOD NA UCET	8252	18812	SIPO	ST	21662587
36872	119	1996-01-12	VYDAJ	PREVOD NA UCET	8252	22227	SIPO	ST	21662587
36873	119	1996-02-12	VYDAJ	PREVOD NA UCET	8252	22663	SIPO	ST	21662587
36874	119	1996-03-12	VYDAJ	PREVOD NA UCET	8252	21993	SIPO	ST	21662587
36875	119	1996-04-12	VYDAJ	PREVOD NA UCET	8252	21825	SIPO	ST	21662587
36876	119	1996-05-12	VYDAJ	PREVOD NA UCET	8252	19254	SIPO	ST	21662587
36877	119	1996-06-12	VYDAJ	PREVOD NA UCET	8252	17775	SIPO	ST	21662587
36878	119	1996-07-12	VYDAJ	PREVOD NA UCET	8252	26385	SIPO	ST	21662587
36879	119	1996-08-12	VYDAJ	PREVOD NA UCET	8252	24442	SIPO	ST	21662587
36880	119	1996-09-12	VYDAJ	PREVOD NA UCET	8252	24791	SIPO	ST	21662587
36881	119	1996-10-12	VYDAJ	PREVOD NA UCET	8252	23236	SIPO	ST	21662587
36882	119	1996-11-12	VYDAJ	PREVOD NA UCET	8252	21975	SIPO	ST	21662587
36883	119	1996-12-12	VYDAJ	PREVOD NA UCET	8252	21107	SIPO	ST	21662587
36884	119	1997-01-12	VYDAJ	PREVOD NA UCET	8252	22127	SIPO	ST	21662587
36885	119	1997-02-12	VYDAJ	PREVOD NA UCET	8252	19957	SIPO	ST	21662587
36886	119	1997-03-12	VYDAJ	PREVOD NA UCET	8252	23974	SIPO	ST	21662587
36887	119	1997-04-12	VYDAJ	PREVOD NA UCET	8252	26811	SIPO	ST	21662587
36888	119	1997-05-12	VYDAJ	PREVOD NA UCET	8252	27261	SIPO	ST	21662587
36889	119	1997-06-12	VYDAJ	PREVOD NA UCET	8252	27815	SIPO	ST	21662587
36890	119	1997-07-12	VYDAJ	PREVOD NA UCET	8252	28432	SIPO	ST	21662587
36891	119	1997-08-12	VYDAJ	PREVOD NA UCET	8252	30781	SIPO	ST	21662587
36892	119	1997-09-12	VYDAJ	PREVOD NA UCET	8252	33948	SIPO	ST	21662587
36893	119	1997-10-12	VYDAJ	PREVOD NA UCET	8252	37623	SIPO	ST	21662587
36894	119	1997-11-12	VYDAJ	PREVOD NA UCET	8252	39913	SIPO	ST	21662587
36895	119	1997-12-12	VYDAJ	PREVOD NA UCET	8252	38220	SIPO	ST	21662587
36896	119	1998-01-12	VYDAJ	PREVOD NA UCET	8252	39807	SIPO	ST	21662587
36897	119	1998-02-12	VYDAJ	PREVOD NA UCET	8252	38688	SIPO	ST	21662587
36898	119	1998-03-12	VYDAJ	PREVOD NA UCET	8252	32667	SIPO	ST	21662587
36899	119	1998-04-12	VYDAJ	PREVOD NA UCET	8252	32927	SIPO	ST	21662587
36900	119	1998-05-12	VYDAJ	PREVOD NA UCET	8252	30479	SIPO	ST	21662587
36901	119	1998-06-12	VYDAJ	PREVOD NA UCET	8252	12222	SIPO	ST	21662587
36902	119	1998-07-12	VYDAJ	PREVOD NA UCET	8252	22606	SIPO	ST	21662587
36903	119	1998-08-12	VYDAJ	PREVOD NA UCET	8252	23708	SIPO	ST	21662587
36904	119	1998-09-12	VYDAJ	PREVOD NA UCET	8252	29223	SIPO	ST	21662587
36905	119	1998-10-12	VYDAJ	PREVOD NA UCET	8252	27756	SIPO	ST	21662587
36906	119	1998-11-12	VYDAJ	PREVOD NA UCET	8252	29382	SIPO	ST	21662587
36907	119	1998-12-12	VYDAJ	PREVOD NA UCET	8252	25911	SIPO	ST	21662587
36909	119	1994-06-23	VYDAJ	VYBER	6800	37805	\N	\N	\N
36910	119	1995-06-26	VYDAJ	VYBER	4500	35915	\N	\N	\N
36912	119	1997-06-16	VYDAJ	VYBER	14900	45203	\N	\N	\N
36913	119	1998-06-04	VYDAJ	VYBER	18600	20474	\N	\N	\N
36914	119	1993-12-08	VYDAJ	VYBER	2500	39776	\N	\N	\N
36915	119	1994-12-23	VYDAJ	VYBER	2900	43279	\N	\N	\N
36916	119	1995-12-27	VYDAJ	VYBER	2000	49100	\N	\N	\N
36917	119	1996-12-19	VYDAJ	VYBER	1000	52395	\N	\N	\N
36918	119	1997-12-09	VYDAJ	VYBER	1100	46472	\N	\N	\N
36919	119	1998-12-15	VYDAJ	VYBER	1000	57199	\N	\N	\N
36926	119	1994-01-29	VYDAJ	VYBER	900	32669	\N	\N	\N
36927	119	1994-01-15	VYDAJ	VYBER	2600	51369	\N	\N	\N
36928	119	1994-01-15	VYDAJ	VYBER	800	50569	\N	\N	\N
36929	119	1994-01-20	VYDAJ	VYBER	1600	48169	\N	\N	\N
36930	119	1994-01-09	VYDAJ	VYBER	700	40696	\N	\N	\N
36931	119	1994-01-16	VYDAJ	VYBER	800	49769	\N	\N	\N
36932	119	1995-01-01	VYDAJ	VYBER	600	42849	\N	\N	\N
36933	119	1995-01-23	VYDAJ	VYBER	1400	36622	\N	\N	\N
36934	119	1995-01-26	VYDAJ	VYBER	2400	34222	\N	\N	\N
36935	119	1995-01-04	VYDAJ	VYBER	2800	40049	\N	\N	\N
36936	119	1995-01-08	VYDAJ	VYBER	2200	37849	\N	\N	\N
36937	119	1995-01-30	VYDAJ	VYBER	2300	31922	\N	\N	\N
36938	119	1996-01-28	VYDAJ	VYBER	2200	41052	\N	\N	\N
36939	119	1996-01-18	VYDAJ	VYBER	500	43252	\N	\N	\N
36940	119	1996-01-29	VYDAJ	VYBER	2000	39052	\N	\N	\N
36941	119	1996-01-07	VYDAJ	VYBER	2300	46079	\N	\N	\N
36942	119	1996-01-11	VYDAJ	VYBER	2100	30479	\N	\N	\N
36943	119	1996-01-01	VYDAJ	VYBER	900	48379	\N	\N	\N
36944	119	1997-01-23	VYDAJ	VYBER	700	38352	\N	\N	\N
36945	119	1997-01-12	VYDAJ	VYBER	2700	30379	\N	\N	\N
36946	119	1997-01-08	VYDAJ	VYBER	1700	33079	\N	\N	\N
36947	119	1997-01-21	VYDAJ	VYBER	2500	41152	\N	\N	\N
36948	119	1997-01-22	VYDAJ	VYBER	2100	39052	\N	\N	\N
36949	119	1997-01-28	VYDAJ	VYBER	2000	36352	\N	\N	\N
36950	119	1998-01-08	VYDAJ	VYBER	1700	48059	\N	\N	\N
36951	119	1998-01-24	VYDAJ	VYBER	1500	56932	\N	\N	\N
36952	119	1998-01-24	VYDAJ	VYBER	1600	55332	\N	\N	\N
36953	119	1998-01-05	VYDAJ	VYBER	1900	51759	\N	\N	\N
36954	119	1998-01-05	VYDAJ	VYBER	2600	53659	\N	\N	\N
36955	119	1998-01-18	VYDAJ	VYBER	2900	58432	\N	\N	\N
36963	119	1994-01-22	VYDAJ	VYBER	4200	33569	\N	\N	\N
36964	119	1994-03-16	VYDAJ	VYBER	2200	41105	\N	\N	\N
36965	119	1994-07-30	VYDAJ	VYBER	4700	30942	\N	\N	\N
36966	119	1994-03-10	VYDAJ	VYBER	3400	30032	\N	\N	\N
36967	119	1994-07-06	VYDAJ	VYBER	3100	34869	\N	\N	\N
36968	119	1994-01-05	VYDAJ	VYBER	1400	41396	\N	\N	\N
36969	119	1995-05-14	VYDAJ	VYBER	2600	45851	\N	\N	\N
36970	119	1995-12-07	VYDAJ	VYBER	4200	39764	\N	\N	\N
36971	119	1995-07-29	VYDAJ	VYBER	4300	30327	\N	\N	\N
36972	119	1995-11-06	VYDAJ	VYBER	1700	47222	\N	\N	\N
36973	119	1995-07-18	VYDAJ	VYBER	2700	34627	\N	\N	\N
36974	119	1995-04-30	VYDAJ	VYBER	1500	35192	\N	\N	\N
36975	119	1996-03-23	VYDAJ	VYBER	2100	39418	\N	\N	\N
36976	119	1996-10-18	VYDAJ	VYBER	1600	43161	\N	\N	\N
36977	119	1996-09-16	VYDAJ	VYBER	600	45716	\N	\N	\N
36978	119	1996-05-02	VYDAJ	VYBER	2700	40806	\N	\N	\N
36979	119	1996-11-18	VYDAJ	VYBER	1000	42500	\N	\N	\N
36980	119	1996-03-21	VYDAJ	VYBER	2000	41518	\N	\N	\N
36981	119	1997-07-08	VYDAJ	VYBER	2700	36684	\N	\N	\N
36982	119	1997-11-29	VYDAJ	VYBER	2100	59338	\N	\N	\N
36983	119	1997-09-18	VYDAJ	VYBER	2400	53073	\N	\N	\N
36984	119	1997-04-27	VYDAJ	VYBER	800	47536	\N	\N	\N
36985	119	1998-07-14	VYDAJ	VYBER	3200	40931	\N	\N	\N
36986	119	1998-09-26	VYDAJ	VYBER	1500	49248	\N	\N	\N
36987	119	1998-07-25	VYDAJ	VYBER	3200	37731	\N	\N	\N
36988	119	1998-04-16	VYDAJ	VYBER	1400	53052	\N	\N	\N
36989	119	1998-01-07	VYDAJ	VYBER	2000	49759	\N	\N	\N
36990	119	1998-03-09	VYDAJ	VYBER	3600	40919	\N	\N	\N
36991	119	1998-10-22	VYDAJ	VYBER	1200	48081	\N	\N	\N
37003	119	1993-10-31	VYDAJ	VYBER	15	42227	SLUZBY	\N	\N
37004	119	1993-11-30	VYDAJ	VYBER	15	42276	SLUZBY	\N	\N
37005	119	1993-12-31	VYDAJ	VYBER	15	42796	SLUZBY	\N	\N
37006	119	1994-01-31	VYDAJ	VYBER	15	32824	SLUZBY	\N	\N
37007	119	1994-02-28	VYDAJ	VYBER	15	33432	SLUZBY	\N	\N
37008	119	1994-03-31	VYDAJ	VYBER	15	32435	SLUZBY	\N	\N
37009	119	1994-04-30	VYDAJ	VYBER	15	36247	SLUZBY	\N	\N
37010	119	1994-05-31	VYDAJ	VYBER	15	36669	SLUZBY	\N	\N
37011	119	1994-06-30	VYDAJ	VYBER	15	37969	SLUZBY	\N	\N
37012	119	1994-07-31	VYDAJ	VYBER	15	31087	SLUZBY	\N	\N
37013	119	1994-08-31	VYDAJ	VYBER	15	36093	SLUZBY	\N	\N
37014	119	1994-09-30	VYDAJ	VYBER	15	35407	SLUZBY	\N	\N
37015	119	1994-10-31	VYDAJ	VYBER	15	36722	SLUZBY	\N	\N
37016	119	1994-11-30	VYDAJ	VYBER	15	39043	SLUZBY	\N	\N
37017	119	1994-12-31	VYDAJ	VYBER	15	43449	SLUZBY	\N	\N
37018	119	1995-01-31	VYDAJ	VYBER	15	32066	SLUZBY	\N	\N
37019	119	1995-02-28	VYDAJ	VYBER	15	33463	SLUZBY	\N	\N
37020	119	1995-03-31	VYDAJ	VYBER	15	34668	SLUZBY	\N	\N
37021	119	1995-04-30	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
37022	119	1995-05-31	VYDAJ	VYBER	15	32679	SLUZBY	\N	\N
37023	119	1995-06-30	VYDAJ	VYBER	15	36054	SLUZBY	\N	\N
37024	119	1995-07-31	VYDAJ	VYBER	15	30460	SLUZBY	\N	\N
37025	119	1995-08-31	VYDAJ	VYBER	15	32049	SLUZBY	\N	\N
37026	119	1995-09-30	VYDAJ	VYBER	15	44470	SLUZBY	\N	\N
37027	119	1995-10-31	VYDAJ	VYBER	15	48922	SLUZBY	\N	\N
37028	119	1995-11-30	VYDAJ	VYBER	15	43964	SLUZBY	\N	\N
37029	119	1995-12-31	VYDAJ	VYBER	15	49279	SLUZBY	\N	\N
37030	119	1996-01-31	VYDAJ	VYBER	15	39215	SLUZBY	\N	\N
37031	119	1996-02-29	VYDAJ	VYBER	15	44345	SLUZBY	\N	\N
37032	119	1996-03-31	VYDAJ	VYBER	15	39577	SLUZBY	\N	\N
37033	119	1996-04-30	VYDAJ	VYBER	15	43506	SLUZBY	\N	\N
37034	119	1996-05-31	VYDAJ	VYBER	15	40927	SLUZBY	\N	\N
37035	119	1996-06-30	VYDAJ	VYBER	15	50237	SLUZBY	\N	\N
37036	119	1996-07-31	VYDAJ	VYBER	15	48094	SLUZBY	\N	\N
37037	119	1996-08-31	VYDAJ	VYBER	15	46143	SLUZBY	\N	\N
37038	119	1996-09-30	VYDAJ	VYBER	15	45888	SLUZBY	\N	\N
37039	119	1996-10-31	VYDAJ	VYBER	15	43327	SLUZBY	\N	\N
37040	119	1996-11-30	VYDAJ	VYBER	15	42659	SLUZBY	\N	\N
37041	119	1996-12-31	VYDAJ	VYBER	15	52579	SLUZBY	\N	\N
37042	119	1997-01-31	VYDAJ	VYBER	15	36509	SLUZBY	\N	\N
37043	119	1997-02-28	VYDAJ	VYBER	15	41626	SLUZBY	\N	\N
37044	119	1997-03-31	VYDAJ	VYBER	15	45663	SLUZBY	\N	\N
37045	119	1997-04-30	VYDAJ	VYBER	15	47713	SLUZBY	\N	\N
37046	119	1997-05-31	VYDAJ	VYBER	15	48967	SLUZBY	\N	\N
37047	119	1997-06-30	VYDAJ	VYBER	15	45384	SLUZBY	\N	\N
37048	119	1997-07-31	VYDAJ	VYBER	15	50133	SLUZBY	\N	\N
37049	119	1997-08-31	VYDAJ	VYBER	15	52500	SLUZBY	\N	\N
37050	119	1997-09-30	VYDAJ	VYBER	15	53275	SLUZBY	\N	\N
37051	119	1997-10-31	VYDAJ	VYBER	15	59365	SLUZBY	\N	\N
37052	119	1997-11-30	VYDAJ	VYBER	15	59572	SLUZBY	\N	\N
37053	119	1997-12-31	VYDAJ	VYBER	15	56259	SLUZBY	\N	\N
37054	119	1998-01-31	VYDAJ	VYBER	15	46940	SLUZBY	\N	\N
37055	119	1998-02-28	VYDAJ	VYBER	15	60419	SLUZBY	\N	\N
37056	119	1998-03-31	VYDAJ	VYBER	15	41179	SLUZBY	\N	\N
37057	119	1998-04-30	VYDAJ	VYBER	15	38731	SLUZBY	\N	\N
37058	119	1998-05-31	VYDAJ	VYBER	15	39074	SLUZBY	\N	\N
37059	119	1998-06-30	VYDAJ	VYBER	15	30858	SLUZBY	\N	\N
37060	119	1998-07-31	VYDAJ	VYBER	15	31960	SLUZBY	\N	\N
37061	119	1998-08-31	VYDAJ	VYBER	15	37475	SLUZBY	\N	\N
37062	119	1998-09-30	VYDAJ	VYBER	15	36008	SLUZBY	\N	\N
37063	119	1998-10-31	VYDAJ	VYBER	15	37634	SLUZBY	\N	\N
37064	119	1998-11-30	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
37065	119	1993-06-24	VYDAJ	VYBER	3400	29688	\N	\N	\N
37066	119	1993-07-24	VYDAJ	VYBER	15300	35942	\N	\N	\N
37067	119	1993-08-23	VYDAJ	VYBER	18300	39297	\N	\N	\N
37068	119	1993-09-22	VYDAJ	VYBER	19400	41576	\N	\N	\N
37069	119	1993-10-22	VYDAJ	VYBER	21200	42068	\N	\N	\N
37070	119	1993-11-21	VYDAJ	VYBER	13400	42100	\N	\N	\N
37071	119	1993-12-21	VYDAJ	VYBER	21200	42612	\N	\N	\N
37072	119	1994-01-20	VYDAJ	VYBER	10400	37769	\N	\N	\N
37073	119	1994-02-19	VYDAJ	VYBER	12800	33297	\N	\N	\N
37074	119	1994-03-21	VYDAJ	VYBER	8800	32305	\N	\N	\N
37075	119	1994-04-20	VYDAJ	VYBER	9600	36108	\N	\N	\N
37076	119	1994-05-20	VYDAJ	VYBER	13000	36520	\N	\N	\N
37077	119	1994-06-19	VYDAJ	VYBER	16100	44605	\N	\N	\N
37078	119	1994-07-19	VYDAJ	VYBER	12500	35642	\N	\N	\N
37079	119	1994-08-18	VYDAJ	VYBER	8400	35960	\N	\N	\N
37080	119	1994-09-17	VYDAJ	VYBER	14100	35266	\N	\N	\N
37081	119	1994-10-17	VYDAJ	VYBER	12100	36580	\N	\N	\N
37082	119	1994-11-16	VYDAJ	VYBER	11100	38895	\N	\N	\N
37083	119	1994-12-16	VYDAJ	VYBER	16900	46179	\N	\N	\N
37084	119	1995-01-15	VYDAJ	VYBER	13100	38022	\N	\N	\N
37085	119	1995-02-14	VYDAJ	VYBER	12000	33339	\N	\N	\N
37086	119	1995-03-16	VYDAJ	VYBER	12200	34536	\N	\N	\N
37087	119	1995-04-15	VYDAJ	VYBER	11400	36541	\N	\N	\N
37088	119	1995-05-15	VYDAJ	VYBER	13300	32551	\N	\N	\N
37089	119	1995-06-14	VYDAJ	VYBER	16300	40415	\N	\N	\N
37090	119	1995-07-14	VYDAJ	VYBER	12000	37327	\N	\N	\N
37091	119	1995-08-13	VYDAJ	VYBER	11800	31933	\N	\N	\N
37092	119	1995-09-12	VYDAJ	VYBER	1000	31049	\N	\N	\N
37093	119	1995-10-12	VYDAJ	VYBER	9000	35470	\N	\N	\N
37094	119	1995-11-11	VYDAJ	VYBER	16700	30522	\N	\N	\N
37095	119	1995-12-11	VYDAJ	VYBER	12700	27064	\N	\N	\N
37096	119	1996-01-10	VYDAJ	VYBER	13500	32579	\N	\N	\N
37097	119	1996-02-09	VYDAJ	VYBER	8300	30915	\N	\N	\N
37098	119	1996-03-10	VYDAJ	VYBER	14100	30245	\N	\N	\N
37099	119	1996-04-09	VYDAJ	VYBER	9500	30077	\N	\N	\N
37100	119	1996-05-09	VYDAJ	VYBER	13300	27506	\N	\N	\N
37101	119	1996-06-08	VYDAJ	VYBER	14900	26027	\N	\N	\N
37102	119	1996-07-08	VYDAJ	VYBER	15600	34637	\N	\N	\N
37103	119	1996-08-07	VYDAJ	VYBER	15400	32694	\N	\N	\N
37104	119	1996-09-06	VYDAJ	VYBER	13100	33043	\N	\N	\N
37105	119	1996-10-06	VYDAJ	VYBER	14400	31488	\N	\N	\N
37106	119	1996-11-05	VYDAJ	VYBER	13100	30227	\N	\N	\N
37107	119	1996-12-05	VYDAJ	VYBER	13300	29359	\N	\N	\N
37108	119	1997-01-04	VYDAJ	VYBER	17800	34779	\N	\N	\N
37109	119	1997-02-03	VYDAJ	VYBER	8300	28209	\N	\N	\N
37110	119	1997-03-05	VYDAJ	VYBER	9400	32226	\N	\N	\N
37111	119	1997-04-04	VYDAJ	VYBER	10600	35063	\N	\N	\N
37112	119	1997-05-04	VYDAJ	VYBER	12200	35513	\N	\N	\N
37113	119	1997-06-03	VYDAJ	VYBER	12900	36067	\N	\N	\N
37114	119	1997-07-03	VYDAJ	VYBER	6000	39384	\N	\N	\N
37115	119	1997-08-02	VYDAJ	VYBER	11100	39033	\N	\N	\N
37116	119	1997-09-01	VYDAJ	VYBER	10300	42200	\N	\N	\N
37117	119	1997-10-01	VYDAJ	VYBER	7400	45875	\N	\N	\N
37118	119	1997-10-31	VYDAJ	VYBER	11200	48165	\N	\N	\N
37119	119	1997-11-30	VYDAJ	VYBER	12000	47572	\N	\N	\N
37120	119	1997-12-30	VYDAJ	VYBER	14500	56008	\N	\N	\N
37121	119	1998-01-29	VYDAJ	VYBER	8600	46732	\N	\N	\N
37122	119	1998-02-28	VYDAJ	VYBER	15900	44519	\N	\N	\N
37123	119	1998-03-30	VYDAJ	VYBER	13200	40992	\N	\N	\N
37124	119	1998-04-29	VYDAJ	VYBER	14500	38552	\N	\N	\N
37125	119	1998-05-29	VYDAJ	VYBER	13100	38904	\N	\N	\N
37126	119	1998-06-28	VYDAJ	VYBER	13800	30710	\N	\N	\N
37127	119	1998-07-28	VYDAJ	VYBER	5900	31831	\N	\N	\N
37128	119	1998-08-27	VYDAJ	VYBER	7900	37333	\N	\N	\N
37129	119	1998-09-26	VYDAJ	VYBER	13400	35848	\N	\N	\N
37130	119	1998-10-26	VYDAJ	VYBER	10600	37481	\N	\N	\N
37131	119	1998-11-25	VYDAJ	VYBER	16900	34007	\N	\N	\N
37199	120	1995-06-16	PRIJEM	VKLAD	1100	1100	\N	\N	\N
37200	120	1995-09-26	PRIJEM	VKLAD	29075	83776	\N	\N	\N
37201	120	1995-08-30	PRIJEM	VKLAD	19636	69019	\N	\N	\N
37202	120	1995-09-05	PRIJEM	VKLAD	18018	101166	\N	\N	\N
37203	120	1995-08-03	PRIJEM	VKLAD	10941	70683	\N	\N	\N
37205	120	1995-12-10	PRIJEM	VKLAD	23351	46634	\N	\N	\N
37208	120	1995-06-27	PRIJEM	VKLAD	42216	43316	\N	\N	\N
37209	120	1995-09-05	PRIJEM	VKLAD	13898	83148	\N	\N	\N
37214	120	1995-10-09	PRIJEM	VKLAD	22028	106073	\N	\N	\N
37216	120	1995-07-12	PRIJEM	VKLAD	48187	91527	\N	\N	\N
37217	120	1996-09-23	PRIJEM	VKLAD	47101	71031	\N	\N	\N
37218	120	1996-10-10	PRIJEM	VKLAD	31012	77457	\N	\N	\N
37219	120	1996-08-05	PRIJEM	VKLAD	33922	59420	\N	\N	\N
37220	120	1996-02-05	PRIJEM	VKLAD	17014	37367	\N	\N	\N
37221	120	1996-03-21	PRIJEM	VKLAD	39450	110688	\N	\N	\N
37222	120	1996-04-19	PRIJEM	VKLAD	35326	81545	\N	\N	\N
37223	120	1996-05-28	PRIJEM	VKLAD	11273	58884	\N	\N	\N
37224	120	1996-04-08	PRIJEM	VKLAD	24856	76894	\N	\N	\N
37225	120	1996-09-30	PRIJEM	VKLAD	35184	131670	\N	\N	\N
37226	120	1996-12-18	PRIJEM	VKLAD	43382	92921	\N	\N	\N
37227	120	1996-07-07	PRIJEM	VKLAD	6828	26692	\N	\N	\N
37228	120	1996-06-09	PRIJEM	VKLAD	12324	58822	\N	\N	\N
37229	120	1996-10-18	PRIJEM	VKLAD	34588	108080	\N	\N	\N
37230	120	1996-02-06	PRIJEM	VKLAD	12750	50117	\N	\N	\N
37231	120	1996-11-19	PRIJEM	VKLAD	43726	98310	\N	\N	\N
37232	120	1996-03-23	PRIJEM	VKLAD	7653	63541	\N	\N	\N
37233	120	1996-12-04	PRIJEM	VKLAD	21776	120404	\N	\N	\N
37234	120	1996-09-25	PRIJEM	VKLAD	25455	96486	\N	\N	\N
37235	120	1996-10-20	PRIJEM	VKLAD	5182	83562	\N	\N	\N
37236	120	1996-03-13	PRIJEM	VKLAD	39782	75203	\N	\N	\N
37237	120	1996-04-10	PRIJEM	VKLAD	32190	109084	\N	\N	\N
37238	120	1996-02-09	PRIJEM	VKLAD	40473	90590	\N	\N	\N
37239	120	1997-06-18	PRIJEM	VKLAD	22015	47322	\N	\N	\N
37240	120	1997-10-11	PRIJEM	VKLAD	22285	55543	\N	\N	\N
37241	120	1997-01-10	PRIJEM	VKLAD	7493	50043	\N	\N	\N
37242	120	1997-05-02	PRIJEM	VKLAD	11932	44326	\N	\N	\N
37243	120	1997-04-21	PRIJEM	VKLAD	7413	39849	\N	\N	\N
37244	120	1997-06-20	PRIJEM	VKLAD	39087	86409	\N	\N	\N
37245	120	1997-04-17	PRIJEM	VKLAD	7757	32436	\N	\N	\N
37302	120	1995-09-13	VYDAJ	PREVOD NA UCET	3965	97201	SIPO	ST	36501592
37303	120	1995-10-13	VYDAJ	PREVOD NA UCET	3965	37308	SIPO	ST	36501592
37304	120	1995-11-13	VYDAJ	PREVOD NA UCET	3965	23220	SIPO	ST	36501592
37305	120	1995-12-13	VYDAJ	PREVOD NA UCET	3965	37269	SIPO	ST	36501592
37306	120	1996-01-13	VYDAJ	PREVOD NA UCET	3965	22991	SIPO	ST	36501592
37307	120	1996-02-13	VYDAJ	PREVOD NA UCET	3965	33780	SIPO	ST	36501592
37308	120	1996-03-13	VYDAJ	PREVOD NA UCET	3965	71238	SIPO	ST	36501592
37309	120	1996-04-13	VYDAJ	PREVOD NA UCET	3965	46219	SIPO	ST	36501592
37310	120	1996-05-13	VYDAJ	PREVOD NA UCET	3965	47611	SIPO	ST	36501592
37311	120	1996-06-13	VYDAJ	PREVOD NA UCET	3965	43157	SIPO	ST	36501592
37312	120	1996-07-13	VYDAJ	PREVOD NA UCET	3965	25427	SIPO	ST	36501592
37313	120	1996-08-13	VYDAJ	PREVOD NA UCET	3965	45355	SIPO	ST	36501592
37314	120	1996-09-13	VYDAJ	PREVOD NA UCET	3965	38229	SIPO	ST	36501592
37315	120	1996-10-13	VYDAJ	PREVOD NA UCET	3965	73492	SIPO	ST	36501592
37316	120	1996-11-13	VYDAJ	PREVOD NA UCET	3965	54584	SIPO	ST	36501592
37317	120	1996-12-13	VYDAJ	PREVOD NA UCET	3965	49539	SIPO	ST	36501592
37318	120	1997-01-13	VYDAJ	PREVOD NA UCET	3965	46078	SIPO	ST	36501592
37319	120	1997-02-13	VYDAJ	PREVOD NA UCET	3965	21462	SIPO	ST	36501592
37320	120	1997-03-13	VYDAJ	PREVOD NA UCET	3965	24378	SIPO	ST	36501592
37321	120	1997-04-13	VYDAJ	PREVOD NA UCET	3965	24679	SIPO	ST	36501592
37322	120	1997-05-13	VYDAJ	PREVOD NA UCET	3965	26785	SIPO	ST	36501592
37323	120	1997-06-13	VYDAJ	PREVOD NA UCET	3965	25307	SIPO	ST	36501592
37324	120	1997-07-13	VYDAJ	PREVOD NA UCET	3965	55321	SIPO	ST	36501592
37325	120	1997-08-13	VYDAJ	PREVOD NA UCET	3965	38511	SIPO	ST	36501592
37326	120	1997-09-13	VYDAJ	PREVOD NA UCET	3965	27964	SIPO	ST	36501592
37327	120	1997-10-13	VYDAJ	PREVOD NA UCET	3965	51578	SIPO	ST	36501592
37328	120	1997-11-13	VYDAJ	PREVOD NA UCET	3965	42266	SIPO	ST	36501592
37329	120	1997-12-13	VYDAJ	PREVOD NA UCET	3965	35256	SIPO	ST	36501592
37330	120	1998-01-13	VYDAJ	PREVOD NA UCET	3965	29002	SIPO	ST	36501592
37331	120	1998-02-13	VYDAJ	PREVOD NA UCET	3965	26826	SIPO	ST	36501592
37332	120	1998-03-13	VYDAJ	PREVOD NA UCET	3965	27757	SIPO	ST	36501592
37333	120	1998-04-13	VYDAJ	PREVOD NA UCET	3965	30475	SIPO	ST	36501592
37334	120	1998-05-13	VYDAJ	PREVOD NA UCET	3965	33301	SIPO	ST	36501592
37335	120	1998-06-13	VYDAJ	PREVOD NA UCET	3965	28234	SIPO	ST	36501592
37336	120	1998-07-13	VYDAJ	PREVOD NA UCET	3965	22572	SIPO	ST	36501592
37337	120	1998-08-13	VYDAJ	PREVOD NA UCET	3965	25489	SIPO	ST	36501592
37338	120	1998-09-13	VYDAJ	PREVOD NA UCET	3965	29916	SIPO	ST	36501592
37339	120	1998-10-13	VYDAJ	PREVOD NA UCET	3965	30549	SIPO	ST	36501592
37340	120	1998-11-13	VYDAJ	PREVOD NA UCET	3965	24795	SIPO	ST	36501592
37341	120	1998-12-13	VYDAJ	PREVOD NA UCET	3965	27520	SIPO	ST	36501592
37351	120	1995-12-18	VYBER	VYBER	10691	26578	\N	\N	\N
37352	120	1996-09-20	VYBER	VYBER	10399	23930	\N	\N	\N
37354	120	1996-04-24	VYBER	VYBER	8399	73146	\N	\N	\N
37355	120	1996-10-04	VYBER	VYBER	7714	67545	\N	\N	\N
37356	120	1996-02-13	VYBER	VYBER	23945	37745	\N	\N	\N
37357	120	1997-01-01	VYBER	VYBER	20663	64150	\N	\N	\N
37358	120	1997-05-04	VYBER	VYBER	16476	27850	\N	\N	\N
37360	120	1997-09-02	VYBER	VYBER	13216	22729	\N	\N	\N
37362	120	1997-07-15	VYBER	VYBER	11070	44251	\N	\N	\N
37364	120	1997-04-26	VYBER	VYBER	7547	32302	\N	\N	\N
37369	120	1996-06-16	VYDAJ	VYBER	23400	19757	\N	\N	\N
37376	120	1995-12-23	VYDAJ	VYBER	3900	22678	\N	\N	\N
37377	120	1996-12-18	VYDAJ	VYBER	8400	84521	\N	\N	\N
37378	120	1997-12-22	VYDAJ	VYBER	7200	28056	\N	\N	\N
37387	120	1996-01-23	VYDAJ	VYBER	2700	20291	\N	\N	\N
37392	120	1997-01-03	VYDAJ	VYBER	8700	55450	\N	\N	\N
37393	120	1997-01-16	VYDAJ	VYBER	8400	37678	\N	\N	\N
37394	120	1997-01-04	VYDAJ	VYBER	2700	52750	\N	\N	\N
37395	120	1997-01-30	VYDAJ	VYBER	2700	28678	\N	\N	\N
37396	120	1997-01-24	VYDAJ	VYBER	4500	31378	\N	\N	\N
37397	120	1997-01-23	VYDAJ	VYBER	1800	35878	\N	\N	\N
37403	120	1998-01-13	VYDAJ	VYBER	5700	23302	\N	\N	\N
37404	120	1995-09-19	VYDAJ	VYBER	9000	54701	\N	\N	\N
37405	120	1995-10-16	VYDAJ	VYBER	10800	21008	\N	\N	\N
37408	120	1996-10-06	VYDAJ	VYBER	3900	63645	\N	\N	\N
37409	120	1996-05-28	VYDAJ	VYBER	12600	46284	\N	\N	\N
37410	120	1996-09-19	VYDAJ	VYBER	3900	34329	\N	\N	\N
37411	120	1996-03-25	VYDAJ	VYBER	11700	51841	\N	\N	\N
37413	120	1997-11-19	VYDAJ	VYBER	3600	38666	\N	\N	\N
37415	120	1997-08-19	VYDAJ	VYBER	2700	35811	\N	\N	\N
37416	120	1997-02-13	VYDAJ	VYBER	3300	25427	\N	\N	\N
37418	120	1998-12-16	VYDAJ	VYBER	1800	25720	\N	\N	\N
37419	120	1998-11-01	VYDAJ	VYBER	5100	28760	\N	\N	\N
37422	120	1998-05-28	VYDAJ	VYBER	9000	24301	\N	\N	\N
37423	120	1998-07-02	VYDAJ	VYBER	7200	26537	\N	\N	\N
37424	120	1998-09-17	VYDAJ	VYBER	3600	26316	\N	\N	\N
37434	120	1995-09-30	VYDAJ	VYBER	30	84045	SLUZBY	\N	\N
37435	120	1995-10-31	VYDAJ	VYBER	30	21185	SLUZBY	\N	\N
37436	120	1995-11-30	VYDAJ	VYBER	30	23283	SLUZBY	\N	\N
37437	120	1995-12-31	VYDAJ	VYBER	30	22756	SLUZBY	\N	\N
37438	120	1996-01-31	VYDAJ	VYBER	30	20353	SLUZBY	\N	\N
37439	120	1996-02-29	VYDAJ	VYBER	30	33921	SLUZBY	\N	\N
37440	120	1996-03-31	VYDAJ	VYBER	30	52038	SLUZBY	\N	\N
37441	120	1996-04-30	VYDAJ	VYBER	30	73376	SLUZBY	\N	\N
37442	120	1996-05-31	VYDAJ	VYBER	30	46498	SLUZBY	\N	\N
37443	120	1996-06-30	VYDAJ	VYBER	30	19864	SLUZBY	\N	\N
37444	120	1996-07-31	VYDAJ	VYBER	30	25498	SLUZBY	\N	\N
37445	120	1996-08-31	VYDAJ	VYBER	30	45494	SLUZBY	\N	\N
37446	120	1996-09-30	VYDAJ	VYBER	30	75259	SLUZBY	\N	\N
37447	120	1996-10-31	VYDAJ	VYBER	30	83849	SLUZBY	\N	\N
37448	120	1996-11-30	VYDAJ	VYBER	30	98628	SLUZBY	\N	\N
37449	120	1996-12-31	VYDAJ	VYBER	30	84813	SLUZBY	\N	\N
37450	120	1997-01-31	VYDAJ	VYBER	30	28827	SLUZBY	\N	\N
37451	120	1997-02-28	VYDAJ	VYBER	30	21543	SLUZBY	\N	\N
37452	120	1997-03-31	VYDAJ	VYBER	30	24444	SLUZBY	\N	\N
37453	120	1997-04-30	VYDAJ	VYBER	30	32394	SLUZBY	\N	\N
37454	120	1997-05-31	VYDAJ	VYBER	30	26872	SLUZBY	\N	\N
37455	120	1997-06-30	VYDAJ	VYBER	30	86586	SLUZBY	\N	\N
37456	120	1997-07-31	VYDAJ	VYBER	30	44476	SLUZBY	\N	\N
37457	120	1997-08-31	VYDAJ	VYBER	30	35945	SLUZBY	\N	\N
37458	120	1997-09-30	VYDAJ	VYBER	30	28058	SLUZBY	\N	\N
37459	120	1997-10-31	VYDAJ	VYBER	30	51731	SLUZBY	\N	\N
37460	120	1997-11-30	VYDAJ	VYBER	30	38821	SLUZBY	\N	\N
37461	120	1997-12-31	VYDAJ	VYBER	30	28167	SLUZBY	\N	\N
37462	120	1998-01-31	VYDAJ	VYBER	30	30791	SLUZBY	\N	\N
37463	120	1998-02-28	VYDAJ	VYBER	30	26922	SLUZBY	\N	\N
37464	120	1998-03-31	VYDAJ	VYBER	30	27840	SLUZBY	\N	\N
37465	120	1998-04-30	VYDAJ	VYBER	30	30566	SLUZBY	\N	\N
37466	120	1998-05-31	VYDAJ	VYBER	30	32199	SLUZBY	\N	\N
37467	120	1998-06-30	VYDAJ	VYBER	30	33737	SLUZBY	\N	\N
37468	120	1998-07-31	VYDAJ	VYBER	30	29454	SLUZBY	\N	\N
37469	120	1998-08-31	VYDAJ	VYBER	30	33881	SLUZBY	\N	\N
37470	120	1998-09-30	VYDAJ	VYBER	30	34514	SLUZBY	\N	\N
37471	120	1998-10-31	VYDAJ	VYBER	30	33860	SLUZBY	\N	\N
37472	120	1998-11-30	VYDAJ	VYBER	30	31485	SLUZBY	\N	\N
37473	120	1995-07-16	VYDAJ	VYBER	32000	59527	\N	\N	\N
37474	120	1995-08-15	VYDAJ	VYBER	21300	49383	\N	\N	\N
37475	120	1995-09-14	VYDAJ	VYBER	33500	63701	\N	\N	\N
37476	120	1995-10-09	VYDAJ	VYBER	64800	41273	\N	\N	\N
37477	120	1995-10-14	VYDAJ	VYBER	5500	31808	\N	\N	\N
37478	120	1995-11-13	PRIJEM	VKLAD	6000	27185	\N	\N	\N
37479	120	1995-12-13	VYDAJ	VYBER	5400	41234	\N	\N	\N
37480	120	1996-01-12	PRIJEM	VKLAD	4200	26956	\N	\N	\N
37481	120	1996-02-11	VYDAJ	VYBER	28900	61690	\N	\N	\N
37482	120	1996-03-12	PRIJEM	VKLAD	1500	35421	\N	\N	\N
37483	120	1996-03-21	VYDAJ	VYBER	54800	55888	\N	\N	\N
37484	120	1996-04-10	VYDAJ	VYBER	37800	71284	\N	\N	\N
37485	120	1996-04-11	VYDAJ	VYBER	21100	50184	\N	\N	\N
37486	120	1996-05-11	VYDAJ	VYBER	21800	51576	\N	\N	\N
37487	120	1996-06-10	VYDAJ	VYBER	11700	47122	\N	\N	\N
37488	120	1996-07-10	PRIJEM	VKLAD	2700	29392	\N	\N	\N
37489	120	1996-08-09	VYDAJ	VYBER	10100	49320	\N	\N	\N
37490	120	1996-09-08	VYDAJ	VYBER	3300	42194	\N	\N	\N
37491	120	1996-09-30	VYDAJ	VYBER	56600	75289	\N	\N	\N
37492	120	1996-10-08	VYDAJ	VYBER	17200	46445	\N	\N	\N
37493	120	1996-10-18	VYDAJ	VYBER	29700	78380	\N	\N	\N
37494	120	1996-11-07	VYDAJ	VYBER	25300	58549	\N	\N	\N
37495	120	1996-12-04	VYDAJ	VYBER	41900	78504	\N	\N	\N
37496	120	1996-12-07	VYDAJ	VYBER	25000	53504	\N	\N	\N
37497	120	1997-01-06	VYDAJ	VYBER	10200	42550	\N	\N	\N
37498	120	1997-02-05	VYDAJ	VYBER	100	28727	\N	\N	\N
37499	120	1997-03-07	PRIJEM	VKLAD	6800	28343	\N	\N	\N
37500	120	1997-04-06	PRIJEM	VKLAD	4200	28644	\N	\N	\N
37501	120	1997-05-06	PRIJEM	VKLAD	2900	30750	\N	\N	\N
37502	120	1997-06-05	PRIJEM	VKLAD	2400	29272	\N	\N	\N
37503	120	1997-07-05	VYDAJ	VYBER	27300	59286	\N	\N	\N
37504	120	1997-08-04	VYDAJ	VYBER	2000	42476	\N	\N	\N
37505	120	1997-09-03	PRIJEM	VKLAD	9200	31929	\N	\N	\N
37506	120	1997-10-03	PRIJEM	VKLAD	5200	33258	\N	\N	\N
37507	120	1997-11-02	VYDAJ	VYBER	5500	46231	\N	\N	\N
37508	120	1997-12-02	PRIJEM	VKLAD	400	39221	\N	\N	\N
37509	120	1998-01-01	PRIJEM	VKLAD	4800	32967	\N	\N	\N
37510	120	1998-01-31	PRIJEM	VKLAD	7400	30702	\N	\N	\N
37511	120	1998-03-02	PRIJEM	VKLAD	4800	31722	\N	\N	\N
37512	120	1998-04-01	PRIJEM	VKLAD	6600	34440	\N	\N	\N
37513	120	1998-05-01	PRIJEM	VKLAD	6700	37266	\N	\N	\N
37514	120	1998-05-31	PRIJEM	VKLAD	7800	32229	\N	\N	\N
37515	120	1998-06-30	PRIJEM	VKLAD	5400	33767	\N	\N	\N
37516	120	1998-07-30	PRIJEM	VKLAD	6800	29372	\N	\N	\N
37517	120	1998-08-29	PRIJEM	VKLAD	8300	33789	\N	\N	\N
37518	120	1998-09-28	PRIJEM	VKLAD	8100	34416	\N	\N	\N
37519	120	1998-10-28	PRIJEM	VKLAD	3200	33749	\N	\N	\N
37520	120	1998-11-27	PRIJEM	VKLAD	6600	31395	\N	\N	\N
37564	121	1997-10-11	PRIJEM	VKLAD	200	200	\N	\N	\N
37574	121	1997-10-12	PRIJEM	PREVOD Z UCTU	3175	3375	\N	UV	8811814
37575	121	1997-11-12	PRIJEM	PREVOD Z UCTU	3175	19659	\N	UV	8811814
37576	121	1997-12-12	PRIJEM	PREVOD Z UCTU	3175	23291	\N	UV	8811814
37577	121	1998-01-12	PRIJEM	PREVOD Z UCTU	3175	23858	\N	UV	8811814
37578	121	1998-02-12	PRIJEM	PREVOD Z UCTU	3175	23331	\N	UV	8811814
37579	121	1998-03-12	PRIJEM	PREVOD Z UCTU	3175	27753	\N	UV	8811814
37580	121	1998-04-12	PRIJEM	PREVOD Z UCTU	3175	28506	\N	UV	8811814
37581	121	1998-05-12	PRIJEM	PREVOD Z UCTU	3175	28304	\N	UV	8811814
37582	121	1998-06-12	PRIJEM	PREVOD Z UCTU	3175	29365	\N	UV	8811814
37583	121	1998-07-12	PRIJEM	PREVOD Z UCTU	3175	27480	\N	UV	8811814
37584	121	1998-08-12	PRIJEM	PREVOD Z UCTU	3175	32135	\N	UV	8811814
37585	121	1998-09-12	PRIJEM	PREVOD Z UCTU	3175	34408	\N	UV	8811814
37586	121	1998-10-12	PRIJEM	PREVOD Z UCTU	3175	37352	\N	UV	8811814
37587	121	1998-11-12	PRIJEM	PREVOD Z UCTU	3175	32949	\N	UV	8811814
37588	121	1998-12-12	PRIJEM	PREVOD Z UCTU	3175	35232	\N	UV	8811814
37603	121	1998-03-09	VYDAJ	PREVOD NA UCET	794	20671	SIPO	YZ	81156724
37604	121	1998-04-09	VYDAJ	PREVOD NA UCET	794	25331	SIPO	YZ	81156724
37605	121	1998-05-09	VYDAJ	PREVOD NA UCET	794	25129	SIPO	YZ	81156724
37606	121	1998-06-09	VYDAJ	PREVOD NA UCET	794	26190	SIPO	YZ	81156724
37607	121	1998-07-09	VYDAJ	PREVOD NA UCET	794	24305	SIPO	YZ	81156724
37608	121	1998-08-09	VYDAJ	PREVOD NA UCET	794	28960	SIPO	YZ	81156724
37609	121	1998-09-09	VYDAJ	PREVOD NA UCET	794	31233	SIPO	YZ	81156724
37610	121	1998-10-09	VYDAJ	PREVOD NA UCET	794	34570	SIPO	YZ	81156724
37611	121	1998-11-09	VYDAJ	PREVOD NA UCET	794	30167	SIPO	YZ	81156724
37612	121	1998-12-09	VYDAJ	PREVOD NA UCET	794	32450	SIPO	YZ	81156724
37627	121	1998-03-07	VYDAJ	PREVOD NA UCET	929	21465	 	UV	93935125
37628	121	1998-04-07	VYDAJ	PREVOD NA UCET	929	26618	 	UV	93935125
37629	121	1998-05-07	VYDAJ	PREVOD NA UCET	929	26716	 	UV	93935125
37630	121	1998-06-07	VYDAJ	PREVOD NA UCET	929	27477	 	UV	93935125
37631	121	1998-07-07	VYDAJ	PREVOD NA UCET	929	24392	 	UV	93935125
37632	121	1998-08-07	VYDAJ	PREVOD NA UCET	929	30147	 	UV	93935125
37633	121	1998-09-07	VYDAJ	PREVOD NA UCET	929	32420	 	UV	93935125
37634	121	1998-10-07	VYDAJ	PREVOD NA UCET	929	35364	 	UV	93935125
37635	121	1998-11-07	VYDAJ	PREVOD NA UCET	929	30961	 	UV	93935125
37636	121	1998-12-07	VYDAJ	PREVOD NA UCET	929	33244	 	UV	93935125
37651	121	1998-03-09	VYDAJ	PREVOD NA UCET	393	20278	POJISTNE	MN	91729092
37652	121	1998-04-09	VYDAJ	PREVOD NA UCET	393	26225	POJISTNE	MN	91729092
37653	121	1998-05-09	VYDAJ	PREVOD NA UCET	393	26323	POJISTNE	MN	91729092
37654	121	1998-06-09	VYDAJ	PREVOD NA UCET	393	26984	POJISTNE	MN	91729092
37655	121	1998-07-09	VYDAJ	PREVOD NA UCET	393	25099	POJISTNE	MN	91729092
37656	121	1998-08-09	VYDAJ	PREVOD NA UCET	393	29754	POJISTNE	MN	91729092
37657	121	1998-09-09	VYDAJ	PREVOD NA UCET	393	32027	POJISTNE	MN	91729092
37658	121	1998-10-09	VYDAJ	PREVOD NA UCET	393	34177	POJISTNE	MN	91729092
37659	121	1998-11-09	VYDAJ	PREVOD NA UCET	393	29774	POJISTNE	MN	91729092
37660	121	1998-12-09	VYDAJ	PREVOD NA UCET	393	32057	POJISTNE	MN	91729092
37662	121	1998-06-14	VYDAJ	VYBER	4140	25225	\N	\N	\N
37666	121	1998-12-30	VYDAJ	VYBER	420	34812	\N	\N	\N
37685	121	1998-02-25	VYDAJ	VYBER	1020	22311	\N	\N	\N
37686	121	1998-03-28	VYDAJ	VYBER	300	27453	\N	\N	\N
37687	121	1998-04-17	VYDAJ	VYBER	420	27546	\N	\N	\N
37688	121	1998-04-13	VYDAJ	VYBER	540	27966	\N	\N	\N
37689	121	1998-10-04	VYDAJ	VYBER	240	34293	\N	\N	\N
37704	121	1998-02-28	VYDAJ	VYBER	15	22394	SLUZBY	\N	\N
37705	121	1998-03-31	VYDAJ	VYBER	15	27547	SLUZBY	\N	\N
37706	121	1998-04-30	VYDAJ	VYBER	15	27645	SLUZBY	\N	\N
37707	121	1998-05-31	VYDAJ	VYBER	15	28406	SLUZBY	\N	\N
37708	121	1998-06-30	VYDAJ	VYBER	15	25321	SLUZBY	\N	\N
37709	121	1998-07-31	VYDAJ	VYBER	15	27576	SLUZBY	\N	\N
37710	121	1998-08-31	VYDAJ	VYBER	15	32249	SLUZBY	\N	\N
37711	121	1998-09-30	VYDAJ	VYBER	15	34533	SLUZBY	\N	\N
37712	121	1998-10-31	VYDAJ	VYBER	15	37490	SLUZBY	\N	\N
37713	121	1998-11-30	VYDAJ	VYBER	15	33073	SLUZBY	\N	\N
37714	121	1997-11-10	PRIJEM	VKLAD	13100	16484	\N	\N	\N
37715	121	1997-12-10	PRIJEM	VKLAD	400	20116	\N	\N	\N
37716	121	1998-01-09	VYDAJ	VYBER	2700	20683	\N	\N	\N
37717	121	1998-02-08	VYDAJ	VYBER	3800	20156	\N	\N	\N
37718	121	1998-03-10	PRIJEM	VKLAD	4300	24578	\N	\N	\N
37719	121	1998-04-09	VYDAJ	VYBER	100	26125	\N	\N	\N
37720	121	1998-05-09	VYDAJ	VYBER	400	25923	\N	\N	\N
37721	121	1998-06-08	VYDAJ	VYBER	100	27377	\N	\N	\N
37722	121	1998-07-08	PRIJEM	VKLAD	1100	25492	\N	\N	\N
37723	121	1998-08-07	PRIJEM	VKLAD	3500	31076	\N	\N	\N
37724	121	1998-09-06	PRIJEM	VKLAD	1100	33349	\N	\N	\N
37725	121	1998-10-06	PRIJEM	VKLAD	2000	36293	\N	\N	\N
37726	121	1998-11-05	VYDAJ	VYBER	5600	31890	\N	\N	\N
37727	121	1998-12-05	PRIJEM	VKLAD	1100	34173	\N	\N	\N
37743	122	1996-10-30	PRIJEM	VKLAD	900	900	\N	\N	\N
37754	122	1996-11-08	PRIJEM	VKLAD	22602	23502	\N	\N	\N
37755	122	1996-12-08	PRIJEM	VKLAD	33903	55711	\N	\N	\N
37756	122	1997-01-08	PRIJEM	VKLAD	22602	62511	\N	\N	\N
37757	122	1997-02-08	PRIJEM	VKLAD	22602	67982	\N	\N	\N
37758	122	1997-03-08	PRIJEM	VKLAD	22602	68072	\N	\N	\N
37759	122	1997-04-08	PRIJEM	VKLAD	22602	70049	\N	\N	\N
37760	122	1997-05-08	PRIJEM	VKLAD	22602	72835	\N	\N	\N
37761	122	1997-06-08	PRIJEM	VKLAD	33903	82632	\N	\N	\N
37762	122	1997-07-08	PRIJEM	VKLAD	22602	73613	\N	\N	\N
37763	122	1997-08-08	PRIJEM	VKLAD	22602	76615	\N	\N	\N
37764	122	1997-09-08	PRIJEM	VKLAD	22602	74769	\N	\N	\N
37765	122	1997-10-08	PRIJEM	VKLAD	22602	70305	\N	\N	\N
37766	122	1997-11-08	PRIJEM	VKLAD	22602	65686	\N	\N	\N
37767	122	1997-12-08	PRIJEM	VKLAD	33903	74762	\N	\N	\N
37768	122	1998-01-08	PRIJEM	VKLAD	22602	71602	\N	\N	\N
37769	122	1998-02-08	PRIJEM	VKLAD	22602	68290	\N	\N	\N
37770	122	1998-03-08	PRIJEM	VKLAD	22602	68780	\N	\N	\N
37771	122	1998-04-08	PRIJEM	VKLAD	22602	67298	\N	\N	\N
37772	122	1998-05-08	PRIJEM	VKLAD	22602	71576	\N	\N	\N
37773	122	1998-06-08	PRIJEM	VKLAD	33903	83684	\N	\N	\N
37774	122	1998-07-08	PRIJEM	VKLAD	22602	83292	\N	\N	\N
37775	122	1998-08-08	PRIJEM	VKLAD	22602	78725	\N	\N	\N
37776	122	1998-09-08	PRIJEM	VKLAD	22602	75743	\N	\N	\N
37777	122	1998-10-08	PRIJEM	VKLAD	22602	77254	\N	\N	\N
37778	122	1998-11-08	PRIJEM	VKLAD	22602	73361	\N	\N	\N
37779	122	1998-12-08	PRIJEM	VKLAD	33903	86062	\N	\N	\N
37781	122	1997-12-04	VYDAJ	VYBER	1900	40859	\N	\N	\N
37782	122	1998-12-30	VYDAJ	VYBER KARTOU	1000	56562	\N	\N	0
37787	122	1997-08-09	VYDAJ	VYBER	3700	72915	\N	\N	\N
37788	122	1997-09-12	VYDAJ	VYBER	3300	71469	\N	\N	\N
37789	122	1997-11-21	VYDAJ	VYBER	2400	63286	\N	\N	\N
37790	122	1997-06-08	VYDAJ	VYBER	2500	80132	\N	\N	\N
37791	122	1998-02-18	VYDAJ	VYBER	800	67490	\N	\N	\N
37792	122	1998-08-30	VYDAJ	VYBER	2200	52925	\N	\N	\N
37793	122	1998-03-10	VYDAJ	VYBER	1500	67280	\N	\N	\N
37794	122	1998-05-17	VYDAJ	VYBER	3300	68276	\N	\N	\N
37810	122	1997-03-31	VYDAJ	VYBER	15	47447	SLUZBY	\N	\N
37811	122	1997-04-30	VYDAJ	VYBER	15	50233	SLUZBY	\N	\N
37812	122	1997-05-31	VYDAJ	VYBER	15	48729	SLUZBY	\N	\N
37813	122	1997-06-30	VYDAJ	VYBER	15	51011	SLUZBY	\N	\N
37814	122	1997-07-31	VYDAJ	VYBER	15	54013	SLUZBY	\N	\N
37815	122	1997-08-31	VYDAJ	VYBER	15	52167	SLUZBY	\N	\N
37816	122	1997-09-30	VYDAJ	VYBER	15	47703	SLUZBY	\N	\N
37817	122	1997-10-31	VYDAJ	VYBER	15	43084	SLUZBY	\N	\N
37818	122	1997-11-30	VYDAJ	VYBER	15	42759	SLUZBY	\N	\N
37819	122	1997-12-31	VYDAJ	VYBER	15	49000	SLUZBY	\N	\N
37820	122	1998-01-31	VYDAJ	VYBER	15	45688	SLUZBY	\N	\N
37821	122	1998-02-28	VYDAJ	VYBER	15	46178	SLUZBY	\N	\N
37822	122	1998-03-31	VYDAJ	VYBER	15	44696	SLUZBY	\N	\N
37823	122	1998-04-30	VYDAJ	VYBER	15	48974	SLUZBY	\N	\N
37824	122	1998-05-31	VYDAJ	VYBER	15	49781	SLUZBY	\N	\N
37825	122	1998-06-30	VYDAJ	VYBER	15	60690	SLUZBY	\N	\N
37826	122	1998-07-31	VYDAJ	VYBER	15	56123	SLUZBY	\N	\N
37827	122	1998-08-31	VYDAJ	VYBER	15	53141	SLUZBY	\N	\N
37828	122	1998-09-30	VYDAJ	VYBER	15	54652	SLUZBY	\N	\N
37829	122	1998-10-31	VYDAJ	VYBER	15	50759	SLUZBY	\N	\N
37830	122	1998-11-30	VYDAJ	VYBER	15	52159	SLUZBY	\N	\N
37831	122	1996-11-29	VYDAJ	VYBER	1700	21802	\N	\N	\N
37832	122	1996-12-29	VYDAJ	VYBER	15900	39811	\N	\N	\N
37833	122	1997-01-28	VYDAJ	VYBER	17300	45211	\N	\N	\N
37834	122	1997-02-27	VYDAJ	VYBER	22700	45282	\N	\N	\N
37835	122	1997-03-29	VYDAJ	VYBER	20800	47272	\N	\N	\N
37836	122	1997-04-28	VYDAJ	VYBER	20000	50049	\N	\N	\N
37837	122	1997-05-28	VYDAJ	VYBER	24300	48535	\N	\N	\N
37838	122	1997-06-27	VYDAJ	VYBER	29400	50732	\N	\N	\N
37839	122	1997-07-27	VYDAJ	VYBER	19800	53813	\N	\N	\N
37840	122	1997-08-26	VYDAJ	VYBER	21000	51915	\N	\N	\N
37841	122	1997-09-25	VYDAJ	VYBER	24000	47469	\N	\N	\N
37842	122	1997-10-25	VYDAJ	VYBER	27400	42905	\N	\N	\N
37843	122	1997-11-24	VYDAJ	VYBER	20700	42586	\N	\N	\N
37844	122	1997-12-24	VYDAJ	VYBER	26000	48762	\N	\N	\N
37845	122	1998-01-23	VYDAJ	VYBER	26100	45502	\N	\N	\N
37846	122	1998-02-22	VYDAJ	VYBER	21500	45990	\N	\N	\N
37847	122	1998-03-24	VYDAJ	VYBER	22800	44480	\N	\N	\N
37848	122	1998-04-23	VYDAJ	VYBER	18500	48798	\N	\N	\N
37849	122	1998-05-23	VYDAJ	VYBER	18700	49576	\N	\N	\N
37850	122	1998-06-22	VYDAJ	VYBER	23200	60484	\N	\N	\N
37851	122	1998-07-22	VYDAJ	VYBER	27400	55892	\N	\N	\N
37852	122	1998-08-21	VYDAJ	VYBER	23600	55125	\N	\N	\N
37853	122	1998-09-20	VYDAJ	VYBER	21300	54443	\N	\N	\N
37854	122	1998-10-20	VYDAJ	VYBER	26700	50554	\N	\N	\N
37855	122	1998-11-19	VYDAJ	VYBER	21400	51961	\N	\N	\N
37856	122	1998-12-19	VYDAJ	VYBER	28500	57562	\N	\N	\N
37883	123	1993-03-13	PRIJEM	VKLAD	200	200	\N	\N	\N
37887	123	1993-04-05	PRIJEM	PREVOD Z UCTU	4843	5043	DUCHOD	AB	58944725
37888	123	1993-05-05	PRIJEM	PREVOD Z UCTU	4843	9886	DUCHOD	AB	58944725
37889	123	1993-06-05	PRIJEM	PREVOD Z UCTU	4843	14729	DUCHOD	AB	58944725
37890	123	1993-07-05	PRIJEM	PREVOD Z UCTU	4843	19572	DUCHOD	AB	58944725
37891	123	1993-08-05	PRIJEM	PREVOD Z UCTU	4843	24415	DUCHOD	AB	58944725
37892	123	1993-09-05	PRIJEM	PREVOD Z UCTU	4843	26291	DUCHOD	AB	58944725
37893	123	1993-10-05	PRIJEM	PREVOD Z UCTU	4843	25290	DUCHOD	AB	58944725
37894	123	1993-11-05	PRIJEM	PREVOD Z UCTU	4843	25590	DUCHOD	AB	58944725
37895	123	1993-12-05	PRIJEM	PREVOD Z UCTU	4843	27494	DUCHOD	AB	58944725
37896	123	1994-01-05	PRIJEM	PREVOD Z UCTU	4843	23266	DUCHOD	AB	58944725
37897	123	1994-02-05	PRIJEM	PREVOD Z UCTU	4843	17766	DUCHOD	AB	58944725
37898	123	1994-03-05	PRIJEM	PREVOD Z UCTU	4843	19638	DUCHOD	AB	58944725
37899	123	1994-04-05	PRIJEM	PREVOD Z UCTU	4843	17589	DUCHOD	AB	58944725
37900	123	1994-05-05	PRIJEM	PREVOD Z UCTU	4843	18019	DUCHOD	AB	58944725
37901	123	1994-06-05	PRIJEM	PREVOD Z UCTU	4843	19891	DUCHOD	AB	58944725
37902	123	1994-07-05	PRIJEM	PREVOD Z UCTU	4843	21172	DUCHOD	AB	58944725
37903	123	1994-08-05	PRIJEM	PREVOD Z UCTU	4843	22258	DUCHOD	AB	58944725
37904	123	1994-09-05	PRIJEM	PREVOD Z UCTU	4843	21042	DUCHOD	AB	58944725
37905	123	1994-10-05	PRIJEM	PREVOD Z UCTU	4843	22927	DUCHOD	AB	58944725
37906	123	1994-11-05	PRIJEM	PREVOD Z UCTU	4843	22656	DUCHOD	AB	58944725
37907	123	1994-12-05	PRIJEM	PREVOD Z UCTU	4843	24548	DUCHOD	AB	58944725
37908	123	1995-01-05	PRIJEM	PREVOD Z UCTU	4843	21245	DUCHOD	AB	58944725
37909	123	1995-02-05	PRIJEM	PREVOD Z UCTU	4843	18002	DUCHOD	AB	58944725
37910	123	1995-03-05	PRIJEM	PREVOD Z UCTU	4843	19874	DUCHOD	AB	58944725
37911	123	1995-04-05	PRIJEM	PREVOD Z UCTU	4843	18393	DUCHOD	AB	58944725
37912	123	1995-05-05	PRIJEM	PREVOD Z UCTU	4843	20267	DUCHOD	AB	58944725
37913	123	1995-06-05	PRIJEM	PREVOD Z UCTU	4843	18866	DUCHOD	AB	58944725
37914	123	1995-07-05	PRIJEM	PREVOD Z UCTU	4843	20742	DUCHOD	AB	58944725
37915	123	1995-08-05	PRIJEM	PREVOD Z UCTU	4843	22626	DUCHOD	AB	58944725
37916	123	1995-09-05	PRIJEM	PREVOD Z UCTU	4843	21953	DUCHOD	AB	58944725
37917	123	1995-10-05	PRIJEM	PREVOD Z UCTU	4843	22420	DUCHOD	AB	58944725
37918	123	1995-11-05	PRIJEM	PREVOD Z UCTU	4843	21310	DUCHOD	AB	58944725
37919	123	1995-12-05	PRIJEM	PREVOD Z UCTU	4843	19430	DUCHOD	AB	58944725
37920	123	1996-01-05	PRIJEM	PREVOD Z UCTU	4843	19857	DUCHOD	AB	58944725
37921	123	1996-02-05	PRIJEM	PREVOD Z UCTU	4843	17576	DUCHOD	AB	58944725
37922	123	1996-03-05	PRIJEM	PREVOD Z UCTU	4843	18346	DUCHOD	AB	58944725
37923	123	1996-04-05	PRIJEM	PREVOD Z UCTU	4843	18118	DUCHOD	AB	58944725
37924	123	1996-05-05	PRIJEM	PREVOD Z UCTU	4843	18689	DUCHOD	AB	58944725
37925	123	1996-06-05	PRIJEM	PREVOD Z UCTU	4843	18802	DUCHOD	AB	58944725
37926	123	1996-07-05	PRIJEM	PREVOD Z UCTU	4843	18755	DUCHOD	AB	58944725
37927	123	1996-08-05	PRIJEM	PREVOD Z UCTU	4843	19829	DUCHOD	AB	58944725
37928	123	1996-09-05	PRIJEM	PREVOD Z UCTU	4843	19306	DUCHOD	AB	58944725
37929	123	1996-10-05	PRIJEM	PREVOD Z UCTU	4843	20082	DUCHOD	AB	58944725
37930	123	1996-11-05	PRIJEM	PREVOD Z UCTU	4843	17758	DUCHOD	AB	58944725
37931	123	1996-12-05	PRIJEM	PREVOD Z UCTU	4843	19628	DUCHOD	AB	58944725
37932	123	1997-01-05	PRIJEM	PREVOD Z UCTU	4843	20406	DUCHOD	AB	58944725
37933	123	1997-02-05	PRIJEM	PREVOD Z UCTU	4843	19492	DUCHOD	AB	58944725
37934	123	1997-03-05	PRIJEM	PREVOD Z UCTU	4843	21370	DUCHOD	AB	58944725
37935	123	1997-04-05	PRIJEM	PREVOD Z UCTU	4843	20331	DUCHOD	AB	58944725
37936	123	1997-05-05	PRIJEM	PREVOD Z UCTU	4843	17706	DUCHOD	AB	58944725
37937	123	1997-06-05	PRIJEM	PREVOD Z UCTU	4843	18775	DUCHOD	AB	58944725
37938	123	1997-07-05	PRIJEM	PREVOD Z UCTU	4843	17191	DUCHOD	AB	58944725
37939	123	1997-08-05	PRIJEM	PREVOD Z UCTU	4843	19059	DUCHOD	AB	58944725
37940	123	1997-09-05	PRIJEM	PREVOD Z UCTU	4843	19032	DUCHOD	AB	58944725
37941	123	1997-10-05	PRIJEM	PREVOD Z UCTU	4843	19124	DUCHOD	AB	58944725
37942	123	1997-11-05	PRIJEM	PREVOD Z UCTU	4843	21000	DUCHOD	AB	58944725
37943	123	1997-12-05	PRIJEM	PREVOD Z UCTU	4843	22884	DUCHOD	AB	58944725
37944	123	1998-01-05	PRIJEM	PREVOD Z UCTU	4843	24024	DUCHOD	AB	58944725
37945	123	1998-02-05	PRIJEM	PREVOD Z UCTU	4843	19256	DUCHOD	AB	58944725
37946	123	1998-03-05	PRIJEM	PREVOD Z UCTU	4843	21131	DUCHOD	AB	58944725
37947	123	1998-04-05	PRIJEM	PREVOD Z UCTU	4843	23015	DUCHOD	AB	58944725
37948	123	1998-05-05	PRIJEM	PREVOD Z UCTU	4843	24907	DUCHOD	AB	58944725
37949	123	1998-06-05	PRIJEM	PREVOD Z UCTU	4843	25925	DUCHOD	AB	58944725
37950	123	1998-07-05	PRIJEM	PREVOD Z UCTU	4843	24710	DUCHOD	AB	58944725
37951	123	1998-08-05	PRIJEM	PREVOD Z UCTU	4843	24689	DUCHOD	AB	58944725
37952	123	1998-09-05	PRIJEM	PREVOD Z UCTU	4843	24827	DUCHOD	AB	58944725
37953	123	1998-10-05	PRIJEM	PREVOD Z UCTU	4843	23360	DUCHOD	AB	58944725
37954	123	1998-11-05	PRIJEM	PREVOD Z UCTU	4843	25252	DUCHOD	AB	58944725
37955	123	1998-12-05	PRIJEM	PREVOD Z UCTU	4843	27153	DUCHOD	AB	58944725
37963	123	1993-08-10	VYDAJ	PREVOD NA UCET	3016	21399	SIPO	KL	97764080
37964	123	1993-09-10	VYDAJ	PREVOD NA UCET	3016	20375	SIPO	KL	97764080
37965	123	1993-10-10	VYDAJ	PREVOD NA UCET	3016	21874	SIPO	KL	97764080
37966	123	1993-11-10	VYDAJ	PREVOD NA UCET	3016	22574	SIPO	KL	97764080
37967	123	1993-12-10	VYDAJ	PREVOD NA UCET	3016	20978	SIPO	KL	97764080
37968	123	1994-01-10	VYDAJ	PREVOD NA UCET	3016	19610	SIPO	KL	97764080
37969	123	1994-02-10	VYDAJ	PREVOD NA UCET	3016	14750	SIPO	KL	97764080
37970	123	1994-03-10	VYDAJ	PREVOD NA UCET	3016	16622	SIPO	KL	97764080
37971	123	1994-04-10	VYDAJ	PREVOD NA UCET	3016	13133	SIPO	KL	97764080
37972	123	1994-05-10	VYDAJ	PREVOD NA UCET	3016	15003	SIPO	KL	97764080
37973	123	1994-06-10	VYDAJ	PREVOD NA UCET	3016	16275	SIPO	KL	97764080
37974	123	1994-07-10	VYDAJ	PREVOD NA UCET	3016	17356	SIPO	KL	97764080
37975	123	1994-08-10	VYDAJ	PREVOD NA UCET	3016	16142	SIPO	KL	97764080
37976	123	1994-09-10	VYDAJ	PREVOD NA UCET	3016	18026	SIPO	KL	97764080
37977	123	1994-10-10	VYDAJ	PREVOD NA UCET	3016	19911	SIPO	KL	97764080
37978	123	1994-11-10	VYDAJ	PREVOD NA UCET	3016	19640	SIPO	KL	97764080
37979	123	1994-12-10	VYDAJ	PREVOD NA UCET	3016	21532	SIPO	KL	97764080
37980	123	1995-01-10	VYDAJ	PREVOD NA UCET	3016	15349	SIPO	KL	97764080
37981	123	1995-02-10	VYDAJ	PREVOD NA UCET	3016	14986	SIPO	KL	97764080
37982	123	1995-03-10	VYDAJ	PREVOD NA UCET	3016	16858	SIPO	KL	97764080
37983	123	1995-04-10	VYDAJ	PREVOD NA UCET	3016	15377	SIPO	KL	97764080
37984	123	1995-05-10	VYDAJ	PREVOD NA UCET	3016	17251	SIPO	KL	97764080
37985	123	1995-06-10	VYDAJ	PREVOD NA UCET	3016	15850	SIPO	KL	97764080
37986	123	1995-07-10	VYDAJ	PREVOD NA UCET	3016	17726	SIPO	KL	97764080
37987	123	1995-08-10	VYDAJ	PREVOD NA UCET	3016	19610	SIPO	KL	97764080
37988	123	1995-09-10	VYDAJ	PREVOD NA UCET	3016	18937	SIPO	KL	97764080
37989	123	1995-10-10	VYDAJ	PREVOD NA UCET	3016	19404	SIPO	KL	97764080
37990	123	1995-11-10	VYDAJ	PREVOD NA UCET	3016	18294	SIPO	KL	97764080
37991	123	1995-12-10	VYDAJ	PREVOD NA UCET	3016	16414	SIPO	KL	97764080
37992	123	1996-01-10	VYDAJ	PREVOD NA UCET	3016	13881	SIPO	KL	97764080
37993	123	1996-02-10	VYDAJ	PREVOD NA UCET	3016	14560	SIPO	KL	97764080
37994	123	1996-03-10	VYDAJ	PREVOD NA UCET	3016	15330	SIPO	KL	97764080
37995	123	1996-04-10	VYDAJ	PREVOD NA UCET	3016	15102	SIPO	KL	97764080
37996	123	1996-05-10	VYDAJ	PREVOD NA UCET	3016	15673	SIPO	KL	97764080
37997	123	1996-06-10	VYDAJ	PREVOD NA UCET	3016	15786	SIPO	KL	97764080
37998	123	1996-07-10	VYDAJ	PREVOD NA UCET	3016	15739	SIPO	KL	97764080
37999	123	1996-08-10	VYDAJ	PREVOD NA UCET	3016	16813	SIPO	KL	97764080
38000	123	1996-09-10	VYDAJ	PREVOD NA UCET	3016	16290	SIPO	KL	97764080
38001	123	1996-10-10	VYDAJ	PREVOD NA UCET	3016	17066	SIPO	KL	97764080
38002	123	1996-11-10	VYDAJ	PREVOD NA UCET	3016	14742	SIPO	KL	97764080
38003	123	1996-12-10	VYDAJ	PREVOD NA UCET	3016	16612	SIPO	KL	97764080
38004	123	1997-01-10	VYDAJ	PREVOD NA UCET	3016	15160	SIPO	KL	97764080
38005	123	1997-02-10	VYDAJ	PREVOD NA UCET	3016	16476	SIPO	KL	97764080
38006	123	1997-03-10	VYDAJ	PREVOD NA UCET	3016	18354	SIPO	KL	97764080
38007	123	1997-04-10	VYDAJ	PREVOD NA UCET	3016	17315	SIPO	KL	97764080
38008	123	1997-05-10	VYDAJ	PREVOD NA UCET	3016	14690	SIPO	KL	97764080
38009	123	1997-06-10	VYDAJ	PREVOD NA UCET	3016	13209	SIPO	KL	97764080
38010	123	1997-07-10	VYDAJ	PREVOD NA UCET	3016	14175	SIPO	KL	97764080
38011	123	1997-08-10	VYDAJ	PREVOD NA UCET	3016	16043	SIPO	KL	97764080
38012	123	1997-09-10	VYDAJ	PREVOD NA UCET	3016	16016	SIPO	KL	97764080
38013	123	1997-10-10	VYDAJ	PREVOD NA UCET	3016	16108	SIPO	KL	97764080
38014	123	1997-11-10	VYDAJ	PREVOD NA UCET	3016	17984	SIPO	KL	97764080
38015	123	1997-12-10	VYDAJ	PREVOD NA UCET	3016	19868	SIPO	KL	97764080
38016	123	1998-01-10	VYDAJ	PREVOD NA UCET	3016	19968	SIPO	KL	97764080
38017	123	1998-02-10	VYDAJ	PREVOD NA UCET	3016	16240	SIPO	KL	97764080
38018	123	1998-03-10	VYDAJ	PREVOD NA UCET	3016	18115	SIPO	KL	97764080
38019	123	1998-04-10	VYDAJ	PREVOD NA UCET	3016	19999	SIPO	KL	97764080
38020	123	1998-05-10	VYDAJ	PREVOD NA UCET	3016	21891	SIPO	KL	97764080
38021	123	1998-06-10	VYDAJ	PREVOD NA UCET	3016	22509	SIPO	KL	97764080
38022	123	1998-07-10	VYDAJ	PREVOD NA UCET	3016	21694	SIPO	KL	97764080
38023	123	1998-08-10	VYDAJ	PREVOD NA UCET	3016	21673	SIPO	KL	97764080
38024	123	1998-09-10	VYDAJ	PREVOD NA UCET	3016	21811	SIPO	KL	97764080
38025	123	1998-10-10	VYDAJ	PREVOD NA UCET	3016	20344	SIPO	KL	97764080
38026	123	1998-11-10	VYDAJ	PREVOD NA UCET	3016	22236	SIPO	KL	97764080
38027	123	1998-12-10	VYDAJ	PREVOD NA UCET	3016	24137	SIPO	KL	97764080
38032	123	1997-06-09	VYDAJ	VYBER	2550	16225	\N	\N	\N
38035	123	1994-01-15	VYDAJ	VYBER	3700	13990	\N	\N	\N
38036	123	1995-01-01	VYDAJ	VYBER	3800	16402	\N	\N	\N
38038	123	1997-01-10	VYDAJ	VYBER	950	18176	\N	\N	\N
38039	123	1998-01-30	VYDAJ	VYBER	650	14358	\N	\N	\N
38040	123	1993-12-26	VYDAJ	VYBER	950	20028	\N	\N	\N
38041	123	1994-12-17	VYDAJ	VYBER	1400	20132	\N	\N	\N
38042	123	1995-12-24	VYDAJ	VYBER	1250	15164	\N	\N	\N
38043	123	1996-12-25	VYDAJ	VYBER	1100	15512	\N	\N	\N
38044	123	1997-12-24	VYDAJ	VYBER	750	19118	\N	\N	\N
38045	123	1998-12-10	VYDAJ	VYBER	850	23287	\N	\N	\N
38052	123	1994-01-07	VYDAJ	VYBER	640	22626	\N	\N	\N
38053	123	1994-01-10	VYDAJ	VYBER	1920	17690	\N	\N	\N
38056	123	1994-01-02	VYDAJ	VYBER	1680	18423	\N	\N	\N
38057	123	1994-01-18	VYDAJ	VYBER	1120	12870	\N	\N	\N
38058	123	1995-01-07	VYDAJ	VYBER	1040	18365	\N	\N	\N
38059	123	1995-01-18	VYDAJ	VYBER	1440	13109	\N	\N	\N
38061	123	1995-01-18	VYDAJ	VYBER	800	14549	\N	\N	\N
38063	123	1995-01-07	VYDAJ	VYBER	1840	19405	\N	\N	\N
38066	123	1996-01-06	VYDAJ	VYBER	1040	18817	\N	\N	\N
38067	123	1996-01-10	VYDAJ	VYBER	640	16897	\N	\N	\N
38068	123	1996-01-09	VYDAJ	VYBER	1280	17537	\N	\N	\N
38071	123	1997-01-08	VYDAJ	VYBER	1280	19126	\N	\N	\N
38074	123	1997-01-14	VYDAJ	VYBER	560	14600	\N	\N	\N
38077	123	1998-01-13	VYDAJ	VYBER	2160	15488	\N	\N	\N
38078	123	1998-01-07	VYDAJ	VYBER	1040	22984	\N	\N	\N
38079	123	1998-01-11	VYDAJ	VYBER	2320	17648	\N	\N	\N
38081	123	1998-01-14	VYDAJ	VYBER	480	15008	\N	\N	\N
38083	123	1993-10-21	VYDAJ	VYBER	1200	20674	\N	\N	\N
38087	123	1994-10-18	VYDAJ	VYBER	2160	17751	\N	\N	\N
38088	123	1994-04-05	VYDAJ	VYBER	1440	16149	\N	\N	\N
38089	123	1994-03-16	VYDAJ	VYBER	3920	12702	\N	\N	\N
38090	123	1995-09-25	VYDAJ	VYBER	1120	17817	\N	\N	\N
38091	123	1995-05-26	VYDAJ	VYBER	3280	13971	\N	\N	\N
38092	123	1995-11-21	VYDAJ	VYBER	3760	14534	\N	\N	\N
38093	123	1995-08-18	VYDAJ	VYBER	2560	17050	\N	\N	\N
38094	123	1995-03-29	VYDAJ	VYBER	3360	13498	\N	\N	\N
38095	123	1996-05-23	VYDAJ	VYBER	1760	13913	\N	\N	\N
38097	123	1996-06-24	VYDAJ	VYBER	1920	13866	\N	\N	\N
38101	123	1997-03-23	VYDAJ	VYBER	1920	15434	\N	\N	\N
38102	123	1997-09-22	VYDAJ	VYBER	480	14236	\N	\N	\N
38104	123	1998-08-29	VYDAJ	VYBER	1760	19913	\N	\N	\N
38105	123	1998-05-14	VYDAJ	VYBER	880	21011	\N	\N	\N
38106	123	1998-06-05	VYDAJ	VYBER	400	25525	\N	\N	\N
38107	123	1998-07-02	VYDAJ	VYBER	2720	19867	\N	\N	\N
38108	123	1998-07-13	VYDAJ	VYBER	1920	19774	\N	\N	\N
38109	123	1998-09-18	VYDAJ	VYBER	3360	18451	\N	\N	\N
38118	123	1993-08-31	VYDAJ	VYBER	15	21448	SLUZBY	\N	\N
38119	123	1993-09-30	VYDAJ	VYBER	15	20447	SLUZBY	\N	\N
38120	123	1993-10-31	VYDAJ	VYBER	15	20747	SLUZBY	\N	\N
38121	123	1993-11-30	VYDAJ	VYBER	15	22651	SLUZBY	\N	\N
38122	123	1993-12-31	VYDAJ	VYBER	15	20103	SLUZBY	\N	\N
38123	123	1994-01-31	VYDAJ	VYBER	15	12923	SLUZBY	\N	\N
38124	123	1994-02-28	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
38125	123	1994-03-31	VYDAJ	VYBER	15	12746	SLUZBY	\N	\N
38126	123	1994-04-30	VYDAJ	VYBER	15	13176	SLUZBY	\N	\N
38127	123	1994-05-31	VYDAJ	VYBER	15	15048	SLUZBY	\N	\N
38128	123	1994-06-30	VYDAJ	VYBER	15	16329	SLUZBY	\N	\N
38129	123	1994-07-31	VYDAJ	VYBER	15	17415	SLUZBY	\N	\N
38130	123	1994-08-31	VYDAJ	VYBER	15	16199	SLUZBY	\N	\N
38131	123	1994-09-30	VYDAJ	VYBER	15	18084	SLUZBY	\N	\N
38132	123	1994-10-31	VYDAJ	VYBER	15	17813	SLUZBY	\N	\N
38133	123	1994-11-30	VYDAJ	VYBER	15	19705	SLUZBY	\N	\N
38134	123	1994-12-31	VYDAJ	VYBER	15	20202	SLUZBY	\N	\N
38135	123	1995-01-31	VYDAJ	VYBER	15	13159	SLUZBY	\N	\N
38136	123	1995-02-28	VYDAJ	VYBER	15	15031	SLUZBY	\N	\N
38137	123	1995-03-31	VYDAJ	VYBER	15	13550	SLUZBY	\N	\N
38138	123	1995-04-30	VYDAJ	VYBER	15	15424	SLUZBY	\N	\N
38139	123	1995-05-31	VYDAJ	VYBER	15	14023	SLUZBY	\N	\N
38140	123	1995-06-30	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
38141	123	1995-07-31	VYDAJ	VYBER	15	17783	SLUZBY	\N	\N
38142	123	1995-08-31	VYDAJ	VYBER	15	17110	SLUZBY	\N	\N
38143	123	1995-09-30	VYDAJ	VYBER	15	17577	SLUZBY	\N	\N
38144	123	1995-10-31	VYDAJ	VYBER	15	16467	SLUZBY	\N	\N
38145	123	1995-11-30	VYDAJ	VYBER	15	14587	SLUZBY	\N	\N
38146	123	1995-12-31	VYDAJ	VYBER	15	15014	SLUZBY	\N	\N
38147	123	1996-01-31	VYDAJ	VYBER	15	12733	SLUZBY	\N	\N
38148	123	1996-02-29	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
38149	123	1996-03-31	VYDAJ	VYBER	15	13275	SLUZBY	\N	\N
38150	123	1996-04-30	VYDAJ	VYBER	15	13846	SLUZBY	\N	\N
38151	123	1996-05-31	VYDAJ	VYBER	15	13959	SLUZBY	\N	\N
38152	123	1996-06-30	VYDAJ	VYBER	15	13912	SLUZBY	\N	\N
38153	123	1996-07-31	VYDAJ	VYBER	15	14986	SLUZBY	\N	\N
38154	123	1996-08-31	VYDAJ	VYBER	15	14463	SLUZBY	\N	\N
38155	123	1996-09-30	VYDAJ	VYBER	15	15239	SLUZBY	\N	\N
38156	123	1996-10-31	VYDAJ	VYBER	15	12915	SLUZBY	\N	\N
38157	123	1996-11-30	VYDAJ	VYBER	15	14785	SLUZBY	\N	\N
38158	123	1996-12-31	VYDAJ	VYBER	15	15563	SLUZBY	\N	\N
38159	123	1997-01-31	VYDAJ	VYBER	15	14649	SLUZBY	\N	\N
38160	123	1997-02-28	VYDAJ	VYBER	15	16527	SLUZBY	\N	\N
38161	123	1997-03-31	VYDAJ	VYBER	15	15488	SLUZBY	\N	\N
38162	123	1997-04-30	VYDAJ	VYBER	15	12863	SLUZBY	\N	\N
38163	123	1997-05-31	VYDAJ	VYBER	15	13932	SLUZBY	\N	\N
38164	123	1997-06-30	VYDAJ	VYBER	15	12348	SLUZBY	\N	\N
38165	123	1997-07-31	VYDAJ	VYBER	15	14216	SLUZBY	\N	\N
38166	123	1997-08-31	VYDAJ	VYBER	15	14189	SLUZBY	\N	\N
38167	123	1997-09-30	VYDAJ	VYBER	15	14281	SLUZBY	\N	\N
38168	123	1997-10-31	VYDAJ	VYBER	15	16157	SLUZBY	\N	\N
38169	123	1997-11-30	VYDAJ	VYBER	15	18041	SLUZBY	\N	\N
38170	123	1997-12-31	VYDAJ	VYBER	15	19181	SLUZBY	\N	\N
38171	123	1998-01-31	VYDAJ	VYBER	15	14413	SLUZBY	\N	\N
38172	123	1998-02-28	VYDAJ	VYBER	15	16288	SLUZBY	\N	\N
38173	123	1998-03-31	VYDAJ	VYBER	15	18172	SLUZBY	\N	\N
38174	123	1998-04-30	VYDAJ	VYBER	15	20064	SLUZBY	\N	\N
38175	123	1998-05-31	VYDAJ	VYBER	15	21082	SLUZBY	\N	\N
38176	123	1998-06-30	VYDAJ	VYBER	15	22587	SLUZBY	\N	\N
38177	123	1998-07-31	VYDAJ	VYBER	15	19846	SLUZBY	\N	\N
38178	123	1998-08-31	VYDAJ	VYBER	15	19984	SLUZBY	\N	\N
38179	123	1998-09-30	VYDAJ	VYBER	15	18517	SLUZBY	\N	\N
38180	123	1998-10-31	VYDAJ	VYBER	15	20409	SLUZBY	\N	\N
38181	123	1998-11-30	VYDAJ	VYBER	15	22310	SLUZBY	\N	\N
38182	123	1993-09-09	VYDAJ	VYBER	2900	23391	\N	\N	\N
38183	123	1993-10-09	VYDAJ	VYBER	400	24890	\N	\N	\N
38184	123	1993-12-08	VYDAJ	VYBER	3500	23994	\N	\N	\N
38185	123	1994-06-06	VYDAJ	VYBER	600	19291	\N	\N	\N
38186	123	1994-07-06	VYDAJ	VYBER	800	20372	\N	\N	\N
38187	123	1994-08-05	VYDAJ	VYBER	3100	19158	\N	\N	\N
38188	123	1995-09-29	VYDAJ	VYBER	300	17517	\N	\N	\N
38189	123	1995-10-29	VYDAJ	VYBER	3000	16404	\N	\N	\N
38190	123	1995-12-28	VYDAJ	VYBER	200	14964	\N	\N	\N
38191	123	1996-01-27	VYDAJ	VYBER	1200	12681	\N	\N	\N
38192	123	1996-02-26	VYDAJ	VYBER	1100	13460	\N	\N	\N
38193	123	1996-03-27	VYDAJ	VYBER	2100	13230	\N	\N	\N
38194	123	1996-04-26	VYDAJ	VYBER	1300	13802	\N	\N	\N
38195	123	1996-07-25	VYDAJ	VYBER	800	14939	\N	\N	\N
38196	123	1996-08-24	VYDAJ	VYBER	2400	14413	\N	\N	\N
38197	123	1996-09-23	VYDAJ	VYBER	1100	15190	\N	\N	\N
38198	123	1996-10-23	VYDAJ	VYBER	4200	12866	\N	\N	\N
38199	123	1997-03-22	VYDAJ	VYBER	1000	17354	\N	\N	\N
38200	123	1997-04-21	VYDAJ	VYBER	4500	12815	\N	\N	\N
38201	123	1997-05-21	VYDAJ	VYBER	800	13890	\N	\N	\N
38202	123	1997-06-20	VYDAJ	VYBER	900	12309	\N	\N	\N
38203	123	1997-08-19	VYDAJ	VYBER	1900	14143	\N	\N	\N
38204	123	1997-09-18	VYDAJ	VYBER	1300	14716	\N	\N	\N
38270	124	1997-12-28	PRIJEM	VKLAD	800	800	\N	\N	\N
38283	124	1998-01-10	PRIJEM	PREVOD Z UCTU	2990	3790	\N	CD	24219042
38284	124	1998-02-10	PRIJEM	PREVOD Z UCTU	2990	17390	\N	CD	24219042
38285	124	1998-03-10	PRIJEM	PREVOD Z UCTU	2990	21642	\N	CD	24219042
38286	124	1998-04-10	PRIJEM	PREVOD Z UCTU	2990	23810	\N	CD	24219042
38287	124	1998-05-10	PRIJEM	PREVOD Z UCTU	2990	25287	\N	CD	24219042
38288	124	1998-06-10	PRIJEM	PREVOD Z UCTU	2990	26468	\N	CD	24219042
38289	124	1998-07-10	PRIJEM	PREVOD Z UCTU	2990	21031	\N	CD	24219042
38290	124	1998-08-10	PRIJEM	PREVOD Z UCTU	2990	18895	\N	CD	24219042
38291	124	1998-09-10	PRIJEM	PREVOD Z UCTU	2990	17550	\N	CD	24219042
38292	124	1998-10-10	PRIJEM	PREVOD Z UCTU	2990	17101	\N	CD	24219042
38293	124	1998-11-10	PRIJEM	PREVOD Z UCTU	2990	18572	\N	CD	24219042
38294	124	1998-12-10	PRIJEM	PREVOD Z UCTU	2990	14924	\N	CD	24219042
38312	124	1998-06-08	VYDAJ	PREVOD NA UCET	447	23478	SIPO	IJ	11366123
38313	124	1998-07-08	VYDAJ	PREVOD NA UCET	447	18041	SIPO	IJ	11366123
38314	124	1998-08-08	VYDAJ	PREVOD NA UCET	447	15905	SIPO	IJ	11366123
38315	124	1998-09-08	VYDAJ	PREVOD NA UCET	447	14560	SIPO	IJ	11366123
38316	124	1998-10-08	VYDAJ	PREVOD NA UCET	447	14111	SIPO	IJ	11366123
38317	124	1998-11-08	VYDAJ	PREVOD NA UCET	447	16812	SIPO	IJ	11366123
38318	124	1998-12-08	VYDAJ	PREVOD NA UCET	447	11934	SIPO	IJ	11366123
38335	124	1998-05-14	VYDAJ	PREVOD NA UCET	575	24712	 	OP	51247948
38336	124	1998-06-14	VYDAJ	PREVOD NA UCET	575	25383	 	OP	51247948
38337	124	1998-07-14	VYDAJ	PREVOD NA UCET	575	20456	 	OP	51247948
38338	124	1998-08-14	VYDAJ	PREVOD NA UCET	575	18320	 	OP	51247948
38339	124	1998-09-14	VYDAJ	PREVOD NA UCET	575	16975	 	OP	51247948
38340	124	1998-10-14	VYDAJ	PREVOD NA UCET	575	16526	 	OP	51247948
38341	124	1998-11-14	VYDAJ	PREVOD NA UCET	575	17997	 	OP	51247948
38342	124	1998-12-14	VYDAJ	PREVOD NA UCET	575	14349	 	OP	51247948
38360	124	1998-06-07	VYDAJ	PREVOD NA UCET	971	23925	POJISTNE	OP	34663748
38361	124	1998-07-07	VYDAJ	PREVOD NA UCET	971	18488	POJISTNE	OP	34663748
38362	124	1998-08-07	VYDAJ	PREVOD NA UCET	971	16352	POJISTNE	OP	34663748
38363	124	1998-09-07	VYDAJ	PREVOD NA UCET	971	15007	POJISTNE	OP	34663748
38364	124	1998-10-07	VYDAJ	PREVOD NA UCET	971	14558	POJISTNE	OP	34663748
38365	124	1998-11-07	VYDAJ	PREVOD NA UCET	971	17259	POJISTNE	OP	34663748
38366	124	1998-12-07	VYDAJ	PREVOD NA UCET	971	12381	POJISTNE	OP	34663748
38368	124	1998-06-21	VYDAJ	VYBER	1110	24273	\N	\N	\N
38370	124	1998-12-16	VYDAJ	VYBER	840	13509	\N	\N	\N
38389	124	1998-11-08	VYDAJ	VYBER	1230	15582	\N	\N	\N
38391	124	1998-10-26	VYDAJ	VYBER	450	18176	\N	\N	\N
38392	124	1998-06-10	VYDAJ	VYBER	510	25958	\N	\N	\N
38410	124	1998-05-31	VYDAJ	VYBER	15	24896	SLUZBY	\N	\N
38411	124	1998-06-30	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
38412	124	1998-07-31	VYDAJ	VYBER	15	17323	SLUZBY	\N	\N
38413	124	1998-08-31	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
38414	124	1998-09-30	VYDAJ	VYBER	15	15529	SLUZBY	\N	\N
38415	124	1998-10-31	VYDAJ	VYBER	15	18230	SLUZBY	\N	\N
38416	124	1998-11-30	VYDAJ	VYBER	15	13352	SLUZBY	\N	\N
38417	124	1998-01-27	PRIJEM	VKLAD	10600	14390	\N	\N	\N
38418	124	1998-02-26	PRIJEM	VKLAD	1200	18590	\N	\N	\N
38419	124	1998-03-28	VYDAJ	VYBER	900	20742	\N	\N	\N
38420	124	1998-04-27	VYDAJ	VYBER	1600	22210	\N	\N	\N
38421	124	1998-05-27	PRIJEM	VKLAD	100	24812	\N	\N	\N
38422	124	1998-06-26	VYDAJ	VYBER	4900	19373	\N	\N	\N
38423	124	1998-07-26	VYDAJ	VYBER	3200	17256	\N	\N	\N
38424	124	1998-08-25	VYDAJ	VYBER	2400	15920	\N	\N	\N
38425	124	1998-09-24	VYDAJ	VYBER	1500	15475	\N	\N	\N
38426	124	1998-10-24	PRIJEM	VKLAD	2100	18626	\N	\N	\N
38427	124	1998-11-23	VYDAJ	VYBER	4700	13297	\N	\N	\N
38440	125	1996-09-07	PRIJEM	VKLAD	200	200	\N	\N	\N
38441	125	1996-12-09	PRIJEM	VKLAD	42284	80312	\N	\N	\N
38446	125	1996-10-28	PRIJEM	VKLAD	28980	63292	\N	\N	\N
38447	125	1996-09-17	PRIJEM	VKLAD	27916	28116	\N	\N	\N
38449	125	1996-12-15	PRIJEM	VKLAD	12815	95187	\N	\N	\N
38452	125	1996-11-19	PRIJEM	VKLAD	8940	53979	\N	\N	\N
38461	125	1996-10-14	PRIJEM	VKLAD	7041	34312	\N	\N	\N
38464	125	1996-12-10	PRIJEM	VKLAD	27260	107572	\N	\N	\N
38466	125	1997-06-10	PRIJEM	VKLAD	20374	45421	\N	\N	\N
38467	125	1997-02-10	PRIJEM	VKLAD	48433	67838	\N	\N	\N
38468	125	1997-03-12	PRIJEM	VKLAD	48644	105323	\N	\N	\N
38469	125	1997-02-04	PRIJEM	VKLAD	7135	26005	\N	\N	\N
38470	125	1997-01-02	PRIJEM	VKLAD	30393	123121	\N	\N	\N
38471	125	1997-10-31	PRIJEM	VKLAD	8752	32684	\N	\N	\N
38472	125	1997-08-16	PRIJEM	VKLAD	7790	64105	\N	\N	\N
38473	125	1997-03-18	PRIJEM	VKLAD	10923	85846	\N	\N	\N
38474	125	1997-02-28	PRIJEM	VKLAD	32715	101679	\N	\N	\N
38475	125	1997-04-15	PRIJEM	VKLAD	13696	94973	\N	\N	\N
38476	125	1997-04-07	PRIJEM	VKLAD	43713	81277	\N	\N	\N
38477	125	1997-02-13	PRIJEM	VKLAD	32101	88378	\N	\N	\N
38478	125	1997-08-12	PRIJEM	VKLAD	24197	56315	\N	\N	\N
38479	125	1997-11-07	PRIJEM	VKLAD	34985	62069	\N	\N	\N
38480	125	1997-08-01	PRIJEM	VKLAD	36902	54318	\N	\N	\N
38481	125	1997-01-11	PRIJEM	VKLAD	30084	53305	\N	\N	\N
38482	125	1997-03-22	PRIJEM	VKLAD	44587	130433	\N	\N	\N
38483	125	1998-02-26	PRIJEM	VKLAD	13181	65455	\N	\N	\N
38484	125	1998-12-03	PRIJEM	VKLAD	24658	46215	\N	\N	\N
38485	125	1998-04-24	PRIJEM	VKLAD	34584	58383	\N	\N	\N
38486	125	1998-07-30	PRIJEM	VKLAD	26062	56501	\N	\N	\N
38487	125	1998-06-13	PRIJEM	VKLAD	36162	58244	\N	\N	\N
38488	125	1998-12-14	PRIJEM	VKLAD	30788	77003	\N	\N	\N
38489	125	1998-01-05	PRIJEM	VKLAD	38471	51130	\N	\N	\N
38490	125	1998-08-26	PRIJEM	VKLAD	49487	85654	\N	\N	\N
38491	125	1998-01-17	PRIJEM	VKLAD	7974	33904	\N	\N	\N
38492	125	1998-09-25	PRIJEM	VKLAD	10937	95205	\N	\N	\N
38493	125	1998-09-21	PRIJEM	VKLAD	29302	84268	\N	\N	\N
38494	125	1998-05-10	PRIJEM	VKLAD	7435	31722	\N	\N	\N
38495	125	1998-02-06	PRIJEM	VKLAD	38768	52274	\N	\N	\N
38532	125	1997-02-10	VYBER	VYBER	11561	56277	\N	\N	\N
38533	125	1997-09-01	VYBER	VYBER	20059	33108	\N	\N	\N
38537	125	1997-02-17	VYBER	VYBER	19657	68721	\N	\N	\N
38539	125	1997-12-01	VYBER	VYBER	24130	38072	\N	\N	\N
38540	125	1997-08-17	VYBER	VYBER	11028	53077	\N	\N	\N
38541	125	1997-05-07	VYBER	VYBER	22668	32561	\N	\N	\N
38542	125	1997-06-24	VYBER	VYBER	16978	28443	\N	\N	\N
38544	125	1998-10-01	VYBER	VYBER	23125	38422	\N	\N	\N
38545	125	1998-12-16	VYBER	VYBER	4238	64665	\N	\N	\N
38550	125	1997-01-15	VYDAJ	VYBER	28800	24505	\N	\N	\N
38551	125	1998-01-05	VYDAJ	VYBER	17700	33430	\N	\N	\N
38553	125	1997-12-03	VYDAJ	VYBER	4500	20972	\N	\N	\N
38554	125	1998-12-14	VYDAJ	VYBER	8100	68903	\N	\N	\N
38564	125	1997-01-15	VYDAJ	VYBER	2100	22405	\N	\N	\N
38566	125	1997-01-09	VYDAJ	VYBER	7200	23221	\N	\N	\N
38567	125	1998-01-22	VYDAJ	VYBER	2100	29404	\N	\N	\N
38568	125	1998-01-20	VYDAJ	VYBER	2400	31504	\N	\N	\N
38569	125	1998-01-06	VYDAJ	VYBER	7500	25930	\N	\N	\N
38570	125	1998-01-24	VYDAJ	VYBER	8700	20704	\N	\N	\N
38578	125	1997-01-16	VYDAJ	VYBER	3600	18805	\N	\N	\N
38579	125	1997-03-16	VYDAJ	VYBER	14100	74923	\N	\N	\N
38581	125	1997-01-01	VYDAJ	VYBER	2700	92728	\N	\N	\N
38583	125	1997-01-09	VYDAJ	VYBER	14700	30421	\N	\N	\N
38584	125	1997-08-09	VYDAJ	VYBER	1800	32118	\N	\N	\N
38586	125	1998-08-01	VYDAJ	VYBER	9300	47267	\N	\N	\N
38587	125	1998-05-29	VYDAJ	VYBER	4500	27222	\N	\N	\N
38588	125	1998-05-08	VYDAJ	VYBER	9300	24287	\N	\N	\N
38590	125	1998-10-30	VYDAJ	VYBER	3900	25022	\N	\N	\N
38591	125	1998-08-15	VYDAJ	VYBER	11100	36167	\N	\N	\N
38606	125	1996-12-31	VYDAJ	VYBER	100	95428	SLUZBY	\N	\N
38607	125	1997-01-31	VYDAJ	VYBER	100	18870	SLUZBY	\N	\N
38608	125	1997-02-28	VYDAJ	VYBER	100	101579	SLUZBY	\N	\N
38609	125	1997-03-31	VYDAJ	VYBER	100	66764	SLUZBY	\N	\N
38610	125	1997-04-30	VYDAJ	VYBER	100	95229	SLUZBY	\N	\N
38611	125	1997-05-31	VYDAJ	VYBER	100	32647	SLUZBY	\N	\N
38612	125	1997-06-30	VYDAJ	VYBER	100	28499	SLUZBY	\N	\N
38613	125	1997-07-31	VYDAJ	VYBER	100	17416	SLUZBY	\N	\N
38614	125	1997-08-31	VYDAJ	VYBER	100	53167	SLUZBY	\N	\N
38615	125	1997-09-30	VYDAJ	VYBER	100	26422	SLUZBY	\N	\N
38616	125	1997-10-31	VYDAJ	VYBER	100	32584	SLUZBY	\N	\N
38617	125	1997-11-30	VYDAJ	VYBER	100	62202	SLUZBY	\N	\N
38618	125	1997-12-31	VYDAJ	VYBER	100	20959	SLUZBY	\N	\N
38619	125	1998-01-31	VYDAJ	VYBER	100	13506	SLUZBY	\N	\N
38620	125	1998-02-28	VYDAJ	VYBER	100	65433	SLUZBY	\N	\N
38621	125	1998-03-31	VYDAJ	VYBER	100	23799	SLUZBY	\N	\N
38622	125	1998-04-30	VYDAJ	VYBER	100	58387	SLUZBY	\N	\N
38623	125	1998-05-31	VYDAJ	VYBER	100	22082	SLUZBY	\N	\N
38624	125	1998-06-30	VYDAJ	VYBER	100	39039	SLUZBY	\N	\N
38625	125	1998-07-31	VYDAJ	VYBER	100	56567	SLUZBY	\N	\N
38626	125	1998-08-31	VYDAJ	VYBER	100	54966	SLUZBY	\N	\N
38627	125	1998-09-30	VYDAJ	VYBER	100	61547	SLUZBY	\N	\N
38628	125	1998-10-31	VYDAJ	VYBER	100	25154	SLUZBY	\N	\N
38629	125	1998-11-30	VYDAJ	VYBER	100	21557	SLUZBY	\N	\N
38630	125	1996-10-07	VYDAJ	VYBER	900	27271	\N	\N	\N
38631	125	1996-11-06	VYDAJ	VYBER	18400	45039	\N	\N	\N
38632	125	1996-12-06	VYDAJ	VYBER	16200	38028	\N	\N	\N
38633	125	1996-12-10	VYDAJ	VYBER	25200	82372	\N	\N	\N
38634	125	1997-01-02	VYDAJ	VYBER	45600	77521	\N	\N	\N
38635	125	1997-01-05	VYDAJ	VYBER	32400	45121	\N	\N	\N
38636	125	1997-02-04	VYDAJ	VYBER	6600	19405	\N	\N	\N
38637	125	1997-03-06	VYDAJ	VYBER	44900	56679	\N	\N	\N
38638	125	1997-03-12	VYDAJ	VYBER	16300	89023	\N	\N	\N
38639	125	1997-03-22	VYDAJ	VYBER	64000	66433	\N	\N	\N
38640	125	1997-04-05	VYDAJ	VYBER	29200	37564	\N	\N	\N
38641	125	1997-05-05	VYDAJ	VYBER	40000	55229	\N	\N	\N
38642	125	1997-06-04	VYDAJ	VYBER	7600	25047	\N	\N	\N
38643	125	1997-07-04	VYDAJ	VYBER	11100	17399	\N	\N	\N
38644	125	1997-08-03	VYDAJ	VYBER	20400	33918	\N	\N	\N
38645	125	1997-09-02	VYDAJ	VYBER	6700	26408	\N	\N	\N
38646	125	1997-10-02	VYDAJ	VYBER	2600	23822	\N	\N	\N
38647	125	1997-11-01	VYDAJ	VYBER	5500	27084	\N	\N	\N
38648	125	1997-12-01	VYDAJ	VYBER	12600	25472	\N	\N	\N
38649	125	1997-12-31	VYDAJ	VYBER	8300	12659	\N	\N	\N
38650	125	1998-01-30	VYDAJ	VYBER	7200	13504	\N	\N	\N
38651	125	1998-03-01	VYDAJ	VYBER	28000	37433	\N	\N	\N
38652	125	1998-03-31	VYDAJ	VYBER	13800	23899	\N	\N	\N
38653	125	1998-04-30	VYDAJ	VYBER	24800	33587	\N	\N	\N
38654	125	1998-05-30	VYDAJ	VYBER	5200	22022	\N	\N	\N
38655	125	1998-06-29	VYDAJ	VYBER	19200	39044	\N	\N	\N
38656	125	1998-07-29	VYDAJ	VYBER	8600	30439	\N	\N	\N
38657	125	1998-08-28	VYDAJ	VYBER	30800	54854	\N	\N	\N
38658	125	1998-09-27	VYDAJ	VYBER	33800	61405	\N	\N	\N
38659	125	1998-10-27	VYDAJ	VYBER	9500	28922	\N	\N	\N
38660	125	1998-11-26	VYDAJ	VYBER	3600	21554	\N	\N	\N
38689	126	1993-10-23	PRIJEM	VKLAD	200	200	\N	\N	\N
38691	126	1993-11-01	PRIJEM	VKLAD	41244	41444	\N	\N	\N
38697	126	1994-12-03	PRIJEM	VKLAD	12312	84456	\N	\N	\N
38698	126	1994-11-18	PRIJEM	VKLAD	38702	71966	\N	\N	\N
38699	126	1994-05-02	PRIJEM	VKLAD	42742	83766	\N	\N	\N
38700	126	1994-03-22	PRIJEM	VKLAD	25373	88608	\N	\N	\N
38701	126	1994-03-11	PRIJEM	VKLAD	37942	63235	\N	\N	\N
38702	126	1994-05-02	PRIJEM	VKLAD	28593	112359	\N	\N	\N
38703	126	1994-11-05	PRIJEM	VKLAD	34771	52743	\N	\N	\N
38704	126	1995-03-25	PRIJEM	VKLAD	6895	63283	\N	\N	\N
38705	126	1995-10-19	PRIJEM	VKLAD	19221	41188	\N	\N	\N
38706	126	1995-05-24	PRIJEM	VKLAD	7126	77256	\N	\N	\N
38707	126	1995-04-28	PRIJEM	VKLAD	28441	92073	\N	\N	\N
38708	126	1995-04-24	PRIJEM	VKLAD	19375	63632	\N	\N	\N
38709	126	1995-07-03	PRIJEM	VKLAD	42117	93695	\N	\N	\N
38710	126	1995-05-24	PRIJEM	VKLAD	38329	70130	\N	\N	\N
38711	126	1995-03-23	PRIJEM	VKLAD	40542	56388	\N	\N	\N
38712	126	1995-08-27	PRIJEM	VKLAD	49750	68522	\N	\N	\N
38713	126	1995-09-15	PRIJEM	VKLAD	13721	51179	\N	\N	\N
38714	126	1995-04-11	PRIJEM	VKLAD	36812	67441	\N	\N	\N
38715	126	1995-09-27	PRIJEM	VKLAD	18325	46863	\N	\N	\N
38716	126	1995-06-12	PRIJEM	VKLAD	42671	87508	\N	\N	\N
38717	126	1996-04-25	PRIJEM	VKLAD	10222	58196	\N	\N	\N
38718	126	1996-05-20	PRIJEM	VKLAD	24303	74904	\N	\N	\N
38719	126	1996-12-11	PRIJEM	VKLAD	20304	41581	\N	\N	\N
38720	126	1996-03-08	PRIJEM	VKLAD	45278	62485	\N	\N	\N
38721	126	1996-07-09	PRIJEM	VKLAD	31208	71853	\N	\N	\N
38722	126	1996-08-07	PRIJEM	VKLAD	27591	61426	\N	\N	\N
38723	126	1996-03-30	PRIJEM	VKLAD	44660	105242	\N	\N	\N
38724	126	1996-01-11	PRIJEM	VKLAD	37414	55704	\N	\N	\N
38725	126	1996-05-07	PRIJEM	VKLAD	31847	90285	\N	\N	\N
38726	126	1996-03-13	PRIJEM	VKLAD	46045	81646	\N	\N	\N
38727	126	1997-08-28	PRIJEM	VKLAD	49700	68550	\N	\N	\N
38728	126	1997-10-15	PRIJEM	VKLAD	12737	28431	\N	\N	\N
38729	126	1997-05-05	PRIJEM	VKLAD	23211	42173	\N	\N	\N
38730	126	1998-04-09	PRIJEM	VKLAD	12745	72564	\N	\N	\N
38731	126	1998-05-10	PRIJEM	VKLAD	48392	114748	\N	\N	\N
38732	126	1998-05-16	PRIJEM	VKLAD	24559	83023	\N	\N	\N
38733	126	1998-01-17	PRIJEM	VKLAD	15693	44022	\N	\N	\N
38734	126	1998-06-26	PRIJEM	VKLAD	9077	62012	\N	\N	\N
38735	126	1998-04-12	PRIJEM	VKLAD	45655	118219	\N	\N	\N
38736	126	1998-07-06	PRIJEM	VKLAD	47436	86176	\N	\N	\N
38737	126	1998-10-24	PRIJEM	VKLAD	19136	43560	\N	\N	\N
38738	126	1998-11-17	PRIJEM	VKLAD	17967	61706	\N	\N	\N
38739	126	1998-02-02	PRIJEM	VKLAD	16723	49357	\N	\N	\N
38740	126	1998-03-03	PRIJEM	VKLAD	21580	61894	\N	\N	\N
38741	126	1998-12-29	PRIJEM	VKLAD	7249	50158	\N	\N	\N
38742	126	1998-01-07	PRIJEM	VKLAD	8411	35713	\N	\N	\N
38743	126	1998-11-20	PRIJEM	VKLAD	42563	104269	\N	\N	\N
38744	126	1998-04-04	PRIJEM	VKLAD	45711	116119	\N	\N	\N
38745	126	1998-11-08	PRIJEM	VKLAD	13540	51123	\N	\N	\N
38746	126	1998-04-19	PRIJEM	VKLAD	11985	98620	\N	\N	\N
38747	126	1998-03-26	PRIJEM	VKLAD	47349	101859	\N	\N	\N
38764	126	1994-05-12	VYDAJ	PREVOD NA UCET	7384	78019	SIPO	WX	62923598
38765	126	1994-06-12	VYDAJ	PREVOD NA UCET	7384	34929	SIPO	WX	62923598
38766	126	1994-07-12	VYDAJ	PREVOD NA UCET	7384	23397	SIPO	WX	62923598
38767	126	1994-08-12	VYDAJ	PREVOD NA UCET	7384	19220	SIPO	WX	62923598
38768	126	1994-09-12	VYDAJ	PREVOD NA UCET	7384	14323	SIPO	WX	62923598
38769	126	1994-10-12	VYDAJ	PREVOD NA UCET	7384	11310	SIPO	WX	62923598
38770	126	1994-11-12	VYDAJ	PREVOD NA UCET	7384	45359	SIPO	WX	62923598
38771	126	1994-12-12	VYDAJ	PREVOD NA UCET	7384	77072	SIPO	WX	62923598
38772	126	1995-01-12	VYDAJ	PREVOD NA UCET	7384	15085	SIPO	WX	62923598
38773	126	1995-02-12	VYDAJ	PREVOD NA UCET	7384	10869	SIPO	WX	62923598
38774	126	1995-03-12	VYDAJ	PREVOD NA UCET	7384	11046	SIPO	WX	62923598
38775	126	1995-04-12	VYDAJ	PREVOD NA UCET	7384	60057	SIPO	WX	62923598
38776	126	1995-05-12	VYDAJ	PREVOD NA UCET	7384	73227	SIPO	WX	62923598
38777	126	1995-06-12	VYDAJ	PREVOD NA UCET	7384	80124	SIPO	WX	62923598
38778	126	1995-07-12	VYDAJ	PREVOD NA UCET	7384	86311	SIPO	WX	62923598
38779	126	1995-08-12	VYDAJ	PREVOD NA UCET	7384	18072	SIPO	WX	62923598
38780	126	1995-09-12	VYDAJ	PREVOD NA UCET	7384	51858	SIPO	WX	62923598
38781	126	1995-10-12	VYDAJ	PREVOD NA UCET	7384	18967	SIPO	WX	62923598
38782	126	1995-11-12	VYDAJ	PREVOD NA UCET	7384	29851	SIPO	WX	62923598
38783	126	1995-12-12	VYDAJ	PREVOD NA UCET	7384	18194	SIPO	WX	62923598
38784	126	1996-01-12	VYDAJ	PREVOD NA UCET	7384	31620	SIPO	WX	62923598
38785	126	1996-02-12	VYDAJ	PREVOD NA UCET	7384	17122	SIPO	WX	62923598
38786	126	1996-03-12	VYDAJ	PREVOD NA UCET	7384	35601	SIPO	WX	62923598
38787	126	1996-04-12	VYDAJ	PREVOD NA UCET	7384	47974	SIPO	WX	62923598
38788	126	1996-05-12	VYDAJ	PREVOD NA UCET	7384	50601	SIPO	WX	62923598
38789	126	1996-06-12	VYDAJ	PREVOD NA UCET	7384	43766	SIPO	WX	62923598
38790	126	1996-07-12	VYDAJ	PREVOD NA UCET	7384	33669	SIPO	WX	62923598
38791	126	1996-08-12	VYDAJ	PREVOD NA UCET	7384	36742	SIPO	WX	62923598
38792	126	1996-09-12	VYDAJ	PREVOD NA UCET	7384	26896	SIPO	WX	62923598
38793	126	1996-10-12	VYDAJ	PREVOD NA UCET	7384	19723	SIPO	WX	62923598
38794	126	1996-11-12	VYDAJ	PREVOD NA UCET	7384	17816	SIPO	WX	62923598
38795	126	1996-12-12	VYDAJ	PREVOD NA UCET	7384	34197	SIPO	WX	62923598
38796	126	1997-01-12	VYDAJ	PREVOD NA UCET	7384	21618	SIPO	WX	62923598
38797	126	1997-02-12	VYDAJ	PREVOD NA UCET	7384	20725	SIPO	WX	62923598
38798	126	1997-03-12	VYDAJ	PREVOD NA UCET	7384	20612	SIPO	WX	62923598
38799	126	1997-04-12	VYDAJ	PREVOD NA UCET	7384	18898	SIPO	WX	62923598
38800	126	1997-05-12	VYDAJ	PREVOD NA UCET	7384	30189	SIPO	WX	62923598
38801	126	1997-06-12	VYDAJ	PREVOD NA UCET	7384	25055	SIPO	WX	62923598
38802	126	1997-07-12	VYDAJ	PREVOD NA UCET	7384	20557	SIPO	WX	62923598
38803	126	1997-08-12	VYDAJ	PREVOD NA UCET	7384	18850	SIPO	WX	62923598
38804	126	1997-09-12	VYDAJ	PREVOD NA UCET	7384	44157	SIPO	WX	62923598
38805	126	1997-10-12	VYDAJ	PREVOD NA UCET	7384	15694	SIPO	WX	62923598
38806	126	1997-11-12	VYDAJ	PREVOD NA UCET	7384	16666	SIPO	WX	62923598
38807	126	1997-12-12	VYDAJ	PREVOD NA UCET	7384	16748	SIPO	WX	62923598
38808	126	1998-01-12	VYDAJ	PREVOD NA UCET	7384	28329	SIPO	WX	62923598
38809	126	1998-02-12	VYDAJ	PREVOD NA UCET	7384	41973	SIPO	WX	62923598
38810	126	1998-03-12	VYDAJ	PREVOD NA UCET	7384	54510	SIPO	WX	62923598
38811	126	1998-04-12	VYDAJ	PREVOD NA UCET	7384	86635	SIPO	WX	62923598
38812	126	1998-05-12	VYDAJ	PREVOD NA UCET	7384	58464	SIPO	WX	62923598
38813	126	1998-06-12	VYDAJ	PREVOD NA UCET	7384	52935	SIPO	WX	62923598
38814	126	1998-07-12	VYDAJ	PREVOD NA UCET	7384	68292	SIPO	WX	62923598
38815	126	1998-08-12	VYDAJ	PREVOD NA UCET	7384	36802	SIPO	WX	62923598
38816	126	1998-09-12	VYDAJ	PREVOD NA UCET	7384	28579	SIPO	WX	62923598
38817	126	1998-10-12	VYDAJ	PREVOD NA UCET	7384	24424	SIPO	WX	62923598
38818	126	1998-11-12	VYDAJ	PREVOD NA UCET	7384	43739	SIPO	WX	62923598
38819	126	1998-12-12	VYDAJ	PREVOD NA UCET	7384	45409	SIPO	WX	62923598
38826	126	1994-12-15	VYBER	VYBER	10693	55279	\N	\N	\N
38827	126	1994-12-22	VYBER	VYBER	14604	23775	\N	\N	\N
38830	126	1994-11-16	VYBER	VYBER	2295	43064	\N	\N	\N
38837	126	1994-05-11	VYBER	VYBER	10956	85403	\N	\N	\N
38840	126	1995-04-10	VYBER	VYBER	21578	30629	\N	\N	\N
38841	126	1995-09-01	VYBER	VYBER	9388	59242	\N	\N	\N
38842	126	1995-07-22	VYBER	VYBER	21630	25281	\N	\N	\N
38844	126	1995-04-10	VYBER	VYBER	11188	52207	\N	\N	\N
38845	126	1995-09-22	VYBER	VYBER	22641	28538	\N	\N	\N
38846	126	1995-10-06	VYBER	VYBER	20715	26351	\N	\N	\N
38850	126	1995-05-21	VYBER	VYBER	14826	31801	\N	\N	\N
38852	126	1996-03-25	VYBER	VYBER	21064	60582	\N	\N	\N
38855	126	1996-06-22	VYBER	VYBER	3332	40434	\N	\N	\N
38859	126	1997-10-12	VYBER	VYBER	12883	23078	\N	\N	\N
38860	126	1997-05-29	VYBER	VYBER	6357	23832	\N	\N	\N
38864	126	1995-06-08	VYDAJ	VYBER	32700	44837	\N	\N	\N
38875	126	1994-12-20	VYDAJ	VYBER	2100	38379	\N	\N	\N
38879	126	1998-12-05	VYDAJ	VYBER	3000	52793	\N	\N	\N
38895	126	1995-01-01	VYDAJ	VYBER	1500	22469	\N	\N	\N
38901	126	1996-01-15	VYDAJ	VYBER	2700	27420	\N	\N	\N
38902	126	1996-01-15	VYDAJ	VYBER	3000	24420	\N	\N	\N
38903	126	1996-01-12	VYDAJ	VYBER	1500	30120	\N	\N	\N
38907	126	1997-01-10	VYDAJ	VYBER	2400	29002	\N	\N	\N
38910	126	1998-01-25	VYDAJ	VYBER	6300	28422	\N	\N	\N
38912	126	1998-01-21	VYDAJ	VYBER	7800	36222	\N	\N	\N
38913	126	1998-01-22	VYDAJ	VYBER	1500	34722	\N	\N	\N
38921	126	1994-12-13	VYDAJ	VYBER	11100	65972	\N	\N	\N
38926	126	1994-06-07	VYDAJ	VYBER	10800	42313	\N	\N	\N
38927	126	1995-07-16	VYDAJ	VYBER	6600	46911	\N	\N	\N
38928	126	1995-05-04	VYDAJ	VYBER	3300	89011	\N	\N	\N
38932	126	1995-05-07	VYDAJ	VYBER	5400	83611	\N	\N	\N
38933	126	1995-12-10	VYDAJ	VYBER	6900	23078	\N	\N	\N
38934	126	1995-05-09	VYDAJ	VYBER	3000	80611	\N	\N	\N
38937	126	1996-07-12	VYDAJ	VYBER	10500	41053	\N	\N	\N
38944	126	1997-07-07	VYDAJ	VYBER	3300	27941	\N	\N	\N
38945	126	1997-11-05	VYDAJ	VYBER	6000	24050	\N	\N	\N
38946	126	1998-07-17	VYDAJ	VYBER	14700	53592	\N	\N	\N
38947	126	1998-04-04	VYDAJ	VYBER	12600	59819	\N	\N	\N
38948	126	1998-10-29	VYDAJ	VYBER	5100	37460	\N	\N	\N
38949	126	1998-11-28	VYDAJ	VYBER	14100	55569	\N	\N	\N
38950	126	1998-06-29	VYDAJ	VYBER	13800	48212	\N	\N	\N
38952	126	1998-07-12	VYDAJ	VYBER	10500	75676	\N	\N	\N
38970	126	1994-05-31	VYDAJ	VYBER	15	53113	SLUZBY	\N	\N
38971	126	1994-06-30	VYDAJ	VYBER	15	30781	SLUZBY	\N	\N
38972	126	1994-07-31	VYDAJ	VYBER	15	26604	SLUZBY	\N	\N
38973	126	1994-08-31	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
38974	126	1994-09-30	VYDAJ	VYBER	15	18694	SLUZBY	\N	\N
38975	126	1994-10-31	VYDAJ	VYBER	15	17972	SLUZBY	\N	\N
38976	126	1994-11-30	VYDAJ	VYBER	15	72144	SLUZBY	\N	\N
38977	126	1994-12-31	VYDAJ	VYBER	15	23969	SLUZBY	\N	\N
38978	126	1995-01-31	VYDAJ	VYBER	15	18253	SLUZBY	\N	\N
38979	126	1995-02-28	VYDAJ	VYBER	15	18430	SLUZBY	\N	\N
38980	126	1995-03-31	VYDAJ	VYBER	15	63395	SLUZBY	\N	\N
38981	126	1995-04-30	VYDAJ	VYBER	15	92311	SLUZBY	\N	\N
38982	126	1995-05-31	VYDAJ	VYBER	15	77537	SLUZBY	\N	\N
38983	126	1995-06-30	VYDAJ	VYBER	15	51578	SLUZBY	\N	\N
38984	126	1995-07-31	VYDAJ	VYBER	15	25456	SLUZBY	\N	\N
38985	126	1995-08-31	VYDAJ	VYBER	15	68630	SLUZBY	\N	\N
38986	126	1995-09-30	VYDAJ	VYBER	15	47066	SLUZBY	\N	\N
38987	126	1995-10-31	VYDAJ	VYBER	15	41335	SLUZBY	\N	\N
38988	126	1995-11-30	VYDAJ	VYBER	15	29978	SLUZBY	\N	\N
38989	126	1995-12-31	VYDAJ	VYBER	15	18290	SLUZBY	\N	\N
38990	126	1996-01-31	VYDAJ	VYBER	15	24506	SLUZBY	\N	\N
38991	126	1996-02-29	VYDAJ	VYBER	15	17207	SLUZBY	\N	\N
38992	126	1996-03-31	VYDAJ	VYBER	15	105458	SLUZBY	\N	\N
38993	126	1996-04-30	VYDAJ	VYBER	15	58438	SLUZBY	\N	\N
38994	126	1996-05-31	VYDAJ	VYBER	15	75150	SLUZBY	\N	\N
38995	126	1996-06-30	VYDAJ	VYBER	15	40645	SLUZBY	\N	\N
38996	126	1996-07-31	VYDAJ	VYBER	15	33835	SLUZBY	\N	\N
38997	126	1996-08-31	VYDAJ	VYBER	15	36880	SLUZBY	\N	\N
38998	126	1996-09-30	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
38999	126	1996-10-31	VYDAJ	VYBER	15	19800	SLUZBY	\N	\N
39000	126	1996-11-30	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
39001	126	1996-12-31	VYDAJ	VYBER	15	34302	SLUZBY	\N	\N
39002	126	1997-01-31	VYDAJ	VYBER	15	21709	SLUZBY	\N	\N
39003	126	1997-02-28	VYDAJ	VYBER	15	20796	SLUZBY	\N	\N
39004	126	1997-03-31	VYDAJ	VYBER	15	20682	SLUZBY	\N	\N
39005	126	1997-04-30	VYDAJ	VYBER	15	18962	SLUZBY	\N	\N
39006	126	1997-05-31	VYDAJ	VYBER	15	23939	SLUZBY	\N	\N
39007	126	1997-06-30	VYDAJ	VYBER	15	25141	SLUZBY	\N	\N
39008	126	1997-07-31	VYDAJ	VYBER	15	20634	SLUZBY	\N	\N
39009	126	1997-08-31	VYDAJ	VYBER	15	68641	SLUZBY	\N	\N
39010	126	1997-09-30	VYDAJ	VYBER	15	44361	SLUZBY	\N	\N
39011	126	1997-10-31	VYDAJ	VYBER	15	28550	SLUZBY	\N	\N
39012	126	1997-11-30	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
39013	126	1997-12-31	VYDAJ	VYBER	15	27302	SLUZBY	\N	\N
39014	126	1998-01-31	VYDAJ	VYBER	15	32634	SLUZBY	\N	\N
39015	126	1998-02-28	VYDAJ	VYBER	15	42114	SLUZBY	\N	\N
39016	126	1998-03-31	VYDAJ	VYBER	15	102108	SLUZBY	\N	\N
39017	126	1998-04-30	VYDAJ	VYBER	15	98956	SLUZBY	\N	\N
39018	126	1998-05-31	VYDAJ	VYBER	15	60319	SLUZBY	\N	\N
39019	126	1998-06-30	VYDAJ	VYBER	15	38740	SLUZBY	\N	\N
39020	126	1998-07-31	VYDAJ	VYBER	15	44186	SLUZBY	\N	\N
39021	126	1998-08-31	VYDAJ	VYBER	15	35963	SLUZBY	\N	\N
39022	126	1998-09-30	VYDAJ	VYBER	15	31808	SLUZBY	\N	\N
39023	126	1998-10-31	VYDAJ	VYBER	15	37583	SLUZBY	\N	\N
39024	126	1998-11-30	VYDAJ	VYBER	15	55793	SLUZBY	\N	\N
39025	126	1993-11-22	VYDAJ	VYBER	8800	32644	\N	\N	\N
39026	126	1993-12-22	VYDAJ	VYBER	4900	27785	\N	\N	\N
39027	126	1994-01-21	PRIJEM	VKLAD	100	28021	\N	\N	\N
39028	126	1994-02-20	VYDAJ	VYBER	3000	25157	\N	\N	\N
39029	126	1994-03-22	VYDAJ	VYBER	29800	58808	\N	\N	\N
39030	126	1994-04-21	VYDAJ	VYBER	18200	40779	\N	\N	\N
39031	126	1994-05-02	VYDAJ	VYBER	16000	96359	\N	\N	\N
39032	126	1994-05-21	VYDAJ	VYBER	25200	52819	\N	\N	\N
39033	126	1994-06-20	VYDAJ	VYBER	4300	30629	\N	\N	\N
39034	126	1994-07-20	PRIJEM	VKLAD	3100	26497	\N	\N	\N
39035	126	1994-08-19	PRIJEM	VKLAD	2400	21620	\N	\N	\N
39036	126	1994-09-18	PRIJEM	VKLAD	4300	18623	\N	\N	\N
39037	126	1994-10-18	PRIJEM	VKLAD	6600	17910	\N	\N	\N
39038	126	1994-11-17	VYDAJ	VYBER	9800	33264	\N	\N	\N
39039	126	1994-12-17	VYDAJ	VYBER	14800	40479	\N	\N	\N
39040	126	1995-01-16	PRIJEM	VKLAD	3100	18185	\N	\N	\N
39041	126	1995-02-15	PRIJEM	VKLAD	7500	18369	\N	\N	\N
39042	126	1995-03-17	PRIJEM	VKLAD	4800	15846	\N	\N	\N
39043	126	1995-04-16	VYDAJ	VYBER	15800	44257	\N	\N	\N
39044	126	1995-05-16	VYDAJ	VYBER	26600	46627	\N	\N	\N
39045	126	1995-06-15	VYDAJ	VYBER	28800	51324	\N	\N	\N
39046	126	1995-07-15	VYDAJ	VYBER	32800	53511	\N	\N	\N
39047	126	1995-08-14	PRIJEM	VKLAD	700	18772	\N	\N	\N
39048	126	1995-09-13	VYDAJ	VYBER	14400	37458	\N	\N	\N
39049	126	1995-10-13	PRIJEM	VKLAD	3000	21967	\N	\N	\N
39050	126	1995-11-12	VYDAJ	VYBER	4100	37235	\N	\N	\N
39051	126	1995-12-12	PRIJEM	VKLAD	2500	25578	\N	\N	\N
39052	126	1996-01-11	VYDAJ	VYBER	16700	39004	\N	\N	\N
39053	126	1996-03-11	VYDAJ	VYBER	19500	42985	\N	\N	\N
39054	126	1996-03-31	VYDAJ	VYBER	24700	80758	\N	\N	\N
39055	126	1996-04-10	VYDAJ	VYBER	25400	55358	\N	\N	\N
39056	126	1996-05-10	VYDAJ	VYBER	32300	57985	\N	\N	\N
39057	126	1996-06-09	VYDAJ	VYBER	24000	51150	\N	\N	\N
39058	126	1996-07-09	VYDAJ	VYBER	20300	51553	\N	\N	\N
39059	126	1996-08-08	VYDAJ	VYBER	17300	44126	\N	\N	\N
39060	126	1996-09-07	VYDAJ	VYBER	2600	34280	\N	\N	\N
39061	126	1996-10-07	PRIJEM	VKLAD	100	27107	\N	\N	\N
39062	126	1996-11-06	PRIJEM	VKLAD	5400	25200	\N	\N	\N
39063	126	1996-12-06	PRIJEM	VKLAD	3400	21277	\N	\N	\N
39064	126	1997-01-05	VYDAJ	VYBER	2900	31402	\N	\N	\N
39065	126	1997-02-04	PRIJEM	VKLAD	6400	28109	\N	\N	\N
39066	126	1997-03-06	PRIJEM	VKLAD	7200	27996	\N	\N	\N
39067	126	1997-04-05	PRIJEM	VKLAD	5600	26282	\N	\N	\N
39068	126	1997-05-05	VYDAJ	VYBER	4600	37573	\N	\N	\N
39069	126	1997-06-04	PRIJEM	VKLAD	8500	32439	\N	\N	\N
39070	126	1997-07-04	PRIJEM	VKLAD	6100	31241	\N	\N	\N
39071	126	1997-08-03	PRIJEM	VKLAD	5600	26234	\N	\N	\N
39072	126	1997-09-02	VYDAJ	VYBER	17100	51541	\N	\N	\N
39073	126	1997-10-02	VYDAJ	VYBER	8400	35961	\N	\N	\N
39074	126	1997-11-01	PRIJEM	VKLAD	1500	30050	\N	\N	\N
39075	126	1997-12-01	PRIJEM	VKLAD	7400	24132	\N	\N	\N
39076	126	1997-12-31	PRIJEM	VKLAD	10500	27248	\N	\N	\N
39077	126	1998-01-30	PRIJEM	VKLAD	4100	32522	\N	\N	\N
39078	126	1998-03-01	VYDAJ	VYBER	1800	40314	\N	\N	\N
39079	126	1998-03-31	VYDAJ	VYBER	31700	70408	\N	\N	\N
39080	126	1998-04-04	VYDAJ	VYBER	43700	72419	\N	\N	\N
39081	126	1998-04-12	VYDAJ	VYBER	24200	94019	\N	\N	\N
39082	126	1998-04-30	VYDAJ	VYBER	32600	66356	\N	\N	\N
39083	126	1998-05-10	VYDAJ	VYBER	48900	65848	\N	\N	\N
39084	126	1998-05-30	VYDAJ	VYBER	23000	60023	\N	\N	\N
39085	126	1998-06-29	VYDAJ	VYBER	9700	38512	\N	\N	\N
39086	126	1998-07-29	VYDAJ	VYBER	9600	43992	\N	\N	\N
39087	126	1998-08-28	VYDAJ	VYBER	1000	35802	\N	\N	\N
39088	126	1998-09-27	PRIJEM	VKLAD	3100	31679	\N	\N	\N
39089	126	1998-10-27	VYDAJ	VYBER	1000	42560	\N	\N	\N
39090	126	1998-11-26	VYDAJ	VYBER	34600	69669	\N	\N	\N
39091	126	1998-12-26	VYDAJ	VYBER	2500	42909	\N	\N	\N
39154	127	1994-02-02	PRIJEM	VKLAD	600	600	\N	\N	\N
39156	127	1994-02-12	PRIJEM	PREVOD Z UCTU	3364	3964	\N	IJ	11416083
39157	127	1994-03-12	PRIJEM	PREVOD Z UCTU	3364	7338	\N	IJ	11416083
39158	127	1994-04-12	PRIJEM	PREVOD Z UCTU	3364	10719	\N	IJ	11416083
39159	127	1994-05-12	PRIJEM	PREVOD Z UCTU	3364	14099	\N	IJ	11416083
39160	127	1994-06-12	PRIJEM	PREVOD Z UCTU	3364	17480	\N	IJ	11416083
39161	127	1994-07-12	PRIJEM	PREVOD Z UCTU	3364	18630	\N	IJ	11416083
39162	127	1994-08-12	PRIJEM	PREVOD Z UCTU	3364	19804	\N	IJ	11416083
39163	127	1994-09-12	PRIJEM	PREVOD Z UCTU	3364	20982	\N	IJ	11416083
39164	127	1994-10-12	PRIJEM	PREVOD Z UCTU	3364	21296	\N	IJ	11416083
39165	127	1994-11-12	PRIJEM	PREVOD Z UCTU	3364	22483	\N	IJ	11416083
39166	127	1994-12-12	PRIJEM	PREVOD Z UCTU	3364	23673	\N	IJ	11416083
39167	127	1995-01-12	PRIJEM	PREVOD Z UCTU	3364	20880	\N	IJ	11416083
39168	127	1995-02-12	PRIJEM	PREVOD Z UCTU	3364	18760	\N	IJ	11416083
39169	127	1995-03-12	PRIJEM	PREVOD Z UCTU	3364	19934	\N	IJ	11416083
39170	127	1995-04-12	PRIJEM	PREVOD Z UCTU	3364	20572	\N	IJ	11416083
39171	127	1995-05-12	PRIJEM	PREVOD Z UCTU	3364	21754	\N	IJ	11416083
39172	127	1995-06-12	PRIJEM	PREVOD Z UCTU	3364	22040	\N	IJ	11416083
39173	127	1995-07-12	PRIJEM	PREVOD Z UCTU	3364	17154	\N	IJ	11416083
39174	127	1995-08-12	PRIJEM	PREVOD Z UCTU	3364	18323	\N	IJ	11416083
39175	127	1995-09-12	PRIJEM	PREVOD Z UCTU	3364	19496	\N	IJ	11416083
39176	127	1995-10-12	PRIJEM	PREVOD Z UCTU	3364	19231	\N	IJ	11416083
39177	127	1995-11-12	PRIJEM	PREVOD Z UCTU	3364	20407	\N	IJ	11416083
39178	127	1995-12-12	PRIJEM	PREVOD Z UCTU	3364	19085	\N	IJ	11416083
39179	127	1996-01-12	PRIJEM	PREVOD Z UCTU	3364	16709	\N	IJ	11416083
39180	127	1996-02-12	PRIJEM	PREVOD Z UCTU	3364	15784	\N	IJ	11416083
39181	127	1996-03-12	PRIJEM	PREVOD Z UCTU	3364	16945	\N	IJ	11416083
39182	127	1996-04-12	PRIJEM	PREVOD Z UCTU	3364	16911	\N	IJ	11416083
39183	127	1996-05-12	PRIJEM	PREVOD Z UCTU	3364	17807	\N	IJ	11416083
39184	127	1996-06-12	PRIJEM	PREVOD Z UCTU	3364	17174	\N	IJ	11416083
39185	127	1996-07-12	PRIJEM	PREVOD Z UCTU	3364	15037	\N	IJ	11416083
39186	127	1996-08-12	PRIJEM	PREVOD Z UCTU	3364	16195	\N	IJ	11416083
39187	127	1996-09-12	PRIJEM	PREVOD Z UCTU	3364	14955	\N	IJ	11416083
39188	127	1996-10-12	PRIJEM	PREVOD Z UCTU	3364	16112	\N	IJ	11416083
39189	127	1996-11-12	PRIJEM	PREVOD Z UCTU	3364	17275	\N	IJ	11416083
39190	127	1996-12-12	PRIJEM	PREVOD Z UCTU	3364	15237	\N	IJ	11416083
39191	127	1997-01-12	PRIJEM	PREVOD Z UCTU	3364	16396	\N	IJ	11416083
39192	127	1997-02-12	PRIJEM	PREVOD Z UCTU	3364	16267	\N	IJ	11416083
39193	127	1997-03-12	PRIJEM	PREVOD Z UCTU	3364	17430	\N	IJ	11416083
39194	127	1997-04-12	PRIJEM	PREVOD Z UCTU	3364	18598	\N	IJ	11416083
39195	127	1997-05-12	PRIJEM	PREVOD Z UCTU	3364	19771	\N	IJ	11416083
39196	127	1997-06-12	PRIJEM	PREVOD Z UCTU	3364	16239	\N	IJ	11416083
39197	127	1997-07-12	PRIJEM	PREVOD Z UCTU	3364	17402	\N	IJ	11416083
39198	127	1997-08-12	PRIJEM	PREVOD Z UCTU	3364	18570	\N	IJ	11416083
39199	127	1997-09-12	PRIJEM	PREVOD Z UCTU	3364	19743	\N	IJ	11416083
39200	127	1997-10-12	PRIJEM	PREVOD Z UCTU	3364	20920	\N	IJ	11416083
39201	127	1997-11-12	PRIJEM	PREVOD Z UCTU	3364	15692	\N	IJ	11416083
39202	127	1997-12-12	PRIJEM	PREVOD Z UCTU	3364	16853	\N	IJ	11416083
39203	127	1998-01-12	PRIJEM	PREVOD Z UCTU	3364	17627	\N	IJ	11416083
39204	127	1998-02-12	PRIJEM	PREVOD Z UCTU	3364	17684	\N	IJ	11416083
39205	127	1998-03-12	PRIJEM	PREVOD Z UCTU	3364	18853	\N	IJ	11416083
39206	127	1998-04-12	PRIJEM	PREVOD Z UCTU	3364	16618	\N	IJ	11416083
39207	127	1998-05-12	PRIJEM	PREVOD Z UCTU	3364	15578	\N	IJ	11416083
39208	127	1998-06-12	PRIJEM	PREVOD Z UCTU	3364	16737	\N	IJ	11416083
39209	127	1998-07-12	PRIJEM	PREVOD Z UCTU	3364	17902	\N	IJ	11416083
39210	127	1998-08-12	PRIJEM	PREVOD Z UCTU	3364	17930	\N	IJ	11416083
39211	127	1998-09-12	PRIJEM	PREVOD Z UCTU	3364	19100	\N	IJ	11416083
39212	127	1998-10-12	PRIJEM	PREVOD Z UCTU	3364	18574	\N	IJ	11416083
39213	127	1998-11-12	PRIJEM	PREVOD Z UCTU	3364	19569	\N	IJ	11416083
39214	127	1998-12-12	PRIJEM	PREVOD Z UCTU	3364	20286	\N	IJ	11416083
39220	127	1994-06-14	VYDAJ	PREVOD NA UCET	2242	15238	\N	YZ	11707830
39221	127	1994-07-14	VYDAJ	PREVOD NA UCET	2242	16388	\N	YZ	11707830
39222	127	1994-08-14	VYDAJ	PREVOD NA UCET	2242	17562	\N	YZ	11707830
39223	127	1994-09-14	VYDAJ	PREVOD NA UCET	2242	18740	\N	YZ	11707830
39224	127	1994-10-14	VYDAJ	PREVOD NA UCET	2242	19054	\N	YZ	11707830
39225	127	1994-11-14	VYDAJ	PREVOD NA UCET	2242	20241	\N	YZ	11707830
39226	127	1994-12-14	VYDAJ	PREVOD NA UCET	2242	20651	\N	YZ	11707830
39227	127	1995-01-14	VYDAJ	PREVOD NA UCET	2242	18638	\N	YZ	11707830
39228	127	1995-02-14	VYDAJ	PREVOD NA UCET	2242	16518	\N	YZ	11707830
39229	127	1995-03-14	VYDAJ	PREVOD NA UCET	2242	17692	\N	YZ	11707830
39230	127	1995-04-14	VYDAJ	PREVOD NA UCET	2242	18330	\N	YZ	11707830
39231	127	1995-05-14	VYDAJ	PREVOD NA UCET	2242	19512	\N	YZ	11707830
39232	127	1995-06-14	VYDAJ	PREVOD NA UCET	2242	14158	\N	YZ	11707830
39233	127	1995-07-14	VYDAJ	PREVOD NA UCET	2242	14912	\N	YZ	11707830
39234	127	1995-08-14	VYDAJ	PREVOD NA UCET	2242	16081	\N	YZ	11707830
39235	127	1995-09-14	VYDAJ	PREVOD NA UCET	2242	17254	\N	YZ	11707830
39236	127	1995-10-14	VYDAJ	PREVOD NA UCET	2242	16989	\N	YZ	11707830
39237	127	1995-11-14	VYDAJ	PREVOD NA UCET	2242	18165	\N	YZ	11707830
39238	127	1995-12-14	VYDAJ	PREVOD NA UCET	2242	16843	\N	YZ	11707830
39239	127	1996-01-14	VYDAJ	PREVOD NA UCET	2242	14467	\N	YZ	11707830
39240	127	1996-02-14	VYDAJ	PREVOD NA UCET	2242	13542	\N	YZ	11707830
39241	127	1996-03-14	VYDAJ	PREVOD NA UCET	2242	14703	\N	YZ	11707830
39242	127	1996-04-14	VYDAJ	PREVOD NA UCET	2242	14669	\N	YZ	11707830
39243	127	1996-05-14	VYDAJ	PREVOD NA UCET	2242	15565	\N	YZ	11707830
39244	127	1996-06-14	VYDAJ	PREVOD NA UCET	2242	14932	\N	YZ	11707830
39245	127	1996-07-14	VYDAJ	PREVOD NA UCET	2242	12795	\N	YZ	11707830
39246	127	1996-08-14	VYDAJ	PREVOD NA UCET	2242	13953	\N	YZ	11707830
39247	127	1996-09-14	VYDAJ	PREVOD NA UCET	2242	12713	\N	YZ	11707830
39248	127	1996-10-14	VYDAJ	PREVOD NA UCET	2242	13870	\N	YZ	11707830
39249	127	1996-11-14	VYDAJ	PREVOD NA UCET	2242	15033	\N	YZ	11707830
39250	127	1996-12-14	VYDAJ	PREVOD NA UCET	2242	12995	\N	YZ	11707830
39251	127	1997-01-14	VYDAJ	PREVOD NA UCET	2242	12864	\N	YZ	11707830
39252	127	1997-02-14	VYDAJ	PREVOD NA UCET	2242	14025	\N	YZ	11707830
39253	127	1997-03-14	VYDAJ	PREVOD NA UCET	2242	15188	\N	YZ	11707830
39254	127	1997-04-14	VYDAJ	PREVOD NA UCET	2242	16356	\N	YZ	11707830
39255	127	1997-05-14	VYDAJ	PREVOD NA UCET	2242	17529	\N	YZ	11707830
39256	127	1997-06-14	VYDAJ	PREVOD NA UCET	2242	13997	\N	YZ	11707830
39257	127	1997-07-14	VYDAJ	PREVOD NA UCET	2242	15160	\N	YZ	11707830
39258	127	1997-08-14	VYDAJ	PREVOD NA UCET	2242	16328	\N	YZ	11707830
39259	127	1997-09-14	VYDAJ	PREVOD NA UCET	2242	17501	\N	YZ	11707830
39260	127	1997-10-14	VYDAJ	PREVOD NA UCET	2242	12278	\N	YZ	11707830
39261	127	1997-11-14	VYDAJ	PREVOD NA UCET	2242	13450	\N	YZ	11707830
39262	127	1997-12-14	VYDAJ	PREVOD NA UCET	2242	14611	\N	YZ	11707830
39263	127	1998-01-14	VYDAJ	PREVOD NA UCET	2242	15115	\N	YZ	11707830
39264	127	1998-02-14	VYDAJ	PREVOD NA UCET	2242	15442	\N	YZ	11707830
39265	127	1998-03-14	VYDAJ	PREVOD NA UCET	2242	13211	\N	YZ	11707830
39266	127	1998-04-14	VYDAJ	PREVOD NA UCET	2242	12176	\N	YZ	11707830
39267	127	1998-05-14	VYDAJ	PREVOD NA UCET	2242	13336	\N	YZ	11707830
39268	127	1998-06-14	VYDAJ	PREVOD NA UCET	2242	14495	\N	YZ	11707830
39269	127	1998-07-14	VYDAJ	PREVOD NA UCET	2242	15660	\N	YZ	11707830
39270	127	1998-08-14	VYDAJ	PREVOD NA UCET	2242	15688	\N	YZ	11707830
39271	127	1998-09-14	VYDAJ	PREVOD NA UCET	2242	16858	\N	YZ	11707830
39272	127	1998-10-14	VYDAJ	PREVOD NA UCET	2242	16332	\N	YZ	11707830
39273	127	1998-11-14	VYDAJ	PREVOD NA UCET	2242	17327	\N	YZ	11707830
39274	127	1998-12-14	VYDAJ	PREVOD NA UCET	2242	18044	\N	YZ	11707830
39276	127	1995-06-13	VYDAJ	VYBER	5640	16400	\N	\N	\N
39281	127	1995-01-18	VYDAJ	VYBER	2520	16118	\N	\N	\N
39282	127	1996-01-02	VYDAJ	VYBER	1650	13705	\N	\N	\N
39285	127	1994-12-14	VYDAJ	VYBER	780	22893	\N	\N	\N
39286	127	1995-12-27	VYDAJ	VYBER	540	15303	\N	\N	\N
39288	127	1997-12-21	VYDAJ	VYBER	390	14221	\N	\N	\N
39289	127	1998-12-24	VYDAJ	VYBER	570	17474	\N	\N	\N
39296	127	1995-01-06	VYDAJ	VYBER	300	18686	\N	\N	\N
39297	127	1995-01-05	VYDAJ	VYBER	600	18986	\N	\N	\N
39298	127	1995-01-09	VYDAJ	VYBER	300	17516	\N	\N	\N
39299	127	1995-01-06	VYDAJ	VYBER	870	17816	\N	\N	\N
39300	127	1995-01-04	VYDAJ	VYBER	840	19586	\N	\N	\N
39301	127	1995-01-23	VYDAJ	VYBER	780	15338	\N	\N	\N
39303	127	1996-01-02	VYDAJ	VYBER	360	13345	\N	\N	\N
39304	127	1996-01-21	VYDAJ	VYBER	330	14137	\N	\N	\N
39306	127	1996-01-23	VYDAJ	VYBER	360	12377	\N	\N	\N
39308	127	1997-01-13	VYDAJ	VYBER	750	15106	\N	\N	\N
39310	127	1997-01-13	VYDAJ	VYBER	540	15856	\N	\N	\N
39314	127	1998-01-13	VYDAJ	VYBER	270	17357	\N	\N	\N
39317	127	1998-01-24	VYDAJ	VYBER	480	14275	\N	\N	\N
39320	127	1994-10-08	VYDAJ	VYBER	870	17932	\N	\N	\N
39325	127	1995-03-15	VYDAJ	VYBER	540	17152	\N	\N	\N
39326	127	1995-05-29	VYDAJ	VYBER	900	18612	\N	\N	\N
39327	127	1995-09-22	VYDAJ	VYBER	1440	15814	\N	\N	\N
39328	127	1995-07-04	VYDAJ	VYBER	420	13790	\N	\N	\N
39329	127	1996-04-16	VYDAJ	VYBER	270	14399	\N	\N	\N
39330	127	1996-03-28	VYDAJ	VYBER	1200	13503	\N	\N	\N
39338	127	1998-10-17	VYDAJ	VYBER	180	16152	\N	\N	\N
39340	127	1998-12-04	VYDAJ	VYBER	360	17022	\N	\N	\N
39341	127	1998-08-02	VYDAJ	VYBER	210	14566	\N	\N	\N
39342	127	1998-01-14	VYDAJ	VYBER	360	14755	\N	\N	\N
39343	127	1998-07-18	VYDAJ	VYBER	930	14730	\N	\N	\N
39350	127	1994-06-30	VYDAJ	VYBER	15	15266	SLUZBY	\N	\N
39351	127	1994-07-31	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
39352	127	1994-08-31	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
39353	127	1994-09-30	VYDAJ	VYBER	15	18802	SLUZBY	\N	\N
39354	127	1994-10-31	VYDAJ	VYBER	15	19119	SLUZBY	\N	\N
39355	127	1994-11-30	VYDAJ	VYBER	15	20309	SLUZBY	\N	\N
39356	127	1994-12-31	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
39357	127	1995-01-31	VYDAJ	VYBER	15	15396	SLUZBY	\N	\N
39358	127	1995-02-28	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
39359	127	1995-03-31	VYDAJ	VYBER	15	17208	SLUZBY	\N	\N
39360	127	1995-04-30	VYDAJ	VYBER	15	18390	SLUZBY	\N	\N
39361	127	1995-05-31	VYDAJ	VYBER	15	18676	SLUZBY	\N	\N
39362	127	1995-06-30	VYDAJ	VYBER	15	14210	SLUZBY	\N	\N
39363	127	1995-07-31	VYDAJ	VYBER	15	14959	SLUZBY	\N	\N
39364	127	1995-08-31	VYDAJ	VYBER	15	16132	SLUZBY	\N	\N
39365	127	1995-09-30	VYDAJ	VYBER	15	15867	SLUZBY	\N	\N
39366	127	1995-10-31	VYDAJ	VYBER	15	17043	SLUZBY	\N	\N
39367	127	1995-11-30	VYDAJ	VYBER	15	15721	SLUZBY	\N	\N
39368	127	1995-12-31	VYDAJ	VYBER	15	15355	SLUZBY	\N	\N
39369	127	1996-01-31	VYDAJ	VYBER	15	12420	SLUZBY	\N	\N
39370	127	1996-02-29	VYDAJ	VYBER	15	13581	SLUZBY	\N	\N
39371	127	1996-03-31	VYDAJ	VYBER	15	13547	SLUZBY	\N	\N
39372	127	1996-04-30	VYDAJ	VYBER	15	14443	SLUZBY	\N	\N
39373	127	1996-05-31	VYDAJ	VYBER	15	13810	SLUZBY	\N	\N
39374	127	1996-06-30	VYDAJ	VYBER	15	11673	SLUZBY	\N	\N
39375	127	1996-07-31	VYDAJ	VYBER	15	12831	SLUZBY	\N	\N
39376	127	1996-08-31	VYDAJ	VYBER	15	11591	SLUZBY	\N	\N
39377	127	1996-09-30	VYDAJ	VYBER	15	12748	SLUZBY	\N	\N
39378	127	1996-10-31	VYDAJ	VYBER	15	13911	SLUZBY	\N	\N
39379	127	1996-11-30	VYDAJ	VYBER	15	11873	SLUZBY	\N	\N
39380	127	1996-12-31	VYDAJ	VYBER	15	13032	SLUZBY	\N	\N
39381	127	1997-01-31	VYDAJ	VYBER	15	12903	SLUZBY	\N	\N
39382	127	1997-02-28	VYDAJ	VYBER	15	14066	SLUZBY	\N	\N
39383	127	1997-03-31	VYDAJ	VYBER	15	15234	SLUZBY	\N	\N
39384	127	1997-04-30	VYDAJ	VYBER	15	16407	SLUZBY	\N	\N
39385	127	1997-05-31	VYDAJ	VYBER	15	12875	SLUZBY	\N	\N
39386	127	1997-06-30	VYDAJ	VYBER	15	14038	SLUZBY	\N	\N
39387	127	1997-07-31	VYDAJ	VYBER	15	15206	SLUZBY	\N	\N
39388	127	1997-08-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
39389	127	1997-09-30	VYDAJ	VYBER	15	17556	SLUZBY	\N	\N
39390	127	1997-10-31	VYDAJ	VYBER	15	12328	SLUZBY	\N	\N
39391	127	1997-11-30	VYDAJ	VYBER	15	13489	SLUZBY	\N	\N
39392	127	1997-12-31	VYDAJ	VYBER	15	14263	SLUZBY	\N	\N
39393	127	1998-01-31	VYDAJ	VYBER	15	14320	SLUZBY	\N	\N
39394	127	1998-02-28	VYDAJ	VYBER	15	15489	SLUZBY	\N	\N
39395	127	1998-03-31	VYDAJ	VYBER	15	13254	SLUZBY	\N	\N
39396	127	1998-04-30	VYDAJ	VYBER	15	12214	SLUZBY	\N	\N
39397	127	1998-05-31	VYDAJ	VYBER	15	13373	SLUZBY	\N	\N
39398	127	1998-06-30	VYDAJ	VYBER	15	14538	SLUZBY	\N	\N
39399	127	1998-07-31	VYDAJ	VYBER	15	14776	SLUZBY	\N	\N
39400	127	1998-08-31	VYDAJ	VYBER	15	15736	SLUZBY	\N	\N
39401	127	1998-09-30	VYDAJ	VYBER	15	16910	SLUZBY	\N	\N
39402	127	1998-10-31	VYDAJ	VYBER	15	16205	SLUZBY	\N	\N
39403	127	1998-11-30	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
39404	127	1994-12-29	VYDAJ	VYBER	300	20351	\N	\N	\N
39405	127	1995-11-24	VYDAJ	VYBER	2500	15665	\N	\N	\N
39406	127	1995-12-24	VYDAJ	VYBER	1000	15843	\N	\N	\N
39407	127	1996-01-23	VYDAJ	VYBER	1400	12737	\N	\N	\N
39408	127	1996-05-22	VYDAJ	VYBER	1800	13765	\N	\N	\N
39409	127	1996-06-21	VYDAJ	VYBER	3300	11632	\N	\N	\N
39410	127	1996-08-20	VYDAJ	VYBER	2400	11553	\N	\N	\N
39411	127	1996-11-18	VYDAJ	VYBER	3200	11833	\N	\N	\N
39412	127	1997-05-17	VYDAJ	VYBER	4700	12829	\N	\N	\N
39413	127	1997-10-14	VYDAJ	VYBER	6400	14520	\N	\N	\N
39414	127	1998-03-13	VYDAJ	VYBER	3400	15453	\N	\N	\N
39415	127	1998-04-12	VYDAJ	VYBER	2200	14418	\N	\N	\N
39416	127	1998-10-09	VYDAJ	VYBER	1700	15210	\N	\N	\N
39417	127	1998-12-08	VYDAJ	VYBER	100	16922	\N	\N	\N
39477	128	1993-02-19	PRIJEM	VKLAD	300	300	\N	\N	\N
39479	128	1993-07-21	PRIJEM	VKLAD	31802	54010	\N	\N	\N
39480	128	1994-08-10	PRIJEM	VKLAD	38750	69565	\N	\N	\N
39481	128	1994-11-14	PRIJEM	VKLAD	2432	34010	\N	\N	\N
39482	128	1995-09-01	PRIJEM	VKLAD	9943	50271	\N	\N	\N
39483	128	1995-03-10	PRIJEM	VKLAD	38879	73884	\N	\N	\N
39484	128	1996-07-10	PRIJEM	VKLAD	23365	66407	\N	\N	\N
39485	128	1996-01-20	PRIJEM	VKLAD	16260	51633	\N	\N	\N
39486	128	1997-10-17	PRIJEM	VKLAD	17061	74778	\N	\N	\N
39487	128	1997-08-28	PRIJEM	VKLAD	6986	58008	\N	\N	\N
39488	128	1998-10-06	PRIJEM	VKLAD	24749	85913	\N	\N	\N
39489	128	1998-03-16	PRIJEM	VKLAD	32519	85422	\N	\N	\N
39492	128	1993-03-16	PRIJEM	VKLAD	1800	2100	\N	\N	\N
39493	128	1993-04-14	PRIJEM	VKLAD	1800	13619	\N	\N	\N
39494	128	1993-05-15	PRIJEM	VKLAD	1800	18876	\N	\N	\N
39495	128	1993-06-17	PRIJEM	VKLAD	1800	20286	\N	\N	\N
39496	128	1993-07-17	PRIJEM	VKLAD	1800	22308	\N	\N	\N
39497	128	1993-08-16	PRIJEM	VKLAD	1800	53638	\N	\N	\N
39498	128	1993-09-13	PRIJEM	VKLAD	1800	39897	\N	\N	\N
39499	128	1993-10-17	PRIJEM	VKLAD	1800	34936	\N	\N	\N
39500	128	1993-11-15	PRIJEM	VKLAD	1800	27846	\N	\N	\N
39501	128	1993-12-14	PRIJEM	VKLAD	1800	25538	\N	\N	\N
39502	128	1994-01-16	PRIJEM	VKLAD	1800	27026	\N	\N	\N
39503	128	1994-02-15	PRIJEM	VKLAD	1800	27860	\N	\N	\N
39504	128	1994-03-17	PRIJEM	VKLAD	1800	27151	\N	\N	\N
39505	128	1994-04-13	PRIJEM	VKLAD	1800	29654	\N	\N	\N
39506	128	1994-05-13	PRIJEM	VKLAD	1800	28652	\N	\N	\N
39507	128	1994-06-16	PRIJEM	VKLAD	1800	29549	\N	\N	\N
39508	128	1994-07-16	PRIJEM	VKLAD	1800	30752	\N	\N	\N
39509	128	1994-08-17	PRIJEM	VKLAD	1800	48015	\N	\N	\N
39510	128	1994-09-14	PRIJEM	VKLAD	1800	39374	\N	\N	\N
39511	128	1994-10-16	PRIJEM	VKLAD	1800	34341	\N	\N	\N
39512	128	1994-11-15	PRIJEM	VKLAD	1800	35810	\N	\N	\N
39513	128	1994-12-15	PRIJEM	VKLAD	1800	32242	\N	\N	\N
39514	128	1995-01-17	PRIJEM	VKLAD	1800	32916	\N	\N	\N
39515	128	1995-02-15	PRIJEM	VKLAD	1800	34282	\N	\N	\N
39516	128	1995-03-13	PRIJEM	VKLAD	1800	53784	\N	\N	\N
39517	128	1995-04-16	PRIJEM	VKLAD	1800	43769	\N	\N	\N
39518	128	1995-05-17	PRIJEM	VKLAD	1800	40260	\N	\N	\N
39519	128	1995-06-16	PRIJEM	VKLAD	1800	40072	\N	\N	\N
39520	128	1995-07-16	PRIJEM	VKLAD	1800	38826	\N	\N	\N
39521	128	1995-08-17	PRIJEM	VKLAD	1800	39578	\N	\N	\N
39522	128	1995-09-14	PRIJEM	VKLAD	1800	40471	\N	\N	\N
39523	128	1995-10-13	PRIJEM	VKLAD	1800	36824	\N	\N	\N
39524	128	1995-11-13	PRIJEM	VKLAD	1800	33718	\N	\N	\N
39525	128	1995-12-15	PRIJEM	VKLAD	1800	35493	\N	\N	\N
39526	128	1996-01-14	PRIJEM	VKLAD	1800	35373	\N	\N	\N
39527	128	1996-02-15	PRIJEM	VKLAD	1800	44486	\N	\N	\N
39528	128	1996-03-16	PRIJEM	VKLAD	1800	44060	\N	\N	\N
39529	128	1996-04-13	PRIJEM	VKLAD	1800	46125	\N	\N	\N
39530	128	1996-05-15	PRIJEM	VKLAD	1800	46298	\N	\N	\N
39531	128	1996-06-14	PRIJEM	VKLAD	1800	43875	\N	\N	\N
39532	128	1996-07-15	PRIJEM	VKLAD	1800	68207	\N	\N	\N
39533	128	1996-08-13	PRIJEM	VKLAD	1800	58645	\N	\N	\N
39534	128	1996-09-14	PRIJEM	VKLAD	1800	57188	\N	\N	\N
39535	128	1996-10-17	PRIJEM	VKLAD	1800	51108	\N	\N	\N
39536	128	1996-11-15	PRIJEM	VKLAD	1800	50010	\N	\N	\N
39537	128	1996-12-14	PRIJEM	VKLAD	1800	48295	\N	\N	\N
39538	128	1997-01-17	PRIJEM	VKLAD	1800	45680	\N	\N	\N
39539	128	1997-02-13	PRIJEM	VKLAD	1800	41247	\N	\N	\N
39540	128	1997-03-15	PRIJEM	VKLAD	1800	48003	\N	\N	\N
39541	128	1997-04-15	PRIJEM	VKLAD	1800	47483	\N	\N	\N
39542	128	1997-05-13	PRIJEM	VKLAD	1800	50760	\N	\N	\N
39543	128	1997-06-16	PRIJEM	VKLAD	1800	47752	\N	\N	\N
39544	128	1997-07-15	PRIJEM	VKLAD	1800	50137	\N	\N	\N
39545	128	1997-08-17	PRIJEM	VKLAD	1800	48122	\N	\N	\N
39546	128	1997-09-15	PRIJEM	VKLAD	1800	59992	\N	\N	\N
39547	128	1997-10-13	PRIJEM	VKLAD	1800	57717	\N	\N	\N
39548	128	1997-11-13	PRIJEM	VKLAD	1800	67425	\N	\N	\N
39549	128	1997-12-14	PRIJEM	VKLAD	1800	59077	\N	\N	\N
39550	128	1998-01-14	PRIJEM	VKLAD	1800	55003	\N	\N	\N
39551	128	1998-02-17	PRIJEM	VKLAD	1800	50210	\N	\N	\N
39552	128	1998-03-16	PRIJEM	VKLAD	1800	52903	\N	\N	\N
39553	128	1998-04-13	PRIJEM	VKLAD	1800	74443	\N	\N	\N
39554	128	1998-05-13	PRIJEM	VKLAD	1800	69925	\N	\N	\N
39555	128	1998-06-13	PRIJEM	VKLAD	1800	64587	\N	\N	\N
39556	128	1998-07-15	PRIJEM	VKLAD	1800	62930	\N	\N	\N
39557	128	1998-08-16	PRIJEM	VKLAD	1800	64871	\N	\N	\N
39558	128	1998-09-13	PRIJEM	VKLAD	1800	65818	\N	\N	\N
39559	128	1998-10-17	PRIJEM	VKLAD	1800	86413	\N	\N	\N
39560	128	1998-11-16	PRIJEM	VKLAD	1800	78300	\N	\N	\N
39561	128	1998-12-17	PRIJEM	VKLAD	1800	77901	\N	\N	\N
39564	128	1993-03-18	PRIJEM	VKLAD	600	2700	\N	\N	\N
39565	128	1993-04-18	PRIJEM	VKLAD	600	14219	\N	\N	\N
39566	128	1993-05-18	PRIJEM	VKLAD	600	19476	\N	\N	\N
39567	128	1993-06-18	PRIJEM	VKLAD	600	20886	\N	\N	\N
39568	128	1993-07-18	PRIJEM	VKLAD	600	22908	\N	\N	\N
39569	128	1993-08-18	PRIJEM	VKLAD	600	54238	\N	\N	\N
39570	128	1993-09-18	PRIJEM	VKLAD	600	32997	\N	\N	\N
39571	128	1993-10-18	PRIJEM	VKLAD	600	27936	\N	\N	\N
39572	128	1993-11-18	PRIJEM	VKLAD	600	24946	\N	\N	\N
39573	128	1993-12-18	PRIJEM	VKLAD	600	24438	\N	\N	\N
39574	128	1994-01-18	PRIJEM	VKLAD	600	26176	\N	\N	\N
39575	128	1994-02-18	PRIJEM	VKLAD	600	28460	\N	\N	\N
39576	128	1994-03-18	PRIJEM	VKLAD	600	27751	\N	\N	\N
39577	128	1994-04-18	PRIJEM	VKLAD	600	26754	\N	\N	\N
39578	128	1994-05-18	PRIJEM	VKLAD	600	26552	\N	\N	\N
39579	128	1994-06-18	PRIJEM	VKLAD	600	30149	\N	\N	\N
39580	128	1994-07-18	PRIJEM	VKLAD	600	31352	\N	\N	\N
39581	128	1994-08-18	PRIJEM	VKLAD	600	48615	\N	\N	\N
39582	128	1994-09-18	PRIJEM	VKLAD	600	39974	\N	\N	\N
39583	128	1994-10-18	PRIJEM	VKLAD	600	34941	\N	\N	\N
39584	128	1994-11-18	PRIJEM	VKLAD	600	36410	\N	\N	\N
39585	128	1994-12-18	PRIJEM	VKLAD	600	32842	\N	\N	\N
39586	128	1995-01-18	PRIJEM	VKLAD	600	32316	\N	\N	\N
39587	128	1995-02-18	PRIJEM	VKLAD	600	34882	\N	\N	\N
39588	128	1995-03-18	PRIJEM	VKLAD	600	54384	\N	\N	\N
39589	128	1995-04-18	PRIJEM	VKLAD	600	44369	\N	\N	\N
39590	128	1995-05-18	PRIJEM	VKLAD	600	40860	\N	\N	\N
39591	128	1995-06-18	PRIJEM	VKLAD	600	40672	\N	\N	\N
39592	128	1995-07-18	PRIJEM	VKLAD	600	39426	\N	\N	\N
39593	128	1995-08-18	PRIJEM	VKLAD	600	40178	\N	\N	\N
39594	128	1995-09-18	PRIJEM	VKLAD	600	41071	\N	\N	\N
39595	128	1995-10-18	PRIJEM	VKLAD	600	37424	\N	\N	\N
39596	128	1995-11-18	PRIJEM	VKLAD	600	34318	\N	\N	\N
39597	128	1995-12-18	PRIJEM	VKLAD	600	36093	\N	\N	\N
39598	128	1997-01-18	PRIJEM	VKLAD	600	46280	\N	\N	\N
39599	128	1997-02-18	PRIJEM	VKLAD	600	41847	\N	\N	\N
39600	128	1997-03-18	PRIJEM	VKLAD	600	48603	\N	\N	\N
39601	128	1997-04-18	PRIJEM	VKLAD	600	48083	\N	\N	\N
39602	128	1997-05-18	PRIJEM	VKLAD	600	51360	\N	\N	\N
39603	128	1997-06-18	PRIJEM	VKLAD	600	48352	\N	\N	\N
39604	128	1993-12-09	VYDAJ	VYBER	1300	23738	\N	\N	\N
39605	128	1994-12-12	VYDAJ	VYBER	600	30442	\N	\N	\N
39606	128	1995-12-24	VYDAJ	VYBER	1200	34893	\N	\N	\N
39607	128	1996-12-04	VYDAJ	VYBER KARTOU	2300	46495	\N	\N	0
39608	128	1997-12-10	VYDAJ	VYBER KARTOU	2400	57277	\N	\N	0
39609	128	1998-12-24	VYDAJ	VYBER KARTOU	1400	74401	\N	\N	0
39616	128	1994-01-19	VYDAJ	VYBER	1100	23626	\N	\N	\N
39617	128	1994-01-01	VYDAJ	VYBER	1250	23276	\N	\N	\N
39618	128	1994-01-16	VYDAJ	VYBER	1450	25576	\N	\N	\N
39619	128	1994-01-14	VYDAJ	VYBER	350	22926	\N	\N	\N
39620	128	1994-01-23	VYDAJ	VYBER	1450	22176	\N	\N	\N
39621	128	1994-01-18	VYDAJ	VYBER	1450	24726	\N	\N	\N
39622	128	1995-01-01	VYDAJ	VYBER	1250	31466	\N	\N	\N
39623	128	1995-01-01	VYDAJ	VYBER	250	32716	\N	\N	\N
39624	128	1995-01-17	VYDAJ	VYBER	1200	31716	\N	\N	\N
39625	128	1995-01-04	VYDAJ	VYBER	700	30766	\N	\N	\N
39626	128	1995-01-15	VYDAJ	VYBER	450	31116	\N	\N	\N
39627	128	1995-01-26	VYDAJ	VYBER	950	31366	\N	\N	\N
39628	128	1996-01-10	VYDAJ	VYBER	850	33573	\N	\N	\N
39629	128	1996-01-27	VYDAJ	VYBER	1300	47983	\N	\N	\N
39630	128	1996-01-25	VYDAJ	VYBER	1300	49283	\N	\N	\N
39631	128	1996-01-09	VYDAJ	VYBER	1200	34423	\N	\N	\N
39632	128	1996-01-02	VYDAJ	VYBER	1000	34023	\N	\N	\N
39633	128	1996-01-30	VYDAJ	VYBER	1250	46733	\N	\N	\N
39634	128	1997-01-25	VYDAJ	VYBER KARTOU	500	43380	\N	\N	0
39635	128	1997-01-25	VYDAJ	VYBER KARTOU	1000	43880	\N	\N	0
39636	128	1997-01-02	VYDAJ	VYBER KARTOU	500	44880	\N	\N	0
39637	128	1997-01-26	VYDAJ	VYBER KARTOU	1500	41880	\N	\N	0
39638	128	1997-01-24	VYDAJ	VYBER KARTOU	400	44880	\N	\N	0
39639	128	1997-01-18	VYDAJ	VYBER KARTOU	1000	45280	\N	\N	0
39640	128	1998-01-09	VYDAJ	VYBER KARTOU	900	53203	\N	\N	0
39641	128	1998-01-26	VYDAJ	VYBER KARTOU	1100	50503	\N	\N	0
39642	128	1998-01-05	VYDAJ	VYBER KARTOU	400	54103	\N	\N	0
39643	128	1998-01-24	VYDAJ	VYBER KARTOU	400	52503	\N	\N	0
39644	128	1998-01-04	VYDAJ	VYBER KARTOU	400	54503	\N	\N	0
39645	128	1998-01-25	VYDAJ	VYBER KARTOU	900	51603	\N	\N	0
39647	128	1993-08-10	VYDAJ	VYBER	2300	51838	\N	\N	\N
39648	128	1993-06-30	VYDAJ	VYBER	950	22808	\N	\N	\N
39650	128	1993-07-07	VYDAJ	VYBER	2300	20508	\N	\N	\N
39651	128	1993-10-20	VYDAJ	VYBER	2000	25936	\N	\N	\N
39652	128	1993-09-08	VYDAJ	VYBER	1850	38097	\N	\N	\N
39653	128	1993-05-28	VYDAJ	VYBER	750	18426	\N	\N	\N
39655	128	1994-11-25	VYDAJ	VYBER	1900	34510	\N	\N	\N
39656	128	1994-08-13	VYDAJ	VYBER	2350	47715	\N	\N	\N
39657	128	1994-07-29	VYDAJ	VYBER	650	30702	\N	\N	\N
39658	128	1994-10-09	VYDAJ	VYBER	800	39341	\N	\N	\N
39659	128	1994-05-14	VYDAJ	VYBER	400	28252	\N	\N	\N
39660	128	1994-08-15	VYDAJ	VYBER	1500	46215	\N	\N	\N
39661	128	1995-12-06	VYDAJ	VYBER	1950	33693	\N	\N	\N
39662	128	1995-10-23	VYDAJ	VYBER	1700	35724	\N	\N	\N
39663	128	1995-05-20	VYDAJ	VYBER	350	40510	\N	\N	\N
39664	128	1995-11-04	VYDAJ	VYBER	1950	33918	\N	\N	\N
39665	128	1996-09-18	VYDAJ	VYBER KARTOU	1600	55588	\N	\N	0
39666	128	1996-01-23	VYDAJ	VYBER	1050	50583	\N	\N	\N
39667	128	1996-09-23	VYDAJ	VYBER KARTOU	2100	53488	\N	\N	0
39668	128	1996-05-15	VYDAJ	VYBER	2400	43898	\N	\N	\N
39669	128	1996-03-03	VYDAJ	VYBER	2200	42460	\N	\N	\N
39670	128	1997-02-10	VYDAJ	VYBER KARTOU	600	39447	\N	\N	0
39671	128	1997-11-22	VYDAJ	VYBER KARTOU	2300	65125	\N	\N	0
39672	128	1997-01-05	VYDAJ	VYBER KARTOU	1000	43880	\N	\N	0
39673	128	1997-06-06	VYDAJ	VYBER KARTOU	2400	45952	\N	\N	0
39674	128	1997-07-23	VYDAJ	VYBER KARTOU	800	49337	\N	\N	0
39675	128	1997-04-22	VYDAJ	VYBER KARTOU	1900	46183	\N	\N	0
39676	128	1997-01-28	VYDAJ	VYBER KARTOU	2000	39880	\N	\N	0
39677	128	1998-10-13	VYDAJ	VYBER KARTOU	1300	84613	\N	\N	0
39678	128	1998-07-24	VYDAJ	VYBER KARTOU	1100	62830	\N	\N	0
39679	128	1998-02-11	VYDAJ	VYBER KARTOU	800	48410	\N	\N	0
39680	128	1998-02-10	VYDAJ	VYBER KARTOU	1500	49210	\N	\N	0
39681	128	1998-09-15	VYDAJ	VYBER KARTOU	1700	64118	\N	\N	0
39682	128	1998-03-12	VYDAJ	VYBER KARTOU	900	51103	\N	\N	0
39688	128	1993-05-31	VYDAJ	VYBER	15	18486	SLUZBY	\N	\N
39689	128	1993-06-30	VYDAJ	VYBER	15	23758	SLUZBY	\N	\N
39690	128	1993-07-31	VYDAJ	VYBER	15	54138	SLUZBY	\N	\N
39691	128	1993-08-31	VYDAJ	VYBER	15	39947	SLUZBY	\N	\N
39692	128	1993-09-30	VYDAJ	VYBER	15	33136	SLUZBY	\N	\N
39693	128	1993-10-31	VYDAJ	VYBER	15	26046	SLUZBY	\N	\N
39694	128	1993-11-30	VYDAJ	VYBER	15	25038	SLUZBY	\N	\N
39695	128	1993-12-31	VYDAJ	VYBER	15	24526	SLUZBY	\N	\N
39696	128	1994-01-31	VYDAJ	VYBER	15	22260	SLUZBY	\N	\N
39697	128	1994-02-28	VYDAJ	VYBER	15	28551	SLUZBY	\N	\N
39698	128	1994-03-31	VYDAJ	VYBER	15	27854	SLUZBY	\N	\N
39699	128	1994-04-30	VYDAJ	VYBER	15	26852	SLUZBY	\N	\N
39700	128	1994-05-31	VYDAJ	VYBER	15	26649	SLUZBY	\N	\N
39701	128	1994-06-30	VYDAJ	VYBER	15	30252	SLUZBY	\N	\N
39702	128	1994-07-31	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
39703	128	1994-08-31	VYDAJ	VYBER	15	48774	SLUZBY	\N	\N
39704	128	1994-09-30	VYDAJ	VYBER	15	40141	SLUZBY	\N	\N
39705	128	1994-10-31	VYDAJ	VYBER	15	35078	SLUZBY	\N	\N
39706	128	1994-11-30	VYDAJ	VYBER	15	34642	SLUZBY	\N	\N
39707	128	1994-12-31	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
39708	128	1995-01-31	VYDAJ	VYBER	15	31482	SLUZBY	\N	\N
39709	128	1995-02-28	VYDAJ	VYBER	15	35005	SLUZBY	\N	\N
39710	128	1995-03-31	VYDAJ	VYBER	15	54569	SLUZBY	\N	\N
39711	128	1995-04-30	VYDAJ	VYBER	15	44560	SLUZBY	\N	\N
39712	128	1995-05-31	VYDAJ	VYBER	15	40672	SLUZBY	\N	\N
39713	128	1995-06-30	VYDAJ	VYBER	15	40826	SLUZBY	\N	\N
39714	128	1995-07-31	VYDAJ	VYBER	15	39578	SLUZBY	\N	\N
39715	128	1995-08-31	VYDAJ	VYBER	15	40328	SLUZBY	\N	\N
39716	128	1995-09-30	VYDAJ	VYBER	15	41224	SLUZBY	\N	\N
39717	128	1995-10-31	VYDAJ	VYBER	15	35868	SLUZBY	\N	\N
39718	128	1995-11-30	VYDAJ	VYBER	15	34443	SLUZBY	\N	\N
39719	128	1995-12-31	VYDAJ	VYBER	15	35023	SLUZBY	\N	\N
39720	128	1996-01-31	VYDAJ	VYBER	15	46886	SLUZBY	\N	\N
39721	128	1996-02-29	VYDAJ	VYBER	15	44660	SLUZBY	\N	\N
39722	128	1996-03-31	VYDAJ	VYBER	15	44225	SLUZBY	\N	\N
39723	128	1996-04-30	VYDAJ	VYBER	15	46298	SLUZBY	\N	\N
39724	128	1996-05-31	VYDAJ	VYBER	15	44075	SLUZBY	\N	\N
39725	128	1996-06-30	VYDAJ	VYBER	15	44042	SLUZBY	\N	\N
39726	128	1996-07-31	VYDAJ	VYBER	15	68445	SLUZBY	\N	\N
39727	128	1996-08-31	VYDAJ	VYBER	15	58888	SLUZBY	\N	\N
39728	128	1996-09-30	VYDAJ	VYBER	15	53708	SLUZBY	\N	\N
39729	128	1996-10-31	VYDAJ	VYBER	15	51310	SLUZBY	\N	\N
39730	128	1996-11-30	VYDAJ	VYBER	15	48795	SLUZBY	\N	\N
39731	128	1996-12-31	VYDAJ	VYBER	15	45380	SLUZBY	\N	\N
39732	128	1997-01-31	VYDAJ	VYBER	15	40047	SLUZBY	\N	\N
39733	128	1997-02-28	VYDAJ	VYBER	15	46203	SLUZBY	\N	\N
39734	128	1997-03-31	VYDAJ	VYBER	15	45683	SLUZBY	\N	\N
39735	128	1997-04-30	VYDAJ	VYBER	15	48960	SLUZBY	\N	\N
39736	128	1997-05-31	VYDAJ	VYBER	15	48352	SLUZBY	\N	\N
39737	128	1997-06-30	VYDAJ	VYBER	15	48337	SLUZBY	\N	\N
39738	128	1997-07-31	VYDAJ	VYBER	15	46322	SLUZBY	\N	\N
39739	128	1997-08-31	VYDAJ	VYBER	15	58192	SLUZBY	\N	\N
39740	128	1997-09-30	VYDAJ	VYBER	15	55917	SLUZBY	\N	\N
39741	128	1997-10-31	VYDAJ	VYBER	15	65625	SLUZBY	\N	\N
39742	128	1997-11-30	VYDAJ	VYBER	15	59677	SLUZBY	\N	\N
39743	128	1997-12-31	VYDAJ	VYBER	15	54903	SLUZBY	\N	\N
39744	128	1998-01-31	VYDAJ	VYBER	15	50710	SLUZBY	\N	\N
39745	128	1998-02-28	VYDAJ	VYBER	15	52003	SLUZBY	\N	\N
39746	128	1998-03-31	VYDAJ	VYBER	15	72643	SLUZBY	\N	\N
39747	128	1998-04-30	VYDAJ	VYBER	15	68125	SLUZBY	\N	\N
39748	128	1998-05-31	VYDAJ	VYBER	15	62787	SLUZBY	\N	\N
39749	128	1998-06-30	VYDAJ	VYBER	15	61130	SLUZBY	\N	\N
39750	128	1998-07-31	VYDAJ	VYBER	15	63071	SLUZBY	\N	\N
39751	128	1998-08-31	VYDAJ	VYBER	15	64018	SLUZBY	\N	\N
39752	128	1998-09-30	VYDAJ	VYBER	15	61164	SLUZBY	\N	\N
39753	128	1998-10-31	VYDAJ	VYBER	15	76500	SLUZBY	\N	\N
39754	128	1998-11-30	VYDAJ	VYBER	15	76101	SLUZBY	\N	\N
39755	128	1993-03-21	PRIJEM	VKLAD	9100	11800	\N	\N	\N
39756	128	1993-04-20	PRIJEM	VKLAD	2800	17019	\N	\N	\N
39757	128	1993-05-20	VYDAJ	VYBER	300	19176	\N	\N	\N
39758	128	1993-06-19	PRIJEM	VKLAD	2800	23686	\N	\N	\N
39759	128	1993-07-19	VYDAJ	VYBER	700	22208	\N	\N	\N
39760	128	1993-08-18	VYDAJ	VYBER	14500	39738	\N	\N	\N
39761	128	1993-09-17	VYDAJ	VYBER	7500	32397	\N	\N	\N
39762	128	1993-10-17	VYDAJ	VYBER	7600	27336	\N	\N	\N
39763	128	1993-11-16	VYDAJ	VYBER	3500	24346	\N	\N	\N
39764	128	1993-12-16	VYDAJ	VYBER	1700	23838	\N	\N	\N
39765	128	1994-01-15	PRIJEM	VKLAD	2300	25226	\N	\N	\N
39766	128	1994-02-14	PRIJEM	VKLAD	3800	26060	\N	\N	\N
39767	128	1994-03-16	VYDAJ	VYBER	3200	25351	\N	\N	\N
39768	128	1994-04-15	VYDAJ	VYBER	3500	26154	\N	\N	\N
39769	128	1994-05-15	VYDAJ	VYBER	2300	25952	\N	\N	\N
39770	128	1994-06-14	PRIJEM	VKLAD	1100	27749	\N	\N	\N
39771	128	1994-07-14	VYDAJ	VYBER	1300	28952	\N	\N	\N
39772	128	1994-08-13	VYDAJ	VYBER	19500	50065	\N	\N	\N
39773	128	1994-09-12	VYDAJ	VYBER	11200	37574	\N	\N	\N
39774	128	1994-10-12	VYDAJ	VYBER	6800	32541	\N	\N	\N
39775	128	1994-11-11	VYDAJ	VYBER	3500	31578	\N	\N	\N
39776	128	1994-12-11	VYDAJ	VYBER	3600	31042	\N	\N	\N
39777	128	1995-01-10	PRIJEM	VKLAD	800	31566	\N	\N	\N
39778	128	1995-02-09	PRIJEM	VKLAD	1000	32482	\N	\N	\N
39779	128	1995-03-11	VYDAJ	VYBER	21900	51984	\N	\N	\N
39780	128	1995-04-10	VYDAJ	VYBER	12600	41969	\N	\N	\N
39781	128	1995-05-10	VYDAJ	VYBER	6100	38460	\N	\N	\N
39782	128	1995-06-09	VYDAJ	VYBER	2400	38272	\N	\N	\N
39783	128	1995-07-09	VYDAJ	VYBER	3800	37026	\N	\N	\N
39784	128	1995-08-08	VYDAJ	VYBER	1800	37778	\N	\N	\N
39785	128	1995-09-07	VYDAJ	VYBER	11600	38671	\N	\N	\N
39786	128	1995-10-07	VYDAJ	VYBER	6200	35024	\N	\N	\N
39787	128	1995-11-06	VYDAJ	VYBER	2000	31918	\N	\N	\N
39788	128	1995-12-06	PRIJEM	VKLAD	1200	35643	\N	\N	\N
39789	128	1996-01-05	PRIJEM	VKLAD	1600	35623	\N	\N	\N
39790	128	1996-02-04	VYDAJ	VYBER	4200	42686	\N	\N	\N
39791	128	1996-03-05	VYDAJ	VYBER	200	42260	\N	\N	\N
39792	128	1996-04-04	PRIJEM	VKLAD	100	44325	\N	\N	\N
39793	128	1996-05-04	VYDAJ	VYBER	1800	44498	\N	\N	\N
39794	128	1996-06-03	VYDAJ	VYBER	2000	42075	\N	\N	\N
39795	128	1996-07-03	VYDAJ	VYBER	1000	43042	\N	\N	\N
39796	128	1996-08-02	VYDAJ	VYBER	11600	56845	\N	\N	\N
39797	128	1996-09-01	VYDAJ	VYBER KARTOU	3500	55388	\N	\N	0
39798	128	1996-10-01	VYDAJ	VYBER	4400	49308	\N	\N	\N
39799	128	1996-10-31	VYDAJ	VYBER KARTOU	3100	48210	\N	\N	0
39800	128	1996-11-30	VYDAJ	VYBER KARTOU	1400	48810	\N	\N	0
39801	128	1996-12-30	VYDAJ	VYBER KARTOU	3100	45195	\N	\N	0
39802	128	1997-02-28	PRIJEM	VKLAD	4200	46047	\N	\N	\N
39803	128	1997-03-30	VYDAJ	VYBER KARTOU	3100	45503	\N	\N	0
39804	128	1997-04-29	PRIJEM	VKLAD	2600	48783	\N	\N	\N
39805	128	1997-05-29	VYDAJ	VYBER KARTOU	3200	48160	\N	\N	0
39806	128	1997-06-28	VYDAJ	VYBER KARTOU	200	48152	\N	\N	0
39807	128	1997-07-28	VYDAJ	VYBER KARTOU	3200	46137	\N	\N	0
39808	128	1997-08-27	PRIJEM	VKLAD	2900	51022	\N	\N	\N
39809	128	1997-09-26	VYDAJ	VYBER	4300	55692	\N	\N	\N
39810	128	1997-10-26	VYDAJ	VYBER	9400	65378	\N	\N	\N
39811	128	1997-11-25	VYDAJ	VYBER	5700	59425	\N	\N	\N
39812	128	1997-12-25	VYDAJ	VYBER	4400	54677	\N	\N	\N
39813	128	1998-01-24	VYDAJ	VYBER KARTOU	2100	52903	\N	\N	0
39814	128	1998-02-23	PRIJEM	VKLAD	1600	51810	\N	\N	\N
39815	128	1998-03-25	VYDAJ	VYBER	13000	72422	\N	\N	\N
39816	128	1998-04-24	VYDAJ	VYBER	6600	67843	\N	\N	\N
39817	128	1998-05-24	VYDAJ	VYBER	7400	62525	\N	\N	\N
39818	128	1998-06-23	VYDAJ	VYBER KARTOU	3700	60887	\N	\N	0
39819	128	1998-07-23	PRIJEM	VKLAD	1000	63930	\N	\N	\N
39820	128	1998-08-22	VYDAJ	VYBER KARTOU	1100	63771	\N	\N	0
39821	128	1998-09-21	VYDAJ	VYBER KARTOU	3200	60918	\N	\N	0
39822	128	1998-10-21	VYDAJ	VYBER	10200	76213	\N	\N	\N
39823	128	1998-11-20	VYDAJ	VYBER KARTOU	2500	75800	\N	\N	0
39824	128	1998-12-20	VYDAJ	VYBER KARTOU	2100	75801	\N	\N	0
39895	129	1997-10-01	PRIJEM	VKLAD	600	600	\N	\N	\N
39905	129	1997-10-08	PRIJEM	PREVOD Z UCTU	6998	7598	DUCHOD	OP	17831391
39906	129	1997-11-08	PRIJEM	PREVOD Z UCTU	6998	14621	DUCHOD	OP	17831391
39907	129	1997-12-08	PRIJEM	PREVOD Z UCTU	6998	21650	DUCHOD	OP	17831391
39908	129	1998-01-08	PRIJEM	PREVOD Z UCTU	6998	25283	DUCHOD	OP	17831391
39909	129	1998-02-08	PRIJEM	PREVOD Z UCTU	6998	28358	DUCHOD	OP	17831391
39910	129	1998-03-08	PRIJEM	PREVOD Z UCTU	6998	25843	DUCHOD	OP	17831391
39911	129	1998-04-08	PRIJEM	PREVOD Z UCTU	6998	28615	DUCHOD	OP	17831391
39912	129	1998-05-08	PRIJEM	PREVOD Z UCTU	6998	25876	DUCHOD	OP	17831391
39913	129	1998-06-08	PRIJEM	PREVOD Z UCTU	6998	25806	DUCHOD	OP	17831391
39914	129	1998-07-08	PRIJEM	PREVOD Z UCTU	6998	27376	DUCHOD	OP	17831391
39915	129	1998-08-08	PRIJEM	PREVOD Z UCTU	6998	29052	DUCHOD	OP	17831391
39916	129	1998-09-08	PRIJEM	PREVOD Z UCTU	6998	29033	DUCHOD	OP	17831391
39917	129	1998-10-08	PRIJEM	PREVOD Z UCTU	6998	25512	DUCHOD	OP	17831391
39918	129	1998-11-08	PRIJEM	PREVOD Z UCTU	6998	23277	DUCHOD	OP	17831391
39919	129	1998-12-08	PRIJEM	PREVOD Z UCTU	6998	21132	DUCHOD	OP	17831391
39934	129	1998-03-07	VYDAJ	PREVOD NA UCET	3417	18845	SIPO	IJ	69084489
39935	129	1998-04-07	VYDAJ	PREVOD NA UCET	3417	21617	SIPO	IJ	69084489
39936	129	1998-05-07	VYDAJ	PREVOD NA UCET	3417	18878	SIPO	IJ	69084489
39937	129	1998-06-07	VYDAJ	PREVOD NA UCET	3417	18808	SIPO	IJ	69084489
39938	129	1998-07-07	VYDAJ	PREVOD NA UCET	3417	20378	SIPO	IJ	69084489
39939	129	1998-08-07	VYDAJ	PREVOD NA UCET	3417	22054	SIPO	IJ	69084489
39940	129	1998-09-07	VYDAJ	PREVOD NA UCET	3417	22035	SIPO	IJ	69084489
39941	129	1998-10-07	VYDAJ	PREVOD NA UCET	3417	18514	SIPO	IJ	69084489
39942	129	1998-11-07	VYDAJ	PREVOD NA UCET	3417	16279	SIPO	IJ	69084489
39943	129	1998-12-07	VYDAJ	PREVOD NA UCET	3417	14134	SIPO	IJ	69084489
39949	129	1998-12-16	VYDAJ	VYBER	1350	19782	\N	\N	\N
39968	129	1998-05-30	VYDAJ	VYBER	3040	22136	\N	\N	\N
39969	129	1998-05-04	VYDAJ	VYBER	1120	22295	\N	\N	\N
39970	129	1998-02-10	VYDAJ	VYBER	3680	24678	\N	\N	\N
39985	129	1998-02-28	VYDAJ	VYBER	15	24762	SLUZBY	\N	\N
39986	129	1998-03-31	VYDAJ	VYBER	15	25034	SLUZBY	\N	\N
39987	129	1998-04-30	VYDAJ	VYBER	15	23415	SLUZBY	\N	\N
39988	129	1998-05-31	VYDAJ	VYBER	15	22225	SLUZBY	\N	\N
39989	129	1998-06-30	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
39990	129	1998-07-31	VYDAJ	VYBER	15	25471	SLUZBY	\N	\N
39991	129	1998-08-31	VYDAJ	VYBER	15	25452	SLUZBY	\N	\N
39992	129	1998-09-30	VYDAJ	VYBER	15	21931	SLUZBY	\N	\N
39993	129	1998-10-31	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
39994	129	1998-11-30	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
39995	129	1997-12-30	VYDAJ	VYBER	3400	18250	\N	\N	\N
39996	129	1998-01-29	VYDAJ	VYBER	4000	21283	\N	\N	\N
39997	129	1998-02-28	VYDAJ	VYBER	2500	22262	\N	\N	\N
39998	129	1998-03-30	VYDAJ	VYBER	900	24943	\N	\N	\N
39999	129	1998-04-29	VYDAJ	VYBER	5300	23315	\N	\N	\N
40000	129	1998-05-29	VYDAJ	VYBER	700	25176	\N	\N	\N
40001	129	1998-06-28	VYDAJ	VYBER	2100	23706	\N	\N	\N
40002	129	1998-07-28	VYDAJ	VYBER	2000	25376	\N	\N	\N
40003	129	1998-08-27	VYDAJ	VYBER	3700	25352	\N	\N	\N
40004	129	1998-09-26	VYDAJ	VYBER	7200	21833	\N	\N	\N
40005	129	1998-10-26	VYDAJ	VYBER	5900	19612	\N	\N	\N
40006	129	1998-11-25	VYDAJ	VYBER	5800	17477	\N	\N	\N
40022	130	1997-02-12	PRIJEM	VKLAD	300	300	\N	\N	\N
40025	130	1997-03-11	PRIJEM	PREVOD Z UCTU	6813	7113	DUCHOD	YZ	96875136
40026	130	1997-04-11	PRIJEM	PREVOD Z UCTU	6813	13926	DUCHOD	YZ	96875136
40027	130	1997-05-11	PRIJEM	PREVOD Z UCTU	6813	20739	DUCHOD	YZ	96875136
40028	130	1997-06-11	PRIJEM	PREVOD Z UCTU	6813	27552	DUCHOD	YZ	96875136
40029	130	1997-07-11	PRIJEM	PREVOD Z UCTU	6813	32132	DUCHOD	YZ	96875136
40030	130	1997-08-11	PRIJEM	PREVOD Z UCTU	6813	35067	DUCHOD	YZ	96875136
40031	130	1997-09-11	PRIJEM	PREVOD Z UCTU	6813	33053	DUCHOD	YZ	96875136
40032	130	1997-10-11	PRIJEM	PREVOD Z UCTU	6813	29969	DUCHOD	YZ	96875136
40033	130	1997-11-11	PRIJEM	PREVOD Z UCTU	6813	30842	DUCHOD	YZ	96875136
40034	130	1997-12-11	PRIJEM	PREVOD Z UCTU	6813	33796	DUCHOD	YZ	96875136
40035	130	1998-01-11	PRIJEM	PREVOD Z UCTU	6813	32090	DUCHOD	YZ	96875136
40036	130	1998-02-11	PRIJEM	PREVOD Z UCTU	6813	31168	DUCHOD	YZ	96875136
40037	130	1998-03-11	PRIJEM	PREVOD Z UCTU	6813	28823	DUCHOD	YZ	96875136
40038	130	1998-04-11	PRIJEM	PREVOD Z UCTU	6813	28774	DUCHOD	YZ	96875136
40039	130	1998-05-11	PRIJEM	PREVOD Z UCTU	6813	30199	DUCHOD	YZ	96875136
40040	130	1998-06-11	PRIJEM	PREVOD Z UCTU	6813	29150	DUCHOD	YZ	96875136
40041	130	1998-07-11	PRIJEM	PREVOD Z UCTU	6813	21210	DUCHOD	YZ	96875136
40042	130	1998-08-11	PRIJEM	PREVOD Z UCTU	6813	24128	DUCHOD	YZ	96875136
40043	130	1998-09-11	PRIJEM	PREVOD Z UCTU	6813	22563	DUCHOD	YZ	96875136
40044	130	1998-10-11	PRIJEM	PREVOD Z UCTU	6813	25482	DUCHOD	YZ	96875136
40045	130	1998-11-11	PRIJEM	PREVOD Z UCTU	6813	27413	DUCHOD	YZ	96875136
40046	130	1998-12-11	PRIJEM	PREVOD Z UCTU	6813	29054	DUCHOD	YZ	96875136
40054	130	1997-08-10	VYDAJ	PREVOD NA UCET	3969	28254	SIPO	IJ	2152455
40055	130	1997-09-10	VYDAJ	PREVOD NA UCET	3969	26240	SIPO	IJ	2152455
40056	130	1997-10-10	VYDAJ	PREVOD NA UCET	3969	23156	SIPO	IJ	2152455
40057	130	1997-11-10	VYDAJ	PREVOD NA UCET	3969	24029	SIPO	IJ	2152455
40058	130	1997-12-10	VYDAJ	PREVOD NA UCET	3969	26983	SIPO	IJ	2152455
40059	130	1998-01-10	VYDAJ	PREVOD NA UCET	3969	25277	SIPO	IJ	2152455
40060	130	1998-02-10	VYDAJ	PREVOD NA UCET	3969	24355	SIPO	IJ	2152455
40061	130	1998-03-10	VYDAJ	PREVOD NA UCET	3969	22010	SIPO	IJ	2152455
40062	130	1998-04-10	VYDAJ	PREVOD NA UCET	3969	21961	SIPO	IJ	2152455
40063	130	1998-05-10	VYDAJ	PREVOD NA UCET	3969	23386	SIPO	IJ	2152455
40064	130	1998-06-10	VYDAJ	PREVOD NA UCET	3969	22337	SIPO	IJ	2152455
40065	130	1998-07-10	VYDAJ	PREVOD NA UCET	3969	14397	SIPO	IJ	2152455
40066	130	1998-08-10	VYDAJ	PREVOD NA UCET	3969	17315	SIPO	IJ	2152455
40067	130	1998-09-10	VYDAJ	PREVOD NA UCET	3969	15750	SIPO	IJ	2152455
40068	130	1998-10-10	VYDAJ	PREVOD NA UCET	3969	18669	SIPO	IJ	2152455
40069	130	1998-11-10	VYDAJ	PREVOD NA UCET	3969	20600	SIPO	IJ	2152455
40070	130	1998-12-10	VYDAJ	PREVOD NA UCET	3969	22241	SIPO	IJ	2152455
40072	130	1998-06-12	VYDAJ	VYBER	7350	21800	\N	\N	\N
40073	130	1997-12-19	VYDAJ	VYBER	1150	32646	\N	\N	\N
40074	130	1998-12-08	VYDAJ	VYBER	500	26210	\N	\N	\N
40081	130	1998-01-04	VYDAJ	VYBER	1600	30766	\N	\N	\N
40082	130	1998-01-03	VYDAJ	VYBER	400	32366	\N	\N	\N
40083	130	1998-01-28	VYDAJ	VYBER	1760	28810	\N	\N	\N
40084	130	1998-01-20	VYDAJ	VYBER	1520	30570	\N	\N	\N
40085	130	1998-01-04	VYDAJ	VYBER	1040	29726	\N	\N	\N
40086	130	1998-01-09	VYDAJ	VYBER	480	29246	\N	\N	\N
40087	130	1997-09-14	VYDAJ	VYBER	3840	29213	\N	\N	\N
40089	130	1997-10-30	VYDAJ	VYBER	2080	27889	\N	\N	\N
40091	130	1997-08-30	VYDAJ	VYBER	1280	31887	\N	\N	\N
40093	130	1998-04-12	VYDAJ	VYBER	1520	27254	\N	\N	\N
40094	130	1998-06-03	VYDAJ	VYBER	3600	26706	\N	\N	\N
40095	130	1998-08-11	VYDAJ	VYBER	3760	20368	\N	\N	\N
40096	130	1998-08-28	VYDAJ	VYBER	720	19648	\N	\N	\N
40097	130	1998-07-08	VYDAJ	VYBER	3520	18366	\N	\N	\N
40105	130	1997-07-31	VYDAJ	VYBER	15	32223	SLUZBY	\N	\N
40106	130	1997-08-31	VYDAJ	VYBER	15	32009	SLUZBY	\N	\N
40107	130	1997-09-30	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
40108	130	1997-10-31	VYDAJ	VYBER	15	27998	SLUZBY	\N	\N
40109	130	1997-11-30	VYDAJ	VYBER	15	30952	SLUZBY	\N	\N
40110	130	1997-12-31	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
40111	130	1998-01-31	VYDAJ	VYBER	15	28924	SLUZBY	\N	\N
40112	130	1998-02-28	VYDAJ	VYBER	15	31279	SLUZBY	\N	\N
40113	130	1998-03-31	VYDAJ	VYBER	15	28930	SLUZBY	\N	\N
40114	130	1998-04-30	VYDAJ	VYBER	15	27355	SLUZBY	\N	\N
40115	130	1998-05-31	VYDAJ	VYBER	15	30306	SLUZBY	\N	\N
40116	130	1998-06-30	VYDAJ	VYBER	15	21886	SLUZBY	\N	\N
40117	130	1998-07-31	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
40118	130	1998-08-31	VYDAJ	VYBER	15	19719	SLUZBY	\N	\N
40119	130	1998-09-30	VYDAJ	VYBER	15	22638	SLUZBY	\N	\N
40120	130	1998-10-31	VYDAJ	VYBER	15	25569	SLUZBY	\N	\N
40121	130	1998-11-30	VYDAJ	VYBER	15	27510	SLUZBY	\N	\N
40122	130	1997-06-12	VYDAJ	VYBER	2300	25252	\N	\N	\N
40123	130	1997-08-11	VYDAJ	VYBER	1900	33167	\N	\N	\N
40124	130	1997-09-10	VYDAJ	VYBER	1800	30209	\N	\N	\N
40125	130	1997-10-10	VYDAJ	VYBER	2200	27125	\N	\N	\N
40126	130	1998-02-07	VYDAJ	VYBER	600	28324	\N	\N	\N
40127	130	1998-03-09	VYDAJ	VYBER	5300	25979	\N	\N	\N
40128	130	1998-04-08	VYDAJ	VYBER	3000	25930	\N	\N	\N
40129	130	1998-06-07	VYDAJ	VYBER	400	26306	\N	\N	\N
40130	130	1998-11-04	VYDAJ	VYBER	1000	24569	\N	\N	\N
40131	130	1998-12-04	VYDAJ	VYBER	800	26710	\N	\N	\N
40151	131	1995-06-13	PRIJEM	VKLAD	1100	16634	\N	\N	\N
40157	131	1995-06-13	PRIJEM	VKLAD	15534	15534	\N	\N	\N
40158	131	1995-07-13	PRIJEM	VKLAD	10356	27032	\N	\N	\N
40159	131	1995-08-13	PRIJEM	VKLAD	10356	36579	\N	\N	\N
40160	131	1995-09-13	PRIJEM	VKLAD	10356	43170	\N	\N	\N
40161	131	1995-10-13	PRIJEM	VKLAD	10356	41995	\N	\N	\N
40162	131	1995-11-13	PRIJEM	VKLAD	10356	38109	\N	\N	\N
40163	131	1995-12-13	PRIJEM	VKLAD	15534	38881	\N	\N	\N
40164	131	1996-01-13	PRIJEM	VKLAD	10356	31268	\N	\N	\N
40165	131	1996-02-13	PRIJEM	VKLAD	10356	28329	\N	\N	\N
40166	131	1996-03-13	PRIJEM	VKLAD	10356	30178	\N	\N	\N
40167	131	1996-04-13	PRIJEM	VKLAD	10356	27433	\N	\N	\N
40168	131	1996-05-13	PRIJEM	VKLAD	10356	25985	\N	\N	\N
40169	131	1996-06-13	PRIJEM	VKLAD	15534	29808	\N	\N	\N
40170	131	1996-07-13	PRIJEM	VKLAD	10356	19538	\N	\N	\N
40171	131	1996-08-13	PRIJEM	VKLAD	10356	18045	\N	\N	\N
40172	131	1996-09-13	PRIJEM	VKLAD	10356	15852	\N	\N	\N
40173	131	1996-10-13	PRIJEM	VKLAD	10356	19350	\N	\N	\N
40174	131	1996-11-13	PRIJEM	VKLAD	10356	18262	\N	\N	\N
40175	131	1996-12-13	PRIJEM	VKLAD	15534	25847	\N	\N	\N
40176	131	1997-01-13	PRIJEM	VKLAD	10356	19175	\N	\N	\N
40177	131	1997-02-13	PRIJEM	VKLAD	10356	17877	\N	\N	\N
40178	131	1997-03-13	PRIJEM	VKLAD	10356	21382	\N	\N	\N
40179	131	1997-04-13	PRIJEM	VKLAD	10356	17603	\N	\N	\N
40180	131	1997-05-13	PRIJEM	VKLAD	10356	21106	\N	\N	\N
40181	131	1997-06-13	PRIJEM	VKLAD	15534	29804	\N	\N	\N
40182	131	1997-07-13	PRIJEM	VKLAD	10356	21541	\N	\N	\N
40183	131	1997-08-13	PRIJEM	VKLAD	10356	25062	\N	\N	\N
40184	131	1997-09-13	PRIJEM	VKLAD	10356	26995	\N	\N	\N
40185	131	1997-10-13	PRIJEM	VKLAD	10356	30538	\N	\N	\N
40186	131	1997-11-13	PRIJEM	VKLAD	10356	34097	\N	\N	\N
40187	131	1997-12-13	PRIJEM	VKLAD	15534	42848	\N	\N	\N
40188	131	1998-01-13	PRIJEM	VKLAD	10356	44748	\N	\N	\N
40189	131	1998-02-13	PRIJEM	VKLAD	10356	28431	\N	\N	\N
40190	131	1998-03-13	PRIJEM	VKLAD	10356	31979	\N	\N	\N
40191	131	1998-04-13	PRIJEM	VKLAD	10356	35544	\N	\N	\N
40192	131	1998-05-13	PRIJEM	VKLAD	10356	39122	\N	\N	\N
40193	131	1998-06-13	PRIJEM	VKLAD	15534	47894	\N	\N	\N
40194	131	1998-07-13	PRIJEM	VKLAD	10356	48212	\N	\N	\N
40195	131	1998-08-13	PRIJEM	VKLAD	10356	18822	\N	\N	\N
40196	131	1998-09-13	PRIJEM	VKLAD	10356	22330	\N	\N	\N
40197	131	1998-10-13	PRIJEM	VKLAD	10356	25854	\N	\N	\N
40198	131	1998-11-13	PRIJEM	VKLAD	10356	29392	\N	\N	\N
40199	131	1998-12-13	PRIJEM	VKLAD	15534	36223	\N	\N	\N
40210	131	1995-11-08	VYDAJ	PREVOD NA UCET	6904	35253	SIPO	UV	29374742
40211	131	1995-12-08	VYDAJ	PREVOD NA UCET	6904	25847	SIPO	UV	29374742
40212	131	1996-01-08	VYDAJ	PREVOD NA UCET	6904	25812	SIPO	UV	29374742
40213	131	1996-02-08	VYDAJ	PREVOD NA UCET	6904	17973	SIPO	UV	29374742
40214	131	1996-03-08	VYDAJ	PREVOD NA UCET	6904	21522	SIPO	UV	29374742
40215	131	1996-04-08	VYDAJ	PREVOD NA UCET	6904	23377	SIPO	UV	29374742
40216	131	1996-05-08	VYDAJ	PREVOD NA UCET	6904	17029	SIPO	UV	29374742
40217	131	1996-06-08	VYDAJ	PREVOD NA UCET	6904	14274	SIPO	UV	29374742
40218	131	1996-07-08	VYDAJ	PREVOD NA UCET	6904	9182	SIPO	UV	29374742
40219	131	1996-08-08	VYDAJ	PREVOD NA UCET	6904	7689	SIPO	UV	29374742
40220	131	1996-09-08	VYDAJ	PREVOD NA UCET	6904	5496	SIPO	UV	29374742
40221	131	1996-10-08	VYDAJ	PREVOD NA UCET	6904	8994	SIPO	UV	29374742
40222	131	1996-11-08	VYDAJ	PREVOD NA UCET	6904	7906	SIPO	UV	29374742
40223	131	1996-12-08	VYDAJ	PREVOD NA UCET	6904	10313	SIPO	UV	29374742
40224	131	1997-01-08	VYDAJ	PREVOD NA UCET	6904	8819	SIPO	UV	29374742
40225	131	1997-02-08	VYDAJ	PREVOD NA UCET	6904	7521	SIPO	UV	29374742
40226	131	1997-03-08	VYDAJ	PREVOD NA UCET	6904	11026	SIPO	UV	29374742
40227	131	1997-04-08	VYDAJ	PREVOD NA UCET	6904	7247	SIPO	UV	29374742
40228	131	1997-05-08	VYDAJ	PREVOD NA UCET	6904	10750	SIPO	UV	29374742
40229	131	1997-06-08	VYDAJ	PREVOD NA UCET	6904	14270	SIPO	UV	29374742
40230	131	1997-07-08	VYDAJ	PREVOD NA UCET	6904	11185	SIPO	UV	29374742
40231	131	1997-08-08	VYDAJ	PREVOD NA UCET	6904	14706	SIPO	UV	29374742
40232	131	1997-09-08	VYDAJ	PREVOD NA UCET	6904	16639	SIPO	UV	29374742
40233	131	1997-10-08	VYDAJ	PREVOD NA UCET	6904	20182	SIPO	UV	29374742
40234	131	1997-11-08	VYDAJ	PREVOD NA UCET	6904	23741	SIPO	UV	29374742
40235	131	1997-12-08	VYDAJ	PREVOD NA UCET	6904	27314	SIPO	UV	29374742
40236	131	1998-01-08	VYDAJ	PREVOD NA UCET	6904	35492	SIPO	UV	29374742
40237	131	1998-02-08	VYDAJ	PREVOD NA UCET	6904	18075	SIPO	UV	29374742
40238	131	1998-03-08	VYDAJ	PREVOD NA UCET	6904	21623	SIPO	UV	29374742
40239	131	1998-04-08	VYDAJ	PREVOD NA UCET	6904	25188	SIPO	UV	29374742
40240	131	1998-05-08	VYDAJ	PREVOD NA UCET	6904	28766	SIPO	UV	29374742
40241	131	1998-06-08	VYDAJ	PREVOD NA UCET	6904	32360	SIPO	UV	29374742
40242	131	1998-07-08	VYDAJ	PREVOD NA UCET	6904	37856	SIPO	UV	29374742
40243	131	1998-08-08	VYDAJ	PREVOD NA UCET	6904	8466	SIPO	UV	29374742
40244	131	1998-09-08	VYDAJ	PREVOD NA UCET	6904	11974	SIPO	UV	29374742
40245	131	1998-10-08	VYDAJ	PREVOD NA UCET	6904	15498	SIPO	UV	29374742
40246	131	1998-11-08	VYDAJ	PREVOD NA UCET	6904	19036	SIPO	UV	29374742
40247	131	1998-12-08	VYDAJ	PREVOD NA UCET	6904	20689	SIPO	UV	29374742
40249	131	1996-06-23	VYDAJ	VYBER	15300	14508	\N	\N	\N
40250	131	1997-06-28	VYDAJ	VYBER	7000	18004	\N	\N	\N
40251	131	1998-06-24	VYDAJ	VYBER	3300	44594	\N	\N	\N
40253	131	1996-01-06	VYDAJ	VYBER	6300	32716	\N	\N	\N
40255	131	1998-01-18	VYDAJ	VYBER	9000	31948	\N	\N	\N
40256	131	1995-12-04	VYDAJ	VYBER	1900	35151	\N	\N	\N
40257	131	1996-12-07	VYDAJ	VYBER	1100	17217	\N	\N	\N
40258	131	1997-12-23	VYDAJ	VYBER	600	42248	\N	\N	\N
40259	131	1998-12-01	VYDAJ	VYBER	1900	27593	\N	\N	\N
40266	131	1996-01-23	VYDAJ	VYBER	2700	28568	\N	\N	\N
40267	131	1996-01-24	VYDAJ	VYBER	2400	24368	\N	\N	\N
40268	131	1996-01-09	VYDAJ	VYBER	1900	23912	\N	\N	\N
40269	131	1996-01-24	VYDAJ	VYBER	1800	26768	\N	\N	\N
40270	131	1996-01-27	VYDAJ	VYBER	900	23468	\N	\N	\N
40271	131	1996-01-12	VYDAJ	VYBER	2700	20912	\N	\N	\N
40273	131	1997-01-19	VYDAJ	VYBER	2900	14375	\N	\N	\N
40274	131	1997-01-04	VYDAJ	VYBER	1600	15723	\N	\N	\N
40277	131	1997-01-18	VYDAJ	VYBER	1900	17275	\N	\N	\N
40278	131	1998-01-23	VYDAJ	VYBER	2600	26748	\N	\N	\N
40279	131	1998-01-18	VYDAJ	VYBER	1800	42948	\N	\N	\N
40280	131	1998-01-24	VYDAJ	VYBER	1900	24848	\N	\N	\N
40281	131	1998-01-10	VYDAJ	VYBER	1100	34392	\N	\N	\N
40282	131	1998-01-20	VYDAJ	VYBER	2600	29348	\N	\N	\N
40283	131	1998-01-18	VYDAJ	VYBER	2000	40948	\N	\N	\N
40284	131	1995-11-14	VYDAJ	VYBER	1200	36909	\N	\N	\N
40286	131	1995-12-04	VYDAJ	VYBER	2400	32751	\N	\N	\N
40288	131	1996-11-07	VYDAJ	VYBER	4600	14810	\N	\N	\N
40290	131	1996-05-08	VYDAJ	VYBER	1400	15629	\N	\N	\N
40291	131	1997-08-22	VYDAJ	VYBER	1600	23462	\N	\N	\N
40292	131	1997-06-21	VYDAJ	VYBER	4800	25004	\N	\N	\N
40293	131	1997-04-05	VYDAJ	VYBER	4000	14151	\N	\N	\N
40294	131	1997-04-04	VYDAJ	VYBER	3300	18151	\N	\N	\N
40306	131	1995-10-31	VYDAJ	VYBER	15	42157	SLUZBY	\N	\N
40307	131	1995-11-30	VYDAJ	VYBER	15	37051	SLUZBY	\N	\N
40308	131	1995-12-31	VYDAJ	VYBER	15	39016	SLUZBY	\N	\N
40309	131	1996-01-31	VYDAJ	VYBER	15	23577	SLUZBY	\N	\N
40310	131	1996-02-29	VYDAJ	VYBER	15	28426	SLUZBY	\N	\N
40311	131	1996-03-31	VYDAJ	VYBER	15	30281	SLUZBY	\N	\N
40312	131	1996-04-30	VYDAJ	VYBER	15	27533	SLUZBY	\N	\N
40313	131	1996-05-31	VYDAJ	VYBER	15	26078	SLUZBY	\N	\N
40314	131	1996-06-30	VYDAJ	VYBER	15	14586	SLUZBY	\N	\N
40315	131	1996-07-31	VYDAJ	VYBER	15	19593	SLUZBY	\N	\N
40316	131	1996-08-31	VYDAJ	VYBER	15	18100	SLUZBY	\N	\N
40317	131	1996-09-30	VYDAJ	VYBER	15	15898	SLUZBY	\N	\N
40318	131	1996-10-31	VYDAJ	VYBER	15	19410	SLUZBY	\N	\N
40319	131	1996-11-30	VYDAJ	VYBER	15	18317	SLUZBY	\N	\N
40320	131	1996-12-31	VYDAJ	VYBER	15	25923	SLUZBY	\N	\N
40321	131	1997-01-31	VYDAJ	VYBER	15	14425	SLUZBY	\N	\N
40322	131	1997-02-28	VYDAJ	VYBER	15	17930	SLUZBY	\N	\N
40323	131	1997-03-31	VYDAJ	VYBER	15	21451	SLUZBY	\N	\N
40324	131	1997-04-30	VYDAJ	VYBER	15	17654	SLUZBY	\N	\N
40325	131	1997-05-31	VYDAJ	VYBER	15	21174	SLUZBY	\N	\N
40326	131	1997-06-30	VYDAJ	VYBER	15	18089	SLUZBY	\N	\N
40327	131	1997-07-31	VYDAJ	VYBER	15	21610	SLUZBY	\N	\N
40328	131	1997-08-31	VYDAJ	VYBER	15	23543	SLUZBY	\N	\N
40329	131	1997-09-30	VYDAJ	VYBER	15	27086	SLUZBY	\N	\N
40330	131	1997-10-31	VYDAJ	VYBER	15	30645	SLUZBY	\N	\N
40331	131	1997-11-30	VYDAJ	VYBER	15	34218	SLUZBY	\N	\N
40332	131	1997-12-31	VYDAJ	VYBER	15	42396	SLUZBY	\N	\N
40333	131	1998-01-31	VYDAJ	VYBER	15	24979	SLUZBY	\N	\N
40334	131	1998-02-28	VYDAJ	VYBER	15	28527	SLUZBY	\N	\N
40335	131	1998-03-31	VYDAJ	VYBER	15	32092	SLUZBY	\N	\N
40336	131	1998-04-30	VYDAJ	VYBER	15	35670	SLUZBY	\N	\N
40337	131	1998-05-31	VYDAJ	VYBER	15	39264	SLUZBY	\N	\N
40338	131	1998-06-30	VYDAJ	VYBER	15	44760	SLUZBY	\N	\N
40339	131	1998-07-31	VYDAJ	VYBER	15	15370	SLUZBY	\N	\N
40340	131	1998-08-31	VYDAJ	VYBER	15	18878	SLUZBY	\N	\N
40341	131	1998-09-30	VYDAJ	VYBER	15	22402	SLUZBY	\N	\N
40342	131	1998-10-31	VYDAJ	VYBER	15	25940	SLUZBY	\N	\N
40343	131	1998-11-30	VYDAJ	VYBER	15	29493	SLUZBY	\N	\N
40344	131	1995-07-13	VYDAJ	VYBER	1600	25432	\N	\N	\N
40345	131	1995-08-12	PRIJEM	VKLAD	700	26223	\N	\N	\N
40346	131	1995-09-11	VYDAJ	VYBER	3900	32814	\N	\N	\N
40347	131	1995-10-11	VYDAJ	VYBER	11700	31639	\N	\N	\N
40348	131	1995-11-10	VYDAJ	VYBER	7500	27753	\N	\N	\N
40349	131	1995-12-10	VYDAJ	VYBER	2500	23347	\N	\N	\N
40350	131	1996-01-09	VYDAJ	VYBER	300	23612	\N	\N	\N
40351	131	1996-02-08	PRIJEM	VKLAD	1300	24877	\N	\N	\N
40352	131	1996-03-09	VYDAJ	VYBER	1700	19822	\N	\N	\N
40353	131	1996-04-08	VYDAJ	VYBER	6300	17077	\N	\N	\N
40354	131	1996-05-08	VYDAJ	VYBER	3600	23933	\N	\N	\N
40355	131	1996-06-07	VYDAJ	VYBER	4900	21178	\N	\N	\N
40356	131	1996-07-07	PRIJEM	VKLAD	1500	16086	\N	\N	\N
40357	131	1996-08-06	VYDAJ	VYBER	5000	14593	\N	\N	\N
40358	131	1996-09-05	VYDAJ	VYBER	5700	12400	\N	\N	\N
40359	131	1997-01-03	VYDAJ	VYBER	8600	17323	\N	\N	\N
40360	131	1998-07-27	VYDAJ	VYBER	33000	15212	\N	\N	\N
40404	132	1996-05-11	PRIJEM	VKLAD	200	200	\N	\N	\N
40406	132	1996-12-15	PRIJEM	VKLAD	20172	58645	\N	\N	\N
40409	132	1996-09-13	PRIJEM	VKLAD	21375	75669	\N	\N	\N
40410	132	1996-05-22	PRIJEM	VKLAD	33953	82129	\N	\N	\N
40411	132	1996-12-06	PRIJEM	VKLAD	10628	75043	\N	\N	\N
40412	132	1996-06-27	PRIJEM	VKLAD	34460	87406	\N	\N	\N
40413	132	1996-12-30	PRIJEM	VKLAD	35252	63529	\N	\N	\N
40414	132	1996-07-14	PRIJEM	VKLAD	31623	88574	\N	\N	\N
40415	132	1996-07-30	PRIJEM	VKLAD	14665	103239	\N	\N	\N
40417	132	1996-05-21	PRIJEM	VKLAD	47976	48176	\N	\N	\N
40418	132	1996-10-17	PRIJEM	VKLAD	14699	85225	\N	\N	\N
40419	132	1996-10-12	PRIJEM	VKLAD	29380	70526	\N	\N	\N
40420	132	1996-11-25	PRIJEM	VKLAD	41596	84734	\N	\N	\N
40421	132	1996-09-06	PRIJEM	VKLAD	39794	75794	\N	\N	\N
40422	132	1997-07-20	PRIJEM	VKLAD	28438	43394	\N	\N	\N
40423	132	1997-09-12	PRIJEM	VKLAD	36723	52635	\N	\N	\N
40424	132	1997-01-29	PRIJEM	VKLAD	39674	64528	\N	\N	\N
40425	132	1997-03-15	PRIJEM	VKLAD	29154	75181	\N	\N	\N
40426	132	1997-04-28	PRIJEM	VKLAD	28264	64500	\N	\N	\N
40427	132	1997-11-18	PRIJEM	VKLAD	31860	82762	\N	\N	\N
40428	132	1997-09-17	PRIJEM	VKLAD	11237	97864	\N	\N	\N
40429	132	1997-09-17	PRIJEM	VKLAD	46248	144112	\N	\N	\N
40430	132	1997-02-02	PRIJEM	VKLAD	29400	70323	\N	\N	\N
40431	132	1997-05-23	PRIJEM	VKLAD	17699	51582	\N	\N	\N
40432	132	1997-11-28	PRIJEM	VKLAD	24287	100749	\N	\N	\N
40433	132	1997-03-10	PRIJEM	VKLAD	33139	53397	\N	\N	\N
40434	132	1997-09-16	PRIJEM	VKLAD	41362	86627	\N	\N	\N
40435	132	1997-01-05	PRIJEM	VKLAD	34870	94895	\N	\N	\N
40436	132	1997-10-16	PRIJEM	VKLAD	39472	89738	\N	\N	\N
40437	132	1997-09-28	PRIJEM	VKLAD	40649	142461	\N	\N	\N
40438	132	1998-03-23	PRIJEM	VKLAD	13694	23135	\N	\N	\N
40439	132	1998-06-24	PRIJEM	VKLAD	41261	111668	\N	\N	\N
40440	132	1998-05-17	PRIJEM	VKLAD	44387	119347	\N	\N	\N
40441	132	1998-03-04	PRIJEM	VKLAD	5160	15441	\N	\N	\N
40442	132	1998-07-08	PRIJEM	VKLAD	13406	78831	\N	\N	\N
40443	132	1998-08-07	PRIJEM	VKLAD	31686	65268	\N	\N	\N
40444	132	1998-08-28	PRIJEM	VKLAD	30320	61287	\N	\N	\N
40445	132	1998-06-17	PRIJEM	VKLAD	32587	70407	\N	\N	\N
40446	132	1998-09-07	PRIJEM	VKLAD	26500	57954	\N	\N	\N
40447	132	1998-05-13	PRIJEM	VKLAD	25830	37100	\N	\N	\N
40448	132	1998-10-03	PRIJEM	VKLAD	34261	71054	\N	\N	\N
40449	132	1998-05-13	PRIJEM	VKLAD	37860	74960	\N	\N	\N
40450	132	1998-12-10	PRIJEM	VKLAD	27247	56891	\N	\N	\N
40451	132	1998-09-16	PRIJEM	VKLAD	17123	75077	\N	\N	\N
40459	132	1996-08-19	VYDAJ	VYBER	7200	35901	\N	\N	0
40460	132	1996-09-17	VYDAJ	VYBER	9300	51036	\N	\N	0
40461	132	1996-10-18	VYDAJ	VYBER	6500	78725	\N	\N	0
40462	132	1996-11-12	VYDAJ	PREVOD NA UCET	7370	43138	UVER	WX	80542558
40463	132	1996-12-12	VYDAJ	PREVOD NA UCET	7370	38473	UVER	WX	80542558
40464	132	1997-01-12	VYDAJ	PREVOD NA UCET	7370	41125	UVER	WX	80542558
40465	132	1997-02-12	VYDAJ	PREVOD NA UCET	7370	20039	UVER	WX	80542558
40466	132	1997-03-12	VYDAJ	PREVOD NA UCET	7370	46027	UVER	WX	80542558
40467	132	1997-04-12	VYDAJ	PREVOD NA UCET	7370	40340	UVER	WX	80542558
40468	132	1997-05-12	VYDAJ	PREVOD NA UCET	7370	33883	UVER	WX	80542558
40469	132	1997-06-12	VYDAJ	PREVOD NA UCET	7370	16436	UVER	WX	80542558
40470	132	1997-07-12	VYDAJ	PREVOD NA UCET	7370	14956	UVER	WX	80542558
40471	132	1997-08-12	VYDAJ	PREVOD NA UCET	7370	12844	UVER	WX	80542558
40472	132	1997-09-12	VYDAJ	PREVOD NA UCET	7370	45265	UVER	WX	80542558
40473	132	1997-10-12	VYDAJ	PREVOD NA UCET	7370	50266	UVER	WX	80542558
40474	132	1997-11-22	VYDAJ	VYBER	6300	76462	\N	\N	0
40475	132	1997-12-08	VYDAJ	VYBER	8700	47612	\N	\N	0
40476	132	1998-01-21	VYDAJ	VYBER	6800	10368	\N	\N	0
40478	132	1998-03-10	VYDAJ	VYBER	6000	9441	\N	\N	0
40479	132	1998-04-21	VYDAJ	VYBER	6600	11291	\N	\N	0
40481	132	1998-05-31	VYDAJ	VYBER	6900	77640	\N	\N	0
40482	132	1998-07-10	VYDAJ	VYBER	5100	73731	\N	\N	0
40483	132	1998-08-07	VYDAJ	VYBER	5500	59768	\N	\N	0
40484	132	1998-09-03	VYDAJ	VYBER	7400	31454	\N	\N	0
40485	132	1998-10-07	VYDAJ	VYBER	4700	60954	\N	\N	0
40486	132	1998-10-28	VYDAJ	VYBER	6200	54754	\N	\N	0
40487	132	1998-12-28	VYDAJ	VYBER	6800	34391	\N	\N	0
40489	132	1996-12-22	VYBER	VYBER	16268	35177	\N	\N	\N
40497	132	1996-11-25	VYBER	VYBER	20470	64264	\N	\N	\N
40500	132	1996-09-15	VYBER	VYBER	15333	60336	\N	\N	\N
40502	132	1997-05-05	VYBER	VYBER	6376	58254	\N	\N	\N
40503	132	1997-12-13	VYBER	VYBER	6264	36848	\N	\N	\N
40505	132	1997-01-26	VYBER	VYBER	7871	27554	\N	\N	\N
40506	132	1997-04-25	VYBER	VYBER	4104	36236	\N	\N	\N
40508	132	1997-06-06	VYBER	VYBER	5553	23806	\N	\N	\N
40510	132	1997-02-10	VYBER	VYBER	21014	27409	\N	\N	\N
40513	132	1997-07-30	VYBER	VYBER	20884	22510	\N	\N	\N
40514	132	1998-07-11	VYBER	VYBER	14596	59135	\N	\N	\N
40518	132	1998-09-20	VYBER	VYBER	20903	54174	\N	\N	\N
40519	132	1998-08-15	VYBER	VYBER	11427	38767	\N	\N	\N
40525	132	1998-06-01	VYBER	VYBER	4220	37820	\N	\N	\N
40527	132	1998-08-11	VYBER	VYBER	9574	50194	\N	\N	\N
40532	132	1997-01-30	VYDAJ	VYBER	17400	47128	\N	\N	\N
40533	132	1998-01-01	VYDAJ	VYBER	16200	20768	\N	\N	\N
40534	132	1996-12-22	VYDAJ	VYBER	6900	28277	\N	\N	\N
40535	132	1997-12-12	VYDAJ	VYBER	4500	43112	\N	\N	\N
40543	132	1997-01-30	VYDAJ	VYBER	6300	40828	\N	\N	\N
40544	132	1997-01-06	VYDAJ	VYBER	8100	86795	\N	\N	\N
40545	132	1997-01-27	VYDAJ	VYBER	2700	24854	\N	\N	\N
40546	132	1997-01-03	VYDAJ	VYBER	3600	60025	\N	\N	\N
40547	132	1997-01-24	VYDAJ	VYBER	5700	35425	\N	\N	\N
40548	132	1997-01-10	VYDAJ	VYBER	4800	48495	\N	\N	\N
40555	132	1996-12-17	VYDAJ	VYBER	7200	51445	\N	\N	\N
40556	132	1996-12-07	VYDAJ	VYBER	3600	45843	\N	\N	\N
40560	132	1996-08-09	VYDAJ	VYBER	4200	43101	\N	\N	\N
40563	132	1997-05-25	VYDAJ	VYBER	12900	38682	\N	\N	\N
40565	132	1998-10-04	VYDAJ	VYBER	5400	65654	\N	\N	\N
40566	132	1998-08-19	VYDAJ	VYBER	7800	30967	\N	\N	\N
40567	132	1998-12-14	VYDAJ	VYBER KARTOU	3900	52991	\N	\N	0
40575	132	1996-07-31	VYDAJ	VYBER	100	68401	SLUZBY	\N	\N
40576	132	1996-08-31	VYDAJ	VYBER	100	36000	SLUZBY	\N	\N
40577	132	1996-09-30	VYDAJ	VYBER	100	51146	SLUZBY	\N	\N
40578	132	1996-10-31	VYDAJ	VYBER	100	78908	SLUZBY	\N	\N
40579	132	1996-11-30	VYDAJ	VYBER	100	64415	SLUZBY	\N	\N
40580	132	1996-12-31	VYDAJ	VYBER	100	63625	SLUZBY	\N	\N
40581	132	1997-01-31	VYDAJ	VYBER	100	40923	SLUZBY	\N	\N
40582	132	1997-02-28	VYDAJ	VYBER	100	20058	SLUZBY	\N	\N
40583	132	1997-03-31	VYDAJ	VYBER	100	75310	SLUZBY	\N	\N
40584	132	1997-04-30	VYDAJ	VYBER	100	64630	SLUZBY	\N	\N
40585	132	1997-05-31	VYDAJ	VYBER	100	38759	SLUZBY	\N	\N
40586	132	1997-06-30	VYDAJ	VYBER	100	16426	SLUZBY	\N	\N
40587	132	1997-07-31	VYDAJ	VYBER	100	22514	SLUZBY	\N	\N
40588	132	1997-08-31	VYDAJ	VYBER	100	12812	SLUZBY	\N	\N
40589	132	1997-09-30	VYDAJ	VYBER	100	97236	SLUZBY	\N	\N
40590	132	1997-10-31	VYDAJ	VYBER	100	90002	SLUZBY	\N	\N
40591	132	1997-11-30	VYDAJ	VYBER	100	101012	SLUZBY	\N	\N
40592	132	1997-12-31	VYDAJ	VYBER	100	36968	SLUZBY	\N	\N
40593	132	1998-01-31	VYDAJ	VYBER	100	10339	SLUZBY	\N	\N
40594	132	1998-02-28	VYDAJ	VYBER	100	10281	SLUZBY	\N	\N
40595	132	1998-03-31	VYDAJ	VYBER	100	23091	SLUZBY	\N	\N
40596	132	1998-04-30	VYDAJ	VYBER	100	11270	SLUZBY	\N	\N
40597	132	1998-05-31	VYDAJ	VYBER	100	84540	SLUZBY	\N	\N
40598	132	1998-06-30	VYDAJ	VYBER	100	111925	SLUZBY	\N	\N
40599	132	1998-07-31	VYDAJ	VYBER	100	33582	SLUZBY	\N	\N
40600	132	1998-08-31	VYDAJ	VYBER	100	38854	SLUZBY	\N	\N
40601	132	1998-09-30	VYDAJ	VYBER	100	36793	SLUZBY	\N	\N
40602	132	1998-10-31	VYDAJ	VYBER	100	38986	SLUZBY	\N	\N
40603	132	1998-11-30	VYDAJ	VYBER	100	29644	SLUZBY	\N	\N
40604	132	1996-06-10	VYDAJ	VYBER	29300	52946	\N	\N	\N
40605	132	1996-07-10	VYDAJ	VYBER	30800	56951	\N	\N	\N
40606	132	1996-07-30	VYDAJ	VYBER	35100	68139	\N	\N	\N
40607	132	1996-08-09	VYDAJ	VYBER	21100	47301	\N	\N	\N
40608	132	1996-09-08	VYDAJ	VYBER	21500	54294	\N	\N	\N
40609	132	1996-10-08	VYDAJ	VYBER	10000	41146	\N	\N	\N
40610	132	1996-11-07	VYDAJ	VYBER	28400	50508	\N	\N	\N
40611	132	1996-12-07	VYDAJ	VYBER	25600	49443	\N	\N	\N
40612	132	1997-01-06	VYDAJ	VYBER	33500	53295	\N	\N	\N
40613	132	1997-02-05	VYDAJ	VYBER	21900	48423	\N	\N	\N
40614	132	1997-03-07	PRIJEM	VKLAD	200	20258	\N	\N	\N
40615	132	1997-04-06	VYDAJ	VYBER	27600	47710	\N	\N	\N
40616	132	1997-05-06	VYDAJ	VYBER	17000	41254	\N	\N	\N
40617	132	1997-06-05	VYDAJ	VYBER	9400	29359	\N	\N	\N
40618	132	1997-07-05	PRIJEM	VKLAD	5900	22326	\N	\N	\N
40619	132	1997-08-04	VYDAJ	VYBER	2300	20214	\N	\N	\N
40620	132	1997-09-03	PRIJEM	VKLAD	3100	15912	\N	\N	\N
40621	132	1997-09-17	VYDAJ	VYBER	15400	101812	\N	\N	\N
40622	132	1997-09-17	VYDAJ	VYBER	26900	117212	\N	\N	\N
40623	132	1997-09-28	VYDAJ	VYBER	45400	97061	\N	\N	\N
40624	132	1997-10-03	VYDAJ	VYBER	39600	57636	\N	\N	\N
40625	132	1997-11-02	VYDAJ	VYBER	39100	50902	\N	\N	\N
40626	132	1997-12-02	VYDAJ	VYBER	44700	56312	\N	\N	\N
40627	132	1998-01-01	VYDAJ	VYBER KARTOU	3600	17168	\N	\N	0
40628	132	1998-04-01	VYDAJ	VYBER	5200	17891	\N	\N	\N
40629	132	1998-05-17	VYDAJ	VYBER	35000	84347	\N	\N	\N
40630	132	1998-05-31	VYDAJ	VYBER	35600	42040	\N	\N	\N
40631	132	1998-06-30	VYDAJ	VYBER	46500	65425	\N	\N	\N
40632	132	1998-07-30	VYDAJ	VYBER	25700	33435	\N	\N	\N
40633	132	1998-08-29	VYDAJ	VYBER	22500	38787	\N	\N	\N
40634	132	1998-09-28	VYDAJ	VYBER	17500	36674	\N	\N	\N
40635	132	1998-10-28	VYDAJ	VYBER	15900	38854	\N	\N	\N
40636	132	1998-11-27	VYDAJ	VYBER	9400	29586	\N	\N	\N
40637	132	1998-12-27	VYDAJ	VYBER	11800	41191	\N	\N	\N
40670	133	1997-10-11	PRIJEM	VKLAD	900	900	\N	\N	\N
40673	133	1997-11-21	PRIJEM	VKLAD	37681	101094	\N	\N	\N
40680	133	1997-10-28	PRIJEM	VKLAD	25214	26114	\N	\N	\N
40683	133	1997-11-01	PRIJEM	VKLAD	32420	104913	\N	\N	\N
40689	133	1997-11-29	PRIJEM	VKLAD	43471	144565	\N	\N	\N
40690	133	1997-12-16	PRIJEM	VKLAD	11103	55095	\N	\N	\N
40693	133	1997-10-30	PRIJEM	VKLAD	46352	72466	\N	\N	\N
40696	133	1998-11-16	PRIJEM	VKLAD	14219	87438	\N	\N	\N
40697	133	1998-10-21	PRIJEM	VKLAD	39574	54231	\N	\N	\N
40698	133	1998-02-28	PRIJEM	VKLAD	16457	30764	\N	\N	\N
40699	133	1998-11-24	PRIJEM	VKLAD	44094	138068	\N	\N	\N
40700	133	1998-11-19	PRIJEM	VKLAD	6536	93974	\N	\N	\N
40701	133	1998-04-09	PRIJEM	VKLAD	39379	61721	\N	\N	\N
40702	133	1998-12-21	PRIJEM	VKLAD	5256	48163	\N	\N	\N
40703	133	1998-11-15	PRIJEM	VKLAD	38253	115619	\N	\N	\N
40704	133	1998-09-02	PRIJEM	VKLAD	43656	60061	\N	\N	\N
40705	133	1998-07-11	PRIJEM	VKLAD	10692	31330	\N	\N	\N
40706	133	1998-12-04	PRIJEM	VKLAD	37156	137073	\N	\N	\N
40707	133	1998-05-30	PRIJEM	VKLAD	11093	75787	\N	\N	\N
40708	133	1998-01-16	PRIJEM	VKLAD	30943	56903	\N	\N	\N
40709	133	1998-11-07	PRIJEM	VKLAD	46787	87432	\N	\N	\N
40710	133	1998-07-23	PRIJEM	VKLAD	6620	27907	\N	\N	\N
40711	133	1998-04-30	PRIJEM	VKLAD	47803	83101	\N	\N	\N
40712	133	1998-05-23	PRIJEM	VKLAD	15089	64694	\N	\N	\N
40713	133	1998-09-25	PRIJEM	VKLAD	27890	52298	\N	\N	\N
40749	133	1997-12-11	VYDAJ	PREVOD NA UCET	4943	49392	SIPO	EF	45379865
40750	133	1998-01-11	VYDAJ	PREVOD NA UCET	4943	29560	SIPO	EF	45379865
40751	133	1998-02-11	VYDAJ	PREVOD NA UCET	4943	14216	SIPO	EF	45379865
40752	133	1998-03-11	VYDAJ	PREVOD NA UCET	4943	22268	SIPO	EF	45379865
40753	133	1998-04-11	VYDAJ	PREVOD NA UCET	4943	35155	SIPO	EF	45379865
40754	133	1998-05-11	VYDAJ	PREVOD NA UCET	4943	49605	SIPO	EF	45379865
40755	133	1998-06-11	VYDAJ	PREVOD NA UCET	4943	42560	SIPO	EF	45379865
40756	133	1998-07-11	VYDAJ	PREVOD NA UCET	4943	26387	SIPO	EF	45379865
40757	133	1998-08-11	VYDAJ	PREVOD NA UCET	4943	16358	SIPO	EF	45379865
40758	133	1998-09-11	VYDAJ	PREVOD NA UCET	4943	24408	SIPO	EF	45379865
40759	133	1998-10-11	VYDAJ	PREVOD NA UCET	4943	14657	SIPO	EF	45379865
40760	133	1998-11-11	VYDAJ	PREVOD NA UCET	4943	77366	SIPO	EF	45379865
40761	133	1998-12-11	VYDAJ	PREVOD NA UCET	4943	42907	SIPO	EF	45379865
40773	133	1997-12-10	VYDAJ	PREVOD NA UCET	5123	54335	 	CD	30067122
40774	133	1998-01-10	VYDAJ	PREVOD NA UCET	5123	34503	 	CD	30067122
40775	133	1998-02-10	VYDAJ	PREVOD NA UCET	5123	19159	 	CD	30067122
40776	133	1998-03-10	VYDAJ	PREVOD NA UCET	5123	27211	 	CD	30067122
40777	133	1998-04-10	VYDAJ	PREVOD NA UCET	5123	40098	 	CD	30067122
40778	133	1998-05-10	VYDAJ	PREVOD NA UCET	5123	54548	 	CD	30067122
40779	133	1998-06-10	VYDAJ	PREVOD NA UCET	5123	47503	 	CD	30067122
40780	133	1998-07-10	VYDAJ	PREVOD NA UCET	5123	20638	 	CD	30067122
40781	133	1998-08-10	VYDAJ	PREVOD NA UCET	5123	21301	 	CD	30067122
40782	133	1998-09-10	VYDAJ	PREVOD NA UCET	5123	29351	 	CD	30067122
40783	133	1998-10-10	VYDAJ	PREVOD NA UCET	5123	19600	 	CD	30067122
40784	133	1998-11-10	VYDAJ	PREVOD NA UCET	5123	82309	 	CD	30067122
40785	133	1998-12-10	VYDAJ	PREVOD NA UCET	5123	47850	 	CD	30067122
40791	133	1998-02-03	VYBER	VYBER	16774	22282	\N	\N	\N
40792	133	1998-09-02	VYBER	VYBER	15887	44174	\N	\N	\N
40793	133	1998-07-29	VYBER	VYBER	4454	23453	\N	\N	\N
40797	133	1998-06-20	VYBER	VYBER	23453	19107	\N	\N	\N
40798	133	1998-09-28	VYBER	VYBER	13189	39109	\N	\N	\N
40805	133	1997-12-13	VYDAJ	VYBER	5400	43992	\N	\N	\N
40806	133	1998-12-27	VYDAJ	VYBER	1800	46363	\N	\N	\N
40813	133	1998-01-03	VYDAJ	VYBER	4800	48126	\N	\N	\N
40814	133	1998-01-13	VYDAJ	VYBER	3600	25960	\N	\N	\N
40815	133	1998-01-01	VYDAJ	VYBER	2400	52926	\N	\N	\N
40816	133	1998-01-16	VYDAJ	VYBER	6900	50003	\N	\N	\N
40817	133	1998-01-21	VYDAJ	VYBER	4500	45503	\N	\N	\N
40818	133	1998-01-27	VYDAJ	VYBER	6600	38903	\N	\N	\N
40825	133	1998-10-07	VYDAJ	VYBER	12900	24723	\N	\N	\N
40826	133	1998-11-01	VYDAJ	VYBER	3300	51045	\N	\N	\N
40827	133	1998-07-17	VYDAJ	VYBER	5100	21287	\N	\N	\N
40839	133	1997-11-30	VYDAJ	VYBER	30	85258	SLUZBY	\N	\N
40840	133	1997-12-31	VYDAJ	VYBER	30	55326	SLUZBY	\N	\N
40841	133	1998-01-31	VYDAJ	VYBER	30	39056	SLUZBY	\N	\N
40842	133	1998-02-28	VYDAJ	VYBER	30	30734	SLUZBY	\N	\N
40843	133	1998-03-31	VYDAJ	VYBER	30	22342	SLUZBY	\N	\N
40844	133	1998-04-30	VYDAJ	VYBER	30	83071	SLUZBY	\N	\N
40845	133	1998-05-31	VYDAJ	VYBER	30	76026	SLUZBY	\N	\N
40846	133	1998-06-30	VYDAJ	VYBER	30	19261	SLUZBY	\N	\N
40847	133	1998-07-31	VYDAJ	VYBER	30	23524	SLUZBY	\N	\N
40848	133	1998-08-31	VYDAJ	VYBER	30	16405	SLUZBY	\N	\N
40849	133	1998-09-30	VYDAJ	VYBER	30	39223	SLUZBY	\N	\N
40850	133	1998-10-31	VYDAJ	VYBER	30	54345	SLUZBY	\N	\N
40851	133	1998-11-30	VYDAJ	VYBER	30	99917	SLUZBY	\N	\N
40852	133	1997-11-10	VYDAJ	VYBER	41500	63413	\N	\N	\N
40853	133	1997-11-29	VYDAJ	VYBER	59600	84965	\N	\N	\N
40854	133	1997-12-10	VYDAJ	VYBER	25800	59458	\N	\N	\N
40855	133	1998-01-09	VYDAJ	VYBER	8500	39626	\N	\N	\N
40856	133	1998-02-08	PRIJEM	VKLAD	2000	24282	\N	\N	\N
40857	133	1998-03-10	PRIJEM	VKLAD	1600	32334	\N	\N	\N
40858	133	1998-04-09	VYDAJ	VYBER	16500	45221	\N	\N	\N
40859	133	1998-05-09	VYDAJ	VYBER	23400	59671	\N	\N	\N
40860	133	1998-06-08	VYDAJ	VYBER	23400	52626	\N	\N	\N
40861	133	1998-07-08	PRIJEM	VKLAD	6500	25761	\N	\N	\N
40862	133	1998-08-07	PRIJEM	VKLAD	2900	26424	\N	\N	\N
40863	133	1998-09-06	VYDAJ	VYBER	9700	34474	\N	\N	\N
40864	133	1998-10-06	VYDAJ	VYBER	1600	37623	\N	\N	\N
40865	133	1998-11-05	VYDAJ	VYBER	10400	40645	\N	\N	\N
40866	133	1998-11-15	VYDAJ	VYBER	42400	73219	\N	\N	\N
40867	133	1998-11-24	VYDAJ	VYBER	38500	99568	\N	\N	\N
40868	133	1998-12-04	VYDAJ	VYBER	64600	72473	\N	\N	\N
40869	133	1998-12-05	VYDAJ	VYBER	19500	52973	\N	\N	\N
40885	134	1997-12-10	PRIJEM	VKLAD	300	300	\N	\N	\N
40898	134	1998-01-09	PRIJEM	VKLAD	9631	9931	\N	\N	\N
40899	134	1998-02-09	PRIJEM	VKLAD	9631	32921	\N	\N	\N
40900	134	1998-03-09	PRIJEM	VKLAD	9631	42673	\N	\N	\N
40901	134	1998-04-09	PRIJEM	VKLAD	9631	44748	\N	\N	\N
40902	134	1998-05-09	PRIJEM	VKLAD	9631	43621	\N	\N	\N
40903	134	1998-06-09	PRIJEM	VKLAD	14446	46997	\N	\N	\N
40904	134	1998-07-09	PRIJEM	VKLAD	9631	47697	\N	\N	\N
40905	134	1998-08-09	PRIJEM	VKLAD	9631	42906	\N	\N	\N
40906	134	1998-09-09	PRIJEM	VKLAD	9631	37298	\N	\N	\N
40907	134	1998-10-09	PRIJEM	VKLAD	9631	37172	\N	\N	\N
40908	134	1998-11-09	PRIJEM	VKLAD	9631	41839	\N	\N	\N
40909	134	1998-12-09	PRIJEM	VKLAD	14446	47540	\N	\N	\N
40911	134	1998-12-27	VYDAJ	VYBER KARTOU	2200	45340	\N	\N	0
40931	134	1998-08-14	VYDAJ	VYBER	2700	40206	\N	\N	\N
40932	134	1998-07-16	VYDAJ	VYBER	2500	45197	\N	\N	\N
40935	134	1998-09-30	VYDAJ	VYBER	4300	33156	\N	\N	\N
40953	134	1998-05-31	VYDAJ	VYBER	15	35251	SLUZBY	\N	\N
40954	134	1998-06-30	VYDAJ	VYBER	15	47166	SLUZBY	\N	\N
40955	134	1998-07-31	VYDAJ	VYBER	15	45375	SLUZBY	\N	\N
40956	134	1998-08-31	VYDAJ	VYBER	15	40367	SLUZBY	\N	\N
40957	134	1998-09-30	VYDAJ	VYBER	15	33141	SLUZBY	\N	\N
40958	134	1998-10-31	VYDAJ	VYBER	15	37308	SLUZBY	\N	\N
40959	134	1998-11-30	VYDAJ	VYBER	15	41994	SLUZBY	\N	\N
40960	134	1998-01-09	PRIJEM	VKLAD	9300	19231	\N	\N	\N
40961	134	1998-02-08	PRIJEM	VKLAD	4000	23291	\N	\N	\N
40962	134	1998-03-10	VYDAJ	VYBER	7700	34973	\N	\N	\N
40963	134	1998-04-09	VYDAJ	VYBER	10900	33848	\N	\N	\N
40964	134	1998-05-09	VYDAJ	VYBER	8500	35121	\N	\N	\N
40965	134	1998-06-08	VYDAJ	VYBER	2700	32551	\N	\N	\N
40966	134	1998-07-08	VYDAJ	VYBER	9100	38066	\N	\N	\N
40967	134	1998-08-07	VYDAJ	VYBER	12100	33275	\N	\N	\N
40968	134	1998-09-06	VYDAJ	VYBER	12700	27667	\N	\N	\N
40969	134	1998-10-06	VYDAJ	VYBER	5600	27541	\N	\N	\N
40970	134	1998-11-05	VYDAJ	VYBER	5100	32208	\N	\N	\N
40971	134	1998-12-05	VYDAJ	VYBER	8900	33094	\N	\N	\N
40984	135	1993-06-15	PRIJEM	VKLAD	700	700	\N	\N	\N
40991	135	1993-07-10	PRIJEM	VKLAD	4451	5151	\N	\N	\N
40992	135	1993-08-10	PRIJEM	VKLAD	4451	18835	\N	\N	\N
40993	135	1993-09-10	PRIJEM	VKLAD	4451	28168	\N	\N	\N
40994	135	1993-10-10	PRIJEM	VKLAD	4451	32929	\N	\N	\N
40995	135	1993-11-10	PRIJEM	VKLAD	4451	31495	\N	\N	\N
40996	135	1993-12-10	PRIJEM	VKLAD	6676	32566	\N	\N	\N
40997	135	1994-01-10	PRIJEM	VKLAD	4451	31514	\N	\N	\N
40998	135	1994-02-10	PRIJEM	VKLAD	4451	20643	\N	\N	\N
40999	135	1994-03-10	PRIJEM	VKLAD	4451	28569	\N	\N	\N
41000	135	1994-04-10	PRIJEM	VKLAD	4451	24520	\N	\N	\N
41001	135	1994-05-10	PRIJEM	VKLAD	4451	25964	\N	\N	\N
41002	135	1994-06-10	PRIJEM	VKLAD	6676	20627	\N	\N	\N
41003	135	1994-07-10	PRIJEM	VKLAD	4451	30555	\N	\N	\N
41004	135	1994-08-10	PRIJEM	VKLAD	4451	29396	\N	\N	\N
41005	135	1994-09-10	PRIJEM	VKLAD	4451	31547	\N	\N	\N
41006	135	1994-10-10	PRIJEM	VKLAD	4451	32212	\N	\N	\N
41007	135	1994-11-10	PRIJEM	VKLAD	4451	31282	\N	\N	\N
41008	135	1994-12-10	PRIJEM	VKLAD	6676	37875	\N	\N	\N
41009	135	1995-01-10	PRIJEM	VKLAD	4451	34760	\N	\N	\N
41010	135	1995-02-10	PRIJEM	VKLAD	4451	30436	\N	\N	\N
41011	135	1995-03-10	PRIJEM	VKLAD	4451	32195	\N	\N	\N
41012	135	1995-04-10	PRIJEM	VKLAD	4451	29663	\N	\N	\N
41013	135	1995-05-10	PRIJEM	VKLAD	4451	32322	\N	\N	\N
41014	135	1995-06-10	PRIJEM	VKLAD	6676	39415	\N	\N	\N
41015	135	1995-07-10	PRIJEM	VKLAD	4451	31392	\N	\N	\N
41016	135	1995-08-10	PRIJEM	VKLAD	4451	38451	\N	\N	\N
41017	135	1995-09-10	PRIJEM	VKLAD	4451	41439	\N	\N	\N
41018	135	1995-10-10	PRIJEM	VKLAD	4451	41044	\N	\N	\N
41019	135	1995-11-10	PRIJEM	VKLAD	4451	42152	\N	\N	\N
41020	135	1995-12-10	PRIJEM	VKLAD	6676	43486	\N	\N	\N
41021	135	1996-01-10	PRIJEM	VKLAD	4451	45392	\N	\N	\N
41022	135	1996-02-10	PRIJEM	VKLAD	4451	45505	\N	\N	\N
41023	135	1996-03-10	PRIJEM	VKLAD	4451	44712	\N	\N	\N
41024	135	1996-04-10	PRIJEM	VKLAD	4451	49830	\N	\N	\N
41025	135	1996-05-10	PRIJEM	VKLAD	4451	47256	\N	\N	\N
41026	135	1996-06-10	PRIJEM	VKLAD	6676	36614	\N	\N	\N
41027	135	1996-07-10	PRIJEM	VKLAD	4451	44715	\N	\N	\N
41028	135	1996-08-10	PRIJEM	VKLAD	4451	47119	\N	\N	\N
41029	135	1996-09-10	PRIJEM	VKLAD	4451	48735	\N	\N	\N
41030	135	1996-10-10	PRIJEM	VKLAD	4451	50355	\N	\N	\N
41031	135	1996-11-10	PRIJEM	VKLAD	4451	51182	\N	\N	\N
41032	135	1996-12-10	PRIJEM	VKLAD	6676	50535	\N	\N	\N
41033	135	1997-01-10	PRIJEM	VKLAD	4451	42561	\N	\N	\N
41034	135	1997-02-10	PRIJEM	VKLAD	4451	38852	\N	\N	\N
41035	135	1997-03-10	PRIJEM	VKLAD	4451	41632	\N	\N	\N
41036	135	1997-04-10	PRIJEM	VKLAD	4451	43823	\N	\N	\N
41037	135	1997-05-10	PRIJEM	VKLAD	4451	44823	\N	\N	\N
41038	135	1997-06-10	PRIJEM	VKLAD	6676	45949	\N	\N	\N
41039	135	1997-07-10	PRIJEM	VKLAD	4451	25243	\N	\N	\N
41040	135	1997-08-10	PRIJEM	VKLAD	4451	34573	\N	\N	\N
41041	135	1997-09-10	PRIJEM	VKLAD	4451	41242	\N	\N	\N
41042	135	1997-10-10	PRIJEM	VKLAD	4451	43841	\N	\N	\N
41043	135	1997-11-10	PRIJEM	VKLAD	4451	47243	\N	\N	\N
41044	135	1997-12-10	PRIJEM	VKLAD	6676	49987	\N	\N	\N
41045	135	1998-01-10	PRIJEM	VKLAD	4451	51021	\N	\N	\N
41046	135	1998-02-10	PRIJEM	VKLAD	4451	53162	\N	\N	\N
41047	135	1998-03-10	PRIJEM	VKLAD	4451	61210	\N	\N	\N
41048	135	1998-04-10	PRIJEM	VKLAD	4451	66086	\N	\N	\N
41049	135	1998-05-10	PRIJEM	VKLAD	4451	68079	\N	\N	\N
41050	135	1998-06-10	PRIJEM	VKLAD	6676	71705	\N	\N	\N
41051	135	1998-07-10	PRIJEM	VKLAD	4451	67995	\N	\N	\N
41052	135	1998-08-10	PRIJEM	VKLAD	4451	75906	\N	\N	\N
41053	135	1998-09-10	PRIJEM	VKLAD	4451	72635	\N	\N	\N
41054	135	1998-10-10	PRIJEM	VKLAD	4451	74955	\N	\N	\N
41055	135	1998-11-10	PRIJEM	VKLAD	4451	65172	\N	\N	\N
41056	135	1998-12-10	PRIJEM	VKLAD	6676	73407	\N	\N	\N
41058	135	1994-06-03	VYDAJ	VYBER	10600	13951	\N	\N	\N
41059	135	1995-06-24	VYDAJ	VYBER	14500	24915	\N	\N	\N
41060	135	1996-06-03	VYDAJ	VYBER	16600	29938	\N	\N	\N
41061	135	1997-06-28	VYDAJ	VYBER	24700	20649	\N	\N	\N
41062	135	1998-06-10	VYDAJ	VYBER	14900	56805	\N	\N	\N
41063	135	1993-12-20	VYDAJ	VYBER	900	26966	\N	\N	\N
41064	135	1994-12-25	VYDAJ	VYBER	1100	36775	\N	\N	\N
41065	135	1995-12-13	VYDAJ	VYBER	1700	41786	\N	\N	\N
41066	135	1996-12-14	VYDAJ	VYBER	600	49935	\N	\N	\N
41067	135	1997-12-16	VYDAJ	VYBER	700	45487	\N	\N	\N
41068	135	1998-12-05	VYDAJ	VYBER	1700	66731	\N	\N	\N
41075	135	1994-01-11	VYDAJ	VYBER	2100	26814	\N	\N	\N
41076	135	1994-01-10	VYDAJ	VYBER	2600	28914	\N	\N	\N
41077	135	1994-01-13	VYDAJ	VYBER	2600	24014	\N	\N	\N
41078	135	1994-01-23	VYDAJ	VYBER	2200	18114	\N	\N	\N
41079	135	1994-01-15	VYDAJ	VYBER	2300	20314	\N	\N	\N
41080	135	1994-01-27	VYDAJ	VYBER	2000	16114	\N	\N	\N
41081	135	1995-01-30	VYDAJ	VYBER	2600	27660	\N	\N	\N
41082	135	1995-01-25	VYDAJ	VYBER	800	32960	\N	\N	\N
41083	135	1995-01-22	VYDAJ	VYBER	1000	33760	\N	\N	\N
41084	135	1995-01-04	VYDAJ	VYBER	1700	35209	\N	\N	\N
41085	135	1995-01-09	VYDAJ	VYBER	1400	30309	\N	\N	\N
41086	135	1995-01-27	VYDAJ	VYBER	2700	30260	\N	\N	\N
41087	135	1996-01-16	VYDAJ	VYBER	1500	42592	\N	\N	\N
41088	135	1996-01-27	VYDAJ	VYBER	1900	40692	\N	\N	\N
41089	135	1996-01-11	VYDAJ	VYBER	1300	44092	\N	\N	\N
41090	135	1996-01-30	VYDAJ	VYBER	1700	36292	\N	\N	\N
41091	135	1996-01-01	VYDAJ	VYBER	2300	40941	\N	\N	\N
41092	135	1996-01-29	VYDAJ	VYBER	2700	37992	\N	\N	\N
41093	135	1997-01-07	VYDAJ	VYBER	2500	39610	\N	\N	\N
41094	135	1997-01-09	VYDAJ	VYBER	1500	38110	\N	\N	\N
41095	135	1997-01-23	VYDAJ	VYBER	1100	32361	\N	\N	\N
41096	135	1997-01-16	VYDAJ	VYBER	1600	35161	\N	\N	\N
41097	135	1997-01-12	VYDAJ	VYBER	2600	39961	\N	\N	\N
41098	135	1997-01-18	VYDAJ	VYBER	1700	33461	\N	\N	\N
41099	135	1998-01-28	VYDAJ	VYBER	500	48521	\N	\N	\N
41100	135	1998-01-19	VYDAJ	VYBER	700	48021	\N	\N	\N
41101	135	1998-01-14	VYDAJ	VYBER	2300	48721	\N	\N	\N
41102	135	1998-01-26	VYDAJ	VYBER	2100	49021	\N	\N	\N
41103	135	1998-01-01	VYDAJ	VYBER	2200	46570	\N	\N	\N
41104	135	1998-01-23	VYDAJ	VYBER	2600	51121	\N	\N	\N
41113	135	1994-04-29	VYDAJ	VYBER	1000	24320	\N	\N	\N
41114	135	1994-04-01	VYDAJ	VYBER	4800	24569	\N	\N	\N
41115	135	1994-04-08	VYDAJ	VYBER	4500	20069	\N	\N	\N
41116	135	1994-05-09	VYDAJ	VYBER	2900	21513	\N	\N	\N
41117	135	1994-07-22	VYDAJ	VYBER	4100	22455	\N	\N	\N
41118	135	1994-01-15	VYDAJ	VYBER	1400	22614	\N	\N	\N
41119	135	1995-12-08	VYDAJ	VYBER	3200	36810	\N	\N	\N
41120	135	1995-04-03	VYDAJ	VYBER	4600	27712	\N	\N	\N
41121	135	1995-02-28	VYDAJ	VYBER	500	30059	\N	\N	\N
41122	135	1995-11-30	VYDAJ	VYBER	4200	38125	\N	\N	\N
41123	135	1996-05-03	VYDAJ	VYBER	1900	42805	\N	\N	\N
41124	135	1996-08-21	VYDAJ	VYBER	2400	44719	\N	\N	\N
41125	135	1996-02-28	VYDAJ	VYBER	3900	41605	\N	\N	\N
41126	135	1996-04-26	VYDAJ	VYBER	2200	47630	\N	\N	\N
41127	135	1997-12-09	VYDAJ	VYBER	4300	43311	\N	\N	\N
41128	135	1997-12-16	VYDAJ	VYBER	3800	46187	\N	\N	\N
41129	135	1997-01-12	VYDAJ	VYBER	3200	36761	\N	\N	\N
41130	135	1997-02-22	VYDAJ	VYBER	1900	36952	\N	\N	\N
41131	135	1997-09-05	VYDAJ	VYBER	700	36791	\N	\N	\N
41132	135	1997-09-25	VYDAJ	VYBER	1900	39242	\N	\N	\N
41133	135	1998-10-21	VYDAJ	VYBER	4000	64955	\N	\N	\N
41134	135	1998-04-21	VYDAJ	VYBER	2000	63386	\N	\N	\N
41135	135	1998-05-19	VYDAJ	VYBER	600	67479	\N	\N	\N
41136	135	1998-08-26	VYDAJ	VYBER	4300	67906	\N	\N	\N
41137	135	1998-11-05	VYDAJ	VYBER	4500	60721	\N	\N	\N
41149	135	1993-11-30	VYDAJ	VYBER	15	25890	SLUZBY	\N	\N
41150	135	1993-12-31	VYDAJ	VYBER	15	27063	SLUZBY	\N	\N
41151	135	1994-01-31	VYDAJ	VYBER	15	16192	SLUZBY	\N	\N
41152	135	1994-02-28	VYDAJ	VYBER	15	24118	SLUZBY	\N	\N
41153	135	1994-03-31	VYDAJ	VYBER	15	29369	SLUZBY	\N	\N
41154	135	1994-04-30	VYDAJ	VYBER	15	24413	SLUZBY	\N	\N
41155	135	1994-05-31	VYDAJ	VYBER	15	24551	SLUZBY	\N	\N
41156	135	1994-06-30	VYDAJ	VYBER	15	26104	SLUZBY	\N	\N
41157	135	1994-07-31	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
41158	135	1994-08-31	VYDAJ	VYBER	15	29496	SLUZBY	\N	\N
41159	135	1994-09-30	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
41160	135	1994-10-31	VYDAJ	VYBER	15	32331	SLUZBY	\N	\N
41161	135	1994-11-30	VYDAJ	VYBER	15	31399	SLUZBY	\N	\N
41162	135	1994-12-31	VYDAJ	VYBER	15	36909	SLUZBY	\N	\N
41163	135	1995-01-31	VYDAJ	VYBER	15	27785	SLUZBY	\N	\N
41164	135	1995-02-28	VYDAJ	VYBER	15	30044	SLUZBY	\N	\N
41165	135	1995-03-31	VYDAJ	VYBER	15	32312	SLUZBY	\N	\N
41166	135	1995-04-30	VYDAJ	VYBER	15	29771	SLUZBY	\N	\N
41167	135	1995-05-31	VYDAJ	VYBER	15	32439	SLUZBY	\N	\N
41168	135	1995-06-30	VYDAJ	VYBER	15	25041	SLUZBY	\N	\N
41169	135	1995-07-31	VYDAJ	VYBER	15	31500	SLUZBY	\N	\N
41170	135	1995-08-31	VYDAJ	VYBER	15	38588	SLUZBY	\N	\N
41171	135	1995-09-30	VYDAJ	VYBER	15	41593	SLUZBY	\N	\N
41172	135	1995-10-31	VYDAJ	VYBER	15	41201	SLUZBY	\N	\N
41173	135	1995-11-30	VYDAJ	VYBER	15	38110	SLUZBY	\N	\N
41174	135	1995-12-31	VYDAJ	VYBER	15	41941	SLUZBY	\N	\N
41175	135	1996-01-31	VYDAJ	VYBER	15	41054	SLUZBY	\N	\N
41176	135	1996-02-29	VYDAJ	VYBER	15	41761	SLUZBY	\N	\N
41177	135	1996-03-31	VYDAJ	VYBER	15	45379	SLUZBY	\N	\N
41178	135	1996-04-30	VYDAJ	VYBER	15	47805	SLUZBY	\N	\N
41179	135	1996-05-31	VYDAJ	VYBER	15	46538	SLUZBY	\N	\N
41180	135	1996-06-30	VYDAJ	VYBER	15	40264	SLUZBY	\N	\N
41181	135	1996-07-31	VYDAJ	VYBER	15	42668	SLUZBY	\N	\N
41182	135	1996-08-31	VYDAJ	VYBER	15	44284	SLUZBY	\N	\N
41183	135	1996-09-30	VYDAJ	VYBER	15	45904	SLUZBY	\N	\N
41184	135	1996-10-31	VYDAJ	VYBER	15	46731	SLUZBY	\N	\N
41185	135	1996-11-30	VYDAJ	VYBER	15	43859	SLUZBY	\N	\N
41186	135	1996-12-31	VYDAJ	VYBER	15	42110	SLUZBY	\N	\N
41187	135	1997-01-31	VYDAJ	VYBER	15	34401	SLUZBY	\N	\N
41188	135	1997-02-28	VYDAJ	VYBER	15	37181	SLUZBY	\N	\N
41189	135	1997-03-31	VYDAJ	VYBER	15	39372	SLUZBY	\N	\N
41190	135	1997-04-30	VYDAJ	VYBER	15	40372	SLUZBY	\N	\N
41191	135	1997-05-31	VYDAJ	VYBER	15	39273	SLUZBY	\N	\N
41192	135	1997-06-30	VYDAJ	VYBER	15	20792	SLUZBY	\N	\N
41193	135	1997-07-31	VYDAJ	VYBER	15	30122	SLUZBY	\N	\N
41194	135	1997-08-31	VYDAJ	VYBER	15	37491	SLUZBY	\N	\N
41195	135	1997-09-30	VYDAJ	VYBER	15	39390	SLUZBY	\N	\N
41196	135	1997-10-31	VYDAJ	VYBER	15	42792	SLUZBY	\N	\N
41197	135	1997-11-30	VYDAJ	VYBER	15	47611	SLUZBY	\N	\N
41198	135	1997-12-31	VYDAJ	VYBER	15	48770	SLUZBY	\N	\N
41199	135	1998-01-31	VYDAJ	VYBER	15	48711	SLUZBY	\N	\N
41200	135	1998-02-28	VYDAJ	VYBER	15	56759	SLUZBY	\N	\N
41201	135	1998-03-31	VYDAJ	VYBER	15	61635	SLUZBY	\N	\N
41202	135	1998-04-30	VYDAJ	VYBER	15	63628	SLUZBY	\N	\N
41203	135	1998-05-31	VYDAJ	VYBER	15	65029	SLUZBY	\N	\N
41204	135	1998-06-30	VYDAJ	VYBER	15	63544	SLUZBY	\N	\N
41205	135	1998-07-31	VYDAJ	VYBER	15	71455	SLUZBY	\N	\N
41206	135	1998-08-31	VYDAJ	VYBER	15	68184	SLUZBY	\N	\N
41207	135	1998-09-30	VYDAJ	VYBER	15	70504	SLUZBY	\N	\N
41208	135	1998-10-31	VYDAJ	VYBER	15	65221	SLUZBY	\N	\N
41209	135	1998-11-30	VYDAJ	VYBER	15	68431	SLUZBY	\N	\N
41210	135	1993-07-15	PRIJEM	VKLAD	9200	14351	\N	\N	\N
41211	135	1993-08-14	PRIJEM	VKLAD	4800	23635	\N	\N	\N
41212	135	1993-09-13	PRIJEM	VKLAD	200	28368	\N	\N	\N
41213	135	1993-10-13	VYDAJ	VYBER	6000	26929	\N	\N	\N
41214	135	1993-11-12	VYDAJ	VYBER	5700	25795	\N	\N	\N
41215	135	1993-12-12	VYDAJ	VYBER	4700	27866	\N	\N	\N
41216	135	1994-01-11	VYDAJ	VYBER	200	26614	\N	\N	\N
41217	135	1994-02-10	PRIJEM	VKLAD	3400	24043	\N	\N	\N
41218	135	1994-03-12	PRIJEM	VKLAD	700	29269	\N	\N	\N
41219	135	1994-04-11	PRIJEM	VKLAD	800	25320	\N	\N	\N
41220	135	1994-05-11	VYDAJ	VYBER	1500	24464	\N	\N	\N
41221	135	1994-06-10	PRIJEM	VKLAD	5400	26027	\N	\N	\N
41222	135	1994-07-10	VYDAJ	VYBER	4000	26555	\N	\N	\N
41223	135	1994-08-09	PRIJEM	VKLAD	2400	24945	\N	\N	\N
41224	135	1994-09-08	VYDAJ	VYBER	2400	27096	\N	\N	\N
41225	135	1994-10-08	VYDAJ	VYBER	3900	27761	\N	\N	\N
41226	135	1994-11-07	VYDAJ	VYBER	5500	26831	\N	\N	\N
41227	135	1994-12-07	VYDAJ	VYBER	200	31199	\N	\N	\N
41228	135	1995-01-06	VYDAJ	VYBER	3500	31709	\N	\N	\N
41229	135	1995-02-05	VYDAJ	VYBER	1800	25985	\N	\N	\N
41230	135	1995-03-07	VYDAJ	VYBER	2300	27744	\N	\N	\N
41231	135	1995-04-06	VYDAJ	VYBER	2500	25212	\N	\N	\N
41232	135	1995-05-06	VYDAJ	VYBER	1900	27871	\N	\N	\N
41233	135	1995-06-05	PRIJEM	VKLAD	300	32739	\N	\N	\N
41234	135	1995-07-05	PRIJEM	VKLAD	1900	26941	\N	\N	\N
41235	135	1995-08-04	PRIJEM	VKLAD	2500	34000	\N	\N	\N
41236	135	1995-09-03	VYDAJ	VYBER	1600	36988	\N	\N	\N
41237	135	1995-10-03	VYDAJ	VYBER	5000	36593	\N	\N	\N
41238	135	1995-11-02	VYDAJ	VYBER	3500	37701	\N	\N	\N
41239	135	1995-12-02	PRIJEM	VKLAD	1900	40010	\N	\N	\N
41240	135	1996-01-01	PRIJEM	VKLAD	1300	43241	\N	\N	\N
41241	135	1996-01-31	PRIJEM	VKLAD	4600	41069	\N	\N	\N
41242	135	1996-03-01	VYDAJ	VYBER	1500	40261	\N	\N	\N
41243	135	1996-03-31	PRIJEM	VKLAD	500	45212	\N	\N	\N
41244	135	1996-04-30	VYDAJ	VYBER	3100	44705	\N	\N	\N
41245	135	1996-05-30	VYDAJ	VYBER	900	46356	\N	\N	\N
41246	135	1996-06-29	PRIJEM	VKLAD	3500	40114	\N	\N	\N
41247	135	1996-07-29	VYDAJ	VYBER	2200	42515	\N	\N	\N
41248	135	1996-08-28	VYDAJ	VYBER	600	44119	\N	\N	\N
41249	135	1996-09-27	VYDAJ	VYBER	3000	45735	\N	\N	\N
41250	135	1996-10-27	VYDAJ	VYBER	3800	46555	\N	\N	\N
41251	135	1996-11-26	VYDAJ	VYBER	7500	43682	\N	\N	\N
41252	135	1996-12-26	VYDAJ	VYBER	8000	41935	\N	\N	\N
41253	135	1997-01-25	PRIJEM	VKLAD	1900	34261	\N	\N	\N
41254	135	1997-02-24	PRIJEM	VKLAD	100	37052	\N	\N	\N
41255	135	1997-03-26	VYDAJ	VYBER	2400	39232	\N	\N	\N
41256	135	1997-04-25	VYDAJ	VYBER	3600	40223	\N	\N	\N
41257	135	1997-05-25	VYDAJ	VYBER	5700	39123	\N	\N	\N
41258	135	1997-06-24	VYDAJ	VYBER	600	45349	\N	\N	\N
41259	135	1997-07-24	PRIJEM	VKLAD	4800	30043	\N	\N	\N
41260	135	1997-08-23	PRIJEM	VKLAD	2800	37373	\N	\N	\N
41261	135	1997-09-22	VYDAJ	VYBER	100	41142	\N	\N	\N
41262	135	1997-10-22	VYDAJ	VYBER	1200	42641	\N	\N	\N
41263	135	1997-11-21	PRIJEM	VKLAD	200	47443	\N	\N	\N
41264	135	1997-12-21	PRIJEM	VKLAD	3100	48587	\N	\N	\N
41265	135	1998-01-20	PRIJEM	VKLAD	5700	53721	\N	\N	\N
41266	135	1998-02-19	PRIJEM	VKLAD	3400	56562	\N	\N	\N
41267	135	1998-03-21	PRIJEM	VKLAD	200	61410	\N	\N	\N
41268	135	1998-04-20	VYDAJ	VYBER	700	65386	\N	\N	\N
41269	135	1998-05-20	VYDAJ	VYBER	2700	64779	\N	\N	\N
41270	135	1998-06-19	PRIJEM	VKLAD	6500	63305	\N	\N	\N
41271	135	1998-07-19	PRIJEM	VKLAD	3200	71195	\N	\N	\N
41272	135	1998-08-18	VYDAJ	VYBER	3700	72206	\N	\N	\N
41273	135	1998-09-17	VYDAJ	VYBER	2400	70235	\N	\N	\N
41274	135	1998-10-17	VYDAJ	VYBER	6000	68955	\N	\N	\N
41275	135	1998-11-16	PRIJEM	VKLAD	3000	68172	\N	\N	\N
41342	136	1996-05-14	PRIJEM	VKLAD	600	600	\N	\N	\N
41348	136	1996-06-11	PRIJEM	PREVOD Z UCTU	6378	6978	DUCHOD	OP	11218095
41349	136	1996-07-11	PRIJEM	PREVOD Z UCTU	6378	13356	DUCHOD	OP	11218095
41350	136	1996-08-11	PRIJEM	PREVOD Z UCTU	6378	19734	DUCHOD	OP	11218095
41351	136	1996-09-11	PRIJEM	PREVOD Z UCTU	6378	26112	DUCHOD	OP	11218095
41352	136	1996-10-11	PRIJEM	PREVOD Z UCTU	6378	32061	DUCHOD	OP	11218095
41353	136	1996-11-11	PRIJEM	PREVOD Z UCTU	6378	25699	DUCHOD	OP	11218095
41354	136	1996-12-11	PRIJEM	PREVOD Z UCTU	6378	27787	DUCHOD	OP	11218095
41355	136	1997-01-11	PRIJEM	PREVOD Z UCTU	6378	27809	DUCHOD	OP	11218095
41356	136	1997-02-11	PRIJEM	PREVOD Z UCTU	6378	25469	DUCHOD	OP	11218095
41357	136	1997-03-11	PRIJEM	PREVOD Z UCTU	6378	25101	DUCHOD	OP	11218095
41358	136	1997-04-11	PRIJEM	PREVOD Z UCTU	6378	24636	DUCHOD	OP	11218095
41359	136	1997-05-11	PRIJEM	PREVOD Z UCTU	6378	20069	DUCHOD	OP	11218095
41360	136	1997-06-11	PRIJEM	PREVOD Z UCTU	6378	17988	DUCHOD	OP	11218095
41361	136	1997-07-11	PRIJEM	PREVOD Z UCTU	6378	21493	DUCHOD	OP	11218095
41362	136	1997-08-11	PRIJEM	PREVOD Z UCTU	6378	17410	DUCHOD	OP	11218095
41363	136	1997-09-11	PRIJEM	PREVOD Z UCTU	6378	16715	DUCHOD	OP	11218095
41364	136	1997-10-11	PRIJEM	PREVOD Z UCTU	6378	17813	DUCHOD	OP	11218095
41365	136	1997-11-11	PRIJEM	PREVOD Z UCTU	6378	18014	DUCHOD	OP	11218095
41366	136	1997-12-11	PRIJEM	PREVOD Z UCTU	6378	14717	DUCHOD	OP	11218095
41367	136	1998-01-11	PRIJEM	PREVOD Z UCTU	6378	16229	DUCHOD	OP	11218095
41368	136	1998-02-11	PRIJEM	PREVOD Z UCTU	6378	16597	DUCHOD	OP	11218095
41369	136	1998-03-11	PRIJEM	PREVOD Z UCTU	6378	18692	DUCHOD	OP	11218095
41370	136	1998-04-11	PRIJEM	PREVOD Z UCTU	6378	21796	DUCHOD	OP	11218095
41371	136	1998-05-11	PRIJEM	PREVOD Z UCTU	6378	23113	DUCHOD	OP	11218095
41372	136	1998-06-11	PRIJEM	PREVOD Z UCTU	6378	23636	DUCHOD	OP	11218095
41373	136	1998-07-11	PRIJEM	PREVOD Z UCTU	6378	24262	DUCHOD	OP	11218095
41374	136	1998-08-11	PRIJEM	PREVOD Z UCTU	6378	26288	DUCHOD	OP	11218095
41375	136	1998-09-11	PRIJEM	PREVOD Z UCTU	6378	29024	DUCHOD	OP	11218095
41376	136	1998-10-11	PRIJEM	PREVOD Z UCTU	6378	32170	DUCHOD	OP	11218095
41377	136	1998-11-11	PRIJEM	PREVOD Z UCTU	6378	31124	DUCHOD	OP	11218095
41378	136	1998-12-11	PRIJEM	PREVOD Z UCTU	6378	27980	DUCHOD	OP	11218095
41389	136	1996-11-07	VYDAJ	PREVOD NA UCET	2932	22721	SIPO	MN	78733890
41390	136	1996-12-07	VYDAJ	PREVOD NA UCET	2932	21409	SIPO	MN	78733890
41391	136	1997-01-07	VYDAJ	PREVOD NA UCET	2932	22231	SIPO	MN	78733890
41392	136	1997-02-07	VYDAJ	PREVOD NA UCET	2932	19691	SIPO	MN	78733890
41393	136	1997-03-07	VYDAJ	PREVOD NA UCET	2932	22623	SIPO	MN	78733890
41394	136	1997-04-07	VYDAJ	PREVOD NA UCET	2932	22258	SIPO	MN	78733890
41395	136	1997-05-07	VYDAJ	PREVOD NA UCET	2932	21791	SIPO	MN	78733890
41396	136	1997-06-07	VYDAJ	PREVOD NA UCET	2932	17210	SIPO	MN	78733890
41397	136	1997-07-07	VYDAJ	PREVOD NA UCET	2932	15115	SIPO	MN	78733890
41398	136	1997-08-07	VYDAJ	PREVOD NA UCET	2932	11032	SIPO	MN	78733890
41399	136	1997-09-07	VYDAJ	PREVOD NA UCET	2932	10337	SIPO	MN	78733890
41400	136	1997-10-07	VYDAJ	PREVOD NA UCET	2932	11435	SIPO	MN	78733890
41401	136	1997-11-07	VYDAJ	PREVOD NA UCET	2932	11636	SIPO	MN	78733890
41402	136	1997-12-07	VYDAJ	PREVOD NA UCET	2932	8339	SIPO	MN	78733890
41403	136	1998-01-07	VYDAJ	PREVOD NA UCET	2932	9851	SIPO	MN	78733890
41404	136	1998-02-07	VYDAJ	PREVOD NA UCET	2932	10219	SIPO	MN	78733890
41405	136	1998-03-07	VYDAJ	PREVOD NA UCET	2932	12314	SIPO	MN	78733890
41406	136	1998-04-07	VYDAJ	PREVOD NA UCET	2932	15818	SIPO	MN	78733890
41407	136	1998-05-07	VYDAJ	PREVOD NA UCET	2932	16735	SIPO	MN	78733890
41408	136	1998-06-07	VYDAJ	PREVOD NA UCET	2932	17258	SIPO	MN	78733890
41409	136	1998-07-07	VYDAJ	PREVOD NA UCET	2932	17884	SIPO	MN	78733890
41410	136	1998-08-07	VYDAJ	PREVOD NA UCET	2932	19910	SIPO	MN	78733890
41411	136	1998-09-07	VYDAJ	PREVOD NA UCET	2932	22646	SIPO	MN	78733890
41412	136	1998-10-07	VYDAJ	PREVOD NA UCET	2932	25792	SIPO	MN	78733890
41413	136	1998-11-07	VYDAJ	PREVOD NA UCET	2932	24746	SIPO	MN	78733890
41414	136	1998-12-07	VYDAJ	PREVOD NA UCET	2932	25202	SIPO	MN	78733890
41415	136	1996-12-06	VYDAJ	VYBER	1450	24341	\N	\N	\N
41417	136	1998-12-11	VYDAJ	VYBER	1000	26980	\N	\N	\N
41424	136	1997-01-22	VYDAJ	VYBER	2000	25809	\N	\N	\N
41425	136	1997-01-05	VYDAJ	VYBER	880	26363	\N	\N	\N
41426	136	1997-01-27	VYDAJ	VYBER	1360	24449	\N	\N	\N
41427	136	1997-01-05	VYDAJ	VYBER	1200	25163	\N	\N	\N
41428	136	1997-01-30	VYDAJ	VYBER	1120	23329	\N	\N	\N
41429	136	1997-01-04	VYDAJ	VYBER	640	27243	\N	\N	\N
41431	136	1998-01-13	VYDAJ	VYBER	960	15269	\N	\N	\N
41432	136	1998-01-20	VYDAJ	VYBER	2160	13109	\N	\N	\N
41434	136	1998-01-04	VYDAJ	VYBER	1680	13083	\N	\N	\N
41440	136	1997-01-31	VYDAJ	VYBER	800	22637	\N	\N	\N
41441	136	1998-12-09	VYDAJ	VYBER	3600	21602	\N	\N	\N
41442	136	1998-07-02	VYDAJ	VYBER	800	22916	\N	\N	\N
41443	136	1998-10-17	VYDAJ	VYBER	2400	29770	\N	\N	\N
41444	136	1998-04-09	VYDAJ	VYBER	400	15418	\N	\N	\N
41455	136	1996-10-31	VYDAJ	VYBER	15	25653	SLUZBY	\N	\N
41456	136	1996-11-30	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
41457	136	1996-12-31	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
41458	136	1997-01-31	VYDAJ	VYBER	15	22623	SLUZBY	\N	\N
41459	136	1997-02-28	VYDAJ	VYBER	15	25555	SLUZBY	\N	\N
41460	136	1997-03-31	VYDAJ	VYBER	15	25190	SLUZBY	\N	\N
41461	136	1997-04-30	VYDAJ	VYBER	15	24723	SLUZBY	\N	\N
41462	136	1997-05-31	VYDAJ	VYBER	15	20142	SLUZBY	\N	\N
41463	136	1997-06-30	VYDAJ	VYBER	15	18047	SLUZBY	\N	\N
41464	136	1997-07-31	VYDAJ	VYBER	15	21564	SLUZBY	\N	\N
41465	136	1997-08-31	VYDAJ	VYBER	15	17469	SLUZBY	\N	\N
41466	136	1997-09-30	VYDAJ	VYBER	15	16767	SLUZBY	\N	\N
41467	136	1997-10-31	VYDAJ	VYBER	15	17868	SLUZBY	\N	\N
41468	136	1997-11-30	VYDAJ	VYBER	15	18071	SLUZBY	\N	\N
41469	136	1997-12-31	VYDAJ	VYBER	15	14763	SLUZBY	\N	\N
41470	136	1998-01-31	VYDAJ	VYBER	15	13151	SLUZBY	\N	\N
41471	136	1998-02-28	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
41472	136	1998-03-31	VYDAJ	VYBER	15	18750	SLUZBY	\N	\N
41473	136	1998-04-30	VYDAJ	VYBER	15	21867	SLUZBY	\N	\N
41474	136	1998-05-31	VYDAJ	VYBER	15	23190	SLUZBY	\N	\N
41475	136	1998-06-30	VYDAJ	VYBER	15	23716	SLUZBY	\N	\N
41476	136	1998-07-31	VYDAJ	VYBER	15	24342	SLUZBY	\N	\N
41477	136	1998-08-31	VYDAJ	VYBER	15	26378	SLUZBY	\N	\N
41478	136	1998-09-30	VYDAJ	VYBER	15	29124	SLUZBY	\N	\N
41479	136	1998-10-31	VYDAJ	VYBER	15	29878	SLUZBY	\N	\N
41480	136	1998-11-30	VYDAJ	VYBER	15	31234	SLUZBY	\N	\N
41481	136	1996-09-11	VYDAJ	VYBER	500	25612	\N	\N	\N
41482	136	1996-10-11	VYDAJ	VYBER	6500	25561	\N	\N	\N
41483	136	1996-11-10	VYDAJ	VYBER	3400	19321	\N	\N	\N
41484	136	1997-01-09	VYDAJ	VYBER	800	21431	\N	\N	\N
41485	136	1997-02-08	VYDAJ	VYBER	600	19091	\N	\N	\N
41486	136	1997-03-10	VYDAJ	VYBER	3900	18723	\N	\N	\N
41487	136	1997-04-09	VYDAJ	VYBER	4000	18258	\N	\N	\N
41488	136	1997-05-09	VYDAJ	VYBER	8100	13691	\N	\N	\N
41489	136	1997-06-08	VYDAJ	VYBER	5600	11610	\N	\N	\N
41490	136	1997-08-07	VYDAJ	VYBER	7600	13964	\N	\N	\N
41491	136	1997-09-06	VYDAJ	VYBER	4200	13269	\N	\N	\N
41492	136	1997-10-06	VYDAJ	VYBER	2400	14367	\N	\N	\N
41493	136	1997-11-05	VYDAJ	VYBER	3300	14568	\N	\N	\N
41494	136	1997-12-05	VYDAJ	VYBER	6800	11271	\N	\N	\N
41495	136	1998-01-04	VYDAJ	VYBER	300	12783	\N	\N	\N
41496	136	1998-03-05	VYDAJ	VYBER	1400	15246	\N	\N	\N
41497	136	1998-05-04	VYDAJ	VYBER	2200	19667	\N	\N	\N
41498	136	1998-06-03	VYDAJ	VYBER	3000	20190	\N	\N	\N
41499	136	1998-07-03	VYDAJ	VYBER	2100	20816	\N	\N	\N
41500	136	1998-08-02	VYDAJ	VYBER	1500	22842	\N	\N	\N
41501	136	1998-09-01	VYDAJ	VYBER	800	25578	\N	\N	\N
41502	136	1998-10-01	VYDAJ	VYBER	400	28724	\N	\N	\N
41503	136	1998-10-31	VYDAJ	VYBER	2200	27678	\N	\N	\N
41504	136	1998-11-30	VYDAJ	VYBER	3100	28134	\N	\N	\N
41533	137	1996-07-19	PRIJEM	VKLAD	900	900	\N	\N	\N
41541	137	1996-08-09	PRIJEM	VKLAD	23209	24109	\N	\N	\N
41542	137	1996-09-09	PRIJEM	VKLAD	23209	46662	\N	\N	\N
41543	137	1996-10-09	PRIJEM	VKLAD	23209	57991	\N	\N	\N
41544	137	1996-11-09	PRIJEM	VKLAD	23209	65359	\N	\N	\N
41545	137	1996-12-09	PRIJEM	VKLAD	34814	81958	\N	\N	\N
41546	137	1997-01-09	PRIJEM	VKLAD	23209	70933	\N	\N	\N
41547	137	1997-02-09	PRIJEM	VKLAD	23209	59420	\N	\N	\N
41548	137	1997-03-09	PRIJEM	VKLAD	23209	61949	\N	\N	\N
41549	137	1997-04-09	PRIJEM	VKLAD	23209	61585	\N	\N	\N
41550	137	1997-05-09	PRIJEM	VKLAD	23209	52390	\N	\N	\N
41551	137	1997-06-09	PRIJEM	VKLAD	34814	67500	\N	\N	\N
41552	137	1997-07-09	PRIJEM	VKLAD	23209	59524	\N	\N	\N
41553	137	1997-08-09	PRIJEM	VKLAD	23209	57798	\N	\N	\N
41554	137	1997-09-09	PRIJEM	VKLAD	23209	54501	\N	\N	\N
41555	137	1997-10-09	PRIJEM	VKLAD	23209	53394	\N	\N	\N
41556	137	1997-11-09	PRIJEM	VKLAD	23209	46328	\N	\N	\N
41557	137	1997-12-09	PRIJEM	VKLAD	34814	56989	\N	\N	\N
41558	137	1998-01-09	PRIJEM	VKLAD	23209	45099	\N	\N	\N
41559	137	1998-02-09	PRIJEM	VKLAD	23209	37723	\N	\N	\N
41560	137	1998-03-09	PRIJEM	VKLAD	23209	42756	\N	\N	\N
41561	137	1998-04-09	PRIJEM	VKLAD	23209	43302	\N	\N	\N
41562	137	1998-05-09	PRIJEM	VKLAD	23209	40710	\N	\N	\N
41563	137	1998-06-09	PRIJEM	VKLAD	34814	50444	\N	\N	\N
41564	137	1998-07-09	PRIJEM	VKLAD	23209	41041	\N	\N	\N
41565	137	1998-08-09	PRIJEM	VKLAD	23209	34584	\N	\N	\N
41566	137	1998-09-09	PRIJEM	VKLAD	23209	53648	\N	\N	\N
41567	137	1998-10-09	PRIJEM	VKLAD	23209	41990	\N	\N	\N
41568	137	1998-11-09	PRIJEM	VKLAD	23209	57156	\N	\N	\N
41569	137	1998-12-09	PRIJEM	VKLAD	34814	50159	\N	\N	\N
41582	137	1997-01-07	VYDAJ	PREVOD NA UCET	3464	47724	SIPO	GH	71138578
41583	137	1997-02-07	VYDAJ	PREVOD NA UCET	3464	36211	SIPO	GH	71138578
41584	137	1997-03-07	VYDAJ	PREVOD NA UCET	3464	38740	SIPO	GH	71138578
41585	137	1997-04-07	VYDAJ	PREVOD NA UCET	3464	38376	SIPO	GH	71138578
41586	137	1997-05-07	VYDAJ	PREVOD NA UCET	3464	29181	SIPO	GH	71138578
41587	137	1997-06-07	VYDAJ	PREVOD NA UCET	3464	32687	SIPO	GH	71138578
41588	137	1997-07-07	VYDAJ	PREVOD NA UCET	3464	36315	SIPO	GH	71138578
41589	137	1997-08-07	VYDAJ	PREVOD NA UCET	3464	34589	SIPO	GH	71138578
41590	137	1997-09-07	VYDAJ	PREVOD NA UCET	3464	31292	SIPO	GH	71138578
41591	137	1997-10-07	VYDAJ	PREVOD NA UCET	3464	30185	SIPO	GH	71138578
41592	137	1997-11-07	VYDAJ	PREVOD NA UCET	3464	23119	SIPO	GH	71138578
41593	137	1997-12-07	VYDAJ	PREVOD NA UCET	3464	22176	SIPO	GH	71138578
41594	137	1998-01-07	VYDAJ	PREVOD NA UCET	3464	22850	SIPO	GH	71138578
41595	137	1998-02-07	VYDAJ	PREVOD NA UCET	3464	14514	SIPO	GH	71138578
41596	137	1998-03-07	VYDAJ	PREVOD NA UCET	3464	19547	SIPO	GH	71138578
41597	137	1998-04-07	VYDAJ	PREVOD NA UCET	3464	20093	SIPO	GH	71138578
41598	137	1998-05-07	VYDAJ	PREVOD NA UCET	3464	17501	SIPO	GH	71138578
41599	137	1998-06-07	VYDAJ	PREVOD NA UCET	3464	15631	SIPO	GH	71138578
41600	137	1998-07-07	VYDAJ	PREVOD NA UCET	3464	17832	SIPO	GH	71138578
41601	137	1998-08-07	VYDAJ	PREVOD NA UCET	3464	11375	SIPO	GH	71138578
41602	137	1998-09-07	VYDAJ	PREVOD NA UCET	3464	30439	SIPO	GH	71138578
41603	137	1998-10-07	VYDAJ	PREVOD NA UCET	3464	49581	SIPO	GH	71138578
41604	137	1998-11-07	VYDAJ	PREVOD NA UCET	3464	33947	SIPO	GH	71138578
41605	137	1998-12-07	VYDAJ	PREVOD NA UCET	3464	15346	SIPO	GH	71138578
41617	137	1996-12-11	VYDAJ	PREVOD NA UCET	787	81171	 	UV	34738314
41618	137	1997-01-11	VYDAJ	PREVOD NA UCET	787	67266	 	UV	34738314
41619	137	1997-02-11	VYDAJ	PREVOD NA UCET	787	58633	 	UV	34738314
41620	137	1997-03-11	VYDAJ	PREVOD NA UCET	787	61162	 	UV	34738314
41621	137	1997-04-11	VYDAJ	PREVOD NA UCET	787	60798	 	UV	34738314
41622	137	1997-05-11	VYDAJ	PREVOD NA UCET	787	51603	 	UV	34738314
41623	137	1997-06-11	VYDAJ	PREVOD NA UCET	787	66713	 	UV	34738314
41624	137	1997-07-11	VYDAJ	PREVOD NA UCET	787	53697	 	UV	34738314
41625	137	1997-08-11	VYDAJ	PREVOD NA UCET	787	57011	 	UV	34738314
41626	137	1997-09-11	VYDAJ	PREVOD NA UCET	787	53714	 	UV	34738314
41627	137	1997-10-11	VYDAJ	PREVOD NA UCET	787	52607	 	UV	34738314
41628	137	1997-11-11	VYDAJ	PREVOD NA UCET	787	45541	 	UV	34738314
41629	137	1997-12-11	VYDAJ	PREVOD NA UCET	787	56202	 	UV	34738314
41630	137	1998-01-11	VYDAJ	PREVOD NA UCET	787	26412	 	UV	34738314
41631	137	1998-02-11	VYDAJ	PREVOD NA UCET	787	22936	 	UV	34738314
41632	137	1998-03-11	VYDAJ	PREVOD NA UCET	787	41969	 	UV	34738314
41633	137	1998-04-11	VYDAJ	PREVOD NA UCET	787	26515	 	UV	34738314
41634	137	1998-05-11	VYDAJ	PREVOD NA UCET	787	19023	 	UV	34738314
41635	137	1998-06-11	VYDAJ	PREVOD NA UCET	787	22657	 	UV	34738314
41636	137	1998-07-11	VYDAJ	PREVOD NA UCET	787	16454	 	UV	34738314
41637	137	1998-08-11	VYDAJ	PREVOD NA UCET	787	33797	 	UV	34738314
41638	137	1998-09-11	VYDAJ	PREVOD NA UCET	787	52861	 	UV	34738314
41639	137	1998-10-11	VYDAJ	PREVOD NA UCET	787	41203	 	UV	34738314
41640	137	1998-11-11	VYDAJ	PREVOD NA UCET	787	56369	 	UV	34738314
41641	137	1998-12-11	VYDAJ	PREVOD NA UCET	787	49372	 	UV	34738314
41642	137	1996-12-23	VYDAJ	VYBER	1120	52651	\N	\N	\N
41643	137	1997-12-21	VYDAJ	VYBER	4160	27642	\N	\N	\N
41644	137	1998-12-05	VYDAJ	VYBER	1760	54810	\N	\N	\N
41651	137	1997-01-12	VYDAJ	VYBER	3000	64266	\N	\N	\N
41652	137	1997-01-13	VYDAJ	VYBER	3480	60786	\N	\N	\N
41653	137	1997-01-16	VYDAJ	VYBER	2640	42246	\N	\N	\N
41654	137	1997-01-29	VYDAJ	VYBER	2760	39486	\N	\N	\N
41655	137	1997-01-10	VYDAJ	VYBER	2880	68053	\N	\N	\N
41656	137	1997-01-01	VYDAJ	VYBER	1680	51188	\N	\N	\N
41657	137	1998-01-27	VYDAJ	VYBER	3480	18492	\N	\N	\N
41658	137	1998-01-22	VYDAJ	VYBER	1320	21972	\N	\N	\N
41659	137	1998-01-16	VYDAJ	VYBER	3120	23292	\N	\N	\N
41660	137	1998-01-08	VYDAJ	VYBER	960	21890	\N	\N	\N
41661	137	1998-01-28	VYDAJ	VYBER	600	17892	\N	\N	\N
41662	137	1998-01-01	VYDAJ	VYBER	1440	26314	\N	\N	\N
41669	137	1997-07-09	VYDAJ	VYBER	5040	54484	\N	\N	\N
41670	137	1997-10-20	VYDAJ	VYBER	2040	26467	\N	\N	\N
41671	137	1997-05-02	VYDAJ	VYBER	5520	32645	\N	\N	\N
41672	137	1998-11-06	VYDAJ	VYBER	3960	37411	\N	\N	\N
41673	137	1998-08-04	VYDAJ	VYBER	1680	14839	\N	\N	\N
41674	137	1998-04-17	VYDAJ	VYBER	2040	24475	\N	\N	\N
41675	137	1998-05-02	VYDAJ	VYBER	3600	20965	\N	\N	\N
41677	137	1998-06-11	VYDAJ	VYBER	1440	21217	\N	\N	\N
41690	137	1996-12-31	VYDAJ	VYBER	15	52868	SLUZBY	\N	\N
41691	137	1997-01-31	VYDAJ	VYBER	15	39675	SLUZBY	\N	\N
41692	137	1997-02-28	VYDAJ	VYBER	15	42204	SLUZBY	\N	\N
41693	137	1997-03-31	VYDAJ	VYBER	15	41840	SLUZBY	\N	\N
41694	137	1997-04-30	VYDAJ	VYBER	15	38165	SLUZBY	\N	\N
41695	137	1997-05-31	VYDAJ	VYBER	15	36151	SLUZBY	\N	\N
41696	137	1997-06-30	VYDAJ	VYBER	15	39779	SLUZBY	\N	\N
41697	137	1997-07-31	VYDAJ	VYBER	15	38053	SLUZBY	\N	\N
41698	137	1997-08-31	VYDAJ	VYBER	15	34756	SLUZBY	\N	\N
41699	137	1997-09-30	VYDAJ	VYBER	15	33649	SLUZBY	\N	\N
41700	137	1997-10-31	VYDAJ	VYBER	15	26583	SLUZBY	\N	\N
41701	137	1997-11-30	VYDAJ	VYBER	15	25640	SLUZBY	\N	\N
41702	137	1997-12-31	VYDAJ	VYBER	15	27754	SLUZBY	\N	\N
41703	137	1998-01-31	VYDAJ	VYBER	15	17978	SLUZBY	\N	\N
41704	137	1998-02-28	VYDAJ	VYBER	15	23011	SLUZBY	\N	\N
41705	137	1998-03-31	VYDAJ	VYBER	15	23557	SLUZBY	\N	\N
41706	137	1998-04-30	VYDAJ	VYBER	15	24565	SLUZBY	\N	\N
41707	137	1998-05-31	VYDAJ	VYBER	15	19095	SLUZBY	\N	\N
41708	137	1998-06-30	VYDAJ	VYBER	15	21296	SLUZBY	\N	\N
41709	137	1998-07-31	VYDAJ	VYBER	15	16519	SLUZBY	\N	\N
41710	137	1998-08-31	VYDAJ	VYBER	15	33903	SLUZBY	\N	\N
41711	137	1998-09-30	VYDAJ	VYBER	15	53045	SLUZBY	\N	\N
41712	137	1998-10-31	VYDAJ	VYBER	15	41371	SLUZBY	\N	\N
41713	137	1998-11-30	VYDAJ	VYBER	15	56570	SLUZBY	\N	\N
41714	137	1996-08-18	VYDAJ	VYBER	700	23409	\N	\N	\N
41715	137	1996-09-17	VYDAJ	VYBER	12000	34662	\N	\N	\N
41716	137	1996-10-17	VYDAJ	VYBER	16000	41991	\N	\N	\N
41717	137	1996-11-16	VYDAJ	VYBER	18400	46959	\N	\N	\N
41718	137	1996-12-16	VYDAJ	VYBER	27400	53771	\N	\N	\N
41719	137	1997-01-15	VYDAJ	VYBER	15900	44886	\N	\N	\N
41720	137	1997-02-14	VYDAJ	VYBER	16600	42033	\N	\N	\N
41721	137	1997-03-16	VYDAJ	VYBER	19500	41662	\N	\N	\N
41722	137	1997-04-15	VYDAJ	VYBER	22800	37998	\N	\N	\N
41723	137	1997-05-15	VYDAJ	VYBER	15600	36003	\N	\N	\N
41724	137	1997-06-14	VYDAJ	VYBER	27100	39613	\N	\N	\N
41725	137	1997-07-14	VYDAJ	VYBER	15800	37897	\N	\N	\N
41726	137	1997-08-13	VYDAJ	VYBER	22400	34611	\N	\N	\N
41727	137	1997-09-12	VYDAJ	VYBER	20200	33514	\N	\N	\N
41728	137	1997-10-12	VYDAJ	VYBER	24100	28507	\N	\N	\N
41729	137	1997-11-11	VYDAJ	VYBER	20000	25541	\N	\N	\N
41730	137	1997-12-11	VYDAJ	VYBER	24400	31802	\N	\N	\N
41731	137	1998-01-10	VYDAJ	VYBER	17900	27199	\N	\N	\N
41732	137	1998-02-09	VYDAJ	VYBER	14000	23723	\N	\N	\N
41733	137	1998-03-11	VYDAJ	VYBER	18500	23469	\N	\N	\N
41734	137	1998-04-10	VYDAJ	VYBER	16000	27302	\N	\N	\N
41735	137	1998-05-10	VYDAJ	VYBER	20900	19810	\N	\N	\N
41736	137	1998-06-09	VYDAJ	VYBER	27000	23444	\N	\N	\N
41737	137	1998-07-09	VYDAJ	VYBER	23800	17241	\N	\N	\N
41738	137	1998-10-07	VYDAJ	VYBER	30800	18781	\N	\N	\N
41739	137	1998-12-06	VYDAJ	VYBER	36000	18810	\N	\N	\N
41769	138	1995-09-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
41871	138	1995-10-19	PRIJEM	VKLAD	11200	12300	\N	\N	\N
41872	138	1995-11-18	PRIJEM	VKLAD	6200	18500	\N	\N	\N
41873	138	1995-12-18	VYDAJ	VYBER	1300	17200	\N	\N	\N
41874	138	1996-01-17	PRIJEM	VKLAD	2700	19900	\N	\N	\N
41875	138	1996-02-16	VYDAJ	VYBER	1400	18500	\N	\N	\N
41876	138	1996-03-17	PRIJEM	VKLAD	1100	19600	\N	\N	\N
41877	138	1996-04-16	PRIJEM	VKLAD	1000	20600	\N	\N	\N
41878	138	1996-05-16	PRIJEM	VKLAD	100	20700	\N	\N	\N
41879	138	1996-06-15	VYDAJ	VYBER	2700	18000	\N	\N	\N
41880	138	1996-07-15	VYDAJ	VYBER	700	17300	\N	\N	\N
41881	138	1996-08-14	VYDAJ	VYBER	2800	14500	\N	\N	\N
41882	138	1996-09-13	VYDAJ	VYBER	4700	9800	\N	\N	\N
41883	138	1996-10-13	PRIJEM	VKLAD	1000	10800	\N	\N	\N
41884	138	1996-11-12	VYDAJ	VYBER	800	10000	\N	\N	\N
41885	138	1996-12-12	PRIJEM	VKLAD	800	10800	\N	\N	\N
41886	138	1998-05-06	VYDAJ	VYBER	200	10600	\N	\N	\N
41887	138	1998-06-05	PRIJEM	VKLAD	900	11500	\N	\N	\N
41888	138	1998-07-05	PRIJEM	VKLAD	4100	15600	\N	\N	\N
41889	138	1998-08-04	PRIJEM	VKLAD	3000	18600	\N	\N	\N
41890	138	1998-09-03	PRIJEM	VKLAD	1000	19600	\N	\N	\N
41891	138	1998-10-03	VYDAJ	VYBER	1800	17800	\N	\N	\N
41892	138	1998-11-02	PRIJEM	VKLAD	2300	20100	\N	\N	\N
41893	138	1998-12-02	PRIJEM	VKLAD	1100	21200	\N	\N	\N
41894	139	1997-05-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
41900	139	1997-06-13	PRIJEM	PREVOD Z UCTU	49167	50167	\N	UV	88434290
41901	139	1997-07-13	PRIJEM	PREVOD Z UCTU	32778	71436	\N	UV	88434290
41902	139	1997-08-13	PRIJEM	PREVOD Z UCTU	32778	76086	\N	UV	88434290
42125	140	1996-11-22	VYDAJ	VYBER	900	17927	\N	\N	\N
41903	139	1997-09-13	PRIJEM	PREVOD Z UCTU	32778	70528	\N	UV	88434290
41904	139	1997-10-13	PRIJEM	PREVOD Z UCTU	32778	82009	\N	UV	88434290
41905	139	1997-11-13	PRIJEM	PREVOD Z UCTU	32778	81048	\N	UV	88434290
41906	139	1997-12-13	PRIJEM	PREVOD Z UCTU	49167	88778	\N	UV	88434290
41907	139	1998-01-13	PRIJEM	PREVOD Z UCTU	32778	73040	\N	UV	88434290
41908	139	1998-02-13	PRIJEM	PREVOD Z UCTU	32778	48795	\N	UV	88434290
41909	139	1998-03-13	PRIJEM	PREVOD Z UCTU	32778	54921	\N	UV	88434290
41910	139	1998-04-13	PRIJEM	PREVOD Z UCTU	32778	73157	\N	UV	88434290
41911	139	1998-05-13	PRIJEM	PREVOD Z UCTU	32778	81380	\N	UV	88434290
41912	139	1998-06-13	PRIJEM	PREVOD Z UCTU	49167	88524	\N	UV	88434290
41913	139	1998-07-13	PRIJEM	PREVOD Z UCTU	32778	86518	\N	UV	88434290
41914	139	1998-08-13	PRIJEM	PREVOD Z UCTU	32778	73662	\N	UV	88434290
41915	139	1998-09-13	PRIJEM	PREVOD Z UCTU	32778	81998	\N	UV	88434290
41916	139	1998-10-13	PRIJEM	PREVOD Z UCTU	32778	79774	\N	UV	88434290
41917	139	1998-11-13	PRIJEM	PREVOD Z UCTU	32778	57524	\N	UV	88434290
41918	139	1998-12-13	PRIJEM	PREVOD Z UCTU	49167	67705	\N	UV	88434290
41919	139	1997-12-22	VYBER	VYBER	11394	77384	\N	\N	\N
41922	139	1997-11-08	VYBER	VYBER	4332	77970	\N	\N	\N
41923	139	1997-11-26	VYBER	VYBER	15222	63726	\N	\N	\N
41932	139	1998-08-04	VYBER	VYBER	17348	60784	\N	\N	\N
41933	139	1998-02-19	VYBER	VYBER	19384	29411	\N	\N	\N
41934	139	1998-12-20	VYBER	VYBER	9410	58295	\N	\N	\N
41935	139	1998-06-09	VYBER	VYBER	21493	60183	\N	\N	\N
41936	139	1998-11-09	VYBER	VYBER	23334	24746	\N	\N	\N
41937	139	1998-11-20	VYBER	VYBER	9222	27013	\N	\N	\N
41938	139	1998-11-27	VYBER	VYBER	8628	18385	\N	\N	\N
41939	139	1998-06-10	VYBER	VYBER	2526	39357	\N	\N	\N
41940	139	1998-11-16	VYBER	VYBER	21289	36235	\N	\N	\N
41941	139	1998-01-19	VYBER	VYBER	13751	47289	\N	\N	\N
41942	139	1998-06-17	VYBER	VYBER	2785	85739	\N	\N	\N
41943	139	1998-02-12	VYBER	VYBER	13485	16017	\N	\N	\N
41944	139	1997-12-06	VYDAJ	VYBER	6300	57711	\N	\N	\N
41945	139	1998-12-21	VYDAJ	VYBER	4200	54095	\N	\N	\N
41952	139	1998-01-23	VYDAJ	VYBER	1800	45489	\N	\N	\N
41953	139	1998-01-01	VYDAJ	VYBER	4200	73462	\N	\N	\N
41954	139	1998-01-15	VYDAJ	VYBER	3900	69140	\N	\N	\N
41955	139	1998-01-30	VYDAJ	VYBER	1500	43989	\N	\N	\N
41956	139	1998-01-18	VYDAJ	VYBER	8100	61040	\N	\N	\N
41957	139	1998-01-08	VYDAJ	VYBER	5100	68362	\N	\N	\N
41961	139	1997-11-14	VYDAJ	VYBER	2100	78948	\N	\N	\N
41962	139	1998-08-08	VYDAJ	VYBER	2100	40884	\N	\N	\N
41963	139	1998-07-17	VYDAJ	VYBER	5400	81118	\N	\N	\N
41964	139	1998-07-21	VYDAJ	VYBER	3300	77818	\N	\N	\N
41975	139	1997-10-31	VYDAJ	VYBER	30	82302	SLUZBY	\N	\N
41976	139	1997-11-30	VYDAJ	VYBER	30	64011	SLUZBY	\N	\N
41977	139	1997-12-31	VYDAJ	VYBER	30	77662	SLUZBY	\N	\N
41978	139	1998-01-31	VYDAJ	VYBER	30	44202	SLUZBY	\N	\N
41979	139	1998-02-28	VYDAJ	VYBER	30	29543	SLUZBY	\N	\N
41980	139	1998-03-31	VYDAJ	VYBER	30	55079	SLUZBY	\N	\N
41981	139	1998-04-30	VYDAJ	VYBER	30	73402	SLUZBY	\N	\N
41982	139	1998-05-31	VYDAJ	VYBER	30	81676	SLUZBY	\N	\N
41983	139	1998-06-30	VYDAJ	VYBER	30	86040	SLUZBY	\N	\N
41984	139	1998-07-31	VYDAJ	VYBER	30	78132	SLUZBY	\N	\N
41985	139	1998-08-31	VYDAJ	VYBER	30	73920	SLUZBY	\N	\N
41986	139	1998-09-30	VYDAJ	VYBER	30	82296	SLUZBY	\N	\N
41987	139	1998-10-31	VYDAJ	VYBER	30	80080	SLUZBY	\N	\N
41988	139	1998-11-30	VYDAJ	VYBER	30	18538	SLUZBY	\N	\N
41989	139	1997-06-14	VYDAJ	VYBER	11600	38567	\N	\N	\N
41990	139	1997-07-14	VYDAJ	VYBER	28300	43136	\N	\N	\N
41991	139	1997-08-13	VYDAJ	VYBER	26600	49486	\N	\N	\N
41992	139	1997-09-12	VYDAJ	VYBER	12000	37750	\N	\N	\N
41993	139	1997-10-12	VYDAJ	VYBER	21600	49231	\N	\N	\N
41994	139	1997-11-11	VYDAJ	VYBER	29700	48270	\N	\N	\N
41995	139	1997-12-11	VYDAJ	VYBER	18100	39611	\N	\N	\N
41996	139	1998-01-10	VYDAJ	VYBER	28100	40262	\N	\N	\N
41997	139	1998-02-09	VYDAJ	VYBER	14700	29502	\N	\N	\N
41998	139	1998-03-11	VYDAJ	VYBER	7400	22143	\N	\N	\N
41999	139	1998-04-10	VYDAJ	VYBER	14700	40379	\N	\N	\N
42000	139	1998-05-10	VYDAJ	VYBER	24800	48602	\N	\N	\N
42001	139	1998-06-09	VYDAJ	VYBER	18300	41883	\N	\N	\N
42002	139	1998-07-09	VYDAJ	VYBER	32300	53740	\N	\N	\N
42003	139	1998-08-08	VYDAJ	VYBER	17800	42984	\N	\N	\N
42004	139	1998-09-07	VYDAJ	VYBER	24700	49220	\N	\N	\N
42005	139	1998-10-07	VYDAJ	VYBER	35300	46996	\N	\N	\N
42006	139	1998-11-06	VYDAJ	VYBER	32000	48080	\N	\N	\N
42026	140	1996-06-25	PRIJEM	VKLAD	300	300	\N	\N	\N
42028	140	1996-08-14	PRIJEM	VKLAD	18888	29988	\N	\N	\N
42029	140	1997-07-26	PRIJEM	VKLAD	31876	74885	\N	\N	\N
42030	140	1997-07-16	PRIJEM	VKLAD	48742	64409	\N	\N	\N
42031	140	1998-10-18	PRIJEM	VKLAD	44369	84544	\N	\N	\N
42032	140	1998-02-21	PRIJEM	VKLAD	15422	53139	\N	\N	\N
42044	140	1998-12-14	VYDAJ	VYBER	1400	47344	\N	\N	\N
42119	140	1998-10-31	VYDAJ	VYBER	15	84809	SLUZBY	\N	\N
42120	140	1998-11-30	VYDAJ	VYBER	15	60744	SLUZBY	\N	\N
42121	140	1996-07-25	PRIJEM	VKLAD	10800	11100	\N	\N	\N
42122	140	1996-08-24	VYDAJ	VYBER	4600	25388	\N	\N	\N
42123	140	1996-09-23	VYDAJ	VYBER	2000	23415	\N	\N	\N
42124	140	1996-10-23	VYDAJ	VYBER	4800	18721	\N	\N	\N
42126	140	1996-12-22	VYDAJ	VYBER	2800	15233	\N	\N	\N
42127	140	1997-01-21	VYDAJ	VYBER	900	14438	\N	\N	\N
42128	140	1997-03-22	VYDAJ	VYBER	1400	13144	\N	\N	\N
42129	140	1997-04-21	PRIJEM	VKLAD	300	13550	\N	\N	\N
42130	140	1997-05-21	PRIJEM	VKLAD	2600	16256	\N	\N	\N
42131	140	1997-06-20	VYDAJ	VYBER	800	15562	\N	\N	\N
42132	140	1997-07-20	VYDAJ	VYBER	21400	43009	\N	\N	\N
42133	140	1997-08-19	VYDAJ	VYBER	24600	50445	\N	\N	\N
42134	140	1997-09-18	VYDAJ	VYBER	9400	41357	\N	\N	\N
42135	140	1997-10-18	VYDAJ	VYBER	6200	35469	\N	\N	\N
42136	140	1997-11-17	PRIJEM	VKLAD	1600	37381	\N	\N	\N
42137	140	1997-12-17	PRIJEM	VKLAD	500	38193	\N	\N	\N
42138	140	1998-01-16	VYDAJ	VYBER	600	37905	\N	\N	\N
42139	140	1998-02-15	VYDAJ	VYBER	500	37717	\N	\N	\N
42140	140	1998-03-17	VYDAJ	VYBER	12300	41125	\N	\N	\N
42141	140	1998-04-16	VYDAJ	VYBER	8000	33347	\N	\N	\N
42142	140	1998-05-16	PRIJEM	VKLAD	1000	34568	\N	\N	\N
42143	140	1998-06-15	VYDAJ	VYBER	1200	33589	\N	\N	\N
42144	140	1998-07-15	VYDAJ	VYBER	1600	32211	\N	\N	\N
42145	140	1998-08-14	PRIJEM	VKLAD	5000	37432	\N	\N	\N
42146	140	1998-09-13	VYDAJ	VYBER	1000	36653	\N	\N	\N
42147	140	1998-10-13	PRIJEM	VKLAD	3300	40175	\N	\N	\N
42148	140	1998-11-12	VYDAJ	VYBER	24400	60409	\N	\N	\N
42149	140	1998-12-12	VYDAJ	VYBER	12000	48744	\N	\N	\N
42178	141	1996-03-06	PRIJEM	VKLAD	900	900	\N	\N	\N
42181	141	1996-03-09	PRIJEM	PREVOD Z UCTU	30165	31065	\N	QR	17828584
42182	141	1996-04-09	PRIJEM	PREVOD Z UCTU	30165	55726	\N	QR	17828584
42183	141	1996-05-09	PRIJEM	PREVOD Z UCTU	30165	68596	\N	QR	17828584
42184	141	1996-06-09	PRIJEM	PREVOD Z UCTU	45248	89316	\N	QR	17828584
42185	141	1996-07-09	PRIJEM	PREVOD Z UCTU	30165	87130	\N	QR	17828584
42186	141	1996-08-09	PRIJEM	PREVOD Z UCTU	30165	69614	\N	QR	17828584
42187	141	1996-09-09	PRIJEM	PREVOD Z UCTU	30165	60761	\N	QR	17828584
42188	141	1996-10-09	PRIJEM	PREVOD Z UCTU	30165	51471	\N	QR	17828584
42189	141	1996-11-09	PRIJEM	PREVOD Z UCTU	30165	50938	\N	QR	17828584
42190	141	1996-12-09	PRIJEM	PREVOD Z UCTU	45248	61336	\N	QR	17828584
42191	141	1997-01-09	PRIJEM	PREVOD Z UCTU	30165	53716	\N	QR	17828584
42192	141	1997-02-09	PRIJEM	PREVOD Z UCTU	30165	35644	\N	QR	17828584
42193	141	1997-03-09	PRIJEM	PREVOD Z UCTU	30165	39931	\N	QR	17828584
42194	141	1997-04-09	PRIJEM	PREVOD Z UCTU	30165	41843	\N	QR	17828584
42195	141	1997-05-09	PRIJEM	PREVOD Z UCTU	30165	40542	\N	QR	17828584
42196	141	1997-06-09	PRIJEM	PREVOD Z UCTU	45248	59731	\N	QR	17828584
42197	141	1997-07-09	PRIJEM	PREVOD Z UCTU	30165	45764	\N	QR	17828584
42198	141	1997-08-09	PRIJEM	PREVOD Z UCTU	30165	45288	\N	QR	17828584
42199	141	1997-09-09	PRIJEM	PREVOD Z UCTU	30165	47208	\N	QR	17828584
42200	141	1997-10-09	PRIJEM	PREVOD Z UCTU	30165	42732	\N	QR	17828584
42201	141	1997-11-09	PRIJEM	PREVOD Z UCTU	30165	37228	\N	QR	17828584
42202	141	1997-12-09	PRIJEM	PREVOD Z UCTU	45248	51393	\N	QR	17828584
42203	141	1998-01-09	PRIJEM	PREVOD Z UCTU	30165	52855	\N	QR	17828584
42204	141	1998-02-09	PRIJEM	PREVOD Z UCTU	30165	48986	\N	QR	17828584
42205	141	1998-03-09	PRIJEM	PREVOD Z UCTU	30165	44912	\N	QR	17828584
42206	141	1998-04-09	PRIJEM	PREVOD Z UCTU	30165	40721	\N	QR	17828584
42207	141	1998-05-09	PRIJEM	PREVOD Z UCTU	30165	39013	\N	QR	17828584
42208	141	1998-06-09	PRIJEM	PREVOD Z UCTU	45248	68336	\N	QR	17828584
42209	141	1998-07-09	PRIJEM	PREVOD Z UCTU	30165	44302	\N	QR	17828584
42210	141	1998-08-09	PRIJEM	PREVOD Z UCTU	30165	59640	\N	QR	17828584
42211	141	1998-09-09	PRIJEM	PREVOD Z UCTU	30165	53614	\N	QR	17828584
42212	141	1998-10-09	PRIJEM	PREVOD Z UCTU	30165	71978	\N	QR	17828584
42213	141	1998-11-09	PRIJEM	PREVOD Z UCTU	30165	45256	\N	QR	17828584
42214	141	1998-12-09	PRIJEM	PREVOD Z UCTU	45248	64721	\N	QR	17828584
42257	141	1996-07-11	VYDAJ	PREVOD NA UCET	3462	81877	SIPO	KL	65986662
42258	141	1996-08-11	VYDAJ	PREVOD NA UCET	3462	64361	SIPO	KL	65986662
42259	141	1996-09-11	VYDAJ	PREVOD NA UCET	3462	55508	SIPO	KL	65986662
42260	141	1996-10-11	VYDAJ	PREVOD NA UCET	3462	46218	SIPO	KL	65986662
42261	141	1996-11-11	VYDAJ	PREVOD NA UCET	3462	45685	SIPO	KL	65986662
42262	141	1996-12-11	VYDAJ	PREVOD NA UCET	3462	56083	SIPO	KL	65986662
42263	141	1997-01-11	VYDAJ	PREVOD NA UCET	3462	48463	SIPO	KL	65986662
42264	141	1997-02-11	VYDAJ	PREVOD NA UCET	3462	30391	SIPO	KL	65986662
42265	141	1997-03-11	VYDAJ	PREVOD NA UCET	3462	34678	SIPO	KL	65986662
42266	141	1997-04-11	VYDAJ	PREVOD NA UCET	3462	36590	SIPO	KL	65986662
42267	141	1997-05-11	VYDAJ	PREVOD NA UCET	3462	35289	SIPO	KL	65986662
42268	141	1997-06-11	VYDAJ	PREVOD NA UCET	3462	54478	SIPO	KL	65986662
42269	141	1997-07-11	VYDAJ	PREVOD NA UCET	3462	40511	SIPO	KL	65986662
42270	141	1997-08-11	VYDAJ	PREVOD NA UCET	3462	40035	SIPO	KL	65986662
42271	141	1997-09-11	VYDAJ	PREVOD NA UCET	3462	41955	SIPO	KL	65986662
42272	141	1997-10-11	VYDAJ	PREVOD NA UCET	3462	37479	SIPO	KL	65986662
42273	141	1997-11-11	VYDAJ	PREVOD NA UCET	3462	31975	SIPO	KL	65986662
42274	141	1997-12-11	VYDAJ	PREVOD NA UCET	3462	30813	SIPO	KL	65986662
42275	141	1998-01-11	VYDAJ	PREVOD NA UCET	3462	47602	SIPO	KL	65986662
42276	141	1998-02-11	VYDAJ	PREVOD NA UCET	3462	43733	SIPO	KL	65986662
42277	141	1998-03-11	VYDAJ	PREVOD NA UCET	3462	39659	SIPO	KL	65986662
42278	141	1998-04-11	VYDAJ	PREVOD NA UCET	3462	35468	SIPO	KL	65986662
42279	141	1998-05-11	VYDAJ	PREVOD NA UCET	3462	33760	SIPO	KL	65986662
42280	141	1998-06-11	VYDAJ	PREVOD NA UCET	3462	63083	SIPO	KL	65986662
42281	141	1998-07-11	VYDAJ	PREVOD NA UCET	3462	39049	SIPO	KL	65986662
42282	141	1998-08-11	VYDAJ	PREVOD NA UCET	3462	33637	SIPO	KL	65986662
42283	141	1998-09-11	VYDAJ	PREVOD NA UCET	3462	48361	SIPO	KL	65986662
42284	141	1998-10-11	VYDAJ	PREVOD NA UCET	3462	66725	SIPO	KL	65986662
42285	141	1998-11-11	VYDAJ	PREVOD NA UCET	3462	40003	SIPO	KL	65986662
42286	141	1998-12-11	VYDAJ	PREVOD NA UCET	3462	59468	SIPO	KL	65986662
42293	141	1996-07-09	VYDAJ	PREVOD NA UCET	1791	85339	 	WX	71174192
42294	141	1996-08-09	VYDAJ	PREVOD NA UCET	1791	67823	 	WX	71174192
42295	141	1996-09-09	VYDAJ	PREVOD NA UCET	1791	58970	 	WX	71174192
42296	141	1996-10-09	VYDAJ	PREVOD NA UCET	1791	49680	 	WX	71174192
42297	141	1996-11-09	VYDAJ	PREVOD NA UCET	1791	49147	 	WX	71174192
42298	141	1996-12-09	VYDAJ	PREVOD NA UCET	1791	59545	 	WX	71174192
42299	141	1997-01-09	VYDAJ	PREVOD NA UCET	1791	51925	 	WX	71174192
42300	141	1997-02-09	VYDAJ	PREVOD NA UCET	1791	33853	 	WX	71174192
42301	141	1997-03-09	VYDAJ	PREVOD NA UCET	1791	38140	 	WX	71174192
42302	141	1997-04-09	VYDAJ	PREVOD NA UCET	1791	40052	 	WX	71174192
42303	141	1997-05-09	VYDAJ	PREVOD NA UCET	1791	38751	 	WX	71174192
42304	141	1997-06-09	VYDAJ	PREVOD NA UCET	1791	57940	 	WX	71174192
42305	141	1997-07-09	VYDAJ	PREVOD NA UCET	1791	43973	 	WX	71174192
42306	141	1997-08-09	VYDAJ	PREVOD NA UCET	1791	43497	 	WX	71174192
42307	141	1997-09-09	VYDAJ	PREVOD NA UCET	1791	45417	 	WX	71174192
42308	141	1997-10-09	VYDAJ	PREVOD NA UCET	1791	40941	 	WX	71174192
42309	141	1997-11-09	VYDAJ	PREVOD NA UCET	1791	35437	 	WX	71174192
42310	141	1997-12-09	VYDAJ	PREVOD NA UCET	1791	49602	 	WX	71174192
42311	141	1998-01-09	VYDAJ	PREVOD NA UCET	1791	51064	 	WX	71174192
42312	141	1998-02-09	VYDAJ	PREVOD NA UCET	1791	47195	 	WX	71174192
42313	141	1998-03-09	VYDAJ	PREVOD NA UCET	1791	43121	 	WX	71174192
42314	141	1998-04-09	VYDAJ	PREVOD NA UCET	1791	38930	 	WX	71174192
42315	141	1998-05-09	VYDAJ	PREVOD NA UCET	1791	37222	 	WX	71174192
42316	141	1998-06-09	VYDAJ	PREVOD NA UCET	1791	66545	 	WX	71174192
42317	141	1998-07-09	VYDAJ	PREVOD NA UCET	1791	42511	 	WX	71174192
42318	141	1998-08-09	VYDAJ	PREVOD NA UCET	1791	37099	 	WX	71174192
42319	141	1998-09-09	VYDAJ	PREVOD NA UCET	1791	51823	 	WX	71174192
42320	141	1998-10-09	VYDAJ	PREVOD NA UCET	1791	70187	 	WX	71174192
42321	141	1998-11-09	VYDAJ	PREVOD NA UCET	1791	43465	 	WX	71174192
42322	141	1998-12-09	VYDAJ	PREVOD NA UCET	1791	62930	 	WX	71174192
42330	141	1996-08-06	VYDAJ	PREVOD NA UCET	6716	39449	POJISTNE	GH	86448645
42331	141	1996-09-06	VYDAJ	PREVOD NA UCET	6716	30596	POJISTNE	GH	86448645
42332	141	1996-10-06	VYDAJ	PREVOD NA UCET	6716	21306	POJISTNE	GH	86448645
42333	141	1996-11-06	VYDAJ	PREVOD NA UCET	6716	20773	POJISTNE	GH	86448645
42334	141	1996-12-06	VYDAJ	PREVOD NA UCET	6716	16088	POJISTNE	GH	86448645
42335	141	1997-01-06	VYDAJ	PREVOD NA UCET	6716	23551	POJISTNE	GH	86448645
42336	141	1997-02-06	VYDAJ	PREVOD NA UCET	6716	5479	POJISTNE	GH	86448645
42337	141	1997-03-06	VYDAJ	PREVOD NA UCET	6716	9766	POJISTNE	GH	86448645
42338	141	1997-04-06	VYDAJ	PREVOD NA UCET	6716	11678	POJISTNE	GH	86448645
42339	141	1997-05-06	VYDAJ	PREVOD NA UCET	6716	10377	POJISTNE	GH	86448645
42340	141	1997-06-06	VYDAJ	PREVOD NA UCET	6716	14483	POJISTNE	GH	86448645
42341	141	1997-07-06	VYDAJ	PREVOD NA UCET	6716	15599	POJISTNE	GH	86448645
42342	141	1997-08-06	VYDAJ	PREVOD NA UCET	6716	15123	POJISTNE	GH	86448645
42343	141	1997-09-06	VYDAJ	PREVOD NA UCET	6716	17043	POJISTNE	GH	86448645
42344	141	1997-10-06	VYDAJ	PREVOD NA UCET	6716	12567	POJISTNE	GH	86448645
42345	141	1997-11-06	VYDAJ	PREVOD NA UCET	6716	7063	POJISTNE	GH	86448645
42346	141	1997-12-06	VYDAJ	PREVOD NA UCET	6716	6145	POJISTNE	GH	86448645
42347	141	1998-01-06	VYDAJ	PREVOD NA UCET	6716	22690	POJISTNE	GH	86448645
42348	141	1998-02-06	VYDAJ	PREVOD NA UCET	6716	18821	POJISTNE	GH	86448645
42349	141	1998-03-06	VYDAJ	PREVOD NA UCET	6716	14747	POJISTNE	GH	86448645
42350	141	1998-04-06	VYDAJ	PREVOD NA UCET	6716	10556	POJISTNE	GH	86448645
42351	141	1998-05-06	VYDAJ	PREVOD NA UCET	6716	8848	POJISTNE	GH	86448645
42352	141	1998-06-06	VYDAJ	PREVOD NA UCET	6716	23088	POJISTNE	GH	86448645
42353	141	1998-07-06	VYDAJ	PREVOD NA UCET	6716	14137	POJISTNE	GH	86448645
42354	141	1998-08-06	VYDAJ	PREVOD NA UCET	6716	29475	POJISTNE	GH	86448645
42355	141	1998-09-06	VYDAJ	PREVOD NA UCET	6716	27049	POJISTNE	GH	86448645
42356	141	1998-10-06	VYDAJ	PREVOD NA UCET	6716	41813	POJISTNE	GH	86448645
42357	141	1998-11-06	VYDAJ	PREVOD NA UCET	6716	15091	POJISTNE	GH	86448645
42358	141	1998-12-06	VYDAJ	PREVOD NA UCET	6716	19473	POJISTNE	GH	86448645
42365	141	1996-07-28	VYBER	VYBER	9542	72335	\N	\N	\N
42368	141	1996-11-15	VYBER	VYBER	13419	32266	\N	\N	\N
42369	141	1997-01-23	VYBER	VYBER	7993	32070	\N	\N	\N
42372	141	1997-12-10	VYBER	VYBER	15327	34275	\N	\N	\N
42376	141	1998-08-03	VYBER	VYBER	2987	36191	\N	\N	\N
42377	141	1998-11-16	VYBER	VYBER	9726	30277	\N	\N	\N
42378	141	1998-05-19	VYBER	VYBER	4056	29704	\N	\N	\N
42380	141	1998-08-09	VYBER	VYBER	20750	38890	\N	\N	\N
42386	141	1997-06-16	VYDAJ	VYBER	16500	37978	\N	\N	\N
42389	141	1997-01-23	VYDAJ	VYBER	7500	24570	\N	\N	\N
42391	141	1996-12-26	VYDAJ	VYBER	1500	54583	\N	\N	\N
42392	141	1997-12-14	VYDAJ	VYBER	1500	29313	\N	\N	\N
42393	141	1998-12-29	VYDAJ	VYBER	4800	54668	\N	\N	\N
42401	141	1997-01-14	VYDAJ	VYBER	3600	40063	\N	\N	\N
42402	141	1997-01-24	VYDAJ	VYBER	2400	22170	\N	\N	\N
42404	141	1997-01-11	VYDAJ	VYBER	4800	43663	\N	\N	\N
42406	141	1998-01-22	VYDAJ	VYBER	3000	35302	\N	\N	\N
42407	141	1998-01-23	VYDAJ	VYBER	2700	32602	\N	\N	\N
42408	141	1998-01-17	VYDAJ	VYBER	3000	44602	\N	\N	\N
42409	141	1998-01-18	VYDAJ	VYBER	6300	38302	\N	\N	\N
42410	141	1998-01-24	VYDAJ	VYBER	2100	30502	\N	\N	\N
42411	141	1998-01-29	VYDAJ	VYBER	5100	25402	\N	\N	\N
42414	141	1996-10-05	VYDAJ	VYBER	4800	28022	\N	\N	\N
42416	141	1997-10-19	VYDAJ	VYBER	6000	31479	\N	\N	\N
42418	141	1997-04-18	VYDAJ	VYBER	7800	28790	\N	\N	\N
42420	141	1998-09-07	VYDAJ	VYBER	3600	23449	\N	\N	\N
42421	141	1998-03-23	VYDAJ	VYBER	1800	37859	\N	\N	\N
42423	141	1998-12-01	VYDAJ	VYBER	4200	26189	\N	\N	\N
42431	141	1996-07-31	VYDAJ	VYBER	15	72665	SLUZBY	\N	\N
42432	141	1996-08-31	VYDAJ	VYBER	15	64612	SLUZBY	\N	\N
42433	141	1996-09-30	VYDAJ	VYBER	15	55722	SLUZBY	\N	\N
42434	141	1996-10-31	VYDAJ	VYBER	15	46389	SLUZBY	\N	\N
42435	141	1996-11-30	VYDAJ	VYBER	15	32404	SLUZBY	\N	\N
42436	141	1996-12-31	VYDAJ	VYBER	15	30267	SLUZBY	\N	\N
42437	141	1997-01-31	VYDAJ	VYBER	15	12195	SLUZBY	\N	\N
42438	141	1997-02-28	VYDAJ	VYBER	15	30482	SLUZBY	\N	\N
42439	141	1997-03-31	VYDAJ	VYBER	15	34794	SLUZBY	\N	\N
42440	141	1997-04-30	VYDAJ	VYBER	15	28893	SLUZBY	\N	\N
42441	141	1997-05-31	VYDAJ	VYBER	15	21199	SLUZBY	\N	\N
42442	141	1997-06-30	VYDAJ	VYBER	15	22315	SLUZBY	\N	\N
42443	141	1997-07-31	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
42444	141	1997-08-31	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
42445	141	1997-09-30	VYDAJ	VYBER	15	19283	SLUZBY	\N	\N
42446	141	1997-10-31	VYDAJ	VYBER	15	13779	SLUZBY	\N	\N
42447	141	1997-11-30	VYDAJ	VYBER	15	12861	SLUZBY	\N	\N
42448	141	1997-12-31	VYDAJ	VYBER	15	29406	SLUZBY	\N	\N
42449	141	1998-01-31	VYDAJ	VYBER	15	25537	SLUZBY	\N	\N
42450	141	1998-02-28	VYDAJ	VYBER	15	21463	SLUZBY	\N	\N
42451	141	1998-03-31	VYDAJ	VYBER	15	17272	SLUZBY	\N	\N
42452	141	1998-04-30	VYDAJ	VYBER	15	15564	SLUZBY	\N	\N
42453	141	1998-05-31	VYDAJ	VYBER	15	29804	SLUZBY	\N	\N
42454	141	1998-06-30	VYDAJ	VYBER	15	20853	SLUZBY	\N	\N
42455	141	1998-07-31	VYDAJ	VYBER	15	39178	SLUZBY	\N	\N
42456	141	1998-08-31	VYDAJ	VYBER	15	33765	SLUZBY	\N	\N
42457	141	1998-09-30	VYDAJ	VYBER	15	48529	SLUZBY	\N	\N
42458	141	1998-10-31	VYDAJ	VYBER	15	21807	SLUZBY	\N	\N
42459	141	1998-11-30	VYDAJ	VYBER	15	30389	SLUZBY	\N	\N
42460	141	1996-04-05	VYDAJ	VYBER	5600	25561	\N	\N	\N
42461	141	1996-05-05	VYDAJ	VYBER	17500	38431	\N	\N	\N
42462	141	1996-06-04	VYDAJ	VYBER	24800	44068	\N	\N	\N
42463	141	1996-07-04	VYDAJ	VYBER	32700	56965	\N	\N	\N
42464	141	1996-08-03	VYDAJ	VYBER	26500	46165	\N	\N	\N
42465	141	1996-09-02	VYDAJ	VYBER	27300	37312	\N	\N	\N
42466	141	1996-10-02	VYDAJ	VYBER	22900	32822	\N	\N	\N
42467	141	1996-11-01	VYDAJ	VYBER	18900	27489	\N	\N	\N
42468	141	1996-12-01	VYDAJ	VYBER	9600	22804	\N	\N	\N
42469	141	1996-12-31	VYDAJ	VYBER	24500	30281	\N	\N	\N
42470	141	1997-01-30	VYDAJ	VYBER	10100	12070	\N	\N	\N
42471	141	1997-03-01	VYDAJ	VYBER	14000	16482	\N	\N	\N
42472	141	1997-03-31	VYDAJ	VYBER	16400	18394	\N	\N	\N
42473	141	1997-04-30	VYDAJ	VYBER	11800	17093	\N	\N	\N
42474	141	1997-05-30	VYDAJ	VYBER	14200	21089	\N	\N	\N
42475	141	1997-06-29	VYDAJ	VYBER	15800	22178	\N	\N	\N
42476	141	1997-07-29	VYDAJ	VYBER	18800	21711	\N	\N	\N
42477	141	1997-08-28	VYDAJ	VYBER	16400	23635	\N	\N	\N
42478	141	1997-09-27	VYDAJ	VYBER	22800	19155	\N	\N	\N
42479	141	1997-10-27	VYDAJ	VYBER	17800	13679	\N	\N	\N
42480	141	1997-11-26	VYDAJ	VYBER	19200	12775	\N	\N	\N
42481	141	1998-02-24	VYDAJ	VYBER	22400	21333	\N	\N	\N
42482	141	1998-03-26	VYDAJ	VYBER	20700	17159	\N	\N	\N
42483	141	1998-04-25	VYDAJ	VYBER	20000	15468	\N	\N	\N
42484	141	1998-06-24	VYDAJ	VYBER	42400	20683	\N	\N	\N
42485	141	1998-10-22	VYDAJ	VYBER	45100	21625	\N	\N	\N
42520	142	1993-02-15	PRIJEM	VKLAD	900	900	\N	\N	\N
42523	142	1993-03-07	PRIJEM	PREVOD Z UCTU	4555	5455	DUCHOD	QR	39513594
42524	142	1993-04-07	PRIJEM	PREVOD Z UCTU	4555	10010	DUCHOD	QR	39513594
42525	142	1993-05-07	PRIJEM	PREVOD Z UCTU	4555	14565	DUCHOD	QR	39513594
42526	142	1993-06-07	PRIJEM	PREVOD Z UCTU	4555	19120	DUCHOD	QR	39513594
42527	142	1993-07-07	PRIJEM	PREVOD Z UCTU	4555	23675	DUCHOD	QR	39513594
42528	142	1993-08-07	PRIJEM	PREVOD Z UCTU	4555	22300	DUCHOD	QR	39513594
42529	142	1993-09-07	PRIJEM	PREVOD Z UCTU	4555	21474	DUCHOD	QR	39513594
42530	142	1993-10-07	PRIJEM	PREVOD Z UCTU	4555	21127	DUCHOD	QR	39513594
42531	142	1993-11-07	PRIJEM	PREVOD Z UCTU	4555	23905	DUCHOD	QR	39513594
42532	142	1993-12-07	PRIJEM	PREVOD Z UCTU	4555	25787	DUCHOD	QR	39513594
42533	142	1994-01-07	PRIJEM	PREVOD Z UCTU	4555	27881	DUCHOD	QR	39513594
42534	142	1994-02-07	PRIJEM	PREVOD Z UCTU	4555	24815	DUCHOD	QR	39513594
42535	142	1994-03-07	PRIJEM	PREVOD Z UCTU	4555	26200	DUCHOD	QR	39513594
42536	142	1994-04-07	PRIJEM	PREVOD Z UCTU	4555	28893	DUCHOD	QR	39513594
42537	142	1994-05-07	PRIJEM	PREVOD Z UCTU	4555	26849	DUCHOD	QR	39513594
42538	142	1994-06-07	PRIJEM	PREVOD Z UCTU	4555	23576	DUCHOD	QR	39513594
42539	142	1994-07-07	PRIJEM	PREVOD Z UCTU	4555	18812	DUCHOD	QR	39513594
42540	142	1994-08-07	PRIJEM	PREVOD Z UCTU	4555	21574	DUCHOD	QR	39513594
42541	142	1994-09-07	PRIJEM	PREVOD Z UCTU	4555	23948	DUCHOD	QR	39513594
42542	142	1994-10-07	PRIJEM	PREVOD Z UCTU	4555	24647	DUCHOD	QR	39513594
42543	142	1994-11-07	PRIJEM	PREVOD Z UCTU	4555	24052	DUCHOD	QR	39513594
42544	142	1994-12-07	PRIJEM	PREVOD Z UCTU	4555	25434	DUCHOD	QR	39513594
42545	142	1995-01-07	PRIJEM	PREVOD Z UCTU	4555	26973	DUCHOD	QR	39513594
42546	142	1995-02-07	PRIJEM	PREVOD Z UCTU	4555	24911	DUCHOD	QR	39513594
42547	142	1995-03-07	PRIJEM	PREVOD Z UCTU	4555	27697	DUCHOD	QR	39513594
42548	142	1995-04-07	PRIJEM	PREVOD Z UCTU	4555	26496	DUCHOD	QR	39513594
42549	142	1995-05-07	PRIJEM	PREVOD Z UCTU	4555	27354	DUCHOD	QR	39513594
42550	142	1995-06-07	PRIJEM	PREVOD Z UCTU	4555	25155	DUCHOD	QR	39513594
42551	142	1995-07-07	PRIJEM	PREVOD Z UCTU	4555	24950	DUCHOD	QR	39513594
42552	142	1995-08-07	PRIJEM	PREVOD Z UCTU	4555	26282	DUCHOD	QR	39513594
42553	142	1995-09-07	PRIJEM	PREVOD Z UCTU	4555	22879	DUCHOD	QR	39513594
42554	142	1995-10-07	PRIJEM	PREVOD Z UCTU	4555	21544	DUCHOD	QR	39513594
42555	142	1995-11-07	PRIJEM	PREVOD Z UCTU	4555	22723	DUCHOD	QR	39513594
42556	142	1995-12-07	PRIJEM	PREVOD Z UCTU	4555	22406	DUCHOD	QR	39513594
42557	142	1996-01-07	PRIJEM	PREVOD Z UCTU	4555	21303	DUCHOD	QR	39513594
42558	142	1996-02-07	PRIJEM	PREVOD Z UCTU	4555	19563	DUCHOD	QR	39513594
42559	142	1996-03-07	PRIJEM	PREVOD Z UCTU	4555	21526	DUCHOD	QR	39513594
42560	142	1996-04-07	PRIJEM	PREVOD Z UCTU	4555	24299	DUCHOD	QR	39513594
42561	142	1996-05-07	PRIJEM	PREVOD Z UCTU	4555	24581	DUCHOD	QR	39513594
42562	142	1996-06-07	PRIJEM	PREVOD Z UCTU	4555	25665	DUCHOD	QR	39513594
42563	142	1996-07-07	PRIJEM	PREVOD Z UCTU	4555	26854	DUCHOD	QR	39513594
42564	142	1996-08-07	PRIJEM	PREVOD Z UCTU	4555	23639	DUCHOD	QR	39513594
42565	142	1996-09-07	PRIJEM	PREVOD Z UCTU	4555	26420	DUCHOD	QR	39513594
42566	142	1996-10-07	PRIJEM	PREVOD Z UCTU	4555	28412	DUCHOD	QR	39513594
42567	142	1996-11-07	PRIJEM	PREVOD Z UCTU	4555	25211	DUCHOD	QR	39513594
42568	142	1996-12-07	PRIJEM	PREVOD Z UCTU	4555	24001	DUCHOD	QR	39513594
42569	142	1997-01-07	PRIJEM	PREVOD Z UCTU	4555	25430	DUCHOD	QR	39513594
42570	142	1997-02-07	PRIJEM	PREVOD Z UCTU	4555	25717	DUCHOD	QR	39513594
42571	142	1997-03-07	PRIJEM	PREVOD Z UCTU	4555	28506	DUCHOD	QR	39513594
42572	142	1997-04-07	PRIJEM	PREVOD Z UCTU	4555	27377	DUCHOD	QR	39513594
42573	142	1997-05-07	PRIJEM	PREVOD Z UCTU	4555	29572	DUCHOD	QR	39513594
42574	142	1997-06-07	PRIJEM	PREVOD Z UCTU	4555	29074	DUCHOD	QR	39513594
42575	142	1997-07-07	PRIJEM	PREVOD Z UCTU	4555	27473	DUCHOD	QR	39513594
42576	142	1997-08-07	PRIJEM	PREVOD Z UCTU	4555	23702	DUCHOD	QR	39513594
42577	142	1997-09-07	PRIJEM	PREVOD Z UCTU	4555	26482	DUCHOD	QR	39513594
42578	142	1997-10-07	PRIJEM	PREVOD Z UCTU	4555	27372	DUCHOD	QR	39513594
42579	142	1997-11-07	PRIJEM	PREVOD Z UCTU	4555	30167	DUCHOD	QR	39513594
42580	142	1997-12-07	PRIJEM	PREVOD Z UCTU	4555	27451	DUCHOD	QR	39513594
42581	142	1998-01-07	PRIJEM	PREVOD Z UCTU	4555	22195	DUCHOD	QR	39513594
42582	142	1998-02-07	PRIJEM	PREVOD Z UCTU	4555	24273	DUCHOD	QR	39513594
42583	142	1998-03-07	PRIJEM	PREVOD Z UCTU	4555	23447	DUCHOD	QR	39513594
42584	142	1998-04-07	PRIJEM	PREVOD Z UCTU	4555	26225	DUCHOD	QR	39513594
42585	142	1998-05-07	PRIJEM	PREVOD Z UCTU	4555	28294	DUCHOD	QR	39513594
42586	142	1998-06-07	PRIJEM	PREVOD Z UCTU	4555	27087	DUCHOD	QR	39513594
42587	142	1998-07-07	PRIJEM	PREVOD Z UCTU	4555	29680	DUCHOD	QR	39513594
42588	142	1998-08-07	PRIJEM	PREVOD Z UCTU	4555	28797	DUCHOD	QR	39513594
42589	142	1998-09-07	PRIJEM	PREVOD Z UCTU	4555	23730	DUCHOD	QR	39513594
42590	142	1998-10-07	PRIJEM	PREVOD Z UCTU	4555	24189	DUCHOD	QR	39513594
42591	142	1998-11-07	PRIJEM	PREVOD Z UCTU	4555	26970	DUCHOD	QR	39513594
42592	142	1998-12-07	PRIJEM	PREVOD Z UCTU	4555	24852	DUCHOD	QR	39513594
42599	142	1993-07-13	VYDAJ	PREVOD NA UCET	1845	21830	SIPO	YZ	23734498
42600	142	1993-08-13	VYDAJ	PREVOD NA UCET	1845	20455	SIPO	YZ	23734498
42601	142	1993-09-13	VYDAJ	PREVOD NA UCET	1845	19629	SIPO	YZ	23734498
42602	142	1993-10-13	VYDAJ	PREVOD NA UCET	1845	19282	SIPO	YZ	23734498
42603	142	1993-11-13	VYDAJ	PREVOD NA UCET	1845	22060	SIPO	YZ	23734498
42604	142	1993-12-13	VYDAJ	PREVOD NA UCET	1845	23242	SIPO	YZ	23734498
42605	142	1994-01-13	VYDAJ	PREVOD NA UCET	1845	20186	SIPO	YZ	23734498
42606	142	1994-02-13	VYDAJ	PREVOD NA UCET	1845	21570	SIPO	YZ	23734498
42607	142	1994-03-13	VYDAJ	PREVOD NA UCET	1845	24255	SIPO	YZ	23734498
42608	142	1994-04-13	VYDAJ	PREVOD NA UCET	1845	24448	SIPO	YZ	23734498
42609	142	1994-05-13	VYDAJ	PREVOD NA UCET	1845	21504	SIPO	YZ	23734498
42610	142	1994-06-13	VYDAJ	PREVOD NA UCET	1845	21231	SIPO	YZ	23734498
42611	142	1994-07-13	VYDAJ	PREVOD NA UCET	1845	16967	SIPO	YZ	23734498
42612	142	1994-08-13	VYDAJ	PREVOD NA UCET	1845	19329	SIPO	YZ	23734498
42613	142	1994-09-13	VYDAJ	PREVOD NA UCET	1845	20023	SIPO	YZ	23734498
42614	142	1994-10-13	VYDAJ	PREVOD NA UCET	1845	22702	SIPO	YZ	23734498
42615	142	1994-11-13	VYDAJ	PREVOD NA UCET	1845	20807	SIPO	YZ	23734498
42616	142	1994-12-13	VYDAJ	PREVOD NA UCET	1845	23589	SIPO	YZ	23734498
42617	142	1995-01-13	VYDAJ	PREVOD NA UCET	1845	25128	SIPO	YZ	23734498
42618	142	1995-02-13	VYDAJ	PREVOD NA UCET	1845	23066	SIPO	YZ	23734498
42619	142	1995-03-13	VYDAJ	PREVOD NA UCET	1845	24452	SIPO	YZ	23734498
42620	142	1995-04-13	VYDAJ	PREVOD NA UCET	1845	24651	SIPO	YZ	23734498
42621	142	1995-05-13	VYDAJ	PREVOD NA UCET	1845	25509	SIPO	YZ	23734498
42622	142	1995-06-13	VYDAJ	PREVOD NA UCET	1845	23310	SIPO	YZ	23734498
42623	142	1995-07-13	VYDAJ	PREVOD NA UCET	1845	23105	SIPO	YZ	23734498
42624	142	1995-08-13	VYDAJ	PREVOD NA UCET	1845	24437	SIPO	YZ	23734498
42625	142	1995-09-13	VYDAJ	PREVOD NA UCET	1845	20314	SIPO	YZ	23734498
42626	142	1995-10-13	VYDAJ	PREVOD NA UCET	1845	19699	SIPO	YZ	23734498
42627	142	1995-11-13	VYDAJ	PREVOD NA UCET	1845	20878	SIPO	YZ	23734498
42628	142	1995-12-13	VYDAJ	PREVOD NA UCET	1845	20561	SIPO	YZ	23734498
42629	142	1996-01-13	VYDAJ	PREVOD NA UCET	1845	14958	SIPO	YZ	23734498
42630	142	1996-02-13	VYDAJ	PREVOD NA UCET	1845	17718	SIPO	YZ	23734498
42631	142	1996-03-13	VYDAJ	PREVOD NA UCET	1845	19681	SIPO	YZ	23734498
42632	142	1996-04-13	VYDAJ	PREVOD NA UCET	1845	22454	SIPO	YZ	23734498
42633	142	1996-05-13	VYDAJ	PREVOD NA UCET	1845	22736	SIPO	YZ	23734498
42634	142	1996-06-13	VYDAJ	PREVOD NA UCET	1845	23820	SIPO	YZ	23734498
42635	142	1996-07-13	VYDAJ	PREVOD NA UCET	1845	22289	SIPO	YZ	23734498
42636	142	1996-08-13	VYDAJ	PREVOD NA UCET	1845	21794	SIPO	YZ	23734498
42637	142	1996-09-13	VYDAJ	PREVOD NA UCET	1845	24575	SIPO	YZ	23734498
42638	142	1996-10-13	VYDAJ	PREVOD NA UCET	1845	26567	SIPO	YZ	23734498
42639	142	1996-11-13	VYDAJ	PREVOD NA UCET	1845	23366	SIPO	YZ	23734498
42640	142	1996-12-13	VYDAJ	PREVOD NA UCET	1845	22156	SIPO	YZ	23734498
42641	142	1997-01-13	VYDAJ	PREVOD NA UCET	1845	22685	SIPO	YZ	23734498
42642	142	1997-02-13	VYDAJ	PREVOD NA UCET	1845	23872	SIPO	YZ	23734498
42643	142	1997-03-13	VYDAJ	PREVOD NA UCET	1845	22741	SIPO	YZ	23734498
42644	142	1997-04-13	VYDAJ	PREVOD NA UCET	1845	25532	SIPO	YZ	23734498
42645	142	1997-05-13	VYDAJ	PREVOD NA UCET	1845	27727	SIPO	YZ	23734498
42646	142	1997-06-13	VYDAJ	PREVOD NA UCET	1845	27229	SIPO	YZ	23734498
42647	142	1997-07-13	VYDAJ	PREVOD NA UCET	1845	25628	SIPO	YZ	23734498
42648	142	1997-08-13	VYDAJ	PREVOD NA UCET	1845	21857	SIPO	YZ	23734498
42649	142	1997-09-13	VYDAJ	PREVOD NA UCET	1845	24637	SIPO	YZ	23734498
42650	142	1997-10-13	VYDAJ	PREVOD NA UCET	1845	25527	SIPO	YZ	23734498
42651	142	1997-11-13	VYDAJ	PREVOD NA UCET	1845	28322	SIPO	YZ	23734498
42652	142	1997-12-13	VYDAJ	PREVOD NA UCET	1845	25256	SIPO	YZ	23734498
42653	142	1998-01-13	VYDAJ	PREVOD NA UCET	1845	20350	SIPO	YZ	23734498
42654	142	1998-02-13	VYDAJ	PREVOD NA UCET	1845	18828	SIPO	YZ	23734498
42655	142	1998-03-13	VYDAJ	PREVOD NA UCET	1845	21602	SIPO	YZ	23734498
42656	142	1998-04-13	VYDAJ	PREVOD NA UCET	1845	24380	SIPO	YZ	23734498
42657	142	1998-05-13	VYDAJ	PREVOD NA UCET	1845	26449	SIPO	YZ	23734498
42658	142	1998-06-13	VYDAJ	PREVOD NA UCET	1845	25242	SIPO	YZ	23734498
42659	142	1998-07-13	VYDAJ	PREVOD NA UCET	1845	27835	SIPO	YZ	23734498
42660	142	1998-08-13	VYDAJ	PREVOD NA UCET	1845	24072	SIPO	YZ	23734498
42661	142	1998-09-13	VYDAJ	PREVOD NA UCET	1845	19565	SIPO	YZ	23734498
42662	142	1998-10-13	VYDAJ	PREVOD NA UCET	1845	22344	SIPO	YZ	23734498
42663	142	1998-11-13	VYDAJ	PREVOD NA UCET	1845	25125	SIPO	YZ	23734498
42664	142	1998-12-13	VYDAJ	PREVOD NA UCET	1845	23007	SIPO	YZ	23734498
42669	142	1997-06-25	VYDAJ	VYBER	2000	22829	\N	\N	\N
42672	142	1994-01-12	VYDAJ	VYBER	3050	22031	\N	\N	\N
42673	142	1995-01-20	VYDAJ	VYBER	4850	20278	\N	\N	\N
42674	142	1996-01-08	VYDAJ	VYBER	4500	16803	\N	\N	\N
42675	142	1997-01-08	VYDAJ	VYBER	900	24530	\N	\N	\N
42676	142	1998-01-06	VYDAJ	VYBER	2100	17640	\N	\N	\N
42677	142	1993-12-06	VYDAJ	VYBER	900	21232	\N	\N	\N
42678	142	1994-12-13	VYDAJ	VYBER	1250	22339	\N	\N	\N
42679	142	1995-12-19	VYDAJ	VYBER	1000	19561	\N	\N	\N
42680	142	1996-12-19	VYDAJ	VYBER	1350	20806	\N	\N	\N
42681	142	1997-12-12	VYDAJ	VYBER	350	27101	\N	\N	\N
42682	142	1998-12-20	VYDAJ	VYBER	550	22157	\N	\N	\N
42683	142	1993-07-22	VYDAJ	VYBER	3520	17710	\N	\N	\N
42685	142	1993-08-28	VYDAJ	VYBER	3600	16855	\N	\N	\N
42687	142	1993-10-05	VYDAJ	VYBER	3120	16572	\N	\N	\N
42690	142	1994-06-06	VYDAJ	VYBER	2560	19021	\N	\N	\N
42691	142	1994-06-26	VYDAJ	VYBER	3920	14191	\N	\N	\N
42692	142	1994-06-15	VYDAJ	VYBER	3120	18111	\N	\N	\N
42693	142	1994-09-09	VYDAJ	VYBER	2080	21868	\N	\N	\N
42694	142	1994-04-29	VYDAJ	VYBER	2240	22208	\N	\N	\N
42695	142	1994-10-23	VYDAJ	VYBER	3280	19422	\N	\N	\N
42696	142	1995-04-23	VYDAJ	VYBER	1440	23211	\N	\N	\N
42697	142	1995-12-24	VYDAJ	VYBER	2880	16681	\N	\N	\N
42698	142	1995-07-19	VYDAJ	VYBER	560	22545	\N	\N	\N
42699	142	1995-09-11	VYDAJ	VYBER	720	22159	\N	\N	\N
42700	142	1996-07-26	VYDAJ	VYBER	3280	19009	\N	\N	\N
42701	142	1996-04-26	VYDAJ	VYBER	2000	20454	\N	\N	\N
42702	142	1996-07-11	VYDAJ	VYBER	2720	24134	\N	\N	\N
42703	142	1996-10-31	VYDAJ	VYBER	3200	20656	\N	\N	\N
42704	142	1996-02-25	VYDAJ	VYBER	800	16918	\N	\N	\N
42705	142	1997-07-25	VYDAJ	VYBER	1760	19068	\N	\N	\N
42706	142	1997-03-12	VYDAJ	VYBER	3920	24586	\N	\N	\N
42707	142	1997-12-03	VYDAJ	VYBER	3520	22896	\N	\N	\N
42708	142	1998-08-25	VYDAJ	VYBER	800	22772	\N	\N	\N
42709	142	1998-09-02	VYDAJ	VYBER	3680	19175	\N	\N	\N
42710	142	1998-04-17	VYDAJ	VYBER	720	23660	\N	\N	\N
42711	142	1998-08-10	VYDAJ	VYBER	2880	25917	\N	\N	\N
42712	142	1998-09-08	VYDAJ	VYBER	2320	21410	\N	\N	\N
42713	142	1998-02-08	VYDAJ	VYBER	3600	20673	\N	\N	\N
42714	142	1998-07-18	VYDAJ	VYBER	3680	24155	\N	\N	\N
42722	142	1993-07-31	VYDAJ	VYBER	15	17745	SLUZBY	\N	\N
42723	142	1993-08-31	VYDAJ	VYBER	15	16919	SLUZBY	\N	\N
42724	142	1993-09-30	VYDAJ	VYBER	15	19692	SLUZBY	\N	\N
42725	142	1993-10-31	VYDAJ	VYBER	15	19350	SLUZBY	\N	\N
42726	142	1993-11-30	VYDAJ	VYBER	15	22132	SLUZBY	\N	\N
42727	142	1993-12-31	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
42728	142	1994-01-31	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
42729	142	1994-02-28	VYDAJ	VYBER	15	21645	SLUZBY	\N	\N
42730	142	1994-03-31	VYDAJ	VYBER	15	24338	SLUZBY	\N	\N
42731	142	1994-04-30	VYDAJ	VYBER	15	22294	SLUZBY	\N	\N
42732	142	1994-05-31	VYDAJ	VYBER	15	21581	SLUZBY	\N	\N
42733	142	1994-06-30	VYDAJ	VYBER	15	14257	SLUZBY	\N	\N
42734	142	1994-07-31	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
42735	142	1994-08-31	VYDAJ	VYBER	15	19393	SLUZBY	\N	\N
42736	142	1994-09-30	VYDAJ	VYBER	15	20092	SLUZBY	\N	\N
42737	142	1994-10-31	VYDAJ	VYBER	15	19497	SLUZBY	\N	\N
42738	142	1994-11-30	VYDAJ	VYBER	15	20879	SLUZBY	\N	\N
42739	142	1994-12-31	VYDAJ	VYBER	15	22418	SLUZBY	\N	\N
42740	142	1995-01-31	VYDAJ	VYBER	15	20356	SLUZBY	\N	\N
42741	142	1995-02-28	VYDAJ	VYBER	15	23142	SLUZBY	\N	\N
42742	142	1995-03-31	VYDAJ	VYBER	15	24541	SLUZBY	\N	\N
42743	142	1995-04-30	VYDAJ	VYBER	15	23299	SLUZBY	\N	\N
42744	142	1995-05-31	VYDAJ	VYBER	15	25600	SLUZBY	\N	\N
42745	142	1995-06-30	VYDAJ	VYBER	15	23395	SLUZBY	\N	\N
42746	142	1995-07-31	VYDAJ	VYBER	15	22627	SLUZBY	\N	\N
42747	142	1995-08-31	VYDAJ	VYBER	15	24524	SLUZBY	\N	\N
42748	142	1995-09-30	VYDAJ	VYBER	15	20389	SLUZBY	\N	\N
42749	142	1995-10-31	VYDAJ	VYBER	15	19768	SLUZBY	\N	\N
42750	142	1995-11-30	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
42751	142	1995-12-31	VYDAJ	VYBER	15	16748	SLUZBY	\N	\N
42752	142	1996-01-31	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
42753	142	1996-02-29	VYDAJ	VYBER	15	16971	SLUZBY	\N	\N
42754	142	1996-03-31	VYDAJ	VYBER	15	19744	SLUZBY	\N	\N
42755	142	1996-04-30	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
42756	142	1996-05-31	VYDAJ	VYBER	15	21110	SLUZBY	\N	\N
42757	142	1996-06-30	VYDAJ	VYBER	15	22299	SLUZBY	\N	\N
42758	142	1996-07-31	VYDAJ	VYBER	15	19084	SLUZBY	\N	\N
42759	142	1996-08-31	VYDAJ	VYBER	15	21865	SLUZBY	\N	\N
42760	142	1996-09-30	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
42761	142	1996-10-31	VYDAJ	VYBER	15	23856	SLUZBY	\N	\N
42762	142	1996-11-30	VYDAJ	VYBER	15	19446	SLUZBY	\N	\N
42763	142	1996-12-31	VYDAJ	VYBER	15	20875	SLUZBY	\N	\N
42764	142	1997-01-31	VYDAJ	VYBER	15	21162	SLUZBY	\N	\N
42765	142	1997-02-28	VYDAJ	VYBER	15	23951	SLUZBY	\N	\N
42766	142	1997-03-31	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
42767	142	1997-04-30	VYDAJ	VYBER	15	25017	SLUZBY	\N	\N
42768	142	1997-05-31	VYDAJ	VYBER	15	24519	SLUZBY	\N	\N
42769	142	1997-06-30	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
42770	142	1997-07-31	VYDAJ	VYBER	15	19147	SLUZBY	\N	\N
42771	142	1997-08-31	VYDAJ	VYBER	15	21927	SLUZBY	\N	\N
42772	142	1997-09-30	VYDAJ	VYBER	15	22817	SLUZBY	\N	\N
42773	142	1997-10-31	VYDAJ	VYBER	15	25612	SLUZBY	\N	\N
42774	142	1997-11-30	VYDAJ	VYBER	15	26416	SLUZBY	\N	\N
42775	142	1997-12-31	VYDAJ	VYBER	15	19740	SLUZBY	\N	\N
42776	142	1998-01-31	VYDAJ	VYBER	15	19718	SLUZBY	\N	\N
42777	142	1998-02-28	VYDAJ	VYBER	15	18892	SLUZBY	\N	\N
42778	142	1998-03-31	VYDAJ	VYBER	15	21670	SLUZBY	\N	\N
42779	142	1998-04-30	VYDAJ	VYBER	15	23739	SLUZBY	\N	\N
42780	142	1998-05-31	VYDAJ	VYBER	15	22532	SLUZBY	\N	\N
42781	142	1998-06-30	VYDAJ	VYBER	15	25125	SLUZBY	\N	\N
42782	142	1998-07-31	VYDAJ	VYBER	15	24242	SLUZBY	\N	\N
42783	142	1998-08-31	VYDAJ	VYBER	15	22855	SLUZBY	\N	\N
42784	142	1998-09-30	VYDAJ	VYBER	15	19634	SLUZBY	\N	\N
42785	142	1998-10-31	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
42786	142	1998-11-30	VYDAJ	VYBER	15	20297	SLUZBY	\N	\N
42787	142	1993-07-15	VYDAJ	VYBER	600	21230	\N	\N	\N
42788	142	1993-12-12	VYDAJ	VYBER	700	25087	\N	\N	\N
42789	142	1994-01-11	VYDAJ	VYBER	2800	25081	\N	\N	\N
42790	142	1994-02-10	VYDAJ	VYBER	1400	23415	\N	\N	\N
42791	142	1994-03-12	VYDAJ	VYBER	100	26100	\N	\N	\N
42792	142	1994-04-11	VYDAJ	VYBER	2600	26293	\N	\N	\N
42793	142	1994-05-11	VYDAJ	VYBER	3500	23349	\N	\N	\N
42794	142	1994-06-10	VYDAJ	VYBER	500	23076	\N	\N	\N
42795	142	1994-08-09	VYDAJ	VYBER	400	21174	\N	\N	\N
42796	142	1994-10-08	VYDAJ	VYBER	100	24547	\N	\N	\N
42797	142	1994-11-07	VYDAJ	VYBER	1400	22652	\N	\N	\N
42798	142	1995-03-07	VYDAJ	VYBER	1400	26297	\N	\N	\N
42799	142	1995-04-06	VYDAJ	VYBER	2600	21941	\N	\N	\N
42800	142	1995-05-06	VYDAJ	VYBER	500	22799	\N	\N	\N
42801	142	1995-06-05	VYDAJ	VYBER	5000	20600	\N	\N	\N
42802	142	1995-07-05	VYDAJ	VYBER	3000	20395	\N	\N	\N
42803	142	1995-08-04	VYDAJ	VYBER	900	21727	\N	\N	\N
42804	142	1995-09-03	VYDAJ	VYBER	6200	18324	\N	\N	\N
42805	142	1995-10-03	VYDAJ	VYBER	3400	16989	\N	\N	\N
42806	142	1995-11-02	VYDAJ	VYBER	1600	18168	\N	\N	\N
42807	142	1995-12-02	VYDAJ	VYBER	3100	17851	\N	\N	\N
42808	142	1996-04-30	VYDAJ	VYBER	500	20040	\N	\N	\N
42809	142	1996-05-30	VYDAJ	VYBER	1700	21036	\N	\N	\N
42810	142	1996-06-29	VYDAJ	VYBER	1600	22220	\N	\N	\N
42811	142	1996-09-27	VYDAJ	VYBER	800	23775	\N	\N	\N
42812	142	1996-10-27	VYDAJ	VYBER	2800	23767	\N	\N	\N
42813	142	1996-11-26	VYDAJ	VYBER	4000	19366	\N	\N	\N
42814	142	1997-01-25	VYDAJ	VYBER	1600	21085	\N	\N	\N
42815	142	1997-04-25	VYDAJ	VYBER	600	24932	\N	\N	\N
42816	142	1997-05-25	VYDAJ	VYBER	3300	24427	\N	\N	\N
42817	142	1997-06-24	VYDAJ	VYBER	2400	24829	\N	\N	\N
42818	142	1997-07-24	VYDAJ	VYBER	4800	20828	\N	\N	\N
42819	142	1997-09-22	VYDAJ	VYBER	1900	22737	\N	\N	\N
42820	142	1997-11-21	VYDAJ	VYBER	2000	26322	\N	\N	\N
42821	142	1997-12-21	VYDAJ	VYBER	5600	19656	\N	\N	\N
42822	142	1998-01-20	VYDAJ	VYBER	700	19650	\N	\N	\N
42823	142	1998-05-20	VYDAJ	VYBER	4000	22449	\N	\N	\N
42824	142	1998-06-19	VYDAJ	VYBER	200	25042	\N	\N	\N
42825	142	1998-08-18	VYDAJ	VYBER	500	23572	\N	\N	\N
42826	142	1998-11-16	VYDAJ	VYBER	4900	20225	\N	\N	\N
42827	142	1998-12-16	VYDAJ	VYBER	300	22707	\N	\N	\N
42894	143	1996-11-27	PRIJEM	VKLAD	500	500	\N	\N	\N
42906	143	1996-12-08	PRIJEM	PREVOD Z UCTU	4924	5424	DUCHOD	AB	56894928
42907	143	1997-01-08	PRIJEM	PREVOD Z UCTU	4924	10348	DUCHOD	AB	56894928
42908	143	1997-02-08	PRIJEM	PREVOD Z UCTU	4924	15272	DUCHOD	AB	56894928
42909	143	1997-03-08	PRIJEM	PREVOD Z UCTU	4924	20196	DUCHOD	AB	56894928
42910	143	1997-04-08	PRIJEM	PREVOD Z UCTU	4924	25120	DUCHOD	AB	56894928
42911	143	1997-05-08	PRIJEM	PREVOD Z UCTU	4924	27211	DUCHOD	AB	56894928
42912	143	1997-06-08	PRIJEM	PREVOD Z UCTU	4924	27564	DUCHOD	AB	56894928
42913	143	1997-07-08	PRIJEM	PREVOD Z UCTU	4924	27400	DUCHOD	AB	56894928
42914	143	1997-08-08	PRIJEM	PREVOD Z UCTU	4924	22706	DUCHOD	AB	56894928
42915	143	1997-09-08	PRIJEM	PREVOD Z UCTU	4924	22921	DUCHOD	AB	56894928
42916	143	1997-10-08	PRIJEM	PREVOD Z UCTU	4924	23437	DUCHOD	AB	56894928
42917	143	1997-11-08	PRIJEM	PREVOD Z UCTU	4924	19728	DUCHOD	AB	56894928
42918	143	1997-12-08	PRIJEM	PREVOD Z UCTU	4924	22133	DUCHOD	AB	56894928
42919	143	1998-01-08	PRIJEM	PREVOD Z UCTU	4924	17853	DUCHOD	AB	56894928
42920	143	1998-02-08	PRIJEM	PREVOD Z UCTU	4924	16128	DUCHOD	AB	56894928
42921	143	1998-03-08	PRIJEM	PREVOD Z UCTU	4924	18818	DUCHOD	AB	56894928
42922	143	1998-04-08	PRIJEM	PREVOD Z UCTU	4924	17514	DUCHOD	AB	56894928
42923	143	1998-05-08	PRIJEM	PREVOD Z UCTU	4924	16104	DUCHOD	AB	56894928
42924	143	1998-06-08	PRIJEM	PREVOD Z UCTU	4924	16992	DUCHOD	AB	56894928
42925	143	1998-07-08	PRIJEM	PREVOD Z UCTU	4924	19686	DUCHOD	AB	56894928
42926	143	1998-08-08	PRIJEM	PREVOD Z UCTU	4924	20588	DUCHOD	AB	56894928
42927	143	1998-09-08	PRIJEM	PREVOD Z UCTU	4924	21394	DUCHOD	AB	56894928
42928	143	1998-10-08	PRIJEM	PREVOD Z UCTU	4924	20178	DUCHOD	AB	56894928
42929	143	1998-11-08	PRIJEM	PREVOD Z UCTU	4924	22885	DUCHOD	AB	56894928
42930	143	1998-12-08	PRIJEM	PREVOD Z UCTU	4924	25603	DUCHOD	AB	56894928
42946	143	1997-04-14	VYDAJ	PREVOD NA UCET	2272	22848	SIPO	YZ	81564402
42947	143	1997-05-14	VYDAJ	PREVOD NA UCET	2272	24939	SIPO	YZ	81564402
42948	143	1997-06-14	VYDAJ	PREVOD NA UCET	2272	25292	SIPO	YZ	81564402
42949	143	1997-07-14	VYDAJ	PREVOD NA UCET	2272	24088	SIPO	YZ	81564402
42950	143	1997-08-14	VYDAJ	PREVOD NA UCET	2272	20434	SIPO	YZ	81564402
42951	143	1997-09-14	VYDAJ	PREVOD NA UCET	2272	20649	SIPO	YZ	81564402
42952	143	1997-10-14	VYDAJ	PREVOD NA UCET	2272	21165	SIPO	YZ	81564402
42953	143	1997-11-14	VYDAJ	PREVOD NA UCET	2272	17456	SIPO	YZ	81564402
42954	143	1997-12-14	VYDAJ	PREVOD NA UCET	2272	19211	SIPO	YZ	81564402
42955	143	1998-01-14	VYDAJ	PREVOD NA UCET	2272	14461	SIPO	YZ	81564402
42956	143	1998-02-14	VYDAJ	PREVOD NA UCET	2272	13856	SIPO	YZ	81564402
42957	143	1998-03-14	VYDAJ	PREVOD NA UCET	2272	16546	SIPO	YZ	81564402
42958	143	1998-04-14	VYDAJ	PREVOD NA UCET	2272	15242	SIPO	YZ	81564402
42959	143	1998-05-14	VYDAJ	PREVOD NA UCET	2272	13832	SIPO	YZ	81564402
42960	143	1998-06-14	VYDAJ	PREVOD NA UCET	2272	14720	SIPO	YZ	81564402
42961	143	1998-07-14	VYDAJ	PREVOD NA UCET	2272	17414	SIPO	YZ	81564402
42962	143	1998-08-14	VYDAJ	PREVOD NA UCET	2272	18316	SIPO	YZ	81564402
42963	143	1998-09-14	VYDAJ	PREVOD NA UCET	2272	19122	SIPO	YZ	81564402
42964	143	1998-10-14	VYDAJ	PREVOD NA UCET	2272	17906	SIPO	YZ	81564402
42965	143	1998-11-14	VYDAJ	PREVOD NA UCET	2272	20613	SIPO	YZ	81564402
42966	143	1998-12-14	VYDAJ	PREVOD NA UCET	2272	23331	SIPO	YZ	81564402
42968	143	1997-12-12	VYDAJ	VYBER	650	21483	\N	\N	\N
42969	143	1998-12-26	VYDAJ	VYBER	650	22681	\N	\N	\N
42984	143	1998-01-05	VYDAJ	VYBER	640	13889	\N	\N	\N
42985	143	1998-01-07	VYDAJ	VYBER	960	12929	\N	\N	\N
42986	143	1998-01-13	VYDAJ	VYBER	1120	16733	\N	\N	\N
42992	143	1997-07-13	VYDAJ	VYBER	1040	26360	\N	\N	\N
42993	143	1997-05-15	VYDAJ	VYBER	880	24059	\N	\N	\N
42995	143	1997-07-16	VYDAJ	VYBER	3280	20808	\N	\N	\N
42996	143	1997-10-15	VYDAJ	VYBER	1920	19245	\N	\N	\N
42997	143	1998-01-01	VYDAJ	VYBER	640	14529	\N	\N	\N
42999	143	1998-09-16	VYDAJ	VYBER	3920	15202	\N	\N	\N
43017	143	1997-04-30	VYDAJ	VYBER	15	22287	SLUZBY	\N	\N
43018	143	1997-05-31	VYDAJ	VYBER	15	22640	SLUZBY	\N	\N
43019	143	1997-06-30	VYDAJ	VYBER	15	22476	SLUZBY	\N	\N
43020	143	1997-07-31	VYDAJ	VYBER	15	17782	SLUZBY	\N	\N
43021	143	1997-08-31	VYDAJ	VYBER	15	17997	SLUZBY	\N	\N
43022	143	1997-09-30	VYDAJ	VYBER	15	18513	SLUZBY	\N	\N
43023	143	1997-10-31	VYDAJ	VYBER	15	14804	SLUZBY	\N	\N
43024	143	1997-11-30	VYDAJ	VYBER	15	17209	SLUZBY	\N	\N
43025	143	1997-12-31	VYDAJ	VYBER	15	15169	SLUZBY	\N	\N
43026	143	1998-01-31	VYDAJ	VYBER	15	11204	SLUZBY	\N	\N
43027	143	1998-02-28	VYDAJ	VYBER	15	13894	SLUZBY	\N	\N
43028	143	1998-03-31	VYDAJ	VYBER	15	12590	SLUZBY	\N	\N
43029	143	1998-04-30	VYDAJ	VYBER	15	11180	SLUZBY	\N	\N
43030	143	1998-05-31	VYDAJ	VYBER	15	12068	SLUZBY	\N	\N
43031	143	1998-06-30	VYDAJ	VYBER	15	14762	SLUZBY	\N	\N
43032	143	1998-07-31	VYDAJ	VYBER	15	15664	SLUZBY	\N	\N
43033	143	1998-08-31	VYDAJ	VYBER	15	16470	SLUZBY	\N	\N
43034	143	1998-09-30	VYDAJ	VYBER	15	15254	SLUZBY	\N	\N
43035	143	1998-10-31	VYDAJ	VYBER	15	17961	SLUZBY	\N	\N
43036	143	1998-11-30	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
43037	143	1997-04-26	VYDAJ	VYBER	600	22248	\N	\N	\N
43038	143	1997-05-26	VYDAJ	VYBER	1500	22559	\N	\N	\N
43039	143	1997-06-25	VYDAJ	VYBER	2900	22392	\N	\N	\N
43040	143	1997-07-25	VYDAJ	VYBER	3100	17708	\N	\N	\N
43041	143	1997-08-24	VYDAJ	VYBER	2500	17934	\N	\N	\N
43042	143	1997-09-23	VYDAJ	VYBER	2200	18449	\N	\N	\N
43043	143	1997-10-23	VYDAJ	VYBER	4500	14745	\N	\N	\N
43044	143	1997-11-22	VYDAJ	VYBER	300	17156	\N	\N	\N
43045	143	1997-12-22	VYDAJ	VYBER	4100	15111	\N	\N	\N
43046	143	1998-01-21	VYDAJ	VYBER	3300	11161	\N	\N	\N
43047	143	1998-03-22	VYDAJ	VYBER	4000	12546	\N	\N	\N
43048	143	1998-04-21	VYDAJ	VYBER	4100	11142	\N	\N	\N
43049	143	1998-05-21	VYDAJ	VYBER	1800	12032	\N	\N	\N
43050	143	1998-07-20	VYDAJ	VYBER	1800	15614	\N	\N	\N
43051	143	1998-08-19	VYDAJ	VYBER	1900	16416	\N	\N	\N
43073	144	1997-04-03	PRIJEM	VKLAD	500	500	\N	\N	\N
43075	144	1997-10-30	PRIJEM	VKLAD	14963	73404	\N	\N	\N
43076	144	1997-11-16	PRIJEM	VKLAD	48271	123234	\N	\N	\N
43077	144	1997-06-25	PRIJEM	VKLAD	34025	121105	\N	\N	\N
43079	144	1997-07-03	PRIJEM	VKLAD	44088	70510	\N	\N	\N
43080	144	1997-06-22	PRIJEM	VKLAD	32181	87080	\N	\N	\N
43081	144	1997-10-12	PRIJEM	VKLAD	40254	58441	\N	\N	\N
43083	144	1997-07-30	PRIJEM	VKLAD	42103	88798	\N	\N	\N
43084	144	1997-08-06	PRIJEM	VKLAD	7508	61393	\N	\N	\N
43085	144	1997-12-18	PRIJEM	VKLAD	26897	70839	\N	\N	\N
43086	144	1997-08-08	PRIJEM	VKLAD	5589	60382	\N	\N	\N
43087	144	1997-07-21	PRIJEM	VKLAD	9031	48795	\N	\N	\N
43088	144	1997-09-23	PRIJEM	VKLAD	19451	35224	\N	\N	\N
43089	144	1997-06-01	PRIJEM	VKLAD	40736	82399	\N	\N	\N
43090	144	1997-10-30	PRIJEM	VKLAD	7305	80709	\N	\N	\N
43091	144	1997-04-26	PRIJEM	VKLAD	44033	44533	\N	\N	\N
43092	144	1997-11-16	PRIJEM	VKLAD	15473	74963	\N	\N	\N
43095	144	1997-08-26	PRIJEM	VKLAD	7913	68295	\N	\N	\N
43097	144	1997-05-03	PRIJEM	VKLAD	11568	56132	\N	\N	\N
43098	144	1998-10-16	PRIJEM	VKLAD	37652	86044	\N	\N	\N
43099	144	1998-06-19	PRIJEM	VKLAD	37655	77631	\N	\N	\N
43100	144	1998-07-14	PRIJEM	VKLAD	41341	99318	\N	\N	\N
43101	144	1998-09-19	PRIJEM	VKLAD	39944	86005	\N	\N	\N
43102	144	1998-11-10	PRIJEM	VKLAD	8703	74823	\N	\N	\N
43103	144	1998-02-03	PRIJEM	VKLAD	32044	43322	\N	\N	\N
43104	144	1998-03-21	PRIJEM	VKLAD	35179	62926	\N	\N	\N
43105	144	1998-04-05	PRIJEM	VKLAD	23547	73735	\N	\N	\N
43106	144	1998-04-15	PRIJEM	VKLAD	32737	106472	\N	\N	\N
43107	144	1998-12-22	PRIJEM	VKLAD	37804	84189	\N	\N	\N
43110	144	1997-10-01	VYBER	VYBER	16688	18187	\N	\N	\N
43111	144	1997-07-10	VYBER	VYBER	11912	49729	\N	\N	\N
43112	144	1997-07-03	VYBER	VYBER	8869	61641	\N	\N	\N
43114	144	1997-07-19	VYBER	VYBER	9965	39764	\N	\N	\N
43115	144	1997-09-17	VYBER	VYBER	20160	27773	\N	\N	\N
43116	144	1998-07-18	VYBER	VYBER	13618	75200	\N	\N	\N
43117	144	1998-04-15	VYBER	VYBER	20680	85792	\N	\N	\N
43118	144	1998-10-11	VYBER	VYBER	18592	48392	\N	\N	\N
43119	144	1998-01-06	VYBER	VYBER	18467	20332	\N	\N	\N
43120	144	1998-12-20	VYBER	VYBER	12880	46385	\N	\N	\N
43121	144	1998-07-30	VYBER	VYBER	2919	42081	\N	\N	\N
43122	144	1997-06-25	VYDAJ	VYBER	45900	23105	\N	\N	\N
43126	144	1997-12-27	VYDAJ	VYBER	6600	64239	\N	\N	\N
43127	144	1998-12-05	VYDAJ	VYBER KARTOU	3600	59265	\N	\N	0
43134	144	1998-01-29	VYDAJ	VYBER	5700	11232	\N	\N	\N
43135	144	1998-01-16	VYDAJ	VYBER	1500	18832	\N	\N	\N
43136	144	1998-01-25	VYDAJ	VYBER	4800	-2469	\N	\N	\N
43137	144	1998-01-01	VYDAJ	VYBER	8700	38799	\N	\N	\N
43138	144	1998-01-20	VYDAJ	VYBER	8700	10132	\N	\N	\N
43139	144	1998-01-21	VYDAJ	VYBER	7800	2332	\N	\N	\N
43140	144	1997-09-22	VYDAJ	VYBER	12000	15773	\N	\N	\N
43141	144	1997-07-27	VYDAJ	VYBER	2100	46695	\N	\N	\N
43142	144	1997-08-06	VYDAJ	VYBER	6600	54793	\N	\N	\N
43144	144	1997-11-25	VYDAJ	VYBER	7800	50734	\N	\N	\N
43145	144	1997-08-01	VYDAJ	VYBER	8100	80885	\N	\N	\N
43146	144	1998-07-28	VYDAJ	VYBER	14400	45000	\N	\N	\N
43147	144	1998-10-30	VYDAJ	VYBER	7800	65844	\N	\N	\N
43148	144	1998-03-18	VYDAJ	VYBER	10800	27747	\N	\N	\N
43149	144	1998-11-24	VYDAJ	VYBER	8100	62623	\N	\N	\N
43150	144	1998-07-16	VYDAJ	VYBER	10500	88818	\N	\N	\N
43157	144	1997-06-30	VYDAJ	VYBER	30	23322	SLUZBY	\N	\N
43158	144	1997-07-31	VYDAJ	VYBER	30	88985	SLUZBY	\N	\N
43159	144	1997-08-31	VYDAJ	VYBER	30	68533	SLUZBY	\N	\N
43160	144	1997-09-30	VYDAJ	VYBER	30	34875	SLUZBY	\N	\N
43161	144	1997-10-31	VYDAJ	VYBER	30	59490	SLUZBY	\N	\N
43162	144	1997-11-30	VYDAJ	VYBER	30	43942	SLUZBY	\N	\N
43163	144	1997-12-31	VYDAJ	VYBER	30	47499	SLUZBY	\N	\N
43164	144	1998-01-31	VYDAJ	VYBER	30	11280	SLUZBY	\N	\N
43165	144	1998-02-28	VYDAJ	VYBER	30	38547	SLUZBY	\N	\N
43166	144	1998-03-31	VYDAJ	VYBER	30	50188	SLUZBY	\N	\N
43167	144	1998-04-30	VYDAJ	VYBER	30	41831	SLUZBY	\N	\N
43168	144	1998-05-31	VYDAJ	VYBER	30	39976	SLUZBY	\N	\N
43169	144	1998-06-30	VYDAJ	VYBER	30	57977	SLUZBY	\N	\N
43170	144	1998-07-31	VYDAJ	VYBER	30	42314	SLUZBY	\N	\N
43171	144	1998-08-31	VYDAJ	VYBER	30	46061	SLUZBY	\N	\N
43172	144	1998-09-30	VYDAJ	VYBER	30	66984	SLUZBY	\N	\N
43173	144	1998-10-31	VYDAJ	VYBER	30	66120	SLUZBY	\N	\N
43174	144	1998-11-30	VYDAJ	VYBER	30	62865	SLUZBY	\N	\N
43175	144	1997-05-03	VYDAJ	VYBER	14700	41432	\N	\N	\N
43176	144	1997-06-02	VYDAJ	VYBER	27500	54899	\N	\N	\N
43177	144	1997-06-25	VYDAJ	VYBER	52100	69005	\N	\N	\N
43178	144	1997-07-02	PRIJEM	VKLAD	3100	26422	\N	\N	\N
43179	144	1997-08-01	VYDAJ	VYBER	27000	53885	\N	\N	\N
43180	144	1997-08-31	VYDAJ	VYBER	20600	47933	\N	\N	\N
43181	144	1997-09-30	VYDAJ	VYBER	500	34905	\N	\N	\N
43182	144	1997-10-30	VYDAJ	VYBER	21400	59309	\N	\N	\N
43183	144	1997-11-16	VYDAJ	VYBER	64700	58534	\N	\N	\N
43184	144	1997-11-29	VYDAJ	VYBER	7000	43734	\N	\N	\N
43185	144	1997-12-29	VYDAJ	VYBER	16900	47339	\N	\N	\N
43186	144	1998-01-28	PRIJEM	VKLAD	19400	16932	\N	\N	\N
43187	144	1998-02-27	VYDAJ	VYBER	4800	38522	\N	\N	\N
43188	144	1998-03-29	VYDAJ	VYBER	12900	50026	\N	\N	\N
43189	144	1998-04-15	VYDAJ	VYBER	38700	47092	\N	\N	\N
43190	144	1998-04-28	VYDAJ	VYBER	5500	41592	\N	\N	\N
43191	144	1998-05-28	VYDAJ	VYBER KARTOU	2000	39831	\N	\N	0
43192	144	1998-06-27	VYDAJ	VYBER	19800	57831	\N	\N	\N
43193	144	1998-07-27	VYDAJ	VYBER	15800	59400	\N	\N	\N
43194	144	1998-08-26	PRIJEM	VKLAD	3600	45914	\N	\N	\N
43195	144	1998-09-25	VYDAJ	VYBER	19200	66805	\N	\N	\N
43196	144	1998-10-25	VYDAJ	VYBER	12400	73644	\N	\N	\N
43197	144	1998-11-24	VYDAJ	VYBER	4100	70723	\N	\N	\N
43220	145	1996-01-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
43221	145	1996-01-07	PRIJEM	VKLAD	7223	8323	\N	\N	\N
43222	145	1996-02-07	PRIJEM	VKLAD	7223	23674	\N	\N	\N
43223	145	1996-03-07	PRIJEM	VKLAD	7223	31182	\N	\N	\N
43224	145	1996-04-07	PRIJEM	VKLAD	7223	32729	\N	\N	\N
43225	145	1996-05-07	PRIJEM	VKLAD	7223	32987	\N	\N	\N
43226	145	1996-06-07	PRIJEM	VKLAD	10834	35113	\N	\N	\N
43227	145	1996-07-07	PRIJEM	VKLAD	7223	34930	\N	\N	\N
43228	145	1996-08-07	PRIJEM	VKLAD	7223	34646	\N	\N	\N
43229	145	1996-09-07	PRIJEM	VKLAD	7223	40262	\N	\N	\N
43230	145	1996-10-07	PRIJEM	VKLAD	7223	40701	\N	\N	\N
43231	145	1996-11-07	PRIJEM	VKLAD	7223	39029	\N	\N	\N
43232	145	1996-12-07	PRIJEM	VKLAD	10834	45474	\N	\N	\N
43233	145	1997-01-07	PRIJEM	VKLAD	7223	43129	\N	\N	\N
43234	145	1997-02-07	PRIJEM	VKLAD	7223	37453	\N	\N	\N
43235	145	1997-03-07	PRIJEM	VKLAD	7223	44182	\N	\N	\N
43236	145	1997-04-07	PRIJEM	VKLAD	7223	46527	\N	\N	\N
43237	145	1997-05-07	PRIJEM	VKLAD	7223	50293	\N	\N	\N
43238	145	1997-06-07	PRIJEM	VKLAD	10834	54296	\N	\N	\N
43239	145	1997-07-07	PRIJEM	VKLAD	7223	52979	\N	\N	\N
43240	145	1997-08-07	PRIJEM	VKLAD	7223	55984	\N	\N	\N
43241	145	1997-09-07	PRIJEM	VKLAD	7223	56895	\N	\N	\N
43242	145	1997-10-07	PRIJEM	VKLAD	7223	56097	\N	\N	\N
43243	145	1997-11-07	PRIJEM	VKLAD	7223	55699	\N	\N	\N
43244	145	1997-12-07	PRIJEM	VKLAD	10834	58920	\N	\N	\N
43245	145	1998-01-07	PRIJEM	VKLAD	7223	58429	\N	\N	\N
43246	145	1998-02-07	PRIJEM	VKLAD	7223	58039	\N	\N	\N
43247	145	1998-03-07	PRIJEM	VKLAD	7223	58257	\N	\N	\N
43248	145	1998-04-07	PRIJEM	VKLAD	7223	62977	\N	\N	\N
43249	145	1998-05-07	PRIJEM	VKLAD	7223	63417	\N	\N	\N
43250	145	1998-06-07	PRIJEM	VKLAD	10834	64756	\N	\N	\N
43251	145	1998-07-07	PRIJEM	VKLAD	7223	43011	\N	\N	\N
43252	145	1998-08-07	PRIJEM	VKLAD	7223	50368	\N	\N	\N
43253	145	1998-09-07	PRIJEM	VKLAD	7223	56062	\N	\N	\N
43254	145	1998-10-07	PRIJEM	VKLAD	7223	64676	\N	\N	\N
43255	145	1998-11-07	PRIJEM	VKLAD	7223	63617	\N	\N	\N
43256	145	1998-12-07	PRIJEM	VKLAD	10834	68969	\N	\N	\N
43261	145	1996-05-07	VYDAJ	PREVOD NA UCET	4815	28172	SIPO	GH	81546359
43262	145	1996-06-07	VYDAJ	PREVOD NA UCET	4815	30298	SIPO	GH	81546359
43263	145	1996-07-07	VYDAJ	PREVOD NA UCET	4815	30115	SIPO	GH	81546359
43264	145	1996-08-07	VYDAJ	PREVOD NA UCET	4815	29831	SIPO	GH	81546359
43265	145	1996-09-07	VYDAJ	PREVOD NA UCET	4815	35447	SIPO	GH	81546359
43266	145	1996-10-07	VYDAJ	PREVOD NA UCET	4815	35886	SIPO	GH	81546359
43267	145	1996-11-07	VYDAJ	PREVOD NA UCET	4815	34214	SIPO	GH	81546359
43268	145	1996-12-07	VYDAJ	PREVOD NA UCET	4815	40659	SIPO	GH	81546359
43269	145	1997-01-07	VYDAJ	PREVOD NA UCET	4815	38314	SIPO	GH	81546359
43270	145	1997-02-07	VYDAJ	PREVOD NA UCET	4815	32638	SIPO	GH	81546359
43271	145	1997-03-07	VYDAJ	PREVOD NA UCET	4815	39367	SIPO	GH	81546359
43272	145	1997-04-07	VYDAJ	PREVOD NA UCET	4815	41712	SIPO	GH	81546359
43273	145	1997-05-07	VYDAJ	PREVOD NA UCET	4815	45478	SIPO	GH	81546359
43274	145	1997-06-07	VYDAJ	PREVOD NA UCET	4815	49481	SIPO	GH	81546359
43275	145	1997-07-07	VYDAJ	PREVOD NA UCET	4815	48164	SIPO	GH	81546359
43276	145	1997-08-07	VYDAJ	PREVOD NA UCET	4815	51169	SIPO	GH	81546359
43277	145	1997-09-07	VYDAJ	PREVOD NA UCET	4815	52080	SIPO	GH	81546359
43278	145	1997-10-07	VYDAJ	PREVOD NA UCET	4815	51282	SIPO	GH	81546359
43279	145	1997-11-07	VYDAJ	PREVOD NA UCET	4815	50884	SIPO	GH	81546359
43280	145	1997-12-07	VYDAJ	PREVOD NA UCET	4815	54105	SIPO	GH	81546359
43281	145	1998-01-07	VYDAJ	PREVOD NA UCET	4815	53614	SIPO	GH	81546359
43282	145	1998-02-07	VYDAJ	PREVOD NA UCET	4815	53224	SIPO	GH	81546359
43283	145	1998-03-07	VYDAJ	PREVOD NA UCET	4815	53442	SIPO	GH	81546359
43284	145	1998-04-07	VYDAJ	PREVOD NA UCET	4815	58162	SIPO	GH	81546359
43285	145	1998-05-07	VYDAJ	PREVOD NA UCET	4815	58602	SIPO	GH	81546359
43286	145	1998-06-07	VYDAJ	PREVOD NA UCET	4815	59941	SIPO	GH	81546359
43287	145	1998-07-07	VYDAJ	PREVOD NA UCET	4815	38196	SIPO	GH	81546359
43288	145	1998-08-07	VYDAJ	PREVOD NA UCET	4815	45553	SIPO	GH	81546359
43289	145	1998-09-07	VYDAJ	PREVOD NA UCET	4815	51247	SIPO	GH	81546359
43290	145	1998-10-07	VYDAJ	PREVOD NA UCET	4815	59861	SIPO	GH	81546359
43291	145	1998-11-07	VYDAJ	PREVOD NA UCET	4815	58802	SIPO	GH	81546359
43292	145	1998-12-07	VYDAJ	PREVOD NA UCET	4815	64154	SIPO	GH	81546359
43294	145	1997-06-26	VYDAJ	VYBER	3100	45581	\N	\N	\N
43295	145	1998-06-08	VYDAJ	VYBER	28900	31041	\N	\N	\N
43297	145	1997-01-15	VYDAJ	VYBER	3600	31914	\N	\N	\N
43298	145	1998-01-21	VYDAJ	VYBER	5800	45614	\N	\N	\N
43299	145	1996-12-16	VYDAJ	VYBER	2900	37759	\N	\N	\N
43300	145	1997-12-12	VYDAJ	VYBER	2200	51905	\N	\N	\N
43301	145	1998-12-30	VYDAJ	VYBER	1400	62154	\N	\N	\N
43308	145	1997-01-08	VYDAJ	VYBER	1900	36414	\N	\N	\N
43309	145	1997-01-18	VYDAJ	VYBER	500	26614	\N	\N	\N
43310	145	1997-01-23	VYDAJ	VYBER	1600	22414	\N	\N	\N
43311	145	1997-01-21	VYDAJ	VYBER	700	24014	\N	\N	\N
43312	145	1997-01-20	VYDAJ	VYBER	1900	24714	\N	\N	\N
43313	145	1997-01-09	VYDAJ	VYBER	900	35514	\N	\N	\N
43314	145	1998-01-04	VYDAJ	VYBER	1200	51206	\N	\N	\N
43315	145	1998-01-11	VYDAJ	VYBER	500	51414	\N	\N	\N
43316	145	1998-01-29	VYDAJ	VYBER	2000	50614	\N	\N	\N
43317	145	1998-01-09	VYDAJ	VYBER	1700	51914	\N	\N	\N
43318	145	1998-01-24	VYDAJ	VYBER	800	52614	\N	\N	\N
43319	145	1998-01-21	VYDAJ	VYBER	600	45014	\N	\N	\N
43320	145	1996-07-21	VYDAJ	VYBER	2500	27615	\N	\N	\N
43321	145	1996-06-06	VYDAJ	VYBER	4200	24279	\N	\N	\N
43323	145	1996-10-10	VYDAJ	VYBER	4500	31386	\N	\N	\N
43324	145	1996-12-18	VYDAJ	VYBER	1400	36359	\N	\N	\N
43325	145	1997-09-13	VYDAJ	VYBER	4300	47780	\N	\N	\N
43326	145	1997-03-12	VYDAJ	VYBER	4800	34567	\N	\N	\N
43327	145	1997-08-20	VYDAJ	VYBER	800	50369	\N	\N	\N
43328	145	1997-06-09	VYDAJ	VYBER	3800	45681	\N	\N	\N
43329	145	1997-01-18	VYDAJ	VYBER	4800	27114	\N	\N	\N
43330	145	1998-06-29	VYDAJ	VYBER	3600	35641	\N	\N	\N
43331	145	1998-05-20	VYDAJ	VYBER	2900	55702	\N	\N	\N
43332	145	1998-03-04	VYDAJ	VYBER	3700	54034	\N	\N	\N
43333	145	1998-03-04	VYDAJ	VYBER	3000	51034	\N	\N	\N
43339	145	1996-05-31	VYDAJ	VYBER	15	28279	SLUZBY	\N	\N
43340	145	1996-06-30	VYDAJ	VYBER	15	30407	SLUZBY	\N	\N
43341	145	1996-07-31	VYDAJ	VYBER	15	27723	SLUZBY	\N	\N
43342	145	1996-08-31	VYDAJ	VYBER	15	33039	SLUZBY	\N	\N
43343	145	1996-09-30	VYDAJ	VYBER	15	33478	SLUZBY	\N	\N
43344	145	1996-10-31	VYDAJ	VYBER	15	31806	SLUZBY	\N	\N
43345	145	1996-11-30	VYDAJ	VYBER	15	34640	SLUZBY	\N	\N
43346	145	1996-12-31	VYDAJ	VYBER	15	35906	SLUZBY	\N	\N
43347	145	1997-01-31	VYDAJ	VYBER	15	30230	SLUZBY	\N	\N
43348	145	1997-02-28	VYDAJ	VYBER	15	36959	SLUZBY	\N	\N
43349	145	1997-03-31	VYDAJ	VYBER	15	39304	SLUZBY	\N	\N
43350	145	1997-04-30	VYDAJ	VYBER	15	43070	SLUZBY	\N	\N
43351	145	1997-05-31	VYDAJ	VYBER	15	43462	SLUZBY	\N	\N
43352	145	1997-06-30	VYDAJ	VYBER	15	45756	SLUZBY	\N	\N
43353	145	1997-07-31	VYDAJ	VYBER	15	48761	SLUZBY	\N	\N
43354	145	1997-08-31	VYDAJ	VYBER	15	49672	SLUZBY	\N	\N
43355	145	1997-09-30	VYDAJ	VYBER	15	48874	SLUZBY	\N	\N
43356	145	1997-10-31	VYDAJ	VYBER	15	48476	SLUZBY	\N	\N
43357	145	1997-11-30	VYDAJ	VYBER	15	48086	SLUZBY	\N	\N
43358	145	1997-12-31	VYDAJ	VYBER	15	52406	SLUZBY	\N	\N
43359	145	1998-01-31	VYDAJ	VYBER	15	50816	SLUZBY	\N	\N
43360	145	1998-02-28	VYDAJ	VYBER	15	57734	SLUZBY	\N	\N
43361	145	1998-03-31	VYDAJ	VYBER	15	55754	SLUZBY	\N	\N
43362	145	1998-04-30	VYDAJ	VYBER	15	56194	SLUZBY	\N	\N
43363	145	1998-05-31	VYDAJ	VYBER	15	53922	SLUZBY	\N	\N
43364	145	1998-06-30	VYDAJ	VYBER	15	35788	SLUZBY	\N	\N
43365	145	1998-07-31	VYDAJ	VYBER	15	43145	SLUZBY	\N	\N
43366	145	1998-08-31	VYDAJ	VYBER	15	48839	SLUZBY	\N	\N
43367	145	1998-09-30	VYDAJ	VYBER	15	57453	SLUZBY	\N	\N
43368	145	1998-10-31	VYDAJ	VYBER	15	56394	SLUZBY	\N	\N
43369	145	1998-11-30	VYDAJ	VYBER	15	58135	SLUZBY	\N	\N
43370	145	1996-02-02	PRIJEM	VKLAD	8100	16451	\N	\N	\N
43371	145	1996-03-03	PRIJEM	VKLAD	200	23959	\N	\N	\N
43372	145	1996-04-02	VYDAJ	VYBER	5800	25506	\N	\N	\N
43373	145	1996-05-02	VYDAJ	VYBER	7100	25764	\N	\N	\N
43374	145	1996-06-01	PRIJEM	VKLAD	200	28479	\N	\N	\N
43375	145	1996-07-01	VYDAJ	VYBER	2700	27707	\N	\N	\N
43376	145	1996-07-31	VYDAJ	VYBER	300	27423	\N	\N	\N
43377	145	1996-08-30	PRIJEM	VKLAD	3100	32931	\N	\N	\N
43378	145	1996-09-29	VYDAJ	VYBER	2100	33347	\N	\N	\N
43379	145	1996-10-29	PRIJEM	VKLAD	300	31686	\N	\N	\N
43380	145	1996-11-28	PRIJEM	VKLAD	300	34514	\N	\N	\N
43381	145	1996-12-28	VYDAJ	VYBER	600	35759	\N	\N	\N
43382	145	1997-01-27	PRIJEM	VKLAD	7700	30114	\N	\N	\N
43383	145	1997-02-26	PRIJEM	VKLAD	4200	36838	\N	\N	\N
43384	145	1997-03-28	PRIJEM	VKLAD	4600	39167	\N	\N	\N
43385	145	1997-04-27	PRIJEM	VKLAD	1200	42912	\N	\N	\N
43386	145	1997-05-27	VYDAJ	VYBER	2200	43278	\N	\N	\N
43387	145	1997-06-26	PRIJEM	VKLAD	3000	48681	\N	\N	\N
43388	145	1997-07-26	PRIJEM	VKLAD	400	48564	\N	\N	\N
43389	145	1997-08-25	VYDAJ	VYBER	900	49469	\N	\N	\N
43390	145	1997-09-24	PRIJEM	VKLAD	900	48680	\N	\N	\N
43391	145	1997-10-24	VYDAJ	VYBER	3000	48282	\N	\N	\N
43392	145	1997-11-23	VYDAJ	VYBER	3000	47884	\N	\N	\N
43393	145	1997-12-23	PRIJEM	VKLAD	300	52205	\N	\N	\N
43394	145	1998-01-22	PRIJEM	VKLAD	8400	53414	\N	\N	\N
43395	145	1998-02-21	PRIJEM	VKLAD	4300	57524	\N	\N	\N
43396	145	1998-03-23	PRIJEM	VKLAD	2100	55542	\N	\N	\N
43397	145	1998-04-22	VYDAJ	VYBER	2200	55962	\N	\N	\N
43398	145	1998-05-22	VYDAJ	VYBER	2000	53702	\N	\N	\N
43399	145	1998-06-21	PRIJEM	VKLAD	8200	39241	\N	\N	\N
43400	145	1998-07-21	PRIJEM	VKLAD	4800	42996	\N	\N	\N
43401	145	1998-08-20	PRIJEM	VKLAD	3100	48653	\N	\N	\N
43402	145	1998-09-19	PRIJEM	VKLAD	6000	57247	\N	\N	\N
43403	145	1998-10-19	VYDAJ	VYBER	3700	56161	\N	\N	\N
43404	145	1998-11-18	VYDAJ	VYBER	900	57902	\N	\N	\N
43405	145	1998-12-18	VYDAJ	VYBER	600	63554	\N	\N	\N
43442	146	1993-09-02	PRIJEM	VKLAD	500	500	\N	\N	\N
43451	146	1993-09-13	PRIJEM	PREVOD Z UCTU	6296	6796	DUCHOD	EF	53671467
43452	146	1993-10-13	PRIJEM	PREVOD Z UCTU	6296	13109	DUCHOD	EF	53671467
43453	146	1993-11-13	PRIJEM	PREVOD Z UCTU	6296	19433	DUCHOD	EF	53671467
43454	146	1993-12-13	PRIJEM	PREVOD Z UCTU	6296	25758	DUCHOD	EF	53671467
43455	146	1994-01-13	PRIJEM	PREVOD Z UCTU	6296	32082	DUCHOD	EF	53671467
43456	146	1994-02-13	PRIJEM	PREVOD Z UCTU	6296	27704	DUCHOD	EF	53671467
43457	146	1994-03-13	PRIJEM	PREVOD Z UCTU	6296	30274	DUCHOD	EF	53671467
43458	146	1994-04-13	PRIJEM	PREVOD Z UCTU	6296	26874	DUCHOD	EF	53671467
43459	146	1994-05-13	PRIJEM	PREVOD Z UCTU	6296	24564	DUCHOD	EF	53671467
43460	146	1994-06-13	PRIJEM	PREVOD Z UCTU	6296	19020	DUCHOD	EF	53671467
43461	146	1994-07-13	PRIJEM	PREVOD Z UCTU	6296	21558	DUCHOD	EF	53671467
43462	146	1994-08-13	PRIJEM	PREVOD Z UCTU	6296	21622	DUCHOD	EF	53671467
43463	146	1994-09-13	PRIJEM	PREVOD Z UCTU	6296	24166	DUCHOD	EF	53671467
43464	146	1994-10-13	PRIJEM	PREVOD Z UCTU	6296	26721	DUCHOD	EF	53671467
43465	146	1994-11-13	PRIJEM	PREVOD Z UCTU	6296	25684	DUCHOD	EF	53671467
43466	146	1994-12-13	PRIJEM	PREVOD Z UCTU	6296	26144	DUCHOD	EF	53671467
43467	146	1995-01-13	PRIJEM	PREVOD Z UCTU	6296	23445	DUCHOD	EF	53671467
43468	146	1995-02-13	PRIJEM	PREVOD Z UCTU	6296	18711	DUCHOD	EF	53671467
43469	146	1995-03-13	PRIJEM	PREVOD Z UCTU	6296	21243	DUCHOD	EF	53671467
43470	146	1995-04-13	PRIJEM	PREVOD Z UCTU	6296	23785	DUCHOD	EF	53671467
43471	146	1995-05-13	PRIJEM	PREVOD Z UCTU	6296	22413	DUCHOD	EF	53671467
43472	146	1995-06-13	PRIJEM	PREVOD Z UCTU	6296	17061	DUCHOD	EF	53671467
43473	146	1995-07-13	PRIJEM	PREVOD Z UCTU	6296	19592	DUCHOD	EF	53671467
43474	146	1995-08-13	PRIJEM	PREVOD Z UCTU	6296	22128	DUCHOD	EF	53671467
43475	146	1995-09-13	PRIJEM	PREVOD Z UCTU	6296	24674	DUCHOD	EF	53671467
43476	146	1995-10-13	PRIJEM	PREVOD Z UCTU	6296	27231	DUCHOD	EF	53671467
43477	146	1995-11-13	PRIJEM	PREVOD Z UCTU	6296	29798	DUCHOD	EF	53671467
43478	146	1995-12-13	PRIJEM	PREVOD Z UCTU	6296	32376	DUCHOD	EF	53671467
43479	146	1996-01-13	PRIJEM	PREVOD Z UCTU	6296	28842	DUCHOD	EF	53671467
43480	146	1996-02-13	PRIJEM	PREVOD Z UCTU	6296	18697	DUCHOD	EF	53671467
43481	146	1996-03-13	PRIJEM	PREVOD Z UCTU	6296	21229	DUCHOD	EF	53671467
43482	146	1996-04-13	PRIJEM	PREVOD Z UCTU	6296	21688	DUCHOD	EF	53671467
43483	146	1996-05-13	PRIJEM	PREVOD Z UCTU	6296	24232	DUCHOD	EF	53671467
43484	146	1996-06-13	PRIJEM	PREVOD Z UCTU	6296	24783	DUCHOD	EF	53671467
43485	146	1996-07-13	PRIJEM	PREVOD Z UCTU	6296	27339	DUCHOD	EF	53671467
43486	146	1996-08-13	PRIJEM	PREVOD Z UCTU	6296	26306	DUCHOD	EF	53671467
43487	146	1996-09-13	PRIJEM	PREVOD Z UCTU	6296	28869	DUCHOD	EF	53671467
43488	146	1996-10-13	PRIJEM	PREVOD Z UCTU	6296	28637	DUCHOD	EF	53671467
43489	146	1996-11-13	PRIJEM	PREVOD Z UCTU	6296	28410	DUCHOD	EF	53671467
43490	146	1996-12-13	PRIJEM	PREVOD Z UCTU	6296	30982	DUCHOD	EF	53671467
43491	146	1997-01-13	PRIJEM	PREVOD Z UCTU	6296	30605	DUCHOD	EF	53671467
43492	146	1997-02-13	PRIJEM	PREVOD Z UCTU	6296	23539	DUCHOD	EF	53671467
43493	146	1997-03-13	PRIJEM	PREVOD Z UCTU	6296	26090	DUCHOD	EF	53671467
43494	146	1997-04-13	PRIJEM	PREVOD Z UCTU	6296	28651	DUCHOD	EF	53671467
43495	146	1997-05-13	PRIJEM	PREVOD Z UCTU	6296	28584	DUCHOD	EF	53671467
43496	146	1997-06-13	PRIJEM	PREVOD Z UCTU	6296	28110	DUCHOD	EF	53671467
43497	146	1997-07-13	PRIJEM	PREVOD Z UCTU	6296	19621	DUCHOD	EF	53671467
43498	146	1997-08-13	PRIJEM	PREVOD Z UCTU	6296	22156	DUCHOD	EF	53671467
43499	146	1997-09-13	PRIJEM	PREVOD Z UCTU	6296	21019	DUCHOD	EF	53671467
43500	146	1997-10-13	PRIJEM	PREVOD Z UCTU	6296	23560	DUCHOD	EF	53671467
43501	146	1997-11-13	PRIJEM	PREVOD Z UCTU	6296	26111	DUCHOD	EF	53671467
43502	146	1997-12-13	PRIJEM	PREVOD Z UCTU	6296	24991	DUCHOD	EF	53671467
43503	146	1998-01-13	PRIJEM	PREVOD Z UCTU	6296	25628	DUCHOD	EF	53671467
43504	146	1998-02-13	PRIJEM	PREVOD Z UCTU	6296	19309	DUCHOD	EF	53671467
43505	146	1998-03-13	PRIJEM	PREVOD Z UCTU	6296	21841	DUCHOD	EF	53671467
43506	146	1998-04-13	PRIJEM	PREVOD Z UCTU	6296	24385	DUCHOD	EF	53671467
43507	146	1998-05-13	PRIJEM	PREVOD Z UCTU	6296	26938	DUCHOD	EF	53671467
43508	146	1998-06-13	PRIJEM	PREVOD Z UCTU	6296	26059	DUCHOD	EF	53671467
43509	146	1998-07-13	PRIJEM	PREVOD Z UCTU	6296	28620	DUCHOD	EF	53671467
43510	146	1998-08-13	PRIJEM	PREVOD Z UCTU	6296	29751	DUCHOD	EF	53671467
43511	146	1998-09-13	PRIJEM	PREVOD Z UCTU	6296	30887	DUCHOD	EF	53671467
43512	146	1998-10-13	PRIJEM	PREVOD Z UCTU	6296	33466	DUCHOD	EF	53671467
43513	146	1998-11-13	PRIJEM	PREVOD Z UCTU	6296	36058	DUCHOD	EF	53671467
43514	146	1998-12-13	PRIJEM	PREVOD Z UCTU	6296	38660	DUCHOD	EF	53671467
43528	146	1994-02-09	VYDAJ	PREVOD NA UCET	3823	21408	SIPO	AB	76565843
43529	146	1994-03-09	VYDAJ	PREVOD NA UCET	3823	23978	SIPO	AB	76565843
43530	146	1994-04-09	VYDAJ	PREVOD NA UCET	3823	20578	SIPO	AB	76565843
43531	146	1994-05-09	VYDAJ	PREVOD NA UCET	3823	18268	SIPO	AB	76565843
43532	146	1994-06-09	VYDAJ	PREVOD NA UCET	3823	12724	SIPO	AB	76565843
43533	146	1994-07-09	VYDAJ	PREVOD NA UCET	3823	15262	SIPO	AB	76565843
43534	146	1994-08-09	VYDAJ	PREVOD NA UCET	3823	15326	SIPO	AB	76565843
43535	146	1994-09-09	VYDAJ	PREVOD NA UCET	3823	17870	SIPO	AB	76565843
43536	146	1994-10-09	VYDAJ	PREVOD NA UCET	3823	20425	SIPO	AB	76565843
43537	146	1994-11-09	VYDAJ	PREVOD NA UCET	3823	19388	SIPO	AB	76565843
43538	146	1994-12-09	VYDAJ	PREVOD NA UCET	3823	19848	SIPO	AB	76565843
43539	146	1995-01-09	VYDAJ	PREVOD NA UCET	3823	17149	SIPO	AB	76565843
43540	146	1995-02-09	VYDAJ	PREVOD NA UCET	3823	12415	SIPO	AB	76565843
43541	146	1995-03-09	VYDAJ	PREVOD NA UCET	3823	14947	SIPO	AB	76565843
43542	146	1995-04-09	VYDAJ	PREVOD NA UCET	3823	17489	SIPO	AB	76565843
43543	146	1995-05-09	VYDAJ	PREVOD NA UCET	3823	16117	SIPO	AB	76565843
43544	146	1995-06-09	VYDAJ	PREVOD NA UCET	3823	10765	SIPO	AB	76565843
43545	146	1995-07-09	VYDAJ	PREVOD NA UCET	3823	13296	SIPO	AB	76565843
43546	146	1995-08-09	VYDAJ	PREVOD NA UCET	3823	15832	SIPO	AB	76565843
43547	146	1995-09-09	VYDAJ	PREVOD NA UCET	3823	18378	SIPO	AB	76565843
43548	146	1995-10-09	VYDAJ	PREVOD NA UCET	3823	20935	SIPO	AB	76565843
43549	146	1995-11-09	VYDAJ	PREVOD NA UCET	3823	23502	SIPO	AB	76565843
43550	146	1995-12-09	VYDAJ	PREVOD NA UCET	3823	26080	SIPO	AB	76565843
43551	146	1996-01-09	VYDAJ	PREVOD NA UCET	3823	24226	SIPO	AB	76565843
43552	146	1996-02-09	VYDAJ	PREVOD NA UCET	3823	12401	SIPO	AB	76565843
43553	146	1996-03-09	VYDAJ	PREVOD NA UCET	3823	14933	SIPO	AB	76565843
43554	146	1996-04-09	VYDAJ	PREVOD NA UCET	3823	15392	SIPO	AB	76565843
43555	146	1996-05-09	VYDAJ	PREVOD NA UCET	3823	17936	SIPO	AB	76565843
43556	146	1996-06-09	VYDAJ	PREVOD NA UCET	3823	18487	SIPO	AB	76565843
43557	146	1996-07-09	VYDAJ	PREVOD NA UCET	3823	21043	SIPO	AB	76565843
43558	146	1996-08-09	VYDAJ	PREVOD NA UCET	3823	20010	SIPO	AB	76565843
43559	146	1996-09-09	VYDAJ	PREVOD NA UCET	3823	22573	SIPO	AB	76565843
43560	146	1996-10-09	VYDAJ	PREVOD NA UCET	3823	22341	SIPO	AB	76565843
43561	146	1996-11-09	VYDAJ	PREVOD NA UCET	3823	22114	SIPO	AB	76565843
43562	146	1996-12-09	VYDAJ	PREVOD NA UCET	3823	24686	SIPO	AB	76565843
43563	146	1997-01-09	VYDAJ	PREVOD NA UCET	3823	25269	SIPO	AB	76565843
43564	146	1997-02-09	VYDAJ	PREVOD NA UCET	3823	17243	SIPO	AB	76565843
43565	146	1997-03-09	VYDAJ	PREVOD NA UCET	3823	19794	SIPO	AB	76565843
43566	146	1997-04-09	VYDAJ	PREVOD NA UCET	3823	22355	SIPO	AB	76565843
43567	146	1997-05-09	VYDAJ	PREVOD NA UCET	3823	22288	SIPO	AB	76565843
43568	146	1997-06-09	VYDAJ	PREVOD NA UCET	3823	21814	SIPO	AB	76565843
43569	146	1997-07-09	VYDAJ	PREVOD NA UCET	3823	13325	SIPO	AB	76565843
43570	146	1997-08-09	VYDAJ	PREVOD NA UCET	3823	15860	SIPO	AB	76565843
43571	146	1997-09-09	VYDAJ	PREVOD NA UCET	3823	14723	SIPO	AB	76565843
43572	146	1997-10-09	VYDAJ	PREVOD NA UCET	3823	17264	SIPO	AB	76565843
43573	146	1997-11-09	VYDAJ	PREVOD NA UCET	3823	19815	SIPO	AB	76565843
43574	146	1997-12-09	VYDAJ	PREVOD NA UCET	3823	18695	SIPO	AB	76565843
43575	146	1998-01-09	VYDAJ	PREVOD NA UCET	3823	20372	SIPO	AB	76565843
43576	146	1998-02-09	VYDAJ	PREVOD NA UCET	3823	13013	SIPO	AB	76565843
43577	146	1998-03-09	VYDAJ	PREVOD NA UCET	3823	15545	SIPO	AB	76565843
43578	146	1998-04-09	VYDAJ	PREVOD NA UCET	3823	18089	SIPO	AB	76565843
43579	146	1998-05-09	VYDAJ	PREVOD NA UCET	3823	20642	SIPO	AB	76565843
43580	146	1998-06-09	VYDAJ	PREVOD NA UCET	3823	19763	SIPO	AB	76565843
43581	146	1998-07-09	VYDAJ	PREVOD NA UCET	3823	22324	SIPO	AB	76565843
43582	146	1998-08-09	VYDAJ	PREVOD NA UCET	3823	23455	SIPO	AB	76565843
43583	146	1998-09-09	VYDAJ	PREVOD NA UCET	3823	24591	SIPO	AB	76565843
43584	146	1998-10-09	VYDAJ	PREVOD NA UCET	3823	27170	SIPO	AB	76565843
43585	146	1998-11-09	VYDAJ	PREVOD NA UCET	3823	29762	SIPO	AB	76565843
43586	146	1998-12-09	VYDAJ	PREVOD NA UCET	3823	32364	SIPO	AB	76565843
43588	146	1994-06-05	VYDAJ	VYBER	5600	16547	\N	\N	\N
43589	146	1995-06-03	VYDAJ	VYBER	7900	14588	\N	\N	\N
43591	146	1997-06-25	VYDAJ	VYBER	11050	17060	\N	\N	\N
43594	146	1994-01-21	VYDAJ	VYBER	2600	28122	\N	\N	\N
43595	146	1995-01-25	VYDAJ	VYBER	2800	19445	\N	\N	\N
43596	146	1996-01-30	VYDAJ	VYBER	4950	16132	\N	\N	\N
43597	146	1997-01-15	VYDAJ	VYBER	1950	26415	\N	\N	\N
43598	146	1998-01-15	VYDAJ	VYBER	4700	19328	\N	\N	\N
43606	146	1994-01-26	VYDAJ	VYBER	720	25162	\N	\N	\N
43609	146	1994-01-13	VYDAJ	VYBER	1360	30722	\N	\N	\N
43610	146	1994-01-23	VYDAJ	VYBER	2240	25882	\N	\N	\N
43611	146	1995-01-26	VYDAJ	VYBER	1600	17845	\N	\N	\N
43612	146	1995-01-27	VYDAJ	VYBER	1680	16165	\N	\N	\N
43613	146	1995-01-08	VYDAJ	VYBER	1840	20972	\N	\N	\N
43614	146	1995-01-02	VYDAJ	VYBER	1120	22812	\N	\N	\N
43615	146	1995-01-13	VYDAJ	VYBER	640	22805	\N	\N	\N
43616	146	1995-01-20	VYDAJ	VYBER	560	22245	\N	\N	\N
43617	146	1996-01-10	VYDAJ	VYBER	1680	22546	\N	\N	\N
43618	146	1996-01-17	VYDAJ	VYBER	560	26042	\N	\N	\N
43619	146	1996-01-18	VYDAJ	VYBER	960	25082	\N	\N	\N
43620	146	1996-01-13	VYDAJ	VYBER	2240	26602	\N	\N	\N
43621	146	1996-01-06	VYDAJ	VYBER	2240	28049	\N	\N	\N
43622	146	1996-01-29	VYDAJ	VYBER	400	21082	\N	\N	\N
43623	146	1997-01-10	VYDAJ	VYBER	960	24309	\N	\N	\N
43624	146	1997-01-13	VYDAJ	VYBER	2240	28365	\N	\N	\N
43625	146	1997-01-23	VYDAJ	VYBER	1200	20975	\N	\N	\N
43626	146	1997-01-18	VYDAJ	VYBER	2000	24415	\N	\N	\N
43627	146	1997-01-04	VYDAJ	VYBER	2000	29092	\N	\N	\N
43628	146	1997-01-20	VYDAJ	VYBER	2240	22175	\N	\N	\N
43631	146	1998-01-22	VYDAJ	VYBER	1280	16768	\N	\N	\N
43632	146	1998-01-09	VYDAJ	VYBER	1040	19332	\N	\N	\N
43633	146	1998-01-19	VYDAJ	VYBER	1280	18048	\N	\N	\N
43634	146	1998-01-06	VYDAJ	VYBER	880	24195	\N	\N	\N
43639	146	1994-04-07	VYDAJ	VYBER	3680	24401	\N	\N	\N
43640	146	1994-04-13	VYDAJ	VYBER	3680	23194	\N	\N	\N
43641	146	1994-07-13	VYDAJ	VYBER	2480	19078	\N	\N	\N
43642	146	1995-04-21	VYDAJ	VYBER	3920	19865	\N	\N	\N
43643	146	1996-03-22	VYDAJ	VYBER	2080	19149	\N	\N	\N
43644	146	1996-01-27	VYDAJ	VYBER	3600	21482	\N	\N	\N
43645	146	1996-05-17	VYDAJ	VYBER	2000	22232	\N	\N	\N
43646	146	1996-11-03	VYDAJ	VYBER	2800	25937	\N	\N	\N
43647	146	1996-09-17	VYDAJ	VYBER	2800	26069	\N	\N	\N
43648	146	1996-07-29	VYDAJ	VYBER	3600	23739	\N	\N	\N
43649	146	1997-08-29	VYDAJ	VYBER	3680	18476	\N	\N	\N
43650	146	1997-11-29	VYDAJ	VYBER	3680	22431	\N	\N	\N
43651	146	1997-05-16	VYDAJ	VYBER	3040	25544	\N	\N	\N
43652	146	1997-05-03	VYDAJ	VYBER	2640	26111	\N	\N	\N
43653	146	1998-01-14	VYDAJ	VYBER	1600	24028	\N	\N	\N
43654	146	1998-08-02	VYDAJ	VYBER	1440	27278	\N	\N	\N
43655	146	1998-09-06	VYDAJ	VYBER	1440	28414	\N	\N	\N
43656	146	1998-05-24	VYDAJ	VYBER	3440	23498	\N	\N	\N
43670	146	1994-01-31	VYDAJ	VYBER	15	25231	SLUZBY	\N	\N
43671	146	1994-02-28	VYDAJ	VYBER	15	27801	SLUZBY	\N	\N
43672	146	1994-03-31	VYDAJ	VYBER	15	30381	SLUZBY	\N	\N
43673	146	1994-04-30	VYDAJ	VYBER	15	22091	SLUZBY	\N	\N
43674	146	1994-05-31	VYDAJ	VYBER	15	22147	SLUZBY	\N	\N
43675	146	1994-06-30	VYDAJ	VYBER	15	19085	SLUZBY	\N	\N
43676	146	1994-07-31	VYDAJ	VYBER	15	19149	SLUZBY	\N	\N
43677	146	1994-08-31	VYDAJ	VYBER	15	21693	SLUZBY	\N	\N
43678	146	1994-09-30	VYDAJ	VYBER	15	24248	SLUZBY	\N	\N
43679	146	1994-10-31	VYDAJ	VYBER	15	23211	SLUZBY	\N	\N
43680	146	1994-11-30	VYDAJ	VYBER	15	23671	SLUZBY	\N	\N
43681	146	1994-12-31	VYDAJ	VYBER	15	23932	SLUZBY	\N	\N
43682	146	1995-01-31	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
43683	146	1995-02-28	VYDAJ	VYBER	15	18770	SLUZBY	\N	\N
43684	146	1995-03-31	VYDAJ	VYBER	15	21312	SLUZBY	\N	\N
43685	146	1995-04-30	VYDAJ	VYBER	15	19940	SLUZBY	\N	\N
43686	146	1995-05-31	VYDAJ	VYBER	15	22488	SLUZBY	\N	\N
43687	146	1995-06-30	VYDAJ	VYBER	15	17119	SLUZBY	\N	\N
43688	146	1995-07-31	VYDAJ	VYBER	15	19655	SLUZBY	\N	\N
43689	146	1995-08-31	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
43690	146	1995-09-30	VYDAJ	VYBER	15	24758	SLUZBY	\N	\N
43691	146	1995-10-31	VYDAJ	VYBER	15	27325	SLUZBY	\N	\N
43692	146	1995-11-30	VYDAJ	VYBER	15	29903	SLUZBY	\N	\N
43693	146	1995-12-31	VYDAJ	VYBER	15	30289	SLUZBY	\N	\N
43694	146	1996-01-31	VYDAJ	VYBER	15	16224	SLUZBY	\N	\N
43695	146	1996-02-29	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
43696	146	1996-03-31	VYDAJ	VYBER	15	19215	SLUZBY	\N	\N
43697	146	1996-04-30	VYDAJ	VYBER	15	21759	SLUZBY	\N	\N
43698	146	1996-05-31	VYDAJ	VYBER	15	22310	SLUZBY	\N	\N
43699	146	1996-06-30	VYDAJ	VYBER	15	24866	SLUZBY	\N	\N
43700	146	1996-07-31	VYDAJ	VYBER	15	23833	SLUZBY	\N	\N
43701	146	1996-08-31	VYDAJ	VYBER	15	26396	SLUZBY	\N	\N
43702	146	1996-09-30	VYDAJ	VYBER	15	26164	SLUZBY	\N	\N
43703	146	1996-10-31	VYDAJ	VYBER	15	28737	SLUZBY	\N	\N
43704	146	1996-11-30	VYDAJ	VYBER	15	28509	SLUZBY	\N	\N
43705	146	1996-12-31	VYDAJ	VYBER	15	31092	SLUZBY	\N	\N
43706	146	1997-01-31	VYDAJ	VYBER	15	21066	SLUZBY	\N	\N
43707	146	1997-02-28	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
43708	146	1997-03-31	VYDAJ	VYBER	15	26178	SLUZBY	\N	\N
43709	146	1997-04-30	VYDAJ	VYBER	15	28751	SLUZBY	\N	\N
43710	146	1997-05-31	VYDAJ	VYBER	15	25637	SLUZBY	\N	\N
43711	146	1997-06-30	VYDAJ	VYBER	15	17148	SLUZBY	\N	\N
43712	146	1997-07-31	VYDAJ	VYBER	15	19683	SLUZBY	\N	\N
43713	146	1997-08-31	VYDAJ	VYBER	15	18546	SLUZBY	\N	\N
43714	146	1997-09-30	VYDAJ	VYBER	15	21087	SLUZBY	\N	\N
43715	146	1997-10-31	VYDAJ	VYBER	15	23638	SLUZBY	\N	\N
43716	146	1997-11-30	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
43717	146	1997-12-31	VYDAJ	VYBER	15	25075	SLUZBY	\N	\N
43718	146	1998-01-31	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
43719	146	1998-02-28	VYDAJ	VYBER	15	19368	SLUZBY	\N	\N
43720	146	1998-03-31	VYDAJ	VYBER	15	21912	SLUZBY	\N	\N
43721	146	1998-04-30	VYDAJ	VYBER	15	24465	SLUZBY	\N	\N
43722	146	1998-05-31	VYDAJ	VYBER	15	23586	SLUZBY	\N	\N
43723	146	1998-06-30	VYDAJ	VYBER	15	26147	SLUZBY	\N	\N
43724	146	1998-07-31	VYDAJ	VYBER	15	28718	SLUZBY	\N	\N
43725	146	1998-08-31	VYDAJ	VYBER	15	29854	SLUZBY	\N	\N
43726	146	1998-09-30	VYDAJ	VYBER	15	30993	SLUZBY	\N	\N
43727	146	1998-10-31	VYDAJ	VYBER	15	33585	SLUZBY	\N	\N
43728	146	1998-11-30	VYDAJ	VYBER	15	36187	SLUZBY	\N	\N
43729	146	1994-03-31	VYDAJ	VYBER	2300	28081	\N	\N	\N
43730	146	1994-04-30	VYDAJ	VYBER	1200	22106	\N	\N	\N
43731	146	1994-05-30	VYDAJ	VYBER	2500	22064	\N	\N	\N
43732	146	1994-10-27	VYDAJ	VYBER	3600	23121	\N	\N	\N
43733	146	1994-11-26	VYDAJ	VYBER	2100	23584	\N	\N	\N
43734	146	1994-12-26	VYDAJ	VYBER	2300	23844	\N	\N	\N
43735	146	1995-12-21	VYDAJ	VYBER	2200	30176	\N	\N	\N
44071	148	1993-06-21	PRIJEM	VKLAD	500	500	\N	\N	\N
44078	148	1993-07-14	PRIJEM	PREVOD Z UCTU	3468	3968	\N	YZ	56731092
44079	148	1993-08-14	PRIJEM	PREVOD Z UCTU	3468	7436	\N	YZ	56731092
44080	148	1993-09-14	PRIJEM	PREVOD Z UCTU	3468	10904	\N	YZ	56731092
44081	148	1993-10-14	PRIJEM	PREVOD Z UCTU	3468	14372	\N	YZ	56731092
44082	148	1993-11-14	PRIJEM	PREVOD Z UCTU	3468	17840	\N	YZ	56731092
44083	148	1993-12-14	PRIJEM	PREVOD Z UCTU	3468	18984	\N	YZ	56731092
44084	148	1994-01-14	PRIJEM	PREVOD Z UCTU	3468	18640	\N	YZ	56731092
44085	148	1994-02-14	PRIJEM	PREVOD Z UCTU	3468	15863	\N	YZ	56731092
44086	148	1994-03-14	PRIJEM	PREVOD Z UCTU	3468	15596	\N	YZ	56731092
44087	148	1994-04-14	PRIJEM	PREVOD Z UCTU	3468	15959	\N	YZ	56731092
44088	148	1994-05-14	PRIJEM	PREVOD Z UCTU	3468	17164	\N	YZ	56731092
44089	148	1994-06-14	PRIJEM	PREVOD Z UCTU	3468	18373	\N	YZ	56731092
44090	148	1994-07-14	PRIJEM	PREVOD Z UCTU	3468	18148	\N	YZ	56731092
44091	148	1994-08-14	PRIJEM	PREVOD Z UCTU	3468	19363	\N	YZ	56731092
44092	148	1994-09-14	PRIJEM	PREVOD Z UCTU	3468	20432	\N	YZ	56731092
44093	148	1994-10-14	PRIJEM	PREVOD Z UCTU	3468	20953	\N	YZ	56731092
44094	148	1994-11-14	PRIJEM	PREVOD Z UCTU	3468	21978	\N	YZ	56731092
44095	148	1994-12-14	PRIJEM	PREVOD Z UCTU	3468	23208	\N	YZ	56731092
44096	148	1995-01-14	PRIJEM	PREVOD Z UCTU	3468	22883	\N	YZ	56731092
44097	148	1995-02-14	PRIJEM	PREVOD Z UCTU	3468	20213	\N	YZ	56731092
44098	148	1995-03-14	PRIJEM	PREVOD Z UCTU	3468	20435	\N	YZ	56731092
44099	148	1995-04-14	PRIJEM	PREVOD Z UCTU	3468	20190	\N	YZ	56731092
44100	148	1995-05-14	PRIJEM	PREVOD Z UCTU	3468	20314	\N	YZ	56731092
44101	148	1995-06-14	PRIJEM	PREVOD Z UCTU	3468	20608	\N	YZ	56731092
44102	148	1995-07-14	PRIJEM	PREVOD Z UCTU	3468	20841	\N	YZ	56731092
44103	148	1995-08-14	PRIJEM	PREVOD Z UCTU	3468	21665	\N	YZ	56731092
44104	148	1995-09-14	PRIJEM	PREVOD Z UCTU	3468	21494	\N	YZ	56731092
44105	148	1995-10-14	PRIJEM	PREVOD Z UCTU	3468	22723	\N	YZ	56731092
44106	148	1995-11-14	PRIJEM	PREVOD Z UCTU	3468	22555	\N	YZ	56731092
44107	148	1995-12-14	PRIJEM	PREVOD Z UCTU	3468	21788	\N	YZ	56731092
44108	148	1996-01-14	PRIJEM	PREVOD Z UCTU	3468	17009	\N	YZ	56731092
44109	148	1996-02-14	PRIJEM	PREVOD Z UCTU	3468	15126	\N	YZ	56731092
44110	148	1996-03-14	PRIJEM	PREVOD Z UCTU	3468	14926	\N	YZ	56731092
44111	148	1996-04-14	PRIJEM	PREVOD Z UCTU	3468	13727	\N	YZ	56731092
44112	148	1996-05-14	PRIJEM	PREVOD Z UCTU	3468	14024	\N	YZ	56731092
44113	148	1996-06-14	PRIJEM	PREVOD Z UCTU	3468	14891	\N	YZ	56731092
44114	148	1996-07-14	PRIJEM	PREVOD Z UCTU	3468	12790	\N	YZ	56731092
44115	148	1996-08-14	PRIJEM	PREVOD Z UCTU	3468	13984	\N	YZ	56731092
44116	148	1996-09-14	PRIJEM	PREVOD Z UCTU	3468	15180	\N	YZ	56731092
44367	148	1994-01-27	VYDAJ	VYBER	1530	14980	\N	\N	\N
44117	148	1996-10-14	PRIJEM	PREVOD Z UCTU	3468	16200	\N	YZ	56731092
44118	148	1996-11-14	PRIJEM	PREVOD Z UCTU	3468	17405	\N	YZ	56731092
44119	148	1996-12-14	PRIJEM	PREVOD Z UCTU	3468	17174	\N	YZ	56731092
44120	148	1997-01-14	PRIJEM	PREVOD Z UCTU	3468	17392	\N	YZ	56731092
44121	148	1997-02-14	PRIJEM	PREVOD Z UCTU	3468	15871	\N	YZ	56731092
44122	148	1997-03-14	PRIJEM	PREVOD Z UCTU	3468	16714	\N	YZ	56731092
44123	148	1997-04-14	PRIJEM	PREVOD Z UCTU	3468	17921	\N	YZ	56731092
44124	148	1997-05-14	PRIJEM	PREVOD Z UCTU	3468	17332	\N	YZ	56731092
44125	148	1997-06-14	PRIJEM	PREVOD Z UCTU	3468	17613	\N	YZ	56731092
44126	148	1997-07-14	PRIJEM	PREVOD Z UCTU	3468	18824	\N	YZ	56731092
44127	148	1997-08-14	PRIJEM	PREVOD Z UCTU	3468	20040	\N	YZ	56731092
44128	148	1997-09-14	PRIJEM	PREVOD Z UCTU	3468	21260	\N	YZ	56731092
44129	148	1997-10-14	PRIJEM	PREVOD Z UCTU	3468	22185	\N	YZ	56731092
44130	148	1997-11-14	PRIJEM	PREVOD Z UCTU	3468	19933	\N	YZ	56731092
44131	148	1997-12-14	PRIJEM	PREVOD Z UCTU	3468	21155	\N	YZ	56731092
44132	148	1998-01-14	PRIJEM	PREVOD Z UCTU	3468	20550	\N	YZ	56731092
44133	148	1998-02-14	PRIJEM	PREVOD Z UCTU	3468	16308	\N	YZ	56731092
44134	148	1998-03-14	PRIJEM	PREVOD Z UCTU	3468	17512	\N	YZ	56731092
44135	148	1998-04-14	PRIJEM	PREVOD Z UCTU	3468	17731	\N	YZ	56731092
44136	148	1998-05-14	PRIJEM	PREVOD Z UCTU	3468	18943	\N	YZ	56731092
44137	148	1998-06-14	PRIJEM	PREVOD Z UCTU	3468	20158	\N	YZ	56731092
44138	148	1998-07-14	PRIJEM	PREVOD Z UCTU	3468	21378	\N	YZ	56731092
44139	148	1998-08-14	PRIJEM	PREVOD Z UCTU	3468	22303	\N	YZ	56731092
44140	148	1998-09-14	PRIJEM	PREVOD Z UCTU	3468	23532	\N	YZ	56731092
44141	148	1998-10-14	PRIJEM	PREVOD Z UCTU	3468	24766	\N	YZ	56731092
44142	148	1998-11-14	PRIJEM	PREVOD Z UCTU	3468	25855	\N	YZ	56731092
44143	148	1998-12-14	PRIJEM	PREVOD Z UCTU	3468	27098	\N	YZ	56731092
44155	148	1993-12-12	VYDAJ	PREVOD NA UCET	487	15516	\N	KL	29826498
44156	148	1994-01-12	VYDAJ	PREVOD NA UCET	487	15172	\N	KL	29826498
44157	148	1994-02-12	VYDAJ	PREVOD NA UCET	487	12395	\N	KL	29826498
44158	148	1994-03-12	VYDAJ	PREVOD NA UCET	487	12128	\N	KL	29826498
44159	148	1994-04-12	VYDAJ	PREVOD NA UCET	487	12491	\N	KL	29826498
44160	148	1994-05-12	VYDAJ	PREVOD NA UCET	487	13696	\N	KL	29826498
44161	148	1994-06-12	VYDAJ	PREVOD NA UCET	487	14905	\N	KL	29826498
44162	148	1994-07-12	VYDAJ	PREVOD NA UCET	487	14680	\N	KL	29826498
44163	148	1994-08-12	VYDAJ	PREVOD NA UCET	487	15895	\N	KL	29826498
44164	148	1994-09-12	VYDAJ	PREVOD NA UCET	487	16964	\N	KL	29826498
44165	148	1994-10-12	VYDAJ	PREVOD NA UCET	487	17485	\N	KL	29826498
44166	148	1994-11-12	VYDAJ	PREVOD NA UCET	487	18710	\N	KL	29826498
44167	148	1994-12-12	VYDAJ	PREVOD NA UCET	487	19740	\N	KL	29826498
44168	148	1995-01-12	VYDAJ	PREVOD NA UCET	487	19415	\N	KL	29826498
44169	148	1995-02-12	VYDAJ	PREVOD NA UCET	487	16745	\N	KL	29826498
44170	148	1995-03-12	VYDAJ	PREVOD NA UCET	487	17967	\N	KL	29826498
44171	148	1995-04-12	VYDAJ	PREVOD NA UCET	487	18192	\N	KL	29826498
44172	148	1995-05-12	VYDAJ	PREVOD NA UCET	487	17946	\N	KL	29826498
44173	148	1995-06-12	VYDAJ	PREVOD NA UCET	487	17140	\N	KL	29826498
44174	148	1995-07-12	VYDAJ	PREVOD NA UCET	487	17373	\N	KL	29826498
44175	148	1995-08-12	VYDAJ	PREVOD NA UCET	487	18197	\N	KL	29826498
44176	148	1995-09-12	VYDAJ	PREVOD NA UCET	487	18026	\N	KL	29826498
44177	148	1995-10-12	VYDAJ	PREVOD NA UCET	487	19255	\N	KL	29826498
44178	148	1995-11-12	VYDAJ	PREVOD NA UCET	487	19087	\N	KL	29826498
44179	148	1995-12-12	VYDAJ	PREVOD NA UCET	487	18320	\N	KL	29826498
44180	148	1996-01-12	VYDAJ	PREVOD NA UCET	487	13541	\N	KL	29826498
44181	148	1996-02-12	VYDAJ	PREVOD NA UCET	487	11658	\N	KL	29826498
44182	148	1996-03-12	VYDAJ	PREVOD NA UCET	487	11458	\N	KL	29826498
44183	148	1996-04-12	VYDAJ	PREVOD NA UCET	487	10259	\N	KL	29826498
44184	148	1996-05-12	VYDAJ	PREVOD NA UCET	487	10556	\N	KL	29826498
44185	148	1996-06-12	VYDAJ	PREVOD NA UCET	487	11423	\N	KL	29826498
44186	148	1996-07-12	VYDAJ	PREVOD NA UCET	487	9322	\N	KL	29826498
44187	148	1996-08-12	VYDAJ	PREVOD NA UCET	487	10516	\N	KL	29826498
44188	148	1996-09-12	VYDAJ	PREVOD NA UCET	487	11712	\N	KL	29826498
44189	148	1996-10-12	VYDAJ	PREVOD NA UCET	487	12732	\N	KL	29826498
44190	148	1996-11-12	VYDAJ	PREVOD NA UCET	487	13937	\N	KL	29826498
44191	148	1996-12-12	VYDAJ	PREVOD NA UCET	487	13706	\N	KL	29826498
44192	148	1997-01-12	VYDAJ	PREVOD NA UCET	487	13924	\N	KL	29826498
44193	148	1997-02-12	VYDAJ	PREVOD NA UCET	487	12403	\N	KL	29826498
44194	148	1997-03-12	VYDAJ	PREVOD NA UCET	487	13246	\N	KL	29826498
44195	148	1997-04-12	VYDAJ	PREVOD NA UCET	487	14453	\N	KL	29826498
44196	148	1997-05-12	VYDAJ	PREVOD NA UCET	487	13864	\N	KL	29826498
44197	148	1997-06-12	VYDAJ	PREVOD NA UCET	487	14145	\N	KL	29826498
44198	148	1997-07-12	VYDAJ	PREVOD NA UCET	487	15356	\N	KL	29826498
44199	148	1997-08-12	VYDAJ	PREVOD NA UCET	487	16572	\N	KL	29826498
44200	148	1997-09-12	VYDAJ	PREVOD NA UCET	487	17792	\N	KL	29826498
44201	148	1997-10-12	VYDAJ	PREVOD NA UCET	487	18717	\N	KL	29826498
44202	148	1997-11-12	VYDAJ	PREVOD NA UCET	487	16465	\N	KL	29826498
44203	148	1997-12-12	VYDAJ	PREVOD NA UCET	487	17687	\N	KL	29826498
44204	148	1998-01-12	VYDAJ	PREVOD NA UCET	487	17082	\N	KL	29826498
44205	148	1998-02-12	VYDAJ	PREVOD NA UCET	487	12840	\N	KL	29826498
44206	148	1998-03-12	VYDAJ	PREVOD NA UCET	487	14044	\N	KL	29826498
44207	148	1998-04-12	VYDAJ	PREVOD NA UCET	487	14263	\N	KL	29826498
44208	148	1998-05-12	VYDAJ	PREVOD NA UCET	487	15475	\N	KL	29826498
44209	148	1998-06-12	VYDAJ	PREVOD NA UCET	487	16690	\N	KL	29826498
44210	148	1998-07-12	VYDAJ	PREVOD NA UCET	487	17910	\N	KL	29826498
44211	148	1998-08-12	VYDAJ	PREVOD NA UCET	487	18835	\N	KL	29826498
44212	148	1998-09-12	VYDAJ	PREVOD NA UCET	487	20064	\N	KL	29826498
44213	148	1998-10-12	VYDAJ	PREVOD NA UCET	487	21298	\N	KL	29826498
44214	148	1998-11-12	VYDAJ	PREVOD NA UCET	487	22387	\N	KL	29826498
44215	148	1998-12-12	VYDAJ	PREVOD NA UCET	487	23630	\N	KL	29826498
44227	148	1993-12-08	VYDAJ	PREVOD NA UCET	89	17739	\N	GH	99004148
44228	148	1994-01-08	VYDAJ	PREVOD NA UCET	89	18175	\N	GH	99004148
44229	148	1994-02-08	VYDAJ	PREVOD NA UCET	89	14618	\N	GH	99004148
44230	148	1994-03-08	VYDAJ	PREVOD NA UCET	89	14351	\N	GH	99004148
44231	148	1994-04-08	VYDAJ	PREVOD NA UCET	89	14714	\N	GH	99004148
44232	148	1994-05-08	VYDAJ	PREVOD NA UCET	89	15919	\N	GH	99004148
44233	148	1994-06-08	VYDAJ	PREVOD NA UCET	89	17128	\N	GH	99004148
44234	148	1994-07-08	VYDAJ	PREVOD NA UCET	89	18343	\N	GH	99004148
44235	148	1994-08-08	VYDAJ	PREVOD NA UCET	89	18118	\N	GH	99004148
44236	148	1994-09-08	VYDAJ	PREVOD NA UCET	89	19187	\N	GH	99004148
44237	148	1994-10-08	VYDAJ	PREVOD NA UCET	89	19708	\N	GH	99004148
44238	148	1994-11-08	VYDAJ	PREVOD NA UCET	89	20933	\N	GH	99004148
44239	148	1994-12-08	VYDAJ	PREVOD NA UCET	89	21963	\N	GH	99004148
44240	148	1995-01-08	VYDAJ	PREVOD NA UCET	89	22868	\N	GH	99004148
44241	148	1995-02-08	VYDAJ	PREVOD NA UCET	89	18968	\N	GH	99004148
44242	148	1995-03-08	VYDAJ	PREVOD NA UCET	89	20190	\N	GH	99004148
44243	148	1995-04-08	VYDAJ	PREVOD NA UCET	89	20415	\N	GH	99004148
44244	148	1995-05-08	VYDAJ	PREVOD NA UCET	89	20169	\N	GH	99004148
44245	148	1995-06-08	VYDAJ	PREVOD NA UCET	89	19363	\N	GH	99004148
44246	148	1995-07-08	VYDAJ	PREVOD NA UCET	89	19596	\N	GH	99004148
44247	148	1995-08-08	VYDAJ	PREVOD NA UCET	89	20820	\N	GH	99004148
44248	148	1995-09-08	VYDAJ	PREVOD NA UCET	89	21649	\N	GH	99004148
44249	148	1995-10-08	VYDAJ	PREVOD NA UCET	89	21478	\N	GH	99004148
44250	148	1995-11-08	VYDAJ	PREVOD NA UCET	89	21310	\N	GH	99004148
44251	148	1995-12-08	VYDAJ	PREVOD NA UCET	89	22543	\N	GH	99004148
44252	148	1996-01-08	VYDAJ	PREVOD NA UCET	89	15764	\N	GH	99004148
44253	148	1996-02-08	VYDAJ	PREVOD NA UCET	89	13881	\N	GH	99004148
44254	148	1996-03-08	VYDAJ	PREVOD NA UCET	89	13681	\N	GH	99004148
44255	148	1996-04-08	VYDAJ	PREVOD NA UCET	89	12482	\N	GH	99004148
44256	148	1996-05-08	VYDAJ	PREVOD NA UCET	89	12779	\N	GH	99004148
44257	148	1996-06-08	VYDAJ	PREVOD NA UCET	89	13646	\N	GH	99004148
44258	148	1996-07-08	VYDAJ	PREVOD NA UCET	89	11545	\N	GH	99004148
44259	148	1996-08-08	VYDAJ	PREVOD NA UCET	89	12739	\N	GH	99004148
44260	148	1996-09-08	VYDAJ	PREVOD NA UCET	89	13935	\N	GH	99004148
44261	148	1996-10-08	VYDAJ	PREVOD NA UCET	89	14955	\N	GH	99004148
44262	148	1996-11-08	VYDAJ	PREVOD NA UCET	89	16160	\N	GH	99004148
44263	148	1996-12-08	VYDAJ	PREVOD NA UCET	89	15929	\N	GH	99004148
44264	148	1997-01-08	VYDAJ	PREVOD NA UCET	89	17137	\N	GH	99004148
44265	148	1997-02-08	VYDAJ	PREVOD NA UCET	89	14626	\N	GH	99004148
44266	148	1997-03-08	VYDAJ	PREVOD NA UCET	89	15469	\N	GH	99004148
44267	148	1997-04-08	VYDAJ	PREVOD NA UCET	89	16676	\N	GH	99004148
44268	148	1997-05-08	VYDAJ	PREVOD NA UCET	89	16087	\N	GH	99004148
44269	148	1997-06-08	VYDAJ	PREVOD NA UCET	89	16368	\N	GH	99004148
44270	148	1997-07-08	VYDAJ	PREVOD NA UCET	89	17579	\N	GH	99004148
44271	148	1997-08-08	VYDAJ	PREVOD NA UCET	89	18795	\N	GH	99004148
44272	148	1997-09-08	VYDAJ	PREVOD NA UCET	89	20015	\N	GH	99004148
44273	148	1997-10-08	VYDAJ	PREVOD NA UCET	89	20940	\N	GH	99004148
44274	148	1997-11-08	VYDAJ	PREVOD NA UCET	89	20098	\N	GH	99004148
44275	148	1997-12-08	VYDAJ	PREVOD NA UCET	89	19910	\N	GH	99004148
44276	148	1998-01-08	VYDAJ	PREVOD NA UCET	89	19815	\N	GH	99004148
44277	148	1998-02-08	VYDAJ	PREVOD NA UCET	89	15063	\N	GH	99004148
44278	148	1998-03-08	VYDAJ	PREVOD NA UCET	89	16267	\N	GH	99004148
44279	148	1998-04-08	VYDAJ	PREVOD NA UCET	89	16486	\N	GH	99004148
44280	148	1998-05-08	VYDAJ	PREVOD NA UCET	89	17698	\N	GH	99004148
44281	148	1998-06-08	VYDAJ	PREVOD NA UCET	89	18913	\N	GH	99004148
44282	148	1998-07-08	VYDAJ	PREVOD NA UCET	89	20133	\N	GH	99004148
44283	148	1998-08-08	VYDAJ	PREVOD NA UCET	89	21058	\N	GH	99004148
44284	148	1998-09-08	VYDAJ	PREVOD NA UCET	89	22287	\N	GH	99004148
44285	148	1998-10-08	VYDAJ	PREVOD NA UCET	89	23521	\N	GH	99004148
44286	148	1998-11-08	VYDAJ	PREVOD NA UCET	89	24610	\N	GH	99004148
44287	148	1998-12-08	VYDAJ	PREVOD NA UCET	89	25853	\N	GH	99004148
44299	148	1993-12-09	VYDAJ	PREVOD NA UCET	1736	16003	\N	QR	85938459
44300	148	1994-01-09	VYDAJ	PREVOD NA UCET	1736	16439	\N	QR	85938459
44301	148	1994-02-09	VYDAJ	PREVOD NA UCET	1736	12882	\N	QR	85938459
44302	148	1994-03-09	VYDAJ	PREVOD NA UCET	1736	12615	\N	QR	85938459
44303	148	1994-04-09	VYDAJ	PREVOD NA UCET	1736	12978	\N	QR	85938459
44304	148	1994-05-09	VYDAJ	PREVOD NA UCET	1736	14183	\N	QR	85938459
44305	148	1994-06-09	VYDAJ	PREVOD NA UCET	1736	15392	\N	QR	85938459
44306	148	1994-07-09	VYDAJ	PREVOD NA UCET	1736	16607	\N	QR	85938459
44307	148	1994-08-09	VYDAJ	PREVOD NA UCET	1736	16382	\N	QR	85938459
44308	148	1994-09-09	VYDAJ	PREVOD NA UCET	1736	17451	\N	QR	85938459
44309	148	1994-10-09	VYDAJ	PREVOD NA UCET	1736	17972	\N	QR	85938459
44310	148	1994-11-09	VYDAJ	PREVOD NA UCET	1736	19197	\N	QR	85938459
44311	148	1994-12-09	VYDAJ	PREVOD NA UCET	1736	20227	\N	QR	85938459
44312	148	1995-01-09	VYDAJ	PREVOD NA UCET	1736	21132	\N	QR	85938459
44313	148	1995-02-09	VYDAJ	PREVOD NA UCET	1736	17232	\N	QR	85938459
44314	148	1995-03-09	VYDAJ	PREVOD NA UCET	1736	18454	\N	QR	85938459
44315	148	1995-04-09	VYDAJ	PREVOD NA UCET	1736	18679	\N	QR	85938459
44316	148	1995-05-09	VYDAJ	PREVOD NA UCET	1736	18433	\N	QR	85938459
44317	148	1995-06-09	VYDAJ	PREVOD NA UCET	1736	17627	\N	QR	85938459
44318	148	1995-07-09	VYDAJ	PREVOD NA UCET	1736	17860	\N	QR	85938459
44319	148	1995-08-09	VYDAJ	PREVOD NA UCET	1736	19084	\N	QR	85938459
44320	148	1995-09-09	VYDAJ	PREVOD NA UCET	1736	19913	\N	QR	85938459
44321	148	1995-10-09	VYDAJ	PREVOD NA UCET	1736	19742	\N	QR	85938459
44322	148	1995-11-09	VYDAJ	PREVOD NA UCET	1736	19574	\N	QR	85938459
44323	148	1995-12-09	VYDAJ	PREVOD NA UCET	1736	18807	\N	QR	85938459
44324	148	1996-01-09	VYDAJ	PREVOD NA UCET	1736	14028	\N	QR	85938459
44325	148	1996-02-09	VYDAJ	PREVOD NA UCET	1736	12145	\N	QR	85938459
44326	148	1996-03-09	VYDAJ	PREVOD NA UCET	1736	11945	\N	QR	85938459
44327	148	1996-04-09	VYDAJ	PREVOD NA UCET	1736	10746	\N	QR	85938459
44328	148	1996-05-09	VYDAJ	PREVOD NA UCET	1736	11043	\N	QR	85938459
44329	148	1996-06-09	VYDAJ	PREVOD NA UCET	1736	11910	\N	QR	85938459
44330	148	1996-07-09	VYDAJ	PREVOD NA UCET	1736	9809	\N	QR	85938459
44331	148	1996-08-09	VYDAJ	PREVOD NA UCET	1736	11003	\N	QR	85938459
44332	148	1996-09-09	VYDAJ	PREVOD NA UCET	1736	12199	\N	QR	85938459
44333	148	1996-10-09	VYDAJ	PREVOD NA UCET	1736	13219	\N	QR	85938459
44334	148	1996-11-09	VYDAJ	PREVOD NA UCET	1736	14424	\N	QR	85938459
44335	148	1996-12-09	VYDAJ	PREVOD NA UCET	1736	14193	\N	QR	85938459
44336	148	1997-01-09	VYDAJ	PREVOD NA UCET	1736	14411	\N	QR	85938459
44337	148	1997-02-09	VYDAJ	PREVOD NA UCET	1736	12890	\N	QR	85938459
44338	148	1997-03-09	VYDAJ	PREVOD NA UCET	1736	13733	\N	QR	85938459
44339	148	1997-04-09	VYDAJ	PREVOD NA UCET	1736	14940	\N	QR	85938459
44340	148	1997-05-09	VYDAJ	PREVOD NA UCET	1736	14351	\N	QR	85938459
44341	148	1997-06-09	VYDAJ	PREVOD NA UCET	1736	14632	\N	QR	85938459
44342	148	1997-07-09	VYDAJ	PREVOD NA UCET	1736	15843	\N	QR	85938459
44343	148	1997-08-09	VYDAJ	PREVOD NA UCET	1736	17059	\N	QR	85938459
44344	148	1997-09-09	VYDAJ	PREVOD NA UCET	1736	18279	\N	QR	85938459
44345	148	1997-10-09	VYDAJ	PREVOD NA UCET	1736	19204	\N	QR	85938459
44346	148	1997-11-09	VYDAJ	PREVOD NA UCET	1736	18362	\N	QR	85938459
44347	148	1997-12-09	VYDAJ	PREVOD NA UCET	1736	18174	\N	QR	85938459
44348	148	1998-01-09	VYDAJ	PREVOD NA UCET	1736	18079	\N	QR	85938459
44349	148	1998-02-09	VYDAJ	PREVOD NA UCET	1736	13327	\N	QR	85938459
44350	148	1998-03-09	VYDAJ	PREVOD NA UCET	1736	14531	\N	QR	85938459
44351	148	1998-04-09	VYDAJ	PREVOD NA UCET	1736	14750	\N	QR	85938459
44352	148	1998-05-09	VYDAJ	PREVOD NA UCET	1736	15962	\N	QR	85938459
44353	148	1998-06-09	VYDAJ	PREVOD NA UCET	1736	17177	\N	QR	85938459
44354	148	1998-07-09	VYDAJ	PREVOD NA UCET	1736	18397	\N	QR	85938459
44355	148	1998-08-09	VYDAJ	PREVOD NA UCET	1736	19322	\N	QR	85938459
44356	148	1998-09-09	VYDAJ	PREVOD NA UCET	1736	20551	\N	QR	85938459
44357	148	1998-10-09	VYDAJ	PREVOD NA UCET	1736	21785	\N	QR	85938459
44358	148	1998-11-09	VYDAJ	PREVOD NA UCET	1736	22874	\N	QR	85938459
44359	148	1998-12-09	VYDAJ	PREVOD NA UCET	1736	24117	\N	QR	85938459
44368	148	1995-01-19	VYDAJ	VYBER	1950	20933	\N	\N	\N
44369	148	1996-01-19	VYDAJ	VYBER	1260	14129	\N	\N	\N
44370	148	1997-01-09	VYDAJ	VYBER	990	16147	\N	\N	\N
44371	148	1998-01-23	VYDAJ	VYBER	2700	17100	\N	\N	\N
44378	148	1994-01-14	VYDAJ	VYBER	840	17800	\N	\N	\N
44379	148	1994-01-21	VYDAJ	VYBER	360	17440	\N	\N	\N
44380	148	1994-01-29	VYDAJ	VYBER	330	14650	\N	\N	\N
44381	148	1994-01-25	VYDAJ	VYBER	600	16510	\N	\N	\N
44382	148	1994-01-10	VYDAJ	VYBER	780	15659	\N	\N	\N
44383	148	1994-01-23	VYDAJ	VYBER	330	17110	\N	\N	\N
44384	148	1995-01-28	VYDAJ	VYBER	720	19223	\N	\N	\N
44385	148	1995-01-09	VYDAJ	VYBER	630	20502	\N	\N	\N
44386	148	1995-01-30	VYDAJ	VYBER	240	18983	\N	\N	\N
44387	148	1995-01-03	VYDAJ	VYBER	330	22957	\N	\N	\N
44388	148	1995-01-23	VYDAJ	VYBER	180	20753	\N	\N	\N
44389	148	1995-01-27	VYDAJ	VYBER	810	19943	\N	\N	\N
44390	148	1996-01-14	VYDAJ	VYBER	810	16199	\N	\N	\N
44391	148	1996-01-18	VYDAJ	VYBER	810	15389	\N	\N	\N
44392	148	1996-01-02	VYDAJ	VYBER	870	20993	\N	\N	\N
44393	148	1996-01-05	VYDAJ	VYBER	870	19253	\N	\N	\N
44394	148	1996-01-19	VYDAJ	VYBER	210	13919	\N	\N	\N
44395	148	1996-01-03	VYDAJ	VYBER	870	20123	\N	\N	\N
44396	148	1997-01-18	VYDAJ	VYBER	570	16822	\N	\N	\N
44397	148	1997-01-27	VYDAJ	VYBER	240	15022	\N	\N	\N
44398	148	1997-01-22	VYDAJ	VYBER	660	15262	\N	\N	\N
44399	148	1997-01-30	VYDAJ	VYBER	360	14662	\N	\N	\N
44400	148	1997-01-22	VYDAJ	VYBER	240	15922	\N	\N	\N
44401	148	1997-01-21	VYDAJ	VYBER	660	16162	\N	\N	\N
44402	148	1998-01-28	VYDAJ	VYBER	570	15900	\N	\N	\N
44403	148	1998-01-20	VYDAJ	VYBER	750	19800	\N	\N	\N
44404	148	1998-01-02	VYDAJ	VYBER	870	19904	\N	\N	\N
44405	148	1998-01-11	VYDAJ	VYBER	510	17569	\N	\N	\N
44406	148	1998-01-23	VYDAJ	VYBER	630	16470	\N	\N	\N
44407	148	1998-01-01	VYDAJ	VYBER	450	20774	\N	\N	\N
44410	148	1993-12-26	VYDAJ	VYBER	780	18204	\N	\N	\N
44411	148	1994-08-16	VYDAJ	VYBER	150	19213	\N	\N	\N
44412	148	1994-03-29	VYDAJ	VYBER	840	14756	\N	\N	\N
44413	148	1994-02-27	VYDAJ	VYBER	1470	14393	\N	\N	\N
44414	148	1994-07-09	VYDAJ	VYBER	1440	15167	\N	\N	\N
44415	148	1995-04-13	VYDAJ	VYBER	1470	16722	\N	\N	\N
44416	148	1995-06-17	VYDAJ	VYBER	990	19618	\N	\N	\N
44417	148	1995-06-06	VYDAJ	VYBER	930	19452	\N	\N	\N
44418	148	1996-06-06	VYDAJ	VYBER	330	13735	\N	\N	\N
44420	148	1996-11-24	VYDAJ	VYBER	1440	15965	\N	\N	\N
44423	148	1996-10-04	VYDAJ	VYBER	180	15044	\N	\N	\N
44424	148	1997-03-03	VYDAJ	VYBER	360	15558	\N	\N	\N
44425	148	1997-09-21	VYDAJ	VYBER	300	20960	\N	\N	\N
44426	148	1997-11-10	VYDAJ	VYBER	1410	16952	\N	\N	\N
44427	148	1997-05-02	VYDAJ	VYBER	840	17136	\N	\N	\N
44428	148	1997-10-31	VYDAJ	VYBER	1230	20187	\N	\N	\N
44429	148	1997-06-03	VYDAJ	VYBER	930	16457	\N	\N	\N
44430	148	1997-05-08	VYDAJ	VYBER	960	16176	\N	\N	\N
44431	148	1997-10-19	VYDAJ	VYBER	840	21345	\N	\N	\N
44432	148	1998-01-28	VYDAJ	VYBER	810	15090	\N	\N	\N
44433	148	1998-04-05	VYDAJ	VYBER	990	16575	\N	\N	\N
44434	148	1998-10-16	VYDAJ	VYBER	150	24616	\N	\N	\N
44435	148	1998-07-23	VYDAJ	VYBER	300	21078	\N	\N	\N
44447	148	1993-11-30	VYDAJ	VYBER	15	17828	SLUZBY	\N	\N
44448	148	1993-12-31	VYDAJ	VYBER	15	18264	SLUZBY	\N	\N
44449	148	1994-01-31	VYDAJ	VYBER	15	14707	SLUZBY	\N	\N
44450	148	1994-02-28	VYDAJ	VYBER	15	14440	SLUZBY	\N	\N
44451	148	1994-03-31	VYDAJ	VYBER	15	14803	SLUZBY	\N	\N
44452	148	1994-04-30	VYDAJ	VYBER	15	16008	SLUZBY	\N	\N
44453	148	1994-05-31	VYDAJ	VYBER	15	17217	SLUZBY	\N	\N
44454	148	1994-06-30	VYDAJ	VYBER	15	18432	SLUZBY	\N	\N
44455	148	1994-07-31	VYDAJ	VYBER	15	18207	SLUZBY	\N	\N
44456	148	1994-08-31	VYDAJ	VYBER	15	19276	SLUZBY	\N	\N
44457	148	1994-09-30	VYDAJ	VYBER	15	19797	SLUZBY	\N	\N
44458	148	1994-10-31	VYDAJ	VYBER	15	21022	SLUZBY	\N	\N
44459	148	1994-11-30	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
44460	148	1994-12-31	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
44461	148	1995-01-31	VYDAJ	VYBER	15	19057	SLUZBY	\N	\N
44462	148	1995-02-28	VYDAJ	VYBER	15	20279	SLUZBY	\N	\N
44463	148	1995-03-31	VYDAJ	VYBER	15	20504	SLUZBY	\N	\N
44464	148	1995-04-30	VYDAJ	VYBER	15	20258	SLUZBY	\N	\N
44465	148	1995-05-31	VYDAJ	VYBER	15	20382	SLUZBY	\N	\N
44466	148	1995-06-30	VYDAJ	VYBER	15	19685	SLUZBY	\N	\N
44467	148	1995-07-31	VYDAJ	VYBER	15	20909	SLUZBY	\N	\N
44468	148	1995-08-31	VYDAJ	VYBER	15	21738	SLUZBY	\N	\N
44469	148	1995-09-30	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
44470	148	1995-10-31	VYDAJ	VYBER	15	22799	SLUZBY	\N	\N
44471	148	1995-11-30	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
44472	148	1995-12-31	VYDAJ	VYBER	15	21863	SLUZBY	\N	\N
44473	148	1996-01-31	VYDAJ	VYBER	15	13970	SLUZBY	\N	\N
44474	148	1996-02-29	VYDAJ	VYBER	15	15170	SLUZBY	\N	\N
44475	148	1996-03-31	VYDAJ	VYBER	15	14971	SLUZBY	\N	\N
44476	148	1996-04-30	VYDAJ	VYBER	15	13768	SLUZBY	\N	\N
44477	148	1996-05-31	VYDAJ	VYBER	15	14065	SLUZBY	\N	\N
44478	148	1996-06-30	VYDAJ	VYBER	15	14934	SLUZBY	\N	\N
44479	148	1996-07-31	VYDAJ	VYBER	15	12828	SLUZBY	\N	\N
44480	148	1996-08-31	VYDAJ	VYBER	15	14024	SLUZBY	\N	\N
44481	148	1996-09-30	VYDAJ	VYBER	15	15224	SLUZBY	\N	\N
44482	148	1996-10-31	VYDAJ	VYBER	15	16249	SLUZBY	\N	\N
44483	148	1996-11-30	VYDAJ	VYBER	15	16018	SLUZBY	\N	\N
44484	148	1996-12-31	VYDAJ	VYBER	15	17226	SLUZBY	\N	\N
44485	148	1997-01-31	VYDAJ	VYBER	15	14715	SLUZBY	\N	\N
44486	148	1997-02-28	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
44487	148	1997-03-31	VYDAJ	VYBER	15	16765	SLUZBY	\N	\N
44488	148	1997-04-30	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
44489	148	1997-05-31	VYDAJ	VYBER	15	17387	SLUZBY	\N	\N
44490	148	1997-06-30	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
44491	148	1997-07-31	VYDAJ	VYBER	15	18884	SLUZBY	\N	\N
44492	148	1997-08-31	VYDAJ	VYBER	15	20104	SLUZBY	\N	\N
44493	148	1997-09-30	VYDAJ	VYBER	15	21029	SLUZBY	\N	\N
44494	148	1997-10-31	VYDAJ	VYBER	15	21417	SLUZBY	\N	\N
44495	148	1997-11-30	VYDAJ	VYBER	15	19999	SLUZBY	\N	\N
44496	148	1997-12-31	VYDAJ	VYBER	15	21224	SLUZBY	\N	\N
44497	148	1998-01-31	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
44498	148	1998-02-28	VYDAJ	VYBER	15	16356	SLUZBY	\N	\N
44499	148	1998-03-31	VYDAJ	VYBER	15	17565	SLUZBY	\N	\N
44500	148	1998-04-30	VYDAJ	VYBER	15	17787	SLUZBY	\N	\N
44501	148	1998-05-31	VYDAJ	VYBER	15	19002	SLUZBY	\N	\N
44502	148	1998-06-30	VYDAJ	VYBER	15	20222	SLUZBY	\N	\N
44503	148	1998-07-31	VYDAJ	VYBER	15	21147	SLUZBY	\N	\N
44504	148	1998-08-31	VYDAJ	VYBER	15	22376	SLUZBY	\N	\N
44505	148	1998-09-30	VYDAJ	VYBER	15	23610	SLUZBY	\N	\N
44506	148	1998-10-31	VYDAJ	VYBER	15	24699	SLUZBY	\N	\N
44507	148	1998-11-30	VYDAJ	VYBER	15	25942	SLUZBY	\N	\N
44508	148	1994-09-14	VYDAJ	VYBER	700	19732	\N	\N	\N
44509	148	1994-11-13	VYDAJ	VYBER	200	18510	\N	\N	\N
44510	148	1995-01-12	VYDAJ	VYBER	600	19902	\N	\N	\N
44511	148	1995-03-13	VYDAJ	VYBER	1000	16967	\N	\N	\N
44512	148	1995-05-12	VYDAJ	VYBER	1100	16846	\N	\N	\N
44513	148	1995-08-10	VYDAJ	VYBER	400	18684	\N	\N	\N
44514	148	1995-09-09	VYDAJ	VYBER	1400	18513	\N	\N	\N
44515	148	1995-11-08	VYDAJ	VYBER	1400	21399	\N	\N	\N
44516	148	1995-12-08	VYDAJ	VYBER	2000	20543	\N	\N	\N
44517	148	1996-01-07	VYDAJ	VYBER	3400	15853	\N	\N	\N
44518	148	1996-03-07	VYDAJ	VYBER	1400	13770	\N	\N	\N
44519	148	1996-04-06	VYDAJ	VYBER	2400	12571	\N	\N	\N
44520	148	1996-05-06	VYDAJ	VYBER	900	12868	\N	\N	\N
44521	148	1996-07-05	VYDAJ	VYBER	3300	11634	\N	\N	\N
44584	149	1997-11-16	PRIJEM	VKLAD	300	300	\N	\N	\N
44586	149	1997-12-18	PRIJEM	VKLAD	13742	26043	\N	\N	\N
44587	149	1998-11-26	PRIJEM	VKLAD	8179	58189	\N	\N	\N
44588	149	1998-10-13	PRIJEM	VKLAD	3082	48681	\N	\N	\N
44599	149	1997-11-17	PRIJEM	VKLAD	400	700	\N	\N	\N
44600	149	1997-12-16	PRIJEM	VKLAD	400	1101	\N	\N	\N
44601	149	1998-01-14	PRIJEM	VKLAD	400	26494	\N	\N	\N
44602	149	1998-02-14	PRIJEM	VKLAD	400	29910	\N	\N	\N
44603	149	1998-03-14	PRIJEM	VKLAD	400	31620	\N	\N	\N
44604	149	1998-04-14	PRIJEM	VKLAD	400	27527	\N	\N	\N
44605	149	1998-05-15	PRIJEM	VKLAD	400	33832	\N	\N	\N
44606	149	1998-06-15	PRIJEM	VKLAD	400	27750	\N	\N	\N
44607	149	1998-07-14	PRIJEM	VKLAD	400	37363	\N	\N	\N
44608	149	1998-08-14	PRIJEM	VKLAD	400	40987	\N	\N	\N
44609	149	1998-09-14	PRIJEM	VKLAD	400	43138	\N	\N	\N
44610	149	1998-10-13	PRIJEM	VKLAD	400	49081	\N	\N	\N
44611	149	1998-11-16	PRIJEM	VKLAD	400	50010	\N	\N	\N
44612	149	1998-12-13	PRIJEM	VKLAD	400	58484	\N	\N	\N
44624	149	1998-06-14	VYDAJ	VYBER	21200	27350	\N	\N	\N
44628	149	1998-12-18	VYDAJ	VYBER	2600	55884	\N	\N	\N
44646	149	1998-12-30	VYDAJ	VYBER	2200	53684	\N	\N	\N
44647	149	1998-08-10	VYDAJ	VYBER	300	37187	\N	\N	\N
44649	149	1998-12-02	VYDAJ	VYBER	2000	56384	\N	\N	\N
44650	149	1998-03-21	VYDAJ	VYBER	2000	27020	\N	\N	\N
44651	149	1998-10-25	VYDAJ	VYBER	1450	47631	\N	\N	\N
44666	149	1998-02-28	VYDAJ	VYBER	15	31220	SLUZBY	\N	\N
44667	149	1998-03-31	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
44668	149	1998-04-30	VYDAJ	VYBER	15	29832	SLUZBY	\N	\N
44669	149	1998-05-31	VYDAJ	VYBER	15	33950	SLUZBY	\N	\N
44670	149	1998-06-30	VYDAJ	VYBER	15	27863	SLUZBY	\N	\N
44671	149	1998-07-31	VYDAJ	VYBER	15	37487	SLUZBY	\N	\N
44672	149	1998-08-31	VYDAJ	VYBER	15	41138	SLUZBY	\N	\N
44673	149	1998-09-30	VYDAJ	VYBER	15	43299	SLUZBY	\N	\N
44674	149	1998-10-31	VYDAJ	VYBER	15	47810	SLUZBY	\N	\N
44675	149	1998-11-30	VYDAJ	VYBER	15	58384	SLUZBY	\N	\N
44676	149	1997-12-16	PRIJEM	VKLAD	11200	12301	\N	\N	\N
44677	149	1998-01-15	PRIJEM	VKLAD	2900	29394	\N	\N	\N
44678	149	1998-02-14	PRIJEM	VKLAD	1200	31110	\N	\N	\N
44679	149	1998-03-16	VYDAJ	VYBER	2600	29020	\N	\N	\N
44680	149	1998-04-15	PRIJEM	VKLAD	2200	29727	\N	\N	\N
44681	149	1998-05-15	PRIJEM	VKLAD	3600	33432	\N	\N	\N
44682	149	1998-06-14	PRIJEM	VKLAD	14600	48550	\N	\N	\N
44683	149	1998-07-14	PRIJEM	VKLAD	9100	36963	\N	\N	\N
44684	149	1998-08-13	PRIJEM	VKLAD	3400	40587	\N	\N	\N
44685	149	1998-09-12	PRIJEM	VKLAD	1600	42738	\N	\N	\N
44686	149	1998-10-12	PRIJEM	VKLAD	2300	45599	\N	\N	\N
44687	149	1998-11-11	PRIJEM	VKLAD	1800	49610	\N	\N	\N
44688	149	1998-12-11	PRIJEM	VKLAD	1700	58084	\N	\N	\N
44703	150	1995-03-16	PRIJEM	VKLAD	900	2800	\N	\N	\N
44704	150	1995-05-07	PRIJEM	VKLAD	5030	17870	\N	\N	\N
44706	150	1996-12-18	PRIJEM	VKLAD	11132	53729	\N	\N	\N
44707	150	1996-12-23	PRIJEM	VKLAD	46079	98408	\N	\N	\N
44708	150	1997-02-14	PRIJEM	VKLAD	32629	88699	\N	\N	\N
44709	150	1997-02-24	PRIJEM	VKLAD	7826	98425	\N	\N	\N
44710	150	1998-08-17	PRIJEM	VKLAD	2809	39789	\N	\N	\N
44711	150	1998-07-23	PRIJEM	VKLAD	25588	52966	\N	\N	\N
44714	150	1995-03-16	PRIJEM	VKLAD	1900	1900	\N	\N	\N
44715	150	1995-04-13	PRIJEM	VKLAD	1900	4706	\N	\N	\N
44716	150	1995-05-15	PRIJEM	VKLAD	1900	24770	\N	\N	\N
44717	150	1995-06-13	PRIJEM	VKLAD	1900	26746	\N	\N	\N
44718	150	1995-07-14	PRIJEM	VKLAD	1900	29337	\N	\N	\N
44719	150	1995-08-16	PRIJEM	VKLAD	1900	31240	\N	\N	\N
44720	150	1995-09-15	PRIJEM	VKLAD	1900	32702	\N	\N	\N
44721	150	1995-10-17	PRIJEM	VKLAD	1900	34470	\N	\N	\N
44722	150	1995-11-13	PRIJEM	VKLAD	1900	35391	\N	\N	\N
44723	150	1995-12-16	PRIJEM	VKLAD	1900	37523	\N	\N	\N
44724	150	1996-01-14	PRIJEM	VKLAD	1900	38110	\N	\N	\N
44725	150	1996-02-15	PRIJEM	VKLAD	1900	34597	\N	\N	\N
44726	150	1996-03-15	PRIJEM	VKLAD	1900	38026	\N	\N	\N
44727	150	1996-04-17	PRIJEM	VKLAD	1900	40664	\N	\N	\N
44728	150	1996-05-17	PRIJEM	VKLAD	1900	38213	\N	\N	\N
44729	150	1996-06-17	PRIJEM	VKLAD	1900	35263	\N	\N	\N
44730	150	1996-07-14	PRIJEM	VKLAD	1900	39196	\N	\N	\N
44731	150	1996-08-13	PRIJEM	VKLAD	1900	38688	\N	\N	\N
44732	150	1996-09-13	PRIJEM	VKLAD	1900	38932	\N	\N	\N
44733	150	1996-10-15	PRIJEM	VKLAD	1900	42379	\N	\N	\N
44734	150	1996-11-16	PRIJEM	VKLAD	1900	43585	\N	\N	\N
44735	150	1996-12-16	PRIJEM	VKLAD	1900	42597	\N	\N	\N
44736	150	1997-01-15	PRIJEM	VKLAD	1900	67245	\N	\N	\N
44737	150	1997-02-17	PRIJEM	VKLAD	1900	90599	\N	\N	\N
44738	150	1997-03-16	PRIJEM	VKLAD	1900	74937	\N	\N	\N
44739	150	1997-04-13	PRIJEM	VKLAD	1900	62582	\N	\N	\N
44740	150	1997-05-16	PRIJEM	VKLAD	1900	58398	\N	\N	\N
44741	150	1997-06-13	PRIJEM	VKLAD	1900	49633	\N	\N	\N
44742	150	1997-07-16	PRIJEM	VKLAD	1900	38874	\N	\N	\N
44743	150	1997-08-13	PRIJEM	VKLAD	1900	42093	\N	\N	\N
44744	150	1997-09-16	PRIJEM	VKLAD	1900	49248	\N	\N	\N
44745	150	1997-10-16	PRIJEM	VKLAD	1900	49623	\N	\N	\N
44746	150	1997-11-14	PRIJEM	VKLAD	1900	45313	\N	\N	\N
44747	150	1997-12-13	PRIJEM	VKLAD	1900	46628	\N	\N	\N
44748	150	1998-01-17	PRIJEM	VKLAD	1900	37003	\N	\N	\N
44749	150	1998-02-16	PRIJEM	VKLAD	1900	35042	\N	\N	\N
44750	150	1998-03-15	PRIJEM	VKLAD	1900	33716	\N	\N	\N
44751	150	1998-04-14	PRIJEM	VKLAD	1900	30331	\N	\N	\N
44752	150	1998-05-13	PRIJEM	VKLAD	1900	28737	\N	\N	\N
44753	150	1998-06-13	PRIJEM	VKLAD	1900	27983	\N	\N	\N
44754	150	1998-07-17	PRIJEM	VKLAD	1900	26878	\N	\N	\N
44755	150	1998-08-13	PRIJEM	VKLAD	1900	36980	\N	\N	\N
44756	150	1998-09-14	PRIJEM	VKLAD	1900	30721	\N	\N	\N
44757	150	1998-10-16	PRIJEM	VKLAD	1900	27727	\N	\N	\N
44758	150	1998-11-13	PRIJEM	VKLAD	1900	23817	\N	\N	\N
44759	150	1998-12-16	PRIJEM	VKLAD	1900	19193	\N	\N	\N
44760	150	1998-01-18	PRIJEM	VKLAD	500	37503	\N	\N	\N
44761	150	1998-02-18	PRIJEM	VKLAD	500	35542	\N	\N	\N
44762	150	1998-03-18	PRIJEM	VKLAD	500	34216	\N	\N	\N
44763	150	1998-04-18	PRIJEM	VKLAD	500	30831	\N	\N	\N
44764	150	1998-05-18	PRIJEM	VKLAD	500	29237	\N	\N	\N
44765	150	1998-06-18	PRIJEM	VKLAD	500	28483	\N	\N	\N
44766	150	1998-07-18	PRIJEM	VKLAD	500	27378	\N	\N	\N
44767	150	1998-08-18	PRIJEM	VKLAD	500	40289	\N	\N	\N
44768	150	1998-09-18	PRIJEM	VKLAD	500	31221	\N	\N	\N
44769	150	1998-10-18	PRIJEM	VKLAD	500	28227	\N	\N	\N
44770	150	1998-11-18	PRIJEM	VKLAD	500	24317	\N	\N	\N
44771	150	1998-12-18	PRIJEM	VKLAD	500	19693	\N	\N	\N
44773	150	1996-06-01	VYDAJ	VYBER	4200	34163	\N	\N	\N
44774	150	1997-06-01	VYDAJ	VYBER	15200	43433	\N	\N	\N
44778	150	1997-06-16	VYDAJ	VYBER	24400	25233	\N	\N	\N
44780	150	1995-12-01	VYDAJ	VYBER	1400	34123	\N	\N	\N
44781	150	1996-12-21	VYDAJ	VYBER	1400	52329	\N	\N	\N
44782	150	1997-12-29	VYDAJ	VYBER	2300	43928	\N	\N	\N
44790	150	1996-01-18	VYDAJ	VYBER	950	37160	\N	\N	\N
44791	150	1996-01-27	VYDAJ	VYBER	650	34360	\N	\N	\N
44792	150	1996-01-22	VYDAJ	VYBER	600	36160	\N	\N	\N
44793	150	1996-01-09	VYDAJ	VYBER	600	36310	\N	\N	\N
44794	150	1996-01-25	VYDAJ	VYBER	1150	35010	\N	\N	\N
44795	150	1996-01-21	VYDAJ	VYBER	400	36760	\N	\N	\N
44796	150	1997-01-08	VYDAJ	VYBER	1400	65345	\N	\N	\N
44797	150	1997-01-23	VYDAJ	VYBER	250	66995	\N	\N	\N
44798	150	1997-01-05	VYDAJ	VYBER	1100	67445	\N	\N	\N
44799	150	1997-01-01	VYDAJ	VYBER	1250	97395	\N	\N	\N
44800	150	1997-01-06	VYDAJ	VYBER	700	66745	\N	\N	\N
44801	150	1997-01-03	VYDAJ	VYBER	1450	95945	\N	\N	\N
44802	150	1998-01-11	VYDAJ	VYBER	1200	36203	\N	\N	\N
44803	150	1998-01-12	VYDAJ	VYBER	1100	35103	\N	\N	\N
44804	150	1998-01-10	VYDAJ	VYBER	850	37403	\N	\N	\N
44805	150	1998-01-27	VYDAJ	VYBER	750	35803	\N	\N	\N
44806	150	1998-01-24	VYDAJ	VYBER	950	36553	\N	\N	\N
44807	150	1998-01-05	VYDAJ	VYBER	500	40503	\N	\N	\N
44808	150	1995-12-23	VYDAJ	VYBER	750	36773	\N	\N	\N
44809	150	1995-09-05	VYDAJ	VYBER	1950	29402	\N	\N	\N
44810	150	1995-09-27	VYDAJ	VYBER	1950	30752	\N	\N	\N
44813	150	1996-02-28	VYDAJ	VYBER	350	34247	\N	\N	\N
44814	150	1996-11-01	VYDAJ	VYBER	2150	40385	\N	\N	\N
44815	150	1996-11-24	VYDAJ	VYBER	1350	42235	\N	\N	\N
44816	150	1996-03-11	VYDAJ	VYBER	750	36126	\N	\N	\N
44817	150	1996-07-14	VYDAJ	VYBER	1650	37546	\N	\N	\N
44818	150	1996-08-11	VYDAJ	VYBER	1800	36788	\N	\N	\N
44819	150	1997-12-19	VYDAJ	VYBER	400	46228	\N	\N	\N
44820	150	1997-12-10	VYDAJ	VYBER	1150	44728	\N	\N	\N
44821	150	1997-04-21	VYDAJ	VYBER	950	61632	\N	\N	\N
44822	150	1997-02-08	VYDAJ	VYBER	1100	56070	\N	\N	\N
44823	150	1998-03-20	VYDAJ	VYBER	1750	32466	\N	\N	\N
44824	150	1998-01-08	VYDAJ	VYBER	2250	38253	\N	\N	\N
44825	150	1998-02-20	VYDAJ	VYBER	1850	33692	\N	\N	\N
44826	150	1998-09-12	VYDAJ	VYBER	300	28821	\N	\N	\N
44827	150	1998-05-20	VYDAJ	VYBER	1850	27387	\N	\N	\N
44828	150	1998-03-25	VYDAJ	VYBER	2050	30416	\N	\N	\N
44829	150	1998-11-23	VYDAJ	VYBER	400	23917	\N	\N	\N
44830	150	1998-11-25	VYDAJ	VYBER	900	23017	\N	\N	\N
44837	150	1995-06-30	VYDAJ	VYBER	15	27037	SLUZBY	\N	\N
44838	150	1995-07-31	VYDAJ	VYBER	15	29440	SLUZBY	\N	\N
44839	150	1995-08-31	VYDAJ	VYBER	15	31352	SLUZBY	\N	\N
44840	150	1995-09-30	VYDAJ	VYBER	15	30870	SLUZBY	\N	\N
44841	150	1995-10-31	VYDAJ	VYBER	15	34591	SLUZBY	\N	\N
44842	150	1995-11-30	VYDAJ	VYBER	15	35523	SLUZBY	\N	\N
44843	150	1995-12-31	VYDAJ	VYBER	15	36910	SLUZBY	\N	\N
44844	150	1996-01-31	VYDAJ	VYBER	15	34497	SLUZBY	\N	\N
44845	150	1996-02-29	VYDAJ	VYBER	15	34376	SLUZBY	\N	\N
44846	150	1996-03-31	VYDAJ	VYBER	15	38164	SLUZBY	\N	\N
44847	150	1996-04-30	VYDAJ	VYBER	15	40813	SLUZBY	\N	\N
44848	150	1996-05-31	VYDAJ	VYBER	15	38363	SLUZBY	\N	\N
44849	150	1996-06-30	VYDAJ	VYBER	15	35396	SLUZBY	\N	\N
44850	150	1996-07-31	VYDAJ	VYBER	15	37688	SLUZBY	\N	\N
44851	150	1996-08-31	VYDAJ	VYBER	15	38832	SLUZBY	\N	\N
44852	150	1996-09-30	VYDAJ	VYBER	15	39079	SLUZBY	\N	\N
44853	150	1996-10-31	VYDAJ	VYBER	15	42535	SLUZBY	\N	\N
44854	150	1996-11-30	VYDAJ	VYBER	15	42397	SLUZBY	\N	\N
44855	150	1996-12-31	VYDAJ	VYBER	15	98645	SLUZBY	\N	\N
44856	150	1997-01-31	VYDAJ	VYBER	15	67270	SLUZBY	\N	\N
44857	150	1997-02-28	VYDAJ	VYBER	15	98737	SLUZBY	\N	\N
44858	150	1997-03-31	VYDAJ	VYBER	15	75282	SLUZBY	\N	\N
44859	150	1997-04-30	VYDAJ	VYBER	15	61898	SLUZBY	\N	\N
44860	150	1997-05-31	VYDAJ	VYBER	15	58633	SLUZBY	\N	\N
44861	150	1997-06-30	VYDAJ	VYBER	15	25374	SLUZBY	\N	\N
44862	150	1997-07-31	VYDAJ	VYBER	15	38993	SLUZBY	\N	\N
44863	150	1997-08-31	VYDAJ	VYBER	15	42248	SLUZBY	\N	\N
44864	150	1997-09-30	VYDAJ	VYBER	15	49423	SLUZBY	\N	\N
44865	150	1997-10-31	VYDAJ	VYBER	15	43413	SLUZBY	\N	\N
44866	150	1997-11-30	VYDAJ	VYBER	15	45878	SLUZBY	\N	\N
44867	150	1997-12-31	VYDAJ	VYBER	15	41003	SLUZBY	\N	\N
44868	150	1998-01-31	VYDAJ	VYBER	15	33142	SLUZBY	\N	\N
44869	150	1998-02-28	VYDAJ	VYBER	15	33816	SLUZBY	\N	\N
44870	150	1998-03-31	VYDAJ	VYBER	15	28431	SLUZBY	\N	\N
44871	150	1998-04-30	VYDAJ	VYBER	15	26837	SLUZBY	\N	\N
44872	150	1998-05-31	VYDAJ	VYBER	15	26083	SLUZBY	\N	\N
44873	150	1998-06-30	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
44874	150	1998-07-31	VYDAJ	VYBER	15	35080	SLUZBY	\N	\N
44875	150	1998-08-31	VYDAJ	VYBER	15	29121	SLUZBY	\N	\N
44876	150	1998-09-30	VYDAJ	VYBER	15	25827	SLUZBY	\N	\N
44877	150	1998-10-31	VYDAJ	VYBER	15	21917	SLUZBY	\N	\N
44878	150	1998-11-30	VYDAJ	VYBER	15	17293	SLUZBY	\N	\N
44879	150	1995-04-15	PRIJEM	VKLAD	8100	12806	\N	\N	\N
44880	150	1995-05-15	PRIJEM	VKLAD	5000	22870	\N	\N	\N
44881	150	1995-06-14	PRIJEM	VKLAD	200	26946	\N	\N	\N
44882	150	1995-07-14	PRIJEM	VKLAD	400	27437	\N	\N	\N
44883	150	1995-08-13	VYDAJ	VYBER	100	29340	\N	\N	\N
44884	150	1995-09-12	PRIJEM	VKLAD	1400	30802	\N	\N	\N
44885	150	1995-10-12	PRIJEM	VKLAD	1700	32570	\N	\N	\N
44886	150	1995-11-11	VYDAJ	VYBER	1100	33491	\N	\N	\N
44887	150	1995-12-11	PRIJEM	VKLAD	1500	35623	\N	\N	\N
44888	150	1996-01-10	VYDAJ	VYBER	100	36210	\N	\N	\N
44889	150	1996-02-09	VYDAJ	VYBER	1800	32697	\N	\N	\N
44890	150	1996-03-10	PRIJEM	VKLAD	2500	36876	\N	\N	\N
44891	150	1996-04-09	PRIJEM	VKLAD	600	38764	\N	\N	\N
44892	150	1996-05-09	VYDAJ	VYBER	4500	36313	\N	\N	\N
44893	150	1996-06-08	VYDAJ	VYBER	800	33363	\N	\N	\N
44894	150	1996-07-08	PRIJEM	VKLAD	1900	37296	\N	\N	\N
44895	150	1996-08-07	PRIJEM	VKLAD	900	38588	\N	\N	\N
44896	150	1996-09-06	VYDAJ	VYBER	1800	37032	\N	\N	\N
44897	150	1996-10-06	PRIJEM	VKLAD	1400	40479	\N	\N	\N
44898	150	1996-11-05	PRIJEM	VKLAD	1300	41685	\N	\N	\N
44899	150	1996-12-05	VYDAJ	VYBER	1700	40697	\N	\N	\N
44900	150	1997-01-04	VYDAJ	VYBER	27400	68545	\N	\N	\N
44901	150	1997-02-03	VYDAJ	VYBER	10100	57170	\N	\N	\N
44902	150	1997-03-05	VYDAJ	VYBER	25700	73037	\N	\N	\N
44903	150	1997-04-04	VYDAJ	VYBER	14600	60682	\N	\N	\N
44904	150	1997-05-04	VYDAJ	VYBER	5400	56498	\N	\N	\N
44905	150	1997-06-03	PRIJEM	VKLAD	4300	47733	\N	\N	\N
44906	150	1997-07-03	PRIJEM	VKLAD	11600	36974	\N	\N	\N
44907	150	1997-08-02	PRIJEM	VKLAD	1200	40193	\N	\N	\N
44908	150	1997-09-01	PRIJEM	VKLAD	5100	47348	\N	\N	\N
44909	150	1997-10-01	VYDAJ	VYBER	1700	47723	\N	\N	\N
44910	150	1997-10-31	VYDAJ	VYBER	6400	43427	\N	\N	\N
44911	150	1997-11-30	PRIJEM	VKLAD	400	45893	\N	\N	\N
44912	150	1997-12-30	VYDAJ	VYBER	3100	40828	\N	\N	\N
44913	150	1998-01-29	VYDAJ	VYBER	2800	33003	\N	\N	\N
44914	150	1998-02-28	VYDAJ	VYBER	2000	31816	\N	\N	\N
44915	150	1998-03-30	VYDAJ	VYBER	2100	28316	\N	\N	\N
44916	150	1998-04-29	VYDAJ	VYBER	4100	26731	\N	\N	\N
44917	150	1998-05-29	VYDAJ	VYBER	1400	25987	\N	\N	\N
44918	150	1998-06-28	VYDAJ	VYBER	3600	24883	\N	\N	\N
44919	150	1998-07-28	VYDAJ	VYBER	18000	34966	\N	\N	\N
44920	150	1998-08-27	VYDAJ	VYBER	11300	28989	\N	\N	\N
44921	150	1998-09-26	VYDAJ	VYBER	5500	25721	\N	\N	\N
44922	150	1998-10-26	VYDAJ	VYBER	6400	21827	\N	\N	\N
44923	150	1998-11-25	VYDAJ	VYBER	5800	17217	\N	\N	\N
44970	151	1993-09-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
44979	151	1993-09-08	PRIJEM	VKLAD	4619	5619	\N	\N	\N
44980	151	1993-10-08	PRIJEM	VKLAD	4619	20956	\N	\N	\N
44981	151	1993-11-08	PRIJEM	VKLAD	4619	28548	\N	\N	\N
44982	151	1993-12-08	PRIJEM	VKLAD	6929	34288	\N	\N	\N
44983	151	1994-01-08	PRIJEM	VKLAD	4619	32844	\N	\N	\N
44984	151	1994-02-08	PRIJEM	VKLAD	4619	23115	\N	\N	\N
44985	151	1994-03-08	PRIJEM	VKLAD	4619	28320	\N	\N	\N
44986	151	1994-04-08	PRIJEM	VKLAD	4619	31948	\N	\N	\N
44987	151	1994-05-08	PRIJEM	VKLAD	4619	30192	\N	\N	\N
44988	151	1994-06-08	PRIJEM	VKLAD	6929	26690	\N	\N	\N
44989	151	1994-07-08	PRIJEM	VKLAD	4619	26036	\N	\N	\N
44990	151	1994-08-08	PRIJEM	VKLAD	4619	22203	\N	\N	\N
44991	151	1994-09-08	PRIJEM	VKLAD	4619	26409	\N	\N	\N
44992	151	1994-10-08	PRIJEM	VKLAD	4619	27729	\N	\N	\N
44993	151	1994-11-08	PRIJEM	VKLAD	4619	27158	\N	\N	\N
44994	151	1994-12-08	PRIJEM	VKLAD	6929	31595	\N	\N	\N
44995	151	1995-01-08	PRIJEM	VKLAD	4619	24225	\N	\N	\N
44996	151	1995-02-08	PRIJEM	VKLAD	4619	22075	\N	\N	\N
44997	151	1995-03-08	PRIJEM	VKLAD	4619	23077	\N	\N	\N
44998	151	1995-04-08	PRIJEM	VKLAD	4619	21101	\N	\N	\N
44999	151	1995-05-08	PRIJEM	VKLAD	4619	23199	\N	\N	\N
45000	151	1995-06-08	PRIJEM	VKLAD	6929	27221	\N	\N	\N
45001	151	1995-07-08	PRIJEM	VKLAD	4619	27440	\N	\N	\N
45002	151	1995-08-08	PRIJEM	VKLAD	4619	21534	\N	\N	\N
45003	151	1995-09-08	PRIJEM	VKLAD	4619	22733	\N	\N	\N
45004	151	1995-10-08	PRIJEM	VKLAD	4619	21045	\N	\N	\N
45005	151	1995-11-08	PRIJEM	VKLAD	4619	20185	\N	\N	\N
45006	151	1995-12-08	PRIJEM	VKLAD	6929	20411	\N	\N	\N
45007	151	1996-01-08	PRIJEM	VKLAD	4619	19858	\N	\N	\N
45008	151	1996-02-08	PRIJEM	VKLAD	4619	18984	\N	\N	\N
45009	151	1996-03-08	PRIJEM	VKLAD	4619	21674	\N	\N	\N
45010	151	1996-04-08	PRIJEM	VKLAD	4619	17085	\N	\N	\N
45011	151	1996-05-08	PRIJEM	VKLAD	4619	17464	\N	\N	\N
45012	151	1996-06-08	PRIJEM	VKLAD	6929	19056	\N	\N	\N
45013	151	1996-07-08	PRIJEM	VKLAD	4619	17240	\N	\N	\N
45014	151	1996-08-08	PRIJEM	VKLAD	4619	16117	\N	\N	\N
45015	151	1996-09-08	PRIJEM	VKLAD	4619	18695	\N	\N	\N
45016	151	1996-10-08	PRIJEM	VKLAD	4619	16876	\N	\N	\N
45017	151	1996-11-08	PRIJEM	VKLAD	4619	17154	\N	\N	\N
45018	151	1996-12-08	PRIJEM	VKLAD	6929	21050	\N	\N	\N
45019	151	1997-01-08	PRIJEM	VKLAD	4619	17156	\N	\N	\N
45020	151	1997-02-08	PRIJEM	VKLAD	4619	16451	\N	\N	\N
45021	151	1997-03-08	PRIJEM	VKLAD	4619	18028	\N	\N	\N
45022	151	1997-04-08	PRIJEM	VKLAD	4619	19613	\N	\N	\N
45023	151	1997-05-08	PRIJEM	VKLAD	4619	21203	\N	\N	\N
45024	151	1997-06-08	PRIJEM	VKLAD	6929	25109	\N	\N	\N
45025	151	1997-07-08	PRIJEM	VKLAD	4619	19605	\N	\N	\N
45026	151	1997-08-08	PRIJEM	VKLAD	4619	18790	\N	\N	\N
45027	151	1997-09-08	PRIJEM	VKLAD	4619	18937	\N	\N	\N
45028	151	1997-10-08	PRIJEM	VKLAD	4619	20529	\N	\N	\N
45029	151	1997-11-08	PRIJEM	VKLAD	4619	20681	\N	\N	\N
45030	151	1997-12-08	PRIJEM	VKLAD	6929	22185	\N	\N	\N
45031	151	1998-01-08	PRIJEM	VKLAD	4619	22710	\N	\N	\N
45032	151	1998-02-08	PRIJEM	VKLAD	4619	16736	\N	\N	\N
45033	151	1998-03-08	PRIJEM	VKLAD	4619	18314	\N	\N	\N
45034	151	1998-04-08	PRIJEM	VKLAD	4619	19898	\N	\N	\N
45035	151	1998-05-08	PRIJEM	VKLAD	4619	20286	\N	\N	\N
45036	151	1998-06-08	PRIJEM	VKLAD	6929	22267	\N	\N	\N
45037	151	1998-07-08	PRIJEM	VKLAD	4619	23863	\N	\N	\N
45038	151	1998-08-08	PRIJEM	VKLAD	4619	23310	\N	\N	\N
45039	151	1998-09-08	PRIJEM	VKLAD	4619	24920	\N	\N	\N
45040	151	1998-10-08	PRIJEM	VKLAD	4619	25212	\N	\N	\N
45041	151	1998-11-08	PRIJEM	VKLAD	4619	26831	\N	\N	\N
45042	151	1998-12-08	PRIJEM	VKLAD	6929	29558	\N	\N	\N
45055	151	1994-01-13	VYDAJ	PREVOD NA UCET	411	24485	SIPO	QR	2754378
45056	151	1994-02-13	VYDAJ	PREVOD NA UCET	411	20036	SIPO	QR	2754378
45057	151	1994-03-13	VYDAJ	PREVOD NA UCET	411	25241	SIPO	QR	2754378
45058	151	1994-04-13	VYDAJ	PREVOD NA UCET	411	31537	SIPO	QR	2754378
45059	151	1994-05-13	VYDAJ	PREVOD NA UCET	411	29781	SIPO	QR	2754378
45060	151	1994-06-13	VYDAJ	PREVOD NA UCET	411	23611	SIPO	QR	2754378
45061	151	1994-07-13	VYDAJ	PREVOD NA UCET	411	20705	SIPO	QR	2754378
45062	151	1994-08-13	VYDAJ	PREVOD NA UCET	411	21792	SIPO	QR	2754378
45063	151	1994-09-13	VYDAJ	PREVOD NA UCET	411	23330	SIPO	QR	2754378
45064	151	1994-10-13	VYDAJ	PREVOD NA UCET	411	27318	SIPO	QR	2754378
45065	151	1994-11-13	VYDAJ	PREVOD NA UCET	411	24079	SIPO	QR	2754378
45066	151	1994-12-13	VYDAJ	PREVOD NA UCET	411	24796	SIPO	QR	2754378
45067	151	1995-01-13	VYDAJ	PREVOD NA UCET	411	23814	SIPO	QR	2754378
45068	151	1995-02-13	VYDAJ	PREVOD NA UCET	411	18996	SIPO	QR	2754378
45069	151	1995-03-13	VYDAJ	PREVOD NA UCET	411	19998	SIPO	QR	2754378
45070	151	1995-04-13	VYDAJ	PREVOD NA UCET	411	18022	SIPO	QR	2754378
45071	151	1995-05-13	VYDAJ	PREVOD NA UCET	411	22788	SIPO	QR	2754378
45072	151	1995-06-13	VYDAJ	PREVOD NA UCET	411	24142	SIPO	QR	2754378
45073	151	1995-07-13	VYDAJ	PREVOD NA UCET	411	24361	SIPO	QR	2754378
45074	151	1995-08-13	VYDAJ	PREVOD NA UCET	411	21123	SIPO	QR	2754378
45075	151	1995-09-13	VYDAJ	PREVOD NA UCET	411	17042	SIPO	QR	2754378
45076	151	1995-10-13	VYDAJ	PREVOD NA UCET	411	20634	SIPO	QR	2754378
45077	151	1995-11-13	VYDAJ	PREVOD NA UCET	411	19774	SIPO	QR	2754378
45078	151	1995-12-13	VYDAJ	PREVOD NA UCET	411	17332	SIPO	QR	2754378
45079	151	1996-01-13	VYDAJ	PREVOD NA UCET	411	14047	SIPO	QR	2754378
45080	151	1996-02-13	VYDAJ	PREVOD NA UCET	411	15905	SIPO	QR	2754378
45081	151	1996-03-13	VYDAJ	PREVOD NA UCET	411	16315	SIPO	QR	2754378
45082	151	1996-04-13	VYDAJ	PREVOD NA UCET	411	14006	SIPO	QR	2754378
45083	151	1996-05-13	VYDAJ	PREVOD NA UCET	411	17053	SIPO	QR	2754378
45084	151	1996-06-13	VYDAJ	PREVOD NA UCET	411	18645	SIPO	QR	2754378
45085	151	1996-07-13	VYDAJ	PREVOD NA UCET	411	14161	SIPO	QR	2754378
45086	151	1996-08-13	VYDAJ	PREVOD NA UCET	411	13038	SIPO	QR	2754378
45087	151	1996-09-13	VYDAJ	PREVOD NA UCET	411	15616	SIPO	QR	2754378
45088	151	1996-10-13	VYDAJ	PREVOD NA UCET	411	13797	SIPO	QR	2754378
45089	151	1996-11-13	VYDAJ	PREVOD NA UCET	411	16743	SIPO	QR	2754378
45090	151	1996-12-13	VYDAJ	PREVOD NA UCET	411	18559	SIPO	QR	2754378
45091	151	1997-01-13	VYDAJ	PREVOD NA UCET	411	14465	SIPO	QR	2754378
45092	151	1997-02-13	VYDAJ	PREVOD NA UCET	411	16040	SIPO	QR	2754378
45093	151	1997-03-13	VYDAJ	PREVOD NA UCET	411	14949	SIPO	QR	2754378
45094	151	1997-04-13	VYDAJ	PREVOD NA UCET	411	19202	SIPO	QR	2754378
45095	151	1997-05-13	VYDAJ	PREVOD NA UCET	411	20792	SIPO	QR	2754378
45096	151	1997-06-13	VYDAJ	PREVOD NA UCET	411	24698	SIPO	QR	2754378
45097	151	1997-07-13	VYDAJ	PREVOD NA UCET	411	19194	SIPO	QR	2754378
45098	151	1997-08-13	VYDAJ	PREVOD NA UCET	411	15711	SIPO	QR	2754378
45099	151	1997-09-13	VYDAJ	PREVOD NA UCET	411	18526	SIPO	QR	2754378
45100	151	1997-10-13	VYDAJ	PREVOD NA UCET	411	20118	SIPO	QR	2754378
45101	151	1997-11-13	VYDAJ	PREVOD NA UCET	411	17602	SIPO	QR	2754378
45102	151	1997-12-13	VYDAJ	PREVOD NA UCET	411	19106	SIPO	QR	2754378
45103	151	1998-01-13	VYDAJ	PREVOD NA UCET	411	12071	SIPO	QR	2754378
45104	151	1998-02-13	VYDAJ	PREVOD NA UCET	411	13657	SIPO	QR	2754378
45105	151	1998-03-13	VYDAJ	PREVOD NA UCET	411	17903	SIPO	QR	2754378
45106	151	1998-04-13	VYDAJ	PREVOD NA UCET	411	16819	SIPO	QR	2754378
45107	151	1998-05-13	VYDAJ	PREVOD NA UCET	411	17207	SIPO	QR	2754378
45108	151	1998-06-13	VYDAJ	PREVOD NA UCET	411	21856	SIPO	QR	2754378
45109	151	1998-07-13	VYDAJ	PREVOD NA UCET	411	23452	SIPO	QR	2754378
45110	151	1998-08-13	VYDAJ	PREVOD NA UCET	411	20231	SIPO	QR	2754378
45111	151	1998-09-13	VYDAJ	PREVOD NA UCET	411	21841	SIPO	QR	2754378
45112	151	1998-10-13	VYDAJ	PREVOD NA UCET	411	24801	SIPO	QR	2754378
45113	151	1998-11-13	VYDAJ	PREVOD NA UCET	411	26420	SIPO	QR	2754378
45114	151	1998-12-13	VYDAJ	PREVOD NA UCET	411	29147	SIPO	QR	2754378
45127	151	1994-01-13	VYDAJ	PREVOD NA UCET	2668	24896	 	KL	77260404
45128	151	1994-02-13	VYDAJ	PREVOD NA UCET	2668	20447	 	KL	77260404
45129	151	1994-03-13	VYDAJ	PREVOD NA UCET	2668	25652	 	KL	77260404
45130	151	1994-04-13	VYDAJ	PREVOD NA UCET	2668	28869	 	KL	77260404
45131	151	1994-05-13	VYDAJ	PREVOD NA UCET	2668	27113	 	KL	77260404
45132	151	1994-06-13	VYDAJ	PREVOD NA UCET	2668	24022	 	KL	77260404
45133	151	1994-07-13	VYDAJ	PREVOD NA UCET	2668	18037	 	KL	77260404
45134	151	1994-08-13	VYDAJ	PREVOD NA UCET	2668	19124	 	KL	77260404
45135	151	1994-09-13	VYDAJ	PREVOD NA UCET	2668	23741	 	KL	77260404
45136	151	1994-10-13	VYDAJ	PREVOD NA UCET	2668	24650	 	KL	77260404
45137	151	1994-11-13	VYDAJ	PREVOD NA UCET	2668	24490	 	KL	77260404
45138	151	1994-12-13	VYDAJ	PREVOD NA UCET	2668	25207	 	KL	77260404
45139	151	1995-01-13	VYDAJ	PREVOD NA UCET	2668	21146	 	KL	77260404
45140	151	1995-02-13	VYDAJ	PREVOD NA UCET	2668	19407	 	KL	77260404
45141	151	1995-03-13	VYDAJ	PREVOD NA UCET	2668	20409	 	KL	77260404
45142	151	1995-04-13	VYDAJ	PREVOD NA UCET	2668	18433	 	KL	77260404
45143	151	1995-05-13	VYDAJ	PREVOD NA UCET	2668	20120	 	KL	77260404
45144	151	1995-06-13	VYDAJ	PREVOD NA UCET	2668	24553	 	KL	77260404
45145	151	1995-07-13	VYDAJ	PREVOD NA UCET	2668	24772	 	KL	77260404
45146	151	1995-08-13	VYDAJ	PREVOD NA UCET	2668	18455	 	KL	77260404
45147	151	1995-09-13	VYDAJ	PREVOD NA UCET	2668	14374	 	KL	77260404
45148	151	1995-10-13	VYDAJ	PREVOD NA UCET	2668	17966	 	KL	77260404
45149	151	1995-11-13	VYDAJ	PREVOD NA UCET	2668	17106	 	KL	77260404
45150	151	1995-12-13	VYDAJ	PREVOD NA UCET	2668	17743	 	KL	77260404
45151	151	1996-01-13	VYDAJ	PREVOD NA UCET	2668	11379	 	KL	77260404
45152	151	1996-02-13	VYDAJ	PREVOD NA UCET	2668	16316	 	KL	77260404
45153	151	1996-03-13	VYDAJ	PREVOD NA UCET	2668	16726	 	KL	77260404
45154	151	1996-04-13	VYDAJ	PREVOD NA UCET	2668	14417	 	KL	77260404
45155	151	1996-05-13	VYDAJ	PREVOD NA UCET	2668	14385	 	KL	77260404
45156	151	1996-06-13	VYDAJ	PREVOD NA UCET	2668	15977	 	KL	77260404
45157	151	1996-07-13	VYDAJ	PREVOD NA UCET	2668	14572	 	KL	77260404
45158	151	1996-08-13	VYDAJ	PREVOD NA UCET	2668	13449	 	KL	77260404
45159	151	1996-09-13	VYDAJ	PREVOD NA UCET	2668	16027	 	KL	77260404
45160	151	1996-10-13	VYDAJ	PREVOD NA UCET	2668	14208	 	KL	77260404
45161	151	1996-11-13	VYDAJ	PREVOD NA UCET	2668	14075	 	KL	77260404
45162	151	1996-12-13	VYDAJ	PREVOD NA UCET	2668	15891	 	KL	77260404
45163	151	1997-01-13	VYDAJ	PREVOD NA UCET	2668	11797	 	KL	77260404
45164	151	1997-02-13	VYDAJ	PREVOD NA UCET	2668	13372	 	KL	77260404
45165	151	1997-03-13	VYDAJ	PREVOD NA UCET	2668	15360	 	KL	77260404
45166	151	1997-04-13	VYDAJ	PREVOD NA UCET	2668	16534	 	KL	77260404
45167	151	1997-05-13	VYDAJ	PREVOD NA UCET	2668	18124	 	KL	77260404
45168	151	1997-06-13	VYDAJ	PREVOD NA UCET	2668	22030	 	KL	77260404
45169	151	1997-07-13	VYDAJ	PREVOD NA UCET	2668	16526	 	KL	77260404
45170	151	1997-08-13	VYDAJ	PREVOD NA UCET	2668	16122	 	KL	77260404
45171	151	1997-09-13	VYDAJ	PREVOD NA UCET	2668	15858	 	KL	77260404
45172	151	1997-10-13	VYDAJ	PREVOD NA UCET	2668	17450	 	KL	77260404
45173	151	1997-11-13	VYDAJ	PREVOD NA UCET	2668	18013	 	KL	77260404
45174	151	1997-12-13	VYDAJ	PREVOD NA UCET	2668	19517	 	KL	77260404
45175	151	1998-01-13	VYDAJ	PREVOD NA UCET	2668	12482	 	KL	77260404
45176	151	1998-02-13	VYDAJ	PREVOD NA UCET	2668	14068	 	KL	77260404
45177	151	1998-03-13	VYDAJ	PREVOD NA UCET	2668	15235	 	KL	77260404
45178	151	1998-04-13	VYDAJ	PREVOD NA UCET	2668	17230	 	KL	77260404
45179	151	1998-05-13	VYDAJ	PREVOD NA UCET	2668	17618	 	KL	77260404
45180	151	1998-06-13	VYDAJ	PREVOD NA UCET	2668	19188	 	KL	77260404
45181	151	1998-07-13	VYDAJ	PREVOD NA UCET	2668	20784	 	KL	77260404
45182	151	1998-08-13	VYDAJ	PREVOD NA UCET	2668	20642	 	KL	77260404
45183	151	1998-09-13	VYDAJ	PREVOD NA UCET	2668	22252	 	KL	77260404
45184	151	1998-10-13	VYDAJ	PREVOD NA UCET	2668	22133	 	KL	77260404
45185	151	1998-11-13	VYDAJ	PREVOD NA UCET	2668	23752	 	KL	77260404
45186	151	1998-12-13	VYDAJ	PREVOD NA UCET	2668	26479	 	KL	77260404
45200	151	1994-12-17	VYDAJ	VYBER	1760	23036	\N	\N	\N
45201	151	1995-12-18	VYDAJ	VYBER	3040	14292	\N	\N	\N
45202	151	1996-12-09	VYDAJ	VYBER	2080	18970	\N	\N	\N
45203	151	1997-12-01	VYDAJ	VYBER	2400	15257	\N	\N	\N
45204	151	1998-12-13	VYDAJ	VYBER	2240	24239	\N	\N	\N
45211	151	1994-01-27	VYDAJ	VYBER	1920	19325	\N	\N	\N
45212	151	1994-01-29	VYDAJ	VYBER	2400	13805	\N	\N	\N
45213	151	1994-01-26	VYDAJ	VYBER	1200	21245	\N	\N	\N
45214	151	1994-01-28	VYDAJ	VYBER	3120	16205	\N	\N	\N
45215	151	1994-01-08	VYDAJ	VYBER	2160	30684	\N	\N	\N
45216	151	1994-01-12	VYDAJ	VYBER	3120	27564	\N	\N	\N
45217	151	1995-01-24	VYDAJ	VYBER	3000	17546	\N	\N	\N
45218	151	1995-01-27	VYDAJ	VYBER	1680	14786	\N	\N	\N
45219	151	1995-01-02	VYDAJ	VYBER	2280	21046	\N	\N	\N
45220	151	1995-01-03	VYDAJ	VYBER	1440	19606	\N	\N	\N
45221	151	1995-01-27	VYDAJ	VYBER	1080	16466	\N	\N	\N
45222	151	1995-01-17	VYDAJ	VYBER	600	20546	\N	\N	\N
45223	151	1996-01-29	VYDAJ	VYBER	960	14319	\N	\N	\N
45224	151	1996-01-05	VYDAJ	VYBER	1800	15239	\N	\N	\N
45226	151	1996-01-08	VYDAJ	VYBER	2040	17818	\N	\N	\N
45227	151	1996-01-11	VYDAJ	VYBER	3360	14458	\N	\N	\N
45230	151	1997-01-12	VYDAJ	VYBER	2280	14876	\N	\N	\N
45235	151	1998-01-11	VYDAJ	VYBER	1560	15150	\N	\N	\N
45237	151	1998-01-11	VYDAJ	VYBER	2880	16710	\N	\N	\N
45238	151	1998-01-09	VYDAJ	VYBER	3120	19590	\N	\N	\N
45239	151	1998-01-06	VYDAJ	VYBER	1080	18091	\N	\N	\N
45245	151	1994-08-04	VYDAJ	VYBER	4320	17584	\N	\N	\N
45246	151	1994-06-06	VYDAJ	VYBER	5160	19762	\N	\N	\N
45247	151	1994-06-28	VYDAJ	VYBER	4080	19531	\N	\N	\N
45248	151	1994-07-13	VYDAJ	VYBER	4920	21116	\N	\N	\N
45249	151	1994-12-08	VYDAJ	VYBER	3720	27875	\N	\N	\N
45250	151	1994-01-14	VYDAJ	VYBER	2040	22445	\N	\N	\N
45252	151	1995-10-25	VYDAJ	VYBER	1560	16406	\N	\N	\N
45253	151	1995-07-19	VYDAJ	VYBER	5520	18841	\N	\N	\N
45254	151	1995-03-28	VYDAJ	VYBER	3480	16518	\N	\N	\N
45255	151	1995-11-29	VYDAJ	VYBER	2880	13426	\N	\N	\N
45256	151	1995-09-12	VYDAJ	VYBER	5280	17453	\N	\N	\N
45260	151	1996-03-08	VYDAJ	VYBER	2280	19394	\N	\N	\N
45262	151	1997-07-16	VYDAJ	VYBER	2400	14126	\N	\N	\N
45263	151	1997-09-05	VYDAJ	VYBER	1440	14318	\N	\N	\N
45265	151	1997-10-23	VYDAJ	VYBER	1440	16010	\N	\N	\N
45267	151	1998-05-25	VYDAJ	VYBER	1920	15287	\N	\N	\N
45268	151	1998-09-27	VYDAJ	VYBER	1320	20521	\N	\N	\N
45270	151	1998-04-14	VYDAJ	VYBER	1200	15619	\N	\N	\N
45271	151	1998-11-20	VYDAJ	VYBER	1200	22552	\N	\N	\N
45273	151	1998-08-02	VYDAJ	VYBER	2160	18691	\N	\N	\N
45288	151	1994-01-31	VYDAJ	VYBER	15	13896	SLUZBY	\N	\N
45289	151	1994-02-28	VYDAJ	VYBER	15	20101	SLUZBY	\N	\N
45290	151	1994-03-31	VYDAJ	VYBER	15	25329	SLUZBY	\N	\N
45291	151	1994-04-30	VYDAJ	VYBER	15	28973	SLUZBY	\N	\N
45292	151	1994-05-31	VYDAJ	VYBER	15	27222	SLUZBY	\N	\N
45293	151	1994-06-30	VYDAJ	VYBER	15	19617	SLUZBY	\N	\N
45294	151	1994-07-31	VYDAJ	VYBER	15	18104	SLUZBY	\N	\N
45295	151	1994-08-31	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
45296	151	1994-09-30	VYDAJ	VYBER	15	23410	SLUZBY	\N	\N
45297	151	1994-10-31	VYDAJ	VYBER	15	24739	SLUZBY	\N	\N
45298	151	1994-11-30	VYDAJ	VYBER	15	24667	SLUZBY	\N	\N
45299	151	1994-12-31	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
45300	151	1995-01-31	VYDAJ	VYBER	15	17456	SLUZBY	\N	\N
45301	151	1995-02-28	VYDAJ	VYBER	15	18458	SLUZBY	\N	\N
45302	151	1995-03-31	VYDAJ	VYBER	15	16482	SLUZBY	\N	\N
45303	151	1995-04-30	VYDAJ	VYBER	15	18580	SLUZBY	\N	\N
45304	151	1995-05-31	VYDAJ	VYBER	15	20292	SLUZBY	\N	\N
45305	151	1995-06-30	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
45306	151	1995-07-31	VYDAJ	VYBER	15	16915	SLUZBY	\N	\N
45307	151	1995-08-31	VYDAJ	VYBER	15	18114	SLUZBY	\N	\N
45308	151	1995-09-30	VYDAJ	VYBER	15	16426	SLUZBY	\N	\N
45309	151	1995-10-31	VYDAJ	VYBER	15	15566	SLUZBY	\N	\N
45310	151	1995-11-30	VYDAJ	VYBER	15	13482	SLUZBY	\N	\N
45311	151	1995-12-31	VYDAJ	VYBER	15	17039	SLUZBY	\N	\N
45312	151	1996-01-31	VYDAJ	VYBER	15	14365	SLUZBY	\N	\N
45313	151	1996-02-29	VYDAJ	VYBER	15	17055	SLUZBY	\N	\N
45314	151	1996-03-31	VYDAJ	VYBER	15	12466	SLUZBY	\N	\N
45315	151	1996-04-30	VYDAJ	VYBER	15	12845	SLUZBY	\N	\N
45316	151	1996-05-31	VYDAJ	VYBER	15	12128	SLUZBY	\N	\N
45317	151	1996-06-30	VYDAJ	VYBER	15	12621	SLUZBY	\N	\N
45318	151	1996-07-31	VYDAJ	VYBER	15	11498	SLUZBY	\N	\N
45319	151	1996-08-31	VYDAJ	VYBER	15	14076	SLUZBY	\N	\N
45320	151	1996-09-30	VYDAJ	VYBER	15	12257	SLUZBY	\N	\N
45321	151	1996-10-31	VYDAJ	VYBER	15	12535	SLUZBY	\N	\N
45322	151	1996-11-30	VYDAJ	VYBER	15	14121	SLUZBY	\N	\N
45323	151	1996-12-31	VYDAJ	VYBER	15	12537	SLUZBY	\N	\N
45324	151	1997-01-31	VYDAJ	VYBER	15	11832	SLUZBY	\N	\N
45325	151	1997-02-28	VYDAJ	VYBER	15	13409	SLUZBY	\N	\N
45326	151	1997-03-31	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
45327	151	1997-04-30	VYDAJ	VYBER	15	16584	SLUZBY	\N	\N
45328	151	1997-05-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
45329	151	1997-06-30	VYDAJ	VYBER	15	14986	SLUZBY	\N	\N
45330	151	1997-07-31	VYDAJ	VYBER	15	14171	SLUZBY	\N	\N
45331	151	1997-08-31	VYDAJ	VYBER	15	15758	SLUZBY	\N	\N
45332	151	1997-09-30	VYDAJ	VYBER	15	15910	SLUZBY	\N	\N
45333	151	1997-10-31	VYDAJ	VYBER	15	16062	SLUZBY	\N	\N
45334	151	1997-11-30	VYDAJ	VYBER	15	17657	SLUZBY	\N	\N
45335	151	1997-12-31	VYDAJ	VYBER	15	19171	SLUZBY	\N	\N
45336	151	1998-01-31	VYDAJ	VYBER	15	12117	SLUZBY	\N	\N
45337	151	1998-02-28	VYDAJ	VYBER	15	13695	SLUZBY	\N	\N
45338	151	1998-03-31	VYDAJ	VYBER	15	15279	SLUZBY	\N	\N
45339	151	1998-04-30	VYDAJ	VYBER	15	15667	SLUZBY	\N	\N
45340	151	1998-05-31	VYDAJ	VYBER	15	15338	SLUZBY	\N	\N
45341	151	1998-06-30	VYDAJ	VYBER	15	19244	SLUZBY	\N	\N
45342	151	1998-07-31	VYDAJ	VYBER	15	20851	SLUZBY	\N	\N
45343	151	1998-08-31	VYDAJ	VYBER	15	20301	SLUZBY	\N	\N
45344	151	1998-09-30	VYDAJ	VYBER	15	20593	SLUZBY	\N	\N
45345	151	1998-10-31	VYDAJ	VYBER	15	22212	SLUZBY	\N	\N
45346	151	1998-11-30	VYDAJ	VYBER	15	22629	SLUZBY	\N	\N
45347	151	1993-10-06	PRIJEM	VKLAD	10700	16337	\N	\N	\N
45348	151	1993-11-05	PRIJEM	VKLAD	2900	23929	\N	\N	\N
45349	151	1993-12-05	VYDAJ	VYBER	1300	27359	\N	\N	\N
45350	151	1994-01-04	VYDAJ	VYBER	6200	28225	\N	\N	\N
45351	151	1994-02-03	PRIJEM	VKLAD	4600	18496	\N	\N	\N
45352	151	1994-03-05	PRIJEM	VKLAD	3600	23701	\N	\N	\N
45353	151	1994-04-04	PRIJEM	VKLAD	2000	27329	\N	\N	\N
45354	151	1994-05-04	VYDAJ	VYBER	3400	25573	\N	\N	\N
45355	151	1994-06-03	VYDAJ	VYBER	2300	24922	\N	\N	\N
45356	151	1994-07-03	PRIJEM	VKLAD	1800	21417	\N	\N	\N
45357	151	1994-08-02	PRIJEM	VKLAD	3800	21904	\N	\N	\N
45358	151	1994-09-01	PRIJEM	VKLAD	2600	21790	\N	\N	\N
45359	151	1994-10-01	VYDAJ	VYBER	300	23110	\N	\N	\N
45360	151	1994-10-31	VYDAJ	VYBER	2200	22539	\N	\N	\N
45361	151	1994-11-30	PRIJEM	VKLAD	500	24682	\N	\N	\N
45362	151	1994-12-30	PRIJEM	VKLAD	200	23236	\N	\N	\N
45363	151	1995-01-29	PRIJEM	VKLAD	2600	17386	\N	\N	\N
45364	151	1995-02-28	VYDAJ	VYBER	600	18473	\N	\N	\N
45365	151	1995-03-30	VYDAJ	VYBER	100	16418	\N	\N	\N
45366	151	1995-04-29	PRIJEM	VKLAD	500	18522	\N	\N	\N
45367	151	1995-05-29	PRIJEM	VKLAD	100	20220	\N	\N	\N
45368	151	1995-06-28	VYDAJ	VYBER	1400	22742	\N	\N	\N
45369	151	1995-07-28	VYDAJ	VYBER	2000	16841	\N	\N	\N
45370	151	1995-08-27	VYDAJ	VYBER	400	18055	\N	\N	\N
45371	151	1995-09-26	PRIJEM	VKLAD	2000	16374	\N	\N	\N
45372	151	1995-10-26	VYDAJ	VYBER	900	15506	\N	\N	\N
45373	151	1995-11-25	VYDAJ	VYBER	800	16306	\N	\N	\N
45374	151	1995-12-25	PRIJEM	VKLAD	2700	16992	\N	\N	\N
45375	151	1996-01-24	PRIJEM	VKLAD	3900	15279	\N	\N	\N
45376	151	1996-02-23	PRIJEM	VKLAD	1100	17005	\N	\N	\N
45377	151	1996-03-24	VYDAJ	VYBER	3900	12415	\N	\N	\N
45378	151	1996-04-23	VYDAJ	VYBER	1200	12806	\N	\N	\N
45379	151	1996-05-23	VYDAJ	VYBER	2300	12085	\N	\N	\N
45380	151	1996-06-22	VYDAJ	VYBER	3400	12577	\N	\N	\N
45381	151	1996-07-22	VYDAJ	VYBER	2700	11461	\N	\N	\N
45382	151	1996-08-21	PRIJEM	VKLAD	1000	14038	\N	\N	\N
45383	151	1996-09-20	VYDAJ	VYBER	3400	12216	\N	\N	\N
45384	151	1996-10-20	VYDAJ	VYBER	1300	12497	\N	\N	\N
45385	151	1996-12-19	VYDAJ	VYBER	3400	12491	\N	\N	\N
45386	151	1997-06-17	VYDAJ	VYBER	7100	14930	\N	\N	\N
45451	152	1996-04-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
45456	152	1996-05-06	PRIJEM	VKLAD	5129	6229	\N	\N	\N
45457	152	1996-06-06	PRIJEM	VKLAD	7694	23866	\N	\N	\N
45458	152	1996-07-06	PRIJEM	VKLAD	5129	32794	\N	\N	\N
45459	152	1996-08-06	PRIJEM	VKLAD	5129	35746	\N	\N	\N
45460	152	1996-09-06	PRIJEM	VKLAD	5129	35000	\N	\N	\N
45461	152	1996-10-06	PRIJEM	VKLAD	5129	32093	\N	\N	\N
45462	152	1996-11-06	PRIJEM	VKLAD	5129	27688	\N	\N	\N
45463	152	1996-12-06	PRIJEM	VKLAD	7694	27656	\N	\N	\N
45464	152	1997-01-06	PRIJEM	VKLAD	5129	19521	\N	\N	\N
45465	152	1997-02-06	PRIJEM	VKLAD	5129	19020	\N	\N	\N
45466	152	1997-03-06	PRIJEM	VKLAD	5129	20777	\N	\N	\N
45467	152	1997-04-06	PRIJEM	VKLAD	5129	21665	\N	\N	\N
45468	152	1997-05-06	PRIJEM	VKLAD	5129	24741	\N	\N	\N
45469	152	1997-06-06	PRIJEM	VKLAD	7694	22434	\N	\N	\N
45470	152	1997-07-06	PRIJEM	VKLAD	5129	21601	\N	\N	\N
45471	152	1997-08-06	PRIJEM	VKLAD	5129	20569	\N	\N	\N
45472	152	1997-09-06	PRIJEM	VKLAD	5129	20338	\N	\N	\N
45473	152	1997-10-06	PRIJEM	VKLAD	5129	18206	\N	\N	\N
45474	152	1997-11-06	PRIJEM	VKLAD	5129	21467	\N	\N	\N
45475	152	1997-12-06	PRIJEM	VKLAD	7694	20401	\N	\N	\N
45476	152	1998-01-06	PRIJEM	VKLAD	5129	18244	\N	\N	\N
45477	152	1998-02-06	PRIJEM	VKLAD	5129	17415	\N	\N	\N
45478	152	1998-03-06	PRIJEM	VKLAD	5129	22269	\N	\N	\N
45479	152	1998-04-06	PRIJEM	VKLAD	5129	25141	\N	\N	\N
45480	152	1998-05-06	PRIJEM	VKLAD	5129	25027	\N	\N	\N
45481	152	1998-06-06	PRIJEM	VKLAD	7694	30379	\N	\N	\N
45482	152	1998-07-06	PRIJEM	VKLAD	5129	27585	\N	\N	\N
45483	152	1998-08-06	PRIJEM	VKLAD	5129	29084	\N	\N	\N
45484	152	1998-09-06	PRIJEM	VKLAD	5129	29384	\N	\N	\N
45485	152	1998-10-06	PRIJEM	VKLAD	5129	26884	\N	\N	\N
45486	152	1998-11-06	PRIJEM	VKLAD	5129	19852	\N	\N	\N
45487	152	1998-12-06	PRIJEM	VKLAD	7694	21981	\N	\N	\N
45496	152	1996-09-14	VYDAJ	PREVOD NA UCET	426	26861	SIPO	OP	21928644
45497	152	1996-10-14	VYDAJ	PREVOD NA UCET	426	22474	SIPO	OP	21928644
45498	152	1996-11-14	VYDAJ	PREVOD NA UCET	426	19889	SIPO	OP	21928644
45499	152	1996-12-14	VYDAJ	PREVOD NA UCET	426	14337	SIPO	OP	21928644
45500	152	1997-01-14	VYDAJ	PREVOD NA UCET	426	14842	SIPO	OP	21928644
45501	152	1997-02-14	VYDAJ	PREVOD NA UCET	426	15601	SIPO	OP	21928644
45502	152	1997-03-14	VYDAJ	PREVOD NA UCET	426	18158	SIPO	OP	21928644
45503	152	1997-04-14	VYDAJ	PREVOD NA UCET	426	19546	SIPO	OP	21928644
45504	152	1997-05-14	VYDAJ	PREVOD NA UCET	426	17922	SIPO	OP	21928644
45505	152	1997-06-14	VYDAJ	PREVOD NA UCET	426	16415	SIPO	OP	21928644
45506	152	1997-07-14	VYDAJ	PREVOD NA UCET	426	17282	SIPO	OP	21928644
45507	152	1997-08-14	VYDAJ	PREVOD NA UCET	426	17150	SIPO	OP	21928644
45508	152	1997-09-14	VYDAJ	PREVOD NA UCET	426	16919	SIPO	OP	21928644
45509	152	1997-10-14	VYDAJ	PREVOD NA UCET	426	14787	SIPO	OP	21928644
45510	152	1997-11-14	VYDAJ	PREVOD NA UCET	426	18048	SIPO	OP	21928644
45511	152	1997-12-14	VYDAJ	PREVOD NA UCET	426	16982	SIPO	OP	21928644
45512	152	1998-01-14	VYDAJ	PREVOD NA UCET	426	11945	SIPO	OP	21928644
45513	152	1998-02-14	VYDAJ	PREVOD NA UCET	426	13996	SIPO	OP	21928644
45514	152	1998-03-14	VYDAJ	PREVOD NA UCET	426	18850	SIPO	OP	21928644
45515	152	1998-04-14	VYDAJ	PREVOD NA UCET	426	21722	SIPO	OP	21928644
45516	152	1998-05-14	VYDAJ	PREVOD NA UCET	426	21608	SIPO	OP	21928644
45517	152	1998-06-14	VYDAJ	PREVOD NA UCET	426	26960	SIPO	OP	21928644
45518	152	1998-07-14	VYDAJ	PREVOD NA UCET	426	24166	SIPO	OP	21928644
45519	152	1998-08-14	VYDAJ	PREVOD NA UCET	426	25665	SIPO	OP	21928644
45520	152	1998-09-14	VYDAJ	PREVOD NA UCET	426	25965	SIPO	OP	21928644
45521	152	1998-10-14	VYDAJ	PREVOD NA UCET	426	23465	SIPO	OP	21928644
45522	152	1998-11-14	VYDAJ	PREVOD NA UCET	426	16433	SIPO	OP	21928644
45523	152	1998-12-14	VYDAJ	PREVOD NA UCET	426	18562	SIPO	OP	21928644
45532	152	1996-09-10	VYDAJ	PREVOD NA UCET	2993	27287	 	OP	16610890
45533	152	1996-10-10	VYDAJ	PREVOD NA UCET	2993	22900	 	OP	16610890
45534	152	1996-11-10	VYDAJ	PREVOD NA UCET	2993	24395	 	OP	16610890
45535	152	1996-12-10	VYDAJ	PREVOD NA UCET	2993	20763	 	OP	16610890
45536	152	1997-01-10	VYDAJ	PREVOD NA UCET	2993	18508	 	OP	16610890
45537	152	1997-02-10	VYDAJ	PREVOD NA UCET	2993	16027	 	OP	16610890
45538	152	1997-03-10	VYDAJ	PREVOD NA UCET	2993	18584	 	OP	16610890
45539	152	1997-04-10	VYDAJ	PREVOD NA UCET	2993	19972	 	OP	16610890
45540	152	1997-05-10	VYDAJ	PREVOD NA UCET	2993	18348	 	OP	16610890
45541	152	1997-06-10	VYDAJ	PREVOD NA UCET	2993	16841	 	OP	16610890
45542	152	1997-07-10	VYDAJ	PREVOD NA UCET	2993	17708	 	OP	16610890
45543	152	1997-08-10	VYDAJ	PREVOD NA UCET	2993	17576	 	OP	16610890
45544	152	1997-09-10	VYDAJ	PREVOD NA UCET	2993	17345	 	OP	16610890
45545	152	1997-10-10	VYDAJ	PREVOD NA UCET	2993	15213	 	OP	16610890
45546	152	1997-11-10	VYDAJ	PREVOD NA UCET	2993	18474	 	OP	16610890
45547	152	1997-12-10	VYDAJ	PREVOD NA UCET	2993	17408	 	OP	16610890
45548	152	1998-01-10	VYDAJ	PREVOD NA UCET	2993	12371	 	OP	16610890
45549	152	1998-02-10	VYDAJ	PREVOD NA UCET	2993	14422	 	OP	16610890
45550	152	1998-03-10	VYDAJ	PREVOD NA UCET	2993	19276	 	OP	16610890
45551	152	1998-04-10	VYDAJ	PREVOD NA UCET	2993	22148	 	OP	16610890
45552	152	1998-05-10	VYDAJ	PREVOD NA UCET	2993	22034	 	OP	16610890
45553	152	1998-06-10	VYDAJ	PREVOD NA UCET	2993	27386	 	OP	16610890
45554	152	1998-07-10	VYDAJ	PREVOD NA UCET	2993	24592	 	OP	16610890
45555	152	1998-08-10	VYDAJ	PREVOD NA UCET	2993	26091	 	OP	16610890
45556	152	1998-09-10	VYDAJ	PREVOD NA UCET	2993	26391	 	OP	16610890
45557	152	1998-10-10	VYDAJ	PREVOD NA UCET	2993	23891	 	OP	16610890
45558	152	1998-11-10	VYDAJ	PREVOD NA UCET	2993	16859	 	OP	16610890
45559	152	1998-12-10	VYDAJ	PREVOD NA UCET	2993	18988	 	OP	16610890
45566	152	1996-12-11	VYDAJ	VYBER	2880	17883	\N	\N	\N
45567	152	1997-12-26	VYDAJ	VYBER	960	13262	\N	\N	\N
45575	152	1997-01-25	VYDAJ	VYBER	1080	13762	\N	\N	\N
45576	152	1997-01-07	VYDAJ	VYBER	1320	21501	\N	\N	\N
45577	152	1997-01-29	VYDAJ	VYBER	720	13042	\N	\N	\N
45578	152	1997-01-11	VYDAJ	VYBER	3240	15268	\N	\N	\N
45582	152	1998-01-07	VYDAJ	VYBER	1440	16804	\N	\N	\N
45583	152	1998-01-10	VYDAJ	VYBER	1440	15364	\N	\N	\N
45587	152	1996-09-06	VYDAJ	VYBER	4320	30680	\N	\N	\N
45588	152	1996-12-13	VYDAJ	VYBER	3120	14763	\N	\N	\N
45591	152	1996-11-11	VYDAJ	VYBER	4080	20315	\N	\N	\N
45592	152	1997-03-22	VYDAJ	VYBER	1680	16478	\N	\N	\N
45595	152	1997-06-05	VYDAJ	VYBER	720	14740	\N	\N	\N
45596	152	1997-12-18	VYDAJ	VYBER	2760	14222	\N	\N	\N
45597	152	1997-05-19	VYDAJ	VYBER	2520	15402	\N	\N	\N
45600	152	1998-11-03	VYDAJ	VYBER	2520	14723	\N	\N	\N
45610	152	1996-09-30	VYDAJ	VYBER	15	26964	SLUZBY	\N	\N
45611	152	1996-10-31	VYDAJ	VYBER	15	22559	SLUZBY	\N	\N
45612	152	1996-11-30	VYDAJ	VYBER	15	19963	SLUZBY	\N	\N
45613	152	1996-12-31	VYDAJ	VYBER	15	14392	SLUZBY	\N	\N
45614	152	1997-01-31	VYDAJ	VYBER	15	13091	SLUZBY	\N	\N
45615	152	1997-02-28	VYDAJ	VYBER	15	15648	SLUZBY	\N	\N
45616	152	1997-03-31	VYDAJ	VYBER	15	16536	SLUZBY	\N	\N
45617	152	1997-04-30	VYDAJ	VYBER	15	19612	SLUZBY	\N	\N
45618	152	1997-05-31	VYDAJ	VYBER	15	15460	SLUZBY	\N	\N
45619	152	1997-06-30	VYDAJ	VYBER	15	16472	SLUZBY	\N	\N
45620	152	1997-07-31	VYDAJ	VYBER	15	17340	SLUZBY	\N	\N
45621	152	1997-08-31	VYDAJ	VYBER	15	17209	SLUZBY	\N	\N
45622	152	1997-09-30	VYDAJ	VYBER	15	16977	SLUZBY	\N	\N
45623	152	1997-10-31	VYDAJ	VYBER	15	14838	SLUZBY	\N	\N
45624	152	1997-11-30	VYDAJ	VYBER	15	18108	SLUZBY	\N	\N
45625	152	1997-12-31	VYDAJ	VYBER	15	13315	SLUZBY	\N	\N
45626	152	1998-01-31	VYDAJ	VYBER	15	11986	SLUZBY	\N	\N
45627	152	1998-02-28	VYDAJ	VYBER	15	14040	SLUZBY	\N	\N
45628	152	1998-03-31	VYDAJ	VYBER	15	18912	SLUZBY	\N	\N
45629	152	1998-04-30	VYDAJ	VYBER	15	21798	SLUZBY	\N	\N
45630	152	1998-05-31	VYDAJ	VYBER	15	21685	SLUZBY	\N	\N
45631	152	1998-06-30	VYDAJ	VYBER	15	27056	SLUZBY	\N	\N
45632	152	1998-07-31	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
45633	152	1998-08-31	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
45634	152	1998-09-30	VYDAJ	VYBER	15	21755	SLUZBY	\N	\N
45635	152	1998-10-31	VYDAJ	VYBER	15	17243	SLUZBY	\N	\N
45636	152	1998-11-30	VYDAJ	VYBER	15	14288	SLUZBY	\N	\N
45637	152	1996-05-12	PRIJEM	VKLAD	9900	16129	\N	\N	\N
45638	152	1996-06-11	PRIJEM	VKLAD	3700	27566	\N	\N	\N
45639	152	1996-07-11	VYDAJ	VYBER	2300	30494	\N	\N	\N
45640	152	1996-08-10	VYDAJ	VYBER	6000	29746	\N	\N	\N
45641	152	1996-09-09	VYDAJ	VYBER	400	30280	\N	\N	\N
45642	152	1996-10-09	VYDAJ	VYBER	6200	25893	\N	\N	\N
45643	152	1996-11-08	VYDAJ	VYBER	300	27388	\N	\N	\N
45644	152	1996-12-08	VYDAJ	VYBER	3900	23756	\N	\N	\N
45645	152	1997-01-07	PRIJEM	VKLAD	3300	22821	\N	\N	\N
45646	152	1997-02-06	PRIJEM	VKLAD	800	13891	\N	\N	\N
45647	152	1997-03-08	PRIJEM	VKLAD	800	21577	\N	\N	\N
45648	152	1997-04-07	PRIJEM	VKLAD	1300	22965	\N	\N	\N
45649	152	1997-05-07	VYDAJ	VYBER	3400	21341	\N	\N	\N
45650	152	1997-06-06	VYDAJ	VYBER	2600	19834	\N	\N	\N
45651	152	1997-07-06	VYDAJ	VYBER	900	20701	\N	\N	\N
45652	152	1997-08-05	VYDAJ	VYBER	1900	15440	\N	\N	\N
45653	152	1997-09-04	VYDAJ	VYBER	2000	15209	\N	\N	\N
45654	152	1997-10-04	VYDAJ	VYBER	3900	13077	\N	\N	\N
45655	152	1997-11-03	PRIJEM	VKLAD	1500	16338	\N	\N	\N
45656	152	1997-12-03	VYDAJ	VYBER	5400	12708	\N	\N	\N
45657	152	1998-01-02	VYDAJ	VYBER	200	13115	\N	\N	\N
45658	152	1998-02-01	PRIJEM	VKLAD	300	12286	\N	\N	\N
45659	152	1998-03-03	PRIJEM	VKLAD	3100	17140	\N	\N	\N
45660	152	1998-04-02	PRIJEM	VKLAD	1100	20012	\N	\N	\N
45661	152	1998-05-02	VYDAJ	VYBER	1900	19898	\N	\N	\N
45662	152	1998-06-01	PRIJEM	VKLAD	1000	22685	\N	\N	\N
45663	152	1998-07-01	VYDAJ	VYBER	4600	22456	\N	\N	\N
45664	152	1998-07-31	VYDAJ	VYBER	300	23955	\N	\N	\N
45665	152	1998-08-30	VYDAJ	VYBER	1500	24165	\N	\N	\N
45666	152	1998-09-29	VYDAJ	VYBER	4300	21665	\N	\N	\N
45667	152	1998-10-29	VYDAJ	VYBER	6300	17165	\N	\N	\N
45668	152	1998-11-28	VYDAJ	VYBER	2200	14233	\N	\N	\N
45701	153	1993-09-19	PRIJEM	VKLAD	400	400	\N	\N	\N
45711	153	1993-10-07	PRIJEM	PREVOD Z UCTU	13730	14130	\N	QR	82911830
45712	153	1993-11-07	PRIJEM	PREVOD Z UCTU	13730	33895	\N	QR	82911830
45713	153	1993-12-07	PRIJEM	PREVOD Z UCTU	20595	49690	\N	QR	82911830
45714	153	1994-01-07	PRIJEM	PREVOD Z UCTU	13730	52158	\N	QR	82911830
45715	153	1994-02-07	PRIJEM	PREVOD Z UCTU	13730	50845	\N	QR	82911830
45716	153	1994-03-07	PRIJEM	PREVOD Z UCTU	13730	42558	\N	QR	82911830
45717	153	1994-04-07	PRIJEM	PREVOD Z UCTU	13730	42558	\N	QR	82911830
45718	153	1994-05-07	PRIJEM	PREVOD Z UCTU	13730	45262	\N	QR	82911830
45719	153	1994-06-07	PRIJEM	PREVOD Z UCTU	20595	53039	\N	QR	82911830
45720	153	1994-07-07	PRIJEM	PREVOD Z UCTU	13730	51066	\N	QR	82911830
45721	153	1994-08-07	PRIJEM	PREVOD Z UCTU	13730	47391	\N	QR	82911830
45722	153	1994-09-07	PRIJEM	PREVOD Z UCTU	13730	43024	\N	QR	82911830
45723	153	1994-10-07	PRIJEM	PREVOD Z UCTU	13730	43321	\N	QR	82911830
45724	153	1994-11-07	PRIJEM	PREVOD Z UCTU	13730	32897	\N	QR	82911830
45725	153	1994-12-07	PRIJEM	PREVOD Z UCTU	20595	40058	\N	QR	82911830
45726	153	1995-01-07	PRIJEM	PREVOD Z UCTU	13730	34831	\N	QR	82911830
45727	153	1995-02-07	PRIJEM	PREVOD Z UCTU	13730	33003	\N	QR	82911830
45728	153	1995-03-07	PRIJEM	PREVOD Z UCTU	13730	33058	\N	QR	82911830
45729	153	1995-04-07	PRIJEM	PREVOD Z UCTU	13730	35532	\N	QR	82911830
45730	153	1995-05-07	PRIJEM	PREVOD Z UCTU	13730	38302	\N	QR	82911830
45731	153	1995-06-07	PRIJEM	PREVOD Z UCTU	20595	44239	\N	QR	82911830
45732	153	1995-07-07	PRIJEM	PREVOD Z UCTU	13730	34248	\N	QR	82911830
45733	153	1995-08-07	PRIJEM	PREVOD Z UCTU	13730	36429	\N	QR	82911830
45734	153	1995-09-07	PRIJEM	PREVOD Z UCTU	13730	27368	\N	QR	82911830
45735	153	1995-10-07	PRIJEM	PREVOD Z UCTU	13730	30406	\N	QR	82911830
45736	153	1995-11-07	PRIJEM	PREVOD Z UCTU	13730	35262	\N	QR	82911830
45737	153	1995-12-07	PRIJEM	PREVOD Z UCTU	20595	40885	\N	QR	82911830
45738	153	1996-01-07	PRIJEM	PREVOD Z UCTU	13730	34963	\N	QR	82911830
45739	153	1996-02-07	PRIJEM	PREVOD Z UCTU	13730	34933	\N	QR	82911830
45740	153	1996-03-07	PRIJEM	PREVOD Z UCTU	13730	38236	\N	QR	82911830
45741	153	1996-04-07	PRIJEM	PREVOD Z UCTU	13730	38220	\N	QR	82911830
45742	153	1996-05-07	PRIJEM	PREVOD Z UCTU	13730	37918	\N	QR	82911830
45743	153	1996-06-07	PRIJEM	PREVOD Z UCTU	20595	48994	\N	QR	82911830
45744	153	1996-07-07	PRIJEM	PREVOD Z UCTU	13730	45141	\N	QR	82911830
45745	153	1996-08-07	PRIJEM	PREVOD Z UCTU	13730	39958	\N	QR	82911830
45746	153	1996-09-07	PRIJEM	PREVOD Z UCTU	13730	40977	\N	QR	82911830
45747	153	1996-10-07	PRIJEM	PREVOD Z UCTU	13730	37274	\N	QR	82911830
45748	153	1996-11-07	PRIJEM	PREVOD Z UCTU	13730	37878	\N	QR	82911830
45749	153	1996-12-07	PRIJEM	PREVOD Z UCTU	20595	40739	\N	QR	82911830
45750	153	1997-01-07	PRIJEM	PREVOD Z UCTU	13730	33138	\N	QR	82911830
45751	153	1997-02-07	PRIJEM	PREVOD Z UCTU	13730	26592	\N	QR	82911830
45752	153	1997-03-07	PRIJEM	PREVOD Z UCTU	13730	32345	\N	QR	82911830
45753	153	1997-04-07	PRIJEM	PREVOD Z UCTU	13730	34029	\N	QR	82911830
45754	153	1997-05-07	PRIJEM	PREVOD Z UCTU	13730	31922	\N	QR	82911830
45755	153	1997-06-07	PRIJEM	PREVOD Z UCTU	20595	37173	\N	QR	82911830
45756	153	1997-07-07	PRIJEM	PREVOD Z UCTU	13730	32954	\N	QR	82911830
45757	153	1997-08-07	PRIJEM	PREVOD Z UCTU	13730	27326	\N	QR	82911830
45758	153	1997-09-07	PRIJEM	PREVOD Z UCTU	13730	28474	\N	QR	82911830
45759	153	1997-10-07	PRIJEM	PREVOD Z UCTU	13730	32528	\N	QR	82911830
45760	153	1997-11-07	PRIJEM	PREVOD Z UCTU	13730	30402	\N	QR	82911830
45761	153	1997-12-07	PRIJEM	PREVOD Z UCTU	20595	38125	\N	QR	82911830
45762	153	1998-01-07	PRIJEM	PREVOD Z UCTU	13730	32492	\N	QR	82911830
45763	153	1998-02-07	PRIJEM	PREVOD Z UCTU	13730	28952	\N	QR	82911830
45764	153	1998-03-07	PRIJEM	PREVOD Z UCTU	13730	38209	\N	QR	82911830
45765	153	1998-04-07	PRIJEM	PREVOD Z UCTU	13730	30894	\N	QR	82911830
45766	153	1998-05-07	PRIJEM	PREVOD Z UCTU	13730	31353	\N	QR	82911830
45767	153	1998-06-07	PRIJEM	PREVOD Z UCTU	20595	38479	\N	QR	82911830
45768	153	1998-07-07	PRIJEM	PREVOD Z UCTU	13730	30652	\N	QR	82911830
45769	153	1998-08-07	PRIJEM	PREVOD Z UCTU	13730	39916	\N	QR	82911830
45770	153	1998-09-07	PRIJEM	PREVOD Z UCTU	13730	38698	\N	QR	82911830
45771	153	1998-10-07	PRIJEM	PREVOD Z UCTU	13730	30777	\N	QR	82911830
45772	153	1998-11-07	PRIJEM	PREVOD Z UCTU	13730	29529	\N	QR	82911830
45773	153	1998-12-07	PRIJEM	PREVOD Z UCTU	20595	34940	\N	QR	82911830
45787	153	1994-02-11	VYDAJ	PREVOD NA UCET	4544	36701	SIPO	UV	6886673
45788	153	1994-03-11	VYDAJ	PREVOD NA UCET	4544	38014	SIPO	UV	6886673
45789	153	1994-04-11	VYDAJ	PREVOD NA UCET	4544	38014	SIPO	UV	6886673
45790	153	1994-05-11	VYDAJ	PREVOD NA UCET	4544	40718	SIPO	UV	6886673
45791	153	1994-06-11	VYDAJ	PREVOD NA UCET	4544	48495	SIPO	UV	6886673
45792	153	1994-07-11	VYDAJ	PREVOD NA UCET	4544	46522	SIPO	UV	6886673
45793	153	1994-08-11	VYDAJ	PREVOD NA UCET	4544	42847	SIPO	UV	6886673
45794	153	1994-09-11	VYDAJ	PREVOD NA UCET	4544	38480	SIPO	UV	6886673
45795	153	1994-10-11	VYDAJ	PREVOD NA UCET	4544	38777	SIPO	UV	6886673
45796	153	1994-11-11	VYDAJ	PREVOD NA UCET	4544	28353	SIPO	UV	6886673
45797	153	1994-12-11	VYDAJ	PREVOD NA UCET	4544	35514	SIPO	UV	6886673
45798	153	1995-01-11	VYDAJ	PREVOD NA UCET	4544	30287	SIPO	UV	6886673
45799	153	1995-02-11	VYDAJ	PREVOD NA UCET	4544	28459	SIPO	UV	6886673
45800	153	1995-03-11	VYDAJ	PREVOD NA UCET	4544	28514	SIPO	UV	6886673
45801	153	1995-04-11	VYDAJ	PREVOD NA UCET	4544	30988	SIPO	UV	6886673
45802	153	1995-05-11	VYDAJ	PREVOD NA UCET	4544	33758	SIPO	UV	6886673
45803	153	1995-06-11	VYDAJ	PREVOD NA UCET	4544	26117	SIPO	UV	6886673
45804	153	1995-07-11	VYDAJ	PREVOD NA UCET	4544	29704	SIPO	UV	6886673
45805	153	1995-08-11	VYDAJ	PREVOD NA UCET	4544	13585	SIPO	UV	6886673
45806	153	1995-09-11	VYDAJ	PREVOD NA UCET	4544	16624	SIPO	UV	6886673
45807	153	1995-10-11	VYDAJ	PREVOD NA UCET	4544	21462	SIPO	UV	6886673
45808	153	1995-11-11	VYDAJ	PREVOD NA UCET	4544	20218	SIPO	UV	6886673
45809	153	1995-12-11	VYDAJ	PREVOD NA UCET	4544	28041	SIPO	UV	6886673
45810	153	1996-01-11	VYDAJ	PREVOD NA UCET	4544	24419	SIPO	UV	6886673
45811	153	1996-02-11	VYDAJ	PREVOD NA UCET	4544	30389	SIPO	UV	6886673
45812	153	1996-03-11	VYDAJ	PREVOD NA UCET	4544	24392	SIPO	UV	6886673
45813	153	1996-04-11	VYDAJ	PREVOD NA UCET	4544	33676	SIPO	UV	6886673
45814	153	1996-05-11	VYDAJ	PREVOD NA UCET	4544	33374	SIPO	UV	6886673
45815	153	1996-06-11	VYDAJ	PREVOD NA UCET	4544	44450	SIPO	UV	6886673
45816	153	1996-07-11	VYDAJ	PREVOD NA UCET	4544	33397	SIPO	UV	6886673
45817	153	1996-08-11	VYDAJ	PREVOD NA UCET	4544	35414	SIPO	UV	6886673
45818	153	1996-09-11	VYDAJ	PREVOD NA UCET	4544	27433	SIPO	UV	6886673
45819	153	1996-10-11	VYDAJ	PREVOD NA UCET	4544	32730	SIPO	UV	6886673
45820	153	1996-11-11	VYDAJ	PREVOD NA UCET	4544	33334	SIPO	UV	6886673
45821	153	1996-12-11	VYDAJ	PREVOD NA UCET	4544	36195	SIPO	UV	6886673
45822	153	1997-01-11	VYDAJ	PREVOD NA UCET	4544	16894	SIPO	UV	6886673
45823	153	1997-02-11	VYDAJ	PREVOD NA UCET	4544	22048	SIPO	UV	6886673
45824	153	1997-03-11	VYDAJ	PREVOD NA UCET	4544	27801	SIPO	UV	6886673
45825	153	1997-04-11	VYDAJ	PREVOD NA UCET	4544	29485	SIPO	UV	6886673
45826	153	1997-05-11	VYDAJ	PREVOD NA UCET	4544	27378	SIPO	UV	6886673
45827	153	1997-06-11	VYDAJ	PREVOD NA UCET	4544	32629	SIPO	UV	6886673
45828	153	1997-07-11	VYDAJ	PREVOD NA UCET	4544	28410	SIPO	UV	6886673
45829	153	1997-08-11	VYDAJ	PREVOD NA UCET	4544	22782	SIPO	UV	6886673
45830	153	1997-09-11	VYDAJ	PREVOD NA UCET	4544	23930	SIPO	UV	6886673
45831	153	1997-10-11	VYDAJ	PREVOD NA UCET	4544	22700	SIPO	UV	6886673
45832	153	1997-11-11	VYDAJ	PREVOD NA UCET	4544	25858	SIPO	UV	6886673
45833	153	1997-12-11	VYDAJ	PREVOD NA UCET	4544	33581	SIPO	UV	6886673
45834	153	1998-01-11	VYDAJ	PREVOD NA UCET	4544	27948	SIPO	UV	6886673
45835	153	1998-02-11	VYDAJ	PREVOD NA UCET	4544	24408	SIPO	UV	6886673
45836	153	1998-03-11	VYDAJ	PREVOD NA UCET	4544	33665	SIPO	UV	6886673
45837	153	1998-04-11	VYDAJ	PREVOD NA UCET	4544	26350	SIPO	UV	6886673
45838	153	1998-05-11	VYDAJ	PREVOD NA UCET	4544	26809	SIPO	UV	6886673
45839	153	1998-06-11	VYDAJ	PREVOD NA UCET	4544	33935	SIPO	UV	6886673
45840	153	1998-07-11	VYDAJ	PREVOD NA UCET	4544	26108	SIPO	UV	6886673
45841	153	1998-08-11	VYDAJ	PREVOD NA UCET	4544	35372	SIPO	UV	6886673
45842	153	1998-09-11	VYDAJ	PREVOD NA UCET	4544	34154	SIPO	UV	6886673
45843	153	1998-10-11	VYDAJ	PREVOD NA UCET	4544	26233	SIPO	UV	6886673
45844	153	1998-11-11	VYDAJ	PREVOD NA UCET	4544	24985	SIPO	UV	6886673
45845	153	1998-12-11	VYDAJ	PREVOD NA UCET	4544	22596	SIPO	UV	6886673
45855	153	1994-11-20	VYBER	VYBER	5964	19389	\N	\N	\N
45865	153	1995-06-11	VYBER	VYBER	13578	30661	\N	\N	\N
45870	153	1995-03-04	VYBER	VYBER	5811	19328	\N	\N	\N
45875	153	1996-03-04	VYBER	VYBER	5988	24506	\N	\N	\N
45880	153	1997-10-08	VYBER	VYBER	5284	27244	\N	\N	\N
45901	153	1995-12-16	VYDAJ	VYBER	1800	26241	\N	\N	\N
45902	153	1996-12-18	VYDAJ	VYBER	8100	28095	\N	\N	\N
45903	153	1997-12-12	VYDAJ	VYBER	5100	28481	\N	\N	\N
45904	153	1998-12-11	VYDAJ	VYBER	7800	27140	\N	\N	\N
45919	153	1995-01-01	VYDAJ	VYBER	3300	21101	\N	\N	\N
45920	153	1995-01-14	VYDAJ	VYBER	4800	22187	\N	\N	\N
45922	153	1995-01-24	VYDAJ	VYBER	3000	19187	\N	\N	\N
45923	153	1996-01-04	VYDAJ	VYBER	5100	21233	\N	\N	\N
45927	153	1996-01-20	VYDAJ	VYBER	3000	19919	\N	\N	\N
45928	153	1996-01-12	VYDAJ	VYBER	1500	22919	\N	\N	\N
45929	153	1997-01-08	VYDAJ	VYBER	5400	21438	\N	\N	\N
45934	153	1997-01-07	VYDAJ	VYBER	6300	26838	\N	\N	\N
45937	153	1998-01-20	VYDAJ	VYBER	1800	26148	\N	\N	\N
45939	153	1998-01-23	VYDAJ	VYBER	1500	24648	\N	\N	\N
45947	153	1994-10-16	VYDAJ	VYBER	11700	19077	\N	\N	\N
45949	153	1994-12-25	VYDAJ	VYBER	2700	24314	\N	\N	\N
45950	153	1994-02-11	VYDAJ	VYBER	9600	41245	\N	\N	\N
45951	153	1994-08-15	VYDAJ	VYBER	12300	29147	\N	\N	\N
45956	153	1995-08-09	VYDAJ	VYBER	13200	23229	\N	\N	\N
45957	153	1995-03-15	VYDAJ	VYBER	4200	21714	\N	\N	\N
45960	153	1996-05-04	VYDAJ	VYBER	8400	25388	\N	\N	\N
45961	153	1996-05-30	VYDAJ	VYBER	1800	31574	\N	\N	\N
45962	153	1996-07-01	VYDAJ	VYBER	8700	35911	\N	\N	\N
45963	153	1996-11-17	VYDAJ	VYBER	7800	25534	\N	\N	\N
45964	153	1996-09-10	VYDAJ	VYBER	9000	31977	\N	\N	\N
45965	153	1996-07-07	VYDAJ	VYBER	7200	37941	\N	\N	\N
45968	153	1997-11-18	VYDAJ	VYBER	1500	24358	\N	\N	\N
45975	153	1998-08-17	VYDAJ	VYBER	10500	24872	\N	\N	\N
45990	153	1994-02-28	VYDAJ	VYBER	15	28828	SLUZBY	\N	\N
45991	153	1994-03-31	VYDAJ	VYBER	15	28828	SLUZBY	\N	\N
45992	153	1994-04-30	VYDAJ	VYBER	15	31532	SLUZBY	\N	\N
45993	153	1994-05-31	VYDAJ	VYBER	15	32444	SLUZBY	\N	\N
45994	153	1994-06-30	VYDAJ	VYBER	15	37336	SLUZBY	\N	\N
45995	153	1994-07-31	VYDAJ	VYBER	15	33661	SLUZBY	\N	\N
45996	153	1994-08-31	VYDAJ	VYBER	15	29294	SLUZBY	\N	\N
45997	153	1994-09-30	VYDAJ	VYBER	15	29591	SLUZBY	\N	\N
45998	153	1994-10-31	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
45999	153	1994-11-30	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
46000	153	1994-12-31	VYDAJ	VYBER	15	24401	SLUZBY	\N	\N
46001	153	1995-01-31	VYDAJ	VYBER	15	19273	SLUZBY	\N	\N
46002	153	1995-02-28	VYDAJ	VYBER	15	25139	SLUZBY	\N	\N
46003	153	1995-03-31	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
46004	153	1995-04-30	VYDAJ	VYBER	15	24572	SLUZBY	\N	\N
46005	153	1995-05-31	VYDAJ	VYBER	15	23644	SLUZBY	\N	\N
46006	153	1995-06-30	VYDAJ	VYBER	15	20518	SLUZBY	\N	\N
46007	153	1995-07-31	VYDAJ	VYBER	15	22699	SLUZBY	\N	\N
46008	153	1995-08-31	VYDAJ	VYBER	15	13638	SLUZBY	\N	\N
46009	153	1995-09-30	VYDAJ	VYBER	15	16676	SLUZBY	\N	\N
46010	153	1995-10-31	VYDAJ	VYBER	15	21532	SLUZBY	\N	\N
46011	153	1995-11-30	VYDAJ	VYBER	15	20290	SLUZBY	\N	\N
46012	153	1995-12-31	VYDAJ	VYBER	15	26333	SLUZBY	\N	\N
46013	153	1996-01-31	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
46014	153	1996-02-29	VYDAJ	VYBER	15	30494	SLUZBY	\N	\N
46015	153	1996-03-31	VYDAJ	VYBER	15	24490	SLUZBY	\N	\N
46016	153	1996-04-30	VYDAJ	VYBER	15	33788	SLUZBY	\N	\N
46017	153	1996-05-31	VYDAJ	VYBER	15	31699	SLUZBY	\N	\N
46018	153	1996-06-30	VYDAJ	VYBER	15	44611	SLUZBY	\N	\N
46019	153	1996-07-31	VYDAJ	VYBER	15	33528	SLUZBY	\N	\N
46020	153	1996-08-31	VYDAJ	VYBER	15	35547	SLUZBY	\N	\N
46021	153	1996-09-30	VYDAJ	VYBER	15	27544	SLUZBY	\N	\N
46022	153	1996-10-31	VYDAJ	VYBER	15	32848	SLUZBY	\N	\N
46023	153	1996-11-30	VYDAJ	VYBER	15	25644	SLUZBY	\N	\N
46024	153	1996-12-31	VYDAJ	VYBER	15	28208	SLUZBY	\N	\N
46025	153	1997-01-31	VYDAJ	VYBER	15	16962	SLUZBY	\N	\N
46026	153	1997-02-28	VYDAJ	VYBER	15	22115	SLUZBY	\N	\N
46027	153	1997-03-31	VYDAJ	VYBER	15	27899	SLUZBY	\N	\N
46028	153	1997-04-30	VYDAJ	VYBER	15	29592	SLUZBY	\N	\N
46029	153	1997-05-31	VYDAJ	VYBER	15	27478	SLUZBY	\N	\N
46030	153	1997-06-30	VYDAJ	VYBER	15	32724	SLUZBY	\N	\N
46031	153	1997-07-31	VYDAJ	VYBER	15	13596	SLUZBY	\N	\N
46032	153	1997-08-31	VYDAJ	VYBER	15	14744	SLUZBY	\N	\N
46033	153	1997-09-30	VYDAJ	VYBER	15	18798	SLUZBY	\N	\N
46034	153	1997-10-31	VYDAJ	VYBER	15	16672	SLUZBY	\N	\N
46035	153	1997-11-30	VYDAJ	VYBER	15	17530	SLUZBY	\N	\N
46036	153	1997-12-31	VYDAJ	VYBER	15	18762	SLUZBY	\N	\N
46037	153	1998-01-31	VYDAJ	VYBER	15	15222	SLUZBY	\N	\N
46038	153	1998-02-28	VYDAJ	VYBER	15	24479	SLUZBY	\N	\N
46039	153	1998-03-31	VYDAJ	VYBER	15	17164	SLUZBY	\N	\N
46040	153	1998-04-30	VYDAJ	VYBER	15	17623	SLUZBY	\N	\N
46041	153	1998-05-31	VYDAJ	VYBER	15	17884	SLUZBY	\N	\N
46042	153	1998-06-30	VYDAJ	VYBER	15	16922	SLUZBY	\N	\N
46043	153	1998-07-31	VYDAJ	VYBER	15	26186	SLUZBY	\N	\N
46044	153	1998-08-31	VYDAJ	VYBER	15	24968	SLUZBY	\N	\N
46045	153	1998-09-30	VYDAJ	VYBER	15	17047	SLUZBY	\N	\N
46046	153	1998-10-31	VYDAJ	VYBER	15	15799	SLUZBY	\N	\N
46047	153	1998-11-30	VYDAJ	VYBER	15	14345	SLUZBY	\N	\N
46048	153	1993-10-19	PRIJEM	VKLAD	6000	20130	\N	\N	\N
46049	153	1993-11-18	VYDAJ	VYBER	4900	28995	\N	\N	\N
46050	153	1993-12-18	VYDAJ	VYBER	11400	38290	\N	\N	\N
46051	153	1994-01-17	VYDAJ	VYBER	15200	36958	\N	\N	\N
46052	153	1994-02-16	VYDAJ	VYBER	8000	28701	\N	\N	\N
46053	153	1994-03-18	VYDAJ	VYBER	9300	28714	\N	\N	\N
46054	153	1994-04-17	VYDAJ	VYBER	6600	31414	\N	\N	\N
46055	153	1994-05-17	VYDAJ	VYBER	8400	32318	\N	\N	\N
46056	153	1994-06-16	VYDAJ	VYBER	11300	37195	\N	\N	\N
46057	153	1994-07-16	VYDAJ	VYBER	13000	33522	\N	\N	\N
46058	153	1994-08-15	VYDAJ	VYBER	1400	41447	\N	\N	\N
46059	153	1994-09-14	VYDAJ	VYBER	9000	29480	\N	\N	\N
46060	153	1994-10-14	VYDAJ	VYBER	8000	30777	\N	\N	\N
46061	153	1994-11-13	VYDAJ	VYBER	3000	25353	\N	\N	\N
46062	153	1994-12-13	VYDAJ	VYBER	8500	27014	\N	\N	\N
46063	153	1995-01-12	VYDAJ	VYBER	3300	26987	\N	\N	\N
46064	153	1995-02-11	VYDAJ	VYBER	3400	25059	\N	\N	\N
46065	153	1995-03-13	VYDAJ	VYBER	2600	25914	\N	\N	\N
46066	153	1995-04-12	VYDAJ	VYBER	6500	24488	\N	\N	\N
46067	153	1995-05-12	VYDAJ	VYBER	10200	23558	\N	\N	\N
46068	153	1995-06-11	VYDAJ	VYBER	5700	20417	\N	\N	\N
46069	153	1995-07-11	VYDAJ	VYBER	7100	22604	\N	\N	\N
46070	153	1995-08-10	VYDAJ	VYBER	5100	18129	\N	\N	\N
46071	153	1995-09-09	VYDAJ	VYBER	6200	21168	\N	\N	\N
46072	153	1995-10-09	VYDAJ	VYBER	4400	26006	\N	\N	\N
46073	153	1995-11-08	VYDAJ	VYBER	10500	24762	\N	\N	\N
46074	153	1995-12-08	VYDAJ	VYBER	8300	32585	\N	\N	\N
46075	153	1996-01-07	VYDAJ	VYBER	6000	28963	\N	\N	\N
46076	153	1996-02-06	PRIJEM	VKLAD	1200	21203	\N	\N	\N
46077	153	1996-03-07	VYDAJ	VYBER	9300	28936	\N	\N	\N
46078	153	1996-05-06	VYDAJ	VYBER	1200	24188	\N	\N	\N
46079	153	1996-06-05	VYDAJ	VYBER	3300	28399	\N	\N	\N
46080	153	1996-07-05	VYDAJ	VYBER	4500	31411	\N	\N	\N
46081	153	1996-08-04	VYDAJ	VYBER	7300	26228	\N	\N	\N
46082	153	1996-09-03	VYDAJ	VYBER	8300	27247	\N	\N	\N
46083	153	1996-10-03	VYDAJ	VYBER	4000	23544	\N	\N	\N
46084	153	1996-11-02	VYDAJ	VYBER	8700	24148	\N	\N	\N
46085	153	1996-12-02	VYDAJ	VYBER	5500	20144	\N	\N	\N
46086	153	1997-01-01	VYDAJ	VYBER	8800	19408	\N	\N	\N
46087	153	1997-01-31	VYDAJ	VYBER	4100	12862	\N	\N	\N
46088	153	1997-03-02	VYDAJ	VYBER	3500	18615	\N	\N	\N
46089	153	1997-04-01	VYDAJ	VYBER	7600	20299	\N	\N	\N
46090	153	1997-05-01	VYDAJ	VYBER	11400	18192	\N	\N	\N
46091	153	1997-05-31	VYDAJ	VYBER	10900	16578	\N	\N	\N
46092	153	1997-06-30	VYDAJ	VYBER	13500	19224	\N	\N	\N
46093	153	1997-07-30	VYDAJ	VYBER	14900	13510	\N	\N	\N
46094	153	1997-08-29	VYDAJ	VYBER	8100	14682	\N	\N	\N
46095	153	1997-09-28	VYDAJ	VYBER	5200	18730	\N	\N	\N
46096	153	1997-10-28	VYDAJ	VYBER	6100	16600	\N	\N	\N
46097	153	1997-11-27	VYDAJ	VYBER	6900	17458	\N	\N	\N
46098	153	1997-12-27	VYDAJ	VYBER	9800	18681	\N	\N	\N
46099	153	1998-01-26	VYDAJ	VYBER	9500	15148	\N	\N	\N
46100	153	1998-03-27	VYDAJ	VYBER	16600	17065	\N	\N	\N
46101	153	1998-04-26	VYDAJ	VYBER	8800	17550	\N	\N	\N
46102	153	1998-05-26	VYDAJ	VYBER	9000	17809	\N	\N	\N
46103	153	1998-06-25	VYDAJ	VYBER	17100	16835	\N	\N	\N
46104	153	1998-09-23	VYDAJ	VYBER	17200	16954	\N	\N	\N
46105	153	1998-10-23	VYDAJ	VYBER	10500	15733	\N	\N	\N
46106	153	1998-11-22	VYDAJ	VYBER	10700	14285	\N	\N	\N
46170	154	1994-06-21	PRIJEM	VKLAD	900	900	\N	\N	\N
46177	154	1994-07-08	PRIJEM	VKLAD	14076	14976	\N	\N	\N
46178	154	1994-08-08	PRIJEM	VKLAD	14076	34482	\N	\N	\N
46179	154	1994-09-08	PRIJEM	VKLAD	14076	42155	\N	\N	\N
46180	154	1994-10-08	PRIJEM	VKLAD	14076	46255	\N	\N	\N
46181	154	1994-11-08	PRIJEM	VKLAD	14076	50672	\N	\N	\N
46182	154	1994-12-08	PRIJEM	VKLAD	21114	53532	\N	\N	\N
46183	154	1995-01-08	PRIJEM	VKLAD	14076	49381	\N	\N	\N
46184	154	1995-02-08	PRIJEM	VKLAD	14076	35711	\N	\N	\N
46185	154	1995-03-08	PRIJEM	VKLAD	14076	39909	\N	\N	\N
46186	154	1995-04-08	PRIJEM	VKLAD	14076	47330	\N	\N	\N
46187	154	1995-05-08	PRIJEM	VKLAD	14076	45369	\N	\N	\N
46188	154	1995-06-08	PRIJEM	VKLAD	21114	53335	\N	\N	\N
46189	154	1995-07-08	PRIJEM	VKLAD	14076	33967	\N	\N	\N
46190	154	1995-08-08	PRIJEM	VKLAD	14076	43668	\N	\N	\N
46191	154	1995-09-08	PRIJEM	VKLAD	14076	49401	\N	\N	\N
46192	154	1995-10-08	PRIJEM	VKLAD	14076	48039	\N	\N	\N
46193	154	1995-11-08	PRIJEM	VKLAD	14076	48576	\N	\N	\N
46194	154	1995-12-08	PRIJEM	VKLAD	21114	58759	\N	\N	\N
46195	154	1996-01-08	PRIJEM	VKLAD	14076	47215	\N	\N	\N
46196	154	1996-02-08	PRIJEM	VKLAD	14076	42331	\N	\N	\N
46197	154	1996-03-08	PRIJEM	VKLAD	14076	46751	\N	\N	\N
46198	154	1996-04-08	PRIJEM	VKLAD	14076	48888	\N	\N	\N
46199	154	1996-05-08	PRIJEM	VKLAD	14076	50026	\N	\N	\N
46200	154	1996-06-08	PRIJEM	VKLAD	21114	57504	\N	\N	\N
46201	154	1996-07-08	PRIJEM	VKLAD	14076	39151	\N	\N	\N
46202	154	1996-08-08	PRIJEM	VKLAD	14076	47570	\N	\N	\N
46203	154	1996-09-08	PRIJEM	VKLAD	14076	56122	\N	\N	\N
46204	154	1996-10-08	PRIJEM	VKLAD	14076	57387	\N	\N	\N
46205	154	1996-11-08	PRIJEM	VKLAD	14076	58561	\N	\N	\N
46206	154	1996-12-08	PRIJEM	VKLAD	21114	71203	\N	\N	\N
46207	154	1997-01-08	PRIJEM	VKLAD	14076	69854	\N	\N	\N
46208	154	1997-02-08	PRIJEM	VKLAD	14076	61782	\N	\N	\N
46209	154	1997-03-08	PRIJEM	VKLAD	14076	63998	\N	\N	\N
46210	154	1997-04-08	PRIJEM	VKLAD	14076	64631	\N	\N	\N
46211	154	1997-05-08	PRIJEM	VKLAD	14076	66564	\N	\N	\N
46212	154	1997-06-08	PRIJEM	VKLAD	21114	75329	\N	\N	\N
46213	154	1997-07-08	PRIJEM	VKLAD	14076	65594	\N	\N	\N
46214	154	1997-08-08	PRIJEM	VKLAD	14076	64131	\N	\N	\N
46215	154	1997-09-08	PRIJEM	VKLAD	14076	68062	\N	\N	\N
46216	154	1997-10-08	PRIJEM	VKLAD	14076	69597	\N	\N	\N
46217	154	1997-11-08	PRIJEM	VKLAD	14076	76847	\N	\N	\N
46218	154	1997-12-08	PRIJEM	VKLAD	21114	89964	\N	\N	\N
46219	154	1998-01-08	PRIJEM	VKLAD	14076	80789	\N	\N	\N
46220	154	1998-02-08	PRIJEM	VKLAD	14076	78568	\N	\N	\N
46221	154	1998-03-08	PRIJEM	VKLAD	14076	84555	\N	\N	\N
46222	154	1998-04-08	PRIJEM	VKLAD	14076	84766	\N	\N	\N
46223	154	1998-05-08	PRIJEM	VKLAD	14076	88173	\N	\N	\N
46224	154	1998-06-08	PRIJEM	VKLAD	21114	96137	\N	\N	\N
46225	154	1998-07-08	PRIJEM	VKLAD	14076	83378	\N	\N	\N
46226	154	1998-08-08	PRIJEM	VKLAD	14076	83481	\N	\N	\N
46227	154	1998-09-08	PRIJEM	VKLAD	14076	86183	\N	\N	\N
46228	154	1998-10-08	PRIJEM	VKLAD	14076	90997	\N	\N	\N
46229	154	1998-11-08	PRIJEM	VKLAD	14076	90727	\N	\N	\N
46230	154	1998-12-08	PRIJEM	VKLAD	21114	94493	\N	\N	\N
46242	154	1994-12-05	VYDAJ	PREVOD NA UCET	3891	32418	SIPO	MN	1314569
46243	154	1995-01-05	VYDAJ	PREVOD NA UCET	3891	35305	SIPO	MN	1314569
46244	154	1995-02-05	VYDAJ	PREVOD NA UCET	3891	21635	SIPO	MN	1314569
46245	154	1995-03-05	VYDAJ	PREVOD NA UCET	3891	26633	SIPO	MN	1314569
46246	154	1995-04-05	VYDAJ	PREVOD NA UCET	3891	33254	SIPO	MN	1314569
46247	154	1995-05-05	VYDAJ	PREVOD NA UCET	3891	31293	SIPO	MN	1314569
46248	154	1995-06-05	VYDAJ	PREVOD NA UCET	3891	32221	SIPO	MN	1314569
46249	154	1995-07-05	VYDAJ	PREVOD NA UCET	3891	19891	SIPO	MN	1314569
46250	154	1995-08-05	VYDAJ	PREVOD NA UCET	3891	29592	SIPO	MN	1314569
46251	154	1995-09-05	VYDAJ	PREVOD NA UCET	3891	35325	SIPO	MN	1314569
46252	154	1995-10-05	VYDAJ	PREVOD NA UCET	3891	33963	SIPO	MN	1314569
46253	154	1995-11-05	VYDAJ	PREVOD NA UCET	3891	34500	SIPO	MN	1314569
46254	154	1995-12-05	VYDAJ	PREVOD NA UCET	3891	37645	SIPO	MN	1314569
46255	154	1996-01-05	VYDAJ	PREVOD NA UCET	3891	33139	SIPO	MN	1314569
46256	154	1996-02-05	VYDAJ	PREVOD NA UCET	3891	28255	SIPO	MN	1314569
46257	154	1996-03-05	VYDAJ	PREVOD NA UCET	3891	32675	SIPO	MN	1314569
46258	154	1996-04-05	VYDAJ	PREVOD NA UCET	3891	34812	SIPO	MN	1314569
46259	154	1996-05-05	VYDAJ	PREVOD NA UCET	3891	35950	SIPO	MN	1314569
46260	154	1996-06-05	VYDAJ	PREVOD NA UCET	3891	36390	SIPO	MN	1314569
46261	154	1996-07-05	VYDAJ	PREVOD NA UCET	3891	25075	SIPO	MN	1314569
46262	154	1996-08-05	VYDAJ	PREVOD NA UCET	3891	33494	SIPO	MN	1314569
46263	154	1996-09-05	VYDAJ	PREVOD NA UCET	3891	42046	SIPO	MN	1314569
46264	154	1996-10-05	VYDAJ	PREVOD NA UCET	3891	43311	SIPO	MN	1314569
46265	154	1996-11-05	VYDAJ	PREVOD NA UCET	3891	45785	SIPO	MN	1314569
46266	154	1996-12-05	VYDAJ	PREVOD NA UCET	3891	54889	SIPO	MN	1314569
46267	154	1997-01-05	VYDAJ	PREVOD NA UCET	3891	64778	SIPO	MN	1314569
46268	154	1997-02-05	VYDAJ	PREVOD NA UCET	3891	47706	SIPO	MN	1314569
46269	154	1997-03-05	VYDAJ	PREVOD NA UCET	3891	58122	SIPO	MN	1314569
46270	154	1997-04-05	VYDAJ	PREVOD NA UCET	3891	57155	SIPO	MN	1314569
46271	154	1997-05-05	VYDAJ	PREVOD NA UCET	3891	60988	SIPO	MN	1314569
46272	154	1997-06-05	VYDAJ	PREVOD NA UCET	3891	54215	SIPO	MN	1314569
46273	154	1997-07-05	VYDAJ	PREVOD NA UCET	3891	59018	SIPO	MN	1314569
46274	154	1997-08-05	VYDAJ	PREVOD NA UCET	3891	50055	SIPO	MN	1314569
46275	154	1997-09-05	VYDAJ	PREVOD NA UCET	3891	53986	SIPO	MN	1314569
46276	154	1997-10-05	VYDAJ	PREVOD NA UCET	3891	55521	SIPO	MN	1314569
46277	154	1997-11-05	VYDAJ	PREVOD NA UCET	3891	62771	SIPO	MN	1314569
46278	154	1997-12-05	VYDAJ	PREVOD NA UCET	3891	68850	SIPO	MN	1314569
46279	154	1998-01-05	VYDAJ	PREVOD NA UCET	3891	66713	SIPO	MN	1314569
46280	154	1998-02-05	VYDAJ	PREVOD NA UCET	3891	68892	SIPO	MN	1314569
46281	154	1998-03-05	VYDAJ	PREVOD NA UCET	3891	70479	SIPO	MN	1314569
46282	154	1998-04-05	VYDAJ	PREVOD NA UCET	3891	70690	SIPO	MN	1314569
46283	154	1998-05-05	VYDAJ	PREVOD NA UCET	3891	74097	SIPO	MN	1314569
46284	154	1998-06-05	VYDAJ	PREVOD NA UCET	3891	75023	SIPO	MN	1314569
46285	154	1998-07-05	VYDAJ	PREVOD NA UCET	3891	69302	SIPO	MN	1314569
46286	154	1998-08-05	VYDAJ	PREVOD NA UCET	3891	69405	SIPO	MN	1314569
46287	154	1998-09-05	VYDAJ	PREVOD NA UCET	3891	72107	SIPO	MN	1314569
46288	154	1998-10-05	VYDAJ	PREVOD NA UCET	3891	76921	SIPO	MN	1314569
46289	154	1998-11-05	VYDAJ	PREVOD NA UCET	3891	76651	SIPO	MN	1314569
46290	154	1998-12-05	VYDAJ	PREVOD NA UCET	3891	73379	SIPO	MN	1314569
46292	154	1995-06-24	VYDAJ	VYBER	16300	23635	\N	\N	\N
46293	154	1996-06-24	VYDAJ	VYBER	14500	33104	\N	\N	\N
46294	154	1997-06-28	VYDAJ	VYBER	8000	67329	\N	\N	\N
46295	154	1998-06-24	VYDAJ	VYBER	18900	77237	\N	\N	\N
46297	154	1995-01-26	VYDAJ	VYBER	2600	31381	\N	\N	\N
46298	154	1996-01-03	VYDAJ	VYBER	5400	37030	\N	\N	\N
46299	154	1997-01-11	VYDAJ	VYBER	5900	63954	\N	\N	\N
46300	154	1998-01-01	VYDAJ	VYBER	6900	71704	\N	\N	\N
46301	154	1994-12-15	VYDAJ	VYBER	1900	51632	\N	\N	\N
46302	154	1995-12-11	VYDAJ	VYBER	600	55559	\N	\N	\N
46303	154	1996-12-22	VYDAJ	VYBER	1400	69803	\N	\N	\N
46304	154	1997-12-24	VYDAJ	VYBER	2100	87864	\N	\N	\N
46305	154	1998-12-03	VYDAJ	VYBER	1800	77270	\N	\N	\N
46312	154	1995-01-15	VYDAJ	VYBER	1200	44781	\N	\N	\N
46313	154	1995-01-30	VYDAJ	VYBER	1800	27581	\N	\N	\N
46314	154	1995-01-27	VYDAJ	VYBER	2000	29381	\N	\N	\N
46315	154	1995-01-30	VYDAJ	VYBER	2200	25381	\N	\N	\N
46316	154	1995-01-15	VYDAJ	VYBER	1400	45981	\N	\N	\N
46317	154	1995-01-10	VYDAJ	VYBER	2000	47381	\N	\N	\N
46318	154	1996-01-10	VYDAJ	VYBER	2100	40915	\N	\N	\N
46319	154	1996-01-13	VYDAJ	VYBER	1400	33715	\N	\N	\N
46320	154	1996-01-17	VYDAJ	VYBER	1700	32015	\N	\N	\N
46321	154	1996-01-08	VYDAJ	VYBER	1900	45315	\N	\N	\N
46322	154	1996-01-11	VYDAJ	VYBER	2000	38915	\N	\N	\N
46323	154	1996-01-08	VYDAJ	VYBER	2300	43015	\N	\N	\N
46324	154	1997-01-05	VYDAJ	VYBER	1400	68669	\N	\N	\N
46325	154	1997-01-18	VYDAJ	VYBER	2300	61654	\N	\N	\N
46326	154	1997-01-26	VYDAJ	VYBER	2500	55054	\N	\N	\N
46327	154	1997-01-19	VYDAJ	VYBER	2200	59454	\N	\N	\N
46328	154	1997-01-23	VYDAJ	VYBER	1300	57554	\N	\N	\N
46329	154	1997-01-23	VYDAJ	VYBER	600	58854	\N	\N	\N
46330	154	1998-01-02	VYDAJ	VYBER	1100	70604	\N	\N	\N
46331	154	1998-01-15	VYDAJ	VYBER	500	74489	\N	\N	\N
46332	154	1998-01-13	VYDAJ	VYBER	2600	77589	\N	\N	\N
46333	154	1998-01-15	VYDAJ	VYBER	2600	74989	\N	\N	\N
46334	154	1998-01-30	VYDAJ	VYBER	1600	72889	\N	\N	\N
46335	154	1998-01-09	VYDAJ	VYBER	600	80189	\N	\N	\N
46342	154	1995-12-11	VYDAJ	VYBER	2600	56159	\N	\N	\N
46343	154	1995-03-06	VYDAJ	VYBER	800	25833	\N	\N	\N
46344	154	1995-05-09	VYDAJ	VYBER	2400	42969	\N	\N	\N
46345	154	1995-11-14	VYDAJ	VYBER	900	41376	\N	\N	\N
46346	154	1995-04-29	VYDAJ	VYBER	3100	35030	\N	\N	\N
46347	154	1995-01-23	VYDAJ	VYBER	1500	33981	\N	\N	\N
46348	154	1996-06-26	VYDAJ	VYBER	4300	28804	\N	\N	\N
46349	154	1996-03-10	VYDAJ	VYBER	800	45951	\N	\N	\N
46350	154	1996-07-12	VYDAJ	VYBER	3100	37251	\N	\N	\N
46351	154	1996-03-19	VYDAJ	VYBER	3400	38551	\N	\N	\N
46352	154	1997-04-01	VYDAJ	VYBER	3200	61046	\N	\N	\N
46353	154	1997-05-09	VYDAJ	VYBER	4700	61864	\N	\N	\N
46354	154	1997-07-01	VYDAJ	VYBER	4700	62909	\N	\N	\N
46355	154	1997-09-12	VYDAJ	VYBER	2500	65562	\N	\N	\N
46356	154	1997-09-15	VYDAJ	VYBER	1500	64062	\N	\N	\N
46357	154	1998-12-14	VYDAJ	VYBER	2500	91993	\N	\N	\N
46358	154	1998-04-15	VYDAJ	VYBER	3600	81166	\N	\N	\N
46359	154	1998-02-06	VYDAJ	VYBER	4400	64492	\N	\N	\N
46371	154	1994-11-30	VYDAJ	VYBER	15	36309	SLUZBY	\N	\N
46372	154	1994-12-31	VYDAJ	VYBER	15	39196	SLUZBY	\N	\N
46373	154	1995-01-31	VYDAJ	VYBER	15	25526	SLUZBY	\N	\N
46374	154	1995-02-28	VYDAJ	VYBER	15	30524	SLUZBY	\N	\N
46375	154	1995-03-31	VYDAJ	VYBER	15	37145	SLUZBY	\N	\N
46376	154	1995-04-30	VYDAJ	VYBER	15	35184	SLUZBY	\N	\N
46377	154	1995-05-31	VYDAJ	VYBER	15	36112	SLUZBY	\N	\N
46378	154	1995-06-30	VYDAJ	VYBER	15	23782	SLUZBY	\N	\N
46379	154	1995-07-31	VYDAJ	VYBER	15	33483	SLUZBY	\N	\N
46380	154	1995-08-31	VYDAJ	VYBER	15	39216	SLUZBY	\N	\N
46381	154	1995-09-30	VYDAJ	VYBER	15	37854	SLUZBY	\N	\N
46382	154	1995-10-31	VYDAJ	VYBER	15	38391	SLUZBY	\N	\N
46383	154	1995-11-30	VYDAJ	VYBER	15	41536	SLUZBY	\N	\N
46384	154	1995-12-31	VYDAJ	VYBER	15	42430	SLUZBY	\N	\N
46385	154	1996-01-31	VYDAJ	VYBER	15	32146	SLUZBY	\N	\N
46386	154	1996-02-29	VYDAJ	VYBER	15	36566	SLUZBY	\N	\N
46387	154	1996-03-31	VYDAJ	VYBER	15	38703	SLUZBY	\N	\N
46388	154	1996-04-30	VYDAJ	VYBER	15	39841	SLUZBY	\N	\N
46389	154	1996-05-31	VYDAJ	VYBER	15	40281	SLUZBY	\N	\N
46390	154	1996-06-30	VYDAJ	VYBER	15	28966	SLUZBY	\N	\N
46391	154	1996-07-31	VYDAJ	VYBER	15	37385	SLUZBY	\N	\N
46392	154	1996-08-31	VYDAJ	VYBER	15	45937	SLUZBY	\N	\N
46393	154	1996-09-30	VYDAJ	VYBER	15	47202	SLUZBY	\N	\N
46394	154	1996-10-31	VYDAJ	VYBER	15	49676	SLUZBY	\N	\N
46395	154	1996-11-30	VYDAJ	VYBER	15	58780	SLUZBY	\N	\N
46396	154	1996-12-31	VYDAJ	VYBER	15	70069	SLUZBY	\N	\N
46397	154	1997-01-31	VYDAJ	VYBER	15	55297	SLUZBY	\N	\N
46398	154	1997-02-28	VYDAJ	VYBER	15	62013	SLUZBY	\N	\N
46399	154	1997-03-31	VYDAJ	VYBER	15	64246	SLUZBY	\N	\N
46400	154	1997-04-30	VYDAJ	VYBER	15	64879	SLUZBY	\N	\N
46401	154	1997-05-31	VYDAJ	VYBER	15	62106	SLUZBY	\N	\N
46402	154	1997-06-30	VYDAJ	VYBER	15	67609	SLUZBY	\N	\N
46403	154	1997-07-31	VYDAJ	VYBER	15	65846	SLUZBY	\N	\N
46404	154	1997-08-31	VYDAJ	VYBER	15	64377	SLUZBY	\N	\N
46405	154	1997-09-30	VYDAJ	VYBER	15	64312	SLUZBY	\N	\N
46406	154	1997-10-31	VYDAJ	VYBER	15	69862	SLUZBY	\N	\N
46407	154	1997-11-30	VYDAJ	VYBER	15	77141	SLUZBY	\N	\N
46408	154	1997-12-31	VYDAJ	VYBER	15	88204	SLUZBY	\N	\N
46409	154	1998-01-31	VYDAJ	VYBER	15	72783	SLUZBY	\N	\N
46410	154	1998-02-28	VYDAJ	VYBER	15	78870	SLUZBY	\N	\N
46411	154	1998-03-31	VYDAJ	VYBER	15	84881	SLUZBY	\N	\N
46412	154	1998-04-30	VYDAJ	VYBER	15	81488	SLUZBY	\N	\N
46413	154	1998-05-31	VYDAJ	VYBER	15	88514	SLUZBY	\N	\N
46414	154	1998-06-30	VYDAJ	VYBER	15	73193	SLUZBY	\N	\N
46415	154	1998-07-31	VYDAJ	VYBER	15	73296	SLUZBY	\N	\N
46416	154	1998-08-31	VYDAJ	VYBER	15	75998	SLUZBY	\N	\N
46417	154	1998-09-30	VYDAJ	VYBER	15	80812	SLUZBY	\N	\N
46418	154	1998-10-31	VYDAJ	VYBER	15	80542	SLUZBY	\N	\N
46419	154	1998-11-30	VYDAJ	VYBER	15	79070	SLUZBY	\N	\N
46420	154	1994-07-21	PRIJEM	VKLAD	5400	20376	\N	\N	\N
46421	154	1994-08-20	VYDAJ	VYBER	6500	27982	\N	\N	\N
46422	154	1994-09-19	VYDAJ	VYBER	10100	32055	\N	\N	\N
46423	154	1994-10-19	VYDAJ	VYBER	9800	36455	\N	\N	\N
46424	154	1994-11-18	VYDAJ	VYBER	14500	36172	\N	\N	\N
46425	154	1994-12-18	VYDAJ	VYBER	12600	39032	\N	\N	\N
46426	154	1995-01-17	VYDAJ	VYBER	9300	35481	\N	\N	\N
46427	154	1995-02-16	VYDAJ	VYBER	5300	30411	\N	\N	\N
46428	154	1995-03-18	VYDAJ	VYBER	2900	37009	\N	\N	\N
46429	154	1995-04-17	VYDAJ	VYBER	9200	38130	\N	\N	\N
46430	154	1995-05-17	VYDAJ	VYBER	7000	35969	\N	\N	\N
46431	154	1995-06-16	VYDAJ	VYBER	13400	39935	\N	\N	\N
46432	154	1995-07-16	VYDAJ	VYBER	600	33367	\N	\N	\N
46433	154	1995-08-15	VYDAJ	VYBER	4600	39068	\N	\N	\N
46434	154	1995-09-14	VYDAJ	VYBER	11700	37701	\N	\N	\N
46435	154	1995-10-14	VYDAJ	VYBER	9800	38239	\N	\N	\N
46436	154	1995-11-13	VYDAJ	VYBER	6300	42276	\N	\N	\N
46437	154	1995-12-13	VYDAJ	VYBER	13300	42259	\N	\N	\N
46438	154	1996-01-12	VYDAJ	VYBER	3800	35115	\N	\N	\N
46439	154	1996-02-11	VYDAJ	VYBER	5900	36431	\N	\N	\N
46440	154	1996-03-12	VYDAJ	VYBER	4000	41951	\N	\N	\N
46441	154	1996-04-11	VYDAJ	VYBER	9200	39688	\N	\N	\N
46442	154	1996-05-11	VYDAJ	VYBER	9900	40126	\N	\N	\N
46443	154	1996-06-10	VYDAJ	VYBER	9900	47604	\N	\N	\N
46444	154	1996-07-10	PRIJEM	VKLAD	1200	40351	\N	\N	\N
46445	154	1996-08-09	VYDAJ	VYBER	1800	45770	\N	\N	\N
46446	154	1996-09-08	VYDAJ	VYBER	9100	47022	\N	\N	\N
46447	154	1996-10-08	VYDAJ	VYBER	7900	49487	\N	\N	\N
46448	154	1996-11-07	VYDAJ	VYBER	1300	44485	\N	\N	\N
46449	154	1996-12-07	VYDAJ	VYBER	4800	50089	\N	\N	\N
46450	154	1997-01-06	VYDAJ	VYBER	9000	55778	\N	\N	\N
46451	154	1997-02-05	VYDAJ	VYBER	3700	51597	\N	\N	\N
46452	154	1997-03-07	VYDAJ	VYBER	8200	49922	\N	\N	\N
46453	154	1997-04-06	VYDAJ	VYBER	6600	50555	\N	\N	\N
46454	154	1997-05-06	VYDAJ	VYBER	8500	52488	\N	\N	\N
46455	154	1997-06-05	VYDAJ	VYBER	4000	58106	\N	\N	\N
46456	154	1997-07-05	VYDAJ	VYBER	7500	51518	\N	\N	\N
46457	154	1997-08-04	VYDAJ	VYBER	11900	53946	\N	\N	\N
46458	154	1997-09-03	VYDAJ	VYBER	6500	57877	\N	\N	\N
46459	154	1997-10-03	VYDAJ	VYBER	4900	59412	\N	\N	\N
46460	154	1997-11-02	VYDAJ	VYBER	3200	66662	\N	\N	\N
46461	154	1997-12-02	VYDAJ	VYBER	4400	72741	\N	\N	\N
46462	154	1998-01-01	VYDAJ	VYBER	9600	78604	\N	\N	\N
46463	154	1998-01-31	VYDAJ	VYBER	400	72797	\N	\N	\N
46464	154	1998-03-02	VYDAJ	VYBER	4500	74370	\N	\N	\N
46465	154	1998-04-01	VYDAJ	VYBER	10300	74581	\N	\N	\N
46466	154	1998-05-01	VYDAJ	VYBER	3500	77988	\N	\N	\N
46467	154	1998-05-31	VYDAJ	VYBER	9600	78914	\N	\N	\N
46468	154	1998-06-30	VYDAJ	VYBER	4400	73208	\N	\N	\N
46469	154	1998-07-30	VYDAJ	VYBER	10400	72978	\N	\N	\N
46470	154	1998-08-29	VYDAJ	VYBER	7800	75681	\N	\N	\N
46471	154	1998-09-28	VYDAJ	VYBER	5700	80483	\N	\N	\N
46472	154	1998-10-28	VYDAJ	VYBER	10800	80197	\N	\N	\N
46473	154	1998-11-27	VYDAJ	VYBER	12000	78727	\N	\N	\N
46528	155	1995-11-07	PRIJEM	VKLAD	300	300	\N	\N	\N
46539	155	1995-11-13	PRIJEM	VKLAD	4483	4783	\N	\N	\N
46540	155	1995-12-13	PRIJEM	VKLAD	6725	24220	\N	\N	\N
46541	155	1996-01-13	PRIJEM	VKLAD	4483	28472	\N	\N	\N
46542	155	1996-02-13	PRIJEM	VKLAD	4483	33267	\N	\N	\N
46543	155	1996-03-13	PRIJEM	VKLAD	4483	38380	\N	\N	\N
46544	155	1996-04-13	PRIJEM	VKLAD	4483	34232	\N	\N	\N
46545	155	1996-05-13	PRIJEM	VKLAD	4483	36553	\N	\N	\N
46546	155	1996-06-13	PRIJEM	VKLAD	6725	23562	\N	\N	\N
46547	155	1996-07-13	PRIJEM	VKLAD	4483	27643	\N	\N	\N
46548	155	1996-08-13	PRIJEM	VKLAD	4483	25607	\N	\N	\N
46549	155	1996-09-13	PRIJEM	VKLAD	4483	27091	\N	\N	\N
46550	155	1996-10-13	PRIJEM	VKLAD	4483	25479	\N	\N	\N
46551	155	1996-11-13	PRIJEM	VKLAD	4483	26662	\N	\N	\N
46552	155	1996-12-13	PRIJEM	VKLAD	6725	30590	\N	\N	\N
46553	155	1997-01-13	PRIJEM	VKLAD	4483	21580	\N	\N	\N
46554	155	1997-02-13	PRIJEM	VKLAD	4483	18732	\N	\N	\N
46555	155	1997-03-13	PRIJEM	VKLAD	4483	22188	\N	\N	\N
46556	155	1997-04-13	PRIJEM	VKLAD	4483	21854	\N	\N	\N
46557	155	1997-05-13	PRIJEM	VKLAD	4483	24226	\N	\N	\N
46558	155	1997-06-13	PRIJEM	VKLAD	6725	24765	\N	\N	\N
46559	155	1997-07-13	PRIJEM	VKLAD	4483	24740	\N	\N	\N
46560	155	1997-08-13	PRIJEM	VKLAD	4483	22620	\N	\N	\N
46561	155	1997-09-13	PRIJEM	VKLAD	4483	26393	\N	\N	\N
46562	155	1997-10-13	PRIJEM	VKLAD	4483	28780	\N	\N	\N
46563	155	1997-11-13	PRIJEM	VKLAD	4483	30778	\N	\N	\N
46564	155	1997-12-13	PRIJEM	VKLAD	6725	37728	\N	\N	\N
46565	155	1998-01-13	PRIJEM	VKLAD	4483	22018	\N	\N	\N
46566	155	1998-02-13	PRIJEM	VKLAD	4483	25977	\N	\N	\N
46567	155	1998-03-13	PRIJEM	VKLAD	4483	33967	\N	\N	\N
46568	155	1998-04-13	PRIJEM	VKLAD	4483	33785	\N	\N	\N
46569	155	1998-05-13	PRIJEM	VKLAD	4483	33501	\N	\N	\N
46570	155	1998-06-13	PRIJEM	VKLAD	6725	29915	\N	\N	\N
46571	155	1998-07-13	PRIJEM	VKLAD	4483	30816	\N	\N	\N
46572	155	1998-08-13	PRIJEM	VKLAD	4483	30654	\N	\N	\N
46573	155	1998-09-13	PRIJEM	VKLAD	4483	29153	\N	\N	\N
46574	155	1998-10-13	PRIJEM	VKLAD	4483	25708	\N	\N	\N
46575	155	1998-11-13	PRIJEM	VKLAD	4483	22886	\N	\N	\N
46576	155	1998-12-13	PRIJEM	VKLAD	6725	19790	\N	\N	\N
46592	155	1996-04-06	VYDAJ	PREVOD NA UCET	2988	29749	SIPO	KL	13971645
46593	155	1996-05-06	VYDAJ	PREVOD NA UCET	2988	32070	SIPO	KL	13971645
46594	155	1996-06-06	VYDAJ	PREVOD NA UCET	2988	16837	SIPO	KL	13971645
46595	155	1996-07-06	VYDAJ	PREVOD NA UCET	2988	23160	SIPO	KL	13971645
46596	155	1996-08-06	VYDAJ	PREVOD NA UCET	2988	25324	SIPO	KL	13971645
46597	155	1996-09-06	VYDAJ	PREVOD NA UCET	2988	22608	SIPO	KL	13971645
46598	155	1996-10-06	VYDAJ	PREVOD NA UCET	2988	20996	SIPO	KL	13971645
46599	155	1996-11-06	VYDAJ	PREVOD NA UCET	2988	22179	SIPO	KL	13971645
46600	155	1996-12-06	VYDAJ	PREVOD NA UCET	2988	23865	SIPO	KL	13971645
46601	155	1997-01-06	VYDAJ	PREVOD NA UCET	2988	17097	SIPO	KL	13971645
46602	155	1997-02-06	VYDAJ	PREVOD NA UCET	2988	14249	SIPO	KL	13971645
46603	155	1997-03-06	VYDAJ	PREVOD NA UCET	2988	17705	SIPO	KL	13971645
46604	155	1997-04-06	VYDAJ	PREVOD NA UCET	2988	17371	SIPO	KL	13971645
46605	155	1997-05-06	VYDAJ	PREVOD NA UCET	2988	19743	SIPO	KL	13971645
46606	155	1997-06-06	VYDAJ	PREVOD NA UCET	2988	18041	SIPO	KL	13971645
46607	155	1997-07-06	VYDAJ	PREVOD NA UCET	2988	20257	SIPO	KL	13971645
46608	155	1997-08-06	VYDAJ	PREVOD NA UCET	2988	18137	SIPO	KL	13971645
46609	155	1997-09-06	VYDAJ	PREVOD NA UCET	2988	21910	SIPO	KL	13971645
46610	155	1997-10-06	VYDAJ	PREVOD NA UCET	2988	24297	SIPO	KL	13971645
46611	155	1997-11-06	VYDAJ	PREVOD NA UCET	2988	26295	SIPO	KL	13971645
46612	155	1997-12-06	VYDAJ	PREVOD NA UCET	2988	31003	SIPO	KL	13971645
46613	155	1998-01-06	VYDAJ	PREVOD NA UCET	2988	23655	SIPO	KL	13971645
46614	155	1998-02-06	VYDAJ	PREVOD NA UCET	2988	21494	SIPO	KL	13971645
46615	155	1998-03-06	VYDAJ	PREVOD NA UCET	2988	29484	SIPO	KL	13971645
46616	155	1998-04-06	VYDAJ	PREVOD NA UCET	2988	29302	SIPO	KL	13971645
46617	155	1998-05-06	VYDAJ	PREVOD NA UCET	2988	29018	SIPO	KL	13971645
46618	155	1998-06-06	VYDAJ	PREVOD NA UCET	2988	26550	SIPO	KL	13971645
46619	155	1998-07-06	VYDAJ	PREVOD NA UCET	2988	26333	SIPO	KL	13971645
46620	155	1998-08-06	VYDAJ	PREVOD NA UCET	2988	26171	SIPO	KL	13971645
46621	155	1998-09-06	VYDAJ	PREVOD NA UCET	2988	24670	SIPO	KL	13971645
46622	155	1998-10-06	VYDAJ	PREVOD NA UCET	2988	21225	SIPO	KL	13971645
46623	155	1998-11-06	VYDAJ	PREVOD NA UCET	2988	18403	SIPO	KL	13971645
46624	155	1998-12-06	VYDAJ	PREVOD NA UCET	2988	13065	SIPO	KL	13971645
46626	155	1996-06-06	VYDAJ	VYBER	14560	19825	\N	\N	\N
46631	155	1997-01-14	VYDAJ	VYBER	4640	16940	\N	\N	\N
46632	155	1998-01-01	VYDAJ	VYBER	9440	28563	\N	\N	\N
46634	155	1996-12-15	VYDAJ	VYBER	4000	26590	\N	\N	\N
46635	155	1997-12-21	VYDAJ	VYBER	1760	35968	\N	\N	\N
46649	155	1997-01-19	VYDAJ	VYBER	1680	15260	\N	\N	\N
46650	155	1997-01-05	VYDAJ	VYBER	3480	20085	\N	\N	\N
46652	155	1997-01-04	VYDAJ	VYBER	3120	23565	\N	\N	\N
46653	155	1997-01-22	VYDAJ	VYBER	2280	12980	\N	\N	\N
46655	155	1998-01-29	VYDAJ	VYBER	600	25598	\N	\N	\N
46656	155	1998-01-12	VYDAJ	VYBER	840	17535	\N	\N	\N
46657	155	1998-01-29	VYDAJ	VYBER	1200	24398	\N	\N	\N
46658	155	1998-01-14	VYDAJ	VYBER	1440	20578	\N	\N	\N
46659	155	1998-01-05	VYDAJ	VYBER	1920	26643	\N	\N	\N
46660	155	1998-01-14	VYDAJ	VYBER	1080	19498	\N	\N	\N
46664	155	1996-08-09	VYDAJ	VYBER	4200	21124	\N	\N	\N
46665	155	1996-07-14	VYDAJ	VYBER	1680	25963	\N	\N	\N
46666	155	1996-04-02	VYDAJ	VYBER	5280	33237	\N	\N	\N
46667	155	1996-07-25	VYDAJ	VYBER	840	25123	\N	\N	\N
46670	155	1997-06-03	VYDAJ	VYBER	1680	21029	\N	\N	\N
46671	155	1998-05-21	VYDAJ	VYBER	1080	32421	\N	\N	\N
46672	155	1998-01-10	VYDAJ	VYBER	5280	18375	\N	\N	\N
46673	155	1998-09-29	VYDAJ	VYBER	2640	24113	\N	\N	\N
46674	155	1998-08-18	VYDAJ	VYBER	2400	28254	\N	\N	\N
46675	155	1998-07-15	VYDAJ	VYBER	5160	25656	\N	\N	\N
46676	155	1998-06-11	VYDAJ	VYBER	3360	23190	\N	\N	\N
46693	155	1996-03-31	VYDAJ	VYBER	15	38517	SLUZBY	\N	\N
46694	155	1996-04-30	VYDAJ	VYBER	15	34358	SLUZBY	\N	\N
46695	155	1996-05-31	VYDAJ	VYBER	15	36685	SLUZBY	\N	\N
46696	155	1996-06-30	VYDAJ	VYBER	15	23648	SLUZBY	\N	\N
46697	155	1996-07-31	VYDAJ	VYBER	15	25212	SLUZBY	\N	\N
46698	155	1996-08-31	VYDAJ	VYBER	15	25696	SLUZBY	\N	\N
46699	155	1996-09-30	VYDAJ	VYBER	15	27184	SLUZBY	\N	\N
46700	155	1996-10-31	VYDAJ	VYBER	15	25567	SLUZBY	\N	\N
46701	155	1996-11-30	VYDAJ	VYBER	15	26753	SLUZBY	\N	\N
46702	155	1996-12-31	VYDAJ	VYBER	15	26685	SLUZBY	\N	\N
46703	155	1997-01-31	VYDAJ	VYBER	15	17237	SLUZBY	\N	\N
46704	155	1997-02-28	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
46705	155	1997-03-31	VYDAJ	VYBER	15	22259	SLUZBY	\N	\N
46706	155	1997-04-30	VYDAJ	VYBER	15	22731	SLUZBY	\N	\N
46707	155	1997-05-31	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
46708	155	1997-06-30	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
46709	155	1997-07-31	VYDAJ	VYBER	15	21125	SLUZBY	\N	\N
46710	155	1997-08-31	VYDAJ	VYBER	15	24898	SLUZBY	\N	\N
46711	155	1997-09-30	VYDAJ	VYBER	15	27285	SLUZBY	\N	\N
46712	155	1997-10-31	VYDAJ	VYBER	15	29283	SLUZBY	\N	\N
46713	155	1997-11-30	VYDAJ	VYBER	15	33991	SLUZBY	\N	\N
46714	155	1997-12-31	VYDAJ	VYBER	15	38003	SLUZBY	\N	\N
46715	155	1998-01-31	VYDAJ	VYBER	15	24482	SLUZBY	\N	\N
46716	155	1998-02-28	VYDAJ	VYBER	15	32472	SLUZBY	\N	\N
46717	155	1998-03-31	VYDAJ	VYBER	15	32290	SLUZBY	\N	\N
46718	155	1998-04-30	VYDAJ	VYBER	15	32006	SLUZBY	\N	\N
46719	155	1998-05-31	VYDAJ	VYBER	15	29538	SLUZBY	\N	\N
46720	155	1998-06-30	VYDAJ	VYBER	15	29321	SLUZBY	\N	\N
46721	155	1998-07-31	VYDAJ	VYBER	15	29159	SLUZBY	\N	\N
46722	155	1998-08-31	VYDAJ	VYBER	15	27658	SLUZBY	\N	\N
46723	155	1998-09-30	VYDAJ	VYBER	15	24213	SLUZBY	\N	\N
46724	155	1998-10-31	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
46725	155	1998-11-30	VYDAJ	VYBER	15	16053	SLUZBY	\N	\N
46726	155	1995-12-07	PRIJEM	VKLAD	12700	17495	\N	\N	\N
46727	155	1996-01-06	VYDAJ	VYBER	300	23989	\N	\N	\N
46728	155	1996-02-05	PRIJEM	VKLAD	200	28784	\N	\N	\N
46729	155	1996-03-06	PRIJEM	VKLAD	500	33897	\N	\N	\N
46730	155	1996-04-05	VYDAJ	VYBER	500	32737	\N	\N	\N
46731	155	1996-05-05	PRIJEM	VKLAD	700	35058	\N	\N	\N
46732	155	1996-06-04	VYDAJ	VYBER	2300	34385	\N	\N	\N
46733	155	1996-07-04	PRIJEM	VKLAD	2500	26148	\N	\N	\N
46734	155	1996-08-03	PRIJEM	VKLAD	3100	28312	\N	\N	\N
46735	155	1996-09-02	VYDAJ	VYBER	100	25596	\N	\N	\N
46736	155	1996-10-02	VYDAJ	VYBER	3200	23984	\N	\N	\N
46737	155	1996-11-01	VYDAJ	VYBER	400	25167	\N	\N	\N
46738	155	1996-12-01	PRIJEM	VKLAD	100	26853	\N	\N	\N
46739	155	1997-01-30	PRIJEM	VKLAD	4200	17180	\N	\N	\N
46740	155	1997-03-01	PRIJEM	VKLAD	1900	20693	\N	\N	\N
46741	155	1997-03-31	VYDAJ	VYBER	1900	20359	\N	\N	\N
46742	155	1997-04-30	PRIJEM	VKLAD	800	22745	\N	\N	\N
46743	155	1997-05-30	VYDAJ	VYBER	1600	22626	\N	\N	\N
46744	155	1997-06-29	VYDAJ	VYBER	1600	23165	\N	\N	\N
46745	155	1997-07-29	VYDAJ	VYBER	3700	21040	\N	\N	\N
46746	155	1997-08-28	PRIJEM	VKLAD	2200	24820	\N	\N	\N
46747	155	1997-09-27	PRIJEM	VKLAD	800	27193	\N	\N	\N
46748	155	1997-10-27	PRIJEM	VKLAD	400	29180	\N	\N	\N
46749	155	1997-11-26	PRIJEM	VKLAD	3100	33878	\N	\N	\N
46750	155	1997-12-26	PRIJEM	VKLAD	1900	37868	\N	\N	\N
46751	155	1998-01-25	PRIJEM	VKLAD	6700	26198	\N	\N	\N
46752	155	1998-02-24	PRIJEM	VKLAD	6400	32377	\N	\N	\N
46753	155	1998-03-26	VYDAJ	VYBER	1800	32167	\N	\N	\N
46754	155	1998-04-25	VYDAJ	VYBER	1900	31885	\N	\N	\N
46755	155	1998-05-25	VYDAJ	VYBER	3000	29421	\N	\N	\N
46756	155	1998-06-24	VYDAJ	VYBER	700	29215	\N	\N	\N
46757	155	1998-07-24	PRIJEM	VKLAD	3400	29056	\N	\N	\N
46758	155	1998-08-23	VYDAJ	VYBER	700	27554	\N	\N	\N
46759	155	1998-09-22	VYDAJ	VYBER	2400	26753	\N	\N	\N
46760	155	1998-10-22	VYDAJ	VYBER	4400	21308	\N	\N	\N
46761	155	1998-11-21	VYDAJ	VYBER	6900	15986	\N	\N	\N
46800	156	1997-10-22	PRIJEM	VKLAD	1000	1000	\N	\N	\N
46811	156	1997-11-14	PRIJEM	PREVOD Z UCTU	3481	4481	\N	UV	20860052
46812	156	1997-12-14	PRIJEM	PREVOD Z UCTU	3481	7962	\N	UV	20860052
46813	156	1998-01-14	PRIJEM	PREVOD Z UCTU	3481	11443	\N	UV	20860052
46814	156	1998-02-14	PRIJEM	PREVOD Z UCTU	3481	14924	\N	UV	20860052
46815	156	1998-03-14	PRIJEM	PREVOD Z UCTU	3481	18405	\N	UV	20860052
46816	156	1998-04-14	PRIJEM	PREVOD Z UCTU	3481	19844	\N	UV	20860052
46817	156	1998-05-14	PRIJEM	PREVOD Z UCTU	3481	20189	\N	UV	20860052
46818	156	1998-06-14	PRIJEM	PREVOD Z UCTU	3481	21707	\N	UV	20860052
46819	156	1998-07-14	PRIJEM	PREVOD Z UCTU	3481	14784	\N	UV	20860052
46820	156	1998-08-14	PRIJEM	PREVOD Z UCTU	3481	16280	\N	UV	20860052
46821	156	1998-09-14	PRIJEM	PREVOD Z UCTU	3481	17782	\N	UV	20860052
46822	156	1998-10-14	PRIJEM	PREVOD Z UCTU	3481	19289	\N	UV	20860052
46823	156	1998-11-14	PRIJEM	PREVOD Z UCTU	3481	17597	\N	UV	20860052
46824	156	1998-12-14	PRIJEM	PREVOD Z UCTU	3481	16549	\N	UV	20860052
46840	156	1998-04-07	VYDAJ	PREVOD NA UCET	2030	16363	SIPO	QR	93965810
46841	156	1998-05-07	VYDAJ	PREVOD NA UCET	2030	16708	SIPO	QR	93965810
46842	156	1998-06-07	VYDAJ	PREVOD NA UCET	2030	18226	SIPO	QR	93965810
46843	156	1998-07-07	VYDAJ	PREVOD NA UCET	2030	11303	SIPO	QR	93965810
46844	156	1998-08-07	VYDAJ	PREVOD NA UCET	2030	12799	SIPO	QR	93965810
46845	156	1998-09-07	VYDAJ	PREVOD NA UCET	2030	14301	SIPO	QR	93965810
46846	156	1998-10-07	VYDAJ	PREVOD NA UCET	2030	15808	SIPO	QR	93965810
46847	156	1998-11-07	VYDAJ	PREVOD NA UCET	2030	14116	SIPO	QR	93965810
46848	156	1998-12-07	VYDAJ	PREVOD NA UCET	2030	13068	SIPO	QR	93965810
46850	156	1998-06-17	VYDAJ	VYBER	8430	13277	\N	\N	\N
46854	156	1998-12-19	VYDAJ	VYBER	300	16249	\N	\N	\N
46874	156	1998-11-25	VYDAJ	VYBER	150	15047	\N	\N	\N
46876	156	1998-04-20	VYDAJ	VYBER	1170	18674	\N	\N	\N
46892	156	1998-03-31	VYDAJ	VYBER	15	18393	SLUZBY	\N	\N
46893	156	1998-04-30	VYDAJ	VYBER	15	18738	SLUZBY	\N	\N
46894	156	1998-05-31	VYDAJ	VYBER	15	20256	SLUZBY	\N	\N
46895	156	1998-06-30	VYDAJ	VYBER	15	13333	SLUZBY	\N	\N
46896	156	1998-07-31	VYDAJ	VYBER	15	14829	SLUZBY	\N	\N
46897	156	1998-08-31	VYDAJ	VYBER	15	16331	SLUZBY	\N	\N
46898	156	1998-09-30	VYDAJ	VYBER	15	17838	SLUZBY	\N	\N
46899	156	1998-10-31	VYDAJ	VYBER	15	16146	SLUZBY	\N	\N
46900	156	1998-11-30	VYDAJ	VYBER	15	15098	SLUZBY	\N	\N
46901	156	1998-10-17	VYDAJ	VYBER	3200	16089	\N	\N	\N
46902	156	1998-11-16	VYDAJ	VYBER	2400	15197	\N	\N	\N
46913	157	1997-03-28	PRIJEM	VKLAD	200	200	\N	\N	\N
46917	157	1997-04-06	PRIJEM	PREVOD Z UCTU	6918	7118	DUCHOD	IJ	66863059
46918	157	1997-05-06	PRIJEM	PREVOD Z UCTU	6918	14036	DUCHOD	IJ	66863059
46919	157	1997-06-06	PRIJEM	PREVOD Z UCTU	6918	20954	DUCHOD	IJ	66863059
46920	157	1997-07-06	PRIJEM	PREVOD Z UCTU	6918	27872	DUCHOD	IJ	66863059
46921	157	1997-08-06	PRIJEM	PREVOD Z UCTU	6918	34612	DUCHOD	IJ	66863059
46922	157	1997-09-06	PRIJEM	PREVOD Z UCTU	6918	32142	DUCHOD	IJ	66863059
46923	157	1997-10-06	PRIJEM	PREVOD Z UCTU	6918	29122	DUCHOD	IJ	66863059
46924	157	1997-11-06	PRIJEM	PREVOD Z UCTU	6918	27830	DUCHOD	IJ	66863059
46925	157	1997-12-06	PRIJEM	PREVOD Z UCTU	6918	29035	DUCHOD	IJ	66863059
46926	157	1998-01-06	PRIJEM	PREVOD Z UCTU	6918	26443	DUCHOD	IJ	66863059
46927	157	1998-02-06	PRIJEM	PREVOD Z UCTU	6918	19792	DUCHOD	IJ	66863059
46928	157	1998-03-06	PRIJEM	PREVOD Z UCTU	6918	22765	DUCHOD	IJ	66863059
46929	157	1998-04-06	PRIJEM	PREVOD Z UCTU	6918	25751	DUCHOD	IJ	66863059
46930	157	1998-05-06	PRIJEM	PREVOD Z UCTU	6918	28749	DUCHOD	IJ	66863059
46931	157	1998-06-06	PRIJEM	PREVOD Z UCTU	6918	25460	DUCHOD	IJ	66863059
46932	157	1998-07-06	PRIJEM	PREVOD Z UCTU	6918	25741	DUCHOD	IJ	66863059
46933	157	1998-08-06	PRIJEM	PREVOD Z UCTU	6918	28746	DUCHOD	IJ	66863059
46934	157	1998-09-06	PRIJEM	PREVOD Z UCTU	6918	30477	DUCHOD	IJ	66863059
46935	157	1998-10-06	PRIJEM	PREVOD Z UCTU	6918	33502	DUCHOD	IJ	66863059
46936	157	1998-11-06	PRIJEM	PREVOD Z UCTU	6918	36533	DUCHOD	IJ	66863059
46937	157	1998-12-06	PRIJEM	PREVOD Z UCTU	6918	39576	DUCHOD	IJ	66863059
46945	157	1997-08-13	VYDAJ	PREVOD NA UCET	3991	30621	SIPO	AB	14697784
46946	157	1997-09-13	VYDAJ	PREVOD NA UCET	3991	28151	SIPO	AB	14697784
46947	157	1997-10-13	VYDAJ	PREVOD NA UCET	3991	25131	SIPO	AB	14697784
46948	157	1997-11-13	VYDAJ	PREVOD NA UCET	3991	23839	SIPO	AB	14697784
46949	157	1997-12-13	VYDAJ	PREVOD NA UCET	3991	25044	SIPO	AB	14697784
46950	157	1998-01-13	VYDAJ	PREVOD NA UCET	3991	19052	SIPO	AB	14697784
46951	157	1998-02-13	VYDAJ	PREVOD NA UCET	3991	15801	SIPO	AB	14697784
46952	157	1998-03-13	VYDAJ	PREVOD NA UCET	3991	18774	SIPO	AB	14697784
46953	157	1998-04-13	VYDAJ	PREVOD NA UCET	3991	21760	SIPO	AB	14697784
46954	157	1998-05-13	VYDAJ	PREVOD NA UCET	3991	24758	SIPO	AB	14697784
46955	157	1998-06-13	VYDAJ	PREVOD NA UCET	3991	19389	SIPO	AB	14697784
46956	157	1998-07-13	VYDAJ	PREVOD NA UCET	3991	21750	SIPO	AB	14697784
46957	157	1998-08-13	VYDAJ	PREVOD NA UCET	3991	24755	SIPO	AB	14697784
46958	157	1998-09-13	VYDAJ	PREVOD NA UCET	3991	26486	SIPO	AB	14697784
46959	157	1998-10-13	VYDAJ	PREVOD NA UCET	3991	29511	SIPO	AB	14697784
46960	157	1998-11-13	VYDAJ	PREVOD NA UCET	3991	32542	SIPO	AB	14697784
46961	157	1998-12-13	VYDAJ	PREVOD NA UCET	3991	35585	SIPO	AB	14697784
46963	157	1998-06-04	VYDAJ	VYBER	6300	18542	\N	\N	\N
46965	157	1998-01-09	VYDAJ	VYBER	3400	23043	\N	\N	\N
46966	157	1997-12-30	VYDAJ	VYBER	1000	21044	\N	\N	\N
46967	157	1998-12-29	VYDAJ	VYBER	1050	34535	\N	\N	\N
46974	157	1998-01-26	VYDAJ	VYBER	1280	12812	\N	\N	\N
46976	157	1998-01-05	VYDAJ	VYBER	1600	19525	\N	\N	\N
46977	157	1998-01-15	VYDAJ	VYBER	1200	17852	\N	\N	\N
46978	157	1998-01-19	VYDAJ	VYBER	1600	16252	\N	\N	\N
46979	157	1998-01-22	VYDAJ	VYBER	2160	14092	\N	\N	\N
46981	157	1997-09-27	VYDAJ	VYBER	2640	22111	\N	\N	\N
46986	157	1998-06-07	VYDAJ	VYBER	2080	23380	\N	\N	\N
46987	157	1998-12-29	VYDAJ	VYBER	720	33815	\N	\N	\N
46988	157	1998-09-04	VYDAJ	VYBER	1280	23559	\N	\N	\N
46989	157	1998-07-03	VYDAJ	VYBER	640	18823	\N	\N	\N
46998	157	1997-08-31	VYDAJ	VYBER	15	25224	SLUZBY	\N	\N
46999	157	1997-09-30	VYDAJ	VYBER	15	22204	SLUZBY	\N	\N
47000	157	1997-10-31	VYDAJ	VYBER	15	20912	SLUZBY	\N	\N
47001	157	1997-11-30	VYDAJ	VYBER	15	22117	SLUZBY	\N	\N
47002	157	1997-12-31	VYDAJ	VYBER	15	21125	SLUZBY	\N	\N
47003	157	1998-01-31	VYDAJ	VYBER	15	12874	SLUZBY	\N	\N
47004	157	1998-02-28	VYDAJ	VYBER	15	15847	SLUZBY	\N	\N
47005	157	1998-03-31	VYDAJ	VYBER	15	18833	SLUZBY	\N	\N
47006	157	1998-04-30	VYDAJ	VYBER	15	21831	SLUZBY	\N	\N
47007	157	1998-05-31	VYDAJ	VYBER	15	24842	SLUZBY	\N	\N
47008	157	1998-06-30	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
47009	157	1998-07-31	VYDAJ	VYBER	15	21828	SLUZBY	\N	\N
47010	157	1998-08-31	VYDAJ	VYBER	15	24839	SLUZBY	\N	\N
47011	157	1998-09-30	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
47012	157	1998-10-31	VYDAJ	VYBER	15	29615	SLUZBY	\N	\N
47013	157	1998-11-30	VYDAJ	VYBER	15	32658	SLUZBY	\N	\N
47014	157	1997-07-26	VYDAJ	VYBER	200	27672	\N	\N	\N
47015	157	1997-08-25	VYDAJ	VYBER	5500	25121	\N	\N	\N
47016	157	1997-09-24	VYDAJ	VYBER	3400	24751	\N	\N	\N
47017	157	1997-10-24	VYDAJ	VYBER	4300	20831	\N	\N	\N
47018	157	1997-11-23	VYDAJ	VYBER	1800	22039	\N	\N	\N
47019	157	1997-12-23	VYDAJ	VYBER	3000	22044	\N	\N	\N
47038	158	1995-03-15	PRIJEM	VKLAD	700	700	\N	\N	\N
47042	158	1995-04-05	PRIJEM	VKLAD	24548	25248	\N	\N	\N
47043	158	1995-05-05	PRIJEM	VKLAD	24548	47751	\N	\N	\N
47044	158	1995-06-05	PRIJEM	VKLAD	36822	71898	\N	\N	\N
47045	158	1995-07-05	PRIJEM	VKLAD	24548	70017	\N	\N	\N
47046	158	1995-08-05	PRIJEM	VKLAD	24548	72260	\N	\N	\N
47047	158	1995-09-05	PRIJEM	VKLAD	24548	71678	\N	\N	\N
47048	158	1995-10-05	PRIJEM	VKLAD	24548	72338	\N	\N	\N
47049	158	1995-11-05	PRIJEM	VKLAD	24548	70751	\N	\N	\N
47050	158	1995-12-05	PRIJEM	VKLAD	36822	83034	\N	\N	\N
47051	158	1996-01-05	PRIJEM	VKLAD	24548	75122	\N	\N	\N
47052	158	1996-02-05	PRIJEM	VKLAD	24548	58139	\N	\N	\N
47053	158	1996-03-05	PRIJEM	VKLAD	24548	60165	\N	\N	\N
47054	158	1996-04-05	PRIJEM	VKLAD	24548	60654	\N	\N	\N
47055	158	1996-05-05	PRIJEM	VKLAD	24548	61283	\N	\N	\N
47056	158	1996-06-05	PRIJEM	VKLAD	36822	78038	\N	\N	\N
47057	158	1996-07-05	PRIJEM	VKLAD	24548	69536	\N	\N	\N
47058	158	1996-08-05	PRIJEM	VKLAD	24548	58998	\N	\N	\N
47059	158	1996-09-05	PRIJEM	VKLAD	24548	59183	\N	\N	\N
47060	158	1996-10-05	PRIJEM	VKLAD	24548	59944	\N	\N	\N
47061	158	1996-11-05	PRIJEM	VKLAD	24548	53719	\N	\N	\N
47062	158	1996-12-05	PRIJEM	VKLAD	36822	72011	\N	\N	\N
47063	158	1997-01-05	PRIJEM	VKLAD	24548	63936	\N	\N	\N
47064	158	1997-02-05	PRIJEM	VKLAD	24548	52468	\N	\N	\N
47065	158	1997-03-05	PRIJEM	VKLAD	24548	56082	\N	\N	\N
47066	158	1997-04-05	PRIJEM	VKLAD	24548	56014	\N	\N	\N
47067	158	1997-05-05	PRIJEM	VKLAD	24548	57548	\N	\N	\N
47068	158	1997-06-05	PRIJEM	VKLAD	36822	52758	\N	\N	\N
47069	158	1997-07-05	PRIJEM	VKLAD	24548	51173	\N	\N	\N
47070	158	1997-08-05	PRIJEM	VKLAD	24548	52087	\N	\N	\N
47071	158	1997-09-05	PRIJEM	VKLAD	24548	49990	\N	\N	\N
47072	158	1997-10-05	PRIJEM	VKLAD	24548	49031	\N	\N	\N
47073	158	1997-11-05	PRIJEM	VKLAD	24548	51226	\N	\N	\N
47074	158	1997-12-05	PRIJEM	VKLAD	36822	67383	\N	\N	\N
47075	158	1998-01-05	PRIJEM	VKLAD	24548	58498	\N	\N	\N
47076	158	1998-02-05	PRIJEM	VKLAD	24548	46096	\N	\N	\N
47077	158	1998-03-05	PRIJEM	VKLAD	24548	50855	\N	\N	\N
47078	158	1998-04-05	PRIJEM	VKLAD	24548	45748	\N	\N	\N
47079	158	1998-05-05	PRIJEM	VKLAD	24548	44303	\N	\N	\N
47080	158	1998-06-05	PRIJEM	VKLAD	36822	73271	\N	\N	\N
47081	158	1998-07-05	PRIJEM	VKLAD	24548	44462	\N	\N	\N
47082	158	1998-08-05	PRIJEM	VKLAD	24548	44307	\N	\N	\N
47083	158	1998-09-05	PRIJEM	VKLAD	24548	39993	\N	\N	\N
47084	158	1998-10-05	PRIJEM	VKLAD	24548	61233	\N	\N	\N
47085	158	1998-11-05	PRIJEM	VKLAD	24548	49331	\N	\N	\N
47086	158	1998-12-05	PRIJEM	VKLAD	36822	52554	\N	\N	\N
47094	158	1995-08-09	VYDAJ	PREVOD NA UCET	3420	68840	SIPO	ST	61129736
47095	158	1995-09-09	VYDAJ	PREVOD NA UCET	3420	67298	SIPO	ST	61129736
47096	158	1995-10-09	VYDAJ	PREVOD NA UCET	3420	68918	SIPO	ST	61129736
47097	158	1995-11-09	VYDAJ	PREVOD NA UCET	3420	67331	SIPO	ST	61129736
47098	158	1995-12-09	VYDAJ	PREVOD NA UCET	3420	79614	SIPO	ST	61129736
47099	158	1996-01-09	VYDAJ	PREVOD NA UCET	3420	45062	SIPO	ST	61129736
47100	158	1996-02-09	VYDAJ	PREVOD NA UCET	3420	35479	SIPO	ST	61129736
47101	158	1996-03-09	VYDAJ	PREVOD NA UCET	3420	56745	SIPO	ST	61129736
47102	158	1996-04-09	VYDAJ	PREVOD NA UCET	3420	39234	SIPO	ST	61129736
47103	158	1996-05-09	VYDAJ	PREVOD NA UCET	3420	41063	SIPO	ST	61129736
47104	158	1996-06-09	VYDAJ	PREVOD NA UCET	3420	44818	SIPO	ST	61129736
47105	158	1996-07-09	VYDAJ	PREVOD NA UCET	3420	43416	SIPO	ST	61129736
47106	158	1996-08-09	VYDAJ	PREVOD NA UCET	3420	37978	SIPO	ST	61129736
47107	158	1996-09-09	VYDAJ	PREVOD NA UCET	3420	35263	SIPO	ST	61129736
47108	158	1996-10-09	VYDAJ	PREVOD NA UCET	3420	38724	SIPO	ST	61129736
47109	158	1996-11-09	VYDAJ	PREVOD NA UCET	3420	50299	SIPO	ST	61129736
47110	158	1996-12-09	VYDAJ	PREVOD NA UCET	3420	67151	SIPO	ST	61129736
47111	158	1997-01-09	VYDAJ	PREVOD NA UCET	3420	56316	SIPO	ST	61129736
47112	158	1997-02-09	VYDAJ	PREVOD NA UCET	3420	49048	SIPO	ST	61129736
47113	158	1997-03-09	VYDAJ	PREVOD NA UCET	3420	52662	SIPO	ST	61129736
47114	158	1997-04-09	VYDAJ	PREVOD NA UCET	3420	52594	SIPO	ST	61129736
47115	158	1997-05-09	VYDAJ	PREVOD NA UCET	3420	51848	SIPO	ST	61129736
47116	158	1997-06-09	VYDAJ	PREVOD NA UCET	3420	49338	SIPO	ST	61129736
47117	158	1997-07-09	VYDAJ	PREVOD NA UCET	3420	47753	SIPO	ST	61129736
47118	158	1997-08-09	VYDAJ	PREVOD NA UCET	3420	48667	SIPO	ST	61129736
47119	158	1997-09-09	VYDAJ	PREVOD NA UCET	3420	46570	SIPO	ST	61129736
47120	158	1997-10-09	VYDAJ	PREVOD NA UCET	3420	45611	SIPO	ST	61129736
47121	158	1997-11-09	VYDAJ	PREVOD NA UCET	3420	47806	SIPO	ST	61129736
47122	158	1997-12-09	VYDAJ	PREVOD NA UCET	3420	63163	SIPO	ST	61129736
47123	158	1998-01-09	VYDAJ	PREVOD NA UCET	3420	38598	SIPO	ST	61129736
47124	158	1998-02-09	VYDAJ	PREVOD NA UCET	3420	42676	SIPO	ST	61129736
47125	158	1998-03-09	VYDAJ	PREVOD NA UCET	3420	41675	SIPO	ST	61129736
47126	158	1998-04-09	VYDAJ	PREVOD NA UCET	3420	42328	SIPO	ST	61129736
47127	158	1998-05-09	VYDAJ	PREVOD NA UCET	3420	40883	SIPO	ST	61129736
47128	158	1998-06-09	VYDAJ	PREVOD NA UCET	3420	69851	SIPO	ST	61129736
47129	158	1998-07-09	VYDAJ	PREVOD NA UCET	3420	41042	SIPO	ST	61129736
47130	158	1998-08-09	VYDAJ	PREVOD NA UCET	3420	40887	SIPO	ST	61129736
47131	158	1998-09-09	VYDAJ	PREVOD NA UCET	3420	36573	SIPO	ST	61129736
47132	158	1998-10-09	VYDAJ	PREVOD NA UCET	3420	57813	SIPO	ST	61129736
47133	158	1998-11-09	VYDAJ	PREVOD NA UCET	3420	45911	SIPO	ST	61129736
47134	158	1998-12-09	VYDAJ	PREVOD NA UCET	3420	49134	SIPO	ST	61129736
47137	158	1997-06-04	VYDAJ	VYBER	11040	15936	\N	\N	\N
47138	158	1998-06-12	VYDAJ	VYBER	22400	47451	\N	\N	\N
47140	158	1996-01-11	VYDAJ	VYBER	3360	41702	\N	\N	\N
47141	158	1997-01-11	VYDAJ	VYBER	9440	46876	\N	\N	\N
47142	158	1998-01-05	VYDAJ	VYBER	13600	44898	\N	\N	\N
47143	158	1995-12-10	VYDAJ	VYBER	3200	76414	\N	\N	\N
47144	158	1996-12-07	VYDAJ	VYBER	1440	70571	\N	\N	\N
47145	158	1997-12-06	VYDAJ	VYBER	800	66583	\N	\N	\N
47153	158	1996-01-08	VYDAJ	VYBER	2400	70682	\N	\N	\N
47154	158	1996-01-02	VYDAJ	VYBER	2040	50574	\N	\N	\N
47155	158	1996-01-22	VYDAJ	VYBER	3000	33422	\N	\N	\N
47156	158	1996-01-21	VYDAJ	VYBER	3240	36422	\N	\N	\N
47157	158	1996-01-06	VYDAJ	VYBER	2040	73082	\N	\N	\N
47158	158	1996-01-13	VYDAJ	VYBER	2040	39662	\N	\N	\N
47159	158	1997-01-18	VYDAJ	VYBER	1200	38836	\N	\N	\N
47160	158	1997-01-18	VYDAJ	VYBER	3240	40036	\N	\N	\N
47161	158	1997-01-18	VYDAJ	VYBER	600	43276	\N	\N	\N
47162	158	1997-01-07	VYDAJ	VYBER	3120	60816	\N	\N	\N
47163	158	1997-01-12	VYDAJ	VYBER	3000	43876	\N	\N	\N
47164	158	1997-01-09	VYDAJ	VYBER	1080	59736	\N	\N	\N
47165	158	1998-01-06	VYDAJ	VYBER	2880	42018	\N	\N	\N
47166	158	1998-01-01	VYDAJ	VYBER	3120	33950	\N	\N	\N
47167	158	1998-01-19	VYDAJ	VYBER	1440	33678	\N	\N	\N
47168	158	1998-01-16	VYDAJ	VYBER	2640	35118	\N	\N	\N
47169	158	1998-01-15	VYDAJ	VYBER	840	37758	\N	\N	\N
47170	158	1998-01-24	VYDAJ	VYBER	2760	30918	\N	\N	\N
47176	158	1995-09-08	VYDAJ	VYBER	960	70718	\N	\N	\N
47177	158	1996-07-18	VYDAJ	VYBER	4080	39336	\N	\N	\N
47178	158	1996-12-25	VYDAJ	VYBER	1320	65831	\N	\N	\N
47179	158	1996-08-19	VYDAJ	VYBER	3480	34498	\N	\N	\N
47180	158	1996-03-23	VYDAJ	VYBER	3480	35965	\N	\N	\N
47181	158	1996-04-18	VYDAJ	VYBER	2640	36594	\N	\N	\N
47182	158	1996-07-23	VYDAJ	VYBER	5040	34296	\N	\N	\N
47183	158	1996-02-06	VYDAJ	VYBER	3240	54899	\N	\N	\N
47184	158	1997-08-16	VYDAJ	VYBER	3720	44947	\N	\N	\N
47185	158	1997-05-06	VYDAJ	VYBER	2280	55268	\N	\N	\N
47186	158	1997-12-17	VYDAJ	VYBER	5400	57763	\N	\N	\N
47187	158	1997-08-25	VYDAJ	VYBER	4080	40867	\N	\N	\N
47188	158	1997-09-29	VYDAJ	VYBER	3840	42730	\N	\N	\N
47189	158	1997-05-13	VYDAJ	VYBER	5760	46088	\N	\N	\N
47190	158	1998-03-05	VYDAJ	VYBER	5760	45095	\N	\N	\N
47191	158	1998-05-24	VYDAJ	VYBER	4560	36323	\N	\N	\N
47193	158	1998-03-15	VYDAJ	VYBER	720	40955	\N	\N	\N
47194	158	1998-08-10	VYDAJ	VYBER	5640	35247	\N	\N	\N
47203	158	1995-08-31	VYDAJ	VYBER	15	47130	SLUZBY	\N	\N
47204	158	1995-09-30	VYDAJ	VYBER	15	47790	SLUZBY	\N	\N
47205	158	1995-10-31	VYDAJ	VYBER	15	46203	SLUZBY	\N	\N
47206	158	1995-11-30	VYDAJ	VYBER	15	46212	SLUZBY	\N	\N
47207	158	1995-12-31	VYDAJ	VYBER	15	52614	SLUZBY	\N	\N
47208	158	1996-01-31	VYDAJ	VYBER	15	33591	SLUZBY	\N	\N
47209	158	1996-02-29	VYDAJ	VYBER	15	35617	SLUZBY	\N	\N
47210	158	1996-03-31	VYDAJ	VYBER	15	36106	SLUZBY	\N	\N
47211	158	1996-04-30	VYDAJ	VYBER	15	36735	SLUZBY	\N	\N
47212	158	1996-05-31	VYDAJ	VYBER	15	41216	SLUZBY	\N	\N
47213	158	1996-06-30	VYDAJ	VYBER	15	44988	SLUZBY	\N	\N
47214	158	1996-07-31	VYDAJ	VYBER	15	34450	SLUZBY	\N	\N
47215	158	1996-08-31	VYDAJ	VYBER	15	34635	SLUZBY	\N	\N
47216	158	1996-09-30	VYDAJ	VYBER	15	35396	SLUZBY	\N	\N
47217	158	1996-10-31	VYDAJ	VYBER	15	38871	SLUZBY	\N	\N
47218	158	1996-11-30	VYDAJ	VYBER	15	50489	SLUZBY	\N	\N
47219	158	1996-12-31	VYDAJ	VYBER	15	66088	SLUZBY	\N	\N
47220	158	1997-01-31	VYDAJ	VYBER	15	39020	SLUZBY	\N	\N
47221	158	1997-02-28	VYDAJ	VYBER	15	49234	SLUZBY	\N	\N
47222	158	1997-03-31	VYDAJ	VYBER	15	52866	SLUZBY	\N	\N
47223	158	1997-04-30	VYDAJ	VYBER	15	52800	SLUZBY	\N	\N
47224	158	1997-05-31	VYDAJ	VYBER	15	46276	SLUZBY	\N	\N
47225	158	1997-06-30	VYDAJ	VYBER	15	49525	SLUZBY	\N	\N
47226	158	1997-07-31	VYDAJ	VYBER	15	47939	SLUZBY	\N	\N
47227	158	1997-08-31	VYDAJ	VYBER	15	41042	SLUZBY	\N	\N
47228	158	1997-09-30	VYDAJ	VYBER	15	42883	SLUZBY	\N	\N
47229	158	1997-10-31	VYDAJ	VYBER	15	26678	SLUZBY	\N	\N
47230	158	1997-11-30	VYDAJ	VYBER	15	30561	SLUZBY	\N	\N
47231	158	1997-12-31	VYDAJ	VYBER	15	37070	SLUZBY	\N	\N
47232	158	1998-01-31	VYDAJ	VYBER	15	21548	SLUZBY	\N	\N
47233	158	1998-02-28	VYDAJ	VYBER	15	26307	SLUZBY	\N	\N
47234	158	1998-03-31	VYDAJ	VYBER	15	21200	SLUZBY	\N	\N
47235	158	1998-04-30	VYDAJ	VYBER	15	19755	SLUZBY	\N	\N
47236	158	1998-05-31	VYDAJ	VYBER	15	36449	SLUZBY	\N	\N
47237	158	1998-06-30	VYDAJ	VYBER	15	19914	SLUZBY	\N	\N
47238	158	1998-07-31	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
47239	158	1998-08-31	VYDAJ	VYBER	15	15445	SLUZBY	\N	\N
47240	158	1998-09-30	VYDAJ	VYBER	15	36685	SLUZBY	\N	\N
47241	158	1998-10-31	VYDAJ	VYBER	15	24783	SLUZBY	\N	\N
47242	158	1998-11-30	VYDAJ	VYBER	15	15732	SLUZBY	\N	\N
47243	158	1995-04-14	VYDAJ	VYBER	2100	23148	\N	\N	\N
47244	158	1995-05-14	VYDAJ	VYBER	12800	34951	\N	\N	\N
47245	158	1995-06-13	VYDAJ	VYBER	26600	45298	\N	\N	\N
47246	158	1995-07-13	VYDAJ	VYBER	22500	47517	\N	\N	\N
47247	158	1995-08-12	VYDAJ	VYBER	21900	46940	\N	\N	\N
47248	158	1995-09-11	VYDAJ	VYBER	19700	47598	\N	\N	\N
47249	158	1995-10-11	VYDAJ	VYBER	22900	46018	\N	\N	\N
47250	158	1995-11-10	VYDAJ	VYBER	21300	46031	\N	\N	\N
47251	158	1995-12-10	VYDAJ	VYBER	24000	52414	\N	\N	\N
47252	158	1996-01-09	VYDAJ	VYBER	22200	48482	\N	\N	\N
47253	158	1996-02-08	VYDAJ	VYBER	16000	38899	\N	\N	\N
47254	158	1996-03-09	VYDAJ	VYBER	17300	39445	\N	\N	\N
47255	158	1996-04-08	VYDAJ	VYBER	18000	42654	\N	\N	\N
47256	158	1996-05-08	VYDAJ	VYBER	16800	44483	\N	\N	\N
47257	158	1996-06-07	VYDAJ	VYBER	29800	48238	\N	\N	\N
47258	158	1996-07-07	VYDAJ	VYBER	22700	46836	\N	\N	\N
47259	158	1996-08-06	VYDAJ	VYBER	17600	41398	\N	\N	\N
47260	158	1996-09-05	VYDAJ	VYBER	20500	38683	\N	\N	\N
47261	158	1996-10-05	VYDAJ	VYBER	17800	42144	\N	\N	\N
47262	158	1996-11-04	VYDAJ	VYBER	9700	29171	\N	\N	\N
47263	158	1996-12-04	VYDAJ	VYBER	15300	35189	\N	\N	\N
47264	158	1997-01-03	VYDAJ	VYBER	26700	39388	\N	\N	\N
47265	158	1997-02-02	VYDAJ	VYBER	11100	27920	\N	\N	\N
47266	158	1997-03-04	VYDAJ	VYBER	17700	31534	\N	\N	\N
47267	158	1997-04-03	VYDAJ	VYBER	21400	31466	\N	\N	\N
47268	158	1997-05-03	VYDAJ	VYBER	19800	33000	\N	\N	\N
47269	158	1997-06-02	VYDAJ	VYBER	19300	26976	\N	\N	\N
47270	158	1997-07-02	VYDAJ	VYBER	22900	26625	\N	\N	\N
47271	158	1997-08-01	VYDAJ	VYBER	20400	27539	\N	\N	\N
47272	158	1997-08-31	VYDAJ	VYBER	15600	25442	\N	\N	\N
47273	158	1997-09-30	VYDAJ	VYBER	18400	24483	\N	\N	\N
47274	158	1997-10-30	VYDAJ	VYBER	19100	26511	\N	\N	\N
47275	158	1997-11-29	VYDAJ	VYBER	17400	30406	\N	\N	\N
47276	158	1997-12-29	VYDAJ	VYBER	20900	36863	\N	\N	\N
47277	158	1998-01-28	VYDAJ	VYBER	9500	21418	\N	\N	\N
47278	158	1998-02-27	VYDAJ	VYBER	16500	26176	\N	\N	\N
47279	158	1998-03-29	VYDAJ	VYBER	19900	21055	\N	\N	\N
47280	158	1998-04-28	VYDAJ	VYBER	22700	19628	\N	\N	\N
47281	158	1998-06-27	VYDAJ	VYBER	27700	19751	\N	\N	\N
47282	158	1998-07-27	VYDAJ	VYBER	21400	19642	\N	\N	\N
47283	158	1998-08-26	VYDAJ	VYBER	19900	15347	\N	\N	\N
47284	158	1998-10-25	VYDAJ	VYBER	33200	24613	\N	\N	\N
47285	158	1998-11-24	VYDAJ	VYBER	30300	15611	\N	\N	\N
47286	158	1998-12-24	VYDAJ	VYBER	32000	17134	\N	\N	\N
47332	159	1997-02-11	PRIJEM	VKLAD	800	800	\N	\N	\N
47335	159	1997-03-05	PRIJEM	VKLAD	22054	22854	\N	\N	\N
47336	159	1997-04-05	PRIJEM	VKLAD	22054	44666	\N	\N	\N
47337	159	1997-05-05	PRIJEM	VKLAD	22054	54740	\N	\N	\N
47338	159	1997-06-05	PRIJEM	VKLAD	33081	72475	\N	\N	\N
47339	159	1997-07-05	PRIJEM	VKLAD	22054	69113	\N	\N	\N
47340	159	1997-08-05	PRIJEM	VKLAD	22054	64645	\N	\N	\N
47341	159	1997-09-05	PRIJEM	VKLAD	22054	58150	\N	\N	\N
47342	159	1997-10-05	PRIJEM	VKLAD	22054	57443	\N	\N	\N
47343	159	1997-11-05	PRIJEM	VKLAD	22054	60076	\N	\N	\N
47344	159	1997-12-05	PRIJEM	VKLAD	33081	67797	\N	\N	\N
47345	159	1998-01-05	PRIJEM	VKLAD	22054	56186	\N	\N	\N
47346	159	1998-02-05	PRIJEM	VKLAD	22054	43960	\N	\N	\N
47347	159	1998-03-05	PRIJEM	VKLAD	22054	54034	\N	\N	\N
47348	159	1998-04-05	PRIJEM	VKLAD	22054	51416	\N	\N	\N
47349	159	1998-05-05	PRIJEM	VKLAD	22054	60415	\N	\N	\N
47350	159	1998-06-05	PRIJEM	VKLAD	33081	77770	\N	\N	\N
47351	159	1998-07-05	PRIJEM	VKLAD	22054	68419	\N	\N	\N
47352	159	1998-08-05	PRIJEM	VKLAD	22054	69464	\N	\N	\N
47353	159	1998-09-05	PRIJEM	VKLAD	22054	70102	\N	\N	\N
47354	159	1998-10-05	PRIJEM	VKLAD	22054	77696	\N	\N	\N
47355	159	1998-11-05	PRIJEM	VKLAD	22054	89328	\N	\N	\N
47356	159	1998-12-05	PRIJEM	VKLAD	33081	103034	\N	\N	\N
47363	159	1997-07-09	VYDAJ	PREVOD NA UCET	8694	60419	SIPO	GH	1882386
47364	159	1997-08-09	VYDAJ	PREVOD NA UCET	8694	55951	SIPO	GH	1882386
47365	159	1997-09-09	VYDAJ	PREVOD NA UCET	8694	35256	SIPO	GH	1882386
47366	159	1997-10-09	VYDAJ	PREVOD NA UCET	8694	48749	SIPO	GH	1882386
47367	159	1997-11-09	VYDAJ	PREVOD NA UCET	8694	34582	SIPO	GH	1882386
47368	159	1997-12-09	VYDAJ	PREVOD NA UCET	8694	37303	SIPO	GH	1882386
47369	159	1998-01-09	VYDAJ	PREVOD NA UCET	8694	32792	SIPO	GH	1882386
47370	159	1998-02-09	VYDAJ	PREVOD NA UCET	8694	31866	SIPO	GH	1882386
47371	159	1998-03-09	VYDAJ	PREVOD NA UCET	8694	37240	SIPO	GH	1882386
47372	159	1998-04-09	VYDAJ	PREVOD NA UCET	8694	38222	SIPO	GH	1882386
47373	159	1998-05-09	VYDAJ	PREVOD NA UCET	8694	44521	SIPO	GH	1882386
47374	159	1998-06-09	VYDAJ	PREVOD NA UCET	8694	51176	SIPO	GH	1882386
47375	159	1998-07-09	VYDAJ	PREVOD NA UCET	8694	47225	SIPO	GH	1882386
47376	159	1998-08-09	VYDAJ	PREVOD NA UCET	8694	44570	SIPO	GH	1882386
47377	159	1998-09-09	VYDAJ	PREVOD NA UCET	8694	61408	SIPO	GH	1882386
47378	159	1998-10-09	VYDAJ	PREVOD NA UCET	8694	69002	SIPO	GH	1882386
47379	159	1998-11-09	VYDAJ	PREVOD NA UCET	8694	80634	SIPO	GH	1882386
47380	159	1998-12-09	VYDAJ	PREVOD NA UCET	8694	94340	SIPO	GH	1882386
47382	159	1998-06-19	VYDAJ	VYBER	5000	46176	\N	\N	\N
47384	159	1998-01-25	VYDAJ	VYBER	4100	26492	\N	\N	\N
47386	159	1997-12-09	VYDAJ	VYBER	3300	34003	\N	\N	\N
47388	159	1998-10-02	VYDAJ	VYBER KARTOU	3000	57142	\N	\N	0
47389	159	1998-03-19	VYDAJ	VYBER	3700	29240	\N	\N	\N
47390	159	1998-09-18	VYDAJ	VYBER KARTOU	1500	59908	\N	\N	0
47391	159	1998-08-08	VYDAJ	VYBER	3500	53264	\N	\N	\N
47392	159	1998-01-30	VYDAJ	VYBER	4700	21792	\N	\N	\N
47393	159	1998-01-10	VYDAJ	VYBER	2200	30592	\N	\N	\N
47394	159	1998-03-18	VYDAJ	VYBER	4300	32940	\N	\N	\N
47402	159	1997-07-31	VYDAJ	VYBER	15	42591	SLUZBY	\N	\N
47403	159	1997-08-31	VYDAJ	VYBER	15	36096	SLUZBY	\N	\N
47404	159	1997-09-30	VYDAJ	VYBER	15	35389	SLUZBY	\N	\N
47405	159	1997-10-31	VYDAJ	VYBER	15	38022	SLUZBY	\N	\N
47406	159	1997-11-30	VYDAJ	VYBER	15	34716	SLUZBY	\N	\N
47407	159	1997-12-31	VYDAJ	VYBER	15	34132	SLUZBY	\N	\N
47408	159	1998-01-31	VYDAJ	VYBER	15	21906	SLUZBY	\N	\N
47409	159	1998-02-28	VYDAJ	VYBER	15	31980	SLUZBY	\N	\N
47410	159	1998-03-31	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
47411	159	1998-04-30	VYDAJ	VYBER	15	38361	SLUZBY	\N	\N
47412	159	1998-05-31	VYDAJ	VYBER	15	44689	SLUZBY	\N	\N
47413	159	1998-06-30	VYDAJ	VYBER	15	46365	SLUZBY	\N	\N
47414	159	1998-07-31	VYDAJ	VYBER	15	47410	SLUZBY	\N	\N
47415	159	1998-08-31	VYDAJ	VYBER	15	44748	SLUZBY	\N	\N
47416	159	1998-09-30	VYDAJ	VYBER	15	60142	SLUZBY	\N	\N
47417	159	1998-10-31	VYDAJ	VYBER	15	69274	SLUZBY	\N	\N
47418	159	1998-11-30	VYDAJ	VYBER	15	80953	SLUZBY	\N	\N
47419	159	1997-03-13	VYDAJ	VYBER	300	22554	\N	\N	\N
47420	159	1997-04-12	VYDAJ	VYBER	12100	32566	\N	\N	\N
47421	159	1997-05-12	VYDAJ	VYBER	15500	39240	\N	\N	\N
47422	159	1997-06-11	VYDAJ	VYBER	25600	46875	\N	\N	\N
47423	159	1997-07-11	VYDAJ	VYBER	18000	42419	\N	\N	\N
47424	159	1997-08-10	VYDAJ	VYBER	20000	35951	\N	\N	\N
47425	159	1997-09-09	VYDAJ	VYBER	14200	43950	\N	\N	\N
47426	159	1997-10-09	VYDAJ	VYBER	10900	37849	\N	\N	\N
47427	159	1997-11-08	VYDAJ	VYBER	16800	43276	\N	\N	\N
47428	159	1997-12-08	VYDAJ	VYBER	21800	45997	\N	\N	\N
47429	159	1998-01-07	VYDAJ	VYBER	14700	41486	\N	\N	\N
47430	159	1998-02-06	VYDAJ	VYBER	3400	40560	\N	\N	\N
47431	159	1998-03-08	VYDAJ	VYBER	8100	45934	\N	\N	\N
47432	159	1998-04-07	VYDAJ	VYBER	4500	46916	\N	\N	\N
47433	159	1998-05-07	VYDAJ	VYBER	7200	53215	\N	\N	\N
47434	159	1998-06-06	VYDAJ	VYBER	17900	59870	\N	\N	\N
47435	159	1998-07-06	VYDAJ	VYBER	12500	55919	\N	\N	\N
47436	159	1998-08-05	VYDAJ	VYBER	12700	56764	\N	\N	\N
47437	159	1998-09-04	PRIJEM	VKLAD	3300	48048	\N	\N	\N
47438	159	1998-10-04	VYDAJ	VYBER KARTOU	1500	55642	\N	\N	0
47439	159	1998-11-03	VYDAJ	VYBER KARTOU	2000	67274	\N	\N	0
47440	159	1998-12-03	VYDAJ	VYBER	11000	69953	\N	\N	\N
47463	160	1993-09-04	PRIJEM	VKLAD	400	400	\N	\N	\N
47472	160	1993-09-12	PRIJEM	VKLAD	11889	12289	\N	\N	\N
47473	160	1993-10-12	PRIJEM	VKLAD	11889	28510	\N	\N	\N
47474	160	1993-11-12	PRIJEM	VKLAD	11889	40094	\N	\N	\N
47475	160	1993-12-12	PRIJEM	VKLAD	17834	51877	\N	\N	\N
47476	160	1994-01-12	PRIJEM	VKLAD	11889	49565	\N	\N	\N
47477	160	1994-02-12	PRIJEM	VKLAD	11889	38406	\N	\N	\N
47478	160	1994-03-12	PRIJEM	VKLAD	11889	35518	\N	\N	\N
47479	160	1994-04-12	PRIJEM	VKLAD	11889	38464	\N	\N	\N
47480	160	1994-05-12	PRIJEM	VKLAD	11889	39543	\N	\N	\N
47481	160	1994-06-12	PRIJEM	VKLAD	17834	46874	\N	\N	\N
47482	160	1994-07-12	PRIJEM	VKLAD	11889	44180	\N	\N	\N
47483	160	1994-08-12	PRIJEM	VKLAD	11889	43127	\N	\N	\N
47484	160	1994-09-12	PRIJEM	VKLAD	11889	40079	\N	\N	\N
47485	160	1994-10-12	PRIJEM	VKLAD	11889	42666	\N	\N	\N
47486	160	1994-11-12	PRIJEM	VKLAD	11889	39874	\N	\N	\N
47487	160	1994-12-12	PRIJEM	VKLAD	17834	40744	\N	\N	\N
47488	160	1995-01-12	PRIJEM	VKLAD	11889	36948	\N	\N	\N
47489	160	1995-02-12	PRIJEM	VKLAD	11889	34271	\N	\N	\N
47490	160	1995-03-12	PRIJEM	VKLAD	11889	39235	\N	\N	\N
47491	160	1995-04-12	PRIJEM	VKLAD	11889	40117	\N	\N	\N
47492	160	1995-05-12	PRIJEM	VKLAD	11889	41003	\N	\N	\N
47493	160	1995-06-12	PRIJEM	VKLAD	17834	35418	\N	\N	\N
47494	160	1995-07-12	PRIJEM	VKLAD	11889	41687	\N	\N	\N
47495	160	1995-08-12	PRIJEM	VKLAD	11889	45681	\N	\N	\N
47496	160	1995-09-12	PRIJEM	VKLAD	11889	48531	\N	\N	\N
47497	160	1995-10-12	PRIJEM	VKLAD	11889	51052	\N	\N	\N
47498	160	1995-11-12	PRIJEM	VKLAD	11889	55185	\N	\N	\N
47499	160	1995-12-12	PRIJEM	VKLAD	17834	59673	\N	\N	\N
47500	160	1996-01-12	PRIJEM	VKLAD	11889	55245	\N	\N	\N
47501	160	1996-02-12	PRIJEM	VKLAD	11889	43142	\N	\N	\N
47502	160	1996-03-12	PRIJEM	VKLAD	11889	49645	\N	\N	\N
47503	160	1996-04-12	PRIJEM	VKLAD	11889	52570	\N	\N	\N
47504	160	1996-05-12	PRIJEM	VKLAD	11889	52903	\N	\N	\N
47505	160	1996-06-12	PRIJEM	VKLAD	17834	58181	\N	\N	\N
47506	160	1996-07-12	PRIJEM	VKLAD	11889	49200	\N	\N	\N
47507	160	1996-08-12	PRIJEM	VKLAD	11889	55909	\N	\N	\N
47508	160	1996-09-12	PRIJEM	VKLAD	11889	61264	\N	\N	\N
47509	160	1996-10-12	PRIJEM	VKLAD	11889	66440	\N	\N	\N
47510	160	1996-11-12	PRIJEM	VKLAD	11889	69634	\N	\N	\N
47511	160	1996-12-12	PRIJEM	VKLAD	17834	75680	\N	\N	\N
47512	160	1997-01-12	PRIJEM	VKLAD	11889	69135	\N	\N	\N
47513	160	1997-02-12	PRIJEM	VKLAD	11889	65360	\N	\N	\N
47514	160	1997-03-12	PRIJEM	VKLAD	11889	76565	\N	\N	\N
47515	160	1997-04-12	PRIJEM	VKLAD	11889	71077	\N	\N	\N
47516	160	1997-05-12	PRIJEM	VKLAD	11889	75394	\N	\N	\N
47517	160	1997-06-12	PRIJEM	VKLAD	17834	90081	\N	\N	\N
47518	160	1997-07-12	PRIJEM	VKLAD	11889	39777	\N	\N	\N
47519	160	1997-08-12	PRIJEM	VKLAD	11889	62503	\N	\N	\N
47520	160	1997-09-12	PRIJEM	VKLAD	11889	74915	\N	\N	\N
47521	160	1997-10-12	PRIJEM	VKLAD	11889	75700	\N	\N	\N
47522	160	1997-11-12	PRIJEM	VKLAD	11889	81236	\N	\N	\N
47523	160	1997-12-12	PRIJEM	VKLAD	17834	85088	\N	\N	\N
47524	160	1998-01-12	PRIJEM	VKLAD	11889	87527	\N	\N	\N
47525	160	1998-02-12	PRIJEM	VKLAD	11889	94818	\N	\N	\N
47526	160	1998-03-12	PRIJEM	VKLAD	11889	93238	\N	\N	\N
47527	160	1998-04-12	PRIJEM	VKLAD	11889	97433	\N	\N	\N
47528	160	1998-05-12	PRIJEM	VKLAD	11889	93286	\N	\N	\N
47529	160	1998-06-12	PRIJEM	VKLAD	17834	99836	\N	\N	\N
47530	160	1998-07-12	PRIJEM	VKLAD	11889	89390	\N	\N	\N
47531	160	1998-08-12	PRIJEM	VKLAD	11889	97671	\N	\N	\N
47532	160	1998-09-12	PRIJEM	VKLAD	11889	102989	\N	\N	\N
47533	160	1998-10-12	PRIJEM	VKLAD	11889	109832	\N	\N	\N
47534	160	1998-11-12	PRIJEM	VKLAD	11889	109601	\N	\N	\N
47535	160	1998-12-12	PRIJEM	VKLAD	17834	113217	\N	\N	\N
47549	160	1994-02-06	VYDAJ	PREVOD NA UCET	2374	26517	SIPO	QR	52787989
47550	160	1994-03-06	VYDAJ	PREVOD NA UCET	2374	23629	SIPO	QR	52787989
47551	160	1994-04-06	VYDAJ	PREVOD NA UCET	2374	26575	SIPO	QR	52787989
47552	160	1994-05-06	VYDAJ	PREVOD NA UCET	2374	27654	SIPO	QR	52787989
47553	160	1994-06-06	VYDAJ	PREVOD NA UCET	2374	29040	SIPO	QR	52787989
47554	160	1994-07-06	VYDAJ	PREVOD NA UCET	2374	32291	SIPO	QR	52787989
47555	160	1994-08-06	VYDAJ	PREVOD NA UCET	2374	31238	SIPO	QR	52787989
47556	160	1994-09-06	VYDAJ	PREVOD NA UCET	2374	28190	SIPO	QR	52787989
47557	160	1994-10-06	VYDAJ	PREVOD NA UCET	2374	30777	SIPO	QR	52787989
47558	160	1994-11-06	VYDAJ	PREVOD NA UCET	2374	27985	SIPO	QR	52787989
47559	160	1994-12-06	VYDAJ	PREVOD NA UCET	2374	26111	SIPO	QR	52787989
47560	160	1995-01-06	VYDAJ	PREVOD NA UCET	2374	26139	SIPO	QR	52787989
47561	160	1995-02-06	VYDAJ	PREVOD NA UCET	2374	23222	SIPO	QR	52787989
47562	160	1995-03-06	VYDAJ	PREVOD NA UCET	2374	27346	SIPO	QR	52787989
47563	160	1995-04-06	VYDAJ	PREVOD NA UCET	2374	28228	SIPO	QR	52787989
47564	160	1995-05-06	VYDAJ	PREVOD NA UCET	2374	29114	SIPO	QR	52787989
47565	160	1995-06-06	VYDAJ	PREVOD NA UCET	2374	17585	SIPO	QR	52787989
47566	160	1995-07-06	VYDAJ	PREVOD NA UCET	2374	29798	SIPO	QR	52787989
47567	160	1995-08-06	VYDAJ	PREVOD NA UCET	2374	33792	SIPO	QR	52787989
47568	160	1995-09-06	VYDAJ	PREVOD NA UCET	2374	36642	SIPO	QR	52787989
47569	160	1995-10-06	VYDAJ	PREVOD NA UCET	2374	39163	SIPO	QR	52787989
47570	160	1995-11-06	VYDAJ	PREVOD NA UCET	2374	43296	SIPO	QR	52787989
47571	160	1995-12-06	VYDAJ	PREVOD NA UCET	2374	41839	SIPO	QR	52787989
47572	160	1996-01-06	VYDAJ	PREVOD NA UCET	2374	45276	SIPO	QR	52787989
47573	160	1996-02-06	VYDAJ	PREVOD NA UCET	2374	31253	SIPO	QR	52787989
47574	160	1996-03-06	VYDAJ	PREVOD NA UCET	2374	37756	SIPO	QR	52787989
47575	160	1996-04-06	VYDAJ	PREVOD NA UCET	2374	40681	SIPO	QR	52787989
47576	160	1996-05-06	VYDAJ	PREVOD NA UCET	2374	41014	SIPO	QR	52787989
47577	160	1996-06-06	VYDAJ	PREVOD NA UCET	2374	40347	SIPO	QR	52787989
47578	160	1996-07-06	VYDAJ	PREVOD NA UCET	2374	37311	SIPO	QR	52787989
47579	160	1996-08-06	VYDAJ	PREVOD NA UCET	2374	44020	SIPO	QR	52787989
47580	160	1996-09-06	VYDAJ	PREVOD NA UCET	2374	49375	SIPO	QR	52787989
47581	160	1996-10-06	VYDAJ	PREVOD NA UCET	2374	54551	SIPO	QR	52787989
47582	160	1996-11-06	VYDAJ	PREVOD NA UCET	2374	57745	SIPO	QR	52787989
47583	160	1996-12-06	VYDAJ	PREVOD NA UCET	2374	57847	SIPO	QR	52787989
47584	160	1997-01-06	VYDAJ	PREVOD NA UCET	2374	60366	SIPO	QR	52787989
47585	160	1997-02-06	VYDAJ	PREVOD NA UCET	2374	53471	SIPO	QR	52787989
47586	160	1997-03-06	VYDAJ	PREVOD NA UCET	2374	64676	SIPO	QR	52787989
47587	160	1997-04-06	VYDAJ	PREVOD NA UCET	2374	59188	SIPO	QR	52787989
47588	160	1997-05-06	VYDAJ	PREVOD NA UCET	2374	63505	SIPO	QR	52787989
47589	160	1997-06-06	VYDAJ	PREVOD NA UCET	2374	72247	SIPO	QR	52787989
47590	160	1997-07-06	VYDAJ	PREVOD NA UCET	2374	27888	SIPO	QR	52787989
47591	160	1997-08-06	VYDAJ	PREVOD NA UCET	2374	50614	SIPO	QR	52787989
47592	160	1997-09-06	VYDAJ	PREVOD NA UCET	2374	63026	SIPO	QR	52787989
47593	160	1997-10-06	VYDAJ	PREVOD NA UCET	2374	65251	SIPO	QR	52787989
47594	160	1997-11-06	VYDAJ	PREVOD NA UCET	2374	69347	SIPO	QR	52787989
47595	160	1997-12-06	VYDAJ	PREVOD NA UCET	2374	67254	SIPO	QR	52787989
47596	160	1998-01-06	VYDAJ	PREVOD NA UCET	2374	69878	SIPO	QR	52787989
47597	160	1998-02-06	VYDAJ	PREVOD NA UCET	2374	74829	SIPO	QR	52787989
47598	160	1998-03-06	VYDAJ	PREVOD NA UCET	2374	83869	SIPO	QR	52787989
47599	160	1998-04-06	VYDAJ	PREVOD NA UCET	2374	81144	SIPO	QR	52787989
47600	160	1998-05-06	VYDAJ	PREVOD NA UCET	2374	82297	SIPO	QR	52787989
47601	160	1998-06-06	VYDAJ	PREVOD NA UCET	2374	82103	SIPO	QR	52787989
47602	160	1998-07-06	VYDAJ	PREVOD NA UCET	2374	71301	SIPO	QR	52787989
47603	160	1998-08-06	VYDAJ	PREVOD NA UCET	2374	81782	SIPO	QR	52787989
47604	160	1998-09-06	VYDAJ	PREVOD NA UCET	2374	90100	SIPO	QR	52787989
47605	160	1998-10-06	VYDAJ	PREVOD NA UCET	2374	95443	SIPO	QR	52787989
47606	160	1998-11-06	VYDAJ	PREVOD NA UCET	2374	98712	SIPO	QR	52787989
47607	160	1998-12-06	VYDAJ	PREVOD NA UCET	2374	102084	SIPO	QR	52787989
47620	160	1994-01-14	VYDAJ	PREVOD NA UCET	5552	40653	 	ST	8854127
47621	160	1994-02-14	VYDAJ	PREVOD NA UCET	5552	32854	 	ST	8854127
47622	160	1994-03-14	VYDAJ	PREVOD NA UCET	5552	29246	 	ST	8854127
47623	160	1994-04-14	VYDAJ	PREVOD NA UCET	5552	32912	 	ST	8854127
47624	160	1994-05-14	VYDAJ	PREVOD NA UCET	5552	33991	 	ST	8854127
47625	160	1994-06-14	VYDAJ	PREVOD NA UCET	5552	41322	 	ST	8854127
47626	160	1994-07-14	VYDAJ	PREVOD NA UCET	5552	38628	 	ST	8854127
47627	160	1994-08-14	VYDAJ	PREVOD NA UCET	5552	37575	 	ST	8854127
47628	160	1994-09-14	VYDAJ	PREVOD NA UCET	5552	34527	 	ST	8854127
47629	160	1994-10-14	VYDAJ	PREVOD NA UCET	5552	37114	 	ST	8854127
47630	160	1994-11-14	VYDAJ	PREVOD NA UCET	5552	34322	 	ST	8854127
47631	160	1994-12-14	VYDAJ	PREVOD NA UCET	5552	35192	 	ST	8854127
47632	160	1995-01-14	VYDAJ	PREVOD NA UCET	5552	31396	 	ST	8854127
47633	160	1995-02-14	VYDAJ	PREVOD NA UCET	5552	28719	 	ST	8854127
47634	160	1995-03-14	VYDAJ	PREVOD NA UCET	5552	33683	 	ST	8854127
47635	160	1995-04-14	VYDAJ	PREVOD NA UCET	5552	34565	 	ST	8854127
47636	160	1995-05-14	VYDAJ	PREVOD NA UCET	5552	35451	 	ST	8854127
47637	160	1995-06-14	VYDAJ	PREVOD NA UCET	5552	29866	 	ST	8854127
47638	160	1995-07-14	VYDAJ	PREVOD NA UCET	5552	36135	 	ST	8854127
47639	160	1995-08-14	VYDAJ	PREVOD NA UCET	5552	40129	 	ST	8854127
47640	160	1995-09-14	VYDAJ	PREVOD NA UCET	5552	42979	 	ST	8854127
47641	160	1995-10-14	VYDAJ	PREVOD NA UCET	5552	45500	 	ST	8854127
47642	160	1995-11-14	VYDAJ	PREVOD NA UCET	5552	49633	 	ST	8854127
47643	160	1995-12-14	VYDAJ	PREVOD NA UCET	5552	54121	 	ST	8854127
47644	160	1996-01-14	VYDAJ	PREVOD NA UCET	5552	48253	 	ST	8854127
47645	160	1996-02-14	VYDAJ	PREVOD NA UCET	5552	37590	 	ST	8854127
47646	160	1996-03-14	VYDAJ	PREVOD NA UCET	5552	44093	 	ST	8854127
47647	160	1996-04-14	VYDAJ	PREVOD NA UCET	5552	47018	 	ST	8854127
47648	160	1996-05-14	VYDAJ	PREVOD NA UCET	5552	47351	 	ST	8854127
47649	160	1996-06-14	VYDAJ	PREVOD NA UCET	5552	52629	 	ST	8854127
47650	160	1996-07-14	VYDAJ	PREVOD NA UCET	5552	43648	 	ST	8854127
47651	160	1996-08-14	VYDAJ	PREVOD NA UCET	5552	50357	 	ST	8854127
47652	160	1996-09-14	VYDAJ	PREVOD NA UCET	5552	55712	 	ST	8854127
47653	160	1996-10-14	VYDAJ	PREVOD NA UCET	5552	60888	 	ST	8854127
47654	160	1996-11-14	VYDAJ	PREVOD NA UCET	5552	64082	 	ST	8854127
47655	160	1996-12-14	VYDAJ	PREVOD NA UCET	5552	70128	 	ST	8854127
47656	160	1997-01-14	VYDAJ	PREVOD NA UCET	5552	63583	 	ST	8854127
47657	160	1997-02-14	VYDAJ	PREVOD NA UCET	5552	59808	 	ST	8854127
47658	160	1997-03-14	VYDAJ	PREVOD NA UCET	5552	71013	 	ST	8854127
47659	160	1997-04-14	VYDAJ	PREVOD NA UCET	5552	65525	 	ST	8854127
47660	160	1997-05-14	VYDAJ	PREVOD NA UCET	5552	69842	 	ST	8854127
47661	160	1997-06-14	VYDAJ	PREVOD NA UCET	5552	84529	 	ST	8854127
47662	160	1997-07-14	VYDAJ	PREVOD NA UCET	5552	34225	 	ST	8854127
47663	160	1997-08-14	VYDAJ	PREVOD NA UCET	5552	65151	 	ST	8854127
47664	160	1997-09-14	VYDAJ	PREVOD NA UCET	5552	67363	 	ST	8854127
47665	160	1997-10-14	VYDAJ	PREVOD NA UCET	5552	71448	 	ST	8854127
47666	160	1997-11-14	VYDAJ	PREVOD NA UCET	5552	73784	 	ST	8854127
47667	160	1997-12-14	VYDAJ	PREVOD NA UCET	5552	78036	 	ST	8854127
47668	160	1998-01-14	VYDAJ	PREVOD NA UCET	5552	81975	 	ST	8854127
47669	160	1998-02-14	VYDAJ	PREVOD NA UCET	5552	89266	 	ST	8854127
47670	160	1998-03-14	VYDAJ	PREVOD NA UCET	5552	83186	 	ST	8854127
47671	160	1998-04-14	VYDAJ	PREVOD NA UCET	5552	91881	 	ST	8854127
47672	160	1998-05-14	VYDAJ	PREVOD NA UCET	5552	87734	 	ST	8854127
47673	160	1998-06-14	VYDAJ	PREVOD NA UCET	5552	75404	 	ST	8854127
47674	160	1998-07-14	VYDAJ	PREVOD NA UCET	5552	83838	 	ST	8854127
47675	160	1998-08-14	VYDAJ	PREVOD NA UCET	5552	92119	 	ST	8854127
47676	160	1998-09-14	VYDAJ	PREVOD NA UCET	5552	97437	 	ST	8854127
47677	160	1998-10-14	VYDAJ	PREVOD NA UCET	5552	104280	 	ST	8854127
47678	160	1998-11-14	VYDAJ	PREVOD NA UCET	5552	104049	 	ST	8854127
47679	160	1998-12-14	VYDAJ	PREVOD NA UCET	5552	50565	 	ST	8854127
47682	160	1995-06-04	VYDAJ	VYBER	14720	19959	\N	\N	\N
47683	160	1996-06-28	VYDAJ	VYBER	6560	39509	\N	\N	\N
47684	160	1997-06-20	VYDAJ	VYBER	46400	30029	\N	\N	\N
47685	160	1998-06-13	VYDAJ	VYBER	18880	80956	\N	\N	\N
47688	160	1995-01-01	VYDAJ	VYBER	6400	28513	\N	\N	\N
47689	160	1996-01-16	VYDAJ	VYBER	6880	38493	\N	\N	\N
47690	160	1997-01-27	VYDAJ	VYBER	4000	56443	\N	\N	\N
47691	160	1998-01-26	VYDAJ	VYBER	3040	76895	\N	\N	\N
47693	160	1994-12-08	VYDAJ	VYBER	3200	22911	\N	\N	\N
47694	160	1995-12-22	VYDAJ	VYBER	960	53161	\N	\N	\N
47695	160	1996-12-16	VYDAJ	VYBER	4480	65648	\N	\N	\N
47696	160	1997-12-28	VYDAJ	VYBER	800	77236	\N	\N	\N
47697	160	1998-12-19	VYDAJ	VYBER	1920	48645	\N	\N	\N
47704	160	1994-01-21	VYDAJ	VYBER	2880	35613	\N	\N	\N
47705	160	1994-01-23	VYDAJ	VYBER	2520	31653	\N	\N	\N
47706	160	1994-01-15	VYDAJ	VYBER	2160	38493	\N	\N	\N
47707	160	1994-01-22	VYDAJ	VYBER	1440	34173	\N	\N	\N
47708	160	1994-01-24	VYDAJ	VYBER	720	30933	\N	\N	\N
47709	160	1994-01-13	VYDAJ	VYBER	3360	46205	\N	\N	\N
47710	160	1995-01-26	VYDAJ	VYBER	2280	17596	\N	\N	\N
47711	160	1995-01-19	VYDAJ	VYBER	1680	24556	\N	\N	\N
47712	160	1995-01-14	VYDAJ	VYBER	2640	26236	\N	\N	\N
47713	160	1995-01-14	VYDAJ	VYBER	2520	28876	\N	\N	\N
47714	160	1995-01-11	VYDAJ	VYBER	1080	25059	\N	\N	\N
47715	160	1995-01-22	VYDAJ	VYBER	1560	22996	\N	\N	\N
47716	160	1996-01-17	VYDAJ	VYBER	2280	36213	\N	\N	\N
47717	160	1996-01-20	VYDAJ	VYBER	2880	29973	\N	\N	\N
47718	160	1996-01-08	VYDAJ	VYBER	1920	43356	\N	\N	\N
47719	160	1996-01-19	VYDAJ	VYBER	3360	32853	\N	\N	\N
47720	160	1996-01-26	VYDAJ	VYBER	2400	33473	\N	\N	\N
47721	160	1996-01-14	VYDAJ	VYBER	1440	53805	\N	\N	\N
47722	160	1997-01-03	VYDAJ	VYBER	2760	62740	\N	\N	\N
47723	160	1997-01-20	VYDAJ	VYBER	840	61523	\N	\N	\N
47724	160	1997-01-20	VYDAJ	VYBER	1080	60443	\N	\N	\N
47725	160	1997-01-08	VYDAJ	VYBER	3120	57246	\N	\N	\N
47726	160	1997-01-30	VYDAJ	VYBER	840	55603	\N	\N	\N
47727	160	1997-01-16	VYDAJ	VYBER	3120	62363	\N	\N	\N
47728	160	1998-01-06	VYDAJ	VYBER	2640	72252	\N	\N	\N
47729	160	1998-01-05	VYDAJ	VYBER	1560	74892	\N	\N	\N
47730	160	1998-01-11	VYDAJ	VYBER	3360	75638	\N	\N	\N
47731	160	1998-01-22	VYDAJ	VYBER	2040	79935	\N	\N	\N
47732	160	1998-01-04	VYDAJ	VYBER	1080	76452	\N	\N	\N
47733	160	1998-01-08	VYDAJ	VYBER	1080	68798	\N	\N	\N
47739	160	1994-08-14	VYDAJ	VYBER	3240	34335	\N	\N	\N
47740	160	1994-12-02	VYDAJ	VYBER	2760	28485	\N	\N	\N
47741	160	1994-10-15	VYDAJ	VYBER	4080	33034	\N	\N	\N
47742	160	1994-02-18	VYDAJ	VYBER	5160	27694	\N	\N	\N
47743	160	1994-07-31	VYDAJ	VYBER	2760	33627	\N	\N	\N
47744	160	1994-03-12	VYDAJ	VYBER	720	34798	\N	\N	\N
47745	160	1995-08-28	VYDAJ	VYBER	960	38869	\N	\N	\N
47746	160	1995-01-23	VYDAJ	VYBER	3120	19876	\N	\N	\N
47747	160	1995-02-11	VYDAJ	VYBER	840	22382	\N	\N	\N
47748	160	1996-07-22	VYDAJ	VYBER	1320	46228	\N	\N	\N
47749	160	1996-01-15	VYDAJ	VYBER	2880	45373	\N	\N	\N
47750	160	1996-06-16	VYDAJ	VYBER	2160	50469	\N	\N	\N
47751	160	1997-03-27	VYDAJ	VYBER	2760	66453	\N	\N	\N
47752	160	1997-10-07	VYDAJ	VYBER	1440	63811	\N	\N	\N
47753	160	1997-04-04	VYDAJ	VYBER	5160	61562	\N	\N	\N
47754	160	1997-11-24	VYDAJ	VYBER	4440	69344	\N	\N	\N
47755	160	1998-10-30	VYDAJ	VYBER	3600	100680	\N	\N	\N
47756	160	1998-05-30	VYDAJ	VYBER	3600	84134	\N	\N	\N
47757	160	1998-04-25	VYDAJ	VYBER	3360	88521	\N	\N	\N
47758	160	1998-06-26	VYDAJ	VYBER	2040	73364	\N	\N	\N
47759	160	1998-04-30	VYDAJ	VYBER	4200	84686	\N	\N	\N
47760	160	1998-02-28	VYDAJ	VYBER	3360	86257	\N	\N	\N
47761	160	1998-03-07	VYDAJ	VYBER	2520	81349	\N	\N	\N
47775	160	1994-01-31	VYDAJ	VYBER	15	31091	SLUZBY	\N	\N
47776	160	1994-02-28	VYDAJ	VYBER	15	27803	SLUZBY	\N	\N
47777	160	1994-03-31	VYDAJ	VYBER	15	29349	SLUZBY	\N	\N
47778	160	1994-04-30	VYDAJ	VYBER	15	33028	SLUZBY	\N	\N
47779	160	1994-05-31	VYDAJ	VYBER	15	34114	SLUZBY	\N	\N
47780	160	1994-06-30	VYDAJ	VYBER	15	41465	SLUZBY	\N	\N
47781	160	1994-07-31	VYDAJ	VYBER	15	33612	SLUZBY	\N	\N
47782	160	1994-08-31	VYDAJ	VYBER	15	30564	SLUZBY	\N	\N
47783	160	1994-09-30	VYDAJ	VYBER	15	33151	SLUZBY	\N	\N
47784	160	1994-10-31	VYDAJ	VYBER	15	30359	SLUZBY	\N	\N
47785	160	1994-11-30	VYDAJ	VYBER	15	31245	SLUZBY	\N	\N
47786	160	1994-12-31	VYDAJ	VYBER	15	34913	SLUZBY	\N	\N
47787	160	1995-01-31	VYDAJ	VYBER	15	25596	SLUZBY	\N	\N
47788	160	1995-02-28	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
47789	160	1995-03-31	VYDAJ	VYBER	15	30602	SLUZBY	\N	\N
47790	160	1995-04-30	VYDAJ	VYBER	15	31488	SLUZBY	\N	\N
47791	160	1995-05-31	VYDAJ	VYBER	15	34679	SLUZBY	\N	\N
47792	160	1995-06-30	VYDAJ	VYBER	15	32172	SLUZBY	\N	\N
47793	160	1995-07-31	VYDAJ	VYBER	15	36166	SLUZBY	\N	\N
47794	160	1995-08-31	VYDAJ	VYBER	15	39016	SLUZBY	\N	\N
47795	160	1995-09-30	VYDAJ	VYBER	15	41537	SLUZBY	\N	\N
47796	160	1995-10-31	VYDAJ	VYBER	15	45670	SLUZBY	\N	\N
47797	160	1995-11-30	VYDAJ	VYBER	15	44213	SLUZBY	\N	\N
47798	160	1995-12-31	VYDAJ	VYBER	15	47650	SLUZBY	\N	\N
47799	160	1996-01-31	VYDAJ	VYBER	15	33627	SLUZBY	\N	\N
47800	160	1996-02-29	VYDAJ	VYBER	15	40130	SLUZBY	\N	\N
47801	160	1996-03-31	VYDAJ	VYBER	15	43055	SLUZBY	\N	\N
47802	160	1996-04-30	VYDAJ	VYBER	15	43388	SLUZBY	\N	\N
47803	160	1996-05-31	VYDAJ	VYBER	15	42721	SLUZBY	\N	\N
47804	160	1996-06-30	VYDAJ	VYBER	15	39685	SLUZBY	\N	\N
47805	160	1996-07-31	VYDAJ	VYBER	15	46394	SLUZBY	\N	\N
47806	160	1996-08-31	VYDAJ	VYBER	15	51749	SLUZBY	\N	\N
47807	160	1996-09-30	VYDAJ	VYBER	15	56925	SLUZBY	\N	\N
47808	160	1996-10-31	VYDAJ	VYBER	15	60119	SLUZBY	\N	\N
47809	160	1996-11-30	VYDAJ	VYBER	15	60221	SLUZBY	\N	\N
47810	160	1996-12-31	VYDAJ	VYBER	15	65500	SLUZBY	\N	\N
47811	160	1997-01-31	VYDAJ	VYBER	15	55845	SLUZBY	\N	\N
47812	160	1997-02-28	VYDAJ	VYBER	15	67050	SLUZBY	\N	\N
47813	160	1997-03-31	VYDAJ	VYBER	15	66722	SLUZBY	\N	\N
47814	160	1997-04-30	VYDAJ	VYBER	15	65879	SLUZBY	\N	\N
47815	160	1997-05-31	VYDAJ	VYBER	15	74621	SLUZBY	\N	\N
47816	160	1997-06-30	VYDAJ	VYBER	15	30262	SLUZBY	\N	\N
47817	160	1997-07-31	VYDAJ	VYBER	15	52988	SLUZBY	\N	\N
47818	160	1997-08-31	VYDAJ	VYBER	15	65400	SLUZBY	\N	\N
47819	160	1997-09-30	VYDAJ	VYBER	15	67625	SLUZBY	\N	\N
47820	160	1997-10-31	VYDAJ	VYBER	15	71721	SLUZBY	\N	\N
47821	160	1997-11-30	VYDAJ	VYBER	15	69628	SLUZBY	\N	\N
47822	160	1997-12-31	VYDAJ	VYBER	15	77532	SLUZBY	\N	\N
47823	160	1998-01-31	VYDAJ	VYBER	15	77203	SLUZBY	\N	\N
47824	160	1998-02-28	VYDAJ	VYBER	15	86243	SLUZBY	\N	\N
47825	160	1998-03-31	VYDAJ	VYBER	15	83518	SLUZBY	\N	\N
47826	160	1998-04-30	VYDAJ	VYBER	15	84671	SLUZBY	\N	\N
47827	160	1998-05-31	VYDAJ	VYBER	15	84477	SLUZBY	\N	\N
47828	160	1998-06-30	VYDAJ	VYBER	15	73675	SLUZBY	\N	\N
47829	160	1998-07-31	VYDAJ	VYBER	15	84156	SLUZBY	\N	\N
47830	160	1998-08-31	VYDAJ	VYBER	15	92474	SLUZBY	\N	\N
47831	160	1998-09-30	VYDAJ	VYBER	15	97817	SLUZBY	\N	\N
47832	160	1998-10-31	VYDAJ	VYBER	15	101086	SLUZBY	\N	\N
47833	160	1998-11-30	VYDAJ	VYBER	15	104458	SLUZBY	\N	\N
47834	160	1993-10-04	PRIJEM	VKLAD	4300	16621	\N	\N	\N
47835	160	1993-11-03	VYDAJ	VYBER	400	28205	\N	\N	\N
47836	160	1993-12-03	VYDAJ	VYBER	6200	34044	\N	\N	\N
47837	160	1994-01-02	VYDAJ	VYBER	14400	37676	\N	\N	\N
47838	160	1994-02-01	VYDAJ	VYBER	2200	28891	\N	\N	\N
47839	160	1994-03-03	VYDAJ	VYBER	1800	26003	\N	\N	\N
47840	160	1994-04-02	VYDAJ	VYBER	400	28949	\N	\N	\N
47841	160	1994-05-02	VYDAJ	VYBER	3000	30028	\N	\N	\N
47842	160	1994-06-01	VYDAJ	VYBER	2700	31414	\N	\N	\N
47843	160	1994-07-01	VYDAJ	VYBER	6800	34665	\N	\N	\N
47844	160	1994-07-31	VYDAJ	VYBER	2400	36387	\N	\N	\N
47845	160	1994-08-30	VYDAJ	VYBER	3900	30435	\N	\N	\N
47846	160	1994-09-29	VYDAJ	VYBER	1500	33027	\N	\N	\N
47847	160	1994-10-29	VYDAJ	VYBER	2800	30234	\N	\N	\N
47848	160	1994-11-28	VYDAJ	VYBER	3200	31122	\N	\N	\N
47849	160	1994-12-28	VYDAJ	VYBER	400	34792	\N	\N	\N
47850	160	1995-01-27	PRIJEM	VKLAD	7900	25496	\N	\N	\N
47851	160	1995-02-26	PRIJEM	VKLAD	900	29619	\N	\N	\N
47852	160	1995-03-28	VYDAJ	VYBER	3200	30483	\N	\N	\N
47853	160	1995-04-27	VYDAJ	VYBER	3200	31365	\N	\N	\N
47854	160	1995-05-27	VYDAJ	VYBER	900	34551	\N	\N	\N
47855	160	1995-06-26	PRIJEM	VKLAD	2200	32066	\N	\N	\N
47856	160	1995-07-26	VYDAJ	VYBER	100	36035	\N	\N	\N
47857	160	1995-08-25	VYDAJ	VYBER	300	39829	\N	\N	\N
47858	160	1995-09-24	VYDAJ	VYBER	1600	41379	\N	\N	\N
47859	160	1995-11-23	VYDAJ	VYBER	5600	44033	\N	\N	\N
47860	160	1995-12-23	VYDAJ	VYBER	5700	47461	\N	\N	\N
47861	160	1996-01-22	PRIJEM	VKLAD	5900	35873	\N	\N	\N
47862	160	1996-02-21	PRIJEM	VKLAD	2400	39990	\N	\N	\N
47863	160	1996-03-22	VYDAJ	VYBER	1200	42893	\N	\N	\N
47864	160	1996-04-21	VYDAJ	VYBER	3800	43218	\N	\N	\N
47865	160	1996-05-21	VYDAJ	VYBER	4800	42551	\N	\N	\N
47866	160	1996-06-20	VYDAJ	VYBER	4400	46069	\N	\N	\N
47867	160	1996-07-20	PRIJEM	VKLAD	3900	47548	\N	\N	\N
47868	160	1996-08-19	PRIJEM	VKLAD	1200	51557	\N	\N	\N
47869	160	1996-09-18	PRIJEM	VKLAD	1000	56712	\N	\N	\N
47870	160	1996-10-18	VYDAJ	VYBER	1000	59888	\N	\N	\N
47871	160	1996-11-17	VYDAJ	VYBER	4100	59982	\N	\N	\N
47872	160	1996-12-17	VYDAJ	VYBER	400	65248	\N	\N	\N
47873	160	1997-01-16	PRIJEM	VKLAD	1900	65483	\N	\N	\N
47874	160	1997-02-15	PRIJEM	VKLAD	7000	66808	\N	\N	\N
47875	160	1997-03-17	VYDAJ	VYBER	1800	69213	\N	\N	\N
47876	160	1997-04-16	PRIJEM	VKLAD	100	65625	\N	\N	\N
47877	160	1997-05-16	PRIJEM	VKLAD	4500	74342	\N	\N	\N
47878	160	1997-06-15	VYDAJ	VYBER	8100	76429	\N	\N	\N
47879	160	1997-07-15	PRIJEM	VKLAD	18600	52825	\N	\N	\N
47880	160	1997-08-14	PRIJEM	VKLAD	8200	70703	\N	\N	\N
47881	160	1997-09-13	VYDAJ	VYBER	2000	72915	\N	\N	\N
47882	160	1997-10-13	PRIJEM	VKLAD	1300	77000	\N	\N	\N
47883	160	1997-11-12	VYDAJ	VYBER	1900	79336	\N	\N	\N
47884	160	1997-12-12	VYDAJ	VYBER	1500	83588	\N	\N	\N
47885	160	1998-01-11	PRIJEM	VKLAD	10200	78998	\N	\N	\N
47886	160	1998-02-10	PRIJEM	VKLAD	8100	82929	\N	\N	\N
47887	160	1998-03-12	VYDAJ	VYBER	4500	88738	\N	\N	\N
47888	160	1998-04-11	PRIJEM	VKLAD	4400	85544	\N	\N	\N
47889	160	1998-05-11	VYDAJ	VYBER	900	81397	\N	\N	\N
47890	160	1998-06-10	VYDAJ	VYBER	100	82003	\N	\N	\N
47891	160	1998-07-10	PRIJEM	VKLAD	6200	77501	\N	\N	\N
47892	160	1998-08-09	PRIJEM	VKLAD	4000	85782	\N	\N	\N
47893	160	1998-09-08	PRIJEM	VKLAD	1000	91100	\N	\N	\N
47894	160	1998-10-08	PRIJEM	VKLAD	2500	97943	\N	\N	\N
47895	160	1998-11-07	VYDAJ	VYBER	1000	97712	\N	\N	\N
47896	160	1998-12-07	VYDAJ	VYBER	6700	95384	\N	\N	\N
47897	160	1998-12-12	VYDAJ	VYBER	57100	56117	\N	\N	\N
47962	161	1994-07-04	PRIJEM	VKLAD	900	900	\N	\N	\N
47969	161	1994-07-10	PRIJEM	PREVOD Z UCTU	4419	5319	DUCHOD	MN	61771410
47970	161	1994-08-10	PRIJEM	PREVOD Z UCTU	4419	9754	DUCHOD	MN	61771410
47971	161	1994-09-10	PRIJEM	PREVOD Z UCTU	4419	14195	DUCHOD	MN	61771410
47972	161	1994-10-10	PRIJEM	PREVOD Z UCTU	4419	18636	DUCHOD	MN	61771410
47973	161	1994-11-10	PRIJEM	PREVOD Z UCTU	4419	23077	DUCHOD	MN	61771410
47974	161	1994-12-10	PRIJEM	PREVOD Z UCTU	4419	22457	DUCHOD	MN	61771410
47975	161	1995-01-10	PRIJEM	PREVOD Z UCTU	4419	24067	DUCHOD	MN	61771410
47976	161	1995-02-10	PRIJEM	PREVOD Z UCTU	4419	23805	DUCHOD	MN	61771410
47977	161	1995-03-10	PRIJEM	PREVOD Z UCTU	4419	26022	DUCHOD	MN	61771410
47978	161	1995-04-10	PRIJEM	PREVOD Z UCTU	4419	28248	DUCHOD	MN	61771410
47979	161	1995-05-10	PRIJEM	PREVOD Z UCTU	4419	26603	DUCHOD	MN	61771410
47980	161	1995-06-10	PRIJEM	PREVOD Z UCTU	4419	28434	DUCHOD	MN	61771410
47981	161	1995-07-10	PRIJEM	PREVOD Z UCTU	4419	16186	DUCHOD	MN	61771410
47982	161	1995-08-10	PRIJEM	PREVOD Z UCTU	4419	18371	DUCHOD	MN	61771410
47983	161	1995-09-10	PRIJEM	PREVOD Z UCTU	4419	18163	DUCHOD	MN	61771410
47984	161	1995-10-10	PRIJEM	PREVOD Z UCTU	4419	20356	DUCHOD	MN	61771410
47985	161	1995-11-10	PRIJEM	PREVOD Z UCTU	4419	17588	DUCHOD	MN	61771410
47986	161	1995-12-10	PRIJEM	PREVOD Z UCTU	4419	19228	DUCHOD	MN	61771410
47987	161	1996-01-10	PRIJEM	PREVOD Z UCTU	4419	19662	DUCHOD	MN	61771410
47988	161	1996-02-10	PRIJEM	PREVOD Z UCTU	4419	21861	DUCHOD	MN	61771410
47989	161	1996-03-10	PRIJEM	PREVOD Z UCTU	4419	24069	DUCHOD	MN	61771410
47990	161	1996-04-10	PRIJEM	PREVOD Z UCTU	4419	24162	DUCHOD	MN	61771410
47991	161	1996-05-10	PRIJEM	PREVOD Z UCTU	4419	22938	DUCHOD	MN	61771410
47992	161	1996-06-10	PRIJEM	PREVOD Z UCTU	4419	25151	DUCHOD	MN	61771410
47993	161	1996-07-10	PRIJEM	PREVOD Z UCTU	4419	19160	DUCHOD	MN	61771410
47994	161	1996-08-10	PRIJEM	PREVOD Z UCTU	4419	18398	DUCHOD	MN	61771410
47995	161	1996-09-10	PRIJEM	PREVOD Z UCTU	4419	19873	DUCHOD	MN	61771410
47996	161	1996-10-10	PRIJEM	PREVOD Z UCTU	4419	21593	DUCHOD	MN	61771410
47997	161	1996-11-10	PRIJEM	PREVOD Z UCTU	4419	21480	DUCHOD	MN	61771410
47998	161	1996-12-10	PRIJEM	PREVOD Z UCTU	4419	18746	DUCHOD	MN	61771410
47999	161	1997-01-10	PRIJEM	PREVOD Z UCTU	4419	20945	DUCHOD	MN	61771410
48000	161	1997-02-10	PRIJEM	PREVOD Z UCTU	4419	23150	DUCHOD	MN	61771410
48001	161	1997-03-10	PRIJEM	PREVOD Z UCTU	4419	25363	DUCHOD	MN	61771410
48002	161	1997-04-10	PRIJEM	PREVOD Z UCTU	4419	25421	DUCHOD	MN	61771410
48003	161	1997-05-10	PRIJEM	PREVOD Z UCTU	4419	24123	DUCHOD	MN	61771410
48004	161	1997-06-10	PRIJEM	PREVOD Z UCTU	4419	26342	DUCHOD	MN	61771410
48005	161	1997-07-10	PRIJEM	PREVOD Z UCTU	4419	17857	DUCHOD	MN	61771410
48006	161	1997-08-10	PRIJEM	PREVOD Z UCTU	4419	20048	DUCHOD	MN	61771410
48007	161	1997-09-10	PRIJEM	PREVOD Z UCTU	4419	22249	DUCHOD	MN	61771410
48008	161	1997-10-10	PRIJEM	PREVOD Z UCTU	4419	24458	DUCHOD	MN	61771410
48009	161	1997-11-10	PRIJEM	PREVOD Z UCTU	4419	26677	DUCHOD	MN	61771410
48010	161	1997-12-10	PRIJEM	PREVOD Z UCTU	4419	26803	DUCHOD	MN	61771410
48011	161	1998-01-10	PRIJEM	PREVOD Z UCTU	4419	24371	DUCHOD	MN	61771410
48012	161	1998-02-10	PRIJEM	PREVOD Z UCTU	4419	23465	DUCHOD	MN	61771410
48013	161	1998-03-10	PRIJEM	PREVOD Z UCTU	4419	25679	DUCHOD	MN	61771410
48014	161	1998-04-10	PRIJEM	PREVOD Z UCTU	4419	25018	DUCHOD	MN	61771410
48015	161	1998-05-10	PRIJEM	PREVOD Z UCTU	4419	27239	DUCHOD	MN	61771410
48016	161	1998-06-10	PRIJEM	PREVOD Z UCTU	4419	29469	DUCHOD	MN	61771410
48017	161	1998-07-10	PRIJEM	PREVOD Z UCTU	4419	21560	DUCHOD	MN	61771410
48018	161	1998-08-10	PRIJEM	PREVOD Z UCTU	4419	21765	DUCHOD	MN	61771410
48019	161	1998-09-10	PRIJEM	PREVOD Z UCTU	4419	23972	DUCHOD	MN	61771410
48020	161	1998-10-10	PRIJEM	PREVOD Z UCTU	4419	24483	DUCHOD	MN	61771410
48021	161	1998-11-10	PRIJEM	PREVOD Z UCTU	4419	26300	DUCHOD	MN	61771410
48022	161	1998-12-10	PRIJEM	PREVOD Z UCTU	4419	21361	DUCHOD	MN	61771410
48034	161	1994-12-06	VYDAJ	PREVOD NA UCET	1389	18038	SIPO	GH	17877823
48035	161	1995-01-06	VYDAJ	PREVOD NA UCET	1389	19648	SIPO	GH	17877823
48036	161	1995-02-06	VYDAJ	PREVOD NA UCET	1389	19386	SIPO	GH	17877823
48037	161	1995-03-06	VYDAJ	PREVOD NA UCET	1389	21603	SIPO	GH	17877823
48038	161	1995-04-06	VYDAJ	PREVOD NA UCET	1389	23829	SIPO	GH	17877823
48039	161	1995-05-06	VYDAJ	PREVOD NA UCET	1389	25864	SIPO	GH	17877823
48040	161	1995-06-06	VYDAJ	PREVOD NA UCET	1389	24015	SIPO	GH	17877823
48041	161	1995-07-06	VYDAJ	PREVOD NA UCET	1389	11767	SIPO	GH	17877823
48042	161	1995-08-06	VYDAJ	PREVOD NA UCET	1389	13952	SIPO	GH	17877823
48043	161	1995-09-06	VYDAJ	PREVOD NA UCET	1389	13744	SIPO	GH	17877823
48044	161	1995-10-06	VYDAJ	PREVOD NA UCET	1389	15937	SIPO	GH	17877823
48045	161	1995-11-06	VYDAJ	PREVOD NA UCET	1389	13169	SIPO	GH	17877823
48046	161	1995-12-06	VYDAJ	PREVOD NA UCET	1389	14809	SIPO	GH	17877823
48047	161	1996-01-06	VYDAJ	PREVOD NA UCET	1389	15243	SIPO	GH	17877823
48048	161	1996-02-06	VYDAJ	PREVOD NA UCET	1389	17442	SIPO	GH	17877823
48049	161	1996-03-06	VYDAJ	PREVOD NA UCET	1389	19650	SIPO	GH	17877823
48050	161	1996-04-06	VYDAJ	PREVOD NA UCET	1389	19743	SIPO	GH	17877823
48051	161	1996-05-06	VYDAJ	PREVOD NA UCET	1389	18519	SIPO	GH	17877823
48052	161	1996-06-06	VYDAJ	PREVOD NA UCET	1389	20732	SIPO	GH	17877823
48053	161	1996-07-06	VYDAJ	PREVOD NA UCET	1389	14741	SIPO	GH	17877823
48054	161	1996-08-06	VYDAJ	PREVOD NA UCET	1389	13979	SIPO	GH	17877823
48055	161	1996-09-06	VYDAJ	PREVOD NA UCET	1389	16174	SIPO	GH	17877823
48056	161	1996-10-06	VYDAJ	PREVOD NA UCET	1389	17174	SIPO	GH	17877823
48057	161	1996-11-06	VYDAJ	PREVOD NA UCET	1389	17061	SIPO	GH	17877823
48058	161	1996-12-06	VYDAJ	PREVOD NA UCET	1389	18567	SIPO	GH	17877823
48059	161	1997-01-06	VYDAJ	PREVOD NA UCET	1389	16526	SIPO	GH	17877823
48060	161	1997-02-06	VYDAJ	PREVOD NA UCET	1389	18731	SIPO	GH	17877823
48061	161	1997-03-06	VYDAJ	PREVOD NA UCET	1389	20944	SIPO	GH	17877823
48062	161	1997-04-06	VYDAJ	PREVOD NA UCET	1389	21002	SIPO	GH	17877823
48063	161	1997-05-06	VYDAJ	PREVOD NA UCET	1389	22584	SIPO	GH	17877823
48064	161	1997-06-06	VYDAJ	PREVOD NA UCET	1389	21923	SIPO	GH	17877823
48065	161	1997-07-06	VYDAJ	PREVOD NA UCET	1389	13438	SIPO	GH	17877823
48066	161	1997-08-06	VYDAJ	PREVOD NA UCET	1389	15629	SIPO	GH	17877823
48067	161	1997-09-06	VYDAJ	PREVOD NA UCET	1389	17830	SIPO	GH	17877823
48068	161	1997-10-06	VYDAJ	PREVOD NA UCET	1389	20039	SIPO	GH	17877823
48069	161	1997-11-06	VYDAJ	PREVOD NA UCET	1389	22258	SIPO	GH	17877823
48070	161	1997-12-06	VYDAJ	PREVOD NA UCET	1389	22384	SIPO	GH	17877823
48071	161	1998-01-06	VYDAJ	PREVOD NA UCET	1389	19952	SIPO	GH	17877823
48072	161	1998-02-06	VYDAJ	PREVOD NA UCET	1389	19046	SIPO	GH	17877823
48073	161	1998-03-06	VYDAJ	PREVOD NA UCET	1389	21260	SIPO	GH	17877823
48074	161	1998-04-06	VYDAJ	PREVOD NA UCET	1389	20599	SIPO	GH	17877823
48075	161	1998-05-06	VYDAJ	PREVOD NA UCET	1389	22820	SIPO	GH	17877823
48076	161	1998-06-06	VYDAJ	PREVOD NA UCET	1389	25050	SIPO	GH	17877823
48077	161	1998-07-06	VYDAJ	PREVOD NA UCET	1389	20901	SIPO	GH	17877823
48078	161	1998-08-06	VYDAJ	PREVOD NA UCET	1389	17346	SIPO	GH	17877823
48079	161	1998-09-06	VYDAJ	PREVOD NA UCET	1389	19553	SIPO	GH	17877823
48080	161	1998-10-06	VYDAJ	PREVOD NA UCET	1389	20064	SIPO	GH	17877823
48081	161	1998-11-06	VYDAJ	PREVOD NA UCET	1389	21881	SIPO	GH	17877823
48082	161	1998-12-06	VYDAJ	PREVOD NA UCET	1389	16942	SIPO	GH	17877823
48093	161	1994-11-14	VYDAJ	PREVOD NA UCET	892	22185	 	WX	62378322
48094	161	1994-12-14	VYDAJ	PREVOD NA UCET	892	20965	 	WX	62378322
48095	161	1995-01-14	VYDAJ	PREVOD NA UCET	892	23175	 	WX	62378322
48096	161	1995-02-14	VYDAJ	PREVOD NA UCET	892	22913	 	WX	62378322
48097	161	1995-03-14	VYDAJ	PREVOD NA UCET	892	25130	 	WX	62378322
48098	161	1995-04-14	VYDAJ	PREVOD NA UCET	892	27356	 	WX	62378322
48099	161	1995-05-14	VYDAJ	PREVOD NA UCET	892	25711	 	WX	62378322
48100	161	1995-06-14	VYDAJ	PREVOD NA UCET	892	27542	 	WX	62378322
48101	161	1995-07-14	VYDAJ	PREVOD NA UCET	892	15294	 	WX	62378322
48102	161	1995-08-14	VYDAJ	PREVOD NA UCET	892	17479	 	WX	62378322
48103	161	1995-09-14	VYDAJ	PREVOD NA UCET	892	17271	 	WX	62378322
48104	161	1995-10-14	VYDAJ	PREVOD NA UCET	892	16024	 	WX	62378322
48105	161	1995-11-14	VYDAJ	PREVOD NA UCET	892	16696	 	WX	62378322
48106	161	1995-12-14	VYDAJ	PREVOD NA UCET	892	18336	 	WX	62378322
48107	161	1996-01-14	VYDAJ	PREVOD NA UCET	892	18770	 	WX	62378322
48108	161	1996-02-14	VYDAJ	PREVOD NA UCET	892	20969	 	WX	62378322
48109	161	1996-03-14	VYDAJ	PREVOD NA UCET	892	21257	 	WX	62378322
48110	161	1996-04-14	VYDAJ	PREVOD NA UCET	892	23270	 	WX	62378322
48111	161	1996-05-14	VYDAJ	PREVOD NA UCET	892	22046	 	WX	62378322
48112	161	1996-06-14	VYDAJ	PREVOD NA UCET	892	24259	 	WX	62378322
48113	161	1996-07-14	VYDAJ	PREVOD NA UCET	892	18268	 	WX	62378322
48114	161	1996-08-14	VYDAJ	PREVOD NA UCET	892	17506	 	WX	62378322
48115	161	1996-09-14	VYDAJ	PREVOD NA UCET	892	18981	 	WX	62378322
48116	161	1996-10-14	VYDAJ	PREVOD NA UCET	892	20701	 	WX	62378322
48117	161	1996-11-14	VYDAJ	PREVOD NA UCET	892	20588	 	WX	62378322
48118	161	1996-12-14	VYDAJ	PREVOD NA UCET	892	17854	 	WX	62378322
48119	161	1997-01-14	VYDAJ	PREVOD NA UCET	892	20053	 	WX	62378322
48120	161	1997-02-14	VYDAJ	PREVOD NA UCET	892	22258	 	WX	62378322
48121	161	1997-03-14	VYDAJ	PREVOD NA UCET	892	24471	 	WX	62378322
48122	161	1997-04-14	VYDAJ	PREVOD NA UCET	892	24529	 	WX	62378322
48123	161	1997-05-14	VYDAJ	PREVOD NA UCET	892	23231	 	WX	62378322
48124	161	1997-06-14	VYDAJ	PREVOD NA UCET	892	24650	 	WX	62378322
48125	161	1997-07-14	VYDAJ	PREVOD NA UCET	892	16965	 	WX	62378322
48126	161	1997-08-14	VYDAJ	PREVOD NA UCET	892	19156	 	WX	62378322
48127	161	1997-09-14	VYDAJ	PREVOD NA UCET	892	21357	 	WX	62378322
48128	161	1997-10-14	VYDAJ	PREVOD NA UCET	892	23566	 	WX	62378322
48129	161	1997-11-14	VYDAJ	PREVOD NA UCET	892	25785	 	WX	62378322
48130	161	1997-12-14	VYDAJ	PREVOD NA UCET	892	25911	 	WX	62378322
48131	161	1998-01-14	VYDAJ	PREVOD NA UCET	892	21079	 	WX	62378322
48132	161	1998-02-14	VYDAJ	PREVOD NA UCET	892	22573	 	WX	62378322
48133	161	1998-03-14	VYDAJ	PREVOD NA UCET	892	24787	 	WX	62378322
48134	161	1998-04-14	VYDAJ	PREVOD NA UCET	892	24126	 	WX	62378322
48135	161	1998-05-14	VYDAJ	PREVOD NA UCET	892	26347	 	WX	62378322
48136	161	1998-06-14	VYDAJ	PREVOD NA UCET	892	25477	 	WX	62378322
48137	161	1998-07-14	VYDAJ	PREVOD NA UCET	892	18668	 	WX	62378322
48138	161	1998-08-14	VYDAJ	PREVOD NA UCET	892	20873	 	WX	62378322
48139	161	1998-09-14	VYDAJ	PREVOD NA UCET	892	21380	 	WX	62378322
48140	161	1998-10-14	VYDAJ	PREVOD NA UCET	892	23191	 	WX	62378322
48141	161	1998-11-14	VYDAJ	PREVOD NA UCET	892	19308	 	WX	62378322
48142	161	1998-12-14	VYDAJ	PREVOD NA UCET	892	14769	 	WX	62378322
48144	161	1995-06-14	VYDAJ	VYBER	14450	13092	\N	\N	\N
48145	161	1996-06-20	VYDAJ	VYBER	8200	16059	\N	\N	\N
48146	161	1997-06-24	VYDAJ	VYBER	9900	14750	\N	\N	\N
48148	161	1994-12-13	VYDAJ	VYBER	600	21857	\N	\N	\N
48149	161	1995-12-03	VYDAJ	VYBER	550	16198	\N	\N	\N
48150	161	1996-12-09	VYDAJ	VYBER	400	14327	\N	\N	\N
48151	161	1997-12-17	VYDAJ	VYBER	1250	21261	\N	\N	\N
48152	161	1998-12-02	VYDAJ	VYBER	1050	18331	\N	\N	\N
48156	161	1994-11-17	VYDAJ	VYBER	2800	19385	\N	\N	\N
48157	161	1995-10-23	VYDAJ	VYBER	1520	14504	\N	\N	\N
48158	161	1995-10-13	VYDAJ	VYBER	3440	16916	\N	\N	\N
48160	161	1995-08-27	VYDAJ	VYBER	2000	15079	\N	\N	\N
48162	161	1995-12-16	VYDAJ	VYBER	1760	16576	\N	\N	\N
48163	161	1995-02-03	VYDAJ	VYBER	2480	20775	\N	\N	\N
48164	161	1995-05-07	VYDAJ	VYBER	3680	22184	\N	\N	\N
48165	161	1995-08-16	VYDAJ	VYBER	400	17079	\N	\N	\N
48166	161	1996-03-10	VYDAJ	VYBER	1920	22149	\N	\N	\N
48167	161	1996-08-06	VYDAJ	VYBER	2960	15368	\N	\N	\N
48168	161	1996-04-25	VYDAJ	VYBER	1200	20870	\N	\N	\N
48169	161	1996-09-24	VYDAJ	VYBER	480	18501	\N	\N	\N
48170	161	1996-12-08	VYDAJ	VYBER	3840	14727	\N	\N	\N
48171	161	1996-09-07	VYDAJ	VYBER	720	15454	\N	\N	\N
48172	161	1996-05-01	VYDAJ	VYBER	1040	19908	\N	\N	\N
48173	161	1996-11-01	VYDAJ	VYBER	2320	18450	\N	\N	\N
48174	161	1997-12-02	VYDAJ	VYBER	1200	23773	\N	\N	\N
48175	161	1997-03-17	VYDAJ	VYBER	2160	22311	\N	\N	\N
48176	161	1997-06-12	VYDAJ	VYBER	800	25542	\N	\N	\N
48177	161	1997-05-07	VYDAJ	VYBER	2880	19704	\N	\N	\N
48178	161	1997-04-19	VYDAJ	VYBER	640	23889	\N	\N	\N
48179	161	1998-07-11	VYDAJ	VYBER	2000	19560	\N	\N	\N
48180	161	1998-07-08	VYDAJ	VYBER	3760	17141	\N	\N	\N
48181	161	1998-03-22	VYDAJ	VYBER	2880	21907	\N	\N	\N
48182	161	1998-02-02	VYDAJ	VYBER	720	20435	\N	\N	\N
48183	161	1998-07-02	VYDAJ	VYBER	3280	22290	\N	\N	\N
48195	161	1994-11-30	VYDAJ	VYBER	15	19427	SLUZBY	\N	\N
48196	161	1994-12-31	VYDAJ	VYBER	15	21037	SLUZBY	\N	\N
48197	161	1995-01-31	VYDAJ	VYBER	15	23255	SLUZBY	\N	\N
48198	161	1995-02-28	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
48199	161	1995-03-31	VYDAJ	VYBER	15	25218	SLUZBY	\N	\N
48200	161	1995-04-30	VYDAJ	VYBER	15	27453	SLUZBY	\N	\N
48201	161	1995-05-31	VYDAJ	VYBER	15	25404	SLUZBY	\N	\N
48202	161	1995-06-30	VYDAJ	VYBER	15	13156	SLUZBY	\N	\N
48203	161	1995-07-31	VYDAJ	VYBER	15	15341	SLUZBY	\N	\N
48204	161	1995-08-31	VYDAJ	VYBER	15	15133	SLUZBY	\N	\N
48205	161	1995-09-30	VYDAJ	VYBER	15	17326	SLUZBY	\N	\N
48206	161	1995-10-31	VYDAJ	VYBER	15	14558	SLUZBY	\N	\N
48207	161	1995-11-30	VYDAJ	VYBER	15	16748	SLUZBY	\N	\N
48208	161	1995-12-31	VYDAJ	VYBER	15	16632	SLUZBY	\N	\N
48209	161	1996-01-31	VYDAJ	VYBER	15	18831	SLUZBY	\N	\N
48210	161	1996-02-29	VYDAJ	VYBER	15	21039	SLUZBY	\N	\N
48211	161	1996-03-31	VYDAJ	VYBER	15	21132	SLUZBY	\N	\N
48212	161	1996-04-30	VYDAJ	VYBER	15	20948	SLUZBY	\N	\N
48213	161	1996-05-31	VYDAJ	VYBER	15	22121	SLUZBY	\N	\N
48214	161	1996-06-30	VYDAJ	VYBER	15	16130	SLUZBY	\N	\N
48215	161	1996-07-31	VYDAJ	VYBER	15	18328	SLUZBY	\N	\N
48216	161	1996-08-31	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
48217	161	1996-09-30	VYDAJ	VYBER	15	18563	SLUZBY	\N	\N
48218	161	1996-10-31	VYDAJ	VYBER	15	20770	SLUZBY	\N	\N
48219	161	1996-11-30	VYDAJ	VYBER	15	19956	SLUZBY	\N	\N
48220	161	1996-12-31	VYDAJ	VYBER	15	17915	SLUZBY	\N	\N
48221	161	1997-01-31	VYDAJ	VYBER	15	20120	SLUZBY	\N	\N
48222	161	1997-02-28	VYDAJ	VYBER	15	22333	SLUZBY	\N	\N
48223	161	1997-03-31	VYDAJ	VYBER	15	22391	SLUZBY	\N	\N
48224	161	1997-04-30	VYDAJ	VYBER	15	23973	SLUZBY	\N	\N
48225	161	1997-05-31	VYDAJ	VYBER	15	23312	SLUZBY	\N	\N
48226	161	1997-06-30	VYDAJ	VYBER	15	14827	SLUZBY	\N	\N
48227	161	1997-07-31	VYDAJ	VYBER	15	17018	SLUZBY	\N	\N
48228	161	1997-08-31	VYDAJ	VYBER	15	19219	SLUZBY	\N	\N
48229	161	1997-09-30	VYDAJ	VYBER	15	21428	SLUZBY	\N	\N
48230	161	1997-10-31	VYDAJ	VYBER	15	23647	SLUZBY	\N	\N
48231	161	1997-11-30	VYDAJ	VYBER	15	24973	SLUZBY	\N	\N
48232	161	1997-12-31	VYDAJ	VYBER	15	21341	SLUZBY	\N	\N
48233	161	1998-01-31	VYDAJ	VYBER	15	21155	SLUZBY	\N	\N
48234	161	1998-02-28	VYDAJ	VYBER	15	22649	SLUZBY	\N	\N
48235	161	1998-03-31	VYDAJ	VYBER	15	21988	SLUZBY	\N	\N
48236	161	1998-04-30	VYDAJ	VYBER	15	24209	SLUZBY	\N	\N
48237	161	1998-05-31	VYDAJ	VYBER	15	26439	SLUZBY	\N	\N
48238	161	1998-06-30	VYDAJ	VYBER	15	25570	SLUZBY	\N	\N
48239	161	1998-07-31	VYDAJ	VYBER	15	18735	SLUZBY	\N	\N
48240	161	1998-08-31	VYDAJ	VYBER	15	20942	SLUZBY	\N	\N
48241	161	1998-09-30	VYDAJ	VYBER	15	21453	SLUZBY	\N	\N
48242	161	1998-10-31	VYDAJ	VYBER	15	23270	SLUZBY	\N	\N
48243	161	1998-11-30	VYDAJ	VYBER	15	19381	SLUZBY	\N	\N
48244	161	1995-04-30	VYDAJ	VYBER	200	27253	\N	\N	\N
48245	161	1995-05-30	VYDAJ	VYBER	400	25311	\N	\N	\N
48246	161	1996-03-25	VYDAJ	VYBER	200	21057	\N	\N	\N
48247	161	1996-04-24	VYDAJ	VYBER	1200	22070	\N	\N	\N
48248	161	1996-11-20	VYDAJ	VYBER	700	19888	\N	\N	\N
48249	161	1997-11-15	VYDAJ	VYBER	900	24885	\N	\N	\N
48250	161	1997-12-15	VYDAJ	VYBER	3400	22511	\N	\N	\N
48251	161	1998-01-14	VYDAJ	VYBER	2400	21971	\N	\N	\N
48252	161	1998-06-13	VYDAJ	VYBER	3100	26369	\N	\N	\N
48253	161	1998-09-11	VYDAJ	VYBER	1700	22272	\N	\N	\N
48254	161	1998-10-11	VYDAJ	VYBER	400	24083	\N	\N	\N
48255	161	1998-11-10	VYDAJ	VYBER	6100	20200	\N	\N	\N
48256	161	1998-12-10	VYDAJ	VYBER	5700	15661	\N	\N	\N
48311	162	1993-08-25	PRIJEM	VKLAD	200	200	\N	\N	\N
48320	162	1993-09-06	PRIJEM	PREVOD Z UCTU	5188	5388	DUCHOD	MN	66186195
48321	162	1993-10-06	PRIJEM	PREVOD Z UCTU	5188	10576	DUCHOD	MN	66186195
48322	162	1993-11-06	PRIJEM	PREVOD Z UCTU	5188	15764	DUCHOD	MN	66186195
48323	162	1993-12-06	PRIJEM	PREVOD Z UCTU	5188	20952	DUCHOD	MN	66186195
48324	162	1994-01-06	PRIJEM	PREVOD Z UCTU	5188	26140	DUCHOD	MN	66186195
48325	162	1994-02-06	PRIJEM	PREVOD Z UCTU	5188	26524	DUCHOD	MN	66186195
48326	162	1994-03-06	PRIJEM	PREVOD Z UCTU	5188	27232	DUCHOD	MN	66186195
48327	162	1994-04-06	PRIJEM	PREVOD Z UCTU	5188	20963	DUCHOD	MN	66186195
48328	162	1994-05-06	PRIJEM	PREVOD Z UCTU	5188	22756	DUCHOD	MN	66186195
48329	162	1994-06-06	PRIJEM	PREVOD Z UCTU	5188	24550	DUCHOD	MN	66186195
48330	162	1994-07-06	PRIJEM	PREVOD Z UCTU	5188	23650	DUCHOD	MN	66186195
48331	162	1994-08-06	PRIJEM	PREVOD Z UCTU	5188	25448	DUCHOD	MN	66186195
48332	162	1994-09-06	PRIJEM	PREVOD Z UCTU	5188	27253	DUCHOD	MN	66186195
48333	162	1994-10-06	PRIJEM	PREVOD Z UCTU	5188	27262	DUCHOD	MN	66186195
48334	162	1994-11-06	PRIJEM	PREVOD Z UCTU	5188	28113	DUCHOD	MN	66186195
48335	162	1994-12-06	PRIJEM	PREVOD Z UCTU	5188	29929	DUCHOD	MN	66186195
48336	162	1995-01-06	PRIJEM	PREVOD Z UCTU	5188	30299	DUCHOD	MN	66186195
48337	162	1995-02-06	PRIJEM	PREVOD Z UCTU	5188	30120	DUCHOD	MN	66186195
48338	162	1995-03-06	PRIJEM	PREVOD Z UCTU	5188	29061	DUCHOD	MN	66186195
48339	162	1995-04-06	PRIJEM	PREVOD Z UCTU	5188	29358	DUCHOD	MN	66186195
48340	162	1995-05-06	PRIJEM	PREVOD Z UCTU	5188	31179	DUCHOD	MN	66186195
48341	162	1995-06-06	PRIJEM	PREVOD Z UCTU	5188	19258	DUCHOD	MN	66186195
48342	162	1995-07-06	PRIJEM	PREVOD Z UCTU	5188	21049	DUCHOD	MN	66186195
48343	162	1995-08-06	PRIJEM	PREVOD Z UCTU	5188	22836	DUCHOD	MN	66186195
48344	162	1995-09-06	PRIJEM	PREVOD Z UCTU	5188	24630	DUCHOD	MN	66186195
48345	162	1995-10-06	PRIJEM	PREVOD Z UCTU	5188	26431	DUCHOD	MN	66186195
48346	162	1995-11-06	PRIJEM	PREVOD Z UCTU	5188	28240	DUCHOD	MN	66186195
48347	162	1995-12-06	PRIJEM	PREVOD Z UCTU	5188	28857	DUCHOD	MN	66186195
48348	162	1996-01-06	PRIJEM	PREVOD Z UCTU	5188	27796	DUCHOD	MN	66186195
48349	162	1996-02-06	PRIJEM	PREVOD Z UCTU	5188	29611	DUCHOD	MN	66186195
48350	162	1996-03-06	PRIJEM	PREVOD Z UCTU	5188	31433	DUCHOD	MN	66186195
48351	162	1996-04-06	PRIJEM	PREVOD Z UCTU	5188	33262	DUCHOD	MN	66186195
48352	162	1996-05-06	PRIJEM	PREVOD Z UCTU	5188	34459	DUCHOD	MN	66186195
48353	162	1996-06-06	PRIJEM	PREVOD Z UCTU	5188	34858	DUCHOD	MN	66186195
48354	162	1996-07-06	PRIJEM	PREVOD Z UCTU	5188	32594	DUCHOD	MN	66186195
48355	162	1996-08-06	PRIJEM	PREVOD Z UCTU	5188	33466	DUCHOD	MN	66186195
48356	162	1996-09-06	PRIJEM	PREVOD Z UCTU	5188	34663	DUCHOD	MN	66186195
48357	162	1996-10-06	PRIJEM	PREVOD Z UCTU	5188	36506	DUCHOD	MN	66186195
48358	162	1996-11-06	PRIJEM	PREVOD Z UCTU	5188	38356	DUCHOD	MN	66186195
48359	162	1996-12-06	PRIJEM	PREVOD Z UCTU	5188	40015	DUCHOD	MN	66186195
48360	162	1997-01-06	PRIJEM	PREVOD Z UCTU	5188	40827	DUCHOD	MN	66186195
48361	162	1997-02-06	PRIJEM	PREVOD Z UCTU	5188	38308	DUCHOD	MN	66186195
48362	162	1997-03-06	PRIJEM	PREVOD Z UCTU	5188	40165	DUCHOD	MN	66186195
48363	162	1997-04-06	PRIJEM	PREVOD Z UCTU	5188	36422	DUCHOD	MN	66186195
48364	162	1997-05-06	PRIJEM	PREVOD Z UCTU	5188	35544	DUCHOD	MN	66186195
48365	162	1997-06-06	PRIJEM	PREVOD Z UCTU	5188	37390	DUCHOD	MN	66186195
48366	162	1997-07-06	PRIJEM	PREVOD Z UCTU	5188	23574	DUCHOD	MN	66186195
48367	162	1997-08-06	PRIJEM	PREVOD Z UCTU	5188	25370	DUCHOD	MN	66186195
48368	162	1997-09-06	PRIJEM	PREVOD Z UCTU	5188	27173	DUCHOD	MN	66186195
48369	162	1997-10-06	PRIJEM	PREVOD Z UCTU	5188	27462	DUCHOD	MN	66186195
48370	162	1997-11-06	PRIJEM	PREVOD Z UCTU	5188	28152	DUCHOD	MN	66186195
48371	162	1997-12-06	PRIJEM	PREVOD Z UCTU	5188	29967	DUCHOD	MN	66186195
48372	162	1998-01-06	PRIJEM	PREVOD Z UCTU	5188	30638	DUCHOD	MN	66186195
48373	162	1998-02-06	PRIJEM	PREVOD Z UCTU	5188	32463	DUCHOD	MN	66186195
48374	162	1998-03-06	PRIJEM	PREVOD Z UCTU	5188	34295	DUCHOD	MN	66186195
48375	162	1998-04-06	PRIJEM	PREVOD Z UCTU	5188	36135	DUCHOD	MN	66186195
48376	162	1998-05-06	PRIJEM	PREVOD Z UCTU	5188	37983	DUCHOD	MN	66186195
48377	162	1998-06-06	PRIJEM	PREVOD Z UCTU	5188	36548	DUCHOD	MN	66186195
48378	162	1998-07-06	PRIJEM	PREVOD Z UCTU	5188	25592	DUCHOD	MN	66186195
48379	162	1998-08-06	PRIJEM	PREVOD Z UCTU	5188	26915	DUCHOD	MN	66186195
48380	162	1998-09-06	PRIJEM	PREVOD Z UCTU	5188	25035	DUCHOD	MN	66186195
48381	162	1998-10-06	PRIJEM	PREVOD Z UCTU	5188	24034	DUCHOD	MN	66186195
48382	162	1998-11-06	PRIJEM	PREVOD Z UCTU	5188	25830	DUCHOD	MN	66186195
48383	162	1998-12-06	PRIJEM	PREVOD Z UCTU	5188	27634	DUCHOD	MN	66186195
48396	162	1994-01-09	VYDAJ	PREVOD NA UCET	3458	22682	SIPO	GH	1325488
48397	162	1994-02-09	VYDAJ	PREVOD NA UCET	3458	23066	SIPO	GH	1325488
48398	162	1994-03-09	VYDAJ	PREVOD NA UCET	3458	23774	SIPO	GH	1325488
48399	162	1994-04-09	VYDAJ	PREVOD NA UCET	3458	17505	SIPO	GH	1325488
48400	162	1994-05-09	VYDAJ	PREVOD NA UCET	3458	19298	SIPO	GH	1325488
48401	162	1994-06-09	VYDAJ	PREVOD NA UCET	3458	21092	SIPO	GH	1325488
48402	162	1994-07-09	VYDAJ	PREVOD NA UCET	3458	20192	SIPO	GH	1325488
48403	162	1994-08-09	VYDAJ	PREVOD NA UCET	3458	21990	SIPO	GH	1325488
48404	162	1994-09-09	VYDAJ	PREVOD NA UCET	3458	23795	SIPO	GH	1325488
48405	162	1994-10-09	VYDAJ	PREVOD NA UCET	3458	23804	SIPO	GH	1325488
48406	162	1994-11-09	VYDAJ	PREVOD NA UCET	3458	24655	SIPO	GH	1325488
48407	162	1994-12-09	VYDAJ	PREVOD NA UCET	3458	25021	SIPO	GH	1325488
48408	162	1995-01-09	VYDAJ	PREVOD NA UCET	3458	26841	SIPO	GH	1325488
48409	162	1995-02-09	VYDAJ	PREVOD NA UCET	3458	26662	SIPO	GH	1325488
48410	162	1995-03-09	VYDAJ	PREVOD NA UCET	3458	25603	SIPO	GH	1325488
48411	162	1995-04-09	VYDAJ	PREVOD NA UCET	3458	25900	SIPO	GH	1325488
48412	162	1995-05-09	VYDAJ	PREVOD NA UCET	3458	27721	SIPO	GH	1325488
48413	162	1995-06-09	VYDAJ	PREVOD NA UCET	3458	15800	SIPO	GH	1325488
48414	162	1995-07-09	VYDAJ	PREVOD NA UCET	3458	17591	SIPO	GH	1325488
48415	162	1995-08-09	VYDAJ	PREVOD NA UCET	3458	19378	SIPO	GH	1325488
48416	162	1995-09-09	VYDAJ	PREVOD NA UCET	3458	21172	SIPO	GH	1325488
48417	162	1995-10-09	VYDAJ	PREVOD NA UCET	3458	22973	SIPO	GH	1325488
48418	162	1995-11-09	VYDAJ	PREVOD NA UCET	3458	24782	SIPO	GH	1325488
48419	162	1995-12-09	VYDAJ	PREVOD NA UCET	3458	25399	SIPO	GH	1325488
48420	162	1996-01-09	VYDAJ	PREVOD NA UCET	3458	24338	SIPO	GH	1325488
48421	162	1996-02-09	VYDAJ	PREVOD NA UCET	3458	26153	SIPO	GH	1325488
48422	162	1996-03-09	VYDAJ	PREVOD NA UCET	3458	27975	SIPO	GH	1325488
48423	162	1996-04-09	VYDAJ	PREVOD NA UCET	3458	29804	SIPO	GH	1325488
48424	162	1996-05-09	VYDAJ	PREVOD NA UCET	3458	31001	SIPO	GH	1325488
48425	162	1996-06-09	VYDAJ	PREVOD NA UCET	3458	31400	SIPO	GH	1325488
48426	162	1996-07-09	VYDAJ	PREVOD NA UCET	3458	29136	SIPO	GH	1325488
48427	162	1996-08-09	VYDAJ	PREVOD NA UCET	3458	30008	SIPO	GH	1325488
48428	162	1996-09-09	VYDAJ	PREVOD NA UCET	3458	31205	SIPO	GH	1325488
48429	162	1996-10-09	VYDAJ	PREVOD NA UCET	3458	33048	SIPO	GH	1325488
48430	162	1996-11-09	VYDAJ	PREVOD NA UCET	3458	34698	SIPO	GH	1325488
48431	162	1996-12-09	VYDAJ	PREVOD NA UCET	3458	36557	SIPO	GH	1325488
48432	162	1997-01-09	VYDAJ	PREVOD NA UCET	3458	36669	SIPO	GH	1325488
48433	162	1997-02-09	VYDAJ	PREVOD NA UCET	3458	34850	SIPO	GH	1325488
48434	162	1997-03-09	VYDAJ	PREVOD NA UCET	3458	36707	SIPO	GH	1325488
48435	162	1997-04-09	VYDAJ	PREVOD NA UCET	3458	30244	SIPO	GH	1325488
48436	162	1997-05-09	VYDAJ	PREVOD NA UCET	3458	32086	SIPO	GH	1325488
48437	162	1997-06-09	VYDAJ	PREVOD NA UCET	3458	33932	SIPO	GH	1325488
48438	162	1997-07-09	VYDAJ	PREVOD NA UCET	3458	20116	SIPO	GH	1325488
48439	162	1997-08-09	VYDAJ	PREVOD NA UCET	3458	21912	SIPO	GH	1325488
48440	162	1997-09-09	VYDAJ	PREVOD NA UCET	3458	23715	SIPO	GH	1325488
48441	162	1997-10-09	VYDAJ	PREVOD NA UCET	3458	24004	SIPO	GH	1325488
48442	162	1997-11-09	VYDAJ	PREVOD NA UCET	3458	24694	SIPO	GH	1325488
48443	162	1997-12-09	VYDAJ	PREVOD NA UCET	3458	26509	SIPO	GH	1325488
48444	162	1998-01-09	VYDAJ	PREVOD NA UCET	3458	27180	SIPO	GH	1325488
48445	162	1998-02-09	VYDAJ	PREVOD NA UCET	3458	29005	SIPO	GH	1325488
48446	162	1998-03-09	VYDAJ	PREVOD NA UCET	3458	30837	SIPO	GH	1325488
48447	162	1998-04-09	VYDAJ	PREVOD NA UCET	3458	32677	SIPO	GH	1325488
48448	162	1998-05-09	VYDAJ	PREVOD NA UCET	3458	31245	SIPO	GH	1325488
48449	162	1998-06-09	VYDAJ	PREVOD NA UCET	3458	33090	SIPO	GH	1325488
48450	162	1998-07-09	VYDAJ	PREVOD NA UCET	3458	22134	SIPO	GH	1325488
48451	162	1998-08-09	VYDAJ	PREVOD NA UCET	3458	23457	SIPO	GH	1325488
48452	162	1998-09-09	VYDAJ	PREVOD NA UCET	3458	21577	SIPO	GH	1325488
48453	162	1998-10-09	VYDAJ	PREVOD NA UCET	3458	20576	SIPO	GH	1325488
48454	162	1998-11-09	VYDAJ	PREVOD NA UCET	3458	22372	SIPO	GH	1325488
48455	162	1998-12-09	VYDAJ	PREVOD NA UCET	3458	24176	SIPO	GH	1325488
48457	162	1994-06-27	VYDAJ	VYBER	2700	18392	\N	\N	\N
48458	162	1995-06-01	VYDAJ	VYBER	13750	14070	\N	\N	\N
48459	162	1996-06-24	VYDAJ	VYBER	2300	27300	\N	\N	\N
48460	162	1997-06-27	VYDAJ	VYBER	13900	18272	\N	\N	\N
48461	162	1998-06-24	VYDAJ	VYBER	11350	20300	\N	\N	\N
48463	162	1994-12-08	VYDAJ	VYBER	1450	28479	\N	\N	\N
48464	162	1995-12-03	VYDAJ	VYBER	1200	23669	\N	\N	\N
48465	162	1996-12-14	VYDAJ	VYBER	1050	35507	\N	\N	\N
48466	162	1997-12-23	VYDAJ	VYBER	1150	25359	\N	\N	\N
48467	162	1998-12-29	VYDAJ	VYBER	400	21536	\N	\N	\N
48475	162	1994-03-24	VYDAJ	VYBER	880	22894	\N	\N	\N
48476	162	1994-04-01	VYDAJ	VYBER	3600	19375	\N	\N	\N
48477	162	1994-10-17	VYDAJ	VYBER	960	22844	\N	\N	\N
48479	162	1994-04-05	VYDAJ	VYBER	3600	15775	\N	\N	\N
48480	162	1995-12-26	VYDAJ	VYBER	2880	22519	\N	\N	\N
48481	162	1995-01-18	VYDAJ	VYBER	2000	24841	\N	\N	\N
48482	162	1995-03-19	VYDAJ	VYBER	1520	24083	\N	\N	\N
48483	162	1995-02-28	VYDAJ	VYBER	880	23887	\N	\N	\N
48484	162	1996-08-17	VYDAJ	VYBER	640	29368	\N	\N	\N
48485	162	1996-04-24	VYDAJ	VYBER	640	29164	\N	\N	\N
48486	162	1996-05-17	VYDAJ	VYBER	1440	29561	\N	\N	\N
48487	162	1996-07-17	VYDAJ	VYBER	960	28176	\N	\N	\N
48488	162	1997-09-23	VYDAJ	VYBER	1520	22195	\N	\N	\N
48489	162	1997-06-20	VYDAJ	VYBER	1760	32172	\N	\N	\N
48490	162	1997-10-19	VYDAJ	VYBER	1120	22884	\N	\N	\N
48491	162	1997-01-17	VYDAJ	VYBER	3680	32989	\N	\N	\N
48492	162	1997-03-25	VYDAJ	VYBER	2640	31107	\N	\N	\N
48493	162	1997-04-07	VYDAJ	VYBER	2720	33702	\N	\N	\N
48494	162	1997-03-17	VYDAJ	VYBER	2960	33747	\N	\N	\N
48495	162	1998-06-12	VYDAJ	VYBER	1440	31650	\N	\N	\N
48496	162	1998-12-20	VYDAJ	VYBER	2240	21936	\N	\N	\N
48497	162	1998-05-07	VYDAJ	VYBER	3280	34703	\N	\N	\N
48498	162	1998-07-23	VYDAJ	VYBER	480	21654	\N	\N	\N
48499	162	1998-09-26	VYDAJ	VYBER	2800	18777	\N	\N	\N
48500	162	1998-08-13	VYDAJ	VYBER	3680	19777	\N	\N	\N
48514	162	1994-01-31	VYDAJ	VYBER	15	21336	SLUZBY	\N	\N
48515	162	1994-02-28	VYDAJ	VYBER	15	22044	SLUZBY	\N	\N
48516	162	1994-03-31	VYDAJ	VYBER	15	22975	SLUZBY	\N	\N
48517	162	1994-04-30	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
48518	162	1994-05-31	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
48519	162	1994-06-30	VYDAJ	VYBER	15	18462	SLUZBY	\N	\N
48520	162	1994-07-31	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
48521	162	1994-08-31	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
48522	162	1994-09-30	VYDAJ	VYBER	15	22074	SLUZBY	\N	\N
48523	162	1994-10-31	VYDAJ	VYBER	15	22925	SLUZBY	\N	\N
48524	162	1994-11-30	VYDAJ	VYBER	15	24741	SLUZBY	\N	\N
48525	162	1994-12-31	VYDAJ	VYBER	15	25111	SLUZBY	\N	\N
48526	162	1995-01-31	VYDAJ	VYBER	15	24932	SLUZBY	\N	\N
48527	162	1995-02-28	VYDAJ	VYBER	15	23873	SLUZBY	\N	\N
48528	162	1995-03-31	VYDAJ	VYBER	15	24170	SLUZBY	\N	\N
48529	162	1995-04-30	VYDAJ	VYBER	15	25991	SLUZBY	\N	\N
48530	162	1995-05-31	VYDAJ	VYBER	15	27820	SLUZBY	\N	\N
48531	162	1995-06-30	VYDAJ	VYBER	15	15861	SLUZBY	\N	\N
48532	162	1995-07-31	VYDAJ	VYBER	15	17648	SLUZBY	\N	\N
48533	162	1995-08-31	VYDAJ	VYBER	15	19442	SLUZBY	\N	\N
48534	162	1995-09-30	VYDAJ	VYBER	15	21243	SLUZBY	\N	\N
48535	162	1995-10-31	VYDAJ	VYBER	15	23052	SLUZBY	\N	\N
48536	162	1995-11-30	VYDAJ	VYBER	15	24869	SLUZBY	\N	\N
48537	162	1995-12-31	VYDAJ	VYBER	15	22608	SLUZBY	\N	\N
48538	162	1996-01-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
48539	162	1996-02-29	VYDAJ	VYBER	15	26245	SLUZBY	\N	\N
48540	162	1996-03-31	VYDAJ	VYBER	15	28074	SLUZBY	\N	\N
48541	162	1996-04-30	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
48542	162	1996-05-31	VYDAJ	VYBER	15	29670	SLUZBY	\N	\N
48543	162	1996-06-30	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
48544	162	1996-07-31	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
48545	162	1996-08-31	VYDAJ	VYBER	15	29475	SLUZBY	\N	\N
48546	162	1996-09-30	VYDAJ	VYBER	15	31318	SLUZBY	\N	\N
48547	162	1996-10-31	VYDAJ	VYBER	15	33168	SLUZBY	\N	\N
48548	162	1996-11-30	VYDAJ	VYBER	15	34827	SLUZBY	\N	\N
48549	162	1996-12-31	VYDAJ	VYBER	15	35639	SLUZBY	\N	\N
48550	162	1997-01-31	VYDAJ	VYBER	15	33120	SLUZBY	\N	\N
48551	162	1997-02-28	VYDAJ	VYBER	15	34977	SLUZBY	\N	\N
48552	162	1997-03-31	VYDAJ	VYBER	15	31234	SLUZBY	\N	\N
48553	162	1997-04-30	VYDAJ	VYBER	15	30356	SLUZBY	\N	\N
48554	162	1997-05-31	VYDAJ	VYBER	15	32202	SLUZBY	\N	\N
48555	162	1997-06-30	VYDAJ	VYBER	15	18386	SLUZBY	\N	\N
48556	162	1997-07-31	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
48557	162	1997-08-31	VYDAJ	VYBER	15	21985	SLUZBY	\N	\N
48558	162	1997-09-30	VYDAJ	VYBER	15	22274	SLUZBY	\N	\N
48559	162	1997-10-31	VYDAJ	VYBER	15	22964	SLUZBY	\N	\N
48560	162	1997-11-30	VYDAJ	VYBER	15	24779	SLUZBY	\N	\N
48561	162	1997-12-31	VYDAJ	VYBER	15	25450	SLUZBY	\N	\N
48562	162	1998-01-31	VYDAJ	VYBER	15	27275	SLUZBY	\N	\N
48563	162	1998-02-28	VYDAJ	VYBER	15	29107	SLUZBY	\N	\N
48564	162	1998-03-31	VYDAJ	VYBER	15	30947	SLUZBY	\N	\N
48565	162	1998-04-30	VYDAJ	VYBER	15	32795	SLUZBY	\N	\N
48566	162	1998-05-31	VYDAJ	VYBER	15	31360	SLUZBY	\N	\N
48567	162	1998-06-30	VYDAJ	VYBER	15	20404	SLUZBY	\N	\N
48568	162	1998-07-31	VYDAJ	VYBER	15	21727	SLUZBY	\N	\N
48569	162	1998-08-31	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
48570	162	1998-09-30	VYDAJ	VYBER	15	18846	SLUZBY	\N	\N
48571	162	1998-10-31	VYDAJ	VYBER	15	20642	SLUZBY	\N	\N
48572	162	1998-11-30	VYDAJ	VYBER	15	22446	SLUZBY	\N	\N
48573	162	1994-01-22	VYDAJ	VYBER	1400	21282	\N	\N	\N
48574	162	1994-02-21	VYDAJ	VYBER	1100	21966	\N	\N	\N
48575	162	1994-09-19	VYDAJ	VYBER	1800	21995	\N	\N	\N
48576	162	1995-02-16	VYDAJ	VYBER	2000	24662	\N	\N	\N
48577	162	1996-06-10	VYDAJ	VYBER	1800	29600	\N	\N	\N
48578	162	1996-11-07	VYDAJ	VYBER	200	38156	\N	\N	\N
48579	162	1997-01-06	VYDAJ	VYBER	700	40127	\N	\N	\N
48640	163	1993-01-27	PRIJEM	VKLAD	900	900	\N	\N	\N
48642	163	1993-02-13	PRIJEM	PREVOD Z UCTU	6698	7598	DUCHOD	YZ	76209622
48643	163	1993-03-13	PRIJEM	PREVOD Z UCTU	6698	14296	DUCHOD	YZ	76209622
48644	163	1993-04-13	PRIJEM	PREVOD Z UCTU	6698	20994	DUCHOD	YZ	76209622
48645	163	1993-05-13	PRIJEM	PREVOD Z UCTU	6698	27203	DUCHOD	YZ	76209622
48646	163	1993-06-13	PRIJEM	PREVOD Z UCTU	6698	33891	DUCHOD	YZ	76209622
48647	163	1993-07-13	PRIJEM	PREVOD Z UCTU	6698	33614	DUCHOD	YZ	76209622
48648	163	1993-08-13	PRIJEM	PREVOD Z UCTU	6698	34287	DUCHOD	YZ	76209622
48649	163	1993-09-13	PRIJEM	PREVOD Z UCTU	6698	33461	DUCHOD	YZ	76209622
48650	163	1993-10-13	PRIJEM	PREVOD Z UCTU	6698	33753	DUCHOD	YZ	76209622
48651	163	1993-11-13	PRIJEM	PREVOD Z UCTU	6698	31723	DUCHOD	YZ	76209622
48652	163	1993-12-13	PRIJEM	PREVOD Z UCTU	6698	34241	DUCHOD	YZ	76209622
48653	163	1994-01-13	PRIJEM	PREVOD Z UCTU	6698	33779	DUCHOD	YZ	76209622
48654	163	1994-02-13	PRIJEM	PREVOD Z UCTU	6698	28000	DUCHOD	YZ	76209622
48655	163	1994-03-13	PRIJEM	PREVOD Z UCTU	6698	31051	DUCHOD	YZ	76209622
48656	163	1994-04-13	PRIJEM	PREVOD Z UCTU	6698	30996	DUCHOD	YZ	76209622
48657	163	1994-05-13	PRIJEM	PREVOD Z UCTU	6698	32861	DUCHOD	YZ	76209622
48658	163	1994-06-13	PRIJEM	PREVOD Z UCTU	6698	23179	DUCHOD	YZ	76209622
48659	163	1994-07-13	PRIJEM	PREVOD Z UCTU	6698	24305	DUCHOD	YZ	76209622
48660	163	1994-08-13	PRIJEM	PREVOD Z UCTU	6698	27345	DUCHOD	YZ	76209622
48661	163	1994-09-13	PRIJEM	PREVOD Z UCTU	6698	26547	DUCHOD	YZ	76209622
48662	163	1994-10-13	PRIJEM	PREVOD Z UCTU	6698	26630	DUCHOD	YZ	76209622
48663	163	1994-11-13	PRIJEM	PREVOD Z UCTU	6698	29676	DUCHOD	YZ	76209622
48664	163	1994-12-13	PRIJEM	PREVOD Z UCTU	6698	31735	DUCHOD	YZ	76209622
48665	163	1995-01-13	PRIJEM	PREVOD Z UCTU	6698	27314	DUCHOD	YZ	76209622
48666	163	1995-02-13	PRIJEM	PREVOD Z UCTU	6698	23082	DUCHOD	YZ	76209622
48667	163	1995-03-13	PRIJEM	PREVOD Z UCTU	6698	25713	DUCHOD	YZ	76209622
48668	163	1995-04-13	PRIJEM	PREVOD Z UCTU	6698	27156	DUCHOD	YZ	76209622
48669	163	1995-05-13	PRIJEM	PREVOD Z UCTU	6698	28803	DUCHOD	YZ	76209622
48670	163	1995-06-13	PRIJEM	PREVOD Z UCTU	6698	25008	DUCHOD	YZ	76209622
48671	163	1995-07-13	PRIJEM	PREVOD Z UCTU	6698	27557	DUCHOD	YZ	76209622
48672	163	1995-08-13	PRIJEM	PREVOD Z UCTU	6698	27087	DUCHOD	YZ	76209622
48673	163	1995-09-13	PRIJEM	PREVOD Z UCTU	6698	30140	DUCHOD	YZ	76209622
48674	163	1995-10-13	PRIJEM	PREVOD Z UCTU	6698	26158	DUCHOD	YZ	76209622
48675	163	1995-11-13	PRIJEM	PREVOD Z UCTU	6698	26647	DUCHOD	YZ	76209622
48676	163	1995-12-13	PRIJEM	PREVOD Z UCTU	6698	25856	DUCHOD	YZ	76209622
48677	163	1996-01-13	PRIJEM	PREVOD Z UCTU	6698	25085	DUCHOD	YZ	76209622
48678	163	1996-02-13	PRIJEM	PREVOD Z UCTU	6698	24120	DUCHOD	YZ	76209622
48679	163	1996-03-13	PRIJEM	PREVOD Z UCTU	6698	25555	DUCHOD	YZ	76209622
48680	163	1996-04-13	PRIJEM	PREVOD Z UCTU	6698	27718	DUCHOD	YZ	76209622
48681	163	1996-05-13	PRIJEM	PREVOD Z UCTU	6698	30767	DUCHOD	YZ	76209622
48682	163	1996-06-13	PRIJEM	PREVOD Z UCTU	6698	31988	DUCHOD	YZ	76209622
48683	163	1996-07-13	PRIJEM	PREVOD Z UCTU	6698	35056	DUCHOD	YZ	76209622
48684	163	1996-08-13	PRIJEM	PREVOD Z UCTU	6698	32368	DUCHOD	YZ	76209622
48685	163	1996-09-13	PRIJEM	PREVOD Z UCTU	6698	35437	DUCHOD	YZ	76209622
48686	163	1996-10-13	PRIJEM	PREVOD Z UCTU	6698	35719	DUCHOD	YZ	76209622
48687	163	1996-11-13	PRIJEM	PREVOD Z UCTU	6698	38806	DUCHOD	YZ	76209622
48688	163	1996-12-13	PRIJEM	PREVOD Z UCTU	6698	38295	DUCHOD	YZ	76209622
48689	163	1997-01-13	PRIJEM	PREVOD Z UCTU	6698	35746	DUCHOD	YZ	76209622
48690	163	1997-02-13	PRIJEM	PREVOD Z UCTU	6698	24556	DUCHOD	YZ	76209622
48691	163	1997-03-13	PRIJEM	PREVOD Z UCTU	6698	27591	DUCHOD	YZ	76209622
48692	163	1997-04-13	PRIJEM	PREVOD Z UCTU	6698	30640	DUCHOD	YZ	76209622
48693	163	1997-05-13	PRIJEM	PREVOD Z UCTU	6698	33700	DUCHOD	YZ	76209622
48694	163	1997-06-13	PRIJEM	PREVOD Z UCTU	6698	36775	DUCHOD	YZ	76209622
48695	163	1997-07-13	PRIJEM	PREVOD Z UCTU	6698	39861	DUCHOD	YZ	76209622
48696	163	1997-08-13	PRIJEM	PREVOD Z UCTU	6698	38338	DUCHOD	YZ	76209622
48697	163	1997-09-13	PRIJEM	PREVOD Z UCTU	6698	39155	DUCHOD	YZ	76209622
48698	163	1997-10-13	PRIJEM	PREVOD Z UCTU	6698	40091	DUCHOD	YZ	76209622
48699	163	1997-11-13	PRIJEM	PREVOD Z UCTU	6698	40195	DUCHOD	YZ	76209622
48700	163	1997-12-13	PRIJEM	PREVOD Z UCTU	6698	38301	DUCHOD	YZ	76209622
48701	163	1998-01-13	PRIJEM	PREVOD Z UCTU	6698	34720	DUCHOD	YZ	76209622
48702	163	1998-02-13	PRIJEM	PREVOD Z UCTU	6698	30029	DUCHOD	YZ	76209622
48703	163	1998-03-13	PRIJEM	PREVOD Z UCTU	6698	33087	DUCHOD	YZ	76209622
48704	163	1998-04-13	PRIJEM	PREVOD Z UCTU	6698	36157	DUCHOD	YZ	76209622
48705	163	1998-05-13	PRIJEM	PREVOD Z UCTU	6698	35633	DUCHOD	YZ	76209622
48706	163	1998-06-13	PRIJEM	PREVOD Z UCTU	6698	32883	DUCHOD	YZ	76209622
48707	163	1998-07-13	PRIJEM	PREVOD Z UCTU	6698	32919	DUCHOD	YZ	76209622
48708	163	1998-08-13	PRIJEM	PREVOD Z UCTU	6698	35993	DUCHOD	YZ	76209622
48709	163	1998-09-13	PRIJEM	PREVOD Z UCTU	6698	35715	DUCHOD	YZ	76209622
48710	163	1998-10-13	PRIJEM	PREVOD Z UCTU	6698	38802	DUCHOD	YZ	76209622
48711	163	1998-11-13	PRIJEM	PREVOD Z UCTU	6698	41896	DUCHOD	YZ	76209622
48712	163	1998-12-13	PRIJEM	PREVOD Z UCTU	6698	43752	DUCHOD	YZ	76209622
48718	163	1993-06-13	VYDAJ	PREVOD NA UCET	3116	30775	SIPO	UV	86180990
48719	163	1993-07-13	VYDAJ	PREVOD NA UCET	3116	30498	SIPO	UV	86180990
48720	163	1993-08-13	VYDAJ	PREVOD NA UCET	3116	31171	SIPO	UV	86180990
48721	163	1993-09-13	VYDAJ	PREVOD NA UCET	3116	30345	SIPO	UV	86180990
48722	163	1993-10-13	VYDAJ	PREVOD NA UCET	3116	30637	SIPO	UV	86180990
48723	163	1993-11-13	VYDAJ	PREVOD NA UCET	3116	28607	SIPO	UV	86180990
48724	163	1993-12-13	VYDAJ	PREVOD NA UCET	3116	31125	SIPO	UV	86180990
48725	163	1994-01-13	VYDAJ	PREVOD NA UCET	3116	30663	SIPO	UV	86180990
48726	163	1994-02-13	VYDAJ	PREVOD NA UCET	3116	24884	SIPO	UV	86180990
48727	163	1994-03-13	VYDAJ	PREVOD NA UCET	3116	27935	SIPO	UV	86180990
48728	163	1994-04-13	VYDAJ	PREVOD NA UCET	3116	27880	SIPO	UV	86180990
48729	163	1994-05-13	VYDAJ	PREVOD NA UCET	3116	29745	SIPO	UV	86180990
48730	163	1994-06-13	VYDAJ	PREVOD NA UCET	3116	20063	SIPO	UV	86180990
48731	163	1994-07-13	VYDAJ	PREVOD NA UCET	3116	21189	SIPO	UV	86180990
48732	163	1994-08-13	VYDAJ	PREVOD NA UCET	3116	24229	SIPO	UV	86180990
48733	163	1994-09-13	VYDAJ	PREVOD NA UCET	3116	23431	SIPO	UV	86180990
48734	163	1994-10-13	VYDAJ	PREVOD NA UCET	3116	23514	SIPO	UV	86180990
48735	163	1994-11-13	VYDAJ	PREVOD NA UCET	3116	26560	SIPO	UV	86180990
48736	163	1994-12-13	VYDAJ	PREVOD NA UCET	3116	28619	SIPO	UV	86180990
48737	163	1995-01-13	VYDAJ	PREVOD NA UCET	3116	24198	SIPO	UV	86180990
48738	163	1995-02-13	VYDAJ	PREVOD NA UCET	3116	19966	SIPO	UV	86180990
48739	163	1995-03-13	VYDAJ	PREVOD NA UCET	3116	22597	SIPO	UV	86180990
48740	163	1995-04-13	VYDAJ	PREVOD NA UCET	3116	24040	SIPO	UV	86180990
48741	163	1995-05-13	VYDAJ	PREVOD NA UCET	3116	25687	SIPO	UV	86180990
48742	163	1995-06-13	VYDAJ	PREVOD NA UCET	3116	21892	SIPO	UV	86180990
48743	163	1995-07-13	VYDAJ	PREVOD NA UCET	3116	24441	SIPO	UV	86180990
48744	163	1995-08-13	VYDAJ	PREVOD NA UCET	3116	23971	SIPO	UV	86180990
48745	163	1995-09-13	VYDAJ	PREVOD NA UCET	3116	27024	SIPO	UV	86180990
48746	163	1995-10-13	VYDAJ	PREVOD NA UCET	3116	23042	SIPO	UV	86180990
48747	163	1995-11-13	VYDAJ	PREVOD NA UCET	3116	23531	SIPO	UV	86180990
48748	163	1995-12-13	VYDAJ	PREVOD NA UCET	3116	22740	SIPO	UV	86180990
48749	163	1996-01-13	VYDAJ	PREVOD NA UCET	3116	21969	SIPO	UV	86180990
48750	163	1996-02-13	VYDAJ	PREVOD NA UCET	3116	21004	SIPO	UV	86180990
48751	163	1996-03-13	VYDAJ	PREVOD NA UCET	3116	22439	SIPO	UV	86180990
48752	163	1996-04-13	VYDAJ	PREVOD NA UCET	3116	24602	SIPO	UV	86180990
48753	163	1996-05-13	VYDAJ	PREVOD NA UCET	3116	27651	SIPO	UV	86180990
48754	163	1996-06-13	VYDAJ	PREVOD NA UCET	3116	28872	SIPO	UV	86180990
48755	163	1996-07-13	VYDAJ	PREVOD NA UCET	3116	29700	SIPO	UV	86180990
48756	163	1996-08-13	VYDAJ	PREVOD NA UCET	3116	29252	SIPO	UV	86180990
48757	163	1996-09-13	VYDAJ	PREVOD NA UCET	3116	32321	SIPO	UV	86180990
48758	163	1996-10-13	VYDAJ	PREVOD NA UCET	3116	32603	SIPO	UV	86180990
48759	163	1996-11-13	VYDAJ	PREVOD NA UCET	3116	35690	SIPO	UV	86180990
48760	163	1996-12-13	VYDAJ	PREVOD NA UCET	3116	35179	SIPO	UV	86180990
48761	163	1997-01-13	VYDAJ	PREVOD NA UCET	3116	31670	SIPO	UV	86180990
48762	163	1997-02-13	VYDAJ	PREVOD NA UCET	3116	21440	SIPO	UV	86180990
48763	163	1997-03-13	VYDAJ	PREVOD NA UCET	3116	24475	SIPO	UV	86180990
48764	163	1997-04-13	VYDAJ	PREVOD NA UCET	3116	27524	SIPO	UV	86180990
48765	163	1997-05-13	VYDAJ	PREVOD NA UCET	3116	30584	SIPO	UV	86180990
48766	163	1997-06-13	VYDAJ	PREVOD NA UCET	3116	33659	SIPO	UV	86180990
48767	163	1997-07-13	VYDAJ	PREVOD NA UCET	3116	36745	SIPO	UV	86180990
48768	163	1997-08-13	VYDAJ	PREVOD NA UCET	3116	35222	SIPO	UV	86180990
48769	163	1997-09-13	VYDAJ	PREVOD NA UCET	3116	36039	SIPO	UV	86180990
48770	163	1997-10-13	VYDAJ	PREVOD NA UCET	3116	36975	SIPO	UV	86180990
48771	163	1997-11-13	VYDAJ	PREVOD NA UCET	3116	37079	SIPO	UV	86180990
48772	163	1997-12-13	VYDAJ	PREVOD NA UCET	3116	35185	SIPO	UV	86180990
48773	163	1998-01-13	VYDAJ	PREVOD NA UCET	3116	31604	SIPO	UV	86180990
48774	163	1998-02-13	VYDAJ	PREVOD NA UCET	3116	26913	SIPO	UV	86180990
48775	163	1998-03-13	VYDAJ	PREVOD NA UCET	3116	29971	SIPO	UV	86180990
48776	163	1998-04-13	VYDAJ	PREVOD NA UCET	3116	33041	SIPO	UV	86180990
48777	163	1998-05-13	VYDAJ	PREVOD NA UCET	3116	32517	SIPO	UV	86180990
48778	163	1998-06-13	VYDAJ	PREVOD NA UCET	3116	29767	SIPO	UV	86180990
48779	163	1998-07-13	VYDAJ	PREVOD NA UCET	3116	29803	SIPO	UV	86180990
48780	163	1998-08-13	VYDAJ	PREVOD NA UCET	3116	32877	SIPO	UV	86180990
48781	163	1998-09-13	VYDAJ	PREVOD NA UCET	3116	32599	SIPO	UV	86180990
48782	163	1998-10-13	VYDAJ	PREVOD NA UCET	3116	35686	SIPO	UV	86180990
48783	163	1998-11-13	VYDAJ	PREVOD NA UCET	3116	38780	SIPO	UV	86180990
48784	163	1998-12-13	VYDAJ	PREVOD NA UCET	3116	40636	SIPO	UV	86180990
48790	163	1993-06-14	VYDAJ	PREVOD NA UCET	612	30163	 	IJ	8512616
48791	163	1993-07-14	VYDAJ	PREVOD NA UCET	612	29886	 	IJ	8512616
48792	163	1993-08-14	VYDAJ	PREVOD NA UCET	612	30559	 	IJ	8512616
48793	163	1993-09-14	VYDAJ	PREVOD NA UCET	612	29733	 	IJ	8512616
48794	163	1993-10-14	VYDAJ	PREVOD NA UCET	612	30025	 	IJ	8512616
48795	163	1993-11-14	VYDAJ	PREVOD NA UCET	612	27995	 	IJ	8512616
48796	163	1993-12-14	VYDAJ	PREVOD NA UCET	612	30513	 	IJ	8512616
48797	163	1994-01-14	VYDAJ	PREVOD NA UCET	612	28851	 	IJ	8512616
48798	163	1994-02-14	VYDAJ	PREVOD NA UCET	612	24272	 	IJ	8512616
48799	163	1994-03-14	VYDAJ	PREVOD NA UCET	612	27323	 	IJ	8512616
48800	163	1994-04-14	VYDAJ	PREVOD NA UCET	612	27268	 	IJ	8512616
48801	163	1994-05-14	VYDAJ	PREVOD NA UCET	612	29133	 	IJ	8512616
48802	163	1994-06-14	VYDAJ	PREVOD NA UCET	612	19451	 	IJ	8512616
48803	163	1994-07-14	VYDAJ	PREVOD NA UCET	612	20577	 	IJ	8512616
48804	163	1994-08-14	VYDAJ	PREVOD NA UCET	612	23617	 	IJ	8512616
48805	163	1994-09-14	VYDAJ	PREVOD NA UCET	612	22819	 	IJ	8512616
48806	163	1994-10-14	VYDAJ	PREVOD NA UCET	612	22902	 	IJ	8512616
48807	163	1994-11-14	VYDAJ	PREVOD NA UCET	612	25948	 	IJ	8512616
48808	163	1994-12-14	VYDAJ	PREVOD NA UCET	612	28007	 	IJ	8512616
48809	163	1995-01-14	VYDAJ	PREVOD NA UCET	612	23586	 	IJ	8512616
48810	163	1995-02-14	VYDAJ	PREVOD NA UCET	612	19354	 	IJ	8512616
48811	163	1995-03-14	VYDAJ	PREVOD NA UCET	612	21985	 	IJ	8512616
48812	163	1995-04-14	VYDAJ	PREVOD NA UCET	612	23428	 	IJ	8512616
48813	163	1995-05-14	VYDAJ	PREVOD NA UCET	612	25075	 	IJ	8512616
48814	163	1995-06-14	VYDAJ	PREVOD NA UCET	612	21280	 	IJ	8512616
48815	163	1995-07-14	VYDAJ	PREVOD NA UCET	612	23829	 	IJ	8512616
48816	163	1995-08-14	VYDAJ	PREVOD NA UCET	612	23359	 	IJ	8512616
48817	163	1995-09-14	VYDAJ	PREVOD NA UCET	612	26412	 	IJ	8512616
48818	163	1995-10-14	VYDAJ	PREVOD NA UCET	612	22430	 	IJ	8512616
48819	163	1995-11-14	VYDAJ	PREVOD NA UCET	612	22919	 	IJ	8512616
48820	163	1995-12-14	VYDAJ	PREVOD NA UCET	612	22128	 	IJ	8512616
48821	163	1996-01-14	VYDAJ	PREVOD NA UCET	612	21357	 	IJ	8512616
48822	163	1996-02-14	VYDAJ	PREVOD NA UCET	612	20392	 	IJ	8512616
48823	163	1996-03-14	VYDAJ	PREVOD NA UCET	612	21827	 	IJ	8512616
48824	163	1996-04-14	VYDAJ	PREVOD NA UCET	612	23990	 	IJ	8512616
48825	163	1996-05-14	VYDAJ	PREVOD NA UCET	612	27039	 	IJ	8512616
48826	163	1996-06-14	VYDAJ	PREVOD NA UCET	612	28260	 	IJ	8512616
48827	163	1996-07-14	VYDAJ	PREVOD NA UCET	612	29088	 	IJ	8512616
48828	163	1996-08-14	VYDAJ	PREVOD NA UCET	612	28640	 	IJ	8512616
48829	163	1996-09-14	VYDAJ	PREVOD NA UCET	612	31709	 	IJ	8512616
48830	163	1996-10-14	VYDAJ	PREVOD NA UCET	612	31991	 	IJ	8512616
48831	163	1996-11-14	VYDAJ	PREVOD NA UCET	612	31478	 	IJ	8512616
48832	163	1996-12-14	VYDAJ	PREVOD NA UCET	612	34567	 	IJ	8512616
48833	163	1997-01-14	VYDAJ	PREVOD NA UCET	612	31058	 	IJ	8512616
48834	163	1997-02-14	VYDAJ	PREVOD NA UCET	612	20828	 	IJ	8512616
48835	163	1997-03-14	VYDAJ	PREVOD NA UCET	612	23863	 	IJ	8512616
48836	163	1997-04-14	VYDAJ	PREVOD NA UCET	612	26912	 	IJ	8512616
48837	163	1997-05-14	VYDAJ	PREVOD NA UCET	612	29972	 	IJ	8512616
48838	163	1997-06-14	VYDAJ	PREVOD NA UCET	612	33047	 	IJ	8512616
48839	163	1997-07-14	VYDAJ	PREVOD NA UCET	612	36133	 	IJ	8512616
48840	163	1997-08-14	VYDAJ	PREVOD NA UCET	612	34610	 	IJ	8512616
48841	163	1997-09-14	VYDAJ	PREVOD NA UCET	612	35427	 	IJ	8512616
48842	163	1997-10-14	VYDAJ	PREVOD NA UCET	612	36363	 	IJ	8512616
48843	163	1997-11-14	VYDAJ	PREVOD NA UCET	612	36467	 	IJ	8512616
48844	163	1997-12-14	VYDAJ	PREVOD NA UCET	612	34573	 	IJ	8512616
48845	163	1998-01-14	VYDAJ	PREVOD NA UCET	612	30992	 	IJ	8512616
48846	163	1998-02-14	VYDAJ	PREVOD NA UCET	612	26301	 	IJ	8512616
48847	163	1998-03-14	VYDAJ	PREVOD NA UCET	612	29359	 	IJ	8512616
48848	163	1998-04-14	VYDAJ	PREVOD NA UCET	612	32429	 	IJ	8512616
48849	163	1998-05-14	VYDAJ	PREVOD NA UCET	612	31905	 	IJ	8512616
48850	163	1998-06-14	VYDAJ	PREVOD NA UCET	612	29155	 	IJ	8512616
48851	163	1998-07-14	VYDAJ	PREVOD NA UCET	612	29191	 	IJ	8512616
48852	163	1998-08-14	VYDAJ	PREVOD NA UCET	612	32265	 	IJ	8512616
48853	163	1998-09-14	VYDAJ	PREVOD NA UCET	612	31987	 	IJ	8512616
48854	163	1998-10-14	VYDAJ	PREVOD NA UCET	612	35074	 	IJ	8512616
48855	163	1998-11-14	VYDAJ	PREVOD NA UCET	612	38168	 	IJ	8512616
48856	163	1998-12-14	VYDAJ	PREVOD NA UCET	612	40024	 	IJ	8512616
48857	163	1993-06-23	VYDAJ	VYBER	3350	26813	\N	\N	\N
48858	163	1994-06-01	VYDAJ	VYBER	9050	16481	\N	\N	\N
48859	163	1995-06-12	VYDAJ	VYBER	6850	18310	\N	\N	\N
48862	163	1998-06-10	VYDAJ	VYBER	4550	26185	\N	\N	\N
48864	163	1994-01-16	VYDAJ	VYBER	2600	24731	\N	\N	\N
48865	163	1995-01-09	VYDAJ	VYBER	4850	22536	\N	\N	\N
48867	163	1997-01-30	VYDAJ	VYBER	2900	19518	\N	\N	\N
48868	163	1998-01-07	VYDAJ	VYBER	4600	28022	\N	\N	\N
48869	163	1993-12-11	VYDAJ	VYBER	550	27543	\N	\N	\N
48870	163	1994-12-11	VYDAJ	VYBER	1000	25037	\N	\N	\N
48871	163	1995-12-24	VYDAJ	VYBER	300	21828	\N	\N	\N
48872	163	1996-12-27	VYDAJ	VYBER	1400	31327	\N	\N	\N
48873	163	1997-12-22	VYDAJ	VYBER	400	34173	\N	\N	\N
48874	163	1998-12-05	VYDAJ	VYBER	1250	37054	\N	\N	\N
48881	163	1994-01-15	VYDAJ	VYBER	1520	27331	\N	\N	\N
48882	163	1994-01-03	VYDAJ	VYBER	1200	28921	\N	\N	\N
48883	163	1994-01-14	VYDAJ	VYBER	1200	29463	\N	\N	\N
48884	163	1994-01-25	VYDAJ	VYBER	1520	21211	\N	\N	\N
48885	163	1994-01-20	VYDAJ	VYBER	2000	22731	\N	\N	\N
48886	163	1994-01-04	VYDAJ	VYBER	1840	27081	\N	\N	\N
48887	163	1995-01-27	VYDAJ	VYBER	1760	16306	\N	\N	\N
48888	163	1995-01-11	VYDAJ	VYBER	1920	20616	\N	\N	\N
48889	163	1995-01-22	VYDAJ	VYBER	1600	19986	\N	\N	\N
48890	163	1995-01-18	VYDAJ	VYBER	2000	21586	\N	\N	\N
48891	163	1995-01-25	VYDAJ	VYBER	1920	18066	\N	\N	\N
48892	163	1995-01-01	VYDAJ	VYBER	720	27386	\N	\N	\N
48893	163	1996-01-04	VYDAJ	VYBER	960	20947	\N	\N	\N
48894	163	1996-01-10	VYDAJ	VYBER	2080	18387	\N	\N	\N
48895	163	1996-01-23	VYDAJ	VYBER	1520	17357	\N	\N	\N
48896	163	1996-01-18	VYDAJ	VYBER	1920	19437	\N	\N	\N
48897	163	1996-01-19	VYDAJ	VYBER	560	18877	\N	\N	\N
48898	163	1996-01-05	VYDAJ	VYBER	480	20467	\N	\N	\N
48899	163	1997-01-24	VYDAJ	VYBER	880	24658	\N	\N	\N
48900	163	1997-01-30	VYDAJ	VYBER	1760	17758	\N	\N	\N
48901	163	1997-01-24	VYDAJ	VYBER	1760	25538	\N	\N	\N
48902	163	1997-01-08	VYDAJ	VYBER	800	29048	\N	\N	\N
48903	163	1997-01-05	VYDAJ	VYBER	1600	29848	\N	\N	\N
48904	163	1997-01-28	VYDAJ	VYBER	2240	22418	\N	\N	\N
48905	163	1998-01-16	VYDAJ	VYBER	1600	29392	\N	\N	\N
48906	163	1998-01-27	VYDAJ	VYBER	560	23232	\N	\N	\N
48907	163	1998-01-18	VYDAJ	VYBER	1440	26112	\N	\N	\N
48908	163	1998-01-07	VYDAJ	VYBER	1680	32622	\N	\N	\N
48909	163	1998-01-17	VYDAJ	VYBER	1840	27552	\N	\N	\N
48910	163	1998-01-20	VYDAJ	VYBER	2320	23792	\N	\N	\N
48913	163	1993-09-23	VYDAJ	VYBER	1680	28053	\N	\N	\N
48916	163	1994-08-17	VYDAJ	VYBER	3840	19777	\N	\N	\N
48917	163	1994-04-07	VYDAJ	VYBER	1760	24298	\N	\N	\N
48918	163	1994-09-27	VYDAJ	VYBER	2960	19859	\N	\N	\N
48919	163	1994-05-26	VYDAJ	VYBER	800	25433	\N	\N	\N
48920	163	1994-07-05	VYDAJ	VYBER	1920	17607	\N	\N	\N
48921	163	1994-03-30	VYDAJ	VYBER	1360	25963	\N	\N	\N
48922	163	1995-04-02	VYDAJ	VYBER	1600	20458	\N	\N	\N
48923	163	1995-12-07	VYDAJ	VYBER	3840	19158	\N	\N	\N
48924	163	1995-10-08	VYDAJ	VYBER	3120	19460	\N	\N	\N
48925	163	1995-11-08	VYDAJ	VYBER	2560	19949	\N	\N	\N
48926	163	1995-03-08	VYDAJ	VYBER	400	19015	\N	\N	\N
48927	163	1995-08-12	VYDAJ	VYBER	3520	20389	\N	\N	\N
48928	163	1995-09-27	VYDAJ	VYBER	3920	22492	\N	\N	\N
48929	163	1996-03-20	VYDAJ	VYBER	880	20947	\N	\N	\N
48930	163	1996-03-08	VYDAJ	VYBER	1600	18857	\N	\N	\N
48931	163	1996-07-28	VYDAJ	VYBER	3520	25568	\N	\N	\N
48932	163	1996-07-13	VYDAJ	VYBER	2240	32816	\N	\N	\N
48933	163	1996-09-30	VYDAJ	VYBER	2800	29021	\N	\N	\N
48934	163	1996-12-25	VYDAJ	VYBER	1840	32727	\N	\N	\N
48935	163	1996-11-14	VYDAJ	VYBER	3600	32090	\N	\N	\N
48936	163	1996-05-26	VYDAJ	VYBER	1840	25199	\N	\N	\N
48937	163	1997-07-26	VYDAJ	VYBER	1040	34533	\N	\N	\N
48938	163	1997-01-16	VYDAJ	VYBER	3760	27298	\N	\N	\N
48939	163	1997-08-30	VYDAJ	VYBER	2080	32530	\N	\N	\N
48940	163	1997-08-12	VYDAJ	VYBER	2320	31640	\N	\N	\N
48941	163	1997-07-17	VYDAJ	VYBER	560	35573	\N	\N	\N
48942	163	1997-10-10	VYDAJ	VYBER	2160	33393	\N	\N	\N
48943	163	1997-01-13	VYDAJ	VYBER	960	34786	\N	\N	\N
48944	163	1998-05-29	VYDAJ	VYBER	1280	30625	\N	\N	\N
48945	163	1998-04-16	VYDAJ	VYBER	3600	28829	\N	\N	\N
48946	163	1998-07-05	VYDAJ	VYBER	3040	26221	\N	\N	\N
48947	163	1998-12-17	VYDAJ	VYBER	2640	37384	\N	\N	\N
48948	163	1998-09-02	VYDAJ	VYBER	3360	29017	\N	\N	\N
48955	163	1993-06-30	VYDAJ	VYBER	15	26916	SLUZBY	\N	\N
48956	163	1993-07-31	VYDAJ	VYBER	15	27589	SLUZBY	\N	\N
48957	163	1993-08-31	VYDAJ	VYBER	15	26763	SLUZBY	\N	\N
48958	163	1993-09-30	VYDAJ	VYBER	15	27055	SLUZBY	\N	\N
48959	163	1993-10-31	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
48960	163	1993-11-30	VYDAJ	VYBER	15	28093	SLUZBY	\N	\N
48961	163	1993-12-31	VYDAJ	VYBER	15	30121	SLUZBY	\N	\N
48962	163	1994-01-31	VYDAJ	VYBER	15	21302	SLUZBY	\N	\N
48963	163	1994-02-28	VYDAJ	VYBER	15	24353	SLUZBY	\N	\N
48964	163	1994-03-31	VYDAJ	VYBER	15	26058	SLUZBY	\N	\N
48965	163	1994-04-30	VYDAJ	VYBER	15	26163	SLUZBY	\N	\N
48966	163	1994-05-31	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
48967	163	1994-06-30	VYDAJ	VYBER	15	19527	SLUZBY	\N	\N
48968	163	1994-07-31	VYDAJ	VYBER	15	20647	SLUZBY	\N	\N
48969	163	1994-08-31	VYDAJ	VYBER	15	19849	SLUZBY	\N	\N
48970	163	1994-09-30	VYDAJ	VYBER	15	19932	SLUZBY	\N	\N
48971	163	1994-10-31	VYDAJ	VYBER	15	22978	SLUZBY	\N	\N
48972	163	1994-11-30	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
48973	163	1994-12-31	VYDAJ	VYBER	15	28106	SLUZBY	\N	\N
48974	163	1995-01-31	VYDAJ	VYBER	15	16384	SLUZBY	\N	\N
48975	163	1995-02-28	VYDAJ	VYBER	15	19415	SLUZBY	\N	\N
48976	163	1995-03-31	VYDAJ	VYBER	15	22058	SLUZBY	\N	\N
48977	163	1995-04-30	VYDAJ	VYBER	15	22105	SLUZBY	\N	\N
48978	163	1995-05-31	VYDAJ	VYBER	15	25160	SLUZBY	\N	\N
48979	163	1995-06-30	VYDAJ	VYBER	15	20859	SLUZBY	\N	\N
48980	163	1995-07-31	VYDAJ	VYBER	15	23909	SLUZBY	\N	\N
48981	163	1995-08-31	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
48982	163	1995-09-30	VYDAJ	VYBER	15	22580	SLUZBY	\N	\N
48983	163	1995-10-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
48984	163	1995-11-30	VYDAJ	VYBER	15	22998	SLUZBY	\N	\N
48985	163	1995-12-31	VYDAJ	VYBER	15	21907	SLUZBY	\N	\N
48986	163	1996-01-31	VYDAJ	VYBER	15	17422	SLUZBY	\N	\N
48987	163	1996-02-29	VYDAJ	VYBER	15	20457	SLUZBY	\N	\N
48988	163	1996-03-31	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
48989	163	1996-04-30	VYDAJ	VYBER	15	24069	SLUZBY	\N	\N
48990	163	1996-05-31	VYDAJ	VYBER	15	25290	SLUZBY	\N	\N
48991	163	1996-06-30	VYDAJ	VYBER	15	28358	SLUZBY	\N	\N
48992	163	1996-07-31	VYDAJ	VYBER	15	25670	SLUZBY	\N	\N
48993	163	1996-08-31	VYDAJ	VYBER	15	28739	SLUZBY	\N	\N
48994	163	1996-09-30	VYDAJ	VYBER	15	31821	SLUZBY	\N	\N
48995	163	1996-10-31	VYDAJ	VYBER	15	32108	SLUZBY	\N	\N
48996	163	1996-11-30	VYDAJ	VYBER	15	31597	SLUZBY	\N	\N
48997	163	1996-12-31	VYDAJ	VYBER	15	31448	SLUZBY	\N	\N
48998	163	1997-01-31	VYDAJ	VYBER	15	17858	SLUZBY	\N	\N
48999	163	1997-02-28	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
49000	163	1997-03-31	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
49001	163	1997-04-30	VYDAJ	VYBER	15	27002	SLUZBY	\N	\N
49002	163	1997-05-31	VYDAJ	VYBER	15	30077	SLUZBY	\N	\N
49003	163	1997-06-30	VYDAJ	VYBER	15	33163	SLUZBY	\N	\N
49004	163	1997-07-31	VYDAJ	VYBER	15	34660	SLUZBY	\N	\N
49005	163	1997-08-31	VYDAJ	VYBER	15	32657	SLUZBY	\N	\N
49006	163	1997-09-30	VYDAJ	VYBER	15	35553	SLUZBY	\N	\N
49007	163	1997-10-31	VYDAJ	VYBER	15	36497	SLUZBY	\N	\N
49008	163	1997-11-30	VYDAJ	VYBER	15	36603	SLUZBY	\N	\N
49009	163	1997-12-31	VYDAJ	VYBER	15	34302	SLUZBY	\N	\N
49010	163	1998-01-31	VYDAJ	VYBER	15	23331	SLUZBY	\N	\N
49011	163	1998-02-28	VYDAJ	VYBER	15	26389	SLUZBY	\N	\N
49012	163	1998-03-31	VYDAJ	VYBER	15	29459	SLUZBY	\N	\N
49013	163	1998-04-30	VYDAJ	VYBER	15	28935	SLUZBY	\N	\N
49014	163	1998-05-31	VYDAJ	VYBER	15	30735	SLUZBY	\N	\N
49015	163	1998-06-30	VYDAJ	VYBER	15	29261	SLUZBY	\N	\N
49016	163	1998-07-31	VYDAJ	VYBER	15	29295	SLUZBY	\N	\N
49017	163	1998-08-31	VYDAJ	VYBER	15	32377	SLUZBY	\N	\N
49018	163	1998-09-30	VYDAJ	VYBER	15	32104	SLUZBY	\N	\N
49019	163	1998-10-31	VYDAJ	VYBER	15	35198	SLUZBY	\N	\N
49020	163	1998-11-30	VYDAJ	VYBER	15	38304	SLUZBY	\N	\N
49021	163	1993-04-27	VYDAJ	VYBER	500	20494	\N	\N	\N
49022	163	1993-05-27	VYDAJ	VYBER	100	27103	\N	\N	\N
49023	163	1993-07-26	VYDAJ	VYBER	2400	27486	\N	\N	\N
49024	163	1993-08-25	VYDAJ	VYBER	3900	26659	\N	\N	\N
49025	163	1993-09-24	VYDAJ	VYBER	1100	26953	\N	\N	\N
49026	163	1993-10-24	VYDAJ	VYBER	5100	24925	\N	\N	\N
49027	163	1993-12-23	VYDAJ	VYBER	500	30013	\N	\N	\N
49028	163	1994-04-22	VYDAJ	VYBER	1200	26068	\N	\N	\N
49029	163	1994-05-22	VYDAJ	VYBER	2900	26233	\N	\N	\N
49030	163	1995-04-17	VYDAJ	VYBER	1400	22028	\N	\N	\N
49031	163	1995-06-16	VYDAJ	VYBER	500	20780	\N	\N	\N
49032	163	1997-08-04	VYDAJ	VYBER	700	33960	\N	\N	\N
49033	163	1997-09-03	VYDAJ	VYBER	200	32457	\N	\N	\N
49034	163	1997-11-02	VYDAJ	VYBER	3000	33497	\N	\N	\N
49035	163	1997-12-02	VYDAJ	VYBER	5000	31603	\N	\N	\N
49105	164	1996-09-13	PRIJEM	VKLAD	200	200	\N	\N	\N
49108	164	1997-01-31	PRIJEM	VKLAD	27309	44515	\N	\N	\N
49109	164	1997-06-16	PRIJEM	VKLAD	17677	30134	\N	\N	\N
49110	164	1998-06-05	PRIJEM	VKLAD	47058	67994	\N	\N	\N
49111	164	1998-02-25	PRIJEM	VKLAD	36161	49678	\N	\N	\N
49199	164	1996-10-13	PRIJEM	VKLAD	12900	13100	\N	\N	\N
49200	164	1996-11-12	PRIJEM	VKLAD	4500	17600	\N	\N	\N
49201	164	1996-12-12	PRIJEM	VKLAD	2500	20100	\N	\N	\N
49202	164	1997-01-11	VYDAJ	VYBER	2900	17200	\N	\N	\N
49203	164	1997-02-10	VYDAJ	VYBER	13300	31215	\N	\N	\N
49204	164	1997-03-12	VYDAJ	VYBER	8500	22900	\N	\N	\N
49205	164	1997-04-11	VYDAJ	VYBER	4200	18886	\N	\N	\N
49206	164	1997-05-11	VYDAJ	VYBER	1800	17271	\N	\N	\N
49207	164	1997-06-10	VYDAJ	VYBER	5000	12457	\N	\N	\N
49208	164	1997-07-10	VYDAJ	VYBER	10800	19489	\N	\N	\N
49209	164	1997-08-09	VYDAJ	VYBER	3800	15815	\N	\N	\N
49210	164	1997-09-08	VYDAJ	VYBER	2300	13641	\N	\N	\N
49211	164	1997-10-08	VYDAJ	VYBER	1700	12066	\N	\N	\N
49212	164	1997-12-07	VYDAJ	VYBER	100	12092	\N	\N	\N
49213	164	1998-02-05	PRIJEM	VKLAD	1300	13517	\N	\N	\N
49214	164	1998-03-07	VYDAJ	VYBER	19300	30515	\N	\N	\N
49215	164	1998-04-06	VYDAJ	VYBER	5400	25322	\N	\N	\N
49216	164	1998-05-06	VYDAJ	VYBER	4800	20729	\N	\N	\N
49217	164	1998-06-05	VYDAJ	VYBER	21700	46294	\N	\N	\N
49218	164	1998-07-05	VYDAJ	VYBER	8100	38389	\N	\N	\N
49219	164	1998-08-04	VYDAJ	VYBER	4500	34081	\N	\N	\N
49220	164	1998-09-03	PRIJEM	VKLAD	1100	35374	\N	\N	\N
49221	164	1998-10-03	PRIJEM	VKLAD	3000	38567	\N	\N	\N
49222	164	1998-11-02	VYDAJ	VYBER	3300	35460	\N	\N	\N
49223	164	1998-12-02	VYDAJ	VYBER	2800	32852	\N	\N	\N
49245	165	1993-06-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
49251	165	1993-06-11	PRIJEM	PREVOD Z UCTU	6864	7864	DUCHOD	QR	69159060
49252	165	1993-07-11	PRIJEM	PREVOD Z UCTU	6864	14750	DUCHOD	QR	69159060
49253	165	1993-08-11	PRIJEM	PREVOD Z UCTU	6864	21647	DUCHOD	QR	69159060
49254	165	1993-09-11	PRIJEM	PREVOD Z UCTU	6864	28543	DUCHOD	QR	69159060
49255	165	1993-10-11	PRIJEM	PREVOD Z UCTU	6864	33745	DUCHOD	QR	69159060
49256	165	1993-11-11	PRIJEM	PREVOD Z UCTU	6864	33719	DUCHOD	QR	69159060
49257	165	1993-12-11	PRIJEM	PREVOD Z UCTU	6864	34310	DUCHOD	QR	69159060
49258	165	1994-01-11	PRIJEM	PREVOD Z UCTU	6864	29915	DUCHOD	QR	69159060
49259	165	1994-02-11	PRIJEM	PREVOD Z UCTU	6864	31331	DUCHOD	QR	69159060
49260	165	1994-03-11	PRIJEM	PREVOD Z UCTU	6864	31513	DUCHOD	QR	69159060
49261	165	1994-04-11	PRIJEM	PREVOD Z UCTU	6864	31296	DUCHOD	QR	69159060
49262	165	1994-05-11	PRIJEM	PREVOD Z UCTU	6864	33678	DUCHOD	QR	69159060
49263	165	1994-06-11	PRIJEM	PREVOD Z UCTU	6864	35671	DUCHOD	QR	69159060
49264	165	1994-07-11	PRIJEM	PREVOD Z UCTU	6864	30605	DUCHOD	QR	69159060
49265	165	1994-08-11	PRIJEM	PREVOD Z UCTU	6864	32882	DUCHOD	QR	69159060
49266	165	1994-09-11	PRIJEM	PREVOD Z UCTU	6864	32068	DUCHOD	QR	69159060
49267	165	1994-10-11	PRIJEM	PREVOD Z UCTU	6864	31333	DUCHOD	QR	69159060
49268	165	1994-11-11	PRIJEM	PREVOD Z UCTU	6864	32814	DUCHOD	QR	69159060
49269	165	1994-12-11	PRIJEM	PREVOD Z UCTU	6864	31471	DUCHOD	QR	69159060
49270	165	1995-01-11	PRIJEM	PREVOD Z UCTU	6864	28013	DUCHOD	QR	69159060
49271	165	1995-02-11	PRIJEM	PREVOD Z UCTU	6864	30583	DUCHOD	QR	69159060
49272	165	1995-03-11	PRIJEM	PREVOD Z UCTU	6864	32560	DUCHOD	QR	69159060
49273	165	1995-04-11	PRIJEM	PREVOD Z UCTU	6864	33664	DUCHOD	QR	69159060
49274	165	1995-05-11	PRIJEM	PREVOD Z UCTU	6864	32710	DUCHOD	QR	69159060
49275	165	1995-06-11	PRIJEM	PREVOD Z UCTU	6864	34195	DUCHOD	QR	69159060
49276	165	1995-07-11	PRIJEM	PREVOD Z UCTU	6864	24719	DUCHOD	QR	69159060
49277	165	1995-08-11	PRIJEM	PREVOD Z UCTU	6864	29876	DUCHOD	QR	69159060
49278	165	1995-09-11	PRIJEM	PREVOD Z UCTU	6864	33051	DUCHOD	QR	69159060
49279	165	1995-10-11	PRIJEM	PREVOD Z UCTU	6864	34336	DUCHOD	QR	69159060
49280	165	1995-11-11	PRIJEM	PREVOD Z UCTU	6864	34085	DUCHOD	QR	69159060
49281	165	1995-12-11	PRIJEM	PREVOD Z UCTU	6864	34025	DUCHOD	QR	69159060
49282	165	1996-01-11	PRIJEM	PREVOD Z UCTU	6864	33556	DUCHOD	QR	69159060
49283	165	1996-02-11	PRIJEM	PREVOD Z UCTU	6864	32038	DUCHOD	QR	69159060
49284	165	1996-03-11	PRIJEM	PREVOD Z UCTU	6864	33818	DUCHOD	QR	69159060
49285	165	1996-04-11	PRIJEM	PREVOD Z UCTU	6864	35105	DUCHOD	QR	69159060
49286	165	1996-05-11	PRIJEM	PREVOD Z UCTU	6864	35093	DUCHOD	QR	69159060
49287	165	1996-06-11	PRIJEM	PREVOD Z UCTU	6864	34982	DUCHOD	QR	69159060
49288	165	1996-07-11	PRIJEM	PREVOD Z UCTU	6864	26283	DUCHOD	QR	69159060
49289	165	1996-08-11	PRIJEM	PREVOD Z UCTU	6864	27564	DUCHOD	QR	69159060
49290	165	1996-09-11	PRIJEM	PREVOD Z UCTU	6864	30427	DUCHOD	QR	69159060
49291	165	1996-10-11	PRIJEM	PREVOD Z UCTU	6864	29418	DUCHOD	QR	69159060
49292	165	1996-11-11	PRIJEM	PREVOD Z UCTU	6864	30183	DUCHOD	QR	69159060
49293	165	1996-12-11	PRIJEM	PREVOD Z UCTU	6864	32455	DUCHOD	QR	69159060
49294	165	1997-01-11	PRIJEM	PREVOD Z UCTU	6864	35112	DUCHOD	QR	69159060
49295	165	1997-02-11	PRIJEM	PREVOD Z UCTU	6864	31097	DUCHOD	QR	69159060
49296	165	1997-03-11	PRIJEM	PREVOD Z UCTU	6864	36279	DUCHOD	QR	69159060
49297	165	1997-04-11	PRIJEM	PREVOD Z UCTU	6864	41483	DUCHOD	QR	69159060
49298	165	1997-05-11	PRIJEM	PREVOD Z UCTU	6864	39972	DUCHOD	QR	69159060
49299	165	1997-06-11	PRIJEM	PREVOD Z UCTU	6864	41291	DUCHOD	QR	69159060
49300	165	1997-07-11	PRIJEM	PREVOD Z UCTU	6864	36759	DUCHOD	QR	69159060
49301	165	1997-08-11	PRIJEM	PREVOD Z UCTU	6864	41565	DUCHOD	QR	69159060
49302	165	1997-09-11	PRIJEM	PREVOD Z UCTU	6864	46189	DUCHOD	QR	69159060
49303	165	1997-10-11	PRIJEM	PREVOD Z UCTU	6864	48313	DUCHOD	QR	69159060
49304	165	1997-11-11	PRIJEM	PREVOD Z UCTU	6864	53566	DUCHOD	QR	69159060
49305	165	1997-12-11	PRIJEM	PREVOD Z UCTU	6864	53841	DUCHOD	QR	69159060
49306	165	1998-01-11	PRIJEM	PREVOD Z UCTU	6864	49620	DUCHOD	QR	69159060
49307	165	1998-02-11	PRIJEM	PREVOD Z UCTU	6864	41747	DUCHOD	QR	69159060
49308	165	1998-03-11	PRIJEM	PREVOD Z UCTU	6864	42577	DUCHOD	QR	69159060
49309	165	1998-04-11	PRIJEM	PREVOD Z UCTU	6864	47108	DUCHOD	QR	69159060
49310	165	1998-05-11	PRIJEM	PREVOD Z UCTU	6864	49073	DUCHOD	QR	69159060
49311	165	1998-06-11	PRIJEM	PREVOD Z UCTU	6864	51828	DUCHOD	QR	69159060
49312	165	1998-07-11	PRIJEM	PREVOD Z UCTU	6864	44690	DUCHOD	QR	69159060
49313	165	1998-08-11	PRIJEM	PREVOD Z UCTU	6864	41758	DUCHOD	QR	69159060
49314	165	1998-09-11	PRIJEM	PREVOD Z UCTU	6864	46984	DUCHOD	QR	69159060
49315	165	1998-10-11	PRIJEM	PREVOD Z UCTU	6864	52230	DUCHOD	QR	69159060
49316	165	1998-11-11	PRIJEM	PREVOD Z UCTU	6864	57499	DUCHOD	QR	69159060
49317	165	1998-12-11	PRIJEM	PREVOD Z UCTU	6864	62489	DUCHOD	QR	69159060
49328	165	1993-11-05	VYDAJ	PREVOD NA UCET	1788	26855	SIPO	OP	71082353
49329	165	1993-12-05	VYDAJ	PREVOD NA UCET	1788	27446	SIPO	OP	71082353
49330	165	1994-01-05	VYDAJ	PREVOD NA UCET	1788	25051	SIPO	OP	71082353
49331	165	1994-02-05	VYDAJ	PREVOD NA UCET	1788	24467	SIPO	OP	71082353
49332	165	1994-03-05	VYDAJ	PREVOD NA UCET	1788	24649	SIPO	OP	71082353
49333	165	1994-04-05	VYDAJ	PREVOD NA UCET	1788	24432	SIPO	OP	71082353
49334	165	1994-05-05	VYDAJ	PREVOD NA UCET	1788	26814	SIPO	OP	71082353
49335	165	1994-06-05	VYDAJ	PREVOD NA UCET	1788	28807	SIPO	OP	71082353
49336	165	1994-07-05	VYDAJ	PREVOD NA UCET	1788	23741	SIPO	OP	71082353
49337	165	1994-08-05	VYDAJ	PREVOD NA UCET	1788	26018	SIPO	OP	71082353
49338	165	1994-09-05	VYDAJ	PREVOD NA UCET	1788	25204	SIPO	OP	71082353
49339	165	1994-10-05	VYDAJ	PREVOD NA UCET	1788	24469	SIPO	OP	71082353
49340	165	1994-11-05	VYDAJ	PREVOD NA UCET	1788	25950	SIPO	OP	71082353
49341	165	1994-12-05	VYDAJ	PREVOD NA UCET	1788	26837	SIPO	OP	71082353
49342	165	1995-01-05	VYDAJ	PREVOD NA UCET	1788	23629	SIPO	OP	71082353
49343	165	1995-02-05	VYDAJ	PREVOD NA UCET	1788	23719	SIPO	OP	71082353
49344	165	1995-03-05	VYDAJ	PREVOD NA UCET	1788	25696	SIPO	OP	71082353
49345	165	1995-04-05	VYDAJ	PREVOD NA UCET	1788	26800	SIPO	OP	71082353
49346	165	1995-05-05	VYDAJ	PREVOD NA UCET	1788	25846	SIPO	OP	71082353
49347	165	1995-06-05	VYDAJ	PREVOD NA UCET	1788	27331	SIPO	OP	71082353
49348	165	1995-07-05	VYDAJ	PREVOD NA UCET	1788	17855	SIPO	OP	71082353
49349	165	1995-08-05	VYDAJ	PREVOD NA UCET	1788	23012	SIPO	OP	71082353
49350	165	1995-09-05	VYDAJ	PREVOD NA UCET	1788	26187	SIPO	OP	71082353
49351	165	1995-10-05	VYDAJ	PREVOD NA UCET	1788	27472	SIPO	OP	71082353
49352	165	1995-11-05	VYDAJ	PREVOD NA UCET	1788	27861	SIPO	OP	71082353
49353	165	1995-12-05	VYDAJ	PREVOD NA UCET	1788	28611	SIPO	OP	71082353
49354	165	1996-01-05	VYDAJ	PREVOD NA UCET	1788	26692	SIPO	OP	71082353
49355	165	1996-02-05	VYDAJ	PREVOD NA UCET	1788	25174	SIPO	OP	71082353
49356	165	1996-03-05	VYDAJ	PREVOD NA UCET	1788	26954	SIPO	OP	71082353
49357	165	1996-04-05	VYDAJ	PREVOD NA UCET	1788	28241	SIPO	OP	71082353
49358	165	1996-05-05	VYDAJ	PREVOD NA UCET	1788	28229	SIPO	OP	71082353
49359	165	1996-06-05	VYDAJ	PREVOD NA UCET	1788	28118	SIPO	OP	71082353
49360	165	1996-07-05	VYDAJ	PREVOD NA UCET	1788	19419	SIPO	OP	71082353
49361	165	1996-08-05	VYDAJ	PREVOD NA UCET	1788	20700	SIPO	OP	71082353
49362	165	1996-09-05	VYDAJ	PREVOD NA UCET	1788	23563	SIPO	OP	71082353
49363	165	1996-10-05	VYDAJ	PREVOD NA UCET	1788	22554	SIPO	OP	71082353
49364	165	1996-11-05	VYDAJ	PREVOD NA UCET	1788	23319	SIPO	OP	71082353
49365	165	1996-12-05	VYDAJ	PREVOD NA UCET	1788	25591	SIPO	OP	71082353
49366	165	1997-01-05	VYDAJ	PREVOD NA UCET	1788	29608	SIPO	OP	71082353
49367	165	1997-02-05	VYDAJ	PREVOD NA UCET	1788	24233	SIPO	OP	71082353
49368	165	1997-03-05	VYDAJ	PREVOD NA UCET	1788	29415	SIPO	OP	71082353
49369	165	1997-04-05	VYDAJ	PREVOD NA UCET	1788	34619	SIPO	OP	71082353
49370	165	1997-05-05	VYDAJ	PREVOD NA UCET	1788	33108	SIPO	OP	71082353
49371	165	1997-06-05	VYDAJ	PREVOD NA UCET	1788	36727	SIPO	OP	71082353
49372	165	1997-07-05	VYDAJ	PREVOD NA UCET	1788	29895	SIPO	OP	71082353
49373	165	1997-08-05	VYDAJ	PREVOD NA UCET	1788	34701	SIPO	OP	71082353
49374	165	1997-09-05	VYDAJ	PREVOD NA UCET	1788	39925	SIPO	OP	71082353
49375	165	1997-10-05	VYDAJ	PREVOD NA UCET	1788	41449	SIPO	OP	71082353
49376	165	1997-11-05	VYDAJ	PREVOD NA UCET	1788	46702	SIPO	OP	71082353
49377	165	1997-12-05	VYDAJ	PREVOD NA UCET	1788	51277	SIPO	OP	71082353
49378	165	1998-01-05	VYDAJ	PREVOD NA UCET	1788	52256	SIPO	OP	71082353
49379	165	1998-02-05	VYDAJ	PREVOD NA UCET	1788	39283	SIPO	OP	71082353
49380	165	1998-03-05	VYDAJ	PREVOD NA UCET	1788	40113	SIPO	OP	71082353
49381	165	1998-04-05	VYDAJ	PREVOD NA UCET	1788	40944	SIPO	OP	71082353
49382	165	1998-05-05	VYDAJ	PREVOD NA UCET	1788	42209	SIPO	OP	71082353
49383	165	1998-06-05	VYDAJ	PREVOD NA UCET	1788	44964	SIPO	OP	71082353
49384	165	1998-07-05	VYDAJ	PREVOD NA UCET	1788	37826	SIPO	OP	71082353
49385	165	1998-08-05	VYDAJ	PREVOD NA UCET	1788	36894	SIPO	OP	71082353
49386	165	1998-09-05	VYDAJ	PREVOD NA UCET	1788	40120	SIPO	OP	71082353
49387	165	1998-10-05	VYDAJ	PREVOD NA UCET	1788	45366	SIPO	OP	71082353
49388	165	1998-11-05	VYDAJ	PREVOD NA UCET	1788	50635	SIPO	OP	71082353
49389	165	1998-12-05	VYDAJ	PREVOD NA UCET	1788	55625	SIPO	OP	71082353
49391	165	1994-06-13	VYDAJ	VYBER	6550	29121	\N	\N	\N
49392	165	1995-06-20	VYDAJ	VYBER	14650	19545	\N	\N	\N
49393	165	1996-06-17	VYDAJ	VYBER	4700	27182	\N	\N	\N
49394	165	1997-06-24	VYDAJ	VYBER	9750	31541	\N	\N	\N
49395	165	1998-06-28	VYDAJ	VYBER	12400	39428	\N	\N	\N
49396	165	1993-12-30	VYDAJ	VYBER	250	28960	\N	\N	\N
49397	165	1994-12-09	VYDAJ	VYBER	550	24607	\N	\N	\N
49398	165	1995-12-09	VYDAJ	VYBER	1450	27161	\N	\N	\N
49399	165	1996-12-12	VYDAJ	VYBER	450	32005	\N	\N	\N
49400	165	1997-12-04	VYDAJ	VYBER	700	53065	\N	\N	\N
49401	165	1998-12-17	VYDAJ	VYBER	1150	61339	\N	\N	\N
49408	165	1994-01-28	VYDAJ	VYBER	400	26155	\N	\N	\N
49409	165	1994-01-07	VYDAJ	VYBER	1040	24011	\N	\N	\N
49410	165	1994-01-19	VYDAJ	VYBER	2240	27675	\N	\N	\N
49411	165	1994-01-09	VYDAJ	VYBER	960	23051	\N	\N	\N
49412	165	1994-01-04	VYDAJ	VYBER	2240	26839	\N	\N	\N
49413	165	1994-01-26	VYDAJ	VYBER	1120	26555	\N	\N	\N
49414	165	1995-01-05	VYDAJ	VYBER	960	22669	\N	\N	\N
49415	165	1995-01-17	VYDAJ	VYBER	800	27213	\N	\N	\N
49416	165	1995-01-03	VYDAJ	VYBER	1600	25417	\N	\N	\N
49417	165	1995-01-22	VYDAJ	VYBER	400	25413	\N	\N	\N
49418	165	1995-01-09	VYDAJ	VYBER	1520	21149	\N	\N	\N
49419	165	1995-01-03	VYDAJ	VYBER	1360	27017	\N	\N	\N
49420	165	1996-01-11	VYDAJ	VYBER	1120	32436	\N	\N	\N
49421	165	1996-01-28	VYDAJ	VYBER	640	29016	\N	\N	\N
49422	165	1996-01-29	VYDAJ	VYBER	2160	26856	\N	\N	\N
49423	165	1996-01-05	VYDAJ	VYBER	2160	28480	\N	\N	\N
49424	165	1996-01-12	VYDAJ	VYBER	2080	30356	\N	\N	\N
49425	165	1996-01-01	VYDAJ	VYBER	400	30640	\N	\N	\N
49426	165	1997-01-05	VYDAJ	VYBER	720	31396	\N	\N	\N
49427	165	1997-01-21	VYDAJ	VYBER	2240	28872	\N	\N	\N
49428	165	1997-01-27	VYDAJ	VYBER	1760	27112	\N	\N	\N
49429	165	1997-01-15	VYDAJ	VYBER	2240	31112	\N	\N	\N
49430	165	1997-01-14	VYDAJ	VYBER	960	33352	\N	\N	\N
49431	165	1997-01-28	VYDAJ	VYBER	1200	25912	\N	\N	\N
49432	165	1998-01-12	VYDAJ	VYBER	2160	47460	\N	\N	\N
49433	165	1998-01-10	VYDAJ	VYBER	2000	42756	\N	\N	\N
49434	165	1998-01-15	VYDAJ	VYBER	2320	43860	\N	\N	\N
49435	165	1998-01-20	VYDAJ	VYBER	2000	41860	\N	\N	\N
49436	165	1998-01-23	VYDAJ	VYBER	960	40900	\N	\N	\N
49437	165	1998-01-14	VYDAJ	VYBER	1280	46180	\N	\N	\N
49441	165	1993-11-23	VYDAJ	VYBER	2800	30919	\N	\N	\N
49443	165	1994-07-15	VYDAJ	VYBER	2000	28605	\N	\N	\N
49444	165	1994-12-07	VYDAJ	VYBER	1680	25157	\N	\N	\N
49445	165	1994-03-27	VYDAJ	VYBER	2560	28953	\N	\N	\N
49446	165	1994-04-03	VYDAJ	VYBER	1040	26220	\N	\N	\N
49447	165	1994-09-24	VYDAJ	VYBER	1520	30548	\N	\N	\N
49448	165	1995-04-14	VYDAJ	VYBER	1040	32624	\N	\N	\N
49449	165	1995-12-01	VYDAJ	VYBER	800	30399	\N	\N	\N
49450	165	1995-03-21	VYDAJ	VYBER	2080	30480	\N	\N	\N
49451	165	1995-11-08	VYDAJ	VYBER	640	27221	\N	\N	\N
49452	165	1996-08-02	VYDAJ	VYBER	2880	22488	\N	\N	\N
49453	165	1996-07-04	VYDAJ	VYBER	3120	21207	\N	\N	\N
49454	165	1996-09-30	VYDAJ	VYBER	2880	24342	\N	\N	\N
49455	165	1996-11-19	VYDAJ	VYBER	1600	27283	\N	\N	\N
49456	165	1996-06-27	VYDAJ	VYBER	2960	24222	\N	\N	\N
49457	165	1997-04-28	VYDAJ	VYBER	1120	34763	\N	\N	\N
49458	165	1997-01-09	VYDAJ	VYBER	1360	28248	\N	\N	\N
49459	165	1997-09-30	VYDAJ	VYBER	3120	43251	\N	\N	\N
49460	165	1997-08-03	VYDAJ	VYBER	400	36489	\N	\N	\N
49461	165	1998-04-25	VYDAJ	VYBER	2320	44788	\N	\N	\N
49462	165	1998-08-07	VYDAJ	VYBER	2000	34894	\N	\N	\N
49463	165	1998-07-14	VYDAJ	VYBER	2640	42050	\N	\N	\N
49464	165	1998-05-04	VYDAJ	VYBER	960	43997	\N	\N	\N
49465	165	1998-07-25	VYDAJ	VYBER	3520	38530	\N	\N	\N
49476	165	1993-10-31	VYDAJ	VYBER	15	28643	SLUZBY	\N	\N
49477	165	1993-11-30	VYDAJ	VYBER	15	29234	SLUZBY	\N	\N
49478	165	1993-12-31	VYDAJ	VYBER	15	29079	SLUZBY	\N	\N
49479	165	1994-01-31	VYDAJ	VYBER	15	26255	SLUZBY	\N	\N
49480	165	1994-02-28	VYDAJ	VYBER	15	26437	SLUZBY	\N	\N
49481	165	1994-03-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
49482	165	1994-04-30	VYDAJ	VYBER	15	28602	SLUZBY	\N	\N
49483	165	1994-05-31	VYDAJ	VYBER	15	30595	SLUZBY	\N	\N
49484	165	1994-06-30	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
49485	165	1994-07-31	VYDAJ	VYBER	15	27806	SLUZBY	\N	\N
49486	165	1994-08-31	VYDAJ	VYBER	15	26992	SLUZBY	\N	\N
49487	165	1994-09-30	VYDAJ	VYBER	15	26257	SLUZBY	\N	\N
49488	165	1994-10-31	VYDAJ	VYBER	15	27738	SLUZBY	\N	\N
49489	165	1994-11-30	VYDAJ	VYBER	15	28625	SLUZBY	\N	\N
49490	165	1994-12-31	VYDAJ	VYBER	15	28377	SLUZBY	\N	\N
49491	165	1995-01-31	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
49492	165	1995-02-28	VYDAJ	VYBER	15	27484	SLUZBY	\N	\N
49493	165	1995-03-31	VYDAJ	VYBER	15	28588	SLUZBY	\N	\N
49494	165	1995-04-30	VYDAJ	VYBER	15	27634	SLUZBY	\N	\N
49495	165	1995-05-31	VYDAJ	VYBER	15	29119	SLUZBY	\N	\N
49496	165	1995-06-30	VYDAJ	VYBER	15	19643	SLUZBY	\N	\N
49497	165	1995-07-31	VYDAJ	VYBER	15	24800	SLUZBY	\N	\N
49498	165	1995-08-31	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
49499	165	1995-09-30	VYDAJ	VYBER	15	29260	SLUZBY	\N	\N
49500	165	1995-10-31	VYDAJ	VYBER	15	29649	SLUZBY	\N	\N
49501	165	1995-11-30	VYDAJ	VYBER	15	31199	SLUZBY	\N	\N
49502	165	1995-12-31	VYDAJ	VYBER	15	31040	SLUZBY	\N	\N
49503	165	1996-01-31	VYDAJ	VYBER	15	26962	SLUZBY	\N	\N
49504	165	1996-02-29	VYDAJ	VYBER	15	28742	SLUZBY	\N	\N
49505	165	1996-03-31	VYDAJ	VYBER	15	30029	SLUZBY	\N	\N
49506	165	1996-04-30	VYDAJ	VYBER	15	30017	SLUZBY	\N	\N
49507	165	1996-05-31	VYDAJ	VYBER	15	29906	SLUZBY	\N	\N
49508	165	1996-06-30	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
49509	165	1996-07-31	VYDAJ	VYBER	15	25368	SLUZBY	\N	\N
49510	165	1996-08-31	VYDAJ	VYBER	15	25351	SLUZBY	\N	\N
49511	165	1996-09-30	VYDAJ	VYBER	15	27222	SLUZBY	\N	\N
49512	165	1996-10-31	VYDAJ	VYBER	15	25107	SLUZBY	\N	\N
49513	165	1996-11-30	VYDAJ	VYBER	15	27379	SLUZBY	\N	\N
49514	165	1996-12-31	VYDAJ	VYBER	15	32116	SLUZBY	\N	\N
49515	165	1997-01-31	VYDAJ	VYBER	15	26021	SLUZBY	\N	\N
49516	165	1997-02-28	VYDAJ	VYBER	15	31203	SLUZBY	\N	\N
49517	165	1997-03-31	VYDAJ	VYBER	15	36407	SLUZBY	\N	\N
49518	165	1997-04-30	VYDAJ	VYBER	15	34896	SLUZBY	\N	\N
49519	165	1997-05-31	VYDAJ	VYBER	15	38515	SLUZBY	\N	\N
49520	165	1997-06-30	VYDAJ	VYBER	15	31683	SLUZBY	\N	\N
49521	165	1997-07-31	VYDAJ	VYBER	15	36889	SLUZBY	\N	\N
49522	165	1997-08-31	VYDAJ	VYBER	15	41713	SLUZBY	\N	\N
49523	165	1997-09-30	VYDAJ	VYBER	15	43237	SLUZBY	\N	\N
49524	165	1997-10-31	VYDAJ	VYBER	15	48490	SLUZBY	\N	\N
49525	165	1997-11-30	VYDAJ	VYBER	15	53765	SLUZBY	\N	\N
49526	165	1997-12-31	VYDAJ	VYBER	15	54044	SLUZBY	\N	\N
49527	165	1998-01-31	VYDAJ	VYBER	15	41071	SLUZBY	\N	\N
49528	165	1998-02-28	VYDAJ	VYBER	15	41901	SLUZBY	\N	\N
49529	165	1998-03-31	VYDAJ	VYBER	15	42732	SLUZBY	\N	\N
49530	165	1998-04-30	VYDAJ	VYBER	15	44957	SLUZBY	\N	\N
49531	165	1998-05-31	VYDAJ	VYBER	15	49252	SLUZBY	\N	\N
49532	165	1998-06-30	VYDAJ	VYBER	15	39614	SLUZBY	\N	\N
49533	165	1998-07-31	VYDAJ	VYBER	15	38682	SLUZBY	\N	\N
49534	165	1998-08-31	VYDAJ	VYBER	15	41908	SLUZBY	\N	\N
49535	165	1998-09-30	VYDAJ	VYBER	15	47154	SLUZBY	\N	\N
49536	165	1998-10-31	VYDAJ	VYBER	15	52423	SLUZBY	\N	\N
49537	165	1998-11-30	VYDAJ	VYBER	15	57713	SLUZBY	\N	\N
49538	165	1993-09-29	VYDAJ	VYBER	1700	26843	\N	\N	\N
49539	165	1993-10-29	VYDAJ	VYBER	5200	28545	\N	\N	\N
49540	165	1993-11-28	VYDAJ	VYBER	1800	29119	\N	\N	\N
49541	165	1993-12-28	VYDAJ	VYBER	5100	29210	\N	\N	\N
49542	165	1994-02-26	VYDAJ	VYBER	5000	26331	\N	\N	\N
49543	165	1994-03-28	VYDAJ	VYBER	1800	27153	\N	\N	\N
49544	165	1994-04-27	VYDAJ	VYBER	2800	28496	\N	\N	\N
49545	165	1994-05-27	VYDAJ	VYBER	3200	30478	\N	\N	\N
49546	165	1994-06-26	VYDAJ	VYBER	3700	25421	\N	\N	\N
49547	165	1994-07-26	VYDAJ	VYBER	900	27705	\N	\N	\N
49548	165	1994-08-25	VYDAJ	VYBER	6000	26882	\N	\N	\N
49549	165	1994-09-24	VYDAJ	VYBER	4400	26148	\N	\N	\N
49550	165	1994-10-24	VYDAJ	VYBER	3700	27633	\N	\N	\N
49551	165	1994-11-23	VYDAJ	VYBER	4300	28514	\N	\N	\N
49552	165	1994-12-23	VYDAJ	VYBER	3200	28271	\N	\N	\N
49553	165	1995-01-22	VYDAJ	VYBER	1400	25813	\N	\N	\N
49554	165	1995-02-21	VYDAJ	VYBER	3200	27383	\N	\N	\N
49555	165	1995-03-23	VYDAJ	VYBER	2000	28480	\N	\N	\N
49556	165	1995-04-22	VYDAJ	VYBER	5100	27524	\N	\N	\N
49557	165	1995-05-22	VYDAJ	VYBER	3700	29010	\N	\N	\N
49558	165	1995-08-20	VYDAJ	VYBER	2000	27876	\N	\N	\N
49559	165	1995-09-19	VYDAJ	VYBER	3900	29151	\N	\N	\N
49560	165	1995-10-19	VYDAJ	VYBER	4800	29536	\N	\N	\N
49561	165	1995-11-18	VYDAJ	VYBER	3000	31085	\N	\N	\N
49562	165	1995-12-18	VYDAJ	VYBER	3100	30925	\N	\N	\N
49563	165	1996-01-17	VYDAJ	VYBER	700	29656	\N	\N	\N
49564	165	1996-02-16	VYDAJ	VYBER	3400	28638	\N	\N	\N
49565	165	1996-03-17	VYDAJ	VYBER	3900	29918	\N	\N	\N
49566	165	1996-04-16	VYDAJ	VYBER	5200	29905	\N	\N	\N
49567	165	1996-05-16	VYDAJ	VYBER	5300	29793	\N	\N	\N
49568	165	1996-06-15	VYDAJ	VYBER	3100	31882	\N	\N	\N
49569	165	1996-07-15	VYDAJ	VYBER	1000	25283	\N	\N	\N
49570	165	1996-08-14	VYDAJ	VYBER	2300	25264	\N	\N	\N
49571	165	1996-09-13	VYDAJ	VYBER	3300	27127	\N	\N	\N
49572	165	1996-10-13	VYDAJ	VYBER	4400	25018	\N	\N	\N
49573	165	1996-11-12	VYDAJ	VYBER	1300	28883	\N	\N	\N
49574	165	1997-01-11	VYDAJ	VYBER	800	34312	\N	\N	\N
49575	165	1997-04-11	VYDAJ	VYBER	5600	35883	\N	\N	\N
49576	165	1997-05-11	VYDAJ	VYBER	1600	38372	\N	\N	\N
49577	165	1997-06-10	VYDAJ	VYBER	2300	34427	\N	\N	\N
49578	165	1997-09-08	VYDAJ	VYBER	600	39325	\N	\N	\N
49579	165	1997-12-07	VYDAJ	VYBER	4300	46977	\N	\N	\N
49580	165	1998-01-06	VYDAJ	VYBER	7500	44756	\N	\N	\N
49581	165	1998-02-05	VYDAJ	VYBER	4400	34883	\N	\N	\N
49582	165	1998-03-07	VYDAJ	VYBER	4400	35713	\N	\N	\N
49583	165	1998-04-06	VYDAJ	VYBER	700	40244	\N	\N	\N
49584	165	1998-06-05	VYDAJ	VYBER	2500	46752	\N	\N	\N
49585	165	1998-12-02	VYDAJ	VYBER	300	57413	\N	\N	\N
49653	166	1996-08-20	PRIJEM	VKLAD	800	800	\N	\N	\N
49662	166	1996-09-09	PRIJEM	PREVOD Z UCTU	4566	5366	DUCHOD	WX	30663150
49663	166	1996-10-09	PRIJEM	PREVOD Z UCTU	4566	9932	DUCHOD	WX	30663150
49664	166	1996-11-09	PRIJEM	PREVOD Z UCTU	4566	14498	DUCHOD	WX	30663150
49665	166	1996-12-09	PRIJEM	PREVOD Z UCTU	4566	19064	DUCHOD	WX	30663150
49666	166	1997-01-09	PRIJEM	PREVOD Z UCTU	4566	23630	DUCHOD	WX	30663150
49667	166	1997-02-09	PRIJEM	PREVOD Z UCTU	4566	24586	DUCHOD	WX	30663150
49668	166	1997-03-09	PRIJEM	PREVOD Z UCTU	4566	26180	DUCHOD	WX	30663150
49669	166	1997-04-09	PRIJEM	PREVOD Z UCTU	4566	25941	DUCHOD	WX	30663150
49670	166	1997-05-09	PRIJEM	PREVOD Z UCTU	4566	25703	DUCHOD	WX	30663150
49671	166	1997-06-09	PRIJEM	PREVOD Z UCTU	4566	27302	DUCHOD	WX	30663150
49672	166	1997-07-09	PRIJEM	PREVOD Z UCTU	4566	27948	DUCHOD	WX	30663150
49673	166	1997-08-09	PRIJEM	PREVOD Z UCTU	4566	29456	DUCHOD	WX	30663150
49674	166	1997-09-09	PRIJEM	PREVOD Z UCTU	4566	30269	DUCHOD	WX	30663150
49675	166	1997-10-09	PRIJEM	PREVOD Z UCTU	4566	27577	DUCHOD	WX	30663150
49676	166	1997-11-09	PRIJEM	PREVOD Z UCTU	4566	29184	DUCHOD	WX	30663150
49677	166	1997-12-09	PRIJEM	PREVOD Z UCTU	4566	28993	DUCHOD	WX	30663150
49678	166	1998-01-09	PRIJEM	PREVOD Z UCTU	4566	30206	DUCHOD	WX	30663150
49679	166	1998-02-09	PRIJEM	PREVOD Z UCTU	4566	30622	DUCHOD	WX	30663150
49680	166	1998-03-09	PRIJEM	PREVOD Z UCTU	4566	31842	DUCHOD	WX	30663150
49681	166	1998-04-09	PRIJEM	PREVOD Z UCTU	4566	26375	DUCHOD	WX	30663150
49682	166	1998-05-09	PRIJEM	PREVOD Z UCTU	4566	27977	DUCHOD	WX	30663150
49683	166	1998-06-09	PRIJEM	PREVOD Z UCTU	4566	29585	DUCHOD	WX	30663150
49684	166	1998-07-09	PRIJEM	PREVOD Z UCTU	4566	31200	DUCHOD	WX	30663150
49685	166	1998-08-09	PRIJEM	PREVOD Z UCTU	4566	25573	DUCHOD	WX	30663150
49686	166	1998-09-09	PRIJEM	PREVOD Z UCTU	4566	27178	DUCHOD	WX	30663150
49687	166	1998-10-09	PRIJEM	PREVOD Z UCTU	4566	27340	DUCHOD	WX	30663150
49688	166	1998-11-09	PRIJEM	PREVOD Z UCTU	4566	28946	DUCHOD	WX	30663150
49689	166	1998-12-09	PRIJEM	PREVOD Z UCTU	4566	30208	DUCHOD	WX	30663150
49702	166	1997-01-14	VYDAJ	PREVOD NA UCET	3044	20586	SIPO	QR	26919090
49703	166	1997-02-14	VYDAJ	PREVOD NA UCET	3044	21542	SIPO	QR	26919090
49704	166	1997-03-14	VYDAJ	PREVOD NA UCET	3044	23136	SIPO	QR	26919090
49705	166	1997-04-14	VYDAJ	PREVOD NA UCET	3044	22897	SIPO	QR	26919090
49706	166	1997-05-14	VYDAJ	PREVOD NA UCET	3044	22659	SIPO	QR	26919090
49707	166	1997-06-14	VYDAJ	PREVOD NA UCET	3044	23298	SIPO	QR	26919090
49708	166	1997-07-14	VYDAJ	PREVOD NA UCET	3044	24904	SIPO	QR	26919090
49709	166	1997-08-14	VYDAJ	PREVOD NA UCET	3044	26412	SIPO	QR	26919090
49710	166	1997-09-14	VYDAJ	PREVOD NA UCET	3044	27225	SIPO	QR	26919090
49711	166	1997-10-14	VYDAJ	PREVOD NA UCET	3044	24533	SIPO	QR	26919090
49712	166	1997-11-14	VYDAJ	PREVOD NA UCET	3044	24340	SIPO	QR	26919090
49713	166	1997-12-14	VYDAJ	PREVOD NA UCET	3044	25949	SIPO	QR	26919090
49714	166	1998-01-14	VYDAJ	PREVOD NA UCET	3044	25962	SIPO	QR	26919090
49715	166	1998-02-14	VYDAJ	PREVOD NA UCET	3044	27178	SIPO	QR	26919090
49716	166	1998-03-14	VYDAJ	PREVOD NA UCET	3044	25398	SIPO	QR	26919090
49717	166	1998-04-14	VYDAJ	PREVOD NA UCET	3044	23331	SIPO	QR	26919090
49718	166	1998-05-14	VYDAJ	PREVOD NA UCET	3044	24933	SIPO	QR	26919090
49719	166	1998-06-14	VYDAJ	PREVOD NA UCET	3044	26541	SIPO	QR	26919090
49720	166	1998-07-14	VYDAJ	PREVOD NA UCET	3044	24356	SIPO	QR	26919090
49721	166	1998-08-14	VYDAJ	PREVOD NA UCET	3044	22529	SIPO	QR	26919090
49722	166	1998-09-14	VYDAJ	PREVOD NA UCET	3044	22694	SIPO	QR	26919090
49723	166	1998-10-14	VYDAJ	PREVOD NA UCET	3044	24296	SIPO	QR	26919090
49724	166	1998-11-14	VYDAJ	PREVOD NA UCET	3044	25902	SIPO	QR	26919090
49725	166	1998-12-14	VYDAJ	PREVOD NA UCET	3044	21564	SIPO	QR	26919090
49727	166	1997-12-29	VYDAJ	VYBER	400	25549	\N	\N	\N
49728	166	1998-12-05	VYDAJ	VYBER	350	25642	\N	\N	\N
49737	166	1997-04-15	VYDAJ	VYBER	1840	21057	\N	\N	\N
49738	166	1997-06-09	VYDAJ	VYBER	960	26342	\N	\N	\N
49739	166	1997-04-03	VYDAJ	VYBER	1840	21375	\N	\N	\N
49740	166	1998-03-25	VYDAJ	VYBER	3680	21718	\N	\N	\N
49741	166	1998-12-11	VYDAJ	VYBER	3200	24608	\N	\N	\N
49742	166	1998-12-10	VYDAJ	VYBER	2400	27808	\N	\N	\N
49743	166	1998-09-13	VYDAJ	VYBER	1440	25738	\N	\N	\N
49744	166	1998-08-06	VYDAJ	VYBER	3440	21007	\N	\N	\N
49758	166	1997-01-31	VYDAJ	VYBER	15	20020	SLUZBY	\N	\N
49759	166	1997-02-28	VYDAJ	VYBER	15	21614	SLUZBY	\N	\N
49760	166	1997-03-31	VYDAJ	VYBER	15	23215	SLUZBY	\N	\N
49761	166	1997-04-30	VYDAJ	VYBER	15	21137	SLUZBY	\N	\N
49762	166	1997-05-31	VYDAJ	VYBER	15	22736	SLUZBY	\N	\N
49763	166	1997-06-30	VYDAJ	VYBER	15	23382	SLUZBY	\N	\N
49764	166	1997-07-31	VYDAJ	VYBER	15	24890	SLUZBY	\N	\N
49765	166	1997-08-31	VYDAJ	VYBER	15	25703	SLUZBY	\N	\N
49766	166	1997-09-30	VYDAJ	VYBER	15	23011	SLUZBY	\N	\N
49767	166	1997-10-31	VYDAJ	VYBER	15	24618	SLUZBY	\N	\N
49768	166	1997-11-30	VYDAJ	VYBER	15	24427	SLUZBY	\N	\N
49769	166	1997-12-31	VYDAJ	VYBER	15	25640	SLUZBY	\N	\N
49770	166	1998-01-31	VYDAJ	VYBER	15	26056	SLUZBY	\N	\N
49771	166	1998-02-28	VYDAJ	VYBER	15	27276	SLUZBY	\N	\N
49772	166	1998-03-31	VYDAJ	VYBER	15	21809	SLUZBY	\N	\N
49773	166	1998-04-30	VYDAJ	VYBER	15	23411	SLUZBY	\N	\N
49774	166	1998-05-31	VYDAJ	VYBER	15	25019	SLUZBY	\N	\N
49775	166	1998-06-30	VYDAJ	VYBER	15	26634	SLUZBY	\N	\N
49776	166	1998-07-31	VYDAJ	VYBER	15	24447	SLUZBY	\N	\N
49777	166	1998-08-31	VYDAJ	VYBER	15	22612	SLUZBY	\N	\N
49778	166	1998-09-30	VYDAJ	VYBER	15	22774	SLUZBY	\N	\N
49779	166	1998-10-31	VYDAJ	VYBER	15	24380	SLUZBY	\N	\N
49780	166	1998-11-30	VYDAJ	VYBER	15	25992	SLUZBY	\N	\N
49781	166	1997-01-17	VYDAJ	VYBER	600	19986	\N	\N	\N
49782	166	1997-07-16	VYDAJ	VYBER	100	24804	\N	\N	\N
49783	166	1997-08-15	VYDAJ	VYBER	800	25612	\N	\N	\N
49784	166	1997-09-14	VYDAJ	VYBER	4300	22925	\N	\N	\N
49785	166	1997-11-13	VYDAJ	VYBER	1800	27384	\N	\N	\N
49786	166	1998-01-12	VYDAJ	VYBER	1200	29006	\N	\N	\N
49787	166	1998-02-11	VYDAJ	VYBER	400	30222	\N	\N	\N
49788	166	1998-03-13	VYDAJ	VYBER	3400	28442	\N	\N	\N
49789	166	1998-07-11	VYDAJ	VYBER	3800	27400	\N	\N	\N
49814	167	1996-02-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
49816	167	1997-01-16	PRIJEM	VKLAD	47751	88836	\N	\N	\N
49817	167	1997-11-01	PRIJEM	VKLAD	36744	94774	\N	\N	\N
49818	167	1997-12-14	PRIJEM	VKLAD	16921	110330	\N	\N	\N
49819	167	1997-03-20	PRIJEM	VKLAD	34218	88277	\N	\N	\N
49820	167	1997-11-22	PRIJEM	VKLAD	38681	82002	\N	\N	\N
49821	167	1997-06-27	PRIJEM	VKLAD	45512	112155	\N	\N	\N
49822	167	1997-08-02	PRIJEM	VKLAD	9401	113468	\N	\N	\N
49823	167	1997-10-09	PRIJEM	VKLAD	43572	109470	\N	\N	\N
49824	167	1997-09-12	PRIJEM	VKLAD	6195	61851	\N	\N	\N
49825	167	1997-09-26	PRIJEM	VKLAD	8063	52439	\N	\N	\N
49826	167	1997-11-14	PRIJEM	VKLAD	31693	126467	\N	\N	\N
49827	167	1997-09-27	PRIJEM	VKLAD	13266	65705	\N	\N	\N
49828	167	1997-12-20	PRIJEM	VKLAD	40050	107003	\N	\N	\N
49829	167	1997-03-25	PRIJEM	VKLAD	12219	78296	\N	\N	\N
49830	167	1997-08-13	PRIJEM	VKLAD	19219	112887	\N	\N	\N
49831	167	1997-05-14	PRIJEM	VKLAD	37102	118727	\N	\N	\N
49832	167	1997-12-06	PRIJEM	VKLAD	39459	112926	\N	\N	\N
49833	167	1997-12-07	PRIJEM	VKLAD	5883	93409	\N	\N	\N
49834	167	1997-07-30	PRIJEM	VKLAD	43105	103757	\N	\N	\N
49835	167	1997-06-21	PRIJEM	VKLAD	35208	66643	\N	\N	\N
49836	167	1997-01-01	PRIJEM	VKLAD	5585	41085	\N	\N	\N
49837	167	1997-08-28	PRIJEM	VKLAD	44538	104225	\N	\N	\N
49838	167	1997-12-18	PRIJEM	VKLAD	17680	66953	\N	\N	\N
49839	167	1997-12-16	PRIJEM	VKLAD	46543	112773	\N	\N	\N
49840	167	1997-04-22	PRIJEM	VKLAD	19046	81325	\N	\N	\N
49841	167	1997-07-11	PRIJEM	VKLAD	43741	113352	\N	\N	\N
49842	167	1998-06-23	PRIJEM	VKLAD	47633	82169	\N	\N	\N
49843	167	1998-09-20	PRIJEM	VKLAD	19110	69427	\N	\N	\N
49844	167	1998-06-24	PRIJEM	VKLAD	12811	123666	\N	\N	\N
49845	167	1998-10-29	PRIJEM	VKLAD	27324	97460	\N	\N	\N
49846	167	1998-12-21	PRIJEM	VKLAD	11262	49117	\N	\N	\N
49847	167	1998-01-22	PRIJEM	VKLAD	9096	35213	\N	\N	\N
49848	167	1998-02-21	PRIJEM	VKLAD	33650	63260	\N	\N	\N
49849	167	1998-03-17	PRIJEM	VKLAD	43531	106910	\N	\N	\N
49850	167	1998-03-18	PRIJEM	VKLAD	10039	51049	\N	\N	\N
49851	167	1998-06-03	PRIJEM	VKLAD	24327	47336	\N	\N	\N
49852	167	1998-08-22	PRIJEM	VKLAD	46846	89487	\N	\N	\N
49853	167	1998-01-13	PRIJEM	VKLAD	37356	91917	\N	\N	\N
49854	167	1998-08-09	PRIJEM	VKLAD	45042	77041	\N	\N	\N
49855	167	1998-08-27	PRIJEM	VKLAD	29492	113505	\N	\N	\N
49856	167	1998-08-31	PRIJEM	VKLAD	49608	108113	\N	\N	\N
49857	167	1998-06-24	PRIJEM	VKLAD	28686	110855	\N	\N	\N
49858	167	1998-09-25	PRIJEM	VKLAD	25237	89555	\N	\N	\N
49859	167	1998-11-18	PRIJEM	VKLAD	15298	70563	\N	\N	\N
49860	167	1998-04-16	PRIJEM	VKLAD	48287	91327	\N	\N	\N
49861	167	1998-03-27	PRIJEM	VKLAD	29671	52466	\N	\N	\N
49862	167	1998-10-21	PRIJEM	VKLAD	14983	70136	\N	\N	\N
49869	167	1997-11-20	VYBER	VYBER	8610	43321	\N	\N	\N
49870	167	1997-06-28	VYBER	VYBER	14035	69420	\N	\N	\N
49871	167	1997-11-14	VYBER	VYBER	11436	115031	\N	\N	\N
49872	167	1997-06-03	VYBER	VYBER	19673	45244	\N	\N	\N
49873	167	1997-12-28	VYBER	VYBER	21979	68424	\N	\N	\N
49876	167	1997-09-16	VYBER	VYBER	12075	49776	\N	\N	\N
49877	167	1997-06-10	VYBER	VYBER	16068	29176	\N	\N	\N
49878	167	1997-11-22	VYBER	VYBER	8794	73208	\N	\N	\N
49879	167	1997-06-16	VYBER	VYBER	2941	26235	\N	\N	\N
49880	167	1998-05-17	VYBER	VYBER	8635	22915	\N	\N	\N
49881	167	1998-08-25	VYBER	VYBER	5474	84013	\N	\N	\N
49882	167	1998-06-30	VYBER	VYBER	22018	53042	\N	\N	\N
49883	167	1998-01-12	VYBER	VYBER	12369	54561	\N	\N	\N
49884	167	1998-09-22	VYBER	VYBER	5109	64318	\N	\N	\N
49885	167	1998-04-19	VYBER	VYBER	23534	36093	\N	\N	\N
49886	167	1998-11-10	VYBER	VYBER	11720	86065	\N	\N	\N
49887	167	1998-03-19	VYBER	VYBER	20154	22795	\N	\N	\N
49890	167	1998-06-24	VYDAJ	VYBER	24300	74866	\N	\N	\N
49893	167	1998-01-16	VYDAJ	VYBER	12900	79017	\N	\N	\N
49895	167	1997-12-29	VYDAJ	VYBER KARTOU	1800	66624	\N	\N	0
49896	167	1998-12-03	VYDAJ	VYBER	6600	64255	\N	\N	\N
49909	167	1998-01-20	VYDAJ	VYBER	8700	37517	\N	\N	\N
49910	167	1998-01-19	VYDAJ	VYBER	8100	46217	\N	\N	\N
49911	167	1998-01-21	VYDAJ	VYBER	5100	26117	\N	\N	\N
49912	167	1998-01-26	VYDAJ	VYBER	5400	24713	\N	\N	\N
49913	167	1998-01-20	VYDAJ	VYBER	6300	31217	\N	\N	\N
49914	167	1998-01-22	VYDAJ	VYBER	5100	30113	\N	\N	\N
49921	167	1997-10-12	VYDAJ	VYBER	7500	83170	\N	\N	\N
49925	167	1997-10-17	VYDAJ	VYBER	5400	77770	\N	\N	\N
49926	167	1997-11-17	VYDAJ	VYBER	5400	67631	\N	\N	\N
49927	167	1998-08-04	VYDAJ	VYBER	4500	31999	\N	\N	\N
49928	167	1998-03-18	VYDAJ	VYBER	8100	42949	\N	\N	\N
49929	167	1998-08-12	VYDAJ	VYBER	10500	66541	\N	\N	\N
49930	167	1998-03-29	VYDAJ	VYBER	9600	42866	\N	\N	\N
49931	167	1998-08-27	VYDAJ	VYBER KARTOU	3300	110205	\N	\N	0
49948	167	1997-04-30	VYDAJ	VYBER	30	81625	SLUZBY	\N	\N
49949	167	1997-05-31	VYDAJ	VYBER	30	64917	SLUZBY	\N	\N
49950	167	1997-06-30	VYDAJ	VYBER	30	69611	SLUZBY	\N	\N
49951	167	1997-07-31	VYDAJ	VYBER	30	104067	SLUZBY	\N	\N
49952	167	1997-08-31	VYDAJ	VYBER	30	55656	SLUZBY	\N	\N
49953	167	1997-09-30	VYDAJ	VYBER	30	65898	SLUZBY	\N	\N
49954	167	1997-10-31	VYDAJ	VYBER	30	58030	SLUZBY	\N	\N
49955	167	1997-11-30	VYDAJ	VYBER	30	73467	SLUZBY	\N	\N
49956	167	1997-12-31	VYDAJ	VYBER	30	66930	SLUZBY	\N	\N
49957	167	1998-01-31	VYDAJ	VYBER	30	24910	SLUZBY	\N	\N
49958	167	1998-02-28	VYDAJ	VYBER	30	63379	SLUZBY	\N	\N
49959	167	1998-03-31	VYDAJ	VYBER	30	43040	SLUZBY	\N	\N
49960	167	1998-04-30	VYDAJ	VYBER	30	36250	SLUZBY	\N	\N
49961	167	1998-05-31	VYDAJ	VYBER	30	23009	SLUZBY	\N	\N
49962	167	1998-06-30	VYDAJ	VYBER	30	53012	SLUZBY	\N	\N
49963	167	1998-07-31	VYDAJ	VYBER	30	36499	SLUZBY	\N	\N
49964	167	1998-08-31	VYDAJ	VYBER	30	78717	SLUZBY	\N	\N
49965	167	1998-09-30	VYDAJ	VYBER	30	89853	SLUZBY	\N	\N
49966	167	1998-10-31	VYDAJ	VYBER	30	97785	SLUZBY	\N	\N
49967	167	1998-11-30	VYDAJ	VYBER	30	70855	SLUZBY	\N	\N
49968	167	1996-03-27	PRIJEM	VKLAD	12300	13400	\N	\N	\N
49969	167	1996-04-26	PRIJEM	VKLAD	4600	18000	\N	\N	\N
49970	167	1996-05-26	PRIJEM	VKLAD	2400	20400	\N	\N	\N
49971	167	1996-06-25	PRIJEM	VKLAD	1700	22100	\N	\N	\N
49972	167	1996-07-25	VYDAJ	VYBER	200	21900	\N	\N	\N
49973	167	1996-08-24	PRIJEM	VKLAD	300	22200	\N	\N	\N
49974	167	1996-09-23	PRIJEM	VKLAD	2600	24800	\N	\N	\N
49975	167	1996-10-23	PRIJEM	VKLAD	3700	28500	\N	\N	\N
49976	167	1996-11-22	PRIJEM	VKLAD	3500	32000	\N	\N	\N
49977	167	1996-12-22	PRIJEM	VKLAD	3500	35500	\N	\N	\N
49978	167	1997-01-21	VYDAJ	VYBER	24400	64436	\N	\N	\N
49979	167	1997-02-20	VYDAJ	VYBER	10800	53791	\N	\N	\N
49980	167	1997-03-22	VYDAJ	VYBER	22200	66077	\N	\N	\N
49981	167	1997-04-21	VYDAJ	VYBER	16300	62279	\N	\N	\N
49982	167	1997-05-14	VYDAJ	VYBER	31200	87527	\N	\N	\N
49983	167	1997-05-21	VYDAJ	VYBER	22900	64627	\N	\N	\N
49984	167	1997-06-20	PRIJEM	VKLAD	5200	31435	\N	\N	\N
49985	167	1997-06-27	VYDAJ	VYBER	28700	83455	\N	\N	\N
49986	167	1997-07-11	VYDAJ	VYBER	29200	84152	\N	\N	\N
49987	167	1997-07-20	VYDAJ	VYBER	23500	60652	\N	\N	\N
49988	167	1997-08-02	VYDAJ	VYBER	19800	93668	\N	\N	\N
49989	167	1997-08-13	VYDAJ	VYBER	41500	71387	\N	\N	\N
49990	167	1997-08-19	VYDAJ	VYBER	11700	59687	\N	\N	\N
49991	167	1997-08-31	VYDAJ	VYBER	48900	55686	\N	\N	\N
49992	167	1997-09-18	VYDAJ	VYBER	5400	44376	\N	\N	\N
49993	167	1997-10-09	VYDAJ	VYBER	18800	90670	\N	\N	\N
49994	167	1997-10-18	VYDAJ	VYBER	20000	57770	\N	\N	\N
49995	167	1997-11-14	VYDAJ	VYBER	42000	73031	\N	\N	\N
49996	167	1997-11-17	VYDAJ	VYBER	15700	51931	\N	\N	\N
49997	167	1997-12-06	VYDAJ	VYBER	25400	87526	\N	\N	\N
49998	167	1997-12-14	VYDAJ	VYBER	44100	66230	\N	\N	\N
49999	167	1997-12-16	VYDAJ	VYBER	52300	60473	\N	\N	\N
50000	167	1997-12-17	VYDAJ	VYBER	11200	49273	\N	\N	\N
50001	167	1997-12-20	VYDAJ	VYBER	16600	90403	\N	\N	\N
50002	167	1998-01-16	VYDAJ	VYBER	24700	54317	\N	\N	\N
50003	167	1998-02-15	PRIJEM	VKLAD	4700	29610	\N	\N	\N
50004	167	1998-03-17	VYDAJ	VYBER	55100	51810	\N	\N	\N
50005	167	1998-03-17	VYDAJ	VYBER	10800	41010	\N	\N	\N
50006	167	1998-04-16	VYDAJ	VYBER	31700	59627	\N	\N	\N
50007	167	1998-05-16	VYDAJ	VYBER	4700	31550	\N	\N	\N
50008	167	1998-06-15	VYDAJ	VYBER	12800	34536	\N	\N	\N
50009	167	1998-06-24	VYDAJ	VYBER	24500	99166	\N	\N	\N
50010	167	1998-07-15	VYDAJ	VYBER	16700	36312	\N	\N	\N
50011	167	1998-08-14	VYDAJ	VYBER	23900	42641	\N	\N	\N
50012	167	1998-08-27	VYDAJ	VYBER	51700	58505	\N	\N	\N
50013	167	1998-08-31	VYDAJ	VYBER	29600	78747	\N	\N	\N
50014	167	1998-09-13	VYDAJ	VYBER	28400	50317	\N	\N	\N
50015	167	1998-10-13	VYDAJ	VYBER	34700	55153	\N	\N	\N
50016	167	1998-11-12	VYDAJ	VYBER	30800	55265	\N	\N	\N
50017	167	1998-12-12	VYDAJ	VYBER	26400	37855	\N	\N	\N
50042	168	1993-04-27	PRIJEM	VKLAD	500	500	\N	\N	\N
50047	168	1993-05-05	PRIJEM	PREVOD Z UCTU	3020	3520	\N	GH	86771827
50048	168	1993-06-05	PRIJEM	PREVOD Z UCTU	3020	6540	\N	GH	86771827
50049	168	1993-07-05	PRIJEM	PREVOD Z UCTU	3020	9560	\N	GH	86771827
50050	168	1993-08-05	PRIJEM	PREVOD Z UCTU	3020	12580	\N	GH	86771827
50051	168	1993-09-05	PRIJEM	PREVOD Z UCTU	3020	15600	\N	GH	86771827
50052	168	1993-10-05	PRIJEM	PREVOD Z UCTU	3020	15225	\N	GH	86771827
50053	168	1993-11-05	PRIJEM	PREVOD Z UCTU	3020	16272	\N	GH	86771827
50054	168	1993-12-05	PRIJEM	PREVOD Z UCTU	3020	17323	\N	GH	86771827
50055	168	1994-01-05	PRIJEM	PREVOD Z UCTU	3020	18048	\N	GH	86771827
50056	168	1994-02-05	PRIJEM	PREVOD Z UCTU	3020	15649	\N	GH	86771827
50057	168	1994-03-05	PRIJEM	PREVOD Z UCTU	3020	15495	\N	GH	86771827
50058	168	1994-04-05	PRIJEM	PREVOD Z UCTU	3020	16542	\N	GH	86771827
50059	168	1994-05-05	PRIJEM	PREVOD Z UCTU	3020	16424	\N	GH	86771827
50060	168	1994-06-05	PRIJEM	PREVOD Z UCTU	3020	17476	\N	GH	86771827
50061	168	1994-07-05	PRIJEM	PREVOD Z UCTU	3020	18532	\N	GH	86771827
50062	168	1994-08-05	PRIJEM	PREVOD Z UCTU	3020	19593	\N	GH	86771827
50063	168	1994-09-05	PRIJEM	PREVOD Z UCTU	3020	20657	\N	GH	86771827
50064	168	1994-10-05	PRIJEM	PREVOD Z UCTU	3020	21727	\N	GH	86771827
50065	168	1994-11-05	PRIJEM	PREVOD Z UCTU	3020	22801	\N	GH	86771827
50066	168	1994-12-05	PRIJEM	PREVOD Z UCTU	3020	23879	\N	GH	86771827
50067	168	1995-01-05	PRIJEM	PREVOD Z UCTU	3020	21691	\N	GH	86771827
50068	168	1995-02-05	PRIJEM	PREVOD Z UCTU	3020	20002	\N	GH	86771827
50069	168	1995-03-05	PRIJEM	PREVOD Z UCTU	3020	21069	\N	GH	86771827
50070	168	1995-04-05	PRIJEM	PREVOD Z UCTU	3020	22140	\N	GH	86771827
50071	168	1995-05-05	PRIJEM	PREVOD Z UCTU	3020	23215	\N	GH	86771827
50072	168	1995-06-05	PRIJEM	PREVOD Z UCTU	3020	23594	\N	GH	86771827
50073	168	1995-07-05	PRIJEM	PREVOD Z UCTU	3020	22063	\N	GH	86771827
50074	168	1995-08-05	PRIJEM	PREVOD Z UCTU	3020	22568	\N	GH	86771827
50075	168	1995-09-05	PRIJEM	PREVOD Z UCTU	3020	21740	\N	GH	86771827
50076	168	1995-10-05	PRIJEM	PREVOD Z UCTU	3020	21842	\N	GH	86771827
50077	168	1995-11-05	PRIJEM	PREVOD Z UCTU	3020	18906	\N	GH	86771827
50078	168	1995-12-05	PRIJEM	PREVOD Z UCTU	3020	18455	\N	GH	86771827
50079	168	1996-01-05	PRIJEM	PREVOD Z UCTU	3020	19334	\N	GH	86771827
50080	168	1996-02-05	PRIJEM	PREVOD Z UCTU	3020	16849	\N	GH	86771827
50081	168	1996-03-05	PRIJEM	PREVOD Z UCTU	3020	17902	\N	GH	86771827
50082	168	1996-04-05	PRIJEM	PREVOD Z UCTU	3020	17355	\N	GH	86771827
50083	168	1996-05-05	PRIJEM	PREVOD Z UCTU	3020	18411	\N	GH	86771827
50084	168	1996-06-05	PRIJEM	PREVOD Z UCTU	3020	19470	\N	GH	86771827
50085	168	1996-07-05	PRIJEM	PREVOD Z UCTU	3020	19601	\N	GH	86771827
50086	168	1996-08-05	PRIJEM	PREVOD Z UCTU	3020	20065	\N	GH	86771827
50087	168	1996-09-05	PRIJEM	PREVOD Z UCTU	3020	20710	\N	GH	86771827
50088	168	1996-10-05	PRIJEM	PREVOD Z UCTU	3020	21779	\N	GH	86771827
50089	168	1996-11-05	PRIJEM	PREVOD Z UCTU	3020	21448	\N	GH	86771827
50090	168	1996-12-05	PRIJEM	PREVOD Z UCTU	3020	22069	\N	GH	86771827
50091	168	1997-01-05	PRIJEM	PREVOD Z UCTU	3020	20535	\N	GH	86771827
50092	168	1997-02-05	PRIJEM	PREVOD Z UCTU	3020	16528	\N	GH	86771827
50093	168	1997-03-05	PRIJEM	PREVOD Z UCTU	3020	17579	\N	GH	86771827
50094	168	1997-04-05	PRIJEM	PREVOD Z UCTU	3020	16327	\N	GH	86771827
50095	168	1997-05-05	PRIJEM	PREVOD Z UCTU	3020	15678	\N	GH	86771827
50096	168	1997-06-05	PRIJEM	PREVOD Z UCTU	3020	16726	\N	GH	86771827
50097	168	1997-07-05	PRIJEM	PREVOD Z UCTU	3020	17778	\N	GH	86771827
50098	168	1997-08-05	PRIJEM	PREVOD Z UCTU	3020	18834	\N	GH	86771827
50099	168	1997-09-05	PRIJEM	PREVOD Z UCTU	3020	19534	\N	GH	86771827
50100	168	1997-10-05	PRIJEM	PREVOD Z UCTU	3020	19456	\N	GH	86771827
50101	168	1997-11-05	PRIJEM	PREVOD Z UCTU	3020	20519	\N	GH	86771827
50102	168	1997-12-05	PRIJEM	PREVOD Z UCTU	3020	20986	\N	GH	86771827
50103	168	1998-01-05	PRIJEM	PREVOD Z UCTU	3020	21035	\N	GH	86771827
50104	168	1998-02-05	PRIJEM	PREVOD Z UCTU	3020	19700	\N	GH	86771827
50105	168	1998-03-05	PRIJEM	PREVOD Z UCTU	3020	19801	\N	GH	86771827
50106	168	1998-04-05	PRIJEM	PREVOD Z UCTU	3020	20865	\N	GH	86771827
50107	168	1998-05-05	PRIJEM	PREVOD Z UCTU	3020	21663	\N	GH	86771827
50108	168	1998-06-05	PRIJEM	PREVOD Z UCTU	3020	22735	\N	GH	86771827
50109	168	1998-07-05	PRIJEM	PREVOD Z UCTU	3020	22638	\N	GH	86771827
50110	168	1998-08-05	PRIJEM	PREVOD Z UCTU	3020	23714	\N	GH	86771827
50111	168	1998-09-05	PRIJEM	PREVOD Z UCTU	3020	24794	\N	GH	86771827
50112	168	1998-10-05	PRIJEM	PREVOD Z UCTU	3020	16994	\N	GH	86771827
50113	168	1998-11-05	PRIJEM	PREVOD Z UCTU	3020	18046	\N	GH	86771827
50114	168	1998-12-05	PRIJEM	PREVOD Z UCTU	3020	18302	\N	GH	86771827
50123	168	1993-09-06	VYDAJ	PREVOD NA UCET	2013	13587	\N	WX	47454333
50124	168	1993-10-06	VYDAJ	PREVOD NA UCET	2013	13212	\N	WX	47454333
50125	168	1993-11-06	VYDAJ	PREVOD NA UCET	2013	14259	\N	WX	47454333
50126	168	1993-12-06	VYDAJ	PREVOD NA UCET	2013	15310	\N	WX	47454333
50127	168	1994-01-06	VYDAJ	PREVOD NA UCET	2013	15345	\N	WX	47454333
50128	168	1994-02-06	VYDAJ	PREVOD NA UCET	2013	13636	\N	WX	47454333
50129	168	1994-03-06	VYDAJ	PREVOD NA UCET	2013	13482	\N	WX	47454333
50130	168	1994-04-06	VYDAJ	PREVOD NA UCET	2013	14529	\N	WX	47454333
50131	168	1994-05-06	VYDAJ	PREVOD NA UCET	2013	14411	\N	WX	47454333
50132	168	1994-06-06	VYDAJ	PREVOD NA UCET	2013	15463	\N	WX	47454333
50133	168	1994-07-06	VYDAJ	PREVOD NA UCET	2013	16519	\N	WX	47454333
50134	168	1994-08-06	VYDAJ	PREVOD NA UCET	2013	17580	\N	WX	47454333
50135	168	1994-09-06	VYDAJ	PREVOD NA UCET	2013	18644	\N	WX	47454333
50136	168	1994-10-06	VYDAJ	PREVOD NA UCET	2013	19714	\N	WX	47454333
50137	168	1994-11-06	VYDAJ	PREVOD NA UCET	2013	20788	\N	WX	47454333
50138	168	1994-12-06	VYDAJ	PREVOD NA UCET	2013	21866	\N	WX	47454333
50139	168	1995-01-06	VYDAJ	PREVOD NA UCET	2013	19678	\N	WX	47454333
50140	168	1995-02-06	VYDAJ	PREVOD NA UCET	2013	17989	\N	WX	47454333
50141	168	1995-03-06	VYDAJ	PREVOD NA UCET	2013	19056	\N	WX	47454333
50142	168	1995-04-06	VYDAJ	PREVOD NA UCET	2013	20127	\N	WX	47454333
50143	168	1995-05-06	VYDAJ	PREVOD NA UCET	2013	21202	\N	WX	47454333
50144	168	1995-06-06	VYDAJ	PREVOD NA UCET	2013	21581	\N	WX	47454333
50145	168	1995-07-06	VYDAJ	PREVOD NA UCET	2013	20050	\N	WX	47454333
50146	168	1995-08-06	VYDAJ	PREVOD NA UCET	2013	20555	\N	WX	47454333
50147	168	1995-09-06	VYDAJ	PREVOD NA UCET	2013	19367	\N	WX	47454333
50148	168	1995-10-06	VYDAJ	PREVOD NA UCET	2013	19829	\N	WX	47454333
50149	168	1995-11-06	VYDAJ	PREVOD NA UCET	2013	16893	\N	WX	47454333
50150	168	1995-12-06	VYDAJ	PREVOD NA UCET	2013	16262	\N	WX	47454333
50151	168	1996-01-06	VYDAJ	PREVOD NA UCET	2013	17321	\N	WX	47454333
50152	168	1996-02-06	VYDAJ	PREVOD NA UCET	2013	14836	\N	WX	47454333
50153	168	1996-03-06	VYDAJ	PREVOD NA UCET	2013	15889	\N	WX	47454333
50154	168	1996-04-06	VYDAJ	PREVOD NA UCET	2013	15342	\N	WX	47454333
50155	168	1996-05-06	VYDAJ	PREVOD NA UCET	2013	16398	\N	WX	47454333
50156	168	1996-06-06	VYDAJ	PREVOD NA UCET	2013	16527	\N	WX	47454333
50157	168	1996-07-06	VYDAJ	PREVOD NA UCET	2013	17588	\N	WX	47454333
50158	168	1996-08-06	VYDAJ	PREVOD NA UCET	2013	18052	\N	WX	47454333
50159	168	1996-09-06	VYDAJ	PREVOD NA UCET	2013	18697	\N	WX	47454333
50160	168	1996-10-06	VYDAJ	PREVOD NA UCET	2013	19766	\N	WX	47454333
50161	168	1996-11-06	VYDAJ	PREVOD NA UCET	2013	19435	\N	WX	47454333
50162	168	1996-12-06	VYDAJ	PREVOD NA UCET	2013	20056	\N	WX	47454333
50163	168	1997-01-06	VYDAJ	PREVOD NA UCET	2013	17652	\N	WX	47454333
50164	168	1997-02-06	VYDAJ	PREVOD NA UCET	2013	14515	\N	WX	47454333
50165	168	1997-03-06	VYDAJ	PREVOD NA UCET	2013	15566	\N	WX	47454333
50166	168	1997-04-06	VYDAJ	PREVOD NA UCET	2013	12614	\N	WX	47454333
50167	168	1997-05-06	VYDAJ	PREVOD NA UCET	2013	13665	\N	WX	47454333
50168	168	1997-06-06	VYDAJ	PREVOD NA UCET	2013	14713	\N	WX	47454333
50169	168	1997-07-06	VYDAJ	PREVOD NA UCET	2013	15765	\N	WX	47454333
50170	168	1997-08-06	VYDAJ	PREVOD NA UCET	2013	16821	\N	WX	47454333
50171	168	1997-09-06	VYDAJ	PREVOD NA UCET	2013	17521	\N	WX	47454333
50172	168	1997-10-06	VYDAJ	PREVOD NA UCET	2013	17443	\N	WX	47454333
50173	168	1997-11-06	VYDAJ	PREVOD NA UCET	2013	18506	\N	WX	47454333
50174	168	1997-12-06	VYDAJ	PREVOD NA UCET	2013	18973	\N	WX	47454333
50175	168	1998-01-06	VYDAJ	PREVOD NA UCET	2013	18572	\N	WX	47454333
50176	168	1998-02-06	VYDAJ	PREVOD NA UCET	2013	17687	\N	WX	47454333
50177	168	1998-03-06	VYDAJ	PREVOD NA UCET	2013	17788	\N	WX	47454333
50178	168	1998-04-06	VYDAJ	PREVOD NA UCET	2013	18852	\N	WX	47454333
50179	168	1998-05-06	VYDAJ	PREVOD NA UCET	2013	19650	\N	WX	47454333
50180	168	1998-06-06	VYDAJ	PREVOD NA UCET	2013	20722	\N	WX	47454333
50181	168	1998-07-06	VYDAJ	PREVOD NA UCET	2013	20625	\N	WX	47454333
50182	168	1998-08-06	VYDAJ	PREVOD NA UCET	2013	21701	\N	WX	47454333
50183	168	1998-09-06	VYDAJ	PREVOD NA UCET	2013	22781	\N	WX	47454333
50184	168	1998-10-06	VYDAJ	PREVOD NA UCET	2013	14981	\N	WX	47454333
50185	168	1998-11-06	VYDAJ	PREVOD NA UCET	2013	16033	\N	WX	47454333
50186	168	1998-12-06	VYDAJ	PREVOD NA UCET	2013	16289	\N	WX	47454333
50189	168	1995-06-26	VYDAJ	VYBER	2610	18971	\N	\N	\N
50190	168	1996-06-05	VYDAJ	VYBER	930	18540	\N	\N	\N
50195	168	1995-01-01	VYDAJ	VYBER	2610	19061	\N	\N	\N
50196	168	1996-01-24	VYDAJ	VYBER	750	13781	\N	\N	\N
50197	168	1997-01-06	VYDAJ	VYBER	2730	14122	\N	\N	\N
50198	168	1998-01-15	VYDAJ	VYBER	330	17732	\N	\N	\N
50199	168	1993-12-21	VYDAJ	VYBER	330	14980	\N	\N	\N
50200	168	1994-12-18	VYDAJ	VYBER	270	21596	\N	\N	\N
50201	168	1995-12-06	VYDAJ	VYBER	180	18275	\N	\N	\N
50202	168	1996-12-01	VYDAJ	VYBER	150	19049	\N	\N	\N
50203	168	1997-12-06	VYDAJ	VYBER	840	18133	\N	\N	\N
50204	168	1998-12-07	VYDAJ	VYBER	570	15719	\N	\N	\N
50211	168	1994-01-17	VYDAJ	VYBER	480	13545	\N	\N	\N
50212	168	1994-01-05	VYDAJ	VYBER	690	17358	\N	\N	\N
50213	168	1994-01-26	VYDAJ	VYBER	780	12585	\N	\N	\N
50214	168	1994-01-17	VYDAJ	VYBER	570	14025	\N	\N	\N
50215	168	1994-01-11	VYDAJ	VYBER	750	14595	\N	\N	\N
50216	168	1994-01-19	VYDAJ	VYBER	180	13365	\N	\N	\N
50217	168	1995-01-25	VYDAJ	VYBER	570	17698	\N	\N	\N
50218	168	1995-01-30	VYDAJ	VYBER	780	16918	\N	\N	\N
50219	168	1995-01-15	VYDAJ	VYBER	450	19048	\N	\N	\N
50220	168	1995-01-17	VYDAJ	VYBER	330	18718	\N	\N	\N
50221	168	1995-01-23	VYDAJ	VYBER	450	18268	\N	\N	\N
50222	168	1995-01-03	VYDAJ	VYBER	390	18671	\N	\N	\N
50224	168	1996-01-07	VYDAJ	VYBER	240	17081	\N	\N	\N
50225	168	1996-01-13	VYDAJ	VYBER	300	14891	\N	\N	\N
50226	168	1996-01-23	VYDAJ	VYBER	360	14531	\N	\N	\N
50227	168	1996-01-10	VYDAJ	VYBER	750	15491	\N	\N	\N
50228	168	1996-01-07	VYDAJ	VYBER	840	16241	\N	\N	\N
50232	168	1997-01-05	VYDAJ	VYBER	870	19665	\N	\N	\N
50234	168	1997-01-06	VYDAJ	VYBER	660	13462	\N	\N	\N
50235	168	1998-01-08	VYDAJ	VYBER	510	18062	\N	\N	\N
50236	168	1998-01-02	VYDAJ	VYBER	180	18015	\N	\N	\N
50237	168	1998-01-24	VYDAJ	VYBER	480	17252	\N	\N	\N
50238	168	1998-01-06	VYDAJ	VYBER	450	20585	\N	\N	\N
50239	168	1998-01-27	VYDAJ	VYBER	480	16772	\N	\N	\N
50240	168	1998-01-30	VYDAJ	VYBER	150	16622	\N	\N	\N
50244	168	1993-09-07	VYDAJ	VYBER	1410	12177	\N	\N	\N
50249	168	1994-04-28	VYDAJ	VYBER	1170	13359	\N	\N	\N
50251	168	1994-02-12	VYDAJ	VYBER	1200	12436	\N	\N	\N
50252	168	1995-11-24	VYDAJ	VYBER	810	15383	\N	\N	\N
50253	168	1995-09-10	VYDAJ	VYBER	210	19157	\N	\N	\N
50254	168	1995-09-05	VYDAJ	VYBER	360	21380	\N	\N	\N
50255	168	1995-07-24	VYDAJ	VYBER	570	19480	\N	\N	\N
50256	168	1995-01-13	VYDAJ	VYBER	180	19498	\N	\N	\N
50257	168	1996-08-21	VYDAJ	VYBER	420	17632	\N	\N	\N
50259	168	1996-07-21	VYDAJ	VYBER	600	16988	\N	\N	\N
50261	168	1997-08-14	VYDAJ	VYBER	360	16461	\N	\N	\N
50262	168	1997-11-30	VYDAJ	VYBER	600	17981	\N	\N	\N
50263	168	1997-09-23	VYDAJ	VYBER	1140	16381	\N	\N	\N
50264	168	1998-06-14	VYDAJ	VYBER	1170	19552	\N	\N	\N
50265	168	1998-09-12	VYDAJ	VYBER	780	22001	\N	\N	\N
50266	168	1998-04-09	VYDAJ	VYBER	270	18582	\N	\N	\N
50268	168	1998-02-08	VYDAJ	VYBER	960	16727	\N	\N	\N
50278	168	1993-09-30	VYDAJ	VYBER	15	12205	SLUZBY	\N	\N
50279	168	1993-10-31	VYDAJ	VYBER	15	13252	SLUZBY	\N	\N
50280	168	1993-11-30	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
50281	168	1993-12-31	VYDAJ	VYBER	15	15028	SLUZBY	\N	\N
50282	168	1994-01-31	VYDAJ	VYBER	15	12629	SLUZBY	\N	\N
50283	168	1994-02-28	VYDAJ	VYBER	15	12475	SLUZBY	\N	\N
50284	168	1994-03-31	VYDAJ	VYBER	15	13522	SLUZBY	\N	\N
50285	168	1994-04-30	VYDAJ	VYBER	15	13404	SLUZBY	\N	\N
50286	168	1994-05-31	VYDAJ	VYBER	15	14456	SLUZBY	\N	\N
50287	168	1994-06-30	VYDAJ	VYBER	15	15512	SLUZBY	\N	\N
50288	168	1994-07-31	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
50289	168	1994-08-31	VYDAJ	VYBER	15	17637	SLUZBY	\N	\N
50290	168	1994-09-30	VYDAJ	VYBER	15	18707	SLUZBY	\N	\N
50291	168	1994-10-31	VYDAJ	VYBER	15	19781	SLUZBY	\N	\N
50292	168	1994-11-30	VYDAJ	VYBER	15	20859	SLUZBY	\N	\N
50293	168	1994-12-31	VYDAJ	VYBER	15	21671	SLUZBY	\N	\N
50294	168	1995-01-31	VYDAJ	VYBER	15	16982	SLUZBY	\N	\N
50295	168	1995-02-28	VYDAJ	VYBER	15	18049	SLUZBY	\N	\N
50296	168	1995-03-31	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
50297	168	1995-04-30	VYDAJ	VYBER	15	20195	SLUZBY	\N	\N
50298	168	1995-05-31	VYDAJ	VYBER	15	20574	SLUZBY	\N	\N
50299	168	1995-06-30	VYDAJ	VYBER	15	19043	SLUZBY	\N	\N
50300	168	1995-07-31	VYDAJ	VYBER	15	19548	SLUZBY	\N	\N
50301	168	1995-08-31	VYDAJ	VYBER	15	18720	SLUZBY	\N	\N
50302	168	1995-09-30	VYDAJ	VYBER	15	18822	SLUZBY	\N	\N
50303	168	1995-10-31	VYDAJ	VYBER	15	15886	SLUZBY	\N	\N
50304	168	1995-11-30	VYDAJ	VYBER	15	15435	SLUZBY	\N	\N
50305	168	1995-12-31	VYDAJ	VYBER	15	16314	SLUZBY	\N	\N
50306	168	1996-01-31	VYDAJ	VYBER	15	13829	SLUZBY	\N	\N
50307	168	1996-02-29	VYDAJ	VYBER	15	14882	SLUZBY	\N	\N
50308	168	1996-03-31	VYDAJ	VYBER	15	14335	SLUZBY	\N	\N
50309	168	1996-04-30	VYDAJ	VYBER	15	15391	SLUZBY	\N	\N
50310	168	1996-05-31	VYDAJ	VYBER	15	16450	SLUZBY	\N	\N
50311	168	1996-06-30	VYDAJ	VYBER	15	16581	SLUZBY	\N	\N
50312	168	1996-07-31	VYDAJ	VYBER	15	17045	SLUZBY	\N	\N
50313	168	1996-08-31	VYDAJ	VYBER	15	17690	SLUZBY	\N	\N
50314	168	1996-09-30	VYDAJ	VYBER	15	18759	SLUZBY	\N	\N
50315	168	1996-10-31	VYDAJ	VYBER	15	18428	SLUZBY	\N	\N
50316	168	1996-11-30	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
50317	168	1996-12-31	VYDAJ	VYBER	15	17515	SLUZBY	\N	\N
50318	168	1997-01-31	VYDAJ	VYBER	15	13508	SLUZBY	\N	\N
50319	168	1997-02-28	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
50320	168	1997-03-31	VYDAJ	VYBER	15	13307	SLUZBY	\N	\N
50321	168	1997-04-30	VYDAJ	VYBER	15	12658	SLUZBY	\N	\N
50322	168	1997-05-31	VYDAJ	VYBER	15	13706	SLUZBY	\N	\N
50323	168	1997-06-30	VYDAJ	VYBER	15	14758	SLUZBY	\N	\N
50324	168	1997-07-31	VYDAJ	VYBER	15	15814	SLUZBY	\N	\N
50325	168	1997-08-31	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
50326	168	1997-09-30	VYDAJ	VYBER	15	16436	SLUZBY	\N	\N
50327	168	1997-10-31	VYDAJ	VYBER	15	17499	SLUZBY	\N	\N
50328	168	1997-11-30	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
50329	168	1997-12-31	VYDAJ	VYBER	15	18195	SLUZBY	\N	\N
50330	168	1998-01-31	VYDAJ	VYBER	15	16680	SLUZBY	\N	\N
50331	168	1998-02-28	VYDAJ	VYBER	15	16781	SLUZBY	\N	\N
50332	168	1998-03-31	VYDAJ	VYBER	15	17845	SLUZBY	\N	\N
50333	168	1998-04-30	VYDAJ	VYBER	15	18643	SLUZBY	\N	\N
50334	168	1998-05-31	VYDAJ	VYBER	15	19715	SLUZBY	\N	\N
50335	168	1998-06-30	VYDAJ	VYBER	15	19618	SLUZBY	\N	\N
50336	168	1998-07-31	VYDAJ	VYBER	15	20694	SLUZBY	\N	\N
50337	168	1998-08-31	VYDAJ	VYBER	15	21774	SLUZBY	\N	\N
50338	168	1998-09-30	VYDAJ	VYBER	15	13974	SLUZBY	\N	\N
50339	168	1998-10-31	VYDAJ	VYBER	15	15026	SLUZBY	\N	\N
50340	168	1998-11-30	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
50341	168	1995-05-17	VYDAJ	VYBER	700	20502	\N	\N	\N
50342	168	1995-08-15	VYDAJ	VYBER	1900	18655	\N	\N	\N
50343	168	1995-09-14	VYDAJ	VYBER	400	18757	\N	\N	\N
50344	168	1995-10-14	VYDAJ	VYBER	4000	15829	\N	\N	\N
50345	168	1995-11-13	VYDAJ	VYBER	700	16193	\N	\N	\N
50346	168	1996-01-12	VYDAJ	VYBER	300	15191	\N	\N	\N
50347	168	1996-03-12	VYDAJ	VYBER	1600	14289	\N	\N	\N
50348	168	1996-10-08	VYDAJ	VYBER	1400	18366	\N	\N	\N
50349	168	1996-11-07	VYDAJ	VYBER	300	19135	\N	\N	\N
50350	168	1996-12-07	VYDAJ	VYBER	2600	17456	\N	\N	\N
50351	168	1997-01-06	VYDAJ	VYBER	800	16852	\N	\N	\N
50352	168	1997-03-07	VYDAJ	VYBER	2300	13266	\N	\N	\N
50353	168	1997-04-06	VYDAJ	VYBER	1700	14627	\N	\N	\N
50354	168	1998-09-28	VYDAJ	VYBER	8100	13901	\N	\N	\N
50355	168	1998-11-27	VYDAJ	VYBER	800	15233	\N	\N	\N
50420	169	1995-09-28	PRIJEM	VKLAD	500	500	\N	\N	\N
50430	169	1995-10-13	PRIJEM	VKLAD	12792	13292	\N	\N	\N
50431	169	1995-11-13	PRIJEM	VKLAD	12792	33195	\N	\N	\N
50432	169	1995-12-13	PRIJEM	VKLAD	19188	49774	\N	\N	\N
50433	169	1996-01-13	PRIJEM	VKLAD	12792	50698	\N	\N	\N
50434	169	1996-02-13	PRIJEM	VKLAD	12792	52448	\N	\N	\N
50435	169	1996-03-13	PRIJEM	VKLAD	12792	44317	\N	\N	\N
50436	169	1996-04-13	PRIJEM	VKLAD	12792	45184	\N	\N	\N
50437	169	1996-05-13	PRIJEM	VKLAD	12792	49760	\N	\N	\N
50438	169	1996-06-13	PRIJEM	VKLAD	19188	55845	\N	\N	\N
50439	169	1996-07-13	PRIJEM	VKLAD	12792	55448	\N	\N	\N
50440	169	1996-08-13	PRIJEM	VKLAD	12792	53158	\N	\N	\N
50441	169	1996-09-13	PRIJEM	VKLAD	12792	50856	\N	\N	\N
50442	169	1996-10-13	PRIJEM	VKLAD	12792	53050	\N	\N	\N
50443	169	1996-11-13	PRIJEM	VKLAD	12792	51447	\N	\N	\N
50444	169	1996-12-13	PRIJEM	VKLAD	19188	59838	\N	\N	\N
50445	169	1997-01-13	PRIJEM	VKLAD	12792	59255	\N	\N	\N
50446	169	1997-02-13	PRIJEM	VKLAD	12792	59278	\N	\N	\N
50447	169	1997-03-13	PRIJEM	VKLAD	12792	60608	\N	\N	\N
50448	169	1997-04-13	PRIJEM	VKLAD	12792	62442	\N	\N	\N
50449	169	1997-05-13	PRIJEM	VKLAD	12792	69590	\N	\N	\N
50450	169	1997-06-13	PRIJEM	VKLAD	19188	78256	\N	\N	\N
50451	169	1997-07-13	PRIJEM	VKLAD	12792	69537	\N	\N	\N
50452	169	1997-08-13	PRIJEM	VKLAD	12792	68096	\N	\N	\N
50453	169	1997-09-13	PRIJEM	VKLAD	12792	65551	\N	\N	\N
50454	169	1997-10-13	PRIJEM	VKLAD	12792	66299	\N	\N	\N
50455	169	1997-11-13	PRIJEM	VKLAD	12792	64945	\N	\N	\N
50456	169	1997-12-13	PRIJEM	VKLAD	19188	65775	\N	\N	\N
50457	169	1998-01-13	PRIJEM	VKLAD	12792	64707	\N	\N	\N
50458	169	1998-02-13	PRIJEM	VKLAD	12792	59440	\N	\N	\N
50459	169	1998-03-13	PRIJEM	VKLAD	12792	59055	\N	\N	\N
50460	169	1998-04-13	PRIJEM	VKLAD	12792	62881	\N	\N	\N
50461	169	1998-05-13	PRIJEM	VKLAD	12792	63314	\N	\N	\N
50462	169	1998-06-13	PRIJEM	VKLAD	19188	54643	\N	\N	\N
50463	169	1998-07-13	PRIJEM	VKLAD	12792	62962	\N	\N	\N
50464	169	1998-08-13	PRIJEM	VKLAD	12792	65399	\N	\N	\N
50465	169	1998-09-13	PRIJEM	VKLAD	12792	66338	\N	\N	\N
50466	169	1998-10-13	PRIJEM	VKLAD	12792	67293	\N	\N	\N
50467	169	1998-11-13	PRIJEM	VKLAD	12792	62264	\N	\N	\N
50468	169	1998-12-13	PRIJEM	VKLAD	19188	67418	\N	\N	\N
50483	169	1996-03-05	VYDAJ	PREVOD NA UCET	4975	32725	SIPO	IJ	71273207
50484	169	1996-04-05	VYDAJ	PREVOD NA UCET	4975	33492	SIPO	IJ	71273207
50485	169	1996-05-05	VYDAJ	PREVOD NA UCET	4975	36968	SIPO	IJ	71273207
50486	169	1996-06-05	VYDAJ	PREVOD NA UCET	4975	36657	SIPO	IJ	71273207
50487	169	1996-07-05	VYDAJ	PREVOD NA UCET	4975	42656	SIPO	IJ	71273207
50488	169	1996-08-05	VYDAJ	PREVOD NA UCET	4975	40366	SIPO	IJ	71273207
50489	169	1996-09-05	VYDAJ	PREVOD NA UCET	4975	38064	SIPO	IJ	71273207
50490	169	1996-10-05	VYDAJ	PREVOD NA UCET	4975	40258	SIPO	IJ	71273207
50491	169	1996-11-05	VYDAJ	PREVOD NA UCET	4975	38655	SIPO	IJ	71273207
50492	169	1996-12-05	VYDAJ	PREVOD NA UCET	4975	40650	SIPO	IJ	71273207
50493	169	1997-01-05	VYDAJ	PREVOD NA UCET	4975	46463	SIPO	IJ	71273207
50494	169	1997-02-05	VYDAJ	PREVOD NA UCET	4975	46486	SIPO	IJ	71273207
50495	169	1997-03-05	VYDAJ	PREVOD NA UCET	4975	47816	SIPO	IJ	71273207
50496	169	1997-04-05	VYDAJ	PREVOD NA UCET	4975	49650	SIPO	IJ	71273207
50497	169	1997-05-05	VYDAJ	PREVOD NA UCET	4975	56798	SIPO	IJ	71273207
50498	169	1997-06-05	VYDAJ	PREVOD NA UCET	4975	59068	SIPO	IJ	71273207
50499	169	1997-07-05	VYDAJ	PREVOD NA UCET	4975	56745	SIPO	IJ	71273207
50500	169	1997-08-05	VYDAJ	PREVOD NA UCET	4975	55304	SIPO	IJ	71273207
50501	169	1997-09-05	VYDAJ	PREVOD NA UCET	4975	52759	SIPO	IJ	71273207
50502	169	1997-10-05	VYDAJ	PREVOD NA UCET	4975	53507	SIPO	IJ	71273207
50503	169	1997-11-05	VYDAJ	PREVOD NA UCET	4975	52153	SIPO	IJ	71273207
50504	169	1997-12-05	VYDAJ	PREVOD NA UCET	4975	48187	SIPO	IJ	71273207
50505	169	1998-01-05	VYDAJ	PREVOD NA UCET	4975	51915	SIPO	IJ	71273207
50506	169	1998-02-05	VYDAJ	PREVOD NA UCET	4975	48948	SIPO	IJ	71273207
50507	169	1998-03-05	VYDAJ	PREVOD NA UCET	4975	46263	SIPO	IJ	71273207
50508	169	1998-04-05	VYDAJ	PREVOD NA UCET	4975	50089	SIPO	IJ	71273207
50509	169	1998-05-05	VYDAJ	PREVOD NA UCET	4975	50522	SIPO	IJ	71273207
50510	169	1998-06-05	VYDAJ	PREVOD NA UCET	4975	50055	SIPO	IJ	71273207
50511	169	1998-07-05	VYDAJ	PREVOD NA UCET	4975	50170	SIPO	IJ	71273207
50512	169	1998-08-05	VYDAJ	PREVOD NA UCET	4975	52607	SIPO	IJ	71273207
50513	169	1998-09-05	VYDAJ	PREVOD NA UCET	4975	52446	SIPO	IJ	71273207
50514	169	1998-10-05	VYDAJ	PREVOD NA UCET	4975	58201	SIPO	IJ	71273207
50515	169	1998-11-05	VYDAJ	PREVOD NA UCET	4975	55972	SIPO	IJ	71273207
50516	169	1998-12-05	VYDAJ	PREVOD NA UCET	4975	57530	SIPO	IJ	71273207
50567	169	1997-06-19	VYDAJ	VYBER	5100	73156	\N	\N	\N
50568	169	1998-06-09	VYDAJ	VYBER	14600	35455	\N	\N	\N
50570	169	1996-12-24	VYDAJ	VYBER	2700	51238	\N	\N	\N
50571	169	1997-12-24	VYDAJ	VYBER	1100	56675	\N	\N	\N
50572	169	1998-12-27	VYDAJ	VYBER	500	66918	\N	\N	\N
50577	169	1996-08-21	VYDAJ	VYBER	2500	50658	\N	\N	\N
50578	169	1996-10-18	VYDAJ	VYBER	2200	50850	\N	\N	\N
50579	169	1996-04-12	VYDAJ	VYBER	1100	32392	\N	\N	\N
50580	169	1996-03-03	VYDAJ	VYBER	3800	37700	\N	\N	\N
50581	169	1996-03-07	VYDAJ	VYBER	1200	31525	\N	\N	\N
50582	169	1997-03-19	VYDAJ	VYBER	1200	59408	\N	\N	\N
50583	169	1997-07-01	VYDAJ	VYBER	3000	61720	\N	\N	\N
50584	169	1997-12-07	VYDAJ	VYBER	1600	46587	\N	\N	\N
50585	169	1997-03-04	VYDAJ	VYBER	3200	52791	\N	\N	\N
50586	169	1997-03-21	VYDAJ	VYBER	3700	54408	\N	\N	\N
50587	169	1997-08-26	VYDAJ	VYBER	2100	57496	\N	\N	\N
50588	169	1998-11-11	VYDAJ	VYBER	3200	49472	\N	\N	\N
50589	169	1998-12-12	VYDAJ	VYBER	3400	48230	\N	\N	\N
50590	169	1998-02-08	VYDAJ	VYBER	2300	46648	\N	\N	\N
50591	169	1998-03-19	VYDAJ	VYBER	700	54855	\N	\N	\N
50592	169	1998-10-24	VYDAJ	VYBER	1700	65593	\N	\N	\N
50593	169	1998-11-05	VYDAJ	VYBER	4900	60947	\N	\N	\N
50594	169	1998-02-13	VYDAJ	VYBER	4000	55440	\N	\N	\N
50595	169	1998-09-16	VYDAJ	VYBER	3400	62938	\N	\N	\N
50610	169	1996-02-29	VYDAJ	VYBER	15	41500	SLUZBY	\N	\N
50611	169	1996-03-31	VYDAJ	VYBER	15	38467	SLUZBY	\N	\N
50612	169	1996-04-30	VYDAJ	VYBER	15	41943	SLUZBY	\N	\N
50613	169	1996-05-31	VYDAJ	VYBER	15	41632	SLUZBY	\N	\N
50614	169	1996-06-30	VYDAJ	VYBER	15	47631	SLUZBY	\N	\N
50615	169	1996-07-31	VYDAJ	VYBER	15	45341	SLUZBY	\N	\N
50616	169	1996-08-31	VYDAJ	VYBER	15	43039	SLUZBY	\N	\N
50617	169	1996-09-30	VYDAJ	VYBER	15	45233	SLUZBY	\N	\N
50618	169	1996-10-31	VYDAJ	VYBER	15	43630	SLUZBY	\N	\N
50619	169	1996-11-30	VYDAJ	VYBER	15	45625	SLUZBY	\N	\N
50620	169	1996-12-31	VYDAJ	VYBER	15	51438	SLUZBY	\N	\N
50621	169	1997-01-31	VYDAJ	VYBER	15	51461	SLUZBY	\N	\N
50622	169	1997-02-28	VYDAJ	VYBER	15	55991	SLUZBY	\N	\N
50623	169	1997-03-31	VYDAJ	VYBER	15	54625	SLUZBY	\N	\N
50624	169	1997-04-30	VYDAJ	VYBER	15	61773	SLUZBY	\N	\N
50625	169	1997-05-31	VYDAJ	VYBER	15	64043	SLUZBY	\N	\N
50626	169	1997-06-30	VYDAJ	VYBER	15	64720	SLUZBY	\N	\N
50627	169	1997-07-31	VYDAJ	VYBER	15	60279	SLUZBY	\N	\N
50628	169	1997-08-31	VYDAJ	VYBER	15	57734	SLUZBY	\N	\N
50629	169	1997-09-30	VYDAJ	VYBER	15	58482	SLUZBY	\N	\N
50630	169	1997-10-31	VYDAJ	VYBER	15	57128	SLUZBY	\N	\N
50631	169	1997-11-30	VYDAJ	VYBER	15	53162	SLUZBY	\N	\N
50632	169	1997-12-31	VYDAJ	VYBER	15	56890	SLUZBY	\N	\N
50633	169	1998-01-31	VYDAJ	VYBER	15	53923	SLUZBY	\N	\N
50634	169	1998-02-28	VYDAJ	VYBER	15	51238	SLUZBY	\N	\N
50635	169	1998-03-31	VYDAJ	VYBER	15	55064	SLUZBY	\N	\N
50636	169	1998-04-30	VYDAJ	VYBER	15	55497	SLUZBY	\N	\N
50637	169	1998-05-31	VYDAJ	VYBER	15	55030	SLUZBY	\N	\N
50638	169	1998-06-30	VYDAJ	VYBER	15	55145	SLUZBY	\N	\N
50639	169	1998-07-31	VYDAJ	VYBER	15	57582	SLUZBY	\N	\N
50640	169	1998-08-31	VYDAJ	VYBER	15	57421	SLUZBY	\N	\N
50641	169	1998-09-30	VYDAJ	VYBER	15	63176	SLUZBY	\N	\N
50642	169	1998-10-31	VYDAJ	VYBER	15	65847	SLUZBY	\N	\N
50643	169	1998-11-30	VYDAJ	VYBER	15	62505	SLUZBY	\N	\N
50644	169	1995-10-28	PRIJEM	VKLAD	7100	20392	\N	\N	\N
50645	169	1995-11-27	VYDAJ	VYBER	2700	30495	\N	\N	\N
50646	169	1995-12-27	VYDAJ	VYBER	12000	37774	\N	\N	\N
50647	169	1996-01-26	VYDAJ	VYBER	11200	39498	\N	\N	\N
50648	169	1996-02-25	VYDAJ	VYBER	11100	41348	\N	\N	\N
50649	169	1996-03-26	VYDAJ	VYBER	6000	38317	\N	\N	\N
50650	169	1996-04-25	VYDAJ	VYBER	3400	41784	\N	\N	\N
50651	169	1996-05-25	VYDAJ	VYBER	8300	41460	\N	\N	\N
50652	169	1996-06-24	VYDAJ	VYBER	8400	47445	\N	\N	\N
50653	169	1996-07-24	VYDAJ	VYBER	10300	45148	\N	\N	\N
50654	169	1996-08-23	VYDAJ	VYBER	7800	42858	\N	\N	\N
50655	169	1996-09-22	VYDAJ	VYBER	5800	45056	\N	\N	\N
50656	169	1996-10-22	VYDAJ	VYBER	7400	43450	\N	\N	\N
50657	169	1996-11-21	VYDAJ	VYBER	6000	45447	\N	\N	\N
50658	169	1996-12-21	VYDAJ	VYBER	5900	53938	\N	\N	\N
50659	169	1997-01-20	VYDAJ	VYBER	8000	51255	\N	\N	\N
50660	169	1997-02-19	VYDAJ	VYBER	3500	55778	\N	\N	\N
50661	169	1997-03-21	VYDAJ	VYBER	1300	58108	\N	\N	\N
50662	169	1997-04-20	VYDAJ	VYBER	900	61542	\N	\N	\N
50663	169	1997-05-20	VYDAJ	VYBER	5800	63790	\N	\N	\N
50664	169	1997-06-19	VYDAJ	VYBER	8700	64456	\N	\N	\N
50665	169	1997-07-19	VYDAJ	VYBER	9500	60037	\N	\N	\N
50666	169	1997-08-18	VYDAJ	VYBER	8500	59596	\N	\N	\N
50667	169	1997-09-17	VYDAJ	VYBER	7300	58251	\N	\N	\N
50668	169	1997-10-17	VYDAJ	VYBER	9400	56899	\N	\N	\N
50669	169	1997-11-16	VYDAJ	VYBER	12000	52945	\N	\N	\N
50670	169	1997-12-16	VYDAJ	VYBER	8000	57775	\N	\N	\N
50671	169	1998-01-15	VYDAJ	VYBER	11000	53707	\N	\N	\N
50672	169	1998-02-14	VYDAJ	VYBER	4400	51040	\N	\N	\N
50673	169	1998-03-16	VYDAJ	VYBER	3500	55555	\N	\N	\N
50674	169	1998-04-15	VYDAJ	VYBER	7600	55281	\N	\N	\N
50675	169	1998-05-15	VYDAJ	VYBER	8500	54814	\N	\N	\N
50676	169	1998-06-14	PRIJEM	VKLAD	300	54943	\N	\N	\N
50677	169	1998-07-14	VYDAJ	VYBER	5600	57362	\N	\N	\N
50678	169	1998-08-13	VYDAJ	VYBER	8200	57199	\N	\N	\N
50679	169	1998-09-12	PRIJEM	VKLAD	1100	53546	\N	\N	\N
50680	169	1998-10-12	VYDAJ	VYBER	3700	54501	\N	\N	\N
50681	169	1998-11-11	VYDAJ	VYBER	3300	52672	\N	\N	\N
50682	169	1998-12-11	VYDAJ	VYBER	5900	51630	\N	\N	\N
50722	170	1996-07-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
50729	170	1996-07-10	PRIJEM	VKLAD	17066	18066	\N	\N	\N
50730	170	1996-08-10	PRIJEM	VKLAD	17066	42385	\N	\N	\N
50731	170	1996-09-10	PRIJEM	VKLAD	17066	53598	\N	\N	\N
50732	170	1996-10-10	PRIJEM	VKLAD	17066	58517	\N	\N	\N
50733	170	1996-11-10	PRIJEM	VKLAD	17066	58755	\N	\N	\N
50734	170	1996-12-10	PRIJEM	VKLAD	25599	67013	\N	\N	\N
50735	170	1997-01-10	PRIJEM	VKLAD	17066	60063	\N	\N	\N
50736	170	1997-02-10	PRIJEM	VKLAD	17066	55538	\N	\N	\N
50737	170	1997-03-10	PRIJEM	VKLAD	17066	60001	\N	\N	\N
50738	170	1997-04-10	PRIJEM	VKLAD	17066	60932	\N	\N	\N
50739	170	1997-05-10	PRIJEM	VKLAD	17066	56290	\N	\N	\N
50740	170	1997-06-10	PRIJEM	VKLAD	25599	54685	\N	\N	\N
50741	170	1997-07-10	PRIJEM	VKLAD	17066	60243	\N	\N	\N
50742	170	1997-08-10	PRIJEM	VKLAD	17066	58273	\N	\N	\N
50743	170	1997-09-10	PRIJEM	VKLAD	17066	59096	\N	\N	\N
50744	170	1997-10-10	PRIJEM	VKLAD	17066	61424	\N	\N	\N
50745	170	1997-11-10	PRIJEM	VKLAD	17066	60559	\N	\N	\N
50746	170	1997-12-10	PRIJEM	VKLAD	25599	62632	\N	\N	\N
50747	170	1998-01-10	PRIJEM	VKLAD	17066	58597	\N	\N	\N
50748	170	1998-02-10	PRIJEM	VKLAD	17066	53950	\N	\N	\N
50749	170	1998-03-10	PRIJEM	VKLAD	17066	57289	\N	\N	\N
50750	170	1998-04-10	PRIJEM	VKLAD	17066	63733	\N	\N	\N
50751	170	1998-05-10	PRIJEM	VKLAD	17066	65180	\N	\N	\N
50752	170	1998-06-10	PRIJEM	VKLAD	25599	68566	\N	\N	\N
50753	170	1998-07-10	PRIJEM	VKLAD	17066	65854	\N	\N	\N
50754	170	1998-08-10	PRIJEM	VKLAD	17066	65407	\N	\N	\N
50755	170	1998-09-10	PRIJEM	VKLAD	17066	72068	\N	\N	\N
50756	170	1998-10-10	PRIJEM	VKLAD	17066	75954	\N	\N	\N
50757	170	1998-11-10	PRIJEM	VKLAD	17066	72148	\N	\N	\N
50758	170	1998-12-10	PRIJEM	VKLAD	25599	79183	\N	\N	\N
50760	170	1997-06-06	VYDAJ	VYBER	13800	29086	\N	\N	\N
50761	170	1998-06-03	VYDAJ	VYBER	6800	42967	\N	\N	\N
50762	170	1996-12-27	VYDAJ	VYBER	2500	61513	\N	\N	\N
50763	170	1997-12-06	VYDAJ	VYBER	2800	37033	\N	\N	\N
50764	170	1998-12-24	VYDAJ	VYBER	1200	55883	\N	\N	\N
50771	170	1997-01-07	VYDAJ	VYBER	1900	43697	\N	\N	\N
50772	170	1997-01-29	VYDAJ	VYBER	2200	44063	\N	\N	\N
50773	170	1997-01-03	VYDAJ	VYBER	700	46597	\N	\N	\N
50774	170	1997-01-05	VYDAJ	VYBER	1000	45597	\N	\N	\N
50775	170	1997-01-09	VYDAJ	VYBER	700	42997	\N	\N	\N
50776	170	1997-01-30	VYDAJ	VYBER	900	43163	\N	\N	\N
50777	170	1998-01-23	VYDAJ	VYBER	500	40797	\N	\N	\N
50778	170	1998-01-30	VYDAJ	VYBER	1700	37397	\N	\N	\N
50779	170	1998-01-21	VYDAJ	VYBER	1500	55097	\N	\N	\N
50780	170	1998-01-24	VYDAJ	VYBER	1700	39097	\N	\N	\N
50781	170	1998-01-10	VYDAJ	VYBER	2000	56597	\N	\N	\N
50782	170	1998-01-22	VYDAJ	VYBER	1200	53897	\N	\N	\N
50785	170	1996-12-21	VYDAJ	VYBER	3000	64013	\N	\N	\N
50788	170	1997-11-24	VYDAJ	VYBER	4200	56359	\N	\N	\N
50789	170	1997-11-29	VYDAJ	VYBER	3200	39659	\N	\N	\N
50790	170	1997-02-09	VYDAJ	VYBER	4900	38472	\N	\N	\N
50791	170	1997-04-14	VYDAJ	VYBER	4400	56532	\N	\N	\N
50792	170	1997-04-26	VYDAJ	VYBER	1400	55132	\N	\N	\N
50793	170	1997-05-01	VYDAJ	VYBER	3800	39224	\N	\N	\N
50794	170	1998-02-07	VYDAJ	VYBER	700	36884	\N	\N	\N
50795	170	1998-03-15	VYDAJ	VYBER	1300	55989	\N	\N	\N
50796	170	1998-11-05	VYDAJ	VYBER	3300	55082	\N	\N	\N
50797	170	1998-01-07	VYDAJ	VYBER	2900	41531	\N	\N	\N
50809	170	1996-11-30	VYDAJ	VYBER	15	41414	SLUZBY	\N	\N
50810	170	1996-12-31	VYDAJ	VYBER	15	47297	SLUZBY	\N	\N
50811	170	1997-01-31	VYDAJ	VYBER	15	43372	SLUZBY	\N	\N
50812	170	1997-02-28	VYDAJ	VYBER	15	42935	SLUZBY	\N	\N
50813	170	1997-03-31	VYDAJ	VYBER	15	43866	SLUZBY	\N	\N
50814	170	1997-04-30	VYDAJ	VYBER	15	43024	SLUZBY	\N	\N
50815	170	1997-05-31	VYDAJ	VYBER	15	42886	SLUZBY	\N	\N
50816	170	1997-06-30	VYDAJ	VYBER	15	43177	SLUZBY	\N	\N
50817	170	1997-07-31	VYDAJ	VYBER	15	41207	SLUZBY	\N	\N
50818	170	1997-08-31	VYDAJ	VYBER	15	42030	SLUZBY	\N	\N
50819	170	1997-09-30	VYDAJ	VYBER	15	44358	SLUZBY	\N	\N
50820	170	1997-10-31	VYDAJ	VYBER	15	43493	SLUZBY	\N	\N
50821	170	1997-11-30	VYDAJ	VYBER	15	39833	SLUZBY	\N	\N
50822	170	1997-12-31	VYDAJ	VYBER	15	44431	SLUZBY	\N	\N
50823	170	1998-01-31	VYDAJ	VYBER	15	37584	SLUZBY	\N	\N
50824	170	1998-02-28	VYDAJ	VYBER	15	40223	SLUZBY	\N	\N
50825	170	1998-03-31	VYDAJ	VYBER	15	46667	SLUZBY	\N	\N
50826	170	1998-04-30	VYDAJ	VYBER	15	48114	SLUZBY	\N	\N
50827	170	1998-05-31	VYDAJ	VYBER	15	49767	SLUZBY	\N	\N
50828	170	1998-06-30	VYDAJ	VYBER	15	48788	SLUZBY	\N	\N
50829	170	1998-07-31	VYDAJ	VYBER	15	48341	SLUZBY	\N	\N
50830	170	1998-08-31	VYDAJ	VYBER	15	55002	SLUZBY	\N	\N
50831	170	1998-09-30	VYDAJ	VYBER	15	58888	SLUZBY	\N	\N
50832	170	1998-10-31	VYDAJ	VYBER	15	58382	SLUZBY	\N	\N
50833	170	1998-11-30	VYDAJ	VYBER	15	53584	SLUZBY	\N	\N
50834	170	1996-08-01	PRIJEM	VKLAD	7200	25319	\N	\N	\N
50835	170	1996-08-31	VYDAJ	VYBER	6000	36532	\N	\N	\N
50836	170	1996-09-30	VYDAJ	VYBER	12300	41451	\N	\N	\N
50837	170	1996-10-30	VYDAJ	VYBER	17000	41517	\N	\N	\N
50838	170	1996-11-29	VYDAJ	VYBER	17500	41255	\N	\N	\N
50839	170	1996-12-29	VYDAJ	VYBER	14400	47113	\N	\N	\N
50840	170	1997-01-28	VYDAJ	VYBER	13800	46263	\N	\N	\N
50841	170	1997-02-27	VYDAJ	VYBER	12800	42738	\N	\N	\N
50842	170	1997-03-29	VYDAJ	VYBER	16300	43701	\N	\N	\N
50843	170	1997-04-28	VYDAJ	VYBER	12300	42832	\N	\N	\N
50844	170	1997-05-28	VYDAJ	VYBER	13600	42690	\N	\N	\N
50845	170	1997-06-27	VYDAJ	VYBER	11700	42985	\N	\N	\N
50846	170	1997-07-27	VYDAJ	VYBER	19200	41043	\N	\N	\N
50847	170	1997-08-26	VYDAJ	VYBER	16400	41873	\N	\N	\N
50848	170	1997-09-25	VYDAJ	VYBER	14900	44196	\N	\N	\N
50849	170	1997-10-25	VYDAJ	VYBER	18100	43324	\N	\N	\N
50850	170	1997-11-24	VYDAJ	VYBER	13500	42859	\N	\N	\N
50851	170	1997-12-24	VYDAJ	VYBER	18400	44232	\N	\N	\N
50852	170	1998-01-23	VYDAJ	VYBER	12600	41297	\N	\N	\N
50853	170	1998-02-22	VYDAJ	VYBER	13900	40050	\N	\N	\N
50854	170	1998-03-24	VYDAJ	VYBER	9500	46489	\N	\N	\N
50855	170	1998-04-23	VYDAJ	VYBER	15800	47933	\N	\N	\N
50856	170	1998-05-23	VYDAJ	VYBER	15600	49580	\N	\N	\N
50857	170	1998-06-22	VYDAJ	VYBER	20000	48566	\N	\N	\N
50858	170	1998-07-22	VYDAJ	VYBER	17700	48154	\N	\N	\N
50859	170	1998-08-21	VYDAJ	VYBER	10600	54807	\N	\N	\N
50860	170	1998-09-20	VYDAJ	VYBER	13400	58668	\N	\N	\N
50861	170	1998-10-20	VYDAJ	VYBER	17800	58154	\N	\N	\N
50862	170	1998-11-19	VYDAJ	VYBER	18800	53348	\N	\N	\N
50863	170	1998-12-19	VYDAJ	VYBER	22100	57083	\N	\N	\N
50894	171	1996-06-08	PRIJEM	VKLAD	500	500	\N	\N	\N
50900	171	1996-06-13	PRIJEM	PREVOD Z UCTU	6003	6503	DUCHOD	MN	97819196
50901	171	1996-07-13	PRIJEM	PREVOD Z UCTU	6003	12522	DUCHOD	MN	97819196
50902	171	1996-08-13	PRIJEM	PREVOD Z UCTU	6003	18552	DUCHOD	MN	97819196
50903	171	1996-09-13	PRIJEM	PREVOD Z UCTU	6003	24582	DUCHOD	MN	97819196
50904	171	1996-10-13	PRIJEM	PREVOD Z UCTU	6003	30613	DUCHOD	MN	97819196
50905	171	1996-11-13	PRIJEM	PREVOD Z UCTU	6003	33192	DUCHOD	MN	97819196
50906	171	1996-12-13	PRIJEM	PREVOD Z UCTU	6003	31930	DUCHOD	MN	97819196
50907	171	1997-01-13	PRIJEM	PREVOD Z UCTU	6003	29697	DUCHOD	MN	97819196
50908	171	1997-02-13	PRIJEM	PREVOD Z UCTU	6003	24136	DUCHOD	MN	97819196
50909	171	1997-03-13	PRIJEM	PREVOD Z UCTU	6003	26720	DUCHOD	MN	97819196
50910	171	1997-04-13	PRIJEM	PREVOD Z UCTU	6003	27415	DUCHOD	MN	97819196
50911	171	1997-05-13	PRIJEM	PREVOD Z UCTU	6003	27456	DUCHOD	MN	97819196
50912	171	1997-06-13	PRIJEM	PREVOD Z UCTU	6003	27655	DUCHOD	MN	97819196
50913	171	1997-07-13	PRIJEM	PREVOD Z UCTU	6003	23388	DUCHOD	MN	97819196
50914	171	1997-08-13	PRIJEM	PREVOD Z UCTU	6003	24672	DUCHOD	MN	97819196
50915	171	1997-09-13	PRIJEM	PREVOD Z UCTU	6003	27160	DUCHOD	MN	97819196
50916	171	1997-10-13	PRIJEM	PREVOD Z UCTU	6003	23457	DUCHOD	MN	97819196
50917	171	1997-11-13	PRIJEM	PREVOD Z UCTU	6003	20609	DUCHOD	MN	97819196
50918	171	1997-12-13	PRIJEM	PREVOD Z UCTU	6003	21979	DUCHOD	MN	97819196
50919	171	1998-01-13	PRIJEM	PREVOD Z UCTU	6003	19455	DUCHOD	MN	97819196
50920	171	1998-02-13	PRIJEM	PREVOD Z UCTU	6003	19854	DUCHOD	MN	97819196
50921	171	1998-03-13	PRIJEM	PREVOD Z UCTU	6003	22420	DUCHOD	MN	97819196
50922	171	1998-04-13	PRIJEM	PREVOD Z UCTU	6003	20756	DUCHOD	MN	97819196
50923	171	1998-05-13	PRIJEM	PREVOD Z UCTU	6003	21732	DUCHOD	MN	97819196
50924	171	1998-06-13	PRIJEM	PREVOD Z UCTU	6003	20804	DUCHOD	MN	97819196
50925	171	1998-07-13	PRIJEM	PREVOD Z UCTU	6003	22373	DUCHOD	MN	97819196
50926	171	1998-08-13	PRIJEM	PREVOD Z UCTU	6003	21686	DUCHOD	MN	97819196
50927	171	1998-09-13	PRIJEM	PREVOD Z UCTU	6003	17555	DUCHOD	MN	97819196
50928	171	1998-10-13	PRIJEM	PREVOD Z UCTU	6003	20111	DUCHOD	MN	97819196
50929	171	1998-11-13	PRIJEM	PREVOD Z UCTU	6003	22678	DUCHOD	MN	97819196
50930	171	1998-12-13	PRIJEM	PREVOD Z UCTU	6003	22153	DUCHOD	MN	97819196
50940	171	1996-10-14	VYDAJ	PREVOD NA UCET	3486	27127	SIPO	UV	5356938
50941	171	1996-11-14	VYDAJ	PREVOD NA UCET	3486	29706	SIPO	UV	5356938
50942	171	1996-12-14	VYDAJ	PREVOD NA UCET	3486	28444	SIPO	UV	5356938
50943	171	1997-01-14	VYDAJ	PREVOD NA UCET	3486	22691	SIPO	UV	5356938
50944	171	1997-02-14	VYDAJ	PREVOD NA UCET	3486	20650	SIPO	UV	5356938
50945	171	1997-03-14	VYDAJ	PREVOD NA UCET	3486	23234	SIPO	UV	5356938
50946	171	1997-04-14	VYDAJ	PREVOD NA UCET	3486	23929	SIPO	UV	5356938
50947	171	1997-05-14	VYDAJ	PREVOD NA UCET	3486	23970	SIPO	UV	5356938
50948	171	1997-06-14	VYDAJ	PREVOD NA UCET	3486	24169	SIPO	UV	5356938
50949	171	1997-07-14	VYDAJ	PREVOD NA UCET	3486	19902	SIPO	UV	5356938
50950	171	1997-08-14	VYDAJ	PREVOD NA UCET	3486	21186	SIPO	UV	5356938
50951	171	1997-09-14	VYDAJ	PREVOD NA UCET	3486	23674	SIPO	UV	5356938
50952	171	1997-10-14	VYDAJ	PREVOD NA UCET	3486	19971	SIPO	UV	5356938
50953	171	1997-11-14	VYDAJ	PREVOD NA UCET	3486	17123	SIPO	UV	5356938
50954	171	1997-12-14	VYDAJ	PREVOD NA UCET	3486	18493	SIPO	UV	5356938
50955	171	1998-01-14	VYDAJ	PREVOD NA UCET	3486	15969	SIPO	UV	5356938
50956	171	1998-02-14	VYDAJ	PREVOD NA UCET	3486	16368	SIPO	UV	5356938
50957	171	1998-03-14	VYDAJ	PREVOD NA UCET	3486	18934	SIPO	UV	5356938
50958	171	1998-04-14	VYDAJ	PREVOD NA UCET	3486	17270	SIPO	UV	5356938
50959	171	1998-05-14	VYDAJ	PREVOD NA UCET	3486	18246	SIPO	UV	5356938
50960	171	1998-06-14	VYDAJ	PREVOD NA UCET	3486	17318	SIPO	UV	5356938
50961	171	1998-07-14	VYDAJ	PREVOD NA UCET	3486	18887	SIPO	UV	5356938
50962	171	1998-08-14	VYDAJ	PREVOD NA UCET	3486	18200	SIPO	UV	5356938
50963	171	1998-09-14	VYDAJ	PREVOD NA UCET	3486	14069	SIPO	UV	5356938
50964	171	1998-10-14	VYDAJ	PREVOD NA UCET	3486	16625	SIPO	UV	5356938
50965	171	1998-11-14	VYDAJ	PREVOD NA UCET	3486	19192	SIPO	UV	5356938
50966	171	1998-12-14	VYDAJ	PREVOD NA UCET	3486	17767	SIPO	UV	5356938
50968	171	1997-06-26	VYDAJ	VYBER	2700	18909	\N	\N	\N
50971	171	1997-01-04	VYDAJ	VYBER	4450	23694	\N	\N	\N
50973	171	1996-12-16	VYDAJ	VYBER	400	28044	\N	\N	\N
50974	171	1997-12-02	VYDAJ	VYBER	600	15976	\N	\N	\N
50975	171	1998-12-13	VYDAJ	VYBER	900	21253	\N	\N	\N
50982	171	1997-01-13	VYDAJ	VYBER	1360	28337	\N	\N	\N
50983	171	1997-01-17	VYDAJ	VYBER	480	20611	\N	\N	\N
50984	171	1997-01-18	VYDAJ	VYBER	1840	18771	\N	\N	\N
50985	171	1997-01-18	VYDAJ	VYBER	720	18051	\N	\N	\N
50986	171	1997-01-14	VYDAJ	VYBER	2160	26177	\N	\N	\N
50987	171	1997-01-16	VYDAJ	VYBER	1600	21091	\N	\N	\N
50989	171	1998-01-15	VYDAJ	VYBER	2160	13809	\N	\N	\N
50994	171	1996-11-24	VYDAJ	VYBER	3680	26026	\N	\N	\N
51001	171	1997-08-04	VYDAJ	VYBER	800	18669	\N	\N	\N
51002	171	1997-07-05	VYDAJ	VYBER	1600	17385	\N	\N	\N
51003	171	1997-05-07	VYDAJ	VYBER	2560	21453	\N	\N	\N
51004	171	1997-05-18	VYDAJ	VYBER	2400	21570	\N	\N	\N
51005	171	1997-06-22	VYDAJ	VYBER	2560	21609	\N	\N	\N
51006	171	1997-11-01	VYDAJ	VYBER	640	14606	\N	\N	\N
51007	171	1998-04-05	VYDAJ	VYBER	3440	14753	\N	\N	\N
51008	171	1998-07-16	VYDAJ	VYBER	960	17927	\N	\N	\N
51011	171	1998-12-17	VYDAJ	VYBER	2240	15527	\N	\N	\N
51022	171	1996-10-31	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
51023	171	1996-11-30	VYDAJ	VYBER	15	26127	SLUZBY	\N	\N
51024	171	1996-12-31	VYDAJ	VYBER	15	28144	SLUZBY	\N	\N
51025	171	1997-01-31	VYDAJ	VYBER	15	18133	SLUZBY	\N	\N
51026	171	1997-02-28	VYDAJ	VYBER	15	20717	SLUZBY	\N	\N
51027	171	1997-03-31	VYDAJ	VYBER	15	23312	SLUZBY	\N	\N
51028	171	1997-04-30	VYDAJ	VYBER	15	24013	SLUZBY	\N	\N
51029	171	1997-05-31	VYDAJ	VYBER	15	21652	SLUZBY	\N	\N
51030	171	1997-06-30	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
51031	171	1997-07-31	VYDAJ	VYBER	15	19969	SLUZBY	\N	\N
51032	171	1997-08-31	VYDAJ	VYBER	15	21257	SLUZBY	\N	\N
51033	171	1997-09-30	VYDAJ	VYBER	15	23754	SLUZBY	\N	\N
51034	171	1997-10-31	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
51035	171	1997-11-30	VYDAJ	VYBER	15	17176	SLUZBY	\N	\N
51036	171	1997-12-31	VYDAJ	VYBER	15	13452	SLUZBY	\N	\N
51037	171	1998-01-31	VYDAJ	VYBER	15	13851	SLUZBY	\N	\N
51038	171	1998-02-28	VYDAJ	VYBER	15	16417	SLUZBY	\N	\N
51039	171	1998-03-31	VYDAJ	VYBER	15	18193	SLUZBY	\N	\N
51040	171	1998-04-30	VYDAJ	VYBER	15	15729	SLUZBY	\N	\N
51041	171	1998-05-31	VYDAJ	VYBER	15	14801	SLUZBY	\N	\N
51042	171	1998-06-30	VYDAJ	VYBER	15	16370	SLUZBY	\N	\N
51043	171	1998-07-31	VYDAJ	VYBER	15	15683	SLUZBY	\N	\N
51044	171	1998-08-31	VYDAJ	VYBER	15	11552	SLUZBY	\N	\N
51045	171	1998-09-30	VYDAJ	VYBER	15	14108	SLUZBY	\N	\N
51046	171	1998-10-31	VYDAJ	VYBER	15	16675	SLUZBY	\N	\N
51047	171	1998-11-30	VYDAJ	VYBER	15	16150	SLUZBY	\N	\N
51048	171	1996-12-05	VYDAJ	VYBER	200	25927	\N	\N	\N
51049	171	1997-04-04	VYDAJ	VYBER	1900	21412	\N	\N	\N
51050	171	1997-08-02	VYDAJ	VYBER	500	19469	\N	\N	\N
51051	171	1997-09-01	VYDAJ	VYBER	100	21157	\N	\N	\N
51052	171	1997-10-01	VYDAJ	VYBER	6300	17454	\N	\N	\N
51053	171	1997-10-31	VYDAJ	VYBER	4800	15260	\N	\N	\N
51054	171	1997-11-30	VYDAJ	VYBER	600	16576	\N	\N	\N
51055	171	1997-12-30	VYDAJ	VYBER	5100	13393	\N	\N	\N
51056	171	1998-03-30	VYDAJ	VYBER	800	18134	\N	\N	\N
51057	171	1998-04-29	VYDAJ	VYBER	1600	15670	\N	\N	\N
51058	171	1998-05-29	VYDAJ	VYBER	3500	14746	\N	\N	\N
51059	171	1998-06-28	VYDAJ	VYBER	1000	16318	\N	\N	\N
51060	171	1998-07-28	VYDAJ	VYBER	2300	15627	\N	\N	\N
51061	171	1998-08-27	VYDAJ	VYBER	6700	11500	\N	\N	\N
51062	171	1998-11-25	VYDAJ	VYBER	3100	16092	\N	\N	\N
51094	172	1993-08-30	PRIJEM	VKLAD	700	700	\N	\N	\N
51103	172	1993-09-07	PRIJEM	VKLAD	22389	23089	\N	\N	\N
51104	172	1993-10-07	PRIJEM	VKLAD	22389	48285	\N	\N	\N
51105	172	1993-11-07	PRIJEM	VKLAD	22389	59387	\N	\N	\N
51106	172	1993-12-07	PRIJEM	VKLAD	33584	76827	\N	\N	\N
51107	172	1994-01-07	PRIJEM	VKLAD	22389	73500	\N	\N	\N
51108	172	1994-02-07	PRIJEM	VKLAD	22389	51932	\N	\N	\N
51109	172	1994-03-07	PRIJEM	VKLAD	22389	59547	\N	\N	\N
51110	172	1994-04-07	PRIJEM	VKLAD	22389	62593	\N	\N	\N
51111	172	1994-05-07	PRIJEM	VKLAD	22389	66652	\N	\N	\N
51112	172	1994-06-07	PRIJEM	VKLAD	33584	73737	\N	\N	\N
51113	172	1994-07-07	PRIJEM	VKLAD	22389	45525	\N	\N	\N
51114	172	1994-08-07	PRIJEM	VKLAD	22389	51831	\N	\N	\N
51115	172	1994-09-07	PRIJEM	VKLAD	22389	60845	\N	\N	\N
51116	172	1994-10-07	PRIJEM	VKLAD	22389	62087	\N	\N	\N
51117	172	1994-11-07	PRIJEM	VKLAD	22389	64035	\N	\N	\N
51118	172	1994-12-07	PRIJEM	VKLAD	33584	78164	\N	\N	\N
51119	172	1995-01-07	PRIJEM	VKLAD	22389	59442	\N	\N	\N
51120	172	1995-02-07	PRIJEM	VKLAD	22389	48141	\N	\N	\N
51121	172	1995-03-07	PRIJEM	VKLAD	22389	57243	\N	\N	\N
51122	172	1995-04-07	PRIJEM	VKLAD	22389	64374	\N	\N	\N
51123	172	1995-05-07	PRIJEM	VKLAD	22389	63824	\N	\N	\N
51124	172	1995-06-07	PRIJEM	VKLAD	33584	68471	\N	\N	\N
51125	172	1995-07-07	PRIJEM	VKLAD	22389	63085	\N	\N	\N
51126	172	1995-08-07	PRIJEM	VKLAD	22389	67133	\N	\N	\N
51127	172	1995-09-07	PRIJEM	VKLAD	22389	65186	\N	\N	\N
51128	172	1995-10-07	PRIJEM	VKLAD	22389	64293	\N	\N	\N
51129	172	1995-11-07	PRIJEM	VKLAD	22389	67740	\N	\N	\N
51130	172	1995-12-07	PRIJEM	VKLAD	33584	78889	\N	\N	\N
51131	172	1996-01-07	PRIJEM	VKLAD	22389	67656	\N	\N	\N
51132	172	1996-02-07	PRIJEM	VKLAD	22389	52561	\N	\N	\N
51133	172	1996-03-07	PRIJEM	VKLAD	22389	53277	\N	\N	\N
51134	172	1996-04-07	PRIJEM	VKLAD	22389	56674	\N	\N	\N
51135	172	1996-05-07	PRIJEM	VKLAD	22389	61787	\N	\N	\N
51136	172	1996-06-07	PRIJEM	VKLAD	33584	69560	\N	\N	\N
51137	172	1996-07-07	PRIJEM	VKLAD	22389	68292	\N	\N	\N
51138	172	1996-08-07	PRIJEM	VKLAD	22389	66134	\N	\N	\N
51139	172	1996-09-07	PRIJEM	VKLAD	22389	62503	\N	\N	\N
51140	172	1996-10-07	PRIJEM	VKLAD	22389	58812	\N	\N	\N
51141	172	1996-11-07	PRIJEM	VKLAD	22389	59216	\N	\N	\N
51142	172	1996-12-07	PRIJEM	VKLAD	33584	62422	\N	\N	\N
51143	172	1997-01-07	PRIJEM	VKLAD	22389	58459	\N	\N	\N
51144	172	1997-02-07	PRIJEM	VKLAD	22389	45092	\N	\N	\N
51145	172	1997-03-07	PRIJEM	VKLAD	22389	53463	\N	\N	\N
51146	172	1997-04-07	PRIJEM	VKLAD	22389	54346	\N	\N	\N
51147	172	1997-05-07	PRIJEM	VKLAD	22389	54331	\N	\N	\N
51148	172	1997-06-07	PRIJEM	VKLAD	33584	64991	\N	\N	\N
51149	172	1997-07-07	PRIJEM	VKLAD	22389	65107	\N	\N	\N
51150	172	1997-08-07	PRIJEM	VKLAD	22389	62830	\N	\N	\N
51151	172	1997-09-07	PRIJEM	VKLAD	22389	59741	\N	\N	\N
51152	172	1997-10-07	PRIJEM	VKLAD	22389	60050	\N	\N	\N
51153	172	1997-11-07	PRIJEM	VKLAD	22389	60762	\N	\N	\N
51154	172	1997-12-07	PRIJEM	VKLAD	33584	66842	\N	\N	\N
51155	172	1998-01-07	PRIJEM	VKLAD	22389	50757	\N	\N	\N
51156	172	1998-02-07	PRIJEM	VKLAD	22389	47207	\N	\N	\N
51157	172	1998-03-07	PRIJEM	VKLAD	22389	60847	\N	\N	\N
51158	172	1998-04-07	PRIJEM	VKLAD	22389	56951	\N	\N	\N
51159	172	1998-05-07	PRIJEM	VKLAD	22389	62509	\N	\N	\N
51160	172	1998-06-07	PRIJEM	VKLAD	33584	77195	\N	\N	\N
51161	172	1998-07-07	PRIJEM	VKLAD	22389	58496	\N	\N	\N
51162	172	1998-08-07	PRIJEM	VKLAD	22389	60364	\N	\N	\N
51163	172	1998-09-07	PRIJEM	VKLAD	22389	58949	\N	\N	\N
51164	172	1998-10-07	PRIJEM	VKLAD	22389	61230	\N	\N	\N
51165	172	1998-11-07	PRIJEM	VKLAD	22389	63018	\N	\N	\N
51166	172	1998-12-07	PRIJEM	VKLAD	33584	76823	\N	\N	\N
51179	172	1994-01-13	VYDAJ	PREVOD NA UCET	4221	49439	SIPO	OP	11598539
51180	172	1994-02-13	VYDAJ	PREVOD NA UCET	4221	47711	SIPO	OP	11598539
51181	172	1994-03-13	VYDAJ	PREVOD NA UCET	4221	55326	SIPO	OP	11598539
51182	172	1994-04-13	VYDAJ	PREVOD NA UCET	4221	58372	SIPO	OP	11598539
51183	172	1994-05-13	VYDAJ	PREVOD NA UCET	4221	62431	SIPO	OP	11598539
51184	172	1994-06-13	VYDAJ	PREVOD NA UCET	4221	20036	SIPO	OP	11598539
51185	172	1994-07-13	VYDAJ	PREVOD NA UCET	4221	41304	SIPO	OP	11598539
51186	172	1994-08-13	VYDAJ	PREVOD NA UCET	4221	47610	SIPO	OP	11598539
51187	172	1994-09-13	VYDAJ	PREVOD NA UCET	4221	56624	SIPO	OP	11598539
51188	172	1994-10-13	VYDAJ	PREVOD NA UCET	4221	57866	SIPO	OP	11598539
51189	172	1994-11-13	VYDAJ	PREVOD NA UCET	4221	59814	SIPO	OP	11598539
51190	172	1994-12-13	VYDAJ	PREVOD NA UCET	4221	72023	SIPO	OP	11598539
51191	172	1995-01-13	VYDAJ	PREVOD NA UCET	4221	52341	SIPO	OP	11598539
51192	172	1995-02-13	VYDAJ	PREVOD NA UCET	4221	42120	SIPO	OP	11598539
51193	172	1995-03-13	VYDAJ	PREVOD NA UCET	4221	53022	SIPO	OP	11598539
51194	172	1995-04-13	VYDAJ	PREVOD NA UCET	4221	60153	SIPO	OP	11598539
51195	172	1995-05-13	VYDAJ	PREVOD NA UCET	4221	59603	SIPO	OP	11598539
51196	172	1995-06-13	VYDAJ	PREVOD NA UCET	4221	64250	SIPO	OP	11598539
51197	172	1995-07-13	VYDAJ	PREVOD NA UCET	4221	58864	SIPO	OP	11598539
51198	172	1995-08-13	VYDAJ	PREVOD NA UCET	4221	62912	SIPO	OP	11598539
51199	172	1995-09-13	VYDAJ	PREVOD NA UCET	4221	60965	SIPO	OP	11598539
51200	172	1995-10-13	VYDAJ	PREVOD NA UCET	4221	60072	SIPO	OP	11598539
51201	172	1995-11-13	VYDAJ	PREVOD NA UCET	4221	63519	SIPO	OP	11598539
51202	172	1995-12-13	VYDAJ	PREVOD NA UCET	4221	74668	SIPO	OP	11598539
51203	172	1996-01-13	VYDAJ	PREVOD NA UCET	4221	58955	SIPO	OP	11598539
51204	172	1996-02-13	VYDAJ	PREVOD NA UCET	4221	47500	SIPO	OP	11598539
51205	172	1996-03-13	VYDAJ	PREVOD NA UCET	4221	49056	SIPO	OP	11598539
51206	172	1996-04-13	VYDAJ	PREVOD NA UCET	4221	52453	SIPO	OP	11598539
51207	172	1996-05-13	VYDAJ	PREVOD NA UCET	4221	57566	SIPO	OP	11598539
51208	172	1996-06-13	VYDAJ	PREVOD NA UCET	4221	65339	SIPO	OP	11598539
51209	172	1996-07-13	VYDAJ	PREVOD NA UCET	4221	64071	SIPO	OP	11598539
51210	172	1996-08-13	VYDAJ	PREVOD NA UCET	4221	61913	SIPO	OP	11598539
51211	172	1996-09-13	VYDAJ	PREVOD NA UCET	4221	58282	SIPO	OP	11598539
51212	172	1996-10-13	VYDAJ	PREVOD NA UCET	4221	36691	SIPO	OP	11598539
51213	172	1996-11-13	VYDAJ	PREVOD NA UCET	4221	32795	SIPO	OP	11598539
51214	172	1996-12-13	VYDAJ	PREVOD NA UCET	4221	38901	SIPO	OP	11598539
51215	172	1997-01-13	VYDAJ	PREVOD NA UCET	4221	34058	SIPO	OP	11598539
51216	172	1997-02-13	VYDAJ	PREVOD NA UCET	4221	30971	SIPO	OP	11598539
51217	172	1997-03-13	VYDAJ	PREVOD NA UCET	4221	31842	SIPO	OP	11598539
51218	172	1997-04-13	VYDAJ	PREVOD NA UCET	4221	31825	SIPO	OP	11598539
51219	172	1997-05-13	VYDAJ	PREVOD NA UCET	4221	35010	SIPO	OP	11598539
51220	172	1997-06-13	VYDAJ	PREVOD NA UCET	4221	42570	SIPO	OP	11598539
51221	172	1997-07-13	VYDAJ	PREVOD NA UCET	4221	40286	SIPO	OP	11598539
51222	172	1997-08-13	VYDAJ	PREVOD NA UCET	4221	37209	SIPO	OP	11598539
51223	172	1997-09-13	VYDAJ	PREVOD NA UCET	4221	37520	SIPO	OP	11598539
51224	172	1997-10-13	VYDAJ	PREVOD NA UCET	4221	38229	SIPO	OP	11598539
51225	172	1997-11-13	VYDAJ	PREVOD NA UCET	4221	33121	SIPO	OP	11598539
51226	172	1997-12-13	VYDAJ	PREVOD NA UCET	4221	41221	SIPO	OP	11598539
51227	172	1998-01-13	VYDAJ	PREVOD NA UCET	4221	43656	SIPO	OP	11598539
51228	172	1998-02-13	VYDAJ	PREVOD NA UCET	4221	42986	SIPO	OP	11598539
51229	172	1998-03-13	VYDAJ	PREVOD NA UCET	4221	35826	SIPO	OP	11598539
51230	172	1998-04-13	VYDAJ	PREVOD NA UCET	4221	52730	SIPO	OP	11598539
51231	172	1998-05-13	VYDAJ	PREVOD NA UCET	4221	58288	SIPO	OP	11598539
51232	172	1998-06-13	VYDAJ	PREVOD NA UCET	4221	72974	SIPO	OP	11598539
51233	172	1998-07-13	VYDAJ	PREVOD NA UCET	4221	54275	SIPO	OP	11598539
51234	172	1998-08-13	VYDAJ	PREVOD NA UCET	4221	56143	SIPO	OP	11598539
51235	172	1998-09-13	VYDAJ	PREVOD NA UCET	4221	54728	SIPO	OP	11598539
51236	172	1998-10-13	VYDAJ	PREVOD NA UCET	4221	57009	SIPO	OP	11598539
51237	172	1998-11-13	VYDAJ	PREVOD NA UCET	4221	58797	SIPO	OP	11598539
51238	172	1998-12-13	VYDAJ	PREVOD NA UCET	4221	70202	SIPO	OP	11598539
51240	172	1994-06-11	VYDAJ	VYBER	46720	27017	\N	\N	\N
51241	172	1995-06-02	VYDAJ	VYBER	9600	34887	\N	\N	\N
51244	172	1998-06-25	VYDAJ	VYBER	23680	49294	\N	\N	\N
51246	172	1994-01-11	VYDAJ	VYBER	12640	53660	\N	\N	\N
51247	172	1995-01-06	VYDAJ	VYBER	12000	37053	\N	\N	\N
51248	172	1996-01-10	VYDAJ	VYBER	4480	63176	\N	\N	\N
51249	172	1997-01-26	VYDAJ	VYBER	4160	22578	\N	\N	\N
51250	172	1998-01-21	VYDAJ	VYBER	7040	34096	\N	\N	\N
51252	172	1994-12-09	VYDAJ	VYBER	1920	76244	\N	\N	\N
51253	172	1995-12-15	VYDAJ	VYBER	1120	73548	\N	\N	\N
51254	172	1996-12-15	VYDAJ	VYBER	1280	37621	\N	\N	\N
51255	172	1997-12-28	VYDAJ	VYBER	3040	38181	\N	\N	\N
51256	172	1998-12-08	VYDAJ	VYBER KARTOU	2400	74423	\N	\N	0
51263	172	1994-01-24	VYDAJ	VYBER	1680	44999	\N	\N	\N
51264	172	1994-01-14	VYDAJ	VYBER	2760	46679	\N	\N	\N
51266	172	1994-01-28	VYDAJ	VYBER	960	31639	\N	\N	\N
51267	172	1994-01-28	VYDAJ	VYBER	2280	29359	\N	\N	\N
51268	172	1994-01-08	VYDAJ	VYBER	2520	70980	\N	\N	\N
51269	172	1995-01-24	VYDAJ	VYBER	960	27981	\N	\N	\N
51270	172	1995-01-19	VYDAJ	VYBER	2520	46701	\N	\N	\N
51271	172	1995-01-28	VYDAJ	VYBER	960	27021	\N	\N	\N
51272	172	1995-01-29	VYDAJ	VYBER	1440	25581	\N	\N	\N
51273	172	1995-01-12	VYDAJ	VYBER	2880	56562	\N	\N	\N
51274	172	1995-01-18	VYDAJ	VYBER	3120	49221	\N	\N	\N
51275	172	1996-01-29	VYDAJ	VYBER	960	33715	\N	\N	\N
51276	172	1996-01-05	VYDAJ	VYBER	2400	45267	\N	\N	\N
51277	172	1996-01-05	VYDAJ	VYBER	1320	47667	\N	\N	\N
51278	172	1996-01-25	VYDAJ	VYBER	2280	34675	\N	\N	\N
51279	172	1996-01-14	VYDAJ	VYBER	3360	55595	\N	\N	\N
51280	172	1996-01-14	VYDAJ	VYBER	3240	52355	\N	\N	\N
51281	172	1997-01-25	VYDAJ	VYBER	1920	26738	\N	\N	\N
51282	172	1997-01-15	VYDAJ	VYBER	1200	32858	\N	\N	\N
51283	172	1997-01-16	VYDAJ	VYBER	2520	30338	\N	\N	\N
51284	172	1997-01-20	VYDAJ	VYBER	1680	28658	\N	\N	\N
51285	172	1997-01-01	VYDAJ	VYBER	1680	36070	\N	\N	\N
51286	172	1997-01-08	VYDAJ	VYBER	1680	56779	\N	\N	\N
51287	172	1998-01-12	VYDAJ	VYBER	2880	47877	\N	\N	\N
51288	172	1998-01-14	VYDAJ	VYBER	2520	41136	\N	\N	\N
51289	172	1998-01-24	VYDAJ	VYBER	1920	32176	\N	\N	\N
51290	172	1998-01-28	VYDAJ	VYBER	1680	29176	\N	\N	\N
51291	172	1998-01-04	VYDAJ	VYBER	1680	36668	\N	\N	\N
51292	172	1998-01-25	VYDAJ	VYBER	1320	30856	\N	\N	\N
51297	172	1994-01-10	VYDAJ	VYBER	4680	66300	\N	\N	\N
51298	172	1994-06-12	VYDAJ	VYBER	2760	24257	\N	\N	\N
51299	172	1994-11-18	VYDAJ	VYBER	720	59094	\N	\N	\N
51300	172	1994-05-30	VYDAJ	VYBER	2280	39951	\N	\N	\N
51301	172	1994-07-26	VYDAJ	VYBER	4080	37224	\N	\N	\N
51302	172	1995-01-23	VYDAJ	VYBER	5160	28941	\N	\N	\N
51303	172	1995-09-19	VYDAJ	VYBER	4560	56405	\N	\N	\N
51304	172	1995-02-09	VYDAJ	VYBER	1800	46341	\N	\N	\N
51305	172	1995-06-18	VYDAJ	VYBER	1200	63050	\N	\N	\N
51306	172	1995-06-22	VYDAJ	VYBER	5760	40490	\N	\N	\N
51307	172	1995-12-20	VYDAJ	VYBER	2160	48788	\N	\N	\N
51308	172	1996-02-26	VYDAJ	VYBER	5160	30740	\N	\N	\N
51309	172	1996-02-05	VYDAJ	VYBER	3720	30172	\N	\N	\N
51310	172	1996-02-07	VYDAJ	VYBER	840	51721	\N	\N	\N
51311	172	1996-11-25	VYDAJ	VYBER	4080	28715	\N	\N	\N
51312	172	1996-08-18	VYDAJ	VYBER	2760	39953	\N	\N	\N
51313	172	1996-05-20	VYDAJ	VYBER	5640	35826	\N	\N	\N
51314	172	1997-11-10	VYDAJ	VYBER	3120	37342	\N	\N	\N
51315	172	1997-05-16	VYDAJ	VYBER	3720	31290	\N	\N	\N
51316	172	1998-07-03	VYDAJ	VYBER	720	43307	\N	\N	\N
51317	172	1998-11-23	VYDAJ	VYBER	4080	54717	\N	\N	\N
51318	172	1998-12-24	VYDAJ	VYBER	5760	64442	\N	\N	\N
51319	172	1998-02-13	VYDAJ	VYBER	4680	38306	\N	\N	\N
51320	172	1998-06-26	VYDAJ	VYBER	5520	43774	\N	\N	\N
51334	172	1994-01-31	VYDAJ	VYBER	15	29543	SLUZBY	\N	\N
51335	172	1994-02-28	VYDAJ	VYBER	15	37158	SLUZBY	\N	\N
51336	172	1994-03-31	VYDAJ	VYBER	15	40204	SLUZBY	\N	\N
51337	172	1994-04-30	VYDAJ	VYBER	15	44263	SLUZBY	\N	\N
51338	172	1994-05-31	VYDAJ	VYBER	15	40153	SLUZBY	\N	\N
51339	172	1994-06-30	VYDAJ	VYBER	15	23136	SLUZBY	\N	\N
51340	172	1994-07-31	VYDAJ	VYBER	15	29442	SLUZBY	\N	\N
51341	172	1994-08-31	VYDAJ	VYBER	15	38456	SLUZBY	\N	\N
51342	172	1994-09-30	VYDAJ	VYBER	15	39698	SLUZBY	\N	\N
51343	172	1994-10-31	VYDAJ	VYBER	15	41646	SLUZBY	\N	\N
51344	172	1994-11-30	VYDAJ	VYBER	15	44580	SLUZBY	\N	\N
51345	172	1994-12-31	VYDAJ	VYBER	15	49053	SLUZBY	\N	\N
51346	172	1995-01-31	VYDAJ	VYBER	15	25752	SLUZBY	\N	\N
51347	172	1995-02-28	VYDAJ	VYBER	15	34854	SLUZBY	\N	\N
51348	172	1995-03-31	VYDAJ	VYBER	15	41985	SLUZBY	\N	\N
51349	172	1995-04-30	VYDAJ	VYBER	15	41435	SLUZBY	\N	\N
51350	172	1995-05-31	VYDAJ	VYBER	15	44487	SLUZBY	\N	\N
51351	172	1995-06-30	VYDAJ	VYBER	15	40696	SLUZBY	\N	\N
51352	172	1995-07-31	VYDAJ	VYBER	15	44744	SLUZBY	\N	\N
51353	172	1995-08-31	VYDAJ	VYBER	15	42797	SLUZBY	\N	\N
51354	172	1995-09-30	VYDAJ	VYBER	15	41904	SLUZBY	\N	\N
51355	172	1995-10-31	VYDAJ	VYBER	15	45351	SLUZBY	\N	\N
51356	172	1995-11-30	VYDAJ	VYBER	15	45305	SLUZBY	\N	\N
51357	172	1995-12-31	VYDAJ	VYBER	15	48987	SLUZBY	\N	\N
51358	172	1996-01-31	VYDAJ	VYBER	15	33892	SLUZBY	\N	\N
51359	172	1996-02-29	VYDAJ	VYBER	15	30888	SLUZBY	\N	\N
51360	172	1996-03-31	VYDAJ	VYBER	15	34285	SLUZBY	\N	\N
51361	172	1996-04-30	VYDAJ	VYBER	15	39398	SLUZBY	\N	\N
51362	172	1996-05-31	VYDAJ	VYBER	15	35976	SLUZBY	\N	\N
51363	172	1996-06-30	VYDAJ	VYBER	15	45903	SLUZBY	\N	\N
51364	172	1996-07-31	VYDAJ	VYBER	15	43745	SLUZBY	\N	\N
51365	172	1996-08-31	VYDAJ	VYBER	15	40114	SLUZBY	\N	\N
51366	172	1996-09-30	VYDAJ	VYBER	15	36423	SLUZBY	\N	\N
51367	172	1996-10-31	VYDAJ	VYBER	15	36827	SLUZBY	\N	\N
51368	172	1996-11-30	VYDAJ	VYBER	15	28838	SLUZBY	\N	\N
51369	172	1996-12-31	VYDAJ	VYBER	15	37750	SLUZBY	\N	\N
51370	172	1997-01-31	VYDAJ	VYBER	15	22703	SLUZBY	\N	\N
51371	172	1997-02-28	VYDAJ	VYBER	15	31074	SLUZBY	\N	\N
51372	172	1997-03-31	VYDAJ	VYBER	15	31957	SLUZBY	\N	\N
51373	172	1997-04-30	VYDAJ	VYBER	15	31942	SLUZBY	\N	\N
51374	172	1997-05-31	VYDAJ	VYBER	15	31407	SLUZBY	\N	\N
51375	172	1997-06-30	VYDAJ	VYBER	15	42718	SLUZBY	\N	\N
51376	172	1997-07-31	VYDAJ	VYBER	15	40441	SLUZBY	\N	\N
51377	172	1997-08-31	VYDAJ	VYBER	15	37352	SLUZBY	\N	\N
51378	172	1997-09-30	VYDAJ	VYBER	15	37661	SLUZBY	\N	\N
51379	172	1997-10-31	VYDAJ	VYBER	15	38373	SLUZBY	\N	\N
51380	172	1997-11-30	VYDAJ	VYBER	15	33258	SLUZBY	\N	\N
51381	172	1997-12-31	VYDAJ	VYBER	15	38348	SLUZBY	\N	\N
51382	172	1998-01-31	VYDAJ	VYBER	15	29318	SLUZBY	\N	\N
51383	172	1998-02-28	VYDAJ	VYBER	15	38458	SLUZBY	\N	\N
51384	172	1998-03-31	VYDAJ	VYBER	15	35962	SLUZBY	\N	\N
51385	172	1998-04-30	VYDAJ	VYBER	15	52920	SLUZBY	\N	\N
51386	172	1998-05-31	VYDAJ	VYBER	15	58511	SLUZBY	\N	\N
51387	172	1998-06-30	VYDAJ	VYBER	15	44027	SLUZBY	\N	\N
51388	172	1998-07-31	VYDAJ	VYBER	15	54475	SLUZBY	\N	\N
51389	172	1998-08-31	VYDAJ	VYBER	15	56360	SLUZBY	\N	\N
51390	172	1998-09-30	VYDAJ	VYBER	15	54941	SLUZBY	\N	\N
51391	172	1998-10-31	VYDAJ	VYBER	15	57229	SLUZBY	\N	\N
51392	172	1998-11-30	VYDAJ	VYBER	15	54939	SLUZBY	\N	\N
51393	172	1993-09-29	PRIJEM	VKLAD	2800	25889	\N	\N	\N
51394	172	1993-10-29	VYDAJ	VYBER	11400	36885	\N	\N	\N
51395	172	1993-11-28	VYDAJ	VYBER	16300	43087	\N	\N	\N
51396	172	1993-12-28	VYDAJ	VYBER	25900	50927	\N	\N	\N
51397	172	1994-01-27	VYDAJ	VYBER	12400	32599	\N	\N	\N
51398	172	1994-02-26	VYDAJ	VYBER	10700	37011	\N	\N	\N
51399	172	1994-03-28	VYDAJ	VYBER	15300	40026	\N	\N	\N
51400	172	1994-04-27	VYDAJ	VYBER	14300	44072	\N	\N	\N
51401	172	1994-05-27	VYDAJ	VYBER	20200	42231	\N	\N	\N
51402	172	1994-06-26	PRIJEM	VKLAD	3000	23036	\N	\N	\N
51403	172	1994-07-26	VYDAJ	VYBER	7900	29324	\N	\N	\N
51404	172	1994-08-25	VYDAJ	VYBER	9300	38310	\N	\N	\N
51405	172	1994-09-24	VYDAJ	VYBER	17100	39524	\N	\N	\N
51406	172	1994-10-24	VYDAJ	VYBER	16400	41466	\N	\N	\N
51407	172	1994-11-23	VYDAJ	VYBER	14700	44394	\N	\N	\N
51408	172	1994-12-23	VYDAJ	VYBER	23200	48823	\N	\N	\N
51409	172	1995-01-22	VYDAJ	VYBER	12600	34101	\N	\N	\N
51410	172	1995-02-21	VYDAJ	VYBER	7400	34720	\N	\N	\N
51411	172	1995-03-23	VYDAJ	VYBER	11200	41822	\N	\N	\N
51412	172	1995-04-22	VYDAJ	VYBER	18900	41253	\N	\N	\N
51413	172	1995-05-22	VYDAJ	VYBER	15300	44303	\N	\N	\N
51414	172	1995-06-21	VYDAJ	VYBER	16800	46250	\N	\N	\N
51415	172	1995-07-21	VYDAJ	VYBER	14300	44564	\N	\N	\N
51416	172	1995-08-20	VYDAJ	VYBER	20300	42612	\N	\N	\N
51417	172	1995-09-19	VYDAJ	VYBER	14700	41705	\N	\N	\N
51418	172	1995-10-19	VYDAJ	VYBER	14900	45172	\N	\N	\N
51419	172	1995-11-18	VYDAJ	VYBER	18400	45119	\N	\N	\N
51420	172	1995-12-18	VYDAJ	VYBER	22600	50948	\N	\N	\N
51421	172	1996-01-17	VYDAJ	VYBER	15400	36955	\N	\N	\N
51422	172	1996-02-16	VYDAJ	VYBER	11600	35900	\N	\N	\N
51423	172	1996-03-17	VYDAJ	VYBER	14900	34156	\N	\N	\N
51424	172	1996-04-16	VYDAJ	VYBER	13200	39253	\N	\N	\N
51425	172	1996-05-16	VYDAJ	VYBER	16100	41466	\N	\N	\N
51426	172	1996-06-15	VYDAJ	VYBER	19600	45739	\N	\N	\N
51427	172	1996-07-15	VYDAJ	VYBER	20500	43571	\N	\N	\N
51428	172	1996-08-14	VYDAJ	VYBER	19200	42713	\N	\N	\N
51429	172	1996-09-13	VYDAJ	VYBER	22000	36282	\N	\N	\N
51430	172	1996-10-13	VYDAJ	VYBER	17900	40912	\N	\N	\N
51431	172	1996-11-12	VYDAJ	VYBER	22200	37016	\N	\N	\N
51432	172	1996-12-12	VYDAJ	VYBER	19300	43122	\N	\N	\N
51433	172	1997-01-11	VYDAJ	VYBER	18500	38279	\N	\N	\N
51434	172	1997-02-10	VYDAJ	VYBER	9900	35192	\N	\N	\N
51435	172	1997-03-12	VYDAJ	VYBER	17400	36063	\N	\N	\N
51436	172	1997-04-11	VYDAJ	VYBER	18300	36046	\N	\N	\N
51437	172	1997-05-11	VYDAJ	VYBER	15100	39231	\N	\N	\N
51438	172	1997-06-10	VYDAJ	VYBER	18200	46791	\N	\N	\N
51439	172	1997-07-10	VYDAJ	VYBER	20600	44507	\N	\N	\N
51440	172	1997-08-09	VYDAJ	VYBER	21400	41430	\N	\N	\N
51441	172	1997-09-08	VYDAJ	VYBER	18000	41741	\N	\N	\N
51442	172	1997-10-08	VYDAJ	VYBER	17600	42450	\N	\N	\N
51443	172	1997-11-07	VYDAJ	VYBER	20300	40462	\N	\N	\N
51444	172	1997-12-07	VYDAJ	VYBER	21400	45442	\N	\N	\N
51445	172	1998-01-06	VYDAJ	VYBER	8300	28368	\N	\N	\N
51446	172	1998-02-05	VYDAJ	VYBER	4500	24818	\N	\N	\N
51447	172	1998-03-07	VYDAJ	VYBER	20800	40047	\N	\N	\N
51448	172	1998-04-06	VYDAJ	VYBER	1400	34562	\N	\N	\N
51449	172	1998-05-06	VYDAJ	VYBER	12800	40120	\N	\N	\N
51450	172	1998-06-05	VYDAJ	VYBER	14900	43611	\N	\N	\N
51451	172	1998-07-05	VYDAJ	VYBER	7200	36107	\N	\N	\N
51452	172	1998-08-04	VYDAJ	VYBER	16500	37975	\N	\N	\N
51453	172	1998-09-03	VYDAJ	VYBER	19800	36560	\N	\N	\N
51454	172	1998-10-03	VYDAJ	VYBER	16100	38841	\N	\N	\N
51455	172	1998-11-02	VYDAJ	VYBER	16600	40629	\N	\N	\N
51456	172	1998-12-02	VYDAJ	VYBER	11700	43239	\N	\N	\N
51521	173	1993-11-26	PRIJEM	VKLAD	500	500	\N	\N	\N
51533	173	1993-12-09	PRIJEM	VKLAD	25970	26470	\N	\N	\N
51534	173	1994-01-09	PRIJEM	VKLAD	17313	41503	\N	\N	\N
51535	173	1994-02-09	PRIJEM	VKLAD	17313	52226	\N	\N	\N
51536	173	1994-03-09	PRIJEM	VKLAD	17313	56788	\N	\N	\N
51537	173	1994-04-09	PRIJEM	VKLAD	17313	57865	\N	\N	\N
51538	173	1994-05-09	PRIJEM	VKLAD	17313	49323	\N	\N	\N
51539	173	1994-06-09	PRIJEM	VKLAD	25970	54115	\N	\N	\N
51540	173	1994-07-09	PRIJEM	VKLAD	17313	46608	\N	\N	\N
51541	173	1994-08-09	PRIJEM	VKLAD	17313	43284	\N	\N	\N
51542	173	1994-09-09	PRIJEM	VKLAD	17313	42551	\N	\N	\N
51543	173	1994-10-09	PRIJEM	VKLAD	17313	41212	\N	\N	\N
51544	173	1994-11-09	PRIJEM	VKLAD	17313	43875	\N	\N	\N
51545	173	1994-12-09	PRIJEM	VKLAD	25970	51299	\N	\N	\N
51546	173	1995-01-09	PRIJEM	VKLAD	17313	36998	\N	\N	\N
51547	173	1995-02-09	PRIJEM	VKLAD	17313	34004	\N	\N	\N
51548	173	1995-03-09	PRIJEM	VKLAD	17313	38540	\N	\N	\N
51549	173	1995-04-09	PRIJEM	VKLAD	17313	42994	\N	\N	\N
51550	173	1995-05-09	PRIJEM	VKLAD	17313	42057	\N	\N	\N
51551	173	1995-06-09	PRIJEM	VKLAD	25970	39555	\N	\N	\N
51552	173	1995-07-09	PRIJEM	VKLAD	17313	45960	\N	\N	\N
51553	173	1995-08-09	PRIJEM	VKLAD	17313	45177	\N	\N	\N
51554	173	1995-09-09	PRIJEM	VKLAD	17313	39192	\N	\N	\N
51555	173	1995-10-09	PRIJEM	VKLAD	17313	34997	\N	\N	\N
51556	173	1995-11-09	PRIJEM	VKLAD	17313	46709	\N	\N	\N
51557	173	1995-12-09	PRIJEM	VKLAD	25970	54093	\N	\N	\N
51558	173	1996-01-09	PRIJEM	VKLAD	17313	36294	\N	\N	\N
51559	173	1996-02-09	PRIJEM	VKLAD	17313	35417	\N	\N	\N
51560	173	1996-03-09	PRIJEM	VKLAD	17313	34011	\N	\N	\N
51561	173	1996-04-09	PRIJEM	VKLAD	17313	44916	\N	\N	\N
51562	173	1996-05-09	PRIJEM	VKLAD	17313	50739	\N	\N	\N
51563	173	1996-06-09	PRIJEM	VKLAD	25970	45908	\N	\N	\N
51564	173	1996-07-09	PRIJEM	VKLAD	17313	52241	\N	\N	\N
51565	173	1996-08-09	PRIJEM	VKLAD	17313	46289	\N	\N	\N
51566	173	1996-09-09	PRIJEM	VKLAD	17313	41825	\N	\N	\N
51567	173	1996-10-09	PRIJEM	VKLAD	17313	44340	\N	\N	\N
51568	173	1996-11-09	PRIJEM	VKLAD	17313	41642	\N	\N	\N
51569	173	1996-12-09	PRIJEM	VKLAD	25970	44879	\N	\N	\N
51570	173	1997-01-09	PRIJEM	VKLAD	17313	36017	\N	\N	\N
51571	173	1997-02-09	PRIJEM	VKLAD	17313	34340	\N	\N	\N
51572	173	1997-03-09	PRIJEM	VKLAD	17313	36019	\N	\N	\N
51573	173	1997-04-09	PRIJEM	VKLAD	17313	41915	\N	\N	\N
51574	173	1997-05-09	PRIJEM	VKLAD	17313	39911	\N	\N	\N
51575	173	1997-06-09	PRIJEM	VKLAD	25970	56558	\N	\N	\N
51576	173	1997-07-09	PRIJEM	VKLAD	17313	49852	\N	\N	\N
51577	173	1997-08-09	PRIJEM	VKLAD	17313	46862	\N	\N	\N
51578	173	1997-09-09	PRIJEM	VKLAD	17313	46554	\N	\N	\N
51579	173	1997-10-09	PRIJEM	VKLAD	17313	56204	\N	\N	\N
51580	173	1997-11-09	PRIJEM	VKLAD	17313	54464	\N	\N	\N
51581	173	1997-12-09	PRIJEM	VKLAD	25970	75995	\N	\N	\N
51582	173	1998-01-09	PRIJEM	VKLAD	17313	50795	\N	\N	\N
51583	173	1998-02-09	PRIJEM	VKLAD	17313	42714	\N	\N	\N
51584	173	1998-03-09	PRIJEM	VKLAD	17313	45936	\N	\N	\N
51585	173	1998-04-09	PRIJEM	VKLAD	17313	61847	\N	\N	\N
51586	173	1998-05-09	PRIJEM	VKLAD	17313	67814	\N	\N	\N
51587	173	1998-06-09	PRIJEM	VKLAD	25970	60422	\N	\N	\N
51588	173	1998-07-09	PRIJEM	VKLAD	17313	69073	\N	\N	\N
51589	173	1998-08-09	PRIJEM	VKLAD	17313	78894	\N	\N	\N
51590	173	1998-09-09	PRIJEM	VKLAD	17313	82529	\N	\N	\N
51591	173	1998-10-09	PRIJEM	VKLAD	17313	85651	\N	\N	\N
51592	173	1998-11-09	PRIJEM	VKLAD	17313	70974	\N	\N	\N
51593	173	1998-12-09	PRIJEM	VKLAD	25970	87882	\N	\N	\N
51609	173	1994-04-11	VYDAJ	PREVOD NA UCET	6256	51609	SIPO	KL	95605074
51610	173	1994-05-11	VYDAJ	PREVOD NA UCET	6256	43067	SIPO	KL	95605074
51611	173	1994-06-11	VYDAJ	PREVOD NA UCET	6256	47859	SIPO	KL	95605074
51612	173	1994-07-11	VYDAJ	PREVOD NA UCET	6256	40352	SIPO	KL	95605074
51613	173	1994-08-11	VYDAJ	PREVOD NA UCET	6256	37028	SIPO	KL	95605074
51614	173	1994-09-11	VYDAJ	PREVOD NA UCET	6256	36295	SIPO	KL	95605074
51615	173	1994-10-11	VYDAJ	PREVOD NA UCET	6256	34956	SIPO	KL	95605074
51616	173	1994-11-11	VYDAJ	PREVOD NA UCET	6256	37619	SIPO	KL	95605074
51617	173	1994-12-11	VYDAJ	PREVOD NA UCET	6256	45043	SIPO	KL	95605074
51618	173	1995-01-11	VYDAJ	PREVOD NA UCET	6256	30142	SIPO	KL	95605074
51619	173	1995-02-11	VYDAJ	PREVOD NA UCET	6256	27748	SIPO	KL	95605074
51620	173	1995-03-11	VYDAJ	PREVOD NA UCET	6256	32284	SIPO	KL	95605074
51621	173	1995-04-11	VYDAJ	PREVOD NA UCET	6256	36738	SIPO	KL	95605074
51622	173	1995-05-11	VYDAJ	PREVOD NA UCET	6256	35801	SIPO	KL	95605074
51623	173	1995-06-11	VYDAJ	PREVOD NA UCET	6256	33299	SIPO	KL	95605074
51624	173	1995-07-11	VYDAJ	PREVOD NA UCET	6256	39704	SIPO	KL	95605074
51625	173	1995-08-11	VYDAJ	PREVOD NA UCET	6256	38921	SIPO	KL	95605074
51626	173	1995-09-11	VYDAJ	PREVOD NA UCET	6256	32936	SIPO	KL	95605074
51627	173	1995-10-11	VYDAJ	PREVOD NA UCET	6256	28741	SIPO	KL	95605074
51628	173	1995-11-11	VYDAJ	PREVOD NA UCET	6256	40453	SIPO	KL	95605074
51629	173	1995-12-11	VYDAJ	PREVOD NA UCET	6256	47837	SIPO	KL	95605074
51630	173	1996-01-11	VYDAJ	PREVOD NA UCET	6256	30038	SIPO	KL	95605074
51631	173	1996-02-11	VYDAJ	PREVOD NA UCET	6256	29161	SIPO	KL	95605074
51632	173	1996-03-11	VYDAJ	PREVOD NA UCET	6256	27755	SIPO	KL	95605074
51633	173	1996-04-11	VYDAJ	PREVOD NA UCET	6256	38660	SIPO	KL	95605074
51634	173	1996-05-11	VYDAJ	PREVOD NA UCET	6256	44483	SIPO	KL	95605074
51635	173	1996-06-11	VYDAJ	PREVOD NA UCET	6256	39652	SIPO	KL	95605074
51636	173	1996-07-11	VYDAJ	PREVOD NA UCET	6256	45985	SIPO	KL	95605074
51637	173	1996-08-11	VYDAJ	PREVOD NA UCET	6256	40033	SIPO	KL	95605074
51638	173	1996-09-11	VYDAJ	PREVOD NA UCET	6256	35569	SIPO	KL	95605074
51639	173	1996-10-11	VYDAJ	PREVOD NA UCET	6256	38084	SIPO	KL	95605074
51640	173	1996-11-11	VYDAJ	PREVOD NA UCET	6256	27586	SIPO	KL	95605074
51641	173	1996-12-11	VYDAJ	PREVOD NA UCET	6256	32303	SIPO	KL	95605074
51642	173	1997-01-11	VYDAJ	PREVOD NA UCET	6256	29761	SIPO	KL	95605074
51643	173	1997-02-11	VYDAJ	PREVOD NA UCET	6256	28084	SIPO	KL	95605074
51644	173	1997-03-11	VYDAJ	PREVOD NA UCET	6256	26863	SIPO	KL	95605074
51645	173	1997-04-11	VYDAJ	PREVOD NA UCET	6256	29859	SIPO	KL	95605074
51646	173	1997-05-11	VYDAJ	PREVOD NA UCET	6256	26555	SIPO	KL	95605074
51647	173	1997-06-11	VYDAJ	PREVOD NA UCET	6256	50302	SIPO	KL	95605074
51648	173	1997-07-11	VYDAJ	PREVOD NA UCET	6256	43596	SIPO	KL	95605074
51649	173	1997-08-11	VYDAJ	PREVOD NA UCET	6256	40606	SIPO	KL	95605074
51650	173	1997-09-11	VYDAJ	PREVOD NA UCET	6256	40298	SIPO	KL	95605074
51651	173	1997-10-11	VYDAJ	PREVOD NA UCET	6256	43748	SIPO	KL	95605074
51652	173	1997-11-11	VYDAJ	PREVOD NA UCET	6256	48208	SIPO	KL	95605074
51653	173	1997-12-11	VYDAJ	PREVOD NA UCET	6256	69739	SIPO	KL	95605074
51654	173	1998-01-11	VYDAJ	PREVOD NA UCET	6256	39259	SIPO	KL	95605074
51655	173	1998-02-11	VYDAJ	PREVOD NA UCET	6256	36458	SIPO	KL	95605074
51656	173	1998-03-11	VYDAJ	PREVOD NA UCET	6256	36560	SIPO	KL	95605074
51657	173	1998-04-11	VYDAJ	PREVOD NA UCET	6256	47491	SIPO	KL	95605074
51658	173	1998-05-11	VYDAJ	PREVOD NA UCET	6256	61558	SIPO	KL	95605074
51659	173	1998-06-11	VYDAJ	PREVOD NA UCET	6256	54166	SIPO	KL	95605074
51660	173	1998-07-11	VYDAJ	PREVOD NA UCET	6256	62817	SIPO	KL	95605074
51661	173	1998-08-11	VYDAJ	PREVOD NA UCET	6256	63238	SIPO	KL	95605074
51662	173	1998-09-11	VYDAJ	PREVOD NA UCET	6256	76273	SIPO	KL	95605074
51663	173	1998-10-11	VYDAJ	PREVOD NA UCET	6256	79395	SIPO	KL	95605074
51664	173	1998-11-11	VYDAJ	PREVOD NA UCET	6256	64718	SIPO	KL	95605074
51665	173	1998-12-11	VYDAJ	PREVOD NA UCET	6256	81626	SIPO	KL	95605074
51681	173	1994-04-14	VYDAJ	PREVOD NA UCET	1428	40457	 	KL	26238835
51682	173	1994-05-14	VYDAJ	PREVOD NA UCET	1428	40715	 	KL	26238835
51683	173	1994-06-14	VYDAJ	PREVOD NA UCET	1428	36773	 	KL	26238835
51684	173	1994-07-14	VYDAJ	PREVOD NA UCET	1428	29266	 	KL	26238835
51685	173	1994-08-14	VYDAJ	PREVOD NA UCET	1428	25942	 	KL	26238835
51686	173	1994-09-14	VYDAJ	PREVOD NA UCET	1428	25209	 	KL	26238835
51687	173	1994-10-14	VYDAJ	PREVOD NA UCET	1428	23870	 	KL	26238835
51688	173	1994-11-14	VYDAJ	PREVOD NA UCET	1428	26533	 	KL	26238835
51689	173	1994-12-14	VYDAJ	PREVOD NA UCET	1428	33957	 	KL	26238835
51690	173	1995-01-14	VYDAJ	PREVOD NA UCET	1428	16416	 	KL	26238835
51691	173	1995-02-14	VYDAJ	PREVOD NA UCET	1428	16662	 	KL	26238835
51692	173	1995-03-14	VYDAJ	PREVOD NA UCET	1428	21198	 	KL	26238835
51693	173	1995-04-14	VYDAJ	PREVOD NA UCET	1428	25652	 	KL	26238835
51694	173	1995-05-14	VYDAJ	PREVOD NA UCET	1428	24715	 	KL	26238835
51695	173	1995-06-14	VYDAJ	PREVOD NA UCET	1428	30947	 	KL	26238835
51696	173	1995-07-14	VYDAJ	PREVOD NA UCET	1428	37352	 	KL	26238835
51697	173	1995-08-14	VYDAJ	PREVOD NA UCET	1428	30669	 	KL	26238835
51698	173	1995-09-14	VYDAJ	PREVOD NA UCET	1428	30584	 	KL	26238835
51699	173	1995-10-14	VYDAJ	PREVOD NA UCET	1428	26389	 	KL	26238835
51700	173	1995-11-14	VYDAJ	PREVOD NA UCET	1428	38101	 	KL	26238835
51701	173	1995-12-14	VYDAJ	PREVOD NA UCET	1428	45485	 	KL	26238835
51702	173	1996-01-14	VYDAJ	PREVOD NA UCET	1428	27686	 	KL	26238835
51703	173	1996-02-14	VYDAJ	PREVOD NA UCET	1428	31709	 	KL	26238835
51704	173	1996-03-14	VYDAJ	PREVOD NA UCET	1428	25403	 	KL	26238835
51705	173	1996-04-14	VYDAJ	PREVOD NA UCET	1428	40508	 	KL	26238835
51706	173	1996-05-14	VYDAJ	PREVOD NA UCET	1428	46031	 	KL	26238835
51707	173	1996-06-14	VYDAJ	PREVOD NA UCET	1428	34800	 	KL	26238835
51708	173	1996-07-14	VYDAJ	PREVOD NA UCET	1428	44633	 	KL	26238835
51709	173	1996-08-14	VYDAJ	PREVOD NA UCET	1428	32881	 	KL	26238835
51710	173	1996-09-14	VYDAJ	PREVOD NA UCET	1428	27517	 	KL	26238835
51711	173	1996-10-14	VYDAJ	PREVOD NA UCET	1428	24232	 	KL	26238835
51712	173	1996-11-14	VYDAJ	PREVOD NA UCET	1428	25234	 	KL	26238835
51713	173	1996-12-14	VYDAJ	PREVOD NA UCET	1428	26431	 	KL	26238835
51714	173	1997-01-14	VYDAJ	PREVOD NA UCET	1428	17269	 	KL	26238835
51715	173	1997-02-14	VYDAJ	PREVOD NA UCET	1428	25732	 	KL	26238835
51716	173	1997-03-14	VYDAJ	PREVOD NA UCET	1428	24511	 	KL	26238835
51717	173	1997-04-14	VYDAJ	PREVOD NA UCET	1428	27507	 	KL	26238835
51718	173	1997-05-14	VYDAJ	PREVOD NA UCET	1428	24203	 	KL	26238835
51719	173	1997-06-14	VYDAJ	PREVOD NA UCET	1428	47950	 	KL	26238835
51720	173	1997-07-14	VYDAJ	PREVOD NA UCET	1428	30344	 	KL	26238835
51721	173	1997-08-14	VYDAJ	PREVOD NA UCET	1428	38254	 	KL	26238835
51722	173	1997-09-14	VYDAJ	PREVOD NA UCET	1428	37946	 	KL	26238835
51723	173	1997-10-14	VYDAJ	PREVOD NA UCET	1428	41396	 	KL	26238835
51724	173	1997-11-14	VYDAJ	PREVOD NA UCET	1428	45856	 	KL	26238835
51725	173	1997-12-14	VYDAJ	PREVOD NA UCET	1428	67387	 	KL	26238835
51726	173	1998-01-14	VYDAJ	PREVOD NA UCET	1428	35827	 	KL	26238835
51727	173	1998-02-14	VYDAJ	PREVOD NA UCET	1428	34106	 	KL	26238835
51728	173	1998-03-14	VYDAJ	PREVOD NA UCET	1428	34208	 	KL	26238835
51729	173	1998-04-14	VYDAJ	PREVOD NA UCET	1428	45139	 	KL	26238835
51730	173	1998-05-14	VYDAJ	PREVOD NA UCET	1428	59206	 	KL	26238835
51731	173	1998-06-14	VYDAJ	PREVOD NA UCET	1428	51814	 	KL	26238835
51732	173	1998-07-14	VYDAJ	PREVOD NA UCET	1428	60465	 	KL	26238835
51733	173	1998-08-14	VYDAJ	PREVOD NA UCET	1428	60886	 	KL	26238835
51734	173	1998-09-14	VYDAJ	PREVOD NA UCET	1428	73921	 	KL	26238835
51735	173	1998-10-14	VYDAJ	PREVOD NA UCET	1428	77043	 	KL	26238835
51736	173	1998-11-14	VYDAJ	PREVOD NA UCET	1428	62366	 	KL	26238835
51737	173	1998-12-14	VYDAJ	PREVOD NA UCET	1428	67934	 	KL	26238835
51753	173	1994-04-12	VYDAJ	PREVOD NA UCET	735	50874	POJISTNE	CD	85405385
51754	173	1994-05-12	VYDAJ	PREVOD NA UCET	735	42332	POJISTNE	CD	85405385
51755	173	1994-06-12	VYDAJ	PREVOD NA UCET	735	38390	POJISTNE	CD	85405385
51756	173	1994-07-12	VYDAJ	PREVOD NA UCET	735	39617	POJISTNE	CD	85405385
51757	173	1994-08-12	VYDAJ	PREVOD NA UCET	735	36293	POJISTNE	CD	85405385
51758	173	1994-09-12	VYDAJ	PREVOD NA UCET	735	35560	POJISTNE	CD	85405385
51759	173	1994-10-12	VYDAJ	PREVOD NA UCET	735	34221	POJISTNE	CD	85405385
51760	173	1994-11-12	VYDAJ	PREVOD NA UCET	735	36884	POJISTNE	CD	85405385
51761	173	1994-12-12	VYDAJ	PREVOD NA UCET	735	35574	POJISTNE	CD	85405385
51762	173	1995-01-12	VYDAJ	PREVOD NA UCET	735	20673	POJISTNE	CD	85405385
51763	173	1995-02-12	VYDAJ	PREVOD NA UCET	735	18279	POJISTNE	CD	85405385
51764	173	1995-03-12	VYDAJ	PREVOD NA UCET	735	31549	POJISTNE	CD	85405385
51765	173	1995-04-12	VYDAJ	PREVOD NA UCET	735	27269	POJISTNE	CD	85405385
51766	173	1995-05-12	VYDAJ	PREVOD NA UCET	735	26332	POJISTNE	CD	85405385
51767	173	1995-06-12	VYDAJ	PREVOD NA UCET	735	32564	POJISTNE	CD	85405385
51768	173	1995-07-12	VYDAJ	PREVOD NA UCET	735	38969	POJISTNE	CD	85405385
51769	173	1995-08-12	VYDAJ	PREVOD NA UCET	735	38186	POJISTNE	CD	85405385
51770	173	1995-09-12	VYDAJ	PREVOD NA UCET	735	32201	POJISTNE	CD	85405385
51771	173	1995-10-12	VYDAJ	PREVOD NA UCET	735	28006	POJISTNE	CD	85405385
51772	173	1995-11-12	VYDAJ	PREVOD NA UCET	735	39718	POJISTNE	CD	85405385
51773	173	1995-12-12	VYDAJ	PREVOD NA UCET	735	47102	POJISTNE	CD	85405385
51774	173	1996-01-12	VYDAJ	PREVOD NA UCET	735	29303	POJISTNE	CD	85405385
51775	173	1996-02-12	VYDAJ	PREVOD NA UCET	735	28426	POJISTNE	CD	85405385
51776	173	1996-03-12	VYDAJ	PREVOD NA UCET	735	27020	POJISTNE	CD	85405385
51777	173	1996-04-12	VYDAJ	PREVOD NA UCET	735	37925	POJISTNE	CD	85405385
51778	173	1996-05-12	VYDAJ	PREVOD NA UCET	735	43748	POJISTNE	CD	85405385
51779	173	1996-06-12	VYDAJ	PREVOD NA UCET	735	38917	POJISTNE	CD	85405385
51780	173	1996-07-12	VYDAJ	PREVOD NA UCET	735	45250	POJISTNE	CD	85405385
51781	173	1996-08-12	VYDAJ	PREVOD NA UCET	735	39298	POJISTNE	CD	85405385
51782	173	1996-09-12	VYDAJ	PREVOD NA UCET	735	29134	POJISTNE	CD	85405385
51783	173	1996-10-12	VYDAJ	PREVOD NA UCET	735	25849	POJISTNE	CD	85405385
51784	173	1996-11-12	VYDAJ	PREVOD NA UCET	735	26851	POJISTNE	CD	85405385
51785	173	1996-12-12	VYDAJ	PREVOD NA UCET	735	28048	POJISTNE	CD	85405385
51786	173	1997-01-12	VYDAJ	PREVOD NA UCET	735	26986	POJISTNE	CD	85405385
51787	173	1997-02-12	VYDAJ	PREVOD NA UCET	735	27349	POJISTNE	CD	85405385
51788	173	1997-03-12	VYDAJ	PREVOD NA UCET	735	26128	POJISTNE	CD	85405385
52005	173	1998-01-12	VYDAJ	VYBER	1080	38179	\N	\N	\N
51789	173	1997-04-12	VYDAJ	PREVOD NA UCET	735	29124	POJISTNE	CD	85405385
51790	173	1997-05-12	VYDAJ	PREVOD NA UCET	735	25820	POJISTNE	CD	85405385
51791	173	1997-06-12	VYDAJ	PREVOD NA UCET	735	49567	POJISTNE	CD	85405385
51792	173	1997-07-12	VYDAJ	PREVOD NA UCET	735	31961	POJISTNE	CD	85405385
51793	173	1997-08-12	VYDAJ	PREVOD NA UCET	735	39871	POJISTNE	CD	85405385
51794	173	1997-09-12	VYDAJ	PREVOD NA UCET	735	39563	POJISTNE	CD	85405385
51795	173	1997-10-12	VYDAJ	PREVOD NA UCET	735	43013	POJISTNE	CD	85405385
51796	173	1997-11-12	VYDAJ	PREVOD NA UCET	735	47473	POJISTNE	CD	85405385
51797	173	1997-12-12	VYDAJ	PREVOD NA UCET	735	69004	POJISTNE	CD	85405385
51798	173	1998-01-12	VYDAJ	PREVOD NA UCET	735	37444	POJISTNE	CD	85405385
51799	173	1998-02-12	VYDAJ	PREVOD NA UCET	735	35723	POJISTNE	CD	85405385
51800	173	1998-03-12	VYDAJ	PREVOD NA UCET	735	35825	POJISTNE	CD	85405385
51801	173	1998-04-12	VYDAJ	PREVOD NA UCET	735	46756	POJISTNE	CD	85405385
51802	173	1998-05-12	VYDAJ	PREVOD NA UCET	735	60823	POJISTNE	CD	85405385
51803	173	1998-06-12	VYDAJ	PREVOD NA UCET	735	53431	POJISTNE	CD	85405385
51804	173	1998-07-12	VYDAJ	PREVOD NA UCET	735	62082	POJISTNE	CD	85405385
51805	173	1998-08-12	VYDAJ	PREVOD NA UCET	735	62503	POJISTNE	CD	85405385
51806	173	1998-09-12	VYDAJ	PREVOD NA UCET	735	75538	POJISTNE	CD	85405385
51807	173	1998-10-12	VYDAJ	PREVOD NA UCET	735	78660	POJISTNE	CD	85405385
51808	173	1998-11-12	VYDAJ	PREVOD NA UCET	735	63983	POJISTNE	CD	85405385
51809	173	1998-12-12	VYDAJ	PREVOD NA UCET	735	79451	POJISTNE	CD	85405385
51825	173	1994-04-13	VYDAJ	PREVOD NA UCET	189	50685	 	CD	50065535
51826	173	1994-05-13	VYDAJ	PREVOD NA UCET	189	42143	 	CD	50065535
51827	173	1994-06-13	VYDAJ	PREVOD NA UCET	189	38201	 	CD	50065535
51828	173	1994-07-13	VYDAJ	PREVOD NA UCET	189	30694	 	CD	50065535
51829	173	1994-08-13	VYDAJ	PREVOD NA UCET	189	27370	 	CD	50065535
51830	173	1994-09-13	VYDAJ	PREVOD NA UCET	189	26637	 	CD	50065535
51831	173	1994-10-13	VYDAJ	PREVOD NA UCET	189	25298	 	CD	50065535
51832	173	1994-11-13	VYDAJ	PREVOD NA UCET	189	27961	 	CD	50065535
51833	173	1994-12-13	VYDAJ	PREVOD NA UCET	189	35385	 	CD	50065535
51834	173	1995-01-13	VYDAJ	PREVOD NA UCET	189	17844	 	CD	50065535
51835	173	1995-02-13	VYDAJ	PREVOD NA UCET	189	18090	 	CD	50065535
51836	173	1995-03-13	VYDAJ	PREVOD NA UCET	189	22626	 	CD	50065535
51837	173	1995-04-13	VYDAJ	PREVOD NA UCET	189	27080	 	CD	50065535
51838	173	1995-05-13	VYDAJ	PREVOD NA UCET	189	26143	 	CD	50065535
51839	173	1995-06-13	VYDAJ	PREVOD NA UCET	189	32375	 	CD	50065535
51840	173	1995-07-13	VYDAJ	PREVOD NA UCET	189	38780	 	CD	50065535
51841	173	1995-08-13	VYDAJ	PREVOD NA UCET	189	37997	 	CD	50065535
51842	173	1995-09-13	VYDAJ	PREVOD NA UCET	189	32012	 	CD	50065535
51843	173	1995-10-13	VYDAJ	PREVOD NA UCET	189	27817	 	CD	50065535
51844	173	1995-11-13	VYDAJ	PREVOD NA UCET	189	39529	 	CD	50065535
51845	173	1995-12-13	VYDAJ	PREVOD NA UCET	189	46913	 	CD	50065535
51846	173	1996-01-13	VYDAJ	PREVOD NA UCET	189	29114	 	CD	50065535
51847	173	1996-02-13	VYDAJ	PREVOD NA UCET	189	28237	 	CD	50065535
51848	173	1996-03-13	VYDAJ	PREVOD NA UCET	189	26831	 	CD	50065535
51849	173	1996-04-13	VYDAJ	PREVOD NA UCET	189	37736	 	CD	50065535
51850	173	1996-05-13	VYDAJ	PREVOD NA UCET	189	43559	 	CD	50065535
51851	173	1996-06-13	VYDAJ	PREVOD NA UCET	189	38728	 	CD	50065535
51852	173	1996-07-13	VYDAJ	PREVOD NA UCET	189	46061	 	CD	50065535
51853	173	1996-08-13	VYDAJ	PREVOD NA UCET	189	34309	 	CD	50065535
51854	173	1996-09-13	VYDAJ	PREVOD NA UCET	189	28945	 	CD	50065535
51855	173	1996-10-13	VYDAJ	PREVOD NA UCET	189	25660	 	CD	50065535
51856	173	1996-11-13	VYDAJ	PREVOD NA UCET	189	26662	 	CD	50065535
51857	173	1996-12-13	VYDAJ	PREVOD NA UCET	189	27859	 	CD	50065535
51858	173	1997-01-13	VYDAJ	PREVOD NA UCET	189	26797	 	CD	50065535
51859	173	1997-02-13	VYDAJ	PREVOD NA UCET	189	27160	 	CD	50065535
51860	173	1997-03-13	VYDAJ	PREVOD NA UCET	189	25939	 	CD	50065535
51861	173	1997-04-13	VYDAJ	PREVOD NA UCET	189	28935	 	CD	50065535
51862	173	1997-05-13	VYDAJ	PREVOD NA UCET	189	25631	 	CD	50065535
51863	173	1997-06-13	VYDAJ	PREVOD NA UCET	189	49378	 	CD	50065535
51864	173	1997-07-13	VYDAJ	PREVOD NA UCET	189	31772	 	CD	50065535
51865	173	1997-08-13	VYDAJ	PREVOD NA UCET	189	39682	 	CD	50065535
51866	173	1997-09-13	VYDAJ	PREVOD NA UCET	189	39374	 	CD	50065535
51867	173	1997-10-13	VYDAJ	PREVOD NA UCET	189	42824	 	CD	50065535
51868	173	1997-11-13	VYDAJ	PREVOD NA UCET	189	47284	 	CD	50065535
51869	173	1997-12-13	VYDAJ	PREVOD NA UCET	189	68815	 	CD	50065535
51870	173	1998-01-13	VYDAJ	PREVOD NA UCET	189	37255	 	CD	50065535
51871	173	1998-02-13	VYDAJ	PREVOD NA UCET	189	35534	 	CD	50065535
51872	173	1998-03-13	VYDAJ	PREVOD NA UCET	189	35636	 	CD	50065535
51873	173	1998-04-13	VYDAJ	PREVOD NA UCET	189	46567	 	CD	50065535
51874	173	1998-05-13	VYDAJ	PREVOD NA UCET	189	60634	 	CD	50065535
51875	173	1998-06-13	VYDAJ	PREVOD NA UCET	189	53242	 	CD	50065535
51876	173	1998-07-13	VYDAJ	PREVOD NA UCET	189	61893	 	CD	50065535
51877	173	1998-08-13	VYDAJ	PREVOD NA UCET	189	62314	 	CD	50065535
51878	173	1998-09-13	VYDAJ	PREVOD NA UCET	189	75349	 	CD	50065535
51879	173	1998-10-13	VYDAJ	PREVOD NA UCET	189	78471	 	CD	50065535
51880	173	1998-11-13	VYDAJ	PREVOD NA UCET	189	63794	 	CD	50065535
51881	173	1998-12-13	VYDAJ	PREVOD NA UCET	189	69362	 	CD	50065535
51897	173	1994-04-14	VYDAJ	VYBER	8800	41885	\N	\N	0
51898	173	1994-05-17	VYDAJ	VYBER	8800	31915	\N	\N	0
51899	173	1994-06-12	VYDAJ	PREVOD NA UCET	8734	39125	UVER	UV	38819456
51900	173	1994-07-12	VYDAJ	PREVOD NA UCET	8734	30883	UVER	UV	38819456
51901	173	1994-08-12	VYDAJ	PREVOD NA UCET	8734	27559	UVER	UV	38819456
51902	173	1994-09-12	VYDAJ	PREVOD NA UCET	8734	26826	UVER	UV	38819456
51903	173	1994-10-12	VYDAJ	PREVOD NA UCET	8734	25487	UVER	UV	38819456
51904	173	1994-11-12	VYDAJ	PREVOD NA UCET	8734	28150	UVER	UV	38819456
51905	173	1994-12-12	VYDAJ	PREVOD NA UCET	8734	36309	UVER	UV	38819456
51906	173	1995-01-12	VYDAJ	PREVOD NA UCET	8734	21408	UVER	UV	38819456
51907	173	1995-02-12	VYDAJ	PREVOD NA UCET	8734	19014	UVER	UV	38819456
51908	173	1995-03-12	VYDAJ	PREVOD NA UCET	8734	22815	UVER	UV	38819456
51909	173	1995-04-12	VYDAJ	PREVOD NA UCET	8734	28004	UVER	UV	38819456
51910	173	1995-05-12	VYDAJ	PREVOD NA UCET	8734	27067	UVER	UV	38819456
51911	173	1995-05-29	VYDAJ	VYBER	8200	18615	\N	\N	0
51912	173	1995-07-18	VYDAJ	VYBER	8700	28652	\N	\N	0
51913	173	1995-08-14	VYDAJ	VYBER	5900	32097	\N	\N	0
51914	173	1995-08-31	VYDAJ	VYBER	8600	21894	\N	\N	0
51915	173	1995-10-02	VYDAJ	VYBER	12200	17684	\N	\N	0
51916	173	1995-11-22	VYDAJ	VYBER	13200	28001	\N	\N	0
51917	173	1995-12-26	VYDAJ	VYBER	10300	30965	\N	\N	0
51918	173	1996-01-23	VYDAJ	VYBER	7300	18846	\N	\N	0
51919	173	1996-02-22	VYDAJ	VYBER	6500	25209	\N	\N	0
51920	173	1996-03-08	VYDAJ	VYBER	8600	16698	\N	\N	0
51921	173	1996-04-14	VYDAJ	VYBER	7200	33308	\N	\N	0
51922	173	1996-05-17	VYDAJ	VYBER	10500	35531	\N	\N	0
51923	173	1996-06-08	VYDAJ	VYBER	9000	19938	\N	\N	0
51924	173	1996-07-17	VYDAJ	VYBER	7300	37333	\N	\N	0
51925	173	1996-08-05	VYDAJ	VYBER	8500	28976	\N	\N	0
51926	173	1996-09-04	VYDAJ	VYBER	8500	24512	\N	\N	0
51927	173	1996-10-11	VYDAJ	VYBER	9400	26584	\N	\N	0
51928	173	1996-11-14	VYDAJ	VYBER	6400	18834	\N	\N	0
51929	173	1996-12-15	VYDAJ	VYBER	8300	18131	\N	\N	0
51930	173	1997-01-14	VYDAJ	VYBER	8100	18697	\N	\N	0
51931	173	1997-01-27	VYDAJ	VYBER	8800	8469	\N	\N	0
51932	173	1997-03-04	VYDAJ	VYBER	7100	18706	\N	\N	0
51933	173	1997-04-24	VYDAJ	VYBER	7300	20207	\N	\N	0
51934	173	1997-05-10	VYDAJ	VYBER	7100	32811	\N	\N	0
51935	173	1997-06-24	VYDAJ	VYBER	7000	23510	\N	\N	0
51936	173	1997-07-11	VYDAJ	VYBER	10900	32696	\N	\N	0
51937	173	1997-07-28	VYDAJ	VYBER	9500	20844	\N	\N	0
51938	173	1997-09-06	VYDAJ	VYBER	9600	29241	\N	\N	0
51939	173	1997-10-09	VYDAJ	VYBER	6200	50004	\N	\N	0
51940	173	1997-11-03	VYDAJ	VYBER	8800	32751	\N	\N	0
51941	173	1997-12-27	VYDAJ	VYBER	7900	57567	\N	\N	0
51942	173	1998-01-05	VYDAJ	VYBER	9300	33482	\N	\N	0
51943	173	1998-02-05	VYDAJ	VYBER	11700	25401	\N	\N	0
51944	173	1998-03-03	VYDAJ	VYBER	11000	23223	\N	\N	0
51945	173	1998-04-10	VYDAJ	VYBER	8100	53747	\N	\N	0
51946	173	1998-05-20	VYDAJ	VYBER	6300	52906	\N	\N	0
51947	173	1998-05-31	VYDAJ	VYBER	5800	47326	\N	\N	0
51948	173	1998-07-21	VYDAJ	VYBER	7500	52965	\N	\N	0
51949	173	1998-08-09	VYDAJ	VYBER	9400	69494	\N	\N	0
51950	173	1998-09-17	VYDAJ	VYBER	9300	64621	\N	\N	0
51951	173	1998-10-15	VYDAJ	VYBER	7700	69343	\N	\N	0
51952	173	1998-11-02	VYDAJ	VYBER	11400	53661	\N	\N	0
51953	173	1998-12-13	VYDAJ	VYBER	9900	69551	\N	\N	0
51956	173	1995-06-01	VYDAJ	VYBER	5120	13585	\N	\N	\N
51958	173	1997-06-21	VYDAJ	VYBER	17440	30510	\N	\N	\N
51959	173	1998-06-04	VYDAJ	VYBER	18560	34452	\N	\N	\N
51962	173	1995-01-19	VYDAJ	VYBER	2240	14176	\N	\N	\N
51963	173	1996-01-04	VYDAJ	VYBER	9120	20301	\N	\N	\N
51965	173	1998-01-05	VYDAJ	VYBER	11520	42782	\N	\N	\N
51967	173	1994-12-20	VYDAJ	VYBER	2560	31397	\N	\N	\N
51968	173	1995-12-22	VYDAJ	VYBER	1920	41265	\N	\N	\N
51969	173	1996-12-11	VYDAJ	VYBER	3520	28783	\N	\N	\N
51970	173	1997-12-20	VYDAJ	VYBER	1920	65467	\N	\N	\N
51971	173	1998-12-12	VYDAJ	VYBER	1440	80186	\N	\N	\N
51984	173	1995-01-04	VYDAJ	VYBER	2400	25085	\N	\N	\N
51985	173	1995-01-12	VYDAJ	VYBER	2640	18033	\N	\N	\N
51986	173	1995-01-10	VYDAJ	VYBER	600	36398	\N	\N	\N
51987	173	1995-01-21	VYDAJ	VYBER	720	20456	\N	\N	\N
51988	173	1995-01-29	VYDAJ	VYBER	960	17456	\N	\N	\N
51989	173	1995-01-23	VYDAJ	VYBER	2040	18416	\N	\N	\N
51990	173	1996-01-15	VYDAJ	VYBER	1080	30706	\N	\N	\N
51991	173	1996-01-01	VYDAJ	VYBER	1680	29421	\N	\N	\N
51992	173	1996-01-30	VYDAJ	VYBER	840	18006	\N	\N	\N
51993	173	1996-01-07	VYDAJ	VYBER	1320	18981	\N	\N	\N
51994	173	1996-01-22	VYDAJ	VYBER	3120	27586	\N	\N	\N
51995	173	1996-01-23	VYDAJ	VYBER	1440	26146	\N	\N	\N
52001	173	1997-01-11	VYDAJ	VYBER	2040	27721	\N	\N	\N
52002	173	1998-01-09	VYDAJ	VYBER	3240	47555	\N	\N	\N
52003	173	1998-01-26	VYDAJ	VYBER	2400	25987	\N	\N	\N
52004	173	1998-01-26	VYDAJ	VYBER	1320	24667	\N	\N	\N
52006	173	1998-01-20	VYDAJ	VYBER	1200	31387	\N	\N	\N
52007	173	1998-01-25	VYDAJ	VYBER	3000	28387	\N	\N	\N
52015	173	1994-12-30	VYDAJ	VYBER	1320	27377	\N	\N	\N
52016	173	1994-05-02	VYDAJ	VYBER	2400	32010	\N	\N	\N
52017	173	1995-01-07	VYDAJ	VYBER	5400	19685	\N	\N	\N
52018	173	1995-01-31	VYDAJ	VYBER	840	16691	\N	\N	\N
52019	173	1996-05-18	VYDAJ	VYBER	1680	33851	\N	\N	\N
52020	173	1996-12-09	VYDAJ	VYBER	3120	41759	\N	\N	\N
52021	173	1996-10-08	VYDAJ	VYBER	600	27027	\N	\N	\N
52022	173	1996-05-22	VYDAJ	VYBER	5040	28811	\N	\N	\N
52024	173	1996-03-19	VYDAJ	VYBER	3600	27503	\N	\N	\N
52026	173	1997-09-01	VYDAJ	VYBER	3240	35141	\N	\N	\N
52027	173	1998-01-20	VYDAJ	VYBER	3240	32587	\N	\N	\N
52028	173	1998-01-10	VYDAJ	VYBER	2040	45515	\N	\N	\N
52029	173	1998-10-16	VYDAJ	VYBER	5040	64303	\N	\N	\N
52030	173	1998-03-11	VYDAJ	VYBER	3120	42816	\N	\N	\N
52031	173	1998-12-27	VYDAJ	VYBER	4200	63734	\N	\N	\N
52032	173	1998-09-28	VYDAJ	VYBER	5040	59581	\N	\N	\N
52033	173	1998-07-06	VYDAJ	VYBER	3840	51760	\N	\N	\N
52050	173	1994-04-30	VYDAJ	VYBER	15	34410	SLUZBY	\N	\N
52051	173	1994-05-31	VYDAJ	VYBER	15	28145	SLUZBY	\N	\N
52052	173	1994-06-30	VYDAJ	VYBER	15	29295	SLUZBY	\N	\N
52053	173	1994-07-31	VYDAJ	VYBER	15	25971	SLUZBY	\N	\N
52054	173	1994-08-31	VYDAJ	VYBER	15	25238	SLUZBY	\N	\N
52055	173	1994-09-30	VYDAJ	VYBER	15	23899	SLUZBY	\N	\N
52056	173	1994-10-31	VYDAJ	VYBER	15	26562	SLUZBY	\N	\N
52057	173	1994-11-30	VYDAJ	VYBER	15	25329	SLUZBY	\N	\N
52058	173	1994-12-31	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
52059	173	1995-01-31	VYDAJ	VYBER	15	17531	SLUZBY	\N	\N
52060	173	1995-02-28	VYDAJ	VYBER	15	21227	SLUZBY	\N	\N
52061	173	1995-03-31	VYDAJ	VYBER	15	25681	SLUZBY	\N	\N
52062	173	1995-04-30	VYDAJ	VYBER	15	24744	SLUZBY	\N	\N
52063	173	1995-05-31	VYDAJ	VYBER	15	18705	SLUZBY	\N	\N
52064	173	1995-06-30	VYDAJ	VYBER	15	28647	SLUZBY	\N	\N
52065	173	1995-07-31	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
52066	173	1995-08-31	VYDAJ	VYBER	15	21879	SLUZBY	\N	\N
52067	173	1995-09-30	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
52068	173	1995-10-31	VYDAJ	VYBER	15	29396	SLUZBY	\N	\N
52069	173	1995-11-30	VYDAJ	VYBER	15	28123	SLUZBY	\N	\N
52070	173	1995-12-31	VYDAJ	VYBER	15	31101	SLUZBY	\N	\N
52071	173	1996-01-31	VYDAJ	VYBER	15	18104	SLUZBY	\N	\N
52072	173	1996-02-29	VYDAJ	VYBER	15	25298	SLUZBY	\N	\N
52073	173	1996-03-31	VYDAJ	VYBER	15	27603	SLUZBY	\N	\N
52074	173	1996-04-30	VYDAJ	VYBER	15	33426	SLUZBY	\N	\N
52075	173	1996-05-31	VYDAJ	VYBER	15	28938	SLUZBY	\N	\N
52076	173	1996-06-30	VYDAJ	VYBER	15	34928	SLUZBY	\N	\N
52077	173	1996-07-31	VYDAJ	VYBER	15	37476	SLUZBY	\N	\N
52078	173	1996-08-31	VYDAJ	VYBER	15	33012	SLUZBY	\N	\N
52079	173	1996-09-30	VYDAJ	VYBER	15	27627	SLUZBY	\N	\N
52080	173	1996-10-31	VYDAJ	VYBER	15	24329	SLUZBY	\N	\N
52081	173	1996-11-30	VYDAJ	VYBER	15	18909	SLUZBY	\N	\N
52082	173	1996-12-31	VYDAJ	VYBER	15	18204	SLUZBY	\N	\N
52083	173	1997-01-31	VYDAJ	VYBER	15	8527	SLUZBY	\N	\N
52084	173	1997-02-28	VYDAJ	VYBER	15	25806	SLUZBY	\N	\N
52085	173	1997-03-31	VYDAJ	VYBER	15	24602	SLUZBY	\N	\N
52086	173	1997-04-30	VYDAJ	VYBER	15	20298	SLUZBY	\N	\N
52087	173	1997-05-31	VYDAJ	VYBER	15	24288	SLUZBY	\N	\N
52088	173	1997-06-30	VYDAJ	VYBER	15	23639	SLUZBY	\N	\N
52089	173	1997-07-31	VYDAJ	VYBER	15	20949	SLUZBY	\N	\N
52090	173	1997-08-31	VYDAJ	VYBER	15	38381	SLUZBY	\N	\N
52091	173	1997-09-30	VYDAJ	VYBER	15	38091	SLUZBY	\N	\N
52092	173	1997-10-31	VYDAJ	VYBER	15	41551	SLUZBY	\N	\N
52093	173	1997-11-30	VYDAJ	VYBER	15	46025	SLUZBY	\N	\N
52094	173	1997-12-31	VYDAJ	VYBER	15	57802	SLUZBY	\N	\N
52095	173	1998-01-31	VYDAJ	VYBER	15	24801	SLUZBY	\N	\N
52096	173	1998-02-28	VYDAJ	VYBER	15	34223	SLUZBY	\N	\N
52097	173	1998-03-31	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
52098	173	1998-04-30	VYDAJ	VYBER	15	45301	SLUZBY	\N	\N
52099	173	1998-05-31	VYDAJ	VYBER	15	47312	SLUZBY	\N	\N
52100	173	1998-06-30	VYDAJ	VYBER	15	52000	SLUZBY	\N	\N
52101	173	1998-07-31	VYDAJ	VYBER	15	53181	SLUZBY	\N	\N
52102	173	1998-08-31	VYDAJ	VYBER	15	61116	SLUZBY	\N	\N
52103	173	1998-09-30	VYDAJ	VYBER	15	59838	SLUZBY	\N	\N
52104	173	1998-10-31	VYDAJ	VYBER	15	65061	SLUZBY	\N	\N
52105	173	1998-11-30	VYDAJ	VYBER	15	62612	SLUZBY	\N	\N
52106	173	1993-12-26	VYDAJ	VYBER	2300	24170	\N	\N	\N
52107	173	1994-01-25	VYDAJ	VYBER	6700	34803	\N	\N	\N
52108	173	1994-02-24	VYDAJ	VYBER	12900	39326	\N	\N	\N
52109	173	1994-03-26	VYDAJ	VYBER	16400	40388	\N	\N	\N
52110	173	1994-04-25	VYDAJ	VYBER	6200	34257	\N	\N	\N
52111	173	1994-05-25	VYDAJ	VYBER	3900	28015	\N	\N	\N
52112	173	1994-06-24	VYDAJ	VYBER	7600	29173	\N	\N	\N
52113	173	1994-07-24	VYDAJ	VYBER	3400	25866	\N	\N	\N
52114	173	1994-08-23	VYDAJ	VYBER	800	25142	\N	\N	\N
52115	173	1994-09-22	VYDAJ	VYBER	1400	23809	\N	\N	\N
52116	173	1994-10-22	PRIJEM	VKLAD	2600	26470	\N	\N	\N
52117	173	1994-11-21	VYDAJ	VYBER	1300	25233	\N	\N	\N
52118	173	1994-12-21	VYDAJ	VYBER	2700	28697	\N	\N	\N
52119	173	1995-01-20	PRIJEM	VKLAD	7000	21176	\N	\N	\N
52120	173	1995-02-19	PRIJEM	VKLAD	4500	21162	\N	\N	\N
52121	173	1995-03-21	PRIJEM	VKLAD	4400	25598	\N	\N	\N
52122	173	1995-04-20	VYDAJ	VYBER	1000	24652	\N	\N	\N
52123	173	1995-05-20	PRIJEM	VKLAD	2100	26815	\N	\N	\N
52124	173	1995-06-19	VYDAJ	VYBER	2400	28547	\N	\N	\N
52125	173	1995-07-19	VYDAJ	VYBER	900	27752	\N	\N	\N
52126	173	1995-08-18	VYDAJ	VYBER	300	30369	\N	\N	\N
52127	173	1995-09-17	VYDAJ	VYBER	800	29784	\N	\N	\N
52128	173	1995-10-17	PRIJEM	VKLAD	2900	29289	\N	\N	\N
52129	173	1995-11-16	PRIJEM	VKLAD	3100	41201	\N	\N	\N
52130	173	1995-12-16	VYDAJ	VYBER	2300	43185	\N	\N	\N
52131	173	1996-01-15	PRIJEM	VKLAD	4100	31786	\N	\N	\N
52132	173	1996-02-14	PRIJEM	VKLAD	4900	33137	\N	\N	\N
52133	173	1996-03-15	PRIJEM	VKLAD	5700	31103	\N	\N	\N
52134	173	1996-04-14	PRIJEM	VKLAD	4200	41936	\N	\N	\N
52135	173	1996-05-14	PRIJEM	VKLAD	3900	47459	\N	\N	\N
52136	173	1996-06-13	VYDAJ	VYBER	2500	36228	\N	\N	\N
52137	173	1996-07-13	PRIJEM	VKLAD	1000	46250	\N	\N	\N
52138	173	1996-08-12	VYDAJ	VYBER	4800	34498	\N	\N	\N
52139	173	1996-09-11	VYDAJ	VYBER	5700	29869	\N	\N	\N
52140	173	1996-10-11	VYDAJ	VYBER	2100	35984	\N	\N	\N
52141	173	1996-11-10	VYDAJ	VYBER	7800	33842	\N	\N	\N
52142	173	1996-12-10	VYDAJ	VYBER	3200	38559	\N	\N	\N
52143	173	1997-01-09	PRIJEM	VKLAD	500	18704	\N	\N	\N
52144	173	1997-02-08	PRIJEM	VKLAD	8500	17027	\N	\N	\N
52145	173	1997-03-10	VYDAJ	VYBER	2900	33119	\N	\N	\N
52146	173	1997-04-09	VYDAJ	VYBER	5800	36115	\N	\N	\N
52147	173	1997-05-09	PRIJEM	VKLAD	2300	22598	\N	\N	\N
52148	173	1997-06-08	PRIJEM	VKLAD	6300	30588	\N	\N	\N
52149	173	1997-07-08	PRIJEM	VKLAD	8900	32539	\N	\N	\N
52150	173	1997-08-07	PRIJEM	VKLAD	8600	29549	\N	\N	\N
52151	173	1997-09-06	PRIJEM	VKLAD	3700	38841	\N	\N	\N
52152	173	1997-10-06	PRIJEM	VKLAD	800	38891	\N	\N	\N
52153	173	1997-11-05	PRIJEM	VKLAD	4400	37151	\N	\N	\N
52154	173	1997-12-05	PRIJEM	VKLAD	4000	50025	\N	\N	\N
52155	173	1998-01-04	VYDAJ	VYBER	3500	54302	\N	\N	\N
52156	173	1998-02-03	PRIJEM	VKLAD	12300	37101	\N	\N	\N
52157	173	1998-03-05	PRIJEM	VKLAD	5400	28623	\N	\N	\N
52158	173	1998-04-04	PRIJEM	VKLAD	10200	44534	\N	\N	\N
52159	173	1998-05-04	PRIJEM	VKLAD	5200	50501	\N	\N	\N
52160	173	1998-06-03	PRIJEM	VKLAD	5700	53012	\N	\N	\N
52161	173	1998-07-03	PRIJEM	VKLAD	3600	55600	\N	\N	\N
52162	173	1998-08-02	PRIJEM	VKLAD	8400	61581	\N	\N	\N
52163	173	1998-09-01	PRIJEM	VKLAD	4100	65216	\N	\N	\N
52164	173	1998-10-01	PRIJEM	VKLAD	8500	68338	\N	\N	\N
52165	173	1998-10-31	PRIJEM	VKLAD	500	64803	\N	\N	\N
52166	173	1998-11-30	VYDAJ	VYBER	700	61912	\N	\N	\N
52228	174	1996-09-04	PRIJEM	VKLAD	900	900	\N	\N	\N
52237	174	1996-09-07	PRIJEM	PREVOD Z UCTU	3377	4277	\N	MN	20820832
52238	174	1996-10-07	PRIJEM	PREVOD Z UCTU	3377	7668	\N	MN	20820832
52239	174	1996-11-07	PRIJEM	PREVOD Z UCTU	3377	11063	\N	MN	20820832
52240	174	1996-12-07	PRIJEM	PREVOD Z UCTU	3377	14458	\N	MN	20820832
52241	174	1997-01-07	PRIJEM	PREVOD Z UCTU	3377	17853	\N	MN	20820832
52242	174	1997-02-07	PRIJEM	PREVOD Z UCTU	3377	18017	\N	MN	20820832
52243	174	1997-03-07	PRIJEM	PREVOD Z UCTU	3377	17753	\N	MN	20820832
52244	174	1997-04-07	PRIJEM	PREVOD Z UCTU	3377	18480	\N	MN	20820832
52245	174	1997-05-07	PRIJEM	PREVOD Z UCTU	3377	18379	\N	MN	20820832
52246	174	1997-06-07	PRIJEM	PREVOD Z UCTU	3377	18078	\N	MN	20820832
52247	174	1997-07-07	PRIJEM	PREVOD Z UCTU	3377	19375	\N	MN	20820832
52248	174	1997-08-07	PRIJEM	PREVOD Z UCTU	3377	17028	\N	MN	20820832
52249	174	1997-09-07	PRIJEM	PREVOD Z UCTU	3377	18322	\N	MN	20820832
52250	174	1997-10-07	PRIJEM	PREVOD Z UCTU	3377	19621	\N	MN	20820832
52251	174	1997-11-07	PRIJEM	PREVOD Z UCTU	3377	18424	\N	MN	20820832
52252	174	1997-12-07	PRIJEM	PREVOD Z UCTU	3377	15211	\N	MN	20820832
52253	174	1998-01-07	PRIJEM	PREVOD Z UCTU	3377	13335	\N	MN	20820832
52254	174	1998-02-07	PRIJEM	PREVOD Z UCTU	3377	12211	\N	MN	20820832
52255	174	1998-03-07	PRIJEM	PREVOD Z UCTU	3377	13484	\N	MN	20820832
52256	174	1998-04-07	PRIJEM	PREVOD Z UCTU	3377	14762	\N	MN	20820832
52257	174	1998-05-07	PRIJEM	PREVOD Z UCTU	3377	16046	\N	MN	20820832
52258	174	1998-06-07	PRIJEM	PREVOD Z UCTU	3377	14333	\N	MN	20820832
52259	174	1998-07-07	PRIJEM	PREVOD Z UCTU	3377	15615	\N	MN	20820832
52260	174	1998-08-07	PRIJEM	PREVOD Z UCTU	3377	16902	\N	MN	20820832
52261	174	1998-09-07	PRIJEM	PREVOD Z UCTU	3377	17444	\N	MN	20820832
52262	174	1998-10-07	PRIJEM	PREVOD Z UCTU	3377	18739	\N	MN	20820832
52263	174	1998-11-07	PRIJEM	PREVOD Z UCTU	3377	20039	\N	MN	20820832
52264	174	1998-12-07	PRIJEM	PREVOD Z UCTU	3377	21345	\N	MN	20820832
52278	174	1997-02-05	VYDAJ	PREVOD NA UCET	2139	14640	\N	QR	73784321
52279	174	1997-03-05	VYDAJ	PREVOD NA UCET	2139	14376	\N	QR	73784321
52280	174	1997-04-05	VYDAJ	PREVOD NA UCET	2139	15103	\N	QR	73784321
52281	174	1997-05-05	VYDAJ	PREVOD NA UCET	2139	15002	\N	QR	73784321
52282	174	1997-06-05	VYDAJ	PREVOD NA UCET	2139	14701	\N	QR	73784321
52283	174	1997-07-05	VYDAJ	PREVOD NA UCET	2139	15998	\N	QR	73784321
52284	174	1997-08-05	VYDAJ	PREVOD NA UCET	2139	15001	\N	QR	73784321
52285	174	1997-09-05	VYDAJ	PREVOD NA UCET	2139	14945	\N	QR	73784321
52286	174	1997-10-05	VYDAJ	PREVOD NA UCET	2139	16244	\N	QR	73784321
52287	174	1997-11-05	VYDAJ	PREVOD NA UCET	2139	15047	\N	QR	73784321
52288	174	1997-12-05	VYDAJ	PREVOD NA UCET	2139	11834	\N	QR	73784321
52289	174	1998-01-05	VYDAJ	PREVOD NA UCET	2139	9958	\N	QR	73784321
52290	174	1998-02-05	VYDAJ	PREVOD NA UCET	2139	8834	\N	QR	73784321
52291	174	1998-03-05	VYDAJ	PREVOD NA UCET	2139	10107	\N	QR	73784321
52292	174	1998-04-05	VYDAJ	PREVOD NA UCET	2139	11385	\N	QR	73784321
52293	174	1998-05-05	VYDAJ	PREVOD NA UCET	2139	12669	\N	QR	73784321
52294	174	1998-06-05	VYDAJ	PREVOD NA UCET	2139	10956	\N	QR	73784321
52295	174	1998-07-05	VYDAJ	PREVOD NA UCET	2139	12238	\N	QR	73784321
52296	174	1998-08-05	VYDAJ	PREVOD NA UCET	2139	13525	\N	QR	73784321
52297	174	1998-09-05	VYDAJ	PREVOD NA UCET	2139	14067	\N	QR	73784321
52298	174	1998-10-05	VYDAJ	PREVOD NA UCET	2139	15362	\N	QR	73784321
52299	174	1998-11-05	VYDAJ	PREVOD NA UCET	2139	16662	\N	QR	73784321
52300	174	1998-12-05	VYDAJ	PREVOD NA UCET	2139	17968	\N	QR	73784321
52305	174	1997-12-18	VYDAJ	VYBER	660	14551	\N	\N	\N
52306	174	1998-12-29	VYDAJ	VYBER	450	20895	\N	\N	\N
52312	174	1997-01-12	VYDAJ	VYBER	1110	16743	\N	\N	\N
52313	174	1997-02-18	VYDAJ	VYBER	420	17597	\N	\N	\N
52314	174	1997-02-24	VYDAJ	VYBER	1140	16457	\N	\N	\N
52315	174	1997-04-05	VYDAJ	VYBER	570	17242	\N	\N	\N
52316	174	1997-12-01	VYDAJ	VYBER	1110	13973	\N	\N	\N
52317	174	1997-08-06	VYDAJ	VYBER	1350	13651	\N	\N	\N
52318	174	1997-05-22	VYDAJ	VYBER	600	17779	\N	\N	\N
52319	174	1998-08-24	VYDAJ	VYBER	750	16152	\N	\N	\N
52335	174	1997-01-31	VYDAJ	VYBER	15	16779	SLUZBY	\N	\N
52336	174	1997-02-28	VYDAJ	VYBER	15	16515	SLUZBY	\N	\N
52337	174	1997-03-31	VYDAJ	VYBER	15	17812	SLUZBY	\N	\N
52338	174	1997-04-30	VYDAJ	VYBER	15	18541	SLUZBY	\N	\N
52339	174	1997-05-31	VYDAJ	VYBER	15	17840	SLUZBY	\N	\N
52340	174	1997-06-30	VYDAJ	VYBER	15	18137	SLUZBY	\N	\N
52341	174	1997-07-31	VYDAJ	VYBER	15	17140	SLUZBY	\N	\N
52342	174	1997-08-31	VYDAJ	VYBER	15	17084	SLUZBY	\N	\N
52343	174	1997-09-30	VYDAJ	VYBER	15	18383	SLUZBY	\N	\N
52344	174	1997-10-31	VYDAJ	VYBER	15	17186	SLUZBY	\N	\N
52345	174	1997-11-30	VYDAJ	VYBER	15	15083	SLUZBY	\N	\N
52346	174	1997-12-31	VYDAJ	VYBER	15	12097	SLUZBY	\N	\N
52347	174	1998-01-31	VYDAJ	VYBER	15	10973	SLUZBY	\N	\N
52348	174	1998-02-28	VYDAJ	VYBER	15	12246	SLUZBY	\N	\N
52349	174	1998-03-31	VYDAJ	VYBER	15	13524	SLUZBY	\N	\N
52350	174	1998-04-30	VYDAJ	VYBER	15	14808	SLUZBY	\N	\N
52351	174	1998-05-31	VYDAJ	VYBER	15	13095	SLUZBY	\N	\N
52352	174	1998-06-30	VYDAJ	VYBER	15	14377	SLUZBY	\N	\N
52353	174	1998-07-31	VYDAJ	VYBER	15	15664	SLUZBY	\N	\N
52354	174	1998-08-31	VYDAJ	VYBER	15	16206	SLUZBY	\N	\N
52355	174	1998-09-30	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
52356	174	1998-10-31	VYDAJ	VYBER	15	18801	SLUZBY	\N	\N
52357	174	1998-11-30	VYDAJ	VYBER	15	20107	SLUZBY	\N	\N
52358	174	1997-05-02	VYDAJ	VYBER	1400	17141	\N	\N	\N
52359	174	1997-06-01	VYDAJ	VYBER	1000	16840	\N	\N	\N
52360	174	1997-07-31	VYDAJ	VYBER	2300	17155	\N	\N	\N
52361	174	1997-10-29	VYDAJ	VYBER	2500	17121	\N	\N	\N
52362	174	1997-11-28	VYDAJ	VYBER	3400	15024	\N	\N	\N
52363	174	1997-12-28	VYDAJ	VYBER	2500	12051	\N	\N	\N
52364	174	1998-01-27	VYDAJ	VYBER	2400	10935	\N	\N	\N
52365	174	1998-05-27	VYDAJ	VYBER	3000	13046	\N	\N	\N
53034	176	1996-08-12	PRIJEM	VKLAD	800	800	\N	\N	\N
53036	176	1996-11-10	PRIJEM	VKLAD	10709	61196	\N	\N	\N
53037	176	1996-08-15	PRIJEM	VKLAD	8375	9175	\N	\N	\N
53039	176	1996-10-14	PRIJEM	VKLAD	11019	39561	\N	\N	\N
53040	176	1996-08-24	PRIJEM	VKLAD	42187	51362	\N	\N	\N
53042	176	1996-10-25	PRIJEM	VKLAD	11662	66347	\N	\N	\N
53043	176	1996-11-15	PRIJEM	VKLAD	44971	79370	\N	\N	\N
53046	176	1996-10-22	PRIJEM	VKLAD	15124	54685	\N	\N	\N
53050	176	1997-10-05	PRIJEM	VKLAD	38085	107289	\N	\N	\N
53051	176	1997-02-27	PRIJEM	VKLAD	21720	100790	\N	\N	\N
53052	176	1997-07-17	PRIJEM	VKLAD	45654	126553	\N	\N	\N
53053	176	1997-01-08	PRIJEM	VKLAD	24559	83504	\N	\N	\N
53054	176	1997-12-18	PRIJEM	VKLAD	23675	116945	\N	\N	\N
53055	176	1997-11-08	PRIJEM	VKLAD	29002	47802	\N	\N	\N
53056	176	1997-08-23	PRIJEM	VKLAD	38991	66451	\N	\N	\N
53057	176	1997-04-01	PRIJEM	VKLAD	34768	104139	\N	\N	\N
53058	176	1997-12-04	PRIJEM	VKLAD	27181	61208	\N	\N	\N
53059	176	1997-07-16	PRIJEM	VKLAD	30190	80899	\N	\N	\N
53060	176	1997-01-04	PRIJEM	VKLAD	46388	58945	\N	\N	\N
53061	176	1997-07-12	PRIJEM	VKLAD	26677	57658	\N	\N	\N
53062	176	1997-03-25	PRIJEM	VKLAD	47395	111282	\N	\N	\N
53063	176	1997-06-07	PRIJEM	VKLAD	14408	104188	\N	\N	\N
53064	176	1997-09-01	PRIJEM	VKLAD	14957	81589	\N	\N	\N
53065	176	1997-02-01	PRIJEM	VKLAD	19292	51365	\N	\N	\N
53066	176	1997-12-18	PRIJEM	VKLAD	30375	93270	\N	\N	\N
53067	176	1997-05-26	PRIJEM	VKLAD	36169	59307	\N	\N	\N
53068	176	1997-05-30	PRIJEM	VKLAD	30326	89633	\N	\N	\N
53069	176	1997-01-19	PRIJEM	VKLAD	18262	45469	\N	\N	\N
53070	176	1997-04-02	PRIJEM	VKLAD	26942	69181	\N	\N	\N
53071	176	1997-06-13	PRIJEM	VKLAD	12879	61978	\N	\N	\N
53072	176	1997-04-17	PRIJEM	VKLAD	24137	53433	\N	\N	\N
53073	176	1997-12-06	PRIJEM	VKLAD	38372	69880	\N	\N	\N
53074	176	1997-09-16	PRIJEM	VKLAD	35186	68990	\N	\N	\N
53075	176	1997-03-24	PRIJEM	VKLAD	17333	63887	\N	\N	\N
53076	176	1997-02-19	PRIJEM	VKLAD	21550	43018	\N	\N	\N
53077	176	1997-02-20	PRIJEM	VKLAD	36052	79070	\N	\N	\N
53078	176	1997-12-25	PRIJEM	VKLAD	22960	121605	\N	\N	\N
53079	176	1998-07-12	PRIJEM	VKLAD	28411	43485	\N	\N	\N
53080	176	1998-05-17	PRIJEM	VKLAD	6459	55143	\N	\N	\N
53081	176	1998-10-14	PRIJEM	VKLAD	25866	62949	\N	\N	\N
53082	176	1998-01-22	PRIJEM	VKLAD	15743	77607	\N	\N	\N
53083	176	1998-02-13	PRIJEM	VKLAD	39133	62827	\N	\N	\N
53084	176	1998-09-25	PRIJEM	VKLAD	42533	52198	\N	\N	\N
53085	176	1998-04-10	PRIJEM	VKLAD	31707	47669	\N	\N	\N
53086	176	1998-09-28	PRIJEM	VKLAD	33910	103006	\N	\N	\N
53087	176	1998-12-08	PRIJEM	VKLAD	27949	71756	\N	\N	\N
53088	176	1998-11-27	PRIJEM	VKLAD	34734	88817	\N	\N	\N
53089	176	1998-02-18	PRIJEM	VKLAD	32221	94951	\N	\N	\N
53090	176	1998-01-18	PRIJEM	VKLAD	44909	64692	\N	\N	\N
53091	176	1998-11-07	PRIJEM	VKLAD	49285	75206	\N	\N	\N
53092	176	1998-09-28	PRIJEM	VKLAD	22898	69096	\N	\N	\N
53093	176	1998-12-16	PRIJEM	VKLAD	25936	75469	\N	\N	\N
53094	176	1998-05-09	PRIJEM	VKLAD	35490	53381	\N	\N	\N
53105	176	1996-11-04	VYDAJ	VYBER	3100	50487	\N	\N	0
53106	176	1996-12-16	VYDAJ	VYBER	1700	12450	\N	\N	0
53107	176	1997-01-12	VYDAJ	VYBER	2100	38468	\N	\N	0
53108	176	1997-02-10	VYDAJ	VYBER	2500	26165	\N	\N	0
53109	176	1997-03-06	VYDAJ	VYBER	1500	99451	\N	\N	0
53110	176	1997-04-12	VYDAJ	PREVOD NA UCET	2288	33957	UVER	GH	53236597
53111	176	1997-05-12	VYDAJ	PREVOD NA UCET	2288	27799	UVER	GH	53236597
53112	176	1997-06-12	VYDAJ	PREVOD NA UCET	2288	53663	UVER	GH	53236597
53113	176	1997-07-12	VYDAJ	PREVOD NA UCET	2288	50806	UVER	GH	53236597
53114	176	1997-08-12	VYDAJ	PREVOD NA UCET	2288	27557	UVER	GH	53236597
53115	176	1997-09-12	VYDAJ	PREVOD NA UCET	2288	33901	UVER	GH	53236597
53116	176	1997-10-12	VYDAJ	PREVOD NA UCET	2288	18801	UVER	GH	53236597
53117	176	1997-11-12	VYDAJ	PREVOD NA UCET	2288	40913	UVER	GH	53236597
53118	176	1997-12-12	VYDAJ	PREVOD NA UCET	2288	67556	UVER	GH	53236597
53119	176	1998-01-12	VYDAJ	PREVOD NA UCET	2288	19880	UVER	GH	53236597
53120	176	1998-02-12	VYDAJ	PREVOD NA UCET	2288	28258	UVER	GH	53236597
53121	176	1998-03-12	VYDAJ	PREVOD NA UCET	2288	18022	UVER	GH	53236597
53122	176	1998-04-03	VYDAJ	VYBER	2100	15962	\N	\N	0
53123	176	1998-05-28	VYDAJ	VYBER	2900	52243	\N	\N	0
53124	176	1998-06-12	VYDAJ	VYBER	1200	19686	\N	\N	0
53125	176	1998-07-16	VYDAJ	VYBER	1700	37124	\N	\N	0
53126	176	1998-08-10	VYDAJ	VYBER	2100	22207	\N	\N	0
53127	176	1998-08-31	VYDAJ	VYBER	3200	14362	\N	\N	0
53128	176	1998-10-11	VYDAJ	VYBER	2700	41647	\N	\N	0
53129	176	1998-11-22	VYDAJ	VYBER	2700	54083	\N	\N	0
53130	176	1998-12-09	VYDAJ	VYBER	2900	68856	\N	\N	0
53141	176	1996-11-12	VYDAJ	PREVOD NA UCET	4564	34496	SIPO	AB	55640232
53142	176	1996-12-12	VYDAJ	PREVOD NA UCET	4564	14247	SIPO	AB	55640232
53143	176	1997-01-12	VYDAJ	PREVOD NA UCET	4564	33904	SIPO	AB	55640232
53144	176	1997-02-12	VYDAJ	PREVOD NA UCET	4564	21565	SIPO	AB	55640232
53145	176	1997-03-12	VYDAJ	PREVOD NA UCET	4564	46651	SIPO	AB	55640232
53146	176	1997-04-12	VYDAJ	PREVOD NA UCET	4564	29393	SIPO	AB	55640232
53147	176	1997-05-12	VYDAJ	PREVOD NA UCET	4564	23235	SIPO	AB	55640232
53148	176	1997-06-12	VYDAJ	PREVOD NA UCET	4564	49099	SIPO	AB	55640232
53149	176	1997-07-12	VYDAJ	PREVOD NA UCET	4564	53094	SIPO	AB	55640232
53150	176	1997-08-12	VYDAJ	PREVOD NA UCET	4564	29846	SIPO	AB	55640232
53151	176	1997-09-12	VYDAJ	PREVOD NA UCET	4564	36189	SIPO	AB	55640232
53152	176	1997-10-12	VYDAJ	PREVOD NA UCET	4564	21089	SIPO	AB	55640232
53153	176	1997-11-12	VYDAJ	PREVOD NA UCET	4564	43202	SIPO	AB	55640232
53154	176	1997-12-12	VYDAJ	PREVOD NA UCET	4564	62992	SIPO	AB	55640232
53155	176	1998-01-12	VYDAJ	PREVOD NA UCET	4564	22169	SIPO	AB	55640232
53156	176	1998-02-12	VYDAJ	PREVOD NA UCET	4564	23694	SIPO	AB	55640232
53157	176	1998-03-12	VYDAJ	PREVOD NA UCET	4564	20311	SIPO	AB	55640232
53158	176	1998-04-12	VYDAJ	PREVOD NA UCET	4564	43069	SIPO	AB	55640232
53159	176	1998-05-12	VYDAJ	PREVOD NA UCET	4564	48781	SIPO	AB	55640232
53160	176	1998-06-12	VYDAJ	PREVOD NA UCET	4564	15122	SIPO	AB	55640232
53161	176	1998-07-12	VYDAJ	PREVOD NA UCET	4564	38921	SIPO	AB	55640232
53162	176	1998-08-12	VYDAJ	PREVOD NA UCET	4564	17607	SIPO	AB	55640232
53163	176	1998-09-12	VYDAJ	PREVOD NA UCET	4564	9762	SIPO	AB	55640232
53164	176	1998-10-12	VYDAJ	PREVOD NA UCET	4564	37083	SIPO	AB	55640232
53165	176	1998-11-12	VYDAJ	PREVOD NA UCET	4564	70606	SIPO	AB	55640232
53166	176	1998-12-12	VYDAJ	PREVOD NA UCET	4564	53170	SIPO	AB	55640232
53177	176	1996-11-11	VYDAJ	PREVOD NA UCET	36	39060	 	OP	90734010
53178	176	1996-12-11	VYDAJ	PREVOD NA UCET	36	35994	 	OP	90734010
53179	176	1997-01-11	VYDAJ	PREVOD NA UCET	36	40568	 	OP	90734010
53180	176	1997-02-11	VYDAJ	PREVOD NA UCET	36	26129	 	OP	90734010
53181	176	1997-03-11	VYDAJ	PREVOD NA UCET	36	51215	 	OP	90734010
53182	176	1997-04-11	VYDAJ	PREVOD NA UCET	36	36245	 	OP	90734010
53183	176	1997-05-11	VYDAJ	PREVOD NA UCET	36	30087	 	OP	90734010
53184	176	1997-06-11	VYDAJ	PREVOD NA UCET	36	55952	 	OP	90734010
53185	176	1997-07-11	VYDAJ	PREVOD NA UCET	36	30981	 	OP	90734010
53186	176	1997-08-11	VYDAJ	PREVOD NA UCET	36	34410	 	OP	90734010
53187	176	1997-09-11	VYDAJ	PREVOD NA UCET	36	40753	 	OP	90734010
53188	176	1997-10-11	VYDAJ	PREVOD NA UCET	36	29853	 	OP	90734010
53189	176	1997-11-11	VYDAJ	PREVOD NA UCET	36	47766	 	OP	90734010
53190	176	1997-12-11	VYDAJ	PREVOD NA UCET	36	69844	 	OP	90734010
53191	176	1998-01-11	VYDAJ	PREVOD NA UCET	36	26733	 	OP	90734010
53192	176	1998-02-11	VYDAJ	PREVOD NA UCET	36	30546	 	OP	90734010
53193	176	1998-03-11	VYDAJ	PREVOD NA UCET	36	24875	 	OP	90734010
53194	176	1998-04-11	VYDAJ	PREVOD NA UCET	36	47633	 	OP	90734010
53195	176	1998-05-11	VYDAJ	PREVOD NA UCET	36	53345	 	OP	90734010
53196	176	1998-06-11	VYDAJ	PREVOD NA UCET	36	20886	 	OP	90734010
53197	176	1998-07-11	VYDAJ	PREVOD NA UCET	36	15074	 	OP	90734010
53198	176	1998-08-11	VYDAJ	PREVOD NA UCET	36	22171	 	OP	90734010
53199	176	1998-09-11	VYDAJ	PREVOD NA UCET	36	14326	 	OP	90734010
53200	176	1998-10-11	VYDAJ	PREVOD NA UCET	36	44347	 	OP	90734010
53201	176	1998-11-11	VYDAJ	PREVOD NA UCET	36	75170	 	OP	90734010
53202	176	1998-12-11	VYDAJ	PREVOD NA UCET	36	57734	 	OP	90734010
53213	176	1996-11-14	VYDAJ	PREVOD NA UCET	97	34399	POJISTNE	QR	11736327
53214	176	1996-12-14	VYDAJ	PREVOD NA UCET	97	14150	POJISTNE	QR	11736327
53215	176	1997-01-14	VYDAJ	PREVOD NA UCET	97	31407	POJISTNE	QR	11736327
53216	176	1997-02-14	VYDAJ	PREVOD NA UCET	97	21468	POJISTNE	QR	11736327
53217	176	1997-03-14	VYDAJ	PREVOD NA UCET	97	46554	POJISTNE	QR	11736327
53218	176	1997-04-14	VYDAJ	PREVOD NA UCET	97	29296	POJISTNE	QR	11736327
53219	176	1997-05-14	VYDAJ	PREVOD NA UCET	97	23138	POJISTNE	QR	11736327
53220	176	1997-06-14	VYDAJ	PREVOD NA UCET	97	61881	POJISTNE	QR	11736327
53221	176	1997-07-14	VYDAJ	PREVOD NA UCET	97	50709	POJISTNE	QR	11736327
53222	176	1997-08-14	VYDAJ	PREVOD NA UCET	97	27460	POJISTNE	QR	11736327
53223	176	1997-09-14	VYDAJ	PREVOD NA UCET	97	33804	POJISTNE	QR	11736327
53224	176	1997-10-14	VYDAJ	PREVOD NA UCET	97	18704	POJISTNE	QR	11736327
53225	176	1997-11-14	VYDAJ	PREVOD NA UCET	97	40816	POJISTNE	QR	11736327
53226	176	1997-12-14	VYDAJ	PREVOD NA UCET	97	62895	POJISTNE	QR	11736327
53227	176	1998-01-14	VYDAJ	PREVOD NA UCET	97	19783	POJISTNE	QR	11736327
53228	176	1998-02-14	VYDAJ	PREVOD NA UCET	97	62730	POJISTNE	QR	11736327
53229	176	1998-03-14	VYDAJ	PREVOD NA UCET	97	17925	POJISTNE	QR	11736327
53230	176	1998-04-14	VYDAJ	PREVOD NA UCET	97	42972	POJISTNE	QR	11736327
53231	176	1998-05-14	VYDAJ	PREVOD NA UCET	97	48684	POJISTNE	QR	11736327
53232	176	1998-06-14	VYDAJ	PREVOD NA UCET	97	15025	POJISTNE	QR	11736327
53233	176	1998-07-14	VYDAJ	PREVOD NA UCET	97	38824	POJISTNE	QR	11736327
53234	176	1998-08-14	VYDAJ	PREVOD NA UCET	97	17510	POJISTNE	QR	11736327
53235	176	1998-09-14	VYDAJ	PREVOD NA UCET	97	9665	POJISTNE	QR	11736327
53236	176	1998-10-14	VYDAJ	PREVOD NA UCET	97	62852	POJISTNE	QR	11736327
53237	176	1998-11-14	VYDAJ	PREVOD NA UCET	97	70509	POJISTNE	QR	11736327
53238	176	1998-12-14	VYDAJ	PREVOD NA UCET	97	49533	POJISTNE	QR	11736327
53239	176	1996-12-12	VYBER	VYBER	17183	18811	\N	\N	\N
53240	176	1996-11-29	VYBER	VYBER	5976	71294	\N	\N	\N
53248	176	1996-11-02	VYBER	VYBER	12947	53587	\N	\N	\N
53250	176	1998-03-10	VYBER	VYBER	16217	24911	\N	\N	\N
53252	176	1998-01-21	VYBER	VYBER	2828	61864	\N	\N	\N
53254	176	1998-12-13	VYBER	VYBER	3540	49630	\N	\N	\N
53255	176	1998-11-20	VYBER	VYBER	13726	56783	\N	\N	\N
53257	176	1998-12-10	VYBER	VYBER	11086	57770	\N	\N	\N
53258	176	1998-07-18	VYBER	VYBER	12884	24240	\N	\N	\N
53260	176	1997-06-22	VYDAJ	VYBER	11100	50781	\N	\N	\N
53262	176	1996-12-11	VYDAJ	VYBER	7800	36030	\N	\N	\N
53263	176	1997-12-01	VYDAJ	VYBER	6900	34027	\N	\N	\N
53264	176	1998-12-18	VYDAJ	VYBER	3900	71569	\N	\N	\N
53271	176	1997-01-22	VYDAJ	VYBER	8400	37069	\N	\N	\N
53272	176	1997-01-13	VYDAJ	VYBER	2400	31504	\N	\N	\N
53273	176	1997-01-14	VYDAJ	VYBER	1800	29607	\N	\N	\N
53274	176	1997-01-08	VYDAJ	VYBER	8400	75104	\N	\N	\N
53275	176	1997-01-18	VYDAJ	VYBER	2400	27207	\N	\N	\N
53276	176	1997-01-29	VYDAJ	VYBER	5100	31969	\N	\N	\N
53277	176	1998-01-28	VYDAJ	VYBER	3000	71307	\N	\N	\N
53278	176	1998-01-06	VYDAJ	VYBER	1500	26769	\N	\N	\N
53279	176	1998-01-28	VYDAJ	VYBER	4500	66807	\N	\N	\N
53280	176	1998-01-02	VYDAJ	VYBER	5700	69769	\N	\N	\N
53281	176	1998-01-03	VYDAJ	VYBER	4800	64969	\N	\N	\N
53284	176	1996-11-17	VYDAJ	VYBER	2100	77270	\N	\N	\N
53286	176	1997-10-11	VYDAJ	VYBER	4200	25653	\N	\N	\N
53287	176	1997-04-06	VYDAJ	VYBER	4200	64981	\N	\N	\N
53288	176	1997-07-27	VYDAJ	VYBER	9300	62753	\N	\N	\N
53289	176	1997-09-10	VYDAJ	VYBER	2100	40789	\N	\N	\N
53291	176	1998-02-19	VYDAJ	VYBER	2100	92851	\N	\N	\N
53293	176	1998-01-23	VYDAJ	VYBER	3300	74307	\N	\N	\N
53294	176	1998-10-28	VYDAJ	VYBER	2100	60752	\N	\N	\N
53295	176	1998-09-27	VYDAJ	VYBER	6000	46198	\N	\N	\N
53306	176	1996-10-31	VYDAJ	VYBER	30	66534	SLUZBY	\N	\N
53307	176	1996-11-30	VYDAJ	VYBER	30	71530	SLUZBY	\N	\N
53308	176	1996-12-31	VYDAJ	VYBER	30	12557	SLUZBY	\N	\N
53309	176	1997-01-31	VYDAJ	VYBER	30	32073	SLUZBY	\N	\N
53310	176	1997-02-28	VYDAJ	VYBER	30	100951	SLUZBY	\N	\N
53311	176	1997-03-31	VYDAJ	VYBER	30	69371	SLUZBY	\N	\N
53312	176	1997-04-30	VYDAJ	VYBER	30	53623	SLUZBY	\N	\N
53313	176	1997-05-31	VYDAJ	VYBER	30	89780	SLUZBY	\N	\N
53314	176	1997-06-30	VYDAJ	VYBER	30	51017	SLUZBY	\N	\N
53315	176	1997-07-31	VYDAJ	VYBER	30	63046	SLUZBY	\N	\N
53316	176	1997-08-31	VYDAJ	VYBER	30	66632	SLUZBY	\N	\N
53317	176	1997-09-30	VYDAJ	VYBER	30	69204	SLUZBY	\N	\N
53318	176	1997-10-31	VYDAJ	VYBER	30	18800	SLUZBY	\N	\N
53319	176	1997-11-30	VYDAJ	VYBER	30	40927	SLUZBY	\N	\N
53320	176	1997-12-31	VYDAJ	VYBER	30	75469	SLUZBY	\N	\N
53321	176	1998-01-31	VYDAJ	VYBER	30	66982	SLUZBY	\N	\N
53322	176	1998-02-28	VYDAJ	VYBER	30	93128	SLUZBY	\N	\N
53323	176	1998-03-31	VYDAJ	VYBER	30	18062	SLUZBY	\N	\N
53324	176	1998-04-30	VYDAJ	VYBER	30	43091	SLUZBY	\N	\N
53325	176	1998-05-31	VYDAJ	VYBER	30	52422	SLUZBY	\N	\N
53326	176	1998-06-30	VYDAJ	VYBER	30	15110	SLUZBY	\N	\N
53327	176	1998-07-31	VYDAJ	VYBER	30	24307	SLUZBY	\N	\N
53328	176	1998-08-31	VYDAJ	VYBER	30	17562	SLUZBY	\N	\N
53329	176	1998-09-30	VYDAJ	VYBER	30	103083	SLUZBY	\N	\N
53330	176	1998-10-31	VYDAJ	VYBER	30	25921	SLUZBY	\N	\N
53331	176	1998-11-30	VYDAJ	VYBER	30	43807	SLUZBY	\N	\N
53332	176	1996-09-11	VYDAJ	VYBER	14100	37328	\N	\N	\N
53333	176	1996-10-11	VYDAJ	VYBER	9000	28542	\N	\N	\N
53334	176	1996-11-10	VYDAJ	VYBER	22100	39096	\N	\N	\N
53335	176	1996-12-10	VYDAJ	VYBER	27700	43830	\N	\N	\N
53336	176	1997-01-09	VYDAJ	VYBER	34500	40604	\N	\N	\N
53337	176	1997-02-08	VYDAJ	VYBER	22700	28665	\N	\N	\N
53338	176	1997-03-10	VYDAJ	VYBER	48200	51251	\N	\N	\N
53339	176	1997-03-25	VYDAJ	VYBER	42200	69082	\N	\N	\N
53340	176	1997-04-01	VYDAJ	VYBER	61900	42239	\N	\N	\N
53341	176	1997-04-09	VYDAJ	VYBER	28700	36281	\N	\N	\N
53342	176	1997-05-09	VYDAJ	VYBER	23500	30123	\N	\N	\N
53343	176	1997-06-08	VYDAJ	VYBER	48200	55988	\N	\N	\N
53344	176	1997-07-08	VYDAJ	VYBER	20000	31017	\N	\N	\N
53345	176	1997-07-17	VYDAJ	VYBER	54500	72053	\N	\N	\N
53346	176	1997-08-07	VYDAJ	VYBER	28600	34446	\N	\N	\N
53347	176	1997-09-06	VYDAJ	VYBER	38700	42889	\N	\N	\N
53348	176	1997-10-05	VYDAJ	VYBER	51600	55689	\N	\N	\N
53349	176	1997-10-06	VYDAJ	VYBER	25800	29889	\N	\N	\N
53350	176	1997-12-05	VYDAJ	VYBER	29700	31508	\N	\N	\N
53351	176	1997-12-18	VYDAJ	VYBER	18300	98645	\N	\N	\N
53352	176	1997-12-25	VYDAJ	VYBER	46400	75205	\N	\N	\N
53353	176	1998-01-04	VYDAJ	VYBER	36700	28269	\N	\N	\N
53354	176	1998-02-03	VYDAJ	VYBER	36400	30582	\N	\N	\N
53355	176	1998-03-05	VYDAJ	VYBER	52000	41128	\N	\N	\N
53356	176	1998-05-04	VYDAJ	VYBER	25200	17891	\N	\N	\N
53357	176	1998-06-03	VYDAJ	VYBER	31500	20922	\N	\N	\N
53358	176	1998-10-01	VYDAJ	VYBER	58700	44383	\N	\N	\N
53359	176	1998-10-31	VYDAJ	VYBER	35100	25951	\N	\N	\N
53360	176	1998-11-30	VYDAJ	VYBER	45200	43837	\N	\N	\N
53390	177	1997-09-26	PRIJEM	VKLAD	800	800	\N	\N	\N
53400	177	1997-10-12	PRIJEM	VKLAD	19450	20250	\N	\N	\N
53401	177	1997-11-12	PRIJEM	VKLAD	19450	41017	\N	\N	\N
53402	177	1997-12-12	PRIJEM	VKLAD	29175	62992	\N	\N	\N
53403	177	1998-01-12	PRIJEM	VKLAD	19450	63392	\N	\N	\N
53404	177	1998-02-12	PRIJEM	VKLAD	19450	66428	\N	\N	\N
53405	177	1998-03-12	PRIJEM	VKLAD	19450	67760	\N	\N	\N
53406	177	1998-04-12	PRIJEM	VKLAD	19450	65794	\N	\N	\N
53407	177	1998-05-12	PRIJEM	VKLAD	19450	64722	\N	\N	\N
53408	177	1998-06-12	PRIJEM	VKLAD	29175	75171	\N	\N	\N
53409	177	1998-07-12	PRIJEM	VKLAD	19450	64475	\N	\N	\N
53410	177	1998-08-12	PRIJEM	VKLAD	19450	58823	\N	\N	\N
53411	177	1998-09-12	PRIJEM	VKLAD	19450	54440	\N	\N	\N
53412	177	1998-10-12	PRIJEM	VKLAD	19450	57926	\N	\N	\N
53413	177	1998-11-12	PRIJEM	VKLAD	19450	55918	\N	\N	\N
53414	177	1998-12-12	PRIJEM	VKLAD	29175	62150	\N	\N	\N
53418	177	1998-12-02	VYDAJ	VYBER	3680	32975	\N	\N	\N
53436	177	1998-08-28	VYDAJ	VYBER	4080	34843	\N	\N	\N
53437	177	1998-07-07	VYDAJ	VYBER	2640	45025	\N	\N	\N
53439	177	1998-06-19	VYDAJ	VYBER	2400	72771	\N	\N	\N
53454	177	1998-02-28	VYDAJ	VYBER	15	48310	SLUZBY	\N	\N
53455	177	1998-03-31	VYDAJ	VYBER	15	46344	SLUZBY	\N	\N
53456	177	1998-04-30	VYDAJ	VYBER	15	45272	SLUZBY	\N	\N
53457	177	1998-05-31	VYDAJ	VYBER	15	45996	SLUZBY	\N	\N
53458	177	1998-06-30	VYDAJ	VYBER	15	47665	SLUZBY	\N	\N
53459	177	1998-07-31	VYDAJ	VYBER	15	39373	SLUZBY	\N	\N
53460	177	1998-08-31	VYDAJ	VYBER	15	34990	SLUZBY	\N	\N
53461	177	1998-09-30	VYDAJ	VYBER	15	38476	SLUZBY	\N	\N
53462	177	1998-10-31	VYDAJ	VYBER	15	36468	SLUZBY	\N	\N
53463	177	1998-11-30	VYDAJ	VYBER	15	36655	SLUZBY	\N	\N
53464	177	1997-10-26	PRIJEM	VKLAD	1300	21550	\N	\N	\N
53465	177	1997-11-25	VYDAJ	VYBER	7300	33717	\N	\N	\N
53466	177	1997-12-25	VYDAJ	VYBER	19200	43792	\N	\N	\N
53467	177	1998-01-24	VYDAJ	VYBER	16600	46792	\N	\N	\N
53468	177	1998-02-23	VYDAJ	VYBER	18300	48128	\N	\N	\N
53469	177	1998-03-25	VYDAJ	VYBER	21600	46160	\N	\N	\N
53470	177	1998-04-24	VYDAJ	VYBER	20700	45094	\N	\N	\N
53471	177	1998-05-24	VYDAJ	VYBER	18900	45822	\N	\N	\N
53472	177	1998-06-23	VYDAJ	VYBER	25300	47471	\N	\N	\N
53473	177	1998-07-23	VYDAJ	VYBER	25300	39175	\N	\N	\N
53474	177	1998-08-22	VYDAJ	VYBER	19900	38923	\N	\N	\N
53475	177	1998-09-21	VYDAJ	VYBER	16100	38340	\N	\N	\N
53476	177	1998-10-21	VYDAJ	VYBER	21600	36326	\N	\N	\N
53477	177	1998-11-20	VYDAJ	VYBER	19400	36518	\N	\N	\N
53493	178	1997-09-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
53502	178	1997-09-13	PRIJEM	PREVOD Z UCTU	2981	3981	\N	CD	55800914
53503	178	1997-10-13	PRIJEM	PREVOD Z UCTU	2981	6972	\N	CD	55800914
53504	178	1997-11-13	PRIJEM	PREVOD Z UCTU	2981	9970	\N	CD	55800914
53505	178	1997-12-13	PRIJEM	PREVOD Z UCTU	2981	12967	\N	CD	55800914
53506	178	1998-01-13	PRIJEM	PREVOD Z UCTU	2981	15965	\N	CD	55800914
53507	178	1998-02-13	PRIJEM	PREVOD Z UCTU	2981	13260	\N	CD	55800914
53508	178	1998-03-13	PRIJEM	PREVOD Z UCTU	2981	14294	\N	CD	55800914
53509	178	1998-04-13	PRIJEM	PREVOD Z UCTU	2981	13860	\N	CD	55800914
53510	178	1998-05-13	PRIJEM	PREVOD Z UCTU	2981	13994	\N	CD	55800914
53511	178	1998-06-13	PRIJEM	PREVOD Z UCTU	2981	15030	\N	CD	55800914
53512	178	1998-07-13	PRIJEM	PREVOD Z UCTU	2981	13965	\N	CD	55800914
53513	178	1998-08-13	PRIJEM	PREVOD Z UCTU	2981	15000	\N	CD	55800914
53514	178	1998-09-13	PRIJEM	PREVOD Z UCTU	2981	16039	\N	CD	55800914
53515	178	1998-10-13	PRIJEM	PREVOD Z UCTU	2981	17083	\N	CD	55800914
53516	178	1998-11-13	PRIJEM	PREVOD Z UCTU	2981	17231	\N	CD	55800914
53517	178	1998-12-13	PRIJEM	PREVOD Z UCTU	2981	18009	\N	CD	55800914
53531	178	1998-02-09	VYDAJ	PREVOD NA UCET	1482	10279	SIPO	OP	16301811
53532	178	1998-03-09	VYDAJ	PREVOD NA UCET	1482	11313	SIPO	OP	16301811
53533	178	1998-04-09	VYDAJ	PREVOD NA UCET	1482	10879	SIPO	OP	16301811
53534	178	1998-05-09	VYDAJ	PREVOD NA UCET	1482	11013	SIPO	OP	16301811
53535	178	1998-06-09	VYDAJ	PREVOD NA UCET	1482	12554	SIPO	OP	16301811
53536	178	1998-07-09	VYDAJ	PREVOD NA UCET	1482	11489	SIPO	OP	16301811
53537	178	1998-08-09	VYDAJ	PREVOD NA UCET	1482	12524	SIPO	OP	16301811
53538	178	1998-09-09	VYDAJ	PREVOD NA UCET	1482	13058	SIPO	OP	16301811
53539	178	1998-10-09	VYDAJ	PREVOD NA UCET	1482	14607	SIPO	OP	16301811
53540	178	1998-11-09	VYDAJ	PREVOD NA UCET	1482	14755	SIPO	OP	16301811
53541	178	1998-12-09	VYDAJ	PREVOD NA UCET	1482	15533	SIPO	OP	16301811
53555	178	1998-02-09	VYDAJ	PREVOD NA UCET	505	11761	 	ST	1946038
53556	178	1998-03-09	VYDAJ	PREVOD NA UCET	505	12795	 	ST	1946038
53557	178	1998-04-09	VYDAJ	PREVOD NA UCET	505	12361	 	ST	1946038
53558	178	1998-05-09	VYDAJ	PREVOD NA UCET	505	12495	 	ST	1946038
53559	178	1998-06-09	VYDAJ	PREVOD NA UCET	505	12049	 	ST	1946038
53560	178	1998-07-09	VYDAJ	PREVOD NA UCET	505	10984	 	ST	1946038
53561	178	1998-08-09	VYDAJ	PREVOD NA UCET	505	12019	 	ST	1946038
53562	178	1998-09-09	VYDAJ	PREVOD NA UCET	505	14540	 	ST	1946038
53563	178	1998-10-09	VYDAJ	PREVOD NA UCET	505	14102	 	ST	1946038
53564	178	1998-11-09	VYDAJ	PREVOD NA UCET	505	14250	 	ST	1946038
53565	178	1998-12-09	VYDAJ	PREVOD NA UCET	505	15028	 	ST	1946038
53567	178	1998-06-18	VYDAJ	VYBER	2100	12930	\N	\N	\N
53571	178	1998-12-04	VYDAJ	VYBER	270	17015	\N	\N	\N
53578	178	1998-01-28	VYDAJ	VYBER	810	13475	\N	\N	\N
53581	178	1998-01-18	VYDAJ	VYBER	270	15065	\N	\N	\N
53582	178	1998-01-18	VYDAJ	VYBER	630	15335	\N	\N	\N
53583	178	1998-01-20	VYDAJ	VYBER	780	14285	\N	\N	\N
53587	178	1998-03-31	VYDAJ	VYBER	1470	12866	\N	\N	\N
53588	178	1998-02-02	VYDAJ	VYBER	1230	12266	\N	\N	\N
53589	178	1998-10-29	VYDAJ	VYBER	900	16183	\N	\N	\N
53590	178	1998-04-21	VYDAJ	VYBER	900	12960	\N	\N	\N
53604	178	1998-01-31	VYDAJ	VYBER	15	13496	SLUZBY	\N	\N
53605	178	1998-02-28	VYDAJ	VYBER	15	13300	SLUZBY	\N	\N
53606	178	1998-03-31	VYDAJ	VYBER	15	14336	SLUZBY	\N	\N
53607	178	1998-04-30	VYDAJ	VYBER	15	13000	SLUZBY	\N	\N
53608	178	1998-05-31	VYDAJ	VYBER	15	14036	SLUZBY	\N	\N
53609	178	1998-06-30	VYDAJ	VYBER	15	12971	SLUZBY	\N	\N
53610	178	1998-07-31	VYDAJ	VYBER	15	14006	SLUZBY	\N	\N
53611	178	1998-08-31	VYDAJ	VYBER	15	15045	SLUZBY	\N	\N
53612	178	1998-09-30	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
53613	178	1998-10-31	VYDAJ	VYBER	15	16237	SLUZBY	\N	\N
53614	178	1998-11-30	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
53631	179	1997-09-22	PRIJEM	VKLAD	200	200	\N	\N	\N
53636	179	1997-11-05	PRIJEM	VKLAD	18713	35213	\N	\N	\N
53641	179	1997-12-15	PRIJEM	VKLAD	38881	106781	\N	\N	\N
53646	179	1997-11-06	PRIJEM	VKLAD	36021	71234	\N	\N	\N
53656	179	1997-11-07	PRIJEM	VKLAD	28269	99503	\N	\N	\N
53658	179	1998-05-08	PRIJEM	VKLAD	47384	125832	\N	\N	\N
53659	179	1998-06-26	PRIJEM	VKLAD	12899	58569	\N	\N	\N
53660	179	1998-08-16	PRIJEM	VKLAD	22418	40898	\N	\N	\N
53661	179	1998-09-13	PRIJEM	VKLAD	39595	59198	\N	\N	\N
53662	179	1998-03-26	PRIJEM	VKLAD	5188	52325	\N	\N	\N
53663	179	1998-02-28	PRIJEM	VKLAD	42048	109045	\N	\N	\N
53664	179	1998-05-14	PRIJEM	VKLAD	49959	134432	\N	\N	\N
53665	179	1998-03-31	PRIJEM	VKLAD	19259	71780	\N	\N	\N
53666	179	1998-01-23	PRIJEM	VKLAD	18381	71625	\N	\N	\N
53667	179	1998-11-25	PRIJEM	VKLAD	36722	62931	\N	\N	\N
53668	179	1998-06-18	PRIJEM	VKLAD	10510	61670	\N	\N	\N
53669	179	1998-01-12	PRIJEM	VKLAD	10559	70222	\N	\N	\N
53670	179	1998-05-02	PRIJEM	VKLAD	42072	83056	\N	\N	\N
53671	179	1998-02-21	PRIJEM	VKLAD	42911	66997	\N	\N	\N
53672	179	1998-10-27	PRIJEM	VKLAD	47973	66036	\N	\N	\N
53673	179	1998-03-21	PRIJEM	VKLAD	48583	74837	\N	\N	\N
53687	179	1998-02-09	VYDAJ	PREVOD NA UCET	7615	23264	SIPO	UV	16450244
53688	179	1998-03-09	VYDAJ	PREVOD NA UCET	7615	38632	SIPO	UV	16450244
53689	179	1998-04-09	VYDAJ	PREVOD NA UCET	7615	58461	SIPO	UV	16450244
53690	179	1998-05-09	VYDAJ	PREVOD NA UCET	7615	84851	SIPO	UV	16450244
53691	179	1998-06-09	VYDAJ	PREVOD NA UCET	7615	51538	SIPO	UV	16450244
53692	179	1998-07-09	VYDAJ	PREVOD NA UCET	7615	45479	SIPO	UV	16450244
53693	179	1998-08-09	VYDAJ	PREVOD NA UCET	7615	18858	SIPO	UV	16450244
53694	179	1998-09-09	VYDAJ	PREVOD NA UCET	7615	19603	SIPO	UV	16450244
53695	179	1998-10-09	VYDAJ	PREVOD NA UCET	7615	14141	SIPO	UV	16450244
53696	179	1998-11-09	VYDAJ	PREVOD NA UCET	7615	52829	SIPO	UV	16450244
53697	179	1998-12-09	VYDAJ	PREVOD NA UCET	7615	44425	SIPO	UV	16450244
53711	179	1998-02-08	VYDAJ	PREVOD NA UCET	1066	30879	 	IJ	47684144
53712	179	1998-03-08	VYDAJ	PREVOD NA UCET	1066	46247	 	IJ	47684144
53713	179	1998-04-08	VYDAJ	PREVOD NA UCET	1066	66076	 	IJ	47684144
53714	179	1998-05-08	VYDAJ	PREVOD NA UCET	1066	92466	 	IJ	47684144
53715	179	1998-06-08	VYDAJ	PREVOD NA UCET	1066	59153	 	IJ	47684144
53716	179	1998-07-08	VYDAJ	PREVOD NA UCET	1066	53094	 	IJ	47684144
53717	179	1998-08-08	VYDAJ	PREVOD NA UCET	1066	26473	 	IJ	47684144
53718	179	1998-09-08	VYDAJ	PREVOD NA UCET	1066	27218	 	IJ	47684144
53719	179	1998-10-08	VYDAJ	PREVOD NA UCET	1066	21756	 	IJ	47684144
53720	179	1998-11-08	VYDAJ	PREVOD NA UCET	1066	60444	 	IJ	47684144
53721	179	1998-12-08	VYDAJ	PREVOD NA UCET	1066	52040	 	IJ	47684144
53734	179	1998-01-13	VYDAJ	PREVOD NA UCET	378	69844	POJISTNE	AB	11941713
53735	179	1998-02-13	VYDAJ	PREVOD NA UCET	378	22886	POJISTNE	AB	11941713
53736	179	1998-03-13	VYDAJ	PREVOD NA UCET	378	26254	POJISTNE	AB	11941713
53737	179	1998-04-13	VYDAJ	PREVOD NA UCET	378	58083	POJISTNE	AB	11941713
53738	179	1998-05-13	VYDAJ	PREVOD NA UCET	378	84473	POJISTNE	AB	11941713
53739	179	1998-06-13	VYDAJ	PREVOD NA UCET	378	51160	POJISTNE	AB	11941713
53740	179	1998-07-13	VYDAJ	PREVOD NA UCET	378	36905	POJISTNE	AB	11941713
53741	179	1998-08-13	VYDAJ	PREVOD NA UCET	378	18480	POJISTNE	AB	11941713
53742	179	1998-09-13	VYDAJ	PREVOD NA UCET	378	58820	POJISTNE	AB	11941713
53743	179	1998-10-13	VYDAJ	PREVOD NA UCET	378	13763	POJISTNE	AB	11941713
53744	179	1998-11-13	VYDAJ	PREVOD NA UCET	378	52451	POJISTNE	AB	11941713
53745	179	1998-12-13	VYDAJ	PREVOD NA UCET	378	44047	POJISTNE	AB	11941713
53759	179	1998-02-07	VYDAJ	PREVOD NA UCET	4608	31945	 	OP	39081686
53760	179	1998-03-07	VYDAJ	PREVOD NA UCET	4608	47313	 	OP	39081686
53761	179	1998-04-07	VYDAJ	PREVOD NA UCET	4608	67142	 	OP	39081686
53762	179	1998-05-07	VYDAJ	PREVOD NA UCET	4608	78448	 	OP	39081686
53763	179	1998-06-07	VYDAJ	PREVOD NA UCET	4608	60219	 	OP	39081686
53764	179	1998-07-07	VYDAJ	PREVOD NA UCET	4608	54160	 	OP	39081686
53765	179	1998-08-07	VYDAJ	PREVOD NA UCET	4608	27539	 	OP	39081686
53766	179	1998-09-07	VYDAJ	PREVOD NA UCET	4608	28284	 	OP	39081686
53767	179	1998-10-07	VYDAJ	PREVOD NA UCET	4608	22822	 	OP	39081686
53768	179	1998-11-07	VYDAJ	PREVOD NA UCET	4608	61510	 	OP	39081686
53769	179	1998-12-07	VYDAJ	PREVOD NA UCET	4608	53106	 	OP	39081686
53775	179	1998-07-12	VYBER	VYBER	8196	37283	\N	\N	\N
53776	179	1998-09-30	VYBER	VYBER	11313	27460	\N	\N	\N
53778	179	1998-03-07	VYBER	VYBER	24775	51921	\N	\N	\N
53779	179	1998-11-19	VYBER	VYBER	10842	26209	\N	\N	\N
53780	179	1998-02-02	VYBER	VYBER	18800	36553	\N	\N	\N
53784	179	1998-01-27	VYDAJ	VYBER	6600	57525	\N	\N	\N
53786	179	1998-12-01	VYDAJ	VYBER	5400	57714	\N	\N	\N
53794	179	1998-01-27	VYDAJ	VYBER	2400	55125	\N	\N	\N
53798	179	1998-01-25	VYDAJ	VYBER	7500	64125	\N	\N	\N
53804	179	1998-03-10	VYDAJ	VYBER	12000	26632	\N	\N	\N
53818	179	1998-01-31	VYDAJ	VYBER	30	55353	SLUZBY	\N	\N
53819	179	1998-02-28	VYDAJ	VYBER	30	76696	SLUZBY	\N	\N
53820	179	1998-03-31	VYDAJ	VYBER	30	71750	SLUZBY	\N	\N
53821	179	1998-04-30	VYDAJ	VYBER	30	40984	SLUZBY	\N	\N
53822	179	1998-05-31	VYDAJ	VYBER	30	64827	SLUZBY	\N	\N
53823	179	1998-06-30	VYDAJ	VYBER	30	58768	SLUZBY	\N	\N
53824	179	1998-07-31	VYDAJ	VYBER	30	32147	SLUZBY	\N	\N
53825	179	1998-08-31	VYDAJ	VYBER	30	32892	SLUZBY	\N	\N
53826	179	1998-09-30	VYDAJ	VYBER	30	27430	SLUZBY	\N	\N
53827	179	1998-10-31	VYDAJ	VYBER	30	66118	SLUZBY	\N	\N
53828	179	1998-11-30	VYDAJ	VYBER	30	63114	SLUZBY	\N	\N
53829	179	1997-10-22	PRIJEM	VKLAD	16300	16500	\N	\N	\N
53830	179	1997-11-21	VYDAJ	VYBER	31900	67603	\N	\N	\N
53831	179	1997-12-15	VYDAJ	VYBER	23900	82881	\N	\N	\N
53832	179	1997-12-21	VYDAJ	VYBER	23500	59381	\N	\N	\N
53833	179	1998-01-20	VYDAJ	VYBER	16600	53244	\N	\N	\N
53834	179	1998-02-19	PRIJEM	VKLAD	1200	24086	\N	\N	\N
53835	179	1998-02-28	VYDAJ	VYBER	32500	76726	\N	\N	\N
53836	179	1998-03-21	VYDAJ	VYBER	27700	47137	\N	\N	\N
53837	179	1998-04-20	VYDAJ	VYBER	17300	40783	\N	\N	\N
53838	179	1998-05-08	VYDAJ	VYBER	32300	93532	\N	\N	\N
53839	179	1998-05-14	VYDAJ	VYBER	31600	102832	\N	\N	\N
53840	179	1998-05-20	VYDAJ	VYBER	38300	64532	\N	\N	\N
53841	179	1998-06-19	VYDAJ	VYBER	16000	45670	\N	\N	\N
53842	179	1998-07-19	VYDAJ	VYBER	4900	32005	\N	\N	\N
53843	179	1998-08-18	VYDAJ	VYBER	8100	32798	\N	\N	\N
53844	179	1998-09-17	VYDAJ	VYBER	20200	38620	\N	\N	\N
53845	179	1998-10-17	PRIJEM	VKLAD	4300	18063	\N	\N	\N
53846	179	1998-11-16	VYDAJ	VYBER	15400	37051	\N	\N	\N
53861	180	1993-12-14	PRIJEM	VKLAD	800	800	\N	\N	\N
53874	180	1994-01-09	PRIJEM	PREVOD Z UCTU	23261	24061	\N	OP	69630121
53875	180	1994-02-09	PRIJEM	PREVOD Z UCTU	23261	45779	\N	OP	69630121
53876	180	1994-03-09	PRIJEM	PREVOD Z UCTU	23261	60270	\N	OP	69630121
53877	180	1994-04-09	PRIJEM	PREVOD Z UCTU	23261	66099	\N	OP	69630121
53878	180	1994-05-09	PRIJEM	PREVOD Z UCTU	23261	66739	\N	OP	69630121
53879	180	1994-06-09	PRIJEM	PREVOD Z UCTU	34892	70164	\N	OP	69630121
53880	180	1994-07-09	PRIJEM	PREVOD Z UCTU	23261	61737	\N	OP	69630121
53881	180	1994-08-09	PRIJEM	PREVOD Z UCTU	23261	65857	\N	OP	69630121
53882	180	1994-09-09	PRIJEM	PREVOD Z UCTU	23261	62012	\N	OP	69630121
53883	180	1994-10-09	PRIJEM	PREVOD Z UCTU	23261	38492	\N	OP	69630121
53884	180	1994-11-09	PRIJEM	PREVOD Z UCTU	23261	35326	\N	OP	69630121
53885	180	1994-12-09	PRIJEM	PREVOD Z UCTU	34892	45036	\N	OP	69630121
53886	180	1995-01-09	PRIJEM	PREVOD Z UCTU	23261	36262	\N	OP	69630121
53887	180	1995-02-09	PRIJEM	PREVOD Z UCTU	23261	38056	\N	OP	69630121
53888	180	1995-03-09	PRIJEM	PREVOD Z UCTU	23261	46276	\N	OP	69630121
53889	180	1995-04-09	PRIJEM	PREVOD Z UCTU	23261	43198	\N	OP	69630121
53890	180	1995-05-09	PRIJEM	PREVOD Z UCTU	23261	45676	\N	OP	69630121
53891	180	1995-06-09	PRIJEM	PREVOD Z UCTU	34892	70595	\N	OP	69630121
53892	180	1995-07-09	PRIJEM	PREVOD Z UCTU	23261	65327	\N	OP	69630121
53893	180	1995-08-09	PRIJEM	PREVOD Z UCTU	23261	73132	\N	OP	69630121
53894	180	1995-09-09	PRIJEM	PREVOD Z UCTU	23261	68857	\N	OP	69630121
53895	180	1995-10-09	PRIJEM	PREVOD Z UCTU	23261	50305	\N	OP	69630121
53896	180	1995-11-09	PRIJEM	PREVOD Z UCTU	23261	49890	\N	OP	69630121
53897	180	1995-12-09	PRIJEM	PREVOD Z UCTU	34892	75828	\N	OP	69630121
53898	180	1996-01-09	PRIJEM	PREVOD Z UCTU	23261	53954	\N	OP	69630121
53899	180	1996-02-09	PRIJEM	PREVOD Z UCTU	23261	46956	\N	OP	69630121
53900	180	1996-03-09	PRIJEM	PREVOD Z UCTU	23261	60552	\N	OP	69630121
53901	180	1996-04-09	PRIJEM	PREVOD Z UCTU	23261	70820	\N	OP	69630121
53902	180	1996-05-09	PRIJEM	PREVOD Z UCTU	23261	75434	\N	OP	69630121
53903	180	1996-06-09	PRIJEM	PREVOD Z UCTU	34892	82592	\N	OP	69630121
53904	180	1996-07-09	PRIJEM	PREVOD Z UCTU	23261	81609	\N	OP	69630121
53905	180	1996-08-09	PRIJEM	PREVOD Z UCTU	23261	75706	\N	OP	69630121
53906	180	1996-09-09	PRIJEM	PREVOD Z UCTU	23261	45530	\N	OP	69630121
53907	180	1996-10-09	PRIJEM	PREVOD Z UCTU	23261	41342	\N	OP	69630121
53908	180	1996-11-09	PRIJEM	PREVOD Z UCTU	23261	58253	\N	OP	69630121
53909	180	1996-12-09	PRIJEM	PREVOD Z UCTU	34892	80097	\N	OP	69630121
53910	180	1997-01-09	PRIJEM	PREVOD Z UCTU	23261	47357	\N	OP	69630121
53911	180	1997-02-09	PRIJEM	PREVOD Z UCTU	23261	41505	\N	OP	69630121
53912	180	1997-03-09	PRIJEM	PREVOD Z UCTU	23261	60719	\N	OP	69630121
53913	180	1997-04-09	PRIJEM	PREVOD Z UCTU	23261	69434	\N	OP	69630121
53914	180	1997-05-09	PRIJEM	PREVOD Z UCTU	23261	79760	\N	OP	69630121
53915	180	1997-06-09	PRIJEM	PREVOD Z UCTU	34892	94465	\N	OP	69630121
53916	180	1997-07-09	PRIJEM	PREVOD Z UCTU	23261	93549	\N	OP	69630121
53917	180	1997-08-09	PRIJEM	PREVOD Z UCTU	23261	90868	\N	OP	69630121
53918	180	1997-09-09	PRIJEM	PREVOD Z UCTU	23261	96783	\N	OP	69630121
53919	180	1997-10-09	PRIJEM	PREVOD Z UCTU	23261	94612	\N	OP	69630121
53920	180	1997-11-09	PRIJEM	PREVOD Z UCTU	23261	89841	\N	OP	69630121
53921	180	1997-12-09	PRIJEM	PREVOD Z UCTU	34892	95439	\N	OP	69630121
53922	180	1998-01-09	PRIJEM	PREVOD Z UCTU	23261	61733	\N	OP	69630121
53923	180	1998-02-09	PRIJEM	PREVOD Z UCTU	23261	56056	\N	OP	69630121
53924	180	1998-03-09	PRIJEM	PREVOD Z UCTU	23261	62856	\N	OP	69630121
53925	180	1998-04-09	PRIJEM	PREVOD Z UCTU	23261	80937	\N	OP	69630121
53926	180	1998-05-09	PRIJEM	PREVOD Z UCTU	23261	78509	\N	OP	69630121
53927	180	1998-06-09	PRIJEM	PREVOD Z UCTU	34892	80709	\N	OP	69630121
53928	180	1998-07-09	PRIJEM	PREVOD Z UCTU	23261	83478	\N	OP	69630121
53929	180	1998-08-09	PRIJEM	PREVOD Z UCTU	23261	88710	\N	OP	69630121
53930	180	1998-09-09	PRIJEM	PREVOD Z UCTU	23261	83165	\N	OP	69630121
53931	180	1998-10-09	PRIJEM	PREVOD Z UCTU	23261	82811	\N	OP	69630121
53932	180	1998-11-09	PRIJEM	PREVOD Z UCTU	23261	90157	\N	OP	69630121
53933	180	1998-12-09	PRIJEM	PREVOD Z UCTU	34892	116418	\N	OP	69630121
53938	180	1994-12-16	VYBER	VYBER	13323	22613	\N	\N	\N
53940	180	1994-09-16	VYBER	VYBER	9830	20287	\N	\N	\N
53942	180	1994-11-14	VYBER	VYBER	22012	10114	\N	\N	\N
53943	180	1994-09-21	VYBER	VYBER	5134	15153	\N	\N	\N
53944	180	1994-07-07	VYBER	VYBER	7633	38476	\N	\N	\N
53946	180	1994-09-10	VYBER	VYBER	24295	37717	\N	\N	\N
53947	180	1994-10-29	VYBER	VYBER	20403	11989	\N	\N	\N
53948	180	1994-08-20	VYBER	VYBER	5549	38608	\N	\N	\N
53949	180	1994-12-25	VYBER	VYBER	18948	-2335	\N	\N	\N
53951	180	1995-09-22	VYBER	VYBER	13636	36419	\N	\N	\N
53952	180	1995-04-27	VYBER	VYBER	15777	15320	\N	\N	\N
53953	180	1995-04-04	VYBER	VYBER	9426	14937	\N	\N	\N
53954	180	1995-07-08	VYBER	VYBER	9165	42066	\N	\N	\N
53955	180	1995-10-25	VYBER	VYBER	24414	25891	\N	\N	\N
53956	180	1995-08-17	VYBER	VYBER	9483	63649	\N	\N	\N
53957	180	1995-04-16	VYBER	VYBER	12101	31097	\N	\N	\N
53958	180	1995-03-04	VYBER	VYBER	15120	23015	\N	\N	\N
53959	180	1995-12-29	VYBER	VYBER	6872	62356	\N	\N	\N
53960	180	1995-09-22	VYBER	VYBER	16402	50055	\N	\N	\N
53961	180	1996-09-03	VYBER	VYBER	18834	22269	\N	\N	\N
53962	180	1996-06-17	VYBER	VYBER	3327	79265	\N	\N	\N
53963	180	1996-09-13	VYBER	VYBER	2534	42996	\N	\N	\N
53964	180	1996-09-18	VYBER	VYBER	13825	29171	\N	\N	\N
53965	180	1996-12-15	VYBER	VYBER	16751	42046	\N	\N	\N
53966	180	1996-09-25	VYBER	VYBER	17400	11771	\N	\N	\N
53967	180	1996-08-24	VYBER	VYBER	10533	52273	\N	\N	\N
53968	180	1996-07-09	VYBER	VYBER	6867	74742	\N	\N	\N
53969	180	1996-11-23	VYBER	VYBER	2581	55672	\N	\N	\N
53970	180	1997-09-16	VYBER	VYBER	9137	84046	\N	\N	\N
53971	180	1998-05-25	VYBER	VYBER	22027	45582	\N	\N	\N
53972	180	1998-08-09	VYBER	VYBER	9936	78774	\N	\N	\N
53973	180	1998-03-23	VYBER	VYBER	12346	57510	\N	\N	\N
53974	180	1998-12-18	VYBER	VYBER	11634	94884	\N	\N	\N
53975	180	1998-09-13	VYBER	VYBER	22030	61135	\N	\N	\N
53976	180	1998-05-05	VYBER	VYBER	2350	55248	\N	\N	\N
53977	180	1998-10-14	VYBER	VYBER	13547	69264	\N	\N	\N
53978	180	1998-06-23	VYBER	VYBER	3680	67829	\N	\N	\N
53979	180	1998-04-25	VYBER	VYBER	11650	57387	\N	\N	\N
53980	180	1998-01-01	VYBER	VYBER	22780	47772	\N	\N	\N
53981	180	1998-01-26	VYBER	VYBER	3111	46122	\N	\N	\N
53982	180	1998-02-18	VYBER	VYBER	23972	16579	\N	\N	\N
53983	180	1998-02-16	VYBER	VYBER	3205	40551	\N	\N	\N
53984	180	1998-08-15	VYBER	VYBER	21105	57669	\N	\N	\N
53993	180	1995-01-26	VYDAJ	VYBER	28800	-1539	\N	\N	\N
53994	180	1996-01-08	VYDAJ	VYBER	12600	30693	\N	\N	\N
53995	180	1997-01-26	VYDAJ	VYBER	14700	5957	\N	\N	\N
53996	180	1998-01-03	VYDAJ	VYBER	9300	38472	\N	\N	\N
53998	180	1994-12-24	VYDAJ	VYBER	6000	16613	\N	\N	\N
53999	180	1995-12-12	VYDAJ	VYBER	6600	69228	\N	\N	\N
54000	180	1996-12-14	VYDAJ	VYBER	8700	58797	\N	\N	\N
54001	180	1997-12-25	VYDAJ	VYBER	7800	70239	\N	\N	\N
54002	180	1998-12-17	VYDAJ	VYBER KARTOU	2700	106518	\N	\N	0
54018	180	1995-01-20	VYDAJ	VYBER	1800	27262	\N	\N	\N
54019	180	1995-01-17	VYDAJ	VYBER	7200	29062	\N	\N	\N
54021	180	1996-01-14	VYDAJ	VYBER	4500	41054	\N	\N	\N
54022	180	1996-01-10	VYDAJ	VYBER	8400	45554	\N	\N	\N
54023	180	1996-01-24	VYDAJ	VYBER	5400	28754	\N	\N	\N
54024	180	1996-01-19	VYDAJ	VYBER	4800	36254	\N	\N	\N
54025	180	1996-01-22	VYDAJ	VYBER	2100	34154	\N	\N	\N
54026	180	1996-01-28	VYDAJ	VYBER	7800	20954	\N	\N	\N
54027	180	1997-01-09	VYDAJ	VYBER	8400	38957	\N	\N	\N
54028	180	1997-01-20	VYDAJ	VYBER	3300	29057	\N	\N	\N
54029	180	1997-01-03	VYDAJ	VYBER	3300	24096	\N	\N	\N
54030	180	1997-01-24	VYDAJ	VYBER	8400	20657	\N	\N	\N
54031	180	1997-01-13	VYDAJ	VYBER	6600	32357	\N	\N	\N
54032	180	1997-01-02	VYDAJ	VYBER	8100	27396	\N	\N	\N
54033	180	1998-01-26	VYDAJ	VYBER	5700	40422	\N	\N	\N
54034	180	1998-01-18	VYDAJ	VYBER	6900	48533	\N	\N	\N
54035	180	1998-01-18	VYDAJ	VYBER	3000	45533	\N	\N	\N
54036	180	1998-01-15	VYDAJ	VYBER	6300	55433	\N	\N	\N
54037	180	1998-01-20	VYDAJ	VYBER	7200	38333	\N	\N	\N
54038	180	1998-01-30	VYDAJ	VYBER	7800	32622	\N	\N	\N
54046	180	1994-05-15	VYDAJ	VYBER	11100	35139	\N	\N	\N
54049	180	1995-10-07	VYDAJ	VYBER	8400	27044	\N	\N	\N
54050	180	1995-03-10	VYDAJ	VYBER	12600	24276	\N	\N	\N
54051	180	1995-09-11	VYDAJ	VYBER	2400	66457	\N	\N	\N
54052	180	1995-10-30	VYDAJ	VYBER	3900	21991	\N	\N	\N
54053	180	1996-08-09	VYDAJ	VYBER	12900	62806	\N	\N	\N
54054	180	1996-05-26	VYDAJ	VYBER	14700	60734	\N	\N	\N
54055	180	1996-12-13	VYDAJ	VYBER	12600	67497	\N	\N	\N
54056	180	1996-01-03	VYDAJ	VYBER	2700	59893	\N	\N	\N
54057	180	1997-09-09	VYDAJ	VYBER	3600	93183	\N	\N	\N
54058	180	1997-11-07	VYDAJ	VYBER	8400	66580	\N	\N	\N
54059	180	1997-05-24	VYDAJ	VYBER	4500	75260	\N	\N	\N
54060	180	1997-12-08	VYDAJ	VYBER	12900	60547	\N	\N	\N
54061	180	1997-03-16	VYDAJ	VYBER	7500	53219	\N	\N	\N
54062	180	1998-07-02	VYDAJ	VYBER	7800	60217	\N	\N	\N
54063	180	1998-12-20	VYDAJ	VYBER	12600	63984	\N	\N	\N
54064	180	1998-12-14	VYDAJ	VYBER	7200	109218	\N	\N	\N
54065	180	1998-02-10	VYDAJ	VYBER	12300	43756	\N	\N	\N
54066	180	1998-07-22	VYDAJ	VYBER	11700	65178	\N	\N	\N
54084	180	1994-05-31	VYDAJ	VYBER	30	35272	SLUZBY	\N	\N
54085	180	1994-06-30	VYDAJ	VYBER	30	46109	SLUZBY	\N	\N
54086	180	1994-07-31	VYDAJ	VYBER	30	42596	SLUZBY	\N	\N
54087	180	1994-08-31	VYDAJ	VYBER	30	38751	SLUZBY	\N	\N
54088	180	1994-09-30	VYDAJ	VYBER	30	15231	SLUZBY	\N	\N
54089	180	1994-10-31	VYDAJ	VYBER	30	12065	SLUZBY	\N	\N
54090	180	1994-11-30	VYDAJ	VYBER	30	10144	SLUZBY	\N	\N
54091	180	1994-12-31	VYDAJ	VYBER	30	-2294	SLUZBY	\N	\N
54092	180	1995-01-31	VYDAJ	VYBER	30	-1496	SLUZBY	\N	\N
54093	180	1995-02-28	VYDAJ	VYBER	30	38139	SLUZBY	\N	\N
54094	180	1995-03-31	VYDAJ	VYBER	30	24363	SLUZBY	\N	\N
54095	180	1995-04-30	VYDAJ	VYBER	30	15415	SLUZBY	\N	\N
54096	180	1995-05-31	VYDAJ	VYBER	30	45803	SLUZBY	\N	\N
54097	180	1995-06-30	VYDAJ	VYBER	30	70831	SLUZBY	\N	\N
54098	180	1995-07-31	VYDAJ	VYBER	30	65571	SLUZBY	\N	\N
54099	180	1995-08-31	VYDAJ	VYBER	30	63896	SLUZBY	\N	\N
54100	180	1995-09-30	VYDAJ	VYBER	30	36644	SLUZBY	\N	\N
54101	180	1995-10-31	VYDAJ	VYBER	30	22129	SLUZBY	\N	\N
54102	180	1995-11-30	VYDAJ	VYBER	30	50036	SLUZBY	\N	\N
54103	180	1995-12-31	VYDAJ	VYBER	30	62593	SLUZBY	\N	\N
54104	180	1996-01-31	VYDAJ	VYBER	30	21095	SLUZBY	\N	\N
54105	180	1996-02-29	VYDAJ	VYBER	30	47091	SLUZBY	\N	\N
54106	180	1996-03-31	VYDAJ	VYBER	30	60759	SLUZBY	\N	\N
54107	180	1996-04-30	VYDAJ	VYBER	30	71073	SLUZBY	\N	\N
54108	180	1996-05-31	VYDAJ	VYBER	30	61000	SLUZBY	\N	\N
54109	180	1996-06-30	VYDAJ	VYBER	30	79548	SLUZBY	\N	\N
54110	180	1996-07-31	VYDAJ	VYBER	30	75045	SLUZBY	\N	\N
54111	180	1996-08-31	VYDAJ	VYBER	30	41103	SLUZBY	\N	\N
54112	180	1996-09-30	VYDAJ	VYBER	30	18081	SLUZBY	\N	\N
54113	180	1996-10-31	VYDAJ	VYBER	30	34992	SLUZBY	\N	\N
54114	180	1996-11-30	VYDAJ	VYBER	30	45205	SLUZBY	\N	\N
54115	180	1996-12-31	VYDAJ	VYBER	30	35496	SLUZBY	\N	\N
54116	180	1997-01-31	VYDAJ	VYBER	30	18244	SLUZBY	\N	\N
54117	180	1997-02-28	VYDAJ	VYBER	30	37458	SLUZBY	\N	\N
54118	180	1997-03-31	VYDAJ	VYBER	30	46173	SLUZBY	\N	\N
54119	180	1997-04-30	VYDAJ	VYBER	30	56499	SLUZBY	\N	\N
54120	180	1997-05-31	VYDAJ	VYBER	30	59573	SLUZBY	\N	\N
54121	180	1997-06-30	VYDAJ	VYBER	30	70288	SLUZBY	\N	\N
54122	180	1997-07-31	VYDAJ	VYBER	30	67607	SLUZBY	\N	\N
54123	180	1997-08-31	VYDAJ	VYBER	30	73522	SLUZBY	\N	\N
54124	180	1997-09-30	VYDAJ	VYBER	30	71351	SLUZBY	\N	\N
54125	180	1997-10-31	VYDAJ	VYBER	30	74980	SLUZBY	\N	\N
54126	180	1997-11-30	VYDAJ	VYBER	30	73447	SLUZBY	\N	\N
54127	180	1997-12-31	VYDAJ	VYBER	30	70552	SLUZBY	\N	\N
54128	180	1998-01-31	VYDAJ	VYBER	30	32795	SLUZBY	\N	\N
54129	180	1998-02-28	VYDAJ	VYBER	30	39595	SLUZBY	\N	\N
54130	180	1998-03-31	VYDAJ	VYBER	30	57676	SLUZBY	\N	\N
54131	180	1998-04-30	VYDAJ	VYBER	30	57598	SLUZBY	\N	\N
54132	180	1998-05-31	VYDAJ	VYBER	30	45817	SLUZBY	\N	\N
54133	180	1998-06-30	VYDAJ	VYBER	30	68017	SLUZBY	\N	\N
54134	180	1998-07-31	VYDAJ	VYBER	30	65449	SLUZBY	\N	\N
54135	180	1998-08-31	VYDAJ	VYBER	30	59904	SLUZBY	\N	\N
54136	180	1998-09-30	VYDAJ	VYBER	30	59550	SLUZBY	\N	\N
54137	180	1998-10-31	VYDAJ	VYBER	30	66896	SLUZBY	\N	\N
54138	180	1998-11-30	VYDAJ	VYBER	30	81526	SLUZBY	\N	\N
54139	180	1994-01-13	VYDAJ	VYBER	1600	22461	\N	\N	\N
54140	180	1994-02-12	VYDAJ	VYBER	8900	36879	\N	\N	\N
54141	180	1994-03-14	VYDAJ	VYBER	17600	42670	\N	\N	\N
54142	180	1994-04-13	VYDAJ	VYBER	22800	43299	\N	\N	\N
54143	180	1994-05-13	VYDAJ	VYBER	20500	46239	\N	\N	\N
54144	180	1994-06-12	VYDAJ	VYBER	24200	45964	\N	\N	\N
54145	180	1994-07-12	VYDAJ	VYBER	19300	42437	\N	\N	\N
54146	180	1994-08-11	VYDAJ	VYBER	21700	44157	\N	\N	\N
54147	180	1994-09-10	VYDAJ	VYBER	7600	30117	\N	\N	\N
54148	180	1994-10-10	VYDAJ	VYBER	6100	32392	\N	\N	\N
54149	180	1994-11-09	VYDAJ	VYBER	3200	32126	\N	\N	\N
54150	180	1994-12-09	VYDAJ	VYBER	9100	35936	\N	\N	\N
54151	180	1995-01-08	PRIJEM	VKLAD	15300	13001	\N	\N	\N
54152	180	1995-02-07	PRIJEM	VKLAD	16300	14795	\N	\N	\N
54153	180	1995-03-09	VYDAJ	VYBER	9400	36876	\N	\N	\N
54154	180	1995-04-08	PRIJEM	VKLAD	5000	19937	\N	\N	\N
54155	180	1995-05-08	PRIJEM	VKLAD	7000	22415	\N	\N	\N
54156	180	1995-06-07	VYDAJ	VYBER	10100	35703	\N	\N	\N
54157	180	1995-07-07	VYDAJ	VYBER	19600	51231	\N	\N	\N
54158	180	1995-08-06	VYDAJ	VYBER	15700	49871	\N	\N	\N
54159	180	1995-09-05	VYDAJ	VYBER	18300	45596	\N	\N	\N
54160	180	1995-10-05	VYDAJ	VYBER	1200	35444	\N	\N	\N
54161	180	1995-11-04	PRIJEM	VKLAD	4500	26629	\N	\N	\N
54162	180	1995-12-04	VYDAJ	VYBER	9100	40936	\N	\N	\N
54163	180	1996-01-03	VYDAJ	VYBER	16600	43293	\N	\N	\N
54164	180	1996-02-02	PRIJEM	VKLAD	2600	23695	\N	\N	\N
54165	180	1996-03-03	VYDAJ	VYBER	9800	37291	\N	\N	\N
54166	180	1996-04-02	VYDAJ	VYBER	13200	47559	\N	\N	\N
54167	180	1996-05-02	VYDAJ	VYBER	18900	52173	\N	\N	\N
54168	180	1996-06-01	VYDAJ	VYBER	13300	47700	\N	\N	\N
54169	180	1996-07-01	VYDAJ	VYBER	21200	58348	\N	\N	\N
54170	180	1996-07-31	VYDAJ	VYBER	22600	52445	\N	\N	\N
54171	180	1996-08-30	VYDAJ	VYBER	11400	40873	\N	\N	\N
54172	180	1996-09-29	PRIJEM	VKLAD	6200	17971	\N	\N	\N
54173	180	1996-10-29	VYDAJ	VYBER	6400	34942	\N	\N	\N
54174	180	1996-11-28	VYDAJ	VYBER	10600	45072	\N	\N	\N
54175	180	1996-12-28	VYDAJ	VYBER	6700	35346	\N	\N	\N
54176	180	1997-01-27	PRIJEM	VKLAD	12200	18157	\N	\N	\N
54177	180	1997-02-26	VYDAJ	VYBER	4100	37405	\N	\N	\N
54178	180	1997-03-28	VYDAJ	VYBER	7200	46019	\N	\N	\N
54179	180	1997-04-27	VYDAJ	VYBER	13100	56334	\N	\N	\N
54180	180	1997-05-27	VYDAJ	VYBER	15900	59360	\N	\N	\N
54181	180	1997-06-26	VYDAJ	VYBER	24400	70065	\N	\N	\N
54182	180	1997-07-26	VYDAJ	VYBER	26200	67349	\N	\N	\N
54183	180	1997-08-25	VYDAJ	VYBER	17600	73268	\N	\N	\N
54184	180	1997-09-24	VYDAJ	VYBER	13000	71046	\N	\N	\N
54185	180	1997-10-24	VYDAJ	VYBER	19900	74712	\N	\N	\N
54186	180	1997-11-23	VYDAJ	VYBER	16700	73141	\N	\N	\N
54187	180	1997-12-23	VYDAJ	VYBER	17400	78039	\N	\N	\N
54188	180	1998-01-22	PRIJEM	VKLAD	10900	49233	\N	\N	\N
54189	180	1998-02-21	PRIJEM	VKLAD	22900	39479	\N	\N	\N
54190	180	1998-03-23	PRIJEM	VKLAD	7000	69856	\N	\N	\N
54191	180	1998-04-22	VYDAJ	VYBER	11900	69037	\N	\N	\N
54192	180	1998-05-22	VYDAJ	VYBER	10900	67609	\N	\N	\N
54193	180	1998-06-21	VYDAJ	VYBER	9200	71509	\N	\N	\N
54194	180	1998-07-21	VYDAJ	VYBER	6600	76878	\N	\N	\N
54195	180	1998-08-20	PRIJEM	VKLAD	2000	59669	\N	\N	\N
54196	180	1998-09-19	VYDAJ	VYBER KARTOU	1800	59335	\N	\N	0
54197	180	1998-10-19	VYDAJ	VYBER KARTOU	2600	66664	\N	\N	0
54198	180	1998-11-18	VYDAJ	VYBER	8900	81257	\N	\N	\N
54199	180	1998-12-18	VYDAJ	VYBER	18300	76584	\N	\N	\N
54264	181	1996-06-11	PRIJEM	VKLAD	200	200	\N	\N	\N
54271	181	1996-07-10	PRIJEM	VKLAD	10772	10972	\N	\N	\N
54272	181	1996-08-10	PRIJEM	VKLAD	10772	31803	\N	\N	\N
54273	181	1996-09-10	PRIJEM	VKLAD	10772	38195	\N	\N	\N
54274	181	1996-10-10	PRIJEM	VKLAD	10772	44618	\N	\N	\N
54275	181	1996-11-10	PRIJEM	VKLAD	10772	45168	\N	\N	\N
54276	181	1996-12-10	PRIJEM	VKLAD	16158	52501	\N	\N	\N
54277	181	1997-01-10	PRIJEM	VKLAD	10772	42361	\N	\N	\N
54278	181	1997-02-10	PRIJEM	VKLAD	10772	39280	\N	\N	\N
54279	181	1997-03-10	PRIJEM	VKLAD	10772	42386	\N	\N	\N
54280	181	1997-04-10	PRIJEM	VKLAD	10772	43310	\N	\N	\N
54281	181	1997-05-10	PRIJEM	VKLAD	10772	46239	\N	\N	\N
54282	181	1997-06-10	PRIJEM	VKLAD	16158	51560	\N	\N	\N
54283	181	1997-07-10	PRIJEM	VKLAD	10772	50416	\N	\N	\N
54284	181	1997-08-10	PRIJEM	VKLAD	10772	48278	\N	\N	\N
54285	181	1997-09-10	PRIJEM	VKLAD	10772	48233	\N	\N	\N
54286	181	1997-10-10	PRIJEM	VKLAD	10772	49285	\N	\N	\N
54287	181	1997-11-10	PRIJEM	VKLAD	10772	47131	\N	\N	\N
54288	181	1997-12-10	PRIJEM	VKLAD	16158	51862	\N	\N	\N
54289	181	1998-01-10	PRIJEM	VKLAD	10772	46619	\N	\N	\N
54290	181	1998-02-10	PRIJEM	VKLAD	10772	42251	\N	\N	\N
54291	181	1998-03-10	PRIJEM	VKLAD	10772	41772	\N	\N	\N
54292	181	1998-04-10	PRIJEM	VKLAD	10772	37298	\N	\N	\N
54293	181	1998-05-10	PRIJEM	VKLAD	10772	34002	\N	\N	\N
54294	181	1998-06-10	PRIJEM	VKLAD	16158	39681	\N	\N	\N
54295	181	1998-07-10	PRIJEM	VKLAD	10772	38690	\N	\N	\N
54296	181	1998-08-10	PRIJEM	VKLAD	10772	38701	\N	\N	\N
54297	181	1998-09-10	PRIJEM	VKLAD	10772	31904	\N	\N	\N
54298	181	1998-10-10	PRIJEM	VKLAD	10772	36187	\N	\N	\N
54299	181	1998-11-10	PRIJEM	VKLAD	10772	34478	\N	\N	\N
54300	181	1998-12-10	PRIJEM	VKLAD	16158	40949	\N	\N	\N
54311	181	1996-11-12	VYDAJ	PREVOD NA UCET	6780	38388	SIPO	KL	66975450
54312	181	1996-12-12	VYDAJ	PREVOD NA UCET	6780	45721	SIPO	KL	66975450
54313	181	1997-01-12	VYDAJ	PREVOD NA UCET	6780	33281	SIPO	KL	66975450
54314	181	1997-02-12	VYDAJ	PREVOD NA UCET	6780	32500	SIPO	KL	66975450
54315	181	1997-03-12	VYDAJ	PREVOD NA UCET	6780	35606	SIPO	KL	66975450
54316	181	1997-04-12	VYDAJ	PREVOD NA UCET	6780	36530	SIPO	KL	66975450
54317	181	1997-05-12	VYDAJ	PREVOD NA UCET	6780	39459	SIPO	KL	66975450
54318	181	1997-06-12	VYDAJ	PREVOD NA UCET	6780	44780	SIPO	KL	66975450
54319	181	1997-07-12	VYDAJ	PREVOD NA UCET	6780	43636	SIPO	KL	66975450
54320	181	1997-08-12	VYDAJ	PREVOD NA UCET	6780	41498	SIPO	KL	66975450
54321	181	1997-09-12	VYDAJ	PREVOD NA UCET	6780	41453	SIPO	KL	66975450
54322	181	1997-10-12	VYDAJ	PREVOD NA UCET	6780	42505	SIPO	KL	66975450
54323	181	1997-11-12	VYDAJ	PREVOD NA UCET	6780	40351	SIPO	KL	66975450
54324	181	1997-12-12	VYDAJ	PREVOD NA UCET	6780	45082	SIPO	KL	66975450
54325	181	1998-01-12	VYDAJ	PREVOD NA UCET	6780	38039	SIPO	KL	66975450
54326	181	1998-02-12	VYDAJ	PREVOD NA UCET	6780	35471	SIPO	KL	66975450
54327	181	1998-03-12	VYDAJ	PREVOD NA UCET	6780	34992	SIPO	KL	66975450
54328	181	1998-04-12	VYDAJ	PREVOD NA UCET	6780	30518	SIPO	KL	66975450
54329	181	1998-05-12	VYDAJ	PREVOD NA UCET	6780	27222	SIPO	KL	66975450
54330	181	1998-06-12	VYDAJ	PREVOD NA UCET	6780	32901	SIPO	KL	66975450
54331	181	1998-07-12	VYDAJ	PREVOD NA UCET	6780	31910	SIPO	KL	66975450
54332	181	1998-08-12	VYDAJ	PREVOD NA UCET	6780	31921	SIPO	KL	66975450
54333	181	1998-09-12	VYDAJ	PREVOD NA UCET	6780	25124	SIPO	KL	66975450
54334	181	1998-10-12	VYDAJ	PREVOD NA UCET	6780	29407	SIPO	KL	66975450
54335	181	1998-11-12	VYDAJ	PREVOD NA UCET	6780	27698	SIPO	KL	66975450
54336	181	1998-12-12	VYDAJ	PREVOD NA UCET	6780	34169	SIPO	KL	66975450
54338	181	1997-06-01	VYDAJ	VYBER	5700	31602	\N	\N	\N
54340	181	1996-12-28	VYDAJ	VYBER	1100	44621	\N	\N	\N
54341	181	1997-12-06	VYDAJ	VYBER KARTOU	1300	35704	\N	\N	0
54342	181	1998-12-15	VYDAJ	VYBER KARTOU	1800	32369	\N	\N	0
54349	181	1997-01-02	VYDAJ	VYBER	2800	41989	\N	\N	\N
54350	181	1997-01-24	VYDAJ	VYBER	2200	28781	\N	\N	\N
54351	181	1997-01-17	VYDAJ	VYBER	2300	30981	\N	\N	\N
54352	181	1997-01-30	VYDAJ	VYBER	2900	25881	\N	\N	\N
54353	181	1997-01-08	VYDAJ	VYBER	1000	31589	\N	\N	\N
54354	181	1997-01-10	VYDAJ	VYBER	2300	40061	\N	\N	\N
54355	181	1998-01-15	VYDAJ	VYBER KARTOU	1800	36239	\N	\N	0
54356	181	1998-01-12	VYDAJ	VYBER KARTOU	1800	44819	\N	\N	0
54357	181	1998-01-01	VYDAJ	VYBER KARTOU	600	44647	\N	\N	0
54358	181	1998-01-07	VYDAJ	VYBER KARTOU	2600	35847	\N	\N	0
54359	181	1998-01-28	VYDAJ	VYBER KARTOU	2200	31539	\N	\N	0
54360	181	1998-01-15	VYDAJ	VYBER KARTOU	2500	33739	\N	\N	0
54367	181	1997-10-03	VYDAJ	VYBER	1600	40013	\N	\N	\N
54368	181	1997-12-02	VYDAJ	VYBER	2800	37704	\N	\N	\N
54369	181	1997-05-13	VYDAJ	VYBER	1300	38159	\N	\N	\N
54370	181	1997-10-20	VYDAJ	VYBER	3900	38605	\N	\N	\N
54371	181	1997-05-17	VYDAJ	VYBER	1000	37159	\N	\N	\N
54372	181	1997-04-08	VYDAJ	VYBER	2900	32538	\N	\N	\N
54373	181	1998-08-20	VYDAJ	VYBER KARTOU	1600	30321	\N	\N	0
54374	181	1998-09-08	VYDAJ	VYBER KARTOU	4000	21132	\N	\N	0
54375	181	1998-08-26	VYDAJ	VYBER KARTOU	700	29621	\N	\N	0
54376	181	1998-07-22	VYDAJ	VYBER KARTOU	1300	30610	\N	\N	0
54377	181	1998-04-13	VYDAJ	VYBER KARTOU	2800	27718	\N	\N	0
54389	181	1996-11-30	VYDAJ	VYBER	15	38543	SLUZBY	\N	\N
54390	181	1996-12-31	VYDAJ	VYBER	15	44789	SLUZBY	\N	\N
54391	181	1997-01-31	VYDAJ	VYBER	15	26008	SLUZBY	\N	\N
54392	181	1997-02-28	VYDAJ	VYBER	15	32614	SLUZBY	\N	\N
54393	181	1997-03-31	VYDAJ	VYBER	15	35738	SLUZBY	\N	\N
54394	181	1997-04-30	VYDAJ	VYBER	15	36667	SLUZBY	\N	\N
54395	181	1997-05-31	VYDAJ	VYBER	15	37302	SLUZBY	\N	\N
54396	181	1997-06-30	VYDAJ	VYBER	15	44944	SLUZBY	\N	\N
54397	181	1997-07-31	VYDAJ	VYBER	15	43806	SLUZBY	\N	\N
54398	181	1997-08-31	VYDAJ	VYBER	15	41661	SLUZBY	\N	\N
54399	181	1997-09-30	VYDAJ	VYBER	15	41613	SLUZBY	\N	\N
54400	181	1997-10-31	VYDAJ	VYBER	15	38759	SLUZBY	\N	\N
54401	181	1997-11-30	VYDAJ	VYBER	15	40504	SLUZBY	\N	\N
54402	181	1997-12-31	VYDAJ	VYBER	15	45247	SLUZBY	\N	\N
54403	181	1998-01-31	VYDAJ	VYBER	15	31679	SLUZBY	\N	\N
54404	181	1998-02-28	VYDAJ	VYBER	15	35600	SLUZBY	\N	\N
54405	181	1998-03-31	VYDAJ	VYBER	15	35126	SLUZBY	\N	\N
54406	181	1998-04-30	VYDAJ	VYBER	15	27830	SLUZBY	\N	\N
54407	181	1998-05-31	VYDAJ	VYBER	15	27323	SLUZBY	\N	\N
54408	181	1998-06-30	VYDAJ	VYBER	15	33018	SLUZBY	\N	\N
54409	181	1998-07-31	VYDAJ	VYBER	15	30729	SLUZBY	\N	\N
54410	181	1998-08-31	VYDAJ	VYBER	15	25132	SLUZBY	\N	\N
54411	181	1998-09-30	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
54412	181	1998-10-31	VYDAJ	VYBER	15	23706	SLUZBY	\N	\N
54413	181	1998-11-30	VYDAJ	VYBER	15	24791	SLUZBY	\N	\N
54414	181	1996-07-11	PRIJEM	VKLAD	10000	20972	\N	\N	\N
54415	181	1996-08-10	VYDAJ	VYBER	2500	29303	\N	\N	\N
54416	181	1996-09-09	VYDAJ	VYBER	2000	27423	\N	\N	\N
54417	181	1996-10-09	VYDAJ	VYBER	4500	33846	\N	\N	\N
54418	181	1996-11-08	VYDAJ	VYBER	10400	34396	\N	\N	\N
54419	181	1996-12-08	VYDAJ	VYBER	2200	36343	\N	\N	\N
54420	181	1997-01-07	VYDAJ	VYBER	9400	32589	\N	\N	\N
54421	181	1997-02-06	PRIJEM	VKLAD	2500	28508	\N	\N	\N
54422	181	1997-03-08	VYDAJ	VYBER	1000	31614	\N	\N	\N
54423	181	1997-04-07	VYDAJ	VYBER	300	35438	\N	\N	\N
54424	181	1997-05-07	VYDAJ	VYBER	1200	35467	\N	\N	\N
54425	181	1997-06-06	PRIJEM	VKLAD	3800	35402	\N	\N	\N
54426	181	1997-07-06	VYDAJ	VYBER	5300	39644	\N	\N	\N
54427	181	1997-08-05	VYDAJ	VYBER	6300	37506	\N	\N	\N
54428	181	1997-09-04	VYDAJ	VYBER	4200	37461	\N	\N	\N
54429	181	1997-10-04	VYDAJ	VYBER	1500	38513	\N	\N	\N
54430	181	1997-11-03	VYDAJ	VYBER	2400	36359	\N	\N	\N
54431	181	1997-12-03	VYDAJ	VYBER	700	37004	\N	\N	\N
54432	181	1998-01-02	VYDAJ	VYBER	6200	38447	\N	\N	\N
54433	181	1998-02-01	VYDAJ	VYBER KARTOU	200	31479	\N	\N	0
54434	181	1998-03-03	VYDAJ	VYBER	4600	31000	\N	\N	\N
54435	181	1998-04-02	VYDAJ	VYBER	8600	26526	\N	\N	\N
54436	181	1998-05-02	VYDAJ	VYBER	4600	23230	\N	\N	\N
54437	181	1998-06-01	VYDAJ	VYBER KARTOU	3800	23523	\N	\N	0
54438	181	1998-07-01	VYDAJ	VYBER	5100	27918	\N	\N	\N
54439	181	1998-07-31	VYDAJ	VYBER KARTOU	2800	27929	\N	\N	0
54440	181	1998-08-30	VYDAJ	VYBER	4600	25021	\N	\N	\N
54441	181	1998-09-29	PRIJEM	VKLAD	200	25324	\N	\N	\N
54442	181	1998-10-29	VYDAJ	VYBER	5800	23607	\N	\N	\N
54443	181	1998-11-28	VYDAJ	VYBER KARTOU	3000	24698	\N	\N	0
54474	182	1996-08-24	PRIJEM	VKLAD	200	200	\N	\N	\N
54549	182	1997-04-21	PRIJEM	VKLAD	10700	10900	\N	\N	\N
54550	182	1997-05-21	PRIJEM	VKLAD	4900	15800	\N	\N	\N
54551	182	1997-06-20	VYDAJ	VYBER	1900	13900	\N	\N	\N
54552	182	1997-07-20	PRIJEM	VKLAD	2600	16500	\N	\N	\N
54553	182	1997-08-19	PRIJEM	VKLAD	400	16900	\N	\N	\N
54554	182	1997-09-18	VYDAJ	VYBER	5600	11300	\N	\N	\N
54555	182	1997-10-18	PRIJEM	VKLAD	900	12200	\N	\N	\N
54556	182	1998-01-16	VYDAJ	VYBER	2200	10000	\N	\N	\N
54557	183	1993-12-12	PRIJEM	VKLAD	200	200	\N	\N	\N
54570	183	1994-01-07	PRIJEM	VKLAD	14642	14842	\N	\N	\N
54571	183	1994-02-07	PRIJEM	VKLAD	14642	33537	\N	\N	\N
54572	183	1994-03-07	PRIJEM	VKLAD	14642	44489	\N	\N	\N
54573	183	1994-04-07	PRIJEM	VKLAD	14642	50069	\N	\N	\N
54574	183	1994-05-07	PRIJEM	VKLAD	14642	51362	\N	\N	\N
54575	183	1994-06-07	PRIJEM	VKLAD	21963	52799	\N	\N	\N
54576	183	1994-07-07	PRIJEM	VKLAD	14642	47914	\N	\N	\N
54577	183	1994-08-07	PRIJEM	VKLAD	14642	41156	\N	\N	\N
54578	183	1994-09-07	PRIJEM	VKLAD	14642	40141	\N	\N	\N
54579	183	1994-10-07	PRIJEM	VKLAD	14642	40324	\N	\N	\N
54580	183	1994-11-07	PRIJEM	VKLAD	14642	40809	\N	\N	\N
54581	183	1994-12-07	PRIJEM	VKLAD	21963	43083	\N	\N	\N
54582	183	1995-01-07	PRIJEM	VKLAD	14642	35036	\N	\N	\N
54583	183	1995-02-07	PRIJEM	VKLAD	14642	33380	\N	\N	\N
54584	183	1995-03-07	PRIJEM	VKLAD	14642	40597	\N	\N	\N
54585	183	1995-04-07	PRIJEM	VKLAD	14642	37484	\N	\N	\N
54586	183	1995-05-07	PRIJEM	VKLAD	14642	34924	\N	\N	\N
54587	183	1995-06-07	PRIJEM	VKLAD	21963	45941	\N	\N	\N
54588	183	1995-07-07	PRIJEM	VKLAD	14642	32080	\N	\N	\N
54589	183	1995-08-07	PRIJEM	VKLAD	14642	35860	\N	\N	\N
54590	183	1995-09-07	PRIJEM	VKLAD	14642	33194	\N	\N	\N
54591	183	1995-10-07	PRIJEM	VKLAD	14642	36782	\N	\N	\N
54592	183	1995-11-07	PRIJEM	VKLAD	14642	36961	\N	\N	\N
54593	183	1995-12-07	PRIJEM	VKLAD	21963	42627	\N	\N	\N
54594	183	1996-01-07	PRIJEM	VKLAD	14642	38184	\N	\N	\N
54595	183	1996-02-07	PRIJEM	VKLAD	14642	33597	\N	\N	\N
54596	183	1996-03-07	PRIJEM	VKLAD	14642	37779	\N	\N	\N
54597	183	1996-04-07	PRIJEM	VKLAD	14642	35713	\N	\N	\N
54598	183	1996-05-07	PRIJEM	VKLAD	14642	41804	\N	\N	\N
54599	183	1996-06-07	PRIJEM	VKLAD	21963	50940	\N	\N	\N
54600	183	1996-07-07	PRIJEM	VKLAD	14642	39041	\N	\N	\N
54601	183	1996-08-07	PRIJEM	VKLAD	14642	47249	\N	\N	\N
54602	183	1996-09-07	PRIJEM	VKLAD	14642	48584	\N	\N	\N
54603	183	1996-10-07	PRIJEM	VKLAD	14642	50725	\N	\N	\N
54604	183	1996-11-07	PRIJEM	VKLAD	14642	46317	\N	\N	\N
54605	183	1996-12-07	PRIJEM	VKLAD	21963	54267	\N	\N	\N
54606	183	1997-01-07	PRIJEM	VKLAD	14642	51559	\N	\N	\N
54607	183	1997-02-07	PRIJEM	VKLAD	14642	37998	\N	\N	\N
54608	183	1997-03-07	PRIJEM	VKLAD	14642	46197	\N	\N	\N
54609	183	1997-04-07	PRIJEM	VKLAD	14642	48326	\N	\N	\N
54610	183	1997-05-07	PRIJEM	VKLAD	14642	53966	\N	\N	\N
54611	183	1997-06-07	PRIJEM	VKLAD	21963	63967	\N	\N	\N
54612	183	1997-07-07	PRIJEM	VKLAD	14642	48077	\N	\N	\N
54613	183	1997-08-07	PRIJEM	VKLAD	14642	50834	\N	\N	\N
54614	183	1997-09-07	PRIJEM	VKLAD	14642	55382	\N	\N	\N
54615	183	1997-10-07	PRIJEM	VKLAD	14642	54842	\N	\N	\N
54616	183	1997-11-07	PRIJEM	VKLAD	14642	53498	\N	\N	\N
54617	183	1997-12-07	PRIJEM	VKLAD	21963	58067	\N	\N	\N
54618	183	1998-01-07	PRIJEM	VKLAD	14642	52286	\N	\N	\N
54619	183	1998-02-07	PRIJEM	VKLAD	14642	48723	\N	\N	\N
54620	183	1998-03-07	PRIJEM	VKLAD	14642	49754	\N	\N	\N
54621	183	1998-04-07	PRIJEM	VKLAD	14642	49890	\N	\N	\N
54622	183	1998-05-07	PRIJEM	VKLAD	14642	47827	\N	\N	\N
54623	183	1998-06-07	PRIJEM	VKLAD	21963	56881	\N	\N	\N
54624	183	1998-07-07	PRIJEM	VKLAD	14642	53230	\N	\N	\N
54625	183	1998-08-07	PRIJEM	VKLAD	14642	48869	\N	\N	\N
54626	183	1998-09-07	PRIJEM	VKLAD	14642	36841	\N	\N	\N
54627	183	1998-10-07	PRIJEM	VKLAD	14642	39322	\N	\N	\N
54628	183	1998-11-07	PRIJEM	VKLAD	14642	41197	\N	\N	\N
54629	183	1998-12-07	PRIJEM	VKLAD	21963	51389	\N	\N	\N
54646	183	1994-05-12	VYDAJ	PREVOD NA UCET	5202	30708	SIPO	AB	5552345
54647	183	1994-06-12	VYDAJ	PREVOD NA UCET	5202	33145	SIPO	AB	5552345
54648	183	1994-07-12	VYDAJ	PREVOD NA UCET	5202	31560	SIPO	AB	5552345
54649	183	1994-08-12	VYDAJ	PREVOD NA UCET	5202	25402	SIPO	AB	5552345
54650	183	1994-09-12	VYDAJ	PREVOD NA UCET	5202	25587	SIPO	AB	5552345
54651	183	1994-10-12	VYDAJ	PREVOD NA UCET	5202	26070	SIPO	AB	5552345
54652	183	1994-11-12	VYDAJ	PREVOD NA UCET	5202	25355	SIPO	AB	5552345
54653	183	1994-12-12	VYDAJ	PREVOD NA UCET	5202	25529	SIPO	AB	5552345
54654	183	1995-01-12	VYDAJ	PREVOD NA UCET	5202	29082	SIPO	AB	5552345
54655	183	1995-02-12	VYDAJ	PREVOD NA UCET	5202	27426	SIPO	AB	5552345
54656	183	1995-03-12	VYDAJ	PREVOD NA UCET	5202	26243	SIPO	AB	5552345
54657	183	1995-04-12	VYDAJ	PREVOD NA UCET	5202	31530	SIPO	AB	5552345
54658	183	1995-05-12	VYDAJ	PREVOD NA UCET	5202	28970	SIPO	AB	5552345
54659	183	1995-06-12	VYDAJ	PREVOD NA UCET	5202	39987	SIPO	AB	5552345
54660	183	1995-07-12	VYDAJ	PREVOD NA UCET	5202	26126	SIPO	AB	5552345
54661	183	1995-08-12	VYDAJ	PREVOD NA UCET	5202	29906	SIPO	AB	5552345
54662	183	1995-09-12	VYDAJ	PREVOD NA UCET	5202	27240	SIPO	AB	5552345
54663	183	1995-10-12	VYDAJ	PREVOD NA UCET	5202	30828	SIPO	AB	5552345
54664	183	1995-11-12	VYDAJ	PREVOD NA UCET	5202	31007	SIPO	AB	5552345
54665	183	1995-12-12	VYDAJ	PREVOD NA UCET	5202	36673	SIPO	AB	5552345
54666	183	1996-01-12	VYDAJ	PREVOD NA UCET	5202	32230	SIPO	AB	5552345
54667	183	1996-02-12	VYDAJ	PREVOD NA UCET	5202	27643	SIPO	AB	5552345
54668	183	1996-03-12	VYDAJ	PREVOD NA UCET	5202	31825	SIPO	AB	5552345
54669	183	1996-04-12	VYDAJ	PREVOD NA UCET	5202	29759	SIPO	AB	5552345
54670	183	1996-05-12	VYDAJ	PREVOD NA UCET	5202	35850	SIPO	AB	5552345
54671	183	1996-06-12	VYDAJ	PREVOD NA UCET	5202	28786	SIPO	AB	5552345
54672	183	1996-07-12	VYDAJ	PREVOD NA UCET	5202	33087	SIPO	AB	5552345
54673	183	1996-08-12	VYDAJ	PREVOD NA UCET	5202	41295	SIPO	AB	5552345
54674	183	1996-09-12	VYDAJ	PREVOD NA UCET	5202	42630	SIPO	AB	5552345
54675	183	1996-10-12	VYDAJ	PREVOD NA UCET	5202	39731	SIPO	AB	5552345
54676	183	1996-11-12	VYDAJ	PREVOD NA UCET	5202	40363	SIPO	AB	5552345
54677	183	1996-12-12	VYDAJ	PREVOD NA UCET	5202	48313	SIPO	AB	5552345
54678	183	1997-01-12	VYDAJ	PREVOD NA UCET	5202	45605	SIPO	AB	5552345
54679	183	1997-02-12	VYDAJ	PREVOD NA UCET	5202	32044	SIPO	AB	5552345
54680	183	1997-03-12	VYDAJ	PREVOD NA UCET	5202	40243	SIPO	AB	5552345
54681	183	1997-04-12	VYDAJ	PREVOD NA UCET	5202	42372	SIPO	AB	5552345
54682	183	1997-05-12	VYDAJ	PREVOD NA UCET	5202	48012	SIPO	AB	5552345
54683	183	1997-06-12	VYDAJ	PREVOD NA UCET	5202	32493	SIPO	AB	5552345
54684	183	1997-07-12	VYDAJ	PREVOD NA UCET	5202	42123	SIPO	AB	5552345
54685	183	1997-08-12	VYDAJ	PREVOD NA UCET	5202	44880	SIPO	AB	5552345
54686	183	1997-09-12	VYDAJ	PREVOD NA UCET	5202	49428	SIPO	AB	5552345
54687	183	1997-10-12	VYDAJ	PREVOD NA UCET	5202	48888	SIPO	AB	5552345
54688	183	1997-11-12	VYDAJ	PREVOD NA UCET	5202	47544	SIPO	AB	5552345
54689	183	1997-12-12	VYDAJ	PREVOD NA UCET	5202	52113	SIPO	AB	5552345
54690	183	1998-01-12	VYDAJ	PREVOD NA UCET	5202	44732	SIPO	AB	5552345
54691	183	1998-02-12	VYDAJ	PREVOD NA UCET	5202	42769	SIPO	AB	5552345
54692	183	1998-03-12	VYDAJ	PREVOD NA UCET	5202	43800	SIPO	AB	5552345
54693	183	1998-04-12	VYDAJ	PREVOD NA UCET	5202	43936	SIPO	AB	5552345
54694	183	1998-05-12	VYDAJ	PREVOD NA UCET	5202	41873	SIPO	AB	5552345
54695	183	1998-06-12	VYDAJ	PREVOD NA UCET	5202	50927	SIPO	AB	5552345
54696	183	1998-07-12	VYDAJ	PREVOD NA UCET	5202	47276	SIPO	AB	5552345
54697	183	1998-08-12	VYDAJ	PREVOD NA UCET	5202	42915	SIPO	AB	5552345
54698	183	1998-09-12	VYDAJ	PREVOD NA UCET	5202	30887	SIPO	AB	5552345
54699	183	1998-10-12	VYDAJ	PREVOD NA UCET	5202	33368	SIPO	AB	5552345
54700	183	1998-11-12	VYDAJ	PREVOD NA UCET	5202	35243	SIPO	AB	5552345
54701	183	1998-12-12	VYDAJ	PREVOD NA UCET	5202	45435	SIPO	AB	5552345
54718	183	1994-05-08	VYDAJ	PREVOD NA UCET	752	50610	 	GH	85986530
54719	183	1994-06-08	VYDAJ	PREVOD NA UCET	752	52047	 	GH	85986530
54720	183	1994-07-08	VYDAJ	PREVOD NA UCET	752	47162	 	GH	85986530
54721	183	1994-08-08	VYDAJ	PREVOD NA UCET	752	40404	 	GH	85986530
54722	183	1994-09-08	VYDAJ	PREVOD NA UCET	752	30789	 	GH	85986530
54723	183	1994-10-08	VYDAJ	PREVOD NA UCET	752	31272	 	GH	85986530
54724	183	1994-11-08	VYDAJ	PREVOD NA UCET	752	30557	 	GH	85986530
54725	183	1994-12-08	VYDAJ	PREVOD NA UCET	752	30731	 	GH	85986530
54726	183	1995-01-08	VYDAJ	PREVOD NA UCET	752	34284	 	GH	85986530
54727	183	1995-02-08	VYDAJ	PREVOD NA UCET	752	32628	 	GH	85986530
54728	183	1995-03-08	VYDAJ	PREVOD NA UCET	752	31445	 	GH	85986530
54729	183	1995-04-08	VYDAJ	PREVOD NA UCET	752	36732	 	GH	85986530
54730	183	1995-05-08	VYDAJ	PREVOD NA UCET	752	34172	 	GH	85986530
54731	183	1995-06-08	VYDAJ	PREVOD NA UCET	752	45189	 	GH	85986530
54732	183	1995-07-08	VYDAJ	PREVOD NA UCET	752	31328	 	GH	85986530
54733	183	1995-08-08	VYDAJ	PREVOD NA UCET	752	35108	 	GH	85986530
54734	183	1995-09-08	VYDAJ	PREVOD NA UCET	752	32442	 	GH	85986530
54735	183	1995-10-08	VYDAJ	PREVOD NA UCET	752	36030	 	GH	85986530
54736	183	1995-11-08	VYDAJ	PREVOD NA UCET	752	36209	 	GH	85986530
54737	183	1995-12-08	VYDAJ	PREVOD NA UCET	752	41875	 	GH	85986530
54738	183	1996-01-08	VYDAJ	PREVOD NA UCET	752	37432	 	GH	85986530
54739	183	1996-02-08	VYDAJ	PREVOD NA UCET	752	32845	 	GH	85986530
54740	183	1996-03-08	VYDAJ	PREVOD NA UCET	752	37027	 	GH	85986530
54741	183	1996-04-08	VYDAJ	PREVOD NA UCET	752	34961	 	GH	85986530
54742	183	1996-05-08	VYDAJ	PREVOD NA UCET	752	41052	 	GH	85986530
54743	183	1996-06-08	VYDAJ	PREVOD NA UCET	752	50188	 	GH	85986530
54744	183	1996-07-08	VYDAJ	PREVOD NA UCET	752	38289	 	GH	85986530
54745	183	1996-08-08	VYDAJ	PREVOD NA UCET	752	46497	 	GH	85986530
54746	183	1996-09-08	VYDAJ	PREVOD NA UCET	752	47832	 	GH	85986530
54747	183	1996-10-08	VYDAJ	PREVOD NA UCET	752	49973	 	GH	85986530
54748	183	1996-11-08	VYDAJ	PREVOD NA UCET	752	45565	 	GH	85986530
54749	183	1996-12-08	VYDAJ	PREVOD NA UCET	752	53515	 	GH	85986530
54750	183	1997-01-08	VYDAJ	PREVOD NA UCET	752	50807	 	GH	85986530
54751	183	1997-02-08	VYDAJ	PREVOD NA UCET	752	37246	 	GH	85986530
54752	183	1997-03-08	VYDAJ	PREVOD NA UCET	752	45445	 	GH	85986530
54753	183	1997-04-08	VYDAJ	PREVOD NA UCET	752	47574	 	GH	85986530
54754	183	1997-05-08	VYDAJ	PREVOD NA UCET	752	53214	 	GH	85986530
54755	183	1997-06-08	VYDAJ	PREVOD NA UCET	752	63215	 	GH	85986530
54756	183	1997-07-08	VYDAJ	PREVOD NA UCET	752	47325	 	GH	85986530
54757	183	1997-08-08	VYDAJ	PREVOD NA UCET	752	50082	 	GH	85986530
54758	183	1997-09-08	VYDAJ	PREVOD NA UCET	752	54630	 	GH	85986530
54759	183	1997-10-08	VYDAJ	PREVOD NA UCET	752	54090	 	GH	85986530
54760	183	1997-11-08	VYDAJ	PREVOD NA UCET	752	52746	 	GH	85986530
54761	183	1997-12-08	VYDAJ	PREVOD NA UCET	752	57315	 	GH	85986530
54762	183	1998-01-08	VYDAJ	PREVOD NA UCET	752	51534	 	GH	85986530
54763	183	1998-02-08	VYDAJ	PREVOD NA UCET	752	47971	 	GH	85986530
54764	183	1998-03-08	VYDAJ	PREVOD NA UCET	752	49002	 	GH	85986530
54765	183	1998-04-08	VYDAJ	PREVOD NA UCET	752	49138	 	GH	85986530
54766	183	1998-05-08	VYDAJ	PREVOD NA UCET	752	47075	 	GH	85986530
54767	183	1998-06-08	VYDAJ	PREVOD NA UCET	752	56129	 	GH	85986530
54768	183	1998-07-08	VYDAJ	PREVOD NA UCET	752	52478	 	GH	85986530
54769	183	1998-08-08	VYDAJ	PREVOD NA UCET	752	48117	 	GH	85986530
54770	183	1998-09-08	VYDAJ	PREVOD NA UCET	752	36089	 	GH	85986530
54771	183	1998-10-08	VYDAJ	PREVOD NA UCET	752	38570	 	GH	85986530
54772	183	1998-11-08	VYDAJ	PREVOD NA UCET	752	40445	 	GH	85986530
54773	183	1998-12-08	VYDAJ	PREVOD NA UCET	752	50637	 	GH	85986530
54776	183	1995-06-25	VYDAJ	VYBER	19040	20947	\N	\N	\N
54777	183	1996-06-11	VYDAJ	VYBER	13920	33988	\N	\N	\N
54778	183	1997-06-11	VYDAJ	VYBER	21440	37695	\N	\N	\N
54782	183	1995-01-28	VYDAJ	VYBER	15840	13242	\N	\N	\N
54783	183	1996-01-21	VYDAJ	VYBER	8480	23750	\N	\N	\N
54784	183	1997-01-27	VYDAJ	VYBER	12800	23205	\N	\N	\N
54785	183	1998-01-10	VYDAJ	VYBER	1600	49934	\N	\N	\N
54787	183	1994-12-17	VYDAJ	VYBER	3520	22009	\N	\N	\N
54788	183	1995-12-02	VYDAJ	VYBER	2560	28564	\N	\N	\N
54789	183	1996-12-26	VYDAJ	VYBER	1760	36753	\N	\N	\N
54790	183	1997-12-21	VYDAJ	VYBER	3840	37473	\N	\N	\N
54791	183	1998-12-03	VYDAJ	VYBER	3840	29426	\N	\N	\N
54802	183	1994-07-17	VYDAJ	VYBER	5160	26400	\N	\N	\N
54803	183	1994-11-13	VYDAJ	VYBER	4320	21035	\N	\N	\N
54804	183	1995-05-06	VYDAJ	VYBER	2280	20282	\N	\N	\N
54805	183	1995-07-04	VYDAJ	VYBER	3840	17238	\N	\N	\N
54806	183	1995-08-26	VYDAJ	VYBER	5760	24146	\N	\N	\N
54807	183	1995-10-22	VYDAJ	VYBER	1920	28908	\N	\N	\N
54808	183	1995-04-21	VYDAJ	VYBER	2880	28650	\N	\N	\N
54809	183	1995-02-22	VYDAJ	VYBER	1560	25866	\N	\N	\N
54810	183	1996-03-18	VYDAJ	VYBER	5760	26065	\N	\N	\N
54811	183	1996-01-02	VYDAJ	VYBER	2760	23542	\N	\N	\N
54812	183	1996-01-31	VYDAJ	VYBER	3000	20869	\N	\N	\N
54813	183	1996-10-08	VYDAJ	VYBER	5040	44933	\N	\N	\N
54814	183	1996-07-01	VYDAJ	VYBER	1800	24399	\N	\N	\N
54815	183	1996-06-09	VYDAJ	VYBER	2280	47908	\N	\N	\N
54816	183	1997-07-30	VYDAJ	VYBER	2280	36043	\N	\N	\N
54817	183	1997-06-09	VYDAJ	VYBER	4080	59135	\N	\N	\N
54818	183	1997-05-22	VYDAJ	VYBER	2280	45732	\N	\N	\N
54819	183	1998-05-04	VYDAJ	VYBER	3600	33185	\N	\N	\N
54820	183	1998-11-01	VYDAJ	VYBER	2520	26555	\N	\N	\N
54821	183	1998-08-29	VYDAJ	VYBER	5040	22075	\N	\N	\N
54839	183	1994-05-31	VYDAJ	VYBER	15	30836	SLUZBY	\N	\N
54840	183	1994-06-30	VYDAJ	VYBER	15	33272	SLUZBY	\N	\N
54841	183	1994-07-31	VYDAJ	VYBER	15	26514	SLUZBY	\N	\N
54842	183	1994-08-31	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
54843	183	1994-09-30	VYDAJ	VYBER	15	25682	SLUZBY	\N	\N
54844	183	1994-10-31	VYDAJ	VYBER	15	26167	SLUZBY	\N	\N
54845	183	1994-11-30	VYDAJ	VYBER	15	21120	SLUZBY	\N	\N
54846	183	1994-12-31	VYDAJ	VYBER	15	22094	SLUZBY	\N	\N
54847	183	1995-01-31	VYDAJ	VYBER	15	13338	SLUZBY	\N	\N
54848	183	1995-02-28	VYDAJ	VYBER	15	25955	SLUZBY	\N	\N
54849	183	1995-03-31	VYDAJ	VYBER	15	26342	SLUZBY	\N	\N
54850	183	1995-04-30	VYDAJ	VYBER	15	28762	SLUZBY	\N	\N
54851	183	1995-05-31	VYDAJ	VYBER	15	29078	SLUZBY	\N	\N
54852	183	1995-06-30	VYDAJ	VYBER	15	21078	SLUZBY	\N	\N
54853	183	1995-07-31	VYDAJ	VYBER	15	26218	SLUZBY	\N	\N
54854	183	1995-08-31	VYDAJ	VYBER	15	24252	SLUZBY	\N	\N
54855	183	1995-09-30	VYDAJ	VYBER	15	27340	SLUZBY	\N	\N
54856	183	1995-10-31	VYDAJ	VYBER	15	29019	SLUZBY	\N	\N
54857	183	1995-11-30	VYDAJ	VYBER	15	31124	SLUZBY	\N	\N
54858	183	1995-12-31	VYDAJ	VYBER	15	36802	SLUZBY	\N	\N
54859	183	1996-01-31	VYDAJ	VYBER	15	18955	SLUZBY	\N	\N
54860	183	1996-02-29	VYDAJ	VYBER	15	27737	SLUZBY	\N	\N
54861	183	1996-03-31	VYDAJ	VYBER	15	21071	SLUZBY	\N	\N
54862	183	1996-04-30	VYDAJ	VYBER	15	27162	SLUZBY	\N	\N
54863	183	1996-05-31	VYDAJ	VYBER	15	28977	SLUZBY	\N	\N
54864	183	1996-06-30	VYDAJ	VYBER	15	26199	SLUZBY	\N	\N
54865	183	1996-07-31	VYDAJ	VYBER	15	32607	SLUZBY	\N	\N
54866	183	1996-08-31	VYDAJ	VYBER	15	33942	SLUZBY	\N	\N
54867	183	1996-09-30	VYDAJ	VYBER	15	36083	SLUZBY	\N	\N
54868	183	1996-10-31	VYDAJ	VYBER	15	31675	SLUZBY	\N	\N
54869	183	1996-11-30	VYDAJ	VYBER	15	32304	SLUZBY	\N	\N
54870	183	1996-12-31	VYDAJ	VYBER	15	36917	SLUZBY	\N	\N
54871	183	1997-01-31	VYDAJ	VYBER	15	23356	SLUZBY	\N	\N
54872	183	1997-02-28	VYDAJ	VYBER	15	31555	SLUZBY	\N	\N
54873	183	1997-03-31	VYDAJ	VYBER	15	33684	SLUZBY	\N	\N
54874	183	1997-04-30	VYDAJ	VYBER	15	39324	SLUZBY	\N	\N
54875	183	1997-05-31	VYDAJ	VYBER	15	42004	SLUZBY	\N	\N
54876	183	1997-06-30	VYDAJ	VYBER	15	33435	SLUZBY	\N	\N
54877	183	1997-07-31	VYDAJ	VYBER	15	36192	SLUZBY	\N	\N
54878	183	1997-08-31	VYDAJ	VYBER	15	40740	SLUZBY	\N	\N
54879	183	1997-09-30	VYDAJ	VYBER	15	40200	SLUZBY	\N	\N
54880	183	1997-10-31	VYDAJ	VYBER	15	38856	SLUZBY	\N	\N
54881	183	1997-11-30	VYDAJ	VYBER	15	36104	SLUZBY	\N	\N
54882	183	1997-12-31	VYDAJ	VYBER	15	37644	SLUZBY	\N	\N
54883	183	1998-01-31	VYDAJ	VYBER	15	34081	SLUZBY	\N	\N
54884	183	1998-02-28	VYDAJ	VYBER	15	35112	SLUZBY	\N	\N
54885	183	1998-03-31	VYDAJ	VYBER	15	35248	SLUZBY	\N	\N
54886	183	1998-04-30	VYDAJ	VYBER	15	36785	SLUZBY	\N	\N
54887	183	1998-05-31	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
54888	183	1998-06-30	VYDAJ	VYBER	15	38588	SLUZBY	\N	\N
54889	183	1998-07-31	VYDAJ	VYBER	15	34227	SLUZBY	\N	\N
54890	183	1998-08-31	VYDAJ	VYBER	15	22199	SLUZBY	\N	\N
54891	183	1998-09-30	VYDAJ	VYBER	15	24680	SLUZBY	\N	\N
54892	183	1998-10-31	VYDAJ	VYBER	15	29075	SLUZBY	\N	\N
54893	183	1998-11-30	VYDAJ	VYBER	15	33266	SLUZBY	\N	\N
54894	183	1994-01-11	PRIJEM	VKLAD	4000	18842	\N	\N	\N
54895	183	1994-02-10	VYDAJ	VYBER	3800	29737	\N	\N	\N
54896	183	1994-03-12	VYDAJ	VYBER	9200	35289	\N	\N	\N
54897	183	1994-04-11	VYDAJ	VYBER	13500	36569	\N	\N	\N
54898	183	1994-05-11	VYDAJ	VYBER	14700	35910	\N	\N	\N
54899	183	1994-06-10	VYDAJ	VYBER	13700	38347	\N	\N	\N
54900	183	1994-07-10	VYDAJ	VYBER	10400	36762	\N	\N	\N
54901	183	1994-08-09	VYDAJ	VYBER	9800	30604	\N	\N	\N
54902	183	1994-09-08	VYDAJ	VYBER	8600	31541	\N	\N	\N
54903	183	1994-10-08	VYDAJ	VYBER	8300	32024	\N	\N	\N
54904	183	1994-11-07	VYDAJ	VYBER	9500	31309	\N	\N	\N
54905	183	1994-12-07	VYDAJ	VYBER	11600	31483	\N	\N	\N
54906	183	1995-01-06	VYDAJ	VYBER	1700	20394	\N	\N	\N
54907	183	1995-02-05	PRIJEM	VKLAD	5400	18738	\N	\N	\N
54908	183	1995-03-07	VYDAJ	VYBER	8400	32197	\N	\N	\N
54909	183	1995-04-06	VYDAJ	VYBER	3500	22842	\N	\N	\N
54910	183	1995-05-06	VYDAJ	VYBER	6200	22562	\N	\N	\N
54911	183	1995-06-05	VYDAJ	VYBER	5100	23978	\N	\N	\N
54912	183	1995-07-05	PRIJEM	VKLAD	200	17438	\N	\N	\N
54913	183	1995-08-04	VYDAJ	VYBER	5000	21218	\N	\N	\N
54914	183	1995-09-03	VYDAJ	VYBER	5700	18552	\N	\N	\N
54915	183	1995-10-03	VYDAJ	VYBER	5200	22140	\N	\N	\N
54916	183	1995-11-02	VYDAJ	VYBER	6700	22319	\N	\N	\N
54917	183	1995-12-02	VYDAJ	VYBER	7900	20664	\N	\N	\N
54918	183	1996-01-01	VYDAJ	VYBER	10500	26302	\N	\N	\N
54919	183	1996-01-31	VYDAJ	VYBER	1900	18969	\N	\N	\N
54920	183	1996-03-01	VYDAJ	VYBER	4600	23137	\N	\N	\N
54921	183	1996-03-31	VYDAJ	VYBER	5100	21086	\N	\N	\N
54922	183	1996-04-30	VYDAJ	VYBER	2700	27176	\N	\N	\N
54923	183	1996-05-30	VYDAJ	VYBER	7000	28850	\N	\N	\N
54924	183	1996-06-29	VYDAJ	VYBER	2700	26086	\N	\N	\N
54925	183	1996-07-29	VYDAJ	VYBER	600	32487	\N	\N	\N
54926	183	1996-08-28	VYDAJ	VYBER	7500	33795	\N	\N	\N
54927	183	1996-09-27	VYDAJ	VYBER	6700	35930	\N	\N	\N
54928	183	1996-10-27	VYDAJ	VYBER	8200	31531	\N	\N	\N
54929	183	1996-11-26	VYDAJ	VYBER	8200	32163	\N	\N	\N
54930	183	1996-12-26	VYDAJ	VYBER	9800	38513	\N	\N	\N
54931	183	1997-01-25	VYDAJ	VYBER	9600	36005	\N	\N	\N
54932	183	1997-02-24	VYDAJ	VYBER	600	31444	\N	\N	\N
54933	183	1997-03-26	VYDAJ	VYBER	6700	33543	\N	\N	\N
54934	183	1997-04-25	VYDAJ	VYBER	3200	39172	\N	\N	\N
54935	183	1997-05-25	VYDAJ	VYBER	3900	41832	\N	\N	\N
54936	183	1997-06-24	PRIJEM	VKLAD	800	33293	\N	\N	\N
54937	183	1997-07-24	VYDAJ	VYBER	3800	38323	\N	\N	\N
54938	183	1997-08-23	VYDAJ	VYBER	4300	40580	\N	\N	\N
54939	183	1997-09-22	VYDAJ	VYBER	9400	40028	\N	\N	\N
54940	183	1997-10-22	VYDAJ	VYBER	10200	38688	\N	\N	\N
54941	183	1997-11-21	VYDAJ	VYBER	11600	35944	\N	\N	\N
54942	183	1997-12-21	VYDAJ	VYBER	10800	41313	\N	\N	\N
54943	183	1998-01-20	VYDAJ	VYBER	10800	33932	\N	\N	\N
54944	183	1998-02-19	VYDAJ	VYBER	7800	34969	\N	\N	\N
54945	183	1998-03-21	VYDAJ	VYBER	8700	35100	\N	\N	\N
54946	183	1998-04-20	VYDAJ	VYBER	7300	36636	\N	\N	\N
54947	183	1998-05-20	VYDAJ	VYBER	7100	34773	\N	\N	\N
54948	183	1998-06-19	VYDAJ	VYBER	12500	38427	\N	\N	\N
54949	183	1998-07-19	VYDAJ	VYBER	13200	34076	\N	\N	\N
54950	183	1998-08-18	VYDAJ	VYBER	15800	27115	\N	\N	\N
54951	183	1998-09-17	VYDAJ	VYBER	6300	24587	\N	\N	\N
54952	183	1998-10-17	VYDAJ	VYBER	4400	28968	\N	\N	\N
54953	183	1998-11-16	VYDAJ	VYBER	2100	33143	\N	\N	\N
55014	184	1996-02-21	PRIJEM	VKLAD	600	600	\N	\N	\N
55017	184	1996-03-07	PRIJEM	VKLAD	19697	20297	\N	\N	\N
55018	184	1996-04-07	PRIJEM	VKLAD	19697	41323	\N	\N	\N
55019	184	1996-05-07	PRIJEM	VKLAD	19697	50923	\N	\N	\N
55020	184	1996-06-07	PRIJEM	VKLAD	29546	65105	\N	\N	\N
55021	184	1996-07-07	PRIJEM	VKLAD	19697	63262	\N	\N	\N
55022	184	1996-08-07	PRIJEM	VKLAD	19697	63426	\N	\N	\N
55023	184	1996-09-07	PRIJEM	VKLAD	19697	63493	\N	\N	\N
55024	184	1996-10-07	PRIJEM	VKLAD	19697	63572	\N	\N	\N
55025	184	1996-11-07	PRIJEM	VKLAD	19697	64038	\N	\N	\N
55026	184	1996-12-07	PRIJEM	VKLAD	29546	72952	\N	\N	\N
55027	184	1997-01-07	PRIJEM	VKLAD	19697	63527	\N	\N	\N
55028	184	1997-02-07	PRIJEM	VKLAD	19697	42000	\N	\N	\N
55029	184	1997-03-07	PRIJEM	VKLAD	19697	54226	\N	\N	\N
55030	184	1997-04-07	PRIJEM	VKLAD	19697	60164	\N	\N	\N
55031	184	1997-05-07	PRIJEM	VKLAD	19697	63421	\N	\N	\N
55032	184	1997-06-07	PRIJEM	VKLAD	29546	79448	\N	\N	\N
55033	184	1997-07-07	PRIJEM	VKLAD	19697	68952	\N	\N	\N
55034	184	1997-08-07	PRIJEM	VKLAD	19697	65434	\N	\N	\N
55035	184	1997-09-07	PRIJEM	VKLAD	19697	67831	\N	\N	\N
55036	184	1997-10-07	PRIJEM	VKLAD	19697	70119	\N	\N	\N
55037	184	1997-11-07	PRIJEM	VKLAD	19697	64002	\N	\N	\N
55038	184	1997-12-07	PRIJEM	VKLAD	29546	69735	\N	\N	\N
55039	184	1998-01-07	PRIJEM	VKLAD	19697	61320	\N	\N	\N
55040	184	1998-02-07	PRIJEM	VKLAD	19697	43160	\N	\N	\N
55041	184	1998-03-07	PRIJEM	VKLAD	19697	50770	\N	\N	\N
55042	184	1998-04-07	PRIJEM	VKLAD	19697	54692	\N	\N	\N
55043	184	1998-05-07	PRIJEM	VKLAD	19697	54518	\N	\N	\N
55044	184	1998-06-07	PRIJEM	VKLAD	29546	61091	\N	\N	\N
55045	184	1998-07-07	PRIJEM	VKLAD	19697	61032	\N	\N	\N
55046	184	1998-08-07	PRIJEM	VKLAD	19697	60785	\N	\N	\N
55047	184	1998-09-07	PRIJEM	VKLAD	19697	65451	\N	\N	\N
55048	184	1998-10-07	PRIJEM	VKLAD	19697	70037	\N	\N	\N
55049	184	1998-11-07	PRIJEM	VKLAD	19697	73140	\N	\N	\N
55050	184	1998-12-07	PRIJEM	VKLAD	29546	86912	\N	\N	\N
55088	184	1997-06-08	VYDAJ	VYBER	11700	67748	\N	\N	\N
55091	184	1997-01-23	VYDAJ	VYBER	9800	29927	\N	\N	\N
55092	184	1998-01-27	VYDAJ	VYBER	6900	25020	\N	\N	\N
55093	184	1996-12-27	VYDAJ	VYBER	900	48552	\N	\N	\N
55094	184	1997-12-02	VYDAJ	VYBER	500	44589	\N	\N	\N
55095	184	1998-12-04	VYDAJ	VYBER	2100	57366	\N	\N	\N
55102	184	1997-01-02	VYDAJ	VYBER	2900	45830	\N	\N	\N
55103	184	1997-01-17	VYDAJ	VYBER	1800	42127	\N	\N	\N
55104	184	1997-01-25	VYDAJ	VYBER	2800	27127	\N	\N	\N
55105	184	1997-01-30	VYDAJ	VYBER	1800	25327	\N	\N	\N
55106	184	1997-01-05	VYDAJ	VYBER	2000	43830	\N	\N	\N
55107	184	1997-01-23	VYDAJ	VYBER	2400	39727	\N	\N	\N
55108	184	1998-01-27	VYDAJ	VYBER	600	24420	\N	\N	\N
55109	184	1998-01-12	VYDAJ	VYBER	2000	35520	\N	\N	\N
55110	184	1998-01-03	VYDAJ	VYBER	2800	43123	\N	\N	\N
55111	184	1998-01-21	VYDAJ	VYBER	2100	31920	\N	\N	\N
55112	184	1998-01-05	VYDAJ	VYBER	800	42323	\N	\N	\N
55113	184	1998-01-15	VYDAJ	VYBER	1500	34020	\N	\N	\N
55116	184	1996-08-30	VYDAJ	VYBER	1900	43626	\N	\N	\N
55118	184	1996-09-12	VYDAJ	VYBER	2000	61493	\N	\N	\N
55119	184	1997-11-01	VYDAJ	VYBER	2600	44305	\N	\N	\N
55120	184	1997-02-04	VYDAJ	VYBER	3200	22303	\N	\N	\N
55121	184	1997-08-02	VYDAJ	VYBER	1200	45737	\N	\N	\N
55122	184	1997-12-03	VYDAJ	VYBER	4400	40189	\N	\N	\N
55123	184	1997-06-11	VYDAJ	VYBER	1500	66248	\N	\N	\N
55124	184	1998-09-11	VYDAJ	VYBER	600	50151	\N	\N	\N
55125	184	1998-01-10	VYDAJ	VYBER	3600	57720	\N	\N	\N
55126	184	1998-01-05	VYDAJ	VYBER	700	41623	\N	\N	\N
55127	184	1998-10-20	VYDAJ	VYBER	1400	53237	\N	\N	\N
55128	184	1998-05-22	VYDAJ	VYBER	4900	31418	\N	\N	\N
55129	184	1998-02-06	VYDAJ	VYBER	1100	23463	\N	\N	\N
55137	184	1996-07-31	VYDAJ	VYBER	15	43729	SLUZBY	\N	\N
55138	184	1996-08-31	VYDAJ	VYBER	15	43796	SLUZBY	\N	\N
55139	184	1996-09-30	VYDAJ	VYBER	15	43875	SLUZBY	\N	\N
55140	184	1996-10-31	VYDAJ	VYBER	15	44341	SLUZBY	\N	\N
55141	184	1996-11-30	VYDAJ	VYBER	15	43406	SLUZBY	\N	\N
55142	184	1996-12-31	VYDAJ	VYBER	15	48730	SLUZBY	\N	\N
55143	184	1997-01-31	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
55144	184	1997-02-28	VYDAJ	VYBER	15	34529	SLUZBY	\N	\N
55145	184	1997-03-31	VYDAJ	VYBER	15	40467	SLUZBY	\N	\N
55146	184	1997-04-30	VYDAJ	VYBER	15	43724	SLUZBY	\N	\N
55147	184	1997-05-31	VYDAJ	VYBER	15	49902	SLUZBY	\N	\N
55148	184	1997-06-30	VYDAJ	VYBER	15	49255	SLUZBY	\N	\N
55149	184	1997-07-31	VYDAJ	VYBER	15	46937	SLUZBY	\N	\N
55150	184	1997-08-31	VYDAJ	VYBER	15	48134	SLUZBY	\N	\N
55151	184	1997-09-30	VYDAJ	VYBER	15	50422	SLUZBY	\N	\N
55152	184	1997-10-31	VYDAJ	VYBER	15	46905	SLUZBY	\N	\N
55153	184	1997-11-30	VYDAJ	VYBER	15	45089	SLUZBY	\N	\N
55154	184	1997-12-31	VYDAJ	VYBER	15	45923	SLUZBY	\N	\N
55155	184	1998-01-31	VYDAJ	VYBER	15	24563	SLUZBY	\N	\N
55156	184	1998-02-28	VYDAJ	VYBER	15	31073	SLUZBY	\N	\N
55157	184	1998-03-31	VYDAJ	VYBER	15	34995	SLUZBY	\N	\N
55158	184	1998-04-30	VYDAJ	VYBER	15	34821	SLUZBY	\N	\N
55159	184	1998-05-31	VYDAJ	VYBER	15	31545	SLUZBY	\N	\N
55160	184	1998-06-30	VYDAJ	VYBER	15	41335	SLUZBY	\N	\N
55161	184	1998-07-31	VYDAJ	VYBER	15	41088	SLUZBY	\N	\N
55162	184	1998-08-31	VYDAJ	VYBER	15	45754	SLUZBY	\N	\N
55163	184	1998-09-30	VYDAJ	VYBER	15	50340	SLUZBY	\N	\N
55164	184	1998-10-31	VYDAJ	VYBER	15	53443	SLUZBY	\N	\N
55165	184	1998-11-30	VYDAJ	VYBER	15	59466	SLUZBY	\N	\N
55166	184	1996-03-22	PRIJEM	VKLAD	1300	21597	\N	\N	\N
55167	184	1996-04-21	VYDAJ	VYBER	10200	31123	\N	\N	\N
55168	184	1996-05-21	VYDAJ	VYBER	15500	35423	\N	\N	\N
55169	184	1996-06-20	VYDAJ	VYBER	21700	43405	\N	\N	\N
55170	184	1996-07-20	VYDAJ	VYBER	19700	43562	\N	\N	\N
55171	184	1996-08-19	VYDAJ	VYBER	17900	45526	\N	\N	\N
55172	184	1996-09-18	VYDAJ	VYBER	17800	43693	\N	\N	\N
55173	184	1996-10-18	VYDAJ	VYBER	19400	44172	\N	\N	\N
55174	184	1996-11-17	VYDAJ	VYBER	20800	43238	\N	\N	\N
55175	184	1996-12-17	VYDAJ	VYBER	23500	49452	\N	\N	\N
55176	184	1997-01-16	VYDAJ	VYBER	19600	43927	\N	\N	\N
55177	184	1997-02-15	VYDAJ	VYBER	7600	34400	\N	\N	\N
55178	184	1997-03-17	VYDAJ	VYBER	13900	40326	\N	\N	\N
55179	184	1997-04-16	VYDAJ	VYBER	16600	43564	\N	\N	\N
55180	184	1997-05-16	VYDAJ	VYBER	13700	49721	\N	\N	\N
55181	184	1997-06-15	VYDAJ	VYBER	17200	49048	\N	\N	\N
55182	184	1997-07-15	VYDAJ	VYBER	22200	46752	\N	\N	\N
55183	184	1997-08-14	VYDAJ	VYBER	17500	47934	\N	\N	\N
55184	184	1997-09-13	VYDAJ	VYBER	17600	50231	\N	\N	\N
55185	184	1997-10-13	VYDAJ	VYBER	23400	46719	\N	\N	\N
55186	184	1997-11-12	VYDAJ	VYBER	19100	44902	\N	\N	\N
55187	184	1997-12-12	VYDAJ	VYBER	24000	45735	\N	\N	\N
55188	184	1998-01-11	VYDAJ	VYBER	20200	37520	\N	\N	\N
55189	184	1998-02-10	VYDAJ	VYBER	12200	30960	\N	\N	\N
55190	184	1998-03-12	VYDAJ	VYBER	15900	34870	\N	\N	\N
55191	184	1998-04-11	VYDAJ	VYBER	20000	34692	\N	\N	\N
55192	184	1998-05-11	VYDAJ	VYBER	18200	36318	\N	\N	\N
55193	184	1998-06-10	VYDAJ	VYBER	19900	41191	\N	\N	\N
55194	184	1998-07-10	VYDAJ	VYBER	20100	40932	\N	\N	\N
55195	184	1998-08-09	VYDAJ	VYBER	15200	45585	\N	\N	\N
55196	184	1998-09-08	VYDAJ	VYBER	14700	50751	\N	\N	\N
55197	184	1998-10-08	VYDAJ	VYBER	15400	54637	\N	\N	\N
55198	184	1998-11-07	VYDAJ	VYBER	13900	59240	\N	\N	\N
55199	184	1998-12-07	VYDAJ	VYBER	20200	66712	\N	\N	\N
55234	185	1997-07-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
55241	185	1997-07-10	PRIJEM	VKLAD	19231	20231	\N	\N	\N
55242	185	1997-08-10	PRIJEM	VKLAD	19231	39022	\N	\N	\N
55243	185	1997-09-10	PRIJEM	VKLAD	19231	49593	\N	\N	\N
55244	185	1997-10-10	PRIJEM	VKLAD	19231	57017	\N	\N	\N
55245	185	1997-11-10	PRIJEM	VKLAD	19231	60577	\N	\N	\N
55246	185	1997-12-10	PRIJEM	VKLAD	28846	66807	\N	\N	\N
55247	185	1998-01-10	PRIJEM	VKLAD	19231	61536	\N	\N	\N
55248	185	1998-02-10	PRIJEM	VKLAD	19231	61430	\N	\N	\N
55249	185	1998-03-10	PRIJEM	VKLAD	19231	66531	\N	\N	\N
55250	185	1998-04-10	PRIJEM	VKLAD	19231	72357	\N	\N	\N
55251	185	1998-05-10	PRIJEM	VKLAD	19231	70912	\N	\N	\N
55252	185	1998-06-10	PRIJEM	VKLAD	28846	79865	\N	\N	\N
55253	185	1998-07-10	PRIJEM	VKLAD	19231	69827	\N	\N	\N
55254	185	1998-08-10	PRIJEM	VKLAD	19231	71059	\N	\N	\N
55255	185	1998-09-10	PRIJEM	VKLAD	19231	73896	\N	\N	\N
55256	185	1998-10-10	PRIJEM	VKLAD	19231	70740	\N	\N	\N
55257	185	1998-11-10	PRIJEM	VKLAD	19231	64768	\N	\N	\N
55258	185	1998-12-10	PRIJEM	VKLAD	28846	72988	\N	\N	\N
55269	185	1997-11-11	VYDAJ	PREVOD NA UCET	6526	54051	SIPO	IJ	14592427
55270	185	1997-12-11	VYDAJ	PREVOD NA UCET	6526	60281	SIPO	IJ	14592427
55271	185	1998-01-11	VYDAJ	PREVOD NA UCET	6526	55010	SIPO	IJ	14592427
55272	185	1998-02-11	VYDAJ	PREVOD NA UCET	6526	54904	SIPO	IJ	14592427
55273	185	1998-03-11	VYDAJ	PREVOD NA UCET	6526	60005	SIPO	IJ	14592427
55274	185	1998-04-11	VYDAJ	PREVOD NA UCET	6526	65831	SIPO	IJ	14592427
55275	185	1998-05-11	VYDAJ	PREVOD NA UCET	6526	64386	SIPO	IJ	14592427
55276	185	1998-06-11	VYDAJ	PREVOD NA UCET	6526	73339	SIPO	IJ	14592427
55277	185	1998-07-11	VYDAJ	PREVOD NA UCET	6526	63301	SIPO	IJ	14592427
55278	185	1998-08-11	VYDAJ	PREVOD NA UCET	6526	64533	SIPO	IJ	14592427
55279	185	1998-09-11	VYDAJ	PREVOD NA UCET	6526	67370	SIPO	IJ	14592427
55280	185	1998-10-11	VYDAJ	PREVOD NA UCET	6526	64214	SIPO	IJ	14592427
55281	185	1998-11-11	VYDAJ	PREVOD NA UCET	6526	58242	SIPO	IJ	14592427
55282	185	1998-12-11	VYDAJ	PREVOD NA UCET	6526	65362	SIPO	IJ	14592427
55284	185	1998-06-28	VYDAJ	VYBER	14100	59239	\N	\N	\N
55286	185	1998-01-07	VYDAJ	VYBER	1900	42305	\N	\N	\N
55287	185	1997-12-29	VYDAJ	VYBER	2300	57981	\N	\N	\N
55288	185	1998-12-10	VYDAJ	VYBER KARTOU	1100	71888	\N	\N	0
55295	185	1998-01-25	VYDAJ	VYBER	1800	48310	\N	\N	\N
55296	185	1998-01-23	VYDAJ	VYBER	1900	50110	\N	\N	\N
55297	185	1998-01-17	VYDAJ	VYBER	1500	53510	\N	\N	\N
55298	185	1998-01-27	VYDAJ	VYBER	1700	45010	\N	\N	\N
55299	185	1998-01-19	VYDAJ	VYBER	1500	52010	\N	\N	\N
55300	185	1998-01-25	VYDAJ	VYBER	1600	46710	\N	\N	\N
55305	185	1997-11-17	VYDAJ	VYBER	2800	51251	\N	\N	\N
55309	185	1998-03-07	VYDAJ	VYBER	1000	47300	\N	\N	\N
55310	185	1998-01-05	VYDAJ	VYBER	1000	44205	\N	\N	\N
55311	185	1998-03-01	VYDAJ	VYBER	2200	52900	\N	\N	\N
55312	185	1998-06-03	VYDAJ	VYBER KARTOU	1200	51019	\N	\N	0
55324	185	1997-11-30	VYDAJ	VYBER	15	51461	SLUZBY	\N	\N
55325	185	1997-12-31	VYDAJ	VYBER	15	45205	SLUZBY	\N	\N
55326	185	1998-01-31	VYDAJ	VYBER	15	42199	SLUZBY	\N	\N
55327	185	1998-02-28	VYDAJ	VYBER	15	55100	SLUZBY	\N	\N
55328	185	1998-03-31	VYDAJ	VYBER	15	60226	SLUZBY	\N	\N
55329	185	1998-04-30	VYDAJ	VYBER	15	51681	SLUZBY	\N	\N
55330	185	1998-05-31	VYDAJ	VYBER	15	52219	SLUZBY	\N	\N
55331	185	1998-06-30	VYDAJ	VYBER	15	50596	SLUZBY	\N	\N
55332	185	1998-07-31	VYDAJ	VYBER	15	51828	SLUZBY	\N	\N
55333	185	1998-08-31	VYDAJ	VYBER	15	54665	SLUZBY	\N	\N
55334	185	1998-09-30	VYDAJ	VYBER	15	51509	SLUZBY	\N	\N
55335	185	1998-10-31	VYDAJ	VYBER	15	45537	SLUZBY	\N	\N
55336	185	1998-11-30	VYDAJ	VYBER	15	44142	SLUZBY	\N	\N
55337	185	1997-08-03	VYDAJ	VYBER	500	19791	\N	\N	\N
55338	185	1997-09-02	VYDAJ	VYBER	8800	30362	\N	\N	\N
55339	185	1997-10-02	VYDAJ	VYBER	12000	37786	\N	\N	\N
55340	185	1997-11-01	VYDAJ	VYBER	15900	41346	\N	\N	\N
55341	185	1997-12-01	VYDAJ	VYBER	13500	37961	\N	\N	\N
55342	185	1997-12-31	VYDAJ	VYBER	13000	45219	\N	\N	\N
55343	185	1998-01-30	VYDAJ	VYBER	3000	42010	\N	\N	\N
55344	185	1998-03-01	VYDAJ	VYBER	4600	48300	\N	\N	\N
55345	185	1998-03-31	VYDAJ	VYBER	7100	53126	\N	\N	\N
55346	185	1998-04-30	VYDAJ	VYBER	14400	51696	\N	\N	\N
55347	185	1998-05-30	VYDAJ	VYBER	12400	51986	\N	\N	\N
55348	185	1998-06-29	VYDAJ	VYBER	8900	50339	\N	\N	\N
55349	185	1998-07-29	VYDAJ	VYBER	11700	51601	\N	\N	\N
55350	185	1998-08-28	VYDAJ	VYBER	10100	54433	\N	\N	\N
55351	185	1998-09-27	VYDAJ	VYBER	16100	51270	\N	\N	\N
55352	185	1998-10-27	VYDAJ	VYBER	18900	45314	\N	\N	\N
55353	185	1998-11-26	VYDAJ	VYBER	14300	43942	\N	\N	\N
55372	186	1993-07-29	PRIJEM	VKLAD	700	700	\N	\N	\N
55373	186	1993-08-21	PRIJEM	VKLAD	17370	18070	\N	\N	\N
55375	186	1993-09-05	PRIJEM	VKLAD	32779	55061	\N	\N	\N
55376	186	1993-10-01	PRIJEM	VKLAD	15801	54764	\N	\N	\N
55380	186	1994-01-30	PRIJEM	VKLAD	49065	79223	\N	\N	\N
55381	186	1994-01-04	PRIJEM	VKLAD	11758	39534	\N	\N	\N
55382	186	1994-09-23	PRIJEM	VKLAD	34515	91349	\N	\N	\N
55383	186	1994-11-05	PRIJEM	VKLAD	23478	101330	\N	\N	\N
55384	186	1994-03-04	PRIJEM	VKLAD	29010	107838	\N	\N	\N
55385	186	1994-11-28	PRIJEM	VKLAD	10083	66158	\N	\N	\N
55386	186	1994-07-21	PRIJEM	VKLAD	8758	93217	\N	\N	\N
55387	186	1994-08-30	PRIJEM	VKLAD	10554	48011	\N	\N	\N
55388	186	1994-03-04	PRIJEM	VKLAD	37722	78828	\N	\N	\N
55389	186	1994-11-29	PRIJEM	VKLAD	43704	109862	\N	\N	\N
55390	186	1994-06-07	PRIJEM	VKLAD	43330	89952	\N	\N	\N
55391	186	1994-05-23	PRIJEM	VKLAD	24501	80058	\N	\N	\N
55392	186	1994-01-14	PRIJEM	VKLAD	8424	47958	\N	\N	\N
55393	186	1994-07-30	PRIJEM	VKLAD	6649	63466	\N	\N	\N
55394	186	1994-06-14	PRIJEM	VKLAD	39464	99379	\N	\N	\N
55395	186	1994-10-15	PRIJEM	VKLAD	31415	72495	\N	\N	\N
55396	186	1994-08-09	PRIJEM	VKLAD	40982	97909	\N	\N	\N
55397	186	1994-06-28	PRIJEM	VKLAD	32708	90997	\N	\N	\N
55398	186	1994-11-01	PRIJEM	VKLAD	31284	77852	\N	\N	\N
55399	186	1994-11-19	PRIJEM	VKLAD	23407	117875	\N	\N	\N
55400	186	1994-02-10	PRIJEM	VKLAD	19404	81692	\N	\N	\N
55401	186	1994-09-28	PRIJEM	VKLAD	22938	108219	\N	\N	\N
55402	186	1994-06-15	PRIJEM	VKLAD	28305	127684	\N	\N	\N
55403	186	1994-06-21	PRIJEM	VKLAD	41105	134789	\N	\N	\N
55404	186	1994-09-04	PRIJEM	VKLAD	39335	87596	\N	\N	\N
55405	186	1994-06-13	PRIJEM	VKLAD	28163	118115	\N	\N	\N
55406	186	1994-04-23	PRIJEM	VKLAD	37929	93779	\N	\N	\N
55407	186	1994-08-09	PRIJEM	VKLAD	16152	114061	\N	\N	\N
55408	186	1995-12-02	PRIJEM	VKLAD	41811	127247	\N	\N	\N
55409	186	1995-11-04	PRIJEM	VKLAD	15724	54851	\N	\N	\N
55410	186	1995-04-21	PRIJEM	VKLAD	7226	35788	\N	\N	\N
55411	186	1995-06-07	PRIJEM	VKLAD	9817	79606	\N	\N	\N
55412	186	1995-11-26	PRIJEM	VKLAD	47256	120702	\N	\N	\N
55413	186	1995-06-04	PRIJEM	VKLAD	38756	76651	\N	\N	\N
55414	186	1995-02-09	PRIJEM	VKLAD	25770	44987	\N	\N	\N
55415	186	1995-12-04	PRIJEM	VKLAD	8004	88651	\N	\N	\N
55416	186	1995-07-30	PRIJEM	VKLAD	42583	95681	\N	\N	\N
55417	186	1995-06-30	PRIJEM	VKLAD	11510	71890	\N	\N	\N
55418	186	1995-11-16	PRIJEM	VKLAD	48841	89030	\N	\N	\N
55419	186	1995-11-16	PRIJEM	VKLAD	20216	109246	\N	\N	\N
55420	186	1995-05-20	PRIJEM	VKLAD	13664	35782	\N	\N	\N
55421	186	1996-02-27	PRIJEM	VKLAD	6744	98208	\N	\N	\N
55422	186	1996-01-15	PRIJEM	VKLAD	23238	97633	\N	\N	\N
55423	186	1996-02-02	PRIJEM	VKLAD	24125	84047	\N	\N	\N
55424	186	1996-10-17	PRIJEM	VKLAD	31591	109435	\N	\N	\N
55425	186	1996-03-20	PRIJEM	VKLAD	26636	93689	\N	\N	\N
55426	186	1996-01-22	PRIJEM	VKLAD	30223	74369	\N	\N	\N
55427	186	1996-06-27	PRIJEM	VKLAD	23576	96433	\N	\N	\N
55428	186	1996-06-11	PRIJEM	VKLAD	40934	97157	\N	\N	\N
55429	186	1996-07-04	PRIJEM	VKLAD	14265	110951	\N	\N	\N
55430	186	1996-07-18	PRIJEM	VKLAD	40743	116932	\N	\N	\N
55431	186	1996-10-01	PRIJEM	VKLAD	45003	86938	\N	\N	\N
55432	186	1996-10-08	PRIJEM	VKLAD	24468	104544	\N	\N	\N
55433	186	1996-01-07	PRIJEM	VKLAD	7270	74395	\N	\N	\N
55434	186	1996-06-01	PRIJEM	VKLAD	33552	63085	\N	\N	\N
55435	186	1996-02-16	PRIJEM	VKLAD	32179	91464	\N	\N	\N
55436	186	1996-01-03	PRIJEM	VKLAD	16141	73987	\N	\N	\N
55437	186	1996-11-16	PRIJEM	VKLAD	41180	115494	\N	\N	\N
55438	186	1997-07-06	PRIJEM	VKLAD	43420	72809	\N	\N	\N
55439	186	1997-10-28	PRIJEM	VKLAD	16351	62423	\N	\N	\N
55440	186	1997-09-16	PRIJEM	VKLAD	45686	116813	\N	\N	\N
55441	186	1997-08-20	PRIJEM	VKLAD	43798	96458	\N	\N	\N
55442	186	1997-04-08	PRIJEM	VKLAD	41188	65877	\N	\N	\N
55443	186	1998-03-26	PRIJEM	VKLAD	8523	73210	\N	\N	\N
55444	186	1998-11-17	PRIJEM	VKLAD	48289	144892	\N	\N	\N
55445	186	1998-06-25	PRIJEM	VKLAD	38464	91114	\N	\N	\N
55446	186	1998-04-07	PRIJEM	VKLAD	38022	99846	\N	\N	\N
55447	186	1998-04-12	PRIJEM	VKLAD	38455	138301	\N	\N	\N
55448	186	1998-06-28	PRIJEM	VKLAD	14501	105615	\N	\N	\N
55449	186	1998-11-12	PRIJEM	VKLAD	20761	100503	\N	\N	\N
55450	186	1998-11-19	PRIJEM	VKLAD	26222	147614	\N	\N	\N
55451	186	1998-05-03	PRIJEM	VKLAD	44974	151522	\N	\N	\N
55452	186	1998-05-19	PRIJEM	VKLAD	7644	96204	\N	\N	\N
55453	186	1998-03-14	PRIJEM	VKLAD	44343	101033	\N	\N	\N
55454	186	1998-09-19	PRIJEM	VKLAD	16139	62493	\N	\N	\N
55455	186	1998-03-23	PRIJEM	VKLAD	23354	124387	\N	\N	\N
55456	186	1998-11-20	PRIJEM	VKLAD	30200	162314	\N	\N	\N
55457	186	1998-06-30	PRIJEM	VKLAD	41555	159422	\N	\N	\N
55458	186	1998-11-08	PRIJEM	VKLAD	28890	79742	\N	\N	\N
55459	186	1998-10-08	PRIJEM	VKLAD	28638	90739	\N	\N	\N
55460	186	1998-06-28	PRIJEM	VKLAD	37544	143159	\N	\N	\N
55461	186	1998-01-11	PRIJEM	VKLAD	15761	55266	\N	\N	\N
55475	186	1994-02-05	VYDAJ	PREVOD NA UCET	6862	62288	SIPO	GH	83964973
55476	186	1994-03-05	VYDAJ	PREVOD NA UCET	6862	100976	SIPO	GH	83964973
55477	186	1994-04-05	VYDAJ	PREVOD NA UCET	6862	55850	SIPO	GH	83964973
55478	186	1994-05-05	VYDAJ	PREVOD NA UCET	6862	55557	SIPO	GH	83964973
55479	186	1994-06-05	VYDAJ	PREVOD NA UCET	6862	46622	SIPO	GH	83964973
55480	186	1994-07-05	VYDAJ	PREVOD NA UCET	6862	84459	SIPO	GH	83964973
55481	186	1994-08-05	VYDAJ	PREVOD NA UCET	6862	56927	SIPO	GH	83964973
55482	186	1994-09-05	VYDAJ	PREVOD NA UCET	6862	80734	SIPO	GH	83964973
55483	186	1994-10-05	VYDAJ	PREVOD NA UCET	6862	51155	SIPO	GH	83964973
55484	186	1994-11-05	VYDAJ	PREVOD NA UCET	6862	94468	SIPO	GH	83964973
55485	186	1994-12-05	VYDAJ	PREVOD NA UCET	6862	67104	SIPO	GH	83964973
55486	186	1995-01-05	VYDAJ	PREVOD NA UCET	6862	39676	SIPO	GH	83964973
55487	186	1995-02-05	VYDAJ	PREVOD NA UCET	6862	19217	SIPO	GH	83964973
55488	186	1995-03-05	VYDAJ	PREVOD NA UCET	6862	21739	SIPO	GH	83964973
55489	186	1995-04-05	VYDAJ	PREVOD NA UCET	6862	19362	SIPO	GH	83964973
55490	186	1995-05-05	VYDAJ	PREVOD NA UCET	6862	29018	SIPO	GH	83964973
55491	186	1995-06-05	VYDAJ	PREVOD NA UCET	6862	69789	SIPO	GH	83964973
55492	186	1995-07-05	VYDAJ	PREVOD NA UCET	6862	64998	SIPO	GH	83964973
55493	186	1995-08-05	VYDAJ	PREVOD NA UCET	6862	86966	SIPO	GH	83964973
55494	186	1995-09-05	VYDAJ	PREVOD NA UCET	6862	55994	SIPO	GH	83964973
55495	186	1995-10-05	VYDAJ	PREVOD NA UCET	6862	33493	SIPO	GH	83964973
55496	186	1995-11-05	VYDAJ	PREVOD NA UCET	6862	47989	SIPO	GH	83964973
55497	186	1995-12-05	VYDAJ	PREVOD NA UCET	6862	81789	SIPO	GH	83964973
55498	186	1996-01-05	VYDAJ	PREVOD NA UCET	6862	67125	SIPO	GH	83964973
55499	186	1996-02-05	VYDAJ	PREVOD NA UCET	6862	77185	SIPO	GH	83964973
55500	186	1996-03-05	VYDAJ	PREVOD NA UCET	6862	91653	SIPO	GH	83964973
55501	186	1996-04-05	VYDAJ	PREVOD NA UCET	6862	74620	SIPO	GH	83964973
55502	186	1996-05-05	VYDAJ	PREVOD NA UCET	6862	56322	SIPO	GH	83964973
55503	186	1996-06-05	VYDAJ	PREVOD NA UCET	6862	56223	SIPO	GH	83964973
55504	186	1996-07-05	VYDAJ	PREVOD NA UCET	6862	104089	SIPO	GH	83964973
55505	186	1996-08-05	VYDAJ	PREVOD NA UCET	6862	58676	SIPO	GH	83964973
55506	186	1996-09-05	VYDAJ	PREVOD NA UCET	6862	28103	SIPO	GH	83964973
55507	186	1996-10-05	VYDAJ	PREVOD NA UCET	6862	80076	SIPO	GH	83964973
55508	186	1996-11-05	VYDAJ	PREVOD NA UCET	6862	94514	SIPO	GH	83964973
55509	186	1996-12-05	VYDAJ	PREVOD NA UCET	6862	43239	SIPO	GH	83964973
55510	186	1997-01-05	VYDAJ	PREVOD NA UCET	6862	22533	SIPO	GH	83964973
55511	186	1997-02-05	VYDAJ	PREVOD NA UCET	6862	28278	SIPO	GH	83964973
55512	186	1997-03-05	VYDAJ	PREVOD NA UCET	6862	22760	SIPO	GH	83964973
55513	186	1997-04-05	VYDAJ	PREVOD NA UCET	6862	24689	SIPO	GH	83964973
55514	186	1997-05-05	VYDAJ	PREVOD NA UCET	6862	45749	SIPO	GH	83964973
55515	186	1997-06-05	VYDAJ	PREVOD NA UCET	6862	19344	SIPO	GH	83964973
55516	186	1997-07-05	VYDAJ	PREVOD NA UCET	6862	29389	SIPO	GH	83964973
55517	186	1997-08-05	VYDAJ	PREVOD NA UCET	6862	56560	SIPO	GH	83964973
55518	186	1997-09-05	VYDAJ	PREVOD NA UCET	6862	82427	SIPO	GH	83964973
55519	186	1997-10-05	VYDAJ	PREVOD NA UCET	6862	87377	SIPO	GH	83964973
55520	186	1997-11-05	VYDAJ	PREVOD NA UCET	6862	60520	SIPO	GH	83964973
55521	186	1997-12-05	VYDAJ	PREVOD NA UCET	6862	49532	SIPO	GH	83964973
55522	186	1998-01-05	VYDAJ	PREVOD NA UCET	6862	39505	SIPO	GH	83964973
55523	186	1998-02-05	VYDAJ	PREVOD NA UCET	6862	51371	SIPO	GH	83964973
55524	186	1998-03-05	VYDAJ	PREVOD NA UCET	6862	56690	SIPO	GH	83964973
55525	186	1998-04-05	VYDAJ	PREVOD NA UCET	6862	61824	SIPO	GH	83964973
55526	186	1998-05-05	VYDAJ	PREVOD NA UCET	6862	88560	SIPO	GH	83964973
55527	186	1998-06-05	VYDAJ	PREVOD NA UCET	6862	73202	SIPO	GH	83964973
55528	186	1998-07-05	VYDAJ	PREVOD NA UCET	6862	82730	SIPO	GH	83964973
55529	186	1998-08-05	VYDAJ	PREVOD NA UCET	6862	70917	SIPO	GH	83964973
55530	186	1998-09-05	VYDAJ	PREVOD NA UCET	6862	46354	SIPO	GH	83964973
55531	186	1998-10-05	VYDAJ	PREVOD NA UCET	6862	62101	SIPO	GH	83964973
55532	186	1998-11-05	VYDAJ	PREVOD NA UCET	6862	50852	SIPO	GH	83964973
55533	186	1998-12-05	VYDAJ	PREVOD NA UCET	6862	88575	SIPO	GH	83964973
55547	186	1994-10-14	VYBER	VYBER	10075	41080	\N	\N	\N
55548	186	1994-10-03	VYBER	VYBER	13398	58017	\N	\N	\N
55549	186	1994-08-16	VYBER	VYBER	13504	56757	\N	\N	\N
55550	186	1994-02-28	VYBER	VYBER	10757	41136	\N	\N	\N
55551	186	1994-02-02	VYBER	VYBER	10227	69150	\N	\N	\N
55552	186	1994-10-16	VYBER	VYBER	4723	67772	\N	\N	\N
55553	186	1994-09-26	VYBER	VYBER	6068	85281	\N	\N	\N
55554	186	1995-09-20	VYBER	VYBER	7829	40165	\N	\N	\N
55556	186	1996-01-17	VYBER	VYBER	24087	44146	\N	\N	\N
55557	186	1996-05-20	VYBER	VYBER	18359	32663	\N	\N	\N
55558	186	1996-12-28	VYBER	VYBER	2861	29278	\N	\N	\N
55559	186	1996-11-19	VYBER	VYBER	15380	49814	\N	\N	\N
55560	186	1996-03-23	VYBER	VYBER	12541	81148	\N	\N	\N
55561	186	1996-08-23	VYBER	VYBER	16894	34782	\N	\N	\N
55562	186	1996-01-27	VYBER	VYBER	14682	59687	\N	\N	\N
55563	186	1997-03-03	VYBER	VYBER	7475	29622	\N	\N	\N
55565	186	1997-08-23	VYBER	VYBER	3667	92791	\N	\N	\N
55567	186	1997-12-24	VYBER	VYBER	17325	32207	\N	\N	\N
55569	186	1997-05-02	VYBER	VYBER	5649	52611	\N	\N	\N
55570	186	1997-10-25	VYBER	VYBER	19453	46072	\N	\N	\N
55571	186	1997-09-05	VYBER	VYBER	3760	89289	\N	\N	\N
55573	186	1997-10-14	VYBER	VYBER	10052	65525	\N	\N	\N
55574	186	1997-11-24	VYBER	VYBER	20743	39777	\N	\N	\N
55576	186	1997-03-29	VYBER	VYBER	6019	31441	\N	\N	\N
55577	186	1998-06-10	VYBER	VYBER	20552	52650	\N	\N	\N
55578	186	1998-12-25	VYBER	VYBER	12996	74079	\N	\N	\N
55579	186	1998-11-03	VYBER	VYBER	8630	57714	\N	\N	\N
55580	186	1998-08-06	VYBER	VYBER	24574	46343	\N	\N	\N
55581	186	1998-04-21	VYBER	VYBER	9701	111000	\N	\N	\N
55582	186	1998-04-25	VYBER	VYBER	3044	106156	\N	\N	\N
55583	186	1998-10-30	VYBER	VYBER	18447	53858	\N	\N	\N
55584	186	1998-10-23	VYBER	VYBER	18434	72305	\N	\N	\N
55586	186	1994-12-19	VYDAJ	VYBER	1800	65304	\N	\N	\N
55587	186	1995-12-14	VYDAJ	VYBER	5400	76389	\N	\N	\N
55588	186	1996-12-10	VYDAJ	VYBER	4200	42039	\N	\N	\N
55589	186	1997-12-25	VYDAJ	VYBER	4800	27407	\N	\N	\N
55590	186	1998-12-15	VYDAJ	VYBER	1500	87075	\N	\N	\N
55598	186	1994-08-28	VYDAJ	VYBER	3000	37457	\N	\N	\N
55599	186	1994-01-24	VYDAJ	VYBER	9000	38958	\N	\N	\N
55600	186	1994-10-16	VYDAJ	VYBER	8100	59672	\N	\N	\N
55601	186	1994-07-24	VYDAJ	VYBER	9600	56817	\N	\N	\N
55602	186	1995-08-01	VYDAJ	VYBER	2100	93828	\N	\N	\N
55603	186	1995-11-06	VYDAJ	VYBER	7800	40189	\N	\N	\N
55604	186	1995-05-17	VYDAJ	VYBER	6900	22118	\N	\N	\N
55605	186	1995-02-23	VYDAJ	VYBER	7500	28487	\N	\N	\N
55606	186	1995-01-10	VYDAJ	VYBER	13500	26176	\N	\N	\N
55607	186	1996-12-12	VYDAJ	VYBER	9900	32139	\N	\N	\N
55608	186	1996-05-27	VYDAJ	VYBER	3300	29363	\N	\N	\N
55610	186	1996-10-26	VYDAJ	VYBER	8400	101035	\N	\N	\N
55611	186	1996-12-07	VYDAJ	VYBER	9000	34239	\N	\N	\N
55612	186	1997-05-28	VYDAJ	VYBER	14700	26049	\N	\N	\N
55613	186	1997-08-06	VYDAJ	VYBER	14400	42160	\N	\N	\N
55616	186	1997-05-24	VYDAJ	VYBER	8100	40749	\N	\N	\N
55617	186	1997-09-20	VYDAJ	VYBER	6600	93913	\N	\N	\N
55618	186	1998-09-20	VYDAJ	VYBER	5400	57093	\N	\N	\N
55619	186	1998-04-21	VYDAJ	VYBER	1800	109200	\N	\N	\N
55620	186	1998-08-26	VYDAJ	VYBER	8400	37943	\N	\N	\N
55621	186	1998-11-14	VYDAJ	VYBER	3900	96603	\N	\N	\N
55635	186	1994-01-31	VYDAJ	VYBER	30	79377	SLUZBY	\N	\N
55636	186	1994-02-28	VYDAJ	VYBER	30	41106	SLUZBY	\N	\N
55637	186	1994-03-31	VYDAJ	VYBER	30	62712	SLUZBY	\N	\N
55638	186	1994-04-30	VYDAJ	VYBER	30	62419	SLUZBY	\N	\N
55639	186	1994-05-31	VYDAJ	VYBER	30	53484	SLUZBY	\N	\N
55640	186	1994-06-30	VYDAJ	VYBER	30	91321	SLUZBY	\N	\N
55641	186	1994-07-31	VYDAJ	VYBER	30	63789	SLUZBY	\N	\N
55642	186	1994-08-31	VYDAJ	VYBER	30	48261	SLUZBY	\N	\N
55643	186	1994-09-30	VYDAJ	VYBER	30	71415	SLUZBY	\N	\N
55644	186	1994-10-31	VYDAJ	VYBER	30	46568	SLUZBY	\N	\N
55645	186	1994-11-30	VYDAJ	VYBER	30	73966	SLUZBY	\N	\N
55646	186	1994-12-31	VYDAJ	VYBER	30	46538	SLUZBY	\N	\N
55647	186	1995-01-31	VYDAJ	VYBER	30	26079	SLUZBY	\N	\N
55648	186	1995-02-28	VYDAJ	VYBER	30	28601	SLUZBY	\N	\N
55649	186	1995-03-31	VYDAJ	VYBER	30	26224	SLUZBY	\N	\N
55650	186	1995-04-30	VYDAJ	VYBER	30	35880	SLUZBY	\N	\N
55651	186	1995-05-31	VYDAJ	VYBER	30	37895	SLUZBY	\N	\N
55652	186	1995-06-30	VYDAJ	VYBER	30	71860	SLUZBY	\N	\N
55653	186	1995-07-31	VYDAJ	VYBER	30	95928	SLUZBY	\N	\N
55654	186	1995-08-31	VYDAJ	VYBER	30	62856	SLUZBY	\N	\N
55655	186	1995-09-30	VYDAJ	VYBER	30	40355	SLUZBY	\N	\N
55656	186	1995-10-31	VYDAJ	VYBER	30	39127	SLUZBY	\N	\N
55657	186	1995-11-30	VYDAJ	VYBER	30	85436	SLUZBY	\N	\N
55658	186	1995-12-31	VYDAJ	VYBER	30	57846	SLUZBY	\N	\N
55659	186	1996-01-31	VYDAJ	VYBER	30	59922	SLUZBY	\N	\N
55660	186	1996-02-29	VYDAJ	VYBER	30	98515	SLUZBY	\N	\N
55661	186	1996-03-31	VYDAJ	VYBER	30	81482	SLUZBY	\N	\N
55662	186	1996-04-30	VYDAJ	VYBER	30	63184	SLUZBY	\N	\N
55663	186	1996-05-31	VYDAJ	VYBER	30	29533	SLUZBY	\N	\N
55664	186	1996-06-30	VYDAJ	VYBER	30	96686	SLUZBY	\N	\N
55665	186	1996-07-31	VYDAJ	VYBER	30	65538	SLUZBY	\N	\N
55666	186	1996-08-31	VYDAJ	VYBER	30	34965	SLUZBY	\N	\N
55667	186	1996-09-30	VYDAJ	VYBER	30	41935	SLUZBY	\N	\N
55668	186	1996-10-31	VYDAJ	VYBER	30	101376	SLUZBY	\N	\N
55669	186	1996-11-30	VYDAJ	VYBER	30	50101	SLUZBY	\N	\N
55670	186	1996-12-31	VYDAJ	VYBER	30	29395	SLUZBY	\N	\N
55671	186	1997-01-31	VYDAJ	VYBER	30	35140	SLUZBY	\N	\N
55672	186	1997-02-28	VYDAJ	VYBER	30	37097	SLUZBY	\N	\N
55673	186	1997-03-31	VYDAJ	VYBER	30	31551	SLUZBY	\N	\N
55674	186	1997-04-30	VYDAJ	VYBER	30	58260	SLUZBY	\N	\N
55675	186	1997-05-31	VYDAJ	VYBER	30	26206	SLUZBY	\N	\N
55676	186	1997-06-30	VYDAJ	VYBER	30	36251	SLUZBY	\N	\N
55677	186	1997-07-31	VYDAJ	VYBER	30	63422	SLUZBY	\N	\N
55678	186	1997-08-31	VYDAJ	VYBER	30	93049	SLUZBY	\N	\N
55679	186	1997-09-30	VYDAJ	VYBER	30	94239	SLUZBY	\N	\N
55680	186	1997-10-31	VYDAJ	VYBER	30	62682	SLUZBY	\N	\N
55681	186	1997-11-30	VYDAJ	VYBER	30	39994	SLUZBY	\N	\N
55682	186	1997-12-31	VYDAJ	VYBER	30	27567	SLUZBY	\N	\N
55683	186	1998-01-31	VYDAJ	VYBER	30	55433	SLUZBY	\N	\N
55684	186	1998-02-28	VYDAJ	VYBER	30	51552	SLUZBY	\N	\N
55685	186	1998-03-31	VYDAJ	VYBER	30	73486	SLUZBY	\N	\N
55686	186	1998-04-30	VYDAJ	VYBER	30	106548	SLUZBY	\N	\N
55687	186	1998-05-31	VYDAJ	VYBER	30	96564	SLUZBY	\N	\N
55688	186	1998-06-30	VYDAJ	VYBER	30	117592	SLUZBY	\N	\N
55689	186	1998-07-31	VYDAJ	VYBER	30	83079	SLUZBY	\N	\N
55690	186	1998-08-31	VYDAJ	VYBER	30	38116	SLUZBY	\N	\N
55691	186	1998-09-30	VYDAJ	VYBER	30	57263	SLUZBY	\N	\N
55692	186	1998-10-31	VYDAJ	VYBER	30	66344	SLUZBY	\N	\N
55693	186	1998-11-30	VYDAJ	VYBER	30	129837	SLUZBY	\N	\N
55694	186	1993-08-28	PRIJEM	VKLAD	4200	22270	\N	\N	\N
55695	186	1993-09-27	VYDAJ	VYBER	16200	38861	\N	\N	\N
55696	186	1993-10-27	VYDAJ	VYBER	13000	41764	\N	\N	\N
55697	186	1993-11-26	VYDAJ	VYBER	8000	33928	\N	\N	\N
55698	186	1993-12-26	VYDAJ	VYBER	6500	27602	\N	\N	\N
55699	186	1994-01-25	VYDAJ	VYBER	8800	30158	\N	\N	\N
55700	186	1994-02-24	VYDAJ	VYBER	30100	51592	\N	\N	\N
55701	186	1994-03-26	VYDAJ	VYBER	38600	62376	\N	\N	\N
55702	186	1994-04-25	VYDAJ	VYBER	31600	62179	\N	\N	\N
55703	186	1994-05-25	VYDAJ	VYBER	26800	53258	\N	\N	\N
55704	186	1994-06-13	VYDAJ	VYBER	58200	59915	\N	\N	\N
55705	186	1994-06-15	VYDAJ	VYBER	34000	93684	\N	\N	\N
55706	186	1994-06-21	VYDAJ	VYBER	49200	85589	\N	\N	\N
55707	186	1994-06-24	VYDAJ	VYBER	27300	58289	\N	\N	\N
55708	186	1994-07-24	VYDAJ	VYBER	26800	66417	\N	\N	\N
55709	186	1994-08-09	VYDAJ	VYBER	43800	70261	\N	\N	\N
55710	186	1994-08-23	VYDAJ	VYBER	16300	40457	\N	\N	\N
55711	186	1994-09-22	VYDAJ	VYBER	23900	56834	\N	\N	\N
55712	186	1994-09-28	VYDAJ	VYBER	37100	71119	\N	\N	\N
55713	186	1994-10-22	VYDAJ	VYBER	13300	46372	\N	\N	\N
55714	186	1994-11-19	VYDAJ	VYBER	37600	80275	\N	\N	\N
55715	186	1994-11-21	VYDAJ	VYBER	24200	56075	\N	\N	\N
55716	186	1994-11-29	VYDAJ	VYBER	36200	73662	\N	\N	\N
55717	186	1994-12-21	VYDAJ	VYBER	19000	46304	\N	\N	\N
55718	186	1995-01-20	VYDAJ	VYBER	200	25976	\N	\N	\N
55719	186	1995-02-19	VYDAJ	VYBER	9000	35987	\N	\N	\N
55720	186	1995-03-21	PRIJEM	VKLAD	4400	26139	\N	\N	\N
55721	186	1995-04-20	PRIJEM	VKLAD	9200	28562	\N	\N	\N
55722	186	1995-05-20	PRIJEM	VKLAD	2000	37782	\N	\N	\N
55723	186	1995-06-19	VYDAJ	VYBER	19500	60106	\N	\N	\N
55724	186	1995-07-19	VYDAJ	VYBER	11900	53098	\N	\N	\N
55725	186	1995-08-18	VYDAJ	VYBER	24400	62566	\N	\N	\N
55726	186	1995-09-17	VYDAJ	VYBER	8000	47994	\N	\N	\N
55727	186	1995-10-17	PRIJEM	VKLAD	5500	38993	\N	\N	\N
55728	186	1995-11-16	VYDAJ	VYBER	35800	73446	\N	\N	\N
55729	186	1995-11-26	VYDAJ	VYBER	35500	85202	\N	\N	\N
55730	186	1995-12-02	VYDAJ	VYBER	46600	80647	\N	\N	\N
55731	186	1995-12-16	VYDAJ	VYBER	18800	57589	\N	\N	\N
55732	186	1996-01-15	VYDAJ	VYBER	29400	68233	\N	\N	\N
55733	186	1996-02-14	VYDAJ	VYBER	17900	59285	\N	\N	\N
55734	186	1996-03-15	VYDAJ	VYBER	24600	67053	\N	\N	\N
55735	186	1996-04-14	VYDAJ	VYBER	11700	62920	\N	\N	\N
55736	186	1996-05-14	VYDAJ	VYBER	5300	51022	\N	\N	\N
55737	186	1996-06-13	VYDAJ	VYBER	24300	72857	\N	\N	\N
55738	186	1996-07-13	VYDAJ	VYBER	27900	76189	\N	\N	\N
55739	186	1996-07-18	VYDAJ	VYBER	51700	65232	\N	\N	\N
55740	186	1996-08-12	VYDAJ	VYBER	7000	51676	\N	\N	\N
55741	186	1996-09-11	PRIJEM	VKLAD	13700	41803	\N	\N	\N
55742	186	1996-10-11	VYDAJ	VYBER	26700	77844	\N	\N	\N
55743	186	1996-11-10	VYDAJ	VYBER	20200	74314	\N	\N	\N
55744	186	1996-11-16	VYDAJ	VYBER	50300	65194	\N	\N	\N
55745	186	1996-12-10	PRIJEM	VKLAD	12000	46239	\N	\N	\N
55746	186	1997-01-09	PRIJEM	VKLAD	12500	35033	\N	\N	\N
55747	186	1997-02-08	PRIJEM	VKLAD	8700	36978	\N	\N	\N
55748	186	1997-03-10	PRIJEM	VKLAD	14700	37460	\N	\N	\N
55749	186	1997-04-09	VYDAJ	VYBER	7800	58077	\N	\N	\N
55750	186	1997-05-09	PRIJEM	VKLAD	3100	48849	\N	\N	\N
55751	186	1997-06-08	PRIJEM	VKLAD	16800	36144	\N	\N	\N
55752	186	1997-07-08	VYDAJ	VYBER	9600	63209	\N	\N	\N
55753	186	1997-08-07	PRIJEM	VKLAD	10500	52660	\N	\N	\N
55754	186	1997-09-06	VYDAJ	VYBER	11300	71127	\N	\N	\N
55755	186	1997-09-16	VYDAJ	VYBER	16300	100513	\N	\N	\N
55756	186	1997-10-06	VYDAJ	VYBER	11800	75577	\N	\N	\N
55757	186	1997-11-05	PRIJEM	VKLAD	4700	67382	\N	\N	\N
55758	186	1997-12-05	PRIJEM	VKLAD	16400	56394	\N	\N	\N
55759	186	1998-01-04	PRIJEM	VKLAD	18800	46367	\N	\N	\N
55760	186	1998-02-03	PRIJEM	VKLAD	2800	58233	\N	\N	\N
55761	186	1998-03-05	PRIJEM	VKLAD	12000	63552	\N	\N	\N
55762	186	1998-03-23	VYDAJ	VYBER	59700	64687	\N	\N	\N
55763	186	1998-04-04	VYDAJ	VYBER	4800	68686	\N	\N	\N
55764	186	1998-04-12	VYDAJ	VYBER	17600	120701	\N	\N	\N
55765	186	1998-05-03	VYDAJ	VYBER	32800	118722	\N	\N	\N
55766	186	1998-05-04	VYDAJ	VYBER	23300	95422	\N	\N	\N
55767	186	1998-06-03	VYDAJ	VYBER	16500	80064	\N	\N	\N
55768	186	1998-06-28	VYDAJ	VYBER	25600	117559	\N	\N	\N
55769	186	1998-06-30	VYDAJ	VYBER	41800	117622	\N	\N	\N
55770	186	1998-07-03	VYDAJ	VYBER	28000	89592	\N	\N	\N
55771	186	1998-08-02	VYDAJ	VYBER	5300	77779	\N	\N	\N
55772	186	1998-09-01	PRIJEM	VKLAD	15100	53216	\N	\N	\N
55773	186	1998-10-01	PRIJEM	VKLAD	11700	68963	\N	\N	\N
55774	186	1998-10-31	PRIJEM	VKLAD	12200	66374	\N	\N	\N
55775	186	1998-11-17	VYDAJ	VYBER	23500	121392	\N	\N	\N
55776	186	1998-11-19	VYDAJ	VYBER	15500	132114	\N	\N	\N
55777	186	1998-11-20	VYDAJ	VYBER	32900	129414	\N	\N	\N
55778	186	1998-11-30	VYDAJ	VYBER	20100	95437	\N	\N	\N
55779	186	1998-11-30	VYDAJ	VYBER	14300	115537	\N	\N	\N
55845	187	1993-03-28	PRIJEM	VKLAD	200	200	\N	\N	\N
55849	187	1993-04-14	PRIJEM	PREVOD Z UCTU	4197	4397	DUCHOD	IJ	69323509
55850	187	1993-05-14	PRIJEM	PREVOD Z UCTU	4197	8594	DUCHOD	IJ	69323509
55851	187	1993-06-14	PRIJEM	PREVOD Z UCTU	4197	12791	DUCHOD	IJ	69323509
55852	187	1993-07-14	PRIJEM	PREVOD Z UCTU	4197	16988	DUCHOD	IJ	69323509
55853	187	1993-08-14	PRIJEM	PREVOD Z UCTU	4197	21185	DUCHOD	IJ	69323509
55854	187	1993-09-14	PRIJEM	PREVOD Z UCTU	4197	22389	DUCHOD	IJ	69323509
55855	187	1993-10-14	PRIJEM	PREVOD Z UCTU	4197	23864	DUCHOD	IJ	69323509
55856	187	1993-11-14	PRIJEM	PREVOD Z UCTU	4197	24745	DUCHOD	IJ	69323509
55857	187	1993-12-14	PRIJEM	PREVOD Z UCTU	4197	26230	DUCHOD	IJ	69323509
55858	187	1994-01-14	PRIJEM	PREVOD Z UCTU	4197	17997	DUCHOD	IJ	69323509
55859	187	1994-02-14	PRIJEM	PREVOD Z UCTU	4197	17058	DUCHOD	IJ	69323509
55860	187	1994-03-14	PRIJEM	PREVOD Z UCTU	4197	17790	DUCHOD	IJ	69323509
55861	187	1994-04-14	PRIJEM	PREVOD Z UCTU	4197	19246	DUCHOD	IJ	69323509
55862	187	1994-05-14	PRIJEM	PREVOD Z UCTU	4197	20708	DUCHOD	IJ	69323509
55863	187	1994-06-14	PRIJEM	PREVOD Z UCTU	4197	14213	DUCHOD	IJ	69323509
55864	187	1994-07-14	PRIJEM	PREVOD Z UCTU	4197	15655	DUCHOD	IJ	69323509
55865	187	1994-08-14	PRIJEM	PREVOD Z UCTU	4197	17102	DUCHOD	IJ	69323509
55866	187	1994-09-14	PRIJEM	PREVOD Z UCTU	4197	18555	DUCHOD	IJ	69323509
55867	187	1994-10-14	PRIJEM	PREVOD Z UCTU	4197	20014	DUCHOD	IJ	69323509
55868	187	1994-11-14	PRIJEM	PREVOD Z UCTU	4197	21479	DUCHOD	IJ	69323509
55869	187	1994-12-14	PRIJEM	PREVOD Z UCTU	4197	19504	DUCHOD	IJ	69323509
55870	187	1995-01-14	PRIJEM	PREVOD Z UCTU	4197	17884	DUCHOD	IJ	69323509
55871	187	1995-02-14	PRIJEM	PREVOD Z UCTU	4197	14849	DUCHOD	IJ	69323509
55872	187	1995-03-14	PRIJEM	PREVOD Z UCTU	4197	15331	DUCHOD	IJ	69323509
55873	187	1995-04-14	PRIJEM	PREVOD Z UCTU	4197	16777	DUCHOD	IJ	69323509
55874	187	1995-05-14	PRIJEM	PREVOD Z UCTU	4197	18228	DUCHOD	IJ	69323509
55875	187	1995-06-14	PRIJEM	PREVOD Z UCTU	4197	15759	DUCHOD	IJ	69323509
55876	187	1995-07-14	PRIJEM	PREVOD Z UCTU	4197	17207	DUCHOD	IJ	69323509
55877	187	1995-08-14	PRIJEM	PREVOD Z UCTU	4197	18660	DUCHOD	IJ	69323509
55878	187	1995-09-14	PRIJEM	PREVOD Z UCTU	4197	16030	DUCHOD	IJ	69323509
55879	187	1995-10-14	PRIJEM	PREVOD Z UCTU	4197	17478	DUCHOD	IJ	69323509
55880	187	1995-11-14	PRIJEM	PREVOD Z UCTU	4197	16732	DUCHOD	IJ	69323509
55881	187	1995-12-14	PRIJEM	PREVOD Z UCTU	4197	18185	DUCHOD	IJ	69323509
55882	187	1996-01-14	PRIJEM	PREVOD Z UCTU	4197	17902	DUCHOD	IJ	69323509
55883	187	1996-02-14	PRIJEM	PREVOD Z UCTU	4197	15753	DUCHOD	IJ	69323509
55884	187	1996-03-14	PRIJEM	PREVOD Z UCTU	4197	15360	DUCHOD	IJ	69323509
55885	187	1996-04-14	PRIJEM	PREVOD Z UCTU	4197	16083	DUCHOD	IJ	69323509
55886	187	1996-05-14	PRIJEM	PREVOD Z UCTU	4197	17331	DUCHOD	IJ	69323509
55887	187	1996-06-14	PRIJEM	PREVOD Z UCTU	4197	18784	DUCHOD	IJ	69323509
55888	187	1996-07-14	PRIJEM	PREVOD Z UCTU	4197	17637	DUCHOD	IJ	69323509
55889	187	1996-08-14	PRIJEM	PREVOD Z UCTU	4197	19092	DUCHOD	IJ	69323509
55890	187	1996-09-14	PRIJEM	PREVOD Z UCTU	4197	16753	DUCHOD	IJ	69323509
55891	187	1996-10-14	PRIJEM	PREVOD Z UCTU	4197	17085	DUCHOD	IJ	69323509
55892	187	1996-11-14	PRIJEM	PREVOD Z UCTU	4197	18535	DUCHOD	IJ	69323509
55893	187	1996-12-14	PRIJEM	PREVOD Z UCTU	4197	17294	DUCHOD	IJ	69323509
55894	187	1997-01-14	PRIJEM	PREVOD Z UCTU	4197	15186	DUCHOD	IJ	69323509
55895	187	1997-02-14	PRIJEM	PREVOD Z UCTU	4197	16230	DUCHOD	IJ	69323509
55896	187	1997-03-14	PRIJEM	PREVOD Z UCTU	4197	17678	DUCHOD	IJ	69323509
55897	187	1997-04-14	PRIJEM	PREVOD Z UCTU	4197	19133	DUCHOD	IJ	69323509
55898	187	1997-05-14	PRIJEM	PREVOD Z UCTU	4197	20593	DUCHOD	IJ	69323509
55899	187	1997-06-14	PRIJEM	PREVOD Z UCTU	4197	20410	DUCHOD	IJ	69323509
55900	187	1997-07-14	PRIJEM	PREVOD Z UCTU	4197	19873	DUCHOD	IJ	69323509
55901	187	1997-08-14	PRIJEM	PREVOD Z UCTU	4197	21336	DUCHOD	IJ	69323509
55902	187	1997-09-14	PRIJEM	PREVOD Z UCTU	4197	22806	DUCHOD	IJ	69323509
55903	187	1997-10-14	PRIJEM	PREVOD Z UCTU	4197	24281	DUCHOD	IJ	69323509
55904	187	1997-11-14	PRIJEM	PREVOD Z UCTU	4197	24881	DUCHOD	IJ	69323509
55905	187	1997-12-14	PRIJEM	PREVOD Z UCTU	4197	26365	DUCHOD	IJ	69323509
55906	187	1998-01-14	PRIJEM	PREVOD Z UCTU	4197	22315	DUCHOD	IJ	69323509
55907	187	1998-02-14	PRIJEM	PREVOD Z UCTU	4197	19789	DUCHOD	IJ	69323509
55908	187	1998-03-14	PRIJEM	PREVOD Z UCTU	4197	19889	DUCHOD	IJ	69323509
55909	187	1998-04-14	PRIJEM	PREVOD Z UCTU	4197	19348	DUCHOD	IJ	69323509
55910	187	1998-05-14	PRIJEM	PREVOD Z UCTU	4197	18408	DUCHOD	IJ	69323509
55911	187	1998-06-14	PRIJEM	PREVOD Z UCTU	4197	19864	DUCHOD	IJ	69323509
55912	187	1998-07-14	PRIJEM	PREVOD Z UCTU	4197	21327	DUCHOD	IJ	69323509
55913	187	1998-08-14	PRIJEM	PREVOD Z UCTU	4197	20232	DUCHOD	IJ	69323509
55914	187	1998-09-14	PRIJEM	PREVOD Z UCTU	4197	21696	DUCHOD	IJ	69323509
55915	187	1998-10-14	PRIJEM	PREVOD Z UCTU	4197	23166	DUCHOD	IJ	69323509
55916	187	1998-11-14	PRIJEM	PREVOD Z UCTU	4197	24642	DUCHOD	IJ	69323509
55917	187	1998-12-14	PRIJEM	PREVOD Z UCTU	4197	26125	DUCHOD	IJ	69323509
55926	187	1993-09-07	VYDAJ	PREVOD NA UCET	2798	18192	SIPO	UV	39898049
55927	187	1993-10-07	VYDAJ	PREVOD NA UCET	2798	19667	SIPO	UV	39898049
55928	187	1993-11-07	VYDAJ	PREVOD NA UCET	2798	20548	SIPO	UV	39898049
55929	187	1993-12-07	VYDAJ	PREVOD NA UCET	2798	22033	SIPO	UV	39898049
55930	187	1994-01-07	VYDAJ	PREVOD NA UCET	2798	18800	SIPO	UV	39898049
55931	187	1994-02-07	VYDAJ	PREVOD NA UCET	2798	12861	SIPO	UV	39898049
55932	187	1994-03-07	VYDAJ	PREVOD NA UCET	2798	13593	SIPO	UV	39898049
55933	187	1994-04-07	VYDAJ	PREVOD NA UCET	2798	15049	SIPO	UV	39898049
55934	187	1994-05-07	VYDAJ	PREVOD NA UCET	2798	16511	SIPO	UV	39898049
55935	187	1994-06-07	VYDAJ	PREVOD NA UCET	2798	10016	SIPO	UV	39898049
55936	187	1994-07-07	VYDAJ	PREVOD NA UCET	2798	11458	SIPO	UV	39898049
55937	187	1994-08-07	VYDAJ	PREVOD NA UCET	2798	12905	SIPO	UV	39898049
55938	187	1994-09-07	VYDAJ	PREVOD NA UCET	2798	14358	SIPO	UV	39898049
55939	187	1994-10-07	VYDAJ	PREVOD NA UCET	2798	15817	SIPO	UV	39898049
55940	187	1994-11-07	VYDAJ	PREVOD NA UCET	2798	17282	SIPO	UV	39898049
55941	187	1994-12-07	VYDAJ	PREVOD NA UCET	2798	15307	SIPO	UV	39898049
55942	187	1995-01-07	VYDAJ	PREVOD NA UCET	2798	13687	SIPO	UV	39898049
55943	187	1995-02-07	VYDAJ	PREVOD NA UCET	2798	10652	SIPO	UV	39898049
55944	187	1995-03-07	VYDAJ	PREVOD NA UCET	2798	11134	SIPO	UV	39898049
55945	187	1995-04-07	VYDAJ	PREVOD NA UCET	2798	12580	SIPO	UV	39898049
55946	187	1995-05-07	VYDAJ	PREVOD NA UCET	2798	14031	SIPO	UV	39898049
55947	187	1995-06-07	VYDAJ	PREVOD NA UCET	2798	11562	SIPO	UV	39898049
55948	187	1995-07-07	VYDAJ	PREVOD NA UCET	2798	13010	SIPO	UV	39898049
55949	187	1995-08-07	VYDAJ	PREVOD NA UCET	2798	14463	SIPO	UV	39898049
55950	187	1995-09-07	VYDAJ	PREVOD NA UCET	2798	11833	SIPO	UV	39898049
55951	187	1995-10-07	VYDAJ	PREVOD NA UCET	2798	13281	SIPO	UV	39898049
55952	187	1995-11-07	VYDAJ	PREVOD NA UCET	2798	14235	SIPO	UV	39898049
55953	187	1995-12-07	VYDAJ	PREVOD NA UCET	2798	13988	SIPO	UV	39898049
55954	187	1996-01-07	VYDAJ	PREVOD NA UCET	2798	15145	SIPO	UV	39898049
55955	187	1996-02-07	VYDAJ	PREVOD NA UCET	2798	11556	SIPO	UV	39898049
55956	187	1996-03-07	VYDAJ	PREVOD NA UCET	2798	11163	SIPO	UV	39898049
55957	187	1996-04-07	VYDAJ	PREVOD NA UCET	2798	11886	SIPO	UV	39898049
55958	187	1996-05-07	VYDAJ	PREVOD NA UCET	2798	13334	SIPO	UV	39898049
55959	187	1996-06-07	VYDAJ	PREVOD NA UCET	2798	14587	SIPO	UV	39898049
55960	187	1996-07-07	VYDAJ	PREVOD NA UCET	2798	13440	SIPO	UV	39898049
55961	187	1996-08-07	VYDAJ	PREVOD NA UCET	2798	14895	SIPO	UV	39898049
55962	187	1996-09-07	VYDAJ	PREVOD NA UCET	2798	16356	SIPO	UV	39898049
55963	187	1996-10-07	VYDAJ	PREVOD NA UCET	2798	12888	SIPO	UV	39898049
55964	187	1996-11-07	VYDAJ	PREVOD NA UCET	2798	14338	SIPO	UV	39898049
55965	187	1996-12-07	VYDAJ	PREVOD NA UCET	2798	13097	SIPO	UV	39898049
55966	187	1997-01-07	VYDAJ	PREVOD NA UCET	2798	10989	SIPO	UV	39898049
55967	187	1997-02-07	VYDAJ	PREVOD NA UCET	2798	12033	SIPO	UV	39898049
55968	187	1997-03-07	VYDAJ	PREVOD NA UCET	2798	13481	SIPO	UV	39898049
55969	187	1997-04-07	VYDAJ	PREVOD NA UCET	2798	14936	SIPO	UV	39898049
55970	187	1997-05-07	VYDAJ	PREVOD NA UCET	2798	16396	SIPO	UV	39898049
55971	187	1997-06-07	VYDAJ	PREVOD NA UCET	2798	17863	SIPO	UV	39898049
55972	187	1997-07-07	VYDAJ	PREVOD NA UCET	2798	15676	SIPO	UV	39898049
55973	187	1997-08-07	VYDAJ	PREVOD NA UCET	2798	17139	SIPO	UV	39898049
55974	187	1997-09-07	VYDAJ	PREVOD NA UCET	2798	18609	SIPO	UV	39898049
55975	187	1997-10-07	VYDAJ	PREVOD NA UCET	2798	20084	SIPO	UV	39898049
55976	187	1997-11-07	VYDAJ	PREVOD NA UCET	2798	20684	SIPO	UV	39898049
55977	187	1997-12-07	VYDAJ	PREVOD NA UCET	2798	22168	SIPO	UV	39898049
55978	187	1998-01-07	VYDAJ	PREVOD NA UCET	2798	23158	SIPO	UV	39898049
55979	187	1998-02-07	VYDAJ	PREVOD NA UCET	2798	15592	SIPO	UV	39898049
55980	187	1998-03-07	VYDAJ	PREVOD NA UCET	2798	15692	SIPO	UV	39898049
55981	187	1998-04-07	VYDAJ	PREVOD NA UCET	2798	15151	SIPO	UV	39898049
55982	187	1998-05-07	VYDAJ	PREVOD NA UCET	2798	14211	SIPO	UV	39898049
55983	187	1998-06-07	VYDAJ	PREVOD NA UCET	2798	15667	SIPO	UV	39898049
55984	187	1998-07-07	VYDAJ	PREVOD NA UCET	2798	17130	SIPO	UV	39898049
55985	187	1998-08-07	VYDAJ	PREVOD NA UCET	2798	16035	SIPO	UV	39898049
55986	187	1998-09-07	VYDAJ	PREVOD NA UCET	2798	17499	SIPO	UV	39898049
55987	187	1998-10-07	VYDAJ	PREVOD NA UCET	2798	18969	SIPO	UV	39898049
55988	187	1998-11-07	VYDAJ	PREVOD NA UCET	2798	20445	SIPO	UV	39898049
55989	187	1998-12-07	VYDAJ	PREVOD NA UCET	2798	21928	SIPO	UV	39898049
55991	187	1994-06-05	VYDAJ	VYBER	4200	12814	\N	\N	\N
55993	187	1996-06-14	VYDAJ	VYBER	2600	16184	\N	\N	\N
55994	187	1997-06-07	VYDAJ	VYBER	1650	16213	\N	\N	\N
55997	187	1994-01-13	VYDAJ	VYBER	3400	13800	\N	\N	\N
55999	187	1996-01-14	VYDAJ	VYBER	800	17102	\N	\N	\N
56002	187	1993-12-25	VYDAJ	VYBER	1100	22630	\N	\N	\N
56003	187	1994-12-26	VYDAJ	VYBER	1400	17304	\N	\N	\N
56004	187	1995-12-25	VYDAJ	VYBER	300	17885	\N	\N	\N
56006	187	1997-12-16	VYDAJ	VYBER	500	25865	\N	\N	\N
56007	187	1998-12-27	VYDAJ	VYBER	1000	25125	\N	\N	\N
56014	187	1994-01-04	VYDAJ	VYBER	1120	21598	\N	\N	\N
56015	187	1994-01-24	VYDAJ	VYBER	880	17117	\N	\N	\N
56016	187	1994-01-09	VYDAJ	VYBER	1200	17600	\N	\N	\N
56017	187	1994-01-25	VYDAJ	VYBER	720	16397	\N	\N	\N
56018	187	1994-01-11	VYDAJ	VYBER	400	17200	\N	\N	\N
56019	187	1994-01-30	VYDAJ	VYBER	800	15597	\N	\N	\N
56020	187	1995-01-17	VYDAJ	VYBER	2000	14604	\N	\N	\N
56021	187	1995-01-19	VYDAJ	VYBER	1200	13404	\N	\N	\N
56024	187	1995-01-04	VYDAJ	VYBER	880	16485	\N	\N	\N
56025	187	1995-01-14	VYDAJ	VYBER	1280	16604	\N	\N	\N
56026	187	1996-01-21	VYDAJ	VYBER	1840	15262	\N	\N	\N
56027	187	1996-01-30	VYDAJ	VYBER	560	14302	\N	\N	\N
56029	187	1996-01-07	VYDAJ	VYBER	1440	13705	\N	\N	\N
56031	187	1996-01-21	VYDAJ	VYBER	400	14862	\N	\N	\N
56032	187	1997-01-03	VYDAJ	VYBER	2160	15187	\N	\N	\N
56034	187	1997-01-24	VYDAJ	VYBER	400	14786	\N	\N	\N
56038	187	1998-01-12	VYDAJ	VYBER	1280	19878	\N	\N	\N
56039	187	1998-01-13	VYDAJ	VYBER	1760	18118	\N	\N	\N
56040	187	1998-01-22	VYDAJ	VYBER	1440	19355	\N	\N	\N
56041	187	1998-01-30	VYDAJ	VYBER	1040	18315	\N	\N	\N
56042	187	1998-01-19	VYDAJ	VYBER	1520	20795	\N	\N	\N
56043	187	1998-01-10	VYDAJ	VYBER	2000	21158	\N	\N	\N
56047	187	1994-05-25	VYDAJ	VYBER	3760	16948	\N	\N	\N
56049	187	1994-11-17	VYDAJ	VYBER	3440	18039	\N	\N	\N
56050	187	1994-02-24	VYDAJ	VYBER	720	16338	\N	\N	\N
56052	187	1995-05-19	VYDAJ	VYBER	3520	14708	\N	\N	\N
56053	187	1995-08-17	VYDAJ	VYBER	480	14580	\N	\N	\N
56055	187	1995-02-16	VYDAJ	VYBER	960	13889	\N	\N	\N
56058	187	1995-05-28	VYDAJ	VYBER	400	14308	\N	\N	\N
56060	187	1996-03-21	VYDAJ	VYBER	720	14640	\N	\N	\N
56061	187	1996-10-01	VYDAJ	VYBER	1120	15686	\N	\N	\N
56063	187	1996-03-05	VYDAJ	VYBER	1840	13961	\N	\N	\N
56064	187	1997-06-20	VYDAJ	VYBER	2000	18410	\N	\N	\N
56065	187	1997-10-19	VYDAJ	VYBER	880	23401	\N	\N	\N
56069	187	1998-02-18	VYDAJ	VYBER	1360	18429	\N	\N	\N
56070	187	1998-07-20	VYDAJ	VYBER	2560	18767	\N	\N	\N
56072	187	1998-05-02	VYDAJ	VYBER	2400	17009	\N	\N	\N
56073	187	1998-03-15	VYDAJ	VYBER	2000	17889	\N	\N	\N
56082	187	1993-08-31	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
56083	187	1993-09-30	VYDAJ	VYBER	15	22465	SLUZBY	\N	\N
56084	187	1993-10-31	VYDAJ	VYBER	15	23346	SLUZBY	\N	\N
56085	187	1993-11-30	VYDAJ	VYBER	15	24831	SLUZBY	\N	\N
56086	187	1993-12-31	VYDAJ	VYBER	15	22718	SLUZBY	\N	\N
56087	187	1994-01-31	VYDAJ	VYBER	15	15659	SLUZBY	\N	\N
56088	187	1994-02-28	VYDAJ	VYBER	15	16391	SLUZBY	\N	\N
56089	187	1994-03-31	VYDAJ	VYBER	15	17847	SLUZBY	\N	\N
56090	187	1994-04-30	VYDAJ	VYBER	15	19309	SLUZBY	\N	\N
56091	187	1994-05-31	VYDAJ	VYBER	15	17014	SLUZBY	\N	\N
56092	187	1994-06-30	VYDAJ	VYBER	15	14256	SLUZBY	\N	\N
56093	187	1994-07-31	VYDAJ	VYBER	15	15703	SLUZBY	\N	\N
56094	187	1994-08-31	VYDAJ	VYBER	15	17156	SLUZBY	\N	\N
56095	187	1994-09-30	VYDAJ	VYBER	15	18615	SLUZBY	\N	\N
56096	187	1994-10-31	VYDAJ	VYBER	15	20080	SLUZBY	\N	\N
56097	187	1994-11-30	VYDAJ	VYBER	15	18105	SLUZBY	\N	\N
56098	187	1994-12-31	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
56099	187	1995-01-31	VYDAJ	VYBER	15	13450	SLUZBY	\N	\N
56100	187	1995-02-28	VYDAJ	VYBER	15	13932	SLUZBY	\N	\N
56101	187	1995-03-31	VYDAJ	VYBER	15	15378	SLUZBY	\N	\N
56102	187	1995-04-30	VYDAJ	VYBER	15	16829	SLUZBY	\N	\N
56103	187	1995-05-31	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
56104	187	1995-06-30	VYDAJ	VYBER	15	15808	SLUZBY	\N	\N
56105	187	1995-07-31	VYDAJ	VYBER	15	17261	SLUZBY	\N	\N
56106	187	1995-08-31	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
56107	187	1995-09-30	VYDAJ	VYBER	15	16079	SLUZBY	\N	\N
56108	187	1995-10-31	VYDAJ	VYBER	15	17033	SLUZBY	\N	\N
56109	187	1995-11-30	VYDAJ	VYBER	15	16786	SLUZBY	\N	\N
56110	187	1995-12-31	VYDAJ	VYBER	15	17943	SLUZBY	\N	\N
56111	187	1996-01-31	VYDAJ	VYBER	15	14354	SLUZBY	\N	\N
56112	187	1996-02-29	VYDAJ	VYBER	15	15801	SLUZBY	\N	\N
56113	187	1996-03-31	VYDAJ	VYBER	15	14684	SLUZBY	\N	\N
56114	187	1996-04-30	VYDAJ	VYBER	15	16132	SLUZBY	\N	\N
56115	187	1996-05-31	VYDAJ	VYBER	15	17385	SLUZBY	\N	\N
56116	187	1996-06-30	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
56117	187	1996-07-31	VYDAJ	VYBER	15	17693	SLUZBY	\N	\N
56118	187	1996-08-31	VYDAJ	VYBER	15	19154	SLUZBY	\N	\N
56119	187	1996-09-30	VYDAJ	VYBER	15	16806	SLUZBY	\N	\N
56120	187	1996-10-31	VYDAJ	VYBER	15	17136	SLUZBY	\N	\N
56121	187	1996-11-30	VYDAJ	VYBER	15	18595	SLUZBY	\N	\N
56122	187	1996-12-31	VYDAJ	VYBER	15	17347	SLUZBY	\N	\N
56123	187	1997-01-31	VYDAJ	VYBER	15	14831	SLUZBY	\N	\N
56124	187	1997-02-28	VYDAJ	VYBER	15	16279	SLUZBY	\N	\N
56125	187	1997-03-31	VYDAJ	VYBER	15	17734	SLUZBY	\N	\N
56126	187	1997-04-30	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
56127	187	1997-05-31	VYDAJ	VYBER	15	20661	SLUZBY	\N	\N
56128	187	1997-06-30	VYDAJ	VYBER	15	18474	SLUZBY	\N	\N
56129	187	1997-07-31	VYDAJ	VYBER	15	19937	SLUZBY	\N	\N
56130	187	1997-08-31	VYDAJ	VYBER	15	21407	SLUZBY	\N	\N
56131	187	1997-09-30	VYDAJ	VYBER	15	22882	SLUZBY	\N	\N
56132	187	1997-10-31	VYDAJ	VYBER	15	23482	SLUZBY	\N	\N
56133	187	1997-11-30	VYDAJ	VYBER	15	24966	SLUZBY	\N	\N
56134	187	1997-12-31	VYDAJ	VYBER	15	25956	SLUZBY	\N	\N
56135	187	1998-01-31	VYDAJ	VYBER	15	18390	SLUZBY	\N	\N
56136	187	1998-02-28	VYDAJ	VYBER	15	18490	SLUZBY	\N	\N
56137	187	1998-03-31	VYDAJ	VYBER	15	17949	SLUZBY	\N	\N
56138	187	1998-04-30	VYDAJ	VYBER	15	19409	SLUZBY	\N	\N
56139	187	1998-05-31	VYDAJ	VYBER	15	18465	SLUZBY	\N	\N
56140	187	1998-06-30	VYDAJ	VYBER	15	19928	SLUZBY	\N	\N
56141	187	1998-07-31	VYDAJ	VYBER	15	18833	SLUZBY	\N	\N
56142	187	1998-08-31	VYDAJ	VYBER	15	20297	SLUZBY	\N	\N
56143	187	1998-09-30	VYDAJ	VYBER	15	21767	SLUZBY	\N	\N
56144	187	1998-10-31	VYDAJ	VYBER	15	23243	SLUZBY	\N	\N
56145	187	1998-11-30	VYDAJ	VYBER	15	24726	SLUZBY	\N	\N
56146	187	1993-08-25	VYDAJ	VYBER	200	20985	\N	\N	\N
56147	187	1993-10-24	VYDAJ	VYBER	600	23264	\N	\N	\N
56148	187	1993-12-23	VYDAJ	VYBER	2500	23730	\N	\N	\N
56149	187	1994-12-18	VYDAJ	VYBER	800	18704	\N	\N	\N
56150	187	1995-08-15	VYDAJ	VYBER	3600	15060	\N	\N	\N
56151	187	1995-10-14	VYDAJ	VYBER	500	16978	\N	\N	\N
56152	187	1995-11-13	VYDAJ	VYBER	1700	12535	\N	\N	\N
56153	187	1996-05-11	VYDAJ	VYBER	200	13134	\N	\N	\N
56154	187	1996-09-08	VYDAJ	VYBER	3800	12556	\N	\N	\N
56155	187	1996-12-07	VYDAJ	VYBER	2700	15895	\N	\N	\N
56156	187	1997-01-06	VYDAJ	VYBER	1400	13787	\N	\N	\N
56222	188	1993-04-20	PRIJEM	VKLAD	700	700	\N	\N	\N
56227	188	1993-05-13	PRIJEM	VKLAD	19413	20113	\N	\N	\N
56228	188	1993-06-13	PRIJEM	VKLAD	29120	51569	\N	\N	\N
56229	188	1993-07-13	PRIJEM	VKLAD	19413	58103	\N	\N	\N
56230	188	1993-08-13	PRIJEM	VKLAD	19413	60681	\N	\N	\N
56231	188	1993-09-13	PRIJEM	VKLAD	19413	60364	\N	\N	\N
56232	188	1993-10-13	PRIJEM	VKLAD	19413	49289	\N	\N	\N
56233	188	1993-11-13	PRIJEM	VKLAD	19413	41140	\N	\N	\N
56234	188	1993-12-13	PRIJEM	VKLAD	29120	56159	\N	\N	\N
56235	188	1994-01-13	PRIJEM	VKLAD	19413	33110	\N	\N	\N
56236	188	1994-02-13	PRIJEM	VKLAD	19413	30937	\N	\N	\N
56237	188	1994-03-13	PRIJEM	VKLAD	19413	39809	\N	\N	\N
56238	188	1994-04-13	PRIJEM	VKLAD	19413	44312	\N	\N	\N
56239	188	1994-05-13	PRIJEM	VKLAD	19413	47671	\N	\N	\N
56240	188	1994-06-13	PRIJEM	VKLAD	29120	55996	\N	\N	\N
56241	188	1994-07-13	PRIJEM	VKLAD	19413	52027	\N	\N	\N
56242	188	1994-08-13	PRIJEM	VKLAD	19413	51466	\N	\N	\N
56243	188	1994-09-13	PRIJEM	VKLAD	19413	45196	\N	\N	\N
56244	188	1994-10-13	PRIJEM	VKLAD	19413	46988	\N	\N	\N
56245	188	1994-11-13	PRIJEM	VKLAD	19413	52498	\N	\N	\N
56246	188	1994-12-13	PRIJEM	VKLAD	29120	63176	\N	\N	\N
56247	188	1995-01-13	PRIJEM	VKLAD	19413	56045	\N	\N	\N
56248	188	1995-02-13	PRIJEM	VKLAD	19413	44054	\N	\N	\N
56249	188	1995-03-13	PRIJEM	VKLAD	19413	55481	\N	\N	\N
56250	188	1995-04-13	PRIJEM	VKLAD	19413	57464	\N	\N	\N
56251	188	1995-05-13	PRIJEM	VKLAD	19413	61265	\N	\N	\N
56252	188	1995-06-13	PRIJEM	VKLAD	29120	71987	\N	\N	\N
56253	188	1995-07-13	PRIJEM	VKLAD	19413	59283	\N	\N	\N
56254	188	1995-08-13	PRIJEM	VKLAD	19413	57958	\N	\N	\N
56255	188	1995-09-13	PRIJEM	VKLAD	19413	60061	\N	\N	\N
56256	188	1995-10-13	PRIJEM	VKLAD	19413	60070	\N	\N	\N
56257	188	1995-11-13	PRIJEM	VKLAD	19413	60282	\N	\N	\N
56258	188	1995-12-13	PRIJEM	VKLAD	29120	73540	\N	\N	\N
56259	188	1996-01-13	PRIJEM	VKLAD	19413	69085	\N	\N	\N
56260	188	1996-02-13	PRIJEM	VKLAD	19413	63773	\N	\N	\N
56261	188	1996-03-13	PRIJEM	VKLAD	19413	68694	\N	\N	\N
56262	188	1996-04-13	PRIJEM	VKLAD	19413	68094	\N	\N	\N
56263	188	1996-05-13	PRIJEM	VKLAD	19413	71536	\N	\N	\N
56264	188	1996-06-13	PRIJEM	VKLAD	29120	72513	\N	\N	\N
56265	188	1996-07-13	PRIJEM	VKLAD	19413	76663	\N	\N	\N
56266	188	1996-08-13	PRIJEM	VKLAD	19413	73998	\N	\N	\N
56267	188	1996-09-13	PRIJEM	VKLAD	19413	76256	\N	\N	\N
56268	188	1996-10-13	PRIJEM	VKLAD	19413	77531	\N	\N	\N
56269	188	1996-11-13	PRIJEM	VKLAD	19413	78511	\N	\N	\N
56270	188	1996-12-13	PRIJEM	VKLAD	29120	82550	\N	\N	\N
56271	188	1997-01-13	PRIJEM	VKLAD	19413	80125	\N	\N	\N
56272	188	1997-02-13	PRIJEM	VKLAD	19413	68500	\N	\N	\N
56273	188	1997-03-13	PRIJEM	VKLAD	19413	73132	\N	\N	\N
56274	188	1997-04-13	PRIJEM	VKLAD	19413	78085	\N	\N	\N
56275	188	1997-05-13	PRIJEM	VKLAD	19413	80157	\N	\N	\N
56276	188	1997-06-13	PRIJEM	VKLAD	29120	69865	\N	\N	\N
56277	188	1997-07-13	PRIJEM	VKLAD	19413	77627	\N	\N	\N
56278	188	1997-08-13	PRIJEM	VKLAD	19413	75611	\N	\N	\N
56279	188	1997-09-13	PRIJEM	VKLAD	19413	82371	\N	\N	\N
56280	188	1997-10-13	PRIJEM	VKLAD	19413	82874	\N	\N	\N
56281	188	1997-11-13	PRIJEM	VKLAD	19413	81959	\N	\N	\N
56282	188	1997-12-13	PRIJEM	VKLAD	29120	92063	\N	\N	\N
56283	188	1998-01-13	PRIJEM	VKLAD	19413	79145	\N	\N	\N
56284	188	1998-02-13	PRIJEM	VKLAD	19413	69854	\N	\N	\N
56285	188	1998-03-13	PRIJEM	VKLAD	19413	77287	\N	\N	\N
56286	188	1998-04-13	PRIJEM	VKLAD	19413	81950	\N	\N	\N
56287	188	1998-05-13	PRIJEM	VKLAD	19413	82027	\N	\N	\N
56288	188	1998-06-13	PRIJEM	VKLAD	29120	86870	\N	\N	\N
56289	188	1998-07-13	PRIJEM	VKLAD	19413	75064	\N	\N	\N
56290	188	1998-08-13	PRIJEM	VKLAD	19413	78179	\N	\N	\N
56291	188	1998-09-13	PRIJEM	VKLAD	19413	88150	\N	\N	\N
56292	188	1998-10-13	PRIJEM	VKLAD	19413	93253	\N	\N	\N
56293	188	1998-11-13	PRIJEM	VKLAD	19413	92469	\N	\N	\N
56294	188	1998-12-13	PRIJEM	VKLAD	29120	99633	\N	\N	\N
56304	188	1993-10-09	VYDAJ	PREVOD NA UCET	7426	29876	SIPO	AB	26629168
56305	188	1993-11-09	VYDAJ	PREVOD NA UCET	7426	21727	SIPO	AB	26629168
56306	188	1993-12-09	VYDAJ	PREVOD NA UCET	7426	27039	SIPO	AB	26629168
56307	188	1994-01-09	VYDAJ	PREVOD NA UCET	7426	13697	SIPO	AB	26629168
56308	188	1994-02-09	VYDAJ	PREVOD NA UCET	7426	11524	SIPO	AB	26629168
56309	188	1994-03-09	VYDAJ	PREVOD NA UCET	7426	20396	SIPO	AB	26629168
56310	188	1994-04-09	VYDAJ	PREVOD NA UCET	7426	24899	SIPO	AB	26629168
56311	188	1994-05-09	VYDAJ	PREVOD NA UCET	7426	28258	SIPO	AB	26629168
56312	188	1994-06-09	VYDAJ	PREVOD NA UCET	7426	26876	SIPO	AB	26629168
56313	188	1994-07-09	VYDAJ	PREVOD NA UCET	7426	32614	SIPO	AB	26629168
56314	188	1994-08-09	VYDAJ	PREVOD NA UCET	7426	32053	SIPO	AB	26629168
56315	188	1994-09-09	VYDAJ	PREVOD NA UCET	7426	29583	SIPO	AB	26629168
56316	188	1994-10-09	VYDAJ	PREVOD NA UCET	7426	32275	SIPO	AB	26629168
56317	188	1994-11-09	VYDAJ	PREVOD NA UCET	7426	34685	SIPO	AB	26629168
56318	188	1994-12-09	VYDAJ	PREVOD NA UCET	7426	45256	SIPO	AB	26629168
56319	188	1995-01-09	VYDAJ	PREVOD NA UCET	7426	50932	SIPO	AB	26629168
56320	188	1995-02-09	VYDAJ	PREVOD NA UCET	7426	24641	SIPO	AB	26629168
56321	188	1995-03-09	VYDAJ	PREVOD NA UCET	7426	36768	SIPO	AB	26629168
56322	188	1995-04-09	VYDAJ	PREVOD NA UCET	7426	48251	SIPO	AB	26629168
56323	188	1995-05-09	VYDAJ	PREVOD NA UCET	7426	50252	SIPO	AB	26629168
56324	188	1995-06-09	VYDAJ	PREVOD NA UCET	7426	42867	SIPO	AB	26629168
56325	188	1995-07-09	VYDAJ	PREVOD NA UCET	7426	39970	SIPO	AB	26629168
56326	188	1995-08-09	VYDAJ	PREVOD NA UCET	7426	38545	SIPO	AB	26629168
56327	188	1995-09-09	VYDAJ	PREVOD NA UCET	7426	40648	SIPO	AB	26629168
56328	188	1995-10-09	VYDAJ	PREVOD NA UCET	7426	40657	SIPO	AB	26629168
56329	188	1995-11-09	VYDAJ	PREVOD NA UCET	7426	40869	SIPO	AB	26629168
56330	188	1995-12-09	VYDAJ	PREVOD NA UCET	7426	44420	SIPO	AB	26629168
56331	188	1996-01-09	VYDAJ	PREVOD NA UCET	7426	49672	SIPO	AB	26629168
56332	188	1996-02-09	VYDAJ	PREVOD NA UCET	7426	44360	SIPO	AB	26629168
56333	188	1996-03-09	VYDAJ	PREVOD NA UCET	7426	49281	SIPO	AB	26629168
56334	188	1996-04-09	VYDAJ	PREVOD NA UCET	7426	48681	SIPO	AB	26629168
56335	188	1996-05-09	VYDAJ	PREVOD NA UCET	7426	52123	SIPO	AB	26629168
56336	188	1996-06-09	VYDAJ	PREVOD NA UCET	7426	52513	SIPO	AB	26629168
56337	188	1996-07-09	VYDAJ	PREVOD NA UCET	7426	57250	SIPO	AB	26629168
56338	188	1996-08-09	VYDAJ	PREVOD NA UCET	7426	54585	SIPO	AB	26629168
56339	188	1996-09-09	VYDAJ	PREVOD NA UCET	7426	56843	SIPO	AB	26629168
56340	188	1996-10-09	VYDAJ	PREVOD NA UCET	7426	58118	SIPO	AB	26629168
56341	188	1996-11-09	VYDAJ	PREVOD NA UCET	7426	59098	SIPO	AB	26629168
56342	188	1996-12-09	VYDAJ	PREVOD NA UCET	7426	53430	SIPO	AB	26629168
56343	188	1997-01-09	VYDAJ	PREVOD NA UCET	7426	60712	SIPO	AB	26629168
56344	188	1997-02-09	VYDAJ	PREVOD NA UCET	7426	49087	SIPO	AB	26629168
56345	188	1997-03-09	VYDAJ	PREVOD NA UCET	7426	53719	SIPO	AB	26629168
56346	188	1997-04-09	VYDAJ	PREVOD NA UCET	7426	58672	SIPO	AB	26629168
56347	188	1997-05-09	VYDAJ	PREVOD NA UCET	7426	60744	SIPO	AB	26629168
56348	188	1997-06-09	VYDAJ	PREVOD NA UCET	7426	66825	SIPO	AB	26629168
56349	188	1997-07-09	VYDAJ	PREVOD NA UCET	7426	58214	SIPO	AB	26629168
56350	188	1997-08-09	VYDAJ	PREVOD NA UCET	7426	56198	SIPO	AB	26629168
56351	188	1997-09-09	VYDAJ	PREVOD NA UCET	7426	62958	SIPO	AB	26629168
56352	188	1997-10-09	VYDAJ	PREVOD NA UCET	7426	63461	SIPO	AB	26629168
56353	188	1997-11-09	VYDAJ	PREVOD NA UCET	7426	62546	SIPO	AB	26629168
56354	188	1997-12-09	VYDAJ	PREVOD NA UCET	7426	62943	SIPO	AB	26629168
56355	188	1998-01-09	VYDAJ	PREVOD NA UCET	7426	64052	SIPO	AB	26629168
56356	188	1998-02-09	VYDAJ	PREVOD NA UCET	7426	50441	SIPO	AB	26629168
56357	188	1998-03-09	VYDAJ	PREVOD NA UCET	7426	57874	SIPO	AB	26629168
56358	188	1998-04-09	VYDAJ	PREVOD NA UCET	7426	62537	SIPO	AB	26629168
56359	188	1998-05-09	VYDAJ	PREVOD NA UCET	7426	62614	SIPO	AB	26629168
56360	188	1998-06-09	VYDAJ	PREVOD NA UCET	7426	57750	SIPO	AB	26629168
56361	188	1998-07-09	VYDAJ	PREVOD NA UCET	7426	55651	SIPO	AB	26629168
56362	188	1998-08-09	VYDAJ	PREVOD NA UCET	7426	58766	SIPO	AB	26629168
56363	188	1998-09-09	VYDAJ	PREVOD NA UCET	7426	68737	SIPO	AB	26629168
56364	188	1998-10-09	VYDAJ	PREVOD NA UCET	7426	73840	SIPO	AB	26629168
56365	188	1998-11-09	VYDAJ	PREVOD NA UCET	7426	73056	SIPO	AB	26629168
56366	188	1998-12-09	VYDAJ	PREVOD NA UCET	7426	73873	SIPO	AB	26629168
56369	188	1995-06-16	VYDAJ	VYBER	24800	47187	\N	\N	\N
56370	188	1996-06-09	VYDAJ	VYBER	9120	43393	\N	\N	\N
56371	188	1997-06-09	VYDAJ	VYBER	26080	40745	\N	\N	\N
56372	188	1998-06-19	VYDAJ	VYBER	22560	64310	\N	\N	\N
56374	188	1994-01-04	VYDAJ	VYBER	14080	23883	\N	\N	\N
56375	188	1995-01-13	VYDAJ	VYBER	15200	40845	\N	\N	\N
56376	188	1996-01-23	VYDAJ	VYBER	3680	59645	\N	\N	\N
56377	188	1997-01-13	VYDAJ	VYBER	14080	66045	\N	\N	\N
56378	188	1998-01-23	VYDAJ	VYBER	4480	64945	\N	\N	\N
56379	188	1993-12-14	VYDAJ	VYBER	3040	53119	\N	\N	\N
56380	188	1994-12-27	VYDAJ	VYBER	4320	58136	\N	\N	\N
56381	188	1995-12-04	VYDAJ	VYBER	3360	57146	\N	\N	\N
56382	188	1996-12-02	VYDAJ	VYBER	3040	60856	\N	\N	\N
56383	188	1997-12-29	VYDAJ	VYBER	3840	73923	\N	\N	\N
56384	188	1998-12-10	VYDAJ	VYBER	3360	70513	\N	\N	\N
56391	188	1994-01-18	VYDAJ	VYBER	1560	24610	\N	\N	\N
56392	188	1994-01-27	VYDAJ	VYBER	1800	22810	\N	\N	\N
56393	188	1994-01-28	VYDAJ	VYBER	2040	20170	\N	\N	\N
56394	188	1994-01-08	VYDAJ	VYBER	1080	22803	\N	\N	\N
56395	188	1994-01-09	VYDAJ	VYBER	1680	21123	\N	\N	\N
56396	188	1994-01-29	VYDAJ	VYBER	1320	18850	\N	\N	\N
56397	188	1995-01-24	VYDAJ	VYBER	3480	32325	\N	\N	\N
56398	188	1995-01-15	VYDAJ	VYBER	3360	37485	\N	\N	\N
56399	188	1995-01-26	VYDAJ	VYBER	3120	29205	\N	\N	\N
56400	188	1995-01-10	VYDAJ	VYBER	3360	46732	\N	\N	\N
56401	188	1995-01-10	VYDAJ	VYBER	840	50092	\N	\N	\N
56402	188	1995-01-19	VYDAJ	VYBER	1680	35805	\N	\N	\N
56403	188	1996-01-07	VYDAJ	VYBER	1560	57098	\N	\N	\N
56404	188	1996-01-20	VYDAJ	VYBER	840	63325	\N	\N	\N
56405	188	1996-01-15	VYDAJ	VYBER	1440	67645	\N	\N	\N
56406	188	1996-01-01	VYDAJ	VYBER	3480	70318	\N	\N	\N
56407	188	1996-01-04	VYDAJ	VYBER	1560	68758	\N	\N	\N
56408	188	1996-01-16	VYDAJ	VYBER	3480	64165	\N	\N	\N
56409	188	1997-01-13	VYDAJ	VYBER	1800	64245	\N	\N	\N
56410	188	1997-01-03	VYDAJ	VYBER	600	68138	\N	\N	\N
56411	188	1997-01-18	VYDAJ	VYBER	840	63405	\N	\N	\N
56412	188	1997-01-28	VYDAJ	VYBER	1080	61605	\N	\N	\N
56413	188	1997-01-19	VYDAJ	VYBER	720	62685	\N	\N	\N
56414	188	1997-01-28	VYDAJ	VYBER	1440	60165	\N	\N	\N
56415	188	1998-01-10	VYDAJ	VYBER	2880	61172	\N	\N	\N
56416	188	1998-01-18	VYDAJ	VYBER	3120	70745	\N	\N	\N
56417	188	1998-01-21	VYDAJ	VYBER	1320	69425	\N	\N	\N
56418	188	1998-01-23	VYDAJ	VYBER	2520	62425	\N	\N	\N
56419	188	1998-01-12	VYDAJ	VYBER	1440	59732	\N	\N	\N
56420	188	1998-01-26	VYDAJ	VYBER	1920	57605	\N	\N	\N
56422	188	1993-10-05	VYDAJ	VYBER	4920	37302	\N	\N	\N
56423	188	1993-11-06	VYDAJ	VYBER	5880	29153	\N	\N	\N
56425	188	1994-12-15	VYDAJ	VYBER	720	62456	\N	\N	\N
56426	188	1994-09-11	VYDAJ	VYBER	3600	25983	\N	\N	\N
56427	188	1994-10-26	VYDAJ	VYBER	5040	41948	\N	\N	\N
56428	188	1994-09-15	VYDAJ	VYBER	5640	39556	\N	\N	\N
56429	188	1994-01-15	VYDAJ	VYBER	3240	29870	\N	\N	\N
56430	188	1994-01-28	VYDAJ	VYBER	600	22210	\N	\N	\N
56431	188	1994-05-02	VYDAJ	VYBER	960	35684	\N	\N	\N
56432	188	1995-08-07	VYDAJ	VYBER	720	58771	\N	\N	\N
56433	188	1996-05-30	VYDAJ	VYBER	5160	66376	\N	\N	\N
56434	188	1996-04-29	VYDAJ	VYBER	3600	64494	\N	\N	\N
56435	188	1996-03-22	VYDAJ	VYBER	720	67254	\N	\N	\N
56436	188	1996-03-20	VYDAJ	VYBER	720	67974	\N	\N	\N
56437	188	1996-11-25	VYDAJ	VYBER	4800	73711	\N	\N	\N
56438	188	1996-08-01	VYDAJ	VYBER	5640	71311	\N	\N	\N
56439	188	1997-11-29	VYDAJ	VYBER	2280	70079	\N	\N	\N
56440	188	1997-09-28	VYDAJ	VYBER	1080	70591	\N	\N	\N
56441	188	1997-07-18	VYDAJ	VYBER	1920	75707	\N	\N	\N
56442	188	1997-11-04	VYDAJ	VYBER	600	69972	\N	\N	\N
56443	188	1997-08-05	VYDAJ	VYBER	2760	63624	\N	\N	\N
56444	188	1998-01-08	VYDAJ	VYBER	2760	71478	\N	\N	\N
56445	188	1998-01-15	VYDAJ	VYBER	5280	73865	\N	\N	\N
56446	188	1998-05-22	VYDAJ	VYBER	1920	80107	\N	\N	\N
56447	188	1998-12-09	VYDAJ	VYBER	2400	81299	\N	\N	\N
56448	188	1998-06-03	VYDAJ	VYBER	4920	65176	\N	\N	\N
56449	188	1998-08-02	VYDAJ	VYBER	5040	66192	\N	\N	\N
56459	188	1993-09-30	VYDAJ	VYBER	15	42222	SLUZBY	\N	\N
56460	188	1993-10-31	VYDAJ	VYBER	15	35033	SLUZBY	\N	\N
56461	188	1993-11-30	VYDAJ	VYBER	15	34465	SLUZBY	\N	\N
56462	188	1993-12-31	VYDAJ	VYBER	15	37963	SLUZBY	\N	\N
56463	188	1994-01-31	VYDAJ	VYBER	15	18950	SLUZBY	\N	\N
56464	188	1994-02-28	VYDAJ	VYBER	15	27822	SLUZBY	\N	\N
56465	188	1994-03-31	VYDAJ	VYBER	15	32325	SLUZBY	\N	\N
56466	188	1994-04-30	VYDAJ	VYBER	15	36644	SLUZBY	\N	\N
56467	188	1994-05-31	VYDAJ	VYBER	15	34302	SLUZBY	\N	\N
56468	188	1994-06-30	VYDAJ	VYBER	15	40040	SLUZBY	\N	\N
56469	188	1994-07-31	VYDAJ	VYBER	15	39479	SLUZBY	\N	\N
56470	188	1994-08-31	VYDAJ	VYBER	15	37009	SLUZBY	\N	\N
56471	188	1994-09-30	VYDAJ	VYBER	15	39701	SLUZBY	\N	\N
56472	188	1994-10-31	VYDAJ	VYBER	15	42111	SLUZBY	\N	\N
56473	188	1994-11-30	VYDAJ	VYBER	15	52682	SLUZBY	\N	\N
56474	188	1994-12-31	VYDAJ	VYBER	15	58358	SLUZBY	\N	\N
56475	188	1995-01-31	VYDAJ	VYBER	15	29367	SLUZBY	\N	\N
56476	188	1995-02-28	VYDAJ	VYBER	15	44194	SLUZBY	\N	\N
56477	188	1995-03-31	VYDAJ	VYBER	15	55677	SLUZBY	\N	\N
56478	188	1995-04-30	VYDAJ	VYBER	15	57678	SLUZBY	\N	\N
56479	188	1995-05-31	VYDAJ	VYBER	15	61493	SLUZBY	\N	\N
56480	188	1995-06-30	VYDAJ	VYBER	15	47396	SLUZBY	\N	\N
56481	188	1995-07-31	VYDAJ	VYBER	15	59491	SLUZBY	\N	\N
56482	188	1995-08-31	VYDAJ	VYBER	15	58174	SLUZBY	\N	\N
56483	188	1995-09-30	VYDAJ	VYBER	15	60283	SLUZBY	\N	\N
56484	188	1995-10-31	VYDAJ	VYBER	15	60295	SLUZBY	\N	\N
56485	188	1995-11-30	VYDAJ	VYBER	15	60506	SLUZBY	\N	\N
56486	188	1995-12-31	VYDAJ	VYBER	15	73798	SLUZBY	\N	\N
56487	188	1996-01-31	VYDAJ	VYBER	15	59886	SLUZBY	\N	\N
56488	188	1996-02-29	VYDAJ	VYBER	15	64007	SLUZBY	\N	\N
56489	188	1996-03-31	VYDAJ	VYBER	15	67507	SLUZBY	\N	\N
56490	188	1996-04-30	VYDAJ	VYBER	15	64749	SLUZBY	\N	\N
56491	188	1996-05-31	VYDAJ	VYBER	15	66639	SLUZBY	\N	\N
56492	188	1996-06-30	VYDAJ	VYBER	15	72776	SLUZBY	\N	\N
56493	188	1996-07-31	VYDAJ	VYBER	15	76951	SLUZBY	\N	\N
56494	188	1996-08-31	VYDAJ	VYBER	15	74269	SLUZBY	\N	\N
56495	188	1996-09-30	VYDAJ	VYBER	15	76544	SLUZBY	\N	\N
56496	188	1996-10-31	VYDAJ	VYBER	15	66524	SLUZBY	\N	\N
56497	188	1996-11-30	VYDAJ	VYBER	15	63896	SLUZBY	\N	\N
56498	188	1996-12-31	VYDAJ	VYBER	15	68738	SLUZBY	\N	\N
56499	188	1997-01-31	VYDAJ	VYBER	15	56513	SLUZBY	\N	\N
56500	188	1997-02-28	VYDAJ	VYBER	15	61145	SLUZBY	\N	\N
56501	188	1997-03-31	VYDAJ	VYBER	15	66098	SLUZBY	\N	\N
56502	188	1997-04-30	VYDAJ	VYBER	15	68170	SLUZBY	\N	\N
56503	188	1997-05-31	VYDAJ	VYBER	15	74251	SLUZBY	\N	\N
56504	188	1997-06-30	VYDAJ	VYBER	15	65640	SLUZBY	\N	\N
56505	188	1997-07-31	VYDAJ	VYBER	15	66384	SLUZBY	\N	\N
56506	188	1997-08-31	VYDAJ	VYBER	15	70384	SLUZBY	\N	\N
56507	188	1997-09-30	VYDAJ	VYBER	15	70887	SLUZBY	\N	\N
56508	188	1997-10-31	VYDAJ	VYBER	15	70572	SLUZBY	\N	\N
56509	188	1997-11-30	VYDAJ	VYBER	15	70369	SLUZBY	\N	\N
56510	188	1997-12-31	VYDAJ	VYBER	15	74238	SLUZBY	\N	\N
56511	188	1998-01-31	VYDAJ	VYBER	15	57867	SLUZBY	\N	\N
56512	188	1998-02-28	VYDAJ	VYBER	15	65300	SLUZBY	\N	\N
56513	188	1998-03-31	VYDAJ	VYBER	15	69963	SLUZBY	\N	\N
56514	188	1998-04-30	VYDAJ	VYBER	15	70040	SLUZBY	\N	\N
56515	188	1998-05-31	VYDAJ	VYBER	15	70096	SLUZBY	\N	\N
56516	188	1998-06-30	VYDAJ	VYBER	15	63077	SLUZBY	\N	\N
56517	188	1998-07-31	VYDAJ	VYBER	15	71232	SLUZBY	\N	\N
56518	188	1998-08-31	VYDAJ	VYBER	15	76163	SLUZBY	\N	\N
56519	188	1998-09-30	VYDAJ	VYBER	15	81266	SLUZBY	\N	\N
56520	188	1998-10-31	VYDAJ	VYBER	15	80482	SLUZBY	\N	\N
56521	188	1998-11-30	VYDAJ	VYBER	15	83699	SLUZBY	\N	\N
56522	188	1993-05-20	PRIJEM	VKLAD	2300	22413	\N	\N	\N
56523	188	1993-06-19	VYDAJ	VYBER	13000	38569	\N	\N	\N
56524	188	1993-07-19	VYDAJ	VYBER	17000	41103	\N	\N	\N
56525	188	1993-08-18	VYDAJ	VYBER	19900	40781	\N	\N	\N
56526	188	1993-09-17	VYDAJ	VYBER	18300	42064	\N	\N	\N
56527	188	1993-10-17	VYDAJ	VYBER	14400	34889	\N	\N	\N
56528	188	1993-11-16	VYDAJ	VYBER	6800	34340	\N	\N	\N
56529	188	1993-12-16	VYDAJ	VYBER	15300	37819	\N	\N	\N
56530	188	1994-01-15	VYDAJ	VYBER	3700	26170	\N	\N	\N
56531	188	1994-02-14	VYDAJ	VYBER	3200	27737	\N	\N	\N
56532	188	1994-03-16	VYDAJ	VYBER	7600	32209	\N	\N	\N
56533	188	1994-04-15	VYDAJ	VYBER	7800	36512	\N	\N	\N
56534	188	1994-05-15	VYDAJ	VYBER	13500	34171	\N	\N	\N
56535	188	1994-06-14	VYDAJ	VYBER	16100	39896	\N	\N	\N
56536	188	1994-07-14	VYDAJ	VYBER	12700	39327	\N	\N	\N
56537	188	1994-08-13	VYDAJ	VYBER	14600	36866	\N	\N	\N
56538	188	1994-09-12	VYDAJ	VYBER	200	25783	\N	\N	\N
56539	188	1994-10-12	VYDAJ	VYBER	4700	27575	\N	\N	\N
56540	188	1994-11-11	VYDAJ	VYBER	1600	33085	\N	\N	\N
56541	188	1994-12-11	VYDAJ	VYBER	11200	34056	\N	\N	\N
56542	188	1995-01-10	VYDAJ	VYBER	10100	36632	\N	\N	\N
56543	188	1995-02-09	PRIJEM	VKLAD	2700	32067	\N	\N	\N
56544	188	1995-03-11	VYDAJ	VYBER	700	36068	\N	\N	\N
56545	188	1995-04-10	VYDAJ	VYBER	10200	38051	\N	\N	\N
56546	188	1995-05-10	VYDAJ	VYBER	8400	41852	\N	\N	\N
56547	188	1995-06-09	VYDAJ	VYBER	11200	50293	\N	\N	\N
56548	188	1995-07-09	VYDAJ	VYBER	100	39870	\N	\N	\N
56549	188	1995-08-08	VYDAJ	VYBER	12800	45971	\N	\N	\N
56550	188	1995-09-07	VYDAJ	VYBER	10100	48074	\N	\N	\N
56551	188	1995-10-07	VYDAJ	VYBER	12200	48083	\N	\N	\N
56552	188	1995-11-06	VYDAJ	VYBER	12000	48295	\N	\N	\N
56553	188	1995-12-06	VYDAJ	VYBER	5300	51846	\N	\N	\N
56554	188	1996-01-05	VYDAJ	VYBER	10100	58658	\N	\N	\N
56555	188	1996-02-04	VYDAJ	VYBER	8100	51786	\N	\N	\N
56556	188	1996-03-05	VYDAJ	VYBER	7300	56707	\N	\N	\N
56557	188	1996-04-04	VYDAJ	VYBER	11400	56107	\N	\N	\N
56558	188	1996-05-04	VYDAJ	VYBER	5200	59549	\N	\N	\N
56559	188	1996-06-03	VYDAJ	VYBER	6700	59939	\N	\N	\N
56560	188	1996-07-03	VYDAJ	VYBER	8100	64676	\N	\N	\N
56561	188	1996-08-02	VYDAJ	VYBER	9300	62011	\N	\N	\N
56562	188	1996-09-01	VYDAJ	VYBER	10000	64269	\N	\N	\N
56563	188	1996-10-01	VYDAJ	VYBER	11000	65544	\N	\N	\N
56564	188	1996-10-31	VYDAJ	VYBER	11300	66539	\N	\N	\N
56565	188	1996-11-30	VYDAJ	VYBER	10100	63911	\N	\N	\N
56566	188	1996-12-30	VYDAJ	VYBER	14100	68450	\N	\N	\N
56567	188	1997-01-29	VYDAJ	VYBER	3900	56265	\N	\N	\N
56568	188	1997-02-28	VYDAJ	VYBER	7600	61160	\N	\N	\N
56569	188	1997-03-30	VYDAJ	VYBER	7300	65832	\N	\N	\N
56570	188	1997-04-29	VYDAJ	VYBER	10200	67885	\N	\N	\N
56571	188	1997-05-29	VYDAJ	VYBER	6200	73957	\N	\N	\N
56572	188	1997-06-28	VYDAJ	VYBER	4500	65365	\N	\N	\N
56573	188	1997-07-28	VYDAJ	VYBER	9600	66107	\N	\N	\N
56574	188	1997-08-27	VYDAJ	VYBER	5500	70111	\N	\N	\N
56575	188	1997-09-26	VYDAJ	VYBER	10700	71671	\N	\N	\N
56576	188	1997-10-26	VYDAJ	VYBER	12600	70274	\N	\N	\N
56577	188	1997-11-25	VYDAJ	VYBER	9600	72359	\N	\N	\N
56578	188	1997-12-25	VYDAJ	VYBER	14300	77763	\N	\N	\N
56579	188	1998-01-24	VYDAJ	VYBER	2900	59525	\N	\N	\N
56580	188	1998-02-23	VYDAJ	VYBER	4800	65054	\N	\N	\N
56581	188	1998-03-25	VYDAJ	VYBER	7600	69687	\N	\N	\N
56582	188	1998-04-24	VYDAJ	VYBER	12200	69750	\N	\N	\N
56583	188	1998-05-24	VYDAJ	VYBER	10300	69807	\N	\N	\N
56584	188	1998-06-23	VYDAJ	VYBER	1500	62810	\N	\N	\N
56585	188	1998-07-23	VYDAJ	VYBER	4100	70964	\N	\N	\N
56586	188	1998-08-22	VYDAJ	VYBER	2300	75879	\N	\N	\N
56587	188	1998-09-21	VYDAJ	VYBER	7200	80950	\N	\N	\N
56588	188	1998-10-21	VYDAJ	VYBER	13100	80153	\N	\N	\N
56589	188	1998-11-20	VYDAJ	VYBER	9100	83369	\N	\N	\N
56658	189	1997-04-16	PRIJEM	VKLAD	700	700	\N	\N	\N
56663	189	1997-05-09	PRIJEM	VKLAD	21020	21720	\N	\N	\N
56664	189	1997-06-09	PRIJEM	VKLAD	31530	53898	\N	\N	\N
56665	189	1997-07-09	PRIJEM	VKLAD	21020	58945	\N	\N	\N
56666	189	1997-08-09	PRIJEM	VKLAD	21020	61629	\N	\N	\N
56667	189	1997-09-09	PRIJEM	VKLAD	21020	58209	\N	\N	\N
56668	189	1997-10-09	PRIJEM	VKLAD	21020	55823	\N	\N	\N
56669	189	1997-11-09	PRIJEM	VKLAD	21020	51675	\N	\N	\N
56670	189	1997-12-09	PRIJEM	VKLAD	31530	66592	\N	\N	\N
56671	189	1998-01-09	PRIJEM	VKLAD	21020	53714	\N	\N	\N
56672	189	1998-02-09	PRIJEM	VKLAD	21020	36050	\N	\N	\N
56673	189	1998-03-09	PRIJEM	VKLAD	21020	49407	\N	\N	\N
56674	189	1998-04-09	PRIJEM	VKLAD	21020	60516	\N	\N	\N
56675	189	1998-05-09	PRIJEM	VKLAD	21020	60447	\N	\N	\N
56676	189	1998-06-09	PRIJEM	VKLAD	31530	74843	\N	\N	\N
56677	189	1998-07-09	PRIJEM	VKLAD	21020	45824	\N	\N	\N
56678	189	1998-08-09	PRIJEM	VKLAD	21020	57579	\N	\N	\N
56679	189	1998-09-09	PRIJEM	VKLAD	21020	59802	\N	\N	\N
56680	189	1998-10-09	PRIJEM	VKLAD	21020	63466	\N	\N	\N
56681	189	1998-11-09	PRIJEM	VKLAD	21020	68759	\N	\N	\N
56682	189	1998-12-09	PRIJEM	VKLAD	31530	76341	\N	\N	\N
56691	189	1997-09-14	VYDAJ	PREVOD NA UCET	4244	34655	SIPO	GH	54808670
56692	189	1997-10-14	VYDAJ	PREVOD NA UCET	4244	36269	SIPO	GH	54808670
56693	189	1997-11-14	VYDAJ	PREVOD NA UCET	4244	34921	SIPO	GH	54808670
56694	189	1997-12-14	VYDAJ	PREVOD NA UCET	4244	39938	SIPO	GH	54808670
56695	189	1998-01-14	VYDAJ	PREVOD NA UCET	4244	32120	SIPO	GH	54808670
56696	189	1998-02-14	VYDAJ	PREVOD NA UCET	4244	28296	SIPO	GH	54808670
56697	189	1998-03-14	VYDAJ	PREVOD NA UCET	4244	39353	SIPO	GH	54808670
56698	189	1998-04-14	VYDAJ	PREVOD NA UCET	4244	44062	SIPO	GH	54808670
56699	189	1998-05-14	VYDAJ	PREVOD NA UCET	4244	47693	SIPO	GH	54808670
56700	189	1998-06-14	VYDAJ	PREVOD NA UCET	4244	24669	SIPO	GH	54808670
56701	189	1998-07-14	VYDAJ	PREVOD NA UCET	4244	37270	SIPO	GH	54808670
56702	189	1998-08-14	VYDAJ	PREVOD NA UCET	4244	39325	SIPO	GH	54808670
56703	189	1998-09-14	VYDAJ	PREVOD NA UCET	4244	54448	SIPO	GH	54808670
56704	189	1998-10-14	VYDAJ	PREVOD NA UCET	4244	58112	SIPO	GH	54808670
56705	189	1998-11-14	VYDAJ	PREVOD NA UCET	4244	63405	SIPO	GH	54808670
56706	189	1998-12-14	VYDAJ	PREVOD NA UCET	4244	70987	SIPO	GH	54808670
56715	189	1997-09-09	VYDAJ	PREVOD NA UCET	750	57459	 	OP	28932172
56716	189	1997-10-09	VYDAJ	PREVOD NA UCET	750	55073	 	OP	28932172
56717	189	1997-11-09	VYDAJ	PREVOD NA UCET	750	50925	 	OP	28932172
56718	189	1997-12-09	VYDAJ	PREVOD NA UCET	750	65842	 	OP	28932172
56719	189	1998-01-09	VYDAJ	PREVOD NA UCET	750	52964	 	OP	28932172
56720	189	1998-02-09	VYDAJ	PREVOD NA UCET	750	35300	 	OP	28932172
56721	189	1998-03-09	VYDAJ	PREVOD NA UCET	750	48657	 	OP	28932172
56722	189	1998-04-09	VYDAJ	PREVOD NA UCET	750	59766	 	OP	28932172
56723	189	1998-05-09	VYDAJ	PREVOD NA UCET	750	59697	 	OP	28932172
56724	189	1998-06-09	VYDAJ	PREVOD NA UCET	750	74093	 	OP	28932172
56725	189	1998-07-09	VYDAJ	PREVOD NA UCET	750	45074	 	OP	28932172
56726	189	1998-08-09	VYDAJ	PREVOD NA UCET	750	43929	 	OP	28932172
56727	189	1998-09-09	VYDAJ	PREVOD NA UCET	750	59052	 	OP	28932172
56728	189	1998-10-09	VYDAJ	PREVOD NA UCET	750	62716	 	OP	28932172
56729	189	1998-11-09	VYDAJ	PREVOD NA UCET	750	68009	 	OP	28932172
56730	189	1998-12-09	VYDAJ	PREVOD NA UCET	750	75591	 	OP	28932172
56739	189	1997-09-13	VYDAJ	PREVOD NA UCET	360	57099	POJISTNE	MN	76972424
56740	189	1997-10-13	VYDAJ	PREVOD NA UCET	360	40513	POJISTNE	MN	76972424
56741	189	1997-11-13	VYDAJ	PREVOD NA UCET	360	39165	POJISTNE	MN	76972424
56742	189	1997-12-13	VYDAJ	PREVOD NA UCET	360	44182	POJISTNE	MN	76972424
56743	189	1998-01-13	VYDAJ	PREVOD NA UCET	360	39604	POJISTNE	MN	76972424
56744	189	1998-02-13	VYDAJ	PREVOD NA UCET	360	32540	POJISTNE	MN	76972424
56745	189	1998-03-13	VYDAJ	PREVOD NA UCET	360	43597	POJISTNE	MN	76972424
56746	189	1998-04-13	VYDAJ	PREVOD NA UCET	360	48306	POJISTNE	MN	76972424
56747	189	1998-05-13	VYDAJ	PREVOD NA UCET	360	51937	POJISTNE	MN	76972424
56748	189	1998-06-13	VYDAJ	PREVOD NA UCET	360	57233	POJISTNE	MN	76972424
56749	189	1998-07-13	VYDAJ	PREVOD NA UCET	360	41514	POJISTNE	MN	76972424
56750	189	1998-08-13	VYDAJ	PREVOD NA UCET	360	43569	POJISTNE	MN	76972424
56751	189	1998-09-13	VYDAJ	PREVOD NA UCET	360	58692	POJISTNE	MN	76972424
56752	189	1998-10-13	VYDAJ	PREVOD NA UCET	360	62356	POJISTNE	MN	76972424
56753	189	1998-11-13	VYDAJ	PREVOD NA UCET	360	67649	POJISTNE	MN	76972424
56754	189	1998-12-13	VYDAJ	PREVOD NA UCET	360	75231	POJISTNE	MN	76972424
56756	189	1998-06-13	VYDAJ	VYBER	28320	28913	\N	\N	\N
56758	189	1998-01-26	VYDAJ	VYBER	6400	18160	\N	\N	\N
56759	189	1997-12-25	VYDAJ	VYBER	3200	36738	\N	\N	\N
56760	189	1998-12-06	VYDAJ	VYBER	1600	58211	\N	\N	\N
56767	189	1998-01-26	VYDAJ	VYBER	840	24560	\N	\N	\N
56768	189	1998-01-02	VYDAJ	VYBER	2760	33534	\N	\N	\N
56769	189	1998-01-29	VYDAJ	VYBER	3240	14920	\N	\N	\N
56770	189	1998-01-21	VYDAJ	VYBER	1320	25400	\N	\N	\N
56771	189	1998-01-01	VYDAJ	VYBER	600	36294	\N	\N	\N
56772	189	1998-01-02	VYDAJ	VYBER	840	32694	\N	\N	\N
56774	189	1997-11-08	VYDAJ	VYBER	5760	30655	\N	\N	\N
56778	189	1998-11-30	VYDAJ	VYBER	3840	59826	\N	\N	\N
56779	189	1998-06-03	VYDAJ	VYBER	4560	43313	\N	\N	\N
56780	189	1998-07-23	VYDAJ	VYBER	840	36430	\N	\N	\N
56781	189	1998-01-14	VYDAJ	VYBER	3240	36364	\N	\N	\N
56782	189	1998-04-23	VYDAJ	VYBER	4800	39262	\N	\N	\N
56783	189	1998-01-15	VYDAJ	VYBER	5400	26720	\N	\N	\N
56793	189	1997-09-30	VYDAJ	VYBER	15	34803	SLUZBY	\N	\N
56794	189	1997-10-31	VYDAJ	VYBER	15	36415	SLUZBY	\N	\N
56795	189	1997-11-30	VYDAJ	VYBER	15	35062	SLUZBY	\N	\N
56796	189	1997-12-31	VYDAJ	VYBER	15	36894	SLUZBY	\N	\N
56797	189	1998-01-31	VYDAJ	VYBER	15	15030	SLUZBY	\N	\N
56798	189	1998-02-28	VYDAJ	VYBER	15	28387	SLUZBY	\N	\N
56799	189	1998-03-31	VYDAJ	VYBER	15	39496	SLUZBY	\N	\N
56800	189	1998-04-30	VYDAJ	VYBER	15	39427	SLUZBY	\N	\N
56801	189	1998-05-31	VYDAJ	VYBER	15	47873	SLUZBY	\N	\N
56802	189	1998-06-30	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
56803	189	1998-07-31	VYDAJ	VYBER	15	36559	SLUZBY	\N	\N
56804	189	1998-08-31	VYDAJ	VYBER	15	39482	SLUZBY	\N	\N
56805	189	1998-09-30	VYDAJ	VYBER	15	54646	SLUZBY	\N	\N
56806	189	1998-10-31	VYDAJ	VYBER	15	58339	SLUZBY	\N	\N
56807	189	1998-11-30	VYDAJ	VYBER	15	59811	SLUZBY	\N	\N
56808	189	1997-05-16	PRIJEM	VKLAD	600	22320	\N	\N	\N
56809	189	1997-06-15	VYDAJ	VYBER	16100	37798	\N	\N	\N
56810	189	1997-07-15	VYDAJ	VYBER	18500	40445	\N	\N	\N
56811	189	1997-08-14	VYDAJ	VYBER	24600	37029	\N	\N	\N
56812	189	1997-09-13	VYDAJ	VYBER	18200	38899	\N	\N	\N
56813	189	1997-10-13	VYDAJ	VYBER	14200	40873	\N	\N	\N
56814	189	1997-11-12	VYDAJ	VYBER	11400	39525	\N	\N	\N
56815	189	1997-12-12	VYDAJ	VYBER	21300	44542	\N	\N	\N
56816	189	1998-01-11	VYDAJ	VYBER	13000	39964	\N	\N	\N
56817	189	1998-02-10	VYDAJ	VYBER	2400	32900	\N	\N	\N
56818	189	1998-03-12	VYDAJ	VYBER	4700	43957	\N	\N	\N
56819	189	1998-04-11	VYDAJ	VYBER	11100	48666	\N	\N	\N
56820	189	1998-05-11	VYDAJ	VYBER	7400	52297	\N	\N	\N
56821	189	1998-06-10	VYDAJ	VYBER	16500	57593	\N	\N	\N
56822	189	1998-07-10	VYDAJ	VYBER	3200	41874	\N	\N	\N
56823	189	1998-08-09	VYDAJ	VYBER	12900	44679	\N	\N	\N
56824	189	1998-09-08	VYDAJ	VYBER	700	38782	\N	\N	\N
56825	189	1998-10-08	VYDAJ	VYBER	12200	42446	\N	\N	\N
56826	189	1998-11-07	VYDAJ	VYBER	10600	47739	\N	\N	\N
56827	189	1998-12-07	VYDAJ	VYBER	13400	44811	\N	\N	\N
56848	190	1995-03-02	PRIJEM	VKLAD	500	500	\N	\N	\N
56851	190	1995-03-14	PRIJEM	VKLAD	17556	18056	\N	\N	\N
56852	190	1995-04-14	PRIJEM	VKLAD	17556	37856	\N	\N	\N
56853	190	1995-05-14	PRIJEM	VKLAD	17556	48834	\N	\N	\N
56854	190	1995-06-14	PRIJEM	VKLAD	26334	64351	\N	\N	\N
56855	190	1995-07-14	PRIJEM	VKLAD	17556	64866	\N	\N	\N
56856	190	1995-08-14	PRIJEM	VKLAD	17556	52194	\N	\N	\N
56857	190	1995-09-14	PRIJEM	VKLAD	17556	47517	\N	\N	\N
56858	190	1995-10-14	PRIJEM	VKLAD	17556	41620	\N	\N	\N
56859	190	1995-11-14	PRIJEM	VKLAD	17556	43102	\N	\N	\N
56860	190	1995-12-14	PRIJEM	VKLAD	26334	44565	\N	\N	\N
56861	190	1996-01-14	PRIJEM	VKLAD	17556	29248	\N	\N	\N
56862	190	1996-02-14	PRIJEM	VKLAD	17556	35487	\N	\N	\N
56863	190	1996-03-14	PRIJEM	VKLAD	17556	39443	\N	\N	\N
56864	190	1996-04-14	PRIJEM	VKLAD	17556	42915	\N	\N	\N
56865	190	1996-05-14	PRIJEM	VKLAD	17556	41398	\N	\N	\N
56866	190	1996-06-14	PRIJEM	VKLAD	26334	51454	\N	\N	\N
56867	190	1996-07-14	PRIJEM	VKLAD	17556	36538	\N	\N	\N
56868	190	1996-08-14	PRIJEM	VKLAD	17556	42498	\N	\N	\N
56869	190	1996-09-14	PRIJEM	VKLAD	17556	45880	\N	\N	\N
56870	190	1996-10-14	PRIJEM	VKLAD	17556	46371	\N	\N	\N
56871	190	1996-11-14	PRIJEM	VKLAD	17556	44763	\N	\N	\N
56872	190	1996-12-14	PRIJEM	VKLAD	26334	47720	\N	\N	\N
56873	190	1997-01-14	PRIJEM	VKLAD	17556	40101	\N	\N	\N
56874	190	1997-02-14	PRIJEM	VKLAD	17556	29063	\N	\N	\N
56875	190	1997-03-14	PRIJEM	VKLAD	17556	36391	\N	\N	\N
56876	190	1997-04-14	PRIJEM	VKLAD	17556	36441	\N	\N	\N
56877	190	1997-05-14	PRIJEM	VKLAD	17556	39695	\N	\N	\N
56878	190	1997-06-14	PRIJEM	VKLAD	26334	45040	\N	\N	\N
56879	190	1997-07-14	PRIJEM	VKLAD	17556	45813	\N	\N	\N
56880	190	1997-08-14	PRIJEM	VKLAD	17556	44098	\N	\N	\N
56881	190	1997-09-14	PRIJEM	VKLAD	17556	46079	\N	\N	\N
56882	190	1997-10-14	PRIJEM	VKLAD	17556	44663	\N	\N	\N
56883	190	1997-11-14	PRIJEM	VKLAD	17556	41136	\N	\N	\N
56884	190	1997-12-14	PRIJEM	VKLAD	26334	43176	\N	\N	\N
56885	190	1998-01-14	PRIJEM	VKLAD	17556	25830	\N	\N	\N
56886	190	1998-02-14	PRIJEM	VKLAD	17556	27942	\N	\N	\N
56887	190	1998-03-14	PRIJEM	VKLAD	17556	35766	\N	\N	\N
56888	190	1998-04-14	PRIJEM	VKLAD	17556	38316	\N	\N	\N
56889	190	1998-05-14	PRIJEM	VKLAD	17556	36763	\N	\N	\N
56890	190	1998-06-14	PRIJEM	VKLAD	26334	48390	\N	\N	\N
56891	190	1998-07-14	PRIJEM	VKLAD	17556	38983	\N	\N	\N
56892	190	1998-08-14	PRIJEM	VKLAD	17556	50145	\N	\N	\N
56893	190	1998-09-14	PRIJEM	VKLAD	17556	59252	\N	\N	\N
56894	190	1998-10-14	PRIJEM	VKLAD	17556	60403	\N	\N	\N
56895	190	1998-11-14	PRIJEM	VKLAD	17556	58471	\N	\N	\N
56896	190	1998-12-14	PRIJEM	VKLAD	26334	69213	\N	\N	\N
56904	190	1995-08-09	VYDAJ	PREVOD NA UCET	4519	39187	SIPO	YZ	24279922
56905	190	1995-09-09	VYDAJ	PREVOD NA UCET	4519	34510	SIPO	YZ	24279922
56906	190	1995-10-09	VYDAJ	PREVOD NA UCET	4519	28613	SIPO	YZ	24279922
56907	190	1995-11-09	VYDAJ	PREVOD NA UCET	4519	30095	SIPO	YZ	24279922
56908	190	1995-12-09	VYDAJ	PREVOD NA UCET	4519	28780	SIPO	YZ	24279922
56909	190	1996-01-09	VYDAJ	PREVOD NA UCET	4519	16241	SIPO	YZ	24279922
56910	190	1996-02-09	VYDAJ	PREVOD NA UCET	4519	22480	SIPO	YZ	24279922
56911	190	1996-03-09	VYDAJ	PREVOD NA UCET	4519	26436	SIPO	YZ	24279922
56912	190	1996-04-09	VYDAJ	PREVOD NA UCET	4519	29908	SIPO	YZ	24279922
56913	190	1996-05-09	VYDAJ	PREVOD NA UCET	4519	28391	SIPO	YZ	24279922
56914	190	1996-06-09	VYDAJ	PREVOD NA UCET	4519	29669	SIPO	YZ	24279922
56915	190	1996-07-09	VYDAJ	PREVOD NA UCET	4519	23531	SIPO	YZ	24279922
56916	190	1996-08-09	VYDAJ	PREVOD NA UCET	4519	29491	SIPO	YZ	24279922
56917	190	1996-09-09	VYDAJ	PREVOD NA UCET	4519	32873	SIPO	YZ	24279922
56918	190	1996-10-09	VYDAJ	PREVOD NA UCET	4519	33364	SIPO	YZ	24279922
56919	190	1996-11-09	VYDAJ	PREVOD NA UCET	4519	31756	SIPO	YZ	24279922
56920	190	1996-12-09	VYDAJ	PREVOD NA UCET	4519	28135	SIPO	YZ	24279922
56921	190	1997-01-09	VYDAJ	PREVOD NA UCET	4519	30094	SIPO	YZ	24279922
56922	190	1997-02-09	VYDAJ	PREVOD NA UCET	4519	16056	SIPO	YZ	24279922
56923	190	1997-03-09	VYDAJ	PREVOD NA UCET	4519	23384	SIPO	YZ	24279922
56924	190	1997-04-09	VYDAJ	PREVOD NA UCET	4519	23434	SIPO	YZ	24279922
56925	190	1997-05-09	VYDAJ	PREVOD NA UCET	4519	26688	SIPO	YZ	24279922
56926	190	1997-06-09	VYDAJ	PREVOD NA UCET	4519	23255	SIPO	YZ	24279922
56927	190	1997-07-09	VYDAJ	PREVOD NA UCET	4519	32806	SIPO	YZ	24279922
56928	190	1997-08-09	VYDAJ	PREVOD NA UCET	4519	31091	SIPO	YZ	24279922
56929	190	1997-09-09	VYDAJ	PREVOD NA UCET	4519	33072	SIPO	YZ	24279922
56930	190	1997-10-09	VYDAJ	PREVOD NA UCET	4519	31656	SIPO	YZ	24279922
56931	190	1997-11-09	VYDAJ	PREVOD NA UCET	4519	28129	SIPO	YZ	24279922
56932	190	1997-12-09	VYDAJ	PREVOD NA UCET	4519	26891	SIPO	YZ	24279922
56933	190	1998-01-09	VYDAJ	PREVOD NA UCET	4519	12823	SIPO	YZ	24279922
56934	190	1998-02-09	VYDAJ	PREVOD NA UCET	4519	14935	SIPO	YZ	24279922
56935	190	1998-03-09	VYDAJ	PREVOD NA UCET	4519	22759	SIPO	YZ	24279922
56936	190	1998-04-09	VYDAJ	PREVOD NA UCET	4519	25309	SIPO	YZ	24279922
56937	190	1998-05-09	VYDAJ	PREVOD NA UCET	4519	23756	SIPO	YZ	24279922
56938	190	1998-06-09	VYDAJ	PREVOD NA UCET	4519	26605	SIPO	YZ	24279922
56939	190	1998-07-09	VYDAJ	PREVOD NA UCET	4519	25976	SIPO	YZ	24279922
56940	190	1998-08-09	VYDAJ	PREVOD NA UCET	4519	30538	SIPO	YZ	24279922
56941	190	1998-09-09	VYDAJ	PREVOD NA UCET	4519	44645	SIPO	YZ	24279922
56942	190	1998-10-09	VYDAJ	PREVOD NA UCET	4519	52296	SIPO	YZ	24279922
56943	190	1998-11-09	VYDAJ	PREVOD NA UCET	4519	52364	SIPO	YZ	24279922
56944	190	1998-12-09	VYDAJ	PREVOD NA UCET	4519	54128	SIPO	YZ	24279922
56952	190	1995-08-10	VYDAJ	PREVOD NA UCET	3233	35954	 	WX	3125066
56953	190	1995-09-10	VYDAJ	PREVOD NA UCET	3233	29961	 	WX	3125066
56954	190	1995-10-10	VYDAJ	PREVOD NA UCET	3233	25380	 	WX	3125066
56955	190	1995-11-10	VYDAJ	PREVOD NA UCET	3233	25546	 	WX	3125066
56956	190	1995-12-10	VYDAJ	PREVOD NA UCET	3233	22331	 	WX	3125066
56957	190	1996-01-10	VYDAJ	PREVOD NA UCET	3233	11692	 	WX	3125066
56958	190	1996-02-10	VYDAJ	PREVOD NA UCET	3233	19247	 	WX	3125066
56959	190	1996-03-10	VYDAJ	PREVOD NA UCET	3233	23203	 	WX	3125066
56960	190	1996-04-10	VYDAJ	PREVOD NA UCET	3233	25359	 	WX	3125066
56961	190	1996-05-10	VYDAJ	PREVOD NA UCET	3233	23842	 	WX	3125066
56962	190	1996-06-10	VYDAJ	PREVOD NA UCET	3233	25120	 	WX	3125066
56963	190	1996-07-10	VYDAJ	PREVOD NA UCET	3233	18982	 	WX	3125066
56964	190	1996-08-10	VYDAJ	PREVOD NA UCET	3233	24942	 	WX	3125066
56965	190	1996-09-10	VYDAJ	PREVOD NA UCET	3233	29640	 	WX	3125066
56966	190	1996-10-10	VYDAJ	PREVOD NA UCET	3233	30131	 	WX	3125066
56967	190	1996-11-10	VYDAJ	PREVOD NA UCET	3233	28523	 	WX	3125066
56968	190	1996-12-10	VYDAJ	PREVOD NA UCET	3233	21386	 	WX	3125066
56969	190	1997-01-10	VYDAJ	PREVOD NA UCET	3233	23145	 	WX	3125066
56970	190	1997-02-10	VYDAJ	PREVOD NA UCET	3233	12823	 	WX	3125066
56971	190	1997-03-10	VYDAJ	PREVOD NA UCET	3233	20151	 	WX	3125066
56972	190	1997-04-10	VYDAJ	PREVOD NA UCET	3233	20201	 	WX	3125066
56973	190	1997-05-10	VYDAJ	PREVOD NA UCET	3233	22139	 	WX	3125066
56974	190	1997-06-10	VYDAJ	PREVOD NA UCET	3233	20022	 	WX	3125066
56975	190	1997-07-10	VYDAJ	PREVOD NA UCET	3233	28257	 	WX	3125066
56976	190	1997-08-10	VYDAJ	PREVOD NA UCET	3233	27858	 	WX	3125066
56977	190	1997-09-10	VYDAJ	PREVOD NA UCET	3233	28523	 	WX	3125066
56978	190	1997-10-10	VYDAJ	PREVOD NA UCET	3233	27107	 	WX	3125066
56979	190	1997-11-10	VYDAJ	PREVOD NA UCET	3233	23580	 	WX	3125066
56980	190	1997-12-10	VYDAJ	PREVOD NA UCET	3233	22342	 	WX	3125066
56981	190	1998-01-10	VYDAJ	PREVOD NA UCET	3233	8274	 	WX	3125066
56982	190	1998-02-10	VYDAJ	PREVOD NA UCET	3233	11702	 	WX	3125066
56983	190	1998-03-10	VYDAJ	PREVOD NA UCET	3233	18210	 	WX	3125066
56984	190	1998-04-10	VYDAJ	PREVOD NA UCET	3233	20760	 	WX	3125066
56985	190	1998-05-10	VYDAJ	PREVOD NA UCET	3233	20523	 	WX	3125066
56986	190	1998-06-10	VYDAJ	PREVOD NA UCET	3233	22056	 	WX	3125066
56987	190	1998-07-10	VYDAJ	PREVOD NA UCET	3233	21427	 	WX	3125066
56988	190	1998-08-10	VYDAJ	PREVOD NA UCET	3233	27305	 	WX	3125066
56989	190	1998-09-10	VYDAJ	PREVOD NA UCET	3233	40096	 	WX	3125066
56990	190	1998-10-10	VYDAJ	PREVOD NA UCET	3233	49063	 	WX	3125066
56991	190	1998-11-10	VYDAJ	PREVOD NA UCET	3233	47815	 	WX	3125066
56992	190	1998-12-10	VYDAJ	PREVOD NA UCET	3233	50895	 	WX	3125066
57000	190	1995-08-07	VYDAJ	PREVOD NA UCET	42	43706	POJISTNE	WX	5304331
57001	190	1995-09-07	VYDAJ	PREVOD NA UCET	42	39029	POJISTNE	WX	5304331
57002	190	1995-10-07	VYDAJ	PREVOD NA UCET	42	33132	POJISTNE	WX	5304331
57003	190	1995-11-07	VYDAJ	PREVOD NA UCET	42	34614	POJISTNE	WX	5304331
57004	190	1995-12-07	VYDAJ	PREVOD NA UCET	42	33299	POJISTNE	WX	5304331
57005	190	1996-01-07	VYDAJ	PREVOD NA UCET	42	23560	POJISTNE	WX	5304331
57006	190	1996-02-07	VYDAJ	PREVOD NA UCET	42	26999	POJISTNE	WX	5304331
57007	190	1996-03-07	VYDAJ	PREVOD NA UCET	42	30955	POJISTNE	WX	5304331
57008	190	1996-04-07	VYDAJ	PREVOD NA UCET	42	34427	POJISTNE	WX	5304331
57090	190	1996-06-23	VYDAJ	VYBER	23500	27954	\N	\N	\N
57009	190	1996-05-07	VYDAJ	PREVOD NA UCET	42	32910	POJISTNE	WX	5304331
57010	190	1996-06-07	VYDAJ	PREVOD NA UCET	42	34188	POJISTNE	WX	5304331
57011	190	1996-07-07	VYDAJ	PREVOD NA UCET	42	28050	POJISTNE	WX	5304331
57012	190	1996-08-07	VYDAJ	PREVOD NA UCET	42	34010	POJISTNE	WX	5304331
57013	190	1996-09-07	VYDAJ	PREVOD NA UCET	42	37392	POJISTNE	WX	5304331
57014	190	1996-10-07	VYDAJ	PREVOD NA UCET	42	37883	POJISTNE	WX	5304331
57015	190	1996-11-07	VYDAJ	PREVOD NA UCET	42	36275	POJISTNE	WX	5304331
57016	190	1996-12-07	VYDAJ	PREVOD NA UCET	42	32654	POJISTNE	WX	5304331
57017	190	1997-01-07	VYDAJ	PREVOD NA UCET	42	34613	POJISTNE	WX	5304331
57018	190	1997-02-07	VYDAJ	PREVOD NA UCET	42	20575	POJISTNE	WX	5304331
57019	190	1997-03-07	VYDAJ	PREVOD NA UCET	42	27903	POJISTNE	WX	5304331
57020	190	1997-04-07	VYDAJ	PREVOD NA UCET	42	27953	POJISTNE	WX	5304331
57021	190	1997-05-07	VYDAJ	PREVOD NA UCET	42	31207	POJISTNE	WX	5304331
57022	190	1997-06-07	VYDAJ	PREVOD NA UCET	42	27774	POJISTNE	WX	5304331
57023	190	1997-07-07	VYDAJ	PREVOD NA UCET	42	37325	POJISTNE	WX	5304331
57024	190	1997-08-07	VYDAJ	PREVOD NA UCET	42	35610	POJISTNE	WX	5304331
57025	190	1997-09-07	VYDAJ	PREVOD NA UCET	42	37591	POJISTNE	WX	5304331
57026	190	1997-10-07	VYDAJ	PREVOD NA UCET	42	36175	POJISTNE	WX	5304331
57027	190	1997-11-07	VYDAJ	PREVOD NA UCET	42	32648	POJISTNE	WX	5304331
57028	190	1997-12-07	VYDAJ	PREVOD NA UCET	42	31410	POJISTNE	WX	5304331
57029	190	1998-01-07	VYDAJ	PREVOD NA UCET	42	17342	POJISTNE	WX	5304331
57030	190	1998-02-07	VYDAJ	PREVOD NA UCET	42	19454	POJISTNE	WX	5304331
57031	190	1998-03-07	VYDAJ	PREVOD NA UCET	42	27278	POJISTNE	WX	5304331
57032	190	1998-04-07	VYDAJ	PREVOD NA UCET	42	29828	POJISTNE	WX	5304331
57033	190	1998-05-07	VYDAJ	PREVOD NA UCET	42	28275	POJISTNE	WX	5304331
57034	190	1998-06-07	VYDAJ	PREVOD NA UCET	42	31124	POJISTNE	WX	5304331
57035	190	1998-07-07	VYDAJ	PREVOD NA UCET	42	30495	POJISTNE	WX	5304331
57036	190	1998-08-07	VYDAJ	PREVOD NA UCET	42	35057	POJISTNE	WX	5304331
57037	190	1998-09-07	VYDAJ	PREVOD NA UCET	42	49164	POJISTNE	WX	5304331
57038	190	1998-10-07	VYDAJ	PREVOD NA UCET	42	56815	POJISTNE	WX	5304331
57039	190	1998-11-07	VYDAJ	PREVOD NA UCET	42	56883	POJISTNE	WX	5304331
57040	190	1998-12-07	VYDAJ	PREVOD NA UCET	42	58647	POJISTNE	WX	5304331
57048	190	1995-08-10	VYDAJ	PREVOD NA UCET	1316	34638	 	YZ	50605297
57049	190	1995-09-10	VYDAJ	PREVOD NA UCET	1316	33194	 	YZ	50605297
57050	190	1995-10-10	VYDAJ	PREVOD NA UCET	1316	24064	 	YZ	50605297
57051	190	1995-11-10	VYDAJ	PREVOD NA UCET	1316	28779	 	YZ	50605297
57052	190	1995-12-10	VYDAJ	PREVOD NA UCET	1316	27464	 	YZ	50605297
57053	190	1996-01-10	VYDAJ	PREVOD NA UCET	1316	14925	 	YZ	50605297
57054	190	1996-02-10	VYDAJ	PREVOD NA UCET	1316	17931	 	YZ	50605297
57055	190	1996-03-10	VYDAJ	PREVOD NA UCET	1316	21887	 	YZ	50605297
57056	190	1996-04-10	VYDAJ	PREVOD NA UCET	1316	28592	 	YZ	50605297
57057	190	1996-05-10	VYDAJ	PREVOD NA UCET	1316	27075	 	YZ	50605297
57058	190	1996-06-10	VYDAJ	PREVOD NA UCET	1316	28353	 	YZ	50605297
57059	190	1996-07-10	VYDAJ	PREVOD NA UCET	1316	22215	 	YZ	50605297
57060	190	1996-08-10	VYDAJ	PREVOD NA UCET	1316	28175	 	YZ	50605297
57061	190	1996-09-10	VYDAJ	PREVOD NA UCET	1316	28324	 	YZ	50605297
57062	190	1996-10-10	VYDAJ	PREVOD NA UCET	1316	28815	 	YZ	50605297
57063	190	1996-11-10	VYDAJ	PREVOD NA UCET	1316	27207	 	YZ	50605297
57064	190	1996-12-10	VYDAJ	PREVOD NA UCET	1316	24619	 	YZ	50605297
57065	190	1997-01-10	VYDAJ	PREVOD NA UCET	1316	26378	 	YZ	50605297
57066	190	1997-02-10	VYDAJ	PREVOD NA UCET	1316	11507	 	YZ	50605297
57067	190	1997-03-10	VYDAJ	PREVOD NA UCET	1316	18835	 	YZ	50605297
57068	190	1997-04-10	VYDAJ	PREVOD NA UCET	1316	18885	 	YZ	50605297
57069	190	1997-05-10	VYDAJ	PREVOD NA UCET	1316	25372	 	YZ	50605297
57070	190	1997-06-10	VYDAJ	PREVOD NA UCET	1316	18706	 	YZ	50605297
57071	190	1997-07-10	VYDAJ	PREVOD NA UCET	1316	31490	 	YZ	50605297
57072	190	1997-08-10	VYDAJ	PREVOD NA UCET	1316	26542	 	YZ	50605297
57073	190	1997-09-10	VYDAJ	PREVOD NA UCET	1316	31756	 	YZ	50605297
57074	190	1997-10-10	VYDAJ	PREVOD NA UCET	1316	30340	 	YZ	50605297
57075	190	1997-11-10	VYDAJ	PREVOD NA UCET	1316	26813	 	YZ	50605297
57076	190	1997-12-10	VYDAJ	PREVOD NA UCET	1316	25575	 	YZ	50605297
57077	190	1998-01-10	VYDAJ	PREVOD NA UCET	1316	11507	 	YZ	50605297
57078	190	1998-02-10	VYDAJ	PREVOD NA UCET	1316	10386	 	YZ	50605297
57079	190	1998-03-10	VYDAJ	PREVOD NA UCET	1316	21443	 	YZ	50605297
57080	190	1998-04-10	VYDAJ	PREVOD NA UCET	1316	23993	 	YZ	50605297
57081	190	1998-05-10	VYDAJ	PREVOD NA UCET	1316	19207	 	YZ	50605297
57082	190	1998-06-10	VYDAJ	PREVOD NA UCET	1316	25289	 	YZ	50605297
57083	190	1998-07-10	VYDAJ	PREVOD NA UCET	1316	24660	 	YZ	50605297
57084	190	1998-08-10	VYDAJ	PREVOD NA UCET	1316	25989	 	YZ	50605297
57085	190	1998-09-10	VYDAJ	PREVOD NA UCET	1316	43329	 	YZ	50605297
57086	190	1998-10-10	VYDAJ	PREVOD NA UCET	1316	47747	 	YZ	50605297
57087	190	1998-11-10	VYDAJ	PREVOD NA UCET	1316	51048	 	YZ	50605297
57088	190	1998-12-10	VYDAJ	PREVOD NA UCET	1316	49579	 	YZ	50605297
57091	190	1997-06-02	VYDAJ	VYBER	5500	27816	\N	\N	\N
57092	190	1998-06-14	VYDAJ	VYBER	17600	30390	\N	\N	\N
57094	190	1996-01-04	VYDAJ	VYBER	5700	26502	\N	\N	\N
57095	190	1997-01-26	VYDAJ	VYBER	7300	22501	\N	\N	\N
57096	190	1998-01-05	VYDAJ	VYBER	8300	17384	\N	\N	\N
57097	190	1995-12-10	VYDAJ	VYBER	1900	25564	\N	\N	\N
57098	190	1996-12-10	VYDAJ	VYBER	2200	25935	\N	\N	\N
57099	190	1997-12-01	VYDAJ	VYBER	800	31452	\N	\N	\N
57100	190	1998-12-11	VYDAJ	VYBER	2300	47279	\N	\N	\N
57108	190	1996-01-08	VYDAJ	VYBER	2800	20760	\N	\N	\N
57109	190	1996-01-05	VYDAJ	VYBER	2900	23602	\N	\N	\N
57110	190	1996-01-16	VYDAJ	VYBER	1300	27948	\N	\N	\N
57111	190	1996-01-02	VYDAJ	VYBER	2900	32202	\N	\N	\N
57112	190	1996-01-17	VYDAJ	VYBER	600	27348	\N	\N	\N
57113	190	1997-01-10	VYDAJ	VYBER	2400	27694	\N	\N	\N
57114	190	1997-01-26	VYDAJ	VYBER	2000	20501	\N	\N	\N
57115	190	1997-01-04	VYDAJ	VYBER	2600	34655	\N	\N	\N
57116	190	1997-01-17	VYDAJ	VYBER	900	39201	\N	\N	\N
57117	190	1997-01-23	VYDAJ	VYBER	800	29801	\N	\N	\N
57118	190	1997-01-19	VYDAJ	VYBER	1600	37601	\N	\N	\N
57119	190	1998-01-02	VYDAJ	VYBER	1700	25684	\N	\N	\N
57120	190	1998-01-21	VYDAJ	VYBER	1300	21330	\N	\N	\N
57122	190	1998-01-28	VYDAJ	VYBER	1900	19430	\N	\N	\N
57124	190	1998-01-01	VYDAJ	VYBER	2200	27384	\N	\N	\N
57125	190	1995-10-04	VYDAJ	VYBER	1400	33174	\N	\N	\N
57130	190	1995-12-12	VYDAJ	VYBER	4100	18231	\N	\N	\N
57131	190	1996-09-18	VYDAJ	VYBER	1600	44280	\N	\N	\N
57132	190	1996-05-23	VYDAJ	VYBER	900	40498	\N	\N	\N
57133	190	1996-05-02	VYDAJ	VYBER	2100	32952	\N	\N	\N
57134	190	1996-10-24	VYDAJ	VYBER	1700	36671	\N	\N	\N
57135	190	1996-02-03	VYDAJ	VYBER	2800	27041	\N	\N	\N
57136	190	1996-10-28	VYDAJ	VYBER	500	36171	\N	\N	\N
57137	190	1996-11-20	VYDAJ	VYBER	3900	40863	\N	\N	\N
57138	190	1997-01-12	VYDAJ	VYBER	600	22545	\N	\N	\N
57139	190	1997-12-12	VYDAJ	VYBER	2000	16842	\N	\N	\N
57140	190	1997-12-12	VYDAJ	VYBER	3500	18842	\N	\N	\N
57141	190	1998-03-28	VYDAJ	VYBER	2600	29766	\N	\N	\N
57142	190	1998-04-17	VYDAJ	VYBER	1200	28216	\N	\N	\N
57143	190	1998-11-01	VYDAJ	VYBER	3700	56925	\N	\N	\N
57144	190	1998-08-29	VYDAJ	VYBER	1100	49045	\N	\N	\N
57145	190	1998-09-25	VYDAJ	VYBER	2600	56652	\N	\N	\N
57153	190	1995-07-31	VYDAJ	VYBER	15	43748	SLUZBY	\N	\N
57154	190	1995-08-31	VYDAJ	VYBER	15	39071	SLUZBY	\N	\N
57155	190	1995-09-30	VYDAJ	VYBER	15	34574	SLUZBY	\N	\N
57156	190	1995-10-31	VYDAJ	VYBER	15	34656	SLUZBY	\N	\N
57157	190	1995-11-30	VYDAJ	VYBER	15	33341	SLUZBY	\N	\N
57158	190	1995-12-31	VYDAJ	VYBER	15	35102	SLUZBY	\N	\N
57159	190	1996-01-31	VYDAJ	VYBER	15	29841	SLUZBY	\N	\N
57160	190	1996-02-29	VYDAJ	VYBER	15	30997	SLUZBY	\N	\N
57161	190	1996-03-31	VYDAJ	VYBER	15	34469	SLUZBY	\N	\N
57162	190	1996-04-30	VYDAJ	VYBER	15	35052	SLUZBY	\N	\N
57163	190	1996-05-31	VYDAJ	VYBER	15	34230	SLUZBY	\N	\N
57164	190	1996-06-30	VYDAJ	VYBER	15	28092	SLUZBY	\N	\N
57165	190	1996-07-31	VYDAJ	VYBER	15	34052	SLUZBY	\N	\N
57166	190	1996-08-31	VYDAJ	VYBER	15	37434	SLUZBY	\N	\N
57167	190	1996-09-30	VYDAJ	VYBER	15	37925	SLUZBY	\N	\N
57168	190	1996-10-31	VYDAJ	VYBER	15	36317	SLUZBY	\N	\N
57169	190	1996-11-30	VYDAJ	VYBER	15	32696	SLUZBY	\N	\N
57170	190	1996-12-31	VYDAJ	VYBER	15	37255	SLUZBY	\N	\N
57171	190	1997-01-31	VYDAJ	VYBER	15	20617	SLUZBY	\N	\N
57172	190	1997-02-28	VYDAJ	VYBER	15	27945	SLUZBY	\N	\N
57173	190	1997-03-31	VYDAJ	VYBER	15	27995	SLUZBY	\N	\N
57174	190	1997-04-30	VYDAJ	VYBER	15	31249	SLUZBY	\N	\N
57175	190	1997-05-31	VYDAJ	VYBER	15	33316	SLUZBY	\N	\N
57176	190	1997-06-30	VYDAJ	VYBER	15	37367	SLUZBY	\N	\N
57177	190	1997-07-31	VYDAJ	VYBER	15	35652	SLUZBY	\N	\N
57178	190	1997-08-31	VYDAJ	VYBER	15	37633	SLUZBY	\N	\N
57179	190	1997-09-30	VYDAJ	VYBER	15	36217	SLUZBY	\N	\N
57180	190	1997-10-31	VYDAJ	VYBER	15	32690	SLUZBY	\N	\N
57181	190	1997-11-30	VYDAJ	VYBER	15	32252	SLUZBY	\N	\N
57182	190	1997-12-31	VYDAJ	VYBER	15	29584	SLUZBY	\N	\N
57183	190	1998-01-31	VYDAJ	VYBER	15	19496	SLUZBY	\N	\N
57184	190	1998-02-28	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
57185	190	1998-03-31	VYDAJ	VYBER	15	29870	SLUZBY	\N	\N
57186	190	1998-04-30	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
57187	190	1998-05-31	VYDAJ	VYBER	15	31166	SLUZBY	\N	\N
57188	190	1998-06-30	VYDAJ	VYBER	15	30537	SLUZBY	\N	\N
57189	190	1998-07-31	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
57190	190	1998-08-31	VYDAJ	VYBER	15	49206	SLUZBY	\N	\N
57191	190	1998-09-30	VYDAJ	VYBER	15	56857	SLUZBY	\N	\N
57192	190	1998-10-31	VYDAJ	VYBER	15	60625	SLUZBY	\N	\N
57193	190	1998-11-30	VYDAJ	VYBER	15	58689	SLUZBY	\N	\N
57194	190	1995-04-01	PRIJEM	VKLAD	2200	20300	\N	\N	\N
57195	190	1995-05-01	VYDAJ	VYBER	6700	31278	\N	\N	\N
57196	190	1995-05-31	VYDAJ	VYBER	11000	38017	\N	\N	\N
57197	190	1995-06-30	VYDAJ	VYBER	17200	47310	\N	\N	\N
57198	190	1995-07-30	VYDAJ	VYBER	21300	43566	\N	\N	\N
57199	190	1995-08-29	VYDAJ	VYBER	13300	38894	\N	\N	\N
57200	190	1995-09-28	VYDAJ	VYBER	13100	34417	\N	\N	\N
57201	190	1995-10-28	VYDAJ	VYBER	7100	34520	\N	\N	\N
57202	190	1995-11-27	VYDAJ	VYBER	9900	33202	\N	\N	\N
57203	190	1995-12-27	VYDAJ	VYBER	9600	34965	\N	\N	\N
57204	190	1996-01-26	PRIJEM	VKLAD	2400	29748	\N	\N	\N
57205	190	1996-02-25	VYDAJ	VYBER	4600	30887	\N	\N	\N
57206	190	1996-03-26	VYDAJ	VYBER	5100	34343	\N	\N	\N
57207	190	1996-04-25	VYDAJ	VYBER	8000	34915	\N	\N	\N
57208	190	1996-05-25	VYDAJ	VYBER	6400	34098	\N	\N	\N
57209	190	1996-07-24	VYDAJ	VYBER	2600	33938	\N	\N	\N
57210	190	1996-08-23	VYDAJ	VYBER	5200	37298	\N	\N	\N
57211	190	1996-09-22	VYDAJ	VYBER	6500	37780	\N	\N	\N
57212	190	1996-10-22	VYDAJ	VYBER	8000	38371	\N	\N	\N
57213	190	1996-11-21	VYDAJ	VYBER	8300	32563	\N	\N	\N
57214	190	1996-12-21	VYDAJ	VYBER	10600	37120	\N	\N	\N
57215	190	1997-01-20	VYDAJ	VYBER	7000	30601	\N	\N	\N
57216	190	1997-02-19	VYDAJ	VYBER	1200	27863	\N	\N	\N
57217	190	1997-03-21	VYDAJ	VYBER	8500	27891	\N	\N	\N
57218	190	1997-04-20	VYDAJ	VYBER	5300	31141	\N	\N	\N
57219	190	1997-05-20	VYDAJ	VYBER	6500	33195	\N	\N	\N
57220	190	1997-06-19	VYDAJ	VYBER	7800	37240	\N	\N	\N
57221	190	1997-07-19	VYDAJ	VYBER	10300	35513	\N	\N	\N
57222	190	1997-08-18	VYDAJ	VYBER	6600	37498	\N	\N	\N
57223	190	1997-09-17	VYDAJ	VYBER	10000	36079	\N	\N	\N
57224	190	1997-10-17	VYDAJ	VYBER	12100	32563	\N	\N	\N
57225	190	1997-11-16	VYDAJ	VYBER	9000	32136	\N	\N	\N
57226	190	1997-12-16	VYDAJ	VYBER	13700	29476	\N	\N	\N
57227	190	1998-01-15	VYDAJ	VYBER	3200	22630	\N	\N	\N
57228	190	1998-02-14	VYDAJ	VYBER	700	27242	\N	\N	\N
57229	190	1998-03-16	VYDAJ	VYBER	3400	32366	\N	\N	\N
57230	190	1998-04-15	VYDAJ	VYBER	8900	29416	\N	\N	\N
57231	190	1998-05-15	VYDAJ	VYBER	5700	31063	\N	\N	\N
57232	190	1998-06-14	VYDAJ	VYBER	400	47990	\N	\N	\N
57233	190	1998-07-14	VYDAJ	VYBER	4000	34983	\N	\N	\N
57234	190	1998-08-13	PRIJEM	VKLAD	6600	32589	\N	\N	\N
57235	190	1998-09-12	PRIJEM	VKLAD	1600	41696	\N	\N	\N
57236	190	1998-10-12	VYDAJ	VYBER	4900	42847	\N	\N	\N
57237	190	1998-11-11	VYDAJ	VYBER	6900	40915	\N	\N	\N
57238	190	1998-12-11	VYDAJ	VYBER	4400	42879	\N	\N	\N
57285	191	1997-03-17	PRIJEM	VKLAD	600	600	\N	\N	\N
57289	191	1997-04-10	PRIJEM	PREVOD Z UCTU	44209	44809	\N	MN	56899821
57290	191	1997-05-10	PRIJEM	PREVOD Z UCTU	44209	75583	\N	MN	56899821
57291	191	1997-06-10	PRIJEM	PREVOD Z UCTU	66314	112960	\N	MN	56899821
57292	191	1997-07-10	PRIJEM	PREVOD Z UCTU	44209	98125	\N	MN	56899821
57293	191	1997-08-10	PRIJEM	PREVOD Z UCTU	44209	103771	\N	MN	56899821
57294	191	1997-09-10	PRIJEM	PREVOD Z UCTU	44209	69688	\N	MN	56899821
57295	191	1997-10-10	PRIJEM	PREVOD Z UCTU	44209	84805	\N	MN	56899821
57296	191	1997-11-10	PRIJEM	PREVOD Z UCTU	44209	74234	\N	MN	56899821
57297	191	1997-12-10	PRIJEM	PREVOD Z UCTU	66314	95235	\N	MN	56899821
57298	191	1998-01-10	PRIJEM	PREVOD Z UCTU	44209	74881	\N	MN	56899821
57299	191	1998-02-10	PRIJEM	PREVOD Z UCTU	44209	84464	\N	MN	56899821
57300	191	1998-03-10	PRIJEM	PREVOD Z UCTU	44209	81150	\N	MN	56899821
57301	191	1998-04-10	PRIJEM	PREVOD Z UCTU	44209	93357	\N	MN	56899821
57302	191	1998-05-10	PRIJEM	PREVOD Z UCTU	44209	94865	\N	MN	56899821
57303	191	1998-06-10	PRIJEM	PREVOD Z UCTU	66314	104998	\N	MN	56899821
57304	191	1998-07-10	PRIJEM	PREVOD Z UCTU	44209	81511	\N	MN	56899821
57305	191	1998-08-10	PRIJEM	PREVOD Z UCTU	44209	73885	\N	MN	56899821
57306	191	1998-09-10	PRIJEM	PREVOD Z UCTU	44209	86150	\N	MN	56899821
57307	191	1998-10-10	PRIJEM	PREVOD Z UCTU	44209	92596	\N	MN	56899821
57308	191	1998-11-10	PRIJEM	PREVOD Z UCTU	44209	100009	\N	MN	56899821
57309	191	1998-12-10	PRIJEM	PREVOD Z UCTU	66314	126097	\N	MN	56899821
57334	191	1997-08-17	VYBER	VYBER	4375	58596	\N	\N	\N
57336	191	1997-11-03	VYBER	VYBER	24670	30025	\N	\N	\N
57338	191	1997-11-10	VYBER	VYBER	22905	51329	\N	\N	\N
57339	191	1997-09-02	VYBER	VYBER	18629	31352	\N	\N	\N
57340	191	1997-11-19	VYBER	VYBER	5663	28766	\N	\N	\N
57342	191	1997-09-07	VYBER	VYBER	5873	25479	\N	\N	\N
57344	191	1997-08-31	VYBER	VYBER	5545	49996	\N	\N	\N
57345	191	1998-01-05	VYBER	VYBER	23344	30672	\N	\N	\N
57346	191	1998-09-12	VYBER	VYBER	6864	79286	\N	\N	\N
57347	191	1998-06-14	VYBER	VYBER	17149	39849	\N	\N	\N
57348	191	1998-10-14	VYBER	VYBER	7632	84964	\N	\N	\N
57349	191	1998-05-24	VYBER	VYBER	3772	48693	\N	\N	\N
57350	191	1998-08-07	VYBER	VYBER	3601	41876	\N	\N	\N
57354	191	1998-01-10	VYDAJ	VYBER	8700	66181	\N	\N	\N
57355	191	1997-12-11	VYDAJ	VYBER	3900	91335	\N	\N	\N
57356	191	1998-12-23	VYDAJ	VYBER	7800	92797	\N	\N	\N
57357	191	1997-09-13	VYDAJ	VYBER	12300	57388	\N	\N	\N
57358	191	1997-08-29	VYDAJ	VYBER	3300	55296	\N	\N	\N
57359	191	1998-11-22	VYDAJ	VYBER	6900	93109	\N	\N	\N
57360	191	1998-09-04	VYDAJ	VYBER	11700	62441	\N	\N	\N
57361	191	1998-05-27	VYDAJ	VYBER	10200	38493	\N	\N	\N
57362	191	1998-06-15	VYDAJ	VYBER	2700	37149	\N	\N	\N
57363	191	1998-04-10	VYDAJ	VYBER	1500	91857	\N	\N	\N
57364	191	1998-03-05	VYDAJ	VYBER	12000	36941	\N	\N	\N
57373	191	1997-08-31	VYDAJ	VYBER	15	49981	SLUZBY	\N	\N
57374	191	1997-09-30	VYDAJ	VYBER	15	40596	SLUZBY	\N	\N
57375	191	1997-10-31	VYDAJ	VYBER	15	54695	SLUZBY	\N	\N
57376	191	1997-11-30	VYDAJ	VYBER	15	28921	SLUZBY	\N	\N
57377	191	1997-12-31	VYDAJ	VYBER	15	54016	SLUZBY	\N	\N
57378	191	1998-01-31	VYDAJ	VYBER	15	40255	SLUZBY	\N	\N
57379	191	1998-02-28	VYDAJ	VYBER	15	48941	SLUZBY	\N	\N
57380	191	1998-03-31	VYDAJ	VYBER	15	49148	SLUZBY	\N	\N
57381	191	1998-04-30	VYDAJ	VYBER	15	50656	SLUZBY	\N	\N
57382	191	1998-05-31	VYDAJ	VYBER	15	38684	SLUZBY	\N	\N
57383	191	1998-06-30	VYDAJ	VYBER	15	37302	SLUZBY	\N	\N
57384	191	1998-07-31	VYDAJ	VYBER	15	45477	SLUZBY	\N	\N
57385	191	1998-08-31	VYDAJ	VYBER	15	74141	SLUZBY	\N	\N
57386	191	1998-09-30	VYDAJ	VYBER	15	79587	SLUZBY	\N	\N
57387	191	1998-10-31	VYDAJ	VYBER	15	85300	SLUZBY	\N	\N
57388	191	1998-11-30	VYDAJ	VYBER	15	93483	SLUZBY	\N	\N
57389	191	1997-04-16	VYDAJ	VYBER	13500	31309	\N	\N	\N
57390	191	1997-05-16	VYDAJ	VYBER	29100	46483	\N	\N	\N
57391	191	1997-06-10	VYDAJ	VYBER	29800	83160	\N	\N	\N
57392	191	1997-06-15	VYDAJ	VYBER	29500	53660	\N	\N	\N
57393	191	1997-07-15	VYDAJ	VYBER	38800	59325	\N	\N	\N
57394	191	1997-08-14	VYDAJ	VYBER	40800	62971	\N	\N	\N
57395	191	1997-09-13	VYDAJ	VYBER	17000	40388	\N	\N	\N
57396	191	1997-10-13	VYDAJ	VYBER	30300	54505	\N	\N	\N
57397	191	1997-11-12	VYDAJ	VYBER	16900	34429	\N	\N	\N
57398	191	1997-12-12	VYDAJ	VYBER	37500	53835	\N	\N	\N
57399	191	1998-01-11	VYDAJ	VYBER	26100	40081	\N	\N	\N
57400	191	1998-02-10	VYDAJ	VYBER	35700	48764	\N	\N	\N
57401	191	1998-03-12	VYDAJ	VYBER	32200	48950	\N	\N	\N
57402	191	1998-04-11	VYDAJ	VYBER	41400	50457	\N	\N	\N
57403	191	1998-05-11	VYDAJ	VYBER	42400	52465	\N	\N	\N
57404	191	1998-06-10	VYDAJ	VYBER	48000	56998	\N	\N	\N
57405	191	1998-07-10	VYDAJ	VYBER	36300	45211	\N	\N	\N
57406	191	1998-08-09	VYDAJ	VYBER	12200	29676	\N	\N	\N
57407	191	1998-09-08	VYDAJ	VYBER	20500	41941	\N	\N	\N
57408	191	1998-10-08	VYDAJ	VYBER	31200	48387	\N	\N	\N
57409	191	1998-11-07	VYDAJ	VYBER	29500	55800	\N	\N	\N
57410	191	1998-12-07	VYDAJ	VYBER	33700	59783	\N	\N	\N
57411	191	1998-12-10	VYDAJ	VYBER	25500	100597	\N	\N	\N
57433	192	1993-01-08	PRIJEM	VKLAD	300	300	\N	\N	\N
57435	192	1993-02-06	PRIJEM	PREVOD Z UCTU	5859	6159	DUCHOD	GH	15384018
57436	192	1993-03-06	PRIJEM	PREVOD Z UCTU	5859	12018	DUCHOD	GH	15384018
57437	192	1993-04-06	PRIJEM	PREVOD Z UCTU	5859	17877	DUCHOD	GH	15384018
57438	192	1993-05-06	PRIJEM	PREVOD Z UCTU	5859	23736	DUCHOD	GH	15384018
57439	192	1993-06-06	PRIJEM	PREVOD Z UCTU	5859	29595	DUCHOD	GH	15384018
57440	192	1993-07-06	PRIJEM	PREVOD Z UCTU	5859	23619	DUCHOD	GH	15384018
57441	192	1993-08-06	PRIJEM	PREVOD Z UCTU	5859	24959	DUCHOD	GH	15384018
57442	192	1993-09-06	PRIJEM	PREVOD Z UCTU	5859	27307	DUCHOD	GH	15384018
57443	192	1993-10-06	PRIJEM	PREVOD Z UCTU	5859	28966	DUCHOD	GH	15384018
57444	192	1993-11-06	PRIJEM	PREVOD Z UCTU	5859	31333	DUCHOD	GH	15384018
57445	192	1993-12-06	PRIJEM	PREVOD Z UCTU	5859	32007	DUCHOD	GH	15384018
57446	192	1994-01-06	PRIJEM	PREVOD Z UCTU	5859	31607	DUCHOD	GH	15384018
57447	192	1994-02-06	PRIJEM	PREVOD Z UCTU	5859	26527	DUCHOD	GH	15384018
57448	192	1994-03-06	PRIJEM	PREVOD Z UCTU	5859	28881	DUCHOD	GH	15384018
57449	192	1994-04-06	PRIJEM	PREVOD Z UCTU	5859	30446	DUCHOD	GH	15384018
57450	192	1994-05-06	PRIJEM	PREVOD Z UCTU	5859	30017	DUCHOD	GH	15384018
57451	192	1994-06-06	PRIJEM	PREVOD Z UCTU	5859	31890	DUCHOD	GH	15384018
57452	192	1994-07-06	PRIJEM	PREVOD Z UCTU	5859	20774	DUCHOD	GH	15384018
57453	192	1994-08-06	PRIJEM	PREVOD Z UCTU	5859	22704	DUCHOD	GH	15384018
57454	192	1994-09-06	PRIJEM	PREVOD Z UCTU	5859	25043	DUCHOD	GH	15384018
57455	192	1994-10-06	PRIJEM	PREVOD Z UCTU	5859	25231	DUCHOD	GH	15384018
57456	192	1994-11-06	PRIJEM	PREVOD Z UCTU	5859	27583	DUCHOD	GH	15384018
57457	192	1994-12-06	PRIJEM	PREVOD Z UCTU	5859	27520	DUCHOD	GH	15384018
57458	192	1995-01-06	PRIJEM	PREVOD Z UCTU	5859	23912	DUCHOD	GH	15384018
57459	192	1995-02-06	PRIJEM	PREVOD Z UCTU	5859	20812	DUCHOD	GH	15384018
57460	192	1995-03-06	PRIJEM	PREVOD Z UCTU	5859	19616	DUCHOD	GH	15384018
57461	192	1995-04-06	PRIJEM	PREVOD Z UCTU	5859	21941	DUCHOD	GH	15384018
57462	192	1995-05-06	PRIJEM	PREVOD Z UCTU	5859	22674	DUCHOD	GH	15384018
57463	192	1995-06-06	PRIJEM	PREVOD Z UCTU	5859	25012	DUCHOD	GH	15384018
57464	192	1995-07-06	PRIJEM	PREVOD Z UCTU	5859	27360	DUCHOD	GH	15384018
57465	192	1995-08-06	PRIJEM	PREVOD Z UCTU	5859	28434	DUCHOD	GH	15384018
57466	192	1995-09-06	PRIJEM	PREVOD Z UCTU	5859	30796	DUCHOD	GH	15384018
57467	192	1995-10-06	PRIJEM	PREVOD Z UCTU	5859	33169	DUCHOD	GH	15384018
57468	192	1995-11-06	PRIJEM	PREVOD Z UCTU	5859	35550	DUCHOD	GH	15384018
57469	192	1995-12-06	PRIJEM	PREVOD Z UCTU	5859	37942	DUCHOD	GH	15384018
57470	192	1996-01-06	PRIJEM	PREVOD Z UCTU	5859	39144	DUCHOD	GH	15384018
57471	192	1996-02-06	PRIJEM	PREVOD Z UCTU	5859	34500	DUCHOD	GH	15384018
57472	192	1996-03-06	PRIJEM	PREVOD Z UCTU	5859	36887	DUCHOD	GH	15384018
57473	192	1996-04-06	PRIJEM	PREVOD Z UCTU	5859	39284	DUCHOD	GH	15384018
57474	192	1996-05-06	PRIJEM	PREVOD Z UCTU	5859	32956	DUCHOD	GH	15384018
57475	192	1996-06-06	PRIJEM	PREVOD Z UCTU	5859	35337	DUCHOD	GH	15384018
57476	192	1996-07-06	PRIJEM	PREVOD Z UCTU	5859	30219	DUCHOD	GH	15384018
57477	192	1996-08-06	PRIJEM	PREVOD Z UCTU	5859	26577	DUCHOD	GH	15384018
57478	192	1996-09-06	PRIJEM	PREVOD Z UCTU	5859	28931	DUCHOD	GH	15384018
57479	192	1996-10-06	PRIJEM	PREVOD Z UCTU	5859	31295	DUCHOD	GH	15384018
57480	192	1996-11-06	PRIJEM	PREVOD Z UCTU	5859	33668	DUCHOD	GH	15384018
57481	192	1996-12-06	PRIJEM	PREVOD Z UCTU	5859	36051	DUCHOD	GH	15384018
57482	192	1997-01-06	PRIJEM	PREVOD Z UCTU	5859	27765	DUCHOD	GH	15384018
57483	192	1997-02-06	PRIJEM	PREVOD Z UCTU	5859	22277	DUCHOD	GH	15384018
57484	192	1997-03-06	PRIJEM	PREVOD Z UCTU	5859	24613	DUCHOD	GH	15384018
57485	192	1997-04-06	PRIJEM	PREVOD Z UCTU	5859	26958	DUCHOD	GH	15384018
57486	192	1997-05-06	PRIJEM	PREVOD Z UCTU	5859	25543	DUCHOD	GH	15384018
57487	192	1997-06-06	PRIJEM	PREVOD Z UCTU	5859	27892	DUCHOD	GH	15384018
57488	192	1997-07-06	PRIJEM	PREVOD Z UCTU	5859	27924	DUCHOD	GH	15384018
57489	192	1997-08-06	PRIJEM	PREVOD Z UCTU	5859	27482	DUCHOD	GH	15384018
57490	192	1997-09-06	PRIJEM	PREVOD Z UCTU	5859	29839	DUCHOD	GH	15384018
57491	192	1997-10-06	PRIJEM	PREVOD Z UCTU	5859	32205	DUCHOD	GH	15384018
57492	192	1997-11-06	PRIJEM	PREVOD Z UCTU	5859	34582	DUCHOD	GH	15384018
57493	192	1997-12-06	PRIJEM	PREVOD Z UCTU	5859	36468	DUCHOD	GH	15384018
57494	192	1998-01-06	PRIJEM	PREVOD Z UCTU	5859	38303	DUCHOD	GH	15384018
57495	192	1998-02-06	PRIJEM	PREVOD Z UCTU	5859	34213	DUCHOD	GH	15384018
57496	192	1998-03-06	PRIJEM	PREVOD Z UCTU	5859	32677	DUCHOD	GH	15384018
57497	192	1998-04-06	PRIJEM	PREVOD Z UCTU	5859	35059	DUCHOD	GH	15384018
57498	192	1998-05-06	PRIJEM	PREVOD Z UCTU	5859	37146	DUCHOD	GH	15384018
57499	192	1998-06-06	PRIJEM	PREVOD Z UCTU	5859	38540	DUCHOD	GH	15384018
57500	192	1998-07-06	PRIJEM	PREVOD Z UCTU	5859	37253	DUCHOD	GH	15384018
57501	192	1998-08-06	PRIJEM	PREVOD Z UCTU	5859	32343	DUCHOD	GH	15384018
57502	192	1998-09-06	PRIJEM	PREVOD Z UCTU	5859	31351	DUCHOD	GH	15384018
57503	192	1998-10-06	PRIJEM	PREVOD Z UCTU	5859	33121	DUCHOD	GH	15384018
57504	192	1998-11-06	PRIJEM	PREVOD Z UCTU	5859	35500	DUCHOD	GH	15384018
57505	192	1998-12-06	PRIJEM	PREVOD Z UCTU	5859	33960	DUCHOD	GH	15384018
57511	192	1993-06-08	VYDAJ	PREVOD NA UCET	3583	17712	SIPO	IJ	70552640
57512	192	1993-07-08	VYDAJ	PREVOD NA UCET	3583	19036	SIPO	IJ	70552640
57513	192	1993-08-08	VYDAJ	PREVOD NA UCET	3583	21376	SIPO	IJ	70552640
57514	192	1993-09-08	VYDAJ	PREVOD NA UCET	3583	23724	SIPO	IJ	70552640
57515	192	1993-10-08	VYDAJ	PREVOD NA UCET	3583	25383	SIPO	IJ	70552640
57516	192	1993-11-08	VYDAJ	PREVOD NA UCET	3583	27750	SIPO	IJ	70552640
57517	192	1993-12-08	VYDAJ	PREVOD NA UCET	3583	28424	SIPO	IJ	70552640
57518	192	1994-01-08	VYDAJ	PREVOD NA UCET	3583	24424	SIPO	IJ	70552640
57519	192	1994-02-08	VYDAJ	PREVOD NA UCET	3583	22944	SIPO	IJ	70552640
57520	192	1994-03-08	VYDAJ	PREVOD NA UCET	3583	25298	SIPO	IJ	70552640
57521	192	1994-04-08	VYDAJ	PREVOD NA UCET	3583	26863	SIPO	IJ	70552640
57522	192	1994-05-08	VYDAJ	PREVOD NA UCET	3583	26434	SIPO	IJ	70552640
57523	192	1994-06-08	VYDAJ	PREVOD NA UCET	3583	14857	SIPO	IJ	70552640
57524	192	1994-07-08	VYDAJ	PREVOD NA UCET	3583	17191	SIPO	IJ	70552640
57525	192	1994-08-08	VYDAJ	PREVOD NA UCET	3583	19121	SIPO	IJ	70552640
57526	192	1994-09-08	VYDAJ	PREVOD NA UCET	3583	21460	SIPO	IJ	70552640
57527	192	1994-10-08	VYDAJ	PREVOD NA UCET	3583	21648	SIPO	IJ	70552640
57528	192	1994-11-08	VYDAJ	PREVOD NA UCET	3583	24000	SIPO	IJ	70552640
57529	192	1994-12-08	VYDAJ	PREVOD NA UCET	3583	23937	SIPO	IJ	70552640
57530	192	1995-01-08	VYDAJ	PREVOD NA UCET	3583	20329	SIPO	IJ	70552640
57531	192	1995-02-08	VYDAJ	PREVOD NA UCET	3583	17229	SIPO	IJ	70552640
57532	192	1995-03-08	VYDAJ	PREVOD NA UCET	3583	16033	SIPO	IJ	70552640
57533	192	1995-04-08	VYDAJ	PREVOD NA UCET	3583	18358	SIPO	IJ	70552640
57534	192	1995-05-08	VYDAJ	PREVOD NA UCET	3583	19091	SIPO	IJ	70552640
57535	192	1995-06-08	VYDAJ	PREVOD NA UCET	3583	21429	SIPO	IJ	70552640
57536	192	1995-07-08	VYDAJ	PREVOD NA UCET	3583	23777	SIPO	IJ	70552640
57537	192	1995-08-08	VYDAJ	PREVOD NA UCET	3583	24851	SIPO	IJ	70552640
57538	192	1995-09-08	VYDAJ	PREVOD NA UCET	3583	27213	SIPO	IJ	70552640
57539	192	1995-10-08	VYDAJ	PREVOD NA UCET	3583	29586	SIPO	IJ	70552640
57540	192	1995-11-08	VYDAJ	PREVOD NA UCET	3583	31967	SIPO	IJ	70552640
57541	192	1995-12-08	VYDAJ	PREVOD NA UCET	3583	34109	SIPO	IJ	70552640
57542	192	1996-01-08	VYDAJ	PREVOD NA UCET	3583	33321	SIPO	IJ	70552640
57543	192	1996-02-08	VYDAJ	PREVOD NA UCET	3583	30917	SIPO	IJ	70552640
57544	192	1996-03-08	VYDAJ	PREVOD NA UCET	3583	33304	SIPO	IJ	70552640
57545	192	1996-04-08	VYDAJ	PREVOD NA UCET	3583	35701	SIPO	IJ	70552640
57546	192	1996-05-08	VYDAJ	PREVOD NA UCET	3583	29373	SIPO	IJ	70552640
57547	192	1996-06-08	VYDAJ	PREVOD NA UCET	3583	31754	SIPO	IJ	70552640
57548	192	1996-07-08	VYDAJ	PREVOD NA UCET	3583	26636	SIPO	IJ	70552640
57549	192	1996-08-08	VYDAJ	PREVOD NA UCET	3583	22994	SIPO	IJ	70552640
57550	192	1996-09-08	VYDAJ	PREVOD NA UCET	3583	25348	SIPO	IJ	70552640
57551	192	1996-10-08	VYDAJ	PREVOD NA UCET	3583	27712	SIPO	IJ	70552640
57552	192	1996-11-08	VYDAJ	PREVOD NA UCET	3583	30085	SIPO	IJ	70552640
57553	192	1996-12-08	VYDAJ	PREVOD NA UCET	3583	32468	SIPO	IJ	70552640
57554	192	1997-01-08	VYDAJ	PREVOD NA UCET	3583	22022	SIPO	IJ	70552640
57555	192	1997-02-08	VYDAJ	PREVOD NA UCET	3583	18694	SIPO	IJ	70552640
57556	192	1997-03-08	VYDAJ	PREVOD NA UCET	3583	21030	SIPO	IJ	70552640
57557	192	1997-04-08	VYDAJ	PREVOD NA UCET	3583	23375	SIPO	IJ	70552640
57558	192	1997-05-08	VYDAJ	PREVOD NA UCET	3583	21960	SIPO	IJ	70552640
57559	192	1997-06-08	VYDAJ	PREVOD NA UCET	3583	24309	SIPO	IJ	70552640
57560	192	1997-07-08	VYDAJ	PREVOD NA UCET	3583	24341	SIPO	IJ	70552640
57561	192	1997-08-08	VYDAJ	PREVOD NA UCET	3583	23899	SIPO	IJ	70552640
57562	192	1997-09-08	VYDAJ	PREVOD NA UCET	3583	26256	SIPO	IJ	70552640
57563	192	1997-10-08	VYDAJ	PREVOD NA UCET	3583	28622	SIPO	IJ	70552640
57564	192	1997-11-08	VYDAJ	PREVOD NA UCET	3583	30999	SIPO	IJ	70552640
57565	192	1997-12-08	VYDAJ	PREVOD NA UCET	3583	32885	SIPO	IJ	70552640
57566	192	1998-01-08	VYDAJ	PREVOD NA UCET	3583	33680	SIPO	IJ	70552640
57567	192	1998-02-08	VYDAJ	PREVOD NA UCET	3583	30630	SIPO	IJ	70552640
57568	192	1998-03-08	VYDAJ	PREVOD NA UCET	3583	29094	SIPO	IJ	70552640
57569	192	1998-04-08	VYDAJ	PREVOD NA UCET	3583	31476	SIPO	IJ	70552640
57570	192	1998-05-08	VYDAJ	PREVOD NA UCET	3583	33563	SIPO	IJ	70552640
57571	192	1998-06-08	VYDAJ	PREVOD NA UCET	3583	34957	SIPO	IJ	70552640
57572	192	1998-07-08	VYDAJ	PREVOD NA UCET	3583	33670	SIPO	IJ	70552640
57573	192	1998-08-08	VYDAJ	PREVOD NA UCET	3583	25400	SIPO	IJ	70552640
57574	192	1998-09-08	VYDAJ	PREVOD NA UCET	3583	27768	SIPO	IJ	70552640
57575	192	1998-10-08	VYDAJ	PREVOD NA UCET	3583	29538	SIPO	IJ	70552640
57576	192	1998-11-08	VYDAJ	PREVOD NA UCET	3583	31917	SIPO	IJ	70552640
57577	192	1998-12-08	VYDAJ	PREVOD NA UCET	3583	30377	SIPO	IJ	70552640
57578	192	1993-06-06	VYDAJ	VYBER	8300	21295	\N	\N	\N
57579	192	1994-06-07	VYDAJ	VYBER	13450	18440	\N	\N	\N
57581	192	1996-06-23	VYDAJ	VYBER	7500	24254	\N	\N	\N
57584	192	1993-12-26	VYDAJ	VYBER	600	27824	\N	\N	\N
57585	192	1994-12-18	VYDAJ	VYBER	600	21497	\N	\N	\N
57586	192	1995-12-08	VYDAJ	VYBER	250	37692	\N	\N	\N
57587	192	1996-12-19	VYDAJ	VYBER	1150	27718	\N	\N	\N
57588	192	1997-12-02	VYDAJ	VYBER	500	30609	\N	\N	\N
57589	192	1998-12-17	VYDAJ	VYBER	550	29827	\N	\N	\N
57596	192	1994-01-16	VYDAJ	VYBER	1280	22504	\N	\N	\N
57597	192	1994-01-06	VYDAJ	VYBER	2240	29367	\N	\N	\N
57598	192	1994-01-06	VYDAJ	VYBER	1360	28007	\N	\N	\N
57599	192	1994-01-13	VYDAJ	VYBER	640	23784	\N	\N	\N
57600	192	1994-01-19	VYDAJ	VYBER	1920	20584	\N	\N	\N
57601	192	1994-01-05	VYDAJ	VYBER	480	25748	\N	\N	\N
57602	192	1995-01-04	VYDAJ	VYBER	640	18773	\N	\N	\N
57603	192	1995-01-05	VYDAJ	VYBER	720	18053	\N	\N	\N
57604	192	1995-01-21	VYDAJ	VYBER	480	17849	\N	\N	\N
57605	192	1995-01-19	VYDAJ	VYBER	2000	18329	\N	\N	\N
57606	192	1995-01-30	VYDAJ	VYBER	2080	14889	\N	\N	\N
57607	192	1995-01-22	VYDAJ	VYBER	880	16969	\N	\N	\N
57608	192	1996-01-17	VYDAJ	VYBER	2080	29641	\N	\N	\N
57609	192	1996-01-12	VYDAJ	VYBER	640	32681	\N	\N	\N
57610	192	1996-01-08	VYDAJ	VYBER	2240	36904	\N	\N	\N
57611	192	1996-01-15	VYDAJ	VYBER	960	31721	\N	\N	\N
57612	192	1996-01-30	VYDAJ	VYBER	1120	28521	\N	\N	\N
57613	192	1996-01-04	VYDAJ	VYBER	960	33285	\N	\N	\N
57614	192	1997-01-18	VYDAJ	VYBER	1760	20262	\N	\N	\N
57615	192	1997-01-05	VYDAJ	VYBER	2240	21906	\N	\N	\N
57616	192	1997-01-04	VYDAJ	VYBER	560	26226	\N	\N	\N
57617	192	1997-01-03	VYDAJ	VYBER	1040	26786	\N	\N	\N
57618	192	1997-01-07	VYDAJ	VYBER	2160	25605	\N	\N	\N
57619	192	1997-01-05	VYDAJ	VYBER	2080	24146	\N	\N	\N
57620	192	1998-01-30	VYDAJ	VYBER	800	28240	\N	\N	\N
57621	192	1998-01-17	VYDAJ	VYBER	1840	30160	\N	\N	\N
57622	192	1998-01-19	VYDAJ	VYBER	720	29440	\N	\N	\N
57623	192	1998-01-06	VYDAJ	VYBER	1040	37263	\N	\N	\N
57624	192	1998-01-30	VYDAJ	VYBER	400	29040	\N	\N	\N
57625	192	1998-01-11	VYDAJ	VYBER	1680	32000	\N	\N	\N
57627	192	1994-03-30	VYDAJ	VYBER	800	24498	\N	\N	\N
57628	192	1994-12-22	VYDAJ	VYBER	2160	19337	\N	\N	\N
57629	192	1994-07-18	VYDAJ	VYBER	400	16791	\N	\N	\N
57630	192	1994-10-05	VYDAJ	VYBER	2160	19372	\N	\N	\N
57631	192	1994-11-25	VYDAJ	VYBER	2320	21680	\N	\N	\N
57632	192	1994-12-18	VYDAJ	VYBER	1840	22097	\N	\N	\N
57633	192	1995-02-16	VYDAJ	VYBER	3520	13709	\N	\N	\N
57634	192	1995-04-17	VYDAJ	VYBER	1600	16758	\N	\N	\N
57636	192	1995-07-10	VYDAJ	VYBER	1280	22497	\N	\N	\N
57637	192	1996-07-21	VYDAJ	VYBER	3280	20636	\N	\N	\N
57638	192	1996-04-19	VYDAJ	VYBER	2640	29541	\N	\N	\N
57639	192	1996-12-17	VYDAJ	VYBER	3600	28868	\N	\N	\N
57640	192	1996-04-12	VYDAJ	VYBER	3520	32181	\N	\N	\N
57641	192	1996-04-29	VYDAJ	VYBER	2560	26981	\N	\N	\N
57642	192	1996-07-14	VYDAJ	VYBER	2720	23916	\N	\N	\N
57643	192	1997-07-29	VYDAJ	VYBER	2800	21541	\N	\N	\N
57644	192	1997-04-12	VYDAJ	VYBER	3760	19615	\N	\N	\N
57645	192	1997-01-31	VYDAJ	VYBER	3920	16433	\N	\N	\N
57646	192	1997-12-19	VYDAJ	VYBER	560	32325	\N	\N	\N
57647	192	1997-06-11	VYDAJ	VYBER	2320	21989	\N	\N	\N
57648	192	1998-07-28	VYDAJ	VYBER	2400	29170	\N	\N	\N
57649	192	1998-03-03	VYDAJ	VYBER	3920	26818	\N	\N	\N
57650	192	1998-06-21	VYDAJ	VYBER	1280	31277	\N	\N	\N
57651	192	1998-08-03	VYDAJ	VYBER	2800	26484	\N	\N	\N
57652	192	1998-11-14	VYDAJ	VYBER	3920	27997	\N	\N	\N
57653	192	1998-08-07	VYDAJ	VYBER	3360	28983	\N	\N	\N
57660	192	1993-06-30	VYDAJ	VYBER	15	17760	SLUZBY	\N	\N
57661	192	1993-07-31	VYDAJ	VYBER	15	19100	SLUZBY	\N	\N
57662	192	1993-08-31	VYDAJ	VYBER	15	21448	SLUZBY	\N	\N
57663	192	1993-09-30	VYDAJ	VYBER	15	23807	SLUZBY	\N	\N
57664	192	1993-10-31	VYDAJ	VYBER	15	25474	SLUZBY	\N	\N
57665	192	1993-11-30	VYDAJ	VYBER	15	27848	SLUZBY	\N	\N
57666	192	1993-12-31	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
57667	192	1994-01-31	VYDAJ	VYBER	15	20668	SLUZBY	\N	\N
57668	192	1994-02-28	VYDAJ	VYBER	15	23022	SLUZBY	\N	\N
57669	192	1994-03-31	VYDAJ	VYBER	15	24587	SLUZBY	\N	\N
57670	192	1994-04-30	VYDAJ	VYBER	15	26958	SLUZBY	\N	\N
57671	192	1994-05-31	VYDAJ	VYBER	15	26531	SLUZBY	\N	\N
57672	192	1994-06-30	VYDAJ	VYBER	15	14915	SLUZBY	\N	\N
57673	192	1994-07-31	VYDAJ	VYBER	15	16845	SLUZBY	\N	\N
57674	192	1994-08-31	VYDAJ	VYBER	15	19184	SLUZBY	\N	\N
57675	192	1994-09-30	VYDAJ	VYBER	15	21532	SLUZBY	\N	\N
57676	192	1994-10-31	VYDAJ	VYBER	15	21724	SLUZBY	\N	\N
57677	192	1994-11-30	VYDAJ	VYBER	15	21661	SLUZBY	\N	\N
57678	192	1994-12-31	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
57679	192	1995-01-31	VYDAJ	VYBER	15	14953	SLUZBY	\N	\N
57680	192	1995-02-28	VYDAJ	VYBER	15	13757	SLUZBY	\N	\N
57681	192	1995-03-31	VYDAJ	VYBER	15	16082	SLUZBY	\N	\N
57682	192	1995-04-30	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
57683	192	1995-05-31	VYDAJ	VYBER	15	19153	SLUZBY	\N	\N
57684	192	1995-06-30	VYDAJ	VYBER	15	21501	SLUZBY	\N	\N
57685	192	1995-07-31	VYDAJ	VYBER	15	22575	SLUZBY	\N	\N
57686	192	1995-08-31	VYDAJ	VYBER	15	24937	SLUZBY	\N	\N
57687	192	1995-09-30	VYDAJ	VYBER	15	27310	SLUZBY	\N	\N
57688	192	1995-10-31	VYDAJ	VYBER	15	29691	SLUZBY	\N	\N
57689	192	1995-11-30	VYDAJ	VYBER	15	32083	SLUZBY	\N	\N
57690	192	1995-12-31	VYDAJ	VYBER	15	34245	SLUZBY	\N	\N
57691	192	1996-01-31	VYDAJ	VYBER	15	28641	SLUZBY	\N	\N
57692	192	1996-02-29	VYDAJ	VYBER	15	31028	SLUZBY	\N	\N
57693	192	1996-03-31	VYDAJ	VYBER	15	33425	SLUZBY	\N	\N
57694	192	1996-04-30	VYDAJ	VYBER	15	27097	SLUZBY	\N	\N
57695	192	1996-05-31	VYDAJ	VYBER	15	29478	SLUZBY	\N	\N
57696	192	1996-06-30	VYDAJ	VYBER	15	24360	SLUZBY	\N	\N
57697	192	1996-07-31	VYDAJ	VYBER	15	20718	SLUZBY	\N	\N
57698	192	1996-08-31	VYDAJ	VYBER	15	23072	SLUZBY	\N	\N
57699	192	1996-09-30	VYDAJ	VYBER	15	25436	SLUZBY	\N	\N
57700	192	1996-10-31	VYDAJ	VYBER	15	27809	SLUZBY	\N	\N
57701	192	1996-11-30	VYDAJ	VYBER	15	30192	SLUZBY	\N	\N
57702	192	1996-12-31	VYDAJ	VYBER	15	27826	SLUZBY	\N	\N
57703	192	1997-01-31	VYDAJ	VYBER	15	16418	SLUZBY	\N	\N
57704	192	1997-02-28	VYDAJ	VYBER	15	18754	SLUZBY	\N	\N
57705	192	1997-03-31	VYDAJ	VYBER	15	21099	SLUZBY	\N	\N
57706	192	1997-04-30	VYDAJ	VYBER	15	19684	SLUZBY	\N	\N
57707	192	1997-05-31	VYDAJ	VYBER	15	22033	SLUZBY	\N	\N
57708	192	1997-06-30	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
57709	192	1997-07-31	VYDAJ	VYBER	15	21623	SLUZBY	\N	\N
57710	192	1997-08-31	VYDAJ	VYBER	15	23980	SLUZBY	\N	\N
57711	192	1997-09-30	VYDAJ	VYBER	15	26346	SLUZBY	\N	\N
57712	192	1997-10-31	VYDAJ	VYBER	15	28723	SLUZBY	\N	\N
57713	192	1997-11-30	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
57714	192	1997-12-31	VYDAJ	VYBER	15	32444	SLUZBY	\N	\N
57715	192	1998-01-31	VYDAJ	VYBER	15	28354	SLUZBY	\N	\N
57716	192	1998-02-28	VYDAJ	VYBER	15	30738	SLUZBY	\N	\N
57717	192	1998-03-31	VYDAJ	VYBER	15	29200	SLUZBY	\N	\N
57718	192	1998-04-30	VYDAJ	VYBER	15	31287	SLUZBY	\N	\N
57719	192	1998-05-31	VYDAJ	VYBER	15	32681	SLUZBY	\N	\N
57720	192	1998-06-30	VYDAJ	VYBER	15	31394	SLUZBY	\N	\N
57721	192	1998-07-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
57722	192	1998-08-31	VYDAJ	VYBER	15	25492	SLUZBY	\N	\N
57723	192	1998-09-30	VYDAJ	VYBER	15	27262	SLUZBY	\N	\N
57724	192	1998-10-31	VYDAJ	VYBER	15	29641	SLUZBY	\N	\N
57725	192	1998-11-30	VYDAJ	VYBER	15	28101	SLUZBY	\N	\N
57726	192	1993-07-07	VYDAJ	VYBER	1000	22619	\N	\N	\N
57727	192	1993-10-05	VYDAJ	VYBER	700	23107	\N	\N	\N
57728	192	1993-12-04	VYDAJ	VYBER	1700	26148	\N	\N	\N
57729	192	1994-01-03	VYDAJ	VYBER	1700	26228	\N	\N	\N
57730	192	1994-05-03	VYDAJ	VYBER	2800	24158	\N	\N	\N
57731	192	1994-06-02	VYDAJ	VYBER	500	26031	\N	\N	\N
57732	192	1994-11-29	VYDAJ	VYBER	100	21580	\N	\N	\N
57733	192	1998-04-12	VYDAJ	VYBER	300	31176	\N	\N	\N
57734	192	1998-05-12	VYDAJ	VYBER	1000	32563	\N	\N	\N
57735	192	1998-06-11	VYDAJ	VYBER	2400	32557	\N	\N	\N
57736	192	1998-07-11	VYDAJ	VYBER	2100	31570	\N	\N	\N
57737	192	1998-09-09	VYDAJ	VYBER	600	27168	\N	\N	\N
57805	193	1996-12-22	PRIJEM	VKLAD	300	300	\N	\N	\N
57818	193	1997-01-14	PRIJEM	VKLAD	10666	10966	\N	\N	\N
57819	193	1997-02-14	PRIJEM	VKLAD	10666	31262	\N	\N	\N
57820	193	1997-03-14	PRIJEM	VKLAD	10666	39325	\N	\N	\N
57821	193	1997-04-14	PRIJEM	VKLAD	10666	39410	\N	\N	\N
57822	193	1997-05-14	PRIJEM	VKLAD	10666	38694	\N	\N	\N
57823	193	1997-06-14	PRIJEM	VKLAD	15999	39963	\N	\N	\N
57824	193	1997-07-14	PRIJEM	VKLAD	10666	38523	\N	\N	\N
57825	193	1997-08-14	PRIJEM	VKLAD	10666	36887	\N	\N	\N
57826	193	1997-09-14	PRIJEM	VKLAD	10666	30362	\N	\N	\N
57827	193	1997-10-14	PRIJEM	VKLAD	10666	32801	\N	\N	\N
57828	193	1997-11-14	PRIJEM	VKLAD	10666	32648	\N	\N	\N
57829	193	1997-12-14	PRIJEM	VKLAD	15999	37148	\N	\N	\N
57830	193	1998-01-14	PRIJEM	VKLAD	10666	24158	\N	\N	\N
57831	193	1998-02-14	PRIJEM	VKLAD	10666	23963	\N	\N	\N
57832	193	1998-03-14	PRIJEM	VKLAD	10666	27067	\N	\N	\N
57833	193	1998-04-14	PRIJEM	VKLAD	10666	29986	\N	\N	\N
57834	193	1998-05-14	PRIJEM	VKLAD	10666	28508	\N	\N	\N
57835	193	1998-06-14	PRIJEM	VKLAD	15999	30065	\N	\N	\N
57836	193	1998-07-14	PRIJEM	VKLAD	10666	34499	\N	\N	\N
57837	193	1998-08-14	PRIJEM	VKLAD	10666	35643	\N	\N	\N
57838	193	1998-09-14	PRIJEM	VKLAD	10666	29512	\N	\N	\N
57839	193	1998-10-14	PRIJEM	VKLAD	10666	31148	\N	\N	\N
57840	193	1998-11-14	PRIJEM	VKLAD	10666	29102	\N	\N	\N
57841	193	1998-12-14	PRIJEM	VKLAD	15999	32205	\N	\N	\N
57858	193	1997-05-14	VYDAJ	PREVOD NA UCET	7110	31584	SIPO	QR	21547550
57859	193	1997-06-14	VYDAJ	PREVOD NA UCET	7110	32853	SIPO	QR	21547550
57860	193	1997-07-14	VYDAJ	PREVOD NA UCET	7110	31413	SIPO	QR	21547550
57861	193	1997-08-14	VYDAJ	PREVOD NA UCET	7110	29777	SIPO	QR	21547550
57862	193	1997-09-14	VYDAJ	PREVOD NA UCET	7110	23252	SIPO	QR	21547550
57863	193	1997-10-14	VYDAJ	PREVOD NA UCET	7110	25691	SIPO	QR	21547550
57864	193	1997-11-14	VYDAJ	PREVOD NA UCET	7110	25538	SIPO	QR	21547550
57865	193	1997-12-14	VYDAJ	PREVOD NA UCET	7110	30038	SIPO	QR	21547550
57866	193	1998-01-14	VYDAJ	PREVOD NA UCET	7110	16328	SIPO	QR	21547550
57867	193	1998-02-14	VYDAJ	PREVOD NA UCET	7110	16853	SIPO	QR	21547550
57868	193	1998-03-14	VYDAJ	PREVOD NA UCET	7110	19957	SIPO	QR	21547550
57869	193	1998-04-14	VYDAJ	PREVOD NA UCET	7110	22876	SIPO	QR	21547550
57870	193	1998-05-14	VYDAJ	PREVOD NA UCET	7110	21398	SIPO	QR	21547550
57871	193	1998-06-14	VYDAJ	PREVOD NA UCET	7110	22955	SIPO	QR	21547550
57872	193	1998-07-14	VYDAJ	PREVOD NA UCET	7110	27389	SIPO	QR	21547550
57873	193	1998-08-14	VYDAJ	PREVOD NA UCET	7110	23133	SIPO	QR	21547550
57874	193	1998-09-14	VYDAJ	PREVOD NA UCET	7110	22402	SIPO	QR	21547550
57875	193	1998-10-14	VYDAJ	PREVOD NA UCET	7110	24038	SIPO	QR	21547550
57876	193	1998-11-14	VYDAJ	PREVOD NA UCET	7110	21992	SIPO	QR	21547550
57877	193	1998-12-14	VYDAJ	PREVOD NA UCET	7110	25095	SIPO	QR	21547550
57880	193	1998-06-07	VYDAJ	VYBER	6400	14066	\N	\N	\N
57883	193	1998-01-04	VYDAJ	VYBER	8640	13492	\N	\N	\N
57885	193	1997-12-13	VYDAJ	VYBER	3680	21149	\N	\N	\N
57886	193	1998-12-11	VYDAJ	VYBER	2080	16506	\N	\N	\N
57901	193	1998-01-03	VYDAJ	VYBER	3000	22132	\N	\N	\N
57902	193	1998-01-14	VYDAJ	VYBER	720	23438	\N	\N	\N
57904	193	1998-01-20	VYDAJ	VYBER	1680	13248	\N	\N	\N
57908	193	1997-09-12	VYDAJ	VYBER	5280	19696	\N	\N	\N
57910	193	1997-05-24	VYDAJ	VYBER	1320	23864	\N	\N	\N
57911	193	1997-11-10	VYDAJ	VYBER	4200	21982	\N	\N	\N
57915	193	1998-11-16	VYDAJ	VYBER	3480	18512	\N	\N	\N
57936	193	1997-05-31	VYDAJ	VYBER	15	23964	SLUZBY	\N	\N
57937	193	1997-06-30	VYDAJ	VYBER	15	27857	SLUZBY	\N	\N
57938	193	1997-07-31	VYDAJ	VYBER	15	26221	SLUZBY	\N	\N
57939	193	1997-08-31	VYDAJ	VYBER	15	24976	SLUZBY	\N	\N
57940	193	1997-09-30	VYDAJ	VYBER	15	22135	SLUZBY	\N	\N
57941	193	1997-10-31	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
57942	193	1997-11-30	VYDAJ	VYBER	15	24829	SLUZBY	\N	\N
57943	193	1997-12-31	VYDAJ	VYBER	15	25132	SLUZBY	\N	\N
57944	193	1998-01-31	VYDAJ	VYBER	15	13297	SLUZBY	\N	\N
57945	193	1998-02-28	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
57946	193	1998-03-31	VYDAJ	VYBER	15	19320	SLUZBY	\N	\N
57947	193	1998-04-30	VYDAJ	VYBER	15	17842	SLUZBY	\N	\N
57948	193	1998-05-31	VYDAJ	VYBER	15	20466	SLUZBY	\N	\N
57949	193	1998-06-30	VYDAJ	VYBER	15	23833	SLUZBY	\N	\N
57950	193	1998-07-31	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
57951	193	1998-08-31	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
57952	193	1998-09-30	VYDAJ	VYBER	15	22482	SLUZBY	\N	\N
57953	193	1998-10-31	VYDAJ	VYBER	15	24136	SLUZBY	\N	\N
57954	193	1998-11-30	VYDAJ	VYBER	15	18586	SLUZBY	\N	\N
57955	193	1997-01-21	PRIJEM	VKLAD	9600	20566	\N	\N	\N
57956	193	1997-02-20	VYDAJ	VYBER	2700	28562	\N	\N	\N
57957	193	1997-03-22	VYDAJ	VYBER	10700	28625	\N	\N	\N
57958	193	1997-04-21	VYDAJ	VYBER	11500	27910	\N	\N	\N
57959	193	1997-05-21	VYDAJ	VYBER	6400	25184	\N	\N	\N
57960	193	1997-06-20	VYDAJ	VYBER	5100	27753	\N	\N	\N
57961	193	1997-07-20	VYDAJ	VYBER	5300	26113	\N	\N	\N
57962	193	1997-08-19	VYDAJ	VYBER	4900	24877	\N	\N	\N
57963	193	1997-09-18	VYDAJ	VYBER	1200	22052	\N	\N	\N
57964	193	1997-10-18	PRIJEM	VKLAD	400	26091	\N	\N	\N
57965	193	1997-11-17	VYDAJ	VYBER	800	24738	\N	\N	\N
57966	193	1997-12-17	VYDAJ	VYBER	5000	25038	\N	\N	\N
57967	193	1998-01-16	VYDAJ	VYBER	1400	14928	\N	\N	\N
57968	193	1998-02-15	VYDAJ	VYBER	500	16353	\N	\N	\N
57969	193	1998-03-17	VYDAJ	VYBER	700	19257	\N	\N	\N
57970	193	1998-04-16	VYDAJ	VYBER	5100	17776	\N	\N	\N
57971	193	1998-05-16	VYDAJ	VYBER	1000	20398	\N	\N	\N
57972	193	1998-06-15	PRIJEM	VKLAD	800	23755	\N	\N	\N
57973	193	1998-07-15	VYDAJ	VYBER	2500	24889	\N	\N	\N
57974	193	1998-08-14	VYDAJ	VYBER	5400	30243	\N	\N	\N
57975	193	1998-09-13	VYDAJ	VYBER	4400	18846	\N	\N	\N
57976	193	1998-10-13	VYDAJ	VYBER	2000	20482	\N	\N	\N
57977	193	1998-11-12	VYDAJ	VYBER	5700	18436	\N	\N	\N
57978	193	1998-12-12	VYDAJ	VYBER	300	16206	\N	\N	\N
58003	194	1996-08-01	PRIJEM	VKLAD	400	400	\N	\N	\N
58011	194	1996-08-09	PRIJEM	PREVOD Z UCTU	3973	4373	\N	ST	61379712
58012	194	1996-09-09	PRIJEM	PREVOD Z UCTU	3973	19361	\N	ST	61379712
58013	194	1996-10-09	PRIJEM	PREVOD Z UCTU	3973	30400	\N	ST	61379712
58014	194	1996-11-09	PRIJEM	PREVOD Z UCTU	3973	36784	\N	ST	61379712
58015	194	1996-12-09	PRIJEM	PREVOD Z UCTU	3973	38894	\N	ST	61379712
58016	194	1997-01-09	PRIJEM	PREVOD Z UCTU	3973	36823	\N	ST	61379712
58017	194	1997-02-09	PRIJEM	PREVOD Z UCTU	3973	33839	\N	ST	61379712
58018	194	1997-03-09	PRIJEM	PREVOD Z UCTU	3973	32084	\N	ST	61379712
58019	194	1997-04-09	PRIJEM	PREVOD Z UCTU	3973	34415	\N	ST	61379712
58020	194	1997-05-09	PRIJEM	PREVOD Z UCTU	3973	37257	\N	ST	61379712
58021	194	1997-06-09	PRIJEM	PREVOD Z UCTU	3973	37116	\N	ST	61379712
58022	194	1997-07-09	PRIJEM	PREVOD Z UCTU	3973	34606	\N	ST	61379712
58023	194	1997-08-09	PRIJEM	PREVOD Z UCTU	3973	34854	\N	ST	61379712
58024	194	1997-09-09	PRIJEM	PREVOD Z UCTU	3973	36964	\N	ST	61379712
58025	194	1997-10-09	PRIJEM	PREVOD Z UCTU	3973	36220	\N	ST	61379712
58026	194	1997-11-09	PRIJEM	PREVOD Z UCTU	3973	33770	\N	ST	61379712
58027	194	1997-12-09	PRIJEM	PREVOD Z UCTU	3973	32744	\N	ST	61379712
58028	194	1998-01-09	PRIJEM	PREVOD Z UCTU	3973	29648	\N	ST	61379712
58029	194	1998-02-09	PRIJEM	PREVOD Z UCTU	3973	26644	\N	ST	61379712
58030	194	1998-03-09	PRIJEM	PREVOD Z UCTU	3973	26456	\N	ST	61379712
58031	194	1998-04-09	PRIJEM	PREVOD Z UCTU	3973	23053	\N	ST	61379712
58032	194	1998-05-09	PRIJEM	PREVOD Z UCTU	3973	19146	\N	ST	61379712
58033	194	1998-06-09	PRIJEM	PREVOD Z UCTU	3973	21429	\N	ST	61379712
58034	194	1998-07-09	PRIJEM	PREVOD Z UCTU	3973	19987	\N	ST	61379712
58035	194	1998-08-09	PRIJEM	PREVOD Z UCTU	3973	22200	\N	ST	61379712
58036	194	1998-09-09	PRIJEM	PREVOD Z UCTU	3973	22689	\N	ST	61379712
58037	194	1998-10-09	PRIJEM	PREVOD Z UCTU	3973	26685	\N	ST	61379712
58038	194	1998-11-09	PRIJEM	PREVOD Z UCTU	3973	30300	\N	ST	61379712
58039	194	1998-12-09	PRIJEM	PREVOD Z UCTU	3973	26215	\N	ST	61379712
58051	194	1996-12-09	VYDAJ	PREVOD NA UCET	2648	36246	SIPO	CD	39405787
58052	194	1997-01-09	VYDAJ	PREVOD NA UCET	2648	34175	SIPO	CD	39405787
58053	194	1997-02-09	VYDAJ	PREVOD NA UCET	2648	31191	SIPO	CD	39405787
58054	194	1997-03-09	VYDAJ	PREVOD NA UCET	2648	29436	SIPO	CD	39405787
58055	194	1997-04-09	VYDAJ	PREVOD NA UCET	2648	31767	SIPO	CD	39405787
58056	194	1997-05-09	VYDAJ	PREVOD NA UCET	2648	34609	SIPO	CD	39405787
58057	194	1997-06-09	VYDAJ	PREVOD NA UCET	2648	34468	SIPO	CD	39405787
58058	194	1997-07-09	VYDAJ	PREVOD NA UCET	2648	31958	SIPO	CD	39405787
58059	194	1997-08-09	VYDAJ	PREVOD NA UCET	2648	32206	SIPO	CD	39405787
58060	194	1997-09-09	VYDAJ	PREVOD NA UCET	2648	34316	SIPO	CD	39405787
58061	194	1997-10-09	VYDAJ	PREVOD NA UCET	2648	33572	SIPO	CD	39405787
58062	194	1997-11-09	VYDAJ	PREVOD NA UCET	2648	31122	SIPO	CD	39405787
58063	194	1997-12-09	VYDAJ	PREVOD NA UCET	2648	30096	SIPO	CD	39405787
58064	194	1998-01-09	VYDAJ	PREVOD NA UCET	2648	27000	SIPO	CD	39405787
58065	194	1998-02-09	VYDAJ	PREVOD NA UCET	2648	23996	SIPO	CD	39405787
58066	194	1998-03-09	VYDAJ	PREVOD NA UCET	2648	23808	SIPO	CD	39405787
58067	194	1998-04-09	VYDAJ	PREVOD NA UCET	2648	20405	SIPO	CD	39405787
58068	194	1998-05-09	VYDAJ	PREVOD NA UCET	2648	16498	SIPO	CD	39405787
58069	194	1998-06-09	VYDAJ	PREVOD NA UCET	2648	18781	SIPO	CD	39405787
58070	194	1998-07-09	VYDAJ	PREVOD NA UCET	2648	17339	SIPO	CD	39405787
58071	194	1998-08-09	VYDAJ	PREVOD NA UCET	2648	19552	SIPO	CD	39405787
58072	194	1998-09-09	VYDAJ	PREVOD NA UCET	2648	20041	SIPO	CD	39405787
58073	194	1998-10-09	VYDAJ	PREVOD NA UCET	2648	24037	SIPO	CD	39405787
58074	194	1998-11-09	VYDAJ	PREVOD NA UCET	2648	27652	SIPO	CD	39405787
58075	194	1998-12-09	VYDAJ	PREVOD NA UCET	2648	23567	SIPO	CD	39405787
58077	194	1997-06-14	VYDAJ	VYBER	5550	28918	\N	\N	\N
58078	194	1998-06-26	VYDAJ	VYBER	5490	17391	\N	\N	\N
58080	194	1997-01-23	VYDAJ	VYBER	2730	29375	\N	\N	\N
58081	194	1998-01-26	VYDAJ	VYBER	1080	23780	\N	\N	\N
58082	194	1996-12-25	VYDAJ	VYBER	450	35796	\N	\N	\N
58083	194	1997-12-20	VYDAJ	VYBER	180	29916	\N	\N	\N
58084	194	1998-12-12	VYDAJ	VYBER	630	22937	\N	\N	\N
58091	194	1997-01-21	VYDAJ	VYBER	180	32735	\N	\N	\N
58092	194	1997-01-22	VYDAJ	VYBER	630	32105	\N	\N	\N
58093	194	1997-01-15	VYDAJ	VYBER	450	32915	\N	\N	\N
58094	194	1997-01-11	VYDAJ	VYBER	810	33365	\N	\N	\N
58095	194	1997-01-06	VYDAJ	VYBER	570	33960	\N	\N	\N
58096	194	1997-01-25	VYDAJ	VYBER	630	28745	\N	\N	\N
58097	194	1998-01-19	VYDAJ	VYBER	390	25560	\N	\N	\N
58098	194	1998-01-28	VYDAJ	VYBER	540	22580	\N	\N	\N
58099	194	1998-01-12	VYDAJ	VYBER	840	25950	\N	\N	\N
58100	194	1998-01-02	VYDAJ	VYBER	690	25675	\N	\N	\N
58101	194	1998-01-27	VYDAJ	VYBER	660	23120	\N	\N	\N
58102	194	1998-01-09	VYDAJ	VYBER	210	26790	\N	\N	\N
58106	194	1997-11-15	VYDAJ	VYBER	1110	30012	\N	\N	\N
58107	194	1997-09-01	VYDAJ	VYBER	240	32991	\N	\N	\N
58108	194	1997-03-10	VYDAJ	VYBER	300	29136	\N	\N	\N
58109	194	1997-12-21	VYDAJ	VYBER	1260	28656	\N	\N	\N
58110	194	1997-01-08	VYDAJ	VYBER	1110	32850	\N	\N	\N
58111	194	1997-11-20	VYDAJ	VYBER	1050	28962	\N	\N	\N
58112	194	1998-07-08	VYDAJ	VYBER	1440	16014	\N	\N	\N
58113	194	1998-07-30	VYDAJ	VYBER	270	18169	\N	\N	\N
58114	194	1998-03-23	VYDAJ	VYBER	1110	22698	\N	\N	\N
58127	194	1996-12-31	VYDAJ	VYBER	15	34530	SLUZBY	\N	\N
58128	194	1997-01-31	VYDAJ	VYBER	15	29866	SLUZBY	\N	\N
58129	194	1997-02-28	VYDAJ	VYBER	15	28111	SLUZBY	\N	\N
58130	194	1997-03-31	VYDAJ	VYBER	15	30442	SLUZBY	\N	\N
58131	194	1997-04-30	VYDAJ	VYBER	15	33284	SLUZBY	\N	\N
58132	194	1997-05-31	VYDAJ	VYBER	15	33143	SLUZBY	\N	\N
58133	194	1997-06-30	VYDAJ	VYBER	15	30633	SLUZBY	\N	\N
58134	194	1997-07-31	VYDAJ	VYBER	15	30881	SLUZBY	\N	\N
58135	194	1997-08-31	VYDAJ	VYBER	15	33231	SLUZBY	\N	\N
58136	194	1997-09-30	VYDAJ	VYBER	15	32247	SLUZBY	\N	\N
58137	194	1997-10-31	VYDAJ	VYBER	15	29797	SLUZBY	\N	\N
58138	194	1997-11-30	VYDAJ	VYBER	15	28771	SLUZBY	\N	\N
58139	194	1997-12-31	VYDAJ	VYBER	15	26365	SLUZBY	\N	\N
58140	194	1998-01-31	VYDAJ	VYBER	15	22671	SLUZBY	\N	\N
58141	194	1998-02-28	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
58142	194	1998-03-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
58143	194	1998-04-30	VYDAJ	VYBER	15	15173	SLUZBY	\N	\N
58144	194	1998-05-31	VYDAJ	VYBER	15	17456	SLUZBY	\N	\N
58145	194	1998-06-30	VYDAJ	VYBER	15	17454	SLUZBY	\N	\N
58146	194	1998-07-31	VYDAJ	VYBER	15	18227	SLUZBY	\N	\N
58147	194	1998-08-31	VYDAJ	VYBER	15	18716	SLUZBY	\N	\N
58148	194	1998-09-30	VYDAJ	VYBER	15	22712	SLUZBY	\N	\N
58149	194	1998-10-31	VYDAJ	VYBER	15	26327	SLUZBY	\N	\N
58150	194	1998-11-30	VYDAJ	VYBER	15	22242	SLUZBY	\N	\N
58151	194	1996-08-31	PRIJEM	VKLAD	11000	15373	\N	\N	\N
58152	194	1996-09-30	PRIJEM	VKLAD	7000	26361	\N	\N	\N
58153	194	1996-10-30	PRIJEM	VKLAD	2300	32700	\N	\N	\N
58154	194	1996-11-29	VYDAJ	VYBER	2000	34784	\N	\N	\N
58155	194	1996-12-29	VYDAJ	VYBER	1400	34396	\N	\N	\N
58156	194	1997-01-28	PRIJEM	VKLAD	1000	29745	\N	\N	\N
58157	194	1997-02-27	VYDAJ	VYBER	3200	27991	\N	\N	\N
58158	194	1997-03-29	PRIJEM	VKLAD	1200	30336	\N	\N	\N
58159	194	1997-04-28	PRIJEM	VKLAD	1400	33167	\N	\N	\N
58160	194	1997-05-28	VYDAJ	VYBER	1600	33009	\N	\N	\N
58161	194	1997-06-27	PRIJEM	VKLAD	1600	30518	\N	\N	\N
58162	194	1997-07-27	VYDAJ	VYBER	1200	30758	\N	\N	\N
58163	194	1997-08-26	PRIJEM	VKLAD	900	33106	\N	\N	\N
58164	194	1997-09-25	VYDAJ	VYBER	2200	32116	\N	\N	\N
58165	194	1997-10-25	VYDAJ	VYBER	3900	29672	\N	\N	\N
58166	194	1997-11-24	VYDAJ	VYBER	300	28662	\N	\N	\N
58167	194	1997-12-24	VYDAJ	VYBER	2400	26256	\N	\N	\N
58168	194	1998-01-23	VYDAJ	VYBER	700	24860	\N	\N	\N
58169	194	1998-02-22	VYDAJ	VYBER	1600	22396	\N	\N	\N
58170	194	1998-03-24	VYDAJ	VYBER	3700	18998	\N	\N	\N
58171	194	1998-04-23	VYDAJ	VYBER	5300	15105	\N	\N	\N
58172	194	1998-05-23	PRIJEM	VKLAD	900	17398	\N	\N	\N
58173	194	1998-06-22	PRIJEM	VKLAD	4100	22881	\N	\N	\N
58174	194	1998-07-22	PRIJEM	VKLAD	1100	18439	\N	\N	\N
58175	194	1998-08-21	VYDAJ	VYBER	900	18652	\N	\N	\N
58176	194	1998-09-20	PRIJEM	VKLAD	2600	22641	\N	\N	\N
58177	194	1998-10-20	PRIJEM	VKLAD	2200	26237	\N	\N	\N
58178	194	1998-11-19	VYDAJ	VYBER	5500	22152	\N	\N	\N
58208	195	1997-02-27	PRIJEM	VKLAD	600	600	\N	\N	\N
58211	195	1997-03-07	PRIJEM	VKLAD	14616	15216	\N	\N	\N
58212	195	1997-04-07	PRIJEM	VKLAD	14616	32839	\N	\N	\N
58213	195	1997-05-07	PRIJEM	VKLAD	14616	43536	\N	\N	\N
58214	195	1997-06-07	PRIJEM	VKLAD	21924	54982	\N	\N	\N
58215	195	1997-07-07	PRIJEM	VKLAD	14616	56940	\N	\N	\N
58216	195	1997-08-07	PRIJEM	VKLAD	14616	47686	\N	\N	\N
58217	195	1997-09-07	PRIJEM	VKLAD	14616	46789	\N	\N	\N
58218	195	1997-10-07	PRIJEM	VKLAD	14616	44810	\N	\N	\N
58219	195	1997-11-07	PRIJEM	VKLAD	14616	43375	\N	\N	\N
58220	195	1997-12-07	PRIJEM	VKLAD	21924	49290	\N	\N	\N
58221	195	1998-01-07	PRIJEM	VKLAD	14616	44312	\N	\N	\N
58222	195	1998-02-07	PRIJEM	VKLAD	14616	37679	\N	\N	\N
58223	195	1998-03-07	PRIJEM	VKLAD	14616	45374	\N	\N	\N
58224	195	1998-04-07	PRIJEM	VKLAD	14616	48292	\N	\N	\N
58225	195	1998-05-07	PRIJEM	VKLAD	14616	52622	\N	\N	\N
58226	195	1998-06-07	PRIJEM	VKLAD	21924	56096	\N	\N	\N
58227	195	1998-07-07	PRIJEM	VKLAD	14616	53254	\N	\N	\N
58228	195	1998-08-07	PRIJEM	VKLAD	14616	52398	\N	\N	\N
58229	195	1998-09-07	PRIJEM	VKLAD	14616	50478	\N	\N	\N
58230	195	1998-10-07	PRIJEM	VKLAD	14616	47406	\N	\N	\N
58231	195	1998-11-07	PRIJEM	VKLAD	14616	43617	\N	\N	\N
58232	195	1998-12-07	PRIJEM	VKLAD	21924	52128	\N	\N	\N
58240	195	1997-08-06	VYDAJ	PREVOD NA UCET	6260	33070	SIPO	AB	37868559
58241	195	1997-09-06	VYDAJ	PREVOD NA UCET	6260	32173	SIPO	AB	37868559
58242	195	1997-10-06	VYDAJ	PREVOD NA UCET	6260	30194	SIPO	AB	37868559
58243	195	1997-11-06	VYDAJ	PREVOD NA UCET	6260	28759	SIPO	AB	37868559
58244	195	1997-12-06	VYDAJ	PREVOD NA UCET	6260	27366	SIPO	AB	37868559
58245	195	1998-01-06	VYDAJ	PREVOD NA UCET	6260	29696	SIPO	AB	37868559
58246	195	1998-02-06	VYDAJ	PREVOD NA UCET	6260	23063	SIPO	AB	37868559
58247	195	1998-03-06	VYDAJ	PREVOD NA UCET	6260	30758	SIPO	AB	37868559
58248	195	1998-04-06	VYDAJ	PREVOD NA UCET	6260	33676	SIPO	AB	37868559
58249	195	1998-05-06	VYDAJ	PREVOD NA UCET	6260	38006	SIPO	AB	37868559
58250	195	1998-06-06	VYDAJ	PREVOD NA UCET	6260	34172	SIPO	AB	37868559
58251	195	1998-07-06	VYDAJ	PREVOD NA UCET	6260	38638	SIPO	AB	37868559
58252	195	1998-08-06	VYDAJ	PREVOD NA UCET	6260	37782	SIPO	AB	37868559
58253	195	1998-09-06	VYDAJ	PREVOD NA UCET	6260	35862	SIPO	AB	37868559
58254	195	1998-10-06	VYDAJ	PREVOD NA UCET	6260	32790	SIPO	AB	37868559
58255	195	1998-11-06	VYDAJ	PREVOD NA UCET	6260	29001	SIPO	AB	37868559
58256	195	1998-12-06	VYDAJ	PREVOD NA UCET	6260	30204	SIPO	AB	37868559
58258	195	1998-06-12	VYDAJ	VYBER	8480	47616	\N	\N	\N
58260	195	1998-01-01	VYDAJ	VYBER	1600	35956	\N	\N	\N
58261	195	1997-12-02	VYDAJ	VYBER	1600	33626	\N	\N	\N
58262	195	1998-12-15	VYDAJ	VYBER KARTOU	2900	49228	\N	\N	0
58263	195	1997-08-14	VYDAJ	VYBER	1920	45766	\N	\N	\N
58264	195	1997-10-12	VYDAJ	VYBER	3840	40970	\N	\N	\N
58265	195	1997-07-19	VYDAJ	VYBER	4680	52260	\N	\N	\N
58266	195	1998-01-31	VYDAJ	VYBER	5400	29323	\N	\N	\N
58267	195	1998-08-30	VYDAJ	VYBER	2160	41938	\N	\N	\N
58268	195	1998-10-22	VYDAJ	VYBER KARTOU	2900	35106	\N	\N	0
58269	195	1998-06-04	VYDAJ	VYBER	5280	40432	\N	\N	\N
58270	195	1998-10-13	VYDAJ	VYBER KARTOU	2000	45406	\N	\N	0
58271	195	1998-01-23	VYDAJ	VYBER	840	34572	\N	\N	\N
58272	195	1998-09-29	VYDAJ	VYBER KARTOU	1400	38878	\N	\N	0
58280	195	1997-07-31	VYDAJ	VYBER	15	39330	SLUZBY	\N	\N
58281	195	1997-08-31	VYDAJ	VYBER	15	38433	SLUZBY	\N	\N
58282	195	1997-09-30	VYDAJ	VYBER	15	36454	SLUZBY	\N	\N
58283	195	1997-10-31	VYDAJ	VYBER	15	35019	SLUZBY	\N	\N
58284	195	1997-11-30	VYDAJ	VYBER	15	35226	SLUZBY	\N	\N
58285	195	1997-12-31	VYDAJ	VYBER	15	37556	SLUZBY	\N	\N
58286	195	1998-01-31	VYDAJ	VYBER	15	34723	SLUZBY	\N	\N
58287	195	1998-02-28	VYDAJ	VYBER	15	37018	SLUZBY	\N	\N
58288	195	1998-03-31	VYDAJ	VYBER	15	39936	SLUZBY	\N	\N
58289	195	1998-04-30	VYDAJ	VYBER	15	44266	SLUZBY	\N	\N
58290	195	1998-05-31	VYDAJ	VYBER	15	45712	SLUZBY	\N	\N
58291	195	1998-06-30	VYDAJ	VYBER	15	44898	SLUZBY	\N	\N
58292	195	1998-07-31	VYDAJ	VYBER	15	44042	SLUZBY	\N	\N
58293	195	1998-08-31	VYDAJ	VYBER	15	42122	SLUZBY	\N	\N
58294	195	1998-09-30	VYDAJ	VYBER	15	39050	SLUZBY	\N	\N
58295	195	1998-10-31	VYDAJ	VYBER	15	35261	SLUZBY	\N	\N
58296	195	1998-11-30	VYDAJ	VYBER	15	36464	SLUZBY	\N	\N
58297	195	1997-03-29	PRIJEM	VKLAD	3000	18216	\N	\N	\N
58298	195	1997-04-28	VYDAJ	VYBER	4000	28839	\N	\N	\N
58299	195	1997-05-28	VYDAJ	VYBER	10600	32936	\N	\N	\N
58300	195	1997-06-27	VYDAJ	VYBER	12800	42182	\N	\N	\N
58301	195	1997-07-27	VYDAJ	VYBER	13100	39160	\N	\N	\N
58302	195	1997-08-26	VYDAJ	VYBER	7500	38266	\N	\N	\N
58303	195	1997-09-25	VYDAJ	VYBER	10500	36289	\N	\N	\N
58304	195	1997-10-25	VYDAJ	VYBER	6100	34870	\N	\N	\N
58305	195	1997-11-24	VYDAJ	VYBER	8300	35075	\N	\N	\N
58306	195	1997-12-24	VYDAJ	VYBER	11900	37390	\N	\N	\N
58307	195	1998-01-23	VYDAJ	VYBER	8900	35412	\N	\N	\N
58308	195	1998-02-22	VYDAJ	VYBER	800	36879	\N	\N	\N
58309	195	1998-03-24	VYDAJ	VYBER	5600	39774	\N	\N	\N
58310	195	1998-04-23	VYDAJ	VYBER	4200	44092	\N	\N	\N
58311	195	1998-05-23	VYDAJ	VYBER	7100	45522	\N	\N	\N
58312	195	1998-06-22	VYDAJ	VYBER	2900	44716	\N	\N	\N
58313	195	1998-07-22	VYDAJ	VYBER	9400	43854	\N	\N	\N
58314	195	1998-08-21	VYDAJ	VYBER	8300	44098	\N	\N	\N
58315	195	1998-09-20	VYDAJ	VYBER	10200	40278	\N	\N	\N
58316	195	1998-10-20	VYDAJ	VYBER	7400	38006	\N	\N	\N
58317	195	1998-11-19	VYDAJ	VYBER	7300	36317	\N	\N	\N
58340	196	1993-11-14	PRIJEM	VKLAD	400	400	\N	\N	\N
58352	196	1993-12-09	PRIJEM	VKLAD	19408	19808	\N	\N	\N
58353	196	1994-01-09	PRIJEM	VKLAD	12939	35301	\N	\N	\N
58354	196	1994-02-09	PRIJEM	VKLAD	12939	40646	\N	\N	\N
58355	196	1994-03-09	PRIJEM	VKLAD	12939	43909	\N	\N	\N
58356	196	1994-04-09	PRIJEM	VKLAD	12939	48788	\N	\N	\N
58357	196	1994-05-09	PRIJEM	VKLAD	12939	40064	\N	\N	\N
58358	196	1994-06-09	PRIJEM	VKLAD	19408	43767	\N	\N	\N
58359	196	1994-07-09	PRIJEM	VKLAD	12939	40809	\N	\N	\N
58360	196	1994-08-09	PRIJEM	VKLAD	12939	33844	\N	\N	\N
58361	196	1994-09-09	PRIJEM	VKLAD	12939	31257	\N	\N	\N
58362	196	1994-10-09	PRIJEM	VKLAD	12939	31260	\N	\N	\N
58363	196	1994-11-09	PRIJEM	VKLAD	12939	30460	\N	\N	\N
58364	196	1994-12-09	PRIJEM	VKLAD	19408	34930	\N	\N	\N
58365	196	1995-01-09	PRIJEM	VKLAD	12939	35037	\N	\N	\N
58366	196	1995-02-09	PRIJEM	VKLAD	12939	35949	\N	\N	\N
58367	196	1995-03-09	PRIJEM	VKLAD	12939	40378	\N	\N	\N
58368	196	1995-04-09	PRIJEM	VKLAD	12939	42916	\N	\N	\N
58369	196	1995-05-09	PRIJEM	VKLAD	12939	47276	\N	\N	\N
58370	196	1995-06-09	PRIJEM	VKLAD	19408	46219	\N	\N	\N
58371	196	1995-07-09	PRIJEM	VKLAD	12939	46284	\N	\N	\N
58372	196	1995-08-09	PRIJEM	VKLAD	12939	49663	\N	\N	\N
58373	196	1995-09-09	PRIJEM	VKLAD	12939	48456	\N	\N	\N
58374	196	1995-10-09	PRIJEM	VKLAD	12939	47744	\N	\N	\N
58375	196	1995-11-09	PRIJEM	VKLAD	12939	49030	\N	\N	\N
58376	196	1995-12-09	PRIJEM	VKLAD	19408	54289	\N	\N	\N
58377	196	1996-01-09	PRIJEM	VKLAD	12939	52294	\N	\N	\N
58378	196	1996-02-09	PRIJEM	VKLAD	12939	49699	\N	\N	\N
58379	196	1996-03-09	PRIJEM	VKLAD	12939	51492	\N	\N	\N
58380	196	1996-04-09	PRIJEM	VKLAD	12939	55792	\N	\N	\N
58381	196	1996-05-09	PRIJEM	VKLAD	12939	56208	\N	\N	\N
58382	196	1996-06-09	PRIJEM	VKLAD	19408	66397	\N	\N	\N
58383	196	1996-07-09	PRIJEM	VKLAD	12939	55035	\N	\N	\N
58384	196	1996-08-09	PRIJEM	VKLAD	12939	56248	\N	\N	\N
58385	196	1996-09-09	PRIJEM	VKLAD	12939	59166	\N	\N	\N
58386	196	1996-10-09	PRIJEM	VKLAD	12939	55395	\N	\N	\N
58387	196	1996-11-09	PRIJEM	VKLAD	12939	57709	\N	\N	\N
58388	196	1996-12-09	PRIJEM	VKLAD	19408	56899	\N	\N	\N
58389	196	1997-01-09	PRIJEM	VKLAD	12939	56313	\N	\N	\N
58390	196	1997-02-09	PRIJEM	VKLAD	12939	53622	\N	\N	\N
58391	196	1997-03-09	PRIJEM	VKLAD	12939	58329	\N	\N	\N
58392	196	1997-04-09	PRIJEM	VKLAD	12939	61254	\N	\N	\N
58393	196	1997-05-09	PRIJEM	VKLAD	12939	60583	\N	\N	\N
58394	196	1997-06-09	PRIJEM	VKLAD	19408	59186	\N	\N	\N
58395	196	1997-07-09	PRIJEM	VKLAD	12939	44913	\N	\N	\N
58396	196	1997-08-09	PRIJEM	VKLAD	12939	51379	\N	\N	\N
58397	196	1997-09-09	PRIJEM	VKLAD	12939	57778	\N	\N	\N
58398	196	1997-10-09	PRIJEM	VKLAD	12939	66105	\N	\N	\N
58399	196	1997-11-09	PRIJEM	VKLAD	12939	68561	\N	\N	\N
58400	196	1997-12-09	PRIJEM	VKLAD	19408	83102	\N	\N	\N
58401	196	1998-01-09	PRIJEM	VKLAD	12939	71414	\N	\N	\N
58402	196	1998-02-09	PRIJEM	VKLAD	12939	64286	\N	\N	\N
58403	196	1998-03-09	PRIJEM	VKLAD	12939	69540	\N	\N	\N
58404	196	1998-04-09	PRIJEM	VKLAD	12939	68709	\N	\N	\N
58405	196	1998-05-09	PRIJEM	VKLAD	12939	73777	\N	\N	\N
58406	196	1998-06-09	PRIJEM	VKLAD	19408	86238	\N	\N	\N
58407	196	1998-07-09	PRIJEM	VKLAD	12939	80649	\N	\N	\N
58408	196	1998-08-09	PRIJEM	VKLAD	12939	83864	\N	\N	\N
58409	196	1998-09-09	PRIJEM	VKLAD	12939	84288	\N	\N	\N
58410	196	1998-10-09	PRIJEM	VKLAD	12939	80206	\N	\N	\N
58411	196	1998-11-09	PRIJEM	VKLAD	12939	80113	\N	\N	\N
58412	196	1998-12-09	PRIJEM	VKLAD	19408	82381	\N	\N	\N
58428	196	1994-04-12	VYDAJ	PREVOD NA UCET	1270	47518	SIPO	MN	84787642
58429	196	1994-05-12	VYDAJ	PREVOD NA UCET	1270	38794	SIPO	MN	84787642
58430	196	1994-06-12	VYDAJ	PREVOD NA UCET	1270	42497	SIPO	MN	84787642
58431	196	1994-07-12	VYDAJ	PREVOD NA UCET	1270	32239	SIPO	MN	84787642
58432	196	1994-08-12	VYDAJ	PREVOD NA UCET	1270	29674	SIPO	MN	84787642
58433	196	1994-09-12	VYDAJ	PREVOD NA UCET	1270	25587	SIPO	MN	84787642
58434	196	1994-10-12	VYDAJ	PREVOD NA UCET	1270	24790	SIPO	MN	84787642
58435	196	1994-11-12	VYDAJ	PREVOD NA UCET	1270	25590	SIPO	MN	84787642
58436	196	1994-12-12	VYDAJ	PREVOD NA UCET	1270	27260	SIPO	MN	84787642
58437	196	1995-01-12	VYDAJ	PREVOD NA UCET	1270	33767	SIPO	MN	84787642
58438	196	1995-02-12	VYDAJ	PREVOD NA UCET	1270	34679	SIPO	MN	84787642
58439	196	1995-03-12	VYDAJ	PREVOD NA UCET	1270	35008	SIPO	MN	84787642
58440	196	1995-04-12	VYDAJ	PREVOD NA UCET	1270	41646	SIPO	MN	84787642
58441	196	1995-05-12	VYDAJ	PREVOD NA UCET	1270	42906	SIPO	MN	84787642
58442	196	1995-06-12	VYDAJ	PREVOD NA UCET	1270	44949	SIPO	MN	84787642
58443	196	1995-07-12	VYDAJ	PREVOD NA UCET	1270	45014	SIPO	MN	84787642
58444	196	1995-08-12	VYDAJ	PREVOD NA UCET	1270	48393	SIPO	MN	84787642
58445	196	1995-09-12	VYDAJ	PREVOD NA UCET	1270	47186	SIPO	MN	84787642
58446	196	1995-10-12	VYDAJ	PREVOD NA UCET	1270	46474	SIPO	MN	84787642
58447	196	1995-11-12	VYDAJ	PREVOD NA UCET	1270	47760	SIPO	MN	84787642
58448	196	1995-12-12	VYDAJ	PREVOD NA UCET	1270	53019	SIPO	MN	84787642
58449	196	1996-01-12	VYDAJ	PREVOD NA UCET	1270	51024	SIPO	MN	84787642
58450	196	1996-02-12	VYDAJ	PREVOD NA UCET	1270	48429	SIPO	MN	84787642
58451	196	1996-03-12	VYDAJ	PREVOD NA UCET	1270	50222	SIPO	MN	84787642
58452	196	1996-04-12	VYDAJ	PREVOD NA UCET	1270	54522	SIPO	MN	84787642
58453	196	1996-05-12	VYDAJ	PREVOD NA UCET	1270	54938	SIPO	MN	84787642
58454	196	1996-06-12	VYDAJ	PREVOD NA UCET	1270	65127	SIPO	MN	84787642
58455	196	1996-07-12	VYDAJ	PREVOD NA UCET	1270	53765	SIPO	MN	84787642
58456	196	1996-08-12	VYDAJ	PREVOD NA UCET	1270	54978	SIPO	MN	84787642
58457	196	1996-09-12	VYDAJ	PREVOD NA UCET	1270	57896	SIPO	MN	84787642
58458	196	1996-10-12	VYDAJ	PREVOD NA UCET	1270	54125	SIPO	MN	84787642
58459	196	1996-11-12	VYDAJ	PREVOD NA UCET	1270	56439	SIPO	MN	84787642
58460	196	1996-12-12	VYDAJ	PREVOD NA UCET	1270	55629	SIPO	MN	84787642
58461	196	1997-01-12	VYDAJ	PREVOD NA UCET	1270	55043	SIPO	MN	84787642
58462	196	1997-02-12	VYDAJ	PREVOD NA UCET	1270	52352	SIPO	MN	84787642
58463	196	1997-03-12	VYDAJ	PREVOD NA UCET	1270	57059	SIPO	MN	84787642
58464	196	1997-04-12	VYDAJ	PREVOD NA UCET	1270	56384	SIPO	MN	84787642
58465	196	1997-05-12	VYDAJ	PREVOD NA UCET	1270	59313	SIPO	MN	84787642
58466	196	1997-06-12	VYDAJ	PREVOD NA UCET	1270	57916	SIPO	MN	84787642
58467	196	1997-07-12	VYDAJ	PREVOD NA UCET	1270	40843	SIPO	MN	84787642
58468	196	1997-08-12	VYDAJ	PREVOD NA UCET	1270	50109	SIPO	MN	84787642
58469	196	1997-09-12	VYDAJ	PREVOD NA UCET	1270	56508	SIPO	MN	84787642
58470	196	1997-10-12	VYDAJ	PREVOD NA UCET	1270	64835	SIPO	MN	84787642
58471	196	1997-11-12	VYDAJ	PREVOD NA UCET	1270	67291	SIPO	MN	84787642
58472	196	1997-12-12	VYDAJ	PREVOD NA UCET	1270	81832	SIPO	MN	84787642
58473	196	1998-01-12	VYDAJ	PREVOD NA UCET	1270	67044	SIPO	MN	84787642
58474	196	1998-02-12	VYDAJ	PREVOD NA UCET	1270	63016	SIPO	MN	84787642
58475	196	1998-03-12	VYDAJ	PREVOD NA UCET	1270	68270	SIPO	MN	84787642
58476	196	1998-04-12	VYDAJ	PREVOD NA UCET	1270	67439	SIPO	MN	84787642
58477	196	1998-05-12	VYDAJ	PREVOD NA UCET	1270	72507	SIPO	MN	84787642
58478	196	1998-06-12	VYDAJ	PREVOD NA UCET	1270	84968	SIPO	MN	84787642
58479	196	1998-07-12	VYDAJ	PREVOD NA UCET	1270	79379	SIPO	MN	84787642
58480	196	1998-08-12	VYDAJ	PREVOD NA UCET	1270	82594	SIPO	MN	84787642
58481	196	1998-09-12	VYDAJ	PREVOD NA UCET	1270	83018	SIPO	MN	84787642
58482	196	1998-10-12	VYDAJ	PREVOD NA UCET	1270	78936	SIPO	MN	84787642
58483	196	1998-11-12	VYDAJ	PREVOD NA UCET	1270	78843	SIPO	MN	84787642
58484	196	1998-12-12	VYDAJ	PREVOD NA UCET	1270	81111	SIPO	MN	84787642
58501	196	1994-05-05	VYDAJ	PREVOD NA UCET	4417	29679	 	AB	90261184
58502	196	1994-06-05	VYDAJ	PREVOD NA UCET	4417	26913	 	AB	90261184
58503	196	1994-07-05	VYDAJ	PREVOD NA UCET	4417	30424	 	AB	90261184
58504	196	1994-08-05	VYDAJ	PREVOD NA UCET	4417	23459	 	AB	90261184
58505	196	1994-09-05	VYDAJ	PREVOD NA UCET	4417	20872	 	AB	90261184
58506	196	1994-10-05	VYDAJ	PREVOD NA UCET	4417	20875	 	AB	90261184
58507	196	1994-11-05	VYDAJ	PREVOD NA UCET	4417	20075	 	AB	90261184
58508	196	1994-12-05	VYDAJ	PREVOD NA UCET	4417	18076	 	AB	90261184
58509	196	1995-01-05	VYDAJ	PREVOD NA UCET	4417	22552	 	AB	90261184
58510	196	1995-02-05	VYDAJ	PREVOD NA UCET	4417	19264	 	AB	90261184
58511	196	1995-03-05	VYDAJ	PREVOD NA UCET	4417	29993	 	AB	90261184
58512	196	1995-04-05	VYDAJ	PREVOD NA UCET	4417	28631	 	AB	90261184
58513	196	1995-05-05	VYDAJ	PREVOD NA UCET	4417	36991	 	AB	90261184
58514	196	1995-06-05	VYDAJ	PREVOD NA UCET	4417	28065	 	AB	90261184
58515	196	1995-07-05	VYDAJ	PREVOD NA UCET	4417	36799	 	AB	90261184
58516	196	1995-08-05	VYDAJ	PREVOD NA UCET	4417	40378	 	AB	90261184
58517	196	1995-09-05	VYDAJ	PREVOD NA UCET	4417	43771	 	AB	90261184
58518	196	1995-10-05	VYDAJ	PREVOD NA UCET	4417	37359	 	AB	90261184
58519	196	1995-11-05	VYDAJ	PREVOD NA UCET	4417	38645	 	AB	90261184
58520	196	1995-12-05	VYDAJ	PREVOD NA UCET	4417	37435	 	AB	90261184
58521	196	1996-01-05	VYDAJ	PREVOD NA UCET	4417	41909	 	AB	90261184
58522	196	1996-02-05	VYDAJ	PREVOD NA UCET	4417	39314	 	AB	90261184
58523	196	1996-03-05	VYDAJ	PREVOD NA UCET	4417	41107	 	AB	90261184
58524	196	1996-04-05	VYDAJ	PREVOD NA UCET	4417	45407	 	AB	90261184
58525	196	1996-05-05	VYDAJ	PREVOD NA UCET	4417	45823	 	AB	90261184
58526	196	1996-06-05	VYDAJ	PREVOD NA UCET	4417	49543	 	AB	90261184
58527	196	1996-07-05	VYDAJ	PREVOD NA UCET	4417	44650	 	AB	90261184
58528	196	1996-08-05	VYDAJ	PREVOD NA UCET	4417	45863	 	AB	90261184
58529	196	1996-09-05	VYDAJ	PREVOD NA UCET	4417	48781	 	AB	90261184
58530	196	1996-10-05	VYDAJ	PREVOD NA UCET	4417	45010	 	AB	90261184
58531	196	1996-11-05	VYDAJ	PREVOD NA UCET	4417	47324	 	AB	90261184
58532	196	1996-12-05	VYDAJ	PREVOD NA UCET	4417	44245	 	AB	90261184
58533	196	1997-01-05	VYDAJ	PREVOD NA UCET	4417	45928	 	AB	90261184
58534	196	1997-02-05	VYDAJ	PREVOD NA UCET	4417	43237	 	AB	90261184
58535	196	1997-03-05	VYDAJ	PREVOD NA UCET	4417	47944	 	AB	90261184
58536	196	1997-04-05	VYDAJ	PREVOD NA UCET	4417	50869	 	AB	90261184
58537	196	1997-05-05	VYDAJ	PREVOD NA UCET	4417	51698	 	AB	90261184
58538	196	1997-06-05	VYDAJ	PREVOD NA UCET	4417	42332	 	AB	90261184
58539	196	1997-07-05	VYDAJ	PREVOD NA UCET	4417	34528	 	AB	90261184
58540	196	1997-08-05	VYDAJ	PREVOD NA UCET	4417	40994	 	AB	90261184
58541	196	1997-09-05	VYDAJ	PREVOD NA UCET	4417	47393	 	AB	90261184
58542	196	1997-10-05	VYDAJ	PREVOD NA UCET	4417	55720	 	AB	90261184
58543	196	1997-11-05	VYDAJ	PREVOD NA UCET	4417	58176	 	AB	90261184
58544	196	1997-12-05	VYDAJ	PREVOD NA UCET	4417	66248	 	AB	90261184
58545	196	1998-01-05	VYDAJ	PREVOD NA UCET	4417	67829	 	AB	90261184
58546	196	1998-02-05	VYDAJ	PREVOD NA UCET	4417	57501	 	AB	90261184
58547	196	1998-03-05	VYDAJ	PREVOD NA UCET	4417	59155	 	AB	90261184
58548	196	1998-04-05	VYDAJ	PREVOD NA UCET	4417	58324	 	AB	90261184
58549	196	1998-05-05	VYDAJ	PREVOD NA UCET	4417	63392	 	AB	90261184
58550	196	1998-06-05	VYDAJ	PREVOD NA UCET	4417	69384	 	AB	90261184
58551	196	1998-07-05	VYDAJ	PREVOD NA UCET	4417	70264	 	AB	90261184
58552	196	1998-08-05	VYDAJ	PREVOD NA UCET	4417	73479	 	AB	90261184
58553	196	1998-09-05	VYDAJ	PREVOD NA UCET	4417	73903	 	AB	90261184
58554	196	1998-10-05	VYDAJ	PREVOD NA UCET	4417	69821	 	AB	90261184
58555	196	1998-11-05	VYDAJ	PREVOD NA UCET	4417	69728	 	AB	90261184
58556	196	1998-12-05	VYDAJ	PREVOD NA UCET	4417	65527	 	AB	90261184
58573	196	1994-05-07	VYDAJ	PREVOD NA UCET	2554	27125	POJISTNE	KL	30200135
58574	196	1994-06-07	VYDAJ	PREVOD NA UCET	2554	24359	POJISTNE	KL	30200135
58575	196	1994-07-07	VYDAJ	PREVOD NA UCET	2554	27870	POJISTNE	KL	30200135
58576	196	1994-08-07	VYDAJ	PREVOD NA UCET	2554	20905	POJISTNE	KL	30200135
58577	196	1994-09-07	VYDAJ	PREVOD NA UCET	2554	18318	POJISTNE	KL	30200135
58578	196	1994-10-07	VYDAJ	PREVOD NA UCET	2554	18321	POJISTNE	KL	30200135
58579	196	1994-11-07	VYDAJ	PREVOD NA UCET	2554	17521	POJISTNE	KL	30200135
58580	196	1994-12-07	VYDAJ	PREVOD NA UCET	2554	15522	POJISTNE	KL	30200135
58581	196	1995-01-07	VYDAJ	PREVOD NA UCET	2554	19998	POJISTNE	KL	30200135
58582	196	1995-02-07	VYDAJ	PREVOD NA UCET	2554	23010	POJISTNE	KL	30200135
58583	196	1995-03-07	VYDAJ	PREVOD NA UCET	2554	27439	POJISTNE	KL	30200135
58584	196	1995-04-07	VYDAJ	PREVOD NA UCET	2554	26077	POJISTNE	KL	30200135
58585	196	1995-05-07	VYDAJ	PREVOD NA UCET	2554	34437	POJISTNE	KL	30200135
58586	196	1995-06-07	VYDAJ	PREVOD NA UCET	2554	26811	POJISTNE	KL	30200135
58587	196	1995-07-07	VYDAJ	PREVOD NA UCET	2554	33345	POJISTNE	KL	30200135
58588	196	1995-08-07	VYDAJ	PREVOD NA UCET	2554	36724	POJISTNE	KL	30200135
58589	196	1995-09-07	VYDAJ	PREVOD NA UCET	2554	35517	POJISTNE	KL	30200135
58590	196	1995-10-07	VYDAJ	PREVOD NA UCET	2554	34805	POJISTNE	KL	30200135
58591	196	1995-11-07	VYDAJ	PREVOD NA UCET	2554	36091	POJISTNE	KL	30200135
58592	196	1995-12-07	VYDAJ	PREVOD NA UCET	2554	34881	POJISTNE	KL	30200135
58593	196	1996-01-07	VYDAJ	PREVOD NA UCET	2554	39355	POJISTNE	KL	30200135
58594	196	1996-02-07	VYDAJ	PREVOD NA UCET	2554	36760	POJISTNE	KL	30200135
58595	196	1996-03-07	VYDAJ	PREVOD NA UCET	2554	38553	POJISTNE	KL	30200135
58596	196	1996-04-07	VYDAJ	PREVOD NA UCET	2554	42853	POJISTNE	KL	30200135
58597	196	1996-05-07	VYDAJ	PREVOD NA UCET	2554	43269	POJISTNE	KL	30200135
58598	196	1996-06-07	VYDAJ	PREVOD NA UCET	2554	46989	POJISTNE	KL	30200135
58599	196	1996-07-07	VYDAJ	PREVOD NA UCET	2554	42096	POJISTNE	KL	30200135
58600	196	1996-08-07	VYDAJ	PREVOD NA UCET	2554	43309	POJISTNE	KL	30200135
58601	196	1996-09-07	VYDAJ	PREVOD NA UCET	2554	46227	POJISTNE	KL	30200135
58602	196	1996-10-07	VYDAJ	PREVOD NA UCET	2554	42456	POJISTNE	KL	30200135
58603	196	1996-11-07	VYDAJ	PREVOD NA UCET	2554	44770	POJISTNE	KL	30200135
58604	196	1996-12-07	VYDAJ	PREVOD NA UCET	2554	41691	POJISTNE	KL	30200135
58605	196	1997-01-07	VYDAJ	PREVOD NA UCET	2554	43374	POJISTNE	KL	30200135
58606	196	1997-02-07	VYDAJ	PREVOD NA UCET	2554	40683	POJISTNE	KL	30200135
58607	196	1997-03-07	VYDAJ	PREVOD NA UCET	2554	45390	POJISTNE	KL	30200135
58608	196	1997-04-07	VYDAJ	PREVOD NA UCET	2554	48315	POJISTNE	KL	30200135
58609	196	1997-05-07	VYDAJ	PREVOD NA UCET	2554	49144	POJISTNE	KL	30200135
58610	196	1997-06-07	VYDAJ	PREVOD NA UCET	2554	39778	POJISTNE	KL	30200135
58611	196	1997-07-07	VYDAJ	PREVOD NA UCET	2554	31974	POJISTNE	KL	30200135
58612	196	1997-08-07	VYDAJ	PREVOD NA UCET	2554	38440	POJISTNE	KL	30200135
58613	196	1997-09-07	VYDAJ	PREVOD NA UCET	2554	44839	POJISTNE	KL	30200135
58614	196	1997-10-07	VYDAJ	PREVOD NA UCET	2554	53166	POJISTNE	KL	30200135
58615	196	1997-11-07	VYDAJ	PREVOD NA UCET	2554	55622	POJISTNE	KL	30200135
58616	196	1997-12-07	VYDAJ	PREVOD NA UCET	2554	63694	POJISTNE	KL	30200135
58617	196	1998-01-07	VYDAJ	PREVOD NA UCET	2554	65275	POJISTNE	KL	30200135
58618	196	1998-02-07	VYDAJ	PREVOD NA UCET	2554	54947	POJISTNE	KL	30200135
58619	196	1998-03-07	VYDAJ	PREVOD NA UCET	2554	56601	POJISTNE	KL	30200135
58620	196	1998-04-07	VYDAJ	PREVOD NA UCET	2554	55770	POJISTNE	KL	30200135
58621	196	1998-05-07	VYDAJ	PREVOD NA UCET	2554	60838	POJISTNE	KL	30200135
58622	196	1998-06-07	VYDAJ	PREVOD NA UCET	2554	66830	POJISTNE	KL	30200135
58623	196	1998-07-07	VYDAJ	PREVOD NA UCET	2554	67710	POJISTNE	KL	30200135
58624	196	1998-08-07	VYDAJ	PREVOD NA UCET	2554	70925	POJISTNE	KL	30200135
58625	196	1998-09-07	VYDAJ	PREVOD NA UCET	2554	71349	POJISTNE	KL	30200135
58626	196	1998-10-07	VYDAJ	PREVOD NA UCET	2554	67267	POJISTNE	KL	30200135
58627	196	1998-11-07	VYDAJ	PREVOD NA UCET	2554	67174	POJISTNE	KL	30200135
58628	196	1998-12-07	VYDAJ	PREVOD NA UCET	2554	62973	POJISTNE	KL	30200135
58644	196	1994-04-13	VYDAJ	PREVOD NA UCET	385	47133	 	IJ	21173686
58645	196	1994-05-13	VYDAJ	PREVOD NA UCET	385	38409	 	IJ	21173686
58646	196	1994-06-13	VYDAJ	PREVOD NA UCET	385	34712	 	IJ	21173686
58647	196	1994-07-13	VYDAJ	PREVOD NA UCET	385	31854	 	IJ	21173686
58648	196	1994-08-13	VYDAJ	PREVOD NA UCET	385	29289	 	IJ	21173686
58649	196	1994-09-13	VYDAJ	PREVOD NA UCET	385	25202	 	IJ	21173686
58650	196	1994-10-13	VYDAJ	PREVOD NA UCET	385	24405	 	IJ	21173686
58651	196	1994-11-13	VYDAJ	PREVOD NA UCET	385	25205	 	IJ	21173686
58652	196	1994-12-13	VYDAJ	PREVOD NA UCET	385	26875	 	IJ	21173686
58653	196	1995-01-13	VYDAJ	PREVOD NA UCET	385	33382	 	IJ	21173686
58654	196	1995-02-13	VYDAJ	PREVOD NA UCET	385	34294	 	IJ	21173686
58655	196	1995-03-13	VYDAJ	PREVOD NA UCET	385	34623	 	IJ	21173686
58656	196	1995-04-13	VYDAJ	PREVOD NA UCET	385	41261	 	IJ	21173686
58657	196	1995-05-13	VYDAJ	PREVOD NA UCET	385	42521	 	IJ	21173686
58658	196	1995-06-13	VYDAJ	PREVOD NA UCET	385	41064	 	IJ	21173686
58659	196	1995-07-13	VYDAJ	PREVOD NA UCET	385	44629	 	IJ	21173686
58660	196	1995-08-13	VYDAJ	PREVOD NA UCET	385	48008	 	IJ	21173686
58661	196	1995-09-13	VYDAJ	PREVOD NA UCET	385	46801	 	IJ	21173686
58662	196	1995-10-13	VYDAJ	PREVOD NA UCET	385	46089	 	IJ	21173686
58663	196	1995-11-13	VYDAJ	PREVOD NA UCET	385	47375	 	IJ	21173686
58664	196	1995-12-13	VYDAJ	PREVOD NA UCET	385	52634	 	IJ	21173686
58665	196	1996-01-13	VYDAJ	PREVOD NA UCET	385	50639	 	IJ	21173686
58666	196	1996-02-13	VYDAJ	PREVOD NA UCET	385	48044	 	IJ	21173686
58667	196	1996-03-13	VYDAJ	PREVOD NA UCET	385	49837	 	IJ	21173686
58668	196	1996-04-13	VYDAJ	PREVOD NA UCET	385	54137	 	IJ	21173686
58669	196	1996-05-13	VYDAJ	PREVOD NA UCET	385	54553	 	IJ	21173686
58670	196	1996-06-13	VYDAJ	PREVOD NA UCET	385	64742	 	IJ	21173686
58671	196	1996-07-13	VYDAJ	PREVOD NA UCET	385	53380	 	IJ	21173686
58672	196	1996-08-13	VYDAJ	PREVOD NA UCET	385	54593	 	IJ	21173686
58673	196	1996-09-13	VYDAJ	PREVOD NA UCET	385	57511	 	IJ	21173686
58674	196	1996-10-13	VYDAJ	PREVOD NA UCET	385	53740	 	IJ	21173686
58675	196	1996-11-13	VYDAJ	PREVOD NA UCET	385	56054	 	IJ	21173686
58676	196	1996-12-13	VYDAJ	PREVOD NA UCET	385	55244	 	IJ	21173686
58677	196	1997-01-13	VYDAJ	PREVOD NA UCET	385	54658	 	IJ	21173686
58678	196	1997-02-13	VYDAJ	PREVOD NA UCET	385	51967	 	IJ	21173686
58679	196	1997-03-13	VYDAJ	PREVOD NA UCET	385	56674	 	IJ	21173686
58680	196	1997-04-13	VYDAJ	PREVOD NA UCET	385	55999	 	IJ	21173686
58681	196	1997-05-13	VYDAJ	PREVOD NA UCET	385	58928	 	IJ	21173686
58682	196	1997-06-13	VYDAJ	PREVOD NA UCET	385	57531	 	IJ	21173686
58683	196	1997-07-13	VYDAJ	PREVOD NA UCET	385	40458	 	IJ	21173686
58684	196	1997-08-13	VYDAJ	PREVOD NA UCET	385	49724	 	IJ	21173686
58685	196	1997-09-13	VYDAJ	PREVOD NA UCET	385	56123	 	IJ	21173686
58686	196	1997-10-13	VYDAJ	PREVOD NA UCET	385	64450	 	IJ	21173686
58687	196	1997-11-13	VYDAJ	PREVOD NA UCET	385	66906	 	IJ	21173686
58688	196	1997-12-13	VYDAJ	PREVOD NA UCET	385	81447	 	IJ	21173686
58689	196	1998-01-13	VYDAJ	PREVOD NA UCET	385	66659	 	IJ	21173686
58690	196	1998-02-13	VYDAJ	PREVOD NA UCET	385	62631	 	IJ	21173686
58691	196	1998-03-13	VYDAJ	PREVOD NA UCET	385	67885	 	IJ	21173686
58692	196	1998-04-13	VYDAJ	PREVOD NA UCET	385	67054	 	IJ	21173686
58693	196	1998-05-13	VYDAJ	PREVOD NA UCET	385	72122	 	IJ	21173686
58694	196	1998-06-13	VYDAJ	PREVOD NA UCET	385	81683	 	IJ	21173686
58695	196	1998-07-13	VYDAJ	PREVOD NA UCET	385	78994	 	IJ	21173686
58696	196	1998-08-13	VYDAJ	PREVOD NA UCET	385	82209	 	IJ	21173686
58697	196	1998-09-13	VYDAJ	PREVOD NA UCET	385	82633	 	IJ	21173686
58698	196	1998-10-13	VYDAJ	PREVOD NA UCET	385	78551	 	IJ	21173686
58699	196	1998-11-13	VYDAJ	PREVOD NA UCET	385	78458	 	IJ	21173686
58700	196	1998-12-13	VYDAJ	PREVOD NA UCET	385	80726	 	IJ	21173686
58703	196	1995-06-03	VYDAJ	VYBER	10200	32482	\N	\N	\N
58704	196	1996-06-23	VYDAJ	VYBER	9000	50942	\N	\N	\N
58705	196	1997-06-26	VYDAJ	VYBER	29700	38731	\N	\N	\N
58706	196	1998-06-14	VYDAJ	VYBER	5600	76083	\N	\N	\N
58709	196	1995-01-15	VYDAJ	VYBER	7800	25582	\N	\N	\N
58710	196	1996-01-29	VYDAJ	VYBER	1300	49339	\N	\N	\N
58711	196	1997-01-19	VYDAJ	VYBER	4600	50058	\N	\N	\N
58712	196	1998-01-07	VYDAJ	VYBER	6800	58475	\N	\N	\N
58714	196	1994-12-02	VYDAJ	VYBER	2800	22493	\N	\N	\N
58715	196	1995-12-02	VYDAJ	VYBER	1300	46252	\N	\N	\N
58716	196	1996-12-19	VYDAJ	VYBER KARTOU	500	54744	\N	\N	0
58717	196	1997-12-28	VYDAJ	VYBER KARTOU	1400	71947	\N	\N	0
58718	196	1998-12-28	VYDAJ	VYBER KARTOU	1400	73626	\N	\N	0
58723	196	1994-08-03	VYDAJ	VYBER	600	27876	\N	\N	\N
58724	196	1994-08-23	VYDAJ	VYBER	4100	25189	\N	\N	\N
58725	196	1994-07-31	VYDAJ	VYBER	3500	28476	\N	\N	\N
58728	196	1995-03-14	VYDAJ	VYBER	1700	32923	\N	\N	\N
58729	196	1995-06-13	VYDAJ	VYBER	3500	41449	\N	\N	\N
58730	196	1995-02-05	VYDAJ	VYBER	2000	23681	\N	\N	\N
58731	196	1995-05-10	VYDAJ	VYBER	3100	44176	\N	\N	\N
58732	196	1996-12-25	VYDAJ	VYBER KARTOU	3100	51644	\N	\N	0
58733	196	1996-09-28	VYDAJ	VYBER KARTOU	3300	54211	\N	\N	0
58734	196	1996-12-08	VYDAJ	VYBER	4200	37491	\N	\N	\N
58735	196	1996-06-13	VYDAJ	VYBER	4800	59942	\N	\N	\N
58736	196	1996-10-03	VYDAJ	VYBER KARTOU	2000	49427	\N	\N	0
58737	196	1997-06-04	VYDAJ	VYBER KARTOU	2300	46749	\N	\N	0
58738	196	1997-07-10	VYDAJ	VYBER KARTOU	2800	42113	\N	\N	0
58739	196	1997-08-21	VYDAJ	VYBER KARTOU	700	49024	\N	\N	0
58740	196	1997-05-07	VYDAJ	VYBER KARTOU	1500	47644	\N	\N	0
58741	196	1997-05-28	VYDAJ	VYBER KARTOU	4000	52628	\N	\N	0
58742	196	1997-04-10	VYDAJ	VYBER KARTOU	3600	57654	\N	\N	0
58743	196	1997-06-01	VYDAJ	VYBER KARTOU	3800	49049	\N	\N	0
58744	196	1998-06-13	VYDAJ	VYBER KARTOU	2900	82068	\N	\N	0
58745	196	1998-11-18	VYDAJ	VYBER	4200	74258	\N	\N	\N
58746	196	1998-03-31	VYDAJ	VYBER KARTOU	2900	62755	\N	\N	0
58747	196	1998-02-08	VYDAJ	VYBER KARTOU	3600	51347	\N	\N	0
58748	196	1998-01-12	VYDAJ	VYBER KARTOU	3100	68314	\N	\N	0
58765	196	1994-04-30	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
58766	196	1994-05-31	VYDAJ	VYBER	15	31330	SLUZBY	\N	\N
58767	196	1994-06-30	VYDAJ	VYBER	15	34841	SLUZBY	\N	\N
58768	196	1994-07-31	VYDAJ	VYBER	15	31976	SLUZBY	\N	\N
58769	196	1994-08-31	VYDAJ	VYBER	15	25289	SLUZBY	\N	\N
58770	196	1994-09-30	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
58771	196	1994-10-31	VYDAJ	VYBER	15	24492	SLUZBY	\N	\N
58772	196	1994-11-30	VYDAJ	VYBER	15	25293	SLUZBY	\N	\N
58773	196	1994-12-31	VYDAJ	VYBER	15	26969	SLUZBY	\N	\N
58774	196	1995-01-31	VYDAJ	VYBER	15	25681	SLUZBY	\N	\N
58775	196	1995-02-28	VYDAJ	VYBER	15	34410	SLUZBY	\N	\N
58776	196	1995-03-31	VYDAJ	VYBER	15	33048	SLUZBY	\N	\N
58777	196	1995-04-30	VYDAJ	VYBER	15	41408	SLUZBY	\N	\N
58778	196	1995-05-31	VYDAJ	VYBER	15	42682	SLUZBY	\N	\N
58779	196	1995-06-30	VYDAJ	VYBER	15	41216	SLUZBY	\N	\N
58780	196	1995-07-31	VYDAJ	VYBER	15	44795	SLUZBY	\N	\N
58781	196	1995-08-31	VYDAJ	VYBER	15	48188	SLUZBY	\N	\N
58782	196	1995-09-30	VYDAJ	VYBER	15	46976	SLUZBY	\N	\N
58783	196	1995-10-31	VYDAJ	VYBER	15	46262	SLUZBY	\N	\N
58784	196	1995-11-30	VYDAJ	VYBER	15	47552	SLUZBY	\N	\N
58785	196	1995-12-31	VYDAJ	VYBER	15	52826	SLUZBY	\N	\N
58786	196	1996-01-31	VYDAJ	VYBER	15	49531	SLUZBY	\N	\N
58787	196	1996-02-29	VYDAJ	VYBER	15	48224	SLUZBY	\N	\N
58788	196	1996-03-31	VYDAJ	VYBER	15	50024	SLUZBY	\N	\N
58789	196	1996-04-30	VYDAJ	VYBER	15	54340	SLUZBY	\N	\N
58790	196	1996-05-31	VYDAJ	VYBER	15	54760	SLUZBY	\N	\N
58791	196	1996-06-30	VYDAJ	VYBER	15	51167	SLUZBY	\N	\N
58792	196	1996-07-31	VYDAJ	VYBER	15	50280	SLUZBY	\N	\N
58793	196	1996-08-31	VYDAJ	VYBER	15	53198	SLUZBY	\N	\N
58794	196	1996-09-30	VYDAJ	VYBER	15	51427	SLUZBY	\N	\N
58795	196	1996-10-31	VYDAJ	VYBER	15	51741	SLUZBY	\N	\N
58796	196	1996-11-30	VYDAJ	VYBER	15	48662	SLUZBY	\N	\N
58797	196	1996-12-31	VYDAJ	VYBER	15	50345	SLUZBY	\N	\N
58798	196	1997-01-31	VYDAJ	VYBER	15	47654	SLUZBY	\N	\N
58799	196	1997-02-28	VYDAJ	VYBER	15	52361	SLUZBY	\N	\N
58800	196	1997-03-31	VYDAJ	VYBER	15	55286	SLUZBY	\N	\N
58801	196	1997-04-30	VYDAJ	VYBER	15	56115	SLUZBY	\N	\N
58802	196	1997-05-31	VYDAJ	VYBER	15	52849	SLUZBY	\N	\N
58803	196	1997-06-30	VYDAJ	VYBER	15	38945	SLUZBY	\N	\N
58804	196	1997-07-31	VYDAJ	VYBER	15	45411	SLUZBY	\N	\N
58805	196	1997-08-31	VYDAJ	VYBER	15	51810	SLUZBY	\N	\N
58806	196	1997-09-30	VYDAJ	VYBER	15	60137	SLUZBY	\N	\N
58807	196	1997-10-31	VYDAJ	VYBER	15	62593	SLUZBY	\N	\N
58808	196	1997-11-30	VYDAJ	VYBER	15	70665	SLUZBY	\N	\N
58809	196	1997-12-31	VYDAJ	VYBER	15	72246	SLUZBY	\N	\N
58810	196	1998-01-31	VYDAJ	VYBER	15	61918	SLUZBY	\N	\N
58811	196	1998-02-28	VYDAJ	VYBER	15	63572	SLUZBY	\N	\N
58812	196	1998-03-31	VYDAJ	VYBER	15	62741	SLUZBY	\N	\N
58813	196	1998-04-30	VYDAJ	VYBER	15	67809	SLUZBY	\N	\N
58814	196	1998-05-31	VYDAJ	VYBER	15	73801	SLUZBY	\N	\N
58815	196	1998-06-30	VYDAJ	VYBER	15	74681	SLUZBY	\N	\N
58816	196	1998-07-31	VYDAJ	VYBER	15	77896	SLUZBY	\N	\N
58817	196	1998-08-31	VYDAJ	VYBER	15	78320	SLUZBY	\N	\N
58818	196	1998-09-30	VYDAJ	VYBER	15	74238	SLUZBY	\N	\N
58819	196	1998-10-31	VYDAJ	VYBER	15	74145	SLUZBY	\N	\N
58820	196	1998-11-30	VYDAJ	VYBER	15	69944	SLUZBY	\N	\N
58821	196	1993-12-14	PRIJEM	VKLAD	2500	22308	\N	\N	\N
58822	196	1994-01-13	VYDAJ	VYBER	7700	27601	\N	\N	\N
58823	196	1994-02-12	VYDAJ	VYBER	9800	30846	\N	\N	\N
58824	196	1994-03-14	VYDAJ	VYBER	8200	35709	\N	\N	\N
58825	196	1994-04-13	VYDAJ	VYBER	13200	33933	\N	\N	\N
58826	196	1994-05-13	VYDAJ	VYBER	7200	31209	\N	\N	\N
58827	196	1994-06-12	VYDAJ	VYBER	7400	35097	\N	\N	\N
58828	196	1994-07-12	VYDAJ	VYBER	7300	33509	\N	\N	\N
58829	196	1994-08-11	VYDAJ	VYBER	2900	30944	\N	\N	\N
58830	196	1994-09-10	VYDAJ	VYBER	4400	26857	\N	\N	\N
58831	196	1994-10-10	VYDAJ	VYBER	5200	26060	\N	\N	\N
58832	196	1994-11-09	VYDAJ	VYBER	3600	26860	\N	\N	\N
58833	196	1994-12-09	VYDAJ	VYBER	6400	28530	\N	\N	\N
58834	196	1995-01-08	PRIJEM	VKLAD	2100	22098	\N	\N	\N
58835	196	1995-02-07	PRIJEM	VKLAD	6300	25564	\N	\N	\N
58836	196	1995-03-09	VYDAJ	VYBER	4100	36278	\N	\N	\N
58837	196	1995-04-08	PRIJEM	VKLAD	3900	29977	\N	\N	\N
58838	196	1995-05-08	VYDAJ	VYBER	100	34337	\N	\N	\N
58839	196	1995-06-07	PRIJEM	VKLAD	1300	29365	\N	\N	\N
58840	196	1995-07-07	VYDAJ	VYBER	900	35899	\N	\N	\N
58841	196	1995-08-06	VYDAJ	VYBER	1100	39278	\N	\N	\N
58842	196	1995-09-05	VYDAJ	VYBER	5700	38071	\N	\N	\N
58843	196	1995-10-05	VYDAJ	VYBER	5200	41776	\N	\N	\N
58844	196	1995-11-04	VYDAJ	VYBER	3200	43062	\N	\N	\N
58845	196	1995-12-04	VYDAJ	VYBER	4400	41852	\N	\N	\N
58846	196	1996-01-03	VYDAJ	VYBER	6500	46326	\N	\N	\N
58847	196	1996-02-02	VYDAJ	VYBER	5800	43731	\N	\N	\N
58848	196	1996-03-03	VYDAJ	VYBER	2700	45524	\N	\N	\N
58849	196	1996-04-02	VYDAJ	VYBER	200	49824	\N	\N	\N
58850	196	1996-05-02	VYDAJ	VYBER	4100	50240	\N	\N	\N
58851	196	1996-06-01	VYDAJ	VYBER KARTOU	800	53960	\N	\N	0
58852	196	1996-07-01	VYDAJ	VYBER KARTOU	2100	49067	\N	\N	0
58853	196	1996-07-31	VYDAJ	VYBER KARTOU	3300	50295	\N	\N	0
58854	196	1996-08-30	VYDAJ	VYBER KARTOU	1600	52993	\N	\N	0
58855	196	1996-09-29	VYDAJ	VYBER KARTOU	3000	51211	\N	\N	0
58856	196	1996-10-29	VYDAJ	VYBER KARTOU	2200	51540	\N	\N	0
58857	196	1996-11-28	VYDAJ	VYBER	7600	48454	\N	\N	\N
58858	196	1996-12-28	VYDAJ	VYBER KARTOU	1500	50144	\N	\N	0
58859	196	1997-01-27	VYDAJ	VYBER KARTOU	2600	47458	\N	\N	0
58860	196	1997-02-26	PRIJEM	VKLAD	200	52167	\N	\N	\N
58861	196	1997-03-28	VYDAJ	VYBER KARTOU	1600	55074	\N	\N	0
58862	196	1997-04-27	VYDAJ	VYBER KARTOU	100	55899	\N	\N	0
58863	196	1997-05-27	VYDAJ	VYBER KARTOU	2300	56628	\N	\N	0
58864	196	1997-06-26	PRIJEM	VKLAD	10900	68431	\N	\N	\N
58865	196	1997-07-26	PRIJEM	VKLAD	4800	45258	\N	\N	\N
58866	196	1997-08-25	PRIJEM	VKLAD	2600	51624	\N	\N	\N
58867	196	1997-09-24	PRIJEM	VKLAD	3800	59923	\N	\N	\N
58868	196	1997-10-24	VYDAJ	VYBER KARTOU	2100	62350	\N	\N	0
58869	196	1997-11-23	PRIJEM	VKLAD	3500	70406	\N	\N	\N
58870	196	1997-12-23	VYDAJ	VYBER	8100	73347	\N	\N	\N
58871	196	1998-01-22	VYDAJ	VYBER	5000	61659	\N	\N	\N
58872	196	1998-02-21	PRIJEM	VKLAD	700	63331	\N	\N	\N
58873	196	1998-03-23	VYDAJ	VYBER KARTOU	2500	65385	\N	\N	0
58874	196	1998-04-22	PRIJEM	VKLAD	500	67554	\N	\N	\N
58875	196	1998-05-22	PRIJEM	VKLAD	1400	73522	\N	\N	\N
58876	196	1998-06-21	VYDAJ	VYBER KARTOU	1700	74383	\N	\N	0
58877	196	1998-07-21	VYDAJ	VYBER KARTOU	1400	77594	\N	\N	0
58878	196	1998-08-20	VYDAJ	VYBER	4200	78009	\N	\N	\N
58879	196	1998-09-19	VYDAJ	VYBER	8700	73933	\N	\N	\N
58880	196	1998-10-19	VYDAJ	VYBER	4700	73851	\N	\N	\N
58881	196	1998-11-18	VYDAJ	VYBER	4600	69658	\N	\N	\N
58882	196	1998-12-18	VYDAJ	VYBER	5700	75026	\N	\N	\N
58944	197	1993-02-25	PRIJEM	VKLAD	800	800	\N	\N	\N
58947	197	1993-03-06	PRIJEM	VKLAD	21718	22518	\N	\N	\N
58948	197	1993-04-06	PRIJEM	VKLAD	21718	44952	\N	\N	\N
58949	197	1993-05-06	PRIJEM	VKLAD	21718	55674	\N	\N	\N
58950	197	1993-06-06	PRIJEM	VKLAD	32577	75299	\N	\N	\N
58951	197	1993-07-06	PRIJEM	VKLAD	21718	73001	\N	\N	\N
58952	197	1993-08-06	PRIJEM	VKLAD	21718	66083	\N	\N	\N
58953	197	1993-09-06	PRIJEM	VKLAD	21718	60132	\N	\N	\N
58954	197	1993-10-06	PRIJEM	VKLAD	21718	59400	\N	\N	\N
58955	197	1993-11-06	PRIJEM	VKLAD	21718	60191	\N	\N	\N
58956	197	1993-12-06	PRIJEM	VKLAD	32577	68174	\N	\N	\N
58957	197	1994-01-06	PRIJEM	VKLAD	21718	62875	\N	\N	\N
58958	197	1994-02-06	PRIJEM	VKLAD	21718	60509	\N	\N	\N
58959	197	1994-03-06	PRIJEM	VKLAD	21718	59335	\N	\N	\N
58960	197	1994-04-06	PRIJEM	VKLAD	21718	59759	\N	\N	\N
58961	197	1994-05-06	PRIJEM	VKLAD	21718	60384	\N	\N	\N
58962	197	1994-06-06	PRIJEM	VKLAD	32577	68726	\N	\N	\N
58963	197	1994-07-06	PRIJEM	VKLAD	21718	46333	\N	\N	\N
58964	197	1994-08-06	PRIJEM	VKLAD	21718	53235	\N	\N	\N
58965	197	1994-09-06	PRIJEM	VKLAD	21718	55532	\N	\N	\N
58966	197	1994-10-06	PRIJEM	VKLAD	21718	55934	\N	\N	\N
58967	197	1994-11-06	PRIJEM	VKLAD	21718	55336	\N	\N	\N
58968	197	1994-12-06	PRIJEM	VKLAD	32577	68799	\N	\N	\N
58969	197	1995-01-06	PRIJEM	VKLAD	21718	58760	\N	\N	\N
58970	197	1995-02-06	PRIJEM	VKLAD	21718	56967	\N	\N	\N
58971	197	1995-03-06	PRIJEM	VKLAD	21718	56969	\N	\N	\N
58972	197	1995-04-06	PRIJEM	VKLAD	21718	57776	\N	\N	\N
58973	197	1995-05-06	PRIJEM	VKLAD	21718	51399	\N	\N	\N
58974	197	1995-06-06	PRIJEM	VKLAD	32577	61456	\N	\N	\N
58975	197	1995-07-06	PRIJEM	VKLAD	21718	57453	\N	\N	\N
58976	197	1995-08-06	PRIJEM	VKLAD	21718	57382	\N	\N	\N
58977	197	1995-09-06	PRIJEM	VKLAD	21718	57284	\N	\N	\N
58978	197	1995-10-06	PRIJEM	VKLAD	21718	56882	\N	\N	\N
58979	197	1995-11-06	PRIJEM	VKLAD	21718	58785	\N	\N	\N
58980	197	1995-12-06	PRIJEM	VKLAD	32577	64158	\N	\N	\N
58981	197	1996-01-06	PRIJEM	VKLAD	21718	58478	\N	\N	\N
58982	197	1996-02-06	PRIJEM	VKLAD	21718	53364	\N	\N	\N
58983	197	1996-03-06	PRIJEM	VKLAD	21718	47729	\N	\N	\N
58984	197	1996-04-06	PRIJEM	VKLAD	21718	51295	\N	\N	\N
58985	197	1996-05-06	PRIJEM	VKLAD	21718	47355	\N	\N	\N
58986	197	1996-06-06	PRIJEM	VKLAD	32577	56512	\N	\N	\N
58987	197	1996-07-06	PRIJEM	VKLAD	21718	35753	\N	\N	\N
58988	197	1996-08-06	PRIJEM	VKLAD	21718	41178	\N	\N	\N
58989	197	1996-09-06	PRIJEM	VKLAD	21718	41812	\N	\N	\N
58990	197	1996-10-06	PRIJEM	VKLAD	21718	39741	\N	\N	\N
58991	197	1996-11-06	PRIJEM	VKLAD	21718	39667	\N	\N	\N
58992	197	1996-12-06	PRIJEM	VKLAD	32577	53966	\N	\N	\N
58993	197	1997-01-06	PRIJEM	VKLAD	21718	42598	\N	\N	\N
58994	197	1997-02-06	PRIJEM	VKLAD	21718	48381	\N	\N	\N
58995	197	1997-03-06	PRIJEM	VKLAD	21718	56833	\N	\N	\N
58996	197	1997-04-06	PRIJEM	VKLAD	21718	46016	\N	\N	\N
58997	197	1997-05-06	PRIJEM	VKLAD	21718	50912	\N	\N	\N
58998	197	1997-06-06	PRIJEM	VKLAD	32577	61894	\N	\N	\N
58999	197	1997-07-06	PRIJEM	VKLAD	21718	60854	\N	\N	\N
59000	197	1997-08-06	PRIJEM	VKLAD	21718	55745	\N	\N	\N
59001	197	1997-09-06	PRIJEM	VKLAD	21718	60588	\N	\N	\N
59002	197	1997-10-06	PRIJEM	VKLAD	21718	61050	\N	\N	\N
59003	197	1997-11-06	PRIJEM	VKLAD	21718	61317	\N	\N	\N
59004	197	1997-12-06	PRIJEM	VKLAD	32577	76344	\N	\N	\N
59005	197	1998-01-06	PRIJEM	VKLAD	21718	72056	\N	\N	\N
59006	197	1998-02-06	PRIJEM	VKLAD	21718	67897	\N	\N	\N
59007	197	1998-03-06	PRIJEM	VKLAD	21718	66268	\N	\N	\N
59008	197	1998-04-06	PRIJEM	VKLAD	21718	67556	\N	\N	\N
59009	197	1998-05-06	PRIJEM	VKLAD	21718	64122	\N	\N	\N
59010	197	1998-06-06	PRIJEM	VKLAD	32577	74734	\N	\N	\N
59011	197	1998-07-06	PRIJEM	VKLAD	21718	45777	\N	\N	\N
59012	197	1998-08-06	PRIJEM	VKLAD	21718	51754	\N	\N	\N
59013	197	1998-09-06	PRIJEM	VKLAD	21718	55654	\N	\N	\N
59014	197	1998-10-06	PRIJEM	VKLAD	21718	58267	\N	\N	\N
59015	197	1998-11-06	PRIJEM	VKLAD	21718	58090	\N	\N	\N
59016	197	1998-12-06	PRIJEM	VKLAD	32577	68073	\N	\N	\N
59023	197	1993-07-11	VYDAJ	PREVOD NA UCET	9454	61747	SIPO	EF	67286312
59024	197	1993-08-11	VYDAJ	PREVOD NA UCET	9454	56629	SIPO	EF	67286312
59025	197	1993-09-11	VYDAJ	PREVOD NA UCET	9454	50678	SIPO	EF	67286312
59026	197	1993-10-11	VYDAJ	PREVOD NA UCET	9454	49106	SIPO	EF	67286312
59027	197	1993-11-11	VYDAJ	PREVOD NA UCET	9454	50737	SIPO	EF	67286312
59028	197	1993-12-11	VYDAJ	PREVOD NA UCET	9454	58720	SIPO	EF	67286312
59029	197	1994-01-11	VYDAJ	PREVOD NA UCET	9454	53421	SIPO	EF	67286312
59030	197	1994-02-11	VYDAJ	PREVOD NA UCET	9454	51055	SIPO	EF	67286312
59031	197	1994-03-11	VYDAJ	PREVOD NA UCET	9454	49881	SIPO	EF	67286312
59032	197	1994-04-11	VYDAJ	PREVOD NA UCET	9454	50305	SIPO	EF	67286312
59033	197	1994-05-11	VYDAJ	PREVOD NA UCET	9454	50930	SIPO	EF	67286312
59034	197	1994-06-11	VYDAJ	PREVOD NA UCET	9454	57112	SIPO	EF	67286312
59035	197	1994-07-11	VYDAJ	PREVOD NA UCET	9454	36879	SIPO	EF	67286312
59036	197	1994-08-11	VYDAJ	PREVOD NA UCET	9454	43781	SIPO	EF	67286312
59037	197	1994-09-11	VYDAJ	PREVOD NA UCET	9454	46078	SIPO	EF	67286312
59038	197	1994-10-11	VYDAJ	PREVOD NA UCET	9454	46480	SIPO	EF	67286312
59039	197	1994-11-11	VYDAJ	PREVOD NA UCET	9454	45882	SIPO	EF	67286312
59040	197	1994-12-11	VYDAJ	PREVOD NA UCET	9454	59345	SIPO	EF	67286312
59041	197	1995-01-11	VYDAJ	PREVOD NA UCET	9454	49306	SIPO	EF	67286312
59042	197	1995-02-11	VYDAJ	PREVOD NA UCET	9454	47513	SIPO	EF	67286312
59043	197	1995-03-11	VYDAJ	PREVOD NA UCET	9454	47515	SIPO	EF	67286312
59044	197	1995-04-11	VYDAJ	PREVOD NA UCET	9454	44482	SIPO	EF	67286312
59045	197	1995-05-11	VYDAJ	PREVOD NA UCET	9454	41945	SIPO	EF	67286312
59046	197	1995-06-11	VYDAJ	PREVOD NA UCET	9454	52002	SIPO	EF	67286312
59047	197	1995-07-11	VYDAJ	PREVOD NA UCET	9454	45119	SIPO	EF	67286312
59048	197	1995-08-11	VYDAJ	PREVOD NA UCET	9454	47928	SIPO	EF	67286312
59049	197	1995-09-11	VYDAJ	PREVOD NA UCET	9454	47830	SIPO	EF	67286312
59050	197	1995-10-11	VYDAJ	PREVOD NA UCET	9454	47428	SIPO	EF	67286312
59051	197	1995-11-11	VYDAJ	PREVOD NA UCET	9454	49331	SIPO	EF	67286312
59052	197	1995-12-11	VYDAJ	PREVOD NA UCET	9454	54704	SIPO	EF	67286312
59053	197	1996-01-11	VYDAJ	PREVOD NA UCET	9454	49024	SIPO	EF	67286312
59054	197	1996-02-11	VYDAJ	PREVOD NA UCET	9454	25910	SIPO	EF	67286312
59055	197	1996-03-11	VYDAJ	PREVOD NA UCET	9454	29475	SIPO	EF	67286312
59056	197	1996-04-11	VYDAJ	PREVOD NA UCET	9454	25541	SIPO	EF	67286312
59057	197	1996-05-11	VYDAJ	PREVOD NA UCET	9454	27201	SIPO	EF	67286312
59058	197	1996-06-11	VYDAJ	PREVOD NA UCET	9454	13978	SIPO	EF	67286312
59059	197	1996-07-11	VYDAJ	PREVOD NA UCET	9454	19399	SIPO	EF	67286312
59060	197	1996-08-11	VYDAJ	PREVOD NA UCET	9454	20024	SIPO	EF	67286312
59061	197	1996-09-11	VYDAJ	PREVOD NA UCET	9454	17958	SIPO	EF	67286312
59062	197	1996-10-11	VYDAJ	PREVOD NA UCET	9454	17887	SIPO	EF	67286312
59063	197	1996-11-11	VYDAJ	PREVOD NA UCET	9454	21313	SIPO	EF	67286312
59064	197	1996-12-11	VYDAJ	PREVOD NA UCET	9454	25712	SIPO	EF	67286312
59065	197	1997-01-11	VYDAJ	PREVOD NA UCET	9454	33144	SIPO	EF	67286312
59066	197	1997-02-11	VYDAJ	PREVOD NA UCET	9454	38927	SIPO	EF	67286312
59067	197	1997-03-11	VYDAJ	PREVOD NA UCET	9454	28179	SIPO	EF	67286312
59068	197	1997-04-11	VYDAJ	PREVOD NA UCET	9454	36562	SIPO	EF	67286312
59069	197	1997-05-11	VYDAJ	PREVOD NA UCET	9454	41458	SIPO	EF	67286312
59070	197	1997-06-11	VYDAJ	PREVOD NA UCET	9454	52440	SIPO	EF	67286312
59071	197	1997-07-11	VYDAJ	PREVOD NA UCET	9454	51400	SIPO	EF	67286312
59072	197	1997-08-11	VYDAJ	PREVOD NA UCET	9454	46291	SIPO	EF	67286312
59073	197	1997-09-11	VYDAJ	PREVOD NA UCET	9454	51134	SIPO	EF	67286312
59074	197	1997-10-11	VYDAJ	PREVOD NA UCET	9454	51596	SIPO	EF	67286312
59075	197	1997-11-11	VYDAJ	PREVOD NA UCET	9454	51863	SIPO	EF	67286312
59076	197	1997-12-11	VYDAJ	PREVOD NA UCET	9454	64490	SIPO	EF	67286312
59077	197	1998-01-11	VYDAJ	PREVOD NA UCET	9454	62602	SIPO	EF	67286312
59078	197	1998-02-11	VYDAJ	PREVOD NA UCET	9454	58443	SIPO	EF	67286312
59079	197	1998-03-11	VYDAJ	PREVOD NA UCET	9454	56814	SIPO	EF	67286312
59080	197	1998-04-11	VYDAJ	PREVOD NA UCET	9454	58102	SIPO	EF	67286312
59081	197	1998-05-11	VYDAJ	PREVOD NA UCET	9454	54668	SIPO	EF	67286312
59082	197	1998-06-11	VYDAJ	PREVOD NA UCET	9454	65280	SIPO	EF	67286312
59083	197	1998-07-11	VYDAJ	PREVOD NA UCET	9454	36323	SIPO	EF	67286312
59084	197	1998-08-11	VYDAJ	PREVOD NA UCET	9454	42300	SIPO	EF	67286312
59085	197	1998-09-11	VYDAJ	PREVOD NA UCET	9454	46200	SIPO	EF	67286312
59086	197	1998-10-11	VYDAJ	PREVOD NA UCET	9454	48813	SIPO	EF	67286312
59087	197	1998-11-11	VYDAJ	PREVOD NA UCET	9454	48636	SIPO	EF	67286312
59088	197	1998-12-11	VYDAJ	PREVOD NA UCET	9454	53939	SIPO	EF	67286312
59090	197	1994-06-29	VYDAJ	VYBER	11360	29352	\N	\N	\N
59092	197	1996-06-06	VYDAJ	VYBER	30080	26432	\N	\N	\N
59093	197	1997-06-03	VYDAJ	VYBER	5600	36017	\N	\N	\N
59094	197	1998-06-14	VYDAJ	VYBER	43040	22240	\N	\N	\N
59095	197	1993-12-29	VYDAJ	VYBER	2240	40980	\N	\N	\N
59096	197	1994-12-20	VYDAJ	VYBER	2560	36885	\N	\N	\N
59097	197	1995-12-01	VYDAJ	VYBER	2080	31581	\N	\N	\N
59098	197	1996-12-19	VYDAJ	VYBER	3520	22192	\N	\N	\N
59099	197	1997-12-06	VYDAJ	VYBER	2400	73944	\N	\N	\N
59100	197	1998-12-20	VYDAJ	VYBER	2080	51859	\N	\N	\N
59103	197	1993-11-20	VYDAJ	VYBER	600	50137	\N	\N	\N
59105	197	1993-07-09	VYDAJ	VYBER	1800	71201	\N	\N	\N
59106	197	1993-10-09	VYDAJ	VYBER	840	58560	\N	\N	\N
59109	197	1993-09-16	VYDAJ	VYBER	960	49718	\N	\N	\N
59110	197	1994-05-22	VYDAJ	VYBER	2040	35990	\N	\N	\N
59111	197	1994-07-05	VYDAJ	VYBER	4920	24615	\N	\N	\N
59112	197	1994-07-20	VYDAJ	VYBER	4200	31379	\N	\N	\N
59113	197	1994-06-07	VYDAJ	VYBER	2160	66566	\N	\N	\N
59114	197	1995-05-03	VYDAJ	VYBER	3240	29681	\N	\N	\N
59115	197	1995-07-08	VYDAJ	VYBER	2880	54573	\N	\N	\N
59116	197	1995-05-24	VYDAJ	VYBER	3000	28745	\N	\N	\N
59117	197	1995-04-09	VYDAJ	VYBER	3840	53936	\N	\N	\N
59118	197	1996-05-28	VYDAJ	VYBER	3360	23841	\N	\N	\N
59119	197	1997-07-14	VYDAJ	VYBER	5400	46000	\N	\N	\N
59120	197	1997-03-22	VYDAJ	VYBER	5400	22779	\N	\N	\N
59121	197	1997-07-24	VYDAJ	VYBER	3360	42640	\N	\N	\N
59122	197	1997-03-01	VYDAJ	VYBER	3960	35115	\N	\N	\N
59123	197	1998-12-05	VYDAJ	VYBER	5400	35496	\N	\N	\N
59124	197	1998-04-16	VYDAJ	VYBER	600	57502	\N	\N	\N
59125	197	1998-01-14	VYDAJ	VYBER	2040	60562	\N	\N	\N
59126	197	1998-12-07	VYDAJ	VYBER	4680	63393	\N	\N	\N
59127	197	1998-09-18	VYDAJ	VYBER	600	45600	\N	\N	\N
59135	197	1993-07-31	VYDAJ	VYBER	15	44365	SLUZBY	\N	\N
59136	197	1993-08-31	VYDAJ	VYBER	15	38414	SLUZBY	\N	\N
59137	197	1993-09-30	VYDAJ	VYBER	15	37682	SLUZBY	\N	\N
59138	197	1993-10-31	VYDAJ	VYBER	15	38473	SLUZBY	\N	\N
59139	197	1993-11-30	VYDAJ	VYBER	15	35597	SLUZBY	\N	\N
59140	197	1993-12-31	VYDAJ	VYBER	15	41157	SLUZBY	\N	\N
59141	197	1994-01-31	VYDAJ	VYBER	15	38791	SLUZBY	\N	\N
59142	197	1994-02-28	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
59143	197	1994-03-31	VYDAJ	VYBER	15	38041	SLUZBY	\N	\N
59144	197	1994-04-30	VYDAJ	VYBER	15	38666	SLUZBY	\N	\N
59145	197	1994-05-31	VYDAJ	VYBER	15	36149	SLUZBY	\N	\N
59146	197	1994-06-30	VYDAJ	VYBER	15	29535	SLUZBY	\N	\N
59147	197	1994-07-31	VYDAJ	VYBER	15	31517	SLUZBY	\N	\N
59148	197	1994-08-31	VYDAJ	VYBER	15	33814	SLUZBY	\N	\N
59149	197	1994-09-30	VYDAJ	VYBER	15	34216	SLUZBY	\N	\N
59150	197	1994-10-31	VYDAJ	VYBER	15	33618	SLUZBY	\N	\N
59151	197	1994-11-30	VYDAJ	VYBER	15	36222	SLUZBY	\N	\N
59152	197	1994-12-31	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
59153	197	1995-01-31	VYDAJ	VYBER	15	35249	SLUZBY	\N	\N
59154	197	1995-02-28	VYDAJ	VYBER	15	35251	SLUZBY	\N	\N
59155	197	1995-03-31	VYDAJ	VYBER	15	36058	SLUZBY	\N	\N
59156	197	1995-04-30	VYDAJ	VYBER	15	32921	SLUZBY	\N	\N
59157	197	1995-05-31	VYDAJ	VYBER	15	28879	SLUZBY	\N	\N
59158	197	1995-06-30	VYDAJ	VYBER	15	35735	SLUZBY	\N	\N
59159	197	1995-07-31	VYDAJ	VYBER	15	35664	SLUZBY	\N	\N
59160	197	1995-08-31	VYDAJ	VYBER	15	35566	SLUZBY	\N	\N
59161	197	1995-09-30	VYDAJ	VYBER	15	35164	SLUZBY	\N	\N
59162	197	1995-10-31	VYDAJ	VYBER	15	37067	SLUZBY	\N	\N
59163	197	1995-11-30	VYDAJ	VYBER	15	33661	SLUZBY	\N	\N
59164	197	1995-12-31	VYDAJ	VYBER	15	36760	SLUZBY	\N	\N
59165	197	1996-01-31	VYDAJ	VYBER	15	31646	SLUZBY	\N	\N
59166	197	1996-02-29	VYDAJ	VYBER	15	26011	SLUZBY	\N	\N
59167	197	1996-03-31	VYDAJ	VYBER	15	29577	SLUZBY	\N	\N
59168	197	1996-04-30	VYDAJ	VYBER	15	25637	SLUZBY	\N	\N
59169	197	1996-05-31	VYDAJ	VYBER	15	23935	SLUZBY	\N	\N
59170	197	1996-06-30	VYDAJ	VYBER	15	14035	SLUZBY	\N	\N
59171	197	1996-07-31	VYDAJ	VYBER	15	19460	SLUZBY	\N	\N
59172	197	1996-08-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
59173	197	1996-09-30	VYDAJ	VYBER	15	18023	SLUZBY	\N	\N
59174	197	1996-10-31	VYDAJ	VYBER	15	17949	SLUZBY	\N	\N
59175	197	1996-11-30	VYDAJ	VYBER	15	21389	SLUZBY	\N	\N
59176	197	1996-12-31	VYDAJ	VYBER	15	22280	SLUZBY	\N	\N
59177	197	1997-01-31	VYDAJ	VYBER	15	33263	SLUZBY	\N	\N
59178	197	1997-02-28	VYDAJ	VYBER	15	39075	SLUZBY	\N	\N
59179	197	1997-03-31	VYDAJ	VYBER	15	22898	SLUZBY	\N	\N
59180	197	1997-04-30	VYDAJ	VYBER	15	36694	SLUZBY	\N	\N
59181	197	1997-05-31	VYDAJ	VYBER	15	41617	SLUZBY	\N	\N
59182	197	1997-06-30	VYDAJ	VYBER	15	52636	SLUZBY	\N	\N
59183	197	1997-07-31	VYDAJ	VYBER	15	42827	SLUZBY	\N	\N
59184	197	1997-08-31	VYDAJ	VYBER	15	46470	SLUZBY	\N	\N
59185	197	1997-09-30	VYDAJ	VYBER	15	51332	SLUZBY	\N	\N
59186	197	1997-10-31	VYDAJ	VYBER	15	51799	SLUZBY	\N	\N
59187	197	1997-11-30	VYDAJ	VYBER	15	52067	SLUZBY	\N	\N
59188	197	1997-12-31	VYDAJ	VYBER	15	64738	SLUZBY	\N	\N
59189	197	1998-01-31	VYDAJ	VYBER	15	46179	SLUZBY	\N	\N
59190	197	1998-02-28	VYDAJ	VYBER	15	58650	SLUZBY	\N	\N
59191	197	1998-03-31	VYDAJ	VYBER	15	45838	SLUZBY	\N	\N
59192	197	1998-04-30	VYDAJ	VYBER	15	57704	SLUZBY	\N	\N
59193	197	1998-05-31	VYDAJ	VYBER	15	42157	SLUZBY	\N	\N
59194	197	1998-06-30	VYDAJ	VYBER	15	24059	SLUZBY	\N	\N
59195	197	1998-07-31	VYDAJ	VYBER	15	30036	SLUZBY	\N	\N
59196	197	1998-08-31	VYDAJ	VYBER	15	33936	SLUZBY	\N	\N
59197	197	1998-09-30	VYDAJ	VYBER	15	36549	SLUZBY	\N	\N
59198	197	1998-10-31	VYDAJ	VYBER	15	36372	SLUZBY	\N	\N
59199	197	1998-11-30	VYDAJ	VYBER	15	40896	SLUZBY	\N	\N
59200	197	1993-03-27	PRIJEM	VKLAD	700	23218	\N	\N	\N
59201	197	1993-04-26	VYDAJ	VYBER	11100	33852	\N	\N	\N
59202	197	1993-05-26	VYDAJ	VYBER	13100	42574	\N	\N	\N
59203	197	1993-06-25	VYDAJ	VYBER	24200	51099	\N	\N	\N
59204	197	1993-07-25	VYDAJ	VYBER	17600	44147	\N	\N	\N
59205	197	1993-08-24	VYDAJ	VYBER	18400	38229	\N	\N	\N
59206	197	1993-09-23	VYDAJ	VYBER	12200	37518	\N	\N	\N
59207	197	1993-10-23	VYDAJ	VYBER	10800	38306	\N	\N	\N
59208	197	1993-11-22	VYDAJ	VYBER	14700	35437	\N	\N	\N
59209	197	1993-12-22	VYDAJ	VYBER	15500	43220	\N	\N	\N
59210	197	1994-01-21	VYDAJ	VYBER	14800	38621	\N	\N	\N
59211	197	1994-02-20	VYDAJ	VYBER	13600	37455	\N	\N	\N
59212	197	1994-03-22	VYDAJ	VYBER	12000	37881	\N	\N	\N
59213	197	1994-04-21	VYDAJ	VYBER	11800	38505	\N	\N	\N
59214	197	1994-05-21	VYDAJ	VYBER	12900	38030	\N	\N	\N
59215	197	1994-06-20	VYDAJ	VYBER	16400	40712	\N	\N	\N
59216	197	1994-07-20	VYDAJ	VYBER	1300	35579	\N	\N	\N
59217	197	1994-08-19	VYDAJ	VYBER	10100	33681	\N	\N	\N
59218	197	1994-09-18	VYDAJ	VYBER	12000	34078	\N	\N	\N
59219	197	1994-10-18	VYDAJ	VYBER	13000	33480	\N	\N	\N
59220	197	1994-11-17	VYDAJ	VYBER	9800	36082	\N	\N	\N
59221	197	1994-12-17	VYDAJ	VYBER	19900	39445	\N	\N	\N
59222	197	1995-01-16	VYDAJ	VYBER	14200	35106	\N	\N	\N
59223	197	1995-02-15	VYDAJ	VYBER	12400	35113	\N	\N	\N
59224	197	1995-03-17	VYDAJ	VYBER	11600	35915	\N	\N	\N
59225	197	1995-04-16	VYDAJ	VYBER	11700	32782	\N	\N	\N
59226	197	1995-05-16	VYDAJ	VYBER	10200	31745	\N	\N	\N
59227	197	1995-06-15	VYDAJ	VYBER	16400	35602	\N	\N	\N
59228	197	1995-07-15	VYDAJ	VYBER	9600	35519	\N	\N	\N
59229	197	1995-08-14	VYDAJ	VYBER	12500	35428	\N	\N	\N
59230	197	1995-09-13	VYDAJ	VYBER	12800	35030	\N	\N	\N
59231	197	1995-10-13	VYDAJ	VYBER	10500	36928	\N	\N	\N
59232	197	1995-11-12	VYDAJ	VYBER	15800	33531	\N	\N	\N
59233	197	1995-12-12	VYDAJ	VYBER	18100	36604	\N	\N	\N
59234	197	1996-01-11	VYDAJ	VYBER	17500	31524	\N	\N	\N
59235	197	1996-02-10	VYDAJ	VYBER	18000	35364	\N	\N	\N
59236	197	1996-03-11	VYDAJ	VYBER	8800	38929	\N	\N	\N
59237	197	1996-04-10	VYDAJ	VYBER	16300	34995	\N	\N	\N
59238	197	1996-05-10	VYDAJ	VYBER	10700	36655	\N	\N	\N
59239	197	1996-06-09	VYDAJ	VYBER	3000	23432	\N	\N	\N
59240	197	1996-07-09	VYDAJ	VYBER	6900	28853	\N	\N	\N
59241	197	1996-08-08	VYDAJ	VYBER	11700	29478	\N	\N	\N
59242	197	1996-09-07	VYDAJ	VYBER	14400	27412	\N	\N	\N
59243	197	1996-10-07	VYDAJ	VYBER	12400	27341	\N	\N	\N
59244	197	1996-11-06	VYDAJ	VYBER	8900	30767	\N	\N	\N
59245	197	1996-12-06	VYDAJ	VYBER	18800	35166	\N	\N	\N
59246	197	1997-01-05	VYDAJ	VYBER	1400	20880	\N	\N	\N
59247	197	1997-02-04	VYDAJ	VYBER	6600	26663	\N	\N	\N
59248	197	1997-03-06	VYDAJ	VYBER	19200	37633	\N	\N	\N
59249	197	1997-04-05	PRIJEM	VKLAD	1400	24298	\N	\N	\N
59250	197	1997-05-05	VYDAJ	VYBER	7500	29194	\N	\N	\N
59251	197	1997-06-04	VYDAJ	VYBER	6700	29317	\N	\N	\N
59252	197	1997-07-04	VYDAJ	VYBER	13500	39136	\N	\N	\N
59253	197	1997-08-03	VYDAJ	VYBER	8800	34027	\N	\N	\N
59254	197	1997-09-02	VYDAJ	VYBER	7600	38870	\N	\N	\N
59255	197	1997-10-02	VYDAJ	VYBER	12000	39332	\N	\N	\N
59256	197	1997-11-01	VYDAJ	VYBER	12200	39599	\N	\N	\N
59257	197	1997-12-01	VYDAJ	VYBER	8300	43767	\N	\N	\N
59258	197	1997-12-31	VYDAJ	VYBER	14400	50338	\N	\N	\N
59259	197	1998-01-30	VYDAJ	VYBER	14600	45962	\N	\N	\N
59260	197	1998-03-01	VYDAJ	VYBER	14100	44550	\N	\N	\N
59261	197	1998-03-31	VYDAJ	VYBER	11200	45852	\N	\N	\N
59262	197	1998-04-30	VYDAJ	VYBER	15300	42404	\N	\N	\N
59263	197	1998-05-30	VYDAJ	VYBER	12700	41968	\N	\N	\N
59264	197	1998-06-29	PRIJEM	VKLAD	1700	23940	\N	\N	\N
59265	197	1998-07-29	VYDAJ	VYBER	6400	29923	\N	\N	\N
59266	197	1998-08-28	VYDAJ	VYBER	8500	33800	\N	\N	\N
59267	197	1998-09-27	VYDAJ	VYBER	9200	36400	\N	\N	\N
59268	197	1998-10-27	VYDAJ	VYBER	12600	36213	\N	\N	\N
59269	197	1998-11-26	VYDAJ	VYBER	7900	40736	\N	\N	\N
59340	198	1993-10-25	PRIJEM	VKLAD	900	900	\N	\N	\N
59351	198	1993-11-13	PRIJEM	PREVOD Z UCTU	4299	5199	DUCHOD	GH	16352892
59352	198	1993-12-13	PRIJEM	PREVOD Z UCTU	4299	9498	DUCHOD	GH	16352892
59353	198	1994-01-13	PRIJEM	PREVOD Z UCTU	4299	13797	DUCHOD	GH	16352892
59354	198	1994-02-13	PRIJEM	PREVOD Z UCTU	4299	18096	DUCHOD	GH	16352892
59355	198	1994-03-13	PRIJEM	PREVOD Z UCTU	4299	22395	DUCHOD	GH	16352892
59356	198	1994-04-13	PRIJEM	PREVOD Z UCTU	4299	23037	DUCHOD	GH	16352892
59357	198	1994-05-13	PRIJEM	PREVOD Z UCTU	4299	24547	DUCHOD	GH	16352892
59358	198	1994-06-13	PRIJEM	PREVOD Z UCTU	4299	26065	DUCHOD	GH	16352892
59359	198	1994-07-13	PRIJEM	PREVOD Z UCTU	4299	15136	DUCHOD	GH	16352892
59360	198	1994-08-13	PRIJEM	PREVOD Z UCTU	4299	16614	DUCHOD	GH	16352892
59361	198	1994-09-13	PRIJEM	PREVOD Z UCTU	4299	18099	DUCHOD	GH	16352892
59362	198	1994-10-13	PRIJEM	PREVOD Z UCTU	4299	19589	DUCHOD	GH	16352892
59363	198	1994-11-13	PRIJEM	PREVOD Z UCTU	4299	19885	DUCHOD	GH	16352892
59364	198	1994-12-13	PRIJEM	PREVOD Z UCTU	4299	19623	DUCHOD	GH	16352892
59365	198	1995-01-13	PRIJEM	PREVOD Z UCTU	4299	18169	DUCHOD	GH	16352892
59366	198	1995-02-13	PRIJEM	PREVOD Z UCTU	4299	19660	DUCHOD	GH	16352892
59367	198	1995-03-13	PRIJEM	PREVOD Z UCTU	4299	21156	DUCHOD	GH	16352892
59368	198	1995-04-13	PRIJEM	PREVOD Z UCTU	4299	22659	DUCHOD	GH	16352892
59369	198	1995-05-13	PRIJEM	PREVOD Z UCTU	4299	24168	DUCHOD	GH	16352892
59370	198	1995-06-13	PRIJEM	PREVOD Z UCTU	4299	25684	DUCHOD	GH	16352892
59371	198	1995-07-13	PRIJEM	PREVOD Z UCTU	4299	24406	DUCHOD	GH	16352892
59372	198	1995-08-13	PRIJEM	PREVOD Z UCTU	4299	25922	DUCHOD	GH	16352892
59373	198	1995-09-13	PRIJEM	PREVOD Z UCTU	4299	23677	DUCHOD	GH	16352892
59374	198	1995-10-13	PRIJEM	PREVOD Z UCTU	4299	25190	DUCHOD	GH	16352892
59375	198	1995-11-13	PRIJEM	PREVOD Z UCTU	4299	25109	DUCHOD	GH	16352892
59376	198	1995-12-13	PRIJEM	PREVOD Z UCTU	4299	23907	DUCHOD	GH	16352892
59377	198	1996-01-13	PRIJEM	PREVOD Z UCTU	4299	20358	DUCHOD	GH	16352892
59378	198	1996-02-13	PRIJEM	PREVOD Z UCTU	4299	21858	DUCHOD	GH	16352892
59558	198	1994-06-13	VYDAJ	VYBER	12450	13615	\N	\N	\N
59379	198	1996-03-13	PRIJEM	PREVOD Z UCTU	4299	23364	DUCHOD	GH	16352892
59380	198	1996-04-13	PRIJEM	PREVOD Z UCTU	4299	24876	DUCHOD	GH	16352892
59381	198	1996-05-13	PRIJEM	PREVOD Z UCTU	4299	26394	DUCHOD	GH	16352892
59382	198	1996-06-13	PRIJEM	PREVOD Z UCTU	4299	27918	DUCHOD	GH	16352892
59383	198	1996-07-13	PRIJEM	PREVOD Z UCTU	4299	28349	DUCHOD	GH	16352892
59384	198	1996-08-13	PRIJEM	PREVOD Z UCTU	4299	29683	DUCHOD	GH	16352892
59385	198	1996-09-13	PRIJEM	PREVOD Z UCTU	4299	29198	DUCHOD	GH	16352892
59386	198	1996-10-13	PRIJEM	PREVOD Z UCTU	4299	29033	DUCHOD	GH	16352892
59387	198	1996-11-13	PRIJEM	PREVOD Z UCTU	4299	30570	DUCHOD	GH	16352892
59388	198	1996-12-13	PRIJEM	PREVOD Z UCTU	4299	25312	DUCHOD	GH	16352892
59389	198	1997-01-13	PRIJEM	PREVOD Z UCTU	4299	23035	DUCHOD	GH	16352892
59390	198	1997-02-13	PRIJEM	PREVOD Z UCTU	4299	19790	DUCHOD	GH	16352892
59391	198	1997-03-13	PRIJEM	PREVOD Z UCTU	4299	21286	DUCHOD	GH	16352892
59392	198	1997-04-13	PRIJEM	PREVOD Z UCTU	4299	20849	DUCHOD	GH	16352892
59393	198	1997-05-13	PRIJEM	PREVOD Z UCTU	4299	19542	DUCHOD	GH	16352892
59394	198	1997-06-13	PRIJEM	PREVOD Z UCTU	4299	21038	DUCHOD	GH	16352892
59395	198	1997-07-13	PRIJEM	PREVOD Z UCTU	4299	17533	DUCHOD	GH	16352892
59396	198	1997-08-13	PRIJEM	PREVOD Z UCTU	4299	19020	DUCHOD	GH	16352892
59397	198	1997-09-13	PRIJEM	PREVOD Z UCTU	4299	20513	DUCHOD	GH	16352892
59398	198	1997-10-13	PRIJEM	PREVOD Z UCTU	4299	22012	DUCHOD	GH	16352892
59399	198	1997-11-13	PRIJEM	PREVOD Z UCTU	4299	23518	DUCHOD	GH	16352892
59400	198	1997-12-13	PRIJEM	PREVOD Z UCTU	4299	24379	DUCHOD	GH	16352892
59401	198	1998-01-13	PRIJEM	PREVOD Z UCTU	4299	25893	DUCHOD	GH	16352892
59402	198	1998-02-13	PRIJEM	PREVOD Z UCTU	4299	25394	DUCHOD	GH	16352892
59403	198	1998-03-13	PRIJEM	PREVOD Z UCTU	4299	26914	DUCHOD	GH	16352892
59404	198	1998-04-13	PRIJEM	PREVOD Z UCTU	4299	27840	DUCHOD	GH	16352892
59405	198	1998-05-13	PRIJEM	PREVOD Z UCTU	4299	29368	DUCHOD	GH	16352892
59406	198	1998-06-13	PRIJEM	PREVOD Z UCTU	4299	30103	DUCHOD	GH	16352892
59407	198	1998-07-13	PRIJEM	PREVOD Z UCTU	4299	20574	DUCHOD	GH	16352892
59408	198	1998-08-13	PRIJEM	PREVOD Z UCTU	4299	20952	DUCHOD	GH	16352892
59409	198	1998-09-13	PRIJEM	PREVOD Z UCTU	4299	18772	DUCHOD	GH	16352892
59410	198	1998-10-13	PRIJEM	PREVOD Z UCTU	4299	20263	DUCHOD	GH	16352892
59411	198	1998-11-13	PRIJEM	PREVOD Z UCTU	4299	21761	DUCHOD	GH	16352892
59412	198	1998-12-13	PRIJEM	PREVOD Z UCTU	4299	23264	DUCHOD	GH	16352892
59428	198	1994-04-10	VYDAJ	PREVOD NA UCET	700	18738	SIPO	MN	67775189
59429	198	1994-05-10	VYDAJ	PREVOD NA UCET	700	20248	SIPO	MN	67775189
59430	198	1994-06-10	VYDAJ	PREVOD NA UCET	700	21766	SIPO	MN	67775189
59431	198	1994-07-10	VYDAJ	PREVOD NA UCET	700	10837	SIPO	MN	67775189
59432	198	1994-08-10	VYDAJ	PREVOD NA UCET	700	12315	SIPO	MN	67775189
59433	198	1994-09-10	VYDAJ	PREVOD NA UCET	700	13800	SIPO	MN	67775189
59434	198	1994-10-10	VYDAJ	PREVOD NA UCET	700	15290	SIPO	MN	67775189
59435	198	1994-11-10	VYDAJ	PREVOD NA UCET	700	16786	SIPO	MN	67775189
59436	198	1994-12-10	VYDAJ	PREVOD NA UCET	700	15324	SIPO	MN	67775189
59437	198	1995-01-10	VYDAJ	PREVOD NA UCET	700	13870	SIPO	MN	67775189
59438	198	1995-02-10	VYDAJ	PREVOD NA UCET	700	15361	SIPO	MN	67775189
59439	198	1995-03-10	VYDAJ	PREVOD NA UCET	700	16857	SIPO	MN	67775189
59440	198	1995-04-10	VYDAJ	PREVOD NA UCET	700	18360	SIPO	MN	67775189
59441	198	1995-05-10	VYDAJ	PREVOD NA UCET	700	19869	SIPO	MN	67775189
59442	198	1995-06-10	VYDAJ	PREVOD NA UCET	700	21385	SIPO	MN	67775189
59443	198	1995-07-10	VYDAJ	PREVOD NA UCET	700	20107	SIPO	MN	67775189
59444	198	1995-08-10	VYDAJ	PREVOD NA UCET	700	21623	SIPO	MN	67775189
59445	198	1995-09-10	VYDAJ	PREVOD NA UCET	700	19378	SIPO	MN	67775189
59446	198	1995-10-10	VYDAJ	PREVOD NA UCET	700	20891	SIPO	MN	67775189
59447	198	1995-11-10	VYDAJ	PREVOD NA UCET	700	22410	SIPO	MN	67775189
59448	198	1995-12-10	VYDAJ	PREVOD NA UCET	700	19608	SIPO	MN	67775189
59449	198	1996-01-10	VYDAJ	PREVOD NA UCET	700	16059	SIPO	MN	67775189
59450	198	1996-02-10	VYDAJ	PREVOD NA UCET	700	17559	SIPO	MN	67775189
59451	198	1996-03-10	VYDAJ	PREVOD NA UCET	700	19065	SIPO	MN	67775189
59452	198	1996-04-10	VYDAJ	PREVOD NA UCET	700	20577	SIPO	MN	67775189
59453	198	1996-05-10	VYDAJ	PREVOD NA UCET	700	22095	SIPO	MN	67775189
59454	198	1996-06-10	VYDAJ	PREVOD NA UCET	700	23619	SIPO	MN	67775189
59455	198	1996-07-10	VYDAJ	PREVOD NA UCET	700	25150	SIPO	MN	67775189
59456	198	1996-08-10	VYDAJ	PREVOD NA UCET	700	25384	SIPO	MN	67775189
59457	198	1996-09-10	VYDAJ	PREVOD NA UCET	700	24899	SIPO	MN	67775189
59458	198	1996-10-10	VYDAJ	PREVOD NA UCET	700	24734	SIPO	MN	67775189
59459	198	1996-11-10	VYDAJ	PREVOD NA UCET	700	26271	SIPO	MN	67775189
59460	198	1996-12-10	VYDAJ	PREVOD NA UCET	700	21013	SIPO	MN	67775189
59461	198	1997-01-10	VYDAJ	PREVOD NA UCET	700	18736	SIPO	MN	67775189
59462	198	1997-02-10	VYDAJ	PREVOD NA UCET	700	15491	SIPO	MN	67775189
59463	198	1997-03-10	VYDAJ	PREVOD NA UCET	700	16987	SIPO	MN	67775189
59464	198	1997-04-10	VYDAJ	PREVOD NA UCET	700	16550	SIPO	MN	67775189
59465	198	1997-05-10	VYDAJ	PREVOD NA UCET	700	15243	SIPO	MN	67775189
59466	198	1997-06-10	VYDAJ	PREVOD NA UCET	700	16739	SIPO	MN	67775189
59467	198	1997-07-10	VYDAJ	PREVOD NA UCET	700	13234	SIPO	MN	67775189
59468	198	1997-08-10	VYDAJ	PREVOD NA UCET	700	14721	SIPO	MN	67775189
59469	198	1997-09-10	VYDAJ	PREVOD NA UCET	700	16214	SIPO	MN	67775189
59470	198	1997-10-10	VYDAJ	PREVOD NA UCET	700	17713	SIPO	MN	67775189
59471	198	1997-11-10	VYDAJ	PREVOD NA UCET	700	19219	SIPO	MN	67775189
59472	198	1997-12-10	VYDAJ	PREVOD NA UCET	700	20080	SIPO	MN	67775189
59473	198	1998-01-10	VYDAJ	PREVOD NA UCET	700	21594	SIPO	MN	67775189
59474	198	1998-02-10	VYDAJ	PREVOD NA UCET	700	21095	SIPO	MN	67775189
59475	198	1998-03-10	VYDAJ	PREVOD NA UCET	700	22615	SIPO	MN	67775189
59476	198	1998-04-10	VYDAJ	PREVOD NA UCET	700	23541	SIPO	MN	67775189
59477	198	1998-05-10	VYDAJ	PREVOD NA UCET	700	25069	SIPO	MN	67775189
59478	198	1998-06-10	VYDAJ	PREVOD NA UCET	700	25804	SIPO	MN	67775189
59479	198	1998-07-10	VYDAJ	PREVOD NA UCET	700	16275	SIPO	MN	67775189
59480	198	1998-08-10	VYDAJ	PREVOD NA UCET	700	16653	SIPO	MN	67775189
59481	198	1998-09-10	VYDAJ	PREVOD NA UCET	700	14473	SIPO	MN	67775189
59482	198	1998-10-10	VYDAJ	PREVOD NA UCET	700	15964	SIPO	MN	67775189
59483	198	1998-11-10	VYDAJ	PREVOD NA UCET	700	17462	SIPO	MN	67775189
59484	198	1998-12-10	VYDAJ	PREVOD NA UCET	700	18965	SIPO	MN	67775189
59500	198	1994-04-05	VYDAJ	PREVOD NA UCET	2166	19438	 	QR	64557379
59501	198	1994-05-05	VYDAJ	PREVOD NA UCET	2166	20948	 	QR	64557379
59502	198	1994-06-05	VYDAJ	PREVOD NA UCET	2166	22466	 	QR	64557379
59503	198	1994-07-05	VYDAJ	PREVOD NA UCET	2166	11537	 	QR	64557379
59504	198	1994-08-05	VYDAJ	PREVOD NA UCET	2166	13015	 	QR	64557379
59505	198	1994-09-05	VYDAJ	PREVOD NA UCET	2166	14500	 	QR	64557379
59506	198	1994-10-05	VYDAJ	PREVOD NA UCET	2166	15990	 	QR	64557379
59507	198	1994-11-05	VYDAJ	PREVOD NA UCET	2166	17486	 	QR	64557379
59508	198	1994-12-05	VYDAJ	PREVOD NA UCET	2166	16024	 	QR	64557379
59509	198	1995-01-05	VYDAJ	PREVOD NA UCET	2166	16820	 	QR	64557379
59510	198	1995-02-05	VYDAJ	PREVOD NA UCET	2166	16061	 	QR	64557379
59511	198	1995-03-05	VYDAJ	PREVOD NA UCET	2166	17557	 	QR	64557379
59512	198	1995-04-05	VYDAJ	PREVOD NA UCET	2166	19060	 	QR	64557379
59513	198	1995-05-05	VYDAJ	PREVOD NA UCET	2166	20569	 	QR	64557379
59514	198	1995-06-05	VYDAJ	PREVOD NA UCET	2166	22085	 	QR	64557379
59515	198	1995-07-05	VYDAJ	PREVOD NA UCET	2166	20807	 	QR	64557379
59516	198	1995-08-05	VYDAJ	PREVOD NA UCET	2166	22323	 	QR	64557379
59517	198	1995-09-05	VYDAJ	PREVOD NA UCET	2166	20078	 	QR	64557379
59518	198	1995-10-05	VYDAJ	PREVOD NA UCET	2166	21591	 	QR	64557379
59519	198	1995-11-05	VYDAJ	PREVOD NA UCET	2166	23110	 	QR	64557379
59520	198	1995-12-05	VYDAJ	PREVOD NA UCET	2166	20308	 	QR	64557379
59521	198	1996-01-05	VYDAJ	PREVOD NA UCET	2166	17319	 	QR	64557379
59522	198	1996-02-05	VYDAJ	PREVOD NA UCET	2166	18259	 	QR	64557379
59523	198	1996-03-05	VYDAJ	PREVOD NA UCET	2166	19765	 	QR	64557379
59524	198	1996-04-05	VYDAJ	PREVOD NA UCET	2166	21277	 	QR	64557379
59525	198	1996-05-05	VYDAJ	PREVOD NA UCET	2166	22795	 	QR	64557379
59526	198	1996-06-05	VYDAJ	PREVOD NA UCET	2166	24319	 	QR	64557379
59527	198	1996-07-05	VYDAJ	PREVOD NA UCET	2166	25850	 	QR	64557379
59528	198	1996-08-05	VYDAJ	PREVOD NA UCET	2166	26284	 	QR	64557379
59529	198	1996-09-05	VYDAJ	PREVOD NA UCET	2166	25699	 	QR	64557379
59530	198	1996-10-05	VYDAJ	PREVOD NA UCET	2166	27134	 	QR	64557379
59531	198	1996-11-05	VYDAJ	PREVOD NA UCET	2166	26971	 	QR	64557379
59532	198	1996-12-05	VYDAJ	PREVOD NA UCET	2166	27013	 	QR	64557379
59533	198	1997-01-05	VYDAJ	PREVOD NA UCET	2166	23236	 	QR	64557379
59534	198	1997-02-05	VYDAJ	PREVOD NA UCET	2166	16191	 	QR	64557379
59535	198	1997-03-05	VYDAJ	PREVOD NA UCET	2166	17687	 	QR	64557379
59536	198	1997-04-05	VYDAJ	PREVOD NA UCET	2166	17750	 	QR	64557379
59537	198	1997-05-05	VYDAJ	PREVOD NA UCET	2166	15943	 	QR	64557379
59538	198	1997-06-05	VYDAJ	PREVOD NA UCET	2166	17439	 	QR	64557379
59539	198	1997-07-05	VYDAJ	PREVOD NA UCET	2166	13934	 	QR	64557379
59540	198	1997-08-05	VYDAJ	PREVOD NA UCET	2166	15421	 	QR	64557379
59541	198	1997-09-05	VYDAJ	PREVOD NA UCET	2166	16914	 	QR	64557379
59542	198	1997-10-05	VYDAJ	PREVOD NA UCET	2166	18413	 	QR	64557379
59543	198	1997-11-05	VYDAJ	PREVOD NA UCET	2166	19919	 	QR	64557379
59544	198	1997-12-05	VYDAJ	PREVOD NA UCET	2166	20780	 	QR	64557379
59545	198	1998-01-05	VYDAJ	PREVOD NA UCET	2166	22294	 	QR	64557379
59546	198	1998-02-05	VYDAJ	PREVOD NA UCET	2166	23315	 	QR	64557379
59547	198	1998-03-05	VYDAJ	PREVOD NA UCET	2166	23315	 	QR	64557379
59548	198	1998-04-05	VYDAJ	PREVOD NA UCET	2166	24241	 	QR	64557379
59549	198	1998-05-05	VYDAJ	PREVOD NA UCET	2166	25769	 	QR	64557379
59550	198	1998-06-05	VYDAJ	PREVOD NA UCET	2166	26504	 	QR	64557379
59551	198	1998-07-05	VYDAJ	PREVOD NA UCET	2166	16975	 	QR	64557379
59552	198	1998-08-05	VYDAJ	PREVOD NA UCET	2166	17353	 	QR	64557379
59553	198	1998-09-05	VYDAJ	PREVOD NA UCET	2166	15173	 	QR	64557379
59554	198	1998-10-05	VYDAJ	PREVOD NA UCET	2166	16664	 	QR	64557379
59555	198	1998-11-05	VYDAJ	PREVOD NA UCET	2166	18162	 	QR	64557379
59556	198	1998-12-05	VYDAJ	PREVOD NA UCET	2166	19665	 	QR	64557379
59561	198	1997-06-23	VYDAJ	VYBER	5000	16038	\N	\N	\N
59562	198	1998-06-20	VYDAJ	VYBER	11050	19053	\N	\N	\N
59565	198	1995-01-06	VYDAJ	VYBER	2250	14570	\N	\N	\N
59566	198	1996-01-01	VYDAJ	VYBER	3350	19485	\N	\N	\N
59567	198	1997-01-20	VYDAJ	VYBER	4750	18285	\N	\N	\N
59568	198	1998-01-22	VYDAJ	VYBER	500	25393	\N	\N	\N
59570	198	1994-12-24	VYDAJ	VYBER	700	18923	\N	\N	\N
59571	198	1995-12-15	VYDAJ	VYBER	1150	22757	\N	\N	\N
59572	198	1996-12-04	VYDAJ	VYBER	1100	29179	\N	\N	\N
59573	198	1997-12-04	VYDAJ	VYBER	650	22946	\N	\N	\N
59574	198	1998-12-26	VYDAJ	VYBER	850	22414	\N	\N	\N
59582	198	1994-11-23	VYDAJ	VYBER	1760	18125	\N	\N	\N
59583	198	1994-11-10	VYDAJ	VYBER	1200	15586	\N	\N	\N
59584	198	1995-08-16	VYDAJ	VYBER	3760	22162	\N	\N	\N
59585	198	1995-07-04	VYDAJ	VYBER	1760	24013	\N	\N	\N
59586	198	1995-07-04	VYDAJ	VYBER	1040	22973	\N	\N	\N
59587	198	1995-11-19	VYDAJ	VYBER	2720	22389	\N	\N	\N
59588	198	1995-11-12	VYDAJ	VYBER	1600	20810	\N	\N	\N
59589	198	1996-11-29	VYDAJ	VYBER	400	30170	\N	\N	\N
59590	198	1996-01-06	VYDAJ	VYBER	560	16759	\N	\N	\N
59591	198	1996-08-17	VYDAJ	VYBER	1920	27763	\N	\N	\N
59593	198	1997-04-14	VYDAJ	VYBER	2800	18049	\N	\N	\N
59595	198	1997-03-30	VYDAJ	VYBER	1440	19846	\N	\N	\N
59596	198	1998-08-01	VYDAJ	VYBER	1120	19519	\N	\N	\N
59597	198	1998-02-09	VYDAJ	VYBER	1520	21795	\N	\N	\N
59598	198	1998-09-01	VYDAJ	VYBER	3680	17339	\N	\N	\N
59616	198	1994-03-31	VYDAJ	VYBER	15	21604	SLUZBY	\N	\N
59617	198	1994-04-30	VYDAJ	VYBER	15	23114	SLUZBY	\N	\N
59618	198	1994-05-31	VYDAJ	VYBER	15	24632	SLUZBY	\N	\N
59619	198	1994-06-30	VYDAJ	VYBER	15	13703	SLUZBY	\N	\N
59620	198	1994-07-31	VYDAJ	VYBER	15	15181	SLUZBY	\N	\N
59621	198	1994-08-31	VYDAJ	VYBER	15	16666	SLUZBY	\N	\N
59622	198	1994-09-30	VYDAJ	VYBER	15	18156	SLUZBY	\N	\N
59623	198	1994-10-31	VYDAJ	VYBER	15	19652	SLUZBY	\N	\N
59624	198	1994-11-30	VYDAJ	VYBER	15	18190	SLUZBY	\N	\N
59625	198	1994-12-31	VYDAJ	VYBER	15	18986	SLUZBY	\N	\N
59626	198	1995-01-31	VYDAJ	VYBER	15	18227	SLUZBY	\N	\N
59627	198	1995-02-28	VYDAJ	VYBER	15	19723	SLUZBY	\N	\N
59628	198	1995-03-31	VYDAJ	VYBER	15	21226	SLUZBY	\N	\N
59629	198	1995-04-30	VYDAJ	VYBER	15	22735	SLUZBY	\N	\N
59630	198	1995-05-31	VYDAJ	VYBER	15	24251	SLUZBY	\N	\N
59631	198	1995-06-30	VYDAJ	VYBER	15	25773	SLUZBY	\N	\N
59632	198	1995-07-31	VYDAJ	VYBER	15	24489	SLUZBY	\N	\N
59633	198	1995-08-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
59634	198	1995-09-30	VYDAJ	VYBER	15	23757	SLUZBY	\N	\N
59635	198	1995-10-31	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
59636	198	1995-11-30	VYDAJ	VYBER	15	22474	SLUZBY	\N	\N
59637	198	1995-12-31	VYDAJ	VYBER	15	22835	SLUZBY	\N	\N
59638	198	1996-01-31	VYDAJ	VYBER	15	20425	SLUZBY	\N	\N
59639	198	1996-02-29	VYDAJ	VYBER	15	21931	SLUZBY	\N	\N
59640	198	1996-03-31	VYDAJ	VYBER	15	23443	SLUZBY	\N	\N
59641	198	1996-04-30	VYDAJ	VYBER	15	24961	SLUZBY	\N	\N
59642	198	1996-05-31	VYDAJ	VYBER	15	26485	SLUZBY	\N	\N
59643	198	1996-06-30	VYDAJ	VYBER	15	28016	SLUZBY	\N	\N
59644	198	1996-07-31	VYDAJ	VYBER	15	28450	SLUZBY	\N	\N
59645	198	1996-08-31	VYDAJ	VYBER	15	27865	SLUZBY	\N	\N
59646	198	1996-09-30	VYDAJ	VYBER	15	29300	SLUZBY	\N	\N
59647	198	1996-10-31	VYDAJ	VYBER	15	29137	SLUZBY	\N	\N
59648	198	1996-11-30	VYDAJ	VYBER	15	30279	SLUZBY	\N	\N
59649	198	1996-12-31	VYDAJ	VYBER	15	25402	SLUZBY	\N	\N
59650	198	1997-01-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
59651	198	1997-02-28	VYDAJ	VYBER	15	19853	SLUZBY	\N	\N
59652	198	1997-03-31	VYDAJ	VYBER	15	19916	SLUZBY	\N	\N
59653	198	1997-04-30	VYDAJ	VYBER	15	18109	SLUZBY	\N	\N
59654	198	1997-05-31	VYDAJ	VYBER	15	19605	SLUZBY	\N	\N
59655	198	1997-06-30	VYDAJ	VYBER	15	16100	SLUZBY	\N	\N
59656	198	1997-07-31	VYDAJ	VYBER	15	17587	SLUZBY	\N	\N
59657	198	1997-08-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
59658	198	1997-09-30	VYDAJ	VYBER	15	20579	SLUZBY	\N	\N
59659	198	1997-10-31	VYDAJ	VYBER	15	22085	SLUZBY	\N	\N
59660	198	1997-11-30	VYDAJ	VYBER	15	23596	SLUZBY	\N	\N
59661	198	1997-12-31	VYDAJ	VYBER	15	24460	SLUZBY	\N	\N
59662	198	1998-01-31	VYDAJ	VYBER	15	25481	SLUZBY	\N	\N
59663	198	1998-02-28	VYDAJ	VYBER	15	25481	SLUZBY	\N	\N
59664	198	1998-03-31	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
59665	198	1998-04-30	VYDAJ	VYBER	15	27935	SLUZBY	\N	\N
59666	198	1998-05-31	VYDAJ	VYBER	15	29470	SLUZBY	\N	\N
59667	198	1998-06-30	VYDAJ	VYBER	15	19141	SLUZBY	\N	\N
59668	198	1998-07-31	VYDAJ	VYBER	15	20639	SLUZBY	\N	\N
59669	198	1998-08-31	VYDAJ	VYBER	15	21019	SLUZBY	\N	\N
59670	198	1998-09-30	VYDAJ	VYBER	15	18830	SLUZBY	\N	\N
59671	198	1998-10-31	VYDAJ	VYBER	15	20328	SLUZBY	\N	\N
59672	198	1998-11-30	VYDAJ	VYBER	15	21831	SLUZBY	\N	\N
59673	198	1994-03-24	VYDAJ	VYBER	800	21595	\N	\N	\N
59674	198	1996-07-11	VYDAJ	VYBER	1100	24050	\N	\N	\N
59675	198	1996-08-10	VYDAJ	VYBER	200	26084	\N	\N	\N
59676	198	1996-09-09	VYDAJ	VYBER	100	25599	\N	\N	\N
59677	198	1996-10-09	VYDAJ	VYBER	1700	25434	\N	\N	\N
59678	198	1996-12-08	VYDAJ	VYBER	5300	21713	\N	\N	\N
59679	198	1997-01-07	VYDAJ	VYBER	3800	19436	\N	\N	\N
59680	198	1997-04-07	VYDAJ	VYBER	500	17250	\N	\N	\N
59681	198	1998-04-02	VYDAJ	VYBER	600	26407	\N	\N	\N
59682	198	1998-06-01	VYDAJ	VYBER	800	28670	\N	\N	\N
59741	199	1996-10-26	PRIJEM	VKLAD	700	700	\N	\N	\N
59752	199	1996-11-05	PRIJEM	PREVOD Z UCTU	2977	3677	\N	QR	18829322
59753	199	1996-12-05	PRIJEM	PREVOD Z UCTU	2977	6654	\N	QR	18829322
59754	199	1997-01-05	PRIJEM	PREVOD Z UCTU	2977	9631	\N	QR	18829322
59755	199	1997-02-05	PRIJEM	PREVOD Z UCTU	2977	12608	\N	QR	18829322
59756	199	1997-03-05	PRIJEM	PREVOD Z UCTU	2977	15585	\N	QR	18829322
59757	199	1997-04-05	PRIJEM	PREVOD Z UCTU	2977	16611	\N	QR	18829322
59758	199	1997-05-05	PRIJEM	PREVOD Z UCTU	2977	17650	\N	QR	18829322
59759	199	1997-06-05	PRIJEM	PREVOD Z UCTU	2977	18693	\N	QR	18829322
59760	199	1997-07-05	PRIJEM	PREVOD Z UCTU	2977	19410	\N	QR	18829322
59761	199	1997-08-05	PRIJEM	PREVOD Z UCTU	2977	20460	\N	QR	18829322
59762	199	1997-09-05	PRIJEM	PREVOD Z UCTU	2977	21034	\N	QR	18829322
59763	199	1997-10-05	PRIJEM	PREVOD Z UCTU	2977	21761	\N	QR	18829322
59764	199	1997-11-05	PRIJEM	PREVOD Z UCTU	2977	22250	\N	QR	18829322
59765	199	1997-12-05	PRIJEM	PREVOD Z UCTU	2977	23312	\N	QR	18829322
59766	199	1998-01-05	PRIJEM	PREVOD Z UCTU	2977	23988	\N	QR	18829322
59767	199	1998-02-05	PRIJEM	PREVOD Z UCTU	2977	24396	\N	QR	18829322
59768	199	1998-03-05	PRIJEM	PREVOD Z UCTU	2977	24597	\N	QR	18829322
59769	199	1998-04-05	PRIJEM	PREVOD Z UCTU	2977	25518	\N	QR	18829322
59770	199	1998-05-05	PRIJEM	PREVOD Z UCTU	2977	26594	\N	QR	18829322
59771	199	1998-06-05	PRIJEM	PREVOD Z UCTU	2977	27674	\N	QR	18829322
59772	199	1998-07-05	PRIJEM	PREVOD Z UCTU	2977	25785	\N	QR	18829322
59773	199	1998-08-05	PRIJEM	PREVOD Z UCTU	2977	26862	\N	QR	18829322
59774	199	1998-09-05	PRIJEM	PREVOD Z UCTU	2977	27943	\N	QR	18829322
59775	199	1998-10-05	PRIJEM	PREVOD Z UCTU	2977	27977	\N	QR	18829322
59776	199	1998-11-05	PRIJEM	PREVOD Z UCTU	2977	29063	\N	QR	18829322
59777	199	1998-12-05	PRIJEM	PREVOD Z UCTU	2977	29612	\N	QR	18829322
59792	199	1997-03-06	VYDAJ	PREVOD NA UCET	1984	13601	\N	CD	15875643
59793	199	1997-04-06	VYDAJ	PREVOD NA UCET	1984	14627	\N	CD	15875643
59794	199	1997-05-06	VYDAJ	PREVOD NA UCET	1984	15666	\N	CD	15875643
59795	199	1997-06-06	VYDAJ	PREVOD NA UCET	1984	16709	\N	CD	15875643
59796	199	1997-07-06	VYDAJ	PREVOD NA UCET	1984	17426	\N	CD	15875643
59797	199	1997-08-06	VYDAJ	PREVOD NA UCET	1984	18476	\N	CD	15875643
59798	199	1997-09-06	VYDAJ	PREVOD NA UCET	1984	19050	\N	CD	15875643
59799	199	1997-10-06	VYDAJ	PREVOD NA UCET	1984	19777	\N	CD	15875643
59800	199	1997-11-06	VYDAJ	PREVOD NA UCET	1984	20266	\N	CD	15875643
59801	199	1997-12-06	VYDAJ	PREVOD NA UCET	1984	21328	\N	CD	15875643
59802	199	1998-01-06	VYDAJ	PREVOD NA UCET	1984	22004	\N	CD	15875643
59803	199	1998-02-06	VYDAJ	PREVOD NA UCET	1984	22412	\N	CD	15875643
59804	199	1998-03-06	VYDAJ	PREVOD NA UCET	1984	22613	\N	CD	15875643
59805	199	1998-04-06	VYDAJ	PREVOD NA UCET	1984	23534	\N	CD	15875643
59806	199	1998-05-06	VYDAJ	PREVOD NA UCET	1984	24610	\N	CD	15875643
59807	199	1998-06-06	VYDAJ	PREVOD NA UCET	1984	25690	\N	CD	15875643
59808	199	1998-07-06	VYDAJ	PREVOD NA UCET	1984	23801	\N	CD	15875643
59809	199	1998-08-06	VYDAJ	PREVOD NA UCET	1984	24878	\N	CD	15875643
59810	199	1998-09-06	VYDAJ	PREVOD NA UCET	1984	25959	\N	CD	15875643
59811	199	1998-10-06	VYDAJ	PREVOD NA UCET	1984	25993	\N	CD	15875643
59812	199	1998-11-06	VYDAJ	PREVOD NA UCET	1984	27079	\N	CD	15875643
59813	199	1998-12-06	VYDAJ	PREVOD NA UCET	1984	27628	\N	CD	15875643
59816	199	1998-06-22	VYDAJ	VYBER	2970	22720	\N	\N	\N
59818	199	1997-12-30	VYDAJ	VYBER	390	20938	\N	\N	\N
59819	199	1998-12-12	VYDAJ	VYBER	870	26758	\N	\N	\N
59824	199	1997-06-26	VYDAJ	VYBER	330	16379	\N	\N	\N
59825	199	1997-09-25	VYDAJ	VYBER	330	18720	\N	\N	\N
59826	199	1997-08-23	VYDAJ	VYBER	480	17996	\N	\N	\N
59827	199	1997-10-12	VYDAJ	VYBER	420	19357	\N	\N	\N
59828	199	1997-10-13	VYDAJ	VYBER	150	19207	\N	\N	\N
59829	199	1998-01-14	VYDAJ	VYBER	660	21344	\N	\N	\N
59830	199	1998-09-16	VYDAJ	VYBER	1050	24909	\N	\N	\N
59831	199	1998-02-27	VYDAJ	VYBER	870	21542	\N	\N	\N
59832	199	1998-11-19	VYDAJ	VYBER	540	26539	\N	\N	\N
59833	199	1998-03-24	VYDAJ	VYBER	150	22463	\N	\N	\N
59849	199	1997-03-31	VYDAJ	VYBER	15	13634	SLUZBY	\N	\N
59850	199	1997-04-30	VYDAJ	VYBER	15	14673	SLUZBY	\N	\N
59851	199	1997-05-31	VYDAJ	VYBER	15	15716	SLUZBY	\N	\N
59852	199	1997-06-30	VYDAJ	VYBER	15	16433	SLUZBY	\N	\N
59853	199	1997-07-31	VYDAJ	VYBER	15	17483	SLUZBY	\N	\N
59854	199	1997-08-31	VYDAJ	VYBER	15	18057	SLUZBY	\N	\N
59855	199	1997-09-30	VYDAJ	VYBER	15	18784	SLUZBY	\N	\N
59856	199	1997-10-31	VYDAJ	VYBER	15	19273	SLUZBY	\N	\N
59857	199	1997-11-30	VYDAJ	VYBER	15	20335	SLUZBY	\N	\N
59858	199	1997-12-31	VYDAJ	VYBER	15	21011	SLUZBY	\N	\N
59859	199	1998-01-31	VYDAJ	VYBER	15	21419	SLUZBY	\N	\N
59860	199	1998-02-28	VYDAJ	VYBER	15	21620	SLUZBY	\N	\N
59861	199	1998-03-31	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
59862	199	1998-04-30	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
59863	199	1998-05-31	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
59864	199	1998-06-30	VYDAJ	VYBER	15	22808	SLUZBY	\N	\N
59865	199	1998-07-31	VYDAJ	VYBER	15	23885	SLUZBY	\N	\N
59866	199	1998-08-31	VYDAJ	VYBER	15	24966	SLUZBY	\N	\N
59867	199	1998-09-30	VYDAJ	VYBER	15	25000	SLUZBY	\N	\N
59868	199	1998-10-31	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
59869	199	1998-11-30	VYDAJ	VYBER	15	26635	SLUZBY	\N	\N
59892	200	1994-07-03	PRIJEM	VKLAD	900	900	\N	\N	\N
59899	200	1994-07-08	PRIJEM	VKLAD	8614	9514	\N	\N	\N
59900	200	1994-08-08	PRIJEM	VKLAD	8614	24659	\N	\N	\N
59901	200	1994-09-08	PRIJEM	VKLAD	8614	31161	\N	\N	\N
59902	200	1994-10-08	PRIJEM	VKLAD	8614	35199	\N	\N	\N
59903	200	1994-11-08	PRIJEM	VKLAD	8614	39255	\N	\N	\N
59904	200	1994-12-08	PRIJEM	VKLAD	12921	45689	\N	\N	\N
59905	200	1995-01-08	PRIJEM	VKLAD	8614	40840	\N	\N	\N
59906	200	1995-02-08	PRIJEM	VKLAD	8614	38181	\N	\N	\N
59907	200	1995-03-08	PRIJEM	VKLAD	8614	42804	\N	\N	\N
59908	200	1995-04-08	PRIJEM	VKLAD	8614	46447	\N	\N	\N
59909	200	1995-05-08	PRIJEM	VKLAD	8614	47304	\N	\N	\N
59910	200	1995-06-08	PRIJEM	VKLAD	12921	52972	\N	\N	\N
59911	200	1995-07-08	PRIJEM	VKLAD	8614	50139	\N	\N	\N
59912	200	1995-08-08	PRIJEM	VKLAD	8614	47824	\N	\N	\N
59913	200	1995-09-08	PRIJEM	VKLAD	8614	50488	\N	\N	\N
59914	200	1995-10-08	PRIJEM	VKLAD	8614	49281	\N	\N	\N
59915	200	1995-11-08	PRIJEM	VKLAD	8614	49349	\N	\N	\N
59916	200	1995-12-08	PRIJEM	VKLAD	12921	53936	\N	\N	\N
59917	200	1996-01-08	PRIJEM	VKLAD	8614	53710	\N	\N	\N
59918	200	1996-02-08	PRIJEM	VKLAD	8614	54398	\N	\N	\N
59919	200	1996-03-08	PRIJEM	VKLAD	8614	56890	\N	\N	\N
59920	200	1996-04-08	PRIJEM	VKLAD	8614	57090	\N	\N	\N
59921	200	1996-05-08	PRIJEM	VKLAD	8614	57293	\N	\N	\N
59922	200	1996-06-08	PRIJEM	VKLAD	12921	60919	\N	\N	\N
59923	200	1996-07-08	PRIJEM	VKLAD	8614	58625	\N	\N	\N
59924	200	1996-08-08	PRIJEM	VKLAD	8614	63940	\N	\N	\N
59925	200	1996-09-08	PRIJEM	VKLAD	8614	63782	\N	\N	\N
59926	200	1996-10-08	PRIJEM	VKLAD	8614	68718	\N	\N	\N
59927	200	1996-11-08	PRIJEM	VKLAD	8614	73174	\N	\N	\N
59928	200	1996-12-08	PRIJEM	VKLAD	12921	75952	\N	\N	\N
59929	200	1997-01-08	PRIJEM	VKLAD	8614	79246	\N	\N	\N
59930	200	1997-02-08	PRIJEM	VKLAD	8614	85450	\N	\N	\N
59931	200	1997-03-08	PRIJEM	VKLAD	8614	86570	\N	\N	\N
59932	200	1997-04-08	PRIJEM	VKLAD	8614	85090	\N	\N	\N
59933	200	1997-05-08	PRIJEM	VKLAD	8614	84405	\N	\N	\N
59934	200	1997-06-08	PRIJEM	VKLAD	12921	85721	\N	\N	\N
59935	200	1997-07-08	PRIJEM	VKLAD	8614	79427	\N	\N	\N
59936	200	1997-08-08	PRIJEM	VKLAD	8614	81639	\N	\N	\N
59937	200	1997-09-08	PRIJEM	VKLAD	8614	87653	\N	\N	\N
59938	200	1997-10-08	PRIJEM	VKLAD	8614	91793	\N	\N	\N
59939	200	1997-11-08	PRIJEM	VKLAD	8614	95144	\N	\N	\N
59940	200	1997-12-08	PRIJEM	VKLAD	12921	95414	\N	\N	\N
59941	200	1998-01-08	PRIJEM	VKLAD	8614	101391	\N	\N	\N
59942	200	1998-02-08	PRIJEM	VKLAD	8614	105083	\N	\N	\N
59943	200	1998-03-08	PRIJEM	VKLAD	8614	107085	\N	\N	\N
59944	200	1998-04-08	PRIJEM	VKLAD	8614	108598	\N	\N	\N
59945	200	1998-05-08	PRIJEM	VKLAD	8614	110524	\N	\N	\N
59946	200	1998-06-08	PRIJEM	VKLAD	12921	118870	\N	\N	\N
59947	200	1998-07-08	PRIJEM	VKLAD	8614	105498	\N	\N	\N
59948	200	1998-08-08	PRIJEM	VKLAD	8614	112527	\N	\N	\N
59949	200	1998-09-08	PRIJEM	VKLAD	8614	116671	\N	\N	\N
59950	200	1998-10-08	PRIJEM	VKLAD	8614	125341	\N	\N	\N
59951	200	1998-11-08	PRIJEM	VKLAD	8614	122811	\N	\N	\N
59952	200	1998-12-08	PRIJEM	VKLAD	12921	114951	\N	\N	\N
59953	200	1994-12-19	VYDAJ	VYBER	2700	42989	\N	\N	\N
59954	200	1995-12-26	VYDAJ	VYBER	2300	44936	\N	\N	\N
59955	200	1996-12-11	VYDAJ	VYBER KARTOU	2300	73652	\N	\N	0
59956	200	1997-12-03	VYDAJ	VYBER KARTOU	2900	82493	\N	\N	0
59957	200	1998-12-22	VYDAJ	VYBER KARTOU	1800	101151	\N	\N	0
59962	200	1995-11-14	VYDAJ	VYBER	1700	47649	\N	\N	\N
59963	200	1995-09-08	VYDAJ	VYBER	800	49688	\N	\N	\N
59964	200	1995-01-13	VYDAJ	VYBER	4700	36140	\N	\N	\N
59965	200	1995-07-12	VYDAJ	VYBER	2100	48039	\N	\N	\N
59966	200	1996-08-17	VYDAJ	VYBER	4800	59140	\N	\N	\N
59967	200	1996-01-25	VYDAJ	VYBER	2500	45610	\N	\N	\N
59968	200	1996-12-05	VYDAJ	VYBER	4100	63031	\N	\N	\N
59969	200	1996-08-07	VYDAJ	VYBER	800	55326	\N	\N	\N
59970	200	1996-05-02	VYDAJ	VYBER	1500	48679	\N	\N	\N
59971	200	1996-05-24	VYDAJ	VYBER	1300	47793	\N	\N	\N
59972	200	1996-06-18	VYDAJ	VYBER	4300	56619	\N	\N	\N
59973	200	1997-07-03	VYDAJ	VYBER	4600	70813	\N	\N	\N
59974	200	1997-09-30	VYDAJ	VYBER KARTOU	2600	83194	\N	\N	0
59975	200	1997-05-26	VYDAJ	VYBER KARTOU	1900	72505	\N	\N	0
59976	200	1997-12-11	VYDAJ	VYBER	4400	91014	\N	\N	\N
59977	200	1997-11-29	VYDAJ	VYBER	4200	85044	\N	\N	\N
59978	200	1998-08-03	VYDAJ	VYBER KARTOU	1600	103913	\N	\N	0
59979	200	1998-03-09	VYDAJ	VYBER	4100	102985	\N	\N	\N
59980	200	1998-12-23	VYDAJ	VYBER KARTOU	2700	98451	\N	\N	0
59981	200	1998-10-08	VYDAJ	VYBER KARTOU	1900	104941	\N	\N	0
59982	200	1998-05-05	VYDAJ	VYBER KARTOU	3500	101910	\N	\N	0
59983	200	1998-07-03	VYDAJ	VYBER KARTOU	3100	96884	\N	\N	0
59995	200	1994-11-30	VYDAJ	VYBER	15	39368	SLUZBY	\N	\N
59996	200	1994-12-31	VYDAJ	VYBER	15	32226	SLUZBY	\N	\N
59997	200	1995-01-31	VYDAJ	VYBER	15	29567	SLUZBY	\N	\N
59998	200	1995-02-28	VYDAJ	VYBER	15	34190	SLUZBY	\N	\N
59999	200	1995-03-31	VYDAJ	VYBER	15	37833	SLUZBY	\N	\N
60000	200	1995-04-30	VYDAJ	VYBER	15	38690	SLUZBY	\N	\N
60001	200	1995-05-31	VYDAJ	VYBER	15	40051	SLUZBY	\N	\N
60002	200	1995-06-30	VYDAJ	VYBER	15	41525	SLUZBY	\N	\N
60003	200	1995-07-31	VYDAJ	VYBER	15	39210	SLUZBY	\N	\N
60004	200	1995-08-31	VYDAJ	VYBER	15	41874	SLUZBY	\N	\N
60005	200	1995-09-30	VYDAJ	VYBER	15	40667	SLUZBY	\N	\N
60006	200	1995-10-31	VYDAJ	VYBER	15	40735	SLUZBY	\N	\N
60007	200	1995-11-30	VYDAJ	VYBER	15	41015	SLUZBY	\N	\N
60008	200	1995-12-31	VYDAJ	VYBER	15	45096	SLUZBY	\N	\N
60009	200	1996-01-31	VYDAJ	VYBER	15	45784	SLUZBY	\N	\N
60010	200	1996-02-29	VYDAJ	VYBER	15	48276	SLUZBY	\N	\N
60011	200	1996-03-31	VYDAJ	VYBER	15	48476	SLUZBY	\N	\N
60012	200	1996-04-30	VYDAJ	VYBER	15	50179	SLUZBY	\N	\N
60013	200	1996-05-31	VYDAJ	VYBER	15	47998	SLUZBY	\N	\N
60014	200	1996-06-30	VYDAJ	VYBER	15	50011	SLUZBY	\N	\N
60015	200	1996-07-31	VYDAJ	VYBER	15	56126	SLUZBY	\N	\N
60016	200	1996-08-31	VYDAJ	VYBER	15	55168	SLUZBY	\N	\N
60017	200	1996-09-30	VYDAJ	VYBER	15	60104	SLUZBY	\N	\N
60018	200	1996-10-31	VYDAJ	VYBER	15	64560	SLUZBY	\N	\N
60019	200	1996-11-30	VYDAJ	VYBER	15	67131	SLUZBY	\N	\N
60020	200	1996-12-31	VYDAJ	VYBER	15	70632	SLUZBY	\N	\N
60021	200	1997-01-31	VYDAJ	VYBER	15	76836	SLUZBY	\N	\N
60022	200	1997-02-28	VYDAJ	VYBER	15	77956	SLUZBY	\N	\N
60023	200	1997-03-31	VYDAJ	VYBER	15	76476	SLUZBY	\N	\N
60024	200	1997-04-30	VYDAJ	VYBER	15	75791	SLUZBY	\N	\N
60025	200	1997-05-31	VYDAJ	VYBER	15	72800	SLUZBY	\N	\N
60026	200	1997-06-30	VYDAJ	VYBER	15	75413	SLUZBY	\N	\N
60027	200	1997-07-31	VYDAJ	VYBER	15	73025	SLUZBY	\N	\N
60028	200	1997-08-31	VYDAJ	VYBER	15	79039	SLUZBY	\N	\N
60029	200	1997-09-30	VYDAJ	VYBER	15	83179	SLUZBY	\N	\N
60030	200	1997-10-31	VYDAJ	VYBER	15	86530	SLUZBY	\N	\N
60031	200	1997-11-30	VYDAJ	VYBER	15	85393	SLUZBY	\N	\N
60032	200	1997-12-31	VYDAJ	VYBER	15	92777	SLUZBY	\N	\N
60033	200	1998-01-31	VYDAJ	VYBER	15	96469	SLUZBY	\N	\N
60034	200	1998-02-28	VYDAJ	VYBER	15	98471	SLUZBY	\N	\N
60035	200	1998-03-31	VYDAJ	VYBER	15	99984	SLUZBY	\N	\N
60036	200	1998-04-30	VYDAJ	VYBER	15	105410	SLUZBY	\N	\N
60037	200	1998-05-31	VYDAJ	VYBER	15	105949	SLUZBY	\N	\N
60038	200	1998-06-30	VYDAJ	VYBER	15	99984	SLUZBY	\N	\N
60039	200	1998-07-31	VYDAJ	VYBER	15	105513	SLUZBY	\N	\N
60040	200	1998-08-31	VYDAJ	VYBER	15	108057	SLUZBY	\N	\N
60041	200	1998-09-30	VYDAJ	VYBER	15	116727	SLUZBY	\N	\N
60042	200	1998-10-31	VYDAJ	VYBER	15	114197	SLUZBY	\N	\N
60043	200	1998-11-30	VYDAJ	VYBER	15	102030	SLUZBY	\N	\N
60044	200	1994-08-02	PRIJEM	VKLAD	6500	16045	\N	\N	\N
60045	200	1994-09-01	VYDAJ	VYBER	2200	22547	\N	\N	\N
60046	200	1994-10-01	VYDAJ	VYBER	4700	26585	\N	\N	\N
60047	200	1994-10-31	VYDAJ	VYBER	4700	30641	\N	\N	\N
60048	200	1994-11-30	VYDAJ	VYBER	6600	32768	\N	\N	\N
60049	200	1994-12-30	VYDAJ	VYBER	10900	32089	\N	\N	\N
60050	200	1995-01-29	VYDAJ	VYBER	6700	29440	\N	\N	\N
60051	200	1995-02-28	VYDAJ	VYBER	4100	34205	\N	\N	\N
60052	200	1995-03-30	VYDAJ	VYBER	5100	37704	\N	\N	\N
60053	200	1995-04-29	VYDAJ	VYBER	7900	38547	\N	\N	\N
60054	200	1995-05-29	VYDAJ	VYBER	7400	39904	\N	\N	\N
60055	200	1995-06-28	VYDAJ	VYBER	11600	41372	\N	\N	\N
60056	200	1995-07-28	VYDAJ	VYBER	9000	39039	\N	\N	\N
60057	200	1995-08-27	VYDAJ	VYBER	6100	41724	\N	\N	\N
60058	200	1995-09-26	VYDAJ	VYBER	9200	40488	\N	\N	\N
60059	200	1995-10-26	VYDAJ	VYBER	8700	40581	\N	\N	\N
60060	200	1995-11-25	VYDAJ	VYBER	6800	40849	\N	\N	\N
60061	200	1995-12-25	VYDAJ	VYBER	6700	47236	\N	\N	\N
60062	200	1996-01-24	VYDAJ	VYBER	5600	48110	\N	\N	\N
60063	200	1996-02-23	VYDAJ	VYBER	6300	48098	\N	\N	\N
60064	200	1996-03-24	VYDAJ	VYBER	8600	48290	\N	\N	\N
60065	200	1996-04-23	VYDAJ	VYBER	7100	49990	\N	\N	\N
60066	200	1996-05-23	VYDAJ	VYBER	8200	49093	\N	\N	\N
60067	200	1996-06-22	VYDAJ	VYBER	6800	49819	\N	\N	\N
60068	200	1996-07-22	VYDAJ	VYBER	2700	55925	\N	\N	\N
60069	200	1996-08-21	VYDAJ	VYBER	4200	54940	\N	\N	\N
60070	200	1996-09-20	VYDAJ	VYBER KARTOU	3900	59882	\N	\N	0
60071	200	1996-10-20	VYDAJ	VYBER	4400	64318	\N	\N	\N
60072	200	1996-11-19	VYDAJ	VYBER	6300	66874	\N	\N	\N
60073	200	1996-12-19	VYDAJ	VYBER KARTOU	3300	70352	\N	\N	0
60074	200	1997-01-18	VYDAJ	VYBER KARTOU	2700	76546	\N	\N	0
60075	200	1997-02-17	VYDAJ	VYBER	7800	77650	\N	\N	\N
60076	200	1997-03-19	VYDAJ	VYBER	10400	76170	\N	\N	\N
60077	200	1997-04-18	VYDAJ	VYBER	9600	75490	\N	\N	\N
60078	200	1997-05-18	VYDAJ	VYBER	10000	74405	\N	\N	\N
60079	200	1997-06-17	VYDAJ	VYBER	10600	75121	\N	\N	\N
60080	200	1997-07-17	VYDAJ	VYBER	6700	72727	\N	\N	\N
60081	200	1997-08-16	VYDAJ	VYBER KARTOU	2900	78739	\N	\N	0
60082	200	1997-09-15	VYDAJ	VYBER KARTOU	2200	85453	\N	\N	0
60083	200	1997-10-15	VYDAJ	VYBER	5600	86193	\N	\N	\N
60084	200	1997-11-14	VYDAJ	VYBER	5900	89244	\N	\N	\N
60085	200	1997-12-14	PRIJEM	VKLAD	1400	92414	\N	\N	\N
60086	200	1998-01-13	VYDAJ	VYBER	5300	96091	\N	\N	\N
60087	200	1998-02-12	VYDAJ	VYBER	7000	98083	\N	\N	\N
60088	200	1998-03-14	VYDAJ	VYBER KARTOU	3400	99585	\N	\N	0
60089	200	1998-04-13	VYDAJ	VYBER KARTOU	3600	104998	\N	\N	0
60090	200	1998-05-13	VYDAJ	VYBER	5000	105524	\N	\N	\N
60091	200	1998-06-08	VYDAJ	VYBER	16800	102070	\N	\N	\N
60092	200	1998-06-12	VYDAJ	VYBER KARTOU	2500	99570	\N	\N	0
60093	200	1998-07-12	VYDAJ	VYBER KARTOU	400	105098	\N	\N	0
60094	200	1998-08-11	VYDAJ	VYBER	4900	107627	\N	\N	\N
60095	200	1998-09-10	VYDAJ	VYBER KARTOU	400	116271	\N	\N	0
60096	200	1998-10-08	VYDAJ	VYBER	18500	106841	\N	\N	\N
60097	200	1998-10-10	PRIJEM	VKLAD	8800	113741	\N	\N	\N
60098	200	1998-11-08	VYDAJ	VYBER	47200	75611	\N	\N	\N
60099	200	1998-11-09	PRIJEM	VKLAD	26000	101611	\N	\N	\N
60100	200	1998-12-09	PRIJEM	VKLAD	8700	123651	\N	\N	\N
60101	200	1998-12-22	VYDAJ	VYBER	20700	102951	\N	\N	\N
60156	201	1994-11-02	PRIJEM	VKLAD	600	600	\N	\N	\N
60167	201	1994-11-10	PRIJEM	VKLAD	15835	16435	\N	\N	\N
60168	201	1994-12-10	PRIJEM	VKLAD	23752	44535	\N	\N	\N
60169	201	1995-01-10	PRIJEM	VKLAD	15835	50422	\N	\N	\N
60170	201	1995-02-10	PRIJEM	VKLAD	15835	52458	\N	\N	\N
60171	201	1995-03-10	PRIJEM	VKLAD	15835	53245	\N	\N	\N
60172	201	1995-04-10	PRIJEM	VKLAD	15835	49859	\N	\N	\N
60173	201	1995-05-10	PRIJEM	VKLAD	15835	44769	\N	\N	\N
60174	201	1995-06-10	PRIJEM	VKLAD	23752	52269	\N	\N	\N
60175	201	1995-07-10	PRIJEM	VKLAD	15835	49153	\N	\N	\N
60176	201	1995-08-10	PRIJEM	VKLAD	15835	45250	\N	\N	\N
60177	201	1995-09-10	PRIJEM	VKLAD	15835	45523	\N	\N	\N
60178	201	1995-10-10	PRIJEM	VKLAD	15835	48297	\N	\N	\N
60179	201	1995-11-10	PRIJEM	VKLAD	15835	47880	\N	\N	\N
60180	201	1995-12-10	PRIJEM	VKLAD	23752	51973	\N	\N	\N
60181	201	1996-01-10	PRIJEM	VKLAD	15835	45066	\N	\N	\N
60182	201	1996-02-10	PRIJEM	VKLAD	15835	38533	\N	\N	\N
60183	201	1996-03-10	PRIJEM	VKLAD	15835	40776	\N	\N	\N
60184	201	1996-04-10	PRIJEM	VKLAD	15835	39626	\N	\N	\N
60185	201	1996-05-10	PRIJEM	VKLAD	15835	39171	\N	\N	\N
60186	201	1996-06-10	PRIJEM	VKLAD	23752	46331	\N	\N	\N
60187	201	1996-07-10	PRIJEM	VKLAD	15835	43788	\N	\N	\N
60188	201	1996-08-10	PRIJEM	VKLAD	15835	41046	\N	\N	\N
60189	201	1996-09-10	PRIJEM	VKLAD	15835	40194	\N	\N	\N
60190	201	1996-10-10	PRIJEM	VKLAD	15835	41741	\N	\N	\N
60191	201	1996-11-10	PRIJEM	VKLAD	15835	40592	\N	\N	\N
60192	201	1996-12-10	PRIJEM	VKLAD	23752	45060	\N	\N	\N
60193	201	1997-01-10	PRIJEM	VKLAD	15835	33127	\N	\N	\N
60194	201	1997-02-10	PRIJEM	VKLAD	15835	31452	\N	\N	\N
60195	201	1997-03-10	PRIJEM	VKLAD	15835	36974	\N	\N	\N
60196	201	1997-04-10	PRIJEM	VKLAD	15835	38507	\N	\N	\N
60197	201	1997-05-10	PRIJEM	VKLAD	15835	42349	\N	\N	\N
60198	201	1997-06-10	PRIJEM	VKLAD	23752	52220	\N	\N	\N
60199	201	1997-07-10	PRIJEM	VKLAD	15835	45388	\N	\N	\N
60200	201	1997-08-10	PRIJEM	VKLAD	15835	49058	\N	\N	\N
60201	201	1997-09-10	PRIJEM	VKLAD	15835	48034	\N	\N	\N
60202	201	1997-10-10	PRIJEM	VKLAD	15835	49609	\N	\N	\N
60203	201	1997-11-10	PRIJEM	VKLAD	15835	47481	\N	\N	\N
60204	201	1997-12-10	PRIJEM	VKLAD	23752	60879	\N	\N	\N
60205	201	1998-01-10	PRIJEM	VKLAD	15835	55483	\N	\N	\N
60206	201	1998-02-10	PRIJEM	VKLAD	15835	36766	\N	\N	\N
60207	201	1998-03-10	PRIJEM	VKLAD	15835	45208	\N	\N	\N
60208	201	1998-04-10	PRIJEM	VKLAD	15835	54387	\N	\N	\N
60209	201	1998-05-10	PRIJEM	VKLAD	15835	50286	\N	\N	\N
60210	201	1998-06-10	PRIJEM	VKLAD	23752	62199	\N	\N	\N
60211	201	1998-07-10	PRIJEM	VKLAD	15835	48094	\N	\N	\N
60212	201	1998-08-10	PRIJEM	VKLAD	15835	52485	\N	\N	\N
60213	201	1998-09-10	PRIJEM	VKLAD	15835	52877	\N	\N	\N
60214	201	1998-10-10	PRIJEM	VKLAD	15835	55774	\N	\N	\N
60215	201	1998-11-10	PRIJEM	VKLAD	15835	56785	\N	\N	\N
60216	201	1998-12-10	PRIJEM	VKLAD	23752	60902	\N	\N	\N
60231	201	1995-03-13	VYDAJ	PREVOD NA UCET	9584	43661	SIPO	OP	34061867
60232	201	1995-04-13	VYDAJ	PREVOD NA UCET	9584	40275	SIPO	OP	34061867
60233	201	1995-05-13	VYDAJ	PREVOD NA UCET	9584	35185	SIPO	OP	34061867
60234	201	1995-06-13	VYDAJ	PREVOD NA UCET	9584	42685	SIPO	OP	34061867
60235	201	1995-07-13	VYDAJ	PREVOD NA UCET	9584	39569	SIPO	OP	34061867
60236	201	1995-08-13	VYDAJ	PREVOD NA UCET	9584	35666	SIPO	OP	34061867
60237	201	1995-09-13	VYDAJ	PREVOD NA UCET	9584	35939	SIPO	OP	34061867
60238	201	1995-10-13	VYDAJ	PREVOD NA UCET	9584	38713	SIPO	OP	34061867
60239	201	1995-11-13	VYDAJ	PREVOD NA UCET	9584	38296	SIPO	OP	34061867
60240	201	1995-12-13	VYDAJ	PREVOD NA UCET	9584	42389	SIPO	OP	34061867
60241	201	1996-01-13	VYDAJ	PREVOD NA UCET	9584	34082	SIPO	OP	34061867
60242	201	1996-02-13	VYDAJ	PREVOD NA UCET	9584	28949	SIPO	OP	34061867
60243	201	1996-03-13	VYDAJ	PREVOD NA UCET	9584	31192	SIPO	OP	34061867
60244	201	1996-04-13	VYDAJ	PREVOD NA UCET	9584	30042	SIPO	OP	34061867
60245	201	1996-05-13	VYDAJ	PREVOD NA UCET	9584	29587	SIPO	OP	34061867
60246	201	1996-06-13	VYDAJ	PREVOD NA UCET	9584	36747	SIPO	OP	34061867
60247	201	1996-07-13	VYDAJ	PREVOD NA UCET	9584	34204	SIPO	OP	34061867
60376	201	1996-02-29	VYDAJ	VYBER	15	24941	SLUZBY	\N	\N
60248	201	1996-08-13	VYDAJ	PREVOD NA UCET	9584	31462	SIPO	OP	34061867
60249	201	1996-09-13	VYDAJ	PREVOD NA UCET	9584	30610	SIPO	OP	34061867
60250	201	1996-10-13	VYDAJ	PREVOD NA UCET	9584	32157	SIPO	OP	34061867
60251	201	1996-11-13	VYDAJ	PREVOD NA UCET	9584	28908	SIPO	OP	34061867
60252	201	1996-12-13	VYDAJ	PREVOD NA UCET	9584	35476	SIPO	OP	34061867
60253	201	1997-01-13	VYDAJ	PREVOD NA UCET	9584	21043	SIPO	OP	34061867
60254	201	1997-02-13	VYDAJ	PREVOD NA UCET	9584	21868	SIPO	OP	34061867
60255	201	1997-03-13	VYDAJ	PREVOD NA UCET	9584	27390	SIPO	OP	34061867
60256	201	1997-04-13	VYDAJ	PREVOD NA UCET	9584	28923	SIPO	OP	34061867
60257	201	1997-05-13	VYDAJ	PREVOD NA UCET	9584	32765	SIPO	OP	34061867
60258	201	1997-06-13	VYDAJ	PREVOD NA UCET	9584	42636	SIPO	OP	34061867
60259	201	1997-07-13	VYDAJ	PREVOD NA UCET	9584	35804	SIPO	OP	34061867
60260	201	1997-08-13	VYDAJ	PREVOD NA UCET	9584	39474	SIPO	OP	34061867
60261	201	1997-09-13	VYDAJ	PREVOD NA UCET	9584	38450	SIPO	OP	34061867
60262	201	1997-10-13	VYDAJ	PREVOD NA UCET	9584	35325	SIPO	OP	34061867
60263	201	1997-11-13	VYDAJ	PREVOD NA UCET	9584	37897	SIPO	OP	34061867
60264	201	1997-12-13	VYDAJ	PREVOD NA UCET	9584	51295	SIPO	OP	34061867
60265	201	1998-01-13	VYDAJ	PREVOD NA UCET	9584	42999	SIPO	OP	34061867
60266	201	1998-02-13	VYDAJ	PREVOD NA UCET	9584	27182	SIPO	OP	34061867
60267	201	1998-03-13	VYDAJ	PREVOD NA UCET	9584	35624	SIPO	OP	34061867
60268	201	1998-04-13	VYDAJ	PREVOD NA UCET	9584	44803	SIPO	OP	34061867
60269	201	1998-05-13	VYDAJ	PREVOD NA UCET	9584	40702	SIPO	OP	34061867
60270	201	1998-06-13	VYDAJ	PREVOD NA UCET	9584	45015	SIPO	OP	34061867
60271	201	1998-07-13	VYDAJ	PREVOD NA UCET	9584	38510	SIPO	OP	34061867
60272	201	1998-08-13	VYDAJ	PREVOD NA UCET	9584	39501	SIPO	OP	34061867
60273	201	1998-09-13	VYDAJ	PREVOD NA UCET	9584	39793	SIPO	OP	34061867
60274	201	1998-10-13	VYDAJ	PREVOD NA UCET	9584	44290	SIPO	OP	34061867
60275	201	1998-11-13	VYDAJ	PREVOD NA UCET	9584	39001	SIPO	OP	34061867
60276	201	1998-12-13	VYDAJ	PREVOD NA UCET	9584	43818	SIPO	OP	34061867
60281	201	1998-06-12	VYDAJ	VYBER	7600	54599	\N	\N	\N
60284	201	1996-01-23	VYDAJ	VYBER	1800	30982	\N	\N	\N
60285	201	1997-01-09	VYDAJ	VYBER	6300	17292	\N	\N	\N
60286	201	1998-01-23	VYDAJ	VYBER	6100	26299	\N	\N	\N
60288	201	1995-12-04	VYDAJ	VYBER	500	28221	\N	\N	\N
60289	201	1996-12-09	VYDAJ	VYBER	1700	21308	\N	\N	\N
60290	201	1997-12-26	VYDAJ	VYBER	1100	40595	\N	\N	\N
60291	201	1998-12-06	VYDAJ	VYBER	700	37150	\N	\N	\N
60304	201	1996-01-15	VYDAJ	VYBER	1300	32782	\N	\N	\N
60305	201	1996-01-27	VYDAJ	VYBER	900	25382	\N	\N	\N
60306	201	1996-01-28	VYDAJ	VYBER	2800	22582	\N	\N	\N
60307	201	1996-01-06	VYDAJ	VYBER	1400	29231	\N	\N	\N
60308	201	1996-01-05	VYDAJ	VYBER	1700	30631	\N	\N	\N
60309	201	1996-01-11	VYDAJ	VYBER	1400	43666	\N	\N	\N
60310	201	1997-01-17	VYDAJ	VYBER	2200	18843	\N	\N	\N
60311	201	1997-01-23	VYDAJ	VYBER	1500	16143	\N	\N	\N
60312	201	1997-01-04	VYDAJ	VYBER	1500	27792	\N	\N	\N
60313	201	1997-01-11	VYDAJ	VYBER	2500	30627	\N	\N	\N
60314	201	1997-01-06	VYDAJ	VYBER	1400	26392	\N	\N	\N
60315	201	1997-01-07	VYDAJ	VYBER	2800	23592	\N	\N	\N
60316	201	1998-01-11	VYDAJ	VYBER	1100	52583	\N	\N	\N
60317	201	1998-01-01	VYDAJ	VYBER	1100	39648	\N	\N	\N
60318	201	1998-01-23	VYDAJ	VYBER	2600	32399	\N	\N	\N
60319	201	1998-01-26	VYDAJ	VYBER	2300	23999	\N	\N	\N
60320	201	1998-01-13	VYDAJ	VYBER	2200	40799	\N	\N	\N
60321	201	1998-01-11	VYDAJ	VYBER	1800	53683	\N	\N	\N
60327	201	1995-07-15	VYDAJ	VYBER	700	38869	\N	\N	\N
60328	201	1995-04-14	VYDAJ	VYBER	900	39375	\N	\N	\N
60330	201	1995-11-17	VYDAJ	VYBER	3400	34896	\N	\N	\N
60332	201	1995-05-04	VYDAJ	VYBER	800	28934	\N	\N	\N
60333	201	1995-06-17	VYDAJ	VYBER	3300	39385	\N	\N	\N
60334	201	1996-11-10	VYDAJ	VYBER	2100	38492	\N	\N	\N
60335	201	1996-12-03	VYDAJ	VYBER	3400	23008	\N	\N	\N
60336	201	1996-09-17	VYDAJ	VYBER	1100	29510	\N	\N	\N
60337	201	1996-10-25	VYDAJ	VYBER	4300	24657	\N	\N	\N
60338	201	1997-10-13	VYDAJ	VYBER	4700	44909	\N	\N	\N
60339	201	1997-02-02	VYDAJ	VYBER	600	15617	\N	\N	\N
60340	201	1997-06-19	VYDAJ	VYBER	3900	30236	\N	\N	\N
60341	201	1997-06-26	VYDAJ	VYBER	800	29436	\N	\N	\N
60342	201	1998-11-17	VYDAJ	VYBER	1300	37701	\N	\N	\N
60343	201	1998-05-06	VYDAJ	VYBER	1500	34451	\N	\N	\N
60344	201	1998-08-16	VYDAJ	VYBER	2600	36901	\N	\N	\N
60345	201	1998-10-27	VYDAJ	VYBER	3500	40790	\N	\N	\N
60346	201	1998-01-29	VYDAJ	VYBER	3200	20799	\N	\N	\N
60347	201	1998-07-03	VYDAJ	VYBER	4000	32259	\N	\N	\N
60348	201	1998-06-26	VYDAJ	VYBER	1300	36115	\N	\N	\N
60349	201	1998-04-29	VYDAJ	VYBER	4200	35803	\N	\N	\N
60365	201	1995-03-31	VYDAJ	VYBER	15	43824	SLUZBY	\N	\N
60366	201	1995-04-30	VYDAJ	VYBER	15	39534	SLUZBY	\N	\N
60367	201	1995-05-31	VYDAJ	VYBER	15	35317	SLUZBY	\N	\N
60368	201	1995-06-30	VYDAJ	VYBER	15	39518	SLUZBY	\N	\N
60369	201	1995-07-31	VYDAJ	VYBER	15	29415	SLUZBY	\N	\N
60370	201	1995-08-31	VYDAJ	VYBER	15	29688	SLUZBY	\N	\N
60371	201	1995-09-30	VYDAJ	VYBER	15	32462	SLUZBY	\N	\N
60372	201	1995-10-31	VYDAJ	VYBER	15	32045	SLUZBY	\N	\N
60373	201	1995-11-30	VYDAJ	VYBER	15	28721	SLUZBY	\N	\N
60374	201	1995-12-31	VYDAJ	VYBER	15	32331	SLUZBY	\N	\N
60375	201	1996-01-31	VYDAJ	VYBER	15	22698	SLUZBY	\N	\N
60377	201	1996-03-31	VYDAJ	VYBER	15	23791	SLUZBY	\N	\N
60378	201	1996-04-30	VYDAJ	VYBER	15	23336	SLUZBY	\N	\N
60379	201	1996-05-31	VYDAJ	VYBER	15	22579	SLUZBY	\N	\N
60380	201	1996-06-30	VYDAJ	VYBER	15	27953	SLUZBY	\N	\N
60381	201	1996-07-31	VYDAJ	VYBER	15	25211	SLUZBY	\N	\N
60382	201	1996-08-31	VYDAJ	VYBER	15	24359	SLUZBY	\N	\N
60383	201	1996-09-30	VYDAJ	VYBER	15	25906	SLUZBY	\N	\N
60384	201	1996-10-31	VYDAJ	VYBER	15	24757	SLUZBY	\N	\N
60385	201	1996-11-30	VYDAJ	VYBER	15	26408	SLUZBY	\N	\N
60386	201	1996-12-31	VYDAJ	VYBER	15	29292	SLUZBY	\N	\N
60387	201	1997-01-31	VYDAJ	VYBER	15	16217	SLUZBY	\N	\N
60388	201	1997-02-28	VYDAJ	VYBER	15	21139	SLUZBY	\N	\N
60389	201	1997-03-31	VYDAJ	VYBER	15	22672	SLUZBY	\N	\N
60390	201	1997-04-30	VYDAJ	VYBER	15	26514	SLUZBY	\N	\N
60391	201	1997-05-31	VYDAJ	VYBER	15	28468	SLUZBY	\N	\N
60392	201	1997-06-30	VYDAJ	VYBER	15	29553	SLUZBY	\N	\N
60393	201	1997-07-31	VYDAJ	VYBER	15	33223	SLUZBY	\N	\N
60394	201	1997-08-31	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
60395	201	1997-09-30	VYDAJ	VYBER	15	33774	SLUZBY	\N	\N
60396	201	1997-10-31	VYDAJ	VYBER	15	31646	SLUZBY	\N	\N
60397	201	1997-11-30	VYDAJ	VYBER	15	37127	SLUZBY	\N	\N
60398	201	1997-12-31	VYDAJ	VYBER	15	40748	SLUZBY	\N	\N
60399	201	1998-01-31	VYDAJ	VYBER	15	20931	SLUZBY	\N	\N
60400	201	1998-02-28	VYDAJ	VYBER	15	29373	SLUZBY	\N	\N
60401	201	1998-03-31	VYDAJ	VYBER	15	38552	SLUZBY	\N	\N
60402	201	1998-04-30	VYDAJ	VYBER	15	35951	SLUZBY	\N	\N
60403	201	1998-05-31	VYDAJ	VYBER	15	38447	SLUZBY	\N	\N
60404	201	1998-06-30	VYDAJ	VYBER	15	36259	SLUZBY	\N	\N
60405	201	1998-07-31	VYDAJ	VYBER	15	36650	SLUZBY	\N	\N
60406	201	1998-08-31	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
60407	201	1998-09-30	VYDAJ	VYBER	15	39939	SLUZBY	\N	\N
60408	201	1998-10-31	VYDAJ	VYBER	15	40950	SLUZBY	\N	\N
60409	201	1998-11-30	VYDAJ	VYBER	15	37850	SLUZBY	\N	\N
60410	201	1994-12-02	PRIJEM	VKLAD	4300	20783	\N	\N	\N
60411	201	1995-01-01	VYDAJ	VYBER	10100	34587	\N	\N	\N
60412	201	1995-01-31	VYDAJ	VYBER	14000	36623	\N	\N	\N
60413	201	1995-03-02	VYDAJ	VYBER	15200	37410	\N	\N	\N
60414	201	1995-04-01	VYDAJ	VYBER	9800	34024	\N	\N	\N
60415	201	1995-05-01	VYDAJ	VYBER	9800	29734	\N	\N	\N
60416	201	1995-05-31	VYDAJ	VYBER	6800	28517	\N	\N	\N
60417	201	1995-06-30	VYDAJ	VYBER	6200	33318	\N	\N	\N
60418	201	1995-07-30	VYDAJ	VYBER	9600	29269	\N	\N	\N
60419	201	1995-08-29	VYDAJ	VYBER	6100	29566	\N	\N	\N
60420	201	1995-09-28	VYDAJ	VYBER	3600	32339	\N	\N	\N
60421	201	1995-10-28	VYDAJ	VYBER	6800	31913	\N	\N	\N
60422	201	1995-11-27	VYDAJ	VYBER	6300	28596	\N	\N	\N
60423	201	1995-12-27	VYDAJ	VYBER	10200	32189	\N	\N	\N
60424	201	1996-01-26	VYDAJ	VYBER	4700	26282	\N	\N	\N
60425	201	1996-02-25	VYDAJ	VYBER	4100	24849	\N	\N	\N
60426	201	1996-03-26	VYDAJ	VYBER	7500	23692	\N	\N	\N
60427	201	1996-04-25	VYDAJ	VYBER	6800	23242	\N	\N	\N
60428	201	1996-05-25	VYDAJ	VYBER	7100	22487	\N	\N	\N
60429	201	1996-06-24	VYDAJ	VYBER	8900	27847	\N	\N	\N
60430	201	1996-07-24	VYDAJ	VYBER	9100	25104	\N	\N	\N
60431	201	1996-08-23	VYDAJ	VYBER	7200	24262	\N	\N	\N
60432	201	1996-09-22	VYDAJ	VYBER	3700	25810	\N	\N	\N
60433	201	1996-10-22	VYDAJ	VYBER	3200	28957	\N	\N	\N
60434	201	1996-11-21	VYDAJ	VYBER	2600	26308	\N	\N	\N
60435	201	1996-12-21	VYDAJ	VYBER	6300	29176	\N	\N	\N
60436	201	1997-01-20	VYDAJ	VYBER	1200	17643	\N	\N	\N
60437	201	1997-02-19	VYDAJ	VYBER	800	21068	\N	\N	\N
60438	201	1997-03-21	VYDAJ	VYBER	4800	22590	\N	\N	\N
60439	201	1997-04-20	VYDAJ	VYBER	2500	26423	\N	\N	\N
60440	201	1997-05-20	VYDAJ	VYBER	4400	28365	\N	\N	\N
60441	201	1997-06-19	VYDAJ	VYBER	8500	34136	\N	\N	\N
60442	201	1997-07-19	VYDAJ	VYBER	2700	33104	\N	\N	\N
60443	201	1997-08-18	VYDAJ	VYBER	7400	32074	\N	\N	\N
60444	201	1997-09-17	VYDAJ	VYBER	4800	33650	\N	\N	\N
60445	201	1997-10-17	VYDAJ	VYBER	3800	31525	\N	\N	\N
60446	201	1997-11-16	VYDAJ	VYBER	900	36997	\N	\N	\N
60447	201	1997-12-16	VYDAJ	VYBER	9600	41695	\N	\N	\N
60448	201	1998-01-15	VYDAJ	VYBER	5800	34999	\N	\N	\N
60449	201	1998-02-14	PRIJEM	VKLAD	2100	29282	\N	\N	\N
60450	201	1998-03-16	PRIJEM	VKLAD	2800	38424	\N	\N	\N
60451	201	1998-04-15	VYDAJ	VYBER	4800	40003	\N	\N	\N
60452	201	1998-05-15	VYDAJ	VYBER	2400	38302	\N	\N	\N
60453	201	1998-06-14	VYDAJ	VYBER	7600	37415	\N	\N	\N
60454	201	1998-07-14	VYDAJ	VYBER	2000	36510	\N	\N	\N
60455	201	1998-08-13	VYDAJ	VYBER	3400	49085	\N	\N	\N
60456	201	1998-09-12	VYDAJ	VYBER	3500	49377	\N	\N	\N
60457	201	1998-10-12	VYDAJ	VYBER	1900	53874	\N	\N	\N
60458	201	1998-11-11	VYDAJ	VYBER	8200	48585	\N	\N	\N
60459	201	1998-12-11	VYDAJ	VYBER	7500	53402	\N	\N	\N
61595	204	1996-01-13	PRIJEM	VKLAD	600	600	\N	\N	\N
61597	204	1996-02-09	PRIJEM	PREVOD Z UCTU	2926	3526	\N	WX	24475783
61598	204	1996-03-09	PRIJEM	PREVOD Z UCTU	2926	6452	\N	WX	24475783
61599	204	1996-04-09	PRIJEM	PREVOD Z UCTU	2926	9378	\N	WX	24475783
61600	204	1996-05-09	PRIJEM	PREVOD Z UCTU	2926	12304	\N	WX	24475783
61601	204	1996-06-09	PRIJEM	PREVOD Z UCTU	2926	15230	\N	WX	24475783
61602	204	1996-07-09	PRIJEM	PREVOD Z UCTU	2926	16232	\N	WX	24475783
61603	204	1996-08-09	PRIJEM	PREVOD Z UCTU	2926	16352	\N	WX	24475783
61604	204	1996-09-09	PRIJEM	PREVOD Z UCTU	2926	17372	\N	WX	24475783
61605	204	1996-10-09	PRIJEM	PREVOD Z UCTU	2926	18397	\N	WX	24475783
61606	204	1996-11-09	PRIJEM	PREVOD Z UCTU	2926	17771	\N	WX	24475783
61607	204	1996-12-09	PRIJEM	PREVOD Z UCTU	2926	17327	\N	WX	24475783
61608	204	1997-01-09	PRIJEM	PREVOD Z UCTU	2926	17480	\N	WX	24475783
61609	204	1997-02-09	PRIJEM	PREVOD Z UCTU	2926	15770	\N	WX	24475783
61610	204	1997-03-09	PRIJEM	PREVOD Z UCTU	2926	16794	\N	WX	24475783
61611	204	1997-04-09	PRIJEM	PREVOD Z UCTU	2926	17156	\N	WX	24475783
61612	204	1997-05-09	PRIJEM	PREVOD Z UCTU	2926	16856	\N	WX	24475783
61613	204	1997-06-09	PRIJEM	PREVOD Z UCTU	2926	16465	\N	WX	24475783
61614	204	1997-07-09	PRIJEM	PREVOD Z UCTU	2926	16254	\N	WX	24475783
61615	204	1997-08-09	PRIJEM	PREVOD Z UCTU	2926	17279	\N	WX	24475783
61616	204	1997-09-09	PRIJEM	PREVOD Z UCTU	2926	18309	\N	WX	24475783
61617	204	1997-10-09	PRIJEM	PREVOD Z UCTU	2926	19338	\N	WX	24475783
61618	204	1997-11-09	PRIJEM	PREVOD Z UCTU	2926	20190	\N	WX	24475783
61619	204	1997-12-09	PRIJEM	PREVOD Z UCTU	2926	20600	\N	WX	24475783
61620	204	1998-01-09	PRIJEM	PREVOD Z UCTU	2926	19747	\N	WX	24475783
61621	204	1998-02-09	PRIJEM	PREVOD Z UCTU	2926	19490	\N	WX	24475783
61622	204	1998-03-09	PRIJEM	PREVOD Z UCTU	2926	20524	\N	WX	24475783
61623	204	1998-04-09	PRIJEM	PREVOD Z UCTU	2926	21237	\N	WX	24475783
61624	204	1998-05-09	PRIJEM	PREVOD Z UCTU	2926	22043	\N	WX	24475783
61625	204	1998-06-09	PRIJEM	PREVOD Z UCTU	2926	23093	\N	WX	24475783
61626	204	1998-07-09	PRIJEM	PREVOD Z UCTU	2926	23210	\N	WX	24475783
61627	204	1998-08-09	PRIJEM	PREVOD Z UCTU	2926	23478	\N	WX	24475783
61628	204	1998-09-09	PRIJEM	PREVOD Z UCTU	2926	23957	\N	WX	24475783
61629	204	1998-10-09	PRIJEM	PREVOD Z UCTU	2926	25008	\N	WX	24475783
61630	204	1998-11-09	PRIJEM	PREVOD Z UCTU	2926	26064	\N	WX	24475783
61631	204	1998-12-09	PRIJEM	PREVOD Z UCTU	2926	27125	\N	WX	24475783
61637	204	1996-06-09	VYDAJ	PREVOD NA UCET	1950	13280	SIPO	UV	59721839
61638	204	1996-07-09	VYDAJ	PREVOD NA UCET	1950	14282	SIPO	UV	59721839
61639	204	1996-08-09	VYDAJ	PREVOD NA UCET	1950	14402	SIPO	UV	59721839
61640	204	1996-09-09	VYDAJ	PREVOD NA UCET	1950	15422	SIPO	UV	59721839
61641	204	1996-10-09	VYDAJ	PREVOD NA UCET	1950	16447	SIPO	UV	59721839
61642	204	1996-11-09	VYDAJ	PREVOD NA UCET	1950	15821	SIPO	UV	59721839
61643	204	1996-12-09	VYDAJ	PREVOD NA UCET	1950	15377	SIPO	UV	59721839
61644	204	1997-01-09	VYDAJ	PREVOD NA UCET	1950	15530	SIPO	UV	59721839
61645	204	1997-02-09	VYDAJ	PREVOD NA UCET	1950	13820	SIPO	UV	59721839
61646	204	1997-03-09	VYDAJ	PREVOD NA UCET	1950	14844	SIPO	UV	59721839
61647	204	1997-04-09	VYDAJ	PREVOD NA UCET	1950	13886	SIPO	UV	59721839
61648	204	1997-05-09	VYDAJ	PREVOD NA UCET	1950	14906	SIPO	UV	59721839
61649	204	1997-06-09	VYDAJ	PREVOD NA UCET	1950	14515	SIPO	UV	59721839
61650	204	1997-07-09	VYDAJ	PREVOD NA UCET	1950	14304	SIPO	UV	59721839
61651	204	1997-08-09	VYDAJ	PREVOD NA UCET	1950	15329	SIPO	UV	59721839
61652	204	1997-09-09	VYDAJ	PREVOD NA UCET	1950	16359	SIPO	UV	59721839
61653	204	1997-10-09	VYDAJ	PREVOD NA UCET	1950	17388	SIPO	UV	59721839
61654	204	1997-11-09	VYDAJ	PREVOD NA UCET	1950	18240	SIPO	UV	59721839
61655	204	1997-12-09	VYDAJ	PREVOD NA UCET	1950	18650	SIPO	UV	59721839
61656	204	1998-01-09	VYDAJ	PREVOD NA UCET	1950	17797	SIPO	UV	59721839
61657	204	1998-02-09	VYDAJ	PREVOD NA UCET	1950	17540	SIPO	UV	59721839
61658	204	1998-03-09	VYDAJ	PREVOD NA UCET	1950	18574	SIPO	UV	59721839
61659	204	1998-04-09	VYDAJ	PREVOD NA UCET	1950	19287	SIPO	UV	59721839
61660	204	1998-05-09	VYDAJ	PREVOD NA UCET	1950	20093	SIPO	UV	59721839
61661	204	1998-06-09	VYDAJ	PREVOD NA UCET	1950	21143	SIPO	UV	59721839
61662	204	1998-07-09	VYDAJ	PREVOD NA UCET	1950	21260	SIPO	UV	59721839
61663	204	1998-08-09	VYDAJ	PREVOD NA UCET	1950	21528	SIPO	UV	59721839
61664	204	1998-09-09	VYDAJ	PREVOD NA UCET	1950	22007	SIPO	UV	59721839
61665	204	1998-10-09	VYDAJ	PREVOD NA UCET	1950	23058	SIPO	UV	59721839
61666	204	1998-11-09	VYDAJ	PREVOD NA UCET	1950	24114	SIPO	UV	59721839
61667	204	1998-12-09	VYDAJ	PREVOD NA UCET	1950	25175	SIPO	UV	59721839
61671	204	1996-12-20	VYDAJ	VYBER	870	14507	\N	\N	\N
61672	204	1997-12-13	VYDAJ	VYBER	240	18410	\N	\N	\N
61673	204	1998-12-13	VYDAJ	VYBER	150	25025	\N	\N	\N
61680	204	1997-01-14	VYDAJ	VYBER	390	14210	\N	\N	\N
61681	204	1997-01-13	VYDAJ	VYBER	600	14600	\N	\N	\N
61682	204	1997-01-29	VYDAJ	VYBER	270	12800	\N	\N	\N
61683	204	1997-01-12	VYDAJ	VYBER	330	15200	\N	\N	\N
61684	204	1997-01-24	VYDAJ	VYBER	870	13070	\N	\N	\N
61685	204	1997-01-15	VYDAJ	VYBER	270	13940	\N	\N	\N
61686	204	1998-01-05	VYDAJ	VYBER	360	16821	\N	\N	\N
61687	204	1998-01-28	VYDAJ	VYBER	450	16657	\N	\N	\N
61688	204	1998-01-01	VYDAJ	VYBER	660	17811	\N	\N	\N
61689	204	1998-01-03	VYDAJ	VYBER	630	17181	\N	\N	\N
61690	204	1998-01-29	VYDAJ	VYBER	150	16507	\N	\N	\N
61691	204	1998-01-19	VYDAJ	VYBER	690	17107	\N	\N	\N
61692	204	1996-10-12	VYDAJ	VYBER	210	14797	\N	\N	\N
61695	204	1996-11-18	VYDAJ	VYBER	1470	14351	\N	\N	\N
61696	204	1996-08-02	VYDAJ	VYBER	480	13426	\N	\N	\N
61697	204	1996-10-11	VYDAJ	VYBER	1440	15007	\N	\N	\N
61698	204	1996-07-12	VYDAJ	VYBER	420	13862	\N	\N	\N
61699	204	1997-05-11	VYDAJ	VYBER	1410	13496	\N	\N	\N
61700	204	1997-11-24	VYDAJ	VYBER	630	17610	\N	\N	\N
61701	204	1997-04-08	VYDAJ	VYBER	660	14230	\N	\N	\N
61702	204	1997-06-12	VYDAJ	VYBER	1230	13285	\N	\N	\N
61703	204	1997-10-10	VYDAJ	VYBER	180	17208	\N	\N	\N
61704	204	1997-04-09	VYDAJ	VYBER	1320	15836	\N	\N	\N
61705	204	1998-06-21	VYDAJ	VYBER	930	20213	\N	\N	\N
61706	204	1998-08-18	VYDAJ	VYBER	570	20958	\N	\N	\N
61707	204	1998-04-30	VYDAJ	VYBER	240	19117	\N	\N	\N
61708	204	1998-04-06	VYDAJ	VYBER	330	18311	\N	\N	\N
61709	204	1998-07-27	VYDAJ	VYBER	780	20480	\N	\N	\N
61716	204	1996-06-30	VYDAJ	VYBER	15	13306	SLUZBY	\N	\N
61717	204	1996-07-31	VYDAJ	VYBER	15	13906	SLUZBY	\N	\N
61718	204	1996-08-31	VYDAJ	VYBER	15	14446	SLUZBY	\N	\N
61719	204	1996-09-30	VYDAJ	VYBER	15	15471	SLUZBY	\N	\N
61720	204	1996-10-31	VYDAJ	VYBER	15	14845	SLUZBY	\N	\N
61721	204	1996-11-30	VYDAJ	VYBER	15	14401	SLUZBY	\N	\N
61722	204	1996-12-31	VYDAJ	VYBER	15	14554	SLUZBY	\N	\N
61723	204	1997-01-31	VYDAJ	VYBER	15	12844	SLUZBY	\N	\N
61724	204	1997-02-28	VYDAJ	VYBER	15	13868	SLUZBY	\N	\N
61725	204	1997-03-31	VYDAJ	VYBER	15	14890	SLUZBY	\N	\N
61726	204	1997-04-30	VYDAJ	VYBER	15	13930	SLUZBY	\N	\N
61727	204	1997-05-31	VYDAJ	VYBER	15	13539	SLUZBY	\N	\N
61728	204	1997-06-30	VYDAJ	VYBER	15	13328	SLUZBY	\N	\N
61729	204	1997-07-31	VYDAJ	VYBER	15	14353	SLUZBY	\N	\N
61730	204	1997-08-31	VYDAJ	VYBER	15	15383	SLUZBY	\N	\N
61731	204	1997-09-30	VYDAJ	VYBER	15	16412	SLUZBY	\N	\N
61732	204	1997-10-31	VYDAJ	VYBER	15	17264	SLUZBY	\N	\N
61733	204	1997-11-30	VYDAJ	VYBER	15	17674	SLUZBY	\N	\N
61734	204	1997-12-31	VYDAJ	VYBER	15	18471	SLUZBY	\N	\N
61735	204	1998-01-31	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
61736	204	1998-02-28	VYDAJ	VYBER	15	17598	SLUZBY	\N	\N
61737	204	1998-03-31	VYDAJ	VYBER	15	18641	SLUZBY	\N	\N
61738	204	1998-04-30	VYDAJ	VYBER	15	19357	SLUZBY	\N	\N
61739	204	1998-05-31	VYDAJ	VYBER	15	20167	SLUZBY	\N	\N
61740	204	1998-06-30	VYDAJ	VYBER	15	20284	SLUZBY	\N	\N
61741	204	1998-07-31	VYDAJ	VYBER	15	20552	SLUZBY	\N	\N
61742	204	1998-08-31	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
61743	204	1998-09-30	VYDAJ	VYBER	15	22082	SLUZBY	\N	\N
61744	204	1998-10-31	VYDAJ	VYBER	15	23138	SLUZBY	\N	\N
61745	204	1998-11-30	VYDAJ	VYBER	15	24199	SLUZBY	\N	\N
61777	205	1997-10-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
61787	205	1997-10-10	PRIJEM	VKLAD	6446	7446	\N	\N	\N
61788	205	1997-11-10	PRIJEM	VKLAD	6446	24314	\N	\N	\N
61789	205	1997-12-10	PRIJEM	VKLAD	9669	37663	\N	\N	\N
61790	205	1998-01-10	PRIJEM	VKLAD	6446	42650	\N	\N	\N
61791	205	1998-02-10	PRIJEM	VKLAD	6446	42968	\N	\N	\N
61792	205	1998-03-10	PRIJEM	VKLAD	6446	43766	\N	\N	\N
61793	205	1998-04-10	PRIJEM	VKLAD	6446	41256	\N	\N	\N
61794	205	1998-05-10	PRIJEM	VKLAD	6446	33213	\N	\N	\N
61795	205	1998-06-10	PRIJEM	VKLAD	9669	37608	\N	\N	\N
61796	205	1998-07-10	PRIJEM	VKLAD	6446	35511	\N	\N	\N
61797	205	1998-08-10	PRIJEM	VKLAD	6446	34791	\N	\N	\N
61798	205	1998-09-10	PRIJEM	VKLAD	6446	41967	\N	\N	\N
61799	205	1998-10-10	PRIJEM	VKLAD	6446	44428	\N	\N	\N
61800	205	1998-11-10	PRIJEM	VKLAD	6446	45342	\N	\N	\N
61801	205	1998-12-10	PRIJEM	VKLAD	9669	45084	\N	\N	\N
61816	205	1998-03-06	VYDAJ	PREVOD NA UCET	4297	33420	SIPO	AB	99149345
61817	205	1998-04-06	VYDAJ	PREVOD NA UCET	4297	34810	SIPO	AB	99149345
61818	205	1998-05-06	VYDAJ	PREVOD NA UCET	4297	30847	SIPO	AB	99149345
61819	205	1998-06-06	VYDAJ	PREVOD NA UCET	4297	27939	SIPO	AB	99149345
61820	205	1998-07-06	VYDAJ	PREVOD NA UCET	4297	29065	SIPO	AB	99149345
61821	205	1998-08-06	VYDAJ	PREVOD NA UCET	4297	28345	SIPO	AB	99149345
61822	205	1998-09-06	VYDAJ	PREVOD NA UCET	4297	35521	SIPO	AB	99149345
61823	205	1998-10-06	VYDAJ	PREVOD NA UCET	4297	37982	SIPO	AB	99149345
61824	205	1998-11-06	VYDAJ	PREVOD NA UCET	4297	38896	SIPO	AB	99149345
61825	205	1998-12-06	VYDAJ	PREVOD NA UCET	4297	35415	SIPO	AB	99149345
61847	205	1998-07-02	VYDAJ	VYBER	4680	33062	\N	\N	\N
61848	205	1998-10-02	VYDAJ	VYBER	840	41279	\N	\N	\N
61849	205	1998-02-11	VYDAJ	VYBER	5400	37568	\N	\N	\N
61850	205	1998-04-16	VYDAJ	VYBER	4560	36696	\N	\N	\N
61851	205	1998-04-04	VYDAJ	VYBER	4320	39607	\N	\N	\N
61852	205	1998-05-07	VYDAJ	VYBER	4080	26767	\N	\N	\N
61867	205	1998-02-28	VYDAJ	VYBER	15	37717	SLUZBY	\N	\N
61868	205	1998-03-31	VYDAJ	VYBER	15	43927	SLUZBY	\N	\N
61869	205	1998-04-30	VYDAJ	VYBER	15	36844	SLUZBY	\N	\N
61870	205	1998-05-31	VYDAJ	VYBER	15	33336	SLUZBY	\N	\N
61871	205	1998-06-30	VYDAJ	VYBER	15	37742	SLUZBY	\N	\N
61872	205	1998-07-31	VYDAJ	VYBER	15	35642	SLUZBY	\N	\N
61873	205	1998-08-31	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
61874	205	1998-09-30	VYDAJ	VYBER	15	42119	SLUZBY	\N	\N
61875	205	1998-10-31	VYDAJ	VYBER	15	44593	SLUZBY	\N	\N
61876	205	1998-11-30	VYDAJ	VYBER	15	45512	SLUZBY	\N	\N
61877	205	1997-11-07	PRIJEM	VKLAD	10400	17868	\N	\N	\N
61878	205	1997-12-07	PRIJEM	VKLAD	3600	27994	\N	\N	\N
61879	205	1998-01-06	VYDAJ	VYBER	1600	36204	\N	\N	\N
61880	205	1998-02-05	VYDAJ	VYBER	6300	36522	\N	\N	\N
61881	205	1998-03-07	PRIJEM	VKLAD	3900	37320	\N	\N	\N
61882	205	1998-04-06	VYDAJ	VYBER	500	39107	\N	\N	\N
61883	205	1998-05-06	VYDAJ	VYBER	1700	35144	\N	\N	\N
61884	205	1998-06-05	VYDAJ	VYBER	1100	32236	\N	\N	\N
61885	205	1998-07-05	PRIJEM	VKLAD	300	33362	\N	\N	\N
61886	205	1998-08-04	VYDAJ	VYBER	3000	32642	\N	\N	\N
61887	205	1998-09-03	PRIJEM	VKLAD	4900	39818	\N	\N	\N
61888	205	1998-10-03	PRIJEM	VKLAD	1000	42279	\N	\N	\N
61889	205	1998-11-02	VYDAJ	VYBER	1400	43193	\N	\N	\N
61890	205	1998-12-02	VYDAJ	VYBER	5800	39712	\N	\N	\N
61906	206	1995-04-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
61910	206	1995-04-10	PRIJEM	VKLAD	4353	5453	\N	\N	\N
61911	206	1995-05-10	PRIJEM	VKLAD	4353	20422	\N	\N	\N
61912	206	1995-06-10	PRIJEM	VKLAD	6530	28518	\N	\N	\N
61913	206	1995-07-10	PRIJEM	VKLAD	4353	32180	\N	\N	\N
61914	206	1995-08-10	PRIJEM	VKLAD	4353	32763	\N	\N	\N
61915	206	1995-09-10	PRIJEM	VKLAD	4353	32335	\N	\N	\N
61916	206	1995-10-10	PRIJEM	VKLAD	4353	30003	\N	\N	\N
61917	206	1995-11-10	PRIJEM	VKLAD	4353	27266	\N	\N	\N
61918	206	1995-12-10	PRIJEM	VKLAD	6530	29691	\N	\N	\N
61919	206	1996-01-10	PRIJEM	VKLAD	4353	25418	\N	\N	\N
61920	206	1996-02-10	PRIJEM	VKLAD	4353	21370	\N	\N	\N
61921	206	1996-03-10	PRIJEM	VKLAD	4353	21647	\N	\N	\N
61922	206	1996-04-10	PRIJEM	VKLAD	4353	25969	\N	\N	\N
61923	206	1996-05-10	PRIJEM	VKLAD	4353	23968	\N	\N	\N
61924	206	1996-06-10	PRIJEM	VKLAD	6530	32579	\N	\N	\N
61925	206	1996-07-10	PRIJEM	VKLAD	4353	34342	\N	\N	\N
61926	206	1996-08-10	PRIJEM	VKLAD	4353	37517	\N	\N	\N
61927	206	1996-09-10	PRIJEM	VKLAD	4353	36348	\N	\N	\N
61928	206	1996-10-10	PRIJEM	VKLAD	4353	39734	\N	\N	\N
61929	206	1996-11-10	PRIJEM	VKLAD	4353	42635	\N	\N	\N
61930	206	1996-12-10	PRIJEM	VKLAD	6530	39182	\N	\N	\N
61931	206	1997-01-10	PRIJEM	VKLAD	4353	38753	\N	\N	\N
61932	206	1997-02-10	PRIJEM	VKLAD	4353	28942	\N	\N	\N
61933	206	1997-03-10	PRIJEM	VKLAD	4353	30713	\N	\N	\N
61934	206	1997-04-10	PRIJEM	VKLAD	4353	33176	\N	\N	\N
61935	206	1997-05-10	PRIJEM	VKLAD	4353	34248	\N	\N	\N
61936	206	1997-06-10	PRIJEM	VKLAD	6530	37901	\N	\N	\N
61937	206	1997-07-10	PRIJEM	VKLAD	4353	31869	\N	\N	\N
61938	206	1997-08-10	PRIJEM	VKLAD	4353	23303	\N	\N	\N
61939	206	1997-09-10	PRIJEM	VKLAD	4353	30440	\N	\N	\N
61940	206	1997-10-10	PRIJEM	VKLAD	4353	29701	\N	\N	\N
61941	206	1997-11-10	PRIJEM	VKLAD	4353	27354	\N	\N	\N
61942	206	1997-12-10	PRIJEM	VKLAD	6530	28015	\N	\N	\N
61943	206	1998-01-10	PRIJEM	VKLAD	4353	20778	\N	\N	\N
61944	206	1998-02-10	PRIJEM	VKLAD	4353	17035	\N	\N	\N
61945	206	1998-03-10	PRIJEM	VKLAD	4353	20142	\N	\N	\N
61946	206	1998-04-10	PRIJEM	VKLAD	4353	17537	\N	\N	\N
61947	206	1998-05-10	PRIJEM	VKLAD	4353	20445	\N	\N	\N
61948	206	1998-06-10	PRIJEM	VKLAD	6530	24941	\N	\N	\N
61949	206	1998-07-10	PRIJEM	VKLAD	4353	25311	\N	\N	\N
61950	206	1998-08-10	PRIJEM	VKLAD	4353	19604	\N	\N	\N
61951	206	1998-09-10	PRIJEM	VKLAD	4353	24824	\N	\N	\N
61952	206	1998-10-10	PRIJEM	VKLAD	4353	27462	\N	\N	\N
61953	206	1998-11-10	PRIJEM	VKLAD	4353	28811	\N	\N	\N
61954	206	1998-12-10	PRIJEM	VKLAD	6530	35345	\N	\N	\N
61963	206	1995-09-05	VYDAJ	PREVOD NA UCET	2902	29982	SIPO	KL	75771987
61964	206	1995-10-05	VYDAJ	PREVOD NA UCET	2902	29550	SIPO	KL	75771987
61965	206	1995-11-05	VYDAJ	PREVOD NA UCET	2902	22913	SIPO	KL	75771987
61966	206	1995-12-05	VYDAJ	PREVOD NA UCET	2902	23161	SIPO	KL	75771987
61967	206	1996-01-05	VYDAJ	PREVOD NA UCET	2902	23825	SIPO	KL	75771987
61968	206	1996-02-05	VYDAJ	PREVOD NA UCET	2902	17017	SIPO	KL	75771987
61969	206	1996-03-05	VYDAJ	PREVOD NA UCET	2902	17294	SIPO	KL	75771987
61970	206	1996-04-05	VYDAJ	PREVOD NA UCET	2902	21616	SIPO	KL	75771987
61971	206	1996-05-05	VYDAJ	PREVOD NA UCET	2902	22255	SIPO	KL	75771987
61972	206	1996-06-05	VYDAJ	PREVOD NA UCET	2902	26049	SIPO	KL	75771987
61973	206	1996-07-05	VYDAJ	PREVOD NA UCET	2902	29989	SIPO	KL	75771987
61974	206	1996-08-05	VYDAJ	PREVOD NA UCET	2902	33164	SIPO	KL	75771987
61975	206	1996-09-05	VYDAJ	PREVOD NA UCET	2902	33555	SIPO	KL	75771987
61976	206	1996-10-05	VYDAJ	PREVOD NA UCET	2902	35381	SIPO	KL	75771987
61977	206	1996-11-05	VYDAJ	PREVOD NA UCET	2902	38282	SIPO	KL	75771987
61978	206	1996-12-05	VYDAJ	PREVOD NA UCET	2902	32652	SIPO	KL	75771987
61979	206	1997-01-05	VYDAJ	PREVOD NA UCET	2902	34400	SIPO	KL	75771987
61980	206	1997-02-05	VYDAJ	PREVOD NA UCET	2902	24589	SIPO	KL	75771987
61981	206	1997-03-05	VYDAJ	PREVOD NA UCET	2902	26360	SIPO	KL	75771987
61982	206	1997-04-05	VYDAJ	PREVOD NA UCET	2902	28823	SIPO	KL	75771987
61983	206	1997-05-05	VYDAJ	PREVOD NA UCET	2902	29895	SIPO	KL	75771987
61984	206	1997-06-05	VYDAJ	PREVOD NA UCET	2902	31371	SIPO	KL	75771987
61985	206	1997-07-05	VYDAJ	PREVOD NA UCET	2902	27516	SIPO	KL	75771987
61986	206	1997-08-05	VYDAJ	PREVOD NA UCET	2902	18950	SIPO	KL	75771987
61987	206	1997-09-05	VYDAJ	PREVOD NA UCET	2902	26087	SIPO	KL	75771987
61988	206	1997-10-05	VYDAJ	PREVOD NA UCET	2902	25348	SIPO	KL	75771987
61989	206	1997-11-05	VYDAJ	PREVOD NA UCET	2902	23001	SIPO	KL	75771987
61990	206	1997-12-05	VYDAJ	PREVOD NA UCET	2902	21486	SIPO	KL	75771987
61991	206	1998-01-05	VYDAJ	PREVOD NA UCET	2902	18825	SIPO	KL	75771987
61992	206	1998-02-05	VYDAJ	PREVOD NA UCET	2902	12682	SIPO	KL	75771987
61993	206	1998-03-05	VYDAJ	PREVOD NA UCET	2902	15789	SIPO	KL	75771987
61994	206	1998-04-05	VYDAJ	PREVOD NA UCET	2902	13184	SIPO	KL	75771987
61995	206	1998-05-05	VYDAJ	PREVOD NA UCET	2902	16092	SIPO	KL	75771987
61996	206	1998-06-05	VYDAJ	PREVOD NA UCET	2902	18412	SIPO	KL	75771987
61997	206	1998-07-05	VYDAJ	PREVOD NA UCET	2902	20958	SIPO	KL	75771987
61998	206	1998-08-05	VYDAJ	PREVOD NA UCET	2902	15251	SIPO	KL	75771987
61999	206	1998-09-05	VYDAJ	PREVOD NA UCET	2902	20471	SIPO	KL	75771987
62000	206	1998-10-05	VYDAJ	PREVOD NA UCET	2902	23109	SIPO	KL	75771987
62001	206	1998-11-05	VYDAJ	PREVOD NA UCET	2902	24458	SIPO	KL	75771987
62002	206	1998-12-05	VYDAJ	PREVOD NA UCET	2902	28816	SIPO	KL	75771987
62005	206	1997-06-15	VYDAJ	VYBER	5120	28101	\N	\N	\N
62009	206	1997-01-10	VYDAJ	VYBER	8480	30273	\N	\N	\N
62011	206	1995-12-18	VYDAJ	VYBER	3680	26011	\N	\N	\N
62012	206	1996-12-17	VYDAJ	VYBER	2880	36302	\N	\N	\N
62013	206	1997-12-02	VYDAJ	VYBER	1280	24388	\N	\N	\N
62014	206	1998-12-25	VYDAJ	VYBER	2080	35265	\N	\N	\N
62021	206	1996-01-24	VYDAJ	VYBER	2880	20858	\N	\N	\N
62022	206	1996-01-12	VYDAJ	VYBER	1680	23738	\N	\N	\N
62023	206	1996-01-03	VYDAJ	VYBER	2280	26727	\N	\N	\N
62024	206	1996-01-28	VYDAJ	VYBER	2040	18818	\N	\N	\N
62025	206	1996-01-29	VYDAJ	VYBER	1680	17138	\N	\N	\N
62026	206	1996-01-06	VYDAJ	VYBER	2760	21065	\N	\N	\N
62027	206	1997-01-27	VYDAJ	VYBER	600	27373	\N	\N	\N
62028	206	1997-01-27	VYDAJ	VYBER	1800	27973	\N	\N	\N
62029	206	1997-01-25	VYDAJ	VYBER	600	19473	\N	\N	\N
62030	206	1997-01-21	VYDAJ	VYBER	3240	20073	\N	\N	\N
62031	206	1997-01-19	VYDAJ	VYBER	3240	23313	\N	\N	\N
62032	206	1997-01-03	VYDAJ	VYBER	2640	37302	\N	\N	\N
62033	206	1998-01-01	VYDAJ	VYBER	2880	21727	\N	\N	\N
62034	206	1998-01-09	VYDAJ	VYBER	2400	16425	\N	\N	\N
62035	206	1998-01-23	VYDAJ	VYBER	2160	19478	\N	\N	\N
62036	206	1998-01-18	VYDAJ	VYBER	2040	18738	\N	\N	\N
62037	206	1998-01-29	VYDAJ	VYBER	3360	15518	\N	\N	\N
62038	206	1998-01-25	VYDAJ	VYBER	600	18878	\N	\N	\N
62041	206	1996-02-22	VYDAJ	VYBER	2640	18730	\N	\N	\N
62042	206	1996-11-30	VYDAJ	VYBER	5640	35569	\N	\N	\N
62043	206	1996-09-07	VYDAJ	VYBER	1560	31995	\N	\N	\N
62044	206	1996-05-06	VYDAJ	VYBER	2640	19615	\N	\N	\N
62045	206	1997-07-14	VYDAJ	VYBER	2520	29349	\N	\N	\N
62046	206	1997-01-19	VYDAJ	VYBER	3720	26553	\N	\N	\N
62047	206	1997-09-29	VYDAJ	VYBER	3000	28140	\N	\N	\N
62048	206	1997-02-11	VYDAJ	VYBER	1680	27262	\N	\N	\N
62049	206	1997-07-16	VYDAJ	VYBER	2760	26589	\N	\N	\N
62050	206	1997-06-14	VYDAJ	VYBER	4680	33221	\N	\N	\N
62051	206	1997-11-18	VYDAJ	VYBER	1080	26274	\N	\N	\N
62052	206	1997-08-01	VYDAJ	VYBER	4440	21852	\N	\N	\N
62053	206	1998-06-13	VYDAJ	VYBER	2760	22181	\N	\N	\N
62054	206	1998-08-01	VYDAJ	VYBER	3240	18153	\N	\N	\N
62055	206	1998-03-31	VYDAJ	VYBER	2520	16100	\N	\N	\N
62056	206	1998-10-24	VYDAJ	VYBER	1800	27262	\N	\N	\N
62065	206	1995-08-31	VYDAJ	VYBER	15	32884	SLUZBY	\N	\N
62066	206	1995-09-30	VYDAJ	VYBER	15	32452	SLUZBY	\N	\N
62067	206	1995-10-31	VYDAJ	VYBER	15	30115	SLUZBY	\N	\N
62068	206	1995-11-30	VYDAJ	VYBER	15	27363	SLUZBY	\N	\N
62069	206	1995-12-31	VYDAJ	VYBER	15	26107	SLUZBY	\N	\N
62070	206	1996-01-31	VYDAJ	VYBER	15	17219	SLUZBY	\N	\N
62071	206	1996-02-29	VYDAJ	VYBER	15	18796	SLUZBY	\N	\N
62072	206	1996-03-31	VYDAJ	VYBER	15	21718	SLUZBY	\N	\N
62073	206	1996-04-30	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
62074	206	1996-05-31	VYDAJ	VYBER	15	24051	SLUZBY	\N	\N
62075	206	1996-06-30	VYDAJ	VYBER	15	32691	SLUZBY	\N	\N
62076	206	1996-07-31	VYDAJ	VYBER	15	36066	SLUZBY	\N	\N
62077	206	1996-08-31	VYDAJ	VYBER	15	36457	SLUZBY	\N	\N
62078	206	1996-09-30	VYDAJ	VYBER	15	38283	SLUZBY	\N	\N
62079	206	1996-10-31	VYDAJ	VYBER	15	41184	SLUZBY	\N	\N
62080	206	1996-11-30	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
62081	206	1996-12-31	VYDAJ	VYBER	15	39942	SLUZBY	\N	\N
62082	206	1997-01-31	VYDAJ	VYBER	15	27491	SLUZBY	\N	\N
62083	206	1997-02-28	VYDAJ	VYBER	15	29262	SLUZBY	\N	\N
62084	206	1997-03-31	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
62085	206	1997-04-30	VYDAJ	VYBER	15	32797	SLUZBY	\N	\N
62086	206	1997-05-31	VYDAJ	VYBER	15	34273	SLUZBY	\N	\N
62087	206	1997-06-30	VYDAJ	VYBER	15	30418	SLUZBY	\N	\N
62088	206	1997-07-31	VYDAJ	VYBER	15	26292	SLUZBY	\N	\N
62089	206	1997-08-31	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
62090	206	1997-09-30	VYDAJ	VYBER	15	28250	SLUZBY	\N	\N
62091	206	1997-10-31	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
62092	206	1997-11-30	VYDAJ	VYBER	15	25668	SLUZBY	\N	\N
62093	206	1997-12-31	VYDAJ	VYBER	15	24607	SLUZBY	\N	\N
62094	206	1998-01-31	VYDAJ	VYBER	15	15584	SLUZBY	\N	\N
62095	206	1998-02-28	VYDAJ	VYBER	15	18691	SLUZBY	\N	\N
62096	206	1998-03-31	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
62097	206	1998-04-30	VYDAJ	VYBER	15	18994	SLUZBY	\N	\N
62098	206	1998-05-31	VYDAJ	VYBER	15	21314	SLUZBY	\N	\N
62099	206	1998-06-30	VYDAJ	VYBER	15	23860	SLUZBY	\N	\N
62100	206	1998-07-31	VYDAJ	VYBER	15	21393	SLUZBY	\N	\N
62101	206	1998-08-31	VYDAJ	VYBER	15	23373	SLUZBY	\N	\N
62102	206	1998-09-30	VYDAJ	VYBER	15	26011	SLUZBY	\N	\N
62103	206	1998-10-31	VYDAJ	VYBER	15	27360	SLUZBY	\N	\N
62104	206	1998-11-30	VYDAJ	VYBER	15	31718	SLUZBY	\N	\N
62105	206	1995-05-08	PRIJEM	VKLAD	10600	16069	\N	\N	\N
62106	206	1995-06-07	PRIJEM	VKLAD	1500	21989	\N	\N	\N
62107	206	1995-07-07	VYDAJ	VYBER	800	27827	\N	\N	\N
62108	206	1995-08-06	VYDAJ	VYBER	3900	28410	\N	\N	\N
62109	206	1995-09-05	VYDAJ	VYBER	2000	27982	\N	\N	\N
62110	206	1995-10-05	VYDAJ	VYBER	3900	25650	\N	\N	\N
62111	206	1995-11-04	VYDAJ	VYBER	4300	25815	\N	\N	\N
62112	206	1995-12-04	VYDAJ	VYBER	1300	26063	\N	\N	\N
62113	206	1996-01-03	PRIJEM	VKLAD	2900	29007	\N	\N	\N
62114	206	1996-02-02	PRIJEM	VKLAD	2700	19919	\N	\N	\N
62115	206	1996-03-03	PRIJEM	VKLAD	1400	20196	\N	\N	\N
62116	206	1996-04-02	PRIJEM	VKLAD	2800	24518	\N	\N	\N
62117	206	1996-05-02	VYDAJ	VYBER	900	25157	\N	\N	\N
62118	206	1996-06-01	PRIJEM	VKLAD	4900	28951	\N	\N	\N
62119	206	1996-07-01	PRIJEM	VKLAD	200	32891	\N	\N	\N
62120	206	1996-07-31	PRIJEM	VKLAD	1600	35942	\N	\N	\N
62121	206	1996-08-30	VYDAJ	VYBER	1200	36317	\N	\N	\N
62122	206	1996-09-29	PRIJEM	VKLAD	1800	38148	\N	\N	\N
62123	206	1996-10-29	PRIJEM	VKLAD	1300	41034	\N	\N	\N
62124	206	1996-11-28	VYDAJ	VYBER	1600	41035	\N	\N	\N
62125	206	1996-12-28	PRIJEM	VKLAD	3500	39802	\N	\N	\N
62126	206	1997-01-27	PRIJEM	VKLAD	10300	29773	\N	\N	\N
62127	206	1997-02-26	PRIJEM	VKLAD	1900	29162	\N	\N	\N
62128	206	1997-03-28	PRIJEM	VKLAD	900	31613	\N	\N	\N
62129	206	1997-04-27	VYDAJ	VYBER	500	32676	\N	\N	\N
62130	206	1997-05-27	VYDAJ	VYBER	100	34148	\N	\N	\N
62131	206	1997-06-26	PRIJEM	VKLAD	2200	30301	\N	\N	\N
62132	206	1997-07-26	VYDAJ	VYBER	400	26189	\N	\N	\N
62133	206	1997-08-25	PRIJEM	VKLAD	5600	28903	\N	\N	\N
62134	206	1997-09-24	PRIJEM	VKLAD	700	31140	\N	\N	\N
62135	206	1997-10-24	VYDAJ	VYBER	3900	25801	\N	\N	\N
62136	206	1997-11-23	VYDAJ	VYBER	700	25574	\N	\N	\N
62137	206	1997-12-23	VYDAJ	VYBER	3500	24515	\N	\N	\N
62138	206	1998-01-22	PRIJEM	VKLAD	2900	21638	\N	\N	\N
62139	206	1998-02-21	PRIJEM	VKLAD	1600	18635	\N	\N	\N
62140	206	1998-03-23	VYDAJ	VYBER	1600	18542	\N	\N	\N
62141	206	1998-04-22	PRIJEM	VKLAD	1400	18937	\N	\N	\N
62142	206	1998-05-22	PRIJEM	VKLAD	800	21245	\N	\N	\N
62143	206	1998-06-21	PRIJEM	VKLAD	1600	23781	\N	\N	\N
62144	206	1998-07-21	VYDAJ	VYBER	4000	21311	\N	\N	\N
62145	206	1998-08-20	PRIJEM	VKLAD	3700	23304	\N	\N	\N
62146	206	1998-09-19	PRIJEM	VKLAD	1100	25924	\N	\N	\N
62147	206	1998-10-19	PRIJEM	VKLAD	1600	29062	\N	\N	\N
62148	206	1998-11-18	PRIJEM	VKLAD	2800	31611	\N	\N	\N
62149	206	1998-12-18	PRIJEM	VKLAD	2000	37345	\N	\N	\N
62195	207	1993-07-25	PRIJEM	VKLAD	900	900	\N	\N	\N
62203	207	1993-08-12	PRIJEM	VKLAD	5135	6035	\N	\N	\N
62204	207	1993-09-12	PRIJEM	VKLAD	5135	20487	\N	\N	\N
62205	207	1993-10-12	PRIJEM	VKLAD	5135	25685	\N	\N	\N
62206	207	1993-11-12	PRIJEM	VKLAD	5135	28794	\N	\N	\N
62207	207	1993-12-12	PRIJEM	VKLAD	7703	36101	\N	\N	\N
62208	207	1994-01-12	PRIJEM	VKLAD	5135	32212	\N	\N	\N
62209	207	1994-02-12	PRIJEM	VKLAD	5135	22906	\N	\N	\N
62210	207	1994-03-12	PRIJEM	VKLAD	5135	21860	\N	\N	\N
62211	207	1994-04-12	PRIJEM	VKLAD	5135	19791	\N	\N	\N
62212	207	1994-05-12	PRIJEM	VKLAD	5135	24954	\N	\N	\N
62213	207	1994-06-12	PRIJEM	VKLAD	7703	30904	\N	\N	\N
62214	207	1994-07-12	PRIJEM	VKLAD	5135	28399	\N	\N	\N
62215	207	1994-08-12	PRIJEM	VKLAD	5135	26446	\N	\N	\N
62216	207	1994-09-12	PRIJEM	VKLAD	5135	29334	\N	\N	\N
62217	207	1994-10-12	PRIJEM	VKLAD	5135	31032	\N	\N	\N
62218	207	1994-11-12	PRIJEM	VKLAD	5135	30533	\N	\N	\N
62219	207	1994-12-12	PRIJEM	VKLAD	7703	31702	\N	\N	\N
62220	207	1995-01-12	PRIJEM	VKLAD	5135	23665	\N	\N	\N
62221	207	1995-02-12	PRIJEM	VKLAD	5135	17105	\N	\N	\N
62222	207	1995-03-12	PRIJEM	VKLAD	5135	22960	\N	\N	\N
62223	207	1995-04-12	PRIJEM	VKLAD	5135	24815	\N	\N	\N
62224	207	1995-05-12	PRIJEM	VKLAD	5135	25994	\N	\N	\N
62225	207	1995-06-12	PRIJEM	VKLAD	7703	30747	\N	\N	\N
62226	207	1995-07-12	PRIJEM	VKLAD	5135	34651	\N	\N	\N
62227	207	1995-08-12	PRIJEM	VKLAD	5135	36471	\N	\N	\N
62228	207	1995-09-12	PRIJEM	VKLAD	5135	35993	\N	\N	\N
62229	207	1995-10-12	PRIJEM	VKLAD	5135	36319	\N	\N	\N
62230	207	1995-11-12	PRIJEM	VKLAD	5135	34837	\N	\N	\N
62231	207	1995-12-12	PRIJEM	VKLAD	7703	35515	\N	\N	\N
62232	207	1996-01-12	PRIJEM	VKLAD	5135	23990	\N	\N	\N
62233	207	1996-02-12	PRIJEM	VKLAD	5135	25200	\N	\N	\N
62234	207	1996-03-12	PRIJEM	VKLAD	5135	29372	\N	\N	\N
62235	207	1996-04-12	PRIJEM	VKLAD	5135	27419	\N	\N	\N
62236	207	1996-05-12	PRIJEM	VKLAD	5135	27166	\N	\N	\N
62237	207	1996-06-12	PRIJEM	VKLAD	7703	30723	\N	\N	\N
62238	207	1996-07-12	PRIJEM	VKLAD	5135	30924	\N	\N	\N
62239	207	1996-08-12	PRIJEM	VKLAD	5135	33730	\N	\N	\N
62240	207	1996-09-12	PRIJEM	VKLAD	5135	27407	\N	\N	\N
62241	207	1996-10-12	PRIJEM	VKLAD	5135	25283	\N	\N	\N
62242	207	1996-11-12	PRIJEM	VKLAD	5135	20696	\N	\N	\N
62243	207	1996-12-12	PRIJEM	VKLAD	7703	24025	\N	\N	\N
62244	207	1997-01-12	PRIJEM	VKLAD	5135	18893	\N	\N	\N
62245	207	1997-02-12	PRIJEM	VKLAD	5135	20747	\N	\N	\N
62246	207	1997-03-12	PRIJEM	VKLAD	5135	19707	\N	\N	\N
62247	207	1997-04-12	PRIJEM	VKLAD	5135	18205	\N	\N	\N
62248	207	1997-05-12	PRIJEM	VKLAD	5135	18373	\N	\N	\N
62249	207	1997-06-12	PRIJEM	VKLAD	7703	20491	\N	\N	\N
62250	207	1997-07-12	PRIJEM	VKLAD	5135	18549	\N	\N	\N
62251	207	1997-08-12	PRIJEM	VKLAD	5135	16403	\N	\N	\N
62252	207	1997-09-12	PRIJEM	VKLAD	5135	18449	\N	\N	\N
62253	207	1997-10-12	PRIJEM	VKLAD	5135	20501	\N	\N	\N
62254	207	1997-11-12	PRIJEM	VKLAD	5135	14735	\N	\N	\N
62255	207	1997-12-12	PRIJEM	VKLAD	7703	19040	\N	\N	\N
62256	207	1998-01-12	PRIJEM	VKLAD	5135	16706	\N	\N	\N
62257	207	1998-02-12	PRIJEM	VKLAD	5135	15367	\N	\N	\N
62258	207	1998-03-12	PRIJEM	VKLAD	5135	17005	\N	\N	\N
62259	207	1998-04-12	PRIJEM	VKLAD	5135	19050	\N	\N	\N
62260	207	1998-05-12	PRIJEM	VKLAD	5135	21104	\N	\N	\N
62261	207	1998-06-12	PRIJEM	VKLAD	7703	17631	\N	\N	\N
62262	207	1998-07-12	PRIJEM	VKLAD	5135	16874	\N	\N	\N
62263	207	1998-08-12	PRIJEM	VKLAD	5135	18818	\N	\N	\N
62264	207	1998-09-12	PRIJEM	VKLAD	5135	19469	\N	\N	\N
62265	207	1998-10-12	PRIJEM	VKLAD	5135	21724	\N	\N	\N
62266	207	1998-11-12	PRIJEM	VKLAD	5135	22206	\N	\N	\N
62267	207	1998-12-12	PRIJEM	VKLAD	7703	26002	\N	\N	\N
62280	207	1994-01-06	VYDAJ	PREVOD NA UCET	403	29803	SIPO	KL	71656483
62281	207	1994-02-06	VYDAJ	PREVOD NA UCET	403	20497	SIPO	KL	71656483
62282	207	1994-03-06	VYDAJ	PREVOD NA UCET	403	24371	SIPO	KL	71656483
62283	207	1994-04-06	VYDAJ	PREVOD NA UCET	403	17382	SIPO	KL	71656483
62284	207	1994-05-06	VYDAJ	PREVOD NA UCET	403	22545	SIPO	KL	71656483
62285	207	1994-06-06	VYDAJ	PREVOD NA UCET	403	25928	SIPO	KL	71656483
62286	207	1994-07-06	VYDAJ	PREVOD NA UCET	403	25990	SIPO	KL	71656483
62287	207	1994-08-06	VYDAJ	PREVOD NA UCET	403	24037	SIPO	KL	71656483
62288	207	1994-09-06	VYDAJ	PREVOD NA UCET	403	26925	SIPO	KL	71656483
62289	207	1994-10-06	VYDAJ	PREVOD NA UCET	403	28623	SIPO	KL	71656483
62290	207	1994-11-06	VYDAJ	PREVOD NA UCET	403	28124	SIPO	KL	71656483
62291	207	1994-12-06	VYDAJ	PREVOD NA UCET	403	29126	SIPO	KL	71656483
62292	207	1995-01-06	VYDAJ	PREVOD NA UCET	403	21256	SIPO	KL	71656483
62293	207	1995-02-06	VYDAJ	PREVOD NA UCET	403	14696	SIPO	KL	71656483
62294	207	1995-03-06	VYDAJ	PREVOD NA UCET	403	20551	SIPO	KL	71656483
62295	207	1995-04-06	VYDAJ	PREVOD NA UCET	403	23726	SIPO	KL	71656483
62296	207	1995-05-06	VYDAJ	PREVOD NA UCET	403	23585	SIPO	KL	71656483
62297	207	1995-06-06	VYDAJ	PREVOD NA UCET	403	25770	SIPO	KL	71656483
62298	207	1995-07-06	VYDAJ	PREVOD NA UCET	403	32242	SIPO	KL	71656483
62299	207	1995-08-06	VYDAJ	PREVOD NA UCET	403	34062	SIPO	KL	71656483
62300	207	1995-09-06	VYDAJ	PREVOD NA UCET	403	33584	SIPO	KL	71656483
62301	207	1995-10-06	VYDAJ	PREVOD NA UCET	403	33910	SIPO	KL	71656483
62302	207	1995-11-06	VYDAJ	PREVOD NA UCET	403	32428	SIPO	KL	71656483
62303	207	1995-12-06	VYDAJ	PREVOD NA UCET	403	30539	SIPO	KL	71656483
62304	207	1996-01-06	VYDAJ	PREVOD NA UCET	403	21761	SIPO	KL	71656483
62305	207	1996-02-06	VYDAJ	PREVOD NA UCET	403	16091	SIPO	KL	71656483
62306	207	1996-03-06	VYDAJ	PREVOD NA UCET	403	24863	SIPO	KL	71656483
62307	207	1996-04-06	VYDAJ	PREVOD NA UCET	403	24010	SIPO	KL	71656483
62308	207	1996-05-06	VYDAJ	PREVOD NA UCET	403	25057	SIPO	KL	71656483
62309	207	1996-06-06	VYDAJ	PREVOD NA UCET	403	26846	SIPO	KL	71656483
62310	207	1996-07-06	VYDAJ	PREVOD NA UCET	403	30415	SIPO	KL	71656483
62311	207	1996-08-06	VYDAJ	PREVOD NA UCET	403	30621	SIPO	KL	71656483
62312	207	1996-09-06	VYDAJ	PREVOD NA UCET	403	31398	SIPO	KL	71656483
62313	207	1996-10-06	VYDAJ	PREVOD NA UCET	403	27094	SIPO	KL	71656483
62314	207	1996-11-06	VYDAJ	PREVOD NA UCET	403	18287	SIPO	KL	71656483
62315	207	1996-12-06	VYDAJ	PREVOD NA UCET	403	20348	SIPO	KL	71656483
62316	207	1997-01-06	VYDAJ	PREVOD NA UCET	403	16484	SIPO	KL	71656483
62317	207	1997-02-06	VYDAJ	PREVOD NA UCET	403	18338	SIPO	KL	71656483
62318	207	1997-03-06	VYDAJ	PREVOD NA UCET	403	20398	SIPO	KL	71656483
62319	207	1997-04-06	VYDAJ	PREVOD NA UCET	403	15796	SIPO	KL	71656483
62320	207	1997-05-06	VYDAJ	PREVOD NA UCET	403	15964	SIPO	KL	71656483
62321	207	1997-06-06	VYDAJ	PREVOD NA UCET	403	15514	SIPO	KL	71656483
62322	207	1997-07-06	VYDAJ	PREVOD NA UCET	403	16140	SIPO	KL	71656483
62323	207	1997-08-06	VYDAJ	PREVOD NA UCET	403	13994	SIPO	KL	71656483
62324	207	1997-09-06	VYDAJ	PREVOD NA UCET	403	16040	SIPO	KL	71656483
62325	207	1997-10-06	VYDAJ	PREVOD NA UCET	403	18092	SIPO	KL	71656483
62326	207	1997-11-06	VYDAJ	PREVOD NA UCET	403	12326	SIPO	KL	71656483
62327	207	1997-12-06	VYDAJ	PREVOD NA UCET	403	14063	SIPO	KL	71656483
62328	207	1998-01-06	VYDAJ	PREVOD NA UCET	403	14297	SIPO	KL	71656483
62329	207	1998-02-06	VYDAJ	PREVOD NA UCET	403	12958	SIPO	KL	71656483
62330	207	1998-03-06	VYDAJ	PREVOD NA UCET	403	14596	SIPO	KL	71656483
62331	207	1998-04-06	VYDAJ	PREVOD NA UCET	403	16641	SIPO	KL	71656483
62332	207	1998-05-06	VYDAJ	PREVOD NA UCET	403	18695	SIPO	KL	71656483
62333	207	1998-06-06	VYDAJ	PREVOD NA UCET	403	12655	SIPO	KL	71656483
62334	207	1998-07-06	VYDAJ	PREVOD NA UCET	403	14465	SIPO	KL	71656483
62335	207	1998-08-06	VYDAJ	PREVOD NA UCET	403	16409	SIPO	KL	71656483
62336	207	1998-09-06	VYDAJ	PREVOD NA UCET	403	17060	SIPO	KL	71656483
62337	207	1998-10-06	VYDAJ	PREVOD NA UCET	403	19315	SIPO	KL	71656483
62338	207	1998-11-06	VYDAJ	PREVOD NA UCET	403	19797	SIPO	KL	71656483
62339	207	1998-12-06	VYDAJ	PREVOD NA UCET	403	21986	SIPO	KL	71656483
62351	207	1993-12-13	VYDAJ	PREVOD NA UCET	10	36091	 	GH	4786676
62352	207	1994-01-13	VYDAJ	PREVOD NA UCET	10	28002	 	GH	4786676
62353	207	1994-02-13	VYDAJ	PREVOD NA UCET	10	22896	 	GH	4786676
62354	207	1994-03-13	VYDAJ	PREVOD NA UCET	10	21850	 	GH	4786676
62355	207	1994-04-13	VYDAJ	PREVOD NA UCET	10	19781	 	GH	4786676
62356	207	1994-05-13	VYDAJ	PREVOD NA UCET	10	24944	 	GH	4786676
62357	207	1994-06-13	VYDAJ	PREVOD NA UCET	10	30894	 	GH	4786676
62358	207	1994-07-13	VYDAJ	PREVOD NA UCET	10	28389	 	GH	4786676
62359	207	1994-08-13	VYDAJ	PREVOD NA UCET	10	26436	 	GH	4786676
62360	207	1994-09-13	VYDAJ	PREVOD NA UCET	10	29324	 	GH	4786676
62361	207	1994-10-13	VYDAJ	PREVOD NA UCET	10	31022	 	GH	4786676
62362	207	1994-11-13	VYDAJ	PREVOD NA UCET	10	30523	 	GH	4786676
62363	207	1994-12-13	VYDAJ	PREVOD NA UCET	10	31692	 	GH	4786676
62364	207	1995-01-13	VYDAJ	PREVOD NA UCET	10	21615	 	GH	4786676
62365	207	1995-02-13	VYDAJ	PREVOD NA UCET	10	17095	 	GH	4786676
62366	207	1995-03-13	VYDAJ	PREVOD NA UCET	10	22950	 	GH	4786676
62367	207	1995-04-13	VYDAJ	PREVOD NA UCET	10	24805	 	GH	4786676
62368	207	1995-05-13	VYDAJ	PREVOD NA UCET	10	25984	 	GH	4786676
62369	207	1995-06-13	VYDAJ	PREVOD NA UCET	10	30737	 	GH	4786676
62370	207	1995-07-13	VYDAJ	PREVOD NA UCET	10	34641	 	GH	4786676
62371	207	1995-08-13	VYDAJ	PREVOD NA UCET	10	36461	 	GH	4786676
62372	207	1995-09-13	VYDAJ	PREVOD NA UCET	10	35983	 	GH	4786676
62373	207	1995-10-13	VYDAJ	PREVOD NA UCET	10	36309	 	GH	4786676
62374	207	1995-11-13	VYDAJ	PREVOD NA UCET	10	30827	 	GH	4786676
62375	207	1995-12-13	VYDAJ	PREVOD NA UCET	10	27465	 	GH	4786676
62376	207	1996-01-13	VYDAJ	PREVOD NA UCET	10	23980	 	GH	4786676
62377	207	1996-02-13	VYDAJ	PREVOD NA UCET	10	25190	 	GH	4786676
62378	207	1996-03-13	VYDAJ	PREVOD NA UCET	10	29362	 	GH	4786676
62379	207	1996-04-13	VYDAJ	PREVOD NA UCET	10	27409	 	GH	4786676
62380	207	1996-05-13	VYDAJ	PREVOD NA UCET	10	27156	 	GH	4786676
62381	207	1996-06-13	VYDAJ	PREVOD NA UCET	10	30713	 	GH	4786676
62382	207	1996-07-13	VYDAJ	PREVOD NA UCET	10	30914	 	GH	4786676
62383	207	1996-08-13	VYDAJ	PREVOD NA UCET	10	33720	 	GH	4786676
62384	207	1996-09-13	VYDAJ	PREVOD NA UCET	10	27397	 	GH	4786676
62385	207	1996-10-13	VYDAJ	PREVOD NA UCET	10	25273	 	GH	4786676
62386	207	1996-11-13	VYDAJ	PREVOD NA UCET	10	20686	 	GH	4786676
62387	207	1996-12-13	VYDAJ	PREVOD NA UCET	10	24015	 	GH	4786676
62388	207	1997-01-13	VYDAJ	PREVOD NA UCET	10	18883	 	GH	4786676
62389	207	1997-02-13	VYDAJ	PREVOD NA UCET	10	20737	 	GH	4786676
62390	207	1997-03-13	VYDAJ	PREVOD NA UCET	10	19697	 	GH	4786676
62391	207	1997-04-13	VYDAJ	PREVOD NA UCET	10	18195	 	GH	4786676
62392	207	1997-05-13	VYDAJ	PREVOD NA UCET	10	18363	 	GH	4786676
62393	207	1997-06-13	VYDAJ	PREVOD NA UCET	10	20481	 	GH	4786676
62394	207	1997-07-13	VYDAJ	PREVOD NA UCET	10	18539	 	GH	4786676
62395	207	1997-08-13	VYDAJ	PREVOD NA UCET	10	16393	 	GH	4786676
62396	207	1997-09-13	VYDAJ	PREVOD NA UCET	10	18439	 	GH	4786676
62397	207	1997-10-13	VYDAJ	PREVOD NA UCET	10	20491	 	GH	4786676
62398	207	1997-11-13	VYDAJ	PREVOD NA UCET	10	14725	 	GH	4786676
62399	207	1997-12-13	VYDAJ	PREVOD NA UCET	10	19030	 	GH	4786676
62400	207	1998-01-13	VYDAJ	PREVOD NA UCET	10	16696	 	GH	4786676
62401	207	1998-02-13	VYDAJ	PREVOD NA UCET	10	15357	 	GH	4786676
62402	207	1998-03-13	VYDAJ	PREVOD NA UCET	10	16995	 	GH	4786676
62403	207	1998-04-13	VYDAJ	PREVOD NA UCET	10	19040	 	GH	4786676
62404	207	1998-05-13	VYDAJ	PREVOD NA UCET	10	21094	 	GH	4786676
62405	207	1998-06-13	VYDAJ	PREVOD NA UCET	10	17621	 	GH	4786676
62406	207	1998-07-13	VYDAJ	PREVOD NA UCET	10	16864	 	GH	4786676
62407	207	1998-08-13	VYDAJ	PREVOD NA UCET	10	18808	 	GH	4786676
62408	207	1998-09-13	VYDAJ	PREVOD NA UCET	10	19459	 	GH	4786676
62409	207	1998-10-13	VYDAJ	PREVOD NA UCET	10	21714	 	GH	4786676
62410	207	1998-11-13	VYDAJ	PREVOD NA UCET	10	22196	 	GH	4786676
62411	207	1998-12-13	VYDAJ	PREVOD NA UCET	10	25992	 	GH	4786676
62424	207	1994-01-08	VYDAJ	PREVOD NA UCET	2726	27077	POJISTNE	AB	83722591
62425	207	1994-02-08	VYDAJ	PREVOD NA UCET	2726	17771	POJISTNE	AB	83722591
62426	207	1994-03-08	VYDAJ	PREVOD NA UCET	2726	21645	POJISTNE	AB	83722591
62427	207	1994-04-08	VYDAJ	PREVOD NA UCET	2726	14656	POJISTNE	AB	83722591
62428	207	1994-05-08	VYDAJ	PREVOD NA UCET	2726	19819	POJISTNE	AB	83722591
62429	207	1994-06-08	VYDAJ	PREVOD NA UCET	2726	23202	POJISTNE	AB	83722591
62430	207	1994-07-08	VYDAJ	PREVOD NA UCET	2726	23264	POJISTNE	AB	83722591
62431	207	1994-08-08	VYDAJ	PREVOD NA UCET	2726	21311	POJISTNE	AB	83722591
62521	207	1998-01-18	VYDAJ	VYBER	1680	15016	\N	\N	\N
62432	207	1994-09-08	VYDAJ	PREVOD NA UCET	2726	24199	POJISTNE	AB	83722591
62433	207	1994-10-08	VYDAJ	PREVOD NA UCET	2726	25897	POJISTNE	AB	83722591
62434	207	1994-11-08	VYDAJ	PREVOD NA UCET	2726	25398	POJISTNE	AB	83722591
62435	207	1994-12-08	VYDAJ	PREVOD NA UCET	2726	26400	POJISTNE	AB	83722591
62436	207	1995-01-08	VYDAJ	PREVOD NA UCET	2726	18530	POJISTNE	AB	83722591
62437	207	1995-02-08	VYDAJ	PREVOD NA UCET	2726	11970	POJISTNE	AB	83722591
62438	207	1995-03-08	VYDAJ	PREVOD NA UCET	2726	17825	POJISTNE	AB	83722591
62439	207	1995-04-08	VYDAJ	PREVOD NA UCET	2726	21000	POJISTNE	AB	83722591
62440	207	1995-05-08	VYDAJ	PREVOD NA UCET	2726	20859	POJISTNE	AB	83722591
62441	207	1995-06-08	VYDAJ	PREVOD NA UCET	2726	23044	POJISTNE	AB	83722591
62442	207	1995-07-08	VYDAJ	PREVOD NA UCET	2726	29516	POJISTNE	AB	83722591
62443	207	1995-08-08	VYDAJ	PREVOD NA UCET	2726	31336	POJISTNE	AB	83722591
62444	207	1995-09-08	VYDAJ	PREVOD NA UCET	2726	30858	POJISTNE	AB	83722591
62445	207	1995-10-08	VYDAJ	PREVOD NA UCET	2726	31184	POJISTNE	AB	83722591
62446	207	1995-11-08	VYDAJ	PREVOD NA UCET	2726	29702	POJISTNE	AB	83722591
62447	207	1995-12-08	VYDAJ	PREVOD NA UCET	2726	27813	POJISTNE	AB	83722591
62448	207	1996-01-08	VYDAJ	PREVOD NA UCET	2726	16875	POJISTNE	AB	83722591
62449	207	1996-02-08	VYDAJ	PREVOD NA UCET	2726	13365	POJISTNE	AB	83722591
62450	207	1996-03-08	VYDAJ	PREVOD NA UCET	2726	22137	POJISTNE	AB	83722591
62451	207	1996-04-08	VYDAJ	PREVOD NA UCET	2726	21284	POJISTNE	AB	83722591
62452	207	1996-05-08	VYDAJ	PREVOD NA UCET	2726	22331	POJISTNE	AB	83722591
62453	207	1996-06-08	VYDAJ	PREVOD NA UCET	2726	24120	POJISTNE	AB	83722591
62454	207	1996-07-08	VYDAJ	PREVOD NA UCET	2726	27689	POJISTNE	AB	83722591
62455	207	1996-08-08	VYDAJ	PREVOD NA UCET	2726	28595	POJISTNE	AB	83722591
62456	207	1996-09-08	VYDAJ	PREVOD NA UCET	2726	22272	POJISTNE	AB	83722591
62457	207	1996-10-08	VYDAJ	PREVOD NA UCET	2726	20148	POJISTNE	AB	83722591
62458	207	1996-11-08	VYDAJ	PREVOD NA UCET	2726	15561	POJISTNE	AB	83722591
62459	207	1996-12-08	VYDAJ	PREVOD NA UCET	2726	16322	POJISTNE	AB	83722591
62460	207	1997-01-08	VYDAJ	PREVOD NA UCET	2726	13758	POJISTNE	AB	83722591
62461	207	1997-02-08	VYDAJ	PREVOD NA UCET	2726	15612	POJISTNE	AB	83722591
62462	207	1997-03-08	VYDAJ	PREVOD NA UCET	2726	14572	POJISTNE	AB	83722591
62463	207	1997-04-08	VYDAJ	PREVOD NA UCET	2726	13070	POJISTNE	AB	83722591
62464	207	1997-05-08	VYDAJ	PREVOD NA UCET	2726	13238	POJISTNE	AB	83722591
62465	207	1997-06-08	VYDAJ	PREVOD NA UCET	2726	12788	POJISTNE	AB	83722591
62466	207	1997-07-08	VYDAJ	PREVOD NA UCET	2726	13414	POJISTNE	AB	83722591
62467	207	1997-08-08	VYDAJ	PREVOD NA UCET	2726	11268	POJISTNE	AB	83722591
62468	207	1997-09-08	VYDAJ	PREVOD NA UCET	2726	13314	POJISTNE	AB	83722591
62469	207	1997-10-08	VYDAJ	PREVOD NA UCET	2726	15366	POJISTNE	AB	83722591
62470	207	1997-11-08	VYDAJ	PREVOD NA UCET	2726	9600	POJISTNE	AB	83722591
62471	207	1997-12-08	VYDAJ	PREVOD NA UCET	2726	11337	POJISTNE	AB	83722591
62472	207	1998-01-08	VYDAJ	PREVOD NA UCET	2726	11571	POJISTNE	AB	83722591
62473	207	1998-02-08	VYDAJ	PREVOD NA UCET	2726	10232	POJISTNE	AB	83722591
62474	207	1998-03-08	VYDAJ	PREVOD NA UCET	2726	11870	POJISTNE	AB	83722591
62475	207	1998-04-08	VYDAJ	PREVOD NA UCET	2726	13915	POJISTNE	AB	83722591
62476	207	1998-05-08	VYDAJ	PREVOD NA UCET	2726	15969	POJISTNE	AB	83722591
62477	207	1998-06-08	VYDAJ	PREVOD NA UCET	2726	9929	POJISTNE	AB	83722591
62478	207	1998-07-08	VYDAJ	PREVOD NA UCET	2726	11739	POJISTNE	AB	83722591
62479	207	1998-08-08	VYDAJ	PREVOD NA UCET	2726	13683	POJISTNE	AB	83722591
62480	207	1998-09-08	VYDAJ	PREVOD NA UCET	2726	14334	POJISTNE	AB	83722591
62481	207	1998-10-08	VYDAJ	PREVOD NA UCET	2726	16589	POJISTNE	AB	83722591
62482	207	1998-11-08	VYDAJ	PREVOD NA UCET	2726	17071	POJISTNE	AB	83722591
62483	207	1998-12-08	VYDAJ	PREVOD NA UCET	2726	19260	POJISTNE	AB	83722591
62484	207	1993-12-23	VYDAJ	VYBER	2400	30091	\N	\N	\N
62485	207	1994-12-09	VYDAJ	VYBER	2400	24000	\N	\N	\N
62486	207	1995-12-13	VYDAJ	VYBER	4640	27475	\N	\N	\N
62487	207	1996-12-24	VYDAJ	VYBER	4160	19855	\N	\N	\N
62489	207	1998-12-11	VYDAJ	VYBER	960	18300	\N	\N	\N
62496	207	1994-01-30	VYDAJ	VYBER	2400	20802	\N	\N	\N
62497	207	1994-01-12	VYDAJ	VYBER	2400	29812	\N	\N	\N
62498	207	1994-01-13	VYDAJ	VYBER	840	28972	\N	\N	\N
62499	207	1994-01-28	VYDAJ	VYBER	3360	23202	\N	\N	\N
62500	207	1994-01-15	VYDAJ	VYBER	2040	25962	\N	\N	\N
62501	207	1994-01-13	VYDAJ	VYBER	960	28012	\N	\N	\N
62502	207	1995-01-18	VYDAJ	VYBER	3480	17315	\N	\N	\N
62503	207	1995-01-13	VYDAJ	VYBER	2040	21625	\N	\N	\N
62504	207	1995-01-15	VYDAJ	VYBER	3120	17295	\N	\N	\N
62505	207	1995-01-05	VYDAJ	VYBER	1800	24539	\N	\N	\N
62506	207	1995-01-22	VYDAJ	VYBER	2280	15035	\N	\N	\N
62507	207	1995-01-05	VYDAJ	VYBER	2880	21659	\N	\N	\N
62508	207	1996-01-13	VYDAJ	VYBER	2640	21340	\N	\N	\N
62509	207	1996-01-01	VYDAJ	VYBER	3000	22164	\N	\N	\N
62510	207	1996-01-08	VYDAJ	VYBER	1320	19601	\N	\N	\N
62511	207	1996-01-25	VYDAJ	VYBER	3360	16420	\N	\N	\N
62512	207	1996-01-24	VYDAJ	VYBER	1560	19780	\N	\N	\N
62513	207	1996-01-07	VYDAJ	VYBER	840	20921	\N	\N	\N
62514	207	1997-01-01	VYDAJ	VYBER	3240	16687	\N	\N	\N
62518	207	1997-01-26	VYDAJ	VYBER	1800	17083	\N	\N	\N
62522	207	1998-01-01	VYDAJ	VYBER	1080	14700	\N	\N	\N
62530	207	1994-03-08	VYDAJ	VYBER	4920	16725	\N	\N	\N
62531	207	1994-07-14	VYDAJ	VYBER	1440	26949	\N	\N	\N
62532	207	1994-12-30	VYDAJ	VYBER	3360	26232	\N	\N	\N
62533	207	1994-03-20	VYDAJ	VYBER	2880	18970	\N	\N	\N
62534	207	1994-03-27	VYDAJ	VYBER	2760	17710	\N	\N	\N
62537	207	1995-12-17	VYDAJ	VYBER	2400	25065	\N	\N	\N
62538	207	1995-01-14	VYDAJ	VYBER	1200	20415	\N	\N	\N
62539	207	1995-04-11	VYDAJ	VYBER	1320	19680	\N	\N	\N
62540	207	1996-10-22	VYDAJ	VYBER	2880	18313	\N	\N	\N
62541	207	1996-04-15	VYDAJ	VYBER	600	26809	\N	\N	\N
62542	207	1996-09-05	VYDAJ	VYBER	2040	31801	\N	\N	\N
62543	207	1996-10-17	VYDAJ	VYBER	4080	21193	\N	\N	\N
62544	207	1996-01-09	VYDAJ	VYBER	1320	15555	\N	\N	\N
62545	207	1996-04-30	VYDAJ	VYBER	1440	25460	\N	\N	\N
62546	207	1996-10-08	VYDAJ	VYBER	3120	22874	\N	\N	\N
62547	207	1996-03-19	VYDAJ	VYBER	5040	24322	\N	\N	\N
62548	207	1997-10-24	VYDAJ	VYBER	5520	14971	\N	\N	\N
62549	207	1997-03-28	VYDAJ	VYBER	2760	16937	\N	\N	\N
62552	207	1997-04-24	VYDAJ	VYBER	3480	14715	\N	\N	\N
62553	207	1997-12-23	VYDAJ	VYBER	3000	16030	\N	\N	\N
62555	207	1998-10-25	VYDAJ	VYBER	5280	16434	\N	\N	\N
62558	207	1998-12-06	VYDAJ	VYBER	3480	22389	\N	\N	\N
62571	207	1993-12-31	VYDAJ	VYBER	15	30206	SLUZBY	\N	\N
62572	207	1994-01-31	VYDAJ	VYBER	15	20900	SLUZBY	\N	\N
62573	207	1994-02-28	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
62574	207	1994-03-31	VYDAJ	VYBER	15	17785	SLUZBY	\N	\N
62575	207	1994-04-30	VYDAJ	VYBER	15	22948	SLUZBY	\N	\N
62576	207	1994-05-31	VYDAJ	VYBER	15	26331	SLUZBY	\N	\N
62577	207	1994-06-30	VYDAJ	VYBER	15	26393	SLUZBY	\N	\N
62578	207	1994-07-31	VYDAJ	VYBER	15	24440	SLUZBY	\N	\N
62579	207	1994-08-31	VYDAJ	VYBER	15	27328	SLUZBY	\N	\N
62580	207	1994-09-30	VYDAJ	VYBER	15	29026	SLUZBY	\N	\N
62581	207	1994-10-31	VYDAJ	VYBER	15	28527	SLUZBY	\N	\N
62582	207	1994-11-30	VYDAJ	VYBER	15	29529	SLUZBY	\N	\N
62583	207	1994-12-31	VYDAJ	VYBER	15	26339	SLUZBY	\N	\N
62584	207	1995-01-31	VYDAJ	VYBER	15	15099	SLUZBY	\N	\N
62585	207	1995-02-28	VYDAJ	VYBER	15	20954	SLUZBY	\N	\N
62586	207	1995-03-31	VYDAJ	VYBER	15	24129	SLUZBY	\N	\N
62587	207	1995-04-30	VYDAJ	VYBER	15	23988	SLUZBY	\N	\N
62588	207	1995-05-31	VYDAJ	VYBER	15	26173	SLUZBY	\N	\N
62589	207	1995-06-30	VYDAJ	VYBER	15	32645	SLUZBY	\N	\N
62590	207	1995-07-31	VYDAJ	VYBER	15	34465	SLUZBY	\N	\N
62591	207	1995-08-31	VYDAJ	VYBER	15	33987	SLUZBY	\N	\N
62592	207	1995-09-30	VYDAJ	VYBER	15	34313	SLUZBY	\N	\N
62593	207	1995-10-31	VYDAJ	VYBER	15	32831	SLUZBY	\N	\N
62594	207	1995-11-30	VYDAJ	VYBER	15	30942	SLUZBY	\N	\N
62595	207	1995-12-31	VYDAJ	VYBER	15	25164	SLUZBY	\N	\N
62596	207	1996-01-31	VYDAJ	VYBER	15	16494	SLUZBY	\N	\N
62597	207	1996-02-29	VYDAJ	VYBER	15	25266	SLUZBY	\N	\N
62598	207	1996-03-31	VYDAJ	VYBER	15	24413	SLUZBY	\N	\N
62599	207	1996-04-30	VYDAJ	VYBER	15	26900	SLUZBY	\N	\N
62600	207	1996-05-31	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
62601	207	1996-06-30	VYDAJ	VYBER	15	30818	SLUZBY	\N	\N
62602	207	1996-07-31	VYDAJ	VYBER	15	31024	SLUZBY	\N	\N
62603	207	1996-08-31	VYDAJ	VYBER	15	33841	SLUZBY	\N	\N
62604	207	1996-09-30	VYDAJ	VYBER	15	27497	SLUZBY	\N	\N
62605	207	1996-10-31	VYDAJ	VYBER	15	18390	SLUZBY	\N	\N
62606	207	1996-11-30	VYDAJ	VYBER	15	20751	SLUZBY	\N	\N
62607	207	1996-12-31	VYDAJ	VYBER	15	19927	SLUZBY	\N	\N
62608	207	1997-01-31	VYDAJ	VYBER	15	17141	SLUZBY	\N	\N
62609	207	1997-02-28	VYDAJ	VYBER	15	20801	SLUZBY	\N	\N
62610	207	1997-03-31	VYDAJ	VYBER	15	16999	SLUZBY	\N	\N
62611	207	1997-04-30	VYDAJ	VYBER	15	14767	SLUZBY	\N	\N
62612	207	1997-05-31	VYDAJ	VYBER	15	18417	SLUZBY	\N	\N
62613	207	1997-06-30	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
62614	207	1997-07-31	VYDAJ	VYBER	15	18597	SLUZBY	\N	\N
62615	207	1997-08-31	VYDAJ	VYBER	15	16443	SLUZBY	\N	\N
62616	207	1997-09-30	VYDAJ	VYBER	15	18495	SLUZBY	\N	\N
62617	207	1997-10-31	VYDAJ	VYBER	15	15029	SLUZBY	\N	\N
62618	207	1997-11-30	VYDAJ	VYBER	15	14766	SLUZBY	\N	\N
62619	207	1997-12-31	VYDAJ	VYBER	15	15780	SLUZBY	\N	\N
62620	207	1998-01-31	VYDAJ	VYBER	15	13361	SLUZBY	\N	\N
62621	207	1998-02-28	VYDAJ	VYBER	15	15399	SLUZBY	\N	\N
62622	207	1998-03-31	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
62623	207	1998-04-30	VYDAJ	VYBER	15	19098	SLUZBY	\N	\N
62624	207	1998-05-31	VYDAJ	VYBER	15	13058	SLUZBY	\N	\N
62625	207	1998-06-30	VYDAJ	VYBER	15	14868	SLUZBY	\N	\N
62626	207	1998-07-31	VYDAJ	VYBER	15	16812	SLUZBY	\N	\N
62627	207	1998-08-31	VYDAJ	VYBER	15	17463	SLUZBY	\N	\N
62628	207	1998-09-30	VYDAJ	VYBER	15	19718	SLUZBY	\N	\N
62629	207	1998-10-31	VYDAJ	VYBER	15	20200	SLUZBY	\N	\N
62630	207	1998-11-30	VYDAJ	VYBER	15	25869	SLUZBY	\N	\N
62631	207	1993-08-24	PRIJEM	VKLAD	9300	15335	\N	\N	\N
62632	207	1993-10-23	VYDAJ	VYBER	2100	23585	\N	\N	\N
62633	207	1993-11-22	VYDAJ	VYBER	500	28294	\N	\N	\N
62634	207	1993-12-22	VYDAJ	VYBER	3600	32491	\N	\N	\N
62635	207	1994-01-21	PRIJEM	VKLAD	600	26562	\N	\N	\N
62636	207	1994-02-20	PRIJEM	VKLAD	1800	24696	\N	\N	\N
62637	207	1994-03-22	PRIJEM	VKLAD	1500	20470	\N	\N	\N
62638	207	1994-04-21	PRIJEM	VKLAD	3100	22881	\N	\N	\N
62639	207	1994-05-21	PRIJEM	VKLAD	1300	26244	\N	\N	\N
62640	207	1994-06-20	VYDAJ	VYBER	4600	26294	\N	\N	\N
62641	207	1994-07-20	VYDAJ	VYBER	2600	24349	\N	\N	\N
62642	207	1994-08-19	PRIJEM	VKLAD	800	27236	\N	\N	\N
62643	207	1994-09-18	VYDAJ	VYBER	400	28924	\N	\N	\N
62644	207	1994-10-18	VYDAJ	VYBER	2600	28422	\N	\N	\N
62645	207	1994-11-17	VYDAJ	VYBER	1100	29423	\N	\N	\N
62646	207	1994-12-17	VYDAJ	VYBER	2100	29592	\N	\N	\N
62647	207	1995-01-16	PRIJEM	VKLAD	3500	20795	\N	\N	\N
62648	207	1995-02-15	PRIJEM	VKLAD	3800	20895	\N	\N	\N
62649	207	1995-03-17	PRIJEM	VKLAD	1100	24050	\N	\N	\N
62650	207	1995-04-16	VYDAJ	VYBER	900	23905	\N	\N	\N
62651	207	1995-05-16	PRIJEM	VKLAD	100	26084	\N	\N	\N
62652	207	1995-06-15	PRIJEM	VKLAD	1800	32537	\N	\N	\N
62653	207	1995-07-15	VYDAJ	VYBER	300	34341	\N	\N	\N
62654	207	1995-08-14	VYDAJ	VYBER	2600	33861	\N	\N	\N
62655	207	1995-09-13	VYDAJ	VYBER	1800	34183	\N	\N	\N
62656	207	1995-10-13	VYDAJ	VYBER	3600	32709	\N	\N	\N
62657	207	1995-11-12	VYDAJ	VYBER	4000	30837	\N	\N	\N
62658	207	1995-12-12	VYDAJ	VYBER	3400	32115	\N	\N	\N
62659	207	1996-01-11	PRIJEM	VKLAD	3300	18855	\N	\N	\N
62660	207	1996-02-10	PRIJEM	VKLAD	6700	20065	\N	\N	\N
62661	207	1996-03-11	PRIJEM	VKLAD	2100	24237	\N	\N	\N
62662	207	1996-04-10	PRIJEM	VKLAD	1000	22284	\N	\N	\N
62663	207	1996-05-10	VYDAJ	VYBER	300	22031	\N	\N	\N
62664	207	1996-06-09	VYDAJ	VYBER	1100	23020	\N	\N	\N
62665	207	1996-07-09	VYDAJ	VYBER	1900	25789	\N	\N	\N
62666	207	1996-08-08	PRIJEM	VKLAD	700	31321	\N	\N	\N
62667	207	1996-09-07	VYDAJ	VYBER	6400	24998	\N	\N	\N
62668	207	1996-10-07	VYDAJ	VYBER	1100	25994	\N	\N	\N
62669	207	1996-11-06	PRIJEM	VKLAD	300	18690	\N	\N	\N
62670	207	1996-12-06	VYDAJ	VYBER	1300	19048	\N	\N	\N
62671	207	1997-01-05	PRIJEM	VKLAD	200	16887	\N	\N	\N
62672	207	1997-02-04	PRIJEM	VKLAD	1600	18741	\N	\N	\N
62673	207	1997-03-06	VYDAJ	VYBER	3100	17298	\N	\N	\N
62674	207	1997-04-05	VYDAJ	VYBER	800	16199	\N	\N	\N
62675	207	1997-05-05	PRIJEM	VKLAD	1600	16367	\N	\N	\N
62676	207	1997-06-04	VYDAJ	VYBER	2500	15917	\N	\N	\N
62677	207	1997-07-04	VYDAJ	VYBER	4000	16543	\N	\N	\N
62678	207	1997-08-03	VYDAJ	VYBER	4200	14397	\N	\N	\N
62679	207	1997-11-01	VYDAJ	VYBER	2300	12729	\N	\N	\N
62680	207	1997-12-01	VYDAJ	VYBER	300	14466	\N	\N	\N
62681	207	1997-12-31	VYDAJ	VYBER	300	15795	\N	\N	\N
62682	207	1998-01-30	VYDAJ	VYBER	1700	13316	\N	\N	\N
62683	207	1998-03-01	VYDAJ	VYBER	400	14999	\N	\N	\N
62684	207	1998-05-30	VYDAJ	VYBER	8100	12994	\N	\N	\N
62685	207	1998-06-29	VYDAJ	VYBER	2800	14821	\N	\N	\N
62686	207	1998-07-29	VYDAJ	VYBER	100	16764	\N	\N	\N
62687	207	1998-08-28	VYDAJ	VYBER	1400	17408	\N	\N	\N
62688	207	1998-09-27	PRIJEM	VKLAD	200	19659	\N	\N	\N
62689	207	1998-10-27	PRIJEM	VKLAD	3700	20134	\N	\N	\N
62690	207	1998-11-26	PRIJEM	VKLAD	3600	25796	\N	\N	\N
62756	208	1996-03-27	PRIJEM	VKLAD	700	700	\N	\N	\N
62760	208	1996-04-07	PRIJEM	VKLAD	14996	15696	\N	\N	\N
62761	208	1996-05-07	PRIJEM	VKLAD	14996	32404	\N	\N	\N
62762	208	1996-06-07	PRIJEM	VKLAD	22494	53281	\N	\N	\N
62763	208	1996-07-07	PRIJEM	VKLAD	14996	50609	\N	\N	\N
62764	208	1996-08-07	PRIJEM	VKLAD	14996	51254	\N	\N	\N
62765	208	1996-09-07	PRIJEM	VKLAD	14996	46448	\N	\N	\N
62766	208	1996-10-07	PRIJEM	VKLAD	14996	46340	\N	\N	\N
62767	208	1996-11-07	PRIJEM	VKLAD	14996	46132	\N	\N	\N
62768	208	1996-12-07	PRIJEM	VKLAD	22494	46616	\N	\N	\N
62769	208	1997-01-07	PRIJEM	VKLAD	14996	46912	\N	\N	\N
62770	208	1997-02-07	PRIJEM	VKLAD	14996	46301	\N	\N	\N
62771	208	1997-03-07	PRIJEM	VKLAD	14996	50191	\N	\N	\N
62772	208	1997-04-07	PRIJEM	VKLAD	14996	52900	\N	\N	\N
62773	208	1997-05-07	PRIJEM	VKLAD	14996	51619	\N	\N	\N
62774	208	1997-06-07	PRIJEM	VKLAD	22494	61131	\N	\N	\N
62775	208	1997-07-07	PRIJEM	VKLAD	14996	47260	\N	\N	\N
62776	208	1997-08-07	PRIJEM	VKLAD	14996	44653	\N	\N	\N
62777	208	1997-09-07	PRIJEM	VKLAD	14996	45935	\N	\N	\N
62778	208	1997-10-07	PRIJEM	VKLAD	14996	45218	\N	\N	\N
62779	208	1997-11-07	PRIJEM	VKLAD	14996	42095	\N	\N	\N
62780	208	1997-12-07	PRIJEM	VKLAD	22494	48359	\N	\N	\N
62781	208	1998-01-07	PRIJEM	VKLAD	14996	42533	\N	\N	\N
62782	208	1998-02-07	PRIJEM	VKLAD	14996	30192	\N	\N	\N
62783	208	1998-03-07	PRIJEM	VKLAD	14996	36827	\N	\N	\N
62784	208	1998-04-07	PRIJEM	VKLAD	14996	40979	\N	\N	\N
62785	208	1998-05-07	PRIJEM	VKLAD	14996	47253	\N	\N	\N
62786	208	1998-06-07	PRIJEM	VKLAD	22494	50129	\N	\N	\N
62787	208	1998-07-07	PRIJEM	VKLAD	14996	35415	\N	\N	\N
62788	208	1998-08-07	PRIJEM	VKLAD	14996	38759	\N	\N	\N
62789	208	1998-09-07	PRIJEM	VKLAD	14996	37535	\N	\N	\N
62790	208	1998-10-07	PRIJEM	VKLAD	14996	36078	\N	\N	\N
62791	208	1998-11-07	PRIJEM	VKLAD	14996	31610	\N	\N	\N
62792	208	1998-12-07	PRIJEM	VKLAD	22494	40137	\N	\N	\N
62800	208	1996-08-14	VYDAJ	PREVOD NA UCET	4148	46120	SIPO	AB	9118587
62801	208	1996-09-14	VYDAJ	PREVOD NA UCET	4148	39547	SIPO	AB	9118587
62802	208	1996-10-14	VYDAJ	PREVOD NA UCET	4148	41206	SIPO	AB	9118587
62803	208	1996-11-14	VYDAJ	PREVOD NA UCET	4148	37031	SIPO	AB	9118587
62804	208	1996-12-14	VYDAJ	PREVOD NA UCET	4148	41482	SIPO	AB	9118587
62805	208	1997-01-14	VYDAJ	PREVOD NA UCET	4148	35478	SIPO	AB	9118587
62806	208	1997-02-14	VYDAJ	PREVOD NA UCET	4148	37267	SIPO	AB	9118587
62807	208	1997-03-14	VYDAJ	PREVOD NA UCET	4148	45057	SIPO	AB	9118587
62808	208	1997-04-14	VYDAJ	PREVOD NA UCET	4148	45999	SIPO	AB	9118587
62809	208	1997-05-14	VYDAJ	PREVOD NA UCET	4148	46485	SIPO	AB	9118587
62810	208	1997-06-14	VYDAJ	PREVOD NA UCET	4148	54230	SIPO	AB	9118587
62811	208	1997-07-14	VYDAJ	PREVOD NA UCET	4148	40359	SIPO	AB	9118587
62812	208	1997-08-14	VYDAJ	PREVOD NA UCET	4148	39519	SIPO	AB	9118587
62813	208	1997-09-14	VYDAJ	PREVOD NA UCET	4148	40801	SIPO	AB	9118587
62814	208	1997-10-14	VYDAJ	PREVOD NA UCET	4148	38317	SIPO	AB	9118587
62815	208	1997-11-14	VYDAJ	PREVOD NA UCET	4148	35194	SIPO	AB	9118587
62816	208	1997-12-14	VYDAJ	PREVOD NA UCET	4148	41425	SIPO	AB	9118587
62817	208	1998-01-14	VYDAJ	PREVOD NA UCET	4148	34399	SIPO	AB	9118587
62818	208	1998-02-14	VYDAJ	PREVOD NA UCET	4148	25058	SIPO	AB	9118587
62819	208	1998-03-14	VYDAJ	PREVOD NA UCET	4148	29026	SIPO	AB	9118587
62820	208	1998-04-14	VYDAJ	PREVOD NA UCET	4148	35845	SIPO	AB	9118587
62821	208	1998-05-14	VYDAJ	PREVOD NA UCET	4148	42119	SIPO	AB	9118587
62822	208	1998-06-14	VYDAJ	PREVOD NA UCET	4148	43228	SIPO	AB	9118587
62823	208	1998-07-14	VYDAJ	PREVOD NA UCET	4148	30281	SIPO	AB	9118587
62824	208	1998-08-14	VYDAJ	PREVOD NA UCET	4148	22958	SIPO	AB	9118587
62825	208	1998-09-14	VYDAJ	PREVOD NA UCET	4148	22734	SIPO	AB	9118587
62826	208	1998-10-14	VYDAJ	PREVOD NA UCET	4148	23444	SIPO	AB	9118587
62827	208	1998-11-14	VYDAJ	PREVOD NA UCET	4148	18109	SIPO	AB	9118587
62828	208	1998-12-14	VYDAJ	PREVOD NA UCET	4148	19636	SIPO	AB	9118587
62836	208	1996-08-14	VYDAJ	PREVOD NA UCET	1767	44353	 	CD	77937751
62837	208	1996-09-14	VYDAJ	PREVOD NA UCET	1767	43695	 	CD	77937751
62838	208	1996-10-14	VYDAJ	PREVOD NA UCET	1767	39439	 	CD	77937751
62839	208	1996-11-14	VYDAJ	PREVOD NA UCET	1767	41179	 	CD	77937751
62840	208	1996-12-14	VYDAJ	PREVOD NA UCET	1767	39715	 	CD	77937751
62841	208	1997-01-14	VYDAJ	PREVOD NA UCET	1767	33711	 	CD	77937751
62842	208	1997-02-14	VYDAJ	PREVOD NA UCET	1767	35500	 	CD	77937751
62843	208	1997-03-14	VYDAJ	PREVOD NA UCET	1767	43290	 	CD	77937751
62844	208	1997-04-14	VYDAJ	PREVOD NA UCET	1767	50147	 	CD	77937751
62845	208	1997-05-14	VYDAJ	PREVOD NA UCET	1767	44718	 	CD	77937751
62846	208	1997-06-14	VYDAJ	PREVOD NA UCET	1767	58378	 	CD	77937751
62847	208	1997-07-14	VYDAJ	PREVOD NA UCET	1767	44507	 	CD	77937751
62848	208	1997-08-14	VYDAJ	PREVOD NA UCET	1767	37752	 	CD	77937751
62849	208	1997-09-14	VYDAJ	PREVOD NA UCET	1767	39034	 	CD	77937751
62850	208	1997-10-14	VYDAJ	PREVOD NA UCET	1767	42465	 	CD	77937751
62851	208	1997-11-14	VYDAJ	PREVOD NA UCET	1767	39342	 	CD	77937751
62852	208	1997-12-14	VYDAJ	PREVOD NA UCET	1767	39658	 	CD	77937751
62853	208	1998-01-14	VYDAJ	PREVOD NA UCET	1767	32632	 	CD	77937751
62854	208	1998-02-14	VYDAJ	PREVOD NA UCET	1767	23291	 	CD	77937751
62855	208	1998-03-14	VYDAJ	PREVOD NA UCET	1767	33174	 	CD	77937751
62856	208	1998-04-14	VYDAJ	PREVOD NA UCET	1767	34078	 	CD	77937751
62857	208	1998-05-14	VYDAJ	PREVOD NA UCET	1767	40352	 	CD	77937751
62858	208	1998-06-14	VYDAJ	PREVOD NA UCET	1767	47376	 	CD	77937751
62859	208	1998-07-14	VYDAJ	PREVOD NA UCET	1767	28514	 	CD	77937751
62860	208	1998-08-14	VYDAJ	PREVOD NA UCET	1767	36006	 	CD	77937751
62861	208	1998-09-14	VYDAJ	PREVOD NA UCET	1767	26882	 	CD	77937751
62862	208	1998-10-14	VYDAJ	PREVOD NA UCET	1767	21677	 	CD	77937751
62863	208	1998-11-14	VYDAJ	PREVOD NA UCET	1767	22257	 	CD	77937751
62864	208	1998-12-14	VYDAJ	PREVOD NA UCET	1767	23784	 	CD	77937751
62872	208	1996-08-13	VYDAJ	PREVOD NA UCET	986	50268	POJISTNE	UV	98481541
62873	208	1996-09-13	VYDAJ	PREVOD NA UCET	986	45462	POJISTNE	UV	98481541
62874	208	1996-10-13	VYDAJ	PREVOD NA UCET	986	45354	POJISTNE	UV	98481541
62875	208	1996-11-13	VYDAJ	PREVOD NA UCET	986	45146	POJISTNE	UV	98481541
62876	208	1996-12-13	VYDAJ	PREVOD NA UCET	986	45630	POJISTNE	UV	98481541
62877	208	1997-01-13	VYDAJ	PREVOD NA UCET	986	45026	POJISTNE	UV	98481541
62878	208	1997-02-13	VYDAJ	PREVOD NA UCET	986	41415	POJISTNE	UV	98481541
62879	208	1997-03-13	VYDAJ	PREVOD NA UCET	986	49205	POJISTNE	UV	98481541
62880	208	1997-04-13	VYDAJ	PREVOD NA UCET	986	51914	POJISTNE	UV	98481541
62881	208	1997-05-13	VYDAJ	PREVOD NA UCET	986	50633	POJISTNE	UV	98481541
62882	208	1997-06-13	VYDAJ	PREVOD NA UCET	986	60145	POJISTNE	UV	98481541
62883	208	1997-07-13	VYDAJ	PREVOD NA UCET	986	46274	POJISTNE	UV	98481541
62884	208	1997-08-13	VYDAJ	PREVOD NA UCET	986	43667	POJISTNE	UV	98481541
62885	208	1997-09-13	VYDAJ	PREVOD NA UCET	986	44949	POJISTNE	UV	98481541
62886	208	1997-10-13	VYDAJ	PREVOD NA UCET	986	44232	POJISTNE	UV	98481541
62887	208	1997-11-13	VYDAJ	PREVOD NA UCET	986	41109	POJISTNE	UV	98481541
62888	208	1997-12-13	VYDAJ	PREVOD NA UCET	986	45573	POJISTNE	UV	98481541
62889	208	1998-01-13	VYDAJ	PREVOD NA UCET	986	38547	POJISTNE	UV	98481541
62890	208	1998-02-13	VYDAJ	PREVOD NA UCET	986	29206	POJISTNE	UV	98481541
62891	208	1998-03-13	VYDAJ	PREVOD NA UCET	986	34941	POJISTNE	UV	98481541
62892	208	1998-04-13	VYDAJ	PREVOD NA UCET	986	39993	POJISTNE	UV	98481541
62893	208	1998-05-13	VYDAJ	PREVOD NA UCET	986	46267	POJISTNE	UV	98481541
62894	208	1998-06-13	VYDAJ	PREVOD NA UCET	986	49143	POJISTNE	UV	98481541
62895	208	1998-07-13	VYDAJ	PREVOD NA UCET	986	34429	POJISTNE	UV	98481541
62896	208	1998-08-13	VYDAJ	PREVOD NA UCET	986	37773	POJISTNE	UV	98481541
62897	208	1998-09-13	VYDAJ	PREVOD NA UCET	986	36549	POJISTNE	UV	98481541
62898	208	1998-10-13	VYDAJ	PREVOD NA UCET	986	35092	POJISTNE	UV	98481541
62899	208	1998-11-13	VYDAJ	PREVOD NA UCET	986	24024	POJISTNE	UV	98481541
62900	208	1998-12-13	VYDAJ	PREVOD NA UCET	986	25551	POJISTNE	UV	98481541
62909	208	1996-09-05	VYDAJ	PREVOD NA UCET	545	31452	 	OP	28241002
62910	208	1996-10-05	VYDAJ	PREVOD NA UCET	545	31344	 	OP	28241002
62911	208	1996-11-05	VYDAJ	PREVOD NA UCET	545	31136	 	OP	28241002
62912	208	1996-12-05	VYDAJ	PREVOD NA UCET	545	24122	 	OP	28241002
62913	208	1997-01-05	VYDAJ	PREVOD NA UCET	545	31916	 	OP	28241002
62914	208	1997-02-05	VYDAJ	PREVOD NA UCET	545	31305	 	OP	28241002
62915	208	1997-03-05	VYDAJ	PREVOD NA UCET	545	35195	 	OP	28241002
62916	208	1997-04-05	VYDAJ	PREVOD NA UCET	545	37904	 	OP	28241002
62917	208	1997-05-05	VYDAJ	PREVOD NA UCET	545	36623	 	OP	28241002
62918	208	1997-06-05	VYDAJ	PREVOD NA UCET	545	38637	 	OP	28241002
62919	208	1997-07-05	VYDAJ	PREVOD NA UCET	545	32264	 	OP	28241002
62920	208	1997-08-05	VYDAJ	PREVOD NA UCET	545	29657	 	OP	28241002
62921	208	1997-09-05	VYDAJ	PREVOD NA UCET	545	30939	 	OP	28241002
62922	208	1997-10-05	VYDAJ	PREVOD NA UCET	545	30222	 	OP	28241002
62923	208	1997-11-05	VYDAJ	PREVOD NA UCET	545	27099	 	OP	28241002
62924	208	1997-12-05	VYDAJ	PREVOD NA UCET	545	25865	 	OP	28241002
62925	208	1998-01-05	VYDAJ	PREVOD NA UCET	545	27537	 	OP	28241002
62926	208	1998-02-05	VYDAJ	PREVOD NA UCET	545	15196	 	OP	28241002
62927	208	1998-03-05	VYDAJ	PREVOD NA UCET	545	21831	 	OP	28241002
62928	208	1998-04-05	VYDAJ	PREVOD NA UCET	545	25983	 	OP	28241002
62929	208	1998-05-05	VYDAJ	PREVOD NA UCET	545	32257	 	OP	28241002
62930	208	1998-06-05	VYDAJ	PREVOD NA UCET	545	27635	 	OP	28241002
62931	208	1998-07-05	VYDAJ	PREVOD NA UCET	545	20419	 	OP	28241002
62932	208	1998-08-05	VYDAJ	PREVOD NA UCET	545	23763	 	OP	28241002
62933	208	1998-09-05	VYDAJ	PREVOD NA UCET	545	22539	 	OP	28241002
62934	208	1998-10-05	VYDAJ	PREVOD NA UCET	545	21082	 	OP	28241002
62935	208	1998-11-05	VYDAJ	PREVOD NA UCET	545	16614	 	OP	28241002
62936	208	1998-12-05	VYDAJ	PREVOD NA UCET	545	17643	 	OP	28241002
62938	208	1997-06-23	VYDAJ	VYBER	9700	32630	\N	\N	\N
62939	208	1998-06-27	VYDAJ	VYBER	16200	20828	\N	\N	\N
62941	208	1997-01-14	VYDAJ	VYBER	5400	39626	\N	\N	\N
62942	208	1998-01-30	VYDAJ	VYBER	6400	15632	\N	\N	\N
62943	208	1996-12-05	VYDAJ	VYBER	2000	24667	\N	\N	\N
62944	208	1997-12-13	VYDAJ	VYBER	1800	46559	\N	\N	\N
62945	208	1998-12-10	VYDAJ	VYBER	1000	39137	\N	\N	\N
62952	208	1997-01-09	VYDAJ	VYBER	900	46012	\N	\N	\N
62953	208	1997-01-01	VYDAJ	VYBER	2300	34161	\N	\N	\N
62954	208	1997-01-28	VYDAJ	VYBER	1600	34511	\N	\N	\N
62955	208	1997-01-19	VYDAJ	VYBER	700	33011	\N	\N	\N
62956	208	1997-01-29	VYDAJ	VYBER	2800	31711	\N	\N	\N
62957	208	1997-01-03	VYDAJ	VYBER	1700	32461	\N	\N	\N
62958	208	1998-01-07	VYDAJ	VYBER	2300	40233	\N	\N	\N
62959	208	1998-01-12	VYDAJ	VYBER	700	39533	\N	\N	\N
62960	208	1998-01-19	VYDAJ	VYBER	700	27232	\N	\N	\N
62961	208	1998-01-29	VYDAJ	VYBER	2400	22032	\N	\N	\N
62962	208	1998-01-25	VYDAJ	VYBER	2200	24432	\N	\N	\N
62963	208	1998-01-21	VYDAJ	VYBER	600	26632	\N	\N	\N
62964	208	1996-11-13	VYDAJ	VYBER	2200	42946	\N	\N	\N
62965	208	1996-12-01	VYDAJ	VYBER	4300	26667	\N	\N	\N
62966	208	1996-09-14	VYDAJ	VYBER	4500	35047	\N	\N	\N
62969	208	1997-04-22	VYDAJ	VYBER	3700	36999	\N	\N	\N
62970	208	1997-02-12	VYDAJ	VYBER	3900	42401	\N	\N	\N
62971	208	1997-07-26	VYDAJ	VYBER	2400	30059	\N	\N	\N
62972	208	1998-05-20	VYDAJ	VYBER	2900	28052	\N	\N	\N
62973	208	1998-02-27	VYDAJ	VYBER	2500	22291	\N	\N	\N
62974	208	1998-10-22	VYDAJ	VYBER	4600	17077	\N	\N	\N
62975	208	1998-10-04	VYDAJ	VYBER	1200	21627	\N	\N	\N
62976	208	1998-07-16	VYDAJ	VYBER	1100	24214	\N	\N	\N
62977	208	1998-03-13	VYDAJ	VYBER	900	35927	\N	\N	\N
62986	208	1996-08-31	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
62987	208	1996-09-30	VYDAJ	VYBER	15	31889	SLUZBY	\N	\N
62988	208	1996-10-31	VYDAJ	VYBER	15	31681	SLUZBY	\N	\N
62989	208	1996-11-30	VYDAJ	VYBER	15	30967	SLUZBY	\N	\N
62990	208	1996-12-31	VYDAJ	VYBER	15	36461	SLUZBY	\N	\N
62991	208	1997-01-31	VYDAJ	VYBER	15	31850	SLUZBY	\N	\N
62992	208	1997-02-28	VYDAJ	VYBER	15	35740	SLUZBY	\N	\N
62993	208	1997-03-31	VYDAJ	VYBER	15	38449	SLUZBY	\N	\N
62994	208	1997-04-30	VYDAJ	VYBER	15	37168	SLUZBY	\N	\N
62995	208	1997-05-31	VYDAJ	VYBER	15	39182	SLUZBY	\N	\N
62996	208	1997-06-30	VYDAJ	VYBER	15	32809	SLUZBY	\N	\N
62997	208	1997-07-31	VYDAJ	VYBER	15	30202	SLUZBY	\N	\N
62998	208	1997-08-31	VYDAJ	VYBER	15	31484	SLUZBY	\N	\N
62999	208	1997-09-30	VYDAJ	VYBER	15	30767	SLUZBY	\N	\N
63000	208	1997-10-31	VYDAJ	VYBER	15	27644	SLUZBY	\N	\N
63001	208	1997-11-30	VYDAJ	VYBER	15	26410	SLUZBY	\N	\N
63002	208	1997-12-31	VYDAJ	VYBER	15	28082	SLUZBY	\N	\N
63003	208	1998-01-31	VYDAJ	VYBER	15	15741	SLUZBY	\N	\N
63004	208	1998-02-28	VYDAJ	VYBER	15	22376	SLUZBY	\N	\N
63005	208	1998-03-31	VYDAJ	VYBER	15	26528	SLUZBY	\N	\N
63006	208	1998-04-30	VYDAJ	VYBER	15	32802	SLUZBY	\N	\N
63007	208	1998-05-31	VYDAJ	VYBER	15	28180	SLUZBY	\N	\N
63008	208	1998-06-30	VYDAJ	VYBER	15	20964	SLUZBY	\N	\N
63009	208	1998-07-31	VYDAJ	VYBER	15	24308	SLUZBY	\N	\N
63010	208	1998-08-31	VYDAJ	VYBER	15	23084	SLUZBY	\N	\N
63011	208	1998-09-30	VYDAJ	VYBER	15	22827	SLUZBY	\N	\N
63012	208	1998-10-31	VYDAJ	VYBER	15	17159	SLUZBY	\N	\N
63013	208	1998-11-30	VYDAJ	VYBER	15	18188	SLUZBY	\N	\N
63014	208	1996-04-26	PRIJEM	VKLAD	1700	17396	\N	\N	\N
63015	208	1996-05-26	VYDAJ	VYBER	1700	30704	\N	\N	\N
63016	208	1996-06-25	VYDAJ	VYBER	17800	35481	\N	\N	\N
63017	208	1996-07-25	VYDAJ	VYBER	14500	36109	\N	\N	\N
63018	208	1996-08-24	VYDAJ	VYBER	12500	31853	\N	\N	\N
63019	208	1996-09-23	VYDAJ	VYBER	3300	31747	\N	\N	\N
63020	208	1996-10-23	VYDAJ	VYBER	7900	31539	\N	\N	\N
63021	208	1996-11-22	VYDAJ	VYBER	6200	30831	\N	\N	\N
63022	208	1996-12-22	VYDAJ	VYBER	3400	36315	\N	\N	\N
63023	208	1997-01-21	PRIJEM	VKLAD	3100	36111	\N	\N	\N
63024	208	1997-02-20	PRIJEM	VKLAD	100	35600	\N	\N	\N
63025	208	1997-03-22	VYDAJ	VYBER	5000	38290	\N	\N	\N
63026	208	1997-04-21	VYDAJ	VYBER	5300	40699	\N	\N	\N
63027	208	1997-05-21	VYDAJ	VYBER	5700	39018	\N	\N	\N
63028	208	1997-06-20	VYDAJ	VYBER	11900	42330	\N	\N	\N
63029	208	1997-07-20	VYDAJ	VYBER	7900	32459	\N	\N	\N
63030	208	1997-08-19	VYDAJ	VYBER	6400	31352	\N	\N	\N
63031	208	1997-09-18	VYDAJ	VYBER	8400	30634	\N	\N	\N
63032	208	1997-10-18	VYDAJ	VYBER	10800	27517	\N	\N	\N
63033	208	1997-11-17	VYDAJ	VYBER	8900	26294	\N	\N	\N
63034	208	1997-12-17	VYDAJ	VYBER	11700	27958	\N	\N	\N
63035	208	1998-01-16	VYDAJ	VYBER	4700	27932	\N	\N	\N
63036	208	1998-02-15	PRIJEM	VKLAD	1500	24791	\N	\N	\N
63037	208	1998-03-17	VYDAJ	VYBER	2600	26426	\N	\N	\N
63038	208	1998-04-16	VYDAJ	VYBER	1400	32678	\N	\N	\N
63039	208	1998-05-16	VYDAJ	VYBER	9400	30952	\N	\N	\N
63040	208	1998-06-15	VYDAJ	VYBER	6200	37028	\N	\N	\N
63041	208	1998-07-15	VYDAJ	VYBER	3200	25314	\N	\N	\N
63042	208	1998-08-14	VYDAJ	VYBER	8900	27106	\N	\N	\N
63043	208	1998-09-13	VYDAJ	VYBER	7900	28649	\N	\N	\N
63044	208	1998-10-13	VYDAJ	VYBER	7500	27592	\N	\N	\N
63045	208	1998-11-12	VYDAJ	VYBER	6600	25010	\N	\N	\N
63046	208	1998-12-12	VYDAJ	VYBER	12600	26537	\N	\N	\N
63080	209	1996-11-24	PRIJEM	VKLAD	900	900	\N	\N	\N
63092	209	1996-12-12	PRIJEM	PREVOD Z UCTU	3481	4381	\N	MN	14231932
63093	209	1997-01-12	PRIJEM	PREVOD Z UCTU	3481	20080	\N	MN	14231932
63094	209	1997-02-12	PRIJEM	PREVOD Z UCTU	3481	27339	\N	MN	14231932
63095	209	1997-03-12	PRIJEM	PREVOD Z UCTU	3481	26918	\N	MN	14231932
63096	209	1997-04-12	PRIJEM	PREVOD Z UCTU	3481	30000	\N	MN	14231932
63097	209	1997-05-12	PRIJEM	PREVOD Z UCTU	3481	24197	\N	MN	14231932
63098	209	1997-06-12	PRIJEM	PREVOD Z UCTU	3481	22887	\N	MN	14231932
63099	209	1997-07-12	PRIJEM	PREVOD Z UCTU	3481	22122	\N	MN	14231932
63100	209	1997-08-12	PRIJEM	PREVOD Z UCTU	3481	24910	\N	MN	14231932
63101	209	1997-09-12	PRIJEM	PREVOD Z UCTU	3481	22350	\N	MN	14231932
63102	209	1997-10-12	PRIJEM	PREVOD Z UCTU	3481	20881	\N	MN	14231932
63103	209	1997-11-12	PRIJEM	PREVOD Z UCTU	3481	22802	\N	MN	14231932
63104	209	1997-12-12	PRIJEM	PREVOD Z UCTU	3481	22136	\N	MN	14231932
63105	209	1998-01-12	PRIJEM	PREVOD Z UCTU	3481	17952	\N	MN	14231932
63106	209	1998-02-12	PRIJEM	PREVOD Z UCTU	3481	14524	\N	MN	14231932
63107	209	1998-03-12	PRIJEM	PREVOD Z UCTU	3481	16529	\N	MN	14231932
63108	209	1998-04-12	PRIJEM	PREVOD Z UCTU	3481	20445	\N	MN	14231932
63109	209	1998-05-12	PRIJEM	PREVOD Z UCTU	3481	23576	\N	MN	14231932
63110	209	1998-06-12	PRIJEM	PREVOD Z UCTU	3481	25217	\N	MN	14231932
63111	209	1998-07-12	PRIJEM	PREVOD Z UCTU	3481	25161	\N	MN	14231932
63112	209	1998-08-12	PRIJEM	PREVOD Z UCTU	3481	27661	\N	MN	14231932
63113	209	1998-09-12	PRIJEM	PREVOD Z UCTU	3481	33428	\N	MN	14231932
63114	209	1998-10-12	PRIJEM	PREVOD Z UCTU	3481	36012	\N	MN	14231932
63115	209	1998-11-12	PRIJEM	PREVOD Z UCTU	3481	39379	\N	MN	14231932
63116	209	1998-12-12	PRIJEM	PREVOD Z UCTU	3481	45817	\N	MN	14231932
63132	209	1997-04-13	VYDAJ	PREVOD NA UCET	483	29517	SIPO	QR	17469549
63133	209	1997-05-13	VYDAJ	PREVOD NA UCET	483	23714	SIPO	QR	17469549
63134	209	1997-06-13	VYDAJ	PREVOD NA UCET	483	22404	SIPO	QR	17469549
63135	209	1997-07-13	VYDAJ	PREVOD NA UCET	483	21639	SIPO	QR	17469549
63136	209	1997-08-13	VYDAJ	PREVOD NA UCET	483	24427	SIPO	QR	17469549
63137	209	1997-09-13	VYDAJ	PREVOD NA UCET	483	21867	SIPO	QR	17469549
63138	209	1997-10-13	VYDAJ	PREVOD NA UCET	483	20398	SIPO	QR	17469549
63139	209	1997-11-13	VYDAJ	PREVOD NA UCET	483	22319	SIPO	QR	17469549
63140	209	1997-12-13	VYDAJ	PREVOD NA UCET	483	21653	SIPO	QR	17469549
63141	209	1998-01-13	VYDAJ	PREVOD NA UCET	483	17469	SIPO	QR	17469549
63142	209	1998-02-13	VYDAJ	PREVOD NA UCET	483	14041	SIPO	QR	17469549
63143	209	1998-03-13	VYDAJ	PREVOD NA UCET	483	16046	SIPO	QR	17469549
63144	209	1998-04-13	VYDAJ	PREVOD NA UCET	483	19962	SIPO	QR	17469549
63145	209	1998-05-13	VYDAJ	PREVOD NA UCET	483	23093	SIPO	QR	17469549
63146	209	1998-06-13	VYDAJ	PREVOD NA UCET	483	24734	SIPO	QR	17469549
63147	209	1998-07-13	VYDAJ	PREVOD NA UCET	483	24678	SIPO	QR	17469549
63148	209	1998-08-13	VYDAJ	PREVOD NA UCET	483	27178	SIPO	QR	17469549
63149	209	1998-09-13	VYDAJ	PREVOD NA UCET	483	32945	SIPO	QR	17469549
63150	209	1998-10-13	VYDAJ	PREVOD NA UCET	483	35529	SIPO	QR	17469549
63151	209	1998-11-13	VYDAJ	PREVOD NA UCET	483	38896	SIPO	QR	17469549
63152	209	1998-12-13	VYDAJ	PREVOD NA UCET	483	45334	SIPO	QR	17469549
63169	209	1997-05-10	VYDAJ	PREVOD NA UCET	41	20716	 	EF	52778792
63170	209	1997-06-10	VYDAJ	PREVOD NA UCET	41	19406	 	EF	52778792
63171	209	1997-07-10	VYDAJ	PREVOD NA UCET	41	18641	 	EF	52778792
63172	209	1997-08-10	VYDAJ	PREVOD NA UCET	41	21429	 	EF	52778792
63173	209	1997-09-10	VYDAJ	PREVOD NA UCET	41	18869	 	EF	52778792
63174	209	1997-10-10	VYDAJ	PREVOD NA UCET	41	17400	 	EF	52778792
63175	209	1997-11-10	VYDAJ	PREVOD NA UCET	41	19321	 	EF	52778792
63176	209	1997-12-10	VYDAJ	PREVOD NA UCET	41	18655	 	EF	52778792
63177	209	1998-01-10	VYDAJ	PREVOD NA UCET	41	14471	 	EF	52778792
63178	209	1998-02-10	VYDAJ	PREVOD NA UCET	41	11043	 	EF	52778792
63179	209	1998-03-10	VYDAJ	PREVOD NA UCET	41	13048	 	EF	52778792
63180	209	1998-04-10	VYDAJ	PREVOD NA UCET	41	16964	 	EF	52778792
63181	209	1998-05-10	VYDAJ	PREVOD NA UCET	41	20095	 	EF	52778792
63182	209	1998-06-10	VYDAJ	PREVOD NA UCET	41	21736	 	EF	52778792
63183	209	1998-07-10	VYDAJ	PREVOD NA UCET	41	21680	 	EF	52778792
63184	209	1998-08-10	VYDAJ	PREVOD NA UCET	41	24180	 	EF	52778792
63185	209	1998-09-10	VYDAJ	PREVOD NA UCET	41	29947	 	EF	52778792
63186	209	1998-10-10	VYDAJ	PREVOD NA UCET	41	32531	 	EF	52778792
63187	209	1998-11-10	VYDAJ	PREVOD NA UCET	41	35898	 	EF	52778792
63188	209	1998-12-10	VYDAJ	PREVOD NA UCET	41	42336	 	EF	52778792
63205	209	1997-05-08	VYDAJ	PREVOD NA UCET	1796	20757	POJISTNE	KL	1601225
63206	209	1997-06-08	VYDAJ	PREVOD NA UCET	1796	19447	POJISTNE	KL	1601225
63207	209	1997-07-08	VYDAJ	PREVOD NA UCET	1796	18682	POJISTNE	KL	1601225
63208	209	1997-08-08	VYDAJ	PREVOD NA UCET	1796	21470	POJISTNE	KL	1601225
63209	209	1997-09-08	VYDAJ	PREVOD NA UCET	1796	18910	POJISTNE	KL	1601225
63210	209	1997-10-08	VYDAJ	PREVOD NA UCET	1796	17441	POJISTNE	KL	1601225
63211	209	1997-11-08	VYDAJ	PREVOD NA UCET	1796	19362	POJISTNE	KL	1601225
63212	209	1997-12-08	VYDAJ	PREVOD NA UCET	1796	18696	POJISTNE	KL	1601225
63213	209	1998-01-08	VYDAJ	PREVOD NA UCET	1796	14512	POJISTNE	KL	1601225
63214	209	1998-02-08	VYDAJ	PREVOD NA UCET	1796	11084	POJISTNE	KL	1601225
63215	209	1998-03-08	VYDAJ	PREVOD NA UCET	1796	13089	POJISTNE	KL	1601225
63216	209	1998-04-08	VYDAJ	PREVOD NA UCET	1796	17005	POJISTNE	KL	1601225
63217	209	1998-05-08	VYDAJ	PREVOD NA UCET	1796	20136	POJISTNE	KL	1601225
63218	209	1998-06-08	VYDAJ	PREVOD NA UCET	1796	21777	POJISTNE	KL	1601225
63219	209	1998-07-08	VYDAJ	PREVOD NA UCET	1796	21721	POJISTNE	KL	1601225
63220	209	1998-08-08	VYDAJ	PREVOD NA UCET	1796	24221	POJISTNE	KL	1601225
63221	209	1998-09-08	VYDAJ	PREVOD NA UCET	1796	29988	POJISTNE	KL	1601225
63222	209	1998-10-08	VYDAJ	PREVOD NA UCET	1796	32572	POJISTNE	KL	1601225
63223	209	1998-11-08	VYDAJ	PREVOD NA UCET	1796	35939	POJISTNE	KL	1601225
63224	209	1998-12-08	VYDAJ	PREVOD NA UCET	1796	42377	POJISTNE	KL	1601225
63226	209	1997-12-25	VYDAJ	VYBER	660	16693	\N	\N	\N
63227	209	1998-12-18	VYDAJ	VYBER	240	45494	\N	\N	\N
63240	209	1998-01-03	VYDAJ	VYBER	450	16308	\N	\N	\N
63241	209	1998-01-20	VYDAJ	VYBER	360	15889	\N	\N	\N
63242	209	1998-01-28	VYDAJ	VYBER	570	14449	\N	\N	\N
63243	209	1998-01-30	VYDAJ	VYBER	180	14269	\N	\N	\N
63244	209	1998-01-23	VYDAJ	VYBER	870	15019	\N	\N	\N
63245	209	1998-01-17	VYDAJ	VYBER	720	16749	\N	\N	\N
63252	209	1997-04-20	VYDAJ	VYBER	660	28137	\N	\N	\N
63254	209	1997-10-13	VYDAJ	VYBER	210	20188	\N	\N	\N
63255	209	1997-04-19	VYDAJ	VYBER	720	28797	\N	\N	\N
63256	209	1997-05-21	VYDAJ	VYBER	450	23264	\N	\N	\N
63257	209	1997-07-22	VYDAJ	VYBER	1050	23189	\N	\N	\N
63258	209	1997-05-04	VYDAJ	VYBER	1080	22553	\N	\N	\N
63259	209	1998-12-04	VYDAJ	VYBER	180	44173	\N	\N	\N
63260	209	1998-10-15	VYDAJ	VYBER	330	37599	\N	\N	\N
63261	209	1998-02-01	VYDAJ	VYBER	1440	12880	\N	\N	\N
63262	209	1998-07-22	VYDAJ	VYBER	750	25928	\N	\N	\N
63279	209	1997-04-30	VYDAJ	VYBER	15	23633	SLUZBY	\N	\N
63280	209	1997-05-31	VYDAJ	VYBER	15	21243	SLUZBY	\N	\N
63281	209	1997-06-30	VYDAJ	VYBER	15	20478	SLUZBY	\N	\N
63282	209	1997-07-31	VYDAJ	VYBER	15	23266	SLUZBY	\N	\N
63283	209	1997-08-31	VYDAJ	VYBER	15	20706	SLUZBY	\N	\N
63284	209	1997-09-30	VYDAJ	VYBER	15	19237	SLUZBY	\N	\N
63285	209	1997-10-31	VYDAJ	VYBER	15	21158	SLUZBY	\N	\N
63286	209	1997-11-30	VYDAJ	VYBER	15	20492	SLUZBY	\N	\N
63287	209	1997-12-31	VYDAJ	VYBER	15	16758	SLUZBY	\N	\N
63288	209	1998-01-31	VYDAJ	VYBER	15	14320	SLUZBY	\N	\N
63289	209	1998-02-28	VYDAJ	VYBER	15	14885	SLUZBY	\N	\N
63290	209	1998-03-31	VYDAJ	VYBER	15	18801	SLUZBY	\N	\N
63291	209	1998-04-30	VYDAJ	VYBER	15	21932	SLUZBY	\N	\N
63292	209	1998-05-31	VYDAJ	VYBER	15	23573	SLUZBY	\N	\N
63293	209	1998-06-30	VYDAJ	VYBER	15	23517	SLUZBY	\N	\N
63294	209	1998-07-31	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
63295	209	1998-08-31	VYDAJ	VYBER	15	31784	SLUZBY	\N	\N
63296	209	1998-09-30	VYDAJ	VYBER	15	34368	SLUZBY	\N	\N
63297	209	1998-10-31	VYDAJ	VYBER	15	37735	SLUZBY	\N	\N
63298	209	1998-11-30	VYDAJ	VYBER	15	44353	SLUZBY	\N	\N
63299	209	1996-12-24	PRIJEM	VKLAD	12200	16581	\N	\N	\N
63300	209	1997-01-23	PRIJEM	VKLAD	3700	23780	\N	\N	\N
63301	209	1997-02-22	VYDAJ	VYBER	4000	23339	\N	\N	\N
63302	209	1997-03-24	VYDAJ	VYBER	500	26418	\N	\N	\N
63303	209	1997-04-23	VYDAJ	VYBER	4600	23537	\N	\N	\N
63304	209	1997-05-23	VYDAJ	VYBER	2100	21164	\N	\N	\N
63305	209	1997-06-22	VYDAJ	VYBER	2000	20404	\N	\N	\N
63306	209	1997-07-22	PRIJEM	VKLAD	2600	24239	\N	\N	\N
63307	209	1997-08-21	VYDAJ	VYBER	3800	20627	\N	\N	\N
63308	209	1997-09-20	VYDAJ	VYBER	2700	19167	\N	\N	\N
63309	209	1997-10-20	PRIJEM	VKLAD	900	21088	\N	\N	\N
63310	209	1997-11-19	VYDAJ	VYBER	1900	20419	\N	\N	\N
63311	209	1997-12-19	VYDAJ	VYBER	4300	17353	\N	\N	\N
63312	209	1998-01-18	VYDAJ	VYBER	500	16249	\N	\N	\N
63313	209	1998-02-17	PRIJEM	VKLAD	800	14841	\N	\N	\N
63314	209	1998-03-19	PRIJEM	VKLAD	2700	18746	\N	\N	\N
63315	209	1998-04-18	PRIJEM	VKLAD	1900	21862	\N	\N	\N
63316	209	1998-05-18	PRIJEM	VKLAD	400	23493	\N	\N	\N
63317	209	1998-06-17	VYDAJ	VYBER	1300	23434	\N	\N	\N
63318	209	1998-07-17	PRIJEM	VKLAD	2000	26678	\N	\N	\N
63319	209	1998-08-16	PRIJEM	VKLAD	4500	31678	\N	\N	\N
63320	209	1998-09-15	PRIJEM	VKLAD	1300	34245	\N	\N	\N
63321	209	1998-10-15	PRIJEM	VKLAD	2400	37929	\N	\N	\N
63322	209	1998-11-14	PRIJEM	VKLAD	5300	44196	\N	\N	\N
63323	209	1998-12-14	PRIJEM	VKLAD	400	45734	\N	\N	\N
63349	210	1996-03-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
63353	210	1996-04-13	PRIJEM	VKLAD	16733	17733	\N	\N	\N
63354	210	1996-05-13	PRIJEM	VKLAD	16733	39814	\N	\N	\N
63355	210	1996-06-13	PRIJEM	VKLAD	25100	56027	\N	\N	\N
63356	210	1996-07-13	PRIJEM	VKLAD	16733	54203	\N	\N	\N
63357	210	1996-08-13	PRIJEM	VKLAD	16733	55494	\N	\N	\N
63358	210	1996-09-13	PRIJEM	VKLAD	16733	49142	\N	\N	\N
63359	210	1996-10-13	PRIJEM	VKLAD	16733	44914	\N	\N	\N
63360	210	1996-11-13	PRIJEM	VKLAD	16733	44045	\N	\N	\N
63361	210	1996-12-13	PRIJEM	VKLAD	25100	51884	\N	\N	\N
63362	210	1997-01-13	PRIJEM	VKLAD	16733	46430	\N	\N	\N
63363	210	1997-02-13	PRIJEM	VKLAD	16733	32287	\N	\N	\N
63364	210	1997-03-13	PRIJEM	VKLAD	16733	37787	\N	\N	\N
63365	210	1997-04-13	PRIJEM	VKLAD	16733	39319	\N	\N	\N
63366	210	1997-05-13	PRIJEM	VKLAD	16733	40339	\N	\N	\N
63367	210	1997-06-13	PRIJEM	VKLAD	25100	44551	\N	\N	\N
63368	210	1997-07-13	PRIJEM	VKLAD	16733	28167	\N	\N	\N
63369	210	1997-08-13	PRIJEM	VKLAD	16733	25712	\N	\N	\N
63370	210	1997-09-13	PRIJEM	VKLAD	16733	22777	\N	\N	\N
63371	210	1997-10-13	PRIJEM	VKLAD	16733	29147	\N	\N	\N
63372	210	1997-11-13	PRIJEM	VKLAD	16733	26875	\N	\N	\N
63373	210	1997-12-13	PRIJEM	VKLAD	25100	41435	\N	\N	\N
63374	210	1998-01-13	PRIJEM	VKLAD	16733	39296	\N	\N	\N
63375	210	1998-02-13	PRIJEM	VKLAD	16733	33377	\N	\N	\N
63376	210	1998-03-13	PRIJEM	VKLAD	16733	32490	\N	\N	\N
63377	210	1998-04-13	PRIJEM	VKLAD	16733	29306	\N	\N	\N
63378	210	1998-05-13	PRIJEM	VKLAD	16733	33807	\N	\N	\N
63379	210	1998-06-13	PRIJEM	VKLAD	25100	39648	\N	\N	\N
63380	210	1998-07-13	PRIJEM	VKLAD	16733	34772	\N	\N	\N
63381	210	1998-08-13	PRIJEM	VKLAD	16733	39103	\N	\N	\N
63382	210	1998-09-13	PRIJEM	VKLAD	16733	32450	\N	\N	\N
63383	210	1998-10-13	PRIJEM	VKLAD	16733	32268	\N	\N	\N
63384	210	1998-11-13	PRIJEM	VKLAD	16733	29082	\N	\N	\N
63385	210	1998-12-13	PRIJEM	VKLAD	25100	34954	\N	\N	\N
63394	210	1996-09-11	VYDAJ	PREVOD NA UCET	7534	32409	SIPO	IJ	24753552
63395	210	1996-10-11	VYDAJ	PREVOD NA UCET	7534	28181	SIPO	IJ	24753552
63396	210	1996-11-11	VYDAJ	PREVOD NA UCET	7534	27312	SIPO	IJ	24753552
63397	210	1996-12-11	VYDAJ	PREVOD NA UCET	7534	36664	SIPO	IJ	24753552
63398	210	1997-01-11	VYDAJ	PREVOD NA UCET	7534	29697	SIPO	IJ	24753552
63399	210	1997-02-11	VYDAJ	PREVOD NA UCET	7534	15554	SIPO	IJ	24753552
63400	210	1997-03-11	VYDAJ	PREVOD NA UCET	7534	24854	SIPO	IJ	24753552
63401	210	1997-04-11	VYDAJ	PREVOD NA UCET	7534	30386	SIPO	IJ	24753552
63402	210	1997-05-11	VYDAJ	PREVOD NA UCET	7534	30006	SIPO	IJ	24753552
63403	210	1997-06-11	VYDAJ	PREVOD NA UCET	7534	19451	SIPO	IJ	24753552
63404	210	1997-07-11	VYDAJ	PREVOD NA UCET	7534	11434	SIPO	IJ	24753552
63405	210	1997-08-11	VYDAJ	PREVOD NA UCET	7534	8979	SIPO	IJ	24753552
63406	210	1997-09-11	VYDAJ	PREVOD NA UCET	7534	6044	SIPO	IJ	24753552
63407	210	1997-10-11	VYDAJ	PREVOD NA UCET	7534	12414	SIPO	IJ	24753552
63408	210	1997-11-11	VYDAJ	PREVOD NA UCET	7534	10142	SIPO	IJ	24753552
63409	210	1997-12-11	VYDAJ	PREVOD NA UCET	7534	16335	SIPO	IJ	24753552
63410	210	1998-01-11	VYDAJ	PREVOD NA UCET	7534	22563	SIPO	IJ	24753552
63411	210	1998-02-11	VYDAJ	PREVOD NA UCET	7534	16644	SIPO	IJ	24753552
63412	210	1998-03-11	VYDAJ	PREVOD NA UCET	7534	15757	SIPO	IJ	24753552
63413	210	1998-04-11	VYDAJ	PREVOD NA UCET	7534	12573	SIPO	IJ	24753552
63414	210	1998-05-11	VYDAJ	PREVOD NA UCET	7534	17074	SIPO	IJ	24753552
63415	210	1998-06-11	VYDAJ	PREVOD NA UCET	7534	14548	SIPO	IJ	24753552
63416	210	1998-07-11	VYDAJ	PREVOD NA UCET	7534	18039	SIPO	IJ	24753552
63417	210	1998-08-11	VYDAJ	PREVOD NA UCET	7534	22370	SIPO	IJ	24753552
63418	210	1998-09-11	VYDAJ	PREVOD NA UCET	7534	17517	SIPO	IJ	24753552
63419	210	1998-10-11	VYDAJ	PREVOD NA UCET	7534	15535	SIPO	IJ	24753552
63420	210	1998-11-11	VYDAJ	PREVOD NA UCET	7534	12349	SIPO	IJ	24753552
63421	210	1998-12-11	VYDAJ	PREVOD NA UCET	7534	9854	SIPO	IJ	24753552
63423	210	1997-06-26	VYDAJ	VYBER	25120	19431	\N	\N	\N
63424	210	1998-06-02	VYDAJ	VYBER	7040	26882	\N	\N	\N
63426	210	1997-01-13	VYDAJ	VYBER	11040	35390	\N	\N	\N
63427	210	1998-01-22	VYDAJ	VYBER	2080	32416	\N	\N	\N
63428	210	1996-12-12	VYDAJ	VYBER	2880	26784	\N	\N	\N
63429	210	1997-12-16	VYDAJ	VYBER	4320	37115	\N	\N	\N
63430	210	1998-12-21	VYDAJ	VYBER	3680	31274	\N	\N	\N
63437	210	1997-01-23	VYDAJ	VYBER	2040	33350	\N	\N	\N
63438	210	1997-01-24	VYDAJ	VYBER	840	32510	\N	\N	\N
63439	210	1997-01-27	VYDAJ	VYBER	3120	23030	\N	\N	\N
63440	210	1997-01-25	VYDAJ	VYBER	3240	29270	\N	\N	\N
63441	210	1997-01-02	VYDAJ	VYBER	2640	49431	\N	\N	\N
63442	210	1997-01-26	VYDAJ	VYBER	3120	26150	\N	\N	\N
63443	210	1998-01-27	VYDAJ	VYBER	1200	29656	\N	\N	\N
63444	210	1998-01-25	VYDAJ	VYBER	1560	30856	\N	\N	\N
63445	210	1998-01-01	VYDAJ	VYBER	1920	35317	\N	\N	\N
63446	210	1998-01-19	VYDAJ	VYBER	2640	34496	\N	\N	\N
63447	210	1998-01-17	VYDAJ	VYBER	2160	37136	\N	\N	\N
63448	210	1998-01-05	VYDAJ	VYBER	720	34597	\N	\N	\N
63451	210	1997-09-30	VYDAJ	VYBER	3600	19263	\N	\N	\N
63452	210	1997-08-10	VYDAJ	VYBER	5040	16513	\N	\N	\N
63453	210	1997-05-31	VYDAJ	VYBER	3000	37500	\N	\N	\N
63454	210	1997-08-23	VYDAJ	VYBER	3720	21992	\N	\N	\N
63455	210	1997-04-16	VYDAJ	VYBER	1920	37399	\N	\N	\N
63456	210	1997-11-10	VYDAJ	VYBER	4560	17676	\N	\N	\N
63457	210	1997-09-09	VYDAJ	VYBER	5400	13578	\N	\N	\N
63458	210	1998-04-09	VYDAJ	VYBER	960	20107	\N	\N	\N
63459	210	1998-03-26	VYDAJ	VYBER	840	31650	\N	\N	\N
63460	210	1998-09-12	VYDAJ	VYBER	1800	15717	\N	\N	\N
63461	210	1998-08-15	VYDAJ	VYBER	4080	35023	\N	\N	\N
63463	210	1998-12-29	VYDAJ	VYBER	1200	30074	\N	\N	\N
63472	210	1996-08-31	VYDAJ	VYBER	15	39943	SLUZBY	\N	\N
63473	210	1996-09-30	VYDAJ	VYBER	15	35715	SLUZBY	\N	\N
63474	210	1996-10-31	VYDAJ	VYBER	15	34846	SLUZBY	\N	\N
63475	210	1996-11-30	VYDAJ	VYBER	15	44198	SLUZBY	\N	\N
63476	210	1996-12-31	VYDAJ	VYBER	15	52071	SLUZBY	\N	\N
63477	210	1997-01-31	VYDAJ	VYBER	15	23188	SLUZBY	\N	\N
63478	210	1997-02-28	VYDAJ	VYBER	15	32388	SLUZBY	\N	\N
63479	210	1997-03-31	VYDAJ	VYBER	15	37920	SLUZBY	\N	\N
63480	210	1997-04-30	VYDAJ	VYBER	15	37540	SLUZBY	\N	\N
63481	210	1997-05-31	VYDAJ	VYBER	15	37485	SLUZBY	\N	\N
63482	210	1997-06-30	VYDAJ	VYBER	15	19568	SLUZBY	\N	\N
63483	210	1997-07-31	VYDAJ	VYBER	15	28253	SLUZBY	\N	\N
63484	210	1997-08-31	VYDAJ	VYBER	15	22078	SLUZBY	\N	\N
63485	210	1997-09-30	VYDAJ	VYBER	15	19248	SLUZBY	\N	\N
63486	210	1997-10-31	VYDAJ	VYBER	15	29236	SLUZBY	\N	\N
63487	210	1997-11-30	VYDAJ	VYBER	15	26969	SLUZBY	\N	\N
63488	210	1997-12-31	VYDAJ	VYBER	15	37237	SLUZBY	\N	\N
63489	210	1998-01-31	VYDAJ	VYBER	15	29778	SLUZBY	\N	\N
63490	210	1998-02-28	VYDAJ	VYBER	15	33491	SLUZBY	\N	\N
63491	210	1998-03-31	VYDAJ	VYBER	15	31767	SLUZBY	\N	\N
63492	210	1998-04-30	VYDAJ	VYBER	15	29408	SLUZBY	\N	\N
63493	210	1998-05-31	VYDAJ	VYBER	15	33922	SLUZBY	\N	\N
63494	210	1998-06-30	VYDAJ	VYBER	15	39773	SLUZBY	\N	\N
63495	210	1998-07-31	VYDAJ	VYBER	15	34904	SLUZBY	\N	\N
63496	210	1998-08-31	VYDAJ	VYBER	15	35151	SLUZBY	\N	\N
63497	210	1998-09-30	VYDAJ	VYBER	15	32569	SLUZBY	\N	\N
63498	210	1998-10-31	VYDAJ	VYBER	15	32383	SLUZBY	\N	\N
63499	210	1998-11-30	VYDAJ	VYBER	15	29188	SLUZBY	\N	\N
63500	210	1996-04-16	PRIJEM	VKLAD	5300	23033	\N	\N	\N
63501	210	1996-05-16	VYDAJ	VYBER	9000	30814	\N	\N	\N
63502	210	1996-06-15	VYDAJ	VYBER	18700	37327	\N	\N	\N
63503	210	1996-07-15	VYDAJ	VYBER	15600	38603	\N	\N	\N
63504	210	1996-08-14	VYDAJ	VYBER	15700	39794	\N	\N	\N
63505	210	1996-09-13	VYDAJ	VYBER	13600	35542	\N	\N	\N
63506	210	1996-10-13	VYDAJ	VYBER	10200	34714	\N	\N	\N
63507	210	1996-12-12	VYDAJ	VYBER	7000	29664	\N	\N	\N
63508	210	1997-01-11	VYDAJ	VYBER	12200	37231	\N	\N	\N
63509	210	1997-02-10	VYDAJ	VYBER	100	23088	\N	\N	\N
63510	210	1997-03-12	VYDAJ	VYBER	3800	21054	\N	\N	\N
63511	210	1997-04-11	VYDAJ	VYBER	7800	22586	\N	\N	\N
63512	210	1997-05-11	VYDAJ	VYBER	6400	23606	\N	\N	\N
63513	210	1997-06-10	VYDAJ	VYBER	10500	26985	\N	\N	\N
63514	210	1997-07-10	VYDAJ	VYBER	600	18968	\N	\N	\N
63515	210	1997-08-09	VYDAJ	VYBER	6700	21553	\N	\N	\N
63516	210	1997-09-08	VYDAJ	VYBER	3100	18978	\N	\N	\N
63517	210	1997-10-08	PRIJEM	VKLAD	700	19948	\N	\N	\N
63518	210	1997-11-07	VYDAJ	VYBER	7000	22236	\N	\N	\N
63519	210	1997-12-07	VYDAJ	VYBER	3100	23869	\N	\N	\N
63520	210	1998-01-06	VYDAJ	VYBER	4500	30097	\N	\N	\N
63521	210	1998-02-05	VYDAJ	VYBER	5600	24178	\N	\N	\N
63522	210	1998-03-07	VYDAJ	VYBER	10200	23291	\N	\N	\N
63523	210	1998-04-06	VYDAJ	VYBER	10700	21067	\N	\N	\N
63524	210	1998-05-06	VYDAJ	VYBER	4800	24608	\N	\N	\N
63525	210	1998-06-05	VYDAJ	VYBER	4800	22082	\N	\N	\N
63526	210	1998-07-05	VYDAJ	VYBER	14200	25573	\N	\N	\N
63527	210	1998-08-04	VYDAJ	VYBER	5000	29904	\N	\N	\N
63528	210	1998-09-03	VYDAJ	VYBER	10100	25051	\N	\N	\N
63529	210	1998-10-03	VYDAJ	VYBER	9500	23069	\N	\N	\N
63530	210	1998-11-02	VYDAJ	VYBER	12500	19883	\N	\N	\N
63531	210	1998-12-02	VYDAJ	VYBER	11800	17388	\N	\N	\N
63565	211	1997-07-19	PRIJEM	VKLAD	800	800	\N	\N	\N
63566	211	1997-09-23	PRIJEM	VKLAD	40912	62412	\N	\N	\N
63569	211	1997-10-02	PRIJEM	VKLAD	38689	115086	\N	\N	\N
63573	211	1997-12-02	PRIJEM	VKLAD	12851	49793	\N	\N	\N
63577	211	1997-10-01	PRIJEM	VKLAD	13916	76397	\N	\N	\N
63578	211	1998-09-27	PRIJEM	VKLAD	19568	93997	\N	\N	\N
63579	211	1998-07-03	PRIJEM	VKLAD	28652	92915	\N	\N	\N
63580	211	1998-11-14	PRIJEM	VKLAD	16599	76953	\N	\N	\N
63581	211	1998-03-22	PRIJEM	VKLAD	31305	104732	\N	\N	\N
63582	211	1998-03-20	PRIJEM	VKLAD	34869	103418	\N	\N	\N
63583	211	1998-03-06	PRIJEM	VKLAD	10308	69002	\N	\N	\N
63584	211	1998-07-28	PRIJEM	VKLAD	22053	80019	\N	\N	\N
63585	211	1998-03-15	PRIJEM	VKLAD	40361	109363	\N	\N	\N
63586	211	1998-01-23	PRIJEM	VKLAD	26066	84465	\N	\N	\N
63587	211	1998-12-25	PRIJEM	VKLAD	18315	78159	\N	\N	\N
63588	211	1998-07-05	PRIJEM	VKLAD	24201	117116	\N	\N	\N
63589	211	1998-08-03	PRIJEM	VKLAD	15443	95746	\N	\N	\N
63590	211	1998-02-02	PRIJEM	VKLAD	33524	94194	\N	\N	\N
63591	211	1998-03-18	PRIJEM	VKLAD	10948	82349	\N	\N	\N
63592	211	1998-03-21	PRIJEM	VKLAD	7509	110927	\N	\N	\N
63593	211	1998-03-15	PRIJEM	VKLAD	41738	151101	\N	\N	\N
63594	211	1998-09-08	PRIJEM	VKLAD	13934	85476	\N	\N	\N
63595	211	1998-05-02	PRIJEM	VKLAD	48433	150171	\N	\N	\N
63596	211	1998-01-23	PRIJEM	VKLAD	19019	58399	\N	\N	\N
63597	211	1998-04-25	PRIJEM	VKLAD	47637	118097	\N	\N	\N
63598	211	1998-04-27	PRIJEM	VKLAD	42816	101313	\N	\N	\N
63599	211	1998-07-19	PRIJEM	VKLAD	45450	112266	\N	\N	\N
63600	211	1998-09-25	PRIJEM	VKLAD	10853	74429	\N	\N	\N
63631	211	1998-02-28	VYBER	VYBER	3272	63187	\N	\N	\N
63632	211	1998-03-02	VYBER	VYBER	4478	58694	\N	\N	\N
63636	211	1998-01-23	VYDAJ	VYBER	24000	60465	\N	\N	\N
63638	211	1998-12-03	VYDAJ	VYBER	6600	66444	\N	\N	\N
63644	211	1998-11-24	VYDAJ	VYBER	4200	72753	\N	\N	\N
63646	211	1998-03-18	VYDAJ	VYBER	13800	68549	\N	\N	\N
63647	211	1998-12-28	VYDAJ	VYBER	9900	68259	\N	\N	\N
63661	211	1998-01-31	VYDAJ	VYBER	15	60670	SLUZBY	\N	\N
63662	211	1998-02-28	VYDAJ	VYBER	15	63172	SLUZBY	\N	\N
63663	211	1998-03-31	VYDAJ	VYBER	15	105060	SLUZBY	\N	\N
63664	211	1998-04-30	VYDAJ	VYBER	15	101738	SLUZBY	\N	\N
63665	211	1998-05-31	VYDAJ	VYBER	15	85126	SLUZBY	\N	\N
63666	211	1998-06-30	VYDAJ	VYBER	15	64263	SLUZBY	\N	\N
63667	211	1998-07-31	VYDAJ	VYBER	15	80303	SLUZBY	\N	\N
63668	211	1998-08-31	VYDAJ	VYBER	15	71542	SLUZBY	\N	\N
63669	211	1998-09-30	VYDAJ	VYBER	15	94280	SLUZBY	\N	\N
63670	211	1998-10-31	VYDAJ	VYBER	15	70754	SLUZBY	\N	\N
63671	211	1998-11-30	VYDAJ	VYBER	15	73044	SLUZBY	\N	\N
63672	211	1997-08-18	PRIJEM	VKLAD	12300	13100	\N	\N	\N
63673	211	1997-09-17	PRIJEM	VKLAD	8400	21500	\N	\N	\N
63674	211	1997-10-02	VYDAJ	VYBER	44100	70986	\N	\N	\N
63675	211	1997-10-17	VYDAJ	VYBER	21800	49186	\N	\N	\N
63676	211	1997-11-16	VYDAJ	VYBER	12700	36737	\N	\N	\N
63677	211	1997-12-16	VYDAJ	VYBER	8900	40893	\N	\N	\N
63678	211	1998-01-15	VYDAJ	VYBER	1700	39380	\N	\N	\N
63679	211	1998-02-14	VYDAJ	VYBER	28000	66194	\N	\N	\N
63680	211	1998-03-15	VYDAJ	VYBER	44500	106601	\N	\N	\N
63681	211	1998-03-16	VYDAJ	VYBER	35200	71401	\N	\N	\N
63682	211	1998-03-21	VYDAJ	VYBER	37500	73427	\N	\N	\N
63683	211	1998-04-15	VYDAJ	VYBER	34600	70460	\N	\N	\N
63684	211	1998-04-25	VYDAJ	VYBER	59600	58497	\N	\N	\N
63685	211	1998-05-02	VYDAJ	VYBER	29200	120971	\N	\N	\N
63686	211	1998-05-15	VYDAJ	VYBER	36300	84671	\N	\N	\N
63687	211	1998-06-14	VYDAJ	VYBER	21200	63926	\N	\N	\N
63688	211	1998-07-05	VYDAJ	VYBER	29500	87616	\N	\N	\N
63689	211	1998-07-14	VYDAJ	VYBER	20800	66816	\N	\N	\N
63690	211	1998-07-19	VYDAJ	VYBER	54300	57966	\N	\N	\N
63691	211	1998-08-13	VYDAJ	VYBER	24500	71246	\N	\N	\N
63692	211	1998-09-12	VYDAJ	VYBER	21900	63576	\N	\N	\N
63693	211	1998-10-12	VYDAJ	VYBER	23900	70380	\N	\N	\N
63694	211	1998-11-11	VYDAJ	VYBER	10400	60354	\N	\N	\N
63695	211	1998-12-11	VYDAJ	VYBER	6600	59844	\N	\N	\N
63712	212	1993-01-20	PRIJEM	VKLAD	200	200	\N	\N	\N
63714	212	1993-02-09	PRIJEM	PREVOD Z UCTU	49590	49790	\N	IJ	58325630
63715	212	1993-03-09	PRIJEM	PREVOD Z UCTU	49590	84632	\N	IJ	58325630
63716	212	1993-04-09	PRIJEM	PREVOD Z UCTU	49590	104697	\N	IJ	58325630
63717	212	1993-05-09	PRIJEM	PREVOD Z UCTU	49590	114431	\N	IJ	58325630
63718	212	1993-06-09	PRIJEM	PREVOD Z UCTU	74385	116422	\N	IJ	58325630
63719	212	1993-07-09	PRIJEM	PREVOD Z UCTU	49590	76391	\N	IJ	58325630
63720	212	1993-08-09	PRIJEM	PREVOD Z UCTU	49590	88643	\N	IJ	58325630
63721	212	1993-09-09	PRIJEM	PREVOD Z UCTU	49590	77071	\N	IJ	58325630
63883	212	1996-03-05	VYBER	VYBER	10404	74867	\N	\N	\N
63722	212	1993-10-09	PRIJEM	PREVOD Z UCTU	49590	85415	\N	IJ	58325630
63723	212	1993-11-09	PRIJEM	PREVOD Z UCTU	49590	59258	\N	IJ	58325630
63724	212	1993-12-09	PRIJEM	PREVOD Z UCTU	74385	87850	\N	IJ	58325630
63725	212	1994-01-09	PRIJEM	PREVOD Z UCTU	49590	82191	\N	IJ	58325630
63726	212	1994-02-09	PRIJEM	PREVOD Z UCTU	49590	88843	\N	IJ	58325630
63727	212	1994-03-09	PRIJEM	PREVOD Z UCTU	49590	95223	\N	IJ	58325630
63728	212	1994-04-09	PRIJEM	PREVOD Z UCTU	49590	85330	\N	IJ	58325630
63729	212	1994-05-09	PRIJEM	PREVOD Z UCTU	49590	82035	\N	IJ	58325630
63730	212	1994-06-09	PRIJEM	PREVOD Z UCTU	74385	117995	\N	IJ	58325630
63731	212	1994-07-09	PRIJEM	PREVOD Z UCTU	49590	81336	\N	IJ	58325630
63732	212	1994-08-09	PRIJEM	PREVOD Z UCTU	49590	79712	\N	IJ	58325630
63733	212	1994-09-09	PRIJEM	PREVOD Z UCTU	49590	83154	\N	IJ	58325630
63734	212	1994-10-09	PRIJEM	PREVOD Z UCTU	49590	63823	\N	IJ	58325630
63735	212	1994-11-09	PRIJEM	PREVOD Z UCTU	49590	69362	\N	IJ	58325630
63736	212	1994-12-09	PRIJEM	PREVOD Z UCTU	74385	97241	\N	IJ	58325630
63737	212	1995-01-09	PRIJEM	PREVOD Z UCTU	49590	66550	\N	IJ	58325630
63738	212	1995-02-09	PRIJEM	PREVOD Z UCTU	49590	60201	\N	IJ	58325630
63739	212	1995-03-09	PRIJEM	PREVOD Z UCTU	49590	81725	\N	IJ	58325630
63740	212	1995-04-09	PRIJEM	PREVOD Z UCTU	49590	93275	\N	IJ	58325630
63741	212	1995-05-09	PRIJEM	PREVOD Z UCTU	49590	95713	\N	IJ	58325630
63742	212	1995-06-09	PRIJEM	PREVOD Z UCTU	74385	123283	\N	IJ	58325630
63743	212	1995-07-09	PRIJEM	PREVOD Z UCTU	49590	93847	\N	IJ	58325630
63744	212	1995-08-09	PRIJEM	PREVOD Z UCTU	49590	83252	\N	IJ	58325630
63745	212	1995-09-09	PRIJEM	PREVOD Z UCTU	49590	103572	\N	IJ	58325630
63746	212	1995-10-09	PRIJEM	PREVOD Z UCTU	49590	115491	\N	IJ	58325630
63747	212	1995-11-09	PRIJEM	PREVOD Z UCTU	49590	70726	\N	IJ	58325630
63748	212	1995-12-09	PRIJEM	PREVOD Z UCTU	74385	114582	\N	IJ	58325630
63749	212	1996-01-09	PRIJEM	PREVOD Z UCTU	49590	76690	\N	IJ	58325630
63750	212	1996-02-09	PRIJEM	PREVOD Z UCTU	49590	84988	\N	IJ	58325630
63751	212	1996-03-09	PRIJEM	PREVOD Z UCTU	49590	95216	\N	IJ	58325630
63752	212	1996-04-09	PRIJEM	PREVOD Z UCTU	49590	76319	\N	IJ	58325630
63753	212	1996-05-09	PRIJEM	PREVOD Z UCTU	49590	71812	\N	IJ	58325630
63754	212	1996-06-09	PRIJEM	PREVOD Z UCTU	74385	89117	\N	IJ	58325630
63755	212	1996-07-09	PRIJEM	PREVOD Z UCTU	49590	87321	\N	IJ	58325630
63756	212	1996-08-09	PRIJEM	PREVOD Z UCTU	49590	89476	\N	IJ	58325630
63757	212	1996-09-09	PRIJEM	PREVOD Z UCTU	49590	83505	\N	IJ	58325630
63758	212	1996-10-09	PRIJEM	PREVOD Z UCTU	49590	94529	\N	IJ	58325630
63759	212	1996-11-09	PRIJEM	PREVOD Z UCTU	49590	89852	\N	IJ	58325630
63760	212	1996-12-09	PRIJEM	PREVOD Z UCTU	74385	105442	\N	IJ	58325630
63761	212	1997-01-09	PRIJEM	PREVOD Z UCTU	49590	105523	\N	IJ	58325630
63762	212	1997-02-09	PRIJEM	PREVOD Z UCTU	49590	84019	\N	IJ	58325630
63763	212	1997-03-09	PRIJEM	PREVOD Z UCTU	49590	103739	\N	IJ	58325630
63764	212	1997-04-09	PRIJEM	PREVOD Z UCTU	49590	111840	\N	IJ	58325630
63765	212	1997-05-09	PRIJEM	PREVOD Z UCTU	49590	112852	\N	IJ	58325630
63766	212	1997-06-09	PRIJEM	PREVOD Z UCTU	74385	137979	\N	IJ	58325630
63767	212	1997-07-09	PRIJEM	PREVOD Z UCTU	49590	85307	\N	IJ	58325630
63768	212	1997-08-09	PRIJEM	PREVOD Z UCTU	49590	73808	\N	IJ	58325630
63769	212	1997-09-09	PRIJEM	PREVOD Z UCTU	49590	87682	\N	IJ	58325630
63770	212	1997-10-09	PRIJEM	PREVOD Z UCTU	49590	92499	\N	IJ	58325630
63771	212	1997-11-09	PRIJEM	PREVOD Z UCTU	49590	97534	\N	IJ	58325630
63772	212	1997-12-09	PRIJEM	PREVOD Z UCTU	74385	104246	\N	IJ	58325630
63773	212	1998-01-09	PRIJEM	PREVOD Z UCTU	49590	86916	\N	IJ	58325630
63774	212	1998-02-09	PRIJEM	PREVOD Z UCTU	49590	90679	\N	IJ	58325630
63775	212	1998-03-09	PRIJEM	PREVOD Z UCTU	49590	94301	\N	IJ	58325630
63776	212	1998-04-09	PRIJEM	PREVOD Z UCTU	49590	85534	\N	IJ	58325630
63777	212	1998-05-09	PRIJEM	PREVOD Z UCTU	49590	88063	\N	IJ	58325630
63778	212	1998-06-09	PRIJEM	PREVOD Z UCTU	74385	112659	\N	IJ	58325630
63779	212	1998-07-09	PRIJEM	PREVOD Z UCTU	49590	77293	\N	IJ	58325630
63780	212	1998-08-09	PRIJEM	PREVOD Z UCTU	49590	71551	\N	IJ	58325630
63781	212	1998-09-09	PRIJEM	PREVOD Z UCTU	49590	79985	\N	IJ	58325630
63782	212	1998-10-09	PRIJEM	PREVOD Z UCTU	49590	83043	\N	IJ	58325630
63783	212	1998-11-09	PRIJEM	PREVOD Z UCTU	49590	77005	\N	IJ	58325630
63784	212	1998-12-09	PRIJEM	PREVOD Z UCTU	74385	100179	\N	IJ	58325630
63791	212	1993-07-05	VYDAJ	PREVOD NA UCET	13841	26801	SIPO	EF	58462047
63792	212	1993-08-05	VYDAJ	PREVOD NA UCET	13841	39053	SIPO	EF	58462047
63793	212	1993-09-05	VYDAJ	PREVOD NA UCET	13841	27481	SIPO	EF	58462047
63794	212	1993-10-05	VYDAJ	PREVOD NA UCET	13841	35825	SIPO	EF	58462047
63795	212	1993-11-05	VYDAJ	PREVOD NA UCET	13841	9668	SIPO	EF	58462047
63796	212	1993-12-05	VYDAJ	PREVOD NA UCET	13841	13465	SIPO	EF	58462047
63797	212	1994-01-05	VYDAJ	PREVOD NA UCET	13841	32601	SIPO	EF	58462047
63884	212	1996-10-29	VYBER	VYBER	18646	75883	\N	\N	\N
63798	212	1994-02-05	VYDAJ	PREVOD NA UCET	13841	39253	SIPO	EF	58462047
63799	212	1994-03-05	VYDAJ	PREVOD NA UCET	13841	45633	SIPO	EF	58462047
63800	212	1994-04-05	VYDAJ	PREVOD NA UCET	13841	39940	SIPO	EF	58462047
63801	212	1994-05-05	VYDAJ	PREVOD NA UCET	13841	32445	SIPO	EF	58462047
63802	212	1994-06-05	VYDAJ	PREVOD NA UCET	13841	43610	SIPO	EF	58462047
63803	212	1994-07-05	VYDAJ	PREVOD NA UCET	13841	31746	SIPO	EF	58462047
63804	212	1994-08-05	VYDAJ	PREVOD NA UCET	13841	30122	SIPO	EF	58462047
63805	212	1994-09-05	VYDAJ	PREVOD NA UCET	13841	33564	SIPO	EF	58462047
63806	212	1994-10-05	VYDAJ	PREVOD NA UCET	13841	14233	SIPO	EF	58462047
63807	212	1994-11-05	VYDAJ	PREVOD NA UCET	13841	19772	SIPO	EF	58462047
63808	212	1994-12-05	VYDAJ	PREVOD NA UCET	13841	22856	SIPO	EF	58462047
63809	212	1995-01-05	VYDAJ	PREVOD NA UCET	13841	16960	SIPO	EF	58462047
63810	212	1995-02-05	VYDAJ	PREVOD NA UCET	13841	10611	SIPO	EF	58462047
63811	212	1995-03-05	VYDAJ	PREVOD NA UCET	13841	32135	SIPO	EF	58462047
63812	212	1995-04-05	VYDAJ	PREVOD NA UCET	13841	43685	SIPO	EF	58462047
63813	212	1995-05-05	VYDAJ	PREVOD NA UCET	13841	46123	SIPO	EF	58462047
63814	212	1995-06-05	VYDAJ	PREVOD NA UCET	13841	48898	SIPO	EF	58462047
63815	212	1995-07-05	VYDAJ	PREVOD NA UCET	13841	44257	SIPO	EF	58462047
63816	212	1995-08-05	VYDAJ	PREVOD NA UCET	13841	28962	SIPO	EF	58462047
63817	212	1995-09-05	VYDAJ	PREVOD NA UCET	13841	69682	SIPO	EF	58462047
63818	212	1995-10-05	VYDAJ	PREVOD NA UCET	13841	90101	SIPO	EF	58462047
63819	212	1995-11-05	VYDAJ	PREVOD NA UCET	13841	17236	SIPO	EF	58462047
63820	212	1995-12-05	VYDAJ	PREVOD NA UCET	13841	52297	SIPO	EF	58462047
63821	212	1996-01-05	VYDAJ	PREVOD NA UCET	13841	27100	SIPO	EF	58462047
63822	212	1996-02-05	VYDAJ	PREVOD NA UCET	13841	35398	SIPO	EF	58462047
63823	212	1996-03-05	VYDAJ	PREVOD NA UCET	13841	45626	SIPO	EF	58462047
63824	212	1996-04-05	VYDAJ	PREVOD NA UCET	13841	26729	SIPO	EF	58462047
63825	212	1996-05-05	VYDAJ	PREVOD NA UCET	13841	22222	SIPO	EF	58462047
63826	212	1996-06-05	VYDAJ	PREVOD NA UCET	13841	14732	SIPO	EF	58462047
63827	212	1996-07-05	VYDAJ	PREVOD NA UCET	13841	37731	SIPO	EF	58462047
63828	212	1996-08-05	VYDAJ	PREVOD NA UCET	13841	39886	SIPO	EF	58462047
63829	212	1996-09-05	VYDAJ	PREVOD NA UCET	13841	33915	SIPO	EF	58462047
63830	212	1996-10-05	VYDAJ	PREVOD NA UCET	13841	44939	SIPO	EF	58462047
63831	212	1996-11-05	VYDAJ	PREVOD NA UCET	13841	40262	SIPO	EF	58462047
63832	212	1996-12-05	VYDAJ	PREVOD NA UCET	13841	31057	SIPO	EF	58462047
63833	212	1997-01-05	VYDAJ	PREVOD NA UCET	13841	55933	SIPO	EF	58462047
63834	212	1997-02-05	VYDAJ	PREVOD NA UCET	13841	34429	SIPO	EF	58462047
63835	212	1997-03-05	VYDAJ	PREVOD NA UCET	13841	54149	SIPO	EF	58462047
63836	212	1997-04-05	VYDAJ	PREVOD NA UCET	13841	62250	SIPO	EF	58462047
63837	212	1997-05-05	VYDAJ	PREVOD NA UCET	13841	63262	SIPO	EF	58462047
63838	212	1997-06-05	VYDAJ	PREVOD NA UCET	13841	63594	SIPO	EF	58462047
63839	212	1997-07-05	VYDAJ	PREVOD NA UCET	13841	35717	SIPO	EF	58462047
63840	212	1997-08-05	VYDAJ	PREVOD NA UCET	13841	24218	SIPO	EF	58462047
63841	212	1997-09-05	VYDAJ	PREVOD NA UCET	13841	38092	SIPO	EF	58462047
63842	212	1997-10-05	VYDAJ	PREVOD NA UCET	13841	42909	SIPO	EF	58462047
63843	212	1997-11-05	VYDAJ	PREVOD NA UCET	13841	47944	SIPO	EF	58462047
63844	212	1997-12-05	VYDAJ	PREVOD NA UCET	13841	29861	SIPO	EF	58462047
63845	212	1998-01-05	VYDAJ	PREVOD NA UCET	13841	37326	SIPO	EF	58462047
63846	212	1998-02-05	VYDAJ	PREVOD NA UCET	13841	41089	SIPO	EF	58462047
63847	212	1998-03-05	VYDAJ	PREVOD NA UCET	13841	47711	SIPO	EF	58462047
63848	212	1998-04-05	VYDAJ	PREVOD NA UCET	13841	49144	SIPO	EF	58462047
63849	212	1998-05-05	VYDAJ	PREVOD NA UCET	13841	38473	SIPO	EF	58462047
63850	212	1998-06-05	VYDAJ	PREVOD NA UCET	13841	38274	SIPO	EF	58462047
63851	212	1998-07-05	VYDAJ	PREVOD NA UCET	13841	27703	SIPO	EF	58462047
63852	212	1998-08-05	VYDAJ	PREVOD NA UCET	13841	21961	SIPO	EF	58462047
63853	212	1998-09-05	VYDAJ	PREVOD NA UCET	13841	30395	SIPO	EF	58462047
63854	212	1998-10-05	VYDAJ	PREVOD NA UCET	13841	33453	SIPO	EF	58462047
63855	212	1998-11-05	VYDAJ	PREVOD NA UCET	13841	27415	SIPO	EF	58462047
63856	212	1998-12-05	VYDAJ	PREVOD NA UCET	13841	25794	SIPO	EF	58462047
63857	212	1993-11-25	VYBER	VYBER	16079	27179	\N	\N	\N
63861	212	1993-08-22	VYBER	VYBER	17042	41101	\N	\N	\N
63862	212	1993-10-21	VYBER	VYBER	2418	53797	\N	\N	\N
63863	212	1993-10-23	VYBER	VYBER	22086	31711	\N	\N	\N
63865	212	1994-09-24	VYBER	VYBER	22651	32403	\N	\N	\N
63866	212	1994-06-11	VYBER	VYBER	18706	58189	\N	\N	\N
63868	212	1994-04-15	VYBER	VYBER	24872	60458	\N	\N	\N
63869	212	1994-10-16	VYBER	VYBER	11131	33492	\N	\N	\N
63870	212	1994-07-25	VYBER	VYBER	10367	43769	\N	\N	\N
63871	212	1994-12-18	VYBER	VYBER	17204	40837	\N	\N	\N
63872	212	1994-03-30	VYBER	VYBER	6593	53530	\N	\N	\N
63873	212	1995-05-05	VYBER	VYBER	5748	59964	\N	\N	\N
63874	212	1995-07-19	VYBER	VYBER	21936	42611	\N	\N	\N
63875	212	1995-12-27	VYBER	VYBER	11690	65892	\N	\N	\N
63876	212	1995-10-18	VYBER	VYBER	22507	30884	\N	\N	\N
63877	212	1996-04-02	VYBER	VYBER	21729	52670	\N	\N	\N
63878	212	1996-04-17	VYBER	VYBER	3606	72713	\N	\N	\N
63879	212	1996-03-16	VYBER	VYBER	14531	80685	\N	\N	\N
63880	212	1996-11-13	VYBER	VYBER	11652	53672	\N	\N	\N
63881	212	1996-05-23	VYBER	VYBER	6413	52499	\N	\N	\N
63882	212	1996-08-01	VYBER	VYBER	18788	68827	\N	\N	\N
63885	212	1996-03-19	VYBER	VYBER	6583	74102	\N	\N	\N
63886	212	1996-09-05	VYBER	VYBER	7310	47756	\N	\N	\N
63887	212	1996-04-19	VYBER	VYBER	20062	52651	\N	\N	\N
63889	212	1996-06-01	VYBER	VYBER	20722	31973	\N	\N	\N
63890	212	1996-11-10	VYBER	VYBER	24528	65324	\N	\N	\N
63891	212	1997-04-21	VYBER	VYBER	4215	107625	\N	\N	\N
63892	212	1997-07-19	VYBER	VYBER	3593	81714	\N	\N	\N
63893	212	1997-08-02	VYBER	VYBER	24220	38059	\N	\N	\N
63894	212	1997-11-22	VYBER	VYBER	20316	77218	\N	\N	\N
63896	212	1997-12-28	VYBER	VYBER	9251	50895	\N	\N	\N
63897	212	1998-01-18	VYBER	VYBER	10330	76586	\N	\N	\N
63898	212	1998-11-10	VYBER	VYBER	22423	54582	\N	\N	\N
63899	212	1998-07-10	VYBER	VYBER	23046	54247	\N	\N	\N
63900	212	1998-04-11	VYBER	VYBER	9250	76284	\N	\N	\N
63902	212	1998-06-10	VYBER	VYBER	4135	108524	\N	\N	\N
63903	212	1998-10-11	VYBER	VYBER	3932	79111	\N	\N	\N
63904	212	1998-10-16	VYBER	VYBER	19544	59567	\N	\N	\N
63905	212	1993-06-14	VYDAJ	VYBER	25200	66522	\N	\N	\N
63908	212	1996-06-26	VYDAJ	VYBER	22200	66917	\N	\N	\N
63909	212	1997-06-25	VYDAJ	VYBER	23100	58379	\N	\N	\N
63910	212	1998-06-13	VYDAJ	VYBER	41700	66824	\N	\N	\N
63912	212	1994-01-02	VYDAJ	VYBER	7800	46442	\N	\N	\N
63913	212	1995-01-11	VYDAJ	VYBER	19500	32150	\N	\N	\N
63914	212	1996-01-01	VYDAJ	VYBER	29700	36541	\N	\N	\N
63915	212	1997-01-30	VYDAJ	VYBER	24000	47923	\N	\N	\N
63917	212	1993-12-10	VYDAJ	VYBER	8100	79750	\N	\N	\N
63918	212	1994-12-12	VYDAJ	VYBER	5100	58041	\N	\N	\N
63919	212	1995-12-05	VYDAJ	VYBER	4800	66138	\N	\N	\N
63920	212	1996-12-26	VYDAJ	VYBER	6900	98542	\N	\N	\N
63921	212	1997-12-01	VYDAJ	VYBER	7500	43702	\N	\N	\N
63922	212	1998-12-17	VYDAJ	VYBER	5100	95079	\N	\N	\N
63923	212	1993-11-03	VYDAJ	VYBER	8400	23509	\N	\N	\N
63925	212	1993-09-13	VYDAJ	VYBER	5400	71671	\N	\N	\N
63926	212	1993-07-04	VYDAJ	VYBER	1500	40642	\N	\N	\N
63927	212	1993-07-03	VYDAJ	VYBER	4200	42142	\N	\N	\N
63928	212	1994-08-19	VYDAJ	VYBER	4200	51112	\N	\N	\N
63929	212	1994-04-07	VYDAJ	VYBER	4200	35740	\N	\N	\N
63930	212	1994-09-25	VYDAJ	VYBER	4500	27903	\N	\N	\N
63931	212	1994-12-30	VYDAJ	VYBER	10200	30637	\N	\N	\N
63932	212	1994-11-16	VYDAJ	VYBER	11400	36562	\N	\N	\N
63933	212	1994-09-02	VYDAJ	VYBER	3900	47405	\N	\N	\N
63934	212	1995-12-26	VYDAJ	VYBER	4800	77582	\N	\N	\N
63935	212	1995-01-26	VYDAJ	VYBER	7800	24350	\N	\N	\N
63936	212	1995-12-07	VYDAJ	VYBER	3600	40197	\N	\N	\N
63937	212	1995-11-05	VYDAJ	VYBER	6900	10336	\N	\N	\N
63938	212	1996-05-02	VYDAJ	VYBER	11400	41463	\N	\N	\N
63939	212	1996-08-27	VYDAJ	VYBER	12900	76576	\N	\N	\N
63940	212	1996-05-18	VYDAJ	VYBER	12900	58912	\N	\N	\N
63941	212	1996-12-05	VYDAJ	VYBER KARTOU	3600	44898	\N	\N	0
63942	212	1996-09-02	VYDAJ	VYBER	3000	55066	\N	\N	\N
63943	212	1996-01-28	VYDAJ	VYBER	11100	65590	\N	\N	\N
63944	212	1997-12-22	VYDAJ	VYBER KARTOU	3600	96146	\N	\N	0
63945	212	1997-12-09	VYDAJ	VYBER	4500	99746	\N	\N	\N
63946	212	1997-06-11	VYDAJ	VYBER	7800	81479	\N	\N	\N
63947	212	1998-04-05	VYDAJ	VYBER	13200	35944	\N	\N	\N
63948	212	1998-03-06	VYDAJ	VYBER KARTOU	3000	44711	\N	\N	0
63955	212	1993-06-30	VYDAJ	VYBER	30	46342	SLUZBY	\N	\N
63956	212	1993-07-31	VYDAJ	VYBER	30	52894	SLUZBY	\N	\N
63957	212	1993-08-31	VYDAJ	VYBER	30	41322	SLUZBY	\N	\N
63958	212	1993-09-30	VYDAJ	VYBER	30	49666	SLUZBY	\N	\N
63959	212	1993-10-31	VYDAJ	VYBER	30	31909	SLUZBY	\N	\N
63960	212	1993-11-30	VYDAJ	VYBER	30	27306	SLUZBY	\N	\N
63961	212	1993-12-31	VYDAJ	VYBER	30	54242	SLUZBY	\N	\N
63962	212	1994-01-31	VYDAJ	VYBER	30	53094	SLUZBY	\N	\N
63963	212	1994-02-28	VYDAJ	VYBER	30	59474	SLUZBY	\N	\N
63964	212	1994-03-31	VYDAJ	VYBER	30	53781	SLUZBY	\N	\N
63965	212	1994-04-30	VYDAJ	VYBER	30	46286	SLUZBY	\N	\N
63966	212	1994-05-31	VYDAJ	VYBER	30	57451	SLUZBY	\N	\N
63967	212	1994-06-30	VYDAJ	VYBER	30	45587	SLUZBY	\N	\N
63968	212	1994-07-31	VYDAJ	VYBER	30	43963	SLUZBY	\N	\N
63969	212	1994-08-31	VYDAJ	VYBER	30	51305	SLUZBY	\N	\N
63970	212	1994-09-30	VYDAJ	VYBER	30	28074	SLUZBY	\N	\N
63971	212	1994-10-31	VYDAJ	VYBER	30	33613	SLUZBY	\N	\N
63972	212	1994-11-30	VYDAJ	VYBER	30	36697	SLUZBY	\N	\N
63973	212	1994-12-31	VYDAJ	VYBER	30	30801	SLUZBY	\N	\N
63974	212	1995-01-31	VYDAJ	VYBER	30	24452	SLUZBY	\N	\N
63975	212	1995-02-28	VYDAJ	VYBER	30	45976	SLUZBY	\N	\N
63976	212	1995-03-31	VYDAJ	VYBER	30	57526	SLUZBY	\N	\N
63977	212	1995-04-30	VYDAJ	VYBER	30	65712	SLUZBY	\N	\N
63978	212	1995-05-31	VYDAJ	VYBER	30	62739	SLUZBY	\N	\N
63979	212	1995-06-30	VYDAJ	VYBER	30	58098	SLUZBY	\N	\N
63980	212	1995-07-31	VYDAJ	VYBER	30	42803	SLUZBY	\N	\N
63981	212	1995-08-31	VYDAJ	VYBER	30	83523	SLUZBY	\N	\N
63982	212	1995-09-30	VYDAJ	VYBER	30	103942	SLUZBY	\N	\N
63983	212	1995-10-31	VYDAJ	VYBER	30	31077	SLUZBY	\N	\N
63984	212	1995-11-30	VYDAJ	VYBER	30	70938	SLUZBY	\N	\N
63985	212	1995-12-31	VYDAJ	VYBER	30	66241	SLUZBY	\N	\N
63986	212	1996-01-31	VYDAJ	VYBER	30	65839	SLUZBY	\N	\N
63987	212	1996-02-29	VYDAJ	VYBER	30	85271	SLUZBY	\N	\N
63988	212	1996-03-31	VYDAJ	VYBER	30	74399	SLUZBY	\N	\N
63989	212	1996-04-30	VYDAJ	VYBER	30	52863	SLUZBY	\N	\N
63990	212	1996-05-31	VYDAJ	VYBER	30	52695	SLUZBY	\N	\N
63991	212	1996-06-30	VYDAJ	VYBER	30	67172	SLUZBY	\N	\N
63992	212	1996-07-31	VYDAJ	VYBER	30	87615	SLUZBY	\N	\N
63993	212	1996-08-31	VYDAJ	VYBER	30	76866	SLUZBY	\N	\N
63994	212	1996-09-30	VYDAJ	VYBER	30	83780	SLUZBY	\N	\N
63995	212	1996-10-31	VYDAJ	VYBER	30	76203	SLUZBY	\N	\N
63996	212	1996-11-30	VYDAJ	VYBER	30	53898	SLUZBY	\N	\N
63997	212	1996-12-31	VYDAJ	VYBER	30	69774	SLUZBY	\N	\N
63998	212	1997-01-31	VYDAJ	VYBER	30	48270	SLUZBY	\N	\N
63999	212	1997-02-28	VYDAJ	VYBER	30	67990	SLUZBY	\N	\N
64000	212	1997-03-31	VYDAJ	VYBER	30	76091	SLUZBY	\N	\N
64001	212	1997-04-30	VYDAJ	VYBER	30	77103	SLUZBY	\N	\N
64002	212	1997-05-31	VYDAJ	VYBER	30	77435	SLUZBY	\N	\N
64003	212	1997-06-30	VYDAJ	VYBER	30	49558	SLUZBY	\N	\N
64004	212	1997-07-31	VYDAJ	VYBER	30	62279	SLUZBY	\N	\N
64005	212	1997-08-31	VYDAJ	VYBER	30	51933	SLUZBY	\N	\N
64006	212	1997-09-30	VYDAJ	VYBER	30	56750	SLUZBY	\N	\N
64007	212	1997-10-31	VYDAJ	VYBER	30	61785	SLUZBY	\N	\N
64008	212	1997-11-30	VYDAJ	VYBER	30	51202	SLUZBY	\N	\N
64009	212	1997-12-31	VYDAJ	VYBER	30	51167	SLUZBY	\N	\N
64010	212	1998-01-31	VYDAJ	VYBER	30	54930	SLUZBY	\N	\N
64011	212	1998-02-28	VYDAJ	VYBER	30	61552	SLUZBY	\N	\N
64012	212	1998-03-31	VYDAJ	VYBER	30	62985	SLUZBY	\N	\N
64013	212	1998-04-30	VYDAJ	VYBER	30	52314	SLUZBY	\N	\N
64014	212	1998-05-31	VYDAJ	VYBER	30	52115	SLUZBY	\N	\N
64015	212	1998-06-30	VYDAJ	VYBER	30	41544	SLUZBY	\N	\N
64016	212	1998-07-31	VYDAJ	VYBER	30	35802	SLUZBY	\N	\N
64017	212	1998-08-31	VYDAJ	VYBER	30	44236	SLUZBY	\N	\N
64018	212	1998-09-30	VYDAJ	VYBER	30	47294	SLUZBY	\N	\N
64019	212	1998-10-31	VYDAJ	VYBER	30	41256	SLUZBY	\N	\N
64020	212	1998-11-30	VYDAJ	VYBER	30	39635	SLUZBY	\N	\N
64021	212	1993-02-19	VYDAJ	VYBER	14800	34990	\N	\N	\N
64022	212	1993-03-21	VYDAJ	VYBER	29700	54932	\N	\N	\N
64023	212	1993-04-20	VYDAJ	VYBER	40100	64597	\N	\N	\N
64024	212	1993-05-09	VYDAJ	VYBER	58900	55531	\N	\N	\N
64025	212	1993-05-20	VYDAJ	VYBER	13800	41731	\N	\N	\N
64026	212	1993-06-09	VYDAJ	VYBER	24700	91722	\N	\N	\N
64027	212	1993-06-19	VYDAJ	VYBER	20400	46122	\N	\N	\N
64028	212	1993-07-19	VYDAJ	VYBER	23700	52691	\N	\N	\N
64029	212	1993-08-18	VYDAJ	VYBER	30500	58143	\N	\N	\N
64030	212	1993-09-17	VYDAJ	VYBER	22200	49471	\N	\N	\N
64031	212	1993-10-17	VYDAJ	VYBER	29200	56215	\N	\N	\N
64032	212	1993-11-16	VYDAJ	VYBER	16000	43258	\N	\N	\N
64033	212	1993-12-16	VYDAJ	VYBER	25700	54050	\N	\N	\N
64034	212	1994-01-15	VYDAJ	VYBER	29300	52891	\N	\N	\N
64035	212	1994-02-14	VYDAJ	VYBER	29600	59243	\N	\N	\N
64036	212	1994-03-16	VYDAJ	VYBER	35100	60123	\N	\N	\N
64037	212	1994-04-15	VYDAJ	VYBER	14400	46058	\N	\N	\N
64038	212	1994-05-15	VYDAJ	VYBER	24800	57235	\N	\N	\N
64039	212	1994-06-09	VYDAJ	VYBER	41100	76895	\N	\N	\N
64040	212	1994-06-14	VYDAJ	VYBER	12800	45389	\N	\N	\N
64041	212	1994-07-14	VYDAJ	VYBER	27200	54136	\N	\N	\N
64042	212	1994-08-13	VYDAJ	VYBER	24400	55312	\N	\N	\N
64043	212	1994-09-12	VYDAJ	VYBER	28100	55054	\N	\N	\N
64044	212	1994-10-12	VYDAJ	VYBER	19200	44623	\N	\N	\N
64045	212	1994-11-11	VYDAJ	VYBER	21400	47962	\N	\N	\N
64046	212	1994-12-11	VYDAJ	VYBER	34100	63141	\N	\N	\N
64047	212	1995-01-10	VYDAJ	VYBER	14900	51650	\N	\N	\N
64048	212	1995-02-09	VYDAJ	VYBER	14400	45801	\N	\N	\N
64049	212	1995-03-11	VYDAJ	VYBER	24400	57325	\N	\N	\N
64050	212	1995-04-10	VYDAJ	VYBER	27800	65475	\N	\N	\N
64051	212	1995-05-10	VYDAJ	VYBER	33200	62513	\N	\N	\N
64052	212	1995-06-09	VYDAJ	VYBER	40300	57883	\N	\N	\N
64053	212	1995-06-09	VYDAJ	VYBER	25100	98183	\N	\N	\N
64054	212	1995-07-09	VYDAJ	VYBER	29300	64547	\N	\N	\N
64055	212	1995-08-08	PRIJEM	VKLAD	4700	33662	\N	\N	\N
64056	212	1995-09-07	VYDAJ	VYBER	15700	53982	\N	\N	\N
64057	212	1995-10-07	VYDAJ	VYBER	24200	65901	\N	\N	\N
64058	212	1995-10-09	VYDAJ	VYBER	62100	53391	\N	\N	\N
64059	212	1995-11-06	PRIJEM	VKLAD	10800	21136	\N	\N	\N
64060	212	1995-12-06	VYDAJ	VYBER	8500	43797	\N	\N	\N
64061	212	1995-12-09	VYDAJ	VYBER	32200	82382	\N	\N	\N
64062	212	1996-01-05	PRIJEM	VKLAD	4400	40941	\N	\N	\N
64063	212	1996-02-04	VYDAJ	VYBER	16600	49239	\N	\N	\N
64064	212	1996-03-05	VYDAJ	VYBER	15400	59467	\N	\N	\N
64065	212	1996-04-04	VYDAJ	VYBER	12100	40570	\N	\N	\N
64066	212	1996-05-04	VYDAJ	VYBER	5400	36063	\N	\N	\N
64067	212	1996-06-03	VYDAJ	VYBER	3400	28573	\N	\N	\N
64068	212	1996-07-03	VYDAJ	VYBER	15600	51572	\N	\N	\N
64069	212	1996-08-02	VYDAJ	VYBER	15100	53727	\N	\N	\N
64070	212	1996-09-01	VYDAJ	VYBER	18800	58066	\N	\N	\N
64071	212	1996-10-01	VYDAJ	VYBER	25000	58780	\N	\N	\N
64072	212	1996-10-31	VYDAJ	VYBER	22100	54103	\N	\N	\N
64073	212	1996-11-30	VYDAJ	VYBER	5400	48498	\N	\N	\N
64074	212	1996-12-30	VYDAJ	VYBER	29100	69442	\N	\N	\N
64075	212	1997-01-29	VYDAJ	VYBER	33600	71923	\N	\N	\N
64076	212	1997-02-28	VYDAJ	VYBER	16300	68020	\N	\N	\N
64077	212	1997-03-30	VYDAJ	VYBER	28000	75739	\N	\N	\N
64078	212	1997-04-29	VYDAJ	VYBER	30900	76725	\N	\N	\N
64079	212	1997-05-29	VYDAJ	VYBER	35800	77052	\N	\N	\N
64080	212	1997-06-09	VYDAJ	VYBER	48700	89279	\N	\N	\N
64081	212	1997-06-28	VYDAJ	VYBER	9100	49279	\N	\N	\N
64082	212	1997-07-28	VYDAJ	VYBER	19700	62014	\N	\N	\N
64083	212	1997-08-27	VYDAJ	VYBER	22100	51708	\N	\N	\N
64084	212	1997-09-26	VYDAJ	VYBER	31200	56482	\N	\N	\N
64085	212	1997-10-26	VYDAJ	VYBER	31000	61499	\N	\N	\N
64086	212	1997-11-25	VYDAJ	VYBER	26300	50918	\N	\N	\N
64087	212	1997-12-25	VYDAJ	VYBER	36000	60146	\N	\N	\N
64088	212	1998-01-24	VYDAJ	VYBER	21900	54686	\N	\N	\N
64089	212	1998-02-23	VYDAJ	VYBER	29400	61279	\N	\N	\N
64090	212	1998-03-25	VYDAJ	VYBER	31600	62701	\N	\N	\N
64091	212	1998-04-24	VYDAJ	VYBER	24200	52084	\N	\N	\N
64092	212	1998-05-24	VYDAJ	VYBER	36200	51863	\N	\N	\N
64093	212	1998-06-23	VYDAJ	VYBER	25500	41324	\N	\N	\N
64094	212	1998-07-23	VYDAJ	VYBER	18600	35647	\N	\N	\N
64095	212	1998-08-22	VYDAJ	VYBER	27500	44051	\N	\N	\N
64096	212	1998-09-21	VYDAJ	VYBER	32900	47085	\N	\N	\N
64097	212	1998-10-21	VYDAJ	VYBER	18500	41067	\N	\N	\N
64098	212	1998-11-20	VYDAJ	VYBER	15100	39482	\N	\N	\N
64170	213	1995-08-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
64179	213	1995-09-10	PRIJEM	VKLAD	24272	25272	\N	\N	\N
64180	213	1995-10-10	PRIJEM	VKLAD	24272	49354	\N	\N	\N
64181	213	1995-11-10	PRIJEM	VKLAD	24272	59436	\N	\N	\N
64182	213	1995-12-10	PRIJEM	VKLAD	36408	78494	\N	\N	\N
64183	213	1996-01-10	PRIJEM	VKLAD	24272	76548	\N	\N	\N
64184	213	1996-02-10	PRIJEM	VKLAD	24272	66614	\N	\N	\N
64185	213	1996-03-10	PRIJEM	VKLAD	24272	65851	\N	\N	\N
64186	213	1996-04-10	PRIJEM	VKLAD	24272	65687	\N	\N	\N
64187	213	1996-05-10	PRIJEM	VKLAD	24272	67922	\N	\N	\N
64188	213	1996-06-10	PRIJEM	VKLAD	36408	73598	\N	\N	\N
64189	213	1996-07-10	PRIJEM	VKLAD	24272	54055	\N	\N	\N
64190	213	1996-08-10	PRIJEM	VKLAD	24272	62945	\N	\N	\N
64191	213	1996-09-10	PRIJEM	VKLAD	24272	66465	\N	\N	\N
64192	213	1996-10-10	PRIJEM	VKLAD	24272	71800	\N	\N	\N
64193	213	1996-11-10	PRIJEM	VKLAD	24272	77157	\N	\N	\N
64194	213	1996-12-10	PRIJEM	VKLAD	36408	85656	\N	\N	\N
64195	213	1997-01-10	PRIJEM	VKLAD	24272	75024	\N	\N	\N
64196	213	1997-02-10	PRIJEM	VKLAD	24272	64365	\N	\N	\N
64197	213	1997-03-10	PRIJEM	VKLAD	24272	68485	\N	\N	\N
64198	213	1997-04-10	PRIJEM	VKLAD	24272	74527	\N	\N	\N
64199	213	1997-05-10	PRIJEM	VKLAD	24272	79591	\N	\N	\N
64200	213	1997-06-10	PRIJEM	VKLAD	36408	81703	\N	\N	\N
64201	213	1997-07-10	PRIJEM	VKLAD	24272	75592	\N	\N	\N
64202	213	1997-08-10	PRIJEM	VKLAD	24272	70656	\N	\N	\N
64203	213	1997-09-10	PRIJEM	VKLAD	24272	69290	\N	\N	\N
64204	213	1997-10-10	PRIJEM	VKLAD	24272	68515	\N	\N	\N
64205	213	1997-11-10	PRIJEM	VKLAD	24272	71544	\N	\N	\N
64206	213	1997-12-10	PRIJEM	VKLAD	36408	81810	\N	\N	\N
64207	213	1998-01-10	PRIJEM	VKLAD	24272	72052	\N	\N	\N
64208	213	1998-02-10	PRIJEM	VKLAD	24272	61388	\N	\N	\N
64209	213	1998-03-10	PRIJEM	VKLAD	24272	67834	\N	\N	\N
64210	213	1998-04-10	PRIJEM	VKLAD	24272	70356	\N	\N	\N
64211	213	1998-05-10	PRIJEM	VKLAD	24272	70885	\N	\N	\N
64212	213	1998-06-10	PRIJEM	VKLAD	36408	87659	\N	\N	\N
64213	213	1998-07-10	PRIJEM	VKLAD	24272	63182	\N	\N	\N
64214	213	1998-08-10	PRIJEM	VKLAD	24272	59774	\N	\N	\N
64215	213	1998-09-10	PRIJEM	VKLAD	24272	59051	\N	\N	\N
64216	213	1998-10-10	PRIJEM	VKLAD	24272	56621	\N	\N	\N
64217	213	1998-11-10	PRIJEM	VKLAD	24272	53983	\N	\N	\N
64218	213	1998-12-10	PRIJEM	VKLAD	36408	65574	\N	\N	\N
64231	213	1996-01-14	VYDAJ	PREVOD NA UCET	5625	70423	SIPO	EF	4553950
64232	213	1996-02-14	VYDAJ	PREVOD NA UCET	5625	60989	SIPO	EF	4553950
64233	213	1996-03-14	VYDAJ	PREVOD NA UCET	5625	60226	SIPO	EF	4553950
64234	213	1996-04-14	VYDAJ	PREVOD NA UCET	5625	60062	SIPO	EF	4553950
64235	213	1996-05-14	VYDAJ	PREVOD NA UCET	5625	62297	SIPO	EF	4553950
64236	213	1996-06-14	VYDAJ	PREVOD NA UCET	5625	67973	SIPO	EF	4553950
64237	213	1996-07-14	VYDAJ	PREVOD NA UCET	5625	48430	SIPO	EF	4553950
64238	213	1996-08-14	VYDAJ	PREVOD NA UCET	5625	57320	SIPO	EF	4553950
64239	213	1996-09-14	VYDAJ	PREVOD NA UCET	5625	60840	SIPO	EF	4553950
64240	213	1996-10-14	VYDAJ	PREVOD NA UCET	5625	66175	SIPO	EF	4553950
64241	213	1996-11-14	VYDAJ	PREVOD NA UCET	5625	71532	SIPO	EF	4553950
64242	213	1996-12-14	VYDAJ	PREVOD NA UCET	5625	80031	SIPO	EF	4553950
64243	213	1997-01-14	VYDAJ	PREVOD NA UCET	5625	69399	SIPO	EF	4553950
64244	213	1997-02-14	VYDAJ	PREVOD NA UCET	5625	58740	SIPO	EF	4553950
64245	213	1997-03-14	VYDAJ	PREVOD NA UCET	5625	62860	SIPO	EF	4553950
64246	213	1997-04-14	VYDAJ	PREVOD NA UCET	5625	68902	SIPO	EF	4553950
64247	213	1997-05-14	VYDAJ	PREVOD NA UCET	5625	73966	SIPO	EF	4553950
64248	213	1997-06-14	VYDAJ	PREVOD NA UCET	5625	76078	SIPO	EF	4553950
64249	213	1997-07-14	VYDAJ	PREVOD NA UCET	5625	69967	SIPO	EF	4553950
64250	213	1997-08-14	VYDAJ	PREVOD NA UCET	5625	65031	SIPO	EF	4553950
64251	213	1997-09-14	VYDAJ	PREVOD NA UCET	5625	63665	SIPO	EF	4553950
64252	213	1997-10-14	VYDAJ	PREVOD NA UCET	5625	62890	SIPO	EF	4553950
64253	213	1997-11-14	VYDAJ	PREVOD NA UCET	5625	65919	SIPO	EF	4553950
64254	213	1997-12-14	VYDAJ	PREVOD NA UCET	5625	76185	SIPO	EF	4553950
64255	213	1998-01-14	VYDAJ	PREVOD NA UCET	5625	64027	SIPO	EF	4553950
64256	213	1998-02-14	VYDAJ	PREVOD NA UCET	5625	55763	SIPO	EF	4553950
64257	213	1998-03-14	VYDAJ	PREVOD NA UCET	5625	62209	SIPO	EF	4553950
64258	213	1998-04-14	VYDAJ	PREVOD NA UCET	5625	64731	SIPO	EF	4553950
64259	213	1998-05-14	VYDAJ	PREVOD NA UCET	5625	65260	SIPO	EF	4553950
64260	213	1998-06-14	VYDAJ	PREVOD NA UCET	5625	55834	SIPO	EF	4553950
64261	213	1998-07-14	VYDAJ	PREVOD NA UCET	5625	40057	SIPO	EF	4553950
64262	213	1998-08-14	VYDAJ	PREVOD NA UCET	5625	34649	SIPO	EF	4553950
64263	213	1998-09-14	VYDAJ	PREVOD NA UCET	5625	32226	SIPO	EF	4553950
64264	213	1998-10-14	VYDAJ	PREVOD NA UCET	5625	34096	SIPO	EF	4553950
64265	213	1998-11-14	VYDAJ	PREVOD NA UCET	5625	29058	SIPO	EF	4553950
64266	213	1998-12-14	VYDAJ	PREVOD NA UCET	5625	37249	SIPO	EF	4553950
64268	213	1996-06-28	VYDAJ	VYBER	14100	29573	\N	\N	\N
64269	213	1997-06-04	VYDAJ	VYBER	9200	45295	\N	\N	\N
64270	213	1998-06-10	VYDAJ	VYBER	26200	61459	\N	\N	\N
64272	213	1996-01-21	VYDAJ	VYBER	4000	65223	\N	\N	\N
64273	213	1997-01-17	VYDAJ	VYBER	9800	51499	\N	\N	\N
64274	213	1998-01-12	VYDAJ	VYBER KARTOU	2400	69652	\N	\N	0
64276	213	1996-12-17	VYDAJ	VYBER	2900	77131	\N	\N	\N
64277	213	1997-12-25	VYDAJ	VYBER KARTOU	900	51085	\N	\N	0
64278	213	1998-12-20	VYDAJ	VYBER KARTOU	800	36449	\N	\N	0
64285	213	1996-01-28	VYDAJ	VYBER	2500	42123	\N	\N	\N
64286	213	1996-01-23	VYDAJ	VYBER	600	64623	\N	\N	\N
64287	213	1996-01-24	VYDAJ	VYBER	600	61623	\N	\N	\N
64288	213	1996-01-14	VYDAJ	VYBER	500	76048	\N	\N	\N
64289	213	1996-01-15	VYDAJ	VYBER	1200	69223	\N	\N	\N
64290	213	1996-01-24	VYDAJ	VYBER	2400	62223	\N	\N	\N
64291	213	1997-01-17	VYDAJ	VYBER	2500	61299	\N	\N	\N
64292	213	1997-01-21	VYDAJ	VYBER	2700	43799	\N	\N	\N
64293	213	1997-01-25	VYDAJ	VYBER	1600	42199	\N	\N	\N
64294	213	1997-01-16	VYDAJ	VYBER	2700	66699	\N	\N	\N
64295	213	1997-01-28	VYDAJ	VYBER	2300	39899	\N	\N	\N
64296	213	1997-01-16	VYDAJ	VYBER	2900	63799	\N	\N	\N
64297	213	1998-01-27	VYDAJ	VYBER KARTOU	1600	40827	\N	\N	0
64298	213	1998-01-20	VYDAJ	VYBER KARTOU	500	44527	\N	\N	0
64299	213	1998-01-02	VYDAJ	VYBER KARTOU	1000	50280	\N	\N	0
64300	213	1998-01-20	VYDAJ	VYBER KARTOU	800	45027	\N	\N	0
64301	213	1998-01-08	VYDAJ	VYBER KARTOU	2000	47780	\N	\N	0
64302	213	1998-01-04	VYDAJ	VYBER KARTOU	500	49780	\N	\N	0
64309	213	1996-11-17	VYDAJ	VYBER	4100	67432	\N	\N	\N
64310	213	1996-07-18	VYDAJ	VYBER	1100	47330	\N	\N	\N
64311	213	1996-12-23	VYDAJ	VYBER	4900	50531	\N	\N	\N
64312	213	1996-01-24	VYDAJ	VYBER	1000	60623	\N	\N	\N
64313	213	1996-06-08	VYDAJ	VYBER	4800	37190	\N	\N	\N
64314	213	1997-07-09	VYDAJ	VYBER	3500	51320	\N	\N	\N
64315	213	1997-07-15	VYDAJ	VYBER	4300	65667	\N	\N	\N
64316	213	1997-07-19	VYDAJ	VYBER	2100	63567	\N	\N	\N
64317	213	1997-08-29	VYDAJ	VYBER	1500	44831	\N	\N	\N
64318	213	1997-02-20	VYDAJ	VYBER	2000	44040	\N	\N	\N
64319	213	1998-06-15	VYDAJ	VYBER KARTOU	900	38734	\N	\N	0
64320	213	1998-01-21	VYDAJ	VYBER KARTOU	2100	42427	\N	\N	0
64321	213	1998-04-21	VYDAJ	VYBER KARTOU	3600	46431	\N	\N	0
64322	213	1998-02-05	VYDAJ	VYBER KARTOU	3900	37116	\N	\N	0
64323	213	1998-07-20	VYDAJ	VYBER	4700	35357	\N	\N	\N
64324	213	1998-10-17	VYDAJ	VYBER	4500	29596	\N	\N	\N
64338	213	1996-01-31	VYDAJ	VYBER	15	42342	SLUZBY	\N	\N
64339	213	1996-02-29	VYDAJ	VYBER	15	41579	SLUZBY	\N	\N
64340	213	1996-03-31	VYDAJ	VYBER	15	41415	SLUZBY	\N	\N
64341	213	1996-04-30	VYDAJ	VYBER	15	43650	SLUZBY	\N	\N
64342	213	1996-05-31	VYDAJ	VYBER	15	41990	SLUZBY	\N	\N
64343	213	1996-06-30	VYDAJ	VYBER	15	29783	SLUZBY	\N	\N
64344	213	1996-07-31	VYDAJ	VYBER	15	38673	SLUZBY	\N	\N
64345	213	1996-08-31	VYDAJ	VYBER	15	42193	SLUZBY	\N	\N
64346	213	1996-09-30	VYDAJ	VYBER	15	47528	SLUZBY	\N	\N
64347	213	1996-10-31	VYDAJ	VYBER	15	52885	SLUZBY	\N	\N
64348	213	1996-11-30	VYDAJ	VYBER	15	49248	SLUZBY	\N	\N
64349	213	1996-12-31	VYDAJ	VYBER	15	50752	SLUZBY	\N	\N
64350	213	1997-01-31	VYDAJ	VYBER	15	40093	SLUZBY	\N	\N
64351	213	1997-02-28	VYDAJ	VYBER	15	44213	SLUZBY	\N	\N
64352	213	1997-03-31	VYDAJ	VYBER	15	50255	SLUZBY	\N	\N
64353	213	1997-04-30	VYDAJ	VYBER	15	55319	SLUZBY	\N	\N
64354	213	1997-05-31	VYDAJ	VYBER	15	54495	SLUZBY	\N	\N
64355	213	1997-06-30	VYDAJ	VYBER	15	54820	SLUZBY	\N	\N
64356	213	1997-07-31	VYDAJ	VYBER	15	46384	SLUZBY	\N	\N
64357	213	1997-08-31	VYDAJ	VYBER	15	45018	SLUZBY	\N	\N
64358	213	1997-09-30	VYDAJ	VYBER	15	44243	SLUZBY	\N	\N
64359	213	1997-10-31	VYDAJ	VYBER	15	47272	SLUZBY	\N	\N
64360	213	1997-11-30	VYDAJ	VYBER	15	45402	SLUZBY	\N	\N
64361	213	1997-12-31	VYDAJ	VYBER	15	51280	SLUZBY	\N	\N
64362	213	1998-01-31	VYDAJ	VYBER	15	41016	SLUZBY	\N	\N
64363	213	1998-02-28	VYDAJ	VYBER	15	43562	SLUZBY	\N	\N
64364	213	1998-03-31	VYDAJ	VYBER	15	46084	SLUZBY	\N	\N
64365	213	1998-04-30	VYDAJ	VYBER	15	46613	SLUZBY	\N	\N
64366	213	1998-05-31	VYDAJ	VYBER	15	51251	SLUZBY	\N	\N
64367	213	1998-06-30	VYDAJ	VYBER	15	38910	SLUZBY	\N	\N
64368	213	1998-07-31	VYDAJ	VYBER	15	35502	SLUZBY	\N	\N
64369	213	1998-08-31	VYDAJ	VYBER	15	34779	SLUZBY	\N	\N
64370	213	1998-09-30	VYDAJ	VYBER	15	32349	SLUZBY	\N	\N
64371	213	1998-10-31	VYDAJ	VYBER	15	29711	SLUZBY	\N	\N
64372	213	1998-11-30	VYDAJ	VYBER	15	29166	SLUZBY	\N	\N
64373	213	1995-09-28	VYDAJ	VYBER	200	25072	\N	\N	\N
64374	213	1995-10-28	VYDAJ	VYBER	14300	35054	\N	\N	\N
64375	213	1995-11-27	VYDAJ	VYBER	17500	41936	\N	\N	\N
64376	213	1995-12-27	VYDAJ	VYBER	26400	52094	\N	\N	\N
64377	213	1996-01-26	VYDAJ	VYBER	16000	44623	\N	\N	\N
64378	213	1996-02-25	VYDAJ	VYBER	19600	41389	\N	\N	\N
64379	213	1996-03-26	VYDAJ	VYBER	19000	41226	\N	\N	\N
64380	213	1996-04-25	VYDAJ	VYBER	16600	43462	\N	\N	\N
64381	213	1996-05-25	VYDAJ	VYBER	20500	41797	\N	\N	\N
64382	213	1996-06-24	VYDAJ	VYBER	24300	43673	\N	\N	\N
64383	213	1996-07-24	VYDAJ	VYBER	8800	38530	\N	\N	\N
64384	213	1996-08-23	VYDAJ	VYBER	15300	42020	\N	\N	\N
64385	213	1996-09-22	VYDAJ	VYBER	13500	47340	\N	\N	\N
64386	213	1996-10-22	VYDAJ	VYBER	13500	52675	\N	\N	\N
64387	213	1996-11-21	VYDAJ	VYBER	18400	49032	\N	\N	\N
64388	213	1996-12-21	VYDAJ	VYBER	21700	55431	\N	\N	\N
64389	213	1997-01-20	VYDAJ	VYBER	5000	46499	\N	\N	\N
64390	213	1997-02-19	VYDAJ	VYBER	12700	46040	\N	\N	\N
64391	213	1997-03-21	VYDAJ	VYBER	12800	50060	\N	\N	\N
64392	213	1997-04-20	VYDAJ	VYBER	13800	55102	\N	\N	\N
64393	213	1997-05-20	VYDAJ	VYBER	19700	54266	\N	\N	\N
64394	213	1997-06-19	VYDAJ	VYBER	21500	54578	\N	\N	\N
64395	213	1997-07-19	VYDAJ	VYBER	17400	46167	\N	\N	\N
64396	213	1997-08-18	VYDAJ	VYBER	18700	46331	\N	\N	\N
64397	213	1997-09-17	VYDAJ	VYBER	19600	44065	\N	\N	\N
64398	213	1997-10-17	VYDAJ	VYBER	15800	47090	\N	\N	\N
64399	213	1997-11-16	VYDAJ	VYBER	20700	45219	\N	\N	\N
64400	213	1997-12-16	VYDAJ	VYBER	24200	51985	\N	\N	\N
64401	213	1998-01-15	VYDAJ	VYBER	18200	45827	\N	\N	\N
64402	213	1998-02-14	VYDAJ	VYBER	12400	43363	\N	\N	\N
64403	213	1998-03-16	VYDAJ	VYBER	16300	45909	\N	\N	\N
64404	213	1998-04-15	VYDAJ	VYBER	14700	50031	\N	\N	\N
64405	213	1998-05-15	VYDAJ	VYBER	14200	51060	\N	\N	\N
64406	213	1998-06-14	VYDAJ	VYBER	16200	39634	\N	\N	\N
64407	213	1998-07-14	VYDAJ	VYBER	17500	45682	\N	\N	\N
64408	213	1998-08-13	VYDAJ	VYBER	19500	40274	\N	\N	\N
64409	213	1998-09-12	VYDAJ	VYBER	21200	37851	\N	\N	\N
64410	213	1998-10-12	VYDAJ	VYBER	16900	39721	\N	\N	\N
64411	213	1998-11-11	VYDAJ	VYBER	19300	34683	\N	\N	\N
64412	213	1998-12-11	VYDAJ	VYBER	22700	42874	\N	\N	\N
64453	214	1997-03-09	PRIJEM	VKLAD	500	500	\N	\N	\N
64457	214	1997-04-05	PRIJEM	PREVOD Z UCTU	3146	3646	\N	MN	94184064
64458	214	1997-05-05	PRIJEM	PREVOD Z UCTU	3146	6792	\N	MN	94184064
64459	214	1997-06-05	PRIJEM	PREVOD Z UCTU	3146	9938	\N	MN	94184064
64460	214	1997-07-05	PRIJEM	PREVOD Z UCTU	3146	13084	\N	MN	94184064
64461	214	1997-08-05	PRIJEM	PREVOD Z UCTU	3146	16230	\N	MN	94184064
64462	214	1997-09-05	PRIJEM	PREVOD Z UCTU	3146	15204	\N	MN	94184064
64463	214	1997-10-05	PRIJEM	PREVOD Z UCTU	3146	16291	\N	MN	94184064
64464	214	1997-11-05	PRIJEM	PREVOD Z UCTU	3146	16002	\N	MN	94184064
64465	214	1997-12-05	PRIJEM	PREVOD Z UCTU	3146	15833	\N	MN	94184064
64466	214	1998-01-05	PRIJEM	PREVOD Z UCTU	3146	16776	\N	MN	94184064
64467	214	1998-02-05	PRIJEM	PREVOD Z UCTU	3146	13357	\N	MN	94184064
64468	214	1998-03-05	PRIJEM	PREVOD Z UCTU	3146	14437	\N	MN	94184064
64469	214	1998-04-05	PRIJEM	PREVOD Z UCTU	3146	15521	\N	MN	94184064
64470	214	1998-05-05	PRIJEM	PREVOD Z UCTU	3146	15979	\N	MN	94184064
64471	214	1998-06-05	PRIJEM	PREVOD Z UCTU	3146	17070	\N	MN	94184064
64472	214	1998-07-05	PRIJEM	PREVOD Z UCTU	3146	15912	\N	MN	94184064
64473	214	1998-08-05	PRIJEM	PREVOD Z UCTU	3146	15905	\N	MN	94184064
64474	214	1998-09-05	PRIJEM	PREVOD Z UCTU	3146	16999	\N	MN	94184064
64475	214	1998-10-05	PRIJEM	PREVOD Z UCTU	3146	16621	\N	MN	94184064
64476	214	1998-11-05	PRIJEM	PREVOD Z UCTU	3146	16425	\N	MN	94184064
64477	214	1998-12-05	PRIJEM	PREVOD Z UCTU	3146	17518	\N	MN	94184064
64485	214	1997-08-10	VYDAJ	PREVOD NA UCET	2097	14133	\N	EF	26426023
64486	214	1997-09-10	VYDAJ	PREVOD NA UCET	2097	13107	\N	EF	26426023
64487	214	1997-10-10	VYDAJ	PREVOD NA UCET	2097	14194	\N	EF	26426023
64488	214	1997-11-10	VYDAJ	PREVOD NA UCET	2097	13905	\N	EF	26426023
64489	214	1997-12-10	VYDAJ	PREVOD NA UCET	2097	13586	\N	EF	26426023
64490	214	1998-01-10	VYDAJ	PREVOD NA UCET	2097	10179	\N	EF	26426023
64491	214	1998-02-10	VYDAJ	PREVOD NA UCET	2097	11260	\N	EF	26426023
64492	214	1998-03-10	VYDAJ	PREVOD NA UCET	2097	12340	\N	EF	26426023
64493	214	1998-04-10	VYDAJ	PREVOD NA UCET	2097	12794	\N	EF	26426023
64494	214	1998-05-10	VYDAJ	PREVOD NA UCET	2097	13882	\N	EF	26426023
64495	214	1998-06-10	VYDAJ	PREVOD NA UCET	2097	14973	\N	EF	26426023
64496	214	1998-07-10	VYDAJ	PREVOD NA UCET	2097	13815	\N	EF	26426023
64497	214	1998-08-10	VYDAJ	PREVOD NA UCET	2097	13808	\N	EF	26426023
64498	214	1998-09-10	VYDAJ	PREVOD NA UCET	2097	14902	\N	EF	26426023
64499	214	1998-10-10	VYDAJ	PREVOD NA UCET	2097	14524	\N	EF	26426023
64500	214	1998-11-10	VYDAJ	PREVOD NA UCET	2097	14328	\N	EF	26426023
64501	214	1998-12-10	VYDAJ	PREVOD NA UCET	2097	15421	\N	EF	26426023
64503	214	1998-06-15	VYDAJ	VYBER	1500	13473	\N	\N	\N
64505	214	1998-01-06	VYDAJ	VYBER	2130	14646	\N	\N	\N
64506	214	1997-12-10	VYDAJ	VYBER	150	15683	\N	\N	\N
64507	214	1998-12-23	VYDAJ	VYBER	450	14971	\N	\N	\N
64514	214	1998-01-09	VYDAJ	VYBER	810	12276	\N	\N	\N
64515	214	1998-01-06	VYDAJ	VYBER	390	14256	\N	\N	\N
64520	214	1997-10-30	VYDAJ	VYBER	270	12814	\N	\N	\N
64521	214	1997-10-23	VYDAJ	VYBER	1110	13084	\N	\N	\N
64523	214	1997-08-17	VYDAJ	VYBER	1110	13023	\N	\N	\N
64524	214	1997-12-04	VYDAJ	VYBER	1260	12687	\N	\N	\N
64525	214	1997-08-29	VYDAJ	VYBER	990	12033	\N	\N	\N
64526	214	1998-09-15	VYDAJ	VYBER	1260	13642	\N	\N	\N
64527	214	1998-07-02	VYDAJ	VYBER	750	12766	\N	\N	\N
64528	214	1998-10-04	VYDAJ	VYBER	210	13475	\N	\N	\N
64529	214	1998-01-09	VYDAJ	VYBER	1170	13086	\N	\N	\N
64531	214	1998-04-09	VYDAJ	VYBER	630	14891	\N	\N	\N
64532	214	1998-10-23	VYDAJ	VYBER	1290	13234	\N	\N	\N
64542	214	1997-08-31	VYDAJ	VYBER	15	12058	SLUZBY	\N	\N
64543	214	1997-09-30	VYDAJ	VYBER	15	13145	SLUZBY	\N	\N
64544	214	1997-10-31	VYDAJ	VYBER	15	12856	SLUZBY	\N	\N
64545	214	1997-11-30	VYDAJ	VYBER	15	13947	SLUZBY	\N	\N
64546	214	1997-12-31	VYDAJ	VYBER	15	13630	SLUZBY	\N	\N
64547	214	1998-01-31	VYDAJ	VYBER	15	10211	SLUZBY	\N	\N
64548	214	1998-02-28	VYDAJ	VYBER	15	11291	SLUZBY	\N	\N
64549	214	1998-03-31	VYDAJ	VYBER	15	12375	SLUZBY	\N	\N
64550	214	1998-04-30	VYDAJ	VYBER	15	12833	SLUZBY	\N	\N
64551	214	1998-05-31	VYDAJ	VYBER	15	13924	SLUZBY	\N	\N
64552	214	1998-06-30	VYDAJ	VYBER	15	13516	SLUZBY	\N	\N
64553	214	1998-07-31	VYDAJ	VYBER	15	13859	SLUZBY	\N	\N
64554	214	1998-08-31	VYDAJ	VYBER	15	13853	SLUZBY	\N	\N
64555	214	1998-09-30	VYDAJ	VYBER	15	13685	SLUZBY	\N	\N
64556	214	1998-10-31	VYDAJ	VYBER	15	13279	SLUZBY	\N	\N
64557	214	1998-11-30	VYDAJ	VYBER	15	14372	SLUZBY	\N	\N
64558	214	1998-08-01	VYDAJ	VYBER	1100	12759	\N	\N	\N
64576	215	1997-11-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
64588	215	1997-12-08	PRIJEM	PREVOD Z UCTU	3182	4182	\N	ST	13083166
64589	215	1998-01-08	PRIJEM	PREVOD Z UCTU	3182	7364	\N	ST	13083166
64590	215	1998-02-08	PRIJEM	PREVOD Z UCTU	3182	10546	\N	ST	13083166
64591	215	1998-03-08	PRIJEM	PREVOD Z UCTU	3182	13728	\N	ST	13083166
64592	215	1998-04-08	PRIJEM	PREVOD Z UCTU	3182	16910	\N	ST	13083166
64593	215	1998-05-08	PRIJEM	PREVOD Z UCTU	3182	18002	\N	ST	13083166
64594	215	1998-06-08	PRIJEM	PREVOD Z UCTU	3182	19113	\N	ST	13083166
64595	215	1998-07-08	PRIJEM	PREVOD Z UCTU	3182	15628	\N	ST	13083166
64596	215	1998-08-08	PRIJEM	PREVOD Z UCTU	3182	16399	\N	ST	13083166
64597	215	1998-09-08	PRIJEM	PREVOD Z UCTU	3182	17504	\N	ST	13083166
64598	215	1998-10-08	PRIJEM	PREVOD Z UCTU	3182	18613	\N	ST	13083166
64599	215	1998-11-08	PRIJEM	PREVOD Z UCTU	3182	18644	\N	ST	13083166
64600	215	1998-12-08	PRIJEM	PREVOD Z UCTU	3182	17383	\N	ST	13083166
64616	215	1998-04-09	VYDAJ	PREVOD NA UCET	2121	14789	SIPO	MN	65896379
64617	215	1998-05-09	VYDAJ	PREVOD NA UCET	2121	15881	SIPO	MN	65896379
64618	215	1998-06-09	VYDAJ	PREVOD NA UCET	2121	16992	SIPO	MN	65896379
64619	215	1998-07-09	VYDAJ	PREVOD NA UCET	2121	13177	SIPO	MN	65896379
64620	215	1998-08-09	VYDAJ	PREVOD NA UCET	2121	14278	SIPO	MN	65896379
64621	215	1998-09-09	VYDAJ	PREVOD NA UCET	2121	15383	SIPO	MN	65896379
64622	215	1998-10-09	VYDAJ	PREVOD NA UCET	2121	16492	SIPO	MN	65896379
64623	215	1998-11-09	VYDAJ	PREVOD NA UCET	2121	16523	SIPO	MN	65896379
64624	215	1998-12-09	VYDAJ	PREVOD NA UCET	2121	15262	SIPO	MN	65896379
64626	215	1998-06-14	VYDAJ	VYBER	4590	12402	\N	\N	\N
64628	215	1998-12-17	VYDAJ	VYBER	240	15022	\N	\N	\N
64645	215	1998-10-09	VYDAJ	VYBER	1080	15412	\N	\N	\N
64646	215	1998-11-13	VYDAJ	VYBER	900	15623	\N	\N	\N
64647	215	1998-11-18	VYDAJ	VYBER	1470	14153	\N	\N	\N
64648	215	1998-07-08	VYDAJ	VYBER	330	15298	\N	\N	\N
64665	215	1998-04-30	VYDAJ	VYBER	15	14820	SLUZBY	\N	\N
64666	215	1998-05-31	VYDAJ	VYBER	15	15931	SLUZBY	\N	\N
64667	215	1998-06-30	VYDAJ	VYBER	15	12446	SLUZBY	\N	\N
64668	215	1998-07-31	VYDAJ	VYBER	15	13217	SLUZBY	\N	\N
64669	215	1998-08-31	VYDAJ	VYBER	15	14322	SLUZBY	\N	\N
64670	215	1998-09-30	VYDAJ	VYBER	15	15431	SLUZBY	\N	\N
64671	215	1998-10-31	VYDAJ	VYBER	15	15462	SLUZBY	\N	\N
64672	215	1998-11-30	VYDAJ	VYBER	15	14201	SLUZBY	\N	\N
64682	216	1994-05-16	PRIJEM	VKLAD	500	500	\N	\N	\N
64688	216	1994-06-11	PRIJEM	PREVOD Z UCTU	6460	6960	DUCHOD	WX	80643814
64689	216	1994-07-11	PRIJEM	PREVOD Z UCTU	6460	13420	DUCHOD	WX	80643814
64690	216	1994-08-11	PRIJEM	PREVOD Z UCTU	6460	19880	DUCHOD	WX	80643814
64691	216	1994-09-11	PRIJEM	PREVOD Z UCTU	6460	26340	DUCHOD	WX	80643814
64692	216	1994-10-11	PRIJEM	PREVOD Z UCTU	6460	32565	DUCHOD	WX	80643814
64693	216	1994-11-11	PRIJEM	PREVOD Z UCTU	6460	33728	DUCHOD	WX	80643814
64694	216	1994-12-11	PRIJEM	PREVOD Z UCTU	6460	32091	DUCHOD	WX	80643814
64695	216	1995-01-11	PRIJEM	PREVOD Z UCTU	6460	26319	DUCHOD	WX	80643814
64696	216	1995-02-11	PRIJEM	PREVOD Z UCTU	6460	24818	DUCHOD	WX	80643814
64697	216	1995-03-11	PRIJEM	PREVOD Z UCTU	6460	28356	DUCHOD	WX	80643814
64698	216	1995-04-11	PRIJEM	PREVOD Z UCTU	6460	29988	DUCHOD	WX	80643814
64699	216	1995-05-11	PRIJEM	PREVOD Z UCTU	6460	31307	DUCHOD	WX	80643814
64700	216	1995-06-11	PRIJEM	PREVOD Z UCTU	6460	29162	DUCHOD	WX	80643814
64701	216	1995-07-11	PRIJEM	PREVOD Z UCTU	6460	31123	DUCHOD	WX	80643814
64702	216	1995-08-11	PRIJEM	PREVOD Z UCTU	6460	33594	DUCHOD	WX	80643814
64703	216	1995-09-11	PRIJEM	PREVOD Z UCTU	6460	32370	DUCHOD	WX	80643814
64704	216	1995-10-11	PRIJEM	PREVOD Z UCTU	6460	34044	DUCHOD	WX	80643814
64705	216	1995-11-11	PRIJEM	PREVOD Z UCTU	6460	35722	DUCHOD	WX	80643814
64706	216	1995-12-11	PRIJEM	PREVOD Z UCTU	6460	31564	DUCHOD	WX	80643814
64707	216	1996-01-11	PRIJEM	PREVOD Z UCTU	6460	28766	DUCHOD	WX	80643814
64708	216	1996-02-11	PRIJEM	PREVOD Z UCTU	6460	24868	DUCHOD	WX	80643814
64709	216	1996-03-11	PRIJEM	PREVOD Z UCTU	6460	28406	DUCHOD	WX	80643814
64710	216	1996-04-11	PRIJEM	PREVOD Z UCTU	6460	31960	DUCHOD	WX	80643814
64711	216	1996-05-11	PRIJEM	PREVOD Z UCTU	6460	33008	DUCHOD	WX	80643814
64712	216	1996-06-11	PRIJEM	PREVOD Z UCTU	6460	30525	DUCHOD	WX	80643814
64713	216	1996-07-11	PRIJEM	PREVOD Z UCTU	6460	28433	DUCHOD	WX	80643814
64714	216	1996-08-11	PRIJEM	PREVOD Z UCTU	6460	31992	DUCHOD	WX	80643814
64715	216	1996-09-11	PRIJEM	PREVOD Z UCTU	6460	33564	DUCHOD	WX	80643814
64716	216	1996-10-11	PRIJEM	PREVOD Z UCTU	6460	33444	DUCHOD	WX	80643814
64717	216	1996-11-11	PRIJEM	PREVOD Z UCTU	6460	36126	DUCHOD	WX	80643814
64718	216	1996-12-11	PRIJEM	PREVOD Z UCTU	6460	36351	DUCHOD	WX	80643814
64719	216	1997-01-11	PRIJEM	PREVOD Z UCTU	6460	31768	DUCHOD	WX	80643814
64720	216	1997-02-11	PRIJEM	PREVOD Z UCTU	6460	30054	DUCHOD	WX	80643814
64721	216	1997-03-11	PRIJEM	PREVOD Z UCTU	6460	29685	DUCHOD	WX	80643814
64722	216	1997-04-11	PRIJEM	PREVOD Z UCTU	6460	30644	DUCHOD	WX	80643814
64723	216	1997-05-11	PRIJEM	PREVOD Z UCTU	6460	34210	DUCHOD	WX	80643814
64724	216	1997-06-11	PRIJEM	PREVOD Z UCTU	6460	31086	DUCHOD	WX	80643814
64725	216	1997-07-11	PRIJEM	PREVOD Z UCTU	6460	31455	DUCHOD	WX	80643814
64726	216	1997-08-11	PRIJEM	PREVOD Z UCTU	6460	35025	DUCHOD	WX	80643814
64727	216	1997-09-11	PRIJEM	PREVOD Z UCTU	6460	35103	DUCHOD	WX	80643814
64728	216	1997-10-11	PRIJEM	PREVOD Z UCTU	6460	33584	DUCHOD	WX	80643814
64729	216	1997-11-11	PRIJEM	PREVOD Z UCTU	6460	36161	DUCHOD	WX	80643814
64730	216	1997-12-11	PRIJEM	PREVOD Z UCTU	6460	31140	DUCHOD	WX	80643814
64731	216	1998-01-11	PRIJEM	PREVOD Z UCTU	6460	25987	DUCHOD	WX	80643814
64732	216	1998-02-11	PRIJEM	PREVOD Z UCTU	6460	22520	DUCHOD	WX	80643814
64733	216	1998-03-11	PRIJEM	PREVOD Z UCTU	6460	24366	DUCHOD	WX	80643814
64734	216	1998-04-11	PRIJEM	PREVOD Z UCTU	6460	20796	DUCHOD	WX	80643814
64735	216	1998-05-11	PRIJEM	PREVOD Z UCTU	6460	22798	DUCHOD	WX	80643814
64736	216	1998-06-11	PRIJEM	PREVOD Z UCTU	6460	21622	DUCHOD	WX	80643814
64737	216	1998-07-11	PRIJEM	PREVOD Z UCTU	6460	20040	DUCHOD	WX	80643814
64738	216	1998-08-11	PRIJEM	PREVOD Z UCTU	6460	19252	DUCHOD	WX	80643814
64739	216	1998-09-11	PRIJEM	PREVOD Z UCTU	6460	19963	DUCHOD	WX	80643814
64740	216	1998-10-11	PRIJEM	PREVOD Z UCTU	6460	22077	DUCHOD	WX	80643814
64741	216	1998-11-11	PRIJEM	PREVOD Z UCTU	6460	23802	DUCHOD	WX	80643814
64742	216	1998-12-11	PRIJEM	PREVOD Z UCTU	6460	22120	DUCHOD	WX	80643814
64753	216	1994-11-08	VYDAJ	PREVOD NA UCET	1486	27268	SIPO	KL	85333066
64754	216	1994-12-08	VYDAJ	PREVOD NA UCET	1486	25631	SIPO	KL	85333066
64755	216	1995-01-08	VYDAJ	PREVOD NA UCET	1486	21059	SIPO	KL	85333066
64756	216	1995-02-08	VYDAJ	PREVOD NA UCET	1486	18358	SIPO	KL	85333066
64757	216	1995-03-08	VYDAJ	PREVOD NA UCET	1486	21896	SIPO	KL	85333066
64758	216	1995-04-08	VYDAJ	PREVOD NA UCET	1486	23528	SIPO	KL	85333066
64759	216	1995-05-08	VYDAJ	PREVOD NA UCET	1486	24847	SIPO	KL	85333066
64760	216	1995-06-08	VYDAJ	PREVOD NA UCET	1486	22702	SIPO	KL	85333066
64761	216	1995-07-08	VYDAJ	PREVOD NA UCET	1486	26263	SIPO	KL	85333066
64762	216	1995-08-08	VYDAJ	PREVOD NA UCET	1486	28234	SIPO	KL	85333066
64763	216	1995-09-08	VYDAJ	PREVOD NA UCET	1486	30710	SIPO	KL	85333066
64764	216	1995-10-08	VYDAJ	PREVOD NA UCET	1486	29484	SIPO	KL	85333066
64765	216	1995-11-08	VYDAJ	PREVOD NA UCET	1486	29262	SIPO	KL	85333066
64766	216	1995-12-08	VYDAJ	PREVOD NA UCET	1486	25104	SIPO	KL	85333066
64767	216	1996-01-08	VYDAJ	PREVOD NA UCET	1486	22306	SIPO	KL	85333066
64768	216	1996-02-08	VYDAJ	PREVOD NA UCET	1486	18408	SIPO	KL	85333066
64769	216	1996-03-08	VYDAJ	PREVOD NA UCET	1486	21946	SIPO	KL	85333066
64770	216	1996-04-08	VYDAJ	PREVOD NA UCET	1486	25500	SIPO	KL	85333066
64771	216	1996-05-08	VYDAJ	PREVOD NA UCET	1486	26548	SIPO	KL	85333066
64772	216	1996-06-08	VYDAJ	PREVOD NA UCET	1486	24065	SIPO	KL	85333066
64773	216	1996-07-08	VYDAJ	PREVOD NA UCET	1486	21973	SIPO	KL	85333066
64774	216	1996-08-08	VYDAJ	PREVOD NA UCET	1486	25532	SIPO	KL	85333066
64775	216	1996-09-08	VYDAJ	PREVOD NA UCET	1486	27104	SIPO	KL	85333066
64776	216	1996-10-08	VYDAJ	PREVOD NA UCET	1486	26984	SIPO	KL	85333066
64777	216	1996-11-08	VYDAJ	PREVOD NA UCET	1486	29666	SIPO	KL	85333066
64778	216	1996-12-08	VYDAJ	PREVOD NA UCET	1486	29891	SIPO	KL	85333066
64779	216	1997-01-08	VYDAJ	PREVOD NA UCET	1486	27148	SIPO	KL	85333066
64780	216	1997-02-08	VYDAJ	PREVOD NA UCET	1486	23594	SIPO	KL	85333066
64781	216	1997-03-08	VYDAJ	PREVOD NA UCET	1486	23225	SIPO	KL	85333066
64782	216	1997-04-08	VYDAJ	PREVOD NA UCET	1486	24184	SIPO	KL	85333066
64783	216	1997-05-08	VYDAJ	PREVOD NA UCET	1486	27750	SIPO	KL	85333066
64784	216	1997-06-08	VYDAJ	PREVOD NA UCET	1486	24626	SIPO	KL	85333066
64785	216	1997-07-08	VYDAJ	PREVOD NA UCET	1486	24995	SIPO	KL	85333066
64786	216	1997-08-08	VYDAJ	PREVOD NA UCET	1486	28565	SIPO	KL	85333066
64787	216	1997-09-08	VYDAJ	PREVOD NA UCET	1486	28643	SIPO	KL	85333066
64788	216	1997-10-08	VYDAJ	PREVOD NA UCET	1486	27124	SIPO	KL	85333066
64789	216	1997-11-08	VYDAJ	PREVOD NA UCET	1486	29701	SIPO	KL	85333066
64790	216	1997-12-08	VYDAJ	PREVOD NA UCET	1486	24680	SIPO	KL	85333066
64791	216	1998-01-08	VYDAJ	PREVOD NA UCET	1486	19527	SIPO	KL	85333066
64792	216	1998-02-08	VYDAJ	PREVOD NA UCET	1486	16060	SIPO	KL	85333066
64793	216	1998-03-08	VYDAJ	PREVOD NA UCET	1486	17906	SIPO	KL	85333066
64794	216	1998-04-08	VYDAJ	PREVOD NA UCET	1486	14336	SIPO	KL	85333066
64795	216	1998-05-08	VYDAJ	PREVOD NA UCET	1486	16338	SIPO	KL	85333066
64796	216	1998-06-08	VYDAJ	PREVOD NA UCET	1486	15162	SIPO	KL	85333066
64797	216	1998-07-08	VYDAJ	PREVOD NA UCET	1486	13580	SIPO	KL	85333066
64798	216	1998-08-08	VYDAJ	PREVOD NA UCET	1486	12792	SIPO	KL	85333066
64799	216	1998-09-08	VYDAJ	PREVOD NA UCET	1486	13503	SIPO	KL	85333066
64800	216	1998-10-08	VYDAJ	PREVOD NA UCET	1486	15617	SIPO	KL	85333066
64801	216	1998-11-08	VYDAJ	PREVOD NA UCET	1486	17342	SIPO	KL	85333066
64802	216	1998-12-08	VYDAJ	PREVOD NA UCET	1486	15660	SIPO	KL	85333066
64812	216	1994-10-11	VYDAJ	PREVOD NA UCET	1513	31052	 	GH	38205874
64813	216	1994-11-11	VYDAJ	PREVOD NA UCET	1513	32215	 	GH	38205874
64814	216	1994-12-11	VYDAJ	PREVOD NA UCET	1513	30578	 	GH	38205874
64815	216	1995-01-11	VYDAJ	PREVOD NA UCET	1513	24806	 	GH	38205874
64816	216	1995-02-11	VYDAJ	PREVOD NA UCET	1513	23305	 	GH	38205874
64817	216	1995-03-11	VYDAJ	PREVOD NA UCET	1513	26843	 	GH	38205874
64818	216	1995-04-11	VYDAJ	PREVOD NA UCET	1513	28475	 	GH	38205874
64819	216	1995-05-11	VYDAJ	PREVOD NA UCET	1513	29794	 	GH	38205874
64820	216	1995-06-11	VYDAJ	PREVOD NA UCET	1513	27649	 	GH	38205874
64821	216	1995-07-11	VYDAJ	PREVOD NA UCET	1513	29610	 	GH	38205874
64822	216	1995-08-11	VYDAJ	PREVOD NA UCET	1513	32081	 	GH	38205874
64823	216	1995-09-11	VYDAJ	PREVOD NA UCET	1513	30857	 	GH	38205874
64824	216	1995-10-11	VYDAJ	PREVOD NA UCET	1513	32531	 	GH	38205874
64825	216	1995-11-11	VYDAJ	PREVOD NA UCET	1513	34209	 	GH	38205874
64826	216	1995-12-11	VYDAJ	PREVOD NA UCET	1513	30051	 	GH	38205874
64827	216	1996-01-11	VYDAJ	PREVOD NA UCET	1513	25573	 	GH	38205874
64828	216	1996-02-11	VYDAJ	PREVOD NA UCET	1513	23355	 	GH	38205874
64829	216	1996-03-11	VYDAJ	PREVOD NA UCET	1513	26893	 	GH	38205874
64830	216	1996-04-11	VYDAJ	PREVOD NA UCET	1513	30447	 	GH	38205874
64831	216	1996-05-11	VYDAJ	PREVOD NA UCET	1513	29735	 	GH	38205874
64832	216	1996-06-11	VYDAJ	PREVOD NA UCET	1513	29012	 	GH	38205874
64833	216	1996-07-11	VYDAJ	PREVOD NA UCET	1513	26920	 	GH	38205874
64834	216	1996-08-11	VYDAJ	PREVOD NA UCET	1513	30479	 	GH	38205874
64835	216	1996-09-11	VYDAJ	PREVOD NA UCET	1513	32051	 	GH	38205874
64836	216	1996-10-11	VYDAJ	PREVOD NA UCET	1513	31931	 	GH	38205874
64837	216	1996-11-11	VYDAJ	PREVOD NA UCET	1513	34613	 	GH	38205874
64838	216	1996-12-11	VYDAJ	PREVOD NA UCET	1513	34838	 	GH	38205874
64839	216	1997-01-11	VYDAJ	PREVOD NA UCET	1513	30255	 	GH	38205874
64840	216	1997-02-11	VYDAJ	PREVOD NA UCET	1513	28541	 	GH	38205874
64841	216	1997-03-11	VYDAJ	PREVOD NA UCET	1513	28172	 	GH	38205874
64842	216	1997-04-11	VYDAJ	PREVOD NA UCET	1513	29131	 	GH	38205874
64843	216	1997-05-11	VYDAJ	PREVOD NA UCET	1513	32697	 	GH	38205874
64844	216	1997-06-11	VYDAJ	PREVOD NA UCET	1513	29573	 	GH	38205874
64845	216	1997-07-11	VYDAJ	PREVOD NA UCET	1513	29942	 	GH	38205874
64846	216	1997-08-11	VYDAJ	PREVOD NA UCET	1513	33512	 	GH	38205874
64847	216	1997-09-11	VYDAJ	PREVOD NA UCET	1513	33590	 	GH	38205874
64848	216	1997-10-11	VYDAJ	PREVOD NA UCET	1513	32071	 	GH	38205874
64849	216	1997-11-11	VYDAJ	PREVOD NA UCET	1513	34648	 	GH	38205874
64850	216	1997-12-11	VYDAJ	PREVOD NA UCET	1513	29627	 	GH	38205874
64851	216	1998-01-11	VYDAJ	PREVOD NA UCET	1513	24474	 	GH	38205874
64852	216	1998-02-11	VYDAJ	PREVOD NA UCET	1513	21007	 	GH	38205874
64853	216	1998-03-11	VYDAJ	PREVOD NA UCET	1513	22853	 	GH	38205874
64854	216	1998-04-11	VYDAJ	PREVOD NA UCET	1513	19283	 	GH	38205874
64855	216	1998-05-11	VYDAJ	PREVOD NA UCET	1513	21285	 	GH	38205874
64856	216	1998-06-11	VYDAJ	PREVOD NA UCET	1513	20109	 	GH	38205874
64857	216	1998-07-11	VYDAJ	PREVOD NA UCET	1513	18527	 	GH	38205874
64858	216	1998-08-11	VYDAJ	PREVOD NA UCET	1513	17739	 	GH	38205874
64859	216	1998-09-11	VYDAJ	PREVOD NA UCET	1513	18450	 	GH	38205874
64860	216	1998-10-11	VYDAJ	PREVOD NA UCET	1513	20564	 	GH	38205874
64861	216	1998-11-11	VYDAJ	PREVOD NA UCET	1513	22289	 	GH	38205874
64862	216	1998-12-11	VYDAJ	PREVOD NA UCET	1513	20607	 	GH	38205874
64863	216	1994-12-12	VYDAJ	VYBER	750	26528	\N	\N	\N
64864	216	1995-12-20	VYDAJ	VYBER	1150	28901	\N	\N	\N
64865	216	1996-12-19	VYDAJ	VYBER	1050	33788	\N	\N	\N
64866	216	1997-12-12	VYDAJ	VYBER	650	28977	\N	\N	\N
64867	216	1998-12-06	VYDAJ	VYBER	950	17146	\N	\N	\N
64874	216	1995-01-03	VYDAJ	VYBER	640	22545	\N	\N	\N
64875	216	1995-01-14	VYDAJ	VYBER	800	21846	\N	\N	\N
64876	216	1995-01-02	VYDAJ	VYBER	1280	23185	\N	\N	\N
64877	216	1995-01-12	VYDAJ	VYBER	1600	22646	\N	\N	\N
64878	216	1995-01-09	VYDAJ	VYBER	1200	19859	\N	\N	\N
64879	216	1995-01-29	VYDAJ	VYBER	2080	19766	\N	\N	\N
64880	216	1996-01-12	VYDAJ	VYBER	2160	23413	\N	\N	\N
64881	216	1996-01-05	VYDAJ	VYBER	880	26692	\N	\N	\N
64882	216	1996-01-11	VYDAJ	VYBER	1680	27086	\N	\N	\N
64883	216	1996-01-26	VYDAJ	VYBER	1760	19813	\N	\N	\N
64884	216	1996-01-03	VYDAJ	VYBER	1440	27572	\N	\N	\N
64885	216	1996-01-14	VYDAJ	VYBER	1840	21573	\N	\N	\N
64886	216	1997-01-27	VYDAJ	VYBER	2080	24975	\N	\N	\N
64887	216	1997-01-21	VYDAJ	VYBER	1120	27055	\N	\N	\N
64888	216	1997-01-15	VYDAJ	VYBER	640	28175	\N	\N	\N
64889	216	1997-01-14	VYDAJ	VYBER	1440	28815	\N	\N	\N
64890	216	1997-01-03	VYDAJ	VYBER	480	28634	\N	\N	\N
64891	216	1997-01-09	VYDAJ	VYBER	1840	25308	\N	\N	\N
64892	216	1998-01-24	VYDAJ	VYBER	1920	19674	\N	\N	\N
64893	216	1998-01-22	VYDAJ	VYBER	1680	21594	\N	\N	\N
64894	216	1998-01-07	VYDAJ	VYBER	480	21013	\N	\N	\N
64895	216	1998-01-05	VYDAJ	VYBER	1280	21493	\N	\N	\N
64896	216	1998-01-14	VYDAJ	VYBER	1200	23274	\N	\N	\N
64897	216	1998-01-25	VYDAJ	VYBER	400	19274	\N	\N	\N
64898	216	1994-12-27	VYDAJ	VYBER	2160	24368	\N	\N	\N
64902	216	1995-04-29	VYDAJ	VYBER	2240	26235	\N	\N	\N
64903	216	1995-01-12	VYDAJ	VYBER	560	24246	\N	\N	\N
64904	216	1995-11-12	VYDAJ	VYBER	1440	32769	\N	\N	\N
64905	216	1995-03-19	VYDAJ	VYBER	1920	24923	\N	\N	\N
64906	216	1995-05-17	VYDAJ	VYBER	2800	24094	\N	\N	\N
64907	216	1996-06-27	VYDAJ	VYBER	2400	26612	\N	\N	\N
64908	216	1996-05-11	VYDAJ	VYBER	1760	31248	\N	\N	\N
64909	216	1996-11-29	VYDAJ	VYBER	1360	33253	\N	\N	\N
64910	216	1996-06-27	VYDAJ	VYBER	960	25652	\N	\N	\N
64911	216	1996-05-02	VYDAJ	VYBER	1120	29434	\N	\N	\N
64912	216	1997-06-03	VYDAJ	VYBER	3600	26112	\N	\N	\N
64913	216	1997-02-14	VYDAJ	VYBER	3920	24621	\N	\N	\N
64915	216	1998-02-18	VYDAJ	VYBER	1680	19327	\N	\N	\N
64916	216	1998-06-22	VYDAJ	VYBER	3600	16509	\N	\N	\N
64917	216	1998-11-20	VYDAJ	VYBER	560	21729	\N	\N	\N
64918	216	1998-04-27	VYDAJ	VYBER	720	17763	\N	\N	\N
64929	216	1994-10-31	VYDAJ	VYBER	15	28754	SLUZBY	\N	\N
64930	216	1994-11-30	VYDAJ	VYBER	15	27117	SLUZBY	\N	\N
64931	216	1994-12-31	VYDAJ	VYBER	15	24465	SLUZBY	\N	\N
64932	216	1995-01-31	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
64933	216	1995-02-28	VYDAJ	VYBER	15	23382	SLUZBY	\N	\N
64934	216	1995-03-31	VYDAJ	VYBER	15	25014	SLUZBY	\N	\N
64935	216	1995-04-30	VYDAJ	VYBER	15	26333	SLUZBY	\N	\N
64936	216	1995-05-31	VYDAJ	VYBER	15	24188	SLUZBY	\N	\N
64937	216	1995-06-30	VYDAJ	VYBER	15	27749	SLUZBY	\N	\N
64938	216	1995-07-31	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
64939	216	1995-08-31	VYDAJ	VYBER	15	32196	SLUZBY	\N	\N
64940	216	1995-09-30	VYDAJ	VYBER	15	30970	SLUZBY	\N	\N
64941	216	1995-10-31	VYDAJ	VYBER	15	32648	SLUZBY	\N	\N
64942	216	1995-11-30	VYDAJ	VYBER	15	32890	SLUZBY	\N	\N
64943	216	1995-12-31	VYDAJ	VYBER	15	29012	SLUZBY	\N	\N
64944	216	1996-01-31	VYDAJ	VYBER	15	19894	SLUZBY	\N	\N
64945	216	1996-02-29	VYDAJ	VYBER	15	23432	SLUZBY	\N	\N
64946	216	1996-03-31	VYDAJ	VYBER	15	26986	SLUZBY	\N	\N
64947	216	1996-04-30	VYDAJ	VYBER	15	30554	SLUZBY	\N	\N
64948	216	1996-05-31	VYDAJ	VYBER	15	29851	SLUZBY	\N	\N
64949	216	1996-06-30	VYDAJ	VYBER	15	25759	SLUZBY	\N	\N
64950	216	1996-07-31	VYDAJ	VYBER	15	27018	SLUZBY	\N	\N
64951	216	1996-08-31	VYDAJ	VYBER	15	30590	SLUZBY	\N	\N
64952	216	1996-09-30	VYDAJ	VYBER	15	32170	SLUZBY	\N	\N
64953	216	1996-10-31	VYDAJ	VYBER	15	32052	SLUZBY	\N	\N
64954	216	1996-11-30	VYDAJ	VYBER	15	33377	SLUZBY	\N	\N
64955	216	1996-12-31	VYDAJ	VYBER	15	33914	SLUZBY	\N	\N
64956	216	1997-01-31	VYDAJ	VYBER	15	25080	SLUZBY	\N	\N
64957	216	1997-02-28	VYDAJ	VYBER	15	24711	SLUZBY	\N	\N
64958	216	1997-03-31	VYDAJ	VYBER	15	28270	SLUZBY	\N	\N
64959	216	1997-04-30	VYDAJ	VYBER	15	29236	SLUZBY	\N	\N
64960	216	1997-05-31	VYDAJ	VYBER	15	29712	SLUZBY	\N	\N
64961	216	1997-06-30	VYDAJ	VYBER	15	26481	SLUZBY	\N	\N
64962	216	1997-07-31	VYDAJ	VYBER	15	30051	SLUZBY	\N	\N
64963	216	1997-08-31	VYDAJ	VYBER	15	30129	SLUZBY	\N	\N
64964	216	1997-09-30	VYDAJ	VYBER	15	28610	SLUZBY	\N	\N
64965	216	1997-10-31	VYDAJ	VYBER	15	31187	SLUZBY	\N	\N
64966	216	1997-11-30	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
64967	216	1997-12-31	VYDAJ	VYBER	15	22773	SLUZBY	\N	\N
64968	216	1998-01-31	VYDAJ	VYBER	15	17546	SLUZBY	\N	\N
64969	216	1998-02-28	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
64970	216	1998-03-31	VYDAJ	VYBER	15	15822	SLUZBY	\N	\N
64971	216	1998-04-30	VYDAJ	VYBER	15	17824	SLUZBY	\N	\N
64972	216	1998-05-31	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
64973	216	1998-06-30	VYDAJ	VYBER	15	15066	SLUZBY	\N	\N
64974	216	1998-07-31	VYDAJ	VYBER	15	14278	SLUZBY	\N	\N
64975	216	1998-08-31	VYDAJ	VYBER	15	14989	SLUZBY	\N	\N
64976	216	1998-09-30	VYDAJ	VYBER	15	17103	SLUZBY	\N	\N
64977	216	1998-10-31	VYDAJ	VYBER	15	18828	SLUZBY	\N	\N
64978	216	1998-11-30	VYDAJ	VYBER	15	18096	SLUZBY	\N	\N
64979	216	1994-09-13	VYDAJ	VYBER	300	26040	\N	\N	\N
64980	216	1994-10-13	VYDAJ	VYBER	2400	28652	\N	\N	\N
64981	216	1994-11-12	VYDAJ	VYBER	5200	27015	\N	\N	\N
64982	216	1994-12-12	VYDAJ	VYBER	3300	27278	\N	\N	\N
64983	216	1995-05-11	VYDAJ	VYBER	2900	26894	\N	\N	\N
64984	216	1995-07-10	VYDAJ	VYBER	1600	24663	\N	\N	\N
64985	216	1995-08-09	VYDAJ	VYBER	1100	27134	\N	\N	\N
64986	216	1995-09-08	VYDAJ	VYBER	4800	25910	\N	\N	\N
64987	216	1995-10-08	VYDAJ	VYBER	1900	27584	\N	\N	\N
64988	216	1995-11-07	VYDAJ	VYBER	1900	30748	\N	\N	\N
64989	216	1995-12-07	VYDAJ	VYBER	6300	26590	\N	\N	\N
64990	216	1996-01-06	VYDAJ	VYBER	2900	23792	\N	\N	\N
64991	216	1996-05-05	VYDAJ	VYBER	1400	28034	\N	\N	\N
64992	216	1996-06-04	VYDAJ	VYBER	4300	25551	\N	\N	\N
64993	216	1996-07-04	VYDAJ	VYBER	2300	23459	\N	\N	\N
64994	216	1996-09-02	VYDAJ	VYBER	2000	28590	\N	\N	\N
64995	216	1996-10-02	VYDAJ	VYBER	3700	28470	\N	\N	\N
64996	216	1996-11-01	VYDAJ	VYBER	900	31152	\N	\N	\N
64997	216	1996-12-01	VYDAJ	VYBER	2000	31377	\N	\N	\N
64998	216	1996-12-31	VYDAJ	VYBER	4800	29114	\N	\N	\N
64999	216	1997-03-31	VYDAJ	VYBER	2600	25670	\N	\N	\N
65000	216	1997-05-30	VYDAJ	VYBER	3100	29597	\N	\N	\N
65001	216	1997-06-29	VYDAJ	VYBER	3200	26373	\N	\N	\N
65002	216	1997-08-28	VYDAJ	VYBER	3500	30012	\N	\N	\N
65003	216	1997-09-27	VYDAJ	VYBER	5100	28490	\N	\N	\N
65004	216	1997-10-27	VYDAJ	VYBER	1000	31071	\N	\N	\N
65005	216	1997-11-26	VYDAJ	VYBER	8600	26048	\N	\N	\N
65006	216	1997-12-26	VYDAJ	VYBER	6300	22677	\N	\N	\N
65007	216	1998-01-25	VYDAJ	VYBER	1800	17474	\N	\N	\N
65008	216	1998-03-26	VYDAJ	VYBER	7100	15753	\N	\N	\N
65009	216	1998-04-25	VYDAJ	VYBER	800	18483	\N	\N	\N
65010	216	1998-05-25	VYDAJ	VYBER	4700	16585	\N	\N	\N
65011	216	1998-06-24	VYDAJ	VYBER	1500	15009	\N	\N	\N
65012	216	1998-07-24	VYDAJ	VYBER	4300	14227	\N	\N	\N
65013	216	1998-08-23	VYDAJ	VYBER	2800	14939	\N	\N	\N
65014	216	1998-09-22	VYDAJ	VYBER	1400	17050	\N	\N	\N
65015	216	1998-10-22	VYDAJ	VYBER	1800	18764	\N	\N	\N
65016	216	1998-11-21	VYDAJ	VYBER	3700	18029	\N	\N	\N
65069	217	1995-01-20	PRIJEM	VKLAD	800	800	\N	\N	\N
65071	217	1995-02-11	PRIJEM	VKLAD	11076	11876	\N	\N	\N
65072	217	1995-03-11	PRIJEM	VKLAD	11076	26775	\N	\N	\N
65073	217	1995-04-11	PRIJEM	VKLAD	11076	39035	\N	\N	\N
65074	217	1995-05-11	PRIJEM	VKLAD	11076	43333	\N	\N	\N
65075	217	1995-06-11	PRIJEM	VKLAD	16614	48581	\N	\N	\N
65076	217	1995-07-11	PRIJEM	VKLAD	11076	40421	\N	\N	\N
65077	217	1995-08-11	PRIJEM	VKLAD	11076	38564	\N	\N	\N
65078	217	1995-09-11	PRIJEM	VKLAD	11076	34396	\N	\N	\N
65079	217	1995-10-11	PRIJEM	VKLAD	11076	35116	\N	\N	\N
65080	217	1995-11-11	PRIJEM	VKLAD	11076	36341	\N	\N	\N
65081	217	1995-12-11	PRIJEM	VKLAD	16614	35700	\N	\N	\N
65082	217	1996-01-11	PRIJEM	VKLAD	11076	35217	\N	\N	\N
65083	217	1996-02-11	PRIJEM	VKLAD	11076	33134	\N	\N	\N
65084	217	1996-03-11	PRIJEM	VKLAD	11076	32344	\N	\N	\N
65085	217	1996-04-11	PRIJEM	VKLAD	11076	35059	\N	\N	\N
65086	217	1996-05-11	PRIJEM	VKLAD	11076	29067	\N	\N	\N
65087	217	1996-06-11	PRIJEM	VKLAD	16614	37609	\N	\N	\N
65088	217	1996-07-11	PRIJEM	VKLAD	11076	32918	\N	\N	\N
65089	217	1996-08-11	PRIJEM	VKLAD	11076	29523	\N	\N	\N
65090	217	1996-09-11	PRIJEM	VKLAD	11076	31422	\N	\N	\N
65091	217	1996-10-11	PRIJEM	VKLAD	11076	34331	\N	\N	\N
65092	217	1996-11-11	PRIJEM	VKLAD	11076	32665	\N	\N	\N
65093	217	1996-12-11	PRIJEM	VKLAD	16614	39231	\N	\N	\N
65094	217	1997-01-11	PRIJEM	VKLAD	11076	36384	\N	\N	\N
65095	217	1997-02-11	PRIJEM	VKLAD	11076	37836	\N	\N	\N
65096	217	1997-03-11	PRIJEM	VKLAD	11076	35290	\N	\N	\N
65097	217	1997-04-11	PRIJEM	VKLAD	11076	29023	\N	\N	\N
65098	217	1997-05-11	PRIJEM	VKLAD	11076	26730	\N	\N	\N
65099	217	1997-06-11	PRIJEM	VKLAD	16614	32374	\N	\N	\N
65100	217	1997-07-11	PRIJEM	VKLAD	11076	28495	\N	\N	\N
65101	217	1997-08-11	PRIJEM	VKLAD	11076	28410	\N	\N	\N
65102	217	1997-09-11	PRIJEM	VKLAD	11076	24425	\N	\N	\N
65103	217	1997-10-11	PRIJEM	VKLAD	11076	25025	\N	\N	\N
65104	217	1997-11-11	PRIJEM	VKLAD	11076	25624	\N	\N	\N
65105	217	1997-12-11	PRIJEM	VKLAD	16614	29364	\N	\N	\N
65106	217	1998-01-11	PRIJEM	VKLAD	11076	25370	\N	\N	\N
65107	217	1998-02-11	PRIJEM	VKLAD	11076	25873	\N	\N	\N
65108	217	1998-03-11	PRIJEM	VKLAD	11076	24375	\N	\N	\N
65109	217	1998-04-11	PRIJEM	VKLAD	11076	22173	\N	\N	\N
65110	217	1998-05-11	PRIJEM	VKLAD	11076	29862	\N	\N	\N
65111	217	1998-06-11	PRIJEM	VKLAD	16614	30815	\N	\N	\N
65112	217	1998-07-11	PRIJEM	VKLAD	11076	24535	\N	\N	\N
65113	217	1998-08-11	PRIJEM	VKLAD	11076	32233	\N	\N	\N
65114	217	1998-09-11	PRIJEM	VKLAD	11076	20258	\N	\N	\N
65115	217	1998-10-11	PRIJEM	VKLAD	11076	27947	\N	\N	\N
65116	217	1998-11-11	PRIJEM	VKLAD	11076	29350	\N	\N	\N
65117	217	1998-12-11	PRIJEM	VKLAD	16614	26899	\N	\N	\N
65124	217	1995-07-07	VYDAJ	PREVOD NA UCET	3459	29345	SIPO	CD	23454666
65125	217	1995-08-07	VYDAJ	PREVOD NA UCET	3459	27488	SIPO	CD	23454666
65126	217	1995-09-07	VYDAJ	PREVOD NA UCET	3459	23820	SIPO	CD	23454666
65127	217	1995-10-07	VYDAJ	PREVOD NA UCET	3459	24040	SIPO	CD	23454666
65128	217	1995-11-07	VYDAJ	PREVOD NA UCET	3459	25265	SIPO	CD	23454666
65129	217	1995-12-07	VYDAJ	PREVOD NA UCET	3459	19086	SIPO	CD	23454666
65130	217	1996-01-07	VYDAJ	PREVOD NA UCET	3459	24141	SIPO	CD	23454666
65131	217	1996-02-07	VYDAJ	PREVOD NA UCET	3459	22058	SIPO	CD	23454666
65132	217	1996-03-07	VYDAJ	PREVOD NA UCET	3459	21268	SIPO	CD	23454666
65133	217	1996-04-07	VYDAJ	PREVOD NA UCET	3459	23983	SIPO	CD	23454666
65134	217	1996-05-07	VYDAJ	PREVOD NA UCET	3459	17991	SIPO	CD	23454666
65135	217	1996-06-07	VYDAJ	PREVOD NA UCET	3459	20995	SIPO	CD	23454666
65136	217	1996-07-07	VYDAJ	PREVOD NA UCET	3459	21842	SIPO	CD	23454666
65137	217	1996-08-07	VYDAJ	PREVOD NA UCET	3459	18447	SIPO	CD	23454666
65138	217	1996-09-07	VYDAJ	PREVOD NA UCET	3459	20346	SIPO	CD	23454666
65139	217	1996-10-07	VYDAJ	PREVOD NA UCET	3459	23255	SIPO	CD	23454666
65140	217	1996-11-07	VYDAJ	PREVOD NA UCET	3459	22889	SIPO	CD	23454666
65141	217	1996-12-07	VYDAJ	PREVOD NA UCET	3459	27917	SIPO	CD	23454666
65142	217	1997-01-07	VYDAJ	PREVOD NA UCET	3459	34508	SIPO	CD	23454666
65143	217	1997-02-07	VYDAJ	PREVOD NA UCET	3459	33060	SIPO	CD	23454666
65144	217	1997-03-07	VYDAJ	PREVOD NA UCET	3459	34514	SIPO	CD	23454666
65145	217	1997-04-07	VYDAJ	PREVOD NA UCET	3459	23347	SIPO	CD	23454666
65146	217	1997-05-07	VYDAJ	PREVOD NA UCET	3459	20854	SIPO	CD	23454666
65147	217	1997-06-07	VYDAJ	PREVOD NA UCET	3459	23360	SIPO	CD	23454666
65148	217	1997-07-07	VYDAJ	PREVOD NA UCET	3459	24319	SIPO	CD	23454666
65149	217	1997-08-07	VYDAJ	PREVOD NA UCET	3459	17334	SIPO	CD	23454666
65150	217	1997-09-07	VYDAJ	PREVOD NA UCET	3459	13349	SIPO	CD	23454666
65151	217	1997-10-07	VYDAJ	PREVOD NA UCET	3459	13949	SIPO	CD	23454666
65152	217	1997-11-07	VYDAJ	PREVOD NA UCET	3459	14548	SIPO	CD	23454666
65153	217	1997-12-07	VYDAJ	PREVOD NA UCET	3459	12750	SIPO	CD	23454666
65154	217	1998-01-07	VYDAJ	PREVOD NA UCET	3459	14294	SIPO	CD	23454666
65155	217	1998-02-07	VYDAJ	PREVOD NA UCET	3459	14797	SIPO	CD	23454666
65156	217	1998-03-07	VYDAJ	PREVOD NA UCET	3459	13299	SIPO	CD	23454666
65157	217	1998-04-07	VYDAJ	PREVOD NA UCET	3459	11097	SIPO	CD	23454666
65158	217	1998-05-07	VYDAJ	PREVOD NA UCET	3459	18786	SIPO	CD	23454666
65159	217	1998-06-07	VYDAJ	PREVOD NA UCET	3459	14201	SIPO	CD	23454666
65160	217	1998-07-07	VYDAJ	PREVOD NA UCET	3459	13459	SIPO	CD	23454666
65161	217	1998-08-07	VYDAJ	PREVOD NA UCET	3459	21157	SIPO	CD	23454666
65162	217	1998-09-07	VYDAJ	PREVOD NA UCET	3459	9182	SIPO	CD	23454666
65163	217	1998-10-07	VYDAJ	PREVOD NA UCET	3459	16871	SIPO	CD	23454666
65164	217	1998-11-07	VYDAJ	PREVOD NA UCET	3459	18274	SIPO	CD	23454666
65165	217	1998-12-07	VYDAJ	PREVOD NA UCET	3459	10285	SIPO	CD	23454666
65214	217	1995-12-22	VYDAJ	VYBER	2100	27500	\N	\N	\N
65215	217	1996-12-29	VYDAJ	VYBER	1400	37831	\N	\N	\N
65216	217	1997-12-14	VYDAJ	VYBER	2200	27164	\N	\N	\N
65217	217	1998-12-16	VYDAJ	VYBER	2700	24199	\N	\N	\N
65218	217	1995-09-08	VYDAJ	VYBER	500	23320	\N	\N	\N
65221	217	1995-11-28	VYDAJ	VYBER	3700	22441	\N	\N	\N
65222	217	1995-07-04	VYDAJ	VYBER	2000	32804	\N	\N	\N
65224	217	1996-06-06	VYDAJ	VYBER	900	24454	\N	\N	\N
65225	217	1996-08-01	VYDAJ	VYBER	1600	21906	\N	\N	\N
65226	217	1996-04-20	VYDAJ	VYBER	3400	21359	\N	\N	\N
65227	217	1996-06-16	VYDAJ	VYBER	2200	25209	\N	\N	\N
65228	217	1996-11-28	VYDAJ	VYBER	1400	31265	\N	\N	\N
65229	217	1997-08-06	VYDAJ	VYBER	2100	26493	\N	\N	\N
65230	217	1997-04-24	VYDAJ	VYBER	1400	24223	\N	\N	\N
65231	217	1997-03-22	VYDAJ	VYBER	4400	26690	\N	\N	\N
65232	217	1997-03-13	VYDAJ	VYBER	4200	31090	\N	\N	\N
65233	217	1997-04-11	VYDAJ	VYBER	3400	25623	\N	\N	\N
65234	217	1997-06-26	VYDAJ	VYBER	4700	27674	\N	\N	\N
65235	217	1997-05-07	VYDAJ	VYBER	500	20354	\N	\N	\N
65237	217	1998-11-03	VYDAJ	VYBER	3000	21733	\N	\N	\N
65238	217	1998-10-27	VYDAJ	VYBER	1600	24647	\N	\N	\N
65239	217	1998-10-20	VYDAJ	VYBER	1700	26247	\N	\N	\N
65240	217	1998-07-05	VYDAJ	VYBER	3200	16918	\N	\N	\N
65248	217	1995-06-30	VYDAJ	VYBER	15	34804	SLUZBY	\N	\N
65249	217	1995-07-31	VYDAJ	VYBER	15	30947	SLUZBY	\N	\N
65250	217	1995-08-31	VYDAJ	VYBER	15	27279	SLUZBY	\N	\N
65251	217	1995-09-30	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
65252	217	1995-10-31	VYDAJ	VYBER	15	28724	SLUZBY	\N	\N
65253	217	1995-11-30	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
65254	217	1995-12-31	VYDAJ	VYBER	15	27600	SLUZBY	\N	\N
65255	217	1996-01-31	VYDAJ	VYBER	15	25517	SLUZBY	\N	\N
65256	217	1996-02-29	VYDAJ	VYBER	15	24727	SLUZBY	\N	\N
65257	217	1996-03-31	VYDAJ	VYBER	15	27442	SLUZBY	\N	\N
65258	217	1996-04-30	VYDAJ	VYBER	15	21450	SLUZBY	\N	\N
65259	217	1996-05-31	VYDAJ	VYBER	15	25354	SLUZBY	\N	\N
65260	217	1996-06-30	VYDAJ	VYBER	15	25301	SLUZBY	\N	\N
65261	217	1996-07-31	VYDAJ	VYBER	15	23506	SLUZBY	\N	\N
65262	217	1996-08-31	VYDAJ	VYBER	15	23805	SLUZBY	\N	\N
65263	217	1996-09-30	VYDAJ	VYBER	15	26714	SLUZBY	\N	\N
65264	217	1996-10-31	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
65265	217	1996-11-30	VYDAJ	VYBER	15	31376	SLUZBY	\N	\N
65266	217	1996-12-31	VYDAJ	VYBER	15	37967	SLUZBY	\N	\N
65267	217	1997-01-31	VYDAJ	VYBER	15	36519	SLUZBY	\N	\N
65268	217	1997-02-28	VYDAJ	VYBER	15	37973	SLUZBY	\N	\N
65269	217	1997-03-31	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
65270	217	1997-04-30	VYDAJ	VYBER	15	24313	SLUZBY	\N	\N
65271	217	1997-05-31	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
65272	217	1997-06-30	VYDAJ	VYBER	15	27778	SLUZBY	\N	\N
65273	217	1997-07-31	VYDAJ	VYBER	15	28593	SLUZBY	\N	\N
65274	217	1997-08-31	VYDAJ	VYBER	15	28508	SLUZBY	\N	\N
65275	217	1997-09-30	VYDAJ	VYBER	15	24508	SLUZBY	\N	\N
65276	217	1997-10-31	VYDAJ	VYBER	15	25107	SLUZBY	\N	\N
65277	217	1997-11-30	VYDAJ	VYBER	15	25709	SLUZBY	\N	\N
65278	217	1997-12-31	VYDAJ	VYBER	15	27253	SLUZBY	\N	\N
65279	217	1998-01-31	VYDAJ	VYBER	15	25456	SLUZBY	\N	\N
65280	217	1998-02-28	VYDAJ	VYBER	15	25958	SLUZBY	\N	\N
65281	217	1998-03-31	VYDAJ	VYBER	15	24456	SLUZBY	\N	\N
65282	217	1998-04-30	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
65283	217	1998-05-31	VYDAJ	VYBER	15	29960	SLUZBY	\N	\N
65284	217	1998-06-30	VYDAJ	VYBER	15	30918	SLUZBY	\N	\N
65285	217	1998-07-31	VYDAJ	VYBER	15	24616	SLUZBY	\N	\N
65286	217	1998-08-31	VYDAJ	VYBER	15	32341	SLUZBY	\N	\N
65287	217	1998-09-30	VYDAJ	VYBER	15	20330	SLUZBY	\N	\N
65288	217	1998-10-31	VYDAJ	VYBER	15	24733	SLUZBY	\N	\N
65289	217	1998-11-30	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
65290	217	1995-02-19	PRIJEM	VKLAD	3800	15676	\N	\N	\N
65291	217	1995-03-21	PRIJEM	VKLAD	1100	27875	\N	\N	\N
65292	217	1995-04-20	VYDAJ	VYBER	6900	32135	\N	\N	\N
65293	217	1995-05-20	VYDAJ	VYBER	11500	31833	\N	\N	\N
65294	217	1995-06-19	VYDAJ	VYBER	13900	34681	\N	\N	\N
65295	217	1995-07-19	VYDAJ	VYBER	9600	30821	\N	\N	\N
65296	217	1995-08-18	VYDAJ	VYBER	11400	27164	\N	\N	\N
65297	217	1995-09-17	VYDAJ	VYBER	7000	27396	\N	\N	\N
65298	217	1995-10-17	VYDAJ	VYBER	6500	28616	\N	\N	\N
65299	217	1995-11-16	VYDAJ	VYBER	10200	26141	\N	\N	\N
65300	217	1995-12-16	VYDAJ	VYBER	6100	29600	\N	\N	\N
65301	217	1996-01-15	VYDAJ	VYBER	9800	25417	\N	\N	\N
65302	217	1996-02-14	VYDAJ	VYBER	8500	24634	\N	\N	\N
65303	217	1996-03-15	VYDAJ	VYBER	5000	27344	\N	\N	\N
65304	217	1996-04-14	VYDAJ	VYBER	10300	24759	\N	\N	\N
65305	217	1996-05-14	VYDAJ	VYBER	3800	25267	\N	\N	\N
65306	217	1996-06-13	VYDAJ	VYBER	10200	27409	\N	\N	\N
65307	217	1996-07-13	VYDAJ	VYBER	9500	23418	\N	\N	\N
65308	217	1996-08-12	VYDAJ	VYBER	5800	23723	\N	\N	\N
65309	217	1996-09-11	VYDAJ	VYBER	4800	26622	\N	\N	\N
65310	217	1996-10-11	VYDAJ	VYBER	8100	26231	\N	\N	\N
65311	217	1996-11-10	VYDAJ	VYBER	1300	21589	\N	\N	\N
65312	217	1996-12-10	VYDAJ	VYBER	5300	22617	\N	\N	\N
65313	217	1997-01-09	VYDAJ	VYBER	9200	25308	\N	\N	\N
65314	217	1997-02-08	VYDAJ	VYBER	6300	26760	\N	\N	\N
65315	217	1997-03-10	VYDAJ	VYBER	10300	24214	\N	\N	\N
65316	217	1997-04-09	VYDAJ	VYBER	5400	17947	\N	\N	\N
65317	217	1997-05-09	VYDAJ	VYBER	4700	15654	\N	\N	\N
65318	217	1997-06-08	VYDAJ	VYBER	7600	15760	\N	\N	\N
65319	217	1997-07-08	VYDAJ	VYBER	6900	17419	\N	\N	\N
65320	217	1997-08-07	VYDAJ	VYBER	5700	20793	\N	\N	\N
65321	217	1997-09-06	VYDAJ	VYBER	11700	16808	\N	\N	\N
65322	217	1997-10-06	VYDAJ	VYBER	7100	17408	\N	\N	\N
65323	217	1997-11-05	VYDAJ	VYBER	7100	18007	\N	\N	\N
65324	217	1997-12-05	VYDAJ	VYBER	9500	16209	\N	\N	\N
65325	217	1998-01-04	VYDAJ	VYBER	9500	17753	\N	\N	\N
65326	217	1998-02-03	VYDAJ	VYBER	7200	18256	\N	\N	\N
65327	217	1998-03-05	VYDAJ	VYBER	9200	16758	\N	\N	\N
65328	217	1998-04-04	VYDAJ	VYBER	9900	14556	\N	\N	\N
65329	217	1998-06-03	VYDAJ	VYBER	12300	17660	\N	\N	\N
65330	217	1998-07-03	VYDAJ	VYBER	10800	20118	\N	\N	\N
65331	217	1998-09-01	VYDAJ	VYBER	19700	12641	\N	\N	\N
65332	217	1998-11-30	VYDAJ	VYBER	15700	13758	\N	\N	\N
65380	218	1996-02-06	PRIJEM	VKLAD	500	500	\N	\N	\N
65381	218	1996-06-14	PRIJEM	VKLAD	32065	80045	\N	\N	\N
65382	218	1996-09-28	PRIJEM	VKLAD	38732	59362	\N	\N	\N
65383	218	1996-06-22	PRIJEM	VKLAD	40782	120827	\N	\N	\N
65384	218	1996-08-04	PRIJEM	VKLAD	10152	29726	\N	\N	\N
65385	218	1996-10-28	PRIJEM	VKLAD	35307	42665	\N	\N	\N
65386	218	1996-03-08	PRIJEM	VKLAD	21545	35145	\N	\N	\N
65387	218	1996-04-06	PRIJEM	VKLAD	8843	52987	\N	\N	\N
65390	218	1996-03-19	PRIJEM	VKLAD	8870	44015	\N	\N	\N
65391	218	1996-05-23	PRIJEM	VKLAD	47030	76031	\N	\N	\N
65392	218	1996-10-31	PRIJEM	VKLAD	21478	64211	\N	\N	\N
65393	218	1997-01-26	PRIJEM	VKLAD	47767	45595	\N	\N	\N
65394	218	1997-11-02	PRIJEM	VKLAD	42694	122620	\N	\N	\N
65395	218	1997-11-15	PRIJEM	VKLAD	43985	142205	\N	\N	\N
65396	218	1997-10-15	PRIJEM	VKLAD	5603	66719	\N	\N	\N
65397	218	1997-10-02	PRIJEM	VKLAD	42672	61116	\N	\N	\N
65398	218	1997-09-09	PRIJEM	VKLAD	16393	38991	\N	\N	\N
65399	218	1997-10-21	PRIJEM	VKLAD	28273	94992	\N	\N	\N
65400	218	1997-07-25	PRIJEM	VKLAD	8205	53452	\N	\N	\N
65401	218	1997-05-03	PRIJEM	VKLAD	12174	42912	\N	\N	\N
65402	218	1997-04-08	PRIJEM	VKLAD	21626	55380	\N	\N	\N
65403	218	1997-03-06	PRIJEM	VKLAD	27775	88432	\N	\N	\N
65404	218	1997-06-12	PRIJEM	VKLAD	25390	110842	\N	\N	\N
65405	218	1997-04-11	PRIJEM	VKLAD	46823	102203	\N	\N	\N
65406	218	1997-09-28	PRIJEM	VKLAD	18337	38765	\N	\N	\N
65407	218	1997-07-08	PRIJEM	VKLAD	41986	45247	\N	\N	\N
65408	218	1997-03-28	PRIJEM	VKLAD	7609	65186	\N	\N	\N
65409	218	1997-10-21	PRIJEM	VKLAD	15684	110676	\N	\N	\N
65410	218	1997-03-05	PRIJEM	VKLAD	43110	60657	\N	\N	\N
65411	218	1997-05-20	PRIJEM	VKLAD	40166	97958	\N	\N	\N
65412	218	1997-11-18	PRIJEM	VKLAD	38204	146909	\N	\N	\N
65413	218	1997-06-02	PRIJEM	VKLAD	38838	85452	\N	\N	\N
65414	218	1997-01-05	PRIJEM	VKLAD	6671	10428	\N	\N	\N
65415	218	1997-10-31	PRIJEM	VKLAD	28841	79717	\N	\N	\N
65416	218	1997-12-18	PRIJEM	VKLAD	40908	123359	\N	\N	\N
65417	218	1997-05-17	PRIJEM	VKLAD	14880	57792	\N	\N	\N
65418	218	1997-08-08	PRIJEM	VKLAD	31385	56375	\N	\N	\N
65419	218	1997-12-13	PRIJEM	VKLAD	29301	82451	\N	\N	\N
65420	218	1997-03-18	PRIJEM	VKLAD	27345	115777	\N	\N	\N
65421	218	1998-06-01	PRIJEM	VKLAD	14120	36174	\N	\N	\N
65422	218	1998-02-11	PRIJEM	VKLAD	35578	41670	\N	\N	\N
65423	218	1998-07-18	PRIJEM	VKLAD	20009	71895	\N	\N	\N
65424	218	1998-05-23	PRIJEM	VKLAD	49217	104644	\N	\N	\N
65425	218	1998-02-26	PRIJEM	VKLAD	13585	60451	\N	\N	\N
65426	218	1998-11-17	PRIJEM	VKLAD	43812	90577	\N	\N	\N
65427	218	1998-08-10	PRIJEM	VKLAD	31580	99969	\N	\N	\N
65428	218	1998-06-24	PRIJEM	VKLAD	40557	92434	\N	\N	\N
65429	218	1998-08-17	PRIJEM	VKLAD	45378	145347	\N	\N	\N
65430	218	1998-04-18	PRIJEM	VKLAD	12529	100801	\N	\N	\N
65431	218	1998-10-20	PRIJEM	VKLAD	43279	86947	\N	\N	\N
65432	218	1998-04-15	PRIJEM	VKLAD	40072	66044	\N	\N	\N
65433	218	1998-05-14	PRIJEM	VKLAD	34022	55427	\N	\N	\N
65434	218	1998-02-23	PRIJEM	VKLAD	27444	97266	\N	\N	\N
65435	218	1998-03-15	PRIJEM	VKLAD	16544	56467	\N	\N	\N
65436	218	1998-06-14	PRIJEM	VKLAD	15703	51877	\N	\N	\N
65437	218	1998-02-09	PRIJEM	VKLAD	5996	6092	\N	\N	\N
65438	218	1998-01-18	PRIJEM	VKLAD	11851	45185	\N	\N	\N
65439	218	1998-04-29	PRIJEM	VKLAD	26014	77438	\N	\N	\N
65440	218	1998-09-09	PRIJEM	VKLAD	9220	73939	\N	\N	\N
65441	218	1998-04-16	PRIJEM	VKLAD	22228	88272	\N	\N	\N
65442	218	1998-12-09	PRIJEM	VKLAD	19120	42795	\N	\N	\N
65443	218	1998-08-27	PRIJEM	VKLAD	12034	64416	\N	\N	\N
65444	218	1998-04-19	PRIJEM	VKLAD	23723	124524	\N	\N	\N
65445	218	1998-07-21	PRIJEM	VKLAD	20603	72478	\N	\N	\N
65446	218	1998-08-05	PRIJEM	VKLAD	30203	68389	\N	\N	\N
65447	218	1998-02-13	PRIJEM	VKLAD	28152	69822	\N	\N	\N
65448	218	1998-08-22	PRIJEM	VKLAD	46135	137082	\N	\N	\N
65489	218	1996-09-30	VYBER	VYBER	23466	22642	\N	\N	\N
65490	218	1996-11-28	VYBER	VYBER	18925	20772	\N	\N	\N
65491	218	1996-06-28	VYBER	VYBER	17345	61282	\N	\N	\N
65494	218	1996-10-09	VYBER	VYBER	13070	7358	\N	\N	\N
65495	218	1996-07-26	VYBER	VYBER	8340	31363	\N	\N	\N
65496	218	1996-09-28	VYBER	VYBER	13371	45991	\N	\N	\N
65498	218	1997-09-18	VYBER	VYBER	18563	20428	\N	\N	\N
65499	218	1998-05-02	VYBER	VYBER	24183	53467	\N	\N	\N
65500	218	1998-12-22	VYBER	VYBER	9564	26831	\N	\N	\N
65501	218	1998-11-23	VYBER	VYBER	9237	46940	\N	\N	\N
65502	218	1998-11-11	VYBER	VYBER	2999	46765	\N	\N	\N
65503	218	1998-03-06	VYBER	VYBER	20691	39923	\N	\N	\N
65505	218	1998-05-28	VYBER	VYBER	24668	21868	\N	\N	\N
65506	218	1998-05-05	VYBER	VYBER	12346	41121	\N	\N	\N
65507	218	1998-07-18	VYBER	VYBER	20020	51875	\N	\N	\N
65508	218	1998-12-03	VYBER	VYBER	17782	29375	\N	\N	\N
65509	218	1998-10-20	VYBER	VYBER	11369	75578	\N	\N	\N
65510	218	1998-05-05	VYBER	VYBER	19716	21405	\N	\N	\N
65511	218	1998-05-27	VYBER	VYBER	10908	46536	\N	\N	\N
65512	218	1996-06-27	VYDAJ	VYBER	27000	78627	\N	\N	\N
65513	218	1997-06-29	VYDAJ	VYBER	57300	8842	\N	\N	\N
65517	218	1998-01-21	VYDAJ	VYBER	23100	18785	\N	\N	\N
65518	218	1996-12-30	VYDAJ	VYBER	4200	406	\N	\N	\N
65519	218	1997-12-22	VYDAJ	VYBER	3600	102959	\N	\N	\N
65520	218	1998-12-06	VYDAJ	VYBER	5700	23675	\N	\N	\N
65527	218	1997-01-27	VYDAJ	VYBER	8400	37195	\N	\N	\N
65528	218	1997-01-05	VYDAJ	VYBER	3300	7128	\N	\N	\N
65531	218	1997-01-10	VYDAJ	VYBER	7800	-672	\N	\N	\N
65532	218	1997-01-11	VYDAJ	VYBER	1500	-2172	\N	\N	\N
65533	218	1998-01-11	VYDAJ	VYBER	8700	33334	\N	\N	\N
65534	218	1998-01-26	VYDAJ	VYBER	6900	2385	\N	\N	\N
65535	218	1998-01-04	VYDAJ	VYBER	4800	45034	\N	\N	\N
65536	218	1998-01-08	VYDAJ	VYBER	3000	42034	\N	\N	\N
65537	218	1998-01-30	VYDAJ	VYBER	2400	-15	\N	\N	\N
65538	218	1998-01-20	VYDAJ	VYBER	3300	41885	\N	\N	\N
65539	218	1996-07-28	VYDAJ	VYBER	12000	19363	\N	\N	\N
65541	218	1996-12-23	VYDAJ	VYBER	8400	4606	\N	\N	\N
65543	218	1997-04-26	VYDAJ	VYBER	2100	57403	\N	\N	\N
65544	218	1997-08-17	VYDAJ	VYBER	9900	46475	\N	\N	\N
65546	218	1998-08-03	VYDAJ	VYBER	3000	38186	\N	\N	\N
65547	218	1998-12-14	VYDAJ	VYBER	9300	33495	\N	\N	\N
65548	218	1998-08-18	VYDAJ	VYBER	11400	90947	\N	\N	\N
65549	218	1998-12-24	VYDAJ	VYBER	1500	25331	\N	\N	\N
65550	218	1998-03-25	VYDAJ	VYBER	6000	50467	\N	\N	\N
65557	218	1996-06-30	VYDAJ	VYBER	15	61603	SLUZBY	\N	\N
65558	218	1996-07-31	VYDAJ	VYBER	15	19574	SLUZBY	\N	\N
65559	218	1996-08-31	VYDAJ	VYBER	15	26030	SLUZBY	\N	\N
65560	218	1996-09-30	VYDAJ	VYBER	15	22628	SLUZBY	\N	\N
65561	218	1996-10-31	VYDAJ	VYBER	15	64197	SLUZBY	\N	\N
65562	218	1996-11-30	VYDAJ	VYBER	15	21006	SLUZBY	\N	\N
65563	218	1996-12-31	VYDAJ	VYBER	15	457	SLUZBY	\N	\N
65564	218	1997-01-31	VYDAJ	VYBER	15	22519	SLUZBY	\N	\N
65565	218	1997-02-28	VYDAJ	VYBER	15	22647	SLUZBY	\N	\N
65566	218	1997-03-31	VYDAJ	VYBER	15	65454	SLUZBY	\N	\N
65567	218	1997-04-30	VYDAJ	VYBER	15	57638	SLUZBY	\N	\N
65568	218	1997-05-31	VYDAJ	VYBER	15	98214	SLUZBY	\N	\N
65569	218	1997-06-30	VYDAJ	VYBER	15	9161	SLUZBY	\N	\N
65570	218	1997-07-31	VYDAJ	VYBER	15	24990	SLUZBY	\N	\N
65571	218	1997-08-31	VYDAJ	VYBER	15	22598	SLUZBY	\N	\N
65572	218	1997-09-30	VYDAJ	VYBER	15	18444	SLUZBY	\N	\N
65573	218	1997-10-31	VYDAJ	VYBER	15	79926	SLUZBY	\N	\N
65574	218	1997-11-30	VYDAJ	VYBER	15	53150	SLUZBY	\N	\N
65575	218	1997-12-31	VYDAJ	VYBER	15	49834	SLUZBY	\N	\N
65576	218	1998-01-31	VYDAJ	VYBER	15	96	SLUZBY	\N	\N
65577	218	1998-02-28	VYDAJ	VYBER	15	60615	SLUZBY	\N	\N
65578	218	1998-03-31	VYDAJ	VYBER	15	25972	SLUZBY	\N	\N
65579	218	1998-04-30	VYDAJ	VYBER	15	77650	SLUZBY	\N	\N
65580	218	1998-05-31	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
65581	218	1998-06-30	VYDAJ	VYBER	15	51886	SLUZBY	\N	\N
65582	218	1998-07-31	VYDAJ	VYBER	15	41186	SLUZBY	\N	\N
65583	218	1998-08-31	VYDAJ	VYBER	15	64719	SLUZBY	\N	\N
65584	218	1998-09-30	VYDAJ	VYBER	15	43668	SLUZBY	\N	\N
65585	218	1998-10-31	VYDAJ	VYBER	15	49764	SLUZBY	\N	\N
65586	218	1998-11-30	VYDAJ	VYBER	15	47157	SLUZBY	\N	\N
65587	218	1996-03-07	PRIJEM	VKLAD	13100	13600	\N	\N	\N
65588	218	1996-04-06	VYDAJ	VYBER	13600	39387	\N	\N	\N
65589	218	1996-05-06	VYDAJ	VYBER	10600	29001	\N	\N	\N
65590	218	1996-06-05	VYDAJ	VYBER	28300	47980	\N	\N	\N
65591	218	1996-06-22	VYDAJ	VYBER	15200	105627	\N	\N	\N
65592	218	1996-07-05	VYDAJ	VYBER	21900	39703	\N	\N	\N
65593	218	1996-08-04	VYDAJ	VYBER	3800	25926	\N	\N	\N
65594	218	1996-09-03	VYDAJ	VYBER	5400	20630	\N	\N	\N
65595	218	1996-10-03	VYDAJ	VYBER	2200	20428	\N	\N	\N
65596	218	1996-11-02	VYDAJ	VYBER	24500	39697	\N	\N	\N
65597	218	1996-12-02	VYDAJ	VYBER	8000	13006	\N	\N	\N
65598	218	1997-01-01	PRIJEM	VKLAD	3300	3757	\N	\N	\N
65599	218	1997-01-31	VYDAJ	VYBER	14700	22534	\N	\N	\N
65600	218	1997-03-02	VYDAJ	VYBER	5100	17547	\N	\N	\N
65601	218	1997-03-18	VYDAJ	VYBER	58200	57577	\N	\N	\N
65602	218	1997-04-01	VYDAJ	VYBER	31700	33754	\N	\N	\N
65603	218	1997-04-11	VYDAJ	VYBER	42700	59503	\N	\N	\N
65604	218	1997-05-01	VYDAJ	VYBER	26900	30738	\N	\N	\N
65605	218	1997-05-31	VYDAJ	VYBER	51600	46614	\N	\N	\N
65606	218	1997-06-12	VYDAJ	VYBER	44700	66142	\N	\N	\N
65607	218	1997-06-30	VYDAJ	VYBER	5900	3261	\N	\N	\N
65608	218	1997-07-30	VYDAJ	VYBER	28500	24952	\N	\N	\N
65609	218	1997-08-29	VYDAJ	VYBER	24000	22475	\N	\N	\N
65610	218	1997-09-28	VYDAJ	VYBER	20400	18365	\N	\N	\N
65611	218	1997-10-28	VYDAJ	VYBER	59800	50876	\N	\N	\N
65612	218	1997-11-02	VYDAJ	VYBER	24400	98220	\N	\N	\N
65613	218	1997-11-15	VYDAJ	VYBER	33500	108705	\N	\N	\N
65614	218	1997-11-18	VYDAJ	VYBER	38000	108909	\N	\N	\N
65615	218	1997-11-27	VYDAJ	VYBER	56200	52709	\N	\N	\N
65616	218	1997-12-18	VYDAJ	VYBER	16800	106559	\N	\N	\N
65617	218	1997-12-27	VYDAJ	VYBER	53400	49559	\N	\N	\N
65618	218	1998-01-26	VYDAJ	VYBER	9500	9285	\N	\N	\N
65619	218	1998-02-25	VYDAJ	VYBER	50400	46866	\N	\N	\N
65620	218	1998-03-27	VYDAJ	VYBER	24700	25767	\N	\N	\N
65621	218	1998-04-19	VYDAJ	VYBER	29400	95124	\N	\N	\N
65622	218	1998-04-26	VYDAJ	VYBER	43700	51424	\N	\N	\N
65623	218	1998-05-26	VYDAJ	VYBER	47200	57444	\N	\N	\N
65624	218	1998-06-25	VYDAJ	VYBER	40700	51734	\N	\N	\N
65625	218	1998-07-25	VYDAJ	VYBER	31500	40978	\N	\N	\N
65626	218	1998-08-17	VYDAJ	VYBER	43000	102347	\N	\N	\N
65627	218	1998-08-22	VYDAJ	VYBER	47500	89582	\N	\N	\N
65628	218	1998-08-24	VYDAJ	VYBER	37200	52382	\N	\N	\N
65629	218	1998-09-23	VYDAJ	VYBER	30500	43439	\N	\N	\N
65630	218	1998-10-23	VYDAJ	VYBER	26000	49578	\N	\N	\N
65631	218	1998-11-22	VYDAJ	VYBER	34400	56177	\N	\N	\N
65632	218	1998-12-22	PRIJEM	VKLAD	2900	36395	\N	\N	\N
65671	219	1995-09-06	PRIJEM	VKLAD	500	500	\N	\N	\N
65681	219	1995-10-06	PRIJEM	VKLAD	17766	18266	\N	\N	\N
65682	219	1995-11-06	PRIJEM	VKLAD	17766	39308	\N	\N	\N
65683	219	1995-12-06	PRIJEM	VKLAD	26649	58109	\N	\N	\N
65684	219	1996-01-06	PRIJEM	VKLAD	17766	57405	\N	\N	\N
65685	219	1996-02-06	PRIJEM	VKLAD	17766	58510	\N	\N	\N
65686	219	1996-03-06	PRIJEM	VKLAD	17766	57164	\N	\N	\N
65687	219	1996-04-06	PRIJEM	VKLAD	17766	54768	\N	\N	\N
65688	219	1996-05-06	PRIJEM	VKLAD	17766	52403	\N	\N	\N
65689	219	1996-06-06	PRIJEM	VKLAD	26649	54552	\N	\N	\N
65690	219	1996-07-06	PRIJEM	VKLAD	17766	56214	\N	\N	\N
65691	219	1996-08-06	PRIJEM	VKLAD	17766	55851	\N	\N	\N
65692	219	1996-09-06	PRIJEM	VKLAD	17766	60389	\N	\N	\N
65693	219	1996-10-06	PRIJEM	VKLAD	17766	60034	\N	\N	\N
65694	219	1996-11-06	PRIJEM	VKLAD	17766	62477	\N	\N	\N
65695	219	1996-12-06	PRIJEM	VKLAD	26649	68925	\N	\N	\N
65696	219	1997-01-06	PRIJEM	VKLAD	17766	63234	\N	\N	\N
65697	219	1997-02-06	PRIJEM	VKLAD	17766	50186	\N	\N	\N
65698	219	1997-03-06	PRIJEM	VKLAD	17766	58688	\N	\N	\N
65699	219	1997-04-06	PRIJEM	VKLAD	17766	60464	\N	\N	\N
65700	219	1997-05-06	PRIJEM	VKLAD	17766	62610	\N	\N	\N
65701	219	1997-06-06	PRIJEM	VKLAD	26649	77202	\N	\N	\N
65702	219	1997-07-06	PRIJEM	VKLAD	17766	76904	\N	\N	\N
65703	219	1997-08-06	PRIJEM	VKLAD	17766	78012	\N	\N	\N
65704	219	1997-09-06	PRIJEM	VKLAD	17766	76421	\N	\N	\N
65705	219	1997-10-06	PRIJEM	VKLAD	17766	71961	\N	\N	\N
65706	219	1997-11-06	PRIJEM	VKLAD	17766	73048	\N	\N	\N
65707	219	1997-12-06	PRIJEM	VKLAD	26649	81085	\N	\N	\N
65708	219	1998-01-06	PRIJEM	VKLAD	17766	72972	\N	\N	\N
65709	219	1998-02-06	PRIJEM	VKLAD	17766	65176	\N	\N	\N
65710	219	1998-03-06	PRIJEM	VKLAD	17766	71634	\N	\N	\N
65711	219	1998-04-06	PRIJEM	VKLAD	17766	76418	\N	\N	\N
65712	219	1998-05-06	PRIJEM	VKLAD	17766	75690	\N	\N	\N
65713	219	1998-06-06	PRIJEM	VKLAD	26649	80374	\N	\N	\N
65714	219	1998-07-06	PRIJEM	VKLAD	17766	59138	\N	\N	\N
65715	219	1998-08-06	PRIJEM	VKLAD	17766	65270	\N	\N	\N
65716	219	1998-09-06	PRIJEM	VKLAD	17766	60916	\N	\N	\N
65717	219	1998-10-06	PRIJEM	VKLAD	17766	61946	\N	\N	\N
65718	219	1998-11-06	PRIJEM	VKLAD	17766	60675	\N	\N	\N
65719	219	1998-12-06	PRIJEM	VKLAD	26649	71286	\N	\N	\N
65733	219	1996-02-09	VYDAJ	PREVOD NA UCET	2336	53186	SIPO	GH	77167427
65734	219	1996-03-09	VYDAJ	PREVOD NA UCET	2336	51840	SIPO	GH	77167427
65735	219	1996-04-09	VYDAJ	PREVOD NA UCET	2336	49444	SIPO	GH	77167427
65736	219	1996-05-09	VYDAJ	PREVOD NA UCET	2336	47079	SIPO	GH	77167427
65737	219	1996-06-09	VYDAJ	PREVOD NA UCET	2336	49228	SIPO	GH	77167427
65738	219	1996-07-09	VYDAJ	PREVOD NA UCET	2336	50890	SIPO	GH	77167427
65739	219	1996-08-09	VYDAJ	PREVOD NA UCET	2336	50527	SIPO	GH	77167427
65740	219	1996-09-09	VYDAJ	PREVOD NA UCET	2336	55065	SIPO	GH	77167427
65741	219	1996-10-09	VYDAJ	PREVOD NA UCET	2336	54710	SIPO	GH	77167427
65742	219	1996-11-09	VYDAJ	PREVOD NA UCET	2336	57153	SIPO	GH	77167427
65743	219	1996-12-09	VYDAJ	PREVOD NA UCET	2336	63601	SIPO	GH	77167427
65744	219	1997-01-09	VYDAJ	PREVOD NA UCET	2336	53350	SIPO	GH	77167427
65745	219	1997-02-09	VYDAJ	PREVOD NA UCET	2336	44862	SIPO	GH	77167427
65746	219	1997-03-09	VYDAJ	PREVOD NA UCET	2336	53364	SIPO	GH	77167427
65747	219	1997-04-09	VYDAJ	PREVOD NA UCET	2336	55140	SIPO	GH	77167427
65748	219	1997-05-09	VYDAJ	PREVOD NA UCET	2336	57286	SIPO	GH	77167427
65749	219	1997-06-09	VYDAJ	PREVOD NA UCET	2336	71878	SIPO	GH	77167427
65750	219	1997-07-09	VYDAJ	PREVOD NA UCET	2336	71580	SIPO	GH	77167427
65751	219	1997-08-09	VYDAJ	PREVOD NA UCET	2336	72688	SIPO	GH	77167427
65752	219	1997-09-09	VYDAJ	PREVOD NA UCET	2336	71097	SIPO	GH	77167427
65753	219	1997-10-09	VYDAJ	PREVOD NA UCET	2336	66637	SIPO	GH	77167427
65754	219	1997-11-09	VYDAJ	PREVOD NA UCET	2336	62804	SIPO	GH	77167427
65755	219	1997-12-09	VYDAJ	PREVOD NA UCET	2336	75761	SIPO	GH	77167427
65756	219	1998-01-09	VYDAJ	PREVOD NA UCET	2336	64768	SIPO	GH	77167427
65757	219	1998-02-09	VYDAJ	PREVOD NA UCET	2336	59852	SIPO	GH	77167427
65758	219	1998-03-09	VYDAJ	PREVOD NA UCET	2336	66310	SIPO	GH	77167427
65759	219	1998-04-09	VYDAJ	PREVOD NA UCET	2336	68574	SIPO	GH	77167427
65760	219	1998-05-09	VYDAJ	PREVOD NA UCET	2336	66286	SIPO	GH	77167427
65761	219	1998-06-09	VYDAJ	PREVOD NA UCET	2336	75050	SIPO	GH	77167427
65762	219	1998-07-09	VYDAJ	PREVOD NA UCET	2336	53814	SIPO	GH	77167427
65763	219	1998-08-09	VYDAJ	PREVOD NA UCET	2336	59946	SIPO	GH	77167427
65764	219	1998-09-09	VYDAJ	PREVOD NA UCET	2336	55592	SIPO	GH	77167427
65765	219	1998-10-09	VYDAJ	PREVOD NA UCET	2336	56622	SIPO	GH	77167427
65766	219	1998-11-09	VYDAJ	PREVOD NA UCET	2336	55351	SIPO	GH	77167427
65767	219	1998-12-09	VYDAJ	PREVOD NA UCET	2336	65962	SIPO	GH	77167427
65781	219	1996-02-07	VYDAJ	PREVOD NA UCET	2988	55522	 	OP	33257001
65782	219	1996-03-07	VYDAJ	PREVOD NA UCET	2988	54176	 	OP	33257001
65783	219	1996-04-07	VYDAJ	PREVOD NA UCET	2988	51780	 	OP	33257001
65784	219	1996-05-07	VYDAJ	PREVOD NA UCET	2988	49415	 	OP	33257001
65785	219	1996-06-07	VYDAJ	PREVOD NA UCET	2988	51564	 	OP	33257001
65786	219	1996-07-07	VYDAJ	PREVOD NA UCET	2988	53226	 	OP	33257001
65787	219	1996-08-07	VYDAJ	PREVOD NA UCET	2988	52863	 	OP	33257001
65788	219	1996-09-07	VYDAJ	PREVOD NA UCET	2988	57401	 	OP	33257001
65789	219	1996-10-07	VYDAJ	PREVOD NA UCET	2988	57046	 	OP	33257001
65790	219	1996-11-07	VYDAJ	PREVOD NA UCET	2988	59489	 	OP	33257001
65791	219	1996-12-07	VYDAJ	PREVOD NA UCET	2988	65937	 	OP	33257001
65792	219	1997-01-07	VYDAJ	PREVOD NA UCET	2988	57126	 	OP	33257001
65793	219	1997-02-07	VYDAJ	PREVOD NA UCET	2988	47198	 	OP	33257001
65794	219	1997-03-07	VYDAJ	PREVOD NA UCET	2988	55700	 	OP	33257001
65795	219	1997-04-07	VYDAJ	PREVOD NA UCET	2988	57476	 	OP	33257001
65796	219	1997-05-07	VYDAJ	PREVOD NA UCET	2988	59622	 	OP	33257001
65797	219	1997-06-07	VYDAJ	PREVOD NA UCET	2988	74214	 	OP	33257001
65798	219	1997-07-07	VYDAJ	PREVOD NA UCET	2988	73916	 	OP	33257001
65799	219	1997-08-07	VYDAJ	PREVOD NA UCET	2988	75024	 	OP	33257001
65800	219	1997-09-07	VYDAJ	PREVOD NA UCET	2988	73433	 	OP	33257001
65801	219	1997-10-07	VYDAJ	PREVOD NA UCET	2988	68973	 	OP	33257001
65802	219	1997-11-07	VYDAJ	PREVOD NA UCET	2988	70060	 	OP	33257001
65803	219	1997-12-07	VYDAJ	PREVOD NA UCET	2988	78097	 	OP	33257001
65804	219	1998-01-07	VYDAJ	PREVOD NA UCET	2988	69984	 	OP	33257001
65805	219	1998-02-07	VYDAJ	PREVOD NA UCET	2988	62188	 	OP	33257001
65806	219	1998-03-07	VYDAJ	PREVOD NA UCET	2988	68646	 	OP	33257001
65807	219	1998-04-07	VYDAJ	PREVOD NA UCET	2988	73430	 	OP	33257001
65808	219	1998-05-07	VYDAJ	PREVOD NA UCET	2988	72702	 	OP	33257001
65809	219	1998-06-07	VYDAJ	PREVOD NA UCET	2988	77386	 	OP	33257001
65810	219	1998-07-07	VYDAJ	PREVOD NA UCET	2988	56150	 	OP	33257001
65811	219	1998-08-07	VYDAJ	PREVOD NA UCET	2988	62282	 	OP	33257001
65812	219	1998-09-07	VYDAJ	PREVOD NA UCET	2988	57928	 	OP	33257001
65813	219	1998-10-07	VYDAJ	PREVOD NA UCET	2988	58958	 	OP	33257001
65814	219	1998-11-07	VYDAJ	PREVOD NA UCET	2988	57687	 	OP	33257001
65815	219	1998-12-07	VYDAJ	PREVOD NA UCET	2988	68298	 	OP	33257001
65817	219	1996-06-02	VYDAJ	VYBER	18560	27903	\N	\N	\N
65819	219	1998-06-25	VYDAJ	VYBER	13120	41130	\N	\N	\N
65822	219	1997-01-18	VYDAJ	VYBER	9920	39830	\N	\N	\N
65823	219	1998-01-17	VYDAJ	VYBER	8960	52688	\N	\N	\N
65825	219	1996-12-30	VYDAJ	VYBER	1760	45241	\N	\N	\N
65826	219	1997-12-27	VYDAJ	VYBER	800	58061	\N	\N	\N
65827	219	1998-12-22	VYDAJ	VYBER	4640	47422	\N	\N	\N
65840	219	1997-01-21	VYDAJ	VYBER	2160	37670	\N	\N	\N
65841	219	1997-01-21	VYDAJ	VYBER	1320	36350	\N	\N	\N
65842	219	1997-01-12	VYDAJ	VYBER	2040	51310	\N	\N	\N
65843	219	1997-01-06	VYDAJ	VYBER	3120	60114	\N	\N	\N
65844	219	1997-01-08	VYDAJ	VYBER	1440	55686	\N	\N	\N
65845	219	1997-01-16	VYDAJ	VYBER	1560	49750	\N	\N	\N
65846	219	1998-01-20	VYDAJ	VYBER	840	51848	\N	\N	\N
65847	219	1998-01-21	VYDAJ	VYBER	720	51128	\N	\N	\N
65848	219	1998-01-04	VYDAJ	VYBER	3120	55206	\N	\N	\N
65849	219	1998-01-09	VYDAJ	VYBER	3120	61648	\N	\N	\N
65850	219	1998-01-30	VYDAJ	VYBER	1440	47188	\N	\N	\N
65851	219	1998-01-07	VYDAJ	VYBER	2880	67104	\N	\N	\N
65856	219	1996-07-04	VYDAJ	VYBER	1560	38448	\N	\N	\N
65858	219	1996-03-25	VYDAJ	VYBER	2040	49800	\N	\N	\N
65859	219	1996-11-15	VYDAJ	VYBER	3480	53673	\N	\N	\N
65860	219	1996-09-30	VYDAJ	VYBER	4800	42283	\N	\N	\N
65862	219	1997-11-07	VYDAJ	VYBER	4920	65140	\N	\N	\N
65863	219	1997-05-16	VYDAJ	VYBER	2040	55246	\N	\N	\N
65864	219	1997-04-05	VYDAJ	VYBER	1560	42698	\N	\N	\N
65865	219	1997-10-01	VYDAJ	VYBER	1560	54195	\N	\N	\N
65866	219	1998-04-08	VYDAJ	VYBER	2520	70910	\N	\N	\N
65867	219	1998-09-22	VYDAJ	VYBER KARTOU	2400	43992	\N	\N	0
65868	219	1998-02-18	VYDAJ	VYBER	1200	58652	\N	\N	\N
65869	219	1998-08-29	VYDAJ	VYBER	4800	42946	\N	\N	\N
65870	219	1998-05-07	VYDAJ	VYBER	4080	68622	\N	\N	\N
65885	219	1996-02-29	VYDAJ	VYBER	15	53398	SLUZBY	\N	\N
65886	219	1996-03-31	VYDAJ	VYBER	15	50002	SLUZBY	\N	\N
65887	219	1996-04-30	VYDAJ	VYBER	15	49637	SLUZBY	\N	\N
65888	219	1996-05-31	VYDAJ	VYBER	15	47263	SLUZBY	\N	\N
65889	219	1996-06-30	VYDAJ	VYBER	15	49408	SLUZBY	\N	\N
65890	219	1996-07-31	VYDAJ	VYBER	15	51085	SLUZBY	\N	\N
65891	219	1996-08-31	VYDAJ	VYBER	15	42623	SLUZBY	\N	\N
65892	219	1996-09-30	VYDAJ	VYBER	15	42268	SLUZBY	\N	\N
65893	219	1996-10-31	VYDAJ	VYBER	15	44711	SLUZBY	\N	\N
65894	219	1996-11-30	VYDAJ	VYBER	15	42276	SLUZBY	\N	\N
65895	219	1996-12-31	VYDAJ	VYBER	15	45468	SLUZBY	\N	\N
65896	219	1997-01-31	VYDAJ	VYBER	15	32420	SLUZBY	\N	\N
65897	219	1997-02-28	VYDAJ	VYBER	15	40922	SLUZBY	\N	\N
65898	219	1997-03-31	VYDAJ	VYBER	15	44258	SLUZBY	\N	\N
65899	219	1997-04-30	VYDAJ	VYBER	15	44844	SLUZBY	\N	\N
65900	219	1997-05-31	VYDAJ	VYBER	15	50553	SLUZBY	\N	\N
65901	219	1997-06-30	VYDAJ	VYBER	15	59138	SLUZBY	\N	\N
65902	219	1997-07-31	VYDAJ	VYBER	15	60246	SLUZBY	\N	\N
65903	219	1997-08-31	VYDAJ	VYBER	15	58655	SLUZBY	\N	\N
65904	219	1997-09-30	VYDAJ	VYBER	15	55755	SLUZBY	\N	\N
65905	219	1997-10-31	VYDAJ	VYBER	15	55282	SLUZBY	\N	\N
65906	219	1997-11-30	VYDAJ	VYBER	15	54436	SLUZBY	\N	\N
65907	219	1997-12-31	VYDAJ	VYBER	15	58326	SLUZBY	\N	\N
65908	219	1998-01-31	VYDAJ	VYBER	15	47410	SLUZBY	\N	\N
65909	219	1998-02-28	VYDAJ	VYBER	15	53868	SLUZBY	\N	\N
65910	219	1998-03-31	VYDAJ	VYBER	15	58652	SLUZBY	\N	\N
65911	219	1998-04-30	VYDAJ	VYBER	15	57924	SLUZBY	\N	\N
65912	219	1998-05-31	VYDAJ	VYBER	15	53725	SLUZBY	\N	\N
65913	219	1998-06-30	VYDAJ	VYBER	15	41372	SLUZBY	\N	\N
65914	219	1998-07-31	VYDAJ	VYBER	15	47504	SLUZBY	\N	\N
65915	219	1998-08-31	VYDAJ	VYBER	15	43150	SLUZBY	\N	\N
65916	219	1998-09-30	VYDAJ	VYBER	15	44180	SLUZBY	\N	\N
65917	219	1998-10-31	VYDAJ	VYBER	15	42909	SLUZBY	\N	\N
65918	219	1998-11-30	VYDAJ	VYBER	15	44637	SLUZBY	\N	\N
65919	219	1995-10-06	PRIJEM	VKLAD	3600	21866	\N	\N	\N
65920	219	1995-11-05	VYDAJ	VYBER	400	21542	\N	\N	\N
65921	219	1995-12-05	VYDAJ	VYBER	8000	31460	\N	\N	\N
65922	219	1996-01-04	VYDAJ	VYBER	18700	39639	\N	\N	\N
65923	219	1996-02-03	VYDAJ	VYBER	16900	40744	\N	\N	\N
65924	219	1996-03-04	VYDAJ	VYBER	14000	39398	\N	\N	\N
65925	219	1996-04-03	VYDAJ	VYBER	13000	37002	\N	\N	\N
65926	219	1996-05-03	VYDAJ	VYBER	15000	34637	\N	\N	\N
65927	219	1996-06-02	VYDAJ	VYBER	800	46463	\N	\N	\N
65928	219	1996-07-02	VYDAJ	VYBER	9400	40008	\N	\N	\N
65929	219	1996-08-01	VYDAJ	VYBER	13000	38085	\N	\N	\N
65930	219	1996-08-31	VYDAJ	VYBER	8100	42638	\N	\N	\N
65931	219	1996-09-30	VYDAJ	VYBER	8200	47083	\N	\N	\N
65932	219	1996-10-30	VYDAJ	VYBER	10200	44510	\N	\N	\N
65933	219	1996-11-29	VYDAJ	VYBER	11600	42073	\N	\N	\N
65934	219	1996-12-29	VYDAJ	VYBER	16600	47001	\N	\N	\N
65935	219	1997-01-28	VYDAJ	VYBER	4100	32250	\N	\N	\N
65936	219	1997-02-27	VYDAJ	VYBER	4100	40762	\N	\N	\N
65937	219	1997-03-29	VYDAJ	VYBER	9300	44064	\N	\N	\N
65938	219	1997-04-28	VYDAJ	VYBER	10500	44640	\N	\N	\N
65939	219	1997-05-28	VYDAJ	VYBER	4900	50346	\N	\N	\N
65940	219	1997-06-27	VYDAJ	VYBER	13000	58878	\N	\N	\N
65941	219	1997-07-27	VYDAJ	VYBER	11600	59980	\N	\N	\N
65942	219	1997-08-26	VYDAJ	VYBER	14300	58388	\N	\N	\N
65943	219	1997-09-25	VYDAJ	VYBER	15600	55497	\N	\N	\N
65944	219	1997-10-25	VYDAJ	VYBER	11600	55037	\N	\N	\N
65945	219	1997-11-24	VYDAJ	VYBER	8600	54204	\N	\N	\N
65946	219	1997-12-24	VYDAJ	VYBER	16900	58861	\N	\N	\N
65947	219	1998-01-23	VYDAJ	VYBER	2500	48628	\N	\N	\N
65948	219	1998-02-22	VYDAJ	VYBER	5000	53652	\N	\N	\N
65949	219	1998-03-24	VYDAJ	VYBER	7900	58410	\N	\N	\N
65950	219	1998-04-23	VYDAJ	VYBER	10900	57674	\N	\N	\N
65951	219	1998-05-23	VYDAJ	VYBER	12800	53486	\N	\N	\N
65952	219	1998-06-22	VYDAJ	VYBER	20800	54250	\N	\N	\N
65953	219	1998-07-22	VYDAJ	VYBER	6500	47314	\N	\N	\N
65954	219	1998-08-21	VYDAJ	VYBER	12200	47746	\N	\N	\N
65955	219	1998-09-20	VYDAJ	VYBER	9200	46392	\N	\N	\N
65956	219	1998-10-20	VYDAJ	VYBER	13900	42722	\N	\N	\N
65957	219	1998-11-19	VYDAJ	VYBER	10900	44451	\N	\N	\N
65958	219	1998-12-19	VYDAJ	VYBER	13900	52062	\N	\N	\N
65998	220	1993-04-09	PRIJEM	VKLAD	400	400	\N	\N	\N
66003	220	1993-05-08	PRIJEM	PREVOD Z UCTU	5271	5671	DUCHOD	IJ	9426391
66004	220	1993-06-08	PRIJEM	PREVOD Z UCTU	5271	10942	DUCHOD	IJ	9426391
66005	220	1993-07-08	PRIJEM	PREVOD Z UCTU	5271	16213	DUCHOD	IJ	9426391
66006	220	1993-08-08	PRIJEM	PREVOD Z UCTU	5271	21484	DUCHOD	IJ	9426391
66007	220	1993-09-08	PRIJEM	PREVOD Z UCTU	5271	26755	DUCHOD	IJ	9426391
66008	220	1993-10-08	PRIJEM	PREVOD Z UCTU	5271	28976	DUCHOD	IJ	9426391
66009	220	1993-11-08	PRIJEM	PREVOD Z UCTU	5271	31241	DUCHOD	IJ	9426391
66010	220	1993-12-08	PRIJEM	PREVOD Z UCTU	5271	27590	DUCHOD	IJ	9426391
66011	220	1994-01-08	PRIJEM	PREVOD Z UCTU	5271	28009	DUCHOD	IJ	9426391
66012	220	1994-02-08	PRIJEM	PREVOD Z UCTU	5271	21060	DUCHOD	IJ	9426391
66013	220	1994-03-08	PRIJEM	PREVOD Z UCTU	5271	20091	DUCHOD	IJ	9426391
66014	220	1994-04-08	PRIJEM	PREVOD Z UCTU	5271	22326	DUCHOD	IJ	9426391
66015	220	1994-05-08	PRIJEM	PREVOD Z UCTU	5271	24564	DUCHOD	IJ	9426391
66016	220	1994-06-08	PRIJEM	PREVOD Z UCTU	5271	24870	DUCHOD	IJ	9426391
66017	220	1994-07-08	PRIJEM	PREVOD Z UCTU	5271	24018	DUCHOD	IJ	9426391
66018	220	1994-08-08	PRIJEM	PREVOD Z UCTU	5271	24968	DUCHOD	IJ	9426391
66019	220	1994-09-08	PRIJEM	PREVOD Z UCTU	5271	27221	DUCHOD	IJ	9426391
66020	220	1994-10-08	PRIJEM	PREVOD Z UCTU	5271	28679	DUCHOD	IJ	9426391
66021	220	1994-11-08	PRIJEM	PREVOD Z UCTU	5271	26047	DUCHOD	IJ	9426391
66022	220	1994-12-08	PRIJEM	PREVOD Z UCTU	5271	23318	DUCHOD	IJ	9426391
66023	220	1995-01-08	PRIJEM	PREVOD Z UCTU	5271	23629	DUCHOD	IJ	9426391
66024	220	1995-02-08	PRIJEM	PREVOD Z UCTU	5271	18485	DUCHOD	IJ	9426391
66025	220	1995-03-08	PRIJEM	PREVOD Z UCTU	5271	20226	DUCHOD	IJ	9426391
66026	220	1995-04-08	PRIJEM	PREVOD Z UCTU	5271	20555	DUCHOD	IJ	9426391
66027	220	1995-05-08	PRIJEM	PREVOD Z UCTU	5271	21205	DUCHOD	IJ	9426391
66028	220	1995-06-08	PRIJEM	PREVOD Z UCTU	5271	19556	DUCHOD	IJ	9426391
66029	220	1995-07-08	PRIJEM	PREVOD Z UCTU	5271	19080	DUCHOD	IJ	9426391
66030	220	1995-08-08	PRIJEM	PREVOD Z UCTU	5271	21304	DUCHOD	IJ	9426391
66031	220	1995-09-08	PRIJEM	PREVOD Z UCTU	5271	19234	DUCHOD	IJ	9426391
66032	220	1995-10-08	PRIJEM	PREVOD Z UCTU	5271	16871	DUCHOD	IJ	9426391
66033	220	1995-11-08	PRIJEM	PREVOD Z UCTU	5271	19085	DUCHOD	IJ	9426391
66034	220	1995-12-08	PRIJEM	PREVOD Z UCTU	5271	17406	DUCHOD	IJ	9426391
66035	220	1996-01-08	PRIJEM	PREVOD Z UCTU	5271	18022	DUCHOD	IJ	9426391
66036	220	1996-02-08	PRIJEM	PREVOD Z UCTU	5271	18479	DUCHOD	IJ	9426391
66037	220	1996-03-08	PRIJEM	PREVOD Z UCTU	5271	19399	DUCHOD	IJ	9426391
66038	220	1996-04-08	PRIJEM	PREVOD Z UCTU	5271	17019	DUCHOD	IJ	9426391
66039	220	1996-05-08	PRIJEM	PREVOD Z UCTU	5271	19234	DUCHOD	IJ	9426391
66040	220	1996-06-08	PRIJEM	PREVOD Z UCTU	5271	21459	DUCHOD	IJ	9426391
66041	220	1996-07-08	PRIJEM	PREVOD Z UCTU	5271	19587	DUCHOD	IJ	9426391
66042	220	1996-08-08	PRIJEM	PREVOD Z UCTU	5271	17407	DUCHOD	IJ	9426391
66043	220	1996-09-08	PRIJEM	PREVOD Z UCTU	5271	19624	DUCHOD	IJ	9426391
66044	220	1996-10-08	PRIJEM	PREVOD Z UCTU	5271	21850	DUCHOD	IJ	9426391
66045	220	1996-11-08	PRIJEM	PREVOD Z UCTU	5271	20800	DUCHOD	IJ	9426391
66046	220	1996-12-08	PRIJEM	PREVOD Z UCTU	5271	23031	DUCHOD	IJ	9426391
66047	220	1997-01-08	PRIJEM	PREVOD Z UCTU	5271	22091	DUCHOD	IJ	9426391
66048	220	1997-02-08	PRIJEM	PREVOD Z UCTU	5271	19762	DUCHOD	IJ	9426391
66049	220	1997-03-08	PRIJEM	PREVOD Z UCTU	5271	20546	DUCHOD	IJ	9426391
66050	220	1997-04-08	PRIJEM	PREVOD Z UCTU	5271	19809	DUCHOD	IJ	9426391
66051	220	1997-05-08	PRIJEM	PREVOD Z UCTU	5271	22035	DUCHOD	IJ	9426391
66052	220	1997-06-08	PRIJEM	PREVOD Z UCTU	5271	24271	DUCHOD	IJ	9426391
66053	220	1997-07-08	PRIJEM	PREVOD Z UCTU	5271	24813	DUCHOD	IJ	9426391
66054	220	1997-08-08	PRIJEM	PREVOD Z UCTU	5271	25860	DUCHOD	IJ	9426391
66055	220	1997-09-08	PRIJEM	PREVOD Z UCTU	5271	24916	DUCHOD	IJ	9426391
66056	220	1997-10-08	PRIJEM	PREVOD Z UCTU	5271	27163	DUCHOD	IJ	9426391
66057	220	1997-11-08	PRIJEM	PREVOD Z UCTU	5271	27737	DUCHOD	IJ	9426391
66058	220	1997-12-08	PRIJEM	PREVOD Z UCTU	5271	29996	DUCHOD	IJ	9426391
66059	220	1998-01-08	PRIJEM	PREVOD Z UCTU	5271	30852	DUCHOD	IJ	9426391
66060	220	1998-02-08	PRIJEM	PREVOD Z UCTU	5271	24021	DUCHOD	IJ	9426391
66061	220	1998-03-08	PRIJEM	PREVOD Z UCTU	5271	23864	DUCHOD	IJ	9426391
66062	220	1998-04-08	PRIJEM	PREVOD Z UCTU	5271	26113	DUCHOD	IJ	9426391
66063	220	1998-05-08	PRIJEM	PREVOD Z UCTU	5271	28364	DUCHOD	IJ	9426391
66064	220	1998-06-08	PRIJEM	PREVOD Z UCTU	5271	30626	DUCHOD	IJ	9426391
66065	220	1998-07-08	PRIJEM	PREVOD Z UCTU	5271	25026	DUCHOD	IJ	9426391
66066	220	1998-08-08	PRIJEM	PREVOD Z UCTU	5271	27274	DUCHOD	IJ	9426391
66067	220	1998-09-08	PRIJEM	PREVOD Z UCTU	5271	29530	DUCHOD	IJ	9426391
66068	220	1998-10-08	PRIJEM	PREVOD Z UCTU	5271	31796	DUCHOD	IJ	9426391
66069	220	1998-11-08	PRIJEM	PREVOD Z UCTU	5271	34071	DUCHOD	IJ	9426391
66070	220	1998-12-08	PRIJEM	PREVOD Z UCTU	5271	36356	DUCHOD	IJ	9426391
66079	220	1993-09-13	VYDAJ	PREVOD NA UCET	3095	23660	SIPO	QR	26923066
66080	220	1993-10-13	VYDAJ	PREVOD NA UCET	3095	25881	SIPO	QR	26923066
66081	220	1993-11-13	VYDAJ	PREVOD NA UCET	3095	28146	SIPO	QR	26923066
66082	220	1993-12-13	VYDAJ	PREVOD NA UCET	3095	24495	SIPO	QR	26923066
66083	220	1994-01-13	VYDAJ	PREVOD NA UCET	3095	21314	SIPO	QR	26923066
66084	220	1994-02-13	VYDAJ	PREVOD NA UCET	3095	17965	SIPO	QR	26923066
66085	220	1994-03-13	VYDAJ	PREVOD NA UCET	3095	16996	SIPO	QR	26923066
66086	220	1994-04-13	VYDAJ	PREVOD NA UCET	3095	19231	SIPO	QR	26923066
66087	220	1994-05-13	VYDAJ	PREVOD NA UCET	3095	21469	SIPO	QR	26923066
66088	220	1994-06-13	VYDAJ	PREVOD NA UCET	3095	20175	SIPO	QR	26923066
66089	220	1994-07-13	VYDAJ	PREVOD NA UCET	3095	20923	SIPO	QR	26923066
66090	220	1994-08-13	VYDAJ	PREVOD NA UCET	3095	21873	SIPO	QR	26923066
66091	220	1994-09-13	VYDAJ	PREVOD NA UCET	3095	24126	SIPO	QR	26923066
66092	220	1994-10-13	VYDAJ	PREVOD NA UCET	3095	25584	SIPO	QR	26923066
66093	220	1994-11-13	VYDAJ	PREVOD NA UCET	3095	22952	SIPO	QR	26923066
66094	220	1994-12-13	VYDAJ	PREVOD NA UCET	3095	20223	SIPO	QR	26923066
66095	220	1995-01-13	VYDAJ	PREVOD NA UCET	3095	18774	SIPO	QR	26923066
66096	220	1995-02-13	VYDAJ	PREVOD NA UCET	3095	15390	SIPO	QR	26923066
66097	220	1995-03-13	VYDAJ	PREVOD NA UCET	3095	17131	SIPO	QR	26923066
66098	220	1995-04-13	VYDAJ	PREVOD NA UCET	3095	17460	SIPO	QR	26923066
66099	220	1995-05-13	VYDAJ	PREVOD NA UCET	3095	18110	SIPO	QR	26923066
66100	220	1995-06-13	VYDAJ	PREVOD NA UCET	3095	16461	SIPO	QR	26923066
66101	220	1995-07-13	VYDAJ	PREVOD NA UCET	3095	15985	SIPO	QR	26923066
66102	220	1995-08-13	VYDAJ	PREVOD NA UCET	3095	18209	SIPO	QR	26923066
66103	220	1995-09-13	VYDAJ	PREVOD NA UCET	3095	12859	SIPO	QR	26923066
66104	220	1995-10-13	VYDAJ	PREVOD NA UCET	3095	13776	SIPO	QR	26923066
66105	220	1995-11-13	VYDAJ	PREVOD NA UCET	3095	15990	SIPO	QR	26923066
66106	220	1995-12-13	VYDAJ	PREVOD NA UCET	3095	14311	SIPO	QR	26923066
66107	220	1996-01-13	VYDAJ	PREVOD NA UCET	3095	13167	SIPO	QR	26923066
66108	220	1996-02-13	VYDAJ	PREVOD NA UCET	3095	15384	SIPO	QR	26923066
66109	220	1996-03-13	VYDAJ	PREVOD NA UCET	3095	16304	SIPO	QR	26923066
66110	220	1996-04-13	VYDAJ	PREVOD NA UCET	3095	13924	SIPO	QR	26923066
66111	220	1996-05-13	VYDAJ	PREVOD NA UCET	3095	16139	SIPO	QR	26923066
66112	220	1996-06-13	VYDAJ	PREVOD NA UCET	3095	18364	SIPO	QR	26923066
66113	220	1996-07-13	VYDAJ	PREVOD NA UCET	3095	16492	SIPO	QR	26923066
66114	220	1996-08-13	VYDAJ	PREVOD NA UCET	3095	14312	SIPO	QR	26923066
66115	220	1996-09-13	VYDAJ	PREVOD NA UCET	3095	16529	SIPO	QR	26923066
66116	220	1996-10-13	VYDAJ	PREVOD NA UCET	3095	18755	SIPO	QR	26923066
66117	220	1996-11-13	VYDAJ	PREVOD NA UCET	3095	17705	SIPO	QR	26923066
66118	220	1996-12-13	VYDAJ	PREVOD NA UCET	3095	19936	SIPO	QR	26923066
66119	220	1997-01-13	VYDAJ	PREVOD NA UCET	3095	17476	SIPO	QR	26923066
66120	220	1997-02-13	VYDAJ	PREVOD NA UCET	3095	16667	SIPO	QR	26923066
66121	220	1997-03-13	VYDAJ	PREVOD NA UCET	3095	14491	SIPO	QR	26923066
66122	220	1997-04-13	VYDAJ	PREVOD NA UCET	3095	16714	SIPO	QR	26923066
66123	220	1997-05-13	VYDAJ	PREVOD NA UCET	3095	18940	SIPO	QR	26923066
66124	220	1997-06-13	VYDAJ	PREVOD NA UCET	3095	21176	SIPO	QR	26923066
66125	220	1997-07-13	VYDAJ	PREVOD NA UCET	3095	21718	SIPO	QR	26923066
66126	220	1997-08-13	VYDAJ	PREVOD NA UCET	3095	22765	SIPO	QR	26923066
66127	220	1997-09-13	VYDAJ	PREVOD NA UCET	3095	21821	SIPO	QR	26923066
66128	220	1997-10-13	VYDAJ	PREVOD NA UCET	3095	24068	SIPO	QR	26923066
66129	220	1997-11-13	VYDAJ	PREVOD NA UCET	3095	24642	SIPO	QR	26923066
66130	220	1997-12-13	VYDAJ	PREVOD NA UCET	3095	26901	SIPO	QR	26923066
66131	220	1998-01-13	VYDAJ	PREVOD NA UCET	3095	27757	SIPO	QR	26923066
66132	220	1998-02-13	VYDAJ	PREVOD NA UCET	3095	20926	SIPO	QR	26923066
66133	220	1998-03-13	VYDAJ	PREVOD NA UCET	3095	20769	SIPO	QR	26923066
66134	220	1998-04-13	VYDAJ	PREVOD NA UCET	3095	23018	SIPO	QR	26923066
66135	220	1998-05-13	VYDAJ	PREVOD NA UCET	3095	25269	SIPO	QR	26923066
66136	220	1998-06-13	VYDAJ	PREVOD NA UCET	3095	19681	SIPO	QR	26923066
66137	220	1998-07-13	VYDAJ	PREVOD NA UCET	3095	21931	SIPO	QR	26923066
66138	220	1998-08-13	VYDAJ	PREVOD NA UCET	3095	24179	SIPO	QR	26923066
66139	220	1998-09-13	VYDAJ	PREVOD NA UCET	3095	26435	SIPO	QR	26923066
66140	220	1998-10-13	VYDAJ	PREVOD NA UCET	3095	28701	SIPO	QR	26923066
66141	220	1998-11-13	VYDAJ	PREVOD NA UCET	3095	30976	SIPO	QR	26923066
66142	220	1998-12-13	VYDAJ	PREVOD NA UCET	3095	32311	SIPO	QR	26923066
66145	220	1995-06-25	VYDAJ	VYBER	2700	13761	\N	\N	\N
66147	220	1997-06-21	VYDAJ	VYBER	1700	19476	\N	\N	\N
66148	220	1998-06-12	VYDAJ	VYBER	7850	22776	\N	\N	\N
66150	220	1994-01-08	VYDAJ	VYBER	2400	25609	\N	\N	\N
66151	220	1995-01-16	VYDAJ	VYBER	2100	16674	\N	\N	\N
66153	220	1997-01-06	VYDAJ	VYBER	1600	16820	\N	\N	\N
66154	220	1998-01-15	VYDAJ	VYBER	1250	24907	\N	\N	\N
66155	220	1993-12-15	VYDAJ	VYBER	400	24095	\N	\N	\N
66156	220	1994-12-28	VYDAJ	VYBER	650	19573	\N	\N	\N
66158	220	1996-12-29	VYDAJ	VYBER	300	19636	\N	\N	\N
66159	220	1997-12-20	VYDAJ	VYBER	850	26051	\N	\N	\N
66160	220	1998-12-12	VYDAJ	VYBER	950	35406	\N	\N	\N
66167	220	1994-01-30	VYDAJ	VYBER	1120	15714	\N	\N	\N
66168	220	1994-01-22	VYDAJ	VYBER	1920	19394	\N	\N	\N
66169	220	1994-01-10	VYDAJ	VYBER	1200	24409	\N	\N	\N
66170	220	1994-01-06	VYDAJ	VYBER	1440	22738	\N	\N	\N
66171	220	1994-01-28	VYDAJ	VYBER	1600	16834	\N	\N	\N
66172	220	1994-01-25	VYDAJ	VYBER	960	18434	\N	\N	\N
66173	220	1995-01-11	VYDAJ	VYBER	1760	21869	\N	\N	\N
66174	220	1995-01-01	VYDAJ	VYBER	1280	18358	\N	\N	\N
66175	220	1995-01-25	VYDAJ	VYBER	400	15154	\N	\N	\N
66176	220	1995-01-25	VYDAJ	VYBER	2000	13154	\N	\N	\N
66177	220	1995-01-20	VYDAJ	VYBER	1120	15554	\N	\N	\N
66181	220	1996-01-08	VYDAJ	VYBER	1760	16262	\N	\N	\N
66187	220	1997-01-09	VYDAJ	VYBER	1520	20571	\N	\N	\N
66188	220	1997-01-13	VYDAJ	VYBER	1280	16196	\N	\N	\N
66189	220	1997-01-04	VYDAJ	VYBER	1280	18420	\N	\N	\N
66190	220	1997-01-20	VYDAJ	VYBER	1760	14436	\N	\N	\N
66191	220	1998-01-26	VYDAJ	VYBER	720	20187	\N	\N	\N
66192	220	1998-01-25	VYDAJ	VYBER	640	22747	\N	\N	\N
66193	220	1998-01-18	VYDAJ	VYBER	1520	23387	\N	\N	\N
66194	220	1998-01-14	VYDAJ	VYBER	1600	26157	\N	\N	\N
66195	220	1998-01-28	VYDAJ	VYBER	1520	18667	\N	\N	\N
66196	220	1998-01-25	VYDAJ	VYBER	1840	20907	\N	\N	\N
66199	220	1993-11-28	VYDAJ	VYBER	2240	22226	\N	\N	\N
66200	220	1993-11-21	VYDAJ	VYBER	3680	24466	\N	\N	\N
66204	220	1994-02-14	VYDAJ	VYBER	480	17485	\N	\N	\N
66205	220	1994-05-26	VYDAJ	VYBER	800	20029	\N	\N	\N
66206	220	1994-03-01	VYDAJ	VYBER	2720	14820	\N	\N	\N
66207	220	1994-07-25	VYDAJ	VYBER	400	20523	\N	\N	\N
66208	220	1994-06-11	VYDAJ	VYBER	1600	23270	\N	\N	\N
66209	220	1994-11-21	VYDAJ	VYBER	1680	21272	\N	\N	\N
66210	220	1994-05-23	VYDAJ	VYBER	640	20829	\N	\N	\N
66211	220	1995-02-22	VYDAJ	VYBER	480	14910	\N	\N	\N
66213	220	1995-09-11	VYDAJ	VYBER	3280	15954	\N	\N	\N
66214	220	1995-05-07	VYDAJ	VYBER	1280	15934	\N	\N	\N
66215	220	1995-05-13	VYDAJ	VYBER	2480	15630	\N	\N	\N
66216	220	1996-10-22	VYDAJ	VYBER	3280	15475	\N	\N	\N
66218	220	1997-12-21	VYDAJ	VYBER	560	25491	\N	\N	\N
66219	220	1997-08-30	VYDAJ	VYBER	3200	19565	\N	\N	\N
66220	220	1997-02-21	VYDAJ	VYBER	1440	15227	\N	\N	\N
66221	220	1997-08-07	VYDAJ	VYBER	1200	20589	\N	\N	\N
66222	220	1997-03-09	VYDAJ	VYBER	2400	18146	\N	\N	\N
66223	220	1997-10-21	VYDAJ	VYBER	1680	22388	\N	\N	\N
66224	220	1997-03-11	VYDAJ	VYBER	560	17586	\N	\N	\N
66225	220	1998-12-30	VYDAJ	VYBER	3920	28391	\N	\N	\N
66226	220	1998-03-02	VYDAJ	VYBER	2400	18593	\N	\N	\N
66236	220	1993-09-30	VYDAJ	VYBER	15	23705	SLUZBY	\N	\N
66237	220	1993-10-31	VYDAJ	VYBER	15	25970	SLUZBY	\N	\N
66238	220	1993-11-30	VYDAJ	VYBER	15	22319	SLUZBY	\N	\N
66239	220	1993-12-31	VYDAJ	VYBER	15	24178	SLUZBY	\N	\N
66240	220	1994-01-31	VYDAJ	VYBER	15	15789	SLUZBY	\N	\N
66241	220	1994-02-28	VYDAJ	VYBER	15	17540	SLUZBY	\N	\N
66242	220	1994-03-31	VYDAJ	VYBER	15	17055	SLUZBY	\N	\N
66243	220	1994-04-30	VYDAJ	VYBER	15	19293	SLUZBY	\N	\N
66244	220	1994-05-31	VYDAJ	VYBER	15	20099	SLUZBY	\N	\N
66245	220	1994-06-30	VYDAJ	VYBER	15	20247	SLUZBY	\N	\N
66246	220	1994-07-31	VYDAJ	VYBER	15	20597	SLUZBY	\N	\N
66247	220	1994-08-31	VYDAJ	VYBER	15	21950	SLUZBY	\N	\N
66248	220	1994-09-30	VYDAJ	VYBER	15	24208	SLUZBY	\N	\N
66249	220	1994-10-31	VYDAJ	VYBER	15	20776	SLUZBY	\N	\N
66250	220	1994-11-30	VYDAJ	VYBER	15	21347	SLUZBY	\N	\N
66251	220	1994-12-31	VYDAJ	VYBER	15	19638	SLUZBY	\N	\N
66252	220	1995-01-31	VYDAJ	VYBER	15	13214	SLUZBY	\N	\N
66253	220	1995-02-28	VYDAJ	VYBER	15	14955	SLUZBY	\N	\N
66254	220	1995-03-31	VYDAJ	VYBER	15	15284	SLUZBY	\N	\N
66255	220	1995-04-30	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
66256	220	1995-05-31	VYDAJ	VYBER	15	14285	SLUZBY	\N	\N
66257	220	1995-06-30	VYDAJ	VYBER	15	13809	SLUZBY	\N	\N
66258	220	1995-07-31	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
66259	220	1995-08-31	VYDAJ	VYBER	15	13963	SLUZBY	\N	\N
66260	220	1995-09-30	VYDAJ	VYBER	15	11600	SLUZBY	\N	\N
66261	220	1995-10-31	VYDAJ	VYBER	15	13814	SLUZBY	\N	\N
66262	220	1995-11-30	VYDAJ	VYBER	15	12135	SLUZBY	\N	\N
66263	220	1995-12-31	VYDAJ	VYBER	15	12751	SLUZBY	\N	\N
66264	220	1996-01-31	VYDAJ	VYBER	15	13208	SLUZBY	\N	\N
66265	220	1996-02-29	VYDAJ	VYBER	15	14128	SLUZBY	\N	\N
66266	220	1996-03-31	VYDAJ	VYBER	15	11748	SLUZBY	\N	\N
66267	220	1996-04-30	VYDAJ	VYBER	15	13963	SLUZBY	\N	\N
66268	220	1996-05-31	VYDAJ	VYBER	15	16188	SLUZBY	\N	\N
66269	220	1996-06-30	VYDAJ	VYBER	15	14316	SLUZBY	\N	\N
66270	220	1996-07-31	VYDAJ	VYBER	15	12136	SLUZBY	\N	\N
66271	220	1996-08-31	VYDAJ	VYBER	15	14353	SLUZBY	\N	\N
66272	220	1996-09-30	VYDAJ	VYBER	15	16579	SLUZBY	\N	\N
66273	220	1996-10-31	VYDAJ	VYBER	15	15529	SLUZBY	\N	\N
66274	220	1996-11-30	VYDAJ	VYBER	15	17760	SLUZBY	\N	\N
66275	220	1996-12-31	VYDAJ	VYBER	15	19700	SLUZBY	\N	\N
66276	220	1997-01-31	VYDAJ	VYBER	15	14491	SLUZBY	\N	\N
66277	220	1997-02-28	VYDAJ	VYBER	15	15275	SLUZBY	\N	\N
66278	220	1997-03-31	VYDAJ	VYBER	15	14538	SLUZBY	\N	\N
66279	220	1997-04-30	VYDAJ	VYBER	15	16764	SLUZBY	\N	\N
66280	220	1997-05-31	VYDAJ	VYBER	15	19000	SLUZBY	\N	\N
66281	220	1997-06-30	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
66282	220	1997-07-31	VYDAJ	VYBER	15	21789	SLUZBY	\N	\N
66283	220	1997-08-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
66284	220	1997-09-30	VYDAJ	VYBER	15	21892	SLUZBY	\N	\N
66285	220	1997-10-31	VYDAJ	VYBER	15	22466	SLUZBY	\N	\N
66286	220	1997-11-30	VYDAJ	VYBER	15	24725	SLUZBY	\N	\N
66287	220	1997-12-31	VYDAJ	VYBER	15	25581	SLUZBY	\N	\N
66288	220	1998-01-31	VYDAJ	VYBER	15	18750	SLUZBY	\N	\N
66289	220	1998-02-28	VYDAJ	VYBER	15	20993	SLUZBY	\N	\N
66290	220	1998-03-31	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
66291	220	1998-04-30	VYDAJ	VYBER	15	23093	SLUZBY	\N	\N
66292	220	1998-05-31	VYDAJ	VYBER	15	25355	SLUZBY	\N	\N
66293	220	1998-06-30	VYDAJ	VYBER	15	19755	SLUZBY	\N	\N
66294	220	1998-07-31	VYDAJ	VYBER	15	22003	SLUZBY	\N	\N
66295	220	1998-08-31	VYDAJ	VYBER	15	24259	SLUZBY	\N	\N
66296	220	1998-09-30	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
66297	220	1998-10-31	VYDAJ	VYBER	15	28800	SLUZBY	\N	\N
66298	220	1998-11-30	VYDAJ	VYBER	15	31085	SLUZBY	\N	\N
66299	220	1994-06-03	VYDAJ	VYBER	500	19599	\N	\N	\N
66300	220	1994-07-03	VYDAJ	VYBER	1500	18747	\N	\N	\N
66301	220	1994-08-02	VYDAJ	VYBER	900	19697	\N	\N	\N
66302	220	1994-10-01	VYDAJ	VYBER	800	23408	\N	\N	\N
66303	220	1994-10-31	VYDAJ	VYBER	4900	20791	\N	\N	\N
66304	220	1994-11-30	VYDAJ	VYBER	3300	18047	\N	\N	\N
66305	220	1995-03-30	VYDAJ	VYBER	1900	15231	\N	\N	\N
66306	220	1995-04-29	VYDAJ	VYBER	300	17160	\N	\N	\N
66307	220	1995-05-29	VYDAJ	VYBER	1400	14230	\N	\N	\N
66308	220	1995-08-27	VYDAJ	VYBER	4300	13909	\N	\N	\N
66309	220	1995-09-26	VYDAJ	VYBER	1300	11559	\N	\N	\N
66310	220	1995-11-25	VYDAJ	VYBER	3900	12090	\N	\N	\N
66311	220	1995-12-25	VYDAJ	VYBER	1600	12711	\N	\N	\N
66312	220	1996-02-23	VYDAJ	VYBER	1300	14084	\N	\N	\N
66313	220	1996-03-24	VYDAJ	VYBER	4600	11704	\N	\N	\N
66314	220	1996-06-22	VYDAJ	VYBER	4100	14264	\N	\N	\N
66315	220	1996-07-22	VYDAJ	VYBER	4400	12092	\N	\N	\N
66380	221	1996-10-30	PRIJEM	VKLAD	300	300	\N	\N	\N
66391	221	1996-11-09	PRIJEM	VKLAD	21434	21734	\N	\N	\N
66392	221	1996-12-09	PRIJEM	VKLAD	32151	56092	\N	\N	\N
66393	221	1997-01-09	PRIJEM	VKLAD	21434	60431	\N	\N	\N
66394	221	1997-02-09	PRIJEM	VKLAD	21434	65630	\N	\N	\N
66395	221	1997-03-09	PRIJEM	VKLAD	21434	69249	\N	\N	\N
66396	221	1997-04-09	PRIJEM	VKLAD	21434	63998	\N	\N	\N
66397	221	1997-05-09	PRIJEM	VKLAD	21434	60025	\N	\N	\N
66398	221	1997-06-09	PRIJEM	VKLAD	32151	65351	\N	\N	\N
66399	221	1997-07-09	PRIJEM	VKLAD	21434	47215	\N	\N	\N
66400	221	1997-08-09	PRIJEM	VKLAD	21434	51074	\N	\N	\N
66401	221	1997-09-09	PRIJEM	VKLAD	21434	55748	\N	\N	\N
66402	221	1997-10-09	PRIJEM	VKLAD	21434	54636	\N	\N	\N
66403	221	1997-11-09	PRIJEM	VKLAD	21434	53618	\N	\N	\N
66404	221	1997-12-09	PRIJEM	VKLAD	32151	60312	\N	\N	\N
66405	221	1998-01-09	PRIJEM	VKLAD	21434	58919	\N	\N	\N
66406	221	1998-02-09	PRIJEM	VKLAD	21434	54225	\N	\N	\N
66407	221	1998-03-09	PRIJEM	VKLAD	21434	56805	\N	\N	\N
66408	221	1998-04-09	PRIJEM	VKLAD	21434	55995	\N	\N	\N
66409	221	1998-05-09	PRIJEM	VKLAD	21434	58783	\N	\N	\N
66410	221	1998-06-09	PRIJEM	VKLAD	32151	69998	\N	\N	\N
66411	221	1998-07-09	PRIJEM	VKLAD	21434	58305	\N	\N	\N
66412	221	1998-08-09	PRIJEM	VKLAD	21434	60400	\N	\N	\N
66413	221	1998-09-09	PRIJEM	VKLAD	21434	59498	\N	\N	\N
66414	221	1998-10-09	PRIJEM	VKLAD	21434	58491	\N	\N	\N
66415	221	1998-11-09	PRIJEM	VKLAD	21434	55990	\N	\N	\N
66416	221	1998-12-09	PRIJEM	VKLAD	32151	67301	\N	\N	\N
66431	221	1997-03-13	VYDAJ	PREVOD NA UCET	7896	61353	SIPO	CD	98228793
66432	221	1997-04-13	VYDAJ	PREVOD NA UCET	7896	56102	SIPO	CD	98228793
66433	221	1997-05-13	VYDAJ	PREVOD NA UCET	7896	52129	SIPO	CD	98228793
66434	221	1997-06-13	VYDAJ	PREVOD NA UCET	7896	57455	SIPO	CD	98228793
66435	221	1997-07-13	VYDAJ	PREVOD NA UCET	7896	39319	SIPO	CD	98228793
66436	221	1997-08-13	VYDAJ	PREVOD NA UCET	7896	43178	SIPO	CD	98228793
66437	221	1997-09-13	VYDAJ	PREVOD NA UCET	7896	47852	SIPO	CD	98228793
66438	221	1997-10-13	VYDAJ	PREVOD NA UCET	7896	46740	SIPO	CD	98228793
66439	221	1997-11-13	VYDAJ	PREVOD NA UCET	7896	45722	SIPO	CD	98228793
66440	221	1997-12-13	VYDAJ	PREVOD NA UCET	7896	52416	SIPO	CD	98228793
66441	221	1998-01-13	VYDAJ	PREVOD NA UCET	7896	49423	SIPO	CD	98228793
66442	221	1998-02-13	VYDAJ	PREVOD NA UCET	7896	46329	SIPO	CD	98228793
66443	221	1998-03-13	VYDAJ	PREVOD NA UCET	7896	48909	SIPO	CD	98228793
66444	221	1998-04-13	VYDAJ	PREVOD NA UCET	7896	48099	SIPO	CD	98228793
66445	221	1998-05-13	VYDAJ	PREVOD NA UCET	7896	50887	SIPO	CD	98228793
66446	221	1998-06-13	VYDAJ	PREVOD NA UCET	7896	62102	SIPO	CD	98228793
66447	221	1998-07-13	VYDAJ	PREVOD NA UCET	7896	50409	SIPO	CD	98228793
66448	221	1998-08-13	VYDAJ	PREVOD NA UCET	7896	52504	SIPO	CD	98228793
66449	221	1998-09-13	VYDAJ	PREVOD NA UCET	7896	51602	SIPO	CD	98228793
66450	221	1998-10-13	VYDAJ	PREVOD NA UCET	7896	48995	SIPO	CD	98228793
66451	221	1998-11-13	VYDAJ	PREVOD NA UCET	7896	48094	SIPO	CD	98228793
66452	221	1998-12-13	VYDAJ	PREVOD NA UCET	7896	58305	SIPO	CD	98228793
66454	221	1997-06-16	VYDAJ	VYBER	25400	32055	\N	\N	\N
66455	221	1998-06-21	VYDAJ	VYBER	18100	44002	\N	\N	\N
66458	221	1998-01-24	VYDAJ	VYBER	4400	35923	\N	\N	\N
66460	221	1997-12-13	VYDAJ	VYBER	2400	50016	\N	\N	\N
66461	221	1998-12-12	VYDAJ	VYBER	1100	66201	\N	\N	\N
66474	221	1998-01-13	VYDAJ	VYBER	700	58219	\N	\N	\N
66475	221	1998-01-28	VYDAJ	VYBER	2500	32623	\N	\N	\N
66476	221	1998-01-02	VYDAJ	VYBER	1100	37485	\N	\N	\N
66477	221	1998-01-13	VYDAJ	VYBER	900	57319	\N	\N	\N
66478	221	1998-01-15	VYDAJ	VYBER	1200	48223	\N	\N	\N
66479	221	1998-01-27	VYDAJ	VYBER	800	35123	\N	\N	\N
66487	221	1997-11-30	VYDAJ	VYBER	1700	29976	\N	\N	\N
66488	221	1997-12-08	VYDAJ	VYBER	1800	28161	\N	\N	\N
66490	221	1997-05-30	VYDAJ	VYBER	2600	33029	\N	\N	\N
66491	221	1997-07-27	VYDAJ	VYBER	500	29519	\N	\N	\N
66492	221	1997-06-21	VYDAJ	VYBER	3200	28855	\N	\N	\N
66493	221	1998-10-09	VYDAJ	VYBER	1600	56891	\N	\N	\N
66494	221	1998-11-08	VYDAJ	VYBER	2800	34556	\N	\N	\N
66510	221	1997-03-31	VYDAJ	VYBER	15	42564	SLUZBY	\N	\N
66511	221	1997-04-30	VYDAJ	VYBER	15	38591	SLUZBY	\N	\N
66512	221	1997-05-31	VYDAJ	VYBER	15	33200	SLUZBY	\N	\N
66513	221	1997-06-30	VYDAJ	VYBER	15	25781	SLUZBY	\N	\N
66514	221	1997-07-31	VYDAJ	VYBER	15	29640	SLUZBY	\N	\N
66515	221	1997-08-31	VYDAJ	VYBER	15	34314	SLUZBY	\N	\N
66516	221	1997-09-30	VYDAJ	VYBER	15	33202	SLUZBY	\N	\N
66517	221	1997-10-31	VYDAJ	VYBER	15	32184	SLUZBY	\N	\N
66518	221	1997-11-30	VYDAJ	VYBER	15	29961	SLUZBY	\N	\N
66519	221	1997-12-31	VYDAJ	VYBER	15	38585	SLUZBY	\N	\N
66520	221	1998-01-31	VYDAJ	VYBER	15	32791	SLUZBY	\N	\N
66521	221	1998-02-28	VYDAJ	VYBER	15	35371	SLUZBY	\N	\N
66522	221	1998-03-31	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
66523	221	1998-04-30	VYDAJ	VYBER	15	37349	SLUZBY	\N	\N
66524	221	1998-05-31	VYDAJ	VYBER	15	37847	SLUZBY	\N	\N
66525	221	1998-06-30	VYDAJ	VYBER	15	36871	SLUZBY	\N	\N
66526	221	1998-07-31	VYDAJ	VYBER	15	38966	SLUZBY	\N	\N
66527	221	1998-08-31	VYDAJ	VYBER	15	38064	SLUZBY	\N	\N
66528	221	1998-09-30	VYDAJ	VYBER	15	37057	SLUZBY	\N	\N
66529	221	1998-10-31	VYDAJ	VYBER	15	37356	SLUZBY	\N	\N
66530	221	1998-11-30	VYDAJ	VYBER	15	35150	SLUZBY	\N	\N
66531	221	1996-11-29	PRIJEM	VKLAD	2200	23934	\N	\N	\N
66532	221	1996-12-29	VYDAJ	VYBER	17200	38892	\N	\N	\N
66533	221	1997-01-28	VYDAJ	VYBER	16400	44031	\N	\N	\N
66534	221	1997-02-27	VYDAJ	VYBER	18000	47630	\N	\N	\N
66535	221	1997-03-29	VYDAJ	VYBER	19000	42353	\N	\N	\N
66536	221	1997-04-28	VYDAJ	VYBER	17700	38402	\N	\N	\N
66537	221	1997-05-28	VYDAJ	VYBER	16500	35629	\N	\N	\N
66538	221	1997-06-27	VYDAJ	VYBER	3200	25655	\N	\N	\N
66539	221	1997-07-27	VYDAJ	VYBER	9300	30019	\N	\N	\N
66540	221	1997-08-26	VYDAJ	VYBER	9000	34178	\N	\N	\N
66541	221	1997-09-25	VYDAJ	VYBER	14800	33052	\N	\N	\N
66542	221	1997-10-25	VYDAJ	VYBER	14700	32040	\N	\N	\N
66543	221	1997-11-24	VYDAJ	VYBER	14200	31522	\N	\N	\N
66544	221	1997-12-24	VYDAJ	VYBER	11600	38416	\N	\N	\N
66545	221	1998-01-23	VYDAJ	VYBER	7900	40323	\N	\N	\N
66546	221	1998-02-22	VYDAJ	VYBER	11100	35229	\N	\N	\N
66547	221	1998-03-24	VYDAJ	VYBER	14500	34409	\N	\N	\N
66548	221	1998-04-23	VYDAJ	VYBER	10900	37199	\N	\N	\N
66549	221	1998-05-23	VYDAJ	VYBER	13200	37687	\N	\N	\N
66550	221	1998-06-22	VYDAJ	VYBER	7300	36702	\N	\N	\N
66551	221	1998-07-22	VYDAJ	VYBER	11600	38809	\N	\N	\N
66552	221	1998-08-21	VYDAJ	VYBER	14600	37904	\N	\N	\N
66553	221	1998-09-20	VYDAJ	VYBER	14700	36902	\N	\N	\N
66554	221	1998-10-20	VYDAJ	VYBER	11800	37195	\N	\N	\N
66555	221	1998-11-19	VYDAJ	VYBER	13100	34994	\N	\N	\N
66582	222	1993-03-15	PRIJEM	VKLAD	500	500	\N	\N	\N
66586	222	1993-04-10	PRIJEM	PREVOD Z UCTU	34409	34909	\N	OP	38463211
66587	222	1993-05-10	PRIJEM	PREVOD Z UCTU	34409	64890	\N	OP	38463211
66588	222	1993-06-10	PRIJEM	PREVOD Z UCTU	51614	95262	\N	OP	38463211
66589	222	1993-07-10	PRIJEM	PREVOD Z UCTU	34409	93190	\N	OP	38463211
66590	222	1993-08-10	PRIJEM	PREVOD Z UCTU	34409	92942	\N	OP	38463211
66591	222	1993-09-10	PRIJEM	PREVOD Z UCTU	34409	71525	\N	OP	38463211
66592	222	1993-10-10	PRIJEM	PREVOD Z UCTU	34409	71779	\N	OP	38463211
66593	222	1993-11-10	PRIJEM	PREVOD Z UCTU	34409	81456	\N	OP	38463211
66594	222	1993-12-10	PRIJEM	PREVOD Z UCTU	51614	102048	\N	OP	38463211
66595	222	1994-01-10	PRIJEM	PREVOD Z UCTU	34409	61279	\N	OP	38463211
66596	222	1994-02-10	PRIJEM	PREVOD Z UCTU	34409	59052	\N	OP	38463211
66597	222	1994-03-10	PRIJEM	PREVOD Z UCTU	34409	68780	\N	OP	38463211
66598	222	1994-04-10	PRIJEM	PREVOD Z UCTU	34409	70353	\N	OP	38463211
66599	222	1994-05-10	PRIJEM	PREVOD Z UCTU	34409	80310	\N	OP	38463211
66600	222	1994-06-10	PRIJEM	PREVOD Z UCTU	51614	90071	\N	OP	38463211
66601	222	1994-07-10	PRIJEM	PREVOD Z UCTU	34409	82185	\N	OP	38463211
66602	222	1994-08-10	PRIJEM	PREVOD Z UCTU	34409	83993	\N	OP	38463211
66603	222	1994-09-10	PRIJEM	PREVOD Z UCTU	34409	88714	\N	OP	38463211
66604	222	1994-10-10	PRIJEM	PREVOD Z UCTU	34409	87918	\N	OP	38463211
66605	222	1994-11-10	PRIJEM	PREVOD Z UCTU	34409	80875	\N	OP	38463211
66606	222	1994-12-10	PRIJEM	PREVOD Z UCTU	51614	101814	\N	OP	38463211
66607	222	1995-01-10	PRIJEM	PREVOD Z UCTU	34409	66987	\N	OP	38463211
66608	222	1995-02-10	PRIJEM	PREVOD Z UCTU	34409	62349	\N	OP	38463211
66609	222	1995-03-10	PRIJEM	PREVOD Z UCTU	34409	75564	\N	OP	38463211
66610	222	1995-04-10	PRIJEM	PREVOD Z UCTU	34409	82342	\N	OP	38463211
66611	222	1995-05-10	PRIJEM	PREVOD Z UCTU	34409	81770	\N	OP	38463211
66612	222	1995-06-10	PRIJEM	PREVOD Z UCTU	51614	106081	\N	OP	38463211
66613	222	1995-07-10	PRIJEM	PREVOD Z UCTU	34409	100386	\N	OP	38463211
66614	222	1995-08-10	PRIJEM	PREVOD Z UCTU	34409	87614	\N	OP	38463211
66615	222	1995-09-10	PRIJEM	PREVOD Z UCTU	34409	84365	\N	OP	38463211
66616	222	1995-10-10	PRIJEM	PREVOD Z UCTU	34409	89399	\N	OP	38463211
66617	222	1995-11-10	PRIJEM	PREVOD Z UCTU	34409	82752	\N	OP	38463211
66618	222	1995-12-10	PRIJEM	PREVOD Z UCTU	51614	103751	\N	OP	38463211
66619	222	1996-01-10	PRIJEM	PREVOD Z UCTU	34409	80111	\N	OP	38463211
66620	222	1996-02-10	PRIJEM	PREVOD Z UCTU	34409	66879	\N	OP	38463211
66621	222	1996-03-10	PRIJEM	PREVOD Z UCTU	34409	76409	\N	OP	38463211
66622	222	1996-04-10	PRIJEM	PREVOD Z UCTU	34409	81577	\N	OP	38463211
66623	222	1996-05-10	PRIJEM	PREVOD Z UCTU	34409	74065	\N	OP	38463211
66624	222	1996-06-10	PRIJEM	PREVOD Z UCTU	51614	97323	\N	OP	38463211
66625	222	1996-07-10	PRIJEM	PREVOD Z UCTU	34409	69237	\N	OP	38463211
66626	222	1996-08-10	PRIJEM	PREVOD Z UCTU	34409	72779	\N	OP	38463211
66627	222	1996-09-10	PRIJEM	PREVOD Z UCTU	34409	69008	\N	OP	38463211
66628	222	1996-10-10	PRIJEM	PREVOD Z UCTU	34409	62915	\N	OP	38463211
66629	222	1996-11-10	PRIJEM	PREVOD Z UCTU	34409	63993	\N	OP	38463211
66630	222	1996-12-10	PRIJEM	PREVOD Z UCTU	51614	89619	\N	OP	38463211
66631	222	1997-01-10	PRIJEM	PREVOD Z UCTU	34409	72580	\N	OP	38463211
66632	222	1997-02-10	PRIJEM	PREVOD Z UCTU	34409	71142	\N	OP	38463211
66633	222	1997-03-10	PRIJEM	PREVOD Z UCTU	34409	79994	\N	OP	38463211
66634	222	1997-04-10	PRIJEM	PREVOD Z UCTU	34409	84378	\N	OP	38463211
66635	222	1997-05-10	PRIJEM	PREVOD Z UCTU	34409	68074	\N	OP	38463211
66636	222	1997-06-10	PRIJEM	PREVOD Z UCTU	51614	87219	\N	OP	38463211
66637	222	1997-07-10	PRIJEM	PREVOD Z UCTU	34409	88382	\N	OP	38463211
66638	222	1997-08-10	PRIJEM	PREVOD Z UCTU	34409	68368	\N	OP	38463211
66639	222	1997-09-10	PRIJEM	PREVOD Z UCTU	34409	62806	\N	OP	38463211
66640	222	1997-10-10	PRIJEM	PREVOD Z UCTU	34409	73128	\N	OP	38463211
66641	222	1997-11-10	PRIJEM	PREVOD Z UCTU	34409	73367	\N	OP	38463211
66642	222	1997-12-10	PRIJEM	PREVOD Z UCTU	51614	86173	\N	OP	38463211
66643	222	1998-01-10	PRIJEM	PREVOD Z UCTU	34409	79400	\N	OP	38463211
66644	222	1998-02-10	PRIJEM	PREVOD Z UCTU	34409	65164	\N	OP	38463211
66645	222	1998-03-10	PRIJEM	PREVOD Z UCTU	34409	65580	\N	OP	38463211
66646	222	1998-04-10	PRIJEM	PREVOD Z UCTU	34409	65497	\N	OP	38463211
66647	222	1998-05-10	PRIJEM	PREVOD Z UCTU	34409	60805	\N	OP	38463211
66648	222	1998-06-10	PRIJEM	PREVOD Z UCTU	51614	73699	\N	OP	38463211
66649	222	1998-07-10	PRIJEM	PREVOD Z UCTU	34409	57449	\N	OP	38463211
66650	222	1998-08-10	PRIJEM	PREVOD Z UCTU	34409	58333	\N	OP	38463211
66651	222	1998-09-10	PRIJEM	PREVOD Z UCTU	34409	59521	\N	OP	38463211
66652	222	1998-10-10	PRIJEM	PREVOD Z UCTU	34409	85071	\N	OP	38463211
66653	222	1998-11-10	PRIJEM	PREVOD Z UCTU	34409	68830	\N	OP	38463211
66654	222	1998-12-10	PRIJEM	PREVOD Z UCTU	51614	75940	\N	OP	38463211
66727	222	1993-08-20	VYBER	VYBER	14129	45013	\N	\N	\N
66731	222	1993-12-23	VYBER	VYBER	24055	40693	\N	\N	\N
66735	222	1994-07-11	VYBER	VYBER	5486	76699	\N	\N	\N
66736	222	1994-06-05	VYBER	VYBER	10256	55357	\N	\N	\N
66737	222	1994-11-12	VYBER	VYBER	6676	74199	\N	\N	\N
66738	222	1994-02-26	VYBER	VYBER	4358	34218	\N	\N	\N
66739	222	1994-05-31	VYBER	VYBER	11108	69523	\N	\N	\N
66740	222	1994-01-22	VYBER	VYBER	9845	22805	\N	\N	\N
66741	222	1994-06-02	VYBER	VYBER	3896	65613	\N	\N	\N
66742	222	1994-01-18	VYBER	VYBER	10629	34150	\N	\N	\N
66743	222	1994-09-15	VYBER	VYBER	4141	84573	\N	\N	\N
66744	222	1994-02-20	VYBER	VYBER	20476	38576	\N	\N	\N
66746	222	1994-12-21	VYBER	VYBER	10048	67166	\N	\N	\N
66747	222	1995-12-10	VYBER	VYBER	21370	82381	\N	\N	\N
66748	222	1995-07-21	VYBER	VYBER	15268	85118	\N	\N	\N
66749	222	1995-01-17	VYBER	VYBER	23516	43471	\N	\N	\N
66750	222	1996-10-30	VYBER	VYBER	3696	29419	\N	\N	\N
66751	222	1996-06-24	VYBER	VYBER	7170	90153	\N	\N	\N
66752	222	1996-01-18	VYBER	VYBER	4151	57360	\N	\N	\N
66754	222	1996-10-06	VYBER	VYBER	9431	28506	\N	\N	\N
66755	222	1997-08-15	VYBER	VYBER	17310	47345	\N	\N	\N
66757	222	1997-12-15	VYBER	VYBER	6188	78185	\N	\N	\N
66758	222	1997-05-24	VYBER	VYBER	9191	35440	\N	\N	\N
66759	222	1997-08-04	VYBER	VYBER	5356	33959	\N	\N	\N
66760	222	1997-05-13	VYBER	VYBER	3643	64431	\N	\N	\N
66761	222	1997-07-23	VYBER	VYBER	18913	39069	\N	\N	\N
66762	222	1997-01-13	VYBER	VYBER	7030	65550	\N	\N	\N
66765	222	1997-11-08	VYBER	VYBER	3917	38958	\N	\N	\N
66766	222	1997-04-30	VYBER	VYBER	20603	33680	\N	\N	\N
66767	222	1997-08-12	VYBER	VYBER	3713	64655	\N	\N	\N
66772	222	1998-12-17	VYBER	VYBER	9275	59765	\N	\N	\N
66774	222	1998-06-16	VYBER	VYBER	8836	64863	\N	\N	\N
66777	222	1994-06-25	VYDAJ	VYBER	17100	72971	\N	\N	\N
66779	222	1996-06-25	VYDAJ	VYBER	36000	54153	\N	\N	\N
66782	222	1993-12-09	VYDAJ	VYBER	2700	50434	\N	\N	\N
66783	222	1994-12-16	VYDAJ	VYBER	8100	83814	\N	\N	\N
66784	222	1995-12-26	VYDAJ	VYBER	8700	73681	\N	\N	\N
66785	222	1996-12-25	VYDAJ	VYBER	5400	48819	\N	\N	\N
66786	222	1997-12-04	VYDAJ	VYBER	6300	34559	\N	\N	\N
66787	222	1998-12-13	VYDAJ	VYBER	6900	69040	\N	\N	\N
66794	222	1994-01-14	VYDAJ	VYBER	8400	52879	\N	\N	\N
66795	222	1994-01-19	VYDAJ	VYBER	1500	32650	\N	\N	\N
66797	222	1994-01-05	VYDAJ	VYBER	1500	39470	\N	\N	\N
66798	222	1994-01-08	VYDAJ	VYBER	8100	31370	\N	\N	\N
66799	222	1994-01-15	VYDAJ	VYBER	8100	44779	\N	\N	\N
66800	222	1995-01-01	VYDAJ	VYBER	2400	65078	\N	\N	\N
66801	222	1995-01-01	VYDAJ	VYBER	4200	60878	\N	\N	\N
66802	222	1995-01-21	VYDAJ	VYBER	7500	33571	\N	\N	\N
66803	222	1995-01-02	VYDAJ	VYBER	5700	55178	\N	\N	\N
66804	222	1995-01-21	VYDAJ	VYBER	2400	41071	\N	\N	\N
66805	222	1995-01-06	VYDAJ	VYBER	2400	32578	\N	\N	\N
66807	222	1996-01-17	VYDAJ	VYBER	7500	61511	\N	\N	\N
66808	222	1996-01-10	VYDAJ	VYBER	5100	75011	\N	\N	\N
66809	222	1996-01-22	VYDAJ	VYBER	3900	53460	\N	\N	\N
66810	222	1996-01-13	VYDAJ	VYBER	2400	72611	\N	\N	\N
66811	222	1996-01-13	VYDAJ	VYBER	3600	69011	\N	\N	\N
66812	222	1997-01-19	VYDAJ	VYBER	5700	55650	\N	\N	\N
66813	222	1997-01-01	VYDAJ	VYBER	4500	44471	\N	\N	\N
66814	222	1997-01-23	VYDAJ	VYBER	3000	36550	\N	\N	\N
66815	222	1997-01-22	VYDAJ	VYBER	2400	53250	\N	\N	\N
66816	222	1997-01-03	VYDAJ	VYBER	6300	38171	\N	\N	\N
66817	222	1997-01-13	VYDAJ	VYBER	4200	61350	\N	\N	\N
66819	222	1998-01-19	VYDAJ	VYBER	5100	30600	\N	\N	\N
66820	222	1998-01-14	VYDAJ	VYBER	6300	73100	\N	\N	\N
66821	222	1998-01-18	VYDAJ	VYBER	5400	67700	\N	\N	\N
66825	222	1993-09-14	VYDAJ	VYBER	12600	37225	\N	\N	\N
66828	222	1993-08-27	VYDAJ	VYBER	8100	36913	\N	\N	\N
66830	222	1994-08-23	VYDAJ	VYBER	2700	81293	\N	\N	\N
66831	222	1994-12-20	VYDAJ	VYBER	6600	77214	\N	\N	\N
66832	222	1994-07-18	VYDAJ	VYBER	8700	67999	\N	\N	\N
66833	222	1994-12-10	VYDAJ	VYBER	9900	91914	\N	\N	\N
66834	222	1994-11-08	VYDAJ	VYBER	9600	46466	\N	\N	\N
66835	222	1995-05-03	VYDAJ	VYBER	11100	71561	\N	\N	\N
66836	222	1995-08-29	VYDAJ	VYBER	11100	76514	\N	\N	\N
66837	222	1995-03-01	VYDAJ	VYBER	3600	58955	\N	\N	\N
66838	222	1995-01-03	VYDAJ	VYBER	6000	49178	\N	\N	\N
66839	222	1995-10-30	VYDAJ	VYBER	11100	78299	\N	\N	\N
66841	222	1996-10-14	VYDAJ	VYBER	12900	50015	\N	\N	\N
66842	222	1996-08-28	VYDAJ	VYBER	8400	34379	\N	\N	\N
66843	222	1996-05-05	VYDAJ	VYBER	8400	39656	\N	\N	\N
66844	222	1996-08-03	VYDAJ	VYBER	4800	38370	\N	\N	\N
66845	222	1997-08-22	VYDAJ	VYBER	3000	28245	\N	\N	\N
66846	222	1997-07-04	VYDAJ	VYBER	2400	53973	\N	\N	\N
66847	222	1997-12-13	VYDAJ	VYBER KARTOU	1800	84373	\N	\N	0
66848	222	1998-09-23	VYDAJ	VYBER KARTOU	2100	50521	\N	\N	0
66851	222	1998-09-15	VYDAJ	VYBER	6900	52621	\N	\N	\N
66860	222	1993-08-31	VYDAJ	VYBER	15	37116	SLUZBY	\N	\N
66861	222	1993-09-30	VYDAJ	VYBER	15	37370	SLUZBY	\N	\N
66862	222	1993-10-31	VYDAJ	VYBER	15	47047	SLUZBY	\N	\N
66863	222	1993-11-30	VYDAJ	VYBER	15	53134	SLUZBY	\N	\N
66864	222	1993-12-31	VYDAJ	VYBER	15	40970	SLUZBY	\N	\N
66865	222	1994-01-31	VYDAJ	VYBER	15	22943	SLUZBY	\N	\N
66866	222	1994-02-28	VYDAJ	VYBER	15	34371	SLUZBY	\N	\N
66867	222	1994-03-31	VYDAJ	VYBER	15	46644	SLUZBY	\N	\N
66868	222	1994-04-30	VYDAJ	VYBER	15	70601	SLUZBY	\N	\N
66869	222	1994-05-31	VYDAJ	VYBER	15	69509	SLUZBY	\N	\N
66870	222	1994-06-30	VYDAJ	VYBER	15	73276	SLUZBY	\N	\N
66871	222	1994-07-31	VYDAJ	VYBER	15	68284	SLUZBY	\N	\N
66872	222	1994-08-31	VYDAJ	VYBER	15	81605	SLUZBY	\N	\N
66873	222	1994-09-30	VYDAJ	VYBER	15	84909	SLUZBY	\N	\N
66874	222	1994-10-31	VYDAJ	VYBER	15	88266	SLUZBY	\N	\N
66875	222	1994-11-30	VYDAJ	VYBER	15	74500	SLUZBY	\N	\N
66876	222	1994-12-31	VYDAJ	VYBER	15	67478	SLUZBY	\N	\N
66877	222	1995-01-31	VYDAJ	VYBER	15	33740	SLUZBY	\N	\N
66878	222	1995-02-28	VYDAJ	VYBER	15	62555	SLUZBY	\N	\N
66879	222	1995-03-31	VYDAJ	VYBER	15	75833	SLUZBY	\N	\N
66880	222	1995-04-30	VYDAJ	VYBER	15	82661	SLUZBY	\N	\N
66881	222	1995-05-31	VYDAJ	VYBER	15	82067	SLUZBY	\N	\N
66882	222	1995-06-30	VYDAJ	VYBER	15	106477	SLUZBY	\N	\N
66883	222	1995-07-31	VYDAJ	VYBER	15	85505	SLUZBY	\N	\N
66884	222	1995-08-31	VYDAJ	VYBER	15	76856	SLUZBY	\N	\N
66885	222	1995-09-30	VYDAJ	VYBER	15	84690	SLUZBY	\N	\N
66886	222	1995-10-31	VYDAJ	VYBER	15	48343	SLUZBY	\N	\N
66887	222	1995-11-30	VYDAJ	VYBER	15	82937	SLUZBY	\N	\N
66888	222	1995-12-31	VYDAJ	VYBER	15	45702	SLUZBY	\N	\N
66889	222	1996-01-31	VYDAJ	VYBER	15	32470	SLUZBY	\N	\N
66890	222	1996-02-29	VYDAJ	VYBER	15	42000	SLUZBY	\N	\N
66891	222	1996-03-31	VYDAJ	VYBER	15	47168	SLUZBY	\N	\N
66892	222	1996-04-30	VYDAJ	VYBER	15	48056	SLUZBY	\N	\N
66893	222	1996-05-31	VYDAJ	VYBER	15	45709	SLUZBY	\N	\N
66894	222	1996-06-30	VYDAJ	VYBER	15	34828	SLUZBY	\N	\N
66895	222	1996-07-31	VYDAJ	VYBER	15	43170	SLUZBY	\N	\N
66896	222	1996-08-31	VYDAJ	VYBER	15	34599	SLUZBY	\N	\N
66897	222	1996-09-30	VYDAJ	VYBER	15	37937	SLUZBY	\N	\N
66898	222	1996-10-31	VYDAJ	VYBER	15	29584	SLUZBY	\N	\N
66899	222	1996-11-30	VYDAJ	VYBER	15	38005	SLUZBY	\N	\N
66900	222	1996-12-31	VYDAJ	VYBER	15	48971	SLUZBY	\N	\N
66901	222	1997-01-31	VYDAJ	VYBER	15	36733	SLUZBY	\N	\N
66902	222	1997-02-28	VYDAJ	VYBER	15	45585	SLUZBY	\N	\N
66903	222	1997-03-31	VYDAJ	VYBER	15	49969	SLUZBY	\N	\N
66904	222	1997-04-30	VYDAJ	VYBER	15	33665	SLUZBY	\N	\N
66905	222	1997-05-31	VYDAJ	VYBER	15	35605	SLUZBY	\N	\N
66906	222	1997-06-30	VYDAJ	VYBER	15	56373	SLUZBY	\N	\N
66907	222	1997-07-31	VYDAJ	VYBER	15	39315	SLUZBY	\N	\N
66908	222	1997-08-31	VYDAJ	VYBER	15	28397	SLUZBY	\N	\N
66909	222	1997-09-30	VYDAJ	VYBER	15	38719	SLUZBY	\N	\N
66910	222	1997-10-31	VYDAJ	VYBER	15	42875	SLUZBY	\N	\N
66911	222	1997-11-30	VYDAJ	VYBER	15	40859	SLUZBY	\N	\N
66912	222	1997-12-31	VYDAJ	VYBER	15	44991	SLUZBY	\N	\N
66913	222	1998-01-31	VYDAJ	VYBER	15	30755	SLUZBY	\N	\N
66914	222	1998-02-28	VYDAJ	VYBER	15	31171	SLUZBY	\N	\N
66915	222	1998-03-31	VYDAJ	VYBER	15	31088	SLUZBY	\N	\N
66916	222	1998-04-30	VYDAJ	VYBER	15	26396	SLUZBY	\N	\N
66917	222	1998-05-31	VYDAJ	VYBER	15	22085	SLUZBY	\N	\N
66918	222	1998-06-30	VYDAJ	VYBER	15	23040	SLUZBY	\N	\N
66919	222	1998-07-31	VYDAJ	VYBER	15	23924	SLUZBY	\N	\N
66920	222	1998-08-31	VYDAJ	VYBER	15	25112	SLUZBY	\N	\N
66921	222	1998-09-30	VYDAJ	VYBER	15	50662	SLUZBY	\N	\N
66922	222	1998-10-31	VYDAJ	VYBER	15	34421	SLUZBY	\N	\N
66923	222	1998-11-30	VYDAJ	VYBER	15	24326	SLUZBY	\N	\N
66924	222	1993-04-14	VYDAJ	VYBER	4500	30409	\N	\N	\N
66925	222	1993-05-14	VYDAJ	VYBER	21400	43490	\N	\N	\N
66926	222	1993-06-13	VYDAJ	VYBER	36700	58562	\N	\N	\N
66927	222	1993-07-13	VYDAJ	VYBER	34900	58290	\N	\N	\N
66928	222	1993-08-12	VYDAJ	VYBER	33800	59142	\N	\N	\N
66929	222	1993-09-11	VYDAJ	VYBER	21700	49825	\N	\N	\N
66930	222	1993-10-11	VYDAJ	VYBER	24900	46879	\N	\N	\N
66931	222	1993-11-10	VYDAJ	VYBER	28600	52856	\N	\N	\N
66932	222	1993-12-10	VYDAJ	VYBER	37300	64748	\N	\N	\N
66933	222	1994-01-09	VYDAJ	VYBER	4500	26870	\N	\N	\N
66934	222	1994-02-08	PRIJEM	VKLAD	1700	24643	\N	\N	\N
66935	222	1994-03-10	VYDAJ	VYBER	22300	46480	\N	\N	\N
66936	222	1994-04-09	VYDAJ	VYBER	10700	35944	\N	\N	\N
66937	222	1994-05-09	VYDAJ	VYBER	24700	45901	\N	\N	\N
66938	222	1994-06-08	VYDAJ	VYBER	16900	38457	\N	\N	\N
66939	222	1994-07-08	VYDAJ	VYBER	25500	47776	\N	\N	\N
66940	222	1994-08-07	VYDAJ	VYBER	18700	49584	\N	\N	\N
66941	222	1994-09-06	VYDAJ	VYBER	27300	54305	\N	\N	\N
66942	222	1994-10-06	VYDAJ	VYBER	31400	53509	\N	\N	\N
66943	222	1994-11-05	VYDAJ	VYBER	32200	56066	\N	\N	\N
66944	222	1994-12-05	VYDAJ	VYBER	24300	50200	\N	\N	\N
66945	222	1995-01-04	VYDAJ	VYBER	14200	34978	\N	\N	\N
66946	222	1995-02-03	VYDAJ	VYBER	5800	27940	\N	\N	\N
66947	222	1995-03-05	VYDAJ	VYBER	17800	41155	\N	\N	\N
66948	222	1995-04-04	VYDAJ	VYBER	27900	47933	\N	\N	\N
66949	222	1995-05-04	VYDAJ	VYBER	24200	47361	\N	\N	\N
66950	222	1995-06-03	VYDAJ	VYBER	27600	54467	\N	\N	\N
66951	222	1995-07-03	VYDAJ	VYBER	40500	65977	\N	\N	\N
66952	222	1995-08-02	VYDAJ	VYBER	32300	53205	\N	\N	\N
66953	222	1995-09-01	VYDAJ	VYBER	26900	49956	\N	\N	\N
66954	222	1995-10-01	VYDAJ	VYBER	29700	54990	\N	\N	\N
66955	222	1995-10-31	VYDAJ	VYBER	30300	48357	\N	\N	\N
66956	222	1995-11-30	VYDAJ	VYBER	30800	52137	\N	\N	\N
66957	222	1995-12-30	VYDAJ	VYBER	28300	45381	\N	\N	\N
66958	222	1996-01-29	VYDAJ	VYBER	21200	32260	\N	\N	\N
66959	222	1996-02-28	VYDAJ	VYBER	25000	41879	\N	\N	\N
66960	222	1996-03-29	VYDAJ	VYBER	29400	47009	\N	\N	\N
66961	222	1996-04-28	VYDAJ	VYBER	33700	47877	\N	\N	\N
66962	222	1996-05-28	VYDAJ	VYBER	28600	45465	\N	\N	\N
66963	222	1996-06-27	VYDAJ	VYBER	19500	34653	\N	\N	\N
66964	222	1996-07-27	VYDAJ	VYBER	26200	43037	\N	\N	\N
66965	222	1996-08-26	VYDAJ	VYBER	30000	42779	\N	\N	\N
66966	222	1996-09-25	VYDAJ	VYBER	31200	37808	\N	\N	\N
66967	222	1996-10-25	VYDAJ	VYBER	16900	33115	\N	\N	\N
66968	222	1996-11-24	VYDAJ	VYBER	26100	37893	\N	\N	\N
66969	222	1996-12-24	VYDAJ	VYBER	35400	54219	\N	\N	\N
66970	222	1997-01-23	VYDAJ	VYBER	13700	39550	\N	\N	\N
66971	222	1997-02-22	VYDAJ	VYBER	25700	45442	\N	\N	\N
66972	222	1997-03-24	VYDAJ	VYBER	30200	49794	\N	\N	\N
66973	222	1997-04-23	VYDAJ	VYBER	30300	54078	\N	\N	\N
66974	222	1997-05-23	VYDAJ	VYBER	19800	44631	\N	\N	\N
66975	222	1997-06-22	VYDAJ	VYBER	31000	56219	\N	\N	\N
66976	222	1997-07-22	VYDAJ	VYBER	30400	57982	\N	\N	\N
66977	222	1997-08-21	VYDAJ	VYBER	16100	31245	\N	\N	\N
66978	222	1997-09-20	VYDAJ	VYBER	24200	38606	\N	\N	\N
66979	222	1997-10-20	VYDAJ	VYBER	30400	42728	\N	\N	\N
66980	222	1997-11-19	VYDAJ	VYBER	32700	40667	\N	\N	\N
66981	222	1997-12-19	VYDAJ	VYBER	33400	44785	\N	\N	\N
66982	222	1998-01-18	VYDAJ	VYBER	32000	35700	\N	\N	\N
66983	222	1998-02-17	VYDAJ	VYBER	34100	31064	\N	\N	\N
66984	222	1998-03-19	VYDAJ	VYBER	34600	30980	\N	\N	\N
66985	222	1998-04-18	VYDAJ	VYBER	39200	26297	\N	\N	\N
66986	222	1998-05-18	VYDAJ	VYBER	38800	22005	\N	\N	\N
66987	222	1998-06-17	VYDAJ	VYBER	41900	22963	\N	\N	\N
66988	222	1998-07-17	VYDAJ	VYBER	33600	23849	\N	\N	\N
66989	222	1998-08-16	VYDAJ	VYBER	33300	25033	\N	\N	\N
66990	222	1998-10-15	VYDAJ	VYBER	50800	34271	\N	\N	\N
66991	222	1998-11-14	VYDAJ	VYBER	44600	24230	\N	\N	\N
67061	223	1995-06-13	PRIJEM	VKLAD	800	800	\N	\N	\N
67062	223	1995-08-04	PRIJEM	VKLAD	44703	57703	\N	\N	\N
67063	223	1995-10-12	PRIJEM	VKLAD	46867	76363	\N	\N	\N
67064	223	1996-06-04	PRIJEM	VKLAD	39587	64365	\N	\N	\N
67065	223	1996-02-26	PRIJEM	VKLAD	45285	71371	\N	\N	\N
67066	223	1997-07-05	PRIJEM	VKLAD	41503	70367	\N	\N	\N
67067	223	1997-05-28	PRIJEM	VKLAD	15862	50965	\N	\N	\N
67068	223	1998-03-08	PRIJEM	VKLAD	28714	54289	\N	\N	\N
67069	223	1998-03-16	PRIJEM	VKLAD	8978	63267	\N	\N	\N
67073	223	1998-06-10	VYDAJ	VYBER	6800	29456	\N	\N	\N
67080	223	1997-06-14	VYDAJ	VYBER	18200	24629	\N	\N	\N
67084	223	1997-12-27	VYDAJ	VYBER KARTOU	2900	22404	\N	\N	0
67085	223	1998-12-27	VYDAJ	VYBER KARTOU	2000	24857	\N	\N	0
67096	223	1997-08-04	VYDAJ	VYBER KARTOU	700	50919	\N	\N	0
67098	223	1997-07-20	VYDAJ	VYBER KARTOU	900	69467	\N	\N	0
67099	223	1997-11-02	VYDAJ	VYBER KARTOU	1300	31398	\N	\N	0
67100	223	1997-09-05	VYDAJ	VYBER KARTOU	1800	38122	\N	\N	0
67101	223	1997-11-03	VYDAJ	VYBER KARTOU	2400	28998	\N	\N	0
67102	223	1998-11-19	VYDAJ	VYBER KARTOU	2400	37117	\N	\N	0
67103	223	1998-02-03	VYDAJ	VYBER KARTOU	1900	23584	\N	\N	0
67104	223	1998-12-25	VYDAJ	VYBER KARTOU	1400	26857	\N	\N	0
67105	223	1998-05-16	VYDAJ	VYBER KARTOU	1600	38108	\N	\N	0
67106	223	1998-01-12	VYDAJ	VYBER KARTOU	1800	23394	\N	\N	0
67136	223	1997-05-31	VYDAJ	VYBER	15	51129	SLUZBY	\N	\N
67137	223	1997-06-30	VYDAJ	VYBER	15	24764	SLUZBY	\N	\N
67138	223	1997-07-31	VYDAJ	VYBER	15	69719	SLUZBY	\N	\N
67139	223	1997-08-31	VYDAJ	VYBER	15	39922	SLUZBY	\N	\N
67140	223	1997-09-30	VYDAJ	VYBER	15	33872	SLUZBY	\N	\N
67141	223	1997-10-31	VYDAJ	VYBER	15	32698	SLUZBY	\N	\N
67142	223	1997-11-30	VYDAJ	VYBER	15	25304	SLUZBY	\N	\N
67143	223	1997-12-31	VYDAJ	VYBER	15	25194	SLUZBY	\N	\N
67144	223	1998-01-31	VYDAJ	VYBER	15	25484	SLUZBY	\N	\N
67145	223	1998-02-28	VYDAJ	VYBER	15	25575	SLUZBY	\N	\N
67146	223	1998-03-31	VYDAJ	VYBER	15	46232	SLUZBY	\N	\N
67147	223	1998-04-30	VYDAJ	VYBER	15	39708	SLUZBY	\N	\N
67148	223	1998-05-31	VYDAJ	VYBER	15	36256	SLUZBY	\N	\N
67149	223	1998-06-30	VYDAJ	VYBER	15	35292	SLUZBY	\N	\N
67150	223	1998-07-31	VYDAJ	VYBER	15	43624	SLUZBY	\N	\N
67151	223	1998-08-31	VYDAJ	VYBER	15	44190	SLUZBY	\N	\N
67152	223	1998-09-30	VYDAJ	VYBER	15	41859	SLUZBY	\N	\N
67153	223	1998-10-31	VYDAJ	VYBER	15	39517	SLUZBY	\N	\N
67154	223	1998-11-30	VYDAJ	VYBER	15	31057	SLUZBY	\N	\N
67155	223	1995-07-13	PRIJEM	VKLAD	12200	13000	\N	\N	\N
67156	223	1995-08-12	VYDAJ	VYBER	15000	42703	\N	\N	\N
67157	223	1995-09-11	VYDAJ	VYBER	11000	31818	\N	\N	\N
67158	223	1995-10-11	VYDAJ	VYBER	2500	29496	\N	\N	\N
67159	223	1995-11-10	VYDAJ	VYBER	24300	52331	\N	\N	\N
67160	223	1995-12-10	VYDAJ	VYBER	12000	40649	\N	\N	\N
67161	223	1996-01-09	VYDAJ	VYBER	7700	33268	\N	\N	\N
67162	223	1996-02-08	VYDAJ	VYBER	7500	26086	\N	\N	\N
67163	223	1996-03-09	VYDAJ	VYBER	25800	45886	\N	\N	\N
67164	223	1996-04-08	VYDAJ	VYBER	14800	31383	\N	\N	\N
67165	223	1996-05-08	VYDAJ	VYBER	7200	24481	\N	\N	\N
67166	223	1996-06-07	VYDAJ	VYBER	22600	41765	\N	\N	\N
67167	223	1996-07-07	VYDAJ	VYBER	10300	31664	\N	\N	\N
67168	223	1996-08-06	VYDAJ	VYBER KARTOU	1500	30338	\N	\N	0
67169	223	1996-09-05	PRIJEM	VKLAD	1400	31911	\N	\N	\N
67170	223	1996-10-05	VYDAJ	VYBER	5600	26485	\N	\N	\N
67171	223	1996-11-04	PRIJEM	VKLAD	200	26859	\N	\N	\N
67172	223	1996-12-04	VYDAJ	VYBER KARTOU	300	26733	\N	\N	0
67173	223	1997-01-03	PRIJEM	VKLAD	800	27707	\N	\N	\N
67174	223	1997-02-02	PRIJEM	VKLAD	5400	33281	\N	\N	\N
67175	223	1997-03-04	VYDAJ	VYBER KARTOU	300	33155	\N	\N	0
67176	223	1997-04-03	PRIJEM	VKLAD	700	34029	\N	\N	\N
67177	223	1997-05-03	PRIJEM	VKLAD	900	35103	\N	\N	\N
67178	223	1997-06-02	VYDAJ	VYBER	8300	42829	\N	\N	\N
67179	223	1997-07-02	PRIJEM	VKLAD	4100	28864	\N	\N	\N
67180	223	1997-08-01	VYDAJ	VYBER	18100	51619	\N	\N	\N
67181	223	1997-08-31	VYDAJ	VYBER	11200	39937	\N	\N	\N
67182	223	1997-09-30	VYDAJ	VYBER	4400	33887	\N	\N	\N
67183	223	1997-10-30	VYDAJ	VYBER KARTOU	1300	32572	\N	\N	0
67184	223	1997-11-29	VYDAJ	VYBER KARTOU	3800	25198	\N	\N	0
67185	223	1997-12-29	PRIJEM	VKLAD	2700	25104	\N	\N	\N
67186	223	1998-01-28	PRIJEM	VKLAD	2000	25394	\N	\N	\N
67187	223	1998-02-27	PRIJEM	VKLAD	1900	25484	\N	\N	\N
67188	223	1998-03-29	VYDAJ	VYBER	17200	46067	\N	\N	\N
67189	223	1998-04-28	VYDAJ	VYBER	6700	39532	\N	\N	\N
67190	223	1998-05-28	VYDAJ	VYBER KARTOU	2000	36108	\N	\N	0
67191	223	1998-06-27	PRIJEM	VKLAD	5700	35156	\N	\N	\N
67192	223	1998-07-27	PRIJEM	VKLAD	8200	43492	\N	\N	\N
67193	223	1998-08-26	PRIJEM	VKLAD	400	44024	\N	\N	\N
67194	223	1998-09-25	VYDAJ	VYBER KARTOU	2500	41690	\N	\N	0
67195	223	1998-10-25	VYDAJ	VYBER KARTOU	2500	39359	\N	\N	0
67196	223	1998-11-24	VYDAJ	VYBER	6200	30917	\N	\N	\N
67197	223	1998-12-24	VYDAJ	VYBER KARTOU	2800	28257	\N	\N	0
67239	224	1996-10-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
67250	224	1996-11-11	PRIJEM	PREVOD Z UCTU	5776	6876	DUCHOD	QR	49979138
67251	224	1996-12-11	PRIJEM	PREVOD Z UCTU	5776	12652	DUCHOD	QR	49979138
67252	224	1997-01-11	PRIJEM	PREVOD Z UCTU	5776	18428	DUCHOD	QR	49979138
67253	224	1997-02-11	PRIJEM	PREVOD Z UCTU	5776	24204	DUCHOD	QR	49979138
67254	224	1997-03-11	PRIJEM	PREVOD Z UCTU	5776	28997	DUCHOD	QR	49979138
67255	224	1997-04-11	PRIJEM	PREVOD Z UCTU	5776	26998	DUCHOD	QR	49979138
67256	224	1997-05-11	PRIJEM	PREVOD Z UCTU	5776	23535	DUCHOD	QR	49979138
67257	224	1997-06-11	PRIJEM	PREVOD Z UCTU	5776	25879	DUCHOD	QR	49979138
67258	224	1997-07-11	PRIJEM	PREVOD Z UCTU	5776	18864	DUCHOD	QR	49979138
67259	224	1997-08-11	PRIJEM	PREVOD Z UCTU	5776	21183	DUCHOD	QR	49979138
67260	224	1997-09-11	PRIJEM	PREVOD Z UCTU	5776	23512	DUCHOD	QR	49979138
67261	224	1997-10-11	PRIJEM	PREVOD Z UCTU	5776	25850	DUCHOD	QR	49979138
67262	224	1997-11-11	PRIJEM	PREVOD Z UCTU	5776	27898	DUCHOD	QR	49979138
67263	224	1997-12-11	PRIJEM	PREVOD Z UCTU	5776	28853	DUCHOD	QR	49979138
67264	224	1998-01-11	PRIJEM	PREVOD Z UCTU	5776	25905	DUCHOD	QR	49979138
67265	224	1998-02-11	PRIJEM	PREVOD Z UCTU	5776	18611	DUCHOD	QR	49979138
67266	224	1998-03-11	PRIJEM	PREVOD Z UCTU	5776	20027	DUCHOD	QR	49979138
67267	224	1998-04-11	PRIJEM	PREVOD Z UCTU	5776	20988	DUCHOD	QR	49979138
67268	224	1998-05-11	PRIJEM	PREVOD Z UCTU	5776	20010	DUCHOD	QR	49979138
67269	224	1998-06-11	PRIJEM	PREVOD Z UCTU	5776	20331	DUCHOD	QR	49979138
67270	224	1998-07-11	PRIJEM	PREVOD Z UCTU	5776	20673	DUCHOD	QR	49979138
67271	224	1998-08-11	PRIJEM	PREVOD Z UCTU	5776	18833	DUCHOD	QR	49979138
67272	224	1998-09-11	PRIJEM	PREVOD Z UCTU	5776	21152	DUCHOD	QR	49979138
67273	224	1998-10-11	PRIJEM	PREVOD Z UCTU	5776	19873	DUCHOD	QR	49979138
67274	224	1998-11-11	PRIJEM	PREVOD Z UCTU	5776	22196	DUCHOD	QR	49979138
67275	224	1998-12-11	PRIJEM	PREVOD Z UCTU	5776	24128	DUCHOD	QR	49979138
67290	224	1997-03-12	VYDAJ	PREVOD NA UCET	3503	25494	SIPO	EF	63218277
67291	224	1997-04-12	VYDAJ	PREVOD NA UCET	3503	23495	SIPO	EF	63218277
67292	224	1997-05-12	VYDAJ	PREVOD NA UCET	3503	20032	SIPO	EF	63218277
67293	224	1997-06-12	VYDAJ	PREVOD NA UCET	3503	22376	SIPO	EF	63218277
67294	224	1997-07-12	VYDAJ	PREVOD NA UCET	3503	15361	SIPO	EF	63218277
67295	224	1997-08-12	VYDAJ	PREVOD NA UCET	3503	17680	SIPO	EF	63218277
67296	224	1997-09-12	VYDAJ	PREVOD NA UCET	3503	20009	SIPO	EF	63218277
67297	224	1997-10-12	VYDAJ	PREVOD NA UCET	3503	22347	SIPO	EF	63218277
67298	224	1997-11-12	VYDAJ	PREVOD NA UCET	3503	24395	SIPO	EF	63218277
67299	224	1997-12-12	VYDAJ	PREVOD NA UCET	3503	25350	SIPO	EF	63218277
67300	224	1998-01-12	VYDAJ	PREVOD NA UCET	3503	21682	SIPO	EF	63218277
67301	224	1998-02-12	VYDAJ	PREVOD NA UCET	3503	15108	SIPO	EF	63218277
67302	224	1998-03-12	VYDAJ	PREVOD NA UCET	3503	16524	SIPO	EF	63218277
67303	224	1998-04-12	VYDAJ	PREVOD NA UCET	3503	17485	SIPO	EF	63218277
67304	224	1998-05-12	VYDAJ	PREVOD NA UCET	3503	16507	SIPO	EF	63218277
67305	224	1998-06-12	VYDAJ	PREVOD NA UCET	3503	16828	SIPO	EF	63218277
67306	224	1998-07-12	VYDAJ	PREVOD NA UCET	3503	17170	SIPO	EF	63218277
67307	224	1998-08-12	VYDAJ	PREVOD NA UCET	3503	15330	SIPO	EF	63218277
67308	224	1998-09-12	VYDAJ	PREVOD NA UCET	3503	17649	SIPO	EF	63218277
67309	224	1998-10-12	VYDAJ	PREVOD NA UCET	3503	16370	SIPO	EF	63218277
67310	224	1998-11-12	VYDAJ	PREVOD NA UCET	3503	18693	SIPO	EF	63218277
67311	224	1998-12-12	VYDAJ	PREVOD NA UCET	3503	20625	SIPO	EF	63218277
67313	224	1997-06-21	VYDAJ	VYBER	9350	13026	\N	\N	\N
67317	224	1998-01-22	VYDAJ	VYBER	850	17092	\N	\N	\N
67319	224	1997-12-23	VYDAJ	VYBER	400	20050	\N	\N	\N
67320	224	1998-12-17	VYDAJ	VYBER	1350	19275	\N	\N	\N
67333	224	1998-01-30	VYDAJ	VYBER	800	12772	\N	\N	\N
67334	224	1998-01-16	VYDAJ	VYBER	1840	19842	\N	\N	\N
67335	224	1998-01-23	VYDAJ	VYBER	1120	15972	\N	\N	\N
67336	224	1998-01-29	VYDAJ	VYBER	1760	13572	\N	\N	\N
67337	224	1998-01-12	VYDAJ	VYBER	720	25185	\N	\N	\N
67338	224	1998-01-26	VYDAJ	VYBER	640	15332	\N	\N	\N
67345	224	1997-05-01	VYDAJ	VYBER	3520	17759	\N	\N	\N
67346	224	1997-04-09	VYDAJ	VYBER	3760	21222	\N	\N	\N
67348	224	1998-06-22	VYDAJ	VYBER	880	14848	\N	\N	\N
67350	224	1998-03-15	VYDAJ	VYBER	1360	15164	\N	\N	\N
67351	224	1998-07-23	VYDAJ	VYBER	2160	13010	\N	\N	\N
67368	224	1997-03-31	VYDAJ	VYBER	15	24982	SLUZBY	\N	\N
67369	224	1997-04-30	VYDAJ	VYBER	15	21279	SLUZBY	\N	\N
67370	224	1997-05-31	VYDAJ	VYBER	15	20103	SLUZBY	\N	\N
67371	224	1997-06-30	VYDAJ	VYBER	15	13088	SLUZBY	\N	\N
67372	224	1997-07-31	VYDAJ	VYBER	15	15407	SLUZBY	\N	\N
67373	224	1997-08-31	VYDAJ	VYBER	15	17736	SLUZBY	\N	\N
67374	224	1997-09-30	VYDAJ	VYBER	15	20074	SLUZBY	\N	\N
67375	224	1997-10-31	VYDAJ	VYBER	15	22122	SLUZBY	\N	\N
67376	224	1997-11-30	VYDAJ	VYBER	15	23077	SLUZBY	\N	\N
67377	224	1997-12-31	VYDAJ	VYBER	15	20129	SLUZBY	\N	\N
67378	224	1998-01-31	VYDAJ	VYBER	15	12835	SLUZBY	\N	\N
67379	224	1998-02-28	VYDAJ	VYBER	15	14251	SLUZBY	\N	\N
67380	224	1998-03-31	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
67381	224	1998-04-30	VYDAJ	VYBER	15	14234	SLUZBY	\N	\N
67382	224	1998-05-31	VYDAJ	VYBER	15	14555	SLUZBY	\N	\N
67383	224	1998-06-30	VYDAJ	VYBER	15	14897	SLUZBY	\N	\N
67384	224	1998-07-31	VYDAJ	VYBER	15	13057	SLUZBY	\N	\N
67385	224	1998-08-31	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
67386	224	1998-09-30	VYDAJ	VYBER	15	14097	SLUZBY	\N	\N
67387	224	1998-10-31	VYDAJ	VYBER	15	16420	SLUZBY	\N	\N
67388	224	1998-11-30	VYDAJ	VYBER	15	18352	SLUZBY	\N	\N
67389	224	1997-02-24	VYDAJ	VYBER	1000	23204	\N	\N	\N
67390	224	1997-03-26	VYDAJ	VYBER	600	24894	\N	\N	\N
67391	224	1997-04-25	VYDAJ	VYBER	2300	21195	\N	\N	\N
67392	224	1997-10-22	VYDAJ	VYBER	300	22047	\N	\N	\N
67393	224	1997-11-21	VYDAJ	VYBER	1400	22995	\N	\N	\N
67394	224	1997-12-21	VYDAJ	VYBER	4900	20450	\N	\N	\N
67395	224	1998-01-20	VYDAJ	VYBER	1900	17942	\N	\N	\N
67396	224	1998-02-19	VYDAJ	VYBER	900	14208	\N	\N	\N
67397	224	1998-04-20	VYDAJ	VYBER	3300	14185	\N	\N	\N
67398	224	1998-05-20	VYDAJ	VYBER	2000	14507	\N	\N	\N
67399	224	1998-06-19	VYDAJ	VYBER	1100	15728	\N	\N	\N
67400	224	1998-07-19	VYDAJ	VYBER	2000	15170	\N	\N	\N
67401	224	1998-09-17	VYDAJ	VYBER	3600	14049	\N	\N	\N
67402	224	1998-11-16	VYDAJ	VYBER	400	18293	\N	\N	\N
67426	225	1993-07-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
67434	225	1993-08-09	PRIJEM	VKLAD	5078	6078	\N	\N	\N
67435	225	1993-09-09	PRIJEM	VKLAD	5078	21467	\N	\N	\N
67436	225	1993-10-09	PRIJEM	VKLAD	5078	29219	\N	\N	\N
67437	225	1993-11-09	PRIJEM	VKLAD	5078	29697	\N	\N	\N
67438	225	1993-12-09	PRIJEM	VKLAD	7617	33017	\N	\N	\N
67439	225	1994-01-09	PRIJEM	VKLAD	5078	26861	\N	\N	\N
67440	225	1994-02-09	PRIJEM	VKLAD	5078	19563	\N	\N	\N
67441	225	1994-03-09	PRIJEM	VKLAD	5078	23122	\N	\N	\N
67442	225	1994-04-09	PRIJEM	VKLAD	5078	23394	\N	\N	\N
67443	225	1994-05-09	PRIJEM	VKLAD	5078	21128	\N	\N	\N
67444	225	1994-06-09	PRIJEM	VKLAD	7617	25235	\N	\N	\N
67445	225	1994-07-09	PRIJEM	VKLAD	5078	24211	\N	\N	\N
67446	225	1994-08-09	PRIJEM	VKLAD	5078	25145	\N	\N	\N
67447	225	1994-09-09	PRIJEM	VKLAD	5078	23368	\N	\N	\N
67448	225	1994-10-09	PRIJEM	VKLAD	5078	25547	\N	\N	\N
67449	225	1994-11-09	PRIJEM	VKLAD	5078	26729	\N	\N	\N
67450	225	1994-12-09	PRIJEM	VKLAD	7617	30355	\N	\N	\N
67451	225	1995-01-09	PRIJEM	VKLAD	5078	27292	\N	\N	\N
67452	225	1995-02-09	PRIJEM	VKLAD	5078	16237	\N	\N	\N
67453	225	1995-03-09	PRIJEM	VKLAD	5078	18588	\N	\N	\N
67454	225	1995-04-09	PRIJEM	VKLAD	5078	25069	\N	\N	\N
67455	225	1995-05-09	PRIJEM	VKLAD	5078	27789	\N	\N	\N
67456	225	1995-06-09	PRIJEM	VKLAD	7617	31719	\N	\N	\N
67457	225	1995-07-09	PRIJEM	VKLAD	5078	22813	\N	\N	\N
67458	225	1995-08-09	PRIJEM	VKLAD	5078	23506	\N	\N	\N
67459	225	1995-09-09	PRIJEM	VKLAD	5078	28787	\N	\N	\N
67460	225	1995-10-09	PRIJEM	VKLAD	5078	32487	\N	\N	\N
67461	225	1995-11-09	PRIJEM	VKLAD	5078	35100	\N	\N	\N
67462	225	1995-12-09	PRIJEM	VKLAD	7617	38779	\N	\N	\N
67463	225	1996-01-09	PRIJEM	VKLAD	5078	34629	\N	\N	\N
67464	225	1996-02-09	PRIJEM	VKLAD	5078	19486	\N	\N	\N
67465	225	1996-03-09	PRIJEM	VKLAD	5078	23033	\N	\N	\N
67466	225	1996-04-09	PRIJEM	VKLAD	5078	27993	\N	\N	\N
67467	225	1996-05-09	PRIJEM	VKLAD	5078	30688	\N	\N	\N
67468	225	1996-06-09	PRIJEM	VKLAD	7617	27084	\N	\N	\N
67469	225	1996-07-09	PRIJEM	VKLAD	5078	30476	\N	\N	\N
67470	225	1996-08-09	PRIJEM	VKLAD	5078	33783	\N	\N	\N
67471	225	1996-09-09	PRIJEM	VKLAD	5078	39310	\N	\N	\N
67472	225	1996-10-09	PRIJEM	VKLAD	5078	42653	\N	\N	\N
67473	225	1996-11-09	PRIJEM	VKLAD	5078	43704	\N	\N	\N
67474	225	1996-12-09	PRIJEM	VKLAD	7617	46660	\N	\N	\N
67475	225	1997-01-09	PRIJEM	VKLAD	5078	46287	\N	\N	\N
67476	225	1997-02-09	PRIJEM	VKLAD	5078	40249	\N	\N	\N
67477	225	1997-03-09	PRIJEM	VKLAD	5078	42086	\N	\N	\N
67478	225	1997-04-09	PRIJEM	VKLAD	5078	47332	\N	\N	\N
67479	225	1997-05-09	PRIJEM	VKLAD	5078	50199	\N	\N	\N
67480	225	1997-06-09	PRIJEM	VKLAD	7617	55259	\N	\N	\N
67481	225	1997-07-09	PRIJEM	VKLAD	5078	43726	\N	\N	\N
67482	225	1997-08-09	PRIJEM	VKLAD	5078	48471	\N	\N	\N
67483	225	1997-09-09	PRIJEM	VKLAD	5078	49863	\N	\N	\N
67484	225	1997-10-09	PRIJEM	VKLAD	5078	56343	\N	\N	\N
67485	225	1997-11-09	PRIJEM	VKLAD	5078	58948	\N	\N	\N
67486	225	1997-12-09	PRIJEM	VKLAD	7617	66005	\N	\N	\N
67487	225	1998-01-09	PRIJEM	VKLAD	5078	59188	\N	\N	\N
67488	225	1998-02-09	PRIJEM	VKLAD	5078	46372	\N	\N	\N
67489	225	1998-03-09	PRIJEM	VKLAD	5078	54235	\N	\N	\N
67490	225	1998-04-09	PRIJEM	VKLAD	5078	58929	\N	\N	\N
67491	225	1998-05-09	PRIJEM	VKLAD	5078	63545	\N	\N	\N
67492	225	1998-06-09	PRIJEM	VKLAD	7617	70519	\N	\N	\N
67493	225	1998-07-09	PRIJEM	VKLAD	5078	58049	\N	\N	\N
67494	225	1998-08-09	PRIJEM	VKLAD	5078	75063	\N	\N	\N
67495	225	1998-09-09	PRIJEM	VKLAD	5078	68030	\N	\N	\N
67496	225	1998-10-09	PRIJEM	VKLAD	5078	78889	\N	\N	\N
67497	225	1998-11-09	PRIJEM	VKLAD	5078	86592	\N	\N	\N
67498	225	1998-12-09	PRIJEM	VKLAD	7617	92565	\N	\N	\N
67511	225	1994-01-06	VYDAJ	PREVOD NA UCET	3383	21783	SIPO	MN	74407583
67512	225	1994-02-06	VYDAJ	PREVOD NA UCET	3383	14485	SIPO	MN	74407583
67513	225	1994-03-06	VYDAJ	PREVOD NA UCET	3383	18044	SIPO	MN	74407583
67514	225	1994-04-06	VYDAJ	PREVOD NA UCET	3383	18316	SIPO	MN	74407583
67515	225	1994-05-06	VYDAJ	PREVOD NA UCET	3383	20490	SIPO	MN	74407583
67516	225	1994-06-06	VYDAJ	PREVOD NA UCET	3383	17618	SIPO	MN	74407583
67517	225	1994-07-06	VYDAJ	PREVOD NA UCET	3383	19133	SIPO	MN	74407583
67518	225	1994-08-06	VYDAJ	PREVOD NA UCET	3383	20067	SIPO	MN	74407583
67519	225	1994-09-06	VYDAJ	PREVOD NA UCET	3383	23450	SIPO	MN	74407583
67520	225	1994-10-06	VYDAJ	PREVOD NA UCET	3383	20469	SIPO	MN	74407583
67521	225	1994-11-06	VYDAJ	PREVOD NA UCET	3383	21651	SIPO	MN	74407583
67522	225	1994-12-06	VYDAJ	PREVOD NA UCET	3383	22738	SIPO	MN	74407583
67523	225	1995-01-06	VYDAJ	PREVOD NA UCET	3383	22214	SIPO	MN	74407583
67524	225	1995-02-06	VYDAJ	PREVOD NA UCET	3383	11159	SIPO	MN	74407583
67525	225	1995-03-06	VYDAJ	PREVOD NA UCET	3383	13510	SIPO	MN	74407583
67526	225	1995-04-06	VYDAJ	PREVOD NA UCET	3383	19991	SIPO	MN	74407583
67527	225	1995-05-06	VYDAJ	PREVOD NA UCET	3383	22711	SIPO	MN	74407583
67528	225	1995-06-06	VYDAJ	PREVOD NA UCET	3383	24102	SIPO	MN	74407583
67529	225	1995-07-06	VYDAJ	PREVOD NA UCET	3383	17735	SIPO	MN	74407583
67530	225	1995-08-06	VYDAJ	PREVOD NA UCET	3383	18428	SIPO	MN	74407583
67531	225	1995-09-06	VYDAJ	PREVOD NA UCET	3383	23709	SIPO	MN	74407583
67532	225	1995-10-06	VYDAJ	PREVOD NA UCET	3383	27409	SIPO	MN	74407583
67533	225	1995-11-06	VYDAJ	PREVOD NA UCET	3383	30022	SIPO	MN	74407583
67534	225	1995-12-06	VYDAJ	PREVOD NA UCET	3383	31162	SIPO	MN	74407583
67535	225	1996-01-06	VYDAJ	PREVOD NA UCET	3383	29551	SIPO	MN	74407583
67536	225	1996-02-06	VYDAJ	PREVOD NA UCET	3383	14408	SIPO	MN	74407583
67537	225	1996-03-06	VYDAJ	PREVOD NA UCET	3383	20475	SIPO	MN	74407583
67538	225	1996-04-06	VYDAJ	PREVOD NA UCET	3383	22915	SIPO	MN	74407583
67539	225	1996-05-06	VYDAJ	PREVOD NA UCET	3383	25610	SIPO	MN	74407583
67540	225	1996-06-06	VYDAJ	PREVOD NA UCET	3383	19467	SIPO	MN	74407583
67541	225	1996-07-06	VYDAJ	PREVOD NA UCET	3383	25398	SIPO	MN	74407583
67542	225	1996-08-06	VYDAJ	PREVOD NA UCET	3383	28705	SIPO	MN	74407583
67543	225	1996-09-06	VYDAJ	PREVOD NA UCET	3383	34232	SIPO	MN	74407583
67544	225	1996-10-06	VYDAJ	PREVOD NA UCET	3383	37575	SIPO	MN	74407583
67545	225	1996-11-06	VYDAJ	PREVOD NA UCET	3383	38526	SIPO	MN	74407583
67546	225	1996-12-06	VYDAJ	PREVOD NA UCET	3383	39043	SIPO	MN	74407583
67547	225	1997-01-06	VYDAJ	PREVOD NA UCET	3383	43649	SIPO	MN	74407583
67548	225	1997-02-06	VYDAJ	PREVOD NA UCET	3383	29571	SIPO	MN	74407583
67549	225	1997-03-06	VYDAJ	PREVOD NA UCET	3383	37008	SIPO	MN	74407583
67550	225	1997-04-06	VYDAJ	PREVOD NA UCET	3383	37554	SIPO	MN	74407583
67551	225	1997-05-06	VYDAJ	PREVOD NA UCET	3383	44121	SIPO	MN	74407583
67552	225	1997-06-06	VYDAJ	PREVOD NA UCET	3383	44242	SIPO	MN	74407583
67553	225	1997-07-06	VYDAJ	PREVOD NA UCET	3383	24548	SIPO	MN	74407583
67554	225	1997-08-06	VYDAJ	PREVOD NA UCET	3383	43393	SIPO	MN	74407583
67555	225	1997-09-06	VYDAJ	PREVOD NA UCET	3383	44785	SIPO	MN	74407583
67556	225	1997-10-06	VYDAJ	PREVOD NA UCET	3383	51265	SIPO	MN	74407583
67557	225	1997-11-06	VYDAJ	PREVOD NA UCET	3383	53870	SIPO	MN	74407583
67558	225	1997-12-06	VYDAJ	PREVOD NA UCET	3383	58388	SIPO	MN	74407583
67559	225	1998-01-06	VYDAJ	PREVOD NA UCET	3383	57470	SIPO	MN	74407583
67560	225	1998-02-06	VYDAJ	PREVOD NA UCET	3383	41294	SIPO	MN	74407583
67561	225	1998-03-06	VYDAJ	PREVOD NA UCET	3383	49157	SIPO	MN	74407583
67562	225	1998-04-06	VYDAJ	PREVOD NA UCET	3383	53851	SIPO	MN	74407583
67563	225	1998-05-06	VYDAJ	PREVOD NA UCET	3383	58467	SIPO	MN	74407583
67564	225	1998-06-06	VYDAJ	PREVOD NA UCET	3383	62902	SIPO	MN	74407583
67565	225	1998-07-06	VYDAJ	PREVOD NA UCET	3383	52971	SIPO	MN	74407583
67566	225	1998-08-06	VYDAJ	PREVOD NA UCET	3383	69985	SIPO	MN	74407583
67567	225	1998-09-06	VYDAJ	PREVOD NA UCET	3383	62952	SIPO	MN	74407583
67568	225	1998-10-06	VYDAJ	PREVOD NA UCET	3383	73811	SIPO	MN	74407583
67569	225	1998-11-06	VYDAJ	PREVOD NA UCET	3383	81514	SIPO	MN	74407583
67570	225	1998-12-06	VYDAJ	PREVOD NA UCET	3383	84948	SIPO	MN	74407583
67582	225	1993-12-09	VYDAJ	PREVOD NA UCET	2	33015	 	KL	93545496
67583	225	1994-01-09	VYDAJ	PREVOD NA UCET	2	26859	 	KL	93545496
67584	225	1994-02-09	VYDAJ	PREVOD NA UCET	2	19561	 	KL	93545496
67585	225	1994-03-09	VYDAJ	PREVOD NA UCET	2	23120	 	KL	93545496
67586	225	1994-04-09	VYDAJ	PREVOD NA UCET	2	23392	 	KL	93545496
67587	225	1994-05-09	VYDAJ	PREVOD NA UCET	2	21126	 	KL	93545496
67588	225	1994-06-09	VYDAJ	PREVOD NA UCET	2	25233	 	KL	93545496
67589	225	1994-07-09	VYDAJ	PREVOD NA UCET	2	24209	 	KL	93545496
67590	225	1994-08-09	VYDAJ	PREVOD NA UCET	2	25143	 	KL	93545496
67591	225	1994-09-09	VYDAJ	PREVOD NA UCET	2	23366	 	KL	93545496
67592	225	1994-10-09	VYDAJ	PREVOD NA UCET	2	25545	 	KL	93545496
67593	225	1994-11-09	VYDAJ	PREVOD NA UCET	2	26727	 	KL	93545496
67594	225	1994-12-09	VYDAJ	PREVOD NA UCET	2	30353	 	KL	93545496
67595	225	1995-01-09	VYDAJ	PREVOD NA UCET	2	26570	 	KL	93545496
67596	225	1995-02-09	VYDAJ	PREVOD NA UCET	2	16235	 	KL	93545496
67597	225	1995-03-09	VYDAJ	PREVOD NA UCET	2	18586	 	KL	93545496
67598	225	1995-04-09	VYDAJ	PREVOD NA UCET	2	25067	 	KL	93545496
67599	225	1995-05-09	VYDAJ	PREVOD NA UCET	2	27787	 	KL	93545496
67600	225	1995-06-09	VYDAJ	PREVOD NA UCET	2	31717	 	KL	93545496
67601	225	1995-07-09	VYDAJ	PREVOD NA UCET	2	22811	 	KL	93545496
67602	225	1995-08-09	VYDAJ	PREVOD NA UCET	2	23504	 	KL	93545496
67603	225	1995-09-09	VYDAJ	PREVOD NA UCET	2	28785	 	KL	93545496
67604	225	1995-10-09	VYDAJ	PREVOD NA UCET	2	32485	 	KL	93545496
67605	225	1995-11-09	VYDAJ	PREVOD NA UCET	2	35098	 	KL	93545496
67606	225	1995-12-09	VYDAJ	PREVOD NA UCET	2	38777	 	KL	93545496
67607	225	1996-01-09	VYDAJ	PREVOD NA UCET	2	34627	 	KL	93545496
67608	225	1996-02-09	VYDAJ	PREVOD NA UCET	2	19484	 	KL	93545496
67609	225	1996-03-09	VYDAJ	PREVOD NA UCET	2	23031	 	KL	93545496
67610	225	1996-04-09	VYDAJ	PREVOD NA UCET	2	27991	 	KL	93545496
67611	225	1996-05-09	VYDAJ	PREVOD NA UCET	2	30686	 	KL	93545496
67612	225	1996-06-09	VYDAJ	PREVOD NA UCET	2	27082	 	KL	93545496
67613	225	1996-07-09	VYDAJ	PREVOD NA UCET	2	30474	 	KL	93545496
67614	225	1996-08-09	VYDAJ	PREVOD NA UCET	2	33781	 	KL	93545496
67615	225	1996-09-09	VYDAJ	PREVOD NA UCET	2	39308	 	KL	93545496
67616	225	1996-10-09	VYDAJ	PREVOD NA UCET	2	42651	 	KL	93545496
67617	225	1996-11-09	VYDAJ	PREVOD NA UCET	2	43702	 	KL	93545496
67618	225	1996-12-09	VYDAJ	PREVOD NA UCET	2	46858	 	KL	93545496
67619	225	1997-01-09	VYDAJ	PREVOD NA UCET	2	46285	 	KL	93545496
67620	225	1997-02-09	VYDAJ	PREVOD NA UCET	2	40247	 	KL	93545496
67621	225	1997-03-09	VYDAJ	PREVOD NA UCET	2	42084	 	KL	93545496
67622	225	1997-04-09	VYDAJ	PREVOD NA UCET	2	47330	 	KL	93545496
67623	225	1997-05-09	VYDAJ	PREVOD NA UCET	2	50197	 	KL	93545496
67624	225	1997-06-09	VYDAJ	PREVOD NA UCET	2	55257	 	KL	93545496
67625	225	1997-07-09	VYDAJ	PREVOD NA UCET	2	43724	 	KL	93545496
67626	225	1997-08-09	VYDAJ	PREVOD NA UCET	2	48469	 	KL	93545496
67627	225	1997-09-09	VYDAJ	PREVOD NA UCET	2	49861	 	KL	93545496
67628	225	1997-10-09	VYDAJ	PREVOD NA UCET	2	56341	 	KL	93545496
67629	225	1997-11-09	VYDAJ	PREVOD NA UCET	2	58946	 	KL	93545496
67630	225	1997-12-09	VYDAJ	PREVOD NA UCET	2	66003	 	KL	93545496
67631	225	1998-01-09	VYDAJ	PREVOD NA UCET	2	59186	 	KL	93545496
67632	225	1998-02-09	VYDAJ	PREVOD NA UCET	2	46370	 	KL	93545496
67633	225	1998-03-09	VYDAJ	PREVOD NA UCET	2	54233	 	KL	93545496
67634	225	1998-04-09	VYDAJ	PREVOD NA UCET	2	58927	 	KL	93545496
67635	225	1998-05-09	VYDAJ	PREVOD NA UCET	2	63543	 	KL	93545496
67636	225	1998-06-09	VYDAJ	PREVOD NA UCET	2	70517	 	KL	93545496
67637	225	1998-07-09	VYDAJ	PREVOD NA UCET	2	58047	 	KL	93545496
67638	225	1998-08-09	VYDAJ	PREVOD NA UCET	2	75061	 	KL	93545496
67639	225	1998-09-09	VYDAJ	PREVOD NA UCET	2	68028	 	KL	93545496
67640	225	1998-10-09	VYDAJ	PREVOD NA UCET	2	78887	 	KL	93545496
67641	225	1998-11-09	VYDAJ	PREVOD NA UCET	2	86590	 	KL	93545496
67642	225	1998-12-09	VYDAJ	PREVOD NA UCET	2	92563	 	KL	93545496
67645	225	1995-06-24	VYDAJ	VYBER	9600	21017	\N	\N	\N
67647	225	1997-06-28	VYDAJ	VYBER	27520	27737	\N	\N	\N
67648	225	1998-06-11	VYDAJ	VYBER	25920	44597	\N	\N	\N
67651	225	1995-01-13	VYDAJ	VYBER	4160	19530	\N	\N	\N
67652	225	1996-01-18	VYDAJ	VYBER	6400	23807	\N	\N	\N
67653	225	1997-01-12	VYDAJ	VYBER	2560	38085	\N	\N	\N
67654	225	1998-01-14	VYDAJ	VYBER	12960	44906	\N	\N	\N
67661	225	1994-01-13	VYDAJ	VYBER	3240	17019	\N	\N	\N
67662	225	1994-01-22	VYDAJ	VYBER	1440	14499	\N	\N	\N
67663	225	1994-01-16	VYDAJ	VYBER	1080	15939	\N	\N	\N
67664	225	1994-01-10	VYDAJ	VYBER	1800	25059	\N	\N	\N
67665	225	1994-01-11	VYDAJ	VYBER	2040	20259	\N	\N	\N
67666	225	1994-01-11	VYDAJ	VYBER	2760	22299	\N	\N	\N
67667	225	1995-01-18	VYDAJ	VYBER	2880	16650	\N	\N	\N
67668	225	1995-01-23	VYDAJ	VYBER	960	17590	\N	\N	\N
67669	225	1995-01-26	VYDAJ	VYBER	3120	14470	\N	\N	\N
67670	225	1995-01-09	VYDAJ	VYBER	720	26572	\N	\N	\N
67672	225	1995-01-05	VYDAJ	VYBER	3360	25597	\N	\N	\N
67673	225	1996-01-22	VYDAJ	VYBER	3120	20687	\N	\N	\N
67674	225	1996-01-26	VYDAJ	VYBER	2400	17687	\N	\N	\N
67675	225	1996-01-18	VYDAJ	VYBER	3120	30207	\N	\N	\N
67676	225	1996-01-01	VYDAJ	VYBER	1920	35094	\N	\N	\N
67677	225	1996-01-05	VYDAJ	VYBER	2160	32934	\N	\N	\N
67678	225	1996-01-24	VYDAJ	VYBER	600	20087	\N	\N	\N
67679	225	1997-01-07	VYDAJ	VYBER	840	42809	\N	\N	\N
67680	225	1997-01-09	VYDAJ	VYBER	3120	43165	\N	\N	\N
67681	225	1997-01-19	VYDAJ	VYBER	2520	35565	\N	\N	\N
67682	225	1997-01-12	VYDAJ	VYBER	2520	40645	\N	\N	\N
67683	225	1997-01-29	VYDAJ	VYBER	960	32805	\N	\N	\N
67684	225	1997-01-25	VYDAJ	VYBER	1800	33765	\N	\N	\N
67685	225	1998-01-30	VYDAJ	VYBER	840	37226	\N	\N	\N
67686	225	1998-01-07	VYDAJ	VYBER	1200	56270	\N	\N	\N
67687	225	1998-01-23	VYDAJ	VYBER	3120	41066	\N	\N	\N
67688	225	1998-01-28	VYDAJ	VYBER	3000	38066	\N	\N	\N
67689	225	1998-01-11	VYDAJ	VYBER	1320	57866	\N	\N	\N
67690	225	1998-01-16	VYDAJ	VYBER	720	44186	\N	\N	\N
67695	225	1994-07-22	VYDAJ	VYBER	1200	18569	\N	\N	\N
67696	225	1994-05-08	VYDAJ	VYBER	4440	16050	\N	\N	\N
67697	225	1994-09-06	VYDAJ	VYBER	5160	18290	\N	\N	\N
67698	225	1994-07-19	VYDAJ	VYBER	4440	19769	\N	\N	\N
67699	225	1994-01-05	VYDAJ	VYBER	3960	25166	\N	\N	\N
67700	225	1995-04-16	VYDAJ	VYBER	1080	21707	\N	\N	\N
67701	225	1995-04-12	VYDAJ	VYBER	2280	22787	\N	\N	\N
67702	225	1995-11-12	VYDAJ	VYBER	2280	32818	\N	\N	\N
67703	225	1995-02-26	VYDAJ	VYBER	5400	16835	\N	\N	\N
67704	225	1995-07-27	VYDAJ	VYBER	4200	21731	\N	\N	\N
67705	225	1995-03-19	VYDAJ	VYBER	3480	15106	\N	\N	\N
67706	225	1995-07-14	VYDAJ	VYBER	3480	19331	\N	\N	\N
67707	225	1995-01-12	VYDAJ	VYBER	2880	23690	\N	\N	\N
67708	225	1996-03-13	VYDAJ	VYBER	3720	19311	\N	\N	\N
67709	225	1996-05-12	VYDAJ	VYBER	2520	28166	\N	\N	\N
67710	225	1996-12-05	VYDAJ	VYBER	1440	42426	\N	\N	\N
67711	225	1996-03-07	VYDAJ	VYBER	2520	17955	\N	\N	\N
67712	225	1996-06-05	VYDAJ	VYBER	5520	22850	\N	\N	\N
67713	225	1997-05-28	VYDAJ	VYBER	2760	47437	\N	\N	\N
67714	225	1997-08-19	VYDAJ	VYBER	1680	46789	\N	\N	\N
67715	225	1998-08-13	VYDAJ	VYBER	3240	71821	\N	\N	\N
67716	225	1998-01-08	VYDAJ	VYBER	2160	54110	\N	\N	\N
67717	225	1998-09-02	VYDAJ	VYBER	5400	69095	\N	\N	\N
67718	225	1998-02-04	VYDAJ	VYBER	2640	44677	\N	\N	\N
67719	225	1998-07-02	VYDAJ	VYBER	3840	56354	\N	\N	\N
67720	225	1998-09-03	VYDAJ	VYBER	2760	66335	\N	\N	\N
67733	225	1993-12-31	VYDAJ	VYBER	15	29126	SLUZBY	\N	\N
67734	225	1994-01-31	VYDAJ	VYBER	15	17868	SLUZBY	\N	\N
67735	225	1994-02-28	VYDAJ	VYBER	15	21427	SLUZBY	\N	\N
67736	225	1994-03-31	VYDAJ	VYBER	15	21699	SLUZBY	\N	\N
67737	225	1994-04-30	VYDAJ	VYBER	15	23873	SLUZBY	\N	\N
67738	225	1994-05-31	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
67739	225	1994-06-30	VYDAJ	VYBER	15	22516	SLUZBY	\N	\N
67740	225	1994-07-31	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
67741	225	1994-08-31	VYDAJ	VYBER	15	26833	SLUZBY	\N	\N
67742	225	1994-09-30	VYDAJ	VYBER	15	23852	SLUZBY	\N	\N
67743	225	1994-10-31	VYDAJ	VYBER	15	25034	SLUZBY	\N	\N
67744	225	1994-11-30	VYDAJ	VYBER	15	26121	SLUZBY	\N	\N
67745	225	1994-12-31	VYDAJ	VYBER	15	28957	SLUZBY	\N	\N
67746	225	1995-01-31	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
67747	225	1995-02-28	VYDAJ	VYBER	15	16893	SLUZBY	\N	\N
67748	225	1995-03-31	VYDAJ	VYBER	15	23374	SLUZBY	\N	\N
67749	225	1995-04-30	VYDAJ	VYBER	15	26094	SLUZBY	\N	\N
67750	225	1995-05-31	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
67751	225	1995-06-30	VYDAJ	VYBER	15	21118	SLUZBY	\N	\N
67752	225	1995-07-31	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
67753	225	1995-08-31	VYDAJ	VYBER	15	27092	SLUZBY	\N	\N
67754	225	1995-09-30	VYDAJ	VYBER	15	30792	SLUZBY	\N	\N
67755	225	1995-10-31	VYDAJ	VYBER	15	33405	SLUZBY	\N	\N
67756	225	1995-11-30	VYDAJ	VYBER	15	34545	SLUZBY	\N	\N
67757	225	1995-12-31	VYDAJ	VYBER	15	37014	SLUZBY	\N	\N
67758	225	1996-01-31	VYDAJ	VYBER	15	17791	SLUZBY	\N	\N
67759	225	1996-02-29	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
67760	225	1996-03-31	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
67761	225	1996-04-30	VYDAJ	VYBER	15	28993	SLUZBY	\N	\N
67762	225	1996-05-31	VYDAJ	VYBER	15	28370	SLUZBY	\N	\N
67763	225	1996-06-30	VYDAJ	VYBER	15	28781	SLUZBY	\N	\N
67764	225	1996-07-31	VYDAJ	VYBER	15	32088	SLUZBY	\N	\N
67765	225	1996-08-31	VYDAJ	VYBER	15	37615	SLUZBY	\N	\N
67766	225	1996-09-30	VYDAJ	VYBER	15	40958	SLUZBY	\N	\N
67767	225	1996-10-31	VYDAJ	VYBER	15	41909	SLUZBY	\N	\N
67768	225	1996-11-30	VYDAJ	VYBER	15	43866	SLUZBY	\N	\N
67769	225	1996-12-31	VYDAJ	VYBER	15	47032	SLUZBY	\N	\N
67770	225	1997-01-31	VYDAJ	VYBER	15	32954	SLUZBY	\N	\N
67771	225	1997-02-28	VYDAJ	VYBER	15	40391	SLUZBY	\N	\N
67772	225	1997-03-31	VYDAJ	VYBER	15	40937	SLUZBY	\N	\N
67773	225	1997-04-30	VYDAJ	VYBER	15	47504	SLUZBY	\N	\N
67774	225	1997-05-31	VYDAJ	VYBER	15	47625	SLUZBY	\N	\N
67775	225	1997-06-30	VYDAJ	VYBER	15	27931	SLUZBY	\N	\N
67776	225	1997-07-31	VYDAJ	VYBER	15	43876	SLUZBY	\N	\N
67777	225	1997-08-31	VYDAJ	VYBER	15	46968	SLUZBY	\N	\N
67778	225	1997-09-30	VYDAJ	VYBER	15	50048	SLUZBY	\N	\N
67779	225	1997-10-31	VYDAJ	VYBER	15	56553	SLUZBY	\N	\N
67780	225	1997-11-30	VYDAJ	VYBER	15	59171	SLUZBY	\N	\N
67781	225	1997-12-31	VYDAJ	VYBER	15	66253	SLUZBY	\N	\N
67782	225	1998-01-31	VYDAJ	VYBER	15	37417	SLUZBY	\N	\N
67783	225	1998-02-28	VYDAJ	VYBER	15	46540	SLUZBY	\N	\N
67784	225	1998-03-31	VYDAJ	VYBER	15	54434	SLUZBY	\N	\N
67785	225	1998-04-30	VYDAJ	VYBER	15	59150	SLUZBY	\N	\N
67786	225	1998-05-31	VYDAJ	VYBER	15	63785	SLUZBY	\N	\N
67787	225	1998-06-30	VYDAJ	VYBER	15	44794	SLUZBY	\N	\N
67788	225	1998-07-31	VYDAJ	VYBER	15	58268	SLUZBY	\N	\N
67789	225	1998-08-31	VYDAJ	VYBER	15	74495	SLUZBY	\N	\N
67790	225	1998-09-30	VYDAJ	VYBER	15	77194	SLUZBY	\N	\N
67791	225	1998-10-31	VYDAJ	VYBER	15	84897	SLUZBY	\N	\N
67792	225	1998-11-30	VYDAJ	VYBER	15	88331	SLUZBY	\N	\N
67793	225	1993-08-27	PRIJEM	VKLAD	10300	16378	\N	\N	\N
67794	225	1993-09-26	PRIJEM	VKLAD	2600	24067	\N	\N	\N
67795	225	1993-10-26	VYDAJ	VYBER	4700	24519	\N	\N	\N
67796	225	1993-11-25	VYDAJ	VYBER	4400	25297	\N	\N	\N
67797	225	1993-12-25	VYDAJ	VYBER	4000	29015	\N	\N	\N
67798	225	1994-01-24	PRIJEM	VKLAD	3300	17799	\N	\N	\N
67799	225	1994-02-23	PRIJEM	VKLAD	1800	21361	\N	\N	\N
67800	225	1994-03-25	VYDAJ	VYBER	1500	21620	\N	\N	\N
67801	225	1994-04-24	PRIJEM	VKLAD	400	23792	\N	\N	\N
67802	225	1994-05-24	VYDAJ	VYBER	200	20926	\N	\N	\N
67803	225	1994-06-23	VYDAJ	VYBER	2800	22433	\N	\N	\N
67804	225	1994-07-23	PRIJEM	VKLAD	4800	23369	\N	\N	\N
67805	225	1994-08-22	PRIJEM	VKLAD	1600	26743	\N	\N	\N
67806	225	1994-09-21	PRIJEM	VKLAD	400	23766	\N	\N	\N
67807	225	1994-10-21	VYDAJ	VYBER	600	24945	\N	\N	\N
67808	225	1994-11-20	VYDAJ	VYBER	700	26027	\N	\N	\N
67809	225	1994-12-20	VYDAJ	VYBER	1500	28853	\N	\N	\N
67810	225	1995-01-19	PRIJEM	VKLAD	1900	18550	\N	\N	\N
67811	225	1995-02-18	PRIJEM	VKLAD	6000	22235	\N	\N	\N
67812	225	1995-03-20	PRIJEM	VKLAD	8200	23306	\N	\N	\N
67813	225	1995-04-19	PRIJEM	VKLAD	4300	26007	\N	\N	\N
67814	225	1995-05-19	VYDAJ	VYBER	400	27387	\N	\N	\N
67815	225	1995-06-18	VYDAJ	VYBER	1100	30617	\N	\N	\N
67816	225	1995-07-18	PRIJEM	VKLAD	6600	25931	\N	\N	\N
67817	225	1995-08-17	PRIJEM	VKLAD	3500	27004	\N	\N	\N
67818	225	1995-09-16	PRIJEM	VKLAD	1900	30685	\N	\N	\N
67819	225	1995-10-16	PRIJEM	VKLAD	800	33285	\N	\N	\N
67820	225	1995-11-15	PRIJEM	VKLAD	1600	34418	\N	\N	\N
67821	225	1995-12-15	VYDAJ	VYBER	1900	36877	\N	\N	\N
67822	225	1996-01-14	VYDAJ	VYBER	1300	33327	\N	\N	\N
67823	225	1996-02-13	PRIJEM	VKLAD	4300	23784	\N	\N	\N
67824	225	1996-03-14	PRIJEM	VKLAD	6900	26211	\N	\N	\N
67825	225	1996-04-13	PRIJEM	VKLAD	900	28891	\N	\N	\N
67826	225	1996-05-13	PRIJEM	VKLAD	100	28266	\N	\N	\N
67827	225	1996-06-12	PRIJEM	VKLAD	1600	28682	\N	\N	\N
67828	225	1996-07-12	PRIJEM	VKLAD	1500	31974	\N	\N	\N
67829	225	1996-08-11	PRIJEM	VKLAD	3700	37481	\N	\N	\N
67830	225	1996-09-10	PRIJEM	VKLAD	1500	40808	\N	\N	\N
67831	225	1996-10-10	VYDAJ	VYBER	900	41751	\N	\N	\N
67832	225	1996-11-09	PRIJEM	VKLAD	100	38626	\N	\N	\N
67833	225	1996-12-09	PRIJEM	VKLAD	200	46860	\N	\N	\N
67834	225	1997-01-08	VYDAJ	VYBER	1600	41209	\N	\N	\N
67835	225	1997-02-07	PRIJEM	VKLAD	5600	35171	\N	\N	\N
67836	225	1997-03-09	VYDAJ	VYBER	1300	40784	\N	\N	\N
67837	225	1997-04-08	PRIJEM	VKLAD	4700	42254	\N	\N	\N
67838	225	1997-05-08	PRIJEM	VKLAD	1000	45121	\N	\N	\N
67839	225	1997-06-07	PRIJEM	VKLAD	3400	47642	\N	\N	\N
67840	225	1997-07-07	PRIJEM	VKLAD	14100	38648	\N	\N	\N
67841	225	1997-08-06	PRIJEM	VKLAD	2900	46776	\N	\N	\N
67842	225	1997-09-05	PRIJEM	VKLAD	1200	48168	\N	\N	\N
67843	225	1997-10-05	PRIJEM	VKLAD	4600	54648	\N	\N	\N
67844	225	1997-11-04	PRIJEM	VKLAD	700	57253	\N	\N	\N
67845	225	1997-12-04	PRIJEM	VKLAD	2600	61771	\N	\N	\N
67846	225	1998-01-03	VYDAJ	VYBER	5400	60853	\N	\N	\N
67847	225	1998-02-02	PRIJEM	VKLAD	9900	47317	\N	\N	\N
67848	225	1998-03-04	PRIJEM	VKLAD	6000	52540	\N	\N	\N
67849	225	1998-04-03	PRIJEM	VKLAD	2800	57234	\N	\N	\N
67850	225	1998-05-03	PRIJEM	VKLAD	2700	61850	\N	\N	\N
67851	225	1998-06-02	PRIJEM	VKLAD	2500	66285	\N	\N	\N
67852	225	1998-07-02	PRIJEM	VKLAD	15400	60194	\N	\N	\N
67853	225	1998-08-01	PRIJEM	VKLAD	15100	73368	\N	\N	\N
67854	225	1998-08-31	PRIJEM	VKLAD	2400	74510	\N	\N	\N
67855	225	1998-09-30	PRIJEM	VKLAD	8900	76928	\N	\N	\N
67856	225	1998-10-30	PRIJEM	VKLAD	5700	84587	\N	\N	\N
67857	225	1998-11-29	PRIJEM	VKLAD	1400	87990	\N	\N	\N
67923	226	1997-02-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
67926	226	1997-03-08	PRIJEM	VKLAD	19059	20059	\N	\N	\N
67927	226	1997-04-08	PRIJEM	VKLAD	19059	41639	\N	\N	\N
67928	226	1997-05-08	PRIJEM	VKLAD	19059	52002	\N	\N	\N
67929	226	1997-06-08	PRIJEM	VKLAD	28588	72339	\N	\N	\N
67930	226	1997-07-08	PRIJEM	VKLAD	19059	68185	\N	\N	\N
67931	226	1997-08-08	PRIJEM	VKLAD	19059	56608	\N	\N	\N
67932	226	1997-09-08	PRIJEM	VKLAD	19059	61387	\N	\N	\N
67933	226	1997-10-08	PRIJEM	VKLAD	19059	55585	\N	\N	\N
67934	226	1997-11-08	PRIJEM	VKLAD	19059	60891	\N	\N	\N
67935	226	1997-12-08	PRIJEM	VKLAD	28588	69627	\N	\N	\N
67936	226	1998-01-08	PRIJEM	VKLAD	19059	64549	\N	\N	\N
67937	226	1998-02-08	PRIJEM	VKLAD	19059	44330	\N	\N	\N
67938	226	1998-03-08	PRIJEM	VKLAD	19059	66412	\N	\N	\N
67939	226	1998-04-08	PRIJEM	VKLAD	19059	59540	\N	\N	\N
67940	226	1998-05-08	PRIJEM	VKLAD	19059	59173	\N	\N	\N
67941	226	1998-06-08	PRIJEM	VKLAD	28588	80433	\N	\N	\N
67942	226	1998-07-08	PRIJEM	VKLAD	19059	75585	\N	\N	\N
67943	226	1998-08-08	PRIJEM	VKLAD	19059	67572	\N	\N	\N
67944	226	1998-09-08	PRIJEM	VKLAD	19059	68390	\N	\N	\N
67945	226	1998-10-08	PRIJEM	VKLAD	19059	70203	\N	\N	\N
67946	226	1998-11-08	PRIJEM	VKLAD	19059	64507	\N	\N	\N
67947	226	1998-12-08	PRIJEM	VKLAD	28588	72324	\N	\N	\N
67954	226	1997-07-11	VYDAJ	PREVOD NA UCET	8928	59257	SIPO	UV	29971635
67955	226	1997-08-11	VYDAJ	PREVOD NA UCET	8928	41920	SIPO	UV	29971635
67956	226	1997-09-11	VYDAJ	PREVOD NA UCET	8928	52459	SIPO	UV	29971635
67957	226	1997-10-11	VYDAJ	PREVOD NA UCET	8928	46657	SIPO	UV	29971635
67958	226	1997-11-11	VYDAJ	PREVOD NA UCET	8928	51963	SIPO	UV	29971635
67959	226	1997-12-11	VYDAJ	PREVOD NA UCET	8928	60699	SIPO	UV	29971635
67960	226	1998-01-11	VYDAJ	PREVOD NA UCET	8928	55621	SIPO	UV	29971635
67961	226	1998-02-11	VYDAJ	PREVOD NA UCET	8928	35402	SIPO	UV	29971635
67962	226	1998-03-11	VYDAJ	PREVOD NA UCET	8928	57484	SIPO	UV	29971635
67963	226	1998-04-11	VYDAJ	PREVOD NA UCET	8928	50612	SIPO	UV	29971635
67964	226	1998-05-11	VYDAJ	PREVOD NA UCET	8928	50245	SIPO	UV	29971635
67965	226	1998-06-11	VYDAJ	PREVOD NA UCET	8928	71505	SIPO	UV	29971635
67966	226	1998-07-11	VYDAJ	PREVOD NA UCET	8928	66657	SIPO	UV	29971635
67967	226	1998-08-11	VYDAJ	PREVOD NA UCET	8928	58644	SIPO	UV	29971635
67968	226	1998-09-11	VYDAJ	PREVOD NA UCET	8928	59462	SIPO	UV	29971635
67969	226	1998-10-11	VYDAJ	PREVOD NA UCET	8928	61275	SIPO	UV	29971635
67970	226	1998-11-11	VYDAJ	PREVOD NA UCET	8928	55579	SIPO	UV	29971635
67971	226	1998-12-11	VYDAJ	PREVOD NA UCET	8928	63396	SIPO	UV	29971635
67978	226	1997-07-12	VYDAJ	VYBER	6300	52957	\N	\N	0
67979	226	1997-08-05	VYDAJ	VYBER	7700	37549	\N	\N	0
67980	226	1997-09-11	VYDAJ	VYBER	8300	44159	\N	\N	0
67981	226	1997-10-03	VYDAJ	VYBER	8600	36526	\N	\N	0
67982	226	1997-11-12	VYDAJ	VYBER	6100	45863	\N	\N	0
67983	226	1997-12-06	VYDAJ	VYBER	7900	41039	\N	\N	0
67984	226	1998-01-13	VYDAJ	VYBER	8300	47321	\N	\N	0
67985	226	1998-02-06	VYDAJ	VYBER	6100	25271	\N	\N	0
67986	226	1998-03-15	VYDAJ	VYBER	7000	50484	\N	\N	0
67987	226	1998-04-02	VYDAJ	VYBER	11900	40481	\N	\N	0
67988	226	1998-05-05	VYDAJ	VYBER	11400	40114	\N	\N	0
67989	226	1998-06-12	VYDAJ	VYBER	7000	64505	\N	\N	0
67990	226	1998-07-12	VYDAJ	PREVOD NA UCET	9112	57545	UVER	GH	39824432
67991	226	1998-08-12	VYDAJ	PREVOD NA UCET	9112	49532	UVER	GH	39824432
67992	226	1998-09-12	VYDAJ	PREVOD NA UCET	9112	50350	UVER	GH	39824432
67993	226	1998-10-12	VYDAJ	PREVOD NA UCET	9112	52163	UVER	GH	39824432
67994	226	1998-11-12	VYDAJ	PREVOD NA UCET	9112	46467	UVER	GH	39824432
67995	226	1998-12-12	VYDAJ	PREVOD NA UCET	9112	54284	UVER	GH	39824432
67999	226	1998-01-26	VYDAJ	VYBER	14720	31201	\N	\N	\N
68000	226	1997-12-29	VYDAJ	VYBER	4320	45279	\N	\N	\N
68001	226	1998-12-16	VYDAJ	VYBER KARTOU	3500	44284	\N	\N	0
68002	226	1997-12-22	VYDAJ	VYBER	4200	49599	\N	\N	\N
68005	226	1997-08-09	VYDAJ	VYBER	5760	50848	\N	\N	\N
68006	226	1997-08-20	VYDAJ	VYBER	2160	39760	\N	\N	\N
68007	226	1998-08-04	VYDAJ	VYBER KARTOU	2900	48513	\N	\N	0
68008	226	1998-01-25	VYDAJ	VYBER KARTOU	2900	45921	\N	\N	0
68009	226	1998-07-13	VYDAJ	VYBER	4440	53105	\N	\N	\N
68017	226	1997-07-31	VYDAJ	VYBER	15	45249	SLUZBY	\N	\N
68018	226	1997-08-31	VYDAJ	VYBER	15	42328	SLUZBY	\N	\N
68019	226	1997-09-30	VYDAJ	VYBER	15	45126	SLUZBY	\N	\N
68020	226	1997-10-31	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
68021	226	1997-11-30	VYDAJ	VYBER	15	48939	SLUZBY	\N	\N
68022	226	1997-12-31	VYDAJ	VYBER	15	45490	SLUZBY	\N	\N
68023	226	1998-01-31	VYDAJ	VYBER	15	31371	SLUZBY	\N	\N
68024	226	1998-02-28	VYDAJ	VYBER	15	47353	SLUZBY	\N	\N
68025	226	1998-03-31	VYDAJ	VYBER	15	52381	SLUZBY	\N	\N
68026	226	1998-04-30	VYDAJ	VYBER	15	51514	SLUZBY	\N	\N
68027	226	1998-05-31	VYDAJ	VYBER	15	51845	SLUZBY	\N	\N
68028	226	1998-06-30	VYDAJ	VYBER	15	56526	SLUZBY	\N	\N
68029	226	1998-07-31	VYDAJ	VYBER	15	51413	SLUZBY	\N	\N
68030	226	1998-08-31	VYDAJ	VYBER	15	49331	SLUZBY	\N	\N
68031	226	1998-09-30	VYDAJ	VYBER	15	51144	SLUZBY	\N	\N
68032	226	1998-10-31	VYDAJ	VYBER	15	45448	SLUZBY	\N	\N
68033	226	1998-11-30	VYDAJ	VYBER	15	43736	SLUZBY	\N	\N
68034	226	1997-03-25	PRIJEM	VKLAD	2500	22559	\N	\N	\N
68035	226	1997-04-24	VYDAJ	VYBER	8800	32839	\N	\N	\N
68036	226	1997-05-24	VYDAJ	VYBER	8400	43602	\N	\N	\N
68037	226	1997-06-23	VYDAJ	VYBER	23400	48939	\N	\N	\N
68038	226	1997-07-23	VYDAJ	VYBER	7900	45057	\N	\N	\N
68039	226	1997-08-22	PRIJEM	VKLAD	2400	42160	\N	\N	\N
68040	226	1997-09-21	PRIJEM	VKLAD	800	44959	\N	\N	\N
68041	226	1997-10-21	VYDAJ	VYBER	5000	41657	\N	\N	\N
68042	226	1997-11-20	PRIJEM	VKLAD	2900	48763	\N	\N	\N
68043	226	1997-12-20	VYDAJ	VYBER	6900	53799	\N	\N	\N
68044	226	1998-01-19	PRIJEM	VKLAD	1500	48821	\N	\N	\N
68045	226	1998-02-18	PRIJEM	VKLAD	11800	47202	\N	\N	\N
68046	226	1998-03-20	PRIJEM	VKLAD	1700	52184	\N	\N	\N
68047	226	1998-04-19	PRIJEM	VKLAD	700	51312	\N	\N	\N
68048	226	1998-05-19	PRIJEM	VKLAD	1400	51645	\N	\N	\N
68049	226	1998-06-18	VYDAJ	VYBER	8200	56305	\N	\N	\N
68050	226	1998-07-18	VYDAJ	VYBER KARTOU	1900	51205	\N	\N	0
68051	226	1998-08-17	VYDAJ	VYBER KARTOU	400	49132	\N	\N	0
68052	226	1998-09-16	PRIJEM	VKLAD	600	50950	\N	\N	\N
68053	226	1998-10-16	VYDAJ	VYBER	6900	45263	\N	\N	\N
68054	226	1998-11-15	VYDAJ	VYBER KARTOU	2900	43567	\N	\N	0
68055	226	1998-12-15	VYDAJ	VYBER	6500	47784	\N	\N	\N
68078	227	1995-03-28	PRIJEM	VKLAD	700	700	\N	\N	\N
68082	227	1995-04-12	PRIJEM	PREVOD Z UCTU	44692	45392	\N	UV	21064383
68083	227	1995-05-12	PRIJEM	PREVOD Z UCTU	44692	80004	\N	UV	21064383
68084	227	1995-06-12	PRIJEM	PREVOD Z UCTU	67038	119200	\N	UV	21064383
68085	227	1995-07-12	PRIJEM	PREVOD Z UCTU	44692	86931	\N	UV	21064383
68086	227	1995-08-12	PRIJEM	PREVOD Z UCTU	44692	96406	\N	UV	21064383
68087	227	1995-09-12	PRIJEM	PREVOD Z UCTU	44692	75409	\N	UV	21064383
68088	227	1995-10-12	PRIJEM	PREVOD Z UCTU	44692	79864	\N	UV	21064383
68089	227	1995-11-12	PRIJEM	PREVOD Z UCTU	44692	64457	\N	UV	21064383
68090	227	1995-12-12	PRIJEM	PREVOD Z UCTU	67038	96380	\N	UV	21064383
68091	227	1996-01-12	PRIJEM	PREVOD Z UCTU	44692	67056	\N	UV	21064383
68092	227	1996-02-12	PRIJEM	PREVOD Z UCTU	44692	66849	\N	UV	21064383
68093	227	1996-03-12	PRIJEM	PREVOD Z UCTU	44692	62415	\N	UV	21064383
68094	227	1996-04-12	PRIJEM	PREVOD Z UCTU	44692	77415	\N	UV	21064383
68095	227	1996-05-12	PRIJEM	PREVOD Z UCTU	44692	87444	\N	UV	21064383
68096	227	1996-06-12	PRIJEM	PREVOD Z UCTU	67038	111348	\N	UV	21064383
68097	227	1996-07-12	PRIJEM	PREVOD Z UCTU	44692	90408	\N	UV	21064383
68098	227	1996-08-12	PRIJEM	PREVOD Z UCTU	44692	86357	\N	UV	21064383
68099	227	1996-09-12	PRIJEM	PREVOD Z UCTU	44692	89905	\N	UV	21064383
68100	227	1996-10-12	PRIJEM	PREVOD Z UCTU	44692	84557	\N	UV	21064383
68101	227	1996-11-12	PRIJEM	PREVOD Z UCTU	44692	84791	\N	UV	21064383
68102	227	1996-12-12	PRIJEM	PREVOD Z UCTU	67038	106662	\N	UV	21064383
68103	227	1997-01-12	PRIJEM	PREVOD Z UCTU	44692	56830	\N	UV	21064383
68104	227	1997-02-12	PRIJEM	PREVOD Z UCTU	44692	60651	\N	UV	21064383
68105	227	1997-03-12	PRIJEM	PREVOD Z UCTU	44692	64798	\N	UV	21064383
68106	227	1997-04-12	PRIJEM	PREVOD Z UCTU	44692	75963	\N	UV	21064383
68107	227	1997-05-12	PRIJEM	PREVOD Z UCTU	44692	74789	\N	UV	21064383
68108	227	1997-06-12	PRIJEM	PREVOD Z UCTU	67038	100521	\N	UV	21064383
68109	227	1997-07-12	PRIJEM	PREVOD Z UCTU	44692	86237	\N	UV	21064383
68110	227	1997-08-12	PRIJEM	PREVOD Z UCTU	44692	71002	\N	UV	21064383
68111	227	1997-09-12	PRIJEM	PREVOD Z UCTU	44692	59744	\N	UV	21064383
68112	227	1997-10-12	PRIJEM	PREVOD Z UCTU	44692	64257	\N	UV	21064383
68113	227	1997-11-12	PRIJEM	PREVOD Z UCTU	44692	65480	\N	UV	21064383
68114	227	1997-12-12	PRIJEM	PREVOD Z UCTU	67038	88535	\N	UV	21064383
68115	227	1998-01-12	PRIJEM	PREVOD Z UCTU	44692	58674	\N	UV	21064383
68116	227	1998-02-12	PRIJEM	PREVOD Z UCTU	44692	64856	\N	UV	21064383
68117	227	1998-03-12	PRIJEM	PREVOD Z UCTU	44692	88686	\N	UV	21064383
68118	227	1998-04-12	PRIJEM	PREVOD Z UCTU	44692	62292	\N	UV	21064383
68119	227	1998-05-12	PRIJEM	PREVOD Z UCTU	44692	68201	\N	UV	21064383
68120	227	1998-06-12	PRIJEM	PREVOD Z UCTU	67038	100098	\N	UV	21064383
68121	227	1998-07-12	PRIJEM	PREVOD Z UCTU	44692	71528	\N	UV	21064383
68122	227	1998-08-12	PRIJEM	PREVOD Z UCTU	44692	55183	\N	UV	21064383
68123	227	1998-09-12	PRIJEM	PREVOD Z UCTU	44692	62083	\N	UV	21064383
68124	227	1998-10-12	PRIJEM	PREVOD Z UCTU	44692	58400	\N	UV	21064383
68125	227	1998-11-12	PRIJEM	PREVOD Z UCTU	44692	59418	\N	UV	21064383
68126	227	1998-12-12	PRIJEM	PREVOD Z UCTU	67038	84892	\N	UV	21064383
68135	227	1995-09-10	VYDAJ	PREVOD NA UCET	9381	30717	SIPO	GH	28972292
68136	227	1995-10-10	VYDAJ	PREVOD NA UCET	9381	35172	SIPO	GH	28972292
68137	227	1995-11-10	VYDAJ	PREVOD NA UCET	9381	19765	SIPO	GH	28972292
68138	227	1995-12-10	VYDAJ	PREVOD NA UCET	9381	29342	SIPO	GH	28972292
68139	227	1996-01-10	VYDAJ	PREVOD NA UCET	9381	25064	SIPO	GH	28972292
68140	227	1996-02-10	VYDAJ	PREVOD NA UCET	9381	22157	SIPO	GH	28972292
68141	227	1996-03-10	VYDAJ	PREVOD NA UCET	9381	17723	SIPO	GH	28972292
68142	227	1996-04-10	VYDAJ	PREVOD NA UCET	9381	32723	SIPO	GH	28972292
68143	227	1996-05-10	VYDAJ	PREVOD NA UCET	9381	42752	SIPO	GH	28972292
68144	227	1996-06-10	VYDAJ	PREVOD NA UCET	9381	44310	SIPO	GH	28972292
68145	227	1996-07-10	VYDAJ	PREVOD NA UCET	9381	45716	SIPO	GH	28972292
68146	227	1996-08-10	VYDAJ	PREVOD NA UCET	9381	41665	SIPO	GH	28972292
68147	227	1996-09-10	VYDAJ	PREVOD NA UCET	9381	45213	SIPO	GH	28972292
68148	227	1996-10-10	VYDAJ	PREVOD NA UCET	9381	39865	SIPO	GH	28972292
68149	227	1996-11-10	VYDAJ	PREVOD NA UCET	9381	40099	SIPO	GH	28972292
68150	227	1996-12-10	VYDAJ	PREVOD NA UCET	9381	39624	SIPO	GH	28972292
68151	227	1997-01-10	VYDAJ	PREVOD NA UCET	9381	12138	SIPO	GH	28972292
68152	227	1997-02-10	VYDAJ	PREVOD NA UCET	9381	15959	SIPO	GH	28972292
68153	227	1997-03-10	VYDAJ	PREVOD NA UCET	9381	20106	SIPO	GH	28972292
68154	227	1997-04-10	VYDAJ	PREVOD NA UCET	9381	31271	SIPO	GH	28972292
68155	227	1997-05-10	VYDAJ	PREVOD NA UCET	9381	30097	SIPO	GH	28972292
68156	227	1997-06-10	VYDAJ	PREVOD NA UCET	9381	33483	SIPO	GH	28972292
68157	227	1997-07-10	VYDAJ	PREVOD NA UCET	9381	41545	SIPO	GH	28972292
68158	227	1997-08-10	VYDAJ	PREVOD NA UCET	9381	26310	SIPO	GH	28972292
68159	227	1997-09-10	VYDAJ	PREVOD NA UCET	9381	15052	SIPO	GH	28972292
68160	227	1997-10-10	VYDAJ	PREVOD NA UCET	9381	19565	SIPO	GH	28972292
68161	227	1997-11-10	VYDAJ	PREVOD NA UCET	9381	20788	SIPO	GH	28972292
68162	227	1997-12-10	VYDAJ	PREVOD NA UCET	9381	21497	SIPO	GH	28972292
68163	227	1998-01-10	VYDAJ	PREVOD NA UCET	9381	13982	SIPO	GH	28972292
68164	227	1998-02-10	VYDAJ	PREVOD NA UCET	9381	39264	SIPO	GH	28972292
68165	227	1998-03-10	VYDAJ	PREVOD NA UCET	9381	43994	SIPO	GH	28972292
68166	227	1998-04-10	VYDAJ	PREVOD NA UCET	9381	36000	SIPO	GH	28972292
68167	227	1998-05-10	VYDAJ	PREVOD NA UCET	9381	42909	SIPO	GH	28972292
68168	227	1998-06-10	VYDAJ	PREVOD NA UCET	9381	59060	SIPO	GH	28972292
68169	227	1998-07-10	VYDAJ	PREVOD NA UCET	9381	26836	SIPO	GH	28972292
68170	227	1998-08-10	VYDAJ	PREVOD NA UCET	9381	10491	SIPO	GH	28972292
68171	227	1998-09-10	VYDAJ	PREVOD NA UCET	9381	17391	SIPO	GH	28972292
68172	227	1998-10-10	VYDAJ	PREVOD NA UCET	9381	13708	SIPO	GH	28972292
68173	227	1998-11-10	VYDAJ	PREVOD NA UCET	9381	14726	SIPO	GH	28972292
68174	227	1998-12-10	VYDAJ	PREVOD NA UCET	9381	17854	SIPO	GH	28972292
68175	227	1995-09-01	VYBER	VYBER	11448	40098	\N	\N	\N
68178	227	1995-10-29	VYBER	VYBER	18340	28924	\N	\N	\N
68180	227	1995-12-14	VYBER	VYBER	8148	88232	\N	\N	\N
68181	227	1995-09-22	VYBER	VYBER	7781	67628	\N	\N	\N
68183	227	1996-03-03	VYBER	VYBER	21028	27104	\N	\N	\N
68184	227	1996-01-03	VYBER	VYBER	7130	45245	\N	\N	\N
68185	227	1997-08-01	VYBER	VYBER	9343	35691	\N	\N	\N
68187	227	1997-02-15	VYBER	VYBER	16208	44443	\N	\N	\N
68188	227	1997-04-20	VYBER	VYBER	3457	39306	\N	\N	\N
68189	227	1998-07-31	VYBER	VYBER	24812	45486	\N	\N	\N
68193	227	1998-06-28	VYDAJ	VYBER	33900	61098	\N	\N	\N
68195	227	1996-01-26	VYDAJ	VYBER	4800	38256	\N	\N	\N
68204	227	1996-01-02	VYDAJ	VYBER	4200	52375	\N	\N	\N
68205	227	1996-01-07	VYDAJ	VYBER	2400	42845	\N	\N	\N
68206	227	1996-01-11	VYDAJ	VYBER	2700	22364	\N	\N	\N
68207	227	1996-01-14	VYDAJ	VYBER	4500	62556	\N	\N	\N
68208	227	1996-01-28	VYDAJ	VYBER	6900	31356	\N	\N	\N
68209	227	1996-01-08	VYDAJ	VYBER	8400	34445	\N	\N	\N
68210	227	1997-01-09	VYDAJ	VYBER	5400	24219	\N	\N	\N
68212	227	1997-01-20	VYDAJ	VYBER	4500	25230	\N	\N	\N
68213	227	1997-01-14	VYDAJ	VYBER	3000	53830	\N	\N	\N
68214	227	1997-01-09	VYDAJ	VYBER	2700	21519	\N	\N	\N
68216	227	1998-01-02	VYDAJ	VYBER	5400	24863	\N	\N	\N
68218	227	1998-01-03	VYDAJ	VYBER	1500	23363	\N	\N	\N
68220	227	1998-01-28	VYDAJ	VYBER	4500	48474	\N	\N	\N
68221	227	1998-01-28	VYDAJ	VYBER	5700	52974	\N	\N	\N
68222	227	1995-11-19	VYDAJ	VYBER	10200	54257	\N	\N	\N
68223	227	1995-08-16	VYDAJ	VYBER	12000	84406	\N	\N	\N
68224	227	1995-10-19	VYDAJ	VYBER	1500	78364	\N	\N	\N
68225	227	1996-12-27	VYDAJ	VYBER	2100	29462	\N	\N	\N
68226	227	1996-07-16	VYDAJ	VYBER	14100	76308	\N	\N	\N
68227	227	1996-10-09	VYDAJ	VYBER	5100	49246	\N	\N	\N
68229	227	1997-12-27	VYDAJ	VYBER	12600	30035	\N	\N	\N
68230	227	1997-08-21	VYDAJ	VYBER	7200	24302	\N	\N	\N
68233	227	1998-06-18	VYDAJ	VYBER	5100	94998	\N	\N	\N
68234	227	1998-09-20	VYDAJ	VYBER	9600	52483	\N	\N	\N
68235	227	1998-04-20	VYDAJ	VYBER	10200	52092	\N	\N	\N
68236	227	1998-03-02	VYDAJ	VYBER	11700	53375	\N	\N	\N
68237	227	1998-07-27	VYDAJ	VYBER	1500	70028	\N	\N	\N
68246	227	1995-08-31	VYDAJ	VYBER	15	51546	SLUZBY	\N	\N
68247	227	1995-09-30	VYDAJ	VYBER	15	44553	SLUZBY	\N	\N
68248	227	1995-10-31	VYDAJ	VYBER	15	29146	SLUZBY	\N	\N
68249	227	1995-11-30	VYDAJ	VYBER	15	38723	SLUZBY	\N	\N
68250	227	1995-12-31	VYDAJ	VYBER	15	56575	SLUZBY	\N	\N
68251	227	1996-01-31	VYDAJ	VYBER	15	31538	SLUZBY	\N	\N
68252	227	1996-02-29	VYDAJ	VYBER	15	48132	SLUZBY	\N	\N
68253	227	1996-03-31	VYDAJ	VYBER	15	42104	SLUZBY	\N	\N
68254	227	1996-04-30	VYDAJ	VYBER	15	52133	SLUZBY	\N	\N
68255	227	1996-05-31	VYDAJ	VYBER	15	53691	SLUZBY	\N	\N
68256	227	1996-06-30	VYDAJ	VYBER	15	55097	SLUZBY	\N	\N
68257	227	1996-07-31	VYDAJ	VYBER	15	51046	SLUZBY	\N	\N
68258	227	1996-08-31	VYDAJ	VYBER	15	54594	SLUZBY	\N	\N
68259	227	1996-09-30	VYDAJ	VYBER	15	54346	SLUZBY	\N	\N
68260	227	1996-10-31	VYDAJ	VYBER	15	49480	SLUZBY	\N	\N
68261	227	1996-11-30	VYDAJ	VYBER	15	49005	SLUZBY	\N	\N
68262	227	1996-12-31	VYDAJ	VYBER	15	29619	SLUZBY	\N	\N
68263	227	1997-01-31	VYDAJ	VYBER	15	25340	SLUZBY	\N	\N
68264	227	1997-02-28	VYDAJ	VYBER	15	29487	SLUZBY	\N	\N
68265	227	1997-03-31	VYDAJ	VYBER	15	40652	SLUZBY	\N	\N
68266	227	1997-04-30	VYDAJ	VYBER	15	39478	SLUZBY	\N	\N
68267	227	1997-05-31	VYDAJ	VYBER	15	42864	SLUZBY	\N	\N
68268	227	1997-06-30	VYDAJ	VYBER	15	50926	SLUZBY	\N	\N
68269	227	1997-07-31	VYDAJ	VYBER	15	45034	SLUZBY	\N	\N
68270	227	1997-08-31	VYDAJ	VYBER	15	24433	SLUZBY	\N	\N
68271	227	1997-09-30	VYDAJ	VYBER	15	28946	SLUZBY	\N	\N
68272	227	1997-10-31	VYDAJ	VYBER	15	30169	SLUZBY	\N	\N
68273	227	1997-11-30	VYDAJ	VYBER	15	30878	SLUZBY	\N	\N
68274	227	1997-12-31	VYDAJ	VYBER	15	30263	SLUZBY	\N	\N
68275	227	1998-01-31	VYDAJ	VYBER	15	48645	SLUZBY	\N	\N
68276	227	1998-02-28	VYDAJ	VYBER	15	65075	SLUZBY	\N	\N
68277	227	1998-03-31	VYDAJ	VYBER	15	45381	SLUZBY	\N	\N
68278	227	1998-04-30	VYDAJ	VYBER	15	52290	SLUZBY	\N	\N
68279	227	1998-05-31	VYDAJ	VYBER	15	68441	SLUZBY	\N	\N
68280	227	1998-06-30	VYDAJ	VYBER	15	61417	SLUZBY	\N	\N
68281	227	1998-07-31	VYDAJ	VYBER	15	45472	SLUZBY	\N	\N
68282	227	1998-08-31	VYDAJ	VYBER	15	55372	SLUZBY	\N	\N
68283	227	1998-09-30	VYDAJ	VYBER	15	52689	SLUZBY	\N	\N
68284	227	1998-10-31	VYDAJ	VYBER	15	58607	SLUZBY	\N	\N
68285	227	1998-11-30	VYDAJ	VYBER	15	59635	SLUZBY	\N	\N
68286	227	1995-04-27	VYDAJ	VYBER	10100	35292	\N	\N	\N
68287	227	1995-05-27	VYDAJ	VYBER	28000	52004	\N	\N	\N
68288	227	1995-06-12	VYDAJ	VYBER	52000	67200	\N	\N	\N
68289	227	1995-06-26	VYDAJ	VYBER	25200	42000	\N	\N	\N
68290	227	1995-07-26	VYDAJ	VYBER	35400	51531	\N	\N	\N
68291	227	1995-08-25	VYDAJ	VYBER	33100	51306	\N	\N	\N
68292	227	1995-09-24	VYDAJ	VYBER	23300	44328	\N	\N	\N
68293	227	1995-10-24	VYDAJ	VYBER	31100	47264	\N	\N	\N
68294	227	1995-11-23	VYDAJ	VYBER	15700	38557	\N	\N	\N
68295	227	1995-12-23	VYDAJ	VYBER	31900	56332	\N	\N	\N
68296	227	1996-01-22	VYDAJ	VYBER	19500	43056	\N	\N	\N
68297	227	1996-02-21	VYDAJ	VYBER	18900	47949	\N	\N	\N
68298	227	1996-03-22	VYDAJ	VYBER	20500	41915	\N	\N	\N
68299	227	1996-04-21	VYDAJ	VYBER	25500	51915	\N	\N	\N
68300	227	1996-05-21	VYDAJ	VYBER	34000	53444	\N	\N	\N
68301	227	1996-06-12	VYDAJ	VYBER	23500	87848	\N	\N	\N
68302	227	1996-06-20	VYDAJ	VYBER	33000	54848	\N	\N	\N
68303	227	1996-07-20	VYDAJ	VYBER	25500	50808	\N	\N	\N
68304	227	1996-08-19	VYDAJ	VYBER	32000	54357	\N	\N	\N
68305	227	1996-09-18	VYDAJ	VYBER	35800	54105	\N	\N	\N
68306	227	1996-10-18	VYDAJ	VYBER	35300	49257	\N	\N	\N
68307	227	1996-11-17	VYDAJ	VYBER	36000	48791	\N	\N	\N
68308	227	1996-12-12	VYDAJ	VYBER	50000	56662	\N	\N	\N
68309	227	1996-12-17	VYDAJ	VYBER	25100	31562	\N	\N	\N
68310	227	1997-01-16	VYDAJ	VYBER	24100	29730	\N	\N	\N
68311	227	1997-02-15	VYDAJ	VYBER	15100	29343	\N	\N	\N
68312	227	1997-03-17	VYDAJ	VYBER	24300	40498	\N	\N	\N
68313	227	1997-04-16	VYDAJ	VYBER	33200	42763	\N	\N	\N
68314	227	1997-05-16	VYDAJ	VYBER	32100	42689	\N	\N	\N
68315	227	1997-06-15	VYDAJ	VYBER	49800	50721	\N	\N	\N
68316	227	1997-07-15	VYDAJ	VYBER	41400	44837	\N	\N	\N
68317	227	1997-08-14	VYDAJ	VYBER	39500	31502	\N	\N	\N
68318	227	1997-09-13	VYDAJ	VYBER	30900	28844	\N	\N	\N
68319	227	1997-10-13	VYDAJ	VYBER	34200	30057	\N	\N	\N
68320	227	1997-11-12	VYDAJ	VYBER	34800	30680	\N	\N	\N
68321	227	1997-12-12	VYDAJ	VYBER	45900	42635	\N	\N	\N
68322	227	1998-02-10	VYDAJ	VYBER	19100	20164	\N	\N	\N
68323	227	1998-03-12	VYDAJ	VYBER	43500	45186	\N	\N	\N
68324	227	1998-04-11	VYDAJ	VYBER	18400	17600	\N	\N	\N
68325	227	1998-05-11	VYDAJ	VYBER	19400	23509	\N	\N	\N
68326	227	1998-06-10	VYDAJ	VYBER	26000	33060	\N	\N	\N
68327	227	1998-07-10	VYDAJ	VYBER	25200	36217	\N	\N	\N
68328	227	1998-08-09	VYDAJ	VYBER	25600	19872	\N	\N	\N
68329	227	1998-09-08	VYDAJ	VYBER	28600	26772	\N	\N	\N
68330	227	1998-10-08	VYDAJ	VYBER	29600	23089	\N	\N	\N
68331	227	1998-11-07	VYDAJ	VYBER	34500	24107	\N	\N	\N
68332	227	1998-12-07	VYDAJ	VYBER	32400	27235	\N	\N	\N
68378	228	1993-09-28	PRIJEM	VKLAD	800	800	\N	\N	\N
68388	228	1993-10-13	PRIJEM	VKLAD	21602	22402	\N	\N	\N
68389	228	1993-11-13	PRIJEM	VKLAD	21602	44216	\N	\N	\N
68390	228	1993-12-13	PRIJEM	VKLAD	32403	64919	\N	\N	\N
68391	228	1994-01-13	PRIJEM	VKLAD	21602	68666	\N	\N	\N
68392	228	1994-02-13	PRIJEM	VKLAD	21602	67062	\N	\N	\N
68393	228	1994-03-13	PRIJEM	VKLAD	21602	64368	\N	\N	\N
68394	228	1994-04-13	PRIJEM	VKLAD	21602	62770	\N	\N	\N
68395	228	1994-05-13	PRIJEM	VKLAD	21602	60563	\N	\N	\N
68396	228	1994-06-13	PRIJEM	VKLAD	32403	71048	\N	\N	\N
68397	228	1994-07-13	PRIJEM	VKLAD	21602	39309	\N	\N	\N
68398	228	1994-08-13	PRIJEM	VKLAD	21602	49616	\N	\N	\N
68399	228	1994-09-13	PRIJEM	VKLAD	21602	56357	\N	\N	\N
68400	228	1994-10-13	PRIJEM	VKLAD	21602	59721	\N	\N	\N
68401	228	1994-11-13	PRIJEM	VKLAD	21602	57872	\N	\N	\N
68402	228	1994-12-13	PRIJEM	VKLAD	32403	70642	\N	\N	\N
68403	228	1995-01-13	PRIJEM	VKLAD	21602	60956	\N	\N	\N
68404	228	1995-02-13	PRIJEM	VKLAD	21602	41669	\N	\N	\N
68405	228	1995-03-13	PRIJEM	VKLAD	21602	48671	\N	\N	\N
68406	228	1995-04-13	PRIJEM	VKLAD	21602	52404	\N	\N	\N
68407	228	1995-05-13	PRIJEM	VKLAD	21602	56448	\N	\N	\N
68408	228	1995-06-13	PRIJEM	VKLAD	32403	66903	\N	\N	\N
68409	228	1995-07-13	PRIJEM	VKLAD	21602	60094	\N	\N	\N
68410	228	1995-08-13	PRIJEM	VKLAD	21602	50316	\N	\N	\N
68411	228	1995-09-13	PRIJEM	VKLAD	21602	53546	\N	\N	\N
68412	228	1995-10-13	PRIJEM	VKLAD	21602	54587	\N	\N	\N
68413	228	1995-11-13	PRIJEM	VKLAD	21602	55631	\N	\N	\N
68414	228	1995-12-13	PRIJEM	VKLAD	32403	61134	\N	\N	\N
68415	228	1996-01-13	PRIJEM	VKLAD	21602	42155	\N	\N	\N
68416	228	1996-02-13	PRIJEM	VKLAD	21602	43440	\N	\N	\N
68417	228	1996-03-13	PRIJEM	VKLAD	21602	44791	\N	\N	\N
68418	228	1996-04-13	PRIJEM	VKLAD	21602	49696	\N	\N	\N
68419	228	1996-05-13	PRIJEM	VKLAD	21602	48005	\N	\N	\N
68420	228	1996-06-13	PRIJEM	VKLAD	32403	58912	\N	\N	\N
68421	228	1996-07-13	PRIJEM	VKLAD	21602	46739	\N	\N	\N
68422	228	1996-08-13	PRIJEM	VKLAD	21602	41807	\N	\N	\N
68423	228	1996-09-13	PRIJEM	VKLAD	21602	44588	\N	\N	\N
68424	228	1996-10-13	PRIJEM	VKLAD	21602	44917	\N	\N	\N
68425	228	1996-11-13	PRIJEM	VKLAD	21602	42051	\N	\N	\N
68426	228	1996-12-13	PRIJEM	VKLAD	32403	55795	\N	\N	\N
68427	228	1997-01-13	PRIJEM	VKLAD	21602	46752	\N	\N	\N
68428	228	1997-02-13	PRIJEM	VKLAD	21602	36783	\N	\N	\N
68429	228	1997-03-13	PRIJEM	VKLAD	21602	37106	\N	\N	\N
68430	228	1997-04-13	PRIJEM	VKLAD	21602	54733	\N	\N	\N
68431	228	1997-05-13	PRIJEM	VKLAD	21602	40509	\N	\N	\N
68432	228	1997-06-13	PRIJEM	VKLAD	32403	57034	\N	\N	\N
68433	228	1997-07-13	PRIJEM	VKLAD	21602	43311	\N	\N	\N
68434	228	1997-08-13	PRIJEM	VKLAD	21602	60990	\N	\N	\N
68435	228	1997-09-13	PRIJEM	VKLAD	21602	43093	\N	\N	\N
68436	228	1997-10-13	PRIJEM	VKLAD	21602	56431	\N	\N	\N
68437	228	1997-11-13	PRIJEM	VKLAD	21602	39609	\N	\N	\N
68438	228	1997-12-13	PRIJEM	VKLAD	32403	68055	\N	\N	\N
68439	228	1998-01-13	PRIJEM	VKLAD	21602	37579	\N	\N	\N
68440	228	1998-02-13	PRIJEM	VKLAD	21602	49193	\N	\N	\N
68441	228	1998-03-13	PRIJEM	VKLAD	21602	66838	\N	\N	\N
68442	228	1998-04-13	PRIJEM	VKLAD	21602	37700	\N	\N	\N
68443	228	1998-05-13	PRIJEM	VKLAD	21602	55348	\N	\N	\N
68444	228	1998-06-13	PRIJEM	VKLAD	32403	81057	\N	\N	\N
68445	228	1998-07-13	PRIJEM	VKLAD	21602	77353	\N	\N	\N
68446	228	1998-08-13	PRIJEM	VKLAD	21602	41623	\N	\N	\N
68447	228	1998-09-13	PRIJEM	VKLAD	21602	57613	\N	\N	\N
68448	228	1998-10-13	PRIJEM	VKLAD	21602	75299	\N	\N	\N
68449	228	1998-11-13	PRIJEM	VKLAD	21602	40560	\N	\N	\N
68450	228	1998-12-13	PRIJEM	VKLAD	32403	69028	\N	\N	\N
68465	228	1994-03-09	VYDAJ	PREVOD NA UCET	1946	42766	SIPO	QR	78199761
68466	228	1994-04-09	VYDAJ	PREVOD NA UCET	1946	41168	SIPO	QR	78199761
68467	228	1994-05-09	VYDAJ	PREVOD NA UCET	1946	38961	SIPO	QR	78199761
68468	228	1994-06-09	VYDAJ	PREVOD NA UCET	1946	38645	SIPO	QR	78199761
68469	228	1994-07-09	VYDAJ	PREVOD NA UCET	1946	17707	SIPO	QR	78199761
68470	228	1994-08-09	VYDAJ	PREVOD NA UCET	1946	28014	SIPO	QR	78199761
68471	228	1994-09-09	VYDAJ	PREVOD NA UCET	1946	34755	SIPO	QR	78199761
68472	228	1994-10-09	VYDAJ	PREVOD NA UCET	1946	38119	SIPO	QR	78199761
68473	228	1994-11-09	VYDAJ	PREVOD NA UCET	1946	36270	SIPO	QR	78199761
68474	228	1994-12-09	VYDAJ	PREVOD NA UCET	1946	38239	SIPO	QR	78199761
68475	228	1995-01-09	VYDAJ	PREVOD NA UCET	1946	39354	SIPO	QR	78199761
68476	228	1995-02-09	VYDAJ	PREVOD NA UCET	1946	20067	SIPO	QR	78199761
68477	228	1995-03-09	VYDAJ	PREVOD NA UCET	1946	27069	SIPO	QR	78199761
68478	228	1995-04-09	VYDAJ	PREVOD NA UCET	1946	30802	SIPO	QR	78199761
68479	228	1995-05-09	VYDAJ	PREVOD NA UCET	1946	34846	SIPO	QR	78199761
68480	228	1995-06-09	VYDAJ	PREVOD NA UCET	1946	34500	SIPO	QR	78199761
68481	228	1995-07-09	VYDAJ	PREVOD NA UCET	1946	38492	SIPO	QR	78199761
68482	228	1995-08-09	VYDAJ	PREVOD NA UCET	1946	28714	SIPO	QR	78199761
68483	228	1995-09-09	VYDAJ	PREVOD NA UCET	1946	31944	SIPO	QR	78199761
68484	228	1995-10-09	VYDAJ	PREVOD NA UCET	1946	32985	SIPO	QR	78199761
68485	228	1995-11-09	VYDAJ	PREVOD NA UCET	1946	34029	SIPO	QR	78199761
68486	228	1995-12-09	VYDAJ	PREVOD NA UCET	1946	28731	SIPO	QR	78199761
68487	228	1996-01-09	VYDAJ	PREVOD NA UCET	1946	21633	SIPO	QR	78199761
68488	228	1996-02-09	VYDAJ	PREVOD NA UCET	1946	21838	SIPO	QR	78199761
68489	228	1996-03-09	VYDAJ	PREVOD NA UCET	1946	23189	SIPO	QR	78199761
68490	228	1996-04-09	VYDAJ	PREVOD NA UCET	1946	28094	SIPO	QR	78199761
68491	228	1996-05-09	VYDAJ	PREVOD NA UCET	1946	26403	SIPO	QR	78199761
68492	228	1996-06-09	VYDAJ	PREVOD NA UCET	1946	26509	SIPO	QR	78199761
68493	228	1996-07-09	VYDAJ	PREVOD NA UCET	1946	25137	SIPO	QR	78199761
68494	228	1996-08-09	VYDAJ	PREVOD NA UCET	1946	20205	SIPO	QR	78199761
68495	228	1996-09-09	VYDAJ	PREVOD NA UCET	1946	22986	SIPO	QR	78199761
68496	228	1996-10-09	VYDAJ	PREVOD NA UCET	1946	40615	SIPO	QR	78199761
68497	228	1996-11-09	VYDAJ	PREVOD NA UCET	1946	35689	SIPO	QR	78199761
68498	228	1996-12-09	VYDAJ	PREVOD NA UCET	1946	38092	SIPO	QR	78199761
68499	228	1997-01-09	VYDAJ	PREVOD NA UCET	1946	49670	SIPO	QR	78199761
68500	228	1997-02-09	VYDAJ	PREVOD NA UCET	1946	15181	SIPO	QR	78199761
68501	228	1997-03-09	VYDAJ	PREVOD NA UCET	1946	32804	SIPO	QR	78199761
68502	228	1997-04-09	VYDAJ	PREVOD NA UCET	1946	33131	SIPO	QR	78199761
68503	228	1997-05-09	VYDAJ	PREVOD NA UCET	1946	47207	SIPO	QR	78199761
68504	228	1997-06-09	VYDAJ	PREVOD NA UCET	1946	24631	SIPO	QR	78199761
68505	228	1997-07-09	VYDAJ	PREVOD NA UCET	1946	53109	SIPO	QR	78199761
68506	228	1997-08-09	VYDAJ	PREVOD NA UCET	1946	39388	SIPO	QR	78199761
68507	228	1997-09-09	VYDAJ	PREVOD NA UCET	1946	21491	SIPO	QR	78199761
68508	228	1997-10-09	VYDAJ	PREVOD NA UCET	1946	34829	SIPO	QR	78199761
68509	228	1997-11-09	VYDAJ	PREVOD NA UCET	1946	18007	SIPO	QR	78199761
68510	228	1997-12-09	VYDAJ	PREVOD NA UCET	1946	35652	SIPO	QR	78199761
68511	228	1998-01-09	VYDAJ	PREVOD NA UCET	1946	15977	SIPO	QR	78199761
68512	228	1998-02-09	VYDAJ	PREVOD NA UCET	1946	27591	SIPO	QR	78199761
68513	228	1998-03-09	VYDAJ	PREVOD NA UCET	1946	45236	SIPO	QR	78199761
68514	228	1998-04-09	VYDAJ	PREVOD NA UCET	1946	16098	SIPO	QR	78199761
68515	228	1998-05-09	VYDAJ	PREVOD NA UCET	1946	33746	SIPO	QR	78199761
68516	228	1998-06-09	VYDAJ	PREVOD NA UCET	1946	48654	SIPO	QR	78199761
68517	228	1998-07-09	VYDAJ	PREVOD NA UCET	1946	55751	SIPO	QR	78199761
68518	228	1998-08-09	VYDAJ	PREVOD NA UCET	1946	20021	SIPO	QR	78199761
68519	228	1998-09-09	VYDAJ	PREVOD NA UCET	1946	36011	SIPO	QR	78199761
68520	228	1998-10-09	VYDAJ	PREVOD NA UCET	1946	53697	SIPO	QR	78199761
68521	228	1998-11-09	VYDAJ	PREVOD NA UCET	1946	18958	SIPO	QR	78199761
68522	228	1998-12-09	VYDAJ	PREVOD NA UCET	1946	36625	SIPO	QR	78199761
68536	228	1994-02-13	VYDAJ	PREVOD NA UCET	2158	64904	 	EF	26569271
68537	228	1994-03-13	VYDAJ	PREVOD NA UCET	2158	62210	 	EF	26569271
68538	228	1994-04-13	VYDAJ	PREVOD NA UCET	2158	60612	 	EF	26569271
68539	228	1994-05-13	VYDAJ	PREVOD NA UCET	2158	58405	 	EF	26569271
68540	228	1994-06-13	VYDAJ	PREVOD NA UCET	2158	68890	 	EF	26569271
68541	228	1994-07-13	VYDAJ	PREVOD NA UCET	2158	37151	 	EF	26569271
68542	228	1994-08-13	VYDAJ	PREVOD NA UCET	2158	47458	 	EF	26569271
68543	228	1994-09-13	VYDAJ	PREVOD NA UCET	2158	54199	 	EF	26569271
68544	228	1994-10-13	VYDAJ	PREVOD NA UCET	2158	57563	 	EF	26569271
68545	228	1994-11-13	VYDAJ	PREVOD NA UCET	2158	55714	 	EF	26569271
68546	228	1994-12-13	VYDAJ	PREVOD NA UCET	2158	68484	 	EF	26569271
68547	228	1995-01-13	VYDAJ	PREVOD NA UCET	2158	58798	 	EF	26569271
68548	228	1995-02-13	VYDAJ	PREVOD NA UCET	2158	39511	 	EF	26569271
68549	228	1995-03-13	VYDAJ	PREVOD NA UCET	2158	46513	 	EF	26569271
68550	228	1995-04-13	VYDAJ	PREVOD NA UCET	2158	50246	 	EF	26569271
68551	228	1995-05-13	VYDAJ	PREVOD NA UCET	2158	54290	 	EF	26569271
68552	228	1995-06-13	VYDAJ	PREVOD NA UCET	2158	64745	 	EF	26569271
68553	228	1995-07-13	VYDAJ	PREVOD NA UCET	2158	57936	 	EF	26569271
68554	228	1995-08-13	VYDAJ	PREVOD NA UCET	2158	48158	 	EF	26569271
68555	228	1995-09-13	VYDAJ	PREVOD NA UCET	2158	51388	 	EF	26569271
68556	228	1995-10-13	VYDAJ	PREVOD NA UCET	2158	52429	 	EF	26569271
68557	228	1995-11-13	VYDAJ	PREVOD NA UCET	2158	53473	 	EF	26569271
68558	228	1995-12-13	VYDAJ	PREVOD NA UCET	2158	58976	 	EF	26569271
68559	228	1996-01-13	VYDAJ	PREVOD NA UCET	2158	39997	 	EF	26569271
68560	228	1996-02-13	VYDAJ	PREVOD NA UCET	2158	41282	 	EF	26569271
68561	228	1996-03-13	VYDAJ	PREVOD NA UCET	2158	42633	 	EF	26569271
68562	228	1996-04-13	VYDAJ	PREVOD NA UCET	2158	47538	 	EF	26569271
68563	228	1996-05-13	VYDAJ	PREVOD NA UCET	2158	45847	 	EF	26569271
68564	228	1996-06-13	VYDAJ	PREVOD NA UCET	2158	56754	 	EF	26569271
68565	228	1996-07-13	VYDAJ	PREVOD NA UCET	2158	44581	 	EF	26569271
68566	228	1996-08-13	VYDAJ	PREVOD NA UCET	2158	39649	 	EF	26569271
68567	228	1996-09-13	VYDAJ	PREVOD NA UCET	2158	42430	 	EF	26569271
68568	228	1996-10-13	VYDAJ	PREVOD NA UCET	2158	42759	 	EF	26569271
68569	228	1996-11-13	VYDAJ	PREVOD NA UCET	2158	39893	 	EF	26569271
68570	228	1996-12-13	VYDAJ	PREVOD NA UCET	2158	53637	 	EF	26569271
68571	228	1997-01-13	VYDAJ	PREVOD NA UCET	2158	44594	 	EF	26569271
68572	228	1997-02-13	VYDAJ	PREVOD NA UCET	2158	34625	 	EF	26569271
68573	228	1997-03-13	VYDAJ	PREVOD NA UCET	2158	34948	 	EF	26569271
68574	228	1997-04-13	VYDAJ	PREVOD NA UCET	2158	52575	 	EF	26569271
68575	228	1997-05-13	VYDAJ	PREVOD NA UCET	2158	38351	 	EF	26569271
68576	228	1997-06-13	VYDAJ	PREVOD NA UCET	2158	54876	 	EF	26569271
68577	228	1997-07-13	VYDAJ	PREVOD NA UCET	2158	41153	 	EF	26569271
68578	228	1997-08-13	VYDAJ	PREVOD NA UCET	2158	58832	 	EF	26569271
68579	228	1997-09-13	VYDAJ	PREVOD NA UCET	2158	40935	 	EF	26569271
68580	228	1997-10-13	VYDAJ	PREVOD NA UCET	2158	54273	 	EF	26569271
68581	228	1997-11-13	VYDAJ	PREVOD NA UCET	2158	37451	 	EF	26569271
68582	228	1997-12-13	VYDAJ	PREVOD NA UCET	2158	65897	 	EF	26569271
68583	228	1998-01-13	VYDAJ	PREVOD NA UCET	2158	34581	 	EF	26569271
68584	228	1998-02-13	VYDAJ	PREVOD NA UCET	2158	47035	 	EF	26569271
68585	228	1998-03-13	VYDAJ	PREVOD NA UCET	2158	64680	 	EF	26569271
68586	228	1998-04-13	VYDAJ	PREVOD NA UCET	2158	35542	 	EF	26569271
68587	228	1998-05-13	VYDAJ	PREVOD NA UCET	2158	53190	 	EF	26569271
68588	228	1998-06-13	VYDAJ	PREVOD NA UCET	2158	78899	 	EF	26569271
68589	228	1998-07-13	VYDAJ	PREVOD NA UCET	2158	75195	 	EF	26569271
68590	228	1998-08-13	VYDAJ	PREVOD NA UCET	2158	39465	 	EF	26569271
68591	228	1998-09-13	VYDAJ	PREVOD NA UCET	2158	55455	 	EF	26569271
68592	228	1998-10-13	VYDAJ	PREVOD NA UCET	2158	73141	 	EF	26569271
68593	228	1998-11-13	VYDAJ	PREVOD NA UCET	2158	38402	 	EF	26569271
68594	228	1998-12-13	VYDAJ	PREVOD NA UCET	2158	66870	 	EF	26569271
68596	228	1994-06-18	VYDAJ	VYBER	44960	23930	\N	\N	\N
68598	228	1996-06-20	VYDAJ	VYBER	7680	26974	\N	\N	\N
68599	228	1997-06-05	VYDAJ	VYBER	7840	28137	\N	\N	\N
68600	228	1998-06-22	VYDAJ	VYBER	21440	57459	\N	\N	\N
68603	228	1995-01-25	VYDAJ	VYBER	10880	21858	\N	\N	\N
68604	228	1996-01-08	VYDAJ	VYBER	8960	23579	\N	\N	\N
68605	228	1997-01-22	VYDAJ	VYBER	7680	34394	\N	\N	\N
68606	228	1998-01-02	VYDAJ	VYBER	7360	56023	\N	\N	\N
68608	228	1994-12-21	VYDAJ	VYBER	4160	64324	\N	\N	\N
68609	228	1995-12-04	VYDAJ	VYBER	4640	30677	\N	\N	\N
68610	228	1996-12-20	VYDAJ	VYBER	1120	52517	\N	\N	\N
68611	228	1997-12-17	VYDAJ	VYBER	2720	63177	\N	\N	\N
68612	228	1998-12-30	VYDAJ	VYBER	1120	65750	\N	\N	\N
68625	228	1995-01-20	VYDAJ	VYBER	1440	51718	\N	\N	\N
68626	228	1995-01-18	VYDAJ	VYBER	2880	55918	\N	\N	\N
68627	228	1995-01-02	VYDAJ	VYBER	2760	42860	\N	\N	\N
68628	228	1995-01-24	VYDAJ	VYBER	1680	32738	\N	\N	\N
68629	228	1995-01-19	VYDAJ	VYBER	2760	53158	\N	\N	\N
68630	228	1995-01-08	VYDAJ	VYBER	1560	41300	\N	\N	\N
68631	228	1996-01-29	VYDAJ	VYBER	1560	23677	\N	\N	\N
68632	228	1996-01-15	VYDAJ	VYBER	1560	38437	\N	\N	\N
68633	228	1996-01-20	VYDAJ	VYBER	1320	27517	\N	\N	\N
68634	228	1996-01-10	VYDAJ	VYBER	1080	20553	\N	\N	\N
68635	228	1996-01-01	VYDAJ	VYBER	3480	32539	\N	\N	\N
68636	228	1996-01-27	VYDAJ	VYBER	2280	25237	\N	\N	\N
68637	228	1997-01-01	VYDAJ	VYBER	1080	51616	\N	\N	\N
68638	228	1997-01-25	VYDAJ	VYBER	840	33554	\N	\N	\N
68639	228	1997-01-20	VYDAJ	VYBER	720	42074	\N	\N	\N
68640	228	1997-01-15	VYDAJ	VYBER	1800	42794	\N	\N	\N
68641	228	1997-01-12	VYDAJ	VYBER	1920	25150	\N	\N	\N
68642	228	1997-01-25	VYDAJ	VYBER	2400	31154	\N	\N	\N
68643	228	1998-01-30	VYDAJ	VYBER	2760	30621	\N	\N	\N
68644	228	1998-01-04	VYDAJ	VYBER	840	53623	\N	\N	\N
68645	228	1998-01-13	VYDAJ	VYBER	840	36739	\N	\N	\N
68646	228	1998-01-03	VYDAJ	VYBER	1560	54463	\N	\N	\N
68648	228	1998-01-14	VYDAJ	VYBER	1200	33381	\N	\N	\N
68656	228	1994-06-29	VYDAJ	VYBER	4920	19510	\N	\N	\N
68657	228	1994-10-19	VYDAJ	VYBER	720	56843	\N	\N	\N
68658	228	1995-06-26	VYDAJ	VYBER	2280	40265	\N	\N	\N
68659	228	1995-10-02	VYDAJ	VYBER	1800	34931	\N	\N	\N
68660	228	1995-07-31	VYDAJ	VYBER	5640	30660	\N	\N	\N
68661	228	1996-02-18	VYDAJ	VYBER	3840	25042	\N	\N	\N
68662	228	1996-07-17	VYDAJ	VYBER	5520	22061	\N	\N	\N
68663	228	1996-10-23	VYDAJ	VYBER	5280	37479	\N	\N	\N
68664	228	1996-11-11	VYDAJ	VYBER	2040	33649	\N	\N	\N
68665	228	1997-06-09	VYDAJ	VYBER	1560	26577	\N	\N	\N
68666	228	1997-09-30	VYDAJ	VYBER	3120	36790	\N	\N	\N
68667	228	1997-09-21	VYDAJ	VYBER	1200	39735	\N	\N	\N
68668	228	1997-05-15	VYDAJ	VYBER	2520	35831	\N	\N	\N
68669	228	1997-02-09	VYDAJ	VYBER	2280	29027	\N	\N	\N
68670	228	1997-05-07	VYDAJ	VYBER	3600	49153	\N	\N	\N
68671	228	1998-03-20	VYDAJ	VYBER	960	63720	\N	\N	\N
68672	228	1998-08-25	VYDAJ	VYBER	1680	37785	\N	\N	\N
68673	228	1998-02-01	VYDAJ	VYBER	1200	29537	\N	\N	\N
68674	228	1998-05-15	VYDAJ	VYBER	2760	50430	\N	\N	\N
68690	228	1994-02-28	VYDAJ	VYBER	15	44712	SLUZBY	\N	\N
68691	228	1994-03-31	VYDAJ	VYBER	15	43114	SLUZBY	\N	\N
68692	228	1994-04-30	VYDAJ	VYBER	15	40907	SLUZBY	\N	\N
68693	228	1994-05-31	VYDAJ	VYBER	15	40591	SLUZBY	\N	\N
68694	228	1994-06-30	VYDAJ	VYBER	15	19653	SLUZBY	\N	\N
68695	228	1994-07-31	VYDAJ	VYBER	15	29960	SLUZBY	\N	\N
68696	228	1994-08-31	VYDAJ	VYBER	15	36701	SLUZBY	\N	\N
68697	228	1994-09-30	VYDAJ	VYBER	15	40065	SLUZBY	\N	\N
68698	228	1994-10-31	VYDAJ	VYBER	15	38216	SLUZBY	\N	\N
68699	228	1994-11-30	VYDAJ	VYBER	15	40185	SLUZBY	\N	\N
68700	228	1994-12-31	VYDAJ	VYBER	15	45620	SLUZBY	\N	\N
68701	228	1995-01-31	VYDAJ	VYBER	15	22013	SLUZBY	\N	\N
68702	228	1995-02-28	VYDAJ	VYBER	15	29015	SLUZBY	\N	\N
68703	228	1995-03-31	VYDAJ	VYBER	15	32748	SLUZBY	\N	\N
68704	228	1995-04-30	VYDAJ	VYBER	15	36792	SLUZBY	\N	\N
68705	228	1995-05-31	VYDAJ	VYBER	15	36446	SLUZBY	\N	\N
68706	228	1995-06-30	VYDAJ	VYBER	15	40438	SLUZBY	\N	\N
68707	228	1995-07-31	VYDAJ	VYBER	15	36300	SLUZBY	\N	\N
68708	228	1995-08-31	VYDAJ	VYBER	15	33890	SLUZBY	\N	\N
68709	228	1995-09-30	VYDAJ	VYBER	15	36731	SLUZBY	\N	\N
68710	228	1995-10-31	VYDAJ	VYBER	15	35975	SLUZBY	\N	\N
68711	228	1995-11-30	VYDAJ	VYBER	15	35317	SLUZBY	\N	\N
68712	228	1995-12-31	VYDAJ	VYBER	15	36019	SLUZBY	\N	\N
68713	228	1996-01-31	VYDAJ	VYBER	15	23784	SLUZBY	\N	\N
68714	228	1996-02-29	VYDAJ	VYBER	15	25135	SLUZBY	\N	\N
68715	228	1996-03-31	VYDAJ	VYBER	15	30040	SLUZBY	\N	\N
68716	228	1996-04-30	VYDAJ	VYBER	15	28349	SLUZBY	\N	\N
68717	228	1996-05-31	VYDAJ	VYBER	15	28455	SLUZBY	\N	\N
68718	228	1996-06-30	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
68719	228	1996-07-31	VYDAJ	VYBER	15	22151	SLUZBY	\N	\N
68720	228	1996-08-31	VYDAJ	VYBER	15	24932	SLUZBY	\N	\N
68721	228	1996-09-30	VYDAJ	VYBER	15	42561	SLUZBY	\N	\N
68722	228	1996-10-31	VYDAJ	VYBER	15	37635	SLUZBY	\N	\N
68723	228	1996-11-30	VYDAJ	VYBER	15	40038	SLUZBY	\N	\N
68724	228	1996-12-31	VYDAJ	VYBER	15	52696	SLUZBY	\N	\N
68725	228	1997-01-31	VYDAJ	VYBER	15	31307	SLUZBY	\N	\N
68726	228	1997-02-28	VYDAJ	VYBER	15	34750	SLUZBY	\N	\N
68727	228	1997-03-31	VYDAJ	VYBER	15	35077	SLUZBY	\N	\N
68728	228	1997-04-30	VYDAJ	VYBER	15	52753	SLUZBY	\N	\N
68729	228	1997-05-31	VYDAJ	VYBER	15	35977	SLUZBY	\N	\N
68730	228	1997-06-30	VYDAJ	VYBER	15	55055	SLUZBY	\N	\N
68731	228	1997-07-31	VYDAJ	VYBER	15	41334	SLUZBY	\N	\N
68732	228	1997-08-31	VYDAJ	VYBER	15	59037	SLUZBY	\N	\N
68733	228	1997-09-30	VYDAJ	VYBER	15	36775	SLUZBY	\N	\N
68734	228	1997-10-31	VYDAJ	VYBER	15	54453	SLUZBY	\N	\N
68735	228	1997-11-30	VYDAJ	VYBER	15	37598	SLUZBY	\N	\N
68736	228	1997-12-31	VYDAJ	VYBER	15	63383	SLUZBY	\N	\N
68737	228	1998-01-31	VYDAJ	VYBER	15	30737	SLUZBY	\N	\N
68738	228	1998-02-28	VYDAJ	VYBER	15	47182	SLUZBY	\N	\N
68739	228	1998-03-31	VYDAJ	VYBER	15	63944	SLUZBY	\N	\N
68740	228	1998-04-30	VYDAJ	VYBER	15	35692	SLUZBY	\N	\N
68741	228	1998-05-31	VYDAJ	VYBER	15	50600	SLUZBY	\N	\N
68742	228	1998-06-30	VYDAJ	VYBER	15	57697	SLUZBY	\N	\N
68743	228	1998-07-31	VYDAJ	VYBER	15	75467	SLUZBY	\N	\N
68744	228	1998-08-31	VYDAJ	VYBER	15	37957	SLUZBY	\N	\N
68745	228	1998-09-30	VYDAJ	VYBER	15	55643	SLUZBY	\N	\N
68746	228	1998-10-31	VYDAJ	VYBER	15	73404	SLUZBY	\N	\N
68747	228	1998-11-30	VYDAJ	VYBER	15	38571	SLUZBY	\N	\N
68748	228	1993-10-28	PRIJEM	VKLAD	200	22602	\N	\N	\N
68749	228	1993-11-27	VYDAJ	VYBER	11800	32416	\N	\N	\N
68750	228	1993-12-27	VYDAJ	VYBER	18000	46919	\N	\N	\N
68751	228	1994-01-26	VYDAJ	VYBER	23400	45266	\N	\N	\N
68752	228	1994-02-25	VYDAJ	VYBER	20400	44504	\N	\N	\N
68753	228	1994-03-27	VYDAJ	VYBER	19300	42910	\N	\N	\N
68754	228	1994-04-26	VYDAJ	VYBER	19900	40712	\N	\N	\N
68755	228	1994-05-26	VYDAJ	VYBER	18000	40405	\N	\N	\N
68756	228	1994-06-25	PRIJEM	VKLAD	500	24430	\N	\N	\N
68757	228	1994-07-25	VYDAJ	VYBER	7300	29851	\N	\N	\N
68758	228	1994-08-24	VYDAJ	VYBER	10900	36558	\N	\N	\N
68759	228	1994-09-23	VYDAJ	VYBER	14300	39899	\N	\N	\N
68760	228	1994-10-23	VYDAJ	VYBER	18800	38043	\N	\N	\N
68761	228	1994-11-22	VYDAJ	VYBER	15700	40014	\N	\N	\N
68762	228	1994-12-22	VYDAJ	VYBER	18900	45424	\N	\N	\N
68763	228	1995-01-21	VYDAJ	VYBER	17300	34418	\N	\N	\N
68764	228	1995-02-20	VYDAJ	VYBER	10600	28911	\N	\N	\N
68765	228	1995-03-22	VYDAJ	VYBER	13900	32613	\N	\N	\N
68766	228	1995-04-21	VYDAJ	VYBER	13600	36646	\N	\N	\N
68767	228	1995-05-21	VYDAJ	VYBER	18000	36290	\N	\N	\N
68768	228	1995-06-20	VYDAJ	VYBER	22200	42545	\N	\N	\N
68769	228	1995-07-20	VYDAJ	VYBER	21800	36136	\N	\N	\N
68770	228	1995-08-19	VYDAJ	VYBER	14400	33758	\N	\N	\N
68771	228	1995-09-18	VYDAJ	VYBER	14800	36588	\N	\N	\N
68772	228	1995-10-18	VYDAJ	VYBER	16600	35829	\N	\N	\N
68773	228	1995-11-17	VYDAJ	VYBER	18300	35173	\N	\N	\N
68774	228	1995-12-17	VYDAJ	VYBER	23100	35876	\N	\N	\N
68775	228	1996-01-16	VYDAJ	VYBER	9600	28837	\N	\N	\N
68776	228	1996-02-15	VYDAJ	VYBER	12400	28882	\N	\N	\N
68777	228	1996-03-16	VYDAJ	VYBER	12700	29933	\N	\N	\N
68778	228	1996-04-15	VYDAJ	VYBER	19300	28238	\N	\N	\N
68779	228	1996-05-15	VYDAJ	VYBER	17500	28347	\N	\N	\N
68780	228	1996-06-14	VYDAJ	VYBER	22100	34654	\N	\N	\N
68781	228	1996-07-14	VYDAJ	VYBER	17000	27581	\N	\N	\N
68782	228	1996-08-13	VYDAJ	VYBER	14800	24849	\N	\N	\N
68783	228	1996-10-12	VYDAJ	VYBER	17300	23315	\N	\N	\N
68784	228	1996-11-11	VYDAJ	VYBER	13200	20449	\N	\N	\N
68785	228	1996-12-11	VYDAJ	VYBER	14700	23392	\N	\N	\N
68786	228	1997-01-10	VYDAJ	VYBER	22600	27070	\N	\N	\N
68787	228	1997-02-09	VYDAJ	VYBER	11900	17127	\N	\N	\N
68788	228	1997-03-11	VYDAJ	VYBER	17300	15504	\N	\N	\N
68789	228	1997-05-10	VYDAJ	VYBER	28300	18907	\N	\N	\N
68790	228	1997-07-09	VYDAJ	VYBER	31400	21709	\N	\N	\N
68791	228	1997-09-07	VYDAJ	VYBER	35600	23437	\N	\N	\N
68792	228	1997-11-06	VYDAJ	VYBER	34500	19953	\N	\N	\N
68793	228	1998-01-05	VYDAJ	VYBER	35700	17923	\N	\N	\N
68794	228	1998-04-05	VYDAJ	VYBER	45900	18044	\N	\N	\N
68795	228	1998-08-03	VYDAJ	VYBER	53500	21967	\N	\N	\N
68796	228	1998-11-01	VYDAJ	VYBER	52500	20904	\N	\N	\N
68860	229	1997-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
68866	229	1997-06-11	PRIJEM	PREVOD Z UCTU	5492	6592	DUCHOD	UV	14829045
68867	229	1997-07-11	PRIJEM	PREVOD Z UCTU	5492	12102	DUCHOD	UV	14829045
68868	229	1997-08-11	PRIJEM	PREVOD Z UCTU	5492	17622	DUCHOD	UV	14829045
68869	229	1997-09-11	PRIJEM	PREVOD Z UCTU	5492	23141	DUCHOD	UV	14829045
68870	229	1997-10-11	PRIJEM	PREVOD Z UCTU	5492	28661	DUCHOD	UV	14829045
68871	229	1997-11-11	PRIJEM	PREVOD Z UCTU	5492	29408	DUCHOD	UV	14829045
68872	229	1997-12-11	PRIJEM	PREVOD Z UCTU	5492	32493	DUCHOD	UV	14829045
68873	229	1998-01-11	PRIJEM	PREVOD Z UCTU	5492	29072	DUCHOD	UV	14829045
68874	229	1998-02-11	PRIJEM	PREVOD Z UCTU	5492	19579	DUCHOD	UV	14829045
68875	229	1998-03-11	PRIJEM	PREVOD Z UCTU	5492	21217	DUCHOD	UV	14829045
68876	229	1998-04-11	PRIJEM	PREVOD Z UCTU	5492	21625	DUCHOD	UV	14829045
68877	229	1998-05-11	PRIJEM	PREVOD Z UCTU	5492	21188	DUCHOD	UV	14829045
68878	229	1998-06-11	PRIJEM	PREVOD Z UCTU	5492	23516	DUCHOD	UV	14829045
68879	229	1998-07-11	PRIJEM	PREVOD Z UCTU	5492	22972	DUCHOD	UV	14829045
68880	229	1998-08-11	PRIJEM	PREVOD Z UCTU	5492	25325	DUCHOD	UV	14829045
68881	229	1998-09-11	PRIJEM	PREVOD Z UCTU	5492	24701	DUCHOD	UV	14829045
68882	229	1998-10-11	PRIJEM	PREVOD Z UCTU	5492	23996	DUCHOD	UV	14829045
68883	229	1998-11-11	PRIJEM	PREVOD Z UCTU	5492	27053	DUCHOD	UV	14829045
68884	229	1998-12-11	PRIJEM	PREVOD Z UCTU	5492	27321	DUCHOD	UV	14829045
68894	229	1997-10-14	VYDAJ	PREVOD NA UCET	2505	26156	SIPO	ST	55160808
68895	229	1997-11-14	VYDAJ	PREVOD NA UCET	2505	26903	SIPO	ST	55160808
68896	229	1997-12-14	VYDAJ	PREVOD NA UCET	2505	29988	SIPO	ST	55160808
68897	229	1998-01-14	VYDAJ	PREVOD NA UCET	2505	22487	SIPO	ST	55160808
68898	229	1998-02-14	VYDAJ	PREVOD NA UCET	2505	17074	SIPO	ST	55160808
68899	229	1998-03-14	VYDAJ	PREVOD NA UCET	2505	18712	SIPO	ST	55160808
68900	229	1998-04-14	VYDAJ	PREVOD NA UCET	2505	19120	SIPO	ST	55160808
68901	229	1998-05-14	VYDAJ	PREVOD NA UCET	2505	18683	SIPO	ST	55160808
68902	229	1998-06-14	VYDAJ	PREVOD NA UCET	2505	21011	SIPO	ST	55160808
68903	229	1998-07-14	VYDAJ	PREVOD NA UCET	2505	20467	SIPO	ST	55160808
68904	229	1998-08-14	VYDAJ	PREVOD NA UCET	2505	22820	SIPO	ST	55160808
68905	229	1998-09-14	VYDAJ	PREVOD NA UCET	2505	22196	SIPO	ST	55160808
68906	229	1998-10-14	VYDAJ	PREVOD NA UCET	2505	21491	SIPO	ST	55160808
68907	229	1998-11-14	VYDAJ	PREVOD NA UCET	2505	24548	SIPO	ST	55160808
68908	229	1998-12-14	VYDAJ	PREVOD NA UCET	2505	24116	SIPO	ST	55160808
68913	229	1997-12-15	VYDAJ	VYBER	1150	28838	\N	\N	\N
68914	229	1998-12-14	VYDAJ	VYBER	700	26621	\N	\N	\N
68921	229	1998-01-17	VYDAJ	VYBER	800	21687	\N	\N	\N
68922	229	1998-01-21	VYDAJ	VYBER	1920	19767	\N	\N	\N
68923	229	1998-01-14	VYDAJ	VYBER	1840	24992	\N	\N	\N
68924	229	1998-01-08	VYDAJ	VYBER	2160	23580	\N	\N	\N
68925	229	1998-01-30	VYDAJ	VYBER	2000	14007	\N	\N	\N
68926	229	1998-01-11	VYDAJ	VYBER	2240	26832	\N	\N	\N
68930	229	1998-04-22	VYDAJ	VYBER	2880	16240	\N	\N	\N
68931	229	1998-09-22	VYDAJ	VYBER	3760	18436	\N	\N	\N
68932	229	1998-08-15	VYDAJ	VYBER	3680	19140	\N	\N	\N
68933	229	1998-01-23	VYDAJ	VYBER	3760	16007	\N	\N	\N
68934	229	1998-06-27	VYDAJ	VYBER	3600	17411	\N	\N	\N
68935	229	1998-03-31	VYDAJ	VYBER	2640	16148	\N	\N	\N
68936	229	1998-06-01	VYDAJ	VYBER	720	18024	\N	\N	\N
68947	229	1997-10-31	VYDAJ	VYBER	15	26216	SLUZBY	\N	\N
68948	229	1997-11-30	VYDAJ	VYBER	15	27001	SLUZBY	\N	\N
68949	229	1997-12-31	VYDAJ	VYBER	15	28940	SLUZBY	\N	\N
68950	229	1998-01-31	VYDAJ	VYBER	15	14087	SLUZBY	\N	\N
68951	229	1998-02-28	VYDAJ	VYBER	15	17125	SLUZBY	\N	\N
68952	229	1998-03-31	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
68953	229	1998-04-30	VYDAJ	VYBER	15	16296	SLUZBY	\N	\N
68954	229	1998-05-31	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
68955	229	1998-06-30	VYDAJ	VYBER	15	17480	SLUZBY	\N	\N
68956	229	1998-07-31	VYDAJ	VYBER	15	20533	SLUZBY	\N	\N
68957	229	1998-08-31	VYDAJ	VYBER	15	19209	SLUZBY	\N	\N
68958	229	1998-09-30	VYDAJ	VYBER	15	18504	SLUZBY	\N	\N
68959	229	1998-10-31	VYDAJ	VYBER	15	21561	SLUZBY	\N	\N
68960	229	1998-11-30	VYDAJ	VYBER	15	21829	SLUZBY	\N	\N
68961	229	1997-11-04	VYDAJ	VYBER	2300	23916	\N	\N	\N
68962	229	1998-01-03	VYDAJ	VYBER	3200	25740	\N	\N	\N
68963	229	1998-03-04	VYDAJ	VYBER	1400	15725	\N	\N	\N
68964	229	1998-05-03	VYDAJ	VYBER	600	15696	\N	\N	\N
68965	229	1998-08-01	VYDAJ	VYBER	700	19833	\N	\N	\N
68966	229	1998-11-29	VYDAJ	VYBER	2800	21748	\N	\N	\N
68986	230	1996-02-26	PRIJEM	VKLAD	600	600	\N	\N	\N
68989	230	1996-03-05	PRIJEM	VKLAD	17493	18093	\N	\N	\N
68990	230	1996-04-05	PRIJEM	VKLAD	17493	38700	\N	\N	\N
68991	230	1996-05-05	PRIJEM	VKLAD	17493	50590	\N	\N	\N
68992	230	1996-06-05	PRIJEM	VKLAD	26240	66172	\N	\N	\N
68993	230	1996-07-05	PRIJEM	VKLAD	17493	63536	\N	\N	\N
68994	230	1996-08-05	PRIJEM	VKLAD	17493	57118	\N	\N	\N
68995	230	1996-09-05	PRIJEM	VKLAD	17493	44430	\N	\N	\N
68996	230	1996-10-05	PRIJEM	VKLAD	17493	44299	\N	\N	\N
68997	230	1996-11-05	PRIJEM	VKLAD	17493	45607	\N	\N	\N
68998	230	1996-12-05	PRIJEM	VKLAD	26240	51159	\N	\N	\N
68999	230	1997-01-05	PRIJEM	VKLAD	17493	44327	\N	\N	\N
69000	230	1997-02-05	PRIJEM	VKLAD	17493	36692	\N	\N	\N
69001	230	1997-03-05	PRIJEM	VKLAD	17493	37599	\N	\N	\N
69002	230	1997-04-05	PRIJEM	VKLAD	17493	36474	\N	\N	\N
69003	230	1997-05-05	PRIJEM	VKLAD	17493	37391	\N	\N	\N
69004	230	1997-06-05	PRIJEM	VKLAD	26240	51479	\N	\N	\N
69005	230	1997-07-05	PRIJEM	VKLAD	17493	37520	\N	\N	\N
69006	230	1997-08-05	PRIJEM	VKLAD	17493	35210	\N	\N	\N
69007	230	1997-09-05	PRIJEM	VKLAD	17493	41083	\N	\N	\N
69008	230	1997-10-05	PRIJEM	VKLAD	17493	47079	\N	\N	\N
69009	230	1997-11-05	PRIJEM	VKLAD	17493	50196	\N	\N	\N
69010	230	1997-12-05	PRIJEM	VKLAD	26240	63475	\N	\N	\N
69011	230	1998-01-05	PRIJEM	VKLAD	17493	61038	\N	\N	\N
69012	230	1998-02-05	PRIJEM	VKLAD	17493	51463	\N	\N	\N
69013	230	1998-03-05	PRIJEM	VKLAD	17493	57301	\N	\N	\N
69014	230	1998-04-05	PRIJEM	VKLAD	17493	57552	\N	\N	\N
69015	230	1998-05-05	PRIJEM	VKLAD	17493	52635	\N	\N	\N
69016	230	1998-06-05	PRIJEM	VKLAD	26240	65321	\N	\N	\N
69017	230	1998-07-05	PRIJEM	VKLAD	17493	58158	\N	\N	\N
69018	230	1998-08-05	PRIJEM	VKLAD	17493	53198	\N	\N	\N
69019	230	1998-09-05	PRIJEM	VKLAD	17493	46725	\N	\N	\N
69020	230	1998-10-05	PRIJEM	VKLAD	17493	39810	\N	\N	\N
69021	230	1998-11-05	PRIJEM	VKLAD	17493	35773	\N	\N	\N
69022	230	1998-12-05	PRIJEM	VKLAD	26240	39761	\N	\N	\N
69029	230	1996-07-14	VYDAJ	PREVOD NA UCET	5615	55336	SIPO	ST	66906124
69030	230	1996-08-14	VYDAJ	PREVOD NA UCET	5615	48918	SIPO	ST	66906124
69031	230	1996-09-14	VYDAJ	PREVOD NA UCET	5615	36230	SIPO	ST	66906124
69032	230	1996-10-14	VYDAJ	PREVOD NA UCET	5615	36099	SIPO	ST	66906124
69033	230	1996-11-14	VYDAJ	PREVOD NA UCET	5615	37407	SIPO	ST	66906124
69034	230	1996-12-14	VYDAJ	PREVOD NA UCET	5615	39919	SIPO	ST	66906124
69035	230	1997-01-14	VYDAJ	PREVOD NA UCET	5615	33007	SIPO	ST	66906124
69036	230	1997-02-14	VYDAJ	PREVOD NA UCET	5615	22732	SIPO	ST	66906124
69037	230	1997-03-14	VYDAJ	PREVOD NA UCET	5615	29399	SIPO	ST	66906124
69038	230	1997-04-14	VYDAJ	PREVOD NA UCET	5615	28274	SIPO	ST	66906124
69039	230	1997-05-14	VYDAJ	PREVOD NA UCET	5615	29191	SIPO	ST	66906124
69040	230	1997-06-14	VYDAJ	PREVOD NA UCET	5615	26639	SIPO	ST	66906124
69041	230	1997-07-14	VYDAJ	PREVOD NA UCET	5615	29320	SIPO	ST	66906124
69042	230	1997-08-14	VYDAJ	PREVOD NA UCET	5615	27010	SIPO	ST	66906124
69043	230	1997-09-14	VYDAJ	PREVOD NA UCET	5615	32883	SIPO	ST	66906124
69044	230	1997-10-14	VYDAJ	PREVOD NA UCET	5615	38879	SIPO	ST	66906124
69045	230	1997-11-14	VYDAJ	PREVOD NA UCET	5615	41996	SIPO	ST	66906124
69046	230	1997-12-14	VYDAJ	PREVOD NA UCET	5615	55275	SIPO	ST	66906124
69047	230	1998-01-14	VYDAJ	PREVOD NA UCET	5615	46478	SIPO	ST	66906124
69048	230	1998-02-14	VYDAJ	PREVOD NA UCET	5615	43263	SIPO	ST	66906124
69049	230	1998-03-14	VYDAJ	PREVOD NA UCET	5615	49101	SIPO	ST	66906124
69050	230	1998-04-14	VYDAJ	PREVOD NA UCET	5615	49352	SIPO	ST	66906124
69051	230	1998-05-14	VYDAJ	PREVOD NA UCET	5615	44435	SIPO	ST	66906124
69052	230	1998-06-14	VYDAJ	PREVOD NA UCET	5615	52081	SIPO	ST	66906124
69053	230	1998-07-14	VYDAJ	PREVOD NA UCET	5615	49958	SIPO	ST	66906124
69054	230	1998-08-14	VYDAJ	PREVOD NA UCET	5615	29098	SIPO	ST	66906124
69055	230	1998-09-14	VYDAJ	PREVOD NA UCET	5615	22225	SIPO	ST	66906124
69056	230	1998-10-14	VYDAJ	PREVOD NA UCET	5615	18210	SIPO	ST	66906124
69057	230	1998-11-14	VYDAJ	PREVOD NA UCET	5615	13473	SIPO	ST	66906124
69058	230	1998-12-14	VYDAJ	PREVOD NA UCET	5615	11761	SIPO	ST	66906124
69065	230	1996-07-12	VYDAJ	PREVOD NA UCET	1527	60951	 	AB	95935326
69066	230	1996-08-12	VYDAJ	PREVOD NA UCET	1527	54533	 	AB	95935326
69067	230	1996-09-12	VYDAJ	PREVOD NA UCET	1527	41845	 	AB	95935326
69068	230	1996-10-12	VYDAJ	PREVOD NA UCET	1527	41714	 	AB	95935326
69069	230	1996-11-12	VYDAJ	PREVOD NA UCET	1527	44080	 	AB	95935326
69070	230	1996-12-12	VYDAJ	PREVOD NA UCET	1527	45534	 	AB	95935326
69071	230	1997-01-12	VYDAJ	PREVOD NA UCET	1527	40302	 	AB	95935326
69072	230	1997-02-12	VYDAJ	PREVOD NA UCET	1527	34107	 	AB	95935326
69073	230	1997-03-12	VYDAJ	PREVOD NA UCET	1527	35014	 	AB	95935326
69074	230	1997-04-12	VYDAJ	PREVOD NA UCET	1527	34947	 	AB	95935326
69075	230	1997-05-12	VYDAJ	PREVOD NA UCET	1527	34806	 	AB	95935326
69076	230	1997-06-12	VYDAJ	PREVOD NA UCET	1527	32254	 	AB	95935326
69077	230	1997-07-12	VYDAJ	PREVOD NA UCET	1527	34935	 	AB	95935326
69078	230	1997-08-12	VYDAJ	PREVOD NA UCET	1527	32625	 	AB	95935326
69079	230	1997-09-12	VYDAJ	PREVOD NA UCET	1527	38498	 	AB	95935326
69080	230	1997-10-12	VYDAJ	PREVOD NA UCET	1527	45552	 	AB	95935326
69081	230	1997-11-12	VYDAJ	PREVOD NA UCET	1527	48669	 	AB	95935326
69082	230	1997-12-12	VYDAJ	PREVOD NA UCET	1527	61948	 	AB	95935326
69083	230	1998-01-12	VYDAJ	PREVOD NA UCET	1527	55071	 	AB	95935326
69084	230	1998-02-12	VYDAJ	PREVOD NA UCET	1527	48878	 	AB	95935326
69085	230	1998-03-12	VYDAJ	PREVOD NA UCET	1527	54716	 	AB	95935326
69086	230	1998-04-12	VYDAJ	PREVOD NA UCET	1527	56025	 	AB	95935326
69087	230	1998-05-12	VYDAJ	PREVOD NA UCET	1527	51108	 	AB	95935326
69088	230	1998-06-12	VYDAJ	PREVOD NA UCET	1527	57696	 	AB	95935326
69089	230	1998-07-12	VYDAJ	PREVOD NA UCET	1527	55573	 	AB	95935326
69090	230	1998-08-12	VYDAJ	PREVOD NA UCET	1527	41613	 	AB	95935326
69091	230	1998-09-12	VYDAJ	PREVOD NA UCET	1527	45198	 	AB	95935326
69092	230	1998-10-12	VYDAJ	PREVOD NA UCET	1527	38283	 	AB	95935326
69093	230	1998-11-12	VYDAJ	PREVOD NA UCET	1527	33188	 	AB	95935326
69094	230	1998-12-12	VYDAJ	PREVOD NA UCET	1527	17376	 	AB	95935326
69101	230	1996-07-12	VYDAJ	PREVOD NA UCET	1058	62478	POJISTNE	KL	3922403
69102	230	1996-08-12	VYDAJ	PREVOD NA UCET	1058	56060	POJISTNE	KL	3922403
69103	230	1996-09-12	VYDAJ	PREVOD NA UCET	1058	43372	POJISTNE	KL	3922403
69104	230	1996-10-12	VYDAJ	PREVOD NA UCET	1058	43241	POJISTNE	KL	3922403
69105	230	1996-11-12	VYDAJ	PREVOD NA UCET	1058	43022	POJISTNE	KL	3922403
69106	230	1996-12-12	VYDAJ	PREVOD NA UCET	1058	47061	POJISTNE	KL	3922403
69107	230	1997-01-12	VYDAJ	PREVOD NA UCET	1058	41829	POJISTNE	KL	3922403
69108	230	1997-02-12	VYDAJ	PREVOD NA UCET	1058	35634	POJISTNE	KL	3922403
69109	230	1997-03-12	VYDAJ	PREVOD NA UCET	1058	36541	POJISTNE	KL	3922403
69110	230	1997-04-12	VYDAJ	PREVOD NA UCET	1058	33889	POJISTNE	KL	3922403
69111	230	1997-05-12	VYDAJ	PREVOD NA UCET	1058	36333	POJISTNE	KL	3922403
69112	230	1997-06-12	VYDAJ	PREVOD NA UCET	1058	33781	POJISTNE	KL	3922403
69113	230	1997-07-12	VYDAJ	PREVOD NA UCET	1058	36462	POJISTNE	KL	3922403
69114	230	1997-08-12	VYDAJ	PREVOD NA UCET	1058	34152	POJISTNE	KL	3922403
69115	230	1997-09-12	VYDAJ	PREVOD NA UCET	1058	40025	POJISTNE	KL	3922403
69116	230	1997-10-12	VYDAJ	PREVOD NA UCET	1058	44494	POJISTNE	KL	3922403
69117	230	1997-11-12	VYDAJ	PREVOD NA UCET	1058	47611	POJISTNE	KL	3922403
69118	230	1997-12-12	VYDAJ	PREVOD NA UCET	1058	60890	POJISTNE	KL	3922403
69119	230	1998-01-12	VYDAJ	PREVOD NA UCET	1058	54013	POJISTNE	KL	3922403
69120	230	1998-02-12	VYDAJ	PREVOD NA UCET	1058	50405	POJISTNE	KL	3922403
69121	230	1998-03-12	VYDAJ	PREVOD NA UCET	1058	56243	POJISTNE	KL	3922403
69122	230	1998-04-12	VYDAJ	PREVOD NA UCET	1058	54967	POJISTNE	KL	3922403
69123	230	1998-05-12	VYDAJ	PREVOD NA UCET	1058	50050	POJISTNE	KL	3922403
69124	230	1998-06-12	VYDAJ	PREVOD NA UCET	1058	59223	POJISTNE	KL	3922403
69125	230	1998-07-12	VYDAJ	PREVOD NA UCET	1058	57100	POJISTNE	KL	3922403
69126	230	1998-08-12	VYDAJ	PREVOD NA UCET	1058	43140	POJISTNE	KL	3922403
69127	230	1998-09-12	VYDAJ	PREVOD NA UCET	1058	44140	POJISTNE	KL	3922403
69128	230	1998-10-12	VYDAJ	PREVOD NA UCET	1058	37225	POJISTNE	KL	3922403
69129	230	1998-11-12	VYDAJ	PREVOD NA UCET	1058	34715	POJISTNE	KL	3922403
69130	230	1998-12-12	VYDAJ	PREVOD NA UCET	1058	18903	POJISTNE	KL	3922403
69132	230	1997-06-10	VYDAJ	VYBER	16640	34839	\N	\N	\N
69135	230	1997-01-21	VYDAJ	VYBER	2080	21607	\N	\N	\N
69136	230	1998-01-28	VYDAJ	VYBER	5440	34398	\N	\N	\N
69137	230	1996-12-12	VYDAJ	VYBER	3040	48119	\N	\N	\N
69138	230	1997-12-24	VYDAJ	VYBER	2080	44095	\N	\N	\N
69146	230	1997-01-13	VYDAJ	VYBER	960	39342	\N	\N	\N
69147	230	1997-01-20	VYDAJ	VYBER	1920	31087	\N	\N	\N
69148	230	1997-01-06	VYDAJ	VYBER	1440	42887	\N	\N	\N
69149	230	1997-01-22	VYDAJ	VYBER	2520	19087	\N	\N	\N
69150	230	1997-01-03	VYDAJ	VYBER	1200	26834	\N	\N	\N
69151	230	1997-01-14	VYDAJ	VYBER	720	38622	\N	\N	\N
69152	230	1998-01-13	VYDAJ	VYBER	1920	52093	\N	\N	\N
69153	230	1998-01-05	VYDAJ	VYBER	1560	59478	\N	\N	\N
69154	230	1998-01-18	VYDAJ	VYBER	840	39838	\N	\N	\N
69155	230	1998-01-07	VYDAJ	VYBER	2880	56598	\N	\N	\N
69156	230	1998-01-28	VYDAJ	VYBER	600	33798	\N	\N	\N
69157	230	1998-01-02	VYDAJ	VYBER	720	43545	\N	\N	\N
69160	230	1996-09-30	VYDAJ	VYBER	3960	26821	\N	\N	\N
69161	230	1996-09-02	VYDAJ	VYBER	5040	26937	\N	\N	\N
69164	230	1997-05-27	VYDAJ	VYBER	960	25131	\N	\N	\N
69165	230	1997-05-04	VYDAJ	VYBER	3960	19898	\N	\N	\N
69166	230	1997-02-14	VYDAJ	VYBER	5760	28347	\N	\N	\N
69167	230	1997-07-21	VYDAJ	VYBER	3480	17640	\N	\N	\N
69168	230	1997-11-27	VYDAJ	VYBER	1200	37096	\N	\N	\N
69169	230	1998-08-10	VYDAJ	VYBER	4320	48878	\N	\N	\N
69170	230	1998-04-20	VYDAJ	VYBER	3960	34992	\N	\N	\N
69171	230	1998-08-10	VYDAJ	VYBER	4680	44198	\N	\N	\N
69172	230	1998-06-05	VYDAJ	VYBER	5040	60281	\N	\N	\N
69173	230	1998-06-17	VYDAJ	VYBER	1200	40481	\N	\N	\N
69181	230	1996-07-31	VYDAJ	VYBER	15	39625	SLUZBY	\N	\N
69182	230	1996-08-31	VYDAJ	VYBER	15	31977	SLUZBY	\N	\N
69183	230	1996-09-30	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
69184	230	1996-10-31	VYDAJ	VYBER	15	28114	SLUZBY	\N	\N
69185	230	1996-11-30	VYDAJ	VYBER	15	24919	SLUZBY	\N	\N
69186	230	1996-12-31	VYDAJ	VYBER	15	28034	SLUZBY	\N	\N
69187	230	1997-01-31	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
69188	230	1997-02-28	VYDAJ	VYBER	15	20106	SLUZBY	\N	\N
69189	230	1997-03-31	VYDAJ	VYBER	15	18981	SLUZBY	\N	\N
69190	230	1997-04-30	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
69191	230	1997-05-31	VYDAJ	VYBER	15	25239	SLUZBY	\N	\N
69192	230	1997-06-30	VYDAJ	VYBER	15	20027	SLUZBY	\N	\N
69193	230	1997-07-31	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
69194	230	1997-08-31	VYDAJ	VYBER	15	23590	SLUZBY	\N	\N
69195	230	1997-09-30	VYDAJ	VYBER	15	29586	SLUZBY	\N	\N
69196	230	1997-10-31	VYDAJ	VYBER	15	32703	SLUZBY	\N	\N
69197	230	1997-11-30	VYDAJ	VYBER	15	37235	SLUZBY	\N	\N
69198	230	1997-12-31	VYDAJ	VYBER	15	44265	SLUZBY	\N	\N
69199	230	1998-01-31	VYDAJ	VYBER	15	33970	SLUZBY	\N	\N
69200	230	1998-02-28	VYDAJ	VYBER	15	39808	SLUZBY	\N	\N
69201	230	1998-03-31	VYDAJ	VYBER	15	40059	SLUZBY	\N	\N
69202	230	1998-04-30	VYDAJ	VYBER	15	35142	SLUZBY	\N	\N
69203	230	1998-05-31	VYDAJ	VYBER	15	39082	SLUZBY	\N	\N
69204	230	1998-06-30	VYDAJ	VYBER	15	40665	SLUZBY	\N	\N
69205	230	1998-07-31	VYDAJ	VYBER	15	35705	SLUZBY	\N	\N
69206	230	1998-08-31	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
69207	230	1998-09-30	VYDAJ	VYBER	15	22317	SLUZBY	\N	\N
69208	230	1998-10-31	VYDAJ	VYBER	15	18280	SLUZBY	\N	\N
69209	230	1998-11-30	VYDAJ	VYBER	15	13522	SLUZBY	\N	\N
69210	230	1996-03-27	PRIJEM	VKLAD	3100	21193	\N	\N	\N
69211	230	1996-04-26	VYDAJ	VYBER	5700	33000	\N	\N	\N
69212	230	1996-05-26	VYDAJ	VYBER	10800	39790	\N	\N	\N
69213	230	1996-06-25	VYDAJ	VYBER	20300	45872	\N	\N	\N
69214	230	1996-07-25	VYDAJ	VYBER	15900	39436	\N	\N	\N
69215	230	1996-08-24	VYDAJ	VYBER	17100	31818	\N	\N	\N
69216	230	1996-09-23	VYDAJ	VYBER	5600	30630	\N	\N	\N
69217	230	1996-10-23	VYDAJ	VYBER	8100	27999	\N	\N	\N
69218	230	1996-11-22	VYDAJ	VYBER	12600	24807	\N	\N	\N
69219	230	1996-12-22	VYDAJ	VYBER	12000	27919	\N	\N	\N
69220	230	1997-01-21	VYDAJ	VYBER	7400	23687	\N	\N	\N
69221	230	1997-02-20	VYDAJ	VYBER	2700	20032	\N	\N	\N
69222	230	1997-03-22	VYDAJ	VYBER	10500	18899	\N	\N	\N
69223	230	1997-04-21	VYDAJ	VYBER	4500	23774	\N	\N	\N
69224	230	1997-05-21	VYDAJ	VYBER	3100	26091	\N	\N	\N
69225	230	1997-06-20	VYDAJ	VYBER	6700	19939	\N	\N	\N
69226	230	1997-07-20	VYDAJ	VYBER	8200	21120	\N	\N	\N
69227	230	1997-08-19	VYDAJ	VYBER	3500	23510	\N	\N	\N
69228	230	1997-09-18	VYDAJ	VYBER	3400	29483	\N	\N	\N
69229	230	1997-10-18	VYDAJ	VYBER	6300	32579	\N	\N	\N
69230	230	1997-11-17	VYDAJ	VYBER	3700	38296	\N	\N	\N
69231	230	1997-12-17	VYDAJ	VYBER	9100	46175	\N	\N	\N
69232	230	1998-01-16	VYDAJ	VYBER	5800	40678	\N	\N	\N
69233	230	1998-02-15	VYDAJ	VYBER	3600	39663	\N	\N	\N
69234	230	1998-03-17	VYDAJ	VYBER	9200	39901	\N	\N	\N
69235	230	1998-04-16	VYDAJ	VYBER	10400	38952	\N	\N	\N
69236	230	1998-05-16	VYDAJ	VYBER	5500	38935	\N	\N	\N
69237	230	1998-06-15	VYDAJ	VYBER	10400	41681	\N	\N	\N
69238	230	1998-07-15	VYDAJ	VYBER	14400	35558	\N	\N	\N
69239	230	1998-08-14	VYDAJ	VYBER	6900	34713	\N	\N	\N
69240	230	1998-09-13	VYDAJ	VYBER	16300	27840	\N	\N	\N
69241	230	1998-10-13	VYDAJ	VYBER	13400	23825	\N	\N	\N
69242	230	1998-11-12	VYDAJ	VYBER	14100	19088	\N	\N	\N
69243	230	1998-12-12	VYDAJ	VYBER	19800	19961	\N	\N	\N
69278	231	1995-04-03	PRIJEM	VKLAD	900	900	\N	\N	\N
69282	231	1995-04-11	PRIJEM	PREVOD Z UCTU	3110	4010	\N	CD	97595548
69283	231	1995-05-11	PRIJEM	PREVOD Z UCTU	3110	7131	\N	CD	97595548
69284	231	1995-06-11	PRIJEM	PREVOD Z UCTU	3110	10258	\N	CD	97595548
69285	231	1995-07-11	PRIJEM	PREVOD Z UCTU	3110	13385	\N	CD	97595548
69286	231	1995-08-11	PRIJEM	PREVOD Z UCTU	3110	16511	\N	CD	97595548
69287	231	1995-09-11	PRIJEM	PREVOD Z UCTU	3110	17577	\N	CD	97595548
69288	231	1995-10-11	PRIJEM	PREVOD Z UCTU	3110	18662	\N	CD	97595548
69289	231	1995-11-11	PRIJEM	PREVOD Z UCTU	3110	19752	\N	CD	97595548
69290	231	1995-12-11	PRIJEM	PREVOD Z UCTU	3110	20846	\N	CD	97595548
69291	231	1996-01-11	PRIJEM	PREVOD Z UCTU	3110	21135	\N	CD	97595548
69292	231	1996-02-11	PRIJEM	PREVOD Z UCTU	3110	18822	\N	CD	97595548
69293	231	1996-03-11	PRIJEM	PREVOD Z UCTU	3110	18832	\N	CD	97595548
69294	231	1996-04-11	PRIJEM	PREVOD Z UCTU	3110	18870	\N	CD	97595548
69295	231	1996-05-11	PRIJEM	PREVOD Z UCTU	3110	19330	\N	CD	97595548
69296	231	1996-06-11	PRIJEM	PREVOD Z UCTU	3110	19723	\N	CD	97595548
69297	231	1996-07-11	PRIJEM	PREVOD Z UCTU	3110	20817	\N	CD	97595548
69298	231	1996-08-11	PRIJEM	PREVOD Z UCTU	3110	20314	\N	CD	97595548
69299	231	1996-09-11	PRIJEM	PREVOD Z UCTU	3110	18708	\N	CD	97595548
69300	231	1996-10-11	PRIJEM	PREVOD Z UCTU	3110	16905	\N	CD	97595548
69301	231	1996-11-11	PRIJEM	PREVOD Z UCTU	3110	17788	\N	CD	97595548
69302	231	1996-12-11	PRIJEM	PREVOD Z UCTU	3110	18874	\N	CD	97595548
69303	231	1997-01-11	PRIJEM	PREVOD Z UCTU	3110	18044	\N	CD	97595548
69304	231	1997-02-11	PRIJEM	PREVOD Z UCTU	3110	16548	\N	CD	97595548
69305	231	1997-03-11	PRIJEM	PREVOD Z UCTU	3110	17629	\N	CD	97595548
69306	231	1997-04-11	PRIJEM	PREVOD Z UCTU	3110	18714	\N	CD	97595548
69307	231	1997-05-11	PRIJEM	PREVOD Z UCTU	3110	19804	\N	CD	97595548
69308	231	1997-06-11	PRIJEM	PREVOD Z UCTU	3110	20719	\N	CD	97595548
69309	231	1997-07-11	PRIJEM	PREVOD Z UCTU	3110	20286	\N	CD	97595548
69310	231	1997-08-11	PRIJEM	PREVOD Z UCTU	3110	21282	\N	CD	97595548
69311	231	1997-09-11	PRIJEM	PREVOD Z UCTU	3110	21781	\N	CD	97595548
69312	231	1997-10-11	PRIJEM	PREVOD Z UCTU	3110	20813	\N	CD	97595548
69313	231	1997-11-11	PRIJEM	PREVOD Z UCTU	3110	21913	\N	CD	97595548
69314	231	1997-12-11	PRIJEM	PREVOD Z UCTU	3110	21725	\N	CD	97595548
69315	231	1998-01-11	PRIJEM	PREVOD Z UCTU	3110	17997	\N	CD	97595548
69316	231	1998-02-11	PRIJEM	PREVOD Z UCTU	3110	17856	\N	CD	97595548
69317	231	1998-03-11	PRIJEM	PREVOD Z UCTU	3110	17591	\N	CD	97595548
69318	231	1998-04-11	PRIJEM	PREVOD Z UCTU	3110	18166	\N	CD	97595548
69319	231	1998-05-11	PRIJEM	PREVOD Z UCTU	3110	19253	\N	CD	97595548
69320	231	1998-06-11	PRIJEM	PREVOD Z UCTU	3110	20345	\N	CD	97595548
69321	231	1998-07-11	PRIJEM	PREVOD Z UCTU	3110	17479	\N	CD	97595548
69322	231	1998-08-11	PRIJEM	PREVOD Z UCTU	3110	18565	\N	CD	97595548
69323	231	1998-09-11	PRIJEM	PREVOD Z UCTU	3110	17701	\N	CD	97595548
69324	231	1998-10-11	PRIJEM	PREVOD Z UCTU	3110	16982	\N	CD	97595548
69325	231	1998-11-11	PRIJEM	PREVOD Z UCTU	3110	18064	\N	CD	97595548
69326	231	1998-12-11	PRIJEM	PREVOD Z UCTU	3110	19150	\N	CD	97595548
69334	231	1995-08-13	VYDAJ	PREVOD NA UCET	2073	14438	SIPO	WX	51732343
69335	231	1995-09-13	VYDAJ	PREVOD NA UCET	2073	15504	SIPO	WX	51732343
69336	231	1995-10-13	VYDAJ	PREVOD NA UCET	2073	16589	SIPO	WX	51732343
69337	231	1995-11-13	VYDAJ	PREVOD NA UCET	2073	17679	SIPO	WX	51732343
69338	231	1995-12-13	VYDAJ	PREVOD NA UCET	2073	18773	SIPO	WX	51732343
69339	231	1996-01-13	VYDAJ	PREVOD NA UCET	2073	19062	SIPO	WX	51732343
69340	231	1996-02-13	VYDAJ	PREVOD NA UCET	2073	16749	SIPO	WX	51732343
69341	231	1996-03-13	VYDAJ	PREVOD NA UCET	2073	16759	SIPO	WX	51732343
69342	231	1996-04-13	VYDAJ	PREVOD NA UCET	2073	16797	SIPO	WX	51732343
69343	231	1996-05-13	VYDAJ	PREVOD NA UCET	2073	17257	SIPO	WX	51732343
69344	231	1996-06-13	VYDAJ	PREVOD NA UCET	2073	17650	SIPO	WX	51732343
69345	231	1996-07-13	VYDAJ	PREVOD NA UCET	2073	18744	SIPO	WX	51732343
69346	231	1996-08-13	VYDAJ	PREVOD NA UCET	2073	18241	SIPO	WX	51732343
69347	231	1996-09-13	VYDAJ	PREVOD NA UCET	2073	16635	SIPO	WX	51732343
69348	231	1996-10-13	VYDAJ	PREVOD NA UCET	2073	14832	SIPO	WX	51732343
69349	231	1996-11-13	VYDAJ	PREVOD NA UCET	2073	15715	SIPO	WX	51732343
69350	231	1996-12-13	VYDAJ	PREVOD NA UCET	2073	16801	SIPO	WX	51732343
69351	231	1997-01-13	VYDAJ	PREVOD NA UCET	2073	15971	SIPO	WX	51732343
69352	231	1997-02-13	VYDAJ	PREVOD NA UCET	2073	14475	SIPO	WX	51732343
69353	231	1997-03-13	VYDAJ	PREVOD NA UCET	2073	15556	SIPO	WX	51732343
69354	231	1997-04-13	VYDAJ	PREVOD NA UCET	2073	16641	SIPO	WX	51732343
69355	231	1997-05-13	VYDAJ	PREVOD NA UCET	2073	17731	SIPO	WX	51732343
69356	231	1997-06-13	VYDAJ	PREVOD NA UCET	2073	18646	SIPO	WX	51732343
69357	231	1997-07-13	VYDAJ	PREVOD NA UCET	2073	18213	SIPO	WX	51732343
69358	231	1997-08-13	VYDAJ	PREVOD NA UCET	2073	19209	SIPO	WX	51732343
69359	231	1997-09-13	VYDAJ	PREVOD NA UCET	2073	19708	SIPO	WX	51732343
69360	231	1997-10-13	VYDAJ	PREVOD NA UCET	2073	18740	SIPO	WX	51732343
69361	231	1997-11-13	VYDAJ	PREVOD NA UCET	2073	19840	SIPO	WX	51732343
69362	231	1997-12-13	VYDAJ	PREVOD NA UCET	2073	19652	SIPO	WX	51732343
69363	231	1998-01-13	VYDAJ	PREVOD NA UCET	2073	15924	SIPO	WX	51732343
69364	231	1998-02-13	VYDAJ	PREVOD NA UCET	2073	15783	SIPO	WX	51732343
69365	231	1998-03-13	VYDAJ	PREVOD NA UCET	2073	15008	SIPO	WX	51732343
69366	231	1998-04-13	VYDAJ	PREVOD NA UCET	2073	16093	SIPO	WX	51732343
69367	231	1998-05-13	VYDAJ	PREVOD NA UCET	2073	17180	SIPO	WX	51732343
69368	231	1998-06-13	VYDAJ	PREVOD NA UCET	2073	18272	SIPO	WX	51732343
69369	231	1998-07-13	VYDAJ	PREVOD NA UCET	2073	15406	SIPO	WX	51732343
69370	231	1998-08-13	VYDAJ	PREVOD NA UCET	2073	16492	SIPO	WX	51732343
69371	231	1998-09-13	VYDAJ	PREVOD NA UCET	2073	15628	SIPO	WX	51732343
69372	231	1998-10-13	VYDAJ	PREVOD NA UCET	2073	14909	SIPO	WX	51732343
69373	231	1998-11-13	VYDAJ	PREVOD NA UCET	2073	15991	SIPO	WX	51732343
69374	231	1998-12-13	VYDAJ	PREVOD NA UCET	2073	17077	SIPO	WX	51732343
69377	231	1997-06-21	VYDAJ	VYBER	1530	17116	\N	\N	\N
69378	231	1998-06-24	VYDAJ	VYBER	2370	15902	\N	\N	\N
69380	231	1996-01-19	VYDAJ	VYBER	1260	16962	\N	\N	\N
69381	231	1997-01-18	VYDAJ	VYBER	540	15071	\N	\N	\N
69382	231	1998-01-01	VYDAJ	VYBER	990	18727	\N	\N	\N
69389	231	1996-01-03	VYDAJ	VYBER	300	18535	\N	\N	\N
69390	231	1996-01-10	VYDAJ	VYBER	150	18025	\N	\N	\N
69391	231	1996-01-16	VYDAJ	VYBER	840	18222	\N	\N	\N
69392	231	1996-01-25	VYDAJ	VYBER	720	16242	\N	\N	\N
69393	231	1996-01-09	VYDAJ	VYBER	360	18175	\N	\N	\N
69394	231	1996-01-29	VYDAJ	VYBER	390	15652	\N	\N	\N
69395	231	1997-01-09	VYDAJ	VYBER	630	14934	\N	\N	\N
69396	231	1997-01-19	VYDAJ	VYBER	570	13901	\N	\N	\N
69397	231	1997-01-18	VYDAJ	VYBER	600	14471	\N	\N	\N
69398	231	1997-01-05	VYDAJ	VYBER	330	15564	\N	\N	\N
69399	231	1997-01-02	VYDAJ	VYBER	600	15894	\N	\N	\N
69400	231	1997-01-21	VYDAJ	VYBER	510	13391	\N	\N	\N
69401	231	1998-01-17	VYDAJ	VYBER	450	14694	\N	\N	\N
69402	231	1998-01-02	VYDAJ	VYBER	570	18157	\N	\N	\N
69403	231	1998-01-07	VYDAJ	VYBER	870	16657	\N	\N	\N
69404	231	1998-01-17	VYDAJ	VYBER	780	15144	\N	\N	\N
69405	231	1998-01-02	VYDAJ	VYBER	630	17527	\N	\N	\N
69406	231	1998-01-08	VYDAJ	VYBER	300	15127	\N	\N	\N
69410	231	1996-09-13	VYDAJ	VYBER	1290	15345	\N	\N	\N
69411	231	1996-03-17	VYDAJ	VYBER	1050	15709	\N	\N	\N
69412	231	1996-04-27	VYDAJ	VYBER	630	16167	\N	\N	\N
69413	231	1996-02-26	VYDAJ	VYBER	420	15969	\N	\N	\N
69414	231	1996-12-30	VYDAJ	VYBER	360	16441	\N	\N	\N
69415	231	1996-02-18	VYDAJ	VYBER	360	16389	\N	\N	\N
69416	231	1997-09-29	VYDAJ	VYBER	960	18238	\N	\N	\N
69417	231	1997-10-09	VYDAJ	VYBER	300	18003	\N	\N	\N
69418	231	1997-09-20	VYDAJ	VYBER	510	19198	\N	\N	\N
69419	231	1997-06-03	VYDAJ	VYBER	180	17609	\N	\N	\N
69420	231	1997-01-16	VYDAJ	VYBER	360	15611	\N	\N	\N
69421	231	1997-11-26	VYDAJ	VYBER	1290	18550	\N	\N	\N
69422	231	1997-10-10	VYDAJ	VYBER	300	17703	\N	\N	\N
69423	231	1998-08-23	VYDAJ	VYBER	1080	14542	\N	\N	\N
69424	231	1998-08-20	VYDAJ	VYBER	870	15622	\N	\N	\N
69425	231	1998-07-07	VYDAJ	VYBER	1290	14369	\N	\N	\N
69426	231	1998-01-08	VYDAJ	VYBER	1230	15427	\N	\N	\N
69427	231	1998-07-06	VYDAJ	VYBER	300	15659	\N	\N	\N
69428	231	1998-01-10	VYDAJ	VYBER	240	14887	\N	\N	\N
69429	231	1998-02-21	VYDAJ	VYBER	630	15153	\N	\N	\N
69430	231	1998-03-09	VYDAJ	VYBER	720	14481	\N	\N	\N
69431	231	1998-03-12	VYDAJ	VYBER	510	17081	\N	\N	\N
69440	231	1995-08-31	VYDAJ	VYBER	15	14467	SLUZBY	\N	\N
69441	231	1995-09-30	VYDAJ	VYBER	15	15552	SLUZBY	\N	\N
69442	231	1995-10-31	VYDAJ	VYBER	15	16642	SLUZBY	\N	\N
69443	231	1995-11-30	VYDAJ	VYBER	15	17736	SLUZBY	\N	\N
69444	231	1995-12-31	VYDAJ	VYBER	15	18835	SLUZBY	\N	\N
69445	231	1996-01-31	VYDAJ	VYBER	15	15712	SLUZBY	\N	\N
69446	231	1996-02-29	VYDAJ	VYBER	15	15722	SLUZBY	\N	\N
69447	231	1996-03-31	VYDAJ	VYBER	15	15760	SLUZBY	\N	\N
69448	231	1996-04-30	VYDAJ	VYBER	15	16220	SLUZBY	\N	\N
69449	231	1996-05-31	VYDAJ	VYBER	15	16613	SLUZBY	\N	\N
69450	231	1996-06-30	VYDAJ	VYBER	15	17707	SLUZBY	\N	\N
69451	231	1996-07-31	VYDAJ	VYBER	15	17204	SLUZBY	\N	\N
69452	231	1996-08-31	VYDAJ	VYBER	15	15598	SLUZBY	\N	\N
69453	231	1996-09-30	VYDAJ	VYBER	15	13795	SLUZBY	\N	\N
69454	231	1996-10-31	VYDAJ	VYBER	15	14678	SLUZBY	\N	\N
69455	231	1996-11-30	VYDAJ	VYBER	15	15764	SLUZBY	\N	\N
69456	231	1996-12-31	VYDAJ	VYBER	15	16494	SLUZBY	\N	\N
69457	231	1997-01-31	VYDAJ	VYBER	15	13438	SLUZBY	\N	\N
69458	231	1997-02-28	VYDAJ	VYBER	15	14519	SLUZBY	\N	\N
69459	231	1997-03-31	VYDAJ	VYBER	15	15604	SLUZBY	\N	\N
69460	231	1997-04-30	VYDAJ	VYBER	15	16694	SLUZBY	\N	\N
69461	231	1997-05-31	VYDAJ	VYBER	15	17789	SLUZBY	\N	\N
69462	231	1997-06-30	VYDAJ	VYBER	15	17176	SLUZBY	\N	\N
69463	231	1997-07-31	VYDAJ	VYBER	15	18172	SLUZBY	\N	\N
69464	231	1997-08-31	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
69465	231	1997-09-30	VYDAJ	VYBER	15	18303	SLUZBY	\N	\N
69466	231	1997-10-31	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
69467	231	1997-11-30	VYDAJ	VYBER	15	18615	SLUZBY	\N	\N
69468	231	1997-12-31	VYDAJ	VYBER	15	19717	SLUZBY	\N	\N
69469	231	1998-01-31	VYDAJ	VYBER	15	14746	SLUZBY	\N	\N
69470	231	1998-02-28	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
69471	231	1998-03-31	VYDAJ	VYBER	15	15056	SLUZBY	\N	\N
69472	231	1998-04-30	VYDAJ	VYBER	15	16143	SLUZBY	\N	\N
69473	231	1998-05-31	VYDAJ	VYBER	15	17235	SLUZBY	\N	\N
69474	231	1998-06-30	VYDAJ	VYBER	15	15959	SLUZBY	\N	\N
69475	231	1998-07-31	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
69476	231	1998-08-31	VYDAJ	VYBER	15	14591	SLUZBY	\N	\N
69477	231	1998-09-30	VYDAJ	VYBER	15	13872	SLUZBY	\N	\N
69478	231	1998-10-31	VYDAJ	VYBER	15	14954	SLUZBY	\N	\N
69479	231	1998-11-30	VYDAJ	VYBER	15	16040	SLUZBY	\N	\N
69480	231	1996-01-28	VYDAJ	VYBER	200	16042	\N	\N	\N
69481	231	1996-02-27	VYDAJ	VYBER	300	15669	\N	\N	\N
69482	231	1996-05-27	VYDAJ	VYBER	700	16557	\N	\N	\N
69483	231	1996-07-26	VYDAJ	VYBER	1600	17144	\N	\N	\N
69484	231	1996-08-25	VYDAJ	VYBER	2700	15541	\N	\N	\N
69485	231	1996-09-24	VYDAJ	VYBER	1600	13745	\N	\N	\N
69486	231	1996-10-24	VYDAJ	VYBER	200	14632	\N	\N	\N
69487	231	1997-07-21	VYDAJ	VYBER	100	18113	\N	\N	\N
69488	231	1997-08-20	VYDAJ	VYBER	600	18609	\N	\N	\N
69489	231	1998-09-14	VYDAJ	VYBER	1800	13828	\N	\N	\N
69535	232	1997-11-29	PRIJEM	VKLAD	700	700	\N	\N	\N
69547	232	1997-12-13	PRIJEM	VKLAD	33514	34214	\N	\N	\N
69548	232	1998-01-13	PRIJEM	VKLAD	22343	51069	\N	\N	\N
69549	232	1998-02-13	PRIJEM	VKLAD	22343	63338	\N	\N	\N
69550	232	1998-03-13	PRIJEM	VKLAD	22343	66852	\N	\N	\N
69551	232	1998-04-13	PRIJEM	VKLAD	22343	71182	\N	\N	\N
69552	232	1998-05-13	PRIJEM	VKLAD	22343	73572	\N	\N	\N
69553	232	1998-06-13	PRIJEM	VKLAD	33514	78054	\N	\N	\N
69554	232	1998-07-13	PRIJEM	VKLAD	22343	53628	\N	\N	\N
69555	232	1998-08-13	PRIJEM	VKLAD	22343	61499	\N	\N	\N
69556	232	1998-09-13	PRIJEM	VKLAD	22343	67515	\N	\N	\N
69557	232	1998-10-13	PRIJEM	VKLAD	22343	62055	\N	\N	\N
69558	232	1998-11-13	PRIJEM	VKLAD	22343	69058	\N	\N	\N
69559	232	1998-12-13	PRIJEM	VKLAD	33514	84657	\N	\N	\N
69576	232	1998-05-08	VYDAJ	PREVOD NA UCET	3643	51229	SIPO	KL	62672704
69577	232	1998-06-08	VYDAJ	PREVOD NA UCET	3643	44540	SIPO	KL	62672704
69578	232	1998-07-08	VYDAJ	PREVOD NA UCET	3643	31285	SIPO	KL	62672704
69579	232	1998-08-08	VYDAJ	PREVOD NA UCET	3643	39156	SIPO	KL	62672704
69580	232	1998-09-08	VYDAJ	PREVOD NA UCET	3643	45172	SIPO	KL	62672704
69581	232	1998-10-08	VYDAJ	PREVOD NA UCET	3643	45592	SIPO	KL	62672704
69582	232	1998-11-08	VYDAJ	PREVOD NA UCET	3643	46715	SIPO	KL	62672704
69583	232	1998-12-08	VYDAJ	PREVOD NA UCET	3643	51143	SIPO	KL	62672704
69585	232	1998-06-20	VYDAJ	VYBER	46720	31334	\N	\N	\N
69589	232	1998-12-13	VYDAJ	VYBER KARTOU	3200	81457	\N	\N	0
69608	232	1998-10-14	VYDAJ	VYBER KARTOU	3600	58455	\N	\N	0
69610	232	1998-06-05	VYDAJ	VYBER	5040	48183	\N	\N	\N
69611	232	1998-10-10	VYDAJ	VYBER	5880	39712	\N	\N	\N
69612	232	1998-08-18	VYDAJ	VYBER	4680	56819	\N	\N	\N
69629	232	1998-04-30	VYDAJ	VYBER	15	54872	SLUZBY	\N	\N
69630	232	1998-05-31	VYDAJ	VYBER	15	53223	SLUZBY	\N	\N
69631	232	1998-06-30	VYDAJ	VYBER	15	34928	SLUZBY	\N	\N
69632	232	1998-07-31	VYDAJ	VYBER	15	42799	SLUZBY	\N	\N
69633	232	1998-08-31	VYDAJ	VYBER	15	48815	SLUZBY	\N	\N
69634	232	1998-09-30	VYDAJ	VYBER	15	49235	SLUZBY	\N	\N
69635	232	1998-10-31	VYDAJ	VYBER	15	50358	SLUZBY	\N	\N
69636	232	1998-11-30	VYDAJ	VYBER	15	54786	SLUZBY	\N	\N
69637	232	1997-12-29	VYDAJ	VYBER	5500	28714	\N	\N	\N
69638	232	1998-01-28	VYDAJ	VYBER	10200	40869	\N	\N	\N
69639	232	1998-02-27	VYDAJ	VYBER	19000	44338	\N	\N	\N
69640	232	1998-03-29	VYDAJ	VYBER	18200	48652	\N	\N	\N
69641	232	1998-04-28	VYDAJ	VYBER	16500	54682	\N	\N	\N
69642	232	1998-05-28	VYDAJ	VYBER	20600	52972	\N	\N	\N
69643	232	1998-06-27	PRIJEM	VKLAD	3400	34734	\N	\N	\N
69644	232	1998-07-27	VYDAJ	VYBER	11000	42628	\N	\N	\N
69645	232	1998-08-26	VYDAJ	VYBER	8200	48619	\N	\N	\N
69646	232	1998-09-25	VYDAJ	VYBER	18500	49015	\N	\N	\N
69647	232	1998-10-25	VYDAJ	VYBER	8300	50155	\N	\N	\N
69648	232	1998-11-24	VYDAJ	VYBER	14500	54558	\N	\N	\N
69979	234	1993-07-15	PRIJEM	VKLAD	500	500	\N	\N	\N
69987	234	1993-08-13	PRIJEM	PREVOD Z UCTU	5810	6310	DUCHOD	MN	60454291
69988	234	1993-09-13	PRIJEM	PREVOD Z UCTU	5810	12120	DUCHOD	MN	60454291
69989	234	1993-10-13	PRIJEM	PREVOD Z UCTU	5810	17930	DUCHOD	MN	60454291
69990	234	1993-11-13	PRIJEM	PREVOD Z UCTU	5810	23740	DUCHOD	MN	60454291
69991	234	1993-12-13	PRIJEM	PREVOD Z UCTU	5810	29550	DUCHOD	MN	60454291
69992	234	1994-01-13	PRIJEM	PREVOD Z UCTU	5810	24991	DUCHOD	MN	60454291
69993	234	1994-02-13	PRIJEM	PREVOD Z UCTU	5810	19353	DUCHOD	MN	60454291
69994	234	1994-03-13	PRIJEM	PREVOD Z UCTU	5810	22420	DUCHOD	MN	60454291
69995	234	1994-04-13	PRIJEM	PREVOD Z UCTU	5810	25495	DUCHOD	MN	60454291
69996	234	1994-05-13	PRIJEM	PREVOD Z UCTU	5810	28582	DUCHOD	MN	60454291
69997	234	1994-06-13	PRIJEM	PREVOD Z UCTU	5810	28323	DUCHOD	MN	60454291
69998	234	1994-07-13	PRIJEM	PREVOD Z UCTU	5810	24474	DUCHOD	MN	60454291
69999	234	1994-08-13	PRIJEM	PREVOD Z UCTU	5810	24697	DUCHOD	MN	60454291
70000	234	1994-09-13	PRIJEM	PREVOD Z UCTU	5810	22420	DUCHOD	MN	60454291
70001	234	1994-10-13	PRIJEM	PREVOD Z UCTU	5810	25495	DUCHOD	MN	60454291
70002	234	1994-11-13	PRIJEM	PREVOD Z UCTU	5810	25482	DUCHOD	MN	60454291
70003	234	1994-12-13	PRIJEM	PREVOD Z UCTU	5810	23424	DUCHOD	MN	60454291
70004	234	1995-01-13	PRIJEM	PREVOD Z UCTU	5810	21187	DUCHOD	MN	60454291
70005	234	1995-02-13	PRIJEM	PREVOD Z UCTU	5810	16449	DUCHOD	MN	60454291
70006	234	1995-03-13	PRIJEM	PREVOD Z UCTU	5810	18999	DUCHOD	MN	60454291
70007	234	1995-04-13	PRIJEM	PREVOD Z UCTU	5810	16920	DUCHOD	MN	60454291
70008	234	1995-05-13	PRIJEM	PREVOD Z UCTU	5810	16976	DUCHOD	MN	60454291
70009	234	1995-06-13	PRIJEM	PREVOD Z UCTU	5810	17787	DUCHOD	MN	60454291
70010	234	1995-07-13	PRIJEM	PREVOD Z UCTU	5810	15342	DUCHOD	MN	60454291
70011	234	1995-08-13	PRIJEM	PREVOD Z UCTU	5810	18395	DUCHOD	MN	60454291
70012	234	1995-09-13	PRIJEM	PREVOD Z UCTU	5810	16573	DUCHOD	MN	60454291
70013	234	1995-10-13	PRIJEM	PREVOD Z UCTU	5810	16624	DUCHOD	MN	60454291
70014	234	1995-11-13	PRIJEM	PREVOD Z UCTU	5810	15778	DUCHOD	MN	60454291
70015	234	1995-12-13	PRIJEM	PREVOD Z UCTU	5810	15031	DUCHOD	MN	60454291
70016	234	1996-01-13	PRIJEM	PREVOD Z UCTU	5810	17440	DUCHOD	MN	60454291
70017	234	1996-02-13	PRIJEM	PREVOD Z UCTU	5810	17132	DUCHOD	MN	60454291
70018	234	1996-03-13	PRIJEM	PREVOD Z UCTU	5810	15484	DUCHOD	MN	60454291
70019	234	1996-04-13	PRIJEM	PREVOD Z UCTU	5810	14632	DUCHOD	MN	60454291
70020	234	1996-05-13	PRIJEM	PREVOD Z UCTU	5810	15173	DUCHOD	MN	60454291
70021	234	1996-06-13	PRIJEM	PREVOD Z UCTU	5810	17576	DUCHOD	MN	60454291
70022	234	1996-07-13	PRIJEM	PREVOD Z UCTU	5810	16702	DUCHOD	MN	60454291
70023	234	1996-08-13	PRIJEM	PREVOD Z UCTU	5810	19753	DUCHOD	MN	60454291
70024	234	1996-09-13	PRIJEM	PREVOD Z UCTU	5810	19216	DUCHOD	MN	60454291
70025	234	1996-10-13	PRIJEM	PREVOD Z UCTU	5810	16173	DUCHOD	MN	60454291
70026	234	1996-11-13	PRIJEM	PREVOD Z UCTU	5810	19221	DUCHOD	MN	60454291
70027	234	1996-12-13	PRIJEM	PREVOD Z UCTU	5810	22282	DUCHOD	MN	60454291
70028	234	1997-01-13	PRIJEM	PREVOD Z UCTU	5810	16036	DUCHOD	MN	60454291
70029	234	1997-02-13	PRIJEM	PREVOD Z UCTU	5810	16841	DUCHOD	MN	60454291
70030	234	1997-03-13	PRIJEM	PREVOD Z UCTU	5810	19892	DUCHOD	MN	60454291
70031	234	1997-04-13	PRIJEM	PREVOD Z UCTU	5810	22955	DUCHOD	MN	60454291
70032	234	1997-05-13	PRIJEM	PREVOD Z UCTU	5810	15222	DUCHOD	MN	60454291
70033	234	1997-06-13	PRIJEM	PREVOD Z UCTU	5810	18266	DUCHOD	MN	60454291
70034	234	1997-07-13	PRIJEM	PREVOD Z UCTU	5810	21322	DUCHOD	MN	60454291
70035	234	1997-08-13	PRIJEM	PREVOD Z UCTU	5810	15560	DUCHOD	MN	60454291
70036	234	1997-09-13	PRIJEM	PREVOD Z UCTU	5810	18605	DUCHOD	MN	60454291
70037	234	1997-10-13	PRIJEM	PREVOD Z UCTU	5810	15655	DUCHOD	MN	60454291
70038	234	1997-11-13	PRIJEM	PREVOD Z UCTU	5810	18701	DUCHOD	MN	60454291
70039	234	1997-12-13	PRIJEM	PREVOD Z UCTU	5810	17854	DUCHOD	MN	60454291
70040	234	1998-01-13	PRIJEM	PREVOD Z UCTU	5810	17549	DUCHOD	MN	60454291
70041	234	1998-02-13	PRIJEM	PREVOD Z UCTU	5810	18763	DUCHOD	MN	60454291
70042	234	1998-03-13	PRIJEM	PREVOD Z UCTU	5810	21821	DUCHOD	MN	60454291
70043	234	1998-04-13	PRIJEM	PREVOD Z UCTU	5810	24892	DUCHOD	MN	60454291
70044	234	1998-05-13	PRIJEM	PREVOD Z UCTU	5810	16959	DUCHOD	MN	60454291
70045	234	1998-06-13	PRIJEM	PREVOD Z UCTU	5810	18159	DUCHOD	MN	60454291
70046	234	1998-07-13	PRIJEM	PREVOD Z UCTU	5810	21217	DUCHOD	MN	60454291
70047	234	1998-08-13	PRIJEM	PREVOD Z UCTU	5810	15870	DUCHOD	MN	60454291
70048	234	1998-09-13	PRIJEM	PREVOD Z UCTU	5810	18916	DUCHOD	MN	60454291
70049	234	1998-10-13	PRIJEM	PREVOD Z UCTU	5810	18066	DUCHOD	MN	60454291
70050	234	1998-11-13	PRIJEM	PREVOD Z UCTU	5810	17995	DUCHOD	MN	60454291
70051	234	1998-12-13	PRIJEM	PREVOD Z UCTU	5810	16540	DUCHOD	MN	60454291
70064	234	1994-01-12	VYDAJ	PREVOD NA UCET	2809	19181	SIPO	MN	20655334
70065	234	1994-02-12	VYDAJ	PREVOD NA UCET	2809	13543	SIPO	MN	20655334
70066	234	1994-03-12	VYDAJ	PREVOD NA UCET	2809	16610	SIPO	MN	20655334
70067	234	1994-04-12	VYDAJ	PREVOD NA UCET	2809	19685	SIPO	MN	20655334
70068	234	1994-05-12	VYDAJ	PREVOD NA UCET	2809	22772	SIPO	MN	20655334
70069	234	1994-06-12	VYDAJ	PREVOD NA UCET	2809	22513	SIPO	MN	20655334
70070	234	1994-07-12	VYDAJ	PREVOD NA UCET	2809	18664	SIPO	MN	20655334
70071	234	1994-08-12	VYDAJ	PREVOD NA UCET	2809	18887	SIPO	MN	20655334
70072	234	1994-09-12	VYDAJ	PREVOD NA UCET	2809	16610	SIPO	MN	20655334
70073	234	1994-10-12	VYDAJ	PREVOD NA UCET	2809	19685	SIPO	MN	20655334
70074	234	1994-11-12	VYDAJ	PREVOD NA UCET	2809	19672	SIPO	MN	20655334
70075	234	1994-12-12	VYDAJ	PREVOD NA UCET	2809	17614	SIPO	MN	20655334
70076	234	1995-01-12	VYDAJ	PREVOD NA UCET	2809	15937	SIPO	MN	20655334
70077	234	1995-02-12	VYDAJ	PREVOD NA UCET	2809	10639	SIPO	MN	20655334
70078	234	1995-03-12	VYDAJ	PREVOD NA UCET	2809	13189	SIPO	MN	20655334
70079	234	1995-04-12	VYDAJ	PREVOD NA UCET	2809	11110	SIPO	MN	20655334
70080	234	1995-05-12	VYDAJ	PREVOD NA UCET	2809	11166	SIPO	MN	20655334
70081	234	1995-06-12	VYDAJ	PREVOD NA UCET	2809	11977	SIPO	MN	20655334
70082	234	1995-07-12	VYDAJ	PREVOD NA UCET	2809	9532	SIPO	MN	20655334
70083	234	1995-08-12	VYDAJ	PREVOD NA UCET	2809	12585	SIPO	MN	20655334
70084	234	1995-09-12	VYDAJ	PREVOD NA UCET	2809	10763	SIPO	MN	20655334
70085	234	1995-10-12	VYDAJ	PREVOD NA UCET	2809	10814	SIPO	MN	20655334
70086	234	1995-11-12	VYDAJ	PREVOD NA UCET	2809	9968	SIPO	MN	20655334
70087	234	1995-12-12	VYDAJ	PREVOD NA UCET	2809	9221	SIPO	MN	20655334
70088	234	1996-01-12	VYDAJ	PREVOD NA UCET	2809	11630	SIPO	MN	20655334
70089	234	1996-02-12	VYDAJ	PREVOD NA UCET	2809	11322	SIPO	MN	20655334
70090	234	1996-03-12	VYDAJ	PREVOD NA UCET	2809	9674	SIPO	MN	20655334
70091	234	1996-04-12	VYDAJ	PREVOD NA UCET	2809	8822	SIPO	MN	20655334
70092	234	1996-05-12	VYDAJ	PREVOD NA UCET	2809	9363	SIPO	MN	20655334
70093	234	1996-06-12	VYDAJ	PREVOD NA UCET	2809	11766	SIPO	MN	20655334
70094	234	1996-07-12	VYDAJ	PREVOD NA UCET	2809	10892	SIPO	MN	20655334
70095	234	1996-08-12	VYDAJ	PREVOD NA UCET	2809	13943	SIPO	MN	20655334
70096	234	1996-09-12	VYDAJ	PREVOD NA UCET	2809	13406	SIPO	MN	20655334
70097	234	1996-10-12	VYDAJ	PREVOD NA UCET	2809	10363	SIPO	MN	20655334
70098	234	1996-11-12	VYDAJ	PREVOD NA UCET	2809	13411	SIPO	MN	20655334
70099	234	1996-12-12	VYDAJ	PREVOD NA UCET	2809	16472	SIPO	MN	20655334
70100	234	1997-01-12	VYDAJ	PREVOD NA UCET	2809	10226	SIPO	MN	20655334
70101	234	1997-02-12	VYDAJ	PREVOD NA UCET	2809	11031	SIPO	MN	20655334
70102	234	1997-03-12	VYDAJ	PREVOD NA UCET	2809	14082	SIPO	MN	20655334
70103	234	1997-04-12	VYDAJ	PREVOD NA UCET	2809	17145	SIPO	MN	20655334
70104	234	1997-05-12	VYDAJ	PREVOD NA UCET	2809	9412	SIPO	MN	20655334
70105	234	1997-06-12	VYDAJ	PREVOD NA UCET	2809	12456	SIPO	MN	20655334
70106	234	1997-07-12	VYDAJ	PREVOD NA UCET	2809	15512	SIPO	MN	20655334
70107	234	1997-08-12	VYDAJ	PREVOD NA UCET	2809	9750	SIPO	MN	20655334
70108	234	1997-09-12	VYDAJ	PREVOD NA UCET	2809	12795	SIPO	MN	20655334
70109	234	1997-10-12	VYDAJ	PREVOD NA UCET	2809	9845	SIPO	MN	20655334
70110	234	1997-11-12	VYDAJ	PREVOD NA UCET	2809	12891	SIPO	MN	20655334
70111	234	1997-12-12	VYDAJ	PREVOD NA UCET	2809	12044	SIPO	MN	20655334
70112	234	1998-01-12	VYDAJ	PREVOD NA UCET	2809	11739	SIPO	MN	20655334
70113	234	1998-02-12	VYDAJ	PREVOD NA UCET	2809	12953	SIPO	MN	20655334
70114	234	1998-03-12	VYDAJ	PREVOD NA UCET	2809	16011	SIPO	MN	20655334
70115	234	1998-04-12	VYDAJ	PREVOD NA UCET	2809	19082	SIPO	MN	20655334
70116	234	1998-05-12	VYDAJ	PREVOD NA UCET	2809	11149	SIPO	MN	20655334
70117	234	1998-06-12	VYDAJ	PREVOD NA UCET	2809	12349	SIPO	MN	20655334
70118	234	1998-07-12	VYDAJ	PREVOD NA UCET	2809	15407	SIPO	MN	20655334
70119	234	1998-08-12	VYDAJ	PREVOD NA UCET	2809	10060	SIPO	MN	20655334
70120	234	1998-09-12	VYDAJ	PREVOD NA UCET	2809	13106	SIPO	MN	20655334
70121	234	1998-10-12	VYDAJ	PREVOD NA UCET	2809	12256	SIPO	MN	20655334
70122	234	1998-11-12	VYDAJ	PREVOD NA UCET	2809	12185	SIPO	MN	20655334
70123	234	1998-12-12	VYDAJ	PREVOD NA UCET	2809	10730	SIPO	MN	20655334
70125	234	1994-06-28	VYDAJ	VYBER	6950	21373	\N	\N	\N
70129	234	1998-06-05	VYDAJ	VYBER	1850	15158	\N	\N	\N
70131	234	1994-01-06	VYDAJ	VYBER	750	25610	\N	\N	\N
70132	234	1995-01-22	VYDAJ	VYBER	4200	14427	\N	\N	\N
70136	234	1993-12-30	VYDAJ	VYBER	600	26310	\N	\N	\N
70137	234	1994-12-06	VYDAJ	VYBER	1350	24223	\N	\N	\N
70139	234	1996-12-19	VYDAJ	VYBER	550	21732	\N	\N	\N
70140	234	1997-12-10	VYDAJ	VYBER	600	14853	\N	\N	\N
70141	234	1998-12-25	VYDAJ	VYBER	650	15890	\N	\N	\N
70148	234	1994-01-15	VYDAJ	VYBER	2160	22831	\N	\N	\N
70149	234	1994-01-07	VYDAJ	VYBER	1680	23930	\N	\N	\N
70150	234	1994-01-30	VYDAJ	VYBER	1440	19391	\N	\N	\N
70151	234	1994-01-23	VYDAJ	VYBER	800	20831	\N	\N	\N
70152	234	1994-01-11	VYDAJ	VYBER	1840	22090	\N	\N	\N
70153	234	1994-01-21	VYDAJ	VYBER	1200	21631	\N	\N	\N
70154	234	1995-01-11	VYDAJ	VYBER	1440	18746	\N	\N	\N
70155	234	1995-01-01	VYDAJ	VYBER	1120	22386	\N	\N	\N
70156	234	1995-01-12	VYDAJ	VYBER	560	15377	\N	\N	\N
70157	234	1995-01-14	VYDAJ	VYBER	1680	19507	\N	\N	\N
70158	234	1995-01-17	VYDAJ	VYBER	880	18627	\N	\N	\N
70159	234	1995-01-28	VYDAJ	VYBER	1040	13387	\N	\N	\N
70161	234	1996-01-30	VYDAJ	VYBER	1760	14080	\N	\N	\N
70164	234	1996-01-26	VYDAJ	VYBER	1600	15840	\N	\N	\N
70165	234	1996-01-08	VYDAJ	VYBER	640	14439	\N	\N	\N
70170	234	1997-01-30	VYDAJ	VYBER	800	13796	\N	\N	\N
70172	234	1998-01-02	VYDAJ	VYBER	1200	16708	\N	\N	\N
70173	234	1998-01-23	VYDAJ	VYBER	1840	15709	\N	\N	\N
70176	234	1998-01-10	VYDAJ	VYBER	2160	14548	\N	\N	\N
70181	234	1993-12-14	VYDAJ	VYBER	2640	26910	\N	\N	\N
70185	234	1994-08-18	VYDAJ	VYBER	1200	23497	\N	\N	\N
70186	234	1994-08-29	VYDAJ	VYBER	1360	21097	\N	\N	\N
70187	234	1994-07-21	VYDAJ	VYBER	560	23914	\N	\N	\N
70188	234	1994-02-07	VYDAJ	VYBER	3120	16352	\N	\N	\N
70189	234	1994-06-10	VYDAJ	VYBER	3360	25322	\N	\N	\N
70190	234	1994-08-31	VYDAJ	VYBER	1760	19434	\N	\N	\N
70191	234	1994-08-23	VYDAJ	VYBER	1040	22457	\N	\N	\N
70192	234	1995-09-02	VYDAJ	VYBER	2880	15572	\N	\N	\N
70193	234	1995-05-13	VYDAJ	VYBER	2240	14736	\N	\N	\N
70194	234	1995-04-08	VYDAJ	VYBER	2240	13919	\N	\N	\N
70197	234	1996-12-23	VYDAJ	VYBER	2160	19572	\N	\N	\N
70198	234	1996-08-31	VYDAJ	VYBER	3600	16229	\N	\N	\N
70200	234	1996-02-28	VYDAJ	VYBER	2400	14732	\N	\N	\N
70201	234	1996-05-17	VYDAJ	VYBER	640	14533	\N	\N	\N
70202	234	1996-06-17	VYDAJ	VYBER	3920	13656	\N	\N	\N
70203	234	1997-07-20	VYDAJ	VYBER	3920	17402	\N	\N	\N
70206	234	1997-01-20	VYDAJ	VYBER	1440	14596	\N	\N	\N
70209	234	1998-10-18	VYDAJ	VYBER	3120	14946	\N	\N	\N
70224	234	1993-12-31	VYDAJ	VYBER	15	26360	SLUZBY	\N	\N
70225	234	1994-01-31	VYDAJ	VYBER	15	19472	SLUZBY	\N	\N
70226	234	1994-02-28	VYDAJ	VYBER	15	19419	SLUZBY	\N	\N
70227	234	1994-03-31	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
70228	234	1994-04-30	VYDAJ	VYBER	15	25581	SLUZBY	\N	\N
70229	234	1994-05-31	VYDAJ	VYBER	15	28682	SLUZBY	\N	\N
70230	234	1994-06-30	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
70231	234	1994-07-31	VYDAJ	VYBER	15	23996	SLUZBY	\N	\N
70232	234	1994-08-31	VYDAJ	VYBER	15	19419	SLUZBY	\N	\N
70233	234	1994-09-30	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
70234	234	1994-10-31	VYDAJ	VYBER	15	25581	SLUZBY	\N	\N
70235	234	1994-11-30	VYDAJ	VYBER	15	25573	SLUZBY	\N	\N
70236	234	1994-12-31	VYDAJ	VYBER	15	23506	SLUZBY	\N	\N
70237	234	1995-01-31	VYDAJ	VYBER	15	13448	SLUZBY	\N	\N
70238	234	1995-02-28	VYDAJ	VYBER	15	16498	SLUZBY	\N	\N
70239	234	1995-03-31	VYDAJ	VYBER	15	19059	SLUZBY	\N	\N
70240	234	1995-04-30	VYDAJ	VYBER	15	16975	SLUZBY	\N	\N
70241	234	1995-05-31	VYDAJ	VYBER	15	14786	SLUZBY	\N	\N
70242	234	1995-06-30	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
70243	234	1995-07-31	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
70244	234	1995-08-31	VYDAJ	VYBER	15	18452	SLUZBY	\N	\N
70245	234	1995-09-30	VYDAJ	VYBER	15	16623	SLUZBY	\N	\N
70246	234	1995-10-31	VYDAJ	VYBER	15	16677	SLUZBY	\N	\N
70247	234	1995-11-30	VYDAJ	VYBER	15	15830	SLUZBY	\N	\N
70248	234	1995-12-31	VYDAJ	VYBER	15	15079	SLUZBY	\N	\N
70249	234	1996-01-31	VYDAJ	VYBER	15	14131	SLUZBY	\N	\N
70250	234	1996-02-29	VYDAJ	VYBER	15	14783	SLUZBY	\N	\N
70251	234	1996-03-31	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
70252	234	1996-04-30	VYDAJ	VYBER	15	12172	SLUZBY	\N	\N
70253	234	1996-05-31	VYDAJ	VYBER	15	14575	SLUZBY	\N	\N
70254	234	1996-06-30	VYDAJ	VYBER	15	13701	SLUZBY	\N	\N
70255	234	1996-07-31	VYDAJ	VYBER	15	16752	SLUZBY	\N	\N
70256	234	1996-08-31	VYDAJ	VYBER	15	16215	SLUZBY	\N	\N
70257	234	1996-09-30	VYDAJ	VYBER	15	13172	SLUZBY	\N	\N
70258	234	1996-10-31	VYDAJ	VYBER	15	16220	SLUZBY	\N	\N
70259	234	1996-11-30	VYDAJ	VYBER	15	19281	SLUZBY	\N	\N
70260	234	1996-12-31	VYDAJ	VYBER	15	13035	SLUZBY	\N	\N
70261	234	1997-01-31	VYDAJ	VYBER	15	13840	SLUZBY	\N	\N
70262	234	1997-02-28	VYDAJ	VYBER	15	16891	SLUZBY	\N	\N
70263	234	1997-03-31	VYDAJ	VYBER	15	19954	SLUZBY	\N	\N
70264	234	1997-04-30	VYDAJ	VYBER	15	12221	SLUZBY	\N	\N
70265	234	1997-05-31	VYDAJ	VYBER	15	15265	SLUZBY	\N	\N
70266	234	1997-06-30	VYDAJ	VYBER	15	18321	SLUZBY	\N	\N
70267	234	1997-07-31	VYDAJ	VYBER	15	12559	SLUZBY	\N	\N
70268	234	1997-08-31	VYDAJ	VYBER	15	15604	SLUZBY	\N	\N
70269	234	1997-09-30	VYDAJ	VYBER	15	12654	SLUZBY	\N	\N
70270	234	1997-10-31	VYDAJ	VYBER	15	15700	SLUZBY	\N	\N
70271	234	1997-11-30	VYDAJ	VYBER	15	15453	SLUZBY	\N	\N
70272	234	1997-12-31	VYDAJ	VYBER	15	17908	SLUZBY	\N	\N
70273	234	1998-01-31	VYDAJ	VYBER	15	15762	SLUZBY	\N	\N
70274	234	1998-02-28	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
70275	234	1998-03-31	VYDAJ	VYBER	15	21891	SLUZBY	\N	\N
70276	234	1998-04-30	VYDAJ	VYBER	15	13958	SLUZBY	\N	\N
70277	234	1998-05-31	VYDAJ	VYBER	15	17008	SLUZBY	\N	\N
70278	234	1998-06-30	VYDAJ	VYBER	15	18216	SLUZBY	\N	\N
70279	234	1998-07-31	VYDAJ	VYBER	15	12869	SLUZBY	\N	\N
70280	234	1998-08-31	VYDAJ	VYBER	15	15915	SLUZBY	\N	\N
70281	234	1998-09-30	VYDAJ	VYBER	15	15065	SLUZBY	\N	\N
70282	234	1998-10-31	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
70283	234	1998-11-30	VYDAJ	VYBER	15	13539	SLUZBY	\N	\N
70284	234	1994-01-11	VYDAJ	VYBER	100	21990	\N	\N	\N
70285	234	1994-08-09	VYDAJ	VYBER	2300	21696	\N	\N	\N
70286	234	1994-11-07	VYDAJ	VYBER	3100	22481	\N	\N	\N
70287	234	1994-12-07	VYDAJ	VYBER	3800	20423	\N	\N	\N
70288	234	1995-01-06	VYDAJ	VYBER	2200	20186	\N	\N	\N
70289	234	1995-03-07	VYDAJ	VYBER	500	15998	\N	\N	\N
70290	234	1995-04-06	VYDAJ	VYBER	2900	16159	\N	\N	\N
70291	234	1995-05-06	VYDAJ	VYBER	3000	13975	\N	\N	\N
70292	234	1995-07-05	VYDAJ	VYBER	5500	12341	\N	\N	\N
70293	234	1995-09-03	VYDAJ	VYBER	2000	13572	\N	\N	\N
70294	234	1995-10-03	VYDAJ	VYBER	3000	13623	\N	\N	\N
70295	234	1995-11-02	VYDAJ	VYBER	3900	12777	\N	\N	\N
70296	234	1995-12-02	VYDAJ	VYBER	3800	12030	\N	\N	\N
70297	234	1996-03-01	VYDAJ	VYBER	2300	12483	\N	\N	\N
70298	234	1996-03-31	VYDAJ	VYBER	3900	11631	\N	\N	\N
70299	234	1996-04-30	VYDAJ	VYBER	2500	12187	\N	\N	\N
70300	234	1996-09-27	VYDAJ	VYBER	6100	13116	\N	\N	\N
70301	234	1996-12-26	VYDAJ	VYBER	6600	12972	\N	\N	\N
70302	234	1997-04-25	VYDAJ	VYBER	10800	12155	\N	\N	\N
70303	234	1997-07-24	VYDAJ	VYBER	4900	12502	\N	\N	\N
70304	234	1997-09-22	VYDAJ	VYBER	6000	12605	\N	\N	\N
70305	234	1997-11-21	VYDAJ	VYBER	3300	15401	\N	\N	\N
70306	234	1998-04-20	VYDAJ	VYBER	11000	13892	\N	\N	\N
70307	234	1998-07-19	VYDAJ	VYBER	8400	12817	\N	\N	\N
70308	234	1998-09-17	VYDAJ	VYBER	3900	15016	\N	\N	\N
70309	234	1998-11-16	VYDAJ	VYBER	4500	13495	\N	\N	\N
70371	235	1993-10-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
70381	235	1993-10-09	PRIJEM	PREVOD Z UCTU	3324	4324	\N	YZ	45648396
70382	235	1993-11-09	PRIJEM	PREVOD Z UCTU	3324	7661	\N	YZ	45648396
70383	235	1993-12-09	PRIJEM	PREVOD Z UCTU	3324	11003	\N	YZ	45648396
70384	235	1994-01-09	PRIJEM	PREVOD Z UCTU	3324	14345	\N	YZ	45648396
70385	235	1994-02-09	PRIJEM	PREVOD Z UCTU	3324	17687	\N	YZ	45648396
70386	235	1994-03-09	PRIJEM	PREVOD Z UCTU	3324	18833	\N	YZ	45648396
70387	235	1994-04-09	PRIJEM	PREVOD Z UCTU	3324	19996	\N	YZ	45648396
70388	235	1994-05-09	PRIJEM	PREVOD Z UCTU	3324	21163	\N	YZ	45648396
70389	235	1994-06-09	PRIJEM	PREVOD Z UCTU	3324	22336	\N	YZ	45648396
70390	235	1994-07-09	PRIJEM	PREVOD Z UCTU	3324	18437	\N	YZ	45648396
70391	235	1994-08-09	PRIJEM	PREVOD Z UCTU	3324	19597	\N	YZ	45648396
70680	235	1994-09-30	VYDAJ	VYBER	15	17763	SLUZBY	\N	\N
70392	235	1994-09-09	PRIJEM	PREVOD Z UCTU	3324	20070	\N	YZ	45648396
70393	235	1994-10-09	PRIJEM	PREVOD Z UCTU	3324	21087	\N	YZ	45648396
70394	235	1994-11-09	PRIJEM	PREVOD Z UCTU	3324	21417	\N	YZ	45648396
70395	235	1994-12-09	PRIJEM	PREVOD Z UCTU	3324	21720	\N	YZ	45648396
70396	235	1995-01-09	PRIJEM	PREVOD Z UCTU	3324	22505	\N	YZ	45648396
70397	235	1995-02-09	PRIJEM	PREVOD Z UCTU	3324	21100	\N	YZ	45648396
70398	235	1995-03-09	PRIJEM	PREVOD Z UCTU	3324	22272	\N	YZ	45648396
70399	235	1995-04-09	PRIJEM	PREVOD Z UCTU	3324	23448	\N	YZ	45648396
70400	235	1995-05-09	PRIJEM	PREVOD Z UCTU	3324	24629	\N	YZ	45648396
70401	235	1995-06-09	PRIJEM	PREVOD Z UCTU	3324	24166	\N	YZ	45648396
70402	235	1995-07-09	PRIJEM	PREVOD Z UCTU	3324	24902	\N	YZ	45648396
70403	235	1995-08-09	PRIJEM	PREVOD Z UCTU	3324	25280	\N	YZ	45648396
70404	235	1995-09-09	PRIJEM	PREVOD Z UCTU	3324	26469	\N	YZ	45648396
70405	235	1995-10-09	PRIJEM	PREVOD Z UCTU	3324	27663	\N	YZ	45648396
70406	235	1995-11-09	PRIJEM	PREVOD Z UCTU	3324	28861	\N	YZ	45648396
70407	235	1995-12-09	PRIJEM	PREVOD Z UCTU	3324	30065	\N	YZ	45648396
70408	235	1996-01-09	PRIJEM	PREVOD Z UCTU	3324	30633	\N	YZ	45648396
70409	235	1996-02-09	PRIJEM	PREVOD Z UCTU	3324	29348	\N	YZ	45648396
70410	235	1996-03-09	PRIJEM	PREVOD Z UCTU	3324	29380	\N	YZ	45648396
70411	235	1996-04-09	PRIJEM	PREVOD Z UCTU	3324	27483	\N	YZ	45648396
70412	235	1996-05-09	PRIJEM	PREVOD Z UCTU	3324	26448	\N	YZ	45648396
70413	235	1996-06-09	PRIJEM	PREVOD Z UCTU	3324	24800	\N	YZ	45648396
70414	235	1996-07-09	PRIJEM	PREVOD Z UCTU	3324	25288	\N	YZ	45648396
70415	235	1996-08-09	PRIJEM	PREVOD Z UCTU	3324	26476	\N	YZ	45648396
70416	235	1996-09-09	PRIJEM	PREVOD Z UCTU	3324	26067	\N	YZ	45648396
70417	235	1996-10-09	PRIJEM	PREVOD Z UCTU	3324	27259	\N	YZ	45648396
70418	235	1996-11-09	PRIJEM	PREVOD Z UCTU	3324	26353	\N	YZ	45648396
70419	235	1996-12-09	PRIJEM	PREVOD Z UCTU	3324	25955	\N	YZ	45648396
70420	235	1997-01-09	PRIJEM	PREVOD Z UCTU	3324	23785	\N	YZ	45648396
70421	235	1997-02-09	PRIJEM	PREVOD Z UCTU	3324	23076	\N	YZ	45648396
70422	235	1997-03-09	PRIJEM	PREVOD Z UCTU	3324	24254	\N	YZ	45648396
70423	235	1997-04-09	PRIJEM	PREVOD Z UCTU	3324	24028	\N	YZ	45648396
70424	235	1997-05-09	PRIJEM	PREVOD Z UCTU	3324	25213	\N	YZ	45648396
70425	235	1997-06-09	PRIJEM	PREVOD Z UCTU	3324	26401	\N	YZ	45648396
70426	235	1997-07-09	PRIJEM	PREVOD Z UCTU	3324	23808	\N	YZ	45648396
70427	235	1997-08-09	PRIJEM	PREVOD Z UCTU	3324	23937	\N	YZ	45648396
70428	235	1997-09-09	PRIJEM	PREVOD Z UCTU	3324	24759	\N	YZ	45648396
70429	235	1997-10-09	PRIJEM	PREVOD Z UCTU	3324	25945	\N	YZ	45648396
70430	235	1997-11-09	PRIJEM	PREVOD Z UCTU	3324	24530	\N	YZ	45648396
70431	235	1997-12-09	PRIJEM	PREVOD Z UCTU	3324	23509	\N	YZ	45648396
70432	235	1998-01-09	PRIJEM	PREVOD Z UCTU	3324	19206	\N	YZ	45648396
70433	235	1998-02-09	PRIJEM	PREVOD Z UCTU	3324	19187	\N	YZ	45648396
70434	235	1998-03-09	PRIJEM	PREVOD Z UCTU	3324	18044	\N	YZ	45648396
70435	235	1998-04-09	PRIJEM	PREVOD Z UCTU	3324	18138	\N	YZ	45648396
70436	235	1998-05-09	PRIJEM	PREVOD Z UCTU	3324	19094	\N	YZ	45648396
70437	235	1998-06-09	PRIJEM	PREVOD Z UCTU	3324	20256	\N	YZ	45648396
70438	235	1998-07-09	PRIJEM	PREVOD Z UCTU	3324	19049	\N	YZ	45648396
70439	235	1998-08-09	PRIJEM	PREVOD Z UCTU	3324	17603	\N	YZ	45648396
70440	235	1998-09-09	PRIJEM	PREVOD Z UCTU	3324	16852	\N	YZ	45648396
70441	235	1998-10-09	PRIJEM	PREVOD Z UCTU	3324	18005	\N	YZ	45648396
70442	235	1998-11-09	PRIJEM	PREVOD Z UCTU	3324	18920	\N	YZ	45648396
70443	235	1998-12-09	PRIJEM	PREVOD Z UCTU	3324	20081	\N	YZ	45648396
70457	235	1994-02-13	VYDAJ	PREVOD NA UCET	895	15471	\N	MN	79934978
70458	235	1994-03-13	VYDAJ	PREVOD NA UCET	895	16617	\N	MN	79934978
70459	235	1994-04-13	VYDAJ	PREVOD NA UCET	895	17780	\N	MN	79934978
70460	235	1994-05-13	VYDAJ	PREVOD NA UCET	895	18947	\N	MN	79934978
70461	235	1994-06-13	VYDAJ	PREVOD NA UCET	895	20120	\N	MN	79934978
70462	235	1994-07-13	VYDAJ	PREVOD NA UCET	895	16221	\N	MN	79934978
70463	235	1994-08-13	VYDAJ	PREVOD NA UCET	895	16691	\N	MN	79934978
70464	235	1994-09-13	VYDAJ	PREVOD NA UCET	895	17854	\N	MN	79934978
70465	235	1994-10-13	VYDAJ	PREVOD NA UCET	895	18871	\N	MN	79934978
70466	235	1994-11-13	VYDAJ	PREVOD NA UCET	895	19201	\N	MN	79934978
70467	235	1994-12-13	VYDAJ	PREVOD NA UCET	895	19504	\N	MN	79934978
70468	235	1995-01-13	VYDAJ	PREVOD NA UCET	895	19839	\N	MN	79934978
70469	235	1995-02-13	VYDAJ	PREVOD NA UCET	895	18884	\N	MN	79934978
70470	235	1995-03-13	VYDAJ	PREVOD NA UCET	895	20056	\N	MN	79934978
70471	235	1995-04-13	VYDAJ	PREVOD NA UCET	895	21232	\N	MN	79934978
70472	235	1995-05-13	VYDAJ	PREVOD NA UCET	895	22413	\N	MN	79934978
70473	235	1995-06-13	VYDAJ	PREVOD NA UCET	895	21950	\N	MN	79934978
70474	235	1995-07-13	VYDAJ	PREVOD NA UCET	895	22686	\N	MN	79934978
70475	235	1995-08-13	VYDAJ	PREVOD NA UCET	895	23064	\N	MN	79934978
70476	235	1995-09-13	VYDAJ	PREVOD NA UCET	895	24253	\N	MN	79934978
70477	235	1995-10-13	VYDAJ	PREVOD NA UCET	895	25447	\N	MN	79934978
70478	235	1995-11-13	VYDAJ	PREVOD NA UCET	895	26645	\N	MN	79934978
70479	235	1995-12-13	VYDAJ	PREVOD NA UCET	895	27849	\N	MN	79934978
70480	235	1996-01-13	VYDAJ	PREVOD NA UCET	895	27457	\N	MN	79934978
70481	235	1996-02-13	VYDAJ	PREVOD NA UCET	895	25962	\N	MN	79934978
70482	235	1996-03-13	VYDAJ	PREVOD NA UCET	895	27164	\N	MN	79934978
70483	235	1996-04-13	VYDAJ	PREVOD NA UCET	895	24307	\N	MN	79934978
70484	235	1996-05-13	VYDAJ	PREVOD NA UCET	895	24232	\N	MN	79934978
70485	235	1996-06-13	VYDAJ	PREVOD NA UCET	895	22584	\N	MN	79934978
70486	235	1996-07-13	VYDAJ	PREVOD NA UCET	895	23072	\N	MN	79934978
70487	235	1996-08-13	VYDAJ	PREVOD NA UCET	895	24260	\N	MN	79934978
70488	235	1996-09-13	VYDAJ	PREVOD NA UCET	895	23851	\N	MN	79934978
70489	235	1996-10-13	VYDAJ	PREVOD NA UCET	895	25043	\N	MN	79934978
70490	235	1996-11-13	VYDAJ	PREVOD NA UCET	895	24137	\N	MN	79934978
70491	235	1996-12-13	VYDAJ	PREVOD NA UCET	895	23739	\N	MN	79934978
70492	235	1997-01-13	VYDAJ	PREVOD NA UCET	895	21569	\N	MN	79934978
70493	235	1997-02-13	VYDAJ	PREVOD NA UCET	895	20860	\N	MN	79934978
70494	235	1997-03-13	VYDAJ	PREVOD NA UCET	895	22038	\N	MN	79934978
70495	235	1997-04-13	VYDAJ	PREVOD NA UCET	895	21812	\N	MN	79934978
70496	235	1997-05-13	VYDAJ	PREVOD NA UCET	895	22997	\N	MN	79934978
70497	235	1997-06-13	VYDAJ	PREVOD NA UCET	895	24185	\N	MN	79934978
70498	235	1997-07-13	VYDAJ	PREVOD NA UCET	895	20542	\N	MN	79934978
70499	235	1997-08-13	VYDAJ	PREVOD NA UCET	895	21721	\N	MN	79934978
70500	235	1997-09-13	VYDAJ	PREVOD NA UCET	895	22543	\N	MN	79934978
70501	235	1997-10-13	VYDAJ	PREVOD NA UCET	895	23729	\N	MN	79934978
70502	235	1997-11-13	VYDAJ	PREVOD NA UCET	895	22314	\N	MN	79934978
70503	235	1997-12-13	VYDAJ	PREVOD NA UCET	895	21143	\N	MN	79934978
70504	235	1998-01-13	VYDAJ	PREVOD NA UCET	895	16810	\N	MN	79934978
70505	235	1998-02-13	VYDAJ	PREVOD NA UCET	895	14671	\N	MN	79934978
70506	235	1998-03-13	VYDAJ	PREVOD NA UCET	895	15168	\N	MN	79934978
70507	235	1998-04-13	VYDAJ	PREVOD NA UCET	895	15722	\N	MN	79934978
70508	235	1998-05-13	VYDAJ	PREVOD NA UCET	895	16878	\N	MN	79934978
70509	235	1998-06-13	VYDAJ	PREVOD NA UCET	895	15670	\N	MN	79934978
70510	235	1998-07-13	VYDAJ	PREVOD NA UCET	895	14233	\N	MN	79934978
70511	235	1998-08-13	VYDAJ	PREVOD NA UCET	895	13487	\N	MN	79934978
70512	235	1998-09-13	VYDAJ	PREVOD NA UCET	895	14636	\N	MN	79934978
70513	235	1998-10-13	VYDAJ	PREVOD NA UCET	895	15549	\N	MN	79934978
70514	235	1998-11-13	VYDAJ	PREVOD NA UCET	895	16704	\N	MN	79934978
70515	235	1998-12-13	VYDAJ	PREVOD NA UCET	895	16265	\N	MN	79934978
70529	235	1994-02-09	VYDAJ	PREVOD NA UCET	1321	16366	\N	KL	52539473
70530	235	1994-03-09	VYDAJ	PREVOD NA UCET	1321	17512	\N	KL	52539473
70531	235	1994-04-09	VYDAJ	PREVOD NA UCET	1321	18675	\N	KL	52539473
70532	235	1994-05-09	VYDAJ	PREVOD NA UCET	1321	19842	\N	KL	52539473
70533	235	1994-06-09	VYDAJ	PREVOD NA UCET	1321	21015	\N	KL	52539473
70534	235	1994-07-09	VYDAJ	PREVOD NA UCET	1321	17116	\N	KL	52539473
70535	235	1994-08-09	VYDAJ	PREVOD NA UCET	1321	18276	\N	KL	52539473
70536	235	1994-09-09	VYDAJ	PREVOD NA UCET	1321	18749	\N	KL	52539473
70537	235	1994-10-09	VYDAJ	PREVOD NA UCET	1321	19766	\N	KL	52539473
70538	235	1994-11-09	VYDAJ	PREVOD NA UCET	1321	20096	\N	KL	52539473
70539	235	1994-12-09	VYDAJ	PREVOD NA UCET	1321	20399	\N	KL	52539473
70540	235	1995-01-09	VYDAJ	PREVOD NA UCET	1321	20734	\N	KL	52539473
70541	235	1995-02-09	VYDAJ	PREVOD NA UCET	1321	19779	\N	KL	52539473
70542	235	1995-03-09	VYDAJ	PREVOD NA UCET	1321	20951	\N	KL	52539473
70543	235	1995-04-09	VYDAJ	PREVOD NA UCET	1321	22127	\N	KL	52539473
70544	235	1995-05-09	VYDAJ	PREVOD NA UCET	1321	23308	\N	KL	52539473
70545	235	1995-06-09	VYDAJ	PREVOD NA UCET	1321	22845	\N	KL	52539473
70546	235	1995-07-09	VYDAJ	PREVOD NA UCET	1321	23581	\N	KL	52539473
70547	235	1995-08-09	VYDAJ	PREVOD NA UCET	1321	23959	\N	KL	52539473
70548	235	1995-09-09	VYDAJ	PREVOD NA UCET	1321	25148	\N	KL	52539473
70549	235	1995-10-09	VYDAJ	PREVOD NA UCET	1321	26342	\N	KL	52539473
70550	235	1995-11-09	VYDAJ	PREVOD NA UCET	1321	27540	\N	KL	52539473
70551	235	1995-12-09	VYDAJ	PREVOD NA UCET	1321	28744	\N	KL	52539473
70552	235	1996-01-09	VYDAJ	PREVOD NA UCET	1321	29162	\N	KL	52539473
70553	235	1996-02-09	VYDAJ	PREVOD NA UCET	1321	28027	\N	KL	52539473
70554	235	1996-03-09	VYDAJ	PREVOD NA UCET	1321	28059	\N	KL	52539473
70555	235	1996-04-09	VYDAJ	PREVOD NA UCET	1321	25202	\N	KL	52539473
70556	235	1996-05-09	VYDAJ	PREVOD NA UCET	1321	25127	\N	KL	52539473
70557	235	1996-06-09	VYDAJ	PREVOD NA UCET	1321	23479	\N	KL	52539473
70558	235	1996-07-09	VYDAJ	PREVOD NA UCET	1321	23967	\N	KL	52539473
70559	235	1996-08-09	VYDAJ	PREVOD NA UCET	1321	25155	\N	KL	52539473
70560	235	1996-09-09	VYDAJ	PREVOD NA UCET	1321	24746	\N	KL	52539473
70561	235	1996-10-09	VYDAJ	PREVOD NA UCET	1321	25938	\N	KL	52539473
70562	235	1996-11-09	VYDAJ	PREVOD NA UCET	1321	25032	\N	KL	52539473
70563	235	1996-12-09	VYDAJ	PREVOD NA UCET	1321	24634	\N	KL	52539473
70564	235	1997-01-09	VYDAJ	PREVOD NA UCET	1321	22464	\N	KL	52539473
70565	235	1997-02-09	VYDAJ	PREVOD NA UCET	1321	21755	\N	KL	52539473
70566	235	1997-03-09	VYDAJ	PREVOD NA UCET	1321	22933	\N	KL	52539473
70567	235	1997-04-09	VYDAJ	PREVOD NA UCET	1321	22707	\N	KL	52539473
70568	235	1997-05-09	VYDAJ	PREVOD NA UCET	1321	23892	\N	KL	52539473
70569	235	1997-06-09	VYDAJ	PREVOD NA UCET	1321	25080	\N	KL	52539473
70570	235	1997-07-09	VYDAJ	PREVOD NA UCET	1321	22487	\N	KL	52539473
70571	235	1997-08-09	VYDAJ	PREVOD NA UCET	1321	22616	\N	KL	52539473
70572	235	1997-09-09	VYDAJ	PREVOD NA UCET	1321	23438	\N	KL	52539473
70573	235	1997-10-09	VYDAJ	PREVOD NA UCET	1321	24624	\N	KL	52539473
70574	235	1997-11-09	VYDAJ	PREVOD NA UCET	1321	23209	\N	KL	52539473
70575	235	1997-12-09	VYDAJ	PREVOD NA UCET	1321	22188	\N	KL	52539473
70576	235	1998-01-09	VYDAJ	PREVOD NA UCET	1321	17885	\N	KL	52539473
70577	235	1998-02-09	VYDAJ	PREVOD NA UCET	1321	17866	\N	KL	52539473
70578	235	1998-03-09	VYDAJ	PREVOD NA UCET	1321	16723	\N	KL	52539473
70579	235	1998-04-09	VYDAJ	PREVOD NA UCET	1321	16817	\N	KL	52539473
70580	235	1998-05-09	VYDAJ	PREVOD NA UCET	1321	17773	\N	KL	52539473
70581	235	1998-06-09	VYDAJ	PREVOD NA UCET	1321	18935	\N	KL	52539473
70582	235	1998-07-09	VYDAJ	PREVOD NA UCET	1321	17728	\N	KL	52539473
70583	235	1998-08-09	VYDAJ	PREVOD NA UCET	1321	16282	\N	KL	52539473
70584	235	1998-09-09	VYDAJ	PREVOD NA UCET	1321	15531	\N	KL	52539473
70585	235	1998-10-09	VYDAJ	PREVOD NA UCET	1321	16684	\N	KL	52539473
70586	235	1998-11-09	VYDAJ	PREVOD NA UCET	1321	17599	\N	KL	52539473
70587	235	1998-12-09	VYDAJ	PREVOD NA UCET	1321	17160	\N	KL	52539473
70589	235	1994-06-23	VYDAJ	VYBER	5070	15050	\N	\N	\N
70590	235	1995-06-01	VYDAJ	VYBER	1650	20842	\N	\N	\N
70591	235	1996-06-04	VYDAJ	VYBER	1440	21476	\N	\N	\N
70592	235	1997-06-20	VYDAJ	VYBER	3780	20405	\N	\N	\N
70593	235	1998-06-13	VYDAJ	VYBER	1680	16565	\N	\N	\N
70595	235	1994-12-02	VYDAJ	VYBER	870	18396	\N	\N	\N
70596	235	1995-12-15	VYDAJ	VYBER	240	27609	\N	\N	\N
70597	235	1996-12-06	VYDAJ	VYBER	510	23711	\N	\N	\N
70598	235	1997-12-09	VYDAJ	VYBER	150	22038	\N	\N	\N
70612	235	1995-01-30	VYDAJ	VYBER	390	17709	\N	\N	\N
70613	235	1995-01-09	VYDAJ	VYBER	450	22055	\N	\N	\N
70614	235	1995-01-21	VYDAJ	VYBER	420	18969	\N	\N	\N
70615	235	1995-01-27	VYDAJ	VYBER	870	18099	\N	\N	\N
70616	235	1995-01-20	VYDAJ	VYBER	450	19389	\N	\N	\N
70617	235	1995-01-07	VYDAJ	VYBER	390	19181	\N	\N	\N
70618	235	1996-01-26	VYDAJ	VYBER	330	25927	\N	\N	\N
70619	235	1996-01-10	VYDAJ	VYBER	810	28352	\N	\N	\N
70620	235	1996-01-18	VYDAJ	VYBER	630	26467	\N	\N	\N
70621	235	1996-01-09	VYDAJ	VYBER	150	30483	\N	\N	\N
70622	235	1996-01-15	VYDAJ	VYBER	360	27097	\N	\N	\N
70623	235	1996-01-22	VYDAJ	VYBER	210	26257	\N	\N	\N
70624	235	1997-01-21	VYDAJ	VYBER	840	20729	\N	\N	\N
70625	235	1997-01-24	VYDAJ	VYBER	270	20459	\N	\N	\N
70626	235	1997-01-07	VYDAJ	VYBER	270	20461	\N	\N	\N
70627	235	1997-01-02	VYDAJ	VYBER	450	20731	\N	\N	\N
70628	235	1997-01-24	VYDAJ	VYBER	780	19679	\N	\N	\N
70629	235	1997-01-01	VYDAJ	VYBER	840	21181	\N	\N	\N
70631	235	1998-01-17	VYDAJ	VYBER	300	15810	\N	\N	\N
70632	235	1998-01-02	VYDAJ	VYBER	270	16032	\N	\N	\N
70635	235	1998-01-07	VYDAJ	VYBER	150	15882	\N	\N	\N
70639	235	1994-10-21	VYDAJ	VYBER	840	18031	\N	\N	\N
70640	235	1994-08-13	VYDAJ	VYBER	690	17586	\N	\N	\N
70641	235	1994-09-18	VYDAJ	VYBER	150	17704	\N	\N	\N
70642	235	1995-08-05	VYDAJ	VYBER	810	21956	\N	\N	\N
70643	235	1995-06-24	VYDAJ	VYBER	450	21500	\N	\N	\N
70644	235	1996-12-21	VYDAJ	VYBER	1440	21939	\N	\N	\N
70645	235	1996-02-11	VYDAJ	VYBER	1170	26857	\N	\N	\N
70646	235	1996-04-09	VYDAJ	VYBER	960	26523	\N	\N	\N
70647	235	1996-12-07	VYDAJ	VYBER	1080	22631	\N	\N	\N
70648	235	1996-12-20	VYDAJ	VYBER	360	23379	\N	\N	\N
70649	235	1996-05-04	VYDAJ	VYBER	1170	23124	\N	\N	\N
70650	235	1997-09-07	VYDAJ	VYBER	360	21435	\N	\N	\N
70651	235	1997-07-11	VYDAJ	VYBER	1050	21437	\N	\N	\N
70652	235	1997-04-01	VYDAJ	VYBER	1410	20704	\N	\N	\N
70653	235	1998-03-10	VYDAJ	VYBER	660	16063	\N	\N	\N
70656	235	1998-10-11	VYDAJ	VYBER	240	16444	\N	\N	\N
70657	235	1998-01-13	VYDAJ	VYBER	180	17705	\N	\N	\N
70658	235	1998-06-12	VYDAJ	VYBER	690	18245	\N	\N	\N
70673	235	1994-02-28	VYDAJ	VYBER	15	15509	SLUZBY	\N	\N
70674	235	1994-03-31	VYDAJ	VYBER	15	16672	SLUZBY	\N	\N
70675	235	1994-04-30	VYDAJ	VYBER	15	17839	SLUZBY	\N	\N
70676	235	1994-05-31	VYDAJ	VYBER	15	19012	SLUZBY	\N	\N
70677	235	1994-06-30	VYDAJ	VYBER	15	15113	SLUZBY	\N	\N
70678	235	1994-07-31	VYDAJ	VYBER	15	16273	SLUZBY	\N	\N
70679	235	1994-08-31	VYDAJ	VYBER	15	16746	SLUZBY	\N	\N
70681	235	1994-10-31	VYDAJ	VYBER	15	18093	SLUZBY	\N	\N
70682	235	1994-11-30	VYDAJ	VYBER	15	19266	SLUZBY	\N	\N
70683	235	1994-12-31	VYDAJ	VYBER	15	19571	SLUZBY	\N	\N
70684	235	1995-01-31	VYDAJ	VYBER	15	17776	SLUZBY	\N	\N
70685	235	1995-02-28	VYDAJ	VYBER	15	18948	SLUZBY	\N	\N
70686	235	1995-03-31	VYDAJ	VYBER	15	20124	SLUZBY	\N	\N
70687	235	1995-04-30	VYDAJ	VYBER	15	21305	SLUZBY	\N	\N
70688	235	1995-05-31	VYDAJ	VYBER	15	22492	SLUZBY	\N	\N
70689	235	1995-06-30	VYDAJ	VYBER	15	21578	SLUZBY	\N	\N
70690	235	1995-07-31	VYDAJ	VYBER	15	22766	SLUZBY	\N	\N
70691	235	1995-08-31	VYDAJ	VYBER	15	23145	SLUZBY	\N	\N
70692	235	1995-09-30	VYDAJ	VYBER	15	24339	SLUZBY	\N	\N
70693	235	1995-10-31	VYDAJ	VYBER	15	25537	SLUZBY	\N	\N
70694	235	1995-11-30	VYDAJ	VYBER	15	26741	SLUZBY	\N	\N
70695	235	1995-12-31	VYDAJ	VYBER	15	27309	SLUZBY	\N	\N
70696	235	1996-01-31	VYDAJ	VYBER	15	26024	SLUZBY	\N	\N
70697	235	1996-02-29	VYDAJ	VYBER	15	26056	SLUZBY	\N	\N
70698	235	1996-03-31	VYDAJ	VYBER	15	24159	SLUZBY	\N	\N
70699	235	1996-04-30	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
70700	235	1996-05-31	VYDAJ	VYBER	15	22916	SLUZBY	\N	\N
70701	235	1996-06-30	VYDAJ	VYBER	15	21964	SLUZBY	\N	\N
70702	235	1996-07-31	VYDAJ	VYBER	15	23152	SLUZBY	\N	\N
70703	235	1996-08-31	VYDAJ	VYBER	15	22743	SLUZBY	\N	\N
70704	235	1996-09-30	VYDAJ	VYBER	15	23935	SLUZBY	\N	\N
70705	235	1996-10-31	VYDAJ	VYBER	15	23029	SLUZBY	\N	\N
70706	235	1996-11-30	VYDAJ	VYBER	15	24221	SLUZBY	\N	\N
70707	235	1996-12-31	VYDAJ	VYBER	15	22021	SLUZBY	\N	\N
70708	235	1997-01-31	VYDAJ	VYBER	15	19752	SLUZBY	\N	\N
70709	235	1997-02-28	VYDAJ	VYBER	15	20930	SLUZBY	\N	\N
70710	235	1997-03-31	VYDAJ	VYBER	15	22114	SLUZBY	\N	\N
70711	235	1997-04-30	VYDAJ	VYBER	15	21889	SLUZBY	\N	\N
70712	235	1997-05-31	VYDAJ	VYBER	15	23077	SLUZBY	\N	\N
70713	235	1997-06-30	VYDAJ	VYBER	15	20484	SLUZBY	\N	\N
70714	235	1997-07-31	VYDAJ	VYBER	15	20613	SLUZBY	\N	\N
70715	235	1997-08-31	VYDAJ	VYBER	15	21795	SLUZBY	\N	\N
70716	235	1997-09-30	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
70717	235	1997-10-31	VYDAJ	VYBER	15	21206	SLUZBY	\N	\N
70718	235	1997-11-30	VYDAJ	VYBER	15	20185	SLUZBY	\N	\N
70719	235	1997-12-31	VYDAJ	VYBER	15	16302	SLUZBY	\N	\N
70720	235	1998-01-31	VYDAJ	VYBER	15	15863	SLUZBY	\N	\N
70721	235	1998-02-28	VYDAJ	VYBER	15	14720	SLUZBY	\N	\N
70722	235	1998-03-31	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
70723	235	1998-04-30	VYDAJ	VYBER	15	15770	SLUZBY	\N	\N
70724	235	1998-05-31	VYDAJ	VYBER	15	16932	SLUZBY	\N	\N
70725	235	1998-06-30	VYDAJ	VYBER	15	15725	SLUZBY	\N	\N
70726	235	1998-07-31	VYDAJ	VYBER	15	14279	SLUZBY	\N	\N
70727	235	1998-08-31	VYDAJ	VYBER	15	13528	SLUZBY	\N	\N
70728	235	1998-09-30	VYDAJ	VYBER	15	14681	SLUZBY	\N	\N
70729	235	1998-10-31	VYDAJ	VYBER	15	15596	SLUZBY	\N	\N
70730	235	1998-11-30	VYDAJ	VYBER	15	16757	SLUZBY	\N	\N
70731	235	1995-12-25	VYDAJ	VYBER	400	27209	\N	\N	\N
70732	235	1996-03-24	VYDAJ	VYBER	3100	24064	\N	\N	\N
70733	235	1996-04-23	VYDAJ	VYBER	100	24207	\N	\N	\N
70734	235	1996-05-23	VYDAJ	VYBER	1400	22832	\N	\N	\N
70735	235	1996-06-22	VYDAJ	VYBER	700	21884	\N	\N	\N
70736	235	1996-08-21	VYDAJ	VYBER	1600	22660	\N	\N	\N
70737	235	1996-10-20	VYDAJ	VYBER	2100	22943	\N	\N	\N
70738	235	1997-10-15	VYDAJ	VYBER	2600	21129	\N	\N	\N
70739	235	1997-11-14	VYDAJ	VYBER	2200	20114	\N	\N	\N
70740	235	1997-12-14	VYDAJ	VYBER	4900	16243	\N	\N	\N
70741	235	1998-01-13	VYDAJ	VYBER	700	16110	\N	\N	\N
70742	235	1998-02-12	VYDAJ	VYBER	2300	15566	\N	\N	\N
70743	235	1998-03-14	VYDAJ	VYBER	400	14768	\N	\N	\N
70744	235	1998-04-13	VYDAJ	VYBER	200	16617	\N	\N	\N
70745	235	1998-07-12	VYDAJ	VYBER	2600	15128	\N	\N	\N
70746	235	1998-08-11	VYDAJ	VYBER	1900	14382	\N	\N	\N
70747	235	1998-12-09	VYDAJ	VYBER	1600	18481	\N	\N	\N
70811	236	1996-03-16	PRIJEM	VKLAD	900	900	\N	\N	\N
70890	236	1996-04-15	PRIJEM	VKLAD	12800	13700	\N	\N	\N
70891	236	1996-05-15	PRIJEM	VKLAD	3500	17200	\N	\N	\N
70892	236	1996-06-14	PRIJEM	VKLAD	3200	20400	\N	\N	\N
70893	236	1996-07-14	PRIJEM	VKLAD	800	21200	\N	\N	\N
70894	236	1996-08-13	VYDAJ	VYBER	1300	19900	\N	\N	\N
70895	236	1996-09-12	PRIJEM	VKLAD	1700	21600	\N	\N	\N
70896	236	1996-10-12	VYDAJ	VYBER	3600	18000	\N	\N	\N
70897	236	1996-11-11	VYDAJ	VYBER	900	17100	\N	\N	\N
70898	236	1996-12-11	VYDAJ	VYBER	1700	15400	\N	\N	\N
70899	236	1997-01-10	VYDAJ	VYBER	600	14800	\N	\N	\N
70900	236	1997-02-09	PRIJEM	VKLAD	2700	17500	\N	\N	\N
70901	236	1997-03-11	VYDAJ	VYBER	400	17100	\N	\N	\N
70902	236	1997-04-10	PRIJEM	VKLAD	6100	23200	\N	\N	\N
70903	236	1997-05-10	VYDAJ	VYBER	2000	21200	\N	\N	\N
70904	236	1997-06-09	PRIJEM	VKLAD	3500	24700	\N	\N	\N
70905	236	1997-07-09	VYDAJ	VYBER	2100	22600	\N	\N	\N
70906	236	1997-08-08	VYDAJ	VYBER	2100	20500	\N	\N	\N
70907	236	1997-09-07	VYDAJ	VYBER	3700	16800	\N	\N	\N
70908	236	1997-10-07	VYDAJ	VYBER	1900	14900	\N	\N	\N
70909	236	1997-11-06	VYDAJ	VYBER	300	14600	\N	\N	\N
70910	236	1997-12-06	VYDAJ	VYBER	2300	12300	\N	\N	\N
70911	236	1998-01-05	PRIJEM	VKLAD	1300	13600	\N	\N	\N
70912	236	1998-02-04	VYDAJ	VYBER	2700	10900	\N	\N	\N
70913	236	1998-03-06	VYDAJ	VYBER	1100	9800	\N	\N	\N
70914	236	1998-12-01	PRIJEM	VKLAD	3200	13000	\N	\N	\N
70915	237	1994-03-25	PRIJEM	VKLAD	900	900	\N	\N	\N
70919	237	1994-04-10	PRIJEM	PREVOD Z UCTU	2910	3810	\N	ST	85607498
70920	237	1994-05-10	PRIJEM	PREVOD Z UCTU	2910	6720	\N	ST	85607498
70921	237	1994-06-10	PRIJEM	PREVOD Z UCTU	2910	9630	\N	ST	85607498
70922	237	1994-07-10	PRIJEM	PREVOD Z UCTU	2910	12540	\N	ST	85607498
70923	237	1994-08-10	PRIJEM	PREVOD Z UCTU	2910	15450	\N	ST	85607498
70924	237	1994-09-10	PRIJEM	PREVOD Z UCTU	2910	16408	\N	ST	85607498
70925	237	1994-10-10	PRIJEM	PREVOD Z UCTU	2910	17430	\N	ST	85607498
70926	237	1994-11-10	PRIJEM	PREVOD Z UCTU	2910	18456	\N	ST	85607498
70927	237	1994-12-10	PRIJEM	PREVOD Z UCTU	2910	19487	\N	ST	85607498
70928	237	1995-01-10	PRIJEM	PREVOD Z UCTU	2910	18961	\N	ST	85607498
70929	237	1995-02-10	PRIJEM	PREVOD Z UCTU	2910	15368	\N	ST	85607498
70930	237	1995-03-10	PRIJEM	PREVOD Z UCTU	2910	16386	\N	ST	85607498
70931	237	1995-04-10	PRIJEM	PREVOD Z UCTU	2910	14826	\N	ST	85607498
70932	237	1995-05-10	PRIJEM	PREVOD Z UCTU	2910	15843	\N	ST	85607498
70933	237	1995-06-10	PRIJEM	PREVOD Z UCTU	2910	15512	\N	ST	85607498
70934	237	1995-07-10	PRIJEM	PREVOD Z UCTU	2910	14248	\N	ST	85607498
70935	237	1995-08-10	PRIJEM	PREVOD Z UCTU	2910	15261	\N	ST	85607498
70936	237	1995-09-10	PRIJEM	PREVOD Z UCTU	2910	16278	\N	ST	85607498
70937	237	1995-10-10	PRIJEM	PREVOD Z UCTU	2910	16820	\N	ST	85607498
70938	237	1995-11-10	PRIJEM	PREVOD Z UCTU	2910	17744	\N	ST	85607498
70939	237	1995-12-10	PRIJEM	PREVOD Z UCTU	2910	15076	\N	ST	85607498
70940	237	1996-01-10	PRIJEM	PREVOD Z UCTU	2910	13979	\N	ST	85607498
70941	237	1996-02-10	PRIJEM	PREVOD Z UCTU	2910	14391	\N	ST	85607498
70942	237	1996-03-10	PRIJEM	PREVOD Z UCTU	2910	12297	\N	ST	85607498
70943	237	1996-04-10	PRIJEM	PREVOD Z UCTU	2910	13302	\N	ST	85607498
70944	237	1996-05-10	PRIJEM	PREVOD Z UCTU	2910	14131	\N	ST	85607498
70945	237	1996-06-10	PRIJEM	PREVOD Z UCTU	2910	14274	\N	ST	85607498
70946	237	1996-07-10	PRIJEM	PREVOD Z UCTU	2910	12580	\N	ST	85607498
70947	237	1996-08-10	PRIJEM	PREVOD Z UCTU	2910	12382	\N	ST	85607498
70948	237	1996-09-10	PRIJEM	PREVOD Z UCTU	2910	13388	\N	ST	85607498
70949	237	1996-10-10	PRIJEM	PREVOD Z UCTU	2910	14397	\N	ST	85607498
70950	237	1996-11-10	PRIJEM	PREVOD Z UCTU	2910	14720	\N	ST	85607498
70951	237	1996-12-10	PRIJEM	PREVOD Z UCTU	2910	15525	\N	ST	85607498
70952	237	1997-01-10	PRIJEM	PREVOD Z UCTU	2910	15133	\N	ST	85607498
70953	237	1997-02-10	PRIJEM	PREVOD Z UCTU	2910	12856	\N	ST	85607498
70954	237	1997-03-10	PRIJEM	PREVOD Z UCTU	2910	13865	\N	ST	85607498
70955	237	1997-04-10	PRIJEM	PREVOD Z UCTU	2910	14876	\N	ST	85607498
70956	237	1997-05-10	PRIJEM	PREVOD Z UCTU	2910	15892	\N	ST	85607498
70957	237	1997-06-10	PRIJEM	PREVOD Z UCTU	2910	16211	\N	ST	85607498
70958	237	1997-07-10	PRIJEM	PREVOD Z UCTU	2910	17022	\N	ST	85607498
70959	237	1997-08-10	PRIJEM	PREVOD Z UCTU	2910	18046	\N	ST	85607498
70960	237	1997-09-10	PRIJEM	PREVOD Z UCTU	2910	19075	\N	ST	85607498
70961	237	1997-10-10	PRIJEM	PREVOD Z UCTU	2910	12917	\N	ST	85607498
70962	237	1997-11-10	PRIJEM	PREVOD Z UCTU	2910	13930	\N	ST	85607498
70963	237	1997-12-10	PRIJEM	PREVOD Z UCTU	2910	14941	\N	ST	85607498
70964	237	1998-01-10	PRIJEM	PREVOD Z UCTU	2910	15266	\N	ST	85607498
70965	237	1998-02-10	PRIJEM	PREVOD Z UCTU	2910	15109	\N	ST	85607498
70966	237	1998-03-10	PRIJEM	PREVOD Z UCTU	2910	13725	\N	ST	85607498
70967	237	1998-04-10	PRIJEM	PREVOD Z UCTU	2910	14738	\N	ST	85607498
70968	237	1998-05-10	PRIJEM	PREVOD Z UCTU	2910	15452	\N	ST	85607498
70969	237	1998-06-10	PRIJEM	PREVOD Z UCTU	2910	16269	\N	ST	85607498
70970	237	1998-07-10	PRIJEM	PREVOD Z UCTU	2910	17290	\N	ST	85607498
70971	237	1998-08-10	PRIJEM	PREVOD Z UCTU	2910	15715	\N	ST	85607498
70972	237	1998-09-10	PRIJEM	PREVOD Z UCTU	2910	16736	\N	ST	85607498
70973	237	1998-10-10	PRIJEM	PREVOD Z UCTU	2910	17758	\N	ST	85607498
70974	237	1998-11-10	PRIJEM	PREVOD Z UCTU	2910	13700	\N	ST	85607498
70975	237	1998-12-10	PRIJEM	PREVOD Z UCTU	2910	14610	\N	ST	85607498
70984	237	1994-09-09	VYDAJ	PREVOD NA UCET	152	13498	SIPO	AB	13233763
70985	237	1994-10-09	VYDAJ	PREVOD NA UCET	152	14520	SIPO	AB	13233763
70986	237	1994-11-09	VYDAJ	PREVOD NA UCET	152	15546	SIPO	AB	13233763
70987	237	1994-12-09	VYDAJ	PREVOD NA UCET	152	16577	SIPO	AB	13233763
70988	237	1995-01-09	VYDAJ	PREVOD NA UCET	152	16051	SIPO	AB	13233763
70989	237	1995-02-09	VYDAJ	PREVOD NA UCET	152	12458	SIPO	AB	13233763
70990	237	1995-03-09	VYDAJ	PREVOD NA UCET	152	13476	SIPO	AB	13233763
70991	237	1995-04-09	VYDAJ	PREVOD NA UCET	152	11916	SIPO	AB	13233763
70992	237	1995-05-09	VYDAJ	PREVOD NA UCET	152	12933	SIPO	AB	13233763
70993	237	1995-06-09	VYDAJ	PREVOD NA UCET	152	12602	SIPO	AB	13233763
70994	237	1995-07-09	VYDAJ	PREVOD NA UCET	152	11338	SIPO	AB	13233763
71206	237	1997-09-30	VYDAJ	VYBER	15	18147	SLUZBY	\N	\N
70995	237	1995-08-09	VYDAJ	PREVOD NA UCET	152	12351	SIPO	AB	13233763
70996	237	1995-09-09	VYDAJ	PREVOD NA UCET	152	13368	SIPO	AB	13233763
70997	237	1995-10-09	VYDAJ	PREVOD NA UCET	152	13910	SIPO	AB	13233763
70998	237	1995-11-09	VYDAJ	PREVOD NA UCET	152	14834	SIPO	AB	13233763
70999	237	1995-12-09	VYDAJ	PREVOD NA UCET	152	12166	SIPO	AB	13233763
71000	237	1996-01-09	VYDAJ	PREVOD NA UCET	152	11069	SIPO	AB	13233763
71001	237	1996-02-09	VYDAJ	PREVOD NA UCET	152	11481	SIPO	AB	13233763
71002	237	1996-03-09	VYDAJ	PREVOD NA UCET	152	9387	SIPO	AB	13233763
71003	237	1996-04-09	VYDAJ	PREVOD NA UCET	152	10392	SIPO	AB	13233763
71004	237	1996-05-09	VYDAJ	PREVOD NA UCET	152	11221	SIPO	AB	13233763
71005	237	1996-06-09	VYDAJ	PREVOD NA UCET	152	11364	SIPO	AB	13233763
71006	237	1996-07-09	VYDAJ	PREVOD NA UCET	152	9670	SIPO	AB	13233763
71007	237	1996-08-09	VYDAJ	PREVOD NA UCET	152	9472	SIPO	AB	13233763
71008	237	1996-09-09	VYDAJ	PREVOD NA UCET	152	10478	SIPO	AB	13233763
71009	237	1996-10-09	VYDAJ	PREVOD NA UCET	152	11487	SIPO	AB	13233763
71010	237	1996-11-09	VYDAJ	PREVOD NA UCET	152	11810	SIPO	AB	13233763
71011	237	1996-12-09	VYDAJ	PREVOD NA UCET	152	12615	SIPO	AB	13233763
71012	237	1997-01-09	VYDAJ	PREVOD NA UCET	152	12223	SIPO	AB	13233763
71013	237	1997-02-09	VYDAJ	PREVOD NA UCET	152	9946	SIPO	AB	13233763
71014	237	1997-03-09	VYDAJ	PREVOD NA UCET	152	10955	SIPO	AB	13233763
71015	237	1997-04-09	VYDAJ	PREVOD NA UCET	152	11966	SIPO	AB	13233763
71016	237	1997-05-09	VYDAJ	PREVOD NA UCET	152	12982	SIPO	AB	13233763
71017	237	1997-06-09	VYDAJ	PREVOD NA UCET	152	13301	SIPO	AB	13233763
71018	237	1997-07-09	VYDAJ	PREVOD NA UCET	152	14112	SIPO	AB	13233763
71019	237	1997-08-09	VYDAJ	PREVOD NA UCET	152	15136	SIPO	AB	13233763
71020	237	1997-09-09	VYDAJ	PREVOD NA UCET	152	16165	SIPO	AB	13233763
71021	237	1997-10-09	VYDAJ	PREVOD NA UCET	152	10007	SIPO	AB	13233763
71022	237	1997-11-09	VYDAJ	PREVOD NA UCET	152	11020	SIPO	AB	13233763
71023	237	1997-12-09	VYDAJ	PREVOD NA UCET	152	12031	SIPO	AB	13233763
71024	237	1998-01-09	VYDAJ	PREVOD NA UCET	152	12356	SIPO	AB	13233763
71025	237	1998-02-09	VYDAJ	PREVOD NA UCET	152	12199	SIPO	AB	13233763
71026	237	1998-03-09	VYDAJ	PREVOD NA UCET	152	10815	SIPO	AB	13233763
71027	237	1998-04-09	VYDAJ	PREVOD NA UCET	152	11828	SIPO	AB	13233763
71028	237	1998-05-09	VYDAJ	PREVOD NA UCET	152	12542	SIPO	AB	13233763
71029	237	1998-06-09	VYDAJ	PREVOD NA UCET	152	13359	SIPO	AB	13233763
71030	237	1998-07-09	VYDAJ	PREVOD NA UCET	152	14380	SIPO	AB	13233763
71031	237	1998-08-09	VYDAJ	PREVOD NA UCET	152	12805	SIPO	AB	13233763
71032	237	1998-09-09	VYDAJ	PREVOD NA UCET	152	13826	SIPO	AB	13233763
71033	237	1998-10-09	VYDAJ	PREVOD NA UCET	152	14848	SIPO	AB	13233763
71034	237	1998-11-09	VYDAJ	PREVOD NA UCET	152	10790	SIPO	AB	13233763
71035	237	1998-12-09	VYDAJ	PREVOD NA UCET	152	11700	SIPO	AB	13233763
71044	237	1994-09-08	VYDAJ	PREVOD NA UCET	1788	13650	 	AB	58324587
71045	237	1994-10-08	VYDAJ	PREVOD NA UCET	1788	14672	 	AB	58324587
71046	237	1994-11-08	VYDAJ	PREVOD NA UCET	1788	15698	 	AB	58324587
71047	237	1994-12-08	VYDAJ	PREVOD NA UCET	1788	16729	 	AB	58324587
71048	237	1995-01-08	VYDAJ	PREVOD NA UCET	1788	16473	 	AB	58324587
71049	237	1995-02-08	VYDAJ	PREVOD NA UCET	1788	12610	 	AB	58324587
71050	237	1995-03-08	VYDAJ	PREVOD NA UCET	1788	13628	 	AB	58324587
71051	237	1995-04-08	VYDAJ	PREVOD NA UCET	1788	12068	 	AB	58324587
71052	237	1995-05-08	VYDAJ	PREVOD NA UCET	1788	13085	 	AB	58324587
71053	237	1995-06-08	VYDAJ	PREVOD NA UCET	1788	12754	 	AB	58324587
71054	237	1995-07-08	VYDAJ	PREVOD NA UCET	1788	11490	 	AB	58324587
71055	237	1995-08-08	VYDAJ	PREVOD NA UCET	1788	12503	 	AB	58324587
71056	237	1995-09-08	VYDAJ	PREVOD NA UCET	1788	13520	 	AB	58324587
71057	237	1995-10-08	VYDAJ	PREVOD NA UCET	1788	14062	 	AB	58324587
71058	237	1995-11-08	VYDAJ	PREVOD NA UCET	1788	14986	 	AB	58324587
71059	237	1995-12-08	VYDAJ	PREVOD NA UCET	1788	12318	 	AB	58324587
71060	237	1996-01-08	VYDAJ	PREVOD NA UCET	1788	11221	 	AB	58324587
71061	237	1996-02-08	VYDAJ	PREVOD NA UCET	1788	11633	 	AB	58324587
71062	237	1996-03-08	VYDAJ	PREVOD NA UCET	1788	9539	 	AB	58324587
71063	237	1996-04-08	VYDAJ	PREVOD NA UCET	1788	10544	 	AB	58324587
71064	237	1996-05-08	VYDAJ	PREVOD NA UCET	1788	11373	 	AB	58324587
71065	237	1996-06-08	VYDAJ	PREVOD NA UCET	1788	11516	 	AB	58324587
71066	237	1996-07-08	VYDAJ	PREVOD NA UCET	1788	9822	 	AB	58324587
71067	237	1996-08-08	VYDAJ	PREVOD NA UCET	1788	9624	 	AB	58324587
71068	237	1996-09-08	VYDAJ	PREVOD NA UCET	1788	10630	 	AB	58324587
71069	237	1996-10-08	VYDAJ	PREVOD NA UCET	1788	11639	 	AB	58324587
71070	237	1996-11-08	VYDAJ	PREVOD NA UCET	1788	11962	 	AB	58324587
71071	237	1996-12-08	VYDAJ	PREVOD NA UCET	1788	12767	 	AB	58324587
71072	237	1997-01-08	VYDAJ	PREVOD NA UCET	1788	12375	 	AB	58324587
71073	237	1997-02-08	VYDAJ	PREVOD NA UCET	1788	10098	 	AB	58324587
71074	237	1997-03-08	VYDAJ	PREVOD NA UCET	1788	11107	 	AB	58324587
71075	237	1997-04-08	VYDAJ	PREVOD NA UCET	1788	12118	 	AB	58324587
71076	237	1997-05-08	VYDAJ	PREVOD NA UCET	1788	13134	 	AB	58324587
71077	237	1997-06-08	VYDAJ	PREVOD NA UCET	1788	13453	 	AB	58324587
71078	237	1997-07-08	VYDAJ	PREVOD NA UCET	1788	14264	 	AB	58324587
71079	237	1997-08-08	VYDAJ	PREVOD NA UCET	1788	15288	 	AB	58324587
71080	237	1997-09-08	VYDAJ	PREVOD NA UCET	1788	16317	 	AB	58324587
71081	237	1997-10-08	VYDAJ	PREVOD NA UCET	1788	10159	 	AB	58324587
71082	237	1997-11-08	VYDAJ	PREVOD NA UCET	1788	11172	 	AB	58324587
71083	237	1997-12-08	VYDAJ	PREVOD NA UCET	1788	12183	 	AB	58324587
71084	237	1998-01-08	VYDAJ	PREVOD NA UCET	1788	12508	 	AB	58324587
71085	237	1998-02-08	VYDAJ	PREVOD NA UCET	1788	12351	 	AB	58324587
71086	237	1998-03-08	VYDAJ	PREVOD NA UCET	1788	10967	 	AB	58324587
71087	237	1998-04-08	VYDAJ	PREVOD NA UCET	1788	11980	 	AB	58324587
71088	237	1998-05-08	VYDAJ	PREVOD NA UCET	1788	12694	 	AB	58324587
71089	237	1998-06-08	VYDAJ	PREVOD NA UCET	1788	13511	 	AB	58324587
71090	237	1998-07-08	VYDAJ	PREVOD NA UCET	1788	14532	 	AB	58324587
71091	237	1998-08-08	VYDAJ	PREVOD NA UCET	1788	12957	 	AB	58324587
71092	237	1998-09-08	VYDAJ	PREVOD NA UCET	1788	13978	 	AB	58324587
71093	237	1998-10-08	VYDAJ	PREVOD NA UCET	1788	15000	 	AB	58324587
71094	237	1998-11-08	VYDAJ	PREVOD NA UCET	1788	10942	 	AB	58324587
71095	237	1998-12-08	VYDAJ	PREVOD NA UCET	1788	11852	 	AB	58324587
71097	237	1995-06-05	VYDAJ	VYBER	1350	14542	\N	\N	\N
71102	237	1995-01-27	VYDAJ	VYBER	2910	14341	\N	\N	\N
71105	237	1998-01-12	VYDAJ	VYBER	1170	14096	\N	\N	\N
71106	237	1994-12-19	VYDAJ	VYBER	840	18647	\N	\N	\N
71107	237	1995-12-18	VYDAJ	VYBER	240	13536	\N	\N	\N
71108	237	1996-12-03	VYDAJ	VYBER	210	14555	\N	\N	\N
71109	237	1997-12-23	VYDAJ	VYBER	690	14251	\N	\N	\N
71117	237	1995-01-11	VYDAJ	VYBER	360	18601	\N	\N	\N
71118	237	1995-01-14	VYDAJ	VYBER	240	18001	\N	\N	\N
71119	237	1995-01-12	VYDAJ	VYBER	360	18241	\N	\N	\N
71120	237	1995-01-01	VYDAJ	VYBER	450	18261	\N	\N	\N
71121	237	1995-01-16	VYDAJ	VYBER	750	17251	\N	\N	\N
71122	237	1995-01-08	VYDAJ	VYBER	270	16203	\N	\N	\N
71123	237	1996-01-25	VYDAJ	VYBER	600	13379	\N	\N	\N
71126	237	1996-01-03	VYDAJ	VYBER	570	13009	\N	\N	\N
71129	237	1997-01-14	VYDAJ	VYBER	720	14413	\N	\N	\N
71130	237	1997-01-01	VYDAJ	VYBER	780	14163	\N	\N	\N
71133	237	1997-01-01	VYDAJ	VYBER	630	14943	\N	\N	\N
71134	237	1997-01-15	VYDAJ	VYBER	870	13543	\N	\N	\N
71143	237	1995-06-14	VYDAJ	VYBER	1410	14102	\N	\N	\N
71144	237	1995-04-07	VYDAJ	VYBER	1170	13856	\N	\N	\N
71145	237	1995-10-01	VYDAJ	VYBER	480	15850	\N	\N	\N
71146	237	1995-03-20	VYDAJ	VYBER	1410	14976	\N	\N	\N
71147	237	1995-06-22	VYDAJ	VYBER	870	13232	\N	\N	\N
71148	237	1995-11-28	VYDAJ	VYBER	1290	14054	\N	\N	\N
71149	237	1996-05-30	VYDAJ	VYBER	870	13261	\N	\N	\N
71152	237	1996-04-28	VYDAJ	VYBER	180	13122	\N	\N	\N
71153	237	1996-10-23	VYDAJ	VYBER	690	13707	\N	\N	\N
71154	237	1997-06-12	VYDAJ	VYBER	210	16001	\N	\N	\N
71155	237	1997-09-29	VYDAJ	VYBER	990	18085	\N	\N	\N
71157	237	1998-05-02	VYDAJ	VYBER	300	14482	\N	\N	\N
71158	237	1998-10-14	VYDAJ	VYBER	660	16378	\N	\N	\N
71160	237	1998-10-12	VYDAJ	VYBER	720	17038	\N	\N	\N
71169	237	1994-08-31	VYDAJ	VYBER	15	15438	SLUZBY	\N	\N
71170	237	1994-09-30	VYDAJ	VYBER	15	16460	SLUZBY	\N	\N
71171	237	1994-10-31	VYDAJ	VYBER	15	17486	SLUZBY	\N	\N
71172	237	1994-11-30	VYDAJ	VYBER	15	18517	SLUZBY	\N	\N
71173	237	1994-12-31	VYDAJ	VYBER	15	18711	SLUZBY	\N	\N
71174	237	1995-01-31	VYDAJ	VYBER	15	14398	SLUZBY	\N	\N
71175	237	1995-02-28	VYDAJ	VYBER	15	15416	SLUZBY	\N	\N
71176	237	1995-03-31	VYDAJ	VYBER	15	15026	SLUZBY	\N	\N
71177	237	1995-04-30	VYDAJ	VYBER	15	14873	SLUZBY	\N	\N
71178	237	1995-05-31	VYDAJ	VYBER	15	15892	SLUZBY	\N	\N
71179	237	1995-06-30	VYDAJ	VYBER	15	13278	SLUZBY	\N	\N
71180	237	1995-07-31	VYDAJ	VYBER	15	14291	SLUZBY	\N	\N
71181	237	1995-08-31	VYDAJ	VYBER	15	15308	SLUZBY	\N	\N
71182	237	1995-09-30	VYDAJ	VYBER	15	16330	SLUZBY	\N	\N
71183	237	1995-10-31	VYDAJ	VYBER	15	16774	SLUZBY	\N	\N
71184	237	1995-11-30	VYDAJ	VYBER	15	14106	SLUZBY	\N	\N
71185	237	1995-12-31	VYDAJ	VYBER	15	13579	SLUZBY	\N	\N
71186	237	1996-01-31	VYDAJ	VYBER	15	13421	SLUZBY	\N	\N
71187	237	1996-02-29	VYDAJ	VYBER	15	11327	SLUZBY	\N	\N
71188	237	1996-03-31	VYDAJ	VYBER	15	12332	SLUZBY	\N	\N
71189	237	1996-04-30	VYDAJ	VYBER	15	13161	SLUZBY	\N	\N
71190	237	1996-05-31	VYDAJ	VYBER	15	13304	SLUZBY	\N	\N
71191	237	1996-06-30	VYDAJ	VYBER	15	11610	SLUZBY	\N	\N
71192	237	1996-07-31	VYDAJ	VYBER	15	11412	SLUZBY	\N	\N
71193	237	1996-08-31	VYDAJ	VYBER	15	12418	SLUZBY	\N	\N
71194	237	1996-09-30	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
71195	237	1996-10-31	VYDAJ	VYBER	15	13750	SLUZBY	\N	\N
71196	237	1996-11-30	VYDAJ	VYBER	15	14765	SLUZBY	\N	\N
71197	237	1996-12-31	VYDAJ	VYBER	15	15573	SLUZBY	\N	\N
71198	237	1997-01-31	VYDAJ	VYBER	15	13586	SLUZBY	\N	\N
71199	237	1997-02-28	VYDAJ	VYBER	15	12895	SLUZBY	\N	\N
71200	237	1997-03-31	VYDAJ	VYBER	15	13906	SLUZBY	\N	\N
71201	237	1997-04-30	VYDAJ	VYBER	15	14922	SLUZBY	\N	\N
71202	237	1997-05-31	VYDAJ	VYBER	15	15941	SLUZBY	\N	\N
71203	237	1997-06-30	VYDAJ	VYBER	15	16052	SLUZBY	\N	\N
71204	237	1997-07-31	VYDAJ	VYBER	15	17076	SLUZBY	\N	\N
71205	237	1997-08-31	VYDAJ	VYBER	15	18105	SLUZBY	\N	\N
71207	237	1997-10-31	VYDAJ	VYBER	15	12960	SLUZBY	\N	\N
71208	237	1997-11-30	VYDAJ	VYBER	15	13971	SLUZBY	\N	\N
71209	237	1997-12-31	VYDAJ	VYBER	15	14296	SLUZBY	\N	\N
71210	237	1998-01-31	VYDAJ	VYBER	15	14139	SLUZBY	\N	\N
71211	237	1998-02-28	VYDAJ	VYBER	15	15155	SLUZBY	\N	\N
71212	237	1998-03-31	VYDAJ	VYBER	15	13768	SLUZBY	\N	\N
71213	237	1998-04-30	VYDAJ	VYBER	15	14782	SLUZBY	\N	\N
71214	237	1998-05-31	VYDAJ	VYBER	15	15499	SLUZBY	\N	\N
71215	237	1998-06-30	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
71216	237	1998-07-31	VYDAJ	VYBER	15	17345	SLUZBY	\N	\N
71217	237	1998-08-31	VYDAJ	VYBER	15	15766	SLUZBY	\N	\N
71218	237	1998-09-30	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
71219	237	1998-10-31	VYDAJ	VYBER	15	12730	SLUZBY	\N	\N
71220	237	1998-11-30	VYDAJ	VYBER	15	13640	SLUZBY	\N	\N
71221	237	1995-10-16	VYDAJ	VYBER	100	16720	\N	\N	\N
71222	237	1995-11-15	VYDAJ	VYBER	2400	15344	\N	\N	\N
71223	237	1995-12-15	VYDAJ	VYBER	1300	13776	\N	\N	\N
71224	237	1996-02-13	VYDAJ	VYBER	3100	11291	\N	\N	\N
71225	237	1996-06-12	VYDAJ	VYBER	2700	11574	\N	\N	\N
71226	237	1996-07-12	VYDAJ	VYBER	1200	11380	\N	\N	\N
71227	237	1997-02-07	VYDAJ	VYBER	1700	11886	\N	\N	\N
71228	237	1997-06-07	VYDAJ	VYBER	700	15241	\N	\N	\N
71229	237	1997-10-05	VYDAJ	VYBER	6200	11947	\N	\N	\N
71230	237	1998-03-04	VYDAJ	VYBER	2400	12755	\N	\N	\N
71231	237	1998-06-02	VYDAJ	VYBER	200	15299	\N	\N	\N
71232	237	1998-08-01	VYDAJ	VYBER	2600	14745	\N	\N	\N
71233	237	1998-10-30	VYDAJ	VYBER	3700	12678	\N	\N	\N
71234	237	1998-11-29	VYDAJ	VYBER	100	13600	\N	\N	\N
71288	238	1993-08-15	PRIJEM	VKLAD	500	500	\N	\N	\N
71297	238	1993-09-11	PRIJEM	PREVOD Z UCTU	3351	3851	\N	IJ	50988632
71298	238	1993-10-11	PRIJEM	PREVOD Z UCTU	3351	7202	\N	IJ	50988632
71299	238	1993-11-11	PRIJEM	PREVOD Z UCTU	3351	10553	\N	IJ	50988632
71300	238	1993-12-11	PRIJEM	PREVOD Z UCTU	3351	13904	\N	IJ	50988632
71301	238	1994-01-11	PRIJEM	PREVOD Z UCTU	3351	17255	\N	IJ	50988632
71302	238	1994-02-11	PRIJEM	PREVOD Z UCTU	3351	13236	\N	IJ	50988632
71303	238	1994-03-11	PRIJEM	PREVOD Z UCTU	3351	14392	\N	IJ	50988632
71304	238	1994-04-11	PRIJEM	PREVOD Z UCTU	3351	14593	\N	IJ	50988632
71305	238	1994-05-11	PRIJEM	PREVOD Z UCTU	3351	15754	\N	IJ	50988632
71306	238	1994-06-11	PRIJEM	PREVOD Z UCTU	3351	15629	\N	IJ	50988632
71307	238	1994-07-11	PRIJEM	PREVOD Z UCTU	3351	16074	\N	IJ	50988632
71308	238	1994-08-11	PRIJEM	PREVOD Z UCTU	3351	17242	\N	IJ	50988632
71309	238	1994-09-11	PRIJEM	PREVOD Z UCTU	3351	18414	\N	IJ	50988632
71310	238	1994-10-11	PRIJEM	PREVOD Z UCTU	3351	18272	\N	IJ	50988632
71311	238	1994-11-11	PRIJEM	PREVOD Z UCTU	3351	19449	\N	IJ	50988632
71312	238	1994-12-11	PRIJEM	PREVOD Z UCTU	3351	18860	\N	IJ	50988632
71313	238	1995-01-11	PRIJEM	PREVOD Z UCTU	3351	18627	\N	IJ	50988632
71314	238	1995-02-11	PRIJEM	PREVOD Z UCTU	3351	16411	\N	IJ	50988632
71315	238	1995-03-11	PRIJEM	PREVOD Z UCTU	3351	15959	\N	IJ	50988632
71316	238	1995-04-11	PRIJEM	PREVOD Z UCTU	3351	16167	\N	IJ	50988632
71317	238	1995-05-11	PRIJEM	PREVOD Z UCTU	3351	17335	\N	IJ	50988632
71318	238	1995-06-11	PRIJEM	PREVOD Z UCTU	3351	17576	\N	IJ	50988632
71319	238	1995-07-11	PRIJEM	PREVOD Z UCTU	3351	18750	\N	IJ	50988632
71320	238	1995-08-11	PRIJEM	PREVOD Z UCTU	3351	19929	\N	IJ	50988632
71321	238	1995-09-11	PRIJEM	PREVOD Z UCTU	3351	21113	\N	IJ	50988632
71322	238	1995-10-11	PRIJEM	PREVOD Z UCTU	3351	19601	\N	IJ	50988632
71323	238	1995-11-11	PRIJEM	PREVOD Z UCTU	3351	20785	\N	IJ	50988632
71324	238	1995-12-11	PRIJEM	PREVOD Z UCTU	3351	21972	\N	IJ	50988632
71325	238	1996-01-11	PRIJEM	PREVOD Z UCTU	3351	20523	\N	IJ	50988632
71326	238	1996-02-11	PRIJEM	PREVOD Z UCTU	3351	18794	\N	IJ	50988632
71327	238	1996-03-11	PRIJEM	PREVOD Z UCTU	3351	17273	\N	IJ	50988632
71328	238	1996-04-11	PRIJEM	PREVOD Z UCTU	3351	18446	\N	IJ	50988632
71329	238	1996-05-11	PRIJEM	PREVOD Z UCTU	3351	19623	\N	IJ	50988632
71330	238	1996-06-11	PRIJEM	PREVOD Z UCTU	3351	20806	\N	IJ	50988632
71331	238	1996-07-11	PRIJEM	PREVOD Z UCTU	3351	19140	\N	IJ	50988632
71332	238	1996-08-11	PRIJEM	PREVOD Z UCTU	3351	18799	\N	IJ	50988632
71333	238	1996-09-11	PRIJEM	PREVOD Z UCTU	3351	19177	\N	IJ	50988632
71334	238	1996-10-11	PRIJEM	PREVOD Z UCTU	3351	17756	\N	IJ	50988632
71335	238	1996-11-11	PRIJEM	PREVOD Z UCTU	3351	16529	\N	IJ	50988632
71336	238	1996-12-11	PRIJEM	PREVOD Z UCTU	3351	14997	\N	IJ	50988632
71337	238	1997-01-11	PRIJEM	PREVOD Z UCTU	3351	15529	\N	IJ	50988632
71338	238	1997-02-11	PRIJEM	PREVOD Z UCTU	3351	15370	\N	IJ	50988632
71339	238	1997-03-11	PRIJEM	PREVOD Z UCTU	3351	14933	\N	IJ	50988632
71340	238	1997-04-11	PRIJEM	PREVOD Z UCTU	3351	16095	\N	IJ	50988632
71341	238	1997-05-11	PRIJEM	PREVOD Z UCTU	3351	17263	\N	IJ	50988632
71342	238	1997-06-11	PRIJEM	PREVOD Z UCTU	3351	17713	\N	IJ	50988632
71343	238	1997-07-11	PRIJEM	PREVOD Z UCTU	3351	15906	\N	IJ	50988632
71344	238	1997-08-11	PRIJEM	PREVOD Z UCTU	3351	17073	\N	IJ	50988632
71345	238	1997-09-11	PRIJEM	PREVOD Z UCTU	3351	17524	\N	IJ	50988632
71346	238	1997-10-11	PRIJEM	PREVOD Z UCTU	3351	17586	\N	IJ	50988632
71347	238	1997-11-11	PRIJEM	PREVOD Z UCTU	3351	18758	\N	IJ	50988632
71348	238	1997-12-11	PRIJEM	PREVOD Z UCTU	3351	19936	\N	IJ	50988632
71349	238	1998-01-11	PRIJEM	PREVOD Z UCTU	3351	16754	\N	IJ	50988632
71350	238	1998-02-11	PRIJEM	PREVOD Z UCTU	3351	15999	\N	IJ	50988632
71351	238	1998-03-11	PRIJEM	PREVOD Z UCTU	3351	17165	\N	IJ	50988632
71352	238	1998-04-11	PRIJEM	PREVOD Z UCTU	3351	17885	\N	IJ	50988632
71353	238	1998-05-11	PRIJEM	PREVOD Z UCTU	3351	18458	\N	IJ	50988632
71354	238	1998-06-11	PRIJEM	PREVOD Z UCTU	3351	19634	\N	IJ	50988632
71355	238	1998-07-11	PRIJEM	PREVOD Z UCTU	3351	20245	\N	IJ	50988632
71356	238	1998-08-11	PRIJEM	PREVOD Z UCTU	3351	20828	\N	IJ	50988632
71357	238	1998-09-11	PRIJEM	PREVOD Z UCTU	3351	20912	\N	IJ	50988632
71358	238	1998-10-11	PRIJEM	PREVOD Z UCTU	3351	20896	\N	IJ	50988632
71359	238	1998-11-11	PRIJEM	PREVOD Z UCTU	3351	21381	\N	IJ	50988632
71360	238	1998-12-11	PRIJEM	PREVOD Z UCTU	3351	20679	\N	IJ	50988632
71374	238	1994-02-07	VYDAJ	PREVOD NA UCET	2234	9885	\N	IJ	39059901
71375	238	1994-03-07	VYDAJ	PREVOD NA UCET	2234	11041	\N	IJ	39059901
71376	238	1994-04-07	VYDAJ	PREVOD NA UCET	2234	11242	\N	IJ	39059901
71377	238	1994-05-07	VYDAJ	PREVOD NA UCET	2234	12403	\N	IJ	39059901
71378	238	1994-06-07	VYDAJ	PREVOD NA UCET	2234	12278	\N	IJ	39059901
71379	238	1994-07-07	VYDAJ	PREVOD NA UCET	2234	12723	\N	IJ	39059901
71380	238	1994-08-07	VYDAJ	PREVOD NA UCET	2234	13891	\N	IJ	39059901
71381	238	1994-09-07	VYDAJ	PREVOD NA UCET	2234	15063	\N	IJ	39059901
71382	238	1994-10-07	VYDAJ	PREVOD NA UCET	2234	14921	\N	IJ	39059901
71383	238	1994-11-07	VYDAJ	PREVOD NA UCET	2234	16098	\N	IJ	39059901
71384	238	1994-12-07	VYDAJ	PREVOD NA UCET	2234	15509	\N	IJ	39059901
71385	238	1995-01-07	VYDAJ	PREVOD NA UCET	2234	15276	\N	IJ	39059901
71386	238	1995-02-07	VYDAJ	PREVOD NA UCET	2234	13060	\N	IJ	39059901
71387	238	1995-03-07	VYDAJ	PREVOD NA UCET	2234	12608	\N	IJ	39059901
71388	238	1995-04-07	VYDAJ	PREVOD NA UCET	2234	12816	\N	IJ	39059901
71389	238	1995-05-07	VYDAJ	PREVOD NA UCET	2234	13984	\N	IJ	39059901
71390	238	1995-06-07	VYDAJ	PREVOD NA UCET	2234	14225	\N	IJ	39059901
71391	238	1995-07-07	VYDAJ	PREVOD NA UCET	2234	15399	\N	IJ	39059901
71392	238	1995-08-07	VYDAJ	PREVOD NA UCET	2234	16578	\N	IJ	39059901
71393	238	1995-09-07	VYDAJ	PREVOD NA UCET	2234	17762	\N	IJ	39059901
71394	238	1995-10-07	VYDAJ	PREVOD NA UCET	2234	16250	\N	IJ	39059901
71395	238	1995-11-07	VYDAJ	PREVOD NA UCET	2234	17434	\N	IJ	39059901
71396	238	1995-12-07	VYDAJ	PREVOD NA UCET	2234	18621	\N	IJ	39059901
71397	238	1996-01-07	VYDAJ	PREVOD NA UCET	2234	17172	\N	IJ	39059901
71398	238	1996-02-07	VYDAJ	PREVOD NA UCET	2234	15443	\N	IJ	39059901
71399	238	1996-03-07	VYDAJ	PREVOD NA UCET	2234	13922	\N	IJ	39059901
71400	238	1996-04-07	VYDAJ	PREVOD NA UCET	2234	15095	\N	IJ	39059901
71401	238	1996-05-07	VYDAJ	PREVOD NA UCET	2234	16272	\N	IJ	39059901
71402	238	1996-06-07	VYDAJ	PREVOD NA UCET	2234	17455	\N	IJ	39059901
71403	238	1996-07-07	VYDAJ	PREVOD NA UCET	2234	15789	\N	IJ	39059901
71404	238	1996-08-07	VYDAJ	PREVOD NA UCET	2234	15448	\N	IJ	39059901
71405	238	1996-09-07	VYDAJ	PREVOD NA UCET	2234	15826	\N	IJ	39059901
71406	238	1996-10-07	VYDAJ	PREVOD NA UCET	2234	14405	\N	IJ	39059901
71407	238	1996-11-07	VYDAJ	PREVOD NA UCET	2234	13178	\N	IJ	39059901
71408	238	1996-12-07	VYDAJ	PREVOD NA UCET	2234	11646	\N	IJ	39059901
71409	238	1997-01-07	VYDAJ	PREVOD NA UCET	2234	12178	\N	IJ	39059901
71410	238	1997-02-07	VYDAJ	PREVOD NA UCET	2234	12019	\N	IJ	39059901
71411	238	1997-03-07	VYDAJ	PREVOD NA UCET	2234	11582	\N	IJ	39059901
71412	238	1997-04-07	VYDAJ	PREVOD NA UCET	2234	12744	\N	IJ	39059901
71413	238	1997-05-07	VYDAJ	PREVOD NA UCET	2234	13912	\N	IJ	39059901
71414	238	1997-06-07	VYDAJ	PREVOD NA UCET	2234	14362	\N	IJ	39059901
71415	238	1997-07-07	VYDAJ	PREVOD NA UCET	2234	13935	\N	IJ	39059901
71416	238	1997-08-07	VYDAJ	PREVOD NA UCET	2234	13722	\N	IJ	39059901
71417	238	1997-09-07	VYDAJ	PREVOD NA UCET	2234	14173	\N	IJ	39059901
71418	238	1997-10-07	VYDAJ	PREVOD NA UCET	2234	14235	\N	IJ	39059901
71419	238	1997-11-07	VYDAJ	PREVOD NA UCET	2234	15407	\N	IJ	39059901
71420	238	1997-12-07	VYDAJ	PREVOD NA UCET	2234	16585	\N	IJ	39059901
71421	238	1998-01-07	VYDAJ	PREVOD NA UCET	2234	14183	\N	IJ	39059901
71422	238	1998-02-07	VYDAJ	PREVOD NA UCET	2234	12648	\N	IJ	39059901
71423	238	1998-03-07	VYDAJ	PREVOD NA UCET	2234	13814	\N	IJ	39059901
71424	238	1998-04-07	VYDAJ	PREVOD NA UCET	2234	14534	\N	IJ	39059901
71425	238	1998-05-07	VYDAJ	PREVOD NA UCET	2234	15107	\N	IJ	39059901
71426	238	1998-06-07	VYDAJ	PREVOD NA UCET	2234	16283	\N	IJ	39059901
71427	238	1998-07-07	VYDAJ	PREVOD NA UCET	2234	16894	\N	IJ	39059901
71428	238	1998-08-07	VYDAJ	PREVOD NA UCET	2234	17477	\N	IJ	39059901
71429	238	1998-09-07	VYDAJ	PREVOD NA UCET	2234	17561	\N	IJ	39059901
71430	238	1998-10-07	VYDAJ	PREVOD NA UCET	2234	17545	\N	IJ	39059901
71431	238	1998-11-07	VYDAJ	PREVOD NA UCET	2234	18030	\N	IJ	39059901
71432	238	1998-12-07	VYDAJ	PREVOD NA UCET	2234	17328	\N	IJ	39059901
71436	238	1996-06-23	VYDAJ	VYBER	2850	17956	\N	\N	\N
71440	238	1994-01-27	VYDAJ	VYBER	2520	12095	\N	\N	\N
71441	238	1995-01-18	VYDAJ	VYBER	660	17607	\N	\N	\N
71442	238	1996-01-20	VYDAJ	VYBER	720	17943	\N	\N	\N
71446	238	1994-12-13	VYDAJ	VYBER	840	18020	\N	\N	\N
71447	238	1995-12-28	VYDAJ	VYBER	270	21252	\N	\N	\N
71448	238	1996-12-23	VYDAJ	VYBER	630	14367	\N	\N	\N
71449	238	1997-12-13	VYDAJ	VYBER	720	19216	\N	\N	\N
71450	238	1998-12-25	VYDAJ	VYBER	330	18909	\N	\N	\N
71457	238	1994-01-16	VYDAJ	VYBER	240	16505	\N	\N	\N
71458	238	1994-01-25	VYDAJ	VYBER	660	14615	\N	\N	\N
71459	238	1994-01-13	VYDAJ	VYBER	180	17075	\N	\N	\N
71460	238	1994-01-16	VYDAJ	VYBER	330	16745	\N	\N	\N
71461	238	1994-01-22	VYDAJ	VYBER	870	15635	\N	\N	\N
71462	238	1994-01-25	VYDAJ	VYBER	360	15275	\N	\N	\N
71463	238	1995-01-28	VYDAJ	VYBER	300	16017	\N	\N	\N
71464	238	1995-01-22	VYDAJ	VYBER	420	17187	\N	\N	\N
71465	238	1995-01-18	VYDAJ	VYBER	360	18267	\N	\N	\N
71466	238	1995-01-29	VYDAJ	VYBER	780	15237	\N	\N	\N
71467	238	1995-01-01	VYDAJ	VYBER	570	17510	\N	\N	\N
71468	238	1995-01-24	VYDAJ	VYBER	870	16317	\N	\N	\N
71469	238	1996-01-03	VYDAJ	VYBER	810	19676	\N	\N	\N
71470	238	1996-01-29	VYDAJ	VYBER	180	17763	\N	\N	\N
71471	238	1996-01-15	VYDAJ	VYBER	450	20073	\N	\N	\N
71472	238	1996-01-03	VYDAJ	VYBER	270	19406	\N	\N	\N
71473	238	1996-01-30	VYDAJ	VYBER	150	17613	\N	\N	\N
71474	238	1996-01-02	VYDAJ	VYBER	840	20486	\N	\N	\N
71477	238	1997-01-14	VYDAJ	VYBER	750	14209	\N	\N	\N
71478	238	1997-01-12	VYDAJ	VYBER	570	14959	\N	\N	\N
71481	238	1998-01-13	VYDAJ	VYBER	720	15404	\N	\N	\N
71483	238	1998-01-19	VYDAJ	VYBER	570	14834	\N	\N	\N
71484	238	1998-01-12	VYDAJ	VYBER	630	16124	\N	\N	\N
71485	238	1998-01-06	VYDAJ	VYBER	360	16417	\N	\N	\N
71486	238	1998-01-07	VYDAJ	VYBER	780	13403	\N	\N	\N
71490	238	1994-06-14	VYDAJ	VYBER	720	14909	\N	\N	\N
71491	238	1994-11-24	VYDAJ	VYBER	870	18579	\N	\N	\N
71492	238	1994-04-03	VYDAJ	VYBER	960	13476	\N	\N	\N
71493	238	1994-05-25	VYDAJ	VYBER	1290	14464	\N	\N	\N
71494	238	1994-11-30	VYDAJ	VYBER	900	17743	\N	\N	\N
71495	238	1994-10-01	VYDAJ	VYBER	1320	17155	\N	\N	\N
71497	238	1995-05-18	VYDAJ	VYBER	930	16405	\N	\N	\N
71498	238	1995-02-24	VYDAJ	VYBER	510	15901	\N	\N	\N
71499	238	1995-12-23	VYDAJ	VYBER	450	21522	\N	\N	\N
71500	238	1995-02-28	VYDAJ	VYBER	1110	14842	\N	\N	\N
71501	238	1995-03-21	VYDAJ	VYBER	960	14999	\N	\N	\N
71502	238	1996-08-04	VYDAJ	VYBER	420	17682	\N	\N	\N
71505	238	1996-01-19	VYDAJ	VYBER	1410	18663	\N	\N	\N
71507	238	1997-10-04	VYDAJ	VYBER	1110	16469	\N	\N	\N
71508	238	1997-07-07	VYDAJ	VYBER	1380	12555	\N	\N	\N
71509	238	1997-05-20	VYDAJ	VYBER	720	16543	\N	\N	\N
71512	238	1997-09-06	VYDAJ	VYBER	720	16407	\N	\N	\N
71513	238	1998-12-02	VYDAJ	VYBER	1080	19562	\N	\N	\N
71514	238	1998-12-17	VYDAJ	VYBER	660	20019	\N	\N	\N
71515	238	1998-07-02	VYDAJ	VYBER	570	19128	\N	\N	\N
71516	238	1998-04-21	VYDAJ	VYBER	600	17285	\N	\N	\N
71517	238	1998-07-27	VYDAJ	VYBER	600	19645	\N	\N	\N
71518	238	1998-12-20	VYDAJ	VYBER	780	19239	\N	\N	\N
71519	238	1998-03-13	VYDAJ	VYBER	450	16715	\N	\N	\N
71520	238	1998-12-01	VYDAJ	VYBER	810	20642	\N	\N	\N
71534	238	1994-01-31	VYDAJ	VYBER	15	12119	SLUZBY	\N	\N
71535	238	1994-02-28	VYDAJ	VYBER	15	13275	SLUZBY	\N	\N
71536	238	1994-03-31	VYDAJ	VYBER	15	14436	SLUZBY	\N	\N
71537	238	1994-04-30	VYDAJ	VYBER	15	14637	SLUZBY	\N	\N
71538	238	1994-05-31	VYDAJ	VYBER	15	14512	SLUZBY	\N	\N
71539	238	1994-06-30	VYDAJ	VYBER	15	14957	SLUZBY	\N	\N
71540	238	1994-07-31	VYDAJ	VYBER	15	16125	SLUZBY	\N	\N
71541	238	1994-08-31	VYDAJ	VYBER	15	17297	SLUZBY	\N	\N
71542	238	1994-09-30	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
71543	238	1994-10-31	VYDAJ	VYBER	15	18332	SLUZBY	\N	\N
71544	238	1994-11-30	VYDAJ	VYBER	15	18643	SLUZBY	\N	\N
71545	238	1994-12-31	VYDAJ	VYBER	15	18080	SLUZBY	\N	\N
71546	238	1995-01-31	VYDAJ	VYBER	15	15294	SLUZBY	\N	\N
71547	238	1995-02-28	VYDAJ	VYBER	15	15952	SLUZBY	\N	\N
71548	238	1995-03-31	VYDAJ	VYBER	15	15050	SLUZBY	\N	\N
71549	238	1995-04-30	VYDAJ	VYBER	15	16218	SLUZBY	\N	\N
71550	238	1995-05-31	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
71551	238	1995-06-30	VYDAJ	VYBER	15	17633	SLUZBY	\N	\N
71552	238	1995-07-31	VYDAJ	VYBER	15	18812	SLUZBY	\N	\N
71553	238	1995-08-31	VYDAJ	VYBER	15	19996	SLUZBY	\N	\N
71554	238	1995-09-30	VYDAJ	VYBER	15	21184	SLUZBY	\N	\N
71555	238	1995-10-31	VYDAJ	VYBER	15	19668	SLUZBY	\N	\N
71556	238	1995-11-30	VYDAJ	VYBER	15	20855	SLUZBY	\N	\N
71557	238	1995-12-31	VYDAJ	VYBER	15	21326	SLUZBY	\N	\N
71558	238	1996-01-31	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
71559	238	1996-02-29	VYDAJ	VYBER	15	18856	SLUZBY	\N	\N
71560	238	1996-03-31	VYDAJ	VYBER	15	17329	SLUZBY	\N	\N
71561	238	1996-04-30	VYDAJ	VYBER	15	18506	SLUZBY	\N	\N
71562	238	1996-05-31	VYDAJ	VYBER	15	19689	SLUZBY	\N	\N
71563	238	1996-06-30	VYDAJ	VYBER	15	18023	SLUZBY	\N	\N
71564	238	1996-07-31	VYDAJ	VYBER	15	18102	SLUZBY	\N	\N
71565	238	1996-08-31	VYDAJ	VYBER	15	18060	SLUZBY	\N	\N
71566	238	1996-09-30	VYDAJ	VYBER	15	16639	SLUZBY	\N	\N
71567	238	1996-10-31	VYDAJ	VYBER	15	15412	SLUZBY	\N	\N
71568	238	1996-11-30	VYDAJ	VYBER	15	13880	SLUZBY	\N	\N
71569	238	1996-12-31	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
71570	238	1997-01-31	VYDAJ	VYBER	15	14253	SLUZBY	\N	\N
71571	238	1997-02-28	VYDAJ	VYBER	15	13816	SLUZBY	\N	\N
71572	238	1997-03-31	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
71573	238	1997-04-30	VYDAJ	VYBER	15	16146	SLUZBY	\N	\N
71574	238	1997-05-31	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
71575	238	1997-06-30	VYDAJ	VYBER	15	16169	SLUZBY	\N	\N
71576	238	1997-07-31	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
71577	238	1997-08-31	VYDAJ	VYBER	15	17127	SLUZBY	\N	\N
71578	238	1997-09-30	VYDAJ	VYBER	15	17579	SLUZBY	\N	\N
71579	238	1997-10-31	VYDAJ	VYBER	15	17641	SLUZBY	\N	\N
71580	238	1997-11-30	VYDAJ	VYBER	15	18819	SLUZBY	\N	\N
71581	238	1997-12-31	VYDAJ	VYBER	15	16777	SLUZBY	\N	\N
71582	238	1998-01-31	VYDAJ	VYBER	15	14882	SLUZBY	\N	\N
71583	238	1998-02-28	VYDAJ	VYBER	15	16048	SLUZBY	\N	\N
71584	238	1998-03-31	VYDAJ	VYBER	15	16768	SLUZBY	\N	\N
71585	238	1998-04-30	VYDAJ	VYBER	15	17341	SLUZBY	\N	\N
71586	238	1998-05-31	VYDAJ	VYBER	15	18517	SLUZBY	\N	\N
71587	238	1998-06-30	VYDAJ	VYBER	15	19698	SLUZBY	\N	\N
71588	238	1998-07-31	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
71589	238	1998-08-31	VYDAJ	VYBER	15	19795	SLUZBY	\N	\N
71590	238	1998-09-30	VYDAJ	VYBER	15	19779	SLUZBY	\N	\N
71591	238	1998-10-31	VYDAJ	VYBER	15	20264	SLUZBY	\N	\N
71592	238	1998-11-30	VYDAJ	VYBER	15	21452	SLUZBY	\N	\N
71593	238	1995-10-04	VYDAJ	VYBER	2700	18484	\N	\N	\N
71594	238	1996-03-02	VYDAJ	VYBER	2700	16156	\N	\N	\N
71595	238	1996-07-30	VYDAJ	VYBER	1100	18040	\N	\N	\N
71596	238	1996-08-29	VYDAJ	VYBER	800	17999	\N	\N	\N
71597	238	1996-09-28	VYDAJ	VYBER	2600	16577	\N	\N	\N
71598	238	1996-10-28	VYDAJ	VYBER	2400	15356	\N	\N	\N
71599	238	1996-11-27	VYDAJ	VYBER	2700	13829	\N	\N	\N
71600	238	1997-02-25	VYDAJ	VYBER	1600	13770	\N	\N	\N
71601	238	1997-06-25	VYDAJ	VYBER	1600	16113	\N	\N	\N
71602	238	1997-12-22	VYDAJ	VYBER	2500	16716	\N	\N	\N
71603	238	1998-08-19	VYDAJ	VYBER	1100	19728	\N	\N	\N
71604	238	1998-09-18	VYDAJ	VYBER	1200	19712	\N	\N	\N
71605	238	1998-10-18	VYDAJ	VYBER	700	20196	\N	\N	\N
71666	239	1993-03-01	PRIJEM	VKLAD	300	300	\N	\N	\N
71667	239	1993-11-07	PRIJEM	VKLAD	45916	112438	\N	\N	\N
71668	239	1993-07-28	PRIJEM	VKLAD	34177	72254	\N	\N	\N
71669	239	1993-05-07	PRIJEM	VKLAD	18099	52100	\N	\N	\N
71670	239	1993-04-26	PRIJEM	VKLAD	27035	41837	\N	\N	\N
71671	239	1993-08-12	PRIJEM	VKLAD	27754	103423	\N	\N	\N
71672	239	1993-11-08	PRIJEM	VKLAD	14371	98009	\N	\N	\N
71673	239	1993-09-08	PRIJEM	VKLAD	7757	42802	\N	\N	\N
71674	239	1993-08-25	PRIJEM	VKLAD	5198	45421	\N	\N	\N
71675	239	1993-11-07	PRIJEM	VKLAD	22339	66522	\N	\N	\N
71676	239	1993-05-07	PRIJEM	VKLAD	20699	72799	\N	\N	\N
71678	239	1993-11-13	PRIJEM	VKLAD	33061	124033	\N	\N	\N
71679	239	1993-10-04	PRIJEM	VKLAD	49381	74070	\N	\N	\N
71680	239	1993-09-22	PRIJEM	VKLAD	5547	27595	\N	\N	\N
71681	239	1993-08-08	PRIJEM	VKLAD	32140	82706	\N	\N	\N
71682	239	1994-12-12	PRIJEM	VKLAD	32014	81723	\N	\N	\N
71683	239	1994-12-19	PRIJEM	VKLAD	45712	127435	\N	\N	\N
71684	239	1994-10-12	PRIJEM	VKLAD	13042	78116	\N	\N	\N
71685	239	1994-06-05	PRIJEM	VKLAD	47955	86093	\N	\N	\N
71686	239	1994-08-14	PRIJEM	VKLAD	15146	32321	\N	\N	\N
71687	239	1994-04-25	PRIJEM	VKLAD	39141	72409	\N	\N	\N
71688	239	1994-10-04	PRIJEM	VKLAD	46053	72263	\N	\N	\N
71689	239	1994-12-06	PRIJEM	VKLAD	49429	105446	\N	\N	\N
71690	239	1994-07-17	PRIJEM	VKLAD	22828	44978	\N	\N	\N
71691	239	1994-12-23	PRIJEM	VKLAD	13047	84284	\N	\N	\N
71692	239	1994-11-14	PRIJEM	VKLAD	34146	85440	\N	\N	\N
71693	239	1994-03-09	PRIJEM	VKLAD	13681	35598	\N	\N	\N
71694	239	1994-12-20	PRIJEM	VKLAD	28802	126737	\N	\N	\N
71695	239	1994-03-19	PRIJEM	VKLAD	46116	67919	\N	\N	\N
71696	239	1994-05-30	PRIJEM	VKLAD	10479	37949	\N	\N	\N
71697	239	1994-10-16	PRIJEM	VKLAD	14124	92240	\N	\N	\N
71698	239	1994-05-11	PRIJEM	VKLAD	18764	62819	\N	\N	\N
71699	239	1994-02-07	PRIJEM	VKLAD	9609	29691	\N	\N	\N
71700	239	1994-02-11	PRIJEM	VKLAD	31412	54066	\N	\N	\N
71701	239	1995-03-05	PRIJEM	VKLAD	24546	54848	\N	\N	\N
71702	239	1995-10-10	PRIJEM	VKLAD	43680	71921	\N	\N	\N
71703	239	1995-04-24	PRIJEM	VKLAD	7590	40412	\N	\N	\N
71704	239	1995-11-11	PRIJEM	VKLAD	35672	86103	\N	\N	\N
71705	239	1995-11-06	PRIJEM	VKLAD	21941	57468	\N	\N	\N
71706	239	1995-05-08	PRIJEM	VKLAD	42599	82984	\N	\N	\N
71707	239	1995-01-29	PRIJEM	VKLAD	19175	49161	\N	\N	\N
71708	239	1995-12-23	PRIJEM	VKLAD	16760	70802	\N	\N	\N
71709	239	1996-05-07	PRIJEM	VKLAD	41334	102304	\N	\N	\N
71710	239	1996-06-10	PRIJEM	VKLAD	11427	87740	\N	\N	\N
71711	239	1996-12-14	PRIJEM	VKLAD	35955	142861	\N	\N	\N
71712	239	1996-02-05	PRIJEM	VKLAD	42487	79618	\N	\N	\N
71713	239	1996-08-31	PRIJEM	VKLAD	40770	120048	\N	\N	\N
71714	239	1996-11-01	PRIJEM	VKLAD	43301	132229	\N	\N	\N
71715	239	1996-04-26	PRIJEM	VKLAD	25448	78733	\N	\N	\N
71716	239	1996-10-16	PRIJEM	VKLAD	16521	133802	\N	\N	\N
71717	239	1996-10-03	PRIJEM	VKLAD	19469	86806	\N	\N	\N
71718	239	1996-03-20	PRIJEM	VKLAD	8083	60479	\N	\N	\N
71719	239	1996-11-09	PRIJEM	VKLAD	36887	130763	\N	\N	\N
71720	239	1996-08-12	PRIJEM	VKLAD	15100	88514	\N	\N	\N
71721	239	1996-10-16	PRIJEM	VKLAD	12347	117281	\N	\N	\N
71722	239	1996-02-20	PRIJEM	VKLAD	40003	97832	\N	\N	\N
71723	239	1996-07-15	PRIJEM	VKLAD	18350	76263	\N	\N	\N
71724	239	1996-03-22	PRIJEM	VKLAD	20930	81409	\N	\N	\N
71725	239	1996-08-25	PRIJEM	VKLAD	43770	78956	\N	\N	\N
71726	239	1996-06-23	PRIJEM	VKLAD	43370	90062	\N	\N	\N
71727	239	1996-04-09	PRIJEM	VKLAD	8619	89094	\N	\N	\N
71728	239	1996-11-03	PRIJEM	VKLAD	23048	178670	\N	\N	\N
71729	239	1996-05-28	PRIJEM	VKLAD	15061	88828	\N	\N	\N
71730	239	1996-12-11	PRIJEM	VKLAD	30071	106906	\N	\N	\N
71731	239	1996-06-04	PRIJEM	VKLAD	24680	113802	\N	\N	\N
71732	239	1996-10-12	PRIJEM	VKLAD	39317	104934	\N	\N	\N
71733	239	1996-11-03	PRIJEM	VKLAD	41993	155622	\N	\N	\N
71734	239	1996-07-29	PRIJEM	VKLAD	7073	80336	\N	\N	\N
71735	239	1996-04-27	PRIJEM	VKLAD	39220	117953	\N	\N	\N
71736	239	1996-12-06	PRIJEM	VKLAD	48929	102172	\N	\N	\N
71737	239	1997-11-11	PRIJEM	VKLAD	47610	100390	\N	\N	\N
71738	239	1997-12-15	PRIJEM	VKLAD	15410	77407	\N	\N	\N
71739	239	1997-03-22	PRIJEM	VKLAD	38066	97655	\N	\N	\N
71740	239	1997-11-05	PRIJEM	VKLAD	16637	115969	\N	\N	\N
71741	239	1997-06-13	PRIJEM	VKLAD	23203	60587	\N	\N	\N
71742	239	1997-12-14	PRIJEM	VKLAD	9717	61997	\N	\N	\N
71743	239	1997-10-23	PRIJEM	VKLAD	22557	63283	\N	\N	\N
71744	239	1997-09-30	PRIJEM	VKLAD	18603	73219	\N	\N	\N
71745	239	1997-08-17	PRIJEM	VKLAD	9830	43087	\N	\N	\N
71746	239	1997-03-11	PRIJEM	VKLAD	14733	59589	\N	\N	\N
71747	239	1997-09-18	PRIJEM	VKLAD	26091	64318	\N	\N	\N
71748	239	1997-10-31	PRIJEM	VKLAD	35860	99362	\N	\N	\N
71749	239	1997-02-11	PRIJEM	VKLAD	34231	71921	\N	\N	\N
71750	239	1997-02-14	PRIJEM	VKLAD	46126	118047	\N	\N	\N
71751	239	1998-08-10	PRIJEM	VKLAD	6128	52971	\N	\N	\N
71752	239	1998-10-29	PRIJEM	VKLAD	5073	39202	\N	\N	\N
71753	239	1998-05-17	PRIJEM	VKLAD	5831	47174	\N	\N	\N
71761	239	1993-08-08	VYDAJ	PREVOD NA UCET	1042	81664	SIPO	CD	96977406
71762	239	1993-09-08	VYDAJ	PREVOD NA UCET	1042	41760	SIPO	CD	96977406
71763	239	1993-10-08	VYDAJ	PREVOD NA UCET	1042	72876	SIPO	CD	96977406
71764	239	1993-11-08	VYDAJ	PREVOD NA UCET	1042	96967	SIPO	CD	96977406
71765	239	1993-12-08	VYDAJ	PREVOD NA UCET	1042	25800	SIPO	CD	96977406
71766	239	1994-01-08	VYDAJ	PREVOD NA UCET	1042	21882	SIPO	CD	96977406
71767	239	1994-02-08	VYDAJ	PREVOD NA UCET	1042	28649	SIPO	CD	96977406
71768	239	1994-03-08	VYDAJ	PREVOD NA UCET	1042	21917	SIPO	CD	96977406
71769	239	1994-04-08	VYDAJ	PREVOD NA UCET	1042	39263	SIPO	CD	96977406
71770	239	1994-05-08	VYDAJ	PREVOD NA UCET	1042	50050	SIPO	CD	96977406
71771	239	1994-06-08	VYDAJ	PREVOD NA UCET	1042	55499	SIPO	CD	96977406
71772	239	1994-07-08	VYDAJ	PREVOD NA UCET	1042	28145	SIPO	CD	96977406
71773	239	1994-08-08	VYDAJ	PREVOD NA UCET	1042	23170	SIPO	CD	96977406
71774	239	1994-09-08	VYDAJ	PREVOD NA UCET	1042	26237	SIPO	CD	96977406
71775	239	1994-10-08	VYDAJ	PREVOD NA UCET	1042	71069	SIPO	CD	96977406
71776	239	1994-11-08	VYDAJ	PREVOD NA UCET	1042	57289	SIPO	CD	96977406
71777	239	1994-12-08	VYDAJ	PREVOD NA UCET	1042	55704	SIPO	CD	96977406
71778	239	1995-01-08	VYDAJ	PREVOD NA UCET	1042	71081	SIPO	CD	96977406
71779	239	1995-02-08	VYDAJ	PREVOD NA UCET	1042	42486	SIPO	CD	96977406
71780	239	1995-03-08	VYDAJ	PREVOD NA UCET	1042	53654	SIPO	CD	96977406
71781	239	1995-04-08	VYDAJ	PREVOD NA UCET	1042	40517	SIPO	CD	96977406
71782	239	1995-05-08	VYDAJ	PREVOD NA UCET	1042	81942	SIPO	CD	96977406
71783	239	1995-06-08	VYDAJ	PREVOD NA UCET	1042	43972	SIPO	CD	96977406
71784	239	1995-07-08	VYDAJ	PREVOD NA UCET	1042	31920	SIPO	CD	96977406
71785	239	1995-08-08	VYDAJ	PREVOD NA UCET	1042	28225	SIPO	CD	96977406
71786	239	1995-09-08	VYDAJ	PREVOD NA UCET	1042	31524	SIPO	CD	96977406
71787	239	1995-10-08	VYDAJ	PREVOD NA UCET	1042	34236	SIPO	CD	96977406
71788	239	1995-11-08	VYDAJ	PREVOD NA UCET	1042	56426	SIPO	CD	96977406
71789	239	1995-12-08	VYDAJ	PREVOD NA UCET	1042	65037	SIPO	CD	96977406
71790	239	1996-01-08	VYDAJ	PREVOD NA UCET	1042	54839	SIPO	CD	96977406
71791	239	1996-02-08	VYDAJ	PREVOD NA UCET	1042	78424	SIPO	CD	96977406
71792	239	1996-03-08	VYDAJ	PREVOD NA UCET	1042	65591	SIPO	CD	96977406
71793	239	1996-04-08	VYDAJ	PREVOD NA UCET	1042	80475	SIPO	CD	96977406
71794	239	1996-05-08	VYDAJ	PREVOD NA UCET	1042	101262	SIPO	CD	96977406
71795	239	1996-06-08	VYDAJ	PREVOD NA UCET	1042	82308	SIPO	CD	96977406
71796	239	1996-07-08	VYDAJ	PREVOD NA UCET	1042	71308	SIPO	CD	96977406
71797	239	1996-08-08	VYDAJ	PREVOD NA UCET	1042	79409	SIPO	CD	96977406
71798	239	1996-09-08	VYDAJ	PREVOD NA UCET	1042	95524	SIPO	CD	96977406
71799	239	1996-10-08	VYDAJ	PREVOD NA UCET	1042	85612	SIPO	CD	96977406
71800	239	1996-11-08	VYDAJ	PREVOD NA UCET	1042	93876	SIPO	CD	96977406
71801	239	1996-12-08	VYDAJ	PREVOD NA UCET	1042	101130	SIPO	CD	96977406
71802	239	1997-01-08	VYDAJ	PREVOD NA UCET	1042	69175	SIPO	CD	96977406
71803	239	1997-02-08	VYDAJ	PREVOD NA UCET	1042	43685	SIPO	CD	96977406
71804	239	1997-03-08	VYDAJ	PREVOD NA UCET	1042	51851	SIPO	CD	96977406
71805	239	1997-04-08	VYDAJ	PREVOD NA UCET	1042	96715	SIPO	CD	96977406
71806	239	1997-05-08	VYDAJ	PREVOD NA UCET	1042	60777	SIPO	CD	96977406
71807	239	1997-06-08	VYDAJ	PREVOD NA UCET	1042	43379	SIPO	CD	96977406
71808	239	1997-07-08	VYDAJ	PREVOD NA UCET	1042	49489	SIPO	CD	96977406
71809	239	1997-08-08	VYDAJ	PREVOD NA UCET	1042	39252	SIPO	CD	96977406
71810	239	1997-09-08	VYDAJ	PREVOD NA UCET	1042	44222	SIPO	CD	96977406
71811	239	1997-10-08	VYDAJ	PREVOD NA UCET	1042	46721	SIPO	CD	96977406
71812	239	1997-11-08	VYDAJ	PREVOD NA UCET	1042	58775	SIPO	CD	96977406
71813	239	1997-12-08	VYDAJ	PREVOD NA UCET	1042	60876	SIPO	CD	96977406
71814	239	1998-01-08	VYDAJ	PREVOD NA UCET	1042	61573	SIPO	CD	96977406
71815	239	1998-02-08	VYDAJ	PREVOD NA UCET	1042	43097	SIPO	CD	96977406
71816	239	1998-03-08	VYDAJ	PREVOD NA UCET	1042	45334	SIPO	CD	96977406
71817	239	1998-04-08	VYDAJ	PREVOD NA UCET	1042	48174	SIPO	CD	96977406
71818	239	1998-05-08	VYDAJ	PREVOD NA UCET	1042	47338	SIPO	CD	96977406
71819	239	1998-06-08	VYDAJ	PREVOD NA UCET	1042	35501	SIPO	CD	96977406
71820	239	1998-07-08	VYDAJ	PREVOD NA UCET	1042	45302	SIPO	CD	96977406
71821	239	1998-08-08	VYDAJ	PREVOD NA UCET	1042	52838	SIPO	CD	96977406
71822	239	1998-09-08	VYDAJ	PREVOD NA UCET	1042	49413	SIPO	CD	96977406
71823	239	1998-10-08	VYDAJ	PREVOD NA UCET	1042	57964	SIPO	CD	96977406
71824	239	1998-11-08	VYDAJ	PREVOD NA UCET	1042	59064	SIPO	CD	96977406
71825	239	1998-12-08	VYDAJ	PREVOD NA UCET	1042	56312	SIPO	CD	96977406
71833	239	1993-08-09	VYDAJ	PREVOD NA UCET	5995	75669	 	MN	30218410
71834	239	1993-09-09	VYDAJ	PREVOD NA UCET	5995	35765	 	MN	30218410
71835	239	1993-10-09	VYDAJ	PREVOD NA UCET	5995	66881	 	MN	30218410
71836	239	1993-11-09	VYDAJ	PREVOD NA UCET	5995	90972	 	MN	30218410
71837	239	1993-12-09	VYDAJ	PREVOD NA UCET	5995	19805	 	MN	30218410
71838	239	1994-01-09	VYDAJ	PREVOD NA UCET	5995	15887	 	MN	30218410
71839	239	1994-02-09	VYDAJ	PREVOD NA UCET	5995	22654	 	MN	30218410
71840	239	1994-03-09	VYDAJ	PREVOD NA UCET	5995	29603	 	MN	30218410
71841	239	1994-04-09	VYDAJ	PREVOD NA UCET	5995	33268	 	MN	30218410
71842	239	1994-05-09	VYDAJ	PREVOD NA UCET	5995	44055	 	MN	30218410
71843	239	1994-06-09	VYDAJ	PREVOD NA UCET	5995	49504	 	MN	30218410
71844	239	1994-07-09	VYDAJ	PREVOD NA UCET	5995	22150	 	MN	30218410
71845	239	1994-08-09	VYDAJ	PREVOD NA UCET	5995	17175	 	MN	30218410
71846	239	1994-09-09	VYDAJ	PREVOD NA UCET	5995	20242	 	MN	30218410
71847	239	1994-10-09	VYDAJ	PREVOD NA UCET	5995	65074	 	MN	30218410
71848	239	1994-11-09	VYDAJ	PREVOD NA UCET	5995	51294	 	MN	30218410
71849	239	1994-12-09	VYDAJ	PREVOD NA UCET	5995	49709	 	MN	30218410
71850	239	1995-01-09	VYDAJ	PREVOD NA UCET	5995	65086	 	MN	30218410
71851	239	1995-02-09	VYDAJ	PREVOD NA UCET	5995	36491	 	MN	30218410
71852	239	1995-03-09	VYDAJ	PREVOD NA UCET	5995	47659	 	MN	30218410
71853	239	1995-04-09	VYDAJ	PREVOD NA UCET	5995	34522	 	MN	30218410
71854	239	1995-05-09	VYDAJ	PREVOD NA UCET	5995	75947	 	MN	30218410
71855	239	1995-06-09	VYDAJ	PREVOD NA UCET	5995	37977	 	MN	30218410
71856	239	1995-07-09	VYDAJ	PREVOD NA UCET	5995	25925	 	MN	30218410
71857	239	1995-08-09	VYDAJ	PREVOD NA UCET	5995	22230	 	MN	30218410
71858	239	1995-09-09	VYDAJ	PREVOD NA UCET	5995	25529	 	MN	30218410
71859	239	1995-10-09	VYDAJ	PREVOD NA UCET	5995	28241	 	MN	30218410
71860	239	1995-11-09	VYDAJ	PREVOD NA UCET	5995	50431	 	MN	30218410
71861	239	1995-12-09	VYDAJ	PREVOD NA UCET	5995	59042	 	MN	30218410
71862	239	1996-01-09	VYDAJ	PREVOD NA UCET	5995	48844	 	MN	30218410
71863	239	1996-02-09	VYDAJ	PREVOD NA UCET	5995	72429	 	MN	30218410
71864	239	1996-03-09	VYDAJ	PREVOD NA UCET	5995	59596	 	MN	30218410
71865	239	1996-04-09	VYDAJ	PREVOD NA UCET	5995	83099	 	MN	30218410
71866	239	1996-05-09	VYDAJ	PREVOD NA UCET	5995	95267	 	MN	30218410
71867	239	1996-06-09	VYDAJ	PREVOD NA UCET	5995	76313	 	MN	30218410
71868	239	1996-07-09	VYDAJ	PREVOD NA UCET	5995	65313	 	MN	30218410
71869	239	1996-08-09	VYDAJ	PREVOD NA UCET	5995	73414	 	MN	30218410
71870	239	1996-09-09	VYDAJ	PREVOD NA UCET	5995	89529	 	MN	30218410
71871	239	1996-10-09	VYDAJ	PREVOD NA UCET	5995	79617	 	MN	30218410
71872	239	1996-11-09	VYDAJ	PREVOD NA UCET	5995	109268	 	MN	30218410
71873	239	1996-12-09	VYDAJ	PREVOD NA UCET	5995	95135	 	MN	30218410
71874	239	1997-01-09	VYDAJ	PREVOD NA UCET	5995	59580	 	MN	30218410
71875	239	1997-02-09	VYDAJ	PREVOD NA UCET	5995	37690	 	MN	30218410
71876	239	1997-03-09	VYDAJ	PREVOD NA UCET	5995	45856	 	MN	30218410
71877	239	1997-04-09	VYDAJ	PREVOD NA UCET	5995	90720	 	MN	30218410
71878	239	1997-05-09	VYDAJ	PREVOD NA UCET	5995	54782	 	MN	30218410
71879	239	1997-06-09	VYDAJ	PREVOD NA UCET	5995	37384	 	MN	30218410
71880	239	1997-07-09	VYDAJ	PREVOD NA UCET	5995	43494	 	MN	30218410
71881	239	1997-08-09	VYDAJ	PREVOD NA UCET	5995	33257	 	MN	30218410
71882	239	1997-09-09	VYDAJ	PREVOD NA UCET	5995	38227	 	MN	30218410
71883	239	1997-10-09	VYDAJ	PREVOD NA UCET	5995	40726	 	MN	30218410
71884	239	1997-11-09	VYDAJ	PREVOD NA UCET	5995	52780	 	MN	30218410
71885	239	1997-12-09	VYDAJ	PREVOD NA UCET	5995	54881	 	MN	30218410
71886	239	1998-01-09	VYDAJ	PREVOD NA UCET	5995	55578	 	MN	30218410
71887	239	1998-02-09	VYDAJ	PREVOD NA UCET	5995	37102	 	MN	30218410
71888	239	1998-03-09	VYDAJ	PREVOD NA UCET	5995	39339	 	MN	30218410
71889	239	1998-04-09	VYDAJ	PREVOD NA UCET	5995	42179	 	MN	30218410
71890	239	1998-05-09	VYDAJ	PREVOD NA UCET	5995	41343	 	MN	30218410
71891	239	1998-06-09	VYDAJ	PREVOD NA UCET	5995	29506	 	MN	30218410
71892	239	1998-07-09	VYDAJ	PREVOD NA UCET	5995	39307	 	MN	30218410
71893	239	1998-08-09	VYDAJ	PREVOD NA UCET	5995	46843	 	MN	30218410
71894	239	1998-09-09	VYDAJ	PREVOD NA UCET	5995	43418	 	MN	30218410
71895	239	1998-10-09	VYDAJ	PREVOD NA UCET	5995	51969	 	MN	30218410
71896	239	1998-11-09	VYDAJ	PREVOD NA UCET	5995	53069	 	MN	30218410
71897	239	1998-12-09	VYDAJ	PREVOD NA UCET	5995	50317	 	MN	30218410
71906	239	1993-09-05	VYDAJ	PREVOD NA UCET	152	35045	POJISTNE	IJ	47741246
71907	239	1993-10-05	VYDAJ	PREVOD NA UCET	152	73918	POJISTNE	IJ	47741246
71908	239	1993-11-05	VYDAJ	PREVOD NA UCET	152	44183	POJISTNE	IJ	47741246
71909	239	1993-12-05	VYDAJ	PREVOD NA UCET	152	34042	POJISTNE	IJ	47741246
71910	239	1994-01-05	VYDAJ	PREVOD NA UCET	152	22924	POJISTNE	IJ	47741246
71911	239	1994-02-05	VYDAJ	PREVOD NA UCET	152	20082	POJISTNE	IJ	47741246
71912	239	1994-03-05	VYDAJ	PREVOD NA UCET	152	22959	POJISTNE	IJ	47741246
71913	239	1994-04-05	VYDAJ	PREVOD NA UCET	152	40305	POJISTNE	IJ	47741246
71914	239	1994-05-05	VYDAJ	PREVOD NA UCET	152	51092	POJISTNE	IJ	47741246
71915	239	1994-06-05	VYDAJ	PREVOD NA UCET	152	85941	POJISTNE	IJ	47741246
71916	239	1994-07-05	VYDAJ	PREVOD NA UCET	152	29187	POJISTNE	IJ	47741246
71917	239	1994-08-05	VYDAJ	PREVOD NA UCET	152	24212	POJISTNE	IJ	47741246
71918	239	1994-09-05	VYDAJ	PREVOD NA UCET	152	27279	POJISTNE	IJ	47741246
71919	239	1994-10-05	VYDAJ	PREVOD NA UCET	152	72111	POJISTNE	IJ	47741246
71920	239	1994-11-05	VYDAJ	PREVOD NA UCET	152	58331	POJISTNE	IJ	47741246
71921	239	1994-12-05	VYDAJ	PREVOD NA UCET	152	56017	POJISTNE	IJ	47741246
71922	239	1995-01-05	VYDAJ	PREVOD NA UCET	152	72123	POJISTNE	IJ	47741246
71923	239	1995-02-05	VYDAJ	PREVOD NA UCET	152	43528	POJISTNE	IJ	47741246
71924	239	1995-03-05	VYDAJ	PREVOD NA UCET	152	54696	POJISTNE	IJ	47741246
71925	239	1995-04-05	VYDAJ	PREVOD NA UCET	152	41559	POJISTNE	IJ	47741246
71926	239	1995-05-05	VYDAJ	PREVOD NA UCET	152	40385	POJISTNE	IJ	47741246
71927	239	1995-06-05	VYDAJ	PREVOD NA UCET	152	45014	POJISTNE	IJ	47741246
71928	239	1995-07-05	VYDAJ	PREVOD NA UCET	152	32962	POJISTNE	IJ	47741246
71929	239	1995-08-05	VYDAJ	PREVOD NA UCET	152	29267	POJISTNE	IJ	47741246
71930	239	1995-09-05	VYDAJ	PREVOD NA UCET	152	32566	POJISTNE	IJ	47741246
71931	239	1995-10-05	VYDAJ	PREVOD NA UCET	152	35278	POJISTNE	IJ	47741246
71932	239	1995-11-05	VYDAJ	PREVOD NA UCET	152	35527	POJISTNE	IJ	47741246
71933	239	1995-12-05	VYDAJ	PREVOD NA UCET	152	66079	POJISTNE	IJ	47741246
71934	239	1996-01-05	VYDAJ	PREVOD NA UCET	152	70881	POJISTNE	IJ	47741246
71935	239	1996-02-05	VYDAJ	PREVOD NA UCET	152	79466	POJISTNE	IJ	47741246
71936	239	1996-03-05	VYDAJ	PREVOD NA UCET	152	66633	POJISTNE	IJ	47741246
71937	239	1996-04-05	VYDAJ	PREVOD NA UCET	152	81517	POJISTNE	IJ	47741246
71938	239	1996-05-05	VYDAJ	PREVOD NA UCET	152	60970	POJISTNE	IJ	47741246
71939	239	1996-06-05	VYDAJ	PREVOD NA UCET	152	83350	POJISTNE	IJ	47741246
71940	239	1996-07-05	VYDAJ	PREVOD NA UCET	152	72350	POJISTNE	IJ	47741246
71941	239	1996-08-05	VYDAJ	PREVOD NA UCET	152	80451	POJISTNE	IJ	47741246
71942	239	1996-09-05	VYDAJ	PREVOD NA UCET	152	96566	POJISTNE	IJ	47741246
71943	239	1996-10-05	VYDAJ	PREVOD NA UCET	152	86654	POJISTNE	IJ	47741246
71944	239	1996-11-05	VYDAJ	PREVOD NA UCET	152	94918	POJISTNE	IJ	47741246
71945	239	1996-12-05	VYDAJ	PREVOD NA UCET	152	53243	POJISTNE	IJ	47741246
71946	239	1997-01-05	VYDAJ	PREVOD NA UCET	152	70217	POJISTNE	IJ	47741246
71947	239	1997-02-05	VYDAJ	PREVOD NA UCET	152	37627	POJISTNE	IJ	47741246
71948	239	1997-03-05	VYDAJ	PREVOD NA UCET	152	52893	POJISTNE	IJ	47741246
71949	239	1997-04-05	VYDAJ	PREVOD NA UCET	152	97757	POJISTNE	IJ	47741246
71950	239	1997-05-05	VYDAJ	PREVOD NA UCET	152	61819	POJISTNE	IJ	47741246
71951	239	1997-06-05	VYDAJ	PREVOD NA UCET	152	40821	POJISTNE	IJ	47741246
71952	239	1997-07-05	VYDAJ	PREVOD NA UCET	152	49231	POJISTNE	IJ	47741246
71953	239	1997-08-05	VYDAJ	PREVOD NA UCET	152	32482	POJISTNE	IJ	47741246
71954	239	1997-09-05	VYDAJ	PREVOD NA UCET	152	43064	POJISTNE	IJ	47741246
71955	239	1997-10-05	VYDAJ	PREVOD NA UCET	152	54163	POJISTNE	IJ	47741246
71956	239	1997-11-05	VYDAJ	PREVOD NA UCET	152	59817	POJISTNE	IJ	47741246
71957	239	1997-12-05	VYDAJ	PREVOD NA UCET	152	61918	POJISTNE	IJ	47741246
71958	239	1998-01-05	VYDAJ	PREVOD NA UCET	152	65615	POJISTNE	IJ	47741246
71959	239	1998-02-05	VYDAJ	PREVOD NA UCET	152	47464	POJISTNE	IJ	47741246
71960	239	1998-03-05	VYDAJ	PREVOD NA UCET	152	46376	POJISTNE	IJ	47741246
71961	239	1998-04-05	VYDAJ	PREVOD NA UCET	152	49216	POJISTNE	IJ	47741246
71962	239	1998-05-05	VYDAJ	PREVOD NA UCET	152	48380	POJISTNE	IJ	47741246
71963	239	1998-06-05	VYDAJ	PREVOD NA UCET	152	36543	POJISTNE	IJ	47741246
71964	239	1998-07-05	VYDAJ	PREVOD NA UCET	152	46344	POJISTNE	IJ	47741246
71965	239	1998-08-05	VYDAJ	PREVOD NA UCET	152	53880	POJISTNE	IJ	47741246
71966	239	1998-09-05	VYDAJ	PREVOD NA UCET	152	50455	POJISTNE	IJ	47741246
71967	239	1998-10-05	VYDAJ	PREVOD NA UCET	152	59006	POJISTNE	IJ	47741246
71968	239	1998-11-05	VYDAJ	PREVOD NA UCET	152	60106	POJISTNE	IJ	47741246
71969	239	1998-12-05	VYDAJ	PREVOD NA UCET	152	57354	POJISTNE	IJ	47741246
71970	239	1993-09-15	VYBER	VYBER	13717	22048	\N	\N	\N
71973	239	1993-12-03	VYBER	VYBER	8378	34194	\N	\N	\N
71977	239	1993-10-10	VYBER	VYBER	3253	63628	\N	\N	\N
71983	239	1994-08-22	VYBER	VYBER	10267	22054	\N	\N	\N
71984	239	1994-07-31	VYBER	VYBER	13119	24394	\N	\N	\N
71986	239	1994-02-22	VYBER	VYBER	14580	39486	\N	\N	\N
71987	239	1994-05-28	VYBER	VYBER	17049	27470	\N	\N	\N
71989	239	1994-02-28	VYBER	VYBER	5703	29441	\N	\N	\N
71992	239	1995-10-25	VYBER	VYBER	21213	35508	\N	\N	\N
71994	239	1996-01-15	VYBER	VYBER	9560	45784	\N	\N	\N
71995	239	1996-03-05	VYBER	VYBER	22015	66785	\N	\N	\N
71996	239	1996-06-17	VYBER	VYBER	20548	46692	\N	\N	\N
71997	239	1996-01-29	VYBER	VYBER	8833	36951	\N	\N	\N
71998	239	1996-08-24	VYBER	VYBER	20288	35186	\N	\N	\N
71999	239	1996-04-22	VYBER	VYBER	13914	53285	\N	\N	\N
72000	239	1996-06-26	VYBER	VYBER	17833	72229	\N	\N	\N
72001	239	1996-12-01	VYBER	VYBER	18113	53395	\N	\N	\N
72002	239	1996-08-20	VYBER	VYBER	16240	55474	\N	\N	\N
72003	239	1997-08-07	VYBER	VYBER	2388	40294	\N	\N	\N
72004	239	1997-02-25	VYBER	VYBER	4926	52800	\N	\N	\N
72005	239	1997-11-29	VYBER	VYBER	23660	76730	\N	\N	\N
72006	239	1997-05-03	VYBER	VYBER	5830	61971	\N	\N	\N
72007	239	1997-10-03	VYBER	VYBER	18874	54315	\N	\N	\N
72008	239	1997-08-04	VYBER	VYBER	7416	32634	\N	\N	\N
72009	239	1997-02-14	VYBER	VYBER	21121	96926	\N	\N	\N
72010	239	1997-07-05	VYBER	VYBER	11387	49383	\N	\N	\N
72011	239	1997-12-13	VYBER	VYBER	2601	52280	\N	\N	\N
72012	239	1998-08-31	VYBER	VYBER	5672	31737	\N	\N	\N
72013	239	1998-01-20	VYBER	VYBER	13851	41727	\N	\N	\N
72015	239	1998-02-06	VYBER	VYBER	3325	44139	\N	\N	\N
72016	239	1998-05-30	VYBER	VYBER	18082	29092	\N	\N	\N
72017	239	1998-10-21	VYBER	VYBER	17840	34129	\N	\N	\N
72018	239	1998-04-26	VYBER	VYBER	2687	39492	\N	\N	\N
72019	239	1998-11-21	VYBER	VYBER	14025	35437	\N	\N	\N
72020	239	1998-06-04	VYBER	VYBER	7942	36695	\N	\N	\N
72021	239	1998-11-20	VYBER	VYBER	3607	49462	\N	\N	\N
72022	239	1998-08-27	VYBER	VYBER	15756	37215	\N	\N	\N
72024	239	1998-12-15	VYBER	VYBER	15516	34801	\N	\N	\N
72026	239	1994-06-07	VYDAJ	VYBER	29400	56541	\N	\N	\N
72033	239	1995-01-27	VYDAJ	VYBER	18300	29986	\N	\N	\N
72034	239	1996-01-07	VYDAJ	VYBER	15000	55881	\N	\N	\N
72035	239	1997-01-23	VYDAJ	VYBER	19500	37580	\N	\N	\N
72036	239	1998-01-06	VYDAJ	VYBER	3000	62615	\N	\N	\N
72039	239	1993-12-06	VYDAJ	VYBER	7200	26842	\N	\N	\N
72041	239	1994-02-28	VYDAJ	VYBER	6300	23111	\N	\N	\N
72043	239	1994-06-11	VYDAJ	VYBER	14100	35404	\N	\N	\N
72045	239	1994-03-13	VYDAJ	VYBER	7800	21803	\N	\N	\N
72047	239	1994-04-05	VYDAJ	VYBER	7500	40457	\N	\N	\N
72048	239	1995-06-01	VYDAJ	VYBER	9300	45166	\N	\N	\N
72049	239	1995-07-26	VYDAJ	VYBER	4200	29325	\N	\N	\N
72050	239	1995-01-29	VYDAJ	VYBER	5700	43461	\N	\N	\N
72051	239	1995-06-27	VYDAJ	VYBER	6000	32977	\N	\N	\N
72052	239	1995-01-02	VYDAJ	VYBER	12300	72275	\N	\N	\N
72053	239	1995-05-26	VYDAJ	VYBER	2400	54247	\N	\N	\N
72054	239	1995-02-13	VYDAJ	VYBER	9900	26591	\N	\N	\N
72055	239	1996-11-26	VYDAJ	VYBER	8700	71168	\N	\N	\N
72056	239	1996-12-16	VYDAJ	VYBER	2400	116161	\N	\N	\N
72057	239	1996-02-24	VYDAJ	VYBER	9300	88532	\N	\N	\N
72058	239	1996-11-11	VYDAJ	VYBER	1500	79868	\N	\N	\N
72059	239	1996-07-17	VYDAJ	VYBER	3000	73263	\N	\N	\N
72061	239	1997-05-25	VYDAJ	VYBER	12600	40782	\N	\N	\N
72062	239	1997-01-08	VYDAJ	VYBER	3600	65575	\N	\N	\N
72063	239	1997-10-06	VYDAJ	VYBER	5400	47763	\N	\N	\N
72065	239	1997-07-27	VYDAJ	VYBER	3600	39894	\N	\N	\N
72066	239	1997-09-22	VYDAJ	VYBER	9900	54418	\N	\N	\N
72068	239	1998-03-04	VYDAJ	VYBER	4500	32728	\N	\N	\N
72078	239	1993-08-31	VYDAJ	VYBER	30	35197	SLUZBY	\N	\N
72079	239	1993-09-30	VYDAJ	VYBER	30	24689	SLUZBY	\N	\N
72080	239	1993-10-31	VYDAJ	VYBER	30	44335	SLUZBY	\N	\N
72081	239	1993-11-30	VYDAJ	VYBER	30	42572	SLUZBY	\N	\N
72082	239	1993-12-31	VYDAJ	VYBER	30	23076	SLUZBY	\N	\N
72083	239	1994-01-31	VYDAJ	VYBER	30	20234	SLUZBY	\N	\N
72084	239	1994-02-28	VYDAJ	VYBER	30	29411	SLUZBY	\N	\N
72085	239	1994-03-31	VYDAJ	VYBER	30	47957	SLUZBY	\N	\N
72086	239	1994-04-30	VYDAJ	VYBER	30	51244	SLUZBY	\N	\N
72087	239	1994-05-31	VYDAJ	VYBER	30	38138	SLUZBY	\N	\N
72088	239	1994-06-30	VYDAJ	VYBER	30	29339	SLUZBY	\N	\N
72089	239	1994-07-31	VYDAJ	VYBER	30	24364	SLUZBY	\N	\N
72090	239	1994-08-31	VYDAJ	VYBER	30	27431	SLUZBY	\N	\N
72091	239	1994-09-30	VYDAJ	VYBER	30	26210	SLUZBY	\N	\N
72092	239	1994-10-31	VYDAJ	VYBER	30	58483	SLUZBY	\N	\N
72093	239	1994-11-30	VYDAJ	VYBER	30	56169	SLUZBY	\N	\N
72094	239	1994-12-31	VYDAJ	VYBER	30	84575	SLUZBY	\N	\N
72095	239	1995-01-31	VYDAJ	VYBER	30	43680	SLUZBY	\N	\N
72096	239	1995-02-28	VYDAJ	VYBER	30	30302	SLUZBY	\N	\N
72097	239	1995-03-31	VYDAJ	VYBER	30	41711	SLUZBY	\N	\N
72098	239	1995-04-30	VYDAJ	VYBER	30	40537	SLUZBY	\N	\N
72099	239	1995-05-31	VYDAJ	VYBER	30	54466	SLUZBY	\N	\N
72100	239	1995-06-30	VYDAJ	VYBER	30	33114	SLUZBY	\N	\N
72101	239	1995-07-31	VYDAJ	VYBER	30	29419	SLUZBY	\N	\N
72102	239	1995-08-31	VYDAJ	VYBER	30	32718	SLUZBY	\N	\N
72103	239	1995-09-30	VYDAJ	VYBER	30	35430	SLUZBY	\N	\N
72104	239	1995-10-31	VYDAJ	VYBER	30	35679	SLUZBY	\N	\N
72105	239	1995-11-30	VYDAJ	VYBER	30	66231	SLUZBY	\N	\N
72106	239	1995-12-31	VYDAJ	VYBER	30	71033	SLUZBY	\N	\N
72107	239	1996-01-31	VYDAJ	VYBER	30	37131	SLUZBY	\N	\N
72108	239	1996-02-29	VYDAJ	VYBER	30	88800	SLUZBY	\N	\N
72109	239	1996-03-31	VYDAJ	VYBER	30	81669	SLUZBY	\N	\N
72110	239	1996-04-30	VYDAJ	VYBER	30	61122	SLUZBY	\N	\N
72111	239	1996-05-31	VYDAJ	VYBER	30	89122	SLUZBY	\N	\N
72112	239	1996-06-30	VYDAJ	VYBER	30	72502	SLUZBY	\N	\N
72113	239	1996-07-31	VYDAJ	VYBER	30	80603	SLUZBY	\N	\N
72114	239	1996-08-31	VYDAJ	VYBER	30	120018	SLUZBY	\N	\N
72115	239	1996-09-30	VYDAJ	VYBER	30	67337	SLUZBY	\N	\N
72116	239	1996-10-31	VYDAJ	VYBER	30	88928	SLUZBY	\N	\N
72117	239	1996-11-30	VYDAJ	VYBER	30	71508	SLUZBY	\N	\N
72118	239	1996-12-31	VYDAJ	VYBER	30	70369	SLUZBY	\N	\N
72119	239	1997-01-31	VYDAJ	VYBER	30	37779	SLUZBY	\N	\N
72120	239	1997-02-28	VYDAJ	VYBER	30	53045	SLUZBY	\N	\N
72121	239	1997-03-31	VYDAJ	VYBER	30	97909	SLUZBY	\N	\N
72122	239	1997-04-30	VYDAJ	VYBER	30	67801	SLUZBY	\N	\N
72123	239	1997-05-31	VYDAJ	VYBER	30	40973	SLUZBY	\N	\N
72124	239	1997-06-30	VYDAJ	VYBER	30	60770	SLUZBY	\N	\N
72125	239	1997-07-31	VYDAJ	VYBER	30	40050	SLUZBY	\N	\N
72126	239	1997-08-31	VYDAJ	VYBER	30	43216	SLUZBY	\N	\N
72127	239	1997-09-30	VYDAJ	VYBER	30	73189	SLUZBY	\N	\N
72128	239	1997-10-31	VYDAJ	VYBER	30	99332	SLUZBY	\N	\N
72129	239	1997-11-30	VYDAJ	VYBER	30	77070	SLUZBY	\N	\N
72130	239	1997-12-31	VYDAJ	VYBER	30	77667	SLUZBY	\N	\N
72131	239	1998-01-31	VYDAJ	VYBER	30	41916	SLUZBY	\N	\N
72132	239	1998-02-28	VYDAJ	VYBER	30	37228	SLUZBY	\N	\N
72133	239	1998-03-31	VYDAJ	VYBER	30	39468	SLUZBY	\N	\N
72134	239	1998-04-30	VYDAJ	VYBER	30	39632	SLUZBY	\N	\N
72135	239	1998-05-31	VYDAJ	VYBER	30	29237	SLUZBY	\N	\N
72136	239	1998-06-30	VYDAJ	VYBER	30	29596	SLUZBY	\N	\N
72137	239	1998-07-31	VYDAJ	VYBER	30	39432	SLUZBY	\N	\N
72138	239	1998-08-31	VYDAJ	VYBER	30	31707	SLUZBY	\N	\N
72139	239	1998-09-30	VYDAJ	VYBER	30	43558	SLUZBY	\N	\N
72140	239	1998-10-31	VYDAJ	VYBER	30	60258	SLUZBY	\N	\N
72141	239	1998-11-30	VYDAJ	VYBER	30	57506	SLUZBY	\N	\N
72142	239	1993-03-31	PRIJEM	VKLAD	14500	14802	\N	\N	\N
72143	239	1993-04-30	VYDAJ	VYBER	7900	34001	\N	\N	\N
72144	239	1993-05-30	VYDAJ	VYBER	22000	50799	\N	\N	\N
72145	239	1993-06-29	VYDAJ	VYBER	13200	37865	\N	\N	\N
72146	239	1993-07-29	VYDAJ	VYBER	21900	50354	\N	\N	\N
72147	239	1993-08-12	VYDAJ	VYBER	63200	40223	\N	\N	\N
72148	239	1993-08-28	VYDAJ	VYBER	10500	34921	\N	\N	\N
72149	239	1993-09-27	VYDAJ	VYBER	3000	24595	\N	\N	\N
72150	239	1993-10-27	VYDAJ	VYBER	19500	44128	\N	\N	\N
72151	239	1993-11-07	VYDAJ	VYBER	28800	83638	\N	\N	\N
72152	239	1993-11-13	VYDAJ	VYBER	62300	61733	\N	\N	\N
72153	239	1993-11-26	VYDAJ	VYBER	19500	42233	\N	\N	\N
72154	239	1993-12-26	PRIJEM	VKLAD	3200	23005	\N	\N	\N
72155	239	1994-01-25	PRIJEM	VKLAD	4300	20187	\N	\N	\N
72156	239	1994-02-24	VYDAJ	VYBER	4500	34986	\N	\N	\N
72157	239	1994-03-26	VYDAJ	VYBER	20100	47819	\N	\N	\N
72158	239	1994-04-25	VYDAJ	VYBER	21300	51109	\N	\N	\N
72159	239	1994-05-25	VYDAJ	VYBER	18300	44519	\N	\N	\N
72160	239	1994-06-24	VYDAJ	VYBER	6200	29204	\N	\N	\N
72161	239	1994-07-24	VYDAJ	VYBER	7600	37378	\N	\N	\N
72162	239	1994-08-23	PRIJEM	VKLAD	5300	27354	\N	\N	\N
72163	239	1994-09-22	PRIJEM	VKLAD	5900	26142	\N	\N	\N
72164	239	1994-10-22	VYDAJ	VYBER	34000	58240	\N	\N	\N
72165	239	1994-11-21	VYDAJ	VYBER	29500	55940	\N	\N	\N
72166	239	1994-12-08	VYDAJ	VYBER	48700	56746	\N	\N	\N
72167	239	1994-12-19	VYDAJ	VYBER	29500	97935	\N	\N	\N
72168	239	1994-12-20	VYDAJ	VYBER	15400	111337	\N	\N	\N
72169	239	1994-12-21	VYDAJ	VYBER	40100	71237	\N	\N	\N
72170	239	1995-01-20	VYDAJ	VYBER	16800	48286	\N	\N	\N
72171	239	1995-02-19	PRIJEM	VKLAD	3600	30191	\N	\N	\N
72172	239	1995-03-21	VYDAJ	VYBER	6100	41559	\N	\N	\N
72173	239	1995-04-20	VYDAJ	VYBER	1700	32822	\N	\N	\N
72174	239	1995-05-20	VYDAJ	VYBER	19300	56647	\N	\N	\N
72175	239	1995-06-19	PRIJEM	VKLAD	1000	38977	\N	\N	\N
72176	239	1995-07-19	PRIJEM	VKLAD	7600	33525	\N	\N	\N
72177	239	1995-08-18	PRIJEM	VKLAD	10400	32630	\N	\N	\N
72178	239	1995-09-17	PRIJEM	VKLAD	9800	35329	\N	\N	\N
72179	239	1995-10-17	VYDAJ	VYBER	15200	56721	\N	\N	\N
72180	239	1995-11-16	VYDAJ	VYBER	20100	66003	\N	\N	\N
72181	239	1995-12-16	VYDAJ	VYBER	5000	54042	\N	\N	\N
72182	239	1996-01-15	PRIJEM	VKLAD	6500	55344	\N	\N	\N
72183	239	1996-02-14	VYDAJ	VYBER	14600	57829	\N	\N	\N
72184	239	1996-03-15	VYDAJ	VYBER	7200	52396	\N	\N	\N
72185	239	1996-04-14	VYDAJ	VYBER	15900	67199	\N	\N	\N
72186	239	1996-04-27	VYDAJ	VYBER	57100	60853	\N	\N	\N
72187	239	1996-05-14	VYDAJ	VYBER	21500	73767	\N	\N	\N
72188	239	1996-06-04	VYDAJ	VYBER	30300	83502	\N	\N	\N
72189	239	1996-06-13	VYDAJ	VYBER	20500	67240	\N	\N	\N
72190	239	1996-07-13	VYDAJ	VYBER	7400	57913	\N	\N	\N
72191	239	1996-08-12	VYDAJ	VYBER	16800	71714	\N	\N	\N
72192	239	1996-08-31	VYDAJ	VYBER	23300	96718	\N	\N	\N
72193	239	1996-09-11	VYDAJ	VYBER	22500	67029	\N	\N	\N
72194	239	1996-10-11	VYDAJ	VYBER	14000	65617	\N	\N	\N
72195	239	1996-10-16	VYDAJ	VYBER	45200	88602	\N	\N	\N
72196	239	1996-11-01	VYDAJ	VYBER	18600	113629	\N	\N	\N
72197	239	1996-11-03	VYDAJ	VYBER	48300	130370	\N	\N	\N
72198	239	1996-11-03	VYDAJ	VYBER	35300	95070	\N	\N	\N
72199	239	1996-11-09	VYDAJ	VYBER	15500	115263	\N	\N	\N
72200	239	1996-11-10	VYDAJ	VYBER	27900	81368	\N	\N	\N
72201	239	1996-12-10	VYDAJ	VYBER	18300	76835	\N	\N	\N
72202	239	1996-12-14	VYDAJ	VYBER	24300	118561	\N	\N	\N
72203	239	1996-12-16	VYDAJ	VYBER	46100	70061	\N	\N	\N
72204	239	1997-01-09	VYDAJ	VYBER	2500	57080	\N	\N	\N
72205	239	1997-02-08	PRIJEM	VKLAD	7100	44727	\N	\N	\N
72206	239	1997-02-14	VYDAJ	VYBER	39200	57726	\N	\N	\N
72207	239	1997-03-10	VYDAJ	VYBER	1000	44856	\N	\N	\N
72208	239	1997-04-09	VYDAJ	VYBER	23200	67520	\N	\N	\N
72209	239	1997-05-09	VYDAJ	VYBER	1400	53382	\N	\N	\N
72210	239	1997-06-08	PRIJEM	VKLAD	3600	44421	\N	\N	\N
72211	239	1997-07-08	PRIJEM	VKLAD	1300	50531	\N	\N	\N
72212	239	1997-08-07	PRIJEM	VKLAD	10200	42682	\N	\N	\N
72213	239	1997-09-06	PRIJEM	VKLAD	2200	45264	\N	\N	\N
72214	239	1997-10-06	VYDAJ	VYBER	1000	53163	\N	\N	\N
72215	239	1997-11-05	VYDAJ	VYBER	43200	59969	\N	\N	\N
72216	239	1997-11-05	VYDAJ	VYBER	12800	103169	\N	\N	\N
72217	239	1997-12-05	VYDAJ	VYBER	15000	62070	\N	\N	\N
72218	239	1998-01-04	VYDAJ	VYBER	11900	65767	\N	\N	\N
72219	239	1998-02-03	PRIJEM	VKLAD	5700	47616	\N	\N	\N
72220	239	1998-03-05	PRIJEM	VKLAD	13800	46528	\N	\N	\N
72221	239	1998-04-04	PRIJEM	VKLAD	9900	49368	\N	\N	\N
72222	239	1998-05-04	PRIJEM	VKLAD	8900	48532	\N	\N	\N
72223	239	1998-06-03	PRIJEM	VKLAD	15400	44637	\N	\N	\N
72224	239	1998-07-03	PRIJEM	VKLAD	16900	46496	\N	\N	\N
72225	239	1998-08-02	PRIJEM	VKLAD	14600	54032	\N	\N	\N
72226	239	1998-09-01	PRIJEM	VKLAD	18900	50607	\N	\N	\N
72227	239	1998-10-01	PRIJEM	VKLAD	15600	59158	\N	\N	\N
72228	239	1998-10-31	PRIJEM	VKLAD	20900	60288	\N	\N	\N
72229	239	1998-11-30	PRIJEM	VKLAD	21900	57536	\N	\N	\N
72300	240	1997-04-28	PRIJEM	VKLAD	300	300	\N	\N	\N
72305	240	1997-05-07	PRIJEM	VKLAD	22572	22872	\N	\N	\N
72306	240	1997-06-07	PRIJEM	VKLAD	33858	57343	\N	\N	\N
72307	240	1997-07-07	PRIJEM	VKLAD	22572	62922	\N	\N	\N
72308	240	1997-08-07	PRIJEM	VKLAD	22572	65363	\N	\N	\N
72309	240	1997-09-07	PRIJEM	VKLAD	22572	67915	\N	\N	\N
72310	240	1997-10-07	PRIJEM	VKLAD	22572	63392	\N	\N	\N
72311	240	1997-11-07	PRIJEM	VKLAD	22572	58749	\N	\N	\N
72312	240	1997-12-07	PRIJEM	VKLAD	33858	66171	\N	\N	\N
72313	240	1998-01-07	PRIJEM	VKLAD	22572	54219	\N	\N	\N
72314	240	1998-02-07	PRIJEM	VKLAD	22572	48101	\N	\N	\N
72315	240	1998-03-07	PRIJEM	VKLAD	22572	51075	\N	\N	\N
72316	240	1998-04-07	PRIJEM	VKLAD	22572	50582	\N	\N	\N
72317	240	1998-05-07	PRIJEM	VKLAD	22572	52068	\N	\N	\N
72318	240	1998-06-07	PRIJEM	VKLAD	33858	61041	\N	\N	\N
72319	240	1998-07-07	PRIJEM	VKLAD	22572	51564	\N	\N	\N
72320	240	1998-08-07	PRIJEM	VKLAD	22572	49284	\N	\N	\N
72321	240	1998-09-07	PRIJEM	VKLAD	22572	46852	\N	\N	\N
72322	240	1998-10-07	PRIJEM	VKLAD	22572	39184	\N	\N	\N
72323	240	1998-11-07	PRIJEM	VKLAD	22572	38831	\N	\N	\N
72324	240	1998-12-07	PRIJEM	VKLAD	33858	50744	\N	\N	\N
72333	240	1997-09-07	VYDAJ	PREVOD NA UCET	9621	58294	SIPO	WX	50178039
72334	240	1997-10-07	VYDAJ	PREVOD NA UCET	9621	53771	SIPO	WX	50178039
72335	240	1997-11-07	VYDAJ	PREVOD NA UCET	9621	49128	SIPO	WX	50178039
72336	240	1997-12-07	VYDAJ	PREVOD NA UCET	9621	56550	SIPO	WX	50178039
72337	240	1998-01-07	VYDAJ	PREVOD NA UCET	9621	44598	SIPO	WX	50178039
72338	240	1998-02-07	VYDAJ	PREVOD NA UCET	9621	38480	SIPO	WX	50178039
72339	240	1998-03-07	VYDAJ	PREVOD NA UCET	9621	41454	SIPO	WX	50178039
72340	240	1998-04-07	VYDAJ	PREVOD NA UCET	9621	40961	SIPO	WX	50178039
72341	240	1998-05-07	VYDAJ	PREVOD NA UCET	9621	42447	SIPO	WX	50178039
72342	240	1998-06-07	VYDAJ	PREVOD NA UCET	9621	51420	SIPO	WX	50178039
72343	240	1998-07-07	VYDAJ	PREVOD NA UCET	9621	41943	SIPO	WX	50178039
72344	240	1998-08-07	VYDAJ	PREVOD NA UCET	9621	39663	SIPO	WX	50178039
72345	240	1998-09-07	VYDAJ	PREVOD NA UCET	9621	37231	SIPO	WX	50178039
72346	240	1998-10-07	VYDAJ	PREVOD NA UCET	9621	29563	SIPO	WX	50178039
72347	240	1998-11-07	VYDAJ	PREVOD NA UCET	9621	29210	SIPO	WX	50178039
72348	240	1998-12-07	VYDAJ	PREVOD NA UCET	9621	41123	SIPO	WX	50178039
72375	240	1997-12-29	VYDAJ	VYBER	3680	31470	\N	\N	\N
72383	240	1998-01-20	VYDAJ	VYBER	600	38478	\N	\N	\N
72384	240	1998-01-30	VYDAJ	VYBER	2760	25398	\N	\N	\N
72385	240	1998-01-11	VYDAJ	VYBER	2760	39078	\N	\N	\N
72386	240	1998-01-27	VYDAJ	VYBER	1320	28758	\N	\N	\N
72387	240	1998-01-28	VYDAJ	VYBER	600	28158	\N	\N	\N
72388	240	1998-01-08	VYDAJ	VYBER	2760	41838	\N	\N	\N
72391	240	1998-05-22	VYDAJ	VYBER	1560	40887	\N	\N	\N
72392	240	1998-06-01	VYDAJ	VYBER	2040	27183	\N	\N	\N
72393	240	1998-07-09	VYDAJ	VYBER	1560	40383	\N	\N	\N
72394	240	1998-10-01	VYDAJ	VYBER	3840	16612	\N	\N	\N
72395	240	1998-04-02	VYDAJ	VYBER	2880	28010	\N	\N	\N
72405	240	1997-09-30	VYDAJ	VYBER	15	40820	SLUZBY	\N	\N
72406	240	1997-10-31	VYDAJ	VYBER	15	36177	SLUZBY	\N	\N
72407	240	1997-11-30	VYDAJ	VYBER	15	32313	SLUZBY	\N	\N
72408	240	1997-12-31	VYDAJ	VYBER	15	31647	SLUZBY	\N	\N
72409	240	1998-01-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
72410	240	1998-02-28	VYDAJ	VYBER	15	28503	SLUZBY	\N	\N
72411	240	1998-03-31	VYDAJ	VYBER	15	30890	SLUZBY	\N	\N
72412	240	1998-04-30	VYDAJ	VYBER	15	29496	SLUZBY	\N	\N
72413	240	1998-05-31	VYDAJ	VYBER	15	29223	SLUZBY	\N	\N
72414	240	1998-06-30	VYDAJ	VYBER	15	28992	SLUZBY	\N	\N
72415	240	1998-07-31	VYDAJ	VYBER	15	26712	SLUZBY	\N	\N
72416	240	1998-08-31	VYDAJ	VYBER	15	24280	SLUZBY	\N	\N
72417	240	1998-09-30	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
72418	240	1998-10-31	VYDAJ	VYBER	15	16259	SLUZBY	\N	\N
72419	240	1998-11-30	VYDAJ	VYBER	15	16886	SLUZBY	\N	\N
72420	240	1997-05-28	PRIJEM	VKLAD	600	23472	\N	\N	\N
72421	240	1997-06-27	VYDAJ	VYBER	17100	40243	\N	\N	\N
72422	240	1997-07-27	VYDAJ	VYBER	20300	42622	\N	\N	\N
72423	240	1997-08-26	VYDAJ	VYBER	20200	45163	\N	\N	\N
72424	240	1997-09-25	VYDAJ	VYBER	17700	40594	\N	\N	\N
72425	240	1997-10-25	VYDAJ	VYBER	17800	35971	\N	\N	\N
72426	240	1997-11-24	VYDAJ	VYBER	17000	32128	\N	\N	\N
72427	240	1997-12-24	VYDAJ	VYBER	21400	35150	\N	\N	\N
72428	240	1998-01-23	VYDAJ	VYBER	8400	30078	\N	\N	\N
72429	240	1998-02-22	VYDAJ	VYBER	10100	28380	\N	\N	\N
72430	240	1998-03-24	VYDAJ	VYBER	10700	30754	\N	\N	\N
72431	240	1998-04-23	VYDAJ	VYBER	11600	29361	\N	\N	\N
72432	240	1998-05-23	VYDAJ	VYBER	11800	29087	\N	\N	\N
72433	240	1998-06-22	VYDAJ	VYBER	22600	28820	\N	\N	\N
72434	240	1998-07-22	VYDAJ	VYBER	13800	26583	\N	\N	\N
72435	240	1998-08-21	VYDAJ	VYBER	15500	24163	\N	\N	\N
72436	240	1998-09-20	VYDAJ	VYBER	16900	20331	\N	\N	\N
72437	240	1998-10-20	VYDAJ	VYBER	13400	16163	\N	\N	\N
72438	240	1998-11-19	VYDAJ	VYBER	12400	16810	\N	\N	\N
72439	240	1998-12-19	VYDAJ	VYBER	23600	17523	\N	\N	\N
72460	241	1996-09-29	PRIJEM	VKLAD	500	500	\N	\N	\N
72470	241	1996-10-10	PRIJEM	PREVOD Z UCTU	3880	4380	\N	QR	61068302
72471	241	1996-11-10	PRIJEM	PREVOD Z UCTU	3880	18566	\N	QR	61068302
72472	241	1996-12-10	PRIJEM	PREVOD Z UCTU	3880	23209	\N	QR	61068302
72473	241	1997-01-10	PRIJEM	PREVOD Z UCTU	3880	29473	\N	QR	61068302
72474	241	1997-02-10	PRIJEM	PREVOD Z UCTU	3880	30059	\N	QR	61068302
72475	241	1997-03-10	PRIJEM	PREVOD Z UCTU	3880	31657	\N	QR	61068302
72476	241	1997-04-10	PRIJEM	PREVOD Z UCTU	3880	33364	\N	QR	61068302
72477	241	1997-05-10	PRIJEM	PREVOD Z UCTU	3880	27069	\N	QR	61068302
72478	241	1997-06-10	PRIJEM	PREVOD Z UCTU	3880	27603	\N	QR	61068302
72479	241	1997-07-10	PRIJEM	PREVOD Z UCTU	3880	23930	\N	QR	61068302
72480	241	1997-08-10	PRIJEM	PREVOD Z UCTU	3880	24604	\N	QR	61068302
72481	241	1997-09-10	PRIJEM	PREVOD Z UCTU	3880	24480	\N	QR	61068302
72482	241	1997-10-10	PRIJEM	PREVOD Z UCTU	3880	23655	\N	QR	61068302
72483	241	1997-11-10	PRIJEM	PREVOD Z UCTU	3880	23526	\N	QR	61068302
72484	241	1997-12-10	PRIJEM	PREVOD Z UCTU	3880	24638	\N	QR	61068302
72485	241	1998-01-10	PRIJEM	PREVOD Z UCTU	3880	26467	\N	QR	61068302
72486	241	1998-02-10	PRIJEM	PREVOD Z UCTU	3880	31717	\N	QR	61068302
72487	241	1998-03-10	PRIJEM	PREVOD Z UCTU	3880	31019	\N	QR	61068302
72488	241	1998-04-10	PRIJEM	PREVOD Z UCTU	3880	35754	\N	QR	61068302
72489	241	1998-05-10	PRIJEM	PREVOD Z UCTU	3880	33272	\N	QR	61068302
72490	241	1998-06-10	PRIJEM	PREVOD Z UCTU	3880	34083	\N	QR	61068302
72491	241	1998-07-10	PRIJEM	PREVOD Z UCTU	3880	31947	\N	QR	61068302
72492	241	1998-08-10	PRIJEM	PREVOD Z UCTU	3880	33352	\N	QR	61068302
72493	241	1998-09-10	PRIJEM	PREVOD Z UCTU	3880	29958	\N	QR	61068302
72494	241	1998-10-10	PRIJEM	PREVOD Z UCTU	3880	30956	\N	QR	61068302
72495	241	1998-11-10	PRIJEM	PREVOD Z UCTU	3880	36665	\N	QR	61068302
72496	241	1998-12-10	PRIJEM	PREVOD Z UCTU	3880	38651	\N	QR	61068302
72511	241	1997-03-08	VYDAJ	PREVOD NA UCET	1344	27777	SIPO	QR	28285497
72512	241	1997-04-08	VYDAJ	PREVOD NA UCET	1344	29484	SIPO	QR	28285497
72513	241	1997-05-08	VYDAJ	PREVOD NA UCET	1344	23189	SIPO	QR	28285497
72514	241	1997-06-08	VYDAJ	PREVOD NA UCET	1344	23723	SIPO	QR	28285497
72515	241	1997-07-08	VYDAJ	PREVOD NA UCET	1344	20050	SIPO	QR	28285497
72516	241	1997-08-08	VYDAJ	PREVOD NA UCET	1344	20724	SIPO	QR	28285497
72517	241	1997-09-08	VYDAJ	PREVOD NA UCET	1344	20600	SIPO	QR	28285497
72518	241	1997-10-08	VYDAJ	PREVOD NA UCET	1344	19775	SIPO	QR	28285497
72519	241	1997-11-08	VYDAJ	PREVOD NA UCET	1344	19646	SIPO	QR	28285497
72520	241	1997-12-08	VYDAJ	PREVOD NA UCET	1344	20758	SIPO	QR	28285497
72521	241	1998-01-08	VYDAJ	PREVOD NA UCET	1344	24687	SIPO	QR	28285497
72522	241	1998-02-08	VYDAJ	PREVOD NA UCET	1344	27837	SIPO	QR	28285497
72523	241	1998-03-08	VYDAJ	PREVOD NA UCET	1344	27139	SIPO	QR	28285497
72524	241	1998-04-08	VYDAJ	PREVOD NA UCET	1344	31874	SIPO	QR	28285497
72525	241	1998-05-08	VYDAJ	PREVOD NA UCET	1344	29392	SIPO	QR	28285497
72526	241	1998-06-08	VYDAJ	PREVOD NA UCET	1344	30203	SIPO	QR	28285497
72527	241	1998-07-08	VYDAJ	PREVOD NA UCET	1344	28067	SIPO	QR	28285497
72528	241	1998-08-08	VYDAJ	PREVOD NA UCET	1344	29472	SIPO	QR	28285497
72529	241	1998-09-08	VYDAJ	PREVOD NA UCET	1344	26078	SIPO	QR	28285497
72530	241	1998-10-08	VYDAJ	PREVOD NA UCET	1344	27076	SIPO	QR	28285497
72531	241	1998-11-08	VYDAJ	PREVOD NA UCET	1344	32785	SIPO	QR	28285497
72532	241	1998-12-08	VYDAJ	PREVOD NA UCET	1344	34771	SIPO	QR	28285497
72546	241	1997-02-10	VYDAJ	PREVOD NA UCET	632	29427	 	MN	27381342
72547	241	1997-03-10	VYDAJ	PREVOD NA UCET	632	31025	 	MN	27381342
72548	241	1997-04-10	VYDAJ	PREVOD NA UCET	632	32732	 	MN	27381342
72549	241	1997-05-10	VYDAJ	PREVOD NA UCET	632	26437	 	MN	27381342
72550	241	1997-06-10	VYDAJ	PREVOD NA UCET	632	26971	 	MN	27381342
72551	241	1997-07-10	VYDAJ	PREVOD NA UCET	632	22688	 	MN	27381342
72552	241	1997-08-10	VYDAJ	PREVOD NA UCET	632	23972	 	MN	27381342
72553	241	1997-09-10	VYDAJ	PREVOD NA UCET	632	23238	 	MN	27381342
72554	241	1997-10-10	VYDAJ	PREVOD NA UCET	632	22413	 	MN	27381342
72555	241	1997-11-10	VYDAJ	PREVOD NA UCET	632	22894	 	MN	27381342
72556	241	1997-12-10	VYDAJ	PREVOD NA UCET	632	23396	 	MN	27381342
72557	241	1998-01-10	VYDAJ	PREVOD NA UCET	632	25835	 	MN	27381342
72558	241	1998-02-10	VYDAJ	PREVOD NA UCET	632	31085	 	MN	27381342
72559	241	1998-03-10	VYDAJ	PREVOD NA UCET	632	30387	 	MN	27381342
72560	241	1998-04-10	VYDAJ	PREVOD NA UCET	632	34512	 	MN	27381342
72561	241	1998-05-10	VYDAJ	PREVOD NA UCET	632	32030	 	MN	27381342
72562	241	1998-06-10	VYDAJ	PREVOD NA UCET	632	33451	 	MN	27381342
72563	241	1998-07-10	VYDAJ	PREVOD NA UCET	632	30705	 	MN	27381342
72564	241	1998-08-10	VYDAJ	PREVOD NA UCET	632	32110	 	MN	27381342
72565	241	1998-09-10	VYDAJ	PREVOD NA UCET	632	28716	 	MN	27381342
72566	241	1998-10-10	VYDAJ	PREVOD NA UCET	632	29714	 	MN	27381342
72567	241	1998-11-10	VYDAJ	PREVOD NA UCET	632	36033	 	MN	27381342
72568	241	1998-12-10	VYDAJ	PREVOD NA UCET	632	38019	 	MN	27381342
72582	241	1997-02-10	VYDAJ	PREVOD NA UCET	610	28817	POJISTNE	EF	14364838
72583	241	1997-03-10	VYDAJ	PREVOD NA UCET	610	30415	POJISTNE	EF	14364838
72584	241	1997-04-10	VYDAJ	PREVOD NA UCET	610	32122	POJISTNE	EF	14364838
72585	241	1997-05-10	VYDAJ	PREVOD NA UCET	610	25827	POJISTNE	EF	14364838
72586	241	1997-06-10	VYDAJ	PREVOD NA UCET	610	26361	POJISTNE	EF	14364838
72587	241	1997-07-10	VYDAJ	PREVOD NA UCET	610	23320	POJISTNE	EF	14364838
72588	241	1997-08-10	VYDAJ	PREVOD NA UCET	610	23362	POJISTNE	EF	14364838
72589	241	1997-09-10	VYDAJ	PREVOD NA UCET	610	23870	POJISTNE	EF	14364838
72590	241	1997-10-10	VYDAJ	PREVOD NA UCET	610	23045	POJISTNE	EF	14364838
72591	241	1997-11-10	VYDAJ	PREVOD NA UCET	610	22284	POJISTNE	EF	14364838
72592	241	1997-12-10	VYDAJ	PREVOD NA UCET	610	24028	POJISTNE	EF	14364838
72593	241	1998-01-10	VYDAJ	PREVOD NA UCET	610	25225	POJISTNE	EF	14364838
72594	241	1998-02-10	VYDAJ	PREVOD NA UCET	610	30475	POJISTNE	EF	14364838
72595	241	1998-03-10	VYDAJ	PREVOD NA UCET	610	29777	POJISTNE	EF	14364838
72596	241	1998-04-10	VYDAJ	PREVOD NA UCET	610	35144	POJISTNE	EF	14364838
72597	241	1998-05-10	VYDAJ	PREVOD NA UCET	610	32662	POJISTNE	EF	14364838
72598	241	1998-06-10	VYDAJ	PREVOD NA UCET	610	32841	POJISTNE	EF	14364838
72599	241	1998-07-10	VYDAJ	PREVOD NA UCET	610	31337	POJISTNE	EF	14364838
72600	241	1998-08-10	VYDAJ	PREVOD NA UCET	610	32742	POJISTNE	EF	14364838
72601	241	1998-09-10	VYDAJ	PREVOD NA UCET	610	29348	POJISTNE	EF	14364838
72602	241	1998-10-10	VYDAJ	PREVOD NA UCET	610	30346	POJISTNE	EF	14364838
72603	241	1998-11-10	VYDAJ	PREVOD NA UCET	610	35423	POJISTNE	EF	14364838
72604	241	1998-12-10	VYDAJ	PREVOD NA UCET	610	37409	POJISTNE	EF	14364838
72606	241	1997-06-28	VYDAJ	VYBER	3960	21301	\N	\N	\N
72607	241	1998-06-13	VYDAJ	VYBER	5040	27801	\N	\N	\N
72610	241	1998-01-09	VYDAJ	VYBER	1650	22587	\N	\N	\N
72612	241	1997-12-01	VYDAJ	VYBER	750	22102	\N	\N	\N
72613	241	1998-12-29	VYDAJ	VYBER	450	39749	\N	\N	\N
72626	241	1998-01-04	VYDAJ	VYBER	150	26031	\N	\N	\N
72627	241	1998-01-30	VYDAJ	VYBER	540	29085	\N	\N	\N
72628	241	1998-01-17	VYDAJ	VYBER	690	24535	\N	\N	\N
72629	241	1998-01-19	VYDAJ	VYBER	510	24025	\N	\N	\N
72630	241	1998-01-23	VYDAJ	VYBER	600	29625	\N	\N	\N
72631	241	1998-01-09	VYDAJ	VYBER	450	24237	\N	\N	\N
72636	241	1997-04-21	VYDAJ	VYBER	1410	29812	\N	\N	\N
72637	241	1997-05-25	VYDAJ	VYBER	1350	24477	\N	\N	\N
72638	241	1997-04-23	VYDAJ	VYBER	390	29422	\N	\N	\N
72639	241	1997-11-24	VYDAJ	VYBER	1410	22774	\N	\N	\N
72640	241	1997-04-13	VYDAJ	VYBER	900	31222	\N	\N	\N
72641	241	1998-11-18	VYDAJ	VYBER	240	35983	\N	\N	\N
72642	241	1998-03-16	VYDAJ	VYBER	870	28907	\N	\N	\N
72643	241	1998-12-25	VYDAJ	VYBER	810	40199	\N	\N	\N
72658	241	1997-02-28	VYDAJ	VYBER	15	29121	SLUZBY	\N	\N
72659	241	1997-03-31	VYDAJ	VYBER	15	30828	SLUZBY	\N	\N
72660	241	1997-04-30	VYDAJ	VYBER	15	24533	SLUZBY	\N	\N
72661	241	1997-05-31	VYDAJ	VYBER	15	25067	SLUZBY	\N	\N
72662	241	1997-06-30	VYDAJ	VYBER	15	21394	SLUZBY	\N	\N
72663	241	1997-07-31	VYDAJ	VYBER	15	22068	SLUZBY	\N	\N
72664	241	1997-08-31	VYDAJ	VYBER	15	21944	SLUZBY	\N	\N
72665	241	1997-09-30	VYDAJ	VYBER	15	21119	SLUZBY	\N	\N
72666	241	1997-10-31	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
72667	241	1997-11-30	VYDAJ	VYBER	15	22852	SLUZBY	\N	\N
72668	241	1997-12-31	VYDAJ	VYBER	15	26181	SLUZBY	\N	\N
72669	241	1998-01-31	VYDAJ	VYBER	15	29181	SLUZBY	\N	\N
72670	241	1998-02-28	VYDAJ	VYBER	15	28483	SLUZBY	\N	\N
72671	241	1998-03-31	VYDAJ	VYBER	15	33218	SLUZBY	\N	\N
72672	241	1998-04-30	VYDAJ	VYBER	15	30736	SLUZBY	\N	\N
72673	241	1998-05-31	VYDAJ	VYBER	15	31547	SLUZBY	\N	\N
72674	241	1998-06-30	VYDAJ	VYBER	15	29411	SLUZBY	\N	\N
72675	241	1998-07-31	VYDAJ	VYBER	15	30816	SLUZBY	\N	\N
72676	241	1998-08-31	VYDAJ	VYBER	15	27422	SLUZBY	\N	\N
72677	241	1998-09-30	VYDAJ	VYBER	15	28420	SLUZBY	\N	\N
72678	241	1998-10-31	VYDAJ	VYBER	15	34129	SLUZBY	\N	\N
72679	241	1998-11-30	VYDAJ	VYBER	15	36115	SLUZBY	\N	\N
72680	241	1996-10-29	PRIJEM	VKLAD	10300	14680	\N	\N	\N
72681	241	1996-11-28	PRIJEM	VKLAD	700	19266	\N	\N	\N
72682	241	1996-12-28	PRIJEM	VKLAD	2300	25509	\N	\N	\N
72683	241	1997-01-27	VYDAJ	VYBER	3400	26073	\N	\N	\N
72684	241	1997-02-26	PRIJEM	VKLAD	200	29017	\N	\N	\N
72685	241	1997-03-28	PRIJEM	VKLAD	300	30715	\N	\N	\N
72686	241	1997-04-27	VYDAJ	VYBER	5000	24422	\N	\N	\N
72687	241	1997-05-27	PRIJEM	VKLAD	500	24977	\N	\N	\N
72688	241	1997-06-26	VYDAJ	VYBER	1100	25261	\N	\N	\N
72689	241	1997-07-26	VYDAJ	VYBER	700	21988	\N	\N	\N
72690	241	1997-08-25	VYDAJ	VYBER	1500	21862	\N	\N	\N
72691	241	1997-09-24	VYDAJ	VYBER	2200	21038	\N	\N	\N
72692	241	1997-10-24	VYDAJ	VYBER	1500	20913	\N	\N	\N
72693	241	1997-11-23	PRIJEM	VKLAD	1900	24184	\N	\N	\N
72694	241	1997-12-23	PRIJEM	VKLAD	2700	26096	\N	\N	\N
72695	241	1998-01-22	PRIJEM	VKLAD	6200	30225	\N	\N	\N
72696	241	1998-02-21	VYDAJ	VYBER	2100	28375	\N	\N	\N
72697	241	1998-03-23	PRIJEM	VKLAD	4200	33107	\N	\N	\N
72698	241	1998-04-22	VYDAJ	VYBER	3900	30612	\N	\N	\N
72699	241	1998-05-22	VYDAJ	VYBER	600	31430	\N	\N	\N
72700	241	1998-06-21	PRIJEM	VKLAD	1500	29301	\N	\N	\N
72701	241	1998-08-20	VYDAJ	VYBER	4800	27310	\N	\N	\N
72702	241	1998-09-19	VYDAJ	VYBER	400	28316	\N	\N	\N
72703	241	1998-10-19	PRIJEM	VKLAD	4300	34014	\N	\N	\N
72704	241	1998-11-18	PRIJEM	VKLAD	800	36223	\N	\N	\N
72705	241	1998-12-18	PRIJEM	VKLAD	3600	41009	\N	\N	\N
72733	242	1996-08-29	PRIJEM	VKLAD	500	500	\N	\N	\N
72742	242	1996-09-06	PRIJEM	VKLAD	23326	23826	\N	\N	\N
72743	242	1996-10-06	PRIJEM	VKLAD	23326	48863	\N	\N	\N
72744	242	1996-11-06	PRIJEM	VKLAD	23326	57600	\N	\N	\N
72745	242	1996-12-06	PRIJEM	VKLAD	34989	72333	\N	\N	\N
72746	242	1997-01-06	PRIJEM	VKLAD	23326	69320	\N	\N	\N
72747	242	1997-02-06	PRIJEM	VKLAD	23326	59136	\N	\N	\N
72748	242	1997-03-06	PRIJEM	VKLAD	23326	59118	\N	\N	\N
72749	242	1997-04-06	PRIJEM	VKLAD	23326	55897	\N	\N	\N
72750	242	1997-05-06	PRIJEM	VKLAD	23326	59768	\N	\N	\N
72751	242	1997-06-06	PRIJEM	VKLAD	34989	68325	\N	\N	\N
72752	242	1997-07-06	PRIJEM	VKLAD	23326	40197	\N	\N	\N
72753	242	1997-08-06	PRIJEM	VKLAD	23326	48045	\N	\N	\N
72754	242	1997-09-06	PRIJEM	VKLAD	23326	52177	\N	\N	\N
72755	242	1997-10-06	PRIJEM	VKLAD	23326	57427	\N	\N	\N
72756	242	1997-11-06	PRIJEM	VKLAD	23326	57268	\N	\N	\N
72757	242	1997-12-06	PRIJEM	VKLAD	34989	58887	\N	\N	\N
72758	242	1998-01-06	PRIJEM	VKLAD	23326	49718	\N	\N	\N
72759	242	1998-02-06	PRIJEM	VKLAD	23326	42429	\N	\N	\N
72760	242	1998-03-06	PRIJEM	VKLAD	23326	42127	\N	\N	\N
72761	242	1998-04-06	PRIJEM	VKLAD	23326	46230	\N	\N	\N
72762	242	1998-05-06	PRIJEM	VKLAD	23326	42013	\N	\N	\N
72763	242	1998-06-06	PRIJEM	VKLAD	34989	50867	\N	\N	\N
72764	242	1998-07-06	PRIJEM	VKLAD	23326	34515	\N	\N	\N
72765	242	1998-08-06	PRIJEM	VKLAD	23326	39365	\N	\N	\N
72766	242	1998-09-06	PRIJEM	VKLAD	23326	45053	\N	\N	\N
72767	242	1998-10-06	PRIJEM	VKLAD	23326	41847	\N	\N	\N
72768	242	1998-11-06	PRIJEM	VKLAD	23326	39195	\N	\N	\N
72769	242	1998-12-06	PRIJEM	VKLAD	34989	55886	\N	\N	\N
72783	242	1997-02-05	VYDAJ	PREVOD NA UCET	1062	35810	SIPO	WX	23104387
72784	242	1997-03-05	VYDAJ	PREVOD NA UCET	1062	35792	SIPO	WX	23104387
72785	242	1997-04-05	VYDAJ	PREVOD NA UCET	1062	32571	SIPO	WX	23104387
72786	242	1997-05-05	VYDAJ	PREVOD NA UCET	1062	36442	SIPO	WX	23104387
72787	242	1997-06-05	VYDAJ	PREVOD NA UCET	1062	33336	SIPO	WX	23104387
72788	242	1997-07-05	VYDAJ	PREVOD NA UCET	1062	16871	SIPO	WX	23104387
72789	242	1997-08-05	VYDAJ	PREVOD NA UCET	1062	24719	SIPO	WX	23104387
72790	242	1997-09-05	VYDAJ	PREVOD NA UCET	1062	28851	SIPO	WX	23104387
72791	242	1997-10-05	VYDAJ	PREVOD NA UCET	1062	34101	SIPO	WX	23104387
72792	242	1997-11-05	VYDAJ	PREVOD NA UCET	1062	33942	SIPO	WX	23104387
72793	242	1997-12-05	VYDAJ	PREVOD NA UCET	1062	23898	SIPO	WX	23104387
72794	242	1998-01-05	VYDAJ	PREVOD NA UCET	1062	26392	SIPO	WX	23104387
72795	242	1998-02-05	VYDAJ	PREVOD NA UCET	1062	19103	SIPO	WX	23104387
72796	242	1998-03-05	VYDAJ	PREVOD NA UCET	1062	18801	SIPO	WX	23104387
72797	242	1998-04-05	VYDAJ	PREVOD NA UCET	1062	22904	SIPO	WX	23104387
72798	242	1998-05-05	VYDAJ	PREVOD NA UCET	1062	18687	SIPO	WX	23104387
72799	242	1998-06-05	VYDAJ	PREVOD NA UCET	1062	15878	SIPO	WX	23104387
72800	242	1998-07-05	VYDAJ	PREVOD NA UCET	1062	11189	SIPO	WX	23104387
72801	242	1998-08-05	VYDAJ	PREVOD NA UCET	1062	16039	SIPO	WX	23104387
72802	242	1998-09-05	VYDAJ	PREVOD NA UCET	1062	21727	SIPO	WX	23104387
72803	242	1998-10-05	VYDAJ	PREVOD NA UCET	1062	18521	SIPO	WX	23104387
72804	242	1998-11-05	VYDAJ	PREVOD NA UCET	1062	15869	SIPO	WX	23104387
72805	242	1998-12-05	VYDAJ	PREVOD NA UCET	1062	20897	SIPO	WX	23104387
72818	242	1997-01-10	VYDAJ	PREVOD NA UCET	2977	64543	 	WX	62032568
72819	242	1997-02-10	VYDAJ	PREVOD NA UCET	2977	56159	 	WX	62032568
72820	242	1997-03-10	VYDAJ	PREVOD NA UCET	2977	56141	 	WX	62032568
72821	242	1997-04-10	VYDAJ	PREVOD NA UCET	2977	52920	 	WX	62032568
72822	242	1997-05-10	VYDAJ	PREVOD NA UCET	2977	56791	 	WX	62032568
72823	242	1997-06-10	VYDAJ	PREVOD NA UCET	2977	65348	 	WX	62032568
72824	242	1997-07-10	VYDAJ	PREVOD NA UCET	2977	37220	 	WX	62032568
72825	242	1997-08-10	VYDAJ	PREVOD NA UCET	2977	45068	 	WX	62032568
72826	242	1997-09-10	VYDAJ	PREVOD NA UCET	2977	49200	 	WX	62032568
72827	242	1997-10-10	VYDAJ	PREVOD NA UCET	2977	53130	 	WX	62032568
72828	242	1997-11-10	VYDAJ	PREVOD NA UCET	2977	52971	 	WX	62032568
72829	242	1997-12-10	VYDAJ	PREVOD NA UCET	2977	55910	 	WX	62032568
72830	242	1998-01-10	VYDAJ	PREVOD NA UCET	2977	45781	 	WX	62032568
72831	242	1998-02-10	VYDAJ	PREVOD NA UCET	2977	39452	 	WX	62032568
72832	242	1998-03-10	VYDAJ	PREVOD NA UCET	2977	39150	 	WX	62032568
72833	242	1998-04-10	VYDAJ	PREVOD NA UCET	2977	43253	 	WX	62032568
72834	242	1998-05-10	VYDAJ	PREVOD NA UCET	2977	39036	 	WX	62032568
72835	242	1998-06-10	VYDAJ	PREVOD NA UCET	2977	47890	 	WX	62032568
72836	242	1998-07-10	VYDAJ	PREVOD NA UCET	2977	31538	 	WX	62032568
72837	242	1998-08-10	VYDAJ	PREVOD NA UCET	2977	36388	 	WX	62032568
72838	242	1998-09-10	VYDAJ	PREVOD NA UCET	2977	42076	 	WX	62032568
72839	242	1998-10-10	VYDAJ	PREVOD NA UCET	2977	38870	 	WX	62032568
72840	242	1998-11-10	VYDAJ	PREVOD NA UCET	2977	36218	 	WX	62032568
72841	242	1998-12-10	VYDAJ	PREVOD NA UCET	2977	52909	 	WX	62032568
72843	242	1997-06-11	VYDAJ	VYBER	47520	17828	\N	\N	\N
72844	242	1998-06-20	VYDAJ	VYBER	27360	20530	\N	\N	\N
72846	242	1997-12-02	VYDAJ	VYBER	3040	24960	\N	\N	\N
72847	242	1998-12-01	VYDAJ	VYBER	1760	21959	\N	\N	\N
72855	242	1997-01-19	VYDAJ	VYBER	2640	58903	\N	\N	\N
72856	242	1997-01-07	VYDAJ	VYBER	1800	67520	\N	\N	\N
72857	242	1997-01-24	VYDAJ	VYBER	1560	57343	\N	\N	\N
72858	242	1997-01-13	VYDAJ	VYBER	3000	61543	\N	\N	\N
72859	242	1997-01-24	VYDAJ	VYBER	2880	54463	\N	\N	\N
72860	242	1998-01-25	VYDAJ	VYBER	1080	20041	\N	\N	\N
72861	242	1998-01-02	VYDAJ	VYBER	1920	27454	\N	\N	\N
72862	242	1998-01-19	VYDAJ	VYBER	2040	37621	\N	\N	\N
72863	242	1998-01-06	VYDAJ	VYBER	960	48758	\N	\N	\N
72864	242	1998-01-12	VYDAJ	VYBER	2640	43141	\N	\N	\N
72865	242	1998-01-18	VYDAJ	VYBER	3480	39661	\N	\N	\N
72872	242	1997-05-17	VYDAJ	VYBER	4680	52111	\N	\N	\N
72873	242	1997-10-08	VYDAJ	VYBER	1320	56107	\N	\N	\N
72874	242	1997-11-27	VYDAJ	VYBER	5640	27831	\N	\N	\N
72875	242	1997-07-25	VYDAJ	VYBER	3360	25660	\N	\N	\N
72876	242	1997-11-09	VYDAJ	VYBER	1320	55948	\N	\N	\N
72877	242	1998-10-21	VYDAJ	VYBER	2160	20310	\N	\N	\N
72878	242	1998-11-03	VYDAJ	VYBER	3480	16931	\N	\N	\N
72879	242	1998-04-15	VYDAJ	VYBER	4920	38333	\N	\N	\N
72880	242	1998-07-27	VYDAJ	VYBER	1320	17018	\N	\N	\N
72881	242	1998-01-25	VYDAJ	VYBER	1200	21121	\N	\N	\N
72895	242	1997-01-31	VYDAJ	VYBER	15	36872	SLUZBY	\N	\N
72896	242	1997-02-28	VYDAJ	VYBER	15	36854	SLUZBY	\N	\N
72897	242	1997-03-31	VYDAJ	VYBER	15	33633	SLUZBY	\N	\N
72898	242	1997-04-30	VYDAJ	VYBER	15	37504	SLUZBY	\N	\N
72899	242	1997-05-31	VYDAJ	VYBER	15	34398	SLUZBY	\N	\N
72900	242	1997-06-30	VYDAJ	VYBER	15	17933	SLUZBY	\N	\N
72901	242	1997-07-31	VYDAJ	VYBER	15	25781	SLUZBY	\N	\N
72902	242	1997-08-31	VYDAJ	VYBER	15	29913	SLUZBY	\N	\N
72903	242	1997-09-30	VYDAJ	VYBER	15	35163	SLUZBY	\N	\N
72904	242	1997-10-31	VYDAJ	VYBER	15	35004	SLUZBY	\N	\N
72905	242	1997-11-30	VYDAJ	VYBER	15	28000	SLUZBY	\N	\N
72906	242	1997-12-31	VYDAJ	VYBER	15	29374	SLUZBY	\N	\N
72907	242	1998-01-31	VYDAJ	VYBER	15	20165	SLUZBY	\N	\N
72908	242	1998-02-28	VYDAJ	VYBER	15	19863	SLUZBY	\N	\N
72909	242	1998-03-31	VYDAJ	VYBER	15	23966	SLUZBY	\N	\N
72910	242	1998-04-30	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
72911	242	1998-05-31	VYDAJ	VYBER	15	16940	SLUZBY	\N	\N
72912	242	1998-06-30	VYDAJ	VYBER	15	12251	SLUZBY	\N	\N
72913	242	1998-07-31	VYDAJ	VYBER	15	17101	SLUZBY	\N	\N
72914	242	1998-08-31	VYDAJ	VYBER	15	22789	SLUZBY	\N	\N
72915	242	1998-09-30	VYDAJ	VYBER	15	19583	SLUZBY	\N	\N
72916	242	1998-10-31	VYDAJ	VYBER	15	20411	SLUZBY	\N	\N
72917	242	1998-11-30	VYDAJ	VYBER	15	23719	SLUZBY	\N	\N
72918	242	1996-09-28	PRIJEM	VKLAD	1700	25526	\N	\N	\N
72919	242	1996-10-28	VYDAJ	VYBER	14700	34163	\N	\N	\N
72920	242	1996-11-27	VYDAJ	VYBER	20400	37200	\N	\N	\N
72921	242	1996-12-27	VYDAJ	VYBER	26500	45833	\N	\N	\N
72922	242	1997-01-26	VYDAJ	VYBER	17800	36663	\N	\N	\N
72923	242	1997-02-25	VYDAJ	VYBER	19500	36659	\N	\N	\N
72924	242	1997-03-27	VYDAJ	VYBER	22700	33441	\N	\N	\N
72925	242	1997-04-26	VYDAJ	VYBER	15600	37320	\N	\N	\N
72926	242	1997-05-26	VYDAJ	VYBER	17900	34211	\N	\N	\N
72927	242	1997-07-25	VYDAJ	VYBER	8200	29020	\N	\N	\N
72928	242	1997-08-24	VYDAJ	VYBER	15300	29768	\N	\N	\N
72929	242	1997-09-23	VYDAJ	VYBER	14200	35000	\N	\N	\N
72930	242	1997-10-23	VYDAJ	VYBER	18300	34830	\N	\N	\N
72931	242	1997-11-22	VYDAJ	VYBER	19500	33471	\N	\N	\N
72932	242	1997-12-22	VYDAJ	VYBER	26700	29210	\N	\N	\N
72933	242	1998-01-21	VYDAJ	VYBER	15300	22321	\N	\N	\N
72934	242	1998-02-20	VYDAJ	VYBER	19700	19752	\N	\N	\N
72935	242	1998-03-22	VYDAJ	VYBER	15300	23850	\N	\N	\N
72936	242	1998-04-21	VYDAJ	VYBER	18700	19633	\N	\N	\N
72937	242	1998-05-21	VYDAJ	VYBER	22200	16836	\N	\N	\N
72938	242	1998-06-20	VYDAJ	VYBER	8400	12130	\N	\N	\N
72939	242	1998-07-20	VYDAJ	VYBER	13200	18338	\N	\N	\N
72940	242	1998-08-19	VYDAJ	VYBER	13700	22688	\N	\N	\N
72941	242	1998-09-18	VYDAJ	VYBER	22600	19476	\N	\N	\N
72942	242	1998-10-18	VYDAJ	VYBER	16400	22470	\N	\N	\N
72943	242	1998-11-17	VYDAJ	VYBER	12600	23618	\N	\N	\N
72972	243	1993-11-06	PRIJEM	VKLAD	900	900	\N	\N	\N
72973	243	1994-01-09	PRIJEM	VKLAD	22884	42284	\N	\N	\N
72974	243	1994-04-25	PRIJEM	VKLAD	26418	119085	\N	\N	\N
72975	243	1994-10-18	PRIJEM	VKLAD	34070	72040	\N	\N	\N
72976	243	1994-05-21	PRIJEM	VKLAD	43010	136677	\N	\N	\N
72977	243	1994-05-25	PRIJEM	VKLAD	11596	87611	\N	\N	\N
72978	243	1994-05-15	PRIJEM	VKLAD	49503	100685	\N	\N	\N
72979	243	1994-06-28	PRIJEM	VKLAD	13888	79098	\N	\N	\N
72980	243	1994-05-24	PRIJEM	VKLAD	14873	115050	\N	\N	\N
72981	243	1994-05-18	PRIJEM	VKLAD	14869	115554	\N	\N	\N
72982	243	1994-04-19	PRIJEM	VKLAD	47537	92667	\N	\N	\N
72983	243	1994-09-12	PRIJEM	VKLAD	28405	57442	\N	\N	\N
72984	243	1994-12-11	PRIJEM	VKLAD	30426	86673	\N	\N	\N
72985	243	1994-05-19	PRIJEM	VKLAD	19013	93667	\N	\N	\N
72986	243	1994-10-24	PRIJEM	VKLAD	32319	104359	\N	\N	\N
72987	243	1994-11-03	PRIJEM	VKLAD	48813	98646	\N	\N	\N
72988	243	1994-10-26	PRIJEM	VKLAD	10415	114774	\N	\N	\N
72989	243	1994-06-15	PRIJEM	VKLAD	30730	65210	\N	\N	\N
72990	243	1994-05-24	PRIJEM	VKLAD	19165	134215	\N	\N	\N
72991	243	1994-03-26	PRIJEM	VKLAD	32948	61139	\N	\N	\N
72992	243	1995-02-07	PRIJEM	VKLAD	41713	66017	\N	\N	\N
72993	243	1995-12-26	PRIJEM	VKLAD	40873	89434	\N	\N	\N
72994	243	1995-09-23	PRIJEM	VKLAD	40310	60753	\N	\N	\N
72995	243	1995-12-14	PRIJEM	VKLAD	30723	51628	\N	\N	\N
72996	243	1995-06-16	PRIJEM	VKLAD	16309	60639	\N	\N	\N
72997	243	1995-08-14	PRIJEM	VKLAD	15830	40287	\N	\N	\N
72998	243	1995-04-07	PRIJEM	VKLAD	27314	69142	\N	\N	\N
72999	243	1995-05-09	PRIJEM	VKLAD	25256	56830	\N	\N	\N
73000	243	1995-02-24	PRIJEM	VKLAD	25506	101940	\N	\N	\N
73001	243	1995-10-14	PRIJEM	VKLAD	39238	79889	\N	\N	\N
73002	243	1995-05-27	PRIJEM	VKLAD	18654	72417	\N	\N	\N
73003	243	1995-03-14	PRIJEM	VKLAD	43333	93087	\N	\N	\N
73004	243	1995-02-18	PRIJEM	VKLAD	17384	76434	\N	\N	\N
73005	243	1996-09-30	PRIJEM	VKLAD	11526	49472	\N	\N	\N
73006	243	1996-08-25	PRIJEM	VKLAD	5865	47876	\N	\N	\N
73007	243	1996-07-27	PRIJEM	VKLAD	21541	68528	\N	\N	\N
73008	243	1996-08-19	PRIJEM	VKLAD	19813	98351	\N	\N	\N
73009	243	1996-08-21	PRIJEM	VKLAD	46460	144811	\N	\N	\N
73010	243	1996-02-10	PRIJEM	VKLAD	13571	68872	\N	\N	\N
73011	243	1996-09-20	PRIJEM	VKLAD	30652	82746	\N	\N	\N
73012	243	1996-02-21	PRIJEM	VKLAD	9578	54932	\N	\N	\N
73013	243	1996-07-18	PRIJEM	VKLAD	24174	102387	\N	\N	\N
73014	243	1996-05-20	PRIJEM	VKLAD	36465	63343	\N	\N	\N
73015	243	1996-02-14	PRIJEM	VKLAD	42849	111721	\N	\N	\N
73016	243	1996-01-12	PRIJEM	VKLAD	39765	102592	\N	\N	\N
73017	243	1996-04-23	PRIJEM	VKLAD	29595	63591	\N	\N	\N
73018	243	1996-01-08	PRIJEM	VKLAD	28863	70927	\N	\N	\N
73019	243	1996-09-03	PRIJEM	VKLAD	7001	55161	\N	\N	\N
73020	243	1996-06-25	PRIJEM	VKLAD	10201	54791	\N	\N	\N
73021	243	1996-07-14	PRIJEM	VKLAD	16160	81280	\N	\N	\N
73022	243	1996-06-14	PRIJEM	VKLAD	21727	52082	\N	\N	\N
73023	243	1996-04-23	PRIJEM	VKLAD	21742	33996	\N	\N	\N
73024	243	1996-10-24	PRIJEM	VKLAD	43603	81773	\N	\N	\N
73025	243	1996-02-02	PRIJEM	VKLAD	8326	40673	\N	\N	\N
73026	243	1996-07-05	PRIJEM	VKLAD	10155	65120	\N	\N	\N
73027	243	1996-06-18	PRIJEM	VKLAD	42975	91990	\N	\N	\N
73028	243	1996-12-26	PRIJEM	VKLAD	13079	29219	\N	\N	\N
73029	243	1996-08-10	PRIJEM	VKLAD	34065	81605	\N	\N	\N
73030	243	1996-11-27	PRIJEM	VKLAD	20890	47289	\N	\N	\N
73031	243	1996-08-05	PRIJEM	VKLAD	41365	110140	\N	\N	\N
73032	243	1996-02-06	PRIJEM	VKLAD	14628	55301	\N	\N	\N
73033	243	1996-12-28	PRIJEM	VKLAD	12363	39182	\N	\N	\N
73034	243	1997-06-10	PRIJEM	VKLAD	39044	91332	\N	\N	\N
73035	243	1997-07-19	PRIJEM	VKLAD	35382	72671	\N	\N	\N
73036	243	1997-11-26	PRIJEM	VKLAD	45199	63322	\N	\N	\N
73037	243	1997-03-18	PRIJEM	VKLAD	45974	133619	\N	\N	\N
73038	243	1997-03-31	PRIJEM	VKLAD	7304	48023	\N	\N	\N
73039	243	1997-09-19	PRIJEM	VKLAD	35941	61456	\N	\N	\N
73040	243	1997-09-22	PRIJEM	VKLAD	16165	88758	\N	\N	\N
73041	243	1997-01-12	PRIJEM	VKLAD	18149	44562	\N	\N	\N
73042	243	1997-07-23	PRIJEM	VKLAD	13215	85886	\N	\N	\N
73043	243	1997-09-21	PRIJEM	VKLAD	11137	72593	\N	\N	\N
73044	243	1997-07-23	PRIJEM	VKLAD	35911	121797	\N	\N	\N
73045	243	1997-10-03	PRIJEM	VKLAD	42626	131561	\N	\N	\N
73046	243	1997-01-14	PRIJEM	VKLAD	24367	68929	\N	\N	\N
73047	243	1997-07-03	PRIJEM	VKLAD	29286	106256	\N	\N	\N
73048	243	1997-12-02	PRIJEM	VKLAD	44254	107660	\N	\N	\N
73049	243	1997-12-30	PRIJEM	VKLAD	27755	52454	\N	\N	\N
73050	243	1997-03-03	PRIJEM	VKLAD	25929	90712	\N	\N	\N
73051	243	1997-06-17	PRIJEM	VKLAD	46903	135168	\N	\N	\N
73052	243	1997-05-25	PRIJEM	VKLAD	9838	52125	\N	\N	\N
73053	243	1997-01-24	PRIJEM	VKLAD	6343	30705	\N	\N	\N
73054	243	1997-10-09	PRIJEM	VKLAD	43147	157027	\N	\N	\N
73055	243	1997-12-11	PRIJEM	VKLAD	21206	125266	\N	\N	\N
73056	243	1997-02-27	PRIJEM	VKLAD	42638	64699	\N	\N	\N
73057	243	1997-06-22	PRIJEM	VKLAD	23148	66816	\N	\N	\N
73058	243	1997-06-30	PRIJEM	VKLAD	28846	76762	\N	\N	\N
73059	243	1997-10-06	PRIJEM	VKLAD	22619	113880	\N	\N	\N
73060	243	1998-05-21	PRIJEM	VKLAD	25271	46589	\N	\N	\N
73061	243	1998-05-09	PRIJEM	VKLAD	25060	67885	\N	\N	\N
73062	243	1998-08-09	PRIJEM	VKLAD	18785	41517	\N	\N	\N
73063	243	1998-04-03	PRIJEM	VKLAD	35358	56581	\N	\N	\N
73153	243	1994-06-14	VYDAJ	PREVOD NA UCET	3067	34480	SIPO	GH	73269855
73154	243	1994-07-14	VYDAJ	PREVOD NA UCET	3067	47253	SIPO	GH	73269855
73155	243	1994-08-14	VYDAJ	PREVOD NA UCET	3067	30809	SIPO	GH	73269855
73156	243	1994-09-14	VYDAJ	PREVOD NA UCET	3067	54375	SIPO	GH	73269855
73157	243	1994-10-14	VYDAJ	PREVOD NA UCET	3067	37970	SIPO	GH	73269855
73158	243	1994-11-14	VYDAJ	PREVOD NA UCET	3067	95579	SIPO	GH	73269855
73159	243	1994-12-14	VYDAJ	PREVOD NA UCET	3067	83606	SIPO	GH	73269855
73160	243	1995-01-14	VYDAJ	PREVOD NA UCET	3067	30298	SIPO	GH	73269855
73161	243	1995-02-14	VYDAJ	PREVOD NA UCET	3067	59050	SIPO	GH	73269855
73162	243	1995-03-14	VYDAJ	PREVOD NA UCET	3067	90020	SIPO	GH	73269855
73163	243	1995-04-14	VYDAJ	PREVOD NA UCET	3067	42096	SIPO	GH	73269855
73164	243	1995-05-14	VYDAJ	PREVOD NA UCET	3067	53763	SIPO	GH	73269855
73165	243	1995-06-14	VYDAJ	PREVOD NA UCET	3067	44330	SIPO	GH	73269855
73166	243	1995-07-14	VYDAJ	PREVOD NA UCET	3067	32145	SIPO	GH	73269855
73167	243	1995-08-14	VYDAJ	PREVOD NA UCET	3067	37220	SIPO	GH	73269855
73168	243	1995-09-14	VYDAJ	PREVOD NA UCET	3067	20443	SIPO	GH	73269855
73169	243	1995-10-14	VYDAJ	PREVOD NA UCET	3067	76822	SIPO	GH	73269855
73170	243	1995-11-14	VYDAJ	PREVOD NA UCET	3067	22200	SIPO	GH	73269855
73171	243	1995-12-14	VYDAJ	PREVOD NA UCET	3067	48561	SIPO	GH	73269855
73172	243	1996-01-14	VYDAJ	PREVOD NA UCET	3067	92325	SIPO	GH	73269855
73173	243	1996-02-14	VYDAJ	PREVOD NA UCET	3067	45354	SIPO	GH	73269855
73174	243	1996-03-14	VYDAJ	PREVOD NA UCET	3067	30330	SIPO	GH	73269855
73175	243	1996-04-14	VYDAJ	PREVOD NA UCET	3067	12254	SIPO	GH	73269855
73176	243	1996-05-14	VYDAJ	PREVOD NA UCET	3067	26878	SIPO	GH	73269855
73177	243	1996-06-14	VYDAJ	PREVOD NA UCET	3067	49015	SIPO	GH	73269855
73178	243	1996-07-14	VYDAJ	PREVOD NA UCET	3067	78213	SIPO	GH	73269855
73179	243	1996-08-14	VYDAJ	PREVOD NA UCET	3067	78538	SIPO	GH	73269855
73180	243	1996-09-14	VYDAJ	PREVOD NA UCET	3067	52094	SIPO	GH	73269855
73181	243	1996-10-14	VYDAJ	PREVOD NA UCET	3067	38170	SIPO	GH	73269855
73182	243	1996-11-14	VYDAJ	PREVOD NA UCET	3067	70799	SIPO	GH	73269855
73183	243	1996-12-14	VYDAJ	PREVOD NA UCET	3067	44440	SIPO	GH	73269855
73184	243	1997-01-14	VYDAJ	PREVOD NA UCET	3067	65862	SIPO	GH	73269855
73185	243	1997-02-14	VYDAJ	PREVOD NA UCET	3067	22061	SIPO	GH	73269855
73186	243	1997-03-14	VYDAJ	PREVOD NA UCET	3067	87645	SIPO	GH	73269855
73187	243	1997-04-14	VYDAJ	PREVOD NA UCET	3067	45187	SIPO	GH	73269855
73188	243	1997-05-14	VYDAJ	PREVOD NA UCET	3067	42287	SIPO	GH	73269855
73189	243	1997-06-14	VYDAJ	PREVOD NA UCET	3067	88265	SIPO	GH	73269855
73190	243	1997-07-14	VYDAJ	PREVOD NA UCET	3067	103189	SIPO	GH	73269855
73191	243	1997-08-14	VYDAJ	PREVOD NA UCET	3067	82874	SIPO	GH	73269855
73192	243	1997-09-14	VYDAJ	PREVOD NA UCET	3067	25515	SIPO	GH	73269855
73193	243	1997-10-14	VYDAJ	PREVOD NA UCET	3067	72894	SIPO	GH	73269855
73194	243	1997-11-14	VYDAJ	PREVOD NA UCET	3067	18123	SIPO	GH	73269855
73195	243	1997-12-14	VYDAJ	PREVOD NA UCET	3067	82199	SIPO	GH	73269855
73196	243	1998-01-14	VYDAJ	PREVOD NA UCET	3067	32802	SIPO	GH	73269855
73197	243	1998-02-14	VYDAJ	PREVOD NA UCET	3067	24145	SIPO	GH	73269855
73198	243	1998-03-14	VYDAJ	PREVOD NA UCET	3067	21156	SIPO	GH	73269855
73199	243	1998-04-14	VYDAJ	PREVOD NA UCET	3067	42714	SIPO	GH	73269855
73200	243	1998-05-14	VYDAJ	PREVOD NA UCET	3067	21318	SIPO	GH	73269855
73201	243	1998-06-14	VYDAJ	PREVOD NA UCET	3067	25617	SIPO	GH	73269855
73202	243	1998-07-14	VYDAJ	PREVOD NA UCET	3067	22660	SIPO	GH	73269855
73203	243	1998-08-14	VYDAJ	PREVOD NA UCET	3067	38450	SIPO	GH	73269855
73204	243	1998-09-14	VYDAJ	PREVOD NA UCET	3067	24159	SIPO	GH	73269855
73205	243	1998-10-14	VYDAJ	PREVOD NA UCET	3067	21170	SIPO	GH	73269855
73206	243	1998-11-14	VYDAJ	PREVOD NA UCET	3067	18168	SIPO	GH	73269855
73207	243	1998-12-14	VYDAJ	PREVOD NA UCET	3067	15153	SIPO	GH	73269855
73217	243	1994-06-05	VYBER	VYBER	16422	37547	\N	\N	\N
73218	243	1995-11-09	VYBER	VYBER	21239	25267	\N	\N	\N
73219	243	1995-01-05	VYBER	VYBER	15242	40265	\N	\N	\N
73223	243	1995-06-28	VYBER	VYBER	4472	47738	\N	\N	\N
73225	243	1995-02-27	VYBER	VYBER	22187	79753	\N	\N	\N
73226	243	1995-06-18	VYBER	VYBER	8429	52210	\N	\N	\N
73227	243	1995-04-14	VYBER	VYBER	23979	45163	\N	\N	\N
73228	243	1995-10-16	VYBER	VYBER	3816	73006	\N	\N	\N
73229	243	1997-10-12	VYBER	VYBER	18866	75961	\N	\N	\N
73233	243	1998-08-22	VYBER	VYBER	11306	27144	\N	\N	\N
73234	243	1998-06-01	VYBER	VYBER	18035	28684	\N	\N	\N
73241	243	1997-06-23	VYDAJ	VYBER	18900	47916	\N	\N	\N
73246	243	1996-01-21	VYDAJ	VYBER	29400	59925	\N	\N	\N
73247	243	1997-01-01	VYDAJ	VYBER	6900	32413	\N	\N	\N
73250	243	1994-12-05	VYDAJ	VYBER	3300	56247	\N	\N	\N
73252	243	1996-12-27	VYDAJ	VYBER	2400	26819	\N	\N	\N
73253	243	1997-12-02	VYDAJ	VYBER	3600	104060	\N	\N	\N
73267	243	1995-01-20	VYDAJ	VYBER	2100	23998	\N	\N	\N
73269	243	1995-01-05	VYDAJ	VYBER	1800	38465	\N	\N	\N
73271	243	1995-01-16	VYDAJ	VYBER	4200	26098	\N	\N	\N
73272	243	1995-01-12	VYDAJ	VYBER	5100	33365	\N	\N	\N
73273	243	1996-01-22	VYDAJ	VYBER	4800	55125	\N	\N	\N
73274	243	1996-01-20	VYDAJ	VYBER	3000	89325	\N	\N	\N
73275	243	1996-01-25	VYDAJ	VYBER	6900	48225	\N	\N	\N
73276	243	1996-01-05	VYDAJ	VYBER	1500	42064	\N	\N	\N
73277	243	1996-01-12	VYDAJ	VYBER	7200	95392	\N	\N	\N
73278	243	1996-01-08	VYDAJ	VYBER	8100	62827	\N	\N	\N
73279	243	1997-01-25	VYDAJ	VYBER	5700	25005	\N	\N	\N
73281	243	1997-01-09	VYDAJ	VYBER	2400	30013	\N	\N	\N
73286	243	1998-01-16	VYDAJ	VYBER	5700	27102	\N	\N	\N
73287	243	1998-01-07	VYDAJ	VYBER	8400	38869	\N	\N	\N
73288	243	1998-01-02	VYDAJ	VYBER	5400	47269	\N	\N	\N
73289	243	1998-01-08	VYDAJ	VYBER	3000	35869	\N	\N	\N
73301	243	1995-04-05	VYDAJ	VYBER	8400	41828	\N	\N	\N
73302	243	1995-02-12	VYDAJ	VYBER	3900	62117	\N	\N	\N
73303	243	1995-08-25	VYDAJ	VYBER	11400	25820	\N	\N	\N
73304	243	1995-03-20	VYDAJ	VYBER	11100	78920	\N	\N	\N
73305	243	1996-11-11	VYDAJ	VYBER	3300	73866	\N	\N	\N
73306	243	1996-01-01	VYDAJ	VYBER	7800	43564	\N	\N	\N
73307	243	1996-10-30	VYDAJ	VYBER	4800	76973	\N	\N	\N
73308	243	1996-10-14	VYDAJ	VYBER	8400	41237	\N	\N	\N
73309	243	1997-01-09	VYDAJ	VYBER	3600	26413	\N	\N	\N
73318	243	1998-04-14	VYDAJ	VYBER	10800	45781	\N	\N	\N
73336	243	1994-05-31	VYDAJ	VYBER	30	87969	SLUZBY	\N	\N
73337	243	1994-06-30	VYDAJ	VYBER	30	79320	SLUZBY	\N	\N
73338	243	1994-07-31	VYDAJ	VYBER	30	47476	SLUZBY	\N	\N
73339	243	1994-08-31	VYDAJ	VYBER	30	30937	SLUZBY	\N	\N
73340	243	1994-09-30	VYDAJ	VYBER	30	54537	SLUZBY	\N	\N
73341	243	1994-10-31	VYDAJ	VYBER	30	77033	SLUZBY	\N	\N
73342	243	1994-11-30	VYDAJ	VYBER	30	95947	SLUZBY	\N	\N
73343	243	1994-12-31	VYDAJ	VYBER	30	83907	SLUZBY	\N	\N
73344	243	1995-01-31	VYDAJ	VYBER	30	24304	SLUZBY	\N	\N
73345	243	1995-02-28	VYDAJ	VYBER	30	79954	SLUZBY	\N	\N
73346	243	1995-03-31	VYDAJ	VYBER	30	79228	SLUZBY	\N	\N
73347	243	1995-04-30	VYDAJ	VYBER	30	42274	SLUZBY	\N	\N
73348	243	1995-05-31	VYDAJ	VYBER	30	47397	SLUZBY	\N	\N
73349	243	1995-06-30	VYDAJ	VYBER	30	35212	SLUZBY	\N	\N
73350	243	1995-07-31	VYDAJ	VYBER	30	24457	SLUZBY	\N	\N
73351	243	1995-08-31	VYDAJ	VYBER	30	23510	SLUZBY	\N	\N
73352	243	1995-09-30	VYDAJ	VYBER	30	40651	SLUZBY	\N	\N
73353	243	1995-10-31	VYDAJ	VYBER	30	46506	SLUZBY	\N	\N
73354	243	1995-11-30	VYDAJ	VYBER	30	20905	SLUZBY	\N	\N
73355	243	1995-12-31	VYDAJ	VYBER	30	51364	SLUZBY	\N	\N
73356	243	1996-01-31	VYDAJ	VYBER	30	32347	SLUZBY	\N	\N
73357	243	1996-02-29	VYDAJ	VYBER	30	33397	SLUZBY	\N	\N
73358	243	1996-03-31	VYDAJ	VYBER	30	15321	SLUZBY	\N	\N
73359	243	1996-04-30	VYDAJ	VYBER	30	29945	SLUZBY	\N	\N
73360	243	1996-05-31	VYDAJ	VYBER	30	30355	SLUZBY	\N	\N
73361	243	1996-06-30	VYDAJ	VYBER	30	54965	SLUZBY	\N	\N
73362	243	1996-07-31	VYDAJ	VYBER	30	68775	SLUZBY	\N	\N
73363	243	1996-08-31	VYDAJ	VYBER	30	48160	SLUZBY	\N	\N
73364	243	1996-09-30	VYDAJ	VYBER	30	49637	SLUZBY	\N	\N
73365	243	1996-10-31	VYDAJ	VYBER	30	77166	SLUZBY	\N	\N
73366	243	1996-11-30	VYDAJ	VYBER	30	47507	SLUZBY	\N	\N
73367	243	1996-12-31	VYDAJ	VYBER	30	39313	SLUZBY	\N	\N
73368	243	1997-01-31	VYDAJ	VYBER	30	25128	SLUZBY	\N	\N
73369	243	1997-02-28	VYDAJ	VYBER	30	64783	SLUZBY	\N	\N
73370	243	1997-03-31	VYDAJ	VYBER	30	48254	SLUZBY	\N	\N
73371	243	1997-04-30	VYDAJ	VYBER	30	45354	SLUZBY	\N	\N
73372	243	1997-05-31	VYDAJ	VYBER	30	52288	SLUZBY	\N	\N
73373	243	1997-06-30	VYDAJ	VYBER	30	76970	SLUZBY	\N	\N
73374	243	1997-07-31	VYDAJ	VYBER	30	85941	SLUZBY	\N	\N
73375	243	1997-08-31	VYDAJ	VYBER	30	28582	SLUZBY	\N	\N
73376	243	1997-09-30	VYDAJ	VYBER	30	88935	SLUZBY	\N	\N
73377	243	1997-10-31	VYDAJ	VYBER	30	21190	SLUZBY	\N	\N
73378	243	1997-11-30	VYDAJ	VYBER	30	63406	SLUZBY	\N	\N
73379	243	1997-12-31	VYDAJ	VYBER	30	52669	SLUZBY	\N	\N
73380	243	1998-01-31	VYDAJ	VYBER	30	27212	SLUZBY	\N	\N
73381	243	1998-02-28	VYDAJ	VYBER	30	24223	SLUZBY	\N	\N
73382	243	1998-03-31	VYDAJ	VYBER	30	21223	SLUZBY	\N	\N
73383	243	1998-04-30	VYDAJ	VYBER	30	42825	SLUZBY	\N	\N
73384	243	1998-05-31	VYDAJ	VYBER	30	46719	SLUZBY	\N	\N
73385	243	1998-06-30	VYDAJ	VYBER	30	25727	SLUZBY	\N	\N
73386	243	1998-07-31	VYDAJ	VYBER	30	22732	SLUZBY	\N	\N
73387	243	1998-08-31	VYDAJ	VYBER	30	27226	SLUZBY	\N	\N
73388	243	1998-09-30	VYDAJ	VYBER	30	24237	SLUZBY	\N	\N
73389	243	1998-10-31	VYDAJ	VYBER	30	21235	SLUZBY	\N	\N
73390	243	1998-11-30	VYDAJ	VYBER	30	18220	SLUZBY	\N	\N
73391	243	1993-12-06	PRIJEM	VKLAD	14000	14900	\N	\N	\N
73392	243	1994-01-05	PRIJEM	VKLAD	4500	19400	\N	\N	\N
73393	243	1994-02-04	VYDAJ	VYBER	7800	34615	\N	\N	\N
73394	243	1994-03-06	VYDAJ	VYBER	6600	28191	\N	\N	\N
73395	243	1994-04-05	VYDAJ	VYBER	16200	45130	\N	\N	\N
73396	243	1994-04-25	VYDAJ	VYBER	38900	80185	\N	\N	\N
73397	243	1994-05-05	VYDAJ	VYBER	29300	51182	\N	\N	\N
73398	243	1994-05-18	VYDAJ	VYBER	40900	74654	\N	\N	\N
73399	243	1994-05-21	VYDAJ	VYBER	36500	100177	\N	\N	\N
73400	243	1994-05-24	VYDAJ	VYBER	58200	76015	\N	\N	\N
73401	243	1994-06-04	VYDAJ	VYBER	34000	53969	\N	\N	\N
73402	243	1994-07-04	VYDAJ	VYBER	29000	50320	\N	\N	\N
73403	243	1994-08-03	VYDAJ	VYBER	13600	33876	\N	\N	\N
73404	243	1994-09-02	VYDAJ	VYBER	1900	29037	\N	\N	\N
73405	243	1994-10-02	VYDAJ	VYBER	13500	41037	\N	\N	\N
73406	243	1994-10-26	VYDAJ	VYBER	38000	76774	\N	\N	\N
73407	243	1994-11-01	VYDAJ	VYBER	27200	49833	\N	\N	\N
73408	243	1994-12-01	VYDAJ	VYBER	36400	59547	\N	\N	\N
73409	243	1994-12-31	VYDAJ	VYBER	28400	55507	\N	\N	\N
73410	243	1995-01-30	PRIJEM	VKLAD	200	24198	\N	\N	\N
73411	243	1995-03-01	VYDAJ	VYBER	30200	49754	\N	\N	\N
73412	243	1995-03-31	VYDAJ	VYBER	29000	50228	\N	\N	\N
73413	243	1995-04-30	VYDAJ	VYBER	10700	31574	\N	\N	\N
73414	243	1995-05-30	VYDAJ	VYBER	25200	47217	\N	\N	\N
73415	243	1995-06-29	VYDAJ	VYBER	12700	35038	\N	\N	\N
73416	243	1995-07-29	VYDAJ	VYBER	7800	24345	\N	\N	\N
73417	243	1995-08-28	VYDAJ	VYBER	2400	23420	\N	\N	\N
73418	243	1995-09-27	VYDAJ	VYBER	20200	40553	\N	\N	\N
73419	243	1995-10-27	VYDAJ	VYBER	26700	46306	\N	\N	\N
73420	243	1995-11-26	VYDAJ	VYBER	1400	20800	\N	\N	\N
73421	243	1995-12-26	VYDAJ	VYBER	38200	51234	\N	\N	\N
73422	243	1996-01-25	VYDAJ	VYBER	16100	32125	\N	\N	\N
73423	243	1996-02-14	VYDAJ	VYBER	63300	48421	\N	\N	\N
73424	243	1996-02-24	VYDAJ	VYBER	21700	33232	\N	\N	\N
73425	243	1996-03-25	VYDAJ	VYBER	15100	15230	\N	\N	\N
73426	243	1996-04-24	VYDAJ	VYBER	33700	29891	\N	\N	\N
73427	243	1996-05-24	VYDAJ	VYBER	33100	30243	\N	\N	\N
73428	243	1996-06-23	VYDAJ	VYBER	47400	44590	\N	\N	\N
73429	243	1996-07-23	VYDAJ	VYBER	55400	46987	\N	\N	\N
73430	243	1996-08-05	VYDAJ	VYBER	62600	47540	\N	\N	\N
73431	243	1996-08-21	VYDAJ	VYBER	50200	94611	\N	\N	\N
73432	243	1996-08-22	VYDAJ	VYBER	52600	42011	\N	\N	\N
73433	243	1996-09-21	VYDAJ	VYBER	44800	37946	\N	\N	\N
73434	243	1996-11-20	VYDAJ	VYBER	44400	26399	\N	\N	\N
73435	243	1996-12-20	VYDAJ	VYBER	28300	16140	\N	\N	\N
73436	243	1997-01-19	VYDAJ	VYBER	41500	24362	\N	\N	\N
73437	243	1997-03-18	VYDAJ	VYBER	31200	102419	\N	\N	\N
73438	243	1997-03-20	VYDAJ	VYBER	61700	40719	\N	\N	\N
73439	243	1997-06-17	VYDAJ	VYBER	22000	113168	\N	\N	\N
73440	243	1997-06-18	VYDAJ	VYBER	69500	43668	\N	\N	\N
73441	243	1997-07-18	VYDAJ	VYBER	65900	37289	\N	\N	\N
73442	243	1997-07-23	VYDAJ	VYBER	36200	85597	\N	\N	\N
73443	243	1997-08-17	VYDAJ	VYBER	54500	28374	\N	\N	\N
73444	243	1997-10-03	VYDAJ	VYBER	40300	91261	\N	\N	\N
73445	243	1997-10-09	VYDAJ	VYBER	62200	94827	\N	\N	\N
73446	243	1997-10-16	VYDAJ	VYBER	51900	20994	\N	\N	\N
73447	243	1997-12-11	VYDAJ	VYBER	40000	85266	\N	\N	\N
73448	243	1997-12-15	VYDAJ	VYBER	57500	24699	\N	\N	\N
73449	243	1998-05-14	VYDAJ	VYBER	43500	24385	\N	\N	\N
73509	244	1993-02-08	PRIJEM	VKLAD	800	800	\N	\N	\N
73512	244	1993-03-05	PRIJEM	PREVOD Z UCTU	3972	4772	\N	IJ	12078875
73513	244	1993-04-05	PRIJEM	PREVOD Z UCTU	3972	18888	\N	IJ	12078875
73514	244	1993-05-05	PRIJEM	PREVOD Z UCTU	3972	26545	\N	IJ	12078875
73515	244	1993-06-05	PRIJEM	PREVOD Z UCTU	3972	29620	\N	IJ	12078875
73516	244	1993-07-05	PRIJEM	PREVOD Z UCTU	3972	31705	\N	IJ	12078875
73517	244	1993-08-05	PRIJEM	PREVOD Z UCTU	3972	30579	\N	IJ	12078875
73518	244	1993-09-05	PRIJEM	PREVOD Z UCTU	3972	29639	\N	IJ	12078875
73519	244	1993-10-05	PRIJEM	PREVOD Z UCTU	3972	26947	\N	IJ	12078875
73520	244	1993-11-05	PRIJEM	PREVOD Z UCTU	3972	27851	\N	IJ	12078875
73521	244	1993-12-05	PRIJEM	PREVOD Z UCTU	3972	29265	\N	IJ	12078875
73522	244	1994-01-05	PRIJEM	PREVOD Z UCTU	3972	28044	\N	IJ	12078875
73523	244	1994-02-05	PRIJEM	PREVOD Z UCTU	3972	29376	\N	IJ	12078875
73524	244	1994-03-05	PRIJEM	PREVOD Z UCTU	3972	30797	\N	IJ	12078875
73525	244	1994-04-05	PRIJEM	PREVOD Z UCTU	3972	29308	\N	IJ	12078875
73526	244	1994-05-05	PRIJEM	PREVOD Z UCTU	3972	27718	\N	IJ	12078875
73527	244	1994-06-05	PRIJEM	PREVOD Z UCTU	3972	30733	\N	IJ	12078875
73528	244	1994-07-05	PRIJEM	PREVOD Z UCTU	3972	25027	\N	IJ	12078875
73529	244	1994-08-05	PRIJEM	PREVOD Z UCTU	3972	25510	\N	IJ	12078875
73530	244	1994-09-05	PRIJEM	PREVOD Z UCTU	3972	28115	\N	IJ	12078875
73531	244	1994-10-05	PRIJEM	PREVOD Z UCTU	3972	30551	\N	IJ	12078875
73532	244	1994-11-05	PRIJEM	PREVOD Z UCTU	3972	31005	\N	IJ	12078875
73533	244	1994-12-05	PRIJEM	PREVOD Z UCTU	3972	29429	\N	IJ	12078875
73534	244	1995-01-05	PRIJEM	PREVOD Z UCTU	3972	28689	\N	IJ	12078875
73535	244	1995-02-05	PRIJEM	PREVOD Z UCTU	3972	31903	\N	IJ	12078875
73536	244	1995-03-05	PRIJEM	PREVOD Z UCTU	3972	32834	\N	IJ	12078875
73537	244	1995-04-05	PRIJEM	PREVOD Z UCTU	3972	35270	\N	IJ	12078875
73538	244	1995-05-05	PRIJEM	PREVOD Z UCTU	3972	31069	\N	IJ	12078875
73539	244	1995-06-05	PRIJEM	PREVOD Z UCTU	3972	31146	\N	IJ	12078875
73540	244	1995-07-05	PRIJEM	PREVOD Z UCTU	3972	31473	\N	IJ	12078875
73541	244	1995-08-05	PRIJEM	PREVOD Z UCTU	3972	32802	\N	IJ	12078875
73542	244	1995-09-05	PRIJEM	PREVOD Z UCTU	3972	34837	\N	IJ	12078875
73543	244	1995-10-05	PRIJEM	PREVOD Z UCTU	3972	36480	\N	IJ	12078875
73544	244	1995-11-05	PRIJEM	PREVOD Z UCTU	3972	38531	\N	IJ	12078875
73545	244	1995-12-05	PRIJEM	PREVOD Z UCTU	3972	39589	\N	IJ	12078875
73546	244	1996-01-05	PRIJEM	PREVOD Z UCTU	3972	39109	\N	IJ	12078875
73547	244	1996-02-05	PRIJEM	PREVOD Z UCTU	3972	42750	\N	IJ	12078875
73548	244	1996-03-05	PRIJEM	PREVOD Z UCTU	3972	45127	\N	IJ	12078875
73549	244	1996-04-05	PRIJEM	PREVOD Z UCTU	3972	49115	\N	IJ	12078875
73550	244	1996-05-05	PRIJEM	PREVOD Z UCTU	3972	50517	\N	IJ	12078875
73551	244	1996-06-05	PRIJEM	PREVOD Z UCTU	3972	53527	\N	IJ	12078875
73552	244	1996-07-05	PRIJEM	PREVOD Z UCTU	3972	51542	\N	IJ	12078875
73553	244	1996-08-05	PRIJEM	PREVOD Z UCTU	3972	55357	\N	IJ	12078875
73554	244	1996-09-05	PRIJEM	PREVOD Z UCTU	3972	54172	\N	IJ	12078875
73555	244	1996-10-05	PRIJEM	PREVOD Z UCTU	3972	54389	\N	IJ	12078875
73556	244	1996-11-05	PRIJEM	PREVOD Z UCTU	3972	57015	\N	IJ	12078875
73557	244	1996-12-05	PRIJEM	PREVOD Z UCTU	3972	57748	\N	IJ	12078875
73558	244	1997-01-05	PRIJEM	PREVOD Z UCTU	3972	55479	\N	IJ	12078875
73559	244	1997-02-05	PRIJEM	PREVOD Z UCTU	3972	52399	\N	IJ	12078875
73560	244	1997-03-05	PRIJEM	PREVOD Z UCTU	3972	57620	\N	IJ	12078875
73561	244	1997-04-05	PRIJEM	PREVOD Z UCTU	3972	58956	\N	IJ	12078875
73562	244	1997-05-05	PRIJEM	PREVOD Z UCTU	3972	57422	\N	IJ	12078875
73563	244	1997-06-05	PRIJEM	PREVOD Z UCTU	3972	55527	\N	IJ	12078875
73564	244	1997-07-05	PRIJEM	PREVOD Z UCTU	3972	58259	\N	IJ	12078875
73565	244	1997-08-05	PRIJEM	PREVOD Z UCTU	3972	55289	\N	IJ	12078875
73566	244	1997-09-05	PRIJEM	PREVOD Z UCTU	3972	53949	\N	IJ	12078875
73567	244	1997-10-05	PRIJEM	PREVOD Z UCTU	3972	54969	\N	IJ	12078875
73568	244	1997-11-05	PRIJEM	PREVOD Z UCTU	3972	51683	\N	IJ	12078875
73569	244	1997-12-05	PRIJEM	PREVOD Z UCTU	3972	50777	\N	IJ	12078875
73570	244	1998-01-05	PRIJEM	PREVOD Z UCTU	3972	50051	\N	IJ	12078875
73571	244	1998-02-05	PRIJEM	PREVOD Z UCTU	3972	51297	\N	IJ	12078875
73572	244	1998-03-05	PRIJEM	PREVOD Z UCTU	3972	50470	\N	IJ	12078875
73573	244	1998-04-05	PRIJEM	PREVOD Z UCTU	3972	51375	\N	IJ	12078875
73574	244	1998-05-05	PRIJEM	PREVOD Z UCTU	3972	53385	\N	IJ	12078875
73575	244	1998-06-05	PRIJEM	PREVOD Z UCTU	3972	38913	\N	IJ	12078875
73576	244	1998-07-05	PRIJEM	PREVOD Z UCTU	3972	43984	\N	IJ	12078875
73577	244	1998-08-05	PRIJEM	PREVOD Z UCTU	3972	49172	\N	IJ	12078875
73578	244	1998-09-05	PRIJEM	PREVOD Z UCTU	3972	55284	\N	IJ	12078875
73579	244	1998-10-05	PRIJEM	PREVOD Z UCTU	3972	62125	\N	IJ	12078875
73580	244	1998-11-05	PRIJEM	PREVOD Z UCTU	3972	62976	\N	IJ	12078875
73581	244	1998-12-05	PRIJEM	PREVOD Z UCTU	3972	61322	\N	IJ	12078875
73588	244	1993-07-10	VYDAJ	PREVOD NA UCET	2190	26957	SIPO	MN	74832015
73589	244	1993-08-10	VYDAJ	PREVOD NA UCET	2190	26231	SIPO	MN	74832015
73590	244	1993-09-10	VYDAJ	PREVOD NA UCET	2190	22891	SIPO	MN	74832015
73591	244	1993-10-10	VYDAJ	PREVOD NA UCET	2190	22299	SIPO	MN	74832015
73592	244	1993-11-10	VYDAJ	PREVOD NA UCET	2190	25203	SIPO	MN	74832015
73593	244	1993-12-10	VYDAJ	PREVOD NA UCET	2190	26117	SIPO	MN	74832015
73594	244	1994-01-10	VYDAJ	PREVOD NA UCET	2190	25396	SIPO	MN	74832015
73595	244	1994-02-10	VYDAJ	PREVOD NA UCET	2190	26728	SIPO	MN	74832015
73596	244	1994-03-10	VYDAJ	PREVOD NA UCET	2190	23649	SIPO	MN	74832015
73597	244	1994-04-10	VYDAJ	PREVOD NA UCET	2190	26660	SIPO	MN	74832015
73598	244	1994-05-10	VYDAJ	PREVOD NA UCET	2190	25070	SIPO	MN	74832015
73599	244	1994-06-10	VYDAJ	PREVOD NA UCET	2190	21425	SIPO	MN	74832015
73600	244	1994-07-10	VYDAJ	PREVOD NA UCET	2190	22379	SIPO	MN	74832015
73601	244	1994-08-10	VYDAJ	PREVOD NA UCET	2190	22862	SIPO	MN	74832015
73602	244	1994-09-10	VYDAJ	PREVOD NA UCET	2190	25467	SIPO	MN	74832015
73603	244	1994-10-10	VYDAJ	PREVOD NA UCET	2190	27903	SIPO	MN	74832015
73604	244	1994-11-10	VYDAJ	PREVOD NA UCET	2190	27457	SIPO	MN	74832015
73605	244	1994-12-10	VYDAJ	PREVOD NA UCET	2190	26781	SIPO	MN	74832015
73606	244	1995-01-10	VYDAJ	PREVOD NA UCET	2190	25171	SIPO	MN	74832015
73607	244	1995-02-10	VYDAJ	PREVOD NA UCET	2190	29255	SIPO	MN	74832015
73608	244	1995-03-10	VYDAJ	PREVOD NA UCET	2190	30186	SIPO	MN	74832015
73609	244	1995-04-10	VYDAJ	PREVOD NA UCET	2190	32622	SIPO	MN	74832015
73610	244	1995-05-10	VYDAJ	PREVOD NA UCET	2190	28421	SIPO	MN	74832015
73611	244	1995-06-10	VYDAJ	PREVOD NA UCET	2190	28498	SIPO	MN	74832015
73612	244	1995-07-10	VYDAJ	PREVOD NA UCET	2190	28825	SIPO	MN	74832015
73613	244	1995-08-10	VYDAJ	PREVOD NA UCET	2190	30154	SIPO	MN	74832015
73614	244	1995-09-10	VYDAJ	PREVOD NA UCET	2190	32189	SIPO	MN	74832015
73615	244	1995-10-10	VYDAJ	PREVOD NA UCET	2190	33832	SIPO	MN	74832015
73616	244	1995-11-10	VYDAJ	PREVOD NA UCET	2190	35883	SIPO	MN	74832015
73617	244	1995-12-10	VYDAJ	PREVOD NA UCET	2190	36941	SIPO	MN	74832015
73618	244	1996-01-10	VYDAJ	PREVOD NA UCET	2190	35831	SIPO	MN	74832015
73619	244	1996-02-10	VYDAJ	PREVOD NA UCET	2190	40102	SIPO	MN	74832015
73620	244	1996-03-10	VYDAJ	PREVOD NA UCET	2190	42479	SIPO	MN	74832015
73621	244	1996-04-10	VYDAJ	PREVOD NA UCET	2190	46467	SIPO	MN	74832015
73622	244	1996-05-10	VYDAJ	PREVOD NA UCET	2190	47869	SIPO	MN	74832015
73623	244	1996-06-10	VYDAJ	PREVOD NA UCET	2190	50879	SIPO	MN	74832015
73624	244	1996-07-10	VYDAJ	PREVOD NA UCET	2190	48894	SIPO	MN	74832015
73625	244	1996-08-10	VYDAJ	PREVOD NA UCET	2190	52709	SIPO	MN	74832015
73626	244	1996-09-10	VYDAJ	PREVOD NA UCET	2190	49724	SIPO	MN	74832015
73627	244	1996-10-10	VYDAJ	PREVOD NA UCET	2190	51741	SIPO	MN	74832015
73628	244	1996-11-10	VYDAJ	PREVOD NA UCET	2190	54367	SIPO	MN	74832015
73629	244	1996-12-10	VYDAJ	PREVOD NA UCET	2190	55100	SIPO	MN	74832015
73630	244	1997-01-10	VYDAJ	PREVOD NA UCET	2190	52441	SIPO	MN	74832015
73631	244	1997-02-10	VYDAJ	PREVOD NA UCET	2190	49751	SIPO	MN	74832015
73632	244	1997-03-10	VYDAJ	PREVOD NA UCET	2190	54342	SIPO	MN	74832015
73633	244	1997-04-10	VYDAJ	PREVOD NA UCET	2190	56308	SIPO	MN	74832015
73634	244	1997-05-10	VYDAJ	PREVOD NA UCET	2190	54774	SIPO	MN	74832015
73635	244	1997-06-10	VYDAJ	PREVOD NA UCET	2190	52879	SIPO	MN	74832015
73636	244	1997-07-10	VYDAJ	PREVOD NA UCET	2190	55611	SIPO	MN	74832015
73637	244	1997-08-10	VYDAJ	PREVOD NA UCET	2190	52641	SIPO	MN	74832015
73638	244	1997-09-10	VYDAJ	PREVOD NA UCET	2190	51301	SIPO	MN	74832015
73639	244	1997-10-10	VYDAJ	PREVOD NA UCET	2190	52321	SIPO	MN	74832015
73640	244	1997-11-10	VYDAJ	PREVOD NA UCET	2190	47625	SIPO	MN	74832015
73641	244	1997-12-10	VYDAJ	PREVOD NA UCET	2190	48129	SIPO	MN	74832015
73642	244	1998-01-10	VYDAJ	PREVOD NA UCET	2190	47163	SIPO	MN	74832015
73643	244	1998-02-10	VYDAJ	PREVOD NA UCET	2190	48349	SIPO	MN	74832015
73644	244	1998-03-10	VYDAJ	PREVOD NA UCET	2190	47822	SIPO	MN	74832015
73645	244	1998-04-10	VYDAJ	PREVOD NA UCET	2190	48727	SIPO	MN	74832015
73646	244	1998-05-10	VYDAJ	PREVOD NA UCET	2190	49437	SIPO	MN	74832015
73647	244	1998-06-10	VYDAJ	PREVOD NA UCET	2190	36265	SIPO	MN	74832015
73648	244	1998-07-10	VYDAJ	PREVOD NA UCET	2190	41336	SIPO	MN	74832015
73649	244	1998-08-10	VYDAJ	PREVOD NA UCET	2190	46524	SIPO	MN	74832015
73650	244	1998-09-10	VYDAJ	PREVOD NA UCET	2190	57936	SIPO	MN	74832015
73651	244	1998-10-10	VYDAJ	PREVOD NA UCET	2190	58777	SIPO	MN	74832015
73652	244	1998-11-10	VYDAJ	PREVOD NA UCET	2190	57128	SIPO	MN	74832015
73653	244	1998-12-10	VYDAJ	PREVOD NA UCET	2190	52374	SIPO	MN	74832015
73660	244	1993-07-07	VYDAJ	PREVOD NA UCET	226	31247	 	OP	78948193
73661	244	1993-08-07	VYDAJ	PREVOD NA UCET	226	28421	 	OP	78948193
73662	244	1993-09-07	VYDAJ	PREVOD NA UCET	226	25081	 	OP	78948193
73663	244	1993-10-07	VYDAJ	PREVOD NA UCET	226	24489	 	OP	78948193
73664	244	1993-11-07	VYDAJ	PREVOD NA UCET	226	27393	 	OP	78948193
73665	244	1993-12-07	VYDAJ	PREVOD NA UCET	226	28307	 	OP	78948193
73666	244	1994-01-07	VYDAJ	PREVOD NA UCET	226	27586	 	OP	78948193
73667	244	1994-02-07	VYDAJ	PREVOD NA UCET	226	28918	 	OP	78948193
73668	244	1994-03-07	VYDAJ	PREVOD NA UCET	226	25839	 	OP	78948193
73669	244	1994-04-07	VYDAJ	PREVOD NA UCET	226	28850	 	OP	78948193
73670	244	1994-05-07	VYDAJ	PREVOD NA UCET	226	27260	 	OP	78948193
73671	244	1994-06-07	VYDAJ	PREVOD NA UCET	226	30275	 	OP	78948193
73672	244	1994-07-07	VYDAJ	PREVOD NA UCET	226	24569	 	OP	78948193
73673	244	1994-08-07	VYDAJ	PREVOD NA UCET	226	25052	 	OP	78948193
73674	244	1994-09-07	VYDAJ	PREVOD NA UCET	226	27657	 	OP	78948193
73675	244	1994-10-07	VYDAJ	PREVOD NA UCET	226	30093	 	OP	78948193
73676	244	1994-11-07	VYDAJ	PREVOD NA UCET	226	30547	 	OP	78948193
73677	244	1994-12-07	VYDAJ	PREVOD NA UCET	226	28971	 	OP	78948193
73678	244	1995-01-07	VYDAJ	PREVOD NA UCET	226	27361	 	OP	78948193
73679	244	1995-02-07	VYDAJ	PREVOD NA UCET	226	31445	 	OP	78948193
73680	244	1995-03-07	VYDAJ	PREVOD NA UCET	226	32376	 	OP	78948193
73681	244	1995-04-07	VYDAJ	PREVOD NA UCET	226	34812	 	OP	78948193
73682	244	1995-05-07	VYDAJ	PREVOD NA UCET	226	30611	 	OP	78948193
73683	244	1995-06-07	VYDAJ	PREVOD NA UCET	226	30688	 	OP	78948193
73684	244	1995-07-07	VYDAJ	PREVOD NA UCET	226	31015	 	OP	78948193
73685	244	1995-08-07	VYDAJ	PREVOD NA UCET	226	32344	 	OP	78948193
73686	244	1995-09-07	VYDAJ	PREVOD NA UCET	226	34379	 	OP	78948193
73687	244	1995-10-07	VYDAJ	PREVOD NA UCET	226	36022	 	OP	78948193
73688	244	1995-11-07	VYDAJ	PREVOD NA UCET	226	38073	 	OP	78948193
73689	244	1995-12-07	VYDAJ	PREVOD NA UCET	226	39131	 	OP	78948193
73690	244	1996-01-07	VYDAJ	PREVOD NA UCET	226	38501	 	OP	78948193
73691	244	1996-02-07	VYDAJ	PREVOD NA UCET	226	42292	 	OP	78948193
73692	244	1996-03-07	VYDAJ	PREVOD NA UCET	226	44669	 	OP	78948193
73693	244	1996-04-07	VYDAJ	PREVOD NA UCET	226	48657	 	OP	78948193
73694	244	1996-05-07	VYDAJ	PREVOD NA UCET	226	50059	 	OP	78948193
73695	244	1996-06-07	VYDAJ	PREVOD NA UCET	226	53069	 	OP	78948193
73696	244	1996-07-07	VYDAJ	PREVOD NA UCET	226	51084	 	OP	78948193
73697	244	1996-08-07	VYDAJ	PREVOD NA UCET	226	54899	 	OP	78948193
73698	244	1996-09-07	VYDAJ	PREVOD NA UCET	226	52394	 	OP	78948193
73699	244	1996-10-07	VYDAJ	PREVOD NA UCET	226	53931	 	OP	78948193
73700	244	1996-11-07	VYDAJ	PREVOD NA UCET	226	56557	 	OP	78948193
73701	244	1996-12-07	VYDAJ	PREVOD NA UCET	226	57290	 	OP	78948193
73702	244	1997-01-07	VYDAJ	PREVOD NA UCET	226	54631	 	OP	78948193
73703	244	1997-02-07	VYDAJ	PREVOD NA UCET	226	51941	 	OP	78948193
73704	244	1997-03-07	VYDAJ	PREVOD NA UCET	226	56532	 	OP	78948193
73705	244	1997-04-07	VYDAJ	PREVOD NA UCET	226	58498	 	OP	78948193
73706	244	1997-05-07	VYDAJ	PREVOD NA UCET	226	56964	 	OP	78948193
73707	244	1997-06-07	VYDAJ	PREVOD NA UCET	226	55069	 	OP	78948193
73708	244	1997-07-07	VYDAJ	PREVOD NA UCET	226	57801	 	OP	78948193
73709	244	1997-08-07	VYDAJ	PREVOD NA UCET	226	54831	 	OP	78948193
73710	244	1997-09-07	VYDAJ	PREVOD NA UCET	226	53491	 	OP	78948193
73711	244	1997-10-07	VYDAJ	PREVOD NA UCET	226	54511	 	OP	78948193
73712	244	1997-11-07	VYDAJ	PREVOD NA UCET	226	49815	 	OP	78948193
73713	244	1997-12-07	VYDAJ	PREVOD NA UCET	226	50319	 	OP	78948193
73714	244	1998-01-07	VYDAJ	PREVOD NA UCET	226	49353	 	OP	78948193
73715	244	1998-02-07	VYDAJ	PREVOD NA UCET	226	50539	 	OP	78948193
73716	244	1998-03-07	VYDAJ	PREVOD NA UCET	226	50012	 	OP	78948193
73717	244	1998-04-07	VYDAJ	PREVOD NA UCET	226	50917	 	OP	78948193
73718	244	1998-05-07	VYDAJ	PREVOD NA UCET	226	52927	 	OP	78948193
73719	244	1998-06-07	VYDAJ	PREVOD NA UCET	226	38455	 	OP	78948193
73720	244	1998-07-07	VYDAJ	PREVOD NA UCET	226	43526	 	OP	78948193
73721	244	1998-08-07	VYDAJ	PREVOD NA UCET	226	48714	 	OP	78948193
73722	244	1998-09-07	VYDAJ	PREVOD NA UCET	226	54826	 	OP	78948193
73723	244	1998-10-07	VYDAJ	PREVOD NA UCET	226	61667	 	OP	78948193
73724	244	1998-11-07	VYDAJ	PREVOD NA UCET	226	62518	 	OP	78948193
73725	244	1998-12-07	VYDAJ	PREVOD NA UCET	226	60864	 	OP	78948193
73732	244	1993-07-06	VYDAJ	PREVOD NA UCET	232	31473	POJISTNE	GH	7008588
73733	244	1993-08-06	VYDAJ	PREVOD NA UCET	232	30347	POJISTNE	GH	7008588
73734	244	1993-09-06	VYDAJ	PREVOD NA UCET	232	29407	POJISTNE	GH	7008588
73735	244	1993-10-06	VYDAJ	PREVOD NA UCET	232	24715	POJISTNE	GH	7008588
73736	244	1993-11-06	VYDAJ	PREVOD NA UCET	232	27619	POJISTNE	GH	7008588
73737	244	1993-12-06	VYDAJ	PREVOD NA UCET	232	28533	POJISTNE	GH	7008588
73738	244	1994-01-06	VYDAJ	PREVOD NA UCET	232	27812	POJISTNE	GH	7008588
73739	244	1994-02-06	VYDAJ	PREVOD NA UCET	232	29144	POJISTNE	GH	7008588
73740	244	1994-03-06	VYDAJ	PREVOD NA UCET	232	26065	POJISTNE	GH	7008588
73741	244	1994-04-06	VYDAJ	PREVOD NA UCET	232	29076	POJISTNE	GH	7008588
73742	244	1994-05-06	VYDAJ	PREVOD NA UCET	232	27486	POJISTNE	GH	7008588
73743	244	1994-06-06	VYDAJ	PREVOD NA UCET	232	30501	POJISTNE	GH	7008588
73744	244	1994-07-06	VYDAJ	PREVOD NA UCET	232	24795	POJISTNE	GH	7008588
73745	244	1994-08-06	VYDAJ	PREVOD NA UCET	232	25278	POJISTNE	GH	7008588
73746	244	1994-09-06	VYDAJ	PREVOD NA UCET	232	27883	POJISTNE	GH	7008588
73747	244	1994-10-06	VYDAJ	PREVOD NA UCET	232	30319	POJISTNE	GH	7008588
73748	244	1994-11-06	VYDAJ	PREVOD NA UCET	232	30773	POJISTNE	GH	7008588
73749	244	1994-12-06	VYDAJ	PREVOD NA UCET	232	29197	POJISTNE	GH	7008588
73750	244	1995-01-06	VYDAJ	PREVOD NA UCET	232	27587	POJISTNE	GH	7008588
73751	244	1995-02-06	VYDAJ	PREVOD NA UCET	232	31671	POJISTNE	GH	7008588
73752	244	1995-03-06	VYDAJ	PREVOD NA UCET	232	32602	POJISTNE	GH	7008588
73753	244	1995-04-06	VYDAJ	PREVOD NA UCET	232	35038	POJISTNE	GH	7008588
73754	244	1995-05-06	VYDAJ	PREVOD NA UCET	232	30837	POJISTNE	GH	7008588
73755	244	1995-06-06	VYDAJ	PREVOD NA UCET	232	30914	POJISTNE	GH	7008588
73756	244	1995-07-06	VYDAJ	PREVOD NA UCET	232	31241	POJISTNE	GH	7008588
73757	244	1995-08-06	VYDAJ	PREVOD NA UCET	232	32570	POJISTNE	GH	7008588
73758	244	1995-09-06	VYDAJ	PREVOD NA UCET	232	34605	POJISTNE	GH	7008588
73759	244	1995-10-06	VYDAJ	PREVOD NA UCET	232	36248	POJISTNE	GH	7008588
73760	244	1995-11-06	VYDAJ	PREVOD NA UCET	232	38299	POJISTNE	GH	7008588
73761	244	1995-12-06	VYDAJ	PREVOD NA UCET	232	39357	POJISTNE	GH	7008588
73762	244	1996-01-06	VYDAJ	PREVOD NA UCET	232	38727	POJISTNE	GH	7008588
73763	244	1996-02-06	VYDAJ	PREVOD NA UCET	232	42518	POJISTNE	GH	7008588
73764	244	1996-03-06	VYDAJ	PREVOD NA UCET	232	44895	POJISTNE	GH	7008588
73765	244	1996-04-06	VYDAJ	PREVOD NA UCET	232	48883	POJISTNE	GH	7008588
73766	244	1996-05-06	VYDAJ	PREVOD NA UCET	232	50285	POJISTNE	GH	7008588
73767	244	1996-06-06	VYDAJ	PREVOD NA UCET	232	53295	POJISTNE	GH	7008588
73768	244	1996-07-06	VYDAJ	PREVOD NA UCET	232	51310	POJISTNE	GH	7008588
73769	244	1996-08-06	VYDAJ	PREVOD NA UCET	232	55125	POJISTNE	GH	7008588
73770	244	1996-09-06	VYDAJ	PREVOD NA UCET	232	53940	POJISTNE	GH	7008588
73771	244	1996-10-06	VYDAJ	PREVOD NA UCET	232	54157	POJISTNE	GH	7008588
73772	244	1996-11-06	VYDAJ	PREVOD NA UCET	232	56783	POJISTNE	GH	7008588
73773	244	1996-12-06	VYDAJ	PREVOD NA UCET	232	57516	POJISTNE	GH	7008588
73774	244	1997-01-06	VYDAJ	PREVOD NA UCET	232	54857	POJISTNE	GH	7008588
73775	244	1997-02-06	VYDAJ	PREVOD NA UCET	232	52167	POJISTNE	GH	7008588
73776	244	1997-03-06	VYDAJ	PREVOD NA UCET	232	56758	POJISTNE	GH	7008588
73777	244	1997-04-06	VYDAJ	PREVOD NA UCET	232	58724	POJISTNE	GH	7008588
73778	244	1997-05-06	VYDAJ	PREVOD NA UCET	232	57190	POJISTNE	GH	7008588
73779	244	1997-06-06	VYDAJ	PREVOD NA UCET	232	55295	POJISTNE	GH	7008588
73780	244	1997-07-06	VYDAJ	PREVOD NA UCET	232	58027	POJISTNE	GH	7008588
73781	244	1997-08-06	VYDAJ	PREVOD NA UCET	232	55057	POJISTNE	GH	7008588
73782	244	1997-09-06	VYDAJ	PREVOD NA UCET	232	53717	POJISTNE	GH	7008588
73783	244	1997-10-06	VYDAJ	PREVOD NA UCET	232	54737	POJISTNE	GH	7008588
73784	244	1997-11-06	VYDAJ	PREVOD NA UCET	232	51451	POJISTNE	GH	7008588
73785	244	1997-12-06	VYDAJ	PREVOD NA UCET	232	50545	POJISTNE	GH	7008588
73786	244	1998-01-06	VYDAJ	PREVOD NA UCET	232	49819	POJISTNE	GH	7008588
73787	244	1998-02-06	VYDAJ	PREVOD NA UCET	232	50765	POJISTNE	GH	7008588
73788	244	1998-03-06	VYDAJ	PREVOD NA UCET	232	50238	POJISTNE	GH	7008588
73789	244	1998-04-06	VYDAJ	PREVOD NA UCET	232	51143	POJISTNE	GH	7008588
73790	244	1998-05-06	VYDAJ	PREVOD NA UCET	232	53153	POJISTNE	GH	7008588
73791	244	1998-06-06	VYDAJ	PREVOD NA UCET	232	38681	POJISTNE	GH	7008588
73792	244	1998-07-06	VYDAJ	PREVOD NA UCET	232	43752	POJISTNE	GH	7008588
73793	244	1998-08-06	VYDAJ	PREVOD NA UCET	232	48940	POJISTNE	GH	7008588
73794	244	1998-09-06	VYDAJ	PREVOD NA UCET	232	55052	POJISTNE	GH	7008588
73795	244	1998-10-06	VYDAJ	PREVOD NA UCET	232	61893	POJISTNE	GH	7008588
73796	244	1998-11-06	VYDAJ	PREVOD NA UCET	232	62744	POJISTNE	GH	7008588
73797	244	1998-12-06	VYDAJ	PREVOD NA UCET	232	61090	POJISTNE	GH	7008588
73799	244	1994-06-08	VYDAJ	VYBER	6660	23615	\N	\N	\N
73800	244	1995-06-27	VYDAJ	VYBER	3600	24898	\N	\N	\N
73801	244	1996-06-13	VYDAJ	VYBER	7830	42389	\N	\N	\N
73802	244	1997-06-02	VYDAJ	VYBER	3030	51555	\N	\N	\N
73803	244	1998-06-02	VYDAJ	VYBER	8370	34941	\N	\N	\N
73804	244	1993-12-22	VYDAJ	VYBER	330	25787	\N	\N	\N
73805	244	1994-12-15	VYDAJ	VYBER	510	26271	\N	\N	\N
73806	244	1995-12-12	VYDAJ	VYBER	540	36401	\N	\N	\N
73807	244	1996-12-15	VYDAJ	VYBER	300	54800	\N	\N	\N
73808	244	1997-12-14	VYDAJ	VYBER	450	46379	\N	\N	\N
73809	244	1998-12-30	VYDAJ	VYBER KARTOU	500	51874	\N	\N	0
73816	244	1994-01-11	VYDAJ	VYBER	810	24586	\N	\N	\N
73817	244	1994-01-04	VYDAJ	VYBER	270	24072	\N	\N	\N
73818	244	1994-01-30	VYDAJ	VYBER	360	23116	\N	\N	\N
73819	244	1994-01-01	VYDAJ	VYBER	840	25042	\N	\N	\N
73820	244	1994-01-12	VYDAJ	VYBER	360	23476	\N	\N	\N
73821	244	1994-01-12	VYDAJ	VYBER	750	23836	\N	\N	\N
73822	244	1995-01-01	VYDAJ	VYBER	390	25077	\N	\N	\N
73823	244	1995-01-05	VYDAJ	VYBER	870	27819	\N	\N	\N
73824	244	1995-01-10	VYDAJ	VYBER	810	24361	\N	\N	\N
73825	244	1995-01-21	VYDAJ	VYBER	630	23041	\N	\N	\N
73826	244	1995-01-20	VYDAJ	VYBER	690	23671	\N	\N	\N
73827	244	1995-01-04	VYDAJ	VYBER	360	24717	\N	\N	\N
73828	244	1996-01-20	VYDAJ	VYBER	600	34181	\N	\N	\N
73829	244	1996-01-20	VYDAJ	VYBER	570	34781	\N	\N	\N
73830	244	1996-01-20	VYDAJ	VYBER	150	35351	\N	\N	\N
73831	244	1996-01-06	VYDAJ	VYBER	150	38959	\N	\N	\N
73832	244	1996-01-18	VYDAJ	VYBER	330	35501	\N	\N	\N
73833	244	1996-01-08	VYDAJ	VYBER	480	38021	\N	\N	\N
73834	244	1997-01-26	VYDAJ	VYBER	750	48471	\N	\N	\N
73835	244	1997-01-05	VYDAJ	VYBER	390	55089	\N	\N	\N
73836	244	1997-01-18	VYDAJ	VYBER	780	49221	\N	\N	\N
73837	244	1997-01-10	VYDAJ	VYBER	540	51001	\N	\N	\N
73838	244	1997-01-12	VYDAJ	VYBER	300	50701	\N	\N	\N
73839	244	1997-01-30	VYDAJ	VYBER	240	48231	\N	\N	\N
73840	244	1998-01-23	VYDAJ	VYBER	300	47983	\N	\N	\N
73841	244	1998-01-30	VYDAJ	VYBER	840	47143	\N	\N	\N
73842	244	1998-01-14	VYDAJ	VYBER	360	48283	\N	\N	\N
73843	244	1998-01-03	VYDAJ	VYBER	480	46079	\N	\N	\N
73844	244	1998-01-13	VYDAJ	VYBER	420	48643	\N	\N	\N
73845	244	1998-01-06	VYDAJ	VYBER	240	49579	\N	\N	\N
73846	244	1993-08-19	VYDAJ	VYBER	300	25931	\N	\N	\N
73847	244	1993-07-31	VYDAJ	VYBER	300	26772	\N	\N	\N
73848	244	1993-08-04	VYDAJ	VYBER	150	26607	\N	\N	\N
73849	244	1993-08-22	VYDAJ	VYBER	360	25571	\N	\N	\N
73851	244	1994-07-04	VYDAJ	VYBER	450	21055	\N	\N	\N
73852	244	1994-07-30	VYDAJ	VYBER	1020	21359	\N	\N	\N
73853	244	1994-10-20	VYDAJ	VYBER	570	27333	\N	\N	\N
73854	244	1994-04-22	VYDAJ	VYBER	810	25850	\N	\N	\N
73855	244	1994-06-17	VYDAJ	VYBER	600	20825	\N	\N	\N
73856	244	1994-09-30	VYDAJ	VYBER	1380	24193	\N	\N	\N
73857	244	1994-11-09	VYDAJ	VYBER	900	29647	\N	\N	\N
73858	244	1995-04-10	VYDAJ	VYBER	1110	31512	\N	\N	\N
73859	244	1995-05-31	VYDAJ	VYBER	450	27189	\N	\N	\N
73860	244	1995-04-27	VYDAJ	VYBER	1380	29082	\N	\N	\N
73861	244	1995-04-19	VYDAJ	VYBER	1050	30462	\N	\N	\N
73862	244	1996-06-12	VYDAJ	VYBER	660	50219	\N	\N	\N
73863	244	1996-09-09	VYDAJ	VYBER	480	51914	\N	\N	\N
73864	244	1996-09-07	VYDAJ	VYBER	1320	52620	\N	\N	\N
73865	244	1996-01-26	VYDAJ	VYBER	1440	38641	\N	\N	\N
73866	244	1996-08-21	VYDAJ	VYBER	210	49999	\N	\N	\N
73867	244	1997-03-18	VYDAJ	VYBER	1470	52872	\N	\N	\N
73868	244	1997-04-12	VYDAJ	VYBER	570	55738	\N	\N	\N
73869	244	1997-03-05	VYDAJ	VYBER	630	56990	\N	\N	\N
73870	244	1997-08-19	VYDAJ	VYBER	660	49781	\N	\N	\N
73871	244	1997-01-10	VYDAJ	VYBER	900	51541	\N	\N	\N
73872	244	1997-11-07	VYDAJ	VYBER	1410	50041	\N	\N	\N
73873	244	1998-02-11	VYDAJ	VYBER	930	47419	\N	\N	\N
73874	244	1998-05-08	VYDAJ	VYBER KARTOU	1300	51627	\N	\N	0
73875	244	1998-02-05	VYDAJ	VYBER	300	50997	\N	\N	\N
73876	244	1998-03-20	VYDAJ	VYBER KARTOU	400	47222	\N	\N	0
73877	244	1998-03-16	VYDAJ	VYBER KARTOU	1300	47622	\N	\N	0
73885	244	1993-07-31	VYDAJ	VYBER	15	26757	SLUZBY	\N	\N
73886	244	1993-08-31	VYDAJ	VYBER	15	25667	SLUZBY	\N	\N
73887	244	1993-09-30	VYDAJ	VYBER	15	22975	SLUZBY	\N	\N
73888	244	1993-10-31	VYDAJ	VYBER	15	22379	SLUZBY	\N	\N
73889	244	1993-11-30	VYDAJ	VYBER	15	25293	SLUZBY	\N	\N
73890	244	1993-12-31	VYDAJ	VYBER	15	25882	SLUZBY	\N	\N
73891	244	1994-01-31	VYDAJ	VYBER	15	23204	SLUZBY	\N	\N
73892	244	1994-02-28	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
73893	244	1994-03-31	VYDAJ	VYBER	15	23736	SLUZBY	\N	\N
73894	244	1994-04-30	VYDAJ	VYBER	15	25946	SLUZBY	\N	\N
73895	244	1994-05-31	VYDAJ	VYBER	15	25161	SLUZBY	\N	\N
73896	244	1994-06-30	VYDAJ	VYBER	15	20905	SLUZBY	\N	\N
73897	244	1994-07-31	VYDAJ	VYBER	15	21438	SLUZBY	\N	\N
73898	244	1994-08-31	VYDAJ	VYBER	15	22943	SLUZBY	\N	\N
73899	244	1994-09-30	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
73900	244	1994-10-31	VYDAJ	VYBER	15	27033	SLUZBY	\N	\N
73901	244	1994-11-30	VYDAJ	VYBER	15	27557	SLUZBY	\N	\N
73902	244	1994-12-31	VYDAJ	VYBER	15	25467	SLUZBY	\N	\N
73903	244	1995-01-31	VYDAJ	VYBER	15	27931	SLUZBY	\N	\N
73904	244	1995-02-28	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
73905	244	1995-03-31	VYDAJ	VYBER	15	31298	SLUZBY	\N	\N
73906	244	1995-04-30	VYDAJ	VYBER	15	27097	SLUZBY	\N	\N
73907	244	1995-05-31	VYDAJ	VYBER	15	27174	SLUZBY	\N	\N
73908	244	1995-06-30	VYDAJ	VYBER	15	27501	SLUZBY	\N	\N
73909	244	1995-07-31	VYDAJ	VYBER	15	28830	SLUZBY	\N	\N
73910	244	1995-08-31	VYDAJ	VYBER	15	30865	SLUZBY	\N	\N
73911	244	1995-09-30	VYDAJ	VYBER	15	32508	SLUZBY	\N	\N
73912	244	1995-10-31	VYDAJ	VYBER	15	34559	SLUZBY	\N	\N
73913	244	1995-11-30	VYDAJ	VYBER	15	35617	SLUZBY	\N	\N
73914	244	1995-12-31	VYDAJ	VYBER	15	35137	SLUZBY	\N	\N
73915	244	1996-01-31	VYDAJ	VYBER	15	38778	SLUZBY	\N	\N
73916	244	1996-02-29	VYDAJ	VYBER	15	41155	SLUZBY	\N	\N
73917	244	1996-03-31	VYDAJ	VYBER	15	45143	SLUZBY	\N	\N
73918	244	1996-04-30	VYDAJ	VYBER	15	46545	SLUZBY	\N	\N
73919	244	1996-05-31	VYDAJ	VYBER	15	49555	SLUZBY	\N	\N
73920	244	1996-06-30	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
73921	244	1996-07-31	VYDAJ	VYBER	15	51385	SLUZBY	\N	\N
73922	244	1996-08-31	VYDAJ	VYBER	15	50200	SLUZBY	\N	\N
73923	244	1996-09-30	VYDAJ	VYBER	15	50417	SLUZBY	\N	\N
73924	244	1996-10-31	VYDAJ	VYBER	15	53043	SLUZBY	\N	\N
73925	244	1996-11-30	VYDAJ	VYBER	15	53776	SLUZBY	\N	\N
73926	244	1996-12-31	VYDAJ	VYBER	15	51507	SLUZBY	\N	\N
73927	244	1997-01-31	VYDAJ	VYBER	15	48427	SLUZBY	\N	\N
73928	244	1997-02-28	VYDAJ	VYBER	15	53648	SLUZBY	\N	\N
73929	244	1997-03-31	VYDAJ	VYBER	15	54984	SLUZBY	\N	\N
73930	244	1997-04-30	VYDAJ	VYBER	15	53450	SLUZBY	\N	\N
73931	244	1997-05-31	VYDAJ	VYBER	15	54585	SLUZBY	\N	\N
73932	244	1997-06-30	VYDAJ	VYBER	15	54287	SLUZBY	\N	\N
73933	244	1997-07-31	VYDAJ	VYBER	15	51317	SLUZBY	\N	\N
73934	244	1997-08-31	VYDAJ	VYBER	15	49977	SLUZBY	\N	\N
73935	244	1997-09-30	VYDAJ	VYBER	15	50997	SLUZBY	\N	\N
73936	244	1997-10-31	VYDAJ	VYBER	15	47711	SLUZBY	\N	\N
73937	244	1997-11-30	VYDAJ	VYBER	15	46805	SLUZBY	\N	\N
73938	244	1997-12-31	VYDAJ	VYBER	15	46559	SLUZBY	\N	\N
73939	244	1998-01-31	VYDAJ	VYBER	15	47325	SLUZBY	\N	\N
73940	244	1998-02-28	VYDAJ	VYBER	15	46498	SLUZBY	\N	\N
73941	244	1998-03-31	VYDAJ	VYBER	15	47403	SLUZBY	\N	\N
73942	244	1998-04-30	VYDAJ	VYBER	15	49413	SLUZBY	\N	\N
73943	244	1998-05-31	VYDAJ	VYBER	15	43311	SLUZBY	\N	\N
73944	244	1998-06-30	VYDAJ	VYBER	15	40012	SLUZBY	\N	\N
73945	244	1998-07-31	VYDAJ	VYBER	15	45200	SLUZBY	\N	\N
73946	244	1998-08-31	VYDAJ	VYBER	15	51312	SLUZBY	\N	\N
73947	244	1998-09-30	VYDAJ	VYBER	15	58153	SLUZBY	\N	\N
73948	244	1998-10-31	VYDAJ	VYBER	15	59004	SLUZBY	\N	\N
73949	244	1998-11-30	VYDAJ	VYBER	15	57350	SLUZBY	\N	\N
73950	244	1993-03-10	PRIJEM	VKLAD	10100	14872	\N	\N	\N
73951	244	1993-04-09	PRIJEM	VKLAD	3600	22488	\N	\N	\N
73952	244	1993-05-09	VYDAJ	VYBER	1000	25545	\N	\N	\N
73953	244	1993-06-08	VYDAJ	VYBER	2000	27620	\N	\N	\N
73954	244	1993-07-08	VYDAJ	VYBER	2100	29147	\N	\N	\N
73955	244	1993-08-07	VYDAJ	VYBER	1700	28647	\N	\N	\N
73956	244	1993-09-06	VYDAJ	VYBER	4100	25307	\N	\N	\N
73957	244	1993-10-06	VYDAJ	VYBER	2000	24947	\N	\N	\N
73958	244	1993-11-05	PRIJEM	VKLAD	1500	23879	\N	\N	\N
73959	244	1993-12-05	VYDAJ	VYBER	500	28765	\N	\N	\N
73960	244	1994-01-04	VYDAJ	VYBER	700	24342	\N	\N	\N
73961	244	1994-02-03	PRIJEM	VKLAD	2200	25404	\N	\N	\N
73962	244	1994-03-05	VYDAJ	VYBER	4500	26297	\N	\N	\N
73963	244	1994-04-04	PRIJEM	VKLAD	1600	25336	\N	\N	\N
73964	244	1994-05-04	VYDAJ	VYBER	2200	23746	\N	\N	\N
73965	244	1994-06-03	PRIJEM	VKLAD	1600	26761	\N	\N	\N
73966	244	1994-07-03	PRIJEM	VKLAD	600	21505	\N	\N	\N
73967	244	1994-08-02	PRIJEM	VKLAD	100	21538	\N	\N	\N
73968	244	1994-09-01	PRIJEM	VKLAD	1200	24143	\N	\N	\N
73969	244	1994-10-01	PRIJEM	VKLAD	2400	26579	\N	\N	\N
73970	244	1994-10-31	VYDAJ	VYBER	400	27047	\N	\N	\N
73971	244	1994-11-30	VYDAJ	VYBER	2100	25457	\N	\N	\N
73972	244	1994-12-30	VYDAJ	VYBER	900	25371	\N	\N	\N
73973	244	1995-01-29	PRIJEM	VKLAD	4800	27841	\N	\N	\N
73974	244	1995-02-28	VYDAJ	VYBER	500	28862	\N	\N	\N
73975	244	1995-03-30	PRIJEM	VKLAD	1000	31186	\N	\N	\N
73976	244	1995-04-29	VYDAJ	VYBER	2100	26982	\N	\N	\N
73977	244	1995-05-29	VYDAJ	VYBER	900	27521	\N	\N	\N
73978	244	1995-06-28	PRIJEM	VKLAD	2500	27398	\N	\N	\N
73979	244	1995-07-28	VYDAJ	VYBER	100	28725	\N	\N	\N
73980	244	1995-08-27	PRIJEM	VKLAD	600	30754	\N	\N	\N
73981	244	1995-09-26	PRIJEM	VKLAD	200	32389	\N	\N	\N
73982	244	1995-10-26	PRIJEM	VKLAD	600	34432	\N	\N	\N
73983	244	1995-11-25	VYDAJ	VYBER	400	35483	\N	\N	\N
73984	244	1995-12-25	VYDAJ	VYBER	1400	35001	\N	\N	\N
73985	244	1996-01-24	PRIJEM	VKLAD	5900	40081	\N	\N	\N
73986	244	1996-02-23	PRIJEM	VKLAD	900	41002	\N	\N	\N
73987	244	1996-03-24	PRIJEM	VKLAD	2500	44979	\N	\N	\N
73988	244	1996-04-23	VYDAJ	VYBER	100	46367	\N	\N	\N
73989	244	1996-05-23	PRIJEM	VKLAD	1500	49369	\N	\N	\N
73990	244	1996-06-22	PRIJEM	VKLAD	5000	47389	\N	\N	\N
73991	244	1996-07-22	PRIJEM	VKLAD	2300	51194	\N	\N	\N
73992	244	1996-08-21	VYDAJ	VYBER	2500	50209	\N	\N	\N
73993	244	1996-09-20	PRIJEM	VKLAD	500	50224	\N	\N	\N
73994	244	1996-10-20	PRIJEM	VKLAD	1100	52841	\N	\N	\N
73995	244	1996-11-19	VYDAJ	VYBER	800	53567	\N	\N	\N
73996	244	1996-12-19	VYDAJ	VYBER	3500	51300	\N	\N	\N
73997	244	1997-01-18	VYDAJ	VYBER	700	50001	\N	\N	\N
73998	244	1997-02-17	PRIJEM	VKLAD	3700	53451	\N	\N	\N
73999	244	1997-03-19	PRIJEM	VKLAD	1900	54772	\N	\N	\N
74000	244	1997-04-18	VYDAJ	VYBER	2500	53238	\N	\N	\N
74001	244	1997-05-18	VYDAJ	VYBER	400	54374	\N	\N	\N
74002	244	1997-06-17	PRIJEM	VKLAD	1200	54079	\N	\N	\N
74003	244	1997-07-17	VYDAJ	VYBER	4500	51111	\N	\N	\N
74004	244	1997-08-16	VYDAJ	VYBER	2200	50441	\N	\N	\N
74005	244	1997-09-15	VYDAJ	VYBER	500	50801	\N	\N	\N
74006	244	1997-10-15	VYDAJ	VYBER	4800	47521	\N	\N	\N
74007	244	1997-11-14	VYDAJ	VYBER	1000	46625	\N	\N	\N
74008	244	1997-12-14	VYDAJ	VYBER	1300	46829	\N	\N	\N
74009	244	1998-01-13	PRIJEM	VKLAD	1900	49063	\N	\N	\N
74010	244	1998-02-12	VYDAJ	VYBER	1100	46319	\N	\N	\N
74011	244	1998-03-14	PRIJEM	VKLAD	1100	48922	\N	\N	\N
74012	244	1998-04-13	PRIJEM	VKLAD	500	49227	\N	\N	\N
74013	244	1998-05-13	VYDAJ	VYBER	6300	43137	\N	\N	\N
74014	244	1998-06-12	PRIJEM	VKLAD	3600	39865	\N	\N	\N
74015	244	1998-07-12	PRIJEM	VKLAD	3700	45036	\N	\N	\N
74016	244	1998-08-11	PRIJEM	VKLAD	4600	51124	\N	\N	\N
74017	244	1998-09-10	PRIJEM	VKLAD	5300	60126	\N	\N	\N
74018	244	1998-10-10	VYDAJ	VYBER KARTOU	700	60967	\N	\N	0
74019	244	1998-11-09	VYDAJ	VYBER KARTOU	3200	59318	\N	\N	0
74020	244	1998-12-09	VYDAJ	VYBER	6300	54564	\N	\N	\N
74091	245	1993-11-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
74111	245	1994-10-31	PRIJEM	VKLAD	26580	82981	\N	\N	\N
74112	245	1994-06-25	PRIJEM	VKLAD	29886	47650	\N	\N	\N
74113	245	1994-10-25	PRIJEM	VKLAD	10823	56401	\N	\N	\N
74114	245	1994-11-15	PRIJEM	VKLAD	7445	90645	\N	\N	\N
74115	245	1994-03-21	PRIJEM	VKLAD	28258	77891	\N	\N	\N
74116	245	1994-05-01	PRIJEM	VKLAD	23934	77462	\N	\N	\N
74117	245	1994-01-31	PRIJEM	VKLAD	37810	81374	\N	\N	\N
74118	245	1994-12-07	PRIJEM	VKLAD	30300	83642	\N	\N	\N
74119	245	1994-10-14	PRIJEM	VKLAD	8644	65078	\N	\N	\N
74120	245	1994-08-16	PRIJEM	VKLAD	24646	58595	\N	\N	\N
74121	245	1994-05-26	PRIJEM	VKLAD	19304	69970	\N	\N	\N
74122	245	1994-09-18	PRIJEM	VKLAD	44493	121354	\N	\N	\N
74123	245	1994-05-07	PRIJEM	VKLAD	8104	85566	\N	\N	\N
74124	245	1994-08-25	PRIJEM	VKLAD	35296	76691	\N	\N	\N
74125	245	1994-04-19	PRIJEM	VKLAD	29770	108597	\N	\N	\N
74126	245	1994-01-12	PRIJEM	VKLAD	45212	60212	\N	\N	\N
74127	245	1994-04-16	PRIJEM	VKLAD	28329	78827	\N	\N	\N
74128	245	1994-11-19	PRIJEM	VKLAD	26111	116756	\N	\N	\N
74129	245	1994-02-22	PRIJEM	VKLAD	26250	107624	\N	\N	\N
74130	245	1996-01-30	PRIJEM	VKLAD	9838	8948	\N	\N	\N
74131	245	1996-07-09	PRIJEM	VKLAD	46772	53978	\N	\N	\N
74132	245	1996-08-17	PRIJEM	VKLAD	5868	32772	\N	\N	\N
74133	245	1996-05-01	PRIJEM	VKLAD	35495	58314	\N	\N	\N
74134	245	1997-06-02	PRIJEM	VKLAD	39226	109446	\N	\N	\N
74135	245	1997-07-08	PRIJEM	VKLAD	47784	60121	\N	\N	\N
74136	245	1997-10-22	PRIJEM	VKLAD	17416	49850	\N	\N	\N
74137	245	1997-08-14	PRIJEM	VKLAD	15079	84829	\N	\N	\N
74138	245	1997-01-30	PRIJEM	VKLAD	25348	24137	\N	\N	\N
74139	245	1997-03-09	PRIJEM	VKLAD	16968	21350	\N	\N	\N
74140	245	1997-05-16	PRIJEM	VKLAD	46853	108281	\N	\N	\N
74141	245	1997-08-09	PRIJEM	VKLAD	26054	69750	\N	\N	\N
74142	245	1997-04-23	PRIJEM	VKLAD	43482	109507	\N	\N	\N
74143	245	1997-08-18	PRIJEM	VKLAD	39417	124246	\N	\N	\N
74144	245	1997-10-31	PRIJEM	VKLAD	17083	67102	\N	\N	\N
74145	245	1997-11-05	PRIJEM	VKLAD	11819	56506	\N	\N	\N
74146	245	1997-04-10	PRIJEM	VKLAD	38631	66025	\N	\N	\N
74147	245	1997-05-09	PRIJEM	VKLAD	25153	61428	\N	\N	\N
74148	245	1997-09-06	PRIJEM	VKLAD	18303	58902	\N	\N	\N
74149	245	1997-09-23	PRIJEM	VKLAD	19153	45638	\N	\N	\N
74150	245	1997-05-28	PRIJEM	VKLAD	26812	135093	\N	\N	\N
74151	245	1997-03-28	PRIJEM	VKLAD	28339	49689	\N	\N	\N
74152	245	1997-12-02	PRIJEM	VKLAD	42977	99707	\N	\N	\N
74153	245	1998-07-02	PRIJEM	VKLAD	17342	80810	\N	\N	\N
74154	245	1998-11-18	PRIJEM	VKLAD	45662	111340	\N	\N	\N
74155	245	1998-01-27	PRIJEM	VKLAD	8095	39878	\N	\N	\N
74156	245	1998-01-01	PRIJEM	VKLAD	30487	91228	\N	\N	\N
74157	245	1998-10-22	PRIJEM	VKLAD	33968	39771	\N	\N	\N
74158	245	1998-08-26	PRIJEM	VKLAD	15344	77540	\N	\N	\N
74159	245	1998-12-21	PRIJEM	VKLAD	5636	57760	\N	\N	\N
74160	245	1998-11-14	PRIJEM	VKLAD	11915	65678	\N	\N	\N
74161	245	1998-07-01	PRIJEM	VKLAD	33852	63468	\N	\N	\N
74162	245	1998-08-22	PRIJEM	VKLAD	32626	62196	\N	\N	\N
74163	245	1998-11-11	PRIJEM	VKLAD	11098	53763	\N	\N	\N
74164	245	1998-11-28	PRIJEM	VKLAD	15420	126760	\N	\N	\N
74165	245	1998-03-29	PRIJEM	VKLAD	14467	29383	\N	\N	\N
74178	245	1994-04-22	VYBER	VYBER	2092	85005	\N	\N	\N
74179	245	1994-07-05	VYBER	VYBER	2214	45681	\N	\N	\N
74180	245	1995-04-20	VYBER	VYBER	6071	15492	\N	\N	\N
74181	245	1995-07-06	VYBER	VYBER	5995	10624	\N	\N	\N
74183	245	1995-03-13	VYBER	VYBER	7718	5323	\N	\N	\N
74184	245	1995-09-24	VYBER	VYBER	2461	22379	\N	\N	\N
74186	245	1995-12-08	VYBER	VYBER	2287	152	\N	\N	\N
74189	245	1995-01-08	VYBER	VYBER	16545	32936	\N	\N	\N
74190	245	1995-11-25	VYBER	VYBER	10824	8994	\N	\N	\N
74193	245	1996-12-18	VYBER	VYBER	2382	15196	\N	\N	\N
74196	245	1996-09-25	VYBER	VYBER	22283	3071	\N	\N	\N
74198	245	1996-01-22	VYBER	VYBER	11971	4510	\N	\N	\N
74199	245	1996-05-20	VYBER	VYBER	7895	35919	\N	\N	\N
74200	245	1996-07-05	VYBER	VYBER	2364	7206	\N	\N	\N
74202	245	1996-09-07	VYBER	VYBER	2825	24354	\N	\N	\N
74203	245	1996-05-23	VYBER	VYBER	14908	21011	\N	\N	\N
74204	245	1997-06-01	VYBER	VYBER	18910	70220	\N	\N	\N
74206	245	1997-03-30	VYBER	VYBER	5053	44636	\N	\N	\N
74207	245	1997-09-17	VYBER	VYBER	20117	38785	\N	\N	\N
74210	245	1997-06-10	VYBER	VYBER	21533	38413	\N	\N	\N
74211	245	1997-04-08	VYBER	VYBER	16899	27794	\N	\N	\N
74212	245	1997-01-12	VYBER	VYBER	5155	6889	\N	\N	\N
74214	245	1998-05-21	VYBER	VYBER	6289	22036	\N	\N	\N
74215	245	1998-10-02	VYBER	VYBER	16753	28193	\N	\N	\N
74216	245	1998-02-24	VYBER	VYBER	12576	16362	\N	\N	\N
74217	245	1998-12-03	VYBER	VYBER	21324	56624	\N	\N	\N
74219	245	1998-09-10	VYBER	VYBER	16295	46633	\N	\N	\N
74220	245	1998-12-25	VYBER	VYBER	13331	44429	\N	\N	\N
74221	245	1998-09-14	VYBER	VYBER	2985	43648	\N	\N	\N
74222	245	1998-10-09	VYBER	VYBER	22390	5803	\N	\N	\N
74223	245	1998-01-23	VYBER	VYBER	2145	31783	\N	\N	\N
74224	245	1998-03-10	VYBER	VYBER	9448	14916	\N	\N	\N
74225	245	1998-08-08	VYBER	VYBER	21249	29570	\N	\N	\N
74227	245	1998-05-30	VYBER	VYBER	4546	17490	\N	\N	\N
74229	245	1994-06-12	VYDAJ	VYBER	56400	13864	\N	\N	\N
74232	245	1997-06-15	VYDAJ	VYBER	30900	7513	\N	\N	\N
74235	245	1994-12-12	VYDAJ	VYBER	2400	77942	\N	\N	\N
74236	245	1995-12-07	VYDAJ	VYBER	6600	2439	\N	\N	\N
74237	245	1996-12-18	VYDAJ	VYBER	1500	13696	\N	\N	\N
74238	245	1997-12-06	VYDAJ	VYBER	2400	60507	\N	\N	\N
74239	245	1998-12-10	VYDAJ	VYBER	4500	52124	\N	\N	\N
74252	245	1995-01-01	VYDAJ	VYBER	2400	49481	\N	\N	\N
74253	245	1995-01-22	VYDAJ	VYBER	8400	18736	\N	\N	\N
74254	245	1995-01-12	VYDAJ	VYBER	2400	30536	\N	\N	\N
74255	245	1995-01-15	VYDAJ	VYBER	2400	28136	\N	\N	\N
74256	245	1995-01-29	VYDAJ	VYBER	8400	3136	\N	\N	\N
74257	245	1995-01-25	VYDAJ	VYBER	7200	11536	\N	\N	\N
74260	245	1996-01-09	VYDAJ	VYBER	7800	4881	\N	\N	\N
74261	245	1996-01-04	VYDAJ	VYBER	1500	12681	\N	\N	\N
74262	245	1996-01-23	VYDAJ	VYBER	2400	-890	\N	\N	\N
74263	245	1996-01-02	VYDAJ	VYBER	1500	14181	\N	\N	\N
74264	245	1997-01-02	VYDAJ	VYBER	6900	6844	\N	\N	\N
74266	245	1997-01-26	VYDAJ	VYBER	1500	-1211	\N	\N	\N
74268	245	1997-01-10	VYDAJ	VYBER	2100	12044	\N	\N	\N
74269	245	1997-01-15	VYDAJ	VYBER	6600	289	\N	\N	\N
74270	245	1998-01-03	VYDAJ	VYBER	8100	83128	\N	\N	\N
74271	245	1998-01-04	VYDAJ	VYBER	1500	55228	\N	\N	\N
74272	245	1998-01-14	VYDAJ	VYBER	5700	43228	\N	\N	\N
74273	245	1998-01-29	VYDAJ	VYBER	1500	31178	\N	\N	\N
74274	245	1998-01-28	VYDAJ	VYBER	7200	32678	\N	\N	\N
74275	245	1998-01-07	VYDAJ	VYBER	6300	48928	\N	\N	\N
74282	245	1994-12-10	VYDAJ	VYBER	3300	80342	\N	\N	\N
74285	245	1994-05-07	VYDAJ	VYBER	7200	78366	\N	\N	\N
74286	245	1995-06-08	VYDAJ	VYBER	2700	9281	\N	\N	\N
74287	245	1995-06-09	VYDAJ	VYBER	1800	7481	\N	\N	\N
74289	245	1995-10-04	VYDAJ	VYBER	12300	10154	\N	\N	\N
74290	245	1995-05-21	VYDAJ	VYBER	6900	11937	\N	\N	\N
74292	245	1996-10-24	VYDAJ	VYBER	1500	10445	\N	\N	\N
74293	245	1996-08-28	VYDAJ	VYBER	5700	27072	\N	\N	\N
74294	245	1996-06-21	VYDAJ	VYBER	13800	9514	\N	\N	\N
74295	245	1996-07-30	VYDAJ	VYBER	14700	27778	\N	\N	\N
74296	245	1996-01-22	VYDAJ	VYBER	3000	1510	\N	\N	\N
74297	245	1997-07-15	VYDAJ	VYBER	2400	57721	\N	\N	\N
74298	245	1997-10-07	VYDAJ	VYBER	2400	32434	\N	\N	\N
74299	245	1997-02-16	VYDAJ	VYBER	9000	1348	\N	\N	\N
74301	245	1997-09-21	VYDAJ	VYBER	12300	26485	\N	\N	\N
74302	245	1997-06-23	VYDAJ	VYBER	3900	3613	\N	\N	\N
74303	245	1997-02-13	VYDAJ	VYBER	14400	10348	\N	\N	\N
74304	245	1998-10-30	VYDAJ	VYBER	3900	42571	\N	\N	\N
74305	245	1998-01-18	VYDAJ	VYBER	9300	33928	\N	\N	\N
74306	245	1998-04-19	VYDAJ	VYBER	10800	20435	\N	\N	\N
74323	245	1994-04-30	VYDAJ	VYBER	15	53528	SLUZBY	\N	\N
74324	245	1994-05-31	VYDAJ	VYBER	15	70264	SLUZBY	\N	\N
74325	245	1994-06-30	VYDAJ	VYBER	15	47895	SLUZBY	\N	\N
74326	245	1994-07-31	VYDAJ	VYBER	15	33949	SLUZBY	\N	\N
74327	245	1994-08-31	VYDAJ	VYBER	15	76861	SLUZBY	\N	\N
74328	245	1994-09-30	VYDAJ	VYBER	15	56434	SLUZBY	\N	\N
74329	245	1994-10-31	VYDAJ	VYBER	15	83200	SLUZBY	\N	\N
74330	245	1994-11-30	VYDAJ	VYBER	15	53342	SLUZBY	\N	\N
74331	245	1994-12-31	VYDAJ	VYBER	15	51881	SLUZBY	\N	\N
74332	245	1995-01-31	VYDAJ	VYBER	15	3241	SLUZBY	\N	\N
74333	245	1995-02-28	VYDAJ	VYBER	15	13041	SLUZBY	\N	\N
74334	245	1995-03-31	VYDAJ	VYBER	15	13563	SLUZBY	\N	\N
74335	245	1995-04-30	VYDAJ	VYBER	15	15537	SLUZBY	\N	\N
74336	245	1995-05-31	VYDAJ	VYBER	15	11981	SLUZBY	\N	\N
74337	245	1995-06-30	VYDAJ	VYBER	15	16619	SLUZBY	\N	\N
74338	245	1995-07-31	VYDAJ	VYBER	15	17980	SLUZBY	\N	\N
74339	245	1995-08-31	VYDAJ	VYBER	15	21240	SLUZBY	\N	\N
74340	245	1995-09-30	VYDAJ	VYBER	15	22454	SLUZBY	\N	\N
74341	245	1995-10-31	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
74342	245	1995-11-30	VYDAJ	VYBER	15	9039	SLUZBY	\N	\N
74343	245	1995-12-31	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
74344	245	1996-01-31	VYDAJ	VYBER	15	8971	SLUZBY	\N	\N
74345	245	1996-02-29	VYDAJ	VYBER	15	16592	SLUZBY	\N	\N
74346	245	1996-03-31	VYDAJ	VYBER	15	21346	SLUZBY	\N	\N
74347	245	1996-04-30	VYDAJ	VYBER	15	22819	SLUZBY	\N	\N
74348	245	1996-05-31	VYDAJ	VYBER	15	21114	SLUZBY	\N	\N
74349	245	1996-06-30	VYDAJ	VYBER	15	9570	SLUZBY	\N	\N
74350	245	1996-07-31	VYDAJ	VYBER	15	27904	SLUZBY	\N	\N
74351	245	1996-08-31	VYDAJ	VYBER	15	27179	SLUZBY	\N	\N
74352	245	1996-09-30	VYDAJ	VYBER	15	3145	SLUZBY	\N	\N
74353	245	1996-10-31	VYDAJ	VYBER	15	10449	SLUZBY	\N	\N
74354	245	1996-11-30	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
74355	245	1996-12-31	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
74356	245	1997-01-31	VYDAJ	VYBER	15	24151	SLUZBY	\N	\N
74357	245	1997-02-28	VYDAJ	VYBER	15	1382	SLUZBY	\N	\N
74358	245	1997-03-31	VYDAJ	VYBER	15	44693	SLUZBY	\N	\N
74359	245	1997-04-30	VYDAJ	VYBER	15	51375	SLUZBY	\N	\N
74360	245	1997-05-31	VYDAJ	VYBER	15	89130	SLUZBY	\N	\N
74361	245	1997-06-30	VYDAJ	VYBER	15	3737	SLUZBY	\N	\N
74362	245	1997-07-31	VYDAJ	VYBER	15	57896	SLUZBY	\N	\N
74363	245	1997-08-31	VYDAJ	VYBER	15	61699	SLUZBY	\N	\N
74364	245	1997-09-30	VYDAJ	VYBER	15	45834	SLUZBY	\N	\N
74365	245	1997-10-31	VYDAJ	VYBER	15	67087	SLUZBY	\N	\N
74366	245	1997-11-30	VYDAJ	VYBER	15	56730	SLUZBY	\N	\N
74367	245	1997-12-31	VYDAJ	VYBER	15	60741	SLUZBY	\N	\N
74368	245	1998-01-31	VYDAJ	VYBER	15	31338	SLUZBY	\N	\N
74369	245	1998-02-28	VYDAJ	VYBER	15	16464	SLUZBY	\N	\N
74370	245	1998-03-31	VYDAJ	VYBER	15	29435	SLUZBY	\N	\N
74371	245	1998-04-30	VYDAJ	VYBER	15	20525	SLUZBY	\N	\N
74372	245	1998-05-31	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
74373	245	1998-06-30	VYDAJ	VYBER	15	29616	SLUZBY	\N	\N
74374	245	1998-07-31	VYDAJ	VYBER	15	60919	SLUZBY	\N	\N
74375	245	1998-08-31	VYDAJ	VYBER	15	62928	SLUZBY	\N	\N
74376	245	1998-09-30	VYDAJ	VYBER	15	44946	SLUZBY	\N	\N
74377	245	1998-10-31	VYDAJ	VYBER	15	42665	SLUZBY	\N	\N
74378	245	1998-11-30	VYDAJ	VYBER	15	77948	SLUZBY	\N	\N
74379	245	1993-12-25	PRIJEM	VKLAD	13900	15000	\N	\N	\N
74380	245	1994-01-24	VYDAJ	VYBER	16700	43512	\N	\N	\N
74381	245	1994-02-22	VYDAJ	VYBER	32600	75024	\N	\N	\N
74382	245	1994-02-23	VYDAJ	VYBER	25700	49324	\N	\N	\N
74383	245	1994-03-25	VYDAJ	VYBER	27600	50291	\N	\N	\N
74384	245	1994-04-19	VYDAJ	VYBER	21500	87097	\N	\N	\N
74385	245	1994-04-24	VYDAJ	VYBER	31700	53305	\N	\N	\N
74386	245	1994-05-24	VYDAJ	VYBER	27700	50666	\N	\N	\N
74387	245	1994-06-23	PRIJEM	VKLAD	3900	17764	\N	\N	\N
74388	245	1994-07-23	VYDAJ	VYBER	11900	33781	\N	\N	\N
74389	245	1994-08-22	VYDAJ	VYBER	17200	41395	\N	\N	\N
74390	245	1994-09-18	VYDAJ	VYBER	34800	86554	\N	\N	\N
74391	245	1994-09-21	VYDAJ	VYBER	30400	56154	\N	\N	\N
74392	245	1994-10-21	VYDAJ	VYBER	19500	45578	\N	\N	\N
74393	245	1994-11-19	VYDAJ	VYBER	29000	87756	\N	\N	\N
74394	245	1994-11-20	VYDAJ	VYBER	34700	53056	\N	\N	\N
74395	245	1994-12-20	VYDAJ	VYBER	26300	51642	\N	\N	\N
74396	245	1995-01-19	VYDAJ	VYBER	1000	27136	\N	\N	\N
74397	245	1995-02-18	PRIJEM	VKLAD	9800	13041	\N	\N	\N
74398	245	1995-03-20	PRIJEM	VKLAD	8200	13523	\N	\N	\N
74399	245	1995-04-19	PRIJEM	VKLAD	8000	21563	\N	\N	\N
74400	245	1995-05-19	PRIJEM	VKLAD	3300	18837	\N	\N	\N
74401	245	1995-06-18	PRIJEM	VKLAD	9100	16581	\N	\N	\N
74402	245	1995-07-18	PRIJEM	VKLAD	7300	17924	\N	\N	\N
74403	245	1995-08-17	PRIJEM	VKLAD	3200	21180	\N	\N	\N
74404	245	1995-09-16	PRIJEM	VKLAD	3600	24840	\N	\N	\N
74405	245	1995-10-16	PRIJEM	VKLAD	5700	15854	\N	\N	\N
74406	245	1995-11-15	PRIJEM	VKLAD	3900	19818	\N	\N	\N
74407	245	1995-12-15	PRIJEM	VKLAD	15500	15652	\N	\N	\N
74408	245	1996-01-14	PRIJEM	VKLAD	11600	16481	\N	\N	\N
74409	245	1996-02-13	PRIJEM	VKLAD	7600	16569	\N	\N	\N
74410	245	1996-03-14	PRIJEM	VKLAD	4700	21292	\N	\N	\N
74411	245	1996-04-13	PRIJEM	VKLAD	1400	22746	\N	\N	\N
74412	245	1996-05-13	VYDAJ	VYBER	14500	43814	\N	\N	\N
74413	245	1996-06-12	PRIJEM	VKLAD	2200	23314	\N	\N	\N
74414	245	1996-07-12	VYDAJ	VYBER	11500	42478	\N	\N	\N
74415	245	1996-08-11	VYDAJ	VYBER	1000	26904	\N	\N	\N
74416	245	1996-09-10	PRIJEM	VKLAD	1000	25354	\N	\N	\N
74417	245	1996-10-10	PRIJEM	VKLAD	8800	11945	\N	\N	\N
74418	245	1996-11-09	PRIJEM	VKLAD	5400	15849	\N	\N	\N
74419	245	1996-12-09	PRIJEM	VKLAD	1700	17578	\N	\N	\N
74420	245	1997-01-08	PRIJEM	VKLAD	7300	14144	\N	\N	\N
74421	245	1997-02-07	PRIJEM	VKLAD	600	24748	\N	\N	\N
74422	245	1997-03-09	PRIJEM	VKLAD	3000	4382	\N	\N	\N
74423	245	1997-04-08	VYDAJ	VYBER	400	27394	\N	\N	\N
74424	245	1997-04-23	VYDAJ	VYBER	58400	51107	\N	\N	\N
74425	245	1997-05-08	VYDAJ	VYBER	15100	36275	\N	\N	\N
74426	245	1997-05-28	VYDAJ	VYBER	46300	88793	\N	\N	\N
74427	245	1997-06-02	VYDAJ	VYBER	17600	91846	\N	\N	\N
74428	245	1997-06-07	VYDAJ	VYBER	31900	59946	\N	\N	\N
74429	245	1997-07-07	PRIJEM	VKLAD	8600	12337	\N	\N	\N
74430	245	1997-08-06	VYDAJ	VYBER	14200	43696	\N	\N	\N
74431	245	1997-08-18	VYDAJ	VYBER	62800	61446	\N	\N	\N
74432	245	1997-09-05	VYDAJ	VYBER	21100	40599	\N	\N	\N
74433	245	1997-10-05	VYDAJ	VYBER	11000	34834	\N	\N	\N
74434	245	1997-11-04	VYDAJ	VYBER	22400	44687	\N	\N	\N
74435	245	1997-12-04	VYDAJ	VYBER	36800	62907	\N	\N	\N
74436	245	1998-01-03	VYDAJ	VYBER	26400	56728	\N	\N	\N
74437	245	1998-02-02	VYDAJ	VYBER	2400	28938	\N	\N	\N
74438	245	1998-03-04	PRIJEM	VKLAD	7900	24364	\N	\N	\N
74439	245	1998-04-03	PRIJEM	VKLAD	1800	31235	\N	\N	\N
74440	245	1998-05-03	PRIJEM	VKLAD	7800	28325	\N	\N	\N
74441	245	1998-06-02	PRIJEM	VKLAD	12000	29559	\N	\N	\N
74442	245	1998-07-02	VYDAJ	VYBER	20200	60610	\N	\N	\N
74443	245	1998-08-01	VYDAJ	VYBER	10100	50819	\N	\N	\N
74444	245	1998-08-31	VYDAJ	VYBER	14800	62943	\N	\N	\N
74445	245	1998-09-30	PRIJEM	VKLAD	1100	44961	\N	\N	\N
74446	245	1998-10-30	PRIJEM	VKLAD	6700	46471	\N	\N	\N
74447	245	1998-11-28	VYDAJ	VYBER	16600	110160	\N	\N	\N
74448	245	1998-11-29	VYDAJ	VYBER	32500	77660	\N	\N	\N
74519	246	1997-12-20	PRIJEM	VKLAD	700	700	\N	\N	\N
74532	246	1998-01-14	PRIJEM	PREVOD Z UCTU	4486	5186	DUCHOD	KL	51752358
74533	246	1998-02-14	PRIJEM	PREVOD Z UCTU	4486	9672	DUCHOD	KL	51752358
74534	246	1998-03-14	PRIJEM	PREVOD Z UCTU	4486	14158	DUCHOD	KL	51752358
74535	246	1998-04-14	PRIJEM	PREVOD Z UCTU	4486	18066	DUCHOD	KL	51752358
74536	246	1998-05-14	PRIJEM	PREVOD Z UCTU	4486	19310	DUCHOD	KL	51752358
74537	246	1998-06-14	PRIJEM	PREVOD Z UCTU	4486	14368	DUCHOD	KL	51752358
74538	246	1998-07-14	PRIJEM	PREVOD Z UCTU	4486	13419	DUCHOD	KL	51752358
74539	246	1998-08-14	PRIJEM	PREVOD Z UCTU	4486	15971	DUCHOD	KL	51752358
74540	246	1998-09-14	PRIJEM	PREVOD Z UCTU	4486	15028	DUCHOD	KL	51752358
74541	246	1998-10-14	PRIJEM	PREVOD Z UCTU	4486	14381	DUCHOD	KL	51752358
74542	246	1998-11-14	PRIJEM	PREVOD Z UCTU	4486	16538	DUCHOD	KL	51752358
74543	246	1998-12-14	PRIJEM	PREVOD Z UCTU	4486	18103	DUCHOD	KL	51752358
74561	246	1998-06-10	VYDAJ	PREVOD NA UCET	1970	9882	SIPO	YZ	8283996
74562	246	1998-07-10	VYDAJ	PREVOD NA UCET	1970	8933	SIPO	YZ	8283996
74563	246	1998-08-10	VYDAJ	PREVOD NA UCET	1970	11485	SIPO	YZ	8283996
74564	246	1998-09-10	VYDAJ	PREVOD NA UCET	1970	10542	SIPO	YZ	8283996
74565	246	1998-10-10	VYDAJ	PREVOD NA UCET	1970	9895	SIPO	YZ	8283996
74566	246	1998-11-10	VYDAJ	PREVOD NA UCET	1970	12052	SIPO	YZ	8283996
74567	246	1998-12-10	VYDAJ	PREVOD NA UCET	1970	13617	SIPO	YZ	8283996
74573	246	1998-12-09	VYDAJ	VYBER	1000	15587	\N	\N	\N
74581	246	1998-12-15	VYDAJ	VYBER	960	17143	\N	\N	\N
74585	246	1998-11-01	VYDAJ	VYBER	400	14022	\N	\N	\N
74604	246	1998-05-31	VYDAJ	VYBER	15	11852	SLUZBY	\N	\N
74605	246	1998-06-30	VYDAJ	VYBER	15	10903	SLUZBY	\N	\N
74606	246	1998-07-31	VYDAJ	VYBER	15	13455	SLUZBY	\N	\N
74607	246	1998-08-31	VYDAJ	VYBER	15	12512	SLUZBY	\N	\N
74608	246	1998-09-30	VYDAJ	VYBER	15	11865	SLUZBY	\N	\N
74609	246	1998-10-31	VYDAJ	VYBER	15	14422	SLUZBY	\N	\N
74610	246	1998-11-30	VYDAJ	VYBER	15	16587	SLUZBY	\N	\N
74611	246	1998-03-20	VYDAJ	VYBER	600	13558	\N	\N	\N
74612	246	1998-04-19	VYDAJ	VYBER	3300	14766	\N	\N	\N
74613	246	1998-05-19	VYDAJ	VYBER	7500	11810	\N	\N	\N
74614	246	1998-06-18	VYDAJ	VYBER	3500	10868	\N	\N	\N
74615	246	1998-08-17	VYDAJ	VYBER	3500	12471	\N	\N	\N
74616	246	1998-09-16	VYDAJ	VYBER	3200	11828	\N	\N	\N
74841	248	1995-04-02	PRIJEM	VKLAD	700	700	\N	\N	\N
74845	248	1995-04-10	PRIJEM	PREVOD Z UCTU	24849	25549	\N	QR	51925015
74846	248	1995-05-10	PRIJEM	PREVOD Z UCTU	24849	49473	\N	QR	51925015
74847	248	1995-06-10	PRIJEM	PREVOD Z UCTU	37274	74424	\N	QR	51925015
74848	248	1995-07-10	PRIJEM	PREVOD Z UCTU	24849	72452	\N	QR	51925015
75019	248	1996-03-31	VYDAJ	VYBER	15	41402	SLUZBY	\N	\N
74849	248	1995-08-10	PRIJEM	PREVOD Z UCTU	24849	70701	\N	QR	51925015
74850	248	1995-09-10	PRIJEM	PREVOD Z UCTU	24849	62251	\N	QR	51925015
74851	248	1995-10-10	PRIJEM	PREVOD Z UCTU	24849	58177	\N	QR	51925015
74852	248	1995-11-10	PRIJEM	PREVOD Z UCTU	24849	56533	\N	QR	51925015
74853	248	1995-12-10	PRIJEM	PREVOD Z UCTU	37274	68817	\N	QR	51925015
74854	248	1996-01-10	PRIJEM	PREVOD Z UCTU	24849	52752	\N	QR	51925015
74855	248	1996-02-10	PRIJEM	PREVOD Z UCTU	24849	59562	\N	QR	51925015
74856	248	1996-03-10	PRIJEM	PREVOD Z UCTU	24849	66245	\N	QR	51925015
74857	248	1996-04-10	PRIJEM	PREVOD Z UCTU	24849	66251	\N	QR	51925015
74858	248	1996-05-10	PRIJEM	PREVOD Z UCTU	24849	55420	\N	QR	51925015
74859	248	1996-06-10	PRIJEM	PREVOD Z UCTU	37274	57803	\N	QR	51925015
74860	248	1996-07-10	PRIJEM	PREVOD Z UCTU	24849	59134	\N	QR	51925015
74861	248	1996-08-10	PRIJEM	PREVOD Z UCTU	24849	56818	\N	QR	51925015
74862	248	1996-09-10	PRIJEM	PREVOD Z UCTU	24849	58834	\N	QR	51925015
74863	248	1996-10-10	PRIJEM	PREVOD Z UCTU	24849	57908	\N	QR	51925015
74864	248	1996-11-10	PRIJEM	PREVOD Z UCTU	24849	58981	\N	QR	51925015
74865	248	1996-12-10	PRIJEM	PREVOD Z UCTU	37274	71382	\N	QR	51925015
74866	248	1997-01-10	PRIJEM	PREVOD Z UCTU	24849	61609	\N	QR	51925015
74867	248	1997-02-10	PRIJEM	PREVOD Z UCTU	24849	45691	\N	QR	51925015
74868	248	1997-03-10	PRIJEM	PREVOD Z UCTU	24849	49316	\N	QR	51925015
74869	248	1997-04-10	PRIJEM	PREVOD Z UCTU	24849	55260	\N	QR	51925015
74870	248	1997-05-10	PRIJEM	PREVOD Z UCTU	24849	54819	\N	QR	51925015
74871	248	1997-06-10	PRIJEM	PREVOD Z UCTU	37274	58804	\N	QR	51925015
74872	248	1997-07-10	PRIJEM	PREVOD Z UCTU	24849	63352	\N	QR	51925015
74873	248	1997-08-10	PRIJEM	PREVOD Z UCTU	24849	56039	\N	QR	51925015
74874	248	1997-09-10	PRIJEM	PREVOD Z UCTU	24849	49923	\N	QR	51925015
74875	248	1997-10-10	PRIJEM	PREVOD Z UCTU	24849	46641	\N	QR	51925015
74876	248	1997-11-10	PRIJEM	PREVOD Z UCTU	24849	47341	\N	QR	51925015
74877	248	1997-12-10	PRIJEM	PREVOD Z UCTU	37274	64112	\N	QR	51925015
74878	248	1998-01-10	PRIJEM	PREVOD Z UCTU	24849	58803	\N	QR	51925015
74879	248	1998-02-10	PRIJEM	PREVOD Z UCTU	24849	60786	\N	QR	51925015
74880	248	1998-03-10	PRIJEM	PREVOD Z UCTU	24849	59984	\N	QR	51925015
74881	248	1998-04-10	PRIJEM	PREVOD Z UCTU	24849	47486	\N	QR	51925015
74882	248	1998-05-10	PRIJEM	PREVOD Z UCTU	24849	57864	\N	QR	51925015
74883	248	1998-06-10	PRIJEM	PREVOD Z UCTU	37274	74368	\N	QR	51925015
74884	248	1998-07-10	PRIJEM	PREVOD Z UCTU	24849	71075	\N	QR	51925015
74885	248	1998-08-10	PRIJEM	PREVOD Z UCTU	24849	66890	\N	QR	51925015
74886	248	1998-09-10	PRIJEM	PREVOD Z UCTU	24849	49535	\N	QR	51925015
74887	248	1998-10-10	PRIJEM	PREVOD Z UCTU	24849	54001	\N	QR	51925015
74888	248	1998-11-10	PRIJEM	PREVOD Z UCTU	24849	59769	\N	QR	51925015
74889	248	1998-12-10	PRIJEM	PREVOD Z UCTU	37274	62902	\N	QR	51925015
74942	248	1995-09-03	VYBER	VYBER	12477	37402	\N	\N	\N
74943	248	1995-10-03	VYBER	VYBER	8947	33328	\N	\N	\N
74945	248	1995-10-22	VYBER	VYBER	22269	35908	\N	\N	\N
74948	248	1995-11-13	VYBER	VYBER	21914	34619	\N	\N	\N
74952	248	1996-08-16	VYBER	VYBER	6473	50345	\N	\N	\N
74956	248	1996-04-16	VYBER	VYBER	21934	44317	\N	\N	\N
74957	248	1997-10-12	VYBER	VYBER	6759	39882	\N	\N	\N
74962	248	1997-10-04	VYBER	VYBER	8529	21792	\N	\N	\N
74968	248	1997-08-20	VYBER	VYBER	6970	24969	\N	\N	\N
74969	248	1998-03-17	VYBER	VYBER	24096	35888	\N	\N	\N
74970	248	1998-04-07	VYBER	VYBER	7502	22637	\N	\N	\N
74973	248	1998-09-03	VYBER	VYBER	7595	24686	\N	\N	\N
74975	248	1998-08-19	VYBER	VYBER	10851	32139	\N	\N	\N
74976	248	1998-11-18	VYBER	VYBER	16358	25511	\N	\N	\N
74982	248	1996-01-09	VYDAJ	VYBER	14100	27903	\N	\N	\N
74983	248	1997-01-24	VYDAJ	VYBER	9900	20709	\N	\N	\N
74984	248	1998-01-14	VYDAJ	VYBER	9300	49503	\N	\N	\N
74985	248	1995-12-13	VYDAJ	VYBER	5700	63117	\N	\N	\N
74986	248	1996-12-11	VYDAJ	VYBER	5100	66282	\N	\N	\N
74987	248	1997-12-05	VYDAJ	VYBER	5700	26838	\N	\N	\N
74988	248	1998-12-13	VYDAJ	VYBER	4800	35202	\N	\N	\N
74992	248	1996-01-13	VYDAJ	VYBER	9900	42852	\N	\N	\N
74993	248	1996-05-12	VYDAJ	VYBER	13500	41920	\N	\N	\N
74994	248	1996-05-16	VYDAJ	VYBER	12300	29620	\N	\N	\N
74995	248	1996-07-22	VYDAJ	VYBER	3600	55534	\N	\N	\N
74996	248	1997-07-24	VYDAJ	VYBER	9300	31052	\N	\N	\N
74997	248	1997-01-14	VYDAJ	VYBER	8700	52909	\N	\N	\N
74998	248	1997-12-11	VYDAJ	VYBER	12300	51812	\N	\N	\N
74999	248	1997-05-29	VYDAJ	VYBER	12600	21419	\N	\N	\N
75000	248	1997-10-28	VYDAJ	VYBER	2100	22382	\N	\N	\N
75002	248	1998-03-08	VYDAJ	VYBER	3300	35135	\N	\N	\N
75003	248	1998-03-05	VYDAJ	VYBER	5100	38435	\N	\N	\N
75012	248	1995-08-31	VYDAJ	VYBER	15	49879	SLUZBY	\N	\N
75013	248	1995-09-30	VYDAJ	VYBER	15	42275	SLUZBY	\N	\N
75014	248	1995-10-31	VYDAJ	VYBER	15	31684	SLUZBY	\N	\N
75015	248	1995-11-30	VYDAJ	VYBER	15	31543	SLUZBY	\N	\N
75016	248	1995-12-31	VYDAJ	VYBER	15	42003	SLUZBY	\N	\N
75017	248	1996-01-31	VYDAJ	VYBER	15	34713	SLUZBY	\N	\N
75018	248	1996-02-29	VYDAJ	VYBER	15	41396	SLUZBY	\N	\N
75020	248	1996-04-30	VYDAJ	VYBER	15	30571	SLUZBY	\N	\N
75021	248	1996-05-31	VYDAJ	VYBER	15	20529	SLUZBY	\N	\N
75022	248	1996-06-30	VYDAJ	VYBER	15	34285	SLUZBY	\N	\N
75023	248	1996-07-31	VYDAJ	VYBER	15	31969	SLUZBY	\N	\N
75024	248	1996-08-31	VYDAJ	VYBER	15	33985	SLUZBY	\N	\N
75025	248	1996-09-30	VYDAJ	VYBER	15	33059	SLUZBY	\N	\N
75026	248	1996-10-31	VYDAJ	VYBER	15	34132	SLUZBY	\N	\N
75027	248	1996-11-30	VYDAJ	VYBER	15	34108	SLUZBY	\N	\N
75028	248	1996-12-31	VYDAJ	VYBER	15	36760	SLUZBY	\N	\N
75029	248	1997-01-31	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
75030	248	1997-02-28	VYDAJ	VYBER	15	24467	SLUZBY	\N	\N
75031	248	1997-03-31	VYDAJ	VYBER	15	30411	SLUZBY	\N	\N
75032	248	1997-04-30	VYDAJ	VYBER	15	29970	SLUZBY	\N	\N
75033	248	1997-05-31	VYDAJ	VYBER	15	21530	SLUZBY	\N	\N
75034	248	1997-06-30	VYDAJ	VYBER	15	38503	SLUZBY	\N	\N
75035	248	1997-07-31	VYDAJ	VYBER	15	31190	SLUZBY	\N	\N
75036	248	1997-08-31	VYDAJ	VYBER	15	25074	SLUZBY	\N	\N
75037	248	1997-09-30	VYDAJ	VYBER	15	30321	SLUZBY	\N	\N
75038	248	1997-10-31	VYDAJ	VYBER	15	22492	SLUZBY	\N	\N
75039	248	1997-11-30	VYDAJ	VYBER	15	32538	SLUZBY	\N	\N
75040	248	1997-12-31	VYDAJ	VYBER	15	33954	SLUZBY	\N	\N
75041	248	1998-01-31	VYDAJ	VYBER	15	35937	SLUZBY	\N	\N
75042	248	1998-02-28	VYDAJ	VYBER	15	43535	SLUZBY	\N	\N
75043	248	1998-03-31	VYDAJ	VYBER	15	30139	SLUZBY	\N	\N
75044	248	1998-04-30	VYDAJ	VYBER	15	33015	SLUZBY	\N	\N
75045	248	1998-05-31	VYDAJ	VYBER	15	37094	SLUZBY	\N	\N
75046	248	1998-06-30	VYDAJ	VYBER	15	46226	SLUZBY	\N	\N
75047	248	1998-07-31	VYDAJ	VYBER	15	42041	SLUZBY	\N	\N
75048	248	1998-08-31	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
75049	248	1998-09-30	VYDAJ	VYBER	15	29152	SLUZBY	\N	\N
75050	248	1998-10-31	VYDAJ	VYBER	15	34920	SLUZBY	\N	\N
75051	248	1998-11-30	VYDAJ	VYBER	15	25628	SLUZBY	\N	\N
75052	248	1995-05-02	VYDAJ	VYBER	1000	24624	\N	\N	\N
75053	248	1995-06-01	VYDAJ	VYBER	12500	37150	\N	\N	\N
75054	248	1995-07-01	VYDAJ	VYBER	27100	47603	\N	\N	\N
75055	248	1995-07-31	VYDAJ	VYBER	26900	45852	\N	\N	\N
75056	248	1995-08-30	VYDAJ	VYBER	21000	49701	\N	\N	\N
75057	248	1995-09-29	VYDAJ	VYBER	20200	42051	\N	\N	\N
75058	248	1995-10-29	VYDAJ	VYBER	4400	31508	\N	\N	\N
75059	248	1995-11-28	VYDAJ	VYBER	3200	31419	\N	\N	\N
75060	248	1995-12-28	VYDAJ	VYBER	21300	41817	\N	\N	\N
75061	248	1996-01-27	VYDAJ	VYBER	8300	34552	\N	\N	\N
75062	248	1996-02-26	VYDAJ	VYBER	18300	41262	\N	\N	\N
75063	248	1996-03-27	VYDAJ	VYBER	25000	41245	\N	\N	\N
75064	248	1996-04-26	VYDAJ	VYBER	13900	30417	\N	\N	\N
75065	248	1996-05-26	VYDAJ	VYBER	9200	20420	\N	\N	\N
75066	248	1996-06-25	VYDAJ	VYBER	23600	34203	\N	\N	\N
75067	248	1996-07-25	VYDAJ	VYBER	23700	31834	\N	\N	\N
75068	248	1996-08-24	VYDAJ	VYBER	16500	33845	\N	\N	\N
75069	248	1996-09-23	VYDAJ	VYBER	25900	32934	\N	\N	\N
75070	248	1996-10-23	VYDAJ	VYBER	23900	34008	\N	\N	\N
75071	248	1996-11-22	VYDAJ	VYBER	25000	33981	\N	\N	\N
75072	248	1996-12-22	VYDAJ	VYBER	29700	36582	\N	\N	\N
75073	248	1997-01-21	VYDAJ	VYBER	22300	30609	\N	\N	\N
75074	248	1997-02-20	VYDAJ	VYBER	21300	24391	\N	\N	\N
75075	248	1997-03-22	VYDAJ	VYBER	19000	30316	\N	\N	\N
75076	248	1997-04-21	VYDAJ	VYBER	25400	29860	\N	\N	\N
75077	248	1997-05-21	VYDAJ	VYBER	20800	34019	\N	\N	\N
75078	248	1997-06-20	VYDAJ	VYBER	20400	38404	\N	\N	\N
75079	248	1997-07-20	VYDAJ	VYBER	23000	40352	\N	\N	\N
75080	248	1997-08-19	VYDAJ	VYBER	24100	31939	\N	\N	\N
75081	248	1997-09-18	VYDAJ	VYBER	19700	30223	\N	\N	\N
75082	248	1997-10-18	VYDAJ	VYBER	15400	24482	\N	\N	\N
75083	248	1997-11-17	VYDAJ	VYBER	14900	32441	\N	\N	\N
75084	248	1997-12-17	VYDAJ	VYBER	18000	33812	\N	\N	\N
75085	248	1998-01-16	VYDAJ	VYBER	13700	35803	\N	\N	\N
75086	248	1998-02-15	VYDAJ	VYBER	17400	43386	\N	\N	\N
75087	248	1998-03-17	VYDAJ	VYBER	5900	29988	\N	\N	\N
75088	248	1998-04-16	VYDAJ	VYBER	14600	32886	\N	\N	\N
75089	248	1998-05-16	VYDAJ	VYBER	20900	36964	\N	\N	\N
75090	248	1998-06-15	VYDAJ	VYBER	28300	46068	\N	\N	\N
75091	248	1998-07-15	VYDAJ	VYBER	29200	41875	\N	\N	\N
75092	248	1998-08-14	VYDAJ	VYBER	23900	42990	\N	\N	\N
75093	248	1998-09-13	VYDAJ	VYBER	20500	29035	\N	\N	\N
75094	248	1998-10-13	VYDAJ	VYBER	19200	34801	\N	\N	\N
75095	248	1998-11-12	VYDAJ	VYBER	17900	41869	\N	\N	\N
75096	248	1998-12-12	VYDAJ	VYBER	22900	40002	\N	\N	\N
75142	249	1996-12-03	PRIJEM	VKLAD	600	600	\N	\N	\N
75154	249	1996-12-08	PRIJEM	VKLAD	26390	26990	\N	\N	\N
75155	249	1997-01-08	PRIJEM	VKLAD	17593	45970	\N	\N	\N
75156	249	1997-02-08	PRIJEM	VKLAD	17593	54137	\N	\N	\N
75157	249	1997-03-08	PRIJEM	VKLAD	17593	55347	\N	\N	\N
75158	249	1997-04-08	PRIJEM	VKLAD	17593	57569	\N	\N	\N
75159	249	1997-05-08	PRIJEM	VKLAD	17593	58774	\N	\N	\N
75160	249	1997-06-08	PRIJEM	VKLAD	26390	64867	\N	\N	\N
75161	249	1997-07-08	PRIJEM	VKLAD	17593	47274	\N	\N	\N
75162	249	1997-08-08	PRIJEM	VKLAD	17593	50710	\N	\N	\N
75163	249	1997-09-08	PRIJEM	VKLAD	17593	53348	\N	\N	\N
75164	249	1997-10-08	PRIJEM	VKLAD	17593	50515	\N	\N	\N
75165	249	1997-11-08	PRIJEM	VKLAD	17593	49369	\N	\N	\N
75166	249	1997-12-08	PRIJEM	VKLAD	26390	52388	\N	\N	\N
75167	249	1998-01-08	PRIJEM	VKLAD	17593	42314	\N	\N	\N
75168	249	1998-02-08	PRIJEM	VKLAD	17593	39925	\N	\N	\N
75169	249	1998-03-08	PRIJEM	VKLAD	17593	35432	\N	\N	\N
75170	249	1998-04-08	PRIJEM	VKLAD	17593	36244	\N	\N	\N
75171	249	1998-05-08	PRIJEM	VKLAD	17593	35438	\N	\N	\N
75172	249	1998-06-08	PRIJEM	VKLAD	26390	43825	\N	\N	\N
75173	249	1998-07-08	PRIJEM	VKLAD	17593	29911	\N	\N	\N
75174	249	1998-08-08	PRIJEM	VKLAD	17593	37322	\N	\N	\N
75175	249	1998-09-08	PRIJEM	VKLAD	17593	34813	\N	\N	\N
75176	249	1998-10-08	PRIJEM	VKLAD	17593	37099	\N	\N	\N
75177	249	1998-11-08	PRIJEM	VKLAD	17593	38091	\N	\N	\N
75178	249	1998-12-08	PRIJEM	VKLAD	26390	47283	\N	\N	\N
75194	249	1997-04-14	VYDAJ	PREVOD NA UCET	5618	50075	SIPO	OP	26255619
75195	249	1997-05-14	VYDAJ	PREVOD NA UCET	5618	51280	SIPO	OP	26255619
75196	249	1997-06-14	VYDAJ	PREVOD NA UCET	5618	57373	SIPO	OP	26255619
75197	249	1997-07-14	VYDAJ	PREVOD NA UCET	5618	39780	SIPO	OP	26255619
75198	249	1997-08-14	VYDAJ	PREVOD NA UCET	5618	43216	SIPO	OP	26255619
75199	249	1997-09-14	VYDAJ	PREVOD NA UCET	5618	45854	SIPO	OP	26255619
75200	249	1997-10-14	VYDAJ	PREVOD NA UCET	5618	43021	SIPO	OP	26255619
75201	249	1997-11-14	VYDAJ	PREVOD NA UCET	5618	39355	SIPO	OP	26255619
75202	249	1997-12-14	VYDAJ	PREVOD NA UCET	5618	43614	SIPO	OP	26255619
75203	249	1998-01-14	VYDAJ	PREVOD NA UCET	5618	33260	SIPO	OP	26255619
75204	249	1998-02-14	VYDAJ	PREVOD NA UCET	5618	32431	SIPO	OP	26255619
75205	249	1998-03-14	VYDAJ	PREVOD NA UCET	5618	27938	SIPO	OP	26255619
75206	249	1998-04-14	VYDAJ	PREVOD NA UCET	5618	28750	SIPO	OP	26255619
75207	249	1998-05-14	VYDAJ	PREVOD NA UCET	5618	27944	SIPO	OP	26255619
75208	249	1998-06-14	VYDAJ	PREVOD NA UCET	5618	15531	SIPO	OP	26255619
75209	249	1998-07-14	VYDAJ	PREVOD NA UCET	5618	22417	SIPO	OP	26255619
75210	249	1998-08-14	VYDAJ	PREVOD NA UCET	5618	29828	SIPO	OP	26255619
75211	249	1998-09-14	VYDAJ	PREVOD NA UCET	5618	27319	SIPO	OP	26255619
75212	249	1998-10-14	VYDAJ	PREVOD NA UCET	5618	29605	SIPO	OP	26255619
75213	249	1998-11-14	VYDAJ	PREVOD NA UCET	5618	30597	SIPO	OP	26255619
75214	249	1998-12-14	VYDAJ	PREVOD NA UCET	5618	39789	SIPO	OP	26255619
75230	249	1997-04-08	VYDAJ	PREVOD NA UCET	1876	55693	 	GH	99770348
75231	249	1997-05-08	VYDAJ	PREVOD NA UCET	1876	56898	 	GH	99770348
75232	249	1997-06-08	VYDAJ	PREVOD NA UCET	1876	62991	 	GH	99770348
75233	249	1997-07-08	VYDAJ	PREVOD NA UCET	1876	45398	 	GH	99770348
75234	249	1997-08-08	VYDAJ	PREVOD NA UCET	1876	48834	 	GH	99770348
75235	249	1997-09-08	VYDAJ	PREVOD NA UCET	1876	51472	 	GH	99770348
75236	249	1997-10-08	VYDAJ	PREVOD NA UCET	1876	48639	 	GH	99770348
75237	249	1997-11-08	VYDAJ	PREVOD NA UCET	1876	47493	 	GH	99770348
75238	249	1997-12-08	VYDAJ	PREVOD NA UCET	1876	50512	 	GH	99770348
75239	249	1998-01-08	VYDAJ	PREVOD NA UCET	1876	40438	 	GH	99770348
75240	249	1998-02-08	VYDAJ	PREVOD NA UCET	1876	38049	 	GH	99770348
75241	249	1998-03-08	VYDAJ	PREVOD NA UCET	1876	33556	 	GH	99770348
75242	249	1998-04-08	VYDAJ	PREVOD NA UCET	1876	34368	 	GH	99770348
75243	249	1998-05-08	VYDAJ	PREVOD NA UCET	1876	33562	 	GH	99770348
75244	249	1998-06-08	VYDAJ	PREVOD NA UCET	1876	41949	 	GH	99770348
75245	249	1998-07-08	VYDAJ	PREVOD NA UCET	1876	28035	 	GH	99770348
75246	249	1998-08-08	VYDAJ	PREVOD NA UCET	1876	35446	 	GH	99770348
75247	249	1998-09-08	VYDAJ	PREVOD NA UCET	1876	32937	 	GH	99770348
75248	249	1998-10-08	VYDAJ	PREVOD NA UCET	1876	35223	 	GH	99770348
75249	249	1998-11-08	VYDAJ	PREVOD NA UCET	1876	36215	 	GH	99770348
75250	249	1998-12-08	VYDAJ	PREVOD NA UCET	1876	45407	 	GH	99770348
75252	249	1997-06-25	VYDAJ	VYBER	17600	39773	\N	\N	\N
75253	249	1998-06-13	VYDAJ	VYBER	20800	21149	\N	\N	\N
75258	249	1997-12-09	VYDAJ	VYBER	1280	49232	\N	\N	\N
75259	249	1998-12-27	VYDAJ	VYBER	2080	19809	\N	\N	\N
75272	249	1998-01-16	VYDAJ	VYBER	1800	31460	\N	\N	\N
75273	249	1998-01-12	VYDAJ	VYBER	1560	38878	\N	\N	\N
75274	249	1998-01-07	VYDAJ	VYBER	2160	24721	\N	\N	\N
75275	249	1998-01-01	VYDAJ	VYBER	1080	26881	\N	\N	\N
75276	249	1998-01-25	VYDAJ	VYBER	1800	28820	\N	\N	\N
75277	249	1998-01-16	VYDAJ	VYBER	840	30620	\N	\N	\N
75285	249	1997-08-21	VYDAJ	VYBER	1320	41896	\N	\N	\N
75287	249	1997-05-01	VYDAJ	VYBER	600	49681	\N	\N	\N
75288	249	1997-08-07	VYDAJ	VYBER	2520	33117	\N	\N	\N
75290	249	1997-11-12	VYDAJ	VYBER	2520	44973	\N	\N	\N
75291	249	1998-07-24	VYDAJ	VYBER	2760	19657	\N	\N	\N
75292	249	1998-09-23	VYDAJ	VYBER	1200	26119	\N	\N	\N
75293	249	1998-06-18	VYDAJ	VYBER	1080	14451	\N	\N	\N
75294	249	1998-03-25	VYDAJ	VYBER	1080	26858	\N	\N	\N
75312	249	1997-04-30	VYDAJ	VYBER	15	50281	SLUZBY	\N	\N
75313	249	1997-05-31	VYDAJ	VYBER	15	51477	SLUZBY	\N	\N
75314	249	1997-06-30	VYDAJ	VYBER	15	39981	SLUZBY	\N	\N
75315	249	1997-07-31	VYDAJ	VYBER	15	39937	SLUZBY	\N	\N
75316	249	1997-08-31	VYDAJ	VYBER	15	35755	SLUZBY	\N	\N
75317	249	1997-09-30	VYDAJ	VYBER	15	32922	SLUZBY	\N	\N
75318	249	1997-10-31	VYDAJ	VYBER	15	31776	SLUZBY	\N	\N
75319	249	1997-11-30	VYDAJ	VYBER	15	25998	SLUZBY	\N	\N
75320	249	1997-12-31	VYDAJ	VYBER	15	27961	SLUZBY	\N	\N
75321	249	1998-01-31	VYDAJ	VYBER	15	22332	SLUZBY	\N	\N
75322	249	1998-02-28	VYDAJ	VYBER	15	17839	SLUZBY	\N	\N
75323	249	1998-03-31	VYDAJ	VYBER	15	18651	SLUZBY	\N	\N
75324	249	1998-04-30	VYDAJ	VYBER	15	17845	SLUZBY	\N	\N
75325	249	1998-05-31	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
75326	249	1998-06-30	VYDAJ	VYBER	15	12318	SLUZBY	\N	\N
75327	249	1998-07-31	VYDAJ	VYBER	15	19729	SLUZBY	\N	\N
75328	249	1998-08-31	VYDAJ	VYBER	15	17220	SLUZBY	\N	\N
75329	249	1998-09-30	VYDAJ	VYBER	15	19506	SLUZBY	\N	\N
75330	249	1998-10-31	VYDAJ	VYBER	15	20498	SLUZBY	\N	\N
75331	249	1998-11-30	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
75332	249	1997-01-02	PRIJEM	VKLAD	1300	28377	\N	\N	\N
75333	249	1997-02-01	VYDAJ	VYBER	9600	36544	\N	\N	\N
75334	249	1997-03-03	VYDAJ	VYBER	16600	37754	\N	\N	\N
75335	249	1997-04-02	VYDAJ	VYBER	15600	39976	\N	\N	\N
75336	249	1997-05-02	VYDAJ	VYBER	8500	41181	\N	\N	\N
75337	249	1997-06-01	VYDAJ	VYBER	13000	38477	\N	\N	\N
75338	249	1997-07-01	VYDAJ	VYBER	10300	29681	\N	\N	\N
75339	249	1997-07-31	VYDAJ	VYBER	4300	35637	\N	\N	\N
75340	249	1997-08-30	VYDAJ	VYBER	6300	35596	\N	\N	\N
75341	249	1997-09-29	VYDAJ	VYBER	13100	32754	\N	\N	\N
75342	249	1997-10-29	VYDAJ	VYBER	11400	31621	\N	\N	\N
75343	249	1997-11-28	VYDAJ	VYBER	13500	25855	\N	\N	\N
75344	249	1997-12-28	VYDAJ	VYBER	15800	27814	\N	\N	\N
75345	249	1998-01-27	VYDAJ	VYBER	6600	22220	\N	\N	\N
75346	249	1998-02-26	VYDAJ	VYBER	14700	17731	\N	\N	\N
75347	249	1998-03-28	VYDAJ	VYBER	8300	18558	\N	\N	\N
75348	249	1998-04-27	VYDAJ	VYBER	11000	17750	\N	\N	\N
75349	249	1998-05-27	VYDAJ	VYBER	10600	17344	\N	\N	\N
75350	249	1998-06-26	VYDAJ	VYBER	2200	12251	\N	\N	\N
75351	249	1998-08-25	VYDAJ	VYBER	12700	17128	\N	\N	\N
75352	249	1998-09-24	VYDAJ	VYBER	6700	19419	\N	\N	\N
75353	249	1998-10-24	VYDAJ	VYBER	9200	20405	\N	\N	\N
75354	249	1998-11-23	VYDAJ	VYBER	9800	20797	\N	\N	\N
75355	249	1998-12-23	VYDAJ	VYBER	17900	21889	\N	\N	\N
75381	250	1997-05-10	PRIJEM	VKLAD	500	500	\N	\N	\N
75387	250	1997-06-10	PRIJEM	VKLAD	8116	23816	\N	\N	\N
75388	250	1997-07-10	PRIJEM	VKLAD	5411	31697	\N	\N	\N
75389	250	1997-08-10	PRIJEM	VKLAD	5411	35330	\N	\N	\N
75390	250	1997-09-10	PRIJEM	VKLAD	5411	40584	\N	\N	\N
75391	250	1997-10-10	PRIJEM	VKLAD	5411	45257	\N	\N	\N
75392	250	1997-11-10	PRIJEM	VKLAD	5411	43963	\N	\N	\N
75393	250	1997-12-10	PRIJEM	VKLAD	8116	43373	\N	\N	\N
75394	250	1998-01-10	PRIJEM	VKLAD	5411	35146	\N	\N	\N
75395	250	1998-02-10	PRIJEM	VKLAD	5411	36925	\N	\N	\N
75396	250	1998-03-10	PRIJEM	VKLAD	5411	41792	\N	\N	\N
75397	250	1998-04-10	PRIJEM	VKLAD	5411	46979	\N	\N	\N
75398	250	1998-05-10	PRIJEM	VKLAD	5411	43148	\N	\N	\N
75399	250	1998-06-10	PRIJEM	VKLAD	8116	47252	\N	\N	\N
75400	250	1998-07-10	PRIJEM	VKLAD	5411	45922	\N	\N	\N
75401	250	1998-08-10	PRIJEM	VKLAD	5411	49530	\N	\N	\N
75402	250	1998-09-10	PRIJEM	VKLAD	5411	51029	\N	\N	\N
75403	250	1998-10-10	PRIJEM	VKLAD	5411	49357	\N	\N	\N
75404	250	1998-11-10	PRIJEM	VKLAD	5411	48384	\N	\N	\N
75405	250	1998-12-10	PRIJEM	VKLAD	8116	52311	\N	\N	\N
75415	250	1997-10-14	VYDAJ	PREVOD NA UCET	3066	42191	SIPO	WX	24246722
75416	250	1997-11-14	VYDAJ	PREVOD NA UCET	3066	40897	SIPO	WX	24246722
75417	250	1997-12-14	VYDAJ	PREVOD NA UCET	3066	40307	SIPO	WX	24246722
75418	250	1998-01-14	VYDAJ	PREVOD NA UCET	3066	31240	SIPO	WX	24246722
75419	250	1998-02-14	VYDAJ	PREVOD NA UCET	3066	33859	SIPO	WX	24246722
75420	250	1998-03-14	VYDAJ	PREVOD NA UCET	3066	38726	SIPO	WX	24246722
75421	250	1998-04-14	VYDAJ	PREVOD NA UCET	3066	43913	SIPO	WX	24246722
75422	250	1998-05-14	VYDAJ	PREVOD NA UCET	3066	40082	SIPO	WX	24246722
75423	250	1998-06-14	VYDAJ	PREVOD NA UCET	3066	44186	SIPO	WX	24246722
75424	250	1998-07-14	VYDAJ	PREVOD NA UCET	3066	42856	SIPO	WX	24246722
75425	250	1998-08-14	VYDAJ	PREVOD NA UCET	3066	46464	SIPO	WX	24246722
75426	250	1998-09-14	VYDAJ	PREVOD NA UCET	3066	47963	SIPO	WX	24246722
75427	250	1998-10-14	VYDAJ	PREVOD NA UCET	3066	46291	SIPO	WX	24246722
75428	250	1998-11-14	VYDAJ	PREVOD NA UCET	3066	45318	SIPO	WX	24246722
75429	250	1998-12-14	VYDAJ	PREVOD NA UCET	3066	49245	SIPO	WX	24246722
75430	250	1997-12-15	VYDAJ	VYBER	3200	37107	\N	\N	\N
75431	250	1998-12-18	VYDAJ	VYBER	800	48445	\N	\N	\N
75438	250	1998-01-14	VYDAJ	VYBER	960	30280	\N	\N	\N
75439	250	1998-01-30	VYDAJ	VYBER	1440	25480	\N	\N	\N
75440	250	1998-01-13	VYDAJ	VYBER	840	34306	\N	\N	\N
75441	250	1998-01-21	VYDAJ	VYBER	3360	26920	\N	\N	\N
75442	250	1998-01-08	VYDAJ	VYBER	1920	29735	\N	\N	\N
75443	250	1998-01-04	VYDAJ	VYBER	3000	34255	\N	\N	\N
75450	250	1998-02-05	VYDAJ	VYBER	2280	31514	\N	\N	\N
75451	250	1998-05-02	VYDAJ	VYBER	1440	42637	\N	\N	\N
75452	250	1998-06-28	VYDAJ	VYBER	3240	40946	\N	\N	\N
75453	250	1998-08-17	VYDAJ	VYBER	1320	45144	\N	\N	\N
75464	250	1997-10-31	VYDAJ	VYBER	15	42352	SLUZBY	\N	\N
75465	250	1997-11-30	VYDAJ	VYBER	15	41057	SLUZBY	\N	\N
75466	250	1997-12-31	VYDAJ	VYBER	15	37255	SLUZBY	\N	\N
75467	250	1998-01-31	VYDAJ	VYBER	15	25594	SLUZBY	\N	\N
75468	250	1998-02-28	VYDAJ	VYBER	15	33981	SLUZBY	\N	\N
75469	250	1998-03-31	VYDAJ	VYBER	15	38868	SLUZBY	\N	\N
75470	250	1998-04-30	VYDAJ	VYBER	15	44077	SLUZBY	\N	\N
75471	250	1998-05-31	VYDAJ	VYBER	15	40236	SLUZBY	\N	\N
75472	250	1998-06-30	VYDAJ	VYBER	15	41111	SLUZBY	\N	\N
75473	250	1998-07-31	VYDAJ	VYBER	15	43019	SLUZBY	\N	\N
75474	250	1998-08-31	VYDAJ	VYBER	15	45318	SLUZBY	\N	\N
75475	250	1998-09-30	VYDAJ	VYBER	15	48146	SLUZBY	\N	\N
75476	250	1998-10-31	VYDAJ	VYBER	15	46473	SLUZBY	\N	\N
75477	250	1998-11-30	VYDAJ	VYBER	15	45495	SLUZBY	\N	\N
75478	250	1997-06-09	PRIJEM	VKLAD	15200	15700	\N	\N	\N
75479	250	1997-07-09	PRIJEM	VKLAD	2400	26286	\N	\N	\N
75480	250	1997-08-08	VYDAJ	VYBER	1900	29919	\N	\N	\N
75481	250	1997-09-07	VYDAJ	VYBER	300	35173	\N	\N	\N
75482	250	1997-10-07	VYDAJ	VYBER	900	39846	\N	\N	\N
75483	250	1997-11-06	VYDAJ	VYBER	3800	38552	\N	\N	\N
75484	250	1997-12-06	VYDAJ	VYBER	5800	35257	\N	\N	\N
75485	250	1998-01-05	VYDAJ	VYBER	2600	31655	\N	\N	\N
75486	250	1998-02-04	PRIJEM	VKLAD	8200	33794	\N	\N	\N
75487	250	1998-03-06	PRIJEM	VKLAD	2400	36381	\N	\N	\N
75488	250	1998-04-05	PRIJEM	VKLAD	2700	41568	\N	\N	\N
75489	250	1998-05-05	VYDAJ	VYBER	4900	37737	\N	\N	\N
75490	250	1998-06-04	VYDAJ	VYBER	1100	39136	\N	\N	\N
75491	250	1998-07-04	VYDAJ	VYBER	600	40511	\N	\N	\N
75492	250	1998-08-03	PRIJEM	VKLAD	1100	44119	\N	\N	\N
75493	250	1998-09-02	PRIJEM	VKLAD	300	45618	\N	\N	\N
75494	250	1998-10-02	VYDAJ	VYBER	4200	43946	\N	\N	\N
75495	250	1998-11-01	VYDAJ	VYBER	3500	42973	\N	\N	\N
75496	250	1998-12-01	VYDAJ	VYBER	1300	44195	\N	\N	\N
75516	251	1996-04-06	PRIJEM	VKLAD	900	900	\N	\N	\N
75520	251	1996-04-10	PRIJEM	VKLAD	8957	9857	\N	\N	\N
75521	251	1996-05-10	PRIJEM	VKLAD	8957	25043	\N	\N	\N
75522	251	1996-06-10	PRIJEM	VKLAD	13436	40565	\N	\N	\N
75523	251	1996-07-10	PRIJEM	VKLAD	8957	45271	\N	\N	\N
75524	251	1996-08-10	PRIJEM	VKLAD	8957	48811	\N	\N	\N
75525	251	1996-09-10	PRIJEM	VKLAD	8957	46485	\N	\N	\N
75526	251	1996-10-10	PRIJEM	VKLAD	8957	42736	\N	\N	\N
75527	251	1996-11-10	PRIJEM	VKLAD	8957	45480	\N	\N	\N
75528	251	1996-12-10	PRIJEM	VKLAD	13436	50696	\N	\N	\N
75529	251	1997-01-10	PRIJEM	VKLAD	8957	53368	\N	\N	\N
75530	251	1997-02-10	PRIJEM	VKLAD	8957	44349	\N	\N	\N
75531	251	1997-03-10	PRIJEM	VKLAD	8957	54396	\N	\N	\N
75532	251	1997-04-10	PRIJEM	VKLAD	8957	59081	\N	\N	\N
75533	251	1997-05-10	PRIJEM	VKLAD	8957	54753	\N	\N	\N
75534	251	1997-06-10	PRIJEM	VKLAD	13436	59192	\N	\N	\N
75535	251	1997-07-10	PRIJEM	VKLAD	8957	61297	\N	\N	\N
75536	251	1997-08-10	PRIJEM	VKLAD	8957	56049	\N	\N	\N
75537	251	1997-09-10	PRIJEM	VKLAD	8957	51240	\N	\N	\N
75538	251	1997-10-10	PRIJEM	VKLAD	8957	47512	\N	\N	\N
75539	251	1997-11-10	PRIJEM	VKLAD	8957	48470	\N	\N	\N
75540	251	1997-12-10	PRIJEM	VKLAD	13436	49408	\N	\N	\N
75541	251	1998-01-10	PRIJEM	VKLAD	8957	43390	\N	\N	\N
75542	251	1998-02-10	PRIJEM	VKLAD	8957	30240	\N	\N	\N
75543	251	1998-03-10	PRIJEM	VKLAD	8957	37951	\N	\N	\N
75544	251	1998-04-10	PRIJEM	VKLAD	8957	45279	\N	\N	\N
75545	251	1998-05-10	PRIJEM	VKLAD	8957	44720	\N	\N	\N
75546	251	1998-06-10	PRIJEM	VKLAD	13436	48742	\N	\N	\N
75547	251	1998-07-10	PRIJEM	VKLAD	8957	43692	\N	\N	\N
75548	251	1998-08-10	PRIJEM	VKLAD	8957	43930	\N	\N	\N
75549	251	1998-09-10	PRIJEM	VKLAD	8957	47372	\N	\N	\N
75550	251	1998-10-10	PRIJEM	VKLAD	8957	44220	\N	\N	\N
75551	251	1998-11-10	PRIJEM	VKLAD	8957	41181	\N	\N	\N
75552	251	1998-12-10	PRIJEM	VKLAD	13436	41014	\N	\N	\N
75560	251	1996-08-11	VYDAJ	PREVOD NA UCET	3059	45752	SIPO	AB	92959981
75561	251	1996-09-11	VYDAJ	PREVOD NA UCET	3059	43426	SIPO	AB	92959981
75562	251	1996-10-11	VYDAJ	PREVOD NA UCET	3059	39677	SIPO	AB	92959981
75563	251	1996-11-11	VYDAJ	PREVOD NA UCET	3059	42421	SIPO	AB	92959981
75564	251	1996-12-11	VYDAJ	PREVOD NA UCET	3059	47637	SIPO	AB	92959981
75565	251	1997-01-11	VYDAJ	PREVOD NA UCET	3059	50309	SIPO	AB	92959981
75566	251	1997-02-11	VYDAJ	PREVOD NA UCET	3059	41290	SIPO	AB	92959981
75567	251	1997-03-11	VYDAJ	PREVOD NA UCET	3059	51337	SIPO	AB	92959981
75568	251	1997-04-11	VYDAJ	PREVOD NA UCET	3059	56022	SIPO	AB	92959981
75569	251	1997-05-11	VYDAJ	PREVOD NA UCET	3059	51694	SIPO	AB	92959981
75570	251	1997-06-11	VYDAJ	PREVOD NA UCET	3059	56133	SIPO	AB	92959981
75571	251	1997-07-11	VYDAJ	PREVOD NA UCET	3059	58238	SIPO	AB	92959981
75572	251	1997-08-11	VYDAJ	PREVOD NA UCET	3059	52990	SIPO	AB	92959981
75573	251	1997-09-11	VYDAJ	PREVOD NA UCET	3059	48181	SIPO	AB	92959981
75574	251	1997-10-11	VYDAJ	PREVOD NA UCET	3059	44453	SIPO	AB	92959981
75575	251	1997-11-11	VYDAJ	PREVOD NA UCET	3059	45411	SIPO	AB	92959981
75576	251	1997-12-11	VYDAJ	PREVOD NA UCET	3059	46349	SIPO	AB	92959981
75577	251	1998-01-11	VYDAJ	PREVOD NA UCET	3059	40331	SIPO	AB	92959981
75578	251	1998-02-11	VYDAJ	PREVOD NA UCET	3059	27181	SIPO	AB	92959981
75579	251	1998-03-11	VYDAJ	PREVOD NA UCET	3059	34892	SIPO	AB	92959981
75580	251	1998-04-11	VYDAJ	PREVOD NA UCET	3059	42220	SIPO	AB	92959981
75581	251	1998-05-11	VYDAJ	PREVOD NA UCET	3059	41661	SIPO	AB	92959981
75582	251	1998-06-11	VYDAJ	PREVOD NA UCET	3059	45683	SIPO	AB	92959981
75583	251	1998-07-11	VYDAJ	PREVOD NA UCET	3059	40633	SIPO	AB	92959981
75584	251	1998-08-11	VYDAJ	PREVOD NA UCET	3059	40871	SIPO	AB	92959981
75585	251	1998-09-11	VYDAJ	PREVOD NA UCET	3059	44313	SIPO	AB	92959981
75586	251	1998-10-11	VYDAJ	PREVOD NA UCET	3059	41161	SIPO	AB	92959981
75873	252	1998-01-20	VYDAJ	VYBER	3400	42909	\N	\N	\N
75587	251	1998-11-11	VYDAJ	PREVOD NA UCET	3059	38122	SIPO	AB	92959981
75588	251	1998-12-11	VYDAJ	PREVOD NA UCET	3059	37955	SIPO	AB	92959981
75593	251	1997-01-13	VYDAJ	VYBER	13600	36709	\N	\N	\N
75594	251	1998-01-29	VYDAJ	VYBER	11680	21151	\N	\N	\N
75595	251	1996-12-04	VYDAJ	VYBER	3520	37260	\N	\N	\N
75596	251	1997-12-06	VYDAJ	VYBER	800	35972	\N	\N	\N
75597	251	1998-12-07	VYDAJ	VYBER	4320	27578	\N	\N	\N
75604	251	1997-01-27	VYDAJ	VYBER	2880	24229	\N	\N	\N
75605	251	1997-01-22	VYDAJ	VYBER	3360	31189	\N	\N	\N
75606	251	1997-01-28	VYDAJ	VYBER	1080	23149	\N	\N	\N
75607	251	1997-01-23	VYDAJ	VYBER	840	30349	\N	\N	\N
75608	251	1997-01-24	VYDAJ	VYBER	3240	27109	\N	\N	\N
75609	251	1997-01-20	VYDAJ	VYBER	600	34549	\N	\N	\N
75610	251	1998-01-28	VYDAJ	VYBER	1080	32831	\N	\N	\N
75611	251	1998-01-15	VYDAJ	VYBER	2760	37571	\N	\N	\N
75612	251	1998-01-18	VYDAJ	VYBER	3240	34331	\N	\N	\N
75613	251	1998-01-06	VYDAJ	VYBER	2520	38153	\N	\N	\N
75614	251	1998-01-23	VYDAJ	VYBER	3120	31211	\N	\N	\N
75615	251	1998-01-01	VYDAJ	VYBER	1440	40673	\N	\N	\N
75616	251	1996-09-16	VYDAJ	VYBER	5040	36106	\N	\N	\N
75618	251	1996-09-12	VYDAJ	VYBER	2280	41146	\N	\N	\N
75619	251	1996-09-28	VYDAJ	VYBER	1080	35026	\N	\N	\N
75622	251	1997-01-15	VYDAJ	VYBER	1560	35149	\N	\N	\N
75623	251	1997-05-07	VYDAJ	VYBER	3240	45796	\N	\N	\N
75624	251	1997-07-14	VYDAJ	VYBER	1560	56678	\N	\N	\N
75625	251	1997-06-08	VYDAJ	VYBER	1440	45756	\N	\N	\N
75626	251	1998-12-14	VYDAJ	VYBER	2640	35315	\N	\N	\N
75627	251	1998-03-01	VYDAJ	VYBER	4680	28994	\N	\N	\N
75628	251	1998-11-29	VYDAJ	VYBER	2160	31762	\N	\N	\N
75629	251	1998-01-06	VYDAJ	VYBER	3720	34433	\N	\N	\N
75630	251	1998-11-05	VYDAJ	VYBER	4680	32224	\N	\N	\N
75631	251	1998-04-19	VYDAJ	VYBER	4200	38020	\N	\N	\N
75640	251	1996-08-31	VYDAJ	VYBER	15	45928	SLUZBY	\N	\N
75641	251	1996-09-30	VYDAJ	VYBER	15	35179	SLUZBY	\N	\N
75642	251	1996-10-31	VYDAJ	VYBER	15	39823	SLUZBY	\N	\N
75643	251	1996-11-30	VYDAJ	VYBER	15	42580	SLUZBY	\N	\N
75644	251	1996-12-31	VYDAJ	VYBER	15	47811	SLUZBY	\N	\N
75645	251	1997-01-31	VYDAJ	VYBER	15	35392	SLUZBY	\N	\N
75646	251	1997-02-28	VYDAJ	VYBER	15	41439	SLUZBY	\N	\N
75647	251	1997-03-31	VYDAJ	VYBER	15	51524	SLUZBY	\N	\N
75648	251	1997-04-30	VYDAJ	VYBER	15	56236	SLUZBY	\N	\N
75649	251	1997-05-31	VYDAJ	VYBER	15	47196	SLUZBY	\N	\N
75650	251	1997-06-30	VYDAJ	VYBER	15	52340	SLUZBY	\N	\N
75651	251	1997-07-31	VYDAJ	VYBER	15	47092	SLUZBY	\N	\N
75652	251	1997-08-31	VYDAJ	VYBER	15	42283	SLUZBY	\N	\N
75653	251	1997-09-30	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
75654	251	1997-10-31	VYDAJ	VYBER	15	39513	SLUZBY	\N	\N
75655	251	1997-11-30	VYDAJ	VYBER	15	36772	SLUZBY	\N	\N
75656	251	1997-12-31	VYDAJ	VYBER	15	42113	SLUZBY	\N	\N
75657	251	1998-01-31	VYDAJ	VYBER	15	21283	SLUZBY	\N	\N
75658	251	1998-02-28	VYDAJ	VYBER	15	33674	SLUZBY	\N	\N
75659	251	1998-03-31	VYDAJ	VYBER	15	36322	SLUZBY	\N	\N
75660	251	1998-04-30	VYDAJ	VYBER	15	35763	SLUZBY	\N	\N
75661	251	1998-05-31	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
75662	251	1998-06-30	VYDAJ	VYBER	15	34735	SLUZBY	\N	\N
75663	251	1998-07-31	VYDAJ	VYBER	15	34973	SLUZBY	\N	\N
75664	251	1998-08-31	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
75665	251	1998-09-30	VYDAJ	VYBER	15	35263	SLUZBY	\N	\N
75666	251	1998-10-31	VYDAJ	VYBER	15	36904	SLUZBY	\N	\N
75667	251	1998-11-30	VYDAJ	VYBER	15	31898	SLUZBY	\N	\N
75668	251	1996-05-06	PRIJEM	VKLAD	6200	16086	\N	\N	\N
75669	251	1996-06-05	PRIJEM	VKLAD	2000	27129	\N	\N	\N
75670	251	1996-07-05	VYDAJ	VYBER	4400	36314	\N	\N	\N
75671	251	1996-08-04	VYDAJ	VYBER	5600	39854	\N	\N	\N
75672	251	1996-09-03	VYDAJ	VYBER	8400	37528	\N	\N	\N
75673	251	1996-10-03	VYDAJ	VYBER	1400	33779	\N	\N	\N
75674	251	1996-11-02	VYDAJ	VYBER	3300	36523	\N	\N	\N
75675	251	1996-12-02	VYDAJ	VYBER	1800	40780	\N	\N	\N
75676	251	1997-01-01	VYDAJ	VYBER	3400	44411	\N	\N	\N
75677	251	1997-01-31	PRIJEM	VKLAD	12100	35407	\N	\N	\N
75678	251	1997-03-02	PRIJEM	VKLAD	4000	45439	\N	\N	\N
75679	251	1997-04-01	VYDAJ	VYBER	1400	50124	\N	\N	\N
75680	251	1997-05-01	VYDAJ	VYBER	7200	49036	\N	\N	\N
75681	251	1997-05-31	VYDAJ	VYBER	4700	47210	\N	\N	\N
75682	251	1997-06-30	VYDAJ	VYBER	4000	52355	\N	\N	\N
75683	251	1997-07-30	VYDAJ	VYBER	9800	46878	\N	\N	\N
75684	251	1997-08-29	VYDAJ	VYBER	10900	42090	\N	\N	\N
75685	251	1997-09-28	VYDAJ	VYBER	9800	38381	\N	\N	\N
75686	251	1997-10-28	VYDAJ	VYBER	5100	39353	\N	\N	\N
75687	251	1997-11-27	VYDAJ	VYBER	8800	36611	\N	\N	\N
75688	251	1997-12-27	VYDAJ	VYBER	4400	41949	\N	\N	\N
75689	251	1998-01-26	PRIJEM	VKLAD	2700	33911	\N	\N	\N
75690	251	1998-02-25	PRIJEM	VKLAD	6400	33581	\N	\N	\N
75691	251	1998-03-27	PRIJEM	VKLAD	1300	36192	\N	\N	\N
75692	251	1998-04-26	VYDAJ	VYBER	2400	35620	\N	\N	\N
75693	251	1998-05-26	VYDAJ	VYBER	6500	35161	\N	\N	\N
75694	251	1998-06-25	VYDAJ	VYBER	11100	34583	\N	\N	\N
75695	251	1998-07-25	VYDAJ	VYBER	5800	34833	\N	\N	\N
75696	251	1998-08-24	VYDAJ	VYBER	2600	38271	\N	\N	\N
75697	251	1998-09-23	VYDAJ	VYBER	9200	35113	\N	\N	\N
75698	251	1998-10-23	VYDAJ	VYBER	4400	36761	\N	\N	\N
75699	251	1998-11-22	VYDAJ	VYBER	4200	33922	\N	\N	\N
75733	252	1996-12-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
75746	252	1997-01-06	PRIJEM	PREVOD Z UCTU	5798	6798	DUCHOD	MN	49441480
75747	252	1997-02-06	PRIJEM	PREVOD Z UCTU	5798	12596	DUCHOD	MN	49441480
75748	252	1997-03-06	PRIJEM	PREVOD Z UCTU	5798	18394	DUCHOD	MN	49441480
75749	252	1997-04-06	PRIJEM	PREVOD Z UCTU	5798	24192	DUCHOD	MN	49441480
75750	252	1997-05-06	PRIJEM	PREVOD Z UCTU	5798	29990	DUCHOD	MN	49441480
75751	252	1997-06-06	PRIJEM	PREVOD Z UCTU	5798	34079	DUCHOD	MN	49441480
75752	252	1997-07-06	PRIJEM	PREVOD Z UCTU	5798	29605	DUCHOD	MN	49441480
75753	252	1997-08-06	PRIJEM	PREVOD Z UCTU	5798	33731	DUCHOD	MN	49441480
75754	252	1997-09-06	PRIJEM	PREVOD Z UCTU	5798	37774	DUCHOD	MN	49441480
75755	252	1997-10-06	PRIJEM	PREVOD Z UCTU	5798	38414	DUCHOD	MN	49441480
75756	252	1997-11-06	PRIJEM	PREVOD Z UCTU	5798	41463	DUCHOD	MN	49441480
75757	252	1997-12-06	PRIJEM	PREVOD Z UCTU	5798	45137	DUCHOD	MN	49441480
75758	252	1998-01-06	PRIJEM	PREVOD Z UCTU	5798	48076	DUCHOD	MN	49441480
75759	252	1998-02-06	PRIJEM	PREVOD Z UCTU	5798	48874	DUCHOD	MN	49441480
75760	252	1998-03-06	PRIJEM	PREVOD Z UCTU	5798	50275	DUCHOD	MN	49441480
75761	252	1998-04-06	PRIJEM	PREVOD Z UCTU	5798	50381	DUCHOD	MN	49441480
75762	252	1998-05-06	PRIJEM	PREVOD Z UCTU	5798	36937	DUCHOD	MN	49441480
75763	252	1998-06-06	PRIJEM	PREVOD Z UCTU	5798	41101	DUCHOD	MN	49441480
75764	252	1998-07-06	PRIJEM	PREVOD Z UCTU	5798	43671	DUCHOD	MN	49441480
75765	252	1998-08-06	PRIJEM	PREVOD Z UCTU	5798	47855	DUCHOD	MN	49441480
75766	252	1998-09-06	PRIJEM	PREVOD Z UCTU	5798	47330	DUCHOD	MN	49441480
75767	252	1998-10-06	PRIJEM	PREVOD Z UCTU	5798	50326	DUCHOD	MN	49441480
75768	252	1998-11-06	PRIJEM	PREVOD Z UCTU	5798	48726	DUCHOD	MN	49441480
75769	252	1998-12-06	PRIJEM	PREVOD Z UCTU	5798	52630	DUCHOD	MN	49441480
75786	252	1997-05-13	VYDAJ	PREVOD NA UCET	1767	28223	SIPO	CD	91842740
75787	252	1997-06-13	VYDAJ	PREVOD NA UCET	1767	25792	SIPO	CD	91842740
75788	252	1997-07-13	VYDAJ	PREVOD NA UCET	1767	27838	SIPO	CD	91842740
75789	252	1997-08-13	VYDAJ	PREVOD NA UCET	1767	31964	SIPO	CD	91842740
75790	252	1997-09-13	VYDAJ	PREVOD NA UCET	1767	36007	SIPO	CD	91842740
75791	252	1997-10-13	VYDAJ	PREVOD NA UCET	1767	36647	SIPO	CD	91842740
75792	252	1997-11-13	VYDAJ	PREVOD NA UCET	1767	39696	SIPO	CD	91842740
75793	252	1997-12-13	VYDAJ	PREVOD NA UCET	1767	42120	SIPO	CD	91842740
75794	252	1998-01-13	VYDAJ	PREVOD NA UCET	1767	46309	SIPO	CD	91842740
75795	252	1998-02-13	VYDAJ	PREVOD NA UCET	1767	47107	SIPO	CD	91842740
75796	252	1998-03-13	VYDAJ	PREVOD NA UCET	1767	48508	SIPO	CD	91842740
75797	252	1998-04-13	VYDAJ	PREVOD NA UCET	1767	46694	SIPO	CD	91842740
75798	252	1998-05-13	VYDAJ	PREVOD NA UCET	1767	35170	SIPO	CD	91842740
75799	252	1998-06-13	VYDAJ	PREVOD NA UCET	1767	39334	SIPO	CD	91842740
75800	252	1998-07-13	VYDAJ	PREVOD NA UCET	1767	41904	SIPO	CD	91842740
75801	252	1998-08-13	VYDAJ	PREVOD NA UCET	1767	43768	SIPO	CD	91842740
75802	252	1998-09-13	VYDAJ	PREVOD NA UCET	1767	45563	SIPO	CD	91842740
75803	252	1998-10-13	VYDAJ	PREVOD NA UCET	1767	48559	SIPO	CD	91842740
75804	252	1998-11-13	VYDAJ	PREVOD NA UCET	1767	46959	SIPO	CD	91842740
75805	252	1998-12-13	VYDAJ	PREVOD NA UCET	1767	50263	SIPO	CD	91842740
75807	252	1997-06-09	VYDAJ	VYBER	4200	27559	\N	\N	\N
75808	252	1998-06-17	VYDAJ	VYBER	1600	37734	\N	\N	\N
75810	252	1997-12-10	VYDAJ	VYBER	1250	43887	\N	\N	\N
75811	252	1998-12-11	VYDAJ	VYBER	600	52030	\N	\N	\N
75819	252	1997-06-06	VYDAJ	VYBER	2320	31759	\N	\N	\N
75823	252	1997-10-01	VYDAJ	VYBER	3520	32616	\N	\N	\N
75824	252	1997-06-22	VYDAJ	VYBER	2080	23712	\N	\N	\N
75826	252	1997-10-24	VYDAJ	VYBER	1120	35527	\N	\N	\N
75828	252	1998-08-07	VYDAJ	VYBER	2320	45535	\N	\N	\N
75829	252	1998-05-02	VYDAJ	VYBER	800	34739	\N	\N	\N
75830	252	1998-04-29	VYDAJ	VYBER	1760	35374	\N	\N	\N
75831	252	1998-04-06	VYDAJ	VYBER	1920	48461	\N	\N	\N
75832	252	1998-04-21	VYDAJ	VYBER	2960	37134	\N	\N	\N
75833	252	1998-05-04	VYDAJ	VYBER	3600	31139	\N	\N	\N
75834	252	1998-10-15	VYDAJ	VYBER	2800	45759	\N	\N	\N
75852	252	1997-05-31	VYDAJ	VYBER	15	28281	SLUZBY	\N	\N
75853	252	1997-06-30	VYDAJ	VYBER	15	23807	SLUZBY	\N	\N
75854	252	1997-07-31	VYDAJ	VYBER	15	27933	SLUZBY	\N	\N
75855	252	1997-08-31	VYDAJ	VYBER	15	31976	SLUZBY	\N	\N
75856	252	1997-09-30	VYDAJ	VYBER	15	36136	SLUZBY	\N	\N
75857	252	1997-10-31	VYDAJ	VYBER	15	35665	SLUZBY	\N	\N
75858	252	1997-11-30	VYDAJ	VYBER	15	39339	SLUZBY	\N	\N
75859	252	1997-12-31	VYDAJ	VYBER	15	42278	SLUZBY	\N	\N
75860	252	1998-01-31	VYDAJ	VYBER	15	43076	SLUZBY	\N	\N
75861	252	1998-02-28	VYDAJ	VYBER	15	44477	SLUZBY	\N	\N
75862	252	1998-03-31	VYDAJ	VYBER	15	44583	SLUZBY	\N	\N
75863	252	1998-04-30	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
75864	252	1998-05-31	VYDAJ	VYBER	15	35303	SLUZBY	\N	\N
75865	252	1998-06-30	VYDAJ	VYBER	15	37873	SLUZBY	\N	\N
75866	252	1998-07-31	VYDAJ	VYBER	15	42057	SLUZBY	\N	\N
75867	252	1998-08-31	VYDAJ	VYBER	15	41532	SLUZBY	\N	\N
75868	252	1998-09-30	VYDAJ	VYBER	15	44528	SLUZBY	\N	\N
75869	252	1998-10-31	VYDAJ	VYBER	15	42928	SLUZBY	\N	\N
75870	252	1998-11-30	VYDAJ	VYBER	15	46832	SLUZBY	\N	\N
75871	252	1997-08-23	VYDAJ	VYBER	100	31864	\N	\N	\N
75872	252	1997-11-21	VYDAJ	VYBER	500	39196	\N	\N	\N
75874	252	1998-02-19	VYDAJ	VYBER	2800	44307	\N	\N	\N
75875	252	1998-03-21	VYDAJ	VYBER	4100	44408	\N	\N	\N
75876	252	1998-04-20	VYDAJ	VYBER	6600	40094	\N	\N	\N
75877	252	1998-08-18	VYDAJ	VYBER	2400	41368	\N	\N	\N
75878	252	1998-09-17	VYDAJ	VYBER	1200	44363	\N	\N	\N
75879	252	1998-10-17	VYDAJ	VYBER	3000	42759	\N	\N	\N
75880	252	1998-11-16	VYDAJ	VYBER	300	46659	\N	\N	\N
75901	253	1995-12-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
75913	253	1995-12-07	PRIJEM	VKLAD	33464	34564	\N	\N	\N
75914	253	1996-01-07	PRIJEM	VKLAD	22309	50389	\N	\N	\N
75915	253	1996-02-07	PRIJEM	VKLAD	22309	62095	\N	\N	\N
75916	253	1996-03-07	PRIJEM	VKLAD	22309	64253	\N	\N	\N
75917	253	1996-04-07	PRIJEM	VKLAD	22309	66128	\N	\N	\N
75918	253	1996-05-07	PRIJEM	VKLAD	22309	68996	\N	\N	\N
75919	253	1996-06-07	PRIJEM	VKLAD	33464	32251	\N	\N	\N
75920	253	1996-07-07	PRIJEM	VKLAD	22309	46531	\N	\N	\N
75921	253	1996-08-07	PRIJEM	VKLAD	22309	58905	\N	\N	\N
75922	253	1996-09-07	PRIJEM	VKLAD	22309	65535	\N	\N	\N
75923	253	1996-10-07	PRIJEM	VKLAD	22309	66670	\N	\N	\N
75924	253	1996-11-07	PRIJEM	VKLAD	22309	67820	\N	\N	\N
75925	253	1996-12-07	PRIJEM	VKLAD	33464	81560	\N	\N	\N
75926	253	1997-01-07	PRIJEM	VKLAD	22309	73273	\N	\N	\N
75927	253	1997-02-07	PRIJEM	VKLAD	22309	67392	\N	\N	\N
75928	253	1997-03-07	PRIJEM	VKLAD	22309	71275	\N	\N	\N
75929	253	1997-04-07	PRIJEM	VKLAD	22309	68622	\N	\N	\N
75930	253	1997-05-07	PRIJEM	VKLAD	22309	71510	\N	\N	\N
75931	253	1997-06-07	PRIJEM	VKLAD	33464	67465	\N	\N	\N
75932	253	1997-07-07	PRIJEM	VKLAD	22309	72776	\N	\N	\N
75933	253	1997-08-07	PRIJEM	VKLAD	22309	74081	\N	\N	\N
75934	253	1997-09-07	PRIJEM	VKLAD	22309	75491	\N	\N	\N
75935	253	1997-10-07	PRIJEM	VKLAD	22309	78109	\N	\N	\N
75936	253	1997-11-07	PRIJEM	VKLAD	22309	83139	\N	\N	\N
75937	253	1997-12-07	PRIJEM	VKLAD	33464	91980	\N	\N	\N
75938	253	1998-01-07	PRIJEM	VKLAD	22309	80640	\N	\N	\N
75939	253	1998-02-07	PRIJEM	VKLAD	22309	74514	\N	\N	\N
75940	253	1998-03-07	PRIJEM	VKLAD	22309	83936	\N	\N	\N
75941	253	1998-04-07	PRIJEM	VKLAD	22309	86440	\N	\N	\N
75942	253	1998-05-07	PRIJEM	VKLAD	22309	85424	\N	\N	\N
75943	253	1998-06-07	PRIJEM	VKLAD	33464	86595	\N	\N	\N
75944	253	1998-07-07	PRIJEM	VKLAD	22309	91312	\N	\N	\N
75945	253	1998-08-07	PRIJEM	VKLAD	22309	92694	\N	\N	\N
75946	253	1998-09-07	PRIJEM	VKLAD	22309	93582	\N	\N	\N
75947	253	1998-10-07	PRIJEM	VKLAD	22309	93360	\N	\N	\N
75948	253	1998-11-07	PRIJEM	VKLAD	22309	96896	\N	\N	\N
75949	253	1998-12-07	PRIJEM	VKLAD	33464	106398	\N	\N	\N
75951	253	1996-06-03	VYDAJ	VYBER	47680	-1213	\N	\N	\N
75952	253	1997-06-05	VYDAJ	VYBER	17600	34001	\N	\N	\N
75953	253	1998-06-06	VYDAJ	VYBER	17600	53131	\N	\N	\N
75956	253	1997-01-18	VYDAJ	VYBER	10560	55753	\N	\N	\N
75957	253	1998-01-15	VYDAJ	VYBER KARTOU	3800	76840	\N	\N	0
75959	253	1996-12-20	VYDAJ	VYBER	3040	78520	\N	\N	\N
75960	253	1997-12-19	VYDAJ	VYBER KARTOU	3700	88280	\N	\N	0
75961	253	1998-12-05	VYDAJ	VYBER	4160	72934	\N	\N	\N
75974	253	1997-01-15	VYDAJ	VYBER	2040	69193	\N	\N	\N
75975	253	1997-01-28	VYDAJ	VYBER	1800	44853	\N	\N	\N
75976	253	1997-01-15	VYDAJ	VYBER	2880	66313	\N	\N	\N
75977	253	1997-01-12	VYDAJ	VYBER	1080	71233	\N	\N	\N
75978	253	1997-01-10	VYDAJ	VYBER	960	72313	\N	\N	\N
75979	253	1997-01-03	VYDAJ	VYBER	1080	50964	\N	\N	\N
75980	253	1998-01-25	VYDAJ	VYBER KARTOU	1200	54640	\N	\N	0
75981	253	1998-01-30	VYDAJ	VYBER KARTOU	2000	51940	\N	\N	0
75982	253	1998-01-28	VYDAJ	VYBER KARTOU	700	53940	\N	\N	0
75983	253	1998-01-18	VYDAJ	VYBER KARTOU	2900	73940	\N	\N	0
75984	253	1998-01-03	VYDAJ	VYBER KARTOU	1600	58331	\N	\N	0
75985	253	1998-01-01	VYDAJ	VYBER KARTOU	1700	59931	\N	\N	0
75992	253	1996-09-09	VYDAJ	VYBER	960	64575	\N	\N	\N
75994	253	1996-10-01	VYDAJ	VYBER	2760	44361	\N	\N	\N
75996	253	1996-07-05	VYDAJ	VYBER	4440	24222	\N	\N	\N
75997	253	1997-03-23	VYDAJ	VYBER	3000	65275	\N	\N	\N
75998	253	1997-03-16	VYDAJ	VYBER	3000	68275	\N	\N	\N
75999	253	1997-03-23	VYDAJ	VYBER	1680	63595	\N	\N	\N
76000	253	1997-06-21	VYDAJ	VYBER	840	66625	\N	\N	\N
76001	253	1997-11-10	VYDAJ	VYBER KARTOU	1100	82039	\N	\N	0
76002	253	1998-03-04	VYDAJ	VYBER KARTOU	1400	61627	\N	\N	0
76003	253	1998-05-03	VYDAJ	VYBER	4080	63115	\N	\N	\N
76004	253	1998-09-06	VYDAJ	VYBER KARTOU	1000	71273	\N	\N	0
76005	253	1998-10-05	VYDAJ	VYBER	5160	71051	\N	\N	\N
76006	253	1998-11-19	VYDAJ	VYBER KARTOU	1400	76796	\N	\N	0
76023	253	1996-04-30	VYDAJ	VYBER	15	66387	SLUZBY	\N	\N
76024	253	1996-05-31	VYDAJ	VYBER	15	69267	SLUZBY	\N	\N
76025	253	1996-06-30	VYDAJ	VYBER	15	32363	SLUZBY	\N	\N
76026	253	1996-07-31	VYDAJ	VYBER	15	46696	SLUZBY	\N	\N
76027	253	1996-08-31	VYDAJ	VYBER	15	59126	SLUZBY	\N	\N
76028	253	1996-09-30	VYDAJ	VYBER	15	47121	SLUZBY	\N	\N
76029	253	1996-10-31	VYDAJ	VYBER	15	45511	SLUZBY	\N	\N
76030	253	1996-11-30	VYDAJ	VYBER	15	48096	SLUZBY	\N	\N
76031	253	1996-12-31	VYDAJ	VYBER	15	52044	SLUZBY	\N	\N
76032	253	1997-01-31	VYDAJ	VYBER	15	45083	SLUZBY	\N	\N
76033	253	1997-02-28	VYDAJ	VYBER	15	48966	SLUZBY	\N	\N
76034	253	1997-03-31	VYDAJ	VYBER	15	46313	SLUZBY	\N	\N
76035	253	1997-04-30	VYDAJ	VYBER	15	49201	SLUZBY	\N	\N
76036	253	1997-05-31	VYDAJ	VYBER	15	51601	SLUZBY	\N	\N
76037	253	1997-06-30	VYDAJ	VYBER	15	50467	SLUZBY	\N	\N
76038	253	1997-07-31	VYDAJ	VYBER	15	51772	SLUZBY	\N	\N
76039	253	1997-08-31	VYDAJ	VYBER	15	53182	SLUZBY	\N	\N
76040	253	1997-09-30	VYDAJ	VYBER	15	55800	SLUZBY	\N	\N
76041	253	1997-10-31	VYDAJ	VYBER	15	60830	SLUZBY	\N	\N
76042	253	1997-11-30	VYDAJ	VYBER	15	58516	SLUZBY	\N	\N
76043	253	1997-12-31	VYDAJ	VYBER	15	61631	SLUZBY	\N	\N
76044	253	1998-01-31	VYDAJ	VYBER	15	52205	SLUZBY	\N	\N
76045	253	1998-02-28	VYDAJ	VYBER	15	63027	SLUZBY	\N	\N
76046	253	1998-03-31	VYDAJ	VYBER	15	64131	SLUZBY	\N	\N
76047	253	1998-04-30	VYDAJ	VYBER	15	67195	SLUZBY	\N	\N
76048	253	1998-05-31	VYDAJ	VYBER	15	70731	SLUZBY	\N	\N
76049	253	1998-06-30	VYDAJ	VYBER	15	69003	SLUZBY	\N	\N
76050	253	1998-07-31	VYDAJ	VYBER	15	70385	SLUZBY	\N	\N
76051	253	1998-08-31	VYDAJ	VYBER	15	72273	SLUZBY	\N	\N
76052	253	1998-09-30	VYDAJ	VYBER	15	76211	SLUZBY	\N	\N
76053	253	1998-10-31	VYDAJ	VYBER	15	74587	SLUZBY	\N	\N
76054	253	1998-11-30	VYDAJ	VYBER	15	77094	SLUZBY	\N	\N
76055	253	1996-01-04	VYDAJ	VYBER	6600	28080	\N	\N	\N
76056	253	1996-02-03	VYDAJ	VYBER	10800	39786	\N	\N	\N
76057	253	1996-03-04	VYDAJ	VYBER	20400	41944	\N	\N	\N
76058	253	1996-04-03	VYDAJ	VYBER	20700	43819	\N	\N	\N
76059	253	1996-05-03	VYDAJ	VYBER	19700	46687	\N	\N	\N
76060	253	1996-06-02	VYDAJ	VYBER	22800	46467	\N	\N	\N
76061	253	1996-07-02	VYDAJ	VYBER	3700	28662	\N	\N	\N
76062	253	1996-08-01	VYDAJ	VYBER	10100	36596	\N	\N	\N
76063	253	1996-08-31	VYDAJ	VYBER	15900	43226	\N	\N	\N
76064	253	1996-09-30	VYDAJ	VYBER	17700	47136	\N	\N	\N
76065	253	1996-10-30	VYDAJ	VYBER	21400	45270	\N	\N	\N
76066	253	1996-11-29	VYDAJ	VYBER	19900	47920	\N	\N	\N
76067	253	1996-12-29	VYDAJ	VYBER	26700	51820	\N	\N	\N
76068	253	1997-01-28	VYDAJ	VYBER	9100	46653	\N	\N	\N
76069	253	1997-02-27	VYDAJ	VYBER	18600	48792	\N	\N	\N
76070	253	1997-03-29	VYDAJ	VYBER	17500	46095	\N	\N	\N
76071	253	1997-04-28	VYDAJ	VYBER	19600	49022	\N	\N	\N
76072	253	1997-05-28	VYDAJ	VYBER	20100	51410	\N	\N	\N
76073	253	1997-06-27	VYDAJ	VYBER	16400	50225	\N	\N	\N
76074	253	1997-07-27	VYDAJ	VYBER	21200	51576	\N	\N	\N
76075	253	1997-08-26	VYDAJ	VYBER	21100	52981	\N	\N	\N
76076	253	1997-09-25	VYDAJ	VYBER	19900	55591	\N	\N	\N
76077	253	1997-10-25	VYDAJ	VYBER	17500	60609	\N	\N	\N
76078	253	1997-11-24	VYDAJ	VYBER	23800	58239	\N	\N	\N
76079	253	1997-12-24	VYDAJ	VYBER	26900	61380	\N	\N	\N
76080	253	1998-01-23	VYDAJ	VYBER	18100	55840	\N	\N	\N
76081	253	1998-02-22	VYDAJ	VYBER	11700	62814	\N	\N	\N
76082	253	1998-03-24	VYDAJ	VYBER	20100	63836	\N	\N	\N
76083	253	1998-04-23	VYDAJ	VYBER	19500	66940	\N	\N	\N
76084	253	1998-05-23	VYDAJ	VYBER	15000	70424	\N	\N	\N
76085	253	1998-06-22	VYDAJ	VYBER	17900	68695	\N	\N	\N
76086	253	1998-07-22	VYDAJ	VYBER	21200	70112	\N	\N	\N
76087	253	1998-08-21	VYDAJ	VYBER	20700	71994	\N	\N	\N
76088	253	1998-09-20	VYDAJ	VYBER	17700	75882	\N	\N	\N
76089	253	1998-10-20	VYDAJ	VYBER	19100	74260	\N	\N	\N
76090	253	1998-11-19	VYDAJ	VYBER	18700	78196	\N	\N	\N
76729	255	1996-11-03	PRIJEM	VKLAD	900	900	\N	\N	\N
76740	255	1996-11-08	PRIJEM	PREVOD Z UCTU	38167	39067	\N	IJ	51305174
76741	255	1996-12-08	PRIJEM	PREVOD Z UCTU	57250	89942	\N	IJ	51305174
76742	255	1997-01-08	PRIJEM	PREVOD Z UCTU	38167	99336	\N	IJ	51305174
76743	255	1997-02-08	PRIJEM	PREVOD Z UCTU	38167	101308	\N	IJ	51305174
76744	255	1997-03-08	PRIJEM	PREVOD Z UCTU	38167	81095	\N	IJ	51305174
76745	255	1997-04-08	PRIJEM	PREVOD Z UCTU	38167	78193	\N	IJ	51305174
76746	255	1997-05-08	PRIJEM	PREVOD Z UCTU	38167	66434	\N	IJ	51305174
76747	255	1997-06-08	PRIJEM	PREVOD Z UCTU	57250	86419	\N	IJ	51305174
76748	255	1997-07-08	PRIJEM	PREVOD Z UCTU	38167	69181	\N	IJ	51305174
76749	255	1997-08-08	PRIJEM	PREVOD Z UCTU	38167	73973	\N	IJ	51305174
76750	255	1997-09-08	PRIJEM	PREVOD Z UCTU	38167	69288	\N	IJ	51305174
76751	255	1997-10-08	PRIJEM	PREVOD Z UCTU	38167	74966	\N	IJ	51305174
76752	255	1997-11-08	PRIJEM	PREVOD Z UCTU	38167	73463	\N	IJ	51305174
76753	255	1997-12-08	PRIJEM	PREVOD Z UCTU	57250	95437	\N	IJ	51305174
76754	255	1998-01-08	PRIJEM	PREVOD Z UCTU	38167	57187	\N	IJ	51305174
76755	255	1998-02-08	PRIJEM	PREVOD Z UCTU	38167	52230	\N	IJ	51305174
76756	255	1998-03-08	PRIJEM	PREVOD Z UCTU	38167	56925	\N	IJ	51305174
76757	255	1998-04-08	PRIJEM	PREVOD Z UCTU	38167	56886	\N	IJ	51305174
76758	255	1998-05-08	PRIJEM	PREVOD Z UCTU	38167	68264	\N	IJ	51305174
76759	255	1998-06-08	PRIJEM	PREVOD Z UCTU	57250	83143	\N	IJ	51305174
76760	255	1998-07-08	PRIJEM	PREVOD Z UCTU	38167	66499	\N	IJ	51305174
76761	255	1998-08-08	PRIJEM	PREVOD Z UCTU	38167	64389	\N	IJ	51305174
76762	255	1998-09-08	PRIJEM	PREVOD Z UCTU	38167	82941	\N	IJ	51305174
76763	255	1998-10-08	PRIJEM	PREVOD Z UCTU	38167	85193	\N	IJ	51305174
76764	255	1998-11-08	PRIJEM	PREVOD Z UCTU	38167	90016	\N	IJ	51305174
76765	255	1998-12-08	PRIJEM	PREVOD Z UCTU	57250	101156	\N	IJ	51305174
76781	255	1997-04-07	VYDAJ	PREVOD NA UCET	5323	40026	SIPO	WX	88934081
76782	255	1997-05-07	VYDAJ	PREVOD NA UCET	5323	28267	SIPO	WX	88934081
76783	255	1997-06-07	VYDAJ	PREVOD NA UCET	5323	29169	SIPO	WX	88934081
76784	255	1997-07-07	VYDAJ	PREVOD NA UCET	5323	31014	SIPO	WX	88934081
76785	255	1997-08-07	VYDAJ	PREVOD NA UCET	5323	35806	SIPO	WX	88934081
76786	255	1997-09-07	VYDAJ	PREVOD NA UCET	5323	31121	SIPO	WX	88934081
76787	255	1997-10-07	VYDAJ	PREVOD NA UCET	5323	36799	SIPO	WX	88934081
76788	255	1997-11-07	VYDAJ	PREVOD NA UCET	5323	35296	SIPO	WX	88934081
76789	255	1997-12-07	VYDAJ	PREVOD NA UCET	5323	38187	SIPO	WX	88934081
76790	255	1998-01-07	VYDAJ	PREVOD NA UCET	5323	19020	SIPO	WX	88934081
76791	255	1998-02-07	VYDAJ	PREVOD NA UCET	5323	14063	SIPO	WX	88934081
76792	255	1998-03-07	VYDAJ	PREVOD NA UCET	5323	18758	SIPO	WX	88934081
76793	255	1998-04-07	VYDAJ	PREVOD NA UCET	5323	18719	SIPO	WX	88934081
76794	255	1998-05-07	VYDAJ	PREVOD NA UCET	5323	30097	SIPO	WX	88934081
76795	255	1998-06-07	VYDAJ	PREVOD NA UCET	5323	25893	SIPO	WX	88934081
76796	255	1998-07-07	VYDAJ	PREVOD NA UCET	5323	28332	SIPO	WX	88934081
76797	255	1998-08-07	VYDAJ	PREVOD NA UCET	5323	26222	SIPO	WX	88934081
76798	255	1998-09-07	VYDAJ	PREVOD NA UCET	5323	44774	SIPO	WX	88934081
76799	255	1998-10-07	VYDAJ	PREVOD NA UCET	5323	47026	SIPO	WX	88934081
76800	255	1998-11-07	VYDAJ	PREVOD NA UCET	5323	51849	SIPO	WX	88934081
76801	255	1998-12-07	VYDAJ	PREVOD NA UCET	5323	51106	SIPO	WX	88934081
76802	255	1997-08-11	VYBER	VYBER	20928	53045	\N	\N	\N
76803	255	1997-03-26	VYBER	VYBER	14776	66319	\N	\N	\N
76804	255	1997-06-16	VYBER	VYBER	10192	54309	\N	\N	\N
76806	255	1997-06-10	VYBER	VYBER	2718	83701	\N	\N	\N
76807	255	1997-05-30	VYBER	VYBER	6518	54347	\N	\N	\N
76808	255	1997-05-09	VYBER	VYBER	2557	63877	\N	\N	\N
76809	255	1997-05-18	VYBER	VYBER	3012	60865	\N	\N	\N
76810	255	1998-03-22	VYBER	VYBER	24136	32789	\N	\N	\N
76811	255	1998-04-22	VYBER	VYBER	3742	53144	\N	\N	\N
76813	255	1998-09-10	VYBER	VYBER	8046	74895	\N	\N	\N
76814	255	1998-05-31	VYBER	VYBER	11460	31231	\N	\N	\N
76816	255	1998-07-12	VYBER	VYBER	7970	58529	\N	\N	\N
76817	255	1998-11-17	VYBER	VYBER	9169	80847	\N	\N	\N
76818	255	1998-07-29	VYBER	VYBER	10176	31353	\N	\N	\N
76819	255	1998-01-24	VYBER	VYBER	11651	33836	\N	\N	\N
76821	255	1998-02-09	VYBER	VYBER	20154	32076	\N	\N	\N
76824	255	1998-06-20	VYDAJ	VYBER	40800	42343	\N	\N	\N
76829	255	1997-12-18	VYDAJ	VYBER	3300	92137	\N	\N	\N
76830	255	1998-12-07	VYDAJ	VYBER	7200	43906	\N	\N	\N
76843	255	1998-01-05	VYDAJ	VYBER	2400	33043	\N	\N	\N
76844	255	1998-01-11	VYDAJ	VYBER	7800	49387	\N	\N	\N
76845	255	1998-01-04	VYDAJ	VYBER	3000	35443	\N	\N	\N
76846	255	1998-01-03	VYDAJ	VYBER	6300	38443	\N	\N	\N
76847	255	1998-01-05	VYDAJ	VYBER	8700	24343	\N	\N	\N
76848	255	1998-01-02	VYDAJ	VYBER	7800	44743	\N	\N	\N
76854	255	1997-05-06	VYDAJ	VYBER	13800	33590	\N	\N	\N
76855	255	1997-06-12	VYDAJ	VYBER	8100	64501	\N	\N	\N
76856	255	1997-07-24	VYDAJ	VYBER	5100	64081	\N	\N	\N
76857	255	1997-06-10	VYDAJ	VYBER	11100	72601	\N	\N	\N
76859	255	1998-10-06	VYDAJ	VYBER	2100	52349	\N	\N	\N
76860	255	1998-01-24	VYDAJ	VYBER	12000	21836	\N	\N	\N
76861	255	1998-01-12	VYDAJ	VYBER	3900	45487	\N	\N	\N
76862	255	1998-05-21	VYDAJ	VYBER	8100	60164	\N	\N	\N
76878	255	1997-03-31	VYDAJ	VYBER	15	66649	SLUZBY	\N	\N
76879	255	1997-04-30	VYDAJ	VYBER	15	78490	SLUZBY	\N	\N
76880	255	1997-05-31	VYDAJ	VYBER	15	54592	SLUZBY	\N	\N
76881	255	1997-06-30	VYDAJ	VYBER	15	54537	SLUZBY	\N	\N
76882	255	1997-07-31	VYDAJ	VYBER	15	41129	SLUZBY	\N	\N
76883	255	1997-08-31	VYDAJ	VYBER	15	36444	SLUZBY	\N	\N
76884	255	1997-09-30	VYDAJ	VYBER	15	42122	SLUZBY	\N	\N
76885	255	1997-10-31	VYDAJ	VYBER	15	40619	SLUZBY	\N	\N
76886	255	1997-11-30	VYDAJ	VYBER	15	43510	SLUZBY	\N	\N
76887	255	1997-12-31	VYDAJ	VYBER	15	52543	SLUZBY	\N	\N
76888	255	1998-01-31	VYDAJ	VYBER	15	19386	SLUZBY	\N	\N
76889	255	1998-02-28	VYDAJ	VYBER	15	24081	SLUZBY	\N	\N
76890	255	1998-03-31	VYDAJ	VYBER	15	24042	SLUZBY	\N	\N
76891	255	1998-04-30	VYDAJ	VYBER	15	35420	SLUZBY	\N	\N
76892	255	1998-05-31	VYDAJ	VYBER	15	31216	SLUZBY	\N	\N
76893	255	1998-06-30	VYDAJ	VYBER	15	33655	SLUZBY	\N	\N
76894	255	1998-07-31	VYDAJ	VYBER	15	31545	SLUZBY	\N	\N
76895	255	1998-08-31	VYDAJ	VYBER	15	50097	SLUZBY	\N	\N
76896	255	1998-09-30	VYDAJ	VYBER	15	54449	SLUZBY	\N	\N
76897	255	1998-10-31	VYDAJ	VYBER	15	57172	SLUZBY	\N	\N
76898	255	1998-11-30	VYDAJ	VYBER	15	56429	SLUZBY	\N	\N
76899	255	1996-12-03	VYDAJ	VYBER	6500	32692	\N	\N	\N
76900	255	1997-01-02	VYDAJ	VYBER	29100	61169	\N	\N	\N
76901	255	1997-02-01	VYDAJ	VYBER	36600	63141	\N	\N	\N
76902	255	1997-02-08	VYDAJ	VYBER	39100	62208	\N	\N	\N
76903	255	1997-03-03	VYDAJ	VYBER	19700	42928	\N	\N	\N
76904	255	1997-04-02	VYDAJ	VYBER	21300	45349	\N	\N	\N
76905	255	1997-05-02	VYDAJ	VYBER	31100	47390	\N	\N	\N
76906	255	1997-06-01	VYDAJ	VYBER	20100	34492	\N	\N	\N
76907	255	1997-07-01	VYDAJ	VYBER	18200	36337	\N	\N	\N
76908	255	1997-07-31	VYDAJ	VYBER	23200	41144	\N	\N	\N
76909	255	1997-08-30	VYDAJ	VYBER	16800	36245	\N	\N	\N
76910	255	1997-09-29	VYDAJ	VYBER	27400	41888	\N	\N	\N
76911	255	1997-10-29	VYDAJ	VYBER	34600	40366	\N	\N	\N
76912	255	1997-11-28	VYDAJ	VYBER	30200	43263	\N	\N	\N
76913	255	1997-12-28	VYDAJ	VYBER	39900	52237	\N	\N	\N
76914	255	1998-01-27	VYDAJ	VYBER	2600	19236	\N	\N	\N
76915	255	1998-02-26	VYDAJ	VYBER	8100	23976	\N	\N	\N
76916	255	1998-03-28	VYDAJ	VYBER	8900	23889	\N	\N	\N
76917	255	1998-04-27	VYDAJ	VYBER	17900	35244	\N	\N	\N
76918	255	1998-05-27	VYDAJ	VYBER	17700	42464	\N	\N	\N
76919	255	1998-06-26	VYDAJ	VYBER	8900	33443	\N	\N	\N
76920	255	1998-07-26	VYDAJ	VYBER	17000	41529	\N	\N	\N
76921	255	1998-08-25	VYDAJ	VYBER	14500	49889	\N	\N	\N
76922	255	1998-09-24	VYDAJ	VYBER	20700	54195	\N	\N	\N
76923	255	1998-10-24	VYDAJ	VYBER	28300	56893	\N	\N	\N
76924	255	1998-11-23	VYDAJ	VYBER	24700	56147	\N	\N	\N
76951	256	1995-05-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
76957	256	1995-06-13	PRIJEM	VKLAD	28440	29540	\N	\N	\N
76958	256	1995-07-13	PRIJEM	VKLAD	18960	44474	\N	\N	\N
76959	256	1995-08-13	PRIJEM	VKLAD	18960	51395	\N	\N	\N
76960	256	1995-09-13	PRIJEM	VKLAD	18960	57258	\N	\N	\N
76961	256	1995-10-13	PRIJEM	VKLAD	18960	58647	\N	\N	\N
76962	256	1995-11-13	PRIJEM	VKLAD	18960	62434	\N	\N	\N
76963	256	1995-12-13	PRIJEM	VKLAD	28440	72907	\N	\N	\N
76964	256	1996-01-13	PRIJEM	VKLAD	18960	69632	\N	\N	\N
76965	256	1996-02-13	PRIJEM	VKLAD	18960	56938	\N	\N	\N
76966	256	1996-03-13	PRIJEM	VKLAD	18960	63701	\N	\N	\N
76967	256	1996-04-13	PRIJEM	VKLAD	18960	67501	\N	\N	\N
76968	256	1996-05-13	PRIJEM	VKLAD	18960	71321	\N	\N	\N
76969	256	1996-06-13	PRIJEM	VKLAD	28440	76238	\N	\N	\N
76970	256	1996-07-13	PRIJEM	VKLAD	18960	73973	\N	\N	\N
76971	256	1996-08-13	PRIJEM	VKLAD	18960	68330	\N	\N	\N
76972	256	1996-09-13	PRIJEM	VKLAD	18960	68469	\N	\N	\N
76973	256	1996-10-13	PRIJEM	VKLAD	18960	66800	\N	\N	\N
76974	256	1996-11-13	PRIJEM	VKLAD	18960	67326	\N	\N	\N
76975	256	1996-12-13	PRIJEM	VKLAD	28440	69231	\N	\N	\N
76976	256	1997-01-13	PRIJEM	VKLAD	18960	58743	\N	\N	\N
76977	256	1997-02-13	PRIJEM	VKLAD	18960	54099	\N	\N	\N
76978	256	1997-03-13	PRIJEM	VKLAD	18960	52062	\N	\N	\N
76979	256	1997-04-13	PRIJEM	VKLAD	18960	54621	\N	\N	\N
76980	256	1997-05-13	PRIJEM	VKLAD	18960	55289	\N	\N	\N
76981	256	1997-06-13	PRIJEM	VKLAD	28440	65114	\N	\N	\N
76982	256	1997-07-13	PRIJEM	VKLAD	18960	49280	\N	\N	\N
76983	256	1997-08-13	PRIJEM	VKLAD	18960	50612	\N	\N	\N
76984	256	1997-09-13	PRIJEM	VKLAD	18960	55864	\N	\N	\N
76985	256	1997-10-13	PRIJEM	VKLAD	18960	53261	\N	\N	\N
76986	256	1997-11-13	PRIJEM	VKLAD	18960	52198	\N	\N	\N
76987	256	1997-12-13	PRIJEM	VKLAD	28440	55977	\N	\N	\N
76988	256	1998-01-13	PRIJEM	VKLAD	18960	43394	\N	\N	\N
76989	256	1998-02-13	PRIJEM	VKLAD	18960	36867	\N	\N	\N
76990	256	1998-03-13	PRIJEM	VKLAD	18960	40386	\N	\N	\N
76991	256	1998-04-13	PRIJEM	VKLAD	18960	42719	\N	\N	\N
76992	256	1998-05-13	PRIJEM	VKLAD	18960	42761	\N	\N	\N
76993	256	1998-06-13	PRIJEM	VKLAD	28440	47381	\N	\N	\N
76994	256	1998-07-13	PRIJEM	VKLAD	18960	37602	\N	\N	\N
76995	256	1998-08-13	PRIJEM	VKLAD	18960	39826	\N	\N	\N
76996	256	1998-09-13	PRIJEM	VKLAD	18960	38793	\N	\N	\N
76997	256	1998-10-13	PRIJEM	VKLAD	18960	38918	\N	\N	\N
76998	256	1998-11-13	PRIJEM	VKLAD	18960	57946	\N	\N	\N
76999	256	1998-12-13	PRIJEM	VKLAD	28440	48716	\N	\N	\N
77001	256	1996-06-06	VYDAJ	VYBER	12900	58698	\N	\N	\N
77002	256	1997-06-23	VYDAJ	VYBER	26500	38614	\N	\N	\N
77003	256	1998-06-20	VYDAJ	VYBER	28800	18581	\N	\N	\N
77005	256	1996-01-22	VYDAJ	VYBER	7100	56032	\N	\N	\N
77006	256	1997-01-17	VYDAJ	VYBER	4400	52443	\N	\N	\N
77007	256	1998-01-22	VYDAJ	VYBER KARTOU	2800	35894	\N	\N	0
77008	256	1995-12-07	VYDAJ	VYBER	1600	61067	\N	\N	\N
77009	256	1996-12-08	VYDAJ	VYBER	2600	40791	\N	\N	\N
77010	256	1997-12-08	VYDAJ	VYBER KARTOU	2100	27537	\N	\N	0
77018	256	1996-01-26	VYDAJ	VYBER	2100	53932	\N	\N	\N
77019	256	1996-01-29	VYDAJ	VYBER	1900	52032	\N	\N	\N
77020	256	1996-01-20	VYDAJ	VYBER	2700	63132	\N	\N	\N
77021	256	1996-01-12	VYDAJ	VYBER	2500	50672	\N	\N	\N
77022	256	1996-01-30	VYDAJ	VYBER	1000	51032	\N	\N	\N
77023	256	1996-01-08	VYDAJ	VYBER	600	72572	\N	\N	\N
77024	256	1997-01-11	VYDAJ	VYBER	1100	42183	\N	\N	\N
77025	256	1997-01-22	VYDAJ	VYBER	2500	49943	\N	\N	\N
77026	256	1997-01-03	VYDAJ	VYBER	500	44283	\N	\N	\N
77027	256	1997-01-06	VYDAJ	VYBER	1000	43283	\N	\N	\N
77028	256	1997-01-11	VYDAJ	VYBER	2400	39783	\N	\N	\N
77029	256	1997-01-17	VYDAJ	VYBER	1900	56843	\N	\N	\N
77030	256	1998-01-26	VYDAJ	VYBER KARTOU	1800	34094	\N	\N	0
77031	256	1998-01-21	VYDAJ	VYBER KARTOU	1000	38694	\N	\N	0
77032	256	1998-01-02	VYDAJ	VYBER KARTOU	900	26234	\N	\N	0
77033	256	1998-01-08	VYDAJ	VYBER KARTOU	1800	24434	\N	\N	0
77034	256	1998-01-13	VYDAJ	VYBER KARTOU	1300	42094	\N	\N	0
77035	256	1998-01-19	VYDAJ	VYBER KARTOU	1200	39694	\N	\N	0
77042	256	1995-11-08	VYDAJ	VYBER	3500	55374	\N	\N	\N
77043	256	1996-02-02	VYDAJ	VYBER	2100	49178	\N	\N	\N
77044	256	1996-01-17	VYDAJ	VYBER	3800	65832	\N	\N	\N
77045	256	1997-12-20	VYDAJ	VYBER	4800	51177	\N	\N	\N
77046	256	1997-05-20	VYDAJ	VYBER	2400	52889	\N	\N	\N
77047	256	1997-05-01	VYDAJ	VYBER	1300	53529	\N	\N	\N
77048	256	1997-10-10	VYDAJ	VYBER	4200	34301	\N	\N	\N
77049	256	1997-11-21	VYDAJ	VYBER KARTOU	2300	49898	\N	\N	0
77050	256	1997-03-11	VYDAJ	VYBER	2000	33102	\N	\N	\N
77051	256	1998-12-11	VYDAJ	VYBER KARTOU	3600	20276	\N	\N	0
77052	256	1998-01-15	VYDAJ	VYBER KARTOU	1200	40894	\N	\N	0
77053	256	1998-08-03	VYDAJ	VYBER KARTOU	3400	20866	\N	\N	0
77067	256	1995-10-31	VYDAJ	VYBER	15	58874	SLUZBY	\N	\N
77068	256	1995-11-30	VYDAJ	VYBER	15	62667	SLUZBY	\N	\N
77069	256	1995-12-31	VYDAJ	VYBER	15	73172	SLUZBY	\N	\N
77070	256	1996-01-31	VYDAJ	VYBER	15	51278	SLUZBY	\N	\N
77071	256	1996-02-29	VYDAJ	VYBER	15	57141	SLUZBY	\N	\N
77072	256	1996-03-31	VYDAJ	VYBER	15	63941	SLUZBY	\N	\N
77073	256	1996-04-30	VYDAJ	VYBER	15	67761	SLUZBY	\N	\N
77074	256	1996-05-31	VYDAJ	VYBER	15	71598	SLUZBY	\N	\N
77075	256	1996-06-30	VYDAJ	VYBER	15	76513	SLUZBY	\N	\N
77076	256	1996-07-31	VYDAJ	VYBER	15	74270	SLUZBY	\N	\N
77077	256	1996-08-31	VYDAJ	VYBER	15	68609	SLUZBY	\N	\N
77078	256	1996-09-30	VYDAJ	VYBER	15	68740	SLUZBY	\N	\N
77079	256	1996-10-31	VYDAJ	VYBER	15	67066	SLUZBY	\N	\N
77080	256	1996-11-30	VYDAJ	VYBER	15	67591	SLUZBY	\N	\N
77081	256	1996-12-31	VYDAJ	VYBER	15	69483	SLUZBY	\N	\N
77082	256	1997-01-31	VYDAJ	VYBER	15	50139	SLUZBY	\N	\N
77083	256	1997-02-28	VYDAJ	VYBER	15	54302	SLUZBY	\N	\N
77084	256	1997-03-31	VYDAJ	VYBER	15	52261	SLUZBY	\N	\N
77085	256	1997-04-30	VYDAJ	VYBER	15	54829	SLUZBY	\N	\N
77086	256	1997-05-31	VYDAJ	VYBER	15	53074	SLUZBY	\N	\N
77087	256	1997-06-30	VYDAJ	VYBER	15	38820	SLUZBY	\N	\N
77088	256	1997-07-31	VYDAJ	VYBER	15	49452	SLUZBY	\N	\N
77089	256	1997-08-31	VYDAJ	VYBER	15	50804	SLUZBY	\N	\N
77090	256	1997-09-30	VYDAJ	VYBER	15	38501	SLUZBY	\N	\N
77091	256	1997-10-31	VYDAJ	VYBER	15	33238	SLUZBY	\N	\N
77092	256	1997-11-30	VYDAJ	VYBER	15	29637	SLUZBY	\N	\N
77093	256	1997-12-31	VYDAJ	VYBER	15	27134	SLUZBY	\N	\N
77094	256	1998-01-31	VYDAJ	VYBER	15	17907	SLUZBY	\N	\N
77095	256	1998-02-28	VYDAJ	VYBER	15	21426	SLUZBY	\N	\N
77096	256	1998-03-31	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
77097	256	1998-04-30	VYDAJ	VYBER	15	23801	SLUZBY	\N	\N
77098	256	1998-05-31	VYDAJ	VYBER	15	18941	SLUZBY	\N	\N
77099	256	1998-06-30	VYDAJ	VYBER	15	18642	SLUZBY	\N	\N
77100	256	1998-07-31	VYDAJ	VYBER	15	24266	SLUZBY	\N	\N
77101	256	1998-08-31	VYDAJ	VYBER	15	19833	SLUZBY	\N	\N
77102	256	1998-09-30	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
77103	256	1998-10-31	VYDAJ	VYBER	15	38986	SLUZBY	\N	\N
77104	256	1998-11-30	VYDAJ	VYBER	15	23876	SLUZBY	\N	\N
77105	256	1995-06-13	VYDAJ	VYBER	4100	25440	\N	\N	\N
77106	256	1995-07-13	VYDAJ	VYBER	7600	36874	\N	\N	\N
77107	256	1995-08-12	VYDAJ	VYBER	4600	32435	\N	\N	\N
77108	256	1995-09-11	VYDAJ	VYBER	13300	38298	\N	\N	\N
77109	256	1995-10-11	VYDAJ	VYBER	17800	39687	\N	\N	\N
77110	256	1995-11-10	VYDAJ	VYBER	11900	43474	\N	\N	\N
77111	256	1995-12-10	VYDAJ	VYBER	16600	44467	\N	\N	\N
77112	256	1996-01-09	VYDAJ	VYBER	19400	53172	\N	\N	\N
77113	256	1996-02-08	VYDAJ	VYBER	11200	37978	\N	\N	\N
77114	256	1996-03-09	VYDAJ	VYBER	12400	44741	\N	\N	\N
77115	256	1996-04-08	VYDAJ	VYBER	15400	48541	\N	\N	\N
77116	256	1996-05-08	VYDAJ	VYBER	15400	52361	\N	\N	\N
77117	256	1996-06-07	VYDAJ	VYBER	10900	47798	\N	\N	\N
77118	256	1996-07-07	VYDAJ	VYBER	21500	55013	\N	\N	\N
77119	256	1996-08-06	VYDAJ	VYBER	24900	49370	\N	\N	\N
77120	256	1996-09-05	VYDAJ	VYBER	19100	49509	\N	\N	\N
77121	256	1996-10-05	VYDAJ	VYBER	20900	47840	\N	\N	\N
77122	256	1996-11-04	VYDAJ	VYBER	18700	48366	\N	\N	\N
77123	256	1996-12-04	VYDAJ	VYBER	24200	43391	\N	\N	\N
77124	256	1997-01-03	VYDAJ	VYBER	24700	44783	\N	\N	\N
77125	256	1997-02-02	VYDAJ	VYBER	15000	35139	\N	\N	\N
77126	256	1997-03-04	VYDAJ	VYBER	19200	35102	\N	\N	\N
77127	256	1997-04-03	VYDAJ	VYBER	16600	35661	\N	\N	\N
77128	256	1997-05-03	VYDAJ	VYBER	17200	36329	\N	\N	\N
77129	256	1997-06-02	VYDAJ	VYBER	16400	36674	\N	\N	\N
77130	256	1997-07-02	VYDAJ	VYBER	8500	30320	\N	\N	\N
77131	256	1997-08-01	VYDAJ	VYBER	17800	31652	\N	\N	\N
77132	256	1997-08-31	VYDAJ	VYBER	13900	36904	\N	\N	\N
77133	256	1997-09-30	VYDAJ	VYBER	17500	38516	\N	\N	\N
77134	256	1997-10-30	VYDAJ	VYBER	20200	33061	\N	\N	\N
77135	256	1997-11-29	VYDAJ	VYBER	20400	29498	\N	\N	\N
77136	256	1997-12-29	VYDAJ	VYBER	24200	26977	\N	\N	\N
77137	256	1998-01-28	VYDAJ	VYBER	16300	17794	\N	\N	\N
77138	256	1998-02-27	VYDAJ	VYBER	15500	21367	\N	\N	\N
77139	256	1998-03-29	VYDAJ	VYBER	16700	23686	\N	\N	\N
77140	256	1998-04-28	VYDAJ	VYBER	19000	23719	\N	\N	\N
77141	256	1998-05-28	VYDAJ	VYBER	23900	18861	\N	\N	\N
77142	256	1998-07-27	VYDAJ	VYBER	13400	24202	\N	\N	\N
77143	256	1998-08-26	VYDAJ	VYBER	20100	19726	\N	\N	\N
77144	256	1998-09-25	VYDAJ	VYBER	18900	19893	\N	\N	\N
77145	256	1998-11-24	VYDAJ	VYBER	34200	23746	\N	\N	\N
77146	256	1998-12-24	VYDAJ	VYBER	31800	16916	\N	\N	\N
77190	257	1995-11-05	PRIJEM	VKLAD	900	900	\N	\N	\N
77191	257	1995-11-09	PRIJEM	VKLAD	29416	30316	\N	\N	\N
77195	257	1995-12-17	PRIJEM	VKLAD	30201	82813	\N	\N	\N
77209	257	1995-12-30	PRIJEM	VKLAD	15483	98296	\N	\N	\N
77210	257	1995-11-25	PRIJEM	VKLAD	48963	79279	\N	\N	\N
77218	257	1996-11-14	PRIJEM	VKLAD	44568	68063	\N	\N	\N
77219	257	1997-12-25	PRIJEM	VKLAD	8196	60082	\N	\N	\N
77220	257	1997-11-23	PRIJEM	VKLAD	22795	56103	\N	\N	\N
77221	257	1997-05-23	PRIJEM	VKLAD	33518	89115	\N	\N	\N
77222	257	1997-12-27	PRIJEM	VKLAD	11558	71640	\N	\N	\N
77223	257	1997-03-23	PRIJEM	VKLAD	30229	77584	\N	\N	\N
77224	257	1997-04-12	PRIJEM	VKLAD	7555	79319	\N	\N	\N
77225	257	1997-12-17	PRIJEM	VKLAD	44584	66586	\N	\N	\N
77226	257	1997-03-13	PRIJEM	VKLAD	5207	47355	\N	\N	\N
77227	257	1997-08-22	PRIJEM	VKLAD	9505	16713	\N	\N	\N
77228	257	1997-03-05	PRIJEM	VKLAD	13923	56314	\N	\N	\N
77229	257	1997-04-21	PRIJEM	VKLAD	37780	102933	\N	\N	\N
77230	257	1997-09-24	PRIJEM	VKLAD	41921	56458	\N	\N	\N
77231	257	1997-09-14	PRIJEM	VKLAD	6518	14537	\N	\N	\N
77232	257	1997-10-15	PRIJEM	VKLAD	46315	67196	\N	\N	\N
77233	257	1997-04-06	PRIJEM	VKLAD	7853	90367	\N	\N	\N
77234	257	1997-04-03	PRIJEM	VKLAD	29436	82514	\N	\N	\N
77235	257	1997-04-09	PRIJEM	VKLAD	45897	136264	\N	\N	\N
77236	257	1997-11-04	PRIJEM	VKLAD	11414	50120	\N	\N	\N
77237	257	1997-05-02	PRIJEM	VKLAD	14942	78216	\N	\N	\N
77238	257	1997-03-05	PRIJEM	VKLAD	14005	42391	\N	\N	\N
77239	257	1997-02-02	PRIJEM	VKLAD	48914	64358	\N	\N	\N
77240	257	1998-06-28	PRIJEM	VKLAD	8323	24614	\N	\N	\N
77241	257	1998-05-25	PRIJEM	VKLAD	11594	18289	\N	\N	\N
77242	257	1998-09-08	PRIJEM	VKLAD	12873	34484	\N	\N	\N
77314	257	1996-12-12	VYDAJ	PREVOD NA UCET	14166	31184	SIPO	GH	22533124
77315	257	1997-01-12	VYDAJ	PREVOD NA UCET	14166	5479	SIPO	GH	22533124
77316	257	1997-02-12	VYDAJ	PREVOD NA UCET	14166	31019	SIPO	GH	22533124
77317	257	1997-03-12	VYDAJ	PREVOD NA UCET	14166	42148	SIPO	GH	22533124
77318	257	1997-04-12	VYDAJ	PREVOD NA UCET	14166	65153	SIPO	GH	22533124
77319	257	1997-05-12	VYDAJ	PREVOD NA UCET	14166	55597	SIPO	GH	22533124
77320	257	1997-06-12	VYDAJ	PREVOD NA UCET	14166	41819	SIPO	GH	22533124
77321	257	1997-07-12	VYDAJ	PREVOD NA UCET	14166	19358	SIPO	GH	22533124
77322	257	1997-08-12	VYDAJ	PREVOD NA UCET	14166	7208	SIPO	GH	22533124
77323	257	1997-09-12	VYDAJ	PREVOD NA UCET	14166	8019	SIPO	GH	22533124
77324	257	1997-10-12	VYDAJ	PREVOD NA UCET	14166	20881	SIPO	GH	22533124
77325	257	1997-11-12	VYDAJ	PREVOD NA UCET	14166	35954	SIPO	GH	22533124
77326	257	1997-12-12	VYDAJ	PREVOD NA UCET	14166	22002	SIPO	GH	22533124
77327	257	1998-01-12	VYDAJ	PREVOD NA UCET	14166	43566	SIPO	GH	22533124
77328	257	1998-02-12	VYDAJ	PREVOD NA UCET	14166	25984	SIPO	GH	22533124
77329	257	1998-03-12	VYDAJ	PREVOD NA UCET	14166	14757	SIPO	GH	22533124
77330	257	1998-04-12	VYDAJ	PREVOD NA UCET	14166	7388	SIPO	GH	22533124
77331	257	1998-05-12	VYDAJ	PREVOD NA UCET	14166	6695	SIPO	GH	22533124
77332	257	1998-06-12	VYDAJ	PREVOD NA UCET	14166	4191	SIPO	GH	22533124
77333	257	1998-07-12	VYDAJ	PREVOD NA UCET	14166	10509	SIPO	GH	22533124
77334	257	1998-08-12	VYDAJ	PREVOD NA UCET	14166	10629	SIPO	GH	22533124
77335	257	1998-09-12	VYDAJ	PREVOD NA UCET	14166	16884	SIPO	GH	22533124
77336	257	1998-10-12	VYDAJ	PREVOD NA UCET	14166	12895	SIPO	GH	22533124
77337	257	1998-11-12	VYDAJ	PREVOD NA UCET	14166	11923	SIPO	GH	22533124
77338	257	1998-12-12	VYDAJ	PREVOD NA UCET	14166	8844	SIPO	GH	22533124
77363	257	1997-11-17	VYBER	VYBER	2646	33308	\N	\N	\N
77364	257	1997-02-13	VYBER	VYBER	2841	28178	\N	\N	\N
77365	257	1997-05-26	VYBER	VYBER	5500	83615	\N	\N	\N
77367	257	1997-05-02	VYBER	VYBER	8453	69763	\N	\N	\N
77370	257	1997-11-02	VYBER	VYBER	10081	38706	\N	\N	\N
77371	257	1997-02-06	VYBER	VYBER	19173	45185	\N	\N	\N
77373	257	1998-09-11	VYBER	VYBER	3434	31050	\N	\N	\N
77384	257	1996-12-28	VYDAJ	VYBER	8400	22784	\N	\N	\N
77385	257	1997-12-01	VYDAJ	VYBER	8400	36168	\N	\N	\N
77399	257	1997-10-03	VYDAJ	VYBER	8400	35047	\N	\N	\N
77402	257	1997-10-19	VYDAJ	VYBER	1500	65696	\N	\N	\N
77403	257	1997-12-28	VYDAJ	VYBER	12600	59040	\N	\N	\N
77407	257	1998-01-10	VYDAJ	VYBER	1500	57732	\N	\N	\N
77432	257	1996-11-30	VYDAJ	VYBER	15	45350	SLUZBY	\N	\N
77433	257	1996-12-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
77434	257	1997-01-31	VYDAJ	VYBER	15	15444	SLUZBY	\N	\N
77435	257	1997-02-28	VYDAJ	VYBER	15	28386	SLUZBY	\N	\N
77436	257	1997-03-31	VYDAJ	VYBER	15	53078	SLUZBY	\N	\N
77437	257	1997-04-30	VYDAJ	VYBER	15	63274	SLUZBY	\N	\N
77438	257	1997-05-31	VYDAJ	VYBER	15	55985	SLUZBY	\N	\N
77439	257	1997-06-30	VYDAJ	VYBER	15	33524	SLUZBY	\N	\N
77440	257	1997-07-31	VYDAJ	VYBER	15	21374	SLUZBY	\N	\N
77441	257	1997-08-31	VYDAJ	VYBER	15	22185	SLUZBY	\N	\N
77442	257	1997-09-30	VYDAJ	VYBER	15	43447	SLUZBY	\N	\N
77443	257	1997-10-31	VYDAJ	VYBER	15	48787	SLUZBY	\N	\N
77444	257	1997-11-30	VYDAJ	VYBER	15	44568	SLUZBY	\N	\N
77445	257	1997-12-31	VYDAJ	VYBER	15	59232	SLUZBY	\N	\N
77446	257	1998-01-31	VYDAJ	VYBER	15	40150	SLUZBY	\N	\N
77447	257	1998-02-28	VYDAJ	VYBER	15	28923	SLUZBY	\N	\N
77448	257	1998-03-31	VYDAJ	VYBER	15	21554	SLUZBY	\N	\N
77449	257	1998-04-30	VYDAJ	VYBER	15	20861	SLUZBY	\N	\N
77450	257	1998-05-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
77451	257	1998-06-30	VYDAJ	VYBER	15	24675	SLUZBY	\N	\N
77452	257	1998-07-31	VYDAJ	VYBER	15	24795	SLUZBY	\N	\N
77453	257	1998-08-31	VYDAJ	VYBER	15	21611	SLUZBY	\N	\N
77454	257	1998-09-30	VYDAJ	VYBER	15	27061	SLUZBY	\N	\N
77455	257	1998-10-31	VYDAJ	VYBER	15	26089	SLUZBY	\N	\N
77456	257	1998-11-30	VYDAJ	VYBER	15	23010	SLUZBY	\N	\N
77457	257	1995-12-05	VYDAJ	VYBER	26800	52612	\N	\N	\N
77458	257	1996-01-04	VYDAJ	VYBER	38100	60538	\N	\N	\N
77459	257	1996-02-03	VYDAJ	VYBER	16800	44148	\N	\N	\N
77460	257	1996-03-04	VYDAJ	VYBER	13700	30857	\N	\N	\N
77461	257	1996-04-03	VYDAJ	VYBER	8400	22867	\N	\N	\N
77462	257	1996-05-03	VYDAJ	VYBER	1700	21576	\N	\N	\N
77463	257	1996-06-02	VYDAJ	VYBER	3700	18286	\N	\N	\N
77464	257	1996-07-02	VYDAJ	VYBER	300	18395	\N	\N	\N
77465	257	1996-08-01	PRIJEM	VKLAD	1100	19905	\N	\N	\N
77466	257	1996-08-31	PRIJEM	VKLAD	3000	22905	\N	\N	\N
77467	257	1996-09-30	VYDAJ	VYBER	1900	21500	\N	\N	\N
77468	257	1996-10-30	PRIJEM	VKLAD	1900	23400	\N	\N	\N
77469	257	1996-11-29	VYDAJ	VYBER	22800	45263	\N	\N	\N
77470	257	1996-12-29	VYDAJ	VYBER	3300	19484	\N	\N	\N
77471	257	1997-01-28	PRIJEM	VKLAD	9900	15379	\N	\N	\N
77472	257	1997-02-27	PRIJEM	VKLAD	100	28278	\N	\N	\N
77473	257	1997-03-29	VYDAJ	VYBER	24700	52884	\N	\N	\N
77474	257	1997-04-09	VYDAJ	VYBER	64500	71764	\N	\N	\N
77475	257	1997-04-28	VYDAJ	VYBER	40000	62933	\N	\N	\N
77476	257	1997-05-28	VYDAJ	VYBER	27900	55715	\N	\N	\N
77477	257	1997-06-27	VYDAJ	VYBER	8500	33319	\N	\N	\N
77478	257	1997-07-27	PRIJEM	VKLAD	1900	21258	\N	\N	\N
77479	257	1997-08-26	PRIJEM	VKLAD	5400	22113	\N	\N	\N
77480	257	1997-09-25	VYDAJ	VYBER	13100	43358	\N	\N	\N
77481	257	1997-10-25	VYDAJ	VYBER	17100	48596	\N	\N	\N
77482	257	1997-11-24	VYDAJ	VYBER	11700	44403	\N	\N	\N
77483	257	1997-12-24	VYDAJ	VYBER	14700	51886	\N	\N	\N
77484	257	1998-01-23	VYDAJ	VYBER	3600	39966	\N	\N	\N
77485	257	1998-02-22	PRIJEM	VKLAD	2800	28784	\N	\N	\N
77486	257	1998-03-24	PRIJEM	VKLAD	6700	21457	\N	\N	\N
77487	257	1998-04-23	PRIJEM	VKLAD	13400	20788	\N	\N	\N
77488	257	1998-06-22	PRIJEM	VKLAD	12100	16291	\N	\N	\N
77489	257	1998-07-22	PRIJEM	VKLAD	14200	24709	\N	\N	\N
77490	257	1998-08-21	PRIJEM	VKLAD	10900	21529	\N	\N	\N
77491	257	1998-09-20	PRIJEM	VKLAD	10100	26984	\N	\N	\N
77492	257	1998-10-20	PRIJEM	VKLAD	13100	25995	\N	\N	\N
77493	257	1998-11-19	PRIJEM	VKLAD	11000	22923	\N	\N	\N
77531	258	1997-07-09	PRIJEM	VKLAD	900	900	\N	\N	\N
77538	258	1997-07-14	PRIJEM	PREVOD Z UCTU	6177	7077	DUCHOD	MN	85710537
77539	258	1997-08-14	PRIJEM	PREVOD Z UCTU	6177	13271	DUCHOD	MN	85710537
77540	258	1997-09-14	PRIJEM	PREVOD Z UCTU	6177	19478	DUCHOD	MN	85710537
77541	258	1997-10-14	PRIJEM	PREVOD Z UCTU	6177	25684	DUCHOD	MN	85710537
77542	258	1997-11-14	PRIJEM	PREVOD Z UCTU	6177	31891	DUCHOD	MN	85710537
77543	258	1997-12-14	PRIJEM	PREVOD Z UCTU	6177	32672	DUCHOD	MN	85710537
77544	258	1998-01-14	PRIJEM	PREVOD Z UCTU	6177	33323	DUCHOD	MN	85710537
77545	258	1998-02-14	PRIJEM	PREVOD Z UCTU	6177	35879	DUCHOD	MN	85710537
77546	258	1998-03-14	PRIJEM	PREVOD Z UCTU	6177	35793	DUCHOD	MN	85710537
77547	258	1998-04-14	PRIJEM	PREVOD Z UCTU	6177	38349	DUCHOD	MN	85710537
77548	258	1998-05-14	PRIJEM	PREVOD Z UCTU	6177	36822	DUCHOD	MN	85710537
77549	258	1998-06-14	PRIJEM	PREVOD Z UCTU	6177	34165	DUCHOD	MN	85710537
77550	258	1998-07-14	PRIJEM	PREVOD Z UCTU	6177	31471	DUCHOD	MN	85710537
77551	258	1998-08-14	PRIJEM	PREVOD Z UCTU	6177	29319	DUCHOD	MN	85710537
77552	258	1998-09-14	PRIJEM	PREVOD Z UCTU	6177	31764	DUCHOD	MN	85710537
77553	258	1998-10-14	PRIJEM	PREVOD Z UCTU	6177	29210	DUCHOD	MN	85710537
77554	258	1998-11-14	PRIJEM	PREVOD Z UCTU	6177	31746	DUCHOD	MN	85710537
77555	258	1998-12-14	PRIJEM	PREVOD Z UCTU	6177	28283	DUCHOD	MN	85710537
77566	258	1997-11-14	VYDAJ	PREVOD NA UCET	3737	28154	SIPO	KL	37360865
77567	258	1997-12-14	VYDAJ	PREVOD NA UCET	3737	28935	SIPO	KL	37360865
77568	258	1998-01-14	VYDAJ	PREVOD NA UCET	3737	29586	SIPO	KL	37360865
77569	258	1998-02-14	VYDAJ	PREVOD NA UCET	3737	32142	SIPO	KL	37360865
77570	258	1998-03-14	VYDAJ	PREVOD NA UCET	3737	32056	SIPO	KL	37360865
77571	258	1998-04-14	VYDAJ	PREVOD NA UCET	3737	34612	SIPO	KL	37360865
77572	258	1998-05-14	VYDAJ	PREVOD NA UCET	3737	33085	SIPO	KL	37360865
77573	258	1998-06-14	VYDAJ	PREVOD NA UCET	3737	30428	SIPO	KL	37360865
77574	258	1998-07-14	VYDAJ	PREVOD NA UCET	3737	27734	SIPO	KL	37360865
77575	258	1998-08-14	VYDAJ	PREVOD NA UCET	3737	25582	SIPO	KL	37360865
77576	258	1998-09-14	VYDAJ	PREVOD NA UCET	3737	28027	SIPO	KL	37360865
77577	258	1998-10-14	VYDAJ	PREVOD NA UCET	3737	25473	SIPO	KL	37360865
77578	258	1998-11-14	VYDAJ	PREVOD NA UCET	3737	28009	SIPO	KL	37360865
77579	258	1998-12-14	VYDAJ	PREVOD NA UCET	3737	24546	SIPO	KL	37360865
77581	258	1998-06-15	VYDAJ	VYBER	2700	27728	\N	\N	\N
77582	258	1997-12-05	VYDAJ	VYBER	850	26495	\N	\N	\N
77583	258	1998-12-08	VYDAJ	VYBER	400	22106	\N	\N	\N
77586	258	1997-11-27	VYDAJ	VYBER	880	27274	\N	\N	\N
77591	258	1998-05-19	VYDAJ	VYBER	3120	29965	\N	\N	\N
77592	258	1998-02-27	VYDAJ	VYBER	2240	29902	\N	\N	\N
77593	258	1998-07-09	VYDAJ	VYBER	1840	25294	\N	\N	\N
77605	258	1997-11-30	VYDAJ	VYBER	15	27345	SLUZBY	\N	\N
77606	258	1997-12-31	VYDAJ	VYBER	15	29046	SLUZBY	\N	\N
77607	258	1998-01-31	VYDAJ	VYBER	15	29702	SLUZBY	\N	\N
77608	258	1998-02-28	VYDAJ	VYBER	15	30016	SLUZBY	\N	\N
77609	258	1998-03-31	VYDAJ	VYBER	15	32172	SLUZBY	\N	\N
77610	258	1998-04-30	VYDAJ	VYBER	15	34745	SLUZBY	\N	\N
77611	258	1998-05-31	VYDAJ	VYBER	15	30088	SLUZBY	\N	\N
77612	258	1998-06-30	VYDAJ	VYBER	15	27834	SLUZBY	\N	\N
77613	258	1998-07-31	VYDAJ	VYBER	15	27842	SLUZBY	\N	\N
77614	258	1998-08-31	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
77615	258	1998-09-30	VYDAJ	VYBER	15	28133	SLUZBY	\N	\N
77616	258	1998-10-31	VYDAJ	VYBER	15	25569	SLUZBY	\N	\N
77617	258	1998-11-30	VYDAJ	VYBER	15	28106	SLUZBY	\N	\N
77618	258	1998-01-05	VYDAJ	VYBER	1900	27146	\N	\N	\N
77619	258	1998-03-06	VYDAJ	VYBER	400	29616	\N	\N	\N
77620	258	1998-05-05	VYDAJ	VYBER	4100	30645	\N	\N	\N
77621	258	1998-06-04	VYDAJ	VYBER	2100	27988	\N	\N	\N
77622	258	1998-07-04	VYDAJ	VYBER	700	27134	\N	\N	\N
77623	258	1998-08-03	VYDAJ	VYBER	4700	23142	\N	\N	\N
77624	258	1998-09-02	VYDAJ	VYBER	100	25587	\N	\N	\N
77625	258	1998-10-02	VYDAJ	VYBER	5100	23033	\N	\N	\N
77626	258	1998-12-01	VYDAJ	VYBER	5600	22506	\N	\N	\N
77645	259	1993-10-28	PRIJEM	VKLAD	600	600	\N	\N	\N
77656	259	1993-11-05	PRIJEM	PREVOD Z UCTU	6523	7123	DUCHOD	OP	11218428
77657	259	1993-12-05	PRIJEM	PREVOD Z UCTU	6523	13646	DUCHOD	OP	11218428
77658	259	1994-01-05	PRIJEM	PREVOD Z UCTU	6523	20169	DUCHOD	OP	11218428
77659	259	1994-02-05	PRIJEM	PREVOD Z UCTU	6523	26692	DUCHOD	OP	11218428
77660	259	1994-03-05	PRIJEM	PREVOD Z UCTU	6523	31230	DUCHOD	OP	11218428
77661	259	1994-04-05	PRIJEM	PREVOD Z UCTU	6523	34702	DUCHOD	OP	11218428
77662	259	1994-05-05	PRIJEM	PREVOD Z UCTU	6523	31984	DUCHOD	OP	11218428
77663	259	1994-06-05	PRIJEM	PREVOD Z UCTU	6523	33458	DUCHOD	OP	11218428
77664	259	1994-07-05	PRIJEM	PREVOD Z UCTU	6523	19473	DUCHOD	OP	11218428
77665	259	1994-08-05	PRIJEM	PREVOD Z UCTU	6523	21453	DUCHOD	OP	11218428
77666	259	1994-09-05	PRIJEM	PREVOD Z UCTU	6523	23118	DUCHOD	OP	11218428
77667	259	1994-10-05	PRIJEM	PREVOD Z UCTU	6523	26556	DUCHOD	OP	11218428
77668	259	1994-11-05	PRIJEM	PREVOD Z UCTU	6523	27184	DUCHOD	OP	11218428
77669	259	1994-12-05	PRIJEM	PREVOD Z UCTU	6523	26793	DUCHOD	OP	11218428
77670	259	1995-01-05	PRIJEM	PREVOD Z UCTU	6523	28776	DUCHOD	OP	11218428
77671	259	1995-02-05	PRIJEM	PREVOD Z UCTU	6523	20894	DUCHOD	OP	11218428
77672	259	1995-03-05	PRIJEM	PREVOD Z UCTU	6523	23762	DUCHOD	OP	11218428
77673	259	1995-04-05	PRIJEM	PREVOD Z UCTU	6523	24240	DUCHOD	OP	11218428
77674	259	1995-05-05	PRIJEM	PREVOD Z UCTU	6523	27683	DUCHOD	OP	11218428
77675	259	1995-06-05	PRIJEM	PREVOD Z UCTU	6523	31140	DUCHOD	OP	11218428
77676	259	1995-07-05	PRIJEM	PREVOD Z UCTU	6523	23742	DUCHOD	OP	11218428
77677	259	1995-08-05	PRIJEM	PREVOD Z UCTU	6523	27184	DUCHOD	OP	11218428
77678	259	1995-09-05	PRIJEM	PREVOD Z UCTU	6523	29336	DUCHOD	OP	11218428
77679	259	1995-10-05	PRIJEM	PREVOD Z UCTU	6523	30296	DUCHOD	OP	11218428
77680	259	1995-11-05	PRIJEM	PREVOD Z UCTU	6523	33664	DUCHOD	OP	11218428
77681	259	1995-12-05	PRIJEM	PREVOD Z UCTU	6523	31978	DUCHOD	OP	11218428
77682	259	1996-01-05	PRIJEM	PREVOD Z UCTU	6523	29629	DUCHOD	OP	11218428
77683	259	1996-02-05	PRIJEM	PREVOD Z UCTU	6523	24082	DUCHOD	OP	11218428
77684	259	1996-03-05	PRIJEM	PREVOD Z UCTU	6523	27524	DUCHOD	OP	11218428
77685	259	1996-04-05	PRIJEM	PREVOD Z UCTU	6523	30278	DUCHOD	OP	11218428
77686	259	1996-05-05	PRIJEM	PREVOD Z UCTU	6523	33746	DUCHOD	OP	11218428
77687	259	1996-06-05	PRIJEM	PREVOD Z UCTU	6523	37228	DUCHOD	OP	11218428
77688	259	1996-07-05	PRIJEM	PREVOD Z UCTU	6523	27399	DUCHOD	OP	11218428
77689	259	1996-08-05	PRIJEM	PREVOD Z UCTU	6523	30373	DUCHOD	OP	11218428
77690	259	1996-09-05	PRIJEM	PREVOD Z UCTU	6523	33841	DUCHOD	OP	11218428
77691	259	1996-10-05	PRIJEM	PREVOD Z UCTU	6523	33672	DUCHOD	OP	11218428
77692	259	1996-11-05	PRIJEM	PREVOD Z UCTU	6523	35649	DUCHOD	OP	11218428
77693	259	1996-12-05	PRIJEM	PREVOD Z UCTU	6523	31024	DUCHOD	OP	11218428
77694	259	1997-01-05	PRIJEM	PREVOD Z UCTU	6523	29332	DUCHOD	OP	11218428
77695	259	1997-02-05	PRIJEM	PREVOD Z UCTU	6523	21179	DUCHOD	OP	11218428
77696	259	1997-03-05	PRIJEM	PREVOD Z UCTU	6523	22802	DUCHOD	OP	11218428
77697	259	1997-04-05	PRIJEM	PREVOD Z UCTU	6523	24019	DUCHOD	OP	11218428
77698	259	1997-05-05	PRIJEM	PREVOD Z UCTU	6523	23549	DUCHOD	OP	11218428
77699	259	1997-06-05	PRIJEM	PREVOD Z UCTU	6523	21471	DUCHOD	OP	11218428
77700	259	1997-07-05	PRIJEM	PREVOD Z UCTU	6523	22895	DUCHOD	OP	11218428
77701	259	1997-08-05	PRIJEM	PREVOD Z UCTU	6523	23221	DUCHOD	OP	11218428
77702	259	1997-09-05	PRIJEM	PREVOD Z UCTU	6523	21442	DUCHOD	OP	11218428
77703	259	1997-10-05	PRIJEM	PREVOD Z UCTU	6523	20256	DUCHOD	OP	11218428
77704	259	1997-11-05	PRIJEM	PREVOD Z UCTU	6523	23681	DUCHOD	OP	11218428
77705	259	1997-12-05	PRIJEM	PREVOD Z UCTU	6523	23628	DUCHOD	OP	11218428
77706	259	1998-01-05	PRIJEM	PREVOD Z UCTU	6523	21449	DUCHOD	OP	11218428
77707	259	1998-02-05	PRIJEM	PREVOD Z UCTU	6523	19009	DUCHOD	OP	11218428
77708	259	1998-03-05	PRIJEM	PREVOD Z UCTU	6523	22428	DUCHOD	OP	11218428
77709	259	1998-04-05	PRIJEM	PREVOD Z UCTU	6523	21346	DUCHOD	OP	11218428
77710	259	1998-05-05	PRIJEM	PREVOD Z UCTU	6523	19661	DUCHOD	OP	11218428
77711	259	1998-06-05	PRIJEM	PREVOD Z UCTU	6523	19918	DUCHOD	OP	11218428
77712	259	1998-07-05	PRIJEM	PREVOD Z UCTU	6523	23341	DUCHOD	OP	11218428
77713	259	1998-08-05	PRIJEM	PREVOD Z UCTU	6523	22578	DUCHOD	OP	11218428
77714	259	1998-09-05	PRIJEM	PREVOD Z UCTU	6523	20714	DUCHOD	OP	11218428
77715	259	1998-10-05	PRIJEM	PREVOD Z UCTU	6523	20443	DUCHOD	OP	11218428
77716	259	1998-11-05	PRIJEM	PREVOD Z UCTU	6523	23870	DUCHOD	OP	11218428
77717	259	1998-12-05	PRIJEM	PREVOD Z UCTU	6523	23009	DUCHOD	OP	11218428
77732	259	1994-03-05	VYDAJ	PREVOD NA UCET	297	30933	SIPO	MN	86616670
77733	259	1994-04-05	VYDAJ	PREVOD NA UCET	297	34405	SIPO	MN	86616670
77734	259	1994-05-05	VYDAJ	PREVOD NA UCET	297	31687	SIPO	MN	86616670
77735	259	1994-06-05	VYDAJ	PREVOD NA UCET	297	33161	SIPO	MN	86616670
77736	259	1994-07-05	VYDAJ	PREVOD NA UCET	297	19176	SIPO	MN	86616670
77737	259	1994-08-05	VYDAJ	PREVOD NA UCET	297	21156	SIPO	MN	86616670
77738	259	1994-09-05	VYDAJ	PREVOD NA UCET	297	22821	SIPO	MN	86616670
77739	259	1994-10-05	VYDAJ	PREVOD NA UCET	297	26259	SIPO	MN	86616670
77740	259	1994-11-05	VYDAJ	PREVOD NA UCET	297	26887	SIPO	MN	86616670
77741	259	1994-12-05	VYDAJ	PREVOD NA UCET	297	26496	SIPO	MN	86616670
77742	259	1995-01-05	VYDAJ	PREVOD NA UCET	297	28479	SIPO	MN	86616670
77743	259	1995-02-05	VYDAJ	PREVOD NA UCET	297	20597	SIPO	MN	86616670
77744	259	1995-03-05	VYDAJ	PREVOD NA UCET	297	23465	SIPO	MN	86616670
77745	259	1995-04-05	VYDAJ	PREVOD NA UCET	297	23943	SIPO	MN	86616670
77746	259	1995-05-05	VYDAJ	PREVOD NA UCET	297	27386	SIPO	MN	86616670
77747	259	1995-06-05	VYDAJ	PREVOD NA UCET	297	24393	SIPO	MN	86616670
77748	259	1995-07-05	VYDAJ	PREVOD NA UCET	297	23445	SIPO	MN	86616670
77749	259	1995-08-05	VYDAJ	PREVOD NA UCET	297	26887	SIPO	MN	86616670
77750	259	1995-09-05	VYDAJ	PREVOD NA UCET	297	29039	SIPO	MN	86616670
77751	259	1995-10-05	VYDAJ	PREVOD NA UCET	297	29999	SIPO	MN	86616670
77752	259	1995-11-05	VYDAJ	PREVOD NA UCET	297	33367	SIPO	MN	86616670
77753	259	1995-12-05	VYDAJ	PREVOD NA UCET	297	31681	SIPO	MN	86616670
77754	259	1996-01-05	VYDAJ	PREVOD NA UCET	297	29332	SIPO	MN	86616670
77755	259	1996-02-05	VYDAJ	PREVOD NA UCET	297	23785	SIPO	MN	86616670
77756	259	1996-03-05	VYDAJ	PREVOD NA UCET	297	27227	SIPO	MN	86616670
77757	259	1996-04-05	VYDAJ	PREVOD NA UCET	297	29981	SIPO	MN	86616670
77758	259	1996-05-05	VYDAJ	PREVOD NA UCET	297	33449	SIPO	MN	86616670
77759	259	1996-06-05	VYDAJ	PREVOD NA UCET	297	36931	SIPO	MN	86616670
77760	259	1996-07-05	VYDAJ	PREVOD NA UCET	297	27102	SIPO	MN	86616670
77761	259	1996-08-05	VYDAJ	PREVOD NA UCET	297	30076	SIPO	MN	86616670
77762	259	1996-09-05	VYDAJ	PREVOD NA UCET	297	33544	SIPO	MN	86616670
77763	259	1996-10-05	VYDAJ	PREVOD NA UCET	297	33375	SIPO	MN	86616670
77764	259	1996-11-05	VYDAJ	PREVOD NA UCET	297	35352	SIPO	MN	86616670
77765	259	1996-12-05	VYDAJ	PREVOD NA UCET	297	30727	SIPO	MN	86616670
77766	259	1997-01-05	VYDAJ	PREVOD NA UCET	297	29035	SIPO	MN	86616670
77767	259	1997-02-05	VYDAJ	PREVOD NA UCET	297	20882	SIPO	MN	86616670
77768	259	1997-03-05	VYDAJ	PREVOD NA UCET	297	22505	SIPO	MN	86616670
77769	259	1997-04-05	VYDAJ	PREVOD NA UCET	297	23722	SIPO	MN	86616670
77770	259	1997-05-05	VYDAJ	PREVOD NA UCET	297	23252	SIPO	MN	86616670
77771	259	1997-06-05	VYDAJ	PREVOD NA UCET	297	21174	SIPO	MN	86616670
77772	259	1997-07-05	VYDAJ	PREVOD NA UCET	297	22598	SIPO	MN	86616670
77773	259	1997-08-05	VYDAJ	PREVOD NA UCET	297	22924	SIPO	MN	86616670
77774	259	1997-09-05	VYDAJ	PREVOD NA UCET	297	21145	SIPO	MN	86616670
77775	259	1997-10-05	VYDAJ	PREVOD NA UCET	297	19959	SIPO	MN	86616670
77776	259	1997-11-05	VYDAJ	PREVOD NA UCET	297	23384	SIPO	MN	86616670
77777	259	1997-12-05	VYDAJ	PREVOD NA UCET	297	23331	SIPO	MN	86616670
77778	259	1998-01-05	VYDAJ	PREVOD NA UCET	297	15302	SIPO	MN	86616670
77779	259	1998-02-05	VYDAJ	PREVOD NA UCET	297	18712	SIPO	MN	86616670
77780	259	1998-03-05	VYDAJ	PREVOD NA UCET	297	22131	SIPO	MN	86616670
77781	259	1998-04-05	VYDAJ	PREVOD NA UCET	297	15949	SIPO	MN	86616670
77782	259	1998-05-05	VYDAJ	PREVOD NA UCET	297	19364	SIPO	MN	86616670
77783	259	1998-06-05	VYDAJ	PREVOD NA UCET	297	19621	SIPO	MN	86616670
77784	259	1998-07-05	VYDAJ	PREVOD NA UCET	297	23044	SIPO	MN	86616670
77785	259	1998-08-05	VYDAJ	PREVOD NA UCET	297	22281	SIPO	MN	86616670
77786	259	1998-09-05	VYDAJ	PREVOD NA UCET	297	20417	SIPO	MN	86616670
77787	259	1998-10-05	VYDAJ	PREVOD NA UCET	297	20146	SIPO	MN	86616670
77788	259	1998-11-05	VYDAJ	PREVOD NA UCET	297	23573	SIPO	MN	86616670
77789	259	1998-12-05	VYDAJ	PREVOD NA UCET	297	22712	SIPO	MN	86616670
77804	259	1994-03-11	VYDAJ	PREVOD NA UCET	2857	28076	 	EF	8156723
77805	259	1994-04-11	VYDAJ	PREVOD NA UCET	2857	31548	 	EF	8156723
77806	259	1994-05-11	VYDAJ	PREVOD NA UCET	2857	28830	 	EF	8156723
77807	259	1994-06-11	VYDAJ	PREVOD NA UCET	2857	30304	 	EF	8156723
77808	259	1994-07-11	VYDAJ	PREVOD NA UCET	2857	16319	 	EF	8156723
77809	259	1994-08-11	VYDAJ	PREVOD NA UCET	2857	16539	 	EF	8156723
77810	259	1994-09-11	VYDAJ	PREVOD NA UCET	2857	19964	 	EF	8156723
77811	259	1994-10-11	VYDAJ	PREVOD NA UCET	2857	23402	 	EF	8156723
77812	259	1994-11-11	VYDAJ	PREVOD NA UCET	2857	24030	 	EF	8156723
77813	259	1994-12-11	VYDAJ	PREVOD NA UCET	2857	23639	 	EF	8156723
77814	259	1995-01-11	VYDAJ	PREVOD NA UCET	2857	22982	 	EF	8156723
77815	259	1995-02-11	VYDAJ	PREVOD NA UCET	2857	17740	 	EF	8156723
77816	259	1995-03-11	VYDAJ	PREVOD NA UCET	2857	20608	 	EF	8156723
77817	259	1995-04-11	VYDAJ	PREVOD NA UCET	2857	21086	 	EF	8156723
77818	259	1995-05-11	VYDAJ	PREVOD NA UCET	2857	24529	 	EF	8156723
77819	259	1995-06-11	VYDAJ	PREVOD NA UCET	2857	21536	 	EF	8156723
77820	259	1995-07-11	VYDAJ	PREVOD NA UCET	2857	20588	 	EF	8156723
77821	259	1995-08-11	VYDAJ	PREVOD NA UCET	2857	24030	 	EF	8156723
77822	259	1995-09-11	VYDAJ	PREVOD NA UCET	2857	26182	 	EF	8156723
77823	259	1995-10-11	VYDAJ	PREVOD NA UCET	2857	27142	 	EF	8156723
77824	259	1995-11-11	VYDAJ	PREVOD NA UCET	2857	30510	 	EF	8156723
77825	259	1995-12-11	VYDAJ	PREVOD NA UCET	2857	28824	 	EF	8156723
77826	259	1996-01-11	VYDAJ	PREVOD NA UCET	2857	24155	 	EF	8156723
77827	259	1996-02-11	VYDAJ	PREVOD NA UCET	2857	20928	 	EF	8156723
77828	259	1996-03-11	VYDAJ	PREVOD NA UCET	2857	24370	 	EF	8156723
77829	259	1996-04-11	VYDAJ	PREVOD NA UCET	2857	27124	 	EF	8156723
77830	259	1996-05-11	VYDAJ	PREVOD NA UCET	2857	30592	 	EF	8156723
77831	259	1996-06-11	VYDAJ	PREVOD NA UCET	2857	34074	 	EF	8156723
77832	259	1996-07-11	VYDAJ	PREVOD NA UCET	2857	24245	 	EF	8156723
77833	259	1996-08-11	VYDAJ	PREVOD NA UCET	2857	27219	 	EF	8156723
77834	259	1996-09-11	VYDAJ	PREVOD NA UCET	2857	27647	 	EF	8156723
77835	259	1996-10-11	VYDAJ	PREVOD NA UCET	2857	30518	 	EF	8156723
77836	259	1996-11-11	VYDAJ	PREVOD NA UCET	2857	24395	 	EF	8156723
77837	259	1996-12-11	VYDAJ	PREVOD NA UCET	2857	23670	 	EF	8156723
77838	259	1997-01-11	VYDAJ	PREVOD NA UCET	2857	16198	 	EF	8156723
77839	259	1997-02-11	VYDAJ	PREVOD NA UCET	2857	16225	 	EF	8156723
77840	259	1997-03-11	VYDAJ	PREVOD NA UCET	2857	17428	 	EF	8156723
77841	259	1997-04-11	VYDAJ	PREVOD NA UCET	2857	16965	 	EF	8156723
77842	259	1997-05-11	VYDAJ	PREVOD NA UCET	2857	14895	 	EF	8156723
77843	259	1997-06-11	VYDAJ	PREVOD NA UCET	2857	16317	 	EF	8156723
77844	259	1997-07-11	VYDAJ	PREVOD NA UCET	2857	16641	 	EF	8156723
77845	259	1997-08-11	VYDAJ	PREVOD NA UCET	2857	14867	 	EF	8156723
77846	259	1997-09-11	VYDAJ	PREVOD NA UCET	2857	13688	 	EF	8156723
77847	259	1997-10-11	VYDAJ	PREVOD NA UCET	2857	17102	 	EF	8156723
77848	259	1997-11-11	VYDAJ	PREVOD NA UCET	2857	17047	 	EF	8156723
77849	259	1997-12-11	VYDAJ	PREVOD NA UCET	2857	15274	 	EF	8156723
77850	259	1998-01-11	VYDAJ	PREVOD NA UCET	2857	12445	 	EF	8156723
77851	259	1998-02-11	VYDAJ	PREVOD NA UCET	2857	15855	 	EF	8156723
77852	259	1998-03-11	VYDAJ	PREVOD NA UCET	2857	14774	 	EF	8156723
77853	259	1998-04-11	VYDAJ	PREVOD NA UCET	2857	13092	 	EF	8156723
77854	259	1998-05-11	VYDAJ	PREVOD NA UCET	2857	15147	 	EF	8156723
77855	259	1998-06-11	VYDAJ	PREVOD NA UCET	2857	16764	 	EF	8156723
77856	259	1998-07-11	VYDAJ	PREVOD NA UCET	2857	20187	 	EF	8156723
77857	259	1998-08-11	VYDAJ	PREVOD NA UCET	2857	19424	 	EF	8156723
77858	259	1998-09-11	VYDAJ	PREVOD NA UCET	2857	17560	 	EF	8156723
77859	259	1998-10-11	VYDAJ	PREVOD NA UCET	2857	17289	 	EF	8156723
77860	259	1998-11-11	VYDAJ	PREVOD NA UCET	2857	20716	 	EF	8156723
77861	259	1998-12-11	VYDAJ	PREVOD NA UCET	2857	19855	 	EF	8156723
77863	259	1994-06-24	VYDAJ	VYBER	14650	15654	\N	\N	\N
77864	259	1995-06-05	VYDAJ	VYBER	6450	24690	\N	\N	\N
77865	259	1996-06-19	VYDAJ	VYBER	8000	20774	\N	\N	\N
77870	259	1995-01-19	VYDAJ	VYBER	1000	17102	\N	\N	\N
77871	259	1996-01-13	VYDAJ	VYBER	3150	19725	\N	\N	\N
77873	259	1998-01-05	VYDAJ	VYBER	1950	15599	\N	\N	\N
77875	259	1994-12-13	VYDAJ	VYBER	350	23289	\N	\N	\N
77876	259	1995-12-22	VYDAJ	VYBER	1400	26524	\N	\N	\N
77877	259	1996-12-28	VYDAJ	VYBER	950	22720	\N	\N	\N
77878	259	1997-12-10	VYDAJ	VYBER	1200	18131	\N	\N	\N
77879	259	1998-12-27	VYDAJ	VYBER	950	15865	\N	\N	\N
77892	259	1995-01-23	VYDAJ	VYBER	1280	15822	\N	\N	\N
77893	259	1995-01-18	VYDAJ	VYBER	1120	18102	\N	\N	\N
77894	259	1995-01-17	VYDAJ	VYBER	1680	19222	\N	\N	\N
77895	259	1995-01-13	VYDAJ	VYBER	2080	20902	\N	\N	\N
77896	259	1995-01-03	VYDAJ	VYBER	1120	22253	\N	\N	\N
77897	259	1995-01-24	VYDAJ	VYBER	1520	14302	\N	\N	\N
77898	259	1996-01-08	VYDAJ	VYBER	2320	27012	\N	\N	\N
77899	259	1996-01-11	VYDAJ	VYBER	1280	22875	\N	\N	\N
77900	259	1996-01-21	VYDAJ	VYBER	2240	17485	\N	\N	\N
77901	259	1996-01-01	VYDAJ	VYBER	1120	25506	\N	\N	\N
77902	259	1996-01-03	VYDAJ	VYBER	1760	23746	\N	\N	\N
77903	259	1996-01-03	VYDAJ	VYBER	640	23106	\N	\N	\N
77905	259	1997-01-07	VYDAJ	VYBER	1680	23595	\N	\N	\N
77906	259	1997-01-13	VYDAJ	VYBER	1600	14598	\N	\N	\N
77907	259	1997-01-05	VYDAJ	VYBER	1520	27515	\N	\N	\N
77908	259	1997-01-09	VYDAJ	VYBER	640	22955	\N	\N	\N
77909	259	1997-01-06	VYDAJ	VYBER	2240	25275	\N	\N	\N
77913	259	1998-01-03	VYDAJ	VYBER	400	14926	\N	\N	\N
77914	259	1998-01-05	VYDAJ	VYBER	400	17549	\N	\N	\N
77924	259	1994-12-04	VYDAJ	VYBER	1040	20270	\N	\N	\N
77925	259	1994-08-07	VYDAJ	VYBER	1760	19396	\N	\N	\N
77926	259	1994-07-19	VYDAJ	VYBER	1440	14879	\N	\N	\N
77928	259	1994-10-20	VYDAJ	VYBER	2720	20682	\N	\N	\N
77929	259	1994-11-15	VYDAJ	VYBER	2800	21230	\N	\N	\N
77931	259	1994-06-25	VYDAJ	VYBER	2800	12854	\N	\N	\N
77932	259	1995-11-22	VYDAJ	VYBER	2960	25350	\N	\N	\N
77933	259	1995-01-08	VYDAJ	VYBER	2640	25839	\N	\N	\N
77934	259	1995-03-24	VYDAJ	VYBER	1360	19248	\N	\N	\N
77935	259	1995-07-03	VYDAJ	VYBER	3200	17219	\N	\N	\N
77936	259	1995-03-24	VYDAJ	VYBER	1600	17648	\N	\N	\N
77937	259	1995-02-19	VYDAJ	VYBER	560	17180	\N	\N	\N
77938	259	1996-09-09	VYDAJ	VYBER	3040	30504	\N	\N	\N
77939	259	1996-07-17	VYDAJ	VYBER	480	23765	\N	\N	\N
77943	259	1997-03-10	VYDAJ	VYBER	1920	20585	\N	\N	\N
77944	259	1997-11-05	VYDAJ	VYBER	1680	21704	\N	\N	\N
77946	259	1998-05-06	VYDAJ	VYBER	1360	18004	\N	\N	\N
77947	259	1998-12-23	VYDAJ	VYBER	3040	16815	\N	\N	\N
77964	259	1994-03-31	VYDAJ	VYBER	15	28179	SLUZBY	\N	\N
77965	259	1994-04-30	VYDAJ	VYBER	15	25461	SLUZBY	\N	\N
77966	259	1994-05-31	VYDAJ	VYBER	15	26935	SLUZBY	\N	\N
77967	259	1994-06-30	VYDAJ	VYBER	15	12950	SLUZBY	\N	\N
77968	259	1994-07-31	VYDAJ	VYBER	15	14930	SLUZBY	\N	\N
77969	259	1994-08-31	VYDAJ	VYBER	15	16595	SLUZBY	\N	\N
77970	259	1994-09-30	VYDAJ	VYBER	15	20033	SLUZBY	\N	\N
77971	259	1994-10-31	VYDAJ	VYBER	15	20661	SLUZBY	\N	\N
77972	259	1994-11-30	VYDAJ	VYBER	15	21310	SLUZBY	\N	\N
77973	259	1994-12-31	VYDAJ	VYBER	15	23373	SLUZBY	\N	\N
77974	259	1995-01-31	VYDAJ	VYBER	15	14371	SLUZBY	\N	\N
77975	259	1995-02-28	VYDAJ	VYBER	15	17239	SLUZBY	\N	\N
77976	259	1995-03-31	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
77977	259	1995-04-30	VYDAJ	VYBER	15	21160	SLUZBY	\N	\N
77978	259	1995-05-31	VYDAJ	VYBER	15	24617	SLUZBY	\N	\N
77979	259	1995-06-30	VYDAJ	VYBER	15	20419	SLUZBY	\N	\N
77980	259	1995-07-31	VYDAJ	VYBER	15	20661	SLUZBY	\N	\N
77981	259	1995-08-31	VYDAJ	VYBER	15	22813	SLUZBY	\N	\N
77982	259	1995-09-30	VYDAJ	VYBER	15	23773	SLUZBY	\N	\N
77983	259	1995-10-31	VYDAJ	VYBER	15	27141	SLUZBY	\N	\N
77984	259	1995-11-30	VYDAJ	VYBER	15	25455	SLUZBY	\N	\N
77985	259	1995-12-31	VYDAJ	VYBER	15	26626	SLUZBY	\N	\N
77986	259	1996-01-31	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
77987	259	1996-02-29	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
77988	259	1996-03-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
77989	259	1996-04-30	VYDAJ	VYBER	15	27223	SLUZBY	\N	\N
77990	259	1996-05-31	VYDAJ	VYBER	15	30705	SLUZBY	\N	\N
77991	259	1996-06-30	VYDAJ	VYBER	15	20876	SLUZBY	\N	\N
77992	259	1996-07-31	VYDAJ	VYBER	15	23850	SLUZBY	\N	\N
77993	259	1996-08-31	VYDAJ	VYBER	15	27318	SLUZBY	\N	\N
77994	259	1996-09-30	VYDAJ	VYBER	15	27149	SLUZBY	\N	\N
77995	259	1996-10-31	VYDAJ	VYBER	15	29126	SLUZBY	\N	\N
77996	259	1996-11-30	VYDAJ	VYBER	15	24501	SLUZBY	\N	\N
77997	259	1996-12-31	VYDAJ	VYBER	15	22809	SLUZBY	\N	\N
77998	259	1997-01-31	VYDAJ	VYBER	15	14656	SLUZBY	\N	\N
77999	259	1997-02-28	VYDAJ	VYBER	15	16279	SLUZBY	\N	\N
78000	259	1997-03-31	VYDAJ	VYBER	15	17496	SLUZBY	\N	\N
78001	259	1997-04-30	VYDAJ	VYBER	15	17026	SLUZBY	\N	\N
78002	259	1997-05-31	VYDAJ	VYBER	15	14948	SLUZBY	\N	\N
78003	259	1997-06-30	VYDAJ	VYBER	15	16372	SLUZBY	\N	\N
78004	259	1997-07-31	VYDAJ	VYBER	15	16698	SLUZBY	\N	\N
78005	259	1997-08-31	VYDAJ	VYBER	15	14919	SLUZBY	\N	\N
78006	259	1997-09-30	VYDAJ	VYBER	15	13733	SLUZBY	\N	\N
78007	259	1997-10-31	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
78008	259	1997-11-30	VYDAJ	VYBER	15	17105	SLUZBY	\N	\N
78009	259	1997-12-31	VYDAJ	VYBER	15	15326	SLUZBY	\N	\N
78010	259	1998-01-31	VYDAJ	VYBER	15	12486	SLUZBY	\N	\N
78011	259	1998-02-28	VYDAJ	VYBER	15	15905	SLUZBY	\N	\N
78012	259	1998-03-31	VYDAJ	VYBER	15	14823	SLUZBY	\N	\N
78013	259	1998-04-30	VYDAJ	VYBER	15	13138	SLUZBY	\N	\N
78014	259	1998-05-31	VYDAJ	VYBER	15	15195	SLUZBY	\N	\N
78015	259	1998-06-30	VYDAJ	VYBER	15	16818	SLUZBY	\N	\N
78016	259	1998-07-31	VYDAJ	VYBER	15	20255	SLUZBY	\N	\N
78017	259	1998-08-31	VYDAJ	VYBER	15	19491	SLUZBY	\N	\N
78018	259	1998-09-30	VYDAJ	VYBER	15	17620	SLUZBY	\N	\N
78019	259	1998-10-31	VYDAJ	VYBER	15	17347	SLUZBY	\N	\N
78020	259	1998-11-30	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
78021	259	1994-02-25	VYDAJ	VYBER	2000	24692	\N	\N	\N
78022	259	1994-04-26	VYDAJ	VYBER	6200	25348	\N	\N	\N
78023	259	1994-05-26	VYDAJ	VYBER	2000	26830	\N	\N	\N
78024	259	1994-10-23	VYDAJ	VYBER	100	20582	\N	\N	\N
78025	259	1995-06-20	VYDAJ	VYBER	1200	20336	\N	\N	\N
78026	259	1995-08-19	VYDAJ	VYBER	1300	22730	\N	\N	\N
78027	259	1995-09-18	VYDAJ	VYBER	2500	23682	\N	\N	\N
78028	259	1995-10-18	VYDAJ	VYBER	100	27042	\N	\N	\N
78029	259	1995-11-17	VYDAJ	VYBER	2200	28310	\N	\N	\N
78030	259	1995-12-17	VYDAJ	VYBER	900	27924	\N	\N	\N
78031	259	1996-03-16	VYDAJ	VYBER	700	23670	\N	\N	\N
78032	259	1996-06-14	VYDAJ	VYBER	5300	28774	\N	\N	\N
78033	259	1996-09-12	VYDAJ	VYBER	600	27047	\N	\N	\N
78034	259	1996-10-12	VYDAJ	VYBER	1500	29018	\N	\N	\N
78035	259	1996-11-11	VYDAJ	VYBER	8100	27252	\N	\N	\N
78036	259	1996-12-11	VYDAJ	VYBER	4200	26527	\N	\N	\N
78037	259	1997-01-10	VYDAJ	VYBER	3900	19055	\N	\N	\N
78038	259	1997-02-09	VYDAJ	VYBER	1800	19082	\N	\N	\N
78039	259	1997-03-11	VYDAJ	VYBER	300	20285	\N	\N	\N
78040	259	1997-04-10	VYDAJ	VYBER	3900	19822	\N	\N	\N
78041	259	1997-05-10	VYDAJ	VYBER	5500	17752	\N	\N	\N
78042	259	1997-06-09	VYDAJ	VYBER	2000	19174	\N	\N	\N
78043	259	1997-07-09	VYDAJ	VYBER	3100	19498	\N	\N	\N
78044	259	1997-08-08	VYDAJ	VYBER	5200	17724	\N	\N	\N
78045	259	1997-09-07	VYDAJ	VYBER	4600	16545	\N	\N	\N
78046	259	1997-11-06	VYDAJ	VYBER	1800	19904	\N	\N	\N
78047	259	1997-12-06	VYDAJ	VYBER	4000	19331	\N	\N	\N
78048	259	1998-01-05	VYDAJ	VYBER	3500	17949	\N	\N	\N
78049	259	1998-03-06	VYDAJ	VYBER	4500	17631	\N	\N	\N
78050	259	1998-04-05	VYDAJ	VYBER	5100	16246	\N	\N	\N
78051	259	1998-06-04	VYDAJ	VYBER	1800	13395	\N	\N	\N
78052	259	1998-08-03	VYDAJ	VYBER	4200	16055	\N	\N	\N
78053	259	1998-09-02	VYDAJ	VYBER	5300	14191	\N	\N	\N
78054	259	1998-10-02	VYDAJ	VYBER	3700	13920	\N	\N	\N
78055	259	1998-12-01	VYDAJ	VYBER	4300	16486	\N	\N	\N
78115	260	1995-10-14	PRIJEM	VKLAD	600	600	\N	\N	\N
78126	260	1995-11-06	PRIJEM	VKLAD	7871	8471	\N	\N	\N
78127	260	1995-12-06	PRIJEM	VKLAD	11807	25812	\N	\N	\N
78128	260	1996-01-06	PRIJEM	VKLAD	7871	33371	\N	\N	\N
78129	260	1996-02-06	PRIJEM	VKLAD	7871	39564	\N	\N	\N
78130	260	1996-03-06	PRIJEM	VKLAD	7871	43076	\N	\N	\N
78131	260	1996-04-06	PRIJEM	VKLAD	7871	43233	\N	\N	\N
78132	260	1996-05-06	PRIJEM	VKLAD	7871	43691	\N	\N	\N
78133	260	1996-06-06	PRIJEM	VKLAD	11807	42872	\N	\N	\N
78134	260	1996-07-06	PRIJEM	VKLAD	7871	29043	\N	\N	\N
78135	260	1996-08-06	PRIJEM	VKLAD	7871	35565	\N	\N	\N
78136	260	1996-09-06	PRIJEM	VKLAD	7871	37317	\N	\N	\N
78137	260	1996-10-06	PRIJEM	VKLAD	7871	37852	\N	\N	\N
78138	260	1996-11-06	PRIJEM	VKLAD	7871	28629	\N	\N	\N
78139	260	1996-12-06	PRIJEM	VKLAD	11807	38883	\N	\N	\N
78140	260	1997-01-06	PRIJEM	VKLAD	7871	30891	\N	\N	\N
78141	260	1997-02-06	PRIJEM	VKLAD	7871	31956	\N	\N	\N
78142	260	1997-03-06	PRIJEM	VKLAD	7871	28775	\N	\N	\N
78143	260	1997-04-06	PRIJEM	VKLAD	7871	39509	\N	\N	\N
78144	260	1997-05-06	PRIJEM	VKLAD	7871	38315	\N	\N	\N
78145	260	1997-06-06	PRIJEM	VKLAD	11807	49194	\N	\N	\N
78146	260	1997-07-06	PRIJEM	VKLAD	7871	52981	\N	\N	\N
78147	260	1997-08-06	PRIJEM	VKLAD	7871	53289	\N	\N	\N
78148	260	1997-09-06	PRIJEM	VKLAD	7871	55301	\N	\N	\N
78149	260	1997-10-06	PRIJEM	VKLAD	7871	54920	\N	\N	\N
78150	260	1997-11-06	PRIJEM	VKLAD	7871	55357	\N	\N	\N
78151	260	1997-12-06	PRIJEM	VKLAD	11807	56513	\N	\N	\N
78152	260	1998-01-06	PRIJEM	VKLAD	7871	47813	\N	\N	\N
78153	260	1998-02-06	PRIJEM	VKLAD	7871	41983	\N	\N	\N
78154	260	1998-03-06	PRIJEM	VKLAD	7871	51046	\N	\N	\N
78155	260	1998-04-06	PRIJEM	VKLAD	7871	54543	\N	\N	\N
78156	260	1998-05-06	PRIJEM	VKLAD	7871	56357	\N	\N	\N
78157	260	1998-06-06	PRIJEM	VKLAD	11807	37074	\N	\N	\N
78158	260	1998-07-06	PRIJEM	VKLAD	7871	46747	\N	\N	\N
78159	260	1998-08-06	PRIJEM	VKLAD	7871	53619	\N	\N	\N
78160	260	1998-09-06	PRIJEM	VKLAD	7871	56225	\N	\N	\N
78161	260	1998-10-06	PRIJEM	VKLAD	7871	55441	\N	\N	\N
78162	260	1998-11-06	PRIJEM	VKLAD	7871	56754	\N	\N	\N
78163	260	1998-12-06	PRIJEM	VKLAD	11807	54475	\N	\N	\N
78178	260	1996-03-10	VYDAJ	PREVOD NA UCET	5247	37829	SIPO	GH	71713226
78179	260	1996-04-10	VYDAJ	PREVOD NA UCET	5247	37986	SIPO	GH	71713226
78180	260	1996-05-10	VYDAJ	PREVOD NA UCET	5247	38444	SIPO	GH	71713226
78181	260	1996-06-10	VYDAJ	PREVOD NA UCET	5247	23345	SIPO	GH	71713226
78182	260	1996-07-10	VYDAJ	PREVOD NA UCET	5247	27596	SIPO	GH	71713226
78183	260	1996-08-10	VYDAJ	PREVOD NA UCET	5247	31618	SIPO	GH	71713226
78184	260	1996-09-10	VYDAJ	PREVOD NA UCET	5247	29870	SIPO	GH	71713226
78185	260	1996-10-10	VYDAJ	PREVOD NA UCET	5247	30505	SIPO	GH	71713226
78186	260	1996-11-10	VYDAJ	PREVOD NA UCET	5247	26982	SIPO	GH	71713226
78187	260	1996-12-10	VYDAJ	PREVOD NA UCET	5247	29276	SIPO	GH	71713226
78188	260	1997-01-10	VYDAJ	PREVOD NA UCET	5247	18784	SIPO	GH	71713226
78189	260	1997-02-10	VYDAJ	PREVOD NA UCET	5247	26709	SIPO	GH	71713226
78190	260	1997-03-10	VYDAJ	PREVOD NA UCET	5247	31528	SIPO	GH	71713226
78191	260	1997-04-10	VYDAJ	PREVOD NA UCET	5247	34162	SIPO	GH	71713226
78192	260	1997-05-10	VYDAJ	PREVOD NA UCET	5247	31768	SIPO	GH	71713226
78193	260	1997-06-10	VYDAJ	PREVOD NA UCET	5247	43947	SIPO	GH	71713226
78194	260	1997-07-10	VYDAJ	PREVOD NA UCET	5247	47734	SIPO	GH	71713226
78195	260	1997-08-10	VYDAJ	PREVOD NA UCET	5247	48042	SIPO	GH	71713226
78196	260	1997-09-10	VYDAJ	PREVOD NA UCET	5247	50054	SIPO	GH	71713226
78197	260	1997-10-10	VYDAJ	PREVOD NA UCET	5247	49673	SIPO	GH	71713226
78198	260	1997-11-10	VYDAJ	PREVOD NA UCET	5247	50110	SIPO	GH	71713226
78199	260	1997-12-10	VYDAJ	PREVOD NA UCET	5247	51266	SIPO	GH	71713226
78200	260	1998-01-10	VYDAJ	PREVOD NA UCET	5247	37406	SIPO	GH	71713226
78201	260	1998-02-10	VYDAJ	PREVOD NA UCET	5247	36736	SIPO	GH	71713226
78202	260	1998-03-10	VYDAJ	PREVOD NA UCET	5247	45799	SIPO	GH	71713226
78203	260	1998-04-10	VYDAJ	PREVOD NA UCET	5247	49296	SIPO	GH	71713226
78204	260	1998-05-10	VYDAJ	PREVOD NA UCET	5247	51110	SIPO	GH	71713226
78205	260	1998-06-10	VYDAJ	PREVOD NA UCET	5247	31827	SIPO	GH	71713226
78206	260	1998-07-10	VYDAJ	PREVOD NA UCET	5247	41500	SIPO	GH	71713226
78207	260	1998-08-10	VYDAJ	PREVOD NA UCET	5247	48372	SIPO	GH	71713226
78208	260	1998-09-10	VYDAJ	PREVOD NA UCET	5247	50978	SIPO	GH	71713226
78209	260	1998-10-10	VYDAJ	PREVOD NA UCET	5247	50194	SIPO	GH	71713226
78210	260	1998-11-10	VYDAJ	PREVOD NA UCET	5247	47187	SIPO	GH	71713226
78211	260	1998-12-10	VYDAJ	PREVOD NA UCET	5247	49228	SIPO	GH	71713226
78213	260	1996-06-10	VYDAJ	VYBER	14880	28592	\N	\N	\N
78215	260	1998-06-05	VYDAJ	VYBER	19200	25268	\N	\N	\N
78218	260	1997-01-06	VYDAJ	VYBER	15360	24031	\N	\N	\N
78219	260	1998-01-29	VYDAJ	VYBER	6720	21206	\N	\N	\N
78221	260	1996-12-07	VYDAJ	VYBER	3360	35523	\N	\N	\N
78222	260	1997-12-25	VYDAJ	VYBER	4000	47266	\N	\N	\N
78223	260	1998-12-24	VYDAJ	VYBER	4640	44588	\N	\N	\N
78236	260	1997-01-11	VYDAJ	VYBER	1800	16984	\N	\N	\N
78237	260	1997-01-01	VYDAJ	VYBER	1080	23620	\N	\N	\N
78238	260	1997-01-01	VYDAJ	VYBER	600	24700	\N	\N	\N
78239	260	1997-01-16	VYDAJ	VYBER	3360	13624	\N	\N	\N
78241	260	1997-01-01	VYDAJ	VYBER	600	23020	\N	\N	\N
78242	260	1998-01-11	VYDAJ	VYBER	2160	35246	\N	\N	\N
78243	260	1998-01-01	VYDAJ	VYBER	3480	43982	\N	\N	\N
78244	260	1998-01-24	VYDAJ	VYBER	2160	27926	\N	\N	\N
78245	260	1998-01-14	VYDAJ	VYBER	1800	30086	\N	\N	\N
78246	260	1998-01-14	VYDAJ	VYBER	3360	31886	\N	\N	\N
78247	260	1998-01-02	VYDAJ	VYBER	3240	39942	\N	\N	\N
78253	260	1996-08-14	VYDAJ	VYBER	2280	29338	\N	\N	\N
78254	260	1996-12-26	VYDAJ	VYBER	4080	25196	\N	\N	\N
78256	260	1996-07-03	VYDAJ	VYBER	2280	21172	\N	\N	\N
78258	260	1996-10-11	VYDAJ	VYBER	4680	25825	\N	\N	\N
78259	260	1996-10-22	VYDAJ	VYBER	5160	20665	\N	\N	\N
78260	260	1997-04-18	VYDAJ	VYBER	3840	30322	\N	\N	\N
78262	260	1997-02-12	VYDAJ	VYBER	5880	20829	\N	\N	\N
78264	260	1997-10-22	VYDAJ	VYBER	1080	48593	\N	\N	\N
78265	260	1998-01-08	VYDAJ	VYBER	5160	42653	\N	\N	\N
78266	260	1998-12-27	VYDAJ	VYBER	3960	40628	\N	\N	\N
78267	260	1998-06-29	VYDAJ	VYBER	5280	26547	\N	\N	\N
78268	260	1998-11-08	VYDAJ	VYBER	4320	52434	\N	\N	\N
78269	260	1998-05-29	VYDAJ	VYBER	2040	49070	\N	\N	\N
78270	260	1998-07-19	VYDAJ	VYBER	5400	36100	\N	\N	\N
78271	260	1998-02-03	VYDAJ	VYBER	1320	34112	\N	\N	\N
78287	260	1996-03-31	VYDAJ	VYBER	15	35362	SLUZBY	\N	\N
78288	260	1996-04-30	VYDAJ	VYBER	15	35820	SLUZBY	\N	\N
78289	260	1996-05-31	VYDAJ	VYBER	15	31065	SLUZBY	\N	\N
78290	260	1996-06-30	VYDAJ	VYBER	15	23452	SLUZBY	\N	\N
78291	260	1996-07-31	VYDAJ	VYBER	15	27694	SLUZBY	\N	\N
78292	260	1996-08-31	VYDAJ	VYBER	15	29446	SLUZBY	\N	\N
78293	260	1996-09-30	VYDAJ	VYBER	15	29981	SLUZBY	\N	\N
78294	260	1996-10-31	VYDAJ	VYBER	15	20758	SLUZBY	\N	\N
78295	260	1996-11-30	VYDAJ	VYBER	15	27077	SLUZBY	\N	\N
78296	260	1996-12-31	VYDAJ	VYBER	15	25300	SLUZBY	\N	\N
78297	260	1997-01-31	VYDAJ	VYBER	15	13685	SLUZBY	\N	\N
78298	260	1997-02-28	VYDAJ	VYBER	15	20904	SLUZBY	\N	\N
78299	260	1997-03-31	VYDAJ	VYBER	15	31638	SLUZBY	\N	\N
78300	260	1997-04-30	VYDAJ	VYBER	15	30444	SLUZBY	\N	\N
78301	260	1997-05-31	VYDAJ	VYBER	15	31887	SLUZBY	\N	\N
78302	260	1997-06-30	VYDAJ	VYBER	15	44110	SLUZBY	\N	\N
78303	260	1997-07-31	VYDAJ	VYBER	15	47918	SLUZBY	\N	\N
78304	260	1997-08-31	VYDAJ	VYBER	15	48230	SLUZBY	\N	\N
78305	260	1997-09-30	VYDAJ	VYBER	15	50249	SLUZBY	\N	\N
78306	260	1997-10-31	VYDAJ	VYBER	15	48786	SLUZBY	\N	\N
78307	260	1997-11-30	VYDAJ	VYBER	15	50306	SLUZBY	\N	\N
78308	260	1997-12-31	VYDAJ	VYBER	15	47462	SLUZBY	\N	\N
78309	260	1998-01-31	VYDAJ	VYBER	15	35432	SLUZBY	\N	\N
78310	260	1998-02-28	VYDAJ	VYBER	15	36875	SLUZBY	\N	\N
78311	260	1998-03-31	VYDAJ	VYBER	15	45972	SLUZBY	\N	\N
78312	260	1998-04-30	VYDAJ	VYBER	15	49486	SLUZBY	\N	\N
78313	260	1998-05-31	VYDAJ	VYBER	15	44468	SLUZBY	\N	\N
78314	260	1998-06-30	VYDAJ	VYBER	15	38876	SLUZBY	\N	\N
78315	260	1998-07-31	VYDAJ	VYBER	15	45748	SLUZBY	\N	\N
78316	260	1998-08-31	VYDAJ	VYBER	15	48354	SLUZBY	\N	\N
78317	260	1998-09-30	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
78318	260	1998-10-31	VYDAJ	VYBER	15	48883	SLUZBY	\N	\N
78319	260	1998-11-30	VYDAJ	VYBER	15	42668	SLUZBY	\N	\N
78320	260	1995-11-13	PRIJEM	VKLAD	5500	13971	\N	\N	\N
78321	260	1995-12-13	VYDAJ	VYBER	400	25412	\N	\N	\N
78322	260	1996-01-12	VYDAJ	VYBER	1800	31571	\N	\N	\N
78323	260	1996-02-11	VYDAJ	VYBER	4500	35064	\N	\N	\N
78324	260	1996-03-12	VYDAJ	VYBER	2600	35229	\N	\N	\N
78325	260	1996-04-11	VYDAJ	VYBER	2300	35686	\N	\N	\N
78326	260	1996-05-11	VYDAJ	VYBER	7500	30944	\N	\N	\N
78327	260	1996-06-10	PRIJEM	VKLAD	600	43472	\N	\N	\N
78328	260	1996-07-10	PRIJEM	VKLAD	3800	32843	\N	\N	\N
78329	260	1996-08-09	PRIJEM	VKLAD	1300	36865	\N	\N	\N
78330	260	1996-09-08	VYDAJ	VYBER	2200	35117	\N	\N	\N
78331	260	1996-10-08	VYDAJ	VYBER	2100	35752	\N	\N	\N
78332	260	1996-11-07	PRIJEM	VKLAD	3600	32229	\N	\N	\N
78333	260	1996-12-07	VYDAJ	VYBER	1000	34523	\N	\N	\N
78334	260	1997-01-06	PRIJEM	VKLAD	8500	39391	\N	\N	\N
78335	260	1997-02-05	PRIJEM	VKLAD	10400	24085	\N	\N	\N
78336	260	1997-03-07	PRIJEM	VKLAD	8000	36775	\N	\N	\N
78337	260	1997-04-06	VYDAJ	VYBER	100	39409	\N	\N	\N
78338	260	1997-05-06	VYDAJ	VYBER	1300	37015	\N	\N	\N
78339	260	1997-06-05	PRIJEM	VKLAD	5500	37387	\N	\N	\N
78340	260	1997-07-05	PRIJEM	VKLAD	1000	45110	\N	\N	\N
78341	260	1997-08-04	VYDAJ	VYBER	2500	45418	\N	\N	\N
78342	260	1997-09-03	VYDAJ	VYBER	800	47430	\N	\N	\N
78343	260	1997-10-03	VYDAJ	VYBER	3200	47049	\N	\N	\N
78344	260	1997-11-02	VYDAJ	VYBER	1300	47486	\N	\N	\N
78345	260	1997-12-02	VYDAJ	VYBER	5600	44706	\N	\N	\N
78346	260	1998-01-01	VYDAJ	VYBER	800	43182	\N	\N	\N
78347	260	1998-01-31	PRIJEM	VKLAD	14100	35446	\N	\N	\N
78348	260	1998-03-02	PRIJEM	VKLAD	6300	43175	\N	\N	\N
78349	260	1998-04-01	PRIJEM	VKLAD	700	46672	\N	\N	\N
78350	260	1998-05-01	VYDAJ	VYBER	1000	48486	\N	\N	\N
78351	260	1998-05-31	VYDAJ	VYBER	4800	44483	\N	\N	\N
78352	260	1998-06-30	PRIJEM	VKLAD	12200	38891	\N	\N	\N
78353	260	1998-07-30	PRIJEM	VKLAD	9500	45600	\N	\N	\N
78354	260	1998-08-29	VYDAJ	VYBER	200	48172	\N	\N	\N
78355	260	1998-09-28	VYDAJ	VYBER	3600	47378	\N	\N	\N
78356	260	1998-10-28	VYDAJ	VYBER	1500	48694	\N	\N	\N
78357	260	1998-11-27	VYDAJ	VYBER	4700	42487	\N	\N	\N
78396	261	1996-10-07	PRIJEM	VKLAD	200	200	\N	\N	\N
78406	261	1996-10-12	PRIJEM	PREVOD Z UCTU	3851	4051	\N	EF	65610498
78407	261	1996-11-12	PRIJEM	PREVOD Z UCTU	3851	17713	\N	EF	65610498
78408	261	1996-12-12	PRIJEM	PREVOD Z UCTU	3851	20817	\N	EF	65610498
78409	261	1997-01-12	PRIJEM	PREVOD Z UCTU	3851	26250	\N	EF	65610498
78410	261	1997-02-12	PRIJEM	PREVOD Z UCTU	3851	26402	\N	EF	65610498
78411	261	1997-03-12	PRIJEM	PREVOD Z UCTU	3851	25695	\N	EF	65610498
78412	261	1997-04-12	PRIJEM	PREVOD Z UCTU	3851	21385	\N	EF	65610498
78413	261	1997-05-12	PRIJEM	PREVOD Z UCTU	3851	21363	\N	EF	65610498
78414	261	1997-06-12	PRIJEM	PREVOD Z UCTU	3851	16984	\N	EF	65610498
78415	261	1997-07-12	PRIJEM	PREVOD Z UCTU	3851	14943	\N	EF	65610498
78416	261	1997-08-12	PRIJEM	PREVOD Z UCTU	3851	16289	\N	EF	65610498
78417	261	1997-09-12	PRIJEM	PREVOD Z UCTU	3851	17638	\N	EF	65610498
78418	261	1997-10-12	PRIJEM	PREVOD Z UCTU	3851	18812	\N	EF	65610498
78419	261	1997-11-12	PRIJEM	PREVOD Z UCTU	3851	20171	\N	EF	65610498
78420	261	1997-12-12	PRIJEM	PREVOD Z UCTU	3851	13036	\N	EF	65610498
78421	261	1998-01-12	PRIJEM	PREVOD Z UCTU	3851	13481	\N	EF	65610498
78422	261	1998-02-12	PRIJEM	PREVOD Z UCTU	3851	13548	\N	EF	65610498
78423	261	1998-03-12	PRIJEM	PREVOD Z UCTU	3851	13984	\N	EF	65610498
78424	261	1998-04-12	PRIJEM	PREVOD Z UCTU	3851	15053	\N	EF	65610498
78425	261	1998-05-12	PRIJEM	PREVOD Z UCTU	3851	15946	\N	EF	65610498
78426	261	1998-06-12	PRIJEM	PREVOD Z UCTU	3851	17294	\N	EF	65610498
78427	261	1998-07-12	PRIJEM	PREVOD Z UCTU	3851	18646	\N	EF	65610498
78428	261	1998-08-12	PRIJEM	PREVOD Z UCTU	3851	18354	\N	EF	65610498
78429	261	1998-09-12	PRIJEM	PREVOD Z UCTU	3851	19711	\N	EF	65610498
78430	261	1998-10-12	PRIJEM	PREVOD Z UCTU	3851	21073	\N	EF	65610498
78431	261	1998-11-12	PRIJEM	PREVOD Z UCTU	3851	21118	\N	EF	65610498
78432	261	1998-12-12	PRIJEM	PREVOD Z UCTU	3851	22486	\N	EF	65610498
78447	261	1997-03-11	VYDAJ	PREVOD NA UCET	2182	21844	SIPO	IJ	49824553
78448	261	1997-04-11	VYDAJ	PREVOD NA UCET	2182	17534	SIPO	IJ	49824553
78449	261	1997-05-11	VYDAJ	PREVOD NA UCET	2182	17512	SIPO	IJ	49824553
78450	261	1997-06-11	VYDAJ	PREVOD NA UCET	2182	13133	SIPO	IJ	49824553
78451	261	1997-07-11	VYDAJ	PREVOD NA UCET	2182	11092	SIPO	IJ	49824553
78452	261	1997-08-11	VYDAJ	PREVOD NA UCET	2182	12438	SIPO	IJ	49824553
78453	261	1997-09-11	VYDAJ	PREVOD NA UCET	2182	13787	SIPO	IJ	49824553
78454	261	1997-10-11	VYDAJ	PREVOD NA UCET	2182	14961	SIPO	IJ	49824553
78455	261	1997-11-11	VYDAJ	PREVOD NA UCET	2182	16320	SIPO	IJ	49824553
78456	261	1997-12-11	VYDAJ	PREVOD NA UCET	2182	9185	SIPO	IJ	49824553
78457	261	1998-01-11	VYDAJ	PREVOD NA UCET	2182	9630	SIPO	IJ	49824553
78458	261	1998-02-11	VYDAJ	PREVOD NA UCET	2182	9697	SIPO	IJ	49824553
78459	261	1998-03-11	VYDAJ	PREVOD NA UCET	2182	10133	SIPO	IJ	49824553
78460	261	1998-04-11	VYDAJ	PREVOD NA UCET	2182	11202	SIPO	IJ	49824553
78461	261	1998-05-11	VYDAJ	PREVOD NA UCET	2182	12095	SIPO	IJ	49824553
78462	261	1998-06-11	VYDAJ	PREVOD NA UCET	2182	13443	SIPO	IJ	49824553
78463	261	1998-07-11	VYDAJ	PREVOD NA UCET	2182	14795	SIPO	IJ	49824553
78464	261	1998-08-11	VYDAJ	PREVOD NA UCET	2182	14503	SIPO	IJ	49824553
78465	261	1998-09-11	VYDAJ	PREVOD NA UCET	2182	15860	SIPO	IJ	49824553
78466	261	1998-10-11	VYDAJ	PREVOD NA UCET	2182	17222	SIPO	IJ	49824553
78467	261	1998-11-11	VYDAJ	PREVOD NA UCET	2182	17267	SIPO	IJ	49824553
78468	261	1998-12-11	VYDAJ	PREVOD NA UCET	2182	18635	SIPO	IJ	49824553
78482	261	1997-02-12	VYDAJ	PREVOD NA UCET	371	26031	 	ST	63415229
78483	261	1997-03-12	VYDAJ	PREVOD NA UCET	371	25324	 	ST	63415229
78484	261	1997-04-12	VYDAJ	PREVOD NA UCET	371	21014	 	ST	63415229
78485	261	1997-05-12	VYDAJ	PREVOD NA UCET	371	20842	 	ST	63415229
78486	261	1997-06-12	VYDAJ	PREVOD NA UCET	371	16613	 	ST	63415229
78487	261	1997-07-12	VYDAJ	PREVOD NA UCET	371	14572	 	ST	63415229
78488	261	1997-08-12	VYDAJ	PREVOD NA UCET	371	15918	 	ST	63415229
78489	261	1997-09-12	VYDAJ	PREVOD NA UCET	371	17267	 	ST	63415229
78490	261	1997-10-12	VYDAJ	PREVOD NA UCET	371	18441	 	ST	63415229
78491	261	1997-11-12	VYDAJ	PREVOD NA UCET	371	19800	 	ST	63415229
78492	261	1997-12-12	VYDAJ	PREVOD NA UCET	371	12665	 	ST	63415229
78493	261	1998-01-12	VYDAJ	PREVOD NA UCET	371	13110	 	ST	63415229
78494	261	1998-02-12	VYDAJ	PREVOD NA UCET	371	13177	 	ST	63415229
78495	261	1998-03-12	VYDAJ	PREVOD NA UCET	371	13613	 	ST	63415229
78496	261	1998-04-12	VYDAJ	PREVOD NA UCET	371	14682	 	ST	63415229
78497	261	1998-05-12	VYDAJ	PREVOD NA UCET	371	15575	 	ST	63415229
78498	261	1998-06-12	VYDAJ	PREVOD NA UCET	371	16923	 	ST	63415229
78499	261	1998-07-12	VYDAJ	PREVOD NA UCET	371	18275	 	ST	63415229
78500	261	1998-08-12	VYDAJ	PREVOD NA UCET	371	17983	 	ST	63415229
78501	261	1998-09-12	VYDAJ	PREVOD NA UCET	371	19340	 	ST	63415229
78502	261	1998-10-12	VYDAJ	PREVOD NA UCET	371	20702	 	ST	63415229
78503	261	1998-11-12	VYDAJ	PREVOD NA UCET	371	20747	 	ST	63415229
78504	261	1998-12-12	VYDAJ	PREVOD NA UCET	371	22115	 	ST	63415229
78513	261	1998-12-29	VYDAJ	VYBER	720	21395	\N	\N	\N
78527	261	1998-01-12	VYDAJ	VYBER	570	12540	\N	\N	\N
78535	261	1997-05-12	VYDAJ	VYBER	150	21213	\N	\N	\N
78536	261	1997-10-06	VYDAJ	VYBER	180	17143	\N	\N	\N
78538	261	1998-10-16	VYDAJ	VYBER	1320	19382	\N	\N	\N
78539	261	1998-05-09	VYDAJ	VYBER	450	14277	\N	\N	\N
78540	261	1998-08-03	VYDAJ	VYBER	180	18155	\N	\N	\N
78541	261	1998-08-08	VYDAJ	VYBER	1470	16685	\N	\N	\N
78542	261	1998-03-26	VYDAJ	VYBER	270	13343	\N	\N	\N
78557	261	1997-02-28	VYDAJ	VYBER	15	26126	SLUZBY	\N	\N
78558	261	1997-03-31	VYDAJ	VYBER	15	25416	SLUZBY	\N	\N
78559	261	1997-04-30	VYDAJ	VYBER	15	21094	SLUZBY	\N	\N
78560	261	1997-05-31	VYDAJ	VYBER	15	20915	SLUZBY	\N	\N
78561	261	1997-06-30	VYDAJ	VYBER	15	16674	SLUZBY	\N	\N
78562	261	1997-07-31	VYDAJ	VYBER	15	14620	SLUZBY	\N	\N
78563	261	1997-08-31	VYDAJ	VYBER	15	15969	SLUZBY	\N	\N
78564	261	1997-09-30	VYDAJ	VYBER	15	17323	SLUZBY	\N	\N
78565	261	1997-10-31	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
78566	261	1997-11-30	VYDAJ	VYBER	15	19867	SLUZBY	\N	\N
78567	261	1997-12-31	VYDAJ	VYBER	15	11812	SLUZBY	\N	\N
78568	261	1998-01-31	VYDAJ	VYBER	15	11879	SLUZBY	\N	\N
78569	261	1998-02-28	VYDAJ	VYBER	15	13215	SLUZBY	\N	\N
78570	261	1998-03-31	VYDAJ	VYBER	15	13384	SLUZBY	\N	\N
78571	261	1998-04-30	VYDAJ	VYBER	15	14727	SLUZBY	\N	\N
78572	261	1998-05-31	VYDAJ	VYBER	15	15625	SLUZBY	\N	\N
78573	261	1998-06-30	VYDAJ	VYBER	15	16977	SLUZBY	\N	\N
78574	261	1998-07-31	VYDAJ	VYBER	15	18335	SLUZBY	\N	\N
78575	261	1998-08-31	VYDAJ	VYBER	15	18042	SLUZBY	\N	\N
78576	261	1998-09-30	VYDAJ	VYBER	15	19404	SLUZBY	\N	\N
78577	261	1998-10-31	VYDAJ	VYBER	15	19449	SLUZBY	\N	\N
78578	261	1998-11-30	VYDAJ	VYBER	15	20817	SLUZBY	\N	\N
78579	261	1996-11-06	PRIJEM	VKLAD	9800	13862	\N	\N	\N
78580	261	1996-12-06	VYDAJ	VYBER	800	16966	\N	\N	\N
78581	261	1997-01-05	PRIJEM	VKLAD	1500	22399	\N	\N	\N
78582	261	1997-02-04	VYDAJ	VYBER	3800	22551	\N	\N	\N
78583	261	1997-03-06	VYDAJ	VYBER	2100	24026	\N	\N	\N
78584	261	1997-04-05	VYDAJ	VYBER	5700	19716	\N	\N	\N
78585	261	1997-05-05	VYDAJ	VYBER	1400	19694	\N	\N	\N
78586	261	1997-06-04	VYDAJ	VYBER	5600	15315	\N	\N	\N
78587	261	1997-07-04	VYDAJ	VYBER	3400	13274	\N	\N	\N
78588	261	1997-12-01	VYDAJ	VYBER	8500	11367	\N	\N	\N
78589	261	1997-12-31	VYDAJ	VYBER	900	11827	\N	\N	\N
78590	261	1998-01-30	VYDAJ	VYBER	700	11840	\N	\N	\N
78591	261	1998-03-01	VYDAJ	VYBER	900	12315	\N	\N	\N
78619	262	1996-01-27	PRIJEM	VKLAD	200	200	\N	\N	\N
78699	262	1996-02-26	PRIJEM	VKLAD	9800	10000	\N	\N	\N
78700	262	1996-03-27	PRIJEM	VKLAD	7700	17700	\N	\N	\N
78701	262	1996-04-26	PRIJEM	VKLAD	4300	22000	\N	\N	\N
78702	262	1996-05-26	PRIJEM	VKLAD	1400	23400	\N	\N	\N
78703	262	1996-06-25	VYDAJ	VYBER	3300	20100	\N	\N	\N
78704	262	1996-07-25	VYDAJ	VYBER	2200	17900	\N	\N	\N
78705	262	1996-08-24	VYDAJ	VYBER	1200	16700	\N	\N	\N
78706	262	1996-09-23	VYDAJ	VYBER	2500	14200	\N	\N	\N
78707	262	1996-10-23	VYDAJ	VYBER	1300	12900	\N	\N	\N
78708	262	1996-11-22	VYDAJ	VYBER	2100	10800	\N	\N	\N
78709	262	1997-03-22	PRIJEM	VKLAD	1500	12300	\N	\N	\N
78710	262	1997-07-20	VYDAJ	VYBER	2500	9800	\N	\N	\N
78711	262	1997-09-18	PRIJEM	VKLAD	2500	12300	\N	\N	\N
78712	262	1997-10-18	VYDAJ	VYBER	1100	11200	\N	\N	\N
78713	262	1997-11-17	VYDAJ	VYBER	1900	9300	\N	\N	\N
78714	262	1997-12-17	VYDAJ	VYBER	200	9100	\N	\N	\N
78715	262	1998-08-14	PRIJEM	VKLAD	2500	11600	\N	\N	\N
78716	262	1998-09-13	PRIJEM	VKLAD	2500	14100	\N	\N	\N
78717	262	1998-10-13	PRIJEM	VKLAD	3900	18000	\N	\N	\N
78718	262	1998-11-12	PRIJEM	VKLAD	4600	22600	\N	\N	\N
78719	263	1997-01-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
78720	263	1997-05-03	PRIJEM	VKLAD	18958	105968	\N	\N	\N
78721	263	1997-04-06	PRIJEM	VKLAD	36092	77334	\N	\N	\N
78722	263	1997-09-15	PRIJEM	VKLAD	42437	123319	\N	\N	\N
78723	263	1997-03-02	PRIJEM	VKLAD	6252	36418	\N	\N	\N
78724	263	1997-01-08	PRIJEM	VKLAD	33527	101648	\N	\N	\N
78725	263	1997-09-13	PRIJEM	VKLAD	12920	80882	\N	\N	\N
78726	263	1997-03-23	PRIJEM	VKLAD	20257	47430	\N	\N	\N
78727	263	1997-12-27	PRIJEM	VKLAD	43980	93188	\N	\N	\N
78728	263	1997-01-08	PRIJEM	VKLAD	34215	135863	\N	\N	\N
78729	263	1997-01-06	PRIJEM	VKLAD	29354	30454	\N	\N	\N
78730	263	1997-11-23	PRIJEM	VKLAD	35315	108721	\N	\N	\N
78731	263	1997-10-06	PRIJEM	VKLAD	18889	76879	\N	\N	\N
78732	263	1997-05-20	PRIJEM	VKLAD	27812	88935	\N	\N	\N
78733	263	1997-08-17	PRIJEM	VKLAD	11500	85869	\N	\N	\N
78734	263	1997-07-26	PRIJEM	VKLAD	7567	68024	\N	\N	\N
78735	263	1997-01-09	PRIJEM	VKLAD	20561	102524	\N	\N	\N
78736	263	1997-11-09	PRIJEM	VKLAD	10561	63499	\N	\N	\N
78737	263	1997-04-19	PRIJEM	VKLAD	15543	86732	\N	\N	\N
78738	263	1997-01-07	PRIJEM	VKLAD	37667	68121	\N	\N	\N
78739	263	1997-11-13	PRIJEM	VKLAD	9907	73406	\N	\N	\N
78740	263	1997-05-28	PRIJEM	VKLAD	35658	124593	\N	\N	\N
78741	263	1997-08-10	PRIJEM	VKLAD	25244	74369	\N	\N	\N
78742	263	1997-07-01	PRIJEM	VKLAD	24477	102849	\N	\N	\N
78743	263	1997-06-27	PRIJEM	VKLAD	21666	78122	\N	\N	\N
78744	263	1997-09-02	PRIJEM	VKLAD	10751	74107	\N	\N	\N
78745	263	1998-12-11	PRIJEM	VKLAD	25964	63599	\N	\N	\N
78746	263	1998-01-16	PRIJEM	VKLAD	14007	55966	\N	\N	\N
78747	263	1998-09-04	PRIJEM	VKLAD	33668	116532	\N	\N	\N
78748	263	1998-10-07	PRIJEM	VKLAD	28613	79651	\N	\N	\N
78749	263	1998-07-19	PRIJEM	VKLAD	32517	56255	\N	\N	\N
78750	263	1998-09-04	PRIJEM	VKLAD	39808	82864	\N	\N	\N
78751	263	1998-04-22	PRIJEM	VKLAD	12274	40805	\N	\N	\N
78752	263	1998-08-08	PRIJEM	VKLAD	28590	75780	\N	\N	\N
78753	263	1998-07-16	PRIJEM	VKLAD	10032	33713	\N	\N	\N
78755	263	1997-02-08	VYDAJ	PREVOD NA UCET	6145	48833	SIPO	WX	73582678
78756	263	1997-03-08	VYDAJ	PREVOD NA UCET	6145	27173	SIPO	WX	73582678
78757	263	1997-04-08	VYDAJ	PREVOD NA UCET	6145	71189	SIPO	WX	73582678
78758	263	1997-05-08	VYDAJ	PREVOD NA UCET	6145	61123	SIPO	WX	73582678
78759	263	1997-06-08	VYDAJ	PREVOD NA UCET	6145	56456	SIPO	WX	73582678
78760	263	1997-07-08	VYDAJ	PREVOD NA UCET	6145	64404	SIPO	WX	73582678
78761	263	1997-08-08	VYDAJ	PREVOD NA UCET	6145	49125	SIPO	WX	73582678
78762	263	1997-09-08	VYDAJ	PREVOD NA UCET	6145	67962	SIPO	WX	73582678
78763	263	1997-10-08	VYDAJ	PREVOD NA UCET	6145	70734	SIPO	WX	73582678
78764	263	1997-11-08	VYDAJ	PREVOD NA UCET	6145	52938	SIPO	WX	73582678
78765	263	1997-12-08	VYDAJ	PREVOD NA UCET	6145	58557	SIPO	WX	73582678
78766	263	1998-01-08	VYDAJ	PREVOD NA UCET	6145	59359	SIPO	WX	73582678
78767	263	1998-02-08	VYDAJ	PREVOD NA UCET	6145	32254	SIPO	WX	73582678
78768	263	1998-03-08	VYDAJ	PREVOD NA UCET	6145	33639	SIPO	WX	73582678
78769	263	1998-04-08	VYDAJ	PREVOD NA UCET	6145	37531	SIPO	WX	73582678
78770	263	1998-05-08	VYDAJ	PREVOD NA UCET	6145	22096	SIPO	WX	73582678
78771	263	1998-06-08	VYDAJ	PREVOD NA UCET	6145	23134	SIPO	WX	73582678
78772	263	1998-07-08	VYDAJ	PREVOD NA UCET	6145	23681	SIPO	WX	73582678
78773	263	1998-08-08	VYDAJ	PREVOD NA UCET	6145	69635	SIPO	WX	73582678
78774	263	1998-09-08	VYDAJ	PREVOD NA UCET	6145	66787	SIPO	WX	73582678
78775	263	1998-10-08	VYDAJ	PREVOD NA UCET	6145	64806	SIPO	WX	73582678
78776	263	1998-11-08	VYDAJ	PREVOD NA UCET	6145	39778	SIPO	WX	73582678
78777	263	1998-12-08	VYDAJ	PREVOD NA UCET	6145	37635	SIPO	WX	73582678
78778	263	1997-07-21	VYBER	VYBER	3947	60457	\N	\N	\N
78779	263	1997-02-16	VYBER	VYBER	18834	29999	\N	\N	\N
78780	263	1997-12-18	VYBER	VYBER	3949	49208	\N	\N	\N
78781	263	1998-01-20	VYBER	VYBER	2244	53722	\N	\N	\N
78782	263	1998-01-30	VYBER	VYBER	12525	38197	\N	\N	\N
78783	263	1998-10-30	VYBER	VYBER	11103	45703	\N	\N	\N
78784	263	1998-08-14	VYBER	VYBER	15273	54362	\N	\N	\N
78785	263	1998-07-16	VYBER	VYBER	9975	23738	\N	\N	\N
78786	263	1998-11-10	VYBER	VYBER	2340	37438	\N	\N	\N
78788	263	1997-12-09	VYDAJ	VYBER	5400	53157	\N	\N	\N
78789	263	1998-12-20	VYDAJ	VYBER	5400	50699	\N	\N	\N
78790	263	1997-01-28	VYDAJ	VYBER	3300	77624	\N	\N	\N
78791	263	1997-01-14	VYDAJ	VYBER	8400	80924	\N	\N	\N
78793	263	1997-01-12	VYDAJ	VYBER	6900	89324	\N	\N	\N
78794	263	1997-01-12	VYDAJ	VYBER	6300	96224	\N	\N	\N
78796	263	1998-01-01	VYDAJ	VYBER	3600	65504	\N	\N	\N
78797	263	1998-01-14	VYDAJ	VYBER	5700	46459	\N	\N	\N
78798	263	1998-01-24	VYDAJ	VYBER	1800	51922	\N	\N	\N
78799	263	1998-01-08	VYDAJ	VYBER	2400	56959	\N	\N	\N
78800	263	1998-01-13	VYDAJ	VYBER	4800	52159	\N	\N	\N
78801	263	1998-01-14	VYDAJ	VYBER	4500	41959	\N	\N	\N
78803	263	1997-09-15	VYDAJ	VYBER	12300	111019	\N	\N	\N
78804	263	1998-12-12	VYDAJ	VYBER	7500	56099	\N	\N	\N
78805	263	1998-08-26	VYDAJ	VYBER	5100	42862	\N	\N	\N
78806	263	1998-04-16	VYDAJ	VYBER	9000	28531	\N	\N	\N
78807	263	1998-05-07	VYDAJ	VYBER	13200	28241	\N	\N	\N
78808	263	1998-08-19	VYDAJ	VYBER	3300	51062	\N	\N	\N
78810	263	1998-10-07	VYDAJ	VYBER	8700	70951	\N	\N	\N
78812	263	1997-01-31	VYDAJ	VYBER	30	77878	SLUZBY	\N	\N
78813	263	1997-02-28	VYDAJ	VYBER	30	30166	SLUZBY	\N	\N
78814	263	1997-03-31	VYDAJ	VYBER	30	47542	SLUZBY	\N	\N
78815	263	1997-04-30	VYDAJ	VYBER	30	87010	SLUZBY	\N	\N
78816	263	1997-05-31	VYDAJ	VYBER	30	90801	SLUZBY	\N	\N
78817	263	1997-06-30	VYDAJ	VYBER	30	78372	SLUZBY	\N	\N
78818	263	1997-07-31	VYDAJ	VYBER	30	68270	SLUZBY	\N	\N
78819	263	1997-08-31	VYDAJ	VYBER	30	63356	SLUZBY	\N	\N
78820	263	1997-09-30	VYDAJ	VYBER	30	77590	SLUZBY	\N	\N
78821	263	1997-10-31	VYDAJ	VYBER	30	59083	SLUZBY	\N	\N
78822	263	1997-11-30	VYDAJ	VYBER	30	64702	SLUZBY	\N	\N
78823	263	1997-12-31	VYDAJ	VYBER	30	69104	SLUZBY	\N	\N
78824	263	1998-01-31	VYDAJ	VYBER	30	38399	SLUZBY	\N	\N
78825	263	1998-02-28	VYDAJ	VYBER	30	39784	SLUZBY	\N	\N
78826	263	1998-03-31	VYDAJ	VYBER	30	43676	SLUZBY	\N	\N
78827	263	1998-04-30	VYDAJ	VYBER	30	41441	SLUZBY	\N	\N
78828	263	1998-05-31	VYDAJ	VYBER	30	29279	SLUZBY	\N	\N
78829	263	1998-06-30	VYDAJ	VYBER	30	29826	SLUZBY	\N	\N
78830	263	1998-07-31	VYDAJ	VYBER	30	47190	SLUZBY	\N	\N
78831	263	1998-08-31	VYDAJ	VYBER	30	43056	SLUZBY	\N	\N
78832	263	1998-09-30	VYDAJ	VYBER	30	51038	SLUZBY	\N	\N
78833	263	1998-10-31	VYDAJ	VYBER	30	45923	SLUZBY	\N	\N
78834	263	1998-11-30	VYDAJ	VYBER	30	43780	SLUZBY	\N	\N
78835	263	1997-01-08	VYDAJ	VYBER	53900	81963	\N	\N	\N
78836	263	1997-02-02	VYDAJ	VYBER	22900	54978	\N	\N	\N
78837	263	1997-03-04	VYDAJ	VYBER	3100	33318	\N	\N	\N
78838	263	1997-04-03	VYDAJ	VYBER	6300	41242	\N	\N	\N
78839	263	1997-05-03	VYDAJ	VYBER	38700	67268	\N	\N	\N
78840	263	1997-05-28	VYDAJ	VYBER	34100	90493	\N	\N	\N
78841	263	1997-06-02	VYDAJ	VYBER	28200	62601	\N	\N	\N
78842	263	1997-07-02	VYDAJ	VYBER	32300	70549	\N	\N	\N
78843	263	1997-08-01	VYDAJ	VYBER	13000	55270	\N	\N	\N
78844	263	1997-08-31	VYDAJ	VYBER	22800	63386	\N	\N	\N
78845	263	1997-09-15	VYDAJ	VYBER	33700	77319	\N	\N	\N
78846	263	1997-09-30	VYDAJ	VYBER	19600	57990	\N	\N	\N
78847	263	1997-10-30	VYDAJ	VYBER	11900	58834	\N	\N	\N
78848	263	1997-11-23	VYDAJ	VYBER	21400	87321	\N	\N	\N
78849	263	1997-11-29	VYDAJ	VYBER	22900	64421	\N	\N	\N
78850	263	1997-12-29	VYDAJ	VYBER	24300	68888	\N	\N	\N
78851	263	1998-01-28	VYDAJ	VYBER	1200	50722	\N	\N	\N
78852	263	1998-02-27	PRIJEM	VKLAD	7400	39654	\N	\N	\N
78853	263	1998-03-29	PRIJEM	VKLAD	9900	43539	\N	\N	\N
78854	263	1998-04-28	PRIJEM	VKLAD	500	41305	\N	\N	\N
78855	263	1998-05-28	PRIJEM	VKLAD	7100	29196	\N	\N	\N
78856	263	1998-06-27	PRIJEM	VKLAD	6600	29734	\N	\N	\N
78857	263	1998-07-27	VYDAJ	VYBER	9200	47055	\N	\N	\N
78858	263	1998-08-26	VYDAJ	VYBER	3100	47962	\N	\N	\N
78859	263	1998-09-04	VYDAJ	VYBER	43600	72932	\N	\N	\N
78860	263	1998-09-25	VYDAJ	VYBER	16000	50787	\N	\N	\N
78861	263	1998-10-25	VYDAJ	VYBER	8000	56806	\N	\N	\N
78862	263	1998-11-24	PRIJEM	VKLAD	6200	43638	\N	\N	\N
78887	264	1996-02-09	PRIJEM	VKLAD	900	900	\N	\N	\N
78889	264	1996-02-14	PRIJEM	VKLAD	4961	5861	\N	\N	\N
78890	264	1996-03-14	PRIJEM	VKLAD	4961	19936	\N	\N	\N
78891	264	1996-04-14	PRIJEM	VKLAD	4961	28255	\N	\N	\N
78892	264	1996-05-14	PRIJEM	VKLAD	4961	33219	\N	\N	\N
78893	264	1996-06-14	PRIJEM	VKLAD	7442	39090	\N	\N	\N
78894	264	1996-07-14	PRIJEM	VKLAD	4961	34502	\N	\N	\N
78895	264	1996-08-14	PRIJEM	VKLAD	4961	30248	\N	\N	\N
78896	264	1996-09-14	PRIJEM	VKLAD	4961	34817	\N	\N	\N
78897	264	1996-10-14	PRIJEM	VKLAD	4961	36993	\N	\N	\N
78898	264	1996-11-14	PRIJEM	VKLAD	4961	36482	\N	\N	\N
78899	264	1996-12-14	PRIJEM	VKLAD	7442	41455	\N	\N	\N
78900	264	1997-01-14	PRIJEM	VKLAD	4961	37598	\N	\N	\N
78901	264	1997-02-14	PRIJEM	VKLAD	4961	23793	\N	\N	\N
78902	264	1997-03-14	PRIJEM	VKLAD	4961	28322	\N	\N	\N
78903	264	1997-04-14	PRIJEM	VKLAD	4961	31671	\N	\N	\N
78904	264	1997-05-14	PRIJEM	VKLAD	4961	31236	\N	\N	\N
78905	264	1997-06-14	PRIJEM	VKLAD	7442	35987	\N	\N	\N
78906	264	1997-07-14	PRIJEM	VKLAD	4961	33067	\N	\N	\N
78907	264	1997-08-14	PRIJEM	VKLAD	4961	35148	\N	\N	\N
78908	264	1997-09-14	PRIJEM	VKLAD	4961	31870	\N	\N	\N
78909	264	1997-10-14	PRIJEM	VKLAD	4961	37047	\N	\N	\N
78910	264	1997-11-14	PRIJEM	VKLAD	4961	44032	\N	\N	\N
78911	264	1997-12-14	PRIJEM	VKLAD	7442	36432	\N	\N	\N
78912	264	1998-01-14	PRIJEM	VKLAD	4961	31167	\N	\N	\N
78913	264	1998-02-14	PRIJEM	VKLAD	4961	24465	\N	\N	\N
78914	264	1998-03-14	PRIJEM	VKLAD	4961	31003	\N	\N	\N
78915	264	1998-04-14	PRIJEM	VKLAD	4961	36969	\N	\N	\N
78916	264	1998-05-14	PRIJEM	VKLAD	4961	39459	\N	\N	\N
78917	264	1998-06-14	PRIJEM	VKLAD	7442	39581	\N	\N	\N
78918	264	1998-07-14	PRIJEM	VKLAD	4961	30730	\N	\N	\N
78919	264	1998-08-14	PRIJEM	VKLAD	4961	33894	\N	\N	\N
78920	264	1998-09-14	PRIJEM	VKLAD	4961	32569	\N	\N	\N
78921	264	1998-10-14	PRIJEM	VKLAD	4961	32639	\N	\N	\N
78922	264	1998-11-14	PRIJEM	VKLAD	4961	32309	\N	\N	\N
78923	264	1998-12-14	PRIJEM	VKLAD	7442	37660	\N	\N	\N
78930	264	1996-07-13	VYDAJ	PREVOD NA UCET	3307	29541	SIPO	YZ	19889706
78931	264	1996-08-13	VYDAJ	PREVOD NA UCET	3307	25287	SIPO	YZ	19889706
78932	264	1996-09-13	VYDAJ	PREVOD NA UCET	3307	29856	SIPO	YZ	19889706
78933	264	1996-10-13	VYDAJ	PREVOD NA UCET	3307	32032	SIPO	YZ	19889706
78934	264	1996-11-13	VYDAJ	PREVOD NA UCET	3307	31521	SIPO	YZ	19889706
78935	264	1996-12-13	VYDAJ	PREVOD NA UCET	3307	34013	SIPO	YZ	19889706
78936	264	1997-01-13	VYDAJ	PREVOD NA UCET	3307	33237	SIPO	YZ	19889706
78937	264	1997-02-13	VYDAJ	PREVOD NA UCET	3307	18832	SIPO	YZ	19889706
78938	264	1997-03-13	VYDAJ	PREVOD NA UCET	3307	23361	SIPO	YZ	19889706
78939	264	1997-04-13	VYDAJ	PREVOD NA UCET	3307	26710	SIPO	YZ	19889706
78940	264	1997-05-13	VYDAJ	PREVOD NA UCET	3307	26275	SIPO	YZ	19889706
78941	264	1997-06-13	VYDAJ	PREVOD NA UCET	3307	28545	SIPO	YZ	19889706
78942	264	1997-07-13	VYDAJ	PREVOD NA UCET	3307	28106	SIPO	YZ	19889706
78943	264	1997-08-13	VYDAJ	PREVOD NA UCET	3307	30187	SIPO	YZ	19889706
78944	264	1997-09-13	VYDAJ	PREVOD NA UCET	3307	26909	SIPO	YZ	19889706
78945	264	1997-10-13	VYDAJ	PREVOD NA UCET	3307	32086	SIPO	YZ	19889706
78946	264	1997-11-13	VYDAJ	PREVOD NA UCET	3307	39071	SIPO	YZ	19889706
78947	264	1997-12-13	VYDAJ	PREVOD NA UCET	3307	28990	SIPO	YZ	19889706
78948	264	1998-01-13	VYDAJ	PREVOD NA UCET	3307	26206	SIPO	YZ	19889706
78949	264	1998-02-13	VYDAJ	PREVOD NA UCET	3307	19504	SIPO	YZ	19889706
78950	264	1998-03-13	VYDAJ	PREVOD NA UCET	3307	26042	SIPO	YZ	19889706
78951	264	1998-04-13	VYDAJ	PREVOD NA UCET	3307	32008	SIPO	YZ	19889706
78952	264	1998-05-13	VYDAJ	PREVOD NA UCET	3307	34498	SIPO	YZ	19889706
78953	264	1998-06-13	VYDAJ	PREVOD NA UCET	3307	32139	SIPO	YZ	19889706
78954	264	1998-07-13	VYDAJ	PREVOD NA UCET	3307	25769	SIPO	YZ	19889706
78955	264	1998-08-13	VYDAJ	PREVOD NA UCET	3307	28933	SIPO	YZ	19889706
78956	264	1998-09-13	VYDAJ	PREVOD NA UCET	3307	27608	SIPO	YZ	19889706
78957	264	1998-10-13	VYDAJ	PREVOD NA UCET	3307	27678	SIPO	YZ	19889706
78958	264	1998-11-13	VYDAJ	PREVOD NA UCET	3307	27348	SIPO	YZ	19889706
78959	264	1998-12-13	VYDAJ	PREVOD NA UCET	3307	30218	SIPO	YZ	19889706
78962	264	1998-06-17	VYDAJ	VYBER	19520	20061	\N	\N	\N
78964	264	1997-01-14	VYDAJ	VYBER	8800	25918	\N	\N	\N
78965	264	1998-01-26	VYDAJ	VYBER	10240	15047	\N	\N	\N
78966	264	1996-12-30	VYDAJ	VYBER	2560	38895	\N	\N	\N
78967	264	1997-12-02	VYDAJ	VYBER	4000	37697	\N	\N	\N
78968	264	1998-12-16	VYDAJ	VYBER	2400	35260	\N	\N	\N
78975	264	1997-01-14	VYDAJ	VYBER	2880	34718	\N	\N	\N
78976	264	1997-01-23	VYDAJ	VYBER	2640	23278	\N	\N	\N
78977	264	1997-01-10	VYDAJ	VYBER	1200	36544	\N	\N	\N
78978	264	1997-01-30	VYDAJ	VYBER	3240	20038	\N	\N	\N
78979	264	1997-01-13	VYDAJ	VYBER	600	32637	\N	\N	\N
78980	264	1997-01-30	VYDAJ	VYBER	1440	18598	\N	\N	\N
78982	264	1998-01-09	VYDAJ	VYBER	1080	30473	\N	\N	\N
78983	264	1998-01-11	VYDAJ	VYBER	960	29513	\N	\N	\N
78984	264	1998-01-24	VYDAJ	VYBER	3000	25287	\N	\N	\N
78985	264	1998-01-14	VYDAJ	VYBER	2880	28287	\N	\N	\N
78986	264	1998-01-30	VYDAJ	VYBER	3240	22707	\N	\N	\N
78988	264	1996-08-09	VYDAJ	VYBER	5640	28594	\N	\N	\N
78990	264	1996-07-04	VYDAJ	VYBER	3480	35748	\N	\N	\N
78991	264	1997-09-13	VYDAJ	VYBER	5160	30216	\N	\N	\N
78992	264	1997-02-13	VYDAJ	VYBER	5880	22139	\N	\N	\N
78993	264	1997-12-09	VYDAJ	VYBER	5400	32297	\N	\N	\N
78994	264	1998-06-03	VYDAJ	VYBER	4560	35446	\N	\N	\N
78995	264	1998-01-08	VYDAJ	VYBER	1320	31553	\N	\N	\N
79002	264	1996-06-30	VYDAJ	VYBER	15	39228	SLUZBY	\N	\N
79003	264	1996-07-31	VYDAJ	VYBER	15	34634	SLUZBY	\N	\N
79004	264	1996-08-31	VYDAJ	VYBER	15	30363	SLUZBY	\N	\N
79005	264	1996-09-30	VYDAJ	VYBER	15	34939	SLUZBY	\N	\N
79006	264	1996-10-31	VYDAJ	VYBER	15	37128	SLUZBY	\N	\N
79007	264	1996-11-30	VYDAJ	VYBER	15	36620	SLUZBY	\N	\N
79008	264	1996-12-31	VYDAJ	VYBER	15	39044	SLUZBY	\N	\N
79009	264	1997-01-31	VYDAJ	VYBER	15	18719	SLUZBY	\N	\N
79010	264	1997-02-28	VYDAJ	VYBER	15	23868	SLUZBY	\N	\N
79011	264	1997-03-31	VYDAJ	VYBER	15	28417	SLUZBY	\N	\N
79012	264	1997-04-30	VYDAJ	VYBER	15	31782	SLUZBY	\N	\N
79013	264	1997-05-31	VYDAJ	VYBER	15	31352	SLUZBY	\N	\N
79014	264	1997-06-30	VYDAJ	VYBER	15	36113	SLUZBY	\N	\N
79015	264	1997-07-31	VYDAJ	VYBER	15	33194	SLUZBY	\N	\N
79016	264	1997-08-31	VYDAJ	VYBER	15	35276	SLUZBY	\N	\N
79017	264	1997-09-30	VYDAJ	VYBER	15	31993	SLUZBY	\N	\N
79018	264	1997-10-31	VYDAJ	VYBER	15	42378	SLUZBY	\N	\N
79019	264	1997-11-30	VYDAJ	VYBER	15	44197	SLUZBY	\N	\N
79020	264	1997-12-31	VYDAJ	VYBER	15	32873	SLUZBY	\N	\N
79021	264	1998-01-31	VYDAJ	VYBER	15	22811	SLUZBY	\N	\N
79022	264	1998-02-28	VYDAJ	VYBER	15	29349	SLUZBY	\N	\N
79023	264	1998-03-31	VYDAJ	VYBER	15	35315	SLUZBY	\N	\N
79024	264	1998-04-30	VYDAJ	VYBER	15	37805	SLUZBY	\N	\N
79025	264	1998-05-31	VYDAJ	VYBER	15	40006	SLUZBY	\N	\N
79026	264	1998-06-30	VYDAJ	VYBER	15	29076	SLUZBY	\N	\N
79027	264	1998-07-31	VYDAJ	VYBER	15	32240	SLUZBY	\N	\N
79028	264	1998-08-31	VYDAJ	VYBER	15	30915	SLUZBY	\N	\N
79029	264	1998-09-30	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
79030	264	1998-10-31	VYDAJ	VYBER	15	30655	SLUZBY	\N	\N
79031	264	1998-11-30	VYDAJ	VYBER	15	33525	SLUZBY	\N	\N
79032	264	1996-03-10	PRIJEM	VKLAD	9100	14975	\N	\N	\N
79033	264	1996-04-09	PRIJEM	VKLAD	3300	23294	\N	\N	\N
79034	264	1996-05-09	VYDAJ	VYBER	100	28258	\N	\N	\N
79035	264	1996-06-08	VYDAJ	VYBER	1700	31648	\N	\N	\N
79036	264	1996-07-08	VYDAJ	VYBER	2900	32848	\N	\N	\N
79037	264	1996-08-07	VYDAJ	VYBER	400	34234	\N	\N	\N
79038	264	1996-09-06	PRIJEM	VKLAD	2800	33163	\N	\N	\N
79039	264	1996-10-06	PRIJEM	VKLAD	400	35339	\N	\N	\N
79040	264	1996-11-05	VYDAJ	VYBER	2300	34828	\N	\N	\N
79041	264	1996-12-05	PRIJEM	VKLAD	700	37320	\N	\N	\N
79042	264	1997-01-04	VYDAJ	VYBER	1300	37744	\N	\N	\N
79043	264	1997-02-03	PRIJEM	VKLAD	9300	28019	\N	\N	\N
79044	264	1997-03-05	PRIJEM	VKLAD	2800	26668	\N	\N	\N
79045	264	1997-04-04	PRIJEM	VKLAD	1600	30017	\N	\N	\N
79046	264	1997-05-04	VYDAJ	VYBER	2200	29582	\N	\N	\N
79047	264	1997-06-03	PRIJEM	VKLAD	500	31852	\N	\N	\N
79048	264	1997-07-03	VYDAJ	VYBER	4700	31413	\N	\N	\N
79049	264	1997-08-02	PRIJEM	VKLAD	300	33494	\N	\N	\N
79050	264	1997-09-01	PRIJEM	VKLAD	100	35376	\N	\N	\N
79051	264	1997-10-01	PRIJEM	VKLAD	3400	35393	\N	\N	\N
79052	264	1997-10-31	PRIJEM	VKLAD	5200	42247	\N	\N	\N
79053	264	1997-11-30	VYDAJ	VYBER	2500	41697	\N	\N	\N
79054	264	1997-12-30	VYDAJ	VYBER	3700	32732	\N	\N	\N
79055	264	1998-01-29	PRIJEM	VKLAD	10900	25947	\N	\N	\N
79056	264	1998-02-28	PRIJEM	VKLAD	4800	29364	\N	\N	\N
79057	264	1998-03-30	PRIJEM	VKLAD	4200	35203	\N	\N	\N
79058	264	1998-04-29	PRIJEM	VKLAD	700	37669	\N	\N	\N
79059	264	1998-05-29	PRIJEM	VKLAD	400	39859	\N	\N	\N
79060	264	1998-06-28	PRIJEM	VKLAD	8900	28961	\N	\N	\N
79061	264	1998-07-28	PRIJEM	VKLAD	1400	32130	\N	\N	\N
79062	264	1998-08-27	VYDAJ	VYBER	3100	30794	\N	\N	\N
79063	264	1998-09-26	VYDAJ	VYBER	1700	30869	\N	\N	\N
79064	264	1998-10-26	VYDAJ	VYBER	2100	30539	\N	\N	\N
79065	264	1998-11-25	PRIJEM	VKLAD	1100	33409	\N	\N	\N
79101	265	1996-07-05	PRIJEM	VKLAD	600	600	\N	\N	\N
79108	265	1996-07-10	PRIJEM	PREVOD Z UCTU	6135	6735	DUCHOD	MN	17782742
79109	265	1996-08-10	PRIJEM	PREVOD Z UCTU	6135	12890	DUCHOD	MN	17782742
79110	265	1996-09-10	PRIJEM	PREVOD Z UCTU	6135	19053	DUCHOD	MN	17782742
79111	265	1996-10-10	PRIJEM	PREVOD Z UCTU	6135	25216	DUCHOD	MN	17782742
79112	265	1996-11-10	PRIJEM	PREVOD Z UCTU	6135	28479	DUCHOD	MN	17782742
79113	265	1996-12-10	PRIJEM	PREVOD Z UCTU	6135	27691	DUCHOD	MN	17782742
79114	265	1997-01-10	PRIJEM	PREVOD Z UCTU	6135	21823	DUCHOD	MN	17782742
79115	265	1997-02-10	PRIJEM	PREVOD Z UCTU	6135	15188	DUCHOD	MN	17782742
79116	265	1997-03-10	PRIJEM	PREVOD Z UCTU	6135	17967	DUCHOD	MN	17782742
79117	265	1997-04-10	PRIJEM	PREVOD Z UCTU	6135	20558	DUCHOD	MN	17782742
79118	265	1997-05-10	PRIJEM	PREVOD Z UCTU	6135	21478	DUCHOD	MN	17782742
79119	265	1997-06-10	PRIJEM	PREVOD Z UCTU	6135	22785	DUCHOD	MN	17782742
79120	265	1997-07-10	PRIJEM	PREVOD Z UCTU	6135	24398	DUCHOD	MN	17782742
79121	265	1997-08-10	PRIJEM	PREVOD Z UCTU	6135	22315	DUCHOD	MN	17782742
79122	265	1997-09-10	PRIJEM	PREVOD Z UCTU	6135	19699	DUCHOD	MN	17782742
79123	265	1997-10-10	PRIJEM	PREVOD Z UCTU	6135	21297	DUCHOD	MN	17782742
79124	265	1997-11-10	PRIJEM	PREVOD Z UCTU	6135	21700	DUCHOD	MN	17782742
79125	265	1997-12-10	PRIJEM	PREVOD Z UCTU	6135	19304	DUCHOD	MN	17782742
79126	265	1998-01-10	PRIJEM	PREVOD Z UCTU	6135	15915	DUCHOD	MN	17782742
79127	265	1998-02-10	PRIJEM	PREVOD Z UCTU	6135	16311	DUCHOD	MN	17782742
79128	265	1998-03-10	PRIJEM	PREVOD Z UCTU	6135	14292	DUCHOD	MN	17782742
79129	265	1998-04-10	PRIJEM	PREVOD Z UCTU	6135	15066	DUCHOD	MN	17782742
79130	265	1998-05-10	PRIJEM	PREVOD Z UCTU	6135	17244	DUCHOD	MN	17782742
79131	265	1998-06-10	PRIJEM	PREVOD Z UCTU	6135	19432	DUCHOD	MN	17782742
79132	265	1998-07-10	PRIJEM	PREVOD Z UCTU	6135	14680	DUCHOD	MN	17782742
79133	265	1998-08-10	PRIJEM	PREVOD Z UCTU	6135	17957	DUCHOD	MN	17782742
79134	265	1998-09-10	PRIJEM	PREVOD Z UCTU	6135	21248	DUCHOD	MN	17782742
79135	265	1998-10-10	PRIJEM	PREVOD Z UCTU	6135	15202	DUCHOD	MN	17782742
79136	265	1998-11-10	PRIJEM	PREVOD Z UCTU	6135	18481	DUCHOD	MN	17782742
79137	265	1998-12-10	PRIJEM	PREVOD Z UCTU	6135	21774	DUCHOD	MN	17782742
79149	265	1996-12-07	VYDAJ	PREVOD NA UCET	2900	21556	SIPO	EF	28306174
79150	265	1997-01-07	VYDAJ	PREVOD NA UCET	2900	19288	SIPO	EF	28306174
79151	265	1997-02-07	VYDAJ	PREVOD NA UCET	2900	9053	SIPO	EF	28306174
79152	265	1997-03-07	VYDAJ	PREVOD NA UCET	2900	11832	SIPO	EF	28306174
79153	265	1997-04-07	VYDAJ	PREVOD NA UCET	2900	14423	SIPO	EF	28306174
79154	265	1997-05-07	VYDAJ	PREVOD NA UCET	2900	15343	SIPO	EF	28306174
79155	265	1997-06-07	VYDAJ	PREVOD NA UCET	2900	16650	SIPO	EF	28306174
79156	265	1997-07-07	VYDAJ	PREVOD NA UCET	2900	18263	SIPO	EF	28306174
79157	265	1997-08-07	VYDAJ	PREVOD NA UCET	2900	16180	SIPO	EF	28306174
79158	265	1997-09-07	VYDAJ	PREVOD NA UCET	2900	13564	SIPO	EF	28306174
79159	265	1997-10-07	VYDAJ	PREVOD NA UCET	2900	15162	SIPO	EF	28306174
79160	265	1997-11-07	VYDAJ	PREVOD NA UCET	2900	15565	SIPO	EF	28306174
79161	265	1997-12-07	VYDAJ	PREVOD NA UCET	2900	13169	SIPO	EF	28306174
79162	265	1998-01-07	VYDAJ	PREVOD NA UCET	2900	9780	SIPO	EF	28306174
79163	265	1998-02-07	VYDAJ	PREVOD NA UCET	2900	10176	SIPO	EF	28306174
79164	265	1998-03-07	VYDAJ	PREVOD NA UCET	2900	8157	SIPO	EF	28306174
79165	265	1998-04-07	VYDAJ	PREVOD NA UCET	2900	8931	SIPO	EF	28306174
79166	265	1998-05-07	VYDAJ	PREVOD NA UCET	2900	11109	SIPO	EF	28306174
79167	265	1998-06-07	VYDAJ	PREVOD NA UCET	2900	13297	SIPO	EF	28306174
79168	265	1998-07-07	VYDAJ	PREVOD NA UCET	2900	8545	SIPO	EF	28306174
79169	265	1998-08-07	VYDAJ	PREVOD NA UCET	2900	11822	SIPO	EF	28306174
79170	265	1998-09-07	VYDAJ	PREVOD NA UCET	2900	15113	SIPO	EF	28306174
79171	265	1998-10-07	VYDAJ	PREVOD NA UCET	2900	9067	SIPO	EF	28306174
79172	265	1998-11-07	VYDAJ	PREVOD NA UCET	2900	12346	SIPO	EF	28306174
79173	265	1998-12-07	VYDAJ	PREVOD NA UCET	2900	15639	SIPO	EF	28306174
79178	265	1997-01-29	VYDAJ	VYBER	3100	13683	\N	\N	\N
79180	265	1996-12-18	VYDAJ	VYBER	1300	26391	\N	\N	\N
79181	265	1997-12-15	VYDAJ	VYBER	900	18404	\N	\N	\N
79182	265	1998-12-16	VYDAJ	VYBER	1100	20674	\N	\N	\N
79189	265	1997-01-22	VYDAJ	VYBER	960	18783	\N	\N	\N
79190	265	1997-01-10	VYDAJ	VYBER	480	21343	\N	\N	\N
79191	265	1997-01-27	VYDAJ	VYBER	2000	16783	\N	\N	\N
79192	265	1997-01-16	VYDAJ	VYBER	1600	19743	\N	\N	\N
79193	265	1997-01-09	VYDAJ	VYBER	2000	15688	\N	\N	\N
79194	265	1997-01-09	VYDAJ	VYBER	1600	17688	\N	\N	\N
79198	265	1998-01-17	VYDAJ	VYBER	1920	13035	\N	\N	\N
79205	265	1997-04-19	VYDAJ	VYBER	480	20078	\N	\N	\N
79206	265	1997-12-29	VYDAJ	VYBER	2080	12624	\N	\N	\N
79207	265	1997-08-24	VYDAJ	VYBER	3920	18395	\N	\N	\N
79208	265	1998-09-19	VYDAJ	VYBER	1040	20208	\N	\N	\N
79210	265	1998-01-13	VYDAJ	VYBER	960	14955	\N	\N	\N
79212	265	1998-06-19	VYDAJ	VYBER	2640	16792	\N	\N	\N
79227	265	1996-11-30	VYDAJ	VYBER	15	28556	SLUZBY	\N	\N
79228	265	1996-12-31	VYDAJ	VYBER	15	26488	SLUZBY	\N	\N
79229	265	1997-01-31	VYDAJ	VYBER	15	11953	SLUZBY	\N	\N
79230	265	1997-02-28	VYDAJ	VYBER	15	15232	SLUZBY	\N	\N
79231	265	1997-03-31	VYDAJ	VYBER	15	18023	SLUZBY	\N	\N
79232	265	1997-04-30	VYDAJ	VYBER	15	20143	SLUZBY	\N	\N
79233	265	1997-05-31	VYDAJ	VYBER	15	21550	SLUZBY	\N	\N
79234	265	1997-06-30	VYDAJ	VYBER	15	21163	SLUZBY	\N	\N
79235	265	1997-07-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
79236	265	1997-08-31	VYDAJ	VYBER	15	16464	SLUZBY	\N	\N
79237	265	1997-09-30	VYDAJ	VYBER	15	18062	SLUZBY	\N	\N
79238	265	1997-10-31	VYDAJ	VYBER	15	18465	SLUZBY	\N	\N
79239	265	1997-11-30	VYDAJ	VYBER	15	16069	SLUZBY	\N	\N
79240	265	1997-12-31	VYDAJ	VYBER	15	12680	SLUZBY	\N	\N
79241	265	1998-01-31	VYDAJ	VYBER	15	13076	SLUZBY	\N	\N
79242	265	1998-02-28	VYDAJ	VYBER	15	11057	SLUZBY	\N	\N
79243	265	1998-03-31	VYDAJ	VYBER	15	11831	SLUZBY	\N	\N
79244	265	1998-04-30	VYDAJ	VYBER	15	14009	SLUZBY	\N	\N
79245	265	1998-05-31	VYDAJ	VYBER	15	16197	SLUZBY	\N	\N
79246	265	1998-06-30	VYDAJ	VYBER	15	11445	SLUZBY	\N	\N
79247	265	1998-07-31	VYDAJ	VYBER	15	14722	SLUZBY	\N	\N
79248	265	1998-08-31	VYDAJ	VYBER	15	18013	SLUZBY	\N	\N
79249	265	1998-09-30	VYDAJ	VYBER	15	11967	SLUZBY	\N	\N
79250	265	1998-10-31	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
79251	265	1998-11-30	VYDAJ	VYBER	15	18539	SLUZBY	\N	\N
79252	265	1996-11-02	VYDAJ	VYBER	2900	22344	\N	\N	\N
79253	265	1996-12-02	VYDAJ	VYBER	4100	24456	\N	\N	\N
79254	265	1997-01-01	VYDAJ	VYBER	4300	22188	\N	\N	\N
79255	265	1997-01-31	VYDAJ	VYBER	1800	11967	\N	\N	\N
79256	265	1997-03-02	VYDAJ	VYBER	500	14732	\N	\N	\N
79257	265	1997-04-01	VYDAJ	VYBER	700	17323	\N	\N	\N
79258	265	1997-05-01	VYDAJ	VYBER	1900	18243	\N	\N	\N
79259	265	1997-05-31	VYDAJ	VYBER	2000	19550	\N	\N	\N
79260	265	1997-06-30	VYDAJ	VYBER	1700	21178	\N	\N	\N
79261	265	1997-07-30	VYDAJ	VYBER	5400	18998	\N	\N	\N
79262	265	1997-08-29	VYDAJ	VYBER	2000	16395	\N	\N	\N
79263	265	1997-09-28	VYDAJ	VYBER	1700	17999	\N	\N	\N
79264	265	1997-10-28	VYDAJ	VYBER	2900	18397	\N	\N	\N
79265	265	1997-11-27	VYDAJ	VYBER	5700	16000	\N	\N	\N
79266	265	1997-12-27	VYDAJ	VYBER	3700	14704	\N	\N	\N
79267	265	1998-02-25	VYDAJ	VYBER	5300	11011	\N	\N	\N
79268	265	1998-03-27	VYDAJ	VYBER	2500	11792	\N	\N	\N
79269	265	1998-04-26	VYDAJ	VYBER	1100	13966	\N	\N	\N
79270	265	1998-05-26	VYDAJ	VYBER	1100	16144	\N	\N	\N
79271	265	1998-06-25	VYDAJ	VYBER	5400	11392	\N	\N	\N
79272	265	1998-09-23	VYDAJ	VYBER	8300	11908	\N	\N	\N
79303	266	1994-05-11	PRIJEM	VKLAD	400	400	\N	\N	\N
79308	266	1994-05-12	PRIJEM	PREVOD Z UCTU	49752	50152	\N	UV	26319891
79309	266	1994-06-12	PRIJEM	PREVOD Z UCTU	74628	113215	\N	UV	26319891
79310	266	1994-07-12	PRIJEM	PREVOD Z UCTU	49752	109698	\N	UV	26319891
79311	266	1994-08-12	PRIJEM	PREVOD Z UCTU	49752	92448	\N	UV	26319891
79312	266	1994-09-12	PRIJEM	PREVOD Z UCTU	49752	111235	\N	UV	26319891
79313	266	1994-10-12	PRIJEM	PREVOD Z UCTU	49752	89952	\N	UV	26319891
79314	266	1994-11-12	PRIJEM	PREVOD Z UCTU	49752	95348	\N	UV	26319891
79315	266	1994-12-12	PRIJEM	PREVOD Z UCTU	74628	136509	\N	UV	26319891
79316	266	1995-01-12	PRIJEM	PREVOD Z UCTU	49752	86769	\N	UV	26319891
79317	266	1995-02-12	PRIJEM	PREVOD Z UCTU	49752	74777	\N	UV	26319891
79318	266	1995-03-12	PRIJEM	PREVOD Z UCTU	49752	103643	\N	UV	26319891
79319	266	1995-04-12	PRIJEM	PREVOD Z UCTU	49752	118370	\N	UV	26319891
79320	266	1995-05-12	PRIJEM	PREVOD Z UCTU	49752	101862	\N	UV	26319891
79321	266	1995-06-12	PRIJEM	PREVOD Z UCTU	74628	129955	\N	UV	26319891
79322	266	1995-07-12	PRIJEM	PREVOD Z UCTU	49752	104647	\N	UV	26319891
79323	266	1995-08-12	PRIJEM	PREVOD Z UCTU	49752	72717	\N	UV	26319891
79324	266	1995-09-12	PRIJEM	PREVOD Z UCTU	49752	102137	\N	UV	26319891
79325	266	1995-10-12	PRIJEM	PREVOD Z UCTU	49752	122553	\N	UV	26319891
79326	266	1995-11-12	PRIJEM	PREVOD Z UCTU	49752	99293	\N	UV	26319891
79327	266	1995-12-12	PRIJEM	PREVOD Z UCTU	74628	137653	\N	UV	26319891
79328	266	1996-01-12	PRIJEM	PREVOD Z UCTU	49752	79006	\N	UV	26319891
79329	266	1996-02-12	PRIJEM	PREVOD Z UCTU	49752	94702	\N	UV	26319891
79330	266	1996-03-12	PRIJEM	PREVOD Z UCTU	49752	107293	\N	UV	26319891
79331	266	1996-04-12	PRIJEM	PREVOD Z UCTU	49752	110374	\N	UV	26319891
79332	266	1996-05-12	PRIJEM	PREVOD Z UCTU	49752	100791	\N	UV	26319891
79333	266	1996-06-12	PRIJEM	PREVOD Z UCTU	74628	117520	\N	UV	26319891
79334	266	1996-07-12	PRIJEM	PREVOD Z UCTU	49752	95690	\N	UV	26319891
79335	266	1996-08-12	PRIJEM	PREVOD Z UCTU	49752	91809	\N	UV	26319891
79336	266	1996-09-12	PRIJEM	PREVOD Z UCTU	49752	89152	\N	UV	26319891
79337	266	1996-10-12	PRIJEM	PREVOD Z UCTU	49752	106462	\N	UV	26319891
79338	266	1996-11-12	PRIJEM	PREVOD Z UCTU	49752	111681	\N	UV	26319891
79339	266	1996-12-12	PRIJEM	PREVOD Z UCTU	74628	136506	\N	UV	26319891
79340	266	1997-01-12	PRIJEM	PREVOD Z UCTU	49752	96618	\N	UV	26319891
79341	266	1997-02-12	PRIJEM	PREVOD Z UCTU	49752	77923	\N	UV	26319891
79342	266	1997-03-12	PRIJEM	PREVOD Z UCTU	49752	93088	\N	UV	26319891
79343	266	1997-04-12	PRIJEM	PREVOD Z UCTU	49752	83653	\N	UV	26319891
79344	266	1997-05-12	PRIJEM	PREVOD Z UCTU	49752	101459	\N	UV	26319891
79345	266	1997-06-12	PRIJEM	PREVOD Z UCTU	74628	112114	\N	UV	26319891
79346	266	1997-07-12	PRIJEM	PREVOD Z UCTU	49752	108292	\N	UV	26319891
79347	266	1997-08-12	PRIJEM	PREVOD Z UCTU	49752	107279	\N	UV	26319891
79348	266	1997-09-12	PRIJEM	PREVOD Z UCTU	49752	111941	\N	UV	26319891
79349	266	1997-10-12	PRIJEM	PREVOD Z UCTU	49752	96820	\N	UV	26319891
79350	266	1997-11-12	PRIJEM	PREVOD Z UCTU	49752	94165	\N	UV	26319891
79351	266	1997-12-12	PRIJEM	PREVOD Z UCTU	74628	134565	\N	UV	26319891
79352	266	1998-01-12	PRIJEM	PREVOD Z UCTU	49752	81784	\N	UV	26319891
79353	266	1998-02-12	PRIJEM	PREVOD Z UCTU	49752	81945	\N	UV	26319891
79354	266	1998-03-12	PRIJEM	PREVOD Z UCTU	49752	97155	\N	UV	26319891
79355	266	1998-04-12	PRIJEM	PREVOD Z UCTU	49752	91738	\N	UV	26319891
79356	266	1998-05-12	PRIJEM	PREVOD Z UCTU	49752	92838	\N	UV	26319891
79357	266	1998-06-12	PRIJEM	PREVOD Z UCTU	74628	116479	\N	UV	26319891
79358	266	1998-07-12	PRIJEM	PREVOD Z UCTU	49752	109001	\N	UV	26319891
79359	266	1998-08-12	PRIJEM	PREVOD Z UCTU	49752	112185	\N	UV	26319891
79360	266	1998-09-12	PRIJEM	PREVOD Z UCTU	49752	105385	\N	UV	26319891
79361	266	1998-10-12	PRIJEM	PREVOD Z UCTU	49752	114617	\N	UV	26319891
79362	266	1998-11-12	PRIJEM	PREVOD Z UCTU	49752	109126	\N	UV	26319891
79363	266	1998-12-12	PRIJEM	PREVOD Z UCTU	74628	129991	\N	UV	26319891
79424	266	1994-10-02	VYBER	VYBER	3649	55800	\N	\N	\N
79426	266	1994-11-01	VYBER	VYBER	10443	66296	\N	\N	\N
79427	266	1995-01-14	VYBER	VYBER	9531	77238	\N	\N	\N
79428	266	1995-07-25	VYBER	VYBER	10988	93659	\N	\N	\N
79429	266	1995-08-07	VYBER	VYBER	8478	29827	\N	\N	\N
79430	266	1995-01-01	VYBER	VYBER	17740	61817	\N	\N	\N
79431	266	1995-12-21	VYBER	VYBER	8298	96555	\N	\N	\N
79432	266	1995-05-29	VYBER	VYBER	19590	75972	\N	\N	\N
79433	266	1995-01-24	VYBER	VYBER	10183	50255	\N	\N	\N
79434	266	1995-01-28	VYBER	VYBER	18641	27414	\N	\N	\N
79435	266	1995-08-06	VYBER	VYBER	24421	38305	\N	\N	\N
79436	266	1995-08-11	VYBER	VYBER	6862	22965	\N	\N	\N
79437	266	1996-03-15	VYBER	VYBER	6151	101142	\N	\N	\N
79440	266	1996-08-30	VYBER	VYBER	20582	39127	\N	\N	\N
79441	266	1996-07-31	VYBER	VYBER	16429	43572	\N	\N	\N
79442	266	1996-06-26	VYBER	VYBER	22025	64195	\N	\N	\N
79443	266	1996-12-06	VYBER	VYBER	10652	61878	\N	\N	\N
79444	266	1996-03-09	VYBER	VYBER	8140	57541	\N	\N	\N
79445	266	1996-01-04	VYBER	VYBER	21633	46054	\N	\N	\N
79446	266	1997-01-19	VYBER	VYBER	20168	69850	\N	\N	\N
79447	266	1997-05-27	VYBER	VYBER	16900	37262	\N	\N	\N
79448	266	1997-07-28	VYBER	VYBER	12297	57295	\N	\N	\N
79449	266	1997-09-27	VYBER	VYBER	21586	46755	\N	\N	\N
79450	266	1997-06-16	VYBER	VYBER	21193	90921	\N	\N	\N
79452	266	1997-04-06	VYBER	VYBER	20061	33901	\N	\N	\N
79453	266	1997-02-15	VYBER	VYBER	5863	72060	\N	\N	\N
79454	266	1997-05-24	VYBER	VYBER	6297	83762	\N	\N	\N
79455	266	1997-01-21	VYBER	VYBER	2617	67233	\N	\N	\N
79456	266	1997-09-02	VYBER	VYBER	4723	62189	\N	\N	\N
79457	266	1998-03-30	VYBER	VYBER	16066	46589	\N	\N	\N
79458	266	1998-05-08	VYBER	VYBER	5986	43086	\N	\N	\N
79459	266	1998-06-11	VYBER	VYBER	15833	41851	\N	\N	\N
79466	266	1995-01-16	VYDAJ	VYBER	10800	66438	\N	\N	\N
79467	266	1996-01-04	VYDAJ	VYBER	15000	31054	\N	\N	\N
79468	266	1997-01-03	VYDAJ	VYBER	4200	46866	\N	\N	\N
79469	266	1998-01-29	VYDAJ	VYBER	16200	31984	\N	\N	\N
79470	266	1994-12-01	VYDAJ	VYBER	3300	92381	\N	\N	\N
79471	266	1995-12-10	VYDAJ	VYBER	6300	63025	\N	\N	\N
79472	266	1996-12-12	VYDAJ	VYBER	3600	112206	\N	\N	\N
79473	266	1997-12-21	VYDAJ	VYBER KARTOU	2100	56665	\N	\N	0
79474	266	1998-12-10	VYDAJ	VYBER	4800	55363	\N	\N	\N
79481	266	1995-01-08	VYDAJ	VYBER	3000	41217	\N	\N	\N
79483	266	1995-01-28	VYDAJ	VYBER	4200	23214	\N	\N	\N
79484	266	1995-01-01	VYDAJ	VYBER	4200	57617	\N	\N	\N
79485	266	1995-01-09	VYDAJ	VYBER	4200	37017	\N	\N	\N
79486	266	1995-01-23	VYDAJ	VYBER	6000	60438	\N	\N	\N
79487	266	1996-01-12	VYDAJ	VYBER	3900	75106	\N	\N	\N
79488	266	1996-01-24	VYDAJ	VYBER	6300	66406	\N	\N	\N
79489	266	1996-01-24	VYDAJ	VYBER	8400	58006	\N	\N	\N
79490	266	1996-01-13	VYDAJ	VYBER	2400	72706	\N	\N	\N
79491	266	1996-01-10	VYDAJ	VYBER	1800	29254	\N	\N	\N
79492	266	1996-01-28	VYDAJ	VYBER	8700	49306	\N	\N	\N
79493	266	1997-01-28	VYDAJ	VYBER	8400	27933	\N	\N	\N
79494	266	1997-01-27	VYDAJ	VYBER	6000	40233	\N	\N	\N
79495	266	1997-01-27	VYDAJ	VYBER	3900	36333	\N	\N	\N
79496	266	1997-01-12	VYDAJ	VYBER	4800	91818	\N	\N	\N
79497	266	1997-01-12	VYDAJ	VYBER	1800	90018	\N	\N	\N
79498	266	1997-01-24	VYDAJ	VYBER	4200	63033	\N	\N	\N
79499	266	1998-01-02	VYDAJ	VYBER	6900	47032	\N	\N	\N
79501	266	1998-01-02	VYDAJ	VYBER	7200	39832	\N	\N	\N
79502	266	1998-01-02	VYDAJ	VYBER KARTOU	3000	53932	\N	\N	0
79503	266	1998-01-07	VYDAJ	VYBER	7800	32032	\N	\N	\N
79504	266	1998-01-27	VYDAJ	VYBER	8100	48184	\N	\N	\N
79508	266	1994-12-16	VYDAJ	VYBER	1500	79209	\N	\N	\N
79509	266	1994-10-22	VYDAJ	VYBER	13500	76452	\N	\N	\N
79511	266	1995-01-27	VYDAJ	VYBER	4200	46055	\N	\N	\N
79512	266	1995-10-21	VYDAJ	VYBER	3000	69653	\N	\N	\N
79513	266	1995-11-09	VYDAJ	VYBER	4200	49541	\N	\N	\N
79514	266	1995-05-24	VYDAJ	VYBER	6300	95562	\N	\N	\N
79515	266	1995-11-02	VYDAJ	VYBER	3000	53741	\N	\N	\N
79516	266	1995-07-07	VYDAJ	VYBER	8700	54895	\N	\N	\N
79518	266	1995-09-11	VYDAJ	VYBER	2400	52385	\N	\N	\N
79519	266	1996-06-09	VYDAJ	VYBER	9900	55192	\N	\N	\N
79520	266	1996-06-09	VYDAJ	VYBER	12300	42892	\N	\N	\N
79521	266	1996-07-26	VYDAJ	VYBER	7800	87890	\N	\N	\N
79522	266	1996-10-19	VYDAJ	VYBER	8700	97762	\N	\N	\N
79523	266	1996-08-08	VYDAJ	VYBER	1500	42057	\N	\N	\N
79524	266	1996-12-28	VYDAJ	VYBER	12600	50706	\N	\N	\N
79525	266	1996-12-28	VYDAJ	VYBER	6300	63306	\N	\N	\N
79526	266	1996-04-04	VYDAJ	VYBER	6600	60622	\N	\N	\N
79527	266	1997-04-14	VYDAJ	VYBER	3900	79753	\N	\N	\N
79528	266	1997-03-23	VYDAJ	VYBER	10200	82888	\N	\N	\N
79529	266	1997-03-11	VYDAJ	VYBER	8100	43336	\N	\N	\N
79530	266	1997-11-11	VYDAJ	VYBER	14100	44413	\N	\N	\N
79531	266	1997-05-18	VYDAJ	VYBER	11400	90059	\N	\N	\N
79532	266	1998-11-27	VYDAJ	VYBER	6000	59926	\N	\N	\N
79533	266	1998-06-14	VYDAJ	VYBER	13800	102679	\N	\N	\N
79534	266	1998-09-03	VYDAJ	VYBER	11100	55633	\N	\N	\N
79535	266	1998-02-15	VYDAJ	VYBER	14700	67245	\N	\N	\N
79536	266	1998-04-11	VYDAJ	VYBER	4800	41986	\N	\N	\N
79537	266	1998-04-25	VYDAJ	VYBER	8100	48838	\N	\N	\N
79547	266	1994-09-30	VYDAJ	VYBER	15	59449	SLUZBY	\N	\N
79548	266	1994-10-31	VYDAJ	VYBER	15	76739	SLUZBY	\N	\N
79549	266	1994-11-30	VYDAJ	VYBER	15	95681	SLUZBY	\N	\N
79550	266	1994-12-31	VYDAJ	VYBER	15	79557	SLUZBY	\N	\N
79551	266	1995-01-31	VYDAJ	VYBER	15	23425	SLUZBY	\N	\N
79552	266	1995-02-28	VYDAJ	VYBER	15	74991	SLUZBY	\N	\N
79553	266	1995-03-31	VYDAJ	VYBER	15	104018	SLUZBY	\N	\N
79554	266	1995-04-30	VYDAJ	VYBER	15	74510	SLUZBY	\N	\N
79555	266	1995-05-31	VYDAJ	VYBER	15	76327	SLUZBY	\N	\N
79556	266	1995-06-30	VYDAJ	VYBER	15	90695	SLUZBY	\N	\N
79557	266	1995-07-31	VYDAJ	VYBER	15	94026	SLUZBY	\N	\N
79558	266	1995-08-31	VYDAJ	VYBER	15	72985	SLUZBY	\N	\N
79559	266	1995-09-30	VYDAJ	VYBER	15	102501	SLUZBY	\N	\N
79560	266	1995-10-31	VYDAJ	VYBER	15	70041	SLUZBY	\N	\N
79561	266	1995-11-30	VYDAJ	VYBER	15	99625	SLUZBY	\N	\N
79562	266	1995-12-31	VYDAJ	VYBER	15	96987	SLUZBY	\N	\N
79563	266	1996-01-31	VYDAJ	VYBER	15	44950	SLUZBY	\N	\N
79564	266	1996-02-29	VYDAJ	VYBER	15	94881	SLUZBY	\N	\N
79565	266	1996-03-31	VYDAJ	VYBER	15	101522	SLUZBY	\N	\N
79566	266	1996-04-30	VYDAJ	VYBER	15	51039	SLUZBY	\N	\N
79567	266	1996-05-31	VYDAJ	VYBER	15	65092	SLUZBY	\N	\N
79568	266	1996-06-30	VYDAJ	VYBER	15	45938	SLUZBY	\N	\N
79569	266	1996-07-31	VYDAJ	VYBER	15	43557	SLUZBY	\N	\N
79570	266	1996-08-31	VYDAJ	VYBER	15	39400	SLUZBY	\N	\N
79571	266	1996-09-30	VYDAJ	VYBER	15	56710	SLUZBY	\N	\N
79572	266	1996-10-31	VYDAJ	VYBER	15	61929	SLUZBY	\N	\N
79573	266	1996-11-30	VYDAJ	VYBER	15	72530	SLUZBY	\N	\N
79574	266	1996-12-31	VYDAJ	VYBER	15	51066	SLUZBY	\N	\N
79575	266	1997-01-31	VYDAJ	VYBER	15	28171	SLUZBY	\N	\N
79576	266	1997-02-28	VYDAJ	VYBER	15	51436	SLUZBY	\N	\N
79577	266	1997-03-31	VYDAJ	VYBER	15	53962	SLUZBY	\N	\N
79578	266	1997-04-30	VYDAJ	VYBER	15	51707	SLUZBY	\N	\N
79579	266	1997-05-31	VYDAJ	VYBER	15	37486	SLUZBY	\N	\N
79580	266	1997-06-30	VYDAJ	VYBER	15	58540	SLUZBY	\N	\N
79581	266	1997-07-31	VYDAJ	VYBER	15	57527	SLUZBY	\N	\N
79582	266	1997-08-31	VYDAJ	VYBER	15	66912	SLUZBY	\N	\N
79583	266	1997-09-30	VYDAJ	VYBER	15	47068	SLUZBY	\N	\N
79584	266	1997-10-31	VYDAJ	VYBER	15	58513	SLUZBY	\N	\N
79585	266	1997-11-30	VYDAJ	VYBER	15	59937	SLUZBY	\N	\N
79586	266	1997-12-31	VYDAJ	VYBER	15	56932	SLUZBY	\N	\N
79587	266	1998-01-31	VYDAJ	VYBER	15	32193	SLUZBY	\N	\N
79588	266	1998-02-28	VYDAJ	VYBER	15	47403	SLUZBY	\N	\N
79589	266	1998-03-31	VYDAJ	VYBER	15	46786	SLUZBY	\N	\N
79590	266	1998-04-30	VYDAJ	VYBER	15	49072	SLUZBY	\N	\N
79591	266	1998-05-31	VYDAJ	VYBER	15	57684	SLUZBY	\N	\N
79592	266	1998-06-30	VYDAJ	VYBER	15	59249	SLUZBY	\N	\N
79593	266	1998-07-31	VYDAJ	VYBER	15	62433	SLUZBY	\N	\N
79594	266	1998-08-31	VYDAJ	VYBER	15	66733	SLUZBY	\N	\N
79595	266	1998-09-30	VYDAJ	VYBER	15	64865	SLUZBY	\N	\N
79596	266	1998-10-31	VYDAJ	VYBER	15	59374	SLUZBY	\N	\N
79597	266	1998-11-30	VYDAJ	VYBER	15	60163	SLUZBY	\N	\N
79598	266	1994-06-10	VYDAJ	VYBER	11700	38587	\N	\N	\N
79599	266	1994-06-12	VYDAJ	VYBER	16900	96315	\N	\N	\N
79600	266	1994-07-10	VYDAJ	VYBER	36700	59946	\N	\N	\N
79601	266	1994-07-12	VYDAJ	VYBER	51800	57898	\N	\N	\N
79602	266	1994-08-09	VYDAJ	VYBER	15500	42696	\N	\N	\N
79603	266	1994-09-08	VYDAJ	VYBER	31300	61483	\N	\N	\N
79604	266	1994-09-12	VYDAJ	VYBER	52200	59035	\N	\N	\N
79605	266	1994-10-08	VYDAJ	VYBER	15600	40200	\N	\N	\N
79606	266	1994-11-07	VYDAJ	VYBER	20700	45596	\N	\N	\N
79607	266	1994-12-07	VYDAJ	VYBER	30500	61881	\N	\N	\N
79608	266	1994-12-12	VYDAJ	VYBER	55800	80709	\N	\N	\N
79609	266	1995-01-06	VYDAJ	VYBER	13400	44217	\N	\N	\N
79610	266	1995-02-05	PRIJEM	VKLAD	1600	25025	\N	\N	\N
79611	266	1995-03-07	VYDAJ	VYBER	21100	53891	\N	\N	\N
79612	266	1995-04-06	VYDAJ	VYBER	35400	68618	\N	\N	\N
79613	266	1995-04-12	VYDAJ	VYBER	44200	74170	\N	\N	\N
79614	266	1995-05-06	VYDAJ	VYBER	22400	52110	\N	\N	\N
79615	266	1995-06-05	VYDAJ	VYBER	21000	55327	\N	\N	\N
79616	266	1995-06-12	VYDAJ	VYBER	21900	108055	\N	\N	\N
79617	266	1995-06-30	VYDAJ	VYBER	17800	90710	\N	\N	\N
79618	266	1995-07-05	VYDAJ	VYBER	27100	63595	\N	\N	\N
79619	266	1995-08-04	VYDAJ	VYBER	31300	62726	\N	\N	\N
79620	266	1995-09-03	VYDAJ	VYBER	18200	54785	\N	\N	\N
79621	266	1995-10-03	VYDAJ	VYBER	29700	72801	\N	\N	\N
79622	266	1995-10-12	VYDAJ	VYBER	49900	72653	\N	\N	\N
79623	266	1995-11-02	VYDAJ	VYBER	13300	56741	\N	\N	\N
79624	266	1995-12-02	VYDAJ	VYBER	30300	69325	\N	\N	\N
79625	266	1995-12-12	VYDAJ	VYBER	32800	104853	\N	\N	\N
79626	266	1996-01-01	VYDAJ	VYBER	29300	67687	\N	\N	\N
79627	266	1996-01-31	VYDAJ	VYBER	4600	44965	\N	\N	\N
79628	266	1996-03-01	VYDAJ	VYBER	29200	65681	\N	\N	\N
79629	266	1996-03-31	VYDAJ	VYBER	34300	67222	\N	\N	\N
79630	266	1996-04-12	VYDAJ	VYBER	41900	68474	\N	\N	\N
79631	266	1996-04-30	VYDAJ	VYBER	17700	51054	\N	\N	\N
79632	266	1996-05-30	VYDAJ	VYBER	35900	64891	\N	\N	\N
79633	266	1996-06-12	VYDAJ	VYBER	31300	86220	\N	\N	\N
79634	266	1996-06-29	VYDAJ	VYBER	18600	45595	\N	\N	\N
79635	266	1996-07-29	VYDAJ	VYBER	28100	59790	\N	\N	\N
79636	266	1996-08-28	VYDAJ	VYBER	32100	59709	\N	\N	\N
79637	266	1996-09-27	VYDAJ	VYBER	32600	56552	\N	\N	\N
79638	266	1996-10-27	VYDAJ	VYBER	36100	61662	\N	\N	\N
79639	266	1996-11-26	VYDAJ	VYBER	39400	72281	\N	\N	\N
79640	266	1996-12-12	VYDAJ	VYBER	20700	115806	\N	\N	\N
79641	266	1996-12-26	VYDAJ	VYBER	42600	69606	\N	\N	\N
79642	266	1997-01-25	VYDAJ	VYBER	16800	46233	\N	\N	\N
79643	266	1997-02-24	VYDAJ	VYBER	20800	51260	\N	\N	\N
79644	266	1997-03-26	VYDAJ	VYBER	29200	53688	\N	\N	\N
79645	266	1997-04-25	VYDAJ	VYBER	28300	51453	\N	\N	\N
79646	266	1997-05-25	VYDAJ	VYBER	29600	54162	\N	\N	\N
79647	266	1997-06-24	VYDAJ	VYBER	32600	58321	\N	\N	\N
79648	266	1997-07-24	VYDAJ	VYBER	38700	69592	\N	\N	\N
79649	266	1997-08-23	VYDAJ	VYBER	40600	66679	\N	\N	\N
79650	266	1997-09-22	VYDAJ	VYBER	43600	68341	\N	\N	\N
79651	266	1997-10-22	VYDAJ	VYBER	38500	58320	\N	\N	\N
79652	266	1997-11-21	VYDAJ	VYBER	34500	59665	\N	\N	\N
79653	266	1997-12-12	VYDAJ	VYBER	41600	92965	\N	\N	\N
79654	266	1997-12-21	VYDAJ	VYBER	34200	58765	\N	\N	\N
79655	266	1998-01-20	VYDAJ	VYBER	25500	56284	\N	\N	\N
79656	266	1998-02-19	VYDAJ	VYBER	20000	47245	\N	\N	\N
79657	266	1998-03-21	VYDAJ	VYBER	34500	62655	\N	\N	\N
79658	266	1998-04-20	VYDAJ	VYBER	34800	56938	\N	\N	\N
79659	266	1998-05-20	VYDAJ	VYBER	35400	57438	\N	\N	\N
79660	266	1998-06-19	VYDAJ	VYBER	43700	58979	\N	\N	\N
79661	266	1998-07-19	VYDAJ	VYBER	46800	62201	\N	\N	\N
79662	266	1998-08-18	VYDAJ	VYBER	45700	66485	\N	\N	\N
79663	266	1998-09-17	VYDAJ	VYBER	40800	64585	\N	\N	\N
79664	266	1998-10-12	VYDAJ	VYBER	22200	92417	\N	\N	\N
79665	266	1998-10-17	VYDAJ	VYBER	33300	59117	\N	\N	\N
79666	266	1998-11-16	VYDAJ	VYBER	43200	65926	\N	\N	\N
79667	266	1998-12-12	VYDAJ	VYBER	55400	74591	\N	\N	\N
79724	267	1995-04-26	PRIJEM	VKLAD	500	500	\N	\N	\N
79729	267	1995-05-07	PRIJEM	PREVOD Z UCTU	4847	5347	DUCHOD	EF	11064833
79730	267	1995-06-07	PRIJEM	PREVOD Z UCTU	4847	10194	DUCHOD	EF	11064833
79731	267	1995-07-07	PRIJEM	PREVOD Z UCTU	4847	15041	DUCHOD	EF	11064833
79732	267	1995-08-07	PRIJEM	PREVOD Z UCTU	4847	19888	DUCHOD	EF	11064833
79733	267	1995-09-07	PRIJEM	PREVOD Z UCTU	4847	24735	DUCHOD	EF	11064833
79734	267	1995-10-07	PRIJEM	PREVOD Z UCTU	4847	26557	DUCHOD	EF	11064833
79735	267	1995-11-07	PRIJEM	PREVOD Z UCTU	4847	24628	DUCHOD	EF	11064833
79736	267	1995-12-07	PRIJEM	PREVOD Z UCTU	4847	26474	DUCHOD	EF	11064833
79737	267	1996-01-07	PRIJEM	PREVOD Z UCTU	4847	20964	DUCHOD	EF	11064833
79738	267	1996-02-07	PRIJEM	PREVOD Z UCTU	4847	18390	DUCHOD	EF	11064833
79739	267	1996-03-07	PRIJEM	PREVOD Z UCTU	4847	20210	DUCHOD	EF	11064833
79740	267	1996-04-07	PRIJEM	PREVOD Z UCTU	4847	18036	DUCHOD	EF	11064833
79741	267	1996-05-07	PRIJEM	PREVOD Z UCTU	4847	19855	DUCHOD	EF	11064833
79742	267	1996-06-07	PRIJEM	PREVOD Z UCTU	4847	17835	DUCHOD	EF	11064833
79743	267	1996-07-07	PRIJEM	PREVOD Z UCTU	4847	19653	DUCHOD	EF	11064833
79744	267	1996-08-07	PRIJEM	PREVOD Z UCTU	4847	21478	DUCHOD	EF	11064833
79745	267	1996-09-07	PRIJEM	PREVOD Z UCTU	4847	23311	DUCHOD	EF	11064833
79746	267	1996-10-07	PRIJEM	PREVOD Z UCTU	4847	25151	DUCHOD	EF	11064833
79747	267	1996-11-07	PRIJEM	PREVOD Z UCTU	4847	26037	DUCHOD	EF	11064833
79748	267	1996-12-07	PRIJEM	PREVOD Z UCTU	4847	25498	DUCHOD	EF	11064833
79749	267	1997-01-07	PRIJEM	PREVOD Z UCTU	4847	25429	DUCHOD	EF	11064833
79750	267	1997-02-07	PRIJEM	PREVOD Z UCTU	4847	21274	DUCHOD	EF	11064833
79751	267	1997-03-07	PRIJEM	PREVOD Z UCTU	4847	23105	DUCHOD	EF	11064833
79752	267	1997-04-07	PRIJEM	PREVOD Z UCTU	4847	24945	DUCHOD	EF	11064833
79753	267	1997-05-07	PRIJEM	PREVOD Z UCTU	4847	26792	DUCHOD	EF	11064833
79754	267	1997-06-07	PRIJEM	PREVOD Z UCTU	4847	28166	DUCHOD	EF	11064833
79755	267	1997-07-07	PRIJEM	PREVOD Z UCTU	4847	26602	DUCHOD	EF	11064833
79756	267	1997-08-07	PRIJEM	PREVOD Z UCTU	4847	28156	DUCHOD	EF	11064833
79757	267	1997-09-07	PRIJEM	PREVOD Z UCTU	4847	30016	DUCHOD	EF	11064833
79758	267	1997-10-07	PRIJEM	PREVOD Z UCTU	4847	28036	DUCHOD	EF	11064833
79759	267	1997-11-07	PRIJEM	PREVOD Z UCTU	4847	29194	DUCHOD	EF	11064833
79760	267	1997-12-07	PRIJEM	PREVOD Z UCTU	4847	24731	DUCHOD	EF	11064833
79761	267	1998-01-07	PRIJEM	PREVOD Z UCTU	4847	22972	DUCHOD	EF	11064833
79762	267	1998-02-07	PRIJEM	PREVOD Z UCTU	4847	19035	DUCHOD	EF	11064833
79763	267	1998-03-07	PRIJEM	PREVOD Z UCTU	4847	19574	DUCHOD	EF	11064833
79764	267	1998-04-07	PRIJEM	PREVOD Z UCTU	4847	20296	DUCHOD	EF	11064833
79765	267	1998-05-07	PRIJEM	PREVOD Z UCTU	4847	21621	DUCHOD	EF	11064833
79766	267	1998-06-07	PRIJEM	PREVOD Z UCTU	4847	23454	DUCHOD	EF	11064833
79767	267	1998-07-07	PRIJEM	PREVOD Z UCTU	4847	23289	DUCHOD	EF	11064833
79768	267	1998-08-07	PRIJEM	PREVOD Z UCTU	4847	21358	DUCHOD	EF	11064833
79769	267	1998-09-07	PRIJEM	PREVOD Z UCTU	4847	20182	DUCHOD	EF	11064833
79770	267	1998-10-07	PRIJEM	PREVOD Z UCTU	4847	20004	DUCHOD	EF	11064833
79771	267	1998-11-07	PRIJEM	PREVOD Z UCTU	4847	18823	DUCHOD	EF	11064833
79772	267	1998-12-07	PRIJEM	PREVOD Z UCTU	4847	20644	DUCHOD	EF	11064833
79781	267	1995-09-10	VYDAJ	PREVOD NA UCET	3074	21661	SIPO	KL	4520118
79782	267	1995-10-10	VYDAJ	PREVOD NA UCET	3074	23483	SIPO	KL	4520118
79783	267	1995-11-10	VYDAJ	PREVOD NA UCET	3074	21554	SIPO	KL	4520118
79784	267	1995-12-10	VYDAJ	PREVOD NA UCET	3074	23400	SIPO	KL	4520118
79785	267	1996-01-10	VYDAJ	PREVOD NA UCET	3074	16850	SIPO	KL	4520118
79786	267	1996-02-10	VYDAJ	PREVOD NA UCET	3074	15316	SIPO	KL	4520118
79787	267	1996-03-10	VYDAJ	PREVOD NA UCET	3074	17136	SIPO	KL	4520118
79788	267	1996-04-10	VYDAJ	PREVOD NA UCET	3074	14962	SIPO	KL	4520118
79789	267	1996-05-10	VYDAJ	PREVOD NA UCET	3074	16781	SIPO	KL	4520118
79790	267	1996-06-10	VYDAJ	PREVOD NA UCET	3074	14761	SIPO	KL	4520118
79791	267	1996-07-10	VYDAJ	PREVOD NA UCET	3074	16579	SIPO	KL	4520118
79792	267	1996-08-10	VYDAJ	PREVOD NA UCET	3074	18404	SIPO	KL	4520118
79793	267	1996-09-10	VYDAJ	PREVOD NA UCET	3074	20237	SIPO	KL	4520118
79794	267	1996-10-10	VYDAJ	PREVOD NA UCET	3074	22077	SIPO	KL	4520118
79795	267	1996-11-10	VYDAJ	PREVOD NA UCET	3074	22963	SIPO	KL	4520118
79796	267	1996-12-10	VYDAJ	PREVOD NA UCET	3074	22424	SIPO	KL	4520118
79797	267	1997-01-10	VYDAJ	PREVOD NA UCET	3074	22355	SIPO	KL	4520118
79798	267	1997-02-10	VYDAJ	PREVOD NA UCET	3074	18200	SIPO	KL	4520118
79799	267	1997-03-10	VYDAJ	PREVOD NA UCET	3074	20031	SIPO	KL	4520118
79800	267	1997-04-10	VYDAJ	PREVOD NA UCET	3074	21871	SIPO	KL	4520118
79801	267	1997-05-10	VYDAJ	PREVOD NA UCET	3074	23718	SIPO	KL	4520118
79802	267	1997-06-10	VYDAJ	PREVOD NA UCET	3074	25092	SIPO	KL	4520118
79803	267	1997-07-10	VYDAJ	PREVOD NA UCET	3074	23528	SIPO	KL	4520118
79804	267	1997-08-10	VYDAJ	PREVOD NA UCET	3074	25082	SIPO	KL	4520118
79805	267	1997-09-10	VYDAJ	PREVOD NA UCET	3074	26942	SIPO	KL	4520118
79806	267	1997-10-10	VYDAJ	PREVOD NA UCET	3074	24962	SIPO	KL	4520118
79807	267	1997-11-10	VYDAJ	PREVOD NA UCET	3074	26120	SIPO	KL	4520118
79808	267	1997-12-10	VYDAJ	PREVOD NA UCET	3074	21657	SIPO	KL	4520118
79809	267	1998-01-10	VYDAJ	PREVOD NA UCET	3074	15258	SIPO	KL	4520118
79810	267	1998-02-10	VYDAJ	PREVOD NA UCET	3074	15961	SIPO	KL	4520118
79811	267	1998-03-10	VYDAJ	PREVOD NA UCET	3074	16500	SIPO	KL	4520118
79812	267	1998-04-10	VYDAJ	PREVOD NA UCET	3074	16722	SIPO	KL	4520118
79813	267	1998-05-10	VYDAJ	PREVOD NA UCET	3074	18547	SIPO	KL	4520118
79814	267	1998-06-10	VYDAJ	PREVOD NA UCET	3074	18380	SIPO	KL	4520118
79815	267	1998-07-10	VYDAJ	PREVOD NA UCET	3074	16455	SIPO	KL	4520118
79816	267	1998-08-10	VYDAJ	PREVOD NA UCET	3074	15284	SIPO	KL	4520118
79817	267	1998-09-10	VYDAJ	PREVOD NA UCET	3074	15108	SIPO	KL	4520118
79818	267	1998-10-10	VYDAJ	PREVOD NA UCET	3074	13930	SIPO	KL	4520118
79819	267	1998-11-10	VYDAJ	PREVOD NA UCET	3074	15749	SIPO	KL	4520118
79820	267	1998-12-10	VYDAJ	PREVOD NA UCET	3074	17570	SIPO	KL	4520118
79821	267	1995-12-25	VYDAJ	VYBER	500	22600	\N	\N	\N
79822	267	1996-12-01	VYDAJ	VYBER	550	20651	\N	\N	\N
79823	267	1997-12-18	VYDAJ	VYBER	700	18057	\N	\N	\N
79824	267	1998-12-10	VYDAJ	VYBER	700	16870	\N	\N	\N
79831	267	1996-01-26	VYDAJ	VYBER	400	13490	\N	\N	\N
79832	267	1996-01-22	VYDAJ	VYBER	2240	13890	\N	\N	\N
79833	267	1996-01-08	VYDAJ	VYBER	1040	19924	\N	\N	\N
79834	267	1996-01-03	VYDAJ	VYBER	1920	16117	\N	\N	\N
79835	267	1996-01-03	VYDAJ	VYBER	1680	18037	\N	\N	\N
79836	267	1996-01-17	VYDAJ	VYBER	720	16130	\N	\N	\N
79837	267	1997-01-27	VYDAJ	VYBER	1760	16355	\N	\N	\N
79838	267	1997-01-23	VYDAJ	VYBER	2320	18115	\N	\N	\N
79839	267	1997-01-16	VYDAJ	VYBER	1360	20995	\N	\N	\N
79840	267	1997-01-01	VYDAJ	VYBER	800	21702	\N	\N	\N
79841	267	1997-01-20	VYDAJ	VYBER	560	20435	\N	\N	\N
79842	267	1997-01-01	VYDAJ	VYBER	1120	20582	\N	\N	\N
79844	267	1998-01-17	VYDAJ	VYBER	1120	14138	\N	\N	\N
79848	267	1998-01-09	VYDAJ	VYBER	1360	21612	\N	\N	\N
79849	267	1995-10-24	VYDAJ	VYBER	2240	20743	\N	\N	\N
79850	267	1995-10-24	VYDAJ	VYBER	1040	19703	\N	\N	\N
79853	267	1995-12-26	VYDAJ	VYBER	2960	19640	\N	\N	\N
79855	267	1996-05-21	VYDAJ	VYBER	3840	12941	\N	\N	\N
79856	267	1996-11-26	VYDAJ	VYBER	1840	21123	\N	\N	\N
79857	267	1996-10-14	VYDAJ	VYBER	960	21117	\N	\N	\N
79858	267	1996-03-30	VYDAJ	VYBER	2640	13136	\N	\N	\N
79860	267	1996-03-30	VYDAJ	VYBER	1360	15776	\N	\N	\N
79861	267	1997-09-17	VYDAJ	VYBER	2640	23102	\N	\N	\N
79862	267	1997-05-24	VYDAJ	VYBER	480	23238	\N	\N	\N
79863	267	1997-06-27	VYDAJ	VYBER	1920	21672	\N	\N	\N
79864	267	1997-12-06	VYDAJ	VYBER	3520	19884	\N	\N	\N
79867	267	1998-02-17	VYDAJ	VYBER	1280	14681	\N	\N	\N
79869	267	1998-07-08	VYDAJ	VYBER	3760	19529	\N	\N	\N
79870	267	1998-01-09	VYDAJ	VYBER	3280	18332	\N	\N	\N
79880	267	1995-09-30	VYDAJ	VYBER	15	21710	SLUZBY	\N	\N
79881	267	1995-10-31	VYDAJ	VYBER	15	19781	SLUZBY	\N	\N
79882	267	1995-11-30	VYDAJ	VYBER	15	21627	SLUZBY	\N	\N
79883	267	1995-12-31	VYDAJ	VYBER	15	19717	SLUZBY	\N	\N
79884	267	1996-01-31	VYDAJ	VYBER	15	13543	SLUZBY	\N	\N
79885	267	1996-02-29	VYDAJ	VYBER	15	15363	SLUZBY	\N	\N
79886	267	1996-03-31	VYDAJ	VYBER	15	13189	SLUZBY	\N	\N
79887	267	1996-04-30	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
79888	267	1996-05-31	VYDAJ	VYBER	15	12988	SLUZBY	\N	\N
79889	267	1996-06-30	VYDAJ	VYBER	15	14806	SLUZBY	\N	\N
79890	267	1996-07-31	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
79891	267	1996-08-31	VYDAJ	VYBER	15	18464	SLUZBY	\N	\N
79892	267	1996-09-30	VYDAJ	VYBER	15	20304	SLUZBY	\N	\N
79893	267	1996-10-31	VYDAJ	VYBER	15	21190	SLUZBY	\N	\N
79894	267	1996-11-30	VYDAJ	VYBER	15	21201	SLUZBY	\N	\N
79895	267	1996-12-31	VYDAJ	VYBER	15	22502	SLUZBY	\N	\N
79896	267	1997-01-31	VYDAJ	VYBER	15	16427	SLUZBY	\N	\N
79897	267	1997-02-28	VYDAJ	VYBER	15	18258	SLUZBY	\N	\N
79898	267	1997-03-31	VYDAJ	VYBER	15	20098	SLUZBY	\N	\N
79899	267	1997-04-30	VYDAJ	VYBER	15	21945	SLUZBY	\N	\N
79900	267	1997-05-31	VYDAJ	VYBER	15	23319	SLUZBY	\N	\N
79901	267	1997-06-30	VYDAJ	VYBER	15	21755	SLUZBY	\N	\N
79902	267	1997-07-31	VYDAJ	VYBER	15	23309	SLUZBY	\N	\N
79903	267	1997-08-31	VYDAJ	VYBER	15	25169	SLUZBY	\N	\N
79904	267	1997-09-30	VYDAJ	VYBER	15	23189	SLUZBY	\N	\N
79905	267	1997-10-31	VYDAJ	VYBER	15	24347	SLUZBY	\N	\N
79906	267	1997-11-30	VYDAJ	VYBER	15	23404	SLUZBY	\N	\N
79907	267	1997-12-31	VYDAJ	VYBER	15	18125	SLUZBY	\N	\N
79908	267	1998-01-31	VYDAJ	VYBER	15	14188	SLUZBY	\N	\N
79909	267	1998-02-28	VYDAJ	VYBER	15	14727	SLUZBY	\N	\N
79910	267	1998-03-31	VYDAJ	VYBER	15	15449	SLUZBY	\N	\N
79911	267	1998-04-30	VYDAJ	VYBER	15	16774	SLUZBY	\N	\N
79912	267	1998-05-31	VYDAJ	VYBER	15	18607	SLUZBY	\N	\N
79913	267	1998-06-30	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
79914	267	1998-07-31	VYDAJ	VYBER	15	16511	SLUZBY	\N	\N
79915	267	1998-08-31	VYDAJ	VYBER	15	15335	SLUZBY	\N	\N
79916	267	1998-09-30	VYDAJ	VYBER	15	15157	SLUZBY	\N	\N
79917	267	1998-10-31	VYDAJ	VYBER	15	13976	SLUZBY	\N	\N
79918	267	1998-11-30	VYDAJ	VYBER	15	15797	SLUZBY	\N	\N
79919	267	1995-10-23	VYDAJ	VYBER	500	22983	\N	\N	\N
79920	267	1995-12-22	VYDAJ	VYBER	300	23100	\N	\N	\N
79921	267	1997-06-14	VYDAJ	VYBER	1500	23592	\N	\N	\N
79922	267	1997-07-14	VYDAJ	VYBER	300	23228	\N	\N	\N
79923	267	1997-09-12	VYDAJ	VYBER	1200	25742	\N	\N	\N
79924	267	1997-10-12	VYDAJ	VYBER	700	24262	\N	\N	\N
79925	267	1997-11-11	VYDAJ	VYBER	2800	23320	\N	\N	\N
79926	267	1997-12-11	VYDAJ	VYBER	2900	18757	\N	\N	\N
79927	267	1998-03-11	VYDAJ	VYBER	1100	15400	\N	\N	\N
79928	267	1998-04-10	VYDAJ	VYBER	500	19796	\N	\N	\N
79929	267	1998-06-09	VYDAJ	VYBER	2000	21454	\N	\N	\N
79930	267	1998-08-08	VYDAJ	VYBER	3000	18358	\N	\N	\N
79931	267	1998-09-07	VYDAJ	VYBER	2000	18182	\N	\N	\N
79932	267	1998-10-07	VYDAJ	VYBER	3000	17004	\N	\N	\N
79973	268	1996-05-29	PRIJEM	VKLAD	500	500	\N	\N	\N
79979	268	1996-12-13	PRIJEM	VKLAD	23184	62561	\N	\N	\N
79983	268	1996-10-19	PRIJEM	VKLAD	29971	105279	\N	\N	\N
79984	268	1996-08-05	PRIJEM	VKLAD	33626	54526	\N	\N	\N
79985	268	1996-10-07	PRIJEM	VKLAD	39720	75308	\N	\N	\N
79987	268	1996-09-06	PRIJEM	VKLAD	11186	47637	\N	\N	\N
79990	268	1997-05-04	PRIJEM	VKLAD	24660	75343	\N	\N	\N
79991	268	1997-03-06	PRIJEM	VKLAD	29053	48021	\N	\N	\N
79992	268	1997-12-14	PRIJEM	VKLAD	38850	112435	\N	\N	\N
79993	268	1997-07-12	PRIJEM	VKLAD	16863	52095	\N	\N	\N
79994	268	1997-07-21	PRIJEM	VKLAD	20036	56802	\N	\N	\N
79995	268	1997-11-17	PRIJEM	VKLAD	35643	115966	\N	\N	\N
79996	268	1997-05-12	PRIJEM	VKLAD	37028	109250	\N	\N	\N
79997	268	1997-11-20	PRIJEM	VKLAD	35309	124186	\N	\N	\N
79998	268	1997-11-14	PRIJEM	VKLAD	49695	80323	\N	\N	\N
79999	268	1997-07-24	PRIJEM	VKLAD	20315	54590	\N	\N	\N
80000	268	1997-11-04	PRIJEM	VKLAD	13733	33749	\N	\N	\N
80001	268	1997-06-05	PRIJEM	VKLAD	47539	81170	\N	\N	\N
80002	268	1997-08-04	PRIJEM	VKLAD	41677	76996	\N	\N	\N
80003	268	1997-11-23	PRIJEM	VKLAD	10426	62512	\N	\N	\N
80004	268	1997-06-26	PRIJEM	VKLAD	35170	74352	\N	\N	\N
80005	268	1997-12-02	PRIJEM	VKLAD	19383	82106	\N	\N	\N
80006	268	1997-09-18	PRIJEM	VKLAD	48476	77155	\N	\N	\N
80007	268	1997-11-19	PRIJEM	VKLAD	28411	111477	\N	\N	\N
80008	268	1997-04-27	PRIJEM	VKLAD	33245	50601	\N	\N	\N
80009	268	1998-11-16	PRIJEM	VKLAD	38005	64794	\N	\N	\N
80010	268	1998-06-05	PRIJEM	VKLAD	25020	34666	\N	\N	\N
80011	268	1998-01-25	PRIJEM	VKLAD	21541	37549	\N	\N	\N
80012	268	1998-07-17	PRIJEM	VKLAD	43243	53379	\N	\N	\N
80013	268	1998-10-01	PRIJEM	VKLAD	18142	36336	\N	\N	\N
80026	268	1997-01-10	VYDAJ	PREVOD NA UCET	3121	21048	SIPO	OP	4418570
80027	268	1997-02-10	VYDAJ	PREVOD NA UCET	3121	16202	SIPO	OP	4418570
80028	268	1997-03-10	VYDAJ	PREVOD NA UCET	3121	44900	SIPO	OP	4418570
80029	268	1997-04-10	VYDAJ	PREVOD NA UCET	3121	15856	SIPO	OP	4418570
80030	268	1997-05-10	VYDAJ	PREVOD NA UCET	3121	72222	SIPO	OP	4418570
80031	268	1997-06-10	VYDAJ	PREVOD NA UCET	3121	78049	SIPO	OP	4418570
80032	268	1997-07-10	VYDAJ	PREVOD NA UCET	3121	35232	SIPO	OP	4418570
80033	268	1997-08-10	VYDAJ	PREVOD NA UCET	3121	67875	SIPO	OP	4418570
80034	268	1997-09-10	VYDAJ	PREVOD NA UCET	3121	28679	SIPO	OP	4418570
80035	268	1997-10-10	VYDAJ	PREVOD NA UCET	3121	44192	SIPO	OP	4418570
80036	268	1997-11-10	VYDAJ	PREVOD NA UCET	3121	30628	SIPO	OP	4418570
80037	268	1997-12-10	VYDAJ	PREVOD NA UCET	3121	73585	SIPO	OP	4418570
80038	268	1998-01-10	VYDAJ	PREVOD NA UCET	3121	24908	SIPO	OP	4418570
80039	268	1998-02-10	VYDAJ	PREVOD NA UCET	3121	25273	SIPO	OP	4418570
80040	268	1998-03-10	VYDAJ	PREVOD NA UCET	3121	16640	SIPO	OP	4418570
80041	268	1998-04-10	VYDAJ	PREVOD NA UCET	3121	12680	SIPO	OP	4418570
80042	268	1998-05-10	VYDAJ	PREVOD NA UCET	3121	9609	SIPO	OP	4418570
80043	268	1998-06-10	VYDAJ	PREVOD NA UCET	3121	28704	SIPO	OP	4418570
80044	268	1998-07-10	VYDAJ	PREVOD NA UCET	3121	10136	SIPO	OP	4418570
80045	268	1998-08-10	VYDAJ	PREVOD NA UCET	3121	29640	SIPO	OP	4418570
80046	268	1998-09-10	VYDAJ	PREVOD NA UCET	3121	20822	SIPO	OP	4418570
80047	268	1998-10-10	VYDAJ	PREVOD NA UCET	3121	33215	SIPO	OP	4418570
80048	268	1998-11-10	VYDAJ	PREVOD NA UCET	3121	25789	SIPO	OP	4418570
80049	268	1998-12-10	VYDAJ	PREVOD NA UCET	3121	61853	SIPO	OP	4418570
80050	268	1996-12-26	VYBER	VYBER	8209	29352	\N	\N	\N
80054	268	1997-10-20	VYBER	VYBER	14611	27181	\N	\N	\N
80055	268	1997-06-20	VYBER	VYBER	24967	53082	\N	\N	\N
80056	268	1997-08-11	VYBER	VYBER	3873	64002	\N	\N	\N
80058	268	1997-08-01	VYBER	VYBER	19454	35319	\N	\N	\N
80059	268	1997-06-03	VYBER	VYBER	23122	33631	\N	\N	\N
80060	268	1997-07-15	VYBER	VYBER	15329	36766	\N	\N	\N
80063	268	1997-12-18	VYBER	VYBER	14956	62179	\N	\N	\N
80064	268	1997-07-23	VYBER	VYBER	2227	54575	\N	\N	\N
80065	268	1997-07-04	VYBER	VYBER	15092	38353	\N	\N	\N
80066	268	1997-03-18	VYBER	VYBER	24216	20684	\N	\N	\N
80067	268	1997-07-03	VYBER	VYBER	8878	65745	\N	\N	\N
80071	268	1998-02-06	VYBER	VYBER	2355	28394	\N	\N	\N
80073	268	1998-06-10	VYBER	VYBER	2841	31825	\N	\N	\N
80083	268	1996-12-24	VYDAJ	VYBER	5700	56861	\N	\N	\N
80084	268	1997-12-05	VYDAJ	VYBER	5400	76706	\N	\N	\N
80085	268	1998-12-30	VYDAJ	VYBER	3000	37653	\N	\N	\N
80093	268	1997-01-10	VYDAJ	VYBER	3300	17748	\N	\N	\N
80096	268	1997-01-04	VYDAJ	VYBER	5400	24169	\N	\N	\N
80098	268	1998-01-06	VYDAJ	VYBER	5700	30429	\N	\N	\N
80099	268	1998-01-17	VYDAJ	VYBER	1500	23408	\N	\N	\N
80100	268	1998-01-08	VYDAJ	VYBER	2400	28029	\N	\N	\N
80102	268	1998-01-03	VYDAJ	VYBER	3000	36129	\N	\N	\N
80103	268	1998-01-26	VYDAJ	VYBER	6900	30649	\N	\N	\N
80107	268	1997-10-15	VYDAJ	VYBER	2400	41792	\N	\N	\N
80109	268	1997-07-03	VYDAJ	VYBER	12300	53445	\N	\N	\N
80110	268	1997-08-08	VYDAJ	VYBER	6000	70996	\N	\N	\N
80111	268	1997-08-14	VYDAJ	VYBER	14700	49302	\N	\N	\N
80128	268	1996-12-31	VYDAJ	VYBER	15	29569	SLUZBY	\N	\N
80129	268	1997-01-31	VYDAJ	VYBER	15	19323	SLUZBY	\N	\N
80130	268	1997-02-28	VYDAJ	VYBER	15	18968	SLUZBY	\N	\N
80131	268	1997-03-31	VYDAJ	VYBER	15	18977	SLUZBY	\N	\N
80132	268	1997-04-30	VYDAJ	VYBER	15	50683	SLUZBY	\N	\N
80133	268	1997-05-31	VYDAJ	VYBER	15	56753	SLUZBY	\N	\N
80134	268	1997-06-30	VYDAJ	VYBER	15	74623	SLUZBY	\N	\N
80135	268	1997-07-31	VYDAJ	VYBER	15	54773	SLUZBY	\N	\N
80136	268	1997-08-31	VYDAJ	VYBER	15	31800	SLUZBY	\N	\N
80137	268	1997-09-30	VYDAJ	VYBER	15	47313	SLUZBY	\N	\N
80138	268	1997-10-31	VYDAJ	VYBER	15	20016	SLUZBY	\N	\N
80139	268	1997-11-30	VYDAJ	VYBER	15	62723	SLUZBY	\N	\N
80140	268	1997-12-31	VYDAJ	VYBER	15	39129	SLUZBY	\N	\N
80141	268	1998-01-31	VYDAJ	VYBER	15	30749	SLUZBY	\N	\N
80142	268	1998-02-28	VYDAJ	VYBER	15	19761	SLUZBY	\N	\N
80143	268	1998-03-31	VYDAJ	VYBER	15	15801	SLUZBY	\N	\N
80144	268	1998-04-30	VYDAJ	VYBER	15	12730	SLUZBY	\N	\N
80145	268	1998-05-31	VYDAJ	VYBER	15	9646	SLUZBY	\N	\N
80146	268	1998-06-30	VYDAJ	VYBER	15	13257	SLUZBY	\N	\N
80147	268	1998-07-31	VYDAJ	VYBER	15	32761	SLUZBY	\N	\N
80148	268	1998-08-31	VYDAJ	VYBER	15	23943	SLUZBY	\N	\N
80149	268	1998-09-30	VYDAJ	VYBER	15	18194	SLUZBY	\N	\N
80150	268	1998-10-31	VYDAJ	VYBER	15	28910	SLUZBY	\N	\N
80151	268	1998-11-30	VYDAJ	VYBER	15	64974	SLUZBY	\N	\N
80152	268	1996-06-28	PRIJEM	VKLAD	10800	11300	\N	\N	\N
80153	268	1996-07-28	PRIJEM	VKLAD	9600	20900	\N	\N	\N
80154	268	1996-08-27	VYDAJ	VYBER	18100	36426	\N	\N	\N
80155	268	1996-09-26	VYDAJ	VYBER	12200	35437	\N	\N	\N
80156	268	1996-10-26	VYDAJ	VYBER	42200	63079	\N	\N	\N
80157	268	1996-11-25	VYDAJ	VYBER	24200	39114	\N	\N	\N
80158	268	1996-12-25	VYDAJ	VYBER	19300	37561	\N	\N	\N
80159	268	1997-01-24	PRIJEM	VKLAD	1500	19248	\N	\N	\N
80160	268	1997-02-23	PRIJEM	VKLAD	2700	18902	\N	\N	\N
80161	268	1997-03-25	VYDAJ	VYBER	1800	18884	\N	\N	\N
80162	268	1997-04-24	PRIJEM	VKLAD	1500	17356	\N	\N	\N
80163	268	1997-05-12	VYDAJ	VYBER	19700	89550	\N	\N	\N
80164	268	1997-05-24	VYDAJ	VYBER	33100	56450	\N	\N	\N
80165	268	1997-06-23	VYDAJ	VYBER	13900	39182	\N	\N	\N
80166	268	1997-07-23	VYDAJ	VYBER	20300	34275	\N	\N	\N
80167	268	1997-08-22	VYDAJ	VYBER	17700	31602	\N	\N	\N
80168	268	1997-09-21	VYDAJ	VYBER	30000	47155	\N	\N	\N
80169	268	1997-10-21	VYDAJ	VYBER	7300	19881	\N	\N	\N
80170	268	1997-11-17	VYDAJ	VYBER	32900	83066	\N	\N	\N
80171	268	1997-11-19	VYDAJ	VYBER	22600	88877	\N	\N	\N
80172	268	1997-11-20	VYDAJ	VYBER	35700	52086	\N	\N	\N
80173	268	1997-11-20	VYDAJ	VYBER	36400	87786	\N	\N	\N
80174	268	1997-12-14	VYDAJ	VYBER	35300	77135	\N	\N	\N
80175	268	1997-12-20	VYDAJ	VYBER	23300	38879	\N	\N	\N
80176	268	1998-01-19	VYDAJ	VYBER	7400	16008	\N	\N	\N
80177	268	1998-02-18	VYDAJ	VYBER	5600	19673	\N	\N	\N
80178	268	1998-03-20	VYDAJ	VYBER	900	15740	\N	\N	\N
80179	268	1998-06-18	VYDAJ	VYBER	15500	13204	\N	\N	\N
80180	268	1998-07-18	VYDAJ	VYBER	20700	32679	\N	\N	\N
80181	268	1998-08-17	VYDAJ	VYBER	5800	23840	\N	\N	\N
80182	268	1998-09-16	VYDAJ	VYBER	2700	18122	\N	\N	\N
80183	268	1998-10-16	VYDAJ	VYBER	4400	28815	\N	\N	\N
80184	268	1998-11-15	PRIJEM	VKLAD	1000	26789	\N	\N	\N
80185	268	1998-12-15	VYDAJ	VYBER	21200	40653	\N	\N	\N
80215	269	1996-08-30	PRIJEM	VKLAD	700	700	\N	\N	\N
80224	269	1996-09-12	PRIJEM	PREVOD Z UCTU	3219	3919	\N	MN	72983729
80225	269	1996-10-12	PRIJEM	PREVOD Z UCTU	3219	19142	\N	MN	72983729
80226	269	1996-11-12	PRIJEM	PREVOD Z UCTU	3219	25430	\N	MN	72983729
80227	269	1996-12-12	PRIJEM	PREVOD Z UCTU	3219	30444	\N	MN	72983729
80228	269	1997-01-12	PRIJEM	PREVOD Z UCTU	3219	30676	\N	MN	72983729
80229	269	1997-02-12	PRIJEM	PREVOD Z UCTU	3219	28452	\N	MN	72983729
80230	269	1997-03-12	PRIJEM	PREVOD Z UCTU	3219	30526	\N	MN	72983729
80231	269	1997-04-12	PRIJEM	PREVOD Z UCTU	3219	29537	\N	MN	72983729
80232	269	1997-05-12	PRIJEM	PREVOD Z UCTU	3219	30455	\N	MN	72983729
80233	269	1997-06-12	PRIJEM	PREVOD Z UCTU	3219	23825	\N	MN	72983729
80234	269	1997-07-12	PRIJEM	PREVOD Z UCTU	3219	26281	\N	MN	72983729
80235	269	1997-08-12	PRIJEM	PREVOD Z UCTU	3219	26215	\N	MN	72983729
80236	269	1997-09-12	PRIJEM	PREVOD Z UCTU	3219	26379	\N	MN	72983729
80237	269	1997-10-12	PRIJEM	PREVOD Z UCTU	3219	31748	\N	MN	72983729
80238	269	1997-11-12	PRIJEM	PREVOD Z UCTU	3219	28712	\N	MN	72983729
80239	269	1997-12-12	PRIJEM	PREVOD Z UCTU	3219	26083	\N	MN	72983729
80240	269	1998-01-12	PRIJEM	PREVOD Z UCTU	3219	22354	\N	MN	72983729
80241	269	1998-02-12	PRIJEM	PREVOD Z UCTU	3219	22931	\N	MN	72983729
80242	269	1998-03-12	PRIJEM	PREVOD Z UCTU	3219	27185	\N	MN	72983729
80243	269	1998-04-12	PRIJEM	PREVOD Z UCTU	3219	26432	\N	MN	72983729
80244	269	1998-05-12	PRIJEM	PREVOD Z UCTU	3219	27638	\N	MN	72983729
80245	269	1998-06-12	PRIJEM	PREVOD Z UCTU	3219	22241	\N	MN	72983729
80246	269	1998-07-12	PRIJEM	PREVOD Z UCTU	3219	29599	\N	MN	72983729
80247	269	1998-08-12	PRIJEM	PREVOD Z UCTU	3219	32280	\N	MN	72983729
80248	269	1998-09-12	PRIJEM	PREVOD Z UCTU	3219	33469	\N	MN	72983729
80249	269	1998-10-12	PRIJEM	PREVOD Z UCTU	3219	37468	\N	MN	72983729
80250	269	1998-11-12	PRIJEM	PREVOD Z UCTU	3219	43387	\N	MN	72983729
80251	269	1998-12-12	PRIJEM	PREVOD Z UCTU	3219	42460	\N	MN	72983729
80265	269	1997-02-06	VYDAJ	PREVOD NA UCET	456	26923	SIPO	QR	7832789
80266	269	1997-03-06	VYDAJ	PREVOD NA UCET	456	28997	SIPO	QR	7832789
80267	269	1997-04-06	VYDAJ	PREVOD NA UCET	456	28008	SIPO	QR	7832789
80268	269	1997-05-06	VYDAJ	PREVOD NA UCET	456	28926	SIPO	QR	7832789
80269	269	1997-06-06	VYDAJ	PREVOD NA UCET	456	22296	SIPO	QR	7832789
80270	269	1997-07-06	VYDAJ	PREVOD NA UCET	456	24752	SIPO	QR	7832789
80271	269	1997-08-06	VYDAJ	PREVOD NA UCET	456	24686	SIPO	QR	7832789
80272	269	1997-09-06	VYDAJ	PREVOD NA UCET	456	24850	SIPO	QR	7832789
80273	269	1997-10-06	VYDAJ	PREVOD NA UCET	456	30219	SIPO	QR	7832789
80274	269	1997-11-06	VYDAJ	PREVOD NA UCET	456	27183	SIPO	QR	7832789
80275	269	1997-12-06	VYDAJ	PREVOD NA UCET	456	24554	SIPO	QR	7832789
80276	269	1998-01-06	VYDAJ	PREVOD NA UCET	456	21665	SIPO	QR	7832789
80277	269	1998-02-06	VYDAJ	PREVOD NA UCET	456	21402	SIPO	QR	7832789
80278	269	1998-03-06	VYDAJ	PREVOD NA UCET	456	25656	SIPO	QR	7832789
80279	269	1998-04-06	VYDAJ	PREVOD NA UCET	456	24903	SIPO	QR	7832789
80280	269	1998-05-06	VYDAJ	PREVOD NA UCET	456	26769	SIPO	QR	7832789
80281	269	1998-06-06	VYDAJ	PREVOD NA UCET	456	29382	SIPO	QR	7832789
80282	269	1998-07-06	VYDAJ	PREVOD NA UCET	456	28070	SIPO	QR	7832789
80283	269	1998-08-06	VYDAJ	PREVOD NA UCET	456	30751	SIPO	QR	7832789
80284	269	1998-09-06	VYDAJ	PREVOD NA UCET	456	31940	SIPO	QR	7832789
80285	269	1998-10-06	VYDAJ	PREVOD NA UCET	456	35939	SIPO	QR	7832789
80286	269	1998-11-06	VYDAJ	PREVOD NA UCET	456	41858	SIPO	QR	7832789
80287	269	1998-12-06	VYDAJ	PREVOD NA UCET	456	41591	SIPO	QR	7832789
80301	269	1997-02-07	VYDAJ	PREVOD NA UCET	1690	25233	 	YZ	55865961
80302	269	1997-03-07	VYDAJ	PREVOD NA UCET	1690	27307	 	YZ	55865961
80303	269	1997-04-07	VYDAJ	PREVOD NA UCET	1690	26318	 	YZ	55865961
80304	269	1997-05-07	VYDAJ	PREVOD NA UCET	1690	27236	 	YZ	55865961
80305	269	1997-06-07	VYDAJ	PREVOD NA UCET	1690	20606	 	YZ	55865961
80306	269	1997-07-07	VYDAJ	PREVOD NA UCET	1690	23062	 	YZ	55865961
80307	269	1997-08-07	VYDAJ	PREVOD NA UCET	1690	22996	 	YZ	55865961
80308	269	1997-09-07	VYDAJ	PREVOD NA UCET	1690	23160	 	YZ	55865961
80309	269	1997-10-07	VYDAJ	PREVOD NA UCET	1690	28529	 	YZ	55865961
80310	269	1997-11-07	VYDAJ	PREVOD NA UCET	1690	25493	 	YZ	55865961
80311	269	1997-12-07	VYDAJ	PREVOD NA UCET	1690	22864	 	YZ	55865961
80312	269	1998-01-07	VYDAJ	PREVOD NA UCET	1690	19135	 	YZ	55865961
80313	269	1998-02-07	VYDAJ	PREVOD NA UCET	1690	19712	 	YZ	55865961
80314	269	1998-03-07	VYDAJ	PREVOD NA UCET	1690	23966	 	YZ	55865961
80315	269	1998-04-07	VYDAJ	PREVOD NA UCET	1690	23213	 	YZ	55865961
80316	269	1998-05-07	VYDAJ	PREVOD NA UCET	1690	24419	 	YZ	55865961
80317	269	1998-06-07	VYDAJ	PREVOD NA UCET	1690	27692	 	YZ	55865961
80318	269	1998-07-07	VYDAJ	PREVOD NA UCET	1690	26380	 	YZ	55865961
80319	269	1998-08-07	VYDAJ	PREVOD NA UCET	1690	29061	 	YZ	55865961
80320	269	1998-09-07	VYDAJ	PREVOD NA UCET	1690	30250	 	YZ	55865961
80321	269	1998-10-07	VYDAJ	PREVOD NA UCET	1690	34249	 	YZ	55865961
80322	269	1998-11-07	VYDAJ	PREVOD NA UCET	1690	40168	 	YZ	55865961
80323	269	1998-12-07	VYDAJ	PREVOD NA UCET	1690	39901	 	YZ	55865961
80325	269	1997-06-02	VYDAJ	VYBER	3600	22962	\N	\N	\N
80326	269	1998-06-09	VYDAJ	VYBER	8670	19022	\N	\N	\N
80328	269	1997-01-17	VYDAJ	VYBER	600	29506	\N	\N	\N
80329	269	1998-01-20	VYDAJ	VYBER	2160	19444	\N	\N	\N
80331	269	1997-12-27	VYDAJ	VYBER	630	23653	\N	\N	\N
80332	269	1998-12-08	VYDAJ	VYBER	660	39241	\N	\N	\N
80339	269	1997-01-15	VYDAJ	VYBER	570	30106	\N	\N	\N
80340	269	1997-01-24	VYDAJ	VYBER	540	28666	\N	\N	\N
80341	269	1997-01-30	VYDAJ	VYBER	690	27276	\N	\N	\N
80344	269	1997-01-24	VYDAJ	VYBER	300	29206	\N	\N	\N
80345	269	1998-01-05	VYDAJ	VYBER	210	22121	\N	\N	\N
80346	269	1998-01-20	VYDAJ	VYBER	660	18784	\N	\N	\N
80347	269	1998-01-12	VYDAJ	VYBER	750	21604	\N	\N	\N
80348	269	1998-01-06	VYDAJ	VYBER	840	20825	\N	\N	\N
80349	269	1998-01-04	VYDAJ	VYBER	570	22331	\N	\N	\N
80350	269	1998-01-02	VYDAJ	VYBER	840	22901	\N	\N	\N
80354	269	1997-10-31	VYDAJ	VYBER	1470	27654	\N	\N	\N
80355	269	1997-08-03	VYDAJ	VYBER	330	25142	\N	\N	\N
80356	269	1997-03-17	VYDAJ	VYBER	270	30256	\N	\N	\N
80357	269	1997-06-03	VYDAJ	VYBER	210	22752	\N	\N	\N
80358	269	1997-04-12	VYDAJ	VYBER	660	28877	\N	\N	\N
80359	269	1997-10-20	VYDAJ	VYBER	150	31598	\N	\N	\N
80360	269	1998-05-06	VYDAJ	VYBER	660	26109	\N	\N	\N
80361	269	1998-03-23	VYDAJ	VYBER	420	25265	\N	\N	\N
80362	269	1998-07-01	VYDAJ	VYBER	1110	28526	\N	\N	\N
80376	269	1997-01-31	VYDAJ	VYBER	15	27379	SLUZBY	\N	\N
80377	269	1997-02-28	VYDAJ	VYBER	15	29453	SLUZBY	\N	\N
80378	269	1997-03-31	VYDAJ	VYBER	15	28464	SLUZBY	\N	\N
80379	269	1997-04-30	VYDAJ	VYBER	15	29382	SLUZBY	\N	\N
80380	269	1997-05-31	VYDAJ	VYBER	15	26562	SLUZBY	\N	\N
80381	269	1997-06-30	VYDAJ	VYBER	15	25208	SLUZBY	\N	\N
80382	269	1997-07-31	VYDAJ	VYBER	15	25472	SLUZBY	\N	\N
80383	269	1997-08-31	VYDAJ	VYBER	15	25306	SLUZBY	\N	\N
80384	269	1997-09-30	VYDAJ	VYBER	15	30675	SLUZBY	\N	\N
80385	269	1997-10-31	VYDAJ	VYBER	15	27639	SLUZBY	\N	\N
80386	269	1997-11-30	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
80387	269	1997-12-31	VYDAJ	VYBER	15	23741	SLUZBY	\N	\N
80388	269	1998-01-31	VYDAJ	VYBER	15	21858	SLUZBY	\N	\N
80389	269	1998-02-28	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
80390	269	1998-03-31	VYDAJ	VYBER	15	25359	SLUZBY	\N	\N
80391	269	1998-04-30	VYDAJ	VYBER	15	27225	SLUZBY	\N	\N
80392	269	1998-05-31	VYDAJ	VYBER	15	29838	SLUZBY	\N	\N
80393	269	1998-06-30	VYDAJ	VYBER	15	29636	SLUZBY	\N	\N
80394	269	1998-07-31	VYDAJ	VYBER	15	31207	SLUZBY	\N	\N
80395	269	1998-08-31	VYDAJ	VYBER	15	32396	SLUZBY	\N	\N
80396	269	1998-09-30	VYDAJ	VYBER	15	36395	SLUZBY	\N	\N
80397	269	1998-10-31	VYDAJ	VYBER	15	42314	SLUZBY	\N	\N
80398	269	1998-11-30	VYDAJ	VYBER	15	42047	SLUZBY	\N	\N
80399	269	1996-09-29	PRIJEM	VKLAD	12000	15919	\N	\N	\N
80400	269	1996-10-29	PRIJEM	VKLAD	3000	22142	\N	\N	\N
80401	269	1996-11-28	PRIJEM	VKLAD	1700	27130	\N	\N	\N
80402	269	1996-12-28	VYDAJ	VYBER	3100	27344	\N	\N	\N
80403	269	1997-01-27	VYDAJ	VYBER	700	27966	\N	\N	\N
80404	269	1997-02-26	PRIJEM	VKLAD	900	29352	\N	\N	\N
80405	269	1997-03-28	VYDAJ	VYBER	1900	28356	\N	\N	\N
80406	269	1997-04-27	PRIJEM	VKLAD	400	29277	\N	\N	\N
80407	269	1997-05-27	VYDAJ	VYBER	4000	26455	\N	\N	\N
80408	269	1997-06-26	PRIJEM	VKLAD	1300	25125	\N	\N	\N
80409	269	1997-07-26	VYDAJ	VYBER	900	25381	\N	\N	\N
80410	269	1997-08-25	VYDAJ	VYBER	1000	25215	\N	\N	\N
80411	269	1997-09-24	PRIJEM	VKLAD	4200	30579	\N	\N	\N
80412	269	1997-10-24	VYDAJ	VYBER	2600	28998	\N	\N	\N
80413	269	1997-11-23	VYDAJ	VYBER	3800	24912	\N	\N	\N
80414	269	1997-12-23	VYDAJ	VYBER	1800	24283	\N	\N	\N
80415	269	1998-01-22	PRIJEM	VKLAD	3000	21784	\N	\N	\N
80416	269	1998-02-21	PRIJEM	VKLAD	3100	26031	\N	\N	\N
80417	269	1998-03-23	VYDAJ	VYBER	1500	25685	\N	\N	\N
80418	269	1998-04-22	PRIJEM	VKLAD	700	27132	\N	\N	\N
80419	269	1998-05-22	PRIJEM	VKLAD	2100	29738	\N	\N	\N
80420	269	1998-06-21	PRIJEM	VKLAD	7300	29541	\N	\N	\N
80421	269	1998-07-21	PRIJEM	VKLAD	1500	31099	\N	\N	\N
80422	269	1998-09-19	PRIJEM	VKLAD	2800	36269	\N	\N	\N
80423	269	1998-10-19	PRIJEM	VKLAD	4700	42168	\N	\N	\N
80424	269	1998-11-18	VYDAJ	VYBER	1500	41887	\N	\N	\N
80453	270	1995-01-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
80455	270	1995-02-14	PRIJEM	VKLAD	23757	24857	\N	\N	\N
80456	270	1995-03-14	PRIJEM	VKLAD	23757	48540	\N	\N	\N
80457	270	1995-04-14	PRIJEM	VKLAD	23757	60413	\N	\N	\N
80458	270	1995-05-14	PRIJEM	VKLAD	23757	65327	\N	\N	\N
80459	270	1995-06-14	PRIJEM	VKLAD	35636	80440	\N	\N	\N
80460	270	1995-07-14	PRIJEM	VKLAD	23757	53454	\N	\N	\N
80461	270	1995-08-14	PRIJEM	VKLAD	23757	58007	\N	\N	\N
80462	270	1995-09-14	PRIJEM	VKLAD	23757	61597	\N	\N	\N
80463	270	1995-10-14	PRIJEM	VKLAD	23757	62144	\N	\N	\N
80464	270	1995-11-14	PRIJEM	VKLAD	23757	64530	\N	\N	\N
80465	270	1995-12-14	PRIJEM	VKLAD	35636	72071	\N	\N	\N
80466	270	1996-01-14	PRIJEM	VKLAD	23757	59122	\N	\N	\N
80467	270	1996-02-14	PRIJEM	VKLAD	23757	66305	\N	\N	\N
80468	270	1996-03-14	PRIJEM	VKLAD	23757	70500	\N	\N	\N
80469	270	1996-04-14	PRIJEM	VKLAD	23757	69608	\N	\N	\N
80470	270	1996-05-14	PRIJEM	VKLAD	23757	71030	\N	\N	\N
80471	270	1996-06-14	PRIJEM	VKLAD	35636	80342	\N	\N	\N
80472	270	1996-07-14	PRIJEM	VKLAD	23757	75719	\N	\N	\N
80473	270	1996-08-14	PRIJEM	VKLAD	23757	75540	\N	\N	\N
80474	270	1996-09-14	PRIJEM	VKLAD	23757	73556	\N	\N	\N
80475	270	1996-10-14	PRIJEM	VKLAD	23757	72995	\N	\N	\N
80476	270	1996-11-14	PRIJEM	VKLAD	23757	67312	\N	\N	\N
80477	270	1996-12-14	PRIJEM	VKLAD	35636	83135	\N	\N	\N
80478	270	1997-01-14	PRIJEM	VKLAD	23757	78925	\N	\N	\N
80479	270	1997-02-14	PRIJEM	VKLAD	23757	75658	\N	\N	\N
80480	270	1997-03-14	PRIJEM	VKLAD	23757	77595	\N	\N	\N
80481	270	1997-04-14	PRIJEM	VKLAD	23757	79089	\N	\N	\N
80482	270	1997-05-14	PRIJEM	VKLAD	23757	81709	\N	\N	\N
80483	270	1997-06-14	PRIJEM	VKLAD	35636	78136	\N	\N	\N
80484	270	1997-07-14	PRIJEM	VKLAD	23757	78619	\N	\N	\N
80485	270	1997-08-14	PRIJEM	VKLAD	23757	85413	\N	\N	\N
80486	270	1997-09-14	PRIJEM	VKLAD	23757	86328	\N	\N	\N
80487	270	1997-10-14	PRIJEM	VKLAD	23757	86649	\N	\N	\N
80488	270	1997-11-14	PRIJEM	VKLAD	23757	82986	\N	\N	\N
80489	270	1997-12-14	PRIJEM	VKLAD	35636	88571	\N	\N	\N
80490	270	1998-01-14	PRIJEM	VKLAD	23757	73819	\N	\N	\N
80491	270	1998-02-14	PRIJEM	VKLAD	23757	75684	\N	\N	\N
80492	270	1998-03-14	PRIJEM	VKLAD	23757	76492	\N	\N	\N
80493	270	1998-04-14	PRIJEM	VKLAD	23757	77570	\N	\N	\N
80494	270	1998-05-14	PRIJEM	VKLAD	23757	74054	\N	\N	\N
80495	270	1998-06-14	PRIJEM	VKLAD	35636	69658	\N	\N	\N
80496	270	1998-07-14	PRIJEM	VKLAD	23757	76295	\N	\N	\N
80497	270	1998-08-14	PRIJEM	VKLAD	23757	82866	\N	\N	\N
80498	270	1998-09-14	PRIJEM	VKLAD	23757	89366	\N	\N	\N
80499	270	1998-10-14	PRIJEM	VKLAD	23757	96292	\N	\N	\N
80500	270	1998-11-14	PRIJEM	VKLAD	23757	101147	\N	\N	\N
80501	270	1998-12-14	PRIJEM	VKLAD	35636	116900	\N	\N	\N
80508	270	1995-07-09	VYDAJ	PREVOD NA UCET	5462	29697	SIPO	QR	95370232
80509	270	1995-08-09	VYDAJ	PREVOD NA UCET	5462	34250	SIPO	QR	95370232
80510	270	1995-09-09	VYDAJ	PREVOD NA UCET	5462	37840	SIPO	QR	95370232
80511	270	1995-10-09	VYDAJ	PREVOD NA UCET	5462	42827	SIPO	QR	95370232
80512	270	1995-11-09	VYDAJ	PREVOD NA UCET	5462	40773	SIPO	QR	95370232
80513	270	1995-12-09	VYDAJ	PREVOD NA UCET	5462	36435	SIPO	QR	95370232
80514	270	1996-01-09	VYDAJ	PREVOD NA UCET	5462	46405	SIPO	QR	95370232
80515	270	1996-02-09	VYDAJ	PREVOD NA UCET	5462	42548	SIPO	QR	95370232
80516	270	1996-03-09	VYDAJ	PREVOD NA UCET	5462	46743	SIPO	QR	95370232
80517	270	1996-04-09	VYDAJ	PREVOD NA UCET	5462	45851	SIPO	QR	95370232
80518	270	1996-05-09	VYDAJ	PREVOD NA UCET	5462	47273	SIPO	QR	95370232
80519	270	1996-06-09	VYDAJ	PREVOD NA UCET	5462	44706	SIPO	QR	95370232
80520	270	1996-07-09	VYDAJ	PREVOD NA UCET	5462	51962	SIPO	QR	95370232
80521	270	1996-08-09	VYDAJ	PREVOD NA UCET	5462	51783	SIPO	QR	95370232
80522	270	1996-09-09	VYDAJ	PREVOD NA UCET	5462	49799	SIPO	QR	95370232
80523	270	1996-10-09	VYDAJ	PREVOD NA UCET	5462	49238	SIPO	QR	95370232
80524	270	1996-11-09	VYDAJ	PREVOD NA UCET	5462	53455	SIPO	QR	95370232
80525	270	1996-12-09	VYDAJ	PREVOD NA UCET	5462	62099	SIPO	QR	95370232
80526	270	1997-01-09	VYDAJ	PREVOD NA UCET	5462	74768	SIPO	QR	95370232
80527	270	1997-02-09	VYDAJ	PREVOD NA UCET	5462	65601	SIPO	QR	95370232
80528	270	1997-03-09	VYDAJ	PREVOD NA UCET	5462	69638	SIPO	QR	95370232
80529	270	1997-04-09	VYDAJ	PREVOD NA UCET	5462	72432	SIPO	QR	95370232
80530	270	1997-05-09	VYDAJ	PREVOD NA UCET	5462	72252	SIPO	QR	95370232
80531	270	1997-06-09	VYDAJ	PREVOD NA UCET	5462	39600	SIPO	QR	95370232
80532	270	1997-07-09	VYDAJ	PREVOD NA UCET	5462	67562	SIPO	QR	95370232
80533	270	1997-08-09	VYDAJ	PREVOD NA UCET	5462	73456	SIPO	QR	95370232
80534	270	1997-09-09	VYDAJ	PREVOD NA UCET	5462	62571	SIPO	QR	95370232
80535	270	1997-10-09	VYDAJ	PREVOD NA UCET	5462	81192	SIPO	QR	95370232
80536	270	1997-11-09	VYDAJ	PREVOD NA UCET	5462	59229	SIPO	QR	95370232
80537	270	1997-12-09	VYDAJ	PREVOD NA UCET	5462	52935	SIPO	QR	95370232
80538	270	1998-01-09	VYDAJ	PREVOD NA UCET	5462	50062	SIPO	QR	95370232
80539	270	1998-02-09	VYDAJ	PREVOD NA UCET	5462	54447	SIPO	QR	95370232
80540	270	1998-03-09	VYDAJ	PREVOD NA UCET	5462	52735	SIPO	QR	95370232
80541	270	1998-04-09	VYDAJ	PREVOD NA UCET	5462	53813	SIPO	QR	95370232
80542	270	1998-05-09	VYDAJ	PREVOD NA UCET	5462	50297	SIPO	QR	95370232
80543	270	1998-06-09	VYDAJ	PREVOD NA UCET	5462	39222	SIPO	QR	95370232
80544	270	1998-07-09	VYDAJ	PREVOD NA UCET	5462	52538	SIPO	QR	95370232
80545	270	1998-08-09	VYDAJ	PREVOD NA UCET	5462	59109	SIPO	QR	95370232
80546	270	1998-09-09	VYDAJ	PREVOD NA UCET	5462	65609	SIPO	QR	95370232
80547	270	1998-10-09	VYDAJ	PREVOD NA UCET	5462	72535	SIPO	QR	95370232
80548	270	1998-11-09	VYDAJ	PREVOD NA UCET	5462	77390	SIPO	QR	95370232
80549	270	1998-12-09	VYDAJ	PREVOD NA UCET	5462	81264	SIPO	QR	95370232
80550	270	1995-06-19	VYDAJ	VYBER	35040	45400	\N	\N	\N
80551	270	1996-06-08	VYDAJ	VYBER	5280	50168	\N	\N	\N
80552	270	1997-06-02	VYDAJ	VYBER	36960	45062	\N	\N	\N
80553	270	1998-06-01	VYDAJ	VYBER	26240	44984	\N	\N	\N
80555	270	1996-01-10	VYDAJ	VYBER	7200	35365	\N	\N	\N
80556	270	1997-01-21	VYDAJ	VYBER	8160	70765	\N	\N	\N
80557	270	1998-01-04	VYDAJ	VYBER	13120	73524	\N	\N	\N
80558	270	1995-12-04	VYDAJ	VYBER	2400	41897	\N	\N	\N
80559	270	1996-12-19	VYDAJ	VYBER	3200	79935	\N	\N	\N
80560	270	1997-12-19	VYDAJ	VYBER	2240	86331	\N	\N	\N
80561	270	1998-12-28	VYDAJ	VYBER KARTOU	1400	88800	\N	\N	0
80562	270	1995-11-17	VYDAJ	VYBER	3120	61410	\N	\N	\N
80563	270	1995-08-31	VYDAJ	VYBER	1680	43302	\N	\N	\N
80565	270	1995-10-12	VYDAJ	VYBER	4440	38387	\N	\N	\N
80566	270	1996-01-09	VYDAJ	VYBER	3840	42565	\N	\N	\N
80567	270	1996-07-07	VYDAJ	VYBER	1440	57424	\N	\N	\N
80568	270	1996-09-18	VYDAJ	VYBER	1680	54476	\N	\N	\N
80569	270	1996-04-07	VYDAJ	VYBER	1200	51313	\N	\N	\N
80570	270	1996-04-20	VYDAJ	VYBER	1680	52528	\N	\N	\N
80571	270	1997-11-23	VYDAJ	VYBER	5400	77586	\N	\N	\N
80572	270	1997-03-03	VYDAJ	VYBER	840	75100	\N	\N	\N
80573	270	1997-05-06	VYDAJ	VYBER	1680	77714	\N	\N	\N
80574	270	1997-07-04	VYDAJ	VYBER	5400	73024	\N	\N	\N
80575	270	1998-03-07	VYDAJ	VYBER	5160	70797	\N	\N	\N
80576	270	1998-06-30	VYDAJ	VYBER KARTOU	1300	68614	\N	\N	0
80577	270	1998-06-13	VYDAJ	VYBER KARTOU	5200	34022	\N	\N	0
80578	270	1998-05-22	VYDAJ	VYBER KARTOU	3100	70954	\N	\N	0
80579	270	1998-04-30	VYDAJ	VYBER KARTOU	4300	73559	\N	\N	0
80580	270	1998-02-13	VYDAJ	VYBER	2520	51927	\N	\N	\N
80581	270	1998-11-17	VYDAJ	VYBER KARTOU	1200	99947	\N	\N	0
80582	270	1998-01-18	VYDAJ	VYBER	5880	67939	\N	\N	\N
80589	270	1995-06-30	VYDAJ	VYBER	15	35159	SLUZBY	\N	\N
80590	270	1995-07-31	VYDAJ	VYBER	15	39712	SLUZBY	\N	\N
80591	270	1995-08-31	VYDAJ	VYBER	15	44982	SLUZBY	\N	\N
80592	270	1995-09-30	VYDAJ	VYBER	15	48289	SLUZBY	\N	\N
80593	270	1995-10-31	VYDAJ	VYBER	15	46235	SLUZBY	\N	\N
80594	270	1995-11-30	VYDAJ	VYBER	15	44297	SLUZBY	\N	\N
80595	270	1995-12-31	VYDAJ	VYBER	15	51867	SLUZBY	\N	\N
80596	270	1996-01-31	VYDAJ	VYBER	15	48010	SLUZBY	\N	\N
80597	270	1996-02-29	VYDAJ	VYBER	15	52205	SLUZBY	\N	\N
80598	270	1996-03-31	VYDAJ	VYBER	15	52513	SLUZBY	\N	\N
80599	270	1996-04-30	VYDAJ	VYBER	15	52735	SLUZBY	\N	\N
80600	270	1996-05-31	VYDAJ	VYBER	15	55448	SLUZBY	\N	\N
80601	270	1996-06-30	VYDAJ	VYBER	15	58864	SLUZBY	\N	\N
80602	270	1996-07-31	VYDAJ	VYBER	15	57245	SLUZBY	\N	\N
80603	270	1996-08-31	VYDAJ	VYBER	15	55261	SLUZBY	\N	\N
80604	270	1996-09-30	VYDAJ	VYBER	15	54700	SLUZBY	\N	\N
80605	270	1996-10-31	VYDAJ	VYBER	15	58917	SLUZBY	\N	\N
80606	270	1996-11-30	VYDAJ	VYBER	15	67561	SLUZBY	\N	\N
80607	270	1996-12-31	VYDAJ	VYBER	15	80230	SLUZBY	\N	\N
80608	270	1997-01-31	VYDAJ	VYBER	15	71063	SLUZBY	\N	\N
80609	270	1997-02-28	VYDAJ	VYBER	15	75940	SLUZBY	\N	\N
80610	270	1997-03-31	VYDAJ	VYBER	15	77894	SLUZBY	\N	\N
80611	270	1997-04-30	VYDAJ	VYBER	15	79394	SLUZBY	\N	\N
80612	270	1997-05-31	VYDAJ	VYBER	15	82022	SLUZBY	\N	\N
80613	270	1997-06-30	VYDAJ	VYBER	15	78424	SLUZBY	\N	\N
80614	270	1997-07-31	VYDAJ	VYBER	15	78918	SLUZBY	\N	\N
80615	270	1997-08-31	VYDAJ	VYBER	15	85733	SLUZBY	\N	\N
80616	270	1997-09-30	VYDAJ	VYBER	15	86654	SLUZBY	\N	\N
80617	270	1997-10-31	VYDAJ	VYBER	15	86991	SLUZBY	\N	\N
80618	270	1997-11-30	VYDAJ	VYBER	15	77897	SLUZBY	\N	\N
80619	270	1997-12-31	VYDAJ	VYBER	15	86644	SLUZBY	\N	\N
80620	270	1998-01-31	VYDAJ	VYBER	15	68209	SLUZBY	\N	\N
80621	270	1998-02-28	VYDAJ	VYBER	15	75957	SLUZBY	\N	\N
80622	270	1998-03-31	VYDAJ	VYBER	15	76775	SLUZBY	\N	\N
80623	270	1998-04-30	VYDAJ	VYBER	15	77859	SLUZBY	\N	\N
80624	270	1998-05-31	VYDAJ	VYBER	15	71224	SLUZBY	\N	\N
80625	270	1998-06-30	VYDAJ	VYBER	15	68600	SLUZBY	\N	\N
80626	270	1998-07-31	VYDAJ	VYBER	15	76571	SLUZBY	\N	\N
80627	270	1998-08-31	VYDAJ	VYBER	15	83171	SLUZBY	\N	\N
80628	270	1998-09-30	VYDAJ	VYBER	15	89697	SLUZBY	\N	\N
80629	270	1998-10-31	VYDAJ	VYBER	15	96652	SLUZBY	\N	\N
80630	270	1998-11-30	VYDAJ	VYBER	15	100326	SLUZBY	\N	\N
80631	270	1995-02-22	VYDAJ	VYBER	100	24757	\N	\N	\N
80632	270	1995-03-24	VYDAJ	VYBER	12000	36540	\N	\N	\N
80633	270	1995-04-23	VYDAJ	VYBER	19000	41413	\N	\N	\N
80634	270	1995-05-23	VYDAJ	VYBER	20700	44627	\N	\N	\N
80635	270	1995-06-22	VYDAJ	VYBER	10400	35000	\N	\N	\N
80636	270	1995-07-22	VYDAJ	VYBER	13900	39554	\N	\N	\N
80637	270	1995-08-21	VYDAJ	VYBER	13200	44807	\N	\N	\N
80638	270	1995-09-20	VYDAJ	VYBER	13500	48097	\N	\N	\N
80639	270	1995-10-20	VYDAJ	VYBER	16100	46044	\N	\N	\N
80640	270	1995-11-19	VYDAJ	VYBER	17300	44110	\N	\N	\N
80641	270	1995-12-19	VYDAJ	VYBER	20400	51671	\N	\N	\N
80642	270	1996-01-18	VYDAJ	VYBER	11300	47822	\N	\N	\N
80643	270	1996-02-17	VYDAJ	VYBER	14300	52005	\N	\N	\N
80644	270	1996-03-18	VYDAJ	VYBER	18200	52300	\N	\N	\N
80645	270	1996-04-17	VYDAJ	VYBER	15400	54208	\N	\N	\N
80646	270	1996-05-17	VYDAJ	VYBER	15800	55230	\N	\N	\N
80647	270	1996-06-16	VYDAJ	VYBER	21700	58642	\N	\N	\N
80648	270	1996-07-16	VYDAJ	VYBER	18700	57019	\N	\N	\N
80649	270	1996-08-15	VYDAJ	VYBER	20500	55040	\N	\N	\N
80650	270	1996-09-14	VYDAJ	VYBER	17400	56156	\N	\N	\N
80651	270	1996-10-14	VYDAJ	VYBER	14300	58695	\N	\N	\N
80652	270	1996-11-13	VYDAJ	VYBER	9900	43555	\N	\N	\N
80653	270	1996-12-13	VYDAJ	VYBER	14600	47499	\N	\N	\N
80654	270	1997-01-12	VYDAJ	VYBER	19600	55168	\N	\N	\N
80655	270	1997-02-11	VYDAJ	VYBER	13700	51901	\N	\N	\N
80656	270	1997-03-13	VYDAJ	VYBER	15800	53838	\N	\N	\N
80657	270	1997-04-12	VYDAJ	VYBER	17100	55332	\N	\N	\N
80658	270	1997-05-12	VYDAJ	VYBER	14300	57952	\N	\N	\N
80659	270	1997-06-11	PRIJEM	VKLAD	2900	42500	\N	\N	\N
80660	270	1997-07-11	VYDAJ	VYBER	12700	54862	\N	\N	\N
80661	270	1997-08-10	VYDAJ	VYBER	11800	61656	\N	\N	\N
80662	270	1997-09-09	VYDAJ	VYBER	17700	68033	\N	\N	\N
80663	270	1997-10-09	VYDAJ	VYBER	18300	62892	\N	\N	\N
80664	270	1997-11-08	VYDAJ	VYBER	22300	64691	\N	\N	\N
80665	270	1997-12-08	VYDAJ	VYBER	19500	58397	\N	\N	\N
80666	270	1998-01-07	VYDAJ	VYBER	18000	55524	\N	\N	\N
80667	270	1998-02-06	VYDAJ	VYBER	8300	59909	\N	\N	\N
80668	270	1998-03-08	VYDAJ	VYBER	12600	58197	\N	\N	\N
80669	270	1998-04-07	VYDAJ	VYBER	17500	59275	\N	\N	\N
80670	270	1998-05-07	VYDAJ	VYBER	17800	55759	\N	\N	\N
80671	270	1998-06-06	VYDAJ	VYBER KARTOU	300	44684	\N	\N	0
80672	270	1998-07-06	VYDAJ	VYBER	10600	58000	\N	\N	\N
80673	270	1998-08-05	VYDAJ	VYBER	12000	64571	\N	\N	\N
80674	270	1998-09-04	VYDAJ	VYBER	12100	71071	\N	\N	\N
80675	270	1998-10-04	VYDAJ	VYBER	11700	77997	\N	\N	\N
80676	270	1998-11-03	VYDAJ	VYBER	13800	82852	\N	\N	\N
80677	270	1998-12-03	VYDAJ	VYBER	13600	86726	\N	\N	\N
80678	270	1998-12-14	VYDAJ	VYBER	26700	90200	\N	\N	\N
80726	271	1996-08-13	PRIJEM	VKLAD	400	400	\N	\N	\N
80734	271	1996-08-14	PRIJEM	PREVOD Z UCTU	6906	7306	DUCHOD	KL	58189207
80735	271	1996-09-14	PRIJEM	PREVOD Z UCTU	6906	14230	DUCHOD	KL	58189207
80736	271	1996-10-14	PRIJEM	PREVOD Z UCTU	6906	21166	DUCHOD	KL	58189207
80737	271	1996-11-14	PRIJEM	PREVOD Z UCTU	6906	28103	DUCHOD	KL	58189207
80738	271	1996-12-14	PRIJEM	PREVOD Z UCTU	6906	31139	DUCHOD	KL	58189207
80739	271	1997-01-14	PRIJEM	PREVOD Z UCTU	6906	31932	DUCHOD	KL	58189207
80740	271	1997-02-14	PRIJEM	PREVOD Z UCTU	6906	35013	DUCHOD	KL	58189207
80741	271	1997-03-14	PRIJEM	PREVOD Z UCTU	6906	37605	DUCHOD	KL	58189207
80742	271	1997-04-14	PRIJEM	PREVOD Z UCTU	6906	37790	DUCHOD	KL	58189207
80743	271	1997-05-14	PRIJEM	PREVOD Z UCTU	6906	39398	DUCHOD	KL	58189207
80744	271	1997-06-14	PRIJEM	PREVOD Z UCTU	6906	41013	DUCHOD	KL	58189207
80745	271	1997-07-14	PRIJEM	PREVOD Z UCTU	6906	37267	DUCHOD	KL	58189207
80746	271	1997-08-14	PRIJEM	PREVOD Z UCTU	6906	42769	DUCHOD	KL	58189207
80747	271	1997-09-14	PRIJEM	PREVOD Z UCTU	6906	45654	DUCHOD	KL	58189207
80748	271	1997-10-14	PRIJEM	PREVOD Z UCTU	6906	51193	DUCHOD	KL	58189207
80749	271	1997-11-14	PRIJEM	PREVOD Z UCTU	6906	53513	DUCHOD	KL	58189207
80750	271	1997-12-14	PRIJEM	PREVOD Z UCTU	6906	54684	DUCHOD	KL	58189207
80751	271	1998-01-14	PRIJEM	PREVOD Z UCTU	6906	55209	DUCHOD	KL	58189207
80752	271	1998-02-14	PRIJEM	PREVOD Z UCTU	6906	54910	DUCHOD	KL	58189207
80753	271	1998-03-14	PRIJEM	PREVOD Z UCTU	6906	57048	DUCHOD	KL	58189207
80754	271	1998-04-14	PRIJEM	PREVOD Z UCTU	6906	58338	DUCHOD	KL	58189207
80755	271	1998-05-14	PRIJEM	PREVOD Z UCTU	6906	60731	DUCHOD	KL	58189207
80756	271	1998-06-14	PRIJEM	PREVOD Z UCTU	6906	59633	DUCHOD	KL	58189207
80757	271	1998-07-14	PRIJEM	PREVOD Z UCTU	6906	48958	DUCHOD	KL	58189207
80758	271	1998-08-14	PRIJEM	PREVOD Z UCTU	6906	54512	DUCHOD	KL	58189207
80759	271	1998-09-14	PRIJEM	PREVOD Z UCTU	6906	58885	DUCHOD	KL	58189207
80760	271	1998-10-14	PRIJEM	PREVOD Z UCTU	6906	61713	DUCHOD	KL	58189207
80761	271	1998-11-14	PRIJEM	PREVOD Z UCTU	6906	59795	DUCHOD	KL	58189207
80762	271	1998-12-14	PRIJEM	PREVOD Z UCTU	6906	62743	DUCHOD	KL	58189207
80775	271	1997-01-09	VYDAJ	PREVOD NA UCET	1535	29026	SIPO	QR	67201065
80776	271	1997-02-09	VYDAJ	PREVOD NA UCET	1535	28707	SIPO	QR	67201065
80777	271	1997-03-09	VYDAJ	PREVOD NA UCET	1535	33599	SIPO	QR	67201065
80778	271	1997-04-09	VYDAJ	PREVOD NA UCET	1535	34684	SIPO	QR	67201065
80779	271	1997-05-09	VYDAJ	PREVOD NA UCET	1535	36392	SIPO	QR	67201065
80780	271	1997-06-09	VYDAJ	PREVOD NA UCET	1535	38007	SIPO	QR	67201065
80781	271	1997-07-09	VYDAJ	PREVOD NA UCET	1535	30361	SIPO	QR	67201065
80782	271	1997-08-09	VYDAJ	PREVOD NA UCET	1535	35863	SIPO	QR	67201065
80783	271	1997-09-09	VYDAJ	PREVOD NA UCET	1535	38748	SIPO	QR	67201065
80784	271	1997-10-09	VYDAJ	PREVOD NA UCET	1535	44287	SIPO	QR	67201065
80785	271	1997-11-09	VYDAJ	PREVOD NA UCET	1535	46607	SIPO	QR	67201065
80786	271	1997-12-09	VYDAJ	PREVOD NA UCET	1535	47778	SIPO	QR	67201065
80787	271	1998-01-09	VYDAJ	PREVOD NA UCET	1535	51903	SIPO	QR	67201065
80788	271	1998-02-09	VYDAJ	PREVOD NA UCET	1535	48004	SIPO	QR	67201065
80789	271	1998-03-09	VYDAJ	PREVOD NA UCET	1535	53582	SIPO	QR	67201065
80790	271	1998-04-09	VYDAJ	PREVOD NA UCET	1535	51432	SIPO	QR	67201065
80791	271	1998-05-09	VYDAJ	PREVOD NA UCET	1535	53825	SIPO	QR	67201065
80792	271	1998-06-09	VYDAJ	PREVOD NA UCET	1535	52727	SIPO	QR	67201065
80793	271	1998-07-09	VYDAJ	PREVOD NA UCET	1535	42052	SIPO	QR	67201065
80794	271	1998-08-09	VYDAJ	PREVOD NA UCET	1535	47606	SIPO	QR	67201065
80795	271	1998-09-09	VYDAJ	PREVOD NA UCET	1535	51979	SIPO	QR	67201065
80796	271	1998-10-09	VYDAJ	PREVOD NA UCET	1535	54807	SIPO	QR	67201065
80797	271	1998-11-09	VYDAJ	PREVOD NA UCET	1535	52889	SIPO	QR	67201065
80798	271	1998-12-09	VYDAJ	PREVOD NA UCET	1535	55837	SIPO	QR	67201065
80800	271	1997-06-18	VYDAJ	VYBER	9250	31763	\N	\N	\N
80801	271	1998-06-22	VYDAJ	VYBER	12500	47133	\N	\N	\N
80803	271	1997-01-19	VYDAJ	VYBER	1800	30132	\N	\N	\N
80804	271	1998-01-11	VYDAJ	VYBER	3600	48303	\N	\N	\N
80805	271	1996-12-17	VYDAJ	VYBER	650	30489	\N	\N	\N
80806	271	1997-12-17	VYDAJ	VYBER	1450	53234	\N	\N	\N
80807	271	1998-12-01	VYDAJ	VYBER	950	57372	\N	\N	\N
80813	271	1997-03-22	VYDAJ	VYBER	1520	36085	\N	\N	\N
80814	271	1997-09-05	VYDAJ	VYBER	2640	40283	\N	\N	\N
80815	271	1997-11-02	VYDAJ	VYBER	1440	49942	\N	\N	\N
80816	271	1998-12-19	VYDAJ	VYBER	3120	58743	\N	\N	\N
80817	271	1998-09-18	VYDAJ	VYBER	2160	56725	\N	\N	\N
80818	271	1998-07-07	VYDAJ	VYBER	3760	43587	\N	\N	\N
80819	271	1998-12-14	VYDAJ	VYBER	880	61863	\N	\N	\N
80820	271	1998-03-12	VYDAJ	VYBER	3440	50142	\N	\N	\N
80821	271	1998-01-24	VYDAJ	VYBER	400	54809	\N	\N	\N
80822	271	1998-10-29	VYDAJ	VYBER	3920	57793	\N	\N	\N
80823	271	1998-02-07	VYDAJ	VYBER	480	49539	\N	\N	\N
80836	271	1996-12-31	VYDAJ	VYBER	15	30561	SLUZBY	\N	\N
80837	271	1997-01-31	VYDAJ	VYBER	15	30242	SLUZBY	\N	\N
80838	271	1997-02-28	VYDAJ	VYBER	15	35134	SLUZBY	\N	\N
80839	271	1997-03-31	VYDAJ	VYBER	15	36219	SLUZBY	\N	\N
80840	271	1997-04-30	VYDAJ	VYBER	15	37927	SLUZBY	\N	\N
80841	271	1997-05-31	VYDAJ	VYBER	15	39542	SLUZBY	\N	\N
80842	271	1997-06-30	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
80843	271	1997-07-31	VYDAJ	VYBER	15	37398	SLUZBY	\N	\N
80844	271	1997-08-31	VYDAJ	VYBER	15	42923	SLUZBY	\N	\N
80845	271	1997-09-30	VYDAJ	VYBER	15	45822	SLUZBY	\N	\N
80846	271	1997-10-31	VYDAJ	VYBER	15	51382	SLUZBY	\N	\N
80847	271	1997-11-30	VYDAJ	VYBER	15	53713	SLUZBY	\N	\N
80848	271	1997-12-31	VYDAJ	VYBER	15	53438	SLUZBY	\N	\N
80849	271	1998-01-31	VYDAJ	VYBER	15	55019	SLUZBY	\N	\N
80850	271	1998-02-28	VYDAJ	VYBER	15	55117	SLUZBY	\N	\N
80851	271	1998-03-31	VYDAJ	VYBER	15	57267	SLUZBY	\N	\N
80852	271	1998-04-30	VYDAJ	VYBER	15	58560	SLUZBY	\N	\N
80853	271	1998-05-31	VYDAJ	VYBER	15	60962	SLUZBY	\N	\N
80854	271	1998-06-30	VYDAJ	VYBER	15	47347	SLUZBY	\N	\N
80855	271	1998-07-31	VYDAJ	VYBER	15	49141	SLUZBY	\N	\N
80856	271	1998-08-31	VYDAJ	VYBER	15	54714	SLUZBY	\N	\N
80857	271	1998-09-30	VYDAJ	VYBER	15	56942	SLUZBY	\N	\N
80858	271	1998-10-31	VYDAJ	VYBER	15	58024	SLUZBY	\N	\N
80859	271	1998-11-30	VYDAJ	VYBER	15	60022	SLUZBY	\N	\N
80860	271	1996-12-11	VYDAJ	VYBER	3900	24233	\N	\N	\N
80861	271	1997-01-10	VYDAJ	VYBER	4000	25026	\N	\N	\N
80862	271	1997-02-09	VYDAJ	VYBER	600	28107	\N	\N	\N
80863	271	1997-03-11	VYDAJ	VYBER	2900	30699	\N	\N	\N
80864	271	1997-04-10	VYDAJ	VYBER	3800	30884	\N	\N	\N
80865	271	1997-05-10	VYDAJ	VYBER	3900	32492	\N	\N	\N
80866	271	1997-06-09	VYDAJ	VYBER	3900	34107	\N	\N	\N
80867	271	1997-11-06	VYDAJ	VYBER	1800	48142	\N	\N	\N
80868	271	1997-12-06	VYDAJ	VYBER	4400	49313	\N	\N	\N
80869	271	1998-02-04	VYDAJ	VYBER	5000	50019	\N	\N	\N
80870	271	1998-04-05	VYDAJ	VYBER	4300	52967	\N	\N	\N
80871	271	1998-05-05	VYDAJ	VYBER	3200	55360	\N	\N	\N
80872	271	1998-06-04	VYDAJ	VYBER	6700	54262	\N	\N	\N
80873	271	1998-09-02	VYDAJ	VYBER	1200	53514	\N	\N	\N
80874	271	1998-10-02	VYDAJ	VYBER	600	56342	\N	\N	\N
80875	271	1998-11-01	VYDAJ	VYBER	3600	54424	\N	\N	\N
80876	271	1998-12-01	VYDAJ	VYBER	1700	58322	\N	\N	\N
80906	272	1996-10-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
80917	272	1996-11-08	PRIJEM	VKLAD	19841	20941	\N	\N	\N
80918	272	1996-12-08	PRIJEM	VKLAD	29762	50229	\N	\N	\N
80919	272	1997-01-08	PRIJEM	VKLAD	19841	53572	\N	\N	\N
80920	272	1997-02-08	PRIJEM	VKLAD	19841	57059	\N	\N	\N
80921	272	1997-03-08	PRIJEM	VKLAD	19841	57855	\N	\N	\N
80922	272	1997-04-08	PRIJEM	VKLAD	19841	50986	\N	\N	\N
80923	272	1997-05-08	PRIJEM	VKLAD	19841	49039	\N	\N	\N
80924	272	1997-06-08	PRIJEM	VKLAD	29762	57604	\N	\N	\N
80925	272	1997-07-08	PRIJEM	VKLAD	19841	28150	\N	\N	\N
80926	272	1997-08-08	PRIJEM	VKLAD	19841	30211	\N	\N	\N
80927	272	1997-09-08	PRIJEM	VKLAD	19841	29475	\N	\N	\N
80928	272	1997-10-08	PRIJEM	VKLAD	19841	26436	\N	\N	\N
80929	272	1997-11-08	PRIJEM	VKLAD	19841	27086	\N	\N	\N
80930	272	1997-12-08	PRIJEM	VKLAD	29762	37661	\N	\N	\N
80931	272	1998-01-08	PRIJEM	VKLAD	19841	30246	\N	\N	\N
80932	272	1998-02-08	PRIJEM	VKLAD	19841	28706	\N	\N	\N
80933	272	1998-03-08	PRIJEM	VKLAD	19841	27056	\N	\N	\N
80934	272	1998-04-08	PRIJEM	VKLAD	19841	24599	\N	\N	\N
80935	272	1998-05-08	PRIJEM	VKLAD	19841	31749	\N	\N	\N
80936	272	1998-06-08	PRIJEM	VKLAD	29762	35821	\N	\N	\N
80937	272	1998-07-08	PRIJEM	VKLAD	19841	33983	\N	\N	\N
80938	272	1998-08-08	PRIJEM	VKLAD	19841	46485	\N	\N	\N
80939	272	1998-09-08	PRIJEM	VKLAD	19841	28566	\N	\N	\N
80940	272	1998-10-08	PRIJEM	VKLAD	19841	41045	\N	\N	\N
80941	272	1998-11-08	PRIJEM	VKLAD	19841	50376	\N	\N	\N
80942	272	1998-12-08	PRIJEM	VKLAD	29762	36577	\N	\N	\N
80958	272	1997-04-07	VYDAJ	PREVOD NA UCET	7454	31145	SIPO	IJ	15116119
80959	272	1997-05-07	VYDAJ	PREVOD NA UCET	7454	29198	SIPO	IJ	15116119
80960	272	1997-06-07	VYDAJ	PREVOD NA UCET	7454	27842	SIPO	IJ	15116119
80961	272	1997-07-07	VYDAJ	PREVOD NA UCET	7454	8309	SIPO	IJ	15116119
80962	272	1997-08-07	VYDAJ	PREVOD NA UCET	7454	10370	SIPO	IJ	15116119
80963	272	1997-09-07	VYDAJ	PREVOD NA UCET	7454	9634	SIPO	IJ	15116119
80964	272	1997-10-07	VYDAJ	PREVOD NA UCET	7454	6595	SIPO	IJ	15116119
80965	272	1997-11-07	VYDAJ	PREVOD NA UCET	7454	7245	SIPO	IJ	15116119
80966	272	1997-12-07	VYDAJ	PREVOD NA UCET	7454	7899	SIPO	IJ	15116119
80967	272	1998-01-07	VYDAJ	PREVOD NA UCET	7454	10405	SIPO	IJ	15116119
80968	272	1998-02-07	VYDAJ	PREVOD NA UCET	7454	8865	SIPO	IJ	15116119
80969	272	1998-03-07	VYDAJ	PREVOD NA UCET	7454	7215	SIPO	IJ	15116119
80970	272	1998-04-07	VYDAJ	PREVOD NA UCET	7454	4758	SIPO	IJ	15116119
80971	272	1998-05-07	VYDAJ	PREVOD NA UCET	7454	11908	SIPO	IJ	15116119
80972	272	1998-06-07	VYDAJ	PREVOD NA UCET	7454	6059	SIPO	IJ	15116119
80973	272	1998-07-07	VYDAJ	PREVOD NA UCET	7454	14142	SIPO	IJ	15116119
80974	272	1998-08-07	VYDAJ	PREVOD NA UCET	7454	26644	SIPO	IJ	15116119
80975	272	1998-09-07	VYDAJ	PREVOD NA UCET	7454	8725	SIPO	IJ	15116119
80976	272	1998-10-07	VYDAJ	PREVOD NA UCET	7454	21204	SIPO	IJ	15116119
80977	272	1998-11-07	VYDAJ	PREVOD NA UCET	7454	30535	SIPO	IJ	15116119
80978	272	1998-12-07	VYDAJ	PREVOD NA UCET	7454	6815	SIPO	IJ	15116119
80980	272	1997-06-28	VYDAJ	VYBER	19200	15604	\N	\N	\N
80981	272	1998-06-12	VYDAJ	VYBER	14300	21521	\N	\N	\N
80986	272	1997-12-04	VYDAJ	VYBER	2200	15353	\N	\N	\N
80987	272	1998-12-01	VYDAJ	VYBER	1500	14269	\N	\N	\N
81000	272	1998-01-06	VYDAJ	VYBER	1700	17859	\N	\N	\N
81001	272	1998-01-06	VYDAJ	VYBER	2000	19559	\N	\N	\N
81002	272	1998-01-25	VYDAJ	VYBER	1600	16246	\N	\N	\N
81003	272	1998-01-02	VYDAJ	VYBER	1100	21559	\N	\N	\N
81004	272	1998-01-01	VYDAJ	VYBER	2900	22659	\N	\N	\N
81005	272	1998-01-15	VYDAJ	VYBER	1900	28346	\N	\N	\N
81013	272	1997-10-01	VYDAJ	VYBER	3300	14049	\N	\N	\N
81016	272	1997-06-10	VYDAJ	VYBER	1200	56404	\N	\N	\N
81017	272	1997-05-13	VYDAJ	VYBER	600	48439	\N	\N	\N
81018	272	1997-07-21	VYDAJ	VYBER	1000	17750	\N	\N	\N
81019	272	1998-11-07	VYDAJ	VYBER	3200	37989	\N	\N	\N
81020	272	1998-04-14	VYDAJ	VYBER	4700	19899	\N	\N	\N
81021	272	1998-05-10	VYDAJ	VYBER	2800	28949	\N	\N	\N
81022	272	1998-04-18	VYDAJ	VYBER	600	19299	\N	\N	\N
81038	272	1997-03-31	VYDAJ	VYBER	15	38599	SLUZBY	\N	\N
81039	272	1997-04-30	VYDAJ	VYBER	15	36652	SLUZBY	\N	\N
81040	272	1997-05-31	VYDAJ	VYBER	15	35296	SLUZBY	\N	\N
81041	272	1997-06-30	VYDAJ	VYBER	15	15763	SLUZBY	\N	\N
81042	272	1997-07-31	VYDAJ	VYBER	15	17824	SLUZBY	\N	\N
81043	272	1997-08-31	VYDAJ	VYBER	15	17088	SLUZBY	\N	\N
81044	272	1997-09-30	VYDAJ	VYBER	15	17349	SLUZBY	\N	\N
81045	272	1997-10-31	VYDAJ	VYBER	15	14699	SLUZBY	\N	\N
81046	272	1997-11-30	VYDAJ	VYBER	15	17553	SLUZBY	\N	\N
81047	272	1997-12-31	VYDAJ	VYBER	15	25559	SLUZBY	\N	\N
81048	272	1998-01-31	VYDAJ	VYBER	15	16319	SLUZBY	\N	\N
81049	272	1998-02-28	VYDAJ	VYBER	15	14669	SLUZBY	\N	\N
81050	272	1998-03-31	VYDAJ	VYBER	15	12212	SLUZBY	\N	\N
81051	272	1998-04-30	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
81052	272	1998-05-31	VYDAJ	VYBER	15	13513	SLUZBY	\N	\N
81053	272	1998-06-30	VYDAJ	VYBER	15	21596	SLUZBY	\N	\N
81054	272	1998-07-31	VYDAJ	VYBER	15	34098	SLUZBY	\N	\N
81055	272	1998-08-31	VYDAJ	VYBER	15	16179	SLUZBY	\N	\N
81056	272	1998-09-30	VYDAJ	VYBER	15	28658	SLUZBY	\N	\N
81057	272	1998-10-31	VYDAJ	VYBER	15	41189	SLUZBY	\N	\N
81058	272	1998-11-30	VYDAJ	VYBER	15	15769	SLUZBY	\N	\N
81059	272	1996-11-22	VYDAJ	VYBER	500	20441	\N	\N	\N
81060	272	1996-12-22	VYDAJ	VYBER	16600	33629	\N	\N	\N
81061	272	1997-01-21	VYDAJ	VYBER	16500	37072	\N	\N	\N
81062	272	1997-02-20	VYDAJ	VYBER	19200	37859	\N	\N	\N
81063	272	1997-03-22	VYDAJ	VYBER	19400	38455	\N	\N	\N
81064	272	1997-04-21	VYDAJ	VYBER	14500	36486	\N	\N	\N
81065	272	1997-05-21	VYDAJ	VYBER	13300	35139	\N	\N	\N
81066	272	1997-06-20	VYDAJ	VYBER	21600	34804	\N	\N	\N
81067	272	1997-07-20	VYDAJ	VYBER	9400	18750	\N	\N	\N
81068	272	1997-08-19	VYDAJ	VYBER	13200	17011	\N	\N	\N
81069	272	1997-09-18	VYDAJ	VYBER	12200	17275	\N	\N	\N
81070	272	1997-10-18	VYDAJ	VYBER	11800	14636	\N	\N	\N
81071	272	1997-11-17	VYDAJ	VYBER	9600	17486	\N	\N	\N
81072	272	1997-12-17	VYDAJ	VYBER	12200	25461	\N	\N	\N
81073	272	1998-01-16	VYDAJ	VYBER	10500	17846	\N	\N	\N
81074	272	1998-02-15	VYDAJ	VYBER	14100	14606	\N	\N	\N
81075	272	1998-03-17	VYDAJ	VYBER	14900	12156	\N	\N	\N
81076	272	1998-05-16	VYDAJ	VYBER	15500	13449	\N	\N	\N
81077	272	1998-08-14	VYDAJ	VYBER	30400	16085	\N	\N	\N
81078	272	1998-11-12	VYDAJ	VYBER	34700	15676	\N	\N	\N
81105	273	1993-07-11	PRIJEM	VKLAD	700	700	\N	\N	\N
81113	273	1993-08-05	PRIJEM	PREVOD Z UCTU	13201	13901	\N	QR	26475405
81114	273	1993-09-05	PRIJEM	PREVOD Z UCTU	13201	30152	\N	QR	26475405
81115	273	1993-10-05	PRIJEM	PREVOD Z UCTU	13201	38750	\N	QR	26475405
81116	273	1993-11-05	PRIJEM	PREVOD Z UCTU	13201	43772	\N	QR	26475405
81117	273	1993-12-05	PRIJEM	PREVOD Z UCTU	19802	52307	\N	QR	26475405
81118	273	1994-01-05	PRIJEM	PREVOD Z UCTU	13201	35352	\N	QR	26475405
81119	273	1994-02-05	PRIJEM	PREVOD Z UCTU	13201	32267	\N	QR	26475405
81120	273	1994-03-05	PRIJEM	PREVOD Z UCTU	13201	33078	\N	QR	26475405
81121	273	1994-04-05	PRIJEM	PREVOD Z UCTU	13201	33993	\N	QR	26475405
81122	273	1994-05-05	PRIJEM	PREVOD Z UCTU	13201	36818	\N	QR	26475405
81123	273	1994-06-05	PRIJEM	PREVOD Z UCTU	19802	40035	\N	QR	26475405
81124	273	1994-07-05	PRIJEM	PREVOD Z UCTU	13201	33640	\N	QR	26475405
81125	273	1994-08-05	PRIJEM	PREVOD Z UCTU	13201	31551	\N	QR	26475405
81126	273	1994-09-05	PRIJEM	PREVOD Z UCTU	13201	32450	\N	QR	26475405
81127	273	1994-10-05	PRIJEM	PREVOD Z UCTU	13201	39177	\N	QR	26475405
81128	273	1994-11-05	PRIJEM	PREVOD Z UCTU	13201	36623	\N	QR	26475405
81129	273	1994-12-05	PRIJEM	PREVOD Z UCTU	19802	41855	\N	QR	26475405
81130	273	1995-01-05	PRIJEM	PREVOD Z UCTU	13201	42411	\N	QR	26475405
81131	273	1995-02-05	PRIJEM	PREVOD Z UCTU	13201	34351	\N	QR	26475405
81132	273	1995-03-05	PRIJEM	PREVOD Z UCTU	13201	34884	\N	QR	26475405
81133	273	1995-04-05	PRIJEM	PREVOD Z UCTU	13201	37323	\N	QR	26475405
81134	273	1995-05-05	PRIJEM	PREVOD Z UCTU	13201	40873	\N	QR	26475405
81135	273	1995-06-05	PRIJEM	PREVOD Z UCTU	19802	40816	\N	QR	26475405
81136	273	1995-07-05	PRIJEM	PREVOD Z UCTU	13201	35751	\N	QR	26475405
81137	273	1995-08-05	PRIJEM	PREVOD Z UCTU	13201	34777	\N	QR	26475405
81138	273	1995-09-05	PRIJEM	PREVOD Z UCTU	13201	37812	\N	QR	26475405
81139	273	1995-10-05	PRIJEM	PREVOD Z UCTU	13201	41360	\N	QR	26475405
81140	273	1995-11-05	PRIJEM	PREVOD Z UCTU	13201	37509	\N	QR	26475405
81141	273	1995-12-05	PRIJEM	PREVOD Z UCTU	19802	44855	\N	QR	26475405
81142	273	1996-01-05	PRIJEM	PREVOD Z UCTU	13201	36705	\N	QR	26475405
81143	273	1996-02-05	PRIJEM	PREVOD Z UCTU	13201	36715	\N	QR	26475405
81144	273	1996-03-05	PRIJEM	PREVOD Z UCTU	13201	43559	\N	QR	26475405
81145	273	1996-04-05	PRIJEM	PREVOD Z UCTU	13201	37605	\N	QR	26475405
81146	273	1996-05-05	PRIJEM	PREVOD Z UCTU	13201	45954	\N	QR	26475405
81147	273	1996-06-05	PRIJEM	PREVOD Z UCTU	19802	58037	\N	QR	26475405
81148	273	1996-07-05	PRIJEM	PREVOD Z UCTU	13201	41852	\N	QR	26475405
81149	273	1996-08-05	PRIJEM	PREVOD Z UCTU	13201	43913	\N	QR	26475405
81150	273	1996-09-05	PRIJEM	PREVOD Z UCTU	13201	47084	\N	QR	26475405
81151	273	1996-10-05	PRIJEM	PREVOD Z UCTU	13201	47165	\N	QR	26475405
81152	273	1996-11-05	PRIJEM	PREVOD Z UCTU	13201	46444	\N	QR	26475405
81153	273	1996-12-05	PRIJEM	PREVOD Z UCTU	19802	41922	\N	QR	26475405
81154	273	1997-01-05	PRIJEM	PREVOD Z UCTU	13201	36777	\N	QR	26475405
81155	273	1997-02-05	PRIJEM	PREVOD Z UCTU	13201	36606	\N	QR	26475405
81156	273	1997-03-05	PRIJEM	PREVOD Z UCTU	13201	44752	\N	QR	26475405
81157	273	1997-04-05	PRIJEM	PREVOD Z UCTU	13201	48226	\N	QR	26475405
81158	273	1997-05-05	PRIJEM	PREVOD Z UCTU	13201	48709	\N	QR	26475405
81159	273	1997-06-05	PRIJEM	PREVOD Z UCTU	19802	53893	\N	QR	26475405
81160	273	1997-07-05	PRIJEM	PREVOD Z UCTU	13201	41889	\N	QR	26475405
81161	273	1997-08-05	PRIJEM	PREVOD Z UCTU	13201	43644	\N	QR	26475405
81162	273	1997-09-05	PRIJEM	PREVOD Z UCTU	13201	44605	\N	QR	26475405
81163	273	1997-10-05	PRIJEM	PREVOD Z UCTU	13201	45308	\N	QR	26475405
81164	273	1997-11-05	PRIJEM	PREVOD Z UCTU	13201	48081	\N	QR	26475405
81165	273	1997-12-05	PRIJEM	PREVOD Z UCTU	19802	55286	\N	QR	26475405
81166	273	1998-01-05	PRIJEM	PREVOD Z UCTU	13201	41379	\N	QR	26475405
81167	273	1998-02-05	PRIJEM	PREVOD Z UCTU	13201	39621	\N	QR	26475405
81168	273	1998-03-05	PRIJEM	PREVOD Z UCTU	13201	40357	\N	QR	26475405
81169	273	1998-04-05	PRIJEM	PREVOD Z UCTU	13201	42917	\N	QR	26475405
81170	273	1998-05-05	PRIJEM	PREVOD Z UCTU	13201	43772	\N	QR	26475405
81171	273	1998-06-05	PRIJEM	PREVOD Z UCTU	19802	50984	\N	QR	26475405
81172	273	1998-07-05	PRIJEM	PREVOD Z UCTU	13201	40972	\N	QR	26475405
81173	273	1998-08-05	PRIJEM	PREVOD Z UCTU	13201	49237	\N	QR	26475405
81174	273	1998-09-05	PRIJEM	PREVOD Z UCTU	13201	53060	\N	QR	26475405
81175	273	1998-10-05	PRIJEM	PREVOD Z UCTU	13201	51651	\N	QR	26475405
81176	273	1998-11-05	PRIJEM	PREVOD Z UCTU	13201	42850	\N	QR	26475405
81177	273	1998-12-05	PRIJEM	PREVOD Z UCTU	19802	62747	\N	QR	26475405
81261	273	1993-12-12	VYDAJ	PREVOD NA UCET	5965	30828	SIPO	OP	80156594
81262	273	1994-01-12	VYDAJ	PREVOD NA UCET	5965	19073	SIPO	OP	80156594
81263	273	1994-02-12	VYDAJ	PREVOD NA UCET	5965	19888	SIPO	OP	80156594
81264	273	1994-03-12	VYDAJ	PREVOD NA UCET	5965	20799	SIPO	OP	80156594
81265	273	1994-04-12	VYDAJ	PREVOD NA UCET	5965	23614	SIPO	OP	80156594
81266	273	1994-05-12	VYDAJ	PREVOD NA UCET	5965	20239	SIPO	OP	80156594
81267	273	1994-06-12	VYDAJ	PREVOD NA UCET	5965	20443	SIPO	OP	80156594
81268	273	1994-07-12	VYDAJ	PREVOD NA UCET	5965	18361	SIPO	OP	80156594
81269	273	1994-08-12	VYDAJ	PREVOD NA UCET	5965	16870	SIPO	OP	80156594
81270	273	1994-09-12	VYDAJ	PREVOD NA UCET	5965	24471	SIPO	OP	80156594
81271	273	1994-10-12	VYDAJ	PREVOD NA UCET	5965	31198	SIPO	OP	80156594
81272	273	1994-11-12	VYDAJ	PREVOD NA UCET	5965	28644	SIPO	OP	80156594
81273	273	1994-12-12	VYDAJ	PREVOD NA UCET	5965	33876	SIPO	OP	80156594
81274	273	1995-01-12	VYDAJ	PREVOD NA UCET	5965	20332	SIPO	OP	80156594
81275	273	1995-02-12	VYDAJ	PREVOD NA UCET	5965	26372	SIPO	OP	80156594
81276	273	1995-03-12	VYDAJ	PREVOD NA UCET	5965	26905	SIPO	OP	80156594
81277	273	1995-04-12	VYDAJ	PREVOD NA UCET	5965	29344	SIPO	OP	80156594
81278	273	1995-05-12	VYDAJ	PREVOD NA UCET	5965	18522	SIPO	OP	80156594
81279	273	1995-06-12	VYDAJ	PREVOD NA UCET	5965	32837	SIPO	OP	80156594
81280	273	1995-07-12	VYDAJ	PREVOD NA UCET	5965	23272	SIPO	OP	80156594
81281	273	1995-08-12	VYDAJ	PREVOD NA UCET	5965	26798	SIPO	OP	80156594
81282	273	1995-09-12	VYDAJ	PREVOD NA UCET	5965	29833	SIPO	OP	80156594
81283	273	1995-10-12	VYDAJ	PREVOD NA UCET	5965	23895	SIPO	OP	80156594
81284	273	1995-11-12	VYDAJ	PREVOD NA UCET	5965	29530	SIPO	OP	80156594
81285	273	1995-12-12	VYDAJ	PREVOD NA UCET	5965	36876	SIPO	OP	80156594
81286	273	1996-01-12	VYDAJ	PREVOD NA UCET	5965	16426	SIPO	OP	80156594
81287	273	1996-02-12	VYDAJ	PREVOD NA UCET	5965	28736	SIPO	OP	80156594
81288	273	1996-03-12	VYDAJ	PREVOD NA UCET	5965	35580	SIPO	OP	80156594
81289	273	1996-04-12	VYDAJ	PREVOD NA UCET	5965	29626	SIPO	OP	80156594
81290	273	1996-05-12	VYDAJ	PREVOD NA UCET	5965	37975	SIPO	OP	80156594
81291	273	1996-06-12	VYDAJ	PREVOD NA UCET	5965	50058	SIPO	OP	80156594
81292	273	1996-07-12	VYDAJ	PREVOD NA UCET	5965	33873	SIPO	OP	80156594
81293	273	1996-08-12	VYDAJ	PREVOD NA UCET	5965	35934	SIPO	OP	80156594
81294	273	1996-09-12	VYDAJ	PREVOD NA UCET	5965	39105	SIPO	OP	80156594
81295	273	1996-10-12	VYDAJ	PREVOD NA UCET	5965	39186	SIPO	OP	80156594
81296	273	1996-11-12	VYDAJ	PREVOD NA UCET	5965	38465	SIPO	OP	80156594
81297	273	1996-12-12	VYDAJ	PREVOD NA UCET	5965	28843	SIPO	OP	80156594
81298	273	1997-01-12	VYDAJ	PREVOD NA UCET	5965	20998	SIPO	OP	80156594
81299	273	1997-02-12	VYDAJ	PREVOD NA UCET	5965	28627	SIPO	OP	80156594
81300	273	1997-03-12	VYDAJ	PREVOD NA UCET	5965	36773	SIPO	OP	80156594
81301	273	1997-04-12	VYDAJ	PREVOD NA UCET	5965	40247	SIPO	OP	80156594
81302	273	1997-05-12	VYDAJ	PREVOD NA UCET	5965	40730	SIPO	OP	80156594
81303	273	1997-06-12	VYDAJ	PREVOD NA UCET	5965	45914	SIPO	OP	80156594
81304	273	1997-07-12	VYDAJ	PREVOD NA UCET	5965	33910	SIPO	OP	80156594
81305	273	1997-08-12	VYDAJ	PREVOD NA UCET	5965	35665	SIPO	OP	80156594
81306	273	1997-09-12	VYDAJ	PREVOD NA UCET	5965	31967	SIPO	OP	80156594
81307	273	1997-10-12	VYDAJ	PREVOD NA UCET	5965	37329	SIPO	OP	80156594
81308	273	1997-11-12	VYDAJ	PREVOD NA UCET	5965	34533	SIPO	OP	80156594
81309	273	1997-12-12	VYDAJ	PREVOD NA UCET	5965	47307	SIPO	OP	80156594
81310	273	1998-01-12	VYDAJ	PREVOD NA UCET	5965	19300	SIPO	OP	80156594
81311	273	1998-02-12	VYDAJ	PREVOD NA UCET	5965	21742	SIPO	OP	80156594
81312	273	1998-03-12	VYDAJ	PREVOD NA UCET	5965	32378	SIPO	OP	80156594
81313	273	1998-04-12	VYDAJ	PREVOD NA UCET	5965	34938	SIPO	OP	80156594
81314	273	1998-05-12	VYDAJ	PREVOD NA UCET	5965	35793	SIPO	OP	80156594
81315	273	1998-06-12	VYDAJ	PREVOD NA UCET	5965	43005	SIPO	OP	80156594
81316	273	1998-07-12	VYDAJ	PREVOD NA UCET	5965	32993	SIPO	OP	80156594
81317	273	1998-08-12	VYDAJ	PREVOD NA UCET	5965	41258	SIPO	OP	80156594
81318	273	1998-09-12	VYDAJ	PREVOD NA UCET	5965	37681	SIPO	OP	80156594
81319	273	1998-10-12	VYDAJ	PREVOD NA UCET	5965	43672	SIPO	OP	80156594
81320	273	1998-11-12	VYDAJ	PREVOD NA UCET	5965	42871	SIPO	OP	80156594
81321	273	1998-12-12	VYDAJ	PREVOD NA UCET	5965	54768	SIPO	OP	80156594
81333	273	1993-12-06	VYDAJ	PREVOD NA UCET	178	52129	 	EF	85742187
81334	273	1994-01-06	VYDAJ	PREVOD NA UCET	178	35174	 	EF	85742187
81335	273	1994-02-06	VYDAJ	PREVOD NA UCET	178	27689	 	EF	85742187
81336	273	1994-03-06	VYDAJ	PREVOD NA UCET	178	32900	 	EF	85742187
81337	273	1994-04-06	VYDAJ	PREVOD NA UCET	178	33815	 	EF	85742187
81338	273	1994-05-06	VYDAJ	PREVOD NA UCET	178	36640	 	EF	85742187
81339	273	1994-06-06	VYDAJ	PREVOD NA UCET	178	39857	 	EF	85742187
81340	273	1994-07-06	VYDAJ	PREVOD NA UCET	178	33462	 	EF	85742187
81341	273	1994-08-06	VYDAJ	PREVOD NA UCET	178	24671	 	EF	85742187
81342	273	1994-09-06	VYDAJ	PREVOD NA UCET	178	32272	 	EF	85742187
81343	273	1994-10-06	VYDAJ	PREVOD NA UCET	178	38999	 	EF	85742187
81344	273	1994-11-06	VYDAJ	PREVOD NA UCET	178	36445	 	EF	85742187
81345	273	1994-12-06	VYDAJ	PREVOD NA UCET	178	41677	 	EF	85742187
81346	273	1995-01-06	VYDAJ	PREVOD NA UCET	178	34433	 	EF	85742187
81347	273	1995-02-06	VYDAJ	PREVOD NA UCET	178	34173	 	EF	85742187
81348	273	1995-03-06	VYDAJ	PREVOD NA UCET	178	34706	 	EF	85742187
81349	273	1995-04-06	VYDAJ	PREVOD NA UCET	178	37145	 	EF	85742187
81350	273	1995-05-06	VYDAJ	PREVOD NA UCET	178	26323	 	EF	85742187
81351	273	1995-06-06	VYDAJ	PREVOD NA UCET	178	40638	 	EF	85742187
81352	273	1995-07-06	VYDAJ	PREVOD NA UCET	178	35573	 	EF	85742187
81353	273	1995-08-06	VYDAJ	PREVOD NA UCET	178	34599	 	EF	85742187
81354	273	1995-09-06	VYDAJ	PREVOD NA UCET	178	37634	 	EF	85742187
81355	273	1995-10-06	VYDAJ	PREVOD NA UCET	178	41182	 	EF	85742187
81356	273	1995-11-06	VYDAJ	PREVOD NA UCET	178	37331	 	EF	85742187
81357	273	1995-12-06	VYDAJ	PREVOD NA UCET	178	44677	 	EF	85742187
81358	273	1996-01-06	VYDAJ	PREVOD NA UCET	178	29627	 	EF	85742187
81359	273	1996-02-06	VYDAJ	PREVOD NA UCET	178	36537	 	EF	85742187
81360	273	1996-03-06	VYDAJ	PREVOD NA UCET	178	43381	 	EF	85742187
81361	273	1996-04-06	VYDAJ	PREVOD NA UCET	178	37427	 	EF	85742187
81362	273	1996-05-06	VYDAJ	PREVOD NA UCET	178	45776	 	EF	85742187
81363	273	1996-06-06	VYDAJ	PREVOD NA UCET	178	57859	 	EF	85742187
81364	273	1996-07-06	VYDAJ	PREVOD NA UCET	178	41674	 	EF	85742187
81365	273	1996-08-06	VYDAJ	PREVOD NA UCET	178	43735	 	EF	85742187
81366	273	1996-09-06	VYDAJ	PREVOD NA UCET	178	46906	 	EF	85742187
81367	273	1996-10-06	VYDAJ	PREVOD NA UCET	178	46987	 	EF	85742187
81368	273	1996-11-06	VYDAJ	PREVOD NA UCET	178	46266	 	EF	85742187
81369	273	1996-12-06	VYDAJ	PREVOD NA UCET	178	36644	 	EF	85742187
81370	273	1997-01-06	VYDAJ	PREVOD NA UCET	178	30899	 	EF	85742187
81371	273	1997-02-06	VYDAJ	PREVOD NA UCET	178	36428	 	EF	85742187
81372	273	1997-03-06	VYDAJ	PREVOD NA UCET	178	44574	 	EF	85742187
81373	273	1997-04-06	VYDAJ	PREVOD NA UCET	178	48048	 	EF	85742187
81374	273	1997-05-06	VYDAJ	PREVOD NA UCET	178	48531	 	EF	85742187
81375	273	1997-06-06	VYDAJ	PREVOD NA UCET	178	53715	 	EF	85742187
81376	273	1997-07-06	VYDAJ	PREVOD NA UCET	178	41711	 	EF	85742187
81377	273	1997-08-06	VYDAJ	PREVOD NA UCET	178	43466	 	EF	85742187
81378	273	1997-09-06	VYDAJ	PREVOD NA UCET	178	44427	 	EF	85742187
81379	273	1997-10-06	VYDAJ	PREVOD NA UCET	178	45130	 	EF	85742187
81380	273	1997-11-06	VYDAJ	PREVOD NA UCET	178	47903	 	EF	85742187
81381	273	1997-12-06	VYDAJ	PREVOD NA UCET	178	55108	 	EF	85742187
81382	273	1998-01-06	VYDAJ	PREVOD NA UCET	178	41201	 	EF	85742187
81383	273	1998-02-06	VYDAJ	PREVOD NA UCET	178	39443	 	EF	85742187
81384	273	1998-03-06	VYDAJ	PREVOD NA UCET	178	40179	 	EF	85742187
81385	273	1998-04-06	VYDAJ	PREVOD NA UCET	178	42739	 	EF	85742187
81386	273	1998-05-06	VYDAJ	PREVOD NA UCET	178	43594	 	EF	85742187
81387	273	1998-06-06	VYDAJ	PREVOD NA UCET	178	50806	 	EF	85742187
81388	273	1998-07-06	VYDAJ	PREVOD NA UCET	178	40794	 	EF	85742187
81389	273	1998-08-06	VYDAJ	PREVOD NA UCET	178	49059	 	EF	85742187
81390	273	1998-09-06	VYDAJ	PREVOD NA UCET	178	52882	 	EF	85742187
81391	273	1998-10-06	VYDAJ	PREVOD NA UCET	178	51473	 	EF	85742187
81392	273	1998-11-06	VYDAJ	PREVOD NA UCET	178	42672	 	EF	85742187
81393	273	1998-12-06	VYDAJ	PREVOD NA UCET	178	62569	 	EF	85742187
81405	273	1993-12-11	VYDAJ	PREVOD NA UCET	1836	36793	POJISTNE	YZ	15870309
81406	273	1994-01-11	VYDAJ	PREVOD NA UCET	1836	25038	POJISTNE	YZ	15870309
81407	273	1994-02-11	VYDAJ	PREVOD NA UCET	1836	25853	POJISTNE	YZ	15870309
81408	273	1994-03-11	VYDAJ	PREVOD NA UCET	1836	26764	POJISTNE	YZ	15870309
81409	273	1994-04-11	VYDAJ	PREVOD NA UCET	1836	29579	POJISTNE	YZ	15870309
81410	273	1994-05-11	VYDAJ	PREVOD NA UCET	1836	26204	POJISTNE	YZ	15870309
81411	273	1994-06-11	VYDAJ	PREVOD NA UCET	1836	26408	POJISTNE	YZ	15870309
81412	273	1994-07-11	VYDAJ	PREVOD NA UCET	1836	24326	POJISTNE	YZ	15870309
81413	273	1994-08-11	VYDAJ	PREVOD NA UCET	1836	22835	POJISTNE	YZ	15870309
81414	273	1994-09-11	VYDAJ	PREVOD NA UCET	1836	30436	POJISTNE	YZ	15870309
81415	273	1994-10-11	VYDAJ	PREVOD NA UCET	1836	37163	POJISTNE	YZ	15870309
81416	273	1994-11-11	VYDAJ	PREVOD NA UCET	1836	34609	POJISTNE	YZ	15870309
81417	273	1994-12-11	VYDAJ	PREVOD NA UCET	1836	39841	POJISTNE	YZ	15870309
81418	273	1995-01-11	VYDAJ	PREVOD NA UCET	1836	30497	POJISTNE	YZ	15870309
81419	273	1995-02-11	VYDAJ	PREVOD NA UCET	1836	32337	POJISTNE	YZ	15870309
81420	273	1995-03-11	VYDAJ	PREVOD NA UCET	1836	32870	POJISTNE	YZ	15870309
81421	273	1995-04-11	VYDAJ	PREVOD NA UCET	1836	35309	POJISTNE	YZ	15870309
81422	273	1995-05-11	VYDAJ	PREVOD NA UCET	1836	24487	POJISTNE	YZ	15870309
81423	273	1995-06-11	VYDAJ	PREVOD NA UCET	1836	38802	POJISTNE	YZ	15870309
81424	273	1995-07-11	VYDAJ	PREVOD NA UCET	1836	29237	POJISTNE	YZ	15870309
81425	273	1995-08-11	VYDAJ	PREVOD NA UCET	1836	32763	POJISTNE	YZ	15870309
81426	273	1995-09-11	VYDAJ	PREVOD NA UCET	1836	35798	POJISTNE	YZ	15870309
81427	273	1995-10-11	VYDAJ	PREVOD NA UCET	1836	29860	POJISTNE	YZ	15870309
81428	273	1995-11-11	VYDAJ	PREVOD NA UCET	1836	35495	POJISTNE	YZ	15870309
81429	273	1995-12-11	VYDAJ	PREVOD NA UCET	1836	42841	POJISTNE	YZ	15870309
81430	273	1996-01-11	VYDAJ	PREVOD NA UCET	1836	24491	POJISTNE	YZ	15870309
81431	273	1996-02-11	VYDAJ	PREVOD NA UCET	1836	34701	POJISTNE	YZ	15870309
81432	273	1996-03-11	VYDAJ	PREVOD NA UCET	1836	41545	POJISTNE	YZ	15870309
81433	273	1996-04-11	VYDAJ	PREVOD NA UCET	1836	35591	POJISTNE	YZ	15870309
81434	273	1996-05-11	VYDAJ	PREVOD NA UCET	1836	43940	POJISTNE	YZ	15870309
81435	273	1996-06-11	VYDAJ	PREVOD NA UCET	1836	56023	POJISTNE	YZ	15870309
81436	273	1996-07-11	VYDAJ	PREVOD NA UCET	1836	39838	POJISTNE	YZ	15870309
81437	273	1996-08-11	VYDAJ	PREVOD NA UCET	1836	41899	POJISTNE	YZ	15870309
81438	273	1996-09-11	VYDAJ	PREVOD NA UCET	1836	45070	POJISTNE	YZ	15870309
81439	273	1996-10-11	VYDAJ	PREVOD NA UCET	1836	45151	POJISTNE	YZ	15870309
81440	273	1996-11-11	VYDAJ	PREVOD NA UCET	1836	44430	POJISTNE	YZ	15870309
81441	273	1996-12-11	VYDAJ	PREVOD NA UCET	1836	34808	POJISTNE	YZ	15870309
81442	273	1997-01-11	VYDAJ	PREVOD NA UCET	1836	26963	POJISTNE	YZ	15870309
81443	273	1997-02-11	VYDAJ	PREVOD NA UCET	1836	34592	POJISTNE	YZ	15870309
81444	273	1997-03-11	VYDAJ	PREVOD NA UCET	1836	42738	POJISTNE	YZ	15870309
81445	273	1997-04-11	VYDAJ	PREVOD NA UCET	1836	46212	POJISTNE	YZ	15870309
81446	273	1997-05-11	VYDAJ	PREVOD NA UCET	1836	46695	POJISTNE	YZ	15870309
81447	273	1997-06-11	VYDAJ	PREVOD NA UCET	1836	51879	POJISTNE	YZ	15870309
81448	273	1997-07-11	VYDAJ	PREVOD NA UCET	1836	39875	POJISTNE	YZ	15870309
81449	273	1997-08-11	VYDAJ	PREVOD NA UCET	1836	41630	POJISTNE	YZ	15870309
81450	273	1997-09-11	VYDAJ	PREVOD NA UCET	1836	37932	POJISTNE	YZ	15870309
81451	273	1997-10-11	VYDAJ	PREVOD NA UCET	1836	43294	POJISTNE	YZ	15870309
81452	273	1997-11-11	VYDAJ	PREVOD NA UCET	1836	40498	POJISTNE	YZ	15870309
81453	273	1997-12-11	VYDAJ	PREVOD NA UCET	1836	53272	POJISTNE	YZ	15870309
81454	273	1998-01-11	VYDAJ	PREVOD NA UCET	1836	25265	POJISTNE	YZ	15870309
81455	273	1998-02-11	VYDAJ	PREVOD NA UCET	1836	27707	POJISTNE	YZ	15870309
81456	273	1998-03-11	VYDAJ	PREVOD NA UCET	1836	38343	POJISTNE	YZ	15870309
81457	273	1998-04-11	VYDAJ	PREVOD NA UCET	1836	40903	POJISTNE	YZ	15870309
81458	273	1998-05-11	VYDAJ	PREVOD NA UCET	1836	41758	POJISTNE	YZ	15870309
81459	273	1998-06-11	VYDAJ	PREVOD NA UCET	1836	48970	POJISTNE	YZ	15870309
81460	273	1998-07-11	VYDAJ	PREVOD NA UCET	1836	38958	POJISTNE	YZ	15870309
81461	273	1998-08-11	VYDAJ	PREVOD NA UCET	1836	47223	POJISTNE	YZ	15870309
81462	273	1998-09-11	VYDAJ	PREVOD NA UCET	1836	51046	POJISTNE	YZ	15870309
81463	273	1998-10-11	VYDAJ	PREVOD NA UCET	1836	49637	POJISTNE	YZ	15870309
81464	273	1998-11-11	VYDAJ	PREVOD NA UCET	1836	40836	POJISTNE	YZ	15870309
81465	273	1998-12-11	VYDAJ	PREVOD NA UCET	1836	60733	POJISTNE	YZ	15870309
81474	273	1994-11-21	VYBER	VYBER	4710	23934	\N	\N	\N
81475	273	1994-06-09	VYBER	VYBER	2613	28244	\N	\N	\N
81476	273	1994-08-05	VYBER	VYBER	6702	24849	\N	\N	\N
81478	273	1995-10-10	VYBER	VYBER	9486	31696	\N	\N	\N
81479	273	1995-05-06	VYBER	VYBER	14372	26501	\N	\N	\N
81481	273	1997-11-07	VYBER	VYBER	5569	42334	\N	\N	\N
81482	273	1997-09-11	VYBER	VYBER	4659	39768	\N	\N	\N
81483	273	1998-09-12	VYBER	VYBER	7400	43646	\N	\N	\N
81484	273	1998-08-24	VYBER	VYBER	2270	39788	\N	\N	\N
81487	273	1998-05-22	VYBER	VYBER	5354	31139	\N	\N	\N
81488	273	1998-12-13	VYBER	VYBER	6065	46603	\N	\N	\N
81489	273	1998-03-24	VYBER	VYBER	5196	29682	\N	\N	\N
81493	273	1996-06-28	VYDAJ	VYBER	14100	28558	\N	\N	\N
81501	273	1998-01-10	VYDAJ	VYBER	14100	27101	\N	\N	\N
81502	273	1993-12-18	VYDAJ	VYBER	8700	22128	\N	\N	\N
81503	273	1994-12-19	VYDAJ	VYBER	4800	29076	\N	\N	\N
81504	273	1995-12-25	VYDAJ	VYBER	6900	22476	\N	\N	\N
81505	273	1996-12-06	VYDAJ	VYBER	5100	36822	\N	\N	\N
81506	273	1997-12-23	VYDAJ	VYBER	8100	33507	\N	\N	\N
81507	273	1998-12-15	VYDAJ	VYBER	6300	40303	\N	\N	\N
81515	273	1994-01-07	VYDAJ	VYBER	8700	26874	\N	\N	\N
81521	273	1995-01-09	VYDAJ	VYBER	2100	32333	\N	\N	\N
81522	273	1995-01-12	VYDAJ	VYBER	4200	26297	\N	\N	\N
81525	273	1995-01-06	VYDAJ	VYBER	7800	34611	\N	\N	\N
81527	273	1996-01-05	VYDAJ	VYBER	6900	29805	\N	\N	\N
81528	273	1996-01-06	VYDAJ	VYBER	3300	26327	\N	\N	\N
81529	273	1996-01-11	VYDAJ	VYBER	2100	22391	\N	\N	\N
81532	273	1997-01-05	VYDAJ	VYBER	5700	31077	\N	\N	\N
81533	273	1997-01-02	VYDAJ	VYBER	8400	23576	\N	\N	\N
81534	273	1997-01-24	VYDAJ	VYBER	6000	23398	\N	\N	\N
81536	273	1997-01-07	VYDAJ	VYBER	2100	28799	\N	\N	\N
81539	273	1998-01-03	VYDAJ	VYBER	5400	28178	\N	\N	\N
81543	273	1998-01-22	VYDAJ	VYBER	3300	26400	\N	\N	\N
81551	273	1994-10-17	VYDAJ	VYBER	4500	26698	\N	\N	\N
81554	273	1995-02-16	VYDAJ	VYBER	1500	24872	\N	\N	\N
81555	273	1995-07-09	VYDAJ	VYBER	4500	31073	\N	\N	\N
81557	273	1995-06-18	VYDAJ	VYBER	12600	20237	\N	\N	\N
81559	273	1995-12-15	VYDAJ	VYBER	7500	29376	\N	\N	\N
81560	273	1996-03-29	VYDAJ	VYBER	1500	24380	\N	\N	\N
81561	273	1996-07-23	VYDAJ	VYBER	1500	32373	\N	\N	\N
81563	273	1996-12-01	VYDAJ	VYBER	11400	22120	\N	\N	\N
81564	273	1996-03-17	VYDAJ	VYBER	14400	21180	\N	\N	\N
81565	273	1997-07-02	VYDAJ	VYBER	8700	28688	\N	\N	\N
81566	273	1997-08-16	VYDAJ	VYBER	6600	29065	\N	\N	\N
81567	273	1997-07-14	VYDAJ	VYBER	12300	21610	\N	\N	\N
81570	273	1998-06-28	VYDAJ	VYBER	14400	27705	\N	\N	\N
81571	273	1998-02-09	VYDAJ	VYBER	9900	29543	\N	\N	\N
81572	273	1998-10-31	VYDAJ	VYBER	12600	29649	\N	\N	\N
81574	273	1998-04-14	VYDAJ	VYBER	10800	24138	\N	\N	\N
81587	273	1993-12-31	VYDAJ	VYBER	100	22151	SLUZBY	\N	\N
81588	273	1994-01-31	VYDAJ	VYBER	100	19066	SLUZBY	\N	\N
81589	273	1994-02-28	VYDAJ	VYBER	100	19877	SLUZBY	\N	\N
81590	273	1994-03-31	VYDAJ	VYBER	100	20792	SLUZBY	\N	\N
81591	273	1994-04-30	VYDAJ	VYBER	100	23617	SLUZBY	\N	\N
81592	273	1994-05-31	VYDAJ	VYBER	100	20233	SLUZBY	\N	\N
81593	273	1994-06-30	VYDAJ	VYBER	100	20439	SLUZBY	\N	\N
81594	273	1994-07-31	VYDAJ	VYBER	100	18350	SLUZBY	\N	\N
81595	273	1994-08-31	VYDAJ	VYBER	100	16849	SLUZBY	\N	\N
81596	273	1994-09-30	VYDAJ	VYBER	100	24476	SLUZBY	\N	\N
81597	273	1994-10-31	VYDAJ	VYBER	100	26722	SLUZBY	\N	\N
81598	273	1994-11-30	VYDAJ	VYBER	100	23953	SLUZBY	\N	\N
81599	273	1994-12-31	VYDAJ	VYBER	100	29110	SLUZBY	\N	\N
81600	273	1995-01-31	VYDAJ	VYBER	100	20350	SLUZBY	\N	\N
81601	273	1995-02-28	VYDAJ	VYBER	100	24883	SLUZBY	\N	\N
81602	273	1995-03-31	VYDAJ	VYBER	100	26922	SLUZBY	\N	\N
81603	273	1995-04-30	VYDAJ	VYBER	100	29372	SLUZBY	\N	\N
81604	273	1995-05-31	VYDAJ	VYBER	100	18514	SLUZBY	\N	\N
81605	273	1995-06-30	VYDAJ	VYBER	100	20250	SLUZBY	\N	\N
81606	273	1995-07-31	VYDAJ	VYBER	100	21576	SLUZBY	\N	\N
81607	273	1995-08-31	VYDAJ	VYBER	100	24611	SLUZBY	\N	\N
81608	273	1995-09-30	VYDAJ	VYBER	100	28159	SLUZBY	\N	\N
81609	273	1995-10-31	VYDAJ	VYBER	100	24308	SLUZBY	\N	\N
81610	273	1995-11-30	VYDAJ	VYBER	100	25053	SLUZBY	\N	\N
81611	273	1995-12-31	VYDAJ	VYBER	100	23504	SLUZBY	\N	\N
81612	273	1996-01-31	VYDAJ	VYBER	100	23514	SLUZBY	\N	\N
81613	273	1996-02-29	VYDAJ	VYBER	100	30358	SLUZBY	\N	\N
81614	273	1996-03-31	VYDAJ	VYBER	100	24404	SLUZBY	\N	\N
81615	273	1996-04-30	VYDAJ	VYBER	100	32753	SLUZBY	\N	\N
81616	273	1996-05-31	VYDAJ	VYBER	100	38235	SLUZBY	\N	\N
81617	273	1996-06-30	VYDAJ	VYBER	100	28651	SLUZBY	\N	\N
81618	273	1996-07-31	VYDAJ	VYBER	100	30712	SLUZBY	\N	\N
81619	273	1996-08-31	VYDAJ	VYBER	100	33883	SLUZBY	\N	\N
81620	273	1996-09-30	VYDAJ	VYBER	100	33964	SLUZBY	\N	\N
81621	273	1996-10-31	VYDAJ	VYBER	100	33243	SLUZBY	\N	\N
81622	273	1996-11-30	VYDAJ	VYBER	100	33520	SLUZBY	\N	\N
81623	273	1996-12-31	VYDAJ	VYBER	100	31976	SLUZBY	\N	\N
81624	273	1997-01-31	VYDAJ	VYBER	100	23405	SLUZBY	\N	\N
81625	273	1997-02-28	VYDAJ	VYBER	100	31551	SLUZBY	\N	\N
81626	273	1997-03-31	VYDAJ	VYBER	100	35025	SLUZBY	\N	\N
81627	273	1997-04-30	VYDAJ	VYBER	100	35508	SLUZBY	\N	\N
81628	273	1997-05-31	VYDAJ	VYBER	100	34091	SLUZBY	\N	\N
81629	273	1997-06-30	VYDAJ	VYBER	100	37388	SLUZBY	\N	\N
81630	273	1997-07-31	VYDAJ	VYBER	100	30443	SLUZBY	\N	\N
81631	273	1997-08-31	VYDAJ	VYBER	100	31404	SLUZBY	\N	\N
81632	273	1997-09-30	VYDAJ	VYBER	100	32107	SLUZBY	\N	\N
81633	273	1997-10-31	VYDAJ	VYBER	100	34880	SLUZBY	\N	\N
81634	273	1997-11-30	VYDAJ	VYBER	100	35484	SLUZBY	\N	\N
81635	273	1997-12-31	VYDAJ	VYBER	100	33578	SLUZBY	\N	\N
81636	273	1998-01-31	VYDAJ	VYBER	100	26420	SLUZBY	\N	\N
81637	273	1998-02-28	VYDAJ	VYBER	100	27156	SLUZBY	\N	\N
81638	273	1998-03-31	VYDAJ	VYBER	100	29716	SLUZBY	\N	\N
81639	273	1998-04-30	VYDAJ	VYBER	100	30571	SLUZBY	\N	\N
81640	273	1998-05-31	VYDAJ	VYBER	100	31182	SLUZBY	\N	\N
81641	273	1998-06-30	VYDAJ	VYBER	100	27771	SLUZBY	\N	\N
81642	273	1998-07-31	VYDAJ	VYBER	100	36036	SLUZBY	\N	\N
81643	273	1998-08-31	VYDAJ	VYBER	100	39859	SLUZBY	\N	\N
81644	273	1998-09-30	VYDAJ	VYBER	100	38450	SLUZBY	\N	\N
81645	273	1998-10-31	VYDAJ	VYBER	100	42249	SLUZBY	\N	\N
81646	273	1998-11-30	VYDAJ	VYBER	100	42945	SLUZBY	\N	\N
81647	273	1993-08-10	PRIJEM	VKLAD	3000	16901	\N	\N	\N
81648	273	1993-09-09	VYDAJ	VYBER	4700	25452	\N	\N	\N
81649	273	1993-10-09	VYDAJ	VYBER	8300	30450	\N	\N	\N
81650	273	1993-11-08	VYDAJ	VYBER	11400	32372	\N	\N	\N
81651	273	1993-12-08	VYDAJ	VYBER	13500	38629	\N	\N	\N
81652	273	1994-01-07	PRIJEM	VKLAD	400	35574	\N	\N	\N
81653	273	1994-02-06	VYDAJ	VYBER	4400	27867	\N	\N	\N
81654	273	1994-03-08	VYDAJ	VYBER	4300	28600	\N	\N	\N
81655	273	1994-04-07	VYDAJ	VYBER	2400	31415	\N	\N	\N
81656	273	1994-05-07	VYDAJ	VYBER	8600	28040	\N	\N	\N
81657	273	1994-06-06	VYDAJ	VYBER	9000	30857	\N	\N	\N
81658	273	1994-07-06	VYDAJ	VYBER	7300	26162	\N	\N	\N
81659	273	1994-09-04	PRIJEM	VKLAD	2400	19249	\N	\N	\N
81660	273	1994-10-04	PRIJEM	VKLAD	1500	25976	\N	\N	\N
81661	273	1994-11-03	VYDAJ	VYBER	3300	23422	\N	\N	\N
81662	273	1994-12-03	VYDAJ	VYBER	1900	22053	\N	\N	\N
81663	273	1995-01-02	PRIJEM	VKLAD	100	29210	\N	\N	\N
81664	273	1995-02-01	PRIJEM	VKLAD	800	21150	\N	\N	\N
81665	273	1995-03-03	VYDAJ	VYBER	3200	21683	\N	\N	\N
81666	273	1995-04-02	VYDAJ	VYBER	2800	24122	\N	\N	\N
81667	273	1995-05-02	VYDAJ	VYBER	1700	27672	\N	\N	\N
81668	273	1995-06-01	PRIJEM	VKLAD	2500	21014	\N	\N	\N
81669	273	1995-07-01	PRIJEM	VKLAD	2300	22550	\N	\N	\N
81670	273	1995-07-31	VYDAJ	VYBER	1700	21676	\N	\N	\N
81671	273	1995-08-30	VYDAJ	VYBER	2200	24598	\N	\N	\N
81672	273	1995-09-29	VYDAJ	VYBER	1700	28133	\N	\N	\N
81673	273	1995-10-29	PRIJEM	VKLAD	400	24295	\N	\N	\N
81674	273	1995-11-28	VYDAJ	VYBER	4500	25030	\N	\N	\N
81675	273	1995-12-28	PRIJEM	VKLAD	1000	23476	\N	\N	\N
81676	273	1996-01-27	PRIJEM	VKLAD	7100	23526	\N	\N	\N
81677	273	1996-02-26	PRIJEM	VKLAD	1600	30336	\N	\N	\N
81678	273	1996-03-27	PRIJEM	VKLAD	4700	25880	\N	\N	\N
81679	273	1996-04-26	PRIJEM	VKLAD	3100	32726	\N	\N	\N
81680	273	1996-05-26	PRIJEM	VKLAD	200	38175	\N	\N	\N
81681	273	1996-06-25	VYDAJ	VYBER	7400	42658	\N	\N	\N
81682	273	1996-07-25	VYDAJ	VYBER	1700	30673	\N	\N	\N
81683	273	1996-08-24	VYDAJ	VYBER	2100	33834	\N	\N	\N
81684	273	1996-09-23	VYDAJ	VYBER	5200	33905	\N	\N	\N
81685	273	1996-10-23	VYDAJ	VYBER	6000	33186	\N	\N	\N
81686	273	1996-11-22	VYDAJ	VYBER	5000	33465	\N	\N	\N
81687	273	1996-12-22	PRIJEM	VKLAD	3100	31943	\N	\N	\N
81688	273	1997-01-21	PRIJEM	VKLAD	8400	29398	\N	\N	\N
81689	273	1997-02-20	PRIJEM	VKLAD	2900	31527	\N	\N	\N
81690	273	1997-03-22	VYDAJ	VYBER	1800	34973	\N	\N	\N
81691	273	1997-04-21	VYDAJ	VYBER	4800	35447	\N	\N	\N
81692	273	1997-05-21	VYDAJ	VYBER	6700	34030	\N	\N	\N
81693	273	1997-06-20	VYDAJ	VYBER	8600	37314	\N	\N	\N
81694	273	1997-07-20	PRIJEM	VKLAD	8800	30410	\N	\N	\N
81695	273	1997-08-19	PRIJEM	VKLAD	2300	31365	\N	\N	\N
81696	273	1997-09-18	PRIJEM	VKLAD	100	32067	\N	\N	\N
81697	273	1997-10-18	VYDAJ	VYBER	2500	34829	\N	\N	\N
81698	273	1997-11-17	PRIJEM	VKLAD	900	35433	\N	\N	\N
81699	273	1997-12-17	VYDAJ	VYBER	5700	41607	\N	\N	\N
81700	273	1998-01-16	PRIJEM	VKLAD	10400	29700	\N	\N	\N
81701	273	1998-02-15	PRIJEM	VKLAD	5400	27142	\N	\N	\N
81702	273	1998-03-17	PRIJEM	VKLAD	2500	34878	\N	\N	\N
81703	273	1998-04-16	PRIJEM	VKLAD	6400	30538	\N	\N	\N
81704	273	1998-05-16	PRIJEM	VKLAD	700	36493	\N	\N	\N
81705	273	1998-06-15	VYDAJ	VYBER	900	42105	\N	\N	\N
81706	273	1998-07-15	PRIJEM	VKLAD	3000	35993	\N	\N	\N
81707	273	1998-08-14	PRIJEM	VKLAD	800	42058	\N	\N	\N
81708	273	1998-09-13	PRIJEM	VKLAD	700	38381	\N	\N	\N
81709	273	1998-10-13	VYDAJ	VYBER	1500	42172	\N	\N	\N
81710	273	1998-11-12	PRIJEM	VKLAD	8000	48836	\N	\N	\N
81711	273	1998-12-12	VYDAJ	VYBER	2100	52668	\N	\N	\N
81777	274	1993-08-20	PRIJEM	VKLAD	300	300	\N	\N	\N
81786	274	1993-09-11	PRIJEM	VKLAD	20398	20698	\N	\N	\N
81787	274	1993-10-11	PRIJEM	VKLAD	20398	44837	\N	\N	\N
81788	274	1993-11-11	PRIJEM	VKLAD	20398	53551	\N	\N	\N
81789	274	1993-12-11	PRIJEM	VKLAD	30597	68094	\N	\N	\N
81790	274	1994-01-11	PRIJEM	VKLAD	20398	66664	\N	\N	\N
81791	274	1994-02-11	PRIJEM	VKLAD	20398	42399	\N	\N	\N
81792	274	1994-03-11	PRIJEM	VKLAD	20398	43940	\N	\N	\N
81793	274	1994-04-11	PRIJEM	VKLAD	20398	38823	\N	\N	\N
81794	274	1994-05-11	PRIJEM	VKLAD	20398	43758	\N	\N	\N
81795	274	1994-06-11	PRIJEM	VKLAD	30597	56606	\N	\N	\N
81796	274	1994-07-11	PRIJEM	VKLAD	20398	45213	\N	\N	\N
81797	274	1994-08-11	PRIJEM	VKLAD	20398	44961	\N	\N	\N
81798	274	1994-09-11	PRIJEM	VKLAD	20398	43704	\N	\N	\N
81799	274	1994-10-11	PRIJEM	VKLAD	20398	47753	\N	\N	\N
81800	274	1994-11-11	PRIJEM	VKLAD	20398	40355	\N	\N	\N
81801	274	1994-12-11	PRIJEM	VKLAD	30597	53987	\N	\N	\N
81802	274	1995-01-11	PRIJEM	VKLAD	20398	39898	\N	\N	\N
81803	274	1995-02-11	PRIJEM	VKLAD	20398	35381	\N	\N	\N
81804	274	1995-03-11	PRIJEM	VKLAD	20398	40695	\N	\N	\N
81805	274	1995-04-11	PRIJEM	VKLAD	20398	43931	\N	\N	\N
81806	274	1995-05-11	PRIJEM	VKLAD	20398	44770	\N	\N	\N
81807	274	1995-06-11	PRIJEM	VKLAD	30597	45310	\N	\N	\N
81808	274	1995-07-11	PRIJEM	VKLAD	20398	44944	\N	\N	\N
81809	274	1995-08-11	PRIJEM	VKLAD	20398	47213	\N	\N	\N
81810	274	1995-09-11	PRIJEM	VKLAD	20398	47692	\N	\N	\N
81811	274	1995-10-11	PRIJEM	VKLAD	20398	49440	\N	\N	\N
81812	274	1995-11-11	PRIJEM	VKLAD	20398	50637	\N	\N	\N
81813	274	1995-12-11	PRIJEM	VKLAD	30597	60939	\N	\N	\N
81814	274	1996-01-11	PRIJEM	VKLAD	20398	44853	\N	\N	\N
81815	274	1996-02-11	PRIJEM	VKLAD	20398	46893	\N	\N	\N
81816	274	1996-03-11	PRIJEM	VKLAD	20398	48071	\N	\N	\N
81817	274	1996-04-11	PRIJEM	VKLAD	20398	49064	\N	\N	\N
81818	274	1996-05-11	PRIJEM	VKLAD	20398	48561	\N	\N	\N
81819	274	1996-06-11	PRIJEM	VKLAD	30597	60157	\N	\N	\N
81820	274	1996-07-11	PRIJEM	VKLAD	20398	40830	\N	\N	\N
81821	274	1996-08-11	PRIJEM	VKLAD	20398	47186	\N	\N	\N
81822	274	1996-09-11	PRIJEM	VKLAD	20398	48568	\N	\N	\N
81823	274	1996-10-11	PRIJEM	VKLAD	20398	47562	\N	\N	\N
81824	274	1996-11-11	PRIJEM	VKLAD	20398	45554	\N	\N	\N
81825	274	1996-12-11	PRIJEM	VKLAD	30597	53412	\N	\N	\N
81826	274	1997-01-11	PRIJEM	VKLAD	20398	41670	\N	\N	\N
81827	274	1997-02-11	PRIJEM	VKLAD	20398	37180	\N	\N	\N
81828	274	1997-03-11	PRIJEM	VKLAD	20398	40315	\N	\N	\N
81829	274	1997-04-11	PRIJEM	VKLAD	20398	42472	\N	\N	\N
81830	274	1997-05-11	PRIJEM	VKLAD	20398	45477	\N	\N	\N
81831	274	1997-06-11	PRIJEM	VKLAD	30597	42892	\N	\N	\N
81832	274	1997-07-11	PRIJEM	VKLAD	20398	47453	\N	\N	\N
81833	274	1997-08-11	PRIJEM	VKLAD	20398	52169	\N	\N	\N
81834	274	1997-09-11	PRIJEM	VKLAD	20398	47552	\N	\N	\N
81835	274	1997-10-11	PRIJEM	VKLAD	20398	46216	\N	\N	\N
81836	274	1997-11-11	PRIJEM	VKLAD	20398	45583	\N	\N	\N
81837	274	1997-12-11	PRIJEM	VKLAD	30597	57147	\N	\N	\N
81838	274	1998-01-11	PRIJEM	VKLAD	20398	46241	\N	\N	\N
81839	274	1998-02-11	PRIJEM	VKLAD	20398	40846	\N	\N	\N
81840	274	1998-03-11	PRIJEM	VKLAD	20398	41588	\N	\N	\N
81841	274	1998-04-11	PRIJEM	VKLAD	20398	38132	\N	\N	\N
81842	274	1998-05-11	PRIJEM	VKLAD	20398	37985	\N	\N	\N
81843	274	1998-06-11	PRIJEM	VKLAD	30597	45355	\N	\N	\N
81844	274	1998-07-11	PRIJEM	VKLAD	20398	42215	\N	\N	\N
81845	274	1998-08-11	PRIJEM	VKLAD	20398	41359	\N	\N	\N
81846	274	1998-09-11	PRIJEM	VKLAD	20398	41099	\N	\N	\N
81847	274	1998-10-11	PRIJEM	VKLAD	20398	31749	\N	\N	\N
81848	274	1998-11-11	PRIJEM	VKLAD	20398	32348	\N	\N	\N
81849	274	1998-12-11	PRIJEM	VKLAD	30597	42589	\N	\N	\N
81863	274	1994-02-10	VYDAJ	PREVOD NA UCET	9886	22001	SIPO	ST	91567790
81864	274	1994-03-10	VYDAJ	PREVOD NA UCET	9886	23542	SIPO	ST	91567790
81865	274	1994-04-10	VYDAJ	PREVOD NA UCET	9886	18425	SIPO	ST	91567790
81866	274	1994-05-10	VYDAJ	PREVOD NA UCET	9886	23360	SIPO	ST	91567790
81867	274	1994-06-10	VYDAJ	PREVOD NA UCET	9886	26009	SIPO	ST	91567790
81868	274	1994-07-10	VYDAJ	PREVOD NA UCET	9886	24815	SIPO	ST	91567790
81869	274	1994-08-10	VYDAJ	PREVOD NA UCET	9886	24563	SIPO	ST	91567790
81870	274	1994-09-10	VYDAJ	PREVOD NA UCET	9886	23306	SIPO	ST	91567790
81871	274	1994-10-10	VYDAJ	PREVOD NA UCET	9886	27355	SIPO	ST	91567790
81872	274	1994-11-10	VYDAJ	PREVOD NA UCET	9886	19957	SIPO	ST	91567790
81873	274	1994-12-10	VYDAJ	PREVOD NA UCET	9886	23390	SIPO	ST	91567790
81874	274	1995-01-10	VYDAJ	PREVOD NA UCET	9886	19500	SIPO	ST	91567790
81875	274	1995-02-10	VYDAJ	PREVOD NA UCET	9886	14983	SIPO	ST	91567790
81876	274	1995-03-10	VYDAJ	PREVOD NA UCET	9886	20297	SIPO	ST	91567790
81877	274	1995-04-10	VYDAJ	PREVOD NA UCET	9886	23533	SIPO	ST	91567790
81878	274	1995-05-10	VYDAJ	PREVOD NA UCET	9886	24372	SIPO	ST	91567790
81879	274	1995-06-10	VYDAJ	PREVOD NA UCET	9886	21753	SIPO	ST	91567790
81880	274	1995-07-10	VYDAJ	PREVOD NA UCET	9886	24546	SIPO	ST	91567790
81881	274	1995-08-10	VYDAJ	PREVOD NA UCET	9886	26815	SIPO	ST	91567790
81882	274	1995-09-10	VYDAJ	PREVOD NA UCET	9886	27294	SIPO	ST	91567790
81883	274	1995-10-10	VYDAJ	PREVOD NA UCET	9886	29042	SIPO	ST	91567790
81884	274	1995-11-10	VYDAJ	PREVOD NA UCET	9886	30239	SIPO	ST	91567790
81885	274	1995-12-10	VYDAJ	PREVOD NA UCET	9886	30342	SIPO	ST	91567790
81886	274	1996-01-10	VYDAJ	PREVOD NA UCET	9886	24455	SIPO	ST	91567790
81887	274	1996-02-10	VYDAJ	PREVOD NA UCET	9886	26495	SIPO	ST	91567790
81888	274	1996-03-10	VYDAJ	PREVOD NA UCET	9886	27673	SIPO	ST	91567790
81889	274	1996-04-10	VYDAJ	PREVOD NA UCET	9886	28666	SIPO	ST	91567790
81890	274	1996-05-10	VYDAJ	PREVOD NA UCET	9886	28163	SIPO	ST	91567790
81891	274	1996-06-10	VYDAJ	PREVOD NA UCET	9886	29560	SIPO	ST	91567790
81892	274	1996-07-10	VYDAJ	PREVOD NA UCET	9886	20432	SIPO	ST	91567790
81893	274	1996-08-10	VYDAJ	PREVOD NA UCET	9886	26788	SIPO	ST	91567790
81894	274	1996-09-10	VYDAJ	PREVOD NA UCET	9886	28170	SIPO	ST	91567790
81895	274	1996-10-10	VYDAJ	PREVOD NA UCET	9886	27164	SIPO	ST	91567790
81896	274	1996-11-10	VYDAJ	PREVOD NA UCET	9886	25156	SIPO	ST	91567790
81897	274	1996-12-10	VYDAJ	PREVOD NA UCET	9886	22815	SIPO	ST	91567790
81898	274	1997-01-10	VYDAJ	PREVOD NA UCET	9886	21272	SIPO	ST	91567790
81899	274	1997-02-10	VYDAJ	PREVOD NA UCET	9886	16782	SIPO	ST	91567790
81900	274	1997-03-10	VYDAJ	PREVOD NA UCET	9886	19917	SIPO	ST	91567790
81901	274	1997-04-10	VYDAJ	PREVOD NA UCET	9886	22074	SIPO	ST	91567790
81902	274	1997-05-10	VYDAJ	PREVOD NA UCET	9886	25079	SIPO	ST	91567790
81903	274	1997-06-10	VYDAJ	PREVOD NA UCET	9886	12295	SIPO	ST	91567790
81904	274	1997-07-10	VYDAJ	PREVOD NA UCET	9886	27055	SIPO	ST	91567790
81905	274	1997-08-10	VYDAJ	PREVOD NA UCET	9886	31771	SIPO	ST	91567790
81906	274	1997-09-10	VYDAJ	PREVOD NA UCET	9886	27154	SIPO	ST	91567790
81907	274	1997-10-10	VYDAJ	PREVOD NA UCET	9886	25818	SIPO	ST	91567790
81908	274	1997-11-10	VYDAJ	PREVOD NA UCET	9886	25185	SIPO	ST	91567790
81909	274	1997-12-10	VYDAJ	PREVOD NA UCET	9886	26550	SIPO	ST	91567790
81910	274	1998-01-10	VYDAJ	PREVOD NA UCET	9886	27163	SIPO	ST	91567790
81911	274	1998-02-10	VYDAJ	PREVOD NA UCET	9886	20448	SIPO	ST	91567790
81912	274	1998-03-10	VYDAJ	PREVOD NA UCET	9886	21190	SIPO	ST	91567790
81913	274	1998-04-10	VYDAJ	PREVOD NA UCET	9886	17734	SIPO	ST	91567790
81914	274	1998-05-10	VYDAJ	PREVOD NA UCET	9886	17587	SIPO	ST	91567790
81915	274	1998-06-10	VYDAJ	PREVOD NA UCET	9886	14758	SIPO	ST	91567790
81916	274	1998-07-10	VYDAJ	PREVOD NA UCET	9886	21817	SIPO	ST	91567790
81917	274	1998-08-10	VYDAJ	PREVOD NA UCET	9886	20961	SIPO	ST	91567790
81918	274	1998-09-10	VYDAJ	PREVOD NA UCET	9886	20701	SIPO	ST	91567790
81919	274	1998-10-10	VYDAJ	PREVOD NA UCET	9886	11351	SIPO	ST	91567790
81920	274	1998-11-10	VYDAJ	PREVOD NA UCET	9886	11950	SIPO	ST	91567790
81921	274	1998-12-10	VYDAJ	PREVOD NA UCET	9886	11992	SIPO	ST	91567790
81924	274	1995-06-10	VYDAJ	VYBER	7040	14713	\N	\N	\N
81925	274	1996-06-27	VYDAJ	VYBER	26240	33917	\N	\N	\N
81926	274	1997-06-02	VYDAJ	VYBER	14560	22181	\N	\N	\N
81929	274	1994-01-13	VYDAJ	VYBER	7520	59144	\N	\N	\N
81930	274	1995-01-12	VYDAJ	VYBER	5920	33978	\N	\N	\N
81931	274	1996-01-05	VYDAJ	VYBER	11200	43481	\N	\N	\N
81932	274	1997-01-18	VYDAJ	VYBER	14080	27590	\N	\N	\N
81933	274	1998-01-13	VYDAJ	VYBER	9120	37121	\N	\N	\N
81941	274	1994-01-21	VYDAJ	VYBER	720	37004	\N	\N	\N
81943	274	1994-01-19	VYDAJ	VYBER	1920	37724	\N	\N	\N
81944	274	1994-01-30	VYDAJ	VYBER	2520	31724	\N	\N	\N
81945	274	1994-01-23	VYDAJ	VYBER	2760	34244	\N	\N	\N
81946	274	1995-01-20	VYDAJ	VYBER	2640	25718	\N	\N	\N
81947	274	1995-01-08	VYDAJ	VYBER	2640	32746	\N	\N	\N
81948	274	1995-01-26	VYDAJ	VYBER	960	24758	\N	\N	\N
81949	274	1995-01-18	VYDAJ	VYBER	2160	28358	\N	\N	\N
81950	274	1995-01-08	VYDAJ	VYBER	3360	29386	\N	\N	\N
81951	274	1995-01-18	VYDAJ	VYBER	2160	30518	\N	\N	\N
81952	274	1996-01-04	VYDAJ	VYBER	1680	57201	\N	\N	\N
81953	274	1996-01-05	VYDAJ	VYBER	2520	54681	\N	\N	\N
81954	274	1996-01-25	VYDAJ	VYBER	840	41373	\N	\N	\N
81955	274	1996-01-23	VYDAJ	VYBER	600	42213	\N	\N	\N
81956	274	1996-01-01	VYDAJ	VYBER	1680	58881	\N	\N	\N
81957	274	1996-01-26	VYDAJ	VYBER	2760	38613	\N	\N	\N
81958	274	1997-01-10	VYDAJ	VYBER	1680	31158	\N	\N	\N
81959	274	1997-01-19	VYDAJ	VYBER	720	26870	\N	\N	\N
81960	274	1997-01-06	VYDAJ	VYBER	840	35958	\N	\N	\N
81961	274	1997-01-03	VYDAJ	VYBER	2280	37758	\N	\N	\N
81962	274	1997-01-04	VYDAJ	VYBER	960	36798	\N	\N	\N
81963	274	1997-01-07	VYDAJ	VYBER	3120	32838	\N	\N	\N
81964	274	1998-01-01	VYDAJ	VYBER	3480	38249	\N	\N	\N
81965	274	1998-01-21	VYDAJ	VYBER	1440	34481	\N	\N	\N
81966	274	1998-01-24	VYDAJ	VYBER	1680	32801	\N	\N	\N
81967	274	1998-01-10	VYDAJ	VYBER	1320	25843	\N	\N	\N
81968	274	1998-01-08	VYDAJ	VYBER	1200	37049	\N	\N	\N
81969	274	1998-01-14	VYDAJ	VYBER	1200	35921	\N	\N	\N
81976	274	1994-04-08	VYDAJ	VYBER	2040	28311	\N	\N	\N
81977	274	1994-11-13	VYDAJ	VYBER	1800	33155	\N	\N	\N
81978	274	1994-03-23	VYDAJ	VYBER	4320	30220	\N	\N	\N
81979	274	1994-06-27	VYDAJ	VYBER	5160	34546	\N	\N	\N
81980	274	1994-12-24	VYDAJ	VYBER	3240	35247	\N	\N	\N
81981	274	1994-10-19	VYDAJ	VYBER	5040	29713	\N	\N	\N
81982	274	1995-03-18	VYDAJ	VYBER	3000	33295	\N	\N	\N
81983	274	1995-05-25	VYDAJ	VYBER	3960	31510	\N	\N	\N
81984	274	1995-09-12	VYDAJ	VYBER	1440	46252	\N	\N	\N
81985	274	1995-12-28	VYDAJ	VYBER	600	60339	\N	\N	\N
81986	274	1996-11-18	VYDAJ	VYBER	3720	41834	\N	\N	\N
81987	274	1996-01-07	VYDAJ	VYBER	5040	34341	\N	\N	\N
81988	274	1996-01-13	VYDAJ	VYBER	2040	42813	\N	\N	\N
81989	274	1996-12-24	VYDAJ	VYBER	2160	51252	\N	\N	\N
81990	274	1997-08-12	VYDAJ	VYBER	1680	50489	\N	\N	\N
81991	274	1997-09-11	VYDAJ	VYBER	3600	43952	\N	\N	\N
81992	274	1997-07-29	VYDAJ	VYBER	2160	45293	\N	\N	\N
81993	274	1997-01-20	VYDAJ	VYBER	3120	23750	\N	\N	\N
81994	274	1997-08-22	VYDAJ	VYBER	5520	44969	\N	\N	\N
81995	274	1997-04-17	VYDAJ	VYBER	960	41512	\N	\N	\N
81996	274	1998-09-26	VYDAJ	VYBER	5880	21119	\N	\N	\N
81997	274	1998-06-18	VYDAJ	VYBER	3480	41875	\N	\N	\N
81998	274	1998-06-08	VYDAJ	VYBER	2160	24644	\N	\N	\N
81999	274	1998-12-02	VYDAJ	VYBER	2160	21878	\N	\N	\N
82000	274	1998-05-01	VYDAJ	VYBER	3480	27473	\N	\N	\N
82014	274	1994-01-31	VYDAJ	VYBER	15	31887	SLUZBY	\N	\N
82015	274	1994-02-28	VYDAJ	VYBER	15	33428	SLUZBY	\N	\N
82016	274	1994-03-31	VYDAJ	VYBER	15	30351	SLUZBY	\N	\N
82017	274	1994-04-30	VYDAJ	VYBER	15	33246	SLUZBY	\N	\N
82018	274	1994-05-31	VYDAJ	VYBER	15	35895	SLUZBY	\N	\N
82019	274	1994-06-30	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
82020	274	1994-07-31	VYDAJ	VYBER	15	34449	SLUZBY	\N	\N
82021	274	1994-08-31	VYDAJ	VYBER	15	33192	SLUZBY	\N	\N
82022	274	1994-09-30	VYDAJ	VYBER	15	37241	SLUZBY	\N	\N
82023	274	1994-10-31	VYDAJ	VYBER	15	29843	SLUZBY	\N	\N
82024	274	1994-11-30	VYDAJ	VYBER	15	33276	SLUZBY	\N	\N
82025	274	1994-12-31	VYDAJ	VYBER	15	35386	SLUZBY	\N	\N
82026	274	1995-01-31	VYDAJ	VYBER	15	24869	SLUZBY	\N	\N
82027	274	1995-02-28	VYDAJ	VYBER	15	30183	SLUZBY	\N	\N
82028	274	1995-03-31	VYDAJ	VYBER	15	33419	SLUZBY	\N	\N
82029	274	1995-04-30	VYDAJ	VYBER	15	34258	SLUZBY	\N	\N
82030	274	1995-05-31	VYDAJ	VYBER	15	31639	SLUZBY	\N	\N
82031	274	1995-06-30	VYDAJ	VYBER	15	34432	SLUZBY	\N	\N
82032	274	1995-07-31	VYDAJ	VYBER	15	36401	SLUZBY	\N	\N
82033	274	1995-08-31	VYDAJ	VYBER	15	47380	SLUZBY	\N	\N
82034	274	1995-09-30	VYDAJ	VYBER	15	46428	SLUZBY	\N	\N
82035	274	1995-10-31	VYDAJ	VYBER	15	49625	SLUZBY	\N	\N
82036	274	1995-11-30	VYDAJ	VYBER	15	50828	SLUZBY	\N	\N
82037	274	1995-12-31	VYDAJ	VYBER	15	60561	SLUZBY	\N	\N
82038	274	1996-01-31	VYDAJ	VYBER	15	38781	SLUZBY	\N	\N
82039	274	1996-02-29	VYDAJ	VYBER	15	47059	SLUZBY	\N	\N
82040	274	1996-03-31	VYDAJ	VYBER	15	48252	SLUZBY	\N	\N
82041	274	1996-04-30	VYDAJ	VYBER	15	49249	SLUZBY	\N	\N
82042	274	1996-05-31	VYDAJ	VYBER	15	48746	SLUZBY	\N	\N
82043	274	1996-06-30	VYDAJ	VYBER	15	34118	SLUZBY	\N	\N
82044	274	1996-07-31	VYDAJ	VYBER	15	40974	SLUZBY	\N	\N
82045	274	1996-08-31	VYDAJ	VYBER	15	47356	SLUZBY	\N	\N
82046	274	1996-09-30	VYDAJ	VYBER	15	48750	SLUZBY	\N	\N
82047	274	1996-10-31	VYDAJ	VYBER	15	47742	SLUZBY	\N	\N
82048	274	1996-11-30	VYDAJ	VYBER	15	42001	SLUZBY	\N	\N
82049	274	1996-12-31	VYDAJ	VYBER	15	51438	SLUZBY	\N	\N
82050	274	1997-01-31	VYDAJ	VYBER	15	26668	SLUZBY	\N	\N
82051	274	1997-02-28	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
82052	274	1997-03-31	VYDAJ	VYBER	15	40460	SLUZBY	\N	\N
82053	274	1997-04-30	VYDAJ	VYBER	15	41665	SLUZBY	\N	\N
82054	274	1997-05-31	VYDAJ	VYBER	15	36741	SLUZBY	\N	\N
82055	274	1997-06-30	VYDAJ	VYBER	15	36941	SLUZBY	\N	\N
82056	274	1997-07-31	VYDAJ	VYBER	15	41657	SLUZBY	\N	\N
82057	274	1997-08-31	VYDAJ	VYBER	15	37040	SLUZBY	\N	\N
82058	274	1997-09-30	VYDAJ	VYBER	15	35704	SLUZBY	\N	\N
82059	274	1997-10-31	VYDAJ	VYBER	15	35071	SLUZBY	\N	\N
82060	274	1997-11-30	VYDAJ	VYBER	15	36436	SLUZBY	\N	\N
82061	274	1997-12-31	VYDAJ	VYBER	15	41729	SLUZBY	\N	\N
82062	274	1998-01-31	VYDAJ	VYBER	15	30334	SLUZBY	\N	\N
82063	274	1998-02-28	VYDAJ	VYBER	15	31076	SLUZBY	\N	\N
82064	274	1998-03-31	VYDAJ	VYBER	15	27620	SLUZBY	\N	\N
82065	274	1998-04-30	VYDAJ	VYBER	15	30953	SLUZBY	\N	\N
82066	274	1998-05-31	VYDAJ	VYBER	15	26804	SLUZBY	\N	\N
82067	274	1998-06-30	VYDAJ	VYBER	15	31703	SLUZBY	\N	\N
82068	274	1998-07-31	VYDAJ	VYBER	15	30847	SLUZBY	\N	\N
82069	274	1998-08-31	VYDAJ	VYBER	15	30587	SLUZBY	\N	\N
82070	274	1998-09-30	VYDAJ	VYBER	15	21237	SLUZBY	\N	\N
82071	274	1998-10-31	VYDAJ	VYBER	15	21836	SLUZBY	\N	\N
82072	274	1998-11-30	VYDAJ	VYBER	15	24038	SLUZBY	\N	\N
82073	274	1993-09-19	PRIJEM	VKLAD	3700	24398	\N	\N	\N
82074	274	1993-10-19	VYDAJ	VYBER	11800	33037	\N	\N	\N
82075	274	1993-11-18	VYDAJ	VYBER	16200	37351	\N	\N	\N
82076	274	1993-12-18	VYDAJ	VYBER	22000	46094	\N	\N	\N
82077	274	1994-01-17	VYDAJ	VYBER	19500	39644	\N	\N	\N
82078	274	1994-02-16	VYDAJ	VYBER	9100	33299	\N	\N	\N
82079	274	1994-03-18	VYDAJ	VYBER	9400	34540	\N	\N	\N
82080	274	1994-04-17	VYDAJ	VYBER	5700	33123	\N	\N	\N
82081	274	1994-05-17	VYDAJ	VYBER	8000	35758	\N	\N	\N
82082	274	1994-06-16	VYDAJ	VYBER	16900	39706	\N	\N	\N
82083	274	1994-07-16	VYDAJ	VYBER	10900	34313	\N	\N	\N
82084	274	1994-08-15	VYDAJ	VYBER	11900	33061	\N	\N	\N
82085	274	1994-09-14	VYDAJ	VYBER	6600	37104	\N	\N	\N
82086	274	1994-10-14	VYDAJ	VYBER	13000	34753	\N	\N	\N
82087	274	1994-11-13	VYDAJ	VYBER	5400	34955	\N	\N	\N
82088	274	1994-12-13	VYDAJ	VYBER	15500	38487	\N	\N	\N
82089	274	1995-01-12	VYDAJ	VYBER	1300	32678	\N	\N	\N
82090	274	1995-02-11	VYDAJ	VYBER	5300	30081	\N	\N	\N
82091	274	1995-03-13	VYDAJ	VYBER	4400	36295	\N	\N	\N
82092	274	1995-04-12	VYDAJ	VYBER	9800	34131	\N	\N	\N
82093	274	1995-05-12	VYDAJ	VYBER	9300	35470	\N	\N	\N
82094	274	1995-06-11	VYDAJ	VYBER	11000	34310	\N	\N	\N
82095	274	1995-07-11	VYDAJ	VYBER	8700	36244	\N	\N	\N
82096	274	1995-08-10	PRIJEM	VKLAD	300	36701	\N	\N	\N
82097	274	1995-09-09	VYDAJ	VYBER	10200	37180	\N	\N	\N
82098	274	1995-10-09	VYDAJ	VYBER	7500	38928	\N	\N	\N
82099	274	1995-11-08	VYDAJ	VYBER	9500	40125	\N	\N	\N
82100	274	1995-12-08	VYDAJ	VYBER	10600	40228	\N	\N	\N
82101	274	1996-01-07	VYDAJ	VYBER	4100	39381	\N	\N	\N
82102	274	1996-02-06	VYDAJ	VYBER	2400	36381	\N	\N	\N
82103	274	1996-03-07	VYDAJ	VYBER	9500	37559	\N	\N	\N
82104	274	1996-04-06	VYDAJ	VYBER	9700	38552	\N	\N	\N
82105	274	1996-05-06	VYDAJ	VYBER	11200	38049	\N	\N	\N
82106	274	1996-06-05	VYDAJ	VYBER	9300	39446	\N	\N	\N
82107	274	1996-07-05	VYDAJ	VYBER	3800	30318	\N	\N	\N
82108	274	1996-08-04	VYDAJ	VYBER	4300	36674	\N	\N	\N
82109	274	1996-09-03	VYDAJ	VYBER	9300	38056	\N	\N	\N
82110	274	1996-10-03	VYDAJ	VYBER	11700	37050	\N	\N	\N
82111	274	1996-11-02	VYDAJ	VYBER	12700	35042	\N	\N	\N
82112	274	1996-12-02	VYDAJ	VYBER	9300	32701	\N	\N	\N
82113	274	1997-01-01	VYDAJ	VYBER	11400	40038	\N	\N	\N
82114	274	1997-01-31	PRIJEM	VKLAD	2800	26683	\N	\N	\N
82115	274	1997-03-02	VYDAJ	VYBER	7500	29803	\N	\N	\N
82116	274	1997-04-01	VYDAJ	VYBER	8500	31960	\N	\N	\N
82117	274	1997-05-01	VYDAJ	VYBER	6700	34965	\N	\N	\N
82118	274	1997-05-31	VYDAJ	VYBER	8900	36755	\N	\N	\N
82119	274	1997-06-30	VYDAJ	VYBER	6100	36955	\N	\N	\N
82120	274	1997-07-30	VYDAJ	VYBER	3800	41493	\N	\N	\N
82121	274	1997-08-29	VYDAJ	VYBER	8100	36869	\N	\N	\N
82122	274	1997-09-28	VYDAJ	VYBER	8400	35552	\N	\N	\N
82123	274	1997-10-28	VYDAJ	VYBER	11300	34916	\N	\N	\N
82124	274	1997-11-27	VYDAJ	VYBER	9300	36283	\N	\N	\N
82125	274	1997-12-27	VYDAJ	VYBER	15600	41547	\N	\N	\N
82126	274	1998-01-26	VYDAJ	VYBER	2600	30201	\N	\N	\N
82127	274	1998-02-25	VYDAJ	VYBER	9900	30946	\N	\N	\N
82128	274	1998-03-27	VYDAJ	VYBER	14100	27488	\N	\N	\N
82129	274	1998-04-26	VYDAJ	VYBER	7300	30832	\N	\N	\N
82130	274	1998-05-26	VYDAJ	VYBER	11300	26685	\N	\N	\N
82131	274	1998-06-25	VYDAJ	VYBER	10300	31575	\N	\N	\N
82132	274	1998-07-25	VYDAJ	VYBER	11500	30715	\N	\N	\N
82133	274	1998-08-24	VYDAJ	VYBER	10900	30459	\N	\N	\N
82134	274	1998-09-23	VYDAJ	VYBER	14100	26999	\N	\N	\N
82135	274	1998-10-23	VYDAJ	VYBER	10000	21749	\N	\N	\N
82136	274	1998-11-22	VYDAJ	VYBER	8400	23948	\N	\N	\N
82201	275	1996-01-02	PRIJEM	VKLAD	800	800	\N	\N	\N
82202	275	1996-01-11	PRIJEM	PREVOD Z UCTU	3390	4190	\N	AB	570375
82203	275	1996-02-11	PRIJEM	PREVOD Z UCTU	3390	7592	\N	AB	570375
82204	275	1996-03-11	PRIJEM	PREVOD Z UCTU	3390	10999	\N	AB	570375
82205	275	1996-04-11	PRIJEM	PREVOD Z UCTU	3390	14407	\N	AB	570375
82206	275	1996-05-11	PRIJEM	PREVOD Z UCTU	3390	17814	\N	AB	570375
82207	275	1996-06-11	PRIJEM	PREVOD Z UCTU	3390	18949	\N	AB	570375
82208	275	1996-07-11	PRIJEM	PREVOD Z UCTU	3390	18010	\N	AB	570375
82209	275	1996-08-11	PRIJEM	PREVOD Z UCTU	3390	19199	\N	AB	570375
82210	275	1996-09-11	PRIJEM	PREVOD Z UCTU	3390	19762	\N	AB	570375
82211	275	1996-10-11	PRIJEM	PREVOD Z UCTU	3390	20267	\N	AB	570375
82212	275	1996-11-11	PRIJEM	PREVOD Z UCTU	3390	21466	\N	AB	570375
82213	275	1996-12-11	PRIJEM	PREVOD Z UCTU	3390	22668	\N	AB	570375
82214	275	1997-01-11	PRIJEM	PREVOD Z UCTU	3390	21416	\N	AB	570375
82215	275	1997-02-11	PRIJEM	PREVOD Z UCTU	3390	19794	\N	AB	570375
82216	275	1997-03-11	PRIJEM	PREVOD Z UCTU	3390	20210	\N	AB	570375
82217	275	1997-04-11	PRIJEM	PREVOD Z UCTU	3390	21307	\N	AB	570375
82218	275	1997-05-11	PRIJEM	PREVOD Z UCTU	3390	22509	\N	AB	570375
82219	275	1997-06-11	PRIJEM	PREVOD Z UCTU	3390	22574	\N	AB	570375
82220	275	1997-07-11	PRIJEM	PREVOD Z UCTU	3390	20358	\N	AB	570375
82221	275	1997-08-11	PRIJEM	PREVOD Z UCTU	3390	21556	\N	AB	570375
82222	275	1997-09-11	PRIJEM	PREVOD Z UCTU	3390	21558	\N	AB	570375
82223	275	1997-10-11	PRIJEM	PREVOD Z UCTU	3390	21060	\N	AB	570375
82224	275	1997-11-11	PRIJEM	PREVOD Z UCTU	3390	21660	\N	AB	570375
82225	275	1997-12-11	PRIJEM	PREVOD Z UCTU	3390	19139	\N	AB	570375
82226	275	1998-01-11	PRIJEM	PREVOD Z UCTU	3390	18041	\N	AB	570375
82227	275	1998-02-11	PRIJEM	PREVOD Z UCTU	3390	16345	\N	AB	570375
82228	275	1998-03-11	PRIJEM	PREVOD Z UCTU	3390	14754	\N	AB	570375
82229	275	1998-04-11	PRIJEM	PREVOD Z UCTU	3390	15929	\N	AB	570375
82230	275	1998-05-11	PRIJEM	PREVOD Z UCTU	3390	15908	\N	AB	570375
82231	275	1998-06-11	PRIJEM	PREVOD Z UCTU	3390	17088	\N	AB	570375
82232	275	1998-07-11	PRIJEM	PREVOD Z UCTU	3390	15968	\N	AB	570375
82233	275	1998-08-11	PRIJEM	PREVOD Z UCTU	3390	15145	\N	AB	570375
82234	275	1998-09-11	PRIJEM	PREVOD Z UCTU	3390	16321	\N	AB	570375
82235	275	1998-10-11	PRIJEM	PREVOD Z UCTU	3390	17502	\N	AB	570375
82236	275	1998-11-11	PRIJEM	PREVOD Z UCTU	3390	18688	\N	AB	570375
82237	275	1998-12-11	PRIJEM	PREVOD Z UCTU	3390	19879	\N	AB	570375
82243	275	1996-06-05	VYDAJ	PREVOD NA UCET	198	17621	\N	CD	46536463
82244	275	1996-07-05	VYDAJ	PREVOD NA UCET	198	16682	\N	CD	46536463
82245	275	1996-08-05	VYDAJ	PREVOD NA UCET	198	17871	\N	CD	46536463
82246	275	1996-09-05	VYDAJ	PREVOD NA UCET	198	18434	\N	CD	46536463
82247	275	1996-10-05	VYDAJ	PREVOD NA UCET	198	18939	\N	CD	46536463
82248	275	1996-11-05	VYDAJ	PREVOD NA UCET	198	20138	\N	CD	46536463
82249	275	1996-12-05	VYDAJ	PREVOD NA UCET	198	21340	\N	CD	46536463
82250	275	1997-01-05	VYDAJ	PREVOD NA UCET	198	21468	\N	CD	46536463
82251	275	1997-02-05	VYDAJ	PREVOD NA UCET	198	18466	\N	CD	46536463
82252	275	1997-03-05	VYDAJ	PREVOD NA UCET	198	18882	\N	CD	46536463
82253	275	1997-04-05	VYDAJ	PREVOD NA UCET	198	19979	\N	CD	46536463
82254	275	1997-05-05	VYDAJ	PREVOD NA UCET	198	21181	\N	CD	46536463
82255	275	1997-06-05	VYDAJ	PREVOD NA UCET	198	21246	\N	CD	46536463
82256	275	1997-07-05	VYDAJ	PREVOD NA UCET	198	19420	\N	CD	46536463
82257	275	1997-08-05	VYDAJ	PREVOD NA UCET	198	20228	\N	CD	46536463
82258	275	1997-09-05	VYDAJ	PREVOD NA UCET	198	20230	\N	CD	46536463
82259	275	1997-10-05	VYDAJ	PREVOD NA UCET	198	19732	\N	CD	46536463
82260	275	1997-11-05	VYDAJ	PREVOD NA UCET	198	20332	\N	CD	46536463
82261	275	1997-12-05	VYDAJ	PREVOD NA UCET	198	17811	\N	CD	46536463
82262	275	1998-01-05	VYDAJ	PREVOD NA UCET	198	16713	\N	CD	46536463
82263	275	1998-02-05	VYDAJ	PREVOD NA UCET	198	15017	\N	CD	46536463
82264	275	1998-03-05	VYDAJ	PREVOD NA UCET	198	13726	\N	CD	46536463
82265	275	1998-04-05	VYDAJ	PREVOD NA UCET	198	14601	\N	CD	46536463
82266	275	1998-05-05	VYDAJ	PREVOD NA UCET	198	14580	\N	CD	46536463
82267	275	1998-06-05	VYDAJ	PREVOD NA UCET	198	15760	\N	CD	46536463
82268	275	1998-07-05	VYDAJ	PREVOD NA UCET	198	14640	\N	CD	46536463
82269	275	1998-08-05	VYDAJ	PREVOD NA UCET	198	13817	\N	CD	46536463
82270	275	1998-09-05	VYDAJ	PREVOD NA UCET	198	14993	\N	CD	46536463
82271	275	1998-10-05	VYDAJ	PREVOD NA UCET	198	16174	\N	CD	46536463
82272	275	1998-11-05	VYDAJ	PREVOD NA UCET	198	17360	\N	CD	46536463
82273	275	1998-12-05	VYDAJ	PREVOD NA UCET	198	18551	\N	CD	46536463
82279	275	1996-06-10	VYDAJ	PREVOD NA UCET	2062	15559	\N	UV	60457825
82280	275	1996-07-10	VYDAJ	PREVOD NA UCET	2062	14620	\N	UV	60457825
82281	275	1996-08-10	VYDAJ	PREVOD NA UCET	2062	15809	\N	UV	60457825
82282	275	1996-09-10	VYDAJ	PREVOD NA UCET	2062	16372	\N	UV	60457825
82283	275	1996-10-10	VYDAJ	PREVOD NA UCET	2062	16877	\N	UV	60457825
82284	275	1996-11-10	VYDAJ	PREVOD NA UCET	2062	18076	\N	UV	60457825
82285	275	1996-12-10	VYDAJ	PREVOD NA UCET	2062	19278	\N	UV	60457825
82286	275	1997-01-10	VYDAJ	PREVOD NA UCET	2062	18026	\N	UV	60457825
82287	275	1997-02-10	VYDAJ	PREVOD NA UCET	2062	16404	\N	UV	60457825
82288	275	1997-03-10	VYDAJ	PREVOD NA UCET	2062	16820	\N	UV	60457825
82289	275	1997-04-10	VYDAJ	PREVOD NA UCET	2062	17917	\N	UV	60457825
82290	275	1997-05-10	VYDAJ	PREVOD NA UCET	2062	19119	\N	UV	60457825
82291	275	1997-06-10	VYDAJ	PREVOD NA UCET	2062	19184	\N	UV	60457825
82292	275	1997-07-10	VYDAJ	PREVOD NA UCET	2062	16968	\N	UV	60457825
82293	275	1997-08-10	VYDAJ	PREVOD NA UCET	2062	18166	\N	UV	60457825
82294	275	1997-09-10	VYDAJ	PREVOD NA UCET	2062	18168	\N	UV	60457825
82295	275	1997-10-10	VYDAJ	PREVOD NA UCET	2062	17670	\N	UV	60457825
82296	275	1997-11-10	VYDAJ	PREVOD NA UCET	2062	18270	\N	UV	60457825
82297	275	1997-12-10	VYDAJ	PREVOD NA UCET	2062	15749	\N	UV	60457825
82298	275	1998-01-10	VYDAJ	PREVOD NA UCET	2062	14651	\N	UV	60457825
82299	275	1998-02-10	VYDAJ	PREVOD NA UCET	2062	12955	\N	UV	60457825
82300	275	1998-03-10	VYDAJ	PREVOD NA UCET	2062	11664	\N	UV	60457825
82301	275	1998-04-10	VYDAJ	PREVOD NA UCET	2062	12539	\N	UV	60457825
82302	275	1998-05-10	VYDAJ	PREVOD NA UCET	2062	12518	\N	UV	60457825
82303	275	1998-06-10	VYDAJ	PREVOD NA UCET	2062	13698	\N	UV	60457825
82304	275	1998-07-10	VYDAJ	PREVOD NA UCET	2062	12578	\N	UV	60457825
82305	275	1998-08-10	VYDAJ	PREVOD NA UCET	2062	11755	\N	UV	60457825
82306	275	1998-09-10	VYDAJ	PREVOD NA UCET	2062	12931	\N	UV	60457825
82307	275	1998-10-10	VYDAJ	PREVOD NA UCET	2062	14112	\N	UV	60457825
82308	275	1998-11-10	VYDAJ	PREVOD NA UCET	2062	15298	\N	UV	60457825
82309	275	1998-12-10	VYDAJ	PREVOD NA UCET	2062	16489	\N	UV	60457825
82310	275	1996-06-27	VYDAJ	VYBER	1680	17269	\N	\N	\N
82311	275	1997-06-18	VYDAJ	VYBER	1560	21014	\N	\N	\N
82314	275	1997-01-14	VYDAJ	VYBER	720	19886	\N	\N	\N
82316	275	1996-12-29	VYDAJ	VYBER	450	22218	\N	\N	\N
82317	275	1997-12-22	VYDAJ	VYBER	780	18359	\N	\N	\N
82318	275	1998-12-21	VYDAJ	VYBER	810	19069	\N	\N	\N
82325	275	1997-01-19	VYDAJ	VYBER	840	18596	\N	\N	\N
82326	275	1997-01-17	VYDAJ	VYBER	450	19436	\N	\N	\N
82327	275	1997-01-06	VYDAJ	VYBER	630	20088	\N	\N	\N
82328	275	1997-01-01	VYDAJ	VYBER	630	21666	\N	\N	\N
82329	275	1997-01-06	VYDAJ	VYBER	750	20718	\N	\N	\N
82330	275	1997-01-14	VYDAJ	VYBER	360	21056	\N	\N	\N
82331	275	1998-01-03	VYDAJ	VYBER	810	16911	\N	\N	\N
82332	275	1998-01-19	VYDAJ	VYBER	480	16001	\N	\N	\N
82333	275	1998-01-11	VYDAJ	VYBER	630	17021	\N	\N	\N
82334	275	1998-01-11	VYDAJ	VYBER	390	17651	\N	\N	\N
82335	275	1998-01-14	VYDAJ	VYBER	540	16481	\N	\N	\N
82336	275	1998-01-26	VYDAJ	VYBER	840	15161	\N	\N	\N
82337	275	1996-07-05	VYDAJ	VYBER	450	16880	\N	\N	\N
82338	275	1996-10-03	VYDAJ	VYBER	480	19137	\N	\N	\N
82339	275	1996-09-14	VYDAJ	VYBER	210	19552	\N	\N	\N
82340	275	1996-08-22	VYDAJ	VYBER	630	18569	\N	\N	\N
82341	275	1997-11-24	VYDAJ	VYBER	1320	17940	\N	\N	\N
82342	275	1997-06-26	VYDAJ	VYBER	1470	19544	\N	\N	\N
82343	275	1997-02-23	VYDAJ	VYBER	780	19014	\N	\N	\N
82344	275	1997-01-14	VYDAJ	VYBER	450	20606	\N	\N	\N
82345	275	1997-07-06	VYDAJ	VYBER	390	19030	\N	\N	\N
82346	275	1997-05-12	VYDAJ	VYBER	840	21669	\N	\N	\N
82347	275	1998-03-10	VYDAJ	VYBER	300	11364	\N	\N	\N
82348	275	1998-12-27	VYDAJ	VYBER	1050	18019	\N	\N	\N
82349	275	1998-02-28	VYDAJ	VYBER	1470	13924	\N	\N	\N
82350	275	1998-04-27	VYDAJ	VYBER	1200	14729	\N	\N	\N
82356	275	1996-05-31	VYDAJ	VYBER	15	17819	SLUZBY	\N	\N
82357	275	1996-06-30	VYDAJ	VYBER	15	17330	SLUZBY	\N	\N
82358	275	1996-07-31	VYDAJ	VYBER	15	18069	SLUZBY	\N	\N
82359	275	1996-08-31	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
82360	275	1996-09-30	VYDAJ	VYBER	15	19617	SLUZBY	\N	\N
82361	275	1996-10-31	VYDAJ	VYBER	15	20336	SLUZBY	\N	\N
82362	275	1996-11-30	VYDAJ	VYBER	15	21538	SLUZBY	\N	\N
82363	275	1996-12-31	VYDAJ	VYBER	15	22296	SLUZBY	\N	\N
82364	275	1997-01-31	VYDAJ	VYBER	15	18664	SLUZBY	\N	\N
82365	275	1997-02-28	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
82366	275	1997-03-31	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
82367	275	1997-04-30	VYDAJ	VYBER	15	21379	SLUZBY	\N	\N
82368	275	1997-05-31	VYDAJ	VYBER	15	21444	SLUZBY	\N	\N
82369	275	1997-06-30	VYDAJ	VYBER	15	19618	SLUZBY	\N	\N
82370	275	1997-07-31	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
82371	275	1997-08-31	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
82372	275	1997-09-30	VYDAJ	VYBER	15	19930	SLUZBY	\N	\N
82373	275	1997-10-31	VYDAJ	VYBER	15	20530	SLUZBY	\N	\N
82374	275	1997-11-30	VYDAJ	VYBER	15	18009	SLUZBY	\N	\N
82375	275	1997-12-31	VYDAJ	VYBER	15	17721	SLUZBY	\N	\N
82376	275	1998-01-31	VYDAJ	VYBER	15	15215	SLUZBY	\N	\N
82377	275	1998-02-28	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
82378	275	1998-03-31	VYDAJ	VYBER	15	14799	SLUZBY	\N	\N
82379	275	1998-04-30	VYDAJ	VYBER	15	14778	SLUZBY	\N	\N
82380	275	1998-05-31	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
82381	275	1998-06-30	VYDAJ	VYBER	15	14838	SLUZBY	\N	\N
82382	275	1998-07-31	VYDAJ	VYBER	15	14015	SLUZBY	\N	\N
82383	275	1998-08-31	VYDAJ	VYBER	15	15191	SLUZBY	\N	\N
82384	275	1998-09-30	VYDAJ	VYBER	15	16372	SLUZBY	\N	\N
82385	275	1998-10-31	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
82386	275	1998-11-30	VYDAJ	VYBER	15	18749	SLUZBY	\N	\N
82387	275	1997-03-27	VYDAJ	VYBER	100	20110	\N	\N	\N
82388	275	1997-05-26	VYDAJ	VYBER	300	21369	\N	\N	\N
82389	275	1997-08-24	VYDAJ	VYBER	1200	20356	\N	\N	\N
82390	275	1997-09-23	VYDAJ	VYBER	1700	19858	\N	\N	\N
82391	275	1997-10-23	VYDAJ	VYBER	600	20460	\N	\N	\N
82392	275	1997-11-22	VYDAJ	VYBER	2400	19260	\N	\N	\N
82393	275	1997-12-22	VYDAJ	VYBER	700	17659	\N	\N	\N
82394	275	1998-02-20	VYDAJ	VYBER	1000	15345	\N	\N	\N
82395	275	1998-06-20	VYDAJ	VYBER	2300	14788	\N	\N	\N
82396	275	1998-07-20	VYDAJ	VYBER	2000	13968	\N	\N	\N
82433	276	1997-12-08	PRIJEM	VKLAD	700	700	\N	\N	\N
82445	276	1997-12-13	PRIJEM	PREVOD Z UCTU	40234	40934	\N	ST	78938924
82446	276	1998-01-13	PRIJEM	PREVOD Z UCTU	26823	57862	\N	ST	78938924
82447	276	1998-02-13	PRIJEM	PREVOD Z UCTU	26823	66798	\N	ST	78938924
82448	276	1998-03-13	PRIJEM	PREVOD Z UCTU	26823	72284	\N	ST	78938924
82449	276	1998-04-13	PRIJEM	PREVOD Z UCTU	26823	74599	\N	ST	78938924
82450	276	1998-05-13	PRIJEM	PREVOD Z UCTU	26823	67902	\N	ST	78938924
82451	276	1998-06-13	PRIJEM	PREVOD Z UCTU	40234	72191	\N	ST	78938924
82452	276	1998-07-13	PRIJEM	PREVOD Z UCTU	26823	70049	\N	ST	78938924
82453	276	1998-08-13	PRIJEM	PREVOD Z UCTU	26823	61311	\N	ST	78938924
82454	276	1998-09-13	PRIJEM	PREVOD Z UCTU	26823	55339	\N	ST	78938924
82455	276	1998-10-13	PRIJEM	PREVOD Z UCTU	26823	53651	\N	ST	78938924
82456	276	1998-11-13	PRIJEM	PREVOD Z UCTU	26823	52251	\N	ST	78938924
82457	276	1998-12-13	PRIJEM	PREVOD Z UCTU	40234	59177	\N	ST	78938924
82474	276	1998-05-12	VYDAJ	VYBER	5600	41079	\N	\N	0
82475	276	1998-06-10	VYDAJ	VYBER	3400	31957	\N	\N	0
82476	276	1998-07-19	VYDAJ	VYBER	3500	66549	\N	\N	0
82477	276	1998-08-02	VYDAJ	VYBER	3900	62900	\N	\N	0
82478	276	1998-09-10	VYDAJ	VYBER	6300	28516	\N	\N	0
82479	276	1998-10-08	VYDAJ	VYBER	3800	26828	\N	\N	0
82480	276	1998-11-17	VYDAJ	VYBER	4100	48151	\N	\N	0
82481	276	1998-12-12	VYDAJ	PREVOD NA UCET	4471	18943	UVER	AB	22070646
82498	276	1998-05-07	VYDAJ	PREVOD NA UCET	5212	46679	SIPO	EF	80801391
82499	276	1998-06-07	VYDAJ	PREVOD NA UCET	5212	35357	SIPO	EF	80801391
82500	276	1998-07-07	VYDAJ	PREVOD NA UCET	5212	43226	SIPO	EF	80801391
82501	276	1998-08-07	VYDAJ	PREVOD NA UCET	5212	34488	SIPO	EF	80801391
82502	276	1998-09-07	VYDAJ	PREVOD NA UCET	5212	34816	SIPO	EF	80801391
82503	276	1998-10-07	VYDAJ	PREVOD NA UCET	5212	30628	SIPO	EF	80801391
82504	276	1998-11-07	VYDAJ	PREVOD NA UCET	5212	25428	SIPO	EF	80801391
82505	276	1998-12-07	VYDAJ	PREVOD NA UCET	5212	23413	SIPO	EF	80801391
82509	276	1998-06-04	VYBER	VYBER	16593	51569	\N	\N	\N
82513	276	1998-12-03	VYDAJ	VYBER KARTOU	3600	28625	\N	\N	0
82539	276	1998-04-30	VYDAJ	VYBER	15	74891	SLUZBY	\N	\N
82540	276	1998-05-31	VYDAJ	VYBER	15	68162	SLUZBY	\N	\N
82541	276	1998-06-30	VYDAJ	VYBER	15	72438	SLUZBY	\N	\N
82542	276	1998-07-31	VYDAJ	VYBER	15	66800	SLUZBY	\N	\N
82543	276	1998-08-31	VYDAJ	VYBER	15	61528	SLUZBY	\N	\N
82544	276	1998-09-30	VYDAJ	VYBER	15	55540	SLUZBY	\N	\N
82545	276	1998-10-31	VYDAJ	VYBER	15	53840	SLUZBY	\N	\N
82546	276	1998-11-30	VYDAJ	VYBER	15	48325	SLUZBY	\N	\N
82547	276	1998-01-07	VYDAJ	VYBER	10000	31039	\N	\N	\N
82548	276	1998-02-06	VYDAJ	VYBER	18100	39975	\N	\N	\N
82549	276	1998-03-08	VYDAJ	VYBER	21600	45461	\N	\N	\N
82550	276	1998-04-07	VYDAJ	VYBER	24800	47776	\N	\N	\N
82551	276	1998-05-07	VYDAJ	VYBER	23000	51891	\N	\N	\N
82552	276	1998-06-06	VYDAJ	VYBER	11000	40569	\N	\N	\N
82553	276	1998-07-06	VYDAJ	VYBER	24000	48438	\N	\N	\N
82554	276	1998-08-05	VYDAJ	VYBER	23200	39700	\N	\N	\N
82555	276	1998-09-04	VYDAJ	VYBER	21500	40028	\N	\N	\N
82556	276	1998-10-04	VYDAJ	VYBER	19700	35840	\N	\N	\N
82557	276	1998-11-03	VYDAJ	VYBER	23200	30640	\N	\N	\N
82558	276	1998-12-03	VYDAJ	VYBER	16100	32225	\N	\N	\N
82572	277	1994-05-01	PRIJEM	VKLAD	500	500	\N	\N	\N
82573	277	1994-07-06	PRIJEM	VKLAD	17503	57611	\N	\N	\N
82574	277	1994-09-16	PRIJEM	VKLAD	49441	89014	\N	\N	\N
82575	277	1994-09-29	PRIJEM	VKLAD	6768	63282	\N	\N	\N
82576	277	1994-11-18	PRIJEM	VKLAD	49263	93248	\N	\N	\N
82577	277	1994-12-07	PRIJEM	VKLAD	18110	71393	\N	\N	\N
82579	277	1994-05-08	PRIJEM	VKLAD	18352	18852	\N	\N	\N
82580	277	1994-07-27	PRIJEM	VKLAD	29631	87242	\N	\N	\N
82581	277	1994-06-16	PRIJEM	VKLAD	31491	55705	\N	\N	\N
82582	277	1994-12-19	PRIJEM	VKLAD	28816	93609	\N	\N	\N
82583	277	1994-12-25	PRIJEM	VKLAD	32526	126135	\N	\N	\N
82586	277	1996-10-07	PRIJEM	VKLAD	39996	80500	\N	\N	\N
82587	277	1996-10-24	PRIJEM	VKLAD	37137	95137	\N	\N	\N
82588	277	1996-01-07	PRIJEM	VKLAD	33386	59438	\N	\N	\N
82589	277	1996-06-02	PRIJEM	VKLAD	39978	80224	\N	\N	\N
82590	277	1996-08-02	PRIJEM	VKLAD	34984	63055	\N	\N	\N
82591	277	1996-05-30	PRIJEM	VKLAD	18614	40257	\N	\N	\N
82592	277	1996-06-14	PRIJEM	VKLAD	15966	96190	\N	\N	\N
82593	277	1996-10-07	PRIJEM	VKLAD	11743	40504	\N	\N	\N
82594	277	1997-03-23	PRIJEM	VKLAD	31618	83116	\N	\N	\N
82595	277	1997-11-16	PRIJEM	VKLAD	20436	81739	\N	\N	\N
82596	277	1997-12-25	PRIJEM	VKLAD	40178	110485	\N	\N	\N
82597	277	1997-06-27	PRIJEM	VKLAD	18752	46801	\N	\N	\N
82598	277	1997-03-24	PRIJEM	VKLAD	36471	119587	\N	\N	\N
82599	277	1997-04-14	PRIJEM	VKLAD	43419	137501	\N	\N	\N
82600	277	1997-01-27	PRIJEM	VKLAD	15742	72585	\N	\N	\N
82601	277	1997-01-21	PRIJEM	VKLAD	12273	63143	\N	\N	\N
82602	277	1997-04-07	PRIJEM	VKLAD	9141	92004	\N	\N	\N
82603	277	1997-01-18	PRIJEM	VKLAD	31280	58370	\N	\N	\N
82604	277	1997-08-28	PRIJEM	VKLAD	30985	93969	\N	\N	\N
82605	277	1997-08-12	PRIJEM	VKLAD	9926	72284	\N	\N	\N
82606	277	1997-12-30	PRIJEM	VKLAD	37276	103661	\N	\N	\N
82607	277	1997-01-30	PRIJEM	VKLAD	7858	80443	\N	\N	\N
82608	277	1997-12-06	PRIJEM	VKLAD	30467	120207	\N	\N	\N
82609	277	1997-12-02	PRIJEM	VKLAD	7777	89740	\N	\N	\N
82610	277	1997-04-13	PRIJEM	VKLAD	40478	132482	\N	\N	\N
82611	277	1997-02-14	PRIJEM	VKLAD	14573	95094	\N	\N	\N
82612	277	1997-07-19	PRIJEM	VKLAD	26957	67347	\N	\N	\N
82613	277	1997-10-28	PRIJEM	VKLAD	30721	74580	\N	\N	\N
82614	277	1997-09-06	PRIJEM	VKLAD	17802	111947	\N	\N	\N
82615	277	1998-08-22	PRIJEM	VKLAD	15523	79775	\N	\N	\N
82616	277	1998-05-02	PRIJEM	VKLAD	9779	82961	\N	\N	\N
82617	277	1998-06-13	PRIJEM	VKLAD	38250	107904	\N	\N	\N
82618	277	1998-02-26	PRIJEM	VKLAD	48487	128091	\N	\N	\N
82619	277	1998-11-04	PRIJEM	VKLAD	19172	60637	\N	\N	\N
82620	277	1998-09-05	PRIJEM	VKLAD	34753	131000	\N	\N	\N
82621	277	1998-04-18	PRIJEM	VKLAD	12215	72949	\N	\N	\N
82622	277	1998-03-30	PRIJEM	VKLAD	32014	107239	\N	\N	\N
82623	277	1998-12-04	PRIJEM	VKLAD	31443	142646	\N	\N	\N
82624	277	1998-02-02	PRIJEM	VKLAD	14982	62266	\N	\N	\N
82625	277	1998-02-05	PRIJEM	VKLAD	12392	74658	\N	\N	\N
82626	277	1998-08-02	PRIJEM	VKLAD	16598	107760	\N	\N	\N
82627	277	1998-03-26	PRIJEM	VKLAD	9644	75225	\N	\N	\N
82628	277	1998-09-03	PRIJEM	VKLAD	16232	96247	\N	\N	\N
82629	277	1998-11-22	PRIJEM	VKLAD	45657	110994	\N	\N	\N
82630	277	1998-07-24	PRIJEM	VKLAD	19138	90922	\N	\N	\N
82631	277	1998-02-14	PRIJEM	VKLAD	15846	79604	\N	\N	\N
82632	277	1998-09-09	PRIJEM	VKLAD	12157	94557	\N	\N	\N
82633	277	1998-12-30	PRIJEM	VKLAD	9905	89922	\N	\N	\N
82634	277	1998-12-06	PRIJEM	VKLAD	20671	132417	\N	\N	\N
82635	277	1998-06-24	PRIJEM	VKLAD	14389	86336	\N	\N	\N
82636	277	1998-01-15	PRIJEM	VKLAD	41803	106499	\N	\N	\N
82637	277	1998-06-23	PRIJEM	VKLAD	31543	71947	\N	\N	\N
82638	277	1998-05-09	PRIJEM	VKLAD	33874	116835	\N	\N	\N
82639	277	1998-03-11	PRIJEM	VKLAD	29377	127681	\N	\N	\N
82704	277	1994-11-21	VYBER	VYBER	12284	80964	\N	\N	\N
82707	277	1995-03-08	VYBER	VYBER	4207	19998	\N	\N	\N
82710	277	1996-12-20	VYBER	VYBER	12104	28809	\N	\N	\N
82712	277	1996-06-21	VYBER	VYBER	3807	30473	\N	\N	\N
82713	277	1996-06-15	VYBER	VYBER	11310	84880	\N	\N	\N
82715	277	1996-10-25	VYBER	VYBER	11418	83719	\N	\N	\N
82716	277	1996-10-25	VYBER	VYBER	7051	76668	\N	\N	\N
82717	277	1996-12-08	VYBER	VYBER	14741	42713	\N	\N	\N
82718	277	1996-08-06	VYBER	VYBER	12396	50659	\N	\N	\N
82720	277	1996-09-25	VYBER	VYBER	8432	28703	\N	\N	\N
82721	277	1998-10-02	VYBER	VYBER	18487	66427	\N	\N	\N
82722	277	1998-04-12	VYBER	VYBER	7062	60734	\N	\N	\N
82723	277	1998-01-02	VYBER	VYBER	5806	89996	\N	\N	\N
82724	277	1998-01-22	VYBER	VYBER	23167	83332	\N	\N	\N
82725	277	1998-08-21	VYBER	VYBER	11908	64252	\N	\N	\N
82726	277	1998-04-03	VYBER	VYBER	24502	82996	\N	\N	\N
82727	277	1998-10-17	VYBER	VYBER	24699	41328	\N	\N	\N
82730	277	1996-06-17	VYDAJ	VYBER	44700	40180	\N	\N	\N
82731	277	1997-06-13	VYDAJ	VYBER	22500	39949	\N	\N	\N
82732	277	1998-06-22	VYDAJ	VYBER	56400	40404	\N	\N	\N
82735	277	1996-01-15	VYDAJ	VYBER	18300	21638	\N	\N	\N
82737	277	1998-01-30	VYDAJ	VYBER	27600	47032	\N	\N	\N
82738	277	1994-12-11	VYDAJ	VYBER	6600	64793	\N	\N	\N
82740	277	1996-12-21	VYDAJ	VYBER	1800	27009	\N	\N	\N
82741	277	1997-12-18	VYDAJ	VYBER KARTOU	3000	70307	\N	\N	0
82742	277	1998-12-08	VYDAJ	VYBER	8400	80017	\N	\N	\N
82749	277	1995-01-10	VYDAJ	VYBER	3000	49221	\N	\N	\N
82750	277	1995-01-21	VYDAJ	VYBER	3300	35421	\N	\N	\N
82751	277	1995-01-19	VYDAJ	VYBER	7200	38721	\N	\N	\N
82752	277	1995-01-23	VYDAJ	VYBER	5100	30321	\N	\N	\N
82753	277	1995-01-25	VYDAJ	VYBER	4200	26121	\N	\N	\N
82754	277	1995-01-15	VYDAJ	VYBER	3300	45921	\N	\N	\N
82755	277	1996-01-11	VYDAJ	VYBER	4500	50138	\N	\N	\N
82757	277	1996-01-14	VYDAJ	VYBER	7200	39938	\N	\N	\N
82758	277	1996-01-13	VYDAJ	VYBER	3000	47138	\N	\N	\N
82760	277	1996-01-08	VYDAJ	VYBER	4800	54638	\N	\N	\N
82761	277	1997-01-20	VYDAJ	VYBER	7500	50870	\N	\N	\N
82763	277	1997-01-25	VYDAJ	VYBER	6300	56843	\N	\N	\N
82764	277	1997-01-04	VYDAJ	VYBER	1500	23790	\N	\N	\N
82765	277	1997-01-02	VYDAJ	VYBER	1800	25290	\N	\N	\N
82766	277	1997-01-14	VYDAJ	VYBER	2400	21390	\N	\N	\N
82767	277	1998-01-30	VYDAJ	VYBER KARTOU	2100	74632	\N	\N	0
82768	277	1998-01-25	VYDAJ	VYBER	4200	79132	\N	\N	\N
82769	277	1998-01-01	VYDAJ	VYBER	8100	95802	\N	\N	\N
82770	277	1998-01-12	VYDAJ	VYBER KARTOU	2400	64696	\N	\N	0
82771	277	1998-01-10	VYDAJ	VYBER KARTOU	1800	71596	\N	\N	0
82772	277	1998-01-10	VYDAJ	VYBER	4500	67096	\N	\N	\N
82782	277	1996-03-08	VYDAJ	VYBER	3900	21650	\N	\N	\N
82784	277	1997-10-14	VYDAJ	VYBER	12600	43859	\N	\N	\N
82785	277	1997-06-30	VYDAJ	VYBER	6900	40090	\N	\N	\N
82786	277	1997-07-04	VYDAJ	VYBER	8100	31890	\N	\N	\N
82788	277	1997-07-28	VYDAJ	VYBER	5100	62247	\N	\N	\N
82789	277	1997-06-15	VYDAJ	VYBER	14400	28049	\N	\N	\N
82790	277	1997-02-17	VYDAJ	VYBER	6300	59994	\N	\N	\N
82791	277	1998-01-27	VYDAJ	VYBER KARTOU	2400	76732	\N	\N	0
82792	277	1998-06-14	VYDAJ	VYBER	11100	96804	\N	\N	\N
82793	277	1998-07-13	VYDAJ	VYBER KARTOU	2400	71784	\N	\N	0
82794	277	1998-08-15	VYDAJ	VYBER	8400	76160	\N	\N	\N
82795	277	1998-09-14	VYDAJ	VYBER	9900	84657	\N	\N	\N
82805	277	1994-09-30	VYDAJ	VYBER	100	63423	SLUZBY	\N	\N
82806	277	1994-10-31	VYDAJ	VYBER	100	43985	SLUZBY	\N	\N
82807	277	1994-11-30	VYDAJ	VYBER	100	53283	SLUZBY	\N	\N
82808	277	1994-12-31	VYDAJ	VYBER	100	52221	SLUZBY	\N	\N
82809	277	1995-01-31	VYDAJ	VYBER	100	26196	SLUZBY	\N	\N
82810	277	1995-02-28	VYDAJ	VYBER	100	24205	SLUZBY	\N	\N
82811	277	1995-03-31	VYDAJ	VYBER	100	25099	SLUZBY	\N	\N
82812	277	1995-04-30	VYDAJ	VYBER	100	24104	SLUZBY	\N	\N
82813	277	1995-05-31	VYDAJ	VYBER	100	25104	SLUZBY	\N	\N
82814	277	1995-06-30	VYDAJ	VYBER	100	26108	SLUZBY	\N	\N
82815	277	1995-07-31	VYDAJ	VYBER	100	27017	SLUZBY	\N	\N
82816	277	1995-08-31	VYDAJ	VYBER	100	24929	SLUZBY	\N	\N
82817	277	1995-09-30	VYDAJ	VYBER	100	25033	SLUZBY	\N	\N
82818	277	1995-10-31	VYDAJ	VYBER	100	26237	SLUZBY	\N	\N
82819	277	1995-11-30	VYDAJ	VYBER	100	25746	SLUZBY	\N	\N
82820	277	1995-12-31	VYDAJ	VYBER	100	26052	SLUZBY	\N	\N
82821	277	1996-01-31	VYDAJ	VYBER	100	21859	SLUZBY	\N	\N
82822	277	1996-02-29	VYDAJ	VYBER	100	25550	SLUZBY	\N	\N
82823	277	1996-03-31	VYDAJ	VYBER	100	22251	SLUZBY	\N	\N
82824	277	1996-04-30	VYDAJ	VYBER	100	20243	SLUZBY	\N	\N
82825	277	1996-05-31	VYDAJ	VYBER	100	40246	SLUZBY	\N	\N
82826	277	1996-06-30	VYDAJ	VYBER	100	30545	SLUZBY	\N	\N
82827	277	1996-07-31	VYDAJ	VYBER	100	28071	SLUZBY	\N	\N
82828	277	1996-08-31	VYDAJ	VYBER	100	40535	SLUZBY	\N	\N
82829	277	1996-09-30	VYDAJ	VYBER	100	28761	SLUZBY	\N	\N
82830	277	1996-10-31	VYDAJ	VYBER	100	76838	SLUZBY	\N	\N
82831	277	1996-11-30	VYDAJ	VYBER	100	57454	SLUZBY	\N	\N
82832	277	1996-12-31	VYDAJ	VYBER	100	27090	SLUZBY	\N	\N
82833	277	1997-01-31	VYDAJ	VYBER	100	80521	SLUZBY	\N	\N
82834	277	1997-02-28	VYDAJ	VYBER	100	60198	SLUZBY	\N	\N
82835	277	1997-03-31	VYDAJ	VYBER	100	82863	SLUZBY	\N	\N
82836	277	1997-04-30	VYDAJ	VYBER	100	76235	SLUZBY	\N	\N
82837	277	1997-05-31	VYDAJ	VYBER	100	62449	SLUZBY	\N	\N
82838	277	1997-06-30	VYDAJ	VYBER	100	39990	SLUZBY	\N	\N
82839	277	1997-07-31	VYDAJ	VYBER	100	62358	SLUZBY	\N	\N
82840	277	1997-08-31	VYDAJ	VYBER	100	94145	SLUZBY	\N	\N
82841	277	1997-09-30	VYDAJ	VYBER	100	58859	SLUZBY	\N	\N
82842	277	1997-10-31	VYDAJ	VYBER	100	74703	SLUZBY	\N	\N
82843	277	1997-11-30	VYDAJ	VYBER	100	81963	SLUZBY	\N	\N
82844	277	1997-12-31	VYDAJ	VYBER	100	103902	SLUZBY	\N	\N
82845	277	1998-01-31	VYDAJ	VYBER	100	47284	SLUZBY	\N	\N
82846	277	1998-02-28	VYDAJ	VYBER	100	98304	SLUZBY	\N	\N
82847	277	1998-03-31	VYDAJ	VYBER	100	107498	SLUZBY	\N	\N
82848	277	1998-04-30	VYDAJ	VYBER	100	73182	SLUZBY	\N	\N
82849	277	1998-05-31	VYDAJ	VYBER	100	77254	SLUZBY	\N	\N
82850	277	1998-06-30	VYDAJ	VYBER	100	86584	SLUZBY	\N	\N
82851	277	1998-07-31	VYDAJ	VYBER	100	91162	SLUZBY	\N	\N
82852	277	1998-08-31	VYDAJ	VYBER	100	80015	SLUZBY	\N	\N
82853	277	1998-09-30	VYDAJ	VYBER	100	84914	SLUZBY	\N	\N
82854	277	1998-10-31	VYDAJ	VYBER	100	41465	SLUZBY	\N	\N
82855	277	1998-11-30	VYDAJ	VYBER	100	111203	SLUZBY	\N	\N
82856	277	1994-05-31	PRIJEM	VKLAD	5300	24214	\N	\N	\N
82857	277	1994-06-30	VYDAJ	VYBER	15700	40108	\N	\N	\N
82858	277	1994-07-30	VYDAJ	VYBER	29600	57642	\N	\N	\N
82859	277	1994-08-29	VYDAJ	VYBER	18500	39332	\N	\N	\N
82860	277	1994-09-28	VYDAJ	VYBER	32500	56514	\N	\N	\N
82861	277	1994-10-28	VYDAJ	VYBER	19600	43823	\N	\N	\N
82862	277	1994-11-27	VYDAJ	VYBER	27800	53164	\N	\N	\N
82863	277	1994-12-25	VYDAJ	VYBER	50100	76035	\N	\N	\N
82864	277	1994-12-27	VYDAJ	VYBER	24000	52035	\N	\N	\N
82865	277	1995-02-25	VYDAJ	VYBER	2000	24196	\N	\N	\N
82866	277	1995-03-27	PRIJEM	VKLAD	5100	25098	\N	\N	\N
82867	277	1995-04-26	VYDAJ	VYBER	1000	24099	\N	\N	\N
82868	277	1995-05-26	PRIJEM	VKLAD	1000	25104	\N	\N	\N
82869	277	1995-06-25	PRIJEM	VKLAD	1000	26104	\N	\N	\N
82870	277	1995-07-25	PRIJEM	VKLAD	900	27008	\N	\N	\N
82871	277	1995-08-24	VYDAJ	VYBER	2100	24917	\N	\N	\N
82872	277	1995-09-23	PRIJEM	VKLAD	100	25029	\N	\N	\N
82873	277	1995-10-23	PRIJEM	VKLAD	1200	26233	\N	\N	\N
82874	277	1995-11-22	VYDAJ	VYBER	500	25737	\N	\N	\N
82875	277	1995-12-22	PRIJEM	VKLAD	300	26046	\N	\N	\N
82876	277	1996-01-21	PRIJEM	VKLAD	200	21838	\N	\N	\N
82877	277	1996-02-20	PRIJEM	VKLAD	3700	25559	\N	\N	\N
82878	277	1996-03-21	PRIJEM	VKLAD	600	22250	\N	\N	\N
82879	277	1996-04-20	VYDAJ	VYBER	2000	20251	\N	\N	\N
82880	277	1996-05-20	PRIJEM	VKLAD	1400	21643	\N	\N	\N
82881	277	1996-06-19	VYDAJ	VYBER	5900	34280	\N	\N	\N
82882	277	1996-07-19	VYDAJ	VYBER	2500	28045	\N	\N	\N
82883	277	1996-08-18	VYDAJ	VYBER	10200	40459	\N	\N	\N
82884	277	1996-09-17	VYDAJ	VYBER	3400	37135	\N	\N	\N
82885	277	1996-10-17	VYDAJ	VYBER	22500	58000	\N	\N	\N
82886	277	1996-11-16	VYDAJ	VYBER	19600	57238	\N	\N	\N
82887	277	1996-12-16	VYDAJ	VYBER	1800	40913	\N	\N	\N
82888	277	1997-01-15	PRIJEM	VKLAD	5700	27090	\N	\N	\N
82889	277	1997-02-14	VYDAJ	VYBER	28800	66294	\N	\N	\N
82890	277	1997-03-16	VYDAJ	VYBER	8700	51498	\N	\N	\N
82891	277	1997-03-24	VYDAJ	VYBER	36900	82687	\N	\N	\N
82892	277	1997-04-13	VYDAJ	VYBER	38400	94082	\N	\N	\N
82893	277	1997-04-14	VYDAJ	VYBER	30000	107501	\N	\N	\N
82894	277	1997-04-15	VYDAJ	VYBER	31500	76001	\N	\N	\N
82895	277	1997-05-15	VYDAJ	VYBER	14000	62235	\N	\N	\N
82896	277	1997-06-14	PRIJEM	VKLAD	2500	42449	\N	\N	\N
82897	277	1997-07-14	PRIJEM	VKLAD	8500	40390	\N	\N	\N
82898	277	1997-08-13	VYDAJ	VYBER	9300	62984	\N	\N	\N
82899	277	1997-09-06	VYDAJ	VYBER	41200	70747	\N	\N	\N
82900	277	1997-09-12	VYDAJ	VYBER	12100	58647	\N	\N	\N
82901	277	1997-10-12	VYDAJ	VYBER KARTOU	2400	56459	\N	\N	0
82902	277	1997-11-11	VYDAJ	VYBER	13400	61303	\N	\N	\N
82903	277	1997-12-06	VYDAJ	VYBER	16500	103707	\N	\N	\N
82904	277	1997-12-11	VYDAJ	VYBER	30400	73307	\N	\N	\N
82905	277	1997-12-25	VYDAJ	VYBER	44100	66385	\N	\N	\N
82906	277	1998-01-10	VYDAJ	VYBER	16600	73396	\N	\N	\N
82907	277	1998-02-09	VYDAJ	VYBER	10900	63758	\N	\N	\N
82908	277	1998-02-26	VYDAJ	VYBER	30000	98091	\N	\N	\N
82909	277	1998-03-11	VYDAJ	VYBER	48000	79681	\N	\N	\N
82910	277	1998-03-11	VYDAJ	VYBER	14100	65581	\N	\N	\N
82911	277	1998-04-10	VYDAJ	VYBER	15200	67796	\N	\N	\N
82912	277	1998-05-09	VYDAJ	VYBER	15300	101535	\N	\N	\N
82913	277	1998-05-10	VYDAJ	VYBER	24500	77035	\N	\N	\N
82914	277	1998-06-09	VYDAJ	VYBER	7600	69654	\N	\N	\N
82915	277	1998-07-09	VYDAJ	VYBER	12400	74184	\N	\N	\N
82916	277	1998-08-08	VYDAJ	VYBER	23200	84560	\N	\N	\N
82917	277	1998-09-05	VYDAJ	VYBER	29300	101700	\N	\N	\N
82918	277	1998-09-07	VYDAJ	VYBER	19300	82400	\N	\N	\N
82919	277	1998-10-07	VYDAJ	VYBER KARTOU	400	66027	\N	\N	0
82920	277	1998-11-06	PRIJEM	VKLAD	4700	65337	\N	\N	\N
82921	277	1998-12-04	VYDAJ	VYBER	30900	111746	\N	\N	\N
82922	277	1998-12-06	VYDAJ	VYBER	26000	106417	\N	\N	\N
82923	277	1998-12-06	VYDAJ	VYBER	18000	88417	\N	\N	\N
82980	278	1996-04-08	PRIJEM	VKLAD	700	700	\N	\N	\N
82984	278	1996-04-11	PRIJEM	VKLAD	20749	21449	\N	\N	\N
82985	278	1996-05-11	PRIJEM	VKLAD	20749	42058	\N	\N	\N
82986	278	1996-06-11	PRIJEM	VKLAD	31124	64429	\N	\N	\N
82987	278	1996-07-11	PRIJEM	VKLAD	20749	67416	\N	\N	\N
82988	278	1996-08-11	PRIJEM	VKLAD	20749	68241	\N	\N	\N
82989	278	1996-09-11	PRIJEM	VKLAD	20749	62294	\N	\N	\N
82990	278	1996-10-11	PRIJEM	VKLAD	20749	58120	\N	\N	\N
82991	278	1996-11-11	PRIJEM	VKLAD	20749	60430	\N	\N	\N
82992	278	1996-12-11	PRIJEM	VKLAD	31124	69818	\N	\N	\N
82993	278	1997-01-11	PRIJEM	VKLAD	20749	55459	\N	\N	\N
82994	278	1997-02-11	PRIJEM	VKLAD	20749	57340	\N	\N	\N
82995	278	1997-03-11	PRIJEM	VKLAD	20749	60128	\N	\N	\N
82996	278	1997-04-11	PRIJEM	VKLAD	20749	62530	\N	\N	\N
82997	278	1997-05-11	PRIJEM	VKLAD	20749	62252	\N	\N	\N
82998	278	1997-06-11	PRIJEM	VKLAD	31124	55251	\N	\N	\N
82999	278	1997-07-11	PRIJEM	VKLAD	20749	59450	\N	\N	\N
83000	278	1997-08-11	PRIJEM	VKLAD	20749	68549	\N	\N	\N
83001	278	1997-09-11	PRIJEM	VKLAD	20749	73990	\N	\N	\N
83002	278	1997-10-11	PRIJEM	VKLAD	20749	73760	\N	\N	\N
83003	278	1997-11-11	PRIJEM	VKLAD	20749	70510	\N	\N	\N
83004	278	1997-12-11	PRIJEM	VKLAD	31124	82622	\N	\N	\N
83005	278	1998-01-11	PRIJEM	VKLAD	20749	69789	\N	\N	\N
83006	278	1998-02-11	PRIJEM	VKLAD	20749	71317	\N	\N	\N
83007	278	1998-03-11	PRIJEM	VKLAD	20749	77256	\N	\N	\N
83008	278	1998-04-11	PRIJEM	VKLAD	20749	77318	\N	\N	\N
83009	278	1998-05-11	PRIJEM	VKLAD	20749	78273	\N	\N	\N
83010	278	1998-06-11	PRIJEM	VKLAD	31124	92114	\N	\N	\N
83011	278	1998-07-11	PRIJEM	VKLAD	20749	84715	\N	\N	\N
83012	278	1998-08-11	PRIJEM	VKLAD	20749	81502	\N	\N	\N
83013	278	1998-09-11	PRIJEM	VKLAD	20749	81672	\N	\N	\N
83014	278	1998-10-11	PRIJEM	VKLAD	20749	83846	\N	\N	\N
83015	278	1998-11-11	PRIJEM	VKLAD	20749	82725	\N	\N	\N
83016	278	1998-12-11	PRIJEM	VKLAD	31124	97478	\N	\N	\N
83025	278	1996-09-08	VYDAJ	PREVOD NA UCET	3362	41545	SIPO	IJ	93538832
83026	278	1996-10-08	VYDAJ	PREVOD NA UCET	3362	37371	SIPO	IJ	93538832
83027	278	1996-11-08	VYDAJ	PREVOD NA UCET	3362	39681	SIPO	IJ	93538832
83028	278	1996-12-08	VYDAJ	PREVOD NA UCET	3362	38694	SIPO	IJ	93538832
83029	278	1997-01-08	VYDAJ	PREVOD NA UCET	3362	39210	SIPO	IJ	93538832
83030	278	1997-02-08	VYDAJ	PREVOD NA UCET	3362	36591	SIPO	IJ	93538832
83031	278	1997-03-08	VYDAJ	PREVOD NA UCET	3362	39379	SIPO	IJ	93538832
83032	278	1997-04-08	VYDAJ	PREVOD NA UCET	3362	41781	SIPO	IJ	93538832
83033	278	1997-05-08	VYDAJ	PREVOD NA UCET	3362	41503	SIPO	IJ	93538832
83034	278	1997-06-08	VYDAJ	PREVOD NA UCET	3362	44027	SIPO	IJ	93538832
83035	278	1997-07-08	VYDAJ	PREVOD NA UCET	3362	38701	SIPO	IJ	93538832
83036	278	1997-08-08	VYDAJ	PREVOD NA UCET	3362	47800	SIPO	IJ	93538832
83037	278	1997-09-08	VYDAJ	PREVOD NA UCET	3362	53241	SIPO	IJ	93538832
83038	278	1997-10-08	VYDAJ	PREVOD NA UCET	3362	53011	SIPO	IJ	93538832
83184	278	1997-11-29	VYDAJ	VYBER	14800	55710	\N	\N	\N
83039	278	1997-11-08	VYDAJ	PREVOD NA UCET	3362	49761	SIPO	IJ	93538832
83040	278	1997-12-08	VYDAJ	PREVOD NA UCET	3362	52598	SIPO	IJ	93538832
83041	278	1998-01-08	VYDAJ	PREVOD NA UCET	3362	52340	SIPO	IJ	93538832
83042	278	1998-02-08	VYDAJ	PREVOD NA UCET	3362	50568	SIPO	IJ	93538832
83043	278	1998-03-08	VYDAJ	PREVOD NA UCET	3362	56507	SIPO	IJ	93538832
83044	278	1998-04-08	VYDAJ	PREVOD NA UCET	3362	56569	SIPO	IJ	93538832
83045	278	1998-05-08	VYDAJ	PREVOD NA UCET	3362	57524	SIPO	IJ	93538832
83046	278	1998-06-08	VYDAJ	PREVOD NA UCET	3362	60990	SIPO	IJ	93538832
83047	278	1998-07-08	VYDAJ	PREVOD NA UCET	3362	63966	SIPO	IJ	93538832
83048	278	1998-08-08	VYDAJ	PREVOD NA UCET	3362	60753	SIPO	IJ	93538832
83049	278	1998-09-08	VYDAJ	PREVOD NA UCET	3362	60923	SIPO	IJ	93538832
83050	278	1998-10-08	VYDAJ	PREVOD NA UCET	3362	63097	SIPO	IJ	93538832
83051	278	1998-11-08	VYDAJ	PREVOD NA UCET	3362	61976	SIPO	IJ	93538832
83052	278	1998-12-08	VYDAJ	PREVOD NA UCET	3362	66354	SIPO	IJ	93538832
83090	278	1997-06-09	VYDAJ	VYBER	19900	24127	\N	\N	\N
83091	278	1998-06-25	VYDAJ	VYBER KARTOU	3500	88614	\N	\N	0
83093	278	1997-01-10	VYDAJ	VYBER	3400	35810	\N	\N	\N
83094	278	1998-01-02	VYDAJ	VYBER	1300	55702	\N	\N	\N
83095	278	1996-12-27	VYDAJ	VYBER	1900	67918	\N	\N	\N
83096	278	1997-12-24	VYDAJ	VYBER	2300	80322	\N	\N	\N
83097	278	1998-12-15	VYDAJ	VYBER KARTOU	1000	96478	\N	\N	0
83104	278	1997-01-16	VYDAJ	VYBER	1700	49359	\N	\N	\N
83105	278	1997-01-10	VYDAJ	VYBER	1100	34710	\N	\N	\N
83106	278	1997-01-16	VYDAJ	VYBER	1400	51059	\N	\N	\N
83107	278	1997-01-14	VYDAJ	VYBER	2000	52459	\N	\N	\N
83108	278	1997-01-12	VYDAJ	VYBER	1000	54459	\N	\N	\N
83109	278	1997-01-02	VYDAJ	VYBER	700	67472	\N	\N	\N
83110	278	1998-01-19	VYDAJ	VYBER	2600	65189	\N	\N	\N
83111	278	1998-01-11	VYDAJ	VYBER	600	69189	\N	\N	\N
83112	278	1998-01-09	VYDAJ	VYBER	2100	50240	\N	\N	\N
83113	278	1998-01-29	VYDAJ	VYBER KARTOU	900	53689	\N	\N	0
83114	278	1998-01-10	VYDAJ	VYBER	1200	49040	\N	\N	\N
83115	278	1998-01-16	VYDAJ	VYBER	1400	67789	\N	\N	\N
83120	278	1996-08-25	VYDAJ	VYBER	3600	64641	\N	\N	\N
83121	278	1997-03-02	VYDAJ	VYBER	900	52041	\N	\N	\N
83122	278	1997-01-04	VYDAJ	VYBER	3800	42572	\N	\N	\N
83123	278	1997-02-21	VYDAJ	VYBER	4600	52740	\N	\N	\N
83124	278	1997-12-08	VYDAJ	VYBER	1100	51498	\N	\N	\N
83125	278	1997-07-03	VYDAJ	VYBER	2100	42063	\N	\N	\N
83126	278	1998-08-21	VYDAJ	VYBER	4800	76702	\N	\N	\N
83127	278	1998-03-25	VYDAJ	VYBER KARTOU	2400	74856	\N	\N	0
83128	278	1998-04-13	VYDAJ	VYBER KARTOU	3500	73818	\N	\N	0
83137	278	1996-08-31	VYDAJ	VYBER	15	64907	SLUZBY	\N	\N
83138	278	1996-09-30	VYDAJ	VYBER	15	62533	SLUZBY	\N	\N
83139	278	1996-10-31	VYDAJ	VYBER	15	58343	SLUZBY	\N	\N
83140	278	1996-11-30	VYDAJ	VYBER	15	60656	SLUZBY	\N	\N
83141	278	1996-12-31	VYDAJ	VYBER	15	68172	SLUZBY	\N	\N
83142	278	1997-01-31	VYDAJ	VYBER	15	49553	SLUZBY	\N	\N
83143	278	1997-02-28	VYDAJ	VYBER	15	52941	SLUZBY	\N	\N
83144	278	1997-03-31	VYDAJ	VYBER	15	60343	SLUZBY	\N	\N
83145	278	1997-04-30	VYDAJ	VYBER	15	62765	SLUZBY	\N	\N
83146	278	1997-05-31	VYDAJ	VYBER	15	62489	SLUZBY	\N	\N
83147	278	1997-06-30	VYDAJ	VYBER	15	55463	SLUZBY	\N	\N
83148	278	1997-07-31	VYDAJ	VYBER	15	59662	SLUZBY	\N	\N
83149	278	1997-08-31	VYDAJ	VYBER	15	68803	SLUZBY	\N	\N
83150	278	1997-09-30	VYDAJ	VYBER	15	56373	SLUZBY	\N	\N
83151	278	1997-10-31	VYDAJ	VYBER	15	53123	SLUZBY	\N	\N
83152	278	1997-11-30	VYDAJ	VYBER	15	55960	SLUZBY	\N	\N
83153	278	1997-12-31	VYDAJ	VYBER	15	57002	SLUZBY	\N	\N
83154	278	1998-01-31	VYDAJ	VYBER	15	53930	SLUZBY	\N	\N
83155	278	1998-02-28	VYDAJ	VYBER	15	59869	SLUZBY	\N	\N
83156	278	1998-03-31	VYDAJ	VYBER	15	59931	SLUZBY	\N	\N
83157	278	1998-04-30	VYDAJ	VYBER	15	60886	SLUZBY	\N	\N
83158	278	1998-05-31	VYDAJ	VYBER	15	64352	SLUZBY	\N	\N
83159	278	1998-06-30	VYDAJ	VYBER	15	67328	SLUZBY	\N	\N
83160	278	1998-07-31	VYDAJ	VYBER	15	64115	SLUZBY	\N	\N
83161	278	1998-08-31	VYDAJ	VYBER	15	64285	SLUZBY	\N	\N
83162	278	1998-09-30	VYDAJ	VYBER	15	66459	SLUZBY	\N	\N
83163	278	1998-10-31	VYDAJ	VYBER	15	65338	SLUZBY	\N	\N
83164	278	1998-11-30	VYDAJ	VYBER	15	69716	SLUZBY	\N	\N
83165	278	1996-05-08	VYDAJ	VYBER	200	21309	\N	\N	\N
83166	278	1996-06-07	VYDAJ	VYBER	8900	33305	\N	\N	\N
83167	278	1996-07-07	VYDAJ	VYBER	18000	46667	\N	\N	\N
83168	278	1996-08-06	VYDAJ	VYBER	20200	47492	\N	\N	\N
83169	278	1996-09-05	VYDAJ	VYBER	20000	44907	\N	\N	\N
83170	278	1996-10-05	VYDAJ	VYBER	21800	40733	\N	\N	\N
83171	278	1996-11-04	VYDAJ	VYBER	15300	43043	\N	\N	\N
83172	278	1996-12-04	VYDAJ	VYBER	18600	42056	\N	\N	\N
83173	278	1997-01-03	VYDAJ	VYBER	21100	46372	\N	\N	\N
83174	278	1997-02-02	VYDAJ	VYBER	9600	39953	\N	\N	\N
83175	278	1997-03-04	VYDAJ	VYBER	9300	42741	\N	\N	\N
83176	278	1997-04-03	VYDAJ	VYBER	15200	45143	\N	\N	\N
83177	278	1997-05-03	VYDAJ	VYBER	17900	44865	\N	\N	\N
83178	278	1997-06-02	VYDAJ	VYBER	15100	47389	\N	\N	\N
83179	278	1997-07-02	VYDAJ	VYBER	11300	44163	\N	\N	\N
83180	278	1997-08-01	VYDAJ	VYBER	8500	51162	\N	\N	\N
83181	278	1997-08-31	VYDAJ	VYBER	12200	56603	\N	\N	\N
83182	278	1997-09-30	VYDAJ	VYBER	17900	56388	\N	\N	\N
83183	278	1997-10-30	VYDAJ	VYBER	20900	52860	\N	\N	\N
83185	278	1997-12-29	VYDAJ	VYBER	23600	56722	\N	\N	\N
83186	278	1998-01-28	VYDAJ	VYBER	10600	54589	\N	\N	\N
83187	278	1998-02-27	VYDAJ	VYBER	11700	59617	\N	\N	\N
83188	278	1998-03-29	VYDAJ	VYBER	15200	59656	\N	\N	\N
83189	278	1998-04-28	VYDAJ	VYBER	13200	60618	\N	\N	\N
83190	278	1998-05-28	VYDAJ	VYBER	14200	64073	\N	\N	\N
83191	278	1998-06-27	VYDAJ	VYBER	21600	67014	\N	\N	\N
83192	278	1998-07-27	VYDAJ	VYBER	20900	63815	\N	\N	\N
83193	278	1998-08-26	VYDAJ	VYBER	12700	64002	\N	\N	\N
83194	278	1998-09-25	VYDAJ	VYBER	15500	66172	\N	\N	\N
83195	278	1998-10-25	VYDAJ	VYBER	18800	65046	\N	\N	\N
83196	278	1998-11-24	VYDAJ	VYBER	13300	69425	\N	\N	\N
83230	279	1993-04-14	PRIJEM	VKLAD	400	400	\N	\N	\N
83235	279	1993-05-07	PRIJEM	PREVOD Z UCTU	3007	3407	\N	YZ	59425073
83236	279	1993-06-07	PRIJEM	PREVOD Z UCTU	3007	6414	\N	YZ	59425073
83237	279	1993-07-07	PRIJEM	PREVOD Z UCTU	3007	9421	\N	YZ	59425073
83238	279	1993-08-07	PRIJEM	PREVOD Z UCTU	3007	12428	\N	YZ	59425073
83239	279	1993-09-07	PRIJEM	PREVOD Z UCTU	3007	15435	\N	YZ	59425073
83240	279	1993-10-07	PRIJEM	PREVOD Z UCTU	3007	16459	\N	YZ	59425073
83241	279	1993-11-07	PRIJEM	PREVOD Z UCTU	3007	17506	\N	YZ	59425073
83242	279	1993-12-07	PRIJEM	PREVOD Z UCTU	3007	18558	\N	YZ	59425073
83243	279	1994-01-07	PRIJEM	PREVOD Z UCTU	3007	18775	\N	YZ	59425073
83244	279	1994-02-07	PRIJEM	PREVOD Z UCTU	3007	15990	\N	YZ	59425073
83245	279	1994-03-07	PRIJEM	PREVOD Z UCTU	3007	15685	\N	YZ	59425073
83246	279	1994-04-07	PRIJEM	PREVOD Z UCTU	3007	16729	\N	YZ	59425073
83247	279	1994-05-07	PRIJEM	PREVOD Z UCTU	3007	17777	\N	YZ	59425073
83248	279	1994-06-07	PRIJEM	PREVOD Z UCTU	3007	17300	\N	YZ	59425073
83249	279	1994-07-07	PRIJEM	PREVOD Z UCTU	3007	18353	\N	YZ	59425073
83250	279	1994-08-07	PRIJEM	PREVOD Z UCTU	3007	18657	\N	YZ	59425073
83251	279	1994-09-07	PRIJEM	PREVOD Z UCTU	3007	19714	\N	YZ	59425073
83252	279	1994-10-07	PRIJEM	PREVOD Z UCTU	3007	20144	\N	YZ	59425073
83253	279	1994-11-07	PRIJEM	PREVOD Z UCTU	3007	21207	\N	YZ	59425073
83254	279	1994-12-07	PRIJEM	PREVOD Z UCTU	3007	22274	\N	YZ	59425073
83255	279	1995-01-07	PRIJEM	PREVOD Z UCTU	3007	22595	\N	YZ	59425073
83256	279	1995-02-07	PRIJEM	PREVOD Z UCTU	3007	19764	\N	YZ	59425073
83257	279	1995-03-07	PRIJEM	PREVOD Z UCTU	3007	19923	\N	YZ	59425073
83258	279	1995-04-07	PRIJEM	PREVOD Z UCTU	3007	20143	\N	YZ	59425073
83259	279	1995-05-07	PRIJEM	PREVOD Z UCTU	3007	21206	\N	YZ	59425073
83260	279	1995-06-07	PRIJEM	PREVOD Z UCTU	3007	22172	\N	YZ	59425073
83261	279	1995-07-07	PRIJEM	PREVOD Z UCTU	3007	23246	\N	YZ	59425073
83262	279	1995-08-07	PRIJEM	PREVOD Z UCTU	3007	23721	\N	YZ	59425073
83263	279	1995-09-07	PRIJEM	PREVOD Z UCTU	3007	24801	\N	YZ	59425073
83264	279	1995-10-07	PRIJEM	PREVOD Z UCTU	3007	22582	\N	YZ	59425073
83265	279	1995-11-07	PRIJEM	PREVOD Z UCTU	3007	20359	\N	YZ	59425073
83266	279	1995-12-07	PRIJEM	PREVOD Z UCTU	3007	18719	\N	YZ	59425073
83267	279	1996-01-07	PRIJEM	PREVOD Z UCTU	3007	19208	\N	YZ	59425073
83268	279	1996-02-07	PRIJEM	PREVOD Z UCTU	3007	17263	\N	YZ	59425073
83269	279	1996-03-07	PRIJEM	PREVOD Z UCTU	3007	18313	\N	YZ	59425073
83270	279	1996-04-07	PRIJEM	PREVOD Z UCTU	3007	19368	\N	YZ	59425073
83271	279	1996-05-07	PRIJEM	PREVOD Z UCTU	3007	19013	\N	YZ	59425073
83272	279	1996-06-07	PRIJEM	PREVOD Z UCTU	3007	18990	\N	YZ	59425073
83273	279	1996-07-07	PRIJEM	PREVOD Z UCTU	3007	20051	\N	YZ	59425073
83274	279	1996-08-07	PRIJEM	PREVOD Z UCTU	3007	21112	\N	YZ	59425073
83275	279	1996-09-07	PRIJEM	PREVOD Z UCTU	3007	22178	\N	YZ	59425073
83276	279	1996-10-07	PRIJEM	PREVOD Z UCTU	3007	23249	\N	YZ	59425073
83277	279	1996-11-07	PRIJEM	PREVOD Z UCTU	3007	24324	\N	YZ	59425073
83278	279	1996-12-07	PRIJEM	PREVOD Z UCTU	3007	24262	\N	YZ	59425073
83279	279	1997-01-07	PRIJEM	PREVOD Z UCTU	3007	24291	\N	YZ	59425073
83280	279	1997-02-07	PRIJEM	PREVOD Z UCTU	3007	22368	\N	YZ	59425073
83281	279	1997-03-07	PRIJEM	PREVOD Z UCTU	3007	23439	\N	YZ	59425073
83282	279	1997-04-07	PRIJEM	PREVOD Z UCTU	3007	23072	\N	YZ	59425073
83283	279	1997-05-07	PRIJEM	PREVOD Z UCTU	3007	24148	\N	YZ	59425073
83284	279	1997-06-07	PRIJEM	PREVOD Z UCTU	3007	25226	\N	YZ	59425073
83285	279	1997-07-07	PRIJEM	PREVOD Z UCTU	3007	26039	\N	YZ	59425073
83286	279	1997-08-07	PRIJEM	PREVOD Z UCTU	3007	27125	\N	YZ	59425073
83287	279	1997-09-07	PRIJEM	PREVOD Z UCTU	3007	27013	\N	YZ	59425073
83288	279	1997-10-07	PRIJEM	PREVOD Z UCTU	3007	26631	\N	YZ	59425073
83289	279	1997-11-07	PRIJEM	PREVOD Z UCTU	3007	27359	\N	YZ	59425073
83290	279	1997-12-07	PRIJEM	PREVOD Z UCTU	3007	28451	\N	YZ	59425073
83291	279	1998-01-07	PRIJEM	PREVOD Z UCTU	3007	28076	\N	YZ	59425073
83292	279	1998-02-07	PRIJEM	PREVOD Z UCTU	3007	26317	\N	YZ	59425073
83293	279	1998-03-07	PRIJEM	PREVOD Z UCTU	3007	27404	\N	YZ	59425073
83294	279	1998-04-07	PRIJEM	PREVOD Z UCTU	3007	28495	\N	YZ	59425073
83459	279	1994-01-09	VYDAJ	VYBER	390	18385	\N	\N	\N
83295	279	1998-05-07	PRIJEM	PREVOD Z UCTU	3007	29591	\N	YZ	59425073
83296	279	1998-06-07	PRIJEM	PREVOD Z UCTU	3007	30691	\N	YZ	59425073
83297	279	1998-07-07	PRIJEM	PREVOD Z UCTU	3007	29270	\N	YZ	59425073
83298	279	1998-08-07	PRIJEM	PREVOD Z UCTU	3007	30369	\N	YZ	59425073
83299	279	1998-09-07	PRIJEM	PREVOD Z UCTU	3007	31472	\N	YZ	59425073
83300	279	1998-10-07	PRIJEM	PREVOD Z UCTU	3007	31290	\N	YZ	59425073
83301	279	1998-11-07	PRIJEM	PREVOD Z UCTU	3007	31710	\N	YZ	59425073
83302	279	1998-12-07	PRIJEM	PREVOD Z UCTU	3007	32821	\N	YZ	59425073
83311	279	1993-09-14	VYDAJ	PREVOD NA UCET	624	13431	\N	EF	46485179
83312	279	1993-10-14	VYDAJ	PREVOD NA UCET	624	14455	\N	EF	46485179
83313	279	1993-11-14	VYDAJ	PREVOD NA UCET	624	15502	\N	EF	46485179
83314	279	1993-12-14	VYDAJ	PREVOD NA UCET	624	16254	\N	EF	46485179
83315	279	1994-01-14	VYDAJ	PREVOD NA UCET	624	15661	\N	EF	46485179
83316	279	1994-02-14	VYDAJ	PREVOD NA UCET	624	12636	\N	EF	46485179
83317	279	1994-03-14	VYDAJ	PREVOD NA UCET	624	13681	\N	EF	46485179
83318	279	1994-04-14	VYDAJ	PREVOD NA UCET	624	14725	\N	EF	46485179
83319	279	1994-05-14	VYDAJ	PREVOD NA UCET	624	15773	\N	EF	46485179
83320	279	1994-06-14	VYDAJ	PREVOD NA UCET	624	15296	\N	EF	46485179
83321	279	1994-07-14	VYDAJ	PREVOD NA UCET	624	15599	\N	EF	46485179
83322	279	1994-08-14	VYDAJ	PREVOD NA UCET	624	16653	\N	EF	46485179
83323	279	1994-09-14	VYDAJ	PREVOD NA UCET	624	17710	\N	EF	46485179
83324	279	1994-10-14	VYDAJ	PREVOD NA UCET	624	18140	\N	EF	46485179
83325	279	1994-11-14	VYDAJ	PREVOD NA UCET	624	19203	\N	EF	46485179
83326	279	1994-12-14	VYDAJ	PREVOD NA UCET	624	19910	\N	EF	46485179
83327	279	1995-01-14	VYDAJ	PREVOD NA UCET	624	19211	\N	EF	46485179
83328	279	1995-02-14	VYDAJ	PREVOD NA UCET	624	17760	\N	EF	46485179
83329	279	1995-03-14	VYDAJ	PREVOD NA UCET	624	17919	\N	EF	46485179
83330	279	1995-04-14	VYDAJ	PREVOD NA UCET	624	18139	\N	EF	46485179
83331	279	1995-05-14	VYDAJ	PREVOD NA UCET	624	19202	\N	EF	46485179
83332	279	1995-06-14	VYDAJ	PREVOD NA UCET	624	20168	\N	EF	46485179
83333	279	1995-07-14	VYDAJ	PREVOD NA UCET	624	21242	\N	EF	46485179
83334	279	1995-08-14	VYDAJ	PREVOD NA UCET	624	21717	\N	EF	46485179
83335	279	1995-09-14	VYDAJ	PREVOD NA UCET	624	22797	\N	EF	46485179
83336	279	1995-10-14	VYDAJ	PREVOD NA UCET	624	20578	\N	EF	46485179
83337	279	1995-11-14	VYDAJ	PREVOD NA UCET	624	16945	\N	EF	46485179
83338	279	1995-12-14	VYDAJ	PREVOD NA UCET	624	16715	\N	EF	46485179
83339	279	1996-01-14	VYDAJ	PREVOD NA UCET	624	16484	\N	EF	46485179
83340	279	1996-02-14	VYDAJ	PREVOD NA UCET	624	15259	\N	EF	46485179
83341	279	1996-03-14	VYDAJ	PREVOD NA UCET	624	16309	\N	EF	46485179
83342	279	1996-04-14	VYDAJ	PREVOD NA UCET	624	15954	\N	EF	46485179
83343	279	1996-05-14	VYDAJ	PREVOD NA UCET	624	17009	\N	EF	46485179
83344	279	1996-06-14	VYDAJ	PREVOD NA UCET	624	16986	\N	EF	46485179
83345	279	1996-07-14	VYDAJ	PREVOD NA UCET	624	18047	\N	EF	46485179
83346	279	1996-08-14	VYDAJ	PREVOD NA UCET	624	19108	\N	EF	46485179
83347	279	1996-09-14	VYDAJ	PREVOD NA UCET	624	20174	\N	EF	46485179
83348	279	1996-10-14	VYDAJ	PREVOD NA UCET	624	21245	\N	EF	46485179
83349	279	1996-11-14	VYDAJ	PREVOD NA UCET	624	21960	\N	EF	46485179
83350	279	1996-12-14	VYDAJ	PREVOD NA UCET	624	22258	\N	EF	46485179
83351	279	1997-01-14	VYDAJ	PREVOD NA UCET	624	21927	\N	EF	46485179
83352	279	1997-02-14	VYDAJ	PREVOD NA UCET	624	20364	\N	EF	46485179
83353	279	1997-03-14	VYDAJ	PREVOD NA UCET	624	20445	\N	EF	46485179
83354	279	1997-04-14	VYDAJ	PREVOD NA UCET	624	21068	\N	EF	46485179
83355	279	1997-05-14	VYDAJ	PREVOD NA UCET	624	22144	\N	EF	46485179
83356	279	1997-06-14	VYDAJ	PREVOD NA UCET	624	23222	\N	EF	46485179
83357	279	1997-07-14	VYDAJ	PREVOD NA UCET	624	24035	\N	EF	46485179
83358	279	1997-08-14	VYDAJ	PREVOD NA UCET	624	25121	\N	EF	46485179
83359	279	1997-09-14	VYDAJ	PREVOD NA UCET	624	25009	\N	EF	46485179
83360	279	1997-10-14	VYDAJ	PREVOD NA UCET	624	24627	\N	EF	46485179
83361	279	1997-11-14	VYDAJ	PREVOD NA UCET	624	25355	\N	EF	46485179
83362	279	1997-12-14	VYDAJ	PREVOD NA UCET	624	26447	\N	EF	46485179
83363	279	1998-01-14	VYDAJ	PREVOD NA UCET	624	24842	\N	EF	46485179
83364	279	1998-02-14	VYDAJ	PREVOD NA UCET	624	24313	\N	EF	46485179
83365	279	1998-03-14	VYDAJ	PREVOD NA UCET	624	25400	\N	EF	46485179
83366	279	1998-04-14	VYDAJ	PREVOD NA UCET	624	26491	\N	EF	46485179
83367	279	1998-05-14	VYDAJ	PREVOD NA UCET	624	27587	\N	EF	46485179
83368	279	1998-06-14	VYDAJ	PREVOD NA UCET	624	27337	\N	EF	46485179
83369	279	1998-07-14	VYDAJ	PREVOD NA UCET	624	27266	\N	EF	46485179
83370	279	1998-08-14	VYDAJ	PREVOD NA UCET	624	28365	\N	EF	46485179
83371	279	1998-09-14	VYDAJ	PREVOD NA UCET	624	29468	\N	EF	46485179
83372	279	1998-10-14	VYDAJ	PREVOD NA UCET	624	29286	\N	EF	46485179
83373	279	1998-11-14	VYDAJ	PREVOD NA UCET	624	29706	\N	EF	46485179
83374	279	1998-12-14	VYDAJ	PREVOD NA UCET	624	30817	\N	EF	46485179
83383	279	1993-09-12	VYDAJ	PREVOD NA UCET	1380	14055	\N	QR	68556356
83384	279	1993-10-12	VYDAJ	PREVOD NA UCET	1380	15079	\N	QR	68556356
83385	279	1993-11-12	VYDAJ	PREVOD NA UCET	1380	16126	\N	QR	68556356
83386	279	1993-12-12	VYDAJ	PREVOD NA UCET	1380	16878	\N	QR	68556356
83387	279	1994-01-12	VYDAJ	PREVOD NA UCET	1380	16285	\N	QR	68556356
83388	279	1994-02-12	VYDAJ	PREVOD NA UCET	1380	14610	\N	QR	68556356
83389	279	1994-03-12	VYDAJ	PREVOD NA UCET	1380	14305	\N	QR	68556356
83390	279	1994-04-12	VYDAJ	PREVOD NA UCET	1380	15349	\N	QR	68556356
83391	279	1994-05-12	VYDAJ	PREVOD NA UCET	1380	16397	\N	QR	68556356
83392	279	1994-06-12	VYDAJ	PREVOD NA UCET	1380	15920	\N	QR	68556356
83393	279	1994-07-12	VYDAJ	PREVOD NA UCET	1380	16223	\N	QR	68556356
83394	279	1994-08-12	VYDAJ	PREVOD NA UCET	1380	17277	\N	QR	68556356
83395	279	1994-09-12	VYDAJ	PREVOD NA UCET	1380	18334	\N	QR	68556356
83396	279	1994-10-12	VYDAJ	PREVOD NA UCET	1380	18764	\N	QR	68556356
83397	279	1994-11-12	VYDAJ	PREVOD NA UCET	1380	19827	\N	QR	68556356
83398	279	1994-12-12	VYDAJ	PREVOD NA UCET	1380	20534	\N	QR	68556356
83399	279	1995-01-12	VYDAJ	PREVOD NA UCET	1380	20345	\N	QR	68556356
83400	279	1995-02-12	VYDAJ	PREVOD NA UCET	1380	18384	\N	QR	68556356
83401	279	1995-03-12	VYDAJ	PREVOD NA UCET	1380	18543	\N	QR	68556356
83402	279	1995-04-12	VYDAJ	PREVOD NA UCET	1380	18763	\N	QR	68556356
83403	279	1995-05-12	VYDAJ	PREVOD NA UCET	1380	19826	\N	QR	68556356
83404	279	1995-06-12	VYDAJ	PREVOD NA UCET	1380	20792	\N	QR	68556356
83405	279	1995-07-12	VYDAJ	PREVOD NA UCET	1380	21866	\N	QR	68556356
83406	279	1995-08-12	VYDAJ	PREVOD NA UCET	1380	22341	\N	QR	68556356
83407	279	1995-09-12	VYDAJ	PREVOD NA UCET	1380	23421	\N	QR	68556356
83408	279	1995-10-12	VYDAJ	PREVOD NA UCET	1380	21202	\N	QR	68556356
83409	279	1995-11-12	VYDAJ	PREVOD NA UCET	1380	17569	\N	QR	68556356
83410	279	1995-12-12	VYDAJ	PREVOD NA UCET	1380	17339	\N	QR	68556356
83411	279	1996-01-12	VYDAJ	PREVOD NA UCET	1380	17108	\N	QR	68556356
83412	279	1996-02-12	VYDAJ	PREVOD NA UCET	1380	15883	\N	QR	68556356
83413	279	1996-03-12	VYDAJ	PREVOD NA UCET	1380	16933	\N	QR	68556356
83414	279	1996-04-12	VYDAJ	PREVOD NA UCET	1380	17988	\N	QR	68556356
83415	279	1996-05-12	VYDAJ	PREVOD NA UCET	1380	17633	\N	QR	68556356
83416	279	1996-06-12	VYDAJ	PREVOD NA UCET	1380	17610	\N	QR	68556356
83417	279	1996-07-12	VYDAJ	PREVOD NA UCET	1380	18671	\N	QR	68556356
83418	279	1996-08-12	VYDAJ	PREVOD NA UCET	1380	19732	\N	QR	68556356
83419	279	1996-09-12	VYDAJ	PREVOD NA UCET	1380	20798	\N	QR	68556356
83420	279	1996-10-12	VYDAJ	PREVOD NA UCET	1380	21869	\N	QR	68556356
83421	279	1996-11-12	VYDAJ	PREVOD NA UCET	1380	22584	\N	QR	68556356
83422	279	1996-12-12	VYDAJ	PREVOD NA UCET	1380	22882	\N	QR	68556356
83423	279	1997-01-12	VYDAJ	PREVOD NA UCET	1380	22911	\N	QR	68556356
83424	279	1997-02-12	VYDAJ	PREVOD NA UCET	1380	20988	\N	QR	68556356
83425	279	1997-03-12	VYDAJ	PREVOD NA UCET	1380	22059	\N	QR	68556356
83426	279	1997-04-12	VYDAJ	PREVOD NA UCET	1380	21692	\N	QR	68556356
83427	279	1997-05-12	VYDAJ	PREVOD NA UCET	1380	22768	\N	QR	68556356
83428	279	1997-06-12	VYDAJ	PREVOD NA UCET	1380	23846	\N	QR	68556356
83429	279	1997-07-12	VYDAJ	PREVOD NA UCET	1380	24659	\N	QR	68556356
83430	279	1997-08-12	VYDAJ	PREVOD NA UCET	1380	25745	\N	QR	68556356
83431	279	1997-09-12	VYDAJ	PREVOD NA UCET	1380	25633	\N	QR	68556356
83432	279	1997-10-12	VYDAJ	PREVOD NA UCET	1380	25251	\N	QR	68556356
83433	279	1997-11-12	VYDAJ	PREVOD NA UCET	1380	25979	\N	QR	68556356
83434	279	1997-12-12	VYDAJ	PREVOD NA UCET	1380	27071	\N	QR	68556356
83435	279	1998-01-12	VYDAJ	PREVOD NA UCET	1380	25466	\N	QR	68556356
83436	279	1998-02-12	VYDAJ	PREVOD NA UCET	1380	24937	\N	QR	68556356
83437	279	1998-03-12	VYDAJ	PREVOD NA UCET	1380	26024	\N	QR	68556356
83438	279	1998-04-12	VYDAJ	PREVOD NA UCET	1380	27115	\N	QR	68556356
83439	279	1998-05-12	VYDAJ	PREVOD NA UCET	1380	28211	\N	QR	68556356
83440	279	1998-06-12	VYDAJ	PREVOD NA UCET	1380	27961	\N	QR	68556356
83441	279	1998-07-12	VYDAJ	PREVOD NA UCET	1380	27890	\N	QR	68556356
83442	279	1998-08-12	VYDAJ	PREVOD NA UCET	1380	28989	\N	QR	68556356
83443	279	1998-09-12	VYDAJ	PREVOD NA UCET	1380	30092	\N	QR	68556356
83444	279	1998-10-12	VYDAJ	PREVOD NA UCET	1380	29910	\N	QR	68556356
83445	279	1998-11-12	VYDAJ	PREVOD NA UCET	1380	30330	\N	QR	68556356
83446	279	1998-12-12	VYDAJ	PREVOD NA UCET	1380	31441	\N	QR	68556356
83447	279	1993-12-07	VYDAJ	VYBER	300	18258	\N	\N	\N
83448	279	1994-12-08	VYDAJ	VYBER	360	21914	\N	\N	\N
83449	279	1995-12-04	VYDAJ	VYBER	360	15712	\N	\N	\N
83450	279	1996-12-28	VYDAJ	VYBER	660	21598	\N	\N	\N
83451	279	1997-12-28	VYDAJ	VYBER	780	25667	\N	\N	\N
83452	279	1998-12-26	VYDAJ	VYBER	180	30637	\N	\N	\N
83460	279	1994-01-02	VYDAJ	VYBER	540	15768	\N	\N	\N
83461	279	1994-01-27	VYDAJ	VYBER	390	14221	\N	\N	\N
83462	279	1994-01-18	VYDAJ	VYBER	330	15331	\N	\N	\N
83463	279	1994-01-22	VYDAJ	VYBER	720	14611	\N	\N	\N
83464	279	1994-01-10	VYDAJ	VYBER	720	17665	\N	\N	\N
83465	279	1995-01-25	VYDAJ	VYBER	150	17651	\N	\N	\N
83466	279	1995-01-10	VYDAJ	VYBER	870	21725	\N	\N	\N
83467	279	1995-01-13	VYDAJ	VYBER	510	19835	\N	\N	\N
83468	279	1995-01-02	VYDAJ	VYBER	390	19588	\N	\N	\N
83469	279	1995-01-24	VYDAJ	VYBER	300	18701	\N	\N	\N
83470	279	1995-01-16	VYDAJ	VYBER	210	19001	\N	\N	\N
83471	279	1996-01-11	VYDAJ	VYBER	720	18488	\N	\N	\N
83472	279	1996-01-15	VYDAJ	VYBER	840	15644	\N	\N	\N
83473	279	1996-01-05	VYDAJ	VYBER	570	16201	\N	\N	\N
83474	279	1996-01-25	VYDAJ	VYBER	780	14204	\N	\N	\N
83475	279	1996-01-15	VYDAJ	VYBER	420	15224	\N	\N	\N
83476	279	1996-01-18	VYDAJ	VYBER	240	14984	\N	\N	\N
83477	279	1997-01-21	VYDAJ	VYBER	690	20607	\N	\N	\N
83478	279	1997-01-22	VYDAJ	VYBER	660	19947	\N	\N	\N
83479	279	1997-01-13	VYDAJ	VYBER	360	22551	\N	\N	\N
83480	279	1997-01-17	VYDAJ	VYBER	630	21297	\N	\N	\N
83481	279	1997-01-28	VYDAJ	VYBER	660	19287	\N	\N	\N
83482	279	1997-01-05	VYDAJ	VYBER	390	21284	\N	\N	\N
83483	279	1998-01-24	VYDAJ	VYBER	270	23912	\N	\N	\N
83484	279	1998-01-07	VYDAJ	VYBER	210	27866	\N	\N	\N
83485	279	1998-01-22	VYDAJ	VYBER	360	24182	\N	\N	\N
83486	279	1998-01-02	VYDAJ	VYBER	690	25069	\N	\N	\N
83487	279	1998-01-25	VYDAJ	VYBER	690	23222	\N	\N	\N
83488	279	1998-01-22	VYDAJ	VYBER	300	24542	\N	\N	\N
83491	279	1994-07-08	VYDAJ	VYBER	750	17603	\N	\N	\N
83492	279	1994-05-31	VYDAJ	VYBER	1290	14547	\N	\N	\N
83493	279	1994-09-27	VYDAJ	VYBER	630	17080	\N	\N	\N
83494	279	1994-02-03	VYDAJ	VYBER	1290	12983	\N	\N	\N
83495	279	1994-06-03	VYDAJ	VYBER	240	14293	\N	\N	\N
83496	279	1994-02-12	VYDAJ	VYBER	1350	13260	\N	\N	\N
83497	279	1995-01-24	VYDAJ	VYBER	900	17801	\N	\N	\N
83498	279	1995-03-19	VYDAJ	VYBER	840	17079	\N	\N	\N
83499	279	1995-11-07	VYDAJ	VYBER	1410	18949	\N	\N	\N
83500	279	1995-11-28	VYDAJ	VYBER	930	16015	\N	\N	\N
83501	279	1995-02-15	VYDAJ	VYBER	900	16860	\N	\N	\N
83502	279	1995-01-26	VYDAJ	VYBER	960	16691	\N	\N	\N
83503	279	1996-11-10	VYDAJ	VYBER	360	23964	\N	\N	\N
83504	279	1996-04-13	VYDAJ	VYBER	1410	16578	\N	\N	\N
83505	279	1996-06-01	VYDAJ	VYBER	1080	15983	\N	\N	\N
83506	279	1996-11-30	VYDAJ	VYBER	780	21255	\N	\N	\N
83507	279	1997-06-23	VYDAJ	VYBER	270	22952	\N	\N	\N
83508	279	1997-09-23	VYDAJ	VYBER	1470	23539	\N	\N	\N
83509	279	1997-08-16	VYDAJ	VYBER	1200	23921	\N	\N	\N
83510	279	1997-04-05	VYDAJ	VYBER	450	20065	\N	\N	\N
83511	279	1997-03-13	VYDAJ	VYBER	990	21069	\N	\N	\N
83512	279	1997-10-29	VYDAJ	VYBER	360	24267	\N	\N	\N
83513	279	1998-06-11	VYDAJ	VYBER	1350	29341	\N	\N	\N
83514	279	1998-06-16	VYDAJ	VYBER	1170	26167	\N	\N	\N
83515	279	1998-11-06	VYDAJ	VYBER	690	28703	\N	\N	\N
83516	279	1998-01-08	VYDAJ	VYBER	1020	26846	\N	\N	\N
83517	279	1998-10-06	VYDAJ	VYBER	1290	28283	\N	\N	\N
83527	279	1993-09-30	VYDAJ	VYBER	15	13452	SLUZBY	\N	\N
83528	279	1993-10-31	VYDAJ	VYBER	15	14499	SLUZBY	\N	\N
83529	279	1993-11-30	VYDAJ	VYBER	15	15551	SLUZBY	\N	\N
83530	279	1993-12-31	VYDAJ	VYBER	15	16308	SLUZBY	\N	\N
83531	279	1994-01-31	VYDAJ	VYBER	15	14273	SLUZBY	\N	\N
83532	279	1994-02-28	VYDAJ	VYBER	15	12678	SLUZBY	\N	\N
83533	279	1994-03-31	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
83534	279	1994-04-30	VYDAJ	VYBER	15	14770	SLUZBY	\N	\N
83535	279	1994-05-31	VYDAJ	VYBER	15	14533	SLUZBY	\N	\N
83536	279	1994-06-30	VYDAJ	VYBER	15	15346	SLUZBY	\N	\N
83537	279	1994-07-31	VYDAJ	VYBER	15	15650	SLUZBY	\N	\N
83538	279	1994-08-31	VYDAJ	VYBER	15	16707	SLUZBY	\N	\N
83539	279	1994-09-30	VYDAJ	VYBER	15	17137	SLUZBY	\N	\N
83540	279	1994-10-31	VYDAJ	VYBER	15	18200	SLUZBY	\N	\N
83541	279	1994-11-30	VYDAJ	VYBER	15	19267	SLUZBY	\N	\N
83542	279	1994-12-31	VYDAJ	VYBER	15	19978	SLUZBY	\N	\N
83543	279	1995-01-31	VYDAJ	VYBER	15	16757	SLUZBY	\N	\N
83544	279	1995-02-28	VYDAJ	VYBER	15	16916	SLUZBY	\N	\N
83545	279	1995-03-31	VYDAJ	VYBER	15	17136	SLUZBY	\N	\N
83546	279	1995-04-30	VYDAJ	VYBER	15	18199	SLUZBY	\N	\N
83547	279	1995-05-31	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
83548	279	1995-06-30	VYDAJ	VYBER	15	20239	SLUZBY	\N	\N
83549	279	1995-07-31	VYDAJ	VYBER	15	21314	SLUZBY	\N	\N
83550	279	1995-08-31	VYDAJ	VYBER	15	21794	SLUZBY	\N	\N
83551	279	1995-09-30	VYDAJ	VYBER	15	22875	SLUZBY	\N	\N
83552	279	1995-10-31	VYDAJ	VYBER	15	17352	SLUZBY	\N	\N
83553	279	1995-11-30	VYDAJ	VYBER	15	16072	SLUZBY	\N	\N
83554	279	1995-12-31	VYDAJ	VYBER	15	16771	SLUZBY	\N	\N
83555	279	1996-01-31	VYDAJ	VYBER	15	14256	SLUZBY	\N	\N
83556	279	1996-02-29	VYDAJ	VYBER	15	15306	SLUZBY	\N	\N
83557	279	1996-03-31	VYDAJ	VYBER	15	16361	SLUZBY	\N	\N
83558	279	1996-04-30	VYDAJ	VYBER	15	16006	SLUZBY	\N	\N
83559	279	1996-05-31	VYDAJ	VYBER	15	17063	SLUZBY	\N	\N
83560	279	1996-06-30	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
83561	279	1996-07-31	VYDAJ	VYBER	15	18105	SLUZBY	\N	\N
83562	279	1996-08-31	VYDAJ	VYBER	15	19171	SLUZBY	\N	\N
83563	279	1996-09-30	VYDAJ	VYBER	15	20242	SLUZBY	\N	\N
83564	279	1996-10-31	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
83565	279	1996-11-30	VYDAJ	VYBER	15	22035	SLUZBY	\N	\N
83566	279	1996-12-31	VYDAJ	VYBER	15	21674	SLUZBY	\N	\N
83567	279	1997-01-31	VYDAJ	VYBER	15	19361	SLUZBY	\N	\N
83568	279	1997-02-28	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
83569	279	1997-03-31	VYDAJ	VYBER	15	20515	SLUZBY	\N	\N
83570	279	1997-04-30	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
83571	279	1997-05-31	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
83572	279	1997-06-30	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
83573	279	1997-07-31	VYDAJ	VYBER	15	24118	SLUZBY	\N	\N
83574	279	1997-08-31	VYDAJ	VYBER	15	24006	SLUZBY	\N	\N
83575	279	1997-09-30	VYDAJ	VYBER	15	23624	SLUZBY	\N	\N
83576	279	1997-10-31	VYDAJ	VYBER	15	24352	SLUZBY	\N	\N
83577	279	1997-11-30	VYDAJ	VYBER	15	25444	SLUZBY	\N	\N
83578	279	1997-12-31	VYDAJ	VYBER	15	25759	SLUZBY	\N	\N
83579	279	1998-01-31	VYDAJ	VYBER	15	23310	SLUZBY	\N	\N
83580	279	1998-02-28	VYDAJ	VYBER	15	24397	SLUZBY	\N	\N
83581	279	1998-03-31	VYDAJ	VYBER	15	25488	SLUZBY	\N	\N
83582	279	1998-04-30	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
83583	279	1998-05-31	VYDAJ	VYBER	15	27684	SLUZBY	\N	\N
83584	279	1998-06-30	VYDAJ	VYBER	15	26263	SLUZBY	\N	\N
83585	279	1998-07-31	VYDAJ	VYBER	15	27362	SLUZBY	\N	\N
83586	279	1998-08-31	VYDAJ	VYBER	15	28465	SLUZBY	\N	\N
83587	279	1998-09-30	VYDAJ	VYBER	15	29573	SLUZBY	\N	\N
83588	279	1998-10-31	VYDAJ	VYBER	15	29393	SLUZBY	\N	\N
83589	279	1998-11-30	VYDAJ	VYBER	15	29814	SLUZBY	\N	\N
83590	279	1995-06-03	VYDAJ	VYBER	100	19165	\N	\N	\N
83591	279	1995-08-02	VYDAJ	VYBER	600	20714	\N	\N	\N
83592	279	1995-10-01	VYDAJ	VYBER	3300	19575	\N	\N	\N
83593	279	1995-10-31	VYDAJ	VYBER	3300	17367	\N	\N	\N
83658	280	1993-01-23	PRIJEM	VKLAD	300	300	\N	\N	\N
83660	280	1993-02-12	PRIJEM	VKLAD	12043	12343	\N	\N	\N
83661	280	1993-03-12	PRIJEM	VKLAD	12043	30605	\N	\N	\N
83662	280	1993-04-12	PRIJEM	VKLAD	12043	37633	\N	\N	\N
83663	280	1993-05-12	PRIJEM	VKLAD	12043	44991	\N	\N	\N
83664	280	1993-06-12	PRIJEM	VKLAD	18065	50892	\N	\N	\N
83665	280	1993-07-12	PRIJEM	VKLAD	12043	32988	\N	\N	\N
83666	280	1993-08-12	PRIJEM	VKLAD	12043	32624	\N	\N	\N
83667	280	1993-09-12	PRIJEM	VKLAD	12043	30475	\N	\N	\N
83668	280	1993-10-12	PRIJEM	VKLAD	12043	32882	\N	\N	\N
83669	280	1993-11-12	PRIJEM	VKLAD	12043	26942	\N	\N	\N
83670	280	1993-12-12	PRIJEM	VKLAD	18065	39260	\N	\N	\N
83671	280	1994-01-12	PRIJEM	VKLAD	12043	31387	\N	\N	\N
83672	280	1994-02-12	PRIJEM	VKLAD	12043	26392	\N	\N	\N
83673	280	1994-03-12	PRIJEM	VKLAD	12043	25806	\N	\N	\N
83674	280	1994-04-12	PRIJEM	VKLAD	12043	29201	\N	\N	\N
83675	280	1994-05-12	PRIJEM	VKLAD	12043	34505	\N	\N	\N
83676	280	1994-06-12	PRIJEM	VKLAD	18065	41445	\N	\N	\N
83677	280	1994-07-12	PRIJEM	VKLAD	12043	36016	\N	\N	\N
83678	280	1994-08-12	PRIJEM	VKLAD	12043	37041	\N	\N	\N
83679	280	1994-09-12	PRIJEM	VKLAD	12043	37168	\N	\N	\N
83680	280	1994-10-12	PRIJEM	VKLAD	12043	37294	\N	\N	\N
83681	280	1994-11-12	PRIJEM	VKLAD	12043	39025	\N	\N	\N
83682	280	1994-12-12	PRIJEM	VKLAD	18065	36552	\N	\N	\N
83683	280	1995-01-12	PRIJEM	VKLAD	12043	20704	\N	\N	\N
83684	280	1995-02-12	PRIJEM	VKLAD	12043	22180	\N	\N	\N
83685	280	1995-03-12	PRIJEM	VKLAD	12043	29160	\N	\N	\N
83686	280	1995-04-12	PRIJEM	VKLAD	12043	35568	\N	\N	\N
83687	280	1995-05-12	PRIJEM	VKLAD	12043	33839	\N	\N	\N
83688	280	1995-06-12	PRIJEM	VKLAD	18065	42482	\N	\N	\N
83689	280	1995-07-12	PRIJEM	VKLAD	12043	39612	\N	\N	\N
83690	280	1995-08-12	PRIJEM	VKLAD	12043	44065	\N	\N	\N
83691	280	1995-09-12	PRIJEM	VKLAD	12043	45022	\N	\N	\N
83692	280	1995-10-12	PRIJEM	VKLAD	12043	46394	\N	\N	\N
83693	280	1995-11-12	PRIJEM	VKLAD	12043	44169	\N	\N	\N
83694	280	1995-12-12	PRIJEM	VKLAD	18065	47481	\N	\N	\N
83695	280	1996-01-12	PRIJEM	VKLAD	12043	38677	\N	\N	\N
83696	280	1996-02-12	PRIJEM	VKLAD	12043	36988	\N	\N	\N
83697	280	1996-03-12	PRIJEM	VKLAD	12043	39126	\N	\N	\N
83698	280	1996-04-12	PRIJEM	VKLAD	12043	35106	\N	\N	\N
83699	280	1996-05-12	PRIJEM	VKLAD	12043	35537	\N	\N	\N
83700	280	1996-06-12	PRIJEM	VKLAD	18065	41489	\N	\N	\N
83701	280	1996-07-12	PRIJEM	VKLAD	12043	38836	\N	\N	\N
83702	280	1996-08-12	PRIJEM	VKLAD	12043	34922	\N	\N	\N
83703	280	1996-09-12	PRIJEM	VKLAD	12043	39246	\N	\N	\N
83704	280	1996-10-12	PRIJEM	VKLAD	12043	39786	\N	\N	\N
83705	280	1996-11-12	PRIJEM	VKLAD	12043	41234	\N	\N	\N
83706	280	1996-12-12	PRIJEM	VKLAD	18065	37647	\N	\N	\N
83707	280	1997-01-12	PRIJEM	VKLAD	12043	26771	\N	\N	\N
83708	280	1997-02-12	PRIJEM	VKLAD	12043	31497	\N	\N	\N
83709	280	1997-03-12	PRIJEM	VKLAD	12043	34198	\N	\N	\N
83710	280	1997-04-12	PRIJEM	VKLAD	12043	31619	\N	\N	\N
83711	280	1997-05-12	PRIJEM	VKLAD	12043	33637	\N	\N	\N
83712	280	1997-06-12	PRIJEM	VKLAD	18065	39478	\N	\N	\N
83713	280	1997-07-12	PRIJEM	VKLAD	12043	37716	\N	\N	\N
83714	280	1997-08-12	PRIJEM	VKLAD	12043	39357	\N	\N	\N
83715	280	1997-09-12	PRIJEM	VKLAD	12043	35162	\N	\N	\N
83716	280	1997-10-12	PRIJEM	VKLAD	12043	33950	\N	\N	\N
83717	280	1997-11-12	PRIJEM	VKLAD	12043	35769	\N	\N	\N
83718	280	1997-12-12	PRIJEM	VKLAD	18065	42437	\N	\N	\N
83719	280	1998-01-12	PRIJEM	VKLAD	12043	44445	\N	\N	\N
83720	280	1998-02-12	PRIJEM	VKLAD	12043	42523	\N	\N	\N
83721	280	1998-03-12	PRIJEM	VKLAD	12043	48778	\N	\N	\N
83722	280	1998-04-12	PRIJEM	VKLAD	12043	48295	\N	\N	\N
83723	280	1998-05-12	PRIJEM	VKLAD	12043	48471	\N	\N	\N
83724	280	1998-06-12	PRIJEM	VKLAD	18065	58772	\N	\N	\N
83725	280	1998-07-12	PRIJEM	VKLAD	12043	56680	\N	\N	\N
83726	280	1998-08-12	PRIJEM	VKLAD	12043	50603	\N	\N	\N
83727	280	1998-09-12	PRIJEM	VKLAD	12043	49786	\N	\N	\N
83728	280	1998-10-12	PRIJEM	VKLAD	12043	52869	\N	\N	\N
83729	280	1998-11-12	PRIJEM	VKLAD	12043	60469	\N	\N	\N
83730	280	1998-12-12	PRIJEM	VKLAD	18065	69718	\N	\N	\N
83736	280	1993-06-13	VYDAJ	PREVOD NA UCET	3334	47558	SIPO	KL	10603589
83737	280	1993-07-13	VYDAJ	PREVOD NA UCET	3334	29654	SIPO	KL	10603589
83738	280	1993-08-13	VYDAJ	PREVOD NA UCET	3334	29290	SIPO	KL	10603589
83739	280	1993-09-13	VYDAJ	PREVOD NA UCET	3334	27141	SIPO	KL	10603589
83740	280	1993-10-13	VYDAJ	PREVOD NA UCET	3334	29548	SIPO	KL	10603589
83741	280	1993-11-13	VYDAJ	PREVOD NA UCET	3334	23608	SIPO	KL	10603589
83742	280	1993-12-13	VYDAJ	PREVOD NA UCET	3334	35926	SIPO	KL	10603589
83743	280	1994-01-13	VYDAJ	PREVOD NA UCET	3334	28053	SIPO	KL	10603589
83744	280	1994-02-13	VYDAJ	PREVOD NA UCET	3334	23058	SIPO	KL	10603589
83745	280	1994-03-13	VYDAJ	PREVOD NA UCET	3334	22472	SIPO	KL	10603589
83746	280	1994-04-13	VYDAJ	PREVOD NA UCET	3334	25867	SIPO	KL	10603589
83747	280	1994-05-13	VYDAJ	PREVOD NA UCET	3334	31171	SIPO	KL	10603589
83748	280	1994-06-13	VYDAJ	PREVOD NA UCET	3334	38111	SIPO	KL	10603589
83749	280	1994-07-13	VYDAJ	PREVOD NA UCET	3334	32682	SIPO	KL	10603589
83750	280	1994-08-13	VYDAJ	PREVOD NA UCET	3334	33707	SIPO	KL	10603589
83751	280	1994-09-13	VYDAJ	PREVOD NA UCET	3334	33834	SIPO	KL	10603589
83752	280	1994-10-13	VYDAJ	PREVOD NA UCET	3334	33960	SIPO	KL	10603589
83753	280	1994-11-13	VYDAJ	PREVOD NA UCET	3334	35691	SIPO	KL	10603589
83754	280	1994-12-13	VYDAJ	PREVOD NA UCET	3334	33218	SIPO	KL	10603589
83755	280	1995-01-13	VYDAJ	PREVOD NA UCET	3334	21970	SIPO	KL	10603589
83756	280	1995-02-13	VYDAJ	PREVOD NA UCET	3334	21746	SIPO	KL	10603589
83757	280	1995-03-13	VYDAJ	PREVOD NA UCET	3334	25826	SIPO	KL	10603589
83758	280	1995-04-13	VYDAJ	PREVOD NA UCET	3334	30334	SIPO	KL	10603589
83759	280	1995-05-13	VYDAJ	PREVOD NA UCET	3334	30505	SIPO	KL	10603589
83760	280	1995-06-13	VYDAJ	PREVOD NA UCET	3334	32148	SIPO	KL	10603589
83761	280	1995-07-13	VYDAJ	PREVOD NA UCET	3334	32778	SIPO	KL	10603589
83762	280	1995-08-13	VYDAJ	PREVOD NA UCET	3334	40731	SIPO	KL	10603589
83763	280	1995-09-13	VYDAJ	PREVOD NA UCET	3334	41688	SIPO	KL	10603589
83764	280	1995-10-13	VYDAJ	PREVOD NA UCET	3334	43060	SIPO	KL	10603589
83765	280	1995-11-13	VYDAJ	PREVOD NA UCET	3334	40835	SIPO	KL	10603589
83766	280	1995-12-13	VYDAJ	PREVOD NA UCET	3334	44147	SIPO	KL	10603589
83767	280	1996-01-13	VYDAJ	PREVOD NA UCET	3334	35343	SIPO	KL	10603589
83768	280	1996-02-13	VYDAJ	PREVOD NA UCET	3334	33654	SIPO	KL	10603589
83769	280	1996-03-13	VYDAJ	PREVOD NA UCET	3334	35792	SIPO	KL	10603589
83770	280	1996-04-13	VYDAJ	PREVOD NA UCET	3334	31772	SIPO	KL	10603589
83771	280	1996-05-13	VYDAJ	PREVOD NA UCET	3334	32203	SIPO	KL	10603589
83772	280	1996-06-13	VYDAJ	PREVOD NA UCET	3334	38155	SIPO	KL	10603589
83773	280	1996-07-13	VYDAJ	PREVOD NA UCET	3334	35502	SIPO	KL	10603589
83774	280	1996-08-13	VYDAJ	PREVOD NA UCET	3334	31588	SIPO	KL	10603589
83775	280	1996-09-13	VYDAJ	PREVOD NA UCET	3334	35912	SIPO	KL	10603589
83776	280	1996-10-13	VYDAJ	PREVOD NA UCET	3334	36452	SIPO	KL	10603589
83777	280	1996-11-13	VYDAJ	PREVOD NA UCET	3334	34900	SIPO	KL	10603589
83778	280	1996-12-13	VYDAJ	PREVOD NA UCET	3334	34313	SIPO	KL	10603589
83779	280	1997-01-13	VYDAJ	PREVOD NA UCET	3334	19957	SIPO	KL	10603589
83780	280	1997-02-13	VYDAJ	PREVOD NA UCET	3334	28163	SIPO	KL	10603589
83781	280	1997-03-13	VYDAJ	PREVOD NA UCET	3334	30864	SIPO	KL	10603589
83782	280	1997-04-13	VYDAJ	PREVOD NA UCET	3334	28285	SIPO	KL	10603589
83783	280	1997-05-13	VYDAJ	PREVOD NA UCET	3334	30303	SIPO	KL	10603589
83784	280	1997-06-13	VYDAJ	PREVOD NA UCET	3334	36144	SIPO	KL	10603589
83785	280	1997-07-13	VYDAJ	PREVOD NA UCET	3334	34382	SIPO	KL	10603589
83786	280	1997-08-13	VYDAJ	PREVOD NA UCET	3334	36023	SIPO	KL	10603589
83787	280	1997-09-13	VYDAJ	PREVOD NA UCET	3334	31828	SIPO	KL	10603589
83788	280	1997-10-13	VYDAJ	PREVOD NA UCET	3334	30616	SIPO	KL	10603589
83789	280	1997-11-13	VYDAJ	PREVOD NA UCET	3334	32435	SIPO	KL	10603589
83790	280	1997-12-13	VYDAJ	PREVOD NA UCET	3334	39103	SIPO	KL	10603589
83791	280	1998-01-13	VYDAJ	PREVOD NA UCET	3334	41111	SIPO	KL	10603589
83792	280	1998-02-13	VYDAJ	PREVOD NA UCET	3334	39189	SIPO	KL	10603589
83793	280	1998-03-13	VYDAJ	PREVOD NA UCET	3334	44364	SIPO	KL	10603589
83794	280	1998-04-13	VYDAJ	PREVOD NA UCET	3334	44961	SIPO	KL	10603589
83795	280	1998-05-13	VYDAJ	PREVOD NA UCET	3334	45137	SIPO	KL	10603589
83796	280	1998-06-13	VYDAJ	PREVOD NA UCET	3334	55438	SIPO	KL	10603589
83797	280	1998-07-13	VYDAJ	PREVOD NA UCET	3334	53346	SIPO	KL	10603589
83798	280	1998-08-13	VYDAJ	PREVOD NA UCET	3334	47269	SIPO	KL	10603589
83799	280	1998-09-13	VYDAJ	PREVOD NA UCET	3334	46452	SIPO	KL	10603589
83800	280	1998-10-13	VYDAJ	PREVOD NA UCET	3334	49535	SIPO	KL	10603589
83801	280	1998-11-13	VYDAJ	PREVOD NA UCET	3334	57135	SIPO	KL	10603589
83802	280	1998-12-13	VYDAJ	PREVOD NA UCET	3334	65264	SIPO	KL	10603589
83809	280	1993-07-10	VYDAJ	PREVOD NA UCET	4694	20945	 	UV	1495051
83810	280	1993-08-10	VYDAJ	PREVOD NA UCET	4694	20581	 	UV	1495051
83811	280	1993-09-10	VYDAJ	PREVOD NA UCET	4694	19992	 	UV	1495051
83812	280	1993-10-10	VYDAJ	PREVOD NA UCET	4694	20839	 	UV	1495051
83813	280	1993-11-10	VYDAJ	PREVOD NA UCET	4694	14899	 	UV	1495051
83814	280	1993-12-10	VYDAJ	PREVOD NA UCET	4694	21196	 	UV	1495051
83815	280	1994-01-10	VYDAJ	PREVOD NA UCET	4694	22584	 	UV	1495051
83816	280	1994-02-10	VYDAJ	PREVOD NA UCET	4694	14349	 	UV	1495051
83817	280	1994-03-10	VYDAJ	PREVOD NA UCET	4694	15083	 	UV	1495051
83818	280	1994-04-10	VYDAJ	PREVOD NA UCET	4694	17158	 	UV	1495051
83819	280	1994-05-10	VYDAJ	PREVOD NA UCET	4694	22462	 	UV	1495051
83820	280	1994-06-10	VYDAJ	PREVOD NA UCET	4694	23381	 	UV	1495051
83821	280	1994-07-10	VYDAJ	PREVOD NA UCET	4694	23973	 	UV	1495051
83822	280	1994-08-10	VYDAJ	PREVOD NA UCET	4694	24998	 	UV	1495051
83823	280	1994-09-10	VYDAJ	PREVOD NA UCET	4694	25125	 	UV	1495051
83824	280	1994-10-10	VYDAJ	PREVOD NA UCET	4694	25251	 	UV	1495051
83825	280	1994-11-10	VYDAJ	PREVOD NA UCET	4694	26982	 	UV	1495051
83826	280	1994-12-10	VYDAJ	PREVOD NA UCET	4694	18487	 	UV	1495051
83827	280	1995-01-10	VYDAJ	PREVOD NA UCET	4694	8661	 	UV	1495051
83828	280	1995-02-10	VYDAJ	PREVOD NA UCET	4694	10137	 	UV	1495051
83829	280	1995-03-10	VYDAJ	PREVOD NA UCET	4694	17117	 	UV	1495051
83830	280	1995-04-10	VYDAJ	PREVOD NA UCET	4694	23525	 	UV	1495051
83831	280	1995-05-10	VYDAJ	PREVOD NA UCET	4694	21796	 	UV	1495051
83832	280	1995-06-10	VYDAJ	PREVOD NA UCET	4694	24417	 	UV	1495051
83833	280	1995-07-10	VYDAJ	PREVOD NA UCET	4694	27569	 	UV	1495051
83834	280	1995-08-10	VYDAJ	PREVOD NA UCET	4694	27122	 	UV	1495051
83835	280	1995-09-10	VYDAJ	PREVOD NA UCET	4694	32979	 	UV	1495051
83836	280	1995-10-10	VYDAJ	PREVOD NA UCET	4694	34351	 	UV	1495051
83837	280	1995-11-10	VYDAJ	PREVOD NA UCET	4694	32126	 	UV	1495051
83838	280	1995-12-10	VYDAJ	PREVOD NA UCET	4694	30537	 	UV	1495051
83839	280	1996-01-10	VYDAJ	PREVOD NA UCET	4694	30114	 	UV	1495051
83840	280	1996-02-10	VYDAJ	PREVOD NA UCET	4694	24945	 	UV	1495051
83841	280	1996-03-10	VYDAJ	PREVOD NA UCET	4694	27083	 	UV	1495051
83842	280	1996-04-10	VYDAJ	PREVOD NA UCET	4694	23063	 	UV	1495051
83843	280	1996-05-10	VYDAJ	PREVOD NA UCET	4694	23494	 	UV	1495051
83844	280	1996-06-10	VYDAJ	PREVOD NA UCET	4694	23425	 	UV	1495051
83845	280	1996-07-10	VYDAJ	PREVOD NA UCET	4694	26793	 	UV	1495051
83846	280	1996-08-10	VYDAJ	PREVOD NA UCET	4694	22879	 	UV	1495051
83847	280	1996-09-10	VYDAJ	PREVOD NA UCET	4694	27203	 	UV	1495051
83848	280	1996-10-10	VYDAJ	PREVOD NA UCET	4694	27743	 	UV	1495051
83849	280	1996-11-10	VYDAJ	PREVOD NA UCET	4694	29191	 	UV	1495051
83850	280	1996-12-10	VYDAJ	PREVOD NA UCET	4694	19583	 	UV	1495051
83851	280	1997-01-10	VYDAJ	PREVOD NA UCET	4694	14728	 	UV	1495051
83852	280	1997-02-10	VYDAJ	PREVOD NA UCET	4694	19454	 	UV	1495051
83853	280	1997-03-10	VYDAJ	PREVOD NA UCET	4694	22155	 	UV	1495051
83854	280	1997-04-10	VYDAJ	PREVOD NA UCET	4694	19576	 	UV	1495051
83855	280	1997-05-10	VYDAJ	PREVOD NA UCET	4694	21594	 	UV	1495051
83856	280	1997-06-10	VYDAJ	PREVOD NA UCET	4694	21414	 	UV	1495051
83857	280	1997-07-10	VYDAJ	PREVOD NA UCET	4694	25673	 	UV	1495051
83858	280	1997-08-10	VYDAJ	PREVOD NA UCET	4694	27314	 	UV	1495051
83859	280	1997-09-10	VYDAJ	PREVOD NA UCET	4694	23119	 	UV	1495051
83860	280	1997-10-10	VYDAJ	PREVOD NA UCET	4694	21907	 	UV	1495051
83861	280	1997-11-10	VYDAJ	PREVOD NA UCET	4694	23726	 	UV	1495051
83862	280	1997-12-10	VYDAJ	PREVOD NA UCET	4694	24372	 	UV	1495051
83863	280	1998-01-10	VYDAJ	PREVOD NA UCET	4694	32402	 	UV	1495051
83864	280	1998-02-10	VYDAJ	PREVOD NA UCET	4694	30480	 	UV	1495051
83865	280	1998-03-10	VYDAJ	PREVOD NA UCET	4694	36735	 	UV	1495051
83866	280	1998-04-10	VYDAJ	PREVOD NA UCET	4694	36252	 	UV	1495051
83867	280	1998-05-10	VYDAJ	PREVOD NA UCET	4694	36428	 	UV	1495051
83868	280	1998-06-10	VYDAJ	PREVOD NA UCET	4694	40707	 	UV	1495051
83869	280	1998-07-10	VYDAJ	PREVOD NA UCET	4694	44637	 	UV	1495051
83870	280	1998-08-10	VYDAJ	PREVOD NA UCET	4694	38560	 	UV	1495051
83871	280	1998-09-10	VYDAJ	PREVOD NA UCET	4694	37743	 	UV	1495051
83872	280	1998-10-10	VYDAJ	PREVOD NA UCET	4694	40826	 	UV	1495051
83873	280	1998-11-10	VYDAJ	PREVOD NA UCET	4694	48426	 	UV	1495051
83874	280	1998-12-10	VYDAJ	PREVOD NA UCET	4694	51653	 	UV	1495051
83947	280	1993-06-18	VYDAJ	VYBER	17440	30118	\N	\N	\N
83953	280	1993-12-26	VYDAJ	VYBER	4160	28366	\N	\N	\N
83954	280	1994-12-20	VYDAJ	VYBER	2720	27298	\N	\N	\N
83955	280	1995-12-11	VYDAJ	VYBER	1120	29417	\N	\N	\N
83956	280	1996-12-09	VYDAJ	VYBER	2720	24277	\N	\N	\N
83957	280	1997-12-06	VYDAJ	VYBER	2240	29066	\N	\N	\N
83958	280	1998-12-12	VYDAJ	VYBER	1120	68598	\N	\N	\N
83965	280	1994-01-25	VYDAJ	VYBER	1800	22553	\N	\N	\N
83966	280	1994-01-10	VYDAJ	VYBER	3240	19344	\N	\N	\N
83967	280	1994-01-26	VYDAJ	VYBER	2280	20273	\N	\N	\N
83968	280	1994-01-19	VYDAJ	VYBER	2400	24353	\N	\N	\N
83969	280	1994-01-10	VYDAJ	VYBER	1200	27278	\N	\N	\N
83970	280	1994-01-28	VYDAJ	VYBER	1320	18953	\N	\N	\N
83971	280	1995-01-15	VYDAJ	VYBER	960	21010	\N	\N	\N
83972	280	1995-01-21	VYDAJ	VYBER	1320	19690	\N	\N	\N
83973	280	1995-01-06	VYDAJ	VYBER	2280	15995	\N	\N	\N
83974	280	1995-01-27	VYDAJ	VYBER	1680	14770	\N	\N	\N
83975	280	1995-01-04	VYDAJ	VYBER	2040	23075	\N	\N	\N
83976	280	1995-01-22	VYDAJ	VYBER	3240	16450	\N	\N	\N
83977	280	1996-01-06	VYDAJ	VYBER	720	42388	\N	\N	\N
83978	280	1996-01-23	VYDAJ	VYBER	1440	33903	\N	\N	\N
83979	280	1996-01-11	VYDAJ	VYBER	2280	27834	\N	\N	\N
83980	280	1996-01-04	VYDAJ	VYBER	1200	43108	\N	\N	\N
83981	280	1996-01-11	VYDAJ	VYBER	1200	26634	\N	\N	\N
83982	280	1996-01-09	VYDAJ	VYBER	2280	34808	\N	\N	\N
83983	280	1997-01-05	VYDAJ	VYBER	2280	25182	\N	\N	\N
83985	280	1997-01-08	VYDAJ	VYBER	3480	21702	\N	\N	\N
83987	280	1997-01-14	VYDAJ	VYBER	1680	18277	\N	\N	\N
83988	280	1997-01-09	VYDAJ	VYBER	2280	19422	\N	\N	\N
83989	280	1998-01-21	VYDAJ	VYBER	1320	39191	\N	\N	\N
83990	280	1998-01-22	VYDAJ	VYBER	1560	37631	\N	\N	\N
83991	280	1998-01-14	VYDAJ	VYBER	600	40511	\N	\N	\N
83992	280	1998-01-10	VYDAJ	VYBER	960	37096	\N	\N	\N
83993	280	1998-01-01	VYDAJ	VYBER	1800	38056	\N	\N	\N
83994	280	1998-01-01	VYDAJ	VYBER	1680	39856	\N	\N	\N
83995	280	1993-08-09	VYDAJ	VYBER	2280	25275	\N	\N	\N
83996	280	1993-10-15	VYDAJ	VYBER	4800	24748	\N	\N	\N
83997	280	1993-10-23	VYDAJ	VYBER	3840	19508	\N	\N	\N
83998	280	1993-09-11	VYDAJ	VYBER	1560	18432	\N	\N	\N
83999	280	1994-06-29	VYDAJ	VYBER	3360	28551	\N	\N	\N
84000	280	1994-08-17	VYDAJ	VYBER	600	29707	\N	\N	\N
84001	280	1994-03-10	VYDAJ	VYBER	1320	13763	\N	\N	\N
84002	280	1994-11-17	VYDAJ	VYBER	2160	28831	\N	\N	\N
84003	280	1994-03-06	VYDAJ	VYBER	5760	19777	\N	\N	\N
84004	280	1994-11-28	VYDAJ	VYBER	5760	23071	\N	\N	\N
84005	280	1995-05-05	VYDAJ	VYBER	3960	26490	\N	\N	\N
84006	280	1995-01-05	VYDAJ	VYBER	4800	18275	\N	\N	\N
84008	280	1995-07-13	VYDAJ	VYBER	1080	31698	\N	\N	\N
84009	280	1995-01-01	VYDAJ	VYBER	2280	25115	\N	\N	\N
84010	280	1995-12-02	VYDAJ	VYBER	2760	38231	\N	\N	\N
84011	280	1995-01-08	VYDAJ	VYBER	2640	13355	\N	\N	\N
84012	280	1996-07-26	VYDAJ	VYBER	2880	32622	\N	\N	\N
84013	280	1996-12-15	VYDAJ	VYBER	2760	31553	\N	\N	\N
84014	280	1996-11-16	VYDAJ	VYBER	5400	29500	\N	\N	\N
84015	280	1996-11-20	VYDAJ	VYBER	1320	28180	\N	\N	\N
84016	280	1996-11-12	VYDAJ	VYBER	3000	38234	\N	\N	\N
84017	280	1996-08-17	VYDAJ	VYBER	1200	30388	\N	\N	\N
84018	280	1996-08-04	VYDAJ	VYBER	5280	27473	\N	\N	\N
84019	280	1996-03-23	VYDAJ	VYBER	3360	32432	\N	\N	\N
84020	280	1997-10-04	VYDAJ	VYBER	1440	26601	\N	\N	\N
84021	280	1997-01-13	VYDAJ	VYBER	3480	23291	\N	\N	\N
84022	280	1997-09-03	VYDAJ	VYBER	4440	27813	\N	\N	\N
84023	280	1997-11-29	VYDAJ	VYBER	1440	31195	\N	\N	\N
84024	280	1998-03-12	VYDAJ	VYBER	1080	47698	\N	\N	\N
84025	280	1998-04-09	VYDAJ	VYBER	1080	40946	\N	\N	\N
84026	280	1998-07-25	VYDAJ	VYBER	1080	49266	\N	\N	\N
84027	280	1998-07-17	VYDAJ	VYBER	3000	50346	\N	\N	\N
84028	280	1998-07-28	VYDAJ	VYBER	4800	43066	\N	\N	\N
84035	280	1993-06-30	VYDAJ	VYBER	15	25639	SLUZBY	\N	\N
84036	280	1993-07-31	VYDAJ	VYBER	15	27555	SLUZBY	\N	\N
84037	280	1993-08-31	VYDAJ	VYBER	15	24686	SLUZBY	\N	\N
84038	280	1993-09-30	VYDAJ	VYBER	15	25533	SLUZBY	\N	\N
84039	280	1993-10-31	VYDAJ	VYBER	15	19593	SLUZBY	\N	\N
84040	280	1993-11-30	VYDAJ	VYBER	15	25890	SLUZBY	\N	\N
84041	280	1993-12-31	VYDAJ	VYBER	15	28478	SLUZBY	\N	\N
84042	280	1994-01-31	VYDAJ	VYBER	15	19043	SLUZBY	\N	\N
84043	280	1994-02-28	VYDAJ	VYBER	15	25537	SLUZBY	\N	\N
84044	280	1994-03-31	VYDAJ	VYBER	15	21852	SLUZBY	\N	\N
84045	280	1994-04-30	VYDAJ	VYBER	15	27156	SLUZBY	\N	\N
84046	280	1994-05-31	VYDAJ	VYBER	15	28075	SLUZBY	\N	\N
84047	280	1994-06-30	VYDAJ	VYBER	15	28667	SLUZBY	\N	\N
84048	280	1994-07-31	VYDAJ	VYBER	15	29692	SLUZBY	\N	\N
84049	280	1994-08-31	VYDAJ	VYBER	15	29819	SLUZBY	\N	\N
84050	280	1994-09-30	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
84051	280	1994-10-31	VYDAJ	VYBER	15	31676	SLUZBY	\N	\N
84052	280	1994-11-30	VYDAJ	VYBER	15	23181	SLUZBY	\N	\N
84053	280	1994-12-31	VYDAJ	VYBER	15	27395	SLUZBY	\N	\N
84054	280	1995-01-31	VYDAJ	VYBER	15	14831	SLUZBY	\N	\N
84055	280	1995-02-28	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
84056	280	1995-03-31	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
84057	280	1995-04-30	VYDAJ	VYBER	15	30450	SLUZBY	\N	\N
84058	280	1995-05-31	VYDAJ	VYBER	15	29111	SLUZBY	\N	\N
84059	280	1995-06-30	VYDAJ	VYBER	15	32263	SLUZBY	\N	\N
84060	280	1995-07-31	VYDAJ	VYBER	15	31816	SLUZBY	\N	\N
84061	280	1995-08-31	VYDAJ	VYBER	15	40873	SLUZBY	\N	\N
84062	280	1995-09-30	VYDAJ	VYBER	15	41845	SLUZBY	\N	\N
84063	280	1995-10-31	VYDAJ	VYBER	15	43220	SLUZBY	\N	\N
84064	280	1995-11-30	VYDAJ	VYBER	15	40991	SLUZBY	\N	\N
84065	280	1995-12-31	VYDAJ	VYBER	15	44308	SLUZBY	\N	\N
84066	280	1996-01-31	VYDAJ	VYBER	15	34039	SLUZBY	\N	\N
84067	280	1996-02-29	VYDAJ	VYBER	15	33777	SLUZBY	\N	\N
84068	280	1996-03-31	VYDAJ	VYBER	15	32557	SLUZBY	\N	\N
84069	280	1996-04-30	VYDAJ	VYBER	15	31888	SLUZBY	\N	\N
84070	280	1996-05-31	VYDAJ	VYBER	15	32319	SLUZBY	\N	\N
84071	280	1996-06-30	VYDAJ	VYBER	15	38287	SLUZBY	\N	\N
84072	280	1996-07-31	VYDAJ	VYBER	15	32753	SLUZBY	\N	\N
84073	280	1996-08-31	VYDAJ	VYBER	15	30497	SLUZBY	\N	\N
84074	280	1996-09-30	VYDAJ	VYBER	15	36037	SLUZBY	\N	\N
84075	280	1996-10-31	VYDAJ	VYBER	15	36585	SLUZBY	\N	\N
84076	280	1996-11-30	VYDAJ	VYBER	15	28297	SLUZBY	\N	\N
84077	280	1996-12-31	VYDAJ	VYBER	15	31662	SLUZBY	\N	\N
84078	280	1997-01-31	VYDAJ	VYBER	15	18348	SLUZBY	\N	\N
84079	280	1997-02-28	VYDAJ	VYBER	15	28249	SLUZBY	\N	\N
84080	280	1997-03-31	VYDAJ	VYBER	15	30970	SLUZBY	\N	\N
84081	280	1997-04-30	VYDAJ	VYBER	15	28388	SLUZBY	\N	\N
84082	280	1997-05-31	VYDAJ	VYBER	15	30408	SLUZBY	\N	\N
84083	280	1997-06-30	VYDAJ	VYBER	15	36267	SLUZBY	\N	\N
84084	280	1997-07-31	VYDAJ	VYBER	15	34508	SLUZBY	\N	\N
84085	280	1997-08-31	VYDAJ	VYBER	15	32253	SLUZBY	\N	\N
84086	280	1997-09-30	VYDAJ	VYBER	15	28041	SLUZBY	\N	\N
84087	280	1997-10-31	VYDAJ	VYBER	15	28420	SLUZBY	\N	\N
84088	280	1997-11-30	VYDAJ	VYBER	15	31306	SLUZBY	\N	\N
84089	280	1997-12-31	VYDAJ	VYBER	15	41536	SLUZBY	\N	\N
84090	280	1998-01-31	VYDAJ	VYBER	15	35174	SLUZBY	\N	\N
84091	280	1998-02-28	VYDAJ	VYBER	15	41429	SLUZBY	\N	\N
84092	280	1998-03-31	VYDAJ	VYBER	15	42026	SLUZBY	\N	\N
84093	280	1998-04-30	VYDAJ	VYBER	15	41122	SLUZBY	\N	\N
84094	280	1998-05-31	VYDAJ	VYBER	15	45401	SLUZBY	\N	\N
84095	280	1998-06-30	VYDAJ	VYBER	15	49331	SLUZBY	\N	\N
84096	280	1998-07-31	VYDAJ	VYBER	15	43254	SLUZBY	\N	\N
84097	280	1998-08-31	VYDAJ	VYBER	15	42437	SLUZBY	\N	\N
84098	280	1998-09-30	VYDAJ	VYBER	15	45520	SLUZBY	\N	\N
84099	280	1998-10-31	VYDAJ	VYBER	15	53120	SLUZBY	\N	\N
84100	280	1998-11-30	VYDAJ	VYBER	15	56347	SLUZBY	\N	\N
84101	280	1993-02-22	PRIJEM	VKLAD	6200	18543	\N	\N	\N
84102	280	1993-03-24	VYDAJ	VYBER	5100	25505	\N	\N	\N
84103	280	1993-04-23	VYDAJ	VYBER	4800	32833	\N	\N	\N
84104	280	1993-05-23	VYDAJ	VYBER	12300	32691	\N	\N	\N
84105	280	1993-06-22	VYDAJ	VYBER	4600	25518	\N	\N	\N
84106	280	1993-07-22	VYDAJ	VYBER	2200	27454	\N	\N	\N
84107	280	1993-08-21	VYDAJ	VYBER	4700	24590	\N	\N	\N
84108	280	1993-09-20	VYDAJ	VYBER	1700	25441	\N	\N	\N
84109	280	1993-10-20	VYDAJ	VYBER	1400	23348	\N	\N	\N
84110	280	1993-11-19	PRIJEM	VKLAD	2200	25808	\N	\N	\N
84111	280	1993-12-19	VYDAJ	VYBER	3400	32526	\N	\N	\N
84112	280	1994-01-18	VYDAJ	VYBER	1300	26753	\N	\N	\N
84113	280	1994-02-17	PRIJEM	VKLAD	2400	25458	\N	\N	\N
84114	280	1994-03-19	VYDAJ	VYBER	700	21772	\N	\N	\N
84115	280	1994-04-18	PRIJEM	VKLAD	1200	27067	\N	\N	\N
84116	280	1994-05-18	VYDAJ	VYBER	3200	27971	\N	\N	\N
84117	280	1994-06-17	VYDAJ	VYBER	6200	31911	\N	\N	\N
84118	280	1994-07-17	VYDAJ	VYBER	3100	29582	\N	\N	\N
84119	280	1994-08-16	VYDAJ	VYBER	3400	30307	\N	\N	\N
84120	280	1994-09-15	VYDAJ	VYBER	4000	29834	\N	\N	\N
84121	280	1994-10-15	VYDAJ	VYBER	2400	31560	\N	\N	\N
84122	280	1994-11-14	VYDAJ	VYBER	4700	30991	\N	\N	\N
84123	280	1994-12-14	VYDAJ	VYBER	3200	30018	\N	\N	\N
84124	280	1995-01-13	PRIJEM	VKLAD	4600	25304	\N	\N	\N
84125	280	1995-02-12	PRIJEM	VKLAD	2900	25080	\N	\N	\N
84126	280	1995-03-14	PRIJEM	VKLAD	2300	28126	\N	\N	\N
84127	280	1995-04-13	VYDAJ	VYBER	1900	33668	\N	\N	\N
84128	280	1995-05-13	VYDAJ	VYBER	1500	29005	\N	\N	\N
84129	280	1995-06-12	VYDAJ	VYBER	7000	35482	\N	\N	\N
84130	280	1995-07-12	VYDAJ	VYBER	3500	36112	\N	\N	\N
84131	280	1995-08-11	PRIJEM	VKLAD	4900	32022	\N	\N	\N
84132	280	1995-09-10	VYDAJ	VYBER	3200	37673	\N	\N	\N
84133	280	1995-10-10	VYDAJ	VYBER	2800	39045	\N	\N	\N
84134	280	1995-11-09	VYDAJ	VYBER	6400	36820	\N	\N	\N
84135	280	1995-12-09	VYDAJ	VYBER	3000	35231	\N	\N	\N
84136	280	1996-01-08	VYDAJ	VYBER	5300	37088	\N	\N	\N
84137	280	1996-02-07	VYDAJ	VYBER	4400	29639	\N	\N	\N
84138	280	1996-03-08	VYDAJ	VYBER	2000	31777	\N	\N	\N
84139	280	1996-04-07	VYDAJ	VYBER	4800	27757	\N	\N	\N
84140	280	1996-05-07	VYDAJ	VYBER	3700	28188	\N	\N	\N
84141	280	1996-06-06	VYDAJ	VYBER	4200	28119	\N	\N	\N
84142	280	1996-07-06	VYDAJ	VYBER	6800	31487	\N	\N	\N
84143	280	1996-08-05	PRIJEM	VKLAD	100	27573	\N	\N	\N
84144	280	1996-09-04	PRIJEM	VKLAD	1400	31897	\N	\N	\N
84145	280	1996-10-04	VYDAJ	VYBER	3600	32437	\N	\N	\N
84146	280	1996-11-03	VYDAJ	VYBER	2700	33885	\N	\N	\N
84147	280	1996-12-03	VYDAJ	VYBER	1300	26997	\N	\N	\N
84148	280	1997-01-02	VYDAJ	VYBER	4200	27462	\N	\N	\N
84149	280	1997-02-01	PRIJEM	VKLAD	5800	24148	\N	\N	\N
84150	280	1997-03-03	VYDAJ	VYBER	1400	26849	\N	\N	\N
84151	280	1997-04-02	VYDAJ	VYBER	6700	24270	\N	\N	\N
84152	280	1997-05-02	VYDAJ	VYBER	2100	26288	\N	\N	\N
84153	280	1997-06-01	VYDAJ	VYBER	4300	26108	\N	\N	\N
84154	280	1997-07-01	VYDAJ	VYBER	5900	30367	\N	\N	\N
84155	280	1997-07-31	VYDAJ	VYBER	2500	32008	\N	\N	\N
84156	280	1997-08-30	VYDAJ	VYBER	3900	32123	\N	\N	\N
84157	280	1997-09-29	VYDAJ	VYBER	3900	27928	\N	\N	\N
84158	280	1997-10-29	VYDAJ	VYBER	2300	28316	\N	\N	\N
84159	280	1997-11-28	PRIJEM	VKLAD	200	32635	\N	\N	\N
84160	280	1997-12-28	PRIJEM	VKLAD	2300	41403	\N	\N	\N
84161	280	1998-01-27	VYDAJ	VYBER	2600	35031	\N	\N	\N
84162	280	1998-02-26	PRIJEM	VKLAD	2100	41289	\N	\N	\N
84163	280	1998-03-28	VYDAJ	VYBER	2500	41864	\N	\N	\N
84164	280	1998-04-27	VYDAJ	VYBER	4000	40961	\N	\N	\N
84165	280	1998-05-27	PRIJEM	VKLAD	100	45237	\N	\N	\N
84166	280	1998-06-26	VYDAJ	VYBER	6300	49138	\N	\N	\N
84167	280	1998-07-26	VYDAJ	VYBER	1400	47866	\N	\N	\N
84168	280	1998-08-25	VYDAJ	VYBER	5000	42269	\N	\N	\N
84169	280	1998-09-24	VYDAJ	VYBER	1100	45352	\N	\N	\N
84170	280	1998-10-24	PRIJEM	VKLAD	3400	52935	\N	\N	\N
84171	280	1998-11-23	VYDAJ	VYBER	1000	56135	\N	\N	\N
84243	281	1996-10-27	PRIJEM	VKLAD	900	900	\N	\N	\N
84254	281	1996-11-05	PRIJEM	VKLAD	8367	9267	\N	\N	\N
84255	281	1996-12-05	PRIJEM	VKLAD	12550	31930	\N	\N	\N
84256	281	1997-01-05	PRIJEM	VKLAD	8367	37386	\N	\N	\N
84257	281	1997-02-05	PRIJEM	VKLAD	8367	38074	\N	\N	\N
84258	281	1997-03-05	PRIJEM	VKLAD	8367	44169	\N	\N	\N
84259	281	1997-04-05	PRIJEM	VKLAD	8367	42314	\N	\N	\N
84260	281	1997-05-05	PRIJEM	VKLAD	8367	41253	\N	\N	\N
84261	281	1997-06-05	PRIJEM	VKLAD	12550	50074	\N	\N	\N
84262	281	1997-07-05	PRIJEM	VKLAD	8367	40778	\N	\N	\N
84263	281	1997-08-05	PRIJEM	VKLAD	8367	44777	\N	\N	\N
84264	281	1997-09-05	PRIJEM	VKLAD	8367	54334	\N	\N	\N
84265	281	1997-10-05	PRIJEM	VKLAD	8367	54249	\N	\N	\N
84266	281	1997-11-05	PRIJEM	VKLAD	8367	54814	\N	\N	\N
84267	281	1997-12-05	PRIJEM	VKLAD	12550	62875	\N	\N	\N
84268	281	1998-01-05	PRIJEM	VKLAD	8367	57130	\N	\N	\N
84269	281	1998-02-05	PRIJEM	VKLAD	8367	40425	\N	\N	\N
84270	281	1998-03-05	PRIJEM	VKLAD	8367	52824	\N	\N	\N
84271	281	1998-04-05	PRIJEM	VKLAD	8367	58800	\N	\N	\N
84272	281	1998-05-05	PRIJEM	VKLAD	8367	53759	\N	\N	\N
84273	281	1998-06-05	PRIJEM	VKLAD	12550	67626	\N	\N	\N
84274	281	1998-07-05	PRIJEM	VKLAD	8367	55689	\N	\N	\N
84275	281	1998-08-05	PRIJEM	VKLAD	8367	61737	\N	\N	\N
84276	281	1998-09-05	PRIJEM	VKLAD	8367	68660	\N	\N	\N
84277	281	1998-10-05	PRIJEM	VKLAD	8367	72297	\N	\N	\N
84278	281	1998-11-05	PRIJEM	VKLAD	8367	70437	\N	\N	\N
84279	281	1998-12-05	PRIJEM	VKLAD	12550	68784	\N	\N	\N
84294	281	1997-03-05	VYDAJ	PREVOD NA UCET	5578	38591	SIPO	CD	31156671
84295	281	1997-04-05	VYDAJ	PREVOD NA UCET	5578	36736	SIPO	CD	31156671
84296	281	1997-05-05	VYDAJ	PREVOD NA UCET	5578	35675	SIPO	CD	31156671
84297	281	1997-06-05	VYDAJ	PREVOD NA UCET	5578	44496	SIPO	CD	31156671
84298	281	1997-07-05	VYDAJ	PREVOD NA UCET	5578	35200	SIPO	CD	31156671
84299	281	1997-08-05	VYDAJ	PREVOD NA UCET	5578	39199	SIPO	CD	31156671
84300	281	1997-09-05	VYDAJ	PREVOD NA UCET	5578	48756	SIPO	CD	31156671
84301	281	1997-10-05	VYDAJ	PREVOD NA UCET	5578	48671	SIPO	CD	31156671
84302	281	1997-11-05	VYDAJ	PREVOD NA UCET	5578	49236	SIPO	CD	31156671
84303	281	1997-12-05	VYDAJ	PREVOD NA UCET	5578	57297	SIPO	CD	31156671
84304	281	1998-01-05	VYDAJ	PREVOD NA UCET	5578	48432	SIPO	CD	31156671
84305	281	1998-02-05	VYDAJ	PREVOD NA UCET	5578	34847	SIPO	CD	31156671
84306	281	1998-03-05	VYDAJ	PREVOD NA UCET	5578	47246	SIPO	CD	31156671
84307	281	1998-04-05	VYDAJ	PREVOD NA UCET	5578	53222	SIPO	CD	31156671
84308	281	1998-05-05	VYDAJ	PREVOD NA UCET	5578	48181	SIPO	CD	31156671
84309	281	1998-06-05	VYDAJ	PREVOD NA UCET	5578	62048	SIPO	CD	31156671
84310	281	1998-07-05	VYDAJ	PREVOD NA UCET	5578	50111	SIPO	CD	31156671
84311	281	1998-08-05	VYDAJ	PREVOD NA UCET	5578	56159	SIPO	CD	31156671
84312	281	1998-09-05	VYDAJ	PREVOD NA UCET	5578	63082	SIPO	CD	31156671
84313	281	1998-10-05	VYDAJ	PREVOD NA UCET	5578	66719	SIPO	CD	31156671
84314	281	1998-11-05	VYDAJ	PREVOD NA UCET	5578	64859	SIPO	CD	31156671
84315	281	1998-12-05	VYDAJ	PREVOD NA UCET	5578	63206	SIPO	CD	31156671
84317	281	1997-06-10	VYDAJ	VYBER	22400	22096	\N	\N	\N
84318	281	1998-06-15	VYDAJ	VYBER	36320	25728	\N	\N	\N
84321	281	1998-01-21	VYDAJ	VYBER	13920	37532	\N	\N	\N
84323	281	1997-12-26	VYDAJ	VYBER	4320	51177	\N	\N	\N
84324	281	1998-12-09	VYDAJ	VYBER KARTOU	3000	60206	\N	\N	0
84337	281	1998-01-18	VYDAJ	VYBER	1920	41952	\N	\N	\N
84338	281	1998-01-23	VYDAJ	VYBER	1560	35972	\N	\N	\N
84339	281	1998-01-10	VYDAJ	VYBER	2400	43872	\N	\N	\N
84340	281	1998-01-05	VYDAJ	VYBER	3120	54010	\N	\N	\N
84341	281	1998-01-04	VYDAJ	VYBER	2640	48763	\N	\N	\N
84342	281	1998-01-08	VYDAJ	VYBER	2160	46272	\N	\N	\N
84349	281	1997-07-05	VYDAJ	VYBER	4080	31120	\N	\N	\N
84350	281	1997-10-23	VYDAJ	VYBER	2520	46251	\N	\N	\N
84351	281	1997-07-16	VYDAJ	VYBER	5640	25480	\N	\N	\N
84352	281	1997-04-27	VYDAJ	VYBER	2400	32736	\N	\N	\N
84353	281	1997-09-14	VYDAJ	VYBER	3960	44796	\N	\N	\N
84354	281	1997-11-11	VYDAJ	VYBER	4200	45036	\N	\N	\N
84355	281	1998-02-02	VYDAJ	VYBER	4080	32058	\N	\N	\N
84356	281	1998-04-27	VYDAJ	VYBER	4800	45202	\N	\N	\N
84357	281	1998-04-06	VYDAJ	VYBER	1200	52022	\N	\N	\N
84358	281	1998-03-01	VYDAJ	VYBER	3840	44457	\N	\N	\N
84359	281	1998-11-18	VYDAJ	VYBER	960	55999	\N	\N	\N
84360	281	1998-04-12	VYDAJ	VYBER	5520	46502	\N	\N	\N
84361	281	1998-07-24	VYDAJ	VYBER	2040	53171	\N	\N	\N
84377	281	1997-03-31	VYDAJ	VYBER	15	33947	SLUZBY	\N	\N
84378	281	1997-04-30	VYDAJ	VYBER	15	32886	SLUZBY	\N	\N
84379	281	1997-05-31	VYDAJ	VYBER	15	37524	SLUZBY	\N	\N
84380	281	1997-06-30	VYDAJ	VYBER	15	32411	SLUZBY	\N	\N
84381	281	1997-07-31	VYDAJ	VYBER	15	36410	SLUZBY	\N	\N
84382	281	1997-08-31	VYDAJ	VYBER	15	45967	SLUZBY	\N	\N
84383	281	1997-09-30	VYDAJ	VYBER	15	45882	SLUZBY	\N	\N
84384	281	1997-10-31	VYDAJ	VYBER	15	46447	SLUZBY	\N	\N
84385	281	1997-11-30	VYDAJ	VYBER	15	50325	SLUZBY	\N	\N
84386	281	1997-12-31	VYDAJ	VYBER	15	51403	SLUZBY	\N	\N
84387	281	1998-01-31	VYDAJ	VYBER	15	36138	SLUZBY	\N	\N
84388	281	1998-02-28	VYDAJ	VYBER	15	48297	SLUZBY	\N	\N
84389	281	1998-03-31	VYDAJ	VYBER	15	50433	SLUZBY	\N	\N
84390	281	1998-04-30	VYDAJ	VYBER	15	45392	SLUZBY	\N	\N
84391	281	1998-05-31	VYDAJ	VYBER	15	55076	SLUZBY	\N	\N
84392	281	1998-06-30	VYDAJ	VYBER	15	47322	SLUZBY	\N	\N
84393	281	1998-07-31	VYDAJ	VYBER	15	53370	SLUZBY	\N	\N
84394	281	1998-08-31	VYDAJ	VYBER	15	60293	SLUZBY	\N	\N
84395	281	1998-09-30	VYDAJ	VYBER	15	63930	SLUZBY	\N	\N
84396	281	1998-10-31	VYDAJ	VYBER	15	62070	SLUZBY	\N	\N
84397	281	1998-11-30	VYDAJ	VYBER	15	56234	SLUZBY	\N	\N
84398	281	1996-11-26	PRIJEM	VKLAD	10100	19367	\N	\N	\N
84399	281	1996-12-26	VYDAJ	VYBER	3000	28930	\N	\N	\N
84400	281	1997-01-25	VYDAJ	VYBER	7800	29586	\N	\N	\N
84401	281	1997-02-24	VYDAJ	VYBER	2400	35674	\N	\N	\N
84402	281	1997-03-26	VYDAJ	VYBER	4800	33791	\N	\N	\N
84403	281	1997-04-25	VYDAJ	VYBER	1600	35136	\N	\N	\N
84404	281	1997-05-25	PRIJEM	VKLAD	1700	37375	\N	\N	\N
84405	281	1997-06-24	PRIJEM	VKLAD	10200	32296	\N	\N	\N
84406	281	1997-07-24	PRIJEM	VKLAD	10800	36280	\N	\N	\N
84407	281	1997-08-23	PRIJEM	VKLAD	6600	45799	\N	\N	\N
84408	281	1997-09-22	PRIJEM	VKLAD	900	45696	\N	\N	\N
84409	281	1997-10-22	PRIJEM	VKLAD	100	48771	\N	\N	\N
84410	281	1997-11-21	PRIJEM	VKLAD	5100	50136	\N	\N	\N
84411	281	1997-12-21	VYDAJ	VYBER	1800	55497	\N	\N	\N
84412	281	1998-01-20	PRIJEM	VKLAD	9500	51452	\N	\N	\N
84413	281	1998-02-19	PRIJEM	VKLAD	13300	48147	\N	\N	\N
84414	281	1998-03-21	PRIJEM	VKLAD	3000	50246	\N	\N	\N
84415	281	1998-04-20	PRIJEM	VKLAD	3500	50002	\N	\N	\N
84416	281	1998-05-20	PRIJEM	VKLAD	6700	54881	\N	\N	\N
84417	281	1998-06-19	PRIJEM	VKLAD	21400	47128	\N	\N	\N
84418	281	1998-07-19	PRIJEM	VKLAD	5100	55211	\N	\N	\N
84419	281	1998-08-18	PRIJEM	VKLAD	3900	60059	\N	\N	\N
84420	281	1998-09-17	PRIJEM	VKLAD	600	63682	\N	\N	\N
84421	281	1998-10-17	VYDAJ	VYBER	4900	61819	\N	\N	\N
84422	281	1998-11-16	VYDAJ	VYBER	7900	56959	\N	\N	\N
84449	282	1997-05-12	PRIJEM	VKLAD	200	200	\N	\N	\N
84455	282	1997-06-10	PRIJEM	VKLAD	30992	31192	\N	\N	\N
84456	282	1997-07-10	PRIJEM	VKLAD	20661	50736	\N	\N	\N
84457	282	1997-08-10	PRIJEM	VKLAD	20661	56037	\N	\N	\N
84458	282	1997-09-10	PRIJEM	VKLAD	20661	54361	\N	\N	\N
84459	282	1997-10-10	PRIJEM	VKLAD	20661	63532	\N	\N	\N
84460	282	1997-11-10	PRIJEM	VKLAD	20661	59159	\N	\N	\N
84461	282	1997-12-10	PRIJEM	VKLAD	30992	69350	\N	\N	\N
84462	282	1998-01-10	PRIJEM	VKLAD	20661	55234	\N	\N	\N
84463	282	1998-02-10	PRIJEM	VKLAD	20661	43123	\N	\N	\N
84464	282	1998-03-10	PRIJEM	VKLAD	20661	50311	\N	\N	\N
84465	282	1998-04-10	PRIJEM	VKLAD	20661	46424	\N	\N	\N
84466	282	1998-05-10	PRIJEM	VKLAD	20661	43427	\N	\N	\N
84467	282	1998-06-10	PRIJEM	VKLAD	30992	47747	\N	\N	\N
84468	282	1998-07-10	PRIJEM	VKLAD	20661	36844	\N	\N	\N
84469	282	1998-08-10	PRIJEM	VKLAD	20661	32073	\N	\N	\N
84470	282	1998-09-10	PRIJEM	VKLAD	20661	34212	\N	\N	\N
84471	282	1998-10-10	PRIJEM	VKLAD	20661	38858	\N	\N	\N
84472	282	1998-11-10	PRIJEM	VKLAD	20661	42478	\N	\N	\N
84473	282	1998-12-10	PRIJEM	VKLAD	30992	55766	\N	\N	\N
84484	282	1997-11-08	VYDAJ	PREVOD NA UCET	7531	38498	SIPO	GH	6997305
84485	282	1997-12-08	VYDAJ	PREVOD NA UCET	7531	51059	SIPO	GH	6997305
84486	282	1998-01-08	VYDAJ	PREVOD NA UCET	7531	34573	SIPO	GH	6997305
84487	282	1998-02-08	VYDAJ	PREVOD NA UCET	7531	22462	SIPO	GH	6997305
84488	282	1998-03-08	VYDAJ	PREVOD NA UCET	7531	29650	SIPO	GH	6997305
84489	282	1998-04-08	VYDAJ	PREVOD NA UCET	7531	25763	SIPO	GH	6997305
84490	282	1998-05-08	VYDAJ	PREVOD NA UCET	7531	22766	SIPO	GH	6997305
84491	282	1998-06-08	VYDAJ	PREVOD NA UCET	7531	16756	SIPO	GH	6997305
84492	282	1998-07-08	VYDAJ	PREVOD NA UCET	7531	16183	SIPO	GH	6997305
84493	282	1998-08-08	VYDAJ	PREVOD NA UCET	7531	11412	SIPO	GH	6997305
84494	282	1998-09-08	VYDAJ	PREVOD NA UCET	7531	13551	SIPO	GH	6997305
84495	282	1998-10-08	VYDAJ	PREVOD NA UCET	7531	18197	SIPO	GH	6997305
84496	282	1998-11-08	VYDAJ	PREVOD NA UCET	7531	21817	SIPO	GH	6997305
84497	282	1998-12-08	VYDAJ	PREVOD NA UCET	7531	24774	SIPO	GH	6997305
84508	282	1997-11-07	VYDAJ	PREVOD NA UCET	802	60929	 	AB	4248011
84509	282	1997-12-07	VYDAJ	PREVOD NA UCET	802	58590	 	AB	4248011
84510	282	1998-01-07	VYDAJ	PREVOD NA UCET	802	58804	 	AB	4248011
84511	282	1998-02-07	VYDAJ	PREVOD NA UCET	802	29993	 	AB	4248011
84512	282	1998-03-07	VYDAJ	PREVOD NA UCET	802	42481	 	AB	4248011
84513	282	1998-04-07	VYDAJ	PREVOD NA UCET	802	33294	 	AB	4248011
84514	282	1998-05-07	VYDAJ	PREVOD NA UCET	802	30297	 	AB	4248011
84515	282	1998-06-07	VYDAJ	PREVOD NA UCET	802	24287	 	AB	4248011
84516	282	1998-07-07	VYDAJ	PREVOD NA UCET	802	23714	 	AB	4248011
84517	282	1998-08-07	VYDAJ	PREVOD NA UCET	802	18943	 	AB	4248011
84518	282	1998-09-07	VYDAJ	PREVOD NA UCET	802	21082	 	AB	4248011
84519	282	1998-10-07	VYDAJ	PREVOD NA UCET	802	25728	 	AB	4248011
84520	282	1998-11-07	VYDAJ	PREVOD NA UCET	802	29348	 	AB	4248011
84521	282	1998-12-07	VYDAJ	PREVOD NA UCET	802	32305	 	AB	4248011
84522	282	1997-12-30	VYDAJ	VYBER	2560	66790	\N	\N	\N
84523	282	1998-12-12	VYDAJ	VYBER	3040	52726	\N	\N	\N
84530	282	1998-01-07	VYDAJ	VYBER	2880	59606	\N	\N	\N
84531	282	1998-01-19	VYDAJ	VYBER	1200	48274	\N	\N	\N
84532	282	1998-01-14	VYDAJ	VYBER	3360	51874	\N	\N	\N
84533	282	1998-01-18	VYDAJ	VYBER	2400	49474	\N	\N	\N
84534	282	1998-01-05	VYDAJ	VYBER	2760	62486	\N	\N	\N
84535	282	1998-01-23	VYDAJ	VYBER	2280	45994	\N	\N	\N
84537	282	1997-11-04	VYDAJ	VYBER	2040	61731	\N	\N	\N
84538	282	1997-12-30	VYDAJ	VYBER	1800	64990	\N	\N	\N
84542	282	1998-10-18	VYDAJ	VYBER	2640	36218	\N	\N	\N
84543	282	1998-12-03	VYDAJ	VYBER	1920	40707	\N	\N	\N
84544	282	1998-08-04	VYDAJ	VYBER	5040	31945	\N	\N	\N
84555	282	1997-10-31	VYDAJ	VYBER	15	63771	SLUZBY	\N	\N
84556	282	1997-11-30	VYDAJ	VYBER	15	59392	SLUZBY	\N	\N
84557	282	1997-12-31	VYDAJ	VYBER	15	65246	SLUZBY	\N	\N
84558	282	1998-01-31	VYDAJ	VYBER	15	46195	SLUZBY	\N	\N
84559	282	1998-02-28	VYDAJ	VYBER	15	43283	SLUZBY	\N	\N
84560	282	1998-03-31	VYDAJ	VYBER	15	50496	SLUZBY	\N	\N
84561	282	1998-04-30	VYDAJ	VYBER	15	46599	SLUZBY	\N	\N
84562	282	1998-05-31	VYDAJ	VYBER	15	43589	SLUZBY	\N	\N
84563	282	1998-06-30	VYDAJ	VYBER	15	47916	SLUZBY	\N	\N
84564	282	1998-07-31	VYDAJ	VYBER	15	36985	SLUZBY	\N	\N
84565	282	1998-08-31	VYDAJ	VYBER	15	32184	SLUZBY	\N	\N
84566	282	1998-09-30	VYDAJ	VYBER	15	34330	SLUZBY	\N	\N
84567	282	1998-10-31	VYDAJ	VYBER	15	36350	SLUZBY	\N	\N
84568	282	1998-11-30	VYDAJ	VYBER	15	42627	SLUZBY	\N	\N
84569	282	1997-06-11	VYDAJ	VYBER	1200	29992	\N	\N	\N
84570	282	1997-07-11	VYDAJ	VYBER	15500	35236	\N	\N	\N
84571	282	1997-08-10	VYDAJ	VYBER	15200	40837	\N	\N	\N
84572	282	1997-09-09	VYDAJ	VYBER	7300	33700	\N	\N	\N
84573	282	1997-10-09	VYDAJ	VYBER	11700	42871	\N	\N	\N
84574	282	1997-11-08	VYDAJ	VYBER	14900	46029	\N	\N	\N
84575	282	1997-12-08	VYDAJ	VYBER	12700	38359	\N	\N	\N
84576	282	1998-01-07	VYDAJ	VYBER	16700	42104	\N	\N	\N
84577	282	1998-02-06	VYDAJ	VYBER	15400	30795	\N	\N	\N
84578	282	1998-03-08	VYDAJ	VYBER	5300	37181	\N	\N	\N
84579	282	1998-04-07	VYDAJ	VYBER	16400	34096	\N	\N	\N
84580	282	1998-05-07	VYDAJ	VYBER	15500	31099	\N	\N	\N
84581	282	1998-06-06	VYDAJ	VYBER	18500	25089	\N	\N	\N
84582	282	1998-07-06	VYDAJ	VYBER	23400	24516	\N	\N	\N
84583	282	1998-08-05	VYDAJ	VYBER	12200	19745	\N	\N	\N
84584	282	1998-09-04	VYDAJ	VYBER	10300	21884	\N	\N	\N
84585	282	1998-10-04	VYDAJ	VYBER	7800	26530	\N	\N	\N
84586	282	1998-11-03	VYDAJ	VYBER	6200	30150	\N	\N	\N
84587	282	1998-12-03	VYDAJ	VYBER	7600	33107	\N	\N	\N
84607	283	1996-04-18	PRIJEM	VKLAD	800	800	\N	\N	\N
84612	283	1996-05-13	PRIJEM	PREVOD Z UCTU	4839	5639	DUCHOD	UV	95432501
84613	283	1996-06-13	PRIJEM	PREVOD Z UCTU	4839	10478	DUCHOD	UV	95432501
84614	283	1996-07-13	PRIJEM	PREVOD Z UCTU	4839	15317	DUCHOD	UV	95432501
84615	283	1996-08-13	PRIJEM	PREVOD Z UCTU	4839	20156	DUCHOD	UV	95432501
84616	283	1996-09-13	PRIJEM	PREVOD Z UCTU	4839	24995	DUCHOD	UV	95432501
84617	283	1996-10-13	PRIJEM	PREVOD Z UCTU	4839	27021	DUCHOD	UV	95432501
84618	283	1996-11-13	PRIJEM	PREVOD Z UCTU	4839	28190	DUCHOD	UV	95432501
84619	283	1996-12-13	PRIJEM	PREVOD Z UCTU	4839	26147	DUCHOD	UV	95432501
84620	283	1997-01-13	PRIJEM	PREVOD Z UCTU	4839	19673	DUCHOD	UV	95432501
84621	283	1997-02-13	PRIJEM	PREVOD Z UCTU	4839	18652	DUCHOD	UV	95432501
84622	283	1997-03-13	PRIJEM	PREVOD Z UCTU	4839	20749	DUCHOD	UV	95432501
84623	283	1997-04-13	PRIJEM	PREVOD Z UCTU	4839	22854	DUCHOD	UV	95432501
84624	283	1997-05-13	PRIJEM	PREVOD Z UCTU	4839	24969	DUCHOD	UV	95432501
84625	283	1997-06-13	PRIJEM	PREVOD Z UCTU	4839	27092	DUCHOD	UV	95432501
84626	283	1997-07-13	PRIJEM	PREVOD Z UCTU	4839	26419	DUCHOD	UV	95432501
84627	283	1997-08-13	PRIJEM	PREVOD Z UCTU	4839	28548	DUCHOD	UV	95432501
84628	283	1997-09-13	PRIJEM	PREVOD Z UCTU	4839	29485	DUCHOD	UV	95432501
84629	283	1997-10-13	PRIJEM	PREVOD Z UCTU	4839	30907	DUCHOD	UV	95432501
84630	283	1997-11-13	PRIJEM	PREVOD Z UCTU	4839	28249	DUCHOD	UV	95432501
84631	283	1997-12-13	PRIJEM	PREVOD Z UCTU	4839	29636	DUCHOD	UV	95432501
84632	283	1998-01-13	PRIJEM	PREVOD Z UCTU	4839	28338	DUCHOD	UV	95432501
84633	283	1998-02-13	PRIJEM	PREVOD Z UCTU	4839	26460	DUCHOD	UV	95432501
84634	283	1998-03-13	PRIJEM	PREVOD Z UCTU	4839	22982	DUCHOD	UV	95432501
84635	283	1998-04-13	PRIJEM	PREVOD Z UCTU	4839	23097	DUCHOD	UV	95432501
84636	283	1998-05-13	PRIJEM	PREVOD Z UCTU	4839	21851	DUCHOD	UV	95432501
84637	283	1998-06-13	PRIJEM	PREVOD Z UCTU	4839	23000	DUCHOD	UV	95432501
84638	283	1998-07-13	PRIJEM	PREVOD Z UCTU	4839	18148	DUCHOD	UV	95432501
84639	283	1998-08-13	PRIJEM	PREVOD Z UCTU	4839	20243	DUCHOD	UV	95432501
84640	283	1998-09-13	PRIJEM	PREVOD Z UCTU	4839	22346	DUCHOD	UV	95432501
84641	283	1998-10-13	PRIJEM	PREVOD Z UCTU	4839	24458	DUCHOD	UV	95432501
84642	283	1998-11-13	PRIJEM	PREVOD Z UCTU	4839	26578	DUCHOD	UV	95432501
84643	283	1998-12-13	PRIJEM	PREVOD Z UCTU	4839	28707	DUCHOD	UV	95432501
84653	283	1996-10-10	VYDAJ	PREVOD NA UCET	2802	22182	SIPO	OP	9780645
84654	283	1996-11-10	VYDAJ	PREVOD NA UCET	2802	23351	SIPO	OP	9780645
84655	283	1996-12-10	VYDAJ	PREVOD NA UCET	2802	21308	SIPO	OP	9780645
84656	283	1997-01-10	VYDAJ	PREVOD NA UCET	2802	16114	SIPO	OP	9780645
84657	283	1997-02-10	VYDAJ	PREVOD NA UCET	2802	13813	SIPO	OP	9780645
84658	283	1997-03-10	VYDAJ	PREVOD NA UCET	2802	15910	SIPO	OP	9780645
84659	283	1997-04-10	VYDAJ	PREVOD NA UCET	2802	18015	SIPO	OP	9780645
84660	283	1997-05-10	VYDAJ	PREVOD NA UCET	2802	20130	SIPO	OP	9780645
84661	283	1997-06-10	VYDAJ	PREVOD NA UCET	2802	22253	SIPO	OP	9780645
84662	283	1997-07-10	VYDAJ	PREVOD NA UCET	2802	21580	SIPO	OP	9780645
84663	283	1997-08-10	VYDAJ	PREVOD NA UCET	2802	23709	SIPO	OP	9780645
84664	283	1997-09-10	VYDAJ	PREVOD NA UCET	2802	24646	SIPO	OP	9780645
84665	283	1997-10-10	VYDAJ	PREVOD NA UCET	2802	26788	SIPO	OP	9780645
84666	283	1997-11-10	VYDAJ	PREVOD NA UCET	2802	23410	SIPO	OP	9780645
84667	283	1997-12-10	VYDAJ	PREVOD NA UCET	2802	24797	SIPO	OP	9780645
84668	283	1998-01-10	VYDAJ	PREVOD NA UCET	2802	24139	SIPO	OP	9780645
84669	283	1998-02-10	VYDAJ	PREVOD NA UCET	2802	21621	SIPO	OP	9780645
84670	283	1998-03-10	VYDAJ	PREVOD NA UCET	2802	18143	SIPO	OP	9780645
84671	283	1998-04-10	VYDAJ	PREVOD NA UCET	2802	18258	SIPO	OP	9780645
84672	283	1998-05-10	VYDAJ	PREVOD NA UCET	2802	17012	SIPO	OP	9780645
84673	283	1998-06-10	VYDAJ	PREVOD NA UCET	2802	18161	SIPO	OP	9780645
84674	283	1998-07-10	VYDAJ	PREVOD NA UCET	2802	13309	SIPO	OP	9780645
84675	283	1998-08-10	VYDAJ	PREVOD NA UCET	2802	15404	SIPO	OP	9780645
84676	283	1998-09-10	VYDAJ	PREVOD NA UCET	2802	17507	SIPO	OP	9780645
84677	283	1998-10-10	VYDAJ	PREVOD NA UCET	2802	19619	SIPO	OP	9780645
84678	283	1998-11-10	VYDAJ	PREVOD NA UCET	2802	21739	SIPO	OP	9780645
84679	283	1998-12-10	VYDAJ	PREVOD NA UCET	2802	23868	SIPO	OP	9780645
84681	283	1997-06-18	VYDAJ	VYBER	2800	24292	\N	\N	\N
84682	283	1998-06-14	VYDAJ	VYBER	6950	16050	\N	\N	\N
84684	283	1997-01-03	VYDAJ	VYBER	1800	22676	\N	\N	\N
84685	283	1998-01-23	VYDAJ	VYBER	1050	24328	\N	\N	\N
84686	283	1996-12-06	VYDAJ	VYBER	1300	26990	\N	\N	\N
84687	283	1997-12-09	VYDAJ	VYBER	750	27599	\N	\N	\N
84688	283	1998-12-19	VYDAJ	VYBER	750	27957	\N	\N	\N
84695	283	1997-01-05	VYDAJ	VYBER	1520	19476	\N	\N	\N
84696	283	1997-01-14	VYDAJ	VYBER	1680	17353	\N	\N	\N
84697	283	1997-01-14	VYDAJ	VYBER	640	19033	\N	\N	\N
84698	283	1997-01-08	VYDAJ	VYBER	560	18916	\N	\N	\N
84699	283	1997-01-04	VYDAJ	VYBER	1680	20996	\N	\N	\N
84700	283	1997-01-12	VYDAJ	VYBER	1280	14834	\N	\N	\N
84701	283	1998-01-22	VYDAJ	VYBER	2240	25378	\N	\N	\N
84702	283	1998-01-01	VYDAJ	VYBER	1280	27901	\N	\N	\N
84703	283	1998-01-05	VYDAJ	VYBER	960	26941	\N	\N	\N
84704	283	1998-01-12	VYDAJ	VYBER	640	23499	\N	\N	\N
84705	283	1998-01-22	VYDAJ	VYBER	720	27618	\N	\N	\N
84706	283	1998-01-01	VYDAJ	VYBER	560	29181	\N	\N	\N
84707	283	1996-12-07	VYDAJ	VYBER	2880	24110	\N	\N	\N
84709	283	1996-10-15	VYDAJ	VYBER	960	26061	\N	\N	\N
84710	283	1996-12-16	VYDAJ	VYBER	1760	24387	\N	\N	\N
84712	283	1997-11-07	VYDAJ	VYBER	560	26212	\N	\N	\N
84713	283	1997-10-17	VYDAJ	VYBER	2400	28507	\N	\N	\N
84714	283	1997-10-31	VYDAJ	VYBER	1840	26787	\N	\N	\N
84715	283	1997-08-26	VYDAJ	VYBER	1200	27348	\N	\N	\N
84716	283	1997-01-20	VYDAJ	VYBER	800	16553	\N	\N	\N
84717	283	1997-10-11	VYDAJ	VYBER	720	26068	\N	\N	\N
84718	283	1998-02-17	VYDAJ	VYBER	3600	22860	\N	\N	\N
84719	283	1998-02-17	VYDAJ	VYBER	2000	20860	\N	\N	\N
84720	283	1998-04-26	VYDAJ	VYBER	3360	19737	\N	\N	\N
84721	283	1998-04-01	VYDAJ	VYBER	2000	21060	\N	\N	\N
84722	283	1998-06-07	VYDAJ	VYBER	960	20963	\N	\N	\N
84733	283	1996-09-30	VYDAJ	VYBER	15	24984	SLUZBY	\N	\N
84734	283	1996-10-31	VYDAJ	VYBER	15	26153	SLUZBY	\N	\N
84735	283	1996-11-30	VYDAJ	VYBER	15	28290	SLUZBY	\N	\N
84736	283	1996-12-31	VYDAJ	VYBER	15	24476	SLUZBY	\N	\N
84737	283	1997-01-31	VYDAJ	VYBER	15	16615	SLUZBY	\N	\N
84738	283	1997-02-28	VYDAJ	VYBER	15	18712	SLUZBY	\N	\N
84739	283	1997-03-31	VYDAJ	VYBER	15	20817	SLUZBY	\N	\N
84740	283	1997-04-30	VYDAJ	VYBER	15	22932	SLUZBY	\N	\N
84741	283	1997-05-31	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
84742	283	1997-06-30	VYDAJ	VYBER	15	24382	SLUZBY	\N	\N
84743	283	1997-07-31	VYDAJ	VYBER	15	26511	SLUZBY	\N	\N
84744	283	1997-08-31	VYDAJ	VYBER	15	27448	SLUZBY	\N	\N
84745	283	1997-09-30	VYDAJ	VYBER	15	29590	SLUZBY	\N	\N
84746	283	1997-10-31	VYDAJ	VYBER	15	26772	SLUZBY	\N	\N
84747	283	1997-11-30	VYDAJ	VYBER	15	28349	SLUZBY	\N	\N
84748	283	1997-12-31	VYDAJ	VYBER	15	29741	SLUZBY	\N	\N
84749	283	1998-01-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
84750	283	1998-02-28	VYDAJ	VYBER	15	20945	SLUZBY	\N	\N
84751	283	1998-03-31	VYDAJ	VYBER	15	23060	SLUZBY	\N	\N
84752	283	1998-04-30	VYDAJ	VYBER	15	19814	SLUZBY	\N	\N
84753	283	1998-05-31	VYDAJ	VYBER	15	21923	SLUZBY	\N	\N
84754	283	1998-06-30	VYDAJ	VYBER	15	16111	SLUZBY	\N	\N
84755	283	1998-07-31	VYDAJ	VYBER	15	18206	SLUZBY	\N	\N
84756	283	1998-08-31	VYDAJ	VYBER	15	20309	SLUZBY	\N	\N
84757	283	1998-09-30	VYDAJ	VYBER	15	22421	SLUZBY	\N	\N
84758	283	1998-10-31	VYDAJ	VYBER	15	24541	SLUZBY	\N	\N
84759	283	1998-11-30	VYDAJ	VYBER	15	26670	SLUZBY	\N	\N
84788	284	1997-07-18	PRIJEM	VKLAD	900	900	\N	\N	\N
84796	284	1997-08-14	PRIJEM	PREVOD Z UCTU	19419	20319	\N	AB	94361590
84797	284	1997-09-14	PRIJEM	PREVOD Z UCTU	19419	43887	\N	AB	94361590
84798	284	1997-10-14	PRIJEM	PREVOD Z UCTU	19419	52726	\N	AB	94361590
84799	284	1997-11-14	PRIJEM	PREVOD Z UCTU	19419	57293	\N	AB	94361590
84800	284	1997-12-14	PRIJEM	PREVOD Z UCTU	29128	66377	\N	AB	94361590
84801	284	1998-01-14	PRIJEM	PREVOD Z UCTU	19419	33935	\N	AB	94361590
84802	284	1998-02-14	PRIJEM	PREVOD Z UCTU	19419	41198	\N	AB	94361590
84803	284	1998-03-14	PRIJEM	PREVOD Z UCTU	19419	40284	\N	AB	94361590
84804	284	1998-04-14	PRIJEM	PREVOD Z UCTU	19419	47087	\N	AB	94361590
84805	284	1998-05-14	PRIJEM	PREVOD Z UCTU	19419	32821	\N	AB	94361590
84806	284	1998-06-14	PRIJEM	PREVOD Z UCTU	29128	52529	\N	AB	94361590
84807	284	1998-07-14	PRIJEM	PREVOD Z UCTU	19419	45704	\N	AB	94361590
84808	284	1998-08-14	PRIJEM	PREVOD Z UCTU	19419	55451	\N	AB	94361590
84809	284	1998-09-14	PRIJEM	PREVOD Z UCTU	19419	49912	\N	AB	94361590
84810	284	1998-10-14	PRIJEM	PREVOD Z UCTU	19419	50490	\N	AB	94361590
84811	284	1998-11-14	PRIJEM	PREVOD Z UCTU	19419	53464	\N	AB	94361590
84812	284	1998-12-14	PRIJEM	PREVOD Z UCTU	29128	61658	\N	AB	94361590
84825	284	1998-01-11	VYDAJ	PREVOD NA UCET	5629	14516	SIPO	EF	34219330
84826	284	1998-02-11	VYDAJ	PREVOD NA UCET	5629	14579	SIPO	EF	34219330
84827	284	1998-03-11	VYDAJ	PREVOD NA UCET	5629	20865	SIPO	EF	34219330
84828	284	1998-04-11	VYDAJ	PREVOD NA UCET	5629	27668	SIPO	EF	34219330
84829	284	1998-05-11	VYDAJ	PREVOD NA UCET	5629	13402	SIPO	EF	34219330
84830	284	1998-06-11	VYDAJ	PREVOD NA UCET	5629	14801	SIPO	EF	34219330
84831	284	1998-07-11	VYDAJ	PREVOD NA UCET	5629	22285	SIPO	EF	34219330
84832	284	1998-08-11	VYDAJ	PREVOD NA UCET	5629	40232	SIPO	EF	34219330
84833	284	1998-09-11	VYDAJ	PREVOD NA UCET	5629	30493	SIPO	EF	34219330
84834	284	1998-10-11	VYDAJ	PREVOD NA UCET	5629	31071	SIPO	EF	34219330
84835	284	1998-11-11	VYDAJ	PREVOD NA UCET	5629	34045	SIPO	EF	34219330
84836	284	1998-12-11	VYDAJ	PREVOD NA UCET	5629	32530	SIPO	EF	34219330
84841	284	1997-12-17	VYBER	VYBER	21239	20038	\N	\N	\N
84844	284	1998-05-11	VYBER	VYBER	18189	19031	\N	\N	\N
84845	284	1998-11-05	VYBER	VYBER	8205	42474	\N	\N	\N
84846	284	1998-07-05	VYBER	VYBER	10331	27914	\N	\N	\N
84848	284	1998-02-24	VYBER	VYBER	14810	26388	\N	\N	\N
84849	284	1998-10-07	VYBER	VYBER	9986	40100	\N	\N	\N
84850	284	1998-12-27	VYBER	VYBER	17046	30512	\N	\N	\N
84858	284	1998-01-19	VYDAJ	VYBER	6300	20135	\N	\N	\N
84860	284	1998-12-08	VYDAJ	VYBER	5400	48259	\N	\N	\N
84877	284	1998-12-14	VYDAJ	VYBER	14100	47558	\N	\N	\N
84878	284	1998-08-19	VYDAJ	VYBER	3000	41351	\N	\N	\N
84879	284	1998-08-18	VYDAJ	VYBER	3900	44351	\N	\N	\N
84880	284	1998-08-14	VYDAJ	VYBER	7200	48251	\N	\N	\N
84881	284	1998-06-16	VYDAJ	VYBER	14400	38129	\N	\N	\N
84882	284	1998-05-25	VYDAJ	VYBER	8100	20321	\N	\N	\N
84895	284	1997-12-31	VYDAJ	VYBER	15	20145	SLUZBY	\N	\N
84896	284	1998-01-31	VYDAJ	VYBER	15	20208	SLUZBY	\N	\N
84897	284	1998-02-28	VYDAJ	VYBER	15	26494	SLUZBY	\N	\N
84898	284	1998-03-31	VYDAJ	VYBER	15	33297	SLUZBY	\N	\N
84899	284	1998-04-30	VYDAJ	VYBER	15	37220	SLUZBY	\N	\N
84900	284	1998-05-31	VYDAJ	VYBER	15	20430	SLUZBY	\N	\N
84901	284	1998-06-30	VYDAJ	VYBER	15	38245	SLUZBY	\N	\N
84902	284	1998-07-31	VYDAJ	VYBER	15	45861	SLUZBY	\N	\N
84903	284	1998-08-31	VYDAJ	VYBER	15	41522	SLUZBY	\N	\N
84904	284	1998-09-30	VYDAJ	VYBER	15	50086	SLUZBY	\N	\N
84905	284	1998-10-31	VYDAJ	VYBER	15	50679	SLUZBY	\N	\N
84906	284	1998-11-30	VYDAJ	VYBER	15	53659	SLUZBY	\N	\N
84907	284	1997-08-17	PRIJEM	VKLAD	4100	24419	\N	\N	\N
84908	284	1997-09-16	VYDAJ	VYBER	10700	33187	\N	\N	\N
84909	284	1997-10-16	VYDAJ	VYBER	15000	37726	\N	\N	\N
84910	284	1997-11-15	VYDAJ	VYBER	20200	37093	\N	\N	\N
84911	284	1997-12-15	VYDAJ	VYBER	25100	41277	\N	\N	\N
84912	284	1998-01-14	VYDAJ	VYBER	7500	26435	\N	\N	\N
84913	284	1998-02-13	PRIJEM	VKLAD	7200	21779	\N	\N	\N
84914	284	1998-03-15	VYDAJ	VYBER	7100	33184	\N	\N	\N
84915	284	1998-04-14	VYDAJ	VYBER	10000	37087	\N	\N	\N
84916	284	1998-05-14	VYDAJ	VYBER	4400	28421	\N	\N	\N
84917	284	1998-06-13	PRIJEM	VKLAD	8600	23401	\N	\N	\N
84918	284	1998-07-13	PRIJEM	VKLAD	4000	26285	\N	\N	\N
84919	284	1998-08-12	VYDAJ	VYBER	4200	36032	\N	\N	\N
84920	284	1998-09-11	VYDAJ	VYBER	5400	36122	\N	\N	\N
84921	284	1998-10-11	VYDAJ	VYBER	3400	36700	\N	\N	\N
84922	284	1998-11-10	VYDAJ	VYBER	2800	39674	\N	\N	\N
84923	284	1998-12-10	VYDAJ	VYBER	10100	38159	\N	\N	\N
84941	285	1995-05-08	PRIJEM	VKLAD	600	600	\N	\N	\N
84946	285	1995-05-10	PRIJEM	VKLAD	19747	20347	\N	\N	\N
84947	285	1995-06-10	PRIJEM	VKLAD	29621	50828	\N	\N	\N
84948	285	1995-07-10	PRIJEM	VKLAD	19747	59448	\N	\N	\N
84949	285	1995-08-10	PRIJEM	VKLAD	19747	64233	\N	\N	\N
84950	285	1995-09-10	PRIJEM	VKLAD	19747	65341	\N	\N	\N
84951	285	1995-10-10	PRIJEM	VKLAD	19747	64925	\N	\N	\N
84952	285	1995-11-10	PRIJEM	VKLAD	19747	65421	\N	\N	\N
84953	285	1995-12-10	PRIJEM	VKLAD	29621	74758	\N	\N	\N
84954	285	1996-01-10	PRIJEM	VKLAD	19747	66694	\N	\N	\N
84955	285	1996-02-10	PRIJEM	VKLAD	19747	61948	\N	\N	\N
84956	285	1996-03-10	PRIJEM	VKLAD	19747	68527	\N	\N	\N
84957	285	1996-04-10	PRIJEM	VKLAD	19747	74037	\N	\N	\N
84958	285	1996-05-10	PRIJEM	VKLAD	19747	78171	\N	\N	\N
84959	285	1996-06-10	PRIJEM	VKLAD	29621	84736	\N	\N	\N
84960	285	1996-07-10	PRIJEM	VKLAD	19747	60678	\N	\N	\N
84961	285	1996-08-10	PRIJEM	VKLAD	19747	64794	\N	\N	\N
84962	285	1996-09-10	PRIJEM	VKLAD	19747	69115	\N	\N	\N
84963	285	1996-10-10	PRIJEM	VKLAD	19747	72508	\N	\N	\N
84964	285	1996-11-10	PRIJEM	VKLAD	19747	77062	\N	\N	\N
84965	285	1996-12-10	PRIJEM	VKLAD	29621	86906	\N	\N	\N
84966	285	1997-01-10	PRIJEM	VKLAD	19747	85985	\N	\N	\N
84967	285	1997-02-10	PRIJEM	VKLAD	19747	76367	\N	\N	\N
84968	285	1997-03-10	PRIJEM	VKLAD	19747	81488	\N	\N	\N
84969	285	1997-04-10	PRIJEM	VKLAD	19747	81276	\N	\N	\N
84970	285	1997-05-10	PRIJEM	VKLAD	19747	81664	\N	\N	\N
84971	285	1997-06-10	PRIJEM	VKLAD	29621	91627	\N	\N	\N
84972	285	1997-07-10	PRIJEM	VKLAD	19747	58630	\N	\N	\N
84973	285	1997-08-10	PRIJEM	VKLAD	19747	75385	\N	\N	\N
84974	285	1997-09-10	PRIJEM	VKLAD	19747	80754	\N	\N	\N
84975	285	1997-10-10	PRIJEM	VKLAD	19747	89854	\N	\N	\N
84976	285	1997-11-10	PRIJEM	VKLAD	19747	94782	\N	\N	\N
84977	285	1997-12-10	PRIJEM	VKLAD	29621	105299	\N	\N	\N
84978	285	1998-01-10	PRIJEM	VKLAD	19747	95607	\N	\N	\N
84979	285	1998-02-10	PRIJEM	VKLAD	19747	84578	\N	\N	\N
84980	285	1998-03-10	PRIJEM	VKLAD	19747	85163	\N	\N	\N
84981	285	1998-04-10	PRIJEM	VKLAD	19747	89906	\N	\N	\N
84982	285	1998-05-10	PRIJEM	VKLAD	19747	92414	\N	\N	\N
84983	285	1998-06-10	PRIJEM	VKLAD	29621	104456	\N	\N	\N
84984	285	1998-07-10	PRIJEM	VKLAD	19747	95412	\N	\N	\N
84985	285	1998-08-10	PRIJEM	VKLAD	19747	96658	\N	\N	\N
84986	285	1998-09-10	PRIJEM	VKLAD	19747	93301	\N	\N	\N
84987	285	1998-10-10	PRIJEM	VKLAD	19747	94338	\N	\N	\N
84988	285	1998-11-10	PRIJEM	VKLAD	19747	91113	\N	\N	\N
84989	285	1998-12-10	PRIJEM	VKLAD	29621	100763	\N	\N	\N
85039	285	1996-06-20	VYDAJ	VYBER	28160	56576	\N	\N	\N
85040	285	1997-06-18	VYDAJ	VYBER	45120	46507	\N	\N	\N
85041	285	1998-06-17	VYDAJ	VYBER	4800	99656	\N	\N	\N
85043	285	1996-01-01	VYDAJ	VYBER	15680	59347	\N	\N	\N
85044	285	1997-01-16	VYDAJ	VYBER	6560	79425	\N	\N	\N
85045	285	1998-01-24	VYDAJ	VYBER	6560	69807	\N	\N	\N
85046	285	1995-12-02	VYDAJ	VYBER	1600	62638	\N	\N	\N
85047	285	1996-12-27	VYDAJ	VYBER	1600	85306	\N	\N	\N
85048	285	1997-12-12	VYDAJ	VYBER	4640	100659	\N	\N	\N
85049	285	1998-12-02	VYDAJ	VYBER	4480	71143	\N	\N	\N
85050	285	1995-10-08	VYDAJ	VYBER	840	45178	\N	\N	\N
85052	285	1995-10-05	VYDAJ	VYBER	4680	60918	\N	\N	\N
85053	285	1995-11-25	VYDAJ	VYBER	1440	63981	\N	\N	\N
85054	285	1996-05-28	VYDAJ	VYBER	3360	74811	\N	\N	\N
85055	285	1996-07-09	VYDAJ	VYBER	5520	40931	\N	\N	\N
85056	285	1996-09-05	VYDAJ	VYBER	2160	49368	\N	\N	\N
85057	285	1996-08-07	VYDAJ	VYBER	5160	45047	\N	\N	\N
85058	285	1996-02-05	VYDAJ	VYBER	5160	42201	\N	\N	\N
85059	285	1996-02-05	VYDAJ	VYBER	1680	47361	\N	\N	\N
85060	285	1996-06-07	VYDAJ	VYBER	2400	55115	\N	\N	\N
85061	285	1997-07-06	VYDAJ	VYBER	4080	38883	\N	\N	\N
85062	285	1997-02-01	VYDAJ	VYBER	2880	56620	\N	\N	\N
85063	285	1997-07-03	VYDAJ	VYBER	5760	42963	\N	\N	\N
85064	285	1997-12-23	VYDAJ	VYBER	1560	99099	\N	\N	\N
85065	285	1997-08-31	VYDAJ	VYBER	1800	61007	\N	\N	\N
85066	285	1998-03-01	VYDAJ	VYBER	3720	65416	\N	\N	\N
85067	285	1998-03-13	VYDAJ	VYBER	2400	82763	\N	\N	\N
85068	285	1998-04-27	VYDAJ	VYBER	1080	73826	\N	\N	\N
85069	285	1998-05-04	VYDAJ	VYBER	1440	72667	\N	\N	\N
85070	285	1998-01-16	VYDAJ	VYBER	2640	92967	\N	\N	\N
85071	285	1998-01-28	VYDAJ	VYBER	5280	64527	\N	\N	\N
85072	285	1998-11-05	VYDAJ	VYBER	960	71366	\N	\N	\N
85082	285	1995-09-30	VYDAJ	VYBER	15	65598	SLUZBY	\N	\N
85083	285	1995-10-31	VYDAJ	VYBER	15	65174	SLUZBY	\N	\N
85084	285	1995-11-30	VYDAJ	VYBER	15	64238	SLUZBY	\N	\N
85085	285	1995-12-31	VYDAJ	VYBER	15	75027	SLUZBY	\N	\N
85086	285	1996-01-31	VYDAJ	VYBER	15	66941	SLUZBY	\N	\N
85087	285	1996-02-29	VYDAJ	VYBER	15	62180	SLUZBY	\N	\N
85088	285	1996-03-31	VYDAJ	VYBER	15	68790	SLUZBY	\N	\N
85089	285	1996-04-30	VYDAJ	VYBER	15	74324	SLUZBY	\N	\N
85090	285	1996-05-31	VYDAJ	VYBER	15	75115	SLUZBY	\N	\N
85091	285	1996-06-30	VYDAJ	VYBER	15	56851	SLUZBY	\N	\N
85092	285	1996-07-31	VYDAJ	VYBER	15	60907	SLUZBY	\N	\N
85093	285	1996-08-31	VYDAJ	VYBER	15	51528	SLUZBY	\N	\N
85094	285	1996-09-30	VYDAJ	VYBER	15	52761	SLUZBY	\N	\N
85095	285	1996-10-31	VYDAJ	VYBER	15	57315	SLUZBY	\N	\N
85096	285	1996-11-30	VYDAJ	VYBER	15	57285	SLUZBY	\N	\N
85097	285	1996-12-31	VYDAJ	VYBER	15	66238	SLUZBY	\N	\N
85098	285	1997-01-31	VYDAJ	VYBER	15	59500	SLUZBY	\N	\N
85099	285	1997-02-28	VYDAJ	VYBER	15	61741	SLUZBY	\N	\N
85100	285	1997-03-31	VYDAJ	VYBER	15	61529	SLUZBY	\N	\N
85101	285	1997-04-30	VYDAJ	VYBER	15	61917	SLUZBY	\N	\N
85102	285	1997-05-31	VYDAJ	VYBER	15	62006	SLUZBY	\N	\N
85103	285	1997-06-30	VYDAJ	VYBER	15	48723	SLUZBY	\N	\N
85104	285	1997-07-31	VYDAJ	VYBER	15	55638	SLUZBY	\N	\N
85105	285	1997-08-31	VYDAJ	VYBER	15	62807	SLUZBY	\N	\N
85106	285	1997-09-30	VYDAJ	VYBER	15	70107	SLUZBY	\N	\N
85107	285	1997-10-31	VYDAJ	VYBER	15	75035	SLUZBY	\N	\N
85108	285	1997-11-30	VYDAJ	VYBER	15	75678	SLUZBY	\N	\N
85109	285	1997-12-31	VYDAJ	VYBER	15	75860	SLUZBY	\N	\N
85110	285	1998-01-31	VYDAJ	VYBER	15	64831	SLUZBY	\N	\N
85111	285	1998-02-28	VYDAJ	VYBER	15	69136	SLUZBY	\N	\N
85112	285	1998-03-31	VYDAJ	VYBER	15	70159	SLUZBY	\N	\N
85113	285	1998-04-30	VYDAJ	VYBER	15	74107	SLUZBY	\N	\N
85114	285	1998-05-31	VYDAJ	VYBER	15	74835	SLUZBY	\N	\N
85115	285	1998-06-30	VYDAJ	VYBER	15	75665	SLUZBY	\N	\N
85116	285	1998-07-31	VYDAJ	VYBER	15	76911	SLUZBY	\N	\N
85117	285	1998-08-31	VYDAJ	VYBER	15	73554	SLUZBY	\N	\N
85118	285	1998-09-30	VYDAJ	VYBER	15	74591	SLUZBY	\N	\N
85119	285	1998-10-31	VYDAJ	VYBER	15	72326	SLUZBY	\N	\N
85120	285	1998-11-30	VYDAJ	VYBER	15	75623	SLUZBY	\N	\N
85121	285	1995-06-07	PRIJEM	VKLAD	800	21207	\N	\N	\N
85122	285	1995-07-07	VYDAJ	VYBER	11300	39701	\N	\N	\N
85123	285	1995-08-06	VYDAJ	VYBER	15200	44486	\N	\N	\N
85124	285	1995-09-05	VYDAJ	VYBER	18900	45594	\N	\N	\N
85125	285	1995-10-05	VYDAJ	VYBER	14900	46018	\N	\N	\N
85126	285	1995-11-04	VYDAJ	VYBER	19500	45674	\N	\N	\N
85127	285	1995-12-04	VYDAJ	VYBER	17500	45138	\N	\N	\N
85128	285	1996-01-03	VYDAJ	VYBER	12400	46947	\N	\N	\N
85129	285	1996-02-02	VYDAJ	VYBER	17900	49041	\N	\N	\N
85130	285	1996-03-03	VYDAJ	VYBER	13400	48780	\N	\N	\N
85131	285	1996-04-02	VYDAJ	VYBER	14500	54290	\N	\N	\N
85132	285	1996-05-02	VYDAJ	VYBER	15900	58424	\N	\N	\N
85133	285	1996-06-01	VYDAJ	VYBER	17600	57515	\N	\N	\N
85134	285	1996-07-01	VYDAJ	VYBER	10400	46451	\N	\N	\N
85135	285	1996-07-31	VYDAJ	VYBER	10700	50207	\N	\N	\N
85136	285	1996-08-30	VYDAJ	VYBER	13500	51294	\N	\N	\N
85137	285	1996-09-29	VYDAJ	VYBER	16600	52515	\N	\N	\N
85138	285	1996-10-29	VYDAJ	VYBER	15400	57108	\N	\N	\N
85139	285	1996-11-28	VYDAJ	VYBER	20000	57062	\N	\N	\N
85140	285	1996-12-28	VYDAJ	VYBER	19300	66006	\N	\N	\N
85141	285	1997-01-27	VYDAJ	VYBER	20200	59225	\N	\N	\N
85142	285	1997-02-26	VYDAJ	VYBER	14900	61467	\N	\N	\N
85143	285	1997-03-28	VYDAJ	VYBER	20200	61288	\N	\N	\N
85144	285	1997-04-27	VYDAJ	VYBER	19600	61676	\N	\N	\N
85145	285	1997-05-27	VYDAJ	VYBER	19900	61764	\N	\N	\N
85146	285	1997-06-26	PRIJEM	VKLAD	2000	48507	\N	\N	\N
85147	285	1997-07-26	VYDAJ	VYBER	3200	55430	\N	\N	\N
85148	285	1997-08-25	VYDAJ	VYBER	12800	62585	\N	\N	\N
85149	285	1997-09-24	VYDAJ	VYBER	10900	69854	\N	\N	\N
85150	285	1997-10-24	VYDAJ	VYBER	15100	74754	\N	\N	\N
85151	285	1997-11-23	VYDAJ	VYBER	19400	75382	\N	\N	\N
85152	285	1997-12-23	VYDAJ	VYBER	23600	75499	\N	\N	\N
85153	285	1998-01-22	VYDAJ	VYBER	16600	76367	\N	\N	\N
85154	285	1998-02-21	VYDAJ	VYBER	15700	68878	\N	\N	\N
85155	285	1998-03-23	VYDAJ	VYBER	12900	69863	\N	\N	\N
85156	285	1998-04-22	VYDAJ	VYBER	15000	74906	\N	\N	\N
85157	285	1998-05-22	VYDAJ	VYBER	17900	74514	\N	\N	\N
85158	285	1998-06-21	VYDAJ	VYBER	24300	75356	\N	\N	\N
85159	285	1998-07-21	VYDAJ	VYBER	18800	76612	\N	\N	\N
85160	285	1998-08-20	VYDAJ	VYBER	23400	73258	\N	\N	\N
85161	285	1998-09-19	VYDAJ	VYBER	19000	74301	\N	\N	\N
85162	285	1998-10-19	VYDAJ	VYBER	22300	72038	\N	\N	\N
85163	285	1998-11-18	VYDAJ	VYBER	15800	75313	\N	\N	\N
85208	286	1996-03-27	PRIJEM	VKLAD	300	300	\N	\N	\N
85212	286	1996-04-10	PRIJEM	VKLAD	23397	23697	\N	\N	\N
85213	286	1996-05-10	PRIJEM	VKLAD	23397	48511	\N	\N	\N
85214	286	1996-06-10	PRIJEM	VKLAD	35096	68218	\N	\N	\N
85215	286	1996-07-10	PRIJEM	VKLAD	23397	67162	\N	\N	\N
85216	286	1996-08-10	PRIJEM	VKLAD	23397	64838	\N	\N	\N
85217	286	1996-09-10	PRIJEM	VKLAD	23397	64889	\N	\N	\N
85218	286	1996-10-10	PRIJEM	VKLAD	23397	62053	\N	\N	\N
85219	286	1996-11-10	PRIJEM	VKLAD	23397	62189	\N	\N	\N
85220	286	1996-12-10	PRIJEM	VKLAD	35096	74623	\N	\N	\N
85221	286	1997-01-10	PRIJEM	VKLAD	23397	68269	\N	\N	\N
85222	286	1997-02-10	PRIJEM	VKLAD	23397	61718	\N	\N	\N
85223	286	1997-03-10	PRIJEM	VKLAD	23397	59143	\N	\N	\N
85224	286	1997-04-10	PRIJEM	VKLAD	23397	55515	\N	\N	\N
85225	286	1997-05-10	PRIJEM	VKLAD	23397	53401	\N	\N	\N
85226	286	1997-06-10	PRIJEM	VKLAD	35096	65294	\N	\N	\N
85227	286	1997-07-10	PRIJEM	VKLAD	23397	58810	\N	\N	\N
85228	286	1997-08-10	PRIJEM	VKLAD	23397	57007	\N	\N	\N
85229	286	1997-09-10	PRIJEM	VKLAD	23397	50986	\N	\N	\N
85230	286	1997-10-10	PRIJEM	VKLAD	23397	45852	\N	\N	\N
85231	286	1997-11-10	PRIJEM	VKLAD	23397	45604	\N	\N	\N
85232	286	1997-12-10	PRIJEM	VKLAD	35096	57955	\N	\N	\N
85233	286	1998-01-10	PRIJEM	VKLAD	23397	42185	\N	\N	\N
85234	286	1998-02-10	PRIJEM	VKLAD	23397	46331	\N	\N	\N
85235	286	1998-03-10	PRIJEM	VKLAD	23397	44775	\N	\N	\N
85236	286	1998-04-10	PRIJEM	VKLAD	23397	45616	\N	\N	\N
85237	286	1998-05-10	PRIJEM	VKLAD	23397	45964	\N	\N	\N
85238	286	1998-06-10	PRIJEM	VKLAD	35096	54593	\N	\N	\N
85239	286	1998-07-10	PRIJEM	VKLAD	23397	48036	\N	\N	\N
85240	286	1998-08-10	PRIJEM	VKLAD	23397	49791	\N	\N	\N
85241	286	1998-09-10	PRIJEM	VKLAD	23397	46133	\N	\N	\N
85242	286	1998-10-10	PRIJEM	VKLAD	23397	47172	\N	\N	\N
85243	286	1998-11-10	PRIJEM	VKLAD	23397	50019	\N	\N	\N
85244	286	1998-12-10	PRIJEM	VKLAD	35096	65981	\N	\N	\N
85252	286	1996-08-10	VYDAJ	PREVOD NA UCET	9848	54990	SIPO	ST	3664666
85253	286	1996-09-10	VYDAJ	PREVOD NA UCET	9848	55041	SIPO	ST	3664666
85254	286	1996-10-10	VYDAJ	PREVOD NA UCET	9848	52205	SIPO	ST	3664666
85255	286	1996-11-10	VYDAJ	PREVOD NA UCET	9848	52341	SIPO	ST	3664666
85256	286	1996-12-10	VYDAJ	PREVOD NA UCET	9848	64775	SIPO	ST	3664666
85257	286	1997-01-10	VYDAJ	PREVOD NA UCET	9848	58421	SIPO	ST	3664666
85258	286	1997-02-10	VYDAJ	PREVOD NA UCET	9848	51870	SIPO	ST	3664666
85259	286	1997-03-10	VYDAJ	PREVOD NA UCET	9848	49295	SIPO	ST	3664666
85260	286	1997-04-10	VYDAJ	PREVOD NA UCET	9848	45667	SIPO	ST	3664666
85261	286	1997-05-10	VYDAJ	PREVOD NA UCET	9848	43553	SIPO	ST	3664666
85262	286	1997-06-10	VYDAJ	PREVOD NA UCET	9848	55446	SIPO	ST	3664666
85263	286	1997-07-10	VYDAJ	PREVOD NA UCET	9848	48962	SIPO	ST	3664666
85264	286	1997-08-10	VYDAJ	PREVOD NA UCET	9848	47159	SIPO	ST	3664666
85265	286	1997-09-10	VYDAJ	PREVOD NA UCET	9848	41138	SIPO	ST	3664666
85266	286	1997-10-10	VYDAJ	PREVOD NA UCET	9848	36004	SIPO	ST	3664666
85267	286	1997-11-10	VYDAJ	PREVOD NA UCET	9848	35756	SIPO	ST	3664666
85268	286	1997-12-10	VYDAJ	PREVOD NA UCET	9848	48107	SIPO	ST	3664666
85269	286	1998-01-10	VYDAJ	PREVOD NA UCET	9848	32337	SIPO	ST	3664666
85270	286	1998-02-10	VYDAJ	PREVOD NA UCET	9848	36483	SIPO	ST	3664666
85271	286	1998-03-10	VYDAJ	PREVOD NA UCET	9848	34927	SIPO	ST	3664666
85272	286	1998-04-10	VYDAJ	PREVOD NA UCET	9848	35768	SIPO	ST	3664666
85273	286	1998-05-10	VYDAJ	PREVOD NA UCET	9848	36116	SIPO	ST	3664666
85274	286	1998-06-10	VYDAJ	PREVOD NA UCET	9848	44745	SIPO	ST	3664666
85275	286	1998-07-10	VYDAJ	PREVOD NA UCET	9848	38188	SIPO	ST	3664666
85276	286	1998-08-10	VYDAJ	PREVOD NA UCET	9848	39943	SIPO	ST	3664666
85277	286	1998-09-10	VYDAJ	PREVOD NA UCET	9848	36285	SIPO	ST	3664666
85278	286	1998-10-10	VYDAJ	PREVOD NA UCET	9848	37324	SIPO	ST	3664666
85279	286	1998-11-10	VYDAJ	PREVOD NA UCET	9848	40171	SIPO	ST	3664666
85280	286	1998-12-10	VYDAJ	PREVOD NA UCET	9848	56133	SIPO	ST	3664666
85285	286	1997-01-17	VYDAJ	VYBER	4480	53941	\N	\N	\N
85286	286	1998-01-06	VYDAJ	VYBER	5120	18788	\N	\N	\N
85287	286	1996-12-19	VYDAJ	VYBER KARTOU	1800	62975	\N	\N	0
85288	286	1997-12-18	VYDAJ	VYBER KARTOU	3500	23807	\N	\N	0
85289	286	1998-12-12	VYDAJ	VYBER KARTOU	1600	39433	\N	\N	0
85290	286	1996-09-22	VYDAJ	VYBER	4680	50361	\N	\N	\N
85293	286	1996-10-12	VYDAJ	VYBER	4080	48125	\N	\N	\N
85297	286	1997-12-11	VYDAJ	VYBER KARTOU	3700	44407	\N	\N	0
85298	286	1997-11-22	VYDAJ	VYBER KARTOU	2200	22756	\N	\N	0
85299	286	1997-03-20	VYDAJ	VYBER	5040	44255	\N	\N	\N
85300	286	1997-11-21	VYDAJ	VYBER KARTOU	800	24956	\N	\N	0
85301	286	1997-12-14	VYDAJ	VYBER KARTOU	3700	40707	\N	\N	0
85302	286	1998-04-08	VYDAJ	VYBER KARTOU	2200	22219	\N	\N	0
85303	286	1998-02-17	VYDAJ	VYBER KARTOU	3200	21283	\N	\N	0
85304	286	1998-12-14	VYDAJ	VYBER	5280	34153	\N	\N	\N
85305	286	1998-11-07	VYDAJ	VYBER KARTOU	1000	26622	\N	\N	0
85306	286	1998-05-14	VYDAJ	VYBER	4800	31316	\N	\N	\N
85315	286	1996-08-31	VYDAJ	VYBER	15	41492	SLUZBY	\N	\N
85316	286	1996-09-30	VYDAJ	VYBER	15	38656	SLUZBY	\N	\N
85317	286	1996-10-31	VYDAJ	VYBER	15	38792	SLUZBY	\N	\N
85318	286	1996-11-30	VYDAJ	VYBER	15	39527	SLUZBY	\N	\N
85319	286	1996-12-31	VYDAJ	VYBER	15	44872	SLUZBY	\N	\N
85320	286	1997-01-31	VYDAJ	VYBER	15	38321	SLUZBY	\N	\N
85321	286	1997-02-28	VYDAJ	VYBER	15	35746	SLUZBY	\N	\N
85322	286	1997-03-31	VYDAJ	VYBER	15	32118	SLUZBY	\N	\N
85323	286	1997-04-30	VYDAJ	VYBER	15	30004	SLUZBY	\N	\N
85324	286	1997-05-31	VYDAJ	VYBER	15	30198	SLUZBY	\N	\N
85325	286	1997-06-30	VYDAJ	VYBER	15	35413	SLUZBY	\N	\N
85326	286	1997-07-31	VYDAJ	VYBER	15	33610	SLUZBY	\N	\N
85327	286	1997-08-31	VYDAJ	VYBER	15	27589	SLUZBY	\N	\N
85328	286	1997-09-30	VYDAJ	VYBER	15	22455	SLUZBY	\N	\N
85329	286	1997-10-31	VYDAJ	VYBER	15	22207	SLUZBY	\N	\N
85330	286	1997-11-30	VYDAJ	VYBER	15	22859	SLUZBY	\N	\N
85331	286	1997-12-31	VYDAJ	VYBER	15	23908	SLUZBY	\N	\N
85332	286	1998-01-31	VYDAJ	VYBER	15	22934	SLUZBY	\N	\N
85333	286	1998-02-28	VYDAJ	VYBER	15	21378	SLUZBY	\N	\N
85334	286	1998-03-31	VYDAJ	VYBER	15	24419	SLUZBY	\N	\N
85335	286	1998-04-30	VYDAJ	VYBER	15	22567	SLUZBY	\N	\N
85336	286	1998-05-31	VYDAJ	VYBER	15	19497	SLUZBY	\N	\N
85337	286	1998-06-30	VYDAJ	VYBER	15	24639	SLUZBY	\N	\N
85338	286	1998-07-31	VYDAJ	VYBER	15	26394	SLUZBY	\N	\N
85339	286	1998-08-31	VYDAJ	VYBER	15	22736	SLUZBY	\N	\N
85340	286	1998-09-30	VYDAJ	VYBER	15	23775	SLUZBY	\N	\N
85341	286	1998-10-31	VYDAJ	VYBER	15	27622	SLUZBY	\N	\N
85342	286	1998-11-30	VYDAJ	VYBER	15	30885	SLUZBY	\N	\N
85343	286	1996-04-26	PRIJEM	VKLAD	1400	25097	\N	\N	\N
85344	286	1996-05-26	VYDAJ	VYBER	15500	33011	\N	\N	\N
85345	286	1996-06-25	VYDAJ	VYBER	24600	43618	\N	\N	\N
85346	286	1996-07-25	VYDAJ	VYBER	25900	41262	\N	\N	\N
85347	286	1996-08-24	VYDAJ	VYBER	13700	41290	\N	\N	\N
85348	286	1996-09-23	VYDAJ	VYBER	11900	38461	\N	\N	\N
85349	286	1996-10-23	VYDAJ	VYBER	9500	38625	\N	\N	\N
85350	286	1996-11-22	VYDAJ	VYBER	13000	39341	\N	\N	\N
85351	286	1996-12-22	VYDAJ	VYBER	18300	44675	\N	\N	\N
85352	286	1997-01-21	VYDAJ	VYBER	15800	38141	\N	\N	\N
85353	286	1997-02-20	VYDAJ	VYBER	16300	35570	\N	\N	\N
85354	286	1997-03-22	VYDAJ	VYBER	12300	31955	\N	\N	\N
85355	286	1997-04-21	VYDAJ	VYBER	15800	29867	\N	\N	\N
85356	286	1997-05-21	VYDAJ	VYBER	13500	30053	\N	\N	\N
85357	286	1997-06-20	VYDAJ	VYBER	20200	35246	\N	\N	\N
85358	286	1997-07-20	VYDAJ	VYBER	15500	33462	\N	\N	\N
85359	286	1997-08-19	VYDAJ	VYBER	19700	27459	\N	\N	\N
85360	286	1997-09-18	VYDAJ	VYBER	18800	22338	\N	\N	\N
85361	286	1997-10-18	VYDAJ	VYBER	13900	22104	\N	\N	\N
85362	286	1997-11-17	VYDAJ	VYBER	10000	25756	\N	\N	\N
85363	286	1997-12-17	VYDAJ	VYBER	13400	27307	\N	\N	\N
85364	286	1998-01-16	VYDAJ	VYBER	9500	22837	\N	\N	\N
85365	286	1998-02-15	VYDAJ	VYBER	12000	24483	\N	\N	\N
85366	286	1998-03-17	VYDAJ	VYBER	10600	24327	\N	\N	\N
85367	286	1998-04-16	VYDAJ	VYBER	13300	22468	\N	\N	\N
85368	286	1998-05-16	VYDAJ	VYBER	11900	19416	\N	\N	\N
85369	286	1998-06-15	VYDAJ	VYBER	20200	24545	\N	\N	\N
85370	286	1998-07-15	VYDAJ	VYBER	11900	26288	\N	\N	\N
85371	286	1998-08-14	VYDAJ	VYBER	17300	22643	\N	\N	\N
85372	286	1998-09-13	VYDAJ	VYBER	12600	23685	\N	\N	\N
85373	286	1998-10-13	VYDAJ	VYBER	9800	27524	\N	\N	\N
85374	286	1998-11-12	VYDAJ	VYBER	9400	30771	\N	\N	\N
85375	286	1998-12-12	VYDAJ	VYBER	15100	41033	\N	\N	\N
85409	287	1993-10-27	PRIJEM	VKLAD	600	600	\N	\N	\N
85420	287	1993-11-10	PRIJEM	PREVOD Z UCTU	4562	5162	DUCHOD	OP	36140710
85421	287	1993-12-10	PRIJEM	PREVOD Z UCTU	4562	9724	DUCHOD	OP	36140710
85422	287	1994-01-10	PRIJEM	PREVOD Z UCTU	4562	14286	DUCHOD	OP	36140710
85423	287	1994-02-10	PRIJEM	PREVOD Z UCTU	4562	18848	DUCHOD	OP	36140710
85424	287	1994-03-10	PRIJEM	PREVOD Z UCTU	4562	23410	DUCHOD	OP	36140710
85425	287	1994-04-10	PRIJEM	PREVOD Z UCTU	4562	24676	DUCHOD	OP	36140710
85426	287	1994-05-10	PRIJEM	PREVOD Z UCTU	4562	22807	DUCHOD	OP	36140710
85427	287	1994-06-10	PRIJEM	PREVOD Z UCTU	4562	25096	DUCHOD	OP	36140710
85428	287	1994-07-10	PRIJEM	PREVOD Z UCTU	4562	21076	DUCHOD	OP	36140710
85429	287	1994-08-10	PRIJEM	PREVOD Z UCTU	4562	23355	DUCHOD	OP	36140710
85430	287	1994-09-10	PRIJEM	PREVOD Z UCTU	4562	24642	DUCHOD	OP	36140710
85431	287	1994-10-10	PRIJEM	PREVOD Z UCTU	4562	25735	DUCHOD	OP	36140710
85432	287	1994-11-10	PRIJEM	PREVOD Z UCTU	4562	25629	DUCHOD	OP	36140710
85433	287	1994-12-10	PRIJEM	PREVOD Z UCTU	4562	27025	DUCHOD	OP	36140710
85434	287	1995-01-10	PRIJEM	PREVOD Z UCTU	4562	22596	DUCHOD	OP	36140710
85435	287	1995-02-10	PRIJEM	PREVOD Z UCTU	4562	18800	DUCHOD	OP	36140710
85436	287	1995-03-10	PRIJEM	PREVOD Z UCTU	4562	18584	DUCHOD	OP	36140710
85437	287	1995-04-10	PRIJEM	PREVOD Z UCTU	4562	20853	DUCHOD	OP	36140710
85438	287	1995-05-10	PRIJEM	PREVOD Z UCTU	4562	23131	DUCHOD	OP	36140710
85439	287	1995-06-10	PRIJEM	PREVOD Z UCTU	4562	20774	DUCHOD	OP	36140710
85440	287	1995-07-10	PRIJEM	PREVOD Z UCTU	4562	23052	DUCHOD	OP	36140710
85441	287	1995-08-10	PRIJEM	PREVOD Z UCTU	4562	25339	DUCHOD	OP	36140710
85442	287	1995-09-10	PRIJEM	PREVOD Z UCTU	4562	22473	DUCHOD	OP	36140710
85443	287	1995-10-10	PRIJEM	PREVOD Z UCTU	4562	23260	DUCHOD	OP	36140710
85444	287	1995-11-10	PRIJEM	PREVOD Z UCTU	4562	24746	DUCHOD	OP	36140710
85445	287	1995-12-10	PRIJEM	PREVOD Z UCTU	4562	25918	DUCHOD	OP	36140710
85446	287	1996-01-10	PRIJEM	PREVOD Z UCTU	4562	24150	DUCHOD	OP	36140710
85447	287	1996-02-10	PRIJEM	PREVOD Z UCTU	4562	19044	DUCHOD	OP	36140710
85448	287	1996-03-10	PRIJEM	PREVOD Z UCTU	4562	21314	DUCHOD	OP	36140710
85449	287	1996-04-10	PRIJEM	PREVOD Z UCTU	4562	23593	DUCHOD	OP	36140710
85450	287	1996-05-10	PRIJEM	PREVOD Z UCTU	4562	23002	DUCHOD	OP	36140710
85451	287	1996-06-10	PRIJEM	PREVOD Z UCTU	4562	22987	DUCHOD	OP	36140710
85452	287	1996-07-10	PRIJEM	PREVOD Z UCTU	4562	23369	DUCHOD	OP	36140710
85453	287	1996-08-10	PRIJEM	PREVOD Z UCTU	4562	25256	DUCHOD	OP	36140710
85454	287	1996-09-10	PRIJEM	PREVOD Z UCTU	4562	19239	DUCHOD	OP	36140710
85455	287	1996-10-10	PRIJEM	PREVOD Z UCTU	4562	21012	DUCHOD	OP	36140710
85456	287	1996-11-10	PRIJEM	PREVOD Z UCTU	4562	19981	DUCHOD	OP	36140710
85457	287	1996-12-10	PRIJEM	PREVOD Z UCTU	4562	20349	DUCHOD	OP	36140710
85458	287	1997-01-10	PRIJEM	PREVOD Z UCTU	4562	17009	DUCHOD	OP	36140710
85459	287	1997-02-10	PRIJEM	PREVOD Z UCTU	4562	18469	DUCHOD	OP	36140710
85460	287	1997-03-10	PRIJEM	PREVOD Z UCTU	4562	20736	DUCHOD	OP	36140710
85461	287	1997-04-10	PRIJEM	PREVOD Z UCTU	4562	17798	DUCHOD	OP	36140710
85462	287	1997-05-10	PRIJEM	PREVOD Z UCTU	4562	19022	DUCHOD	OP	36140710
85463	287	1997-06-10	PRIJEM	PREVOD Z UCTU	4562	16993	DUCHOD	OP	36140710
85464	287	1997-07-10	PRIJEM	PREVOD Z UCTU	4562	19160	DUCHOD	OP	36140710
85465	287	1997-08-10	PRIJEM	PREVOD Z UCTU	4562	19030	DUCHOD	OP	36140710
85466	287	1997-09-10	PRIJEM	PREVOD Z UCTU	4562	20019	DUCHOD	OP	36140710
85467	287	1997-10-10	PRIJEM	PREVOD Z UCTU	4562	22293	DUCHOD	OP	36140710
85468	287	1997-11-10	PRIJEM	PREVOD Z UCTU	4562	22334	DUCHOD	OP	36140710
85469	287	1997-12-10	PRIJEM	PREVOD Z UCTU	4562	24617	DUCHOD	OP	36140710
85470	287	1998-01-10	PRIJEM	PREVOD Z UCTU	4562	22888	DUCHOD	OP	36140710
85471	287	1998-02-10	PRIJEM	PREVOD Z UCTU	4562	19263	DUCHOD	OP	36140710
85472	287	1998-03-10	PRIJEM	PREVOD Z UCTU	4562	21533	DUCHOD	OP	36140710
85473	287	1998-04-10	PRIJEM	PREVOD Z UCTU	4562	20713	DUCHOD	OP	36140710
85474	287	1998-05-10	PRIJEM	PREVOD Z UCTU	4562	21593	DUCHOD	OP	36140710
85475	287	1998-06-10	PRIJEM	PREVOD Z UCTU	4562	21875	DUCHOD	OP	36140710
85476	287	1998-07-10	PRIJEM	PREVOD Z UCTU	4562	18558	DUCHOD	OP	36140710
85477	287	1998-08-10	PRIJEM	PREVOD Z UCTU	4562	20832	DUCHOD	OP	36140710
85478	287	1998-09-10	PRIJEM	PREVOD Z UCTU	4562	17709	DUCHOD	OP	36140710
85479	287	1998-10-10	PRIJEM	PREVOD Z UCTU	4562	19979	DUCHOD	OP	36140710
85480	287	1998-11-10	PRIJEM	PREVOD Z UCTU	4562	19751	DUCHOD	OP	36140710
85481	287	1998-12-10	PRIJEM	PREVOD Z UCTU	4562	17626	DUCHOD	OP	36140710
85496	287	1994-03-12	VYDAJ	PREVOD NA UCET	772	21066	SIPO	CD	57389086
85497	287	1994-04-12	VYDAJ	PREVOD NA UCET	772	22332	SIPO	CD	57389086
85498	287	1994-05-12	VYDAJ	PREVOD NA UCET	772	20463	SIPO	CD	57389086
85499	287	1994-06-12	VYDAJ	PREVOD NA UCET	772	16452	SIPO	CD	57389086
85500	287	1994-07-12	VYDAJ	PREVOD NA UCET	772	18732	SIPO	CD	57389086
85501	287	1994-08-12	VYDAJ	PREVOD NA UCET	772	21011	SIPO	CD	57389086
85502	287	1994-09-12	VYDAJ	PREVOD NA UCET	772	22298	SIPO	CD	57389086
85503	287	1994-10-12	VYDAJ	PREVOD NA UCET	772	23391	SIPO	CD	57389086
85504	287	1994-11-12	VYDAJ	PREVOD NA UCET	772	23285	SIPO	CD	57389086
85505	287	1994-12-12	VYDAJ	PREVOD NA UCET	772	24681	SIPO	CD	57389086
85506	287	1995-01-12	VYDAJ	PREVOD NA UCET	772	20252	SIPO	CD	57389086
85507	287	1995-02-12	VYDAJ	PREVOD NA UCET	772	16456	SIPO	CD	57389086
85508	287	1995-03-12	VYDAJ	PREVOD NA UCET	772	16240	SIPO	CD	57389086
85509	287	1995-04-12	VYDAJ	PREVOD NA UCET	772	18509	SIPO	CD	57389086
85510	287	1995-05-12	VYDAJ	PREVOD NA UCET	772	20787	SIPO	CD	57389086
85511	287	1995-06-12	VYDAJ	PREVOD NA UCET	772	18430	SIPO	CD	57389086
85512	287	1995-07-12	VYDAJ	PREVOD NA UCET	772	20708	SIPO	CD	57389086
85513	287	1995-08-12	VYDAJ	PREVOD NA UCET	772	22995	SIPO	CD	57389086
85514	287	1995-09-12	VYDAJ	PREVOD NA UCET	772	20129	SIPO	CD	57389086
85515	287	1995-10-12	VYDAJ	PREVOD NA UCET	772	20916	SIPO	CD	57389086
85516	287	1995-11-12	VYDAJ	PREVOD NA UCET	772	22402	SIPO	CD	57389086
85517	287	1995-12-12	VYDAJ	PREVOD NA UCET	772	23574	SIPO	CD	57389086
85518	287	1996-01-12	VYDAJ	PREVOD NA UCET	772	21006	SIPO	CD	57389086
85519	287	1996-02-12	VYDAJ	PREVOD NA UCET	772	16700	SIPO	CD	57389086
85520	287	1996-03-12	VYDAJ	PREVOD NA UCET	772	18970	SIPO	CD	57389086
85521	287	1996-04-12	VYDAJ	PREVOD NA UCET	772	21249	SIPO	CD	57389086
85522	287	1996-05-12	VYDAJ	PREVOD NA UCET	772	20658	SIPO	CD	57389086
85523	287	1996-06-12	VYDAJ	PREVOD NA UCET	772	20643	SIPO	CD	57389086
85524	287	1996-07-12	VYDAJ	PREVOD NA UCET	772	21025	SIPO	CD	57389086
85525	287	1996-08-12	VYDAJ	PREVOD NA UCET	772	22912	SIPO	CD	57389086
85526	287	1996-09-12	VYDAJ	PREVOD NA UCET	772	16395	SIPO	CD	57389086
85527	287	1996-10-12	VYDAJ	PREVOD NA UCET	772	15368	SIPO	CD	57389086
85528	287	1996-11-12	VYDAJ	PREVOD NA UCET	772	15737	SIPO	CD	57389086
85529	287	1996-12-12	VYDAJ	PREVOD NA UCET	772	12405	SIPO	CD	57389086
85530	287	1997-01-12	VYDAJ	PREVOD NA UCET	772	13865	SIPO	CD	57389086
85531	287	1997-02-12	VYDAJ	PREVOD NA UCET	772	16125	SIPO	CD	57389086
85532	287	1997-03-12	VYDAJ	PREVOD NA UCET	772	13192	SIPO	CD	57389086
85533	287	1997-04-12	VYDAJ	PREVOD NA UCET	772	15454	SIPO	CD	57389086
85534	287	1997-05-12	VYDAJ	PREVOD NA UCET	772	16678	SIPO	CD	57389086
85535	287	1997-06-12	VYDAJ	PREVOD NA UCET	772	14649	SIPO	CD	57389086
85536	287	1997-07-12	VYDAJ	PREVOD NA UCET	772	16816	SIPO	CD	57389086
85537	287	1997-08-12	VYDAJ	PREVOD NA UCET	772	16686	SIPO	CD	57389086
85538	287	1997-09-12	VYDAJ	PREVOD NA UCET	772	17675	SIPO	CD	57389086
85539	287	1997-10-12	VYDAJ	PREVOD NA UCET	772	19949	SIPO	CD	57389086
85540	287	1997-11-12	VYDAJ	PREVOD NA UCET	772	19990	SIPO	CD	57389086
85541	287	1997-12-12	VYDAJ	PREVOD NA UCET	772	22273	SIPO	CD	57389086
85542	287	1998-01-12	VYDAJ	PREVOD NA UCET	772	20544	SIPO	CD	57389086
85543	287	1998-02-12	VYDAJ	PREVOD NA UCET	772	16919	SIPO	CD	57389086
85544	287	1998-03-12	VYDAJ	PREVOD NA UCET	772	19189	SIPO	CD	57389086
85545	287	1998-04-12	VYDAJ	PREVOD NA UCET	772	18369	SIPO	CD	57389086
85546	287	1998-05-12	VYDAJ	PREVOD NA UCET	772	19249	SIPO	CD	57389086
85547	287	1998-06-12	VYDAJ	PREVOD NA UCET	772	19531	SIPO	CD	57389086
85548	287	1998-07-12	VYDAJ	PREVOD NA UCET	772	16214	SIPO	CD	57389086
85549	287	1998-08-12	VYDAJ	PREVOD NA UCET	772	18488	SIPO	CD	57389086
85550	287	1998-09-12	VYDAJ	PREVOD NA UCET	772	15365	SIPO	CD	57389086
85551	287	1998-10-12	VYDAJ	PREVOD NA UCET	772	17635	SIPO	CD	57389086
85552	287	1998-11-12	VYDAJ	PREVOD NA UCET	772	17407	SIPO	CD	57389086
85553	287	1998-12-12	VYDAJ	PREVOD NA UCET	772	15282	SIPO	CD	57389086
85568	287	1994-03-10	VYDAJ	PREVOD NA UCET	1572	21838	 	EF	36382317
85569	287	1994-04-10	VYDAJ	PREVOD NA UCET	1572	23104	 	EF	36382317
85570	287	1994-05-10	VYDAJ	PREVOD NA UCET	1572	21235	 	EF	36382317
85571	287	1994-06-10	VYDAJ	PREVOD NA UCET	1572	17224	 	EF	36382317
85572	287	1994-07-10	VYDAJ	PREVOD NA UCET	1572	19504	 	EF	36382317
85573	287	1994-08-10	VYDAJ	PREVOD NA UCET	1572	21783	 	EF	36382317
85574	287	1994-09-10	VYDAJ	PREVOD NA UCET	1572	23070	 	EF	36382317
85575	287	1994-10-10	VYDAJ	PREVOD NA UCET	1572	24163	 	EF	36382317
85576	287	1994-11-10	VYDAJ	PREVOD NA UCET	1572	24057	 	EF	36382317
85577	287	1994-12-10	VYDAJ	PREVOD NA UCET	1572	25453	 	EF	36382317
85578	287	1995-01-10	VYDAJ	PREVOD NA UCET	1572	21024	 	EF	36382317
85579	287	1995-02-10	VYDAJ	PREVOD NA UCET	1572	17228	 	EF	36382317
85580	287	1995-03-10	VYDAJ	PREVOD NA UCET	1572	17012	 	EF	36382317
85581	287	1995-04-10	VYDAJ	PREVOD NA UCET	1572	19281	 	EF	36382317
85582	287	1995-05-10	VYDAJ	PREVOD NA UCET	1572	21559	 	EF	36382317
85583	287	1995-06-10	VYDAJ	PREVOD NA UCET	1572	19202	 	EF	36382317
85584	287	1995-07-10	VYDAJ	PREVOD NA UCET	1572	21480	 	EF	36382317
85585	287	1995-08-10	VYDAJ	PREVOD NA UCET	1572	23767	 	EF	36382317
85586	287	1995-09-10	VYDAJ	PREVOD NA UCET	1572	20901	 	EF	36382317
85587	287	1995-10-10	VYDAJ	PREVOD NA UCET	1572	21688	 	EF	36382317
85588	287	1995-11-10	VYDAJ	PREVOD NA UCET	1572	23174	 	EF	36382317
85589	287	1995-12-10	VYDAJ	PREVOD NA UCET	1572	24346	 	EF	36382317
85590	287	1996-01-10	VYDAJ	PREVOD NA UCET	1572	22578	 	EF	36382317
85591	287	1996-02-10	VYDAJ	PREVOD NA UCET	1572	17472	 	EF	36382317
85592	287	1996-03-10	VYDAJ	PREVOD NA UCET	1572	19742	 	EF	36382317
85593	287	1996-04-10	VYDAJ	PREVOD NA UCET	1572	22021	 	EF	36382317
85594	287	1996-05-10	VYDAJ	PREVOD NA UCET	1572	21430	 	EF	36382317
85595	287	1996-06-10	VYDAJ	PREVOD NA UCET	1572	21415	 	EF	36382317
85596	287	1996-07-10	VYDAJ	PREVOD NA UCET	1572	21797	 	EF	36382317
85597	287	1996-08-10	VYDAJ	PREVOD NA UCET	1572	23684	 	EF	36382317
85598	287	1996-09-10	VYDAJ	PREVOD NA UCET	1572	17667	 	EF	36382317
85599	287	1996-10-10	VYDAJ	PREVOD NA UCET	1572	19440	 	EF	36382317
85600	287	1996-11-10	VYDAJ	PREVOD NA UCET	1572	16509	 	EF	36382317
85601	287	1996-12-10	VYDAJ	PREVOD NA UCET	1572	18777	 	EF	36382317
85602	287	1997-01-10	VYDAJ	PREVOD NA UCET	1572	15437	 	EF	36382317
85603	287	1997-02-10	VYDAJ	PREVOD NA UCET	1572	16897	 	EF	36382317
85604	287	1997-03-10	VYDAJ	PREVOD NA UCET	1572	13964	 	EF	36382317
85605	287	1997-04-10	VYDAJ	PREVOD NA UCET	1572	16226	 	EF	36382317
85606	287	1997-05-10	VYDAJ	PREVOD NA UCET	1572	17450	 	EF	36382317
85607	287	1997-06-10	VYDAJ	PREVOD NA UCET	1572	15421	 	EF	36382317
85608	287	1997-07-10	VYDAJ	PREVOD NA UCET	1572	17588	 	EF	36382317
85609	287	1997-08-10	VYDAJ	PREVOD NA UCET	1572	17458	 	EF	36382317
85610	287	1997-09-10	VYDAJ	PREVOD NA UCET	1572	18447	 	EF	36382317
85611	287	1997-10-10	VYDAJ	PREVOD NA UCET	1572	20721	 	EF	36382317
85612	287	1997-11-10	VYDAJ	PREVOD NA UCET	1572	20762	 	EF	36382317
85613	287	1997-12-10	VYDAJ	PREVOD NA UCET	1572	23045	 	EF	36382317
85614	287	1998-01-10	VYDAJ	PREVOD NA UCET	1572	21316	 	EF	36382317
85615	287	1998-02-10	VYDAJ	PREVOD NA UCET	1572	17691	 	EF	36382317
85616	287	1998-03-10	VYDAJ	PREVOD NA UCET	1572	19961	 	EF	36382317
85617	287	1998-04-10	VYDAJ	PREVOD NA UCET	1572	19141	 	EF	36382317
85618	287	1998-05-10	VYDAJ	PREVOD NA UCET	1572	20021	 	EF	36382317
85619	287	1998-06-10	VYDAJ	PREVOD NA UCET	1572	20303	 	EF	36382317
85620	287	1998-07-10	VYDAJ	PREVOD NA UCET	1572	16986	 	EF	36382317
85621	287	1998-08-10	VYDAJ	PREVOD NA UCET	1572	19260	 	EF	36382317
85622	287	1998-09-10	VYDAJ	PREVOD NA UCET	1572	16137	 	EF	36382317
85623	287	1998-10-10	VYDAJ	PREVOD NA UCET	1572	18407	 	EF	36382317
85624	287	1998-11-10	VYDAJ	PREVOD NA UCET	1572	18179	 	EF	36382317
85625	287	1998-12-10	VYDAJ	PREVOD NA UCET	1572	16054	 	EF	36382317
85627	287	1994-06-10	VYDAJ	VYBER	6300	18796	\N	\N	\N
85634	287	1995-01-06	VYDAJ	VYBER	3950	18514	\N	\N	\N
85635	287	1996-01-22	VYDAJ	VYBER	1950	19056	\N	\N	\N
85650	287	1995-01-08	VYDAJ	VYBER	480	18034	\N	\N	\N
85651	287	1995-01-13	VYDAJ	VYBER	1120	19132	\N	\N	\N
85652	287	1995-01-24	VYDAJ	VYBER	1760	17372	\N	\N	\N
85653	287	1995-01-30	VYDAJ	VYBER	480	14172	\N	\N	\N
85654	287	1995-01-29	VYDAJ	VYBER	1680	15692	\N	\N	\N
85655	287	1995-01-29	VYDAJ	VYBER	1040	14652	\N	\N	\N
85656	287	1996-01-23	VYDAJ	VYBER	1360	17696	\N	\N	\N
85657	287	1996-01-03	VYDAJ	VYBER	960	19588	\N	\N	\N
85658	287	1996-01-10	VYDAJ	VYBER	800	21778	\N	\N	\N
85659	287	1996-01-23	VYDAJ	VYBER	1840	15856	\N	\N	\N
85660	287	1996-01-26	VYDAJ	VYBER	1440	14416	\N	\N	\N
85667	287	1997-01-11	VYDAJ	VYBER	800	14637	\N	\N	\N
85670	287	1998-01-15	VYDAJ	VYBER	1440	15664	\N	\N	\N
85672	287	1998-01-03	VYDAJ	VYBER	1360	18826	\N	\N	\N
85673	287	1998-01-29	VYDAJ	VYBER	720	14944	\N	\N	\N
85680	287	1994-10-17	VYDAJ	VYBER	2400	20991	\N	\N	\N
85682	287	1994-05-07	VYDAJ	VYBER	2240	18245	\N	\N	\N
85683	287	1994-04-20	VYDAJ	VYBER	1920	20412	\N	\N	\N
85685	287	1995-05-19	VYDAJ	VYBER	1920	18867	\N	\N	\N
85686	287	1995-05-29	VYDAJ	VYBER	2720	16147	\N	\N	\N
85687	287	1995-09-09	VYDAJ	VYBER	3760	17911	\N	\N	\N
85688	287	1995-11-20	VYDAJ	VYBER	1120	21282	\N	\N	\N
85690	287	1995-02-15	VYDAJ	VYBER	2480	13976	\N	\N	\N
85691	287	1996-09-05	VYDAJ	VYBER	3200	14677	\N	\N	\N
85692	287	1996-05-08	VYDAJ	VYBER	2880	18440	\N	\N	\N
85696	287	1997-05-08	VYDAJ	VYBER	1040	14460	\N	\N	\N
85698	287	1997-10-26	VYDAJ	VYBER	2240	17709	\N	\N	\N
85699	287	1997-12-28	VYDAJ	VYBER	2160	20113	\N	\N	\N
85701	287	1997-08-16	VYDAJ	VYBER	1280	15406	\N	\N	\N
85702	287	1998-01-14	VYDAJ	VYBER	3440	17104	\N	\N	\N
85723	287	1994-03-31	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
85724	287	1994-04-30	VYDAJ	VYBER	15	20485	SLUZBY	\N	\N
85725	287	1994-05-31	VYDAJ	VYBER	15	20534	SLUZBY	\N	\N
85726	287	1994-06-30	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
85727	287	1994-07-31	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
85728	287	1994-08-31	VYDAJ	VYBER	15	20080	SLUZBY	\N	\N
85729	287	1994-09-30	VYDAJ	VYBER	15	21173	SLUZBY	\N	\N
85730	287	1994-10-31	VYDAJ	VYBER	15	21067	SLUZBY	\N	\N
85731	287	1994-11-30	VYDAJ	VYBER	15	22463	SLUZBY	\N	\N
85732	287	1994-12-31	VYDAJ	VYBER	15	22464	SLUZBY	\N	\N
85733	287	1995-01-31	VYDAJ	VYBER	15	14238	SLUZBY	\N	\N
85734	287	1995-02-28	VYDAJ	VYBER	15	14022	SLUZBY	\N	\N
85735	287	1995-03-31	VYDAJ	VYBER	15	16291	SLUZBY	\N	\N
85736	287	1995-04-30	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
85737	287	1995-05-31	VYDAJ	VYBER	15	16212	SLUZBY	\N	\N
85738	287	1995-06-30	VYDAJ	VYBER	15	18490	SLUZBY	\N	\N
85739	287	1995-07-31	VYDAJ	VYBER	15	20777	SLUZBY	\N	\N
85740	287	1995-08-31	VYDAJ	VYBER	15	21671	SLUZBY	\N	\N
85741	287	1995-09-30	VYDAJ	VYBER	15	18698	SLUZBY	\N	\N
85742	287	1995-10-31	VYDAJ	VYBER	15	20184	SLUZBY	\N	\N
85743	287	1995-11-30	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
85744	287	1995-12-31	VYDAJ	VYBER	15	20548	SLUZBY	\N	\N
85745	287	1996-01-31	VYDAJ	VYBER	15	14482	SLUZBY	\N	\N
85746	287	1996-02-29	VYDAJ	VYBER	15	16752	SLUZBY	\N	\N
85747	287	1996-03-31	VYDAJ	VYBER	15	19031	SLUZBY	\N	\N
85748	287	1996-04-30	VYDAJ	VYBER	15	21320	SLUZBY	\N	\N
85749	287	1996-05-31	VYDAJ	VYBER	15	18425	SLUZBY	\N	\N
85750	287	1996-06-30	VYDAJ	VYBER	15	18807	SLUZBY	\N	\N
85751	287	1996-07-31	VYDAJ	VYBER	15	20694	SLUZBY	\N	\N
85752	287	1996-08-31	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
85753	287	1996-09-30	VYDAJ	VYBER	15	16450	SLUZBY	\N	\N
85754	287	1996-10-31	VYDAJ	VYBER	15	15419	SLUZBY	\N	\N
85755	287	1996-11-30	VYDAJ	VYBER	15	15787	SLUZBY	\N	\N
85756	287	1996-12-31	VYDAJ	VYBER	15	12447	SLUZBY	\N	\N
85757	287	1997-01-31	VYDAJ	VYBER	15	13907	SLUZBY	\N	\N
85758	287	1997-02-28	VYDAJ	VYBER	15	16174	SLUZBY	\N	\N
85759	287	1997-03-31	VYDAJ	VYBER	15	13236	SLUZBY	\N	\N
85760	287	1997-04-30	VYDAJ	VYBER	15	15500	SLUZBY	\N	\N
85761	287	1997-05-31	VYDAJ	VYBER	15	16731	SLUZBY	\N	\N
85762	287	1997-06-30	VYDAJ	VYBER	15	14698	SLUZBY	\N	\N
85763	287	1997-07-31	VYDAJ	VYBER	15	16868	SLUZBY	\N	\N
85764	287	1997-08-31	VYDAJ	VYBER	15	15457	SLUZBY	\N	\N
85765	287	1997-09-30	VYDAJ	VYBER	15	17731	SLUZBY	\N	\N
85766	287	1997-10-31	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
85767	287	1997-11-30	VYDAJ	VYBER	15	20055	SLUZBY	\N	\N
85768	287	1997-12-31	VYDAJ	VYBER	15	20186	SLUZBY	\N	\N
85769	287	1998-01-31	VYDAJ	VYBER	15	15001	SLUZBY	\N	\N
85770	287	1998-02-28	VYDAJ	VYBER	15	16971	SLUZBY	\N	\N
85771	287	1998-03-31	VYDAJ	VYBER	15	19251	SLUZBY	\N	\N
85772	287	1998-04-30	VYDAJ	VYBER	15	18431	SLUZBY	\N	\N
85773	287	1998-05-31	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
85774	287	1998-06-30	VYDAJ	VYBER	15	19596	SLUZBY	\N	\N
85775	287	1998-07-31	VYDAJ	VYBER	15	16270	SLUZBY	\N	\N
85776	287	1998-08-31	VYDAJ	VYBER	15	18547	SLUZBY	\N	\N
85777	287	1998-09-30	VYDAJ	VYBER	15	15417	SLUZBY	\N	\N
85778	287	1998-10-31	VYDAJ	VYBER	15	17689	SLUZBY	\N	\N
85779	287	1998-11-30	VYDAJ	VYBER	15	17464	SLUZBY	\N	\N
85780	287	1994-03-26	VYDAJ	VYBER	1000	20066	\N	\N	\N
85781	287	1994-08-23	VYDAJ	VYBER	1000	20011	\N	\N	\N
85782	287	1994-09-22	VYDAJ	VYBER	1200	21098	\N	\N	\N
85783	287	1994-11-21	VYDAJ	VYBER	900	22385	\N	\N	\N
85784	287	1994-12-21	VYDAJ	VYBER	2300	22381	\N	\N	\N
85785	287	1995-08-18	VYDAJ	VYBER	1400	21595	\N	\N	\N
85786	287	1995-09-17	VYDAJ	VYBER	1500	18629	\N	\N	\N
85787	287	1995-10-17	VYDAJ	VYBER	800	20116	\N	\N	\N
85788	287	1995-12-16	VYDAJ	VYBER	3100	20474	\N	\N	\N
85789	287	1996-05-14	VYDAJ	VYBER	2300	18358	\N	\N	\N
85790	287	1996-06-13	VYDAJ	VYBER	1900	18743	\N	\N	\N
85791	287	1996-07-13	VYDAJ	VYBER	400	20625	\N	\N	\N
85792	287	1996-08-12	VYDAJ	VYBER	5100	17812	\N	\N	\N
85793	287	1996-09-11	VYDAJ	VYBER	500	17167	\N	\N	\N
85794	287	1996-10-11	VYDAJ	VYBER	3300	16140	\N	\N	\N
85795	287	1996-11-10	VYDAJ	VYBER	1900	18081	\N	\N	\N
85796	287	1996-12-10	VYDAJ	VYBER	5600	13177	\N	\N	\N
85797	287	1997-03-10	VYDAJ	VYBER	5200	15536	\N	\N	\N
85798	287	1997-06-08	VYDAJ	VYBER	4300	12431	\N	\N	\N
85799	287	1997-07-08	VYDAJ	VYBER	100	14598	\N	\N	\N
85800	287	1997-08-07	VYDAJ	VYBER	2400	14468	\N	\N	\N
85801	287	1998-01-04	VYDAJ	VYBER	500	18326	\N	\N	\N
85802	287	1998-02-03	VYDAJ	VYBER	300	14701	\N	\N	\N
85803	287	1998-04-04	VYDAJ	VYBER	3100	16151	\N	\N	\N
85804	287	1998-05-04	VYDAJ	VYBER	1400	17031	\N	\N	\N
85805	287	1998-06-03	VYDAJ	VYBER	2000	17313	\N	\N	\N
85806	287	1998-07-03	VYDAJ	VYBER	5600	13996	\N	\N	\N
85807	287	1998-09-01	VYDAJ	VYBER	5400	13147	\N	\N	\N
85808	287	1998-10-31	VYDAJ	VYBER	2500	15189	\N	\N	\N
85809	287	1998-11-30	VYDAJ	VYBER	4400	13064	\N	\N	\N
85868	288	1995-03-18	PRIJEM	VKLAD	900	900	\N	\N	\N
85872	288	1995-04-07	PRIJEM	PREVOD Z UCTU	5315	6215	DUCHOD	GH	29289990
85873	288	1995-05-07	PRIJEM	PREVOD Z UCTU	5315	11530	DUCHOD	GH	29289990
85874	288	1995-06-07	PRIJEM	PREVOD Z UCTU	5315	16845	DUCHOD	GH	29289990
85875	288	1995-07-07	PRIJEM	PREVOD Z UCTU	5315	22160	DUCHOD	GH	29289990
85876	288	1995-08-07	PRIJEM	PREVOD Z UCTU	5315	27475	DUCHOD	GH	29289990
85877	288	1995-09-07	PRIJEM	PREVOD Z UCTU	5315	28487	DUCHOD	GH	29289990
85878	288	1995-10-07	PRIJEM	PREVOD Z UCTU	5315	26822	DUCHOD	GH	29289990
85879	288	1995-11-07	PRIJEM	PREVOD Z UCTU	5315	28756	DUCHOD	GH	29289990
85880	288	1995-12-07	PRIJEM	PREVOD Z UCTU	5315	25955	DUCHOD	GH	29289990
85881	288	1996-01-07	PRIJEM	PREVOD Z UCTU	5315	26045	DUCHOD	GH	29289990
85882	288	1996-02-07	PRIJEM	PREVOD Z UCTU	5315	20264	DUCHOD	GH	29289990
85883	288	1996-03-07	PRIJEM	PREVOD Z UCTU	5315	22168	DUCHOD	GH	29289990
85884	288	1996-04-07	PRIJEM	PREVOD Z UCTU	5315	22959	DUCHOD	GH	29289990
85885	288	1996-05-07	PRIJEM	PREVOD Z UCTU	5315	21024	DUCHOD	GH	29289990
85886	288	1996-06-07	PRIJEM	PREVOD Z UCTU	5315	22450	DUCHOD	GH	29289990
85887	288	1996-07-07	PRIJEM	PREVOD Z UCTU	5315	24364	DUCHOD	GH	29289990
85888	288	1996-08-07	PRIJEM	PREVOD Z UCTU	5315	26285	DUCHOD	GH	29289990
85889	288	1996-09-07	PRIJEM	PREVOD Z UCTU	5315	28215	DUCHOD	GH	29289990
85890	288	1996-10-07	PRIJEM	PREVOD Z UCTU	5315	29431	DUCHOD	GH	29289990
85891	288	1996-11-07	PRIJEM	PREVOD Z UCTU	5315	30270	DUCHOD	GH	29289990
85892	288	1996-12-07	PRIJEM	PREVOD Z UCTU	5315	30009	DUCHOD	GH	29289990
85893	288	1997-01-07	PRIJEM	PREVOD Z UCTU	5315	28360	DUCHOD	GH	29289990
85894	288	1997-02-07	PRIJEM	PREVOD Z UCTU	5315	19238	DUCHOD	GH	29289990
85895	288	1997-03-07	PRIJEM	PREVOD Z UCTU	5315	21138	DUCHOD	GH	29289990
85896	288	1997-04-07	PRIJEM	PREVOD Z UCTU	5315	23046	DUCHOD	GH	29289990
85897	288	1997-05-07	PRIJEM	PREVOD Z UCTU	5315	24962	DUCHOD	GH	29289990
85898	288	1997-06-07	PRIJEM	PREVOD Z UCTU	5315	26886	DUCHOD	GH	29289990
85899	288	1997-07-07	PRIJEM	PREVOD Z UCTU	5315	28818	DUCHOD	GH	29289990
85900	288	1997-08-07	PRIJEM	PREVOD Z UCTU	5315	30758	DUCHOD	GH	29289990
85901	288	1997-09-07	PRIJEM	PREVOD Z UCTU	5315	32706	DUCHOD	GH	29289990
85902	288	1997-10-07	PRIJEM	PREVOD Z UCTU	5315	34662	DUCHOD	GH	29289990
85903	288	1997-11-07	PRIJEM	PREVOD Z UCTU	5315	36626	DUCHOD	GH	29289990
85904	288	1997-12-07	PRIJEM	PREVOD Z UCTU	5315	37478	DUCHOD	GH	29289990
85905	288	1998-01-07	PRIJEM	PREVOD Z UCTU	5315	34285	DUCHOD	GH	29289990
85906	288	1998-02-07	PRIJEM	PREVOD Z UCTU	5315	26358	DUCHOD	GH	29289990
85907	288	1998-03-07	PRIJEM	PREVOD Z UCTU	5315	28290	DUCHOD	GH	29289990
85908	288	1998-04-07	PRIJEM	PREVOD Z UCTU	5315	30227	DUCHOD	GH	29289990
85909	288	1998-05-07	PRIJEM	PREVOD Z UCTU	5315	28249	DUCHOD	GH	29289990
85910	288	1998-06-07	PRIJEM	PREVOD Z UCTU	5315	25213	DUCHOD	GH	29289990
85911	288	1998-07-07	PRIJEM	PREVOD Z UCTU	5315	27138	DUCHOD	GH	29289990
85912	288	1998-08-07	PRIJEM	PREVOD Z UCTU	5315	29070	DUCHOD	GH	29289990
85913	288	1998-09-07	PRIJEM	PREVOD Z UCTU	5315	31011	DUCHOD	GH	29289990
85914	288	1998-10-07	PRIJEM	PREVOD Z UCTU	5315	32959	DUCHOD	GH	29289990
85915	288	1998-11-07	PRIJEM	PREVOD Z UCTU	5315	34916	DUCHOD	GH	29289990
85916	288	1998-12-07	PRIJEM	PREVOD Z UCTU	5315	33514	DUCHOD	GH	29289990
85924	288	1995-08-08	VYDAJ	PREVOD NA UCET	3257	24218	SIPO	WX	29425543
85925	288	1995-09-08	VYDAJ	PREVOD NA UCET	3257	25230	SIPO	WX	29425543
85926	288	1995-10-08	VYDAJ	PREVOD NA UCET	3257	23565	SIPO	WX	29425543
85927	288	1995-11-08	VYDAJ	PREVOD NA UCET	3257	25499	SIPO	WX	29425543
85928	288	1995-12-08	VYDAJ	PREVOD NA UCET	3257	22698	SIPO	WX	29425543
85929	288	1996-01-08	VYDAJ	PREVOD NA UCET	3257	22788	SIPO	WX	29425543
85930	288	1996-02-08	VYDAJ	PREVOD NA UCET	3257	17007	SIPO	WX	29425543
85931	288	1996-03-08	VYDAJ	PREVOD NA UCET	3257	18911	SIPO	WX	29425543
85932	288	1996-04-08	VYDAJ	PREVOD NA UCET	3257	19702	SIPO	WX	29425543
85933	288	1996-05-08	VYDAJ	PREVOD NA UCET	3257	17767	SIPO	WX	29425543
85934	288	1996-06-08	VYDAJ	PREVOD NA UCET	3257	19193	SIPO	WX	29425543
85935	288	1996-07-08	VYDAJ	PREVOD NA UCET	3257	21107	SIPO	WX	29425543
85936	288	1996-08-08	VYDAJ	PREVOD NA UCET	3257	23028	SIPO	WX	29425543
85937	288	1996-09-08	VYDAJ	PREVOD NA UCET	3257	24958	SIPO	WX	29425543
85938	288	1996-10-08	VYDAJ	PREVOD NA UCET	3257	25074	SIPO	WX	29425543
85939	288	1996-11-08	VYDAJ	PREVOD NA UCET	3257	24813	SIPO	WX	29425543
85940	288	1996-12-08	VYDAJ	PREVOD NA UCET	3257	26752	SIPO	WX	29425543
85941	288	1997-01-08	VYDAJ	PREVOD NA UCET	3257	21743	SIPO	WX	29425543
85942	288	1997-02-08	VYDAJ	PREVOD NA UCET	3257	15981	SIPO	WX	29425543
85943	288	1997-03-08	VYDAJ	PREVOD NA UCET	3257	17881	SIPO	WX	29425543
85944	288	1997-04-08	VYDAJ	PREVOD NA UCET	3257	19789	SIPO	WX	29425543
85945	288	1997-05-08	VYDAJ	PREVOD NA UCET	3257	21705	SIPO	WX	29425543
85946	288	1997-06-08	VYDAJ	PREVOD NA UCET	3257	23629	SIPO	WX	29425543
85947	288	1997-07-08	VYDAJ	PREVOD NA UCET	3257	25561	SIPO	WX	29425543
85948	288	1997-08-08	VYDAJ	PREVOD NA UCET	3257	27501	SIPO	WX	29425543
85949	288	1997-09-08	VYDAJ	PREVOD NA UCET	3257	29449	SIPO	WX	29425543
85950	288	1997-10-08	VYDAJ	PREVOD NA UCET	3257	31405	SIPO	WX	29425543
85951	288	1997-11-08	VYDAJ	PREVOD NA UCET	3257	33369	SIPO	WX	29425543
85952	288	1997-12-08	VYDAJ	PREVOD NA UCET	3257	34221	SIPO	WX	29425543
85953	288	1998-01-08	VYDAJ	PREVOD NA UCET	3257	31028	SIPO	WX	29425543
85954	288	1998-02-08	VYDAJ	PREVOD NA UCET	3257	23101	SIPO	WX	29425543
85955	288	1998-03-08	VYDAJ	PREVOD NA UCET	3257	25033	SIPO	WX	29425543
85956	288	1998-04-08	VYDAJ	PREVOD NA UCET	3257	26970	SIPO	WX	29425543
85957	288	1998-05-08	VYDAJ	PREVOD NA UCET	3257	24992	SIPO	WX	29425543
85958	288	1998-06-08	VYDAJ	PREVOD NA UCET	3257	21956	SIPO	WX	29425543
85959	288	1998-07-08	VYDAJ	PREVOD NA UCET	3257	23881	SIPO	WX	29425543
85960	288	1998-08-08	VYDAJ	PREVOD NA UCET	3257	25813	SIPO	WX	29425543
85961	288	1998-09-08	VYDAJ	PREVOD NA UCET	3257	27754	SIPO	WX	29425543
85962	288	1998-10-08	VYDAJ	PREVOD NA UCET	3257	29702	SIPO	WX	29425543
85963	288	1998-11-08	VYDAJ	PREVOD NA UCET	3257	31659	SIPO	WX	29425543
85964	288	1998-12-08	VYDAJ	PREVOD NA UCET	3257	30257	SIPO	WX	29425543
85972	288	1995-08-11	VYDAJ	PREVOD NA UCET	207	24011	 	QR	97550320
85973	288	1995-09-11	VYDAJ	PREVOD NA UCET	207	25023	 	QR	97550320
85974	288	1995-10-11	VYDAJ	PREVOD NA UCET	207	23358	 	QR	97550320
85975	288	1995-11-11	VYDAJ	PREVOD NA UCET	207	25292	 	QR	97550320
85976	288	1995-12-11	VYDAJ	PREVOD NA UCET	207	22491	 	QR	97550320
85977	288	1996-01-11	VYDAJ	PREVOD NA UCET	207	21781	 	QR	97550320
85978	288	1996-02-11	VYDAJ	PREVOD NA UCET	207	16800	 	QR	97550320
85979	288	1996-03-11	VYDAJ	PREVOD NA UCET	207	18704	 	QR	97550320
85980	288	1996-04-11	VYDAJ	PREVOD NA UCET	207	15655	 	QR	97550320
85981	288	1996-05-11	VYDAJ	PREVOD NA UCET	207	17080	 	QR	97550320
85982	288	1996-06-11	VYDAJ	PREVOD NA UCET	207	18986	 	QR	97550320
85983	288	1996-07-11	VYDAJ	PREVOD NA UCET	207	20900	 	QR	97550320
85984	288	1996-08-11	VYDAJ	PREVOD NA UCET	207	22821	 	QR	97550320
85985	288	1996-09-11	VYDAJ	PREVOD NA UCET	207	24031	 	QR	97550320
85986	288	1996-10-11	VYDAJ	PREVOD NA UCET	207	24867	 	QR	97550320
85987	288	1996-11-11	VYDAJ	PREVOD NA UCET	207	24606	 	QR	97550320
85988	288	1996-12-11	VYDAJ	PREVOD NA UCET	207	25195	 	QR	97550320
85989	288	1997-01-11	VYDAJ	PREVOD NA UCET	207	21536	 	QR	97550320
85990	288	1997-02-11	VYDAJ	PREVOD NA UCET	207	15774	 	QR	97550320
85991	288	1997-03-11	VYDAJ	PREVOD NA UCET	207	17674	 	QR	97550320
85992	288	1997-04-11	VYDAJ	PREVOD NA UCET	207	19582	 	QR	97550320
85993	288	1997-05-11	VYDAJ	PREVOD NA UCET	207	21498	 	QR	97550320
85994	288	1997-06-11	VYDAJ	PREVOD NA UCET	207	23422	 	QR	97550320
85995	288	1997-07-11	VYDAJ	PREVOD NA UCET	207	25354	 	QR	97550320
85996	288	1997-08-11	VYDAJ	PREVOD NA UCET	207	27294	 	QR	97550320
85997	288	1997-09-11	VYDAJ	PREVOD NA UCET	207	29242	 	QR	97550320
85998	288	1997-10-11	VYDAJ	PREVOD NA UCET	207	31198	 	QR	97550320
85999	288	1997-11-11	VYDAJ	PREVOD NA UCET	207	33162	 	QR	97550320
86000	288	1997-12-11	VYDAJ	PREVOD NA UCET	207	34014	 	QR	97550320
86001	288	1998-01-11	VYDAJ	PREVOD NA UCET	207	30821	 	QR	97550320
86002	288	1998-02-11	VYDAJ	PREVOD NA UCET	207	22894	 	QR	97550320
86003	288	1998-03-11	VYDAJ	PREVOD NA UCET	207	24826	 	QR	97550320
86004	288	1998-04-11	VYDAJ	PREVOD NA UCET	207	26763	 	QR	97550320
86005	288	1998-05-11	VYDAJ	PREVOD NA UCET	207	20945	 	QR	97550320
86006	288	1998-06-11	VYDAJ	PREVOD NA UCET	207	21749	 	QR	97550320
86007	288	1998-07-11	VYDAJ	PREVOD NA UCET	207	23674	 	QR	97550320
86008	288	1998-08-11	VYDAJ	PREVOD NA UCET	207	25606	 	QR	97550320
86009	288	1998-09-11	VYDAJ	PREVOD NA UCET	207	27547	 	QR	97550320
86010	288	1998-10-11	VYDAJ	PREVOD NA UCET	207	29495	 	QR	97550320
86011	288	1998-11-11	VYDAJ	PREVOD NA UCET	207	31452	 	QR	97550320
86012	288	1998-12-11	VYDAJ	PREVOD NA UCET	207	26210	 	QR	97550320
86018	288	1996-01-09	VYDAJ	VYBER	800	21988	\N	\N	\N
86020	288	1998-01-20	VYDAJ	VYBER	4600	23421	\N	\N	\N
86021	288	1995-12-04	VYDAJ	VYBER	900	20640	\N	\N	\N
86022	288	1996-12-10	VYDAJ	VYBER	1350	25402	\N	\N	\N
86023	288	1997-12-28	VYDAJ	VYBER	450	33564	\N	\N	\N
86024	288	1998-12-13	VYDAJ	VYBER	900	25310	\N	\N	\N
86031	288	1996-01-03	VYDAJ	VYBER	1840	20730	\N	\N	\N
86032	288	1996-01-30	VYDAJ	VYBER	1600	14881	\N	\N	\N
86033	288	1996-01-17	VYDAJ	VYBER	1600	18961	\N	\N	\N
86034	288	1996-01-20	VYDAJ	VYBER	960	18001	\N	\N	\N
86035	288	1996-01-25	VYDAJ	VYBER	1520	16481	\N	\N	\N
86036	288	1996-01-12	VYDAJ	VYBER	1120	20661	\N	\N	\N
86037	288	1997-01-07	VYDAJ	VYBER	2320	26040	\N	\N	\N
86038	288	1997-01-16	VYDAJ	VYBER	1600	19936	\N	\N	\N
86039	288	1997-01-27	VYDAJ	VYBER	720	13856	\N	\N	\N
86040	288	1997-01-21	VYDAJ	VYBER	1920	14576	\N	\N	\N
86041	288	1997-01-02	VYDAJ	VYBER	2240	23045	\N	\N	\N
86042	288	1997-01-08	VYDAJ	VYBER	1040	25000	\N	\N	\N
86043	288	1998-01-18	VYDAJ	VYBER	1760	29061	\N	\N	\N
86044	288	1998-01-04	VYDAJ	VYBER	1520	31050	\N	\N	\N
86045	288	1998-01-01	VYDAJ	VYBER	1120	32570	\N	\N	\N
86046	288	1998-01-21	VYDAJ	VYBER	480	22941	\N	\N	\N
86047	288	1998-01-20	VYDAJ	VYBER	1040	28021	\N	\N	\N
86048	288	1998-01-04	VYDAJ	VYBER	2080	28970	\N	\N	\N
86049	288	1995-10-03	VYDAJ	VYBER	1760	21507	\N	\N	\N
86050	288	1995-11-11	VYDAJ	VYBER	3840	21452	\N	\N	\N
86052	288	1995-09-14	VYDAJ	VYBER	1840	23183	\N	\N	\N
86054	288	1996-09-09	VYDAJ	VYBER	720	24238	\N	\N	\N
86055	288	1996-05-08	VYDAJ	VYBER	480	17287	\N	\N	\N
86056	288	1996-04-10	VYDAJ	VYBER	3840	15862	\N	\N	\N
86057	288	1996-03-20	VYDAJ	VYBER	1120	17584	\N	\N	\N
86058	288	1997-12-05	VYDAJ	VYBER	1120	32163	\N	\N	\N
86059	288	1997-01-19	VYDAJ	VYBER	3440	16496	\N	\N	\N
86060	288	1998-04-22	VYDAJ	VYBER	2960	23803	\N	\N	\N
86061	288	1998-05-20	VYDAJ	VYBER	1120	19825	\N	\N	\N
86062	288	1998-12-10	VYDAJ	VYBER	3840	26417	\N	\N	\N
86063	288	1998-05-11	VYDAJ	VYBER	3840	21152	\N	\N	\N
86064	288	1998-04-26	VYDAJ	VYBER	960	22843	\N	\N	\N
86065	288	1998-02-06	VYDAJ	VYBER	2000	21043	\N	\N	\N
86066	288	1998-11-17	VYDAJ	VYBER	3360	28092	\N	\N	\N
86075	288	1995-08-31	VYDAJ	VYBER	15	23172	SLUZBY	\N	\N
86076	288	1995-09-30	VYDAJ	VYBER	15	23267	SLUZBY	\N	\N
86077	288	1995-10-31	VYDAJ	VYBER	15	23441	SLUZBY	\N	\N
86078	288	1995-11-30	VYDAJ	VYBER	15	21540	SLUZBY	\N	\N
86079	288	1995-12-31	VYDAJ	VYBER	15	22570	SLUZBY	\N	\N
86080	288	1996-01-31	VYDAJ	VYBER	15	14949	SLUZBY	\N	\N
86081	288	1996-02-29	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
86082	288	1996-03-31	VYDAJ	VYBER	15	17644	SLUZBY	\N	\N
86083	288	1996-04-30	VYDAJ	VYBER	15	15709	SLUZBY	\N	\N
86084	288	1996-05-31	VYDAJ	VYBER	15	17135	SLUZBY	\N	\N
86085	288	1996-06-30	VYDAJ	VYBER	15	19049	SLUZBY	\N	\N
86086	288	1996-07-31	VYDAJ	VYBER	15	20970	SLUZBY	\N	\N
86087	288	1996-08-31	VYDAJ	VYBER	15	22900	SLUZBY	\N	\N
86088	288	1996-09-30	VYDAJ	VYBER	15	24116	SLUZBY	\N	\N
86089	288	1996-10-31	VYDAJ	VYBER	15	24955	SLUZBY	\N	\N
86090	288	1996-11-30	VYDAJ	VYBER	15	24694	SLUZBY	\N	\N
86091	288	1996-12-31	VYDAJ	VYBER	15	25285	SLUZBY	\N	\N
86092	288	1997-01-31	VYDAJ	VYBER	15	13923	SLUZBY	\N	\N
86093	288	1997-02-28	VYDAJ	VYBER	15	15823	SLUZBY	\N	\N
86094	288	1997-03-31	VYDAJ	VYBER	15	17731	SLUZBY	\N	\N
86095	288	1997-04-30	VYDAJ	VYBER	15	19647	SLUZBY	\N	\N
86096	288	1997-05-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
86097	288	1997-06-30	VYDAJ	VYBER	15	23503	SLUZBY	\N	\N
86098	288	1997-07-31	VYDAJ	VYBER	15	25443	SLUZBY	\N	\N
86099	288	1997-08-31	VYDAJ	VYBER	15	27391	SLUZBY	\N	\N
86100	288	1997-09-30	VYDAJ	VYBER	15	29347	SLUZBY	\N	\N
86101	288	1997-10-31	VYDAJ	VYBER	15	31311	SLUZBY	\N	\N
86102	288	1997-11-30	VYDAJ	VYBER	15	33283	SLUZBY	\N	\N
86103	288	1997-12-31	VYDAJ	VYBER	15	33690	SLUZBY	\N	\N
86104	288	1998-01-31	VYDAJ	VYBER	15	23043	SLUZBY	\N	\N
86105	288	1998-02-28	VYDAJ	VYBER	15	22975	SLUZBY	\N	\N
86106	288	1998-03-31	VYDAJ	VYBER	15	24912	SLUZBY	\N	\N
86107	288	1998-04-30	VYDAJ	VYBER	15	22934	SLUZBY	\N	\N
86108	288	1998-05-31	VYDAJ	VYBER	15	19898	SLUZBY	\N	\N
86109	288	1998-06-30	VYDAJ	VYBER	15	21823	SLUZBY	\N	\N
86110	288	1998-07-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
86111	288	1998-08-31	VYDAJ	VYBER	15	25696	SLUZBY	\N	\N
86112	288	1998-09-30	VYDAJ	VYBER	15	27644	SLUZBY	\N	\N
86113	288	1998-10-31	VYDAJ	VYBER	15	29601	SLUZBY	\N	\N
86114	288	1998-11-30	VYDAJ	VYBER	15	28199	SLUZBY	\N	\N
86115	288	1995-08-15	VYDAJ	VYBER	900	23111	\N	\N	\N
86116	288	1996-01-12	VYDAJ	VYBER	100	20561	\N	\N	\N
86117	288	1996-10-08	VYDAJ	VYBER	1100	28331	\N	\N	\N
86118	288	1996-11-07	VYDAJ	VYBER	2200	28070	\N	\N	\N
86160	289	1994-03-17	PRIJEM	VKLAD	300	300	\N	\N	\N
86164	289	1994-04-08	PRIJEM	VKLAD	17448	17748	\N	\N	\N
86165	289	1994-05-08	PRIJEM	VKLAD	17448	36636	\N	\N	\N
86166	289	1994-06-08	PRIJEM	VKLAD	26172	59017	\N	\N	\N
86167	289	1994-07-08	PRIJEM	VKLAD	17448	59221	\N	\N	\N
86168	289	1994-08-08	PRIJEM	VKLAD	17448	60746	\N	\N	\N
86169	289	1994-09-08	PRIJEM	VKLAD	17448	54292	\N	\N	\N
86170	289	1994-10-08	PRIJEM	VKLAD	17448	52225	\N	\N	\N
86171	289	1994-11-08	PRIJEM	VKLAD	17448	51653	\N	\N	\N
86172	289	1994-12-08	PRIJEM	VKLAD	26172	57700	\N	\N	\N
86173	289	1995-01-08	PRIJEM	VKLAD	17448	46125	\N	\N	\N
86174	289	1995-02-08	PRIJEM	VKLAD	17448	41421	\N	\N	\N
86175	289	1995-03-08	PRIJEM	VKLAD	17448	40700	\N	\N	\N
86176	289	1995-04-08	PRIJEM	VKLAD	17448	44190	\N	\N	\N
86177	289	1995-05-08	PRIJEM	VKLAD	17448	45489	\N	\N	\N
86178	289	1995-06-08	PRIJEM	VKLAD	26172	59828	\N	\N	\N
86179	289	1995-07-08	PRIJEM	VKLAD	17448	55665	\N	\N	\N
86180	289	1995-08-08	PRIJEM	VKLAD	17448	56808	\N	\N	\N
86181	289	1995-09-08	PRIJEM	VKLAD	17448	52644	\N	\N	\N
86182	289	1995-10-08	PRIJEM	VKLAD	17448	46857	\N	\N	\N
86183	289	1995-11-08	PRIJEM	VKLAD	17448	48561	\N	\N	\N
86184	289	1995-12-08	PRIJEM	VKLAD	26172	62521	\N	\N	\N
86185	289	1996-01-08	PRIJEM	VKLAD	17448	56407	\N	\N	\N
86186	289	1996-02-08	PRIJEM	VKLAD	17448	52266	\N	\N	\N
86187	289	1996-03-08	PRIJEM	VKLAD	17448	52914	\N	\N	\N
86188	289	1996-04-08	PRIJEM	VKLAD	17448	53068	\N	\N	\N
86189	289	1996-05-08	PRIJEM	VKLAD	17448	53926	\N	\N	\N
86190	289	1996-06-08	PRIJEM	VKLAD	26172	61913	\N	\N	\N
86191	289	1996-07-08	PRIJEM	VKLAD	17448	55696	\N	\N	\N
86192	289	1996-08-08	PRIJEM	VKLAD	17448	54569	\N	\N	\N
86193	289	1996-09-08	PRIJEM	VKLAD	17448	47529	\N	\N	\N
86194	289	1996-10-08	PRIJEM	VKLAD	17448	49568	\N	\N	\N
86195	289	1996-11-08	PRIJEM	VKLAD	17448	50512	\N	\N	\N
86196	289	1996-12-08	PRIJEM	VKLAD	26172	60484	\N	\N	\N
86197	289	1997-01-08	PRIJEM	VKLAD	17448	53860	\N	\N	\N
86198	289	1997-02-08	PRIJEM	VKLAD	17448	46110	\N	\N	\N
86199	289	1997-03-08	PRIJEM	VKLAD	17448	46335	\N	\N	\N
86200	289	1997-04-08	PRIJEM	VKLAD	17448	47065	\N	\N	\N
86201	289	1997-05-08	PRIJEM	VKLAD	17448	44794	\N	\N	\N
86202	289	1997-06-08	PRIJEM	VKLAD	26172	54341	\N	\N	\N
86203	289	1997-07-08	PRIJEM	VKLAD	17448	48689	\N	\N	\N
86204	289	1997-08-08	PRIJEM	VKLAD	17448	49522	\N	\N	\N
86205	289	1997-09-08	PRIJEM	VKLAD	17448	50558	\N	\N	\N
86206	289	1997-10-08	PRIJEM	VKLAD	17448	53998	\N	\N	\N
86207	289	1997-11-08	PRIJEM	VKLAD	17448	53150	\N	\N	\N
86208	289	1997-12-08	PRIJEM	VKLAD	26172	60221	\N	\N	\N
86209	289	1998-01-08	PRIJEM	VKLAD	17448	52884	\N	\N	\N
86210	289	1998-02-08	PRIJEM	VKLAD	17448	46513	\N	\N	\N
86211	289	1998-03-08	PRIJEM	VKLAD	17448	48234	\N	\N	\N
86212	289	1998-04-08	PRIJEM	VKLAD	17448	50662	\N	\N	\N
86213	289	1998-05-08	PRIJEM	VKLAD	17448	52599	\N	\N	\N
86214	289	1998-06-08	PRIJEM	VKLAD	26172	60766	\N	\N	\N
86215	289	1998-07-08	PRIJEM	VKLAD	17448	56033	\N	\N	\N
86216	289	1998-08-08	PRIJEM	VKLAD	17448	50788	\N	\N	\N
86217	289	1998-09-08	PRIJEM	VKLAD	17448	49420	\N	\N	\N
86218	289	1998-10-08	PRIJEM	VKLAD	17448	51950	\N	\N	\N
86219	289	1998-11-08	PRIJEM	VKLAD	17448	55590	\N	\N	\N
86220	289	1998-12-08	PRIJEM	VKLAD	26172	69171	\N	\N	\N
86228	289	1994-08-09	VYDAJ	PREVOD NA UCET	5745	55001	SIPO	AB	78823619
86229	289	1994-09-09	VYDAJ	PREVOD NA UCET	5745	48547	SIPO	AB	78823619
86230	289	1994-10-09	VYDAJ	PREVOD NA UCET	5745	46480	SIPO	AB	78823619
86231	289	1994-11-09	VYDAJ	PREVOD NA UCET	5745	45908	SIPO	AB	78823619
86232	289	1994-12-09	VYDAJ	PREVOD NA UCET	5745	51955	SIPO	AB	78823619
86233	289	1995-01-09	VYDAJ	PREVOD NA UCET	5745	37680	SIPO	AB	78823619
86234	289	1995-02-09	VYDAJ	PREVOD NA UCET	5745	35676	SIPO	AB	78823619
86235	289	1995-03-09	VYDAJ	PREVOD NA UCET	5745	34955	SIPO	AB	78823619
86236	289	1995-04-09	VYDAJ	PREVOD NA UCET	5745	38445	SIPO	AB	78823619
86237	289	1995-05-09	VYDAJ	PREVOD NA UCET	5745	39744	SIPO	AB	78823619
86238	289	1995-06-09	VYDAJ	PREVOD NA UCET	5745	54083	SIPO	AB	78823619
86239	289	1995-07-09	VYDAJ	PREVOD NA UCET	5745	49920	SIPO	AB	78823619
86240	289	1995-08-09	VYDAJ	PREVOD NA UCET	5745	51063	SIPO	AB	78823619
86241	289	1995-09-09	VYDAJ	PREVOD NA UCET	5745	33999	SIPO	AB	78823619
86242	289	1995-10-09	VYDAJ	PREVOD NA UCET	5745	32712	SIPO	AB	78823619
86243	289	1995-11-09	VYDAJ	PREVOD NA UCET	5745	42816	SIPO	AB	78823619
86244	289	1995-12-09	VYDAJ	PREVOD NA UCET	5745	56776	SIPO	AB	78823619
86245	289	1996-01-09	VYDAJ	PREVOD NA UCET	5745	47762	SIPO	AB	78823619
86246	289	1996-02-09	VYDAJ	PREVOD NA UCET	5745	46521	SIPO	AB	78823619
86247	289	1996-03-09	VYDAJ	PREVOD NA UCET	5745	47169	SIPO	AB	78823619
86248	289	1996-04-09	VYDAJ	PREVOD NA UCET	5745	47323	SIPO	AB	78823619
86249	289	1996-05-09	VYDAJ	PREVOD NA UCET	5745	48181	SIPO	AB	78823619
86250	289	1996-06-09	VYDAJ	PREVOD NA UCET	5745	56168	SIPO	AB	78823619
86251	289	1996-07-09	VYDAJ	PREVOD NA UCET	5745	49951	SIPO	AB	78823619
86252	289	1996-08-09	VYDAJ	PREVOD NA UCET	5745	48824	SIPO	AB	78823619
86253	289	1996-09-09	VYDAJ	PREVOD NA UCET	5745	41784	SIPO	AB	78823619
86254	289	1996-10-09	VYDAJ	PREVOD NA UCET	5745	43823	SIPO	AB	78823619
86255	289	1996-11-09	VYDAJ	PREVOD NA UCET	5745	44767	SIPO	AB	78823619
86256	289	1996-12-09	VYDAJ	PREVOD NA UCET	5745	54739	SIPO	AB	78823619
86257	289	1997-01-09	VYDAJ	PREVOD NA UCET	5745	47015	SIPO	AB	78823619
86258	289	1997-02-09	VYDAJ	PREVOD NA UCET	5745	40365	SIPO	AB	78823619
86259	289	1997-03-09	VYDAJ	PREVOD NA UCET	5745	40590	SIPO	AB	78823619
86260	289	1997-04-09	VYDAJ	PREVOD NA UCET	5745	41320	SIPO	AB	78823619
86261	289	1997-05-09	VYDAJ	PREVOD NA UCET	5745	39049	SIPO	AB	78823619
86262	289	1997-06-09	VYDAJ	PREVOD NA UCET	5745	48596	SIPO	AB	78823619
86263	289	1997-07-09	VYDAJ	PREVOD NA UCET	5745	42944	SIPO	AB	78823619
86264	289	1997-08-09	VYDAJ	PREVOD NA UCET	5745	43777	SIPO	AB	78823619
86265	289	1997-09-09	VYDAJ	PREVOD NA UCET	5745	44813	SIPO	AB	78823619
86266	289	1997-10-09	VYDAJ	PREVOD NA UCET	5745	48253	SIPO	AB	78823619
86267	289	1997-11-09	VYDAJ	PREVOD NA UCET	5745	47405	SIPO	AB	78823619
86268	289	1997-12-09	VYDAJ	PREVOD NA UCET	5745	54476	SIPO	AB	78823619
86269	289	1998-01-09	VYDAJ	PREVOD NA UCET	5745	47139	SIPO	AB	78823619
86270	289	1998-02-09	VYDAJ	PREVOD NA UCET	5745	40768	SIPO	AB	78823619
86271	289	1998-03-09	VYDAJ	PREVOD NA UCET	5745	42489	SIPO	AB	78823619
86272	289	1998-04-09	VYDAJ	PREVOD NA UCET	5745	44917	SIPO	AB	78823619
86273	289	1998-05-09	VYDAJ	PREVOD NA UCET	5745	46854	SIPO	AB	78823619
86274	289	1998-06-09	VYDAJ	PREVOD NA UCET	5745	55021	SIPO	AB	78823619
86275	289	1998-07-09	VYDAJ	PREVOD NA UCET	5745	50288	SIPO	AB	78823619
86276	289	1998-08-09	VYDAJ	PREVOD NA UCET	5745	45043	SIPO	AB	78823619
86277	289	1998-09-09	VYDAJ	PREVOD NA UCET	5745	43675	SIPO	AB	78823619
86278	289	1998-10-09	VYDAJ	PREVOD NA UCET	5745	46205	SIPO	AB	78823619
86279	289	1998-11-09	VYDAJ	PREVOD NA UCET	5745	49845	SIPO	AB	78823619
86280	289	1998-12-09	VYDAJ	PREVOD NA UCET	5745	63426	SIPO	AB	78823619
86289	289	1994-09-05	VYDAJ	PREVOD NA UCET	2621	36844	 	OP	72798836
86290	289	1994-10-05	VYDAJ	PREVOD NA UCET	2621	34777	 	OP	72798836
86291	289	1994-11-05	VYDAJ	PREVOD NA UCET	2621	34205	 	OP	72798836
86292	289	1994-12-05	VYDAJ	PREVOD NA UCET	2621	31528	 	OP	72798836
86293	289	1995-01-05	VYDAJ	PREVOD NA UCET	2621	30177	 	OP	72798836
86294	289	1995-02-05	VYDAJ	PREVOD NA UCET	2621	23973	 	OP	72798836
86295	289	1995-03-05	VYDAJ	PREVOD NA UCET	2621	23252	 	OP	72798836
86296	289	1995-04-05	VYDAJ	PREVOD NA UCET	2621	26742	 	OP	72798836
86297	289	1995-05-05	VYDAJ	PREVOD NA UCET	2621	28041	 	OP	72798836
86298	289	1995-06-05	VYDAJ	PREVOD NA UCET	2621	33656	 	OP	72798836
86299	289	1995-07-05	VYDAJ	PREVOD NA UCET	2621	38217	 	OP	72798836
86300	289	1995-08-05	VYDAJ	PREVOD NA UCET	2621	39360	 	OP	72798836
86301	289	1995-09-05	VYDAJ	PREVOD NA UCET	2621	35196	 	OP	72798836
86302	289	1995-10-05	VYDAJ	PREVOD NA UCET	2621	29409	 	OP	72798836
86303	289	1995-11-05	VYDAJ	PREVOD NA UCET	2621	30213	 	OP	72798836
86304	289	1995-12-05	VYDAJ	PREVOD NA UCET	2621	40349	 	OP	72798836
86305	289	1996-01-05	VYDAJ	PREVOD NA UCET	2621	51059	 	OP	72798836
86306	289	1996-02-05	VYDAJ	PREVOD NA UCET	2621	34818	 	OP	72798836
86307	289	1996-03-05	VYDAJ	PREVOD NA UCET	2621	40966	 	OP	72798836
86308	289	1996-04-05	VYDAJ	PREVOD NA UCET	2621	35620	 	OP	72798836
86309	289	1996-05-05	VYDAJ	PREVOD NA UCET	2621	36478	 	OP	72798836
86310	289	1996-06-05	VYDAJ	PREVOD NA UCET	2621	35741	 	OP	72798836
86311	289	1996-07-05	VYDAJ	PREVOD NA UCET	2621	38248	 	OP	72798836
86312	289	1996-08-05	VYDAJ	PREVOD NA UCET	2621	37121	 	OP	72798836
86313	289	1996-09-05	VYDAJ	PREVOD NA UCET	2621	30081	 	OP	72798836
86314	289	1996-10-05	VYDAJ	PREVOD NA UCET	2621	32120	 	OP	72798836
86315	289	1996-11-05	VYDAJ	PREVOD NA UCET	2621	33064	 	OP	72798836
86316	289	1996-12-05	VYDAJ	PREVOD NA UCET	2621	34312	 	OP	72798836
86317	289	1997-01-05	VYDAJ	PREVOD NA UCET	2621	37412	 	OP	72798836
86318	289	1997-02-05	VYDAJ	PREVOD NA UCET	2621	28662	 	OP	72798836
86319	289	1997-03-05	VYDAJ	PREVOD NA UCET	2621	28887	 	OP	72798836
86320	289	1997-04-05	VYDAJ	PREVOD NA UCET	2621	29617	 	OP	72798836
86321	289	1997-05-05	VYDAJ	PREVOD NA UCET	2621	27346	 	OP	72798836
86322	289	1997-06-05	VYDAJ	PREVOD NA UCET	2621	28169	 	OP	72798836
86323	289	1997-07-05	VYDAJ	PREVOD NA UCET	2621	31241	 	OP	72798836
86324	289	1997-08-05	VYDAJ	PREVOD NA UCET	2621	32074	 	OP	72798836
86325	289	1997-09-05	VYDAJ	PREVOD NA UCET	2621	33110	 	OP	72798836
86326	289	1997-10-05	VYDAJ	PREVOD NA UCET	2621	36550	 	OP	72798836
86327	289	1997-11-05	VYDAJ	PREVOD NA UCET	2621	35702	 	OP	72798836
86328	289	1997-12-05	VYDAJ	PREVOD NA UCET	2621	34049	 	OP	72798836
86329	289	1998-01-05	VYDAJ	PREVOD NA UCET	2621	35436	 	OP	72798836
86330	289	1998-02-05	VYDAJ	PREVOD NA UCET	2621	29065	 	OP	72798836
86331	289	1998-03-05	VYDAJ	PREVOD NA UCET	2621	30786	 	OP	72798836
86332	289	1998-04-05	VYDAJ	PREVOD NA UCET	2621	33214	 	OP	72798836
86333	289	1998-05-05	VYDAJ	PREVOD NA UCET	2621	35151	 	OP	72798836
86334	289	1998-06-05	VYDAJ	PREVOD NA UCET	2621	34594	 	OP	72798836
86335	289	1998-07-05	VYDAJ	PREVOD NA UCET	2621	38585	 	OP	72798836
86336	289	1998-08-05	VYDAJ	PREVOD NA UCET	2621	33340	 	OP	72798836
86337	289	1998-09-05	VYDAJ	PREVOD NA UCET	2621	31972	 	OP	72798836
86338	289	1998-10-05	VYDAJ	PREVOD NA UCET	2621	34502	 	OP	72798836
86339	289	1998-11-05	VYDAJ	PREVOD NA UCET	2621	38142	 	OP	72798836
86340	289	1998-12-05	VYDAJ	PREVOD NA UCET	2621	42999	 	OP	72798836
86341	289	1994-12-04	VYDAJ	VYBER	1200	34149	\N	\N	\N
86342	289	1995-12-15	VYDAJ	VYBER	2000	54776	\N	\N	\N
86343	289	1996-12-13	VYDAJ	VYBER	1100	53639	\N	\N	\N
86344	289	1997-12-26	VYDAJ	VYBER	1600	37876	\N	\N	\N
86345	289	1998-12-25	VYDAJ	VYBER	2100	46826	\N	\N	\N
86352	289	1995-01-26	VYDAJ	VYBER	700	27180	\N	\N	\N
86353	289	1995-01-06	VYDAJ	VYBER	1500	28677	\N	\N	\N
86354	289	1995-01-02	VYDAJ	VYBER	1800	34498	\N	\N	\N
86355	289	1995-01-03	VYDAJ	VYBER	1700	32798	\N	\N	\N
86356	289	1995-01-24	VYDAJ	VYBER	2500	27880	\N	\N	\N
86357	289	1995-01-09	VYDAJ	VYBER	2700	43425	\N	\N	\N
86358	289	1996-01-11	VYDAJ	VYBER	700	47062	\N	\N	\N
86359	289	1996-01-04	VYDAJ	VYBER	1300	53680	\N	\N	\N
86360	289	1996-01-18	VYDAJ	VYBER	2200	43762	\N	\N	\N
86361	289	1996-01-29	VYDAJ	VYBER	2300	41462	\N	\N	\N
86362	289	1996-01-29	VYDAJ	VYBER	1500	39962	\N	\N	\N
86363	289	1996-01-17	VYDAJ	VYBER	1100	45962	\N	\N	\N
86364	289	1997-01-24	VYDAJ	VYBER	700	42315	\N	\N	\N
86365	289	1997-01-12	VYDAJ	VYBER	2000	45015	\N	\N	\N
86366	289	1997-01-23	VYDAJ	VYBER	1500	43015	\N	\N	\N
86367	289	1997-01-07	VYDAJ	VYBER	1000	36412	\N	\N	\N
86368	289	1997-01-20	VYDAJ	VYBER	500	44515	\N	\N	\N
86369	289	1997-01-04	VYDAJ	VYBER	1000	40033	\N	\N	\N
86370	289	1998-01-16	VYDAJ	VYBER	2800	42639	\N	\N	\N
86371	289	1998-01-15	VYDAJ	VYBER	1000	45439	\N	\N	\N
86372	289	1998-01-23	VYDAJ	VYBER	2700	36439	\N	\N	\N
86373	289	1998-01-16	VYDAJ	VYBER	2000	40639	\N	\N	\N
86374	289	1998-01-19	VYDAJ	VYBER	1500	39139	\N	\N	\N
86375	289	1998-01-24	VYDAJ	VYBER	2900	33539	\N	\N	\N
86381	289	1995-08-29	VYDAJ	VYBER	2100	37663	\N	\N	\N
86382	289	1995-01-30	VYDAJ	VYBER	700	26480	\N	\N	\N
86383	289	1995-02-10	VYDAJ	VYBER	4000	31676	\N	\N	\N
86384	289	1995-03-10	VYDAJ	VYBER	2000	32955	\N	\N	\N
86385	289	1995-04-15	VYDAJ	VYBER	2900	30545	\N	\N	\N
86386	289	1995-09-30	VYDAJ	VYBER	2100	32045	\N	\N	\N
86387	289	1996-02-15	VYDAJ	VYBER	3100	43421	\N	\N	\N
86388	289	1996-01-08	VYDAJ	VYBER	2900	53507	\N	\N	\N
86389	289	1996-03-27	VYDAJ	VYBER	3800	42769	\N	\N	\N
86390	289	1996-03-18	VYDAJ	VYBER	600	46569	\N	\N	\N
86391	289	1996-06-12	VYDAJ	VYBER	2200	53968	\N	\N	\N
86392	289	1996-08-10	VYDAJ	VYBER	2300	46524	\N	\N	\N
86393	289	1996-12-23	VYDAJ	VYBER	2100	51539	\N	\N	\N
86394	289	1997-05-29	VYDAJ	VYBER	3200	34149	\N	\N	\N
86395	289	1997-04-11	VYDAJ	VYBER	600	40720	\N	\N	\N
86396	289	1997-01-08	VYDAJ	VYBER	1100	52760	\N	\N	\N
86397	289	1997-05-11	VYDAJ	VYBER	1700	37349	\N	\N	\N
86398	289	1998-04-24	VYDAJ	VYBER	2600	42317	\N	\N	\N
86399	289	1998-07-25	VYDAJ	VYBER	1600	39388	\N	\N	\N
86400	289	1998-01-14	VYDAJ	VYBER	700	46439	\N	\N	\N
86401	289	1998-07-01	VYDAJ	VYBER	4100	41206	\N	\N	\N
86402	289	1998-08-01	VYDAJ	VYBER	3600	35961	\N	\N	\N
86411	289	1994-08-31	VYDAJ	VYBER	15	39465	SLUZBY	\N	\N
86412	289	1994-09-30	VYDAJ	VYBER	15	37398	SLUZBY	\N	\N
86413	289	1994-10-31	VYDAJ	VYBER	15	36826	SLUZBY	\N	\N
86414	289	1994-11-30	VYDAJ	VYBER	15	35349	SLUZBY	\N	\N
86415	289	1994-12-31	VYDAJ	VYBER	15	36298	SLUZBY	\N	\N
86416	289	1995-01-31	VYDAJ	VYBER	15	26594	SLUZBY	\N	\N
86417	289	1995-02-28	VYDAJ	VYBER	15	25873	SLUZBY	\N	\N
86418	289	1995-03-31	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
86419	289	1995-04-30	VYDAJ	VYBER	15	30662	SLUZBY	\N	\N
86420	289	1995-05-31	VYDAJ	VYBER	15	36277	SLUZBY	\N	\N
86421	289	1995-06-30	VYDAJ	VYBER	15	40838	SLUZBY	\N	\N
86422	289	1995-07-31	VYDAJ	VYBER	15	41981	SLUZBY	\N	\N
86423	289	1995-08-31	VYDAJ	VYBER	15	37817	SLUZBY	\N	\N
86424	289	1995-09-30	VYDAJ	VYBER	15	32030	SLUZBY	\N	\N
86425	289	1995-10-31	VYDAJ	VYBER	15	32834	SLUZBY	\N	\N
86426	289	1995-11-30	VYDAJ	VYBER	15	42970	SLUZBY	\N	\N
86427	289	1995-12-31	VYDAJ	VYBER	15	54980	SLUZBY	\N	\N
86428	289	1996-01-31	VYDAJ	VYBER	15	40139	SLUZBY	\N	\N
86429	289	1996-02-29	VYDAJ	VYBER	15	43587	SLUZBY	\N	\N
86430	289	1996-03-31	VYDAJ	VYBER	15	42941	SLUZBY	\N	\N
86431	289	1996-04-30	VYDAJ	VYBER	15	47499	SLUZBY	\N	\N
86432	289	1996-05-31	VYDAJ	VYBER	15	48362	SLUZBY	\N	\N
86433	289	1996-06-30	VYDAJ	VYBER	15	54169	SLUZBY	\N	\N
86434	289	1996-07-31	VYDAJ	VYBER	15	50142	SLUZBY	\N	\N
86435	289	1996-08-31	VYDAJ	VYBER	15	46702	SLUZBY	\N	\N
86436	289	1996-09-30	VYDAJ	VYBER	15	41941	SLUZBY	\N	\N
86437	289	1996-10-31	VYDAJ	VYBER	15	43985	SLUZBY	\N	\N
86438	289	1996-11-30	VYDAJ	VYBER	15	44933	SLUZBY	\N	\N
86439	289	1996-12-31	VYDAJ	VYBER	15	51733	SLUZBY	\N	\N
86440	289	1997-01-31	VYDAJ	VYBER	15	31283	SLUZBY	\N	\N
86441	289	1997-02-28	VYDAJ	VYBER	15	40508	SLUZBY	\N	\N
86442	289	1997-03-31	VYDAJ	VYBER	15	40738	SLUZBY	\N	\N
86443	289	1997-04-30	VYDAJ	VYBER	15	40867	SLUZBY	\N	\N
86444	289	1997-05-31	VYDAJ	VYBER	15	30790	SLUZBY	\N	\N
86445	289	1997-06-30	VYDAJ	VYBER	15	33862	SLUZBY	\N	\N
86446	289	1997-07-31	VYDAJ	VYBER	15	34695	SLUZBY	\N	\N
86447	289	1997-08-31	VYDAJ	VYBER	15	35731	SLUZBY	\N	\N
86448	289	1997-09-30	VYDAJ	VYBER	15	39171	SLUZBY	\N	\N
86449	289	1997-10-31	VYDAJ	VYBER	15	38323	SLUZBY	\N	\N
86450	289	1997-11-30	VYDAJ	VYBER	15	36670	SLUZBY	\N	\N
86451	289	1997-12-31	VYDAJ	VYBER	15	38057	SLUZBY	\N	\N
86452	289	1998-01-31	VYDAJ	VYBER	15	31686	SLUZBY	\N	\N
86453	289	1998-02-28	VYDAJ	VYBER	15	33407	SLUZBY	\N	\N
86454	289	1998-03-31	VYDAJ	VYBER	15	35835	SLUZBY	\N	\N
86455	289	1998-04-30	VYDAJ	VYBER	15	37772	SLUZBY	\N	\N
86456	289	1998-05-31	VYDAJ	VYBER	15	37215	SLUZBY	\N	\N
86457	289	1998-06-30	VYDAJ	VYBER	15	45306	SLUZBY	\N	\N
86458	289	1998-07-31	VYDAJ	VYBER	15	39561	SLUZBY	\N	\N
86459	289	1998-08-31	VYDAJ	VYBER	15	34593	SLUZBY	\N	\N
86460	289	1998-09-30	VYDAJ	VYBER	15	37123	SLUZBY	\N	\N
86461	289	1998-10-31	VYDAJ	VYBER	15	40763	SLUZBY	\N	\N
86462	289	1998-11-30	VYDAJ	VYBER	15	45620	SLUZBY	\N	\N
86463	289	1994-04-16	PRIJEM	VKLAD	1400	19148	\N	\N	\N
86464	289	1994-05-16	VYDAJ	VYBER	3900	32736	\N	\N	\N
86465	289	1994-06-15	VYDAJ	VYBER	17400	41617	\N	\N	\N
86466	289	1994-07-15	VYDAJ	VYBER	16100	43121	\N	\N	\N
86467	289	1994-08-14	VYDAJ	VYBER	15700	39301	\N	\N	\N
86468	289	1994-09-13	VYDAJ	VYBER	11300	37247	\N	\N	\N
86469	289	1994-10-13	VYDAJ	VYBER	9800	36680	\N	\N	\N
86470	289	1994-11-12	VYDAJ	VYBER	10700	35208	\N	\N	\N
86471	289	1994-12-12	VYDAJ	VYBER	15800	36155	\N	\N	\N
86472	289	1995-01-11	VYDAJ	VYBER	7300	30380	\N	\N	\N
86473	289	1995-02-10	VYDAJ	VYBER	5900	25776	\N	\N	\N
86474	289	1995-03-12	VYDAJ	VYBER	3700	29255	\N	\N	\N
86475	289	1995-04-11	VYDAJ	VYBER	5000	33445	\N	\N	\N
86476	289	1995-05-11	VYDAJ	VYBER	3600	36144	\N	\N	\N
86477	289	1995-06-10	VYDAJ	VYBER	13400	40683	\N	\N	\N
86478	289	1995-07-10	VYDAJ	VYBER	8100	41820	\N	\N	\N
86479	289	1995-08-09	VYDAJ	VYBER	11300	39763	\N	\N	\N
86480	289	1995-09-08	VYDAJ	VYBER	12900	39744	\N	\N	\N
86481	289	1995-10-08	VYDAJ	VYBER	8400	38457	\N	\N	\N
86482	289	1995-11-07	PRIJEM	VKLAD	900	31113	\N	\N	\N
86483	289	1995-12-07	VYDAJ	VYBER	4000	36349	\N	\N	\N
86484	289	1996-01-06	VYDAJ	VYBER	12100	38959	\N	\N	\N
86485	289	1996-02-05	VYDAJ	VYBER	2700	37439	\N	\N	\N
86486	289	1996-03-06	VYDAJ	VYBER	5500	35466	\N	\N	\N
86487	289	1996-04-05	VYDAJ	VYBER	4700	38241	\N	\N	\N
86488	289	1996-05-05	VYDAJ	VYBER	8400	39099	\N	\N	\N
86489	289	1996-06-04	VYDAJ	VYBER	10000	38362	\N	\N	\N
86490	289	1996-07-04	VYDAJ	VYBER	13300	40869	\N	\N	\N
86491	289	1996-08-03	VYDAJ	VYBER	10400	39742	\N	\N	\N
86492	289	1996-09-02	VYDAJ	VYBER	14000	32702	\N	\N	\N
86493	289	1996-10-02	VYDAJ	VYBER	7200	34741	\N	\N	\N
86494	289	1996-11-01	VYDAJ	VYBER	8300	35685	\N	\N	\N
86495	289	1996-12-01	VYDAJ	VYBER	8000	36933	\N	\N	\N
86496	289	1996-12-31	VYDAJ	VYBER	10700	41033	\N	\N	\N
86497	289	1997-01-30	VYDAJ	VYBER	11200	31115	\N	\N	\N
86498	289	1997-03-01	VYDAJ	VYBER	9000	31508	\N	\N	\N
86499	289	1997-03-31	VYDAJ	VYBER	8500	32238	\N	\N	\N
86500	289	1997-04-30	VYDAJ	VYBER	10900	29967	\N	\N	\N
86501	289	1997-05-30	VYDAJ	VYBER	3500	30649	\N	\N	\N
86502	289	1997-06-29	VYDAJ	VYBER	14900	33696	\N	\N	\N
86503	289	1997-07-29	VYDAJ	VYBER	8400	34544	\N	\N	\N
86504	289	1997-08-28	VYDAJ	VYBER	8200	35577	\N	\N	\N
86505	289	1997-09-27	VYDAJ	VYBER	5800	39013	\N	\N	\N
86506	289	1997-10-27	VYDAJ	VYBER	10100	38153	\N	\N	\N
86507	289	1997-11-26	VYDAJ	VYBER	10900	36505	\N	\N	\N
86508	289	1997-12-26	VYDAJ	VYBER	15000	39476	\N	\N	\N
86509	289	1998-01-25	VYDAJ	VYBER	2000	31539	\N	\N	\N
86510	289	1998-02-24	VYDAJ	VYBER	7500	33268	\N	\N	\N
86511	289	1998-03-26	VYDAJ	VYBER	6800	35689	\N	\N	\N
86512	289	1998-04-25	VYDAJ	VYBER	4700	37617	\N	\N	\N
86513	289	1998-05-25	VYDAJ	VYBER	9800	37054	\N	\N	\N
86514	289	1998-06-24	VYDAJ	VYBER	9900	45121	\N	\N	\N
86515	289	1998-07-24	VYDAJ	VYBER	9300	40988	\N	\N	\N
86516	289	1998-08-23	VYDAJ	VYBER	10600	34443	\N	\N	\N
86517	289	1998-09-22	VYDAJ	VYBER	6700	36975	\N	\N	\N
86518	289	1998-10-22	VYDAJ	VYBER	5600	40605	\N	\N	\N
86519	289	1998-11-21	VYDAJ	VYBER	4400	45445	\N	\N	\N
86520	289	1998-12-21	VYDAJ	VYBER	14500	48926	\N	\N	\N
86578	290	1993-12-02	PRIJEM	VKLAD	300	300	\N	\N	\N
86580	290	1994-05-03	PRIJEM	VKLAD	22600	77401	\N	\N	\N
86581	290	1994-08-13	PRIJEM	VKLAD	48476	78732	\N	\N	\N
86582	290	1994-02-16	PRIJEM	VKLAD	15377	75074	\N	\N	\N
86583	290	1994-01-24	PRIJEM	VKLAD	46075	57175	\N	\N	\N
86584	290	1994-02-07	PRIJEM	VKLAD	17162	59697	\N	\N	\N
86585	290	1994-04-23	PRIJEM	VKLAD	47749	86576	\N	\N	\N
86586	290	1994-06-05	PRIJEM	VKLAD	37703	77969	\N	\N	\N
86587	290	1994-06-08	PRIJEM	VKLAD	11853	89822	\N	\N	\N
86588	290	1994-07-10	PRIJEM	VKLAD	22805	51751	\N	\N	\N
86589	290	1994-11-24	PRIJEM	VKLAD	41276	57959	\N	\N	\N
86590	290	1995-05-13	PRIJEM	VKLAD	9284	87801	\N	\N	\N
86591	290	1995-09-01	PRIJEM	VKLAD	34584	109353	\N	\N	\N
86592	290	1995-08-22	PRIJEM	VKLAD	22614	108391	\N	\N	\N
86593	290	1995-12-17	PRIJEM	VKLAD	30388	62219	\N	\N	\N
86594	290	1995-04-14	PRIJEM	VKLAD	37346	60148	\N	\N	\N
86595	290	1995-10-02	PRIJEM	VKLAD	5409	47330	\N	\N	\N
86596	290	1995-06-16	PRIJEM	VKLAD	14437	78221	\N	\N	\N
86597	290	1995-08-28	PRIJEM	VKLAD	41386	130183	\N	\N	\N
86598	290	1995-10-19	PRIJEM	VKLAD	42681	81507	\N	\N	\N
86599	290	1995-08-02	PRIJEM	VKLAD	20594	125506	\N	\N	\N
86600	290	1995-08-22	PRIJEM	VKLAD	35662	144053	\N	\N	\N
86601	290	1995-07-28	PRIJEM	VKLAD	48416	111573	\N	\N	\N
86602	290	1995-06-07	PRIJEM	VKLAD	24959	72288	\N	\N	\N
86603	290	1995-11-10	PRIJEM	VKLAD	32174	119722	\N	\N	\N
86604	290	1995-06-21	PRIJEM	VKLAD	14594	92815	\N	\N	\N
86605	290	1995-03-23	PRIJEM	VKLAD	36207	50313	\N	\N	\N
86606	290	1995-11-03	PRIJEM	VKLAD	26741	87548	\N	\N	\N
86607	290	1995-07-17	PRIJEM	VKLAD	18198	102258	\N	\N	\N
86608	290	1995-08-14	PRIJEM	VKLAD	23675	124377	\N	\N	\N
86609	290	1995-08-23	PRIJEM	VKLAD	26753	132306	\N	\N	\N
86610	290	1995-05-01	PRIJEM	VKLAD	20979	58276	\N	\N	\N
86611	290	1995-05-12	PRIJEM	VKLAD	5230	81094	\N	\N	\N
86612	290	1995-08-25	PRIJEM	VKLAD	31991	88797	\N	\N	\N
86613	290	1995-11-18	PRIJEM	VKLAD	11815	91833	\N	\N	\N
86614	290	1995-05-07	PRIJEM	VKLAD	23515	81791	\N	\N	\N
86615	290	1995-04-24	PRIJEM	VKLAD	45852	106000	\N	\N	\N
86616	290	1995-07-04	PRIJEM	VKLAD	17766	92564	\N	\N	\N
86617	290	1995-07-03	PRIJEM	VKLAD	20419	74798	\N	\N	\N
86618	290	1995-12-20	PRIJEM	VKLAD	25582	87801	\N	\N	\N
86619	290	1996-09-07	PRIJEM	VKLAD	11747	38572	\N	\N	\N
86620	290	1996-01-12	PRIJEM	VKLAD	6791	55469	\N	\N	\N
86621	290	1996-04-01	PRIJEM	VKLAD	9087	86353	\N	\N	\N
86622	290	1996-11-06	PRIJEM	VKLAD	24360	66698	\N	\N	\N
86623	290	1996-03-24	PRIJEM	VKLAD	45769	77124	\N	\N	\N
86624	290	1996-01-06	PRIJEM	VKLAD	26505	109105	\N	\N	\N
86625	290	1996-01-02	PRIJEM	VKLAD	38198	85900	\N	\N	\N
86626	290	1997-05-15	PRIJEM	VKLAD	32792	66979	\N	\N	\N
86627	290	1997-12-11	PRIJEM	VKLAD	6710	95383	\N	\N	\N
86628	290	1997-07-22	PRIJEM	VKLAD	24223	75279	\N	\N	\N
86629	290	1997-06-15	PRIJEM	VKLAD	44657	100599	\N	\N	\N
86630	290	1997-08-07	PRIJEM	VKLAD	6389	70921	\N	\N	\N
86631	290	1997-12-15	PRIJEM	VKLAD	24886	104792	\N	\N	\N
86632	290	1997-03-05	PRIJEM	VKLAD	15064	59169	\N	\N	\N
86633	290	1997-09-03	PRIJEM	VKLAD	27490	110894	\N	\N	\N
86634	290	1997-06-01	PRIJEM	VKLAD	34212	71381	\N	\N	\N
86635	290	1997-11-30	PRIJEM	VKLAD	26257	129236	\N	\N	\N
86636	290	1997-03-28	PRIJEM	VKLAD	36061	79539	\N	\N	\N
86637	290	1997-01-13	PRIJEM	VKLAD	24377	43247	\N	\N	\N
86638	290	1997-11-28	PRIJEM	VKLAD	32436	119179	\N	\N	\N
86639	290	1997-08-14	PRIJEM	VKLAD	21392	83109	\N	\N	\N
86640	290	1997-11-24	PRIJEM	VKLAD	47333	86743	\N	\N	\N
86641	290	1997-12-17	PRIJEM	VKLAD	36397	141189	\N	\N	\N
86642	290	1997-12-07	PRIJEM	VKLAD	10751	94600	\N	\N	\N
86643	290	1998-06-01	PRIJEM	VKLAD	38942	85608	\N	\N	\N
86660	290	1994-05-05	VYDAJ	VYBER	1700	75701	\N	\N	0
86661	290	1994-06-23	VYDAJ	VYBER	2500	47000	\N	\N	0
86662	290	1994-07-08	VYDAJ	VYBER	2100	28946	\N	\N	0
86663	290	1994-08-21	VYDAJ	VYBER	2200	76532	\N	\N	0
86664	290	1994-09-18	VYDAJ	VYBER	2500	33466	\N	\N	0
86665	290	1994-10-01	VYDAJ	VYBER	3200	28415	\N	\N	0
86666	290	1994-11-12	VYDAJ	PREVOD NA UCET	2577	16683	UVER	YZ	60961633
86667	290	1994-12-12	VYDAJ	PREVOD NA UCET	2577	30036	UVER	YZ	60961633
86668	290	1995-01-12	VYDAJ	PREVOD NA UCET	2577	12801	UVER	YZ	60961633
86669	290	1995-02-12	VYDAJ	PREVOD NA UCET	2577	12953	UVER	YZ	60961633
86670	290	1995-03-12	VYDAJ	PREVOD NA UCET	2577	14106	UVER	YZ	60961633
86671	290	1995-04-12	VYDAJ	PREVOD NA UCET	2577	22802	UVER	YZ	60961633
86672	290	1995-05-12	VYDAJ	PREVOD NA UCET	2577	78517	UVER	YZ	60961633
86673	290	1995-06-12	VYDAJ	PREVOD NA UCET	2577	63784	UVER	YZ	60961633
86674	290	1995-07-12	VYDAJ	PREVOD NA UCET	2577	84060	UVER	YZ	60961633
86675	290	1995-08-12	VYDAJ	PREVOD NA UCET	2577	100702	UVER	YZ	60961633
86676	290	1995-09-12	VYDAJ	PREVOD NA UCET	2577	50356	UVER	YZ	60961633
86677	290	1995-10-12	VYDAJ	PREVOD NA UCET	2577	38826	UVER	YZ	60961633
86678	290	1995-11-12	VYDAJ	PREVOD NA UCET	2577	80018	UVER	YZ	60961633
86679	290	1995-12-12	VYDAJ	PREVOD NA UCET	2577	42137	UVER	YZ	60961633
86680	290	1996-01-12	VYDAJ	PREVOD NA UCET	2577	52892	UVER	YZ	60961633
86681	290	1996-02-12	VYDAJ	PREVOD NA UCET	2577	17375	UVER	YZ	60961633
86682	290	1996-03-12	VYDAJ	PREVOD NA UCET	2577	19555	UVER	YZ	60961633
86683	290	1996-04-12	VYDAJ	PREVOD NA UCET	2577	77849	UVER	YZ	60961633
86684	290	1996-05-12	VYDAJ	PREVOD NA UCET	2577	27678	UVER	YZ	60961633
86685	290	1996-06-12	VYDAJ	PREVOD NA UCET	2577	24993	UVER	YZ	60961633
86686	290	1996-07-12	VYDAJ	PREVOD NA UCET	2577	24601	UVER	YZ	60961633
86687	290	1996-08-12	VYDAJ	PREVOD NA UCET	2577	25410	UVER	YZ	60961633
86688	290	1996-09-12	VYDAJ	PREVOD NA UCET	2577	30068	UVER	YZ	60961633
86689	290	1996-10-12	VYDAJ	PREVOD NA UCET	2577	31990	UVER	YZ	60961633
86690	290	1996-11-12	VYDAJ	PREVOD NA UCET	2577	48016	UVER	YZ	60961633
86691	290	1996-12-12	VYDAJ	PREVOD NA UCET	2577	27353	UVER	YZ	60961633
86692	290	1997-01-12	VYDAJ	PREVOD NA UCET	2577	18870	UVER	YZ	60961633
86693	290	1997-02-12	VYDAJ	PREVOD NA UCET	2577	23366	UVER	YZ	60961633
86694	290	1997-03-12	VYDAJ	PREVOD NA UCET	2577	33991	UVER	YZ	60961633
86695	290	1997-04-12	VYDAJ	PREVOD NA UCET	2577	57078	UVER	YZ	60961633
86696	290	1997-05-12	VYDAJ	PREVOD NA UCET	2577	34187	UVER	YZ	60961633
86697	290	1997-06-12	VYDAJ	PREVOD NA UCET	2577	49077	UVER	YZ	60961633
86698	290	1997-07-12	VYDAJ	PREVOD NA UCET	2577	57593	UVER	YZ	60961633
86699	290	1997-08-12	VYDAJ	PREVOD NA UCET	2577	62417	UVER	YZ	60961633
86700	290	1997-09-12	VYDAJ	PREVOD NA UCET	2577	64690	UVER	YZ	60961633
86701	290	1997-10-12	VYDAJ	PREVOD NA UCET	2577	43347	UVER	YZ	60961633
86702	290	1997-11-12	VYDAJ	PREVOD NA UCET	2577	49310	UVER	YZ	60961633
86703	290	1997-12-12	VYDAJ	PREVOD NA UCET	2577	79906	UVER	YZ	60961633
86704	290	1998-01-12	VYDAJ	PREVOD NA UCET	2577	42621	UVER	YZ	60961633
86705	290	1998-02-12	VYDAJ	PREVOD NA UCET	2577	34684	UVER	YZ	60961633
86706	290	1998-03-12	VYDAJ	PREVOD NA UCET	2577	36787	UVER	YZ	60961633
86707	290	1998-04-12	VYDAJ	PREVOD NA UCET	2577	47305	UVER	YZ	60961633
86708	290	1998-05-12	VYDAJ	PREVOD NA UCET	2577	53865	UVER	YZ	60961633
86709	290	1998-06-12	VYDAJ	PREVOD NA UCET	2577	65104	UVER	YZ	60961633
86710	290	1998-07-12	VYDAJ	PREVOD NA UCET	2577	57061	UVER	YZ	60961633
86711	290	1998-08-12	VYDAJ	PREVOD NA UCET	2577	40923	UVER	YZ	60961633
86712	290	1998-09-12	VYDAJ	PREVOD NA UCET	2577	43414	UVER	YZ	60961633
86713	290	1998-10-12	VYDAJ	PREVOD NA UCET	2577	51172	UVER	YZ	60961633
86714	290	1998-11-06	VYDAJ	VYBER	3300	59456	\N	\N	0
86715	290	1998-12-07	VYDAJ	VYBER	2500	42983	\N	\N	0
86732	290	1994-05-10	VYDAJ	PREVOD NA UCET	2653	73048	SIPO	UV	10382223
86733	290	1994-06-10	VYDAJ	PREVOD NA UCET	2653	83895	SIPO	UV	10382223
86734	290	1994-07-10	VYDAJ	PREVOD NA UCET	2653	42524	SIPO	UV	10382223
86735	290	1994-08-10	VYDAJ	PREVOD NA UCET	2653	33530	SIPO	UV	10382223
86736	290	1994-09-10	VYDAJ	PREVOD NA UCET	2653	35966	SIPO	UV	10382223
86737	290	1994-10-10	VYDAJ	PREVOD NA UCET	2653	25762	SIPO	UV	10382223
86738	290	1994-11-10	VYDAJ	PREVOD NA UCET	2653	22534	SIPO	UV	10382223
86739	290	1994-12-10	VYDAJ	PREVOD NA UCET	2653	32613	SIPO	UV	10382223
86740	290	1995-01-10	VYDAJ	PREVOD NA UCET	2653	18652	SIPO	UV	10382223
86741	290	1995-02-10	VYDAJ	PREVOD NA UCET	2653	15530	SIPO	UV	10382223
86742	290	1995-03-10	VYDAJ	PREVOD NA UCET	2653	19957	SIPO	UV	10382223
86743	290	1995-04-10	VYDAJ	PREVOD NA UCET	2653	36179	SIPO	UV	10382223
86744	290	1995-05-10	VYDAJ	PREVOD NA UCET	2653	79138	SIPO	UV	10382223
86745	290	1995-06-10	VYDAJ	PREVOD NA UCET	2653	66361	SIPO	UV	10382223
86746	290	1995-07-10	VYDAJ	PREVOD NA UCET	2653	89911	SIPO	UV	10382223
86747	290	1995-08-10	VYDAJ	PREVOD NA UCET	2653	106553	SIPO	UV	10382223
86748	290	1995-09-10	VYDAJ	PREVOD NA UCET	2653	74726	SIPO	UV	10382223
86749	290	1995-10-10	VYDAJ	PREVOD NA UCET	2653	41403	SIPO	UV	10382223
86750	290	1995-11-10	VYDAJ	PREVOD NA UCET	2653	113795	SIPO	UV	10382223
86751	290	1995-12-10	VYDAJ	PREVOD NA UCET	2653	47988	SIPO	UV	10382223
86752	290	1996-01-10	VYDAJ	PREVOD NA UCET	2653	48678	SIPO	UV	10382223
86753	290	1996-02-10	VYDAJ	PREVOD NA UCET	2653	19952	SIPO	UV	10382223
86754	290	1996-03-10	VYDAJ	PREVOD NA UCET	2653	22132	SIPO	UV	10382223
86755	290	1996-04-10	VYDAJ	PREVOD NA UCET	2653	83700	SIPO	UV	10382223
86756	290	1996-05-10	VYDAJ	PREVOD NA UCET	2653	30255	SIPO	UV	10382223
86757	290	1996-06-10	VYDAJ	PREVOD NA UCET	2653	30844	SIPO	UV	10382223
86758	290	1996-07-10	VYDAJ	PREVOD NA UCET	2653	30452	SIPO	UV	10382223
86759	290	1996-08-10	VYDAJ	PREVOD NA UCET	2653	31261	SIPO	UV	10382223
86760	290	1996-09-10	VYDAJ	PREVOD NA UCET	2653	35919	SIPO	UV	10382223
86761	290	1996-10-10	VYDAJ	PREVOD NA UCET	2653	37841	SIPO	UV	10382223
86762	290	1996-11-10	VYDAJ	PREVOD NA UCET	2653	53867	SIPO	UV	10382223
86763	290	1996-12-10	VYDAJ	PREVOD NA UCET	2653	33204	SIPO	UV	10382223
86764	290	1997-01-10	VYDAJ	PREVOD NA UCET	2653	24721	SIPO	UV	10382223
86765	290	1997-02-10	VYDAJ	PREVOD NA UCET	2653	25943	SIPO	UV	10382223
86766	290	1997-03-10	VYDAJ	PREVOD NA UCET	2653	56516	SIPO	UV	10382223
86767	290	1997-04-10	VYDAJ	PREVOD NA UCET	2653	59655	SIPO	UV	10382223
86768	290	1997-05-10	VYDAJ	PREVOD NA UCET	2653	40038	SIPO	UV	10382223
86769	290	1997-06-10	VYDAJ	PREVOD NA UCET	2653	54928	SIPO	UV	10382223
86770	290	1997-07-10	VYDAJ	PREVOD NA UCET	2653	63444	SIPO	UV	10382223
86771	290	1997-08-10	VYDAJ	PREVOD NA UCET	2653	68268	SIPO	UV	10382223
86772	290	1997-09-10	VYDAJ	PREVOD NA UCET	2653	67267	SIPO	UV	10382223
86773	290	1997-10-10	VYDAJ	PREVOD NA UCET	2653	29398	SIPO	UV	10382223
86774	290	1997-11-10	VYDAJ	PREVOD NA UCET	2653	40861	SIPO	UV	10382223
86775	290	1997-12-10	VYDAJ	PREVOD NA UCET	2653	91947	SIPO	UV	10382223
86776	290	1998-01-10	VYDAJ	PREVOD NA UCET	2653	45198	SIPO	UV	10382223
86777	290	1998-02-10	VYDAJ	PREVOD NA UCET	2653	40535	SIPO	UV	10382223
86778	290	1998-03-10	VYDAJ	PREVOD NA UCET	2653	22564	SIPO	UV	10382223
86779	290	1998-04-10	VYDAJ	PREVOD NA UCET	2653	53156	SIPO	UV	10382223
86780	290	1998-05-10	VYDAJ	PREVOD NA UCET	2653	56442	SIPO	UV	10382223
86781	290	1998-06-10	VYDAJ	PREVOD NA UCET	2653	70955	SIPO	UV	10382223
86782	290	1998-07-10	VYDAJ	PREVOD NA UCET	2653	62912	SIPO	UV	10382223
86783	290	1998-08-10	VYDAJ	PREVOD NA UCET	2653	46774	SIPO	UV	10382223
86784	290	1998-09-10	VYDAJ	PREVOD NA UCET	2653	45991	SIPO	UV	10382223
86785	290	1998-10-10	VYDAJ	PREVOD NA UCET	2653	53749	SIPO	UV	10382223
86786	290	1998-11-10	VYDAJ	PREVOD NA UCET	2653	56803	SIPO	UV	10382223
86787	290	1998-12-10	VYDAJ	PREVOD NA UCET	2653	40330	SIPO	UV	10382223
86804	290	1994-05-10	VYDAJ	PREVOD NA UCET	3274	69774	 	IJ	5267882
86805	290	1994-06-10	VYDAJ	PREVOD NA UCET	3274	86548	 	IJ	5267882
86806	290	1994-07-10	VYDAJ	PREVOD NA UCET	3274	48477	 	IJ	5267882
86807	290	1994-08-10	VYDAJ	PREVOD NA UCET	3274	30256	 	IJ	5267882
86808	290	1994-09-10	VYDAJ	PREVOD NA UCET	3274	38619	 	IJ	5267882
86809	290	1994-10-10	VYDAJ	PREVOD NA UCET	3274	22488	 	IJ	5267882
86810	290	1994-11-10	VYDAJ	PREVOD NA UCET	3274	19260	 	IJ	5267882
86811	290	1994-12-10	VYDAJ	PREVOD NA UCET	3274	35266	 	IJ	5267882
86812	290	1995-01-10	VYDAJ	PREVOD NA UCET	3274	15378	 	IJ	5267882
86813	290	1995-02-10	VYDAJ	PREVOD NA UCET	3274	18183	 	IJ	5267882
86814	290	1995-03-10	VYDAJ	PREVOD NA UCET	3274	16683	 	IJ	5267882
86815	290	1995-04-10	VYDAJ	PREVOD NA UCET	3274	38832	 	IJ	5267882
86816	290	1995-05-10	VYDAJ	PREVOD NA UCET	3274	75864	 	IJ	5267882
86817	290	1995-06-10	VYDAJ	PREVOD NA UCET	3274	69014	 	IJ	5267882
86818	290	1995-07-10	VYDAJ	PREVOD NA UCET	3274	86637	 	IJ	5267882
86819	290	1995-08-10	VYDAJ	PREVOD NA UCET	3274	103279	 	IJ	5267882
86820	290	1995-09-10	VYDAJ	PREVOD NA UCET	3274	77379	 	IJ	5267882
86821	290	1995-10-10	VYDAJ	PREVOD NA UCET	3274	44056	 	IJ	5267882
86822	290	1995-11-10	VYDAJ	PREVOD NA UCET	3274	116448	 	IJ	5267882
86823	290	1995-12-10	VYDAJ	PREVOD NA UCET	3274	44714	 	IJ	5267882
86824	290	1996-01-10	VYDAJ	PREVOD NA UCET	3274	51331	 	IJ	5267882
86825	290	1996-02-10	VYDAJ	PREVOD NA UCET	3274	22605	 	IJ	5267882
86826	290	1996-03-10	VYDAJ	PREVOD NA UCET	3274	24785	 	IJ	5267882
86827	290	1996-04-10	VYDAJ	PREVOD NA UCET	3274	80426	 	IJ	5267882
86828	290	1996-05-10	VYDAJ	PREVOD NA UCET	3274	32908	 	IJ	5267882
86829	290	1996-06-10	VYDAJ	PREVOD NA UCET	3274	27570	 	IJ	5267882
86830	290	1996-07-10	VYDAJ	PREVOD NA UCET	3274	27178	 	IJ	5267882
86831	290	1996-08-10	VYDAJ	PREVOD NA UCET	3274	27987	 	IJ	5267882
86832	290	1996-09-10	VYDAJ	PREVOD NA UCET	3274	32645	 	IJ	5267882
86833	290	1996-10-10	VYDAJ	PREVOD NA UCET	3274	34567	 	IJ	5267882
86834	290	1996-11-10	VYDAJ	PREVOD NA UCET	3274	50593	 	IJ	5267882
86835	290	1996-12-10	VYDAJ	PREVOD NA UCET	3274	29930	 	IJ	5267882
86836	290	1997-01-10	VYDAJ	PREVOD NA UCET	3274	21447	 	IJ	5267882
86837	290	1997-02-10	VYDAJ	PREVOD NA UCET	3274	28596	 	IJ	5267882
86838	290	1997-03-10	VYDAJ	PREVOD NA UCET	3274	53242	 	IJ	5267882
86839	290	1997-04-10	VYDAJ	PREVOD NA UCET	3274	62308	 	IJ	5267882
86840	290	1997-05-10	VYDAJ	PREVOD NA UCET	3274	36764	 	IJ	5267882
86841	290	1997-06-10	VYDAJ	PREVOD NA UCET	3274	51654	 	IJ	5267882
86842	290	1997-07-10	VYDAJ	PREVOD NA UCET	3274	60170	 	IJ	5267882
86843	290	1997-08-10	VYDAJ	PREVOD NA UCET	3274	64994	 	IJ	5267882
86844	290	1997-09-10	VYDAJ	PREVOD NA UCET	3274	69920	 	IJ	5267882
86845	290	1997-10-10	VYDAJ	PREVOD NA UCET	3274	26124	 	IJ	5267882
86846	290	1997-11-10	VYDAJ	PREVOD NA UCET	3274	37587	 	IJ	5267882
86847	290	1997-12-10	VYDAJ	PREVOD NA UCET	3274	88673	 	IJ	5267882
86848	290	1998-01-10	VYDAJ	PREVOD NA UCET	3274	47851	 	IJ	5267882
86849	290	1998-02-10	VYDAJ	PREVOD NA UCET	3274	37261	 	IJ	5267882
86850	290	1998-03-10	VYDAJ	PREVOD NA UCET	3274	25217	 	IJ	5267882
86851	290	1998-04-10	VYDAJ	PREVOD NA UCET	3274	49882	 	IJ	5267882
86852	290	1998-05-10	VYDAJ	PREVOD NA UCET	3274	59095	 	IJ	5267882
86853	290	1998-06-10	VYDAJ	PREVOD NA UCET	3274	67681	 	IJ	5267882
86854	290	1998-07-10	VYDAJ	PREVOD NA UCET	3274	59638	 	IJ	5267882
86855	290	1998-08-10	VYDAJ	PREVOD NA UCET	3274	43500	 	IJ	5267882
86856	290	1998-09-10	VYDAJ	PREVOD NA UCET	3274	48644	 	IJ	5267882
86857	290	1998-10-10	VYDAJ	PREVOD NA UCET	3274	56402	 	IJ	5267882
86858	290	1998-11-10	VYDAJ	PREVOD NA UCET	3274	53529	 	IJ	5267882
86859	290	1998-12-10	VYDAJ	PREVOD NA UCET	3274	37056	 	IJ	5267882
86873	290	1994-12-28	VYBER	VYBER	4437	21199	\N	\N	\N
86874	290	1994-11-30	VYBER	VYBER	5418	38554	\N	\N	\N
86875	290	1994-06-22	VYBER	VYBER	21795	49500	\N	\N	\N
86876	290	1994-05-21	VYBER	VYBER	18667	51107	\N	\N	\N
86878	290	1994-09-09	VYBER	VYBER	9868	41893	\N	\N	\N
86879	290	1995-12-14	VYBER	VYBER	10306	31831	\N	\N	\N
86880	290	1995-08-30	VYBER	VYBER	14250	74333	\N	\N	\N
86881	290	1995-12-22	VYBER	VYBER	21601	66200	\N	\N	\N
86882	290	1995-08-01	VYBER	VYBER	7018	104912	\N	\N	\N
86883	290	1995-07-25	VYBER	VYBER	11601	90657	\N	\N	\N
86884	290	1995-09-12	VYBER	VYBER	21793	52933	\N	\N	\N
86888	290	1995-06-04	VYBER	VYBER	12653	47329	\N	\N	\N
86890	290	1995-11-29	VYBER	VYBER	2117	50378	\N	\N	\N
86892	290	1995-11-21	VYBER	VYBER	20938	70895	\N	\N	\N
86893	290	1996-11-08	VYBER	VYBER	10178	56520	\N	\N	\N
86895	290	1996-04-24	VYBER	VYBER	22624	35925	\N	\N	\N
86896	290	1996-11-22	VYBER	VYBER	13125	35691	\N	\N	\N
86897	290	1996-08-21	VYBER	VYBER	9892	26718	\N	\N	\N
86898	290	1997-04-05	VYBER	VYBER	14139	65582	\N	\N	\N
86899	290	1997-05-28	VYBER	VYBER	18130	36989	\N	\N	\N
86900	290	1997-07-31	VYBER	VYBER	10997	64547	\N	\N	\N
86901	290	1997-06-13	VYBER	VYBER	7835	41242	\N	\N	\N
86902	290	1997-05-19	VYBER	VYBER	11160	55119	\N	\N	\N
86903	290	1997-03-11	VYBER	VYBER	16674	36568	\N	\N	\N
86905	290	1997-04-18	VYBER	VYBER	18913	42465	\N	\N	\N
86906	290	1997-09-29	VYBER	VYBER	13136	45554	\N	\N	\N
86907	290	1997-03-16	VYBER	VYBER	5913	44978	\N	\N	\N
86908	290	1997-07-15	VYBER	VYBER	10337	51056	\N	\N	\N
86909	290	1998-11-20	VYBER	VYBER	19724	33805	\N	\N	\N
86911	290	1998-09-02	VYBER	VYBER	5277	35818	\N	\N	\N
86915	290	1998-08-10	VYBER	VYBER	13962	49427	\N	\N	\N
86916	290	1998-05-16	VYBER	VYBER	7382	46483	\N	\N	\N
86919	290	1998-02-18	VYBER	VYBER	6299	28385	\N	\N	\N
86921	290	1994-06-14	VYDAJ	VYBER	12600	71295	\N	\N	\N
86924	290	1997-06-29	VYDAJ	VYBER	34800	65799	\N	\N	\N
86931	290	1998-01-04	VYDAJ	VYBER	16500	53725	\N	\N	\N
86933	290	1994-12-13	VYDAJ	VYBER	5400	24636	\N	\N	\N
86934	290	1995-12-23	VYDAJ	VYBER	2700	53500	\N	\N	\N
86935	290	1996-12-23	VYDAJ	VYBER	8100	27253	\N	\N	\N
86936	290	1997-12-06	VYDAJ	VYBER	2700	83849	\N	\N	\N
86937	290	1998-12-07	VYDAJ	VYBER	6300	45483	\N	\N	\N
86956	290	1996-01-01	VYDAJ	VYBER	6000	47702	\N	\N	\N
86957	290	1996-01-29	VYDAJ	VYBER	7800	29592	\N	\N	\N
86958	290	1996-01-20	VYDAJ	VYBER	8400	35792	\N	\N	\N
86959	290	1996-01-30	VYDAJ	VYBER	3900	25692	\N	\N	\N
86960	290	1996-01-15	VYDAJ	VYBER	8700	44192	\N	\N	\N
86961	290	1996-01-05	VYDAJ	VYBER	3300	82600	\N	\N	\N
86962	290	1997-01-19	VYDAJ	VYBER	8400	39847	\N	\N	\N
86964	290	1997-01-25	VYDAJ	VYBER	5400	31747	\N	\N	\N
86966	290	1997-01-13	VYDAJ	VYBER	3000	40247	\N	\N	\N
86967	290	1997-01-22	VYDAJ	VYBER	2700	37147	\N	\N	\N
86968	290	1998-01-24	VYDAJ	VYBER	7800	30321	\N	\N	\N
86969	290	1998-01-09	VYDAJ	VYBER	7200	46525	\N	\N	\N
86970	290	1998-01-18	VYDAJ	VYBER	4500	38121	\N	\N	\N
86971	290	1998-01-09	VYDAJ	VYBER	8400	38125	\N	\N	\N
86972	290	1998-01-25	VYDAJ	VYBER	3300	27021	\N	\N	\N
86979	290	1994-07-10	VYDAJ	VYBER	3300	45177	\N	\N	\N
86980	290	1994-07-04	VYDAJ	VYBER	6300	31046	\N	\N	\N
86981	290	1995-06-22	VYDAJ	VYBER	13800	79015	\N	\N	\N
86984	290	1995-04-29	VYDAJ	VYBER	11100	37100	\N	\N	\N
86985	290	1995-04-12	VYDAJ	VYBER	10800	25379	\N	\N	\N
86987	290	1996-12-20	VYDAJ	VYBER	9300	35353	\N	\N	\N
86990	290	1997-06-09	VYDAJ	VYBER	12000	57581	\N	\N	\N
86992	290	1997-12-26	VYDAJ	VYBER	11400	69789	\N	\N	\N
86993	290	1997-10-04	VYDAJ	VYBER	13800	32051	\N	\N	\N
86994	290	1997-03-19	VYDAJ	VYBER	1500	43478	\N	\N	\N
86995	290	1997-06-05	VYDAJ	VYBER	1800	69581	\N	\N	\N
86996	290	1997-11-15	VYDAJ	VYBER	9900	39410	\N	\N	\N
86997	290	1998-06-02	VYDAJ	VYBER	9900	75708	\N	\N	\N
87015	290	1994-05-31	VYDAJ	VYBER	15	51366	SLUZBY	\N	\N
87016	290	1994-06-30	VYDAJ	VYBER	15	37346	SLUZBY	\N	\N
87017	290	1994-07-31	VYDAJ	VYBER	15	36183	SLUZBY	\N	\N
87018	290	1994-08-31	VYDAJ	VYBER	15	51761	SLUZBY	\N	\N
87019	290	1994-09-30	VYDAJ	VYBER	15	31615	SLUZBY	\N	\N
87020	290	1994-10-31	VYDAJ	VYBER	15	25187	SLUZBY	\N	\N
87021	290	1994-11-30	VYDAJ	VYBER	15	38540	SLUZBY	\N	\N
87022	290	1994-12-31	VYDAJ	VYBER	15	21305	SLUZBY	\N	\N
87023	290	1995-01-31	VYDAJ	VYBER	15	21457	SLUZBY	\N	\N
87024	290	1995-02-28	VYDAJ	VYBER	15	22610	SLUZBY	\N	\N
87025	290	1995-03-31	VYDAJ	VYBER	15	42106	SLUZBY	\N	\N
87026	290	1995-04-30	VYDAJ	VYBER	15	37297	SLUZBY	\N	\N
87027	290	1995-05-31	VYDAJ	VYBER	15	59982	SLUZBY	\N	\N
87028	290	1995-06-30	VYDAJ	VYBER	15	54379	SLUZBY	\N	\N
87029	290	1995-07-31	VYDAJ	VYBER	15	111930	SLUZBY	\N	\N
87030	290	1995-08-31	VYDAJ	VYBER	15	74769	SLUZBY	\N	\N
87031	290	1995-09-30	VYDAJ	VYBER	15	41921	SLUZBY	\N	\N
87032	290	1995-10-31	VYDAJ	VYBER	15	60807	SLUZBY	\N	\N
87033	290	1995-11-30	VYDAJ	VYBER	15	50641	SLUZBY	\N	\N
87034	290	1995-12-31	VYDAJ	VYBER	15	53702	SLUZBY	\N	\N
87035	290	1996-01-31	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
87036	290	1996-02-29	VYDAJ	VYBER	15	28059	SLUZBY	\N	\N
87037	290	1996-03-31	VYDAJ	VYBER	15	77266	SLUZBY	\N	\N
87038	290	1996-04-30	VYDAJ	VYBER	15	36182	SLUZBY	\N	\N
87039	290	1996-05-31	VYDAJ	VYBER	15	33497	SLUZBY	\N	\N
87040	290	1996-06-30	VYDAJ	VYBER	15	33105	SLUZBY	\N	\N
87041	290	1996-07-31	VYDAJ	VYBER	15	33914	SLUZBY	\N	\N
87042	290	1996-08-31	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
87043	290	1996-09-30	VYDAJ	VYBER	15	40494	SLUZBY	\N	\N
87044	290	1996-10-31	VYDAJ	VYBER	15	42338	SLUZBY	\N	\N
87045	290	1996-11-30	VYDAJ	VYBER	15	35857	SLUZBY	\N	\N
87046	290	1996-12-31	VYDAJ	VYBER	15	27374	SLUZBY	\N	\N
87047	290	1997-01-31	VYDAJ	VYBER	15	31870	SLUZBY	\N	\N
87048	290	1997-02-28	VYDAJ	VYBER	15	44105	SLUZBY	\N	\N
87049	290	1997-03-31	VYDAJ	VYBER	15	79721	SLUZBY	\N	\N
87050	290	1997-04-30	VYDAJ	VYBER	15	42691	SLUZBY	\N	\N
87051	290	1997-05-31	VYDAJ	VYBER	15	37169	SLUZBY	\N	\N
87052	290	1997-06-30	VYDAJ	VYBER	15	66097	SLUZBY	\N	\N
87053	290	1997-07-31	VYDAJ	VYBER	15	64532	SLUZBY	\N	\N
87054	290	1997-08-31	VYDAJ	VYBER	15	83404	SLUZBY	\N	\N
87055	290	1997-09-30	VYDAJ	VYBER	15	45851	SLUZBY	\N	\N
87056	290	1997-10-31	VYDAJ	VYBER	15	43514	SLUZBY	\N	\N
87057	290	1997-11-30	VYDAJ	VYBER	15	129449	SLUZBY	\N	\N
87058	290	1997-12-31	VYDAJ	VYBER	15	70225	SLUZBY	\N	\N
87059	290	1998-01-31	VYDAJ	VYBER	15	27188	SLUZBY	\N	\N
87060	290	1998-02-28	VYDAJ	VYBER	15	28491	SLUZBY	\N	\N
87061	290	1998-03-31	VYDAJ	VYBER	15	36909	SLUZBY	\N	\N
87062	290	1998-04-30	VYDAJ	VYBER	15	47469	SLUZBY	\N	\N
87063	290	1998-05-31	VYDAJ	VYBER	15	46666	SLUZBY	\N	\N
87064	290	1998-06-30	VYDAJ	VYBER	15	65365	SLUZBY	\N	\N
87065	290	1998-07-31	VYDAJ	VYBER	15	57289	SLUZBY	\N	\N
87066	290	1998-08-31	VYDAJ	VYBER	15	41095	SLUZBY	\N	\N
87067	290	1998-09-30	VYDAJ	VYBER	15	43576	SLUZBY	\N	\N
87068	290	1998-10-31	VYDAJ	VYBER	15	51356	SLUZBY	\N	\N
87069	290	1998-11-30	VYDAJ	VYBER	15	33983	SLUZBY	\N	\N
87070	290	1994-01-01	PRIJEM	VKLAD	10800	11100	\N	\N	\N
87071	290	1994-01-31	VYDAJ	VYBER	14700	42535	\N	\N	\N
87072	290	1994-03-02	VYDAJ	VYBER	23800	51514	\N	\N	\N
87073	290	1994-04-01	VYDAJ	VYBER	13000	38827	\N	\N	\N
87074	290	1994-05-01	VYDAJ	VYBER	32100	54801	\N	\N	\N
87075	290	1994-05-31	VYDAJ	VYBER	11100	40266	\N	\N	\N
87076	290	1994-06-30	VYDAJ	VYBER	9900	37360	\N	\N	\N
87077	290	1994-07-30	VYDAJ	VYBER	6500	36024	\N	\N	\N
87078	290	1994-08-29	VYDAJ	VYBER	25000	51532	\N	\N	\N
87079	290	1994-09-28	VYDAJ	VYBER	2000	31466	\N	\N	\N
87080	290	1994-10-28	PRIJEM	VKLAD	2600	25088	\N	\N	\N
87081	290	1994-11-27	VYDAJ	VYBER	14100	43859	\N	\N	\N
87082	290	1994-12-27	PRIJEM	VKLAD	1000	25636	\N	\N	\N
87083	290	1995-01-26	PRIJEM	VKLAD	8600	21401	\N	\N	\N
87084	290	1995-02-25	PRIJEM	VKLAD	9600	22553	\N	\N	\N
87085	290	1995-03-27	VYDAJ	VYBER	8300	42013	\N	\N	\N
87086	290	1995-04-24	VYDAJ	VYBER	41300	64700	\N	\N	\N
87087	290	1995-04-26	VYDAJ	VYBER	16500	48200	\N	\N	\N
87088	290	1995-05-26	VYDAJ	VYBER	28100	59701	\N	\N	\N
87089	290	1995-06-25	VYDAJ	VYBER	24900	54115	\N	\N	\N
87090	290	1995-07-25	VYDAJ	VYBER	27500	63157	\N	\N	\N
87091	290	1995-08-02	VYDAJ	VYBER	16300	109206	\N	\N	\N
87092	290	1995-08-14	VYDAJ	VYBER	38600	85777	\N	\N	\N
87093	290	1995-08-22	VYDAJ	VYBER	38500	105553	\N	\N	\N
87094	290	1995-08-23	VYDAJ	VYBER	54200	78106	\N	\N	\N
87095	290	1995-08-24	VYDAJ	VYBER	21300	56806	\N	\N	\N
87096	290	1995-08-28	VYDAJ	VYBER	41600	88583	\N	\N	\N
87097	290	1995-09-01	VYDAJ	VYBER	28700	80653	\N	\N	\N
87098	290	1995-09-23	VYDAJ	VYBER	8700	41656	\N	\N	\N
87099	290	1995-10-23	VYDAJ	VYBER	20900	60607	\N	\N	\N
87100	290	1995-11-10	VYDAJ	VYBER	31200	82595	\N	\N	\N
87101	290	1995-11-22	VYDAJ	VYBER	18400	52495	\N	\N	\N
87102	290	1995-12-22	VYDAJ	VYBER	10000	56200	\N	\N	\N
87103	290	1996-01-06	VYDAJ	VYBER	54500	54605	\N	\N	\N
87104	290	1996-01-21	PRIJEM	VKLAD	1600	37392	\N	\N	\N
87105	290	1996-02-20	PRIJEM	VKLAD	10600	27975	\N	\N	\N
87106	290	1996-03-21	PRIJEM	VKLAD	11800	31355	\N	\N	\N
87107	290	1996-04-20	VYDAJ	VYBER	19300	58549	\N	\N	\N
87108	290	1996-05-20	PRIJEM	VKLAD	5700	33378	\N	\N	\N
87109	290	1996-06-19	PRIJEM	VKLAD	8000	32993	\N	\N	\N
87110	290	1996-07-19	PRIJEM	VKLAD	9200	33801	\N	\N	\N
87111	290	1996-08-18	PRIJEM	VKLAD	11200	36610	\N	\N	\N
87112	290	1996-09-17	PRIJEM	VKLAD	10300	40368	\N	\N	\N
87113	290	1996-10-17	PRIJEM	VKLAD	10200	42190	\N	\N	\N
87114	290	1996-11-16	PRIJEM	VKLAD	800	48816	\N	\N	\N
87115	290	1996-12-16	PRIJEM	VKLAD	17300	44653	\N	\N	\N
87116	290	1997-01-15	PRIJEM	VKLAD	8000	48247	\N	\N	\N
87117	290	1997-02-14	PRIJEM	VKLAD	20600	43966	\N	\N	\N
87118	290	1997-03-16	PRIJEM	VKLAD	16900	50891	\N	\N	\N
87119	290	1997-04-15	PRIJEM	VKLAD	4300	61378	\N	\N	\N
87120	290	1997-05-15	VYDAJ	VYBER	700	66279	\N	\N	\N
87121	290	1997-06-14	PRIJEM	VKLAD	14700	55942	\N	\N	\N
87122	290	1997-07-14	PRIJEM	VKLAD	3800	61393	\N	\N	\N
87123	290	1997-08-13	VYDAJ	VYBER	700	61717	\N	\N	\N
87124	290	1997-09-03	VYDAJ	VYBER	37700	73194	\N	\N	\N
87125	290	1997-09-12	VYDAJ	VYBER	6000	58690	\N	\N	\N
87126	290	1997-10-12	PRIJEM	VKLAD	19800	45924	\N	\N	\N
87127	290	1997-11-11	PRIJEM	VKLAD	14300	51887	\N	\N	\N
87128	290	1997-11-28	VYDAJ	VYBER	16200	102979	\N	\N	\N
87129	290	1997-11-30	VYDAJ	VYBER	42900	86549	\N	\N	\N
87130	290	1997-12-11	VYDAJ	VYBER	12900	82483	\N	\N	\N
87131	290	1997-12-17	VYDAJ	VYBER	60000	81189	\N	\N	\N
87132	290	1998-01-10	PRIJEM	VKLAD	13000	51125	\N	\N	\N
87133	290	1998-02-09	PRIJEM	VKLAD	16000	43188	\N	\N	\N
87134	290	1998-03-11	PRIJEM	VKLAD	16800	39364	\N	\N	\N
87135	290	1998-04-10	PRIJEM	VKLAD	18900	55809	\N	\N	\N
87136	290	1998-05-10	PRIJEM	VKLAD	14900	62369	\N	\N	\N
87137	290	1998-06-09	VYDAJ	VYBER	2100	73608	\N	\N	\N
87138	290	1998-07-09	PRIJEM	VKLAD	200	65565	\N	\N	\N
87139	290	1998-08-08	PRIJEM	VKLAD	6100	63389	\N	\N	\N
87140	290	1998-09-07	PRIJEM	VKLAD	16100	51918	\N	\N	\N
87141	290	1998-10-07	PRIJEM	VKLAD	16100	59676	\N	\N	\N
87142	290	1998-11-06	PRIJEM	VKLAD	11400	62756	\N	\N	\N
87143	290	1998-12-06	PRIJEM	VKLAD	17800	51783	\N	\N	\N
87204	291	1997-06-08	PRIJEM	VKLAD	1100	17452	\N	\N	\N
87205	291	1997-08-07	PRIJEM	VKLAD	39515	80818	\N	\N	\N
87206	291	1997-08-08	PRIJEM	VKLAD	47184	101102	\N	\N	\N
87208	291	1997-12-17	PRIJEM	VKLAD	11007	68749	\N	\N	\N
87210	291	1997-07-23	PRIJEM	VKLAD	13270	41166	\N	\N	\N
87211	291	1997-11-13	PRIJEM	VKLAD	30150	40590	\N	\N	\N
87212	291	1997-11-22	PRIJEM	VKLAD	47429	78119	\N	\N	\N
87213	291	1997-08-20	PRIJEM	VKLAD	48708	143799	\N	\N	\N
87214	291	1997-08-14	PRIJEM	VKLAD	44581	121891	\N	\N	\N
87215	291	1997-08-09	PRIJEM	VKLAD	24233	125335	\N	\N	\N
87219	291	1997-10-21	PRIJEM	VKLAD	20001	41700	\N	\N	\N
87220	291	1997-12-20	PRIJEM	VKLAD	21216	89965	\N	\N	\N
87222	291	1997-06-17	PRIJEM	VKLAD	11867	29319	\N	\N	\N
87223	291	1997-12-23	PRIJEM	VKLAD	47358	123177	\N	\N	\N
87224	291	1997-12-17	PRIJEM	VKLAD	20850	57742	\N	\N	\N
87226	291	1997-12-21	PRIJEM	VKLAD	41754	131719	\N	\N	\N
87228	291	1997-06-08	PRIJEM	VKLAD	16352	16352	\N	\N	\N
87229	291	1998-02-07	PRIJEM	VKLAD	49655	76945	\N	\N	\N
87230	291	1998-09-08	PRIJEM	VKLAD	8323	86334	\N	\N	\N
87231	291	1998-09-11	PRIJEM	VKLAD	48593	134927	\N	\N	\N
87232	291	1998-03-10	PRIJEM	VKLAD	48884	79105	\N	\N	\N
87233	291	1998-08-17	PRIJEM	VKLAD	9716	49870	\N	\N	\N
87234	291	1998-06-02	PRIJEM	VKLAD	23682	90866	\N	\N	\N
87235	291	1998-05-27	PRIJEM	VKLAD	5109	66918	\N	\N	\N
87236	291	1998-07-27	PRIJEM	VKLAD	47099	60756	\N	\N	\N
87237	291	1998-05-01	PRIJEM	VKLAD	34828	77987	\N	\N	\N
87238	291	1998-01-16	PRIJEM	VKLAD	35278	46329	\N	\N	\N
87239	291	1998-08-30	PRIJEM	VKLAD	24796	111744	\N	\N	\N
87240	291	1998-09-20	PRIJEM	VKLAD	47144	111684	\N	\N	\N
87241	291	1998-12-25	PRIJEM	VKLAD	15940	62835	\N	\N	\N
87242	291	1998-06-27	PRIJEM	VKLAD	6660	14079	\N	\N	\N
87243	291	1998-11-06	PRIJEM	VKLAD	49582	101764	\N	\N	\N
87244	291	1998-12-26	PRIJEM	VKLAD	21355	84190	\N	\N	\N
87245	291	1998-09-06	PRIJEM	VKLAD	19081	78073	\N	\N	\N
87246	291	1998-08-21	PRIJEM	VKLAD	37078	86948	\N	\N	\N
87247	291	1998-11-28	PRIJEM	VKLAD	27721	168515	\N	\N	\N
87248	291	1998-11-28	PRIJEM	VKLAD	44022	140794	\N	\N	\N
87249	291	1998-05-10	PRIJEM	VKLAD	37856	132034	\N	\N	\N
87250	291	1998-10-30	PRIJEM	VKLAD	23985	70731	\N	\N	\N
87251	291	1998-11-15	PRIJEM	VKLAD	26295	115072	\N	\N	\N
87252	291	1998-09-30	PRIJEM	VKLAD	43888	103587	\N	\N	\N
87253	291	1998-04-04	PRIJEM	VKLAD	15949	76049	\N	\N	\N
87254	291	1998-05-09	PRIJEM	VKLAD	45538	137178	\N	\N	\N
87255	291	1998-05-08	PRIJEM	VKLAD	28715	91640	\N	\N	\N
87288	291	1997-09-06	VYDAJ	PREVOD NA UCET	62	60966	SIPO	EF	31507086
87289	291	1997-10-06	VYDAJ	PREVOD NA UCET	62	37024	SIPO	EF	31507086
87290	291	1997-11-06	VYDAJ	PREVOD NA UCET	62	23365	SIPO	EF	31507086
87291	291	1997-12-06	VYDAJ	PREVOD NA UCET	62	56717	SIPO	EF	31507086
87292	291	1998-01-06	VYDAJ	PREVOD NA UCET	62	51778	SIPO	EF	31507086
87293	291	1998-02-06	VYDAJ	PREVOD NA UCET	62	27290	SIPO	EF	31507086
87294	291	1998-03-06	VYDAJ	PREVOD NA UCET	62	39221	SIPO	EF	31507086
87295	291	1998-04-06	VYDAJ	PREVOD NA UCET	62	63087	SIPO	EF	31507086
87296	291	1998-05-06	VYDAJ	PREVOD NA UCET	62	62925	SIPO	EF	31507086
87297	291	1998-06-06	VYDAJ	PREVOD NA UCET	62	20344	SIPO	EF	31507086
87298	291	1998-07-06	VYDAJ	PREVOD NA UCET	62	26582	SIPO	EF	31507086
87299	291	1998-08-06	VYDAJ	PREVOD NA UCET	62	53079	SIPO	EF	31507086
87300	291	1998-09-06	VYDAJ	PREVOD NA UCET	62	78011	SIPO	EF	31507086
87301	291	1998-10-06	VYDAJ	PREVOD NA UCET	62	74828	SIPO	EF	31507086
87302	291	1998-11-06	VYDAJ	PREVOD NA UCET	62	101702	SIPO	EF	31507086
87303	291	1998-12-06	VYDAJ	PREVOD NA UCET	62	68520	SIPO	EF	31507086
87311	291	1997-08-12	VYDAJ	PREVOD NA UCET	12925	77310	 	YZ	27026367
87312	291	1997-09-12	VYDAJ	PREVOD NA UCET	12925	48041	 	YZ	27026367
87313	291	1997-10-12	VYDAJ	PREVOD NA UCET	12925	21699	 	YZ	27026367
87314	291	1997-11-12	VYDAJ	PREVOD NA UCET	12925	10440	 	YZ	27026367
87315	291	1997-12-12	VYDAJ	PREVOD NA UCET	12925	36892	 	YZ	27026367
87316	291	1998-01-12	VYDAJ	PREVOD NA UCET	12925	11051	 	YZ	27026367
87317	291	1998-02-12	VYDAJ	PREVOD NA UCET	12925	64020	 	YZ	27026367
87318	291	1998-03-12	VYDAJ	PREVOD NA UCET	12925	66180	 	YZ	27026367
87319	291	1998-04-12	VYDAJ	PREVOD NA UCET	12925	50162	 	YZ	27026367
87320	291	1998-05-12	VYDAJ	PREVOD NA UCET	12925	72309	 	YZ	27026367
87321	291	1998-06-12	VYDAJ	PREVOD NA UCET	12925	7419	 	YZ	27026367
87322	291	1998-07-12	VYDAJ	PREVOD NA UCET	12925	13657	 	YZ	27026367
87323	291	1998-08-12	VYDAJ	PREVOD NA UCET	12925	40154	 	YZ	27026367
87324	291	1998-09-12	VYDAJ	PREVOD NA UCET	12925	83702	 	YZ	27026367
87325	291	1998-10-12	VYDAJ	PREVOD NA UCET	12925	61903	 	YZ	27026367
87326	291	1998-11-12	VYDAJ	PREVOD NA UCET	12925	88777	 	YZ	27026367
87327	291	1998-12-12	VYDAJ	PREVOD NA UCET	12925	46895	 	YZ	27026367
87330	291	1997-10-25	VYBER	VYBER	22980	18720	\N	\N	\N
87331	291	1997-09-15	VYBER	VYBER	11159	36882	\N	\N	\N
87333	291	1998-06-02	VYBER	VYBER	17906	72960	\N	\N	\N
87334	291	1998-10-15	VYBER	VYBER	15157	46746	\N	\N	\N
87335	291	1998-09-22	VYBER	VYBER	3085	59699	\N	\N	\N
87336	291	1998-01-07	VYBER	VYBER	20002	31776	\N	\N	\N
87337	291	1998-12-30	VYBER	VYBER	2814	81376	\N	\N	\N
87339	291	1998-03-05	VYBER	VYBER	2720	39283	\N	\N	\N
87340	291	1998-09-19	VYBER	VYBER	19162	64540	\N	\N	\N
87341	291	1998-06-04	VYBER	VYBER	17291	40669	\N	\N	\N
87342	291	1998-06-06	VYBER	VYBER	20263	20406	\N	\N	\N
87347	291	1997-12-07	VYDAJ	VYBER	6900	49817	\N	\N	\N
87348	291	1998-12-08	VYDAJ	VYBER	8700	59820	\N	\N	\N
87356	291	1998-01-01	VYDAJ	VYBER	4200	68940	\N	\N	\N
87358	291	1998-01-10	VYDAJ	VYBER	7800	23976	\N	\N	\N
87359	291	1998-01-21	VYDAJ	VYBER	5700	29529	\N	\N	\N
87360	291	1998-01-23	VYDAJ	VYBER	8700	20829	\N	\N	\N
87363	291	1997-11-16	VYDAJ	VYBER	9900	30690	\N	\N	\N
87366	291	1998-01-19	VYDAJ	VYBER	11100	35229	\N	\N	\N
87367	291	1998-02-21	VYDAJ	VYBER	11700	39720	\N	\N	\N
87368	291	1998-03-21	VYDAJ	VYBER	6300	59880	\N	\N	\N
87369	291	1998-05-16	VYDAJ	VYBER	10500	61809	\N	\N	\N
87370	291	1998-04-20	VYDAJ	VYBER	2400	42962	\N	\N	\N
87371	291	1998-10-31	VYDAJ	VYBER	7500	52182	\N	\N	\N
87372	291	1998-03-07	VYDAJ	VYBER	9000	30221	\N	\N	\N
87373	291	1998-02-14	VYDAJ	VYBER	12600	51420	\N	\N	\N
87374	291	1998-04-13	VYDAJ	VYBER	4800	45362	\N	\N	\N
87383	291	1997-08-31	VYDAJ	VYBER	15	94528	SLUZBY	\N	\N
87384	291	1997-09-30	VYDAJ	VYBER	15	37086	SLUZBY	\N	\N
87385	291	1997-10-31	VYDAJ	VYBER	15	18827	SLUZBY	\N	\N
87386	291	1997-11-30	VYDAJ	VYBER	15	78279	SLUZBY	\N	\N
87387	291	1997-12-31	VYDAJ	VYBER	15	73140	SLUZBY	\N	\N
87388	291	1998-01-31	VYDAJ	VYBER	15	20952	SLUZBY	\N	\N
87389	291	1998-02-28	VYDAJ	VYBER	15	39903	SLUZBY	\N	\N
87390	291	1998-03-31	VYDAJ	VYBER	15	60100	SLUZBY	\N	\N
87391	291	1998-04-30	VYDAJ	VYBER	15	43159	SLUZBY	\N	\N
87392	291	1998-05-31	VYDAJ	VYBER	15	67184	SLUZBY	\N	\N
87393	291	1998-06-30	VYDAJ	VYBER	15	14144	SLUZBY	\N	\N
87394	291	1998-07-31	VYDAJ	VYBER	15	60841	SLUZBY	\N	\N
87395	291	1998-08-31	VYDAJ	VYBER	15	75492	SLUZBY	\N	\N
87396	291	1998-09-30	VYDAJ	VYBER	15	103890	SLUZBY	\N	\N
87397	291	1998-10-31	VYDAJ	VYBER	15	59682	SLUZBY	\N	\N
87398	291	1998-11-30	VYDAJ	VYBER	15	68582	SLUZBY	\N	\N
87399	291	1997-07-08	VYDAJ	VYBER	1500	27896	\N	\N	\N
87400	291	1997-08-07	VYDAJ	VYBER	26900	53918	\N	\N	\N
87401	291	1997-08-09	VYDAJ	VYBER	35100	90235	\N	\N	\N
87402	291	1997-08-14	VYDAJ	VYBER	26800	95091	\N	\N	\N
87403	291	1997-08-20	VYDAJ	VYBER	49600	94199	\N	\N	\N
87404	291	1997-09-06	VYDAJ	VYBER	33500	61028	\N	\N	\N
87405	291	1997-10-06	VYDAJ	VYBER	2400	34624	\N	\N	\N
87406	291	1997-11-05	PRIJEM	VKLAD	4600	23427	\N	\N	\N
87407	291	1997-12-05	VYDAJ	VYBER	21500	56779	\N	\N	\N
87408	291	1997-12-21	VYDAJ	VYBER	55900	75819	\N	\N	\N
87409	291	1997-12-23	VYDAJ	VYBER	50300	72877	\N	\N	\N
87410	291	1998-01-04	VYDAJ	VYBER	17100	51840	\N	\N	\N
87411	291	1998-02-03	PRIJEM	VKLAD	6400	27352	\N	\N	\N
87412	291	1998-03-05	PRIJEM	VKLAD	2100	42003	\N	\N	\N
87413	291	1998-04-04	VYDAJ	VYBER	12900	63149	\N	\N	\N
87414	291	1998-05-04	VYDAJ	VYBER	15000	62987	\N	\N	\N
87415	291	1998-05-09	VYDAJ	VYBER	43000	94178	\N	\N	\N
87416	291	1998-05-10	VYDAJ	VYBER	46800	85234	\N	\N	\N
87417	291	1998-06-03	VYDAJ	VYBER	15000	57960	\N	\N	\N
87418	291	1998-07-03	PRIJEM	VKLAD	12500	26644	\N	\N	\N
87419	291	1998-08-02	VYDAJ	VYBER	7700	53141	\N	\N	\N
87420	291	1998-08-30	VYDAJ	VYBER	36500	75244	\N	\N	\N
87421	291	1998-09-01	VYDAJ	VYBER	16500	58992	\N	\N	\N
87422	291	1998-09-11	VYDAJ	VYBER	38300	96627	\N	\N	\N
87423	291	1998-09-20	VYDAJ	VYBER	48900	62784	\N	\N	\N
87424	291	1998-10-01	VYDAJ	VYBER	29000	74890	\N	\N	\N
87425	291	1998-10-31	VYDAJ	VYBER	11300	59697	\N	\N	\N
87426	291	1998-11-15	VYDAJ	VYBER	18300	96772	\N	\N	\N
87427	291	1998-11-28	VYDAJ	VYBER	63200	105315	\N	\N	\N
87428	291	1998-11-30	VYDAJ	VYBER	37100	68597	\N	\N	\N
87448	292	1997-02-26	PRIJEM	VKLAD	400	400	\N	\N	\N
87451	292	1997-03-11	PRIJEM	PREVOD Z UCTU	4696	5096	DUCHOD	QR	54123032
87452	292	1997-04-11	PRIJEM	PREVOD Z UCTU	4696	9792	DUCHOD	QR	54123032
87453	292	1997-05-11	PRIJEM	PREVOD Z UCTU	4696	14488	DUCHOD	QR	54123032
87454	292	1997-06-11	PRIJEM	PREVOD Z UCTU	4696	17393	DUCHOD	QR	54123032
87455	292	1997-07-11	PRIJEM	PREVOD Z UCTU	4696	17141	DUCHOD	QR	54123032
87456	292	1997-08-11	PRIJEM	PREVOD Z UCTU	4696	15589	DUCHOD	QR	54123032
87457	292	1997-09-11	PRIJEM	PREVOD Z UCTU	4696	16062	DUCHOD	QR	54123032
87458	292	1997-10-11	PRIJEM	PREVOD Z UCTU	4696	14032	DUCHOD	QR	54123032
87459	292	1997-11-11	PRIJEM	PREVOD Z UCTU	4696	13178	DUCHOD	QR	54123032
87460	292	1997-12-11	PRIJEM	PREVOD Z UCTU	4696	15925	DUCHOD	QR	54123032
87461	292	1998-01-11	PRIJEM	PREVOD Z UCTU	4696	12725	DUCHOD	QR	54123032
87462	292	1998-02-11	PRIJEM	PREVOD Z UCTU	4696	14749	DUCHOD	QR	54123032
87463	292	1998-03-11	PRIJEM	PREVOD Z UCTU	4696	16379	DUCHOD	QR	54123032
87464	292	1998-04-11	PRIJEM	PREVOD Z UCTU	4696	19139	DUCHOD	QR	54123032
87465	292	1998-05-11	PRIJEM	PREVOD Z UCTU	4696	17985	DUCHOD	QR	54123032
87466	292	1998-06-11	PRIJEM	PREVOD Z UCTU	4696	20751	DUCHOD	QR	54123032
87467	292	1998-07-11	PRIJEM	PREVOD Z UCTU	4696	23529	DUCHOD	QR	54123032
87468	292	1998-08-11	PRIJEM	PREVOD Z UCTU	4696	26319	DUCHOD	QR	54123032
87469	292	1998-09-11	PRIJEM	PREVOD Z UCTU	4696	29120	DUCHOD	QR	54123032
87470	292	1998-10-11	PRIJEM	PREVOD Z UCTU	4696	15606	DUCHOD	QR	54123032
87471	292	1998-11-11	PRIJEM	PREVOD Z UCTU	4696	18363	DUCHOD	QR	54123032
87472	292	1998-12-11	PRIJEM	PREVOD Z UCTU	4696	21131	DUCHOD	QR	54123032
87480	292	1997-08-08	VYDAJ	PREVOD NA UCET	1986	10893	SIPO	KL	722319
87481	292	1997-09-08	VYDAJ	PREVOD NA UCET	1986	11366	SIPO	KL	722319
87482	292	1997-10-08	VYDAJ	PREVOD NA UCET	1986	9336	SIPO	KL	722319
87483	292	1997-11-08	VYDAJ	PREVOD NA UCET	1986	8482	SIPO	KL	722319
87484	292	1997-12-08	VYDAJ	PREVOD NA UCET	1986	11229	SIPO	KL	722319
87485	292	1998-01-08	VYDAJ	PREVOD NA UCET	1986	8029	SIPO	KL	722319
87486	292	1998-02-08	VYDAJ	PREVOD NA UCET	1986	10053	SIPO	KL	722319
87487	292	1998-03-08	VYDAJ	PREVOD NA UCET	1986	11683	SIPO	KL	722319
87488	292	1998-04-08	VYDAJ	PREVOD NA UCET	1986	14443	SIPO	KL	722319
87489	292	1998-05-08	VYDAJ	PREVOD NA UCET	1986	13289	SIPO	KL	722319
87490	292	1998-06-08	VYDAJ	PREVOD NA UCET	1986	16055	SIPO	KL	722319
87491	292	1998-07-08	VYDAJ	PREVOD NA UCET	1986	18833	SIPO	KL	722319
87492	292	1998-08-08	VYDAJ	PREVOD NA UCET	1986	21623	SIPO	KL	722319
87493	292	1998-09-08	VYDAJ	PREVOD NA UCET	1986	24424	SIPO	KL	722319
87494	292	1998-10-08	VYDAJ	PREVOD NA UCET	1986	10910	SIPO	KL	722319
87495	292	1998-11-08	VYDAJ	PREVOD NA UCET	1986	13667	SIPO	KL	722319
87496	292	1998-12-08	VYDAJ	PREVOD NA UCET	1986	16435	SIPO	KL	722319
87499	292	1997-12-18	VYDAJ	VYBER	850	15075	\N	\N	\N
87500	292	1998-12-29	VYDAJ	VYBER	900	20231	\N	\N	\N
87508	292	1998-01-26	VYDAJ	VYBER	720	12005	\N	\N	\N
87515	292	1997-10-20	VYDAJ	VYBER	800	13232	\N	\N	\N
87517	292	1997-08-13	VYDAJ	VYBER	480	15109	\N	\N	\N
87519	292	1997-09-14	VYDAJ	VYBER	2880	13182	\N	\N	\N
87520	292	1998-04-20	VYDAJ	VYBER	3920	15219	\N	\N	\N
87522	292	1998-02-13	VYDAJ	VYBER	1120	13629	\N	\N	\N
87530	292	1997-07-31	VYDAJ	VYBER	15	12879	SLUZBY	\N	\N
87531	292	1997-08-31	VYDAJ	VYBER	15	13352	SLUZBY	\N	\N
87532	292	1997-09-30	VYDAJ	VYBER	15	11322	SLUZBY	\N	\N
87533	292	1997-10-31	VYDAJ	VYBER	15	10468	SLUZBY	\N	\N
87534	292	1997-11-30	VYDAJ	VYBER	15	13215	SLUZBY	\N	\N
87535	292	1997-12-31	VYDAJ	VYBER	15	10015	SLUZBY	\N	\N
87536	292	1998-01-31	VYDAJ	VYBER	15	12039	SLUZBY	\N	\N
87537	292	1998-02-28	VYDAJ	VYBER	15	13669	SLUZBY	\N	\N
87538	292	1998-03-31	VYDAJ	VYBER	15	16429	SLUZBY	\N	\N
87539	292	1998-04-30	VYDAJ	VYBER	15	15275	SLUZBY	\N	\N
87540	292	1998-05-31	VYDAJ	VYBER	15	18041	SLUZBY	\N	\N
87541	292	1998-06-30	VYDAJ	VYBER	15	20819	SLUZBY	\N	\N
87542	292	1998-07-31	VYDAJ	VYBER	15	23609	SLUZBY	\N	\N
87543	292	1998-08-31	VYDAJ	VYBER	15	26410	SLUZBY	\N	\N
87544	292	1998-09-30	VYDAJ	VYBER	15	12896	SLUZBY	\N	\N
87545	292	1998-10-31	VYDAJ	VYBER	15	15653	SLUZBY	\N	\N
87546	292	1998-11-30	VYDAJ	VYBER	15	18421	SLUZBY	\N	\N
87547	292	1997-05-27	VYDAJ	VYBER	1800	12688	\N	\N	\N
87548	292	1997-06-26	VYDAJ	VYBER	5000	12393	\N	\N	\N
87549	292	1997-07-26	VYDAJ	VYBER	4300	12841	\N	\N	\N
87550	292	1997-08-25	VYDAJ	VYBER	1800	13309	\N	\N	\N
87551	292	1997-09-24	VYDAJ	VYBER	1900	11282	\N	\N	\N
87552	292	1997-10-24	VYDAJ	VYBER	2800	10432	\N	\N	\N
87553	292	1997-12-23	VYDAJ	VYBER	5100	9975	\N	\N	\N
87554	292	1998-09-19	VYDAJ	VYBER	16300	12820	\N	\N	\N
87575	293	1997-05-04	PRIJEM	VKLAD	600	600	\N	\N	\N
87580	293	1997-05-05	PRIJEM	VKLAD	10770	11370	\N	\N	\N
87581	293	1997-06-05	PRIJEM	VKLAD	16155	37766	\N	\N	\N
87582	293	1997-07-05	PRIJEM	VKLAD	10770	42679	\N	\N	\N
87583	293	1997-08-05	PRIJEM	VKLAD	10770	47224	\N	\N	\N
87584	293	1997-09-05	PRIJEM	VKLAD	10770	50289	\N	\N	\N
87585	293	1997-10-05	PRIJEM	VKLAD	10770	50397	\N	\N	\N
87586	293	1997-11-05	PRIJEM	VKLAD	10770	44903	\N	\N	\N
87587	293	1997-12-05	PRIJEM	VKLAD	16155	50469	\N	\N	\N
87588	293	1998-01-05	PRIJEM	VKLAD	10770	41066	\N	\N	\N
87589	293	1998-02-05	PRIJEM	VKLAD	10770	33055	\N	\N	\N
87590	293	1998-03-05	PRIJEM	VKLAD	10770	38530	\N	\N	\N
87591	293	1998-04-05	PRIJEM	VKLAD	10770	40977	\N	\N	\N
87592	293	1998-05-05	PRIJEM	VKLAD	10770	39911	\N	\N	\N
87593	293	1998-06-05	PRIJEM	VKLAD	16155	44652	\N	\N	\N
87594	293	1998-07-05	PRIJEM	VKLAD	10770	44211	\N	\N	\N
87595	293	1998-08-05	PRIJEM	VKLAD	10770	43174	\N	\N	\N
87596	293	1998-09-05	PRIJEM	VKLAD	10770	37886	\N	\N	\N
87597	293	1998-10-05	PRIJEM	VKLAD	10770	27415	\N	\N	\N
87598	293	1998-11-05	PRIJEM	VKLAD	10770	25117	\N	\N	\N
87599	293	1998-12-05	PRIJEM	VKLAD	16155	29485	\N	\N	\N
87608	293	1997-09-13	VYDAJ	PREVOD NA UCET	1636	47287	SIPO	QR	11480212
87609	293	1997-10-13	VYDAJ	PREVOD NA UCET	1636	46550	SIPO	QR	11480212
87610	293	1997-11-13	VYDAJ	PREVOD NA UCET	1636	39501	SIPO	QR	11480212
87611	293	1997-12-13	VYDAJ	PREVOD NA UCET	1636	45227	SIPO	QR	11480212
87612	293	1998-01-13	VYDAJ	PREVOD NA UCET	1636	27539	SIPO	QR	11480212
87613	293	1998-02-13	VYDAJ	PREVOD NA UCET	1636	29208	SIPO	QR	11480212
87614	293	1998-03-13	VYDAJ	PREVOD NA UCET	1636	34683	SIPO	QR	11480212
87615	293	1998-04-13	VYDAJ	PREVOD NA UCET	1636	37975	SIPO	QR	11480212
87616	293	1998-05-13	VYDAJ	PREVOD NA UCET	1636	36909	SIPO	QR	11480212
87617	293	1998-06-13	VYDAJ	PREVOD NA UCET	1636	41650	SIPO	QR	11480212
87618	293	1998-07-13	VYDAJ	PREVOD NA UCET	1636	41209	SIPO	QR	11480212
87619	293	1998-08-13	VYDAJ	PREVOD NA UCET	1636	36332	SIPO	QR	11480212
87620	293	1998-09-13	VYDAJ	PREVOD NA UCET	1636	34884	SIPO	QR	11480212
87621	293	1998-10-13	VYDAJ	PREVOD NA UCET	1636	23568	SIPO	QR	11480212
87622	293	1998-11-13	VYDAJ	PREVOD NA UCET	1636	22115	SIPO	QR	11480212
87623	293	1998-12-13	VYDAJ	PREVOD NA UCET	1636	26483	SIPO	QR	11480212
87632	293	1997-09-13	VYDAJ	PREVOD NA UCET	845	46442	 	QR	85708903
87633	293	1997-10-13	VYDAJ	PREVOD NA UCET	845	48186	 	QR	85708903
87634	293	1997-11-13	VYDAJ	PREVOD NA UCET	845	38656	 	QR	85708903
87635	293	1997-12-13	VYDAJ	PREVOD NA UCET	845	44382	 	QR	85708903
87636	293	1998-01-13	VYDAJ	PREVOD NA UCET	845	29175	 	QR	85708903
87637	293	1998-02-13	VYDAJ	PREVOD NA UCET	845	30844	 	QR	85708903
87638	293	1998-03-13	VYDAJ	PREVOD NA UCET	845	36319	 	QR	85708903
87639	293	1998-04-13	VYDAJ	PREVOD NA UCET	845	37130	 	QR	85708903
87640	293	1998-05-13	VYDAJ	PREVOD NA UCET	845	36064	 	QR	85708903
87641	293	1998-06-13	VYDAJ	PREVOD NA UCET	845	40805	 	QR	85708903
87642	293	1998-07-13	VYDAJ	PREVOD NA UCET	845	40364	 	QR	85708903
87643	293	1998-08-13	VYDAJ	PREVOD NA UCET	845	35487	 	QR	85708903
87644	293	1998-09-13	VYDAJ	PREVOD NA UCET	845	34039	 	QR	85708903
87645	293	1998-10-13	VYDAJ	PREVOD NA UCET	845	25204	 	QR	85708903
87646	293	1998-11-13	VYDAJ	PREVOD NA UCET	845	21270	 	QR	85708903
87647	293	1998-12-13	VYDAJ	PREVOD NA UCET	845	25638	 	QR	85708903
87656	293	1997-09-11	VYDAJ	PREVOD NA UCET	1366	48923	POJISTNE	EF	34143477
87657	293	1997-10-11	VYDAJ	PREVOD NA UCET	1366	49031	POJISTNE	EF	34143477
87658	293	1997-11-11	VYDAJ	PREVOD NA UCET	1366	41137	POJISTNE	EF	34143477
87659	293	1997-12-11	VYDAJ	PREVOD NA UCET	1366	46863	POJISTNE	EF	34143477
87660	293	1998-01-11	VYDAJ	PREVOD NA UCET	1366	33380	POJISTNE	EF	34143477
87661	293	1998-02-11	VYDAJ	PREVOD NA UCET	1366	31689	POJISTNE	EF	34143477
87662	293	1998-03-11	VYDAJ	PREVOD NA UCET	1366	37164	POJISTNE	EF	34143477
87663	293	1998-04-11	VYDAJ	PREVOD NA UCET	1366	39611	POJISTNE	EF	34143477
87664	293	1998-05-11	VYDAJ	PREVOD NA UCET	1366	38545	POJISTNE	EF	34143477
87665	293	1998-06-11	VYDAJ	PREVOD NA UCET	1366	43286	POJISTNE	EF	34143477
87666	293	1998-07-11	VYDAJ	PREVOD NA UCET	1366	42845	POJISTNE	EF	34143477
87667	293	1998-08-11	VYDAJ	PREVOD NA UCET	1366	37968	POJISTNE	EF	34143477
87668	293	1998-09-11	VYDAJ	PREVOD NA UCET	1366	36520	POJISTNE	EF	34143477
87669	293	1998-10-11	VYDAJ	PREVOD NA UCET	1366	26049	POJISTNE	EF	34143477
87670	293	1998-11-11	VYDAJ	PREVOD NA UCET	1366	23751	POJISTNE	EF	34143477
87671	293	1998-12-11	VYDAJ	PREVOD NA UCET	1366	28119	POJISTNE	EF	34143477
87675	293	1998-01-10	VYDAJ	VYBER	4160	34746	\N	\N	\N
87676	293	1997-12-09	VYDAJ	VYBER	2240	48229	\N	\N	\N
87684	293	1998-01-25	VYDAJ	VYBER	2280	22379	\N	\N	\N
87685	293	1998-01-22	VYDAJ	VYBER	2160	25379	\N	\N	\N
87686	293	1998-01-12	VYDAJ	VYBER	3360	30020	\N	\N	\N
87687	293	1998-01-24	VYDAJ	VYBER	720	24659	\N	\N	\N
87688	293	1998-01-02	VYDAJ	VYBER	1320	30296	\N	\N	\N
87689	293	1998-01-08	VYDAJ	VYBER	2160	38906	\N	\N	\N
87694	293	1997-11-05	VYDAJ	VYBER	2400	42503	\N	\N	\N
87696	293	1997-12-20	VYDAJ	VYBER	3720	40662	\N	\N	\N
87697	293	1998-02-20	VYDAJ	VYBER	4440	24768	\N	\N	\N
87698	293	1998-08-07	VYDAJ	VYBER	3840	39334	\N	\N	\N
87699	293	1998-05-02	VYDAJ	VYBER	1320	29141	\N	\N	\N
87700	293	1998-10-01	VYDAJ	VYBER	5760	16645	\N	\N	\N
87701	293	1998-09-14	VYDAJ	VYBER	2040	31999	\N	\N	\N
87711	293	1997-09-30	VYDAJ	VYBER	15	46627	SLUZBY	\N	\N
87712	293	1997-10-31	VYDAJ	VYBER	15	46733	SLUZBY	\N	\N
87713	293	1997-11-30	VYDAJ	VYBER	15	34314	SLUZBY	\N	\N
87714	293	1997-12-31	VYDAJ	VYBER	15	31616	SLUZBY	\N	\N
87715	293	1998-01-31	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
87716	293	1998-02-28	VYDAJ	VYBER	15	27760	SLUZBY	\N	\N
87717	293	1998-03-31	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
87718	293	1998-04-30	VYDAJ	VYBER	15	30461	SLUZBY	\N	\N
87719	293	1998-05-31	VYDAJ	VYBER	15	28497	SLUZBY	\N	\N
87720	293	1998-06-30	VYDAJ	VYBER	15	33441	SLUZBY	\N	\N
87721	293	1998-07-31	VYDAJ	VYBER	15	32404	SLUZBY	\N	\N
87722	293	1998-08-31	VYDAJ	VYBER	15	27116	SLUZBY	\N	\N
87723	293	1998-09-30	VYDAJ	VYBER	15	22405	SLUZBY	\N	\N
87724	293	1998-10-31	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
87725	293	1998-11-30	VYDAJ	VYBER	15	13330	SLUZBY	\N	\N
87726	293	1997-06-03	PRIJEM	VKLAD	10200	21611	\N	\N	\N
87727	293	1997-07-03	VYDAJ	VYBER	6000	31909	\N	\N	\N
87728	293	1997-08-02	VYDAJ	VYBER	6400	36454	\N	\N	\N
87729	293	1997-09-01	VYDAJ	VYBER	7900	39519	\N	\N	\N
87730	293	1997-10-01	VYDAJ	VYBER	7000	39627	\N	\N	\N
87731	293	1997-10-31	VYDAJ	VYBER	12600	34133	\N	\N	\N
87732	293	1997-11-30	VYDAJ	VYBER	4500	34329	\N	\N	\N
87733	293	1997-12-30	VYDAJ	VYBER	9200	31462	\N	\N	\N
87734	293	1998-01-29	VYDAJ	VYBER	200	22179	\N	\N	\N
87735	293	1998-02-28	PRIJEM	VKLAD	2900	27668	\N	\N	\N
87736	293	1998-03-30	VYDAJ	VYBER	4600	30083	\N	\N	\N
87737	293	1998-04-29	VYDAJ	VYBER	6800	30330	\N	\N	\N
87738	293	1998-05-29	VYDAJ	VYBER	7700	28364	\N	\N	\N
87739	293	1998-06-28	VYDAJ	VYBER	7500	33305	\N	\N	\N
87740	293	1998-07-28	VYDAJ	VYBER	8100	32264	\N	\N	\N
87741	293	1998-08-27	VYDAJ	VYBER	8500	26987	\N	\N	\N
87742	293	1998-09-26	VYDAJ	VYBER	9700	22299	\N	\N	\N
87743	293	1998-10-26	VYDAJ	VYBER	9300	14268	\N	\N	\N
87744	293	1998-11-25	VYDAJ	VYBER	8000	13270	\N	\N	\N
87745	293	1998-12-25	VYDAJ	VYBER	12700	12938	\N	\N	\N
87766	294	1997-01-05	PRIJEM	VKLAD	700	700	\N	\N	\N
87768	294	1997-02-05	PRIJEM	VKLAD	15290	28890	\N	\N	\N
87769	294	1997-03-05	PRIJEM	VKLAD	15290	44283	\N	\N	\N
87770	294	1997-04-05	PRIJEM	VKLAD	15290	51117	\N	\N	\N
87771	294	1997-05-05	PRIJEM	VKLAD	15290	57312	\N	\N	\N
87772	294	1997-06-05	PRIJEM	VKLAD	22935	65840	\N	\N	\N
87773	294	1997-07-05	PRIJEM	VKLAD	15290	65500	\N	\N	\N
87774	294	1997-08-05	PRIJEM	VKLAD	15290	65953	\N	\N	\N
87775	294	1997-09-05	PRIJEM	VKLAD	15290	65408	\N	\N	\N
87776	294	1997-10-05	PRIJEM	VKLAD	15290	62460	\N	\N	\N
87777	294	1997-11-05	PRIJEM	VKLAD	15290	59501	\N	\N	\N
87778	294	1997-12-05	PRIJEM	VKLAD	22935	63872	\N	\N	\N
87779	294	1998-01-05	PRIJEM	VKLAD	15290	53403	\N	\N	\N
87780	294	1998-02-05	PRIJEM	VKLAD	15290	55505	\N	\N	\N
87781	294	1998-03-05	PRIJEM	VKLAD	15290	59014	\N	\N	\N
87782	294	1998-04-05	PRIJEM	VKLAD	15290	63038	\N	\N	\N
87783	294	1998-05-05	PRIJEM	VKLAD	15290	63071	\N	\N	\N
87784	294	1998-06-05	PRIJEM	VKLAD	22935	63051	\N	\N	\N
87785	294	1998-07-05	PRIJEM	VKLAD	15290	57955	\N	\N	\N
87786	294	1998-08-05	PRIJEM	VKLAD	15290	62569	\N	\N	\N
87787	294	1998-09-05	PRIJEM	VKLAD	15290	62300	\N	\N	\N
87788	294	1998-10-05	PRIJEM	VKLAD	15290	66432	\N	\N	\N
87789	294	1998-11-05	PRIJEM	VKLAD	15290	70680	\N	\N	\N
87790	294	1998-12-05	PRIJEM	VKLAD	22935	79589	\N	\N	\N
87796	294	1997-06-11	VYDAJ	PREVOD NA UCET	5842	58267	SIPO	MN	91239595
87797	294	1997-07-11	VYDAJ	PREVOD NA UCET	5842	58927	SIPO	MN	91239595
87798	294	1997-08-11	VYDAJ	PREVOD NA UCET	5842	59380	SIPO	MN	91239595
87799	294	1997-09-11	VYDAJ	PREVOD NA UCET	5842	58835	SIPO	MN	91239595
87800	294	1997-10-11	VYDAJ	PREVOD NA UCET	5842	55887	SIPO	MN	91239595
87801	294	1997-11-11	VYDAJ	PREVOD NA UCET	5842	52928	SIPO	MN	91239595
87802	294	1997-12-11	VYDAJ	PREVOD NA UCET	5842	54299	SIPO	MN	91239595
87803	294	1998-01-11	VYDAJ	PREVOD NA UCET	5842	46830	SIPO	MN	91239595
87804	294	1998-02-11	VYDAJ	PREVOD NA UCET	5842	48932	SIPO	MN	91239595
87805	294	1998-03-11	VYDAJ	PREVOD NA UCET	5842	52441	SIPO	MN	91239595
87806	294	1998-04-11	VYDAJ	PREVOD NA UCET	5842	55465	SIPO	MN	91239595
87807	294	1998-05-11	VYDAJ	PREVOD NA UCET	5842	56498	SIPO	MN	91239595
87808	294	1998-06-11	VYDAJ	PREVOD NA UCET	5842	56478	SIPO	MN	91239595
87809	294	1998-07-11	VYDAJ	PREVOD NA UCET	5842	51382	SIPO	MN	91239595
87810	294	1998-08-11	VYDAJ	PREVOD NA UCET	5842	55996	SIPO	MN	91239595
87811	294	1998-09-11	VYDAJ	PREVOD NA UCET	5842	55727	SIPO	MN	91239595
87812	294	1998-10-11	VYDAJ	PREVOD NA UCET	5842	59859	SIPO	MN	91239595
87813	294	1998-11-11	VYDAJ	PREVOD NA UCET	5842	64107	SIPO	MN	91239595
87814	294	1998-12-11	VYDAJ	PREVOD NA UCET	5842	73016	SIPO	MN	91239595
87820	294	1997-06-10	VYDAJ	PREVOD NA UCET	145	65109	 	KL	94949411
87821	294	1997-07-10	VYDAJ	PREVOD NA UCET	145	64769	 	KL	94949411
87822	294	1997-08-10	VYDAJ	PREVOD NA UCET	145	65222	 	KL	94949411
87823	294	1997-09-10	VYDAJ	PREVOD NA UCET	145	64677	 	KL	94949411
87824	294	1997-10-10	VYDAJ	PREVOD NA UCET	145	61729	 	KL	94949411
87825	294	1997-11-10	VYDAJ	PREVOD NA UCET	145	58770	 	KL	94949411
87826	294	1997-12-10	VYDAJ	PREVOD NA UCET	145	60141	 	KL	94949411
87827	294	1998-01-10	VYDAJ	PREVOD NA UCET	145	52672	 	KL	94949411
87828	294	1998-02-10	VYDAJ	PREVOD NA UCET	145	54774	 	KL	94949411
87829	294	1998-03-10	VYDAJ	PREVOD NA UCET	145	58283	 	KL	94949411
87830	294	1998-04-10	VYDAJ	PREVOD NA UCET	145	61307	 	KL	94949411
87831	294	1998-05-10	VYDAJ	PREVOD NA UCET	145	62340	 	KL	94949411
87832	294	1998-06-10	VYDAJ	PREVOD NA UCET	145	62320	 	KL	94949411
87833	294	1998-07-10	VYDAJ	PREVOD NA UCET	145	57224	 	KL	94949411
87834	294	1998-08-10	VYDAJ	PREVOD NA UCET	145	61838	 	KL	94949411
87835	294	1998-09-10	VYDAJ	PREVOD NA UCET	145	61569	 	KL	94949411
87836	294	1998-10-10	VYDAJ	PREVOD NA UCET	145	65701	 	KL	94949411
87837	294	1998-11-10	VYDAJ	PREVOD NA UCET	145	69949	 	KL	94949411
87838	294	1998-12-10	VYDAJ	PREVOD NA UCET	145	78858	 	KL	94949411
87844	294	1997-06-08	VYDAJ	PREVOD NA UCET	430	65254	POJISTNE	IJ	58432865
87845	294	1997-07-08	VYDAJ	PREVOD NA UCET	430	64914	POJISTNE	IJ	58432865
87846	294	1997-08-08	VYDAJ	PREVOD NA UCET	430	65367	POJISTNE	IJ	58432865
87847	294	1997-09-08	VYDAJ	PREVOD NA UCET	430	64822	POJISTNE	IJ	58432865
87848	294	1997-10-08	VYDAJ	PREVOD NA UCET	430	61874	POJISTNE	IJ	58432865
87849	294	1997-11-08	VYDAJ	PREVOD NA UCET	430	58915	POJISTNE	IJ	58432865
87850	294	1997-12-08	VYDAJ	PREVOD NA UCET	430	60286	POJISTNE	IJ	58432865
87851	294	1998-01-08	VYDAJ	PREVOD NA UCET	430	52817	POJISTNE	IJ	58432865
87852	294	1998-02-08	VYDAJ	PREVOD NA UCET	430	54919	POJISTNE	IJ	58432865
87853	294	1998-03-08	VYDAJ	PREVOD NA UCET	430	58428	POJISTNE	IJ	58432865
87854	294	1998-04-08	VYDAJ	PREVOD NA UCET	430	62452	POJISTNE	IJ	58432865
87855	294	1998-05-08	VYDAJ	PREVOD NA UCET	430	62485	POJISTNE	IJ	58432865
87856	294	1998-06-08	VYDAJ	PREVOD NA UCET	430	62465	POJISTNE	IJ	58432865
87857	294	1998-07-08	VYDAJ	PREVOD NA UCET	430	57369	POJISTNE	IJ	58432865
87858	294	1998-08-08	VYDAJ	PREVOD NA UCET	430	61983	POJISTNE	IJ	58432865
87859	294	1998-09-08	VYDAJ	PREVOD NA UCET	430	61714	POJISTNE	IJ	58432865
87860	294	1998-10-08	VYDAJ	PREVOD NA UCET	430	65846	POJISTNE	IJ	58432865
87861	294	1998-11-08	VYDAJ	PREVOD NA UCET	430	70094	POJISTNE	IJ	58432865
87862	294	1998-12-08	VYDAJ	PREVOD NA UCET	430	79003	POJISTNE	IJ	58432865
87868	294	1997-06-05	VYDAJ	PREVOD NA UCET	156	65684	 	UV	58291846
87869	294	1997-07-05	VYDAJ	PREVOD NA UCET	156	65344	 	UV	58291846
87870	294	1997-08-05	VYDAJ	PREVOD NA UCET	156	65797	 	UV	58291846
87871	294	1997-09-05	VYDAJ	PREVOD NA UCET	156	65252	 	UV	58291846
87872	294	1997-10-05	VYDAJ	PREVOD NA UCET	156	62304	 	UV	58291846
87873	294	1997-11-05	VYDAJ	PREVOD NA UCET	156	59345	 	UV	58291846
87874	294	1997-12-05	VYDAJ	PREVOD NA UCET	156	63716	 	UV	58291846
87875	294	1998-01-05	VYDAJ	PREVOD NA UCET	156	53247	 	UV	58291846
87876	294	1998-02-05	VYDAJ	PREVOD NA UCET	156	55349	 	UV	58291846
87877	294	1998-03-05	VYDAJ	PREVOD NA UCET	156	58858	 	UV	58291846
87878	294	1998-04-05	VYDAJ	PREVOD NA UCET	156	62882	 	UV	58291846
87879	294	1998-05-05	VYDAJ	PREVOD NA UCET	156	62915	 	UV	58291846
87880	294	1998-06-05	VYDAJ	PREVOD NA UCET	156	62895	 	UV	58291846
87881	294	1998-07-05	VYDAJ	PREVOD NA UCET	156	57799	 	UV	58291846
87882	294	1998-08-05	VYDAJ	PREVOD NA UCET	156	62413	 	UV	58291846
87883	294	1998-09-05	VYDAJ	PREVOD NA UCET	156	62144	 	UV	58291846
87884	294	1998-10-05	VYDAJ	PREVOD NA UCET	156	66276	 	UV	58291846
87885	294	1998-11-05	VYDAJ	PREVOD NA UCET	156	70524	 	UV	58291846
87886	294	1998-12-05	VYDAJ	PREVOD NA UCET	156	79433	 	UV	58291846
87888	294	1998-06-18	VYDAJ	VYBER	18400	38078	\N	\N	\N
87890	294	1998-01-01	VYDAJ	VYBER	8300	38113	\N	\N	\N
87891	294	1997-12-04	VYDAJ	VYBER	2700	40937	\N	\N	\N
87892	294	1998-12-18	VYDAJ	VYBER KARTOU	1200	67216	\N	\N	0
87893	294	1997-06-11	VYDAJ	VYBER	1000	64109	\N	\N	\N
87894	294	1997-12-06	VYDAJ	VYBER	3000	60716	\N	\N	\N
87895	294	1997-09-29	VYDAJ	VYBER	2700	56135	\N	\N	\N
87896	294	1997-11-03	VYDAJ	VYBER	3600	44211	\N	\N	\N
87898	294	1998-04-08	VYDAJ	VYBER KARTOU	1000	61452	\N	\N	0
87899	294	1998-06-02	VYDAJ	VYBER	4200	40116	\N	\N	\N
87900	294	1998-12-17	VYDAJ	VYBER	4600	68416	\N	\N	\N
87901	294	1998-02-04	VYDAJ	VYBER	4600	40215	\N	\N	\N
87908	294	1997-06-30	VYDAJ	VYBER	15	58510	SLUZBY	\N	\N
87909	294	1997-07-31	VYDAJ	VYBER	15	59163	SLUZBY	\N	\N
87910	294	1997-08-31	VYDAJ	VYBER	15	59618	SLUZBY	\N	\N
87911	294	1997-09-30	VYDAJ	VYBER	15	56370	SLUZBY	\N	\N
87912	294	1997-10-31	VYDAJ	VYBER	15	56111	SLUZBY	\N	\N
87913	294	1997-11-30	VYDAJ	VYBER	15	53137	SLUZBY	\N	\N
87914	294	1997-12-31	VYDAJ	VYBER	15	46413	SLUZBY	\N	\N
87915	294	1998-01-31	VYDAJ	VYBER	15	44815	SLUZBY	\N	\N
87916	294	1998-02-28	VYDAJ	VYBER	15	49124	SLUZBY	\N	\N
87917	294	1998-03-31	VYDAJ	VYBER	15	47748	SLUZBY	\N	\N
87918	294	1998-04-30	VYDAJ	VYBER	15	47781	SLUZBY	\N	\N
87919	294	1998-05-31	VYDAJ	VYBER	15	44316	SLUZBY	\N	\N
87920	294	1998-06-30	VYDAJ	VYBER	15	42665	SLUZBY	\N	\N
87921	294	1998-07-31	VYDAJ	VYBER	15	47279	SLUZBY	\N	\N
87922	294	1998-08-31	VYDAJ	VYBER	15	47010	SLUZBY	\N	\N
87923	294	1998-09-30	VYDAJ	VYBER	15	51142	SLUZBY	\N	\N
87924	294	1998-10-31	VYDAJ	VYBER	15	55390	SLUZBY	\N	\N
87925	294	1998-11-30	VYDAJ	VYBER	15	56654	SLUZBY	\N	\N
87926	294	1997-02-04	PRIJEM	VKLAD	12900	13600	\N	\N	\N
87927	294	1997-03-06	VYDAJ	VYBER	8600	35683	\N	\N	\N
87928	294	1997-04-05	VYDAJ	VYBER	9300	41817	\N	\N	\N
87929	294	1997-05-05	VYDAJ	VYBER	11600	45712	\N	\N	\N
87930	294	1997-06-04	VYDAJ	VYBER	3000	42905	\N	\N	\N
87931	294	1997-07-04	VYDAJ	VYBER	8300	50210	\N	\N	\N
87932	294	1997-08-03	VYDAJ	VYBER	8500	50663	\N	\N	\N
87933	294	1997-09-02	VYDAJ	VYBER	9500	50118	\N	\N	\N
87934	294	1997-10-02	VYDAJ	VYBER	9200	47170	\N	\N	\N
87935	294	1997-11-01	VYDAJ	VYBER	8300	47811	\N	\N	\N
87936	294	1997-12-01	VYDAJ	VYBER	9500	43637	\N	\N	\N
87937	294	1997-12-31	VYDAJ	VYBER	8100	46428	\N	\N	\N
87938	294	1998-01-30	VYDAJ	VYBER	2200	44630	\N	\N	\N
87939	294	1998-03-01	VYDAJ	VYBER	5400	43724	\N	\N	\N
87940	294	1998-03-31	VYDAJ	VYBER	4900	47762	\N	\N	\N
87941	294	1998-04-30	VYDAJ	VYBER	7900	47796	\N	\N	\N
87942	294	1998-05-30	VYDAJ	VYBER	12400	44098	\N	\N	\N
87943	294	1998-06-29	PRIJEM	VKLAD	4400	42478	\N	\N	\N
87944	294	1998-07-29	VYDAJ	VYBER	4300	47082	\N	\N	\N
87945	294	1998-08-28	VYDAJ	VYBER	9200	46796	\N	\N	\N
87946	294	1998-09-27	VYDAJ	VYBER	4800	50927	\N	\N	\N
87947	294	1998-10-27	VYDAJ	VYBER	4700	55159	\N	\N	\N
87948	294	1998-11-26	VYDAJ	VYBER	7700	56407	\N	\N	\N
87972	295	1997-11-23	PRIJEM	VKLAD	200	200	\N	\N	\N
87984	295	1997-12-07	PRIJEM	VKLAD	31446	31646	\N	\N	\N
87985	295	1998-01-07	PRIJEM	VKLAD	20964	49745	\N	\N	\N
87986	295	1998-02-07	PRIJEM	VKLAD	20964	55436	\N	\N	\N
87987	295	1998-03-07	PRIJEM	VKLAD	20964	60850	\N	\N	\N
87988	295	1998-04-07	PRIJEM	VKLAD	20964	62882	\N	\N	\N
87989	295	1998-05-07	PRIJEM	VKLAD	20964	54914	\N	\N	\N
87990	295	1998-06-07	PRIJEM	VKLAD	31446	64950	\N	\N	\N
87991	295	1998-07-07	PRIJEM	VKLAD	20964	31115	\N	\N	\N
87992	295	1998-08-07	PRIJEM	VKLAD	20964	39583	\N	\N	\N
87993	295	1998-09-07	PRIJEM	VKLAD	20964	36686	\N	\N	\N
87994	295	1998-10-07	PRIJEM	VKLAD	20964	44233	\N	\N	\N
87995	295	1998-11-07	PRIJEM	VKLAD	20964	43378	\N	\N	\N
87996	295	1998-12-07	PRIJEM	VKLAD	31446	58269	\N	\N	\N
88013	295	1998-05-05	VYDAJ	PREVOD NA UCET	6992	33950	SIPO	AB	78368478
88014	295	1998-06-05	VYDAJ	PREVOD NA UCET	6992	33504	SIPO	AB	78368478
88015	295	1998-07-05	VYDAJ	PREVOD NA UCET	6992	10151	SIPO	AB	78368478
88016	295	1998-08-05	VYDAJ	PREVOD NA UCET	6992	18619	SIPO	AB	78368478
88017	295	1998-09-05	VYDAJ	PREVOD NA UCET	6992	15722	SIPO	AB	78368478
88018	295	1998-10-05	VYDAJ	PREVOD NA UCET	6992	23269	SIPO	AB	78368478
88019	295	1998-11-05	VYDAJ	PREVOD NA UCET	6992	22414	SIPO	AB	78368478
88020	295	1998-12-05	VYDAJ	PREVOD NA UCET	6992	26823	SIPO	AB	78368478
88022	295	1998-06-22	VYDAJ	VYBER	27680	16970	\N	\N	\N
88026	295	1998-12-26	VYDAJ	VYBER	2560	35609	\N	\N	\N
88030	295	1998-05-04	VYDAJ	VYBER	1800	40942	\N	\N	\N
88031	295	1998-12-30	VYDAJ	VYBER	5520	30089	\N	\N	\N
88032	295	1998-10-20	VYDAJ	VYBER	4560	29273	\N	\N	\N
88033	295	1998-08-09	VYDAJ	VYBER	2880	36703	\N	\N	\N
88034	295	1998-08-26	VYDAJ	VYBER	5400	22603	\N	\N	\N
88036	295	1998-09-08	VYDAJ	VYBER	840	35846	\N	\N	\N
88054	295	1998-04-30	VYDAJ	VYBER	15	42742	SLUZBY	\N	\N
88055	295	1998-05-31	VYDAJ	VYBER	15	40496	SLUZBY	\N	\N
88056	295	1998-06-30	VYDAJ	VYBER	15	17143	SLUZBY	\N	\N
88057	295	1998-07-31	VYDAJ	VYBER	15	25611	SLUZBY	\N	\N
88058	295	1998-08-31	VYDAJ	VYBER	15	22714	SLUZBY	\N	\N
88059	295	1998-09-30	VYDAJ	VYBER	15	30261	SLUZBY	\N	\N
88060	295	1998-10-31	VYDAJ	VYBER	15	29406	SLUZBY	\N	\N
88061	295	1998-11-30	VYDAJ	VYBER	15	33815	SLUZBY	\N	\N
88062	295	1997-12-23	VYDAJ	VYBER	2900	28746	\N	\N	\N
88063	295	1998-01-22	VYDAJ	VYBER	15400	34345	\N	\N	\N
88064	295	1998-02-21	VYDAJ	VYBER	15700	39736	\N	\N	\N
88065	295	1998-03-23	VYDAJ	VYBER	19100	41750	\N	\N	\N
88066	295	1998-04-22	VYDAJ	VYBER	20300	42582	\N	\N	\N
88067	295	1998-05-22	VYDAJ	VYBER	14600	40314	\N	\N	\N
88068	295	1998-06-21	VYDAJ	VYBER	20300	44650	\N	\N	\N
88069	295	1998-07-21	VYDAJ	VYBER	5600	25515	\N	\N	\N
88070	295	1998-08-20	VYDAJ	VYBER	8700	28003	\N	\N	\N
88071	295	1998-09-19	VYDAJ	VYBER	5700	30146	\N	\N	\N
88072	295	1998-10-19	VYDAJ	VYBER	10400	33833	\N	\N	\N
88073	295	1998-11-18	VYDAJ	VYBER	9700	33678	\N	\N	\N
88074	295	1998-12-18	VYDAJ	VYBER	20100	38169	\N	\N	\N
88088	296	1996-02-14	PRIJEM	VKLAD	300	300	\N	\N	\N
88091	296	1996-03-06	PRIJEM	PREVOD Z UCTU	3970	4270	\N	QR	89222043
88092	296	1996-04-06	PRIJEM	PREVOD Z UCTU	3970	19475	\N	QR	89222043
88093	296	1996-05-06	PRIJEM	PREVOD Z UCTU	3970	24522	\N	QR	89222043
88094	296	1996-06-06	PRIJEM	PREVOD Z UCTU	3970	22873	\N	QR	89222043
88095	296	1996-07-06	PRIJEM	PREVOD Z UCTU	3970	21719	\N	QR	89222043
88096	296	1996-08-06	PRIJEM	PREVOD Z UCTU	3970	21234	\N	QR	89222043
88097	296	1996-09-06	PRIJEM	PREVOD Z UCTU	3970	23331	\N	QR	89222043
88098	296	1996-10-06	PRIJEM	PREVOD Z UCTU	3970	22720	\N	QR	89222043
88099	296	1996-11-06	PRIJEM	PREVOD Z UCTU	3970	21303	\N	QR	89222043
88100	296	1996-12-06	PRIJEM	PREVOD Z UCTU	3970	22059	\N	QR	89222043
88101	296	1997-01-06	PRIJEM	PREVOD Z UCTU	3970	24955	\N	QR	89222043
88102	296	1997-02-06	PRIJEM	PREVOD Z UCTU	3970	23469	\N	QR	89222043
88103	296	1997-03-06	PRIJEM	PREVOD Z UCTU	3970	20535	\N	QR	89222043
88104	296	1997-04-06	PRIJEM	PREVOD Z UCTU	3970	17104	\N	QR	89222043
88105	296	1997-05-06	PRIJEM	PREVOD Z UCTU	3970	15965	\N	QR	89222043
88106	296	1997-06-06	PRIJEM	PREVOD Z UCTU	3970	16226	\N	QR	89222043
88107	296	1997-07-06	PRIJEM	PREVOD Z UCTU	3970	11975	\N	QR	89222043
88108	296	1997-08-06	PRIJEM	PREVOD Z UCTU	3970	11918	\N	QR	89222043
88109	296	1997-09-06	PRIJEM	PREVOD Z UCTU	3970	13468	\N	QR	89222043
88110	296	1997-10-06	PRIJEM	PREVOD Z UCTU	3970	14820	\N	QR	89222043
88111	296	1997-11-06	PRIJEM	PREVOD Z UCTU	3970	14878	\N	QR	89222043
88112	296	1997-12-06	PRIJEM	PREVOD Z UCTU	3970	17139	\N	QR	89222043
88113	296	1998-01-06	PRIJEM	PREVOD Z UCTU	3970	16489	\N	QR	89222043
88114	296	1998-02-06	PRIJEM	PREVOD Z UCTU	3970	15257	\N	QR	89222043
88115	296	1998-03-06	PRIJEM	PREVOD Z UCTU	3970	15022	\N	QR	89222043
88116	296	1998-04-06	PRIJEM	PREVOD Z UCTU	3970	16385	\N	QR	89222043
88117	296	1998-05-06	PRIJEM	PREVOD Z UCTU	3970	16909	\N	QR	89222043
88118	296	1998-06-06	PRIJEM	PREVOD Z UCTU	3970	18280	\N	QR	89222043
88119	296	1998-07-06	PRIJEM	PREVOD Z UCTU	3970	19652	\N	QR	89222043
88120	296	1998-08-06	PRIJEM	PREVOD Z UCTU	3970	20551	\N	QR	89222043
88121	296	1998-09-06	PRIJEM	PREVOD Z UCTU	3970	21933	\N	QR	89222043
88122	296	1998-10-06	PRIJEM	PREVOD Z UCTU	3970	23050	\N	QR	89222043
88123	296	1998-11-06	PRIJEM	PREVOD Z UCTU	3970	16741	\N	QR	89222043
88124	296	1998-12-06	PRIJEM	PREVOD Z UCTU	3970	18107	\N	QR	89222043
88131	296	1996-07-12	VYDAJ	PREVOD NA UCET	2646	19073	SIPO	AB	63953745
88132	296	1996-08-12	VYDAJ	PREVOD NA UCET	2646	19288	SIPO	AB	63953745
88133	296	1996-09-12	VYDAJ	PREVOD NA UCET	2646	18685	SIPO	AB	63953745
88134	296	1996-10-12	VYDAJ	PREVOD NA UCET	2646	17274	SIPO	AB	63953745
88135	296	1996-11-12	VYDAJ	PREVOD NA UCET	2646	18357	SIPO	AB	63953745
88136	296	1996-12-12	VYDAJ	PREVOD NA UCET	2646	20913	SIPO	AB	63953745
88137	296	1997-01-12	VYDAJ	PREVOD NA UCET	2646	19429	SIPO	AB	63953745
88138	296	1997-02-12	VYDAJ	PREVOD NA UCET	2646	17853	SIPO	AB	63953745
88139	296	1997-03-12	VYDAJ	PREVOD NA UCET	2646	13089	SIPO	AB	63953745
88140	296	1997-04-12	VYDAJ	PREVOD NA UCET	2646	11958	SIPO	AB	63953745
88141	296	1997-05-12	VYDAJ	PREVOD NA UCET	2646	12219	SIPO	AB	63953745
88142	296	1997-06-12	VYDAJ	PREVOD NA UCET	2646	7980	SIPO	AB	63953745
88143	296	1997-07-12	VYDAJ	PREVOD NA UCET	2646	7929	SIPO	AB	63953745
88144	296	1997-08-12	VYDAJ	PREVOD NA UCET	2646	9472	SIPO	AB	63953745
88145	296	1997-09-12	VYDAJ	PREVOD NA UCET	2646	10822	SIPO	AB	63953745
88146	296	1997-10-12	VYDAJ	PREVOD NA UCET	2646	11174	SIPO	AB	63953745
88147	296	1997-11-12	VYDAJ	PREVOD NA UCET	2646	12232	SIPO	AB	63953745
88148	296	1997-12-12	VYDAJ	PREVOD NA UCET	2646	14493	SIPO	AB	63953745
88149	296	1998-01-12	VYDAJ	PREVOD NA UCET	2646	13843	SIPO	AB	63953745
88150	296	1998-02-12	VYDAJ	PREVOD NA UCET	2646	12611	SIPO	AB	63953745
88151	296	1998-03-12	VYDAJ	PREVOD NA UCET	2646	12376	SIPO	AB	63953745
88152	296	1998-04-12	VYDAJ	PREVOD NA UCET	2646	13739	SIPO	AB	63953745
88153	296	1998-05-12	VYDAJ	PREVOD NA UCET	2646	14263	SIPO	AB	63953745
88154	296	1998-06-12	VYDAJ	PREVOD NA UCET	2646	15634	SIPO	AB	63953745
88155	296	1998-07-12	VYDAJ	PREVOD NA UCET	2646	16526	SIPO	AB	63953745
88156	296	1998-08-12	VYDAJ	PREVOD NA UCET	2646	17905	SIPO	AB	63953745
88157	296	1998-09-12	VYDAJ	PREVOD NA UCET	2646	19017	SIPO	AB	63953745
88158	296	1998-10-12	VYDAJ	PREVOD NA UCET	2646	20404	SIPO	AB	63953745
88159	296	1998-11-12	VYDAJ	PREVOD NA UCET	2646	14095	SIPO	AB	63953745
88160	296	1998-12-12	VYDAJ	PREVOD NA UCET	2646	15461	SIPO	AB	63953745
88165	296	1997-01-06	VYDAJ	VYBER	2580	22375	\N	\N	\N
88166	296	1998-01-30	VYDAJ	VYBER	600	13243	\N	\N	\N
88167	296	1996-12-03	VYDAJ	VYBER	330	18089	\N	\N	\N
88168	296	1997-12-25	VYDAJ	VYBER	720	13773	\N	\N	\N
88169	296	1998-12-23	VYDAJ	VYBER	420	13991	\N	\N	\N
88170	296	1996-08-01	VYDAJ	VYBER	1170	17264	\N	\N	\N
88173	296	1997-02-22	VYDAJ	VYBER	1350	16503	\N	\N	\N
88176	296	1997-02-09	VYDAJ	VYBER	570	20499	\N	\N	\N
88177	296	1998-09-10	VYDAJ	VYBER	270	21663	\N	\N	\N
88178	296	1998-07-06	VYDAJ	VYBER	480	19172	\N	\N	\N
88179	296	1998-05-04	VYDAJ	VYBER	840	12939	\N	\N	\N
88180	296	1998-12-19	VYDAJ	VYBER	1050	14411	\N	\N	\N
88188	296	1996-07-31	VYDAJ	VYBER	15	18434	SLUZBY	\N	\N
88189	296	1996-08-31	VYDAJ	VYBER	15	19361	SLUZBY	\N	\N
88190	296	1996-09-30	VYDAJ	VYBER	15	18750	SLUZBY	\N	\N
88191	296	1996-10-31	VYDAJ	VYBER	15	17333	SLUZBY	\N	\N
88192	296	1996-11-30	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
88193	296	1996-12-31	VYDAJ	VYBER	15	20985	SLUZBY	\N	\N
88194	296	1997-01-31	VYDAJ	VYBER	15	19499	SLUZBY	\N	\N
88195	296	1997-02-28	VYDAJ	VYBER	15	16565	SLUZBY	\N	\N
88196	296	1997-03-31	VYDAJ	VYBER	15	13134	SLUZBY	\N	\N
88197	296	1997-04-30	VYDAJ	VYBER	15	11995	SLUZBY	\N	\N
88198	296	1997-05-31	VYDAJ	VYBER	15	12256	SLUZBY	\N	\N
88199	296	1997-06-30	VYDAJ	VYBER	15	8005	SLUZBY	\N	\N
88200	296	1997-07-31	VYDAJ	VYBER	15	7948	SLUZBY	\N	\N
88201	296	1997-08-31	VYDAJ	VYBER	15	9498	SLUZBY	\N	\N
88202	296	1997-09-30	VYDAJ	VYBER	15	10850	SLUZBY	\N	\N
88203	296	1997-10-31	VYDAJ	VYBER	15	11208	SLUZBY	\N	\N
88204	296	1997-11-30	VYDAJ	VYBER	15	12269	SLUZBY	\N	\N
88205	296	1997-12-31	VYDAJ	VYBER	15	13819	SLUZBY	\N	\N
88206	296	1998-01-31	VYDAJ	VYBER	15	13287	SLUZBY	\N	\N
88207	296	1998-02-28	VYDAJ	VYBER	15	12652	SLUZBY	\N	\N
88208	296	1998-03-31	VYDAJ	VYBER	15	12415	SLUZBY	\N	\N
88209	296	1998-04-30	VYDAJ	VYBER	15	13779	SLUZBY	\N	\N
88210	296	1998-05-31	VYDAJ	VYBER	15	14310	SLUZBY	\N	\N
88211	296	1998-06-30	VYDAJ	VYBER	15	15682	SLUZBY	\N	\N
88212	296	1998-07-31	VYDAJ	VYBER	15	16581	SLUZBY	\N	\N
88213	296	1998-08-31	VYDAJ	VYBER	15	17963	SLUZBY	\N	\N
88214	296	1998-09-30	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
88215	296	1998-10-31	VYDAJ	VYBER	15	12771	SLUZBY	\N	\N
88216	296	1998-11-30	VYDAJ	VYBER	15	14137	SLUZBY	\N	\N
88217	296	1996-03-15	PRIJEM	VKLAD	11200	15470	\N	\N	\N
88218	296	1996-04-14	PRIJEM	VKLAD	1000	20475	\N	\N	\N
88219	296	1996-05-14	VYDAJ	VYBER	5700	18822	\N	\N	\N
88220	296	1996-06-13	VYDAJ	VYBER	5200	17673	\N	\N	\N
88221	296	1996-07-13	VYDAJ	VYBER	700	18373	\N	\N	\N
88222	296	1996-08-12	PRIJEM	VKLAD	700	21934	\N	\N	\N
88223	296	1996-09-11	VYDAJ	VYBER	2000	21331	\N	\N	\N
88224	296	1996-10-11	VYDAJ	VYBER	2800	19920	\N	\N	\N
88225	296	1996-11-10	VYDAJ	VYBER	300	21003	\N	\N	\N
88226	296	1996-12-10	PRIJEM	VKLAD	1500	23559	\N	\N	\N
88227	296	1997-01-09	VYDAJ	VYBER	300	22075	\N	\N	\N
88228	296	1997-02-08	VYDAJ	VYBER	2400	21069	\N	\N	\N
88229	296	1997-03-10	VYDAJ	VYBER	4800	15735	\N	\N	\N
88230	296	1997-04-09	VYDAJ	VYBER	2500	14604	\N	\N	\N
88231	296	1997-05-09	VYDAJ	VYBER	1100	14865	\N	\N	\N
88232	296	1997-06-08	VYDAJ	VYBER	5600	10626	\N	\N	\N
88233	296	1997-07-08	VYDAJ	VYBER	1400	10575	\N	\N	\N
88234	296	1997-08-07	PRIJEM	VKLAD	200	12118	\N	\N	\N
88235	296	1997-10-06	VYDAJ	VYBER	1000	13820	\N	\N	\N
88236	296	1997-11-05	VYDAJ	VYBER	300	10908	\N	\N	\N
88237	296	1997-12-05	PRIJEM	VKLAD	900	13169	\N	\N	\N
88238	296	1998-01-04	VYDAJ	VYBER	1300	12519	\N	\N	\N
88239	296	1998-02-03	VYDAJ	VYBER	2000	11287	\N	\N	\N
88240	296	1998-03-05	VYDAJ	VYBER	1600	11052	\N	\N	\N
88241	296	1998-10-31	VYDAJ	VYBER	7700	12786	\N	\N	\N
88276	297	1996-09-08	PRIJEM	VKLAD	200	200	\N	\N	\N
88279	297	1997-10-06	PRIJEM	VKLAD	31852	63668	\N	\N	\N
88280	297	1997-08-20	PRIJEM	VKLAD	39427	64656	\N	\N	\N
88281	297	1998-12-23	PRIJEM	VKLAD	46581	61358	\N	\N	\N
88282	297	1998-02-15	PRIJEM	VKLAD	17786	42275	\N	\N	\N
88291	297	1996-09-13	PRIJEM	VKLAD	1100	1300	\N	\N	\N
88292	297	1996-10-13	PRIJEM	VKLAD	1100	13704	\N	\N	\N
88293	297	1996-11-15	PRIJEM	VKLAD	1100	20044	\N	\N	\N
88294	297	1996-12-17	PRIJEM	VKLAD	1100	21902	\N	\N	\N
88295	297	1997-01-13	PRIJEM	VKLAD	1100	17728	\N	\N	\N
88296	297	1997-02-13	PRIJEM	VKLAD	1100	19485	\N	\N	\N
88297	297	1997-03-17	PRIJEM	VKLAD	1100	20342	\N	\N	\N
88298	297	1997-04-16	PRIJEM	VKLAD	1100	20813	\N	\N	\N
88299	297	1997-05-14	PRIJEM	VKLAD	1100	20836	\N	\N	\N
88300	297	1997-06-15	PRIJEM	VKLAD	1100	22861	\N	\N	\N
88301	297	1997-07-17	PRIJEM	VKLAD	1100	25740	\N	\N	\N
88302	297	1997-08-14	PRIJEM	VKLAD	1100	24629	\N	\N	\N
88303	297	1997-09-13	PRIJEM	VKLAD	1100	43812	\N	\N	\N
88304	297	1997-10-17	PRIJEM	VKLAD	1100	64768	\N	\N	\N
88305	297	1997-11-16	PRIJEM	VKLAD	1100	45209	\N	\N	\N
88306	297	1997-12-16	PRIJEM	VKLAD	1100	34025	\N	\N	\N
88307	297	1998-01-15	PRIJEM	VKLAD	1100	22361	\N	\N	\N
88308	297	1998-02-13	PRIJEM	VKLAD	1100	24489	\N	\N	\N
88309	297	1998-03-13	PRIJEM	VKLAD	1100	35697	\N	\N	\N
88310	297	1998-04-15	PRIJEM	VKLAD	1100	33644	\N	\N	\N
88311	297	1998-05-17	PRIJEM	VKLAD	1100	24976	\N	\N	\N
88312	297	1998-06-16	PRIJEM	VKLAD	1100	20187	\N	\N	\N
88313	297	1998-07-14	PRIJEM	VKLAD	1100	18769	\N	\N	\N
88314	297	1998-08-17	PRIJEM	VKLAD	1100	14779	\N	\N	\N
88315	297	1998-09-16	PRIJEM	VKLAD	1100	18325	\N	\N	\N
88316	297	1998-10-13	PRIJEM	VKLAD	1100	15282	\N	\N	\N
88317	297	1998-11-15	PRIJEM	VKLAD	1100	16429	\N	\N	\N
88318	297	1998-12-17	PRIJEM	VKLAD	1100	14677	\N	\N	\N
88327	297	1996-09-18	PRIJEM	VKLAD	600	1900	\N	\N	\N
88328	297	1996-10-18	PRIJEM	VKLAD	600	14304	\N	\N	\N
88329	297	1996-11-18	PRIJEM	VKLAD	600	20644	\N	\N	\N
88330	297	1996-12-18	PRIJEM	VKLAD	600	22502	\N	\N	\N
88331	297	1997-01-18	PRIJEM	VKLAD	600	17228	\N	\N	\N
88332	297	1997-02-18	PRIJEM	VKLAD	600	20085	\N	\N	\N
88333	297	1997-03-18	PRIJEM	VKLAD	600	20942	\N	\N	\N
88334	297	1997-04-18	PRIJEM	VKLAD	600	21413	\N	\N	\N
88335	297	1997-05-18	PRIJEM	VKLAD	600	21436	\N	\N	\N
88336	297	1997-06-18	PRIJEM	VKLAD	600	23461	\N	\N	\N
88337	297	1997-07-18	PRIJEM	VKLAD	600	26340	\N	\N	\N
88338	297	1997-08-18	PRIJEM	VKLAD	600	25229	\N	\N	\N
88339	297	1997-09-18	PRIJEM	VKLAD	600	44412	\N	\N	\N
88340	297	1997-10-18	PRIJEM	VKLAD	600	65368	\N	\N	\N
88341	297	1997-11-18	PRIJEM	VKLAD	600	45809	\N	\N	\N
88342	297	1997-12-18	PRIJEM	VKLAD	600	34625	\N	\N	\N
88343	297	1998-01-18	PRIJEM	VKLAD	600	22961	\N	\N	\N
88344	297	1998-02-18	PRIJEM	VKLAD	600	42875	\N	\N	\N
88345	297	1998-03-18	PRIJEM	VKLAD	600	36297	\N	\N	\N
88346	297	1998-04-18	PRIJEM	VKLAD	600	34244	\N	\N	\N
88347	297	1998-05-18	PRIJEM	VKLAD	600	25576	\N	\N	\N
88348	297	1998-06-18	PRIJEM	VKLAD	600	20787	\N	\N	\N
88349	297	1998-07-18	PRIJEM	VKLAD	600	18819	\N	\N	\N
88350	297	1998-08-18	PRIJEM	VKLAD	600	15379	\N	\N	\N
88351	297	1998-09-18	PRIJEM	VKLAD	600	18925	\N	\N	\N
88352	297	1998-10-18	PRIJEM	VKLAD	600	15882	\N	\N	\N
88353	297	1998-11-18	PRIJEM	VKLAD	600	14729	\N	\N	\N
88354	297	1998-12-18	PRIJEM	VKLAD	600	15277	\N	\N	\N
88359	297	1997-01-01	VYDAJ	VYBER	6700	15878	\N	\N	\N
88364	297	1996-12-14	VYDAJ	VYBER	1100	20802	\N	\N	\N
88365	297	1997-12-08	VYDAJ	VYBER	2300	32925	\N	\N	\N
88366	297	1998-12-19	VYDAJ	VYBER	500	14777	\N	\N	\N
88373	297	1997-01-26	VYDAJ	VYBER	900	14628	\N	\N	\N
88374	297	1997-01-24	VYDAJ	VYBER	350	15528	\N	\N	\N
88375	297	1997-01-16	VYDAJ	VYBER	1100	16628	\N	\N	\N
88376	297	1997-01-28	VYDAJ	VYBER	1400	13228	\N	\N	\N
88377	297	1997-01-23	VYDAJ	VYBER	800	15878	\N	\N	\N
88378	297	1997-01-11	VYDAJ	VYBER	1350	16628	\N	\N	\N
88379	297	1998-01-01	VYDAJ	VYBER	600	26961	\N	\N	\N
88380	297	1998-01-07	VYDAJ	VYBER	300	22261	\N	\N	\N
88381	297	1998-01-04	VYDAJ	VYBER	1300	24161	\N	\N	\N
88382	297	1998-01-09	VYDAJ	VYBER	1000	21261	\N	\N	\N
88383	297	1998-01-20	VYDAJ	VYBER	1350	21011	\N	\N	\N
88384	297	1998-01-18	VYDAJ	VYBER	600	22361	\N	\N	\N
88391	297	1997-11-26	VYDAJ	VYBER	2400	43409	\N	\N	\N
88392	297	1997-01-22	VYDAJ	VYBER	550	16678	\N	\N	\N
88393	297	1997-05-09	VYDAJ	VYBER	1750	19736	\N	\N	\N
88394	297	1997-06-09	VYDAJ	VYBER	2350	21761	\N	\N	\N
88395	297	1998-01-01	VYDAJ	VYBER	1500	25461	\N	\N	\N
88396	297	1998-07-17	VYDAJ	VYBER	550	18219	\N	\N	\N
88397	297	1998-11-29	VYDAJ	VYBER	950	15479	\N	\N	\N
88398	297	1998-11-17	VYDAJ	VYBER	2300	14129	\N	\N	\N
88399	297	1998-12-06	VYDAJ	VYBER	1950	13577	\N	\N	\N
88400	297	1998-01-05	VYDAJ	VYBER	1600	22561	\N	\N	\N
88412	297	1996-11-30	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
88413	297	1996-12-31	VYDAJ	VYBER	15	22578	SLUZBY	\N	\N
88414	297	1997-01-31	VYDAJ	VYBER	15	13285	SLUZBY	\N	\N
88415	297	1997-02-28	VYDAJ	VYBER	15	20142	SLUZBY	\N	\N
88416	297	1997-03-31	VYDAJ	VYBER	15	21013	SLUZBY	\N	\N
88417	297	1997-04-30	VYDAJ	VYBER	15	21486	SLUZBY	\N	\N
88418	297	1997-05-31	VYDAJ	VYBER	15	21511	SLUZBY	\N	\N
88419	297	1997-06-30	VYDAJ	VYBER	15	23540	SLUZBY	\N	\N
88420	297	1997-07-31	VYDAJ	VYBER	15	26429	SLUZBY	\N	\N
88421	297	1997-08-31	VYDAJ	VYBER	15	64812	SLUZBY	\N	\N
88422	297	1997-09-30	VYDAJ	VYBER	15	44616	SLUZBY	\N	\N
88423	297	1997-10-31	VYDAJ	VYBER	15	65609	SLUZBY	\N	\N
88424	297	1997-11-30	VYDAJ	VYBER	15	43625	SLUZBY	\N	\N
88425	297	1997-12-31	VYDAJ	VYBER	15	34761	SLUZBY	\N	\N
88426	297	1998-01-31	VYDAJ	VYBER	15	23389	SLUZBY	\N	\N
88427	297	1998-02-28	VYDAJ	VYBER	15	42997	SLUZBY	\N	\N
88428	297	1998-03-31	VYDAJ	VYBER	15	36444	SLUZBY	\N	\N
88429	297	1998-04-30	VYDAJ	VYBER	15	34376	SLUZBY	\N	\N
88430	297	1998-05-31	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
88431	297	1998-06-30	VYDAJ	VYBER	15	17669	SLUZBY	\N	\N
88432	297	1998-07-31	VYDAJ	VYBER	15	13679	SLUZBY	\N	\N
88433	297	1998-08-31	VYDAJ	VYBER	15	17225	SLUZBY	\N	\N
88434	297	1998-09-30	VYDAJ	VYBER	15	14182	SLUZBY	\N	\N
88435	297	1998-10-31	VYDAJ	VYBER	15	15329	SLUZBY	\N	\N
88436	297	1998-11-30	VYDAJ	VYBER	15	15527	SLUZBY	\N	\N
88437	297	1996-10-08	PRIJEM	VKLAD	10700	12604	\N	\N	\N
88438	297	1996-11-07	PRIJEM	VKLAD	4600	18944	\N	\N	\N
88439	297	1996-12-07	PRIJEM	VKLAD	1200	21902	\N	\N	\N
88440	297	1997-01-06	PRIJEM	VKLAD	2100	17978	\N	\N	\N
88441	297	1997-02-05	PRIJEM	VKLAD	5100	18385	\N	\N	\N
88442	297	1997-03-07	VYDAJ	VYBER	900	19242	\N	\N	\N
88443	297	1997-04-06	VYDAJ	VYBER	1300	19713	\N	\N	\N
88444	297	1997-06-05	PRIJEM	VKLAD	2600	24111	\N	\N	\N
88445	297	1997-07-05	PRIJEM	VKLAD	1100	24640	\N	\N	\N
88446	297	1997-08-04	VYDAJ	VYBER	2900	23529	\N	\N	\N
88447	297	1997-09-03	VYDAJ	VYBER	22100	42712	\N	\N	\N
88448	297	1997-10-03	VYDAJ	VYBER	12800	31816	\N	\N	\N
88449	297	1997-11-02	VYDAJ	VYBER	21500	44109	\N	\N	\N
88450	297	1997-12-02	VYDAJ	VYBER	8400	35225	\N	\N	\N
88451	297	1998-01-01	VYDAJ	VYBER	7200	27561	\N	\N	\N
88452	297	1998-01-31	PRIJEM	VKLAD	2300	23311	\N	\N	\N
88453	297	1998-03-02	VYDAJ	VYBER	8400	34597	\N	\N	\N
88454	297	1998-04-01	VYDAJ	VYBER	3900	32544	\N	\N	\N
88455	297	1998-05-01	VYDAJ	VYBER	10500	23876	\N	\N	\N
88456	297	1998-05-31	VYDAJ	VYBER	6600	19087	\N	\N	\N
88457	297	1998-06-30	VYDAJ	VYBER	3200	17684	\N	\N	\N
88458	297	1998-07-30	VYDAJ	VYBER	5200	13619	\N	\N	\N
88459	297	1998-08-29	PRIJEM	VKLAD	1800	17179	\N	\N	\N
88460	297	1998-09-28	VYDAJ	VYBER	4800	14125	\N	\N	\N
88461	297	1998-10-28	VYDAJ	VYBER	600	15282	\N	\N	\N
88462	297	1998-11-27	PRIJEM	VKLAD	1700	16429	\N	\N	\N
88491	298	1997-12-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
88503	298	1997-12-12	PRIJEM	VKLAD	17597	18697	\N	\N	\N
88504	298	1998-01-12	PRIJEM	VKLAD	11731	34178	\N	\N	\N
88505	298	1998-02-12	PRIJEM	VKLAD	11731	40828	\N	\N	\N
88506	298	1998-03-12	PRIJEM	VKLAD	11731	40880	\N	\N	\N
88507	298	1998-04-12	PRIJEM	VKLAD	11731	43564	\N	\N	\N
88508	298	1998-05-12	PRIJEM	VKLAD	11731	43858	\N	\N	\N
88509	298	1998-06-12	PRIJEM	VKLAD	17597	46829	\N	\N	\N
88510	298	1998-07-12	PRIJEM	VKLAD	11731	27304	\N	\N	\N
88511	298	1998-08-12	PRIJEM	VKLAD	11731	39689	\N	\N	\N
88512	298	1998-09-12	PRIJEM	VKLAD	11731	40422	\N	\N	\N
88513	298	1998-10-12	PRIJEM	VKLAD	11731	38057	\N	\N	\N
88514	298	1998-11-12	PRIJEM	VKLAD	11731	33380	\N	\N	\N
88515	298	1998-12-12	PRIJEM	VKLAD	17597	30293	\N	\N	\N
88517	298	1998-06-25	VYDAJ	VYBER	39680	7149	\N	\N	\N
88519	298	1998-12-11	VYDAJ	VYBER	4160	12697	\N	\N	\N
88537	298	1998-11-23	VYDAJ	VYBER	5400	27980	\N	\N	\N
88538	298	1998-06-05	VYDAJ	VYBER	1560	29233	\N	\N	\N
88540	298	1998-05-16	VYDAJ	VYBER	5520	38338	\N	\N	\N
88557	298	1998-04-30	VYDAJ	VYBER	15	43727	SLUZBY	\N	\N
88558	298	1998-05-31	VYDAJ	VYBER	15	30793	SLUZBY	\N	\N
88559	298	1998-06-30	VYDAJ	VYBER	15	15573	SLUZBY	\N	\N
88560	298	1998-07-31	VYDAJ	VYBER	15	27958	SLUZBY	\N	\N
88561	298	1998-08-31	VYDAJ	VYBER	15	28691	SLUZBY	\N	\N
88562	298	1998-09-30	VYDAJ	VYBER	15	26326	SLUZBY	\N	\N
88563	298	1998-10-31	VYDAJ	VYBER	15	21649	SLUZBY	\N	\N
88564	298	1998-11-30	VYDAJ	VYBER	15	16857	SLUZBY	\N	\N
88565	298	1998-01-01	PRIJEM	VKLAD	3700	22447	\N	\N	\N
88566	298	1998-01-31	VYDAJ	VYBER	5200	29097	\N	\N	\N
88567	298	1998-03-02	VYDAJ	VYBER	11800	29149	\N	\N	\N
88568	298	1998-04-01	VYDAJ	VYBER	9200	31833	\N	\N	\N
88569	298	1998-05-01	VYDAJ	VYBER	11600	32127	\N	\N	\N
88570	298	1998-05-31	VYDAJ	VYBER	7700	30807	\N	\N	\N
88571	298	1998-06-30	PRIJEM	VKLAD	8300	15588	\N	\N	\N
88572	298	1998-07-30	PRIJEM	VKLAD	600	27904	\N	\N	\N
88573	298	1998-08-29	VYDAJ	VYBER	11100	28589	\N	\N	\N
88574	298	1998-09-28	VYDAJ	VYBER	14200	26222	\N	\N	\N
88575	298	1998-10-28	VYDAJ	VYBER	16500	21557	\N	\N	\N
88576	298	1998-11-27	VYDAJ	VYBER	11200	16780	\N	\N	\N
88590	299	1993-04-05	PRIJEM	VKLAD	600	600	\N	\N	\N
88591	299	1993-08-30	PRIJEM	VKLAD	15116	76705	\N	\N	\N
88592	299	1993-07-07	PRIJEM	VKLAD	47369	74381	\N	\N	\N
88593	299	1993-07-31	PRIJEM	VKLAD	5344	94189	\N	\N	\N
88594	299	1993-04-22	PRIJEM	VKLAD	33882	34482	\N	\N	\N
88595	299	1993-07-12	PRIJEM	VKLAD	14147	88528	\N	\N	\N
88597	299	1994-03-12	PRIJEM	VKLAD	19719	83125	\N	\N	\N
88598	299	1994-11-28	PRIJEM	VKLAD	40029	94507	\N	\N	\N
88599	299	1994-07-11	PRIJEM	VKLAD	29165	128100	\N	\N	\N
88600	299	1994-01-09	PRIJEM	VKLAD	10987	63899	\N	\N	\N
88601	299	1994-06-25	PRIJEM	VKLAD	46250	139055	\N	\N	\N
88602	299	1994-01-13	PRIJEM	VKLAD	15887	79786	\N	\N	\N
88603	299	1994-05-24	PRIJEM	VKLAD	10562	64549	\N	\N	\N
88604	299	1994-08-16	PRIJEM	VKLAD	11653	48118	\N	\N	\N
88605	299	1994-01-19	PRIJEM	VKLAD	35055	127557	\N	\N	\N
88606	299	1994-06-19	PRIJEM	VKLAD	30489	92805	\N	\N	\N
88607	299	1994-01-23	PRIJEM	VKLAD	10187	93744	\N	\N	\N
88608	299	1994-09-18	PRIJEM	VKLAD	37142	76641	\N	\N	\N
88609	299	1994-07-09	PRIJEM	VKLAD	29310	98935	\N	\N	\N
88610	299	1994-10-18	PRIJEM	VKLAD	22421	70876	\N	\N	\N
88611	299	1994-11-17	PRIJEM	VKLAD	15316	84285	\N	\N	\N
88612	299	1994-06-03	PRIJEM	VKLAD	17957	62316	\N	\N	\N
88613	299	1994-02-04	PRIJEM	VKLAD	33519	95458	\N	\N	\N
88614	299	1994-10-30	PRIJEM	VKLAD	32223	79999	\N	\N	\N
88615	299	1994-01-08	PRIJEM	VKLAD	30805	52912	\N	\N	\N
88616	299	1994-05-02	PRIJEM	VKLAD	42799	76007	\N	\N	\N
88617	299	1994-01-18	PRIJEM	VKLAD	36016	115802	\N	\N	\N
88618	299	1995-02-23	PRIJEM	VKLAD	7856	72303	\N	\N	\N
88619	299	1995-05-11	PRIJEM	VKLAD	49659	126941	\N	\N	\N
88620	299	1995-08-03	PRIJEM	VKLAD	49635	104503	\N	\N	\N
88621	299	1995-03-01	PRIJEM	VKLAD	15683	65859	\N	\N	\N
88622	299	1995-05-03	PRIJEM	VKLAD	13964	66648	\N	\N	\N
88623	299	1995-05-05	PRIJEM	VKLAD	10634	77282	\N	\N	\N
88624	299	1995-11-07	PRIJEM	VKLAD	22421	72805	\N	\N	\N
88625	299	1995-02-18	PRIJEM	VKLAD	31833	102586	\N	\N	\N
88626	299	1995-06-05	PRIJEM	VKLAD	34029	97083	\N	\N	\N
88627	299	1995-04-24	PRIJEM	VKLAD	8620	77872	\N	\N	\N
88628	299	1995-02-22	PRIJEM	VKLAD	25961	128547	\N	\N	\N
88629	299	1995-10-05	PRIJEM	VKLAD	33677	110311	\N	\N	\N
88630	299	1995-01-31	PRIJEM	VKLAD	5493	70768	\N	\N	\N
88631	299	1995-04-21	PRIJEM	VKLAD	20612	69252	\N	\N	\N
88632	299	1995-10-07	PRIJEM	VKLAD	33206	143517	\N	\N	\N
88633	299	1995-10-10	PRIJEM	VKLAD	47780	138097	\N	\N	\N
88634	299	1995-11-13	PRIJEM	VKLAD	32441	105246	\N	\N	\N
88635	299	1995-05-12	PRIJEM	VKLAD	38369	113810	\N	\N	\N
88636	299	1995-03-01	PRIJEM	VKLAD	15000	80859	\N	\N	\N
88637	299	1995-03-03	PRIJEM	VKLAD	36722	117581	\N	\N	\N
88638	299	1995-09-25	PRIJEM	VKLAD	48100	109933	\N	\N	\N
88639	299	1995-01-20	PRIJEM	VKLAD	45918	100993	\N	\N	\N
88640	299	1995-06-03	PRIJEM	VKLAD	7575	63054	\N	\N	\N
88641	299	1995-09-14	PRIJEM	VKLAD	11599	81333	\N	\N	\N
88642	299	1995-07-11	PRIJEM	VKLAD	17333	75246	\N	\N	\N
88643	299	1995-12-16	PRIJEM	VKLAD	42050	91201	\N	\N	\N
88644	299	1996-02-06	PRIJEM	VKLAD	39357	77905	\N	\N	\N
88645	299	1996-12-24	PRIJEM	VKLAD	23236	85656	\N	\N	\N
88646	299	1996-04-14	PRIJEM	VKLAD	26209	124347	\N	\N	\N
88647	299	1996-12-06	PRIJEM	VKLAD	13029	94120	\N	\N	\N
88648	299	1996-06-20	PRIJEM	VKLAD	7493	78835	\N	\N	\N
88649	299	1996-03-15	PRIJEM	VKLAD	7913	104312	\N	\N	\N
88650	299	1996-06-03	PRIJEM	VKLAD	36354	131727	\N	\N	\N
88651	299	1996-05-07	PRIJEM	VKLAD	41805	108089	\N	\N	\N
88652	299	1996-09-24	PRIJEM	VKLAD	18675	113829	\N	\N	\N
88653	299	1996-04-09	PRIJEM	VKLAD	38277	139129	\N	\N	\N
88654	299	1996-03-12	PRIJEM	VKLAD	37217	96399	\N	\N	\N
88655	299	1996-10-02	PRIJEM	VKLAD	27818	92890	\N	\N	\N
88656	299	1996-06-14	PRIJEM	VKLAD	12015	110142	\N	\N	\N
88657	299	1996-03-20	PRIJEM	VKLAD	16353	120665	\N	\N	\N
88658	299	1996-11-20	PRIJEM	VKLAD	47012	122819	\N	\N	\N
88659	299	1996-09-21	PRIJEM	VKLAD	45006	95154	\N	\N	\N
88660	299	1996-10-06	PRIJEM	VKLAD	22956	115846	\N	\N	\N
88661	299	1996-04-09	PRIJEM	VKLAD	36117	100852	\N	\N	\N
88662	299	1996-08-13	PRIJEM	VKLAD	11534	85561	\N	\N	\N
88663	299	1996-04-12	PRIJEM	VKLAD	10509	98138	\N	\N	\N
88664	299	1996-11-19	PRIJEM	VKLAD	25768	75807	\N	\N	\N
88665	299	1996-05-17	PRIJEM	VKLAD	45999	154088	\N	\N	\N
88666	299	1996-10-26	PRIJEM	VKLAD	6653	59799	\N	\N	\N
88667	299	1996-05-26	PRIJEM	VKLAD	22171	95059	\N	\N	\N
88668	299	1996-08-09	PRIJEM	VKLAD	46049	74027	\N	\N	\N
88669	299	1996-09-02	PRIJEM	VKLAD	6384	65148	\N	\N	\N
88670	299	1997-05-10	PRIJEM	VKLAD	39571	86650	\N	\N	\N
88671	299	1997-12-16	PRIJEM	VKLAD	28146	108535	\N	\N	\N
88672	299	1997-12-07	PRIJEM	VKLAD	40994	103459	\N	\N	\N
88673	299	1997-01-21	PRIJEM	VKLAD	5200	98000	\N	\N	\N
88674	299	1997-10-01	PRIJEM	VKLAD	7737	107690	\N	\N	\N
88675	299	1997-12-15	PRIJEM	VKLAD	5184	80389	\N	\N	\N
88676	299	1997-10-10	PRIJEM	VKLAD	46197	153887	\N	\N	\N
88677	299	1997-07-05	PRIJEM	VKLAD	23771	97897	\N	\N	\N
88678	299	1997-10-16	PRIJEM	VKLAD	10564	99551	\N	\N	\N
88679	299	1997-11-21	PRIJEM	VKLAD	36816	114060	\N	\N	\N
88680	299	1997-06-21	PRIJEM	VKLAD	26656	73876	\N	\N	\N
88681	299	1997-04-18	PRIJEM	VKLAD	34809	102756	\N	\N	\N
88682	299	1997-09-16	PRIJEM	VKLAD	36997	96060	\N	\N	\N
88683	299	1997-11-23	PRIJEM	VKLAD	23573	137633	\N	\N	\N
88684	299	1997-03-14	PRIJEM	VKLAD	32141	74358	\N	\N	\N
88685	299	1997-01-18	PRIJEM	VKLAD	36226	92800	\N	\N	\N
88686	299	1997-04-05	PRIJEM	VKLAD	23252	84547	\N	\N	\N
88687	299	1997-09-28	PRIJEM	VKLAD	21375	117435	\N	\N	\N
88688	299	1997-11-28	PRIJEM	VKLAD	25934	130767	\N	\N	\N
88689	299	1997-04-20	PRIJEM	VKLAD	12575	115331	\N	\N	\N
88690	299	1998-10-03	PRIJEM	VKLAD	14373	78418	\N	\N	\N
88691	299	1998-10-30	PRIJEM	VKLAD	20422	95740	\N	\N	\N
88692	299	1998-12-11	PRIJEM	VKLAD	41785	127992	\N	\N	\N
88696	299	1994-01-02	VYBER	VYBER	5698	22107	\N	\N	\N
88697	299	1994-11-11	VYBER	VYBER	11225	68969	\N	\N	\N
88698	299	1994-11-20	VYBER	VYBER	6907	77378	\N	\N	\N
88699	299	1994-05-03	VYBER	VYBER	22020	53987	\N	\N	\N
88700	299	1994-09-24	VYBER	VYBER	11351	65290	\N	\N	\N
88701	299	1994-03-29	VYBER	VYBER	9648	73477	\N	\N	\N
88702	299	1995-11-29	VYBER	VYBER	21372	48874	\N	\N	\N
88703	299	1997-12-19	VYBER	VYBER	20170	88365	\N	\N	\N
88704	299	1997-12-09	VYBER	VYBER	10954	92505	\N	\N	\N
88705	299	1997-12-04	VYBER	VYBER	20113	62465	\N	\N	\N
88706	299	1997-06-12	VYBER	VYBER	22896	36020	\N	\N	\N
88707	299	1997-05-09	VYBER	VYBER	9680	47079	\N	\N	\N
88708	299	1997-03-11	VYBER	VYBER	17823	42217	\N	\N	\N
88709	299	1998-06-08	VYBER	VYBER	8466	51853	\N	\N	\N
88712	299	1995-06-25	VYDAJ	VYBER	9000	57583	\N	\N	\N
88713	299	1996-06-25	VYDAJ	VYBER	46200	32635	\N	\N	\N
88718	299	1995-01-12	VYDAJ	VYBER	4800	55075	\N	\N	\N
88719	299	1996-01-25	VYDAJ	VYBER	10500	38331	\N	\N	\N
88720	299	1997-01-22	VYDAJ	VYBER	16500	81500	\N	\N	\N
88721	299	1998-01-12	VYDAJ	VYBER	23100	49106	\N	\N	\N
88723	299	1994-12-06	VYDAJ	VYBER	6300	88524	\N	\N	\N
88724	299	1995-12-16	VYDAJ	VYBER	7500	83701	\N	\N	\N
88725	299	1996-12-05	VYDAJ	VYBER	2700	81091	\N	\N	\N
88726	299	1997-12-24	VYDAJ	VYBER	5400	82965	\N	\N	\N
88727	299	1998-12-16	VYDAJ	VYBER	5700	83992	\N	\N	\N
88732	299	1994-07-13	VYDAJ	VYBER	14400	67500	\N	\N	\N
88733	299	1994-08-01	VYDAJ	VYBER	11700	36465	\N	\N	\N
88734	299	1994-04-19	VYDAJ	VYBER	8400	40820	\N	\N	\N
88735	299	1995-10-30	VYDAJ	VYBER	9600	50097	\N	\N	\N
88736	299	1995-04-18	VYDAJ	VYBER	3000	48640	\N	\N	\N
88737	299	1996-12-26	VYDAJ	VYBER	3000	82656	\N	\N	\N
88738	299	1996-07-29	VYDAJ	VYBER	6000	27859	\N	\N	\N
88739	299	1996-08-31	VYDAJ	VYBER	5400	58764	\N	\N	\N
88741	299	1996-06-05	VYDAJ	VYBER	1500	98127	\N	\N	\N
88742	299	1997-01-14	VYDAJ	VYBER	9000	56574	\N	\N	\N
88743	299	1997-06-01	VYDAJ	VYBER	11100	58916	\N	\N	\N
88744	299	1998-03-19	VYDAJ	VYBER	13200	39720	\N	\N	\N
88745	299	1998-06-05	VYDAJ	VYBER	6000	47919	\N	\N	\N
88746	299	1998-04-09	VYDAJ	VYBER	8700	45981	\N	\N	\N
88747	299	1998-02-14	VYDAJ	VYBER	8700	45742	\N	\N	\N
88756	299	1993-08-31	VYDAJ	VYBER	15	77078	SLUZBY	\N	\N
88757	299	1993-09-30	VYDAJ	VYBER	15	48981	SLUZBY	\N	\N
88758	299	1993-10-31	VYDAJ	VYBER	15	35568	SLUZBY	\N	\N
88759	299	1993-11-30	VYDAJ	VYBER	15	28401	SLUZBY	\N	\N
88760	299	1993-12-31	VYDAJ	VYBER	15	27805	SLUZBY	\N	\N
88761	299	1994-01-31	VYDAJ	VYBER	15	61939	SLUZBY	\N	\N
88762	299	1994-02-28	VYDAJ	VYBER	15	95706	SLUZBY	\N	\N
88763	299	1994-03-31	VYDAJ	VYBER	15	49220	SLUZBY	\N	\N
88764	299	1994-04-30	VYDAJ	VYBER	15	33208	SLUZBY	\N	\N
88765	299	1994-05-31	VYDAJ	VYBER	15	44359	SLUZBY	\N	\N
88766	299	1994-06-30	VYDAJ	VYBER	15	69625	SLUZBY	\N	\N
88767	299	1994-07-31	VYDAJ	VYBER	15	48165	SLUZBY	\N	\N
88768	299	1994-08-31	VYDAJ	VYBER	15	39499	SLUZBY	\N	\N
88769	299	1994-09-30	VYDAJ	VYBER	15	48455	SLUZBY	\N	\N
88770	299	1994-10-31	VYDAJ	VYBER	15	80194	SLUZBY	\N	\N
88771	299	1994-11-30	VYDAJ	VYBER	15	94824	SLUZBY	\N	\N
88772	299	1994-12-31	VYDAJ	VYBER	15	59875	SLUZBY	\N	\N
88773	299	1995-01-31	VYDAJ	VYBER	15	70753	SLUZBY	\N	\N
88774	299	1995-02-28	VYDAJ	VYBER	15	50176	SLUZBY	\N	\N
88775	299	1995-03-31	VYDAJ	VYBER	15	51640	SLUZBY	\N	\N
88776	299	1995-04-30	VYDAJ	VYBER	15	52684	SLUZBY	\N	\N
88777	299	1995-05-31	VYDAJ	VYBER	15	55479	SLUZBY	\N	\N
88778	299	1995-06-30	VYDAJ	VYBER	15	57913	SLUZBY	\N	\N
88779	299	1995-07-31	VYDAJ	VYBER	15	54868	SLUZBY	\N	\N
88780	299	1995-08-31	VYDAJ	VYBER	15	69734	SLUZBY	\N	\N
88781	299	1995-09-30	VYDAJ	VYBER	15	76634	SLUZBY	\N	\N
88782	299	1995-10-31	VYDAJ	VYBER	15	50384	SLUZBY	\N	\N
88783	299	1995-11-30	VYDAJ	VYBER	15	49151	SLUZBY	\N	\N
88784	299	1995-12-31	VYDAJ	VYBER	15	60831	SLUZBY	\N	\N
88785	299	1996-01-31	VYDAJ	VYBER	15	38548	SLUZBY	\N	\N
88786	299	1996-02-29	VYDAJ	VYBER	15	59182	SLUZBY	\N	\N
88787	299	1996-03-31	VYDAJ	VYBER	15	64735	SLUZBY	\N	\N
88788	299	1996-04-30	VYDAJ	VYBER	15	66284	SLUZBY	\N	\N
88789	299	1996-05-31	VYDAJ	VYBER	15	95373	SLUZBY	\N	\N
88790	299	1996-06-30	VYDAJ	VYBER	15	32959	SLUZBY	\N	\N
88791	299	1996-07-31	VYDAJ	VYBER	15	27978	SLUZBY	\N	\N
88792	299	1996-08-31	VYDAJ	VYBER	15	64164	SLUZBY	\N	\N
88793	299	1996-09-30	VYDAJ	VYBER	15	65072	SLUZBY	\N	\N
88794	299	1996-10-31	VYDAJ	VYBER	15	60039	SLUZBY	\N	\N
88795	299	1996-11-30	VYDAJ	VYBER	15	83791	SLUZBY	\N	\N
88796	299	1996-12-31	VYDAJ	VYBER	15	82974	SLUZBY	\N	\N
88797	299	1997-01-31	VYDAJ	VYBER	15	81819	SLUZBY	\N	\N
88798	299	1997-02-28	VYDAJ	VYBER	15	60040	SLUZBY	\N	\N
88799	299	1997-03-31	VYDAJ	VYBER	15	61295	SLUZBY	\N	\N
88800	299	1997-04-30	VYDAJ	VYBER	15	56759	SLUZBY	\N	\N
88801	299	1997-05-31	VYDAJ	VYBER	15	70016	SLUZBY	\N	\N
88802	299	1997-06-30	VYDAJ	VYBER	15	74126	SLUZBY	\N	\N
88803	299	1997-07-31	VYDAJ	VYBER	15	72182	SLUZBY	\N	\N
88804	299	1997-08-31	VYDAJ	VYBER	15	62163	SLUZBY	\N	\N
88805	299	1997-09-30	VYDAJ	VYBER	15	99953	SLUZBY	\N	\N
88806	299	1997-10-31	VYDAJ	VYBER	15	99944	SLUZBY	\N	\N
88807	299	1997-11-30	VYDAJ	VYBER	15	82578	SLUZBY	\N	\N
88808	299	1997-12-31	VYDAJ	VYBER	15	83306	SLUZBY	\N	\N
88809	299	1998-01-31	VYDAJ	VYBER	15	49342	SLUZBY	\N	\N
88810	299	1998-02-28	VYDAJ	VYBER	15	45920	SLUZBY	\N	\N
88811	299	1998-03-31	VYDAJ	VYBER	15	39881	SLUZBY	\N	\N
88812	299	1998-04-30	VYDAJ	VYBER	15	46146	SLUZBY	\N	\N
88813	299	1998-05-31	VYDAJ	VYBER	15	53919	SLUZBY	\N	\N
88814	299	1998-06-30	VYDAJ	VYBER	15	52076	SLUZBY	\N	\N
88815	299	1998-07-31	VYDAJ	VYBER	15	59373	SLUZBY	\N	\N
88816	299	1998-08-31	VYDAJ	VYBER	15	63800	SLUZBY	\N	\N
88817	299	1998-09-30	VYDAJ	VYBER	15	64045	SLUZBY	\N	\N
88818	299	1998-10-31	VYDAJ	VYBER	15	96030	SLUZBY	\N	\N
88819	299	1998-11-30	VYDAJ	VYBER	15	88307	SLUZBY	\N	\N
88820	299	1993-05-05	VYDAJ	VYBER	3700	30825	\N	\N	\N
88821	299	1993-06-04	VYDAJ	VYBER	1500	29469	\N	\N	\N
88822	299	1993-07-04	VYDAJ	VYBER	2600	27012	\N	\N	\N
88823	299	1993-08-03	VYDAJ	VYBER	32600	61589	\N	\N	\N
88824	299	1993-09-02	VYDAJ	VYBER	28400	48678	\N	\N	\N
88825	299	1993-10-02	VYDAJ	VYBER	13600	35381	\N	\N	\N
88826	299	1993-11-01	VYDAJ	VYBER	7300	28268	\N	\N	\N
88827	299	1993-12-01	VYDAJ	VYBER	3200	25201	\N	\N	\N
88828	299	1993-12-31	PRIJEM	VKLAD	2500	27701	\N	\N	\N
88829	299	1994-01-18	VYDAJ	VYBER	23300	92502	\N	\N	\N
88830	299	1994-01-19	VYDAJ	VYBER	44000	83557	\N	\N	\N
88831	299	1994-01-30	VYDAJ	VYBER	32100	61644	\N	\N	\N
88832	299	1994-03-01	VYDAJ	VYBER	32300	63406	\N	\N	\N
88833	299	1994-03-31	VYDAJ	VYBER	24600	49235	\N	\N	\N
88834	299	1994-04-30	VYDAJ	VYBER	7800	33223	\N	\N	\N
88835	299	1994-05-30	VYDAJ	VYBER	20400	44149	\N	\N	\N
88836	299	1994-06-25	VYDAJ	VYBER	28100	110955	\N	\N	\N
88837	299	1994-06-29	VYDAJ	VYBER	41600	69355	\N	\N	\N
88838	299	1994-07-11	VYDAJ	VYBER	46200	81900	\N	\N	\N
88839	299	1994-07-29	VYDAJ	VYBER	19600	47900	\N	\N	\N
88840	299	1994-08-28	VYDAJ	VYBER	8800	39318	\N	\N	\N
88841	299	1994-09-27	VYDAJ	VYBER	17000	48290	\N	\N	\N
88842	299	1994-10-27	VYDAJ	VYBER	23100	47776	\N	\N	\N
88843	299	1994-11-26	VYDAJ	VYBER	22900	54478	\N	\N	\N
88844	299	1994-12-26	VYDAJ	VYBER	29000	59524	\N	\N	\N
88845	299	1995-01-25	VYDAJ	VYBER	36000	64993	\N	\N	\N
88846	299	1995-02-22	VYDAJ	VYBER	64100	64447	\N	\N	\N
88847	299	1995-02-24	VYDAJ	VYBER	22400	49903	\N	\N	\N
88848	299	1995-03-03	VYDAJ	VYBER	49200	68381	\N	\N	\N
88849	299	1995-03-26	VYDAJ	VYBER	17000	51381	\N	\N	\N
88850	299	1995-04-25	VYDAJ	VYBER	25400	52472	\N	\N	\N
88851	299	1995-05-11	VYDAJ	VYBER	51500	75441	\N	\N	\N
88852	299	1995-05-12	VYDAJ	VYBER	38100	75710	\N	\N	\N
88853	299	1995-05-25	VYDAJ	VYBER	20500	55210	\N	\N	\N
88854	299	1995-06-24	VYDAJ	VYBER	30500	66583	\N	\N	\N
88855	299	1995-07-24	VYDAJ	VYBER	20600	54646	\N	\N	\N
88856	299	1995-08-23	VYDAJ	VYBER	35000	69503	\N	\N	\N
88857	299	1995-09-22	VYDAJ	VYBER	19500	61833	\N	\N	\N
88858	299	1995-09-30	VYDAJ	VYBER	33600	76649	\N	\N	\N
88859	299	1995-10-07	VYDAJ	VYBER	53200	90317	\N	\N	\N
88860	299	1995-10-10	VYDAJ	VYBER	59700	78397	\N	\N	\N
88861	299	1995-10-22	VYDAJ	VYBER	18700	59697	\N	\N	\N
88862	299	1995-11-21	VYDAJ	VYBER	35000	70246	\N	\N	\N
88863	299	1995-12-21	VYDAJ	VYBER	23100	60601	\N	\N	\N
88864	299	1996-01-20	VYDAJ	VYBER	12000	48831	\N	\N	\N
88865	299	1996-02-19	VYDAJ	VYBER	18900	59005	\N	\N	\N
88866	299	1996-03-20	VYDAJ	VYBER	26900	64465	\N	\N	\N
88867	299	1996-03-20	VYDAJ	VYBER	29300	91365	\N	\N	\N
88868	299	1996-04-09	VYDAJ	VYBER	51500	87629	\N	\N	\N
88869	299	1996-04-14	VYDAJ	VYBER	31800	92547	\N	\N	\N
88870	299	1996-04-19	VYDAJ	VYBER	26600	65947	\N	\N	\N
88871	299	1996-05-17	VYDAJ	VYBER	43600	110488	\N	\N	\N
88872	299	1996-05-19	VYDAJ	VYBER	37600	72888	\N	\N	\N
88873	299	1996-06-03	VYDAJ	VYBER	32100	99627	\N	\N	\N
88874	299	1996-06-18	VYDAJ	VYBER	38800	71342	\N	\N	\N
88875	299	1996-07-18	PRIJEM	VKLAD	900	33859	\N	\N	\N
88876	299	1996-08-17	VYDAJ	VYBER	21600	63961	\N	\N	\N
88877	299	1996-09-16	VYDAJ	VYBER	15000	50148	\N	\N	\N
88878	299	1996-09-24	VYDAJ	VYBER	49000	64829	\N	\N	\N
88879	299	1996-10-06	VYDAJ	VYBER	46700	69146	\N	\N	\N
88880	299	1996-10-16	VYDAJ	VYBER	16000	53146	\N	\N	\N
88881	299	1996-11-15	VYDAJ	VYBER	10000	50039	\N	\N	\N
88882	299	1996-11-20	VYDAJ	VYBER	39300	83519	\N	\N	\N
88883	299	1996-12-15	VYDAJ	VYBER	31700	62420	\N	\N	\N
88884	299	1997-01-14	VYDAJ	VYBER	17400	65574	\N	\N	\N
88885	299	1997-02-13	VYDAJ	VYBER	22100	59719	\N	\N	\N
88886	299	1997-03-15	VYDAJ	VYBER	13300	61058	\N	\N	\N
88887	299	1997-04-14	VYDAJ	VYBER	16600	67947	\N	\N	\N
88888	299	1997-04-20	VYDAJ	VYBER	58900	56431	\N	\N	\N
88889	299	1997-05-14	VYDAJ	VYBER	16900	69750	\N	\N	\N
88890	299	1997-06-13	PRIJEM	VKLAD	11200	47220	\N	\N	\N
88891	299	1997-07-13	VYDAJ	VYBER	26000	71897	\N	\N	\N
88892	299	1997-08-12	VYDAJ	VYBER	10300	61882	\N	\N	\N
88893	299	1997-09-11	VYDAJ	VYBER	3100	59063	\N	\N	\N
88894	299	1997-09-28	VYDAJ	VYBER	17800	99635	\N	\N	\N
88895	299	1997-10-10	VYDAJ	VYBER	30000	123887	\N	\N	\N
88896	299	1997-10-11	VYDAJ	VYBER	34900	88987	\N	\N	\N
88897	299	1997-11-10	VYDAJ	VYBER	22700	77244	\N	\N	\N
88898	299	1997-11-23	VYDAJ	VYBER	32800	104833	\N	\N	\N
88899	299	1997-11-28	VYDAJ	VYBER	48600	82167	\N	\N	\N
88900	299	1997-12-10	VYDAJ	VYBER	17300	75205	\N	\N	\N
88901	299	1998-01-09	VYDAJ	VYBER	11100	72206	\N	\N	\N
88902	299	1998-02-08	PRIJEM	VKLAD	5100	54442	\N	\N	\N
88903	299	1998-03-10	PRIJEM	VKLAD	7000	52920	\N	\N	\N
88904	299	1998-04-09	PRIJEM	VKLAD	14800	54681	\N	\N	\N
88905	299	1998-05-09	PRIJEM	VKLAD	7600	53746	\N	\N	\N
88906	299	1998-06-08	PRIJEM	VKLAD	12400	60319	\N	\N	\N
88907	299	1998-07-08	PRIJEM	VKLAD	7100	59176	\N	\N	\N
88908	299	1998-08-07	PRIJEM	VKLAD	4200	63573	\N	\N	\N
88909	299	1998-10-06	VYDAJ	VYBER	3100	75318	\N	\N	\N
88910	299	1998-11-05	VYDAJ	VYBER	8100	87930	\N	\N	\N
88911	299	1998-12-05	VYDAJ	VYBER	2100	86207	\N	\N	\N
88912	299	1998-12-11	VYDAJ	VYBER	38300	89692	\N	\N	\N
88982	300	1993-06-23	PRIJEM	VKLAD	400	400	\N	\N	\N
88989	300	1993-07-08	PRIJEM	PREVOD Z UCTU	6892	7292	DUCHOD	YZ	41047549
88990	300	1993-08-08	PRIJEM	PREVOD Z UCTU	6892	14184	DUCHOD	YZ	41047549
88991	300	1993-09-08	PRIJEM	PREVOD Z UCTU	6892	21076	DUCHOD	YZ	41047549
88992	300	1993-10-08	PRIJEM	PREVOD Z UCTU	6892	27968	DUCHOD	YZ	41047549
88993	300	1993-11-08	PRIJEM	PREVOD Z UCTU	6892	33499	DUCHOD	YZ	41047549
88994	300	1993-12-08	PRIJEM	PREVOD Z UCTU	6892	32845	DUCHOD	YZ	41047549
88995	300	1994-01-08	PRIJEM	PREVOD Z UCTU	6892	29688	DUCHOD	YZ	41047549
88996	300	1994-02-08	PRIJEM	PREVOD Z UCTU	6892	24788	DUCHOD	YZ	41047549
88997	300	1994-03-08	PRIJEM	PREVOD Z UCTU	6892	29525	DUCHOD	YZ	41047549
88998	300	1994-04-08	PRIJEM	PREVOD Z UCTU	6892	30259	DUCHOD	YZ	41047549
88999	300	1994-05-08	PRIJEM	PREVOD Z UCTU	6892	28493	DUCHOD	YZ	41047549
89000	300	1994-06-08	PRIJEM	PREVOD Z UCTU	6892	32445	DUCHOD	YZ	41047549
89001	300	1994-07-08	PRIJEM	PREVOD Z UCTU	6892	27308	DUCHOD	YZ	41047549
89002	300	1994-08-08	PRIJEM	PREVOD Z UCTU	6892	29952	DUCHOD	YZ	41047549
89003	300	1994-09-08	PRIJEM	PREVOD Z UCTU	6892	30002	DUCHOD	YZ	41047549
89004	300	1994-10-08	PRIJEM	PREVOD Z UCTU	6892	30752	DUCHOD	YZ	41047549
89005	300	1994-11-08	PRIJEM	PREVOD Z UCTU	6892	28046	DUCHOD	YZ	41047549
89006	300	1994-12-08	PRIJEM	PREVOD Z UCTU	6892	31502	DUCHOD	YZ	41047549
89007	300	1995-01-08	PRIJEM	PREVOD Z UCTU	6892	25428	DUCHOD	YZ	41047549
89008	300	1995-02-08	PRIJEM	PREVOD Z UCTU	6892	23325	DUCHOD	YZ	41047549
89009	300	1995-03-08	PRIJEM	PREVOD Z UCTU	6892	28657	DUCHOD	YZ	41047549
89010	300	1995-04-08	PRIJEM	PREVOD Z UCTU	6892	32549	DUCHOD	YZ	41047549
89011	300	1995-05-08	PRIJEM	PREVOD Z UCTU	6892	31185	DUCHOD	YZ	41047549
89012	300	1995-06-08	PRIJEM	PREVOD Z UCTU	6892	31160	DUCHOD	YZ	41047549
89013	300	1995-07-08	PRIJEM	PREVOD Z UCTU	6892	27212	DUCHOD	YZ	41047549
89014	300	1995-08-08	PRIJEM	PREVOD Z UCTU	6892	29353	DUCHOD	YZ	41047549
89015	300	1995-09-08	PRIJEM	PREVOD Z UCTU	6892	34409	DUCHOD	YZ	41047549
89016	300	1995-10-08	PRIJEM	PREVOD Z UCTU	6892	33073	DUCHOD	YZ	41047549
89017	300	1995-11-08	PRIJEM	PREVOD Z UCTU	6892	31126	DUCHOD	YZ	41047549
89018	300	1995-12-08	PRIJEM	PREVOD Z UCTU	6892	31577	DUCHOD	YZ	41047549
89019	300	1996-01-08	PRIJEM	PREVOD Z UCTU	6892	29043	DUCHOD	YZ	41047549
89020	300	1996-02-08	PRIJEM	PREVOD Z UCTU	6892	24424	DUCHOD	YZ	41047549
89021	300	1996-03-08	PRIJEM	PREVOD Z UCTU	6892	28659	DUCHOD	YZ	41047549
89022	300	1996-04-08	PRIJEM	PREVOD Z UCTU	6892	33213	DUCHOD	YZ	41047549
89023	300	1996-05-08	PRIJEM	PREVOD Z UCTU	6892	30788	DUCHOD	YZ	41047549
89024	300	1996-06-08	PRIJEM	PREVOD Z UCTU	6892	24444	DUCHOD	YZ	41047549
89025	300	1996-07-08	PRIJEM	PREVOD Z UCTU	6892	29792	DUCHOD	YZ	41047549
89026	300	1996-08-08	PRIJEM	PREVOD Z UCTU	6892	34351	DUCHOD	YZ	41047549
89027	300	1996-09-08	PRIJEM	PREVOD Z UCTU	6892	39732	DUCHOD	YZ	41047549
89028	300	1996-10-08	PRIJEM	PREVOD Z UCTU	6892	38311	DUCHOD	YZ	41047549
89029	300	1996-11-08	PRIJEM	PREVOD Z UCTU	6892	42111	DUCHOD	YZ	41047549
89030	300	1996-12-08	PRIJEM	PREVOD Z UCTU	6892	43525	DUCHOD	YZ	41047549
89031	300	1997-01-08	PRIJEM	PREVOD Z UCTU	6892	47996	DUCHOD	YZ	41047549
89032	300	1997-02-08	PRIJEM	PREVOD Z UCTU	6892	42396	DUCHOD	YZ	41047549
89033	300	1997-03-08	PRIJEM	PREVOD Z UCTU	6892	44998	DUCHOD	YZ	41047549
89034	300	1997-04-08	PRIJEM	PREVOD Z UCTU	6892	46569	DUCHOD	YZ	41047549
89035	300	1997-05-08	PRIJEM	PREVOD Z UCTU	6892	48389	DUCHOD	YZ	41047549
89036	300	1997-06-08	PRIJEM	PREVOD Z UCTU	6892	52143	DUCHOD	YZ	41047549
89037	300	1997-07-08	PRIJEM	PREVOD Z UCTU	6892	53144	DUCHOD	YZ	41047549
89038	300	1997-08-08	PRIJEM	PREVOD Z UCTU	6892	54670	DUCHOD	YZ	41047549
89039	300	1997-09-08	PRIJEM	PREVOD Z UCTU	6892	57635	DUCHOD	YZ	41047549
89040	300	1997-10-08	PRIJEM	PREVOD Z UCTU	6892	60408	DUCHOD	YZ	41047549
89041	300	1997-11-08	PRIJEM	PREVOD Z UCTU	6892	59912	DUCHOD	YZ	41047549
89042	300	1997-12-08	PRIJEM	PREVOD Z UCTU	6892	60693	DUCHOD	YZ	41047549
89043	300	1998-01-08	PRIJEM	PREVOD Z UCTU	6892	54476	DUCHOD	YZ	41047549
89044	300	1998-02-08	PRIJEM	PREVOD Z UCTU	6892	52027	DUCHOD	YZ	41047549
89045	300	1998-03-08	PRIJEM	PREVOD Z UCTU	6892	57476	DUCHOD	YZ	41047549
89046	300	1998-04-08	PRIJEM	PREVOD Z UCTU	6892	59748	DUCHOD	YZ	41047549
89047	300	1998-05-08	PRIJEM	PREVOD Z UCTU	6892	61225	DUCHOD	YZ	41047549
89048	300	1998-06-08	PRIJEM	PREVOD Z UCTU	6892	60808	DUCHOD	YZ	41047549
89049	300	1998-07-08	PRIJEM	PREVOD Z UCTU	6892	58230	DUCHOD	YZ	41047549
89050	300	1998-08-08	PRIJEM	PREVOD Z UCTU	6892	62004	DUCHOD	YZ	41047549
89051	300	1998-09-08	PRIJEM	PREVOD Z UCTU	6892	67494	DUCHOD	YZ	41047549
89052	300	1998-10-08	PRIJEM	PREVOD Z UCTU	6892	73007	DUCHOD	YZ	41047549
89053	300	1998-11-08	PRIJEM	PREVOD Z UCTU	6892	76942	DUCHOD	YZ	41047549
89054	300	1998-12-08	PRIJEM	PREVOD Z UCTU	6892	76088	DUCHOD	YZ	41047549
89065	300	1993-11-11	VYDAJ	PREVOD NA UCET	1628	31871	SIPO	YZ	46045607
89066	300	1993-12-11	VYDAJ	PREVOD NA UCET	1628	31217	SIPO	YZ	46045607
89067	300	1994-01-11	VYDAJ	PREVOD NA UCET	1628	26060	SIPO	YZ	46045607
89068	300	1994-02-11	VYDAJ	PREVOD NA UCET	1628	23160	SIPO	YZ	46045607
89069	300	1994-03-11	VYDAJ	PREVOD NA UCET	1628	27897	SIPO	YZ	46045607
89070	300	1994-04-11	VYDAJ	PREVOD NA UCET	1628	28631	SIPO	YZ	46045607
89071	300	1994-05-11	VYDAJ	PREVOD NA UCET	1628	26865	SIPO	YZ	46045607
89072	300	1994-06-11	VYDAJ	PREVOD NA UCET	1628	30817	SIPO	YZ	46045607
89073	300	1994-07-11	VYDAJ	PREVOD NA UCET	1628	25680	SIPO	YZ	46045607
89074	300	1994-08-11	VYDAJ	PREVOD NA UCET	1628	28324	SIPO	YZ	46045607
89075	300	1994-09-11	VYDAJ	PREVOD NA UCET	1628	28374	SIPO	YZ	46045607
89076	300	1994-10-11	VYDAJ	PREVOD NA UCET	1628	29124	SIPO	YZ	46045607
89077	300	1994-11-11	VYDAJ	PREVOD NA UCET	1628	26418	SIPO	YZ	46045607
89078	300	1994-12-11	VYDAJ	PREVOD NA UCET	1628	29874	SIPO	YZ	46045607
89079	300	1995-01-11	VYDAJ	PREVOD NA UCET	1628	23800	SIPO	YZ	46045607
89080	300	1995-02-11	VYDAJ	PREVOD NA UCET	1628	21697	SIPO	YZ	46045607
89081	300	1995-03-11	VYDAJ	PREVOD NA UCET	1628	27029	SIPO	YZ	46045607
89082	300	1995-04-11	VYDAJ	PREVOD NA UCET	1628	28601	SIPO	YZ	46045607
89083	300	1995-05-11	VYDAJ	PREVOD NA UCET	1628	29557	SIPO	YZ	46045607
89084	300	1995-06-11	VYDAJ	PREVOD NA UCET	1628	29532	SIPO	YZ	46045607
89085	300	1995-07-11	VYDAJ	PREVOD NA UCET	1628	25584	SIPO	YZ	46045607
89086	300	1995-08-11	VYDAJ	PREVOD NA UCET	1628	27725	SIPO	YZ	46045607
89087	300	1995-09-11	VYDAJ	PREVOD NA UCET	1628	26081	SIPO	YZ	46045607
89088	300	1995-10-11	VYDAJ	PREVOD NA UCET	1628	24145	SIPO	YZ	46045607
89089	300	1995-11-11	VYDAJ	PREVOD NA UCET	1628	24598	SIPO	YZ	46045607
89090	300	1995-12-11	VYDAJ	PREVOD NA UCET	1628	26649	SIPO	YZ	46045607
89091	300	1996-01-11	VYDAJ	PREVOD NA UCET	1628	22335	SIPO	YZ	46045607
89092	300	1996-02-11	VYDAJ	PREVOD NA UCET	1628	21696	SIPO	YZ	46045607
89093	300	1996-03-11	VYDAJ	PREVOD NA UCET	1628	26231	SIPO	YZ	46045607
89094	300	1996-04-11	VYDAJ	PREVOD NA UCET	1628	25885	SIPO	YZ	46045607
89095	300	1996-05-11	VYDAJ	PREVOD NA UCET	1628	26160	SIPO	YZ	46045607
89096	300	1996-06-11	VYDAJ	PREVOD NA UCET	1628	22816	SIPO	YZ	46045607
89097	300	1996-07-11	VYDAJ	PREVOD NA UCET	1628	28164	SIPO	YZ	46045607
89098	300	1996-08-11	VYDAJ	PREVOD NA UCET	1628	32723	SIPO	YZ	46045607
89099	300	1996-09-11	VYDAJ	PREVOD NA UCET	1628	38104	SIPO	YZ	46045607
89100	300	1996-10-11	VYDAJ	PREVOD NA UCET	1628	36683	SIPO	YZ	46045607
89101	300	1996-11-11	VYDAJ	PREVOD NA UCET	1628	40483	SIPO	YZ	46045607
89102	300	1996-12-11	VYDAJ	PREVOD NA UCET	1628	41897	SIPO	YZ	46045607
89103	300	1997-01-11	VYDAJ	PREVOD NA UCET	1628	43888	SIPO	YZ	46045607
89104	300	1997-02-11	VYDAJ	PREVOD NA UCET	1628	40768	SIPO	YZ	46045607
89105	300	1997-03-11	VYDAJ	PREVOD NA UCET	1628	43370	SIPO	YZ	46045607
89106	300	1997-04-11	VYDAJ	PREVOD NA UCET	1628	44941	SIPO	YZ	46045607
89107	300	1997-05-11	VYDAJ	PREVOD NA UCET	1628	46761	SIPO	YZ	46045607
89108	300	1997-06-11	VYDAJ	PREVOD NA UCET	1628	50515	SIPO	YZ	46045607
89109	300	1997-07-11	VYDAJ	PREVOD NA UCET	1628	51516	SIPO	YZ	46045607
89110	300	1997-08-11	VYDAJ	PREVOD NA UCET	1628	53042	SIPO	YZ	46045607
89111	300	1997-09-11	VYDAJ	PREVOD NA UCET	1628	56007	SIPO	YZ	46045607
89112	300	1997-10-11	VYDAJ	PREVOD NA UCET	1628	58780	SIPO	YZ	46045607
89113	300	1997-11-11	VYDAJ	PREVOD NA UCET	1628	58284	SIPO	YZ	46045607
89114	300	1997-12-11	VYDAJ	PREVOD NA UCET	1628	59065	SIPO	YZ	46045607
89115	300	1998-01-11	VYDAJ	PREVOD NA UCET	1628	48648	SIPO	YZ	46045607
89116	300	1998-02-11	VYDAJ	PREVOD NA UCET	1628	50399	SIPO	YZ	46045607
89117	300	1998-03-11	VYDAJ	PREVOD NA UCET	1628	55848	SIPO	YZ	46045607
89118	300	1998-04-11	VYDAJ	PREVOD NA UCET	1628	55820	SIPO	YZ	46045607
89119	300	1998-05-11	VYDAJ	PREVOD NA UCET	1628	58897	SIPO	YZ	46045607
89120	300	1998-06-11	VYDAJ	PREVOD NA UCET	1628	59180	SIPO	YZ	46045607
89121	300	1998-07-11	VYDAJ	PREVOD NA UCET	1628	56602	SIPO	YZ	46045607
89122	300	1998-08-11	VYDAJ	PREVOD NA UCET	1628	60376	SIPO	YZ	46045607
89123	300	1998-09-11	VYDAJ	PREVOD NA UCET	1628	65866	SIPO	YZ	46045607
89124	300	1998-10-11	VYDAJ	PREVOD NA UCET	1628	71379	SIPO	YZ	46045607
89125	300	1998-11-11	VYDAJ	PREVOD NA UCET	1628	75314	SIPO	YZ	46045607
89126	300	1998-12-11	VYDAJ	PREVOD NA UCET	1628	74460	SIPO	YZ	46045607
89128	300	1994-06-27	VYDAJ	VYBER	9000	20317	\N	\N	\N
89129	300	1995-06-24	VYDAJ	VYBER	4400	20232	\N	\N	\N
89130	300	1996-06-01	VYDAJ	VYBER	8700	17552	\N	\N	\N
89131	300	1997-06-11	VYDAJ	VYBER	4450	46065	\N	\N	\N
89132	300	1998-06-19	VYDAJ	VYBER	8050	51130	\N	\N	\N
89134	300	1994-01-19	VYDAJ	VYBER	4250	21810	\N	\N	\N
89135	300	1995-01-04	VYDAJ	VYBER	1650	19736	\N	\N	\N
89136	300	1996-01-08	VYDAJ	VYBER	1300	27743	\N	\N	\N
89137	300	1997-01-14	VYDAJ	VYBER	3250	39518	\N	\N	\N
89138	300	1998-01-22	VYDAJ	VYBER KARTOU	1200	47448	\N	\N	0
89139	300	1993-12-17	VYDAJ	VYBER	500	30717	\N	\N	\N
89140	300	1994-12-03	VYDAJ	VYBER	900	24610	\N	\N	\N
89141	300	1995-12-26	VYDAJ	VYBER	1150	25499	\N	\N	\N
89142	300	1996-12-19	VYDAJ	VYBER	950	40947	\N	\N	\N
89143	300	1997-12-19	VYDAJ	VYBER KARTOU	900	58165	\N	\N	0
89144	300	1998-12-14	VYDAJ	VYBER KARTOU	1500	72960	\N	\N	0
89151	300	1994-01-07	VYDAJ	VYBER	640	22796	\N	\N	\N
89152	300	1994-01-06	VYDAJ	VYBER	880	23436	\N	\N	\N
89153	300	1994-01-08	VYDAJ	VYBER	640	29048	\N	\N	\N
89154	300	1994-01-02	VYDAJ	VYBER	1200	24316	\N	\N	\N
89155	300	1994-01-11	VYDAJ	VYBER	1360	27688	\N	\N	\N
89156	300	1994-01-29	VYDAJ	VYBER	1680	17810	\N	\N	\N
89157	300	1995-01-06	VYDAJ	VYBER	1200	18536	\N	\N	\N
89158	300	1995-01-24	VYDAJ	VYBER	1920	17880	\N	\N	\N
89159	300	1995-01-11	VYDAJ	VYBER	960	22840	\N	\N	\N
89160	300	1995-01-04	VYDAJ	VYBER	2080	21386	\N	\N	\N
89161	300	1995-01-23	VYDAJ	VYBER	2240	19800	\N	\N	\N
89162	300	1995-01-01	VYDAJ	VYBER	400	23466	\N	\N	\N
89163	300	1996-01-03	VYDAJ	VYBER	1280	22151	\N	\N	\N
89164	300	1996-01-08	VYDAJ	VYBER	2080	25663	\N	\N	\N
89165	300	1996-01-24	VYDAJ	VYBER	1680	19615	\N	\N	\N
89166	300	1996-01-27	VYDAJ	VYBER	2160	17455	\N	\N	\N
89167	300	1996-01-03	VYDAJ	VYBER	2160	23431	\N	\N	\N
89168	300	1996-01-24	VYDAJ	VYBER	1040	21295	\N	\N	\N
89169	300	1997-01-08	VYDAJ	VYBER	1760	45516	\N	\N	\N
89170	300	1997-01-22	VYDAJ	VYBER	640	35358	\N	\N	\N
89171	300	1997-01-08	VYDAJ	VYBER	720	47276	\N	\N	\N
89172	300	1997-01-16	VYDAJ	VYBER	720	36638	\N	\N	\N
89173	300	1997-01-18	VYDAJ	VYBER	640	35998	\N	\N	\N
89174	300	1997-01-16	VYDAJ	VYBER	2160	37358	\N	\N	\N
89175	300	1998-01-08	VYDAJ	VYBER KARTOU	2200	52276	\N	\N	0
89176	300	1998-01-07	VYDAJ	VYBER KARTOU	2300	47584	\N	\N	0
89177	300	1998-01-08	VYDAJ	VYBER KARTOU	900	51376	\N	\N	0
89178	300	1998-01-10	VYDAJ	VYBER KARTOU	1100	50276	\N	\N	0
89179	300	1998-01-29	VYDAJ	VYBER KARTOU	1000	44948	\N	\N	0
89180	300	1998-01-28	VYDAJ	VYBER KARTOU	1500	45948	\N	\N	0
89184	300	1993-11-19	VYDAJ	VYBER	1120	30751	\N	\N	\N
89186	300	1994-04-21	VYDAJ	VYBER	3200	21511	\N	\N	\N
89187	300	1994-11-05	VYDAJ	VYBER	3360	21154	\N	\N	\N
89188	300	1994-01-27	VYDAJ	VYBER	2320	19490	\N	\N	\N
89189	300	1994-04-02	VYDAJ	VYBER	1520	23367	\N	\N	\N
89190	300	1994-04-19	VYDAJ	VYBER	3920	24711	\N	\N	\N
89191	300	1995-03-30	VYDAJ	VYBER	560	25569	\N	\N	\N
89192	300	1995-06-01	VYDAJ	VYBER	1280	24268	\N	\N	\N
89193	300	1995-01-30	VYDAJ	VYBER	1520	16360	\N	\N	\N
89194	300	1995-04-09	VYDAJ	VYBER	2320	30229	\N	\N	\N
89195	300	1996-04-15	VYDAJ	VYBER	2080	23805	\N	\N	\N
89196	300	1996-09-22	VYDAJ	VYBER	720	37384	\N	\N	\N
89197	300	1996-10-03	VYDAJ	VYBER	3200	34319	\N	\N	\N
89198	300	1997-04-14	VYDAJ	VYBER	3600	41341	\N	\N	\N
89199	300	1997-07-13	VYDAJ	VYBER	3440	48076	\N	\N	\N
89200	300	1997-03-12	VYDAJ	VYBER	3840	39530	\N	\N	\N
89201	300	1997-08-02	VYDAJ	VYBER	480	47778	\N	\N	\N
89202	300	1997-10-24	VYDAJ	VYBER	560	55900	\N	\N	\N
89203	300	1997-02-11	VYDAJ	VYBER	2800	37968	\N	\N	\N
89204	300	1997-05-27	VYDAJ	VYBER	1680	45081	\N	\N	\N
89205	300	1997-10-20	VYDAJ	VYBER	2320	56460	\N	\N	\N
89206	300	1997-01-11	VYDAJ	VYBER	1120	42768	\N	\N	\N
89207	300	1998-04-08	VYDAJ	VYBER KARTOU	2300	57448	\N	\N	0
89208	300	1998-01-05	VYDAJ	VYBER KARTOU	2600	49884	\N	\N	0
89209	300	1998-05-14	VYDAJ	VYBER KARTOU	400	58497	\N	\N	0
89210	300	1998-05-10	VYDAJ	VYBER KARTOU	700	60525	\N	\N	0
89222	300	1993-11-30	VYDAJ	VYBER	15	25953	SLUZBY	\N	\N
89223	300	1993-12-31	VYDAJ	VYBER	15	25516	SLUZBY	\N	\N
89224	300	1994-01-31	VYDAJ	VYBER	15	17896	SLUZBY	\N	\N
89225	300	1994-02-28	VYDAJ	VYBER	15	22633	SLUZBY	\N	\N
89226	300	1994-03-31	VYDAJ	VYBER	15	24887	SLUZBY	\N	\N
89227	300	1994-04-30	VYDAJ	VYBER	15	21601	SLUZBY	\N	\N
89228	300	1994-05-31	VYDAJ	VYBER	15	25553	SLUZBY	\N	\N
89229	300	1994-06-30	VYDAJ	VYBER	15	20416	SLUZBY	\N	\N
89230	300	1994-07-31	VYDAJ	VYBER	15	23060	SLUZBY	\N	\N
89231	300	1994-08-31	VYDAJ	VYBER	15	23110	SLUZBY	\N	\N
89232	300	1994-09-30	VYDAJ	VYBER	15	23860	SLUZBY	\N	\N
89233	300	1994-10-31	VYDAJ	VYBER	15	24514	SLUZBY	\N	\N
89234	300	1994-11-30	VYDAJ	VYBER	15	25510	SLUZBY	\N	\N
89235	300	1994-12-31	VYDAJ	VYBER	15	23866	SLUZBY	\N	\N
89236	300	1995-01-31	VYDAJ	VYBER	15	16433	SLUZBY	\N	\N
89237	300	1995-02-28	VYDAJ	VYBER	15	21765	SLUZBY	\N	\N
89238	300	1995-03-31	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
89239	300	1995-04-30	VYDAJ	VYBER	15	24293	SLUZBY	\N	\N
89240	300	1995-05-31	VYDAJ	VYBER	15	25548	SLUZBY	\N	\N
89241	300	1995-06-30	VYDAJ	VYBER	15	20320	SLUZBY	\N	\N
89242	300	1995-07-31	VYDAJ	VYBER	15	22461	SLUZBY	\N	\N
89243	300	1995-08-31	VYDAJ	VYBER	15	27517	SLUZBY	\N	\N
89244	300	1995-09-30	VYDAJ	VYBER	15	26181	SLUZBY	\N	\N
89245	300	1995-10-31	VYDAJ	VYBER	15	24234	SLUZBY	\N	\N
89246	300	1995-11-30	VYDAJ	VYBER	15	24685	SLUZBY	\N	\N
89247	300	1995-12-31	VYDAJ	VYBER	15	25591	SLUZBY	\N	\N
89248	300	1996-01-31	VYDAJ	VYBER	15	17532	SLUZBY	\N	\N
89249	300	1996-02-29	VYDAJ	VYBER	15	21767	SLUZBY	\N	\N
89250	300	1996-03-31	VYDAJ	VYBER	15	26321	SLUZBY	\N	\N
89251	300	1996-04-30	VYDAJ	VYBER	15	23896	SLUZBY	\N	\N
89252	300	1996-05-31	VYDAJ	VYBER	15	26252	SLUZBY	\N	\N
89253	300	1996-06-30	VYDAJ	VYBER	15	22900	SLUZBY	\N	\N
89254	300	1996-07-31	VYDAJ	VYBER	15	28259	SLUZBY	\N	\N
89255	300	1996-08-31	VYDAJ	VYBER	15	32840	SLUZBY	\N	\N
89256	300	1996-09-30	VYDAJ	VYBER	15	37519	SLUZBY	\N	\N
89257	300	1996-10-31	VYDAJ	VYBER	15	36819	SLUZBY	\N	\N
89258	300	1996-11-30	VYDAJ	VYBER	15	40633	SLUZBY	\N	\N
89259	300	1996-12-31	VYDAJ	VYBER	15	41104	SLUZBY	\N	\N
89260	300	1997-01-31	VYDAJ	VYBER	15	35504	SLUZBY	\N	\N
89261	300	1997-02-28	VYDAJ	VYBER	15	38106	SLUZBY	\N	\N
89262	300	1997-03-31	VYDAJ	VYBER	15	39677	SLUZBY	\N	\N
89263	300	1997-04-30	VYDAJ	VYBER	15	41497	SLUZBY	\N	\N
89264	300	1997-05-31	VYDAJ	VYBER	15	45251	SLUZBY	\N	\N
89265	300	1997-06-30	VYDAJ	VYBER	15	46252	SLUZBY	\N	\N
89266	300	1997-07-31	VYDAJ	VYBER	15	48258	SLUZBY	\N	\N
89267	300	1997-08-31	VYDAJ	VYBER	15	50743	SLUZBY	\N	\N
89268	300	1997-09-30	VYDAJ	VYBER	15	56216	SLUZBY	\N	\N
89269	300	1997-10-31	VYDAJ	VYBER	15	53020	SLUZBY	\N	\N
89270	300	1997-11-30	VYDAJ	VYBER	15	53801	SLUZBY	\N	\N
89271	300	1997-12-31	VYDAJ	VYBER	15	52484	SLUZBY	\N	\N
89272	300	1998-01-31	VYDAJ	VYBER	15	45135	SLUZBY	\N	\N
89273	300	1998-02-28	VYDAJ	VYBER	15	50584	SLUZBY	\N	\N
89274	300	1998-03-31	VYDAJ	VYBER	15	52856	SLUZBY	\N	\N
89275	300	1998-04-30	VYDAJ	VYBER	15	54333	SLUZBY	\N	\N
89276	300	1998-05-31	VYDAJ	VYBER	15	53916	SLUZBY	\N	\N
89277	300	1998-06-30	VYDAJ	VYBER	15	51338	SLUZBY	\N	\N
89278	300	1998-07-31	VYDAJ	VYBER	15	55112	SLUZBY	\N	\N
89279	300	1998-08-31	VYDAJ	VYBER	15	60602	SLUZBY	\N	\N
89280	300	1998-09-30	VYDAJ	VYBER	15	66115	SLUZBY	\N	\N
89281	300	1998-10-31	VYDAJ	VYBER	15	70050	SLUZBY	\N	\N
89282	300	1998-11-30	VYDAJ	VYBER	15	69196	SLUZBY	\N	\N
89283	300	1993-10-21	VYDAJ	VYBER	1400	26568	\N	\N	\N
89284	300	1993-11-20	VYDAJ	VYBER	4900	25851	\N	\N	\N
89285	300	1993-12-20	VYDAJ	VYBER	5300	25417	\N	\N	\N
89286	300	1994-02-18	VYDAJ	VYBER	600	22560	\N	\N	\N
89287	300	1994-03-20	VYDAJ	VYBER	3100	24797	\N	\N	\N
89288	300	1994-05-19	VYDAJ	VYBER	1400	25465	\N	\N	\N
89289	300	1994-06-18	VYDAJ	VYBER	1500	29317	\N	\N	\N
89290	300	1994-07-18	VYDAJ	VYBER	2700	22980	\N	\N	\N
89291	300	1994-08-17	VYDAJ	VYBER	5300	23024	\N	\N	\N
89292	300	1994-09-16	VYDAJ	VYBER	4600	23774	\N	\N	\N
89293	300	1994-10-16	VYDAJ	VYBER	4700	24424	\N	\N	\N
89294	300	1994-11-15	VYDAJ	VYBER	1000	25418	\N	\N	\N
89295	300	1994-12-15	VYDAJ	VYBER	6100	23774	\N	\N	\N
89296	300	1995-01-14	VYDAJ	VYBER	800	22040	\N	\N	\N
89297	300	1995-03-15	VYDAJ	VYBER	900	26129	\N	\N	\N
89298	300	1995-04-14	VYDAJ	VYBER	4400	24201	\N	\N	\N
89299	300	1995-05-14	VYDAJ	VYBER	4100	25457	\N	\N	\N
89300	300	1995-06-13	VYDAJ	VYBER	4900	24632	\N	\N	\N
89301	300	1995-07-13	VYDAJ	VYBER	3200	22384	\N	\N	\N
89302	300	1995-08-12	VYDAJ	VYBER	300	27425	\N	\N	\N
89303	300	1995-09-11	VYDAJ	VYBER	6700	27709	\N	\N	\N
89304	300	1995-10-11	VYDAJ	VYBER	7300	25773	\N	\N	\N
89305	300	1995-11-10	VYDAJ	VYBER	4900	26226	\N	\N	\N
89306	300	1995-12-10	VYDAJ	VYBER	3300	28277	\N	\N	\N
89307	300	1996-01-09	VYDAJ	VYBER	1700	23963	\N	\N	\N
89308	300	1996-02-08	VYDAJ	VYBER	1100	23324	\N	\N	\N
89309	300	1996-03-09	VYDAJ	VYBER	800	27859	\N	\N	\N
89310	300	1996-04-08	VYDAJ	VYBER	5700	27513	\N	\N	\N
89311	300	1996-05-08	VYDAJ	VYBER	3000	27788	\N	\N	\N
89312	300	1996-08-06	VYDAJ	VYBER	800	27459	\N	\N	\N
89313	300	1996-10-05	VYDAJ	VYBER	2900	31419	\N	\N	\N
89314	300	1996-11-04	VYDAJ	VYBER	1600	35219	\N	\N	\N
89315	300	1996-12-04	VYDAJ	VYBER	4000	36633	\N	\N	\N
89316	300	1997-08-31	VYDAJ	VYBER	2500	50757	\N	\N	\N
89317	300	1997-09-30	VYDAJ	VYBER	2700	53516	\N	\N	\N
89318	300	1997-10-30	VYDAJ	VYBER KARTOU	3100	52800	\N	\N	0
89319	300	1997-11-29	VYDAJ	VYBER	4700	53584	\N	\N	\N
89320	300	1997-12-29	VYDAJ	VYBER	5900	52265	\N	\N	\N
89321	300	1998-03-29	VYDAJ	VYBER KARTOU	3200	52648	\N	\N	0
89322	300	1998-04-28	VYDAJ	VYBER KARTOU	1700	54120	\N	\N	0
89323	300	1998-05-28	VYDAJ	VYBER	4800	53697	\N	\N	\N
89324	300	1998-07-27	VYDAJ	VYBER KARTOU	1700	54902	\N	\N	0
89325	300	1998-10-25	VYDAJ	VYBER KARTOU	1600	69779	\N	\N	0
89326	300	1998-11-24	VYDAJ	VYBER	6400	68914	\N	\N	\N
89390	301	1995-09-10	PRIJEM	VKLAD	300	300	\N	\N	\N
89400	301	1995-10-07	PRIJEM	PREVOD Z UCTU	2925	3225	\N	OP	57388836
89401	301	1995-11-07	PRIJEM	PREVOD Z UCTU	2925	6150	\N	OP	57388836
89402	301	1995-12-07	PRIJEM	PREVOD Z UCTU	2925	9075	\N	OP	57388836
89403	301	1996-01-07	PRIJEM	PREVOD Z UCTU	2925	12000	\N	OP	57388836
89404	301	1996-02-07	PRIJEM	PREVOD Z UCTU	2925	14925	\N	OP	57388836
89405	301	1996-03-07	PRIJEM	PREVOD Z UCTU	2925	14723	\N	OP	57388836
89406	301	1996-04-07	PRIJEM	PREVOD Z UCTU	2925	15736	\N	OP	57388836
89407	301	1996-05-07	PRIJEM	PREVOD Z UCTU	2925	16752	\N	OP	57388836
89408	301	1996-06-07	PRIJEM	PREVOD Z UCTU	2925	17773	\N	OP	57388836
89409	301	1996-07-07	PRIJEM	PREVOD Z UCTU	2925	18017	\N	OP	57388836
89410	301	1996-08-07	PRIJEM	PREVOD Z UCTU	2925	19044	\N	OP	57388836
89411	301	1996-09-07	PRIJEM	PREVOD Z UCTU	2925	20074	\N	OP	57388836
89412	301	1996-10-07	PRIJEM	PREVOD Z UCTU	2925	21109	\N	OP	57388836
89413	301	1996-11-07	PRIJEM	PREVOD Z UCTU	2925	22148	\N	OP	57388836
89414	301	1996-12-07	PRIJEM	PREVOD Z UCTU	2925	21719	\N	OP	57388836
89415	301	1997-01-07	PRIJEM	PREVOD Z UCTU	2925	18740	\N	OP	57388836
89416	301	1997-02-07	PRIJEM	PREVOD Z UCTU	2925	15864	\N	OP	57388836
89417	301	1997-03-07	PRIJEM	PREVOD Z UCTU	2925	16881	\N	OP	57388836
89418	301	1997-04-07	PRIJEM	PREVOD Z UCTU	2925	17903	\N	OP	57388836
89419	301	1997-05-07	PRIJEM	PREVOD Z UCTU	2925	18928	\N	OP	57388836
89420	301	1997-06-07	PRIJEM	PREVOD Z UCTU	2925	16178	\N	OP	57388836
89421	301	1997-07-07	PRIJEM	PREVOD Z UCTU	2925	17200	\N	OP	57388836
89422	301	1997-08-07	PRIJEM	PREVOD Z UCTU	2925	17922	\N	OP	57388836
89423	301	1997-09-07	PRIJEM	PREVOD Z UCTU	2925	18947	\N	OP	57388836
89424	301	1997-10-07	PRIJEM	PREVOD Z UCTU	2925	19977	\N	OP	57388836
89425	301	1997-11-07	PRIJEM	PREVOD Z UCTU	2925	21011	\N	OP	57388836
89426	301	1997-12-07	PRIJEM	PREVOD Z UCTU	2925	22050	\N	OP	57388836
89427	301	1998-01-07	PRIJEM	PREVOD Z UCTU	2925	20961	\N	OP	57388836
89428	301	1998-02-07	PRIJEM	PREVOD Z UCTU	2925	18190	\N	OP	57388836
89565	301	1996-09-30	VYDAJ	VYBER	15	18184	SLUZBY	\N	\N
89429	301	1998-03-07	PRIJEM	PREVOD Z UCTU	2925	18435	\N	OP	57388836
89430	301	1998-04-07	PRIJEM	PREVOD Z UCTU	2925	19012	\N	OP	57388836
89431	301	1998-05-07	PRIJEM	PREVOD Z UCTU	2925	20042	\N	OP	57388836
89432	301	1998-06-07	PRIJEM	PREVOD Z UCTU	2925	21076	\N	OP	57388836
89433	301	1998-07-07	PRIJEM	PREVOD Z UCTU	2925	21003	\N	OP	57388836
89434	301	1998-08-07	PRIJEM	PREVOD Z UCTU	2925	20811	\N	OP	57388836
89435	301	1998-09-07	PRIJEM	PREVOD Z UCTU	2925	21850	\N	OP	57388836
89436	301	1998-10-07	PRIJEM	PREVOD Z UCTU	2925	22892	\N	OP	57388836
89437	301	1998-11-07	PRIJEM	PREVOD Z UCTU	2925	23938	\N	OP	57388836
89438	301	1998-12-07	PRIJEM	PREVOD Z UCTU	2925	24988	\N	OP	57388836
89452	301	1996-02-10	VYDAJ	PREVOD NA UCET	1950	11775	SIPO	IJ	99728369
89453	301	1996-03-10	VYDAJ	PREVOD NA UCET	1950	12773	SIPO	IJ	99728369
89454	301	1996-04-10	VYDAJ	PREVOD NA UCET	1950	13786	SIPO	IJ	99728369
89455	301	1996-05-10	VYDAJ	PREVOD NA UCET	1950	14802	SIPO	IJ	99728369
89456	301	1996-06-10	VYDAJ	PREVOD NA UCET	1950	15823	SIPO	IJ	99728369
89457	301	1996-07-10	VYDAJ	PREVOD NA UCET	1950	16067	SIPO	IJ	99728369
89458	301	1996-08-10	VYDAJ	PREVOD NA UCET	1950	17094	SIPO	IJ	99728369
89459	301	1996-09-10	VYDAJ	PREVOD NA UCET	1950	18124	SIPO	IJ	99728369
89460	301	1996-10-10	VYDAJ	PREVOD NA UCET	1950	19159	SIPO	IJ	99728369
89461	301	1996-11-10	VYDAJ	PREVOD NA UCET	1950	20198	SIPO	IJ	99728369
89462	301	1996-12-10	VYDAJ	PREVOD NA UCET	1950	19769	SIPO	IJ	99728369
89463	301	1997-01-10	VYDAJ	PREVOD NA UCET	1950	16100	SIPO	IJ	99728369
89464	301	1997-02-10	VYDAJ	PREVOD NA UCET	1950	13914	SIPO	IJ	99728369
89465	301	1997-03-10	VYDAJ	PREVOD NA UCET	1950	14931	SIPO	IJ	99728369
89466	301	1997-04-10	VYDAJ	PREVOD NA UCET	1950	15953	SIPO	IJ	99728369
89467	301	1997-05-10	VYDAJ	PREVOD NA UCET	1950	16978	SIPO	IJ	99728369
89468	301	1997-06-10	VYDAJ	PREVOD NA UCET	1950	14228	SIPO	IJ	99728369
89469	301	1997-07-10	VYDAJ	PREVOD NA UCET	1950	15250	SIPO	IJ	99728369
89470	301	1997-08-10	VYDAJ	PREVOD NA UCET	1950	15972	SIPO	IJ	99728369
89471	301	1997-09-10	VYDAJ	PREVOD NA UCET	1950	16997	SIPO	IJ	99728369
89472	301	1997-10-10	VYDAJ	PREVOD NA UCET	1950	18027	SIPO	IJ	99728369
89473	301	1997-11-10	VYDAJ	PREVOD NA UCET	1950	19061	SIPO	IJ	99728369
89474	301	1997-12-10	VYDAJ	PREVOD NA UCET	1950	20100	SIPO	IJ	99728369
89475	301	1998-01-10	VYDAJ	PREVOD NA UCET	1950	18441	SIPO	IJ	99728369
89476	301	1998-02-10	VYDAJ	PREVOD NA UCET	1950	16240	SIPO	IJ	99728369
89477	301	1998-03-10	VYDAJ	PREVOD NA UCET	1950	16485	SIPO	IJ	99728369
89478	301	1998-04-10	VYDAJ	PREVOD NA UCET	1950	17062	SIPO	IJ	99728369
89479	301	1998-05-10	VYDAJ	PREVOD NA UCET	1950	18092	SIPO	IJ	99728369
89480	301	1998-06-10	VYDAJ	PREVOD NA UCET	1950	19126	SIPO	IJ	99728369
89481	301	1998-07-10	VYDAJ	PREVOD NA UCET	1950	19053	SIPO	IJ	99728369
89482	301	1998-08-10	VYDAJ	PREVOD NA UCET	1950	18861	SIPO	IJ	99728369
89483	301	1998-09-10	VYDAJ	PREVOD NA UCET	1950	19900	SIPO	IJ	99728369
89484	301	1998-10-10	VYDAJ	PREVOD NA UCET	1950	20942	SIPO	IJ	99728369
89485	301	1998-11-10	VYDAJ	PREVOD NA UCET	1950	21988	SIPO	IJ	99728369
89486	301	1998-12-10	VYDAJ	PREVOD NA UCET	1950	23038	SIPO	IJ	99728369
89489	301	1997-06-02	VYDAJ	VYBER	2700	14333	\N	\N	\N
89490	301	1998-06-21	VYDAJ	VYBER	1110	18016	\N	\N	\N
89493	301	1997-01-04	VYDAJ	VYBER	2850	16655	\N	\N	\N
89494	301	1998-01-26	VYDAJ	VYBER	1560	16191	\N	\N	\N
89496	301	1996-12-19	VYDAJ	VYBER	330	19439	\N	\N	\N
89497	301	1997-12-14	VYDAJ	VYBER	540	19560	\N	\N	\N
89498	301	1998-12-18	VYDAJ	VYBER	630	22048	\N	\N	\N
89511	301	1997-01-18	VYDAJ	VYBER	270	14060	\N	\N	\N
89512	301	1997-01-22	VYDAJ	VYBER	810	13250	\N	\N	\N
89513	301	1997-01-07	VYDAJ	VYBER	690	18050	\N	\N	\N
89514	301	1997-01-29	VYDAJ	VYBER	360	12890	\N	\N	\N
89515	301	1997-01-05	VYDAJ	VYBER	840	15815	\N	\N	\N
89516	301	1997-01-10	VYDAJ	VYBER	330	15770	\N	\N	\N
89517	301	1998-01-10	VYDAJ	VYBER	570	20391	\N	\N	\N
89518	301	1998-01-01	VYDAJ	VYBER	810	18816	\N	\N	\N
89519	301	1998-01-29	VYDAJ	VYBER	600	15591	\N	\N	\N
89520	301	1998-01-20	VYDAJ	VYBER	690	17751	\N	\N	\N
89521	301	1998-01-06	VYDAJ	VYBER	780	18036	\N	\N	\N
89522	301	1998-01-30	VYDAJ	VYBER	390	15201	\N	\N	\N
89529	301	1996-02-08	VYDAJ	VYBER	1200	13725	\N	\N	\N
89532	301	1996-06-23	VYDAJ	VYBER	780	15043	\N	\N	\N
89533	301	1996-11-20	VYDAJ	VYBER	1470	18728	\N	\N	\N
89535	301	1997-01-17	VYDAJ	VYBER	930	14330	\N	\N	\N
89536	301	1997-01-16	VYDAJ	VYBER	510	15260	\N	\N	\N
89537	301	1997-06-05	VYDAJ	VYBER	1080	13253	\N	\N	\N
89538	301	1997-07-18	VYDAJ	VYBER	300	14950	\N	\N	\N
89540	301	1998-12-14	VYDAJ	VYBER	360	22678	\N	\N	\N
89541	301	1998-02-15	VYDAJ	VYBER	780	15460	\N	\N	\N
89542	301	1998-03-25	VYDAJ	VYBER	450	16035	\N	\N	\N
89543	301	1998-08-06	VYDAJ	VYBER	1230	17886	\N	\N	\N
89558	301	1996-02-29	VYDAJ	VYBER	15	11798	SLUZBY	\N	\N
89559	301	1996-03-31	VYDAJ	VYBER	15	12811	SLUZBY	\N	\N
89560	301	1996-04-30	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
89561	301	1996-05-31	VYDAJ	VYBER	15	14848	SLUZBY	\N	\N
89562	301	1996-06-30	VYDAJ	VYBER	15	15092	SLUZBY	\N	\N
89563	301	1996-07-31	VYDAJ	VYBER	15	16119	SLUZBY	\N	\N
89564	301	1996-08-31	VYDAJ	VYBER	15	17149	SLUZBY	\N	\N
89566	301	1996-10-31	VYDAJ	VYBER	15	19223	SLUZBY	\N	\N
89567	301	1996-11-30	VYDAJ	VYBER	15	18794	SLUZBY	\N	\N
89568	301	1996-12-31	VYDAJ	VYBER	15	19505	SLUZBY	\N	\N
89569	301	1997-01-31	VYDAJ	VYBER	15	12939	SLUZBY	\N	\N
89570	301	1997-02-28	VYDAJ	VYBER	15	13956	SLUZBY	\N	\N
89571	301	1997-03-31	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
89572	301	1997-04-30	VYDAJ	VYBER	15	16003	SLUZBY	\N	\N
89573	301	1997-05-31	VYDAJ	VYBER	15	17033	SLUZBY	\N	\N
89574	301	1997-06-30	VYDAJ	VYBER	15	14275	SLUZBY	\N	\N
89575	301	1997-07-31	VYDAJ	VYBER	15	14997	SLUZBY	\N	\N
89576	301	1997-08-31	VYDAJ	VYBER	15	16022	SLUZBY	\N	\N
89577	301	1997-09-30	VYDAJ	VYBER	15	17052	SLUZBY	\N	\N
89578	301	1997-10-31	VYDAJ	VYBER	15	18086	SLUZBY	\N	\N
89579	301	1997-11-30	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
89580	301	1997-12-31	VYDAJ	VYBER	15	19626	SLUZBY	\N	\N
89581	301	1998-01-31	VYDAJ	VYBER	15	15265	SLUZBY	\N	\N
89582	301	1998-02-28	VYDAJ	VYBER	15	15510	SLUZBY	\N	\N
89583	301	1998-03-31	VYDAJ	VYBER	15	16087	SLUZBY	\N	\N
89584	301	1998-04-30	VYDAJ	VYBER	15	17117	SLUZBY	\N	\N
89585	301	1998-05-31	VYDAJ	VYBER	15	18151	SLUZBY	\N	\N
89586	301	1998-06-30	VYDAJ	VYBER	15	18078	SLUZBY	\N	\N
89587	301	1998-07-31	VYDAJ	VYBER	15	19116	SLUZBY	\N	\N
89588	301	1998-08-31	VYDAJ	VYBER	15	18925	SLUZBY	\N	\N
89589	301	1998-09-30	VYDAJ	VYBER	15	19967	SLUZBY	\N	\N
89590	301	1998-10-31	VYDAJ	VYBER	15	21013	SLUZBY	\N	\N
89591	301	1998-11-30	VYDAJ	VYBER	15	22063	SLUZBY	\N	\N
89627	302	1996-05-09	PRIJEM	VKLAD	1100	7538	\N	\N	\N
89632	302	1996-05-09	PRIJEM	PREVOD Z UCTU	6438	6438	DUCHOD	WX	13955289
89633	302	1996-06-09	PRIJEM	PREVOD Z UCTU	6438	13999	DUCHOD	WX	13955289
89634	302	1996-07-09	PRIJEM	PREVOD Z UCTU	6438	20469	DUCHOD	WX	13955289
89635	302	1996-08-09	PRIJEM	PREVOD Z UCTU	6438	26938	DUCHOD	WX	13955289
89636	302	1996-09-09	PRIJEM	PREVOD Z UCTU	6438	33408	DUCHOD	WX	13955289
89637	302	1996-10-09	PRIJEM	PREVOD Z UCTU	6438	35727	DUCHOD	WX	13955289
89638	302	1996-11-09	PRIJEM	PREVOD Z UCTU	6438	37845	DUCHOD	WX	13955289
89639	302	1996-12-09	PRIJEM	PREVOD Z UCTU	6438	36476	DUCHOD	WX	13955289
89640	302	1997-01-09	PRIJEM	PREVOD Z UCTU	6438	36753	DUCHOD	WX	13955289
89641	302	1997-02-09	PRIJEM	PREVOD Z UCTU	6438	31105	DUCHOD	WX	13955289
89642	302	1997-03-09	PRIJEM	PREVOD Z UCTU	6438	34403	DUCHOD	WX	13955289
89643	302	1997-04-09	PRIJEM	PREVOD Z UCTU	6438	32355	DUCHOD	WX	13955289
89644	302	1997-05-09	PRIJEM	PREVOD Z UCTU	6438	34866	DUCHOD	WX	13955289
89645	302	1997-06-09	PRIJEM	PREVOD Z UCTU	6438	28401	DUCHOD	WX	13955289
89646	302	1997-07-09	PRIJEM	PREVOD Z UCTU	6438	28237	DUCHOD	WX	13955289
89647	302	1997-08-09	PRIJEM	PREVOD Z UCTU	6438	27829	DUCHOD	WX	13955289
89648	302	1997-09-09	PRIJEM	PREVOD Z UCTU	6438	25156	DUCHOD	WX	13955289
89649	302	1997-10-09	PRIJEM	PREVOD Z UCTU	6438	26337	DUCHOD	WX	13955289
89650	302	1997-11-09	PRIJEM	PREVOD Z UCTU	6438	25820	DUCHOD	WX	13955289
89651	302	1997-12-09	PRIJEM	PREVOD Z UCTU	6438	29096	DUCHOD	WX	13955289
89652	302	1998-01-09	PRIJEM	PREVOD Z UCTU	6438	24555	DUCHOD	WX	13955289
89653	302	1998-02-09	PRIJEM	PREVOD Z UCTU	6438	23549	DUCHOD	WX	13955289
89654	302	1998-03-09	PRIJEM	PREVOD Z UCTU	6438	23015	DUCHOD	WX	13955289
89655	302	1998-04-09	PRIJEM	PREVOD Z UCTU	6438	21878	DUCHOD	WX	13955289
89656	302	1998-05-09	PRIJEM	PREVOD Z UCTU	6438	18336	DUCHOD	WX	13955289
89657	302	1998-06-09	PRIJEM	PREVOD Z UCTU	6438	21581	DUCHOD	WX	13955289
89658	302	1998-07-09	PRIJEM	PREVOD Z UCTU	6438	19835	DUCHOD	WX	13955289
89659	302	1998-08-09	PRIJEM	PREVOD Z UCTU	6438	19162	DUCHOD	WX	13955289
89660	302	1998-09-09	PRIJEM	PREVOD Z UCTU	6438	18708	DUCHOD	WX	13955289
89661	302	1998-10-09	PRIJEM	PREVOD Z UCTU	6438	21154	DUCHOD	WX	13955289
89662	302	1998-11-09	PRIJEM	PREVOD Z UCTU	6438	21827	DUCHOD	WX	13955289
89663	302	1998-12-09	PRIJEM	PREVOD Z UCTU	6438	22184	DUCHOD	WX	13955289
89672	302	1996-09-12	VYDAJ	PREVOD NA UCET	3236	29212	SIPO	ST	12600803
89673	302	1996-10-12	VYDAJ	PREVOD NA UCET	3236	32491	SIPO	ST	12600803
89674	302	1996-11-12	VYDAJ	PREVOD NA UCET	3236	34609	SIPO	ST	12600803
89675	302	1996-12-12	VYDAJ	PREVOD NA UCET	3236	33240	SIPO	ST	12600803
89676	302	1997-01-12	VYDAJ	PREVOD NA UCET	3236	30237	SIPO	ST	12600803
89677	302	1997-02-12	VYDAJ	PREVOD NA UCET	3236	27869	SIPO	ST	12600803
89678	302	1997-03-12	VYDAJ	PREVOD NA UCET	3236	31167	SIPO	ST	12600803
89679	302	1997-04-12	VYDAJ	PREVOD NA UCET	3236	29119	SIPO	ST	12600803
89680	302	1997-05-12	VYDAJ	PREVOD NA UCET	3236	31630	SIPO	ST	12600803
89681	302	1997-06-12	VYDAJ	PREVOD NA UCET	3236	25165	SIPO	ST	12600803
89682	302	1997-07-12	VYDAJ	PREVOD NA UCET	3236	25001	SIPO	ST	12600803
89683	302	1997-08-12	VYDAJ	PREVOD NA UCET	3236	24593	SIPO	ST	12600803
89684	302	1997-09-12	VYDAJ	PREVOD NA UCET	3236	21920	SIPO	ST	12600803
89685	302	1997-10-12	VYDAJ	PREVOD NA UCET	3236	23101	SIPO	ST	12600803
89686	302	1997-11-12	VYDAJ	PREVOD NA UCET	3236	22584	SIPO	ST	12600803
89687	302	1997-12-12	VYDAJ	PREVOD NA UCET	3236	25860	SIPO	ST	12600803
89688	302	1998-01-12	VYDAJ	PREVOD NA UCET	3236	20679	SIPO	ST	12600803
89689	302	1998-02-12	VYDAJ	PREVOD NA UCET	3236	20313	SIPO	ST	12600803
89690	302	1998-03-12	VYDAJ	PREVOD NA UCET	3236	19779	SIPO	ST	12600803
89691	302	1998-04-12	VYDAJ	PREVOD NA UCET	3236	18642	SIPO	ST	12600803
89692	302	1998-05-12	VYDAJ	PREVOD NA UCET	3236	15100	SIPO	ST	12600803
89693	302	1998-06-12	VYDAJ	PREVOD NA UCET	3236	18345	SIPO	ST	12600803
89694	302	1998-07-12	VYDAJ	PREVOD NA UCET	3236	16599	SIPO	ST	12600803
89695	302	1998-08-12	VYDAJ	PREVOD NA UCET	3236	15926	SIPO	ST	12600803
89696	302	1998-09-12	VYDAJ	PREVOD NA UCET	3236	15472	SIPO	ST	12600803
89697	302	1998-10-12	VYDAJ	PREVOD NA UCET	3236	17918	SIPO	ST	12600803
89698	302	1998-11-12	VYDAJ	PREVOD NA UCET	3236	18591	SIPO	ST	12600803
89699	302	1998-12-12	VYDAJ	PREVOD NA UCET	3236	18948	SIPO	ST	12600803
89701	302	1997-06-01	VYDAJ	VYBER	6500	21963	\N	\N	\N
89702	302	1998-06-19	VYDAJ	VYBER	1800	16545	\N	\N	\N
89704	302	1997-01-05	VYDAJ	VYBER	2250	30315	\N	\N	\N
89705	302	1998-01-30	VYDAJ	VYBER	1400	17039	\N	\N	\N
89706	302	1996-12-19	VYDAJ	VYBER	800	32440	\N	\N	\N
89707	302	1997-12-19	VYDAJ	VYBER	650	25210	\N	\N	\N
89708	302	1998-12-18	VYDAJ	VYBER	1100	17848	\N	\N	\N
89715	302	1997-01-27	VYDAJ	VYBER	2000	25997	\N	\N	\N
89716	302	1997-01-29	VYDAJ	VYBER	1440	24557	\N	\N	\N
89717	302	1997-01-09	VYDAJ	VYBER	1680	35073	\N	\N	\N
89718	302	1997-01-17	VYDAJ	VYBER	1760	28477	\N	\N	\N
89719	302	1997-01-23	VYDAJ	VYBER	480	27997	\N	\N	\N
89720	302	1997-01-10	VYDAJ	VYBER	1600	33473	\N	\N	\N
89721	302	1998-01-01	VYDAJ	VYBER	1120	22677	\N	\N	\N
89722	302	1998-01-05	VYDAJ	VYBER	1280	20837	\N	\N	\N
89723	302	1998-01-11	VYDAJ	VYBER	640	23915	\N	\N	\N
89724	302	1998-01-24	VYDAJ	VYBER	480	18439	\N	\N	\N
89725	302	1998-01-05	VYDAJ	VYBER	560	22117	\N	\N	\N
89726	302	1998-01-24	VYDAJ	VYBER	1760	18919	\N	\N	\N
89730	302	1996-09-11	VYDAJ	VYBER	960	32448	\N	\N	\N
89733	302	1997-08-12	VYDAJ	VYBER	1760	22833	\N	\N	\N
89734	302	1997-05-24	VYDAJ	VYBER	3280	28350	\N	\N	\N
89735	302	1997-04-07	VYDAJ	VYBER	2560	25917	\N	\N	\N
89736	302	1997-06-15	VYDAJ	VYBER	560	24605	\N	\N	\N
89737	302	1998-10-21	VYDAJ	VYBER	2480	15438	\N	\N	\N
89738	302	1998-07-17	VYDAJ	VYBER	1920	14679	\N	\N	\N
89739	302	1998-01-05	VYDAJ	VYBER	2720	18117	\N	\N	\N
89750	302	1996-09-30	VYDAJ	VYBER	15	29289	SLUZBY	\N	\N
89751	302	1996-10-31	VYDAJ	VYBER	15	32607	SLUZBY	\N	\N
89752	302	1996-11-30	VYDAJ	VYBER	15	34738	SLUZBY	\N	\N
89753	302	1996-12-31	VYDAJ	VYBER	15	32565	SLUZBY	\N	\N
89754	302	1997-01-31	VYDAJ	VYBER	15	24667	SLUZBY	\N	\N
89755	302	1997-02-28	VYDAJ	VYBER	15	27965	SLUZBY	\N	\N
89756	302	1997-03-31	VYDAJ	VYBER	15	31277	SLUZBY	\N	\N
89757	302	1997-04-30	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
89758	302	1997-05-31	VYDAJ	VYBER	15	28463	SLUZBY	\N	\N
89759	302	1997-06-30	VYDAJ	VYBER	15	24699	SLUZBY	\N	\N
89760	302	1997-07-31	VYDAJ	VYBER	15	25091	SLUZBY	\N	\N
89761	302	1997-08-31	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
89762	302	1997-09-30	VYDAJ	VYBER	15	21999	SLUZBY	\N	\N
89763	302	1997-10-31	VYDAJ	VYBER	15	19382	SLUZBY	\N	\N
89764	302	1997-11-30	VYDAJ	VYBER	15	22658	SLUZBY	\N	\N
89765	302	1997-12-31	VYDAJ	VYBER	15	23797	SLUZBY	\N	\N
89766	302	1998-01-31	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
89767	302	1998-02-28	VYDAJ	VYBER	15	20377	SLUZBY	\N	\N
89768	302	1998-03-31	VYDAJ	VYBER	15	15440	SLUZBY	\N	\N
89769	302	1998-04-30	VYDAJ	VYBER	15	11898	SLUZBY	\N	\N
89770	302	1998-05-31	VYDAJ	VYBER	15	15143	SLUZBY	\N	\N
89771	302	1998-06-30	VYDAJ	VYBER	15	13397	SLUZBY	\N	\N
89772	302	1998-07-31	VYDAJ	VYBER	15	12724	SLUZBY	\N	\N
89773	302	1998-08-31	VYDAJ	VYBER	15	12270	SLUZBY	\N	\N
89774	302	1998-09-30	VYDAJ	VYBER	15	14716	SLUZBY	\N	\N
89775	302	1998-10-31	VYDAJ	VYBER	15	15389	SLUZBY	\N	\N
89776	302	1998-11-30	VYDAJ	VYBER	15	15746	SLUZBY	\N	\N
89777	302	1996-11-05	VYDAJ	VYBER	1200	31407	\N	\N	\N
89778	302	1996-12-05	VYDAJ	VYBER	4700	30038	\N	\N	\N
89779	302	1997-04-04	VYDAJ	VYBER	2800	28477	\N	\N	\N
89780	302	1997-05-04	VYDAJ	VYBER	800	28428	\N	\N	\N
89781	302	1997-07-03	VYDAJ	VYBER	2900	21799	\N	\N	\N
89782	302	1997-08-02	VYDAJ	VYBER	3700	21391	\N	\N	\N
89783	302	1997-09-01	VYDAJ	VYBER	4200	18718	\N	\N	\N
89784	302	1997-10-01	VYDAJ	VYBER	2100	19899	\N	\N	\N
89785	302	1997-10-31	VYDAJ	VYBER	3800	19397	\N	\N	\N
89786	302	1997-12-30	VYDAJ	VYBER	1500	23710	\N	\N	\N
89787	302	1998-02-28	VYDAJ	VYBER	3800	16577	\N	\N	\N
89788	302	1998-03-30	VYDAJ	VYBER	4400	15379	\N	\N	\N
89789	302	1998-04-29	VYDAJ	VYBER	6800	11842	\N	\N	\N
89790	302	1998-06-28	VYDAJ	VYBER	3200	13345	\N	\N	\N
89791	302	1998-07-28	VYDAJ	VYBER	2000	12679	\N	\N	\N
89792	302	1998-08-27	VYDAJ	VYBER	3700	12226	\N	\N	\N
89793	302	1998-09-26	VYDAJ	VYBER	800	14672	\N	\N	\N
89794	302	1998-10-26	VYDAJ	VYBER	100	15338	\N	\N	\N
89795	302	1998-11-25	VYDAJ	VYBER	2900	15691	\N	\N	\N
89828	303	1996-07-25	PRIJEM	VKLAD	900	900	\N	\N	\N
89836	303	1996-08-05	PRIJEM	VKLAD	15405	16305	\N	\N	\N
89837	303	1996-09-05	PRIJEM	VKLAD	15405	35832	\N	\N	\N
89838	303	1996-10-05	PRIJEM	VKLAD	15405	44331	\N	\N	\N
89839	303	1996-11-05	PRIJEM	VKLAD	15405	51765	\N	\N	\N
89840	303	1996-12-05	PRIJEM	VKLAD	23108	62128	\N	\N	\N
89841	303	1997-01-05	PRIJEM	VKLAD	15405	50718	\N	\N	\N
89842	303	1997-02-05	PRIJEM	VKLAD	15405	41261	\N	\N	\N
89843	303	1997-03-05	PRIJEM	VKLAD	15405	50287	\N	\N	\N
89844	303	1997-04-05	PRIJEM	VKLAD	15405	52102	\N	\N	\N
89845	303	1997-05-05	PRIJEM	VKLAD	15405	55466	\N	\N	\N
89846	303	1997-06-05	PRIJEM	VKLAD	23108	63645	\N	\N	\N
89847	303	1997-07-05	PRIJEM	VKLAD	15405	43488	\N	\N	\N
89848	303	1997-08-05	PRIJEM	VKLAD	15405	57131	\N	\N	\N
89849	303	1997-09-05	PRIJEM	VKLAD	15405	58915	\N	\N	\N
89850	303	1997-10-05	PRIJEM	VKLAD	15405	60716	\N	\N	\N
89851	303	1997-11-05	PRIJEM	VKLAD	15405	59921	\N	\N	\N
89852	303	1997-12-05	PRIJEM	VKLAD	23108	68402	\N	\N	\N
89853	303	1998-01-05	PRIJEM	VKLAD	15405	65426	\N	\N	\N
89854	303	1998-02-05	PRIJEM	VKLAD	15405	53856	\N	\N	\N
89855	303	1998-03-05	PRIJEM	VKLAD	15405	60526	\N	\N	\N
89856	303	1998-04-05	PRIJEM	VKLAD	15405	58179	\N	\N	\N
89857	303	1998-05-05	PRIJEM	VKLAD	15405	61820	\N	\N	\N
89858	303	1998-06-05	PRIJEM	VKLAD	23108	72230	\N	\N	\N
89859	303	1998-07-05	PRIJEM	VKLAD	15405	71619	\N	\N	\N
89860	303	1998-08-05	PRIJEM	VKLAD	15405	71514	\N	\N	\N
89861	303	1998-09-05	PRIJEM	VKLAD	15405	66613	\N	\N	\N
89862	303	1998-10-05	PRIJEM	VKLAD	15405	63269	\N	\N	\N
89863	303	1998-11-05	PRIJEM	VKLAD	15405	63439	\N	\N	\N
89864	303	1998-12-05	PRIJEM	VKLAD	23108	67193	\N	\N	\N
89876	303	1996-12-09	VYDAJ	PREVOD NA UCET	3803	56125	SIPO	KL	43664085
89877	303	1997-01-09	VYDAJ	PREVOD NA UCET	3803	44615	SIPO	KL	43664085
89878	303	1997-02-09	VYDAJ	PREVOD NA UCET	3803	37458	SIPO	KL	43664085
89879	303	1997-03-09	VYDAJ	PREVOD NA UCET	3803	46484	SIPO	KL	43664085
89880	303	1997-04-09	VYDAJ	PREVOD NA UCET	3803	48299	SIPO	KL	43664085
89881	303	1997-05-09	VYDAJ	PREVOD NA UCET	3803	49263	SIPO	KL	43664085
89882	303	1997-06-09	VYDAJ	PREVOD NA UCET	3803	59842	SIPO	KL	43664085
89883	303	1997-07-09	VYDAJ	PREVOD NA UCET	3803	39685	SIPO	KL	43664085
89884	303	1997-08-09	VYDAJ	PREVOD NA UCET	3803	49228	SIPO	KL	43664085
89885	303	1997-09-09	VYDAJ	PREVOD NA UCET	3803	55112	SIPO	KL	43664085
89886	303	1997-10-09	VYDAJ	PREVOD NA UCET	3803	56913	SIPO	KL	43664085
89887	303	1997-11-09	VYDAJ	PREVOD NA UCET	3803	56118	SIPO	KL	43664085
89888	303	1997-12-09	VYDAJ	PREVOD NA UCET	3803	64599	SIPO	KL	43664085
89889	303	1998-01-09	VYDAJ	PREVOD NA UCET	3803	61623	SIPO	KL	43664085
89890	303	1998-02-09	VYDAJ	PREVOD NA UCET	3803	50053	SIPO	KL	43664085
89891	303	1998-03-09	VYDAJ	PREVOD NA UCET	3803	53923	SIPO	KL	43664085
89892	303	1998-04-09	VYDAJ	PREVOD NA UCET	3803	54376	SIPO	KL	43664085
89893	303	1998-05-09	VYDAJ	PREVOD NA UCET	3803	58017	SIPO	KL	43664085
89894	303	1998-06-09	VYDAJ	PREVOD NA UCET	3803	68427	SIPO	KL	43664085
89895	303	1998-07-09	VYDAJ	PREVOD NA UCET	3803	67816	SIPO	KL	43664085
89896	303	1998-08-09	VYDAJ	PREVOD NA UCET	3803	67711	SIPO	KL	43664085
89897	303	1998-09-09	VYDAJ	PREVOD NA UCET	3803	62810	SIPO	KL	43664085
89898	303	1998-10-09	VYDAJ	PREVOD NA UCET	3803	59466	SIPO	KL	43664085
89899	303	1998-11-09	VYDAJ	PREVOD NA UCET	3803	59636	SIPO	KL	43664085
89900	303	1998-12-09	VYDAJ	PREVOD NA UCET	3803	63390	SIPO	KL	43664085
89912	303	1996-12-05	VYDAJ	VYBER	2200	59928	\N	\N	0
89913	303	1997-01-08	VYDAJ	VYBER	2300	48418	\N	\N	0
89914	303	1997-01-29	VYDAJ	VYBER	2600	25715	\N	\N	0
89915	303	1997-03-16	VYDAJ	VYBER	3300	40544	\N	\N	0
89916	303	1997-03-31	VYDAJ	VYBER	2300	36697	\N	\N	0
89917	303	1997-05-09	VYDAJ	VYBER	2400	53066	\N	\N	0
89918	303	1997-06-18	VYDAJ	VYBER	2700	19262	\N	\N	0
89919	303	1997-06-26	VYDAJ	VYBER	3500	27962	\N	\N	0
89920	303	1997-08-06	VYDAJ	VYBER	4100	53031	\N	\N	0
89921	303	1997-09-01	VYDAJ	VYBER	3400	43510	\N	\N	0
89922	303	1997-10-04	VYDAJ	VYBER	3000	45311	\N	\N	0
89923	303	1997-10-31	VYDAJ	VYBER	3800	44516	\N	\N	0
89924	303	1997-11-28	VYDAJ	VYBER	2500	49418	\N	\N	0
89925	303	1997-12-25	VYDAJ	VYBER	3800	49799	\N	\N	0
89926	303	1998-02-14	VYDAJ	VYBER	3100	46953	\N	\N	0
89927	303	1998-03-05	VYDAJ	VYBER	2800	57726	\N	\N	0
89928	303	1998-04-03	VYDAJ	VYBER	4000	42774	\N	\N	0
89929	303	1998-05-20	VYDAJ	VYBER	2700	48917	\N	\N	0
89930	303	1998-06-12	VYDAJ	PREVOD NA UCET	3132	65295	UVER	UV	25709551
89931	303	1998-07-12	VYDAJ	PREVOD NA UCET	3132	64684	UVER	UV	25709551
89932	303	1998-08-12	VYDAJ	PREVOD NA UCET	3132	58699	UVER	UV	25709551
89933	303	1998-09-12	VYDAJ	PREVOD NA UCET	3132	59678	UVER	UV	25709551
89934	303	1998-10-12	VYDAJ	PREVOD NA UCET	3132	56334	UVER	UV	25709551
89935	303	1998-11-12	VYDAJ	PREVOD NA UCET	3132	45804	UVER	UV	25709551
89936	303	1998-12-12	VYDAJ	PREVOD NA UCET	3132	46258	UVER	UV	25709551
89938	303	1997-06-11	VYDAJ	VYBER	35360	24482	\N	\N	\N
89941	303	1997-01-18	VYDAJ	VYBER	15200	29415	\N	\N	\N
89942	303	1998-01-21	VYDAJ	VYBER	14560	38263	\N	\N	\N
89943	303	1996-12-20	VYDAJ	VYBER	1920	54205	\N	\N	\N
89944	303	1997-12-02	VYDAJ	VYBER	4320	45294	\N	\N	\N
89945	303	1998-12-29	VYDAJ	VYBER KARTOU	4000	42258	\N	\N	0
89953	303	1997-03-16	VYDAJ	VYBER	2640	43844	\N	\N	\N
89954	303	1997-01-04	VYDAJ	VYBER	4080	35313	\N	\N	\N
89955	303	1997-06-17	VYDAJ	VYBER	2520	21962	\N	\N	\N
89956	303	1998-03-15	VYDAJ	VYBER	3840	50083	\N	\N	\N
89957	303	1998-11-26	VYDAJ	VYBER KARTOU	1900	43904	\N	\N	0
89958	303	1998-08-09	VYDAJ	VYBER	5880	61831	\N	\N	\N
89959	303	1998-05-03	VYDAJ	VYBER	3360	46415	\N	\N	\N
89960	303	1998-10-04	VYDAJ	VYBER	4920	47864	\N	\N	\N
89973	303	1996-12-31	VYDAJ	VYBER	15	39393	SLUZBY	\N	\N
89974	303	1997-01-31	VYDAJ	VYBER	15	25856	SLUZBY	\N	\N
89975	303	1997-02-28	VYDAJ	VYBER	15	34882	SLUZBY	\N	\N
89976	303	1997-03-31	VYDAJ	VYBER	15	38997	SLUZBY	\N	\N
89977	303	1997-04-30	VYDAJ	VYBER	15	40061	SLUZBY	\N	\N
89978	303	1997-05-31	VYDAJ	VYBER	15	40537	SLUZBY	\N	\N
89979	303	1997-06-30	VYDAJ	VYBER	15	28083	SLUZBY	\N	\N
89980	303	1997-07-31	VYDAJ	VYBER	15	41726	SLUZBY	\N	\N
89981	303	1997-08-31	VYDAJ	VYBER	15	46910	SLUZBY	\N	\N
89982	303	1997-09-30	VYDAJ	VYBER	15	48311	SLUZBY	\N	\N
89983	303	1997-10-31	VYDAJ	VYBER	15	48316	SLUZBY	\N	\N
89984	303	1997-11-30	VYDAJ	VYBER	15	49614	SLUZBY	\N	\N
89985	303	1997-12-31	VYDAJ	VYBER	15	50021	SLUZBY	\N	\N
89986	303	1998-01-31	VYDAJ	VYBER	15	38451	SLUZBY	\N	\N
89987	303	1998-02-28	VYDAJ	VYBER	15	45121	SLUZBY	\N	\N
89988	303	1998-03-31	VYDAJ	VYBER	15	46774	SLUZBY	\N	\N
89989	303	1998-04-30	VYDAJ	VYBER	15	49775	SLUZBY	\N	\N
89990	303	1998-05-31	VYDAJ	VYBER	15	49122	SLUZBY	\N	\N
89991	303	1998-06-30	VYDAJ	VYBER	15	56214	SLUZBY	\N	\N
89992	303	1998-07-31	VYDAJ	VYBER	15	56109	SLUZBY	\N	\N
89993	303	1998-08-31	VYDAJ	VYBER	15	51208	SLUZBY	\N	\N
89994	303	1998-09-30	VYDAJ	VYBER	15	52784	SLUZBY	\N	\N
89995	303	1998-10-31	VYDAJ	VYBER	15	48034	SLUZBY	\N	\N
89996	303	1998-11-30	VYDAJ	VYBER	15	44085	SLUZBY	\N	\N
89997	303	1996-08-24	PRIJEM	VKLAD	4100	20405	\N	\N	\N
89998	303	1996-09-23	VYDAJ	VYBER	7000	28832	\N	\N	\N
89999	303	1996-10-23	VYDAJ	VYBER	8100	36231	\N	\N	\N
90000	303	1996-11-22	VYDAJ	VYBER	12900	38865	\N	\N	\N
90001	303	1996-12-22	VYDAJ	VYBER	15000	39205	\N	\N	\N
90002	303	1997-01-21	VYDAJ	VYBER	1100	28315	\N	\N	\N
90003	303	1997-02-20	VYDAJ	VYBER	2700	34758	\N	\N	\N
90004	303	1997-03-22	VYDAJ	VYBER	1700	38844	\N	\N	\N
90005	303	1997-04-21	VYDAJ	VYBER	8400	39899	\N	\N	\N
90006	303	1997-05-21	VYDAJ	VYBER	8900	40363	\N	\N	\N
90007	303	1997-06-20	PRIJEM	VKLAD	12200	31462	\N	\N	\N
90008	303	1997-07-20	PRIJEM	VKLAD	1900	41585	\N	\N	\N
90009	303	1997-08-19	VYDAJ	VYBER	2500	46728	\N	\N	\N
90010	303	1997-09-18	VYDAJ	VYBER	7000	48112	\N	\N	\N
90011	303	1997-10-18	VYDAJ	VYBER	8800	48113	\N	\N	\N
90012	303	1997-11-17	VYDAJ	VYBER	4200	51918	\N	\N	\N
90013	303	1997-12-17	VYDAJ	VYBER	11000	53599	\N	\N	\N
90014	303	1998-01-16	VYDAJ	VYBER	8800	52823	\N	\N	\N
90015	303	1998-02-15	VYDAJ	VYBER	2000	44953	\N	\N	\N
90016	303	1998-03-17	VYDAJ	VYBER	3500	46583	\N	\N	\N
90017	303	1998-04-16	VYDAJ	VYBER	4800	49576	\N	\N	\N
90018	303	1998-05-16	VYDAJ	VYBER	6400	51617	\N	\N	\N
90019	303	1998-06-15	VYDAJ	VYBER	9300	55995	\N	\N	\N
90020	303	1998-07-15	VYDAJ	VYBER	8800	55884	\N	\N	\N
90021	303	1998-08-14	VYDAJ	VYBER	7700	50999	\N	\N	\N
90022	303	1998-09-13	VYDAJ	VYBER	7100	52578	\N	\N	\N
90023	303	1998-10-13	VYDAJ	VYBER	8500	47834	\N	\N	\N
90024	303	1998-11-12	VYDAJ	VYBER	10700	48936	\N	\N	\N
90025	303	1998-12-12	VYDAJ	VYBER	14000	49390	\N	\N	\N
90055	304	1997-03-20	PRIJEM	VKLAD	700	700	\N	\N	\N
90059	304	1997-04-08	PRIJEM	PREVOD Z UCTU	33176	33876	\N	AB	49492692
90060	304	1997-05-08	PRIJEM	PREVOD Z UCTU	33176	62100	\N	AB	49492692
90061	304	1997-06-08	PRIJEM	PREVOD Z UCTU	49764	95914	\N	AB	49492692
90062	304	1997-07-08	PRIJEM	PREVOD Z UCTU	33176	94610	\N	AB	49492692
90063	304	1997-08-08	PRIJEM	PREVOD Z UCTU	33176	93539	\N	AB	49492692
90064	304	1997-09-08	PRIJEM	PREVOD Z UCTU	33176	72759	\N	AB	49492692
90065	304	1997-10-08	PRIJEM	PREVOD Z UCTU	33176	57513	\N	AB	49492692
90066	304	1997-11-08	PRIJEM	PREVOD Z UCTU	33176	65130	\N	AB	49492692
90067	304	1997-12-08	PRIJEM	PREVOD Z UCTU	49764	84053	\N	AB	49492692
90068	304	1998-01-08	PRIJEM	PREVOD Z UCTU	33176	74112	\N	AB	49492692
90069	304	1998-02-08	PRIJEM	PREVOD Z UCTU	33176	52567	\N	AB	49492692
90070	304	1998-03-08	PRIJEM	PREVOD Z UCTU	33176	60062	\N	AB	49492692
90071	304	1998-04-08	PRIJEM	PREVOD Z UCTU	33176	64084	\N	AB	49492692
90072	304	1998-05-08	PRIJEM	PREVOD Z UCTU	33176	59209	\N	AB	49492692
90073	304	1998-06-08	PRIJEM	PREVOD Z UCTU	49764	84954	\N	AB	49492692
90074	304	1998-07-08	PRIJEM	PREVOD Z UCTU	33176	69900	\N	AB	49492692
90075	304	1998-08-08	PRIJEM	PREVOD Z UCTU	33176	64335	\N	AB	49492692
90076	304	1998-09-08	PRIJEM	PREVOD Z UCTU	33176	63961	\N	AB	49492692
90077	304	1998-10-08	PRIJEM	PREVOD Z UCTU	33176	58633	\N	AB	49492692
90078	304	1998-11-08	PRIJEM	PREVOD Z UCTU	33176	56233	\N	AB	49492692
90079	304	1998-12-08	PRIJEM	PREVOD Z UCTU	49764	65010	\N	AB	49492692
90087	304	1997-08-14	VYDAJ	PREVOD NA UCET	14367	74972	SIPO	AB	27760046
90088	304	1997-09-14	VYDAJ	PREVOD NA UCET	14367	58392	SIPO	AB	27760046
90089	304	1997-10-14	VYDAJ	PREVOD NA UCET	14367	43146	SIPO	AB	27760046
90090	304	1997-11-14	VYDAJ	PREVOD NA UCET	14367	50763	SIPO	AB	27760046
90091	304	1997-12-14	VYDAJ	PREVOD NA UCET	14367	69686	SIPO	AB	27760046
90092	304	1998-01-14	VYDAJ	PREVOD NA UCET	14367	40545	SIPO	AB	27760046
90093	304	1998-02-14	VYDAJ	PREVOD NA UCET	14367	26800	SIPO	AB	27760046
90094	304	1998-03-14	VYDAJ	PREVOD NA UCET	14367	45695	SIPO	AB	27760046
90095	304	1998-04-14	VYDAJ	PREVOD NA UCET	14367	49717	SIPO	AB	27760046
90096	304	1998-05-14	VYDAJ	PREVOD NA UCET	14367	35042	SIPO	AB	27760046
90097	304	1998-06-14	VYDAJ	PREVOD NA UCET	14367	36587	SIPO	AB	27760046
90098	304	1998-07-14	VYDAJ	PREVOD NA UCET	14367	31033	SIPO	AB	27760046
90099	304	1998-08-14	VYDAJ	PREVOD NA UCET	14367	30668	SIPO	AB	27760046
90100	304	1998-09-14	VYDAJ	PREVOD NA UCET	14367	25349	SIPO	AB	27760046
90101	304	1998-10-14	VYDAJ	PREVOD NA UCET	14367	28366	SIPO	AB	27760046
90102	304	1998-11-14	VYDAJ	PREVOD NA UCET	14367	15174	SIPO	AB	27760046
90103	304	1998-12-14	VYDAJ	PREVOD NA UCET	14367	23243	SIPO	AB	27760046
90105	304	1998-10-20	VYBER	VYBER	5405	22961	\N	\N	\N
90112	304	1998-11-08	VYBER	VYBER	11492	44741	\N	\N	\N
90114	304	1998-09-10	VYBER	VYBER	8445	55516	\N	\N	\N
90120	304	1997-12-18	VYDAJ	VYBER	5700	40786	\N	\N	\N
90128	304	1998-01-16	VYDAJ	VYBER	8400	32145	\N	\N	\N
90130	304	1998-01-08	VYDAJ	VYBER	6000	68112	\N	\N	\N
90131	304	1998-01-16	VYDAJ	VYBER	6600	25545	\N	\N	\N
90133	304	1998-01-23	VYDAJ	VYBER	6300	19245	\N	\N	\N
90134	304	1997-09-30	VYDAJ	VYBER	11100	24337	\N	\N	\N
90135	304	1997-08-28	VYDAJ	VYBER	5100	39372	\N	\N	\N
90142	304	1997-08-13	VYDAJ	VYBER	4200	89339	\N	\N	\N
90143	304	1998-04-25	VYDAJ	VYBER	9000	25917	\N	\N	\N
90146	304	1998-03-20	VYDAJ	VYBER	6300	30795	\N	\N	\N
90148	304	1998-01-11	VYDAJ	VYBER	2700	65412	\N	\N	\N
90149	304	1998-12-09	VYDAJ	VYBER	9000	56010	\N	\N	\N
90158	304	1997-08-31	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
90159	304	1997-09-30	VYDAJ	VYBER	15	35437	SLUZBY	\N	\N
90160	304	1997-10-31	VYDAJ	VYBER	15	31954	SLUZBY	\N	\N
90161	304	1997-11-30	VYDAJ	VYBER	15	34289	SLUZBY	\N	\N
90162	304	1997-12-31	VYDAJ	VYBER	15	40936	SLUZBY	\N	\N
90163	304	1998-01-31	VYDAJ	VYBER	15	19391	SLUZBY	\N	\N
90164	304	1998-02-28	VYDAJ	VYBER	15	26886	SLUZBY	\N	\N
90165	304	1998-03-31	VYDAJ	VYBER	15	30908	SLUZBY	\N	\N
90166	304	1998-04-30	VYDAJ	VYBER	15	26033	SLUZBY	\N	\N
90167	304	1998-05-31	VYDAJ	VYBER	15	35190	SLUZBY	\N	\N
90168	304	1998-06-30	VYDAJ	VYBER	15	36724	SLUZBY	\N	\N
90169	304	1998-07-31	VYDAJ	VYBER	15	31159	SLUZBY	\N	\N
90170	304	1998-08-31	VYDAJ	VYBER	15	30785	SLUZBY	\N	\N
90171	304	1998-09-30	VYDAJ	VYBER	15	25457	SLUZBY	\N	\N
90172	304	1998-10-31	VYDAJ	VYBER	15	23057	SLUZBY	\N	\N
90173	304	1998-11-30	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
90174	304	1997-04-19	VYDAJ	VYBER	5000	28876	\N	\N	\N
90175	304	1997-05-19	VYDAJ	VYBER	16100	46000	\N	\N	\N
90176	304	1997-06-18	VYDAJ	VYBER	34700	61214	\N	\N	\N
90177	304	1997-07-18	VYDAJ	VYBER	34500	60110	\N	\N	\N
90178	304	1997-08-17	VYDAJ	VYBER	30500	44472	\N	\N	\N
90179	304	1997-09-16	VYDAJ	VYBER	23100	35292	\N	\N	\N
90180	304	1997-10-16	VYDAJ	VYBER	11300	31846	\N	\N	\N
90181	304	1997-11-15	VYDAJ	VYBER	16600	34163	\N	\N	\N
90182	304	1997-12-15	VYDAJ	VYBER	23200	46486	\N	\N	\N
90183	304	1998-01-14	VYDAJ	VYBER	10500	54912	\N	\N	\N
90184	304	1998-02-13	VYDAJ	VYBER	11400	41167	\N	\N	\N
90185	304	1998-03-15	VYDAJ	VYBER	8600	37095	\N	\N	\N
90186	304	1998-04-14	VYDAJ	VYBER	14800	34917	\N	\N	\N
90187	304	1998-05-14	VYDAJ	VYBER	9800	49409	\N	\N	\N
90188	304	1998-06-13	VYDAJ	VYBER	34000	50954	\N	\N	\N
90189	304	1998-07-13	VYDAJ	VYBER	24500	45400	\N	\N	\N
90190	304	1998-08-12	VYDAJ	VYBER	19300	45035	\N	\N	\N
90191	304	1998-09-11	VYDAJ	VYBER	15800	39716	\N	\N	\N
90192	304	1998-10-11	VYDAJ	VYBER	15900	42733	\N	\N	\N
90193	304	1998-11-10	VYDAJ	VYBER	15200	29541	\N	\N	\N
90194	304	1998-12-10	VYDAJ	VYBER	18400	37610	\N	\N	\N
90216	305	1996-10-18	PRIJEM	VKLAD	200	200	\N	\N	\N
90227	305	1996-11-05	PRIJEM	PREVOD Z UCTU	4430	4630	DUCHOD	UV	40544903
90228	305	1996-12-05	PRIJEM	PREVOD Z UCTU	4430	9060	DUCHOD	UV	40544903
90229	305	1997-01-05	PRIJEM	PREVOD Z UCTU	4430	13490	DUCHOD	UV	40544903
90230	305	1997-02-05	PRIJEM	PREVOD Z UCTU	4430	17920	DUCHOD	UV	40544903
90231	305	1997-03-05	PRIJEM	PREVOD Z UCTU	4430	22350	DUCHOD	UV	40544903
90232	305	1997-04-05	PRIJEM	PREVOD Z UCTU	4430	21869	DUCHOD	UV	40544903
90233	305	1997-05-05	PRIJEM	PREVOD Z UCTU	4430	21724	DUCHOD	UV	40544903
90234	305	1997-06-05	PRIJEM	PREVOD Z UCTU	4430	23264	DUCHOD	UV	40544903
90235	305	1997-07-05	PRIJEM	PREVOD Z UCTU	4430	21702	DUCHOD	UV	40544903
90236	305	1997-08-05	PRIJEM	PREVOD Z UCTU	4430	21158	DUCHOD	UV	40544903
90237	305	1997-09-05	PRIJEM	PREVOD Z UCTU	4430	19888	DUCHOD	UV	40544903
90238	305	1997-10-05	PRIJEM	PREVOD Z UCTU	4430	18152	DUCHOD	UV	40544903
90239	305	1997-11-05	PRIJEM	PREVOD Z UCTU	4430	19676	DUCHOD	UV	40544903
90240	305	1997-12-05	PRIJEM	PREVOD Z UCTU	4430	19182	DUCHOD	UV	40544903
90241	305	1998-01-05	PRIJEM	PREVOD Z UCTU	4430	17177	DUCHOD	UV	40544903
90242	305	1998-02-05	PRIJEM	PREVOD Z UCTU	4430	17335	DUCHOD	UV	40544903
90243	305	1998-03-05	PRIJEM	PREVOD Z UCTU	4430	18856	DUCHOD	UV	40544903
90244	305	1998-04-05	PRIJEM	PREVOD Z UCTU	4430	20383	DUCHOD	UV	40544903
90245	305	1998-05-05	PRIJEM	PREVOD Z UCTU	4430	18790	DUCHOD	UV	40544903
90246	305	1998-06-05	PRIJEM	PREVOD Z UCTU	4430	20317	DUCHOD	UV	40544903
90247	305	1998-07-05	PRIJEM	PREVOD Z UCTU	4430	18244	DUCHOD	UV	40544903
90248	305	1998-08-05	PRIJEM	PREVOD Z UCTU	4430	19769	DUCHOD	UV	40544903
90249	305	1998-09-05	PRIJEM	PREVOD Z UCTU	4430	21300	DUCHOD	UV	40544903
90250	305	1998-10-05	PRIJEM	PREVOD Z UCTU	4430	17942	DUCHOD	UV	40544903
90251	305	1998-11-05	PRIJEM	PREVOD Z UCTU	4430	18744	DUCHOD	UV	40544903
90252	305	1998-12-05	PRIJEM	PREVOD Z UCTU	4430	20271	DUCHOD	UV	40544903
90267	305	1997-03-08	VYDAJ	PREVOD NA UCET	2953	17397	SIPO	ST	77063089
90268	305	1997-04-08	VYDAJ	PREVOD NA UCET	2953	18916	SIPO	ST	77063089
90269	305	1997-05-08	VYDAJ	PREVOD NA UCET	2953	18771	SIPO	ST	77063089
90270	305	1997-06-08	VYDAJ	PREVOD NA UCET	2953	20311	SIPO	ST	77063089
90271	305	1997-07-08	VYDAJ	PREVOD NA UCET	2953	18749	SIPO	ST	77063089
90272	305	1997-08-08	VYDAJ	PREVOD NA UCET	2953	18205	SIPO	ST	77063089
90273	305	1997-09-08	VYDAJ	PREVOD NA UCET	2953	16935	SIPO	ST	77063089
90274	305	1997-10-08	VYDAJ	PREVOD NA UCET	2953	15199	SIPO	ST	77063089
90275	305	1997-11-08	VYDAJ	PREVOD NA UCET	2953	16723	SIPO	ST	77063089
90276	305	1997-12-08	VYDAJ	PREVOD NA UCET	2953	16229	SIPO	ST	77063089
90277	305	1998-01-08	VYDAJ	PREVOD NA UCET	2953	14224	SIPO	ST	77063089
90278	305	1998-02-08	VYDAJ	PREVOD NA UCET	2953	14382	SIPO	ST	77063089
90279	305	1998-03-08	VYDAJ	PREVOD NA UCET	2953	15903	SIPO	ST	77063089
90280	305	1998-04-08	VYDAJ	PREVOD NA UCET	2953	17430	SIPO	ST	77063089
90281	305	1998-05-08	VYDAJ	PREVOD NA UCET	2953	15837	SIPO	ST	77063089
90282	305	1998-06-08	VYDAJ	PREVOD NA UCET	2953	17364	SIPO	ST	77063089
90283	305	1998-07-08	VYDAJ	PREVOD NA UCET	2953	15291	SIPO	ST	77063089
90284	305	1998-08-08	VYDAJ	PREVOD NA UCET	2953	16816	SIPO	ST	77063089
90285	305	1998-09-08	VYDAJ	PREVOD NA UCET	2953	13467	SIPO	ST	77063089
90286	305	1998-10-08	VYDAJ	PREVOD NA UCET	2953	14989	SIPO	ST	77063089
90287	305	1998-11-08	VYDAJ	PREVOD NA UCET	2953	15791	SIPO	ST	77063089
90288	305	1998-12-08	VYDAJ	PREVOD NA UCET	2953	17318	SIPO	ST	77063089
90296	305	1997-12-13	VYDAJ	VYBER	1450	14779	\N	\N	\N
90297	305	1998-12-14	VYDAJ	VYBER	1100	16218	\N	\N	\N
90313	305	1998-01-12	VYDAJ	VYBER	1360	12864	\N	\N	\N
90314	305	1998-01-01	VYDAJ	VYBER	640	14187	\N	\N	\N
90315	305	1998-01-02	VYDAJ	VYBER	1440	12747	\N	\N	\N
90321	305	1997-11-14	VYDAJ	VYBER	1120	14703	\N	\N	\N
90322	305	1997-07-28	VYDAJ	VYBER	480	16669	\N	\N	\N
90323	305	1997-09-18	VYDAJ	VYBER	1360	13675	\N	\N	\N
90324	305	1997-04-14	VYDAJ	VYBER	1680	17236	\N	\N	\N
90325	305	1997-03-08	VYDAJ	VYBER	2000	20350	\N	\N	\N
90328	305	1998-09-08	VYDAJ	VYBER	2560	16420	\N	\N	\N
90329	305	1998-10-24	VYDAJ	VYBER	720	14269	\N	\N	\N
90330	305	1998-04-15	VYDAJ	VYBER	3120	14310	\N	\N	\N
90331	305	1998-09-07	VYDAJ	VYBER	2320	18980	\N	\N	\N
90332	305	1998-06-20	VYDAJ	VYBER	3600	13764	\N	\N	\N
90348	305	1997-03-31	VYDAJ	VYBER	15	17439	SLUZBY	\N	\N
90349	305	1997-04-30	VYDAJ	VYBER	15	17294	SLUZBY	\N	\N
90350	305	1997-05-31	VYDAJ	VYBER	15	18834	SLUZBY	\N	\N
90351	305	1997-06-30	VYDAJ	VYBER	15	17272	SLUZBY	\N	\N
90352	305	1997-07-31	VYDAJ	VYBER	15	16728	SLUZBY	\N	\N
90353	305	1997-08-31	VYDAJ	VYBER	15	15458	SLUZBY	\N	\N
90354	305	1997-09-30	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
90355	305	1997-10-31	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
90356	305	1997-11-30	VYDAJ	VYBER	15	14752	SLUZBY	\N	\N
90357	305	1997-12-31	VYDAJ	VYBER	15	14827	SLUZBY	\N	\N
90358	305	1998-01-31	VYDAJ	VYBER	15	12905	SLUZBY	\N	\N
90359	305	1998-02-28	VYDAJ	VYBER	15	14426	SLUZBY	\N	\N
90360	305	1998-03-31	VYDAJ	VYBER	15	15953	SLUZBY	\N	\N
90361	305	1998-04-30	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
90362	305	1998-05-31	VYDAJ	VYBER	15	15887	SLUZBY	\N	\N
90363	305	1998-06-30	VYDAJ	VYBER	15	13814	SLUZBY	\N	\N
90364	305	1998-07-31	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
90365	305	1998-08-31	VYDAJ	VYBER	15	16870	SLUZBY	\N	\N
90366	305	1998-09-30	VYDAJ	VYBER	15	13512	SLUZBY	\N	\N
90367	305	1998-10-31	VYDAJ	VYBER	15	14314	SLUZBY	\N	\N
90368	305	1998-11-30	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
90369	305	1997-06-15	VYDAJ	VYBER	3100	17211	\N	\N	\N
90370	305	1997-07-15	VYDAJ	VYBER	1600	17149	\N	\N	\N
90371	305	1997-08-14	VYDAJ	VYBER	2800	15405	\N	\N	\N
90372	305	1997-09-13	VYDAJ	VYBER	1900	15035	\N	\N	\N
90373	305	1997-11-12	VYDAJ	VYBER	900	15823	\N	\N	\N
90396	306	1993-06-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
90402	306	1993-06-14	PRIJEM	VKLAD	8229	9229	\N	\N	\N
90403	306	1993-07-14	PRIJEM	VKLAD	5486	23337	\N	\N	\N
90404	306	1993-08-14	PRIJEM	VKLAD	5486	31795	\N	\N	\N
90405	306	1993-09-14	PRIJEM	VKLAD	5486	34099	\N	\N	\N
90406	306	1993-10-14	PRIJEM	VKLAD	5486	32623	\N	\N	\N
90407	306	1993-11-14	PRIJEM	VKLAD	5486	28376	\N	\N	\N
90408	306	1993-12-14	PRIJEM	VKLAD	8229	27289	\N	\N	\N
90409	306	1994-01-14	PRIJEM	VKLAD	5486	22247	\N	\N	\N
90410	306	1994-02-14	PRIJEM	VKLAD	5486	23140	\N	\N	\N
90411	306	1994-03-14	PRIJEM	VKLAD	5486	23737	\N	\N	\N
90412	306	1994-04-14	PRIJEM	VKLAD	5486	26144	\N	\N	\N
90413	306	1994-05-14	PRIJEM	VKLAD	5486	27359	\N	\N	\N
90414	306	1994-06-14	PRIJEM	VKLAD	8229	30624	\N	\N	\N
90415	306	1994-07-14	PRIJEM	VKLAD	5486	27230	\N	\N	\N
90416	306	1994-08-14	PRIJEM	VKLAD	5486	26850	\N	\N	\N
90417	306	1994-09-14	PRIJEM	VKLAD	5486	26450	\N	\N	\N
90418	306	1994-10-14	PRIJEM	VKLAD	5486	26766	\N	\N	\N
90419	306	1994-11-14	PRIJEM	VKLAD	5486	21585	\N	\N	\N
90420	306	1994-12-14	PRIJEM	VKLAD	8229	23689	\N	\N	\N
90421	306	1995-01-14	PRIJEM	VKLAD	5486	21415	\N	\N	\N
90422	306	1995-02-14	PRIJEM	VKLAD	5486	20475	\N	\N	\N
90423	306	1995-03-14	PRIJEM	VKLAD	5486	21371	\N	\N	\N
90424	306	1995-04-14	PRIJEM	VKLAD	5486	22971	\N	\N	\N
90425	306	1995-05-14	PRIJEM	VKLAD	5486	25178	\N	\N	\N
90426	306	1995-06-14	PRIJEM	VKLAD	8229	26735	\N	\N	\N
90427	306	1995-07-14	PRIJEM	VKLAD	5486	26151	\N	\N	\N
90428	306	1995-08-14	PRIJEM	VKLAD	5486	21821	\N	\N	\N
90429	306	1995-09-14	PRIJEM	VKLAD	5486	19518	\N	\N	\N
90430	306	1995-10-14	PRIJEM	VKLAD	5486	19709	\N	\N	\N
90431	306	1995-11-14	PRIJEM	VKLAD	5486	19400	\N	\N	\N
90432	306	1995-12-14	PRIJEM	VKLAD	8229	23433	\N	\N	\N
90433	306	1996-01-14	PRIJEM	VKLAD	5486	19195	\N	\N	\N
90434	306	1996-02-14	PRIJEM	VKLAD	5486	17621	\N	\N	\N
90435	306	1996-03-14	PRIJEM	VKLAD	5486	17702	\N	\N	\N
90436	306	1996-04-14	PRIJEM	VKLAD	5486	16901	\N	\N	\N
90437	306	1996-05-14	PRIJEM	VKLAD	5486	15378	\N	\N	\N
90438	306	1996-06-14	PRIJEM	VKLAD	8229	19494	\N	\N	\N
90439	306	1996-07-14	PRIJEM	VKLAD	5486	16074	\N	\N	\N
90440	306	1996-08-14	PRIJEM	VKLAD	5486	15748	\N	\N	\N
90441	306	1996-09-14	PRIJEM	VKLAD	5486	19827	\N	\N	\N
90442	306	1996-10-14	PRIJEM	VKLAD	5486	19216	\N	\N	\N
90443	306	1996-11-14	PRIJEM	VKLAD	5486	16065	\N	\N	\N
90444	306	1996-12-14	PRIJEM	VKLAD	8229	19983	\N	\N	\N
90445	306	1997-01-14	PRIJEM	VKLAD	5486	19148	\N	\N	\N
90446	306	1997-02-14	PRIJEM	VKLAD	5486	15766	\N	\N	\N
90447	306	1997-03-14	PRIJEM	VKLAD	5486	15437	\N	\N	\N
90448	306	1997-04-14	PRIJEM	VKLAD	5486	17411	\N	\N	\N
90449	306	1997-05-14	PRIJEM	VKLAD	5486	16527	\N	\N	\N
90450	306	1997-06-14	PRIJEM	VKLAD	8229	16640	\N	\N	\N
90451	306	1997-07-14	PRIJEM	VKLAD	5486	18514	\N	\N	\N
90452	306	1997-08-14	PRIJEM	VKLAD	5486	20401	\N	\N	\N
90453	306	1997-09-14	PRIJEM	VKLAD	5486	17084	\N	\N	\N
90454	306	1997-10-14	PRIJEM	VKLAD	5486	16760	\N	\N	\N
90455	306	1997-11-14	PRIJEM	VKLAD	5486	15632	\N	\N	\N
90456	306	1997-12-14	PRIJEM	VKLAD	8229	17149	\N	\N	\N
90457	306	1998-01-14	PRIJEM	VKLAD	5486	15416	\N	\N	\N
90458	306	1998-02-14	PRIJEM	VKLAD	5486	16086	\N	\N	\N
90459	306	1998-03-14	PRIJEM	VKLAD	5486	17120	\N	\N	\N
90460	306	1998-04-14	PRIJEM	VKLAD	5486	19000	\N	\N	\N
90461	306	1998-05-14	PRIJEM	VKLAD	5486	20888	\N	\N	\N
90462	306	1998-06-14	PRIJEM	VKLAD	8229	25527	\N	\N	\N
90463	306	1998-07-14	PRIJEM	VKLAD	5486	27437	\N	\N	\N
90464	306	1998-08-14	PRIJEM	VKLAD	5486	29360	\N	\N	\N
90465	306	1998-09-14	PRIJEM	VKLAD	5486	26371	\N	\N	\N
90466	306	1998-10-14	PRIJEM	VKLAD	5486	28297	\N	\N	\N
90467	306	1998-11-14	PRIJEM	VKLAD	5486	29503	\N	\N	\N
90468	306	1998-12-14	PRIJEM	VKLAD	8229	32616	\N	\N	\N
90479	306	1993-11-06	VYDAJ	PREVOD NA UCET	3657	22890	SIPO	IJ	70354622
90480	306	1993-12-06	VYDAJ	PREVOD NA UCET	3657	21220	SIPO	IJ	70354622
90481	306	1994-01-06	VYDAJ	PREVOD NA UCET	3657	16761	SIPO	IJ	70354622
90482	306	1994-02-06	VYDAJ	PREVOD NA UCET	3657	17654	SIPO	IJ	70354622
90483	306	1994-03-06	VYDAJ	PREVOD NA UCET	3657	18251	SIPO	IJ	70354622
90484	306	1994-04-06	VYDAJ	PREVOD NA UCET	3657	20658	SIPO	IJ	70354622
90485	306	1994-05-06	VYDAJ	PREVOD NA UCET	3657	21873	SIPO	IJ	70354622
90486	306	1994-06-06	VYDAJ	PREVOD NA UCET	3657	22395	SIPO	IJ	70354622
90487	306	1994-07-06	VYDAJ	PREVOD NA UCET	3657	21744	SIPO	IJ	70354622
90488	306	1994-08-06	VYDAJ	PREVOD NA UCET	3657	21364	SIPO	IJ	70354622
90489	306	1994-09-06	VYDAJ	PREVOD NA UCET	3657	20964	SIPO	IJ	70354622
90490	306	1994-10-06	VYDAJ	PREVOD NA UCET	3657	21280	SIPO	IJ	70354622
90491	306	1994-11-06	VYDAJ	PREVOD NA UCET	3657	21499	SIPO	IJ	70354622
90492	306	1994-12-06	VYDAJ	PREVOD NA UCET	3657	15460	SIPO	IJ	70354622
90493	306	1995-01-06	VYDAJ	PREVOD NA UCET	3657	18329	SIPO	IJ	70354622
90494	306	1995-02-06	VYDAJ	PREVOD NA UCET	3657	14989	SIPO	IJ	70354622
90495	306	1995-03-06	VYDAJ	PREVOD NA UCET	3657	15885	SIPO	IJ	70354622
90496	306	1995-04-06	VYDAJ	PREVOD NA UCET	3657	17485	SIPO	IJ	70354622
90497	306	1995-05-06	VYDAJ	PREVOD NA UCET	3657	19692	SIPO	IJ	70354622
90498	306	1995-06-06	VYDAJ	PREVOD NA UCET	3657	18506	SIPO	IJ	70354622
90499	306	1995-07-06	VYDAJ	PREVOD NA UCET	3657	20665	SIPO	IJ	70354622
90500	306	1995-08-06	VYDAJ	PREVOD NA UCET	3657	16335	SIPO	IJ	70354622
90501	306	1995-09-06	VYDAJ	PREVOD NA UCET	3657	14032	SIPO	IJ	70354622
90502	306	1995-10-06	VYDAJ	PREVOD NA UCET	3657	14223	SIPO	IJ	70354622
90503	306	1995-11-06	VYDAJ	PREVOD NA UCET	3657	13914	SIPO	IJ	70354622
90504	306	1995-12-06	VYDAJ	PREVOD NA UCET	3657	15204	SIPO	IJ	70354622
90505	306	1996-01-06	VYDAJ	PREVOD NA UCET	3657	13709	SIPO	IJ	70354622
90506	306	1996-02-06	VYDAJ	PREVOD NA UCET	3657	12135	SIPO	IJ	70354622
90507	306	1996-03-06	VYDAJ	PREVOD NA UCET	3657	12216	SIPO	IJ	70354622
90508	306	1996-04-06	VYDAJ	PREVOD NA UCET	3657	11415	SIPO	IJ	70354622
90509	306	1996-05-06	VYDAJ	PREVOD NA UCET	3657	9892	SIPO	IJ	70354622
90510	306	1996-06-06	VYDAJ	PREVOD NA UCET	3657	11265	SIPO	IJ	70354622
90511	306	1996-07-06	VYDAJ	PREVOD NA UCET	3657	10588	SIPO	IJ	70354622
90512	306	1996-08-06	VYDAJ	PREVOD NA UCET	3657	10262	SIPO	IJ	70354622
90513	306	1996-09-06	VYDAJ	PREVOD NA UCET	3657	14341	SIPO	IJ	70354622
90514	306	1996-10-06	VYDAJ	PREVOD NA UCET	3657	13730	SIPO	IJ	70354622
90515	306	1996-11-06	VYDAJ	PREVOD NA UCET	3657	10579	SIPO	IJ	70354622
90516	306	1996-12-06	VYDAJ	PREVOD NA UCET	3657	11754	SIPO	IJ	70354622
90517	306	1997-01-06	VYDAJ	PREVOD NA UCET	3657	13662	SIPO	IJ	70354622
90518	306	1997-02-06	VYDAJ	PREVOD NA UCET	3657	10280	SIPO	IJ	70354622
90519	306	1997-03-06	VYDAJ	PREVOD NA UCET	3657	9951	SIPO	IJ	70354622
90520	306	1997-04-06	VYDAJ	PREVOD NA UCET	3657	11925	SIPO	IJ	70354622
90521	306	1997-05-06	VYDAJ	PREVOD NA UCET	3657	11041	SIPO	IJ	70354622
90522	306	1997-06-06	VYDAJ	PREVOD NA UCET	3657	8411	SIPO	IJ	70354622
90523	306	1997-07-06	VYDAJ	PREVOD NA UCET	3657	13028	SIPO	IJ	70354622
90524	306	1997-08-06	VYDAJ	PREVOD NA UCET	3657	14915	SIPO	IJ	70354622
90525	306	1997-09-06	VYDAJ	PREVOD NA UCET	3657	11598	SIPO	IJ	70354622
90526	306	1997-10-06	VYDAJ	PREVOD NA UCET	3657	11274	SIPO	IJ	70354622
90527	306	1997-11-06	VYDAJ	PREVOD NA UCET	3657	10146	SIPO	IJ	70354622
90528	306	1997-12-06	VYDAJ	PREVOD NA UCET	3657	8920	SIPO	IJ	70354622
90529	306	1998-01-06	VYDAJ	PREVOD NA UCET	3657	9930	SIPO	IJ	70354622
90530	306	1998-02-06	VYDAJ	PREVOD NA UCET	3657	10600	SIPO	IJ	70354622
90531	306	1998-03-06	VYDAJ	PREVOD NA UCET	3657	11634	SIPO	IJ	70354622
90532	306	1998-04-06	VYDAJ	PREVOD NA UCET	3657	13514	SIPO	IJ	70354622
90533	306	1998-05-06	VYDAJ	PREVOD NA UCET	3657	15402	SIPO	IJ	70354622
90534	306	1998-06-06	VYDAJ	PREVOD NA UCET	3657	17298	SIPO	IJ	70354622
90535	306	1998-07-06	VYDAJ	PREVOD NA UCET	3657	21951	SIPO	IJ	70354622
90536	306	1998-08-06	VYDAJ	PREVOD NA UCET	3657	23874	SIPO	IJ	70354622
90537	306	1998-09-06	VYDAJ	PREVOD NA UCET	3657	25805	SIPO	IJ	70354622
90538	306	1998-10-06	VYDAJ	PREVOD NA UCET	3657	22811	SIPO	IJ	70354622
90539	306	1998-11-06	VYDAJ	PREVOD NA UCET	3657	24737	SIPO	IJ	70354622
90540	306	1998-12-06	VYDAJ	PREVOD NA UCET	3657	25947	SIPO	IJ	70354622
90548	306	1994-01-23	VYDAJ	VYBER	7200	13247	\N	\N	\N
90550	306	1996-01-22	VYDAJ	VYBER	5120	14075	\N	\N	\N
90559	306	1994-01-04	VYDAJ	VYBER	2880	20418	\N	\N	\N
90560	306	1994-01-20	VYDAJ	VYBER	1800	20447	\N	\N	\N
90562	306	1994-01-03	VYDAJ	VYBER	840	24858	\N	\N	\N
90564	306	1994-01-04	VYDAJ	VYBER	3360	23298	\N	\N	\N
90565	306	1995-01-29	VYDAJ	VYBER	960	18575	\N	\N	\N
90566	306	1995-01-29	VYDAJ	VYBER	3480	19535	\N	\N	\N
90567	306	1995-01-11	VYDAJ	VYBER	1200	15929	\N	\N	\N
90568	306	1995-01-04	VYDAJ	VYBER	3480	21986	\N	\N	\N
90569	306	1995-01-10	VYDAJ	VYBER	1200	17129	\N	\N	\N
90570	306	1995-01-29	VYDAJ	VYBER	2400	23015	\N	\N	\N
90571	306	1996-01-04	VYDAJ	VYBER	3120	18686	\N	\N	\N
90572	306	1996-01-06	VYDAJ	VYBER	1320	17366	\N	\N	\N
90575	306	1996-01-30	VYDAJ	VYBER	1440	15735	\N	\N	\N
90579	306	1997-01-02	VYDAJ	VYBER	720	17319	\N	\N	\N
90582	306	1997-01-24	VYDAJ	VYBER	2160	13888	\N	\N	\N
90586	306	1998-01-15	VYDAJ	VYBER	1200	14216	\N	\N	\N
90590	306	1993-12-17	VYDAJ	VYBER	1680	25609	\N	\N	\N
90591	306	1993-12-06	VYDAJ	VYBER	2160	19060	\N	\N	\N
90594	306	1994-08-31	VYDAJ	VYBER	4320	22621	\N	\N	\N
90595	306	1994-06-24	VYDAJ	VYBER	4920	25704	\N	\N	\N
90596	306	1994-11-15	VYDAJ	VYBER	3840	17745	\N	\N	\N
90597	306	1994-11-13	VYDAJ	VYBER	5400	16099	\N	\N	\N
90598	306	1995-08-24	VYDAJ	VYBER	4800	17021	\N	\N	\N
90599	306	1995-07-19	VYDAJ	VYBER	5040	21111	\N	\N	\N
90604	306	1996-11-03	VYDAJ	VYBER	4440	14236	\N	\N	\N
90606	306	1996-03-18	VYDAJ	VYBER	3480	14222	\N	\N	\N
90608	306	1997-04-16	VYDAJ	VYBER	2160	15251	\N	\N	\N
90611	306	1998-12-07	VYDAJ	VYBER	1560	24387	\N	\N	\N
90614	306	1998-02-15	VYDAJ	VYBER	840	15246	\N	\N	\N
90615	306	1998-11-10	VYDAJ	VYBER	720	24017	\N	\N	\N
90616	306	1998-09-13	VYDAJ	VYBER	4920	20885	\N	\N	\N
90627	306	1993-10-31	VYDAJ	VYBER	15	32747	SLUZBY	\N	\N
90628	306	1993-11-30	VYDAJ	VYBER	15	28477	SLUZBY	\N	\N
90629	306	1993-12-31	VYDAJ	VYBER	15	25698	SLUZBY	\N	\N
90630	306	1994-01-31	VYDAJ	VYBER	15	13311	SLUZBY	\N	\N
90631	306	1994-02-28	VYDAJ	VYBER	15	23208	SLUZBY	\N	\N
90632	306	1994-03-31	VYDAJ	VYBER	15	23815	SLUZBY	\N	\N
90633	306	1994-04-30	VYDAJ	VYBER	15	26230	SLUZBY	\N	\N
90634	306	1994-05-31	VYDAJ	VYBER	15	27452	SLUZBY	\N	\N
90635	306	1994-06-30	VYDAJ	VYBER	15	25801	SLUZBY	\N	\N
90636	306	1994-07-31	VYDAJ	VYBER	15	27321	SLUZBY	\N	\N
90637	306	1994-08-31	VYDAJ	VYBER	15	26941	SLUZBY	\N	\N
90638	306	1994-09-30	VYDAJ	VYBER	15	26537	SLUZBY	\N	\N
90639	306	1994-10-31	VYDAJ	VYBER	15	25156	SLUZBY	\N	\N
90640	306	1994-11-30	VYDAJ	VYBER	15	19117	SLUZBY	\N	\N
90641	306	1994-12-31	VYDAJ	VYBER	15	25466	SLUZBY	\N	\N
90642	306	1995-01-31	VYDAJ	VYBER	15	18646	SLUZBY	\N	\N
90643	306	1995-02-28	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
90644	306	1995-03-31	VYDAJ	VYBER	15	21142	SLUZBY	\N	\N
90645	306	1995-04-30	VYDAJ	VYBER	15	23349	SLUZBY	\N	\N
90646	306	1995-05-31	VYDAJ	VYBER	15	22163	SLUZBY	\N	\N
90647	306	1995-06-30	VYDAJ	VYBER	15	24322	SLUZBY	\N	\N
90648	306	1995-07-31	VYDAJ	VYBER	15	19992	SLUZBY	\N	\N
90649	306	1995-08-31	VYDAJ	VYBER	15	17689	SLUZBY	\N	\N
90650	306	1995-09-30	VYDAJ	VYBER	15	17880	SLUZBY	\N	\N
90651	306	1995-10-31	VYDAJ	VYBER	15	17571	SLUZBY	\N	\N
90652	306	1995-11-30	VYDAJ	VYBER	15	18861	SLUZBY	\N	\N
90653	306	1995-12-31	VYDAJ	VYBER	15	21806	SLUZBY	\N	\N
90654	306	1996-01-31	VYDAJ	VYBER	15	15792	SLUZBY	\N	\N
90655	306	1996-02-29	VYDAJ	VYBER	15	15873	SLUZBY	\N	\N
90656	306	1996-03-31	VYDAJ	VYBER	15	15072	SLUZBY	\N	\N
90657	306	1996-04-30	VYDAJ	VYBER	15	13549	SLUZBY	\N	\N
90658	306	1996-05-31	VYDAJ	VYBER	15	14922	SLUZBY	\N	\N
90659	306	1996-06-30	VYDAJ	VYBER	15	14245	SLUZBY	\N	\N
90660	306	1996-07-31	VYDAJ	VYBER	15	13919	SLUZBY	\N	\N
90661	306	1996-08-31	VYDAJ	VYBER	15	17998	SLUZBY	\N	\N
90662	306	1996-09-30	VYDAJ	VYBER	15	17387	SLUZBY	\N	\N
90663	306	1996-10-31	VYDAJ	VYBER	15	18676	SLUZBY	\N	\N
90664	306	1996-11-30	VYDAJ	VYBER	15	15411	SLUZBY	\N	\N
90665	306	1996-12-31	VYDAJ	VYBER	15	18039	SLUZBY	\N	\N
90666	306	1997-01-31	VYDAJ	VYBER	15	13937	SLUZBY	\N	\N
90667	306	1997-02-28	VYDAJ	VYBER	15	13608	SLUZBY	\N	\N
90668	306	1997-03-31	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
90669	306	1997-04-30	VYDAJ	VYBER	15	14698	SLUZBY	\N	\N
90670	306	1997-05-31	VYDAJ	VYBER	15	12068	SLUZBY	\N	\N
90671	306	1997-06-30	VYDAJ	VYBER	15	16685	SLUZBY	\N	\N
90672	306	1997-07-31	VYDAJ	VYBER	15	18572	SLUZBY	\N	\N
90673	306	1997-08-31	VYDAJ	VYBER	15	15255	SLUZBY	\N	\N
90674	306	1997-09-30	VYDAJ	VYBER	15	14931	SLUZBY	\N	\N
90675	306	1997-10-31	VYDAJ	VYBER	15	13803	SLUZBY	\N	\N
90676	306	1997-11-30	VYDAJ	VYBER	15	12577	SLUZBY	\N	\N
90677	306	1997-12-31	VYDAJ	VYBER	15	13587	SLUZBY	\N	\N
90678	306	1998-01-31	VYDAJ	VYBER	15	14257	SLUZBY	\N	\N
90679	306	1998-02-28	VYDAJ	VYBER	15	15291	SLUZBY	\N	\N
90680	306	1998-03-31	VYDAJ	VYBER	15	17171	SLUZBY	\N	\N
90681	306	1998-04-30	VYDAJ	VYBER	15	19059	SLUZBY	\N	\N
90682	306	1998-05-31	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
90683	306	1998-06-30	VYDAJ	VYBER	15	25608	SLUZBY	\N	\N
90684	306	1998-07-31	VYDAJ	VYBER	15	27531	SLUZBY	\N	\N
90685	306	1998-08-31	VYDAJ	VYBER	15	29462	SLUZBY	\N	\N
90686	306	1998-09-30	VYDAJ	VYBER	15	26468	SLUZBY	\N	\N
90687	306	1998-10-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
90688	306	1998-11-30	VYDAJ	VYBER	15	29604	SLUZBY	\N	\N
90689	306	1993-07-08	PRIJEM	VKLAD	8600	17851	\N	\N	\N
90690	306	1993-08-07	PRIJEM	VKLAD	2900	26309	\N	\N	\N
90691	306	1993-09-06	VYDAJ	VYBER	3300	28613	\N	\N	\N
90692	306	1993-10-06	VYDAJ	VYBER	7100	27137	\N	\N	\N
90693	306	1993-11-05	VYDAJ	VYBER	6200	26547	\N	\N	\N
90694	306	1993-12-05	VYDAJ	VYBER	3600	24877	\N	\N	\N
90695	306	1994-01-04	PRIJEM	VKLAD	1800	26658	\N	\N	\N
90696	306	1994-02-03	PRIJEM	VKLAD	8000	21311	\N	\N	\N
90697	306	1994-03-05	VYDAJ	VYBER	1300	21908	\N	\N	\N
90698	306	1994-04-04	PRIJEM	VKLAD	500	24315	\N	\N	\N
90699	306	1994-05-04	VYDAJ	VYBER	700	25530	\N	\N	\N
90700	306	1994-06-03	VYDAJ	VYBER	1400	26052	\N	\N	\N
90701	306	1994-07-03	VYDAJ	VYBER	400	25401	\N	\N	\N
90702	306	1994-08-02	VYDAJ	VYBER	2300	25021	\N	\N	\N
90703	306	1994-09-01	PRIJEM	VKLAD	2000	24621	\N	\N	\N
90704	306	1994-10-01	VYDAJ	VYBER	1600	24937	\N	\N	\N
90705	306	1994-10-31	VYDAJ	VYBER	1700	25171	\N	\N	\N
90706	306	1994-11-30	PRIJEM	VKLAD	1300	19045	\N	\N	\N
90707	306	1994-12-30	PRIJEM	VKLAD	1700	25389	\N	\N	\N
90708	306	1995-01-29	PRIJEM	VKLAD	4000	25415	\N	\N	\N
90709	306	1995-02-28	VYDAJ	VYBER	1000	19557	\N	\N	\N
90710	306	1995-03-30	VYDAJ	VYBER	300	21071	\N	\N	\N
90711	306	1995-04-29	PRIJEM	VKLAD	300	23271	\N	\N	\N
90712	306	1995-05-29	VYDAJ	VYBER	3100	22078	\N	\N	\N
90713	306	1995-06-28	VYDAJ	VYBER	2500	24235	\N	\N	\N
90714	306	1995-07-28	VYDAJ	VYBER	1200	19911	\N	\N	\N
90715	306	1995-08-27	PRIJEM	VKLAD	600	17621	\N	\N	\N
90716	306	1995-09-26	VYDAJ	VYBER	1700	17818	\N	\N	\N
90717	306	1995-10-26	VYDAJ	VYBER	2200	17509	\N	\N	\N
90718	306	1995-11-25	VYDAJ	VYBER	600	18800	\N	\N	\N
90719	306	1995-12-25	VYDAJ	VYBER	1700	21733	\N	\N	\N
90720	306	1996-01-24	PRIJEM	VKLAD	3100	17175	\N	\N	\N
90721	306	1996-02-23	VYDAJ	VYBER	1800	15821	\N	\N	\N
90722	306	1996-03-24	PRIJEM	VKLAD	800	15022	\N	\N	\N
90723	306	1996-04-23	VYDAJ	VYBER	3400	13501	\N	\N	\N
90724	306	1996-05-23	VYDAJ	VYBER	500	14878	\N	\N	\N
90725	306	1996-06-22	VYDAJ	VYBER	5300	14194	\N	\N	\N
90726	306	1996-07-22	VYDAJ	VYBER	2200	13874	\N	\N	\N
90727	306	1996-08-21	PRIJEM	VKLAD	2200	17948	\N	\N	\N
90728	306	1996-09-20	VYDAJ	VYBER	2500	17327	\N	\N	\N
90729	306	1996-10-20	VYDAJ	VYBER	600	18616	\N	\N	\N
90730	306	1996-11-19	VYDAJ	VYBER	700	15365	\N	\N	\N
90731	306	1996-12-19	VYDAJ	VYBER	2000	17983	\N	\N	\N
90732	306	1997-01-18	VYDAJ	VYBER	3100	16048	\N	\N	\N
90733	306	1997-02-17	VYDAJ	VYBER	2200	13566	\N	\N	\N
90734	306	1997-03-19	PRIJEM	VKLAD	100	15537	\N	\N	\N
90735	306	1997-04-18	VYDAJ	VYBER	600	14651	\N	\N	\N
90736	306	1997-05-18	VYDAJ	VYBER	4500	12027	\N	\N	\N
90737	306	1997-08-16	VYDAJ	VYBER	5200	15201	\N	\N	\N
90738	306	1997-09-15	VYDAJ	VYBER	2200	14884	\N	\N	\N
90739	306	1997-10-15	VYDAJ	VYBER	3000	13760	\N	\N	\N
90740	306	1997-11-14	VYDAJ	VYBER	3100	12532	\N	\N	\N
90741	306	1997-12-14	VYDAJ	VYBER	3600	13549	\N	\N	\N
90809	307	1997-08-07	PRIJEM	VKLAD	700	700	\N	\N	\N
90817	307	1997-08-09	PRIJEM	VKLAD	22080	22780	\N	\N	\N
90818	307	1997-09-09	PRIJEM	VKLAD	22080	44330	\N	\N	\N
90819	307	1997-10-09	PRIJEM	VKLAD	22080	56571	\N	\N	\N
90820	307	1997-11-09	PRIJEM	VKLAD	22080	62774	\N	\N	\N
90821	307	1997-12-09	PRIJEM	VKLAD	33120	74048	\N	\N	\N
90822	307	1998-01-09	PRIJEM	VKLAD	22080	62000	\N	\N	\N
90823	307	1998-02-09	PRIJEM	VKLAD	22080	58200	\N	\N	\N
90824	307	1998-03-09	PRIJEM	VKLAD	22080	62306	\N	\N	\N
90825	307	1998-04-09	PRIJEM	VKLAD	22080	62627	\N	\N	\N
90826	307	1998-05-09	PRIJEM	VKLAD	22080	58552	\N	\N	\N
90827	307	1998-06-09	PRIJEM	VKLAD	33120	69304	\N	\N	\N
90828	307	1998-07-09	PRIJEM	VKLAD	22080	64535	\N	\N	\N
90829	307	1998-08-09	PRIJEM	VKLAD	22080	65062	\N	\N	\N
90830	307	1998-09-09	PRIJEM	VKLAD	22080	59598	\N	\N	\N
90831	307	1998-10-09	PRIJEM	VKLAD	22080	59917	\N	\N	\N
90832	307	1998-11-09	PRIJEM	VKLAD	22080	62229	\N	\N	\N
90833	307	1998-12-09	PRIJEM	VKLAD	33120	71901	\N	\N	\N
90835	307	1998-06-24	VYDAJ	VYBER	11200	58104	\N	\N	\N
90837	307	1998-12-03	VYDAJ	VYBER KARTOU	2400	38781	\N	\N	0
90844	307	1998-01-24	VYDAJ	VYBER	800	56900	\N	\N	\N
90845	307	1998-01-13	VYDAJ	VYBER	1600	57700	\N	\N	\N
90846	307	1998-01-05	VYDAJ	VYBER	1400	39920	\N	\N	\N
90847	307	1998-01-12	VYDAJ	VYBER	1100	59300	\N	\N	\N
90848	307	1998-01-03	VYDAJ	VYBER	2100	68620	\N	\N	\N
90849	307	1998-01-10	VYDAJ	VYBER	1600	60400	\N	\N	\N
90851	307	1997-12-10	VYDAJ	VYBER	3600	70448	\N	\N	\N
90856	307	1998-01-04	VYDAJ	VYBER	2800	41320	\N	\N	\N
90857	307	1998-08-31	VYDAJ	VYBER	1100	64233	\N	\N	\N
90858	307	1998-04-27	VYDAJ	VYBER	2200	60427	\N	\N	\N
90871	307	1997-12-31	VYDAJ	VYBER	15	70720	SLUZBY	\N	\N
90872	307	1998-01-31	VYDAJ	VYBER	15	57120	SLUZBY	\N	\N
90873	307	1998-02-28	VYDAJ	VYBER	15	58426	SLUZBY	\N	\N
90874	307	1998-03-31	VYDAJ	VYBER	15	62547	SLUZBY	\N	\N
90875	307	1998-04-30	VYDAJ	VYBER	15	60672	SLUZBY	\N	\N
90876	307	1998-05-31	VYDAJ	VYBER	15	58784	SLUZBY	\N	\N
90877	307	1998-06-30	VYDAJ	VYBER	15	58355	SLUZBY	\N	\N
90878	307	1998-07-31	VYDAJ	VYBER	15	64782	SLUZBY	\N	\N
90879	307	1998-08-31	VYDAJ	VYBER	15	64218	SLUZBY	\N	\N
90880	307	1998-09-30	VYDAJ	VYBER	15	59837	SLUZBY	\N	\N
90881	307	1998-10-31	VYDAJ	VYBER	15	40149	SLUZBY	\N	\N
90882	307	1998-11-30	VYDAJ	VYBER	15	41181	SLUZBY	\N	\N
90883	307	1997-09-06	VYDAJ	VYBER	600	22250	\N	\N	\N
90884	307	1997-10-06	VYDAJ	VYBER	10000	34491	\N	\N	\N
90885	307	1997-11-05	VYDAJ	VYBER	16100	40694	\N	\N	\N
90886	307	1997-12-05	VYDAJ	VYBER	22100	40928	\N	\N	\N
90887	307	1998-01-04	VYDAJ	VYBER	24500	44120	\N	\N	\N
90888	307	1998-02-03	VYDAJ	VYBER	21000	36120	\N	\N	\N
90889	307	1998-03-05	VYDAJ	VYBER	18200	40226	\N	\N	\N
90890	307	1998-04-04	VYDAJ	VYBER	22000	40547	\N	\N	\N
90891	307	1998-05-04	VYDAJ	VYBER	24200	36472	\N	\N	\N
90892	307	1998-06-03	VYDAJ	VYBER	22600	36184	\N	\N	\N
90893	307	1998-07-03	VYDAJ	VYBER	15900	42455	\N	\N	\N
90894	307	1998-08-02	VYDAJ	VYBER	21800	42982	\N	\N	\N
90895	307	1998-09-01	VYDAJ	VYBER	26700	37518	\N	\N	\N
90896	307	1998-10-01	VYDAJ	VYBER	22000	37837	\N	\N	\N
90897	307	1998-10-31	VYDAJ	VYBER	20000	40164	\N	\N	\N
90898	307	1998-11-30	VYDAJ	VYBER	21200	41196	\N	\N	\N
90916	308	1995-10-16	PRIJEM	VKLAD	400	400	\N	\N	\N
91067	308	1995-11-15	PRIJEM	VKLAD	13700	14100	\N	\N	\N
91068	308	1995-12-15	PRIJEM	VKLAD	6700	20800	\N	\N	\N
91069	308	1996-01-14	PRIJEM	VKLAD	400	21200	\N	\N	\N
91070	308	1996-02-13	VYDAJ	VYBER	1700	19500	\N	\N	\N
91071	308	1996-03-14	PRIJEM	VKLAD	2700	22200	\N	\N	\N
91072	308	1996-04-13	PRIJEM	VKLAD	3300	25500	\N	\N	\N
91073	308	1996-05-13	VYDAJ	VYBER	1100	24400	\N	\N	\N
91074	308	1996-06-12	PRIJEM	VKLAD	2400	26800	\N	\N	\N
91075	308	1996-07-12	PRIJEM	VKLAD	1400	28200	\N	\N	\N
91076	308	1996-08-11	VYDAJ	VYBER	1300	26900	\N	\N	\N
91077	308	1996-09-10	PRIJEM	VKLAD	2000	28900	\N	\N	\N
91078	308	1996-10-10	PRIJEM	VKLAD	2000	30900	\N	\N	\N
91079	308	1996-11-09	PRIJEM	VKLAD	900	31800	\N	\N	\N
91080	308	1996-12-09	VYDAJ	VYBER	1400	30400	\N	\N	\N
91081	308	1997-01-08	VYDAJ	VYBER	2200	28200	\N	\N	\N
91082	308	1997-02-07	VYDAJ	VYBER	500	27700	\N	\N	\N
91083	308	1997-03-09	VYDAJ	VYBER	4500	23200	\N	\N	\N
91084	308	1997-04-08	VYDAJ	VYBER	3000	20200	\N	\N	\N
91085	308	1997-05-08	VYDAJ	VYBER	1300	18900	\N	\N	\N
91086	308	1997-06-07	VYDAJ	VYBER	3700	15200	\N	\N	\N
91087	308	1997-07-07	PRIJEM	VKLAD	1900	17100	\N	\N	\N
91088	308	1997-08-06	PRIJEM	VKLAD	3300	20400	\N	\N	\N
91089	308	1997-09-05	VYDAJ	VYBER	3700	16700	\N	\N	\N
91090	308	1997-10-05	PRIJEM	VKLAD	400	17100	\N	\N	\N
91091	308	1997-11-04	PRIJEM	VKLAD	4700	21800	\N	\N	\N
91092	308	1997-12-04	PRIJEM	VKLAD	1500	23300	\N	\N	\N
91093	308	1998-01-03	VYDAJ	VYBER	1900	21400	\N	\N	\N
91094	308	1998-02-02	PRIJEM	VKLAD	1400	22800	\N	\N	\N
91095	308	1998-03-04	PRIJEM	VKLAD	3400	26200	\N	\N	\N
91096	308	1998-04-03	VYDAJ	VYBER	1300	24900	\N	\N	\N
91097	308	1998-05-03	PRIJEM	VKLAD	1400	26300	\N	\N	\N
91098	308	1998-06-02	PRIJEM	VKLAD	100	26400	\N	\N	\N
91099	308	1998-07-02	PRIJEM	VKLAD	1000	27400	\N	\N	\N
91100	308	1998-08-01	PRIJEM	VKLAD	3400	30800	\N	\N	\N
91101	308	1998-08-31	PRIJEM	VKLAD	2400	33200	\N	\N	\N
91102	308	1998-09-30	PRIJEM	VKLAD	500	33705	\N	\N	\N
91103	308	1998-10-30	PRIJEM	VKLAD	6400	40243	\N	\N	\N
91104	308	1998-11-29	PRIJEM	VKLAD	200	40581	\N	\N	\N
91108	309	1997-04-25	PRIJEM	VKLAD	900	900	\N	\N	\N
91113	309	1997-05-10	PRIJEM	VKLAD	19151	20051	\N	\N	\N
91114	309	1997-06-10	PRIJEM	VKLAD	28726	52599	\N	\N	\N
91115	309	1997-07-10	PRIJEM	VKLAD	19151	55462	\N	\N	\N
91116	309	1997-08-10	PRIJEM	VKLAD	19151	53161	\N	\N	\N
91117	309	1997-09-10	PRIJEM	VKLAD	19151	53556	\N	\N	\N
91118	309	1997-10-10	PRIJEM	VKLAD	19151	47745	\N	\N	\N
91119	309	1997-11-10	PRIJEM	VKLAD	19151	40705	\N	\N	\N
91120	309	1997-12-10	PRIJEM	VKLAD	28726	50125	\N	\N	\N
91121	309	1998-01-10	PRIJEM	VKLAD	19151	41343	\N	\N	\N
91122	309	1998-02-10	PRIJEM	VKLAD	19151	31471	\N	\N	\N
91123	309	1998-03-10	PRIJEM	VKLAD	19151	40374	\N	\N	\N
91124	309	1998-04-10	PRIJEM	VKLAD	19151	43535	\N	\N	\N
91125	309	1998-05-10	PRIJEM	VKLAD	19151	47779	\N	\N	\N
91126	309	1998-06-10	PRIJEM	VKLAD	28726	59726	\N	\N	\N
91127	309	1998-07-10	PRIJEM	VKLAD	19151	47255	\N	\N	\N
91128	309	1998-08-10	PRIJEM	VKLAD	19151	40943	\N	\N	\N
91129	309	1998-09-10	PRIJEM	VKLAD	19151	43096	\N	\N	\N
91130	309	1998-10-10	PRIJEM	VKLAD	19151	38647	\N	\N	\N
91131	309	1998-11-10	PRIJEM	VKLAD	19151	33967	\N	\N	\N
91132	309	1998-12-10	PRIJEM	VKLAD	28726	41461	\N	\N	\N
91141	309	1997-09-07	VYDAJ	VYBER	1700	34405	\N	\N	0
91142	309	1997-10-15	VYDAJ	VYBER	2800	41345	\N	\N	0
91143	309	1997-11-14	VYDAJ	VYBER	2000	38705	\N	\N	0
91144	309	1997-12-01	VYDAJ	VYBER	1700	21399	\N	\N	0
91145	309	1998-01-21	VYDAJ	VYBER	1900	22183	\N	\N	0
91146	309	1998-02-21	VYDAJ	VYBER	1200	22471	\N	\N	0
91147	309	1998-03-01	VYDAJ	VYBER	1300	21223	\N	\N	0
91148	309	1998-03-30	VYDAJ	VYBER	1600	24274	\N	\N	0
91149	309	1998-05-15	VYDAJ	VYBER	1300	46479	\N	\N	0
91150	309	1998-06-19	VYDAJ	VYBER	2400	31926	\N	\N	0
91151	309	1998-06-28	VYDAJ	VYBER	2500	29426	\N	\N	0
91152	309	1998-08-09	VYDAJ	VYBER	1600	21792	\N	\N	0
91153	309	1998-09-10	VYDAJ	VYBER	1700	41396	\N	\N	0
91154	309	1998-10-06	VYDAJ	VYBER	2400	19496	\N	\N	0
91155	309	1998-11-25	VYDAJ	VYBER	2200	12667	\N	\N	0
91156	309	1998-12-12	VYDAJ	PREVOD NA UCET	1901	39560	UVER	UV	74396675
91160	309	1998-01-18	VYDAJ	VYBER	1600	35783	\N	\N	\N
91161	309	1997-12-21	VYDAJ	VYBER	3680	46445	\N	\N	\N
91162	309	1998-12-16	VYDAJ	VYBER	4640	29160	\N	\N	\N
91169	309	1998-01-05	VYDAJ	VYBER	2880	22192	\N	\N	\N
91170	309	1998-01-21	VYDAJ	VYBER	2760	19423	\N	\N	\N
91171	309	1998-01-25	VYDAJ	VYBER	2520	16903	\N	\N	\N
91172	309	1998-01-17	VYDAJ	VYBER	3000	37383	\N	\N	\N
91173	309	1998-01-02	VYDAJ	VYBER	1800	25072	\N	\N	\N
91176	309	1997-10-14	VYDAJ	VYBER	3600	44145	\N	\N	\N
91177	309	1997-09-27	VYDAJ	VYBER	4920	28436	\N	\N	\N
91180	309	1998-01-30	VYDAJ	VYBER	4680	12223	\N	\N	\N
91181	309	1998-12-19	VYDAJ	VYBER	5040	24120	\N	\N	\N
91182	309	1998-01-16	VYDAJ	VYBER	960	40383	\N	\N	\N
91183	309	1998-11-01	VYDAJ	VYBER	5520	14816	\N	\N	\N
91184	309	1998-12-15	VYDAJ	VYBER	5760	33800	\N	\N	\N
91185	309	1998-07-07	VYDAJ	VYBER	1440	28104	\N	\N	\N
91187	309	1998-07-13	VYDAJ	VYBER	2880	44375	\N	\N	\N
91197	309	1997-09-30	VYDAJ	VYBER	15	28594	SLUZBY	\N	\N
91198	309	1997-10-31	VYDAJ	VYBER	15	21554	SLUZBY	\N	\N
91199	309	1997-11-30	VYDAJ	VYBER	15	23099	SLUZBY	\N	\N
91200	309	1997-12-31	VYDAJ	VYBER	15	26872	SLUZBY	\N	\N
91201	309	1998-01-31	VYDAJ	VYBER	15	12320	SLUZBY	\N	\N
91202	309	1998-02-28	VYDAJ	VYBER	15	22523	SLUZBY	\N	\N
91203	309	1998-03-31	VYDAJ	VYBER	15	24384	SLUZBY	\N	\N
91204	309	1998-04-30	VYDAJ	VYBER	15	28628	SLUZBY	\N	\N
91205	309	1998-05-31	VYDAJ	VYBER	15	31000	SLUZBY	\N	\N
91206	309	1998-06-30	VYDAJ	VYBER	15	29544	SLUZBY	\N	\N
91207	309	1998-07-31	VYDAJ	VYBER	15	23392	SLUZBY	\N	\N
91208	309	1998-08-31	VYDAJ	VYBER	15	23945	SLUZBY	\N	\N
91209	309	1998-09-30	VYDAJ	VYBER	15	21896	SLUZBY	\N	\N
91210	309	1998-10-31	VYDAJ	VYBER	15	20336	SLUZBY	\N	\N
91211	309	1998-11-30	VYDAJ	VYBER	15	12735	SLUZBY	\N	\N
91212	309	1997-05-25	PRIJEM	VKLAD	3800	23851	\N	\N	\N
91213	309	1997-06-24	VYDAJ	VYBER	16400	36199	\N	\N	\N
91214	309	1997-07-24	VYDAJ	VYBER	21600	33862	\N	\N	\N
91215	309	1997-08-23	VYDAJ	VYBER	17200	35961	\N	\N	\N
91216	309	1997-09-22	VYDAJ	VYBER	20200	33356	\N	\N	\N
91217	309	1997-10-22	VYDAJ	VYBER	19900	21445	\N	\N	\N
91218	309	1997-11-21	VYDAJ	VYBER	15700	23005	\N	\N	\N
91219	309	1997-12-21	VYDAJ	VYBER	19700	26745	\N	\N	\N
91220	309	1998-01-20	VYDAJ	VYBER	11700	24083	\N	\N	\N
91221	309	1998-02-19	VYDAJ	VYBER	7800	23671	\N	\N	\N
91222	309	1998-03-21	VYDAJ	VYBER	14500	25874	\N	\N	\N
91223	309	1998-04-20	VYDAJ	VYBER	15000	28535	\N	\N	\N
91224	309	1998-05-20	VYDAJ	VYBER	15600	30879	\N	\N	\N
91225	309	1998-06-19	VYDAJ	VYBER	25400	34326	\N	\N	\N
91226	309	1998-07-19	VYDAJ	VYBER	21100	23275	\N	\N	\N
91227	309	1998-08-18	VYDAJ	VYBER	17100	23843	\N	\N	\N
91228	309	1998-09-17	VYDAJ	VYBER	19600	21796	\N	\N	\N
91229	309	1998-10-17	VYDAJ	VYBER	18400	20247	\N	\N	\N
91230	309	1998-11-16	VYDAJ	VYBER	19100	14867	\N	\N	\N
91761	311	1997-08-08	PRIJEM	VKLAD	800	800	\N	\N	\N
91769	311	1997-08-11	PRIJEM	VKLAD	16192	16992	\N	\N	\N
91770	311	1997-09-11	PRIJEM	VKLAD	16192	32832	\N	\N	\N
91771	311	1997-10-11	PRIJEM	VKLAD	16192	46839	\N	\N	\N
91772	311	1997-11-11	PRIJEM	VKLAD	16192	51907	\N	\N	\N
91773	311	1997-12-11	PRIJEM	VKLAD	24288	67904	\N	\N	\N
91774	311	1998-01-11	PRIJEM	VKLAD	16192	51594	\N	\N	\N
91775	311	1998-02-11	PRIJEM	VKLAD	16192	45857	\N	\N	\N
91776	311	1998-03-11	PRIJEM	VKLAD	16192	49321	\N	\N	\N
91777	311	1998-04-11	PRIJEM	VKLAD	16192	51302	\N	\N	\N
91778	311	1998-05-11	PRIJEM	VKLAD	16192	57594	\N	\N	\N
91779	311	1998-06-11	PRIJEM	VKLAD	24288	38785	\N	\N	\N
91780	311	1998-07-11	PRIJEM	VKLAD	16192	50335	\N	\N	\N
91781	311	1998-08-11	PRIJEM	VKLAD	16192	52206	\N	\N	\N
91782	311	1998-09-11	PRIJEM	VKLAD	16192	55195	\N	\N	\N
91783	311	1998-10-11	PRIJEM	VKLAD	16192	56303	\N	\N	\N
91784	311	1998-11-11	PRIJEM	VKLAD	16192	59414	\N	\N	\N
91785	311	1998-12-11	PRIJEM	VKLAD	24288	68833	\N	\N	\N
91798	311	1998-01-09	VYDAJ	PREVOD NA UCET	4777	35757	SIPO	CD	93944477
91799	311	1998-02-09	VYDAJ	PREVOD NA UCET	4777	29665	SIPO	CD	93944477
91800	311	1998-03-09	VYDAJ	PREVOD NA UCET	4777	33484	SIPO	CD	93944477
91801	311	1998-04-09	VYDAJ	PREVOD NA UCET	4777	35110	SIPO	CD	93944477
91802	311	1998-05-09	VYDAJ	PREVOD NA UCET	4777	41402	SIPO	CD	93944477
91803	311	1998-06-09	VYDAJ	PREVOD NA UCET	4777	14852	SIPO	CD	93944477
91804	311	1998-07-09	VYDAJ	PREVOD NA UCET	4777	34143	SIPO	CD	93944477
91805	311	1998-08-09	VYDAJ	PREVOD NA UCET	4777	36369	SIPO	CD	93944477
91806	311	1998-09-09	VYDAJ	PREVOD NA UCET	4777	39003	SIPO	CD	93944477
91807	311	1998-10-09	VYDAJ	PREVOD NA UCET	4777	40111	SIPO	CD	93944477
91808	311	1998-11-09	VYDAJ	PREVOD NA UCET	4777	43577	SIPO	CD	93944477
91809	311	1998-12-09	VYDAJ	PREVOD NA UCET	4777	47300	SIPO	CD	93944477
91821	311	1997-12-13	VYDAJ	PREVOD NA UCET	371	64158	 	WX	80353498
91822	311	1998-01-13	VYDAJ	PREVOD NA UCET	371	47848	 	WX	80353498
91823	311	1998-02-13	VYDAJ	PREVOD NA UCET	371	42111	 	WX	80353498
91824	311	1998-03-13	VYDAJ	PREVOD NA UCET	371	45575	 	WX	80353498
91825	311	1998-04-13	VYDAJ	PREVOD NA UCET	371	47556	 	WX	80353498
91826	311	1998-05-13	VYDAJ	PREVOD NA UCET	371	53848	 	WX	80353498
91827	311	1998-06-13	VYDAJ	PREVOD NA UCET	371	35039	 	WX	80353498
91828	311	1998-07-13	VYDAJ	PREVOD NA UCET	371	46589	 	WX	80353498
91829	311	1998-08-13	VYDAJ	PREVOD NA UCET	371	48460	 	WX	80353498
91830	311	1998-09-13	VYDAJ	PREVOD NA UCET	371	51449	 	WX	80353498
91831	311	1998-10-13	VYDAJ	PREVOD NA UCET	371	51257	 	WX	80353498
91832	311	1998-11-13	VYDAJ	PREVOD NA UCET	371	55668	 	WX	80353498
91833	311	1998-12-13	VYDAJ	PREVOD NA UCET	371	65087	 	WX	80353498
91845	311	1997-12-12	VYDAJ	PREVOD NA UCET	3375	64529	POJISTNE	GH	47159934
91846	311	1998-01-12	VYDAJ	PREVOD NA UCET	3375	48219	POJISTNE	GH	47159934
91847	311	1998-02-12	VYDAJ	PREVOD NA UCET	3375	42482	POJISTNE	GH	47159934
91848	311	1998-03-12	VYDAJ	PREVOD NA UCET	3375	45946	POJISTNE	GH	47159934
91849	311	1998-04-12	VYDAJ	PREVOD NA UCET	3375	47927	POJISTNE	GH	47159934
91850	311	1998-05-12	VYDAJ	PREVOD NA UCET	3375	54219	POJISTNE	GH	47159934
91851	311	1998-06-12	VYDAJ	PREVOD NA UCET	3375	35410	POJISTNE	GH	47159934
91852	311	1998-07-12	VYDAJ	PREVOD NA UCET	3375	46960	POJISTNE	GH	47159934
91853	311	1998-08-12	VYDAJ	PREVOD NA UCET	3375	48831	POJISTNE	GH	47159934
91854	311	1998-09-12	VYDAJ	PREVOD NA UCET	3375	51820	POJISTNE	GH	47159934
91855	311	1998-10-12	VYDAJ	PREVOD NA UCET	3375	51628	POJISTNE	GH	47159934
91856	311	1998-11-12	VYDAJ	PREVOD NA UCET	3375	56039	POJISTNE	GH	47159934
91857	311	1998-12-12	VYDAJ	PREVOD NA UCET	3375	65458	POJISTNE	GH	47159934
91870	311	1998-01-09	VYDAJ	PREVOD NA UCET	355	35402	 	YZ	37490087
91871	311	1998-02-09	VYDAJ	PREVOD NA UCET	355	34442	 	YZ	37490087
91872	311	1998-03-09	VYDAJ	PREVOD NA UCET	355	33129	 	YZ	37490087
91873	311	1998-04-09	VYDAJ	PREVOD NA UCET	355	39887	 	YZ	37490087
91874	311	1998-05-09	VYDAJ	PREVOD NA UCET	355	46179	 	YZ	37490087
91875	311	1998-06-09	VYDAJ	PREVOD NA UCET	355	14497	 	YZ	37490087
91876	311	1998-07-09	VYDAJ	PREVOD NA UCET	355	38920	 	YZ	37490087
91877	311	1998-08-09	VYDAJ	PREVOD NA UCET	355	36014	 	YZ	37490087
91878	311	1998-09-09	VYDAJ	PREVOD NA UCET	355	43780	 	YZ	37490087
91879	311	1998-10-09	VYDAJ	PREVOD NA UCET	355	44888	 	YZ	37490087
91880	311	1998-11-09	VYDAJ	PREVOD NA UCET	355	43222	 	YZ	37490087
91881	311	1998-12-09	VYDAJ	PREVOD NA UCET	355	46645	 	YZ	37490087
91893	311	1997-12-25	VYDAJ	VYBER	300	63858	\N	\N	0
91894	311	1998-01-06	VYDAJ	VYBER	400	45814	\N	\N	0
91895	311	1998-02-07	VYDAJ	VYBER	300	36117	\N	\N	0
91896	311	1998-03-17	VYDAJ	VYBER	400	45175	\N	\N	0
91897	311	1998-03-28	VYDAJ	VYBER	400	43475	\N	\N	0
91898	311	1998-05-14	VYDAJ	VYBER	200	53648	\N	\N	0
91899	311	1998-06-06	VYDAJ	VYBER	400	47949	\N	\N	0
91900	311	1998-07-01	VYDAJ	VYBER	400	34775	\N	\N	0
91901	311	1998-07-27	VYDAJ	VYBER	200	39689	\N	\N	0
91902	311	1998-09-17	VYDAJ	VYBER	200	51249	\N	\N	0
91903	311	1998-10-15	VYDAJ	VYBER	300	50957	\N	\N	0
91904	311	1998-11-07	VYDAJ	VYBER	300	48354	\N	\N	0
91905	311	1998-12-09	VYDAJ	VYBER	300	47000	\N	\N	0
91907	311	1998-06-07	VYDAJ	VYBER	28320	19629	\N	\N	\N
91909	311	1998-01-14	VYDAJ	VYBER	6240	41608	\N	\N	\N
91911	311	1998-12-10	VYDAJ	VYBER KARTOU	2100	44545	\N	\N	0
91918	311	1998-01-08	VYDAJ	VYBER	2880	42934	\N	\N	\N
91919	311	1998-01-09	VYDAJ	VYBER	2400	40534	\N	\N	\N
91920	311	1998-01-19	VYDAJ	VYBER	960	40648	\N	\N	\N
91921	311	1998-01-29	VYDAJ	VYBER	2520	35248	\N	\N	\N
91922	311	1998-01-05	VYDAJ	VYBER	3240	46214	\N	\N	\N
91923	311	1998-01-22	VYDAJ	VYBER	2880	37768	\N	\N	\N
91925	311	1997-12-27	VYDAJ	VYBER	840	63018	\N	\N	\N
91929	311	1998-02-07	VYDAJ	VYBER	1320	34797	\N	\N	\N
91930	311	1998-07-19	VYDAJ	VYBER KARTOU	3100	43489	\N	\N	0
91931	311	1998-10-12	VYDAJ	VYBER KARTOU	1300	55003	\N	\N	0
91932	311	1998-03-28	VYDAJ	VYBER KARTOU	1300	43875	\N	\N	0
91933	311	1998-07-23	VYDAJ	VYBER KARTOU	3600	39889	\N	\N	0
91946	311	1997-12-31	VYDAJ	VYBER	15	63254	SLUZBY	\N	\N
91947	311	1998-01-31	VYDAJ	VYBER	15	35417	SLUZBY	\N	\N
91948	311	1998-02-28	VYDAJ	VYBER	15	42261	SLUZBY	\N	\N
91949	311	1998-03-31	VYDAJ	VYBER	15	43642	SLUZBY	\N	\N
91950	311	1998-04-30	VYDAJ	VYBER	15	47734	SLUZBY	\N	\N
91951	311	1998-05-31	VYDAJ	VYBER	15	53849	SLUZBY	\N	\N
91952	311	1998-06-30	VYDAJ	VYBER	15	35175	SLUZBY	\N	\N
91953	311	1998-07-31	VYDAJ	VYBER	15	39846	SLUZBY	\N	\N
91954	311	1998-08-31	VYDAJ	VYBER	15	48635	SLUZBY	\N	\N
91955	311	1998-09-30	VYDAJ	VYBER	15	51443	SLUZBY	\N	\N
91956	311	1998-10-31	VYDAJ	VYBER	15	51154	SLUZBY	\N	\N
91957	311	1998-11-30	VYDAJ	VYBER	15	55877	SLUZBY	\N	\N
91958	311	1997-09-07	VYDAJ	VYBER	400	16640	\N	\N	\N
91959	311	1997-10-07	VYDAJ	VYBER	2300	30647	\N	\N	\N
91960	311	1997-11-06	VYDAJ	VYBER	11300	35715	\N	\N	\N
91961	311	1997-12-06	VYDAJ	VYBER	8500	43616	\N	\N	\N
91962	311	1998-01-05	VYDAJ	VYBER	13800	49454	\N	\N	\N
91963	311	1998-02-04	PRIJEM	VKLAD	1000	36417	\N	\N	\N
91964	311	1998-03-06	VYDAJ	VYBER	4000	38261	\N	\N	\N
91965	311	1998-04-05	VYDAJ	VYBER KARTOU	3400	40242	\N	\N	0
91966	311	1998-05-05	VYDAJ	VYBER KARTOU	1200	46534	\N	\N	0
91967	311	1998-06-04	VYDAJ	VYBER	5500	48349	\N	\N	\N
91968	311	1998-07-04	PRIJEM	VKLAD	4500	39275	\N	\N	\N
91969	311	1998-08-03	PRIJEM	VKLAD	1300	41146	\N	\N	\N
91970	311	1998-09-02	VYDAJ	VYBER	4500	44135	\N	\N	\N
91971	311	1998-10-02	VYDAJ	VYBER	6200	45243	\N	\N	\N
91972	311	1998-11-01	VYDAJ	VYBER KARTOU	2500	48654	\N	\N	0
91973	311	1998-12-01	VYDAJ	VYBER KARTOU	3800	52077	\N	\N	0
91991	312	1996-01-03	PRIJEM	VKLAD	500	500	\N	\N	\N
91992	312	1996-01-07	PRIJEM	VKLAD	11730	12230	\N	\N	\N
91993	312	1996-02-07	PRIJEM	VKLAD	11730	32601	\N	\N	\N
91994	312	1996-03-07	PRIJEM	VKLAD	11730	41149	\N	\N	\N
91995	312	1996-04-07	PRIJEM	VKLAD	11730	47044	\N	\N	\N
91996	312	1996-05-07	PRIJEM	VKLAD	11730	52265	\N	\N	\N
91997	312	1996-06-07	PRIJEM	VKLAD	17595	55326	\N	\N	\N
91998	312	1996-07-07	PRIJEM	VKLAD	11730	43392	\N	\N	\N
91999	312	1996-08-07	PRIJEM	VKLAD	11730	44447	\N	\N	\N
92000	312	1996-09-07	PRIJEM	VKLAD	11730	40697	\N	\N	\N
92001	312	1996-10-07	PRIJEM	VKLAD	11730	42128	\N	\N	\N
92002	312	1996-11-07	PRIJEM	VKLAD	11730	41363	\N	\N	\N
92003	312	1996-12-07	PRIJEM	VKLAD	17595	45060	\N	\N	\N
92004	312	1997-01-07	PRIJEM	VKLAD	11730	35593	\N	\N	\N
92005	312	1997-02-07	PRIJEM	VKLAD	11730	29208	\N	\N	\N
92006	312	1997-03-07	PRIJEM	VKLAD	11730	31990	\N	\N	\N
92007	312	1997-04-07	PRIJEM	VKLAD	11730	29583	\N	\N	\N
92008	312	1997-05-07	PRIJEM	VKLAD	11730	24469	\N	\N	\N
92009	312	1997-06-07	PRIJEM	VKLAD	17595	31196	\N	\N	\N
92010	312	1997-07-07	PRIJEM	VKLAD	11730	26771	\N	\N	\N
92011	312	1997-08-07	PRIJEM	VKLAD	11730	25940	\N	\N	\N
92012	312	1997-09-07	PRIJEM	VKLAD	11730	28809	\N	\N	\N
92013	312	1997-10-07	PRIJEM	VKLAD	11730	29487	\N	\N	\N
92014	312	1997-11-07	PRIJEM	VKLAD	11730	32670	\N	\N	\N
92015	312	1997-12-07	PRIJEM	VKLAD	17595	43836	\N	\N	\N
92016	312	1998-01-07	PRIJEM	VKLAD	11730	43683	\N	\N	\N
92017	312	1998-02-07	PRIJEM	VKLAD	11730	38412	\N	\N	\N
92018	312	1998-03-07	PRIJEM	VKLAD	11730	41131	\N	\N	\N
92019	312	1998-04-07	PRIJEM	VKLAD	11730	46265	\N	\N	\N
92020	312	1998-05-07	PRIJEM	VKLAD	11730	49618	\N	\N	\N
92021	312	1998-06-07	PRIJEM	VKLAD	17595	53951	\N	\N	\N
92022	312	1998-07-07	PRIJEM	VKLAD	11730	57248	\N	\N	\N
92023	312	1998-08-07	PRIJEM	VKLAD	11730	58545	\N	\N	\N
92024	312	1998-09-07	PRIJEM	VKLAD	11730	57643	\N	\N	\N
92025	312	1998-10-07	PRIJEM	VKLAD	11730	58939	\N	\N	\N
92026	312	1998-11-07	PRIJEM	VKLAD	11730	65750	\N	\N	\N
92027	312	1998-12-07	PRIJEM	VKLAD	17595	74047	\N	\N	\N
92032	312	1996-05-14	VYDAJ	PREVOD NA UCET	7814	44451	SIPO	WX	31189668
92033	312	1996-06-14	VYDAJ	PREVOD NA UCET	7814	32912	SIPO	WX	31189668
92034	312	1996-07-14	VYDAJ	PREVOD NA UCET	7814	35578	SIPO	WX	31189668
92135	312	1996-02-02	PRIJEM	VKLAD	8600	20871	\N	\N	\N
92035	312	1996-08-14	VYDAJ	PREVOD NA UCET	7814	36633	SIPO	WX	31189668
92036	312	1996-09-14	VYDAJ	PREVOD NA UCET	7814	32883	SIPO	WX	31189668
92037	312	1996-10-14	VYDAJ	PREVOD NA UCET	7814	34314	SIPO	WX	31189668
92038	312	1996-11-14	VYDAJ	PREVOD NA UCET	7814	33549	SIPO	WX	31189668
92039	312	1996-12-14	VYDAJ	PREVOD NA UCET	7814	37246	SIPO	WX	31189668
92040	312	1997-01-14	VYDAJ	PREVOD NA UCET	7814	27779	SIPO	WX	31189668
92041	312	1997-02-14	VYDAJ	PREVOD NA UCET	7814	21394	SIPO	WX	31189668
92042	312	1997-03-14	VYDAJ	PREVOD NA UCET	7814	24176	SIPO	WX	31189668
92043	312	1997-04-14	VYDAJ	PREVOD NA UCET	7814	21769	SIPO	WX	31189668
92044	312	1997-05-14	VYDAJ	PREVOD NA UCET	7814	16655	SIPO	WX	31189668
92045	312	1997-06-14	VYDAJ	PREVOD NA UCET	7814	23382	SIPO	WX	31189668
92046	312	1997-07-14	VYDAJ	PREVOD NA UCET	7814	18957	SIPO	WX	31189668
92047	312	1997-08-14	VYDAJ	PREVOD NA UCET	7814	18126	SIPO	WX	31189668
92048	312	1997-09-14	VYDAJ	PREVOD NA UCET	7814	20995	SIPO	WX	31189668
92049	312	1997-10-14	VYDAJ	PREVOD NA UCET	7814	21673	SIPO	WX	31189668
92050	312	1997-11-14	VYDAJ	PREVOD NA UCET	7814	24856	SIPO	WX	31189668
92051	312	1997-12-14	VYDAJ	PREVOD NA UCET	7814	36022	SIPO	WX	31189668
92052	312	1998-01-14	VYDAJ	PREVOD NA UCET	7814	26169	SIPO	WX	31189668
92053	312	1998-02-14	VYDAJ	PREVOD NA UCET	7814	30598	SIPO	WX	31189668
92054	312	1998-03-14	VYDAJ	PREVOD NA UCET	7814	33317	SIPO	WX	31189668
92055	312	1998-04-14	VYDAJ	PREVOD NA UCET	7814	38451	SIPO	WX	31189668
92056	312	1998-05-14	VYDAJ	PREVOD NA UCET	7814	41804	SIPO	WX	31189668
92057	312	1998-06-14	VYDAJ	PREVOD NA UCET	7814	46137	SIPO	WX	31189668
92058	312	1998-07-14	VYDAJ	PREVOD NA UCET	7814	49434	SIPO	WX	31189668
92059	312	1998-08-14	VYDAJ	PREVOD NA UCET	7814	50731	SIPO	WX	31189668
92060	312	1998-09-14	VYDAJ	PREVOD NA UCET	7814	49829	SIPO	WX	31189668
92061	312	1998-10-14	VYDAJ	PREVOD NA UCET	7814	51125	SIPO	WX	31189668
92062	312	1998-11-14	VYDAJ	PREVOD NA UCET	7814	57936	SIPO	WX	31189668
92063	312	1998-12-14	VYDAJ	PREVOD NA UCET	7814	60033	SIPO	WX	31189668
92064	312	1996-06-12	VYDAJ	VYBER	14600	40726	\N	\N	\N
92066	312	1998-06-01	VYDAJ	VYBER	6200	36356	\N	\N	\N
92067	312	1996-12-29	VYDAJ	VYBER	1700	26246	\N	\N	\N
92068	312	1997-12-04	VYDAJ	VYBER	2100	26241	\N	\N	\N
92069	312	1998-12-13	VYDAJ	VYBER	2700	71347	\N	\N	\N
92076	312	1997-01-03	VYDAJ	VYBER	2500	23863	\N	\N	\N
92077	312	1997-01-30	VYDAJ	VYBER	2800	17379	\N	\N	\N
92078	312	1997-01-19	VYDAJ	VYBER	2000	25779	\N	\N	\N
92079	312	1997-01-21	VYDAJ	VYBER	600	25179	\N	\N	\N
92080	312	1997-01-22	VYDAJ	VYBER	1800	22579	\N	\N	\N
92081	312	1997-01-22	VYDAJ	VYBER	800	24379	\N	\N	\N
92082	312	1998-01-17	VYDAJ	VYBER	700	25469	\N	\N	\N
92083	312	1998-01-11	VYDAJ	VYBER	2100	36483	\N	\N	\N
92084	312	1998-01-08	VYDAJ	VYBER	2700	40983	\N	\N	\N
92085	312	1998-01-10	VYDAJ	VYBER	1200	38583	\N	\N	\N
92086	312	1998-01-08	VYDAJ	VYBER	1200	39783	\N	\N	\N
92087	312	1998-01-13	VYDAJ	VYBER	2500	33983	\N	\N	\N
92089	312	1996-07-06	VYDAJ	VYBER	700	31662	\N	\N	\N
92091	312	1997-04-05	VYDAJ	VYBER	3100	17853	\N	\N	\N
92092	312	1997-04-15	VYDAJ	VYBER	4200	17569	\N	\N	\N
92093	312	1997-04-20	VYDAJ	VYBER	600	16969	\N	\N	\N
92094	312	1998-08-26	VYDAJ	VYBER	900	45731	\N	\N	\N
92095	312	1998-12-13	VYDAJ	VYBER	3500	67847	\N	\N	\N
92096	312	1998-07-26	VYDAJ	VYBER	3300	46634	\N	\N	\N
92097	312	1998-01-29	VYDAJ	VYBER	3700	26569	\N	\N	\N
92098	312	1998-03-14	VYDAJ	VYBER	3600	29717	\N	\N	\N
92104	312	1996-05-31	VYDAJ	VYBER	15	44631	SLUZBY	\N	\N
92105	312	1996-06-30	VYDAJ	VYBER	15	33062	SLUZBY	\N	\N
92106	312	1996-07-31	VYDAJ	VYBER	15	35717	SLUZBY	\N	\N
92107	312	1996-08-31	VYDAJ	VYBER	15	28967	SLUZBY	\N	\N
92108	312	1996-09-30	VYDAJ	VYBER	15	30398	SLUZBY	\N	\N
92109	312	1996-10-31	VYDAJ	VYBER	15	29633	SLUZBY	\N	\N
92110	312	1996-11-30	VYDAJ	VYBER	15	27465	SLUZBY	\N	\N
92111	312	1996-12-31	VYDAJ	VYBER	15	26363	SLUZBY	\N	\N
92112	312	1997-01-31	VYDAJ	VYBER	15	17478	SLUZBY	\N	\N
92113	312	1997-02-28	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
92114	312	1997-03-31	VYDAJ	VYBER	15	20953	SLUZBY	\N	\N
92115	312	1997-04-30	VYDAJ	VYBER	15	12739	SLUZBY	\N	\N
92116	312	1997-05-31	VYDAJ	VYBER	15	13601	SLUZBY	\N	\N
92117	312	1997-06-30	VYDAJ	VYBER	15	15041	SLUZBY	\N	\N
92118	312	1997-07-31	VYDAJ	VYBER	15	14210	SLUZBY	\N	\N
92119	312	1997-08-31	VYDAJ	VYBER	15	17079	SLUZBY	\N	\N
92120	312	1997-09-30	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
92121	312	1997-10-31	VYDAJ	VYBER	15	20940	SLUZBY	\N	\N
92122	312	1997-11-30	VYDAJ	VYBER	15	28341	SLUZBY	\N	\N
92123	312	1997-12-31	VYDAJ	VYBER	15	31953	SLUZBY	\N	\N
92124	312	1998-01-31	VYDAJ	VYBER	15	26682	SLUZBY	\N	\N
92125	312	1998-02-28	VYDAJ	VYBER	15	29401	SLUZBY	\N	\N
92126	312	1998-03-31	VYDAJ	VYBER	15	34535	SLUZBY	\N	\N
92127	312	1998-04-30	VYDAJ	VYBER	15	37888	SLUZBY	\N	\N
92128	312	1998-05-31	VYDAJ	VYBER	15	42556	SLUZBY	\N	\N
92129	312	1998-06-30	VYDAJ	VYBER	15	45518	SLUZBY	\N	\N
92130	312	1998-07-31	VYDAJ	VYBER	15	46815	SLUZBY	\N	\N
92131	312	1998-08-31	VYDAJ	VYBER	15	45913	SLUZBY	\N	\N
92132	312	1998-09-30	VYDAJ	VYBER	15	47209	SLUZBY	\N	\N
92133	312	1998-10-31	VYDAJ	VYBER	15	54020	SLUZBY	\N	\N
92134	312	1998-11-30	VYDAJ	VYBER	15	56452	SLUZBY	\N	\N
92136	312	1996-03-03	VYDAJ	VYBER	3300	29419	\N	\N	\N
92137	312	1996-04-02	VYDAJ	VYBER	6000	35314	\N	\N	\N
92138	312	1996-05-02	VYDAJ	VYBER	6700	40535	\N	\N	\N
92139	312	1996-06-01	VYDAJ	VYBER	6900	37731	\N	\N	\N
92140	312	1996-07-01	VYDAJ	VYBER	700	32362	\N	\N	\N
92141	312	1996-07-31	VYDAJ	VYBER	3000	32717	\N	\N	\N
92142	312	1996-08-30	VYDAJ	VYBER	7800	28833	\N	\N	\N
92143	312	1996-09-29	VYDAJ	VYBER	2600	30283	\N	\N	\N
92144	312	1996-10-29	VYDAJ	VYBER	4800	29514	\N	\N	\N
92145	312	1996-11-28	VYDAJ	VYBER	6200	27349	\N	\N	\N
92146	312	1996-12-28	VYDAJ	VYBER	9300	27946	\N	\N	\N
92147	312	1997-01-27	VYDAJ	VYBER	2400	20179	\N	\N	\N
92148	312	1997-02-26	VYDAJ	VYBER	1200	20194	\N	\N	\N
92149	312	1997-03-28	VYDAJ	VYBER	3300	20876	\N	\N	\N
92150	312	1997-04-27	VYDAJ	VYBER	4300	12669	\N	\N	\N
92151	312	1997-05-27	VYDAJ	VYBER	3100	13555	\N	\N	\N
92152	312	1997-06-26	VYDAJ	VYBER	8400	14982	\N	\N	\N
92153	312	1997-07-26	VYDAJ	VYBER	4800	14157	\N	\N	\N
92154	312	1997-08-25	VYDAJ	VYBER	1100	17026	\N	\N	\N
92155	312	1997-09-24	VYDAJ	VYBER	3300	17695	\N	\N	\N
92156	312	1997-10-24	VYDAJ	VYBER	800	20873	\N	\N	\N
92157	312	1997-11-23	PRIJEM	VKLAD	3400	28256	\N	\N	\N
92158	312	1997-12-23	VYDAJ	VYBER	4200	31822	\N	\N	\N
92159	312	1998-01-22	PRIJEM	VKLAD	4800	30269	\N	\N	\N
92160	312	1998-02-21	VYDAJ	VYBER	1300	29298	\N	\N	\N
92161	312	1998-03-23	PRIJEM	VKLAD	4700	34417	\N	\N	\N
92162	312	1998-04-22	VYDAJ	VYBER	700	37751	\N	\N	\N
92163	312	1998-05-22	PRIJEM	VKLAD	600	42404	\N	\N	\N
92164	312	1998-06-21	VYDAJ	VYBER	800	45337	\N	\N	\N
92165	312	1998-07-21	PRIJEM	VKLAD	500	49934	\N	\N	\N
92166	312	1998-08-20	VYDAJ	VYBER	4100	46631	\N	\N	\N
92167	312	1998-09-19	VYDAJ	VYBER	2800	47029	\N	\N	\N
92168	312	1998-10-19	PRIJEM	VKLAD	2700	53825	\N	\N	\N
92169	312	1998-11-18	VYDAJ	VYBER	1700	56236	\N	\N	\N
92206	313	1996-07-06	PRIJEM	VKLAD	700	700	\N	\N	\N
92213	313	1996-07-08	PRIJEM	PREVOD Z UCTU	3442	4142	\N	KL	2472830
92214	313	1996-08-08	PRIJEM	PREVOD Z UCTU	3442	7597	\N	KL	2472830
92215	313	1996-09-08	PRIJEM	PREVOD Z UCTU	3442	11057	\N	KL	2472830
92216	313	1996-10-08	PRIJEM	PREVOD Z UCTU	3442	14516	\N	KL	2472830
92217	313	1996-11-08	PRIJEM	PREVOD Z UCTU	3442	17975	\N	KL	2472830
92218	313	1996-12-08	PRIJEM	PREVOD Z UCTU	3442	18859	\N	KL	2472830
92219	313	1997-01-08	PRIJEM	PREVOD Z UCTU	3442	19461	\N	KL	2472830
92220	313	1997-02-08	PRIJEM	PREVOD Z UCTU	3442	18024	\N	KL	2472830
92221	313	1997-03-08	PRIJEM	PREVOD Z UCTU	3442	15946	\N	KL	2472830
92222	313	1997-04-08	PRIJEM	PREVOD Z UCTU	3442	15993	\N	KL	2472830
92223	313	1997-05-08	PRIJEM	PREVOD Z UCTU	3442	17182	\N	KL	2472830
92224	313	1997-06-08	PRIJEM	PREVOD Z UCTU	3442	18376	\N	KL	2472830
92225	313	1997-07-08	PRIJEM	PREVOD Z UCTU	3442	18475	\N	KL	2472830
92226	313	1997-08-08	PRIJEM	PREVOD Z UCTU	3442	19477	\N	KL	2472830
92227	313	1997-09-08	PRIJEM	PREVOD Z UCTU	3442	19088	\N	KL	2472830
92228	313	1997-10-08	PRIJEM	PREVOD Z UCTU	3442	19089	\N	KL	2472830
92229	313	1997-11-08	PRIJEM	PREVOD Z UCTU	3442	20293	\N	KL	2472830
92230	313	1997-12-08	PRIJEM	PREVOD Z UCTU	3442	21500	\N	KL	2472830
92231	313	1998-01-08	PRIJEM	PREVOD Z UCTU	3442	21872	\N	KL	2472830
92232	313	1998-02-08	PRIJEM	PREVOD Z UCTU	3442	18010	\N	KL	2472830
92233	313	1998-03-08	PRIJEM	PREVOD Z UCTU	3442	19210	\N	KL	2472830
92234	313	1998-04-08	PRIJEM	PREVOD Z UCTU	3442	20412	\N	KL	2472830
92235	313	1998-05-08	PRIJEM	PREVOD Z UCTU	3442	21620	\N	KL	2472830
92236	313	1998-06-08	PRIJEM	PREVOD Z UCTU	3442	22832	\N	KL	2472830
92237	313	1998-07-08	PRIJEM	PREVOD Z UCTU	3442	21857	\N	KL	2472830
92238	313	1998-08-08	PRIJEM	PREVOD Z UCTU	3442	23072	\N	KL	2472830
92239	313	1998-09-08	PRIJEM	PREVOD Z UCTU	3442	24290	\N	KL	2472830
92240	313	1998-10-08	PRIJEM	PREVOD Z UCTU	3442	25513	\N	KL	2472830
92241	313	1998-11-08	PRIJEM	PREVOD Z UCTU	3442	26742	\N	KL	2472830
92242	313	1998-12-08	PRIJEM	PREVOD Z UCTU	3442	27975	\N	KL	2472830
92253	313	1996-11-10	VYDAJ	PREVOD NA UCET	2294	15681	\N	GH	6982702
92254	313	1996-12-10	VYDAJ	PREVOD NA UCET	2294	16565	\N	GH	6982702
92255	313	1997-01-10	VYDAJ	PREVOD NA UCET	2294	17167	\N	GH	6982702
92256	313	1997-02-10	VYDAJ	PREVOD NA UCET	2294	14740	\N	GH	6982702
92257	313	1997-03-10	VYDAJ	PREVOD NA UCET	2294	13652	\N	GH	6982702
92258	313	1997-04-10	VYDAJ	PREVOD NA UCET	2294	13699	\N	GH	6982702
92259	313	1997-05-10	VYDAJ	PREVOD NA UCET	2294	14888	\N	GH	6982702
92260	313	1997-06-10	VYDAJ	PREVOD NA UCET	2294	16082	\N	GH	6982702
92261	313	1997-07-10	VYDAJ	PREVOD NA UCET	2294	16181	\N	GH	6982702
92262	313	1997-08-10	VYDAJ	PREVOD NA UCET	2294	17183	\N	GH	6982702
92263	313	1997-09-10	VYDAJ	PREVOD NA UCET	2294	16794	\N	GH	6982702
92264	313	1997-10-10	VYDAJ	PREVOD NA UCET	2294	16795	\N	GH	6982702
92265	313	1997-11-10	VYDAJ	PREVOD NA UCET	2294	17999	\N	GH	6982702
92266	313	1997-12-10	VYDAJ	PREVOD NA UCET	2294	19206	\N	GH	6982702
92267	313	1998-01-10	VYDAJ	PREVOD NA UCET	2294	19128	\N	GH	6982702
92268	313	1998-02-10	VYDAJ	PREVOD NA UCET	2294	15716	\N	GH	6982702
92269	313	1998-03-10	VYDAJ	PREVOD NA UCET	2294	16916	\N	GH	6982702
92270	313	1998-04-10	VYDAJ	PREVOD NA UCET	2294	18118	\N	GH	6982702
92271	313	1998-05-10	VYDAJ	PREVOD NA UCET	2294	19326	\N	GH	6982702
92272	313	1998-06-10	VYDAJ	PREVOD NA UCET	2294	20538	\N	GH	6982702
92273	313	1998-07-10	VYDAJ	PREVOD NA UCET	2294	19563	\N	GH	6982702
92274	313	1998-08-10	VYDAJ	PREVOD NA UCET	2294	20778	\N	GH	6982702
92275	313	1998-09-10	VYDAJ	PREVOD NA UCET	2294	21996	\N	GH	6982702
92276	313	1998-10-10	VYDAJ	PREVOD NA UCET	2294	23219	\N	GH	6982702
92277	313	1998-11-10	VYDAJ	PREVOD NA UCET	2294	24448	\N	GH	6982702
92278	313	1998-12-10	VYDAJ	PREVOD NA UCET	2294	25681	\N	GH	6982702
92279	313	1996-12-05	VYDAJ	VYBER	300	15417	\N	\N	\N
92280	313	1997-12-21	VYDAJ	VYBER	450	18756	\N	\N	\N
92281	313	1998-12-20	VYDAJ	VYBER	330	25351	\N	\N	\N
92288	313	1997-01-17	VYDAJ	VYBER	150	17017	\N	\N	\N
92289	313	1997-01-27	VYDAJ	VYBER	690	14527	\N	\N	\N
92290	313	1997-01-26	VYDAJ	VYBER	720	16297	\N	\N	\N
92291	313	1997-01-02	VYDAJ	VYBER	390	16019	\N	\N	\N
92292	313	1997-01-27	VYDAJ	VYBER	810	15217	\N	\N	\N
92293	313	1997-01-26	VYDAJ	VYBER	270	16027	\N	\N	\N
92294	313	1998-01-17	VYDAJ	VYBER	600	17688	\N	\N	\N
92295	313	1998-01-14	VYDAJ	VYBER	840	18288	\N	\N	\N
92296	313	1998-01-06	VYDAJ	VYBER	390	18430	\N	\N	\N
92297	313	1998-01-30	VYDAJ	VYBER	840	16128	\N	\N	\N
92298	313	1998-01-09	VYDAJ	VYBER	450	21422	\N	\N	\N
92299	313	1998-01-28	VYDAJ	VYBER	150	16968	\N	\N	\N
92304	313	1996-12-19	VYDAJ	VYBER	210	16355	\N	\N	\N
92305	313	1997-02-10	VYDAJ	VYBER	990	17034	\N	\N	\N
92306	313	1997-02-11	VYDAJ	VYBER	930	13810	\N	\N	\N
92307	313	1997-10-02	VYDAJ	VYBER	1200	15647	\N	\N	\N
92308	313	1997-03-24	VYDAJ	VYBER	1140	12512	\N	\N	\N
92309	313	1997-08-29	VYDAJ	VYBER	210	15593	\N	\N	\N
92310	313	1997-08-19	VYDAJ	VYBER	1380	15803	\N	\N	\N
92311	313	1997-02-24	VYDAJ	VYBER	1350	12460	\N	\N	\N
92312	313	1998-01-19	VYDAJ	VYBER	570	17118	\N	\N	\N
92313	313	1998-01-31	VYDAJ	VYBER	210	15993	\N	\N	\N
92314	313	1998-02-04	VYDAJ	VYBER	1410	14568	\N	\N	\N
92315	313	1998-07-02	VYDAJ	VYBER	720	18415	\N	\N	\N
92316	313	1998-06-18	VYDAJ	VYBER	1470	19068	\N	\N	\N
92328	313	1996-11-30	VYDAJ	VYBER	15	15717	SLUZBY	\N	\N
92329	313	1996-12-31	VYDAJ	VYBER	15	16409	SLUZBY	\N	\N
92330	313	1997-01-31	VYDAJ	VYBER	15	14582	SLUZBY	\N	\N
92331	313	1997-02-28	VYDAJ	VYBER	15	12504	SLUZBY	\N	\N
92332	313	1997-03-31	VYDAJ	VYBER	15	12551	SLUZBY	\N	\N
92333	313	1997-04-30	VYDAJ	VYBER	15	13740	SLUZBY	\N	\N
92334	313	1997-05-31	VYDAJ	VYBER	15	14934	SLUZBY	\N	\N
92335	313	1997-06-30	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
92336	313	1997-07-31	VYDAJ	VYBER	15	16235	SLUZBY	\N	\N
92337	313	1997-08-31	VYDAJ	VYBER	15	15646	SLUZBY	\N	\N
92338	313	1997-09-30	VYDAJ	VYBER	15	16847	SLUZBY	\N	\N
92339	313	1997-10-31	VYDAJ	VYBER	15	16851	SLUZBY	\N	\N
92340	313	1997-11-30	VYDAJ	VYBER	15	18058	SLUZBY	\N	\N
92341	313	1997-12-31	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
92342	313	1998-01-31	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
92343	313	1998-02-28	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
92344	313	1998-03-31	VYDAJ	VYBER	15	16970	SLUZBY	\N	\N
92345	313	1998-04-30	VYDAJ	VYBER	15	18178	SLUZBY	\N	\N
92346	313	1998-05-31	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
92347	313	1998-06-30	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
92348	313	1998-07-31	VYDAJ	VYBER	15	19630	SLUZBY	\N	\N
92349	313	1998-08-31	VYDAJ	VYBER	15	20848	SLUZBY	\N	\N
92350	313	1998-09-30	VYDAJ	VYBER	15	22071	SLUZBY	\N	\N
92351	313	1998-10-31	VYDAJ	VYBER	15	23300	SLUZBY	\N	\N
92352	313	1998-11-30	VYDAJ	VYBER	15	24533	SLUZBY	\N	\N
92353	313	1997-07-01	VYDAJ	VYBER	1100	15033	\N	\N	\N
92354	313	1997-07-31	VYDAJ	VYBER	200	16035	\N	\N	\N
92385	314	1996-01-26	PRIJEM	VKLAD	700	700	\N	\N	\N
92387	314	1996-02-06	PRIJEM	PREVOD Z UCTU	36897	37597	\N	IJ	74523085
92388	314	1996-03-06	PRIJEM	PREVOD Z UCTU	36897	66816	\N	IJ	74523085
92389	314	1996-04-06	PRIJEM	PREVOD Z UCTU	36897	82850	\N	IJ	74523085
92390	314	1996-05-06	PRIJEM	PREVOD Z UCTU	36897	90744	\N	IJ	74523085
92391	314	1996-06-06	PRIJEM	PREVOD Z UCTU	55346	109016	\N	IJ	74523085
92392	314	1996-07-06	PRIJEM	PREVOD Z UCTU	36897	63316	\N	IJ	74523085
92393	314	1996-08-06	PRIJEM	PREVOD Z UCTU	36897	65578	\N	IJ	74523085
92394	314	1996-09-06	PRIJEM	PREVOD Z UCTU	36897	52541	\N	IJ	74523085
92395	314	1996-10-06	PRIJEM	PREVOD Z UCTU	36897	57643	\N	IJ	74523085
92396	314	1996-11-06	PRIJEM	PREVOD Z UCTU	36897	53077	\N	IJ	74523085
92397	314	1996-12-06	PRIJEM	PREVOD Z UCTU	55346	77951	\N	IJ	74523085
92398	314	1997-01-06	PRIJEM	PREVOD Z UCTU	36897	62847	\N	IJ	74523085
92399	314	1997-02-06	PRIJEM	PREVOD Z UCTU	36897	55671	\N	IJ	74523085
92400	314	1997-03-06	PRIJEM	PREVOD Z UCTU	36897	70308	\N	IJ	74523085
92401	314	1997-04-06	PRIJEM	PREVOD Z UCTU	36897	72589	\N	IJ	74523085
92402	314	1997-05-06	PRIJEM	PREVOD Z UCTU	36897	59571	\N	IJ	74523085
92403	314	1997-06-06	PRIJEM	PREVOD Z UCTU	55346	73495	\N	IJ	74523085
92404	314	1997-07-06	PRIJEM	PREVOD Z UCTU	36897	71168	\N	IJ	74523085
92405	314	1997-08-06	PRIJEM	PREVOD Z UCTU	36897	72559	\N	IJ	74523085
92406	314	1997-09-06	PRIJEM	PREVOD Z UCTU	36897	69749	\N	IJ	74523085
92407	314	1997-10-06	PRIJEM	PREVOD Z UCTU	36897	72053	\N	IJ	74523085
92408	314	1997-11-06	PRIJEM	PREVOD Z UCTU	36897	67831	\N	IJ	74523085
92409	314	1997-12-06	PRIJEM	PREVOD Z UCTU	55346	87049	\N	IJ	74523085
92410	314	1998-01-06	PRIJEM	PREVOD Z UCTU	36897	67950	\N	IJ	74523085
92411	314	1998-02-06	PRIJEM	PREVOD Z UCTU	36897	60459	\N	IJ	74523085
92412	314	1998-03-06	PRIJEM	PREVOD Z UCTU	36897	57192	\N	IJ	74523085
92413	314	1998-04-06	PRIJEM	PREVOD Z UCTU	36897	52905	\N	IJ	74523085
92414	314	1998-05-06	PRIJEM	PREVOD Z UCTU	36897	52706	\N	IJ	74523085
92415	314	1998-06-06	PRIJEM	PREVOD Z UCTU	55346	68788	\N	IJ	74523085
92416	314	1998-07-06	PRIJEM	PREVOD Z UCTU	36897	62314	\N	IJ	74523085
92417	314	1998-08-06	PRIJEM	PREVOD Z UCTU	36897	58990	\N	IJ	74523085
92418	314	1998-09-06	PRIJEM	PREVOD Z UCTU	36897	59712	\N	IJ	74523085
92419	314	1998-10-06	PRIJEM	PREVOD Z UCTU	36897	58838	\N	IJ	74523085
92420	314	1998-11-06	PRIJEM	PREVOD Z UCTU	36897	61963	\N	IJ	74523085
92421	314	1998-12-06	PRIJEM	PREVOD Z UCTU	55346	77431	\N	IJ	74523085
92427	314	1996-06-03	VYDAJ	VYBER	2800	53670	\N	\N	0
92428	314	1996-07-17	VYDAJ	VYBER	3300	43625	\N	\N	0
92429	314	1996-08-02	VYDAJ	VYBER	3200	28681	\N	\N	0
92430	314	1996-08-30	VYDAJ	VYBER	3500	15580	\N	\N	0
92431	314	1996-09-30	VYDAJ	VYBER	2200	20846	\N	\N	0
92432	314	1996-10-30	VYDAJ	VYBER	2500	27552	\N	\N	0
92433	314	1996-11-29	VYDAJ	VYBER	2400	22557	\N	\N	0
92434	314	1997-01-25	VYDAJ	VYBER	3300	20956	\N	\N	0
92435	314	1997-01-26	VYDAJ	VYBER	2200	18756	\N	\N	0
92436	314	1997-03-15	VYDAJ	VYBER	2000	54617	\N	\N	0
92437	314	1997-04-25	VYDAJ	VYBER	2200	36998	\N	\N	0
92438	314	1997-05-12	VYDAJ	PREVOD NA UCET	2785	26251	UVER	WX	56231456
92439	314	1997-06-12	VYDAJ	PREVOD NA UCET	2785	57019	UVER	WX	56231456
92440	314	1997-07-12	VYDAJ	PREVOD NA UCET	2785	54692	UVER	WX	56231456
92441	314	1997-08-12	VYDAJ	PREVOD NA UCET	2785	56083	UVER	WX	56231456
92442	314	1997-09-12	VYDAJ	PREVOD NA UCET	2785	53273	UVER	WX	56231456
92443	314	1997-10-12	VYDAJ	PREVOD NA UCET	2785	55577	UVER	WX	56231456
92444	314	1997-11-12	VYDAJ	PREVOD NA UCET	2785	51355	UVER	WX	56231456
92445	314	1997-12-12	VYDAJ	PREVOD NA UCET	2785	70573	UVER	WX	56231456
92446	314	1998-01-12	VYDAJ	PREVOD NA UCET	2785	51474	UVER	WX	56231456
92447	314	1998-02-12	VYDAJ	PREVOD NA UCET	2785	42183	UVER	WX	56231456
92448	314	1998-03-12	VYDAJ	PREVOD NA UCET	2785	40716	UVER	WX	56231456
92449	314	1998-04-12	VYDAJ	PREVOD NA UCET	2785	36429	UVER	WX	56231456
92450	314	1998-05-12	VYDAJ	PREVOD NA UCET	2785	28158	UVER	WX	56231456
92451	314	1998-06-12	VYDAJ	PREVOD NA UCET	2785	52312	UVER	WX	56231456
92452	314	1998-07-12	VYDAJ	PREVOD NA UCET	2785	45838	UVER	WX	56231456
92453	314	1998-08-12	VYDAJ	PREVOD NA UCET	2785	42514	UVER	WX	56231456
92454	314	1998-09-12	VYDAJ	PREVOD NA UCET	2785	21936	UVER	WX	56231456
92455	314	1998-10-12	VYDAJ	PREVOD NA UCET	2785	25062	UVER	WX	56231456
92456	314	1998-11-12	VYDAJ	PREVOD NA UCET	2785	22087	UVER	WX	56231456
92457	314	1998-12-12	VYDAJ	PREVOD NA UCET	2785	29155	UVER	WX	56231456
92463	314	1996-06-10	VYDAJ	PREVOD NA UCET	13691	35425	SIPO	KL	99187093
92464	314	1996-07-10	VYDAJ	PREVOD NA UCET	13691	46925	SIPO	KL	99187093
92465	314	1996-08-10	VYDAJ	PREVOD NA UCET	13691	51887	SIPO	KL	99187093
92466	314	1996-09-10	VYDAJ	PREVOD NA UCET	13691	29550	SIPO	KL	99187093
92467	314	1996-10-10	VYDAJ	PREVOD NA UCET	13691	43952	SIPO	KL	99187093
92468	314	1996-11-10	VYDAJ	PREVOD NA UCET	13691	39386	SIPO	KL	99187093
92469	314	1996-12-10	VYDAJ	PREVOD NA UCET	13691	23137	SIPO	KL	99187093
92470	314	1997-01-10	VYDAJ	PREVOD NA UCET	13691	37456	SIPO	KL	99187093
92471	314	1997-02-10	VYDAJ	PREVOD NA UCET	13691	41980	SIPO	KL	99187093
92472	314	1997-03-10	VYDAJ	PREVOD NA UCET	13691	56617	SIPO	KL	99187093
92473	314	1997-04-10	VYDAJ	PREVOD NA UCET	13691	58898	SIPO	KL	99187093
92474	314	1997-05-10	VYDAJ	PREVOD NA UCET	13691	29036	SIPO	KL	99187093
92475	314	1997-06-10	VYDAJ	PREVOD NA UCET	13691	59804	SIPO	KL	99187093
92476	314	1997-07-10	VYDAJ	PREVOD NA UCET	13691	57477	SIPO	KL	99187093
92477	314	1997-08-10	VYDAJ	PREVOD NA UCET	13691	58868	SIPO	KL	99187093
92478	314	1997-09-10	VYDAJ	PREVOD NA UCET	13691	56058	SIPO	KL	99187093
92479	314	1997-10-10	VYDAJ	PREVOD NA UCET	13691	58362	SIPO	KL	99187093
92480	314	1997-11-10	VYDAJ	PREVOD NA UCET	13691	54140	SIPO	KL	99187093
92481	314	1997-12-10	VYDAJ	PREVOD NA UCET	13691	73358	SIPO	KL	99187093
92482	314	1998-01-10	VYDAJ	PREVOD NA UCET	13691	54259	SIPO	KL	99187093
92483	314	1998-02-10	VYDAJ	PREVOD NA UCET	13691	44968	SIPO	KL	99187093
92484	314	1998-03-10	VYDAJ	PREVOD NA UCET	13691	43501	SIPO	KL	99187093
92485	314	1998-04-10	VYDAJ	PREVOD NA UCET	13691	39214	SIPO	KL	99187093
92486	314	1998-05-10	VYDAJ	PREVOD NA UCET	13691	30943	SIPO	KL	99187093
92487	314	1998-06-10	VYDAJ	PREVOD NA UCET	13691	55097	SIPO	KL	99187093
92488	314	1998-07-10	VYDAJ	PREVOD NA UCET	13691	48623	SIPO	KL	99187093
92489	314	1998-08-10	VYDAJ	PREVOD NA UCET	13691	45299	SIPO	KL	99187093
92490	314	1998-09-10	VYDAJ	PREVOD NA UCET	13691	46021	SIPO	KL	99187093
92491	314	1998-10-10	VYDAJ	PREVOD NA UCET	13691	45147	SIPO	KL	99187093
92492	314	1998-11-10	VYDAJ	PREVOD NA UCET	13691	48272	SIPO	KL	99187093
92493	314	1998-12-10	VYDAJ	PREVOD NA UCET	13691	63740	SIPO	KL	99187093
92494	314	1996-11-03	VYBER	VYBER	11408	16180	\N	\N	\N
92496	314	1996-12-09	VYBER	VYBER	13797	47028	\N	\N	\N
92498	314	1996-08-15	VYBER	VYBER	9214	42673	\N	\N	\N
92500	314	1996-08-25	VYBER	VYBER	15293	19080	\N	\N	\N
92501	314	1996-11-26	VYBER	VYBER	6729	24957	\N	\N	\N
92506	314	1996-12-07	VYBER	VYBER	17126	60825	\N	\N	\N
92510	314	1997-05-08	VYBER	VYBER	16844	42727	\N	\N	\N
92513	314	1998-07-15	VYBER	VYBER	6055	22083	\N	\N	\N
92514	314	1998-05-06	VYBER	VYBER	8072	44634	\N	\N	\N
92520	314	1997-01-07	VYDAJ	VYBER	11700	51147	\N	\N	\N
92523	314	1997-12-25	VYDAJ	VYBER	2700	37873	\N	\N	\N
92524	314	1998-12-20	VYDAJ	VYBER	3900	25255	\N	\N	\N
92534	314	1997-01-15	VYDAJ	VYBER	6900	30556	\N	\N	\N
92535	314	1997-01-16	VYDAJ	VYBER	6900	23656	\N	\N	\N
92538	314	1998-01-15	VYDAJ	VYBER	5100	41274	\N	\N	\N
92539	314	1998-01-05	VYDAJ	VYBER	6900	31053	\N	\N	\N
92540	314	1998-01-14	VYDAJ	VYBER	5100	46374	\N	\N	\N
92543	314	1996-09-19	VYDAJ	VYBER	10800	18750	\N	\N	\N
92546	314	1996-09-09	VYDAJ	VYBER	9300	43241	\N	\N	\N
92547	314	1996-07-09	VYDAJ	VYBER	2700	60616	\N	\N	\N
92549	314	1996-12-09	VYDAJ	VYBER	10200	36828	\N	\N	\N
92553	314	1997-04-27	VYDAJ	VYBER	14400	22598	\N	\N	\N
92554	314	1997-09-04	VYDAJ	VYBER	1800	32852	\N	\N	\N
92559	314	1998-02-08	VYDAJ	VYBER	1800	58659	\N	\N	\N
92566	314	1996-06-30	VYDAJ	VYBER	100	26419	SLUZBY	\N	\N
92567	314	1996-07-31	VYDAJ	VYBER	100	31881	SLUZBY	\N	\N
92568	314	1996-08-31	VYDAJ	VYBER	100	15644	SLUZBY	\N	\N
92569	314	1996-09-30	VYDAJ	VYBER	100	20746	SLUZBY	\N	\N
92570	314	1996-10-31	VYDAJ	VYBER	100	27588	SLUZBY	\N	\N
92571	314	1996-11-30	VYDAJ	VYBER	100	22605	SLUZBY	\N	\N
92572	314	1996-12-31	VYDAJ	VYBER	100	25950	SLUZBY	\N	\N
92573	314	1997-01-31	VYDAJ	VYBER	100	18774	SLUZBY	\N	\N
92574	314	1997-02-28	VYDAJ	VYBER	100	33411	SLUZBY	\N	\N
92575	314	1997-03-31	VYDAJ	VYBER	100	35692	SLUZBY	\N	\N
92576	314	1997-04-30	VYDAJ	VYBER	100	22674	SLUZBY	\N	\N
92577	314	1997-05-31	VYDAJ	VYBER	100	18149	SLUZBY	\N	\N
92578	314	1997-06-30	VYDAJ	VYBER	100	34271	SLUZBY	\N	\N
92579	314	1997-07-31	VYDAJ	VYBER	100	35662	SLUZBY	\N	\N
92580	314	1997-08-31	VYDAJ	VYBER	100	34652	SLUZBY	\N	\N
92581	314	1997-09-30	VYDAJ	VYBER	100	35156	SLUZBY	\N	\N
92582	314	1997-10-31	VYDAJ	VYBER	100	30934	SLUZBY	\N	\N
92583	314	1997-11-30	VYDAJ	VYBER	100	31703	SLUZBY	\N	\N
92584	314	1997-12-31	VYDAJ	VYBER	100	37953	SLUZBY	\N	\N
92585	314	1998-01-31	VYDAJ	VYBER	100	23562	SLUZBY	\N	\N
92586	314	1998-02-28	VYDAJ	VYBER	100	20295	SLUZBY	\N	\N
92587	314	1998-03-31	VYDAJ	VYBER	100	16008	SLUZBY	\N	\N
92588	314	1998-04-30	VYDAJ	VYBER	100	15809	SLUZBY	\N	\N
92589	314	1998-05-31	VYDAJ	VYBER	100	13442	SLUZBY	\N	\N
92590	314	1998-06-30	VYDAJ	VYBER	100	25417	SLUZBY	\N	\N
92591	314	1998-07-31	VYDAJ	VYBER	100	22093	SLUZBY	\N	\N
92592	314	1998-08-31	VYDAJ	VYBER	100	22815	SLUZBY	\N	\N
92593	314	1998-09-30	VYDAJ	VYBER	100	21941	SLUZBY	\N	\N
92594	314	1998-10-31	VYDAJ	VYBER	100	25066	SLUZBY	\N	\N
92595	314	1998-11-30	VYDAJ	VYBER	100	22085	SLUZBY	\N	\N
92596	314	1996-02-25	VYDAJ	VYBER	7700	29897	\N	\N	\N
92597	314	1996-03-26	VYDAJ	VYBER	21000	45816	\N	\N	\N
92598	314	1996-04-25	VYDAJ	VYBER	29200	53650	\N	\N	\N
92599	314	1996-05-25	VYDAJ	VYBER	34500	56244	\N	\N	\N
92600	314	1996-06-06	VYDAJ	VYBER	59900	49116	\N	\N	\N
92601	314	1996-06-24	VYDAJ	VYBER	9100	26325	\N	\N	\N
92602	314	1996-07-24	VYDAJ	VYBER	11800	31825	\N	\N	\N
92603	314	1996-08-23	VYDAJ	VYBER	8300	34373	\N	\N	\N
92604	314	1996-09-22	PRIJEM	VKLAD	4200	22950	\N	\N	\N
92605	314	1996-10-22	VYDAJ	VYBER	13900	30052	\N	\N	\N
92606	314	1996-11-21	VYDAJ	VYBER	7700	31686	\N	\N	\N
92607	314	1996-12-21	PRIJEM	VKLAD	2800	25937	\N	\N	\N
92608	314	1997-01-20	PRIJEM	VKLAD	600	24256	\N	\N	\N
92609	314	1997-02-19	VYDAJ	VYBER	8600	33380	\N	\N	\N
92610	314	1997-03-21	VYDAJ	VYBER	19000	35617	\N	\N	\N
92611	314	1997-04-20	VYDAJ	VYBER	19700	39198	\N	\N	\N
92612	314	1997-05-20	VYDAJ	VYBER	8100	18151	\N	\N	\N
92613	314	1997-06-19	VYDAJ	VYBER	22800	34219	\N	\N	\N
92614	314	1997-07-19	VYDAJ	VYBER	19100	35592	\N	\N	\N
92615	314	1997-08-18	VYDAJ	VYBER	21500	34583	\N	\N	\N
92616	314	1997-09-17	VYDAJ	VYBER	18200	35073	\N	\N	\N
92617	314	1997-10-17	VYDAJ	VYBER	24700	30877	\N	\N	\N
92618	314	1997-11-16	VYDAJ	VYBER	19700	31655	\N	\N	\N
92619	314	1997-12-16	VYDAJ	VYBER	30000	40573	\N	\N	\N
92620	314	1998-01-15	VYDAJ	VYBER	17800	23474	\N	\N	\N
92621	314	1998-02-14	VYDAJ	VYBER	21900	20283	\N	\N	\N
92622	314	1998-03-16	VYDAJ	VYBER	24700	16016	\N	\N	\N
92623	314	1998-04-15	VYDAJ	VYBER	20600	15829	\N	\N	\N
92624	314	1998-05-15	VYDAJ	VYBER	14700	13458	\N	\N	\N
92625	314	1998-06-14	VYDAJ	VYBER	26900	25412	\N	\N	\N
92626	314	1998-07-14	VYDAJ	VYBER	17700	28138	\N	\N	\N
92627	314	1998-08-13	VYDAJ	VYBER	19700	22814	\N	\N	\N
92628	314	1998-09-12	VYDAJ	VYBER	21300	24721	\N	\N	\N
92629	314	1998-10-12	VYDAJ	VYBER	17300	27847	\N	\N	\N
92630	314	1998-11-11	VYDAJ	VYBER	23400	24872	\N	\N	\N
92631	314	1998-12-11	VYDAJ	VYBER	31800	31940	\N	\N	\N
92667	315	1997-12-08	PRIJEM	VKLAD	400	400	\N	\N	\N
92743	315	1998-03-08	PRIJEM	VKLAD	11700	12100	\N	\N	\N
92744	315	1998-04-07	PRIJEM	VKLAD	8700	20800	\N	\N	\N
92745	315	1998-05-07	PRIJEM	VKLAD	3100	23900	\N	\N	\N
92746	315	1998-06-06	PRIJEM	VKLAD	1000	24900	\N	\N	\N
92747	315	1998-07-06	VYDAJ	VYBER	300	24600	\N	\N	\N
92748	315	1998-08-05	VYDAJ	VYBER	7300	17300	\N	\N	\N
92749	315	1998-09-04	VYDAJ	VYBER	1800	15500	\N	\N	\N
92750	315	1998-10-04	PRIJEM	VKLAD	1100	16600	\N	\N	\N
92751	315	1998-11-03	PRIJEM	VKLAD	200	16800	\N	\N	\N
92752	315	1998-12-03	VYDAJ	VYBER	1800	15000	\N	\N	\N
92753	316	1997-05-08	PRIJEM	VKLAD	600	600	\N	\N	\N
92754	316	1997-08-16	PRIJEM	VKLAD	42752	68072	\N	\N	\N
92756	316	1998-04-16	PRIJEM	VKLAD	40627	68301	\N	\N	\N
92757	316	1998-09-12	PRIJEM	VKLAD	8511	36100	\N	\N	\N
92762	316	1997-05-14	PRIJEM	VKLAD	400	1000	\N	\N	\N
92763	316	1997-06-13	PRIJEM	VKLAD	400	16205	\N	\N	\N
92764	316	1997-07-17	PRIJEM	VKLAD	400	22351	\N	\N	\N
92765	316	1997-08-17	PRIJEM	VKLAD	400	68472	\N	\N	\N
92766	316	1997-09-13	PRIJEM	VKLAD	400	52254	\N	\N	\N
92767	316	1997-10-13	PRIJEM	VKLAD	400	40387	\N	\N	\N
92768	316	1997-11-16	PRIJEM	VKLAD	400	38160	\N	\N	\N
92769	316	1997-12-17	PRIJEM	VKLAD	400	34714	\N	\N	\N
92770	316	1998-01-17	PRIJEM	VKLAD	400	33754	\N	\N	\N
92771	316	1998-02-13	PRIJEM	VKLAD	400	29887	\N	\N	\N
92772	316	1998-03-17	PRIJEM	VKLAD	400	31607	\N	\N	\N
92773	316	1998-04-17	PRIJEM	VKLAD	400	68701	\N	\N	\N
92774	316	1998-05-16	PRIJEM	VKLAD	400	51296	\N	\N	\N
92775	316	1998-06-13	PRIJEM	VKLAD	400	43535	\N	\N	\N
92776	316	1998-07-15	PRIJEM	VKLAD	400	29580	\N	\N	\N
92777	316	1998-08-17	PRIJEM	VKLAD	400	30175	\N	\N	\N
92778	316	1998-09-14	PRIJEM	VKLAD	400	36500	\N	\N	\N
92779	316	1998-10-17	PRIJEM	VKLAD	400	32026	\N	\N	\N
92780	316	1998-11-14	PRIJEM	VKLAD	400	22893	\N	\N	\N
92781	316	1998-12-14	PRIJEM	VKLAD	400	20676	\N	\N	\N
92786	316	1997-05-18	PRIJEM	VKLAD	1100	2100	\N	\N	\N
92787	316	1997-06-18	PRIJEM	VKLAD	1100	17305	\N	\N	\N
92788	316	1997-07-18	PRIJEM	VKLAD	1100	23451	\N	\N	\N
92789	316	1997-08-18	PRIJEM	VKLAD	1100	69572	\N	\N	\N
92790	316	1997-09-18	PRIJEM	VKLAD	1100	53354	\N	\N	\N
92791	316	1997-10-18	PRIJEM	VKLAD	1100	41487	\N	\N	\N
92792	316	1997-11-18	PRIJEM	VKLAD	1100	39260	\N	\N	\N
92793	316	1997-12-18	PRIJEM	VKLAD	1100	35814	\N	\N	\N
92794	316	1998-01-18	PRIJEM	VKLAD	1100	34854	\N	\N	\N
92795	316	1998-02-18	PRIJEM	VKLAD	1100	30987	\N	\N	\N
92796	316	1998-03-18	PRIJEM	VKLAD	1100	32707	\N	\N	\N
92797	316	1998-04-18	PRIJEM	VKLAD	1100	69801	\N	\N	\N
92798	316	1998-05-18	PRIJEM	VKLAD	1100	52396	\N	\N	\N
92799	316	1998-06-18	PRIJEM	VKLAD	1100	44635	\N	\N	\N
92800	316	1998-07-18	PRIJEM	VKLAD	1100	30680	\N	\N	\N
92801	316	1998-08-18	PRIJEM	VKLAD	1100	31275	\N	\N	\N
92802	316	1998-09-18	PRIJEM	VKLAD	1100	37600	\N	\N	\N
92803	316	1998-10-18	PRIJEM	VKLAD	1100	33126	\N	\N	\N
92804	316	1998-11-18	PRIJEM	VKLAD	1100	23993	\N	\N	\N
92805	316	1998-12-18	PRIJEM	VKLAD	1100	21776	\N	\N	\N
92807	316	1998-06-23	VYDAJ	VYBER	23100	21535	\N	\N	\N
92808	316	1997-12-14	VYDAJ	VYBER	2100	34314	\N	\N	\N
92809	316	1998-12-20	VYDAJ	VYBER	1200	20576	\N	\N	\N
92812	316	1997-09-22	VYDAJ	VYBER	1450	51904	\N	\N	\N
92813	316	1997-10-12	VYDAJ	VYBER	950	39987	\N	\N	\N
92814	316	1998-06-03	VYDAJ	VYBER	1800	43135	\N	\N	\N
92815	316	1998-03-28	VYDAJ	VYBER	1950	30757	\N	\N	\N
92816	316	1998-09-28	VYDAJ	VYBER	300	37300	\N	\N	\N
92817	316	1998-11-12	VYDAJ	VYBER	1050	22493	\N	\N	\N
92818	316	1998-08-18	VYDAJ	VYBER	1800	29475	\N	\N	\N
92819	316	1998-12-09	VYDAJ	VYBER	2400	20276	\N	\N	\N
92827	316	1997-07-31	VYDAJ	VYBER	15	23520	SLUZBY	\N	\N
92828	316	1997-08-31	VYDAJ	VYBER	15	69754	SLUZBY	\N	\N
92829	316	1997-09-30	VYDAJ	VYBER	15	52137	SLUZBY	\N	\N
92830	316	1997-10-31	VYDAJ	VYBER	15	41660	SLUZBY	\N	\N
92831	316	1997-11-30	VYDAJ	VYBER	15	39414	SLUZBY	\N	\N
92832	316	1997-12-31	VYDAJ	VYBER	15	35954	SLUZBY	\N	\N
92833	316	1998-01-31	VYDAJ	VYBER	15	34987	SLUZBY	\N	\N
92834	316	1998-02-28	VYDAJ	VYBER	15	31107	SLUZBY	\N	\N
92835	316	1998-03-31	VYDAJ	VYBER	15	30874	SLUZBY	\N	\N
92836	316	1998-04-30	VYDAJ	VYBER	15	69996	SLUZBY	\N	\N
92837	316	1998-05-31	VYDAJ	VYBER	15	52635	SLUZBY	\N	\N
92838	316	1998-06-30	VYDAJ	VYBER	15	21680	SLUZBY	\N	\N
92839	316	1998-07-31	VYDAJ	VYBER	15	30775	SLUZBY	\N	\N
92840	316	1998-08-31	VYDAJ	VYBER	15	29589	SLUZBY	\N	\N
92841	316	1998-09-30	VYDAJ	VYBER	15	31626	SLUZBY	\N	\N
92842	316	1998-10-31	VYDAJ	VYBER	15	23543	SLUZBY	\N	\N
92843	316	1998-11-30	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
92844	316	1997-06-07	PRIJEM	VKLAD	13700	15805	\N	\N	\N
92845	316	1997-07-07	PRIJEM	VKLAD	4600	21951	\N	\N	\N
92846	316	1997-08-06	PRIJEM	VKLAD	1800	25320	\N	\N	\N
92847	316	1997-09-05	VYDAJ	VYBER	17900	51854	\N	\N	\N
92848	316	1997-10-05	VYDAJ	VYBER	11200	40937	\N	\N	\N
92849	316	1997-11-04	VYDAJ	VYBER	3900	37760	\N	\N	\N
92850	316	1997-12-04	VYDAJ	VYBER	3000	36414	\N	\N	\N
92851	316	1998-01-03	VYDAJ	VYBER	2600	33354	\N	\N	\N
92852	316	1998-02-02	VYDAJ	VYBER	5500	29487	\N	\N	\N
92853	316	1998-03-04	PRIJEM	VKLAD	100	31207	\N	\N	\N
92854	316	1998-04-03	VYDAJ	VYBER	3200	27674	\N	\N	\N
92855	316	1998-05-03	VYDAJ	VYBER	19100	50896	\N	\N	\N
92856	316	1998-06-02	VYDAJ	VYBER	7700	44935	\N	\N	\N
92857	316	1998-07-02	PRIJEM	VKLAD	7500	29180	\N	\N	\N
92858	316	1998-08-01	VYDAJ	VYBER	1000	29775	\N	\N	\N
92859	316	1998-08-31	VYDAJ	VYBER	2000	27589	\N	\N	\N
92860	316	1998-09-30	VYDAJ	VYBER	5800	31641	\N	\N	\N
92861	316	1998-10-30	VYDAJ	VYBER	9700	23426	\N	\N	\N
92862	316	1998-11-29	VYDAJ	VYBER	1400	22593	\N	\N	\N
92883	317	1993-03-10	PRIJEM	VKLAD	800	800	\N	\N	\N
92886	317	1993-03-10	PRIJEM	PREVOD Z UCTU	5922	6722	DUCHOD	CD	16824597
92887	317	1993-04-10	PRIJEM	PREVOD Z UCTU	5922	12646	DUCHOD	CD	16824597
92888	317	1993-05-10	PRIJEM	PREVOD Z UCTU	5922	18572	DUCHOD	CD	16824597
92889	317	1993-06-10	PRIJEM	PREVOD Z UCTU	5922	24497	DUCHOD	CD	16824597
92890	317	1993-07-10	PRIJEM	PREVOD Z UCTU	5922	30422	DUCHOD	CD	16824597
92891	317	1993-08-10	PRIJEM	PREVOD Z UCTU	5922	29969	DUCHOD	CD	16824597
92892	317	1993-09-10	PRIJEM	PREVOD Z UCTU	5922	29830	DUCHOD	CD	16824597
92893	317	1993-10-10	PRIJEM	PREVOD Z UCTU	5922	29887	DUCHOD	CD	16824597
92894	317	1993-11-10	PRIJEM	PREVOD Z UCTU	5922	31947	DUCHOD	CD	16824597
92895	317	1993-12-10	PRIJEM	PREVOD Z UCTU	5922	33014	DUCHOD	CD	16824597
92896	317	1994-01-10	PRIJEM	PREVOD Z UCTU	5922	32529	DUCHOD	CD	16824597
92897	317	1994-02-10	PRIJEM	PREVOD Z UCTU	5922	27433	DUCHOD	CD	16824597
92898	317	1994-03-10	PRIJEM	PREVOD Z UCTU	5922	29983	DUCHOD	CD	16824597
92899	317	1994-04-10	PRIJEM	PREVOD Z UCTU	5922	26344	DUCHOD	CD	16824597
92900	317	1994-05-10	PRIJEM	PREVOD Z UCTU	5922	25444	DUCHOD	CD	16824597
92901	317	1994-06-10	PRIJEM	PREVOD Z UCTU	5922	15937	DUCHOD	CD	16824597
92902	317	1994-07-10	PRIJEM	PREVOD Z UCTU	5922	18842	DUCHOD	CD	16824597
92903	317	1994-08-10	PRIJEM	PREVOD Z UCTU	5922	18634	DUCHOD	CD	16824597
92904	317	1994-09-10	PRIJEM	PREVOD Z UCTU	5922	19787	DUCHOD	CD	16824597
92905	317	1994-10-10	PRIJEM	PREVOD Z UCTU	5922	22706	DUCHOD	CD	16824597
92906	317	1994-11-10	PRIJEM	PREVOD Z UCTU	5922	24274	DUCHOD	CD	16824597
92907	317	1994-12-10	PRIJEM	PREVOD Z UCTU	5922	26012	DUCHOD	CD	16824597
92908	317	1995-01-10	PRIJEM	PREVOD Z UCTU	5922	22807	DUCHOD	CD	16824597
92909	317	1995-02-10	PRIJEM	PREVOD Z UCTU	5922	16273	DUCHOD	CD	16824597
92910	317	1995-03-10	PRIJEM	PREVOD Z UCTU	5922	19176	DUCHOD	CD	16824597
92911	317	1995-04-10	PRIJEM	PREVOD Z UCTU	5922	22092	DUCHOD	CD	16824597
92912	317	1995-05-10	PRIJEM	PREVOD Z UCTU	5922	25020	DUCHOD	CD	16824597
92913	317	1995-06-10	PRIJEM	PREVOD Z UCTU	5922	27961	DUCHOD	CD	16824597
92914	317	1995-07-10	PRIJEM	PREVOD Z UCTU	5922	24785	DUCHOD	CD	16824597
92915	317	1995-08-10	PRIJEM	PREVOD Z UCTU	5922	25223	DUCHOD	CD	16824597
92916	317	1995-09-10	PRIJEM	PREVOD Z UCTU	5922	27602	DUCHOD	CD	16824597
92917	317	1995-10-10	PRIJEM	PREVOD Z UCTU	5922	30353	DUCHOD	CD	16824597
92918	317	1995-11-10	PRIJEM	PREVOD Z UCTU	5922	30111	DUCHOD	CD	16824597
92919	317	1995-12-10	PRIJEM	PREVOD Z UCTU	5922	26719	DUCHOD	CD	16824597
92920	317	1996-01-10	PRIJEM	PREVOD Z UCTU	5922	26724	DUCHOD	CD	16824597
92921	317	1996-02-10	PRIJEM	PREVOD Z UCTU	5922	19034	DUCHOD	CD	16824597
92922	317	1996-03-10	PRIJEM	PREVOD Z UCTU	5922	21948	DUCHOD	CD	16824597
92923	317	1996-04-10	PRIJEM	PREVOD Z UCTU	5922	24875	DUCHOD	CD	16824597
92924	317	1996-05-10	PRIJEM	PREVOD Z UCTU	5922	26513	DUCHOD	CD	16824597
92925	317	1996-06-10	PRIJEM	PREVOD Z UCTU	5922	29459	DUCHOD	CD	16824597
92926	317	1996-07-10	PRIJEM	PREVOD Z UCTU	5922	30893	DUCHOD	CD	16824597
92927	317	1996-08-10	PRIJEM	PREVOD Z UCTU	5922	33857	DUCHOD	CD	16824597
92928	317	1996-09-10	PRIJEM	PREVOD Z UCTU	5922	36833	DUCHOD	CD	16824597
92929	317	1996-10-10	PRIJEM	PREVOD Z UCTU	5922	39221	DUCHOD	CD	16824597
92930	317	1996-11-10	PRIJEM	PREVOD Z UCTU	5922	40817	DUCHOD	CD	16824597
92931	317	1996-12-10	PRIJEM	PREVOD Z UCTU	5922	43822	DUCHOD	CD	16824597
92932	317	1997-01-10	PRIJEM	PREVOD Z UCTU	5922	32307	DUCHOD	CD	16824597
92933	317	1997-02-10	PRIJEM	PREVOD Z UCTU	5922	27905	DUCHOD	CD	16824597
92934	317	1997-03-10	PRIJEM	PREVOD Z UCTU	5922	30856	DUCHOD	CD	16824597
92935	317	1997-04-10	PRIJEM	PREVOD Z UCTU	5922	33819	DUCHOD	CD	16824597
92936	317	1997-05-10	PRIJEM	PREVOD Z UCTU	5922	32788	DUCHOD	CD	16824597
92937	317	1997-06-10	PRIJEM	PREVOD Z UCTU	5922	34159	DUCHOD	CD	16824597
92938	317	1997-07-10	PRIJEM	PREVOD Z UCTU	5922	23768	DUCHOD	CD	16824597
92939	317	1997-08-10	PRIJEM	PREVOD Z UCTU	5922	26701	DUCHOD	CD	16824597
92940	317	1997-09-10	PRIJEM	PREVOD Z UCTU	5922	27806	DUCHOD	CD	16824597
92941	317	1997-10-10	PRIJEM	PREVOD Z UCTU	5922	29876	DUCHOD	CD	16824597
92942	317	1997-11-10	PRIJEM	PREVOD Z UCTU	5922	29070	DUCHOD	CD	16824597
93137	317	1995-04-30	VYDAJ	VYBER	15	22166	SLUZBY	\N	\N
92943	317	1997-12-10	PRIJEM	PREVOD Z UCTU	5922	31025	DUCHOD	CD	16824597
92944	317	1998-01-10	PRIJEM	PREVOD Z UCTU	5922	27345	DUCHOD	CD	16824597
92945	317	1998-02-10	PRIJEM	PREVOD Z UCTU	5922	21562	DUCHOD	CD	16824597
92946	317	1998-03-10	PRIJEM	PREVOD Z UCTU	5922	24486	DUCHOD	CD	16824597
92947	317	1998-04-10	PRIJEM	PREVOD Z UCTU	5922	27422	DUCHOD	CD	16824597
92948	317	1998-05-10	PRIJEM	PREVOD Z UCTU	5922	28929	DUCHOD	CD	16824597
92949	317	1998-06-10	PRIJEM	PREVOD Z UCTU	5922	27633	DUCHOD	CD	16824597
92950	317	1998-07-10	PRIJEM	PREVOD Z UCTU	5922	30582	DUCHOD	CD	16824597
92951	317	1998-08-10	PRIJEM	PREVOD Z UCTU	5922	30093	DUCHOD	CD	16824597
92952	317	1998-09-10	PRIJEM	PREVOD Z UCTU	5922	33052	DUCHOD	CD	16824597
92953	317	1998-10-10	PRIJEM	PREVOD Z UCTU	5922	36022	DUCHOD	CD	16824597
92954	317	1998-11-10	PRIJEM	PREVOD Z UCTU	5922	37000	DUCHOD	CD	16824597
92955	317	1998-12-10	PRIJEM	PREVOD Z UCTU	5922	39987	DUCHOD	CD	16824597
92963	317	1993-08-05	VYDAJ	PREVOD NA UCET	3068	27347	SIPO	QR	93325268
92964	317	1993-09-05	VYDAJ	PREVOD NA UCET	3068	26208	SIPO	QR	93325268
92965	317	1993-10-05	VYDAJ	PREVOD NA UCET	3068	24065	SIPO	QR	93325268
92966	317	1993-11-05	VYDAJ	PREVOD NA UCET	3068	26025	SIPO	QR	93325268
92967	317	1993-12-05	VYDAJ	PREVOD NA UCET	3068	27092	SIPO	QR	93325268
92968	317	1994-01-05	VYDAJ	PREVOD NA UCET	3068	26607	SIPO	QR	93325268
92969	317	1994-02-05	VYDAJ	PREVOD NA UCET	3068	21511	SIPO	QR	93325268
92970	317	1994-03-05	VYDAJ	PREVOD NA UCET	3068	24061	SIPO	QR	93325268
92971	317	1994-04-05	VYDAJ	PREVOD NA UCET	3068	22822	SIPO	QR	93325268
92972	317	1994-05-05	VYDAJ	PREVOD NA UCET	3068	19522	SIPO	QR	93325268
92973	317	1994-06-05	VYDAJ	PREVOD NA UCET	3068	10015	SIPO	QR	93325268
92974	317	1994-07-05	VYDAJ	PREVOD NA UCET	3068	12920	SIPO	QR	93325268
92975	317	1994-08-05	VYDAJ	PREVOD NA UCET	3068	12712	SIPO	QR	93325268
92976	317	1994-09-05	VYDAJ	PREVOD NA UCET	3068	13865	SIPO	QR	93325268
92977	317	1994-10-05	VYDAJ	PREVOD NA UCET	3068	16784	SIPO	QR	93325268
92978	317	1994-11-05	VYDAJ	PREVOD NA UCET	3068	18352	SIPO	QR	93325268
92979	317	1994-12-05	VYDAJ	PREVOD NA UCET	3068	20090	SIPO	QR	93325268
92980	317	1995-01-05	VYDAJ	PREVOD NA UCET	3068	18805	SIPO	QR	93325268
92981	317	1995-02-05	VYDAJ	PREVOD NA UCET	3068	10351	SIPO	QR	93325268
92982	317	1995-03-05	VYDAJ	PREVOD NA UCET	3068	13254	SIPO	QR	93325268
92983	317	1995-04-05	VYDAJ	PREVOD NA UCET	3068	16170	SIPO	QR	93325268
92984	317	1995-05-05	VYDAJ	PREVOD NA UCET	3068	19098	SIPO	QR	93325268
92985	317	1995-06-05	VYDAJ	PREVOD NA UCET	3068	22039	SIPO	QR	93325268
92986	317	1995-07-05	VYDAJ	PREVOD NA UCET	3068	18863	SIPO	QR	93325268
92987	317	1995-08-05	VYDAJ	PREVOD NA UCET	3068	19301	SIPO	QR	93325268
92988	317	1995-09-05	VYDAJ	PREVOD NA UCET	3068	21680	SIPO	QR	93325268
92989	317	1995-10-05	VYDAJ	PREVOD NA UCET	3068	24431	SIPO	QR	93325268
92990	317	1995-11-05	VYDAJ	PREVOD NA UCET	3068	24189	SIPO	QR	93325268
92991	317	1995-12-05	VYDAJ	PREVOD NA UCET	3068	21997	SIPO	QR	93325268
92992	317	1996-01-05	VYDAJ	PREVOD NA UCET	3068	21842	SIPO	QR	93325268
92993	317	1996-02-05	VYDAJ	PREVOD NA UCET	3068	13112	SIPO	QR	93325268
92994	317	1996-03-05	VYDAJ	PREVOD NA UCET	3068	16026	SIPO	QR	93325268
92995	317	1996-04-05	VYDAJ	PREVOD NA UCET	3068	18953	SIPO	QR	93325268
92996	317	1996-05-05	VYDAJ	PREVOD NA UCET	3068	20591	SIPO	QR	93325268
92997	317	1996-06-05	VYDAJ	PREVOD NA UCET	3068	23537	SIPO	QR	93325268
92998	317	1996-07-05	VYDAJ	PREVOD NA UCET	3068	24971	SIPO	QR	93325268
92999	317	1996-08-05	VYDAJ	PREVOD NA UCET	3068	27935	SIPO	QR	93325268
93000	317	1996-09-05	VYDAJ	PREVOD NA UCET	3068	30911	SIPO	QR	93325268
93001	317	1996-10-05	VYDAJ	PREVOD NA UCET	3068	33299	SIPO	QR	93325268
93002	317	1996-11-05	VYDAJ	PREVOD NA UCET	3068	34895	SIPO	QR	93325268
93003	317	1996-12-05	VYDAJ	PREVOD NA UCET	3068	37900	SIPO	QR	93325268
93004	317	1997-01-05	VYDAJ	PREVOD NA UCET	3068	29975	SIPO	QR	93325268
93005	317	1997-02-05	VYDAJ	PREVOD NA UCET	3068	21983	SIPO	QR	93325268
93006	317	1997-03-05	VYDAJ	PREVOD NA UCET	3068	24934	SIPO	QR	93325268
93007	317	1997-04-05	VYDAJ	PREVOD NA UCET	3068	27897	SIPO	QR	93325268
93008	317	1997-05-05	VYDAJ	PREVOD NA UCET	3068	26866	SIPO	QR	93325268
93009	317	1997-06-05	VYDAJ	PREVOD NA UCET	3068	28237	SIPO	QR	93325268
93010	317	1997-07-05	VYDAJ	PREVOD NA UCET	3068	17846	SIPO	QR	93325268
93011	317	1997-08-05	VYDAJ	PREVOD NA UCET	3068	20779	SIPO	QR	93325268
93012	317	1997-09-05	VYDAJ	PREVOD NA UCET	3068	21884	SIPO	QR	93325268
93013	317	1997-10-05	VYDAJ	PREVOD NA UCET	3068	23954	SIPO	QR	93325268
93014	317	1997-11-05	VYDAJ	PREVOD NA UCET	3068	23148	SIPO	QR	93325268
93015	317	1997-12-05	VYDAJ	PREVOD NA UCET	3068	26103	SIPO	QR	93325268
93016	317	1998-01-05	VYDAJ	PREVOD NA UCET	3068	21903	SIPO	QR	93325268
93017	317	1998-02-05	VYDAJ	PREVOD NA UCET	3068	15640	SIPO	QR	93325268
93018	317	1998-03-05	VYDAJ	PREVOD NA UCET	3068	18564	SIPO	QR	93325268
93019	317	1998-04-05	VYDAJ	PREVOD NA UCET	3068	21500	SIPO	QR	93325268
93020	317	1998-05-05	VYDAJ	PREVOD NA UCET	3068	24447	SIPO	QR	93325268
93021	317	1998-06-05	VYDAJ	PREVOD NA UCET	3068	21711	SIPO	QR	93325268
93022	317	1998-07-05	VYDAJ	PREVOD NA UCET	3068	24660	SIPO	QR	93325268
93023	317	1998-08-05	VYDAJ	PREVOD NA UCET	3068	24171	SIPO	QR	93325268
93024	317	1998-09-05	VYDAJ	PREVOD NA UCET	3068	27130	SIPO	QR	93325268
93025	317	1998-10-05	VYDAJ	PREVOD NA UCET	3068	30100	SIPO	QR	93325268
93026	317	1998-11-05	VYDAJ	PREVOD NA UCET	3068	31078	SIPO	QR	93325268
93027	317	1998-12-05	VYDAJ	PREVOD NA UCET	3068	34065	SIPO	QR	93325268
93029	317	1994-06-04	VYDAJ	VYBER	9950	13083	\N	\N	\N
93032	317	1997-06-22	VYDAJ	VYBER	13350	20809	\N	\N	\N
93033	317	1998-06-02	VYDAJ	VYBER	4250	24779	\N	\N	\N
93035	317	1994-01-11	VYDAJ	VYBER	2450	30079	\N	\N	\N
93036	317	1995-01-22	VYDAJ	VYBER	650	13357	\N	\N	\N
93037	317	1996-01-23	VYDAJ	VYBER	3100	17704	\N	\N	\N
93038	317	1997-01-06	VYDAJ	VYBER	2950	27025	\N	\N	\N
93039	317	1998-01-22	VYDAJ	VYBER	2400	22705	\N	\N	\N
93040	317	1993-12-30	VYDAJ	VYBER	800	32214	\N	\N	\N
93041	317	1994-12-30	VYDAJ	VYBER	1450	23462	\N	\N	\N
93042	317	1995-12-03	VYDAJ	VYBER	1450	25065	\N	\N	\N
93043	317	1996-12-22	VYDAJ	VYBER	1350	38172	\N	\N	\N
93044	317	1997-12-06	VYDAJ	VYBER	1000	25103	\N	\N	\N
93045	317	1998-12-21	VYDAJ	VYBER	1450	38537	\N	\N	\N
93052	317	1994-01-17	VYDAJ	VYBER	1440	26239	\N	\N	\N
93053	317	1994-01-20	VYDAJ	VYBER	560	25679	\N	\N	\N
93054	317	1994-01-15	VYDAJ	VYBER	1520	27679	\N	\N	\N
93055	317	1994-01-04	VYDAJ	VYBER	1360	30975	\N	\N	\N
93056	317	1994-01-12	VYDAJ	VYBER	880	29199	\N	\N	\N
93057	317	1994-01-29	VYDAJ	VYBER	480	24479	\N	\N	\N
93058	317	1995-01-01	VYDAJ	VYBER	1680	21873	\N	\N	\N
93059	317	1995-01-22	VYDAJ	VYBER	2320	16007	\N	\N	\N
93060	317	1995-01-15	VYDAJ	VYBER	2320	20487	\N	\N	\N
93061	317	1995-01-08	VYDAJ	VYBER	1920	16885	\N	\N	\N
93062	317	1995-01-22	VYDAJ	VYBER	2000	14007	\N	\N	\N
93063	317	1995-01-16	VYDAJ	VYBER	2160	18327	\N	\N	\N
93064	317	1996-01-26	VYDAJ	VYBER	1200	16504	\N	\N	\N
93065	317	1996-01-21	VYDAJ	VYBER	1760	20804	\N	\N	\N
93066	317	1996-01-07	VYDAJ	VYBER	1040	20802	\N	\N	\N
93067	317	1996-01-18	VYDAJ	VYBER	1840	22564	\N	\N	\N
93068	317	1996-01-30	VYDAJ	VYBER	400	16104	\N	\N	\N
93069	317	1996-01-12	VYDAJ	VYBER	2320	24404	\N	\N	\N
93070	317	1997-01-28	VYDAJ	VYBER	880	27267	\N	\N	\N
93071	317	1997-01-10	VYDAJ	VYBER	2000	30307	\N	\N	\N
93072	317	1997-01-09	VYDAJ	VYBER	640	26385	\N	\N	\N
93073	317	1997-01-03	VYDAJ	VYBER	2000	33043	\N	\N	\N
93074	317	1997-01-11	VYDAJ	VYBER	2160	28147	\N	\N	\N
93075	317	1997-01-28	VYDAJ	VYBER	2320	24947	\N	\N	\N
93076	317	1998-01-19	VYDAJ	VYBER	1520	25105	\N	\N	\N
93077	317	1998-01-18	VYDAJ	VYBER	720	26625	\N	\N	\N
93078	317	1998-01-25	VYDAJ	VYBER	960	20705	\N	\N	\N
93079	317	1998-01-28	VYDAJ	VYBER	2080	18625	\N	\N	\N
93080	317	1998-01-24	VYDAJ	VYBER	1040	21665	\N	\N	\N
93081	317	1998-01-09	VYDAJ	VYBER	480	21423	\N	\N	\N
93082	317	1993-09-22	VYDAJ	VYBER	2800	27030	\N	\N	\N
93083	317	1993-08-16	VYDAJ	VYBER	800	29169	\N	\N	\N
93085	317	1994-01-24	VYDAJ	VYBER	720	24959	\N	\N	\N
93086	317	1994-07-24	VYDAJ	VYBER	3120	15722	\N	\N	\N
93087	317	1994-08-30	VYDAJ	VYBER	1760	16874	\N	\N	\N
93088	317	1994-10-19	VYDAJ	VYBER	1360	21346	\N	\N	\N
93089	317	1994-04-15	VYDAJ	VYBER	3840	22504	\N	\N	\N
93090	317	1994-04-08	VYDAJ	VYBER	2400	20422	\N	\N	\N
93091	317	1995-10-22	VYDAJ	VYBER	2800	27553	\N	\N	\N
93093	317	1995-08-15	VYDAJ	VYBER	560	24663	\N	\N	\N
93094	317	1995-06-18	VYDAJ	VYBER	3920	24041	\N	\N	\N
93095	317	1995-12-09	VYDAJ	VYBER	1200	20797	\N	\N	\N
93096	317	1996-12-23	VYDAJ	VYBER	3280	34892	\N	\N	\N
93097	317	1996-06-12	VYDAJ	VYBER	1520	27939	\N	\N	\N
93098	317	1997-09-24	VYDAJ	VYBER	880	26926	\N	\N	\N
93099	317	1997-06-04	VYDAJ	VYBER	1600	31305	\N	\N	\N
93100	317	1997-04-21	VYDAJ	VYBER	2720	29819	\N	\N	\N
93101	317	1997-04-14	VYDAJ	VYBER	1280	32539	\N	\N	\N
93102	317	1997-12-25	VYDAJ	VYBER	2720	28305	\N	\N	\N
93103	317	1997-08-29	VYDAJ	VYBER	1840	24861	\N	\N	\N
93104	317	1997-10-23	VYDAJ	VYBER	3760	26116	\N	\N	\N
93105	317	1998-07-11	VYDAJ	VYBER	3440	27142	\N	\N	\N
93106	317	1998-05-05	VYDAJ	VYBER	1440	23007	\N	\N	\N
93107	317	1998-10-13	VYDAJ	VYBER	2000	34022	\N	\N	\N
93108	317	1998-01-01	VYDAJ	VYBER	3440	24971	\N	\N	\N
93116	317	1993-07-31	VYDAJ	VYBER	15	30415	SLUZBY	\N	\N
93117	317	1993-08-31	VYDAJ	VYBER	15	29276	SLUZBY	\N	\N
93118	317	1993-09-30	VYDAJ	VYBER	15	27133	SLUZBY	\N	\N
93119	317	1993-10-31	VYDAJ	VYBER	15	29993	SLUZBY	\N	\N
93120	317	1993-11-30	VYDAJ	VYBER	15	32060	SLUZBY	\N	\N
93121	317	1993-12-31	VYDAJ	VYBER	15	32335	SLUZBY	\N	\N
93122	317	1994-01-31	VYDAJ	VYBER	15	24579	SLUZBY	\N	\N
93123	317	1994-02-28	VYDAJ	VYBER	15	27529	SLUZBY	\N	\N
93124	317	1994-03-31	VYDAJ	VYBER	15	30090	SLUZBY	\N	\N
93125	317	1994-04-30	VYDAJ	VYBER	15	22590	SLUZBY	\N	\N
93126	317	1994-05-31	VYDAJ	VYBER	15	25533	SLUZBY	\N	\N
93127	317	1994-06-30	VYDAJ	VYBER	15	15988	SLUZBY	\N	\N
93128	317	1994-07-31	VYDAJ	VYBER	15	15780	SLUZBY	\N	\N
93129	317	1994-08-31	VYDAJ	VYBER	15	16933	SLUZBY	\N	\N
93130	317	1994-09-30	VYDAJ	VYBER	15	19852	SLUZBY	\N	\N
93131	317	1994-10-31	VYDAJ	VYBER	15	21420	SLUZBY	\N	\N
93132	317	1994-11-30	VYDAJ	VYBER	15	24358	SLUZBY	\N	\N
93133	317	1994-12-31	VYDAJ	VYBER	15	23553	SLUZBY	\N	\N
93134	317	1995-01-31	VYDAJ	VYBER	15	13419	SLUZBY	\N	\N
93135	317	1995-02-28	VYDAJ	VYBER	15	16322	SLUZBY	\N	\N
93136	317	1995-03-31	VYDAJ	VYBER	15	19238	SLUZBY	\N	\N
93138	317	1995-05-31	VYDAJ	VYBER	15	25107	SLUZBY	\N	\N
93139	317	1995-06-30	VYDAJ	VYBER	15	21931	SLUZBY	\N	\N
93140	317	1995-07-31	VYDAJ	VYBER	15	22369	SLUZBY	\N	\N
93141	317	1995-08-31	VYDAJ	VYBER	15	24748	SLUZBY	\N	\N
93142	317	1995-09-30	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
93143	317	1995-10-31	VYDAJ	VYBER	15	27257	SLUZBY	\N	\N
93144	317	1995-11-30	VYDAJ	VYBER	15	26515	SLUZBY	\N	\N
93145	317	1995-12-31	VYDAJ	VYBER	15	24910	SLUZBY	\N	\N
93146	317	1996-01-31	VYDAJ	VYBER	15	16180	SLUZBY	\N	\N
93147	317	1996-02-29	VYDAJ	VYBER	15	19094	SLUZBY	\N	\N
93148	317	1996-03-31	VYDAJ	VYBER	15	22021	SLUZBY	\N	\N
93149	317	1996-04-30	VYDAJ	VYBER	15	23659	SLUZBY	\N	\N
93150	317	1996-05-31	VYDAJ	VYBER	15	26605	SLUZBY	\N	\N
93151	317	1996-06-30	VYDAJ	VYBER	15	28039	SLUZBY	\N	\N
93152	317	1996-07-31	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
93153	317	1996-08-31	VYDAJ	VYBER	15	33979	SLUZBY	\N	\N
93154	317	1996-09-30	VYDAJ	VYBER	15	36367	SLUZBY	\N	\N
93155	317	1996-10-31	VYDAJ	VYBER	15	37963	SLUZBY	\N	\N
93156	317	1996-11-30	VYDAJ	VYBER	15	40968	SLUZBY	\N	\N
93157	317	1996-12-31	VYDAJ	VYBER	15	35043	SLUZBY	\N	\N
93158	317	1997-01-31	VYDAJ	VYBER	15	25051	SLUZBY	\N	\N
93159	317	1997-02-28	VYDAJ	VYBER	15	28002	SLUZBY	\N	\N
93160	317	1997-03-31	VYDAJ	VYBER	15	30965	SLUZBY	\N	\N
93161	317	1997-04-30	VYDAJ	VYBER	15	29934	SLUZBY	\N	\N
93162	317	1997-05-31	VYDAJ	VYBER	15	32905	SLUZBY	\N	\N
93163	317	1997-06-30	VYDAJ	VYBER	15	20914	SLUZBY	\N	\N
93164	317	1997-07-31	VYDAJ	VYBER	15	23847	SLUZBY	\N	\N
93165	317	1997-08-31	VYDAJ	VYBER	15	24952	SLUZBY	\N	\N
93166	317	1997-09-30	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
93167	317	1997-10-31	VYDAJ	VYBER	15	26216	SLUZBY	\N	\N
93168	317	1997-11-30	VYDAJ	VYBER	15	29171	SLUZBY	\N	\N
93169	317	1997-12-31	VYDAJ	VYBER	15	28411	SLUZBY	\N	\N
93170	317	1998-01-31	VYDAJ	VYBER	15	18708	SLUZBY	\N	\N
93171	317	1998-02-28	VYDAJ	VYBER	15	21632	SLUZBY	\N	\N
93172	317	1998-03-31	VYDAJ	VYBER	15	24568	SLUZBY	\N	\N
93173	317	1998-04-30	VYDAJ	VYBER	15	27515	SLUZBY	\N	\N
93174	317	1998-05-31	VYDAJ	VYBER	15	29029	SLUZBY	\N	\N
93175	317	1998-06-30	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
93176	317	1998-07-31	VYDAJ	VYBER	15	27239	SLUZBY	\N	\N
93177	317	1998-08-31	VYDAJ	VYBER	15	30198	SLUZBY	\N	\N
93178	317	1998-09-30	VYDAJ	VYBER	15	33168	SLUZBY	\N	\N
93179	317	1998-10-31	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
93180	317	1998-11-30	VYDAJ	VYBER	15	37133	SLUZBY	\N	\N
93181	317	1993-08-07	VYDAJ	VYBER	3300	24047	\N	\N	\N
93182	317	1993-09-06	VYDAJ	VYBER	2300	23908	\N	\N	\N
93183	317	1993-10-06	VYDAJ	VYBER	100	23965	\N	\N	\N
93184	317	1993-11-05	VYDAJ	VYBER	900	29093	\N	\N	\N
93185	317	1993-12-05	VYDAJ	VYBER	1900	30160	\N	\N	\N
93186	317	1994-01-04	VYDAJ	VYBER	1300	29675	\N	\N	\N
93187	317	1994-03-05	VYDAJ	VYBER	400	27129	\N	\N	\N
93188	317	1994-04-04	VYDAJ	VYBER	4200	25890	\N	\N	\N
93189	317	1994-06-03	VYDAJ	VYBER	2500	23033	\N	\N	\N
93190	317	1994-11-30	VYDAJ	VYBER	1200	23158	\N	\N	\N
93191	317	1994-12-30	VYDAJ	VYBER	1100	24912	\N	\N	\N
93192	317	1995-06-28	VYDAJ	VYBER	2200	21841	\N	\N	\N
93193	317	1995-07-28	VYDAJ	VYBER	2500	22285	\N	\N	\N
93194	317	1995-09-26	VYDAJ	VYBER	200	27402	\N	\N	\N
93195	317	1995-10-26	VYDAJ	VYBER	400	27153	\N	\N	\N
93196	317	1995-11-25	VYDAJ	VYBER	3700	26411	\N	\N	\N
93197	317	1995-12-25	VYDAJ	VYBER	1900	24819	\N	\N	\N
93198	317	1996-04-23	VYDAJ	VYBER	1300	23575	\N	\N	\N
93199	317	1996-09-20	VYDAJ	VYBER	600	36233	\N	\N	\N
93200	317	1996-10-20	VYDAJ	VYBER	1400	37821	\N	\N	\N
93201	317	1996-12-19	VYDAJ	VYBER	4300	39522	\N	\N	\N
93272	318	1994-09-16	PRIJEM	VKLAD	200	200	\N	\N	\N
93282	318	1994-10-09	PRIJEM	VKLAD	4288	4488	\N	\N	\N
93283	318	1994-11-09	PRIJEM	VKLAD	4288	20511	\N	\N	\N
93284	318	1994-12-09	PRIJEM	VKLAD	6432	29826	\N	\N	\N
93285	318	1995-01-09	PRIJEM	VKLAD	4288	33625	\N	\N	\N
93286	318	1995-02-09	PRIJEM	VKLAD	4288	36742	\N	\N	\N
93287	318	1995-03-09	PRIJEM	VKLAD	4288	31881	\N	\N	\N
93288	318	1995-04-09	PRIJEM	VKLAD	4288	27001	\N	\N	\N
93289	318	1995-05-09	PRIJEM	VKLAD	4288	29015	\N	\N	\N
93290	318	1995-06-09	PRIJEM	VKLAD	6432	28689	\N	\N	\N
93291	318	1995-07-09	PRIJEM	VKLAD	4288	30817	\N	\N	\N
93292	318	1995-08-09	PRIJEM	VKLAD	4288	29239	\N	\N	\N
93293	318	1995-09-09	PRIJEM	VKLAD	4288	24356	\N	\N	\N
93294	318	1995-10-09	PRIJEM	VKLAD	4288	28974	\N	\N	\N
93295	318	1995-11-09	PRIJEM	VKLAD	4288	22902	\N	\N	\N
93296	318	1995-12-09	PRIJEM	VKLAD	6432	23349	\N	\N	\N
93297	318	1996-01-09	PRIJEM	VKLAD	4288	26860	\N	\N	\N
93298	318	1996-02-09	PRIJEM	VKLAD	4288	28539	\N	\N	\N
93299	318	1996-03-09	PRIJEM	VKLAD	4288	30047	\N	\N	\N
93300	318	1996-04-09	PRIJEM	VKLAD	4288	33382	\N	\N	\N
93301	318	1996-05-09	PRIJEM	VKLAD	4288	35222	\N	\N	\N
93302	318	1996-06-09	PRIJEM	VKLAD	6432	32807	\N	\N	\N
93303	318	1996-07-09	PRIJEM	VKLAD	4288	37946	\N	\N	\N
93304	318	1996-08-09	PRIJEM	VKLAD	4288	40504	\N	\N	\N
93305	318	1996-09-09	PRIJEM	VKLAD	4288	42375	\N	\N	\N
93306	318	1996-10-09	PRIJEM	VKLAD	4288	42555	\N	\N	\N
93307	318	1996-11-09	PRIJEM	VKLAD	4288	40637	\N	\N	\N
93308	318	1996-12-09	PRIJEM	VKLAD	6432	42655	\N	\N	\N
93309	318	1997-01-09	PRIJEM	VKLAD	4288	43034	\N	\N	\N
93310	318	1997-02-09	PRIJEM	VKLAD	4288	38777	\N	\N	\N
93311	318	1997-03-09	PRIJEM	VKLAD	4288	46629	\N	\N	\N
93312	318	1997-04-09	PRIJEM	VKLAD	4288	45219	\N	\N	\N
93313	318	1997-05-09	PRIJEM	VKLAD	4288	45914	\N	\N	\N
93314	318	1997-06-09	PRIJEM	VKLAD	6432	24053	\N	\N	\N
93315	318	1997-07-09	PRIJEM	VKLAD	4288	35767	\N	\N	\N
93316	318	1997-08-09	PRIJEM	VKLAD	4288	40907	\N	\N	\N
93317	318	1997-09-09	PRIJEM	VKLAD	4288	39271	\N	\N	\N
93318	318	1997-10-09	PRIJEM	VKLAD	4288	37933	\N	\N	\N
93319	318	1997-11-09	PRIJEM	VKLAD	4288	37690	\N	\N	\N
93320	318	1997-12-09	PRIJEM	VKLAD	6432	35487	\N	\N	\N
93321	318	1998-01-09	PRIJEM	VKLAD	4288	34036	\N	\N	\N
93322	318	1998-02-09	PRIJEM	VKLAD	4288	23667	\N	\N	\N
93323	318	1998-03-09	PRIJEM	VKLAD	4288	25166	\N	\N	\N
93324	318	1998-04-09	PRIJEM	VKLAD	4288	32579	\N	\N	\N
93325	318	1998-05-09	PRIJEM	VKLAD	4288	35715	\N	\N	\N
93326	318	1998-06-09	PRIJEM	VKLAD	6432	37305	\N	\N	\N
93327	318	1998-07-09	PRIJEM	VKLAD	4288	39556	\N	\N	\N
93328	318	1998-08-09	PRIJEM	VKLAD	4288	39318	\N	\N	\N
93329	318	1998-09-09	PRIJEM	VKLAD	4288	38179	\N	\N	\N
93330	318	1998-10-09	PRIJEM	VKLAD	4288	39337	\N	\N	\N
93331	318	1998-11-09	PRIJEM	VKLAD	4288	39998	\N	\N	\N
93332	318	1998-12-09	PRIJEM	VKLAD	6432	39301	\N	\N	\N
93346	318	1995-02-14	VYDAJ	PREVOD NA UCET	2858	27484	SIPO	GH	74740838
93347	318	1995-03-14	VYDAJ	PREVOD NA UCET	2858	29023	SIPO	GH	74740838
93348	318	1995-04-14	VYDAJ	PREVOD NA UCET	2858	24643	SIPO	GH	74740838
93349	318	1995-05-14	VYDAJ	PREVOD NA UCET	2858	26857	SIPO	GH	74740838
93350	318	1995-06-14	VYDAJ	PREVOD NA UCET	2858	26431	SIPO	GH	74740838
93351	318	1995-07-14	VYDAJ	PREVOD NA UCET	2858	24859	SIPO	GH	74740838
93352	318	1995-08-14	VYDAJ	PREVOD NA UCET	2858	23881	SIPO	GH	74740838
93353	318	1995-09-14	VYDAJ	PREVOD NA UCET	2858	24598	SIPO	GH	74740838
93354	318	1995-10-14	VYDAJ	PREVOD NA UCET	2858	28216	SIPO	GH	74740838
93355	318	1995-11-14	VYDAJ	PREVOD NA UCET	2858	21544	SIPO	GH	74740838
93356	318	1995-12-14	VYDAJ	PREVOD NA UCET	2858	22891	SIPO	GH	74740838
93357	318	1996-01-14	VYDAJ	PREVOD NA UCET	2858	11902	SIPO	GH	74740838
93358	318	1996-02-14	VYDAJ	PREVOD NA UCET	2858	25681	SIPO	GH	74740838
93359	318	1996-03-14	VYDAJ	PREVOD NA UCET	2858	29089	SIPO	GH	74740838
93360	318	1996-04-14	VYDAJ	PREVOD NA UCET	2858	30524	SIPO	GH	74740838
93361	318	1996-05-14	VYDAJ	PREVOD NA UCET	2858	32364	SIPO	GH	74740838
93362	318	1996-06-14	VYDAJ	PREVOD NA UCET	2858	29949	SIPO	GH	74740838
93363	318	1996-07-14	VYDAJ	PREVOD NA UCET	2858	35088	SIPO	GH	74740838
93364	318	1996-08-14	VYDAJ	PREVOD NA UCET	2858	37646	SIPO	GH	74740838
93365	318	1996-09-14	VYDAJ	PREVOD NA UCET	2858	39517	SIPO	GH	74740838
93366	318	1996-10-14	VYDAJ	PREVOD NA UCET	2858	39697	SIPO	GH	74740838
93367	318	1996-11-14	VYDAJ	PREVOD NA UCET	2858	36579	SIPO	GH	74740838
93368	318	1996-12-14	VYDAJ	PREVOD NA UCET	2858	39797	SIPO	GH	74740838
93369	318	1997-01-14	VYDAJ	PREVOD NA UCET	2858	27676	SIPO	GH	74740838
93370	318	1997-02-14	VYDAJ	PREVOD NA UCET	2858	35919	SIPO	GH	74740838
93371	318	1997-03-14	VYDAJ	PREVOD NA UCET	2858	43771	SIPO	GH	74740838
93372	318	1997-04-14	VYDAJ	PREVOD NA UCET	2858	42361	SIPO	GH	74740838
93373	318	1997-05-14	VYDAJ	PREVOD NA UCET	2858	43056	SIPO	GH	74740838
93374	318	1997-06-14	VYDAJ	PREVOD NA UCET	2858	21195	SIPO	GH	74740838
93375	318	1997-07-14	VYDAJ	PREVOD NA UCET	2858	32909	SIPO	GH	74740838
93376	318	1997-08-14	VYDAJ	PREVOD NA UCET	2858	38049	SIPO	GH	74740838
93377	318	1997-09-14	VYDAJ	PREVOD NA UCET	2858	36413	SIPO	GH	74740838
93378	318	1997-10-14	VYDAJ	PREVOD NA UCET	2858	35075	SIPO	GH	74740838
93379	318	1997-11-14	VYDAJ	PREVOD NA UCET	2858	34832	SIPO	GH	74740838
93380	318	1997-12-14	VYDAJ	PREVOD NA UCET	2858	32629	SIPO	GH	74740838
93381	318	1998-01-14	VYDAJ	PREVOD NA UCET	2858	31178	SIPO	GH	74740838
93382	318	1998-02-14	VYDAJ	PREVOD NA UCET	2858	20809	SIPO	GH	74740838
93383	318	1998-03-14	VYDAJ	PREVOD NA UCET	2858	22308	SIPO	GH	74740838
93384	318	1998-04-14	VYDAJ	PREVOD NA UCET	2858	29721	SIPO	GH	74740838
93385	318	1998-05-14	VYDAJ	PREVOD NA UCET	2858	32857	SIPO	GH	74740838
93386	318	1998-06-14	VYDAJ	PREVOD NA UCET	2858	34447	SIPO	GH	74740838
93387	318	1998-07-14	VYDAJ	PREVOD NA UCET	2858	36698	SIPO	GH	74740838
93388	318	1998-08-14	VYDAJ	PREVOD NA UCET	2858	36460	SIPO	GH	74740838
93389	318	1998-09-14	VYDAJ	PREVOD NA UCET	2858	35321	SIPO	GH	74740838
93390	318	1998-10-14	VYDAJ	PREVOD NA UCET	2858	36479	SIPO	GH	74740838
93391	318	1998-11-14	VYDAJ	PREVOD NA UCET	2858	37140	SIPO	GH	74740838
93392	318	1998-12-14	VYDAJ	PREVOD NA UCET	2858	36443	SIPO	GH	74740838
93394	318	1995-06-07	VYDAJ	VYBER	4700	22257	\N	\N	\N
93395	318	1996-06-05	VYDAJ	VYBER	6900	21275	\N	\N	\N
93396	318	1997-06-05	VYDAJ	VYBER	25200	17621	\N	\N	\N
93400	318	1996-01-10	VYDAJ	VYBER	4800	19160	\N	\N	\N
93401	318	1997-01-11	VYDAJ	VYBER	9000	34034	\N	\N	\N
93402	318	1998-01-29	VYDAJ	VYBER	7100	19278	\N	\N	\N
93404	318	1995-12-14	VYDAJ	VYBER	900	25749	\N	\N	\N
93405	318	1996-12-05	VYDAJ	VYBER	2600	36223	\N	\N	\N
93406	318	1997-12-02	VYDAJ	VYBER	900	29055	\N	\N	\N
93407	318	1998-12-05	VYDAJ	VYBER	2100	32869	\N	\N	\N
93421	318	1996-01-04	VYDAJ	VYBER	2900	20072	\N	\N	\N
93423	318	1996-01-08	VYDAJ	VYBER	1900	18172	\N	\N	\N
93425	318	1996-01-09	VYDAJ	VYBER	2900	23960	\N	\N	\N
93426	318	1997-01-05	VYDAJ	VYBER	1800	38746	\N	\N	\N
93427	318	1997-01-27	VYDAJ	VYBER	1000	23076	\N	\N	\N
93428	318	1997-01-20	VYDAJ	VYBER	700	26976	\N	\N	\N
93429	318	1997-01-12	VYDAJ	VYBER	2400	30534	\N	\N	\N
93430	318	1997-01-12	VYDAJ	VYBER	1100	32934	\N	\N	\N
93431	318	1997-01-22	VYDAJ	VYBER	2900	24076	\N	\N	\N
93432	318	1998-01-17	VYDAJ	VYBER	2400	26678	\N	\N	\N
93433	318	1998-01-22	VYDAJ	VYBER	1600	23278	\N	\N	\N
93434	318	1998-01-16	VYDAJ	VYBER	2100	29078	\N	\N	\N
93435	318	1998-01-22	VYDAJ	VYBER	600	22678	\N	\N	\N
93436	318	1998-01-18	VYDAJ	VYBER	1800	24878	\N	\N	\N
93437	318	1998-01-06	VYDAJ	VYBER	2700	29748	\N	\N	\N
93443	318	1995-03-16	VYDAJ	VYBER	2600	22623	\N	\N	\N
93444	318	1995-10-30	VYDAJ	VYBER	4800	18516	\N	\N	\N
93445	318	1995-10-30	VYDAJ	VYBER	4900	23316	\N	\N	\N
93446	318	1995-12-02	VYDAJ	VYBER	4700	16917	\N	\N	\N
93447	318	1995-09-08	VYDAJ	VYBER	3900	20068	\N	\N	\N
93448	318	1996-11-13	VYDAJ	VYBER	1200	39437	\N	\N	\N
93449	318	1996-04-20	VYDAJ	VYBER	2200	28324	\N	\N	\N
93450	318	1996-05-21	VYDAJ	VYBER	4300	28064	\N	\N	\N
93451	318	1996-01-10	VYDAJ	VYBER	4400	14760	\N	\N	\N
93452	318	1997-09-26	VYDAJ	VYBER	2800	33613	\N	\N	\N
93453	318	1997-08-17	VYDAJ	VYBER	2500	35549	\N	\N	\N
93454	318	1997-06-24	VYDAJ	VYBER	1200	19995	\N	\N	\N
93455	318	1997-11-22	VYDAJ	VYBER	2900	31932	\N	\N	\N
93456	318	1997-01-01	VYDAJ	VYBER	1900	38046	\N	\N	\N
93458	318	1998-03-08	VYDAJ	VYBER	3200	20878	\N	\N	\N
93459	318	1998-05-26	VYDAJ	VYBER	3100	29757	\N	\N	\N
93460	318	1998-01-02	VYDAJ	VYBER	1900	32448	\N	\N	\N
93461	318	1998-11-16	VYDAJ	VYBER	3500	33640	\N	\N	\N
93462	318	1998-10-20	VYDAJ	VYBER	900	35579	\N	\N	\N
93477	318	1995-02-28	VYDAJ	VYBER	15	27593	SLUZBY	\N	\N
93478	318	1995-03-31	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
93479	318	1995-04-30	VYDAJ	VYBER	15	24727	SLUZBY	\N	\N
93480	318	1995-05-31	VYDAJ	VYBER	15	26957	SLUZBY	\N	\N
93481	318	1995-06-30	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
93482	318	1995-07-31	VYDAJ	VYBER	15	24951	SLUZBY	\N	\N
93483	318	1995-08-31	VYDAJ	VYBER	15	23968	SLUZBY	\N	\N
93484	318	1995-09-30	VYDAJ	VYBER	15	24686	SLUZBY	\N	\N
93485	318	1995-10-31	VYDAJ	VYBER	15	18614	SLUZBY	\N	\N
93486	318	1995-11-30	VYDAJ	VYBER	15	21617	SLUZBY	\N	\N
93487	318	1995-12-31	VYDAJ	VYBER	15	22972	SLUZBY	\N	\N
93488	318	1996-01-31	VYDAJ	VYBER	15	11951	SLUZBY	\N	\N
93489	318	1996-02-29	VYDAJ	VYBER	15	25759	SLUZBY	\N	\N
93490	318	1996-03-31	VYDAJ	VYBER	15	29194	SLUZBY	\N	\N
93491	318	1996-04-30	VYDAJ	VYBER	15	28434	SLUZBY	\N	\N
93492	318	1996-05-31	VYDAJ	VYBER	15	28175	SLUZBY	\N	\N
93493	318	1996-06-30	VYDAJ	VYBER	15	30058	SLUZBY	\N	\N
93494	318	1996-07-31	VYDAJ	VYBER	15	35216	SLUZBY	\N	\N
93495	318	1996-08-31	VYDAJ	VYBER	15	37787	SLUZBY	\N	\N
93496	318	1996-09-30	VYDAJ	VYBER	15	39667	SLUZBY	\N	\N
93497	318	1996-10-31	VYDAJ	VYBER	15	39849	SLUZBY	\N	\N
93498	318	1996-11-30	VYDAJ	VYBER	15	36723	SLUZBY	\N	\N
93499	318	1996-12-31	VYDAJ	VYBER	15	39946	SLUZBY	\N	\N
93500	318	1997-01-31	VYDAJ	VYBER	15	23189	SLUZBY	\N	\N
93501	318	1997-02-28	VYDAJ	VYBER	15	36041	SLUZBY	\N	\N
93502	318	1997-03-31	VYDAJ	VYBER	15	43931	SLUZBY	\N	\N
93503	318	1997-04-30	VYDAJ	VYBER	15	42526	SLUZBY	\N	\N
93504	318	1997-05-31	VYDAJ	VYBER	15	43221	SLUZBY	\N	\N
93505	318	1997-06-30	VYDAJ	VYBER	15	20079	SLUZBY	\N	\N
93506	318	1997-07-31	VYDAJ	VYBER	15	33019	SLUZBY	\N	\N
93507	318	1997-08-31	VYDAJ	VYBER	15	34983	SLUZBY	\N	\N
93508	318	1997-09-30	VYDAJ	VYBER	15	33645	SLUZBY	\N	\N
93509	318	1997-10-31	VYDAJ	VYBER	15	33402	SLUZBY	\N	\N
93510	318	1997-11-30	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
93511	318	1997-12-31	VYDAJ	VYBER	15	34348	SLUZBY	\N	\N
93512	318	1998-01-31	VYDAJ	VYBER	15	19379	SLUZBY	\N	\N
93513	318	1998-02-28	VYDAJ	VYBER	15	24078	SLUZBY	\N	\N
93514	318	1998-03-31	VYDAJ	VYBER	15	28291	SLUZBY	\N	\N
93515	318	1998-04-30	VYDAJ	VYBER	15	31427	SLUZBY	\N	\N
93516	318	1998-05-31	VYDAJ	VYBER	15	30873	SLUZBY	\N	\N
93517	318	1998-06-30	VYDAJ	VYBER	15	35268	SLUZBY	\N	\N
93518	318	1998-07-31	VYDAJ	VYBER	15	35030	SLUZBY	\N	\N
93519	318	1998-08-31	VYDAJ	VYBER	15	33891	SLUZBY	\N	\N
93520	318	1998-09-30	VYDAJ	VYBER	15	35049	SLUZBY	\N	\N
93521	318	1998-10-31	VYDAJ	VYBER	15	35710	SLUZBY	\N	\N
93522	318	1998-11-30	VYDAJ	VYBER	15	34969	SLUZBY	\N	\N
93523	318	1994-10-16	PRIJEM	VKLAD	11700	16188	\N	\N	\N
93524	318	1994-11-15	PRIJEM	VKLAD	2800	23311	\N	\N	\N
93525	318	1994-12-15	VYDAJ	VYBER	600	29226	\N	\N	\N
93526	318	1995-01-14	VYDAJ	VYBER	1300	32325	\N	\N	\N
93527	318	1995-02-13	VYDAJ	VYBER	6400	30342	\N	\N	\N
93528	318	1995-03-15	VYDAJ	VYBER	3800	25223	\N	\N	\N
93529	318	1995-04-14	PRIJEM	VKLAD	500	27501	\N	\N	\N
93530	318	1995-05-14	PRIJEM	VKLAD	700	29715	\N	\N	\N
93531	318	1995-06-13	PRIJEM	VKLAD	600	29289	\N	\N	\N
93532	318	1995-07-13	VYDAJ	VYBER	3100	27717	\N	\N	\N
93533	318	1995-08-12	VYDAJ	VYBER	2500	26739	\N	\N	\N
93534	318	1995-09-11	PRIJEM	VKLAD	3100	27456	\N	\N	\N
93535	318	1995-10-11	PRIJEM	VKLAD	2100	31074	\N	\N	\N
93536	318	1995-11-10	PRIJEM	VKLAD	1500	24402	\N	\N	\N
93537	318	1995-12-10	PRIJEM	VKLAD	3300	26649	\N	\N	\N
93538	318	1996-01-09	PRIJEM	VKLAD	4400	22572	\N	\N	\N
93539	318	1996-02-08	PRIJEM	VKLAD	12300	24251	\N	\N	\N
93540	318	1996-03-09	PRIJEM	VKLAD	1900	31947	\N	\N	\N
93541	318	1996-04-08	VYDAJ	VYBER	100	29094	\N	\N	\N
93542	318	1996-05-08	PRIJEM	VKLAD	2500	30934	\N	\N	\N
93543	318	1996-06-07	PRIJEM	VKLAD	5100	26375	\N	\N	\N
93544	318	1996-07-07	PRIJEM	VKLAD	3600	33658	\N	\N	\N
93545	318	1996-08-06	PRIJEM	VKLAD	1000	36216	\N	\N	\N
93546	318	1996-09-05	PRIJEM	VKLAD	300	38087	\N	\N	\N
93547	318	1996-10-05	VYDAJ	VYBER	1400	38267	\N	\N	\N
93548	318	1996-11-04	VYDAJ	VYBER	3500	36349	\N	\N	\N
93549	318	1996-12-04	PRIJEM	VKLAD	2100	38823	\N	\N	\N
93550	318	1997-01-03	PRIJEM	VKLAD	2500	40546	\N	\N	\N
93551	318	1997-02-02	PRIJEM	VKLAD	11300	34489	\N	\N	\N
93552	318	1997-03-04	PRIJEM	VKLAD	6300	42341	\N	\N	\N
93553	318	1997-04-03	VYDAJ	VYBER	3000	40931	\N	\N	\N
93554	318	1997-05-03	VYDAJ	VYBER	900	41626	\N	\N	\N
93555	318	1997-06-02	VYDAJ	VYBER	400	42821	\N	\N	\N
93556	318	1997-07-02	PRIJEM	VKLAD	11400	31479	\N	\N	\N
93557	318	1997-08-01	PRIJEM	VKLAD	3600	36619	\N	\N	\N
93558	318	1997-08-31	VYDAJ	VYBER	700	34998	\N	\N	\N
93559	318	1997-09-30	VYDAJ	VYBER	100	33659	\N	\N	\N
93560	318	1997-10-30	VYDAJ	VYBER	1800	33275	\N	\N	\N
93561	318	1997-11-29	VYDAJ	VYBER	2100	29832	\N	\N	\N
93562	318	1997-12-29	PRIJEM	VKLAD	1600	34229	\N	\N	\N
93563	318	1998-01-28	PRIJEM	VKLAD	3700	26378	\N	\N	\N
93564	318	1998-02-27	PRIJEM	VKLAD	3200	24009	\N	\N	\N
93565	318	1998-03-29	PRIJEM	VKLAD	5900	28208	\N	\N	\N
93566	318	1998-04-28	PRIJEM	VKLAD	1600	31321	\N	\N	\N
93567	318	1998-05-28	PRIJEM	VKLAD	1000	30757	\N	\N	\N
93568	318	1998-06-27	PRIJEM	VKLAD	700	35147	\N	\N	\N
93569	318	1998-07-27	VYDAJ	VYBER	1800	34898	\N	\N	\N
93570	318	1998-08-26	VYDAJ	VYBER	2700	33760	\N	\N	\N
93571	318	1998-09-25	VYDAJ	VYBER	400	34921	\N	\N	\N
93572	318	1998-11-24	PRIJEM	VKLAD	1200	34840	\N	\N	\N
93624	319	1995-10-17	PRIJEM	VKLAD	700	700	\N	\N	\N
93625	319	1995-11-20	PRIJEM	VKLAD	9512	22612	\N	\N	\N
93627	319	1995-12-23	PRIJEM	VKLAD	9904	59596	\N	\N	\N
93635	319	1995-11-30	PRIJEM	VKLAD	7174	29786	\N	\N	\N
93637	319	1995-12-29	PRIJEM	VKLAD	18295	77891	\N	\N	\N
93639	319	1995-12-14	PRIJEM	VKLAD	44470	74292	\N	\N	\N
93648	319	1996-02-28	PRIJEM	VKLAD	43718	60797	\N	\N	\N
93649	319	1996-10-02	PRIJEM	VKLAD	38257	89708	\N	\N	\N
93650	319	1996-09-02	PRIJEM	VKLAD	44577	89424	\N	\N	\N
93651	319	1996-05-24	PRIJEM	VKLAD	38189	63493	\N	\N	\N
93652	319	1996-08-10	PRIJEM	VKLAD	18765	65741	\N	\N	\N
93653	319	1996-06-09	PRIJEM	VKLAD	29057	83865	\N	\N	\N
93654	319	1996-08-08	PRIJEM	VKLAD	10164	46976	\N	\N	\N
93655	319	1997-07-17	PRIJEM	VKLAD	38662	88804	\N	\N	\N
93656	319	1997-06-29	PRIJEM	VKLAD	27893	68800	\N	\N	\N
93657	319	1997-02-09	PRIJEM	VKLAD	8809	46958	\N	\N	\N
93658	319	1997-09-10	PRIJEM	VKLAD	20092	73602	\N	\N	\N
93659	319	1997-11-14	PRIJEM	VKLAD	36533	95218	\N	\N	\N
93660	319	1997-04-18	PRIJEM	VKLAD	26002	110827	\N	\N	\N
93661	319	1997-12-12	PRIJEM	VKLAD	12228	94620	\N	\N	\N
93662	319	1997-01-01	PRIJEM	VKLAD	9778	56903	\N	\N	\N
93663	319	1997-04-16	PRIJEM	VKLAD	23907	84825	\N	\N	\N
93664	319	1997-12-09	PRIJEM	VKLAD	49172	123908	\N	\N	\N
93665	319	1997-09-04	PRIJEM	VKLAD	11973	54810	\N	\N	\N
93666	319	1997-10-22	PRIJEM	VKLAD	18427	76964	\N	\N	\N
93667	319	1997-01-01	PRIJEM	VKLAD	20231	47125	\N	\N	\N
93668	319	1997-04-06	PRIJEM	VKLAD	47415	82487	\N	\N	\N
93669	319	1997-10-12	PRIJEM	VKLAD	8154	67940	\N	\N	\N
93670	319	1998-08-26	PRIJEM	VKLAD	29906	124424	\N	\N	\N
93671	319	1998-02-17	PRIJEM	VKLAD	46213	105492	\N	\N	\N
93672	319	1998-12-03	PRIJEM	VKLAD	24062	123297	\N	\N	\N
93673	319	1998-03-05	PRIJEM	VKLAD	36970	176869	\N	\N	\N
93674	319	1998-10-29	PRIJEM	VKLAD	16040	109850	\N	\N	\N
93675	319	1998-09-17	PRIJEM	VKLAD	11283	71697	\N	\N	\N
93676	319	1998-04-02	PRIJEM	VKLAD	23507	79969	\N	\N	\N
93677	319	1998-10-28	PRIJEM	VKLAD	21298	93810	\N	\N	\N
93678	319	1998-02-03	PRIJEM	VKLAD	48885	118097	\N	\N	\N
93679	319	1998-10-01	PRIJEM	VKLAD	26916	122765	\N	\N	\N
93680	319	1998-08-07	PRIJEM	VKLAD	29421	95789	\N	\N	\N
93681	319	1998-10-30	PRIJEM	VKLAD	31502	141352	\N	\N	\N
93682	319	1998-12-09	PRIJEM	VKLAD	23523	88220	\N	\N	\N
93683	319	1998-09-13	PRIJEM	VKLAD	48836	121367	\N	\N	\N
93684	319	1998-01-13	PRIJEM	VKLAD	48330	93470	\N	\N	\N
93685	319	1998-10-08	PRIJEM	VKLAD	36316	141481	\N	\N	\N
93686	319	1998-08-18	PRIJEM	VKLAD	18549	82993	\N	\N	\N
93687	319	1998-11-25	PRIJEM	VKLAD	19410	97400	\N	\N	\N
93688	319	1998-08-20	PRIJEM	VKLAD	11525	94518	\N	\N	\N
93689	319	1998-05-17	PRIJEM	VKLAD	47362	92862	\N	\N	\N
93690	319	1998-09-10	PRIJEM	VKLAD	48576	142796	\N	\N	\N
93691	319	1998-02-01	PRIJEM	VKLAD	25143	68012	\N	\N	\N
93692	319	1998-01-02	PRIJEM	VKLAD	22564	88750	\N	\N	\N
93693	319	1998-01-03	PRIJEM	VKLAD	6655	95405	\N	\N	\N
93694	319	1998-06-01	PRIJEM	VKLAD	41730	103506	\N	\N	\N
93695	319	1998-11-17	PRIJEM	VKLAD	49183	127990	\N	\N	\N
93696	319	1998-09-28	PRIJEM	VKLAD	19769	91466	\N	\N	\N
93697	319	1998-03-05	PRIJEM	VKLAD	34100	139899	\N	\N	\N
93710	319	1996-01-21	VYDAJ	VYBER	9100	32578	\N	\N	0
93711	319	1996-01-29	VYDAJ	VYBER	5700	10978	\N	\N	0
93712	319	1996-03-07	VYDAJ	VYBER	7900	52939	\N	\N	0
93713	319	1996-04-18	VYDAJ	VYBER	4300	24773	\N	\N	0
93714	319	1996-05-17	VYDAJ	VYBER	4200	25304	\N	\N	0
93715	319	1996-05-30	VYDAJ	VYBER	8800	54693	\N	\N	0
93716	319	1996-07-18	VYDAJ	VYBER	6600	42439	\N	\N	0
93717	319	1996-08-04	VYDAJ	VYBER	5800	36812	\N	\N	0
93718	319	1996-08-30	VYDAJ	VYBER	5800	44672	\N	\N	0
93719	319	1996-10-26	VYDAJ	VYBER	5500	59439	\N	\N	0
93720	319	1996-11-19	VYDAJ	VYBER	5200	38176	\N	\N	0
93721	319	1996-12-22	VYDAJ	VYBER	4800	33972	\N	\N	0
93722	319	1997-01-28	VYDAJ	VYBER	4800	23034	\N	\N	0
93723	319	1997-02-10	VYDAJ	VYBER	4900	41642	\N	\N	0
93724	319	1997-03-28	VYDAJ	VYBER	5500	34937	\N	\N	0
93725	319	1997-04-18	VYDAJ	VYBER	6000	104827	\N	\N	0
93726	319	1997-04-30	VYDAJ	VYBER	5200	80326	\N	\N	0
93727	319	1997-06-06	VYDAJ	VYBER	6700	44376	\N	\N	0
93728	319	1997-07-12	VYDAJ	PREVOD NA UCET	6150	53395	UVER	GH	41618597
93729	319	1997-08-12	VYDAJ	PREVOD NA UCET	6150	45924	UVER	GH	41618597
93730	319	1997-09-12	VYDAJ	PREVOD NA UCET	6150	67036	UVER	GH	41618597
93731	319	1997-10-12	VYDAJ	PREVOD NA UCET	6150	61790	UVER	GH	41618597
93732	319	1997-11-12	VYDAJ	PREVOD NA UCET	6150	59742	UVER	GH	41618597
93733	319	1997-12-12	VYDAJ	PREVOD NA UCET	6150	88471	UVER	GH	41618597
93734	319	1998-01-12	VYDAJ	PREVOD NA UCET	6150	45140	UVER	GH	41618597
93735	319	1998-02-12	VYDAJ	PREVOD NA UCET	6150	62532	UVER	GH	41618597
93736	319	1998-03-12	VYDAJ	PREVOD NA UCET	6150	64771	UVER	GH	41618597
93737	319	1998-04-12	VYDAJ	PREVOD NA UCET	6150	44513	UVER	GH	41618597
93738	319	1998-05-12	VYDAJ	PREVOD NA UCET	6150	48753	UVER	GH	41618597
93739	319	1998-06-12	VYDAJ	PREVOD NA UCET	6150	74541	UVER	GH	41618597
93740	319	1998-07-12	VYDAJ	PREVOD NA UCET	6150	57920	UVER	GH	41618597
93741	319	1998-08-12	VYDAJ	PREVOD NA UCET	6150	67697	UVER	GH	41618597
93742	319	1998-09-12	VYDAJ	PREVOD NA UCET	6150	72531	UVER	GH	41618597
93743	319	1998-10-12	VYDAJ	PREVOD NA UCET	6150	85015	UVER	GH	41618597
93744	319	1998-11-12	VYDAJ	PREVOD NA UCET	6150	82060	UVER	GH	41618597
93745	319	1998-12-12	VYDAJ	PREVOD NA UCET	6150	81655	UVER	GH	41618597
93758	319	1996-01-13	VYDAJ	PREVOD NA UCET	1057	66974	SIPO	KL	87909203
93759	319	1996-02-13	VYDAJ	PREVOD NA UCET	1057	9675	SIPO	KL	87909203
93760	319	1996-03-13	VYDAJ	PREVOD NA UCET	1057	51466	SIPO	KL	87909203
93761	319	1996-04-13	VYDAJ	PREVOD NA UCET	1057	28869	SIPO	KL	87909203
93762	319	1996-05-13	VYDAJ	PREVOD NA UCET	1057	23400	SIPO	KL	87909203
93763	319	1996-06-13	VYDAJ	PREVOD NA UCET	1057	82392	SIPO	KL	87909203
93764	319	1996-07-13	VYDAJ	PREVOD NA UCET	1057	53935	SIPO	KL	87909203
93765	319	1996-08-13	VYDAJ	PREVOD NA UCET	1057	52668	SIPO	KL	87909203
93766	319	1996-09-13	VYDAJ	PREVOD NA UCET	1057	53451	SIPO	KL	87909203
93767	319	1996-10-13	VYDAJ	PREVOD NA UCET	1057	67135	SIPO	KL	87909203
93768	319	1996-11-13	VYDAJ	PREVOD NA UCET	1057	45572	SIPO	KL	87909203
93769	319	1996-12-13	VYDAJ	PREVOD NA UCET	1057	40968	SIPO	KL	87909203
93770	319	1997-01-13	VYDAJ	PREVOD NA UCET	1057	38430	SIPO	KL	87909203
93771	319	1997-02-13	VYDAJ	PREVOD NA UCET	1057	40585	SIPO	KL	87909203
93772	319	1997-03-13	VYDAJ	PREVOD NA UCET	1057	42633	SIPO	KL	87909203
93773	319	1997-04-13	VYDAJ	PREVOD NA UCET	1057	63114	SIPO	KL	87909203
93774	319	1997-05-13	VYDAJ	PREVOD NA UCET	1057	53053	SIPO	KL	87909203
93775	319	1997-06-13	VYDAJ	PREVOD NA UCET	1057	43103	SIPO	KL	87909203
93776	319	1997-07-13	VYDAJ	PREVOD NA UCET	1057	52338	SIPO	KL	87909203
93777	319	1997-08-13	VYDAJ	PREVOD NA UCET	1057	44867	SIPO	KL	87909203
93778	319	1997-09-13	VYDAJ	PREVOD NA UCET	1057	65979	SIPO	KL	87909203
93779	319	1997-10-13	VYDAJ	PREVOD NA UCET	1057	60733	SIPO	KL	87909203
93780	319	1997-11-13	VYDAJ	PREVOD NA UCET	1057	58685	SIPO	KL	87909203
93781	319	1997-12-13	VYDAJ	PREVOD NA UCET	1057	87414	SIPO	KL	87909203
93782	319	1998-01-13	VYDAJ	PREVOD NA UCET	1057	92413	SIPO	KL	87909203
93783	319	1998-02-13	VYDAJ	PREVOD NA UCET	1057	61475	SIPO	KL	87909203
93784	319	1998-03-13	VYDAJ	PREVOD NA UCET	1057	63714	SIPO	KL	87909203
93785	319	1998-04-13	VYDAJ	PREVOD NA UCET	1057	43456	SIPO	KL	87909203
93786	319	1998-05-13	VYDAJ	PREVOD NA UCET	1057	47696	SIPO	KL	87909203
93787	319	1998-06-13	VYDAJ	PREVOD NA UCET	1057	73484	SIPO	KL	87909203
93788	319	1998-07-13	VYDAJ	PREVOD NA UCET	1057	56863	SIPO	KL	87909203
93789	319	1998-08-13	VYDAJ	PREVOD NA UCET	1057	66640	SIPO	KL	87909203
93790	319	1998-09-13	VYDAJ	PREVOD NA UCET	1057	62610	SIPO	KL	87909203
93791	319	1998-10-13	VYDAJ	PREVOD NA UCET	1057	83958	SIPO	KL	87909203
93792	319	1998-11-13	VYDAJ	PREVOD NA UCET	1057	81003	SIPO	KL	87909203
93793	319	1998-12-13	VYDAJ	PREVOD NA UCET	1057	80598	SIPO	KL	87909203
93806	319	1996-01-14	VYDAJ	PREVOD NA UCET	2196	62978	 	KL	32717514
93807	319	1996-02-14	VYDAJ	PREVOD NA UCET	2196	17079	 	KL	32717514
93808	319	1996-03-14	VYDAJ	PREVOD NA UCET	2196	49270	 	KL	32717514
93809	319	1996-04-14	VYDAJ	PREVOD NA UCET	2196	29073	 	KL	32717514
93810	319	1996-05-14	VYDAJ	PREVOD NA UCET	2196	29504	 	KL	32717514
93811	319	1996-06-14	VYDAJ	PREVOD NA UCET	2196	55196	 	KL	32717514
93812	319	1996-07-14	VYDAJ	PREVOD NA UCET	2196	49039	 	KL	32717514
93813	319	1996-08-14	VYDAJ	PREVOD NA UCET	2196	50472	 	KL	32717514
93814	319	1996-09-14	VYDAJ	PREVOD NA UCET	2196	51255	 	KL	32717514
93815	319	1996-10-14	VYDAJ	PREVOD NA UCET	2196	64939	 	KL	32717514
93816	319	1996-11-14	VYDAJ	PREVOD NA UCET	2196	43376	 	KL	32717514
93817	319	1996-12-14	VYDAJ	PREVOD NA UCET	2196	38772	 	KL	32717514
93818	319	1997-01-14	VYDAJ	PREVOD NA UCET	2196	29934	 	KL	32717514
93819	319	1997-02-14	VYDAJ	PREVOD NA UCET	2196	38389	 	KL	32717514
93820	319	1997-03-14	VYDAJ	PREVOD NA UCET	2196	40437	 	KL	32717514
93821	319	1997-04-14	VYDAJ	PREVOD NA UCET	2196	60918	 	KL	32717514
93822	319	1997-05-14	VYDAJ	PREVOD NA UCET	2196	50857	 	KL	32717514
93823	319	1997-06-14	VYDAJ	PREVOD NA UCET	2196	40907	 	KL	32717514
93824	319	1997-07-14	VYDAJ	PREVOD NA UCET	2196	50142	 	KL	32717514
93825	319	1997-08-14	VYDAJ	PREVOD NA UCET	2196	42671	 	KL	32717514
93826	319	1997-09-14	VYDAJ	PREVOD NA UCET	2196	63783	 	KL	32717514
93827	319	1997-10-14	VYDAJ	PREVOD NA UCET	2196	58537	 	KL	32717514
93828	319	1997-11-14	VYDAJ	PREVOD NA UCET	2196	93022	 	KL	32717514
93829	319	1997-12-14	VYDAJ	PREVOD NA UCET	2196	85218	 	KL	32717514
93830	319	1998-01-14	VYDAJ	PREVOD NA UCET	2196	90217	 	KL	32717514
93831	319	1998-02-14	VYDAJ	PREVOD NA UCET	2196	59279	 	KL	32717514
93832	319	1998-03-14	VYDAJ	PREVOD NA UCET	2196	58583	 	KL	32717514
93833	319	1998-04-14	VYDAJ	PREVOD NA UCET	2196	41260	 	KL	32717514
93834	319	1998-05-14	VYDAJ	PREVOD NA UCET	2196	45500	 	KL	32717514
93835	319	1998-06-14	VYDAJ	PREVOD NA UCET	2196	71288	 	KL	32717514
93836	319	1998-07-14	VYDAJ	PREVOD NA UCET	2196	54667	 	KL	32717514
93837	319	1998-08-14	VYDAJ	PREVOD NA UCET	2196	64444	 	KL	32717514
93838	319	1998-09-14	VYDAJ	PREVOD NA UCET	2196	60414	 	KL	32717514
93839	319	1998-10-14	VYDAJ	PREVOD NA UCET	2196	81762	 	KL	32717514
93840	319	1998-11-14	VYDAJ	PREVOD NA UCET	2196	78807	 	KL	32717514
93841	319	1998-12-14	VYDAJ	PREVOD NA UCET	2196	78402	 	KL	32717514
93854	319	1996-01-10	VYDAJ	PREVOD NA UCET	416	70131	POJISTNE	AB	559258
93855	319	1996-02-10	VYDAJ	PREVOD NA UCET	416	10732	POJISTNE	AB	559258
93856	319	1996-03-10	VYDAJ	PREVOD NA UCET	416	52523	POJISTNE	AB	559258
93857	319	1996-04-10	VYDAJ	PREVOD NA UCET	416	29926	POJISTNE	AB	559258
93858	319	1996-05-10	VYDAJ	PREVOD NA UCET	416	24457	POJISTNE	AB	559258
93859	319	1996-06-10	VYDAJ	PREVOD NA UCET	416	83449	POJISTNE	AB	559258
93860	319	1996-07-10	VYDAJ	PREVOD NA UCET	416	54992	POJISTNE	AB	559258
93861	319	1996-08-10	VYDAJ	PREVOD NA UCET	416	65325	POJISTNE	AB	559258
93862	319	1996-09-10	VYDAJ	PREVOD NA UCET	416	79108	POJISTNE	AB	559258
93863	319	1996-10-10	VYDAJ	PREVOD NA UCET	416	89292	POJISTNE	AB	559258
93864	319	1996-11-10	VYDAJ	PREVOD NA UCET	416	46629	POJISTNE	AB	559258
93865	319	1996-12-10	VYDAJ	PREVOD NA UCET	416	42025	POJISTNE	AB	559258
93866	319	1997-01-10	VYDAJ	PREVOD NA UCET	416	39487	POJISTNE	AB	559258
93867	319	1997-02-10	VYDAJ	PREVOD NA UCET	416	46542	POJISTNE	AB	559258
93868	319	1997-03-10	VYDAJ	PREVOD NA UCET	416	43690	POJISTNE	AB	559258
93869	319	1997-04-10	VYDAJ	PREVOD NA UCET	416	64171	POJISTNE	AB	559258
93870	319	1997-05-10	VYDAJ	PREVOD NA UCET	416	54110	POJISTNE	AB	559258
93871	319	1997-06-10	VYDAJ	PREVOD NA UCET	416	44160	POJISTNE	AB	559258
93872	319	1997-07-10	VYDAJ	PREVOD NA UCET	416	59545	POJISTNE	AB	559258
93873	319	1997-08-10	VYDAJ	PREVOD NA UCET	416	52074	POJISTNE	AB	559258
93874	319	1997-09-10	VYDAJ	PREVOD NA UCET	416	73186	POJISTNE	AB	559258
93875	319	1997-10-10	VYDAJ	PREVOD NA UCET	416	59786	POJISTNE	AB	559258
93876	319	1997-11-10	VYDAJ	PREVOD NA UCET	416	65891	POJISTNE	AB	559258
93877	319	1997-12-10	VYDAJ	PREVOD NA UCET	416	82392	POJISTNE	AB	559258
93878	319	1998-01-10	VYDAJ	PREVOD NA UCET	416	53089	POJISTNE	AB	559258
93879	319	1998-02-10	VYDAJ	PREVOD NA UCET	416	68681	POJISTNE	AB	559258
93880	319	1998-03-10	VYDAJ	PREVOD NA UCET	416	89653	POJISTNE	AB	559258
93881	319	1998-04-10	VYDAJ	PREVOD NA UCET	416	50663	POJISTNE	AB	559258
93882	319	1998-05-10	VYDAJ	PREVOD NA UCET	416	54902	POJISTNE	AB	559258
93883	319	1998-06-10	VYDAJ	PREVOD NA UCET	416	80690	POJISTNE	AB	559258
93884	319	1998-07-10	VYDAJ	PREVOD NA UCET	416	67970	POJISTNE	AB	559258
93885	319	1998-08-10	VYDAJ	PREVOD NA UCET	416	73847	POJISTNE	AB	559258
93886	319	1998-09-10	VYDAJ	PREVOD NA UCET	416	78680	POJISTNE	AB	559258
93887	319	1998-10-10	VYDAJ	PREVOD NA UCET	416	91165	POJISTNE	AB	559258
93888	319	1998-11-10	VYDAJ	PREVOD NA UCET	416	88209	POJISTNE	AB	559258
93889	319	1998-12-10	VYDAJ	PREVOD NA UCET	416	87804	POJISTNE	AB	559258
93902	319	1996-11-06	VYBER	VYBER	9118	50545	\N	\N	\N
93905	319	1997-12-27	VYBER	VYBER	16655	65863	\N	\N	\N
93906	319	1997-07-28	VYBER	VYBER	20984	67820	\N	\N	\N
93907	319	1997-04-29	VYBER	VYBER	19587	85240	\N	\N	\N
93908	319	1998-04-04	VYBER	VYBER	6924	75545	\N	\N	\N
93909	319	1998-08-07	VYBER	VYBER	21526	74263	\N	\N	\N
93910	319	1998-06-30	VYBER	VYBER	18267	41016	\N	\N	\N
93911	319	1998-05-24	VYBER	VYBER	7405	61590	\N	\N	\N
93912	319	1998-07-24	VYBER	VYBER	18363	36304	\N	\N	\N
93913	319	1998-03-14	VYBER	VYBER	2935	60779	\N	\N	\N
93915	319	1998-03-12	VYBER	VYBER	18732	70921	\N	\N	\N
93916	319	1998-04-08	VYBER	VYBER	24466	51079	\N	\N	\N
93917	319	1998-01-18	VYBER	VYBER	23294	63623	\N	\N	\N
93918	319	1998-10-17	VYBER	VYBER	9250	72512	\N	\N	\N
93919	319	1998-05-19	VYBER	VYBER	23867	68995	\N	\N	\N
93920	319	1998-11-06	VYBER	VYBER	10061	88625	\N	\N	\N
93924	319	1998-06-07	VYDAJ	VYBER	13200	81106	\N	\N	\N
93926	319	1996-01-14	VYDAJ	VYBER	12600	50378	\N	\N	\N
93927	319	1997-01-06	VYDAJ	VYBER	11700	45203	\N	\N	\N
93928	319	1998-01-27	VYDAJ	VYBER	13500	50123	\N	\N	\N
93930	319	1996-12-27	VYDAJ	VYBER	7200	26772	\N	\N	\N
93931	319	1997-12-20	VYDAJ	VYBER	2700	82518	\N	\N	\N
93932	319	1998-12-01	VYDAJ	VYBER	6600	99235	\N	\N	\N
93939	319	1996-01-17	VYDAJ	VYBER	3600	41678	\N	\N	\N
93940	319	1996-01-12	VYDAJ	VYBER	2100	68031	\N	\N	\N
93941	319	1996-01-03	VYDAJ	VYBER	7500	70547	\N	\N	\N
93942	319	1996-01-24	VYDAJ	VYBER	3600	16678	\N	\N	\N
93943	319	1996-01-13	VYDAJ	VYBER	1800	65174	\N	\N	\N
93947	319	1997-01-06	VYDAJ	VYBER	5400	39803	\N	\N	\N
93948	319	1997-01-18	VYDAJ	VYBER	2100	27834	\N	\N	\N
93949	319	1997-01-14	VYDAJ	VYBER	6300	32130	\N	\N	\N
93951	319	1998-01-16	VYDAJ	VYBER	3300	86917	\N	\N	\N
93952	319	1998-01-11	VYDAJ	VYBER	1800	51289	\N	\N	\N
93953	319	1998-01-07	VYDAJ	VYBER	8700	72105	\N	\N	\N
93954	319	1998-01-28	VYDAJ	VYBER	7500	42623	\N	\N	\N
93955	319	1998-01-10	VYDAJ	VYBER	2400	61905	\N	\N	\N
93956	319	1998-01-10	VYDAJ	VYBER	8400	53505	\N	\N	\N
93962	319	1996-01-22	VYDAJ	VYBER	12300	20278	\N	\N	\N
93964	319	1996-04-07	VYDAJ	VYBER	10800	30342	\N	\N	\N
93965	319	1996-09-07	VYDAJ	VYBER	9900	79524	\N	\N	\N
93966	319	1997-10-28	VYDAJ	VYBER	4200	72764	\N	\N	\N
93967	319	1997-05-10	VYDAJ	VYBER	8100	54526	\N	\N	\N
93968	319	1997-12-09	VYDAJ	VYBER	1500	122408	\N	\N	\N
93969	319	1997-01-07	VYDAJ	VYBER	9300	30503	\N	\N	\N
93970	319	1997-07-28	VYDAJ	VYBER	12900	54920	\N	\N	\N
93971	319	1998-03-16	VYDAJ	VYBER	2400	56183	\N	\N	\N
93972	319	1998-04-21	VYDAJ	VYBER	12900	28360	\N	\N	\N
93973	319	1998-06-22	VYDAJ	VYBER	12300	58988	\N	\N	\N
93974	319	1998-07-11	VYDAJ	VYBER	3900	64070	\N	\N	\N
93975	319	1998-08-30	VYDAJ	VYBER	10500	81424	\N	\N	\N
93976	319	1998-01-09	VYDAJ	VYBER	7800	64305	\N	\N	\N
93989	319	1995-12-31	VYDAJ	VYBER	30	78047	SLUZBY	\N	\N
93990	319	1996-01-31	VYDAJ	VYBER	30	11148	SLUZBY	\N	\N
93991	319	1996-02-29	VYDAJ	VYBER	30	60839	SLUZBY	\N	\N
93992	319	1996-03-31	VYDAJ	VYBER	30	41142	SLUZBY	\N	\N
93993	319	1996-04-30	VYDAJ	VYBER	30	24873	SLUZBY	\N	\N
93994	319	1996-05-31	VYDAJ	VYBER	30	54808	SLUZBY	\N	\N
93995	319	1996-06-30	VYDAJ	VYBER	30	55408	SLUZBY	\N	\N
93996	319	1996-07-31	VYDAJ	VYBER	30	42612	SLUZBY	\N	\N
93997	319	1996-08-31	VYDAJ	VYBER	30	44847	SLUZBY	\N	\N
93998	319	1996-09-30	VYDAJ	VYBER	30	51451	SLUZBY	\N	\N
93999	319	1996-10-31	VYDAJ	VYBER	30	59663	SLUZBY	\N	\N
94000	319	1996-11-30	VYDAJ	VYBER	30	38341	SLUZBY	\N	\N
94001	319	1996-12-31	VYDAJ	VYBER	30	26894	SLUZBY	\N	\N
94002	319	1997-01-31	VYDAJ	VYBER	30	23149	SLUZBY	\N	\N
94003	319	1997-02-28	VYDAJ	VYBER	30	38506	SLUZBY	\N	\N
94004	319	1997-03-31	VYDAJ	VYBER	30	35072	SLUZBY	\N	\N
94005	319	1997-04-30	VYDAJ	VYBER	30	85526	SLUZBY	\N	\N
94006	319	1997-05-31	VYDAJ	VYBER	30	51076	SLUZBY	\N	\N
94007	319	1997-06-30	VYDAJ	VYBER	30	68961	SLUZBY	\N	\N
94008	319	1997-07-31	VYDAJ	VYBER	30	55190	SLUZBY	\N	\N
94009	319	1997-08-31	VYDAJ	VYBER	30	42837	SLUZBY	\N	\N
94010	319	1997-09-30	VYDAJ	VYBER	30	64002	SLUZBY	\N	\N
94011	319	1997-10-31	VYDAJ	VYBER	30	73007	SLUZBY	\N	\N
94012	319	1997-11-30	VYDAJ	VYBER	30	93336	SLUZBY	\N	\N
94013	319	1997-12-31	VYDAJ	VYBER	30	66186	SLUZBY	\N	\N
94014	319	1998-01-31	VYDAJ	VYBER	30	42869	SLUZBY	\N	\N
94015	319	1998-02-28	VYDAJ	VYBER	30	105799	SLUZBY	\N	\N
94016	319	1998-03-31	VYDAJ	VYBER	30	56462	SLUZBY	\N	\N
94017	319	1998-04-30	VYDAJ	VYBER	30	28518	SLUZBY	\N	\N
94018	319	1998-05-31	VYDAJ	VYBER	30	61776	SLUZBY	\N	\N
94019	319	1998-06-30	VYDAJ	VYBER	30	40986	SLUZBY	\N	\N
94020	319	1998-07-31	VYDAJ	VYBER	30	36468	SLUZBY	\N	\N
94021	319	1998-08-31	VYDAJ	VYBER	30	81720	SLUZBY	\N	\N
94022	319	1998-09-30	VYDAJ	VYBER	30	91749	SLUZBY	\N	\N
94023	319	1998-10-31	VYDAJ	VYBER	30	130886	SLUZBY	\N	\N
94024	319	1998-11-30	VYDAJ	VYBER	30	105835	SLUZBY	\N	\N
94025	319	1995-11-16	PRIJEM	VKLAD	12400	13100	\N	\N	\N
94026	319	1995-12-16	VYDAJ	VYBER	24600	49692	\N	\N	\N
94027	319	1996-01-15	VYDAJ	VYBER	5100	45278	\N	\N	\N
94028	319	1996-02-14	PRIJEM	VKLAD	9600	19275	\N	\N	\N
94029	319	1996-03-15	VYDAJ	VYBER	8300	40970	\N	\N	\N
94030	319	1996-04-14	PRIJEM	VKLAD	2400	31269	\N	\N	\N
94031	319	1996-05-14	PRIJEM	VKLAD	8300	31700	\N	\N	\N
94032	319	1996-06-13	VYDAJ	VYBER	25000	57392	\N	\N	\N
94033	319	1996-07-13	VYDAJ	VYBER	2700	51235	\N	\N	\N
94034	319	1996-08-12	VYDAJ	VYBER	11600	53725	\N	\N	\N
94035	319	1996-09-11	VYDAJ	VYBER	24600	54508	\N	\N	\N
94036	319	1996-10-11	VYDAJ	VYBER	21100	68192	\N	\N	\N
94037	319	1996-11-10	VYDAJ	VYBER	3500	47045	\N	\N	\N
94038	319	1996-12-10	PRIJEM	VKLAD	4100	42441	\N	\N	\N
94039	319	1997-01-09	PRIJEM	VKLAD	9400	39903	\N	\N	\N
94040	319	1997-02-08	PRIJEM	VKLAD	15000	38149	\N	\N	\N
94041	319	1997-03-10	PRIJEM	VKLAD	5600	44106	\N	\N	\N
94042	319	1997-04-09	VYDAJ	VYBER	17900	64587	\N	\N	\N
94043	319	1997-05-09	VYDAJ	VYBER	17700	62626	\N	\N	\N
94044	319	1997-06-08	PRIJEM	VKLAD	200	44576	\N	\N	\N
94045	319	1997-07-08	VYDAJ	VYBER	9000	59961	\N	\N	\N
94046	319	1997-08-07	VYDAJ	VYBER	2700	52490	\N	\N	\N
94047	319	1997-09-06	VYDAJ	VYBER	1300	53510	\N	\N	\N
94048	319	1997-10-06	VYDAJ	VYBER	3800	60202	\N	\N	\N
94049	319	1997-11-05	VYDAJ	VYBER	6700	66307	\N	\N	\N
94050	319	1997-12-05	VYDAJ	VYBER	18600	74736	\N	\N	\N
94051	319	1997-12-09	VYDAJ	VYBER	39600	82808	\N	\N	\N
94052	319	1998-01-04	VYDAJ	VYBER	14600	80805	\N	\N	\N
94053	319	1998-02-03	VYDAJ	VYBER	49000	69097	\N	\N	\N
94054	319	1998-02-03	PRIJEM	VKLAD	1200	69212	\N	\N	\N
94055	319	1998-03-05	VYDAJ	VYBER	41800	111169	\N	\N	\N
94056	319	1998-03-05	VYDAJ	VYBER	21100	90069	\N	\N	\N
94057	319	1998-03-05	VYDAJ	VYBER	23900	152969	\N	\N	\N
94058	319	1998-04-04	PRIJEM	VKLAD	2500	82469	\N	\N	\N
94059	319	1998-05-04	PRIJEM	VKLAD	26800	55318	\N	\N	\N
94060	319	1998-06-03	VYDAJ	VYBER	9200	94306	\N	\N	\N
94061	319	1998-07-03	PRIJEM	VKLAD	27400	68386	\N	\N	\N
94062	319	1998-08-02	PRIJEM	VKLAD	29900	66368	\N	\N	\N
94063	319	1998-08-26	VYDAJ	VYBER	32500	91924	\N	\N	\N
94064	319	1998-09-01	PRIJEM	VKLAD	12500	94220	\N	\N	\N
94065	319	1998-09-10	VYDAJ	VYBER	63700	79096	\N	\N	\N
94066	319	1998-09-13	VYDAJ	VYBER	57700	63667	\N	\N	\N
94067	319	1998-10-01	VYDAJ	VYBER	17600	105165	\N	\N	\N
94068	319	1998-10-01	PRIJEM	VKLAD	4100	95849	\N	\N	\N
94069	319	1998-10-08	VYDAJ	VYBER	49900	91581	\N	\N	\N
94070	319	1998-10-30	VYDAJ	VYBER	25400	115952	\N	\N	\N
94071	319	1998-10-31	VYDAJ	VYBER	32200	98686	\N	\N	\N
94072	319	1998-10-31	PRIJEM	VKLAD	14600	130916	\N	\N	\N
94073	319	1998-11-17	VYDAJ	VYBER	50000	77990	\N	\N	\N
94074	319	1998-11-30	PRIJEM	VKLAD	8000	105400	\N	\N	\N
94075	319	1998-12-03	VYDAJ	VYBER	58600	64697	\N	\N	\N
94114	320	1997-01-23	PRIJEM	VKLAD	800	800	\N	\N	\N
94115	320	1997-11-15	PRIJEM	VKLAD	8749	42331	\N	\N	\N
94116	320	1997-10-17	PRIJEM	VKLAD	21553	47318	\N	\N	\N
94117	320	1998-01-12	PRIJEM	VKLAD	12211	37339	\N	\N	\N
94118	320	1998-03-13	PRIJEM	VKLAD	30888	56673	\N	\N	\N
94120	320	1997-02-16	PRIJEM	VKLAD	1100	1900	\N	\N	\N
94121	320	1997-03-14	PRIJEM	VKLAD	1100	17619	\N	\N	\N
94122	320	1997-04-14	PRIJEM	VKLAD	1100	21594	\N	\N	\N
94123	320	1997-05-15	PRIJEM	VKLAD	1100	22768	\N	\N	\N
94124	320	1997-06-15	PRIJEM	VKLAD	1100	16149	\N	\N	\N
94125	320	1997-07-16	PRIJEM	VKLAD	1100	21023	\N	\N	\N
94126	320	1997-08-17	PRIJEM	VKLAD	1100	23344	\N	\N	\N
94127	320	1997-09-13	PRIJEM	VKLAD	1100	24377	\N	\N	\N
94128	320	1997-10-16	PRIJEM	VKLAD	1100	25765	\N	\N	\N
94129	320	1997-11-16	PRIJEM	VKLAD	1100	43431	\N	\N	\N
94130	320	1997-12-13	PRIJEM	VKLAD	1100	33561	\N	\N	\N
94131	320	1998-01-17	PRIJEM	VKLAD	1100	37789	\N	\N	\N
94132	320	1998-02-16	PRIJEM	VKLAD	1100	23401	\N	\N	\N
94133	320	1998-03-17	PRIJEM	VKLAD	1100	57773	\N	\N	\N
94134	320	1998-04-17	PRIJEM	VKLAD	1100	45010	\N	\N	\N
94135	320	1998-05-13	PRIJEM	VKLAD	1100	39185	\N	\N	\N
94136	320	1998-06-15	PRIJEM	VKLAD	1100	22123	\N	\N	\N
94137	320	1998-07-13	PRIJEM	VKLAD	1100	27685	\N	\N	\N
94138	320	1998-08-16	PRIJEM	VKLAD	1100	31241	\N	\N	\N
94139	320	1998-09-17	PRIJEM	VKLAD	1100	35517	\N	\N	\N
94140	320	1998-10-17	PRIJEM	VKLAD	1100	38454	\N	\N	\N
94141	320	1998-11-16	PRIJEM	VKLAD	1100	40798	\N	\N	\N
94142	320	1998-12-14	PRIJEM	VKLAD	1100	40554	\N	\N	\N
94144	320	1997-02-18	PRIJEM	VKLAD	1300	3200	\N	\N	\N
94145	320	1997-03-18	PRIJEM	VKLAD	1300	18919	\N	\N	\N
94146	320	1997-04-18	PRIJEM	VKLAD	1300	22894	\N	\N	\N
94147	320	1997-05-18	PRIJEM	VKLAD	1300	24068	\N	\N	\N
94148	320	1997-06-18	PRIJEM	VKLAD	1300	17449	\N	\N	\N
94149	320	1997-07-18	PRIJEM	VKLAD	1300	19973	\N	\N	\N
94150	320	1997-08-18	PRIJEM	VKLAD	1300	24644	\N	\N	\N
94151	320	1997-09-18	PRIJEM	VKLAD	1300	25677	\N	\N	\N
94152	320	1997-10-18	PRIJEM	VKLAD	1300	48618	\N	\N	\N
94153	320	1997-11-18	PRIJEM	VKLAD	1300	44731	\N	\N	\N
94154	320	1997-12-18	PRIJEM	VKLAD	1300	34861	\N	\N	\N
94155	320	1998-01-18	PRIJEM	VKLAD	1300	39089	\N	\N	\N
94156	320	1998-02-18	PRIJEM	VKLAD	1300	25701	\N	\N	\N
94157	320	1998-03-18	PRIJEM	VKLAD	1300	59073	\N	\N	\N
94158	320	1998-04-18	PRIJEM	VKLAD	1300	46310	\N	\N	\N
94159	320	1998-05-18	PRIJEM	VKLAD	1300	40485	\N	\N	\N
94160	320	1998-06-18	PRIJEM	VKLAD	1300	28173	\N	\N	\N
94161	320	1998-07-18	PRIJEM	VKLAD	1300	31785	\N	\N	\N
94162	320	1998-08-18	PRIJEM	VKLAD	1300	35841	\N	\N	\N
94163	320	1998-09-18	PRIJEM	VKLAD	1300	36817	\N	\N	\N
94164	320	1998-10-18	PRIJEM	VKLAD	1300	39754	\N	\N	\N
94165	320	1998-11-18	PRIJEM	VKLAD	1300	42098	\N	\N	\N
94166	320	1998-12-18	PRIJEM	VKLAD	1300	44054	\N	\N	\N
94167	320	1997-06-04	VYDAJ	VYBER	9400	15049	\N	\N	\N
94168	320	1998-06-12	VYDAJ	VYBER	14300	21023	\N	\N	\N
94170	320	1998-01-27	VYDAJ	VYBER	5800	23139	\N	\N	\N
94171	320	1997-12-03	VYDAJ	VYBER	1600	32461	\N	\N	\N
94172	320	1998-12-09	VYDAJ	VYBER	2800	39454	\N	\N	\N
94179	320	1998-01-29	VYDAJ	VYBER	300	22189	\N	\N	\N
94180	320	1998-01-05	VYDAJ	VYBER	700	27028	\N	\N	\N
94181	320	1998-01-24	VYDAJ	VYBER	750	28939	\N	\N	\N
94182	320	1998-01-15	VYDAJ	VYBER	650	36689	\N	\N	\N
94183	320	1998-01-02	VYDAJ	VYBER	550	27728	\N	\N	\N
94184	320	1998-01-27	VYDAJ	VYBER	650	22489	\N	\N	\N
94185	320	1997-09-04	VYDAJ	VYBER	1650	23277	\N	\N	\N
94186	320	1997-10-18	VYDAJ	VYBER	1300	47318	\N	\N	\N
94187	320	1997-07-17	VYDAJ	VYBER	2350	18673	\N	\N	\N
94188	320	1997-10-27	VYDAJ	VYBER	1450	33468	\N	\N	\N
94189	320	1997-05-28	VYDAJ	VYBER	700	24368	\N	\N	\N
94190	320	1998-07-17	VYDAJ	VYBER	1400	30485	\N	\N	\N
94191	320	1998-06-20	VYDAJ	VYBER	1700	26473	\N	\N	\N
94192	320	1998-04-10	VYDAJ	VYBER	1500	44610	\N	\N	\N
94193	320	1998-06-16	VYDAJ	VYBER	2050	20073	\N	\N	\N
94194	320	1998-04-11	VYDAJ	VYBER	700	43910	\N	\N	\N
94195	320	1998-01-06	VYDAJ	VYBER	1900	25128	\N	\N	\N
94196	320	1998-09-08	VYDAJ	VYBER	950	35017	\N	\N	\N
94197	320	1998-08-06	VYDAJ	VYBER	1750	30141	\N	\N	\N
94202	320	1997-04-30	VYDAJ	VYBER	15	21668	SLUZBY	\N	\N
94203	320	1997-05-31	VYDAJ	VYBER	15	24449	SLUZBY	\N	\N
94204	320	1997-06-30	VYDAJ	VYBER	15	19923	SLUZBY	\N	\N
94205	320	1997-07-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
94206	320	1997-08-31	VYDAJ	VYBER	15	24927	SLUZBY	\N	\N
94207	320	1997-09-30	VYDAJ	VYBER	15	24665	SLUZBY	\N	\N
94208	320	1997-10-31	VYDAJ	VYBER	15	33582	SLUZBY	\N	\N
94209	320	1997-11-30	VYDAJ	VYBER	15	34061	SLUZBY	\N	\N
94210	320	1997-12-31	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
94211	320	1998-01-31	VYDAJ	VYBER	15	22301	SLUZBY	\N	\N
94212	320	1998-02-28	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
94213	320	1998-03-31	VYDAJ	VYBER	15	46110	SLUZBY	\N	\N
94214	320	1998-04-30	VYDAJ	VYBER	15	38085	SLUZBY	\N	\N
94215	320	1998-05-31	VYDAJ	VYBER	15	35323	SLUZBY	\N	\N
94216	320	1998-06-30	VYDAJ	VYBER	15	26585	SLUZBY	\N	\N
94217	320	1998-07-31	VYDAJ	VYBER	15	31891	SLUZBY	\N	\N
94218	320	1998-08-31	VYDAJ	VYBER	15	35967	SLUZBY	\N	\N
94219	320	1998-09-30	VYDAJ	VYBER	15	36954	SLUZBY	\N	\N
94220	320	1998-10-31	VYDAJ	VYBER	15	39898	SLUZBY	\N	\N
94221	320	1998-11-30	VYDAJ	VYBER	15	42254	SLUZBY	\N	\N
94222	320	1997-02-22	PRIJEM	VKLAD	13300	16500	\N	\N	\N
94223	320	1997-03-24	PRIJEM	VKLAD	1500	20419	\N	\N	\N
94224	320	1997-04-23	VYDAJ	VYBER	1300	21594	\N	\N	\N
94225	320	1997-05-23	PRIJEM	VKLAD	1000	25068	\N	\N	\N
94226	320	1997-06-22	PRIJEM	VKLAD	2400	19849	\N	\N	\N
94227	320	1997-07-22	PRIJEM	VKLAD	2200	22173	\N	\N	\N
94228	320	1997-08-21	PRIJEM	VKLAD	200	24844	\N	\N	\N
94229	320	1997-09-20	VYDAJ	VYBER	1100	24577	\N	\N	\N
94230	320	1997-10-20	VYDAJ	VYBER	12400	34918	\N	\N	\N
94231	320	1997-11-19	VYDAJ	VYBER	10800	33931	\N	\N	\N
94232	320	1997-12-19	VYDAJ	VYBER	6700	28161	\N	\N	\N
94233	320	1998-01-18	VYDAJ	VYBER	9400	29689	\N	\N	\N
94234	320	1998-02-17	PRIJEM	VKLAD	1000	24401	\N	\N	\N
94235	320	1998-03-19	VYDAJ	VYBER	13100	45973	\N	\N	\N
94236	320	1998-04-18	VYDAJ	VYBER	8400	37910	\N	\N	\N
94237	320	1998-05-18	VYDAJ	VYBER	5300	35185	\N	\N	\N
94238	320	1998-06-17	PRIJEM	VKLAD	6800	26873	\N	\N	\N
94239	320	1998-07-17	PRIJEM	VKLAD	4200	31885	\N	\N	\N
94240	320	1998-08-16	PRIJEM	VKLAD	3300	34541	\N	\N	\N
94241	320	1998-09-15	VYDAJ	VYBER	600	34417	\N	\N	\N
94242	320	1998-10-15	PRIJEM	VKLAD	400	37354	\N	\N	\N
94243	320	1998-11-14	VYDAJ	VYBER	200	39698	\N	\N	\N
94244	320	1998-12-14	PRIJEM	VKLAD	2200	42754	\N	\N	\N
94268	321	1993-11-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
94280	321	1993-12-07	PRIJEM	PREVOD Z UCTU	5163	6263	DUCHOD	KL	47449284
94281	321	1994-01-07	PRIJEM	PREVOD Z UCTU	5163	11426	DUCHOD	KL	47449284
94282	321	1994-02-07	PRIJEM	PREVOD Z UCTU	5163	16589	DUCHOD	KL	47449284
94283	321	1994-03-07	PRIJEM	PREVOD Z UCTU	5163	21752	DUCHOD	KL	47449284
94284	321	1994-04-07	PRIJEM	PREVOD Z UCTU	5163	26575	DUCHOD	KL	47449284
94285	321	1994-05-07	PRIJEM	PREVOD Z UCTU	5163	25060	DUCHOD	KL	47449284
94286	321	1994-06-07	PRIJEM	PREVOD Z UCTU	5163	26729	DUCHOD	KL	47449284
94287	321	1994-07-07	PRIJEM	PREVOD Z UCTU	5163	19216	DUCHOD	KL	47449284
94288	321	1994-08-07	PRIJEM	PREVOD Z UCTU	5163	18718	DUCHOD	KL	47449284
94289	321	1994-09-07	PRIJEM	PREVOD Z UCTU	5163	22066	DUCHOD	KL	47449284
94290	321	1994-10-07	PRIJEM	PREVOD Z UCTU	5163	25428	DUCHOD	KL	47449284
94291	321	1994-11-07	PRIJEM	PREVOD Z UCTU	5163	25361	DUCHOD	KL	47449284
94292	321	1994-12-07	PRIJEM	PREVOD Z UCTU	5163	27236	DUCHOD	KL	47449284
94293	321	1995-01-07	PRIJEM	PREVOD Z UCTU	5163	25349	DUCHOD	KL	47449284
94294	321	1995-02-07	PRIJEM	PREVOD Z UCTU	5163	18312	DUCHOD	KL	47449284
94295	321	1995-03-07	PRIJEM	PREVOD Z UCTU	5163	17815	DUCHOD	KL	47449284
94296	321	1995-04-07	PRIJEM	PREVOD Z UCTU	5163	21159	DUCHOD	KL	47449284
94297	321	1995-05-07	PRIJEM	PREVOD Z UCTU	5163	23237	DUCHOD	KL	47449284
94298	321	1995-06-07	PRIJEM	PREVOD Z UCTU	5163	22992	DUCHOD	KL	47449284
94299	321	1995-07-07	PRIJEM	PREVOD Z UCTU	5163	26357	DUCHOD	KL	47449284
94300	321	1995-08-07	PRIJEM	PREVOD Z UCTU	5163	27737	DUCHOD	KL	47449284
94301	321	1995-09-07	PRIJEM	PREVOD Z UCTU	5163	25323	DUCHOD	KL	47449284
94302	321	1995-10-07	PRIJEM	PREVOD Z UCTU	5163	28102	DUCHOD	KL	47449284
94303	321	1995-11-07	PRIJEM	PREVOD Z UCTU	5163	27788	DUCHOD	KL	47449284
94304	321	1995-12-07	PRIJEM	PREVOD Z UCTU	5163	27176	DUCHOD	KL	47449284
94305	321	1996-01-07	PRIJEM	PREVOD Z UCTU	5163	28849	DUCHOD	KL	47449284
94306	321	1996-02-07	PRIJEM	PREVOD Z UCTU	5163	26065	DUCHOD	KL	47449284
94307	321	1996-03-07	PRIJEM	PREVOD Z UCTU	5163	29443	DUCHOD	KL	47449284
94308	321	1996-04-07	PRIJEM	PREVOD Z UCTU	5163	29071	DUCHOD	KL	47449284
94309	321	1996-05-07	PRIJEM	PREVOD Z UCTU	5163	32462	DUCHOD	KL	47449284
94310	321	1996-06-07	PRIJEM	PREVOD Z UCTU	5163	35766	DUCHOD	KL	47449284
94311	321	1996-07-07	PRIJEM	PREVOD Z UCTU	5163	24748	DUCHOD	KL	47449284
94312	321	1996-08-07	PRIJEM	PREVOD Z UCTU	5163	27081	DUCHOD	KL	47449284
94313	321	1996-09-07	PRIJEM	PREVOD Z UCTU	5163	30463	DUCHOD	KL	47449284
94314	321	1996-10-07	PRIJEM	PREVOD Z UCTU	5163	33859	DUCHOD	KL	47449284
94315	321	1996-11-07	PRIJEM	PREVOD Z UCTU	5163	36468	DUCHOD	KL	47449284
94316	321	1996-12-07	PRIJEM	PREVOD Z UCTU	5163	35385	DUCHOD	KL	47449284
94317	321	1997-01-07	PRIJEM	PREVOD Z UCTU	5163	33797	DUCHOD	KL	47449284
94318	321	1997-02-07	PRIJEM	PREVOD Z UCTU	5163	23429	DUCHOD	KL	47449284
94319	321	1997-03-07	PRIJEM	PREVOD Z UCTU	5163	23908	DUCHOD	KL	47449284
94320	321	1997-04-07	PRIJEM	PREVOD Z UCTU	5163	27277	DUCHOD	KL	47449284
94321	321	1997-05-07	PRIJEM	PREVOD Z UCTU	5163	26818	DUCHOD	KL	47449284
94322	321	1997-06-07	PRIJEM	PREVOD Z UCTU	5163	30199	DUCHOD	KL	47449284
94323	321	1997-07-07	PRIJEM	PREVOD Z UCTU	5163	24777	DUCHOD	KL	47449284
94324	321	1997-08-07	PRIJEM	PREVOD Z UCTU	5163	28149	DUCHOD	KL	47449284
94325	321	1997-09-07	PRIJEM	PREVOD Z UCTU	5163	28489	DUCHOD	KL	47449284
94326	321	1997-10-07	PRIJEM	PREVOD Z UCTU	5163	31876	DUCHOD	KL	47449284
94327	321	1997-11-07	PRIJEM	PREVOD Z UCTU	5163	35277	DUCHOD	KL	47449284
94328	321	1997-12-07	PRIJEM	PREVOD Z UCTU	5163	38693	DUCHOD	KL	47449284
94329	321	1998-01-07	PRIJEM	PREVOD Z UCTU	5163	33239	DUCHOD	KL	47449284
94330	321	1998-02-07	PRIJEM	PREVOD Z UCTU	5163	28788	DUCHOD	KL	47449284
94331	321	1998-03-07	PRIJEM	PREVOD Z UCTU	5163	30192	DUCHOD	KL	47449284
94332	321	1998-04-07	PRIJEM	PREVOD Z UCTU	5163	28699	DUCHOD	KL	47449284
94333	321	1998-05-07	PRIJEM	PREVOD Z UCTU	5163	27779	DUCHOD	KL	47449284
94334	321	1998-06-07	PRIJEM	PREVOD Z UCTU	5163	25453	DUCHOD	KL	47449284
94335	321	1998-07-07	PRIJEM	PREVOD Z UCTU	5163	21194	DUCHOD	KL	47449284
94336	321	1998-08-07	PRIJEM	PREVOD Z UCTU	5163	22302	DUCHOD	KL	47449284
94337	321	1998-09-07	PRIJEM	PREVOD Z UCTU	5163	20753	DUCHOD	KL	47449284
94338	321	1998-10-07	PRIJEM	PREVOD Z UCTU	5163	19998	DUCHOD	KL	47449284
94339	321	1998-11-07	PRIJEM	PREVOD Z UCTU	5163	23349	DUCHOD	KL	47449284
94340	321	1998-12-07	PRIJEM	PREVOD Z UCTU	5163	18595	DUCHOD	KL	47449284
94357	321	1994-05-06	VYDAJ	PREVOD NA UCET	1876	19897	SIPO	UV	44067668
94358	321	1994-06-06	VYDAJ	PREVOD NA UCET	1876	21566	SIPO	UV	44067668
94359	321	1994-07-06	VYDAJ	PREVOD NA UCET	1876	14053	SIPO	UV	44067668
94360	321	1994-08-06	VYDAJ	PREVOD NA UCET	1876	13555	SIPO	UV	44067668
94361	321	1994-09-06	VYDAJ	PREVOD NA UCET	1876	16903	SIPO	UV	44067668
94362	321	1994-10-06	VYDAJ	PREVOD NA UCET	1876	20265	SIPO	UV	44067668
94363	321	1994-11-06	VYDAJ	PREVOD NA UCET	1876	20198	SIPO	UV	44067668
94364	321	1994-12-06	VYDAJ	PREVOD NA UCET	1876	23573	SIPO	UV	44067668
94365	321	1995-01-06	VYDAJ	PREVOD NA UCET	1876	20186	SIPO	UV	44067668
94366	321	1995-02-06	VYDAJ	PREVOD NA UCET	1876	13149	SIPO	UV	44067668
94367	321	1995-03-06	VYDAJ	PREVOD NA UCET	1876	12652	SIPO	UV	44067668
94368	321	1995-04-06	VYDAJ	PREVOD NA UCET	1876	15996	SIPO	UV	44067668
94369	321	1995-05-06	VYDAJ	PREVOD NA UCET	1876	18074	SIPO	UV	44067668
94370	321	1995-06-06	VYDAJ	PREVOD NA UCET	1876	17829	SIPO	UV	44067668
94371	321	1995-07-06	VYDAJ	PREVOD NA UCET	1876	21194	SIPO	UV	44067668
94372	321	1995-08-06	VYDAJ	PREVOD NA UCET	1876	22574	SIPO	UV	44067668
94373	321	1995-09-06	VYDAJ	PREVOD NA UCET	1876	20160	SIPO	UV	44067668
94374	321	1995-10-06	VYDAJ	PREVOD NA UCET	1876	22939	SIPO	UV	44067668
94375	321	1995-11-06	VYDAJ	PREVOD NA UCET	1876	22625	SIPO	UV	44067668
94376	321	1995-12-06	VYDAJ	PREVOD NA UCET	1876	22013	SIPO	UV	44067668
94377	321	1996-01-06	VYDAJ	PREVOD NA UCET	1876	23686	SIPO	UV	44067668
94378	321	1996-02-06	VYDAJ	PREVOD NA UCET	1876	20902	SIPO	UV	44067668
94379	321	1996-03-06	VYDAJ	PREVOD NA UCET	1876	24280	SIPO	UV	44067668
94380	321	1996-04-06	VYDAJ	PREVOD NA UCET	1876	23908	SIPO	UV	44067668
94381	321	1996-05-06	VYDAJ	PREVOD NA UCET	1876	27299	SIPO	UV	44067668
94382	321	1996-06-06	VYDAJ	PREVOD NA UCET	1876	30603	SIPO	UV	44067668
94383	321	1996-07-06	VYDAJ	PREVOD NA UCET	1876	19585	SIPO	UV	44067668
94384	321	1996-08-06	VYDAJ	PREVOD NA UCET	1876	22958	SIPO	UV	44067668
94385	321	1996-09-06	VYDAJ	PREVOD NA UCET	1876	25300	SIPO	UV	44067668
94386	321	1996-10-06	VYDAJ	PREVOD NA UCET	1876	28696	SIPO	UV	44067668
94387	321	1996-11-06	VYDAJ	PREVOD NA UCET	1876	31305	SIPO	UV	44067668
94388	321	1996-12-06	VYDAJ	PREVOD NA UCET	1876	30222	SIPO	UV	44067668
94389	321	1997-01-06	VYDAJ	PREVOD NA UCET	1876	28634	SIPO	UV	44067668
94390	321	1997-02-06	VYDAJ	PREVOD NA UCET	1876	18266	SIPO	UV	44067668
94391	321	1997-03-06	VYDAJ	PREVOD NA UCET	1876	18745	SIPO	UV	44067668
94392	321	1997-04-06	VYDAJ	PREVOD NA UCET	1876	22114	SIPO	UV	44067668
94393	321	1997-05-06	VYDAJ	PREVOD NA UCET	1876	21655	SIPO	UV	44067668
94394	321	1997-06-06	VYDAJ	PREVOD NA UCET	1876	25036	SIPO	UV	44067668
94395	321	1997-07-06	VYDAJ	PREVOD NA UCET	1876	19614	SIPO	UV	44067668
94396	321	1997-08-06	VYDAJ	PREVOD NA UCET	1876	22986	SIPO	UV	44067668
94397	321	1997-09-06	VYDAJ	PREVOD NA UCET	1876	23326	SIPO	UV	44067668
94398	321	1997-10-06	VYDAJ	PREVOD NA UCET	1876	26713	SIPO	UV	44067668
94399	321	1997-11-06	VYDAJ	PREVOD NA UCET	1876	30114	SIPO	UV	44067668
94400	321	1997-12-06	VYDAJ	PREVOD NA UCET	1876	33530	SIPO	UV	44067668
94401	321	1998-01-06	VYDAJ	PREVOD NA UCET	1876	28076	SIPO	UV	44067668
94402	321	1998-02-06	VYDAJ	PREVOD NA UCET	1876	23625	SIPO	UV	44067668
94403	321	1998-03-06	VYDAJ	PREVOD NA UCET	1876	25029	SIPO	UV	44067668
94404	321	1998-04-06	VYDAJ	PREVOD NA UCET	1876	23536	SIPO	UV	44067668
94405	321	1998-05-06	VYDAJ	PREVOD NA UCET	1876	22616	SIPO	UV	44067668
94406	321	1998-06-06	VYDAJ	PREVOD NA UCET	1876	20290	SIPO	UV	44067668
94407	321	1998-07-06	VYDAJ	PREVOD NA UCET	1876	16031	SIPO	UV	44067668
94408	321	1998-08-06	VYDAJ	PREVOD NA UCET	1876	17139	SIPO	UV	44067668
94409	321	1998-09-06	VYDAJ	PREVOD NA UCET	1876	15590	SIPO	UV	44067668
94410	321	1998-10-06	VYDAJ	PREVOD NA UCET	1876	14835	SIPO	UV	44067668
94411	321	1998-11-06	VYDAJ	PREVOD NA UCET	1876	18186	SIPO	UV	44067668
94412	321	1998-12-06	VYDAJ	PREVOD NA UCET	1876	13432	SIPO	UV	44067668
94414	321	1994-06-24	VYDAJ	VYBER	9200	15849	\N	\N	\N
94416	321	1996-06-08	VYDAJ	VYBER	8400	27366	\N	\N	\N
94417	321	1997-06-18	VYDAJ	VYBER	8800	21399	\N	\N	\N
94420	321	1994-12-28	VYDAJ	VYBER	950	26286	\N	\N	\N
94421	321	1995-12-17	VYDAJ	VYBER	1150	26026	\N	\N	\N
94422	321	1996-12-04	VYDAJ	VYBER	500	32098	\N	\N	\N
94423	321	1997-12-27	VYDAJ	VYBER	350	32703	\N	\N	\N
94424	321	1998-12-13	VYDAJ	VYBER	700	17895	\N	\N	\N
94437	321	1995-01-13	VYDAJ	VYBER	1280	22149	\N	\N	\N
94438	321	1995-01-25	VYDAJ	VYBER	2080	18469	\N	\N	\N
94439	321	1995-01-10	VYDAJ	VYBER	1920	23429	\N	\N	\N
94440	321	1995-01-17	VYDAJ	VYBER	1600	20549	\N	\N	\N
94441	321	1995-01-04	VYDAJ	VYBER	2240	22062	\N	\N	\N
94442	321	1995-01-01	VYDAJ	VYBER	2080	24302	\N	\N	\N
94443	321	1996-01-14	VYDAJ	VYBER	480	24689	\N	\N	\N
94444	321	1996-01-13	VYDAJ	VYBER	2080	26769	\N	\N	\N
94445	321	1996-01-01	VYDAJ	VYBER	560	25562	\N	\N	\N
94446	321	1996-01-26	VYDAJ	VYBER	1280	22689	\N	\N	\N
94447	321	1996-01-17	VYDAJ	VYBER	720	23969	\N	\N	\N
94448	321	1996-01-13	VYDAJ	VYBER	1600	25169	\N	\N	\N
94449	321	1997-01-27	VYDAJ	VYBER	2080	24357	\N	\N	\N
94450	321	1997-01-08	VYDAJ	VYBER	2000	31157	\N	\N	\N
94451	321	1997-01-12	VYDAJ	VYBER	480	30677	\N	\N	\N
94452	321	1997-01-07	VYDAJ	VYBER	640	33157	\N	\N	\N
94453	321	1997-01-18	VYDAJ	VYBER	1920	28757	\N	\N	\N
94454	321	1997-01-21	VYDAJ	VYBER	2320	26437	\N	\N	\N
94455	321	1998-01-01	VYDAJ	VYBER	1440	30752	\N	\N	\N
94456	321	1998-01-14	VYDAJ	VYBER	1840	29559	\N	\N	\N
94457	321	1998-01-16	VYDAJ	VYBER	1440	28119	\N	\N	\N
94458	321	1998-01-01	VYDAJ	VYBER	640	32192	\N	\N	\N
94459	321	1998-01-11	VYDAJ	VYBER	1840	31399	\N	\N	\N
94460	321	1998-01-05	VYDAJ	VYBER	800	29952	\N	\N	\N
94465	321	1994-04-19	VYDAJ	VYBER	2160	21695	\N	\N	\N
94466	321	1994-10-26	VYDAJ	VYBER	3440	21988	\N	\N	\N
94468	321	1994-06-10	VYDAJ	VYBER	1680	25049	\N	\N	\N
94469	321	1994-04-11	VYDAJ	VYBER	2720	23855	\N	\N	\N
94470	321	1994-07-17	VYDAJ	VYBER	3840	15376	\N	\N	\N
94472	321	1995-02-25	VYDAJ	VYBER	3840	14472	\N	\N	\N
94473	321	1995-05-01	VYDAJ	VYBER	1280	19950	\N	\N	\N
94474	321	1995-05-08	VYDAJ	VYBER	3600	19637	\N	\N	\N
94475	321	1995-01-25	VYDAJ	VYBER	3520	14949	\N	\N	\N
94476	321	1996-08-06	VYDAJ	VYBER	1040	21918	\N	\N	\N
94477	321	1996-06-29	VYDAJ	VYBER	3280	21366	\N	\N	\N
94478	321	1996-03-25	VYDAJ	VYBER	3760	25683	\N	\N	\N
94479	321	1996-06-09	VYDAJ	VYBER	2720	24646	\N	\N	\N
94480	321	1996-10-21	VYDAJ	VYBER	800	33059	\N	\N	\N
94481	321	1997-02-04	VYDAJ	VYBER	2640	20142	\N	\N	\N
94482	321	1997-08-19	VYDAJ	VYBER	3040	25109	\N	\N	\N
94483	321	1997-02-03	VYDAJ	VYBER	1680	22782	\N	\N	\N
94484	321	1997-12-12	VYDAJ	VYBER	2880	35813	\N	\N	\N
94485	321	1997-12-18	VYDAJ	VYBER	1760	34053	\N	\N	\N
94486	321	1997-02-10	VYDAJ	VYBER	2880	20549	\N	\N	\N
94487	321	1997-04-30	VYDAJ	VYBER	3840	23546	\N	\N	\N
94489	321	1998-02-10	VYDAJ	VYBER	880	27908	\N	\N	\N
94490	321	1998-06-28	VYDAJ	VYBER	720	17833	\N	\N	\N
94491	321	1998-03-29	VYDAJ	VYBER	1280	25312	\N	\N	\N
94492	321	1998-07-08	VYDAJ	VYBER	2240	18954	\N	\N	\N
94493	321	1998-01-19	VYDAJ	VYBER	2720	25399	\N	\N	\N
94510	321	1994-04-30	VYDAJ	VYBER	15	21773	SLUZBY	\N	\N
94511	321	1994-05-31	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
94512	321	1994-06-30	VYDAJ	VYBER	15	15929	SLUZBY	\N	\N
94513	321	1994-07-31	VYDAJ	VYBER	15	15431	SLUZBY	\N	\N
94514	321	1994-08-31	VYDAJ	VYBER	15	18779	SLUZBY	\N	\N
94515	321	1994-09-30	VYDAJ	VYBER	15	22141	SLUZBY	\N	\N
94516	321	1994-10-31	VYDAJ	VYBER	15	22074	SLUZBY	\N	\N
94517	321	1994-11-30	VYDAJ	VYBER	15	25449	SLUZBY	\N	\N
94518	321	1994-12-31	VYDAJ	VYBER	15	26382	SLUZBY	\N	\N
94519	321	1995-01-31	VYDAJ	VYBER	15	15025	SLUZBY	\N	\N
94520	321	1995-02-28	VYDAJ	VYBER	15	14528	SLUZBY	\N	\N
94521	321	1995-03-31	VYDAJ	VYBER	15	17872	SLUZBY	\N	\N
94522	321	1995-04-30	VYDAJ	VYBER	15	21230	SLUZBY	\N	\N
94523	321	1995-05-31	VYDAJ	VYBER	15	19705	SLUZBY	\N	\N
94524	321	1995-06-30	VYDAJ	VYBER	15	23070	SLUZBY	\N	\N
94525	321	1995-07-31	VYDAJ	VYBER	15	26450	SLUZBY	\N	\N
94526	321	1995-08-31	VYDAJ	VYBER	15	27836	SLUZBY	\N	\N
94527	321	1995-09-30	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
94528	321	1995-10-31	VYDAJ	VYBER	15	28201	SLUZBY	\N	\N
94529	321	1995-11-30	VYDAJ	VYBER	15	27889	SLUZBY	\N	\N
94530	321	1995-12-31	VYDAJ	VYBER	15	26122	SLUZBY	\N	\N
94531	321	1996-01-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
94532	321	1996-02-29	VYDAJ	VYBER	15	26156	SLUZBY	\N	\N
94533	321	1996-03-31	VYDAJ	VYBER	15	25784	SLUZBY	\N	\N
94534	321	1996-04-30	VYDAJ	VYBER	15	29175	SLUZBY	\N	\N
94535	321	1996-05-31	VYDAJ	VYBER	15	32479	SLUZBY	\N	\N
94536	321	1996-06-30	VYDAJ	VYBER	15	21461	SLUZBY	\N	\N
94537	321	1996-07-31	VYDAJ	VYBER	15	24834	SLUZBY	\N	\N
94538	321	1996-08-31	VYDAJ	VYBER	15	27176	SLUZBY	\N	\N
94539	321	1996-09-30	VYDAJ	VYBER	15	30572	SLUZBY	\N	\N
94540	321	1996-10-31	VYDAJ	VYBER	15	33181	SLUZBY	\N	\N
94541	321	1996-11-30	VYDAJ	VYBER	15	32598	SLUZBY	\N	\N
94542	321	1996-12-31	VYDAJ	VYBER	15	30510	SLUZBY	\N	\N
94543	321	1997-01-31	VYDAJ	VYBER	15	24462	SLUZBY	\N	\N
94544	321	1997-02-28	VYDAJ	VYBER	15	20621	SLUZBY	\N	\N
94545	321	1997-03-31	VYDAJ	VYBER	15	23990	SLUZBY	\N	\N
94546	321	1997-04-30	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
94547	321	1997-05-31	VYDAJ	VYBER	15	26912	SLUZBY	\N	\N
94548	321	1997-06-30	VYDAJ	VYBER	15	21490	SLUZBY	\N	\N
94549	321	1997-07-31	VYDAJ	VYBER	15	24862	SLUZBY	\N	\N
94550	321	1997-08-31	VYDAJ	VYBER	15	25202	SLUZBY	\N	\N
94551	321	1997-09-30	VYDAJ	VYBER	15	28589	SLUZBY	\N	\N
94552	321	1997-10-31	VYDAJ	VYBER	15	31990	SLUZBY	\N	\N
94553	321	1997-11-30	VYDAJ	VYBER	15	35406	SLUZBY	\N	\N
94554	321	1997-12-31	VYDAJ	VYBER	15	32832	SLUZBY	\N	\N
94555	321	1998-01-31	VYDAJ	VYBER	15	25501	SLUZBY	\N	\N
94556	321	1998-02-28	VYDAJ	VYBER	15	26905	SLUZBY	\N	\N
94557	321	1998-03-31	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
94558	321	1998-04-30	VYDAJ	VYBER	15	24492	SLUZBY	\N	\N
94559	321	1998-05-31	VYDAJ	VYBER	15	22166	SLUZBY	\N	\N
94560	321	1998-06-30	VYDAJ	VYBER	15	17907	SLUZBY	\N	\N
94561	321	1998-07-31	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
94562	321	1998-08-31	VYDAJ	VYBER	15	17466	SLUZBY	\N	\N
94563	321	1998-09-30	VYDAJ	VYBER	15	16711	SLUZBY	\N	\N
94564	321	1998-10-31	VYDAJ	VYBER	15	20062	SLUZBY	\N	\N
94565	321	1998-11-30	VYDAJ	VYBER	15	15308	SLUZBY	\N	\N
94566	321	1994-03-11	VYDAJ	VYBER	400	21352	\N	\N	\N
94567	321	1994-05-10	VYDAJ	VYBER	1700	23360	\N	\N	\N
94568	321	1994-12-06	VYDAJ	VYBER	1500	22073	\N	\N	\N
94569	321	1995-08-03	VYDAJ	VYBER	2000	24450	\N	\N	\N
94570	321	1995-09-02	VYDAJ	VYBER	5800	22036	\N	\N	\N
94571	321	1995-10-02	VYDAJ	VYBER	600	24815	\N	\N	\N
94572	321	1995-11-01	VYDAJ	VYBER	3700	24501	\N	\N	\N
94573	321	1995-12-01	VYDAJ	VYBER	4000	23889	\N	\N	\N
94574	321	1996-05-29	VYDAJ	VYBER	100	32362	\N	\N	\N
94575	321	1996-11-25	VYDAJ	VYBER	4000	32468	\N	\N	\N
94576	321	1996-12-25	VYDAJ	VYBER	5000	30385	\N	\N	\N
94577	321	1997-12-20	VYDAJ	VYBER	1000	33053	\N	\N	\N
94578	321	1998-02-18	VYDAJ	VYBER	1100	26808	\N	\N	\N
94579	321	1998-03-20	VYDAJ	VYBER	3600	26592	\N	\N	\N
94580	321	1998-04-19	VYDAJ	VYBER	4300	24399	\N	\N	\N
94581	321	1998-05-19	VYDAJ	VYBER	5700	22079	\N	\N	\N
94582	321	1998-06-18	VYDAJ	VYBER	6900	18553	\N	\N	\N
94583	321	1998-08-17	VYDAJ	VYBER	4900	17402	\N	\N	\N
94584	321	1998-09-16	VYDAJ	VYBER	4100	16653	\N	\N	\N
94585	321	1998-11-15	VYDAJ	VYBER	8100	15249	\N	\N	\N
94644	322	1993-02-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
94647	322	1993-03-13	PRIJEM	VKLAD	16646	17646	\N	\N	\N
94648	322	1993-04-13	PRIJEM	VKLAD	16646	37921	\N	\N	\N
94649	322	1993-05-13	PRIJEM	VKLAD	16646	48770	\N	\N	\N
94650	322	1993-06-13	PRIJEM	VKLAD	24969	59676	\N	\N	\N
94651	322	1993-07-13	PRIJEM	VKLAD	16646	56875	\N	\N	\N
94652	322	1993-08-13	PRIJEM	VKLAD	16646	49522	\N	\N	\N
94653	322	1993-09-13	PRIJEM	VKLAD	16646	49075	\N	\N	\N
94654	322	1993-10-13	PRIJEM	VKLAD	16646	46420	\N	\N	\N
94655	322	1993-11-13	PRIJEM	VKLAD	16646	44756	\N	\N	\N
94656	322	1993-12-13	PRIJEM	VKLAD	24969	54513	\N	\N	\N
94657	322	1994-01-13	PRIJEM	VKLAD	16646	44521	\N	\N	\N
94658	322	1994-02-13	PRIJEM	VKLAD	16646	31323	\N	\N	\N
94659	322	1994-03-13	PRIJEM	VKLAD	16646	40815	\N	\N	\N
94660	322	1994-04-13	PRIJEM	VKLAD	16646	37990	\N	\N	\N
94661	322	1994-05-13	PRIJEM	VKLAD	16646	43703	\N	\N	\N
94662	322	1994-06-13	PRIJEM	VKLAD	24969	55258	\N	\N	\N
94663	322	1994-07-13	PRIJEM	VKLAD	16646	49904	\N	\N	\N
94664	322	1994-08-13	PRIJEM	VKLAD	16646	47448	\N	\N	\N
94665	322	1994-09-13	PRIJEM	VKLAD	16646	44679	\N	\N	\N
94666	322	1994-10-13	PRIJEM	VKLAD	16646	46028	\N	\N	\N
94667	322	1994-11-13	PRIJEM	VKLAD	16646	44584	\N	\N	\N
94668	322	1994-12-13	PRIJEM	VKLAD	24969	53288	\N	\N	\N
94669	322	1995-01-13	PRIJEM	VKLAD	16646	49122	\N	\N	\N
94670	322	1995-02-13	PRIJEM	VKLAD	16646	41409	\N	\N	\N
94671	322	1995-03-13	PRIJEM	VKLAD	16646	43338	\N	\N	\N
94672	322	1995-04-13	PRIJEM	VKLAD	16646	42187	\N	\N	\N
94673	322	1995-05-13	PRIJEM	VKLAD	16646	35015	\N	\N	\N
94674	322	1995-06-13	PRIJEM	VKLAD	24969	43616	\N	\N	\N
94675	322	1995-07-13	PRIJEM	VKLAD	16646	43352	\N	\N	\N
94676	322	1995-08-13	PRIJEM	VKLAD	16646	46006	\N	\N	\N
94677	322	1995-09-13	PRIJEM	VKLAD	16646	45201	\N	\N	\N
94678	322	1995-10-13	PRIJEM	VKLAD	16646	47856	\N	\N	\N
94679	322	1995-11-13	PRIJEM	VKLAD	16646	46922	\N	\N	\N
94680	322	1995-12-13	PRIJEM	VKLAD	24969	57507	\N	\N	\N
94681	322	1996-01-13	PRIJEM	VKLAD	16646	49016	\N	\N	\N
94682	322	1996-02-13	PRIJEM	VKLAD	16646	35036	\N	\N	\N
94683	322	1996-03-13	PRIJEM	VKLAD	16646	45340	\N	\N	\N
94684	322	1996-04-13	PRIJEM	VKLAD	16646	44990	\N	\N	\N
94685	322	1996-05-13	PRIJEM	VKLAD	16646	37759	\N	\N	\N
94686	322	1996-06-13	PRIJEM	VKLAD	24969	50709	\N	\N	\N
94687	322	1996-07-13	PRIJEM	VKLAD	16646	43966	\N	\N	\N
94688	322	1996-08-13	PRIJEM	VKLAD	16646	38729	\N	\N	\N
94689	322	1996-09-13	PRIJEM	VKLAD	16646	40051	\N	\N	\N
94690	322	1996-10-13	PRIJEM	VKLAD	16646	40960	\N	\N	\N
94691	322	1996-11-13	PRIJEM	VKLAD	16646	39888	\N	\N	\N
94692	322	1996-12-13	PRIJEM	VKLAD	24969	47641	\N	\N	\N
94693	322	1997-01-13	PRIJEM	VKLAD	16646	33043	\N	\N	\N
94694	322	1997-02-13	PRIJEM	VKLAD	16646	35672	\N	\N	\N
94695	322	1997-03-13	PRIJEM	VKLAD	16646	35681	\N	\N	\N
94696	322	1997-04-13	PRIJEM	VKLAD	16646	34691	\N	\N	\N
94697	322	1997-05-13	PRIJEM	VKLAD	16646	34796	\N	\N	\N
94698	322	1997-06-13	PRIJEM	VKLAD	24969	42244	\N	\N	\N
94699	322	1997-07-13	PRIJEM	VKLAD	16646	39162	\N	\N	\N
94700	322	1997-08-13	PRIJEM	VKLAD	16646	37719	\N	\N	\N
94701	322	1997-09-13	PRIJEM	VKLAD	16646	39128	\N	\N	\N
94702	322	1997-10-13	PRIJEM	VKLAD	16646	39747	\N	\N	\N
94703	322	1997-11-13	PRIJEM	VKLAD	16646	37366	\N	\N	\N
94704	322	1997-12-13	PRIJEM	VKLAD	24969	40249	\N	\N	\N
94705	322	1998-01-13	PRIJEM	VKLAD	16646	32474	\N	\N	\N
94706	322	1998-02-13	PRIJEM	VKLAD	16646	28570	\N	\N	\N
94707	322	1998-03-13	PRIJEM	VKLAD	16646	29642	\N	\N	\N
94708	322	1998-04-13	PRIJEM	VKLAD	16646	27974	\N	\N	\N
94709	322	1998-05-13	PRIJEM	VKLAD	16646	27242	\N	\N	\N
94710	322	1998-06-13	PRIJEM	VKLAD	24969	37498	\N	\N	\N
94711	322	1998-07-13	PRIJEM	VKLAD	16646	33986	\N	\N	\N
94712	322	1998-08-13	PRIJEM	VKLAD	16646	30673	\N	\N	\N
94713	322	1998-09-13	PRIJEM	VKLAD	16646	27845	\N	\N	\N
94714	322	1998-10-13	PRIJEM	VKLAD	16646	38020	\N	\N	\N
94715	322	1998-11-13	PRIJEM	VKLAD	16646	32517	\N	\N	\N
94716	322	1998-12-13	PRIJEM	VKLAD	24969	38417	\N	\N	\N
94724	322	1993-08-06	VYDAJ	PREVOD NA UCET	6550	32876	SIPO	ST	4537106
94725	322	1993-09-06	VYDAJ	PREVOD NA UCET	6550	32429	SIPO	ST	4537106
94726	322	1993-10-06	VYDAJ	PREVOD NA UCET	6550	29774	SIPO	ST	4537106
94727	322	1993-11-06	VYDAJ	PREVOD NA UCET	6550	28110	SIPO	ST	4537106
94728	322	1993-12-06	VYDAJ	PREVOD NA UCET	6550	29544	SIPO	ST	4537106
94729	322	1994-01-06	VYDAJ	PREVOD NA UCET	6550	28835	SIPO	ST	4537106
94730	322	1994-02-06	VYDAJ	PREVOD NA UCET	6550	14677	SIPO	ST	4537106
94731	322	1994-03-06	VYDAJ	PREVOD NA UCET	6550	24169	SIPO	ST	4537106
94732	322	1994-04-06	VYDAJ	PREVOD NA UCET	6550	21344	SIPO	ST	4537106
94733	322	1994-05-06	VYDAJ	PREVOD NA UCET	6550	27057	SIPO	ST	4537106
94734	322	1994-06-06	VYDAJ	PREVOD NA UCET	6550	30289	SIPO	ST	4537106
94735	322	1994-07-06	VYDAJ	PREVOD NA UCET	6550	33258	SIPO	ST	4537106
94736	322	1994-08-06	VYDAJ	PREVOD NA UCET	6550	30802	SIPO	ST	4537106
94737	322	1994-09-06	VYDAJ	PREVOD NA UCET	6550	28033	SIPO	ST	4537106
94738	322	1994-10-06	VYDAJ	PREVOD NA UCET	6550	29382	SIPO	ST	4537106
94739	322	1994-11-06	VYDAJ	PREVOD NA UCET	6550	31538	SIPO	ST	4537106
94740	322	1994-12-06	VYDAJ	PREVOD NA UCET	6550	29419	SIPO	ST	4537106
94741	322	1995-01-06	VYDAJ	PREVOD NA UCET	6550	41916	SIPO	ST	4537106
94742	322	1995-02-06	VYDAJ	PREVOD NA UCET	6550	22363	SIPO	ST	4537106
94743	322	1995-03-06	VYDAJ	PREVOD NA UCET	6550	34992	SIPO	ST	4537106
94744	322	1995-04-06	VYDAJ	PREVOD NA UCET	6550	32741	SIPO	ST	4537106
94745	322	1995-05-06	VYDAJ	PREVOD NA UCET	6550	31349	SIPO	ST	4537106
94746	322	1995-06-06	VYDAJ	PREVOD NA UCET	6550	24147	SIPO	ST	4537106
94747	322	1995-07-06	VYDAJ	PREVOD NA UCET	6550	37206	SIPO	ST	4537106
94748	322	1995-08-06	VYDAJ	PREVOD NA UCET	6550	36960	SIPO	ST	4537106
94749	322	1995-09-06	VYDAJ	PREVOD NA UCET	6550	36255	SIPO	ST	4537106
94750	322	1995-10-06	VYDAJ	PREVOD NA UCET	6550	38810	SIPO	ST	4537106
94854	322	1996-04-28	VYDAJ	VYBER	3360	41630	\N	\N	\N
94751	322	1995-11-06	VYDAJ	PREVOD NA UCET	6550	41476	SIPO	ST	4537106
94752	322	1995-12-06	VYDAJ	PREVOD NA UCET	6550	39938	SIPO	ST	4537106
94753	322	1996-01-06	VYDAJ	PREVOD NA UCET	6550	49070	SIPO	ST	4537106
94754	322	1996-02-06	VYDAJ	PREVOD NA UCET	6550	18390	SIPO	ST	4537106
94755	322	1996-03-06	VYDAJ	PREVOD NA UCET	6550	28694	SIPO	ST	4537106
94756	322	1996-04-06	VYDAJ	PREVOD NA UCET	6550	28344	SIPO	ST	4537106
94757	322	1996-05-06	VYDAJ	PREVOD NA UCET	6550	24833	SIPO	ST	4537106
94758	322	1996-06-06	VYDAJ	PREVOD NA UCET	6550	25740	SIPO	ST	4537106
94759	322	1996-07-06	VYDAJ	PREVOD NA UCET	6550	27320	SIPO	ST	4537106
94760	322	1996-08-06	VYDAJ	PREVOD NA UCET	6550	22083	SIPO	ST	4537106
94761	322	1996-09-06	VYDAJ	PREVOD NA UCET	6550	23405	SIPO	ST	4537106
94762	322	1996-10-06	VYDAJ	PREVOD NA UCET	6550	24314	SIPO	ST	4537106
94763	322	1996-11-06	VYDAJ	PREVOD NA UCET	6550	23242	SIPO	ST	4537106
94764	322	1996-12-06	VYDAJ	PREVOD NA UCET	6550	22672	SIPO	ST	4537106
94765	322	1997-01-06	VYDAJ	PREVOD NA UCET	6550	16997	SIPO	ST	4537106
94766	322	1997-02-06	VYDAJ	PREVOD NA UCET	6550	19026	SIPO	ST	4537106
94767	322	1997-03-06	VYDAJ	PREVOD NA UCET	6550	19035	SIPO	ST	4537106
94768	322	1997-04-06	VYDAJ	PREVOD NA UCET	6550	18045	SIPO	ST	4537106
94769	322	1997-05-06	VYDAJ	PREVOD NA UCET	6550	18150	SIPO	ST	4537106
94770	322	1997-06-06	VYDAJ	PREVOD NA UCET	6550	17275	SIPO	ST	4537106
94771	322	1997-07-06	VYDAJ	PREVOD NA UCET	6550	22516	SIPO	ST	4537106
94772	322	1997-08-06	VYDAJ	PREVOD NA UCET	6550	21073	SIPO	ST	4537106
94773	322	1997-09-06	VYDAJ	PREVOD NA UCET	6550	22482	SIPO	ST	4537106
94774	322	1997-10-06	VYDAJ	PREVOD NA UCET	6550	23101	SIPO	ST	4537106
94775	322	1997-11-06	VYDAJ	PREVOD NA UCET	6550	20720	SIPO	ST	4537106
94776	322	1997-12-06	VYDAJ	PREVOD NA UCET	6550	15280	SIPO	ST	4537106
94777	322	1998-01-06	VYDAJ	PREVOD NA UCET	6550	15828	SIPO	ST	4537106
94778	322	1998-02-06	VYDAJ	PREVOD NA UCET	6550	11924	SIPO	ST	4537106
94779	322	1998-03-06	VYDAJ	PREVOD NA UCET	6550	12996	SIPO	ST	4537106
94780	322	1998-04-06	VYDAJ	PREVOD NA UCET	6550	11328	SIPO	ST	4537106
94781	322	1998-05-06	VYDAJ	PREVOD NA UCET	6550	10596	SIPO	ST	4537106
94782	322	1998-06-06	VYDAJ	PREVOD NA UCET	6550	12529	SIPO	ST	4537106
94783	322	1998-07-06	VYDAJ	PREVOD NA UCET	6550	17340	SIPO	ST	4537106
94784	322	1998-08-06	VYDAJ	PREVOD NA UCET	6550	14027	SIPO	ST	4537106
94785	322	1998-09-06	VYDAJ	PREVOD NA UCET	6550	11199	SIPO	ST	4537106
94786	322	1998-10-06	VYDAJ	PREVOD NA UCET	6550	21374	SIPO	ST	4537106
94787	322	1998-11-06	VYDAJ	PREVOD NA UCET	6550	15871	SIPO	ST	4537106
94788	322	1998-12-06	VYDAJ	PREVOD NA UCET	6550	13448	SIPO	ST	4537106
94793	322	1997-06-03	VYDAJ	VYBER	6080	23825	\N	\N	\N
94794	322	1998-06-05	VYDAJ	VYBER	7520	19079	\N	\N	\N
94796	322	1994-01-16	VYDAJ	VYBER	13280	31241	\N	\N	\N
94797	322	1995-01-23	VYDAJ	VYBER	12800	28762	\N	\N	\N
94798	322	1996-01-16	VYDAJ	VYBER	12160	33616	\N	\N	\N
94801	322	1993-12-21	VYDAJ	VYBER	3040	38473	\N	\N	\N
94802	322	1994-12-28	VYDAJ	VYBER	800	52488	\N	\N	\N
94803	322	1995-12-25	VYDAJ	VYBER	2080	55427	\N	\N	\N
94804	322	1996-12-23	VYDAJ	VYBER	3520	44121	\N	\N	\N
94806	322	1998-12-18	VYDAJ	VYBER	3200	35217	\N	\N	\N
94813	322	1994-01-18	VYDAJ	VYBER	3120	22921	\N	\N	\N
94814	322	1994-01-11	VYDAJ	VYBER	960	27875	\N	\N	\N
94815	322	1994-01-04	VYDAJ	VYBER	1440	35385	\N	\N	\N
94816	322	1994-01-01	VYDAJ	VYBER	1800	36825	\N	\N	\N
94817	322	1994-01-27	VYDAJ	VYBER	720	21121	\N	\N	\N
94818	322	1994-01-25	VYDAJ	VYBER	1080	21841	\N	\N	\N
94819	322	1995-01-05	VYDAJ	VYBER	2640	48466	\N	\N	\N
94820	322	1995-01-19	VYDAJ	VYBER	1200	44442	\N	\N	\N
94821	322	1995-01-07	VYDAJ	VYBER	2640	39276	\N	\N	\N
94822	322	1995-01-16	VYDAJ	VYBER	3480	45642	\N	\N	\N
94823	322	1995-01-22	VYDAJ	VYBER	2880	41562	\N	\N	\N
94824	322	1995-01-01	VYDAJ	VYBER	1560	51106	\N	\N	\N
94825	322	1996-01-18	VYDAJ	VYBER	2400	31216	\N	\N	\N
94826	322	1996-01-11	VYDAJ	VYBER	720	32370	\N	\N	\N
94827	322	1996-01-21	VYDAJ	VYBER	1920	27496	\N	\N	\N
94828	322	1996-01-06	VYDAJ	VYBER	3480	33090	\N	\N	\N
94829	322	1996-01-19	VYDAJ	VYBER	1800	29416	\N	\N	\N
94830	322	1996-01-15	VYDAJ	VYBER	3240	45776	\N	\N	\N
94831	322	1997-01-22	VYDAJ	VYBER	2520	28723	\N	\N	\N
94832	322	1997-01-20	VYDAJ	VYBER	1800	31243	\N	\N	\N
94833	322	1997-01-08	VYDAJ	VYBER	600	16397	\N	\N	\N
94834	322	1997-01-29	VYDAJ	VYBER	1440	27283	\N	\N	\N
94835	322	1997-01-01	VYDAJ	VYBER	3000	26067	\N	\N	\N
94836	322	1997-01-03	VYDAJ	VYBER	2520	23547	\N	\N	\N
94837	322	1998-01-02	VYDAJ	VYBER	600	27058	\N	\N	\N
94838	322	1998-01-04	VYDAJ	VYBER	3360	22378	\N	\N	\N
94839	322	1998-01-22	VYDAJ	VYBER	1800	27794	\N	\N	\N
94840	322	1998-01-19	VYDAJ	VYBER	2880	29594	\N	\N	\N
94842	322	1998-01-04	VYDAJ	VYBER	600	25738	\N	\N	\N
94845	322	1994-03-25	VYDAJ	VYBER	5640	27775	\N	\N	\N
94846	322	1994-11-13	VYDAJ	VYBER	3600	40984	\N	\N	\N
94847	322	1994-11-26	VYDAJ	VYBER	5160	35824	\N	\N	\N
94848	322	1995-08-19	VYDAJ	VYBER	3360	42646	\N	\N	\N
94849	322	1995-03-19	VYDAJ	VYBER	4200	39138	\N	\N	\N
94850	322	1995-11-29	VYDAJ	VYBER	600	46322	\N	\N	\N
94851	322	1995-05-20	VYDAJ	VYBER	4440	30575	\N	\N	\N
94852	322	1995-05-03	VYDAJ	VYBER	4440	37899	\N	\N	\N
94853	322	1995-05-12	VYDAJ	VYBER	5880	18369	\N	\N	\N
94855	322	1996-07-15	VYDAJ	VYBER	3720	40246	\N	\N	\N
94856	322	1996-03-25	VYDAJ	VYBER	1800	43540	\N	\N	\N
94857	322	1996-05-12	VYDAJ	VYBER	3720	21113	\N	\N	\N
94858	322	1996-10-02	VYDAJ	VYBER	1920	38264	\N	\N	\N
94859	322	1996-08-03	VYDAJ	VYBER	2160	28633	\N	\N	\N
94860	322	1997-11-13	VYDAJ	VYBER	2640	34726	\N	\N	\N
94861	322	1997-08-02	VYDAJ	VYBER	3000	27623	\N	\N	\N
94862	322	1997-07-18	VYDAJ	VYBER	3360	35802	\N	\N	\N
94863	322	1998-05-24	VYDAJ	VYBER	720	26522	\N	\N	\N
94864	322	1998-03-22	VYDAJ	VYBER	3240	26402	\N	\N	\N
94867	322	1998-01-02	VYDAJ	VYBER	720	26338	\N	\N	\N
94875	322	1993-07-31	VYDAJ	VYBER	15	39426	SLUZBY	\N	\N
94876	322	1993-08-31	VYDAJ	VYBER	15	38979	SLUZBY	\N	\N
94877	322	1993-09-30	VYDAJ	VYBER	15	36324	SLUZBY	\N	\N
94878	322	1993-10-31	VYDAJ	VYBER	15	34660	SLUZBY	\N	\N
94879	322	1993-11-30	VYDAJ	VYBER	15	36094	SLUZBY	\N	\N
94880	322	1993-12-31	VYDAJ	VYBER	15	38625	SLUZBY	\N	\N
94881	322	1994-01-31	VYDAJ	VYBER	15	21227	SLUZBY	\N	\N
94882	322	1994-02-28	VYDAJ	VYBER	15	30719	SLUZBY	\N	\N
94883	322	1994-03-31	VYDAJ	VYBER	15	27894	SLUZBY	\N	\N
94884	322	1994-04-30	VYDAJ	VYBER	15	33607	SLUZBY	\N	\N
94885	322	1994-05-31	VYDAJ	VYBER	15	36839	SLUZBY	\N	\N
94886	322	1994-06-30	VYDAJ	VYBER	15	39808	SLUZBY	\N	\N
94887	322	1994-07-31	VYDAJ	VYBER	15	37352	SLUZBY	\N	\N
94888	322	1994-08-31	VYDAJ	VYBER	15	34583	SLUZBY	\N	\N
94889	322	1994-09-30	VYDAJ	VYBER	15	35932	SLUZBY	\N	\N
94890	322	1994-10-31	VYDAJ	VYBER	15	38088	SLUZBY	\N	\N
94891	322	1994-11-30	VYDAJ	VYBER	15	35969	SLUZBY	\N	\N
94892	322	1994-12-31	VYDAJ	VYBER	15	52666	SLUZBY	\N	\N
94893	322	1995-01-31	VYDAJ	VYBER	15	28913	SLUZBY	\N	\N
94894	322	1995-02-28	VYDAJ	VYBER	15	41542	SLUZBY	\N	\N
94895	322	1995-03-31	VYDAJ	VYBER	15	39291	SLUZBY	\N	\N
94896	322	1995-04-30	VYDAJ	VYBER	15	42339	SLUZBY	\N	\N
94897	322	1995-05-31	VYDAJ	VYBER	15	30697	SLUZBY	\N	\N
94898	322	1995-06-30	VYDAJ	VYBER	15	43756	SLUZBY	\N	\N
94899	322	1995-07-31	VYDAJ	VYBER	15	43510	SLUZBY	\N	\N
94900	322	1995-08-31	VYDAJ	VYBER	15	42805	SLUZBY	\N	\N
94901	322	1995-09-30	VYDAJ	VYBER	15	45360	SLUZBY	\N	\N
94902	322	1995-10-31	VYDAJ	VYBER	15	48026	SLUZBY	\N	\N
94903	322	1995-11-30	VYDAJ	VYBER	15	46488	SLUZBY	\N	\N
94904	322	1995-12-31	VYDAJ	VYBER	15	55620	SLUZBY	\N	\N
94905	322	1996-01-31	VYDAJ	VYBER	15	27640	SLUZBY	\N	\N
94906	322	1996-02-29	VYDAJ	VYBER	15	35144	SLUZBY	\N	\N
94907	322	1996-03-31	VYDAJ	VYBER	15	43694	SLUZBY	\N	\N
94908	322	1996-04-30	VYDAJ	VYBER	15	41783	SLUZBY	\N	\N
94909	322	1996-05-31	VYDAJ	VYBER	15	37890	SLUZBY	\N	\N
94910	322	1996-06-30	VYDAJ	VYBER	15	50870	SLUZBY	\N	\N
94911	322	1996-07-31	VYDAJ	VYBER	15	40393	SLUZBY	\N	\N
94912	322	1996-08-31	VYDAJ	VYBER	15	38855	SLUZBY	\N	\N
94913	322	1996-09-30	VYDAJ	VYBER	15	40184	SLUZBY	\N	\N
94914	322	1996-10-31	VYDAJ	VYBER	15	41092	SLUZBY	\N	\N
94915	322	1996-11-30	VYDAJ	VYBER	15	40022	SLUZBY	\N	\N
94916	322	1996-12-31	VYDAJ	VYBER	15	29067	SLUZBY	\N	\N
94917	322	1997-01-31	VYDAJ	VYBER	15	25576	SLUZBY	\N	\N
94918	322	1997-02-28	VYDAJ	VYBER	15	35785	SLUZBY	\N	\N
94919	322	1997-03-31	VYDAJ	VYBER	15	24595	SLUZBY	\N	\N
94920	322	1997-04-30	VYDAJ	VYBER	15	24700	SLUZBY	\N	\N
94921	322	1997-05-31	VYDAJ	VYBER	15	29905	SLUZBY	\N	\N
94922	322	1997-06-30	VYDAJ	VYBER	15	29066	SLUZBY	\N	\N
94923	322	1997-07-31	VYDAJ	VYBER	15	30623	SLUZBY	\N	\N
94924	322	1997-08-31	VYDAJ	VYBER	15	29032	SLUZBY	\N	\N
94925	322	1997-09-30	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
94926	322	1997-10-31	VYDAJ	VYBER	15	27270	SLUZBY	\N	\N
94927	322	1997-11-30	VYDAJ	VYBER	15	21830	SLUZBY	\N	\N
94928	322	1997-12-31	VYDAJ	VYBER	15	27658	SLUZBY	\N	\N
94929	322	1998-01-31	VYDAJ	VYBER	15	18474	SLUZBY	\N	\N
94930	322	1998-02-28	VYDAJ	VYBER	15	19546	SLUZBY	\N	\N
94931	322	1998-03-31	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
94932	322	1998-04-30	VYDAJ	VYBER	15	17146	SLUZBY	\N	\N
94933	322	1998-05-31	VYDAJ	VYBER	15	26599	SLUZBY	\N	\N
94934	322	1998-06-30	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
94935	322	1998-07-31	VYDAJ	VYBER	15	20577	SLUZBY	\N	\N
94936	322	1998-08-31	VYDAJ	VYBER	15	17749	SLUZBY	\N	\N
94937	322	1998-09-30	VYDAJ	VYBER	15	27924	SLUZBY	\N	\N
94938	322	1998-10-31	VYDAJ	VYBER	15	22421	SLUZBY	\N	\N
94939	322	1998-11-30	VYDAJ	VYBER	15	19998	SLUZBY	\N	\N
94940	322	1993-03-22	PRIJEM	VKLAD	3600	21246	\N	\N	\N
94941	322	1993-04-21	VYDAJ	VYBER	5900	32021	\N	\N	\N
94942	322	1993-05-21	VYDAJ	VYBER	14200	34570	\N	\N	\N
94943	322	1993-06-20	VYDAJ	VYBER	19600	40076	\N	\N	\N
94944	322	1993-07-20	VYDAJ	VYBER	17600	39275	\N	\N	\N
94945	322	1993-08-19	VYDAJ	VYBER	10700	38822	\N	\N	\N
94946	322	1993-09-18	VYDAJ	VYBER	12900	36175	\N	\N	\N
94947	322	1993-10-18	VYDAJ	VYBER	11900	34520	\N	\N	\N
94948	322	1993-11-17	VYDAJ	VYBER	8800	35956	\N	\N	\N
94949	322	1993-12-17	VYDAJ	VYBER	13000	41513	\N	\N	\N
94950	322	1994-01-16	VYDAJ	VYBER	5200	26041	\N	\N	\N
94951	322	1994-02-15	VYDAJ	VYBER	700	30623	\N	\N	\N
94952	322	1994-03-17	VYDAJ	VYBER	7400	33415	\N	\N	\N
94953	322	1994-04-16	VYDAJ	VYBER	4500	33490	\N	\N	\N
94954	322	1994-05-16	VYDAJ	VYBER	7000	36703	\N	\N	\N
94955	322	1994-06-15	VYDAJ	VYBER	15600	39658	\N	\N	\N
94956	322	1994-07-15	VYDAJ	VYBER	12700	37204	\N	\N	\N
94957	322	1994-08-14	VYDAJ	VYBER	13000	34448	\N	\N	\N
94958	322	1994-09-13	VYDAJ	VYBER	8900	35779	\N	\N	\N
94959	322	1994-10-13	VYDAJ	VYBER	8100	37928	\N	\N	\N
94960	322	1994-11-12	VYDAJ	VYBER	3600	27938	\N	\N	\N
94961	322	1994-12-12	VYDAJ	VYBER	1100	28319	\N	\N	\N
94962	322	1995-01-11	VYDAJ	VYBER	6800	32476	\N	\N	\N
94963	322	1995-02-10	PRIJEM	VKLAD	2400	24763	\N	\N	\N
94964	322	1995-03-12	VYDAJ	VYBER	8300	26692	\N	\N	\N
94965	322	1995-04-11	VYDAJ	VYBER	7200	25541	\N	\N	\N
94966	322	1995-05-11	VYDAJ	VYBER	7100	24249	\N	\N	\N
94967	322	1995-06-10	VYDAJ	VYBER	5500	18647	\N	\N	\N
94968	322	1995-07-10	VYDAJ	VYBER	10500	26706	\N	\N	\N
94969	322	1995-08-09	VYDAJ	VYBER	7600	29360	\N	\N	\N
94970	322	1995-09-08	VYDAJ	VYBER	7700	28555	\N	\N	\N
94971	322	1995-10-08	VYDAJ	VYBER	7600	31210	\N	\N	\N
94972	322	1995-11-07	VYDAJ	VYBER	11200	30276	\N	\N	\N
94973	322	1995-12-07	VYDAJ	VYBER	7400	32538	\N	\N	\N
94974	322	1996-01-06	VYDAJ	VYBER	12500	36570	\N	\N	\N
94975	322	1996-02-05	VYDAJ	VYBER	2700	24940	\N	\N	\N
94976	322	1996-03-06	PRIJEM	VKLAD	100	35244	\N	\N	\N
94977	322	1996-04-05	VYDAJ	VYBER	8800	34894	\N	\N	\N
94978	322	1996-05-05	VYDAJ	VYBER	10400	31383	\N	\N	\N
94979	322	1996-06-04	VYDAJ	VYBER	5600	32290	\N	\N	\N
94980	322	1996-07-04	VYDAJ	VYBER	17000	33870	\N	\N	\N
94981	322	1996-08-03	VYDAJ	VYBER	9600	30793	\N	\N	\N
94982	322	1996-09-02	VYDAJ	VYBER	8900	29955	\N	\N	\N
94983	322	1996-10-02	VYDAJ	VYBER	7400	30864	\N	\N	\N
94984	322	1996-11-01	VYDAJ	VYBER	11300	29792	\N	\N	\N
94985	322	1996-12-01	VYDAJ	VYBER	10800	29222	\N	\N	\N
94986	322	1996-12-31	VYDAJ	VYBER	15200	29082	\N	\N	\N
94987	322	1997-01-30	VYDAJ	VYBER	1800	25483	\N	\N	\N
94988	322	1997-03-01	VYDAJ	VYBER	10200	25585	\N	\N	\N
94989	322	1997-03-31	VYDAJ	VYBER	11200	24610	\N	\N	\N
94990	322	1997-04-30	VYDAJ	VYBER	10100	24714	\N	\N	\N
94991	322	1997-05-30	VYDAJ	VYBER	5000	29796	\N	\N	\N
94992	322	1997-06-29	VYDAJ	VYBER	13300	28944	\N	\N	\N
94993	322	1997-07-29	VYDAJ	VYBER	5300	30502	\N	\N	\N
94994	322	1997-08-28	VYDAJ	VYBER	8800	28919	\N	\N	\N
94995	322	1997-09-27	VYDAJ	VYBER	9600	29528	\N	\N	\N
94996	322	1997-10-27	VYDAJ	VYBER	12600	27147	\N	\N	\N
94997	322	1997-11-26	VYDAJ	VYBER	13000	21726	\N	\N	\N
94998	322	1997-12-26	VYDAJ	VYBER	12700	27549	\N	\N	\N
94999	322	1998-01-25	VYDAJ	VYBER	9400	18394	\N	\N	\N
95000	322	1998-02-24	VYDAJ	VYBER	9100	19470	\N	\N	\N
95001	322	1998-03-26	VYDAJ	VYBER	8600	17802	\N	\N	\N
95002	322	1998-04-25	VYDAJ	VYBER	10900	17074	\N	\N	\N
95003	322	1998-06-24	VYDAJ	VYBER	13700	23798	\N	\N	\N
95004	322	1998-07-24	VYDAJ	VYBER	13500	20486	\N	\N	\N
95005	322	1998-08-23	VYDAJ	VYBER	13000	17673	\N	\N	\N
95006	322	1998-10-22	VYDAJ	VYBER	15700	22320	\N	\N	\N
95007	322	1998-11-21	VYDAJ	VYBER	12600	19917	\N	\N	\N
95078	323	1997-02-23	PRIJEM	VKLAD	200	200	\N	\N	\N
95081	323	1997-03-10	PRIJEM	PREVOD Z UCTU	6836	7036	DUCHOD	EF	80189060
95082	323	1997-04-10	PRIJEM	PREVOD Z UCTU	6836	13872	DUCHOD	EF	80189060
95083	323	1997-05-10	PRIJEM	PREVOD Z UCTU	6836	20708	DUCHOD	EF	80189060
95084	323	1997-06-10	PRIJEM	PREVOD Z UCTU	6836	27544	DUCHOD	EF	80189060
95085	323	1997-07-10	PRIJEM	PREVOD Z UCTU	6836	34380	DUCHOD	EF	80189060
95086	323	1997-08-10	PRIJEM	PREVOD Z UCTU	6836	32001	DUCHOD	EF	80189060
95087	323	1997-09-10	PRIJEM	PREVOD Z UCTU	6836	35011	DUCHOD	EF	80189060
95088	323	1997-10-10	PRIJEM	PREVOD Z UCTU	6836	36131	DUCHOD	EF	80189060
95089	323	1997-11-10	PRIJEM	PREVOD Z UCTU	6836	34652	DUCHOD	EF	80189060
95090	323	1997-12-10	PRIJEM	PREVOD Z UCTU	6836	29562	DUCHOD	EF	80189060
95091	323	1998-01-10	PRIJEM	PREVOD Z UCTU	6836	26540	DUCHOD	EF	80189060
95092	323	1998-02-10	PRIJEM	PREVOD Z UCTU	6836	22825	DUCHOD	EF	80189060
95093	323	1998-03-10	PRIJEM	PREVOD Z UCTU	6836	23897	DUCHOD	EF	80189060
95094	323	1998-04-10	PRIJEM	PREVOD Z UCTU	6836	27775	DUCHOD	EF	80189060
95095	323	1998-05-10	PRIJEM	PREVOD Z UCTU	6836	30147	DUCHOD	EF	80189060
95096	323	1998-06-10	PRIJEM	PREVOD Z UCTU	6836	19841	DUCHOD	EF	80189060
95097	323	1998-07-10	PRIJEM	PREVOD Z UCTU	6836	22674	DUCHOD	EF	80189060
95098	323	1998-08-10	PRIJEM	PREVOD Z UCTU	6836	23641	DUCHOD	EF	80189060
95099	323	1998-09-10	PRIJEM	PREVOD Z UCTU	6836	23817	DUCHOD	EF	80189060
95100	323	1998-10-10	PRIJEM	PREVOD Z UCTU	6836	21688	DUCHOD	EF	80189060
95101	323	1998-11-10	PRIJEM	PREVOD Z UCTU	6836	19644	DUCHOD	EF	80189060
95102	323	1998-12-10	PRIJEM	PREVOD Z UCTU	6836	23503	DUCHOD	EF	80189060
95109	323	1997-07-12	VYDAJ	PREVOD NA UCET	3025	30395	SIPO	GH	65761726
95110	323	1997-08-12	VYDAJ	PREVOD NA UCET	3025	28976	SIPO	GH	65761726
95111	323	1997-09-12	VYDAJ	PREVOD NA UCET	3025	31986	SIPO	GH	65761726
95112	323	1997-10-12	VYDAJ	PREVOD NA UCET	3025	33106	SIPO	GH	65761726
95113	323	1997-11-12	VYDAJ	PREVOD NA UCET	3025	31627	SIPO	GH	65761726
95114	323	1997-12-12	VYDAJ	PREVOD NA UCET	3025	26537	SIPO	GH	65761726
95115	323	1998-01-12	VYDAJ	PREVOD NA UCET	3025	20995	SIPO	GH	65761726
95116	323	1998-02-12	VYDAJ	PREVOD NA UCET	3025	19800	SIPO	GH	65761726
95117	323	1998-03-12	VYDAJ	PREVOD NA UCET	3025	20872	SIPO	GH	65761726
95118	323	1998-04-12	VYDAJ	PREVOD NA UCET	3025	24750	SIPO	GH	65761726
95119	323	1998-05-12	VYDAJ	PREVOD NA UCET	3025	27122	SIPO	GH	65761726
95120	323	1998-06-12	VYDAJ	PREVOD NA UCET	3025	16816	SIPO	GH	65761726
95121	323	1998-07-12	VYDAJ	PREVOD NA UCET	3025	19649	SIPO	GH	65761726
95122	323	1998-08-12	VYDAJ	PREVOD NA UCET	3025	20616	SIPO	GH	65761726
95123	323	1998-09-12	VYDAJ	PREVOD NA UCET	3025	20792	SIPO	GH	65761726
95124	323	1998-10-12	VYDAJ	PREVOD NA UCET	3025	18663	SIPO	GH	65761726
95125	323	1998-11-12	VYDAJ	PREVOD NA UCET	3025	16619	SIPO	GH	65761726
95126	323	1998-12-12	VYDAJ	PREVOD NA UCET	3025	20478	SIPO	GH	65761726
95128	323	1998-06-02	VYDAJ	VYBER	9100	13005	\N	\N	\N
95130	323	1998-01-10	VYDAJ	VYBER	1000	25540	\N	\N	\N
95131	323	1997-12-08	VYDAJ	VYBER	1100	22726	\N	\N	\N
95132	323	1998-12-25	VYDAJ	VYBER	800	19678	\N	\N	\N
95139	323	1998-01-04	VYDAJ	VYBER	1440	20504	\N	\N	\N
95140	323	1998-01-18	VYDAJ	VYBER	1040	19955	\N	\N	\N
95141	323	1998-01-04	VYDAJ	VYBER	480	21944	\N	\N	\N
95142	323	1998-01-29	VYDAJ	VYBER	2320	17435	\N	\N	\N
95143	323	1998-01-04	VYDAJ	VYBER	800	19704	\N	\N	\N
95144	323	1998-01-12	VYDAJ	VYBER	1520	24020	\N	\N	\N
95147	323	1997-07-10	VYDAJ	VYBER	960	33420	\N	\N	\N
95149	323	1998-06-21	VYDAJ	VYBER	1040	15776	\N	\N	\N
95150	323	1998-09-05	VYDAJ	VYBER	3600	16981	\N	\N	\N
95151	323	1998-02-05	VYDAJ	VYBER	1520	15989	\N	\N	\N
95152	323	1998-04-21	VYDAJ	VYBER	1520	23230	\N	\N	\N
95160	323	1997-07-31	VYDAJ	VYBER	15	25165	SLUZBY	\N	\N
95161	323	1997-08-31	VYDAJ	VYBER	15	28175	SLUZBY	\N	\N
95162	323	1997-09-30	VYDAJ	VYBER	15	29295	SLUZBY	\N	\N
95163	323	1997-10-31	VYDAJ	VYBER	15	27816	SLUZBY	\N	\N
95164	323	1997-11-30	VYDAJ	VYBER	15	23826	SLUZBY	\N	\N
95165	323	1997-12-31	VYDAJ	VYBER	15	22424	SLUZBY	\N	\N
95166	323	1998-01-31	VYDAJ	VYBER	15	17509	SLUZBY	\N	\N
95167	323	1998-02-28	VYDAJ	VYBER	15	17061	SLUZBY	\N	\N
95168	323	1998-03-31	VYDAJ	VYBER	15	20939	SLUZBY	\N	\N
95169	323	1998-04-30	VYDAJ	VYBER	15	23311	SLUZBY	\N	\N
95170	323	1998-05-31	VYDAJ	VYBER	15	22105	SLUZBY	\N	\N
95171	323	1998-06-30	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
95172	323	1998-07-31	VYDAJ	VYBER	15	16805	SLUZBY	\N	\N
95173	323	1998-08-31	VYDAJ	VYBER	15	20581	SLUZBY	\N	\N
95174	323	1998-09-30	VYDAJ	VYBER	15	14852	SLUZBY	\N	\N
95175	323	1998-10-31	VYDAJ	VYBER	15	12808	SLUZBY	\N	\N
95176	323	1998-11-30	VYDAJ	VYBER	15	16667	SLUZBY	\N	\N
95177	323	1997-07-23	VYDAJ	VYBER	5300	25095	\N	\N	\N
95178	323	1997-08-22	VYDAJ	VYBER	900	28076	\N	\N	\N
95179	323	1997-09-21	VYDAJ	VYBER	2800	29186	\N	\N	\N
95180	323	1997-10-21	VYDAJ	VYBER	5400	27706	\N	\N	\N
95181	323	1997-11-20	VYDAJ	VYBER	7900	23727	\N	\N	\N
95182	323	1997-12-20	VYDAJ	VYBER	4200	22337	\N	\N	\N
95183	323	1998-01-19	VYDAJ	VYBER	200	19755	\N	\N	\N
95184	323	1998-02-18	VYDAJ	VYBER	2800	17000	\N	\N	\N
95185	323	1998-05-19	VYDAJ	VYBER	5100	22022	\N	\N	\N
95186	323	1998-07-18	VYDAJ	VYBER	2900	16749	\N	\N	\N
95187	323	1998-08-17	VYDAJ	VYBER	100	20516	\N	\N	\N
95188	323	1998-09-16	VYDAJ	VYBER	6000	14792	\N	\N	\N
95189	323	1998-10-16	VYDAJ	VYBER	5900	12763	\N	\N	\N
95208	324	1996-08-23	PRIJEM	VKLAD	500	500	\N	\N	\N
95217	324	1996-09-10	PRIJEM	PREVOD Z UCTU	5279	5779	DUCHOD	IJ	38902378
95218	324	1996-10-10	PRIJEM	PREVOD Z UCTU	5279	11058	DUCHOD	IJ	38902378
95219	324	1996-11-10	PRIJEM	PREVOD Z UCTU	5279	16337	DUCHOD	IJ	38902378
95220	324	1996-12-10	PRIJEM	PREVOD Z UCTU	5279	21616	DUCHOD	IJ	38902378
95221	324	1997-01-10	PRIJEM	PREVOD Z UCTU	5279	26895	DUCHOD	IJ	38902378
95222	324	1997-02-10	PRIJEM	PREVOD Z UCTU	5279	18594	DUCHOD	IJ	38902378
95223	324	1997-03-10	PRIJEM	PREVOD Z UCTU	5279	21855	DUCHOD	IJ	38902378
95224	324	1997-04-10	PRIJEM	PREVOD Z UCTU	5279	23767	DUCHOD	IJ	38902378
95225	324	1997-05-10	PRIJEM	PREVOD Z UCTU	5279	21241	DUCHOD	IJ	38902378
95226	324	1997-06-10	PRIJEM	PREVOD Z UCTU	5279	22710	DUCHOD	IJ	38902378
95227	324	1997-07-10	PRIJEM	PREVOD Z UCTU	5279	18385	DUCHOD	IJ	38902378
95228	324	1997-08-10	PRIJEM	PREVOD Z UCTU	5279	20445	DUCHOD	IJ	38902378
95229	324	1997-09-10	PRIJEM	PREVOD Z UCTU	5279	21873	DUCHOD	IJ	38902378
95230	324	1997-10-10	PRIJEM	PREVOD Z UCTU	5279	25148	DUCHOD	IJ	38902378
95231	324	1997-11-10	PRIJEM	PREVOD Z UCTU	5279	28437	DUCHOD	IJ	38902378
95232	324	1997-12-10	PRIJEM	PREVOD Z UCTU	5279	30689	DUCHOD	IJ	38902378
95233	324	1998-01-10	PRIJEM	PREVOD Z UCTU	5279	19440	DUCHOD	IJ	38902378
95234	324	1998-02-10	PRIJEM	PREVOD Z UCTU	5279	21512	DUCHOD	IJ	38902378
95235	324	1998-03-10	PRIJEM	PREVOD Z UCTU	5279	24785	DUCHOD	IJ	38902378
95236	324	1998-04-10	PRIJEM	PREVOD Z UCTU	5279	27272	DUCHOD	IJ	38902378
95237	324	1998-05-10	PRIJEM	PREVOD Z UCTU	5279	27041	DUCHOD	IJ	38902378
95238	324	1998-06-10	PRIJEM	PREVOD Z UCTU	5279	30338	DUCHOD	IJ	38902378
95239	324	1998-07-10	PRIJEM	PREVOD Z UCTU	5279	29797	DUCHOD	IJ	38902378
95240	324	1998-08-10	PRIJEM	PREVOD Z UCTU	5279	33105	DUCHOD	IJ	38902378
95241	324	1998-09-10	PRIJEM	PREVOD Z UCTU	5279	36426	DUCHOD	IJ	38902378
95242	324	1998-10-10	PRIJEM	PREVOD Z UCTU	5279	34002	DUCHOD	IJ	38902378
95243	324	1998-11-10	PRIJEM	PREVOD Z UCTU	5279	37333	DUCHOD	IJ	38902378
95244	324	1998-12-10	PRIJEM	PREVOD Z UCTU	5279	40672	DUCHOD	IJ	38902378
95257	324	1997-01-14	VYDAJ	PREVOD NA UCET	1785	22746	SIPO	OP	83596694
95258	324	1997-02-14	VYDAJ	PREVOD NA UCET	1785	16525	SIPO	OP	83596694
95259	324	1997-03-14	VYDAJ	PREVOD NA UCET	1785	19786	SIPO	OP	83596694
95260	324	1997-04-14	VYDAJ	PREVOD NA UCET	1785	21698	SIPO	OP	83596694
95261	324	1997-05-14	VYDAJ	PREVOD NA UCET	1785	19172	SIPO	OP	83596694
95262	324	1997-06-14	VYDAJ	PREVOD NA UCET	1785	20641	SIPO	OP	83596694
95263	324	1997-07-14	VYDAJ	PREVOD NA UCET	1785	16316	SIPO	OP	83596694
95264	324	1997-08-14	VYDAJ	PREVOD NA UCET	1785	18376	SIPO	OP	83596694
95265	324	1997-09-14	VYDAJ	PREVOD NA UCET	1785	19804	SIPO	OP	83596694
95266	324	1997-10-14	VYDAJ	PREVOD NA UCET	1785	23079	SIPO	OP	83596694
95267	324	1997-11-14	VYDAJ	PREVOD NA UCET	1785	26368	SIPO	OP	83596694
95268	324	1997-12-14	VYDAJ	PREVOD NA UCET	1785	28620	SIPO	OP	83596694
95269	324	1998-01-14	VYDAJ	PREVOD NA UCET	1785	17371	SIPO	OP	83596694
95270	324	1998-02-14	VYDAJ	PREVOD NA UCET	1785	19443	SIPO	OP	83596694
95271	324	1998-03-14	VYDAJ	PREVOD NA UCET	1785	22716	SIPO	OP	83596694
95272	324	1998-04-14	VYDAJ	PREVOD NA UCET	1785	21683	SIPO	OP	83596694
95273	324	1998-05-14	VYDAJ	PREVOD NA UCET	1785	24972	SIPO	OP	83596694
95274	324	1998-06-14	VYDAJ	PREVOD NA UCET	1785	28269	SIPO	OP	83596694
95275	324	1998-07-14	VYDAJ	PREVOD NA UCET	1785	27728	SIPO	OP	83596694
95276	324	1998-08-14	VYDAJ	PREVOD NA UCET	1785	31036	SIPO	OP	83596694
95277	324	1998-09-14	VYDAJ	PREVOD NA UCET	1785	34357	SIPO	OP	83596694
95278	324	1998-10-14	VYDAJ	PREVOD NA UCET	1785	31933	SIPO	OP	83596694
95279	324	1998-11-14	VYDAJ	PREVOD NA UCET	1785	35264	SIPO	OP	83596694
95280	324	1998-12-14	VYDAJ	PREVOD NA UCET	1785	38603	SIPO	OP	83596694
95293	324	1997-01-10	VYDAJ	PREVOD NA UCET	284	26611	 	KL	19554490
95294	324	1997-02-10	VYDAJ	PREVOD NA UCET	284	18310	 	KL	19554490
95295	324	1997-03-10	VYDAJ	PREVOD NA UCET	284	21571	 	KL	19554490
95296	324	1997-04-10	VYDAJ	PREVOD NA UCET	284	23483	 	KL	19554490
95297	324	1997-05-10	VYDAJ	PREVOD NA UCET	284	20957	 	KL	19554490
95298	324	1997-06-10	VYDAJ	PREVOD NA UCET	284	22426	 	KL	19554490
95299	324	1997-07-10	VYDAJ	PREVOD NA UCET	284	18101	 	KL	19554490
95300	324	1997-08-10	VYDAJ	PREVOD NA UCET	284	20161	 	KL	19554490
95301	324	1997-09-10	VYDAJ	PREVOD NA UCET	284	21589	 	KL	19554490
95302	324	1997-10-10	VYDAJ	PREVOD NA UCET	284	24864	 	KL	19554490
95303	324	1997-11-10	VYDAJ	PREVOD NA UCET	284	28153	 	KL	19554490
95304	324	1997-12-10	VYDAJ	PREVOD NA UCET	284	30405	 	KL	19554490
95305	324	1998-01-10	VYDAJ	PREVOD NA UCET	284	19156	 	KL	19554490
95306	324	1998-02-10	VYDAJ	PREVOD NA UCET	284	21228	 	KL	19554490
95307	324	1998-03-10	VYDAJ	PREVOD NA UCET	284	24501	 	KL	19554490
95308	324	1998-04-10	VYDAJ	PREVOD NA UCET	284	26988	 	KL	19554490
95309	324	1998-05-10	VYDAJ	PREVOD NA UCET	284	26757	 	KL	19554490
95310	324	1998-06-10	VYDAJ	PREVOD NA UCET	284	30054	 	KL	19554490
95311	324	1998-07-10	VYDAJ	PREVOD NA UCET	284	29513	 	KL	19554490
95312	324	1998-08-10	VYDAJ	PREVOD NA UCET	284	32821	 	KL	19554490
95313	324	1998-09-10	VYDAJ	PREVOD NA UCET	284	36142	 	KL	19554490
95314	324	1998-10-10	VYDAJ	PREVOD NA UCET	284	33718	 	KL	19554490
95315	324	1998-11-10	VYDAJ	PREVOD NA UCET	284	37049	 	KL	19554490
95316	324	1998-12-10	VYDAJ	PREVOD NA UCET	284	40388	 	KL	19554490
95318	324	1997-06-29	VYDAJ	VYBER	6200	13041	\N	\N	\N
95319	324	1998-06-29	VYDAJ	VYBER	3850	24419	\N	\N	\N
95321	324	1997-01-20	VYDAJ	VYBER	3150	17676	\N	\N	\N
95322	324	1998-01-06	VYDAJ	VYBER	4400	17761	\N	\N	\N
95324	324	1997-12-07	VYDAJ	VYBER	650	25410	\N	\N	\N
95325	324	1998-12-27	VYDAJ	VYBER	650	37953	\N	\N	\N
95332	324	1997-01-20	VYDAJ	VYBER	1360	16316	\N	\N	\N
95333	324	1997-01-22	VYDAJ	VYBER	800	14956	\N	\N	\N
95334	324	1997-01-21	VYDAJ	VYBER	560	15756	\N	\N	\N
95335	324	1997-01-24	VYDAJ	VYBER	1680	13276	\N	\N	\N
95336	324	1997-01-17	VYDAJ	VYBER	1920	20826	\N	\N	\N
95337	324	1997-01-11	VYDAJ	VYBER	2080	24531	\N	\N	\N
95338	324	1998-01-09	VYDAJ	VYBER	2320	15441	\N	\N	\N
95339	324	1998-01-06	VYDAJ	VYBER	2000	22161	\N	\N	\N
95340	324	1998-01-09	VYDAJ	VYBER	1280	14161	\N	\N	\N
95341	324	1998-01-04	VYDAJ	VYBER	1760	24161	\N	\N	\N
95342	324	1998-01-18	VYDAJ	VYBER	1200	16171	\N	\N	\N
95343	324	1998-01-01	VYDAJ	VYBER	2000	25921	\N	\N	\N
95349	324	1997-03-14	VYDAJ	VYBER	1360	18426	\N	\N	\N
95350	324	1997-12-22	VYDAJ	VYBER	800	27820	\N	\N	\N
95351	324	1997-08-02	VYDAJ	VYBER	1200	15166	\N	\N	\N
95352	324	1997-08-22	VYDAJ	VYBER	1840	16536	\N	\N	\N
95353	324	1998-04-04	VYDAJ	VYBER	800	21993	\N	\N	\N
95354	324	1998-10-08	VYDAJ	VYBER	3600	28723	\N	\N	\N
95355	324	1998-10-05	VYDAJ	VYBER	2160	32323	\N	\N	\N
95356	324	1998-04-12	VYDAJ	VYBER	3520	23468	\N	\N	\N
95370	324	1997-01-31	VYDAJ	VYBER	15	13315	SLUZBY	\N	\N
95371	324	1997-02-28	VYDAJ	VYBER	15	16576	SLUZBY	\N	\N
95372	324	1997-03-31	VYDAJ	VYBER	15	18488	SLUZBY	\N	\N
95373	324	1997-04-30	VYDAJ	VYBER	15	15962	SLUZBY	\N	\N
95374	324	1997-05-31	VYDAJ	VYBER	15	17431	SLUZBY	\N	\N
95375	324	1997-06-30	VYDAJ	VYBER	15	13106	SLUZBY	\N	\N
95376	324	1997-07-31	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
95377	324	1997-08-31	VYDAJ	VYBER	15	16594	SLUZBY	\N	\N
95378	324	1997-09-30	VYDAJ	VYBER	15	19869	SLUZBY	\N	\N
95379	324	1997-10-31	VYDAJ	VYBER	15	23158	SLUZBY	\N	\N
95380	324	1997-11-30	VYDAJ	VYBER	15	26060	SLUZBY	\N	\N
95381	324	1997-12-31	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
95382	324	1998-01-31	VYDAJ	VYBER	15	16233	SLUZBY	\N	\N
95383	324	1998-02-28	VYDAJ	VYBER	15	19506	SLUZBY	\N	\N
95384	324	1998-03-31	VYDAJ	VYBER	15	22793	SLUZBY	\N	\N
95385	324	1998-04-30	VYDAJ	VYBER	15	21762	SLUZBY	\N	\N
95386	324	1998-05-31	VYDAJ	VYBER	15	25059	SLUZBY	\N	\N
95387	324	1998-06-30	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
95388	324	1998-07-31	VYDAJ	VYBER	15	27826	SLUZBY	\N	\N
95389	324	1998-08-31	VYDAJ	VYBER	15	31147	SLUZBY	\N	\N
95390	324	1998-09-30	VYDAJ	VYBER	15	34483	SLUZBY	\N	\N
95391	324	1998-10-31	VYDAJ	VYBER	15	32054	SLUZBY	\N	\N
95392	324	1998-11-30	VYDAJ	VYBER	15	35393	SLUZBY	\N	\N
95393	324	1997-04-20	VYDAJ	VYBER	5800	15898	\N	\N	\N
95394	324	1997-05-20	VYDAJ	VYBER	1800	17372	\N	\N	\N
95395	324	1997-06-19	VYDAJ	VYBER	1400	19241	\N	\N	\N
95396	324	1997-11-16	VYDAJ	VYBER	400	25968	\N	\N	\N
95421	325	1996-10-06	PRIJEM	VKLAD	300	300	\N	\N	\N
95431	325	1996-10-08	PRIJEM	PREVOD Z UCTU	5849	6149	DUCHOD	IJ	37009120
95432	325	1996-11-08	PRIJEM	PREVOD Z UCTU	5849	12018	DUCHOD	IJ	37009120
95433	325	1996-12-08	PRIJEM	PREVOD Z UCTU	5849	17893	DUCHOD	IJ	37009120
95434	325	1997-01-08	PRIJEM	PREVOD Z UCTU	5849	23767	DUCHOD	IJ	37009120
95435	325	1997-02-08	PRIJEM	PREVOD Z UCTU	5849	26142	DUCHOD	IJ	37009120
95436	325	1997-03-08	PRIJEM	PREVOD Z UCTU	5849	26316	DUCHOD	IJ	37009120
95437	325	1997-04-08	PRIJEM	PREVOD Z UCTU	5849	23709	DUCHOD	IJ	37009120
95438	325	1997-05-08	PRIJEM	PREVOD Z UCTU	5849	24394	DUCHOD	IJ	37009120
95439	325	1997-06-08	PRIJEM	PREVOD Z UCTU	5849	27579	DUCHOD	IJ	37009120
95440	325	1997-07-08	PRIJEM	PREVOD Z UCTU	5849	18137	DUCHOD	IJ	37009120
95441	325	1997-08-08	PRIJEM	PREVOD Z UCTU	5849	20790	DUCHOD	IJ	37009120
95442	325	1997-09-08	PRIJEM	PREVOD Z UCTU	5849	21233	DUCHOD	IJ	37009120
95443	325	1997-10-08	PRIJEM	PREVOD Z UCTU	5849	21339	DUCHOD	IJ	37009120
95444	325	1997-11-08	PRIJEM	PREVOD Z UCTU	5849	17706	DUCHOD	IJ	37009120
95445	325	1997-12-08	PRIJEM	PREVOD Z UCTU	5849	19957	DUCHOD	IJ	37009120
95446	325	1998-01-08	PRIJEM	PREVOD Z UCTU	5849	22367	DUCHOD	IJ	37009120
95447	325	1998-02-08	PRIJEM	PREVOD Z UCTU	5849	20183	DUCHOD	IJ	37009120
95448	325	1998-03-08	PRIJEM	PREVOD Z UCTU	5849	21263	DUCHOD	IJ	37009120
95449	325	1998-04-08	PRIJEM	PREVOD Z UCTU	5849	19624	DUCHOD	IJ	37009120
95450	325	1998-05-08	PRIJEM	PREVOD Z UCTU	5849	22783	DUCHOD	IJ	37009120
95451	325	1998-06-08	PRIJEM	PREVOD Z UCTU	5849	20653	DUCHOD	IJ	37009120
95452	325	1998-07-08	PRIJEM	PREVOD Z UCTU	5849	18159	DUCHOD	IJ	37009120
95453	325	1998-08-08	PRIJEM	PREVOD Z UCTU	5849	17010	DUCHOD	IJ	37009120
95454	325	1998-09-08	PRIJEM	PREVOD Z UCTU	5849	19257	DUCHOD	IJ	37009120
95455	325	1998-10-08	PRIJEM	PREVOD Z UCTU	5849	21013	DUCHOD	IJ	37009120
95456	325	1998-11-08	PRIJEM	PREVOD Z UCTU	5849	20250	DUCHOD	IJ	37009120
95457	325	1998-12-08	PRIJEM	PREVOD Z UCTU	5849	23411	DUCHOD	IJ	37009120
95471	325	1997-02-12	VYDAJ	PREVOD NA UCET	2741	23401	SIPO	GH	69376104
95472	325	1997-03-12	VYDAJ	PREVOD NA UCET	2741	23575	SIPO	GH	69376104
95473	325	1997-04-12	VYDAJ	PREVOD NA UCET	2741	20968	SIPO	GH	69376104
95474	325	1997-05-12	VYDAJ	PREVOD NA UCET	2741	21653	SIPO	GH	69376104
95475	325	1997-06-12	VYDAJ	PREVOD NA UCET	2741	12238	SIPO	GH	69376104
95476	325	1997-07-12	VYDAJ	PREVOD NA UCET	2741	15396	SIPO	GH	69376104
95477	325	1997-08-12	VYDAJ	PREVOD NA UCET	2741	18049	SIPO	GH	69376104
95478	325	1997-09-12	VYDAJ	PREVOD NA UCET	2741	18492	SIPO	GH	69376104
95479	325	1997-10-12	VYDAJ	PREVOD NA UCET	2741	18598	SIPO	GH	69376104
95480	325	1997-11-12	VYDAJ	PREVOD NA UCET	2741	14965	SIPO	GH	69376104
95481	325	1997-12-12	VYDAJ	PREVOD NA UCET	2741	17216	SIPO	GH	69376104
95482	325	1998-01-12	VYDAJ	PREVOD NA UCET	2741	19626	SIPO	GH	69376104
95483	325	1998-02-12	VYDAJ	PREVOD NA UCET	2741	17442	SIPO	GH	69376104
95484	325	1998-03-12	VYDAJ	PREVOD NA UCET	2741	17482	SIPO	GH	69376104
95485	325	1998-04-12	VYDAJ	PREVOD NA UCET	2741	16883	SIPO	GH	69376104
95486	325	1998-05-12	VYDAJ	PREVOD NA UCET	2741	20042	SIPO	GH	69376104
95487	325	1998-06-12	VYDAJ	PREVOD NA UCET	2741	17912	SIPO	GH	69376104
95488	325	1998-07-12	VYDAJ	PREVOD NA UCET	2741	15418	SIPO	GH	69376104
95489	325	1998-08-12	VYDAJ	PREVOD NA UCET	2741	14269	SIPO	GH	69376104
95490	325	1998-09-12	VYDAJ	PREVOD NA UCET	2741	16516	SIPO	GH	69376104
95491	325	1998-10-12	VYDAJ	PREVOD NA UCET	2741	18272	SIPO	GH	69376104
95492	325	1998-11-12	VYDAJ	PREVOD NA UCET	2741	17509	SIPO	GH	69376104
95493	325	1998-12-12	VYDAJ	PREVOD NA UCET	2741	20670	SIPO	GH	69376104
95495	325	1997-06-11	VYDAJ	VYBER	12600	14979	\N	\N	\N
95496	325	1998-06-21	VYDAJ	VYBER	5050	12862	\N	\N	\N
95499	325	1998-01-12	VYDAJ	VYBER	1050	18576	\N	\N	\N
95501	325	1997-12-30	VYDAJ	VYBER	750	16466	\N	\N	\N
95502	325	1998-12-21	VYDAJ	VYBER	1000	19670	\N	\N	\N
95510	325	1997-10-04	VYDAJ	VYBER	1360	15490	\N	\N	\N
95511	325	1997-08-21	VYDAJ	VYBER	2720	15329	\N	\N	\N
95513	325	1997-10-25	VYDAJ	VYBER	2800	15798	\N	\N	\N
95515	325	1998-10-16	VYDAJ	VYBER	3920	14352	\N	\N	\N
95516	325	1998-02-25	VYDAJ	VYBER	2080	15362	\N	\N	\N
95517	325	1998-03-25	VYDAJ	VYBER	3760	13722	\N	\N	\N
95518	325	1998-03-09	VYDAJ	VYBER	1040	20223	\N	\N	\N
95533	325	1997-02-28	VYDAJ	VYBER	15	23467	SLUZBY	\N	\N
95534	325	1997-03-31	VYDAJ	VYBER	15	23660	SLUZBY	\N	\N
95535	325	1997-04-30	VYDAJ	VYBER	15	21045	SLUZBY	\N	\N
95536	325	1997-05-31	VYDAJ	VYBER	15	21730	SLUZBY	\N	\N
95537	325	1997-06-30	VYDAJ	VYBER	15	12288	SLUZBY	\N	\N
95538	325	1997-07-31	VYDAJ	VYBER	15	15441	SLUZBY	\N	\N
95539	325	1997-08-31	VYDAJ	VYBER	15	15384	SLUZBY	\N	\N
95540	325	1997-09-30	VYDAJ	VYBER	15	18550	SLUZBY	\N	\N
95541	325	1997-10-31	VYDAJ	VYBER	15	11857	SLUZBY	\N	\N
95542	325	1997-11-30	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
95543	325	1997-12-31	VYDAJ	VYBER	15	16518	SLUZBY	\N	\N
95544	325	1998-01-31	VYDAJ	VYBER	15	14334	SLUZBY	\N	\N
95545	325	1998-02-28	VYDAJ	VYBER	15	15414	SLUZBY	\N	\N
95546	325	1998-03-31	VYDAJ	VYBER	15	13775	SLUZBY	\N	\N
95547	325	1998-04-30	VYDAJ	VYBER	15	16934	SLUZBY	\N	\N
95548	325	1998-05-31	VYDAJ	VYBER	15	14804	SLUZBY	\N	\N
95549	325	1998-06-30	VYDAJ	VYBER	15	12310	SLUZBY	\N	\N
95550	325	1998-07-31	VYDAJ	VYBER	15	11161	SLUZBY	\N	\N
95551	325	1998-08-31	VYDAJ	VYBER	15	13408	SLUZBY	\N	\N
95552	325	1998-09-30	VYDAJ	VYBER	15	15164	SLUZBY	\N	\N
95553	325	1998-10-31	VYDAJ	VYBER	15	14401	SLUZBY	\N	\N
95554	325	1998-11-30	VYDAJ	VYBER	15	17562	SLUZBY	\N	\N
95555	325	1997-02-03	VYDAJ	VYBER	3500	20293	\N	\N	\N
95556	325	1997-03-05	VYDAJ	VYBER	3000	20467	\N	\N	\N
95557	325	1997-04-04	VYDAJ	VYBER	5800	17860	\N	\N	\N
95558	325	1997-05-04	VYDAJ	VYBER	2500	18545	\N	\N	\N
95559	325	1997-08-02	VYDAJ	VYBER	500	14941	\N	\N	\N
95560	325	1997-10-01	VYDAJ	VYBER	1700	16850	\N	\N	\N
95561	325	1997-10-31	VYDAJ	VYBER	4000	11872	\N	\N	\N
95562	325	1997-11-30	VYDAJ	VYBER	900	14108	\N	\N	\N
95563	325	1998-01-29	VYDAJ	VYBER	4300	14276	\N	\N	\N
95564	325	1998-05-29	VYDAJ	VYBER	5300	14742	\N	\N	\N
95565	325	1998-06-28	VYDAJ	VYBER	600	12262	\N	\N	\N
95566	325	1998-07-28	VYDAJ	VYBER	4300	11118	\N	\N	\N
95567	325	1998-08-27	VYDAJ	VYBER	900	13369	\N	\N	\N
95568	325	1998-09-26	VYDAJ	VYBER	1400	15116	\N	\N	\N
95596	326	1997-08-06	PRIJEM	VKLAD	1000	6376	\N	\N	\N
95604	326	1997-08-06	PRIJEM	PREVOD Z UCTU	5376	5376	DUCHOD	AB	89822482
95605	326	1997-09-06	PRIJEM	PREVOD Z UCTU	5376	11774	DUCHOD	AB	89822482
95606	326	1997-10-06	PRIJEM	PREVOD Z UCTU	5376	17177	DUCHOD	AB	89822482
95607	326	1997-11-06	PRIJEM	PREVOD Z UCTU	5376	19679	DUCHOD	AB	89822482
95608	326	1997-12-06	PRIJEM	PREVOD Z UCTU	5376	22028	DUCHOD	AB	89822482
95609	326	1998-01-06	PRIJEM	PREVOD Z UCTU	5376	16670	DUCHOD	AB	89822482
95610	326	1998-02-06	PRIJEM	PREVOD Z UCTU	5376	17520	DUCHOD	AB	89822482
95611	326	1998-03-06	PRIJEM	PREVOD Z UCTU	5376	17011	DUCHOD	AB	89822482
95612	326	1998-04-06	PRIJEM	PREVOD Z UCTU	5376	18982	DUCHOD	AB	89822482
95613	326	1998-05-06	PRIJEM	PREVOD Z UCTU	5376	20959	DUCHOD	AB	89822482
95614	326	1998-06-06	PRIJEM	PREVOD Z UCTU	5376	21181	DUCHOD	AB	89822482
95615	326	1998-07-06	PRIJEM	PREVOD Z UCTU	5376	17169	DUCHOD	AB	89822482
95616	326	1998-08-06	PRIJEM	PREVOD Z UCTU	5376	19143	DUCHOD	AB	89822482
95617	326	1998-09-06	PRIJEM	PREVOD Z UCTU	5376	21122	DUCHOD	AB	89822482
95618	326	1998-10-06	PRIJEM	PREVOD Z UCTU	5376	23108	DUCHOD	AB	89822482
95619	326	1998-11-06	PRIJEM	PREVOD Z UCTU	5376	24542	DUCHOD	AB	89822482
95620	326	1998-12-06	PRIJEM	PREVOD Z UCTU	5376	26543	DUCHOD	AB	89822482
95632	326	1997-12-09	VYDAJ	PREVOD NA UCET	1881	18580	SIPO	MN	44978225
95633	326	1998-01-09	VYDAJ	PREVOD NA UCET	1881	13222	SIPO	MN	44978225
95634	326	1998-02-09	VYDAJ	PREVOD NA UCET	1881	14072	SIPO	MN	44978225
95635	326	1998-03-09	VYDAJ	PREVOD NA UCET	1881	13563	SIPO	MN	44978225
95636	326	1998-04-09	VYDAJ	PREVOD NA UCET	1881	15534	SIPO	MN	44978225
95637	326	1998-05-09	VYDAJ	PREVOD NA UCET	1881	17511	SIPO	MN	44978225
95638	326	1998-06-09	VYDAJ	PREVOD NA UCET	1881	17733	SIPO	MN	44978225
95639	326	1998-07-09	VYDAJ	PREVOD NA UCET	1881	13721	SIPO	MN	44978225
95640	326	1998-08-09	VYDAJ	PREVOD NA UCET	1881	15695	SIPO	MN	44978225
95641	326	1998-09-09	VYDAJ	PREVOD NA UCET	1881	17674	SIPO	MN	44978225
95642	326	1998-10-09	VYDAJ	PREVOD NA UCET	1881	19660	SIPO	MN	44978225
95643	326	1998-11-09	VYDAJ	PREVOD NA UCET	1881	21094	SIPO	MN	44978225
95644	326	1998-12-09	VYDAJ	PREVOD NA UCET	1881	21995	SIPO	MN	44978225
95656	326	1997-12-06	VYDAJ	PREVOD NA UCET	1567	20461	 	EF	63815659
95657	326	1998-01-06	VYDAJ	PREVOD NA UCET	1567	15103	 	EF	63815659
95658	326	1998-02-06	VYDAJ	PREVOD NA UCET	1567	15953	 	EF	63815659
95659	326	1998-03-06	VYDAJ	PREVOD NA UCET	1567	15444	 	EF	63815659
95660	326	1998-04-06	VYDAJ	PREVOD NA UCET	1567	17415	 	EF	63815659
95661	326	1998-05-06	VYDAJ	PREVOD NA UCET	1567	19392	 	EF	63815659
95662	326	1998-06-06	VYDAJ	PREVOD NA UCET	1567	19614	 	EF	63815659
95663	326	1998-07-06	VYDAJ	PREVOD NA UCET	1567	15602	 	EF	63815659
95664	326	1998-08-06	VYDAJ	PREVOD NA UCET	1567	17576	 	EF	63815659
95665	326	1998-09-06	VYDAJ	PREVOD NA UCET	1567	19555	 	EF	63815659
95666	326	1998-10-06	VYDAJ	PREVOD NA UCET	1567	21541	 	EF	63815659
95667	326	1998-11-06	VYDAJ	PREVOD NA UCET	1567	22975	 	EF	63815659
95668	326	1998-12-06	VYDAJ	PREVOD NA UCET	1567	24976	 	EF	63815659
95671	326	1997-12-28	VYDAJ	VYBER	650	17930	\N	\N	\N
95672	326	1998-12-07	VYDAJ	VYBER	1100	23876	\N	\N	\N
95684	326	1998-01-14	VYDAJ	VYBER	1120	12102	\N	\N	\N
95691	326	1998-10-17	VYDAJ	VYBER	560	19100	\N	\N	\N
95692	326	1998-12-27	VYDAJ	VYBER	3760	18235	\N	\N	\N
95694	326	1998-05-16	VYDAJ	VYBER	1760	15751	\N	\N	\N
95695	326	1998-02-22	VYDAJ	VYBER	880	13192	\N	\N	\N
95708	326	1997-12-31	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
95709	326	1998-01-31	VYDAJ	VYBER	15	12144	SLUZBY	\N	\N
95710	326	1998-02-28	VYDAJ	VYBER	15	13235	SLUZBY	\N	\N
95711	326	1998-03-31	VYDAJ	VYBER	15	13606	SLUZBY	\N	\N
95712	326	1998-04-30	VYDAJ	VYBER	15	15583	SLUZBY	\N	\N
95713	326	1998-05-31	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
95714	326	1998-06-30	VYDAJ	VYBER	15	17793	SLUZBY	\N	\N
95715	326	1998-07-31	VYDAJ	VYBER	15	13767	SLUZBY	\N	\N
95716	326	1998-08-31	VYDAJ	VYBER	15	15746	SLUZBY	\N	\N
95717	326	1998-09-30	VYDAJ	VYBER	15	17732	SLUZBY	\N	\N
95718	326	1998-10-31	VYDAJ	VYBER	15	19166	SLUZBY	\N	\N
95719	326	1998-11-30	VYDAJ	VYBER	15	21167	SLUZBY	\N	\N
95720	326	1997-11-04	VYDAJ	VYBER	2900	14303	\N	\N	\N
95721	326	1997-12-04	VYDAJ	VYBER	3100	16652	\N	\N	\N
95722	326	1998-01-03	VYDAJ	VYBER	6700	11294	\N	\N	\N
95723	326	1998-03-04	VYDAJ	VYBER	1600	11635	\N	\N	\N
95724	326	1998-07-02	VYDAJ	VYBER	6000	11793	\N	\N	\N
95742	327	1993-06-02	PRIJEM	VKLAD	700	700	\N	\N	\N
95748	327	1993-06-10	PRIJEM	VKLAD	23562	24262	\N	\N	\N
95749	327	1993-07-10	PRIJEM	VKLAD	15708	38741	\N	\N	\N
95750	327	1993-08-10	PRIJEM	VKLAD	15708	45693	\N	\N	\N
95751	327	1993-09-10	PRIJEM	VKLAD	15708	48981	\N	\N	\N
95752	327	1993-10-10	PRIJEM	VKLAD	15708	52128	\N	\N	\N
95753	327	1993-11-10	PRIJEM	VKLAD	15708	52241	\N	\N	\N
95754	327	1993-12-10	PRIJEM	VKLAD	23562	58105	\N	\N	\N
95755	327	1994-01-10	PRIJEM	VKLAD	15708	51234	\N	\N	\N
95756	327	1994-02-10	PRIJEM	VKLAD	15708	46030	\N	\N	\N
95757	327	1994-03-10	PRIJEM	VKLAD	15708	49018	\N	\N	\N
95758	327	1994-04-10	PRIJEM	VKLAD	15708	51318	\N	\N	\N
95759	327	1994-05-10	PRIJEM	VKLAD	15708	51926	\N	\N	\N
95760	327	1994-06-10	PRIJEM	VKLAD	23562	56088	\N	\N	\N
95761	327	1994-07-10	PRIJEM	VKLAD	15708	37883	\N	\N	\N
95762	327	1994-08-10	PRIJEM	VKLAD	15708	42534	\N	\N	\N
95763	327	1994-09-10	PRIJEM	VKLAD	15708	49208	\N	\N	\N
95764	327	1994-10-10	PRIJEM	VKLAD	15708	51206	\N	\N	\N
95765	327	1994-11-10	PRIJEM	VKLAD	15708	53914	\N	\N	\N
95766	327	1994-12-10	PRIJEM	VKLAD	23562	64086	\N	\N	\N
95767	327	1995-01-10	PRIJEM	VKLAD	15708	44426	\N	\N	\N
95768	327	1995-02-10	PRIJEM	VKLAD	15708	42496	\N	\N	\N
95769	327	1995-03-10	PRIJEM	VKLAD	15708	49764	\N	\N	\N
95770	327	1995-04-10	PRIJEM	VKLAD	15708	52264	\N	\N	\N
95771	327	1995-05-10	PRIJEM	VKLAD	15708	55773	\N	\N	\N
95772	327	1995-06-10	PRIJEM	VKLAD	23562	43245	\N	\N	\N
95773	327	1995-07-10	PRIJEM	VKLAD	15708	47736	\N	\N	\N
95774	327	1995-08-10	PRIJEM	VKLAD	15708	51726	\N	\N	\N
95775	327	1995-09-10	PRIJEM	VKLAD	15708	52427	\N	\N	\N
95776	327	1995-10-10	PRIJEM	VKLAD	15708	49323	\N	\N	\N
95777	327	1995-11-10	PRIJEM	VKLAD	15708	48811	\N	\N	\N
95778	327	1995-12-10	PRIJEM	VKLAD	23562	61757	\N	\N	\N
95779	327	1996-01-10	PRIJEM	VKLAD	15708	56883	\N	\N	\N
95780	327	1996-02-10	PRIJEM	VKLAD	15708	47172	\N	\N	\N
95781	327	1996-03-10	PRIJEM	VKLAD	15708	55064	\N	\N	\N
95782	327	1996-04-10	PRIJEM	VKLAD	15708	61686	\N	\N	\N
95783	327	1996-05-10	PRIJEM	VKLAD	15708	57921	\N	\N	\N
95784	327	1996-06-10	PRIJEM	VKLAD	23562	65506	\N	\N	\N
95785	327	1996-07-10	PRIJEM	VKLAD	15708	44138	\N	\N	\N
95786	327	1996-08-10	PRIJEM	VKLAD	15708	56828	\N	\N	\N
95787	327	1996-09-10	PRIJEM	VKLAD	15708	61753	\N	\N	\N
95788	327	1996-10-10	PRIJEM	VKLAD	15708	64192	\N	\N	\N
95789	327	1996-11-10	PRIJEM	VKLAD	15708	65944	\N	\N	\N
95790	327	1996-12-10	PRIJEM	VKLAD	23562	78969	\N	\N	\N
95791	327	1997-01-10	PRIJEM	VKLAD	15708	70868	\N	\N	\N
95792	327	1997-02-10	PRIJEM	VKLAD	15708	58739	\N	\N	\N
95793	327	1997-03-10	PRIJEM	VKLAD	15708	67879	\N	\N	\N
95794	327	1997-04-10	PRIJEM	VKLAD	15708	64941	\N	\N	\N
95795	327	1997-05-10	PRIJEM	VKLAD	15708	72007	\N	\N	\N
95796	327	1997-06-10	PRIJEM	VKLAD	23562	64426	\N	\N	\N
95797	327	1997-07-10	PRIJEM	VKLAD	15708	67881	\N	\N	\N
95798	327	1997-08-10	PRIJEM	VKLAD	15708	68335	\N	\N	\N
95799	327	1997-09-10	PRIJEM	VKLAD	15708	66897	\N	\N	\N
95800	327	1997-10-10	PRIJEM	VKLAD	15708	71576	\N	\N	\N
95801	327	1997-11-10	PRIJEM	VKLAD	15708	69275	\N	\N	\N
95802	327	1997-12-10	PRIJEM	VKLAD	23562	79427	\N	\N	\N
95803	327	1998-01-10	PRIJEM	VKLAD	15708	70039	\N	\N	\N
95804	327	1998-02-10	PRIJEM	VKLAD	15708	69110	\N	\N	\N
95805	327	1998-03-10	PRIJEM	VKLAD	15708	69390	\N	\N	\N
95806	327	1998-04-10	PRIJEM	VKLAD	15708	73784	\N	\N	\N
95807	327	1998-05-10	PRIJEM	VKLAD	15708	73291	\N	\N	\N
95808	327	1998-06-10	PRIJEM	VKLAD	23562	82657	\N	\N	\N
95809	327	1998-07-10	PRIJEM	VKLAD	15708	70992	\N	\N	\N
95810	327	1998-08-10	PRIJEM	VKLAD	15708	71979	\N	\N	\N
95811	327	1998-09-10	PRIJEM	VKLAD	15708	70283	\N	\N	\N
95812	327	1998-10-10	PRIJEM	VKLAD	15708	66771	\N	\N	\N
95813	327	1998-11-10	PRIJEM	VKLAD	15708	67550	\N	\N	\N
95814	327	1998-12-10	PRIJEM	VKLAD	23562	74489	\N	\N	\N
95824	327	1993-10-10	VYDAJ	PREVOD NA UCET	3252	48876	SIPO	OP	86823993
95825	327	1993-11-10	VYDAJ	PREVOD NA UCET	3252	48989	SIPO	OP	86823993
95826	327	1993-12-10	VYDAJ	PREVOD NA UCET	3252	54853	SIPO	OP	86823993
95827	327	1994-01-10	VYDAJ	PREVOD NA UCET	3252	44482	SIPO	OP	86823993
95828	327	1994-02-10	VYDAJ	PREVOD NA UCET	3252	42778	SIPO	OP	86823993
95829	327	1994-03-10	VYDAJ	PREVOD NA UCET	3252	45766	SIPO	OP	86823993
95830	327	1994-04-10	VYDAJ	PREVOD NA UCET	3252	48066	SIPO	OP	86823993
95831	327	1994-05-10	VYDAJ	PREVOD NA UCET	3252	48674	SIPO	OP	86823993
95832	327	1994-06-10	VYDAJ	PREVOD NA UCET	3252	52836	SIPO	OP	86823993
95833	327	1994-07-10	VYDAJ	PREVOD NA UCET	3252	34631	SIPO	OP	86823993
95834	327	1994-08-10	VYDAJ	PREVOD NA UCET	3252	39282	SIPO	OP	86823993
95835	327	1994-09-10	VYDAJ	PREVOD NA UCET	3252	45956	SIPO	OP	86823993
95836	327	1994-10-10	VYDAJ	PREVOD NA UCET	3252	47954	SIPO	OP	86823993
95837	327	1994-11-10	VYDAJ	PREVOD NA UCET	3252	50662	SIPO	OP	86823993
95838	327	1994-12-10	VYDAJ	PREVOD NA UCET	3252	60834	SIPO	OP	86823993
95839	327	1995-01-10	VYDAJ	PREVOD NA UCET	3252	41174	SIPO	OP	86823993
95840	327	1995-02-10	VYDAJ	PREVOD NA UCET	3252	39244	SIPO	OP	86823993
95841	327	1995-03-10	VYDAJ	PREVOD NA UCET	3252	46512	SIPO	OP	86823993
95842	327	1995-04-10	VYDAJ	PREVOD NA UCET	3252	49012	SIPO	OP	86823993
95843	327	1995-05-10	VYDAJ	PREVOD NA UCET	3252	52521	SIPO	OP	86823993
95844	327	1995-06-10	VYDAJ	PREVOD NA UCET	3252	39993	SIPO	OP	86823993
95845	327	1995-07-10	VYDAJ	PREVOD NA UCET	3252	44484	SIPO	OP	86823993
95846	327	1995-08-10	VYDAJ	PREVOD NA UCET	3252	48474	SIPO	OP	86823993
95847	327	1995-09-10	VYDAJ	PREVOD NA UCET	3252	49175	SIPO	OP	86823993
95848	327	1995-10-10	VYDAJ	PREVOD NA UCET	3252	46071	SIPO	OP	86823993
95849	327	1995-11-10	VYDAJ	PREVOD NA UCET	3252	45559	SIPO	OP	86823993
95850	327	1995-12-10	VYDAJ	PREVOD NA UCET	3252	58505	SIPO	OP	86823993
95851	327	1996-01-10	VYDAJ	PREVOD NA UCET	3252	53631	SIPO	OP	86823993
95852	327	1996-02-10	VYDAJ	PREVOD NA UCET	3252	43920	SIPO	OP	86823993
95853	327	1996-03-10	VYDAJ	PREVOD NA UCET	3252	51812	SIPO	OP	86823993
95854	327	1996-04-10	VYDAJ	PREVOD NA UCET	3252	58434	SIPO	OP	86823993
95855	327	1996-05-10	VYDAJ	PREVOD NA UCET	3252	54669	SIPO	OP	86823993
95856	327	1996-06-10	VYDAJ	PREVOD NA UCET	3252	62254	SIPO	OP	86823993
95857	327	1996-07-10	VYDAJ	PREVOD NA UCET	3252	40886	SIPO	OP	86823993
95858	327	1996-08-10	VYDAJ	PREVOD NA UCET	3252	53576	SIPO	OP	86823993
95859	327	1996-09-10	VYDAJ	PREVOD NA UCET	3252	58501	SIPO	OP	86823993
95860	327	1996-10-10	VYDAJ	PREVOD NA UCET	3252	60940	SIPO	OP	86823993
95861	327	1996-11-10	VYDAJ	PREVOD NA UCET	3252	62692	SIPO	OP	86823993
95862	327	1996-12-10	VYDAJ	PREVOD NA UCET	3252	75717	SIPO	OP	86823993
95863	327	1997-01-10	VYDAJ	PREVOD NA UCET	3252	67616	SIPO	OP	86823993
95864	327	1997-02-10	VYDAJ	PREVOD NA UCET	3252	55487	SIPO	OP	86823993
95865	327	1997-03-10	VYDAJ	PREVOD NA UCET	3252	64627	SIPO	OP	86823993
95866	327	1997-04-10	VYDAJ	PREVOD NA UCET	3252	61689	SIPO	OP	86823993
95867	327	1997-05-10	VYDAJ	PREVOD NA UCET	3252	68755	SIPO	OP	86823993
95868	327	1997-06-10	VYDAJ	PREVOD NA UCET	3252	61174	SIPO	OP	86823993
95869	327	1997-07-10	VYDAJ	PREVOD NA UCET	3252	64629	SIPO	OP	86823993
95870	327	1997-08-10	VYDAJ	PREVOD NA UCET	3252	65083	SIPO	OP	86823993
95871	327	1997-09-10	VYDAJ	PREVOD NA UCET	3252	63645	SIPO	OP	86823993
95872	327	1997-10-10	VYDAJ	PREVOD NA UCET	3252	68324	SIPO	OP	86823993
95873	327	1997-11-10	VYDAJ	PREVOD NA UCET	3252	66023	SIPO	OP	86823993
95874	327	1997-12-10	VYDAJ	PREVOD NA UCET	3252	75475	SIPO	OP	86823993
95875	327	1998-01-10	VYDAJ	PREVOD NA UCET	3252	66787	SIPO	OP	86823993
95876	327	1998-02-10	VYDAJ	PREVOD NA UCET	3252	65858	SIPO	OP	86823993
95877	327	1998-03-10	VYDAJ	PREVOD NA UCET	3252	66138	SIPO	OP	86823993
95878	327	1998-04-10	VYDAJ	PREVOD NA UCET	3252	70532	SIPO	OP	86823993
95879	327	1998-05-10	VYDAJ	PREVOD NA UCET	3252	70039	SIPO	OP	86823993
95880	327	1998-06-10	VYDAJ	PREVOD NA UCET	3252	79405	SIPO	OP	86823993
95881	327	1998-07-10	VYDAJ	PREVOD NA UCET	3252	67740	SIPO	OP	86823993
95882	327	1998-08-10	VYDAJ	PREVOD NA UCET	3252	68727	SIPO	OP	86823993
95883	327	1998-09-10	VYDAJ	PREVOD NA UCET	3252	67031	SIPO	OP	86823993
95884	327	1998-10-10	VYDAJ	PREVOD NA UCET	3252	63519	SIPO	OP	86823993
95885	327	1998-11-10	VYDAJ	PREVOD NA UCET	3252	64298	SIPO	OP	86823993
95886	327	1998-12-10	VYDAJ	PREVOD NA UCET	3252	71237	SIPO	OP	86823993
95896	327	1993-10-13	VYDAJ	PREVOD NA UCET	3805	45071	 	IJ	47999680
95897	327	1993-11-13	VYDAJ	PREVOD NA UCET	3805	45184	 	IJ	47999680
95898	327	1993-12-13	VYDAJ	PREVOD NA UCET	3805	51048	 	IJ	47999680
95899	327	1994-01-13	VYDAJ	PREVOD NA UCET	3805	40677	 	IJ	47999680
95900	327	1994-02-13	VYDAJ	PREVOD NA UCET	3805	38973	 	IJ	47999680
95901	327	1994-03-13	VYDAJ	PREVOD NA UCET	3805	41961	 	IJ	47999680
95902	327	1994-04-13	VYDAJ	PREVOD NA UCET	3805	44261	 	IJ	47999680
95903	327	1994-05-13	VYDAJ	PREVOD NA UCET	3805	44869	 	IJ	47999680
95904	327	1994-06-13	VYDAJ	PREVOD NA UCET	3805	49031	 	IJ	47999680
95905	327	1994-07-13	VYDAJ	PREVOD NA UCET	3805	30826	 	IJ	47999680
95906	327	1994-08-13	VYDAJ	PREVOD NA UCET	3805	35477	 	IJ	47999680
95907	327	1994-09-13	VYDAJ	PREVOD NA UCET	3805	42151	 	IJ	47999680
95908	327	1994-10-13	VYDAJ	PREVOD NA UCET	3805	44149	 	IJ	47999680
95909	327	1994-11-13	VYDAJ	PREVOD NA UCET	3805	46857	 	IJ	47999680
95910	327	1994-12-13	VYDAJ	PREVOD NA UCET	3805	57029	 	IJ	47999680
95911	327	1995-01-13	VYDAJ	PREVOD NA UCET	3805	32769	 	IJ	47999680
95912	327	1995-02-13	VYDAJ	PREVOD NA UCET	3805	35439	 	IJ	47999680
95913	327	1995-03-13	VYDAJ	PREVOD NA UCET	3805	42707	 	IJ	47999680
95914	327	1995-04-13	VYDAJ	PREVOD NA UCET	3805	45207	 	IJ	47999680
95915	327	1995-05-13	VYDAJ	PREVOD NA UCET	3805	48716	 	IJ	47999680
95916	327	1995-06-13	VYDAJ	PREVOD NA UCET	3805	36188	 	IJ	47999680
95917	327	1995-07-13	VYDAJ	PREVOD NA UCET	3805	40679	 	IJ	47999680
95918	327	1995-08-13	VYDAJ	PREVOD NA UCET	3805	44669	 	IJ	47999680
95919	327	1995-09-13	VYDAJ	PREVOD NA UCET	3805	45370	 	IJ	47999680
95920	327	1995-10-13	VYDAJ	PREVOD NA UCET	3805	42266	 	IJ	47999680
95921	327	1995-11-13	VYDAJ	PREVOD NA UCET	3805	41754	 	IJ	47999680
95922	327	1995-12-13	VYDAJ	PREVOD NA UCET	3805	54700	 	IJ	47999680
95923	327	1996-01-13	VYDAJ	PREVOD NA UCET	3805	35626	 	IJ	47999680
95924	327	1996-02-13	VYDAJ	PREVOD NA UCET	3805	40115	 	IJ	47999680
95925	327	1996-03-13	VYDAJ	PREVOD NA UCET	3805	48007	 	IJ	47999680
95926	327	1996-04-13	VYDAJ	PREVOD NA UCET	3805	54629	 	IJ	47999680
95927	327	1996-05-13	VYDAJ	PREVOD NA UCET	3805	50864	 	IJ	47999680
95928	327	1996-06-13	VYDAJ	PREVOD NA UCET	3805	58449	 	IJ	47999680
95929	327	1996-07-13	VYDAJ	PREVOD NA UCET	3805	37081	 	IJ	47999680
95930	327	1996-08-13	VYDAJ	PREVOD NA UCET	3805	49771	 	IJ	47999680
95931	327	1996-09-13	VYDAJ	PREVOD NA UCET	3805	54696	 	IJ	47999680
95932	327	1996-10-13	VYDAJ	PREVOD NA UCET	3805	57135	 	IJ	47999680
95933	327	1996-11-13	VYDAJ	PREVOD NA UCET	3805	58887	 	IJ	47999680
95934	327	1996-12-13	VYDAJ	PREVOD NA UCET	3805	71912	 	IJ	47999680
95935	327	1997-01-13	VYDAJ	PREVOD NA UCET	3805	53811	 	IJ	47999680
95936	327	1997-02-13	VYDAJ	PREVOD NA UCET	3805	51982	 	IJ	47999680
95937	327	1997-03-13	VYDAJ	PREVOD NA UCET	3805	60822	 	IJ	47999680
95938	327	1997-04-13	VYDAJ	PREVOD NA UCET	3805	56084	 	IJ	47999680
95939	327	1997-05-13	VYDAJ	PREVOD NA UCET	3805	54650	 	IJ	47999680
95940	327	1997-06-13	VYDAJ	PREVOD NA UCET	3805	51969	 	IJ	47999680
95941	327	1997-07-13	VYDAJ	PREVOD NA UCET	3805	52424	 	IJ	47999680
95942	327	1997-08-13	VYDAJ	PREVOD NA UCET	3805	55478	 	IJ	47999680
95943	327	1997-09-13	VYDAJ	PREVOD NA UCET	3805	59840	 	IJ	47999680
95944	327	1997-10-13	VYDAJ	PREVOD NA UCET	3805	64519	 	IJ	47999680
95945	327	1997-11-13	VYDAJ	PREVOD NA UCET	3805	62218	 	IJ	47999680
95946	327	1997-12-13	VYDAJ	PREVOD NA UCET	3805	71670	 	IJ	47999680
95947	327	1998-01-13	VYDAJ	PREVOD NA UCET	3805	62982	 	IJ	47999680
95948	327	1998-02-13	VYDAJ	PREVOD NA UCET	3805	62053	 	IJ	47999680
95949	327	1998-03-13	VYDAJ	PREVOD NA UCET	3805	62333	 	IJ	47999680
95950	327	1998-04-13	VYDAJ	PREVOD NA UCET	3805	66727	 	IJ	47999680
95951	327	1998-05-13	VYDAJ	PREVOD NA UCET	3805	66234	 	IJ	47999680
95952	327	1998-06-13	VYDAJ	PREVOD NA UCET	3805	75600	 	IJ	47999680
95953	327	1998-07-13	VYDAJ	PREVOD NA UCET	3805	63935	 	IJ	47999680
95954	327	1998-08-13	VYDAJ	PREVOD NA UCET	3805	64922	 	IJ	47999680
95955	327	1998-09-13	VYDAJ	PREVOD NA UCET	3805	63226	 	IJ	47999680
95956	327	1998-10-13	VYDAJ	PREVOD NA UCET	3805	59714	 	IJ	47999680
95957	327	1998-11-13	VYDAJ	PREVOD NA UCET	3805	60493	 	IJ	47999680
95958	327	1998-12-13	VYDAJ	PREVOD NA UCET	3805	67432	 	IJ	47999680
95960	327	1994-06-24	VYDAJ	VYBER	29400	19631	\N	\N	\N
95961	327	1995-06-03	VYDAJ	VYBER	18000	19683	\N	\N	\N
95962	327	1996-06-25	VYDAJ	VYBER	23900	28249	\N	\N	\N
95963	327	1997-06-03	VYDAJ	VYBER	12800	40864	\N	\N	\N
95964	327	1998-06-13	VYDAJ	VYBER	21900	53700	\N	\N	\N
95966	327	1994-01-10	VYDAJ	VYBER	3500	47734	\N	\N	\N
95967	327	1995-01-02	VYDAJ	VYBER	4600	37018	\N	\N	\N
95968	327	1996-01-12	VYDAJ	VYBER	9900	39431	\N	\N	\N
95969	327	1997-01-29	VYDAJ	VYBER	8700	45111	\N	\N	\N
95970	327	1998-01-13	VYDAJ	VYBER	7100	55882	\N	\N	\N
95971	327	1993-12-09	VYDAJ	VYBER	1300	34543	\N	\N	\N
95972	327	1994-12-24	VYDAJ	VYBER	2700	41429	\N	\N	\N
95973	327	1995-12-23	VYDAJ	VYBER	1300	43400	\N	\N	\N
95974	327	1996-12-21	VYDAJ	VYBER	1000	59412	\N	\N	\N
95975	327	1997-12-10	VYDAJ	VYBER	700	78727	\N	\N	\N
95976	327	1998-12-18	VYDAJ	VYBER	700	66732	\N	\N	\N
95983	327	1994-01-06	VYDAJ	VYBER	2700	36226	\N	\N	\N
95984	327	1994-01-22	VYDAJ	VYBER	600	38677	\N	\N	\N
95985	327	1994-01-24	VYDAJ	VYBER	1600	37077	\N	\N	\N
95986	327	1994-01-13	VYDAJ	VYBER	1400	39277	\N	\N	\N
95987	327	1994-01-28	VYDAJ	VYBER	1600	35477	\N	\N	\N
95988	327	1994-01-08	VYDAJ	VYBER	700	35526	\N	\N	\N
95989	327	1995-01-02	VYDAJ	VYBER	1500	35518	\N	\N	\N
95990	327	1995-01-06	VYDAJ	VYBER	2400	28718	\N	\N	\N
95991	327	1995-01-03	VYDAJ	VYBER	2600	32918	\N	\N	\N
95992	327	1995-01-26	VYDAJ	VYBER	2500	28569	\N	\N	\N
95993	327	1995-01-28	VYDAJ	VYBER	1900	26669	\N	\N	\N
95994	327	1995-01-06	VYDAJ	VYBER	1800	31118	\N	\N	\N
95995	327	1996-01-13	VYDAJ	VYBER	1500	34126	\N	\N	\N
95996	327	1996-01-12	VYDAJ	VYBER	1600	52031	\N	\N	\N
95997	327	1996-01-16	VYDAJ	VYBER	700	29426	\N	\N	\N
95998	327	1996-01-12	VYDAJ	VYBER	2700	49331	\N	\N	\N
95999	327	1996-01-17	VYDAJ	VYBER	2200	27226	\N	\N	\N
96000	327	1996-01-03	VYDAJ	VYBER	2400	41175	\N	\N	\N
96001	327	1997-01-30	VYDAJ	VYBER	2300	42811	\N	\N	\N
96002	327	1997-01-13	VYDAJ	VYBER	2300	57616	\N	\N	\N
96003	327	1997-01-10	VYDAJ	VYBER	1100	66516	\N	\N	\N
96004	327	1997-01-04	VYDAJ	VYBER	1700	56460	\N	\N	\N
96005	327	1997-01-04	VYDAJ	VYBER	1500	58160	\N	\N	\N
96006	327	1997-01-05	VYDAJ	VYBER	1300	55160	\N	\N	\N
96007	327	1998-01-16	VYDAJ	VYBER	500	55382	\N	\N	\N
96008	327	1998-01-05	VYDAJ	VYBER	2900	62931	\N	\N	\N
96009	327	1998-01-23	VYDAJ	VYBER	2200	53182	\N	\N	\N
96010	327	1998-01-06	VYDAJ	VYBER	2000	60931	\N	\N	\N
96011	327	1998-01-06	VYDAJ	VYBER	2400	58531	\N	\N	\N
96012	327	1998-01-24	VYDAJ	VYBER	1500	51682	\N	\N	\N
96013	327	1993-11-14	VYDAJ	VYBER	1900	43284	\N	\N	\N
96018	327	1994-08-20	VYDAJ	VYBER	1300	34177	\N	\N	\N
96019	327	1994-11-04	VYDAJ	VYBER	1000	38206	\N	\N	\N
96020	327	1994-05-26	VYDAJ	VYBER	4200	40669	\N	\N	\N
96021	327	1994-07-14	VYDAJ	VYBER	1900	28926	\N	\N	\N
96022	327	1994-01-28	VYDAJ	VYBER	3000	32477	\N	\N	\N
96023	327	1995-06-30	VYDAJ	VYBER	4800	32043	\N	\N	\N
96024	327	1995-05-30	VYDAJ	VYBER	1900	37516	\N	\N	\N
96025	327	1995-01-12	VYDAJ	VYBER	4600	36574	\N	\N	\N
96026	327	1995-11-13	VYDAJ	VYBER	2500	39254	\N	\N	\N
96027	327	1995-10-18	VYDAJ	VYBER	3400	38866	\N	\N	\N
96028	327	1995-09-15	VYDAJ	VYBER	2800	42570	\N	\N	\N
96029	327	1995-02-16	VYDAJ	VYBER	3700	31739	\N	\N	\N
96030	327	1996-01-16	VYDAJ	VYBER	4000	30126	\N	\N	\N
96031	327	1996-10-26	VYDAJ	VYBER	2600	50035	\N	\N	\N
96032	327	1996-04-25	VYDAJ	VYBER	2600	42029	\N	\N	\N
96033	327	1996-06-03	VYDAJ	VYBER	4600	41944	\N	\N	\N
96034	327	1996-04-25	VYDAJ	VYBER	3800	44629	\N	\N	\N
96035	327	1997-03-18	VYDAJ	VYBER	2100	53622	\N	\N	\N
96036	327	1997-12-16	VYDAJ	VYBER	4700	66970	\N	\N	\N
96037	327	1997-05-15	VYDAJ	VYBER	1200	53450	\N	\N	\N
96038	327	1997-04-04	VYDAJ	VYBER	4600	49233	\N	\N	\N
96039	327	1998-09-19	VYDAJ	VYBER	600	62626	\N	\N	\N
96040	327	1998-10-06	VYDAJ	VYBER	3700	51063	\N	\N	\N
96041	327	1998-01-02	VYDAJ	VYBER	1400	65831	\N	\N	\N
96042	327	1998-09-01	VYDAJ	VYBER	2700	62475	\N	\N	\N
96043	327	1998-12-23	VYDAJ	VYBER	2400	64332	\N	\N	\N
96044	327	1998-03-09	VYDAJ	VYBER	3800	53682	\N	\N	\N
96055	327	1993-10-31	VYDAJ	VYBER	15	36533	SLUZBY	\N	\N
96056	327	1993-11-30	VYDAJ	VYBER	15	35843	SLUZBY	\N	\N
96057	327	1993-12-31	VYDAJ	VYBER	15	38926	SLUZBY	\N	\N
96058	327	1994-01-31	VYDAJ	VYBER	15	30322	SLUZBY	\N	\N
96059	327	1994-02-28	VYDAJ	VYBER	15	33310	SLUZBY	\N	\N
96060	327	1994-03-31	VYDAJ	VYBER	15	35610	SLUZBY	\N	\N
96061	327	1994-04-30	VYDAJ	VYBER	15	36218	SLUZBY	\N	\N
96062	327	1994-05-31	VYDAJ	VYBER	15	32526	SLUZBY	\N	\N
96063	327	1994-06-30	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
96064	327	1994-07-31	VYDAJ	VYBER	15	26826	SLUZBY	\N	\N
96065	327	1994-08-31	VYDAJ	VYBER	15	33500	SLUZBY	\N	\N
96066	327	1994-09-30	VYDAJ	VYBER	15	35498	SLUZBY	\N	\N
96067	327	1994-10-31	VYDAJ	VYBER	15	39206	SLUZBY	\N	\N
96068	327	1994-11-30	VYDAJ	VYBER	15	40524	SLUZBY	\N	\N
96069	327	1994-12-31	VYDAJ	VYBER	15	41618	SLUZBY	\N	\N
96070	327	1995-01-31	VYDAJ	VYBER	15	26788	SLUZBY	\N	\N
96071	327	1995-02-28	VYDAJ	VYBER	15	34056	SLUZBY	\N	\N
96072	327	1995-03-31	VYDAJ	VYBER	15	36556	SLUZBY	\N	\N
96073	327	1995-04-30	VYDAJ	VYBER	15	40065	SLUZBY	\N	\N
96074	327	1995-05-31	VYDAJ	VYBER	15	37683	SLUZBY	\N	\N
96075	327	1995-06-30	VYDAJ	VYBER	15	32028	SLUZBY	\N	\N
96076	327	1995-07-31	VYDAJ	VYBER	15	36018	SLUZBY	\N	\N
96077	327	1995-08-31	VYDAJ	VYBER	15	36719	SLUZBY	\N	\N
96078	327	1995-09-30	VYDAJ	VYBER	15	33615	SLUZBY	\N	\N
96079	327	1995-10-31	VYDAJ	VYBER	15	33103	SLUZBY	\N	\N
96080	327	1995-11-30	VYDAJ	VYBER	15	38195	SLUZBY	\N	\N
96081	327	1995-12-31	VYDAJ	VYBER	15	43575	SLUZBY	\N	\N
96082	327	1996-01-31	VYDAJ	VYBER	15	31464	SLUZBY	\N	\N
96083	327	1996-02-29	VYDAJ	VYBER	15	39356	SLUZBY	\N	\N
96084	327	1996-03-31	VYDAJ	VYBER	15	45978	SLUZBY	\N	\N
96085	327	1996-04-30	VYDAJ	VYBER	15	42213	SLUZBY	\N	\N
96086	327	1996-05-31	VYDAJ	VYBER	15	46544	SLUZBY	\N	\N
96087	327	1996-06-30	VYDAJ	VYBER	15	28430	SLUZBY	\N	\N
96088	327	1996-07-31	VYDAJ	VYBER	15	41120	SLUZBY	\N	\N
96089	327	1996-08-31	VYDAJ	VYBER	15	46045	SLUZBY	\N	\N
96090	327	1996-09-30	VYDAJ	VYBER	15	48484	SLUZBY	\N	\N
96091	327	1996-10-31	VYDAJ	VYBER	15	50236	SLUZBY	\N	\N
96092	327	1996-11-30	VYDAJ	VYBER	15	55407	SLUZBY	\N	\N
96093	327	1996-12-31	VYDAJ	VYBER	15	59660	SLUZBY	\N	\N
96094	327	1997-01-31	VYDAJ	VYBER	15	43031	SLUZBY	\N	\N
96095	327	1997-02-28	VYDAJ	VYBER	15	52171	SLUZBY	\N	\N
96096	327	1997-03-31	VYDAJ	VYBER	15	53833	SLUZBY	\N	\N
96097	327	1997-04-30	VYDAJ	VYBER	15	56299	SLUZBY	\N	\N
96098	327	1997-05-31	VYDAJ	VYBER	15	53664	SLUZBY	\N	\N
96099	327	1997-06-30	VYDAJ	VYBER	15	52173	SLUZBY	\N	\N
96100	327	1997-07-31	VYDAJ	VYBER	15	52627	SLUZBY	\N	\N
96101	327	1997-08-31	VYDAJ	VYBER	15	55689	SLUZBY	\N	\N
96102	327	1997-09-30	VYDAJ	VYBER	15	60068	SLUZBY	\N	\N
96103	327	1997-10-31	VYDAJ	VYBER	15	64767	SLUZBY	\N	\N
96104	327	1997-11-30	VYDAJ	VYBER	15	62465	SLUZBY	\N	\N
96105	327	1997-12-31	VYDAJ	VYBER	15	67231	SLUZBY	\N	\N
96106	327	1998-01-31	VYDAJ	VYBER	15	51902	SLUZBY	\N	\N
96107	327	1998-02-28	VYDAJ	VYBER	15	62282	SLUZBY	\N	\N
96108	327	1998-03-31	VYDAJ	VYBER	15	62576	SLUZBY	\N	\N
96109	327	1998-04-30	VYDAJ	VYBER	15	66983	SLUZBY	\N	\N
96110	327	1998-05-31	VYDAJ	VYBER	15	66495	SLUZBY	\N	\N
96111	327	1998-06-30	VYDAJ	VYBER	15	53984	SLUZBY	\N	\N
96112	327	1998-07-31	VYDAJ	VYBER	15	64171	SLUZBY	\N	\N
96113	327	1998-08-31	VYDAJ	VYBER	15	65175	SLUZBY	\N	\N
96114	327	1998-09-30	VYDAJ	VYBER	15	62863	SLUZBY	\N	\N
96115	327	1998-10-31	VYDAJ	VYBER	15	59942	SLUZBY	\N	\N
96116	327	1998-11-30	VYDAJ	VYBER	15	60727	SLUZBY	\N	\N
96117	327	1993-07-02	VYDAJ	VYBER	1300	23033	\N	\N	\N
96118	327	1993-08-01	VYDAJ	VYBER	8900	29985	\N	\N	\N
96119	327	1993-08-31	VYDAJ	VYBER	12600	33273	\N	\N	\N
96120	327	1993-09-30	VYDAJ	VYBER	12700	36420	\N	\N	\N
96121	327	1993-10-30	VYDAJ	VYBER	8700	36371	\N	\N	\N
96122	327	1993-11-29	VYDAJ	VYBER	7600	35684	\N	\N	\N
96123	327	1993-12-29	VYDAJ	VYBER	12300	38748	\N	\N	\N
96124	327	1994-01-28	VYDAJ	VYBER	2300	30177	\N	\N	\N
96125	327	1994-02-27	VYDAJ	VYBER	5800	33173	\N	\N	\N
96126	327	1994-03-29	VYDAJ	VYBER	6500	35461	\N	\N	\N
96127	327	1994-04-28	VYDAJ	VYBER	8200	36061	\N	\N	\N
96128	327	1994-05-28	VYDAJ	VYBER	8300	32369	\N	\N	\N
96129	327	1994-06-27	PRIJEM	VKLAD	2400	22031	\N	\N	\N
96130	327	1994-07-27	VYDAJ	VYBER	2200	26726	\N	\N	\N
96131	327	1994-08-26	VYDAJ	VYBER	800	33377	\N	\N	\N
96132	327	1994-09-25	VYDAJ	VYBER	6800	35351	\N	\N	\N
96133	327	1994-10-25	VYDAJ	VYBER	5100	39049	\N	\N	\N
96134	327	1994-11-24	VYDAJ	VYBER	6500	40357	\N	\N	\N
96135	327	1994-12-24	VYDAJ	VYBER	12900	44129	\N	\N	\N
96136	327	1995-01-23	VYDAJ	VYBER	1700	31069	\N	\N	\N
96137	327	1995-02-22	PRIJEM	VKLAD	2200	33939	\N	\N	\N
96138	327	1995-03-24	VYDAJ	VYBER	6300	36407	\N	\N	\N
96139	327	1995-04-23	VYDAJ	VYBER	5300	39907	\N	\N	\N
96140	327	1995-05-23	VYDAJ	VYBER	9300	39416	\N	\N	\N
96141	327	1995-06-22	PRIJEM	VKLAD	500	36688	\N	\N	\N
96142	327	1995-07-22	VYDAJ	VYBER	4800	35879	\N	\N	\N
96143	327	1995-08-21	VYDAJ	VYBER	8100	36569	\N	\N	\N
96144	327	1995-09-20	VYDAJ	VYBER	9100	33470	\N	\N	\N
96145	327	1995-10-20	VYDAJ	VYBER	5900	32966	\N	\N	\N
96146	327	1995-11-19	VYDAJ	VYBER	1200	38054	\N	\N	\N
96147	327	1995-12-19	VYDAJ	VYBER	10000	44700	\N	\N	\N
96148	327	1996-01-18	PRIJEM	VKLAD	4100	31326	\N	\N	\N
96149	327	1996-02-17	VYDAJ	VYBER	900	39215	\N	\N	\N
96150	327	1996-03-18	VYDAJ	VYBER	2200	45807	\N	\N	\N
96151	327	1996-04-17	VYDAJ	VYBER	6200	48429	\N	\N	\N
96152	327	1996-05-17	VYDAJ	VYBER	4500	46364	\N	\N	\N
96153	327	1996-06-16	VYDAJ	VYBER	6300	52149	\N	\N	\N
96154	327	1996-07-16	PRIJEM	VKLAD	3900	40981	\N	\N	\N
96155	327	1996-08-15	VYDAJ	VYBER	3900	45871	\N	\N	\N
96156	327	1996-09-14	VYDAJ	VYBER	6400	48296	\N	\N	\N
96157	327	1996-10-14	VYDAJ	VYBER	4500	52635	\N	\N	\N
96158	327	1996-11-13	VYDAJ	VYBER	3700	55187	\N	\N	\N
96159	327	1996-12-13	VYDAJ	VYBER	11500	60412	\N	\N	\N
96160	327	1997-01-12	VYDAJ	VYBER	6600	59916	\N	\N	\N
96161	327	1997-02-11	PRIJEM	VKLAD	300	55787	\N	\N	\N
96162	327	1997-03-13	VYDAJ	VYBER	5100	55722	\N	\N	\N
96163	327	1997-04-12	VYDAJ	VYBER	1800	59889	\N	\N	\N
96164	327	1997-05-12	VYDAJ	VYBER	10300	58455	\N	\N	\N
96165	327	1997-06-11	VYDAJ	VYBER	5400	55774	\N	\N	\N
96166	327	1997-07-11	VYDAJ	VYBER	8400	56229	\N	\N	\N
96167	327	1997-08-10	VYDAJ	VYBER	5800	59283	\N	\N	\N
96168	327	1997-09-09	VYDAJ	VYBER	4500	51189	\N	\N	\N
96169	327	1997-10-09	VYDAJ	VYBER	4200	55868	\N	\N	\N
96170	327	1997-11-08	VYDAJ	VYBER	11200	53567	\N	\N	\N
96171	327	1997-12-08	VYDAJ	VYBER	6600	55865	\N	\N	\N
96172	327	1998-01-07	VYDAJ	VYBER	4200	54331	\N	\N	\N
96173	327	1998-02-06	PRIJEM	VKLAD	1500	53402	\N	\N	\N
96174	327	1998-03-08	VYDAJ	VYBER	4800	57482	\N	\N	\N
96175	327	1998-04-07	VYDAJ	VYBER	4500	58076	\N	\N	\N
96176	327	1998-05-07	VYDAJ	VYBER	9400	57583	\N	\N	\N
96177	327	1998-06-06	VYDAJ	VYBER	7400	59095	\N	\N	\N
96178	327	1998-07-06	PRIJEM	VKLAD	1300	55284	\N	\N	\N
96179	327	1998-08-05	VYDAJ	VYBER	7900	56271	\N	\N	\N
96180	327	1998-09-04	VYDAJ	VYBER	7900	54575	\N	\N	\N
96181	327	1998-10-04	VYDAJ	VYBER	8100	54763	\N	\N	\N
96182	327	1998-11-03	VYDAJ	VYBER	8100	51842	\N	\N	\N
96183	327	1998-12-03	VYDAJ	VYBER	9800	50927	\N	\N	\N
96251	328	1997-09-18	PRIJEM	VKLAD	600	600	\N	\N	\N
96261	328	1997-10-09	PRIJEM	PREVOD Z UCTU	6973	7573	DUCHOD	KL	77099895
96262	328	1997-11-09	PRIJEM	PREVOD Z UCTU	6973	14546	DUCHOD	KL	77099895
96263	328	1997-12-09	PRIJEM	PREVOD Z UCTU	6973	21519	DUCHOD	KL	77099895
96264	328	1998-01-09	PRIJEM	PREVOD Z UCTU	6973	24628	DUCHOD	KL	77099895
96265	328	1998-02-09	PRIJEM	PREVOD Z UCTU	6973	28582	DUCHOD	KL	77099895
96266	328	1998-03-09	PRIJEM	PREVOD Z UCTU	6973	25395	DUCHOD	KL	77099895
96267	328	1998-04-09	PRIJEM	PREVOD Z UCTU	6973	27405	DUCHOD	KL	77099895
96268	328	1998-05-09	PRIJEM	PREVOD Z UCTU	6973	25516	DUCHOD	KL	77099895
96269	328	1998-06-09	PRIJEM	PREVOD Z UCTU	6973	23000	DUCHOD	KL	77099895
96270	328	1998-07-09	PRIJEM	PREVOD Z UCTU	6973	21976	DUCHOD	KL	77099895
96271	328	1998-08-09	PRIJEM	PREVOD Z UCTU	6973	23074	DUCHOD	KL	77099895
96272	328	1998-09-09	PRIJEM	PREVOD Z UCTU	6973	23579	DUCHOD	KL	77099895
96273	328	1998-10-09	PRIJEM	PREVOD Z UCTU	6973	18864	DUCHOD	KL	77099895
96274	328	1998-11-09	PRIJEM	PREVOD Z UCTU	6973	23051	DUCHOD	KL	77099895
96275	328	1998-12-09	PRIJEM	PREVOD Z UCTU	6973	25652	DUCHOD	KL	77099895
96289	328	1998-02-12	VYDAJ	PREVOD NA UCET	1287	27295	SIPO	OP	10446250
96290	328	1998-03-12	VYDAJ	PREVOD NA UCET	1287	24108	SIPO	OP	10446250
96291	328	1998-04-12	VYDAJ	PREVOD NA UCET	1287	26118	SIPO	OP	10446250
96292	328	1998-05-12	VYDAJ	PREVOD NA UCET	1287	24229	SIPO	OP	10446250
96293	328	1998-06-12	VYDAJ	PREVOD NA UCET	1287	21713	SIPO	OP	10446250
96294	328	1998-07-12	VYDAJ	PREVOD NA UCET	1287	20689	SIPO	OP	10446250
96295	328	1998-08-12	VYDAJ	PREVOD NA UCET	1287	21787	SIPO	OP	10446250
96296	328	1998-09-12	VYDAJ	PREVOD NA UCET	1287	22292	SIPO	OP	10446250
96297	328	1998-10-12	VYDAJ	PREVOD NA UCET	1287	17577	SIPO	OP	10446250
96298	328	1998-11-12	VYDAJ	PREVOD NA UCET	1287	19764	SIPO	OP	10446250
96299	328	1998-12-12	VYDAJ	PREVOD NA UCET	1287	16965	SIPO	OP	10446250
96313	328	1998-02-14	VYDAJ	PREVOD NA UCET	1145	26150	 	GH	3014916
96314	328	1998-03-14	VYDAJ	PREVOD NA UCET	1145	22963	 	GH	3014916
96315	328	1998-04-14	VYDAJ	PREVOD NA UCET	1145	24973	 	GH	3014916
96316	328	1998-05-14	VYDAJ	PREVOD NA UCET	1145	23084	 	GH	3014916
96317	328	1998-06-14	VYDAJ	PREVOD NA UCET	1145	20568	 	GH	3014916
96318	328	1998-07-14	VYDAJ	PREVOD NA UCET	1145	19544	 	GH	3014916
96319	328	1998-08-14	VYDAJ	PREVOD NA UCET	1145	20642	 	GH	3014916
96320	328	1998-09-14	VYDAJ	PREVOD NA UCET	1145	11847	 	GH	3014916
96321	328	1998-10-14	VYDAJ	PREVOD NA UCET	1145	16032	 	GH	3014916
96322	328	1998-11-14	VYDAJ	PREVOD NA UCET	1145	18619	 	GH	3014916
96323	328	1998-12-14	VYDAJ	PREVOD NA UCET	1145	15820	 	GH	3014916
96346	328	1998-02-20	VYDAJ	VYBER	800	18350	\N	\N	\N
96348	328	1998-07-08	VYDAJ	VYBER	1520	15003	\N	\N	\N
96349	328	1998-12-15	VYDAJ	VYBER	2800	13020	\N	\N	\N
96350	328	1998-05-31	VYDAJ	VYBER	1760	16041	\N	\N	\N
96351	328	1998-05-15	VYDAJ	VYBER	3360	19724	\N	\N	\N
96366	328	1998-02-28	VYDAJ	VYBER	15	18422	SLUZBY	\N	\N
96367	328	1998-03-31	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
96368	328	1998-04-30	VYDAJ	VYBER	15	18543	SLUZBY	\N	\N
96369	328	1998-05-31	VYDAJ	VYBER	15	16027	SLUZBY	\N	\N
96370	328	1998-06-30	VYDAJ	VYBER	15	16523	SLUZBY	\N	\N
96371	328	1998-07-31	VYDAJ	VYBER	15	16101	SLUZBY	\N	\N
96372	328	1998-08-31	VYDAJ	VYBER	15	16606	SLUZBY	\N	\N
96373	328	1998-09-30	VYDAJ	VYBER	15	11891	SLUZBY	\N	\N
96374	328	1998-10-31	VYDAJ	VYBER	15	16078	SLUZBY	\N	\N
96375	328	1998-11-30	VYDAJ	VYBER	15	18679	SLUZBY	\N	\N
96376	328	1997-12-17	VYDAJ	VYBER	3900	17619	\N	\N	\N
96377	328	1998-01-16	VYDAJ	VYBER	3100	21528	\N	\N	\N
96378	328	1998-02-15	VYDAJ	VYBER	7000	19150	\N	\N	\N
96379	328	1998-03-17	VYDAJ	VYBER	2600	20363	\N	\N	\N
96380	328	1998-04-16	VYDAJ	VYBER	6500	18473	\N	\N	\N
96381	328	1998-05-16	VYDAJ	VYBER	2000	17724	\N	\N	\N
96382	328	1998-06-15	VYDAJ	VYBER	4100	16468	\N	\N	\N
96383	328	1998-07-15	VYDAJ	VYBER	3500	16044	\N	\N	\N
96384	328	1998-08-14	VYDAJ	VYBER	4100	16542	\N	\N	\N
96385	328	1998-09-13	VYDAJ	VYBER	9300	12992	\N	\N	\N
96386	328	1998-10-13	VYDAJ	VYBER	400	17177	\N	\N	\N
96387	328	1998-11-12	VYDAJ	VYBER	2000	21051	\N	\N	\N
96388	328	1998-12-12	VYDAJ	VYBER	7400	18252	\N	\N	\N
96402	329	1996-10-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
96413	329	1996-11-09	PRIJEM	VKLAD	23842	24942	\N	\N	\N
96414	329	1996-12-09	PRIJEM	VKLAD	35763	60149	\N	\N	\N
96415	329	1997-01-09	PRIJEM	VKLAD	23842	67428	\N	\N	\N
96416	329	1997-02-09	PRIJEM	VKLAD	23842	72161	\N	\N	\N
96417	329	1997-03-09	PRIJEM	VKLAD	23842	73807	\N	\N	\N
96418	329	1997-04-09	PRIJEM	VKLAD	23842	64157	\N	\N	\N
96419	329	1997-05-09	PRIJEM	VKLAD	23842	64262	\N	\N	\N
96420	329	1997-06-09	PRIJEM	VKLAD	35763	78592	\N	\N	\N
96421	329	1997-07-09	PRIJEM	VKLAD	23842	59946	\N	\N	\N
96422	329	1997-08-09	PRIJEM	VKLAD	23842	63738	\N	\N	\N
96423	329	1997-09-09	PRIJEM	VKLAD	23842	68947	\N	\N	\N
96424	329	1997-10-09	PRIJEM	VKLAD	23842	69164	\N	\N	\N
96425	329	1997-11-09	PRIJEM	VKLAD	23842	72400	\N	\N	\N
96426	329	1997-12-09	PRIJEM	VKLAD	35763	78261	\N	\N	\N
96427	329	1998-01-09	PRIJEM	VKLAD	23842	63528	\N	\N	\N
96428	329	1998-02-09	PRIJEM	VKLAD	23842	64795	\N	\N	\N
96429	329	1998-03-09	PRIJEM	VKLAD	23842	70407	\N	\N	\N
96430	329	1998-04-09	PRIJEM	VKLAD	23842	66113	\N	\N	\N
96431	329	1998-05-09	PRIJEM	VKLAD	23842	73750	\N	\N	\N
96432	329	1998-06-09	PRIJEM	VKLAD	35763	86907	\N	\N	\N
96433	329	1998-07-09	PRIJEM	VKLAD	23842	76053	\N	\N	\N
96434	329	1998-08-09	PRIJEM	VKLAD	23842	74793	\N	\N	\N
96435	329	1998-09-09	PRIJEM	VKLAD	23842	74230	\N	\N	\N
96436	329	1998-10-09	PRIJEM	VKLAD	23842	71358	\N	\N	\N
96437	329	1998-11-09	PRIJEM	VKLAD	23842	61898	\N	\N	\N
96438	329	1998-12-09	PRIJEM	VKLAD	35763	83378	\N	\N	\N
96453	329	1997-03-13	VYDAJ	PREVOD NA UCET	792	73015	SIPO	GH	73389369
96454	329	1997-04-13	VYDAJ	PREVOD NA UCET	792	63365	SIPO	GH	73389369
96455	329	1997-05-13	VYDAJ	PREVOD NA UCET	792	63470	SIPO	GH	73389369
96456	329	1997-06-13	VYDAJ	PREVOD NA UCET	792	47560	SIPO	GH	73389369
96457	329	1997-07-13	VYDAJ	PREVOD NA UCET	792	59154	SIPO	GH	73389369
96458	329	1997-08-13	VYDAJ	PREVOD NA UCET	792	62946	SIPO	GH	73389369
96459	329	1997-09-13	VYDAJ	PREVOD NA UCET	792	68155	SIPO	GH	73389369
96460	329	1997-10-13	VYDAJ	PREVOD NA UCET	792	68372	SIPO	GH	73389369
96461	329	1997-11-13	VYDAJ	PREVOD NA UCET	792	48708	SIPO	GH	73389369
96462	329	1997-12-13	VYDAJ	PREVOD NA UCET	792	50769	SIPO	GH	73389369
96463	329	1998-01-13	VYDAJ	PREVOD NA UCET	792	46296	SIPO	GH	73389369
96464	329	1998-02-13	VYDAJ	PREVOD NA UCET	792	49503	SIPO	GH	73389369
96465	329	1998-03-13	VYDAJ	PREVOD NA UCET	792	53115	SIPO	GH	73389369
96466	329	1998-04-13	VYDAJ	PREVOD NA UCET	792	52821	SIPO	GH	73389369
96467	329	1998-05-13	VYDAJ	PREVOD NA UCET	792	54058	SIPO	GH	73389369
96468	329	1998-06-13	VYDAJ	PREVOD NA UCET	792	58015	SIPO	GH	73389369
96469	329	1998-07-13	VYDAJ	PREVOD NA UCET	792	53861	SIPO	GH	73389369
96470	329	1998-08-13	VYDAJ	PREVOD NA UCET	792	53301	SIPO	GH	73389369
96471	329	1998-09-13	VYDAJ	PREVOD NA UCET	792	50438	SIPO	GH	73389369
96472	329	1998-10-13	VYDAJ	PREVOD NA UCET	792	52166	SIPO	GH	73389369
96473	329	1998-11-13	VYDAJ	PREVOD NA UCET	792	61106	SIPO	GH	73389369
96474	329	1998-12-13	VYDAJ	PREVOD NA UCET	792	82586	SIPO	GH	73389369
96489	329	1997-03-14	VYDAJ	PREVOD NA UCET	3110	69905	 	UV	23747241
96490	329	1997-04-14	VYDAJ	PREVOD NA UCET	3110	60255	 	UV	23747241
96491	329	1997-05-14	VYDAJ	PREVOD NA UCET	3110	60360	 	UV	23747241
96492	329	1997-06-14	VYDAJ	PREVOD NA UCET	3110	44450	 	UV	23747241
96493	329	1997-07-14	VYDAJ	PREVOD NA UCET	3110	56044	 	UV	23747241
96494	329	1997-08-14	VYDAJ	PREVOD NA UCET	3110	59836	 	UV	23747241
96495	329	1997-09-14	VYDAJ	PREVOD NA UCET	3110	65045	 	UV	23747241
96496	329	1997-10-14	VYDAJ	PREVOD NA UCET	3110	65262	 	UV	23747241
96497	329	1997-11-14	VYDAJ	PREVOD NA UCET	3110	45598	 	UV	23747241
96498	329	1997-12-14	VYDAJ	PREVOD NA UCET	3110	47659	 	UV	23747241
96499	329	1998-01-14	VYDAJ	PREVOD NA UCET	3110	43186	 	UV	23747241
96500	329	1998-02-14	VYDAJ	PREVOD NA UCET	3110	46393	 	UV	23747241
96501	329	1998-03-14	VYDAJ	PREVOD NA UCET	3110	50005	 	UV	23747241
96502	329	1998-04-14	VYDAJ	PREVOD NA UCET	3110	49711	 	UV	23747241
96503	329	1998-05-14	VYDAJ	PREVOD NA UCET	3110	50948	 	UV	23747241
96504	329	1998-06-14	VYDAJ	PREVOD NA UCET	3110	54905	 	UV	23747241
96505	329	1998-07-14	VYDAJ	PREVOD NA UCET	3110	50751	 	UV	23747241
96506	329	1998-08-14	VYDAJ	PREVOD NA UCET	3110	50191	 	UV	23747241
96507	329	1998-09-14	VYDAJ	PREVOD NA UCET	3110	47328	 	UV	23747241
96508	329	1998-10-14	VYDAJ	PREVOD NA UCET	3110	49056	 	UV	23747241
96509	329	1998-11-14	VYDAJ	PREVOD NA UCET	3110	57996	 	UV	23747241
96510	329	1998-12-14	VYDAJ	PREVOD NA UCET	3110	79476	 	UV	23747241
96512	329	1997-06-09	VYDAJ	VYBER	30240	48352	\N	\N	\N
96516	329	1998-01-20	VYDAJ	VYBER	2400	40786	\N	\N	\N
96518	329	1997-12-05	VYDAJ	VYBER	2560	42498	\N	\N	\N
96519	329	1998-12-15	VYDAJ	VYBER	4640	74836	\N	\N	\N
96523	329	1997-12-03	VYDAJ	VYBER	720	45058	\N	\N	\N
96524	329	1997-10-19	VYDAJ	VYBER	600	48362	\N	\N	\N
96525	329	1997-03-20	VYDAJ	VYBER	5760	40845	\N	\N	\N
96526	329	1997-03-24	VYDAJ	VYBER	720	40125	\N	\N	\N
96527	329	1997-12-18	VYDAJ	VYBER	4680	42979	\N	\N	\N
96528	329	1997-12-30	VYDAJ	VYBER	3480	39499	\N	\N	\N
96529	329	1998-03-29	VYDAJ	VYBER	3960	46045	\N	\N	\N
96530	329	1998-01-09	VYDAJ	VYBER	5640	57888	\N	\N	\N
96531	329	1998-06-22	VYDAJ	VYBER KARTOU	2900	52005	\N	\N	0
96532	329	1998-04-08	VYDAJ	VYBER	3960	42271	\N	\N	\N
96548	329	1997-03-31	VYDAJ	VYBER	15	40315	SLUZBY	\N	\N
96549	329	1997-04-30	VYDAJ	VYBER	15	40420	SLUZBY	\N	\N
96550	329	1997-05-31	VYDAJ	VYBER	15	42829	SLUZBY	\N	\N
96551	329	1997-06-30	VYDAJ	VYBER	15	36104	SLUZBY	\N	\N
96552	329	1997-07-31	VYDAJ	VYBER	15	39896	SLUZBY	\N	\N
96553	329	1997-08-31	VYDAJ	VYBER	15	45105	SLUZBY	\N	\N
96554	329	1997-09-30	VYDAJ	VYBER	15	45322	SLUZBY	\N	\N
96555	329	1997-10-31	VYDAJ	VYBER	15	48558	SLUZBY	\N	\N
96556	329	1997-11-30	VYDAJ	VYBER	15	45778	SLUZBY	\N	\N
96557	329	1997-12-31	VYDAJ	VYBER	15	39686	SLUZBY	\N	\N
96558	329	1998-01-31	VYDAJ	VYBER	15	40953	SLUZBY	\N	\N
96559	329	1998-02-28	VYDAJ	VYBER	15	46565	SLUZBY	\N	\N
96560	329	1998-03-31	VYDAJ	VYBER	15	46231	SLUZBY	\N	\N
96561	329	1998-04-30	VYDAJ	VYBER	15	49908	SLUZBY	\N	\N
96562	329	1998-05-31	VYDAJ	VYBER	15	51144	SLUZBY	\N	\N
96563	329	1998-06-30	VYDAJ	VYBER	15	52211	SLUZBY	\N	\N
96564	329	1998-07-31	VYDAJ	VYBER	15	50951	SLUZBY	\N	\N
96565	329	1998-08-31	VYDAJ	VYBER	15	50388	SLUZBY	\N	\N
96566	329	1998-09-30	VYDAJ	VYBER	15	47516	SLUZBY	\N	\N
96567	329	1998-10-31	VYDAJ	VYBER	15	49256	SLUZBY	\N	\N
96568	329	1998-11-30	VYDAJ	VYBER	15	58215	SLUZBY	\N	\N
96569	329	1996-11-18	VYDAJ	VYBER	600	24342	\N	\N	\N
96570	329	1996-12-18	VYDAJ	VYBER	16700	43449	\N	\N	\N
96571	329	1997-01-17	VYDAJ	VYBER	19300	48128	\N	\N	\N
96572	329	1997-02-16	VYDAJ	VYBER	22400	49761	\N	\N	\N
96573	329	1997-03-18	VYDAJ	VYBER	23300	46605	\N	\N	\N
96574	329	1997-04-17	VYDAJ	VYBER	20000	40255	\N	\N	\N
96575	329	1997-05-17	VYDAJ	VYBER	17700	42660	\N	\N	\N
96576	329	1997-06-16	VYDAJ	VYBER	8500	35950	\N	\N	\N
96577	329	1997-07-16	VYDAJ	VYBER	16300	39744	\N	\N	\N
96578	329	1997-08-15	VYDAJ	VYBER	14900	44936	\N	\N	\N
96579	329	1997-09-14	VYDAJ	VYBER	19900	45145	\N	\N	\N
96580	329	1997-10-14	VYDAJ	VYBER	16300	48962	\N	\N	\N
96581	329	1997-11-13	VYDAJ	VYBER	22900	49500	\N	\N	\N
96582	329	1997-12-13	VYDAJ	VYBER	26700	51561	\N	\N	\N
96583	329	1998-01-12	VYDAJ	VYBER	10800	47088	\N	\N	\N
96584	329	1998-02-11	VYDAJ	VYBER	14500	50295	\N	\N	\N
96585	329	1998-03-13	VYDAJ	VYBER	16500	53907	\N	\N	\N
96586	329	1998-04-12	VYDAJ	VYBER	12500	53613	\N	\N	\N
96587	329	1998-05-12	VYDAJ	VYBER	18900	54850	\N	\N	\N
96588	329	1998-06-11	VYDAJ	VYBER	28100	58807	\N	\N	\N
96589	329	1998-07-11	VYDAJ	VYBER	21400	54653	\N	\N	\N
96590	329	1998-08-10	VYDAJ	VYBER	20700	54093	\N	\N	\N
96591	329	1998-09-09	VYDAJ	VYBER	23000	51230	\N	\N	\N
96592	329	1998-10-09	VYDAJ	VYBER	18400	52958	\N	\N	\N
96593	329	1998-11-08	VYDAJ	VYBER	11200	38056	\N	\N	\N
96594	329	1998-12-08	VYDAJ	VYBER	10600	47615	\N	\N	\N
96621	330	1996-11-24	PRIJEM	VKLAD	400	400	\N	\N	\N
96633	330	1996-12-06	PRIJEM	VKLAD	33590	33990	\N	\N	\N
96634	330	1997-01-06	PRIJEM	VKLAD	22393	52315	\N	\N	\N
96635	330	1997-02-06	PRIJEM	VKLAD	22393	56938	\N	\N	\N
96636	330	1997-03-06	PRIJEM	VKLAD	22393	63481	\N	\N	\N
96637	330	1997-04-06	PRIJEM	VKLAD	22393	64253	\N	\N	\N
96638	330	1997-05-06	PRIJEM	VKLAD	22393	58213	\N	\N	\N
96639	330	1997-06-06	PRIJEM	VKLAD	33590	73943	\N	\N	\N
96640	330	1997-07-06	PRIJEM	VKLAD	22393	35744	\N	\N	\N
96641	330	1997-08-06	PRIJEM	VKLAD	22393	45236	\N	\N	\N
96642	330	1997-09-06	PRIJEM	VKLAD	22393	53124	\N	\N	\N
96643	330	1997-10-06	PRIJEM	VKLAD	22393	60868	\N	\N	\N
96644	330	1997-11-06	PRIJEM	VKLAD	22393	60107	\N	\N	\N
96645	330	1997-12-06	PRIJEM	VKLAD	33590	64835	\N	\N	\N
96646	330	1998-01-06	PRIJEM	VKLAD	22393	61723	\N	\N	\N
96647	330	1998-02-06	PRIJEM	VKLAD	22393	50161	\N	\N	\N
96648	330	1998-03-06	PRIJEM	VKLAD	22393	60918	\N	\N	\N
96649	330	1998-04-06	PRIJEM	VKLAD	22393	56280	\N	\N	\N
96650	330	1998-05-06	PRIJEM	VKLAD	22393	58945	\N	\N	\N
96651	330	1998-06-06	PRIJEM	VKLAD	33590	73515	\N	\N	\N
96652	330	1998-07-06	PRIJEM	VKLAD	22393	57775	\N	\N	\N
96653	330	1998-08-06	PRIJEM	VKLAD	22393	62442	\N	\N	\N
96654	330	1998-09-06	PRIJEM	VKLAD	22393	61786	\N	\N	\N
96655	330	1998-10-06	PRIJEM	VKLAD	22393	58018	\N	\N	\N
96656	330	1998-11-06	PRIJEM	VKLAD	22393	52932	\N	\N	\N
96657	330	1998-12-06	PRIJEM	VKLAD	33590	63329	\N	\N	\N
96673	330	1997-04-05	VYDAJ	VYBER	6500	41860	\N	\N	0
96674	330	1997-04-24	VYDAJ	VYBER	8500	35613	\N	\N	0
96675	330	1997-06-08	VYDAJ	VYBER	8600	65343	\N	\N	0
96676	330	1997-07-20	VYDAJ	VYBER	10400	23544	\N	\N	0
96677	330	1997-08-20	VYDAJ	VYBER	4400	40836	\N	\N	0
96678	330	1997-09-19	VYDAJ	VYBER	4800	47244	\N	\N	0
96679	330	1997-10-21	VYDAJ	VYBER	9100	37568	\N	\N	0
96680	330	1997-11-10	VYDAJ	VYBER	6200	53907	\N	\N	0
96681	330	1997-12-05	VYDAJ	VYBER	4900	31245	\N	\N	0
96682	330	1998-01-12	VYDAJ	VYBER	5700	49303	\N	\N	0
96683	330	1998-02-02	VYDAJ	VYBER	9000	27768	\N	\N	0
96684	330	1998-03-06	VYDAJ	VYBER	6800	54118	\N	\N	0
96685	330	1998-04-19	VYDAJ	VYBER	9600	36380	\N	\N	0
96686	330	1998-05-06	VYDAJ	VYBER	5900	53045	\N	\N	0
96687	330	1998-06-10	VYDAJ	VYBER	8800	57035	\N	\N	0
96688	330	1998-07-12	VYDAJ	PREVOD NA UCET	6908	48587	UVER	OP	23515820
96689	330	1998-08-12	VYDAJ	PREVOD NA UCET	6908	55534	UVER	OP	23515820
96690	330	1998-09-12	VYDAJ	PREVOD NA UCET	6908	54878	UVER	OP	23515820
96691	330	1998-10-12	VYDAJ	PREVOD NA UCET	6908	51110	UVER	OP	23515820
96692	330	1998-11-12	VYDAJ	PREVOD NA UCET	6908	46024	UVER	OP	23515820
96693	330	1998-12-12	VYDAJ	PREVOD NA UCET	6908	56421	UVER	OP	23515820
96695	330	1997-06-26	VYDAJ	VYBER	27040	16403	\N	\N	\N
96696	330	1998-06-09	VYDAJ	VYBER	7680	65835	\N	\N	\N
96699	330	1998-01-06	VYDAJ	VYBER	6720	55003	\N	\N	\N
96701	330	1997-12-26	VYDAJ	VYBER	3200	39135	\N	\N	\N
96702	330	1998-12-18	VYDAJ	VYBER	3520	26601	\N	\N	\N
96709	330	1997-11-15	VYDAJ	VYBER	3720	50187	\N	\N	\N
96710	330	1997-04-09	VYDAJ	VYBER	2040	62213	\N	\N	\N
96711	330	1997-07-02	VYDAJ	VYBER	3240	13351	\N	\N	\N
96712	330	1997-09-18	VYDAJ	VYBER	1080	52044	\N	\N	\N
96713	330	1997-07-16	VYDAJ	VYBER	1800	33944	\N	\N	\N
96714	330	1998-07-08	VYDAJ	VYBER	2280	55495	\N	\N	\N
96715	330	1998-06-22	VYDAJ	VYBER	5520	35215	\N	\N	\N
96716	330	1998-04-01	VYDAJ	VYBER	2400	33887	\N	\N	\N
96733	330	1997-04-30	VYDAJ	VYBER	15	35820	SLUZBY	\N	\N
96734	330	1997-05-31	VYDAJ	VYBER	15	40353	SLUZBY	\N	\N
96735	330	1997-06-30	VYDAJ	VYBER	15	16591	SLUZBY	\N	\N
96736	330	1997-07-31	VYDAJ	VYBER	15	22843	SLUZBY	\N	\N
96737	330	1997-08-31	VYDAJ	VYBER	15	30731	SLUZBY	\N	\N
96738	330	1997-09-30	VYDAJ	VYBER	15	38475	SLUZBY	\N	\N
96739	330	1997-10-31	VYDAJ	VYBER	15	37714	SLUZBY	\N	\N
96740	330	1997-11-30	VYDAJ	VYBER	15	36145	SLUZBY	\N	\N
96741	330	1997-12-31	VYDAJ	VYBER	15	39330	SLUZBY	\N	\N
96742	330	1998-01-31	VYDAJ	VYBER	15	36768	SLUZBY	\N	\N
96743	330	1998-02-28	VYDAJ	VYBER	15	38525	SLUZBY	\N	\N
96744	330	1998-03-31	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
96745	330	1998-04-30	VYDAJ	VYBER	15	36552	SLUZBY	\N	\N
96746	330	1998-05-31	VYDAJ	VYBER	15	39925	SLUZBY	\N	\N
96747	330	1998-06-30	VYDAJ	VYBER	15	35382	SLUZBY	\N	\N
96748	330	1998-07-31	VYDAJ	VYBER	15	40049	SLUZBY	\N	\N
96749	330	1998-08-31	VYDAJ	VYBER	15	39393	SLUZBY	\N	\N
96750	330	1998-09-30	VYDAJ	VYBER	15	35625	SLUZBY	\N	\N
96751	330	1998-10-31	VYDAJ	VYBER	15	30539	SLUZBY	\N	\N
96752	330	1998-11-30	VYDAJ	VYBER	15	29739	SLUZBY	\N	\N
96753	330	1996-12-24	VYDAJ	VYBER	4100	29890	\N	\N	\N
96754	330	1997-01-23	VYDAJ	VYBER	17900	34415	\N	\N	\N
96755	330	1997-02-22	VYDAJ	VYBER	16000	40938	\N	\N	\N
96756	330	1997-03-24	VYDAJ	VYBER	15300	48181	\N	\N	\N
96757	330	1997-04-23	VYDAJ	VYBER	18100	44113	\N	\N	\N
96758	330	1997-05-23	VYDAJ	VYBER	18000	40213	\N	\N	\N
96759	330	1997-06-22	VYDAJ	VYBER	21900	43443	\N	\N	\N
96760	330	1997-07-22	VYDAJ	VYBER	800	22744	\N	\N	\N
96761	330	1997-08-21	VYDAJ	VYBER	10200	30636	\N	\N	\N
96762	330	1997-09-20	VYDAJ	VYBER	8900	38344	\N	\N	\N
96763	330	1997-10-20	VYDAJ	VYBER	14200	46668	\N	\N	\N
96764	330	1997-11-19	VYDAJ	VYBER	14200	35987	\N	\N	\N
96765	330	1997-12-19	VYDAJ	VYBER	22500	42335	\N	\N	\N
96766	330	1998-01-18	VYDAJ	VYBER	12700	36603	\N	\N	\N
96767	330	1998-02-17	VYDAJ	VYBER	11800	38361	\N	\N	\N
96768	330	1998-03-19	VYDAJ	VYBER	18000	36118	\N	\N	\N
96769	330	1998-04-18	VYDAJ	VYBER	10300	45980	\N	\N	\N
96770	330	1998-05-18	VYDAJ	VYBER	13300	39745	\N	\N	\N
96771	330	1998-06-17	VYDAJ	VYBER	16300	40735	\N	\N	\N
96772	330	1998-07-17	VYDAJ	VYBER	8700	39887	\N	\N	\N
96773	330	1998-08-16	VYDAJ	VYBER	16300	39234	\N	\N	\N
96774	330	1998-09-15	VYDAJ	VYBER	19400	35478	\N	\N	\N
96775	330	1998-10-15	VYDAJ	VYBER	20700	30410	\N	\N	\N
96776	330	1998-11-14	VYDAJ	VYBER	16400	29624	\N	\N	\N
96777	330	1998-12-14	VYDAJ	VYBER	26300	30121	\N	\N	\N
96803	331	1995-10-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
96813	331	1995-10-13	PRIJEM	PREVOD Z UCTU	6682	7782	DUCHOD	AB	13652062
96814	331	1995-11-13	PRIJEM	PREVOD Z UCTU	6682	14484	DUCHOD	AB	13652062
96815	331	1995-12-13	PRIJEM	PREVOD Z UCTU	6682	21198	DUCHOD	AB	13652062
96816	331	1996-01-13	PRIJEM	PREVOD Z UCTU	6682	27913	DUCHOD	AB	13652062
96817	331	1996-02-13	PRIJEM	PREVOD Z UCTU	6682	31032	DUCHOD	AB	13652062
96818	331	1996-03-13	PRIJEM	PREVOD Z UCTU	6682	28672	DUCHOD	AB	13652062
96819	331	1996-04-13	PRIJEM	PREVOD Z UCTU	6682	25885	DUCHOD	AB	13652062
96820	331	1996-05-13	PRIJEM	PREVOD Z UCTU	6682	28131	DUCHOD	AB	13652062
96821	331	1996-06-13	PRIJEM	PREVOD Z UCTU	6682	31382	DUCHOD	AB	13652062
96822	331	1996-07-13	PRIJEM	PREVOD Z UCTU	6682	30243	DUCHOD	AB	13652062
96823	331	1996-08-13	PRIJEM	PREVOD Z UCTU	6682	29502	DUCHOD	AB	13652062
96824	331	1996-09-13	PRIJEM	PREVOD Z UCTU	6682	32759	DUCHOD	AB	13652062
96825	331	1996-10-13	PRIJEM	PREVOD Z UCTU	6682	31726	DUCHOD	AB	13652062
96826	331	1996-11-13	PRIJEM	PREVOD Z UCTU	6682	32991	DUCHOD	AB	13652062
96827	331	1996-12-13	PRIJEM	PREVOD Z UCTU	6682	30758	DUCHOD	AB	13652062
96828	331	1997-01-13	PRIJEM	PREVOD Z UCTU	6682	23479	DUCHOD	AB	13652062
96829	331	1997-02-13	PRIJEM	PREVOD Z UCTU	6682	17513	DUCHOD	AB	13652062
96830	331	1997-03-13	PRIJEM	PREVOD Z UCTU	6682	19618	DUCHOD	AB	13652062
96831	331	1997-04-13	PRIJEM	PREVOD Z UCTU	6682	22834	DUCHOD	AB	13652062
96832	331	1997-05-13	PRIJEM	PREVOD Z UCTU	6682	21500	DUCHOD	AB	13652062
96833	331	1997-06-13	PRIJEM	PREVOD Z UCTU	6682	19718	DUCHOD	AB	13652062
96834	331	1997-07-13	PRIJEM	PREVOD Z UCTU	6682	16729	DUCHOD	AB	13652062
96835	331	1997-08-13	PRIJEM	PREVOD Z UCTU	6682	18973	DUCHOD	AB	13652062
96836	331	1997-09-13	PRIJEM	PREVOD Z UCTU	6682	22187	DUCHOD	AB	13652062
96837	331	1997-10-13	PRIJEM	PREVOD Z UCTU	6682	25413	DUCHOD	AB	13652062
96838	331	1997-11-13	PRIJEM	PREVOD Z UCTU	6682	24627	DUCHOD	AB	13652062
96839	331	1997-12-13	PRIJEM	PREVOD Z UCTU	6682	20679	DUCHOD	AB	13652062
96840	331	1998-01-13	PRIJEM	PREVOD Z UCTU	6682	20802	DUCHOD	AB	13652062
96841	331	1998-02-13	PRIJEM	PREVOD Z UCTU	6682	17378	DUCHOD	AB	13652062
96842	331	1998-03-13	PRIJEM	PREVOD Z UCTU	6682	20584	DUCHOD	AB	13652062
96843	331	1998-04-13	PRIJEM	PREVOD Z UCTU	6682	23803	DUCHOD	AB	13652062
96844	331	1998-05-13	PRIJEM	PREVOD Z UCTU	6682	24632	DUCHOD	AB	13652062
96845	331	1998-06-13	PRIJEM	PREVOD Z UCTU	6682	19769	DUCHOD	AB	13652062
96846	331	1998-07-13	PRIJEM	PREVOD Z UCTU	6682	22991	DUCHOD	AB	13652062
96847	331	1998-08-13	PRIJEM	PREVOD Z UCTU	6682	24860	DUCHOD	AB	13652062
96848	331	1998-09-13	PRIJEM	PREVOD Z UCTU	6682	28099	DUCHOD	AB	13652062
96849	331	1998-10-13	PRIJEM	PREVOD Z UCTU	6682	25337	DUCHOD	AB	13652062
96850	331	1998-11-13	PRIJEM	PREVOD Z UCTU	6682	26171	DUCHOD	AB	13652062
96851	331	1998-12-13	PRIJEM	PREVOD Z UCTU	6682	21696	DUCHOD	AB	13652062
96866	331	1996-03-12	VYDAJ	PREVOD NA UCET	3528	21990	SIPO	UV	55443829
96867	331	1996-04-12	VYDAJ	PREVOD NA UCET	3528	21763	SIPO	UV	55443829
96868	331	1996-05-12	VYDAJ	PREVOD NA UCET	3528	21449	SIPO	UV	55443829
96869	331	1996-06-12	VYDAJ	PREVOD NA UCET	3528	24700	SIPO	UV	55443829
96870	331	1996-07-12	VYDAJ	PREVOD NA UCET	3528	23561	SIPO	UV	55443829
96871	331	1996-08-12	VYDAJ	PREVOD NA UCET	3528	22820	SIPO	UV	55443829
96872	331	1996-09-12	VYDAJ	PREVOD NA UCET	3528	26077	SIPO	UV	55443829
96873	331	1996-10-12	VYDAJ	PREVOD NA UCET	3528	25044	SIPO	UV	55443829
96874	331	1996-11-12	VYDAJ	PREVOD NA UCET	3528	26309	SIPO	UV	55443829
96875	331	1996-12-12	VYDAJ	PREVOD NA UCET	3528	24076	SIPO	UV	55443829
96876	331	1997-01-12	VYDAJ	PREVOD NA UCET	3528	17677	SIPO	UV	55443829
96877	331	1997-02-12	VYDAJ	PREVOD NA UCET	3528	10831	SIPO	UV	55443829
96878	331	1997-03-12	VYDAJ	PREVOD NA UCET	3528	12936	SIPO	UV	55443829
96879	331	1997-04-12	VYDAJ	PREVOD NA UCET	3528	16152	SIPO	UV	55443829
96880	331	1997-05-12	VYDAJ	PREVOD NA UCET	3528	14818	SIPO	UV	55443829
96881	331	1997-06-12	VYDAJ	PREVOD NA UCET	3528	13036	SIPO	UV	55443829
96882	331	1997-07-12	VYDAJ	PREVOD NA UCET	3528	10047	SIPO	UV	55443829
96883	331	1997-08-12	VYDAJ	PREVOD NA UCET	3528	12291	SIPO	UV	55443829
96884	331	1997-09-12	VYDAJ	PREVOD NA UCET	3528	15505	SIPO	UV	55443829
96885	331	1997-10-12	VYDAJ	PREVOD NA UCET	3528	18731	SIPO	UV	55443829
96886	331	1997-11-12	VYDAJ	PREVOD NA UCET	3528	17945	SIPO	UV	55443829
96887	331	1997-12-12	VYDAJ	PREVOD NA UCET	3528	13997	SIPO	UV	55443829
96888	331	1998-01-12	VYDAJ	PREVOD NA UCET	3528	14120	SIPO	UV	55443829
96889	331	1998-02-12	VYDAJ	PREVOD NA UCET	3528	10696	SIPO	UV	55443829
96890	331	1998-03-12	VYDAJ	PREVOD NA UCET	3528	13902	SIPO	UV	55443829
96891	331	1998-04-12	VYDAJ	PREVOD NA UCET	3528	17121	SIPO	UV	55443829
96892	331	1998-05-12	VYDAJ	PREVOD NA UCET	3528	17950	SIPO	UV	55443829
96893	331	1998-06-12	VYDAJ	PREVOD NA UCET	3528	13087	SIPO	UV	55443829
96894	331	1998-07-12	VYDAJ	PREVOD NA UCET	3528	16309	SIPO	UV	55443829
96895	331	1998-08-12	VYDAJ	PREVOD NA UCET	3528	18178	SIPO	UV	55443829
96896	331	1998-09-12	VYDAJ	PREVOD NA UCET	3528	21417	SIPO	UV	55443829
96897	331	1998-10-12	VYDAJ	PREVOD NA UCET	3528	18655	SIPO	UV	55443829
96898	331	1998-11-12	VYDAJ	PREVOD NA UCET	3528	19489	SIPO	UV	55443829
96899	331	1998-12-12	VYDAJ	PREVOD NA UCET	3528	15014	SIPO	UV	55443829
96901	331	1996-06-24	VYDAJ	VYBER	3400	27982	\N	\N	\N
96902	331	1997-06-28	VYDAJ	VYBER	3000	13518	\N	\N	\N
96903	331	1998-06-10	VYDAJ	VYBER	4250	16615	\N	\N	\N
96906	331	1997-01-27	VYDAJ	VYBER	4250	15409	\N	\N	\N
96907	331	1998-01-07	VYDAJ	VYBER	3100	17648	\N	\N	\N
96909	331	1996-12-25	VYDAJ	VYBER	1150	21108	\N	\N	\N
96910	331	1997-12-02	VYDAJ	VYBER	800	21205	\N	\N	\N
96911	331	1998-12-16	VYDAJ	VYBER	1150	18046	\N	\N	\N
96924	331	1997-01-18	VYDAJ	VYBER	800	22679	\N	\N	\N
96925	331	1997-01-27	VYDAJ	VYBER	400	15009	\N	\N	\N
96926	331	1997-01-21	VYDAJ	VYBER	1520	21159	\N	\N	\N
96927	331	1997-01-22	VYDAJ	VYBER	1200	19959	\N	\N	\N
96928	331	1997-01-12	VYDAJ	VYBER	880	16797	\N	\N	\N
96929	331	1997-01-28	VYDAJ	VYBER	720	14289	\N	\N	\N
96930	331	1998-01-30	VYDAJ	VYBER	800	14162	\N	\N	\N
96931	331	1998-01-14	VYDAJ	VYBER	800	20002	\N	\N	\N
96932	331	1998-01-23	VYDAJ	VYBER	400	15922	\N	\N	\N
96933	331	1998-01-14	VYDAJ	VYBER	1680	18322	\N	\N	\N
96934	331	1998-01-19	VYDAJ	VYBER	1200	16322	\N	\N	\N
96935	331	1998-01-29	VYDAJ	VYBER	960	14962	\N	\N	\N
96941	331	1996-12-17	VYDAJ	VYBER	2400	28358	\N	\N	\N
96942	331	1996-04-12	VYDAJ	VYBER	2560	19203	\N	\N	\N
96944	331	1996-03-29	VYDAJ	VYBER	480	28192	\N	\N	\N
96945	331	1997-10-19	VYDAJ	VYBER	1520	23893	\N	\N	\N
96946	331	1997-12-10	VYDAJ	VYBER	2800	17525	\N	\N	\N
96947	331	1997-08-04	VYDAJ	VYBER	960	15819	\N	\N	\N
96948	331	1997-04-26	VYDAJ	VYBER	2960	18274	\N	\N	\N
96949	331	1997-12-03	VYDAJ	VYBER	880	20325	\N	\N	\N
96950	331	1998-08-12	VYDAJ	VYBER	1360	21706	\N	\N	\N
96951	331	1998-12-21	VYDAJ	VYBER	2640	15406	\N	\N	\N
96952	331	1998-05-15	VYDAJ	VYBER	3840	20792	\N	\N	\N
96967	331	1996-02-29	VYDAJ	VYBER	15	25518	SLUZBY	\N	\N
96968	331	1996-03-31	VYDAJ	VYBER	15	25291	SLUZBY	\N	\N
96969	331	1996-04-30	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
96970	331	1996-05-31	VYDAJ	VYBER	15	28228	SLUZBY	\N	\N
96971	331	1996-06-30	VYDAJ	VYBER	15	27089	SLUZBY	\N	\N
96972	331	1996-07-31	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
96973	331	1996-08-31	VYDAJ	VYBER	15	29605	SLUZBY	\N	\N
96974	331	1996-09-30	VYDAJ	VYBER	15	28572	SLUZBY	\N	\N
96975	331	1996-10-31	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
96976	331	1996-11-30	VYDAJ	VYBER	15	27604	SLUZBY	\N	\N
96977	331	1996-12-31	VYDAJ	VYBER	15	21205	SLUZBY	\N	\N
96978	331	1997-01-31	VYDAJ	VYBER	15	14359	SLUZBY	\N	\N
96979	331	1997-02-28	VYDAJ	VYBER	15	16464	SLUZBY	\N	\N
96980	331	1997-03-31	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
96981	331	1997-04-30	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
96982	331	1997-05-31	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
96983	331	1997-06-30	VYDAJ	VYBER	15	13575	SLUZBY	\N	\N
96984	331	1997-07-31	VYDAJ	VYBER	15	16779	SLUZBY	\N	\N
96985	331	1997-08-31	VYDAJ	VYBER	15	19033	SLUZBY	\N	\N
96986	331	1997-09-30	VYDAJ	VYBER	15	22259	SLUZBY	\N	\N
96987	331	1997-10-31	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
96988	331	1997-11-30	VYDAJ	VYBER	15	22005	SLUZBY	\N	\N
96989	331	1997-12-31	VYDAJ	VYBER	15	20748	SLUZBY	\N	\N
96990	331	1998-01-31	VYDAJ	VYBER	15	14224	SLUZBY	\N	\N
96991	331	1998-02-28	VYDAJ	VYBER	15	17430	SLUZBY	\N	\N
96992	331	1998-03-31	VYDAJ	VYBER	15	20649	SLUZBY	\N	\N
96993	331	1998-04-30	VYDAJ	VYBER	15	21478	SLUZBY	\N	\N
96994	331	1998-05-31	VYDAJ	VYBER	15	20865	SLUZBY	\N	\N
96995	331	1998-06-30	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
96996	331	1998-07-31	VYDAJ	VYBER	15	23066	SLUZBY	\N	\N
96997	331	1998-08-31	VYDAJ	VYBER	15	24945	SLUZBY	\N	\N
96998	331	1998-09-30	VYDAJ	VYBER	15	22183	SLUZBY	\N	\N
96999	331	1998-10-31	VYDAJ	VYBER	15	23017	SLUZBY	\N	\N
97000	331	1998-11-30	VYDAJ	VYBER	15	18542	SLUZBY	\N	\N
97001	331	1996-01-30	VYDAJ	VYBER	3600	24313	\N	\N	\N
97002	331	1996-02-29	VYDAJ	VYBER	5600	25533	\N	\N	\N
97003	331	1996-03-30	VYDAJ	VYBER	3000	25192	\N	\N	\N
97004	331	1996-04-29	VYDAJ	VYBER	1000	24885	\N	\N	\N
97005	331	1996-06-28	VYDAJ	VYBER	1000	26982	\N	\N	\N
97006	331	1996-07-28	VYDAJ	VYBER	4000	26243	\N	\N	\N
97007	331	1996-09-26	VYDAJ	VYBER	4300	28459	\N	\N	\N
97008	331	1996-10-26	VYDAJ	VYBER	2000	29726	\N	\N	\N
97009	331	1996-11-25	VYDAJ	VYBER	5500	27491	\N	\N	\N
97010	331	1996-12-25	VYDAJ	VYBER	6100	22258	\N	\N	\N
97011	331	1997-01-24	VYDAJ	VYBER	300	19659	\N	\N	\N
97012	331	1997-02-23	VYDAJ	VYBER	1100	16413	\N	\N	\N
97013	331	1997-04-24	VYDAJ	VYBER	1600	21234	\N	\N	\N
97014	331	1997-05-24	VYDAJ	VYBER	5000	16500	\N	\N	\N
97015	331	1997-06-23	VYDAJ	VYBER	3200	16518	\N	\N	\N
97016	331	1997-10-21	VYDAJ	VYBER	2500	21393	\N	\N	\N
97017	331	1997-11-20	VYDAJ	VYBER	2700	21927	\N	\N	\N
97018	331	1998-01-19	VYDAJ	VYBER	800	17522	\N	\N	\N
97019	331	1998-04-19	VYDAJ	VYBER	2400	21403	\N	\N	\N
97020	331	1998-09-16	VYDAJ	VYBER	6000	22099	\N	\N	\N
97021	331	1998-10-16	VYDAJ	VYBER	2400	22937	\N	\N	\N
97022	331	1998-11-15	VYDAJ	VYBER	7700	18471	\N	\N	\N
97023	331	1998-12-15	VYDAJ	VYBER	2500	19196	\N	\N	\N
97063	332	1996-01-12	PRIJEM	VKLAD	300	300	\N	\N	\N
97065	332	1996-02-11	PRIJEM	PREVOD Z UCTU	3727	16627	\N	CD	45003229
97066	332	1996-03-11	PRIJEM	PREVOD Z UCTU	3727	20389	\N	CD	45003229
97067	332	1996-04-11	PRIJEM	PREVOD Z UCTU	3727	25193	\N	CD	45003229
97068	332	1996-05-11	PRIJEM	PREVOD Z UCTU	3727	28620	\N	CD	45003229
97069	332	1996-06-11	PRIJEM	PREVOD Z UCTU	3727	30261	\N	CD	45003229
97070	332	1996-07-11	PRIJEM	PREVOD Z UCTU	3727	30072	\N	CD	45003229
97071	332	1996-08-11	PRIJEM	PREVOD Z UCTU	3727	29323	\N	CD	45003229
97072	332	1996-09-11	PRIJEM	PREVOD Z UCTU	3727	29743	\N	CD	45003229
97073	332	1996-10-11	PRIJEM	PREVOD Z UCTU	3727	32980	\N	CD	45003229
97074	332	1996-11-11	PRIJEM	PREVOD Z UCTU	3727	36940	\N	CD	45003229
97075	332	1996-12-11	PRIJEM	PREVOD Z UCTU	3727	34616	\N	CD	45003229
97076	332	1997-01-11	PRIJEM	PREVOD Z UCTU	3727	29985	\N	CD	45003229
97077	332	1997-02-11	PRIJEM	PREVOD Z UCTU	3727	32646	\N	CD	45003229
97078	332	1997-03-11	PRIJEM	PREVOD Z UCTU	3727	36006	\N	CD	45003229
97079	332	1997-04-11	PRIJEM	PREVOD Z UCTU	3727	38879	\N	CD	45003229
97080	332	1997-05-11	PRIJEM	PREVOD Z UCTU	3727	41544	\N	CD	45003229
97081	332	1997-06-11	PRIJEM	PREVOD Z UCTU	3727	31850	\N	CD	45003229
97082	332	1997-07-11	PRIJEM	PREVOD Z UCTU	3727	35813	\N	CD	45003229
97083	332	1997-08-11	PRIJEM	PREVOD Z UCTU	3727	37786	\N	CD	45003229
97084	332	1997-09-11	PRIJEM	PREVOD Z UCTU	3727	38367	\N	CD	45003229
97085	332	1997-10-11	PRIJEM	PREVOD Z UCTU	3727	33250	\N	CD	45003229
97086	332	1997-11-11	PRIJEM	PREVOD Z UCTU	3727	34203	\N	CD	45003229
97087	332	1997-12-11	PRIJEM	PREVOD Z UCTU	3727	33668	\N	CD	45003229
97088	332	1998-01-11	PRIJEM	PREVOD Z UCTU	3727	32499	\N	CD	45003229
97089	332	1998-02-11	PRIJEM	PREVOD Z UCTU	3727	32865	\N	CD	45003229
97090	332	1998-03-11	PRIJEM	PREVOD Z UCTU	3727	35413	\N	CD	45003229
97091	332	1998-04-11	PRIJEM	PREVOD Z UCTU	3727	37483	\N	CD	45003229
97092	332	1998-05-11	PRIJEM	PREVOD Z UCTU	3727	39061	\N	CD	45003229
97093	332	1998-06-11	PRIJEM	PREVOD Z UCTU	3727	40187	\N	CD	45003229
97094	332	1998-07-11	PRIJEM	PREVOD Z UCTU	3727	37581	\N	CD	45003229
97095	332	1998-08-11	PRIJEM	PREVOD Z UCTU	3727	34059	\N	CD	45003229
97096	332	1998-09-11	PRIJEM	PREVOD Z UCTU	3727	35526	\N	CD	45003229
97097	332	1998-10-11	PRIJEM	PREVOD Z UCTU	3727	31797	\N	CD	45003229
97098	332	1998-11-11	PRIJEM	PREVOD Z UCTU	3727	26949	\N	CD	45003229
97099	332	1998-12-11	PRIJEM	PREVOD Z UCTU	3727	26485	\N	CD	45003229
97106	332	1996-07-05	VYDAJ	PREVOD NA UCET	2385	27145	SIPO	MN	6061673
97107	332	1996-08-05	VYDAJ	PREVOD NA UCET	2385	27796	SIPO	MN	6061673
97108	332	1996-09-05	VYDAJ	PREVOD NA UCET	2385	25816	SIPO	MN	6061673
97109	332	1996-10-05	VYDAJ	PREVOD NA UCET	2385	26953	SIPO	MN	6061673
97110	332	1996-11-05	VYDAJ	PREVOD NA UCET	2385	30713	SIPO	MN	6061673
97111	332	1996-12-05	VYDAJ	PREVOD NA UCET	2385	34689	SIPO	MN	6061673
97112	332	1997-01-05	VYDAJ	PREVOD NA UCET	2385	28398	SIPO	MN	6061673
97113	332	1997-02-05	VYDAJ	PREVOD NA UCET	2385	29429	SIPO	MN	6061673
97114	332	1997-03-05	VYDAJ	PREVOD NA UCET	2385	30379	SIPO	MN	6061673
97115	332	1997-04-05	VYDAJ	PREVOD NA UCET	2385	33752	SIPO	MN	6061673
97116	332	1997-05-05	VYDAJ	PREVOD NA UCET	2385	36217	SIPO	MN	6061673
97117	332	1997-06-05	VYDAJ	PREVOD NA UCET	2385	39313	SIPO	MN	6061673
97118	332	1997-07-05	VYDAJ	PREVOD NA UCET	2385	32086	SIPO	MN	6061673
97119	332	1997-08-05	VYDAJ	PREVOD NA UCET	2385	34059	SIPO	MN	6061673
97120	332	1997-09-05	VYDAJ	PREVOD NA UCET	2385	34640	SIPO	MN	6061673
97121	332	1997-10-05	VYDAJ	PREVOD NA UCET	2385	29523	SIPO	MN	6061673
97122	332	1997-11-05	VYDAJ	PREVOD NA UCET	2385	30476	SIPO	MN	6061673
97123	332	1997-12-05	VYDAJ	PREVOD NA UCET	2385	29941	SIPO	MN	6061673
97124	332	1998-01-05	VYDAJ	PREVOD NA UCET	2385	29102	SIPO	MN	6061673
97125	332	1998-02-05	VYDAJ	PREVOD NA UCET	2385	29138	SIPO	MN	6061673
97126	332	1998-03-05	VYDAJ	PREVOD NA UCET	2385	31686	SIPO	MN	6061673
97127	332	1998-04-05	VYDAJ	PREVOD NA UCET	2385	33756	SIPO	MN	6061673
97128	332	1998-05-05	VYDAJ	PREVOD NA UCET	2385	35334	SIPO	MN	6061673
97129	332	1998-06-05	VYDAJ	PREVOD NA UCET	2385	36820	SIPO	MN	6061673
97130	332	1998-07-05	VYDAJ	PREVOD NA UCET	2385	33854	SIPO	MN	6061673
97131	332	1998-08-05	VYDAJ	PREVOD NA UCET	2385	30332	SIPO	MN	6061673
97132	332	1998-09-05	VYDAJ	PREVOD NA UCET	2385	31799	SIPO	MN	6061673
97133	332	1998-10-05	VYDAJ	PREVOD NA UCET	2385	28070	SIPO	MN	6061673
97134	332	1998-11-05	VYDAJ	PREVOD NA UCET	2385	23222	SIPO	MN	6061673
97135	332	1998-12-05	VYDAJ	PREVOD NA UCET	2385	22758	SIPO	MN	6061673
97137	332	1997-06-06	VYDAJ	VYBER	8190	28123	\N	\N	\N
97138	332	1998-06-20	VYDAJ	VYBER	4710	35147	\N	\N	\N
97140	332	1997-01-10	VYDAJ	VYBER	2220	26258	\N	\N	\N
97141	332	1998-01-03	VYDAJ	VYBER	2040	31757	\N	\N	\N
97142	332	1996-12-16	VYDAJ	VYBER	570	34046	\N	\N	\N
97143	332	1997-12-18	VYDAJ	VYBER	780	31988	\N	\N	\N
97144	332	1998-12-14	VYDAJ	VYBER	750	25735	\N	\N	\N
97151	332	1997-01-04	VYDAJ	VYBER	810	30783	\N	\N	\N
97152	332	1997-01-26	VYDAJ	VYBER	600	29385	\N	\N	\N
97153	332	1997-01-01	VYDAJ	VYBER	180	32973	\N	\N	\N
97154	332	1997-01-07	VYDAJ	VYBER	180	28478	\N	\N	\N
97155	332	1997-01-28	VYDAJ	VYBER	180	29205	\N	\N	\N
97156	332	1997-01-05	VYDAJ	VYBER	840	27558	\N	\N	\N
97157	332	1998-01-13	VYDAJ	VYBER	870	31629	\N	\N	\N
97158	332	1998-01-18	VYDAJ	VYBER	870	30759	\N	\N	\N
97159	332	1998-01-01	VYDAJ	VYBER	810	33797	\N	\N	\N
97160	332	1998-01-04	VYDAJ	VYBER	270	31487	\N	\N	\N
97161	332	1998-01-09	VYDAJ	VYBER	330	28772	\N	\N	\N
97162	332	1998-01-30	VYDAJ	VYBER	510	29409	\N	\N	\N
97164	332	1996-06-24	VYDAJ	VYBER	840	29421	\N	\N	\N
97166	332	1996-09-23	VYDAJ	VYBER	510	29233	\N	\N	\N
97168	332	1996-09-03	VYDAJ	VYBER	1230	28201	\N	\N	\N
97169	332	1996-12-18	VYDAJ	VYBER	1020	33026	\N	\N	\N
97170	332	1997-10-12	VYDAJ	VYBER	150	33100	\N	\N	\N
97171	332	1997-02-05	VYDAJ	VYBER	510	28919	\N	\N	\N
97172	332	1997-12-15	VYDAJ	VYBER	900	32768	\N	\N	\N
97173	332	1997-04-30	VYDAJ	VYBER	420	38602	\N	\N	\N
97174	332	1997-01-02	VYDAJ	VYBER	1380	31593	\N	\N	\N
97175	332	1997-10-13	VYDAJ	VYBER	960	32140	\N	\N	\N
97176	332	1998-07-02	VYDAJ	VYBER	150	36239	\N	\N	\N
97177	332	1998-06-13	VYDAJ	VYBER	330	39857	\N	\N	\N
97178	332	1998-02-15	VYDAJ	VYBER	1410	31455	\N	\N	\N
97179	332	1998-06-08	VYDAJ	VYBER	360	36460	\N	\N	\N
97180	332	1998-01-27	VYDAJ	VYBER	840	29919	\N	\N	\N
97181	332	1998-10-02	VYDAJ	VYBER	1200	30455	\N	\N	\N
97188	332	1996-06-30	VYDAJ	VYBER	15	29530	SLUZBY	\N	\N
97189	332	1996-07-31	VYDAJ	VYBER	15	30181	SLUZBY	\N	\N
97190	332	1996-08-31	VYDAJ	VYBER	15	29431	SLUZBY	\N	\N
97191	332	1996-09-30	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
97192	332	1996-10-31	VYDAJ	VYBER	15	33098	SLUZBY	\N	\N
97193	332	1996-11-30	VYDAJ	VYBER	15	37074	SLUZBY	\N	\N
97194	332	1996-12-31	VYDAJ	VYBER	15	33153	SLUZBY	\N	\N
97195	332	1997-01-31	VYDAJ	VYBER	15	29314	SLUZBY	\N	\N
97196	332	1997-02-28	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
97197	332	1997-03-31	VYDAJ	VYBER	15	36137	SLUZBY	\N	\N
97198	332	1997-04-30	VYDAJ	VYBER	15	39022	SLUZBY	\N	\N
97199	332	1997-05-31	VYDAJ	VYBER	15	41698	SLUZBY	\N	\N
97200	332	1997-06-30	VYDAJ	VYBER	15	31971	SLUZBY	\N	\N
97201	332	1997-07-31	VYDAJ	VYBER	15	35944	SLUZBY	\N	\N
97202	332	1997-08-31	VYDAJ	VYBER	15	37925	SLUZBY	\N	\N
97203	332	1997-09-30	VYDAJ	VYBER	15	38508	SLUZBY	\N	\N
97204	332	1997-10-31	VYDAJ	VYBER	15	32261	SLUZBY	\N	\N
97205	332	1997-11-30	VYDAJ	VYBER	15	34326	SLUZBY	\N	\N
97206	332	1997-12-31	VYDAJ	VYBER	15	32107	SLUZBY	\N	\N
97207	332	1998-01-31	VYDAJ	VYBER	15	31523	SLUZBY	\N	\N
97208	332	1998-02-28	VYDAJ	VYBER	15	31571	SLUZBY	\N	\N
97209	332	1998-03-31	VYDAJ	VYBER	15	35541	SLUZBY	\N	\N
97210	332	1998-04-30	VYDAJ	VYBER	15	37619	SLUZBY	\N	\N
97211	332	1998-05-31	VYDAJ	VYBER	15	39205	SLUZBY	\N	\N
97212	332	1998-06-30	VYDAJ	VYBER	15	36389	SLUZBY	\N	\N
97213	332	1998-07-31	VYDAJ	VYBER	15	32717	SLUZBY	\N	\N
97214	332	1998-08-31	VYDAJ	VYBER	15	34184	SLUZBY	\N	\N
97215	332	1998-09-30	VYDAJ	VYBER	15	31655	SLUZBY	\N	\N
97216	332	1998-10-31	VYDAJ	VYBER	15	25607	SLUZBY	\N	\N
97217	332	1998-11-30	VYDAJ	VYBER	15	25143	SLUZBY	\N	\N
97218	332	1996-02-11	PRIJEM	VKLAD	12600	12900	\N	\N	\N
97219	332	1996-03-12	PRIJEM	VKLAD	1000	21389	\N	\N	\N
97220	332	1996-04-11	VYDAJ	VYBER	400	24793	\N	\N	\N
97221	332	1996-05-11	VYDAJ	VYBER	2600	26020	\N	\N	\N
97222	332	1996-06-10	PRIJEM	VKLAD	400	26534	\N	\N	\N
97223	332	1996-07-10	VYDAJ	VYBER	800	26345	\N	\N	\N
97224	332	1996-08-09	VYDAJ	VYBER	2200	25596	\N	\N	\N
97225	332	1996-09-08	PRIJEM	VKLAD	200	26016	\N	\N	\N
97226	332	1996-10-08	PRIJEM	VKLAD	2300	29253	\N	\N	\N
97227	332	1996-11-07	PRIJEM	VKLAD	2500	33213	\N	\N	\N
97228	332	1996-12-07	VYDAJ	VYBER	3800	30889	\N	\N	\N
97229	332	1997-01-06	PRIJEM	VKLAD	1100	28658	\N	\N	\N
97230	332	1997-02-05	PRIJEM	VKLAD	2500	31814	\N	\N	\N
97231	332	1997-03-07	PRIJEM	VKLAD	1900	32279	\N	\N	\N
97232	332	1997-04-06	PRIJEM	VKLAD	1400	35152	\N	\N	\N
97233	332	1997-05-06	PRIJEM	VKLAD	1600	37817	\N	\N	\N
97234	332	1997-06-05	VYDAJ	VYBER	3000	36313	\N	\N	\N
97235	332	1997-07-05	PRIJEM	VKLAD	2500	34471	\N	\N	\N
97236	332	1997-08-04	PRIJEM	VKLAD	500	36444	\N	\N	\N
97237	332	1997-09-03	VYDAJ	VYBER	900	37025	\N	\N	\N
97238	332	1997-10-03	VYDAJ	VYBER	6600	31908	\N	\N	\N
97239	332	1997-11-02	PRIJEM	VKLAD	600	32861	\N	\N	\N
97240	332	1997-12-02	VYDAJ	VYBER	2000	32326	\N	\N	\N
97241	332	1998-01-01	PRIJEM	VKLAD	2500	34607	\N	\N	\N
97242	332	1998-01-31	PRIJEM	VKLAD	2000	31409	\N	\N	\N
97243	332	1998-03-02	PRIJEM	VKLAD	2500	34071	\N	\N	\N
97244	332	1998-04-01	PRIJEM	VKLAD	600	36141	\N	\N	\N
97245	332	1998-05-01	PRIJEM	VKLAD	100	37719	\N	\N	\N
97246	332	1998-06-30	PRIJEM	VKLAD	1100	36403	\N	\N	\N
97247	332	1998-07-30	VYDAJ	VYBER	5000	32581	\N	\N	\N
97248	332	1998-09-28	VYDAJ	VYBER	4000	31526	\N	\N	\N
97249	332	1998-10-28	VYDAJ	VYBER	6300	25497	\N	\N	\N
97250	332	1998-11-27	VYDAJ	VYBER	1900	25049	\N	\N	\N
97286	333	1996-12-23	PRIJEM	VKLAD	700	700	\N	\N	\N
97299	333	1997-01-09	PRIJEM	PREVOD Z UCTU	2998	3698	\N	UV	20351964
97300	333	1997-02-09	PRIJEM	PREVOD Z UCTU	2998	6696	\N	UV	20351964
97301	333	1997-03-09	PRIJEM	PREVOD Z UCTU	2998	9694	\N	UV	20351964
97302	333	1997-04-09	PRIJEM	PREVOD Z UCTU	2998	12692	\N	UV	20351964
97303	333	1997-05-09	PRIJEM	PREVOD Z UCTU	2998	15690	\N	UV	20351964
97304	333	1997-06-09	PRIJEM	PREVOD Z UCTU	2998	16717	\N	UV	20351964
97305	333	1997-07-09	PRIJEM	PREVOD Z UCTU	2998	17765	\N	UV	20351964
97306	333	1997-08-09	PRIJEM	PREVOD Z UCTU	2998	18817	\N	UV	20351964
97307	333	1997-09-09	PRIJEM	PREVOD Z UCTU	2998	18822	\N	UV	20351964
97308	333	1997-10-09	PRIJEM	PREVOD Z UCTU	2998	19878	\N	UV	20351964
97309	333	1997-11-09	PRIJEM	PREVOD Z UCTU	2998	20159	\N	UV	20351964
97310	333	1997-12-09	PRIJEM	PREVOD Z UCTU	2998	21221	\N	UV	20351964
97311	333	1998-01-09	PRIJEM	PREVOD Z UCTU	2998	20547	\N	UV	20351964
97312	333	1998-02-09	PRIJEM	PREVOD Z UCTU	2998	16983	\N	UV	20351964
97313	333	1998-03-09	PRIJEM	PREVOD Z UCTU	2998	18032	\N	UV	20351964
97314	333	1998-04-09	PRIJEM	PREVOD Z UCTU	2998	18305	\N	UV	20351964
97315	333	1998-05-09	PRIJEM	PREVOD Z UCTU	2998	19359	\N	UV	20351964
97316	333	1998-06-09	PRIJEM	PREVOD Z UCTU	2998	20418	\N	UV	20351964
97317	333	1998-07-09	PRIJEM	PREVOD Z UCTU	2998	18328	\N	UV	20351964
97318	333	1998-08-09	PRIJEM	PREVOD Z UCTU	2998	19382	\N	UV	20351964
97319	333	1998-09-09	PRIJEM	PREVOD Z UCTU	2998	20260	\N	UV	20351964
97320	333	1998-10-09	PRIJEM	PREVOD Z UCTU	2998	21323	\N	UV	20351964
97321	333	1998-11-09	PRIJEM	PREVOD Z UCTU	2998	22389	\N	UV	20351964
97322	333	1998-12-09	PRIJEM	PREVOD Z UCTU	2998	23460	\N	UV	20351964
97339	333	1997-05-12	VYDAJ	PREVOD NA UCET	1634	13984	SIPO	QR	71807402
97340	333	1997-06-12	VYDAJ	PREVOD NA UCET	1634	15011	SIPO	QR	71807402
97341	333	1997-07-12	VYDAJ	PREVOD NA UCET	1634	16059	SIPO	QR	71807402
97342	333	1997-08-12	VYDAJ	PREVOD NA UCET	1634	17111	SIPO	QR	71807402
97343	333	1997-09-12	VYDAJ	PREVOD NA UCET	1634	17116	SIPO	QR	71807402
97344	333	1997-10-12	VYDAJ	PREVOD NA UCET	1634	18172	SIPO	QR	71807402
97345	333	1997-11-12	VYDAJ	PREVOD NA UCET	1634	18453	SIPO	QR	71807402
97346	333	1997-12-12	VYDAJ	PREVOD NA UCET	1634	19515	SIPO	QR	71807402
97347	333	1998-01-12	VYDAJ	PREVOD NA UCET	1634	18841	SIPO	QR	71807402
97348	333	1998-02-12	VYDAJ	PREVOD NA UCET	1634	15277	SIPO	QR	71807402
97349	333	1998-03-12	VYDAJ	PREVOD NA UCET	1634	16326	SIPO	QR	71807402
97350	333	1998-04-12	VYDAJ	PREVOD NA UCET	1634	16599	SIPO	QR	71807402
97351	333	1998-05-12	VYDAJ	PREVOD NA UCET	1634	17653	SIPO	QR	71807402
97352	333	1998-06-12	VYDAJ	PREVOD NA UCET	1634	18712	SIPO	QR	71807402
97353	333	1998-07-12	VYDAJ	PREVOD NA UCET	1634	16622	SIPO	QR	71807402
97354	333	1998-08-12	VYDAJ	PREVOD NA UCET	1634	17676	SIPO	QR	71807402
97355	333	1998-09-12	VYDAJ	PREVOD NA UCET	1634	18554	SIPO	QR	71807402
97356	333	1998-10-12	VYDAJ	PREVOD NA UCET	1634	19617	SIPO	QR	71807402
97357	333	1998-11-12	VYDAJ	PREVOD NA UCET	1634	20683	SIPO	QR	71807402
97358	333	1998-12-12	VYDAJ	PREVOD NA UCET	1634	21754	SIPO	QR	71807402
97375	333	1997-05-10	VYDAJ	PREVOD NA UCET	72	15618	 	QR	42206424
97376	333	1997-06-10	VYDAJ	PREVOD NA UCET	72	16645	 	QR	42206424
97377	333	1997-07-10	VYDAJ	PREVOD NA UCET	72	17693	 	QR	42206424
97378	333	1997-08-10	VYDAJ	PREVOD NA UCET	72	18745	 	QR	42206424
97379	333	1997-09-10	VYDAJ	PREVOD NA UCET	72	18750	 	QR	42206424
97380	333	1997-10-10	VYDAJ	PREVOD NA UCET	72	19806	 	QR	42206424
97381	333	1997-11-10	VYDAJ	PREVOD NA UCET	72	20087	 	QR	42206424
97382	333	1997-12-10	VYDAJ	PREVOD NA UCET	72	21149	 	QR	42206424
97383	333	1998-01-10	VYDAJ	PREVOD NA UCET	72	20475	 	QR	42206424
97384	333	1998-02-10	VYDAJ	PREVOD NA UCET	72	16911	 	QR	42206424
97385	333	1998-03-10	VYDAJ	PREVOD NA UCET	72	17960	 	QR	42206424
97386	333	1998-04-10	VYDAJ	PREVOD NA UCET	72	18233	 	QR	42206424
97387	333	1998-05-10	VYDAJ	PREVOD NA UCET	72	19287	 	QR	42206424
97388	333	1998-06-10	VYDAJ	PREVOD NA UCET	72	20346	 	QR	42206424
97389	333	1998-07-10	VYDAJ	PREVOD NA UCET	72	18256	 	QR	42206424
97390	333	1998-08-10	VYDAJ	PREVOD NA UCET	72	19310	 	QR	42206424
97391	333	1998-09-10	VYDAJ	PREVOD NA UCET	72	20188	 	QR	42206424
97392	333	1998-10-10	VYDAJ	PREVOD NA UCET	72	21251	 	QR	42206424
97393	333	1998-11-10	VYDAJ	PREVOD NA UCET	72	22317	 	QR	42206424
97394	333	1998-12-10	VYDAJ	PREVOD NA UCET	72	23388	 	QR	42206424
97412	333	1997-06-05	VYDAJ	PREVOD NA UCET	292	13719	POJISTNE	AB	13184309
97413	333	1997-07-05	VYDAJ	PREVOD NA UCET	292	14767	POJISTNE	AB	13184309
97414	333	1997-08-05	VYDAJ	PREVOD NA UCET	292	15819	POJISTNE	AB	13184309
97415	333	1997-09-05	VYDAJ	PREVOD NA UCET	292	15824	POJISTNE	AB	13184309
97416	333	1997-10-05	VYDAJ	PREVOD NA UCET	292	16880	POJISTNE	AB	13184309
97417	333	1997-11-05	VYDAJ	PREVOD NA UCET	292	17941	POJISTNE	AB	13184309
97418	333	1997-12-05	VYDAJ	PREVOD NA UCET	292	18223	POJISTNE	AB	13184309
97419	333	1998-01-05	VYDAJ	PREVOD NA UCET	292	17549	POJISTNE	AB	13184309
97420	333	1998-02-05	VYDAJ	PREVOD NA UCET	292	14465	POJISTNE	AB	13184309
97421	333	1998-03-05	VYDAJ	PREVOD NA UCET	292	15034	POJISTNE	AB	13184309
97422	333	1998-04-05	VYDAJ	PREVOD NA UCET	292	15307	POJISTNE	AB	13184309
97423	333	1998-05-05	VYDAJ	PREVOD NA UCET	292	16361	POJISTNE	AB	13184309
97424	333	1998-06-05	VYDAJ	PREVOD NA UCET	292	17420	POJISTNE	AB	13184309
97425	333	1998-07-05	VYDAJ	PREVOD NA UCET	292	15330	POJISTNE	AB	13184309
97426	333	1998-08-05	VYDAJ	PREVOD NA UCET	292	16384	POJISTNE	AB	13184309
97427	333	1998-09-05	VYDAJ	PREVOD NA UCET	292	17262	POJISTNE	AB	13184309
97428	333	1998-10-05	VYDAJ	PREVOD NA UCET	292	18325	POJISTNE	AB	13184309
97429	333	1998-11-05	VYDAJ	PREVOD NA UCET	292	19391	POJISTNE	AB	13184309
97430	333	1998-12-05	VYDAJ	PREVOD NA UCET	292	20462	POJISTNE	AB	13184309
97433	333	1998-06-28	VYDAJ	VYBER	2310	15742	\N	\N	\N
97435	333	1997-12-29	VYDAJ	VYBER	600	17775	\N	\N	\N
97436	333	1998-12-23	VYDAJ	VYBER	780	20974	\N	\N	\N
97449	333	1998-01-28	VYDAJ	VYBER	840	14701	\N	\N	\N
97450	333	1998-01-28	VYDAJ	VYBER	300	15541	\N	\N	\N
97451	333	1998-01-12	VYDAJ	VYBER	690	18151	\N	\N	\N
97452	333	1998-01-14	VYDAJ	VYBER	510	17281	\N	\N	\N
97453	333	1998-01-14	VYDAJ	VYBER	360	17791	\N	\N	\N
97454	333	1998-01-18	VYDAJ	VYBER	180	17101	\N	\N	\N
97460	333	1997-12-27	VYDAJ	VYBER	1140	18375	\N	\N	\N
97461	333	1997-11-08	VYDAJ	VYBER	780	17161	\N	\N	\N
97462	333	1997-08-24	VYDAJ	VYBER	1050	16061	\N	\N	\N
97463	333	1998-12-28	VYDAJ	VYBER	540	20434	\N	\N	\N
97464	333	1998-07-03	VYDAJ	VYBER	180	15622	\N	\N	\N
97465	333	1998-01-19	VYDAJ	VYBER	1260	15841	\N	\N	\N
97466	333	1998-02-06	VYDAJ	VYBER	480	13985	\N	\N	\N
97467	333	1998-03-31	VYDAJ	VYBER	780	15599	\N	\N	\N
97468	333	1998-08-16	VYDAJ	VYBER	180	17496	\N	\N	\N
97469	333	1998-06-18	VYDAJ	VYBER	660	18052	\N	\N	\N
97487	333	1997-05-31	VYDAJ	VYBER	15	14011	SLUZBY	\N	\N
97488	333	1997-06-30	VYDAJ	VYBER	15	15059	SLUZBY	\N	\N
97489	333	1997-07-31	VYDAJ	VYBER	15	16111	SLUZBY	\N	\N
97490	333	1997-08-31	VYDAJ	VYBER	15	16116	SLUZBY	\N	\N
97491	333	1997-09-30	VYDAJ	VYBER	15	17172	SLUZBY	\N	\N
97492	333	1997-10-31	VYDAJ	VYBER	15	18233	SLUZBY	\N	\N
97493	333	1997-11-30	VYDAJ	VYBER	15	18515	SLUZBY	\N	\N
97494	333	1997-12-31	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
97495	333	1998-01-31	VYDAJ	VYBER	15	14757	SLUZBY	\N	\N
97496	333	1998-02-28	VYDAJ	VYBER	15	15326	SLUZBY	\N	\N
97497	333	1998-03-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
97498	333	1998-04-30	VYDAJ	VYBER	15	16653	SLUZBY	\N	\N
97499	333	1998-05-31	VYDAJ	VYBER	15	17712	SLUZBY	\N	\N
97500	333	1998-06-30	VYDAJ	VYBER	15	15802	SLUZBY	\N	\N
97501	333	1998-07-31	VYDAJ	VYBER	15	16676	SLUZBY	\N	\N
97502	333	1998-08-31	VYDAJ	VYBER	15	17554	SLUZBY	\N	\N
97503	333	1998-09-30	VYDAJ	VYBER	15	18617	SLUZBY	\N	\N
97504	333	1998-10-31	VYDAJ	VYBER	15	19683	SLUZBY	\N	\N
97505	333	1998-11-30	VYDAJ	VYBER	15	20754	SLUZBY	\N	\N
97526	334	1993-05-24	PRIJEM	VKLAD	500	500	\N	\N	\N
97532	334	1993-06-09	PRIJEM	VKLAD	27558	28058	\N	\N	\N
97533	334	1993-07-09	PRIJEM	VKLAD	18372	43858	\N	\N	\N
97534	334	1993-08-09	PRIJEM	VKLAD	18372	54850	\N	\N	\N
97535	334	1993-09-09	PRIJEM	VKLAD	18372	57076	\N	\N	\N
97536	334	1993-10-09	PRIJEM	VKLAD	18372	59612	\N	\N	\N
97537	334	1993-11-09	PRIJEM	VKLAD	18372	56199	\N	\N	\N
97538	334	1993-12-09	PRIJEM	VKLAD	27558	66897	\N	\N	\N
97539	334	1994-01-09	PRIJEM	VKLAD	18372	49752	\N	\N	\N
97540	334	1994-02-09	PRIJEM	VKLAD	18372	41845	\N	\N	\N
97541	334	1994-03-09	PRIJEM	VKLAD	18372	47902	\N	\N	\N
97542	334	1994-04-09	PRIJEM	VKLAD	18372	51484	\N	\N	\N
97543	334	1994-05-09	PRIJEM	VKLAD	18372	47971	\N	\N	\N
97544	334	1994-06-09	PRIJEM	VKLAD	27558	63741	\N	\N	\N
97545	334	1994-07-09	PRIJEM	VKLAD	18372	59401	\N	\N	\N
97546	334	1994-08-09	PRIJEM	VKLAD	18372	60120	\N	\N	\N
97547	334	1994-09-09	PRIJEM	VKLAD	18372	51303	\N	\N	\N
97548	334	1994-10-09	PRIJEM	VKLAD	18372	48084	\N	\N	\N
97549	334	1994-11-09	PRIJEM	VKLAD	18372	53262	\N	\N	\N
97550	334	1994-12-09	PRIJEM	VKLAD	27558	60133	\N	\N	\N
97551	334	1995-01-09	PRIJEM	VKLAD	18372	45792	\N	\N	\N
97552	334	1995-02-09	PRIJEM	VKLAD	18372	40407	\N	\N	\N
97553	334	1995-03-09	PRIJEM	VKLAD	18372	47955	\N	\N	\N
97554	334	1995-04-09	PRIJEM	VKLAD	18372	52129	\N	\N	\N
97555	334	1995-05-09	PRIJEM	VKLAD	18372	56074	\N	\N	\N
97556	334	1995-06-09	PRIJEM	VKLAD	27558	64094	\N	\N	\N
97557	334	1995-07-09	PRIJEM	VKLAD	18372	62053	\N	\N	\N
97558	334	1995-08-09	PRIJEM	VKLAD	18372	65580	\N	\N	\N
97559	334	1995-09-09	PRIJEM	VKLAD	18372	68519	\N	\N	\N
97560	334	1995-10-09	PRIJEM	VKLAD	18372	63107	\N	\N	\N
97561	334	1995-11-09	PRIJEM	VKLAD	18372	66234	\N	\N	\N
97562	334	1995-12-09	PRIJEM	VKLAD	27558	78559	\N	\N	\N
97563	334	1996-01-09	PRIJEM	VKLAD	18372	71751	\N	\N	\N
97564	334	1996-02-09	PRIJEM	VKLAD	18372	58007	\N	\N	\N
97565	334	1996-03-09	PRIJEM	VKLAD	18372	68957	\N	\N	\N
97566	334	1996-04-09	PRIJEM	VKLAD	18372	66778	\N	\N	\N
97567	334	1996-05-09	PRIJEM	VKLAD	18372	75056	\N	\N	\N
97568	334	1996-06-09	PRIJEM	VKLAD	27558	83876	\N	\N	\N
97569	334	1996-07-09	PRIJEM	VKLAD	18372	76913	\N	\N	\N
97570	334	1996-08-09	PRIJEM	VKLAD	18372	76343	\N	\N	\N
97571	334	1996-09-09	PRIJEM	VKLAD	18372	77873	\N	\N	\N
97572	334	1996-10-09	PRIJEM	VKLAD	18372	82483	\N	\N	\N
97573	334	1996-11-09	PRIJEM	VKLAD	18372	84228	\N	\N	\N
97574	334	1996-12-09	PRIJEM	VKLAD	27558	96670	\N	\N	\N
97575	334	1997-01-09	PRIJEM	VKLAD	18372	92540	\N	\N	\N
97576	334	1997-02-09	PRIJEM	VKLAD	18372	77787	\N	\N	\N
97577	334	1997-03-09	PRIJEM	VKLAD	18372	84606	\N	\N	\N
97578	334	1997-04-09	PRIJEM	VKLAD	18372	86560	\N	\N	\N
97579	334	1997-05-09	PRIJEM	VKLAD	18372	84225	\N	\N	\N
97580	334	1997-06-09	PRIJEM	VKLAD	27558	75197	\N	\N	\N
97581	334	1997-07-09	PRIJEM	VKLAD	18372	81404	\N	\N	\N
97582	334	1997-08-09	PRIJEM	VKLAD	18372	88940	\N	\N	\N
97583	334	1997-09-09	PRIJEM	VKLAD	18372	92209	\N	\N	\N
97584	334	1997-10-09	PRIJEM	VKLAD	18372	92786	\N	\N	\N
97585	334	1997-11-09	PRIJEM	VKLAD	18372	92964	\N	\N	\N
97586	334	1997-12-09	PRIJEM	VKLAD	27558	102027	\N	\N	\N
97587	334	1998-01-09	PRIJEM	VKLAD	18372	85716	\N	\N	\N
97588	334	1998-02-09	PRIJEM	VKLAD	18372	77630	\N	\N	\N
97589	334	1998-03-09	PRIJEM	VKLAD	18372	84243	\N	\N	\N
97590	334	1998-04-09	PRIJEM	VKLAD	18372	83482	\N	\N	\N
97591	334	1998-05-09	PRIJEM	VKLAD	18372	88619	\N	\N	\N
97592	334	1998-06-09	PRIJEM	VKLAD	27558	85943	\N	\N	\N
97593	334	1998-07-09	PRIJEM	VKLAD	18372	91685	\N	\N	\N
97594	334	1998-08-09	PRIJEM	VKLAD	18372	94010	\N	\N	\N
97595	334	1998-09-09	PRIJEM	VKLAD	18372	91880	\N	\N	\N
97596	334	1998-10-09	PRIJEM	VKLAD	18372	88830	\N	\N	\N
97597	334	1998-11-09	PRIJEM	VKLAD	18372	87435	\N	\N	\N
97598	334	1998-12-09	PRIJEM	VKLAD	27558	99465	\N	\N	\N
97609	334	1993-11-08	VYDAJ	PREVOD NA UCET	2374	37827	SIPO	IJ	5579948
97610	334	1993-12-08	VYDAJ	PREVOD NA UCET	2374	39339	SIPO	IJ	5579948
97611	334	1994-01-08	VYDAJ	PREVOD NA UCET	2374	31380	SIPO	IJ	5579948
97612	334	1994-02-08	VYDAJ	PREVOD NA UCET	2374	23473	SIPO	IJ	5579948
97613	334	1994-03-08	VYDAJ	PREVOD NA UCET	2374	29530	SIPO	IJ	5579948
97614	334	1994-04-08	VYDAJ	PREVOD NA UCET	2374	33112	SIPO	IJ	5579948
97615	334	1994-05-08	VYDAJ	PREVOD NA UCET	2374	29599	SIPO	IJ	5579948
97616	334	1994-06-08	VYDAJ	PREVOD NA UCET	2374	36183	SIPO	IJ	5579948
97617	334	1994-07-08	VYDAJ	PREVOD NA UCET	2374	41029	SIPO	IJ	5579948
97618	334	1994-08-08	VYDAJ	PREVOD NA UCET	2374	41748	SIPO	IJ	5579948
97619	334	1994-09-08	VYDAJ	PREVOD NA UCET	2374	32931	SIPO	IJ	5579948
97620	334	1994-10-08	VYDAJ	PREVOD NA UCET	2374	29712	SIPO	IJ	5579948
97621	334	1994-11-08	VYDAJ	PREVOD NA UCET	2374	34890	SIPO	IJ	5579948
97622	334	1994-12-08	VYDAJ	PREVOD NA UCET	2374	32575	SIPO	IJ	5579948
97623	334	1995-01-08	VYDAJ	PREVOD NA UCET	2374	29460	SIPO	IJ	5579948
97624	334	1995-02-08	VYDAJ	PREVOD NA UCET	2374	22035	SIPO	IJ	5579948
97625	334	1995-03-08	VYDAJ	PREVOD NA UCET	2374	29583	SIPO	IJ	5579948
97626	334	1995-04-08	VYDAJ	PREVOD NA UCET	2374	33757	SIPO	IJ	5579948
97627	334	1995-05-08	VYDAJ	PREVOD NA UCET	2374	37702	SIPO	IJ	5579948
97628	334	1995-06-08	VYDAJ	PREVOD NA UCET	2374	36536	SIPO	IJ	5579948
97629	334	1995-07-08	VYDAJ	PREVOD NA UCET	2374	43681	SIPO	IJ	5579948
97630	334	1995-08-08	VYDAJ	PREVOD NA UCET	2374	47208	SIPO	IJ	5579948
97631	334	1995-09-08	VYDAJ	PREVOD NA UCET	2374	50147	SIPO	IJ	5579948
97632	334	1995-10-08	VYDAJ	PREVOD NA UCET	2374	44735	SIPO	IJ	5579948
97633	334	1995-11-08	VYDAJ	PREVOD NA UCET	2374	47862	SIPO	IJ	5579948
97634	334	1995-12-08	VYDAJ	PREVOD NA UCET	2374	51001	SIPO	IJ	5579948
97635	334	1996-01-08	VYDAJ	PREVOD NA UCET	2374	53379	SIPO	IJ	5579948
97636	334	1996-02-08	VYDAJ	PREVOD NA UCET	2374	39635	SIPO	IJ	5579948
97637	334	1996-03-08	VYDAJ	PREVOD NA UCET	2374	50585	SIPO	IJ	5579948
97638	334	1996-04-08	VYDAJ	PREVOD NA UCET	2374	50706	SIPO	IJ	5579948
97639	334	1996-05-08	VYDAJ	PREVOD NA UCET	2374	63484	SIPO	IJ	5579948
97640	334	1996-06-08	VYDAJ	PREVOD NA UCET	2374	56318	SIPO	IJ	5579948
97641	334	1996-07-08	VYDAJ	PREVOD NA UCET	2374	58541	SIPO	IJ	5579948
97642	334	1996-08-08	VYDAJ	PREVOD NA UCET	2374	57971	SIPO	IJ	5579948
97643	334	1996-09-08	VYDAJ	PREVOD NA UCET	2374	59501	SIPO	IJ	5579948
97644	334	1996-10-08	VYDAJ	PREVOD NA UCET	2374	64111	SIPO	IJ	5579948
97645	334	1996-11-08	VYDAJ	PREVOD NA UCET	2374	65856	SIPO	IJ	5579948
97646	334	1996-12-08	VYDAJ	PREVOD NA UCET	2374	69112	SIPO	IJ	5579948
97647	334	1997-01-08	VYDAJ	PREVOD NA UCET	2374	74168	SIPO	IJ	5579948
97648	334	1997-02-08	VYDAJ	PREVOD NA UCET	2374	59415	SIPO	IJ	5579948
97649	334	1997-03-08	VYDAJ	PREVOD NA UCET	2374	66234	SIPO	IJ	5579948
97650	334	1997-04-08	VYDAJ	PREVOD NA UCET	2374	68188	SIPO	IJ	5579948
97651	334	1997-05-08	VYDAJ	PREVOD NA UCET	2374	65853	SIPO	IJ	5579948
97652	334	1997-06-08	VYDAJ	PREVOD NA UCET	2374	47639	SIPO	IJ	5579948
97653	334	1997-07-08	VYDAJ	PREVOD NA UCET	2374	63032	SIPO	IJ	5579948
97654	334	1997-08-08	VYDAJ	PREVOD NA UCET	2374	70568	SIPO	IJ	5579948
97655	334	1997-09-08	VYDAJ	PREVOD NA UCET	2374	73837	SIPO	IJ	5579948
97656	334	1997-10-08	VYDAJ	PREVOD NA UCET	2374	74414	SIPO	IJ	5579948
97657	334	1997-11-08	VYDAJ	PREVOD NA UCET	2374	74592	SIPO	IJ	5579948
97658	334	1997-12-08	VYDAJ	PREVOD NA UCET	2374	74469	SIPO	IJ	5579948
97659	334	1998-01-08	VYDAJ	PREVOD NA UCET	2374	67344	SIPO	IJ	5579948
97660	334	1998-02-08	VYDAJ	PREVOD NA UCET	2374	59258	SIPO	IJ	5579948
97661	334	1998-03-08	VYDAJ	PREVOD NA UCET	2374	65871	SIPO	IJ	5579948
97662	334	1998-04-08	VYDAJ	PREVOD NA UCET	2374	65110	SIPO	IJ	5579948
97663	334	1998-05-08	VYDAJ	PREVOD NA UCET	2374	70247	SIPO	IJ	5579948
97664	334	1998-06-08	VYDAJ	PREVOD NA UCET	2374	58385	SIPO	IJ	5579948
97665	334	1998-07-08	VYDAJ	PREVOD NA UCET	2374	73313	SIPO	IJ	5579948
97666	334	1998-08-08	VYDAJ	PREVOD NA UCET	2374	75638	SIPO	IJ	5579948
97667	334	1998-09-08	VYDAJ	PREVOD NA UCET	2374	73508	SIPO	IJ	5579948
97668	334	1998-10-08	VYDAJ	PREVOD NA UCET	2374	70458	SIPO	IJ	5579948
97669	334	1998-11-08	VYDAJ	PREVOD NA UCET	2374	69063	SIPO	IJ	5579948
97670	334	1998-12-08	VYDAJ	PREVOD NA UCET	2374	71907	SIPO	IJ	5579948
97681	334	1993-11-06	VYDAJ	PREVOD NA UCET	1168	40201	 	MN	37566691
97682	334	1993-12-06	VYDAJ	PREVOD NA UCET	1168	41713	 	MN	37566691
97683	334	1994-01-06	VYDAJ	PREVOD NA UCET	1168	42394	 	MN	37566691
97684	334	1994-02-06	VYDAJ	PREVOD NA UCET	1168	25847	 	MN	37566691
97685	334	1994-03-06	VYDAJ	PREVOD NA UCET	1168	31904	 	MN	37566691
97686	334	1994-04-06	VYDAJ	PREVOD NA UCET	1168	35486	 	MN	37566691
97687	334	1994-05-06	VYDAJ	PREVOD NA UCET	1168	31973	 	MN	37566691
97688	334	1994-06-06	VYDAJ	PREVOD NA UCET	1168	38557	 	MN	37566691
97689	334	1994-07-06	VYDAJ	PREVOD NA UCET	1168	43403	 	MN	37566691
97690	334	1994-08-06	VYDAJ	PREVOD NA UCET	1168	44122	 	MN	37566691
97691	334	1994-09-06	VYDAJ	PREVOD NA UCET	1168	35305	 	MN	37566691
97692	334	1994-10-06	VYDAJ	PREVOD NA UCET	1168	32086	 	MN	37566691
97693	334	1994-11-06	VYDAJ	PREVOD NA UCET	1168	37264	 	MN	37566691
97694	334	1994-12-06	VYDAJ	PREVOD NA UCET	1168	34949	 	MN	37566691
97695	334	1995-01-06	VYDAJ	PREVOD NA UCET	1168	37274	 	MN	37566691
97696	334	1995-02-06	VYDAJ	PREVOD NA UCET	1168	24409	 	MN	37566691
97697	334	1995-03-06	VYDAJ	PREVOD NA UCET	1168	31957	 	MN	37566691
97698	334	1995-04-06	VYDAJ	PREVOD NA UCET	1168	36131	 	MN	37566691
97699	334	1995-05-06	VYDAJ	PREVOD NA UCET	1168	40076	 	MN	37566691
97700	334	1995-06-06	VYDAJ	PREVOD NA UCET	1168	38910	 	MN	37566691
97701	334	1995-07-06	VYDAJ	PREVOD NA UCET	1168	46055	 	MN	37566691
97702	334	1995-08-06	VYDAJ	PREVOD NA UCET	1168	49582	 	MN	37566691
97703	334	1995-09-06	VYDAJ	PREVOD NA UCET	1168	52521	 	MN	37566691
97704	334	1995-10-06	VYDAJ	PREVOD NA UCET	1168	47109	 	MN	37566691
97705	334	1995-11-06	VYDAJ	PREVOD NA UCET	1168	50236	 	MN	37566691
97706	334	1995-12-06	VYDAJ	PREVOD NA UCET	1168	53375	 	MN	37566691
97707	334	1996-01-06	VYDAJ	PREVOD NA UCET	1168	55753	 	MN	37566691
97708	334	1996-02-06	VYDAJ	PREVOD NA UCET	1168	35009	 	MN	37566691
97709	334	1996-03-06	VYDAJ	PREVOD NA UCET	1168	52959	 	MN	37566691
97710	334	1996-04-06	VYDAJ	PREVOD NA UCET	1168	53080	 	MN	37566691
97711	334	1996-05-06	VYDAJ	PREVOD NA UCET	1168	65858	 	MN	37566691
97712	334	1996-06-06	VYDAJ	PREVOD NA UCET	1168	72492	 	MN	37566691
97713	334	1996-07-06	VYDAJ	PREVOD NA UCET	1168	75815	 	MN	37566691
97714	334	1996-08-06	VYDAJ	PREVOD NA UCET	1168	76045	 	MN	37566691
97715	334	1996-09-06	VYDAJ	PREVOD NA UCET	1168	61875	 	MN	37566691
97716	334	1996-10-06	VYDAJ	PREVOD NA UCET	1168	66485	 	MN	37566691
97717	334	1996-11-06	VYDAJ	PREVOD NA UCET	1168	68230	 	MN	37566691
97718	334	1996-12-06	VYDAJ	PREVOD NA UCET	1168	71486	 	MN	37566691
97719	334	1997-01-06	VYDAJ	PREVOD NA UCET	1168	77382	 	MN	37566691
97720	334	1997-02-06	VYDAJ	PREVOD NA UCET	1168	61789	 	MN	37566691
97721	334	1997-03-06	VYDAJ	PREVOD NA UCET	1168	68608	 	MN	37566691
97722	334	1997-04-06	VYDAJ	PREVOD NA UCET	1168	70562	 	MN	37566691
97723	334	1997-05-06	VYDAJ	PREVOD NA UCET	1168	68227	 	MN	37566691
97724	334	1997-06-06	VYDAJ	PREVOD NA UCET	1168	50013	 	MN	37566691
97725	334	1997-07-06	VYDAJ	PREVOD NA UCET	1168	65406	 	MN	37566691
97726	334	1997-08-06	VYDAJ	PREVOD NA UCET	1168	72942	 	MN	37566691
97727	334	1997-09-06	VYDAJ	PREVOD NA UCET	1168	76211	 	MN	37566691
97728	334	1997-10-06	VYDAJ	PREVOD NA UCET	1168	76788	 	MN	37566691
97729	334	1997-11-06	VYDAJ	PREVOD NA UCET	1168	76966	 	MN	37566691
97730	334	1997-12-06	VYDAJ	PREVOD NA UCET	1168	76843	 	MN	37566691
97731	334	1998-01-06	VYDAJ	PREVOD NA UCET	1168	69718	 	MN	37566691
97732	334	1998-02-06	VYDAJ	PREVOD NA UCET	1168	61632	 	MN	37566691
97733	334	1998-03-06	VYDAJ	PREVOD NA UCET	1168	68245	 	MN	37566691
97734	334	1998-04-06	VYDAJ	PREVOD NA UCET	1168	67484	 	MN	37566691
97735	334	1998-05-06	VYDAJ	PREVOD NA UCET	1168	72621	 	MN	37566691
97736	334	1998-06-06	VYDAJ	PREVOD NA UCET	1168	60759	 	MN	37566691
97737	334	1998-07-06	VYDAJ	PREVOD NA UCET	1168	75687	 	MN	37566691
97738	334	1998-08-06	VYDAJ	PREVOD NA UCET	1168	78012	 	MN	37566691
97739	334	1998-09-06	VYDAJ	PREVOD NA UCET	1168	75882	 	MN	37566691
97740	334	1998-10-06	VYDAJ	PREVOD NA UCET	1168	72832	 	MN	37566691
97741	334	1998-11-06	VYDAJ	PREVOD NA UCET	1168	71437	 	MN	37566691
97742	334	1998-12-06	VYDAJ	PREVOD NA UCET	1168	74281	 	MN	37566691
97746	334	1996-06-21	VYDAJ	VYBER	7200	76676	\N	\N	\N
97747	334	1997-06-01	VYDAJ	VYBER	31360	47781	\N	\N	\N
97748	334	1998-06-05	VYDAJ	VYBER	17920	61927	\N	\N	\N
97750	334	1994-01-06	VYDAJ	VYBER	8640	33754	\N	\N	\N
97751	334	1995-01-07	VYDAJ	VYBER	5440	31834	\N	\N	\N
97752	334	1996-01-22	VYDAJ	VYBER	10880	39331	\N	\N	\N
97753	334	1997-01-30	VYDAJ	VYBER	14080	63820	\N	\N	\N
97754	334	1998-01-13	VYDAJ	VYBER	14720	65236	\N	\N	\N
97755	334	1993-12-30	VYDAJ	VYBER	3840	43357	\N	\N	\N
97756	334	1994-12-04	VYDAJ	VYBER	1760	36117	\N	\N	\N
97757	334	1995-12-21	VYDAJ	VYBER	960	56699	\N	\N	\N
97758	334	1996-12-19	VYDAJ	VYBER	4160	92510	\N	\N	\N
97759	334	1997-12-27	VYDAJ	VYBER	4640	93067	\N	\N	\N
97760	334	1998-12-21	VYDAJ	VYBER	3040	96425	\N	\N	\N
97767	334	1994-01-26	VYDAJ	VYBER	1200	30352	\N	\N	\N
97768	334	1994-01-23	VYDAJ	VYBER	3240	31552	\N	\N	\N
97769	334	1994-01-10	VYDAJ	VYBER	3480	46272	\N	\N	\N
97770	334	1994-01-15	VYDAJ	VYBER	2880	43392	\N	\N	\N
97771	334	1994-01-29	VYDAJ	VYBER	3480	26872	\N	\N	\N
97772	334	1994-01-18	VYDAJ	VYBER	600	42792	\N	\N	\N
97773	334	1995-01-08	VYDAJ	VYBER	2040	27420	\N	\N	\N
97774	334	1995-01-22	VYDAJ	VYBER	3360	29772	\N	\N	\N
97775	334	1995-01-06	VYDAJ	VYBER	3000	38442	\N	\N	\N
97776	334	1995-01-23	VYDAJ	VYBER	1680	28092	\N	\N	\N
97777	334	1995-01-24	VYDAJ	VYBER	2640	25452	\N	\N	\N
97778	334	1995-01-01	VYDAJ	VYBER	960	41442	\N	\N	\N
97779	334	1996-01-29	VYDAJ	VYBER	2040	35971	\N	\N	\N
97780	334	1996-01-21	VYDAJ	VYBER	1560	50211	\N	\N	\N
97781	334	1996-01-16	VYDAJ	VYBER	3360	53691	\N	\N	\N
97782	334	1996-01-17	VYDAJ	VYBER	1320	52371	\N	\N	\N
97783	334	1996-01-18	VYDAJ	VYBER	600	51771	\N	\N	\N
97784	334	1996-01-28	VYDAJ	VYBER	1320	38011	\N	\N	\N
97785	334	1997-01-07	VYDAJ	VYBER	840	76542	\N	\N	\N
97786	334	1997-01-26	VYDAJ	VYBER	1080	81860	\N	\N	\N
97787	334	1997-01-03	VYDAJ	VYBER	1320	91550	\N	\N	\N
97788	334	1997-01-18	VYDAJ	VYBER	3000	87020	\N	\N	\N
97789	334	1997-01-18	VYDAJ	VYBER	840	86180	\N	\N	\N
97790	334	1997-01-10	VYDAJ	VYBER	2520	90020	\N	\N	\N
97791	334	1998-01-09	VYDAJ	VYBER	1680	81996	\N	\N	\N
97792	334	1998-01-02	VYDAJ	VYBER	3120	73406	\N	\N	\N
97793	334	1998-01-12	VYDAJ	VYBER	2040	79956	\N	\N	\N
97794	334	1998-01-26	VYDAJ	VYBER	2280	61036	\N	\N	\N
97795	334	1998-01-20	VYDAJ	VYBER	1920	63316	\N	\N	\N
97796	334	1998-01-09	VYDAJ	VYBER	2040	83676	\N	\N	\N
97801	334	1994-04-27	VYDAJ	VYBER	1920	34664	\N	\N	\N
97802	334	1994-03-31	VYDAJ	VYBER	1200	36654	\N	\N	\N
97803	334	1994-06-21	VYDAJ	VYBER	3360	44381	\N	\N	\N
97804	334	1994-08-19	VYDAJ	VYBER	4920	36300	\N	\N	\N
97805	334	1994-11-10	VYDAJ	VYBER	840	52422	\N	\N	\N
97806	334	1994-04-28	VYDAJ	VYBER	1680	32984	\N	\N	\N
97807	334	1994-09-28	VYDAJ	VYBER	4200	33103	\N	\N	\N
97808	334	1995-04-09	VYDAJ	VYBER	4440	47689	\N	\N	\N
97809	334	1995-09-14	VYDAJ	VYBER	4440	48079	\N	\N	\N
97810	334	1995-05-15	VYDAJ	VYBER	3360	39914	\N	\N	\N
97811	334	1995-06-28	VYDAJ	VYBER	3360	47034	\N	\N	\N
97812	334	1995-01-11	VYDAJ	VYBER	5760	40032	\N	\N	\N
97813	334	1996-03-12	VYDAJ	VYBER	4320	54037	\N	\N	\N
97814	334	1996-05-23	VYDAJ	VYBER	1680	73376	\N	\N	\N
97815	334	1996-10-05	VYDAJ	VYBER	1920	67653	\N	\N	\N
97816	334	1996-02-09	VYDAJ	VYBER	4080	53927	\N	\N	\N
97817	334	1997-12-13	VYDAJ	VYBER	4320	97707	\N	\N	\N
97818	334	1997-06-13	VYDAJ	VYBER	5880	69317	\N	\N	\N
97819	334	1997-05-15	VYDAJ	VYBER	5400	78825	\N	\N	\N
97820	334	1997-01-28	VYDAJ	VYBER	3960	77900	\N	\N	\N
97821	334	1997-01-25	VYDAJ	VYBER	3240	82940	\N	\N	\N
97822	334	1998-07-16	VYDAJ	VYBER	840	90845	\N	\N	\N
97823	334	1998-01-03	VYDAJ	VYBER	2520	70886	\N	\N	\N
97824	334	1998-09-12	VYDAJ	VYBER	5400	86480	\N	\N	\N
97825	334	1998-10-22	VYDAJ	VYBER	5040	83790	\N	\N	\N
97826	334	1998-06-16	VYDAJ	VYBER	3600	82343	\N	\N	\N
97837	334	1993-10-31	VYDAJ	VYBER	15	41369	SLUZBY	\N	\N
97838	334	1993-11-30	VYDAJ	VYBER	15	42881	SLUZBY	\N	\N
97839	334	1993-12-31	VYDAJ	VYBER	15	43562	SLUZBY	\N	\N
97840	334	1994-01-31	VYDAJ	VYBER	15	27015	SLUZBY	\N	\N
97841	334	1994-02-28	VYDAJ	VYBER	15	33072	SLUZBY	\N	\N
97842	334	1994-03-31	VYDAJ	VYBER	15	37854	SLUZBY	\N	\N
97843	334	1994-04-30	VYDAJ	VYBER	15	33141	SLUZBY	\N	\N
97844	334	1994-05-31	VYDAJ	VYBER	15	39725	SLUZBY	\N	\N
97845	334	1994-06-30	VYDAJ	VYBER	15	44571	SLUZBY	\N	\N
97846	334	1994-07-31	VYDAJ	VYBER	15	45290	SLUZBY	\N	\N
97847	334	1994-08-31	VYDAJ	VYBER	15	36473	SLUZBY	\N	\N
97848	334	1994-09-30	VYDAJ	VYBER	15	33254	SLUZBY	\N	\N
97849	334	1994-10-31	VYDAJ	VYBER	15	38432	SLUZBY	\N	\N
97850	334	1994-11-30	VYDAJ	VYBER	15	37877	SLUZBY	\N	\N
97851	334	1994-12-31	VYDAJ	VYBER	15	42402	SLUZBY	\N	\N
97852	334	1995-01-31	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
97853	334	1995-02-28	VYDAJ	VYBER	15	33125	SLUZBY	\N	\N
97854	334	1995-03-31	VYDAJ	VYBER	15	37299	SLUZBY	\N	\N
97855	334	1995-04-30	VYDAJ	VYBER	15	41244	SLUZBY	\N	\N
97856	334	1995-05-31	VYDAJ	VYBER	15	40078	SLUZBY	\N	\N
97857	334	1995-06-30	VYDAJ	VYBER	15	47223	SLUZBY	\N	\N
97858	334	1995-07-31	VYDAJ	VYBER	15	50750	SLUZBY	\N	\N
97859	334	1995-08-31	VYDAJ	VYBER	15	53689	SLUZBY	\N	\N
97860	334	1995-09-30	VYDAJ	VYBER	15	48277	SLUZBY	\N	\N
97861	334	1995-10-31	VYDAJ	VYBER	15	51404	SLUZBY	\N	\N
97862	334	1995-11-30	VYDAJ	VYBER	15	54543	SLUZBY	\N	\N
97863	334	1995-12-31	VYDAJ	VYBER	15	56921	SLUZBY	\N	\N
97864	334	1996-01-31	VYDAJ	VYBER	15	36177	SLUZBY	\N	\N
97865	334	1996-02-29	VYDAJ	VYBER	15	54127	SLUZBY	\N	\N
97866	334	1996-03-31	VYDAJ	VYBER	15	54248	SLUZBY	\N	\N
97867	334	1996-04-30	VYDAJ	VYBER	15	67026	SLUZBY	\N	\N
97868	334	1996-05-31	VYDAJ	VYBER	15	73660	SLUZBY	\N	\N
97869	334	1996-06-30	VYDAJ	VYBER	15	76983	SLUZBY	\N	\N
97870	334	1996-07-31	VYDAJ	VYBER	15	77213	SLUZBY	\N	\N
97871	334	1996-08-31	VYDAJ	VYBER	15	76643	SLUZBY	\N	\N
97872	334	1996-09-30	VYDAJ	VYBER	15	78173	SLUZBY	\N	\N
97873	334	1996-10-31	VYDAJ	VYBER	15	82798	SLUZBY	\N	\N
97874	334	1996-11-30	VYDAJ	VYBER	15	84554	SLUZBY	\N	\N
97875	334	1996-12-31	VYDAJ	VYBER	15	92870	SLUZBY	\N	\N
97876	334	1997-01-31	VYDAJ	VYBER	15	64157	SLUZBY	\N	\N
97877	334	1997-02-28	VYDAJ	VYBER	15	78076	SLUZBY	\N	\N
97878	334	1997-03-31	VYDAJ	VYBER	15	84930	SLUZBY	\N	\N
97879	334	1997-04-30	VYDAJ	VYBER	15	86895	SLUZBY	\N	\N
97880	334	1997-05-31	VYDAJ	VYBER	15	79141	SLUZBY	\N	\N
97881	334	1997-06-30	VYDAJ	VYBER	15	69574	SLUZBY	\N	\N
97882	334	1997-07-31	VYDAJ	VYBER	15	81710	SLUZBY	\N	\N
97883	334	1997-08-31	VYDAJ	VYBER	15	77379	SLUZBY	\N	\N
97884	334	1997-09-30	VYDAJ	VYBER	15	92556	SLUZBY	\N	\N
97885	334	1997-10-31	VYDAJ	VYBER	15	78134	SLUZBY	\N	\N
97886	334	1997-11-30	VYDAJ	VYBER	15	78011	SLUZBY	\N	\N
97887	334	1997-12-31	VYDAJ	VYBER	15	76526	SLUZBY	\N	\N
97888	334	1998-01-31	VYDAJ	VYBER	15	62800	SLUZBY	\N	\N
97889	334	1998-02-28	VYDAJ	VYBER	15	69413	SLUZBY	\N	\N
97890	334	1998-03-31	VYDAJ	VYBER	15	68652	SLUZBY	\N	\N
97891	334	1998-04-30	VYDAJ	VYBER	15	73789	SLUZBY	\N	\N
97892	334	1998-05-31	VYDAJ	VYBER	15	79847	SLUZBY	\N	\N
97893	334	1998-06-30	VYDAJ	VYBER	15	76855	SLUZBY	\N	\N
97894	334	1998-07-31	VYDAJ	VYBER	15	79180	SLUZBY	\N	\N
97895	334	1998-08-31	VYDAJ	VYBER	15	77050	SLUZBY	\N	\N
97896	334	1998-09-30	VYDAJ	VYBER	15	74000	SLUZBY	\N	\N
97897	334	1998-10-31	VYDAJ	VYBER	15	72605	SLUZBY	\N	\N
97898	334	1998-11-30	VYDAJ	VYBER	15	75449	SLUZBY	\N	\N
97899	334	1993-06-23	VYDAJ	VYBER	2600	25458	\N	\N	\N
97900	334	1993-07-23	VYDAJ	VYBER	7500	36358	\N	\N	\N
97901	334	1993-08-22	VYDAJ	VYBER	16300	38550	\N	\N	\N
97902	334	1993-09-21	VYDAJ	VYBER	16000	41076	\N	\N	\N
97903	334	1993-10-21	VYDAJ	VYBER	18400	41212	\N	\N	\N
97904	334	1993-11-20	VYDAJ	VYBER	13500	42699	\N	\N	\N
97905	334	1993-12-20	VYDAJ	VYBER	19700	47197	\N	\N	\N
97906	334	1994-01-19	VYDAJ	VYBER	8000	34792	\N	\N	\N
97907	334	1994-02-18	VYDAJ	VYBER	8900	32945	\N	\N	\N
97908	334	1994-03-20	VYDAJ	VYBER	10200	37702	\N	\N	\N
97909	334	1994-04-19	VYDAJ	VYBER	14900	36584	\N	\N	\N
97910	334	1994-05-19	VYDAJ	VYBER	8400	39571	\N	\N	\N
97911	334	1994-06-18	VYDAJ	VYBER	16000	47741	\N	\N	\N
97912	334	1994-07-18	VYDAJ	VYBER	14300	45101	\N	\N	\N
97913	334	1994-08-17	VYDAJ	VYBER	18900	41220	\N	\N	\N
97914	334	1994-09-16	VYDAJ	VYBER	14000	37303	\N	\N	\N
97915	334	1994-10-16	VYDAJ	VYBER	9800	38284	\N	\N	\N
97916	334	1994-11-15	VYDAJ	VYBER	14700	37722	\N	\N	\N
97917	334	1994-12-15	VYDAJ	VYBER	17900	42233	\N	\N	\N
97918	334	1995-01-14	VYDAJ	VYBER	6900	33132	\N	\N	\N
97919	334	1995-02-13	VYDAJ	VYBER	7400	33007	\N	\N	\N
97920	334	1995-03-15	VYDAJ	VYBER	10800	37155	\N	\N	\N
97921	334	1995-04-14	VYDAJ	VYBER	6600	41089	\N	\N	\N
97922	334	1995-05-14	VYDAJ	VYBER	12800	43274	\N	\N	\N
97923	334	1995-06-13	VYDAJ	VYBER	13700	50394	\N	\N	\N
97924	334	1995-07-13	VYDAJ	VYBER	11500	50553	\N	\N	\N
97925	334	1995-08-12	VYDAJ	VYBER	12100	53480	\N	\N	\N
97926	334	1995-09-11	VYDAJ	VYBER	16000	52519	\N	\N	\N
97927	334	1995-10-11	VYDAJ	VYBER	11900	51207	\N	\N	\N
97928	334	1995-11-10	VYDAJ	VYBER	11900	54334	\N	\N	\N
97929	334	1995-12-10	VYDAJ	VYBER	20900	57659	\N	\N	\N
97930	334	1996-01-09	VYDAJ	VYBER	14700	57051	\N	\N	\N
97931	334	1996-02-08	PRIJEM	VKLAD	7000	42009	\N	\N	\N
97932	334	1996-03-09	VYDAJ	VYBER	10600	58357	\N	\N	\N
97933	334	1996-04-08	VYDAJ	VYBER	2300	48406	\N	\N	\N
97934	334	1996-05-08	VYDAJ	VYBER	6800	56684	\N	\N	\N
97935	334	1996-06-07	VYDAJ	VYBER	13800	58692	\N	\N	\N
97936	334	1996-07-07	VYDAJ	VYBER	14900	60915	\N	\N	\N
97937	334	1996-08-06	VYDAJ	VYBER	15700	60345	\N	\N	\N
97938	334	1996-09-05	VYDAJ	VYBER	13600	63043	\N	\N	\N
97939	334	1996-10-05	VYDAJ	VYBER	8600	69573	\N	\N	\N
97940	334	1996-11-04	VYDAJ	VYBER	13400	69398	\N	\N	\N
97941	334	1996-12-04	VYDAJ	VYBER	11900	72654	\N	\N	\N
97942	334	1997-01-03	VYDAJ	VYBER	13000	78550	\N	\N	\N
97943	334	1997-02-02	VYDAJ	VYBER	1200	62957	\N	\N	\N
97944	334	1997-03-04	VYDAJ	VYBER	8300	69776	\N	\N	\N
97945	334	1997-04-03	VYDAJ	VYBER	13200	71730	\N	\N	\N
97946	334	1997-05-03	VYDAJ	VYBER	17500	69395	\N	\N	\N
97947	334	1997-06-02	PRIJEM	VKLAD	3400	51181	\N	\N	\N
97948	334	1997-07-02	VYDAJ	VYBER	3000	66574	\N	\N	\N
97949	334	1997-08-01	VYDAJ	VYBER	7600	74110	\N	\N	\N
97950	334	1997-08-31	VYDAJ	VYBER	11900	77394	\N	\N	\N
97951	334	1997-09-30	VYDAJ	VYBER	14600	77956	\N	\N	\N
97952	334	1997-10-30	VYDAJ	VYBER	15000	77786	\N	\N	\N
97953	334	1997-11-29	VYDAJ	VYBER	15300	77664	\N	\N	\N
97954	334	1997-12-29	VYDAJ	VYBER	16900	76167	\N	\N	\N
97955	334	1998-01-28	PRIJEM	VKLAD	1500	62536	\N	\N	\N
97956	334	1998-02-27	VYDAJ	VYBER	8500	69130	\N	\N	\N
97957	334	1998-03-29	VYDAJ	VYBER	15900	68343	\N	\N	\N
97958	334	1998-04-28	VYDAJ	VYBER	10000	73482	\N	\N	\N
97959	334	1998-05-28	VYDAJ	VYBER	9100	79519	\N	\N	\N
97960	334	1998-06-27	VYDAJ	VYBER	5800	76543	\N	\N	\N
97961	334	1998-07-27	VYDAJ	VYBER	12000	78845	\N	\N	\N
97962	334	1998-08-26	VYDAJ	VYBER	17300	76710	\N	\N	\N
97963	334	1998-09-25	VYDAJ	VYBER	12800	73680	\N	\N	\N
97964	334	1998-10-25	VYDAJ	VYBER	11500	72290	\N	\N	\N
97965	334	1998-11-24	VYDAJ	VYBER	12300	75135	\N	\N	\N
98033	335	1996-01-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
98035	335	1996-02-07	PRIJEM	PREVOD Z UCTU	5715	6715	DUCHOD	QR	94567346
98036	335	1996-03-07	PRIJEM	PREVOD Z UCTU	5715	12430	DUCHOD	QR	94567346
98037	335	1996-04-07	PRIJEM	PREVOD Z UCTU	5715	18145	DUCHOD	QR	94567346
98038	335	1996-05-07	PRIJEM	PREVOD Z UCTU	5715	23860	DUCHOD	QR	94567346
98039	335	1996-06-07	PRIJEM	PREVOD Z UCTU	5715	27413	DUCHOD	QR	94567346
98040	335	1996-07-07	PRIJEM	PREVOD Z UCTU	5715	27211	DUCHOD	QR	94567346
98041	335	1996-08-07	PRIJEM	PREVOD Z UCTU	5715	28310	DUCHOD	QR	94567346
98042	335	1996-09-07	PRIJEM	PREVOD Z UCTU	5715	25510	DUCHOD	QR	94567346
98043	335	1996-10-07	PRIJEM	PREVOD Z UCTU	5715	26004	DUCHOD	QR	94567346
98044	335	1996-11-07	PRIJEM	PREVOD Z UCTU	5715	26159	DUCHOD	QR	94567346
98045	335	1996-12-07	PRIJEM	PREVOD Z UCTU	5715	28459	DUCHOD	QR	94567346
98046	335	1997-01-07	PRIJEM	PREVOD Z UCTU	5715	26548	DUCHOD	QR	94567346
98047	335	1997-02-07	PRIJEM	PREVOD Z UCTU	5715	18382	DUCHOD	QR	94567346
98048	335	1997-03-07	PRIJEM	PREVOD Z UCTU	5715	21456	DUCHOD	QR	94567346
98049	335	1997-04-07	PRIJEM	PREVOD Z UCTU	5715	22376	DUCHOD	QR	94567346
98050	335	1997-05-07	PRIJEM	PREVOD Z UCTU	5715	25458	DUCHOD	QR	94567346
98051	335	1997-06-07	PRIJEM	PREVOD Z UCTU	5715	28563	DUCHOD	QR	94567346
98052	335	1997-07-07	PRIJEM	PREVOD Z UCTU	5715	27518	DUCHOD	QR	94567346
98053	335	1997-08-07	PRIJEM	PREVOD Z UCTU	5715	30631	DUCHOD	QR	94567346
98054	335	1997-09-07	PRIJEM	PREVOD Z UCTU	5715	33757	DUCHOD	QR	94567346
98055	335	1997-10-07	PRIJEM	PREVOD Z UCTU	5715	33477	DUCHOD	QR	94567346
98056	335	1997-11-07	PRIJEM	PREVOD Z UCTU	5715	30071	DUCHOD	QR	94567346
98057	335	1997-12-07	PRIJEM	PREVOD Z UCTU	5715	30579	DUCHOD	QR	94567346
98058	335	1998-01-07	PRIJEM	PREVOD Z UCTU	5715	30275	DUCHOD	QR	94567346
98059	335	1998-02-07	PRIJEM	PREVOD Z UCTU	5715	24740	DUCHOD	QR	94567346
98060	335	1998-03-07	PRIJEM	PREVOD Z UCTU	5715	26310	DUCHOD	QR	94567346
98061	335	1998-04-07	PRIJEM	PREVOD Z UCTU	5715	27223	DUCHOD	QR	94567346
98062	335	1998-05-07	PRIJEM	PREVOD Z UCTU	5715	28019	DUCHOD	QR	94567346
98063	335	1998-06-07	PRIJEM	PREVOD Z UCTU	5715	24972	DUCHOD	QR	94567346
98064	335	1998-07-07	PRIJEM	PREVOD Z UCTU	5715	28078	DUCHOD	QR	94567346
98065	335	1998-08-07	PRIJEM	PREVOD Z UCTU	5715	28542	DUCHOD	QR	94567346
98066	335	1998-09-07	PRIJEM	PREVOD Z UCTU	5715	28097	DUCHOD	QR	94567346
98067	335	1998-10-07	PRIJEM	PREVOD Z UCTU	5715	30412	DUCHOD	QR	94567346
98068	335	1998-11-07	PRIJEM	PREVOD Z UCTU	5715	30450	DUCHOD	QR	94567346
98069	335	1998-12-07	PRIJEM	PREVOD Z UCTU	5715	32766	DUCHOD	QR	94567346
98075	335	1996-06-07	VYDAJ	PREVOD NA UCET	2697	24716	SIPO	GH	80065911
98180	335	1998-08-31	VYDAJ	VYBER	15	22382	SLUZBY	\N	\N
98076	335	1996-07-07	VYDAJ	PREVOD NA UCET	2697	24514	SIPO	GH	80065911
98077	335	1996-08-07	VYDAJ	PREVOD NA UCET	2697	25613	SIPO	GH	80065911
98078	335	1996-09-07	VYDAJ	PREVOD NA UCET	2697	22813	SIPO	GH	80065911
98079	335	1996-10-07	VYDAJ	PREVOD NA UCET	2697	23307	SIPO	GH	80065911
98080	335	1996-11-07	VYDAJ	PREVOD NA UCET	2697	23462	SIPO	GH	80065911
98081	335	1996-12-07	VYDAJ	PREVOD NA UCET	2697	25762	SIPO	GH	80065911
98082	335	1997-01-07	VYDAJ	PREVOD NA UCET	2697	23851	SIPO	GH	80065911
98083	335	1997-02-07	VYDAJ	PREVOD NA UCET	2697	15685	SIPO	GH	80065911
98084	335	1997-03-07	VYDAJ	PREVOD NA UCET	2697	18759	SIPO	GH	80065911
98085	335	1997-04-07	VYDAJ	PREVOD NA UCET	2697	19679	SIPO	GH	80065911
98086	335	1997-05-07	VYDAJ	PREVOD NA UCET	2697	22761	SIPO	GH	80065911
98087	335	1997-06-07	VYDAJ	PREVOD NA UCET	2697	25866	SIPO	GH	80065911
98088	335	1997-07-07	VYDAJ	PREVOD NA UCET	2697	24821	SIPO	GH	80065911
98089	335	1997-08-07	VYDAJ	PREVOD NA UCET	2697	27934	SIPO	GH	80065911
98090	335	1997-09-07	VYDAJ	PREVOD NA UCET	2697	31060	SIPO	GH	80065911
98091	335	1997-10-07	VYDAJ	PREVOD NA UCET	2697	30780	SIPO	GH	80065911
98092	335	1997-11-07	VYDAJ	PREVOD NA UCET	2697	27374	SIPO	GH	80065911
98093	335	1997-12-07	VYDAJ	PREVOD NA UCET	2697	27882	SIPO	GH	80065911
98094	335	1998-01-07	VYDAJ	PREVOD NA UCET	2697	27578	SIPO	GH	80065911
98095	335	1998-02-07	VYDAJ	PREVOD NA UCET	2697	22043	SIPO	GH	80065911
98096	335	1998-03-07	VYDAJ	PREVOD NA UCET	2697	23613	SIPO	GH	80065911
98097	335	1998-04-07	VYDAJ	PREVOD NA UCET	2697	24526	SIPO	GH	80065911
98098	335	1998-05-07	VYDAJ	PREVOD NA UCET	2697	25322	SIPO	GH	80065911
98099	335	1998-06-07	VYDAJ	PREVOD NA UCET	2697	22275	SIPO	GH	80065911
98100	335	1998-07-07	VYDAJ	PREVOD NA UCET	2697	25381	SIPO	GH	80065911
98101	335	1998-08-07	VYDAJ	PREVOD NA UCET	2697	24845	SIPO	GH	80065911
98102	335	1998-09-07	VYDAJ	PREVOD NA UCET	2697	25400	SIPO	GH	80065911
98103	335	1998-10-07	VYDAJ	PREVOD NA UCET	2697	27715	SIPO	GH	80065911
98104	335	1998-11-07	VYDAJ	PREVOD NA UCET	2697	27753	SIPO	GH	80065911
98105	335	1998-12-07	VYDAJ	PREVOD NA UCET	2697	30069	SIPO	GH	80065911
98107	335	1997-06-28	VYDAJ	VYBER	2350	21716	\N	\N	\N
98108	335	1998-06-04	VYDAJ	VYBER	4950	19257	\N	\N	\N
98110	335	1997-01-17	VYDAJ	VYBER	2050	18281	\N	\N	\N
98111	335	1998-01-26	VYDAJ	VYBER	4800	19338	\N	\N	\N
98112	335	1996-12-22	VYDAJ	VYBER	450	21712	\N	\N	\N
98113	335	1997-12-14	VYDAJ	VYBER	300	27582	\N	\N	\N
98114	335	1998-12-13	VYDAJ	VYBER	1150	28919	\N	\N	\N
98121	335	1997-01-06	VYDAJ	VYBER	960	20833	\N	\N	\N
98123	335	1997-01-15	VYDAJ	VYBER	2320	20331	\N	\N	\N
98124	335	1997-01-27	VYDAJ	VYBER	1040	12601	\N	\N	\N
98125	335	1997-01-23	VYDAJ	VYBER	880	13641	\N	\N	\N
98126	335	1997-01-12	VYDAJ	VYBER	1200	22651	\N	\N	\N
98127	335	1998-01-28	VYDAJ	VYBER	400	18938	\N	\N	\N
98128	335	1998-01-01	VYDAJ	VYBER	1840	25840	\N	\N	\N
98129	335	1998-01-03	VYDAJ	VYBER	1280	24560	\N	\N	\N
98130	335	1998-01-13	VYDAJ	VYBER	1440	25418	\N	\N	\N
98131	335	1998-01-24	VYDAJ	VYBER	1280	24138	\N	\N	\N
98132	335	1998-01-08	VYDAJ	VYBER	720	26858	\N	\N	\N
98134	335	1996-10-18	VYDAJ	VYBER	640	20367	\N	\N	\N
98135	335	1996-08-18	VYDAJ	VYBER	800	19713	\N	\N	\N
98138	335	1997-11-03	VYDAJ	VYBER	720	24356	\N	\N	\N
98139	335	1997-01-22	VYDAJ	VYBER	2640	15641	\N	\N	\N
98140	335	1997-01-22	VYDAJ	VYBER	1120	14521	\N	\N	\N
98141	335	1997-03-19	VYDAJ	VYBER	2160	16599	\N	\N	\N
98142	335	1998-10-22	VYDAJ	VYBER	2480	25235	\N	\N	\N
98143	335	1998-03-16	VYDAJ	VYBER	480	21433	\N	\N	\N
98144	335	1998-08-30	VYDAJ	VYBER	2560	22285	\N	\N	\N
98145	335	1998-07-18	VYDAJ	VYBER	1600	22741	\N	\N	\N
98146	335	1998-07-18	VYDAJ	VYBER	1040	24341	\N	\N	\N
98147	335	1998-02-19	VYDAJ	VYBER	1520	20523	\N	\N	\N
98154	335	1996-06-30	VYDAJ	VYBER	15	21496	SLUZBY	\N	\N
98155	335	1996-07-31	VYDAJ	VYBER	15	22595	SLUZBY	\N	\N
98156	335	1996-08-31	VYDAJ	VYBER	15	19795	SLUZBY	\N	\N
98157	335	1996-09-30	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
98158	335	1996-10-31	VYDAJ	VYBER	15	20444	SLUZBY	\N	\N
98159	335	1996-11-30	VYDAJ	VYBER	15	22744	SLUZBY	\N	\N
98160	335	1996-12-31	VYDAJ	VYBER	15	21793	SLUZBY	\N	\N
98161	335	1997-01-31	VYDAJ	VYBER	15	12667	SLUZBY	\N	\N
98162	335	1997-02-28	VYDAJ	VYBER	15	15741	SLUZBY	\N	\N
98163	335	1997-03-31	VYDAJ	VYBER	15	16661	SLUZBY	\N	\N
98164	335	1997-04-30	VYDAJ	VYBER	15	19743	SLUZBY	\N	\N
98165	335	1997-05-31	VYDAJ	VYBER	15	22848	SLUZBY	\N	\N
98166	335	1997-06-30	VYDAJ	VYBER	15	21803	SLUZBY	\N	\N
98167	335	1997-07-31	VYDAJ	VYBER	15	24916	SLUZBY	\N	\N
98168	335	1997-08-31	VYDAJ	VYBER	15	28042	SLUZBY	\N	\N
98169	335	1997-09-30	VYDAJ	VYBER	15	27762	SLUZBY	\N	\N
98170	335	1997-10-31	VYDAJ	VYBER	15	25076	SLUZBY	\N	\N
98171	335	1997-11-30	VYDAJ	VYBER	15	24864	SLUZBY	\N	\N
98172	335	1997-12-31	VYDAJ	VYBER	15	27680	SLUZBY	\N	\N
98173	335	1998-01-31	VYDAJ	VYBER	15	19025	SLUZBY	\N	\N
98174	335	1998-02-28	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
98175	335	1998-03-31	VYDAJ	VYBER	15	21508	SLUZBY	\N	\N
98176	335	1998-04-30	VYDAJ	VYBER	15	22304	SLUZBY	\N	\N
98177	335	1998-05-31	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
98178	335	1998-06-30	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
98179	335	1998-07-31	VYDAJ	VYBER	15	22827	SLUZBY	\N	\N
98181	335	1998-09-30	VYDAJ	VYBER	15	25497	SLUZBY	\N	\N
98182	335	1998-10-31	VYDAJ	VYBER	15	25335	SLUZBY	\N	\N
98183	335	1998-11-30	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
98184	335	1996-05-19	VYDAJ	VYBER	2200	21660	\N	\N	\N
98185	335	1996-06-18	VYDAJ	VYBER	3300	21416	\N	\N	\N
98186	335	1996-07-18	VYDAJ	VYBER	2000	22514	\N	\N	\N
98187	335	1996-08-17	VYDAJ	VYBER	5100	20513	\N	\N	\N
98188	335	1996-09-16	VYDAJ	VYBER	2600	20213	\N	\N	\N
98189	335	1996-10-16	VYDAJ	VYBER	2300	21007	\N	\N	\N
98190	335	1996-11-15	VYDAJ	VYBER	800	22662	\N	\N	\N
98191	335	1996-12-15	VYDAJ	VYBER	3600	22162	\N	\N	\N
98192	335	1997-06-13	VYDAJ	VYBER	1800	24066	\N	\N	\N
98193	335	1997-09-11	VYDAJ	VYBER	3400	27660	\N	\N	\N
98194	335	1997-10-11	VYDAJ	VYBER	5800	24980	\N	\N	\N
98195	335	1997-11-10	VYDAJ	VYBER	2600	24774	\N	\N	\N
98196	335	1998-03-10	VYDAJ	VYBER	1700	21913	\N	\N	\N
98197	335	1998-04-09	VYDAJ	VYBER	2300	22226	\N	\N	\N
98198	335	1998-05-09	VYDAJ	VYBER	1200	24122	\N	\N	\N
98199	335	1998-08-07	VYDAJ	VYBER	1000	27542	\N	\N	\N
98200	335	1998-10-06	VYDAJ	VYBER	800	24697	\N	\N	\N
98201	335	1998-11-05	VYDAJ	VYBER	600	24735	\N	\N	\N
98202	335	1998-12-05	VYDAJ	VYBER	800	27051	\N	\N	\N
98235	336	1995-10-16	PRIJEM	VKLAD	500	500	\N	\N	\N
98246	336	1995-11-05	PRIJEM	VKLAD	18471	18971	\N	\N	\N
98247	336	1995-12-05	PRIJEM	VKLAD	27706	47621	\N	\N	\N
98248	336	1996-01-05	PRIJEM	VKLAD	18471	53209	\N	\N	\N
98249	336	1996-02-05	PRIJEM	VKLAD	18471	59238	\N	\N	\N
98250	336	1996-03-05	PRIJEM	VKLAD	18471	60582	\N	\N	\N
98251	336	1996-04-05	PRIJEM	VKLAD	18471	58942	\N	\N	\N
98252	336	1996-05-05	PRIJEM	VKLAD	18471	55592	\N	\N	\N
98253	336	1996-06-05	PRIJEM	VKLAD	27706	66275	\N	\N	\N
98254	336	1996-07-05	PRIJEM	VKLAD	18471	50837	\N	\N	\N
98255	336	1996-08-05	PRIJEM	VKLAD	18471	54171	\N	\N	\N
98256	336	1996-09-05	PRIJEM	VKLAD	18471	48709	\N	\N	\N
98257	336	1996-10-05	PRIJEM	VKLAD	18471	43437	\N	\N	\N
98258	336	1996-11-05	PRIJEM	VKLAD	18471	46957	\N	\N	\N
98259	336	1996-12-05	PRIJEM	VKLAD	27706	56606	\N	\N	\N
98260	336	1997-01-05	PRIJEM	VKLAD	18471	52650	\N	\N	\N
98261	336	1997-02-05	PRIJEM	VKLAD	18471	35052	\N	\N	\N
98262	336	1997-03-05	PRIJEM	VKLAD	18471	39035	\N	\N	\N
98263	336	1997-04-05	PRIJEM	VKLAD	18471	44429	\N	\N	\N
98264	336	1997-05-05	PRIJEM	VKLAD	18471	39817	\N	\N	\N
98265	336	1997-06-05	PRIJEM	VKLAD	27706	52444	\N	\N	\N
98266	336	1997-07-05	PRIJEM	VKLAD	18471	31210	\N	\N	\N
98267	336	1997-08-05	PRIJEM	VKLAD	18471	35771	\N	\N	\N
98268	336	1997-09-05	PRIJEM	VKLAD	18471	33442	\N	\N	\N
98269	336	1997-10-05	PRIJEM	VKLAD	18471	34702	\N	\N	\N
98270	336	1997-11-05	PRIJEM	VKLAD	18471	32783	\N	\N	\N
98271	336	1997-12-05	PRIJEM	VKLAD	27706	44700	\N	\N	\N
98272	336	1998-01-05	PRIJEM	VKLAD	18471	40350	\N	\N	\N
98273	336	1998-02-05	PRIJEM	VKLAD	18471	37665	\N	\N	\N
98274	336	1998-03-05	PRIJEM	VKLAD	18471	37966	\N	\N	\N
98275	336	1998-04-05	PRIJEM	VKLAD	18471	41901	\N	\N	\N
98276	336	1998-05-05	PRIJEM	VKLAD	18471	39750	\N	\N	\N
98277	336	1998-06-05	PRIJEM	VKLAD	27706	55128	\N	\N	\N
98278	336	1998-07-05	PRIJEM	VKLAD	18471	41172	\N	\N	\N
98279	336	1998-08-05	PRIJEM	VKLAD	18471	43514	\N	\N	\N
98280	336	1998-09-05	PRIJEM	VKLAD	18471	47469	\N	\N	\N
98281	336	1998-10-05	PRIJEM	VKLAD	18471	52112	\N	\N	\N
98282	336	1998-11-05	PRIJEM	VKLAD	18471	47889	\N	\N	\N
98283	336	1998-12-05	PRIJEM	VKLAD	27706	61090	\N	\N	\N
98298	336	1996-03-14	VYDAJ	PREVOD NA UCET	4067	56515	SIPO	AB	40453487
98299	336	1996-04-14	VYDAJ	PREVOD NA UCET	4067	39675	SIPO	AB	40453487
98300	336	1996-05-14	VYDAJ	PREVOD NA UCET	4067	38425	SIPO	AB	40453487
98301	336	1996-06-14	VYDAJ	PREVOD NA UCET	4067	33708	SIPO	AB	40453487
98302	336	1996-07-14	VYDAJ	PREVOD NA UCET	4067	35570	SIPO	AB	40453487
98303	336	1996-08-14	VYDAJ	PREVOD NA UCET	4067	34904	SIPO	AB	40453487
98304	336	1996-09-14	VYDAJ	PREVOD NA UCET	4067	28542	SIPO	AB	40453487
98305	336	1996-10-14	VYDAJ	PREVOD NA UCET	4067	28370	SIPO	AB	40453487
98306	336	1996-11-14	VYDAJ	PREVOD NA UCET	4067	29590	SIPO	AB	40453487
98307	336	1996-12-14	VYDAJ	PREVOD NA UCET	4067	34039	SIPO	AB	40453487
98308	336	1997-01-14	VYDAJ	PREVOD NA UCET	4067	29083	SIPO	AB	40453487
98309	336	1997-02-14	VYDAJ	PREVOD NA UCET	4067	25085	SIPO	AB	40453487
98310	336	1997-03-14	VYDAJ	PREVOD NA UCET	4067	25868	SIPO	AB	40453487
98311	336	1997-04-14	VYDAJ	PREVOD NA UCET	4067	21262	SIPO	AB	40453487
98312	336	1997-05-14	VYDAJ	PREVOD NA UCET	4067	24650	SIPO	AB	40453487
98313	336	1997-06-14	VYDAJ	PREVOD NA UCET	4067	12677	SIPO	AB	40453487
98314	336	1997-07-14	VYDAJ	PREVOD NA UCET	4067	17243	SIPO	AB	40453487
98315	336	1997-08-14	VYDAJ	PREVOD NA UCET	4067	19304	SIPO	AB	40453487
98316	336	1997-09-14	VYDAJ	PREVOD NA UCET	4067	16175	SIPO	AB	40453487
98317	336	1997-10-14	VYDAJ	PREVOD NA UCET	4067	18035	SIPO	AB	40453487
98318	336	1997-11-14	VYDAJ	PREVOD NA UCET	4067	28716	SIPO	AB	40453487
98319	336	1997-12-14	VYDAJ	PREVOD NA UCET	4067	38433	SIPO	AB	40453487
98320	336	1998-01-14	VYDAJ	PREVOD NA UCET	4067	33683	SIPO	AB	40453487
98321	336	1998-02-14	VYDAJ	PREVOD NA UCET	4067	33598	SIPO	AB	40453487
98322	336	1998-03-14	VYDAJ	PREVOD NA UCET	4067	33899	SIPO	AB	40453487
98323	336	1998-04-14	VYDAJ	PREVOD NA UCET	4067	37834	SIPO	AB	40453487
98324	336	1998-05-14	VYDAJ	PREVOD NA UCET	4067	35683	SIPO	AB	40453487
98325	336	1998-06-14	VYDAJ	PREVOD NA UCET	4067	51061	SIPO	AB	40453487
98326	336	1998-07-14	VYDAJ	PREVOD NA UCET	4067	37105	SIPO	AB	40453487
98327	336	1998-08-14	VYDAJ	PREVOD NA UCET	4067	39447	SIPO	AB	40453487
98328	336	1998-09-14	VYDAJ	PREVOD NA UCET	4067	43402	SIPO	AB	40453487
98329	336	1998-10-14	VYDAJ	PREVOD NA UCET	4067	48045	SIPO	AB	40453487
98330	336	1998-11-14	VYDAJ	PREVOD NA UCET	4067	43822	SIPO	AB	40453487
98331	336	1998-12-14	VYDAJ	PREVOD NA UCET	4067	55823	SIPO	AB	40453487
98333	336	1996-06-05	VYDAJ	VYBER	14700	51575	\N	\N	\N
98334	336	1997-06-11	VYDAJ	VYBER	18000	16744	\N	\N	\N
98335	336	1998-06-15	VYDAJ	VYBER	22400	28661	\N	\N	\N
98338	336	1997-01-18	VYDAJ	VYBER	7400	21683	\N	\N	\N
98339	336	1998-01-24	VYDAJ	VYBER	4700	22283	\N	\N	\N
98341	336	1996-12-01	VYDAJ	VYBER	800	28900	\N	\N	\N
98342	336	1997-12-14	VYDAJ	VYBER	2200	42500	\N	\N	\N
98343	336	1998-12-12	VYDAJ	VYBER	500	59890	\N	\N	\N
98356	336	1997-01-24	VYDAJ	VYBER	1900	18883	\N	\N	\N
98357	336	1997-01-12	VYDAJ	VYBER	2000	33150	\N	\N	\N
98358	336	1997-01-21	VYDAJ	VYBER	900	20783	\N	\N	\N
98359	336	1997-01-10	VYDAJ	VYBER	2800	36450	\N	\N	\N
98360	336	1997-01-27	VYDAJ	VYBER	2400	16483	\N	\N	\N
98361	336	1997-01-10	VYDAJ	VYBER	1300	35150	\N	\N	\N
98362	336	1998-01-23	VYDAJ	VYBER	1300	26983	\N	\N	\N
98363	336	1998-01-26	VYDAJ	VYBER	1800	19083	\N	\N	\N
98364	336	1998-01-07	VYDAJ	VYBER	2600	37750	\N	\N	\N
98365	336	1998-01-25	VYDAJ	VYBER	1400	20883	\N	\N	\N
98366	336	1998-01-23	VYDAJ	VYBER	2600	28283	\N	\N	\N
98367	336	1998-01-03	VYDAJ	VYBER	1500	21879	\N	\N	\N
98374	336	1996-06-15	VYDAJ	VYBER	1500	32208	\N	\N	\N
98375	336	1996-09-02	VYDAJ	VYBER	4800	30238	\N	\N	\N
98376	336	1996-08-13	VYDAJ	VYBER	1500	38971	\N	\N	\N
98377	336	1996-10-04	VYDAJ	VYBER	3700	24966	\N	\N	\N
98379	336	1996-04-14	VYDAJ	VYBER	2700	36975	\N	\N	\N
98380	336	1997-12-03	VYDAJ	VYBER	4300	24494	\N	\N	\N
98381	336	1997-04-13	VYDAJ	VYBER	2400	25329	\N	\N	\N
98382	336	1997-04-11	VYDAJ	VYBER	2200	27729	\N	\N	\N
98383	336	1997-10-27	VYDAJ	VYBER	3800	14235	\N	\N	\N
98384	336	1997-02-19	VYDAJ	VYBER	4600	20485	\N	\N	\N
98385	336	1997-08-29	VYDAJ	VYBER	4400	14904	\N	\N	\N
98387	336	1998-11-01	VYDAJ	VYBER	2800	29418	\N	\N	\N
98388	336	1998-01-16	VYDAJ	VYBER	1000	32683	\N	\N	\N
98389	336	1998-01-22	VYDAJ	VYBER	500	30883	\N	\N	\N
98390	336	1998-06-22	VYDAJ	VYBER	3100	25561	\N	\N	\N
98391	336	1998-12-12	VYDAJ	VYBER	700	60390	\N	\N	\N
98392	336	1998-01-17	VYDAJ	VYBER	1300	31383	\N	\N	\N
98408	336	1996-03-31	VYDAJ	VYBER	15	40471	SLUZBY	\N	\N
98409	336	1996-04-30	VYDAJ	VYBER	15	37121	SLUZBY	\N	\N
98410	336	1996-05-31	VYDAJ	VYBER	15	38569	SLUZBY	\N	\N
98411	336	1996-06-30	VYDAJ	VYBER	15	32366	SLUZBY	\N	\N
98412	336	1996-07-31	VYDAJ	VYBER	15	35700	SLUZBY	\N	\N
98413	336	1996-08-31	VYDAJ	VYBER	15	35038	SLUZBY	\N	\N
98414	336	1996-09-30	VYDAJ	VYBER	15	28666	SLUZBY	\N	\N
98415	336	1996-10-31	VYDAJ	VYBER	15	28486	SLUZBY	\N	\N
98416	336	1996-11-30	VYDAJ	VYBER	15	29700	SLUZBY	\N	\N
98417	336	1996-12-31	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
98418	336	1997-01-31	VYDAJ	VYBER	15	16581	SLUZBY	\N	\N
98419	336	1997-02-28	VYDAJ	VYBER	15	20564	SLUZBY	\N	\N
98420	336	1997-03-31	VYDAJ	VYBER	15	25958	SLUZBY	\N	\N
98421	336	1997-04-30	VYDAJ	VYBER	15	21346	SLUZBY	\N	\N
98422	336	1997-05-31	VYDAJ	VYBER	15	24738	SLUZBY	\N	\N
98423	336	1997-06-30	VYDAJ	VYBER	15	12739	SLUZBY	\N	\N
98424	336	1997-07-31	VYDAJ	VYBER	15	17300	SLUZBY	\N	\N
98425	336	1997-08-31	VYDAJ	VYBER	15	14971	SLUZBY	\N	\N
98426	336	1997-09-30	VYDAJ	VYBER	15	16231	SLUZBY	\N	\N
98427	336	1997-10-31	VYDAJ	VYBER	15	14312	SLUZBY	\N	\N
98428	336	1997-11-30	VYDAJ	VYBER	15	28794	SLUZBY	\N	\N
98429	336	1997-12-31	VYDAJ	VYBER	15	38579	SLUZBY	\N	\N
98430	336	1998-01-31	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
98431	336	1998-02-28	VYDAJ	VYBER	15	33695	SLUZBY	\N	\N
98432	336	1998-03-31	VYDAJ	VYBER	15	34030	SLUZBY	\N	\N
98433	336	1998-04-30	VYDAJ	VYBER	15	37979	SLUZBY	\N	\N
98434	336	1998-05-31	VYDAJ	VYBER	15	35822	SLUZBY	\N	\N
98435	336	1998-06-30	VYDAJ	VYBER	15	25701	SLUZBY	\N	\N
98436	336	1998-07-31	VYDAJ	VYBER	15	37243	SLUZBY	\N	\N
98437	336	1998-08-31	VYDAJ	VYBER	15	39598	SLUZBY	\N	\N
98438	336	1998-09-30	VYDAJ	VYBER	15	43541	SLUZBY	\N	\N
98439	336	1998-10-31	VYDAJ	VYBER	15	32218	SLUZBY	\N	\N
98440	336	1998-11-30	VYDAJ	VYBER	15	33384	SLUZBY	\N	\N
98441	336	1995-11-15	PRIJEM	VKLAD	900	19871	\N	\N	\N
98442	336	1995-12-15	VYDAJ	VYBER	13000	34621	\N	\N	\N
98443	336	1996-01-14	VYDAJ	VYBER	12600	40609	\N	\N	\N
98444	336	1996-02-13	VYDAJ	VYBER	17300	41938	\N	\N	\N
98445	336	1996-03-14	VYDAJ	VYBER	16200	40315	\N	\N	\N
98446	336	1996-04-13	VYDAJ	VYBER	15200	43742	\N	\N	\N
98447	336	1996-05-13	VYDAJ	VYBER	13100	42492	\N	\N	\N
98448	336	1996-06-12	VYDAJ	VYBER	13800	37775	\N	\N	\N
98449	336	1996-07-12	VYDAJ	VYBER	11200	39637	\N	\N	\N
98450	336	1996-08-11	VYDAJ	VYBER	13700	40471	\N	\N	\N
98451	336	1996-09-10	VYDAJ	VYBER	16100	32609	\N	\N	\N
98452	336	1996-10-10	VYDAJ	VYBER	11000	32437	\N	\N	\N
98453	336	1996-11-09	VYDAJ	VYBER	13300	33657	\N	\N	\N
98454	336	1996-12-09	VYDAJ	VYBER	18500	38106	\N	\N	\N
98455	336	1997-01-08	VYDAJ	VYBER	13400	39250	\N	\N	\N
98456	336	1997-02-07	VYDAJ	VYBER	5900	29152	\N	\N	\N
98457	336	1997-03-09	VYDAJ	VYBER	9100	29935	\N	\N	\N
98458	336	1997-04-08	VYDAJ	VYBER	14500	29929	\N	\N	\N
98459	336	1997-05-08	VYDAJ	VYBER	11100	28717	\N	\N	\N
98460	336	1997-06-07	VYDAJ	VYBER	17700	34744	\N	\N	\N
98461	336	1997-07-07	VYDAJ	VYBER	9900	21310	\N	\N	\N
98462	336	1997-08-06	VYDAJ	VYBER	12400	23371	\N	\N	\N
98463	336	1997-09-05	VYDAJ	VYBER	13200	20242	\N	\N	\N
98464	336	1997-10-05	VYDAJ	VYBER	12600	22102	\N	\N	\N
98465	336	1997-12-04	VYDAJ	VYBER	7500	16994	\N	\N	\N
98466	336	1998-01-03	VYDAJ	VYBER	15200	23379	\N	\N	\N
98467	336	1998-03-04	VYDAJ	VYBER	14200	19495	\N	\N	\N
98468	336	1998-04-03	VYDAJ	VYBER	10600	23430	\N	\N	\N
98469	336	1998-05-03	VYDAJ	VYBER	16700	21279	\N	\N	\N
98470	336	1998-06-02	VYDAJ	VYBER	8400	27422	\N	\N	\N
98471	336	1998-07-02	VYDAJ	VYBER	3000	22701	\N	\N	\N
98472	336	1998-08-01	VYDAJ	VYBER	12200	25043	\N	\N	\N
98473	336	1998-08-31	VYDAJ	VYBER	10600	28998	\N	\N	\N
98474	336	1998-09-30	VYDAJ	VYBER	9900	33641	\N	\N	\N
98475	336	1998-10-30	VYDAJ	VYBER	16000	32045	\N	\N	\N
98476	336	1998-11-29	VYDAJ	VYBER	10600	33222	\N	\N	\N
98515	337	1995-11-25	PRIJEM	VKLAD	200	200	\N	\N	\N
98527	337	1995-12-03	PRIJEM	VKLAD	36019	36219	\N	\N	\N
98529	337	1995-12-28	PRIJEM	VKLAD	8266	73202	\N	\N	\N
98535	337	1995-12-15	PRIJEM	VKLAD	40016	107136	\N	\N	\N
98536	337	1995-12-10	PRIJEM	VKLAD	30901	67120	\N	\N	\N
98540	337	1996-05-09	PRIJEM	VKLAD	6178	37720	\N	\N	\N
98541	337	1996-04-16	PRIJEM	VKLAD	16842	77047	\N	\N	\N
98542	337	1996-04-02	PRIJEM	VKLAD	33590	60205	\N	\N	\N
98543	337	1996-03-11	PRIJEM	VKLAD	33829	71857	\N	\N	\N
98544	337	1996-09-08	PRIJEM	VKLAD	8961	31304	\N	\N	\N
98545	337	1996-02-10	PRIJEM	VKLAD	14508	45771	\N	\N	\N
98546	337	1996-01-16	PRIJEM	VKLAD	36190	109647	\N	\N	\N
98547	337	1996-02-22	PRIJEM	VKLAD	44608	90379	\N	\N	\N
98548	337	1996-10-26	PRIJEM	VKLAD	37463	58488	\N	\N	\N
98549	337	1997-05-11	PRIJEM	VKLAD	23820	46343	\N	\N	\N
98550	337	1997-12-30	PRIJEM	VKLAD	39901	61130	\N	\N	\N
98551	337	1997-11-27	PRIJEM	VKLAD	20899	37793	\N	\N	\N
98552	337	1997-02-07	PRIJEM	VKLAD	18817	41138	\N	\N	\N
98553	337	1997-04-01	PRIJEM	VKLAD	13007	35744	\N	\N	\N
98554	337	1997-07-14	PRIJEM	VKLAD	9600	22518	\N	\N	\N
98555	337	1998-01-09	PRIJEM	VKLAD	28629	77576	\N	\N	\N
98556	337	1998-04-21	PRIJEM	VKLAD	39076	98604	\N	\N	\N
98557	337	1998-04-03	PRIJEM	VKLAD	10285	69907	\N	\N	\N
98558	337	1998-04-02	PRIJEM	VKLAD	18316	59622	\N	\N	\N
98559	337	1998-09-05	PRIJEM	VKLAD	42489	73938	\N	\N	\N
98560	337	1998-03-01	PRIJEM	VKLAD	29561	127869	\N	\N	\N
98561	337	1998-07-17	PRIJEM	VKLAD	21368	62067	\N	\N	\N
98562	337	1998-10-19	PRIJEM	VKLAD	43578	80927	\N	\N	\N
98563	337	1998-04-24	PRIJEM	VKLAD	49461	136965	\N	\N	\N
98564	337	1998-01-29	PRIJEM	VKLAD	43837	67406	\N	\N	\N
98565	337	1998-11-06	PRIJEM	VKLAD	28607	85864	\N	\N	\N
98566	337	1998-04-30	PRIJEM	VKLAD	7521	109596	\N	\N	\N
98567	337	1998-10-12	PRIJEM	VKLAD	29088	61276	\N	\N	\N
98568	337	1998-10-26	PRIJEM	VKLAD	32795	113722	\N	\N	\N
98569	337	1998-02-23	PRIJEM	VKLAD	40021	98046	\N	\N	\N
98570	337	1998-07-09	PRIJEM	VKLAD	27324	59399	\N	\N	\N
98571	337	1998-04-13	PRIJEM	VKLAD	45993	103528	\N	\N	\N
98572	337	1998-02-12	PRIJEM	VKLAD	38031	96425	\N	\N	\N
98573	337	1998-12-21	PRIJEM	VKLAD	24959	57135	\N	\N	\N
98574	337	1998-04-10	PRIJEM	VKLAD	7121	77028	\N	\N	\N
98582	337	1996-03-30	VYBER	VYBER	18262	26395	\N	\N	\N
98583	337	1996-05-01	VYBER	VYBER	14576	35142	\N	\N	\N
98584	337	1996-11-28	VYBER	VYBER	15571	26130	\N	\N	\N
98587	337	1996-10-14	VYBER	VYBER	3162	22125	\N	\N	\N
98589	337	1997-12-12	VYBER	VYBER	4418	33429	\N	\N	\N
98600	337	1998-04-11	VYBER	VYBER	19493	57535	\N	\N	\N
98601	337	1998-09-09	VYBER	VYBER	7812	66126	\N	\N	\N
98602	337	1998-04-30	VYBER	VYBER	12635	96961	\N	\N	\N
98603	337	1998-09-28	VYBER	VYBER	22112	30914	\N	\N	\N
98604	337	1998-01-21	VYBER	VYBER	20507	23569	\N	\N	\N
98605	337	1998-08-21	VYBER	VYBER	17501	31252	\N	\N	\N
98606	337	1998-03-20	VYBER	VYBER	12894	41075	\N	\N	\N
98607	337	1998-10-15	VYBER	VYBER	23927	37349	\N	\N	\N
98608	337	1998-01-31	VYBER	VYBER	9199	58408	\N	\N	\N
98609	337	1998-05-09	VYBER	VYBER	11884	54062	\N	\N	\N
98611	337	1996-12-18	VYDAJ	VYBER	4200	22146	\N	\N	\N
98612	337	1997-12-22	VYDAJ	VYBER	4200	21229	\N	\N	\N
98613	337	1998-12-02	VYDAJ	VYBER	5400	41476	\N	\N	\N
98624	337	1996-01-18	VYDAJ	VYBER	5400	44647	\N	\N	\N
98625	337	1996-01-24	VYDAJ	VYBER	7500	31047	\N	\N	\N
98631	337	1997-01-10	VYDAJ	VYBER	1500	23038	\N	\N	\N
98632	337	1998-01-05	VYDAJ	VYBER	6300	48947	\N	\N	\N
98633	337	1998-01-05	VYDAJ	VYBER	6000	55247	\N	\N	\N
98635	337	1998-01-16	VYDAJ	VYBER	1800	44076	\N	\N	\N
98636	337	1998-01-16	VYDAJ	VYBER	3900	45876	\N	\N	\N
98641	337	1996-03-07	VYDAJ	VYBER	7500	38028	\N	\N	\N
98642	337	1996-05-01	VYDAJ	VYBER	3600	31542	\N	\N	\N
98644	337	1996-03-05	VYDAJ	VYBER	10800	45528	\N	\N	\N
98649	337	1998-05-11	VYDAJ	VYBER	5700	48362	\N	\N	\N
98650	337	1998-04-14	VYDAJ	VYBER	7500	59528	\N	\N	\N
98651	337	1998-04-22	VYDAJ	VYBER	11100	87504	\N	\N	\N
98652	337	1998-11-20	VYDAJ	VYBER	14100	46664	\N	\N	\N
98653	337	1998-03-02	VYDAJ	VYBER	11400	77269	\N	\N	\N
98654	337	1998-07-14	VYDAJ	VYBER	5100	40699	\N	\N	\N
98670	337	1996-01-31	VYDAJ	VYBER	15	31263	SLUZBY	\N	\N
98671	337	1996-02-29	VYDAJ	VYBER	15	56328	SLUZBY	\N	\N
98672	337	1996-03-31	VYDAJ	VYBER	15	26615	SLUZBY	\N	\N
98673	337	1996-04-30	VYDAJ	VYBER	15	49718	SLUZBY	\N	\N
98674	337	1996-05-31	VYDAJ	VYBER	15	33350	SLUZBY	\N	\N
98675	337	1996-06-30	VYDAJ	VYBER	15	26273	SLUZBY	\N	\N
98676	337	1996-07-31	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
98677	337	1996-08-31	VYDAJ	VYBER	15	22343	SLUZBY	\N	\N
98678	337	1996-09-30	VYDAJ	VYBER	15	25287	SLUZBY	\N	\N
98679	337	1996-10-31	VYDAJ	VYBER	15	58601	SLUZBY	\N	\N
98680	337	1996-11-30	VYDAJ	VYBER	15	26346	SLUZBY	\N	\N
98681	337	1996-12-31	VYDAJ	VYBER	15	24538	SLUZBY	\N	\N
98682	337	1997-01-31	VYDAJ	VYBER	15	22321	SLUZBY	\N	\N
98683	337	1997-02-28	VYDAJ	VYBER	15	29629	SLUZBY	\N	\N
98684	337	1997-03-31	VYDAJ	VYBER	15	22737	SLUZBY	\N	\N
98685	337	1997-04-30	VYDAJ	VYBER	15	22523	SLUZBY	\N	\N
98686	337	1997-05-31	VYDAJ	VYBER	15	25628	SLUZBY	\N	\N
98687	337	1997-06-30	VYDAJ	VYBER	15	12918	SLUZBY	\N	\N
98688	337	1997-07-31	VYDAJ	VYBER	15	16864	SLUZBY	\N	\N
98689	337	1997-08-31	VYDAJ	VYBER	15	13219	SLUZBY	\N	\N
98690	337	1997-09-30	VYDAJ	VYBER	15	12059	SLUZBY	\N	\N
98691	337	1997-10-31	VYDAJ	VYBER	15	13294	SLUZBY	\N	\N
98692	337	1997-11-30	VYDAJ	VYBER	15	37847	SLUZBY	\N	\N
98693	337	1997-12-31	VYDAJ	VYBER	15	61247	SLUZBY	\N	\N
98694	337	1998-01-31	VYDAJ	VYBER	15	58394	SLUZBY	\N	\N
98695	337	1998-02-28	VYDAJ	VYBER	15	98308	SLUZBY	\N	\N
98696	337	1998-03-31	VYDAJ	VYBER	15	41306	SLUZBY	\N	\N
98697	337	1998-04-30	VYDAJ	VYBER	15	65946	SLUZBY	\N	\N
98698	337	1998-05-31	VYDAJ	VYBER	15	36240	SLUZBY	\N	\N
98699	337	1998-06-30	VYDAJ	VYBER	15	32075	SLUZBY	\N	\N
98700	337	1998-07-31	VYDAJ	VYBER	15	62253	SLUZBY	\N	\N
98701	337	1998-08-31	VYDAJ	VYBER	15	31449	SLUZBY	\N	\N
98702	337	1998-09-30	VYDAJ	VYBER	15	31088	SLUZBY	\N	\N
98703	337	1998-10-31	VYDAJ	VYBER	15	57257	SLUZBY	\N	\N
98704	337	1998-11-30	VYDAJ	VYBER	15	46876	SLUZBY	\N	\N
98705	337	1995-12-25	VYDAJ	VYBER	42200	64936	\N	\N	\N
98706	337	1996-01-16	VYDAJ	VYBER	59600	50047	\N	\N	\N
98707	337	1996-01-24	VYDAJ	VYBER	6100	38547	\N	\N	\N
98708	337	1996-02-23	VYDAJ	VYBER	34200	56179	\N	\N	\N
98709	337	1996-03-24	VYDAJ	VYBER	27200	44657	\N	\N	\N
98710	337	1996-04-23	VYDAJ	VYBER	27500	49547	\N	\N	\N
98711	337	1996-05-23	VYDAJ	VYBER	4500	33220	\N	\N	\N
98712	337	1996-06-22	VYDAJ	VYBER	7200	26150	\N	\N	\N
98713	337	1996-07-22	VYDAJ	VYBER	4800	21473	\N	\N	\N
98714	337	1996-08-21	PRIJEM	VKLAD	700	22267	\N	\N	\N
98715	337	1996-09-20	VYDAJ	VYBER	6100	25204	\N	\N	\N
98716	337	1996-10-20	VYDAJ	VYBER	1100	21025	\N	\N	\N
98717	337	1996-11-19	VYDAJ	VYBER	16900	41701	\N	\N	\N
98718	337	1996-12-19	PRIJEM	VKLAD	2300	24446	\N	\N	\N
98719	337	1997-01-18	VYDAJ	VYBER	800	22238	\N	\N	\N
98720	337	1997-02-17	VYDAJ	VYBER	11600	29538	\N	\N	\N
98721	337	1997-03-19	VYDAJ	VYBER	7000	22629	\N	\N	\N
98722	337	1997-04-18	VYDAJ	VYBER	13300	22444	\N	\N	\N
98723	337	1997-05-18	VYDAJ	VYBER	20800	25543	\N	\N	\N
98724	337	1997-06-17	VYDAJ	VYBER	12800	12828	\N	\N	\N
98725	337	1997-07-17	VYDAJ	VYBER	5700	16818	\N	\N	\N
98726	337	1997-08-16	VYDAJ	VYBER	3700	13164	\N	\N	\N
98727	337	1997-09-15	VYDAJ	VYBER	1200	12019	\N	\N	\N
98728	337	1997-10-15	PRIJEM	VKLAD	1200	13259	\N	\N	\N
98729	337	1997-11-14	PRIJEM	VKLAD	3600	16894	\N	\N	\N
98730	337	1997-12-14	VYDAJ	VYBER	8000	25429	\N	\N	\N
98731	337	1998-01-13	VYDAJ	VYBER	27800	49776	\N	\N	\N
98732	337	1998-02-12	VYDAJ	VYBER	38400	58025	\N	\N	\N
98733	337	1998-03-01	VYDAJ	VYBER	39200	88669	\N	\N	\N
98734	337	1998-03-14	VYDAJ	VYBER	23300	53969	\N	\N	\N
98735	337	1998-04-13	VYDAJ	VYBER	36500	67028	\N	\N	\N
98736	337	1998-04-24	VYDAJ	VYBER	35200	101765	\N	\N	\N
98737	337	1998-04-30	VYDAJ	VYBER	31000	65961	\N	\N	\N
98738	337	1998-05-13	VYDAJ	VYBER	12300	36062	\N	\N	\N
98739	337	1998-06-12	VYDAJ	VYBER	4300	31940	\N	\N	\N
98740	337	1998-07-12	VYDAJ	VYBER	13600	45799	\N	\N	\N
98741	337	1998-08-11	VYDAJ	VYBER	13500	48753	\N	\N	\N
98742	337	1998-09-10	VYDAJ	VYBER	13100	53026	\N	\N	\N
98743	337	1998-10-10	PRIJEM	VKLAD	1100	32188	\N	\N	\N
98744	337	1998-10-26	VYDAJ	VYBER	56700	57022	\N	\N	\N
98745	337	1998-11-09	VYDAJ	VYBER	25100	60764	\N	\N	\N
98746	337	1998-12-09	VYDAJ	VYBER	9300	32176	\N	\N	\N
98784	338	1995-11-18	PRIJEM	VKLAD	700	700	\N	\N	\N
98796	338	1995-12-11	PRIJEM	PREVOD Z UCTU	3378	4078	\N	GH	99959903
98797	338	1996-01-11	PRIJEM	PREVOD Z UCTU	3378	15178	\N	GH	99959903
98798	338	1996-02-11	PRIJEM	PREVOD Z UCTU	3378	22019	\N	GH	99959903
98799	338	1996-03-11	PRIJEM	PREVOD Z UCTU	3378	25081	\N	GH	99959903
98800	338	1996-04-11	PRIJEM	PREVOD Z UCTU	3378	27654	\N	GH	99959903
98801	338	1996-05-11	PRIJEM	PREVOD Z UCTU	3378	23362	\N	GH	99959903
98802	338	1996-06-11	PRIJEM	PREVOD Z UCTU	3378	15687	\N	GH	99959903
98803	338	1996-07-11	PRIJEM	PREVOD Z UCTU	3378	21078	\N	GH	99959903
98804	338	1996-08-11	PRIJEM	PREVOD Z UCTU	3378	20372	\N	GH	99959903
98805	338	1996-09-11	PRIJEM	PREVOD Z UCTU	3378	19963	\N	GH	99959903
98806	338	1996-10-11	PRIJEM	PREVOD Z UCTU	3378	18649	\N	GH	99959903
98807	338	1996-11-11	PRIJEM	PREVOD Z UCTU	3378	14924	\N	GH	99959903
98808	338	1996-12-11	PRIJEM	PREVOD Z UCTU	3378	13289	\N	GH	99959903
98809	338	1997-01-11	PRIJEM	PREVOD Z UCTU	3378	14667	\N	GH	99959903
98810	338	1997-02-11	PRIJEM	PREVOD Z UCTU	3378	12437	\N	GH	99959903
98811	338	1997-03-11	PRIJEM	PREVOD Z UCTU	3378	13599	\N	GH	99959903
98812	338	1997-04-11	PRIJEM	PREVOD Z UCTU	3378	12559	\N	GH	99959903
98813	338	1997-05-11	PRIJEM	PREVOD Z UCTU	3378	13721	\N	GH	99959903
98814	338	1997-06-11	PRIJEM	PREVOD Z UCTU	3378	15188	\N	GH	99959903
98815	338	1997-07-11	PRIJEM	PREVOD Z UCTU	3378	13686	\N	GH	99959903
98816	338	1997-08-11	PRIJEM	PREVOD Z UCTU	3378	14852	\N	GH	99959903
98817	338	1997-09-11	PRIJEM	PREVOD Z UCTU	3378	16024	\N	GH	99959903
98818	338	1997-10-11	PRIJEM	PREVOD Z UCTU	3378	17200	\N	GH	99959903
98819	338	1997-11-11	PRIJEM	PREVOD Z UCTU	3378	18382	\N	GH	99959903
98820	338	1997-12-11	PRIJEM	PREVOD Z UCTU	3378	19568	\N	GH	99959903
98821	338	1998-01-11	PRIJEM	PREVOD Z UCTU	3378	18748	\N	GH	99959903
98822	338	1998-02-11	PRIJEM	PREVOD Z UCTU	3378	17502	\N	GH	99959903
98823	338	1998-03-11	PRIJEM	PREVOD Z UCTU	3378	18054	\N	GH	99959903
98824	338	1998-04-11	PRIJEM	PREVOD Z UCTU	3378	19239	\N	GH	99959903
98825	338	1998-05-11	PRIJEM	PREVOD Z UCTU	3378	20429	\N	GH	99959903
98826	338	1998-06-11	PRIJEM	PREVOD Z UCTU	3378	21623	\N	GH	99959903
98827	338	1998-07-11	PRIJEM	PREVOD Z UCTU	3378	19608	\N	GH	99959903
98828	338	1998-08-11	PRIJEM	PREVOD Z UCTU	3378	13899	\N	GH	99959903
98829	338	1998-09-11	PRIJEM	PREVOD Z UCTU	3378	15072	\N	GH	99959903
98830	338	1998-10-11	PRIJEM	PREVOD Z UCTU	3378	16063	\N	GH	99959903
98831	338	1998-11-11	PRIJEM	PREVOD Z UCTU	3378	17239	\N	GH	99959903
98832	338	1998-12-11	PRIJEM	PREVOD Z UCTU	3378	18120	\N	GH	99959903
98849	338	1996-05-08	VYDAJ	PREVOD NA UCET	2252	19984	SIPO	AB	37576079
98850	338	1996-06-08	VYDAJ	PREVOD NA UCET	2252	12309	SIPO	AB	37576079
98851	338	1996-07-08	VYDAJ	PREVOD NA UCET	2252	17700	SIPO	AB	37576079
98852	338	1996-08-08	VYDAJ	PREVOD NA UCET	2252	16994	SIPO	AB	37576079
98853	338	1996-09-08	VYDAJ	PREVOD NA UCET	2252	16585	SIPO	AB	37576079
98854	338	1996-10-08	VYDAJ	PREVOD NA UCET	2252	15271	SIPO	AB	37576079
98855	338	1996-11-08	VYDAJ	PREVOD NA UCET	2252	11546	SIPO	AB	37576079
98856	338	1996-12-08	VYDAJ	PREVOD NA UCET	2252	9911	SIPO	AB	37576079
98857	338	1997-01-08	VYDAJ	PREVOD NA UCET	2252	11289	SIPO	AB	37576079
98858	338	1997-02-08	VYDAJ	PREVOD NA UCET	2252	9059	SIPO	AB	37576079
98859	338	1997-03-08	VYDAJ	PREVOD NA UCET	2252	10221	SIPO	AB	37576079
98860	338	1997-04-08	VYDAJ	PREVOD NA UCET	2252	9181	SIPO	AB	37576079
98861	338	1997-05-08	VYDAJ	PREVOD NA UCET	2252	10343	SIPO	AB	37576079
98862	338	1997-06-08	VYDAJ	PREVOD NA UCET	2252	11510	SIPO	AB	37576079
98863	338	1997-07-08	VYDAJ	PREVOD NA UCET	2252	10308	SIPO	AB	37576079
98864	338	1997-08-08	VYDAJ	PREVOD NA UCET	2252	11474	SIPO	AB	37576079
98865	338	1997-09-08	VYDAJ	PREVOD NA UCET	2252	12646	SIPO	AB	37576079
98866	338	1997-10-08	VYDAJ	PREVOD NA UCET	2252	13822	SIPO	AB	37576079
98867	338	1997-11-08	VYDAJ	PREVOD NA UCET	2252	15004	SIPO	AB	37576079
98868	338	1997-12-08	VYDAJ	PREVOD NA UCET	2252	16190	SIPO	AB	37576079
98869	338	1998-01-08	VYDAJ	PREVOD NA UCET	2252	15370	SIPO	AB	37576079
98870	338	1998-02-08	VYDAJ	PREVOD NA UCET	2252	14124	SIPO	AB	37576079
98871	338	1998-03-08	VYDAJ	PREVOD NA UCET	2252	15306	SIPO	AB	37576079
98872	338	1998-04-08	VYDAJ	PREVOD NA UCET	2252	15861	SIPO	AB	37576079
98873	338	1998-05-08	VYDAJ	PREVOD NA UCET	2252	17051	SIPO	AB	37576079
98874	338	1998-06-08	VYDAJ	PREVOD NA UCET	2252	18245	SIPO	AB	37576079
98875	338	1998-07-08	VYDAJ	PREVOD NA UCET	2252	16230	SIPO	AB	37576079
98876	338	1998-08-08	VYDAJ	PREVOD NA UCET	2252	10521	SIPO	AB	37576079
98877	338	1998-09-08	VYDAJ	PREVOD NA UCET	2252	11694	SIPO	AB	37576079
98878	338	1998-10-08	VYDAJ	PREVOD NA UCET	2252	12685	SIPO	AB	37576079
98879	338	1998-11-08	VYDAJ	PREVOD NA UCET	2252	13861	SIPO	AB	37576079
98880	338	1998-12-08	VYDAJ	PREVOD NA UCET	2252	14742	SIPO	AB	37576079
98882	338	1996-06-01	VYDAJ	VYBER	7980	14561	\N	\N	\N
98883	338	1997-06-19	VYDAJ	VYBER	1860	12518	\N	\N	\N
98884	338	1998-06-20	VYDAJ	VYBER	3210	18413	\N	\N	\N
98888	338	1998-01-18	VYDAJ	VYBER	1020	17728	\N	\N	\N
98890	338	1996-12-14	VYDAJ	VYBER	780	14309	\N	\N	\N
98891	338	1997-12-24	VYDAJ	VYBER	330	18998	\N	\N	\N
98892	338	1998-12-02	VYDAJ	VYBER	300	16994	\N	\N	\N
98907	338	1997-01-05	VYDAJ	VYBER	810	13541	\N	\N	\N
98911	338	1998-01-02	VYDAJ	VYBER	330	18732	\N	\N	\N
98912	338	1998-01-23	VYDAJ	VYBER	420	17308	\N	\N	\N
98913	338	1998-01-29	VYDAJ	VYBER	300	16318	\N	\N	\N
98914	338	1998-01-07	VYDAJ	VYBER	480	17622	\N	\N	\N
98915	338	1998-01-26	VYDAJ	VYBER	690	16618	\N	\N	\N
98916	338	1998-01-03	VYDAJ	VYBER	630	18102	\N	\N	\N
98927	338	1997-06-19	VYDAJ	VYBER	810	14378	\N	\N	\N
98931	338	1997-01-11	VYDAJ	VYBER	300	14367	\N	\N	\N
98932	338	1997-12-20	VYDAJ	VYBER	240	19328	\N	\N	\N
98933	338	1998-12-16	VYDAJ	VYBER	660	17460	\N	\N	\N
98934	338	1998-09-14	VYDAJ	VYBER	180	14892	\N	\N	\N
98935	338	1998-03-09	VYDAJ	VYBER	630	14676	\N	\N	\N
98952	338	1996-04-30	VYDAJ	VYBER	15	22236	SLUZBY	\N	\N
98953	338	1996-05-31	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
98954	338	1996-06-30	VYDAJ	VYBER	15	19952	SLUZBY	\N	\N
98955	338	1996-07-31	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
98956	338	1996-08-31	VYDAJ	VYBER	15	18837	SLUZBY	\N	\N
98957	338	1996-09-30	VYDAJ	VYBER	15	17523	SLUZBY	\N	\N
98958	338	1996-10-31	VYDAJ	VYBER	15	13798	SLUZBY	\N	\N
98959	338	1996-11-30	VYDAJ	VYBER	15	12163	SLUZBY	\N	\N
98960	338	1996-12-31	VYDAJ	VYBER	15	14351	SLUZBY	\N	\N
98961	338	1997-01-31	VYDAJ	VYBER	15	11311	SLUZBY	\N	\N
98962	338	1997-02-28	VYDAJ	VYBER	15	12473	SLUZBY	\N	\N
98963	338	1997-03-31	VYDAJ	VYBER	15	11433	SLUZBY	\N	\N
98964	338	1997-04-30	VYDAJ	VYBER	15	12595	SLUZBY	\N	\N
98965	338	1997-05-31	VYDAJ	VYBER	15	13762	SLUZBY	\N	\N
98966	338	1997-06-30	VYDAJ	VYBER	15	12560	SLUZBY	\N	\N
98967	338	1997-07-31	VYDAJ	VYBER	15	13726	SLUZBY	\N	\N
98968	338	1997-08-31	VYDAJ	VYBER	15	14898	SLUZBY	\N	\N
98969	338	1997-09-30	VYDAJ	VYBER	15	16074	SLUZBY	\N	\N
98970	338	1997-10-31	VYDAJ	VYBER	15	17256	SLUZBY	\N	\N
98971	338	1997-11-30	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
98972	338	1997-12-31	VYDAJ	VYBER	15	19062	SLUZBY	\N	\N
98973	338	1998-01-31	VYDAJ	VYBER	15	16376	SLUZBY	\N	\N
98974	338	1998-02-28	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
98975	338	1998-03-31	VYDAJ	VYBER	15	18113	SLUZBY	\N	\N
98976	338	1998-04-30	VYDAJ	VYBER	15	19303	SLUZBY	\N	\N
98977	338	1998-05-31	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
98978	338	1998-06-30	VYDAJ	VYBER	15	18482	SLUZBY	\N	\N
98979	338	1998-07-31	VYDAJ	VYBER	15	19673	SLUZBY	\N	\N
98980	338	1998-08-31	VYDAJ	VYBER	15	13946	SLUZBY	\N	\N
98981	338	1998-09-30	VYDAJ	VYBER	15	14937	SLUZBY	\N	\N
98982	338	1998-10-31	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
98983	338	1998-11-30	VYDAJ	VYBER	15	17294	SLUZBY	\N	\N
98984	338	1995-12-18	PRIJEM	VKLAD	7700	11778	\N	\N	\N
98985	338	1996-01-17	PRIJEM	VKLAD	3400	18578	\N	\N	\N
98986	338	1996-02-16	VYDAJ	VYBER	400	21619	\N	\N	\N
98987	338	1996-03-17	VYDAJ	VYBER	900	24181	\N	\N	\N
98988	338	1996-04-16	VYDAJ	VYBER	5500	22154	\N	\N	\N
98989	338	1996-05-16	VYDAJ	VYBER	900	22462	\N	\N	\N
98990	338	1996-06-15	PRIJEM	VKLAD	4200	19887	\N	\N	\N
98991	338	1996-07-15	VYDAJ	VYBER	1900	19178	\N	\N	\N
98992	338	1996-08-14	VYDAJ	VYBER	1600	18772	\N	\N	\N
98993	338	1996-09-13	VYDAJ	VYBER	2500	17463	\N	\N	\N
98994	338	1996-10-13	VYDAJ	VYBER	4900	13749	\N	\N	\N
98995	338	1996-11-12	VYDAJ	VYBER	2800	12124	\N	\N	\N
98996	338	1996-12-12	PRIJEM	VKLAD	1800	15089	\N	\N	\N
98997	338	1997-01-11	VYDAJ	VYBER	3100	11267	\N	\N	\N
98998	338	1997-03-12	VYDAJ	VYBER	2200	11399	\N	\N	\N
98999	338	1997-06-10	PRIJEM	VKLAD	300	11810	\N	\N	\N
99000	338	1998-08-04	VYDAJ	VYBER	6900	12773	\N	\N	\N
99038	339	1996-09-11	PRIJEM	VKLAD	400	400	\N	\N	\N
99047	339	1996-09-12	PRIJEM	PREVOD Z UCTU	46807	47207	\N	GH	68440270
99048	339	1996-10-12	PRIJEM	PREVOD Z UCTU	46807	81639	\N	GH	68440270
99049	339	1996-11-12	PRIJEM	PREVOD Z UCTU	46807	96935	\N	GH	68440270
99050	339	1996-12-12	PRIJEM	PREVOD Z UCTU	70210	127425	\N	GH	68440270
99051	339	1997-01-12	PRIJEM	PREVOD Z UCTU	46807	96232	\N	GH	68440270
99052	339	1997-02-12	PRIJEM	PREVOD Z UCTU	46807	79313	\N	GH	68440270
99053	339	1997-03-12	PRIJEM	PREVOD Z UCTU	46807	77008	\N	GH	68440270
99054	339	1997-04-12	PRIJEM	PREVOD Z UCTU	46807	89250	\N	GH	68440270
99055	339	1997-05-12	PRIJEM	PREVOD Z UCTU	46807	92396	\N	GH	68440270
99056	339	1997-06-12	PRIJEM	PREVOD Z UCTU	70210	99682	\N	GH	68440270
99057	339	1997-07-12	PRIJEM	PREVOD Z UCTU	46807	57210	\N	GH	68440270
99058	339	1997-08-12	PRIJEM	PREVOD Z UCTU	46807	58182	\N	GH	68440270
99059	339	1997-09-12	PRIJEM	PREVOD Z UCTU	46807	68602	\N	GH	68440270
99060	339	1997-10-12	PRIJEM	PREVOD Z UCTU	46807	91781	\N	GH	68440270
99061	339	1997-11-12	PRIJEM	PREVOD Z UCTU	46807	94661	\N	GH	68440270
99062	339	1997-12-12	PRIJEM	PREVOD Z UCTU	70210	109335	\N	GH	68440270
99063	339	1998-01-12	PRIJEM	PREVOD Z UCTU	46807	100635	\N	GH	68440270
99064	339	1998-02-12	PRIJEM	PREVOD Z UCTU	46807	86174	\N	GH	68440270
99065	339	1998-03-12	PRIJEM	PREVOD Z UCTU	46807	79526	\N	GH	68440270
99066	339	1998-04-12	PRIJEM	PREVOD Z UCTU	46807	96380	\N	GH	68440270
99067	339	1998-05-12	PRIJEM	PREVOD Z UCTU	46807	91473	\N	GH	68440270
99068	339	1998-06-12	PRIJEM	PREVOD Z UCTU	70210	125918	\N	GH	68440270
99069	339	1998-07-12	PRIJEM	PREVOD Z UCTU	46807	96463	\N	GH	68440270
99070	339	1998-08-12	PRIJEM	PREVOD Z UCTU	46807	99457	\N	GH	68440270
99071	339	1998-09-12	PRIJEM	PREVOD Z UCTU	46807	89758	\N	GH	68440270
99072	339	1998-10-12	PRIJEM	PREVOD Z UCTU	46807	114399	\N	GH	68440270
99073	339	1998-11-12	PRIJEM	PREVOD Z UCTU	46807	97833	\N	GH	68440270
99074	339	1998-12-12	PRIJEM	PREVOD Z UCTU	70210	141114	\N	GH	68440270
99087	339	1997-01-04	VYDAJ	VYBER	9000	86825	\N	\N	0
99088	339	1997-02-07	VYDAJ	VYBER	5800	55641	\N	\N	0
99089	339	1997-03-21	VYDAJ	VYBER	8900	68108	\N	\N	0
99090	339	1997-04-19	VYDAJ	VYBER	8600	76547	\N	\N	0
99091	339	1997-05-16	VYDAJ	VYBER	10300	82096	\N	\N	0
99092	339	1997-05-31	VYDAJ	VYBER	8000	70821	\N	\N	0
99093	339	1997-07-11	VYDAJ	VYBER	6300	10403	\N	\N	0
99094	339	1997-08-02	VYDAJ	VYBER	7500	34501	\N	\N	0
99095	339	1997-08-30	VYDAJ	VYBER	6300	51882	\N	\N	0
99096	339	1997-10-12	VYDAJ	VYBER	8800	82981	\N	\N	0
99097	339	1997-11-16	VYDAJ	VYBER	8200	86461	\N	\N	0
99098	339	1997-12-23	VYDAJ	VYBER	7500	95235	\N	\N	0
99099	339	1998-01-12	VYDAJ	PREVOD NA UCET	7801	92834	UVER	OP	60226070
99100	339	1998-02-12	VYDAJ	PREVOD NA UCET	7801	78373	UVER	OP	60226070
99101	339	1998-03-12	VYDAJ	PREVOD NA UCET	7801	71724	UVER	OP	60226070
99102	339	1998-04-12	VYDAJ	PREVOD NA UCET	7801	88579	UVER	OP	60226070
99103	339	1998-05-12	VYDAJ	PREVOD NA UCET	7801	83671	UVER	OP	60226070
99104	339	1998-06-12	VYDAJ	PREVOD NA UCET	7801	118117	UVER	OP	60226070
99105	339	1998-07-12	VYDAJ	PREVOD NA UCET	7801	88662	UVER	OP	60226070
99106	339	1998-08-12	VYDAJ	PREVOD NA UCET	7801	91656	UVER	OP	60226070
99107	339	1998-09-12	VYDAJ	PREVOD NA UCET	7801	81957	UVER	OP	60226070
99108	339	1998-10-12	VYDAJ	PREVOD NA UCET	7801	106597	UVER	OP	60226070
99109	339	1998-11-12	VYDAJ	PREVOD NA UCET	7801	90032	UVER	OP	60226070
99110	339	1998-12-12	VYDAJ	PREVOD NA UCET	7801	97613	UVER	OP	60226070
99124	339	1997-02-08	VYDAJ	PREVOD NA UCET	4087	32554	SIPO	WX	52391654
99125	339	1997-03-08	VYDAJ	PREVOD NA UCET	4087	75483	SIPO	WX	52391654
99126	339	1997-04-08	VYDAJ	PREVOD NA UCET	4087	64243	SIPO	WX	52391654
99127	339	1997-05-08	VYDAJ	PREVOD NA UCET	4087	72737	SIPO	WX	52391654
99128	339	1997-06-08	VYDAJ	PREVOD NA UCET	4087	44020	SIPO	WX	52391654
99129	339	1997-07-08	VYDAJ	PREVOD NA UCET	4087	21351	SIPO	WX	52391654
99130	339	1997-08-08	VYDAJ	PREVOD NA UCET	4087	11423	SIPO	WX	52391654
99131	339	1997-09-08	VYDAJ	PREVOD NA UCET	4087	21795	SIPO	WX	52391654
99132	339	1997-10-08	VYDAJ	PREVOD NA UCET	4087	44974	SIPO	WX	52391654
99133	339	1997-11-08	VYDAJ	PREVOD NA UCET	4087	47902	SIPO	WX	52391654
99134	339	1997-12-08	VYDAJ	PREVOD NA UCET	4087	39173	SIPO	WX	52391654
99135	339	1998-01-08	VYDAJ	PREVOD NA UCET	4087	53876	SIPO	WX	52391654
99136	339	1998-02-08	VYDAJ	PREVOD NA UCET	4087	39367	SIPO	WX	52391654
99137	339	1998-03-08	VYDAJ	PREVOD NA UCET	4087	50395	SIPO	WX	52391654
99138	339	1998-04-08	VYDAJ	PREVOD NA UCET	4087	49573	SIPO	WX	52391654
99139	339	1998-05-08	VYDAJ	PREVOD NA UCET	4087	44666	SIPO	WX	52391654
99140	339	1998-06-08	VYDAJ	PREVOD NA UCET	4087	55756	SIPO	WX	52391654
99141	339	1998-07-08	VYDAJ	PREVOD NA UCET	4087	49656	SIPO	WX	52391654
99142	339	1998-08-08	VYDAJ	PREVOD NA UCET	4087	52698	SIPO	WX	52391654
99143	339	1998-09-08	VYDAJ	PREVOD NA UCET	4087	42999	SIPO	WX	52391654
99144	339	1998-10-08	VYDAJ	PREVOD NA UCET	4087	67640	SIPO	WX	52391654
99145	339	1998-11-08	VYDAJ	PREVOD NA UCET	4087	51074	SIPO	WX	52391654
99146	339	1998-12-08	VYDAJ	PREVOD NA UCET	4087	73052	SIPO	WX	52391654
99160	339	1997-02-08	VYDAJ	PREVOD NA UCET	48	32506	 	IJ	21728092
99161	339	1997-03-08	VYDAJ	PREVOD NA UCET	48	75435	 	IJ	21728092
99162	339	1997-04-08	VYDAJ	PREVOD NA UCET	48	68330	 	IJ	21728092
99163	339	1997-05-08	VYDAJ	PREVOD NA UCET	48	72689	 	IJ	21728092
99164	339	1997-06-08	VYDAJ	PREVOD NA UCET	48	29472	 	IJ	21728092
99165	339	1997-07-08	VYDAJ	PREVOD NA UCET	48	21303	 	IJ	21728092
99166	339	1997-08-08	VYDAJ	PREVOD NA UCET	48	11375	 	IJ	21728092
99167	339	1997-09-08	VYDAJ	PREVOD NA UCET	48	25882	 	IJ	21728092
99168	339	1997-10-08	VYDAJ	PREVOD NA UCET	48	49061	 	IJ	21728092
99169	339	1997-11-08	VYDAJ	PREVOD NA UCET	48	47854	 	IJ	21728092
99170	339	1997-12-08	VYDAJ	PREVOD NA UCET	48	39125	 	IJ	21728092
99171	339	1998-01-08	VYDAJ	PREVOD NA UCET	48	53828	 	IJ	21728092
99172	339	1998-02-08	VYDAJ	PREVOD NA UCET	48	43454	 	IJ	21728092
99173	339	1998-03-08	VYDAJ	PREVOD NA UCET	48	54482	 	IJ	21728092
99174	339	1998-04-08	VYDAJ	PREVOD NA UCET	48	53660	 	IJ	21728092
99175	339	1998-05-08	VYDAJ	PREVOD NA UCET	48	48753	 	IJ	21728092
99176	339	1998-06-08	VYDAJ	PREVOD NA UCET	48	55708	 	IJ	21728092
99177	339	1998-07-08	VYDAJ	PREVOD NA UCET	48	53743	 	IJ	21728092
99178	339	1998-08-08	VYDAJ	PREVOD NA UCET	48	52650	 	IJ	21728092
99179	339	1998-09-08	VYDAJ	PREVOD NA UCET	48	42951	 	IJ	21728092
99180	339	1998-10-08	VYDAJ	PREVOD NA UCET	48	67592	 	IJ	21728092
99181	339	1998-11-08	VYDAJ	PREVOD NA UCET	48	51026	 	IJ	21728092
99182	339	1998-12-08	VYDAJ	PREVOD NA UCET	48	73004	 	IJ	21728092
99187	339	1997-03-11	VYBER	VYBER	15234	30201	\N	\N	\N
99188	339	1997-11-17	VYBER	VYBER	23458	63003	\N	\N	\N
99189	339	1997-09-02	VYBER	VYBER	18211	33830	\N	\N	\N
99190	339	1997-08-01	VYBER	VYBER	5156	42001	\N	\N	\N
99191	339	1997-06-05	VYBER	VYBER	22684	48107	\N	\N	\N
99192	339	1997-04-16	VYBER	VYBER	4103	85147	\N	\N	\N
99193	339	1997-10-16	VYBER	VYBER	9357	73624	\N	\N	\N
99194	339	1997-08-04	VYBER	VYBER	10491	24010	\N	\N	\N
99195	339	1998-09-04	VYBER	VYBER	18469	47086	\N	\N	\N
99196	339	1998-03-11	VYBER	VYBER	17676	32719	\N	\N	\N
99197	339	1998-07-24	VYBER	VYBER	14362	70400	\N	\N	\N
99199	339	1997-06-17	VYDAJ	VYBER	37500	25282	\N	\N	\N
99200	339	1998-06-15	VYDAJ	VYBER	31500	66917	\N	\N	\N
99202	339	1997-01-21	VYDAJ	VYBER	20100	71332	\N	\N	\N
99203	339	1998-01-17	VYDAJ	VYBER	14400	74534	\N	\N	\N
99205	339	1997-12-23	VYDAJ	VYBER	6600	102735	\N	\N	\N
99206	339	1998-12-10	VYDAJ	VYBER KARTOU	2100	70904	\N	\N	0
99213	339	1997-01-12	VYDAJ	VYBER	2400	93832	\N	\N	\N
99214	339	1997-01-17	VYDAJ	VYBER	2400	91432	\N	\N	\N
99218	339	1997-01-25	VYDAJ	VYBER	2400	68932	\N	\N	\N
99219	339	1998-01-14	VYDAJ	VYBER	3900	88934	\N	\N	\N
99220	339	1998-01-24	VYDAJ	VYBER	7200	65534	\N	\N	\N
99221	339	1998-01-21	VYDAJ	VYBER	1800	72734	\N	\N	\N
99222	339	1998-01-25	VYDAJ	VYBER	2400	63134	\N	\N	\N
99223	339	1998-01-01	VYDAJ	VYBER	7800	87763	\N	\N	\N
99224	339	1998-01-28	VYDAJ	VYBER	3900	59234	\N	\N	\N
99229	339	1997-07-23	VYDAJ	VYBER	10200	47010	\N	\N	\N
99230	339	1997-05-29	VYDAJ	VYBER	3600	78496	\N	\N	\N
99231	339	1997-01-31	VYDAJ	VYBER	7800	61471	\N	\N	\N
99232	339	1997-12-05	VYDAJ	VYBER	9000	54260	\N	\N	\N
99233	339	1998-08-25	VYDAJ	VYBER	12900	78756	\N	\N	\N
99234	339	1998-05-15	VYDAJ	VYBER	10200	73471	\N	\N	\N
99235	339	1998-05-06	VYDAJ	VYBER	13800	48801	\N	\N	\N
99236	339	1998-07-20	VYDAJ	VYBER KARTOU	3900	84762	\N	\N	0
99250	339	1997-01-31	VYDAJ	VYBER	30	61441	SLUZBY	\N	\N
99251	339	1997-02-28	VYDAJ	VYBER	30	79570	SLUZBY	\N	\N
99252	339	1997-03-31	VYDAJ	VYBER	30	68378	SLUZBY	\N	\N
99253	339	1997-04-30	VYDAJ	VYBER	30	76824	SLUZBY	\N	\N
99254	339	1997-05-31	VYDAJ	VYBER	30	70791	SLUZBY	\N	\N
99255	339	1997-06-30	VYDAJ	VYBER	30	25438	SLUZBY	\N	\N
99256	339	1997-07-31	VYDAJ	VYBER	30	47157	SLUZBY	\N	\N
99257	339	1997-08-31	VYDAJ	VYBER	30	52041	SLUZBY	\N	\N
99258	339	1997-09-30	VYDAJ	VYBER	30	68809	SLUZBY	\N	\N
99259	339	1997-10-31	VYDAJ	VYBER	30	73889	SLUZBY	\N	\N
99260	339	1997-11-30	VYDAJ	VYBER	30	63260	SLUZBY	\N	\N
99261	339	1997-12-31	VYDAJ	VYBER	30	95563	SLUZBY	\N	\N
99262	339	1998-01-31	VYDAJ	VYBER	30	59502	SLUZBY	\N	\N
99263	339	1998-02-28	VYDAJ	VYBER	30	78630	SLUZBY	\N	\N
99264	339	1998-03-31	VYDAJ	VYBER	30	72008	SLUZBY	\N	\N
99265	339	1998-04-30	VYDAJ	VYBER	30	88901	SLUZBY	\N	\N
99266	339	1998-05-31	VYDAJ	VYBER	30	73743	SLUZBY	\N	\N
99267	339	1998-06-30	VYDAJ	VYBER	30	67191	SLUZBY	\N	\N
99268	339	1998-07-31	VYDAJ	VYBER	30	70685	SLUZBY	\N	\N
99269	339	1998-08-31	VYDAJ	VYBER	30	79055	SLUZBY	\N	\N
99270	339	1998-09-30	VYDAJ	VYBER	30	82227	SLUZBY	\N	\N
99271	339	1998-10-31	VYDAJ	VYBER	30	55161	SLUZBY	\N	\N
99272	339	1998-11-30	VYDAJ	VYBER	30	77139	SLUZBY	\N	\N
99273	339	1996-10-11	VYDAJ	VYBER	12500	34832	\N	\N	\N
99274	339	1996-11-10	VYDAJ	VYBER	31800	50128	\N	\N	\N
99275	339	1996-12-10	VYDAJ	VYBER	40100	57215	\N	\N	\N
99276	339	1996-12-12	VYDAJ	VYBER	32000	95425	\N	\N	\N
99277	339	1997-01-09	VYDAJ	VYBER	37400	49425	\N	\N	\N
99278	339	1997-02-08	VYDAJ	VYBER	19000	36641	\N	\N	\N
99279	339	1997-03-10	VYDAJ	VYBER	30000	45435	\N	\N	\N
99280	339	1997-04-09	VYDAJ	VYBER	21800	42443	\N	\N	\N
99281	339	1997-05-09	VYDAJ	VYBER	27100	45589	\N	\N	\N
99282	339	1997-06-08	VYDAJ	VYBER	14500	29520	\N	\N	\N
99283	339	1997-06-12	VYDAJ	VYBER	36900	62782	\N	\N	\N
99284	339	1997-07-08	VYDAJ	VYBER	4600	16703	\N	\N	\N
99285	339	1997-08-07	VYDAJ	VYBER	8500	15510	\N	\N	\N
99286	339	1997-09-06	VYDAJ	VYBER	7900	25930	\N	\N	\N
99287	339	1997-10-06	VYDAJ	VYBER	19700	49109	\N	\N	\N
99288	339	1997-11-05	VYDAJ	VYBER	21900	51989	\N	\N	\N
99289	339	1997-12-05	VYDAJ	VYBER	11000	43260	\N	\N	\N
99290	339	1998-01-04	VYDAJ	VYBER	29800	57963	\N	\N	\N
99291	339	1998-02-03	VYDAJ	VYBER	16000	43502	\N	\N	\N
99292	339	1998-03-05	VYDAJ	VYBER	24100	54530	\N	\N	\N
99293	339	1998-04-04	VYDAJ	VYBER	18300	53708	\N	\N	\N
99294	339	1998-05-04	VYDAJ	VYBER	26300	62601	\N	\N	\N
99295	339	1998-06-03	VYDAJ	VYBER	13900	59843	\N	\N	\N
99296	339	1998-06-12	VYDAJ	VYBER	19700	98417	\N	\N	\N
99297	339	1998-07-03	VYDAJ	VYBER	13400	53791	\N	\N	\N
99298	339	1998-08-02	VYDAJ	VYBER	13900	56785	\N	\N	\N
99299	339	1998-09-01	VYDAJ	VYBER	13500	65555	\N	\N	\N
99300	339	1998-10-01	VYDAJ	VYBER	10500	71727	\N	\N	\N
99301	339	1998-10-12	VYDAJ	VYBER	55400	51197	\N	\N	\N
99302	339	1998-10-31	PRIJEM	VKLAD	3600	54797	\N	\N	\N
99303	339	1998-11-30	VYDAJ	VYBER	13200	77169	\N	\N	\N
99304	339	1998-12-12	VYDAJ	VYBER	35700	105414	\N	\N	\N
99333	340	1993-11-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
99344	340	1993-11-14	PRIJEM	PREVOD Z UCTU	5774	6774	DUCHOD	AB	63965362
99345	340	1993-12-14	PRIJEM	PREVOD Z UCTU	5774	12564	DUCHOD	AB	63965362
99346	340	1994-01-14	PRIJEM	PREVOD Z UCTU	5774	18366	DUCHOD	AB	63965362
99347	340	1994-02-14	PRIJEM	PREVOD Z UCTU	5774	24168	DUCHOD	AB	63965362
99348	340	1994-03-14	PRIJEM	PREVOD Z UCTU	5774	29971	DUCHOD	AB	63965362
99349	340	1994-04-14	PRIJEM	PREVOD Z UCTU	5774	32043	DUCHOD	AB	63965362
99350	340	1994-05-14	PRIJEM	PREVOD Z UCTU	5774	34811	DUCHOD	AB	63965362
99351	340	1994-06-14	PRIJEM	PREVOD Z UCTU	5774	33227	DUCHOD	AB	63965362
99352	340	1994-07-14	PRIJEM	PREVOD Z UCTU	5774	27277	DUCHOD	AB	63965362
99353	340	1994-08-14	PRIJEM	PREVOD Z UCTU	5774	29824	DUCHOD	AB	63965362
99354	340	1994-09-14	PRIJEM	PREVOD Z UCTU	5774	29380	DUCHOD	AB	63965362
99355	340	1994-10-14	PRIJEM	PREVOD Z UCTU	5774	29314	DUCHOD	AB	63965362
99356	340	1994-11-14	PRIJEM	PREVOD Z UCTU	5774	31711	DUCHOD	AB	63965362
99357	340	1994-12-14	PRIJEM	PREVOD Z UCTU	5774	31017	DUCHOD	AB	63965362
99358	340	1995-01-14	PRIJEM	PREVOD Z UCTU	5774	26390	DUCHOD	AB	63965362
99359	340	1995-02-14	PRIJEM	PREVOD Z UCTU	5774	22136	DUCHOD	AB	63965362
99360	340	1995-03-14	PRIJEM	PREVOD Z UCTU	5774	25960	DUCHOD	AB	63965362
99361	340	1995-04-14	PRIJEM	PREVOD Z UCTU	5774	29801	DUCHOD	AB	63965362
99362	340	1995-05-14	PRIJEM	PREVOD Z UCTU	5774	29414	DUCHOD	AB	63965362
99363	340	1995-06-14	PRIJEM	PREVOD Z UCTU	5774	28766	DUCHOD	AB	63965362
99364	340	1995-07-14	PRIJEM	PREVOD Z UCTU	5774	25793	DUCHOD	AB	63965362
99365	340	1995-08-14	PRIJEM	PREVOD Z UCTU	5774	24091	DUCHOD	AB	63965362
99366	340	1995-09-14	PRIJEM	PREVOD Z UCTU	5774	24140	DUCHOD	AB	63965362
99367	340	1995-10-14	PRIJEM	PREVOD Z UCTU	5774	21965	DUCHOD	AB	63965362
99368	340	1995-11-14	PRIJEM	PREVOD Z UCTU	5774	25489	DUCHOD	AB	63965362
99369	340	1995-12-14	PRIJEM	PREVOD Z UCTU	5774	22393	DUCHOD	AB	63965362
99370	340	1996-01-14	PRIJEM	PREVOD Z UCTU	5774	19880	DUCHOD	AB	63965362
99371	340	1996-02-14	PRIJEM	PREVOD Z UCTU	5774	17784	DUCHOD	AB	63965362
99372	340	1996-03-14	PRIJEM	PREVOD Z UCTU	5774	20789	DUCHOD	AB	63965362
99373	340	1996-04-14	PRIJEM	PREVOD Z UCTU	5774	23006	DUCHOD	AB	63965362
99374	340	1996-05-14	PRIJEM	PREVOD Z UCTU	5774	24394	DUCHOD	AB	63965362
99375	340	1996-06-14	PRIJEM	PREVOD Z UCTU	5774	24749	DUCHOD	AB	63965362
99376	340	1996-07-14	PRIJEM	PREVOD Z UCTU	5774	25421	DUCHOD	AB	63965362
99377	340	1996-08-14	PRIJEM	PREVOD Z UCTU	5774	29460	DUCHOD	AB	63965362
99378	340	1996-09-14	PRIJEM	PREVOD Z UCTU	5774	32012	DUCHOD	AB	63965362
99379	340	1996-10-14	PRIJEM	PREVOD Z UCTU	5774	32571	DUCHOD	AB	63965362
99380	340	1996-11-14	PRIJEM	PREVOD Z UCTU	5774	28022	DUCHOD	AB	63965362
99381	340	1996-12-14	PRIJEM	PREVOD Z UCTU	5774	29366	DUCHOD	AB	63965362
99382	340	1997-01-14	PRIJEM	PREVOD Z UCTU	5774	20949	DUCHOD	AB	63965362
99383	340	1997-02-14	PRIJEM	PREVOD Z UCTU	5774	18300	DUCHOD	AB	63965362
99384	340	1997-03-14	PRIJEM	PREVOD Z UCTU	5774	22307	DUCHOD	AB	63965362
99385	340	1997-04-14	PRIJEM	PREVOD Z UCTU	5774	25430	DUCHOD	AB	63965362
99386	340	1997-05-14	PRIJEM	PREVOD Z UCTU	5774	29467	DUCHOD	AB	63965362
99387	340	1997-06-14	PRIJEM	PREVOD Z UCTU	5774	33522	DUCHOD	AB	63965362
99388	340	1997-07-14	PRIJEM	PREVOD Z UCTU	5774	31582	DUCHOD	AB	63965362
99389	340	1997-08-14	PRIJEM	PREVOD Z UCTU	5774	35645	DUCHOD	AB	63965362
99390	340	1997-09-14	PRIJEM	PREVOD Z UCTU	5774	39725	DUCHOD	AB	63965362
99391	340	1997-10-14	PRIJEM	PREVOD Z UCTU	5774	43823	DUCHOD	AB	63965362
99392	340	1997-11-14	PRIJEM	PREVOD Z UCTU	5774	44657	DUCHOD	AB	63965362
99393	340	1997-12-14	PRIJEM	PREVOD Z UCTU	5774	46216	DUCHOD	AB	63965362
99394	340	1998-01-14	PRIJEM	PREVOD Z UCTU	5774	47681	DUCHOD	AB	63965362
99395	340	1998-02-14	PRIJEM	PREVOD Z UCTU	5774	42047	DUCHOD	AB	63965362
99396	340	1998-03-14	PRIJEM	PREVOD Z UCTU	5774	40753	DUCHOD	AB	63965362
99397	340	1998-04-14	PRIJEM	PREVOD Z UCTU	5774	40680	DUCHOD	AB	63965362
99398	340	1998-05-14	PRIJEM	PREVOD Z UCTU	5774	42323	DUCHOD	AB	63965362
99399	340	1998-06-14	PRIJEM	PREVOD Z UCTU	5774	44032	DUCHOD	AB	63965362
99400	340	1998-07-14	PRIJEM	PREVOD Z UCTU	5774	43355	DUCHOD	AB	63965362
99401	340	1998-08-14	PRIJEM	PREVOD Z UCTU	5774	40667	DUCHOD	AB	63965362
99402	340	1998-09-14	PRIJEM	PREVOD Z UCTU	5774	40274	DUCHOD	AB	63965362
99403	340	1998-10-14	PRIJEM	PREVOD Z UCTU	5774	41377	DUCHOD	AB	63965362
99404	340	1998-11-14	PRIJEM	PREVOD Z UCTU	5774	41882	DUCHOD	AB	63965362
99405	340	1998-12-14	PRIJEM	PREVOD Z UCTU	5774	43289	DUCHOD	AB	63965362
99421	340	1994-04-07	VYDAJ	PREVOD NA UCET	917	27170	SIPO	CD	26790029
99422	340	1994-05-07	VYDAJ	PREVOD NA UCET	917	29938	SIPO	CD	26790029
99423	340	1994-06-07	VYDAJ	PREVOD NA UCET	917	28354	SIPO	CD	26790029
99424	340	1994-07-07	VYDAJ	PREVOD NA UCET	917	21503	SIPO	CD	26790029
99425	340	1994-08-07	VYDAJ	PREVOD NA UCET	917	24050	SIPO	CD	26790029
99426	340	1994-09-07	VYDAJ	PREVOD NA UCET	917	23606	SIPO	CD	26790029
99427	340	1994-10-07	VYDAJ	PREVOD NA UCET	917	23540	SIPO	CD	26790029
99428	340	1994-11-07	VYDAJ	PREVOD NA UCET	917	27297	SIPO	CD	26790029
99429	340	1994-12-07	VYDAJ	PREVOD NA UCET	917	26144	SIPO	CD	26790029
99430	340	1995-01-07	VYDAJ	PREVOD NA UCET	917	22776	SIPO	CD	26790029
99431	340	1995-02-07	VYDAJ	PREVOD NA UCET	917	16362	SIPO	CD	26790029
99432	340	1995-03-07	VYDAJ	PREVOD NA UCET	917	21087	SIPO	CD	26790029
99433	340	1995-04-07	VYDAJ	PREVOD NA UCET	917	24928	SIPO	CD	26790029
99434	340	1995-05-07	VYDAJ	PREVOD NA UCET	917	23640	SIPO	CD	26790029
99435	340	1995-06-07	VYDAJ	PREVOD NA UCET	917	22992	SIPO	CD	26790029
99436	340	1995-07-07	VYDAJ	PREVOD NA UCET	917	20019	SIPO	CD	26790029
99437	340	1995-08-07	VYDAJ	PREVOD NA UCET	917	20557	SIPO	CD	26790029
99438	340	1995-09-07	VYDAJ	PREVOD NA UCET	917	19267	SIPO	CD	26790029
99439	340	1995-10-07	VYDAJ	PREVOD NA UCET	917	16191	SIPO	CD	26790029
99440	340	1995-11-07	VYDAJ	PREVOD NA UCET	917	19715	SIPO	CD	26790029
99441	340	1995-12-07	VYDAJ	PREVOD NA UCET	917	20240	SIPO	CD	26790029
99442	340	1996-01-07	VYDAJ	PREVOD NA UCET	917	14106	SIPO	CD	26790029
99443	340	1996-02-07	VYDAJ	PREVOD NA UCET	917	12010	SIPO	CD	26790029
99444	340	1996-03-07	VYDAJ	PREVOD NA UCET	917	15015	SIPO	CD	26790029
99445	340	1996-04-07	VYDAJ	PREVOD NA UCET	917	18133	SIPO	CD	26790029
99446	340	1996-05-07	VYDAJ	PREVOD NA UCET	917	18620	SIPO	CD	26790029
99447	340	1996-06-07	VYDAJ	PREVOD NA UCET	917	19876	SIPO	CD	26790029
99448	340	1996-07-07	VYDAJ	PREVOD NA UCET	917	19647	SIPO	CD	26790029
99449	340	1996-08-07	VYDAJ	PREVOD NA UCET	917	24587	SIPO	CD	26790029
99450	340	1996-09-07	VYDAJ	PREVOD NA UCET	917	26238	SIPO	CD	26790029
99451	340	1996-10-07	VYDAJ	PREVOD NA UCET	917	26797	SIPO	CD	26790029
99452	340	1996-11-07	VYDAJ	PREVOD NA UCET	917	22248	SIPO	CD	26790029
99453	340	1996-12-07	VYDAJ	PREVOD NA UCET	917	23592	SIPO	CD	26790029
99454	340	1997-01-07	VYDAJ	PREVOD NA UCET	917	16076	SIPO	CD	26790029
99455	340	1997-02-07	VYDAJ	PREVOD NA UCET	917	13427	SIPO	CD	26790029
99456	340	1997-03-07	VYDAJ	PREVOD NA UCET	917	16533	SIPO	CD	26790029
99457	340	1997-04-07	VYDAJ	PREVOD NA UCET	917	19656	SIPO	CD	26790029
99458	340	1997-05-07	VYDAJ	PREVOD NA UCET	917	24594	SIPO	CD	26790029
99459	340	1997-06-07	VYDAJ	PREVOD NA UCET	917	27748	SIPO	CD	26790029
99460	340	1997-07-07	VYDAJ	PREVOD NA UCET	917	25808	SIPO	CD	26790029
99461	340	1997-08-07	VYDAJ	PREVOD NA UCET	917	30772	SIPO	CD	26790029
99462	340	1997-09-07	VYDAJ	PREVOD NA UCET	917	33951	SIPO	CD	26790029
99463	340	1997-10-07	VYDAJ	PREVOD NA UCET	917	38049	SIPO	CD	26790029
99464	340	1997-11-07	VYDAJ	PREVOD NA UCET	917	39784	SIPO	CD	26790029
99465	340	1997-12-07	VYDAJ	PREVOD NA UCET	917	40942	SIPO	CD	26790029
99466	340	1998-01-07	VYDAJ	PREVOD NA UCET	917	42807	SIPO	CD	26790029
99467	340	1998-02-07	VYDAJ	PREVOD NA UCET	917	37174	SIPO	CD	26790029
99468	340	1998-03-07	VYDAJ	PREVOD NA UCET	917	40379	SIPO	CD	26790029
99469	340	1998-04-07	VYDAJ	PREVOD NA UCET	917	37406	SIPO	CD	26790029
99470	340	1998-05-07	VYDAJ	PREVOD NA UCET	917	37750	SIPO	CD	26790029
99471	340	1998-06-07	VYDAJ	PREVOD NA UCET	917	40658	SIPO	CD	26790029
99472	340	1998-07-07	VYDAJ	PREVOD NA UCET	917	38221	SIPO	CD	26790029
99473	340	1998-08-07	VYDAJ	PREVOD NA UCET	917	42594	SIPO	CD	26790029
99474	340	1998-09-07	VYDAJ	PREVOD NA UCET	917	39000	SIPO	CD	26790029
99475	340	1998-10-07	VYDAJ	PREVOD NA UCET	917	38603	SIPO	CD	26790029
99476	340	1998-11-07	VYDAJ	PREVOD NA UCET	917	36108	SIPO	CD	26790029
99477	340	1998-12-07	VYDAJ	PREVOD NA UCET	917	41116	SIPO	CD	26790029
99493	340	1994-04-07	VYDAJ	PREVOD NA UCET	901	26269	 	YZ	80708729
99494	340	1994-05-07	VYDAJ	PREVOD NA UCET	901	29037	 	YZ	80708729
99495	340	1994-06-07	VYDAJ	PREVOD NA UCET	901	27453	 	YZ	80708729
99496	340	1994-07-07	VYDAJ	PREVOD NA UCET	901	22420	 	YZ	80708729
99497	340	1994-08-07	VYDAJ	PREVOD NA UCET	901	24967	 	YZ	80708729
99498	340	1994-09-07	VYDAJ	PREVOD NA UCET	901	24523	 	YZ	80708729
99499	340	1994-10-07	VYDAJ	PREVOD NA UCET	901	24457	 	YZ	80708729
99500	340	1994-11-07	VYDAJ	PREVOD NA UCET	901	28214	 	YZ	80708729
99501	340	1994-12-07	VYDAJ	PREVOD NA UCET	901	25243	 	YZ	80708729
99502	340	1995-01-07	VYDAJ	PREVOD NA UCET	901	23693	 	YZ	80708729
99503	340	1995-02-07	VYDAJ	PREVOD NA UCET	901	17279	 	YZ	80708729
99504	340	1995-03-07	VYDAJ	PREVOD NA UCET	901	20186	 	YZ	80708729
99505	340	1995-04-07	VYDAJ	PREVOD NA UCET	901	24027	 	YZ	80708729
99506	340	1995-05-07	VYDAJ	PREVOD NA UCET	901	24557	 	YZ	80708729
99507	340	1995-06-07	VYDAJ	PREVOD NA UCET	901	23909	 	YZ	80708729
99508	340	1995-07-07	VYDAJ	PREVOD NA UCET	901	20936	 	YZ	80708729
99509	340	1995-08-07	VYDAJ	PREVOD NA UCET	901	21474	 	YZ	80708729
99510	340	1995-09-07	VYDAJ	PREVOD NA UCET	901	18366	 	YZ	80708729
99511	340	1995-10-07	VYDAJ	PREVOD NA UCET	901	17108	 	YZ	80708729
99512	340	1995-11-07	VYDAJ	PREVOD NA UCET	901	20632	 	YZ	80708729
99513	340	1995-12-07	VYDAJ	PREVOD NA UCET	901	19339	 	YZ	80708729
99514	340	1996-01-07	VYDAJ	PREVOD NA UCET	901	15023	 	YZ	80708729
99515	340	1996-02-07	VYDAJ	PREVOD NA UCET	901	12927	 	YZ	80708729
99516	340	1996-03-07	VYDAJ	PREVOD NA UCET	901	15932	 	YZ	80708729
99517	340	1996-04-07	VYDAJ	PREVOD NA UCET	901	17232	 	YZ	80708729
99518	340	1996-05-07	VYDAJ	PREVOD NA UCET	901	19537	 	YZ	80708729
99519	340	1996-06-07	VYDAJ	PREVOD NA UCET	901	18975	 	YZ	80708729
99520	340	1996-07-07	VYDAJ	PREVOD NA UCET	901	20564	 	YZ	80708729
99521	340	1996-08-07	VYDAJ	PREVOD NA UCET	901	23686	 	YZ	80708729
99522	340	1996-09-07	VYDAJ	PREVOD NA UCET	901	27155	 	YZ	80708729
99523	340	1996-10-07	VYDAJ	PREVOD NA UCET	901	27714	 	YZ	80708729
99524	340	1996-11-07	VYDAJ	PREVOD NA UCET	901	23165	 	YZ	80708729
99525	340	1996-12-07	VYDAJ	PREVOD NA UCET	901	24509	 	YZ	80708729
99526	340	1997-01-07	VYDAJ	PREVOD NA UCET	901	15175	 	YZ	80708729
99527	340	1997-02-07	VYDAJ	PREVOD NA UCET	901	12526	 	YZ	80708729
99528	340	1997-03-07	VYDAJ	PREVOD NA UCET	901	17450	 	YZ	80708729
99529	340	1997-04-07	VYDAJ	PREVOD NA UCET	901	20573	 	YZ	80708729
99530	340	1997-05-07	VYDAJ	PREVOD NA UCET	901	23693	 	YZ	80708729
99531	340	1997-06-07	VYDAJ	PREVOD NA UCET	901	28665	 	YZ	80708729
99532	340	1997-07-07	VYDAJ	PREVOD NA UCET	901	26725	 	YZ	80708729
99533	340	1997-08-07	VYDAJ	PREVOD NA UCET	901	29871	 	YZ	80708729
99534	340	1997-09-07	VYDAJ	PREVOD NA UCET	901	34868	 	YZ	80708729
99535	340	1997-10-07	VYDAJ	PREVOD NA UCET	901	38966	 	YZ	80708729
99536	340	1997-11-07	VYDAJ	PREVOD NA UCET	901	38883	 	YZ	80708729
99537	340	1997-12-07	VYDAJ	PREVOD NA UCET	901	41859	 	YZ	80708729
99538	340	1998-01-07	VYDAJ	PREVOD NA UCET	901	43724	 	YZ	80708729
99539	340	1998-02-07	VYDAJ	PREVOD NA UCET	901	36273	 	YZ	80708729
99540	340	1998-03-07	VYDAJ	PREVOD NA UCET	901	41296	 	YZ	80708729
99541	340	1998-04-07	VYDAJ	PREVOD NA UCET	901	38323	 	YZ	80708729
99542	340	1998-05-07	VYDAJ	PREVOD NA UCET	901	36849	 	YZ	80708729
99543	340	1998-06-07	VYDAJ	PREVOD NA UCET	901	41575	 	YZ	80708729
99544	340	1998-07-07	VYDAJ	PREVOD NA UCET	901	39138	 	YZ	80708729
99545	340	1998-08-07	VYDAJ	PREVOD NA UCET	901	41693	 	YZ	80708729
99546	340	1998-09-07	VYDAJ	PREVOD NA UCET	901	39917	 	YZ	80708729
99547	340	1998-10-07	VYDAJ	PREVOD NA UCET	901	39520	 	YZ	80708729
99548	340	1998-11-07	VYDAJ	PREVOD NA UCET	901	37025	 	YZ	80708729
99549	340	1998-12-07	VYDAJ	PREVOD NA UCET	901	40215	 	YZ	80708729
99551	340	1994-06-15	VYDAJ	VYBER	10000	23227	\N	\N	\N
99554	340	1997-06-17	VYDAJ	VYBER	6000	27522	\N	\N	\N
99555	340	1998-06-23	VYDAJ	VYBER	4150	39882	\N	\N	\N
99558	340	1995-01-27	VYDAJ	VYBER	4850	18100	\N	\N	\N
99559	340	1996-01-15	VYDAJ	VYBER	500	15860	\N	\N	\N
99560	340	1997-01-06	VYDAJ	VYBER	1650	18913	\N	\N	\N
99561	340	1998-01-21	VYDAJ	VYBER	4550	39371	\N	\N	\N
99563	340	1994-12-29	VYDAJ	VYBER	1450	28167	\N	\N	\N
99564	340	1995-12-02	VYDAJ	VYBER	250	21157	\N	\N	\N
99565	340	1996-12-30	VYDAJ	VYBER	1150	20476	\N	\N	\N
99566	340	1997-12-02	VYDAJ	VYBER	700	42760	\N	\N	\N
99567	340	1998-12-15	VYDAJ	VYBER	300	42989	\N	\N	\N
99580	340	1995-01-08	VYDAJ	VYBER	2160	20616	\N	\N	\N
99581	340	1995-01-18	VYDAJ	VYBER	1040	22950	\N	\N	\N
99582	340	1995-01-05	VYDAJ	VYBER	1760	24594	\N	\N	\N
99583	340	1995-01-17	VYDAJ	VYBER	400	23990	\N	\N	\N
99584	340	1995-01-04	VYDAJ	VYBER	1920	26354	\N	\N	\N
99585	340	1995-01-15	VYDAJ	VYBER	2000	24390	\N	\N	\N
99586	340	1996-01-03	VYDAJ	VYBER	1200	15924	\N	\N	\N
99587	340	1996-01-16	VYDAJ	VYBER	1120	14740	\N	\N	\N
99588	340	1996-01-29	VYDAJ	VYBER	960	13780	\N	\N	\N
99589	340	1996-01-01	VYDAJ	VYBER	1840	17124	\N	\N	\N
99592	340	1997-01-20	VYDAJ	VYBER	960	17649	\N	\N	\N
99593	340	1997-01-20	VYDAJ	VYBER	2000	15649	\N	\N	\N
99594	340	1997-01-22	VYDAJ	VYBER	880	14769	\N	\N	\N
99595	340	1997-01-28	VYDAJ	VYBER	480	14289	\N	\N	\N
99597	340	1997-01-18	VYDAJ	VYBER	640	18609	\N	\N	\N
99598	340	1998-01-25	VYDAJ	VYBER	880	38491	\N	\N	\N
99599	340	1998-01-01	VYDAJ	VYBER	640	45185	\N	\N	\N
99600	340	1998-01-01	VYDAJ	VYBER	560	45825	\N	\N	\N
99601	340	1998-01-15	VYDAJ	VYBER	1680	46001	\N	\N	\N
99602	340	1998-01-20	VYDAJ	VYBER	2080	43921	\N	\N	\N
99603	340	1998-01-05	VYDAJ	VYBER	560	44625	\N	\N	\N
99609	340	1994-10-02	VYDAJ	VYBER	1120	25358	\N	\N	\N
99610	340	1994-05-23	VYDAJ	VYBER	3360	31451	\N	\N	\N
99612	340	1994-11-13	VYDAJ	VYBER	1360	25937	\N	\N	\N
99613	340	1994-11-30	VYDAJ	VYBER	2960	27061	\N	\N	\N
99615	340	1995-06-27	VYDAJ	VYBER	1520	21746	\N	\N	\N
99616	340	1995-04-22	VYDAJ	VYBER	2640	27161	\N	\N	\N
99617	340	1995-11-21	VYDAJ	VYBER	2160	23329	\N	\N	\N
99618	340	1995-12-13	VYDAJ	VYBER	2720	16619	\N	\N	\N
99619	340	1995-08-20	VYDAJ	VYBER	3680	20411	\N	\N	\N
99620	340	1995-09-17	VYDAJ	VYBER	2800	21340	\N	\N	\N
99621	340	1995-08-09	VYDAJ	VYBER	2240	18317	\N	\N	\N
99622	340	1996-01-14	VYDAJ	VYBER	3520	16360	\N	\N	\N
99623	340	1996-05-31	VYDAJ	VYBER	3680	20793	\N	\N	\N
99624	340	1996-05-02	VYDAJ	VYBER	2640	20438	\N	\N	\N
99625	340	1996-12-30	VYDAJ	VYBER	2640	21626	\N	\N	\N
99626	340	1996-06-23	VYDAJ	VYBER	3360	21389	\N	\N	\N
99627	340	1997-01-07	VYDAJ	VYBER	1920	16993	\N	\N	\N
99628	340	1997-11-19	VYDAJ	VYBER	1360	43297	\N	\N	\N
99629	340	1997-11-03	VYDAJ	VYBER	3280	40701	\N	\N	\N
99631	340	1998-03-23	VYDAJ	VYBER	1680	39073	\N	\N	\N
99632	340	1998-12-19	VYDAJ	VYBER	3760	39229	\N	\N	\N
99633	340	1998-05-06	VYDAJ	VYBER	2160	38667	\N	\N	\N
99634	340	1998-07-12	VYDAJ	VYBER	640	37581	\N	\N	\N
99635	340	1998-11-05	VYDAJ	VYBER	3600	37926	\N	\N	\N
99636	340	1998-02-04	VYDAJ	VYBER	560	38091	\N	\N	\N
99652	340	1994-03-31	VYDAJ	VYBER	15	29987	SLUZBY	\N	\N
99653	340	1994-04-30	VYDAJ	VYBER	15	32155	SLUZBY	\N	\N
99654	340	1994-05-31	VYDAJ	VYBER	15	31571	SLUZBY	\N	\N
99655	340	1994-06-30	VYDAJ	VYBER	15	23321	SLUZBY	\N	\N
99656	340	1994-07-31	VYDAJ	VYBER	15	27368	SLUZBY	\N	\N
99657	340	1994-08-31	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
99658	340	1994-09-30	VYDAJ	VYBER	15	26478	SLUZBY	\N	\N
99659	340	1994-10-31	VYDAJ	VYBER	15	29115	SLUZBY	\N	\N
99660	340	1994-11-30	VYDAJ	VYBER	15	30021	SLUZBY	\N	\N
99661	340	1994-12-31	VYDAJ	VYBER	15	28274	SLUZBY	\N	\N
99662	340	1995-01-31	VYDAJ	VYBER	15	18180	SLUZBY	\N	\N
99663	340	1995-02-28	VYDAJ	VYBER	15	22004	SLUZBY	\N	\N
99664	340	1995-03-31	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
99665	340	1995-04-30	VYDAJ	VYBER	15	25458	SLUZBY	\N	\N
99666	340	1995-05-31	VYDAJ	VYBER	15	24810	SLUZBY	\N	\N
99667	340	1995-06-30	VYDAJ	VYBER	15	21837	SLUZBY	\N	\N
99668	340	1995-07-31	VYDAJ	VYBER	15	22375	SLUZBY	\N	\N
99669	340	1995-08-31	VYDAJ	VYBER	15	20184	SLUZBY	\N	\N
99670	340	1995-09-30	VYDAJ	VYBER	15	18009	SLUZBY	\N	\N
99671	340	1995-10-31	VYDAJ	VYBER	15	21533	SLUZBY	\N	\N
99672	340	1995-11-30	VYDAJ	VYBER	15	21407	SLUZBY	\N	\N
99673	340	1995-12-31	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
99674	340	1996-01-31	VYDAJ	VYBER	15	13828	SLUZBY	\N	\N
99675	340	1996-02-29	VYDAJ	VYBER	15	16833	SLUZBY	\N	\N
99676	340	1996-03-31	VYDAJ	VYBER	15	19050	SLUZBY	\N	\N
99677	340	1996-04-30	VYDAJ	VYBER	15	23078	SLUZBY	\N	\N
99678	340	1996-05-31	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
99679	340	1996-06-30	VYDAJ	VYBER	15	21465	SLUZBY	\N	\N
99680	340	1996-07-31	VYDAJ	VYBER	15	25504	SLUZBY	\N	\N
99681	340	1996-08-31	VYDAJ	VYBER	15	28056	SLUZBY	\N	\N
99682	340	1996-09-30	VYDAJ	VYBER	15	28615	SLUZBY	\N	\N
99683	340	1996-10-31	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
99684	340	1996-11-30	VYDAJ	VYBER	15	25410	SLUZBY	\N	\N
99685	340	1996-12-31	VYDAJ	VYBER	15	20563	SLUZBY	\N	\N
99686	340	1997-01-31	VYDAJ	VYBER	15	14344	SLUZBY	\N	\N
99687	340	1997-02-28	VYDAJ	VYBER	15	18351	SLUZBY	\N	\N
99688	340	1997-03-31	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
99689	340	1997-04-30	VYDAJ	VYBER	15	25511	SLUZBY	\N	\N
99690	340	1997-05-31	VYDAJ	VYBER	15	29566	SLUZBY	\N	\N
99691	340	1997-06-30	VYDAJ	VYBER	15	27626	SLUZBY	\N	\N
99692	340	1997-07-31	VYDAJ	VYBER	15	31689	SLUZBY	\N	\N
99693	340	1997-08-31	VYDAJ	VYBER	15	35769	SLUZBY	\N	\N
99694	340	1997-09-30	VYDAJ	VYBER	15	39867	SLUZBY	\N	\N
99695	340	1997-10-31	VYDAJ	VYBER	15	43981	SLUZBY	\N	\N
99696	340	1997-11-30	VYDAJ	VYBER	15	43460	SLUZBY	\N	\N
99697	340	1997-12-31	VYDAJ	VYBER	15	46385	SLUZBY	\N	\N
99698	340	1998-01-31	VYDAJ	VYBER	15	38651	SLUZBY	\N	\N
99699	340	1998-02-28	VYDAJ	VYBER	15	42197	SLUZBY	\N	\N
99700	340	1998-03-31	VYDAJ	VYBER	15	39224	SLUZBY	\N	\N
99701	340	1998-04-30	VYDAJ	VYBER	15	40827	SLUZBY	\N	\N
99702	340	1998-05-31	VYDAJ	VYBER	15	42476	SLUZBY	\N	\N
99703	340	1998-06-30	VYDAJ	VYBER	15	40039	SLUZBY	\N	\N
99704	340	1998-07-31	VYDAJ	VYBER	15	43511	SLUZBY	\N	\N
99705	340	1998-08-31	VYDAJ	VYBER	15	40818	SLUZBY	\N	\N
99706	340	1998-09-30	VYDAJ	VYBER	15	40421	SLUZBY	\N	\N
99707	340	1998-10-31	VYDAJ	VYBER	15	41526	SLUZBY	\N	\N
99708	340	1998-11-30	VYDAJ	VYBER	15	42033	SLUZBY	\N	\N
99709	340	1994-04-02	VYDAJ	VYBER	1900	28087	\N	\N	\N
99710	340	1994-05-02	VYDAJ	VYBER	1300	30855	\N	\N	\N
99711	340	1994-06-01	VYDAJ	VYBER	2300	29271	\N	\N	\N
99712	340	1994-07-31	VYDAJ	VYBER	1500	25868	\N	\N	\N
99713	340	1994-08-30	VYDAJ	VYBER	4500	25324	\N	\N	\N
99714	340	1994-09-29	VYDAJ	VYBER	3000	26380	\N	\N	\N
99715	340	1994-10-29	VYDAJ	VYBER	300	29014	\N	\N	\N
99716	340	1994-11-28	VYDAJ	VYBER	1800	29911	\N	\N	\N
99717	340	1994-12-28	VYDAJ	VYBER	1400	29617	\N	\N	\N
99718	340	1995-02-26	VYDAJ	VYBER	200	21936	\N	\N	\N
99719	340	1995-03-28	VYDAJ	VYBER	200	25760	\N	\N	\N
99720	340	1995-04-27	VYDAJ	VYBER	1800	25361	\N	\N	\N
99721	340	1995-05-27	VYDAJ	VYBER	4700	24714	\N	\N	\N
99722	340	1995-06-26	VYDAJ	VYBER	5500	23266	\N	\N	\N
99723	340	1995-07-26	VYDAJ	VYBER	3500	22293	\N	\N	\N
99724	340	1995-08-25	VYDAJ	VYBER	300	20111	\N	\N	\N
99725	340	1995-09-24	VYDAJ	VYBER	3400	17940	\N	\N	\N
99726	340	1995-10-24	VYDAJ	VYBER	500	21465	\N	\N	\N
99727	340	1995-11-23	VYDAJ	VYBER	2000	21329	\N	\N	\N
99728	340	1995-12-23	VYDAJ	VYBER	3500	18893	\N	\N	\N
99729	340	1996-02-21	VYDAJ	VYBER	1000	16784	\N	\N	\N
99730	340	1996-03-22	VYDAJ	VYBER	1800	18989	\N	\N	\N
99731	340	1996-08-19	VYDAJ	VYBER	1500	27960	\N	\N	\N
99732	340	1996-09-18	VYDAJ	VYBER	3500	28512	\N	\N	\N
99733	340	1996-10-18	VYDAJ	VYBER	8600	23971	\N	\N	\N
99734	340	1996-11-17	VYDAJ	VYBER	2700	25322	\N	\N	\N
99735	340	1996-12-17	VYDAJ	VYBER	5100	24266	\N	\N	\N
99736	340	1997-01-16	VYDAJ	VYBER	1700	19249	\N	\N	\N
99737	340	1997-03-17	VYDAJ	VYBER	900	21407	\N	\N	\N
99738	340	1997-12-12	VYDAJ	VYBER	500	40442	\N	\N	\N
99739	340	1998-01-11	VYDAJ	VYBER	900	41907	\N	\N	\N
99740	340	1998-03-12	VYDAJ	VYBER	5400	34979	\N	\N	\N
99741	340	1998-04-11	VYDAJ	VYBER	2500	34906	\N	\N	\N
99742	340	1998-05-11	VYDAJ	VYBER	300	36549	\N	\N	\N
99743	340	1998-06-10	VYDAJ	VYBER	2400	38258	\N	\N	\N
99744	340	1998-08-09	VYDAJ	VYBER	6800	34893	\N	\N	\N
99745	340	1998-09-08	VYDAJ	VYBER	4500	34500	\N	\N	\N
99746	340	1998-10-08	VYDAJ	VYBER	3000	35603	\N	\N	\N
99747	340	1998-12-07	VYDAJ	VYBER	2700	37515	\N	\N	\N
99810	341	1996-11-19	PRIJEM	VKLAD	600	600	\N	\N	\N
99822	341	1996-12-08	PRIJEM	VKLAD	22940	23540	\N	\N	\N
99823	341	1997-01-08	PRIJEM	VKLAD	15293	39876	\N	\N	\N
99824	341	1997-02-08	PRIJEM	VKLAD	15293	45381	\N	\N	\N
99825	341	1997-03-08	PRIJEM	VKLAD	15293	48204	\N	\N	\N
99826	341	1997-04-08	PRIJEM	VKLAD	15293	45429	\N	\N	\N
99827	341	1997-05-08	PRIJEM	VKLAD	15293	37322	\N	\N	\N
99828	341	1997-06-08	PRIJEM	VKLAD	22940	44542	\N	\N	\N
99829	341	1997-07-08	PRIJEM	VKLAD	15293	27189	\N	\N	\N
99830	341	1997-08-08	PRIJEM	VKLAD	15293	36736	\N	\N	\N
99831	341	1997-09-08	PRIJEM	VKLAD	15293	35209	\N	\N	\N
99832	341	1997-10-08	PRIJEM	VKLAD	15293	39597	\N	\N	\N
99833	341	1997-11-08	PRIJEM	VKLAD	15293	38073	\N	\N	\N
99834	341	1997-12-08	PRIJEM	VKLAD	22940	43789	\N	\N	\N
99835	341	1998-01-08	PRIJEM	VKLAD	15293	31254	\N	\N	\N
99836	341	1998-02-08	PRIJEM	VKLAD	15293	30912	\N	\N	\N
99837	341	1998-03-08	PRIJEM	VKLAD	15293	33963	\N	\N	\N
99838	341	1998-04-08	PRIJEM	VKLAD	15293	35723	\N	\N	\N
99839	341	1998-05-08	PRIJEM	VKLAD	15293	37591	\N	\N	\N
99840	341	1998-06-08	PRIJEM	VKLAD	22940	40898	\N	\N	\N
99841	341	1998-07-08	PRIJEM	VKLAD	15293	37061	\N	\N	\N
99842	341	1998-08-08	PRIJEM	VKLAD	15293	30913	\N	\N	\N
99843	341	1998-09-08	PRIJEM	VKLAD	15293	31560	\N	\N	\N
99844	341	1998-10-08	PRIJEM	VKLAD	15293	31907	\N	\N	\N
99845	341	1998-11-08	PRIJEM	VKLAD	15293	31753	\N	\N	\N
99846	341	1998-12-08	PRIJEM	VKLAD	22940	36638	\N	\N	\N
99848	341	1997-06-14	VYDAJ	VYBER	28800	15742	\N	\N	\N
99852	341	1998-01-05	VYDAJ	VYBER	4100	15961	\N	\N	\N
99854	341	1997-12-25	VYDAJ	VYBER	1800	19989	\N	\N	\N
99855	341	1998-12-14	VYDAJ	VYBER	1000	16338	\N	\N	\N
99863	341	1997-05-28	VYDAJ	VYBER	2500	21522	\N	\N	\N
99864	341	1997-04-24	VYDAJ	VYBER	4900	21929	\N	\N	\N
99865	341	1997-08-29	VYDAJ	VYBER	2400	22236	\N	\N	\N
99866	341	1997-09-06	VYDAJ	VYBER	2400	19916	\N	\N	\N
99869	341	1998-08-30	VYDAJ	VYBER	800	16213	\N	\N	\N
99870	341	1998-12-23	VYDAJ	VYBER	2100	14238	\N	\N	\N
99887	341	1997-04-30	VYDAJ	VYBER	15	22029	SLUZBY	\N	\N
99888	341	1997-05-31	VYDAJ	VYBER	15	21602	SLUZBY	\N	\N
99889	341	1997-06-30	VYDAJ	VYBER	15	11896	SLUZBY	\N	\N
99890	341	1997-07-31	VYDAJ	VYBER	15	21443	SLUZBY	\N	\N
99891	341	1997-08-31	VYDAJ	VYBER	15	22316	SLUZBY	\N	\N
99892	341	1997-09-30	VYDAJ	VYBER	15	24304	SLUZBY	\N	\N
99893	341	1997-10-31	VYDAJ	VYBER	15	22780	SLUZBY	\N	\N
99894	341	1997-11-30	VYDAJ	VYBER	15	20849	SLUZBY	\N	\N
99895	341	1997-12-31	VYDAJ	VYBER	15	20061	SLUZBY	\N	\N
99896	341	1998-01-31	VYDAJ	VYBER	15	15619	SLUZBY	\N	\N
99897	341	1998-02-28	VYDAJ	VYBER	15	18670	SLUZBY	\N	\N
99898	341	1998-03-31	VYDAJ	VYBER	15	20430	SLUZBY	\N	\N
99899	341	1998-04-30	VYDAJ	VYBER	15	22298	SLUZBY	\N	\N
99900	341	1998-05-31	VYDAJ	VYBER	15	17958	SLUZBY	\N	\N
99901	341	1998-06-30	VYDAJ	VYBER	15	21768	SLUZBY	\N	\N
99902	341	1998-07-31	VYDAJ	VYBER	15	15620	SLUZBY	\N	\N
99903	341	1998-08-31	VYDAJ	VYBER	15	16267	SLUZBY	\N	\N
99904	341	1998-09-30	VYDAJ	VYBER	15	16614	SLUZBY	\N	\N
99905	341	1998-10-31	VYDAJ	VYBER	15	16460	SLUZBY	\N	\N
99906	341	1998-11-30	VYDAJ	VYBER	15	13698	SLUZBY	\N	\N
99907	341	1996-12-19	PRIJEM	VKLAD	1000	24540	\N	\N	\N
99908	341	1997-01-18	VYDAJ	VYBER	9900	29976	\N	\N	\N
99909	341	1997-02-17	VYDAJ	VYBER	12600	32781	\N	\N	\N
99910	341	1997-03-19	VYDAJ	VYBER	18200	30004	\N	\N	\N
99911	341	1997-04-18	VYDAJ	VYBER	18600	26829	\N	\N	\N
99912	341	1997-05-18	VYDAJ	VYBER	13300	24022	\N	\N	\N
99913	341	1997-06-17	VYDAJ	VYBER	3900	11842	\N	\N	\N
99914	341	1997-07-17	VYDAJ	VYBER	5800	21389	\N	\N	\N
99915	341	1997-08-16	VYDAJ	VYBER	12100	24636	\N	\N	\N
99916	341	1997-09-15	VYDAJ	VYBER	11000	24209	\N	\N	\N
99917	341	1997-10-15	VYDAJ	VYBER	16900	22697	\N	\N	\N
99918	341	1997-11-14	VYDAJ	VYBER	17300	20773	\N	\N	\N
99919	341	1997-12-14	VYDAJ	VYBER	22000	21789	\N	\N	\N
99920	341	1998-01-13	VYDAJ	VYBER	15700	15554	\N	\N	\N
99921	341	1998-02-12	VYDAJ	VYBER	12300	18612	\N	\N	\N
99922	341	1998-03-14	VYDAJ	VYBER	13600	20363	\N	\N	\N
99923	341	1998-04-13	VYDAJ	VYBER	13500	22223	\N	\N	\N
99924	341	1998-05-13	VYDAJ	VYBER	19700	17891	\N	\N	\N
99925	341	1998-06-12	VYDAJ	VYBER	19200	21698	\N	\N	\N
99926	341	1998-07-12	VYDAJ	VYBER	21500	15561	\N	\N	\N
99927	341	1998-08-11	VYDAJ	VYBER	13900	17013	\N	\N	\N
99928	341	1998-09-10	VYDAJ	VYBER	15000	16560	\N	\N	\N
99929	341	1998-10-10	VYDAJ	VYBER	15500	16407	\N	\N	\N
99930	341	1998-11-09	VYDAJ	VYBER	18100	13653	\N	\N	\N
99931	341	1998-12-09	VYDAJ	VYBER	19300	17338	\N	\N	\N
99957	342	1996-10-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
99968	342	1996-11-06	PRIJEM	PREVOD Z UCTU	3498	4498	\N	YZ	6397539
99969	342	1996-12-06	PRIJEM	PREVOD Z UCTU	3498	7996	\N	YZ	6397539
99970	342	1997-01-06	PRIJEM	PREVOD Z UCTU	3498	11494	\N	YZ	6397539
99971	342	1997-02-06	PRIJEM	PREVOD Z UCTU	3498	14992	\N	YZ	6397539
99972	342	1997-03-06	PRIJEM	PREVOD Z UCTU	3498	18490	\N	YZ	6397539
99973	342	1997-04-06	PRIJEM	PREVOD Z UCTU	3498	19689	\N	YZ	6397539
99974	342	1997-05-06	PRIJEM	PREVOD Z UCTU	3498	18808	\N	YZ	6397539
99975	342	1997-06-06	PRIJEM	PREVOD Z UCTU	3498	20027	\N	YZ	6397539
99976	342	1997-07-06	PRIJEM	PREVOD Z UCTU	3498	21250	\N	YZ	6397539
99977	342	1997-08-06	PRIJEM	PREVOD Z UCTU	3498	22479	\N	YZ	6397539
99978	342	1997-09-06	PRIJEM	PREVOD Z UCTU	3498	21409	\N	YZ	6397539
99979	342	1997-10-06	PRIJEM	PREVOD Z UCTU	3498	22638	\N	YZ	6397539
99980	342	1997-11-06	PRIJEM	PREVOD Z UCTU	3498	23873	\N	YZ	6397539
99981	342	1997-12-06	PRIJEM	PREVOD Z UCTU	3498	24092	\N	YZ	6397539
99982	342	1998-01-06	PRIJEM	PREVOD Z UCTU	3498	23884	\N	YZ	6397539
99983	342	1998-02-06	PRIJEM	PREVOD Z UCTU	3498	22330	\N	YZ	6397539
99984	342	1998-03-06	PRIJEM	PREVOD Z UCTU	3498	22664	\N	YZ	6397539
99985	342	1998-04-06	PRIJEM	PREVOD Z UCTU	3498	22517	\N	YZ	6397539
99986	342	1998-05-06	PRIJEM	PREVOD Z UCTU	3498	23300	\N	YZ	6397539
99987	342	1998-06-06	PRIJEM	PREVOD Z UCTU	3498	23368	\N	YZ	6397539
99988	342	1998-07-06	PRIJEM	PREVOD Z UCTU	3498	17280	\N	YZ	6397539
99989	342	1998-08-06	PRIJEM	PREVOD Z UCTU	3498	17801	\N	YZ	6397539
99990	342	1998-09-06	PRIJEM	PREVOD Z UCTU	3498	19015	\N	YZ	6397539
99991	342	1998-10-06	PRIJEM	PREVOD Z UCTU	3498	20234	\N	YZ	6397539
99992	342	1998-11-06	PRIJEM	PREVOD Z UCTU	3498	21459	\N	YZ	6397539
99993	342	1998-12-06	PRIJEM	PREVOD Z UCTU	3498	22688	\N	YZ	6397539
100008	342	1997-03-10	VYDAJ	PREVOD NA UCET	2332	16158	\N	KL	44861531
100009	342	1997-04-10	VYDAJ	PREVOD NA UCET	2332	17357	\N	KL	44861531
100010	342	1997-05-10	VYDAJ	PREVOD NA UCET	2332	16476	\N	KL	44861531
100011	342	1997-06-10	VYDAJ	PREVOD NA UCET	2332	17695	\N	KL	44861531
100012	342	1997-07-10	VYDAJ	PREVOD NA UCET	2332	18918	\N	KL	44861531
100013	342	1997-08-10	VYDAJ	PREVOD NA UCET	2332	19647	\N	KL	44861531
100014	342	1997-09-10	VYDAJ	PREVOD NA UCET	2332	19077	\N	KL	44861531
100015	342	1997-10-10	VYDAJ	PREVOD NA UCET	2332	20306	\N	KL	44861531
100016	342	1997-11-10	VYDAJ	PREVOD NA UCET	2332	21541	\N	KL	44861531
100017	342	1997-12-10	VYDAJ	PREVOD NA UCET	2332	21480	\N	KL	44861531
100018	342	1998-01-10	VYDAJ	PREVOD NA UCET	2332	20952	\N	KL	44861531
100019	342	1998-02-10	VYDAJ	PREVOD NA UCET	2332	19998	\N	KL	44861531
100020	342	1998-03-10	VYDAJ	PREVOD NA UCET	2332	20332	\N	KL	44861531
100021	342	1998-04-10	VYDAJ	PREVOD NA UCET	2332	20185	\N	KL	44861531
100022	342	1998-05-10	VYDAJ	PREVOD NA UCET	2332	20968	\N	KL	44861531
100023	342	1998-06-10	VYDAJ	PREVOD NA UCET	2332	21036	\N	KL	44861531
100024	342	1998-07-10	VYDAJ	PREVOD NA UCET	2332	14948	\N	KL	44861531
100025	342	1998-08-10	VYDAJ	PREVOD NA UCET	2332	15469	\N	KL	44861531
100026	342	1998-09-10	VYDAJ	PREVOD NA UCET	2332	16683	\N	KL	44861531
100027	342	1998-10-10	VYDAJ	PREVOD NA UCET	2332	17902	\N	KL	44861531
100028	342	1998-11-10	VYDAJ	PREVOD NA UCET	2332	19127	\N	KL	44861531
100029	342	1998-12-10	VYDAJ	PREVOD NA UCET	2332	19846	\N	KL	44861531
100032	342	1998-06-23	VYDAJ	VYBER	7320	13716	\N	\N	\N
100034	342	1997-12-01	VYDAJ	VYBER	840	20594	\N	\N	\N
100035	342	1998-12-06	VYDAJ	VYBER	510	22178	\N	\N	\N
100048	342	1998-01-04	VYDAJ	VYBER	510	20386	\N	\N	\N
100049	342	1998-01-02	VYDAJ	VYBER	660	20896	\N	\N	\N
100050	342	1998-01-24	VYDAJ	VYBER	450	18762	\N	\N	\N
100051	342	1998-01-21	VYDAJ	VYBER	480	19212	\N	\N	\N
100052	342	1998-01-14	VYDAJ	VYBER	840	20112	\N	\N	\N
100053	342	1998-01-16	VYDAJ	VYBER	420	19692	\N	\N	\N
100061	342	1997-11-14	VYDAJ	VYBER	180	21361	\N	\N	\N
100062	342	1997-08-17	VYDAJ	VYBER	1080	18567	\N	\N	\N
100063	342	1997-12-07	VYDAJ	VYBER	180	23812	\N	\N	\N
100064	342	1997-08-23	VYDAJ	VYBER	720	17847	\N	\N	\N
100065	342	1997-04-25	VYDAJ	VYBER	1200	15257	\N	\N	\N
100066	342	1998-07-20	VYDAJ	VYBER	690	14258	\N	\N	\N
100067	342	1998-03-03	VYDAJ	VYBER	900	19166	\N	\N	\N
100068	342	1998-04-24	VYDAJ	VYBER	450	19735	\N	\N	\N
100069	342	1998-03-12	VYDAJ	VYBER	1380	18952	\N	\N	\N
100070	342	1998-06-01	VYDAJ	VYBER	1170	19870	\N	\N	\N
100086	342	1997-03-31	VYDAJ	VYBER	15	16191	SLUZBY	\N	\N
100087	342	1997-04-30	VYDAJ	VYBER	15	15310	SLUZBY	\N	\N
100088	342	1997-05-31	VYDAJ	VYBER	15	16529	SLUZBY	\N	\N
100089	342	1997-06-30	VYDAJ	VYBER	15	17752	SLUZBY	\N	\N
100090	342	1997-07-31	VYDAJ	VYBER	15	18981	SLUZBY	\N	\N
100091	342	1997-08-31	VYDAJ	VYBER	15	17911	SLUZBY	\N	\N
100092	342	1997-09-30	VYDAJ	VYBER	15	19140	SLUZBY	\N	\N
100093	342	1997-10-31	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
100094	342	1997-11-30	VYDAJ	VYBER	15	21434	SLUZBY	\N	\N
100095	342	1997-12-31	VYDAJ	VYBER	15	21556	SLUZBY	\N	\N
100096	342	1998-01-31	VYDAJ	VYBER	15	18832	SLUZBY	\N	\N
100097	342	1998-02-28	VYDAJ	VYBER	15	20066	SLUZBY	\N	\N
100098	342	1998-03-31	VYDAJ	VYBER	15	19019	SLUZBY	\N	\N
100099	342	1998-04-30	VYDAJ	VYBER	15	19802	SLUZBY	\N	\N
100100	342	1998-05-31	VYDAJ	VYBER	15	21040	SLUZBY	\N	\N
100101	342	1998-06-30	VYDAJ	VYBER	15	13782	SLUZBY	\N	\N
100102	342	1998-07-31	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
100103	342	1998-08-31	VYDAJ	VYBER	15	15517	SLUZBY	\N	\N
100104	342	1998-09-30	VYDAJ	VYBER	15	16736	SLUZBY	\N	\N
100105	342	1998-10-31	VYDAJ	VYBER	15	17961	SLUZBY	\N	\N
100106	342	1998-11-30	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
100107	342	1997-04-11	VYDAJ	VYBER	900	16457	\N	\N	\N
100108	342	1997-08-09	VYDAJ	VYBER	500	21979	\N	\N	\N
100109	342	1997-12-07	VYDAJ	VYBER	100	23992	\N	\N	\N
100110	342	1998-01-06	VYDAJ	VYBER	600	23284	\N	\N	\N
100133	343	1994-04-26	PRIJEM	VKLAD	900	900	\N	\N	\N
100138	343	1994-05-10	PRIJEM	PREVOD Z UCTU	3758	4658	\N	YZ	75932419
100139	343	1994-06-10	PRIJEM	PREVOD Z UCTU	3758	20530	\N	YZ	75932419
100140	343	1994-07-10	PRIJEM	PREVOD Z UCTU	3758	27763	\N	YZ	75932419
100141	343	1994-08-10	PRIJEM	PREVOD Z UCTU	3758	32125	\N	YZ	75932419
100142	343	1994-09-10	PRIJEM	PREVOD Z UCTU	3758	32201	\N	YZ	75932419
100143	343	1994-10-10	PRIJEM	PREVOD Z UCTU	3758	30859	\N	YZ	75932419
100144	343	1994-11-10	PRIJEM	PREVOD Z UCTU	3758	28199	\N	YZ	75932419
100145	343	1994-12-10	PRIJEM	PREVOD Z UCTU	3758	25148	\N	YZ	75932419
100146	343	1995-01-10	PRIJEM	PREVOD Z UCTU	3758	26941	\N	YZ	75932419
100147	343	1995-02-10	PRIJEM	PREVOD Z UCTU	3758	25805	\N	YZ	75932419
100148	343	1995-03-10	PRIJEM	PREVOD Z UCTU	3758	25347	\N	YZ	75932419
100149	343	1995-04-10	PRIJEM	PREVOD Z UCTU	3758	24787	\N	YZ	75932419
100150	343	1995-05-10	PRIJEM	PREVOD Z UCTU	3758	25738	\N	YZ	75932419
100151	343	1995-06-10	PRIJEM	PREVOD Z UCTU	3758	24529	\N	YZ	75932419
100152	343	1995-07-10	PRIJEM	PREVOD Z UCTU	3758	21719	\N	YZ	75932419
100153	343	1995-08-10	PRIJEM	PREVOD Z UCTU	3758	20763	\N	YZ	75932419
100154	343	1995-09-10	PRIJEM	PREVOD Z UCTU	3758	19582	\N	YZ	75932419
100155	343	1995-10-10	PRIJEM	PREVOD Z UCTU	3758	22002	\N	YZ	75932419
100156	343	1995-11-10	PRIJEM	PREVOD Z UCTU	3758	22229	\N	YZ	75932419
100157	343	1995-12-10	PRIJEM	PREVOD Z UCTU	3758	18639	\N	YZ	75932419
100158	343	1996-01-10	PRIJEM	PREVOD Z UCTU	3758	19875	\N	YZ	75932419
100159	343	1996-02-10	PRIJEM	PREVOD Z UCTU	3758	14686	\N	YZ	75932419
100160	343	1996-03-10	PRIJEM	PREVOD Z UCTU	3758	14259	\N	YZ	75932419
100161	343	1996-04-10	PRIJEM	PREVOD Z UCTU	3758	15455	\N	YZ	75932419
100162	343	1996-05-10	PRIJEM	PREVOD Z UCTU	3758	15954	\N	YZ	75932419
100163	343	1996-06-10	PRIJEM	PREVOD Z UCTU	3758	12647	\N	YZ	75932419
100164	343	1996-07-10	PRIJEM	PREVOD Z UCTU	3758	14918	\N	YZ	75932419
100165	343	1996-08-10	PRIJEM	PREVOD Z UCTU	3758	16919	\N	YZ	75932419
100166	343	1996-09-10	PRIJEM	PREVOD Z UCTU	3758	19329	\N	YZ	75932419
100167	343	1996-10-10	PRIJEM	PREVOD Z UCTU	3758	16635	\N	YZ	75932419
100168	343	1996-11-10	PRIJEM	PREVOD Z UCTU	3758	17640	\N	YZ	75932419
100169	343	1996-12-10	PRIJEM	PREVOD Z UCTU	3758	17259	\N	YZ	75932419
100170	343	1997-01-10	PRIJEM	PREVOD Z UCTU	3758	15422	\N	YZ	75932419
100171	343	1997-02-10	PRIJEM	PREVOD Z UCTU	3758	15312	\N	YZ	75932419
100172	343	1997-03-10	PRIJEM	PREVOD Z UCTU	3758	15831	\N	YZ	75932419
100173	343	1997-04-10	PRIJEM	PREVOD Z UCTU	3758	17134	\N	YZ	75932419
100174	343	1997-05-10	PRIJEM	PREVOD Z UCTU	3758	13041	\N	YZ	75932419
100175	343	1997-06-10	PRIJEM	PREVOD Z UCTU	3758	14431	\N	YZ	75932419
100176	343	1997-07-10	PRIJEM	PREVOD Z UCTU	3758	16327	\N	YZ	75932419
100177	343	1997-08-10	PRIJEM	PREVOD Z UCTU	3758	19030	\N	YZ	75932419
100178	343	1997-09-10	PRIJEM	PREVOD Z UCTU	3758	24103	\N	YZ	75932419
100179	343	1997-10-10	PRIJEM	PREVOD Z UCTU	3758	26783	\N	YZ	75932419
100180	343	1997-11-10	PRIJEM	PREVOD Z UCTU	3758	26429	\N	YZ	75932419
100181	343	1997-12-10	PRIJEM	PREVOD Z UCTU	3758	25055	\N	YZ	75932419
100182	343	1998-01-10	PRIJEM	PREVOD Z UCTU	3758	20917	\N	YZ	75932419
100183	343	1998-02-10	PRIJEM	PREVOD Z UCTU	3758	16041	\N	YZ	75932419
100184	343	1998-03-10	PRIJEM	PREVOD Z UCTU	3758	15757	\N	YZ	75932419
100185	343	1998-04-10	PRIJEM	PREVOD Z UCTU	3758	17958	\N	YZ	75932419
100186	343	1998-05-10	PRIJEM	PREVOD Z UCTU	3758	18367	\N	YZ	75932419
100187	343	1998-06-10	PRIJEM	PREVOD Z UCTU	3758	16059	\N	YZ	75932419
100188	343	1998-07-10	PRIJEM	PREVOD Z UCTU	3758	21164	\N	YZ	75932419
100189	343	1998-08-10	PRIJEM	PREVOD Z UCTU	3758	20782	\N	YZ	75932419
100190	343	1998-09-10	PRIJEM	PREVOD Z UCTU	3758	19372	\N	YZ	75932419
100191	343	1998-10-10	PRIJEM	PREVOD Z UCTU	3758	20169	\N	YZ	75932419
100192	343	1998-11-10	PRIJEM	PREVOD Z UCTU	3758	19266	\N	YZ	75932419
100193	343	1998-12-10	PRIJEM	PREVOD Z UCTU	3758	18382	\N	YZ	75932419
100203	343	1994-10-09	VYDAJ	PREVOD NA UCET	2505	27101	SIPO	QR	15103727
100204	343	1994-11-09	VYDAJ	PREVOD NA UCET	2505	24441	SIPO	QR	15103727
100205	343	1994-12-09	VYDAJ	PREVOD NA UCET	2505	21390	SIPO	QR	15103727
100206	343	1995-01-09	VYDAJ	PREVOD NA UCET	2505	23183	SIPO	QR	15103727
100207	343	1995-02-09	VYDAJ	PREVOD NA UCET	2505	22047	SIPO	QR	15103727
100208	343	1995-03-09	VYDAJ	PREVOD NA UCET	2505	21589	SIPO	QR	15103727
100209	343	1995-04-09	VYDAJ	PREVOD NA UCET	2505	21029	SIPO	QR	15103727
100210	343	1995-05-09	VYDAJ	PREVOD NA UCET	2505	21980	SIPO	QR	15103727
100211	343	1995-06-09	VYDAJ	PREVOD NA UCET	2505	20771	SIPO	QR	15103727
100212	343	1995-07-09	VYDAJ	PREVOD NA UCET	2505	17961	SIPO	QR	15103727
100213	343	1995-08-09	VYDAJ	PREVOD NA UCET	2505	17005	SIPO	QR	15103727
100214	343	1995-09-09	VYDAJ	PREVOD NA UCET	2505	15824	SIPO	QR	15103727
100215	343	1995-10-09	VYDAJ	PREVOD NA UCET	2505	18244	SIPO	QR	15103727
100216	343	1995-11-09	VYDAJ	PREVOD NA UCET	2505	18471	SIPO	QR	15103727
100217	343	1995-12-09	VYDAJ	PREVOD NA UCET	2505	14881	SIPO	QR	15103727
100218	343	1996-01-09	VYDAJ	PREVOD NA UCET	2505	16537	SIPO	QR	15103727
100219	343	1996-02-09	VYDAJ	PREVOD NA UCET	2505	10928	SIPO	QR	15103727
100220	343	1996-03-09	VYDAJ	PREVOD NA UCET	2505	10501	SIPO	QR	15103727
100221	343	1996-04-09	VYDAJ	PREVOD NA UCET	2505	11697	SIPO	QR	15103727
100222	343	1996-05-09	VYDAJ	PREVOD NA UCET	2505	12196	SIPO	QR	15103727
100223	343	1996-06-09	VYDAJ	PREVOD NA UCET	2505	8889	SIPO	QR	15103727
100224	343	1996-07-09	VYDAJ	PREVOD NA UCET	2505	11160	SIPO	QR	15103727
100225	343	1996-08-09	VYDAJ	PREVOD NA UCET	2505	13161	SIPO	QR	15103727
100226	343	1996-09-09	VYDAJ	PREVOD NA UCET	2505	15571	SIPO	QR	15103727
100227	343	1996-10-09	VYDAJ	PREVOD NA UCET	2505	12877	SIPO	QR	15103727
100228	343	1996-11-09	VYDAJ	PREVOD NA UCET	2505	13882	SIPO	QR	15103727
100229	343	1996-12-09	VYDAJ	PREVOD NA UCET	2505	14791	SIPO	QR	15103727
100230	343	1997-01-09	VYDAJ	PREVOD NA UCET	2505	11664	SIPO	QR	15103727
100231	343	1997-02-09	VYDAJ	PREVOD NA UCET	2505	11554	SIPO	QR	15103727
100232	343	1997-03-09	VYDAJ	PREVOD NA UCET	2505	12073	SIPO	QR	15103727
100233	343	1997-04-09	VYDAJ	PREVOD NA UCET	2505	13376	SIPO	QR	15103727
100234	343	1997-05-09	VYDAJ	PREVOD NA UCET	2505	9283	SIPO	QR	15103727
100235	343	1997-06-09	VYDAJ	PREVOD NA UCET	2505	10673	SIPO	QR	15103727
100236	343	1997-07-09	VYDAJ	PREVOD NA UCET	2505	12569	SIPO	QR	15103727
100237	343	1997-08-09	VYDAJ	PREVOD NA UCET	2505	15272	SIPO	QR	15103727
100238	343	1997-09-09	VYDAJ	PREVOD NA UCET	2505	20345	SIPO	QR	15103727
100239	343	1997-10-09	VYDAJ	PREVOD NA UCET	2505	23025	SIPO	QR	15103727
100240	343	1997-11-09	VYDAJ	PREVOD NA UCET	2505	22671	SIPO	QR	15103727
100241	343	1997-12-09	VYDAJ	PREVOD NA UCET	2505	21297	SIPO	QR	15103727
100242	343	1998-01-09	VYDAJ	PREVOD NA UCET	2505	17159	SIPO	QR	15103727
100243	343	1998-02-09	VYDAJ	PREVOD NA UCET	2505	12283	SIPO	QR	15103727
100244	343	1998-03-09	VYDAJ	PREVOD NA UCET	2505	11999	SIPO	QR	15103727
100245	343	1998-04-09	VYDAJ	PREVOD NA UCET	2505	14200	SIPO	QR	15103727
100246	343	1998-05-09	VYDAJ	PREVOD NA UCET	2505	14609	SIPO	QR	15103727
100247	343	1998-06-09	VYDAJ	PREVOD NA UCET	2505	12301	SIPO	QR	15103727
100248	343	1998-07-09	VYDAJ	PREVOD NA UCET	2505	17406	SIPO	QR	15103727
100249	343	1998-08-09	VYDAJ	PREVOD NA UCET	2505	17024	SIPO	QR	15103727
100250	343	1998-09-09	VYDAJ	PREVOD NA UCET	2505	15614	SIPO	QR	15103727
100251	343	1998-10-09	VYDAJ	PREVOD NA UCET	2505	16411	SIPO	QR	15103727
100252	343	1998-11-09	VYDAJ	PREVOD NA UCET	2505	15508	SIPO	QR	15103727
100253	343	1998-12-09	VYDAJ	PREVOD NA UCET	2505	14624	SIPO	QR	15103727
100255	343	1995-06-11	VYDAJ	VYBER	2040	22489	\N	\N	\N
100260	343	1995-01-13	VYDAJ	VYBER	2040	24601	\N	\N	\N
100261	343	1996-01-22	VYDAJ	VYBER	2760	13645	\N	\N	\N
100263	343	1998-01-02	VYDAJ	VYBER	570	24064	\N	\N	\N
100270	343	1995-01-21	VYDAJ	VYBER	510	26291	\N	\N	\N
100271	343	1995-01-27	VYDAJ	VYBER	420	25151	\N	\N	\N
100272	343	1995-01-24	VYDAJ	VYBER	210	26081	\N	\N	\N
100273	343	1995-01-30	VYDAJ	VYBER	690	24461	\N	\N	\N
100274	343	1995-01-11	VYDAJ	VYBER	300	26641	\N	\N	\N
100275	343	1995-01-25	VYDAJ	VYBER	510	25571	\N	\N	\N
100276	343	1996-01-22	VYDAJ	VYBER	870	16405	\N	\N	\N
100277	343	1996-01-19	VYDAJ	VYBER	750	17425	\N	\N	\N
100278	343	1996-01-09	VYDAJ	VYBER	420	16117	\N	\N	\N
100279	343	1996-01-22	VYDAJ	VYBER	150	17275	\N	\N	\N
100280	343	1996-01-03	VYDAJ	VYBER	360	19042	\N	\N	\N
100281	343	1996-01-26	VYDAJ	VYBER	270	13375	\N	\N	\N
100282	343	1997-01-26	VYDAJ	VYBER	390	14312	\N	\N	\N
100283	343	1997-01-23	VYDAJ	VYBER	450	14972	\N	\N	\N
100284	343	1997-01-07	VYDAJ	VYBER	270	14169	\N	\N	\N
100285	343	1997-01-29	VYDAJ	VYBER	300	14012	\N	\N	\N
100286	343	1997-01-02	VYDAJ	VYBER	870	14439	\N	\N	\N
100287	343	1997-01-25	VYDAJ	VYBER	270	14702	\N	\N	\N
100288	343	1998-01-11	VYDAJ	VYBER	360	20557	\N	\N	\N
100289	343	1998-01-03	VYDAJ	VYBER	690	23374	\N	\N	\N
100290	343	1998-01-01	VYDAJ	VYBER	150	24994	\N	\N	\N
100291	343	1998-01-04	VYDAJ	VYBER	480	22894	\N	\N	\N
100292	343	1998-01-05	VYDAJ	VYBER	630	22264	\N	\N	\N
100293	343	1998-01-01	VYDAJ	VYBER	360	24634	\N	\N	\N
100296	343	1994-10-10	VYDAJ	VYBER	720	30139	\N	\N	\N
100300	343	1994-12-27	VYDAJ	VYBER	450	25598	\N	\N	\N
100301	343	1995-05-14	VYDAJ	VYBER	750	24988	\N	\N	\N
100302	343	1995-08-03	VYDAJ	VYBER	480	19510	\N	\N	\N
100303	343	1995-05-04	VYDAJ	VYBER	1290	24485	\N	\N	\N
100304	343	1995-11-26	VYDAJ	VYBER	810	17319	\N	\N	\N
100306	343	1996-06-20	VYDAJ	VYBER	420	13627	\N	\N	\N
100307	343	1996-02-11	VYDAJ	VYBER	720	13966	\N	\N	\N
100308	343	1996-08-03	VYDAJ	VYBER	300	15666	\N	\N	\N
100309	343	1996-12-09	VYDAJ	VYBER	1290	13501	\N	\N	\N
100310	343	1997-10-02	VYDAJ	VYBER	450	23730	\N	\N	\N
100311	343	1997-11-17	VYDAJ	VYBER	420	26009	\N	\N	\N
100312	343	1997-08-30	VYDAJ	VYBER	1440	17590	\N	\N	\N
100313	343	1997-03-07	VYDAJ	VYBER	780	14578	\N	\N	\N
100314	343	1998-06-25	VYDAJ	VYBER	600	15459	\N	\N	\N
100315	343	1998-08-10	VYDAJ	VYBER	1230	19552	\N	\N	\N
100316	343	1998-06-08	VYDAJ	VYBER	720	14806	\N	\N	\N
100317	343	1998-10-17	VYDAJ	VYBER	1320	18849	\N	\N	\N
100318	343	1998-01-20	VYDAJ	VYBER	1140	19417	\N	\N	\N
100319	343	1998-02-16	VYDAJ	VYBER	690	15351	\N	\N	\N
100320	343	1998-10-09	VYDAJ	VYBER	1320	18916	\N	\N	\N
100330	343	1994-09-30	VYDAJ	VYBER	15	29606	SLUZBY	\N	\N
100331	343	1994-10-31	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
100332	343	1994-11-30	VYDAJ	VYBER	15	23895	SLUZBY	\N	\N
100333	343	1994-12-31	VYDAJ	VYBER	15	25688	SLUZBY	\N	\N
100334	343	1995-01-31	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
100335	343	1995-02-28	VYDAJ	VYBER	15	24094	SLUZBY	\N	\N
100336	343	1995-03-31	VYDAJ	VYBER	15	23534	SLUZBY	\N	\N
100337	343	1995-04-30	VYDAJ	VYBER	15	25775	SLUZBY	\N	\N
100338	343	1995-05-31	VYDAJ	VYBER	15	23276	SLUZBY	\N	\N
100339	343	1995-06-30	VYDAJ	VYBER	15	20466	SLUZBY	\N	\N
100340	343	1995-07-31	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
100341	343	1995-08-31	VYDAJ	VYBER	15	18329	SLUZBY	\N	\N
100342	343	1995-09-30	VYDAJ	VYBER	15	20749	SLUZBY	\N	\N
100343	343	1995-10-31	VYDAJ	VYBER	15	20976	SLUZBY	\N	\N
100344	343	1995-11-30	VYDAJ	VYBER	15	17386	SLUZBY	\N	\N
100345	343	1995-12-31	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
100346	343	1996-01-31	VYDAJ	VYBER	15	13433	SLUZBY	\N	\N
100347	343	1996-02-29	VYDAJ	VYBER	15	13006	SLUZBY	\N	\N
100348	343	1996-03-31	VYDAJ	VYBER	15	14202	SLUZBY	\N	\N
100349	343	1996-04-30	VYDAJ	VYBER	15	14701	SLUZBY	\N	\N
100350	343	1996-05-31	VYDAJ	VYBER	15	11394	SLUZBY	\N	\N
100351	343	1996-06-30	VYDAJ	VYBER	15	13665	SLUZBY	\N	\N
100352	343	1996-07-31	VYDAJ	VYBER	15	15966	SLUZBY	\N	\N
100353	343	1996-08-31	VYDAJ	VYBER	15	18076	SLUZBY	\N	\N
100354	343	1996-09-30	VYDAJ	VYBER	15	15382	SLUZBY	\N	\N
100355	343	1996-10-31	VYDAJ	VYBER	15	16387	SLUZBY	\N	\N
100356	343	1996-11-30	VYDAJ	VYBER	15	17296	SLUZBY	\N	\N
100357	343	1996-12-31	VYDAJ	VYBER	15	15309	SLUZBY	\N	\N
100358	343	1997-01-31	VYDAJ	VYBER	15	14059	SLUZBY	\N	\N
100359	343	1997-02-28	VYDAJ	VYBER	15	15358	SLUZBY	\N	\N
100360	343	1997-03-31	VYDAJ	VYBER	15	15881	SLUZBY	\N	\N
100361	343	1997-04-30	VYDAJ	VYBER	15	11788	SLUZBY	\N	\N
100362	343	1997-05-31	VYDAJ	VYBER	15	13178	SLUZBY	\N	\N
100363	343	1997-06-30	VYDAJ	VYBER	15	14474	SLUZBY	\N	\N
100364	343	1997-07-31	VYDAJ	VYBER	15	16377	SLUZBY	\N	\N
100365	343	1997-08-31	VYDAJ	VYBER	15	17650	SLUZBY	\N	\N
100366	343	1997-09-30	VYDAJ	VYBER	15	24180	SLUZBY	\N	\N
100367	343	1997-10-31	VYDAJ	VYBER	15	26876	SLUZBY	\N	\N
100368	343	1997-11-30	VYDAJ	VYBER	15	26102	SLUZBY	\N	\N
100369	343	1997-12-31	VYDAJ	VYBER	15	25144	SLUZBY	\N	\N
100370	343	1998-01-31	VYDAJ	VYBER	15	19488	SLUZBY	\N	\N
100371	343	1998-02-28	VYDAJ	VYBER	15	15404	SLUZBY	\N	\N
100372	343	1998-03-31	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
100373	343	1998-04-30	VYDAJ	VYBER	15	18014	SLUZBY	\N	\N
100374	343	1998-05-31	VYDAJ	VYBER	15	18426	SLUZBY	\N	\N
100375	343	1998-06-30	VYDAJ	VYBER	15	15511	SLUZBY	\N	\N
100376	343	1998-07-31	VYDAJ	VYBER	15	21229	SLUZBY	\N	\N
100377	343	1998-08-31	VYDAJ	VYBER	15	19619	SLUZBY	\N	\N
100378	343	1998-09-30	VYDAJ	VYBER	15	19436	SLUZBY	\N	\N
100379	343	1998-10-31	VYDAJ	VYBER	15	18913	SLUZBY	\N	\N
100380	343	1998-11-30	VYDAJ	VYBER	15	19329	SLUZBY	\N	\N
100381	343	1994-05-26	PRIJEM	VKLAD	12100	16758	\N	\N	\N
100382	343	1994-06-25	PRIJEM	VKLAD	3400	23930	\N	\N	\N
100383	343	1994-07-25	PRIJEM	VKLAD	500	28263	\N	\N	\N
100384	343	1994-08-24	VYDAJ	VYBER	3800	28325	\N	\N	\N
100385	343	1994-09-23	VYDAJ	VYBER	2700	29501	\N	\N	\N
100386	343	1994-10-23	VYDAJ	VYBER	3300	26839	\N	\N	\N
100387	343	1994-11-22	VYDAJ	VYBER	4400	23799	\N	\N	\N
100388	343	1994-12-22	PRIJEM	VKLAD	900	26048	\N	\N	\N
100389	343	1995-01-21	PRIJEM	VKLAD	2200	26801	\N	\N	\N
100390	343	1995-02-20	VYDAJ	VYBER	1800	24005	\N	\N	\N
100391	343	1995-03-22	VYDAJ	VYBER	1900	23447	\N	\N	\N
100392	343	1995-04-21	PRIJEM	VKLAD	900	25687	\N	\N	\N
100393	343	1995-05-21	VYDAJ	VYBER	1800	23188	\N	\N	\N
100394	343	1995-06-20	VYDAJ	VYBER	2100	20389	\N	\N	\N
100395	343	1995-07-20	VYDAJ	VYBER	1800	19919	\N	\N	\N
100396	343	1995-08-19	VYDAJ	VYBER	2500	18263	\N	\N	\N
100397	343	1995-09-18	PRIJEM	VKLAD	1100	20682	\N	\N	\N
100398	343	1995-10-18	VYDAJ	VYBER	1100	20902	\N	\N	\N
100399	343	1995-11-17	VYDAJ	VYBER	4100	18129	\N	\N	\N
100400	343	1995-12-17	PRIJEM	VKLAD	700	19339	\N	\N	\N
100401	343	1996-01-16	VYDAJ	VYBER	1700	18175	\N	\N	\N
100402	343	1996-02-15	VYDAJ	VYBER	1000	12966	\N	\N	\N
100403	343	1996-03-16	VYDAJ	VYBER	100	14159	\N	\N	\N
100404	343	1996-04-15	VYDAJ	VYBER	800	14655	\N	\N	\N
100405	343	1996-05-15	VYDAJ	VYBER	4600	11354	\N	\N	\N
100406	343	1996-06-14	PRIJEM	VKLAD	1400	14047	\N	\N	\N
100407	343	1996-07-14	PRIJEM	VKLAD	1000	15918	\N	\N	\N
100408	343	1996-08-13	PRIJEM	VKLAD	1100	18019	\N	\N	\N
100409	343	1996-09-12	VYDAJ	VYBER	4000	15329	\N	\N	\N
100410	343	1996-10-12	VYDAJ	VYBER	300	16335	\N	\N	\N
100411	343	1996-11-11	VYDAJ	VYBER	400	17240	\N	\N	\N
100412	343	1996-12-11	VYDAJ	VYBER	2000	15259	\N	\N	\N
100413	343	1997-04-10	VYDAJ	VYBER	5400	11734	\N	\N	\N
100414	343	1997-05-10	PRIJEM	VKLAD	100	13141	\N	\N	\N
100415	343	1997-07-09	PRIJEM	VKLAD	600	15074	\N	\N	\N
100416	343	1997-08-08	PRIJEM	VKLAD	1400	17777	\N	\N	\N
100417	343	1997-09-07	PRIJEM	VKLAD	5200	22850	\N	\N	\N
100418	343	1997-10-07	PRIJEM	VKLAD	1800	25530	\N	\N	\N
100419	343	1997-11-06	VYDAJ	VYBER	1700	25176	\N	\N	\N
100420	343	1997-12-06	VYDAJ	VYBER	2300	23802	\N	\N	\N
100421	343	1998-01-05	VYDAJ	VYBER	2600	19664	\N	\N	\N
100422	343	1998-02-04	VYDAJ	VYBER	4700	14788	\N	\N	\N
100423	343	1998-03-06	VYDAJ	VYBER	900	14504	\N	\N	\N
100424	343	1998-04-05	PRIJEM	VKLAD	900	16705	\N	\N	\N
100425	343	1998-05-05	VYDAJ	VYBER	900	17114	\N	\N	\N
100426	343	1998-06-04	VYDAJ	VYBER	2900	15526	\N	\N	\N
100427	343	1998-07-04	PRIJEM	VKLAD	4400	19911	\N	\N	\N
100428	343	1998-08-03	VYDAJ	VYBER	1700	19529	\N	\N	\N
100429	343	1998-09-02	VYDAJ	VYBER	1500	18119	\N	\N	\N
100430	343	1998-10-02	PRIJEM	VKLAD	800	20236	\N	\N	\N
100431	343	1998-11-01	VYDAJ	VYBER	900	18013	\N	\N	\N
100432	343	1998-12-01	VYDAJ	VYBER	2200	17129	\N	\N	\N
100489	344	1993-12-01	PRIJEM	VKLAD	600	600	\N	\N	\N
100501	344	1993-12-06	PRIJEM	VKLAD	20922	21522	\N	\N	\N
100502	344	1994-01-06	PRIJEM	VKLAD	13948	38746	\N	\N	\N
100503	344	1994-02-06	PRIJEM	VKLAD	13948	44999	\N	\N	\N
100504	344	1994-03-06	PRIJEM	VKLAD	13948	50876	\N	\N	\N
100505	344	1994-04-06	PRIJEM	VKLAD	13948	50920	\N	\N	\N
100506	344	1994-05-06	PRIJEM	VKLAD	13948	44993	\N	\N	\N
100507	344	1994-06-06	PRIJEM	VKLAD	20922	51216	\N	\N	\N
100508	344	1994-07-06	PRIJEM	VKLAD	13948	36032	\N	\N	\N
100509	344	1994-08-06	PRIJEM	VKLAD	13948	37743	\N	\N	\N
100510	344	1994-09-06	PRIJEM	VKLAD	13948	44461	\N	\N	\N
100511	344	1994-10-06	PRIJEM	VKLAD	13948	45001	\N	\N	\N
100512	344	1994-11-06	PRIJEM	VKLAD	13948	46547	\N	\N	\N
100513	344	1994-12-06	PRIJEM	VKLAD	20922	53377	\N	\N	\N
100514	344	1995-01-06	PRIJEM	VKLAD	13948	48640	\N	\N	\N
100515	344	1995-02-06	PRIJEM	VKLAD	13948	41595	\N	\N	\N
100516	344	1995-03-06	PRIJEM	VKLAD	13948	45940	\N	\N	\N
100517	344	1995-04-06	PRIJEM	VKLAD	13948	44401	\N	\N	\N
100518	344	1995-05-06	PRIJEM	VKLAD	13948	47167	\N	\N	\N
100519	344	1995-06-06	PRIJEM	VKLAD	20922	53305	\N	\N	\N
100520	344	1995-07-06	PRIJEM	VKLAD	13948	39227	\N	\N	\N
100521	344	1995-08-06	PRIJEM	VKLAD	13948	41963	\N	\N	\N
100522	344	1995-09-06	PRIJEM	VKLAD	13948	44116	\N	\N	\N
100523	344	1995-10-06	PRIJEM	VKLAD	13948	45671	\N	\N	\N
100524	344	1995-11-06	PRIJEM	VKLAD	13948	50242	\N	\N	\N
100525	344	1995-12-06	PRIJEM	VKLAD	20922	59294	\N	\N	\N
100526	344	1996-01-06	PRIJEM	VKLAD	13948	56204	\N	\N	\N
100527	344	1996-02-06	PRIJEM	VKLAD	13948	53393	\N	\N	\N
100528	344	1996-03-06	PRIJEM	VKLAD	13948	54982	\N	\N	\N
100529	344	1996-04-06	PRIJEM	VKLAD	13948	56076	\N	\N	\N
100530	344	1996-05-06	PRIJEM	VKLAD	13948	57473	\N	\N	\N
100531	344	1996-06-06	PRIJEM	VKLAD	20922	60542	\N	\N	\N
100532	344	1996-07-06	PRIJEM	VKLAD	13948	56341	\N	\N	\N
100533	344	1996-08-06	PRIJEM	VKLAD	13948	55035	\N	\N	\N
100534	344	1996-09-06	PRIJEM	VKLAD	13948	54923	\N	\N	\N
100535	344	1996-10-06	PRIJEM	VKLAD	13948	59720	\N	\N	\N
100536	344	1996-11-06	PRIJEM	VKLAD	13948	62232	\N	\N	\N
100537	344	1996-12-06	PRIJEM	VKLAD	20922	63408	\N	\N	\N
100538	344	1997-01-06	PRIJEM	VKLAD	13948	56915	\N	\N	\N
100539	344	1997-02-06	PRIJEM	VKLAD	13948	44483	\N	\N	\N
100540	344	1997-03-06	PRIJEM	VKLAD	13948	44823	\N	\N	\N
100541	344	1997-04-06	PRIJEM	VKLAD	13948	49276	\N	\N	\N
100542	344	1997-05-06	PRIJEM	VKLAD	13948	48736	\N	\N	\N
100543	344	1997-06-06	PRIJEM	VKLAD	20922	57577	\N	\N	\N
100544	344	1997-07-06	PRIJEM	VKLAD	13948	47745	\N	\N	\N
100545	344	1997-08-06	PRIJEM	VKLAD	13948	49802	\N	\N	\N
100546	344	1997-09-06	PRIJEM	VKLAD	13948	53573	\N	\N	\N
100547	344	1997-10-06	PRIJEM	VKLAD	13948	54851	\N	\N	\N
100548	344	1997-11-06	PRIJEM	VKLAD	13948	54028	\N	\N	\N
100549	344	1997-12-06	PRIJEM	VKLAD	20922	62183	\N	\N	\N
100550	344	1998-01-06	PRIJEM	VKLAD	13948	57473	\N	\N	\N
100551	344	1998-02-06	PRIJEM	VKLAD	13948	55261	\N	\N	\N
100552	344	1998-03-06	PRIJEM	VKLAD	13948	55944	\N	\N	\N
100553	344	1998-04-06	PRIJEM	VKLAD	13948	57333	\N	\N	\N
100554	344	1998-05-06	PRIJEM	VKLAD	13948	53022	\N	\N	\N
100555	344	1998-06-06	PRIJEM	VKLAD	20922	59781	\N	\N	\N
100556	344	1998-07-06	PRIJEM	VKLAD	13948	37514	\N	\N	\N
100557	344	1998-08-06	PRIJEM	VKLAD	13948	43850	\N	\N	\N
100558	344	1998-09-06	PRIJEM	VKLAD	13948	48603	\N	\N	\N
100559	344	1998-10-06	PRIJEM	VKLAD	13948	50665	\N	\N	\N
100560	344	1998-11-06	PRIJEM	VKLAD	13948	53331	\N	\N	\N
100561	344	1998-12-06	PRIJEM	VKLAD	20922	64600	\N	\N	\N
100577	344	1994-04-10	VYDAJ	PREVOD NA UCET	4739	44581	SIPO	WX	47483712
100578	344	1994-05-10	VYDAJ	PREVOD NA UCET	4739	37054	SIPO	WX	47483712
100579	344	1994-06-10	VYDAJ	PREVOD NA UCET	4739	46477	SIPO	WX	47483712
100580	344	1994-07-10	VYDAJ	PREVOD NA UCET	4739	31293	SIPO	WX	47483712
100581	344	1994-08-10	VYDAJ	PREVOD NA UCET	4739	33004	SIPO	WX	47483712
100582	344	1994-09-10	VYDAJ	PREVOD NA UCET	4739	38522	SIPO	WX	47483712
100583	344	1994-10-10	VYDAJ	PREVOD NA UCET	4739	40262	SIPO	WX	47483712
100584	344	1994-11-10	VYDAJ	PREVOD NA UCET	4739	41808	SIPO	WX	47483712
100585	344	1994-12-10	VYDAJ	PREVOD NA UCET	4739	48638	SIPO	WX	47483712
100586	344	1995-01-10	VYDAJ	PREVOD NA UCET	4739	38101	SIPO	WX	47483712
100587	344	1995-02-10	VYDAJ	PREVOD NA UCET	4739	36856	SIPO	WX	47483712
100588	344	1995-03-10	VYDAJ	PREVOD NA UCET	4739	41201	SIPO	WX	47483712
100589	344	1995-04-10	VYDAJ	PREVOD NA UCET	4739	39662	SIPO	WX	47483712
100590	344	1995-05-10	VYDAJ	PREVOD NA UCET	4739	42428	SIPO	WX	47483712
100591	344	1995-06-10	VYDAJ	PREVOD NA UCET	4739	25466	SIPO	WX	47483712
100592	344	1995-07-10	VYDAJ	PREVOD NA UCET	4739	34488	SIPO	WX	47483712
100593	344	1995-08-10	VYDAJ	PREVOD NA UCET	4739	37224	SIPO	WX	47483712
100594	344	1995-09-10	VYDAJ	PREVOD NA UCET	4739	39377	SIPO	WX	47483712
100595	344	1995-10-10	VYDAJ	PREVOD NA UCET	4739	40932	SIPO	WX	47483712
100596	344	1995-11-10	VYDAJ	PREVOD NA UCET	4739	45503	SIPO	WX	47483712
100597	344	1995-12-10	VYDAJ	PREVOD NA UCET	4739	54555	SIPO	WX	47483712
100598	344	1996-01-10	VYDAJ	PREVOD NA UCET	4739	51465	SIPO	WX	47483712
100599	344	1996-02-10	VYDAJ	PREVOD NA UCET	4739	48654	SIPO	WX	47483712
100600	344	1996-03-10	VYDAJ	PREVOD NA UCET	4739	50243	SIPO	WX	47483712
100601	344	1996-04-10	VYDAJ	PREVOD NA UCET	4739	51337	SIPO	WX	47483712
100602	344	1996-05-10	VYDAJ	PREVOD NA UCET	4739	52734	SIPO	WX	47483712
100603	344	1996-06-10	VYDAJ	PREVOD NA UCET	4739	47003	SIPO	WX	47483712
100604	344	1996-07-10	VYDAJ	PREVOD NA UCET	4739	51602	SIPO	WX	47483712
100605	344	1996-08-10	VYDAJ	PREVOD NA UCET	4739	50296	SIPO	WX	47483712
100606	344	1996-09-10	VYDAJ	PREVOD NA UCET	4739	50184	SIPO	WX	47483712
100607	344	1996-10-10	VYDAJ	PREVOD NA UCET	4739	54981	SIPO	WX	47483712
100608	344	1996-11-10	VYDAJ	PREVOD NA UCET	4739	57493	SIPO	WX	47483712
100609	344	1996-12-10	VYDAJ	PREVOD NA UCET	4739	57769	SIPO	WX	47483712
100610	344	1997-01-10	VYDAJ	PREVOD NA UCET	4739	52176	SIPO	WX	47483712
100611	344	1997-02-10	VYDAJ	PREVOD NA UCET	4739	39744	SIPO	WX	47483712
100612	344	1997-03-10	VYDAJ	PREVOD NA UCET	4739	40084	SIPO	WX	47483712
100613	344	1997-04-10	VYDAJ	PREVOD NA UCET	4739	44537	SIPO	WX	47483712
100614	344	1997-05-10	VYDAJ	PREVOD NA UCET	4739	43997	SIPO	WX	47483712
100615	344	1997-06-10	VYDAJ	PREVOD NA UCET	4739	52838	SIPO	WX	47483712
100616	344	1997-07-10	VYDAJ	PREVOD NA UCET	4739	43006	SIPO	WX	47483712
100617	344	1997-08-10	VYDAJ	PREVOD NA UCET	4739	45063	SIPO	WX	47483712
100618	344	1997-09-10	VYDAJ	PREVOD NA UCET	4739	48834	SIPO	WX	47483712
100619	344	1997-10-10	VYDAJ	PREVOD NA UCET	4739	50112	SIPO	WX	47483712
100620	344	1997-11-10	VYDAJ	PREVOD NA UCET	4739	49289	SIPO	WX	47483712
100621	344	1997-12-10	VYDAJ	PREVOD NA UCET	4739	46644	SIPO	WX	47483712
100622	344	1998-01-10	VYDAJ	PREVOD NA UCET	4739	45534	SIPO	WX	47483712
100623	344	1998-02-10	VYDAJ	PREVOD NA UCET	4739	43522	SIPO	WX	47483712
100624	344	1998-03-10	VYDAJ	PREVOD NA UCET	4739	51205	SIPO	WX	47483712
100625	344	1998-04-10	VYDAJ	PREVOD NA UCET	4739	44794	SIPO	WX	47483712
100626	344	1998-05-10	VYDAJ	PREVOD NA UCET	4739	43383	SIPO	WX	47483712
100627	344	1998-06-10	VYDAJ	PREVOD NA UCET	4739	43042	SIPO	WX	47483712
100628	344	1998-07-10	VYDAJ	PREVOD NA UCET	4739	34075	SIPO	WX	47483712
100629	344	1998-08-10	VYDAJ	PREVOD NA UCET	4739	36211	SIPO	WX	47483712
100630	344	1998-09-10	VYDAJ	PREVOD NA UCET	4739	38264	SIPO	WX	47483712
100631	344	1998-10-10	VYDAJ	PREVOD NA UCET	4739	43426	SIPO	WX	47483712
100632	344	1998-11-10	VYDAJ	PREVOD NA UCET	4739	48592	SIPO	WX	47483712
100633	344	1998-12-10	VYDAJ	PREVOD NA UCET	4739	58061	SIPO	WX	47483712
100649	344	1994-04-08	VYDAJ	VYBER	1600	49320	\N	\N	0
100650	344	1994-05-06	VYDAJ	VYBER	2300	41793	\N	\N	0
100651	344	1994-06-14	VYDAJ	VYBER	1500	44977	\N	\N	0
100652	344	1994-07-25	VYDAJ	VYBER	1500	29793	\N	\N	0
100653	344	1994-07-31	VYDAJ	VYBER	1800	23809	\N	\N	0
100654	344	1994-09-09	VYDAJ	VYBER	1200	43261	\N	\N	0
100655	344	1994-10-25	VYDAJ	VYBER	1700	38562	\N	\N	0
100656	344	1994-11-05	VYDAJ	VYBER	900	32599	\N	\N	0
100657	344	1994-12-10	VYDAJ	VYBER	1500	47138	\N	\N	0
100658	344	1995-01-12	VYDAJ	PREVOD NA UCET	1683	36418	UVER	CD	77219027
100659	344	1995-02-12	VYDAJ	PREVOD NA UCET	1683	35173	UVER	CD	77219027
100660	344	1995-03-12	VYDAJ	PREVOD NA UCET	1683	39518	UVER	CD	77219027
100661	344	1995-04-12	VYDAJ	PREVOD NA UCET	1683	37979	UVER	CD	77219027
100662	344	1995-05-12	VYDAJ	PREVOD NA UCET	1683	40745	UVER	CD	77219027
100663	344	1995-06-12	VYDAJ	PREVOD NA UCET	1683	23783	UVER	CD	77219027
100664	344	1995-07-12	VYDAJ	PREVOD NA UCET	1683	32805	UVER	CD	77219027
100665	344	1995-08-12	VYDAJ	PREVOD NA UCET	1683	35541	UVER	CD	77219027
100666	344	1995-09-12	VYDAJ	PREVOD NA UCET	1683	37694	UVER	CD	77219027
100667	344	1995-10-12	VYDAJ	PREVOD NA UCET	1683	39249	UVER	CD	77219027
100668	344	1995-11-12	VYDAJ	PREVOD NA UCET	1683	43820	UVER	CD	77219027
100669	344	1995-12-12	VYDAJ	PREVOD NA UCET	1683	52872	UVER	CD	77219027
100670	344	1996-01-12	VYDAJ	PREVOD NA UCET	1683	49782	UVER	CD	77219027
100671	344	1996-02-12	VYDAJ	PREVOD NA UCET	1683	46971	UVER	CD	77219027
100672	344	1996-03-12	VYDAJ	PREVOD NA UCET	1683	48560	UVER	CD	77219027
100673	344	1996-04-12	VYDAJ	PREVOD NA UCET	1683	49654	UVER	CD	77219027
100674	344	1996-05-12	VYDAJ	PREVOD NA UCET	1683	51051	UVER	CD	77219027
100675	344	1996-06-12	VYDAJ	PREVOD NA UCET	1683	45320	UVER	CD	77219027
100676	344	1996-07-12	VYDAJ	PREVOD NA UCET	1683	49919	UVER	CD	77219027
100677	344	1996-08-12	VYDAJ	PREVOD NA UCET	1683	48613	UVER	CD	77219027
100678	344	1996-09-12	VYDAJ	PREVOD NA UCET	1683	48501	UVER	CD	77219027
100679	344	1996-10-12	VYDAJ	PREVOD NA UCET	1683	53298	UVER	CD	77219027
100680	344	1996-11-12	VYDAJ	PREVOD NA UCET	1683	55810	UVER	CD	77219027
100681	344	1996-12-12	VYDAJ	PREVOD NA UCET	1683	56086	UVER	CD	77219027
100798	344	1995-11-30	VYDAJ	VYBER	15	39572	SLUZBY	\N	\N
100682	344	1997-01-12	VYDAJ	PREVOD NA UCET	1683	50493	UVER	CD	77219027
100683	344	1997-02-12	VYDAJ	PREVOD NA UCET	1683	38061	UVER	CD	77219027
100684	344	1997-03-12	VYDAJ	PREVOD NA UCET	1683	36901	UVER	CD	77219027
100685	344	1997-04-12	VYDAJ	PREVOD NA UCET	1683	42854	UVER	CD	77219027
100686	344	1997-05-12	VYDAJ	PREVOD NA UCET	1683	42314	UVER	CD	77219027
100687	344	1997-06-12	VYDAJ	PREVOD NA UCET	1683	32255	UVER	CD	77219027
100688	344	1997-07-12	VYDAJ	PREVOD NA UCET	1683	41323	UVER	CD	77219027
100689	344	1997-08-12	VYDAJ	PREVOD NA UCET	1683	41380	UVER	CD	77219027
100690	344	1997-09-12	VYDAJ	PREVOD NA UCET	1683	40751	UVER	CD	77219027
100691	344	1997-10-12	VYDAJ	PREVOD NA UCET	1683	39929	UVER	CD	77219027
100692	344	1997-11-12	VYDAJ	PREVOD NA UCET	1683	41106	UVER	CD	77219027
100693	344	1997-12-12	VYDAJ	PREVOD NA UCET	1683	44961	UVER	CD	77219027
100694	344	1998-01-12	VYDAJ	PREVOD NA UCET	1683	43851	UVER	CD	77219027
100695	344	1998-02-12	VYDAJ	PREVOD NA UCET	1683	41839	UVER	CD	77219027
100696	344	1998-03-12	VYDAJ	PREVOD NA UCET	1683	44122	UVER	CD	77219027
100697	344	1998-04-12	VYDAJ	PREVOD NA UCET	1683	43111	UVER	CD	77219027
100698	344	1998-05-12	VYDAJ	PREVOD NA UCET	1683	41700	UVER	CD	77219027
100699	344	1998-06-12	VYDAJ	PREVOD NA UCET	1683	25959	UVER	CD	77219027
100700	344	1998-07-12	VYDAJ	PREVOD NA UCET	1683	32392	UVER	CD	77219027
100701	344	1998-08-12	VYDAJ	PREVOD NA UCET	1683	34528	UVER	CD	77219027
100702	344	1998-09-12	VYDAJ	PREVOD NA UCET	1683	36581	UVER	CD	77219027
100703	344	1998-10-12	VYDAJ	PREVOD NA UCET	1683	39143	UVER	CD	77219027
100704	344	1998-11-12	VYDAJ	PREVOD NA UCET	1683	46909	UVER	CD	77219027
100705	344	1998-12-12	VYDAJ	PREVOD NA UCET	1683	56378	UVER	CD	77219027
100707	344	1994-06-16	VYDAJ	VYBER	22900	22077	\N	\N	\N
100708	344	1995-06-09	VYDAJ	VYBER	23100	30205	\N	\N	\N
100709	344	1996-06-06	VYDAJ	VYBER	8800	51742	\N	\N	\N
100710	344	1997-06-11	VYDAJ	VYBER	18900	33938	\N	\N	\N
100711	344	1998-06-11	VYDAJ	VYBER	15400	27642	\N	\N	\N
100714	344	1995-01-07	VYDAJ	VYBER	5800	42840	\N	\N	\N
100715	344	1996-01-13	VYDAJ	VYBER	3200	46582	\N	\N	\N
100716	344	1997-01-18	VYDAJ	VYBER	6900	31293	\N	\N	\N
100717	344	1998-01-22	VYDAJ	VYBER	2700	41151	\N	\N	\N
100719	344	1994-12-21	VYDAJ	VYBER	2000	45138	\N	\N	\N
100720	344	1995-12-04	VYDAJ	VYBER	1200	38372	\N	\N	\N
100721	344	1996-12-07	VYDAJ	VYBER	900	62508	\N	\N	\N
100722	344	1997-12-27	VYDAJ	VYBER	1600	43361	\N	\N	\N
100723	344	1998-12-09	VYDAJ	VYBER	1800	62800	\N	\N	\N
100731	344	1994-05-04	VYDAJ	VYBER	4900	31045	\N	\N	\N
100732	344	1994-11-21	VYDAJ	VYBER	4100	37708	\N	\N	\N
100733	344	1994-08-22	VYDAJ	VYBER	1400	31604	\N	\N	\N
100735	344	1994-05-06	VYDAJ	VYBER	900	44093	\N	\N	\N
100736	344	1994-09-11	VYDAJ	VYBER	1000	37522	\N	\N	\N
100737	344	1995-05-24	VYDAJ	VYBER	500	40245	\N	\N	\N
100738	344	1995-08-03	VYDAJ	VYBER	2200	28015	\N	\N	\N
100739	344	1995-03-19	VYDAJ	VYBER	600	38918	\N	\N	\N
100740	344	1995-04-03	VYDAJ	VYBER	2500	30453	\N	\N	\N
100741	344	1995-01-20	VYDAJ	VYBER	3000	33418	\N	\N	\N
100742	344	1995-10-01	VYDAJ	VYBER	3100	31723	\N	\N	\N
100743	344	1996-11-14	VYDAJ	VYBER	2500	53310	\N	\N	\N
100744	344	1996-07-18	VYDAJ	VYBER	4300	45619	\N	\N	\N
100745	344	1996-12-19	VYDAJ	VYBER	2600	42786	\N	\N	\N
100746	344	1996-05-27	VYDAJ	VYBER	1200	39451	\N	\N	\N
100747	344	1996-07-18	VYDAJ	VYBER	700	42919	\N	\N	\N
100748	344	1996-07-26	VYDAJ	VYBER	2000	40919	\N	\N	\N
100749	344	1996-02-25	VYDAJ	VYBER	2800	40871	\N	\N	\N
100750	344	1997-08-13	VYDAJ	VYBER	1900	39480	\N	\N	\N
100751	344	1997-06-04	VYDAJ	VYBER	1900	36655	\N	\N	\N
100752	344	1997-03-11	VYDAJ	VYBER	1500	38584	\N	\N	\N
100753	344	1997-04-26	VYDAJ	VYBER	500	34654	\N	\N	\N
100754	344	1997-01-30	VYDAJ	VYBER	900	30393	\N	\N	\N
100755	344	1998-05-26	VYDAJ	VYBER	3000	38700	\N	\N	\N
100756	344	1998-10-11	VYDAJ	VYBER	2600	40826	\N	\N	\N
100757	344	1998-08-03	VYDAJ	VYBER	2600	29902	\N	\N	\N
100758	344	1998-03-28	VYDAJ	VYBER	900	43222	\N	\N	\N
100759	344	1998-11-22	VYDAJ	VYBER	2200	44709	\N	\N	\N
100760	344	1998-05-02	VYDAJ	VYBER	4200	39074	\N	\N	\N
100761	344	1998-06-20	VYDAJ	VYBER	2500	23459	\N	\N	\N
100762	344	1998-10-17	VYDAJ	VYBER	3800	35343	\N	\N	\N
100779	344	1994-04-30	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
100780	344	1994-05-31	VYDAJ	VYBER	15	30294	SLUZBY	\N	\N
100781	344	1994-06-30	VYDAJ	VYBER	15	22084	SLUZBY	\N	\N
100782	344	1994-07-31	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
100783	344	1994-08-31	VYDAJ	VYBER	15	30513	SLUZBY	\N	\N
100784	344	1994-09-30	VYDAJ	VYBER	15	31053	SLUZBY	\N	\N
100785	344	1994-10-31	VYDAJ	VYBER	15	33499	SLUZBY	\N	\N
100786	344	1994-11-30	VYDAJ	VYBER	15	32455	SLUZBY	\N	\N
100787	344	1994-12-31	VYDAJ	VYBER	15	34692	SLUZBY	\N	\N
100788	344	1995-01-31	VYDAJ	VYBER	15	27647	SLUZBY	\N	\N
100789	344	1995-02-28	VYDAJ	VYBER	15	31992	SLUZBY	\N	\N
100790	344	1995-03-31	VYDAJ	VYBER	15	32953	SLUZBY	\N	\N
100791	344	1995-04-30	VYDAJ	VYBER	15	33219	SLUZBY	\N	\N
100792	344	1995-05-31	VYDAJ	VYBER	15	32383	SLUZBY	\N	\N
100793	344	1995-06-30	VYDAJ	VYBER	15	25279	SLUZBY	\N	\N
100794	344	1995-07-31	VYDAJ	VYBER	15	30215	SLUZBY	\N	\N
100795	344	1995-08-31	VYDAJ	VYBER	15	30168	SLUZBY	\N	\N
100796	344	1995-09-30	VYDAJ	VYBER	15	34823	SLUZBY	\N	\N
100797	344	1995-10-31	VYDAJ	VYBER	15	36294	SLUZBY	\N	\N
100799	344	1995-12-31	VYDAJ	VYBER	15	42256	SLUZBY	\N	\N
100800	344	1996-01-31	VYDAJ	VYBER	15	39445	SLUZBY	\N	\N
100801	344	1996-02-29	VYDAJ	VYBER	15	41034	SLUZBY	\N	\N
100802	344	1996-03-31	VYDAJ	VYBER	15	42128	SLUZBY	\N	\N
100803	344	1996-04-30	VYDAJ	VYBER	15	43525	SLUZBY	\N	\N
100804	344	1996-05-31	VYDAJ	VYBER	15	39620	SLUZBY	\N	\N
100805	344	1996-06-30	VYDAJ	VYBER	15	42393	SLUZBY	\N	\N
100806	344	1996-07-31	VYDAJ	VYBER	15	41087	SLUZBY	\N	\N
100807	344	1996-08-31	VYDAJ	VYBER	15	40975	SLUZBY	\N	\N
100808	344	1996-09-30	VYDAJ	VYBER	15	45772	SLUZBY	\N	\N
100809	344	1996-10-31	VYDAJ	VYBER	15	48284	SLUZBY	\N	\N
100810	344	1996-11-30	VYDAJ	VYBER	15	42486	SLUZBY	\N	\N
100811	344	1996-12-31	VYDAJ	VYBER	15	42967	SLUZBY	\N	\N
100812	344	1997-01-31	VYDAJ	VYBER	15	30535	SLUZBY	\N	\N
100813	344	1997-02-28	VYDAJ	VYBER	15	30875	SLUZBY	\N	\N
100814	344	1997-03-31	VYDAJ	VYBER	15	35328	SLUZBY	\N	\N
100815	344	1997-04-30	VYDAJ	VYBER	15	34788	SLUZBY	\N	\N
100816	344	1997-05-31	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
100817	344	1997-06-30	VYDAJ	VYBER	15	33797	SLUZBY	\N	\N
100818	344	1997-07-31	VYDAJ	VYBER	15	35854	SLUZBY	\N	\N
100819	344	1997-08-31	VYDAJ	VYBER	15	39625	SLUZBY	\N	\N
100820	344	1997-09-30	VYDAJ	VYBER	15	40903	SLUZBY	\N	\N
100821	344	1997-10-31	VYDAJ	VYBER	15	40080	SLUZBY	\N	\N
100822	344	1997-11-30	VYDAJ	VYBER	15	41261	SLUZBY	\N	\N
100823	344	1997-12-31	VYDAJ	VYBER	15	43525	SLUZBY	\N	\N
100824	344	1998-01-31	VYDAJ	VYBER	15	41313	SLUZBY	\N	\N
100825	344	1998-02-28	VYDAJ	VYBER	15	41996	SLUZBY	\N	\N
100826	344	1998-03-31	VYDAJ	VYBER	15	43385	SLUZBY	\N	\N
100827	344	1998-04-30	VYDAJ	VYBER	15	43274	SLUZBY	\N	\N
100828	344	1998-05-31	VYDAJ	VYBER	15	38859	SLUZBY	\N	\N
100829	344	1998-06-30	VYDAJ	VYBER	15	23566	SLUZBY	\N	\N
100830	344	1998-07-31	VYDAJ	VYBER	15	32502	SLUZBY	\N	\N
100831	344	1998-08-31	VYDAJ	VYBER	15	34655	SLUZBY	\N	\N
100832	344	1998-09-30	VYDAJ	VYBER	15	36717	SLUZBY	\N	\N
100833	344	1998-10-31	VYDAJ	VYBER	15	35483	SLUZBY	\N	\N
100834	344	1998-11-30	VYDAJ	VYBER	15	44878	SLUZBY	\N	\N
100835	344	1993-12-31	PRIJEM	VKLAD	3200	24798	\N	\N	\N
100836	344	1994-01-30	VYDAJ	VYBER	7800	30946	\N	\N	\N
100837	344	1994-03-01	VYDAJ	VYBER	8200	36928	\N	\N	\N
100838	344	1994-03-31	VYDAJ	VYBER	14100	36972	\N	\N	\N
100839	344	1994-04-30	VYDAJ	VYBER	8800	35960	\N	\N	\N
100840	344	1994-05-30	VYDAJ	VYBER	6900	30154	\N	\N	\N
100841	344	1994-06-29	VYDAJ	VYBER	100	21977	\N	\N	\N
100842	344	1994-07-29	VYDAJ	VYBER	4300	25493	\N	\N	\N
100843	344	1994-08-28	VYDAJ	VYBER	1200	30404	\N	\N	\N
100844	344	1994-09-27	VYDAJ	VYBER	6600	30922	\N	\N	\N
100845	344	1994-10-27	VYDAJ	VYBER	5200	33362	\N	\N	\N
100846	344	1994-11-26	VYDAJ	VYBER	5400	32308	\N	\N	\N
100847	344	1994-12-26	VYDAJ	VYBER	10600	34538	\N	\N	\N
100848	344	1995-01-25	VYDAJ	VYBER	5900	27518	\N	\N	\N
100849	344	1995-02-24	VYDAJ	VYBER	3300	31873	\N	\N	\N
100850	344	1995-03-26	VYDAJ	VYBER	6100	32818	\N	\N	\N
100851	344	1995-04-25	VYDAJ	VYBER	4900	33079	\N	\N	\N
100852	344	1995-05-25	VYDAJ	VYBER	8000	32245	\N	\N	\N
100853	344	1995-06-24	PRIJEM	VKLAD	1400	25183	\N	\N	\N
100854	344	1995-07-24	VYDAJ	VYBER	2700	30105	\N	\N	\N
100855	344	1995-08-23	VYDAJ	VYBER	5500	30041	\N	\N	\N
100856	344	1995-09-22	VYDAJ	VYBER	3000	34694	\N	\N	\N
100857	344	1995-10-22	VYDAJ	VYBER	3100	36149	\N	\N	\N
100858	344	1995-11-21	VYDAJ	VYBER	4400	39420	\N	\N	\N
100859	344	1995-12-21	VYDAJ	VYBER	10800	42072	\N	\N	\N
100860	344	1996-01-20	VYDAJ	VYBER	7300	39282	\N	\N	\N
100861	344	1996-02-19	VYDAJ	VYBER	3300	43671	\N	\N	\N
100862	344	1996-03-20	VYDAJ	VYBER	6600	41960	\N	\N	\N
100863	344	1996-04-19	VYDAJ	VYBER	6300	43354	\N	\N	\N
100864	344	1996-05-19	VYDAJ	VYBER	10400	40651	\N	\N	\N
100865	344	1996-06-18	VYDAJ	VYBER	3100	42220	\N	\N	\N
100866	344	1996-07-18	VYDAJ	VYBER	2000	43619	\N	\N	\N
100867	344	1996-08-17	VYDAJ	VYBER	7800	40813	\N	\N	\N
100868	344	1996-09-16	VYDAJ	VYBER	2900	45601	\N	\N	\N
100869	344	1996-10-16	VYDAJ	VYBER	5200	48098	\N	\N	\N
100870	344	1996-11-15	VYDAJ	VYBER	11000	42310	\N	\N	\N
100871	344	1996-12-15	VYDAJ	VYBER	10700	45386	\N	\N	\N
100872	344	1997-01-14	VYDAJ	VYBER	12300	38193	\N	\N	\N
100873	344	1997-02-13	VYDAJ	VYBER	7300	30761	\N	\N	\N
100874	344	1997-03-15	VYDAJ	VYBER	1700	35201	\N	\N	\N
100875	344	1997-04-14	VYDAJ	VYBER	7700	35154	\N	\N	\N
100876	344	1997-05-14	VYDAJ	VYBER	3900	38414	\N	\N	\N
100877	344	1997-06-13	PRIJEM	VKLAD	1400	33655	\N	\N	\N
100878	344	1997-07-13	VYDAJ	VYBER	5600	35723	\N	\N	\N
100879	344	1997-08-12	VYDAJ	VYBER	2000	43063	\N	\N	\N
100880	344	1997-09-11	VYDAJ	VYBER	6400	42434	\N	\N	\N
100881	344	1997-10-11	VYDAJ	VYBER	8500	41612	\N	\N	\N
100882	344	1997-11-10	VYDAJ	VYBER	6500	42789	\N	\N	\N
100883	344	1997-12-10	VYDAJ	VYBER	10800	51383	\N	\N	\N
100884	344	1998-01-09	VYDAJ	VYBER	7200	50273	\N	\N	\N
100885	344	1998-02-08	VYDAJ	VYBER	7000	48261	\N	\N	\N
100886	344	1998-03-10	VYDAJ	VYBER	5400	45805	\N	\N	\N
100887	344	1998-04-09	VYDAJ	VYBER	7800	49533	\N	\N	\N
100888	344	1998-05-09	VYDAJ	VYBER	4900	48122	\N	\N	\N
100889	344	1998-06-08	VYDAJ	VYBER	12000	47781	\N	\N	\N
100890	344	1998-07-08	PRIJEM	VKLAD	1300	38814	\N	\N	\N
100891	344	1998-08-07	VYDAJ	VYBER	2900	40950	\N	\N	\N
100892	344	1998-09-06	VYDAJ	VYBER	5600	43003	\N	\N	\N
100893	344	1998-10-06	VYDAJ	VYBER	2500	48165	\N	\N	\N
100894	344	1998-11-05	PRIJEM	VKLAD	3900	39383	\N	\N	\N
100895	344	1998-12-05	VYDAJ	VYBER	1200	43678	\N	\N	\N
100957	345	1993-11-20	PRIJEM	VKLAD	200	200	\N	\N	\N
100969	345	1993-12-12	PRIJEM	VKLAD	24646	24846	\N	\N	\N
100970	345	1994-01-12	PRIJEM	VKLAD	16431	39815	\N	\N	\N
100971	345	1994-02-12	PRIJEM	VKLAD	16431	48859	\N	\N	\N
100972	345	1994-03-12	PRIJEM	VKLAD	16431	51929	\N	\N	\N
100973	345	1994-04-12	PRIJEM	VKLAD	16431	56515	\N	\N	\N
100974	345	1994-05-12	PRIJEM	VKLAD	16431	48380	\N	\N	\N
100975	345	1994-06-12	PRIJEM	VKLAD	24646	48956	\N	\N	\N
100976	345	1994-07-12	PRIJEM	VKLAD	16431	30810	\N	\N	\N
100977	345	1994-08-12	PRIJEM	VKLAD	16431	31108	\N	\N	\N
100978	345	1994-09-12	PRIJEM	VKLAD	16431	25508	\N	\N	\N
100979	345	1994-10-12	PRIJEM	VKLAD	16431	34905	\N	\N	\N
100980	345	1994-11-12	PRIJEM	VKLAD	16431	37228	\N	\N	\N
100981	345	1994-12-12	PRIJEM	VKLAD	24646	48874	\N	\N	\N
100982	345	1995-01-12	PRIJEM	VKLAD	16431	40824	\N	\N	\N
100983	345	1995-02-12	PRIJEM	VKLAD	16431	27652	\N	\N	\N
100984	345	1995-03-12	PRIJEM	VKLAD	16431	33648	\N	\N	\N
100985	345	1995-04-12	PRIJEM	VKLAD	16431	37666	\N	\N	\N
100986	345	1995-05-12	PRIJEM	VKLAD	16431	37690	\N	\N	\N
100987	345	1995-06-12	PRIJEM	VKLAD	24646	45831	\N	\N	\N
100988	345	1995-07-12	PRIJEM	VKLAD	16431	22650	\N	\N	\N
100989	345	1995-08-12	PRIJEM	VKLAD	16431	30637	\N	\N	\N
100990	345	1995-09-12	PRIJEM	VKLAD	16431	39644	\N	\N	\N
100991	345	1995-10-12	PRIJEM	VKLAD	16431	48489	\N	\N	\N
100992	345	1995-11-12	PRIJEM	VKLAD	16431	50774	\N	\N	\N
100993	345	1995-12-12	PRIJEM	VKLAD	24646	55292	\N	\N	\N
100994	345	1996-01-12	PRIJEM	VKLAD	16431	50102	\N	\N	\N
100995	345	1996-02-12	PRIJEM	VKLAD	16431	49085	\N	\N	\N
100996	345	1996-03-12	PRIJEM	VKLAD	16431	53273	\N	\N	\N
100997	345	1996-04-12	PRIJEM	VKLAD	16431	51684	\N	\N	\N
100998	345	1996-05-12	PRIJEM	VKLAD	16431	48786	\N	\N	\N
100999	345	1996-06-12	PRIJEM	VKLAD	24646	57297	\N	\N	\N
101000	345	1996-07-12	PRIJEM	VKLAD	16431	52905	\N	\N	\N
101001	345	1996-08-12	PRIJEM	VKLAD	16431	51205	\N	\N	\N
101002	345	1996-09-12	PRIJEM	VKLAD	16431	52306	\N	\N	\N
101003	345	1996-10-12	PRIJEM	VKLAD	16431	46397	\N	\N	\N
101004	345	1996-11-12	PRIJEM	VKLAD	16431	45584	\N	\N	\N
101005	345	1996-12-12	PRIJEM	VKLAD	24646	55384	\N	\N	\N
101006	345	1997-01-12	PRIJEM	VKLAD	16431	44390	\N	\N	\N
101007	345	1997-02-12	PRIJEM	VKLAD	16431	40736	\N	\N	\N
101008	345	1997-03-12	PRIJEM	VKLAD	16431	42879	\N	\N	\N
101009	345	1997-04-12	PRIJEM	VKLAD	16431	45937	\N	\N	\N
101010	345	1997-05-12	PRIJEM	VKLAD	16431	47213	\N	\N	\N
101011	345	1997-06-12	PRIJEM	VKLAD	24646	43916	\N	\N	\N
101012	345	1997-07-12	PRIJEM	VKLAD	16431	49570	\N	\N	\N
101013	345	1997-08-12	PRIJEM	VKLAD	16431	52461	\N	\N	\N
101014	345	1997-09-12	PRIJEM	VKLAD	16431	53968	\N	\N	\N
101015	345	1997-10-12	PRIJEM	VKLAD	16431	56476	\N	\N	\N
101016	345	1997-11-12	PRIJEM	VKLAD	16431	57802	\N	\N	\N
101017	345	1997-12-12	PRIJEM	VKLAD	24646	64439	\N	\N	\N
101018	345	1998-01-12	PRIJEM	VKLAD	16431	54276	\N	\N	\N
101019	345	1998-02-12	PRIJEM	VKLAD	16431	55685	\N	\N	\N
101020	345	1998-03-12	PRIJEM	VKLAD	16431	60299	\N	\N	\N
101021	345	1998-04-12	PRIJEM	VKLAD	16431	58131	\N	\N	\N
101022	345	1998-05-12	PRIJEM	VKLAD	16431	64660	\N	\N	\N
101023	345	1998-06-12	PRIJEM	VKLAD	24646	76625	\N	\N	\N
101024	345	1998-07-12	PRIJEM	VKLAD	16431	62081	\N	\N	\N
101025	345	1998-08-12	PRIJEM	VKLAD	16431	68023	\N	\N	\N
101026	345	1998-09-12	PRIJEM	VKLAD	16431	68090	\N	\N	\N
101027	345	1998-10-12	PRIJEM	VKLAD	16431	77662	\N	\N	\N
101028	345	1998-11-12	PRIJEM	VKLAD	16431	73563	\N	\N	\N
101029	345	1998-12-12	PRIJEM	VKLAD	24646	84065	\N	\N	\N
101046	345	1994-05-11	VYDAJ	PREVOD NA UCET	8819	31949	SIPO	QR	68522327
101047	345	1994-06-11	VYDAJ	PREVOD NA UCET	8819	24310	SIPO	QR	68522327
101048	345	1994-07-11	VYDAJ	PREVOD NA UCET	8819	14379	SIPO	QR	68522327
101049	345	1994-08-11	VYDAJ	PREVOD NA UCET	8819	14677	SIPO	QR	68522327
101050	345	1994-09-11	VYDAJ	PREVOD NA UCET	8819	9077	SIPO	QR	68522327
101051	345	1994-10-11	VYDAJ	PREVOD NA UCET	8819	18474	SIPO	QR	68522327
101052	345	1994-11-11	VYDAJ	PREVOD NA UCET	8819	20797	SIPO	QR	68522327
101053	345	1994-12-11	VYDAJ	PREVOD NA UCET	8819	24228	SIPO	QR	68522327
101054	345	1995-01-11	VYDAJ	PREVOD NA UCET	8819	24393	SIPO	QR	68522327
101055	345	1995-02-11	VYDAJ	PREVOD NA UCET	8819	11221	SIPO	QR	68522327
101056	345	1995-03-11	VYDAJ	PREVOD NA UCET	8819	17217	SIPO	QR	68522327
101057	345	1995-04-11	VYDAJ	PREVOD NA UCET	8819	21235	SIPO	QR	68522327
101058	345	1995-05-11	VYDAJ	PREVOD NA UCET	8819	21259	SIPO	QR	68522327
101059	345	1995-06-11	VYDAJ	PREVOD NA UCET	8819	21185	SIPO	QR	68522327
101060	345	1995-07-11	VYDAJ	PREVOD NA UCET	8819	6219	SIPO	QR	68522327
101061	345	1995-08-11	VYDAJ	PREVOD NA UCET	8819	14206	SIPO	QR	68522327
101062	345	1995-09-11	VYDAJ	PREVOD NA UCET	8819	23213	SIPO	QR	68522327
101063	345	1995-10-11	VYDAJ	PREVOD NA UCET	8819	32058	SIPO	QR	68522327
101064	345	1995-11-11	VYDAJ	PREVOD NA UCET	8819	34343	SIPO	QR	68522327
101065	345	1995-12-11	VYDAJ	PREVOD NA UCET	8819	30646	SIPO	QR	68522327
101066	345	1996-01-11	VYDAJ	PREVOD NA UCET	8819	33671	SIPO	QR	68522327
101067	345	1996-02-11	VYDAJ	PREVOD NA UCET	8819	32654	SIPO	QR	68522327
101068	345	1996-03-11	VYDAJ	PREVOD NA UCET	8819	36842	SIPO	QR	68522327
101069	345	1996-04-11	VYDAJ	PREVOD NA UCET	8819	35253	SIPO	QR	68522327
101070	345	1996-05-11	VYDAJ	PREVOD NA UCET	8819	32355	SIPO	QR	68522327
101071	345	1996-06-11	VYDAJ	PREVOD NA UCET	8819	32651	SIPO	QR	68522327
101072	345	1996-07-11	VYDAJ	PREVOD NA UCET	8819	36474	SIPO	QR	68522327
101073	345	1996-08-11	VYDAJ	PREVOD NA UCET	8819	34774	SIPO	QR	68522327
101074	345	1996-09-11	VYDAJ	PREVOD NA UCET	8819	35875	SIPO	QR	68522327
101075	345	1996-10-11	VYDAJ	PREVOD NA UCET	8819	29966	SIPO	QR	68522327
101076	345	1996-11-11	VYDAJ	PREVOD NA UCET	8819	29153	SIPO	QR	68522327
101077	345	1996-12-11	VYDAJ	PREVOD NA UCET	8819	30738	SIPO	QR	68522327
101078	345	1997-01-11	VYDAJ	PREVOD NA UCET	8819	27959	SIPO	QR	68522327
101079	345	1997-02-11	VYDAJ	PREVOD NA UCET	8819	24305	SIPO	QR	68522327
101080	345	1997-03-11	VYDAJ	PREVOD NA UCET	8819	26448	SIPO	QR	68522327
101081	345	1997-04-11	VYDAJ	PREVOD NA UCET	8819	29506	SIPO	QR	68522327
101082	345	1997-05-11	VYDAJ	PREVOD NA UCET	8819	30782	SIPO	QR	68522327
101083	345	1997-06-11	VYDAJ	PREVOD NA UCET	8819	19270	SIPO	QR	68522327
101084	345	1997-07-11	VYDAJ	PREVOD NA UCET	8819	33139	SIPO	QR	68522327
101085	345	1997-08-11	VYDAJ	PREVOD NA UCET	8819	36030	SIPO	QR	68522327
101086	345	1997-09-11	VYDAJ	PREVOD NA UCET	8819	37537	SIPO	QR	68522327
101087	345	1997-10-11	VYDAJ	PREVOD NA UCET	8819	40045	SIPO	QR	68522327
101088	345	1997-11-11	VYDAJ	PREVOD NA UCET	8819	41371	SIPO	QR	68522327
101089	345	1997-12-11	VYDAJ	PREVOD NA UCET	8819	39793	SIPO	QR	68522327
101090	345	1998-01-11	VYDAJ	PREVOD NA UCET	8819	40045	SIPO	QR	68522327
101091	345	1998-02-11	VYDAJ	PREVOD NA UCET	8819	39254	SIPO	QR	68522327
101092	345	1998-03-11	VYDAJ	PREVOD NA UCET	8819	43868	SIPO	QR	68522327
101093	345	1998-04-11	VYDAJ	PREVOD NA UCET	8819	41700	SIPO	QR	68522327
101094	345	1998-05-11	VYDAJ	PREVOD NA UCET	8819	48229	SIPO	QR	68522327
101095	345	1998-06-11	VYDAJ	PREVOD NA UCET	8819	51979	SIPO	QR	68522327
101096	345	1998-07-11	VYDAJ	PREVOD NA UCET	8819	45650	SIPO	QR	68522327
101097	345	1998-08-11	VYDAJ	PREVOD NA UCET	8819	51592	SIPO	QR	68522327
101098	345	1998-09-11	VYDAJ	PREVOD NA UCET	8819	51659	SIPO	QR	68522327
101099	345	1998-10-11	VYDAJ	PREVOD NA UCET	8819	61231	SIPO	QR	68522327
101100	345	1998-11-11	VYDAJ	PREVOD NA UCET	8819	57132	SIPO	QR	68522327
101101	345	1998-12-11	VYDAJ	PREVOD NA UCET	8819	59419	SIPO	QR	68522327
101103	345	1994-06-29	VYDAJ	VYBER	15800	23056	\N	\N	\N
101104	345	1995-06-23	VYDAJ	VYBER	23100	14931	\N	\N	\N
101105	345	1996-06-25	VYDAJ	VYBER	9800	47497	\N	\N	\N
101106	345	1997-06-01	VYDAJ	VYBER	24000	23389	\N	\N	\N
101107	345	1998-06-21	VYDAJ	VYBER	24500	52125	\N	\N	\N
101110	345	1995-01-29	VYDAJ	VYBER	8100	21324	\N	\N	\N
101111	345	1996-01-22	VYDAJ	VYBER	5000	41502	\N	\N	\N
101112	345	1997-01-21	VYDAJ	VYBER	5300	30490	\N	\N	\N
101113	345	1998-01-11	VYDAJ	VYBER	2200	37845	\N	\N	\N
101115	345	1994-12-30	VYDAJ	VYBER	2700	34274	\N	\N	\N
101116	345	1995-12-04	VYDAJ	VYBER	2200	48765	\N	\N	\N
101117	345	1996-12-19	VYDAJ	VYBER	2600	52784	\N	\N	\N
101118	345	1997-12-07	VYDAJ	VYBER	1900	48612	\N	\N	\N
101119	345	1998-12-15	VYDAJ	VYBER	1500	82565	\N	\N	\N
101132	345	1995-01-23	VYDAJ	VYBER	2100	29424	\N	\N	\N
101133	345	1995-01-29	VYDAJ	VYBER	1400	19924	\N	\N	\N
101134	345	1995-01-16	VYDAJ	VYBER	800	32324	\N	\N	\N
101135	345	1995-01-13	VYDAJ	VYBER	1300	39524	\N	\N	\N
101136	345	1995-01-19	VYDAJ	VYBER	800	31524	\N	\N	\N
101137	345	1995-01-05	VYDAJ	VYBER	1200	33212	\N	\N	\N
101138	345	1996-01-13	VYDAJ	VYBER	1200	48902	\N	\N	\N
101139	345	1996-01-14	VYDAJ	VYBER	1000	47902	\N	\N	\N
101140	345	1996-01-01	VYDAJ	VYBER	1600	50390	\N	\N	\N
101141	345	1996-01-15	VYDAJ	VYBER	1400	46502	\N	\N	\N
101142	345	1996-01-03	VYDAJ	VYBER	2800	47590	\N	\N	\N
101143	345	1996-01-04	VYDAJ	VYBER	2700	44890	\N	\N	\N
101144	345	1997-01-19	VYDAJ	VYBER	2800	35790	\N	\N	\N
101145	345	1997-01-01	VYDAJ	VYBER	800	52178	\N	\N	\N
101146	345	1997-01-13	VYDAJ	VYBER	1300	43090	\N	\N	\N
101147	345	1997-01-27	VYDAJ	VYBER	2900	27590	\N	\N	\N
101148	345	1997-01-07	VYDAJ	VYBER	2300	36778	\N	\N	\N
101149	345	1997-01-05	VYDAJ	VYBER	2000	39078	\N	\N	\N
101150	345	1998-01-24	VYDAJ	VYBER	2500	48176	\N	\N	\N
101151	345	1998-01-22	VYDAJ	VYBER	700	50676	\N	\N	\N
101152	345	1998-01-10	VYDAJ	VYBER	1900	50564	\N	\N	\N
101153	345	1998-01-01	VYDAJ	VYBER	2700	52464	\N	\N	\N
101154	345	1998-01-11	VYDAJ	VYBER	1700	48864	\N	\N	\N
101155	345	1998-01-16	VYDAJ	VYBER	2900	51376	\N	\N	\N
101164	345	1994-09-01	VYDAJ	VYBER	1900	17896	\N	\N	\N
101165	345	1994-10-31	VYDAJ	VYBER	1800	29631	\N	\N	\N
101166	345	1994-05-12	VYDAJ	VYBER	3500	44880	\N	\N	\N
101167	345	1994-07-14	VYDAJ	VYBER	4700	26110	\N	\N	\N
101168	345	1994-08-26	VYDAJ	VYBER	3100	19708	\N	\N	\N
101169	345	1994-08-25	VYDAJ	VYBER	2700	22808	\N	\N	\N
101170	345	1995-06-15	VYDAJ	VYBER	1400	38031	\N	\N	\N
101171	345	1995-12-18	VYDAJ	VYBER	3500	51792	\N	\N	\N
101172	345	1995-05-22	VYDAJ	VYBER	1400	29890	\N	\N	\N
101174	345	1995-07-25	VYDAJ	VYBER	4100	22950	\N	\N	\N
101175	345	1996-04-15	VYDAJ	VYBER	4600	47084	\N	\N	\N
101176	345	1996-09-18	VYDAJ	VYBER	4400	45706	\N	\N	\N
101177	345	1996-07-16	VYDAJ	VYBER	3400	49505	\N	\N	\N
101178	345	1996-08-26	VYDAJ	VYBER	2700	47005	\N	\N	\N
101179	345	1996-06-04	VYDAJ	VYBER	4700	44270	\N	\N	\N
101180	345	1996-08-18	VYDAJ	VYBER	1500	49705	\N	\N	\N
101181	345	1996-09-14	VYDAJ	VYBER	2200	50106	\N	\N	\N
101182	345	1997-06-23	VYDAJ	VYBER	1500	42416	\N	\N	\N
101183	345	1997-11-03	VYDAJ	VYBER	1100	50190	\N	\N	\N
101184	345	1997-03-04	VYDAJ	VYBER	1300	39567	\N	\N	\N
101185	345	1997-01-14	VYDAJ	VYBER	4500	38590	\N	\N	\N
101186	345	1997-03-19	VYDAJ	VYBER	3700	39179	\N	\N	\N
101187	345	1998-11-08	VYDAJ	VYBER	1500	65951	\N	\N	\N
101188	345	1998-11-03	VYDAJ	VYBER	4900	67451	\N	\N	\N
101189	345	1998-04-08	VYDAJ	VYBER	4400	50519	\N	\N	\N
101190	345	1998-07-31	VYDAJ	VYBER	2900	60411	\N	\N	\N
101191	345	1998-08-31	VYDAJ	VYBER	3700	60478	\N	\N	\N
101208	345	1994-04-30	VYDAJ	VYBER	15	40768	SLUZBY	\N	\N
101209	345	1994-05-31	VYDAJ	VYBER	15	33129	SLUZBY	\N	\N
101210	345	1994-06-30	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
101211	345	1994-07-31	VYDAJ	VYBER	15	23496	SLUZBY	\N	\N
101212	345	1994-08-31	VYDAJ	VYBER	15	19796	SLUZBY	\N	\N
101213	345	1994-09-30	VYDAJ	VYBER	15	27293	SLUZBY	\N	\N
101214	345	1994-10-31	VYDAJ	VYBER	15	29616	SLUZBY	\N	\N
101215	345	1994-11-30	VYDAJ	VYBER	15	33047	SLUZBY	\N	\N
101216	345	1994-12-31	VYDAJ	VYBER	15	34412	SLUZBY	\N	\N
101217	345	1995-01-31	VYDAJ	VYBER	15	20040	SLUZBY	\N	\N
101218	345	1995-02-28	VYDAJ	VYBER	15	26036	SLUZBY	\N	\N
101219	345	1995-03-31	VYDAJ	VYBER	15	30054	SLUZBY	\N	\N
101220	345	1995-04-30	VYDAJ	VYBER	15	30078	SLUZBY	\N	\N
101221	345	1995-05-31	VYDAJ	VYBER	15	30004	SLUZBY	\N	\N
101222	345	1995-06-30	VYDAJ	VYBER	15	15038	SLUZBY	\N	\N
101223	345	1995-07-31	VYDAJ	VYBER	15	23025	SLUZBY	\N	\N
101224	345	1995-08-31	VYDAJ	VYBER	15	28132	SLUZBY	\N	\N
101225	345	1995-09-30	VYDAJ	VYBER	15	39777	SLUZBY	\N	\N
101226	345	1995-10-31	VYDAJ	VYBER	15	48662	SLUZBY	\N	\N
101227	345	1995-11-30	VYDAJ	VYBER	15	50965	SLUZBY	\N	\N
101228	345	1995-12-31	VYDAJ	VYBER	15	51990	SLUZBY	\N	\N
101229	345	1996-01-31	VYDAJ	VYBER	15	41673	SLUZBY	\N	\N
101230	345	1996-02-29	VYDAJ	VYBER	15	49261	SLUZBY	\N	\N
101231	345	1996-03-31	VYDAJ	VYBER	15	53472	SLUZBY	\N	\N
101232	345	1996-04-30	VYDAJ	VYBER	15	47274	SLUZBY	\N	\N
101233	345	1996-05-31	VYDAJ	VYBER	15	48970	SLUZBY	\N	\N
101234	345	1996-06-30	VYDAJ	VYBER	15	47693	SLUZBY	\N	\N
101235	345	1996-07-31	VYDAJ	VYBER	15	49693	SLUZBY	\N	\N
101236	345	1996-08-31	VYDAJ	VYBER	15	47194	SLUZBY	\N	\N
101237	345	1996-09-30	VYDAJ	VYBER	15	45885	SLUZBY	\N	\N
101238	345	1996-10-31	VYDAJ	VYBER	15	46572	SLUZBY	\N	\N
101239	345	1996-11-30	VYDAJ	VYBER	15	45757	SLUZBY	\N	\N
101240	345	1996-12-31	VYDAJ	VYBER	15	52978	SLUZBY	\N	\N
101241	345	1997-01-31	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
101242	345	1997-02-28	VYDAJ	VYBER	15	40867	SLUZBY	\N	\N
101243	345	1997-03-31	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
101244	345	1997-04-30	VYDAJ	VYBER	15	46101	SLUZBY	\N	\N
101245	345	1997-05-31	VYDAJ	VYBER	15	47389	SLUZBY	\N	\N
101246	345	1997-06-30	VYDAJ	VYBER	15	42558	SLUZBY	\N	\N
101247	345	1997-07-31	VYDAJ	VYBER	15	49749	SLUZBY	\N	\N
101248	345	1997-08-31	VYDAJ	VYBER	15	52656	SLUZBY	\N	\N
101249	345	1997-09-30	VYDAJ	VYBER	15	54164	SLUZBY	\N	\N
101250	345	1997-10-31	VYDAJ	VYBER	15	51290	SLUZBY	\N	\N
101251	345	1997-11-30	VYDAJ	VYBER	15	50512	SLUZBY	\N	\N
101252	345	1997-12-31	VYDAJ	VYBER	15	55164	SLUZBY	\N	\N
101253	345	1998-01-31	VYDAJ	VYBER	15	48073	SLUZBY	\N	\N
101254	345	1998-02-28	VYDAJ	VYBER	15	52687	SLUZBY	\N	\N
101255	345	1998-03-31	VYDAJ	VYBER	15	54919	SLUZBY	\N	\N
101256	345	1998-04-30	VYDAJ	VYBER	15	57048	SLUZBY	\N	\N
101257	345	1998-05-31	VYDAJ	VYBER	15	60798	SLUZBY	\N	\N
101258	345	1998-06-30	VYDAJ	VYBER	15	54469	SLUZBY	\N	\N
101259	345	1998-07-31	VYDAJ	VYBER	15	63311	SLUZBY	\N	\N
101260	345	1998-08-31	VYDAJ	VYBER	15	64178	SLUZBY	\N	\N
101261	345	1998-09-30	VYDAJ	VYBER	15	70050	SLUZBY	\N	\N
101262	345	1998-10-31	VYDAJ	VYBER	15	72351	SLUZBY	\N	\N
101263	345	1998-11-30	VYDAJ	VYBER	15	68238	SLUZBY	\N	\N
101264	345	1993-12-20	VYDAJ	VYBER	1500	23346	\N	\N	\N
101265	345	1994-01-19	VYDAJ	VYBER	7500	32315	\N	\N	\N
101266	345	1994-02-18	VYDAJ	VYBER	13500	35359	\N	\N	\N
101267	345	1994-03-20	VYDAJ	VYBER	12000	39929	\N	\N	\N
101268	345	1994-04-19	VYDAJ	VYBER	15900	40615	\N	\N	\N
101269	345	1994-05-19	VYDAJ	VYBER	11900	32980	\N	\N	\N
101270	345	1994-06-18	VYDAJ	VYBER	10100	38856	\N	\N	\N
101271	345	1994-07-18	VYDAJ	VYBER	2700	23410	\N	\N	\N
101272	345	1994-08-17	VYDAJ	VYBER	5600	25508	\N	\N	\N
101273	345	1994-09-16	PRIJEM	VKLAD	1700	27208	\N	\N	\N
101274	345	1994-10-16	VYDAJ	VYBER	3600	31305	\N	\N	\N
101275	345	1994-11-15	VYDAJ	VYBER	4300	32928	\N	\N	\N
101276	345	1994-12-15	VYDAJ	VYBER	11900	36974	\N	\N	\N
101277	345	1995-01-14	VYDAJ	VYBER	6400	33124	\N	\N	\N
101278	345	1995-02-13	VYDAJ	VYBER	1700	25952	\N	\N	\N
101279	345	1995-03-15	VYDAJ	VYBER	3700	29948	\N	\N	\N
101280	345	1995-04-14	VYDAJ	VYBER	7700	29966	\N	\N	\N
101281	345	1995-05-14	VYDAJ	VYBER	6400	31290	\N	\N	\N
101282	345	1995-06-13	VYDAJ	VYBER	6400	39431	\N	\N	\N
101283	345	1995-07-13	PRIJEM	VKLAD	4400	27050	\N	\N	\N
101284	345	1995-08-12	VYDAJ	VYBER	2600	28037	\N	\N	\N
101285	345	1995-09-11	PRIJEM	VKLAD	3900	32032	\N	\N	\N
101286	345	1995-10-11	PRIJEM	VKLAD	1100	40877	\N	\N	\N
101287	345	1995-11-10	VYDAJ	VYBER	5500	43162	\N	\N	\N
101288	345	1995-12-10	VYDAJ	VYBER	9300	39465	\N	\N	\N
101289	345	1996-01-09	VYDAJ	VYBER	2400	42490	\N	\N	\N
101290	345	1996-02-08	VYDAJ	VYBER	200	41473	\N	\N	\N
101291	345	1996-03-09	VYDAJ	VYBER	3600	45661	\N	\N	\N
101292	345	1996-04-08	VYDAJ	VYBER	9400	44072	\N	\N	\N
101293	345	1996-05-08	VYDAJ	VYBER	6100	41174	\N	\N	\N
101294	345	1996-06-07	VYDAJ	VYBER	2800	41470	\N	\N	\N
101295	345	1996-07-07	VYDAJ	VYBER	2400	45293	\N	\N	\N
101296	345	1996-08-06	VYDAJ	VYBER	6100	43593	\N	\N	\N
101297	345	1996-09-05	VYDAJ	VYBER	2500	44694	\N	\N	\N
101298	345	1996-10-05	VYDAJ	VYBER	7100	38785	\N	\N	\N
101299	345	1996-11-04	VYDAJ	VYBER	8600	37972	\N	\N	\N
101300	345	1996-12-04	VYDAJ	VYBER	6200	39557	\N	\N	\N
101301	345	1997-01-03	VYDAJ	VYBER	11100	41078	\N	\N	\N
101302	345	1997-02-02	PRIJEM	VKLAD	5400	33124	\N	\N	\N
101303	345	1997-03-04	VYDAJ	VYBER	4300	35267	\N	\N	\N
101304	345	1997-04-03	VYDAJ	VYBER	1000	38325	\N	\N	\N
101305	345	1997-05-03	VYDAJ	VYBER	6500	39601	\N	\N	\N
101306	345	1997-06-02	PRIJEM	VKLAD	4700	28089	\N	\N	\N
101307	345	1997-07-02	VYDAJ	VYBER	600	41958	\N	\N	\N
101308	345	1997-08-01	VYDAJ	VYBER	4900	44849	\N	\N	\N
101309	345	1997-08-31	VYDAJ	VYBER	6300	46356	\N	\N	\N
101310	345	1997-09-30	VYDAJ	VYBER	5300	48864	\N	\N	\N
101311	345	1997-10-30	VYDAJ	VYBER	5400	51076	\N	\N	\N
101312	345	1997-11-29	VYDAJ	VYBER	7500	50302	\N	\N	\N
101313	345	1997-12-29	VYDAJ	VYBER	9500	54939	\N	\N	\N
101314	345	1998-01-28	VYDAJ	VYBER	300	47876	\N	\N	\N
101315	345	1998-02-27	VYDAJ	VYBER	3200	52485	\N	\N	\N
101316	345	1998-03-29	VYDAJ	VYBER	5600	54699	\N	\N	\N
101317	345	1998-04-28	VYDAJ	VYBER	1300	56831	\N	\N	\N
101318	345	1998-05-28	VYDAJ	VYBER	4100	60560	\N	\N	\N
101319	345	1998-06-27	PRIJEM	VKLAD	2100	54225	\N	\N	\N
101320	345	1998-07-27	PRIJEM	VKLAD	1000	63081	\N	\N	\N
101321	345	1998-08-26	VYDAJ	VYBER	4100	63923	\N	\N	\N
101322	345	1998-09-25	PRIJEM	VKLAD	1700	69790	\N	\N	\N
101323	345	1998-10-25	VYDAJ	VYBER	5600	72062	\N	\N	\N
101324	345	1998-11-24	VYDAJ	VYBER	5600	67963	\N	\N	\N
101386	346	1993-01-11	PRIJEM	VKLAD	800	800	\N	\N	\N
101388	346	1993-02-05	PRIJEM	VKLAD	19935	20735	\N	\N	\N
101389	346	1993-03-05	PRIJEM	VKLAD	19935	41932	\N	\N	\N
101390	346	1993-04-05	PRIJEM	VKLAD	19935	54091	\N	\N	\N
101391	346	1993-05-05	PRIJEM	VKLAD	19935	58981	\N	\N	\N
101392	346	1993-06-05	PRIJEM	VKLAD	29903	70450	\N	\N	\N
101393	346	1993-07-05	PRIJEM	VKLAD	19935	38405	\N	\N	\N
101394	346	1993-08-05	PRIJEM	VKLAD	19935	40699	\N	\N	\N
101395	346	1993-09-05	PRIJEM	VKLAD	19935	46350	\N	\N	\N
101396	346	1993-10-05	PRIJEM	VKLAD	19935	47211	\N	\N	\N
101397	346	1993-11-05	PRIJEM	VKLAD	19935	50684	\N	\N	\N
101398	346	1993-12-05	PRIJEM	VKLAD	29903	57369	\N	\N	\N
101399	346	1994-01-05	PRIJEM	VKLAD	19935	49779	\N	\N	\N
101400	346	1994-02-05	PRIJEM	VKLAD	19935	34255	\N	\N	\N
101401	346	1994-03-05	PRIJEM	VKLAD	19935	42295	\N	\N	\N
101402	346	1994-04-05	PRIJEM	VKLAD	19935	40687	\N	\N	\N
101403	346	1994-05-05	PRIJEM	VKLAD	19935	43132	\N	\N	\N
101404	346	1994-06-05	PRIJEM	VKLAD	29903	58465	\N	\N	\N
101405	346	1994-07-05	PRIJEM	VKLAD	19935	42034	\N	\N	\N
101406	346	1994-08-05	PRIJEM	VKLAD	19935	46653	\N	\N	\N
101407	346	1994-09-05	PRIJEM	VKLAD	19935	52070	\N	\N	\N
101408	346	1994-10-05	PRIJEM	VKLAD	19935	56201	\N	\N	\N
101409	346	1994-11-05	PRIJEM	VKLAD	19935	57451	\N	\N	\N
101410	346	1994-12-05	PRIJEM	VKLAD	29903	72476	\N	\N	\N
101411	346	1995-01-05	PRIJEM	VKLAD	19935	62086	\N	\N	\N
101412	346	1995-02-05	PRIJEM	VKLAD	19935	52546	\N	\N	\N
101413	346	1995-03-05	PRIJEM	VKLAD	19935	58759	\N	\N	\N
101414	346	1995-04-05	PRIJEM	VKLAD	19935	60619	\N	\N	\N
101415	346	1995-05-05	PRIJEM	VKLAD	19935	60106	\N	\N	\N
101416	346	1995-06-05	PRIJEM	VKLAD	29903	73741	\N	\N	\N
101417	346	1995-07-05	PRIJEM	VKLAD	19935	48303	\N	\N	\N
101418	346	1995-08-05	PRIJEM	VKLAD	19935	55179	\N	\N	\N
101419	346	1995-09-05	PRIJEM	VKLAD	19935	64403	\N	\N	\N
101420	346	1995-10-05	PRIJEM	VKLAD	19935	62556	\N	\N	\N
101421	346	1995-11-05	PRIJEM	VKLAD	19935	60259	\N	\N	\N
101422	346	1995-12-05	PRIJEM	VKLAD	29903	69146	\N	\N	\N
101423	346	1996-01-05	PRIJEM	VKLAD	19935	67413	\N	\N	\N
101424	346	1996-02-05	PRIJEM	VKLAD	19935	65343	\N	\N	\N
101425	346	1996-03-05	PRIJEM	VKLAD	19935	69103	\N	\N	\N
101426	346	1996-04-05	PRIJEM	VKLAD	19935	68776	\N	\N	\N
101427	346	1996-05-05	PRIJEM	VKLAD	19935	62504	\N	\N	\N
101428	346	1996-06-05	PRIJEM	VKLAD	29903	74417	\N	\N	\N
101429	346	1996-07-05	PRIJEM	VKLAD	19935	58743	\N	\N	\N
101430	346	1996-08-05	PRIJEM	VKLAD	19935	60332	\N	\N	\N
101431	346	1996-09-05	PRIJEM	VKLAD	19935	63802	\N	\N	\N
101432	346	1996-10-05	PRIJEM	VKLAD	19935	67369	\N	\N	\N
101433	346	1996-11-05	PRIJEM	VKLAD	19935	68945	\N	\N	\N
101434	346	1996-12-05	PRIJEM	VKLAD	29903	79677	\N	\N	\N
101435	346	1997-01-05	PRIJEM	VKLAD	19935	72401	\N	\N	\N
101436	346	1997-02-05	PRIJEM	VKLAD	19935	58832	\N	\N	\N
101437	346	1997-03-05	PRIJEM	VKLAD	19935	69466	\N	\N	\N
101438	346	1997-04-05	PRIJEM	VKLAD	19935	71875	\N	\N	\N
101439	346	1997-05-05	PRIJEM	VKLAD	19935	70447	\N	\N	\N
101440	346	1997-06-05	PRIJEM	VKLAD	29903	81783	\N	\N	\N
101441	346	1997-07-05	PRIJEM	VKLAD	19935	54977	\N	\N	\N
101442	346	1997-08-05	PRIJEM	VKLAD	19935	66998	\N	\N	\N
101443	346	1997-09-05	PRIJEM	VKLAD	19935	72558	\N	\N	\N
101444	346	1997-10-05	PRIJEM	VKLAD	19935	76235	\N	\N	\N
101445	346	1997-11-05	PRIJEM	VKLAD	19935	74161	\N	\N	\N
101446	346	1997-12-05	PRIJEM	VKLAD	29903	83102	\N	\N	\N
101447	346	1998-01-05	PRIJEM	VKLAD	19935	71027	\N	\N	\N
101448	346	1998-02-05	PRIJEM	VKLAD	19935	61575	\N	\N	\N
101449	346	1998-03-05	PRIJEM	VKLAD	19935	68911	\N	\N	\N
101450	346	1998-04-05	PRIJEM	VKLAD	19935	72713	\N	\N	\N
101451	346	1998-05-05	PRIJEM	VKLAD	19935	77490	\N	\N	\N
101452	346	1998-06-05	PRIJEM	VKLAD	29903	91954	\N	\N	\N
101453	346	1998-07-05	PRIJEM	VKLAD	19935	71570	\N	\N	\N
101454	346	1998-08-05	PRIJEM	VKLAD	19935	73334	\N	\N	\N
101455	346	1998-09-05	PRIJEM	VKLAD	19935	72597	\N	\N	\N
101456	346	1998-10-05	PRIJEM	VKLAD	19935	62689	\N	\N	\N
101457	346	1998-11-05	PRIJEM	VKLAD	19935	69025	\N	\N	\N
101458	346	1998-12-05	PRIJEM	VKLAD	29903	82429	\N	\N	\N
101464	346	1993-06-11	VYDAJ	PREVOD NA UCET	7875	39775	SIPO	KL	13685655
101465	346	1993-07-11	VYDAJ	PREVOD NA UCET	7875	22130	SIPO	KL	13685655
101466	346	1993-08-11	VYDAJ	PREVOD NA UCET	7875	26324	SIPO	KL	13685655
101467	346	1993-09-11	VYDAJ	PREVOD NA UCET	7875	27175	SIPO	KL	13685655
101468	346	1993-10-11	VYDAJ	PREVOD NA UCET	7875	30636	SIPO	KL	13685655
101469	346	1993-11-11	VYDAJ	PREVOD NA UCET	7875	30709	SIPO	KL	13685655
101470	346	1993-12-11	VYDAJ	PREVOD NA UCET	7875	32594	SIPO	KL	13685655
101471	346	1994-01-11	VYDAJ	PREVOD NA UCET	7875	22644	SIPO	KL	13685655
101472	346	1994-02-11	VYDAJ	PREVOD NA UCET	7875	22280	SIPO	KL	13685655
101473	346	1994-03-11	VYDAJ	PREVOD NA UCET	7875	25820	SIPO	KL	13685655
101474	346	1994-04-11	VYDAJ	PREVOD NA UCET	7875	23112	SIPO	KL	13685655
101475	346	1994-05-11	VYDAJ	PREVOD NA UCET	7875	28457	SIPO	KL	13685655
101476	346	1994-06-11	VYDAJ	PREVOD NA UCET	7875	22010	SIPO	KL	13685655
101477	346	1994-07-11	VYDAJ	PREVOD NA UCET	7875	26659	SIPO	KL	13685655
101478	346	1994-08-11	VYDAJ	PREVOD NA UCET	7875	38778	SIPO	KL	13685655
101479	346	1994-09-11	VYDAJ	PREVOD NA UCET	7875	44195	SIPO	KL	13685655
101480	346	1994-10-11	VYDAJ	PREVOD NA UCET	7875	48326	SIPO	KL	13685655
101481	346	1994-11-11	VYDAJ	PREVOD NA UCET	7875	49576	SIPO	KL	13685655
101482	346	1994-12-11	VYDAJ	PREVOD NA UCET	7875	64601	SIPO	KL	13685655
101483	346	1995-01-11	VYDAJ	PREVOD NA UCET	7875	38731	SIPO	KL	13685655
101484	346	1995-02-11	VYDAJ	PREVOD NA UCET	7875	44671	SIPO	KL	13685655
101485	346	1995-03-11	VYDAJ	PREVOD NA UCET	7875	50884	SIPO	KL	13685655
101486	346	1995-04-11	VYDAJ	PREVOD NA UCET	7875	51664	SIPO	KL	13685655
101487	346	1995-05-11	VYDAJ	PREVOD NA UCET	7875	52231	SIPO	KL	13685655
101488	346	1995-06-11	VYDAJ	PREVOD NA UCET	7875	65866	SIPO	KL	13685655
101489	346	1995-07-11	VYDAJ	PREVOD NA UCET	7875	40428	SIPO	KL	13685655
101490	346	1995-08-11	VYDAJ	PREVOD NA UCET	7875	47304	SIPO	KL	13685655
101491	346	1995-09-11	VYDAJ	PREVOD NA UCET	7875	56528	SIPO	KL	13685655
101492	346	1995-10-11	VYDAJ	PREVOD NA UCET	7875	49641	SIPO	KL	13685655
101493	346	1995-11-11	VYDAJ	PREVOD NA UCET	7875	52384	SIPO	KL	13685655
101494	346	1995-12-11	VYDAJ	PREVOD NA UCET	7875	61271	SIPO	KL	13685655
101495	346	1996-01-11	VYDAJ	PREVOD NA UCET	7875	56538	SIPO	KL	13685655
101496	346	1996-02-11	VYDAJ	PREVOD NA UCET	7875	57468	SIPO	KL	13685655
101497	346	1996-03-11	VYDAJ	PREVOD NA UCET	7875	61228	SIPO	KL	13685655
101498	346	1996-04-11	VYDAJ	PREVOD NA UCET	7875	60901	SIPO	KL	13685655
101499	346	1996-05-11	VYDAJ	PREVOD NA UCET	7875	54629	SIPO	KL	13685655
101500	346	1996-06-11	VYDAJ	PREVOD NA UCET	7875	43142	SIPO	KL	13685655
101501	346	1996-07-11	VYDAJ	PREVOD NA UCET	7875	50868	SIPO	KL	13685655
101502	346	1996-08-11	VYDAJ	PREVOD NA UCET	7875	52457	SIPO	KL	13685655
101503	346	1996-09-11	VYDAJ	PREVOD NA UCET	7875	55927	SIPO	KL	13685655
101504	346	1996-10-11	VYDAJ	PREVOD NA UCET	7875	59494	SIPO	KL	13685655
101505	346	1996-11-11	VYDAJ	PREVOD NA UCET	7875	61070	SIPO	KL	13685655
101506	346	1996-12-11	VYDAJ	PREVOD NA UCET	7875	71802	SIPO	KL	13685655
101507	346	1997-01-11	VYDAJ	PREVOD NA UCET	7875	64526	SIPO	KL	13685655
101508	346	1997-02-11	VYDAJ	PREVOD NA UCET	7875	50957	SIPO	KL	13685655
101509	346	1997-03-11	VYDAJ	PREVOD NA UCET	7875	61591	SIPO	KL	13685655
101510	346	1997-04-11	VYDAJ	PREVOD NA UCET	7875	64000	SIPO	KL	13685655
101511	346	1997-05-11	VYDAJ	PREVOD NA UCET	7875	62572	SIPO	KL	13685655
101512	346	1997-06-11	VYDAJ	PREVOD NA UCET	7875	73908	SIPO	KL	13685655
101513	346	1997-07-11	VYDAJ	PREVOD NA UCET	7875	47102	SIPO	KL	13685655
101514	346	1997-08-11	VYDAJ	PREVOD NA UCET	7875	59123	SIPO	KL	13685655
101515	346	1997-09-11	VYDAJ	PREVOD NA UCET	7875	64683	SIPO	KL	13685655
101516	346	1997-10-11	VYDAJ	PREVOD NA UCET	7875	63800	SIPO	KL	13685655
101517	346	1997-11-11	VYDAJ	PREVOD NA UCET	7875	66286	SIPO	KL	13685655
101518	346	1997-12-11	VYDAJ	PREVOD NA UCET	7875	75227	SIPO	KL	13685655
101519	346	1998-01-11	VYDAJ	PREVOD NA UCET	7875	63152	SIPO	KL	13685655
101520	346	1998-02-11	VYDAJ	PREVOD NA UCET	7875	53700	SIPO	KL	13685655
101521	346	1998-03-11	VYDAJ	PREVOD NA UCET	7875	61036	SIPO	KL	13685655
101522	346	1998-04-11	VYDAJ	PREVOD NA UCET	7875	64838	SIPO	KL	13685655
101523	346	1998-05-11	VYDAJ	PREVOD NA UCET	7875	69615	SIPO	KL	13685655
101524	346	1998-06-11	VYDAJ	PREVOD NA UCET	7875	58159	SIPO	KL	13685655
101525	346	1998-07-11	VYDAJ	PREVOD NA UCET	7875	63695	SIPO	KL	13685655
101526	346	1998-08-11	VYDAJ	PREVOD NA UCET	7875	65459	SIPO	KL	13685655
101527	346	1998-09-11	VYDAJ	PREVOD NA UCET	7875	64722	SIPO	KL	13685655
101528	346	1998-10-11	VYDAJ	PREVOD NA UCET	7875	54814	SIPO	KL	13685655
101529	346	1998-11-11	VYDAJ	PREVOD NA UCET	7875	61150	SIPO	KL	13685655
101530	346	1998-12-11	VYDAJ	PREVOD NA UCET	7875	70474	SIPO	KL	13685655
101531	346	1993-06-25	VYDAJ	VYBER	21440	18335	\N	\N	\N
101532	346	1994-06-06	VYDAJ	VYBER	14880	29885	\N	\N	\N
101533	346	1995-06-12	VYDAJ	VYBER	40320	25546	\N	\N	\N
101534	346	1996-06-06	VYDAJ	VYBER	17280	52577	\N	\N	\N
101535	346	1997-06-25	VYDAJ	VYBER	22880	34828	\N	\N	\N
101536	346	1998-06-07	VYDAJ	VYBER	25920	66034	\N	\N	\N
101537	346	1993-12-28	VYDAJ	VYBER	2880	29714	\N	\N	\N
101538	346	1994-12-27	VYDAJ	VYBER	3840	60761	\N	\N	\N
101539	346	1995-12-04	VYDAJ	VYBER	1920	39243	\N	\N	\N
101540	346	1996-12-24	VYDAJ	VYBER	960	52242	\N	\N	\N
101541	346	1997-12-30	VYDAJ	VYBER	4160	53267	\N	\N	\N
101542	346	1998-12-17	VYDAJ	VYBER	1440	51534	\N	\N	\N
101550	346	1994-01-14	VYDAJ	VYBER	2160	17604	\N	\N	\N
101551	346	1994-01-25	VYDAJ	VYBER	2520	14244	\N	\N	\N
101552	346	1994-01-14	VYDAJ	VYBER	2880	19764	\N	\N	\N
101553	346	1994-01-08	VYDAJ	VYBER	2880	33399	\N	\N	\N
101554	346	1994-01-23	VYDAJ	VYBER	840	16764	\N	\N	\N
101555	346	1995-01-11	VYDAJ	VYBER	2160	46606	\N	\N	\N
101556	346	1995-01-08	VYDAJ	VYBER	3360	49846	\N	\N	\N
101557	346	1995-01-08	VYDAJ	VYBER	1080	48766	\N	\N	\N
101558	346	1995-01-20	VYDAJ	VYBER	1080	35851	\N	\N	\N
101559	346	1995-01-07	VYDAJ	VYBER	3000	53206	\N	\N	\N
101560	346	1995-01-02	VYDAJ	VYBER	3360	42151	\N	\N	\N
101561	346	1996-01-09	VYDAJ	VYBER	720	65853	\N	\N	\N
101562	346	1996-01-10	VYDAJ	VYBER	1440	64413	\N	\N	\N
101563	346	1996-01-28	VYDAJ	VYBER	1800	45198	\N	\N	\N
101564	346	1996-01-13	VYDAJ	VYBER	2640	53898	\N	\N	\N
101565	346	1996-01-05	VYDAJ	VYBER	840	66573	\N	\N	\N
101566	346	1996-01-01	VYDAJ	VYBER	1920	47478	\N	\N	\N
101567	346	1997-01-21	VYDAJ	VYBER	960	44106	\N	\N	\N
101568	346	1997-01-13	VYDAJ	VYBER	960	57686	\N	\N	\N
101569	346	1997-01-19	VYDAJ	VYBER	2880	51566	\N	\N	\N
101570	346	1997-01-19	VYDAJ	VYBER	3240	54446	\N	\N	\N
101571	346	1997-01-28	VYDAJ	VYBER	3480	38706	\N	\N	\N
101572	346	1997-01-24	VYDAJ	VYBER	1920	42186	\N	\N	\N
101573	346	1998-01-27	VYDAJ	VYBER	1320	43592	\N	\N	\N
101574	346	1998-01-28	VYDAJ	VYBER	2160	41432	\N	\N	\N
101575	346	1998-01-24	VYDAJ	VYBER	2880	44912	\N	\N	\N
101576	346	1998-01-21	VYDAJ	VYBER	2880	47792	\N	\N	\N
101577	346	1998-01-04	VYDAJ	VYBER	2400	51092	\N	\N	\N
101578	346	1998-01-15	VYDAJ	VYBER	1680	50672	\N	\N	\N
101579	346	1993-12-01	VYDAJ	VYBER	3360	27467	\N	\N	\N
101582	346	1993-07-28	VYDAJ	VYBER	1440	20690	\N	\N	\N
101584	346	1994-08-16	VYDAJ	VYBER	3480	35298	\N	\N	\N
101585	346	1994-07-17	VYDAJ	VYBER	3840	22819	\N	\N	\N
101586	346	1994-01-09	VYDAJ	VYBER	2880	30519	\N	\N	\N
101587	346	1994-03-28	VYDAJ	VYBER	5160	20660	\N	\N	\N
101588	346	1995-09-16	VYDAJ	VYBER	1800	54728	\N	\N	\N
101589	346	1995-07-30	VYDAJ	VYBER	4320	35108	\N	\N	\N
101590	346	1995-09-20	VYDAJ	VYBER	600	54128	\N	\N	\N
101591	346	1995-04-10	VYDAJ	VYBER	1080	59539	\N	\N	\N
101592	346	1995-10-08	VYDAJ	VYBER	5040	57516	\N	\N	\N
101593	346	1995-01-06	VYDAJ	VYBER	5880	56206	\N	\N	\N
101594	346	1995-01-15	VYDAJ	VYBER	1800	36931	\N	\N	\N
101595	346	1996-07-31	VYDAJ	VYBER	1440	40397	\N	\N	\N
101596	346	1996-06-10	VYDAJ	VYBER	1560	51017	\N	\N	\N
101597	346	1996-06-06	VYDAJ	VYBER	4560	69857	\N	\N	\N
101598	346	1996-09-17	VYDAJ	VYBER	2280	53647	\N	\N	\N
101599	346	1996-04-14	VYDAJ	VYBER	1080	59821	\N	\N	\N
101600	346	1996-10-13	VYDAJ	VYBER	3480	56014	\N	\N	\N
101601	346	1996-08-15	VYDAJ	VYBER	5160	47297	\N	\N	\N
101602	346	1996-04-30	VYDAJ	VYBER	5760	42583	\N	\N	\N
101603	346	1997-01-12	VYDAJ	VYBER	5880	58646	\N	\N	\N
101604	346	1997-03-24	VYDAJ	VYBER	960	51731	\N	\N	\N
101605	346	1997-10-07	VYDAJ	VYBER	4560	71675	\N	\N	\N
101606	346	1998-09-30	VYDAJ	VYBER	3960	42769	\N	\N	\N
101607	346	1998-06-23	VYDAJ	VYBER	1440	51419	\N	\N	\N
101608	346	1998-09-23	VYDAJ	VYBER	5400	46522	\N	\N	\N
101609	346	1998-12-09	VYDAJ	VYBER	4080	78349	\N	\N	\N
101610	346	1998-11-26	VYDAJ	VYBER	1920	52330	\N	\N	\N
101611	346	1998-03-22	VYDAJ	VYBER	2160	52576	\N	\N	\N
101618	346	1993-06-30	VYDAJ	VYBER	15	18470	SLUZBY	\N	\N
101619	346	1993-07-31	VYDAJ	VYBER	15	20764	SLUZBY	\N	\N
101620	346	1993-08-31	VYDAJ	VYBER	15	26415	SLUZBY	\N	\N
101621	346	1993-09-30	VYDAJ	VYBER	15	27276	SLUZBY	\N	\N
101622	346	1993-10-31	VYDAJ	VYBER	15	30749	SLUZBY	\N	\N
101623	346	1993-11-30	VYDAJ	VYBER	15	30827	SLUZBY	\N	\N
101624	346	1993-12-31	VYDAJ	VYBER	15	29844	SLUZBY	\N	\N
101625	346	1994-01-31	VYDAJ	VYBER	15	14320	SLUZBY	\N	\N
101626	346	1994-02-28	VYDAJ	VYBER	15	22360	SLUZBY	\N	\N
101627	346	1994-03-31	VYDAJ	VYBER	15	20752	SLUZBY	\N	\N
101628	346	1994-04-30	VYDAJ	VYBER	15	23197	SLUZBY	\N	\N
101629	346	1994-05-31	VYDAJ	VYBER	15	28563	SLUZBY	\N	\N
101630	346	1994-06-30	VYDAJ	VYBER	15	22099	SLUZBY	\N	\N
101631	346	1994-07-31	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
101632	346	1994-08-31	VYDAJ	VYBER	15	35435	SLUZBY	\N	\N
101633	346	1994-09-30	VYDAJ	VYBER	15	44366	SLUZBY	\N	\N
101634	346	1994-10-31	VYDAJ	VYBER	15	48516	SLUZBY	\N	\N
101635	346	1994-11-30	VYDAJ	VYBER	15	49774	SLUZBY	\N	\N
101636	346	1994-12-31	VYDAJ	VYBER	15	61011	SLUZBY	\N	\N
101637	346	1995-01-31	VYDAJ	VYBER	15	32611	SLUZBY	\N	\N
101638	346	1995-02-28	VYDAJ	VYBER	15	44824	SLUZBY	\N	\N
101639	346	1995-03-31	VYDAJ	VYBER	15	51084	SLUZBY	\N	\N
101640	346	1995-04-30	VYDAJ	VYBER	15	51871	SLUZBY	\N	\N
101641	346	1995-05-31	VYDAJ	VYBER	15	43838	SLUZBY	\N	\N
101642	346	1995-06-30	VYDAJ	VYBER	15	28368	SLUZBY	\N	\N
101643	346	1995-07-31	VYDAJ	VYBER	15	35244	SLUZBY	\N	\N
101644	346	1995-08-31	VYDAJ	VYBER	15	44468	SLUZBY	\N	\N
101645	346	1995-09-30	VYDAJ	VYBER	15	42621	SLUZBY	\N	\N
101646	346	1995-10-31	VYDAJ	VYBER	15	40324	SLUZBY	\N	\N
101647	346	1995-11-30	VYDAJ	VYBER	15	41163	SLUZBY	\N	\N
101648	346	1995-12-31	VYDAJ	VYBER	15	49398	SLUZBY	\N	\N
101649	346	1996-01-31	VYDAJ	VYBER	15	45408	SLUZBY	\N	\N
101650	346	1996-02-29	VYDAJ	VYBER	15	49168	SLUZBY	\N	\N
101651	346	1996-03-31	VYDAJ	VYBER	15	48841	SLUZBY	\N	\N
101652	346	1996-04-30	VYDAJ	VYBER	15	42569	SLUZBY	\N	\N
101653	346	1996-05-31	VYDAJ	VYBER	15	44514	SLUZBY	\N	\N
101654	346	1996-06-30	VYDAJ	VYBER	15	38808	SLUZBY	\N	\N
101655	346	1996-07-31	VYDAJ	VYBER	15	41837	SLUZBY	\N	\N
101656	346	1996-08-31	VYDAJ	VYBER	15	43867	SLUZBY	\N	\N
101657	346	1996-09-30	VYDAJ	VYBER	15	47434	SLUZBY	\N	\N
101658	346	1996-10-31	VYDAJ	VYBER	15	49010	SLUZBY	\N	\N
101659	346	1996-11-30	VYDAJ	VYBER	15	49775	SLUZBY	\N	\N
101660	346	1996-12-31	VYDAJ	VYBER	15	52466	SLUZBY	\N	\N
101661	346	1997-01-31	VYDAJ	VYBER	15	38897	SLUZBY	\N	\N
101662	346	1997-02-28	VYDAJ	VYBER	15	49531	SLUZBY	\N	\N
101663	346	1997-03-31	VYDAJ	VYBER	15	51940	SLUZBY	\N	\N
101664	346	1997-04-30	VYDAJ	VYBER	15	50512	SLUZBY	\N	\N
101665	346	1997-05-31	VYDAJ	VYBER	15	51881	SLUZBY	\N	\N
101666	346	1997-06-30	VYDAJ	VYBER	15	35042	SLUZBY	\N	\N
101667	346	1997-07-31	VYDAJ	VYBER	15	47063	SLUZBY	\N	\N
101668	346	1997-08-31	VYDAJ	VYBER	15	52623	SLUZBY	\N	\N
101669	346	1997-09-30	VYDAJ	VYBER	15	56300	SLUZBY	\N	\N
101670	346	1997-10-31	VYDAJ	VYBER	15	54226	SLUZBY	\N	\N
101671	346	1997-11-30	VYDAJ	VYBER	15	53199	SLUZBY	\N	\N
101672	346	1997-12-31	VYDAJ	VYBER	15	53492	SLUZBY	\N	\N
101673	346	1998-01-31	VYDAJ	VYBER	15	41640	SLUZBY	\N	\N
101674	346	1998-02-28	VYDAJ	VYBER	15	48976	SLUZBY	\N	\N
101675	346	1998-03-31	VYDAJ	VYBER	15	52778	SLUZBY	\N	\N
101676	346	1998-04-30	VYDAJ	VYBER	15	57555	SLUZBY	\N	\N
101677	346	1998-05-31	VYDAJ	VYBER	15	62052	SLUZBY	\N	\N
101678	346	1998-06-30	VYDAJ	VYBER	15	51635	SLUZBY	\N	\N
101679	346	1998-07-31	VYDAJ	VYBER	15	53399	SLUZBY	\N	\N
101680	346	1998-08-31	VYDAJ	VYBER	15	52662	SLUZBY	\N	\N
101681	346	1998-09-30	VYDAJ	VYBER	15	42754	SLUZBY	\N	\N
101682	346	1998-10-31	VYDAJ	VYBER	15	49090	SLUZBY	\N	\N
101683	346	1998-11-30	VYDAJ	VYBER	15	52527	SLUZBY	\N	\N
101684	346	1993-02-10	PRIJEM	VKLAD	1200	21935	\N	\N	\N
101685	346	1993-03-12	VYDAJ	VYBER	7900	34032	\N	\N	\N
101686	346	1993-04-11	VYDAJ	VYBER	15200	38891	\N	\N	\N
101687	346	1993-05-11	VYDAJ	VYBER	18600	40381	\N	\N	\N
101688	346	1993-06-10	VYDAJ	VYBER	22800	47650	\N	\N	\N
101689	346	1993-07-10	VYDAJ	VYBER	8400	30005	\N	\N	\N
101690	346	1993-08-09	VYDAJ	VYBER	6500	34199	\N	\N	\N
101691	346	1993-09-08	VYDAJ	VYBER	11300	35050	\N	\N	\N
101692	346	1993-10-08	VYDAJ	VYBER	8700	38511	\N	\N	\N
101693	346	1993-11-07	VYDAJ	VYBER	12100	38584	\N	\N	\N
101694	346	1993-12-07	VYDAJ	VYBER	16900	40469	\N	\N	\N
101695	346	1994-01-06	VYDAJ	VYBER	13500	36279	\N	\N	\N
101696	346	1994-02-05	VYDAJ	VYBER	4100	30155	\N	\N	\N
101697	346	1994-03-07	VYDAJ	VYBER	8600	33695	\N	\N	\N
101698	346	1994-04-06	VYDAJ	VYBER	9700	30987	\N	\N	\N
101699	346	1994-05-06	VYDAJ	VYBER	6800	36332	\N	\N	\N
101700	346	1994-06-05	VYDAJ	VYBER	13700	44765	\N	\N	\N
101701	346	1994-07-05	VYDAJ	VYBER	7500	34534	\N	\N	\N
101702	346	1994-08-04	PRIJEM	VKLAD	3800	26718	\N	\N	\N
101703	346	1994-09-03	VYDAJ	VYBER	3300	32135	\N	\N	\N
101704	346	1994-10-03	VYDAJ	VYBER	8100	36266	\N	\N	\N
101705	346	1994-11-02	VYDAJ	VYBER	11000	37516	\N	\N	\N
101706	346	1994-12-02	VYDAJ	VYBER	7200	42574	\N	\N	\N
101707	346	1995-01-01	VYDAJ	VYBER	15500	45511	\N	\N	\N
101708	346	1995-01-31	VYDAJ	VYBER	3400	32626	\N	\N	\N
101709	346	1995-03-02	VYDAJ	VYBER	6000	38824	\N	\N	\N
101710	346	1995-04-01	VYDAJ	VYBER	10400	40684	\N	\N	\N
101711	346	1995-05-01	VYDAJ	VYBER	11700	40171	\N	\N	\N
101712	346	1995-05-31	VYDAJ	VYBER	8600	43853	\N	\N	\N
101713	346	1995-06-30	PRIJEM	VKLAD	2700	28246	\N	\N	\N
101714	346	1995-07-30	VYDAJ	VYBER	1000	39428	\N	\N	\N
101715	346	1995-08-29	VYDAJ	VYBER	3000	44304	\N	\N	\N
101716	346	1995-09-28	VYDAJ	VYBER	11700	42428	\N	\N	\N
101717	346	1995-10-28	VYDAJ	VYBER	9500	40141	\N	\N	\N
101718	346	1995-11-27	VYDAJ	VYBER	11400	40984	\N	\N	\N
101719	346	1995-12-27	VYDAJ	VYBER	12100	49171	\N	\N	\N
101720	346	1996-01-26	VYDAJ	VYBER	6900	46998	\N	\N	\N
101721	346	1996-02-25	VYDAJ	VYBER	8500	48968	\N	\N	\N
101722	346	1996-03-26	VYDAJ	VYBER	12600	48628	\N	\N	\N
101723	346	1996-04-25	VYDAJ	VYBER	11700	48121	\N	\N	\N
101724	346	1996-05-25	VYDAJ	VYBER	10300	44329	\N	\N	\N
101725	346	1996-06-24	VYDAJ	VYBER	4500	38642	\N	\N	\N
101726	346	1996-07-24	VYDAJ	VYBER	9200	41668	\N	\N	\N
101727	346	1996-08-23	VYDAJ	VYBER	3600	43697	\N	\N	\N
101728	346	1996-09-22	VYDAJ	VYBER	6400	47247	\N	\N	\N
101729	346	1996-10-22	VYDAJ	VYBER	7200	48814	\N	\N	\N
101730	346	1996-11-21	VYDAJ	VYBER	11500	49570	\N	\N	\N
101731	346	1996-12-21	VYDAJ	VYBER	18600	53202	\N	\N	\N
101732	346	1997-01-20	VYDAJ	VYBER	6500	45066	\N	\N	\N
101733	346	1997-02-19	VYDAJ	VYBER	1600	49357	\N	\N	\N
101734	346	1997-03-21	VYDAJ	VYBER	8900	52691	\N	\N	\N
101735	346	1997-04-20	VYDAJ	VYBER	13700	50300	\N	\N	\N
101736	346	1997-05-20	VYDAJ	VYBER	10900	51672	\N	\N	\N
101737	346	1997-06-19	VYDAJ	VYBER	16200	57708	\N	\N	\N
101738	346	1997-07-19	VYDAJ	VYBER	200	46902	\N	\N	\N
101739	346	1997-08-18	VYDAJ	VYBER	6700	52423	\N	\N	\N
101740	346	1997-09-17	VYDAJ	VYBER	8600	56083	\N	\N	\N
101741	346	1997-10-17	VYDAJ	VYBER	9800	54000	\N	\N	\N
101742	346	1997-11-16	VYDAJ	VYBER	13300	52986	\N	\N	\N
101743	346	1997-12-16	VYDAJ	VYBER	17800	57427	\N	\N	\N
101744	346	1998-01-15	VYDAJ	VYBER	10800	52352	\N	\N	\N
101745	346	1998-02-14	VYDAJ	VYBER	4900	48800	\N	\N	\N
101746	346	1998-03-16	VYDAJ	VYBER	6300	54736	\N	\N	\N
101747	346	1998-04-15	VYDAJ	VYBER	7500	57338	\N	\N	\N
101748	346	1998-05-15	VYDAJ	VYBER	7800	61815	\N	\N	\N
101749	346	1998-06-14	VYDAJ	VYBER	5300	52859	\N	\N	\N
101750	346	1998-07-14	VYDAJ	VYBER	10500	53195	\N	\N	\N
101751	346	1998-08-13	VYDAJ	VYBER	13000	52459	\N	\N	\N
101752	346	1998-09-12	VYDAJ	VYBER	12800	51922	\N	\N	\N
101753	346	1998-10-12	VYDAJ	VYBER	5900	48914	\N	\N	\N
101754	346	1998-11-11	VYDAJ	VYBER	6900	54250	\N	\N	\N
101755	346	1998-12-11	VYDAJ	VYBER	17500	52974	\N	\N	\N
101827	347	1993-12-13	PRIJEM	VKLAD	200	200	\N	\N	\N
101842	347	1993-12-27	PRIJEM	VKLAD	24776	24976	\N	\N	\N
101854	347	1994-09-24	PRIJEM	VKLAD	32689	60267	\N	\N	\N
101855	347	1994-05-29	PRIJEM	VKLAD	30828	92263	\N	\N	\N
101856	347	1994-04-30	PRIJEM	VKLAD	5426	75139	\N	\N	\N
101857	347	1994-07-15	PRIJEM	VKLAD	36500	55089	\N	\N	\N
101858	347	1994-05-14	PRIJEM	VKLAD	20811	70850	\N	\N	\N
101859	347	1994-10-11	PRIJEM	VKLAD	34009	65960	\N	\N	\N
101860	347	1994-08-05	PRIJEM	VKLAD	34803	90056	\N	\N	\N
101861	347	1994-06-28	PRIJEM	VKLAD	37607	37364	\N	\N	\N
101862	347	1994-11-24	PRIJEM	VKLAD	46293	72482	\N	\N	\N
101863	347	1994-04-11	PRIJEM	VKLAD	42958	68963	\N	\N	\N
101864	347	1994-04-28	PRIJEM	VKLAD	21876	69539	\N	\N	\N
101865	347	1995-02-25	PRIJEM	VKLAD	10415	38815	\N	\N	\N
101866	347	1995-09-18	PRIJEM	VKLAD	19374	75938	\N	\N	\N
101867	347	1995-01-21	PRIJEM	VKLAD	39721	67325	\N	\N	\N
101868	347	1995-01-15	PRIJEM	VKLAD	17806	27604	\N	\N	\N
101869	347	1995-08-29	PRIJEM	VKLAD	22733	73529	\N	\N	\N
101870	347	1995-09-12	PRIJEM	VKLAD	19005	64365	\N	\N	\N
101871	347	1995-08-18	PRIJEM	VKLAD	25371	50796	\N	\N	\N
101872	347	1995-10-28	PRIJEM	VKLAD	14382	68224	\N	\N	\N
101873	347	1995-04-23	PRIJEM	VKLAD	43463	50771	\N	\N	\N
101874	347	1995-08-13	PRIJEM	VKLAD	39514	40131	\N	\N	\N
101875	347	1995-07-15	PRIJEM	VKLAD	20324	22908	\N	\N	\N
101876	347	1995-10-07	PRIJEM	VKLAD	17344	69722	\N	\N	\N
101877	347	1995-09-26	PRIJEM	VKLAD	10579	86517	\N	\N	\N
101878	347	1996-10-12	PRIJEM	VKLAD	13482	58350	\N	\N	\N
101879	347	1996-08-12	PRIJEM	VKLAD	15519	41312	\N	\N	\N
101880	347	1996-05-26	PRIJEM	VKLAD	48144	58827	\N	\N	\N
101881	347	1996-08-25	PRIJEM	VKLAD	42903	76414	\N	\N	\N
101882	347	1996-12-15	PRIJEM	VKLAD	28489	58029	\N	\N	\N
101883	347	1996-10-25	PRIJEM	VKLAD	36011	86560	\N	\N	\N
101884	347	1996-12-18	PRIJEM	VKLAD	11484	69513	\N	\N	\N
101885	347	1996-05-17	PRIJEM	VKLAD	18170	18783	\N	\N	\N
101886	347	1997-11-21	PRIJEM	VKLAD	21497	68164	\N	\N	\N
101887	347	1997-03-16	PRIJEM	VKLAD	23989	96368	\N	\N	\N
101888	347	1997-01-08	PRIJEM	VKLAD	35180	60482	\N	\N	\N
101889	347	1997-11-09	PRIJEM	VKLAD	12246	56367	\N	\N	\N
101890	347	1997-05-05	PRIJEM	VKLAD	20485	47455	\N	\N	\N
101891	347	1997-08-29	PRIJEM	VKLAD	23889	84442	\N	\N	\N
101892	347	1997-09-20	PRIJEM	VKLAD	25358	122831	\N	\N	\N
101893	347	1997-07-12	PRIJEM	VKLAD	23566	82153	\N	\N	\N
101894	347	1997-07-23	PRIJEM	VKLAD	29765	98253	\N	\N	\N
101895	347	1997-03-06	PRIJEM	VKLAD	39074	80181	\N	\N	\N
101896	347	1997-05-12	PRIJEM	VKLAD	42012	89467	\N	\N	\N
101897	347	1997-04-20	PRIJEM	VKLAD	38316	64642	\N	\N	\N
101898	347	1997-07-30	PRIJEM	VKLAD	26331	94484	\N	\N	\N
101899	347	1997-01-20	PRIJEM	VKLAD	42497	95178	\N	\N	\N
101900	347	1997-09-01	PRIJEM	VKLAD	21705	106473	\N	\N	\N
101901	347	1997-09-24	PRIJEM	VKLAD	25582	92313	\N	\N	\N
101902	347	1997-06-12	PRIJEM	VKLAD	46945	76637	\N	\N	\N
101903	347	1997-09-26	PRIJEM	VKLAD	49999	142312	\N	\N	\N
101904	347	1998-01-30	PRIJEM	VKLAD	33752	105005	\N	\N	\N
101905	347	1998-07-27	PRIJEM	VKLAD	39912	56266	\N	\N	\N
101906	347	1998-01-23	PRIJEM	VKLAD	37838	71253	\N	\N	\N
101907	347	1998-10-03	PRIJEM	VKLAD	19048	20799	\N	\N	\N
101908	347	1998-10-28	PRIJEM	VKLAD	6354	25810	\N	\N	\N
101909	347	1998-05-11	PRIJEM	VKLAD	17317	16319	\N	\N	\N
101910	347	1998-10-11	PRIJEM	VKLAD	5386	17785	\N	\N	\N
101911	347	1998-08-30	PRIJEM	VKLAD	5114	57848	\N	\N	\N
101929	347	1994-06-09	VYDAJ	VYBER	7800	84757	\N	\N	0
101930	347	1994-07-07	VYDAJ	VYBER	5500	32101	\N	\N	0
101931	347	1994-08-26	VYDAJ	VYBER	6300	42579	\N	\N	0
101932	347	1994-09-10	VYDAJ	VYBER	9900	27578	\N	\N	0
101933	347	1994-10-12	VYDAJ	VYBER	7600	58360	\N	\N	0
101934	347	1994-11-18	VYDAJ	VYBER	7500	26189	\N	\N	0
101935	347	1994-12-08	VYDAJ	VYBER	8400	35790	\N	\N	0
101936	347	1995-01-10	VYDAJ	VYBER	9700	9798	\N	\N	0
101937	347	1995-02-13	VYDAJ	VYBER	8700	34755	\N	\N	0
101938	347	1995-03-06	VYDAJ	VYBER	7800	31203	\N	\N	0
101939	347	1995-04-09	VYDAJ	VYBER	8200	7308	\N	\N	0
101940	347	1995-05-12	VYDAJ	PREVOD NA UCET	7801	28731	UVER	CD	37914210
101941	347	1995-06-12	VYDAJ	PREVOD NA UCET	7801	5059	UVER	CD	37914210
101942	347	1995-07-12	VYDAJ	PREVOD NA UCET	7801	2584	UVER	CD	37914210
101943	347	1995-08-12	VYDAJ	PREVOD NA UCET	7801	617	UVER	CD	37914210
101944	347	1995-09-12	VYDAJ	PREVOD NA UCET	7801	56564	UVER	CD	37914210
101945	347	1995-10-12	VYDAJ	PREVOD NA UCET	7801	61920	UVER	CD	37914210
101946	347	1995-11-12	VYDAJ	PREVOD NA UCET	7801	36385	UVER	CD	37914210
101948	347	1996-01-12	VYDAJ	PREVOD NA UCET	7801	2364	UVER	CD	37914210
101949	347	1996-02-12	VYDAJ	PREVOD NA UCET	7801	6551	UVER	CD	37914210
101950	347	1996-03-12	VYDAJ	PREVOD NA UCET	7801	8655	UVER	CD	37914210
101951	347	1996-04-12	VYDAJ	PREVOD NA UCET	7801	5959	UVER	CD	37914210
101953	347	1996-06-12	VYDAJ	PREVOD NA UCET	7801	18604	UVER	CD	37914210
101954	347	1996-07-12	VYDAJ	PREVOD NA UCET	7801	17005	UVER	CD	37914210
101955	347	1996-08-12	VYDAJ	PREVOD NA UCET	7801	33511	UVER	CD	37914210
101956	347	1996-09-12	VYDAJ	PREVOD NA UCET	7801	39897	UVER	CD	37914210
101957	347	1996-10-12	VYDAJ	PREVOD NA UCET	7801	50549	UVER	CD	37914210
101958	347	1996-11-12	VYDAJ	PREVOD NA UCET	7801	38967	UVER	CD	37914210
101959	347	1996-12-12	VYDAJ	PREVOD NA UCET	7801	29540	UVER	CD	37914210
101960	347	1997-01-12	VYDAJ	PREVOD NA UCET	7801	52681	UVER	CD	37914210
101961	347	1997-02-12	VYDAJ	PREVOD NA UCET	7801	45431	UVER	CD	37914210
101962	347	1997-03-12	VYDAJ	PREVOD NA UCET	7801	72379	UVER	CD	37914210
101963	347	1997-04-12	VYDAJ	PREVOD NA UCET	7801	64142	UVER	CD	37914210
101964	347	1997-05-13	VYDAJ	VYBER	5700	83767	\N	\N	0
101965	347	1997-06-10	VYDAJ	VYBER	9400	29692	\N	\N	0
101966	347	1997-07-15	VYDAJ	VYBER	7000	68488	\N	\N	0
101967	347	1997-08-07	VYDAJ	VYBER	6500	88253	\N	\N	0
101968	347	1997-09-01	VYDAJ	VYBER	9000	97473	\N	\N	0
101969	347	1997-10-02	VYDAJ	VYBER	7000	84927	\N	\N	0
101970	347	1997-11-09	VYDAJ	VYBER	9700	46667	\N	\N	0
101971	347	1997-12-23	VYDAJ	VYBER	8000	54588	\N	\N	0
101972	347	1998-01-09	VYDAJ	VYBER	7700	32115	\N	\N	0
101973	347	1998-02-13	VYDAJ	VYBER	11300	80062	\N	\N	0
101974	347	1998-03-05	VYDAJ	VYBER	5200	65911	\N	\N	0
101975	347	1998-04-04	VYDAJ	VYBER	8700	37317	\N	\N	0
101976	347	1998-04-25	VYDAJ	VYBER	11200	34458	\N	\N	0
101977	347	1998-05-31	VYDAJ	VYBER	9100	10630	\N	\N	0
101979	347	1998-08-14	VYDAJ	VYBER	5800	30661	\N	\N	0
101980	347	1998-09-18	VYDAJ	VYBER	8700	63232	\N	\N	0
101981	347	1998-10-10	VYDAJ	VYBER	8400	12399	\N	\N	0
101982	347	1998-11-01	VYDAJ	VYBER	7400	18475	\N	\N	0
101983	347	1998-12-11	VYDAJ	VYBER	11400	31359	\N	\N	0
101987	347	1994-10-10	VYBER	VYBER	3250	31951	\N	\N	\N
101989	347	1994-08-17	VYBER	VYBER	7377	48879	\N	\N	\N
101990	347	1994-10-25	VYBER	VYBER	9314	49046	\N	\N	\N
101991	347	1994-10-28	VYBER	VYBER	3255	45791	\N	\N	\N
101994	347	1994-07-08	VYBER	VYBER	6812	21989	\N	\N	\N
101995	347	1994-05-27	VYBER	VYBER	9415	61435	\N	\N	\N
101996	347	1994-09-30	VYBER	VYBER	16414	44016	\N	\N	\N
101997	347	1994-11-29	VYBER	VYBER	11975	60507	\N	\N	\N
101999	347	1995-02-22	VYBER	VYBER	6355	28400	\N	\N	\N
102000	347	1995-05-17	VYBER	VYBER	3556	25175	\N	\N	\N
102001	347	1995-12-04	VYBER	VYBER	22683	6171	\N	\N	\N
102002	347	1995-08-13	VYBER	VYBER	7222	32909	\N	\N	\N
102003	347	1995-10-23	VYBER	VYBER	8078	53842	\N	\N	\N
102005	347	1995-06-02	VYBER	VYBER	13845	11460	\N	\N	\N
102006	347	1995-08-17	VYBER	VYBER	7484	25425	\N	\N	\N
102007	347	1995-03-25	VYBER	VYBER	15669	5134	\N	\N	\N
102008	347	1995-08-03	VYBER	VYBER	22736	218	\N	\N	\N
102009	347	1995-09-26	VYBER	VYBER	4525	81992	\N	\N	\N
102012	347	1996-09-03	VYBER	VYBER	3873	47699	\N	\N	\N
102013	347	1996-10-29	VYBER	VYBER	11511	56149	\N	\N	\N
102014	347	1996-05-04	VYBER	VYBER	4655	7982	\N	\N	\N
102015	347	1996-06-11	VYBER	VYBER	10069	36005	\N	\N	\N
102016	347	1996-05-04	VYBER	VYBER	7369	613	\N	\N	\N
102017	347	1997-04-18	VYBER	VYBER	13702	26326	\N	\N	\N
102018	347	1997-05-23	VYBER	VYBER	16892	66875	\N	\N	\N
102019	347	1997-04-15	VYBER	VYBER	24114	40028	\N	\N	\N
102020	347	1997-05-03	VYBER	VYBER	22206	26970	\N	\N	\N
102021	347	1997-01-28	VYBER	VYBER	12382	52996	\N	\N	\N
102022	347	1997-11-07	VYBER	VYBER	24619	44121	\N	\N	\N
102023	347	1997-06-09	VYBER	VYBER	17134	39092	\N	\N	\N
102024	347	1997-07-13	VYBER	VYBER	6665	75488	\N	\N	\N
102025	347	1998-04-09	VYBER	VYBER	9259	28058	\N	\N	\N
102026	347	1998-10-26	VYBER	VYBER	13029	19456	\N	\N	\N
102027	347	1998-11-12	VYBER	VYBER	9725	8750	\N	\N	\N
102028	347	1998-09-29	VYBER	VYBER	24380	11252	\N	\N	\N
102029	347	1998-04-27	VYBER	VYBER	15267	19191	\N	\N	\N
102030	347	1998-09-29	VYBER	VYBER	9712	1540	\N	\N	\N
102031	347	1998-07-24	VYBER	VYBER	15384	16354	\N	\N	\N
102032	347	1998-04-28	VYBER	VYBER	3909	15282	\N	\N	\N
102033	347	1998-05-01	VYBER	VYBER	16402	-998	\N	\N	\N
102034	347	1998-04-01	VYBER	VYBER	9264	46017	\N	\N	\N
102035	347	1998-08-16	VYBER	VYBER	7327	23334	\N	\N	\N
102036	347	1998-08-11	VYBER	VYBER	10211	36461	\N	\N	\N
102037	347	1998-05-26	VYBER	VYBER	23458	19661	\N	\N	\N
102039	347	1994-06-26	VYDAJ	VYBER	51900	-243	\N	\N	\N
102041	347	1996-06-11	VYDAJ	VYBER	9600	26405	\N	\N	\N
102043	347	1998-06-23	VYDAJ	VYBER	40800	-2370	\N	\N	\N
102048	347	1997-01-05	VYDAJ	VYBER	25200	25302	\N	\N	\N
102049	347	1998-01-12	VYDAJ	VYBER	22500	9615	\N	\N	\N
102051	347	1994-12-27	VYDAJ	VYBER	6900	14190	\N	\N	\N
102052	347	1995-12-08	VYDAJ	VYBER	6900	-729	\N	\N	\N
102053	347	1996-12-03	VYDAJ	VYBER	4200	37341	\N	\N	\N
102054	347	1997-12-30	VYDAJ	VYBER	2700	39588	\N	\N	\N
102055	347	1998-12-21	VYDAJ	VYBER	1500	55559	\N	\N	\N
102061	347	1994-12-09	VYDAJ	VYBER	14700	21090	\N	\N	\N
102062	347	1994-07-07	VYDAJ	VYBER	3300	28801	\N	\N	\N
102068	347	1995-10-31	VYDAJ	VYBER	4500	63986	\N	\N	\N
102069	347	1995-11-16	VYDAJ	VYBER	4800	31585	\N	\N	\N
102070	347	1996-12-22	VYDAJ	VYBER	14700	54813	\N	\N	\N
102071	347	1996-04-21	VYDAJ	VYBER	8700	-2741	\N	\N	\N
102073	347	1996-03-26	VYDAJ	VYBER	7200	-945	\N	\N	\N
102074	347	1996-08-30	VYDAJ	VYBER	9300	51414	\N	\N	\N
102075	347	1996-05-22	VYDAJ	VYBER	8100	10683	\N	\N	\N
102076	347	1996-03-15	VYDAJ	VYBER	2400	6255	\N	\N	\N
102077	347	1996-11-09	VYDAJ	VYBER	9600	46768	\N	\N	\N
102078	347	1997-01-22	VYDAJ	VYBER	12900	82278	\N	\N	\N
102079	347	1997-10-15	VYDAJ	VYBER	2700	80727	\N	\N	\N
102080	347	1997-04-24	VYDAJ	VYBER	5700	58942	\N	\N	\N
102081	347	1997-02-14	VYDAJ	VYBER	6300	39131	\N	\N	\N
102082	347	1997-12-28	VYDAJ	VYBER	12300	42288	\N	\N	\N
102083	347	1997-08-09	VYDAJ	VYBER	6000	82253	\N	\N	\N
102084	347	1997-10-04	VYDAJ	VYBER	1500	83427	\N	\N	\N
102085	347	1998-11-13	VYDAJ	VYBER	3600	5150	\N	\N	\N
102086	347	1998-10-16	VYDAJ	VYBER	8100	9685	\N	\N	\N
102087	347	1998-10-24	VYDAJ	VYBER	12600	32485	\N	\N	\N
102088	347	1998-02-12	VYDAJ	VYBER	13800	91362	\N	\N	\N
102089	347	1998-09-26	VYDAJ	VYBER	13200	50032	\N	\N	\N
102090	347	1998-08-09	VYDAJ	VYBER	9600	46672	\N	\N	\N
102091	347	1998-09-27	VYDAJ	VYBER	14400	35632	\N	\N	\N
102092	347	1998-03-30	VYDAJ	VYBER	12000	55011	\N	\N	\N
102110	347	1994-05-31	VYDAJ	VYBER	15	92557	SLUZBY	\N	\N
102111	347	1994-06-30	VYDAJ	VYBER	15	37601	SLUZBY	\N	\N
102112	347	1994-07-31	VYDAJ	VYBER	15	55253	SLUZBY	\N	\N
102113	347	1994-08-31	VYDAJ	VYBER	15	42778	SLUZBY	\N	\N
102114	347	1994-09-30	VYDAJ	VYBER	15	44001	SLUZBY	\N	\N
102115	347	1994-10-31	VYDAJ	VYBER	15	45989	SLUZBY	\N	\N
102116	347	1994-11-30	VYDAJ	VYBER	15	60690	SLUZBY	\N	\N
102117	347	1994-12-31	VYDAJ	VYBER	15	14298	SLUZBY	\N	\N
102118	347	1995-01-31	VYDAJ	VYBER	15	67455	SLUZBY	\N	\N
102119	347	1995-02-28	VYDAJ	VYBER	15	39003	SLUZBY	\N	\N
102120	347	1995-03-31	VYDAJ	VYBER	15	5208	SLUZBY	\N	\N
102121	347	1995-04-30	VYDAJ	VYBER	15	50832	SLUZBY	\N	\N
102122	347	1995-05-31	VYDAJ	VYBER	15	25305	SLUZBY	\N	\N
102123	347	1995-06-30	VYDAJ	VYBER	15	5085	SLUZBY	\N	\N
102124	347	1995-07-31	VYDAJ	VYBER	15	22954	SLUZBY	\N	\N
102125	347	1995-08-31	VYDAJ	VYBER	15	73660	SLUZBY	\N	\N
102126	347	1995-09-30	VYDAJ	VYBER	15	82278	SLUZBY	\N	\N
102127	347	1995-10-31	VYDAJ	VYBER	15	68486	SLUZBY	\N	\N
102128	347	1995-11-30	VYDAJ	VYBER	15	31754	SLUZBY	\N	\N
102129	347	1995-12-31	VYDAJ	VYBER	15	-728	SLUZBY	\N	\N
102130	347	1996-01-31	VYDAJ	VYBER	15	2352	SLUZBY	\N	\N
102131	347	1996-02-29	VYDAJ	VYBER	15	6556	SLUZBY	\N	\N
102132	347	1996-03-31	VYDAJ	VYBER	15	-940	SLUZBY	\N	\N
102133	347	1996-04-30	VYDAJ	VYBER	15	-2763	SLUZBY	\N	\N
102134	347	1996-05-31	VYDAJ	VYBER	15	58874	SLUZBY	\N	\N
102135	347	1996-06-30	VYDAJ	VYBER	15	24806	SLUZBY	\N	\N
102136	347	1996-07-31	VYDAJ	VYBER	15	25793	SLUZBY	\N	\N
102137	347	1996-08-31	VYDAJ	VYBER	15	51572	SLUZBY	\N	\N
102138	347	1996-09-30	VYDAJ	VYBER	15	44868	SLUZBY	\N	\N
102139	347	1996-10-31	VYDAJ	VYBER	15	56368	SLUZBY	\N	\N
102140	347	1996-11-30	VYDAJ	VYBER	15	41541	SLUZBY	\N	\N
102141	347	1996-12-31	VYDAJ	VYBER	15	50502	SLUZBY	\N	\N
102142	347	1997-01-31	VYDAJ	VYBER	15	53232	SLUZBY	\N	\N
102143	347	1997-02-28	VYDAJ	VYBER	15	41107	SLUZBY	\N	\N
102144	347	1997-03-31	VYDAJ	VYBER	15	71943	SLUZBY	\N	\N
102145	347	1997-04-30	VYDAJ	VYBER	15	49176	SLUZBY	\N	\N
102146	347	1997-05-31	VYDAJ	VYBER	15	56226	SLUZBY	\N	\N
102147	347	1997-06-30	VYDAJ	VYBER	15	58587	SLUZBY	\N	\N
102148	347	1997-07-31	VYDAJ	VYBER	15	94753	SLUZBY	\N	\N
102149	347	1997-08-31	VYDAJ	VYBER	15	84768	SLUZBY	\N	\N
102150	347	1997-09-30	VYDAJ	VYBER	15	91927	SLUZBY	\N	\N
102151	347	1997-10-31	VYDAJ	VYBER	15	68740	SLUZBY	\N	\N
102152	347	1997-11-30	VYDAJ	VYBER	15	62488	SLUZBY	\N	\N
102153	347	1997-12-31	VYDAJ	VYBER	15	39815	SLUZBY	\N	\N
102154	347	1998-01-31	VYDAJ	VYBER	15	105162	SLUZBY	\N	\N
102155	347	1998-02-28	VYDAJ	VYBER	15	71111	SLUZBY	\N	\N
102156	347	1998-03-31	VYDAJ	VYBER	15	55281	SLUZBY	\N	\N
102157	347	1998-04-30	VYDAJ	VYBER	15	15404	SLUZBY	\N	\N
102158	347	1998-05-31	VYDAJ	VYBER	15	19730	SLUZBY	\N	\N
102159	347	1998-06-30	VYDAJ	VYBER	15	-2362	SLUZBY	\N	\N
102160	347	1998-07-31	VYDAJ	VYBER	15	56272	SLUZBY	\N	\N
102161	347	1998-08-31	VYDAJ	VYBER	15	58032	SLUZBY	\N	\N
102162	347	1998-09-30	VYDAJ	VYBER	15	1751	SLUZBY	\N	\N
102163	347	1998-10-31	VYDAJ	VYBER	15	25875	SLUZBY	\N	\N
102164	347	1998-11-30	VYDAJ	VYBER	15	42759	SLUZBY	\N	\N
102165	347	1994-01-12	PRIJEM	VKLAD	1000	25993	\N	\N	\N
102166	347	1994-02-11	VYDAJ	VYBER	3100	22997	\N	\N	\N
102167	347	1994-03-13	PRIJEM	VKLAD	2800	25901	\N	\N	\N
102168	347	1994-04-12	VYDAJ	VYBER	21300	47663	\N	\N	\N
102169	347	1994-05-12	VYDAJ	VYBER	25100	50039	\N	\N	\N
102170	347	1994-06-11	VYDAJ	VYBER	33100	51657	\N	\N	\N
102171	347	1994-07-11	VYDAJ	VYBER	3400	18589	\N	\N	\N
102172	347	1994-08-10	VYDAJ	VYBER	33800	56256	\N	\N	\N
102173	347	1994-09-09	VYDAJ	VYBER	5300	37478	\N	\N	\N
102174	347	1994-10-09	VYDAJ	VYBER	8800	35201	\N	\N	\N
102175	347	1994-11-08	VYDAJ	VYBER	12300	33689	\N	\N	\N
102176	347	1994-12-08	VYDAJ	VYBER	16500	44190	\N	\N	\N
102177	347	1995-01-07	PRIJEM	VKLAD	5200	19498	\N	\N	\N
102178	347	1995-02-06	VYDAJ	VYBER	24000	43455	\N	\N	\N
102179	347	1995-03-08	VYDAJ	VYBER	10400	20803	\N	\N	\N
102180	347	1995-04-07	PRIJEM	VKLAD	10300	15508	\N	\N	\N
102181	347	1995-05-07	VYDAJ	VYBER	14300	36532	\N	\N	\N
102182	347	1995-06-06	PRIJEM	VKLAD	1400	12860	\N	\N	\N
102183	347	1995-07-06	PRIJEM	VKLAD	5300	10385	\N	\N	\N
102184	347	1995-08-05	PRIJEM	VKLAD	8200	8418	\N	\N	\N
102185	347	1995-09-04	VYDAJ	VYBER	28300	45360	\N	\N	\N
102186	347	1995-10-04	VYDAJ	VYBER	29900	52378	\N	\N	\N
102187	347	1995-11-03	VYDAJ	VYBER	19800	44186	\N	\N	\N
102188	347	1995-12-03	VYDAJ	VYBER	2900	28854	\N	\N	\N
102189	347	1996-01-02	PRIJEM	VKLAD	10900	10165	\N	\N	\N
102190	347	1996-02-01	PRIJEM	VKLAD	12000	14352	\N	\N	\N
102191	347	1996-03-02	PRIJEM	VKLAD	9900	16456	\N	\N	\N
102192	347	1996-04-01	PRIJEM	VKLAD	14700	13760	\N	\N	\N
102193	347	1996-05-01	PRIJEM	VKLAD	15400	12637	\N	\N	\N
102194	347	1996-05-31	VYDAJ	VYBER	12800	46074	\N	\N	\N
102195	347	1996-06-30	PRIJEM	VKLAD	6100	24704	\N	\N	\N
102196	347	1996-07-30	PRIJEM	VKLAD	8700	25705	\N	\N	\N
102197	347	1996-08-29	VYDAJ	VYBER	15700	60714	\N	\N	\N
102198	347	1996-09-28	PRIJEM	VKLAD	4800	44697	\N	\N	\N
102199	347	1996-10-28	VYDAJ	VYBER	18900	67660	\N	\N	\N
102200	347	1996-11-27	PRIJEM	VKLAD	2400	41367	\N	\N	\N
102201	347	1996-12-27	VYDAJ	VYBER	4500	50313	\N	\N	\N
102202	347	1997-01-26	VYDAJ	VYBER	16900	65378	\N	\N	\N
102203	347	1997-02-25	PRIJEM	VKLAD	1800	40931	\N	\N	\N
102204	347	1997-03-27	VYDAJ	VYBER	24700	71668	\N	\N	\N
102205	347	1997-04-26	VYDAJ	VYBER	10000	48942	\N	\N	\N
102206	347	1997-05-26	VYDAJ	VYBER	10900	55975	\N	\N	\N
102207	347	1997-06-25	VYDAJ	VYBER	18300	58337	\N	\N	\N
102208	347	1997-07-25	VYDAJ	VYBER	30100	68153	\N	\N	\N
102209	347	1997-08-24	VYDAJ	VYBER	21700	60553	\N	\N	\N
102210	347	1997-09-20	VYDAJ	VYBER	40900	81931	\N	\N	\N
102211	347	1997-09-23	VYDAJ	VYBER	15200	66731	\N	\N	\N
102212	347	1997-09-26	VYDAJ	VYBER	50800	91512	\N	\N	\N
102213	347	1997-10-23	VYDAJ	VYBER	12300	68427	\N	\N	\N
102214	347	1997-11-22	VYDAJ	VYBER	5900	62264	\N	\N	\N
102215	347	1997-12-22	PRIJEM	VKLAD	100	62588	\N	\N	\N
102216	347	1998-01-21	PRIJEM	VKLAD	23800	33415	\N	\N	\N
102217	347	1998-02-20	VYDAJ	VYBER	9300	70762	\N	\N	\N
102218	347	1998-03-22	PRIJEM	VKLAD	1100	67011	\N	\N	\N
102219	347	1998-04-21	PRIJEM	VKLAD	17600	45658	\N	\N	\N
102220	347	1998-05-21	PRIJEM	VKLAD	26800	43119	\N	\N	\N
102221	347	1998-06-20	PRIJEM	VKLAD	27800	38430	\N	\N	\N
102222	347	1998-07-20	PRIJEM	VKLAD	34100	31738	\N	\N	\N
102223	347	1998-08-19	PRIJEM	VKLAD	29400	52734	\N	\N	\N
102224	347	1998-09-18	PRIJEM	VKLAD	13900	71932	\N	\N	\N
102225	347	1998-10-18	PRIJEM	VKLAD	35400	45085	\N	\N	\N
102226	347	1998-11-17	PRIJEM	VKLAD	37500	42650	\N	\N	\N
102227	347	1998-12-17	PRIJEM	VKLAD	25700	57059	\N	\N	\N
102300	348	1995-11-15	PRIJEM	VKLAD	700	700	\N	\N	\N
102312	348	1995-12-05	PRIJEM	VKLAD	27429	28129	\N	\N	\N
102313	348	1996-01-05	PRIJEM	VKLAD	18286	46980	\N	\N	\N
102314	348	1996-02-05	PRIJEM	VKLAD	18286	54303	\N	\N	\N
102315	348	1996-03-05	PRIJEM	VKLAD	18286	59752	\N	\N	\N
102316	348	1996-04-05	PRIJEM	VKLAD	18286	63319	\N	\N	\N
102317	348	1996-05-05	PRIJEM	VKLAD	18286	65382	\N	\N	\N
102318	348	1996-06-05	PRIJEM	VKLAD	27429	66388	\N	\N	\N
102319	348	1996-07-05	PRIJEM	VKLAD	18286	63367	\N	\N	\N
102320	348	1996-08-05	PRIJEM	VKLAD	18286	63626	\N	\N	\N
102321	348	1996-09-05	PRIJEM	VKLAD	18286	58973	\N	\N	\N
102322	348	1996-10-05	PRIJEM	VKLAD	18286	55302	\N	\N	\N
102323	348	1996-11-05	PRIJEM	VKLAD	18286	53021	\N	\N	\N
102324	348	1996-12-05	PRIJEM	VKLAD	27429	58775	\N	\N	\N
102325	348	1997-01-05	PRIJEM	VKLAD	18286	59522	\N	\N	\N
102326	348	1997-02-05	PRIJEM	VKLAD	18286	44842	\N	\N	\N
102327	348	1997-03-05	PRIJEM	VKLAD	18286	46730	\N	\N	\N
102328	348	1997-04-05	PRIJEM	VKLAD	18286	42721	\N	\N	\N
102329	348	1997-05-05	PRIJEM	VKLAD	18286	45813	\N	\N	\N
102330	348	1997-06-05	PRIJEM	VKLAD	27429	54640	\N	\N	\N
102331	348	1997-07-05	PRIJEM	VKLAD	18286	34202	\N	\N	\N
102332	348	1997-08-05	PRIJEM	VKLAD	18286	39570	\N	\N	\N
102333	348	1997-09-05	PRIJEM	VKLAD	18286	42941	\N	\N	\N
102334	348	1997-10-05	PRIJEM	VKLAD	18286	41309	\N	\N	\N
102335	348	1997-11-05	PRIJEM	VKLAD	18286	39289	\N	\N	\N
102336	348	1997-12-05	PRIJEM	VKLAD	27429	56159	\N	\N	\N
102337	348	1998-01-05	PRIJEM	VKLAD	18286	45847	\N	\N	\N
102338	348	1998-02-05	PRIJEM	VKLAD	18286	46677	\N	\N	\N
102339	348	1998-03-05	PRIJEM	VKLAD	18286	54127	\N	\N	\N
102340	348	1998-04-05	PRIJEM	VKLAD	18286	60017	\N	\N	\N
102341	348	1998-05-05	PRIJEM	VKLAD	18286	68134	\N	\N	\N
102342	348	1998-06-05	PRIJEM	VKLAD	27429	79827	\N	\N	\N
102343	348	1998-07-05	PRIJEM	VKLAD	18286	67513	\N	\N	\N
102344	348	1998-08-05	PRIJEM	VKLAD	18286	69661	\N	\N	\N
102345	348	1998-09-05	PRIJEM	VKLAD	18286	68309	\N	\N	\N
102346	348	1998-10-05	PRIJEM	VKLAD	18286	67753	\N	\N	\N
102347	348	1998-11-05	PRIJEM	VKLAD	18286	68903	\N	\N	\N
102348	348	1998-12-05	PRIJEM	VKLAD	27429	76126	\N	\N	\N
102350	348	1996-06-01	VYDAJ	VYBER	4700	38959	\N	\N	\N
102351	348	1997-06-08	VYDAJ	VYBER	11900	19840	\N	\N	\N
102352	348	1998-06-27	VYDAJ	VYBER	20000	59827	\N	\N	\N
102355	348	1997-01-25	VYDAJ	VYBER	4200	28122	\N	\N	\N
102356	348	1998-01-04	VYDAJ	VYBER	5600	29661	\N	\N	\N
102358	348	1996-12-02	VYDAJ	VYBER	1800	31346	\N	\N	\N
102359	348	1997-12-11	VYDAJ	VYBER	1900	54259	\N	\N	\N
102360	348	1998-12-08	VYDAJ	VYBER KARTOU	2100	74026	\N	\N	0
102373	348	1997-01-05	VYDAJ	VYBER	500	58522	\N	\N	\N
102374	348	1997-01-05	VYDAJ	VYBER	500	59022	\N	\N	\N
102375	348	1997-01-22	VYDAJ	VYBER	500	32322	\N	\N	\N
102376	348	1997-01-09	VYDAJ	VYBER	600	34722	\N	\N	\N
102377	348	1997-01-27	VYDAJ	VYBER	1700	26422	\N	\N	\N
102378	348	1997-01-16	VYDAJ	VYBER	1900	32822	\N	\N	\N
102379	348	1998-01-05	VYDAJ	VYBER	1700	44147	\N	\N	\N
102380	348	1998-01-12	VYDAJ	VYBER	1500	37447	\N	\N	\N
102381	348	1998-01-29	VYDAJ	VYBER	2700	31247	\N	\N	\N
102382	348	1998-01-20	VYDAJ	VYBER	1100	36347	\N	\N	\N
102383	348	1998-01-11	VYDAJ	VYBER	900	38947	\N	\N	\N
102384	348	1998-01-29	VYDAJ	VYBER	2400	33947	\N	\N	\N
102392	348	1996-05-23	VYDAJ	VYBER	3300	43482	\N	\N	\N
102394	348	1997-03-20	VYDAJ	VYBER	3900	27230	\N	\N	\N
102395	348	1997-07-01	VYDAJ	VYBER	4000	15916	\N	\N	\N
102396	348	1997-12-27	VYDAJ	VYBER	3900	50359	\N	\N	\N
102397	348	1997-10-14	VYDAJ	VYBER	1100	27209	\N	\N	\N
102398	348	1997-07-20	VYDAJ	VYBER	3700	21202	\N	\N	\N
102399	348	1997-10-20	VYDAJ	VYBER	1800	25409	\N	\N	\N
102400	348	1997-04-03	VYDAJ	VYBER	2900	24435	\N	\N	\N
102401	348	1998-01-04	VYDAJ	VYBER	2100	27561	\N	\N	\N
102402	348	1998-08-12	VYDAJ	VYBER	4200	65461	\N	\N	\N
102403	348	1998-12-10	VYDAJ	VYBER KARTOU	1200	72826	\N	\N	0
102404	348	1998-01-07	VYDAJ	VYBER	4300	39847	\N	\N	\N
102405	348	1998-02-17	VYDAJ	VYBER	3700	42977	\N	\N	\N
102422	348	1996-04-30	VYDAJ	VYBER	15	47096	SLUZBY	\N	\N
102423	348	1996-05-31	VYDAJ	VYBER	15	43659	SLUZBY	\N	\N
102424	348	1996-06-30	VYDAJ	VYBER	15	45081	SLUZBY	\N	\N
102425	348	1996-07-31	VYDAJ	VYBER	15	45340	SLUZBY	\N	\N
102426	348	1996-08-31	VYDAJ	VYBER	15	40687	SLUZBY	\N	\N
102427	348	1996-09-30	VYDAJ	VYBER	15	37016	SLUZBY	\N	\N
102428	348	1996-10-31	VYDAJ	VYBER	15	34735	SLUZBY	\N	\N
102429	348	1996-11-30	VYDAJ	VYBER	15	33146	SLUZBY	\N	\N
102430	348	1996-12-31	VYDAJ	VYBER	15	41236	SLUZBY	\N	\N
102431	348	1997-01-31	VYDAJ	VYBER	15	26556	SLUZBY	\N	\N
102432	348	1997-02-28	VYDAJ	VYBER	15	28444	SLUZBY	\N	\N
102433	348	1997-03-31	VYDAJ	VYBER	15	27335	SLUZBY	\N	\N
102434	348	1997-04-30	VYDAJ	VYBER	15	27527	SLUZBY	\N	\N
102435	348	1997-05-31	VYDAJ	VYBER	15	27211	SLUZBY	\N	\N
102436	348	1997-06-30	VYDAJ	VYBER	15	19916	SLUZBY	\N	\N
102437	348	1997-07-31	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
102438	348	1997-08-31	VYDAJ	VYBER	15	24655	SLUZBY	\N	\N
102439	348	1997-09-30	VYDAJ	VYBER	15	23023	SLUZBY	\N	\N
102440	348	1997-10-31	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
102441	348	1997-11-30	VYDAJ	VYBER	15	39430	SLUZBY	\N	\N
102442	348	1997-12-31	VYDAJ	VYBER	15	50561	SLUZBY	\N	\N
102443	348	1998-01-31	VYDAJ	VYBER	15	31391	SLUZBY	\N	\N
102444	348	1998-02-28	VYDAJ	VYBER	15	43141	SLUZBY	\N	\N
102445	348	1998-03-31	VYDAJ	VYBER	15	54331	SLUZBY	\N	\N
102446	348	1998-04-30	VYDAJ	VYBER	15	60248	SLUZBY	\N	\N
102447	348	1998-05-31	VYDAJ	VYBER	15	68398	SLUZBY	\N	\N
102448	348	1998-06-30	VYDAJ	VYBER	15	60127	SLUZBY	\N	\N
102449	348	1998-07-31	VYDAJ	VYBER	15	67775	SLUZBY	\N	\N
102450	348	1998-08-31	VYDAJ	VYBER	15	65723	SLUZBY	\N	\N
102451	348	1998-09-30	VYDAJ	VYBER	15	68567	SLUZBY	\N	\N
102452	348	1998-10-31	VYDAJ	VYBER	15	50617	SLUZBY	\N	\N
102453	348	1998-11-30	VYDAJ	VYBER	15	48697	SLUZBY	\N	\N
102454	348	1995-12-15	PRIJEM	VKLAD	500	28629	\N	\N	\N
102455	348	1996-01-14	VYDAJ	VYBER	11100	35880	\N	\N	\N
102456	348	1996-02-13	VYDAJ	VYBER	13000	41303	\N	\N	\N
102457	348	1996-03-14	VYDAJ	VYBER	14900	44852	\N	\N	\N
102458	348	1996-04-13	VYDAJ	VYBER	16400	46919	\N	\N	\N
102459	348	1996-05-13	VYDAJ	VYBER	18600	46782	\N	\N	\N
102460	348	1996-06-12	VYDAJ	VYBER	21500	44888	\N	\N	\N
102461	348	1996-07-12	VYDAJ	VYBER	18200	45167	\N	\N	\N
102462	348	1996-08-11	VYDAJ	VYBER	23100	40526	\N	\N	\N
102463	348	1996-09-10	VYDAJ	VYBER	22100	36873	\N	\N	\N
102464	348	1996-10-10	VYDAJ	VYBER	20700	34602	\N	\N	\N
102465	348	1996-11-09	VYDAJ	VYBER	20000	33021	\N	\N	\N
102466	348	1996-12-09	VYDAJ	VYBER	17700	41075	\N	\N	\N
102467	348	1997-01-08	VYDAJ	VYBER	23200	35322	\N	\N	\N
102468	348	1997-02-07	VYDAJ	VYBER	16500	28342	\N	\N	\N
102469	348	1997-03-09	VYDAJ	VYBER	15600	31130	\N	\N	\N
102470	348	1997-04-08	VYDAJ	VYBER	15300	27421	\N	\N	\N
102471	348	1997-05-08	VYDAJ	VYBER	18700	27113	\N	\N	\N
102472	348	1997-06-07	VYDAJ	VYBER	22900	31740	\N	\N	\N
102473	348	1997-07-07	VYDAJ	VYBER	9300	24902	\N	\N	\N
102474	348	1997-08-06	VYDAJ	VYBER	15000	24570	\N	\N	\N
102475	348	1997-09-05	VYDAJ	VYBER	20000	22941	\N	\N	\N
102476	348	1997-10-05	VYDAJ	VYBER	13000	28309	\N	\N	\N
102477	348	1997-11-04	VYDAJ	VYBER	4500	21003	\N	\N	\N
102478	348	1997-12-04	VYDAJ	VYBER	10700	28730	\N	\N	\N
102479	348	1998-01-03	VYDAJ	VYBER	15300	35261	\N	\N	\N
102480	348	1998-02-02	VYDAJ	VYBER	3000	28391	\N	\N	\N
102481	348	1998-03-04	VYDAJ	VYBER	7300	35841	\N	\N	\N
102482	348	1998-04-03	VYDAJ	VYBER	12600	41731	\N	\N	\N
102483	348	1998-05-03	VYDAJ	VYBER	10400	49848	\N	\N	\N
102484	348	1998-06-02	VYDAJ	VYBER	16000	52398	\N	\N	\N
102485	348	1998-07-02	VYDAJ	VYBER	10900	49227	\N	\N	\N
102486	348	1998-08-01	VYDAJ	VYBER	16400	51375	\N	\N	\N
102487	348	1998-08-31	VYDAJ	VYBER	15700	50023	\N	\N	\N
102488	348	1998-09-30	VYDAJ	VYBER	19100	49467	\N	\N	\N
102489	348	1998-10-30	VYDAJ	VYBER	17400	50353	\N	\N	\N
102490	348	1998-11-29	VYDAJ	VYBER	20400	48503	\N	\N	\N
102528	349	1997-06-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
102534	349	1997-06-10	PRIJEM	VKLAD	10486	11586	\N	\N	\N
102535	349	1997-07-10	PRIJEM	VKLAD	6991	25811	\N	\N	\N
102536	349	1997-08-10	PRIJEM	VKLAD	6991	31492	\N	\N	\N
102537	349	1997-09-10	PRIJEM	VKLAD	6991	30208	\N	\N	\N
102538	349	1997-10-10	PRIJEM	VKLAD	6991	26326	\N	\N	\N
102539	349	1997-11-10	PRIJEM	VKLAD	6991	20769	\N	\N	\N
102540	349	1997-12-10	PRIJEM	VKLAD	10486	20943	\N	\N	\N
102541	349	1998-01-10	PRIJEM	VKLAD	6991	19961	\N	\N	\N
102542	349	1998-02-10	PRIJEM	VKLAD	6991	18248	\N	\N	\N
102543	349	1998-03-10	PRIJEM	VKLAD	6991	17529	\N	\N	\N
102544	349	1998-04-10	PRIJEM	VKLAD	6991	12705	\N	\N	\N
102545	349	1998-05-10	PRIJEM	VKLAD	6991	16173	\N	\N	\N
102546	349	1998-06-10	PRIJEM	VKLAD	10486	20941	\N	\N	\N
102547	349	1998-07-10	PRIJEM	VKLAD	6991	22054	\N	\N	\N
102548	349	1998-08-10	PRIJEM	VKLAD	6991	18343	\N	\N	\N
102549	349	1998-09-10	PRIJEM	VKLAD	6991	21028	\N	\N	\N
102550	349	1998-10-10	PRIJEM	VKLAD	6991	21147	\N	\N	\N
102551	349	1998-11-10	PRIJEM	VKLAD	6991	20469	\N	\N	\N
102552	349	1998-12-10	PRIJEM	VKLAD	10486	20184	\N	\N	\N
102563	349	1997-11-09	VYDAJ	PREVOD NA UCET	4660	13778	SIPO	ST	83005469
102564	349	1997-12-09	VYDAJ	PREVOD NA UCET	4660	10457	SIPO	ST	83005469
102565	349	1998-01-09	VYDAJ	PREVOD NA UCET	4660	12970	SIPO	ST	83005469
102566	349	1998-02-09	VYDAJ	PREVOD NA UCET	4660	11257	SIPO	ST	83005469
102567	349	1998-03-09	VYDAJ	PREVOD NA UCET	4660	10538	SIPO	ST	83005469
102568	349	1998-04-09	VYDAJ	PREVOD NA UCET	4660	5714	SIPO	ST	83005469
102569	349	1998-05-09	VYDAJ	PREVOD NA UCET	4660	9182	SIPO	ST	83005469
102570	349	1998-06-09	VYDAJ	PREVOD NA UCET	4660	10455	SIPO	ST	83005469
102571	349	1998-07-09	VYDAJ	PREVOD NA UCET	4660	15063	SIPO	ST	83005469
102572	349	1998-08-09	VYDAJ	PREVOD NA UCET	4660	11352	SIPO	ST	83005469
102573	349	1998-09-09	VYDAJ	PREVOD NA UCET	4660	14037	SIPO	ST	83005469
102574	349	1998-10-09	VYDAJ	PREVOD NA UCET	4660	14156	SIPO	ST	83005469
102575	349	1998-11-09	VYDAJ	PREVOD NA UCET	4660	13478	SIPO	ST	83005469
102576	349	1998-12-09	VYDAJ	PREVOD NA UCET	4660	9698	SIPO	ST	83005469
102586	349	1997-10-09	VYDAJ	VYBER	3000	19335	\N	\N	0
102587	349	1997-11-23	VYDAJ	VYBER	2700	18069	\N	\N	0
102588	349	1997-12-07	VYDAJ	VYBER	3000	15117	\N	\N	0
102589	349	1998-01-14	VYDAJ	VYBER	2300	15861	\N	\N	0
102590	349	1998-02-15	VYDAJ	VYBER	4000	14248	\N	\N	0
102591	349	1998-03-16	VYDAJ	VYBER	4100	13429	\N	\N	0
102592	349	1998-04-06	VYDAJ	VYBER	3800	10374	\N	\N	0
102593	349	1998-05-18	VYDAJ	VYBER	2600	13573	\N	\N	0
102594	349	1998-06-14	VYDAJ	VYBER	3600	12781	\N	\N	0
102595	349	1998-07-13	VYDAJ	VYBER	3300	18754	\N	\N	0
102596	349	1998-08-04	VYDAJ	VYBER	4400	16012	\N	\N	0
102597	349	1998-09-12	VYDAJ	PREVOD NA UCET	3568	17460	UVER	YZ	66345286
102598	349	1998-10-12	VYDAJ	PREVOD NA UCET	3568	17579	UVER	YZ	66345286
102599	349	1998-11-12	VYDAJ	PREVOD NA UCET	3568	16901	UVER	YZ	66345286
102600	349	1998-12-12	VYDAJ	PREVOD NA UCET	3568	16616	UVER	YZ	66345286
102605	349	1997-12-05	VYDAJ	VYBER	2560	18117	\N	\N	\N
102613	349	1998-01-01	VYDAJ	VYBER	2880	18130	\N	\N	\N
102615	349	1998-01-10	VYDAJ	VYBER	1800	18161	\N	\N	\N
102618	349	1998-01-03	VYDAJ	VYBER	1800	16330	\N	\N	\N
102622	349	1997-10-23	VYDAJ	VYBER	5280	21046	\N	\N	\N
102623	349	1997-11-30	VYDAJ	VYBER	1560	16577	\N	\N	\N
102626	349	1998-08-17	VYDAJ	VYBER	2400	15943	\N	\N	\N
102628	349	1998-06-11	VYDAJ	VYBER	4560	16381	\N	\N	\N
102639	349	1997-10-31	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
102640	349	1997-11-30	VYDAJ	VYBER	15	18137	SLUZBY	\N	\N
102641	349	1997-12-31	VYDAJ	VYBER	15	21010	SLUZBY	\N	\N
102642	349	1998-01-31	VYDAJ	VYBER	15	15917	SLUZBY	\N	\N
102643	349	1998-02-28	VYDAJ	VYBER	15	14298	SLUZBY	\N	\N
102644	349	1998-03-31	VYDAJ	VYBER	15	13474	SLUZBY	\N	\N
102645	349	1998-04-30	VYDAJ	VYBER	15	12742	SLUZBY	\N	\N
102646	349	1998-05-31	VYDAJ	VYBER	15	13615	SLUZBY	\N	\N
102647	349	1998-06-30	VYDAJ	VYBER	15	12823	SLUZBY	\N	\N
102648	349	1998-07-31	VYDAJ	VYBER	15	18812	SLUZBY	\N	\N
102649	349	1998-08-31	VYDAJ	VYBER	15	15997	SLUZBY	\N	\N
102650	349	1998-09-30	VYDAJ	VYBER	15	17516	SLUZBY	\N	\N
102651	349	1998-10-31	VYDAJ	VYBER	15	18138	SLUZBY	\N	\N
102652	349	1998-11-30	VYDAJ	VYBER	15	14358	SLUZBY	\N	\N
102653	349	1997-07-08	PRIJEM	VKLAD	7200	18820	\N	\N	\N
102654	349	1997-08-07	VYDAJ	VYBER	1400	24501	\N	\N	\N
102655	349	1997-09-06	VYDAJ	VYBER	8400	23217	\N	\N	\N
102656	349	1997-10-06	VYDAJ	VYBER	8000	22335	\N	\N	\N
102657	349	1997-11-05	VYDAJ	VYBER	2700	18438	\N	\N	\N
102658	349	1997-12-05	PRIJEM	VKLAD	4100	20677	\N	\N	\N
102659	349	1998-01-04	PRIJEM	VKLAD	1300	17630	\N	\N	\N
102660	349	1998-03-05	PRIJEM	VKLAD	900	15198	\N	\N	\N
102661	349	1998-04-04	PRIJEM	VKLAD	700	14174	\N	\N	\N
102662	349	1998-05-04	PRIJEM	VKLAD	1100	13842	\N	\N	\N
102663	349	1998-06-03	PRIJEM	VKLAD	1500	15115	\N	\N	\N
102664	349	1998-07-03	PRIJEM	VKLAD	6900	19723	\N	\N	\N
102665	349	1998-08-02	PRIJEM	VKLAD	1600	20412	\N	\N	\N
102666	349	1998-09-01	PRIJEM	VKLAD	2700	18697	\N	\N	\N
102667	349	1998-10-01	PRIJEM	VKLAD	1300	18816	\N	\N	\N
102668	349	1998-10-31	PRIJEM	VKLAD	500	18079	\N	\N	\N
102669	349	1998-11-30	VYDAJ	VYBER	2600	14372	\N	\N	\N
102689	350	1996-10-13	PRIJEM	VKLAD	500	500	\N	\N	\N
102700	350	1996-11-11	PRIJEM	PREVOD Z UCTU	6309	6809	DUCHOD	WX	86100172
102701	350	1996-12-11	PRIJEM	PREVOD Z UCTU	6309	13118	DUCHOD	WX	86100172
102702	350	1997-01-11	PRIJEM	PREVOD Z UCTU	6309	19427	DUCHOD	WX	86100172
102703	350	1997-02-11	PRIJEM	PREVOD Z UCTU	6309	23986	DUCHOD	WX	86100172
102704	350	1997-03-11	PRIJEM	PREVOD Z UCTU	6309	30368	DUCHOD	WX	86100172
102705	350	1997-04-11	PRIJEM	PREVOD Z UCTU	6309	24524	DUCHOD	WX	86100172
102706	350	1997-05-11	PRIJEM	PREVOD Z UCTU	6309	23424	DUCHOD	WX	86100172
102707	350	1997-06-11	PRIJEM	PREVOD Z UCTU	6309	15471	DUCHOD	WX	86100172
102708	350	1997-07-11	PRIJEM	PREVOD Z UCTU	6309	16595	DUCHOD	WX	86100172
102709	350	1997-08-11	PRIJEM	PREVOD Z UCTU	6309	19164	DUCHOD	WX	86100172
102710	350	1997-09-11	PRIJEM	PREVOD Z UCTU	6309	21023	DUCHOD	WX	86100172
102711	350	1997-10-11	PRIJEM	PREVOD Z UCTU	6309	17111	DUCHOD	WX	86100172
102712	350	1997-11-11	PRIJEM	PREVOD Z UCTU	6309	19687	DUCHOD	WX	86100172
102713	350	1997-12-11	PRIJEM	PREVOD Z UCTU	6309	21568	DUCHOD	WX	86100172
102714	350	1998-01-11	PRIJEM	PREVOD Z UCTU	6309	20445	DUCHOD	WX	86100172
102715	350	1998-02-11	PRIJEM	PREVOD Z UCTU	6309	17737	DUCHOD	WX	86100172
102716	350	1998-03-11	PRIJEM	PREVOD Z UCTU	6309	19570	DUCHOD	WX	86100172
102717	350	1998-04-11	PRIJEM	PREVOD Z UCTU	6309	22150	DUCHOD	WX	86100172
102718	350	1998-05-11	PRIJEM	PREVOD Z UCTU	6309	20742	DUCHOD	WX	86100172
102719	350	1998-06-11	PRIJEM	PREVOD Z UCTU	6309	19648	DUCHOD	WX	86100172
102720	350	1998-07-11	PRIJEM	PREVOD Z UCTU	6309	22229	DUCHOD	WX	86100172
102721	350	1998-08-11	PRIJEM	PREVOD Z UCTU	6309	24821	DUCHOD	WX	86100172
102722	350	1998-09-11	PRIJEM	PREVOD Z UCTU	6309	24779	DUCHOD	WX	86100172
102723	350	1998-10-11	PRIJEM	PREVOD Z UCTU	6309	25582	DUCHOD	WX	86100172
102724	350	1998-11-11	PRIJEM	PREVOD Z UCTU	6309	27286	DUCHOD	WX	86100172
102725	350	1998-12-11	PRIJEM	PREVOD Z UCTU	6309	23115	DUCHOD	WX	86100172
102741	350	1997-04-05	VYDAJ	PREVOD NA UCET	3791	18215	SIPO	AB	77066629
102742	350	1997-05-05	VYDAJ	PREVOD NA UCET	3791	17115	SIPO	AB	77066629
102743	350	1997-06-05	VYDAJ	PREVOD NA UCET	3791	9162	SIPO	AB	77066629
102744	350	1997-07-05	VYDAJ	PREVOD NA UCET	3791	10286	SIPO	AB	77066629
102745	350	1997-08-05	VYDAJ	PREVOD NA UCET	3791	12855	SIPO	AB	77066629
102746	350	1997-09-05	VYDAJ	PREVOD NA UCET	3791	14714	SIPO	AB	77066629
102747	350	1997-10-05	VYDAJ	PREVOD NA UCET	3791	17302	SIPO	AB	77066629
102748	350	1997-11-05	VYDAJ	PREVOD NA UCET	3791	13378	SIPO	AB	77066629
102749	350	1997-12-05	VYDAJ	PREVOD NA UCET	3791	15959	SIPO	AB	77066629
102750	350	1998-01-05	VYDAJ	PREVOD NA UCET	3791	15976	SIPO	AB	77066629
102751	350	1998-02-05	VYDAJ	PREVOD NA UCET	3791	11428	SIPO	AB	77066629
102752	350	1998-03-05	VYDAJ	PREVOD NA UCET	3791	13361	SIPO	AB	77066629
102753	350	1998-04-05	VYDAJ	PREVOD NA UCET	3791	15841	SIPO	AB	77066629
102754	350	1998-05-05	VYDAJ	PREVOD NA UCET	3791	18433	SIPO	AB	77066629
102755	350	1998-06-05	VYDAJ	PREVOD NA UCET	3791	13339	SIPO	AB	77066629
102756	350	1998-07-05	VYDAJ	PREVOD NA UCET	3791	15920	SIPO	AB	77066629
102757	350	1998-08-05	VYDAJ	PREVOD NA UCET	3791	18512	SIPO	AB	77066629
102758	350	1998-09-05	VYDAJ	PREVOD NA UCET	3791	18470	SIPO	AB	77066629
102759	350	1998-10-05	VYDAJ	PREVOD NA UCET	3791	19273	SIPO	AB	77066629
102760	350	1998-11-05	VYDAJ	PREVOD NA UCET	3791	20977	SIPO	AB	77066629
102761	350	1998-12-05	VYDAJ	PREVOD NA UCET	3791	16806	SIPO	AB	77066629
102763	350	1997-06-03	VYDAJ	VYBER	10550	12953	\N	\N	\N
102766	350	1997-12-12	VYDAJ	VYBER	750	20818	\N	\N	\N
102767	350	1998-12-28	VYDAJ	VYBER	1050	22065	\N	\N	\N
102780	350	1998-01-01	VYDAJ	VYBER	1120	19767	\N	\N	\N
102781	350	1998-01-06	VYDAJ	VYBER	1840	14136	\N	\N	\N
102782	350	1998-01-11	VYDAJ	VYBER	1920	18525	\N	\N	\N
102783	350	1998-01-15	VYDAJ	VYBER	480	16605	\N	\N	\N
102784	350	1998-01-16	VYDAJ	VYBER	1440	15165	\N	\N	\N
102785	350	1998-01-15	VYDAJ	VYBER	1440	17085	\N	\N	\N
102789	350	1997-04-04	VYDAJ	VYBER	2640	22006	\N	\N	\N
102792	350	1997-08-27	VYDAJ	VYBER	720	18444	\N	\N	\N
102794	350	1997-06-13	VYDAJ	VYBER	1440	14031	\N	\N	\N
102796	350	1998-06-03	VYDAJ	VYBER	3680	17130	\N	\N	\N
102797	350	1998-11-27	VYDAJ	VYBER	2880	24406	\N	\N	\N
102798	350	1998-02-27	VYDAJ	VYBER	640	17097	\N	\N	\N
102799	350	1998-08-16	VYDAJ	VYBER	2640	22181	\N	\N	\N
102800	350	1998-05-09	VYDAJ	VYBER	800	14433	\N	\N	\N
102816	350	1997-03-31	VYDAJ	VYBER	15	24646	SLUZBY	\N	\N
102817	350	1997-04-30	VYDAJ	VYBER	15	20906	SLUZBY	\N	\N
102818	350	1997-05-31	VYDAJ	VYBER	15	23503	SLUZBY	\N	\N
102819	350	1997-06-30	VYDAJ	VYBER	15	14077	SLUZBY	\N	\N
102820	350	1997-07-31	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
102821	350	1997-08-31	VYDAJ	VYBER	15	18505	SLUZBY	\N	\N
102822	350	1997-09-30	VYDAJ	VYBER	15	21093	SLUZBY	\N	\N
102823	350	1997-10-31	VYDAJ	VYBER	15	17169	SLUZBY	\N	\N
102824	350	1997-11-30	VYDAJ	VYBER	15	19750	SLUZBY	\N	\N
102825	350	1997-12-31	VYDAJ	VYBER	15	20887	SLUZBY	\N	\N
102826	350	1998-01-31	VYDAJ	VYBER	15	15219	SLUZBY	\N	\N
102827	350	1998-02-28	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
102828	350	1998-03-31	VYDAJ	VYBER	15	19632	SLUZBY	\N	\N
102829	350	1998-04-30	VYDAJ	VYBER	15	22224	SLUZBY	\N	\N
102830	350	1998-05-31	VYDAJ	VYBER	15	20810	SLUZBY	\N	\N
102831	350	1998-06-30	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
102832	350	1998-07-31	VYDAJ	VYBER	15	22303	SLUZBY	\N	\N
102833	350	1998-08-31	VYDAJ	VYBER	15	22261	SLUZBY	\N	\N
102834	350	1998-09-30	VYDAJ	VYBER	15	24864	SLUZBY	\N	\N
102835	350	1998-10-31	VYDAJ	VYBER	15	25668	SLUZBY	\N	\N
102836	350	1998-11-30	VYDAJ	VYBER	15	24497	SLUZBY	\N	\N
102837	350	1997-01-11	VYDAJ	VYBER	1800	17627	\N	\N	\N
102838	350	1997-03-12	VYDAJ	VYBER	5800	24568	\N	\N	\N
102839	350	1997-04-11	VYDAJ	VYBER	3700	20824	\N	\N	\N
102840	350	1997-10-08	VYDAJ	VYBER	6500	10802	\N	\N	\N
102841	350	1997-12-07	VYDAJ	VYBER	700	15259	\N	\N	\N
102842	350	1998-03-07	VYDAJ	VYBER	100	13261	\N	\N	\N
102843	350	1998-05-06	VYDAJ	VYBER	3200	15233	\N	\N	\N
102844	350	1998-10-03	VYDAJ	VYBER	1800	23064	\N	\N	\N
102845	350	1998-11-02	VYDAJ	VYBER	900	24768	\N	\N	\N
102846	350	1998-12-02	VYDAJ	VYBER	3900	20597	\N	\N	\N
102871	351	1997-02-17	PRIJEM	VKLAD	600	600	\N	\N	\N
102872	351	1997-07-01	PRIJEM	VKLAD	5688	30218	\N	\N	\N
102873	351	1997-09-28	PRIJEM	VKLAD	36629	57453	\N	\N	\N
102874	351	1998-04-15	PRIJEM	VKLAD	39533	60652	\N	\N	\N
102875	351	1998-08-27	PRIJEM	VKLAD	9568	34417	\N	\N	\N
102878	351	1997-03-17	PRIJEM	VKLAD	1400	3804	\N	\N	\N
102879	351	1997-04-14	PRIJEM	VKLAD	1400	16036	\N	\N	\N
102880	351	1997-05-17	PRIJEM	VKLAD	1400	18787	\N	\N	\N
102881	351	1997-06-15	PRIJEM	VKLAD	1400	23050	\N	\N	\N
102882	351	1997-07-13	PRIJEM	VKLAD	1400	31268	\N	\N	\N
102883	351	1997-08-17	PRIJEM	VKLAD	1400	25671	\N	\N	\N
102884	351	1997-09-16	PRIJEM	VKLAD	1400	19024	\N	\N	\N
102885	351	1997-10-13	PRIJEM	VKLAD	1400	58953	\N	\N	\N
102886	351	1997-11-13	PRIJEM	VKLAD	1400	40086	\N	\N	\N
102887	351	1997-12-17	PRIJEM	VKLAD	1400	29918	\N	\N	\N
102888	351	1998-01-14	PRIJEM	VKLAD	1400	22186	\N	\N	\N
102889	351	1998-02-14	PRIJEM	VKLAD	1400	22263	\N	\N	\N
102890	351	1998-03-14	PRIJEM	VKLAD	1400	25540	\N	\N	\N
102891	351	1998-04-14	PRIJEM	VKLAD	1400	21119	\N	\N	\N
102892	351	1998-05-14	PRIJEM	VKLAD	1400	40617	\N	\N	\N
102893	351	1998-06-13	PRIJEM	VKLAD	1400	28010	\N	\N	\N
102894	351	1998-07-15	PRIJEM	VKLAD	1400	28838	\N	\N	\N
102895	351	1998-08-13	PRIJEM	VKLAD	1400	23049	\N	\N	\N
102896	351	1998-09-16	PRIJEM	VKLAD	1400	24918	\N	\N	\N
102897	351	1998-10-17	PRIJEM	VKLAD	1400	18831	\N	\N	\N
102898	351	1998-11-17	PRIJEM	VKLAD	1400	17215	\N	\N	\N
102899	351	1998-12-13	PRIJEM	VKLAD	1400	16282	\N	\N	\N
102901	351	1997-02-18	PRIJEM	VKLAD	1800	2400	\N	\N	\N
102902	351	1997-03-18	PRIJEM	VKLAD	1800	5604	\N	\N	\N
102903	351	1997-04-18	PRIJEM	VKLAD	1800	17836	\N	\N	\N
102904	351	1997-05-18	PRIJEM	VKLAD	1800	21587	\N	\N	\N
102905	351	1997-06-18	PRIJEM	VKLAD	1800	24450	\N	\N	\N
102906	351	1997-07-18	PRIJEM	VKLAD	1800	28768	\N	\N	\N
102907	351	1997-08-18	PRIJEM	VKLAD	1800	27471	\N	\N	\N
102908	351	1997-09-18	PRIJEM	VKLAD	1800	20824	\N	\N	\N
102909	351	1997-10-18	PRIJEM	VKLAD	1800	39953	\N	\N	\N
102910	351	1997-11-18	PRIJEM	VKLAD	1800	32286	\N	\N	\N
102911	351	1997-12-18	PRIJEM	VKLAD	1800	31718	\N	\N	\N
102912	351	1998-01-18	PRIJEM	VKLAD	1800	23986	\N	\N	\N
102913	351	1998-02-18	PRIJEM	VKLAD	1800	24063	\N	\N	\N
102914	351	1998-03-18	PRIJEM	VKLAD	1800	21540	\N	\N	\N
102915	351	1998-04-18	PRIJEM	VKLAD	1800	62452	\N	\N	\N
102916	351	1998-05-18	PRIJEM	VKLAD	1800	40817	\N	\N	\N
102917	351	1998-06-18	PRIJEM	VKLAD	1800	29810	\N	\N	\N
102918	351	1998-07-18	PRIJEM	VKLAD	1800	30638	\N	\N	\N
102919	351	1998-08-18	PRIJEM	VKLAD	1800	24849	\N	\N	\N
102920	351	1998-09-18	PRIJEM	VKLAD	1800	26718	\N	\N	\N
102921	351	1998-10-18	PRIJEM	VKLAD	1800	20631	\N	\N	\N
102922	351	1998-11-18	PRIJEM	VKLAD	1800	19015	\N	\N	\N
102923	351	1998-12-18	PRIJEM	VKLAD	1800	18082	\N	\N	\N
102927	351	1998-01-06	VYDAJ	VYBER	6200	20136	\N	\N	\N
102931	351	1998-01-24	VYDAJ	VYBER	1300	20086	\N	\N	\N
102932	351	1997-12-30	VYDAJ	VYBER	2000	28118	\N	\N	\N
102933	351	1998-12-06	VYDAJ	VYBER KARTOU	2900	15182	\N	\N	0
102940	351	1998-01-01	VYDAJ	VYBER	1400	26836	\N	\N	\N
102941	351	1998-01-03	VYDAJ	VYBER	500	26336	\N	\N	\N
102942	351	1998-01-11	VYDAJ	VYBER	350	19786	\N	\N	\N
102943	351	1998-01-18	VYDAJ	VYBER	450	23536	\N	\N	\N
102944	351	1998-01-21	VYDAJ	VYBER	850	21386	\N	\N	\N
102945	351	1998-01-20	VYDAJ	VYBER	1300	22236	\N	\N	\N
102948	351	1997-11-12	VYDAJ	VYBER	850	38686	\N	\N	\N
102949	351	1997-07-08	VYDAJ	VYBER	350	29868	\N	\N	\N
102950	351	1997-10-24	VYDAJ	VYBER	600	39353	\N	\N	\N
102951	351	1997-09-08	VYDAJ	VYBER	1250	26324	\N	\N	\N
102952	351	1997-12-30	VYDAJ	VYBER	1600	30118	\N	\N	\N
102953	351	1998-05-16	VYDAJ	VYBER KARTOU	1600	39017	\N	\N	0
102954	351	1998-02-10	VYDAJ	VYBER KARTOU	400	19763	\N	\N	0
102955	351	1998-01-12	VYDAJ	VYBER	900	18886	\N	\N	\N
102956	351	1998-11-24	VYDAJ	VYBER KARTOU	1000	18015	\N	\N	0
102957	351	1998-08-10	VYDAJ	VYBER KARTOU	900	29849	\N	\N	0
102958	351	1998-04-07	VYDAJ	VYBER KARTOU	600	21019	\N	\N	0
102963	351	1997-04-30	VYDAJ	VYBER	15	17387	SLUZBY	\N	\N
102964	351	1997-05-31	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
102965	351	1997-06-30	VYDAJ	VYBER	15	24530	SLUZBY	\N	\N
102966	351	1997-07-31	VYDAJ	VYBER	15	28871	SLUZBY	\N	\N
102967	351	1997-08-31	VYDAJ	VYBER	15	27574	SLUZBY	\N	\N
102968	351	1997-09-30	VYDAJ	VYBER	15	57553	SLUZBY	\N	\N
102969	351	1997-10-31	VYDAJ	VYBER	15	39536	SLUZBY	\N	\N
102970	351	1997-11-30	VYDAJ	VYBER	15	32418	SLUZBY	\N	\N
102971	351	1997-12-31	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
102972	351	1998-01-31	VYDAJ	VYBER	15	20163	SLUZBY	\N	\N
102973	351	1998-02-28	VYDAJ	VYBER	15	24140	SLUZBY	\N	\N
102974	351	1998-03-31	VYDAJ	VYBER	15	21619	SLUZBY	\N	\N
102975	351	1998-04-30	VYDAJ	VYBER	15	62617	SLUZBY	\N	\N
102976	351	1998-05-31	VYDAJ	VYBER	15	41010	SLUZBY	\N	\N
102977	351	1998-06-30	VYDAJ	VYBER	15	29938	SLUZBY	\N	\N
102978	351	1998-07-31	VYDAJ	VYBER	15	30749	SLUZBY	\N	\N
102979	351	1998-08-31	VYDAJ	VYBER	15	34518	SLUZBY	\N	\N
102980	351	1998-09-30	VYDAJ	VYBER	15	26831	SLUZBY	\N	\N
102981	351	1998-10-31	VYDAJ	VYBER	15	20715	SLUZBY	\N	\N
102982	351	1998-11-30	VYDAJ	VYBER	15	18082	SLUZBY	\N	\N
102983	351	1997-03-19	PRIJEM	VKLAD	9000	14604	\N	\N	\N
102984	351	1997-04-18	VYDAJ	VYBER	500	17336	\N	\N	\N
102985	351	1997-05-18	PRIJEM	VKLAD	1000	19787	\N	\N	\N
102986	351	1997-06-17	VYDAJ	VYBER	400	22650	\N	\N	\N
102987	351	1997-07-17	VYDAJ	VYBER	4300	26968	\N	\N	\N
102988	351	1997-08-16	VYDAJ	VYBER	4600	24271	\N	\N	\N
102989	351	1997-09-15	VYDAJ	VYBER	8700	17624	\N	\N	\N
102990	351	1997-10-15	VYDAJ	VYBER	20800	38153	\N	\N	\N
102991	351	1997-11-14	VYDAJ	VYBER	9600	30486	\N	\N	\N
102992	351	1997-12-14	VYDAJ	VYBER	3900	28518	\N	\N	\N
102993	351	1998-01-13	PRIJEM	VKLAD	1900	20786	\N	\N	\N
102994	351	1998-02-12	PRIJEM	VKLAD	1100	20863	\N	\N	\N
102995	351	1998-03-14	VYDAJ	VYBER	5800	19740	\N	\N	\N
102996	351	1998-04-13	VYDAJ	VYBER KARTOU	1300	19719	\N	\N	0
102997	351	1998-05-13	VYDAJ	VYBER	23400	39217	\N	\N	\N
102998	351	1998-06-12	VYDAJ	VYBER	14400	26610	\N	\N	\N
102999	351	1998-07-12	VYDAJ	VYBER KARTOU	2500	27438	\N	\N	0
103000	351	1998-08-11	VYDAJ	VYBER	8200	21649	\N	\N	\N
103001	351	1998-09-10	VYDAJ	VYBER	11000	23518	\N	\N	\N
103002	351	1998-10-10	VYDAJ	VYBER	9400	17431	\N	\N	\N
103003	351	1998-11-09	VYDAJ	VYBER	4900	15815	\N	\N	\N
103004	351	1998-12-09	VYDAJ	VYBER KARTOU	300	14882	\N	\N	0
103028	352	1994-07-04	PRIJEM	VKLAD	200	200	\N	\N	\N
103035	352	1994-07-13	PRIJEM	PREVOD Z UCTU	4351	4551	DUCHOD	YZ	91251790
103036	352	1994-08-13	PRIJEM	PREVOD Z UCTU	4351	8914	DUCHOD	YZ	91251790
103037	352	1994-09-13	PRIJEM	PREVOD Z UCTU	4351	13284	DUCHOD	YZ	91251790
103038	352	1994-10-13	PRIJEM	PREVOD Z UCTU	4351	17654	DUCHOD	YZ	91251790
103039	352	1994-11-13	PRIJEM	PREVOD Z UCTU	4351	22024	DUCHOD	YZ	91251790
103040	352	1994-12-13	PRIJEM	PREVOD Z UCTU	4351	22229	DUCHOD	YZ	91251790
103041	352	1995-01-13	PRIJEM	PREVOD Z UCTU	4351	24364	DUCHOD	YZ	91251790
103042	352	1995-02-13	PRIJEM	PREVOD Z UCTU	4351	19118	DUCHOD	YZ	91251790
103043	352	1995-03-13	PRIJEM	PREVOD Z UCTU	4351	21537	DUCHOD	YZ	91251790
103044	352	1995-04-13	PRIJEM	PREVOD Z UCTU	4351	23968	DUCHOD	YZ	91251790
103045	352	1995-05-13	PRIJEM	PREVOD Z UCTU	4351	21708	DUCHOD	YZ	91251790
103046	352	1995-06-13	PRIJEM	PREVOD Z UCTU	4351	24144	DUCHOD	YZ	91251790
103047	352	1995-07-13	PRIJEM	PREVOD Z UCTU	4351	24825	DUCHOD	YZ	91251790
103248	352	1996-09-30	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
103048	352	1995-08-13	PRIJEM	PREVOD Z UCTU	4351	27270	DUCHOD	YZ	91251790
103049	352	1995-09-13	PRIJEM	PREVOD Z UCTU	4351	22782	DUCHOD	YZ	91251790
103050	352	1995-10-13	PRIJEM	PREVOD Z UCTU	4351	24316	DUCHOD	YZ	91251790
103051	352	1995-11-13	PRIJEM	PREVOD Z UCTU	4351	23376	DUCHOD	YZ	91251790
103052	352	1995-12-13	PRIJEM	PREVOD Z UCTU	4351	21173	DUCHOD	YZ	91251790
103053	352	1996-01-13	PRIJEM	PREVOD Z UCTU	4351	16737	DUCHOD	YZ	91251790
103054	352	1996-02-13	PRIJEM	PREVOD Z UCTU	4351	16422	DUCHOD	YZ	91251790
103055	352	1996-03-13	PRIJEM	PREVOD Z UCTU	4351	18831	DUCHOD	YZ	91251790
103056	352	1996-04-13	PRIJEM	PREVOD Z UCTU	4351	20549	DUCHOD	YZ	91251790
103057	352	1996-05-13	PRIJEM	PREVOD Z UCTU	4351	22675	DUCHOD	YZ	91251790
103058	352	1996-06-13	PRIJEM	PREVOD Z UCTU	4351	24108	DUCHOD	YZ	91251790
103059	352	1996-07-13	PRIJEM	PREVOD Z UCTU	4351	26549	DUCHOD	YZ	91251790
103060	352	1996-08-13	PRIJEM	PREVOD Z UCTU	4351	26797	DUCHOD	YZ	91251790
103061	352	1996-09-13	PRIJEM	PREVOD Z UCTU	4351	29249	DUCHOD	YZ	91251790
103062	352	1996-10-13	PRIJEM	PREVOD Z UCTU	4351	26641	DUCHOD	YZ	91251790
103063	352	1996-11-13	PRIJEM	PREVOD Z UCTU	4351	29092	DUCHOD	YZ	91251790
103064	352	1996-12-13	PRIJEM	PREVOD Z UCTU	4351	31554	DUCHOD	YZ	91251790
103065	352	1997-01-13	PRIJEM	PREVOD Z UCTU	4351	21975	DUCHOD	YZ	91251790
103066	352	1997-02-13	PRIJEM	PREVOD Z UCTU	4351	20083	DUCHOD	YZ	91251790
103067	352	1997-03-13	PRIJEM	PREVOD Z UCTU	4351	21626	DUCHOD	YZ	91251790
103068	352	1997-04-13	PRIJEM	PREVOD Z UCTU	4351	24057	DUCHOD	YZ	91251790
103069	352	1997-05-13	PRIJEM	PREVOD Z UCTU	4351	25935	DUCHOD	YZ	91251790
103070	352	1997-06-13	PRIJEM	PREVOD Z UCTU	4351	26943	DUCHOD	YZ	91251790
103071	352	1997-07-13	PRIJEM	PREVOD Z UCTU	4351	18126	DUCHOD	YZ	91251790
103072	352	1997-08-13	PRIJEM	PREVOD Z UCTU	4351	20541	DUCHOD	YZ	91251790
103073	352	1997-09-13	PRIJEM	PREVOD Z UCTU	4351	20247	DUCHOD	YZ	91251790
103074	352	1997-10-13	PRIJEM	PREVOD Z UCTU	4351	22673	DUCHOD	YZ	91251790
103075	352	1997-11-13	PRIJEM	PREVOD Z UCTU	4351	24547	DUCHOD	YZ	91251790
103076	352	1997-12-13	PRIJEM	PREVOD Z UCTU	4351	26439	DUCHOD	YZ	91251790
103077	352	1998-01-13	PRIJEM	PREVOD Z UCTU	4351	24408	DUCHOD	YZ	91251790
103078	352	1998-02-13	PRIJEM	PREVOD Z UCTU	4351	21761	DUCHOD	YZ	91251790
103079	352	1998-03-13	PRIJEM	PREVOD Z UCTU	4351	24191	DUCHOD	YZ	91251790
103080	352	1998-04-13	PRIJEM	PREVOD Z UCTU	4351	24927	DUCHOD	YZ	91251790
103081	352	1998-05-13	PRIJEM	PREVOD Z UCTU	4351	25065	DUCHOD	YZ	91251790
103082	352	1998-06-13	PRIJEM	PREVOD Z UCTU	4351	18106	DUCHOD	YZ	91251790
103083	352	1998-07-13	PRIJEM	PREVOD Z UCTU	4351	19971	DUCHOD	YZ	91251790
103084	352	1998-08-13	PRIJEM	PREVOD Z UCTU	4351	19929	DUCHOD	YZ	91251790
103085	352	1998-09-13	PRIJEM	PREVOD Z UCTU	4351	18747	DUCHOD	YZ	91251790
103086	352	1998-10-13	PRIJEM	PREVOD Z UCTU	4351	21164	DUCHOD	YZ	91251790
103087	352	1998-11-13	PRIJEM	PREVOD Z UCTU	4351	20391	DUCHOD	YZ	91251790
103088	352	1998-12-13	PRIJEM	PREVOD Z UCTU	4351	22819	DUCHOD	YZ	91251790
103100	352	1994-12-10	VYDAJ	PREVOD NA UCET	1992	17878	SIPO	KL	56583434
103101	352	1995-01-10	VYDAJ	PREVOD NA UCET	1992	20013	SIPO	KL	56583434
103102	352	1995-02-10	VYDAJ	PREVOD NA UCET	1992	14767	SIPO	KL	56583434
103103	352	1995-03-10	VYDAJ	PREVOD NA UCET	1992	17186	SIPO	KL	56583434
103104	352	1995-04-10	VYDAJ	PREVOD NA UCET	1992	19617	SIPO	KL	56583434
103105	352	1995-05-10	VYDAJ	PREVOD NA UCET	1992	17357	SIPO	KL	56583434
103106	352	1995-06-10	VYDAJ	PREVOD NA UCET	1992	19793	SIPO	KL	56583434
103107	352	1995-07-10	VYDAJ	PREVOD NA UCET	1992	20474	SIPO	KL	56583434
103108	352	1995-08-10	VYDAJ	PREVOD NA UCET	1992	22919	SIPO	KL	56583434
103109	352	1995-09-10	VYDAJ	PREVOD NA UCET	1992	18431	SIPO	KL	56583434
103110	352	1995-10-10	VYDAJ	PREVOD NA UCET	1992	19965	SIPO	KL	56583434
103111	352	1995-11-10	VYDAJ	PREVOD NA UCET	1992	19025	SIPO	KL	56583434
103112	352	1995-12-10	VYDAJ	PREVOD NA UCET	1992	19062	SIPO	KL	56583434
103113	352	1996-01-10	VYDAJ	PREVOD NA UCET	1992	12386	SIPO	KL	56583434
103114	352	1996-02-10	VYDAJ	PREVOD NA UCET	1992	12071	SIPO	KL	56583434
103115	352	1996-03-10	VYDAJ	PREVOD NA UCET	1992	14480	SIPO	KL	56583434
103116	352	1996-04-10	VYDAJ	PREVOD NA UCET	1992	16198	SIPO	KL	56583434
103117	352	1996-05-10	VYDAJ	PREVOD NA UCET	1992	18324	SIPO	KL	56583434
103118	352	1996-06-10	VYDAJ	PREVOD NA UCET	1992	19757	SIPO	KL	56583434
103119	352	1996-07-10	VYDAJ	PREVOD NA UCET	1992	22198	SIPO	KL	56583434
103120	352	1996-08-10	VYDAJ	PREVOD NA UCET	1992	22446	SIPO	KL	56583434
103121	352	1996-09-10	VYDAJ	PREVOD NA UCET	1992	24898	SIPO	KL	56583434
103122	352	1996-10-10	VYDAJ	PREVOD NA UCET	1992	22290	SIPO	KL	56583434
103123	352	1996-11-10	VYDAJ	PREVOD NA UCET	1992	24741	SIPO	KL	56583434
103124	352	1996-12-10	VYDAJ	PREVOD NA UCET	1992	27203	SIPO	KL	56583434
103125	352	1997-01-10	VYDAJ	PREVOD NA UCET	1992	21464	SIPO	KL	56583434
103126	352	1997-02-10	VYDAJ	PREVOD NA UCET	1992	15732	SIPO	KL	56583434
103127	352	1997-03-10	VYDAJ	PREVOD NA UCET	1992	17275	SIPO	KL	56583434
103128	352	1997-04-10	VYDAJ	PREVOD NA UCET	1992	19706	SIPO	KL	56583434
103129	352	1997-05-10	VYDAJ	PREVOD NA UCET	1992	21584	SIPO	KL	56583434
103130	352	1997-06-10	VYDAJ	PREVOD NA UCET	1992	22592	SIPO	KL	56583434
103131	352	1997-07-10	VYDAJ	PREVOD NA UCET	1992	13775	SIPO	KL	56583434
103132	352	1997-08-10	VYDAJ	PREVOD NA UCET	1992	16190	SIPO	KL	56583434
103133	352	1997-09-10	VYDAJ	PREVOD NA UCET	1992	15896	SIPO	KL	56583434
103134	352	1997-10-10	VYDAJ	PREVOD NA UCET	1992	18322	SIPO	KL	56583434
103135	352	1997-11-10	VYDAJ	PREVOD NA UCET	1992	20196	SIPO	KL	56583434
103136	352	1997-12-10	VYDAJ	PREVOD NA UCET	1992	22638	SIPO	KL	56583434
103137	352	1998-01-10	VYDAJ	PREVOD NA UCET	1992	20057	SIPO	KL	56583434
103138	352	1998-02-10	VYDAJ	PREVOD NA UCET	1992	17410	SIPO	KL	56583434
103139	352	1998-03-10	VYDAJ	PREVOD NA UCET	1992	19840	SIPO	KL	56583434
103140	352	1998-04-10	VYDAJ	PREVOD NA UCET	1992	20576	SIPO	KL	56583434
103141	352	1998-05-10	VYDAJ	PREVOD NA UCET	1992	20714	SIPO	KL	56583434
103142	352	1998-06-10	VYDAJ	PREVOD NA UCET	1992	13755	SIPO	KL	56583434
103143	352	1998-07-10	VYDAJ	PREVOD NA UCET	1992	15620	SIPO	KL	56583434
103144	352	1998-08-10	VYDAJ	PREVOD NA UCET	1992	15578	SIPO	KL	56583434
103145	352	1998-09-10	VYDAJ	PREVOD NA UCET	1992	14396	SIPO	KL	56583434
103146	352	1998-10-10	VYDAJ	PREVOD NA UCET	1992	16813	SIPO	KL	56583434
103147	352	1998-11-10	VYDAJ	PREVOD NA UCET	1992	16040	SIPO	KL	56583434
103148	352	1998-12-10	VYDAJ	PREVOD NA UCET	1992	18468	SIPO	KL	56583434
103152	352	1997-06-18	VYDAJ	VYBER	11250	15693	\N	\N	\N
103153	352	1998-06-09	VYDAJ	VYBER	8500	15747	\N	\N	\N
103154	352	1994-12-16	VYDAJ	VYBER	300	21929	\N	\N	\N
103155	352	1995-12-24	VYDAJ	VYBER	700	17433	\N	\N	\N
103156	352	1996-12-13	VYDAJ	VYBER	600	30954	\N	\N	\N
103157	352	1997-12-10	VYDAJ	VYBER	550	22088	\N	\N	\N
103158	352	1998-12-28	VYDAJ	VYBER	350	22469	\N	\N	\N
103165	352	1995-01-20	VYDAJ	VYBER	720	23164	\N	\N	\N
103166	352	1995-01-23	VYDAJ	VYBER	2000	17644	\N	\N	\N
103167	352	1995-01-14	VYDAJ	VYBER	480	23884	\N	\N	\N
103168	352	1995-01-29	VYDAJ	VYBER	960	16684	\N	\N	\N
103169	352	1995-01-23	VYDAJ	VYBER	1920	19644	\N	\N	\N
103170	352	1995-01-21	VYDAJ	VYBER	1600	21564	\N	\N	\N
103171	352	1996-01-20	VYDAJ	VYBER	1840	14017	\N	\N	\N
103173	352	1996-01-17	VYDAJ	VYBER	400	15857	\N	\N	\N
103175	352	1996-01-04	VYDAJ	VYBER	1040	16458	\N	\N	\N
103176	352	1996-01-14	VYDAJ	VYBER	480	16257	\N	\N	\N
103177	352	1997-01-12	VYDAJ	VYBER	560	17624	\N	\N	\N
103178	352	1997-01-20	VYDAJ	VYBER	2000	17655	\N	\N	\N
103179	352	1997-01-09	VYDAJ	VYBER	800	23456	\N	\N	\N
103180	352	1997-01-10	VYDAJ	VYBER	1520	19944	\N	\N	\N
103181	352	1997-01-12	VYDAJ	VYBER	1760	18184	\N	\N	\N
103182	352	1997-01-13	VYDAJ	VYBER	2320	19655	\N	\N	\N
103183	352	1998-01-21	VYDAJ	VYBER	1760	19328	\N	\N	\N
103184	352	1998-01-20	VYDAJ	VYBER	720	21088	\N	\N	\N
103185	352	1998-01-02	VYDAJ	VYBER	2080	24049	\N	\N	\N
103186	352	1998-01-14	VYDAJ	VYBER	400	24008	\N	\N	\N
103187	352	1998-01-15	VYDAJ	VYBER	1600	21808	\N	\N	\N
103188	352	1998-01-02	VYDAJ	VYBER	2000	22049	\N	\N	\N
103191	352	1994-12-02	VYDAJ	VYBER	2160	19870	\N	\N	\N
103194	352	1995-07-09	VYDAJ	VYBER	1760	22466	\N	\N	\N
103195	352	1995-05-01	VYDAJ	VYBER	2000	19349	\N	\N	\N
103196	352	1995-12-15	VYDAJ	VYBER	3040	18133	\N	\N	\N
103197	352	1995-12-12	VYDAJ	VYBER	2240	16822	\N	\N	\N
103198	352	1995-08-30	VYDAJ	VYBER	3040	20330	\N	\N	\N
103199	352	1995-10-29	VYDAJ	VYBER	2080	20936	\N	\N	\N
103200	352	1996-01-04	VYDAJ	VYBER	2080	14378	\N	\N	\N
103201	352	1996-12-15	VYDAJ	VYBER	3840	27114	\N	\N	\N
103202	352	1996-09-14	VYDAJ	VYBER	2960	26289	\N	\N	\N
103203	352	1996-12-15	VYDAJ	VYBER	2960	24154	\N	\N	\N
103204	352	1997-06-06	VYDAJ	VYBER	1440	24584	\N	\N	\N
103205	352	1997-11-02	VYDAJ	VYBER	560	22188	\N	\N	\N
103206	352	1997-12-20	VYDAJ	VYBER	400	26039	\N	\N	\N
103207	352	1997-03-02	VYDAJ	VYBER	880	19267	\N	\N	\N
103208	352	1997-04-15	VYDAJ	VYBER	560	23497	\N	\N	\N
103209	352	1997-09-02	VYDAJ	VYBER	2720	17888	\N	\N	\N
103210	352	1998-08-24	VYDAJ	VYBER	3600	16329	\N	\N	\N
103211	352	1998-07-23	VYDAJ	VYBER	1760	17511	\N	\N	\N
103212	352	1998-12-30	VYDAJ	VYBER	2560	19909	\N	\N	\N
103213	352	1998-07-09	VYDAJ	VYBER	560	17612	\N	\N	\N
103226	352	1994-11-30	VYDAJ	VYBER	15	22030	SLUZBY	\N	\N
103227	352	1994-12-31	VYDAJ	VYBER	15	22005	SLUZBY	\N	\N
103228	352	1995-01-31	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
103229	352	1995-02-28	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
103230	352	1995-03-31	VYDAJ	VYBER	15	21609	SLUZBY	\N	\N
103231	352	1995-04-30	VYDAJ	VYBER	15	24049	SLUZBY	\N	\N
103232	352	1995-05-31	VYDAJ	VYBER	15	21785	SLUZBY	\N	\N
103233	352	1995-06-30	VYDAJ	VYBER	15	24226	SLUZBY	\N	\N
103234	352	1995-07-31	VYDAJ	VYBER	15	24911	SLUZBY	\N	\N
103235	352	1995-08-31	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
103236	352	1995-09-30	VYDAJ	VYBER	15	21957	SLUZBY	\N	\N
103237	352	1995-10-31	VYDAJ	VYBER	15	21017	SLUZBY	\N	\N
103238	352	1995-11-30	VYDAJ	VYBER	15	21054	SLUZBY	\N	\N
103239	352	1995-12-31	VYDAJ	VYBER	15	17498	SLUZBY	\N	\N
103240	352	1996-01-31	VYDAJ	VYBER	15	14063	SLUZBY	\N	\N
103241	352	1996-02-29	VYDAJ	VYBER	15	16472	SLUZBY	\N	\N
103242	352	1996-03-31	VYDAJ	VYBER	15	18190	SLUZBY	\N	\N
103243	352	1996-04-30	VYDAJ	VYBER	15	20316	SLUZBY	\N	\N
103244	352	1996-05-31	VYDAJ	VYBER	15	21749	SLUZBY	\N	\N
103245	352	1996-06-30	VYDAJ	VYBER	15	24190	SLUZBY	\N	\N
103246	352	1996-07-31	VYDAJ	VYBER	15	24438	SLUZBY	\N	\N
103247	352	1996-08-31	VYDAJ	VYBER	15	26890	SLUZBY	\N	\N
103249	352	1996-10-31	VYDAJ	VYBER	15	26733	SLUZBY	\N	\N
103250	352	1996-11-30	VYDAJ	VYBER	15	29195	SLUZBY	\N	\N
103251	352	1996-12-31	VYDAJ	VYBER	15	24256	SLUZBY	\N	\N
103252	352	1997-01-31	VYDAJ	VYBER	15	17724	SLUZBY	\N	\N
103253	352	1997-02-28	VYDAJ	VYBER	15	20147	SLUZBY	\N	\N
103254	352	1997-03-31	VYDAJ	VYBER	15	21698	SLUZBY	\N	\N
103255	352	1997-04-30	VYDAJ	VYBER	15	23576	SLUZBY	\N	\N
103256	352	1997-05-31	VYDAJ	VYBER	15	26024	SLUZBY	\N	\N
103257	352	1997-06-30	VYDAJ	VYBER	15	15767	SLUZBY	\N	\N
103258	352	1997-07-31	VYDAJ	VYBER	15	18182	SLUZBY	\N	\N
103259	352	1997-08-31	VYDAJ	VYBER	15	20608	SLUZBY	\N	\N
103260	352	1997-09-30	VYDAJ	VYBER	15	20314	SLUZBY	\N	\N
103261	352	1997-10-31	VYDAJ	VYBER	15	22748	SLUZBY	\N	\N
103262	352	1997-11-30	VYDAJ	VYBER	15	24630	SLUZBY	\N	\N
103263	352	1997-12-31	VYDAJ	VYBER	15	26129	SLUZBY	\N	\N
103264	352	1998-01-31	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
103265	352	1998-02-28	VYDAJ	VYBER	15	21832	SLUZBY	\N	\N
103266	352	1998-03-31	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
103267	352	1998-04-30	VYDAJ	VYBER	15	22706	SLUZBY	\N	\N
103268	352	1998-05-31	VYDAJ	VYBER	15	24247	SLUZBY	\N	\N
103269	352	1998-06-30	VYDAJ	VYBER	15	18172	SLUZBY	\N	\N
103270	352	1998-07-31	VYDAJ	VYBER	15	17570	SLUZBY	\N	\N
103271	352	1998-08-31	VYDAJ	VYBER	15	16388	SLUZBY	\N	\N
103272	352	1998-09-30	VYDAJ	VYBER	15	18805	SLUZBY	\N	\N
103273	352	1998-10-31	VYDAJ	VYBER	15	21232	SLUZBY	\N	\N
103274	352	1998-11-30	VYDAJ	VYBER	15	20460	SLUZBY	\N	\N
103275	352	1995-04-30	VYDAJ	VYBER	2700	21349	\N	\N	\N
103276	352	1995-08-28	VYDAJ	VYBER	3900	23370	\N	\N	\N
103277	352	1995-09-27	VYDAJ	VYBER	900	21882	\N	\N	\N
103278	352	1995-10-27	VYDAJ	VYBER	1300	23016	\N	\N	\N
103279	352	1995-11-26	VYDAJ	VYBER	2400	20976	\N	\N	\N
103280	352	1996-03-25	VYDAJ	VYBER	700	18131	\N	\N	\N
103281	352	1996-04-24	VYDAJ	VYBER	300	20249	\N	\N	\N
103282	352	1996-05-24	VYDAJ	VYBER	1000	21675	\N	\N	\N
103283	352	1996-07-23	VYDAJ	VYBER	2200	24349	\N	\N	\N
103284	352	1996-09-21	VYDAJ	VYBER	2100	24189	\N	\N	\N
103285	352	1998-01-14	VYDAJ	VYBER	600	23408	\N	\N	\N
103286	352	1998-03-15	VYDAJ	VYBER	1700	22491	\N	\N	\N
103287	352	1998-04-14	VYDAJ	VYBER	2300	22627	\N	\N	\N
103288	352	1998-05-14	VYDAJ	VYBER	900	24165	\N	\N	\N
103289	352	1998-07-13	VYDAJ	VYBER	700	19271	\N	\N	\N
103290	352	1998-11-10	VYDAJ	VYBER	3200	18032	\N	\N	\N
103345	353	1995-08-30	PRIJEM	VKLAD	1000	1000	\N	\N	\N
103354	353	1995-09-06	PRIJEM	PREVOD Z UCTU	6676	7676	DUCHOD	ST	68388724
103355	353	1995-10-06	PRIJEM	PREVOD Z UCTU	6676	14352	DUCHOD	ST	68388724
103356	353	1995-11-06	PRIJEM	PREVOD Z UCTU	6676	21028	DUCHOD	ST	68388724
103357	353	1995-12-06	PRIJEM	PREVOD Z UCTU	6676	27704	DUCHOD	ST	68388724
103358	353	1996-01-06	PRIJEM	PREVOD Z UCTU	6676	34380	DUCHOD	ST	68388724
103359	353	1996-02-06	PRIJEM	PREVOD Z UCTU	6676	35408	DUCHOD	ST	68388724
103360	353	1996-03-06	PRIJEM	PREVOD Z UCTU	6676	38031	DUCHOD	ST	68388724
103361	353	1996-04-06	PRIJEM	PREVOD Z UCTU	6676	37764	DUCHOD	ST	68388724
103362	353	1996-05-06	PRIJEM	PREVOD Z UCTU	6676	39697	DUCHOD	ST	68388724
103363	353	1996-06-06	PRIJEM	PREVOD Z UCTU	6676	42739	DUCHOD	ST	68388724
103364	353	1996-07-06	PRIJEM	PREVOD Z UCTU	6676	38473	DUCHOD	ST	68388724
103365	353	1996-08-06	PRIJEM	PREVOD Z UCTU	6676	40709	DUCHOD	ST	68388724
103366	353	1996-09-06	PRIJEM	PREVOD Z UCTU	6676	40412	DUCHOD	ST	68388724
103367	353	1996-10-06	PRIJEM	PREVOD Z UCTU	6676	43657	DUCHOD	ST	68388724
103368	353	1996-11-06	PRIJEM	PREVOD Z UCTU	6676	40671	DUCHOD	ST	68388724
103369	353	1996-12-06	PRIJEM	PREVOD Z UCTU	6676	43122	DUCHOD	ST	68388724
103370	353	1997-01-06	PRIJEM	PREVOD Z UCTU	6676	41826	DUCHOD	ST	68388724
103371	353	1997-02-06	PRIJEM	PREVOD Z UCTU	6676	45083	DUCHOD	ST	68388724
103372	353	1997-03-06	PRIJEM	PREVOD Z UCTU	6676	45805	DUCHOD	ST	68388724
103373	353	1997-04-06	PRIJEM	PREVOD Z UCTU	6676	45625	DUCHOD	ST	68388724
103374	353	1997-05-06	PRIJEM	PREVOD Z UCTU	6676	48892	DUCHOD	ST	68388724
103375	353	1997-06-06	PRIJEM	PREVOD Z UCTU	6676	51671	DUCHOD	ST	68388724
103376	353	1997-07-06	PRIJEM	PREVOD Z UCTU	6676	40399	DUCHOD	ST	68388724
103377	353	1997-08-06	PRIJEM	PREVOD Z UCTU	6676	43643	DUCHOD	ST	68388724
103378	353	1997-09-06	PRIJEM	PREVOD Z UCTU	6676	46184	DUCHOD	ST	68388724
103379	353	1997-10-06	PRIJEM	PREVOD Z UCTU	6676	46091	DUCHOD	ST	68388724
103380	353	1997-11-06	PRIJEM	PREVOD Z UCTU	6676	49359	DUCHOD	ST	68388724
103381	353	1997-12-06	PRIJEM	PREVOD Z UCTU	6676	52641	DUCHOD	ST	68388724
103382	353	1998-01-06	PRIJEM	PREVOD Z UCTU	6676	54104	DUCHOD	ST	68388724
103383	353	1998-02-06	PRIJEM	PREVOD Z UCTU	6676	54903	DUCHOD	ST	68388724
103384	353	1998-03-06	PRIJEM	PREVOD Z UCTU	6676	58207	DUCHOD	ST	68388724
103385	353	1998-04-06	PRIJEM	PREVOD Z UCTU	6676	61525	DUCHOD	ST	68388724
103386	353	1998-05-06	PRIJEM	PREVOD Z UCTU	6676	63173	DUCHOD	ST	68388724
103387	353	1998-06-06	PRIJEM	PREVOD Z UCTU	6676	66512	DUCHOD	ST	68388724
103388	353	1998-07-06	PRIJEM	PREVOD Z UCTU	6676	64319	DUCHOD	ST	68388724
103389	353	1998-08-06	PRIJEM	PREVOD Z UCTU	6676	65818	DUCHOD	ST	68388724
103390	353	1998-09-06	PRIJEM	PREVOD Z UCTU	6676	69168	DUCHOD	ST	68388724
103391	353	1998-10-06	PRIJEM	PREVOD Z UCTU	6676	68687	DUCHOD	ST	68388724
103392	353	1998-11-06	PRIJEM	PREVOD Z UCTU	6676	72048	DUCHOD	ST	68388724
103393	353	1998-12-06	PRIJEM	PREVOD Z UCTU	6676	73820	DUCHOD	ST	68388724
103406	353	1996-01-11	VYDAJ	PREVOD NA UCET	2687	31693	SIPO	UV	38371622
103407	353	1996-02-11	VYDAJ	PREVOD NA UCET	2687	32721	SIPO	UV	38371622
103408	353	1996-03-11	VYDAJ	PREVOD NA UCET	2687	35344	SIPO	UV	38371622
103409	353	1996-04-11	VYDAJ	PREVOD NA UCET	2687	35077	SIPO	UV	38371622
103410	353	1996-05-11	VYDAJ	PREVOD NA UCET	2687	37010	SIPO	UV	38371622
103411	353	1996-06-11	VYDAJ	PREVOD NA UCET	2687	32552	SIPO	UV	38371622
103412	353	1996-07-11	VYDAJ	PREVOD NA UCET	2687	35786	SIPO	UV	38371622
103413	353	1996-08-11	VYDAJ	PREVOD NA UCET	2687	38022	SIPO	UV	38371622
103414	353	1996-09-11	VYDAJ	PREVOD NA UCET	2687	37725	SIPO	UV	38371622
103415	353	1996-10-11	VYDAJ	PREVOD NA UCET	2687	40970	SIPO	UV	38371622
103416	353	1996-11-11	VYDAJ	PREVOD NA UCET	2687	37984	SIPO	UV	38371622
103417	353	1996-12-11	VYDAJ	PREVOD NA UCET	2687	40435	SIPO	UV	38371622
103418	353	1997-01-11	VYDAJ	PREVOD NA UCET	2687	39139	SIPO	UV	38371622
103419	353	1997-02-11	VYDAJ	PREVOD NA UCET	2687	42396	SIPO	UV	38371622
103420	353	1997-03-11	VYDAJ	PREVOD NA UCET	2687	43118	SIPO	UV	38371622
103421	353	1997-04-11	VYDAJ	PREVOD NA UCET	2687	42938	SIPO	UV	38371622
103422	353	1997-05-11	VYDAJ	PREVOD NA UCET	2687	46205	SIPO	UV	38371622
103423	353	1997-06-11	VYDAJ	PREVOD NA UCET	2687	48984	SIPO	UV	38371622
103424	353	1997-07-11	VYDAJ	PREVOD NA UCET	2687	37712	SIPO	UV	38371622
103425	353	1997-08-11	VYDAJ	PREVOD NA UCET	2687	40236	SIPO	UV	38371622
103426	353	1997-09-11	VYDAJ	PREVOD NA UCET	2687	43497	SIPO	UV	38371622
103427	353	1997-10-11	VYDAJ	PREVOD NA UCET	2687	43404	SIPO	UV	38371622
103428	353	1997-11-11	VYDAJ	PREVOD NA UCET	2687	46672	SIPO	UV	38371622
103429	353	1997-12-11	VYDAJ	PREVOD NA UCET	2687	48604	SIPO	UV	38371622
103430	353	1998-01-11	VYDAJ	PREVOD NA UCET	2687	48917	SIPO	UV	38371622
103431	353	1998-02-11	VYDAJ	PREVOD NA UCET	2687	52216	SIPO	UV	38371622
103432	353	1998-03-11	VYDAJ	PREVOD NA UCET	2687	55520	SIPO	UV	38371622
103433	353	1998-04-11	VYDAJ	PREVOD NA UCET	2687	58838	SIPO	UV	38371622
103434	353	1998-05-11	VYDAJ	PREVOD NA UCET	2687	60486	SIPO	UV	38371622
103435	353	1998-06-11	VYDAJ	PREVOD NA UCET	2687	63825	SIPO	UV	38371622
103436	353	1998-07-11	VYDAJ	PREVOD NA UCET	2687	59792	SIPO	UV	38371622
103437	353	1998-08-11	VYDAJ	PREVOD NA UCET	2687	63131	SIPO	UV	38371622
103438	353	1998-09-11	VYDAJ	PREVOD NA UCET	2687	64161	SIPO	UV	38371622
103439	353	1998-10-11	VYDAJ	PREVOD NA UCET	2687	66000	SIPO	UV	38371622
103440	353	1998-11-11	VYDAJ	PREVOD NA UCET	2687	69361	SIPO	UV	38371622
103441	353	1998-12-11	VYDAJ	PREVOD NA UCET	2687	71133	SIPO	UV	38371622
103454	353	1996-01-13	VYDAJ	PREVOD NA UCET	879	30814	 	CD	53546470
103455	353	1996-02-13	VYDAJ	PREVOD NA UCET	879	31842	 	CD	53546470
103456	353	1996-03-13	VYDAJ	PREVOD NA UCET	879	34465	 	CD	53546470
103457	353	1996-04-13	VYDAJ	PREVOD NA UCET	879	34198	 	CD	53546470
103458	353	1996-05-13	VYDAJ	PREVOD NA UCET	879	36131	 	CD	53546470
103459	353	1996-06-13	VYDAJ	PREVOD NA UCET	879	31673	 	CD	53546470
103460	353	1996-07-13	VYDAJ	PREVOD NA UCET	879	34907	 	CD	53546470
103461	353	1996-08-13	VYDAJ	PREVOD NA UCET	879	37143	 	CD	53546470
103462	353	1996-09-13	VYDAJ	PREVOD NA UCET	879	36846	 	CD	53546470
103463	353	1996-10-13	VYDAJ	PREVOD NA UCET	879	40091	 	CD	53546470
103464	353	1996-11-13	VYDAJ	PREVOD NA UCET	879	37105	 	CD	53546470
103465	353	1996-12-13	VYDAJ	PREVOD NA UCET	879	39556	 	CD	53546470
103466	353	1997-01-13	VYDAJ	PREVOD NA UCET	879	38260	 	CD	53546470
103467	353	1997-02-13	VYDAJ	PREVOD NA UCET	879	41517	 	CD	53546470
103468	353	1997-03-13	VYDAJ	PREVOD NA UCET	879	42239	 	CD	53546470
103469	353	1997-04-13	VYDAJ	PREVOD NA UCET	879	42059	 	CD	53546470
103470	353	1997-05-13	VYDAJ	PREVOD NA UCET	879	45326	 	CD	53546470
103471	353	1997-06-13	VYDAJ	PREVOD NA UCET	879	48105	 	CD	53546470
103472	353	1997-07-13	VYDAJ	PREVOD NA UCET	879	36833	 	CD	53546470
103473	353	1997-08-13	VYDAJ	PREVOD NA UCET	879	39357	 	CD	53546470
103474	353	1997-09-13	VYDAJ	PREVOD NA UCET	879	42618	 	CD	53546470
103475	353	1997-10-13	VYDAJ	PREVOD NA UCET	879	42525	 	CD	53546470
103476	353	1997-11-13	VYDAJ	PREVOD NA UCET	879	45793	 	CD	53546470
103477	353	1997-12-13	VYDAJ	PREVOD NA UCET	879	47725	 	CD	53546470
103478	353	1998-01-13	VYDAJ	PREVOD NA UCET	879	48038	 	CD	53546470
103479	353	1998-02-13	VYDAJ	PREVOD NA UCET	879	51337	 	CD	53546470
103480	353	1998-03-13	VYDAJ	PREVOD NA UCET	879	54641	 	CD	53546470
103481	353	1998-04-13	VYDAJ	PREVOD NA UCET	879	56279	 	CD	53546470
103482	353	1998-05-13	VYDAJ	PREVOD NA UCET	879	59607	 	CD	53546470
103483	353	1998-06-13	VYDAJ	PREVOD NA UCET	879	62946	 	CD	53546470
103484	353	1998-07-13	VYDAJ	PREVOD NA UCET	879	58913	 	CD	53546470
103485	353	1998-08-13	VYDAJ	PREVOD NA UCET	879	62252	 	CD	53546470
103486	353	1998-09-13	VYDAJ	PREVOD NA UCET	879	63282	 	CD	53546470
103487	353	1998-10-13	VYDAJ	PREVOD NA UCET	879	65121	 	CD	53546470
103488	353	1998-11-13	VYDAJ	PREVOD NA UCET	879	68482	 	CD	53546470
103489	353	1998-12-13	VYDAJ	PREVOD NA UCET	879	70254	 	CD	53546470
103491	353	1996-06-11	VYDAJ	VYBER	7500	35239	\N	\N	\N
103492	353	1997-06-24	VYDAJ	VYBER	14550	33555	\N	\N	\N
103493	353	1998-06-23	VYDAJ	VYBER	3300	59646	\N	\N	\N
103495	353	1996-01-15	VYDAJ	VYBER	2050	28764	\N	\N	\N
103496	353	1997-01-05	VYDAJ	VYBER	3400	35150	\N	\N	\N
103497	353	1998-01-10	VYDAJ	VYBER	2500	51604	\N	\N	\N
103499	353	1996-12-17	VYDAJ	VYBER	1150	38406	\N	\N	\N
103500	353	1997-12-09	VYDAJ	VYBER	1350	51291	\N	\N	\N
103501	353	1998-12-21	VYDAJ	VYBER	250	70004	\N	\N	\N
103507	353	1996-10-25	VYDAJ	VYBER	3440	35851	\N	\N	\N
103509	353	1996-11-04	VYDAJ	VYBER	2000	33995	\N	\N	\N
103510	353	1996-08-25	VYDAJ	VYBER	1840	33603	\N	\N	\N
103511	353	1997-09-29	VYDAJ	VYBER	3360	39258	\N	\N	\N
103512	353	1997-02-24	VYDAJ	VYBER	2240	38977	\N	\N	\N
103513	353	1997-08-06	VYDAJ	VYBER	720	42923	\N	\N	\N
103514	353	1997-05-26	VYDAJ	VYBER	400	44826	\N	\N	\N
103515	353	1997-03-17	VYDAJ	VYBER	3440	38799	\N	\N	\N
103516	353	1998-04-11	VYDAJ	VYBER	1680	57158	\N	\N	\N
103517	353	1998-01-03	VYDAJ	VYBER	480	47428	\N	\N	\N
103518	353	1998-11-17	VYDAJ	VYBER	1600	66882	\N	\N	\N
103519	353	1998-09-07	VYDAJ	VYBER	2320	66848	\N	\N	\N
103520	353	1998-07-09	VYDAJ	VYBER	1840	62479	\N	\N	\N
103521	353	1998-06-24	VYDAJ	VYBER	2240	57406	\N	\N	\N
103522	353	1998-09-28	VYDAJ	VYBER	1520	61762	\N	\N	\N
103536	353	1996-01-31	VYDAJ	VYBER	15	28732	SLUZBY	\N	\N
103537	353	1996-02-29	VYDAJ	VYBER	15	31355	SLUZBY	\N	\N
103538	353	1996-03-31	VYDAJ	VYBER	15	31088	SLUZBY	\N	\N
103539	353	1996-04-30	VYDAJ	VYBER	15	33021	SLUZBY	\N	\N
103540	353	1996-05-31	VYDAJ	VYBER	15	36063	SLUZBY	\N	\N
103541	353	1996-06-30	VYDAJ	VYBER	15	31797	SLUZBY	\N	\N
103542	353	1996-07-31	VYDAJ	VYBER	15	34033	SLUZBY	\N	\N
103543	353	1996-08-31	VYDAJ	VYBER	15	33736	SLUZBY	\N	\N
103544	353	1996-09-30	VYDAJ	VYBER	15	36981	SLUZBY	\N	\N
103545	353	1996-10-31	VYDAJ	VYBER	15	35995	SLUZBY	\N	\N
103546	353	1996-11-30	VYDAJ	VYBER	15	36446	SLUZBY	\N	\N
103547	353	1996-12-31	VYDAJ	VYBER	15	38550	SLUZBY	\N	\N
103548	353	1997-01-31	VYDAJ	VYBER	15	38407	SLUZBY	\N	\N
103549	353	1997-02-28	VYDAJ	VYBER	15	39129	SLUZBY	\N	\N
103550	353	1997-03-31	VYDAJ	VYBER	15	38949	SLUZBY	\N	\N
103551	353	1997-04-30	VYDAJ	VYBER	15	42216	SLUZBY	\N	\N
103552	353	1997-05-31	VYDAJ	VYBER	15	44995	SLUZBY	\N	\N
103553	353	1997-06-30	VYDAJ	VYBER	15	33723	SLUZBY	\N	\N
103554	353	1997-07-31	VYDAJ	VYBER	15	36967	SLUZBY	\N	\N
103555	353	1997-08-31	VYDAJ	VYBER	15	39508	SLUZBY	\N	\N
103556	353	1997-09-30	VYDAJ	VYBER	15	39415	SLUZBY	\N	\N
103557	353	1997-10-31	VYDAJ	VYBER	15	42683	SLUZBY	\N	\N
103558	353	1997-11-30	VYDAJ	VYBER	15	45965	SLUZBY	\N	\N
103559	353	1997-12-31	VYDAJ	VYBER	15	47908	SLUZBY	\N	\N
103560	353	1998-01-31	VYDAJ	VYBER	15	48227	SLUZBY	\N	\N
103561	353	1998-02-28	VYDAJ	VYBER	15	51531	SLUZBY	\N	\N
103562	353	1998-03-31	VYDAJ	VYBER	15	54849	SLUZBY	\N	\N
103563	353	1998-04-30	VYDAJ	VYBER	15	56497	SLUZBY	\N	\N
103564	353	1998-05-31	VYDAJ	VYBER	15	59836	SLUZBY	\N	\N
103565	353	1998-06-30	VYDAJ	VYBER	15	57643	SLUZBY	\N	\N
103566	353	1998-07-31	VYDAJ	VYBER	15	59142	SLUZBY	\N	\N
103567	353	1998-08-31	VYDAJ	VYBER	15	62492	SLUZBY	\N	\N
103568	353	1998-09-30	VYDAJ	VYBER	15	62011	SLUZBY	\N	\N
103569	353	1998-10-31	VYDAJ	VYBER	15	65372	SLUZBY	\N	\N
103570	353	1998-11-30	VYDAJ	VYBER	15	67144	SLUZBY	\N	\N
103571	353	1996-01-27	VYDAJ	VYBER	100	28664	\N	\N	\N
103572	353	1996-02-26	VYDAJ	VYBER	600	31242	\N	\N	\N
103573	353	1996-03-27	VYDAJ	VYBER	3500	30965	\N	\N	\N
103574	353	1996-04-26	VYDAJ	VYBER	1300	32898	\N	\N	\N
103575	353	1996-05-26	VYDAJ	VYBER	200	35931	\N	\N	\N
103576	353	1996-07-25	VYDAJ	VYBER	1000	33907	\N	\N	\N
103577	353	1996-08-24	VYDAJ	VYBER	1700	35443	\N	\N	\N
103578	353	1996-10-23	VYDAJ	VYBER	800	39291	\N	\N	\N
103579	353	1996-11-22	VYDAJ	VYBER	800	36305	\N	\N	\N
103580	353	1997-02-20	VYDAJ	VYBER	300	41217	\N	\N	\N
103581	353	1997-05-21	VYDAJ	VYBER	100	45226	\N	\N	\N
103618	354	1993-10-28	PRIJEM	VKLAD	700	700	\N	\N	\N
103629	354	1993-11-09	PRIJEM	VKLAD	11466	12166	\N	\N	\N
103630	354	1993-12-09	PRIJEM	VKLAD	17199	37276	\N	\N	\N
103631	354	1994-01-09	PRIJEM	VKLAD	11466	41633	\N	\N	\N
103632	354	1994-02-09	PRIJEM	VKLAD	11466	42925	\N	\N	\N
103633	354	1994-03-09	PRIJEM	VKLAD	11466	43822	\N	\N	\N
103634	354	1994-04-09	PRIJEM	VKLAD	11466	42352	\N	\N	\N
103635	354	1994-05-09	PRIJEM	VKLAD	11466	44985	\N	\N	\N
103636	354	1994-06-09	PRIJEM	VKLAD	17199	45046	\N	\N	\N
103637	354	1994-07-09	PRIJEM	VKLAD	11466	38147	\N	\N	\N
103638	354	1994-08-09	PRIJEM	VKLAD	11466	44156	\N	\N	\N
103639	354	1994-09-09	PRIJEM	VKLAD	11466	46086	\N	\N	\N
103640	354	1994-10-09	PRIJEM	VKLAD	11466	46621	\N	\N	\N
103641	354	1994-11-09	PRIJEM	VKLAD	11466	44352	\N	\N	\N
103642	354	1994-12-09	PRIJEM	VKLAD	17199	49611	\N	\N	\N
103643	354	1995-01-09	PRIJEM	VKLAD	11466	44643	\N	\N	\N
103644	354	1995-02-09	PRIJEM	VKLAD	11466	33952	\N	\N	\N
103645	354	1995-03-09	PRIJEM	VKLAD	11466	41644	\N	\N	\N
103646	354	1995-04-09	PRIJEM	VKLAD	11466	40257	\N	\N	\N
103647	354	1995-05-09	PRIJEM	VKLAD	11466	42469	\N	\N	\N
103648	354	1995-06-09	PRIJEM	VKLAD	17199	48319	\N	\N	\N
103649	354	1995-07-09	PRIJEM	VKLAD	11466	37031	\N	\N	\N
103650	354	1995-08-09	PRIJEM	VKLAD	11466	38627	\N	\N	\N
103651	354	1995-09-09	PRIJEM	VKLAD	11466	42534	\N	\N	\N
103652	354	1995-10-09	PRIJEM	VKLAD	11466	45353	\N	\N	\N
103653	354	1995-11-09	PRIJEM	VKLAD	11466	43075	\N	\N	\N
103654	354	1995-12-09	PRIJEM	VKLAD	17199	47624	\N	\N	\N
103655	354	1996-01-09	PRIJEM	VKLAD	11466	33956	\N	\N	\N
103656	354	1996-02-09	PRIJEM	VKLAD	11466	31448	\N	\N	\N
103657	354	1996-03-09	PRIJEM	VKLAD	11466	39931	\N	\N	\N
103658	354	1996-04-09	PRIJEM	VKLAD	11466	44242	\N	\N	\N
103659	354	1996-05-09	PRIJEM	VKLAD	11466	43963	\N	\N	\N
103660	354	1996-06-09	PRIJEM	VKLAD	17199	49919	\N	\N	\N
103661	354	1996-07-09	PRIJEM	VKLAD	11466	46553	\N	\N	\N
103662	354	1996-08-09	PRIJEM	VKLAD	11466	43584	\N	\N	\N
103663	354	1996-09-09	PRIJEM	VKLAD	11466	44313	\N	\N	\N
103664	354	1996-10-09	PRIJEM	VKLAD	11466	48847	\N	\N	\N
103665	354	1996-11-09	PRIJEM	VKLAD	11466	51802	\N	\N	\N
103666	354	1996-12-09	PRIJEM	VKLAD	17199	50669	\N	\N	\N
103667	354	1997-01-09	PRIJEM	VKLAD	11466	42405	\N	\N	\N
103668	354	1997-02-09	PRIJEM	VKLAD	11466	31400	\N	\N	\N
103669	354	1997-03-09	PRIJEM	VKLAD	11466	35076	\N	\N	\N
103670	354	1997-04-09	PRIJEM	VKLAD	11466	40870	\N	\N	\N
103671	354	1997-05-09	PRIJEM	VKLAD	11466	42087	\N	\N	\N
103672	354	1997-06-09	PRIJEM	VKLAD	17199	53048	\N	\N	\N
103673	354	1997-07-09	PRIJEM	VKLAD	11466	36692	\N	\N	\N
103674	354	1997-08-09	PRIJEM	VKLAD	11466	47691	\N	\N	\N
103675	354	1997-09-09	PRIJEM	VKLAD	11466	52437	\N	\N	\N
103676	354	1997-10-09	PRIJEM	VKLAD	11466	58010	\N	\N	\N
103677	354	1997-11-09	PRIJEM	VKLAD	11466	61407	\N	\N	\N
103678	354	1997-12-09	PRIJEM	VKLAD	17199	67051	\N	\N	\N
103679	354	1998-01-09	PRIJEM	VKLAD	11466	65880	\N	\N	\N
103680	354	1998-02-09	PRIJEM	VKLAD	11466	57996	\N	\N	\N
103681	354	1998-03-09	PRIJEM	VKLAD	11466	65789	\N	\N	\N
103682	354	1998-04-09	PRIJEM	VKLAD	11466	72915	\N	\N	\N
103683	354	1998-05-09	PRIJEM	VKLAD	11466	72371	\N	\N	\N
103684	354	1998-06-09	PRIJEM	VKLAD	17199	77862	\N	\N	\N
103685	354	1998-07-09	PRIJEM	VKLAD	11466	65474	\N	\N	\N
103686	354	1998-08-09	PRIJEM	VKLAD	11466	74593	\N	\N	\N
103687	354	1998-09-09	PRIJEM	VKLAD	11466	80352	\N	\N	\N
103688	354	1998-10-09	PRIJEM	VKLAD	11466	81240	\N	\N	\N
103689	354	1998-11-09	PRIJEM	VKLAD	11466	86236	\N	\N	\N
103690	354	1998-12-09	PRIJEM	VKLAD	17199	89881	\N	\N	\N
103705	354	1994-03-12	VYDAJ	PREVOD NA UCET	4771	39051	SIPO	UV	38533955
103706	354	1994-04-12	VYDAJ	PREVOD NA UCET	4771	37581	SIPO	UV	38533955
103707	354	1994-05-12	VYDAJ	PREVOD NA UCET	4771	40214	SIPO	UV	38533955
103708	354	1994-06-12	VYDAJ	PREVOD NA UCET	4771	40275	SIPO	UV	38533955
103709	354	1994-07-12	VYDAJ	PREVOD NA UCET	4771	33376	SIPO	UV	38533955
103710	354	1994-08-12	VYDAJ	PREVOD NA UCET	4771	38285	SIPO	UV	38533955
103711	354	1994-09-12	VYDAJ	PREVOD NA UCET	4771	41315	SIPO	UV	38533955
103712	354	1994-10-12	VYDAJ	PREVOD NA UCET	4771	41850	SIPO	UV	38533955
103713	354	1994-11-12	VYDAJ	PREVOD NA UCET	4771	39581	SIPO	UV	38533955
103714	354	1994-12-12	VYDAJ	PREVOD NA UCET	4771	44840	SIPO	UV	38533955
103715	354	1995-01-12	VYDAJ	PREVOD NA UCET	4771	36272	SIPO	UV	38533955
103716	354	1995-02-12	VYDAJ	PREVOD NA UCET	4771	29181	SIPO	UV	38533955
103717	354	1995-03-12	VYDAJ	PREVOD NA UCET	4771	36873	SIPO	UV	38533955
103718	354	1995-04-12	VYDAJ	PREVOD NA UCET	4771	35486	SIPO	UV	38533955
103719	354	1995-05-12	VYDAJ	PREVOD NA UCET	4771	37698	SIPO	UV	38533955
103720	354	1995-06-12	VYDAJ	PREVOD NA UCET	4771	34548	SIPO	UV	38533955
103721	354	1995-07-12	VYDAJ	PREVOD NA UCET	4771	32260	SIPO	UV	38533955
103722	354	1995-08-12	VYDAJ	PREVOD NA UCET	4771	33856	SIPO	UV	38533955
103723	354	1995-09-12	VYDAJ	PREVOD NA UCET	4771	37763	SIPO	UV	38533955
103724	354	1995-10-12	VYDAJ	PREVOD NA UCET	4771	40582	SIPO	UV	38533955
103725	354	1995-11-12	VYDAJ	PREVOD NA UCET	4771	38304	SIPO	UV	38533955
103726	354	1995-12-12	VYDAJ	PREVOD NA UCET	4771	42853	SIPO	UV	38533955
103727	354	1996-01-12	VYDAJ	PREVOD NA UCET	4771	24785	SIPO	UV	38533955
103728	354	1996-02-12	VYDAJ	PREVOD NA UCET	4771	26677	SIPO	UV	38533955
103729	354	1996-03-12	VYDAJ	PREVOD NA UCET	4771	35160	SIPO	UV	38533955
103730	354	1996-04-12	VYDAJ	PREVOD NA UCET	4771	39471	SIPO	UV	38533955
103731	354	1996-05-12	VYDAJ	PREVOD NA UCET	4771	39192	SIPO	UV	38533955
103732	354	1996-06-12	VYDAJ	PREVOD NA UCET	4771	45148	SIPO	UV	38533955
103733	354	1996-07-12	VYDAJ	PREVOD NA UCET	4771	41782	SIPO	UV	38533955
103734	354	1996-08-12	VYDAJ	PREVOD NA UCET	4771	38813	SIPO	UV	38533955
103735	354	1996-09-12	VYDAJ	PREVOD NA UCET	4771	39542	SIPO	UV	38533955
103736	354	1996-10-12	VYDAJ	PREVOD NA UCET	4771	40176	SIPO	UV	38533955
103737	354	1996-11-12	VYDAJ	PREVOD NA UCET	4771	35731	SIPO	UV	38533955
103738	354	1996-12-12	VYDAJ	PREVOD NA UCET	4771	37198	SIPO	UV	38533955
103739	354	1997-01-12	VYDAJ	PREVOD NA UCET	4771	32734	SIPO	UV	38533955
103740	354	1997-02-12	VYDAJ	PREVOD NA UCET	4771	26729	SIPO	UV	38533955
103741	354	1997-03-12	VYDAJ	PREVOD NA UCET	4771	29305	SIPO	UV	38533955
103742	354	1997-04-12	VYDAJ	PREVOD NA UCET	4771	35199	SIPO	UV	38533955
103743	354	1997-05-12	VYDAJ	PREVOD NA UCET	4771	35716	SIPO	UV	38533955
103744	354	1997-06-12	VYDAJ	PREVOD NA UCET	4771	43277	SIPO	UV	38533955
103745	354	1997-07-12	VYDAJ	PREVOD NA UCET	4771	31921	SIPO	UV	38533955
103746	354	1997-08-12	VYDAJ	PREVOD NA UCET	4771	42920	SIPO	UV	38533955
103747	354	1997-09-12	VYDAJ	PREVOD NA UCET	4771	47666	SIPO	UV	38533955
103748	354	1997-10-12	VYDAJ	PREVOD NA UCET	4771	53239	SIPO	UV	38533955
103749	354	1997-11-12	VYDAJ	PREVOD NA UCET	4771	56636	SIPO	UV	38533955
103750	354	1997-12-12	VYDAJ	PREVOD NA UCET	4771	62280	SIPO	UV	38533955
103751	354	1998-01-12	VYDAJ	PREVOD NA UCET	4771	61109	SIPO	UV	38533955
103752	354	1998-02-12	VYDAJ	PREVOD NA UCET	4771	53225	SIPO	UV	38533955
103753	354	1998-03-12	VYDAJ	PREVOD NA UCET	4771	61018	SIPO	UV	38533955
103754	354	1998-04-12	VYDAJ	PREVOD NA UCET	4771	68144	SIPO	UV	38533955
103755	354	1998-05-12	VYDAJ	PREVOD NA UCET	4771	67600	SIPO	UV	38533955
103756	354	1998-06-12	VYDAJ	PREVOD NA UCET	4771	50991	SIPO	UV	38533955
103757	354	1998-07-12	VYDAJ	PREVOD NA UCET	4771	59803	SIPO	UV	38533955
103758	354	1998-08-12	VYDAJ	PREVOD NA UCET	4771	69822	SIPO	UV	38533955
103759	354	1998-09-12	VYDAJ	PREVOD NA UCET	4771	75581	SIPO	UV	38533955
103760	354	1998-10-12	VYDAJ	PREVOD NA UCET	4771	76469	SIPO	UV	38533955
103761	354	1998-11-12	VYDAJ	PREVOD NA UCET	4771	81465	SIPO	UV	38533955
103762	354	1998-12-12	VYDAJ	PREVOD NA UCET	4771	85110	SIPO	UV	38533955
103764	354	1994-06-14	VYDAJ	VYBER	10900	29375	\N	\N	\N
103765	354	1995-06-10	VYDAJ	VYBER	6400	39319	\N	\N	\N
103766	354	1996-06-26	VYDAJ	VYBER	5500	34948	\N	\N	\N
103767	354	1997-06-27	VYDAJ	VYBER	19000	24277	\N	\N	\N
103768	354	1998-06-10	VYDAJ	VYBER	22100	55762	\N	\N	\N
103771	354	1995-01-12	VYDAJ	VYBER	1900	34372	\N	\N	\N
103772	354	1996-01-07	VYDAJ	VYBER	7700	22490	\N	\N	\N
103773	354	1997-01-14	VYDAJ	VYBER	5100	27634	\N	\N	\N
103774	354	1998-01-14	VYDAJ	VYBER	3800	57309	\N	\N	\N
103776	354	1994-12-21	VYDAJ	VYBER	1700	43140	\N	\N	\N
103777	354	1995-12-06	VYDAJ	VYBER	1000	30425	\N	\N	\N
103778	354	1996-12-04	VYDAJ	VYBER	2400	33470	\N	\N	\N
103779	354	1997-12-25	VYDAJ	VYBER	1300	60980	\N	\N	\N
103780	354	1998-12-16	VYDAJ	VYBER	2800	82310	\N	\N	\N
103793	354	1995-01-09	VYDAJ	VYBER	1800	42843	\N	\N	\N
103794	354	1995-01-22	VYDAJ	VYBER	2000	25872	\N	\N	\N
103795	354	1995-01-24	VYDAJ	VYBER	2900	22972	\N	\N	\N
103796	354	1995-01-28	VYDAJ	VYBER	600	22372	\N	\N	\N
103797	354	1995-01-17	VYDAJ	VYBER	700	32972	\N	\N	\N
103798	354	1995-01-11	VYDAJ	VYBER	1800	41043	\N	\N	\N
103799	354	1996-01-11	VYDAJ	VYBER	2200	31756	\N	\N	\N
103800	354	1996-01-12	VYDAJ	VYBER	2200	29556	\N	\N	\N
103801	354	1996-01-21	VYDAJ	VYBER	2800	23385	\N	\N	\N
103802	354	1996-01-06	VYDAJ	VYBER	2400	30190	\N	\N	\N
103803	354	1996-01-25	VYDAJ	VYBER	2400	19885	\N	\N	\N
103804	354	1996-01-02	VYDAJ	VYBER	2500	32590	\N	\N	\N
103805	354	1997-01-23	VYDAJ	VYBER	1800	19834	\N	\N	\N
103806	354	1997-01-06	VYDAJ	VYBER	1900	30939	\N	\N	\N
103807	354	1997-01-18	VYDAJ	VYBER	2600	25034	\N	\N	\N
103808	354	1997-01-21	VYDAJ	VYBER	2000	23034	\N	\N	\N
103809	354	1997-01-04	VYDAJ	VYBER	2700	32839	\N	\N	\N
103810	354	1997-01-21	VYDAJ	VYBER	1400	21634	\N	\N	\N
103811	354	1998-01-19	VYDAJ	VYBER	1800	55509	\N	\N	\N
103812	354	1998-01-24	VYDAJ	VYBER	2500	53009	\N	\N	\N
103813	354	1998-01-29	VYDAJ	VYBER	1000	46109	\N	\N	\N
103814	354	1998-01-27	VYDAJ	VYBER	900	52109	\N	\N	\N
103815	354	1998-01-27	VYDAJ	VYBER	2100	50009	\N	\N	\N
103816	354	1998-01-29	VYDAJ	VYBER	2900	47109	\N	\N	\N
103825	354	1994-08-10	VYDAJ	VYBER	1100	43056	\N	\N	\N
103826	354	1994-05-15	VYDAJ	VYBER	1200	39014	\N	\N	\N
103827	354	1994-10-18	VYDAJ	VYBER	4900	36950	\N	\N	\N
103828	354	1994-05-29	VYDAJ	VYBER	4700	27714	\N	\N	\N
103829	354	1994-04-01	VYDAJ	VYBER	3800	30886	\N	\N	\N
103830	354	1995-06-25	VYDAJ	VYBER	3400	25448	\N	\N	\N
103831	354	1995-01-13	VYDAJ	VYBER	700	33672	\N	\N	\N
103832	354	1995-08-25	VYDAJ	VYBER	700	30956	\N	\N	\N
103833	354	1995-05-21	VYDAJ	VYBER	1500	36198	\N	\N	\N
103834	354	1995-06-09	VYDAJ	VYBER	2600	45719	\N	\N	\N
103835	354	1996-12-27	VYDAJ	VYBER	1800	35398	\N	\N	\N
103836	354	1996-08-02	VYDAJ	VYBER	4600	32118	\N	\N	\N
103837	354	1996-01-24	VYDAJ	VYBER	1100	22285	\N	\N	\N
103838	354	1996-09-01	VYDAJ	VYBER	1500	32847	\N	\N	\N
103839	354	1996-05-03	VYDAJ	VYBER	1100	32497	\N	\N	\N
103840	354	1997-05-01	VYDAJ	VYBER	3500	30621	\N	\N	\N
103841	354	1997-07-27	VYDAJ	VYBER	1600	30321	\N	\N	\N
103842	354	1997-11-29	VYDAJ	VYBER	3000	53636	\N	\N	\N
103843	354	1997-02-13	VYDAJ	VYBER	3200	23529	\N	\N	\N
103844	354	1997-04-17	VYDAJ	VYBER	1200	33999	\N	\N	\N
103845	354	1998-05-05	VYDAJ	VYBER	2400	60905	\N	\N	\N
103846	354	1998-10-28	VYDAJ	VYBER	700	75769	\N	\N	\N
103847	354	1998-05-30	VYDAJ	VYBER	1400	66200	\N	\N	\N
103848	354	1998-07-10	VYDAJ	VYBER	900	64574	\N	\N	\N
103864	354	1994-03-31	VYDAJ	VYBER	15	34686	SLUZBY	\N	\N
103865	354	1994-04-30	VYDAJ	VYBER	15	33519	SLUZBY	\N	\N
103866	354	1994-05-31	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
103867	354	1994-06-30	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
103868	354	1994-07-31	VYDAJ	VYBER	15	32690	SLUZBY	\N	\N
103869	354	1994-08-31	VYDAJ	VYBER	15	34620	SLUZBY	\N	\N
103870	354	1994-09-30	VYDAJ	VYBER	15	35155	SLUZBY	\N	\N
103871	354	1994-10-31	VYDAJ	VYBER	15	32886	SLUZBY	\N	\N
103872	354	1994-11-30	VYDAJ	VYBER	15	32412	SLUZBY	\N	\N
103873	354	1994-12-31	VYDAJ	VYBER	15	33177	SLUZBY	\N	\N
103874	354	1995-01-31	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
103875	354	1995-02-28	VYDAJ	VYBER	15	30178	SLUZBY	\N	\N
103876	354	1995-03-31	VYDAJ	VYBER	15	28791	SLUZBY	\N	\N
103877	354	1995-04-30	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
103878	354	1995-05-31	VYDAJ	VYBER	15	31120	SLUZBY	\N	\N
103879	354	1995-06-30	VYDAJ	VYBER	15	25565	SLUZBY	\N	\N
103880	354	1995-07-31	VYDAJ	VYBER	15	27161	SLUZBY	\N	\N
103881	354	1995-08-31	VYDAJ	VYBER	15	31068	SLUZBY	\N	\N
103882	354	1995-09-30	VYDAJ	VYBER	15	33887	SLUZBY	\N	\N
103883	354	1995-10-31	VYDAJ	VYBER	15	31609	SLUZBY	\N	\N
103884	354	1995-11-30	VYDAJ	VYBER	15	31425	SLUZBY	\N	\N
103885	354	1995-12-31	VYDAJ	VYBER	15	35090	SLUZBY	\N	\N
103886	354	1996-01-31	VYDAJ	VYBER	15	19982	SLUZBY	\N	\N
103887	354	1996-02-29	VYDAJ	VYBER	15	28465	SLUZBY	\N	\N
103888	354	1996-03-31	VYDAJ	VYBER	15	32776	SLUZBY	\N	\N
103889	354	1996-04-30	VYDAJ	VYBER	15	33597	SLUZBY	\N	\N
103890	354	1996-05-31	VYDAJ	VYBER	15	32720	SLUZBY	\N	\N
103891	354	1996-06-30	VYDAJ	VYBER	15	35087	SLUZBY	\N	\N
103892	354	1996-07-31	VYDAJ	VYBER	15	36718	SLUZBY	\N	\N
103893	354	1996-08-31	VYDAJ	VYBER	15	34347	SLUZBY	\N	\N
103894	354	1996-09-30	VYDAJ	VYBER	15	37381	SLUZBY	\N	\N
103895	354	1996-10-31	VYDAJ	VYBER	15	40336	SLUZBY	\N	\N
103896	354	1996-11-30	VYDAJ	VYBER	15	35870	SLUZBY	\N	\N
103897	354	1996-12-31	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
103898	354	1997-01-31	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
103899	354	1997-02-28	VYDAJ	VYBER	15	23610	SLUZBY	\N	\N
103900	354	1997-03-31	VYDAJ	VYBER	15	29404	SLUZBY	\N	\N
103901	354	1997-04-30	VYDAJ	VYBER	15	34121	SLUZBY	\N	\N
103902	354	1997-05-31	VYDAJ	VYBER	15	35849	SLUZBY	\N	\N
103903	354	1997-06-30	VYDAJ	VYBER	15	24426	SLUZBY	\N	\N
103904	354	1997-07-31	VYDAJ	VYBER	15	30425	SLUZBY	\N	\N
103905	354	1997-08-31	VYDAJ	VYBER	15	43071	SLUZBY	\N	\N
103906	354	1997-09-30	VYDAJ	VYBER	15	47844	SLUZBY	\N	\N
103907	354	1997-10-31	VYDAJ	VYBER	15	53441	SLUZBY	\N	\N
103908	354	1997-11-30	VYDAJ	VYBER	15	53852	SLUZBY	\N	\N
103909	354	1997-12-31	VYDAJ	VYBER	15	61214	SLUZBY	\N	\N
103910	354	1998-01-31	VYDAJ	VYBER	15	46330	SLUZBY	\N	\N
103911	354	1998-02-28	VYDAJ	VYBER	15	53423	SLUZBY	\N	\N
103912	354	1998-03-31	VYDAJ	VYBER	15	61249	SLUZBY	\N	\N
103913	354	1998-04-30	VYDAJ	VYBER	15	68405	SLUZBY	\N	\N
103914	354	1998-05-31	VYDAJ	VYBER	15	66463	SLUZBY	\N	\N
103915	354	1998-06-30	VYDAJ	VYBER	15	51208	SLUZBY	\N	\N
103916	354	1998-07-31	VYDAJ	VYBER	15	60027	SLUZBY	\N	\N
103917	354	1998-08-31	VYDAJ	VYBER	15	70086	SLUZBY	\N	\N
103918	354	1998-09-30	VYDAJ	VYBER	15	75874	SLUZBY	\N	\N
103919	354	1998-10-31	VYDAJ	VYBER	15	76070	SLUZBY	\N	\N
103920	354	1998-11-30	VYDAJ	VYBER	15	81782	SLUZBY	\N	\N
103921	354	1993-11-27	PRIJEM	VKLAD	7900	20066	\N	\N	\N
103922	354	1993-12-27	VYDAJ	VYBER	7200	30076	\N	\N	\N
103923	354	1994-01-26	VYDAJ	VYBER	10300	31333	\N	\N	\N
103924	354	1994-02-25	VYDAJ	VYBER	10700	32225	\N	\N	\N
103925	354	1994-03-27	VYDAJ	VYBER	4500	34551	\N	\N	\N
103926	354	1994-04-26	VYDAJ	VYBER	4200	33381	\N	\N	\N
103927	354	1994-05-26	VYDAJ	VYBER	6600	32414	\N	\N	\N
103928	354	1994-06-25	VYDAJ	VYBER	2800	26575	\N	\N	\N
103929	354	1994-07-25	VYDAJ	VYBER	800	32576	\N	\N	\N
103930	354	1994-08-24	VYDAJ	VYBER	3800	34485	\N	\N	\N
103931	354	1994-09-23	VYDAJ	VYBER	6300	35015	\N	\N	\N
103932	354	1994-10-23	VYDAJ	VYBER	4200	32750	\N	\N	\N
103933	354	1994-11-22	VYDAJ	VYBER	7300	32281	\N	\N	\N
103934	354	1994-12-22	VYDAJ	VYBER	10100	33040	\N	\N	\N
103935	354	1995-01-21	VYDAJ	VYBER	5100	27872	\N	\N	\N
103936	354	1995-02-20	PRIJEM	VKLAD	900	30081	\N	\N	\N
103937	354	1995-03-22	VYDAJ	VYBER	8200	28673	\N	\N	\N
103938	354	1995-04-21	VYDAJ	VYBER	4600	30886	\N	\N	\N
103939	354	1995-05-21	VYDAJ	VYBER	5200	30998	\N	\N	\N
103940	354	1995-06-20	VYDAJ	VYBER	5700	28848	\N	\N	\N
103941	354	1995-07-20	VYDAJ	VYBER	5200	27060	\N	\N	\N
103942	354	1995-08-19	VYDAJ	VYBER	2200	31656	\N	\N	\N
103943	354	1995-09-18	VYDAJ	VYBER	4000	33763	\N	\N	\N
103944	354	1995-10-18	VYDAJ	VYBER	9100	31482	\N	\N	\N
103945	354	1995-11-17	VYDAJ	VYBER	7000	31304	\N	\N	\N
103946	354	1995-12-17	VYDAJ	VYBER	7900	34953	\N	\N	\N
103947	354	1996-01-16	PRIJEM	VKLAD	1400	26185	\N	\N	\N
103948	354	1996-02-15	PRIJEM	VKLAD	1700	28377	\N	\N	\N
103949	354	1996-03-16	VYDAJ	VYBER	2500	32660	\N	\N	\N
103950	354	1996-04-15	VYDAJ	VYBER	6000	33471	\N	\N	\N
103951	354	1996-05-15	VYDAJ	VYBER	6600	32592	\N	\N	\N
103952	354	1996-06-14	VYDAJ	VYBER	4700	40448	\N	\N	\N
103953	354	1996-07-14	VYDAJ	VYBER	5200	36582	\N	\N	\N
103954	354	1996-08-13	VYDAJ	VYBER	4600	34213	\N	\N	\N
103955	354	1996-09-12	VYDAJ	VYBER	2300	37242	\N	\N	\N
103956	354	1996-10-12	VYDAJ	VYBER	3900	44947	\N	\N	\N
103957	354	1996-11-11	VYDAJ	VYBER	11300	40502	\N	\N	\N
103958	354	1996-12-11	VYDAJ	VYBER	8700	41969	\N	\N	\N
103959	354	1997-01-10	VYDAJ	VYBER	4900	37505	\N	\N	\N
103960	354	1997-02-09	PRIJEM	VKLAD	100	31500	\N	\N	\N
103961	354	1997-03-11	VYDAJ	VYBER	1000	34076	\N	\N	\N
103962	354	1997-04-10	VYDAJ	VYBER	900	39970	\N	\N	\N
103963	354	1997-05-10	VYDAJ	VYBER	1600	40487	\N	\N	\N
103964	354	1997-06-09	VYDAJ	VYBER	5000	48048	\N	\N	\N
103965	354	1997-07-09	PRIJEM	VKLAD	800	25226	\N	\N	\N
103966	354	1997-08-08	PRIJEM	VKLAD	5800	36225	\N	\N	\N
103967	354	1997-09-07	VYDAJ	VYBER	2100	40971	\N	\N	\N
103968	354	1997-10-07	VYDAJ	VYBER	1300	46544	\N	\N	\N
103969	354	1997-11-06	VYDAJ	VYBER	3500	49941	\N	\N	\N
103970	354	1997-12-06	VYDAJ	VYBER	4000	49852	\N	\N	\N
103971	354	1998-01-05	VYDAJ	VYBER	6800	54414	\N	\N	\N
103972	354	1998-02-04	PRIJEM	VKLAD	200	46530	\N	\N	\N
103973	354	1998-03-06	PRIJEM	VKLAD	900	54323	\N	\N	\N
103974	354	1998-04-05	PRIJEM	VKLAD	200	61449	\N	\N	\N
103975	354	1998-05-05	VYDAJ	VYBER	5100	63305	\N	\N	\N
103976	354	1998-06-04	VYDAJ	VYBER	5800	60663	\N	\N	\N
103977	354	1998-07-04	PRIJEM	VKLAD	2800	54008	\N	\N	\N
103978	354	1998-08-03	PRIJEM	VKLAD	3100	63127	\N	\N	\N
103979	354	1998-09-02	VYDAJ	VYBER	1200	68886	\N	\N	\N
103980	354	1998-10-02	VYDAJ	VYBER	6100	69774	\N	\N	\N
103981	354	1998-11-01	VYDAJ	VYBER	1300	74770	\N	\N	\N
103982	354	1998-12-01	VYDAJ	VYBER	9100	72682	\N	\N	\N
104045	355	1996-02-01	PRIJEM	VKLAD	600	600	\N	\N	\N
104047	355	1996-02-06	PRIJEM	PREVOD Z UCTU	11909	12509	\N	MN	8247399
104048	355	1996-03-06	PRIJEM	PREVOD Z UCTU	11909	30661	\N	MN	8247399
104049	355	1996-04-06	PRIJEM	PREVOD Z UCTU	11909	40186	\N	MN	8247399
104050	355	1996-05-06	PRIJEM	PREVOD Z UCTU	11909	44856	\N	MN	8247399
104051	355	1996-06-06	PRIJEM	PREVOD Z UCTU	17864	53102	\N	MN	8247399
104052	355	1996-07-06	PRIJEM	PREVOD Z UCTU	11909	32596	\N	MN	8247399
104053	355	1996-08-06	PRIJEM	PREVOD Z UCTU	11909	38937	\N	MN	8247399
104054	355	1996-09-06	PRIJEM	PREVOD Z UCTU	11909	37502	\N	MN	8247399
104055	355	1996-10-06	PRIJEM	PREVOD Z UCTU	11909	33534	\N	MN	8247399
104056	355	1996-11-06	PRIJEM	PREVOD Z UCTU	11909	32279	\N	MN	8247399
104057	355	1996-12-06	PRIJEM	PREVOD Z UCTU	17864	44284	\N	MN	8247399
104058	355	1997-01-06	PRIJEM	PREVOD Z UCTU	11909	39453	\N	MN	8247399
104059	355	1997-02-06	PRIJEM	PREVOD Z UCTU	11909	34085	\N	MN	8247399
104060	355	1997-03-06	PRIJEM	PREVOD Z UCTU	11909	40363	\N	MN	8247399
104061	355	1997-04-06	PRIJEM	PREVOD Z UCTU	11909	42834	\N	MN	8247399
104062	355	1997-05-06	PRIJEM	PREVOD Z UCTU	11909	49419	\N	MN	8247399
104063	355	1997-06-06	PRIJEM	PREVOD Z UCTU	17864	50147	\N	MN	8247399
104064	355	1997-07-06	PRIJEM	PREVOD Z UCTU	11909	49639	\N	MN	8247399
104065	355	1997-08-06	PRIJEM	PREVOD Z UCTU	11909	47125	\N	MN	8247399
104066	355	1997-09-06	PRIJEM	PREVOD Z UCTU	11909	50725	\N	MN	8247399
104067	355	1997-10-06	PRIJEM	PREVOD Z UCTU	11909	45755	\N	MN	8247399
104068	355	1997-11-06	PRIJEM	PREVOD Z UCTU	11909	40031	\N	MN	8247399
104069	355	1997-12-06	PRIJEM	PREVOD Z UCTU	17864	49340	\N	MN	8247399
104070	355	1998-01-06	PRIJEM	PREVOD Z UCTU	11909	39828	\N	MN	8247399
104071	355	1998-02-06	PRIJEM	PREVOD Z UCTU	11909	32776	\N	MN	8247399
104072	355	1998-03-06	PRIJEM	PREVOD Z UCTU	11909	46930	\N	MN	8247399
104073	355	1998-04-06	PRIJEM	PREVOD Z UCTU	11909	54133	\N	MN	8247399
104074	355	1998-05-06	PRIJEM	PREVOD Z UCTU	11909	55759	\N	MN	8247399
104075	355	1998-06-06	PRIJEM	PREVOD Z UCTU	17864	57831	\N	MN	8247399
104076	355	1998-07-06	PRIJEM	PREVOD Z UCTU	11909	45166	\N	MN	8247399
104077	355	1998-08-06	PRIJEM	PREVOD Z UCTU	11909	33228	\N	MN	8247399
104078	355	1998-09-06	PRIJEM	PREVOD Z UCTU	11909	46186	\N	MN	8247399
104079	355	1998-10-06	PRIJEM	PREVOD Z UCTU	11909	50983	\N	MN	8247399
104080	355	1998-11-06	PRIJEM	PREVOD Z UCTU	11909	54198	\N	MN	8247399
104081	355	1998-12-06	PRIJEM	PREVOD Z UCTU	17864	50180	\N	MN	8247399
104087	355	1996-06-09	VYDAJ	PREVOD NA UCET	5012	48090	SIPO	WX	5620038
104088	355	1996-07-09	VYDAJ	PREVOD NA UCET	5012	27584	SIPO	WX	5620038
104089	355	1996-08-09	VYDAJ	PREVOD NA UCET	5012	33925	SIPO	WX	5620038
104090	355	1996-09-09	VYDAJ	PREVOD NA UCET	5012	22890	SIPO	WX	5620038
104091	355	1996-10-09	VYDAJ	PREVOD NA UCET	5012	28522	SIPO	WX	5620038
104092	355	1996-11-09	VYDAJ	PREVOD NA UCET	5012	27267	SIPO	WX	5620038
104093	355	1996-12-09	VYDAJ	PREVOD NA UCET	5012	39272	SIPO	WX	5620038
104094	355	1997-01-09	VYDAJ	PREVOD NA UCET	5012	27841	SIPO	WX	5620038
104095	355	1997-02-09	VYDAJ	PREVOD NA UCET	5012	29073	SIPO	WX	5620038
104096	355	1997-03-09	VYDAJ	PREVOD NA UCET	5012	35351	SIPO	WX	5620038
104097	355	1997-04-09	VYDAJ	PREVOD NA UCET	5012	37822	SIPO	WX	5620038
104098	355	1997-05-09	VYDAJ	PREVOD NA UCET	5012	44407	SIPO	WX	5620038
104099	355	1997-06-09	VYDAJ	PREVOD NA UCET	5012	39735	SIPO	WX	5620038
104100	355	1997-07-09	VYDAJ	PREVOD NA UCET	5012	44627	SIPO	WX	5620038
104101	355	1997-08-09	VYDAJ	PREVOD NA UCET	5012	42113	SIPO	WX	5620038
104102	355	1997-09-09	VYDAJ	PREVOD NA UCET	5012	45713	SIPO	WX	5620038
104103	355	1997-10-09	VYDAJ	PREVOD NA UCET	5012	22865	SIPO	WX	5620038
104104	355	1997-11-09	VYDAJ	PREVOD NA UCET	5012	25719	SIPO	WX	5620038
104105	355	1997-12-09	VYDAJ	PREVOD NA UCET	5012	25556	SIPO	WX	5620038
104106	355	1998-01-09	VYDAJ	PREVOD NA UCET	5012	23116	SIPO	WX	5620038
104107	355	1998-02-09	VYDAJ	PREVOD NA UCET	5012	27764	SIPO	WX	5620038
104108	355	1998-03-09	VYDAJ	PREVOD NA UCET	5012	41918	SIPO	WX	5620038
104109	355	1998-04-09	VYDAJ	PREVOD NA UCET	5012	49121	SIPO	WX	5620038
104110	355	1998-05-09	VYDAJ	PREVOD NA UCET	5012	50747	SIPO	WX	5620038
104111	355	1998-06-09	VYDAJ	PREVOD NA UCET	5012	52819	SIPO	WX	5620038
104112	355	1998-07-09	VYDAJ	PREVOD NA UCET	5012	40154	SIPO	WX	5620038
104113	355	1998-08-09	VYDAJ	PREVOD NA UCET	5012	28216	SIPO	WX	5620038
104114	355	1998-09-09	VYDAJ	PREVOD NA UCET	5012	41174	SIPO	WX	5620038
104115	355	1998-10-09	VYDAJ	PREVOD NA UCET	5012	45971	SIPO	WX	5620038
104116	355	1998-11-09	VYDAJ	PREVOD NA UCET	5012	49186	SIPO	WX	5620038
104117	355	1998-12-09	VYDAJ	PREVOD NA UCET	5012	45168	SIPO	WX	5620038
104123	355	1996-06-14	VYDAJ	PREVOD NA UCET	2927	45163	 	GH	28271162
104124	355	1996-07-14	VYDAJ	PREVOD NA UCET	2927	24657	 	GH	28271162
104125	355	1996-08-14	VYDAJ	PREVOD NA UCET	2927	30998	 	GH	28271162
104126	355	1996-09-14	VYDAJ	PREVOD NA UCET	2927	19963	 	GH	28271162
104127	355	1996-10-14	VYDAJ	PREVOD NA UCET	2927	25595	 	GH	28271162
104128	355	1996-11-14	VYDAJ	PREVOD NA UCET	2927	24340	 	GH	28271162
104129	355	1996-12-14	VYDAJ	PREVOD NA UCET	2927	31545	 	GH	28271162
104130	355	1997-01-14	VYDAJ	PREVOD NA UCET	2927	16214	 	GH	28271162
104131	355	1997-02-14	VYDAJ	PREVOD NA UCET	2927	26146	 	GH	28271162
104132	355	1997-03-14	VYDAJ	PREVOD NA UCET	2927	32424	 	GH	28271162
104133	355	1997-04-14	VYDAJ	PREVOD NA UCET	2927	34895	 	GH	28271162
104134	355	1997-05-14	VYDAJ	PREVOD NA UCET	2927	31974	 	GH	28271162
104135	355	1997-06-14	VYDAJ	PREVOD NA UCET	2927	36808	 	GH	28271162
104136	355	1997-07-14	VYDAJ	PREVOD NA UCET	2927	31500	 	GH	28271162
104137	355	1997-08-14	VYDAJ	PREVOD NA UCET	2927	39186	 	GH	28271162
104138	355	1997-09-14	VYDAJ	PREVOD NA UCET	2927	39299	 	GH	28271162
104139	355	1997-10-14	VYDAJ	PREVOD NA UCET	2927	19938	 	GH	28271162
104140	355	1997-11-14	VYDAJ	PREVOD NA UCET	2927	22792	 	GH	28271162
104141	355	1997-12-14	VYDAJ	PREVOD NA UCET	2927	20229	 	GH	28271162
104142	355	1998-01-14	VYDAJ	PREVOD NA UCET	2927	20189	 	GH	28271162
104143	355	1998-02-14	VYDAJ	PREVOD NA UCET	2927	24837	 	GH	28271162
104144	355	1998-03-14	VYDAJ	PREVOD NA UCET	2927	38991	 	GH	28271162
104145	355	1998-04-14	VYDAJ	PREVOD NA UCET	2927	46194	 	GH	28271162
104146	355	1998-05-14	VYDAJ	PREVOD NA UCET	2927	47820	 	GH	28271162
104147	355	1998-06-14	VYDAJ	PREVOD NA UCET	2927	49892	 	GH	28271162
104148	355	1998-07-14	VYDAJ	PREVOD NA UCET	2927	37227	 	GH	28271162
104149	355	1998-08-14	VYDAJ	PREVOD NA UCET	2927	25289	 	GH	28271162
104150	355	1998-09-14	VYDAJ	PREVOD NA UCET	2927	38247	 	GH	28271162
104151	355	1998-10-14	VYDAJ	PREVOD NA UCET	2927	43044	 	GH	28271162
104152	355	1998-11-14	VYDAJ	PREVOD NA UCET	2927	46259	 	GH	28271162
104153	355	1998-12-14	VYDAJ	PREVOD NA UCET	2927	42241	 	GH	28271162
104154	355	1997-09-11	VYBER	VYBER	3487	42226	\N	\N	\N
104157	355	1997-05-10	VYBER	VYBER	9506	34901	\N	\N	\N
104160	355	1997-10-08	VYBER	VYBER	17878	27877	\N	\N	\N
104161	355	1997-12-09	VYBER	VYBER	18772	30568	\N	\N	\N
104164	355	1997-02-22	VYBER	VYBER	2969	23177	\N	\N	\N
104166	355	1997-10-05	VYBER	VYBER	2382	33846	\N	\N	\N
104167	355	1998-12-28	VYBER	VYBER	16041	21600	\N	\N	\N
104168	355	1998-07-29	VYBER	VYBER	17534	21193	\N	\N	\N
104173	355	1998-06-05	VYBER	VYBER	4514	39967	\N	\N	\N
104174	355	1998-07-03	VYBER	VYBER	9508	36257	\N	\N	\N
104175	355	1996-06-23	VYDAJ	VYBER	22200	22963	\N	\N	\N
104181	355	1996-12-10	VYDAJ	VYBER	4800	34472	\N	\N	\N
104182	355	1997-12-13	VYDAJ	VYBER	2400	23156	\N	\N	\N
104183	355	1998-12-03	VYDAJ	VYBER	4800	32316	\N	\N	\N
104190	355	1997-01-07	VYDAJ	VYBER	3300	32853	\N	\N	\N
104191	355	1997-01-09	VYDAJ	VYBER	8700	19141	\N	\N	\N
104192	355	1997-01-03	VYDAJ	VYBER	4800	27544	\N	\N	\N
104194	355	1997-01-07	VYDAJ	VYBER	3300	36153	\N	\N	\N
104197	355	1998-01-07	VYDAJ	VYBER	5700	28128	\N	\N	\N
104198	355	1998-01-29	VYDAJ	VYBER	4200	20789	\N	\N	\N
104199	355	1998-01-01	VYDAJ	VYBER	6000	27919	\N	\N	\N
104200	355	1998-01-26	VYDAJ	VYBER	5700	24989	\N	\N	\N
104201	355	1998-01-06	VYDAJ	VYBER	6000	33828	\N	\N	\N
104202	355	1996-11-05	VYDAJ	VYBER	6600	20370	\N	\N	\N
104203	355	1996-09-08	VYDAJ	VYBER	9600	27902	\N	\N	\N
104206	355	1997-09-15	VYDAJ	VYBER	2700	36599	\N	\N	\N
104207	355	1997-11-07	VYDAJ	VYBER	9300	30731	\N	\N	\N
104208	355	1997-06-08	VYDAJ	VYBER	5400	44747	\N	\N	\N
104209	355	1997-05-19	VYDAJ	VYBER	3900	28074	\N	\N	\N
104210	355	1997-07-11	VYDAJ	VYBER	10200	34427	\N	\N	\N
104211	355	1998-05-21	VYDAJ	VYBER	5700	44320	\N	\N	\N
104212	355	1998-07-03	VYDAJ	VYBER	3000	33257	\N	\N	\N
104213	355	1998-12-22	VYDAJ	VYBER	4800	37641	\N	\N	\N
104215	355	1998-12-03	VYDAJ	VYBER	8400	37116	\N	\N	\N
104222	355	1996-06-30	VYDAJ	VYBER	30	23087	SLUZBY	\N	\N
104223	355	1996-07-31	VYDAJ	VYBER	30	27028	SLUZBY	\N	\N
104224	355	1996-08-31	VYDAJ	VYBER	30	25593	SLUZBY	\N	\N
104225	355	1996-09-30	VYDAJ	VYBER	30	21625	SLUZBY	\N	\N
104226	355	1996-10-31	VYDAJ	VYBER	30	26970	SLUZBY	\N	\N
104227	355	1996-11-30	VYDAJ	VYBER	30	26420	SLUZBY	\N	\N
104228	355	1996-12-31	VYDAJ	VYBER	30	32344	SLUZBY	\N	\N
104229	355	1997-01-31	VYDAJ	VYBER	30	22176	SLUZBY	\N	\N
104230	355	1997-02-28	VYDAJ	VYBER	30	28454	SLUZBY	\N	\N
104231	355	1997-03-31	VYDAJ	VYBER	30	30925	SLUZBY	\N	\N
104232	355	1997-04-30	VYDAJ	VYBER	30	37510	SLUZBY	\N	\N
104233	355	1997-05-31	VYDAJ	VYBER	30	32283	SLUZBY	\N	\N
104234	355	1997-06-30	VYDAJ	VYBER	30	37730	SLUZBY	\N	\N
104235	355	1997-07-31	VYDAJ	VYBER	30	35216	SLUZBY	\N	\N
104236	355	1997-08-31	VYDAJ	VYBER	30	38816	SLUZBY	\N	\N
104237	355	1997-09-30	VYDAJ	VYBER	30	36228	SLUZBY	\N	\N
104238	355	1997-10-31	VYDAJ	VYBER	30	28122	SLUZBY	\N	\N
104239	355	1997-11-30	VYDAJ	VYBER	30	31476	SLUZBY	\N	\N
104240	355	1997-12-31	VYDAJ	VYBER	30	33919	SLUZBY	\N	\N
104241	355	1998-01-31	VYDAJ	VYBER	30	20867	SLUZBY	\N	\N
104242	355	1998-02-28	VYDAJ	VYBER	30	35021	SLUZBY	\N	\N
104243	355	1998-03-31	VYDAJ	VYBER	30	42224	SLUZBY	\N	\N
104244	355	1998-04-30	VYDAJ	VYBER	30	43850	SLUZBY	\N	\N
104245	355	1998-05-31	VYDAJ	VYBER	30	44481	SLUZBY	\N	\N
104246	355	1998-06-30	VYDAJ	VYBER	30	45765	SLUZBY	\N	\N
104247	355	1998-07-31	VYDAJ	VYBER	30	21319	SLUZBY	\N	\N
104248	355	1998-08-31	VYDAJ	VYBER	30	34277	SLUZBY	\N	\N
104249	355	1998-09-30	VYDAJ	VYBER	30	39074	SLUZBY	\N	\N
104250	355	1998-10-31	VYDAJ	VYBER	30	42289	SLUZBY	\N	\N
104251	355	1998-11-30	VYDAJ	VYBER	30	45516	SLUZBY	\N	\N
104252	355	1996-03-02	PRIJEM	VKLAD	6200	18752	\N	\N	\N
104253	355	1996-04-01	VYDAJ	VYBER	2500	28277	\N	\N	\N
104254	355	1996-05-01	VYDAJ	VYBER	7400	32947	\N	\N	\N
104255	355	1996-05-31	VYDAJ	VYBER	9800	35238	\N	\N	\N
104256	355	1996-06-30	VYDAJ	VYBER	2400	20687	\N	\N	\N
104257	355	1996-07-30	PRIJEM	VKLAD	2300	26957	\N	\N	\N
104258	355	1996-08-29	VYDAJ	VYBER	5500	25498	\N	\N	\N
104259	355	1996-09-28	PRIJEM	VKLAD	1600	21563	\N	\N	\N
104260	355	1996-10-28	PRIJEM	VKLAD	1300	26895	\N	\N	\N
104261	355	1996-11-27	PRIJEM	VKLAD	2000	26340	\N	\N	\N
104262	355	1996-12-27	PRIJEM	VKLAD	700	32245	\N	\N	\N
104263	355	1997-01-26	PRIJEM	VKLAD	5900	22114	\N	\N	\N
104264	355	1997-02-25	PRIJEM	VKLAD	5200	28377	\N	\N	\N
104265	355	1997-03-27	VYDAJ	VYBER	1600	30824	\N	\N	\N
104266	355	1997-04-26	PRIJEM	VKLAD	2500	37395	\N	\N	\N
104267	355	1997-05-26	PRIJEM	VKLAD	4100	32174	\N	\N	\N
104268	355	1997-06-25	PRIJEM	VKLAD	800	37608	\N	\N	\N
104269	355	1997-07-25	PRIJEM	VKLAD	3600	35100	\N	\N	\N
104270	355	1997-08-24	VYDAJ	VYBER	500	38686	\N	\N	\N
104271	355	1997-09-23	VYDAJ	VYBER	500	36099	\N	\N	\N
104272	355	1997-10-23	PRIJEM	VKLAD	8100	28038	\N	\N	\N
104273	355	1997-11-22	PRIJEM	VKLAD	8600	31392	\N	\N	\N
104274	355	1997-12-22	PRIJEM	VKLAD	13600	33829	\N	\N	\N
104275	355	1998-01-21	PRIJEM	VKLAD	10500	30689	\N	\N	\N
104276	355	1998-02-20	PRIJEM	VKLAD	10100	34937	\N	\N	\N
104277	355	1998-03-22	PRIJEM	VKLAD	3100	42091	\N	\N	\N
104278	355	1998-04-21	VYDAJ	VYBER	2500	43694	\N	\N	\N
104279	355	1998-05-21	PRIJEM	VKLAD	2200	50020	\N	\N	\N
104280	355	1998-06-20	VYDAJ	VYBER	4300	45592	\N	\N	\N
104281	355	1998-07-20	PRIJEM	VKLAD	1500	38727	\N	\N	\N
104282	355	1998-08-19	PRIJEM	VKLAD	8900	34189	\N	\N	\N
104283	355	1998-09-18	PRIJEM	VKLAD	700	38947	\N	\N	\N
104284	355	1998-10-18	VYDAJ	VYBER	900	42144	\N	\N	\N
104285	355	1998-11-17	VYDAJ	VYBER	900	45359	\N	\N	\N
104286	355	1998-12-17	PRIJEM	VKLAD	200	42441	\N	\N	\N
104322	356	1996-03-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
104326	356	1996-04-09	PRIJEM	VKLAD	18416	19416	\N	\N	\N
104327	356	1996-05-09	PRIJEM	VKLAD	18416	40393	\N	\N	\N
104328	356	1996-06-09	PRIJEM	VKLAD	27624	64751	\N	\N	\N
104329	356	1996-07-09	PRIJEM	VKLAD	18416	65450	\N	\N	\N
104330	356	1996-08-09	PRIJEM	VKLAD	18416	65361	\N	\N	\N
104331	356	1996-09-09	PRIJEM	VKLAD	18416	55355	\N	\N	\N
104332	356	1996-10-09	PRIJEM	VKLAD	18416	61972	\N	\N	\N
104333	356	1996-11-09	PRIJEM	VKLAD	18416	59921	\N	\N	\N
104334	356	1996-12-09	PRIJEM	VKLAD	27624	68678	\N	\N	\N
104335	356	1997-01-09	PRIJEM	VKLAD	18416	63546	\N	\N	\N
104336	356	1997-02-09	PRIJEM	VKLAD	18416	64312	\N	\N	\N
104337	356	1997-03-09	PRIJEM	VKLAD	18416	61877	\N	\N	\N
104338	356	1997-04-09	PRIJEM	VKLAD	18416	60735	\N	\N	\N
104339	356	1997-05-09	PRIJEM	VKLAD	18416	58480	\N	\N	\N
104340	356	1997-06-09	PRIJEM	VKLAD	27624	71228	\N	\N	\N
104341	356	1997-07-09	PRIJEM	VKLAD	18416	60977	\N	\N	\N
104342	356	1997-08-09	PRIJEM	VKLAD	18416	63314	\N	\N	\N
104343	356	1997-09-09	PRIJEM	VKLAD	18416	66170	\N	\N	\N
104344	356	1997-10-09	PRIJEM	VKLAD	18416	66840	\N	\N	\N
104345	356	1997-11-09	PRIJEM	VKLAD	18416	66816	\N	\N	\N
104346	356	1997-12-09	PRIJEM	VKLAD	27624	79395	\N	\N	\N
104347	356	1998-01-09	PRIJEM	VKLAD	18416	69386	\N	\N	\N
104348	356	1998-02-09	PRIJEM	VKLAD	18416	66071	\N	\N	\N
104349	356	1998-03-09	PRIJEM	VKLAD	18416	64031	\N	\N	\N
104350	356	1998-04-09	PRIJEM	VKLAD	18416	68991	\N	\N	\N
104351	356	1998-05-09	PRIJEM	VKLAD	18416	70364	\N	\N	\N
104352	356	1998-06-09	PRIJEM	VKLAD	27624	67044	\N	\N	\N
104353	356	1998-07-09	PRIJEM	VKLAD	18416	67899	\N	\N	\N
104354	356	1998-08-09	PRIJEM	VKLAD	18416	70052	\N	\N	\N
104355	356	1998-09-09	PRIJEM	VKLAD	18416	70011	\N	\N	\N
104356	356	1998-10-09	PRIJEM	VKLAD	18416	69769	\N	\N	\N
104357	356	1998-11-09	PRIJEM	VKLAD	18416	72627	\N	\N	\N
104358	356	1998-12-09	PRIJEM	VKLAD	27624	79901	\N	\N	\N
104366	356	1996-08-12	VYDAJ	PREVOD NA UCET	4188	41673	SIPO	GH	75963014
104367	356	1996-09-12	VYDAJ	PREVOD NA UCET	4188	51167	SIPO	GH	75963014
104368	356	1996-10-12	VYDAJ	PREVOD NA UCET	4188	57784	SIPO	GH	75963014
104369	356	1996-11-12	VYDAJ	PREVOD NA UCET	4188	55733	SIPO	GH	75963014
104370	356	1996-12-12	VYDAJ	PREVOD NA UCET	4188	64490	SIPO	GH	75963014
104371	356	1997-01-12	VYDAJ	PREVOD NA UCET	4188	59358	SIPO	GH	75963014
104372	356	1997-02-12	VYDAJ	PREVOD NA UCET	4188	60124	SIPO	GH	75963014
104373	356	1997-03-12	VYDAJ	PREVOD NA UCET	4188	57689	SIPO	GH	75963014
104374	356	1997-04-12	VYDAJ	PREVOD NA UCET	4188	56547	SIPO	GH	75963014
104375	356	1997-05-12	VYDAJ	PREVOD NA UCET	4188	54292	SIPO	GH	75963014
104376	356	1997-06-12	VYDAJ	PREVOD NA UCET	4188	55640	SIPO	GH	75963014
104377	356	1997-07-12	VYDAJ	PREVOD NA UCET	4188	54189	SIPO	GH	75963014
104378	356	1997-08-12	VYDAJ	PREVOD NA UCET	4188	59126	SIPO	GH	75963014
104379	356	1997-09-12	VYDAJ	PREVOD NA UCET	4188	61982	SIPO	GH	75963014
104380	356	1997-10-12	VYDAJ	PREVOD NA UCET	4188	62652	SIPO	GH	75963014
104381	356	1997-11-12	VYDAJ	PREVOD NA UCET	4188	62628	SIPO	GH	75963014
104382	356	1997-12-12	VYDAJ	PREVOD NA UCET	4188	72607	SIPO	GH	75963014
104383	356	1998-01-12	VYDAJ	PREVOD NA UCET	4188	65198	SIPO	GH	75963014
104384	356	1998-02-12	VYDAJ	PREVOD NA UCET	4188	61883	SIPO	GH	75963014
104385	356	1998-03-12	VYDAJ	PREVOD NA UCET	4188	59843	SIPO	GH	75963014
104386	356	1998-04-12	VYDAJ	PREVOD NA UCET	4188	64803	SIPO	GH	75963014
104387	356	1998-05-12	VYDAJ	PREVOD NA UCET	4188	62276	SIPO	GH	75963014
104388	356	1998-06-12	VYDAJ	PREVOD NA UCET	4188	62856	SIPO	GH	75963014
104389	356	1998-07-12	VYDAJ	PREVOD NA UCET	4188	63711	SIPO	GH	75963014
104390	356	1998-08-12	VYDAJ	PREVOD NA UCET	4188	65864	SIPO	GH	75963014
104391	356	1998-09-12	VYDAJ	PREVOD NA UCET	4188	65823	SIPO	GH	75963014
104392	356	1998-10-12	VYDAJ	PREVOD NA UCET	4188	64281	SIPO	GH	75963014
104393	356	1998-11-12	VYDAJ	PREVOD NA UCET	4188	68439	SIPO	GH	75963014
104394	356	1998-12-12	VYDAJ	PREVOD NA UCET	4188	75713	SIPO	GH	75963014
104396	356	1997-06-11	VYDAJ	VYBER	11400	59828	\N	\N	\N
104397	356	1998-06-07	VYDAJ	VYBER	6500	39420	\N	\N	\N
104398	356	1996-12-26	VYDAJ	VYBER	2000	62490	\N	\N	\N
104399	356	1997-12-10	VYDAJ	VYBER	2600	76795	\N	\N	\N
104400	356	1998-12-22	VYDAJ	VYBER KARTOU	900	74813	\N	\N	0
104401	356	1996-09-05	VYDAJ	VYBER	2400	39439	\N	\N	\N
104403	356	1996-12-03	VYDAJ	VYBER	3300	51954	\N	\N	\N
104404	356	1996-11-22	VYDAJ	VYBER	700	55033	\N	\N	\N
104407	356	1997-03-27	VYDAJ	VYBER	900	56789	\N	\N	\N
104408	356	1997-04-20	VYDAJ	VYBER	3800	52747	\N	\N	\N
104409	356	1997-12-15	VYDAJ	VYBER	4900	67707	\N	\N	\N
104410	356	1997-07-11	VYDAJ	VYBER	2600	58377	\N	\N	\N
104411	356	1997-07-06	VYDAJ	VYBER	2900	42561	\N	\N	\N
104412	356	1997-11-23	VYDAJ	VYBER	4000	58628	\N	\N	\N
104413	356	1997-12-30	VYDAJ	VYBER	1700	66007	\N	\N	\N
104414	356	1998-02-06	VYDAJ	VYBER KARTOU	3800	47655	\N	\N	0
104415	356	1998-05-10	VYDAJ	VYBER KARTOU	3900	66464	\N	\N	0
104416	356	1998-08-19	VYDAJ	VYBER KARTOU	700	65164	\N	\N	0
104417	356	1998-10-11	VYDAJ	VYBER KARTOU	1300	68469	\N	\N	0
104418	356	1998-04-18	VYDAJ	VYBER KARTOU	3000	61803	\N	\N	0
104419	356	1998-03-06	VYDAJ	VYBER KARTOU	3200	45615	\N	\N	0
104428	356	1996-08-31	VYDAJ	VYBER	15	41839	SLUZBY	\N	\N
104429	356	1996-09-30	VYDAJ	VYBER	15	51356	SLUZBY	\N	\N
104430	356	1996-10-31	VYDAJ	VYBER	15	58005	SLUZBY	\N	\N
104431	356	1996-11-30	VYDAJ	VYBER	15	55254	SLUZBY	\N	\N
104432	356	1996-12-31	VYDAJ	VYBER	15	62730	SLUZBY	\N	\N
104433	356	1997-01-31	VYDAJ	VYBER	15	59596	SLUZBY	\N	\N
104434	356	1997-02-28	VYDAJ	VYBER	15	60361	SLUZBY	\N	\N
104435	356	1997-03-31	VYDAJ	VYBER	15	57019	SLUZBY	\N	\N
104436	356	1997-04-30	VYDAJ	VYBER	15	52964	SLUZBY	\N	\N
104437	356	1997-05-31	VYDAJ	VYBER	15	54504	SLUZBY	\N	\N
104438	356	1997-06-30	VYDAJ	VYBER	15	55861	SLUZBY	\N	\N
104439	356	1997-07-31	VYDAJ	VYBER	15	54398	SLUZBY	\N	\N
104440	356	1997-08-31	VYDAJ	VYBER	15	59354	SLUZBY	\N	\N
104441	356	1997-09-30	VYDAJ	VYBER	15	62224	SLUZBY	\N	\N
104442	356	1997-10-31	VYDAJ	VYBER	15	62900	SLUZBY	\N	\N
104443	356	1997-11-30	VYDAJ	VYBER	15	58871	SLUZBY	\N	\N
104444	356	1997-12-31	VYDAJ	VYBER	15	66270	SLUZBY	\N	\N
104445	356	1998-01-31	VYDAJ	VYBER	15	65455	SLUZBY	\N	\N
104446	356	1998-02-28	VYDAJ	VYBER	15	62115	SLUZBY	\N	\N
104447	356	1998-03-31	VYDAJ	VYBER	15	60075	SLUZBY	\N	\N
104448	356	1998-04-30	VYDAJ	VYBER	15	62048	SLUZBY	\N	\N
104449	356	1998-05-31	VYDAJ	VYBER	15	45920	SLUZBY	\N	\N
104450	356	1998-06-30	VYDAJ	VYBER	15	49483	SLUZBY	\N	\N
104451	356	1998-07-31	VYDAJ	VYBER	15	51636	SLUZBY	\N	\N
104452	356	1998-08-31	VYDAJ	VYBER	15	51595	SLUZBY	\N	\N
104453	356	1998-09-30	VYDAJ	VYBER	15	51353	SLUZBY	\N	\N
104454	356	1998-10-31	VYDAJ	VYBER	15	54211	SLUZBY	\N	\N
104455	356	1998-11-30	VYDAJ	VYBER	15	52277	SLUZBY	\N	\N
104456	356	1996-04-11	PRIJEM	VKLAD	2500	21916	\N	\N	\N
104457	356	1996-05-11	VYDAJ	VYBER	3400	36993	\N	\N	\N
104458	356	1996-06-10	VYDAJ	VYBER	17900	46851	\N	\N	\N
104459	356	1996-07-10	VYDAJ	VYBER	18700	46750	\N	\N	\N
104460	356	1996-08-09	VYDAJ	VYBER	19500	45861	\N	\N	\N
104461	356	1996-09-08	VYDAJ	VYBER	2500	36939	\N	\N	\N
104462	356	1996-10-08	VYDAJ	VYBER	7800	43556	\N	\N	\N
104463	356	1996-11-07	VYDAJ	VYBER	16500	41505	\N	\N	\N
104464	356	1996-12-07	VYDAJ	VYBER	10900	41054	\N	\N	\N
104465	356	1997-01-06	VYDAJ	VYBER	17600	45130	\N	\N	\N
104466	356	1997-02-05	VYDAJ	VYBER	13700	45896	\N	\N	\N
104467	356	1997-03-07	VYDAJ	VYBER	16900	43461	\N	\N	\N
104468	356	1997-04-06	VYDAJ	VYBER	14700	42319	\N	\N	\N
104469	356	1997-05-06	VYDAJ	VYBER	12900	40064	\N	\N	\N
104470	356	1997-06-05	VYDAJ	VYBER	10900	43604	\N	\N	\N
104471	356	1997-07-05	VYDAJ	VYBER	10400	45461	\N	\N	\N
104472	356	1997-08-04	VYDAJ	VYBER	9500	44898	\N	\N	\N
104473	356	1997-09-03	VYDAJ	VYBER	11600	47754	\N	\N	\N
104474	356	1997-10-03	VYDAJ	VYBER	13800	48424	\N	\N	\N
104475	356	1997-11-02	VYDAJ	VYBER	14500	48400	\N	\N	\N
104476	356	1997-12-02	VYDAJ	VYBER	7100	51771	\N	\N	\N
104477	356	1998-01-01	VYDAJ	VYBER	15300	50970	\N	\N	\N
104478	356	1998-01-31	VYDAJ	VYBER	14000	51455	\N	\N	\N
104479	356	1998-03-02	VYDAJ	VYBER	13300	48815	\N	\N	\N
104480	356	1998-04-01	VYDAJ	VYBER	9500	50575	\N	\N	\N
104481	356	1998-05-01	VYDAJ	VYBER	10100	51948	\N	\N	\N
104482	356	1998-05-31	VYDAJ	VYBER	16600	45934	\N	\N	\N
104483	356	1998-06-30	VYDAJ	VYBER	13600	49498	\N	\N	\N
104484	356	1998-07-30	VYDAJ	VYBER	12300	51411	\N	\N	\N
104485	356	1998-08-29	VYDAJ	VYBER	13800	51364	\N	\N	\N
104486	356	1998-09-28	VYDAJ	VYBER	14700	51123	\N	\N	\N
104487	356	1998-10-28	VYDAJ	VYBER	10300	53981	\N	\N	\N
104488	356	1998-11-27	VYDAJ	VYBER	16400	52039	\N	\N	\N
104522	357	1996-03-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
104526	357	1996-04-09	PRIJEM	PREVOD Z UCTU	3103	4103	\N	KL	51268827
104527	357	1996-05-09	PRIJEM	PREVOD Z UCTU	3103	7206	\N	KL	51268827
104528	357	1996-06-09	PRIJEM	PREVOD Z UCTU	3103	10309	\N	KL	51268827
104529	357	1996-07-09	PRIJEM	PREVOD Z UCTU	3103	13412	\N	KL	51268827
104530	357	1996-08-09	PRIJEM	PREVOD Z UCTU	3103	16515	\N	KL	51268827
104531	357	1996-09-09	PRIJEM	PREVOD Z UCTU	3103	17431	\N	KL	51268827
104532	357	1996-10-09	PRIJEM	PREVOD Z UCTU	3103	17553	\N	KL	51268827
104533	357	1996-11-09	PRIJEM	PREVOD Z UCTU	3103	18638	\N	KL	51268827
104534	357	1996-12-09	PRIJEM	PREVOD Z UCTU	3103	19727	\N	KL	51268827
104535	357	1997-01-09	PRIJEM	PREVOD Z UCTU	3103	19081	\N	KL	51268827
104536	357	1997-02-09	PRIJEM	PREVOD Z UCTU	3103	19392	\N	KL	51268827
104537	357	1997-03-09	PRIJEM	PREVOD Z UCTU	3103	20485	\N	KL	51268827
104538	357	1997-04-09	PRIJEM	PREVOD Z UCTU	3103	20170	\N	KL	51268827
104539	357	1997-05-09	PRIJEM	PREVOD Z UCTU	3103	21266	\N	KL	51268827
104540	357	1997-06-09	PRIJEM	PREVOD Z UCTU	3103	20987	\N	KL	51268827
104541	357	1997-07-09	PRIJEM	PREVOD Z UCTU	3103	22086	\N	KL	51268827
104542	357	1997-08-09	PRIJEM	PREVOD Z UCTU	3103	21990	\N	KL	51268827
104543	357	1997-09-09	PRIJEM	PREVOD Z UCTU	3103	23094	\N	KL	51268827
104544	357	1997-10-09	PRIJEM	PREVOD Z UCTU	3103	24202	\N	KL	51268827
104545	357	1997-11-09	PRIJEM	PREVOD Z UCTU	3103	25315	\N	KL	51268827
104546	357	1997-12-09	PRIJEM	PREVOD Z UCTU	3103	23821	\N	KL	51268827
104547	357	1998-01-09	PRIJEM	PREVOD Z UCTU	3103	23912	\N	KL	51268827
104548	357	1998-02-09	PRIJEM	PREVOD Z UCTU	3103	21811	\N	KL	51268827
104549	357	1998-03-09	PRIJEM	PREVOD Z UCTU	3103	22703	\N	KL	51268827
104550	357	1998-04-09	PRIJEM	PREVOD Z UCTU	3103	23810	\N	KL	51268827
104551	357	1998-05-09	PRIJEM	PREVOD Z UCTU	3103	22850	\N	KL	51268827
104552	357	1998-06-09	PRIJEM	PREVOD Z UCTU	3103	23958	\N	KL	51268827
104553	357	1998-07-09	PRIJEM	PREVOD Z UCTU	3103	25069	\N	KL	51268827
104554	357	1998-08-09	PRIJEM	PREVOD Z UCTU	3103	25614	\N	KL	51268827
104555	357	1998-09-09	PRIJEM	PREVOD Z UCTU	3103	25731	\N	KL	51268827
104556	357	1998-10-09	PRIJEM	PREVOD Z UCTU	3103	25149	\N	KL	51268827
104557	357	1998-11-09	PRIJEM	PREVOD Z UCTU	3103	24521	\N	KL	51268827
104558	357	1998-12-09	PRIJEM	PREVOD Z UCTU	3103	24645	\N	KL	51268827
104566	357	1996-08-13	VYDAJ	PREVOD NA UCET	1788	14297	SIPO	EF	3304052
104567	357	1996-09-13	VYDAJ	PREVOD NA UCET	1788	15363	SIPO	EF	3304052
104568	357	1996-10-13	VYDAJ	PREVOD NA UCET	1788	15485	SIPO	EF	3304052
104569	357	1996-11-13	VYDAJ	PREVOD NA UCET	1788	16570	SIPO	EF	3304052
104570	357	1996-12-13	VYDAJ	PREVOD NA UCET	1788	17659	SIPO	EF	3304052
104571	357	1997-01-13	VYDAJ	PREVOD NA UCET	1788	17013	SIPO	EF	3304052
104572	357	1997-02-13	VYDAJ	PREVOD NA UCET	1788	17324	SIPO	EF	3304052
104573	357	1997-03-13	VYDAJ	PREVOD NA UCET	1788	18417	SIPO	EF	3304052
104574	357	1997-04-13	VYDAJ	PREVOD NA UCET	1788	18102	SIPO	EF	3304052
104575	357	1997-05-13	VYDAJ	PREVOD NA UCET	1788	17818	SIPO	EF	3304052
104576	357	1997-06-13	VYDAJ	PREVOD NA UCET	1788	18919	SIPO	EF	3304052
104577	357	1997-07-13	VYDAJ	PREVOD NA UCET	1788	20018	SIPO	EF	3304052
104578	357	1997-08-13	VYDAJ	PREVOD NA UCET	1788	19922	SIPO	EF	3304052
104579	357	1997-09-13	VYDAJ	PREVOD NA UCET	1788	21026	SIPO	EF	3304052
104580	357	1997-10-13	VYDAJ	PREVOD NA UCET	1788	22134	SIPO	EF	3304052
104581	357	1997-11-13	VYDAJ	PREVOD NA UCET	1788	23247	SIPO	EF	3304052
104582	357	1997-12-13	VYDAJ	PREVOD NA UCET	1788	21753	SIPO	EF	3304052
104583	357	1998-01-13	VYDAJ	PREVOD NA UCET	1788	21244	SIPO	EF	3304052
104584	357	1998-02-13	VYDAJ	PREVOD NA UCET	1788	19743	SIPO	EF	3304052
104585	357	1998-03-13	VYDAJ	PREVOD NA UCET	1788	20635	SIPO	EF	3304052
104586	357	1998-04-13	VYDAJ	PREVOD NA UCET	1788	21742	SIPO	EF	3304052
104587	357	1998-05-13	VYDAJ	PREVOD NA UCET	1788	20782	SIPO	EF	3304052
104588	357	1998-06-13	VYDAJ	PREVOD NA UCET	1788	21890	SIPO	EF	3304052
104589	357	1998-07-13	VYDAJ	PREVOD NA UCET	1788	23001	SIPO	EF	3304052
104590	357	1998-08-13	VYDAJ	PREVOD NA UCET	1788	23546	SIPO	EF	3304052
104591	357	1998-09-13	VYDAJ	PREVOD NA UCET	1788	23663	SIPO	EF	3304052
104592	357	1998-10-13	VYDAJ	PREVOD NA UCET	1788	22271	SIPO	EF	3304052
104593	357	1998-11-13	VYDAJ	PREVOD NA UCET	1788	22453	SIPO	EF	3304052
104594	357	1998-12-13	VYDAJ	PREVOD NA UCET	1788	22577	SIPO	EF	3304052
104602	357	1996-08-09	VYDAJ	PREVOD NA UCET	280	16235	 	IJ	44572526
104603	357	1996-09-09	VYDAJ	PREVOD NA UCET	280	17151	 	IJ	44572526
104604	357	1996-10-09	VYDAJ	PREVOD NA UCET	280	17273	 	IJ	44572526
104605	357	1996-11-09	VYDAJ	PREVOD NA UCET	280	18358	 	IJ	44572526
104606	357	1996-12-09	VYDAJ	PREVOD NA UCET	280	19447	 	IJ	44572526
104607	357	1997-01-09	VYDAJ	PREVOD NA UCET	280	18801	 	IJ	44572526
104608	357	1997-02-09	VYDAJ	PREVOD NA UCET	280	19112	 	IJ	44572526
104609	357	1997-03-09	VYDAJ	PREVOD NA UCET	280	20205	 	IJ	44572526
104610	357	1997-04-09	VYDAJ	PREVOD NA UCET	280	19890	 	IJ	44572526
104611	357	1997-05-09	VYDAJ	PREVOD NA UCET	280	20986	 	IJ	44572526
104612	357	1997-06-09	VYDAJ	PREVOD NA UCET	280	20707	 	IJ	44572526
104613	357	1997-07-09	VYDAJ	PREVOD NA UCET	280	21806	 	IJ	44572526
104614	357	1997-08-09	VYDAJ	PREVOD NA UCET	280	21710	 	IJ	44572526
104615	357	1997-09-09	VYDAJ	PREVOD NA UCET	280	22814	 	IJ	44572526
104616	357	1997-10-09	VYDAJ	PREVOD NA UCET	280	23922	 	IJ	44572526
104617	357	1997-11-09	VYDAJ	PREVOD NA UCET	280	25035	 	IJ	44572526
104618	357	1997-12-09	VYDAJ	PREVOD NA UCET	280	23541	 	IJ	44572526
104619	357	1998-01-09	VYDAJ	PREVOD NA UCET	280	23632	 	IJ	44572526
104620	357	1998-02-09	VYDAJ	PREVOD NA UCET	280	21531	 	IJ	44572526
104621	357	1998-03-09	VYDAJ	PREVOD NA UCET	280	22423	 	IJ	44572526
104622	357	1998-04-09	VYDAJ	PREVOD NA UCET	280	23530	 	IJ	44572526
104623	357	1998-05-09	VYDAJ	PREVOD NA UCET	280	22570	 	IJ	44572526
104624	357	1998-06-09	VYDAJ	PREVOD NA UCET	280	23678	 	IJ	44572526
104625	357	1998-07-09	VYDAJ	PREVOD NA UCET	280	24789	 	IJ	44572526
104626	357	1998-08-09	VYDAJ	PREVOD NA UCET	280	25334	 	IJ	44572526
104627	357	1998-09-09	VYDAJ	PREVOD NA UCET	280	25451	 	IJ	44572526
104628	357	1998-10-09	VYDAJ	PREVOD NA UCET	280	24869	 	IJ	44572526
104629	357	1998-11-09	VYDAJ	PREVOD NA UCET	280	24241	 	IJ	44572526
104630	357	1998-12-09	VYDAJ	PREVOD NA UCET	280	24365	 	IJ	44572526
104631	357	1996-12-23	VYDAJ	VYBER	240	17419	\N	\N	\N
104632	357	1997-12-08	VYDAJ	VYBER	510	20718	\N	\N	\N
104633	357	1998-12-03	VYDAJ	VYBER	180	22352	\N	\N	\N
104640	357	1997-01-05	VYDAJ	VYBER	690	16788	\N	\N	\N
104641	357	1997-01-14	VYDAJ	VYBER	180	16683	\N	\N	\N
104642	357	1997-01-30	VYDAJ	VYBER	210	16233	\N	\N	\N
104643	357	1997-01-20	VYDAJ	VYBER	240	16443	\N	\N	\N
104644	357	1997-01-14	VYDAJ	VYBER	150	16863	\N	\N	\N
104645	357	1997-01-08	VYDAJ	VYBER	210	16578	\N	\N	\N
104646	357	1998-01-01	VYDAJ	VYBER	480	21349	\N	\N	\N
104647	357	1998-01-23	VYDAJ	VYBER	270	20974	\N	\N	\N
104648	357	1998-01-28	VYDAJ	VYBER	840	19474	\N	\N	\N
104649	357	1998-01-27	VYDAJ	VYBER	660	20314	\N	\N	\N
104650	357	1998-01-02	VYDAJ	VYBER	540	20809	\N	\N	\N
104651	357	1998-01-12	VYDAJ	VYBER	600	23032	\N	\N	\N
104652	357	1996-09-15	VYDAJ	VYBER	960	14403	\N	\N	\N
104655	357	1996-08-12	VYDAJ	VYBER	150	16085	\N	\N	\N
104656	357	1997-08-06	VYDAJ	VYBER	1200	18887	\N	\N	\N
104657	357	1997-01-08	VYDAJ	VYBER	600	15978	\N	\N	\N
104658	357	1997-05-13	VYDAJ	VYBER	1380	19606	\N	\N	\N
104659	357	1997-03-25	VYDAJ	VYBER	1410	17007	\N	\N	\N
104660	357	1998-05-05	VYDAJ	VYBER	1200	19747	\N	\N	\N
104661	357	1998-12-07	VYDAJ	VYBER	810	21542	\N	\N	\N
104662	357	1998-04-25	VYDAJ	VYBER	870	20872	\N	\N	\N
104663	357	1998-03-06	VYDAJ	VYBER	210	19600	\N	\N	\N
104664	357	1998-07-23	VYDAJ	VYBER	570	22431	\N	\N	\N
104665	357	1998-10-11	VYDAJ	VYBER	810	24059	\N	\N	\N
104666	357	1998-10-19	VYDAJ	VYBER	930	21341	\N	\N	\N
104667	357	1998-01-30	VYDAJ	VYBER	840	18634	\N	\N	\N
104676	357	1996-08-31	VYDAJ	VYBER	15	14328	SLUZBY	\N	\N
104677	357	1996-09-30	VYDAJ	VYBER	15	14450	SLUZBY	\N	\N
104678	357	1996-10-31	VYDAJ	VYBER	15	15535	SLUZBY	\N	\N
104679	357	1996-11-30	VYDAJ	VYBER	15	16624	SLUZBY	\N	\N
104680	357	1996-12-31	VYDAJ	VYBER	15	17478	SLUZBY	\N	\N
104681	357	1997-01-31	VYDAJ	VYBER	15	16289	SLUZBY	\N	\N
104682	357	1997-02-28	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
104683	357	1997-03-31	VYDAJ	VYBER	15	17067	SLUZBY	\N	\N
104684	357	1997-04-30	VYDAJ	VYBER	15	18163	SLUZBY	\N	\N
104685	357	1997-05-31	VYDAJ	VYBER	15	17884	SLUZBY	\N	\N
104686	357	1997-06-30	VYDAJ	VYBER	15	18983	SLUZBY	\N	\N
104687	357	1997-07-31	VYDAJ	VYBER	15	20087	SLUZBY	\N	\N
104688	357	1997-08-31	VYDAJ	VYBER	15	19991	SLUZBY	\N	\N
104689	357	1997-09-30	VYDAJ	VYBER	15	21099	SLUZBY	\N	\N
104690	357	1997-10-31	VYDAJ	VYBER	15	22212	SLUZBY	\N	\N
104691	357	1997-11-30	VYDAJ	VYBER	15	21228	SLUZBY	\N	\N
104692	357	1997-12-31	VYDAJ	VYBER	15	21829	SLUZBY	\N	\N
104693	357	1998-01-31	VYDAJ	VYBER	15	18708	SLUZBY	\N	\N
104694	357	1998-02-28	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
104695	357	1998-03-31	VYDAJ	VYBER	15	20707	SLUZBY	\N	\N
104696	357	1998-04-30	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
104697	357	1998-05-31	VYDAJ	VYBER	15	20855	SLUZBY	\N	\N
104698	357	1998-06-30	VYDAJ	VYBER	15	21966	SLUZBY	\N	\N
104699	357	1998-07-31	VYDAJ	VYBER	15	22511	SLUZBY	\N	\N
104700	357	1998-08-31	VYDAJ	VYBER	15	22628	SLUZBY	\N	\N
104701	357	1998-09-30	VYDAJ	VYBER	15	22046	SLUZBY	\N	\N
104702	357	1998-10-31	VYDAJ	VYBER	15	21418	SLUZBY	\N	\N
104703	357	1998-11-30	VYDAJ	VYBER	15	22532	SLUZBY	\N	\N
104704	357	1997-11-30	VYDAJ	VYBER	2100	21243	\N	\N	\N
104705	357	1998-08-27	VYDAJ	VYBER	1000	22546	\N	\N	\N
104706	357	1998-09-26	VYDAJ	VYBER	1700	21963	\N	\N	\N
104736	358	1993-12-09	PRIJEM	VKLAD	600	600	\N	\N	\N
104748	358	1993-12-11	PRIJEM	PREVOD Z UCTU	3099	3699	\N	AB	51605224
104749	358	1994-01-11	PRIJEM	PREVOD Z UCTU	3099	16408	\N	AB	51605224
104750	358	1994-02-11	PRIJEM	PREVOD Z UCTU	3099	23159	\N	AB	51605224
104751	358	1994-03-11	PRIJEM	PREVOD Z UCTU	3099	26544	\N	AB	51605224
104752	358	1994-04-11	PRIJEM	PREVOD Z UCTU	3099	30149	\N	AB	51605224
104753	358	1994-05-11	PRIJEM	PREVOD Z UCTU	3099	29887	\N	AB	51605224
104754	358	1994-06-11	PRIJEM	PREVOD Z UCTU	3099	28247	\N	AB	51605224
104755	358	1994-07-11	PRIJEM	PREVOD Z UCTU	3099	26630	\N	AB	51605224
104756	358	1994-08-11	PRIJEM	PREVOD Z UCTU	3099	28596	\N	AB	51605224
104757	358	1994-09-11	PRIJEM	PREVOD Z UCTU	3099	26635	\N	AB	51605224
104758	358	1994-10-11	PRIJEM	PREVOD Z UCTU	3099	25661	\N	AB	51605224
104759	358	1994-11-11	PRIJEM	PREVOD Z UCTU	3099	24484	\N	AB	51605224
104760	358	1994-12-11	PRIJEM	PREVOD Z UCTU	3099	24601	\N	AB	51605224
104761	358	1995-01-11	PRIJEM	PREVOD Z UCTU	3099	20705	\N	AB	51605224
104762	358	1995-02-11	PRIJEM	PREVOD Z UCTU	3099	20325	\N	AB	51605224
104763	358	1995-03-11	PRIJEM	PREVOD Z UCTU	3099	20351	\N	AB	51605224
104764	358	1995-04-11	PRIJEM	PREVOD Z UCTU	3099	20250	\N	AB	51605224
104765	358	1995-05-11	PRIJEM	PREVOD Z UCTU	3099	20748	\N	AB	51605224
104766	358	1995-06-11	PRIJEM	PREVOD Z UCTU	3099	17449	\N	AB	51605224
104767	358	1995-07-11	PRIJEM	PREVOD Z UCTU	3099	17938	\N	AB	51605224
104768	358	1995-08-11	PRIJEM	PREVOD Z UCTU	3099	15495	\N	AB	51605224
104769	358	1995-09-11	PRIJEM	PREVOD Z UCTU	3099	13274	\N	AB	51605224
104770	358	1995-10-11	PRIJEM	PREVOD Z UCTU	3099	14948	\N	AB	51605224
104771	358	1995-11-11	PRIJEM	PREVOD Z UCTU	3099	15924	\N	AB	51605224
104772	358	1995-12-11	PRIJEM	PREVOD Z UCTU	3099	13364	\N	AB	51605224
104773	358	1996-01-11	PRIJEM	PREVOD Z UCTU	3099	12333	\N	AB	51605224
104774	358	1996-02-11	PRIJEM	PREVOD Z UCTU	3099	12698	\N	AB	51605224
104775	358	1996-03-11	PRIJEM	PREVOD Z UCTU	3099	13765	\N	AB	51605224
104776	358	1996-04-11	PRIJEM	PREVOD Z UCTU	3099	12794	\N	AB	51605224
104777	358	1996-05-11	PRIJEM	PREVOD Z UCTU	3099	13861	\N	AB	51605224
104778	358	1996-06-11	PRIJEM	PREVOD Z UCTU	3099	14933	\N	AB	51605224
104779	358	1996-07-11	PRIJEM	PREVOD Z UCTU	3099	15439	\N	AB	51605224
104780	358	1996-08-11	PRIJEM	PREVOD Z UCTU	3099	15286	\N	AB	51605224
104781	358	1996-09-11	PRIJEM	PREVOD Z UCTU	3099	16363	\N	AB	51605224
104782	358	1996-10-11	PRIJEM	PREVOD Z UCTU	3099	16785	\N	AB	51605224
104783	358	1996-11-11	PRIJEM	PREVOD Z UCTU	3099	17869	\N	AB	51605224
104784	358	1996-12-11	PRIJEM	PREVOD Z UCTU	3099	18957	\N	AB	51605224
104785	358	1997-01-11	PRIJEM	PREVOD Z UCTU	3099	19029	\N	AB	51605224
104786	358	1997-02-11	PRIJEM	PREVOD Z UCTU	3099	17689	\N	AB	51605224
104787	358	1997-03-11	PRIJEM	PREVOD Z UCTU	3099	18776	\N	AB	51605224
104788	358	1997-04-11	PRIJEM	PREVOD Z UCTU	3099	18756	\N	AB	51605224
104789	358	1997-05-11	PRIJEM	PREVOD Z UCTU	3099	19848	\N	AB	51605224
104790	358	1997-06-11	PRIJEM	PREVOD Z UCTU	3099	18512	\N	AB	51605224
104791	358	1997-07-11	PRIJEM	PREVOD Z UCTU	3099	19605	\N	AB	51605224
104792	358	1997-08-11	PRIJEM	PREVOD Z UCTU	3099	20159	\N	AB	51605224
104793	358	1997-09-11	PRIJEM	PREVOD Z UCTU	3099	21257	\N	AB	51605224
104794	358	1997-10-11	PRIJEM	PREVOD Z UCTU	3099	22358	\N	AB	51605224
104795	358	1997-11-11	PRIJEM	PREVOD Z UCTU	3099	23465	\N	AB	51605224
104796	358	1997-12-11	PRIJEM	PREVOD Z UCTU	3099	24066	\N	AB	51605224
104797	358	1998-01-11	PRIJEM	PREVOD Z UCTU	3099	24217	\N	AB	51605224
104798	358	1998-02-11	PRIJEM	PREVOD Z UCTU	3099	23105	\N	AB	51605224
104799	358	1998-03-11	PRIJEM	PREVOD Z UCTU	3099	24004	\N	AB	51605224
104800	358	1998-04-11	PRIJEM	PREVOD Z UCTU	3099	25116	\N	AB	51605224
104801	358	1998-05-11	PRIJEM	PREVOD Z UCTU	3099	15513	\N	AB	51605224
104802	358	1998-06-11	PRIJEM	PREVOD Z UCTU	3099	16590	\N	AB	51605224
104803	358	1998-07-11	PRIJEM	PREVOD Z UCTU	3099	16502	\N	AB	51605224
104804	358	1998-08-11	PRIJEM	PREVOD Z UCTU	3099	17583	\N	AB	51605224
104805	358	1998-09-11	PRIJEM	PREVOD Z UCTU	3099	18669	\N	AB	51605224
104806	358	1998-10-11	PRIJEM	PREVOD Z UCTU	3099	19760	\N	AB	51605224
104807	358	1998-11-11	PRIJEM	PREVOD Z UCTU	3099	20614	\N	AB	51605224
104808	358	1998-12-11	PRIJEM	PREVOD Z UCTU	3099	21023	\N	AB	51605224
104824	358	1994-04-11	VYDAJ	PREVOD NA UCET	532	29617	SIPO	UV	86354624
104825	358	1994-05-11	VYDAJ	PREVOD NA UCET	532	29355	SIPO	UV	86354624
104826	358	1994-06-11	VYDAJ	PREVOD NA UCET	532	27715	SIPO	UV	86354624
104827	358	1994-07-11	VYDAJ	PREVOD NA UCET	532	26098	SIPO	UV	86354624
104828	358	1994-08-11	VYDAJ	PREVOD NA UCET	532	28064	SIPO	UV	86354624
104829	358	1994-09-11	VYDAJ	PREVOD NA UCET	532	26103	SIPO	UV	86354624
104830	358	1994-10-11	VYDAJ	PREVOD NA UCET	532	25129	SIPO	UV	86354624
104831	358	1994-11-11	VYDAJ	PREVOD NA UCET	532	23952	SIPO	UV	86354624
104832	358	1994-12-11	VYDAJ	PREVOD NA UCET	532	24069	SIPO	UV	86354624
104833	358	1995-01-11	VYDAJ	PREVOD NA UCET	532	20173	SIPO	UV	86354624
104834	358	1995-02-11	VYDAJ	PREVOD NA UCET	532	19793	SIPO	UV	86354624
104835	358	1995-03-11	VYDAJ	PREVOD NA UCET	532	19819	SIPO	UV	86354624
104836	358	1995-04-11	VYDAJ	PREVOD NA UCET	532	19718	SIPO	UV	86354624
104837	358	1995-05-11	VYDAJ	PREVOD NA UCET	532	20216	SIPO	UV	86354624
104838	358	1995-06-11	VYDAJ	PREVOD NA UCET	532	16917	SIPO	UV	86354624
104839	358	1995-07-11	VYDAJ	PREVOD NA UCET	532	17406	SIPO	UV	86354624
104840	358	1995-08-11	VYDAJ	PREVOD NA UCET	532	14963	SIPO	UV	86354624
104841	358	1995-09-11	VYDAJ	PREVOD NA UCET	532	12742	SIPO	UV	86354624
104842	358	1995-10-11	VYDAJ	PREVOD NA UCET	532	14416	SIPO	UV	86354624
104843	358	1995-11-11	VYDAJ	PREVOD NA UCET	532	15392	SIPO	UV	86354624
104844	358	1995-12-11	VYDAJ	PREVOD NA UCET	532	12832	SIPO	UV	86354624
104845	358	1996-01-11	VYDAJ	PREVOD NA UCET	532	11801	SIPO	UV	86354624
104846	358	1996-02-11	VYDAJ	PREVOD NA UCET	532	12166	SIPO	UV	86354624
104847	358	1996-03-11	VYDAJ	PREVOD NA UCET	532	13233	SIPO	UV	86354624
104848	358	1996-04-11	VYDAJ	PREVOD NA UCET	532	12262	SIPO	UV	86354624
104849	358	1996-05-11	VYDAJ	PREVOD NA UCET	532	13329	SIPO	UV	86354624
104850	358	1996-06-11	VYDAJ	PREVOD NA UCET	532	14401	SIPO	UV	86354624
104851	358	1996-07-11	VYDAJ	PREVOD NA UCET	532	14907	SIPO	UV	86354624
104852	358	1996-08-11	VYDAJ	PREVOD NA UCET	532	14754	SIPO	UV	86354624
104853	358	1996-09-11	VYDAJ	PREVOD NA UCET	532	15831	SIPO	UV	86354624
104854	358	1996-10-11	VYDAJ	PREVOD NA UCET	532	16253	SIPO	UV	86354624
104855	358	1996-11-11	VYDAJ	PREVOD NA UCET	532	17337	SIPO	UV	86354624
104856	358	1996-12-11	VYDAJ	PREVOD NA UCET	532	18425	SIPO	UV	86354624
104857	358	1997-01-11	VYDAJ	PREVOD NA UCET	532	18497	SIPO	UV	86354624
104858	358	1997-02-11	VYDAJ	PREVOD NA UCET	532	17157	SIPO	UV	86354624
104859	358	1997-03-11	VYDAJ	PREVOD NA UCET	532	18244	SIPO	UV	86354624
104860	358	1997-04-11	VYDAJ	PREVOD NA UCET	532	18224	SIPO	UV	86354624
104861	358	1997-05-11	VYDAJ	PREVOD NA UCET	532	19316	SIPO	UV	86354624
104862	358	1997-06-11	VYDAJ	PREVOD NA UCET	532	17980	SIPO	UV	86354624
104863	358	1997-07-11	VYDAJ	PREVOD NA UCET	532	19073	SIPO	UV	86354624
104864	358	1997-08-11	VYDAJ	PREVOD NA UCET	532	19627	SIPO	UV	86354624
104865	358	1997-09-11	VYDAJ	PREVOD NA UCET	532	20725	SIPO	UV	86354624
104866	358	1997-10-11	VYDAJ	PREVOD NA UCET	532	21826	SIPO	UV	86354624
104867	358	1997-11-11	VYDAJ	PREVOD NA UCET	532	22933	SIPO	UV	86354624
104868	358	1997-12-11	VYDAJ	PREVOD NA UCET	532	23534	SIPO	UV	86354624
104869	358	1998-01-11	VYDAJ	PREVOD NA UCET	532	23685	SIPO	UV	86354624
104870	358	1998-02-11	VYDAJ	PREVOD NA UCET	532	22573	SIPO	UV	86354624
104871	358	1998-03-11	VYDAJ	PREVOD NA UCET	532	23472	SIPO	UV	86354624
104872	358	1998-04-11	VYDAJ	PREVOD NA UCET	532	24584	SIPO	UV	86354624
104873	358	1998-05-11	VYDAJ	PREVOD NA UCET	532	14981	SIPO	UV	86354624
104874	358	1998-06-11	VYDAJ	PREVOD NA UCET	532	16058	SIPO	UV	86354624
104875	358	1998-07-11	VYDAJ	PREVOD NA UCET	532	15970	SIPO	UV	86354624
104876	358	1998-08-11	VYDAJ	PREVOD NA UCET	532	17051	SIPO	UV	86354624
104877	358	1998-09-11	VYDAJ	PREVOD NA UCET	532	18137	SIPO	UV	86354624
104878	358	1998-10-11	VYDAJ	PREVOD NA UCET	532	19228	SIPO	UV	86354624
104879	358	1998-11-11	VYDAJ	PREVOD NA UCET	532	20082	SIPO	UV	86354624
104880	358	1998-12-11	VYDAJ	PREVOD NA UCET	532	20491	SIPO	UV	86354624
104897	358	1994-05-06	VYDAJ	PREVOD NA UCET	1434	28261	 	ST	65233623
104898	358	1994-06-06	VYDAJ	PREVOD NA UCET	1434	23621	 	ST	65233623
104899	358	1994-07-06	VYDAJ	PREVOD NA UCET	1434	26204	 	ST	65233623
104900	358	1994-08-06	VYDAJ	PREVOD NA UCET	1434	25570	 	ST	65233623
104901	358	1994-09-06	VYDAJ	PREVOD NA UCET	1434	23609	 	ST	65233623
104902	358	1994-10-06	VYDAJ	PREVOD NA UCET	1434	22635	 	ST	65233623
104903	358	1994-11-06	VYDAJ	PREVOD NA UCET	1434	21458	 	ST	65233623
104904	358	1994-12-06	VYDAJ	PREVOD NA UCET	1434	21575	 	ST	65233623
104905	358	1995-01-06	VYDAJ	PREVOD NA UCET	1434	17679	 	ST	65233623
104906	358	1995-02-06	VYDAJ	PREVOD NA UCET	1434	17299	 	ST	65233623
104907	358	1995-03-06	VYDAJ	PREVOD NA UCET	1434	17325	 	ST	65233623
104908	358	1995-04-06	VYDAJ	PREVOD NA UCET	1434	17224	 	ST	65233623
104909	358	1995-05-06	VYDAJ	PREVOD NA UCET	1434	17722	 	ST	65233623
104910	358	1995-06-06	VYDAJ	PREVOD NA UCET	1434	14423	 	ST	65233623
104911	358	1995-07-06	VYDAJ	PREVOD NA UCET	1434	14912	 	ST	65233623
104912	358	1995-08-06	VYDAJ	PREVOD NA UCET	1434	12469	 	ST	65233623
104913	358	1995-09-06	VYDAJ	PREVOD NA UCET	1434	10248	 	ST	65233623
104914	358	1995-10-06	VYDAJ	PREVOD NA UCET	1434	11922	 	ST	65233623
104915	358	1995-11-06	VYDAJ	PREVOD NA UCET	1434	12898	 	ST	65233623
104916	358	1995-12-06	VYDAJ	PREVOD NA UCET	1434	10338	 	ST	65233623
104917	358	1996-01-06	VYDAJ	PREVOD NA UCET	1434	9307	 	ST	65233623
104918	358	1996-02-06	VYDAJ	PREVOD NA UCET	1434	9672	 	ST	65233623
104919	358	1996-03-06	VYDAJ	PREVOD NA UCET	1434	10739	 	ST	65233623
104920	358	1996-04-06	VYDAJ	PREVOD NA UCET	1434	9768	 	ST	65233623
104921	358	1996-05-06	VYDAJ	PREVOD NA UCET	1434	10835	 	ST	65233623
104922	358	1996-06-06	VYDAJ	PREVOD NA UCET	1434	11907	 	ST	65233623
104923	358	1996-07-06	VYDAJ	PREVOD NA UCET	1434	12413	 	ST	65233623
104924	358	1996-08-06	VYDAJ	PREVOD NA UCET	1434	12260	 	ST	65233623
104925	358	1996-09-06	VYDAJ	PREVOD NA UCET	1434	13337	 	ST	65233623
104926	358	1996-10-06	VYDAJ	PREVOD NA UCET	1434	13759	 	ST	65233623
104927	358	1996-11-06	VYDAJ	PREVOD NA UCET	1434	14843	 	ST	65233623
104928	358	1996-12-06	VYDAJ	PREVOD NA UCET	1434	15931	 	ST	65233623
104929	358	1997-01-06	VYDAJ	PREVOD NA UCET	1434	16003	 	ST	65233623
104930	358	1997-02-06	VYDAJ	PREVOD NA UCET	1434	14663	 	ST	65233623
104931	358	1997-03-06	VYDAJ	PREVOD NA UCET	1434	15750	 	ST	65233623
104932	358	1997-04-06	VYDAJ	PREVOD NA UCET	1434	15730	 	ST	65233623
104933	358	1997-05-06	VYDAJ	PREVOD NA UCET	1434	16822	 	ST	65233623
104934	358	1997-06-06	VYDAJ	PREVOD NA UCET	1434	17316	 	ST	65233623
104935	358	1997-07-06	VYDAJ	PREVOD NA UCET	1434	16579	 	ST	65233623
104936	358	1997-08-06	VYDAJ	PREVOD NA UCET	1434	17133	 	ST	65233623
104937	358	1997-09-06	VYDAJ	PREVOD NA UCET	1434	18231	 	ST	65233623
104938	358	1997-10-06	VYDAJ	PREVOD NA UCET	1434	19332	 	ST	65233623
104939	358	1997-11-06	VYDAJ	PREVOD NA UCET	1434	20439	 	ST	65233623
104940	358	1997-12-06	VYDAJ	PREVOD NA UCET	1434	21040	 	ST	65233623
104941	358	1998-01-06	VYDAJ	PREVOD NA UCET	1434	21191	 	ST	65233623
104942	358	1998-02-06	VYDAJ	PREVOD NA UCET	1434	20079	 	ST	65233623
104943	358	1998-03-06	VYDAJ	PREVOD NA UCET	1434	20978	 	ST	65233623
104944	358	1998-04-06	VYDAJ	PREVOD NA UCET	1434	22090	 	ST	65233623
104945	358	1998-05-06	VYDAJ	PREVOD NA UCET	1434	12487	 	ST	65233623
104946	358	1998-06-06	VYDAJ	PREVOD NA UCET	1434	13564	 	ST	65233623
104947	358	1998-07-06	VYDAJ	PREVOD NA UCET	1434	13476	 	ST	65233623
104948	358	1998-08-06	VYDAJ	PREVOD NA UCET	1434	14557	 	ST	65233623
104949	358	1998-09-06	VYDAJ	PREVOD NA UCET	1434	15643	 	ST	65233623
104950	358	1998-10-06	VYDAJ	PREVOD NA UCET	1434	16734	 	ST	65233623
104951	358	1998-11-06	VYDAJ	PREVOD NA UCET	1434	17588	 	ST	65233623
104952	358	1998-12-06	VYDAJ	PREVOD NA UCET	1434	18687	 	ST	65233623
104968	358	1994-04-13	VYDAJ	PREVOD NA UCET	27	29590	POJISTNE	ST	94764554
104969	358	1994-05-13	VYDAJ	PREVOD NA UCET	27	29328	POJISTNE	ST	94764554
104970	358	1994-06-13	VYDAJ	PREVOD NA UCET	27	27688	POJISTNE	ST	94764554
104971	358	1994-07-13	VYDAJ	PREVOD NA UCET	27	26071	POJISTNE	ST	94764554
104972	358	1994-08-13	VYDAJ	PREVOD NA UCET	27	26747	POJISTNE	ST	94764554
104973	358	1994-09-13	VYDAJ	PREVOD NA UCET	27	26076	POJISTNE	ST	94764554
104974	358	1994-10-13	VYDAJ	PREVOD NA UCET	27	25102	POJISTNE	ST	94764554
104975	358	1994-11-13	VYDAJ	PREVOD NA UCET	27	23925	POJISTNE	ST	94764554
104976	358	1994-12-13	VYDAJ	PREVOD NA UCET	27	23442	POJISTNE	ST	94764554
104977	358	1995-01-13	VYDAJ	PREVOD NA UCET	27	20146	POJISTNE	ST	94764554
104978	358	1995-02-13	VYDAJ	PREVOD NA UCET	27	19766	POJISTNE	ST	94764554
104979	358	1995-03-13	VYDAJ	PREVOD NA UCET	27	19792	POJISTNE	ST	94764554
104980	358	1995-04-13	VYDAJ	PREVOD NA UCET	27	19691	POJISTNE	ST	94764554
104981	358	1995-05-13	VYDAJ	PREVOD NA UCET	27	20189	POJISTNE	ST	94764554
104982	358	1995-06-13	VYDAJ	PREVOD NA UCET	27	16890	POJISTNE	ST	94764554
104983	358	1995-07-13	VYDAJ	PREVOD NA UCET	27	17379	POJISTNE	ST	94764554
104984	358	1995-08-13	VYDAJ	PREVOD NA UCET	27	14936	POJISTNE	ST	94764554
104985	358	1995-09-13	VYDAJ	PREVOD NA UCET	27	12715	POJISTNE	ST	94764554
104986	358	1995-10-13	VYDAJ	PREVOD NA UCET	27	14389	POJISTNE	ST	94764554
104987	358	1995-11-13	VYDAJ	PREVOD NA UCET	27	15365	POJISTNE	ST	94764554
104988	358	1995-12-13	VYDAJ	PREVOD NA UCET	27	12805	POJISTNE	ST	94764554
104989	358	1996-01-13	VYDAJ	PREVOD NA UCET	27	11774	POJISTNE	ST	94764554
104990	358	1996-02-13	VYDAJ	PREVOD NA UCET	27	12139	POJISTNE	ST	94764554
104991	358	1996-03-13	VYDAJ	PREVOD NA UCET	27	13206	POJISTNE	ST	94764554
104992	358	1996-04-13	VYDAJ	PREVOD NA UCET	27	12235	POJISTNE	ST	94764554
104993	358	1996-05-13	VYDAJ	PREVOD NA UCET	27	13302	POJISTNE	ST	94764554
104994	358	1996-06-13	VYDAJ	PREVOD NA UCET	27	14374	POJISTNE	ST	94764554
104995	358	1996-07-13	VYDAJ	PREVOD NA UCET	27	14880	POJISTNE	ST	94764554
104996	358	1996-08-13	VYDAJ	PREVOD NA UCET	27	14727	POJISTNE	ST	94764554
104997	358	1996-09-13	VYDAJ	PREVOD NA UCET	27	15804	POJISTNE	ST	94764554
104998	358	1996-10-13	VYDAJ	PREVOD NA UCET	27	16226	POJISTNE	ST	94764554
104999	358	1996-11-13	VYDAJ	PREVOD NA UCET	27	17310	POJISTNE	ST	94764554
105000	358	1996-12-13	VYDAJ	PREVOD NA UCET	27	18398	POJISTNE	ST	94764554
105001	358	1997-01-13	VYDAJ	PREVOD NA UCET	27	18470	POJISTNE	ST	94764554
105002	358	1997-02-13	VYDAJ	PREVOD NA UCET	27	17130	POJISTNE	ST	94764554
105003	358	1997-03-13	VYDAJ	PREVOD NA UCET	27	18217	POJISTNE	ST	94764554
105004	358	1997-04-13	VYDAJ	PREVOD NA UCET	27	18197	POJISTNE	ST	94764554
105005	358	1997-05-13	VYDAJ	PREVOD NA UCET	27	19289	POJISTNE	ST	94764554
105006	358	1997-06-13	VYDAJ	PREVOD NA UCET	27	17953	POJISTNE	ST	94764554
105007	358	1997-07-13	VYDAJ	PREVOD NA UCET	27	19046	POJISTNE	ST	94764554
105008	358	1997-08-13	VYDAJ	PREVOD NA UCET	27	19600	POJISTNE	ST	94764554
105009	358	1997-09-13	VYDAJ	PREVOD NA UCET	27	20698	POJISTNE	ST	94764554
105010	358	1997-10-13	VYDAJ	PREVOD NA UCET	27	21799	POJISTNE	ST	94764554
105011	358	1997-11-13	VYDAJ	PREVOD NA UCET	27	22906	POJISTNE	ST	94764554
105012	358	1997-12-13	VYDAJ	PREVOD NA UCET	27	23507	POJISTNE	ST	94764554
105013	358	1998-01-13	VYDAJ	PREVOD NA UCET	27	23658	POJISTNE	ST	94764554
105014	358	1998-02-13	VYDAJ	PREVOD NA UCET	27	22546	POJISTNE	ST	94764554
105015	358	1998-03-13	VYDAJ	PREVOD NA UCET	27	23445	POJISTNE	ST	94764554
105016	358	1998-04-13	VYDAJ	PREVOD NA UCET	27	24557	POJISTNE	ST	94764554
105017	358	1998-05-13	VYDAJ	PREVOD NA UCET	27	14954	POJISTNE	ST	94764554
105018	358	1998-06-13	VYDAJ	PREVOD NA UCET	27	16031	POJISTNE	ST	94764554
105019	358	1998-07-13	VYDAJ	PREVOD NA UCET	27	15943	POJISTNE	ST	94764554
105020	358	1998-08-13	VYDAJ	PREVOD NA UCET	27	17024	POJISTNE	ST	94764554
105021	358	1998-09-13	VYDAJ	PREVOD NA UCET	27	18110	POJISTNE	ST	94764554
105022	358	1998-10-13	VYDAJ	PREVOD NA UCET	27	19201	POJISTNE	ST	94764554
105023	358	1998-11-13	VYDAJ	PREVOD NA UCET	27	20055	POJISTNE	ST	94764554
105024	358	1998-12-13	VYDAJ	PREVOD NA UCET	27	20464	POJISTNE	ST	94764554
105041	358	1994-05-10	VYDAJ	PREVOD NA UCET	73	26788	 	ST	94047659
105042	358	1994-06-10	VYDAJ	PREVOD NA UCET	73	25148	 	ST	94047659
105043	358	1994-07-10	VYDAJ	PREVOD NA UCET	73	23531	 	ST	94047659
105044	358	1994-08-10	VYDAJ	PREVOD NA UCET	73	25497	 	ST	94047659
105045	358	1994-09-10	VYDAJ	PREVOD NA UCET	73	23536	 	ST	94047659
105046	358	1994-10-10	VYDAJ	PREVOD NA UCET	73	22562	 	ST	94047659
105047	358	1994-11-10	VYDAJ	PREVOD NA UCET	73	21385	 	ST	94047659
105048	358	1994-12-10	VYDAJ	PREVOD NA UCET	73	21502	 	ST	94047659
105049	358	1995-01-10	VYDAJ	PREVOD NA UCET	73	17606	 	ST	94047659
105050	358	1995-02-10	VYDAJ	PREVOD NA UCET	73	17226	 	ST	94047659
105051	358	1995-03-10	VYDAJ	PREVOD NA UCET	73	17252	 	ST	94047659
105052	358	1995-04-10	VYDAJ	PREVOD NA UCET	73	17151	 	ST	94047659
105053	358	1995-05-10	VYDAJ	PREVOD NA UCET	73	17649	 	ST	94047659
105054	358	1995-06-10	VYDAJ	PREVOD NA UCET	73	14350	 	ST	94047659
105055	358	1995-07-10	VYDAJ	PREVOD NA UCET	73	14839	 	ST	94047659
105056	358	1995-08-10	VYDAJ	PREVOD NA UCET	73	12396	 	ST	94047659
105057	358	1995-09-10	VYDAJ	PREVOD NA UCET	73	10175	 	ST	94047659
105058	358	1995-10-10	VYDAJ	PREVOD NA UCET	73	11849	 	ST	94047659
105059	358	1995-11-10	VYDAJ	PREVOD NA UCET	73	12825	 	ST	94047659
105060	358	1995-12-10	VYDAJ	PREVOD NA UCET	73	10265	 	ST	94047659
105061	358	1996-01-10	VYDAJ	PREVOD NA UCET	73	9234	 	ST	94047659
105062	358	1996-02-10	VYDAJ	PREVOD NA UCET	73	9599	 	ST	94047659
105063	358	1996-03-10	VYDAJ	PREVOD NA UCET	73	10666	 	ST	94047659
105064	358	1996-04-10	VYDAJ	PREVOD NA UCET	73	9695	 	ST	94047659
105065	358	1996-05-10	VYDAJ	PREVOD NA UCET	73	10762	 	ST	94047659
105066	358	1996-06-10	VYDAJ	PREVOD NA UCET	73	11834	 	ST	94047659
105067	358	1996-07-10	VYDAJ	PREVOD NA UCET	73	12340	 	ST	94047659
105068	358	1996-08-10	VYDAJ	PREVOD NA UCET	73	12187	 	ST	94047659
105069	358	1996-09-10	VYDAJ	PREVOD NA UCET	73	13264	 	ST	94047659
105070	358	1996-10-10	VYDAJ	PREVOD NA UCET	73	13686	 	ST	94047659
105071	358	1996-11-10	VYDAJ	PREVOD NA UCET	73	14770	 	ST	94047659
105072	358	1996-12-10	VYDAJ	PREVOD NA UCET	73	15858	 	ST	94047659
105073	358	1997-01-10	VYDAJ	PREVOD NA UCET	73	15930	 	ST	94047659
105074	358	1997-02-10	VYDAJ	PREVOD NA UCET	73	14590	 	ST	94047659
105075	358	1997-03-10	VYDAJ	PREVOD NA UCET	73	15677	 	ST	94047659
105076	358	1997-04-10	VYDAJ	PREVOD NA UCET	73	15657	 	ST	94047659
105077	358	1997-05-10	VYDAJ	PREVOD NA UCET	73	16749	 	ST	94047659
105078	358	1997-06-10	VYDAJ	PREVOD NA UCET	73	15413	 	ST	94047659
105079	358	1997-07-10	VYDAJ	PREVOD NA UCET	73	16506	 	ST	94047659
105080	358	1997-08-10	VYDAJ	PREVOD NA UCET	73	17060	 	ST	94047659
105081	358	1997-09-10	VYDAJ	PREVOD NA UCET	73	18158	 	ST	94047659
105082	358	1997-10-10	VYDAJ	PREVOD NA UCET	73	19259	 	ST	94047659
105083	358	1997-11-10	VYDAJ	PREVOD NA UCET	73	20366	 	ST	94047659
105084	358	1997-12-10	VYDAJ	PREVOD NA UCET	73	20967	 	ST	94047659
105085	358	1998-01-10	VYDAJ	PREVOD NA UCET	73	21118	 	ST	94047659
105086	358	1998-02-10	VYDAJ	PREVOD NA UCET	73	20006	 	ST	94047659
105087	358	1998-03-10	VYDAJ	PREVOD NA UCET	73	20905	 	ST	94047659
105088	358	1998-04-10	VYDAJ	PREVOD NA UCET	73	22017	 	ST	94047659
105089	358	1998-05-10	VYDAJ	PREVOD NA UCET	73	12414	 	ST	94047659
105090	358	1998-06-10	VYDAJ	PREVOD NA UCET	73	13491	 	ST	94047659
105091	358	1998-07-10	VYDAJ	PREVOD NA UCET	73	13403	 	ST	94047659
105092	358	1998-08-10	VYDAJ	PREVOD NA UCET	73	14484	 	ST	94047659
105093	358	1998-09-10	VYDAJ	PREVOD NA UCET	73	15570	 	ST	94047659
105094	358	1998-10-10	VYDAJ	PREVOD NA UCET	73	16661	 	ST	94047659
105095	358	1998-11-10	VYDAJ	PREVOD NA UCET	73	17515	 	ST	94047659
105096	358	1998-12-10	VYDAJ	PREVOD NA UCET	73	18614	 	ST	94047659
105098	358	1994-06-01	VYDAJ	VYBER	4380	25055	\N	\N	\N
105101	358	1997-06-09	VYDAJ	VYBER	1830	15486	\N	\N	\N
105105	358	1995-01-18	VYDAJ	VYBER	1380	18766	\N	\N	\N
105107	358	1997-01-23	VYDAJ	VYBER	2430	16040	\N	\N	\N
105108	358	1998-01-14	VYDAJ	VYBER	2220	21438	\N	\N	\N
105110	358	1994-12-13	VYDAJ	VYBER	600	23469	\N	\N	\N
105112	358	1996-12-24	VYDAJ	VYBER	300	17378	\N	\N	\N
105113	358	1997-12-01	VYDAJ	VYBER	510	22474	\N	\N	\N
105114	358	1998-12-10	VYDAJ	VYBER	690	17924	\N	\N	\N
105120	358	1994-07-23	VYDAJ	VYBER	150	25921	\N	\N	\N
105121	358	1994-12-14	VYDAJ	VYBER	510	22932	\N	\N	\N
105122	358	1994-06-22	VYDAJ	VYBER	150	27538	\N	\N	\N
105123	358	1994-08-12	VYDAJ	VYBER	1290	26774	\N	\N	\N
105124	358	1994-07-23	VYDAJ	VYBER	810	25111	\N	\N	\N
105126	358	1995-11-26	VYDAJ	VYBER	1140	14225	\N	\N	\N
105128	358	1995-02-19	VYDAJ	VYBER	1170	18596	\N	\N	\N
105129	358	1995-07-16	VYDAJ	VYBER	930	16449	\N	\N	\N
105130	358	1996-03-18	VYDAJ	VYBER	540	12666	\N	\N	\N
105131	358	1996-12-24	VYDAJ	VYBER	720	17678	\N	\N	\N
105132	358	1996-09-28	VYDAJ	VYBER	660	15144	\N	\N	\N
105133	358	1996-06-28	VYDAJ	VYBER	570	13804	\N	\N	\N
105135	358	1996-07-26	VYDAJ	VYBER	1230	13650	\N	\N	\N
105136	358	1997-03-19	VYDAJ	VYBER	1110	17107	\N	\N	\N
105137	358	1997-05-14	VYDAJ	VYBER	600	18689	\N	\N	\N
105138	358	1997-12-16	VYDAJ	VYBER	960	22547	\N	\N	\N
105139	358	1997-07-25	VYDAJ	VYBER	540	18506	\N	\N	\N
105140	358	1998-07-01	VYDAJ	VYBER	630	15450	\N	\N	\N
105141	358	1998-07-03	VYDAJ	VYBER	540	14910	\N	\N	\N
105142	358	1998-10-30	VYDAJ	VYBER	240	18961	\N	\N	\N
105144	358	1998-03-01	VYDAJ	VYBER	210	22412	\N	\N	\N
105161	358	1994-04-30	VYDAJ	VYBER	15	29695	SLUZBY	\N	\N
105162	358	1994-05-31	VYDAJ	VYBER	15	29435	SLUZBY	\N	\N
105163	358	1994-06-30	VYDAJ	VYBER	15	27638	SLUZBY	\N	\N
105164	358	1994-07-31	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
105165	358	1994-08-31	VYDAJ	VYBER	15	26843	SLUZBY	\N	\N
105166	358	1994-09-30	VYDAJ	VYBER	15	26169	SLUZBY	\N	\N
105167	358	1994-10-31	VYDAJ	VYBER	15	25192	SLUZBY	\N	\N
105168	358	1994-11-30	VYDAJ	VYBER	15	24009	SLUZBY	\N	\N
105169	358	1994-12-31	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
105170	358	1995-01-31	VYDAJ	VYBER	15	18833	SLUZBY	\N	\N
105171	358	1995-02-28	VYDAJ	VYBER	15	18659	SLUZBY	\N	\N
105172	358	1995-03-31	VYDAJ	VYBER	15	19858	SLUZBY	\N	\N
105173	358	1995-04-30	VYDAJ	VYBER	15	19756	SLUZBY	\N	\N
105174	358	1995-05-31	VYDAJ	VYBER	15	20257	SLUZBY	\N	\N
105175	358	1995-06-30	VYDAJ	VYBER	15	16946	SLUZBY	\N	\N
105176	358	1995-07-31	VYDAJ	VYBER	15	16503	SLUZBY	\N	\N
105177	358	1995-08-31	VYDAJ	VYBER	15	14982	SLUZBY	\N	\N
105178	358	1995-09-30	VYDAJ	VYBER	15	13356	SLUZBY	\N	\N
105179	358	1995-10-31	VYDAJ	VYBER	15	14332	SLUZBY	\N	\N
105180	358	1995-11-30	VYDAJ	VYBER	15	11772	SLUZBY	\N	\N
105181	358	1995-12-31	VYDAJ	VYBER	15	10741	SLUZBY	\N	\N
105182	358	1996-01-31	VYDAJ	VYBER	15	11106	SLUZBY	\N	\N
105183	358	1996-02-29	VYDAJ	VYBER	15	12173	SLUZBY	\N	\N
105184	358	1996-03-31	VYDAJ	VYBER	15	11202	SLUZBY	\N	\N
105185	358	1996-04-30	VYDAJ	VYBER	15	12269	SLUZBY	\N	\N
105186	358	1996-05-31	VYDAJ	VYBER	15	13341	SLUZBY	\N	\N
105187	358	1996-06-30	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
105188	358	1996-07-31	VYDAJ	VYBER	15	13694	SLUZBY	\N	\N
105189	358	1996-08-31	VYDAJ	VYBER	15	14771	SLUZBY	\N	\N
105190	358	1996-09-30	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
105191	358	1996-10-31	VYDAJ	VYBER	15	16277	SLUZBY	\N	\N
105192	358	1996-11-30	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
105193	358	1996-12-31	VYDAJ	VYBER	15	17437	SLUZBY	\N	\N
105194	358	1997-01-31	VYDAJ	VYBER	15	16097	SLUZBY	\N	\N
105195	358	1997-02-28	VYDAJ	VYBER	15	17184	SLUZBY	\N	\N
105196	358	1997-03-31	VYDAJ	VYBER	15	17164	SLUZBY	\N	\N
105197	358	1997-04-30	VYDAJ	VYBER	15	18256	SLUZBY	\N	\N
105198	358	1997-05-31	VYDAJ	VYBER	15	18750	SLUZBY	\N	\N
105199	358	1997-06-30	VYDAJ	VYBER	15	18013	SLUZBY	\N	\N
105200	358	1997-07-31	VYDAJ	VYBER	15	18567	SLUZBY	\N	\N
105201	358	1997-08-31	VYDAJ	VYBER	15	19665	SLUZBY	\N	\N
105202	358	1997-09-30	VYDAJ	VYBER	15	20766	SLUZBY	\N	\N
105203	358	1997-10-31	VYDAJ	VYBER	15	21873	SLUZBY	\N	\N
105204	358	1997-11-30	VYDAJ	VYBER	15	22984	SLUZBY	\N	\N
105205	358	1997-12-31	VYDAJ	VYBER	15	22625	SLUZBY	\N	\N
105206	358	1998-01-31	VYDAJ	VYBER	15	21513	SLUZBY	\N	\N
105207	358	1998-02-28	VYDAJ	VYBER	15	22622	SLUZBY	\N	\N
105208	358	1998-03-31	VYDAJ	VYBER	15	23524	SLUZBY	\N	\N
105209	358	1998-04-30	VYDAJ	VYBER	15	13921	SLUZBY	\N	\N
105210	358	1998-05-31	VYDAJ	VYBER	15	14998	SLUZBY	\N	\N
105211	358	1998-06-30	VYDAJ	VYBER	15	16080	SLUZBY	\N	\N
105212	358	1998-07-31	VYDAJ	VYBER	15	15991	SLUZBY	\N	\N
105213	358	1998-08-31	VYDAJ	VYBER	15	17077	SLUZBY	\N	\N
105214	358	1998-09-30	VYDAJ	VYBER	15	18168	SLUZBY	\N	\N
105215	358	1998-10-31	VYDAJ	VYBER	15	19022	SLUZBY	\N	\N
105216	358	1998-11-30	VYDAJ	VYBER	15	20121	SLUZBY	\N	\N
105217	358	1994-01-08	PRIJEM	VKLAD	9600	13309	\N	\N	\N
105218	358	1994-02-07	PRIJEM	VKLAD	3600	20060	\N	\N	\N
105219	358	1994-03-09	PRIJEM	VKLAD	200	23445	\N	\N	\N
105220	358	1994-04-08	PRIJEM	VKLAD	400	27050	\N	\N	\N
105221	358	1994-05-08	VYDAJ	VYBER	1400	26861	\N	\N	\N
105222	358	1994-06-07	PRIJEM	VKLAD	1600	25221	\N	\N	\N
105223	358	1994-07-07	VYDAJ	VYBER	2600	23604	\N	\N	\N
105224	358	1994-08-06	PRIJEM	VKLAD	1800	27004	\N	\N	\N
105225	358	1994-09-05	VYDAJ	VYBER	1800	25043	\N	\N	\N
105226	358	1994-10-05	VYDAJ	VYBER	2100	24069	\N	\N	\N
105227	358	1994-11-04	VYDAJ	VYBER	2300	22892	\N	\N	\N
105228	358	1994-12-04	VYDAJ	VYBER	1000	23009	\N	\N	\N
105229	358	1995-01-03	VYDAJ	VYBER	3900	19113	\N	\N	\N
105230	358	1995-02-02	VYDAJ	VYBER	100	18733	\N	\N	\N
105231	358	1995-03-04	PRIJEM	VKLAD	100	18759	\N	\N	\N
105232	358	1995-04-03	VYDAJ	VYBER	1200	18658	\N	\N	\N
105233	358	1995-05-03	VYDAJ	VYBER	600	19156	\N	\N	\N
105234	358	1995-06-02	VYDAJ	VYBER	4400	15857	\N	\N	\N
105235	358	1995-07-02	VYDAJ	VYBER	600	16346	\N	\N	\N
105236	358	1995-08-01	VYDAJ	VYBER	2600	13903	\N	\N	\N
105237	358	1995-08-31	VYDAJ	VYBER	3300	11682	\N	\N	\N
105238	358	1995-09-30	PRIJEM	VKLAD	600	13371	\N	\N	\N
105239	358	1995-10-30	VYDAJ	VYBER	100	14289	\N	\N	\N
105240	358	1995-11-29	VYDAJ	VYBER	2500	11725	\N	\N	\N
105241	358	1995-12-29	VYDAJ	VYBER	2100	10705	\N	\N	\N
105242	358	1996-01-28	VYDAJ	VYBER	700	11074	\N	\N	\N
105243	358	1996-03-28	VYDAJ	VYBER	1500	11166	\N	\N	\N
105244	358	1998-04-17	VYDAJ	VYBER	10700	13857	\N	\N	\N
105306	359	1994-12-11	PRIJEM	VKLAD	400	400	\N	\N	\N
105319	359	1995-01-08	PRIJEM	PREVOD Z UCTU	5316	5716	DUCHOD	ST	51441347
105320	359	1995-02-08	PRIJEM	PREVOD Z UCTU	5316	11032	DUCHOD	ST	51441347
105321	359	1995-03-08	PRIJEM	PREVOD Z UCTU	5316	16348	DUCHOD	ST	51441347
105322	359	1995-04-08	PRIJEM	PREVOD Z UCTU	5316	21664	DUCHOD	ST	51441347
105323	359	1995-05-08	PRIJEM	PREVOD Z UCTU	5316	26980	DUCHOD	ST	51441347
105324	359	1995-06-08	PRIJEM	PREVOD Z UCTU	5316	25197	DUCHOD	ST	51441347
105325	359	1995-07-08	PRIJEM	PREVOD Z UCTU	5316	23292	DUCHOD	ST	51441347
105326	359	1995-08-08	PRIJEM	PREVOD Z UCTU	5316	23526	DUCHOD	ST	51441347
105327	359	1995-09-08	PRIJEM	PREVOD Z UCTU	5316	21054	DUCHOD	ST	51441347
105328	359	1995-10-08	PRIJEM	PREVOD Z UCTU	5316	22882	DUCHOD	ST	51441347
105329	359	1995-11-08	PRIJEM	PREVOD Z UCTU	5316	24717	DUCHOD	ST	51441347
105330	359	1995-12-08	PRIJEM	PREVOD Z UCTU	5316	22861	DUCHOD	ST	51441347
105331	359	1996-01-08	PRIJEM	PREVOD Z UCTU	5316	20290	DUCHOD	ST	51441347
105332	359	1996-02-08	PRIJEM	PREVOD Z UCTU	5316	18814	DUCHOD	ST	51441347
105333	359	1996-03-08	PRIJEM	PREVOD Z UCTU	5316	19112	DUCHOD	ST	51441347
105334	359	1996-04-08	PRIJEM	PREVOD Z UCTU	5316	17482	DUCHOD	ST	51441347
105335	359	1996-05-08	PRIJEM	PREVOD Z UCTU	5316	19295	DUCHOD	ST	51441347
105336	359	1996-06-08	PRIJEM	PREVOD Z UCTU	5316	21115	DUCHOD	ST	51441347
105337	359	1996-07-08	PRIJEM	PREVOD Z UCTU	5316	19091	DUCHOD	ST	51441347
105338	359	1996-08-08	PRIJEM	PREVOD Z UCTU	5316	20910	DUCHOD	ST	51441347
105339	359	1996-09-08	PRIJEM	PREVOD Z UCTU	5316	21698	DUCHOD	ST	51441347
105340	359	1996-10-08	PRIJEM	PREVOD Z UCTU	5316	23528	DUCHOD	ST	51441347
105341	359	1996-11-08	PRIJEM	PREVOD Z UCTU	5316	25366	DUCHOD	ST	51441347
105342	359	1996-12-08	PRIJEM	PREVOD Z UCTU	5316	27212	DUCHOD	ST	51441347
105343	359	1997-01-08	PRIJEM	PREVOD Z UCTU	5316	28564	DUCHOD	ST	51441347
105344	359	1997-02-08	PRIJEM	PREVOD Z UCTU	5316	26538	DUCHOD	ST	51441347
105345	359	1997-03-08	PRIJEM	PREVOD Z UCTU	5316	17387	DUCHOD	ST	51441347
105346	359	1997-04-08	PRIJEM	PREVOD Z UCTU	5316	19199	DUCHOD	ST	51441347
105347	359	1997-05-08	PRIJEM	PREVOD Z UCTU	5316	21019	DUCHOD	ST	51441347
105348	359	1997-06-08	PRIJEM	PREVOD Z UCTU	5316	22847	DUCHOD	ST	51441347
105349	359	1997-07-08	PRIJEM	PREVOD Z UCTU	5316	16759	DUCHOD	ST	51441347
105350	359	1997-08-08	PRIJEM	PREVOD Z UCTU	5316	18568	DUCHOD	ST	51441347
105351	359	1997-09-08	PRIJEM	PREVOD Z UCTU	5316	20386	DUCHOD	ST	51441347
105352	359	1997-10-08	PRIJEM	PREVOD Z UCTU	5316	22210	DUCHOD	ST	51441347
105353	359	1997-11-08	PRIJEM	PREVOD Z UCTU	5316	24043	DUCHOD	ST	51441347
105354	359	1997-12-08	PRIJEM	PREVOD Z UCTU	5316	22202	DUCHOD	ST	51441347
105355	359	1998-01-08	PRIJEM	PREVOD Z UCTU	5316	23238	DUCHOD	ST	51441347
105356	359	1998-02-08	PRIJEM	PREVOD Z UCTU	5316	22372	DUCHOD	ST	51441347
105357	359	1998-03-08	PRIJEM	PREVOD Z UCTU	5316	20757	DUCHOD	ST	51441347
105358	359	1998-04-08	PRIJEM	PREVOD Z UCTU	5316	22583	DUCHOD	ST	51441347
105359	359	1998-05-08	PRIJEM	PREVOD Z UCTU	5316	24417	DUCHOD	ST	51441347
105360	359	1998-06-08	PRIJEM	PREVOD Z UCTU	5316	21276	DUCHOD	ST	51441347
105361	359	1998-07-08	PRIJEM	PREVOD Z UCTU	5316	19177	DUCHOD	ST	51441347
105362	359	1998-08-08	PRIJEM	PREVOD Z UCTU	5316	20996	DUCHOD	ST	51441347
105363	359	1998-09-08	PRIJEM	PREVOD Z UCTU	5316	22823	DUCHOD	ST	51441347
105364	359	1998-10-08	PRIJEM	PREVOD Z UCTU	5316	24658	DUCHOD	ST	51441347
105365	359	1998-11-08	PRIJEM	PREVOD Z UCTU	5316	26500	DUCHOD	ST	51441347
105366	359	1998-12-08	PRIJEM	PREVOD Z UCTU	5316	28349	DUCHOD	ST	51441347
105383	359	1995-05-11	VYDAJ	PREVOD NA UCET	3544	19836	SIPO	UV	86209541
105384	359	1995-06-11	VYDAJ	PREVOD NA UCET	3544	17913	SIPO	UV	86209541
105385	359	1995-07-11	VYDAJ	PREVOD NA UCET	3544	19748	SIPO	UV	86209541
105386	359	1995-08-11	VYDAJ	PREVOD NA UCET	3544	15682	SIPO	UV	86209541
105387	359	1995-09-11	VYDAJ	PREVOD NA UCET	3544	17510	SIPO	UV	86209541
105388	359	1995-10-11	VYDAJ	PREVOD NA UCET	3544	19338	SIPO	UV	86209541
105389	359	1995-11-11	VYDAJ	PREVOD NA UCET	3544	21173	SIPO	UV	86209541
105390	359	1995-12-11	VYDAJ	PREVOD NA UCET	3544	19317	SIPO	UV	86209541
105391	359	1996-01-11	VYDAJ	PREVOD NA UCET	3544	16746	SIPO	UV	86209541
105392	359	1996-02-11	VYDAJ	PREVOD NA UCET	3544	15270	SIPO	UV	86209541
105393	359	1996-03-11	VYDAJ	PREVOD NA UCET	3544	15568	SIPO	UV	86209541
105394	359	1996-04-11	VYDAJ	PREVOD NA UCET	3544	13938	SIPO	UV	86209541
105395	359	1996-05-11	VYDAJ	PREVOD NA UCET	3544	15751	SIPO	UV	86209541
105396	359	1996-06-11	VYDAJ	PREVOD NA UCET	3544	17571	SIPO	UV	86209541
105397	359	1996-07-11	VYDAJ	PREVOD NA UCET	3544	15547	SIPO	UV	86209541
105398	359	1996-08-11	VYDAJ	PREVOD NA UCET	3544	17366	SIPO	UV	86209541
105399	359	1996-09-11	VYDAJ	PREVOD NA UCET	3544	18154	SIPO	UV	86209541
105400	359	1996-10-11	VYDAJ	PREVOD NA UCET	3544	19984	SIPO	UV	86209541
105401	359	1996-11-11	VYDAJ	PREVOD NA UCET	3544	21822	SIPO	UV	86209541
105402	359	1996-12-11	VYDAJ	PREVOD NA UCET	3544	23668	SIPO	UV	86209541
105403	359	1997-01-11	VYDAJ	PREVOD NA UCET	3544	25020	SIPO	UV	86209541
105404	359	1997-02-11	VYDAJ	PREVOD NA UCET	3544	22994	SIPO	UV	86209541
105405	359	1997-03-11	VYDAJ	PREVOD NA UCET	3544	13843	SIPO	UV	86209541
105406	359	1997-04-11	VYDAJ	PREVOD NA UCET	3544	15655	SIPO	UV	86209541
105407	359	1997-05-11	VYDAJ	PREVOD NA UCET	3544	17475	SIPO	UV	86209541
105408	359	1997-06-11	VYDAJ	PREVOD NA UCET	3544	11403	SIPO	UV	86209541
105409	359	1997-07-11	VYDAJ	PREVOD NA UCET	3544	13215	SIPO	UV	86209541
105410	359	1997-08-11	VYDAJ	PREVOD NA UCET	3544	15024	SIPO	UV	86209541
105411	359	1997-09-11	VYDAJ	PREVOD NA UCET	3544	16842	SIPO	UV	86209541
105412	359	1997-10-11	VYDAJ	PREVOD NA UCET	3544	18666	SIPO	UV	86209541
105413	359	1997-11-11	VYDAJ	PREVOD NA UCET	3544	20499	SIPO	UV	86209541
105414	359	1997-12-11	VYDAJ	PREVOD NA UCET	3544	18658	SIPO	UV	86209541
105415	359	1998-01-11	VYDAJ	PREVOD NA UCET	3544	19694	SIPO	UV	86209541
105416	359	1998-02-11	VYDAJ	PREVOD NA UCET	3544	18828	SIPO	UV	86209541
105417	359	1998-03-11	VYDAJ	PREVOD NA UCET	3544	17213	SIPO	UV	86209541
105418	359	1998-04-11	VYDAJ	PREVOD NA UCET	3544	19039	SIPO	UV	86209541
105419	359	1998-05-11	VYDAJ	PREVOD NA UCET	3544	19193	SIPO	UV	86209541
105420	359	1998-06-11	VYDAJ	PREVOD NA UCET	3544	13812	SIPO	UV	86209541
105421	359	1998-07-11	VYDAJ	PREVOD NA UCET	3544	15633	SIPO	UV	86209541
105422	359	1998-08-11	VYDAJ	PREVOD NA UCET	3544	17452	SIPO	UV	86209541
105423	359	1998-09-11	VYDAJ	PREVOD NA UCET	3544	19279	SIPO	UV	86209541
105424	359	1998-10-11	VYDAJ	PREVOD NA UCET	3544	21114	SIPO	UV	86209541
105425	359	1998-11-11	VYDAJ	PREVOD NA UCET	3544	22956	SIPO	UV	86209541
105426	359	1998-12-11	VYDAJ	PREVOD NA UCET	3544	24805	SIPO	UV	86209541
105429	359	1996-06-26	VYDAJ	VYBER	3850	13721	\N	\N	\N
105430	359	1997-06-08	VYDAJ	VYBER	7900	14947	\N	\N	\N
105431	359	1998-06-01	VYDAJ	VYBER	3300	15960	\N	\N	\N
105434	359	1996-01-20	VYDAJ	VYBER	3200	13546	\N	\N	\N
105435	359	1997-01-17	VYDAJ	VYBER	600	24420	\N	\N	\N
105436	359	1998-01-26	VYDAJ	VYBER	2700	16994	\N	\N	\N
105438	359	1995-12-26	VYDAJ	VYBER	750	17607	\N	\N	\N
105439	359	1996-12-14	VYDAJ	VYBER	500	23168	\N	\N	\N
105440	359	1997-12-12	VYDAJ	VYBER	800	17858	\N	\N	\N
105441	359	1998-12-16	VYDAJ	VYBER	400	24405	\N	\N	\N
105444	359	1995-06-08	VYDAJ	VYBER	2240	22957	\N	\N	\N
105445	359	1995-12-24	VYDAJ	VYBER	960	18357	\N	\N	\N
105446	359	1995-07-14	VYDAJ	VYBER	1600	18148	\N	\N	\N
105448	359	1996-03-11	VYDAJ	VYBER	3440	12128	\N	\N	\N
105449	359	1996-02-15	VYDAJ	VYBER	1520	13750	\N	\N	\N
105451	359	1996-08-31	VYDAJ	VYBER	1040	16396	\N	\N	\N
105454	359	1997-01-24	VYDAJ	VYBER	3280	21140	\N	\N	\N
105456	359	1997-12-01	VYDAJ	VYBER	3680	16886	\N	\N	\N
105458	359	1998-05-08	VYDAJ	VYBER	1680	22737	\N	\N	\N
105459	359	1998-02-14	VYDAJ	VYBER	3440	15388	\N	\N	\N
105460	359	1998-06-09	VYDAJ	VYBER	3920	17356	\N	\N	\N
105479	359	1995-05-31	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
105480	359	1995-06-30	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
105481	359	1995-07-31	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
105482	359	1995-08-31	VYDAJ	VYBER	15	15738	SLUZBY	\N	\N
105483	359	1995-09-30	VYDAJ	VYBER	15	17566	SLUZBY	\N	\N
105484	359	1995-10-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
105485	359	1995-11-30	VYDAJ	VYBER	15	21245	SLUZBY	\N	\N
105486	359	1995-12-31	VYDAJ	VYBER	15	17674	SLUZBY	\N	\N
105487	359	1996-01-31	VYDAJ	VYBER	15	13598	SLUZBY	\N	\N
105488	359	1996-02-29	VYDAJ	VYBER	15	13796	SLUZBY	\N	\N
105489	359	1996-03-31	VYDAJ	VYBER	15	12166	SLUZBY	\N	\N
105490	359	1996-04-30	VYDAJ	VYBER	15	13979	SLUZBY	\N	\N
105491	359	1996-05-31	VYDAJ	VYBER	15	15799	SLUZBY	\N	\N
105492	359	1996-06-30	VYDAJ	VYBER	15	13775	SLUZBY	\N	\N
105493	359	1996-07-31	VYDAJ	VYBER	15	15594	SLUZBY	\N	\N
105494	359	1996-08-31	VYDAJ	VYBER	15	16382	SLUZBY	\N	\N
105495	359	1996-09-30	VYDAJ	VYBER	15	18212	SLUZBY	\N	\N
105496	359	1996-10-31	VYDAJ	VYBER	15	20050	SLUZBY	\N	\N
105497	359	1996-11-30	VYDAJ	VYBER	15	21896	SLUZBY	\N	\N
105498	359	1996-12-31	VYDAJ	VYBER	15	23248	SLUZBY	\N	\N
105499	359	1997-01-31	VYDAJ	VYBER	15	21222	SLUZBY	\N	\N
105500	359	1997-02-28	VYDAJ	VYBER	15	12071	SLUZBY	\N	\N
105501	359	1997-03-31	VYDAJ	VYBER	15	13883	SLUZBY	\N	\N
105502	359	1997-04-30	VYDAJ	VYBER	15	15703	SLUZBY	\N	\N
105503	359	1997-05-31	VYDAJ	VYBER	15	17531	SLUZBY	\N	\N
105504	359	1997-06-30	VYDAJ	VYBER	15	11443	SLUZBY	\N	\N
105505	359	1997-07-31	VYDAJ	VYBER	15	13252	SLUZBY	\N	\N
105506	359	1997-08-31	VYDAJ	VYBER	15	15070	SLUZBY	\N	\N
105507	359	1997-09-30	VYDAJ	VYBER	15	16894	SLUZBY	\N	\N
105508	359	1997-10-31	VYDAJ	VYBER	15	18727	SLUZBY	\N	\N
105509	359	1997-11-30	VYDAJ	VYBER	15	20566	SLUZBY	\N	\N
105510	359	1997-12-31	VYDAJ	VYBER	15	17922	SLUZBY	\N	\N
105511	359	1998-01-31	VYDAJ	VYBER	15	17056	SLUZBY	\N	\N
105512	359	1998-02-28	VYDAJ	VYBER	15	15441	SLUZBY	\N	\N
105513	359	1998-03-31	VYDAJ	VYBER	15	17267	SLUZBY	\N	\N
105514	359	1998-04-30	VYDAJ	VYBER	15	19101	SLUZBY	\N	\N
105515	359	1998-05-31	VYDAJ	VYBER	15	19260	SLUZBY	\N	\N
105516	359	1998-06-30	VYDAJ	VYBER	15	13861	SLUZBY	\N	\N
105517	359	1998-07-31	VYDAJ	VYBER	15	15680	SLUZBY	\N	\N
105518	359	1998-08-31	VYDAJ	VYBER	15	17507	SLUZBY	\N	\N
105519	359	1998-09-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
105520	359	1998-10-31	VYDAJ	VYBER	15	21184	SLUZBY	\N	\N
105521	359	1998-11-30	VYDAJ	VYBER	15	23033	SLUZBY	\N	\N
105522	359	1995-05-10	VYDAJ	VYBER	3600	23380	\N	\N	\N
105523	359	1995-06-09	VYDAJ	VYBER	1500	21457	\N	\N	\N
105524	359	1995-08-08	VYDAJ	VYBER	4300	19226	\N	\N	\N
105525	359	1995-12-06	VYDAJ	VYBER	3700	17545	\N	\N	\N
105526	359	1996-01-05	VYDAJ	VYBER	2700	14974	\N	\N	\N
105527	359	1996-02-04	VYDAJ	VYBER	100	13498	\N	\N	\N
105528	359	1997-02-28	VYDAJ	VYBER	11000	12086	\N	\N	\N
105573	360	1996-05-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
105579	360	1996-06-10	PRIJEM	VKLAD	36306	37406	\N	\N	\N
105580	360	1996-07-10	PRIJEM	VKLAD	24204	55689	\N	\N	\N
105581	360	1996-08-10	PRIJEM	VKLAD	24204	62541	\N	\N	\N
105582	360	1996-09-10	PRIJEM	VKLAD	24204	71327	\N	\N	\N
105583	360	1996-10-10	PRIJEM	VKLAD	24204	74736	\N	\N	\N
105584	360	1996-11-10	PRIJEM	VKLAD	24204	78245	\N	\N	\N
105585	360	1996-12-10	PRIJEM	VKLAD	36306	81926	\N	\N	\N
105586	360	1997-01-10	PRIJEM	VKLAD	24204	65009	\N	\N	\N
105587	360	1997-02-10	PRIJEM	VKLAD	24204	62342	\N	\N	\N
105588	360	1997-03-10	PRIJEM	VKLAD	24204	82923	\N	\N	\N
105589	360	1997-04-10	PRIJEM	VKLAD	24204	63224	\N	\N	\N
105590	360	1997-05-10	PRIJEM	VKLAD	24204	68364	\N	\N	\N
105591	360	1997-06-10	PRIJEM	VKLAD	36306	79534	\N	\N	\N
105592	360	1997-07-10	PRIJEM	VKLAD	24204	59073	\N	\N	\N
105593	360	1997-08-10	PRIJEM	VKLAD	24204	59499	\N	\N	\N
105594	360	1997-09-10	PRIJEM	VKLAD	24204	60433	\N	\N	\N
105595	360	1997-10-10	PRIJEM	VKLAD	24204	59448	\N	\N	\N
105596	360	1997-11-10	PRIJEM	VKLAD	24204	59080	\N	\N	\N
105597	360	1997-12-10	PRIJEM	VKLAD	36306	69417	\N	\N	\N
105598	360	1998-01-10	PRIJEM	VKLAD	24204	61765	\N	\N	\N
105599	360	1998-02-10	PRIJEM	VKLAD	24204	55173	\N	\N	\N
105600	360	1998-03-10	PRIJEM	VKLAD	24204	55602	\N	\N	\N
105601	360	1998-04-10	PRIJEM	VKLAD	24204	54637	\N	\N	\N
105602	360	1998-05-10	PRIJEM	VKLAD	24204	56140	\N	\N	\N
105603	360	1998-06-10	PRIJEM	VKLAD	36306	67560	\N	\N	\N
105604	360	1998-07-10	PRIJEM	VKLAD	24204	42267	\N	\N	\N
105605	360	1998-08-10	PRIJEM	VKLAD	24204	47922	\N	\N	\N
105606	360	1998-09-10	PRIJEM	VKLAD	24204	43958	\N	\N	\N
105607	360	1998-10-10	PRIJEM	VKLAD	24204	48329	\N	\N	\N
105608	360	1998-11-10	PRIJEM	VKLAD	24204	50109	\N	\N	\N
105609	360	1998-12-10	PRIJEM	VKLAD	36306	59806	\N	\N	\N
105611	360	1997-06-18	VYDAJ	VYBER	25120	54414	\N	\N	\N
105612	360	1998-06-25	VYDAJ	VYBER	33120	34440	\N	\N	\N
105614	360	1997-01-25	VYDAJ	VYBER	10720	54289	\N	\N	\N
105615	360	1998-01-28	VYDAJ	VYBER	11840	49925	\N	\N	\N
105616	360	1996-12-10	VYDAJ	VYBER	2400	79526	\N	\N	\N
105617	360	1997-12-03	VYDAJ	VYBER KARTOU	1000	58311	\N	\N	0
105618	360	1998-12-13	VYDAJ	VYBER	4640	55166	\N	\N	\N
105619	360	1996-11-18	VYDAJ	VYBER	3840	45425	\N	\N	\N
105622	360	1996-11-16	VYDAJ	VYBER	5880	49265	\N	\N	\N
105624	360	1997-01-26	VYDAJ	VYBER	5280	49009	\N	\N	\N
105625	360	1997-08-12	VYDAJ	VYBER KARTOU	800	58699	\N	\N	0
105626	360	1997-03-10	VYDAJ	VYBER	600	82323	\N	\N	\N
105627	360	1997-06-27	VYDAJ	VYBER KARTOU	3000	51414	\N	\N	0
105628	360	1997-09-26	VYDAJ	VYBER	4320	56113	\N	\N	\N
105629	360	1997-02-11	VYDAJ	VYBER	3840	58502	\N	\N	\N
105630	360	1998-03-10	VYDAJ	VYBER	5760	49842	\N	\N	\N
105631	360	1998-03-25	VYDAJ	VYBER KARTOU	1800	48042	\N	\N	0
105632	360	1998-04-14	VYDAJ	VYBER KARTOU	1900	52737	\N	\N	0
105633	360	1998-02-25	VYDAJ	VYBER	4680	50493	\N	\N	\N
105634	360	1998-08-25	VYDAJ	VYBER	4440	43482	\N	\N	\N
105645	360	1996-10-31	VYDAJ	VYBER	15	54041	SLUZBY	\N	\N
105646	360	1996-11-30	VYDAJ	VYBER	15	45620	SLUZBY	\N	\N
105647	360	1996-12-31	VYDAJ	VYBER	15	54505	SLUZBY	\N	\N
105648	360	1997-01-31	VYDAJ	VYBER	15	49238	SLUZBY	\N	\N
105649	360	1997-02-28	VYDAJ	VYBER	15	58719	SLUZBY	\N	\N
105650	360	1997-03-31	VYDAJ	VYBER	15	53720	SLUZBY	\N	\N
105651	360	1997-04-30	VYDAJ	VYBER	15	63460	SLUZBY	\N	\N
105652	360	1997-05-31	VYDAJ	VYBER	15	68628	SLUZBY	\N	\N
105653	360	1997-06-30	VYDAJ	VYBER	15	51669	SLUZBY	\N	\N
105654	360	1997-07-31	VYDAJ	VYBER	15	59295	SLUZBY	\N	\N
105655	360	1997-08-31	VYDAJ	VYBER	15	58929	SLUZBY	\N	\N
105656	360	1997-09-30	VYDAJ	VYBER	15	56344	SLUZBY	\N	\N
105657	360	1997-10-31	VYDAJ	VYBER	15	59676	SLUZBY	\N	\N
105658	360	1997-11-30	VYDAJ	VYBER	15	59311	SLUZBY	\N	\N
105659	360	1997-12-31	VYDAJ	VYBER	15	69661	SLUZBY	\N	\N
105660	360	1998-01-31	VYDAJ	VYBER	15	50169	SLUZBY	\N	\N
105661	360	1998-02-28	VYDAJ	VYBER	15	50698	SLUZBY	\N	\N
105662	360	1998-03-31	VYDAJ	VYBER	15	48233	SLUZBY	\N	\N
105663	360	1998-04-30	VYDAJ	VYBER	15	52936	SLUZBY	\N	\N
105664	360	1998-05-31	VYDAJ	VYBER	15	56354	SLUZBY	\N	\N
105665	360	1998-06-30	VYDAJ	VYBER	15	34663	SLUZBY	\N	\N
105666	360	1998-07-31	VYDAJ	VYBER	15	42418	SLUZBY	\N	\N
105667	360	1998-08-31	VYDAJ	VYBER	15	43654	SLUZBY	\N	\N
105668	360	1998-09-30	VYDAJ	VYBER	15	44125	SLUZBY	\N	\N
105669	360	1998-10-31	VYDAJ	VYBER	15	25905	SLUZBY	\N	\N
105670	360	1998-11-30	VYDAJ	VYBER	15	23500	SLUZBY	\N	\N
105671	360	1996-06-13	VYDAJ	VYBER	6000	31406	\N	\N	\N
105672	360	1996-07-13	VYDAJ	VYBER	17500	38189	\N	\N	\N
105673	360	1996-08-12	VYDAJ	VYBER	15600	46941	\N	\N	\N
105674	360	1996-09-11	VYDAJ	VYBER	21000	50327	\N	\N	\N
105675	360	1996-10-11	VYDAJ	VYBER	20900	53836	\N	\N	\N
105676	360	1996-11-10	VYDAJ	VYBER	23100	55145	\N	\N	\N
105677	360	1996-12-10	VYDAJ	VYBER	25300	54226	\N	\N	\N
105678	360	1997-01-09	VYDAJ	VYBER	13700	40805	\N	\N	\N
105679	360	1997-02-08	VYDAJ	VYBER	11100	38138	\N	\N	\N
105680	360	1997-03-10	VYDAJ	VYBER	28900	53423	\N	\N	\N
105681	360	1997-04-09	VYDAJ	VYBER	14700	39020	\N	\N	\N
105682	360	1997-05-09	VYDAJ	VYBER	19300	44160	\N	\N	\N
105683	360	1997-06-08	VYDAJ	VYBER	25400	43228	\N	\N	\N
105684	360	1997-07-08	VYDAJ	VYBER	16800	34869	\N	\N	\N
105685	360	1997-08-07	VYDAJ	VYBER	24000	35295	\N	\N	\N
105686	360	1997-09-06	VYDAJ	VYBER	22700	36229	\N	\N	\N
105687	360	1997-10-06	VYDAJ	VYBER	21100	35244	\N	\N	\N
105688	360	1997-11-05	VYDAJ	VYBER	24800	34876	\N	\N	\N
105689	360	1997-12-05	VYDAJ	VYBER	25200	33111	\N	\N	\N
105690	360	1998-01-04	VYDAJ	VYBER	32100	37561	\N	\N	\N
105691	360	1998-02-03	VYDAJ	VYBER	19200	30969	\N	\N	\N
105692	360	1998-03-05	VYDAJ	VYBER	19300	31398	\N	\N	\N
105693	360	1998-04-04	VYDAJ	VYBER	17800	30433	\N	\N	\N
105694	360	1998-05-04	VYDAJ	VYBER	21000	31936	\N	\N	\N
105695	360	1998-06-03	VYDAJ	VYBER	25100	31254	\N	\N	\N
105696	360	1998-07-03	VYDAJ	VYBER	16600	18063	\N	\N	\N
105697	360	1998-08-02	VYDAJ	VYBER	18700	23718	\N	\N	\N
105698	360	1998-09-01	VYDAJ	VYBER	23900	19754	\N	\N	\N
105699	360	1998-10-01	VYDAJ	VYBER	20000	24125	\N	\N	\N
105700	360	1998-10-31	VYDAJ	VYBER	22600	25920	\N	\N	\N
105701	360	1998-11-30	VYDAJ	VYBER	26700	23515	\N	\N	\N
105733	361	1993-02-27	PRIJEM	VKLAD	600	600	\N	\N	\N
105736	361	1993-03-06	PRIJEM	VKLAD	23638	24238	\N	\N	\N
105737	361	1993-04-06	PRIJEM	VKLAD	23638	49486	\N	\N	\N
105738	361	1993-05-06	PRIJEM	VKLAD	23638	59336	\N	\N	\N
105739	361	1993-06-06	PRIJEM	VKLAD	35457	78846	\N	\N	\N
105740	361	1993-07-06	PRIJEM	VKLAD	23638	76869	\N	\N	\N
105741	361	1993-08-06	PRIJEM	VKLAD	23638	71237	\N	\N	\N
105742	361	1993-09-06	PRIJEM	VKLAD	23638	72083	\N	\N	\N
105743	361	1993-10-06	PRIJEM	VKLAD	23638	71730	\N	\N	\N
105744	361	1993-11-06	PRIJEM	VKLAD	23638	68272	\N	\N	\N
105745	361	1993-12-06	PRIJEM	VKLAD	35457	80116	\N	\N	\N
105746	361	1994-01-06	PRIJEM	VKLAD	23638	73475	\N	\N	\N
105747	361	1994-02-06	PRIJEM	VKLAD	23638	67915	\N	\N	\N
105748	361	1994-03-06	PRIJEM	VKLAD	23638	69741	\N	\N	\N
105749	361	1994-04-06	PRIJEM	VKLAD	23638	67772	\N	\N	\N
105750	361	1994-05-06	PRIJEM	VKLAD	23638	71300	\N	\N	\N
105751	361	1994-06-06	PRIJEM	VKLAD	35457	82955	\N	\N	\N
105752	361	1994-07-06	PRIJEM	VKLAD	23638	75110	\N	\N	\N
105753	361	1994-08-06	PRIJEM	VKLAD	23638	74559	\N	\N	\N
105754	361	1994-09-06	PRIJEM	VKLAD	23638	71499	\N	\N	\N
105755	361	1994-10-06	PRIJEM	VKLAD	23638	67527	\N	\N	\N
105756	361	1994-11-06	PRIJEM	VKLAD	23638	68440	\N	\N	\N
105757	361	1994-12-06	PRIJEM	VKLAD	35457	83080	\N	\N	\N
105758	361	1995-01-06	PRIJEM	VKLAD	23638	73339	\N	\N	\N
105759	361	1995-02-06	PRIJEM	VKLAD	23638	67870	\N	\N	\N
105760	361	1995-03-06	PRIJEM	VKLAD	23638	68980	\N	\N	\N
105761	361	1995-04-06	PRIJEM	VKLAD	23638	70398	\N	\N	\N
105762	361	1995-05-06	PRIJEM	VKLAD	23638	72221	\N	\N	\N
105763	361	1995-06-06	PRIJEM	VKLAD	35457	84469	\N	\N	\N
105764	361	1995-07-06	PRIJEM	VKLAD	23638	71014	\N	\N	\N
105765	361	1995-08-06	PRIJEM	VKLAD	23638	71833	\N	\N	\N
105766	361	1995-09-06	PRIJEM	VKLAD	23638	72253	\N	\N	\N
105767	361	1995-10-06	PRIJEM	VKLAD	23638	73574	\N	\N	\N
105768	361	1995-11-06	PRIJEM	VKLAD	23638	75501	\N	\N	\N
105769	361	1995-12-06	PRIJEM	VKLAD	35457	81037	\N	\N	\N
105770	361	1996-01-06	PRIJEM	VKLAD	23638	72561	\N	\N	\N
105771	361	1996-02-06	PRIJEM	VKLAD	23638	68369	\N	\N	\N
105772	361	1996-03-06	PRIJEM	VKLAD	23638	72874	\N	\N	\N
105773	361	1996-04-06	PRIJEM	VKLAD	23638	74391	\N	\N	\N
105774	361	1996-05-06	PRIJEM	VKLAD	23638	69909	\N	\N	\N
105775	361	1996-06-06	PRIJEM	VKLAD	35457	76530	\N	\N	\N
105776	361	1996-07-06	PRIJEM	VKLAD	23638	68365	\N	\N	\N
105777	361	1996-08-06	PRIJEM	VKLAD	23638	72967	\N	\N	\N
105778	361	1996-09-06	PRIJEM	VKLAD	23638	75379	\N	\N	\N
105779	361	1996-10-06	PRIJEM	VKLAD	23638	72482	\N	\N	\N
105780	361	1996-11-06	PRIJEM	VKLAD	23638	73285	\N	\N	\N
105781	361	1996-12-06	PRIJEM	VKLAD	35457	77300	\N	\N	\N
105782	361	1997-01-06	PRIJEM	VKLAD	23638	64598	\N	\N	\N
105783	361	1997-02-06	PRIJEM	VKLAD	23638	61269	\N	\N	\N
105784	361	1997-03-06	PRIJEM	VKLAD	23638	59912	\N	\N	\N
105785	361	1997-04-06	PRIJEM	VKLAD	23638	55344	\N	\N	\N
105786	361	1997-05-06	PRIJEM	VKLAD	23638	56973	\N	\N	\N
105787	361	1997-06-06	PRIJEM	VKLAD	35457	69925	\N	\N	\N
105788	361	1997-07-06	PRIJEM	VKLAD	23638	48755	\N	\N	\N
105789	361	1997-08-06	PRIJEM	VKLAD	23638	46645	\N	\N	\N
105790	361	1997-09-06	PRIJEM	VKLAD	23638	44899	\N	\N	\N
105791	361	1997-10-06	PRIJEM	VKLAD	23638	44464	\N	\N	\N
105792	361	1997-11-06	PRIJEM	VKLAD	23638	44522	\N	\N	\N
105793	361	1997-12-06	PRIJEM	VKLAD	35457	72598	\N	\N	\N
105794	361	1998-01-06	PRIJEM	VKLAD	23638	48947	\N	\N	\N
105795	361	1998-02-06	PRIJEM	VKLAD	23638	54991	\N	\N	\N
105796	361	1998-03-06	PRIJEM	VKLAD	23638	48977	\N	\N	\N
105797	361	1998-04-06	PRIJEM	VKLAD	23638	69461	\N	\N	\N
105798	361	1998-05-06	PRIJEM	VKLAD	23638	50700	\N	\N	\N
105799	361	1998-06-06	PRIJEM	VKLAD	35457	58016	\N	\N	\N
105800	361	1998-07-06	PRIJEM	VKLAD	23638	49331	\N	\N	\N
105801	361	1998-08-06	PRIJEM	VKLAD	23638	46691	\N	\N	\N
105802	361	1998-09-06	PRIJEM	VKLAD	23638	47137	\N	\N	\N
105803	361	1998-10-06	PRIJEM	VKLAD	23638	62686	\N	\N	\N
105804	361	1998-11-06	PRIJEM	VKLAD	23638	48381	\N	\N	\N
105805	361	1998-12-06	PRIJEM	VKLAD	35457	76848	\N	\N	\N
105812	361	1993-07-07	VYDAJ	PREVOD NA UCET	1941	74928	SIPO	YZ	95369791
105813	361	1993-08-07	VYDAJ	PREVOD NA UCET	1941	69296	SIPO	YZ	95369791
105814	361	1993-09-07	VYDAJ	PREVOD NA UCET	1941	70142	SIPO	YZ	95369791
105815	361	1993-10-07	VYDAJ	PREVOD NA UCET	1941	69789	SIPO	YZ	95369791
105816	361	1993-11-07	VYDAJ	PREVOD NA UCET	1941	66331	SIPO	YZ	95369791
105817	361	1993-12-07	VYDAJ	PREVOD NA UCET	1941	78175	SIPO	YZ	95369791
105818	361	1994-01-07	VYDAJ	PREVOD NA UCET	1941	71534	SIPO	YZ	95369791
105819	361	1994-02-07	VYDAJ	PREVOD NA UCET	1941	65974	SIPO	YZ	95369791
105820	361	1994-03-07	VYDAJ	PREVOD NA UCET	1941	67800	SIPO	YZ	95369791
105821	361	1994-04-07	VYDAJ	PREVOD NA UCET	1941	65831	SIPO	YZ	95369791
105822	361	1994-05-07	VYDAJ	PREVOD NA UCET	1941	69359	SIPO	YZ	95369791
105823	361	1994-06-07	VYDAJ	PREVOD NA UCET	1941	81014	SIPO	YZ	95369791
105824	361	1994-07-07	VYDAJ	PREVOD NA UCET	1941	73169	SIPO	YZ	95369791
105825	361	1994-08-07	VYDAJ	PREVOD NA UCET	1941	72618	SIPO	YZ	95369791
105826	361	1994-09-07	VYDAJ	PREVOD NA UCET	1941	69558	SIPO	YZ	95369791
105827	361	1994-10-07	VYDAJ	PREVOD NA UCET	1941	65586	SIPO	YZ	95369791
105828	361	1994-11-07	VYDAJ	PREVOD NA UCET	1941	66499	SIPO	YZ	95369791
105829	361	1994-12-07	VYDAJ	PREVOD NA UCET	1941	81139	SIPO	YZ	95369791
105830	361	1995-01-07	VYDAJ	PREVOD NA UCET	1941	71398	SIPO	YZ	95369791
105831	361	1995-02-07	VYDAJ	PREVOD NA UCET	1941	65929	SIPO	YZ	95369791
105832	361	1995-03-07	VYDAJ	PREVOD NA UCET	1941	67039	SIPO	YZ	95369791
105833	361	1995-04-07	VYDAJ	PREVOD NA UCET	1941	68457	SIPO	YZ	95369791
105834	361	1995-05-07	VYDAJ	PREVOD NA UCET	1941	70280	SIPO	YZ	95369791
105835	361	1995-06-07	VYDAJ	PREVOD NA UCET	1941	82528	SIPO	YZ	95369791
105836	361	1995-07-07	VYDAJ	PREVOD NA UCET	1941	69073	SIPO	YZ	95369791
105837	361	1995-08-07	VYDAJ	PREVOD NA UCET	1941	69892	SIPO	YZ	95369791
105838	361	1995-09-07	VYDAJ	PREVOD NA UCET	1941	70312	SIPO	YZ	95369791
105839	361	1995-10-07	VYDAJ	PREVOD NA UCET	1941	71633	SIPO	YZ	95369791
105840	361	1995-11-07	VYDAJ	PREVOD NA UCET	1941	73560	SIPO	YZ	95369791
105841	361	1995-12-07	VYDAJ	PREVOD NA UCET	1941	79096	SIPO	YZ	95369791
105842	361	1996-01-07	VYDAJ	PREVOD NA UCET	1941	69220	SIPO	YZ	95369791
105843	361	1996-02-07	VYDAJ	PREVOD NA UCET	1941	66428	SIPO	YZ	95369791
105844	361	1996-03-07	VYDAJ	PREVOD NA UCET	1941	70933	SIPO	YZ	95369791
105845	361	1996-04-07	VYDAJ	PREVOD NA UCET	1941	72450	SIPO	YZ	95369791
105846	361	1996-05-07	VYDAJ	PREVOD NA UCET	1941	67968	SIPO	YZ	95369791
105847	361	1996-06-07	VYDAJ	PREVOD NA UCET	1941	74589	SIPO	YZ	95369791
105848	361	1996-07-07	VYDAJ	PREVOD NA UCET	1941	66424	SIPO	YZ	95369791
105849	361	1996-08-07	VYDAJ	PREVOD NA UCET	1941	71026	SIPO	YZ	95369791
105850	361	1996-09-07	VYDAJ	PREVOD NA UCET	1941	73438	SIPO	YZ	95369791
105851	361	1996-10-07	VYDAJ	PREVOD NA UCET	1941	70541	SIPO	YZ	95369791
105852	361	1996-11-07	VYDAJ	PREVOD NA UCET	1941	71344	SIPO	YZ	95369791
105853	361	1996-12-07	VYDAJ	PREVOD NA UCET	1941	75359	SIPO	YZ	95369791
105854	361	1997-01-07	VYDAJ	PREVOD NA UCET	1941	61257	SIPO	YZ	95369791
105855	361	1997-02-07	VYDAJ	PREVOD NA UCET	1941	37528	SIPO	YZ	95369791
105856	361	1997-03-07	VYDAJ	PREVOD NA UCET	1941	57971	SIPO	YZ	95369791
105857	361	1997-04-07	VYDAJ	PREVOD NA UCET	1941	34603	SIPO	YZ	95369791
105858	361	1997-05-07	VYDAJ	PREVOD NA UCET	1941	55032	SIPO	YZ	95369791
105859	361	1997-06-07	VYDAJ	PREVOD NA UCET	1941	36784	SIPO	YZ	95369791
105860	361	1997-07-07	VYDAJ	PREVOD NA UCET	1941	24314	SIPO	YZ	95369791
105861	361	1997-08-07	VYDAJ	PREVOD NA UCET	1941	44704	SIPO	YZ	95369791
105862	361	1997-09-07	VYDAJ	PREVOD NA UCET	1941	42958	SIPO	YZ	95369791
105863	361	1997-10-07	VYDAJ	PREVOD NA UCET	1941	42523	SIPO	YZ	95369791
105864	361	1997-11-07	VYDAJ	PREVOD NA UCET	1941	42581	SIPO	YZ	95369791
105865	361	1997-12-07	VYDAJ	PREVOD NA UCET	1941	70657	SIPO	YZ	95369791
105866	361	1998-01-07	VYDAJ	PREVOD NA UCET	1941	47006	SIPO	YZ	95369791
105867	361	1998-02-07	VYDAJ	PREVOD NA UCET	1941	53050	SIPO	YZ	95369791
105868	361	1998-03-07	VYDAJ	PREVOD NA UCET	1941	47036	SIPO	YZ	95369791
105869	361	1998-04-07	VYDAJ	PREVOD NA UCET	1941	67520	SIPO	YZ	95369791
105870	361	1998-05-07	VYDAJ	PREVOD NA UCET	1941	48759	SIPO	YZ	95369791
105871	361	1998-06-07	VYDAJ	PREVOD NA UCET	1941	26975	SIPO	YZ	95369791
105872	361	1998-07-07	VYDAJ	PREVOD NA UCET	1941	47390	SIPO	YZ	95369791
105873	361	1998-08-07	VYDAJ	PREVOD NA UCET	1941	44750	SIPO	YZ	95369791
105874	361	1998-09-07	VYDAJ	PREVOD NA UCET	1941	45196	SIPO	YZ	95369791
105875	361	1998-10-07	VYDAJ	PREVOD NA UCET	1941	60745	SIPO	YZ	95369791
105876	361	1998-11-07	VYDAJ	PREVOD NA UCET	1941	42640	SIPO	YZ	95369791
105877	361	1998-12-07	VYDAJ	PREVOD NA UCET	1941	74907	SIPO	YZ	95369791
105884	361	1993-07-10	VYDAJ	PREVOD NA UCET	1388	73540	 	ST	59163767
105885	361	1993-08-10	VYDAJ	PREVOD NA UCET	1388	67908	 	ST	59163767
105886	361	1993-09-10	VYDAJ	PREVOD NA UCET	1388	68754	 	ST	59163767
105887	361	1993-10-10	VYDAJ	PREVOD NA UCET	1388	68401	 	ST	59163767
105888	361	1993-11-10	VYDAJ	PREVOD NA UCET	1388	64943	 	ST	59163767
105889	361	1993-12-10	VYDAJ	PREVOD NA UCET	1388	76787	 	ST	59163767
105890	361	1994-01-10	VYDAJ	PREVOD NA UCET	1388	69346	 	ST	59163767
105891	361	1994-02-10	VYDAJ	PREVOD NA UCET	1388	64586	 	ST	59163767
105892	361	1994-03-10	VYDAJ	PREVOD NA UCET	1388	66412	 	ST	59163767
105893	361	1994-04-10	VYDAJ	PREVOD NA UCET	1388	64443	 	ST	59163767
105894	361	1994-05-10	VYDAJ	PREVOD NA UCET	1388	67971	 	ST	59163767
105895	361	1994-06-10	VYDAJ	PREVOD NA UCET	1388	79626	 	ST	59163767
105896	361	1994-07-10	VYDAJ	PREVOD NA UCET	1388	71781	 	ST	59163767
105897	361	1994-08-10	VYDAJ	PREVOD NA UCET	1388	71230	 	ST	59163767
105898	361	1994-09-10	VYDAJ	PREVOD NA UCET	1388	68170	 	ST	59163767
105899	361	1994-10-10	VYDAJ	PREVOD NA UCET	1388	64198	 	ST	59163767
105900	361	1994-11-10	VYDAJ	PREVOD NA UCET	1388	65111	 	ST	59163767
105901	361	1994-12-10	VYDAJ	PREVOD NA UCET	1388	79751	 	ST	59163767
105902	361	1995-01-10	VYDAJ	PREVOD NA UCET	1388	70010	 	ST	59163767
105903	361	1995-02-10	VYDAJ	PREVOD NA UCET	1388	64541	 	ST	59163767
105904	361	1995-03-10	VYDAJ	PREVOD NA UCET	1388	65651	 	ST	59163767
105905	361	1995-04-10	VYDAJ	PREVOD NA UCET	1388	67069	 	ST	59163767
105906	361	1995-05-10	VYDAJ	PREVOD NA UCET	1388	68892	 	ST	59163767
105907	361	1995-06-10	VYDAJ	PREVOD NA UCET	1388	81140	 	ST	59163767
105908	361	1995-07-10	VYDAJ	PREVOD NA UCET	1388	67685	 	ST	59163767
105909	361	1995-08-10	VYDAJ	PREVOD NA UCET	1388	68504	 	ST	59163767
105910	361	1995-09-10	VYDAJ	PREVOD NA UCET	1388	68924	 	ST	59163767
105911	361	1995-10-10	VYDAJ	PREVOD NA UCET	1388	70245	 	ST	59163767
105912	361	1995-11-10	VYDAJ	PREVOD NA UCET	1388	72172	 	ST	59163767
105913	361	1995-12-10	VYDAJ	PREVOD NA UCET	1388	77708	 	ST	59163767
105914	361	1996-01-10	VYDAJ	PREVOD NA UCET	1388	66732	 	ST	59163767
105915	361	1996-02-10	VYDAJ	PREVOD NA UCET	1388	65040	 	ST	59163767
105916	361	1996-03-10	VYDAJ	PREVOD NA UCET	1388	69545	 	ST	59163767
105917	361	1996-04-10	VYDAJ	PREVOD NA UCET	1388	71062	 	ST	59163767
105918	361	1996-05-10	VYDAJ	PREVOD NA UCET	1388	66580	 	ST	59163767
105919	361	1996-06-10	VYDAJ	PREVOD NA UCET	1388	73201	 	ST	59163767
105920	361	1996-07-10	VYDAJ	PREVOD NA UCET	1388	65036	 	ST	59163767
105921	361	1996-08-10	VYDAJ	PREVOD NA UCET	1388	69638	 	ST	59163767
105922	361	1996-09-10	VYDAJ	PREVOD NA UCET	1388	48650	 	ST	59163767
105923	361	1996-10-10	VYDAJ	PREVOD NA UCET	1388	49453	 	ST	59163767
105924	361	1996-11-10	VYDAJ	PREVOD NA UCET	1388	47556	 	ST	59163767
105925	361	1996-12-10	VYDAJ	PREVOD NA UCET	1388	48971	 	ST	59163767
105926	361	1997-01-10	VYDAJ	PREVOD NA UCET	1388	41169	 	ST	59163767
105927	361	1997-02-10	VYDAJ	PREVOD NA UCET	1388	36140	 	ST	59163767
105928	361	1997-03-10	VYDAJ	PREVOD NA UCET	1388	34083	 	ST	59163767
105929	361	1997-04-10	VYDAJ	PREVOD NA UCET	1388	33215	 	ST	59163767
105930	361	1997-05-10	VYDAJ	PREVOD NA UCET	1388	34344	 	ST	59163767
105931	361	1997-06-10	VYDAJ	PREVOD NA UCET	1388	35396	 	ST	59163767
105932	361	1997-07-10	VYDAJ	PREVOD NA UCET	1388	22926	 	ST	59163767
105933	361	1997-08-10	VYDAJ	PREVOD NA UCET	1388	43316	 	ST	59163767
105934	361	1997-09-10	VYDAJ	PREVOD NA UCET	1388	41570	 	ST	59163767
105935	361	1997-10-10	VYDAJ	PREVOD NA UCET	1388	41135	 	ST	59163767
105936	361	1997-11-10	VYDAJ	PREVOD NA UCET	1388	41193	 	ST	59163767
105937	361	1997-12-10	VYDAJ	PREVOD NA UCET	1388	69269	 	ST	59163767
105938	361	1998-01-10	VYDAJ	PREVOD NA UCET	1388	42818	 	ST	59163767
105939	361	1998-02-10	VYDAJ	PREVOD NA UCET	1388	51662	 	ST	59163767
105940	361	1998-03-10	VYDAJ	PREVOD NA UCET	1388	45648	 	ST	59163767
105941	361	1998-04-10	VYDAJ	PREVOD NA UCET	1388	66132	 	ST	59163767
105942	361	1998-05-10	VYDAJ	PREVOD NA UCET	1388	47371	 	ST	59163767
105943	361	1998-06-10	VYDAJ	PREVOD NA UCET	1388	25587	 	ST	59163767
105944	361	1998-07-10	VYDAJ	PREVOD NA UCET	1388	46002	 	ST	59163767
105945	361	1998-08-10	VYDAJ	PREVOD NA UCET	1388	43362	 	ST	59163767
105946	361	1998-09-10	VYDAJ	PREVOD NA UCET	1388	43808	 	ST	59163767
105947	361	1998-10-10	VYDAJ	PREVOD NA UCET	1388	55657	 	ST	59163767
105948	361	1998-11-10	VYDAJ	PREVOD NA UCET	1388	41252	 	ST	59163767
105949	361	1998-12-10	VYDAJ	PREVOD NA UCET	1388	73519	 	ST	59163767
105951	361	1994-06-14	VYDAJ	VYBER	8200	71426	\N	\N	\N
105952	361	1995-06-10	VYDAJ	VYBER	12400	68740	\N	\N	\N
105953	361	1996-06-11	VYDAJ	VYBER	13900	44501	\N	\N	\N
105954	361	1997-06-26	VYDAJ	VYBER	10400	24996	\N	\N	\N
105955	361	1998-06-06	VYDAJ	VYBER	29100	28916	\N	\N	\N
105956	361	1993-12-16	VYDAJ	VYBER	1800	74987	\N	\N	\N
105957	361	1994-12-04	VYDAJ	VYBER KARTOU	800	47623	\N	\N	0
105958	361	1995-12-13	VYDAJ	VYBER KARTOU	1200	76508	\N	\N	0
105959	361	1996-12-15	VYDAJ	VYBER KARTOU	700	48271	\N	\N	0
105960	361	1997-12-25	VYDAJ	VYBER KARTOU	2700	66569	\N	\N	0
105961	361	1998-12-29	VYDAJ	VYBER KARTOU	2500	34719	\N	\N	0
105968	361	1994-01-09	VYDAJ	VYBER	800	70734	\N	\N	\N
105969	361	1994-01-16	VYDAJ	VYBER	700	68646	\N	\N	\N
105970	361	1994-01-19	VYDAJ	VYBER	1900	66746	\N	\N	\N
105971	361	1994-01-20	VYDAJ	VYBER	1100	65646	\N	\N	\N
105972	361	1994-01-28	VYDAJ	VYBER	1900	44046	\N	\N	\N
105973	361	1994-01-02	VYDAJ	VYBER	500	49837	\N	\N	\N
105974	361	1995-01-27	VYDAJ	VYBER KARTOU	2600	46310	\N	\N	0
105975	361	1995-01-29	VYDAJ	VYBER KARTOU	2300	44010	\N	\N	0
105976	361	1995-01-01	VYDAJ	VYBER KARTOU	2900	50501	\N	\N	0
105977	361	1995-01-01	VYDAJ	VYBER KARTOU	800	49701	\N	\N	0
105978	361	1995-01-24	VYDAJ	VYBER KARTOU	1700	48910	\N	\N	0
105979	361	1995-01-11	VYDAJ	VYBER KARTOU	1200	68810	\N	\N	0
105980	361	1996-01-23	VYDAJ	VYBER KARTOU	900	44532	\N	\N	0
105981	361	1996-01-06	VYDAJ	VYBER KARTOU	1400	71161	\N	\N	0
105982	361	1996-01-19	VYDAJ	VYBER KARTOU	2600	45432	\N	\N	0
105983	361	1996-01-10	VYDAJ	VYBER KARTOU	1100	68120	\N	\N	0
105984	361	1996-01-13	VYDAJ	VYBER KARTOU	1000	48032	\N	\N	0
105985	361	1996-01-11	VYDAJ	VYBER KARTOU	2000	64732	\N	\N	0
105986	361	1997-01-04	VYDAJ	VYBER KARTOU	2800	44560	\N	\N	0
105987	361	1997-01-21	VYDAJ	VYBER KARTOU	900	37469	\N	\N	0
105988	361	1997-01-20	VYDAJ	VYBER KARTOU	600	40569	\N	\N	0
105989	361	1997-01-02	VYDAJ	VYBER KARTOU	1100	47360	\N	\N	0
105990	361	1997-01-21	VYDAJ	VYBER KARTOU	2200	38369	\N	\N	0
105991	361	1997-01-07	VYDAJ	VYBER KARTOU	1400	63198	\N	\N	0
105992	361	1998-01-07	VYDAJ	VYBER KARTOU	2800	44206	\N	\N	0
105993	361	1998-01-27	VYDAJ	VYBER KARTOU	1700	33718	\N	\N	0
105994	361	1998-01-30	VYDAJ	VYBER KARTOU	2500	31218	\N	\N	0
105995	361	1998-01-01	VYDAJ	VYBER KARTOU	1000	65809	\N	\N	0
105996	361	1998-01-11	VYDAJ	VYBER KARTOU	2700	40118	\N	\N	0
105997	361	1998-01-05	VYDAJ	VYBER KARTOU	800	25309	\N	\N	0
105999	361	1993-11-14	VYDAJ	VYBER	2100	62843	\N	\N	\N
106000	361	1993-10-28	VYDAJ	VYBER	1800	44401	\N	\N	\N
106002	361	1993-07-30	VYDAJ	VYBER	1700	47340	\N	\N	\N
106004	361	1994-10-13	VYDAJ	VYBER KARTOU	1800	62398	\N	\N	0
106005	361	1994-09-28	VYDAJ	VYBER KARTOU	2800	43670	\N	\N	0
106006	361	1994-10-25	VYDAJ	VYBER KARTOU	1700	44598	\N	\N	0
106007	361	1995-11-19	VYDAJ	VYBER	4700	45372	\N	\N	\N
106008	361	1995-06-04	VYDAJ	VYBER KARTOU	1400	49012	\N	\N	0
106009	361	1996-01-05	VYDAJ	VYBER KARTOU	1700	48923	\N	\N	0
106010	361	1996-05-19	VYDAJ	VYBER KARTOU	3600	44180	\N	\N	0
106011	361	1996-11-08	VYDAJ	VYBER KARTOU	800	70544	\N	\N	0
106012	361	1996-05-03	VYDAJ	VYBER	4300	46271	\N	\N	\N
106013	361	1996-06-04	VYDAJ	VYBER KARTOU	3300	41073	\N	\N	0
106014	361	1996-12-03	VYDAJ	VYBER KARTOU	3400	41843	\N	\N	0
106015	361	1996-11-19	VYDAJ	VYBER KARTOU	2500	45056	\N	\N	0
106016	361	1997-10-13	VYDAJ	VYBER KARTOU	1400	39735	\N	\N	0
106017	361	1997-01-05	VYDAJ	VYBER KARTOU	3600	40960	\N	\N	0
106018	361	1997-03-16	VYDAJ	VYBER KARTOU	2500	31583	\N	\N	0
106019	361	1997-11-25	VYDAJ	VYBER	4200	36993	\N	\N	\N
106021	361	1998-10-30	VYDAJ	VYBER KARTOU	3700	24557	\N	\N	0
106022	361	1998-11-06	VYDAJ	VYBER KARTOU	3800	44581	\N	\N	0
106023	361	1998-04-11	VYDAJ	VYBER KARTOU	2700	63432	\N	\N	0
106025	361	1998-01-16	VYDAJ	VYBER	4700	35418	\N	\N	\N
106026	361	1998-09-25	VYDAJ	VYBER	4900	38908	\N	\N	\N
106027	361	1998-10-10	VYDAJ	VYBER KARTOU	3700	57045	\N	\N	0
106035	361	1993-07-31	VYDAJ	VYBER	15	47599	SLUZBY	\N	\N
106036	361	1993-08-31	VYDAJ	VYBER	15	48445	SLUZBY	\N	\N
106037	361	1993-09-30	VYDAJ	VYBER	15	48092	SLUZBY	\N	\N
106038	361	1993-10-31	VYDAJ	VYBER	15	44634	SLUZBY	\N	\N
106039	361	1993-11-30	VYDAJ	VYBER	15	44659	SLUZBY	\N	\N
106040	361	1993-12-31	VYDAJ	VYBER	15	50337	SLUZBY	\N	\N
106041	361	1994-01-31	VYDAJ	VYBER	15	44277	SLUZBY	\N	\N
106042	361	1994-02-28	VYDAJ	VYBER	15	46103	SLUZBY	\N	\N
106043	361	1994-03-31	VYDAJ	VYBER	15	44134	SLUZBY	\N	\N
106044	361	1994-04-30	VYDAJ	VYBER	15	47662	SLUZBY	\N	\N
106045	361	1994-05-31	VYDAJ	VYBER	15	47498	SLUZBY	\N	\N
106046	361	1994-06-30	VYDAJ	VYBER	15	51472	SLUZBY	\N	\N
106047	361	1994-07-31	VYDAJ	VYBER	15	50921	SLUZBY	\N	\N
106048	361	1994-08-31	VYDAJ	VYBER	15	47861	SLUZBY	\N	\N
106049	361	1994-09-30	VYDAJ	VYBER	15	43889	SLUZBY	\N	\N
106050	361	1994-10-31	VYDAJ	VYBER	15	44802	SLUZBY	\N	\N
106051	361	1994-11-30	VYDAJ	VYBER	15	48423	SLUZBY	\N	\N
106052	361	1994-12-31	VYDAJ	VYBER	15	53401	SLUZBY	\N	\N
106053	361	1995-01-31	VYDAJ	VYBER	15	44232	SLUZBY	\N	\N
106054	361	1995-02-28	VYDAJ	VYBER	15	45342	SLUZBY	\N	\N
106055	361	1995-03-31	VYDAJ	VYBER	15	46760	SLUZBY	\N	\N
106056	361	1995-04-30	VYDAJ	VYBER	15	48583	SLUZBY	\N	\N
106057	361	1995-05-31	VYDAJ	VYBER	15	50412	SLUZBY	\N	\N
106058	361	1995-06-30	VYDAJ	VYBER	15	47376	SLUZBY	\N	\N
106059	361	1995-07-31	VYDAJ	VYBER	15	48195	SLUZBY	\N	\N
106060	361	1995-08-31	VYDAJ	VYBER	15	48615	SLUZBY	\N	\N
106061	361	1995-09-30	VYDAJ	VYBER	15	49936	SLUZBY	\N	\N
106062	361	1995-10-31	VYDAJ	VYBER	15	51863	SLUZBY	\N	\N
106063	361	1995-11-30	VYDAJ	VYBER	15	45580	SLUZBY	\N	\N
106064	361	1995-12-31	VYDAJ	VYBER	15	50623	SLUZBY	\N	\N
106065	361	1996-01-31	VYDAJ	VYBER	15	44731	SLUZBY	\N	\N
106066	361	1996-02-29	VYDAJ	VYBER	15	49236	SLUZBY	\N	\N
106067	361	1996-03-31	VYDAJ	VYBER	15	50753	SLUZBY	\N	\N
106068	361	1996-04-30	VYDAJ	VYBER	15	50571	SLUZBY	\N	\N
106069	361	1996-05-31	VYDAJ	VYBER	15	44373	SLUZBY	\N	\N
106070	361	1996-06-30	VYDAJ	VYBER	15	44727	SLUZBY	\N	\N
106071	361	1996-07-31	VYDAJ	VYBER	15	49329	SLUZBY	\N	\N
106072	361	1996-08-31	VYDAJ	VYBER	15	51741	SLUZBY	\N	\N
106073	361	1996-09-30	VYDAJ	VYBER	15	48844	SLUZBY	\N	\N
106074	361	1996-10-31	VYDAJ	VYBER	15	49647	SLUZBY	\N	\N
106075	361	1996-11-30	VYDAJ	VYBER	15	45243	SLUZBY	\N	\N
106076	361	1996-12-31	VYDAJ	VYBER	15	48460	SLUZBY	\N	\N
106077	361	1997-01-31	VYDAJ	VYBER	15	37631	SLUZBY	\N	\N
106078	361	1997-02-28	VYDAJ	VYBER	15	36274	SLUZBY	\N	\N
106079	361	1997-03-31	VYDAJ	VYBER	15	31706	SLUZBY	\N	\N
106080	361	1997-04-30	VYDAJ	VYBER	15	33335	SLUZBY	\N	\N
106081	361	1997-05-31	VYDAJ	VYBER	15	34468	SLUZBY	\N	\N
106082	361	1997-06-30	VYDAJ	VYBER	15	25117	SLUZBY	\N	\N
106083	361	1997-07-31	VYDAJ	VYBER	15	23007	SLUZBY	\N	\N
106084	361	1997-08-31	VYDAJ	VYBER	15	43461	SLUZBY	\N	\N
106085	361	1997-09-30	VYDAJ	VYBER	15	41726	SLUZBY	\N	\N
106086	361	1997-10-31	VYDAJ	VYBER	15	39884	SLUZBY	\N	\N
106087	361	1997-11-30	VYDAJ	VYBER	15	37141	SLUZBY	\N	\N
106088	361	1997-12-31	VYDAJ	VYBER	15	66809	SLUZBY	\N	\N
106089	361	1998-01-31	VYDAJ	VYBER	15	31353	SLUZBY	\N	\N
106090	361	1998-02-28	VYDAJ	VYBER	15	51839	SLUZBY	\N	\N
106091	361	1998-03-31	VYDAJ	VYBER	15	45823	SLUZBY	\N	\N
106092	361	1998-04-30	VYDAJ	VYBER	15	63662	SLUZBY	\N	\N
106093	361	1998-05-31	VYDAJ	VYBER	15	47559	SLUZBY	\N	\N
106094	361	1998-06-30	VYDAJ	VYBER	15	25693	SLUZBY	\N	\N
106095	361	1998-07-31	VYDAJ	VYBER	15	23053	SLUZBY	\N	\N
106096	361	1998-08-31	VYDAJ	VYBER	15	23499	SLUZBY	\N	\N
106097	361	1998-09-30	VYDAJ	VYBER	15	39048	SLUZBY	\N	\N
106098	361	1998-10-31	VYDAJ	VYBER	15	24743	SLUZBY	\N	\N
106099	361	1998-11-30	VYDAJ	VYBER	15	41391	SLUZBY	\N	\N
106100	361	1993-03-29	PRIJEM	VKLAD	1600	25838	\N	\N	\N
106101	361	1993-04-28	VYDAJ	VYBER	13900	35586	\N	\N	\N
106102	361	1993-05-28	VYDAJ	VYBER	16100	43236	\N	\N	\N
106103	361	1993-06-27	VYDAJ	VYBER	25800	53046	\N	\N	\N
106104	361	1993-07-27	VYDAJ	VYBER	24500	49040	\N	\N	\N
106105	361	1993-08-26	VYDAJ	VYBER	19700	48208	\N	\N	\N
106106	361	1993-09-25	VYDAJ	VYBER	20900	47854	\N	\N	\N
106107	361	1993-10-25	VYDAJ	VYBER	22200	46201	\N	\N	\N
106108	361	1993-11-24	VYDAJ	VYBER	18400	44443	\N	\N	\N
106109	361	1993-12-24	VYDAJ	VYBER	24900	50087	\N	\N	\N
106110	361	1994-01-23	VYDAJ	VYBER	19700	45946	\N	\N	\N
106111	361	1994-02-22	VYDAJ	VYBER	18700	45886	\N	\N	\N
106112	361	1994-03-24	VYDAJ	VYBER	22500	43912	\N	\N	\N
106113	361	1994-04-23	VYDAJ	VYBER	17000	47443	\N	\N	\N
106114	361	1994-05-23	VYDAJ	VYBER	20700	47271	\N	\N	\N
106115	361	1994-06-22	VYDAJ	VYBER	20200	51226	\N	\N	\N
106116	361	1994-07-22	VYDAJ	VYBER	21100	50681	\N	\N	\N
106117	361	1994-08-21	VYDAJ	VYBER	23600	47630	\N	\N	\N
106118	361	1994-09-20	VYDAJ	VYBER	21700	46470	\N	\N	\N
106119	361	1994-10-20	VYDAJ	VYBER	16100	46298	\N	\N	\N
106120	361	1994-11-19	VYDAJ	VYBER	16900	48211	\N	\N	\N
106121	361	1994-12-19	VYDAJ	VYBER	26600	53151	\N	\N	\N
106122	361	1995-01-18	VYDAJ	VYBER	18200	50610	\N	\N	\N
106123	361	1995-02-17	VYDAJ	VYBER	19400	45141	\N	\N	\N
106124	361	1995-03-19	VYDAJ	VYBER	19100	46551	\N	\N	\N
106125	361	1995-04-18	VYDAJ	VYBER	18700	48369	\N	\N	\N
106126	361	1995-05-18	VYDAJ	VYBER	18700	50192	\N	\N	\N
106127	361	1995-06-17	VYDAJ	VYBER	21600	47140	\N	\N	\N
106128	361	1995-07-17	VYDAJ	VYBER	19700	47985	\N	\N	\N
106129	361	1995-08-16	VYDAJ	VYBER	20100	48404	\N	\N	\N
106130	361	1995-09-15	VYDAJ	VYBER	19200	49724	\N	\N	\N
106131	361	1995-10-15	VYDAJ	VYBER	18600	51645	\N	\N	\N
106132	361	1995-11-14	VYDAJ	VYBER	22100	50072	\N	\N	\N
106133	361	1995-12-14	VYDAJ	VYBER	26100	50408	\N	\N	\N
106134	361	1996-01-13	VYDAJ	VYBER	15700	49032	\N	\N	\N
106135	361	1996-02-12	VYDAJ	VYBER	16000	49040	\N	\N	\N
106136	361	1996-03-13	VYDAJ	VYBER	19000	50545	\N	\N	\N
106137	361	1996-04-12	VYDAJ	VYBER	20700	50362	\N	\N	\N
106138	361	1996-05-12	VYDAJ	VYBER	18800	47780	\N	\N	\N
106139	361	1996-06-11	VYDAJ	VYBER	14800	58401	\N	\N	\N
106140	361	1996-07-11	VYDAJ	VYBER	15900	49136	\N	\N	\N
106141	361	1996-08-10	VYDAJ	VYBER	18100	51538	\N	\N	\N
106142	361	1996-09-09	VYDAJ	VYBER	23400	50038	\N	\N	\N
106143	361	1996-10-09	VYDAJ	VYBER	19700	50841	\N	\N	\N
106144	361	1996-11-08	VYDAJ	VYBER	21600	48944	\N	\N	\N
106145	361	1996-12-08	VYDAJ	VYBER	25000	50359	\N	\N	\N
106146	361	1997-01-07	VYDAJ	VYBER	18700	42557	\N	\N	\N
106147	361	1997-02-06	VYDAJ	VYBER	21800	39469	\N	\N	\N
106148	361	1997-03-08	VYDAJ	VYBER	22500	35471	\N	\N	\N
106149	361	1997-04-07	VYDAJ	VYBER	18800	36544	\N	\N	\N
106150	361	1997-05-07	VYDAJ	VYBER	19300	35732	\N	\N	\N
106151	361	1997-06-06	VYDAJ	VYBER	31200	38725	\N	\N	\N
106152	361	1997-07-06	VYDAJ	VYBER	22500	26255	\N	\N	\N
106153	361	1997-09-04	VYDAJ	VYBER	22200	21261	\N	\N	\N
106154	361	1997-10-04	VYDAJ	VYBER	20900	20826	\N	\N	\N
106155	361	1997-11-03	VYDAJ	VYBER	19000	20884	\N	\N	\N
106156	361	1998-01-02	VYDAJ	VYBER	39700	26109	\N	\N	\N
106157	361	1998-03-03	VYDAJ	VYBER	26500	25339	\N	\N	\N
106158	361	1998-05-02	VYDAJ	VYBER	36600	27062	\N	\N	\N
106159	361	1998-06-01	VYDAJ	VYBER	25000	22559	\N	\N	\N
106160	361	1998-07-31	VYDAJ	VYBER	23100	23067	\N	\N	\N
106161	361	1998-08-30	VYDAJ	VYBER	20000	23362	\N	\N	\N
106162	361	1998-10-29	VYDAJ	VYBER	27400	28257	\N	\N	\N
106163	361	1998-12-28	VYDAJ	VYBER	36300	37219	\N	\N	\N
106234	362	1993-04-04	PRIJEM	VKLAD	900	900	\N	\N	\N
106238	362	1993-04-14	PRIJEM	VKLAD	9542	10442	\N	\N	\N
106239	362	1993-05-14	PRIJEM	VKLAD	9542	26309	\N	\N	\N
106240	362	1993-06-14	PRIJEM	VKLAD	14313	37304	\N	\N	\N
106241	362	1993-07-14	PRIJEM	VKLAD	9542	41481	\N	\N	\N
106242	362	1993-08-14	PRIJEM	VKLAD	9542	43189	\N	\N	\N
106243	362	1993-09-14	PRIJEM	VKLAD	9542	36332	\N	\N	\N
106244	362	1993-10-14	PRIJEM	VKLAD	9542	28734	\N	\N	\N
106245	362	1993-11-14	PRIJEM	VKLAD	9542	25758	\N	\N	\N
106246	362	1993-12-14	PRIJEM	VKLAD	14313	32998	\N	\N	\N
106247	362	1994-01-14	PRIJEM	VKLAD	9542	23680	\N	\N	\N
106248	362	1994-02-14	PRIJEM	VKLAD	9542	26598	\N	\N	\N
106249	362	1994-03-14	PRIJEM	VKLAD	9542	24104	\N	\N	\N
106250	362	1994-04-14	PRIJEM	VKLAD	9542	29371	\N	\N	\N
106251	362	1994-05-14	PRIJEM	VKLAD	9542	31450	\N	\N	\N
106252	362	1994-06-14	PRIJEM	VKLAD	14313	35206	\N	\N	\N
106253	362	1994-07-14	PRIJEM	VKLAD	9542	33934	\N	\N	\N
106254	362	1994-08-14	PRIJEM	VKLAD	9542	35531	\N	\N	\N
106255	362	1994-09-14	PRIJEM	VKLAD	9542	34933	\N	\N	\N
106256	362	1994-10-14	PRIJEM	VKLAD	9542	35332	\N	\N	\N
106257	362	1994-11-14	PRIJEM	VKLAD	9542	33672	\N	\N	\N
106258	362	1994-12-14	PRIJEM	VKLAD	14313	42440	\N	\N	\N
106259	362	1995-01-14	PRIJEM	VKLAD	9542	29556	\N	\N	\N
106260	362	1995-02-14	PRIJEM	VKLAD	9542	24880	\N	\N	\N
106261	362	1995-03-14	PRIJEM	VKLAD	9542	25760	\N	\N	\N
106262	362	1995-04-14	PRIJEM	VKLAD	9542	24225	\N	\N	\N
106263	362	1995-05-14	PRIJEM	VKLAD	9542	31686	\N	\N	\N
106264	362	1995-06-14	PRIJEM	VKLAD	14313	38143	\N	\N	\N
106265	362	1995-07-14	PRIJEM	VKLAD	9542	41549	\N	\N	\N
106266	362	1995-08-14	PRIJEM	VKLAD	9542	38270	\N	\N	\N
106267	362	1995-09-14	PRIJEM	VKLAD	9542	38584	\N	\N	\N
106268	362	1995-10-14	PRIJEM	VKLAD	9542	38696	\N	\N	\N
106269	362	1995-11-14	PRIJEM	VKLAD	9542	32959	\N	\N	\N
106270	362	1995-12-14	PRIJEM	VKLAD	14313	39220	\N	\N	\N
106271	362	1996-01-14	PRIJEM	VKLAD	9542	26379	\N	\N	\N
106272	362	1996-02-14	PRIJEM	VKLAD	9542	25750	\N	\N	\N
106273	362	1996-03-14	PRIJEM	VKLAD	9542	30117	\N	\N	\N
106274	362	1996-04-14	PRIJEM	VKLAD	9542	33701	\N	\N	\N
106275	362	1996-05-14	PRIJEM	VKLAD	9542	31229	\N	\N	\N
106276	362	1996-06-14	PRIJEM	VKLAD	14313	36781	\N	\N	\N
106277	362	1996-07-14	PRIJEM	VKLAD	9542	37375	\N	\N	\N
106278	362	1996-08-14	PRIJEM	VKLAD	9542	34678	\N	\N	\N
106279	362	1996-09-14	PRIJEM	VKLAD	9542	32443	\N	\N	\N
106280	362	1996-10-14	PRIJEM	VKLAD	9542	36742	\N	\N	\N
106281	362	1996-11-14	PRIJEM	VKLAD	9542	39972	\N	\N	\N
106282	362	1996-12-14	PRIJEM	VKLAD	14313	46065	\N	\N	\N
106283	362	1997-01-14	PRIJEM	VKLAD	9542	30170	\N	\N	\N
106284	362	1997-02-14	PRIJEM	VKLAD	9542	31718	\N	\N	\N
106285	362	1997-03-14	PRIJEM	VKLAD	9542	34998	\N	\N	\N
106286	362	1997-04-14	PRIJEM	VKLAD	9542	35271	\N	\N	\N
106287	362	1997-05-14	PRIJEM	VKLAD	9542	33871	\N	\N	\N
106288	362	1997-06-14	PRIJEM	VKLAD	14313	42645	\N	\N	\N
106289	362	1997-07-14	PRIJEM	VKLAD	9542	40067	\N	\N	\N
106290	362	1997-08-14	PRIJEM	VKLAD	9542	41797	\N	\N	\N
106291	362	1997-09-14	PRIJEM	VKLAD	9542	46627	\N	\N	\N
106292	362	1997-10-14	PRIJEM	VKLAD	9542	47473	\N	\N	\N
106293	362	1997-11-14	PRIJEM	VKLAD	9542	42628	\N	\N	\N
106294	362	1997-12-14	PRIJEM	VKLAD	14313	48839	\N	\N	\N
106295	362	1998-01-14	PRIJEM	VKLAD	9542	32307	\N	\N	\N
106296	362	1998-02-14	PRIJEM	VKLAD	9542	31841	\N	\N	\N
106297	362	1998-03-14	PRIJEM	VKLAD	9542	41672	\N	\N	\N
106298	362	1998-04-14	PRIJEM	VKLAD	9542	42628	\N	\N	\N
106299	362	1998-05-14	PRIJEM	VKLAD	9542	47962	\N	\N	\N
106300	362	1998-06-14	PRIJEM	VKLAD	14313	45183	\N	\N	\N
106301	362	1998-07-14	PRIJEM	VKLAD	9542	50620	\N	\N	\N
106302	362	1998-08-14	PRIJEM	VKLAD	9542	56382	\N	\N	\N
106303	362	1998-09-14	PRIJEM	VKLAD	9542	56166	\N	\N	\N
106304	362	1998-10-14	PRIJEM	VKLAD	9542	56257	\N	\N	\N
106305	362	1998-11-14	PRIJEM	VKLAD	9542	57209	\N	\N	\N
106306	362	1998-12-14	PRIJEM	VKLAD	14313	61332	\N	\N	\N
106315	362	1993-09-09	VYDAJ	PREVOD NA UCET	6001	26858	SIPO	ST	76221531
106316	362	1993-10-09	VYDAJ	PREVOD NA UCET	6001	19260	SIPO	ST	76221531
106317	362	1993-11-09	VYDAJ	PREVOD NA UCET	6001	16284	SIPO	ST	76221531
106318	362	1993-12-09	VYDAJ	PREVOD NA UCET	6001	18753	SIPO	ST	76221531
106319	362	1994-01-09	VYDAJ	PREVOD NA UCET	6001	17018	SIPO	ST	76221531
106320	362	1994-02-09	VYDAJ	PREVOD NA UCET	6001	17416	SIPO	ST	76221531
106321	362	1994-03-09	VYDAJ	PREVOD NA UCET	6001	17990	SIPO	ST	76221531
106322	362	1994-04-09	VYDAJ	PREVOD NA UCET	6001	20189	SIPO	ST	76221531
106323	362	1994-05-09	VYDAJ	PREVOD NA UCET	6001	21976	SIPO	ST	76221531
106324	362	1994-06-09	VYDAJ	PREVOD NA UCET	6001	21253	SIPO	ST	76221531
106325	362	1994-07-09	VYDAJ	PREVOD NA UCET	6001	24752	SIPO	ST	76221531
106326	362	1994-08-09	VYDAJ	PREVOD NA UCET	6001	26057	SIPO	ST	76221531
106327	362	1994-09-09	VYDAJ	PREVOD NA UCET	6001	25459	SIPO	ST	76221531
106328	362	1994-10-09	VYDAJ	PREVOD NA UCET	6001	25858	SIPO	ST	76221531
106329	362	1994-11-09	VYDAJ	PREVOD NA UCET	6001	24490	SIPO	ST	76221531
106330	362	1994-12-09	VYDAJ	PREVOD NA UCET	6001	28487	SIPO	ST	76221531
106331	362	1995-01-09	VYDAJ	PREVOD NA UCET	6001	22482	SIPO	ST	76221531
106332	362	1995-02-09	VYDAJ	PREVOD NA UCET	6001	15406	SIPO	ST	76221531
106333	362	1995-03-09	VYDAJ	PREVOD NA UCET	6001	16286	SIPO	ST	76221531
106334	362	1995-04-09	VYDAJ	PREVOD NA UCET	6001	15043	SIPO	ST	76221531
106335	362	1995-05-09	VYDAJ	PREVOD NA UCET	6001	22504	SIPO	ST	76221531
106336	362	1995-06-09	VYDAJ	PREVOD NA UCET	6001	24190	SIPO	ST	76221531
106337	362	1995-07-09	VYDAJ	PREVOD NA UCET	6001	32367	SIPO	ST	76221531
106338	362	1995-08-09	VYDAJ	PREVOD NA UCET	6001	28796	SIPO	ST	76221531
106339	362	1995-09-09	VYDAJ	PREVOD NA UCET	6001	29110	SIPO	ST	76221531
106340	362	1995-10-09	VYDAJ	PREVOD NA UCET	6001	29514	SIPO	ST	76221531
106341	362	1995-11-09	VYDAJ	PREVOD NA UCET	6001	23777	SIPO	ST	76221531
106342	362	1995-12-09	VYDAJ	PREVOD NA UCET	6001	24975	SIPO	ST	76221531
106343	362	1996-01-09	VYDAJ	PREVOD NA UCET	6001	18637	SIPO	ST	76221531
106344	362	1996-02-09	VYDAJ	PREVOD NA UCET	6001	16276	SIPO	ST	76221531
106345	362	1996-03-09	VYDAJ	PREVOD NA UCET	6001	20643	SIPO	ST	76221531
106346	362	1996-04-09	VYDAJ	PREVOD NA UCET	6001	24227	SIPO	ST	76221531
106347	362	1996-05-09	VYDAJ	PREVOD NA UCET	6001	21755	SIPO	ST	76221531
106348	362	1996-06-09	VYDAJ	PREVOD NA UCET	6001	22828	SIPO	ST	76221531
106349	362	1996-07-09	VYDAJ	PREVOD NA UCET	6001	28193	SIPO	ST	76221531
106350	362	1996-08-09	VYDAJ	PREVOD NA UCET	6001	25496	SIPO	ST	76221531
106351	362	1996-09-09	VYDAJ	PREVOD NA UCET	6001	22969	SIPO	ST	76221531
106352	362	1996-10-09	VYDAJ	PREVOD NA UCET	6001	27268	SIPO	ST	76221531
106353	362	1996-11-09	VYDAJ	PREVOD NA UCET	6001	30790	SIPO	ST	76221531
106354	362	1996-12-09	VYDAJ	PREVOD NA UCET	6001	32112	SIPO	ST	76221531
106355	362	1997-01-09	VYDAJ	PREVOD NA UCET	6001	14488	SIPO	ST	76221531
106356	362	1997-02-09	VYDAJ	PREVOD NA UCET	6001	17244	SIPO	ST	76221531
106357	362	1997-03-09	VYDAJ	PREVOD NA UCET	6001	25816	SIPO	ST	76221531
106358	362	1997-04-09	VYDAJ	PREVOD NA UCET	6001	25389	SIPO	ST	76221531
106359	362	1997-05-09	VYDAJ	PREVOD NA UCET	6001	29097	SIPO	ST	76221531
106360	362	1997-06-09	VYDAJ	PREVOD NA UCET	6001	27992	SIPO	ST	76221531
106361	362	1997-07-09	VYDAJ	PREVOD NA UCET	6001	36785	SIPO	ST	76221531
106362	362	1997-08-09	VYDAJ	PREVOD NA UCET	6001	34215	SIPO	ST	76221531
106363	362	1997-09-09	VYDAJ	PREVOD NA UCET	6001	35945	SIPO	ST	76221531
106364	362	1997-10-09	VYDAJ	PREVOD NA UCET	6001	40791	SIPO	ST	76221531
106365	362	1997-11-09	VYDAJ	PREVOD NA UCET	6001	41354	SIPO	ST	76221531
106366	362	1997-12-09	VYDAJ	PREVOD NA UCET	6001	34886	SIPO	ST	76221531
106367	362	1998-01-09	VYDAJ	PREVOD NA UCET	6001	27565	SIPO	ST	76221531
106368	362	1998-02-09	VYDAJ	PREVOD NA UCET	6001	22367	SIPO	ST	76221531
106369	362	1998-03-09	VYDAJ	PREVOD NA UCET	6001	32198	SIPO	ST	76221531
106370	362	1998-04-09	VYDAJ	PREVOD NA UCET	6001	36806	SIPO	ST	76221531
106371	362	1998-05-09	VYDAJ	PREVOD NA UCET	6001	38780	SIPO	ST	76221531
106372	362	1998-06-09	VYDAJ	PREVOD NA UCET	6001	30938	SIPO	ST	76221531
106373	362	1998-07-09	VYDAJ	PREVOD NA UCET	6001	41438	SIPO	ST	76221531
106374	362	1998-08-09	VYDAJ	PREVOD NA UCET	6001	47200	SIPO	ST	76221531
106375	362	1998-09-09	VYDAJ	PREVOD NA UCET	6001	46984	SIPO	ST	76221531
106376	362	1998-10-09	VYDAJ	PREVOD NA UCET	6001	46783	SIPO	ST	76221531
106377	362	1998-11-09	VYDAJ	PREVOD NA UCET	6001	48027	SIPO	ST	76221531
106378	362	1998-12-09	VYDAJ	PREVOD NA UCET	6001	53327	SIPO	ST	76221531
106387	362	1993-09-09	VYDAJ	PREVOD NA UCET	292	32859	 	ST	91743081
106388	362	1993-10-09	VYDAJ	PREVOD NA UCET	292	25261	 	ST	91743081
106389	362	1993-11-09	VYDAJ	PREVOD NA UCET	292	22285	 	ST	91743081
106390	362	1993-12-09	VYDAJ	PREVOD NA UCET	292	24754	 	ST	91743081
106391	362	1994-01-09	VYDAJ	PREVOD NA UCET	292	16726	 	ST	91743081
106392	362	1994-02-09	VYDAJ	PREVOD NA UCET	292	17124	 	ST	91743081
106393	362	1994-03-09	VYDAJ	PREVOD NA UCET	292	23991	 	ST	91743081
106394	362	1994-04-09	VYDAJ	PREVOD NA UCET	292	19897	 	ST	91743081
106395	362	1994-05-09	VYDAJ	PREVOD NA UCET	292	27977	 	ST	91743081
106396	362	1994-06-09	VYDAJ	PREVOD NA UCET	292	20961	 	ST	91743081
106397	362	1994-07-09	VYDAJ	PREVOD NA UCET	292	24460	 	ST	91743081
106398	362	1994-08-09	VYDAJ	PREVOD NA UCET	292	32058	 	ST	91743081
106399	362	1994-09-09	VYDAJ	PREVOD NA UCET	292	31460	 	ST	91743081
106400	362	1994-10-09	VYDAJ	PREVOD NA UCET	292	31859	 	ST	91743081
106401	362	1994-11-09	VYDAJ	PREVOD NA UCET	292	24198	 	ST	91743081
106402	362	1994-12-09	VYDAJ	PREVOD NA UCET	292	28195	 	ST	91743081
106403	362	1995-01-09	VYDAJ	PREVOD NA UCET	292	28483	 	ST	91743081
106404	362	1995-02-09	VYDAJ	PREVOD NA UCET	292	21407	 	ST	91743081
106405	362	1995-03-09	VYDAJ	PREVOD NA UCET	292	22287	 	ST	91743081
106406	362	1995-04-09	VYDAJ	PREVOD NA UCET	292	14751	 	ST	91743081
106407	362	1995-05-09	VYDAJ	PREVOD NA UCET	292	22212	 	ST	91743081
106408	362	1995-06-09	VYDAJ	PREVOD NA UCET	292	23898	 	ST	91743081
106409	362	1995-07-09	VYDAJ	PREVOD NA UCET	292	32075	 	ST	91743081
106410	362	1995-08-09	VYDAJ	PREVOD NA UCET	292	34797	 	ST	91743081
106411	362	1995-09-09	VYDAJ	PREVOD NA UCET	292	35111	 	ST	91743081
106412	362	1995-10-09	VYDAJ	PREVOD NA UCET	292	29222	 	ST	91743081
106413	362	1995-11-09	VYDAJ	PREVOD NA UCET	292	23485	 	ST	91743081
106414	362	1995-12-09	VYDAJ	PREVOD NA UCET	292	30976	 	ST	91743081
106415	362	1996-01-09	VYDAJ	PREVOD NA UCET	292	18345	 	ST	91743081
106416	362	1996-02-09	VYDAJ	PREVOD NA UCET	292	22277	 	ST	91743081
106417	362	1996-03-09	VYDAJ	PREVOD NA UCET	292	26644	 	ST	91743081
106418	362	1996-04-09	VYDAJ	PREVOD NA UCET	292	30228	 	ST	91743081
106419	362	1996-05-09	VYDAJ	PREVOD NA UCET	292	27756	 	ST	91743081
106420	362	1996-06-09	VYDAJ	PREVOD NA UCET	292	22536	 	ST	91743081
106421	362	1996-07-09	VYDAJ	PREVOD NA UCET	292	27901	 	ST	91743081
106422	362	1996-08-09	VYDAJ	PREVOD NA UCET	292	25204	 	ST	91743081
106423	362	1996-09-09	VYDAJ	PREVOD NA UCET	292	28970	 	ST	91743081
106424	362	1996-10-09	VYDAJ	PREVOD NA UCET	292	33269	 	ST	91743081
106425	362	1996-11-09	VYDAJ	PREVOD NA UCET	292	30498	 	ST	91743081
106426	362	1996-12-09	VYDAJ	PREVOD NA UCET	292	31820	 	ST	91743081
106427	362	1997-01-09	VYDAJ	PREVOD NA UCET	292	14196	 	ST	91743081
106428	362	1997-02-09	VYDAJ	PREVOD NA UCET	292	23245	 	ST	91743081
106429	362	1997-03-09	VYDAJ	PREVOD NA UCET	292	25524	 	ST	91743081
106430	362	1997-04-09	VYDAJ	PREVOD NA UCET	292	25097	 	ST	91743081
106431	362	1997-05-09	VYDAJ	PREVOD NA UCET	292	35098	 	ST	91743081
106432	362	1997-06-09	VYDAJ	PREVOD NA UCET	292	27700	 	ST	91743081
106433	362	1997-07-09	VYDAJ	PREVOD NA UCET	292	36493	 	ST	91743081
106434	362	1997-08-09	VYDAJ	PREVOD NA UCET	292	33923	 	ST	91743081
106435	362	1997-09-09	VYDAJ	PREVOD NA UCET	292	35653	 	ST	91743081
106436	362	1997-10-09	VYDAJ	PREVOD NA UCET	292	40499	 	ST	91743081
106437	362	1997-11-09	VYDAJ	PREVOD NA UCET	292	47355	 	ST	91743081
106438	362	1997-12-09	VYDAJ	PREVOD NA UCET	292	34594	 	ST	91743081
106439	362	1998-01-09	VYDAJ	PREVOD NA UCET	292	27273	 	ST	91743081
106440	362	1998-02-09	VYDAJ	PREVOD NA UCET	292	28368	 	ST	91743081
106441	362	1998-03-09	VYDAJ	PREVOD NA UCET	292	38199	 	ST	91743081
106442	362	1998-04-09	VYDAJ	PREVOD NA UCET	292	36514	 	ST	91743081
106443	362	1998-05-09	VYDAJ	PREVOD NA UCET	292	38488	 	ST	91743081
106444	362	1998-06-09	VYDAJ	PREVOD NA UCET	292	36939	 	ST	91743081
106445	362	1998-07-09	VYDAJ	PREVOD NA UCET	292	41146	 	ST	91743081
106446	362	1998-08-09	VYDAJ	PREVOD NA UCET	292	46908	 	ST	91743081
106447	362	1998-09-09	VYDAJ	PREVOD NA UCET	292	46692	 	ST	91743081
106448	362	1998-10-09	VYDAJ	PREVOD NA UCET	292	52784	 	ST	91743081
106449	362	1998-11-09	VYDAJ	PREVOD NA UCET	292	47735	 	ST	91743081
106450	362	1998-12-09	VYDAJ	PREVOD NA UCET	292	59328	 	ST	91743081
106459	362	1993-09-12	VYDAJ	PREVOD NA UCET	68	26790	POJISTNE	EF	62852764
106460	362	1993-10-12	VYDAJ	PREVOD NA UCET	68	19192	POJISTNE	EF	62852764
106461	362	1993-11-12	VYDAJ	PREVOD NA UCET	68	16216	POJISTNE	EF	62852764
106462	362	1993-12-12	VYDAJ	PREVOD NA UCET	68	18685	POJISTNE	EF	62852764
106463	362	1994-01-12	VYDAJ	PREVOD NA UCET	68	14138	POJISTNE	EF	62852764
106464	362	1994-02-12	VYDAJ	PREVOD NA UCET	68	17056	POJISTNE	EF	62852764
106465	362	1994-03-12	VYDAJ	PREVOD NA UCET	68	14562	POJISTNE	EF	62852764
106466	362	1994-04-12	VYDAJ	PREVOD NA UCET	68	19829	POJISTNE	EF	62852764
106467	362	1994-05-12	VYDAJ	PREVOD NA UCET	68	21908	POJISTNE	EF	62852764
106468	362	1994-06-12	VYDAJ	PREVOD NA UCET	68	20893	POJISTNE	EF	62852764
106469	362	1994-07-12	VYDAJ	PREVOD NA UCET	68	24392	POJISTNE	EF	62852764
106470	362	1994-08-12	VYDAJ	PREVOD NA UCET	68	25989	POJISTNE	EF	62852764
106471	362	1994-09-12	VYDAJ	PREVOD NA UCET	68	25391	POJISTNE	EF	62852764
106472	362	1994-10-12	VYDAJ	PREVOD NA UCET	68	25790	POJISTNE	EF	62852764
106473	362	1994-11-12	VYDAJ	PREVOD NA UCET	68	24130	POJISTNE	EF	62852764
106474	362	1994-12-12	VYDAJ	PREVOD NA UCET	68	28127	POJISTNE	EF	62852764
106475	362	1995-01-12	VYDAJ	PREVOD NA UCET	68	20014	POJISTNE	EF	62852764
106476	362	1995-02-12	VYDAJ	PREVOD NA UCET	68	15338	POJISTNE	EF	62852764
106477	362	1995-03-12	VYDAJ	PREVOD NA UCET	68	16218	POJISTNE	EF	62852764
106478	362	1995-04-12	VYDAJ	PREVOD NA UCET	68	14683	POJISTNE	EF	62852764
106479	362	1995-05-12	VYDAJ	PREVOD NA UCET	68	22144	POJISTNE	EF	62852764
106480	362	1995-06-12	VYDAJ	PREVOD NA UCET	68	23830	POJISTNE	EF	62852764
106481	362	1995-07-12	VYDAJ	PREVOD NA UCET	68	32007	POJISTNE	EF	62852764
106482	362	1995-08-12	VYDAJ	PREVOD NA UCET	68	28728	POJISTNE	EF	62852764
106483	362	1995-09-12	VYDAJ	PREVOD NA UCET	68	29042	POJISTNE	EF	62852764
106484	362	1995-10-12	VYDAJ	PREVOD NA UCET	68	29154	POJISTNE	EF	62852764
106485	362	1995-11-12	VYDAJ	PREVOD NA UCET	68	23417	POJISTNE	EF	62852764
106486	362	1995-12-12	VYDAJ	PREVOD NA UCET	68	24907	POJISTNE	EF	62852764
106487	362	1996-01-12	VYDAJ	PREVOD NA UCET	68	16837	POJISTNE	EF	62852764
106488	362	1996-02-12	VYDAJ	PREVOD NA UCET	68	16208	POJISTNE	EF	62852764
106489	362	1996-03-12	VYDAJ	PREVOD NA UCET	68	20575	POJISTNE	EF	62852764
106490	362	1996-04-12	VYDAJ	PREVOD NA UCET	68	24159	POJISTNE	EF	62852764
106491	362	1996-05-12	VYDAJ	PREVOD NA UCET	68	21687	POJISTNE	EF	62852764
106492	362	1996-06-12	VYDAJ	PREVOD NA UCET	68	22468	POJISTNE	EF	62852764
106493	362	1996-07-12	VYDAJ	PREVOD NA UCET	68	27833	POJISTNE	EF	62852764
106494	362	1996-08-12	VYDAJ	PREVOD NA UCET	68	25136	POJISTNE	EF	62852764
106495	362	1996-09-12	VYDAJ	PREVOD NA UCET	68	22901	POJISTNE	EF	62852764
106496	362	1996-10-12	VYDAJ	PREVOD NA UCET	68	27200	POJISTNE	EF	62852764
106497	362	1996-11-12	VYDAJ	PREVOD NA UCET	68	30430	POJISTNE	EF	62852764
106498	362	1996-12-12	VYDAJ	PREVOD NA UCET	68	31752	POJISTNE	EF	62852764
106499	362	1997-01-12	VYDAJ	PREVOD NA UCET	68	14128	POJISTNE	EF	62852764
106500	362	1997-02-12	VYDAJ	PREVOD NA UCET	68	22176	POJISTNE	EF	62852764
106501	362	1997-03-12	VYDAJ	PREVOD NA UCET	68	25456	POJISTNE	EF	62852764
106502	362	1997-04-12	VYDAJ	PREVOD NA UCET	68	25029	POJISTNE	EF	62852764
106503	362	1997-05-12	VYDAJ	PREVOD NA UCET	68	29029	POJISTNE	EF	62852764
106504	362	1997-06-12	VYDAJ	PREVOD NA UCET	68	28332	POJISTNE	EF	62852764
106505	362	1997-07-12	VYDAJ	PREVOD NA UCET	68	36425	POJISTNE	EF	62852764
106506	362	1997-08-12	VYDAJ	PREVOD NA UCET	68	32255	POJISTNE	EF	62852764
106507	362	1997-09-12	VYDAJ	PREVOD NA UCET	68	37085	POJISTNE	EF	62852764
106508	362	1997-10-12	VYDAJ	PREVOD NA UCET	68	37931	POJISTNE	EF	62852764
106509	362	1997-11-12	VYDAJ	PREVOD NA UCET	68	33086	POJISTNE	EF	62852764
106510	362	1997-12-12	VYDAJ	PREVOD NA UCET	68	34526	POJISTNE	EF	62852764
106511	362	1998-01-12	VYDAJ	PREVOD NA UCET	68	22765	POJISTNE	EF	62852764
106512	362	1998-02-12	VYDAJ	PREVOD NA UCET	68	22299	POJISTNE	EF	62852764
106513	362	1998-03-12	VYDAJ	PREVOD NA UCET	68	32130	POJISTNE	EF	62852764
106514	362	1998-04-12	VYDAJ	PREVOD NA UCET	68	33086	POJISTNE	EF	62852764
106515	362	1998-05-12	VYDAJ	PREVOD NA UCET	68	38420	POJISTNE	EF	62852764
106516	362	1998-06-12	VYDAJ	PREVOD NA UCET	68	30870	POJISTNE	EF	62852764
106517	362	1998-07-12	VYDAJ	PREVOD NA UCET	68	41078	POJISTNE	EF	62852764
106518	362	1998-08-12	VYDAJ	PREVOD NA UCET	68	46840	POJISTNE	EF	62852764
106519	362	1998-09-12	VYDAJ	PREVOD NA UCET	68	46624	POJISTNE	EF	62852764
106520	362	1998-10-12	VYDAJ	PREVOD NA UCET	68	46715	POJISTNE	EF	62852764
106521	362	1998-11-12	VYDAJ	PREVOD NA UCET	68	47667	POJISTNE	EF	62852764
106522	362	1998-12-12	VYDAJ	PREVOD NA UCET	68	47019	POJISTNE	EF	62852764
106528	362	1998-06-06	VYDAJ	VYBER	16160	27531	\N	\N	\N
106531	362	1995-01-15	VYDAJ	VYBER	10240	19316	\N	\N	\N
106532	362	1996-01-01	VYDAJ	VYBER	2720	30878	\N	\N	\N
106533	362	1997-01-01	VYDAJ	VYBER	11840	23969	\N	\N	\N
106534	362	1998-01-03	VYDAJ	VYBER	15200	27966	\N	\N	\N
106535	362	1993-12-25	VYDAJ	VYBER	4000	28998	\N	\N	\N
106536	362	1994-12-27	VYDAJ	VYBER	4640	32000	\N	\N	\N
106537	362	1995-12-15	VYDAJ	VYBER	4640	34580	\N	\N	\N
106538	362	1996-12-23	VYDAJ	VYBER	800	35665	\N	\N	\N
106539	362	1997-12-26	VYDAJ	VYBER	2720	46119	\N	\N	\N
106540	362	1998-12-12	VYDAJ	VYBER	2400	50927	\N	\N	\N
106547	362	1994-01-21	VYDAJ	VYBER	1080	21040	\N	\N	\N
106549	362	1994-01-20	VYDAJ	VYBER	840	22120	\N	\N	\N
106550	362	1994-01-19	VYDAJ	VYBER	720	22960	\N	\N	\N
106551	362	1994-01-06	VYDAJ	VYBER	2280	23019	\N	\N	\N
106552	362	1994-01-10	VYDAJ	VYBER	2520	14206	\N	\N	\N
106553	362	1995-01-07	VYDAJ	VYBER	1320	30815	\N	\N	\N
106554	362	1995-01-08	VYDAJ	VYBER	2040	28775	\N	\N	\N
106555	362	1995-01-18	VYDAJ	VYBER	2040	17276	\N	\N	\N
106556	362	1995-01-12	VYDAJ	VYBER	2400	20082	\N	\N	\N
106557	362	1995-01-29	VYDAJ	VYBER	2400	21616	\N	\N	\N
106558	362	1995-01-22	VYDAJ	VYBER	2160	15116	\N	\N	\N
106559	362	1996-01-08	VYDAJ	VYBER	2280	24638	\N	\N	\N
106560	362	1996-01-25	VYDAJ	VYBER	960	25719	\N	\N	\N
106561	362	1996-01-30	VYDAJ	VYBER	3240	22479	\N	\N	\N
106562	362	1996-01-11	VYDAJ	VYBER	1440	16905	\N	\N	\N
106563	362	1996-01-07	VYDAJ	VYBER	1800	26918	\N	\N	\N
106564	362	1996-01-04	VYDAJ	VYBER	2160	28718	\N	\N	\N
106566	362	1997-01-03	VYDAJ	VYBER	3480	20489	\N	\N	\N
106567	362	1997-01-24	VYDAJ	VYBER	2400	25730	\N	\N	\N
106568	362	1997-01-23	VYDAJ	VYBER	2040	28130	\N	\N	\N
106569	362	1997-01-24	VYDAJ	VYBER	600	25130	\N	\N	\N
106570	362	1997-01-27	VYDAJ	VYBER	1680	23450	\N	\N	\N
106572	362	1998-01-12	VYDAJ	VYBER	2520	22833	\N	\N	\N
106573	362	1998-01-19	VYDAJ	VYBER	2040	26907	\N	\N	\N
106574	362	1998-01-11	VYDAJ	VYBER	1920	25353	\N	\N	\N
106575	362	1998-01-23	VYDAJ	VYBER	2760	24147	\N	\N	\N
106576	362	1998-01-18	VYDAJ	VYBER	3360	28947	\N	\N	\N
106577	362	1993-11-06	VYDAJ	VYBER	5280	22577	\N	\N	\N
106581	362	1993-10-26	VYDAJ	VYBER	2280	26454	\N	\N	\N
106582	362	1993-10-06	VYDAJ	VYBER	2520	25553	\N	\N	\N
106585	362	1994-05-18	VYDAJ	VYBER	3600	27850	\N	\N	\N
106586	362	1994-03-12	VYDAJ	VYBER	3360	14630	\N	\N	\N
106587	362	1994-10-28	VYDAJ	VYBER	1560	30372	\N	\N	\N
106588	362	1994-06-14	VYDAJ	VYBER	2160	33046	\N	\N	\N
106590	362	1994-05-01	VYDAJ	VYBER	1800	28269	\N	\N	\N
106591	362	1994-03-04	VYDAJ	VYBER	600	24283	\N	\N	\N
106592	362	1995-03-21	VYDAJ	VYBER	4920	20840	\N	\N	\N
106593	362	1995-03-29	VYDAJ	VYBER	3960	20960	\N	\N	\N
106594	362	1995-10-25	VYDAJ	VYBER	2400	29656	\N	\N	\N
106595	362	1995-03-27	VYDAJ	VYBER	2520	24920	\N	\N	\N
106596	362	1995-10-19	VYDAJ	VYBER	5640	33056	\N	\N	\N
106597	362	1995-03-02	VYDAJ	VYBER	3480	22579	\N	\N	\N
106598	362	1996-04-29	VYDAJ	VYBER	960	27941	\N	\N	\N
106599	362	1996-07-27	VYDAJ	VYBER	3000	31375	\N	\N	\N
106600	362	1996-09-07	VYDAJ	VYBER	5160	29262	\N	\N	\N
106601	362	1996-09-01	VYDAJ	VYBER	2880	34422	\N	\N	\N
106602	362	1996-11-04	VYDAJ	VYBER	1080	36791	\N	\N	\N
106603	362	1997-04-01	VYDAJ	VYBER	720	31390	\N	\N	\N
106605	362	1998-10-26	VYDAJ	VYBER	840	55417	\N	\N	\N
106606	362	1998-05-31	VYDAJ	VYBER	4440	43691	\N	\N	\N
106607	362	1998-04-11	VYDAJ	VYBER	3360	33154	\N	\N	\N
106608	362	1998-02-22	VYDAJ	VYBER	3840	28001	\N	\N	\N
106609	362	1998-01-01	VYDAJ	VYBER	3120	43166	\N	\N	\N
106610	362	1998-01-23	VYDAJ	VYBER	5880	18267	\N	\N	\N
106611	362	1998-12-12	VYDAJ	VYBER	3840	47087	\N	\N	\N
106620	362	1993-08-31	VYDAJ	VYBER	15	43351	SLUZBY	\N	\N
106621	362	1993-09-30	VYDAJ	VYBER	15	36473	SLUZBY	\N	\N
106622	362	1993-10-31	VYDAJ	VYBER	15	27857	SLUZBY	\N	\N
106623	362	1993-11-30	VYDAJ	VYBER	15	25846	SLUZBY	\N	\N
106624	362	1993-12-31	VYDAJ	VYBER	15	25299	SLUZBY	\N	\N
106625	362	1994-01-31	VYDAJ	VYBER	15	23417	SLUZBY	\N	\N
106626	362	1994-02-28	VYDAJ	VYBER	15	26683	SLUZBY	\N	\N
106627	362	1994-03-31	VYDAJ	VYBER	15	26190	SLUZBY	\N	\N
106628	362	1994-04-30	VYDAJ	VYBER	15	30069	SLUZBY	\N	\N
106629	362	1994-05-31	VYDAJ	VYBER	15	27254	SLUZBY	\N	\N
106630	362	1994-06-30	VYDAJ	VYBER	15	30753	SLUZBY	\N	\N
106631	362	1994-07-31	VYDAJ	VYBER	15	32350	SLUZBY	\N	\N
106632	362	1994-08-31	VYDAJ	VYBER	15	31752	SLUZBY	\N	\N
106633	362	1994-09-30	VYDAJ	VYBER	15	32151	SLUZBY	\N	\N
106634	362	1994-10-31	VYDAJ	VYBER	15	30491	SLUZBY	\N	\N
106635	362	1994-11-30	VYDAJ	VYBER	15	34488	SLUZBY	\N	\N
106636	362	1994-12-31	VYDAJ	VYBER	15	32135	SLUZBY	\N	\N
106637	362	1995-01-31	VYDAJ	VYBER	15	21699	SLUZBY	\N	\N
106638	362	1995-02-28	VYDAJ	VYBER	15	26059	SLUZBY	\N	\N
106639	362	1995-03-31	VYDAJ	VYBER	15	21044	SLUZBY	\N	\N
106640	362	1995-04-30	VYDAJ	VYBER	15	28505	SLUZBY	\N	\N
106641	362	1995-05-31	VYDAJ	VYBER	15	30191	SLUZBY	\N	\N
106642	362	1995-06-30	VYDAJ	VYBER	15	38368	SLUZBY	\N	\N
106643	362	1995-07-31	VYDAJ	VYBER	15	35089	SLUZBY	\N	\N
106644	362	1995-08-31	VYDAJ	VYBER	15	35403	SLUZBY	\N	\N
106645	362	1995-09-30	VYDAJ	VYBER	15	35515	SLUZBY	\N	\N
106646	362	1995-10-31	VYDAJ	VYBER	15	29778	SLUZBY	\N	\N
106647	362	1995-11-30	VYDAJ	VYBER	15	31268	SLUZBY	\N	\N
106648	362	1995-12-31	VYDAJ	VYBER	15	33598	SLUZBY	\N	\N
106649	362	1996-01-31	VYDAJ	VYBER	15	22569	SLUZBY	\N	\N
106650	362	1996-02-29	VYDAJ	VYBER	15	26936	SLUZBY	\N	\N
106651	362	1996-03-31	VYDAJ	VYBER	15	30520	SLUZBY	\N	\N
106652	362	1996-04-30	VYDAJ	VYBER	15	28048	SLUZBY	\N	\N
106653	362	1996-05-31	VYDAJ	VYBER	15	28829	SLUZBY	\N	\N
106654	362	1996-06-30	VYDAJ	VYBER	15	34194	SLUZBY	\N	\N
106655	362	1996-07-31	VYDAJ	VYBER	15	31497	SLUZBY	\N	\N
106656	362	1996-08-31	VYDAJ	VYBER	15	37302	SLUZBY	\N	\N
106657	362	1996-09-30	VYDAJ	VYBER	15	33561	SLUZBY	\N	\N
106658	362	1996-10-31	VYDAJ	VYBER	15	37871	SLUZBY	\N	\N
106659	362	1996-11-30	VYDAJ	VYBER	15	38113	SLUZBY	\N	\N
106660	362	1996-12-31	VYDAJ	VYBER	15	35809	SLUZBY	\N	\N
106661	362	1997-01-31	VYDAJ	VYBER	15	23537	SLUZBY	\N	\N
106662	362	1997-02-28	VYDAJ	VYBER	15	31817	SLUZBY	\N	\N
106663	362	1997-03-31	VYDAJ	VYBER	15	32110	SLUZBY	\N	\N
106664	362	1997-04-30	VYDAJ	VYBER	15	35390	SLUZBY	\N	\N
106665	362	1997-05-31	VYDAJ	VYBER	15	33993	SLUZBY	\N	\N
106666	362	1997-06-30	VYDAJ	VYBER	15	42786	SLUZBY	\N	\N
106667	362	1997-07-31	VYDAJ	VYBER	15	40216	SLUZBY	\N	\N
106668	362	1997-08-31	VYDAJ	VYBER	15	41946	SLUZBY	\N	\N
106669	362	1997-09-30	VYDAJ	VYBER	15	46792	SLUZBY	\N	\N
106670	362	1997-10-31	VYDAJ	VYBER	15	47647	SLUZBY	\N	\N
106671	362	1997-11-30	VYDAJ	VYBER	15	42787	SLUZBY	\N	\N
106672	362	1997-12-31	VYDAJ	VYBER	15	46286	SLUZBY	\N	\N
106673	362	1998-01-31	VYDAJ	VYBER	15	18360	SLUZBY	\N	\N
106674	362	1998-02-28	VYDAJ	VYBER	15	28091	SLUZBY	\N	\N
106675	362	1998-03-31	VYDAJ	VYBER	15	41807	SLUZBY	\N	\N
106676	362	1998-04-30	VYDAJ	VYBER	15	42781	SLUZBY	\N	\N
106677	362	1998-05-31	VYDAJ	VYBER	15	48131	SLUZBY	\N	\N
106678	362	1998-06-30	VYDAJ	VYBER	15	45339	SLUZBY	\N	\N
106679	362	1998-07-31	VYDAJ	VYBER	15	50801	SLUZBY	\N	\N
106680	362	1998-08-31	VYDAJ	VYBER	15	56585	SLUZBY	\N	\N
106681	362	1998-09-30	VYDAJ	VYBER	15	56376	SLUZBY	\N	\N
106682	362	1998-10-31	VYDAJ	VYBER	15	55628	SLUZBY	\N	\N
106683	362	1998-11-30	VYDAJ	VYBER	15	57420	SLUZBY	\N	\N
106684	362	1993-05-04	PRIJEM	VKLAD	6300	16767	\N	\N	\N
106685	362	1993-06-03	VYDAJ	VYBER	3400	22991	\N	\N	\N
106686	362	1993-07-03	VYDAJ	VYBER	5500	31939	\N	\N	\N
106687	362	1993-08-02	VYDAJ	VYBER	8000	33647	\N	\N	\N
106688	362	1993-09-01	VYDAJ	VYBER	10200	33151	\N	\N	\N
106689	362	1993-10-01	VYDAJ	VYBER	8400	28073	\N	\N	\N
106690	362	1993-10-31	PRIJEM	VKLAD	1300	27872	\N	\N	\N
106691	362	1993-11-30	VYDAJ	VYBER	800	25046	\N	\N	\N
106692	362	1993-12-30	VYDAJ	VYBER	3800	25198	\N	\N	\N
106693	362	1994-01-29	PRIJEM	VKLAD	2300	23340	\N	\N	\N
106694	362	1994-02-28	VYDAJ	VYBER	1800	24883	\N	\N	\N
106695	362	1994-03-30	PRIJEM	VKLAD	2000	26104	\N	\N	\N
106696	362	1994-04-29	PRIJEM	VKLAD	600	29971	\N	\N	\N
106697	362	1994-05-29	VYDAJ	VYBER	700	27150	\N	\N	\N
106698	362	1994-06-28	VYDAJ	VYBER	2400	30646	\N	\N	\N
106699	362	1994-07-28	VYDAJ	VYBER	1700	32234	\N	\N	\N
106700	362	1994-08-27	VYDAJ	VYBER	3900	31631	\N	\N	\N
106701	362	1994-09-26	VYDAJ	VYBER	2900	32033	\N	\N	\N
106702	362	1994-10-26	VYDAJ	VYBER	3400	31932	\N	\N	\N
106703	362	1994-11-25	PRIJEM	VKLAD	700	34372	\N	\N	\N
106704	362	1994-12-25	VYDAJ	VYBER	5800	36640	\N	\N	\N
106705	362	1995-01-24	PRIJEM	VKLAD	8900	24016	\N	\N	\N
106706	362	1995-02-23	PRIJEM	VKLAD	1100	25980	\N	\N	\N
106707	362	1995-03-25	PRIJEM	VKLAD	6600	27440	\N	\N	\N
106708	362	1995-04-24	PRIJEM	VKLAD	4200	28425	\N	\N	\N
106709	362	1995-05-24	VYDAJ	VYBER	1600	30086	\N	\N	\N
106710	362	1995-06-23	PRIJEM	VKLAD	100	38243	\N	\N	\N
106711	362	1995-07-23	VYDAJ	VYBER	6600	34949	\N	\N	\N
106712	362	1995-08-22	VYDAJ	VYBER	3000	35270	\N	\N	\N
106713	362	1995-09-21	VYDAJ	VYBER	3200	35384	\N	\N	\N
106714	362	1995-10-21	VYDAJ	VYBER	1000	32056	\N	\N	\N
106715	362	1995-11-20	VYDAJ	VYBER	1800	31159	\N	\N	\N
106716	362	1995-12-20	VYDAJ	VYBER	1100	33480	\N	\N	\N
106717	362	1996-01-19	PRIJEM	VKLAD	300	26679	\N	\N	\N
106718	362	1996-02-18	PRIJEM	VKLAD	1100	26850	\N	\N	\N
106719	362	1996-03-19	PRIJEM	VKLAD	300	30417	\N	\N	\N
106720	362	1996-04-18	VYDAJ	VYBER	4800	28901	\N	\N	\N
106721	362	1996-05-18	VYDAJ	VYBER	2500	28729	\N	\N	\N
106722	362	1996-06-17	VYDAJ	VYBER	2700	34081	\N	\N	\N
106723	362	1996-07-17	VYDAJ	VYBER	3000	34375	\N	\N	\N
106724	362	1996-08-16	PRIJEM	VKLAD	2500	37178	\N	\N	\N
106725	362	1996-09-15	PRIJEM	VKLAD	1000	33443	\N	\N	\N
106726	362	1996-10-15	PRIJEM	VKLAD	1000	37742	\N	\N	\N
106727	362	1996-11-14	VYDAJ	VYBER	2000	37972	\N	\N	\N
106728	362	1996-12-14	VYDAJ	VYBER	9600	36465	\N	\N	\N
106729	362	1997-01-13	PRIJEM	VKLAD	6500	20628	\N	\N	\N
106730	362	1997-02-12	PRIJEM	VKLAD	5000	22244	\N	\N	\N
106731	362	1997-03-14	VYDAJ	VYBER	3000	31998	\N	\N	\N
106732	362	1997-04-13	PRIJEM	VKLAD	700	25729	\N	\N	\N
106733	362	1997-05-13	VYDAJ	VYBER	4700	24329	\N	\N	\N
106734	362	1997-06-12	PRIJEM	VKLAD	700	28400	\N	\N	\N
106735	362	1997-07-12	VYDAJ	VYBER	5900	30525	\N	\N	\N
106736	362	1997-08-11	VYDAJ	VYBER	1600	32323	\N	\N	\N
106737	362	1997-09-10	PRIJEM	VKLAD	1500	37153	\N	\N	\N
106738	362	1997-10-10	VYDAJ	VYBER	2500	37999	\N	\N	\N
106739	362	1997-11-09	VYDAJ	VYBER	8200	33154	\N	\N	\N
106740	362	1997-12-09	VYDAJ	VYBER	1900	40887	\N	\N	\N
106741	362	1998-01-08	PRIJEM	VKLAD	5600	33566	\N	\N	\N
106742	362	1998-02-07	PRIJEM	VKLAD	10300	28660	\N	\N	\N
106743	362	1998-03-09	PRIJEM	VKLAD	10400	38491	\N	\N	\N
106744	362	1998-04-08	PRIJEM	VKLAD	1000	42807	\N	\N	\N
106745	362	1998-05-08	PRIJEM	VKLAD	2000	44781	\N	\N	\N
106746	362	1998-06-07	PRIJEM	VKLAD	9700	37231	\N	\N	\N
106747	362	1998-07-07	PRIJEM	VKLAD	2100	47439	\N	\N	\N
106748	362	1998-08-06	PRIJEM	VKLAD	2400	53201	\N	\N	\N
106749	362	1998-09-05	VYDAJ	VYBER	3600	52985	\N	\N	\N
106750	362	1998-10-05	VYDAJ	VYBER	3300	53076	\N	\N	\N
106751	362	1998-11-04	VYDAJ	VYBER	1600	54028	\N	\N	\N
106752	362	1998-12-04	PRIJEM	VKLAD	2200	59620	\N	\N	\N
106822	363	1994-05-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
106823	363	1994-09-14	PRIJEM	VKLAD	12824	53543	\N	\N	\N
106824	363	1994-07-26	PRIJEM	VKLAD	48411	85629	\N	\N	\N
106825	363	1994-06-03	PRIJEM	VKLAD	40998	41998	\N	\N	\N
106826	363	1994-06-23	PRIJEM	VKLAD	17587	48985	\N	\N	\N
106827	363	1995-12-26	PRIJEM	VKLAD	38422	124389	\N	\N	\N
106828	363	1995-12-18	PRIJEM	VKLAD	31524	85967	\N	\N	\N
106829	363	1995-06-30	PRIJEM	VKLAD	37399	112888	\N	\N	\N
106830	363	1995-04-03	PRIJEM	VKLAD	49327	82733	\N	\N	\N
106831	363	1995-05-21	PRIJEM	VKLAD	35664	105200	\N	\N	\N
106832	363	1995-12-07	PRIJEM	VKLAD	16062	75907	\N	\N	\N
106833	363	1995-08-07	PRIJEM	VKLAD	27483	81729	\N	\N	\N
106834	363	1995-08-19	PRIJEM	VKLAD	43265	122233	\N	\N	\N
106835	363	1995-11-25	PRIJEM	VKLAD	9805	105575	\N	\N	\N
106836	363	1995-05-16	PRIJEM	VKLAD	41599	69536	\N	\N	\N
106837	363	1995-08-02	PRIJEM	VKLAD	16712	58146	\N	\N	\N
106838	363	1995-11-19	PRIJEM	VKLAD	30929	95770	\N	\N	\N
106839	363	1995-06-02	PRIJEM	VKLAD	30125	68889	\N	\N	\N
106840	363	1995-03-19	PRIJEM	VKLAD	11653	34928	\N	\N	\N
106841	363	1995-11-06	PRIJEM	VKLAD	36751	78041	\N	\N	\N
106842	363	1995-07-07	PRIJEM	VKLAD	27280	83953	\N	\N	\N
106843	363	1995-06-16	PRIJEM	VKLAD	6294	75183	\N	\N	\N
106844	363	1995-02-26	PRIJEM	VKLAD	13257	38837	\N	\N	\N
106845	363	1995-08-31	PRIJEM	VKLAD	15903	63536	\N	\N	\N
106846	363	1995-01-12	PRIJEM	VKLAD	17048	42342	\N	\N	\N
106847	363	1995-09-05	PRIJEM	VKLAD	25874	89757	\N	\N	\N
106848	363	1995-02-27	PRIJEM	VKLAD	24461	63298	\N	\N	\N
106849	363	1996-05-19	PRIJEM	VKLAD	36781	64737	\N	\N	\N
106850	363	1996-04-05	PRIJEM	VKLAD	26443	55228	\N	\N	\N
106851	363	1996-06-26	PRIJEM	VKLAD	22580	52480	\N	\N	\N
106852	363	1996-09-24	PRIJEM	VKLAD	47891	107182	\N	\N	\N
106853	363	1996-08-27	PRIJEM	VKLAD	28950	84525	\N	\N	\N
106854	363	1996-10-10	PRIJEM	VKLAD	45307	116787	\N	\N	\N
106855	363	1996-07-05	PRIJEM	VKLAD	6424	59082	\N	\N	\N
106856	363	1996-07-06	PRIJEM	VKLAD	29100	88182	\N	\N	\N
106857	363	1996-09-25	PRIJEM	VKLAD	9288	116470	\N	\N	\N
106858	363	1996-10-23	PRIJEM	VKLAD	43469	112156	\N	\N	\N
106859	363	1996-10-01	PRIJEM	VKLAD	35973	125680	\N	\N	\N
106860	363	1996-01-18	PRIJEM	VKLAD	34924	76875	\N	\N	\N
106861	363	1996-08-04	PRIJEM	VKLAD	15697	75575	\N	\N	\N
106862	363	1996-02-16	PRIJEM	VKLAD	47052	76413	\N	\N	\N
106863	363	1997-05-14	PRIJEM	VKLAD	6812	44603	\N	\N	\N
106864	363	1997-03-12	PRIJEM	VKLAD	38800	67532	\N	\N	\N
106865	363	1997-03-26	PRIJEM	VKLAD	6255	58787	\N	\N	\N
106866	363	1997-08-03	PRIJEM	VKLAD	46910	99665	\N	\N	\N
106867	363	1997-06-07	PRIJEM	VKLAD	17303	71046	\N	\N	\N
106868	363	1997-01-31	PRIJEM	VKLAD	38868	72382	\N	\N	\N
106869	363	1997-11-08	PRIJEM	VKLAD	12711	80058	\N	\N	\N
106870	363	1997-09-15	PRIJEM	VKLAD	22609	114945	\N	\N	\N
106871	363	1997-12-02	PRIJEM	VKLAD	47018	92499	\N	\N	\N
106872	363	1997-06-04	PRIJEM	VKLAD	22108	53743	\N	\N	\N
106873	363	1997-06-08	PRIJEM	VKLAD	49123	120169	\N	\N	\N
106874	363	1997-08-01	PRIJEM	VKLAD	10583	52755	\N	\N	\N
106875	363	1997-08-27	PRIJEM	VKLAD	31115	91977	\N	\N	\N
106876	363	1997-08-14	PRIJEM	VKLAD	34949	151262	\N	\N	\N
106877	363	1997-08-13	PRIJEM	VKLAD	38348	138013	\N	\N	\N
106878	363	1997-01-03	PRIJEM	VKLAD	36519	78814	\N	\N	\N
106879	363	1997-09-20	PRIJEM	VKLAD	20770	93915	\N	\N	\N
106880	363	1998-07-26	PRIJEM	VKLAD	25878	133842	\N	\N	\N
106881	363	1998-02-22	PRIJEM	VKLAD	29917	94712	\N	\N	\N
106882	363	1998-06-17	PRIJEM	VKLAD	23259	83693	\N	\N	\N
106883	363	1998-11-07	PRIJEM	VKLAD	48731	159355	\N	\N	\N
106884	363	1998-11-24	PRIJEM	VKLAD	34049	103804	\N	\N	\N
106885	363	1998-06-07	PRIJEM	VKLAD	24046	125634	\N	\N	\N
106886	363	1998-09-13	PRIJEM	VKLAD	20732	81590	\N	\N	\N
106887	363	1998-10-31	PRIJEM	VKLAD	28847	110261	\N	\N	\N
106888	363	1998-01-04	PRIJEM	VKLAD	15798	78810	\N	\N	\N
106889	363	1998-12-29	PRIJEM	VKLAD	46162	103128	\N	\N	\N
106890	363	1998-12-11	PRIJEM	VKLAD	7132	116871	\N	\N	\N
106891	363	1998-08-17	PRIJEM	VKLAD	17582	134998	\N	\N	\N
106892	363	1998-06-29	PRIJEM	VKLAD	14654	98347	\N	\N	\N
106893	363	1998-03-20	PRIJEM	VKLAD	38018	113381	\N	\N	\N
106894	363	1998-08-23	PRIJEM	VKLAD	43212	162310	\N	\N	\N
106895	363	1998-04-16	PRIJEM	VKLAD	21726	70230	\N	\N	\N
106896	363	1998-10-12	PRIJEM	VKLAD	46722	116014	\N	\N	\N
106897	363	1998-12-06	PRIJEM	VKLAD	9566	111376	\N	\N	\N
106898	363	1998-04-29	PRIJEM	VKLAD	38556	108786	\N	\N	\N
106899	363	1998-07-24	PRIJEM	VKLAD	37522	107964	\N	\N	\N
106900	363	1998-08-15	PRIJEM	VKLAD	33187	117416	\N	\N	\N
106901	363	1998-12-06	PRIJEM	VKLAD	16463	127839	\N	\N	\N
106902	363	1998-02-03	PRIJEM	VKLAD	44074	81495	\N	\N	\N
106903	363	1998-05-27	PRIJEM	VKLAD	28165	101202	\N	\N	\N
106904	363	1998-08-08	PRIJEM	VKLAD	47810	134429	\N	\N	\N
106915	363	1995-05-22	VYBER	VYBER	5876	68624	\N	\N	\N
106916	363	1995-08-16	VYBER	VYBER	2761	78968	\N	\N	\N
106917	363	1995-07-18	VYBER	VYBER	24166	53498	\N	\N	\N
106918	363	1995-07-17	VYBER	VYBER	6289	77664	\N	\N	\N
106919	363	1995-06-01	VYBER	VYBER	9215	38764	\N	\N	\N
106920	363	1995-09-18	VYBER	VYBER	3362	86395	\N	\N	\N
106921	363	1995-12-09	VYBER	VYBER	17564	58343	\N	\N	\N
106922	363	1995-03-15	VYBER	VYBER	22726	23275	\N	\N	\N
106923	363	1995-04-23	VYBER	VYBER	11801	68532	\N	\N	\N
106924	363	1995-05-12	VYBER	VYBER	6539	27937	\N	\N	\N
106925	363	1995-05-11	VYBER	VYBER	3231	47896	\N	\N	\N
106926	363	1995-05-12	VYBER	VYBER	13420	34476	\N	\N	\N
106929	363	1996-05-02	VYBER	VYBER	6163	27956	\N	\N	\N
106930	363	1996-02-27	VYBER	VYBER	11920	31793	\N	\N	\N
106932	363	1996-09-06	VYBER	VYBER	2581	82191	\N	\N	\N
106933	363	1996-04-16	VYBER	VYBER	16132	33696	\N	\N	\N
106934	363	1996-12-04	VYBER	VYBER	8496	43328	\N	\N	\N
106935	363	1997-11-25	VYBER	VYBER	14111	45247	\N	\N	\N
106936	363	1998-04-06	VYBER	VYBER	6475	48604	\N	\N	\N
106937	363	1998-12-21	VYBER	VYBER	18905	56966	\N	\N	\N
106938	363	1998-09-06	VYBER	VYBER	7522	64358	\N	\N	\N
106939	363	1998-07-12	VYBER	VYBER	3232	95442	\N	\N	\N
106940	363	1998-08-27	VYBER	VYBER	8558	71452	\N	\N	\N
106943	363	1996-06-17	VYDAJ	VYBER	20100	26700	\N	\N	\N
106947	363	1995-01-18	VYDAJ	VYBER	16800	25542	\N	\N	\N
106948	363	1996-01-22	VYDAJ	VYBER	27600	45075	\N	\N	\N
106949	363	1997-01-13	VYDAJ	VYBER	22800	48514	\N	\N	\N
106950	363	1998-01-17	VYDAJ	VYBER	9600	46510	\N	\N	\N
106952	363	1995-12-17	VYDAJ	VYBER	3900	54443	\N	\N	\N
106953	363	1996-12-03	VYDAJ	VYBER	3600	51824	\N	\N	\N
106954	363	1997-12-25	VYDAJ	VYBER	3000	62799	\N	\N	\N
106955	363	1998-12-20	VYDAJ	VYBER KARTOU	1500	75871	\N	\N	0
106964	363	1995-01-21	VYDAJ	VYBER	6300	19242	\N	\N	\N
106968	363	1996-01-22	VYDAJ	VYBER	2100	42975	\N	\N	\N
106969	363	1996-01-13	VYDAJ	VYBER	5700	41951	\N	\N	\N
106970	363	1996-01-10	VYDAJ	VYBER	3900	47651	\N	\N	\N
106971	363	1996-01-18	VYDAJ	VYBER	2700	74175	\N	\N	\N
106972	363	1996-01-21	VYDAJ	VYBER	1500	72675	\N	\N	\N
106973	363	1996-01-26	VYDAJ	VYBER	2400	40575	\N	\N	\N
106974	363	1997-01-16	VYDAJ	VYBER	1500	44614	\N	\N	\N
106975	363	1997-01-12	VYDAJ	VYBER	3900	71314	\N	\N	\N
106976	363	1997-01-08	VYDAJ	VYBER	3600	75214	\N	\N	\N
106977	363	1997-01-19	VYDAJ	VYBER	5700	38914	\N	\N	\N
106978	363	1997-01-13	VYDAJ	VYBER	2400	46114	\N	\N	\N
106979	363	1997-01-22	VYDAJ	VYBER	4200	33514	\N	\N	\N
106980	363	1998-01-06	VYDAJ	VYBER	5700	69510	\N	\N	\N
106981	363	1998-01-13	VYDAJ	VYBER	2100	67410	\N	\N	\N
106982	363	1998-01-14	VYDAJ	VYBER	1800	65610	\N	\N	\N
106983	363	1998-01-26	VYDAJ	VYBER	3900	37210	\N	\N	\N
106984	363	1998-01-25	VYDAJ	VYBER	5400	41110	\N	\N	\N
106985	363	1998-01-04	VYDAJ	VYBER	3600	75210	\N	\N	\N
106993	363	1995-11-07	VYDAJ	VYBER	13200	64841	\N	\N	\N
106994	363	1995-08-29	VYDAJ	VYBER	13500	70833	\N	\N	\N
106995	363	1995-11-29	VYDAJ	VYBER	3900	59575	\N	\N	\N
106996	363	1995-04-03	VYDAJ	VYBER	2400	80333	\N	\N	\N
106997	363	1995-08-03	VYDAJ	VYBER	3900	54246	\N	\N	\N
106999	363	1996-03-24	VYDAJ	VYBER	2700	29270	\N	\N	\N
107000	363	1996-11-20	VYDAJ	VYBER	14700	72921	\N	\N	\N
107001	363	1996-02-11	VYDAJ	VYBER	1800	29361	\N	\N	\N
107002	363	1996-02-26	VYDAJ	VYBER	8700	43713	\N	\N	\N
107003	363	1996-04-13	VYDAJ	VYBER	5400	49828	\N	\N	\N
107005	363	1997-12-21	VYDAJ	VYBER	3300	65799	\N	\N	\N
107006	363	1997-02-27	VYDAJ	VYBER	14700	41356	\N	\N	\N
107007	363	1997-06-11	VYDAJ	VYBER	5100	89569	\N	\N	\N
107008	363	1997-03-10	VYDAJ	VYBER	12900	28732	\N	\N	\N
107009	363	1997-04-05	VYDAJ	VYBER	12900	46095	\N	\N	\N
107010	363	1997-05-23	VYDAJ	VYBER	5100	31503	\N	\N	\N
107011	363	1998-12-16	VYDAJ	VYBER	14400	77371	\N	\N	\N
107012	363	1998-10-01	VYDAJ	VYBER	12600	69292	\N	\N	\N
107013	363	1998-11-25	VYDAJ	VYBER KARTOU	2400	101404	\N	\N	0
107015	363	1998-11-23	VYDAJ	VYBER	12600	69755	\N	\N	\N
107016	363	1998-02-10	VYDAJ	VYBER	7500	73995	\N	\N	\N
107017	363	1998-08-25	VYDAJ	VYBER	8400	137210	\N	\N	\N
107018	363	1998-05-18	VYDAJ	VYBER	6600	73037	\N	\N	\N
107032	363	1995-01-31	VYDAJ	VYBER	15	25580	SLUZBY	\N	\N
107033	363	1995-02-28	VYDAJ	VYBER	15	63401	SLUZBY	\N	\N
107034	363	1995-03-31	VYDAJ	VYBER	15	35106	SLUZBY	\N	\N
107035	363	1995-04-30	VYDAJ	VYBER	15	68827	SLUZBY	\N	\N
107036	363	1995-05-31	VYDAJ	VYBER	15	68879	SLUZBY	\N	\N
107037	363	1995-06-30	VYDAJ	VYBER	15	112873	SLUZBY	\N	\N
107038	363	1995-07-31	VYDAJ	VYBER	15	41434	SLUZBY	\N	\N
107039	363	1995-08-31	VYDAJ	VYBER	15	63883	SLUZBY	\N	\N
107040	363	1995-09-30	VYDAJ	VYBER	15	56373	SLUZBY	\N	\N
107041	363	1995-10-31	VYDAJ	VYBER	15	41290	SLUZBY	\N	\N
107042	363	1995-11-30	VYDAJ	VYBER	15	59845	SLUZBY	\N	\N
107043	363	1995-12-31	VYDAJ	VYBER	15	51551	SLUZBY	\N	\N
107044	363	1996-01-31	VYDAJ	VYBER	15	31161	SLUZBY	\N	\N
107045	363	1996-02-29	VYDAJ	VYBER	15	31970	SLUZBY	\N	\N
107046	363	1996-03-31	VYDAJ	VYBER	15	28785	SLUZBY	\N	\N
107047	363	1996-04-30	VYDAJ	VYBER	15	34119	SLUZBY	\N	\N
107048	363	1996-05-31	VYDAJ	VYBER	15	46800	SLUZBY	\N	\N
107049	363	1996-06-30	VYDAJ	VYBER	15	52658	SLUZBY	\N	\N
107050	363	1996-07-31	VYDAJ	VYBER	15	59878	SLUZBY	\N	\N
107051	363	1996-08-31	VYDAJ	VYBER	15	84772	SLUZBY	\N	\N
107052	363	1996-09-30	VYDAJ	VYBER	15	89707	SLUZBY	\N	\N
107053	363	1996-10-31	VYDAJ	VYBER	15	87621	SLUZBY	\N	\N
107054	363	1996-11-30	VYDAJ	VYBER	15	55424	SLUZBY	\N	\N
107055	363	1996-12-31	VYDAJ	VYBER	15	42295	SLUZBY	\N	\N
107056	363	1997-01-31	VYDAJ	VYBER	15	72556	SLUZBY	\N	\N
107057	363	1997-02-28	VYDAJ	VYBER	15	41632	SLUZBY	\N	\N
107058	363	1997-03-31	VYDAJ	VYBER	15	58995	SLUZBY	\N	\N
107059	363	1997-04-30	VYDAJ	VYBER	15	37791	SLUZBY	\N	\N
107060	363	1997-05-31	VYDAJ	VYBER	15	31635	SLUZBY	\N	\N
107061	363	1997-06-30	VYDAJ	VYBER	15	61138	SLUZBY	\N	\N
107062	363	1997-07-31	VYDAJ	VYBER	15	42172	SLUZBY	\N	\N
107063	363	1997-08-31	VYDAJ	VYBER	15	92336	SLUZBY	\N	\N
107064	363	1997-09-30	VYDAJ	VYBER	15	94276	SLUZBY	\N	\N
107065	363	1997-10-31	VYDAJ	VYBER	15	67347	SLUZBY	\N	\N
107066	363	1997-11-30	VYDAJ	VYBER	15	45481	SLUZBY	\N	\N
107067	363	1997-12-31	VYDAJ	VYBER	15	63012	SLUZBY	\N	\N
107068	363	1998-01-31	VYDAJ	VYBER	15	37421	SLUZBY	\N	\N
107069	363	1998-02-28	VYDAJ	VYBER	15	94963	SLUZBY	\N	\N
107070	363	1998-03-31	VYDAJ	VYBER	15	113779	SLUZBY	\N	\N
107071	363	1998-04-30	VYDAJ	VYBER	15	109037	SLUZBY	\N	\N
107072	363	1998-05-31	VYDAJ	VYBER	15	101588	SLUZBY	\N	\N
107073	363	1998-06-30	VYDAJ	VYBER	15	98674	SLUZBY	\N	\N
107074	363	1998-07-31	VYDAJ	VYBER	15	86619	SLUZBY	\N	\N
107075	363	1998-08-31	VYDAJ	VYBER	15	71880	SLUZBY	\N	\N
107076	363	1998-09-30	VYDAJ	VYBER	15	81892	SLUZBY	\N	\N
107077	363	1998-10-31	VYDAJ	VYBER	15	110624	SLUZBY	\N	\N
107078	363	1998-11-30	VYDAJ	VYBER	15	101810	SLUZBY	\N	\N
107079	363	1994-06-05	VYDAJ	VYBER	10600	31398	\N	\N	\N
107080	363	1994-07-05	VYDAJ	VYBER	11900	37218	\N	\N	\N
107081	363	1994-08-04	VYDAJ	VYBER	28200	57663	\N	\N	\N
107082	363	1994-09-03	VYDAJ	VYBER	17300	40719	\N	\N	\N
107083	363	1994-10-03	VYDAJ	VYBER	16200	37624	\N	\N	\N
107084	363	1994-11-02	VYDAJ	VYBER	6300	31548	\N	\N	\N
107085	363	1994-12-02	VYDAJ	VYBER	5200	26571	\N	\N	\N
107086	363	1995-01-01	VYDAJ	VYBER	1500	25294	\N	\N	\N
107087	363	1995-01-31	PRIJEM	VKLAD	6200	25595	\N	\N	\N
107088	363	1995-03-02	VYDAJ	VYBER	17400	46001	\N	\N	\N
107089	363	1995-04-01	VYDAJ	VYBER	1700	33406	\N	\N	\N
107090	363	1995-05-01	VYDAJ	VYBER	17700	51127	\N	\N	\N
107091	363	1995-05-21	VYDAJ	VYBER	30700	74500	\N	\N	\N
107092	363	1995-05-31	VYDAJ	VYBER	20900	47979	\N	\N	\N
107093	363	1995-06-30	VYDAJ	VYBER	30800	82073	\N	\N	\N
107094	363	1995-06-30	VYDAJ	VYBER	25400	56673	\N	\N	\N
107095	363	1995-07-30	VYDAJ	VYBER	12400	41098	\N	\N	\N
107096	363	1995-08-19	VYDAJ	VYBER	37900	84333	\N	\N	\N
107097	363	1995-08-29	VYDAJ	VYBER	23200	47633	\N	\N	\N
107098	363	1995-09-28	VYDAJ	VYBER	30300	56095	\N	\N	\N
107099	363	1995-10-28	VYDAJ	VYBER	15300	41073	\N	\N	\N
107100	363	1995-11-27	VYDAJ	VYBER	42100	63475	\N	\N	\N
107101	363	1995-12-26	VYDAJ	VYBER	45700	78689	\N	\N	\N
107102	363	1995-12-27	VYDAJ	VYBER	27400	51289	\N	\N	\N
107103	363	1996-01-26	VYDAJ	VYBER	9600	30975	\N	\N	\N
107104	363	1996-02-25	VYDAJ	VYBER	24000	52413	\N	\N	\N
107105	363	1996-03-26	VYDAJ	VYBER	600	28670	\N	\N	\N
107106	363	1996-04-25	PRIJEM	VKLAD	300	33996	\N	\N	\N
107107	363	1996-05-25	VYDAJ	VYBER	18100	46637	\N	\N	\N
107108	363	1996-06-24	PRIJEM	VKLAD	3200	29900	\N	\N	\N
107109	363	1996-07-24	VYDAJ	VYBER	28600	59582	\N	\N	\N
107110	363	1996-08-23	VYDAJ	VYBER	20000	55575	\N	\N	\N
107111	363	1996-09-22	VYDAJ	VYBER	22900	59291	\N	\N	\N
107112	363	1996-09-25	VYDAJ	VYBER	27100	89370	\N	\N	\N
107113	363	1996-10-01	VYDAJ	VYBER	54200	71480	\N	\N	\N
107114	363	1996-10-10	VYDAJ	VYBER	15200	101587	\N	\N	\N
107115	363	1996-10-22	VYDAJ	VYBER	32900	68687	\N	\N	\N
107116	363	1996-10-31	VYDAJ	VYBER	25000	87636	\N	\N	\N
107117	363	1996-11-21	VYDAJ	VYBER	17800	55121	\N	\N	\N
107118	363	1996-12-21	VYDAJ	VYBER	1200	42128	\N	\N	\N
107119	363	1997-01-20	VYDAJ	VYBER	1200	37714	\N	\N	\N
107120	363	1997-02-19	VYDAJ	VYBER	16500	56056	\N	\N	\N
107121	363	1997-03-21	VYDAJ	VYBER	15000	52532	\N	\N	\N
107122	363	1997-04-20	VYDAJ	VYBER	8500	37595	\N	\N	\N
107123	363	1997-05-20	VYDAJ	VYBER	8000	36603	\N	\N	\N
107124	363	1997-06-08	VYDAJ	VYBER	25500	94669	\N	\N	\N
107125	363	1997-06-19	VYDAJ	VYBER	28700	60869	\N	\N	\N
107126	363	1997-07-19	VYDAJ	VYBER	19200	41938	\N	\N	\N
107127	363	1997-08-13	VYDAJ	VYBER	21700	116313	\N	\N	\N
107128	363	1997-08-14	VYDAJ	VYBER	55500	95762	\N	\N	\N
107129	363	1997-08-18	VYDAJ	VYBER	34900	60862	\N	\N	\N
107130	363	1997-09-17	VYDAJ	VYBER	41800	73145	\N	\N	\N
107131	363	1997-10-17	VYDAJ	VYBER	27300	66976	\N	\N	\N
107132	363	1997-11-16	VYDAJ	VYBER	20700	59358	\N	\N	\N
107133	363	1997-12-16	VYDAJ	VYBER	23400	69099	\N	\N	\N
107134	363	1998-01-15	VYDAJ	VYBER	9500	56110	\N	\N	\N
107135	363	1998-02-14	VYDAJ	VYBER	9200	64795	\N	\N	\N
107136	363	1998-03-16	VYDAJ	VYBER	19600	75363	\N	\N	\N
107137	363	1998-03-31	VYDAJ	VYBER	58700	55079	\N	\N	\N
107138	363	1998-04-15	VYDAJ	VYBER KARTOU	100	48504	\N	\N	0
107139	363	1998-05-15	VYDAJ	VYBER	29400	79637	\N	\N	\N
107140	363	1998-06-07	VYDAJ	VYBER	53800	71834	\N	\N	\N
107141	363	1998-06-14	VYDAJ	VYBER	11400	60434	\N	\N	\N
107142	363	1998-07-14	VYDAJ	VYBER	25000	70442	\N	\N	\N
107143	363	1998-07-26	VYDAJ	VYBER	47600	86242	\N	\N	\N
107144	363	1998-08-08	VYDAJ	VYBER	17900	116529	\N	\N	\N
107145	363	1998-08-13	VYDAJ	VYBER	32300	84229	\N	\N	\N
107146	363	1998-08-17	VYDAJ	VYBER	15900	119098	\N	\N	\N
107147	363	1998-08-23	VYDAJ	VYBER	16700	145610	\N	\N	\N
107148	363	1998-08-25	VYDAJ	VYBER	57200	80010	\N	\N	\N
107149	363	1998-09-12	VYDAJ	VYBER KARTOU	3500	60858	\N	\N	0
107150	363	1998-10-12	VYDAJ	VYBER	15900	81414	\N	\N	\N
107151	363	1998-10-12	VYDAJ	VYBER	18700	97314	\N	\N	\N
107152	363	1998-11-07	VYDAJ	VYBER	48700	110655	\N	\N	\N
107153	363	1998-11-11	VYDAJ	VYBER	28300	82355	\N	\N	\N
107154	363	1998-12-06	VYDAJ	VYBER	18100	109739	\N	\N	\N
107155	363	1998-12-11	VYDAJ	VYBER	25100	91771	\N	\N	\N
107211	364	1997-01-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
107213	364	1997-02-08	PRIJEM	PREVOD Z UCTU	3332	4432	\N	UV	18032276
107214	364	1997-03-08	PRIJEM	PREVOD Z UCTU	3332	7764	\N	UV	18032276
107215	364	1997-04-08	PRIJEM	PREVOD Z UCTU	3332	11096	\N	UV	18032276
107886	365	1994-11-30	VYDAJ	VYBER	15	13483	SLUZBY	\N	\N
107216	364	1997-05-08	PRIJEM	PREVOD Z UCTU	3332	14428	\N	UV	18032276
107217	364	1997-06-08	PRIJEM	PREVOD Z UCTU	3332	17760	\N	UV	18032276
107218	364	1997-07-08	PRIJEM	PREVOD Z UCTU	3332	18709	\N	UV	18032276
107219	364	1997-08-08	PRIJEM	PREVOD Z UCTU	3332	19882	\N	UV	18032276
107220	364	1997-09-08	PRIJEM	PREVOD Z UCTU	3332	20489	\N	UV	18032276
107221	364	1997-10-08	PRIJEM	PREVOD Z UCTU	3332	21669	\N	UV	18032276
107222	364	1997-11-08	PRIJEM	PREVOD Z UCTU	3332	21474	\N	UV	18032276
107223	364	1997-12-08	PRIJEM	PREVOD Z UCTU	3332	22659	\N	UV	18032276
107224	364	1998-01-08	PRIJEM	PREVOD Z UCTU	3332	22378	\N	UV	18032276
107225	364	1998-02-08	PRIJEM	PREVOD Z UCTU	3332	22457	\N	UV	18032276
107226	364	1998-03-08	PRIJEM	PREVOD Z UCTU	3332	23646	\N	UV	18032276
107227	364	1998-04-08	PRIJEM	PREVOD Z UCTU	3332	24359	\N	UV	18032276
107228	364	1998-05-08	PRIJEM	PREVOD Z UCTU	3332	25556	\N	UV	18032276
107229	364	1998-06-08	PRIJEM	PREVOD Z UCTU	3332	26757	\N	UV	18032276
107230	364	1998-07-08	PRIJEM	PREVOD Z UCTU	3332	24389	\N	UV	18032276
107231	364	1998-08-08	PRIJEM	PREVOD Z UCTU	3332	24445	\N	UV	18032276
107232	364	1998-09-08	PRIJEM	PREVOD Z UCTU	3332	25402	\N	UV	18032276
107233	364	1998-10-08	PRIJEM	PREVOD Z UCTU	3332	26603	\N	UV	18032276
107234	364	1998-11-08	PRIJEM	PREVOD Z UCTU	3332	27809	\N	UV	18032276
107235	364	1998-12-08	PRIJEM	PREVOD Z UCTU	3332	27728	\N	UV	18032276
107242	364	1997-07-06	VYDAJ	PREVOD NA UCET	2221	15377	SIPO	ST	39232927
107243	364	1997-08-06	VYDAJ	PREVOD NA UCET	2221	16550	SIPO	ST	39232927
107244	364	1997-09-06	VYDAJ	PREVOD NA UCET	2221	17157	SIPO	ST	39232927
107245	364	1997-10-06	VYDAJ	PREVOD NA UCET	2221	18337	SIPO	ST	39232927
107246	364	1997-11-06	VYDAJ	PREVOD NA UCET	2221	18142	SIPO	ST	39232927
107247	364	1997-12-06	VYDAJ	PREVOD NA UCET	2221	19327	SIPO	ST	39232927
107248	364	1998-01-06	VYDAJ	PREVOD NA UCET	2221	19046	SIPO	ST	39232927
107249	364	1998-02-06	VYDAJ	PREVOD NA UCET	2221	20235	SIPO	ST	39232927
107250	364	1998-03-06	VYDAJ	PREVOD NA UCET	2221	20314	SIPO	ST	39232927
107251	364	1998-04-06	VYDAJ	PREVOD NA UCET	2221	21027	SIPO	ST	39232927
107252	364	1998-05-06	VYDAJ	PREVOD NA UCET	2221	22224	SIPO	ST	39232927
107253	364	1998-06-06	VYDAJ	PREVOD NA UCET	2221	23425	SIPO	ST	39232927
107254	364	1998-07-06	VYDAJ	PREVOD NA UCET	2221	21057	SIPO	ST	39232927
107255	364	1998-08-06	VYDAJ	PREVOD NA UCET	2221	21113	SIPO	ST	39232927
107256	364	1998-09-06	VYDAJ	PREVOD NA UCET	2221	22070	SIPO	ST	39232927
107257	364	1998-10-06	VYDAJ	PREVOD NA UCET	2221	23271	SIPO	ST	39232927
107258	364	1998-11-06	VYDAJ	PREVOD NA UCET	2221	24477	SIPO	ST	39232927
107259	364	1998-12-06	VYDAJ	PREVOD NA UCET	2221	24396	SIPO	ST	39232927
107261	364	1998-06-21	VYDAJ	VYBER	3570	23187	\N	\N	\N
107263	364	1998-01-02	VYDAJ	VYBER	900	21267	\N	\N	\N
107264	364	1997-12-20	VYDAJ	VYBER	570	22089	\N	\N	\N
107265	364	1998-12-03	VYDAJ	VYBER	600	26617	\N	\N	\N
107266	364	1997-10-27	VYDAJ	VYBER	690	20979	\N	\N	\N
107267	364	1997-07-01	VYDAJ	VYBER	150	17598	\N	\N	\N
107268	364	1997-10-29	VYDAJ	VYBER	690	20289	\N	\N	\N
107269	364	1997-08-16	VYDAJ	VYBER	570	19312	\N	\N	\N
107270	364	1998-07-25	VYDAJ	VYBER	1140	23249	\N	\N	\N
107271	364	1998-12-17	VYDAJ	VYBER	960	26768	\N	\N	\N
107272	364	1998-03-16	VYDAJ	VYBER	480	23166	\N	\N	\N
107273	364	1998-11-09	VYDAJ	VYBER	690	27119	\N	\N	\N
107274	364	1998-02-07	VYDAJ	VYBER	1110	19125	\N	\N	\N
107275	364	1998-08-27	VYDAJ	VYBER	240	24205	\N	\N	\N
107282	364	1997-06-30	VYDAJ	VYBER	15	17748	SLUZBY	\N	\N
107283	364	1997-07-31	VYDAJ	VYBER	15	18771	SLUZBY	\N	\N
107284	364	1997-08-31	VYDAJ	VYBER	15	19378	SLUZBY	\N	\N
107285	364	1997-09-30	VYDAJ	VYBER	15	20558	SLUZBY	\N	\N
107286	364	1997-10-31	VYDAJ	VYBER	15	20363	SLUZBY	\N	\N
107287	364	1997-11-30	VYDAJ	VYBER	15	21548	SLUZBY	\N	\N
107288	364	1997-12-31	VYDAJ	VYBER	15	22167	SLUZBY	\N	\N
107289	364	1998-01-31	VYDAJ	VYBER	15	22456	SLUZBY	\N	\N
107290	364	1998-02-28	VYDAJ	VYBER	15	22535	SLUZBY	\N	\N
107291	364	1998-03-31	VYDAJ	VYBER	15	23248	SLUZBY	\N	\N
107292	364	1998-04-30	VYDAJ	VYBER	15	24445	SLUZBY	\N	\N
107293	364	1998-05-31	VYDAJ	VYBER	15	25646	SLUZBY	\N	\N
107294	364	1998-06-30	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
107295	364	1998-07-31	VYDAJ	VYBER	15	23334	SLUZBY	\N	\N
107296	364	1998-08-31	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
107297	364	1998-09-30	VYDAJ	VYBER	15	25492	SLUZBY	\N	\N
107298	364	1998-10-31	VYDAJ	VYBER	15	26698	SLUZBY	\N	\N
107299	364	1998-11-30	VYDAJ	VYBER	15	27217	SLUZBY	\N	\N
107319	365	1993-12-12	PRIJEM	VKLAD	200	200	\N	\N	\N
107332	365	1994-01-06	PRIJEM	PREVOD Z UCTU	17660	17860	\N	GH	49404096
107333	365	1994-02-06	PRIJEM	PREVOD Z UCTU	17660	40585	\N	GH	49404096
107334	365	1994-03-06	PRIJEM	PREVOD Z UCTU	17660	50468	\N	GH	49404096
107335	365	1994-04-06	PRIJEM	PREVOD Z UCTU	17660	56380	\N	GH	49404096
107336	365	1994-05-06	PRIJEM	PREVOD Z UCTU	17660	60311	\N	GH	49404096
107337	365	1994-06-06	PRIJEM	PREVOD Z UCTU	26490	38933	\N	GH	49404096
107338	365	1994-07-06	PRIJEM	PREVOD Z UCTU	17660	38352	\N	GH	49404096
107339	365	1994-08-06	PRIJEM	PREVOD Z UCTU	17660	33488	\N	GH	49404096
107340	365	1994-09-06	PRIJEM	PREVOD Z UCTU	17660	32615	\N	GH	49404096
107341	365	1994-10-06	PRIJEM	PREVOD Z UCTU	17660	33822	\N	GH	49404096
107342	365	1994-11-06	PRIJEM	PREVOD Z UCTU	17660	31317	\N	GH	49404096
107343	365	1994-12-06	PRIJEM	PREVOD Z UCTU	26490	39968	\N	GH	49404096
107344	365	1995-01-06	PRIJEM	PREVOD Z UCTU	17660	36379	\N	GH	49404096
107345	365	1995-02-06	PRIJEM	PREVOD Z UCTU	17660	32668	\N	GH	49404096
107346	365	1995-03-06	PRIJEM	PREVOD Z UCTU	17660	37103	\N	GH	49404096
107347	365	1995-04-06	PRIJEM	PREVOD Z UCTU	17660	34311	\N	GH	49404096
107348	365	1995-05-06	PRIJEM	PREVOD Z UCTU	17660	32410	\N	GH	49404096
107349	365	1995-06-06	PRIJEM	PREVOD Z UCTU	26490	47358	\N	GH	49404096
107350	365	1995-07-06	PRIJEM	PREVOD Z UCTU	17660	41723	\N	GH	49404096
107351	365	1995-08-06	PRIJEM	PREVOD Z UCTU	17660	39372	\N	GH	49404096
107352	365	1995-09-06	PRIJEM	PREVOD Z UCTU	17660	40217	\N	GH	49404096
107353	365	1995-10-06	PRIJEM	PREVOD Z UCTU	17660	39763	\N	GH	49404096
107354	365	1995-11-06	PRIJEM	PREVOD Z UCTU	17660	36212	\N	GH	49404096
107355	365	1995-12-06	PRIJEM	PREVOD Z UCTU	26490	47500	\N	GH	49404096
107356	365	1996-01-06	PRIJEM	PREVOD Z UCTU	17660	36757	\N	GH	49404096
107357	365	1996-02-06	PRIJEM	PREVOD Z UCTU	17660	29358	\N	GH	49404096
107358	365	1996-03-06	PRIJEM	PREVOD Z UCTU	17660	31362	\N	GH	49404096
107359	365	1996-04-06	PRIJEM	PREVOD Z UCTU	17660	26640	\N	GH	49404096
107360	365	1996-05-06	PRIJEM	PREVOD Z UCTU	17660	29924	\N	GH	49404096
107361	365	1996-06-06	PRIJEM	PREVOD Z UCTU	26490	41855	\N	GH	49404096
107362	365	1996-07-06	PRIJEM	PREVOD Z UCTU	17660	38698	\N	GH	49404096
107363	365	1996-08-06	PRIJEM	PREVOD Z UCTU	17660	38234	\N	GH	49404096
107364	365	1996-09-06	PRIJEM	PREVOD Z UCTU	17660	35769	\N	GH	49404096
107365	365	1996-10-06	PRIJEM	PREVOD Z UCTU	17660	35595	\N	GH	49404096
107366	365	1996-11-06	PRIJEM	PREVOD Z UCTU	17660	34516	\N	GH	49404096
107367	365	1996-12-06	PRIJEM	PREVOD Z UCTU	26490	42763	\N	GH	49404096
107368	365	1997-01-06	PRIJEM	PREVOD Z UCTU	17660	34103	\N	GH	49404096
107369	365	1997-02-06	PRIJEM	PREVOD Z UCTU	17660	34912	\N	GH	49404096
107370	365	1997-03-06	PRIJEM	PREVOD Z UCTU	17660	39334	\N	GH	49404096
107371	365	1997-04-06	PRIJEM	PREVOD Z UCTU	17660	35086	\N	GH	49404096
107372	365	1997-05-06	PRIJEM	PREVOD Z UCTU	17660	31419	\N	GH	49404096
107373	365	1997-06-06	PRIJEM	PREVOD Z UCTU	26490	40952	\N	GH	49404096
107374	365	1997-07-06	PRIJEM	PREVOD Z UCTU	17660	36800	\N	GH	49404096
107375	365	1997-08-06	PRIJEM	PREVOD Z UCTU	17660	32722	\N	GH	49404096
107376	365	1997-09-06	PRIJEM	PREVOD Z UCTU	17660	31627	\N	GH	49404096
107377	365	1997-10-06	PRIJEM	PREVOD Z UCTU	17660	32229	\N	GH	49404096
107378	365	1997-11-06	PRIJEM	PREVOD Z UCTU	17660	36639	\N	GH	49404096
107379	365	1997-12-06	PRIJEM	PREVOD Z UCTU	26490	43388	\N	GH	49404096
107380	365	1998-01-06	PRIJEM	PREVOD Z UCTU	17660	36421	\N	GH	49404096
107381	365	1998-02-06	PRIJEM	PREVOD Z UCTU	17660	26123	\N	GH	49404096
107382	365	1998-03-06	PRIJEM	PREVOD Z UCTU	17660	30508	\N	GH	49404096
107383	365	1998-04-06	PRIJEM	PREVOD Z UCTU	17660	34909	\N	GH	49404096
107384	365	1998-05-06	PRIJEM	PREVOD Z UCTU	17660	32729	\N	GH	49404096
107385	365	1998-06-06	PRIJEM	PREVOD Z UCTU	26490	40962	\N	GH	49404096
107386	365	1998-07-06	PRIJEM	PREVOD Z UCTU	17660	34600	\N	GH	49404096
107387	365	1998-08-06	PRIJEM	PREVOD Z UCTU	17660	35914	\N	GH	49404096
107388	365	1998-09-06	PRIJEM	PREVOD Z UCTU	17660	32324	\N	GH	49404096
107389	365	1998-10-06	PRIJEM	PREVOD Z UCTU	17660	36733	\N	GH	49404096
107390	365	1998-11-06	PRIJEM	PREVOD Z UCTU	17660	34948	\N	GH	49404096
107391	365	1998-12-06	PRIJEM	PREVOD Z UCTU	26490	48197	\N	GH	49404096
107480	365	1994-05-14	VYDAJ	PREVOD NA UCET	11528	14131	SIPO	QR	34196335
107481	365	1994-06-14	VYDAJ	PREVOD NA UCET	11528	22396	SIPO	QR	34196335
107482	365	1994-07-14	VYDAJ	PREVOD NA UCET	11528	15733	SIPO	QR	34196335
107483	365	1994-08-14	VYDAJ	PREVOD NA UCET	11528	14869	SIPO	QR	34196335
107484	365	1994-09-14	VYDAJ	PREVOD NA UCET	11528	17878	SIPO	QR	34196335
107485	365	1994-10-14	VYDAJ	PREVOD NA UCET	11528	15385	SIPO	QR	34196335
107486	365	1994-11-14	VYDAJ	PREVOD NA UCET	11528	13398	SIPO	QR	34196335
107487	365	1994-12-14	VYDAJ	PREVOD NA UCET	11528	20431	SIPO	QR	34196335
107488	365	1995-01-14	VYDAJ	PREVOD NA UCET	11528	10660	SIPO	QR	34196335
107489	365	1995-02-14	VYDAJ	PREVOD NA UCET	11528	19349	SIPO	QR	34196335
107490	365	1995-03-14	VYDAJ	PREVOD NA UCET	11528	16584	SIPO	QR	34196335
107491	365	1995-04-14	VYDAJ	PREVOD NA UCET	11528	14692	SIPO	QR	34196335
107492	365	1995-05-14	VYDAJ	PREVOD NA UCET	11528	13591	SIPO	QR	34196335
107493	365	1995-06-14	VYDAJ	PREVOD NA UCET	11528	23521	SIPO	QR	34196335
107494	365	1995-07-14	VYDAJ	PREVOD NA UCET	11528	30186	SIPO	QR	34196335
107495	365	1995-08-14	VYDAJ	PREVOD NA UCET	11528	26053	SIPO	QR	34196335
107496	365	1995-09-14	VYDAJ	PREVOD NA UCET	11528	26898	SIPO	QR	34196335
107497	365	1995-10-14	VYDAJ	PREVOD NA UCET	11528	28226	SIPO	QR	34196335
107498	365	1995-11-14	VYDAJ	PREVOD NA UCET	11528	22893	SIPO	QR	34196335
107499	365	1995-12-14	VYDAJ	PREVOD NA UCET	11528	35963	SIPO	QR	34196335
107500	365	1996-01-14	VYDAJ	PREVOD NA UCET	11528	12320	SIPO	QR	34196335
107501	365	1996-02-14	VYDAJ	PREVOD NA UCET	11528	17821	SIPO	QR	34196335
107502	365	1996-03-14	VYDAJ	PREVOD NA UCET	11528	10721	SIPO	QR	34196335
107503	365	1996-04-14	VYDAJ	PREVOD NA UCET	11528	12103	SIPO	QR	34196335
107504	365	1996-05-14	VYDAJ	PREVOD NA UCET	11528	16605	SIPO	QR	34196335
107505	365	1996-06-14	VYDAJ	PREVOD NA UCET	11528	28536	SIPO	QR	34196335
107506	365	1996-07-14	VYDAJ	PREVOD NA UCET	11528	27161	SIPO	QR	34196335
107507	365	1996-08-14	VYDAJ	PREVOD NA UCET	11528	26697	SIPO	QR	34196335
107508	365	1996-09-14	VYDAJ	PREVOD NA UCET	11528	24232	SIPO	QR	34196335
107509	365	1996-10-14	VYDAJ	PREVOD NA UCET	11528	22276	SIPO	QR	34196335
107510	365	1996-11-14	VYDAJ	PREVOD NA UCET	11528	22979	SIPO	QR	34196335
107511	365	1996-12-14	VYDAJ	PREVOD NA UCET	11528	31226	SIPO	QR	34196335
107512	365	1997-01-14	VYDAJ	PREVOD NA UCET	11528	18966	SIPO	QR	34196335
107513	365	1997-02-14	VYDAJ	PREVOD NA UCET	11528	21593	SIPO	QR	34196335
107514	365	1997-03-14	VYDAJ	PREVOD NA UCET	11528	26015	SIPO	QR	34196335
107515	365	1997-04-14	VYDAJ	PREVOD NA UCET	11528	21767	SIPO	QR	34196335
107516	365	1997-05-14	VYDAJ	PREVOD NA UCET	11528	18100	SIPO	QR	34196335
107517	365	1997-06-14	VYDAJ	PREVOD NA UCET	11528	27633	SIPO	QR	34196335
107518	365	1997-07-14	VYDAJ	PREVOD NA UCET	11528	25263	SIPO	QR	34196335
107519	365	1997-08-14	VYDAJ	PREVOD NA UCET	11528	19403	SIPO	QR	34196335
107520	365	1997-09-14	VYDAJ	PREVOD NA UCET	11528	18308	SIPO	QR	34196335
107521	365	1997-10-14	VYDAJ	PREVOD NA UCET	11528	18910	SIPO	QR	34196335
107522	365	1997-11-14	VYDAJ	PREVOD NA UCET	11528	23320	SIPO	QR	34196335
107523	365	1997-12-14	VYDAJ	PREVOD NA UCET	11528	31851	SIPO	QR	34196335
107524	365	1998-01-14	VYDAJ	PREVOD NA UCET	11528	15584	SIPO	QR	34196335
107525	365	1998-02-14	VYDAJ	PREVOD NA UCET	11528	14586	SIPO	QR	34196335
107526	365	1998-03-14	VYDAJ	PREVOD NA UCET	11528	18971	SIPO	QR	34196335
107527	365	1998-04-14	VYDAJ	PREVOD NA UCET	11528	21590	SIPO	QR	34196335
107528	365	1998-05-14	VYDAJ	PREVOD NA UCET	11528	19410	SIPO	QR	34196335
107529	365	1998-06-14	VYDAJ	PREVOD NA UCET	11528	16067	SIPO	QR	34196335
107530	365	1998-07-14	VYDAJ	PREVOD NA UCET	11528	23063	SIPO	QR	34196335
107531	365	1998-08-14	VYDAJ	PREVOD NA UCET	11528	24377	SIPO	QR	34196335
107532	365	1998-09-14	VYDAJ	PREVOD NA UCET	11528	19005	SIPO	QR	34196335
107533	365	1998-10-14	VYDAJ	PREVOD NA UCET	11528	25196	SIPO	QR	34196335
107534	365	1998-11-14	VYDAJ	PREVOD NA UCET	11528	21629	SIPO	QR	34196335
107535	365	1998-12-14	VYDAJ	PREVOD NA UCET	11528	36660	SIPO	QR	34196335
107552	365	1994-05-14	VYDAJ	PREVOD NA UCET	1782	12349	 	QR	93025660
107553	365	1994-06-14	VYDAJ	PREVOD NA UCET	1782	20614	 	QR	93025660
107554	365	1994-07-14	VYDAJ	PREVOD NA UCET	1782	27261	 	QR	93025660
107555	365	1994-08-14	VYDAJ	PREVOD NA UCET	1782	26397	 	QR	93025660
107556	365	1994-09-14	VYDAJ	PREVOD NA UCET	1782	16096	 	QR	93025660
107557	365	1994-10-14	VYDAJ	PREVOD NA UCET	1782	13603	 	QR	93025660
107558	365	1994-11-14	VYDAJ	PREVOD NA UCET	1782	24926	 	QR	93025660
107559	365	1994-12-14	VYDAJ	PREVOD NA UCET	1782	18649	 	QR	93025660
107560	365	1995-01-14	VYDAJ	PREVOD NA UCET	1782	22188	 	QR	93025660
107561	365	1995-02-14	VYDAJ	PREVOD NA UCET	1782	30877	 	QR	93025660
107562	365	1995-03-14	VYDAJ	PREVOD NA UCET	1782	28112	 	QR	93025660
107563	365	1995-04-14	VYDAJ	PREVOD NA UCET	1782	26220	 	QR	93025660
107564	365	1995-05-14	VYDAJ	PREVOD NA UCET	1782	25119	 	QR	93025660
107565	365	1995-06-14	VYDAJ	PREVOD NA UCET	1782	21739	 	QR	93025660
107566	365	1995-07-14	VYDAJ	PREVOD NA UCET	1782	28404	 	QR	93025660
107567	365	1995-08-14	VYDAJ	PREVOD NA UCET	1782	37581	 	QR	93025660
107568	365	1995-09-14	VYDAJ	PREVOD NA UCET	1782	38426	 	QR	93025660
107569	365	1995-10-14	VYDAJ	PREVOD NA UCET	1782	26444	 	QR	93025660
107570	365	1995-11-14	VYDAJ	PREVOD NA UCET	1782	34421	 	QR	93025660
107571	365	1995-12-14	VYDAJ	PREVOD NA UCET	1782	34181	 	QR	93025660
107572	365	1996-01-14	VYDAJ	PREVOD NA UCET	1782	10538	 	QR	93025660
107573	365	1996-02-14	VYDAJ	PREVOD NA UCET	1782	16039	 	QR	93025660
107574	365	1996-03-14	VYDAJ	PREVOD NA UCET	1782	8939	 	QR	93025660
107575	365	1996-04-14	VYDAJ	PREVOD NA UCET	1782	10321	 	QR	93025660
107576	365	1996-05-14	VYDAJ	PREVOD NA UCET	1782	28133	 	QR	93025660
107577	365	1996-06-14	VYDAJ	PREVOD NA UCET	1782	40064	 	QR	93025660
107578	365	1996-07-14	VYDAJ	PREVOD NA UCET	1782	25379	 	QR	93025660
107579	365	1996-08-14	VYDAJ	PREVOD NA UCET	1782	24915	 	QR	93025660
107580	365	1996-09-14	VYDAJ	PREVOD NA UCET	1782	22450	 	QR	93025660
107581	365	1996-10-14	VYDAJ	PREVOD NA UCET	1782	33804	 	QR	93025660
107582	365	1996-11-14	VYDAJ	PREVOD NA UCET	1782	21197	 	QR	93025660
107583	365	1996-12-14	VYDAJ	PREVOD NA UCET	1782	29444	 	QR	93025660
107584	365	1997-01-14	VYDAJ	PREVOD NA UCET	1782	17184	 	QR	93025660
107585	365	1997-02-14	VYDAJ	PREVOD NA UCET	1782	33121	 	QR	93025660
107586	365	1997-03-14	VYDAJ	PREVOD NA UCET	1782	37543	 	QR	93025660
107587	365	1997-04-14	VYDAJ	PREVOD NA UCET	1782	33295	 	QR	93025660
107588	365	1997-05-14	VYDAJ	PREVOD NA UCET	1782	29628	 	QR	93025660
107589	365	1997-06-14	VYDAJ	PREVOD NA UCET	1782	39161	 	QR	93025660
107590	365	1997-07-14	VYDAJ	PREVOD NA UCET	1782	23481	 	QR	93025660
107591	365	1997-08-14	VYDAJ	PREVOD NA UCET	1782	30931	 	QR	93025660
107592	365	1997-09-14	VYDAJ	PREVOD NA UCET	1782	29836	 	QR	93025660
107593	365	1997-10-14	VYDAJ	PREVOD NA UCET	1782	30438	 	QR	93025660
107594	365	1997-11-14	VYDAJ	PREVOD NA UCET	1782	34848	 	QR	93025660
107595	365	1997-12-14	VYDAJ	PREVOD NA UCET	1782	30069	 	QR	93025660
107596	365	1998-01-14	VYDAJ	PREVOD NA UCET	1782	8402	 	QR	93025660
107597	365	1998-02-14	VYDAJ	PREVOD NA UCET	1782	12804	 	QR	93025660
107598	365	1998-03-14	VYDAJ	PREVOD NA UCET	1782	17189	 	QR	93025660
107599	365	1998-04-14	VYDAJ	PREVOD NA UCET	1782	33118	 	QR	93025660
107600	365	1998-05-14	VYDAJ	PREVOD NA UCET	1782	30938	 	QR	93025660
107601	365	1998-06-14	VYDAJ	PREVOD NA UCET	1782	27595	 	QR	93025660
107602	365	1998-07-14	VYDAJ	PREVOD NA UCET	1782	21281	 	QR	93025660
107603	365	1998-08-14	VYDAJ	PREVOD NA UCET	1782	22595	 	QR	93025660
107604	365	1998-09-14	VYDAJ	PREVOD NA UCET	1782	30533	 	QR	93025660
107605	365	1998-10-14	VYDAJ	PREVOD NA UCET	1782	23414	 	QR	93025660
107606	365	1998-11-14	VYDAJ	PREVOD NA UCET	1782	33157	 	QR	93025660
107607	365	1998-12-14	VYDAJ	PREVOD NA UCET	1782	34878	 	QR	93025660
107625	365	1994-06-05	VYDAJ	PREVOD NA UCET	5	12443	POJISTNE	UV	12044257
107626	365	1994-07-05	VYDAJ	PREVOD NA UCET	5	20692	POJISTNE	UV	12044257
107627	365	1994-08-05	VYDAJ	PREVOD NA UCET	5	15828	POJISTNE	UV	12044257
107628	365	1994-09-05	VYDAJ	PREVOD NA UCET	5	14955	POJISTNE	UV	12044257
107629	365	1994-10-05	VYDAJ	PREVOD NA UCET	5	16162	POJISTNE	UV	12044257
107630	365	1994-11-05	VYDAJ	PREVOD NA UCET	5	13657	POJISTNE	UV	12044257
107631	365	1994-12-05	VYDAJ	PREVOD NA UCET	5	13478	POJISTNE	UV	12044257
107632	365	1995-01-05	VYDAJ	PREVOD NA UCET	5	18719	POJISTNE	UV	12044257
107633	365	1995-02-05	VYDAJ	PREVOD NA UCET	5	15008	POJISTNE	UV	12044257
107634	365	1995-03-05	VYDAJ	PREVOD NA UCET	5	19443	POJISTNE	UV	12044257
107635	365	1995-04-05	VYDAJ	PREVOD NA UCET	5	16651	POJISTNE	UV	12044257
107636	365	1995-05-05	VYDAJ	PREVOD NA UCET	5	14750	POJISTNE	UV	12044257
107637	365	1995-06-05	VYDAJ	PREVOD NA UCET	5	20868	POJISTNE	UV	12044257
107638	365	1995-07-05	VYDAJ	PREVOD NA UCET	5	24063	POJISTNE	UV	12044257
107639	365	1995-08-05	VYDAJ	PREVOD NA UCET	5	21712	POJISTNE	UV	12044257
107640	365	1995-09-05	VYDAJ	PREVOD NA UCET	5	22557	POJISTNE	UV	12044257
107641	365	1995-10-05	VYDAJ	PREVOD NA UCET	5	22103	POJISTNE	UV	12044257
107642	365	1995-11-05	VYDAJ	PREVOD NA UCET	5	18552	POJISTNE	UV	12044257
107643	365	1995-12-05	VYDAJ	PREVOD NA UCET	5	21010	POJISTNE	UV	12044257
107644	365	1996-01-05	VYDAJ	PREVOD NA UCET	5	19097	POJISTNE	UV	12044257
107645	365	1996-02-05	VYDAJ	PREVOD NA UCET	5	11698	POJISTNE	UV	12044257
107646	365	1996-03-05	VYDAJ	PREVOD NA UCET	5	13702	POJISTNE	UV	12044257
107647	365	1996-04-05	VYDAJ	PREVOD NA UCET	5	8980	POJISTNE	UV	12044257
107648	365	1996-05-05	VYDAJ	PREVOD NA UCET	5	12264	POJISTNE	UV	12044257
107649	365	1996-06-05	VYDAJ	PREVOD NA UCET	5	15365	POJISTNE	UV	12044257
107650	365	1996-07-05	VYDAJ	PREVOD NA UCET	5	21038	POJISTNE	UV	12044257
107651	365	1996-08-05	VYDAJ	PREVOD NA UCET	5	20574	POJISTNE	UV	12044257
107652	365	1996-09-05	VYDAJ	PREVOD NA UCET	5	18109	POJISTNE	UV	12044257
107653	365	1996-10-05	VYDAJ	PREVOD NA UCET	5	17935	POJISTNE	UV	12044257
107654	365	1996-11-05	VYDAJ	PREVOD NA UCET	5	16856	POJISTNE	UV	12044257
107655	365	1996-12-05	VYDAJ	PREVOD NA UCET	5	16273	POJISTNE	UV	12044257
107656	365	1997-01-05	VYDAJ	PREVOD NA UCET	5	16443	POJISTNE	UV	12044257
107657	365	1997-02-05	VYDAJ	PREVOD NA UCET	5	17252	POJISTNE	UV	12044257
107658	365	1997-03-05	VYDAJ	PREVOD NA UCET	5	21674	POJISTNE	UV	12044257
107659	365	1997-04-05	VYDAJ	PREVOD NA UCET	5	17426	POJISTNE	UV	12044257
107660	365	1997-05-05	VYDAJ	PREVOD NA UCET	5	13759	POJISTNE	UV	12044257
107661	365	1997-06-05	VYDAJ	PREVOD NA UCET	5	14462	POJISTNE	UV	12044257
107662	365	1997-07-05	VYDAJ	PREVOD NA UCET	5	19140	POJISTNE	UV	12044257
107663	365	1997-08-05	VYDAJ	PREVOD NA UCET	5	15062	POJISTNE	UV	12044257
107664	365	1997-09-05	VYDAJ	PREVOD NA UCET	5	13967	POJISTNE	UV	12044257
107665	365	1997-10-05	VYDAJ	PREVOD NA UCET	5	14569	POJISTNE	UV	12044257
107666	365	1997-11-05	VYDAJ	PREVOD NA UCET	5	18979	POJISTNE	UV	12044257
107667	365	1997-12-05	VYDAJ	PREVOD NA UCET	5	16898	POJISTNE	UV	12044257
107668	365	1998-01-05	VYDAJ	PREVOD NA UCET	5	18761	POJISTNE	UV	12044257
107669	365	1998-02-05	VYDAJ	PREVOD NA UCET	5	8463	POJISTNE	UV	12044257
107670	365	1998-03-05	VYDAJ	PREVOD NA UCET	5	12848	POJISTNE	UV	12044257
107671	365	1998-04-05	VYDAJ	PREVOD NA UCET	5	17249	POJISTNE	UV	12044257
107672	365	1998-05-05	VYDAJ	PREVOD NA UCET	5	15069	POJISTNE	UV	12044257
107673	365	1998-06-05	VYDAJ	PREVOD NA UCET	5	14472	POJISTNE	UV	12044257
107674	365	1998-07-05	VYDAJ	PREVOD NA UCET	5	16940	POJISTNE	UV	12044257
107675	365	1998-08-05	VYDAJ	PREVOD NA UCET	5	18254	POJISTNE	UV	12044257
107676	365	1998-09-05	VYDAJ	PREVOD NA UCET	5	14664	POJISTNE	UV	12044257
107677	365	1998-10-05	VYDAJ	PREVOD NA UCET	5	19073	POJISTNE	UV	12044257
107678	365	1998-11-05	VYDAJ	PREVOD NA UCET	5	17288	POJISTNE	UV	12044257
107679	365	1998-12-05	VYDAJ	PREVOD NA UCET	5	21707	POJISTNE	UV	12044257
107696	365	1994-05-07	VYDAJ	PREVOD NA UCET	9	60302	 	UV	89672892
107697	365	1994-06-07	VYDAJ	PREVOD NA UCET	9	38924	 	UV	89672892
107698	365	1994-07-07	VYDAJ	PREVOD NA UCET	9	38343	 	UV	89672892
107699	365	1994-08-07	VYDAJ	PREVOD NA UCET	9	33479	 	UV	89672892
107700	365	1994-09-07	VYDAJ	PREVOD NA UCET	9	32606	 	UV	89672892
107701	365	1994-10-07	VYDAJ	PREVOD NA UCET	9	33813	 	UV	89672892
107702	365	1994-11-07	VYDAJ	PREVOD NA UCET	9	31308	 	UV	89672892
107703	365	1994-12-07	VYDAJ	PREVOD NA UCET	9	31959	 	UV	89672892
107704	365	1995-01-07	VYDAJ	PREVOD NA UCET	9	30870	 	UV	89672892
107705	365	1995-02-07	VYDAJ	PREVOD NA UCET	9	32659	 	UV	89672892
107706	365	1995-03-07	VYDAJ	PREVOD NA UCET	9	37094	 	UV	89672892
107707	365	1995-04-07	VYDAJ	PREVOD NA UCET	9	28002	 	UV	89672892
107708	365	1995-05-07	VYDAJ	PREVOD NA UCET	9	26901	 	UV	89672892
107709	365	1995-06-07	VYDAJ	PREVOD NA UCET	9	47349	 	UV	89672892
107710	365	1995-07-07	VYDAJ	PREVOD NA UCET	9	41714	 	UV	89672892
107711	365	1995-08-07	VYDAJ	PREVOD NA UCET	9	39363	 	UV	89672892
107712	365	1995-09-07	VYDAJ	PREVOD NA UCET	9	40208	 	UV	89672892
107713	365	1995-10-07	VYDAJ	PREVOD NA UCET	9	39754	 	UV	89672892
107714	365	1995-11-07	VYDAJ	PREVOD NA UCET	9	36203	 	UV	89672892
107715	365	1995-12-07	VYDAJ	PREVOD NA UCET	9	47491	 	UV	89672892
107716	365	1996-01-07	VYDAJ	PREVOD NA UCET	9	36748	 	UV	89672892
107717	365	1996-02-07	VYDAJ	PREVOD NA UCET	9	29349	 	UV	89672892
107718	365	1996-03-07	VYDAJ	PREVOD NA UCET	9	22249	 	UV	89672892
107719	365	1996-04-07	VYDAJ	PREVOD NA UCET	9	26631	 	UV	89672892
107720	365	1996-05-07	VYDAJ	PREVOD NA UCET	9	29915	 	UV	89672892
107721	365	1996-06-07	VYDAJ	PREVOD NA UCET	9	41846	 	UV	89672892
107722	365	1996-07-07	VYDAJ	PREVOD NA UCET	9	38689	 	UV	89672892
107723	365	1996-08-07	VYDAJ	PREVOD NA UCET	9	38225	 	UV	89672892
107724	365	1996-09-07	VYDAJ	PREVOD NA UCET	9	35760	 	UV	89672892
107725	365	1996-10-07	VYDAJ	PREVOD NA UCET	9	35586	 	UV	89672892
107726	365	1996-11-07	VYDAJ	PREVOD NA UCET	9	34507	 	UV	89672892
107727	365	1996-12-07	VYDAJ	PREVOD NA UCET	9	42754	 	UV	89672892
107728	365	1997-01-07	VYDAJ	PREVOD NA UCET	9	34094	 	UV	89672892
107729	365	1997-02-07	VYDAJ	PREVOD NA UCET	9	34903	 	UV	89672892
107730	365	1997-03-07	VYDAJ	PREVOD NA UCET	9	39325	 	UV	89672892
107731	365	1997-04-07	VYDAJ	PREVOD NA UCET	9	35077	 	UV	89672892
107732	365	1997-05-07	VYDAJ	PREVOD NA UCET	9	31410	 	UV	89672892
107733	365	1997-06-07	VYDAJ	PREVOD NA UCET	9	40943	 	UV	89672892
107734	365	1997-07-07	VYDAJ	PREVOD NA UCET	9	36791	 	UV	89672892
107735	365	1997-08-07	VYDAJ	PREVOD NA UCET	9	32713	 	UV	89672892
107736	365	1997-09-07	VYDAJ	PREVOD NA UCET	9	31618	 	UV	89672892
107737	365	1997-10-07	VYDAJ	PREVOD NA UCET	9	32220	 	UV	89672892
107738	365	1997-11-07	VYDAJ	PREVOD NA UCET	9	36630	 	UV	89672892
107739	365	1997-12-07	VYDAJ	PREVOD NA UCET	9	43379	 	UV	89672892
107740	365	1998-01-07	VYDAJ	PREVOD NA UCET	9	36412	 	UV	89672892
107741	365	1998-02-07	VYDAJ	PREVOD NA UCET	9	26114	 	UV	89672892
107742	365	1998-03-07	VYDAJ	PREVOD NA UCET	9	30499	 	UV	89672892
107743	365	1998-04-07	VYDAJ	PREVOD NA UCET	9	34900	 	UV	89672892
107744	365	1998-05-07	VYDAJ	PREVOD NA UCET	9	32720	 	UV	89672892
107745	365	1998-06-07	VYDAJ	PREVOD NA UCET	9	40953	 	UV	89672892
107746	365	1998-07-07	VYDAJ	PREVOD NA UCET	9	34591	 	UV	89672892
107747	365	1998-08-07	VYDAJ	PREVOD NA UCET	9	35905	 	UV	89672892
107748	365	1998-09-07	VYDAJ	PREVOD NA UCET	9	32315	 	UV	89672892
107749	365	1998-10-07	VYDAJ	PREVOD NA UCET	9	36724	 	UV	89672892
107750	365	1998-11-07	VYDAJ	PREVOD NA UCET	9	34939	 	UV	89672892
107751	365	1998-12-07	VYDAJ	PREVOD NA UCET	9	48188	 	UV	89672892
107764	365	1994-05-14	VYBER	VYBER	15943	25659	\N	\N	\N
107774	365	1996-03-07	VYBER	VYBER	9104	22258	\N	\N	\N
107784	365	1998-06-09	VYBER	VYBER	11576	29377	\N	\N	\N
107787	365	1995-06-14	VYDAJ	VYBER	12300	35049	\N	\N	\N
107799	365	1995-12-15	VYDAJ	VYBER	5700	28481	\N	\N	\N
107816	365	1995-01-11	VYDAJ	VYBER	2400	23970	\N	\N	\N
107819	365	1995-01-09	VYDAJ	VYBER	4500	26370	\N	\N	\N
107825	365	1996-01-12	VYDAJ	VYBER	8700	28048	\N	\N	\N
107826	365	1996-01-12	VYDAJ	VYBER	4200	23848	\N	\N	\N
107828	365	1997-01-12	VYDAJ	VYBER	3600	30494	\N	\N	\N
107835	365	1998-01-10	VYDAJ	VYBER	3300	27112	\N	\N	\N
107836	365	1998-01-14	VYDAJ	VYBER	5400	10184	\N	\N	\N
107845	365	1994-11-11	VYDAJ	VYBER	2700	26708	\N	\N	\N
107851	365	1996-04-12	VYDAJ	VYBER	3000	23631	\N	\N	\N
107861	365	1998-01-09	VYDAJ	VYBER	6000	30412	\N	\N	\N
107880	365	1994-05-31	VYDAJ	VYBER	15	12448	SLUZBY	\N	\N
107881	365	1994-06-30	VYDAJ	VYBER	15	20697	SLUZBY	\N	\N
107882	365	1994-07-31	VYDAJ	VYBER	15	15833	SLUZBY	\N	\N
107883	365	1994-08-31	VYDAJ	VYBER	15	14960	SLUZBY	\N	\N
107884	365	1994-09-30	VYDAJ	VYBER	15	16167	SLUZBY	\N	\N
107885	365	1994-10-31	VYDAJ	VYBER	15	13662	SLUZBY	\N	\N
107887	365	1994-12-31	VYDAJ	VYBER	15	18724	SLUZBY	\N	\N
107888	365	1995-01-31	VYDAJ	VYBER	15	10713	SLUZBY	\N	\N
107889	365	1995-02-28	VYDAJ	VYBER	15	19448	SLUZBY	\N	\N
107890	365	1995-03-31	VYDAJ	VYBER	15	16656	SLUZBY	\N	\N
107891	365	1995-04-30	VYDAJ	VYBER	15	14755	SLUZBY	\N	\N
107892	365	1995-05-31	VYDAJ	VYBER	15	13673	SLUZBY	\N	\N
107893	365	1995-06-30	VYDAJ	VYBER	15	21868	SLUZBY	\N	\N
107894	365	1995-07-31	VYDAJ	VYBER	15	28517	SLUZBY	\N	\N
107895	365	1995-08-31	VYDAJ	VYBER	15	26162	SLUZBY	\N	\N
107896	365	1995-09-30	VYDAJ	VYBER	15	27008	SLUZBY	\N	\N
107897	365	1995-10-31	VYDAJ	VYBER	15	26557	SLUZBY	\N	\N
107898	365	1995-11-30	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
107899	365	1995-12-31	VYDAJ	VYBER	15	28602	SLUZBY	\N	\N
107900	365	1996-01-31	VYDAJ	VYBER	15	11703	SLUZBY	\N	\N
107901	365	1996-02-29	VYDAJ	VYBER	15	16107	SLUZBY	\N	\N
107902	365	1996-03-31	VYDAJ	VYBER	15	8985	SLUZBY	\N	\N
107903	365	1996-04-30	VYDAJ	VYBER	15	12269	SLUZBY	\N	\N
107904	365	1996-05-31	VYDAJ	VYBER	15	15370	SLUZBY	\N	\N
107905	365	1996-06-30	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
107906	365	1996-07-31	VYDAJ	VYBER	15	20579	SLUZBY	\N	\N
107907	365	1996-08-31	VYDAJ	VYBER	15	18114	SLUZBY	\N	\N
107908	365	1996-09-30	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
107909	365	1996-10-31	VYDAJ	VYBER	15	16861	SLUZBY	\N	\N
107910	365	1996-11-30	VYDAJ	VYBER	15	16278	SLUZBY	\N	\N
107911	365	1996-12-31	VYDAJ	VYBER	15	16448	SLUZBY	\N	\N
107912	365	1997-01-31	VYDAJ	VYBER	15	17257	SLUZBY	\N	\N
107913	365	1997-02-28	VYDAJ	VYBER	15	21679	SLUZBY	\N	\N
107914	365	1997-03-31	VYDAJ	VYBER	15	17431	SLUZBY	\N	\N
107915	365	1997-04-30	VYDAJ	VYBER	15	13764	SLUZBY	\N	\N
107916	365	1997-05-31	VYDAJ	VYBER	15	14467	SLUZBY	\N	\N
107917	365	1997-06-30	VYDAJ	VYBER	15	19145	SLUZBY	\N	\N
107918	365	1997-07-31	VYDAJ	VYBER	15	15067	SLUZBY	\N	\N
107919	365	1997-08-31	VYDAJ	VYBER	15	13972	SLUZBY	\N	\N
107920	365	1997-09-30	VYDAJ	VYBER	15	14574	SLUZBY	\N	\N
107921	365	1997-10-31	VYDAJ	VYBER	15	18984	SLUZBY	\N	\N
107922	365	1997-11-30	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
107923	365	1997-12-31	VYDAJ	VYBER	15	18766	SLUZBY	\N	\N
107924	365	1998-01-31	VYDAJ	VYBER	15	8468	SLUZBY	\N	\N
107925	365	1998-02-28	VYDAJ	VYBER	15	12853	SLUZBY	\N	\N
107926	365	1998-03-31	VYDAJ	VYBER	15	17254	SLUZBY	\N	\N
107927	365	1998-04-30	VYDAJ	VYBER	15	15074	SLUZBY	\N	\N
107928	365	1998-05-31	VYDAJ	VYBER	15	14477	SLUZBY	\N	\N
107929	365	1998-06-30	VYDAJ	VYBER	15	16945	SLUZBY	\N	\N
107930	365	1998-07-31	VYDAJ	VYBER	15	18259	SLUZBY	\N	\N
107931	365	1998-08-31	VYDAJ	VYBER	15	14669	SLUZBY	\N	\N
107932	365	1998-09-30	VYDAJ	VYBER	15	19078	SLUZBY	\N	\N
107933	365	1998-10-31	VYDAJ	VYBER	15	17293	SLUZBY	\N	\N
107934	365	1998-11-30	VYDAJ	VYBER	15	21712	SLUZBY	\N	\N
107935	365	1994-01-11	PRIJEM	VKLAD	5000	22860	\N	\N	\N
107936	365	1994-02-10	VYDAJ	VYBER	7900	32685	\N	\N	\N
107937	365	1994-03-12	VYDAJ	VYBER	11900	38568	\N	\N	\N
107938	365	1994-04-11	VYDAJ	VYBER	13900	42480	\N	\N	\N
107939	365	1994-05-11	VYDAJ	VYBER	18700	41602	\N	\N	\N
107940	365	1994-06-10	VYDAJ	VYBER	5000	33924	\N	\N	\N
107941	365	1994-07-10	VYDAJ	VYBER	9300	29043	\N	\N	\N
107942	365	1994-08-09	VYDAJ	VYBER	5300	28179	\N	\N	\N
107943	365	1994-09-08	VYDAJ	VYBER	3200	29406	\N	\N	\N
107944	365	1994-10-08	VYDAJ	VYBER	6900	26913	\N	\N	\N
107945	365	1994-11-07	VYDAJ	VYBER	1900	29408	\N	\N	\N
107946	365	1994-12-07	VYDAJ	VYBER	8000	31968	\N	\N	\N
107947	365	1995-01-06	VYDAJ	VYBER	5500	30879	\N	\N	\N
107948	365	1995-02-05	PRIJEM	VKLAD	4300	15013	\N	\N	\N
107949	365	1995-03-07	VYDAJ	VYBER	7200	29894	\N	\N	\N
107950	365	1995-04-06	VYDAJ	VYBER	6300	28011	\N	\N	\N
107951	365	1995-05-06	VYDAJ	VYBER	5500	26910	\N	\N	\N
107952	365	1995-06-05	PRIJEM	VKLAD	7200	20873	\N	\N	\N
107953	365	1995-07-05	PRIJEM	VKLAD	2200	24068	\N	\N	\N
107954	365	1995-08-04	VYDAJ	VYBER	6800	21717	\N	\N	\N
107955	365	1995-09-03	VYDAJ	VYBER	3600	22562	\N	\N	\N
107956	365	1995-10-03	VYDAJ	VYBER	4900	22108	\N	\N	\N
107957	365	1995-11-02	VYDAJ	VYBER	8000	18557	\N	\N	\N
107958	365	1995-12-02	VYDAJ	VYBER	2000	21015	\N	\N	\N
107959	365	1996-01-01	VYDAJ	VYBER	9500	19102	\N	\N	\N
107960	365	1996-01-31	PRIJEM	VKLAD	1100	11638	\N	\N	\N
107961	365	1996-03-01	VYDAJ	VYBER	2400	13707	\N	\N	\N
107962	365	1996-04-30	PRIJEM	VKLAD	1900	12221	\N	\N	\N
107963	365	1996-05-30	VYDAJ	VYBER	1300	15305	\N	\N	\N
107964	365	1996-06-29	VYDAJ	VYBER	7600	20936	\N	\N	\N
107965	365	1996-07-29	VYDAJ	VYBER	4900	20479	\N	\N	\N
107966	365	1996-08-28	VYDAJ	VYBER	6900	18015	\N	\N	\N
107967	365	1996-09-27	VYDAJ	VYBER	4600	17850	\N	\N	\N
107968	365	1996-10-27	VYDAJ	VYBER	5500	16776	\N	\N	\N
107969	365	1996-11-26	VYDAJ	VYBER	5000	16197	\N	\N	\N
107970	365	1996-12-26	VYDAJ	VYBER	13100	16344	\N	\N	\N
107971	365	1997-03-26	VYDAJ	VYBER	8700	17315	\N	\N	\N
107972	365	1997-04-25	VYDAJ	VYBER	8100	13667	\N	\N	\N
107973	365	1997-05-25	VYDAJ	VYBER	3700	14400	\N	\N	\N
107974	365	1997-06-24	VYDAJ	VYBER	8600	19033	\N	\N	\N
107975	365	1997-07-24	VYDAJ	VYBER	8500	14981	\N	\N	\N
107976	365	1997-08-23	VYDAJ	VYBER	5500	13903	\N	\N	\N
107977	365	1997-09-22	VYDAJ	VYBER	3800	14508	\N	\N	\N
107978	365	1997-11-21	VYDAJ	VYBER	6500	16820	\N	\N	\N
107979	365	1997-12-21	VYDAJ	VYBER	11400	18669	\N	\N	\N
107980	365	1998-04-20	VYDAJ	VYBER	6600	14990	\N	\N	\N
107981	365	1998-05-20	VYDAJ	VYBER	5000	14410	\N	\N	\N
107982	365	1998-06-19	PRIJEM	VKLAD	800	16867	\N	\N	\N
107983	365	1998-07-19	VYDAJ	VYBER	3100	18181	\N	\N	\N
107984	365	1998-08-18	VYDAJ	VYBER	8000	14595	\N	\N	\N
107985	365	1998-10-17	VYDAJ	VYBER	6200	17214	\N	\N	\N
107986	365	1998-12-16	VYDAJ	VYBER	12400	22478	\N	\N	\N
108047	366	1996-10-23	PRIJEM	VKLAD	200	200	\N	\N	\N
108058	366	1996-11-08	PRIJEM	VKLAD	21695	21895	\N	\N	\N
108059	366	1996-12-08	PRIJEM	VKLAD	32543	55366	\N	\N	\N
108060	366	1997-01-08	PRIJEM	VKLAD	21695	61579	\N	\N	\N
108061	366	1997-02-08	PRIJEM	VKLAD	21695	65746	\N	\N	\N
108062	366	1997-03-08	PRIJEM	VKLAD	21695	66825	\N	\N	\N
108063	366	1997-04-08	PRIJEM	VKLAD	21695	58232	\N	\N	\N
108064	366	1997-05-08	PRIJEM	VKLAD	21695	63424	\N	\N	\N
108065	366	1997-06-08	PRIJEM	VKLAD	32543	74665	\N	\N	\N
108066	366	1997-07-08	PRIJEM	VKLAD	21695	59781	\N	\N	\N
108067	366	1997-08-08	PRIJEM	VKLAD	21695	63463	\N	\N	\N
108068	366	1997-09-08	PRIJEM	VKLAD	21695	68266	\N	\N	\N
108069	366	1997-10-08	PRIJEM	VKLAD	21695	68475	\N	\N	\N
108070	366	1997-11-08	PRIJEM	VKLAD	21695	70669	\N	\N	\N
108071	366	1997-12-08	PRIJEM	VKLAD	32543	82335	\N	\N	\N
108072	366	1998-01-08	PRIJEM	VKLAD	21695	52554	\N	\N	\N
108073	366	1998-02-08	PRIJEM	VKLAD	21695	52182	\N	\N	\N
108074	366	1998-03-08	PRIJEM	VKLAD	21695	61337	\N	\N	\N
108075	366	1998-04-08	PRIJEM	VKLAD	21695	67928	\N	\N	\N
108076	366	1998-05-08	PRIJEM	VKLAD	21695	66668	\N	\N	\N
108077	366	1998-06-08	PRIJEM	VKLAD	32543	50256	\N	\N	\N
108078	366	1998-07-08	PRIJEM	VKLAD	21695	57090	\N	\N	\N
108079	366	1998-08-08	PRIJEM	VKLAD	21695	59862	\N	\N	\N
108080	366	1998-09-08	PRIJEM	VKLAD	21695	60430	\N	\N	\N
108081	366	1998-10-08	PRIJEM	VKLAD	21695	61398	\N	\N	\N
108082	366	1998-11-08	PRIJEM	VKLAD	21695	62571	\N	\N	\N
108083	366	1998-12-08	PRIJEM	VKLAD	32543	71085	\N	\N	\N
108098	366	1997-03-14	VYDAJ	PREVOD NA UCET	2442	58445	SIPO	IJ	75874721
108099	366	1997-04-14	VYDAJ	PREVOD NA UCET	2442	49852	SIPO	IJ	75874721
108100	366	1997-05-14	VYDAJ	PREVOD NA UCET	2442	55044	SIPO	IJ	75874721
108101	366	1997-06-14	VYDAJ	PREVOD NA UCET	2442	66285	SIPO	IJ	75874721
108102	366	1997-07-14	VYDAJ	PREVOD NA UCET	2442	51401	SIPO	IJ	75874721
108103	366	1997-08-14	VYDAJ	PREVOD NA UCET	2442	54483	SIPO	IJ	75874721
108104	366	1997-09-14	VYDAJ	PREVOD NA UCET	2442	59886	SIPO	IJ	75874721
108105	366	1997-10-14	VYDAJ	PREVOD NA UCET	2442	58775	SIPO	IJ	75874721
108106	366	1997-11-14	VYDAJ	PREVOD NA UCET	2442	62289	SIPO	IJ	75874721
108107	366	1997-12-14	VYDAJ	PREVOD NA UCET	2442	72995	SIPO	IJ	75874721
108108	366	1998-01-14	VYDAJ	PREVOD NA UCET	2442	42734	SIPO	IJ	75874721
108109	366	1998-02-14	VYDAJ	PREVOD NA UCET	2442	43802	SIPO	IJ	75874721
108110	366	1998-03-14	VYDAJ	PREVOD NA UCET	2442	52957	SIPO	IJ	75874721
108111	366	1998-04-14	VYDAJ	PREVOD NA UCET	2442	53788	SIPO	IJ	75874721
108112	366	1998-05-14	VYDAJ	PREVOD NA UCET	2442	55288	SIPO	IJ	75874721
108113	366	1998-06-14	VYDAJ	PREVOD NA UCET	2442	41876	SIPO	IJ	75874721
108114	366	1998-07-14	VYDAJ	PREVOD NA UCET	2442	48710	SIPO	IJ	75874721
108115	366	1998-08-14	VYDAJ	PREVOD NA UCET	2442	38582	SIPO	IJ	75874721
108116	366	1998-09-14	VYDAJ	PREVOD NA UCET	2442	39550	SIPO	IJ	75874721
108117	366	1998-10-14	VYDAJ	PREVOD NA UCET	2442	40718	SIPO	IJ	75874721
108118	366	1998-11-14	VYDAJ	PREVOD NA UCET	2442	38391	SIPO	IJ	75874721
108119	366	1998-12-14	VYDAJ	PREVOD NA UCET	2442	41505	SIPO	IJ	75874721
108134	366	1997-03-11	VYDAJ	PREVOD NA UCET	1914	64911	 	YZ	11380994
108135	366	1997-04-11	VYDAJ	PREVOD NA UCET	1914	56318	 	YZ	11380994
108136	366	1997-05-11	VYDAJ	PREVOD NA UCET	1914	61510	 	YZ	11380994
108137	366	1997-06-11	VYDAJ	PREVOD NA UCET	1914	72751	 	YZ	11380994
108138	366	1997-07-11	VYDAJ	PREVOD NA UCET	1914	57867	 	YZ	11380994
108139	366	1997-08-11	VYDAJ	PREVOD NA UCET	1914	60949	 	YZ	11380994
108140	366	1997-09-11	VYDAJ	PREVOD NA UCET	1914	66352	 	YZ	11380994
108141	366	1997-10-11	VYDAJ	PREVOD NA UCET	1914	66561	 	YZ	11380994
108142	366	1997-11-11	VYDAJ	PREVOD NA UCET	1914	68755	 	YZ	11380994
108143	366	1997-12-11	VYDAJ	PREVOD NA UCET	1914	79461	 	YZ	11380994
108144	366	1998-01-11	VYDAJ	PREVOD NA UCET	1914	49200	 	YZ	11380994
108145	366	1998-02-11	VYDAJ	PREVOD NA UCET	1914	50268	 	YZ	11380994
108146	366	1998-03-11	VYDAJ	PREVOD NA UCET	1914	59423	 	YZ	11380994
108147	366	1998-04-11	VYDAJ	PREVOD NA UCET	1914	66014	 	YZ	11380994
108148	366	1998-05-11	VYDAJ	PREVOD NA UCET	1914	61754	 	YZ	11380994
108149	366	1998-06-11	VYDAJ	PREVOD NA UCET	1914	48342	 	YZ	11380994
108150	366	1998-07-11	VYDAJ	PREVOD NA UCET	1914	55176	 	YZ	11380994
108151	366	1998-08-11	VYDAJ	PREVOD NA UCET	1914	57948	 	YZ	11380994
108152	366	1998-09-11	VYDAJ	PREVOD NA UCET	1914	58516	 	YZ	11380994
108153	366	1998-10-11	VYDAJ	PREVOD NA UCET	1914	59484	 	YZ	11380994
108154	366	1998-11-11	VYDAJ	PREVOD NA UCET	1914	60657	 	YZ	11380994
108155	366	1998-12-11	VYDAJ	PREVOD NA UCET	1914	69171	 	YZ	11380994
108170	366	1997-03-12	VYDAJ	PREVOD NA UCET	836	64075	POJISTNE	QR	29283583
108171	366	1997-04-12	VYDAJ	PREVOD NA UCET	836	55482	POJISTNE	QR	29283583
108172	366	1997-05-12	VYDAJ	PREVOD NA UCET	836	57486	POJISTNE	QR	29283583
108173	366	1997-06-12	VYDAJ	PREVOD NA UCET	836	71915	POJISTNE	QR	29283583
108174	366	1997-07-12	VYDAJ	PREVOD NA UCET	836	53843	POJISTNE	QR	29283583
108175	366	1997-08-12	VYDAJ	PREVOD NA UCET	836	56925	POJISTNE	QR	29283583
108176	366	1997-09-12	VYDAJ	PREVOD NA UCET	836	62328	POJISTNE	QR	29283583
108177	366	1997-10-12	VYDAJ	PREVOD NA UCET	836	65725	POJISTNE	QR	29283583
108178	366	1997-11-12	VYDAJ	PREVOD NA UCET	836	64731	POJISTNE	QR	29283583
108179	366	1997-12-12	VYDAJ	PREVOD NA UCET	836	78625	POJISTNE	QR	29283583
108180	366	1998-01-12	VYDAJ	PREVOD NA UCET	836	48364	POJISTNE	QR	29283583
108181	366	1998-02-12	VYDAJ	PREVOD NA UCET	836	49432	POJISTNE	QR	29283583
108182	366	1998-03-12	VYDAJ	PREVOD NA UCET	836	55399	POJISTNE	QR	29283583
108183	366	1998-04-12	VYDAJ	PREVOD NA UCET	836	65178	POJISTNE	QR	29283583
108184	366	1998-05-12	VYDAJ	PREVOD NA UCET	836	60918	POJISTNE	QR	29283583
108185	366	1998-06-12	VYDAJ	PREVOD NA UCET	836	47506	POJISTNE	QR	29283583
108186	366	1998-07-12	VYDAJ	PREVOD NA UCET	836	51152	POJISTNE	QR	29283583
108187	366	1998-08-12	VYDAJ	PREVOD NA UCET	836	57112	POJISTNE	QR	29283583
108188	366	1998-09-12	VYDAJ	PREVOD NA UCET	836	57680	POJISTNE	QR	29283583
108189	366	1998-10-12	VYDAJ	PREVOD NA UCET	836	55460	POJISTNE	QR	29283583
108190	366	1998-11-12	VYDAJ	PREVOD NA UCET	836	56633	POJISTNE	QR	29283583
108191	366	1998-12-12	VYDAJ	PREVOD NA UCET	836	68335	POJISTNE	QR	29283583
108206	366	1997-03-12	VYDAJ	PREVOD NA UCET	3188	60887	 	ST	68747752
108207	366	1997-04-12	VYDAJ	PREVOD NA UCET	3188	52294	 	ST	68747752
108208	366	1997-05-12	VYDAJ	PREVOD NA UCET	3188	58322	 	ST	68747752
108209	366	1997-06-12	VYDAJ	PREVOD NA UCET	3188	68727	 	ST	68747752
108210	366	1997-07-12	VYDAJ	PREVOD NA UCET	3188	54679	 	ST	68747752
108211	366	1997-08-12	VYDAJ	PREVOD NA UCET	3188	57761	 	ST	68747752
108212	366	1997-09-12	VYDAJ	PREVOD NA UCET	3188	63164	 	ST	68747752
108213	366	1997-10-12	VYDAJ	PREVOD NA UCET	3188	62537	 	ST	68747752
108214	366	1997-11-12	VYDAJ	PREVOD NA UCET	3188	65567	 	ST	68747752
108215	366	1997-12-12	VYDAJ	PREVOD NA UCET	3188	75437	 	ST	68747752
108216	366	1998-01-12	VYDAJ	PREVOD NA UCET	3188	45176	 	ST	68747752
108217	366	1998-02-12	VYDAJ	PREVOD NA UCET	3188	46244	 	ST	68747752
108218	366	1998-03-12	VYDAJ	PREVOD NA UCET	3188	56235	 	ST	68747752
108219	366	1998-04-12	VYDAJ	PREVOD NA UCET	3188	61990	 	ST	68747752
108220	366	1998-05-12	VYDAJ	PREVOD NA UCET	3188	57730	 	ST	68747752
108221	366	1998-06-12	VYDAJ	PREVOD NA UCET	3188	44318	 	ST	68747752
108222	366	1998-07-12	VYDAJ	PREVOD NA UCET	3188	51988	 	ST	68747752
108223	366	1998-08-12	VYDAJ	PREVOD NA UCET	3188	53924	 	ST	68747752
108224	366	1998-09-12	VYDAJ	PREVOD NA UCET	3188	54492	 	ST	68747752
108225	366	1998-10-12	VYDAJ	PREVOD NA UCET	3188	56296	 	ST	68747752
108226	366	1998-11-12	VYDAJ	PREVOD NA UCET	3188	57469	 	ST	68747752
108227	366	1998-12-12	VYDAJ	PREVOD NA UCET	3188	43947	 	ST	68747752
108229	366	1997-06-18	VYDAJ	VYBER	21280	45005	\N	\N	\N
108230	366	1998-06-01	VYDAJ	VYBER	28960	17713	\N	\N	\N
108233	366	1998-01-07	VYDAJ	VYBER	11680	30859	\N	\N	\N
108235	366	1997-12-09	VYDAJ	VYBER	960	81375	\N	\N	\N
108236	366	1998-12-29	VYDAJ	VYBER	2560	38945	\N	\N	\N
108249	366	1998-01-30	VYDAJ	VYBER	2760	30334	\N	\N	\N
108250	366	1998-01-26	VYDAJ	VYBER	1320	33814	\N	\N	\N
108251	366	1998-01-03	VYDAJ	VYBER	3000	42539	\N	\N	\N
108252	366	1998-01-10	VYDAJ	VYBER	1440	51114	\N	\N	\N
108253	366	1998-01-01	VYDAJ	VYBER	1080	45539	\N	\N	\N
108254	366	1998-01-22	VYDAJ	VYBER	2160	35134	\N	\N	\N
108261	366	1997-04-02	VYDAJ	VYBER	2880	36537	\N	\N	\N
108262	366	1997-12-19	VYDAJ	VYBER	1080	50715	\N	\N	\N
108263	366	1997-10-14	VYDAJ	VYBER	1320	61217	\N	\N	\N
108264	366	1997-08-09	VYDAJ	VYBER	600	62863	\N	\N	\N
108265	366	1997-03-29	VYDAJ	VYBER	5520	39225	\N	\N	\N
108266	366	1998-07-02	VYDAJ	VYBER	2040	35395	\N	\N	\N
108267	366	1998-01-22	VYDAJ	VYBER	840	37294	\N	\N	\N
108268	366	1998-01-01	VYDAJ	VYBER	4320	46619	\N	\N	\N
108269	366	1998-04-14	VYDAJ	VYBER	5760	56230	\N	\N	\N
108270	366	1998-05-11	VYDAJ	VYBER	3000	63668	\N	\N	\N
108271	366	1998-01-29	VYDAJ	VYBER	720	33094	\N	\N	\N
108287	366	1997-03-31	VYDAJ	VYBER	15	39417	SLUZBY	\N	\N
108288	366	1997-04-30	VYDAJ	VYBER	15	41729	SLUZBY	\N	\N
108289	366	1997-05-31	VYDAJ	VYBER	15	42123	SLUZBY	\N	\N
108290	366	1997-06-30	VYDAJ	VYBER	15	38086	SLUZBY	\N	\N
108291	366	1997-07-31	VYDAJ	VYBER	15	41768	SLUZBY	\N	\N
108292	366	1997-08-31	VYDAJ	VYBER	15	46571	SLUZBY	\N	\N
108293	366	1997-09-30	VYDAJ	VYBER	15	46780	SLUZBY	\N	\N
108294	366	1997-10-31	VYDAJ	VYBER	15	48974	SLUZBY	\N	\N
108295	366	1997-11-30	VYDAJ	VYBER	15	49792	SLUZBY	\N	\N
108296	366	1997-12-31	VYDAJ	VYBER	15	50939	SLUZBY	\N	\N
108297	366	1998-01-31	VYDAJ	VYBER	15	30487	SLUZBY	\N	\N
108298	366	1998-02-28	VYDAJ	VYBER	15	39642	SLUZBY	\N	\N
108299	366	1998-03-31	VYDAJ	VYBER	15	46233	SLUZBY	\N	\N
108300	366	1998-04-30	VYDAJ	VYBER	15	44973	SLUZBY	\N	\N
108301	366	1998-05-31	VYDAJ	VYBER	15	46673	SLUZBY	\N	\N
108302	366	1998-06-30	VYDAJ	VYBER	15	37435	SLUZBY	\N	\N
108303	366	1998-07-31	VYDAJ	VYBER	15	38167	SLUZBY	\N	\N
108304	366	1998-08-31	VYDAJ	VYBER	15	38735	SLUZBY	\N	\N
108305	366	1998-09-30	VYDAJ	VYBER	15	39703	SLUZBY	\N	\N
108306	366	1998-10-31	VYDAJ	VYBER	15	40876	SLUZBY	\N	\N
108307	366	1998-11-30	VYDAJ	VYBER	15	38543	SLUZBY	\N	\N
108308	366	1996-11-22	PRIJEM	VKLAD	900	22795	\N	\N	\N
108309	366	1996-12-22	VYDAJ	VYBER	15600	39766	\N	\N	\N
108310	366	1997-01-21	VYDAJ	VYBER	17700	43879	\N	\N	\N
108311	366	1997-02-20	VYDAJ	VYBER	20800	44946	\N	\N	\N
108312	366	1997-03-22	VYDAJ	VYBER	13700	44745	\N	\N	\N
108313	366	1997-04-21	VYDAJ	VYBER	8300	41552	\N	\N	\N
108314	366	1997-05-21	VYDAJ	VYBER	13100	41944	\N	\N	\N
108315	366	1997-06-20	VYDAJ	VYBER	7100	37905	\N	\N	\N
108316	366	1997-07-20	VYDAJ	VYBER	9800	41601	\N	\N	\N
108317	366	1997-08-19	VYDAJ	VYBER	8100	46383	\N	\N	\N
108318	366	1997-09-18	VYDAJ	VYBER	13300	46586	\N	\N	\N
108319	366	1997-10-18	VYDAJ	VYBER	10000	48775	\N	\N	\N
108320	366	1997-11-17	VYDAJ	VYBER	12700	49589	\N	\N	\N
108321	366	1997-12-17	VYDAJ	VYBER	21200	51795	\N	\N	\N
108322	366	1998-01-16	VYDAJ	VYBER	4600	38134	\N	\N	\N
108323	366	1998-02-15	VYDAJ	VYBER	4300	39502	\N	\N	\N
108324	366	1998-03-17	VYDAJ	VYBER	6900	46057	\N	\N	\N
108325	366	1998-04-16	VYDAJ	VYBER	9000	44788	\N	\N	\N
108326	366	1998-05-16	VYDAJ	VYBER	8800	46488	\N	\N	\N
108327	366	1998-06-15	VYDAJ	VYBER	4600	37276	\N	\N	\N
108328	366	1998-07-15	VYDAJ	VYBER	10700	38010	\N	\N	\N
108329	366	1998-08-14	VYDAJ	VYBER	12900	41024	\N	\N	\N
108330	366	1998-09-13	VYDAJ	VYBER	12500	41992	\N	\N	\N
108331	366	1998-10-13	VYDAJ	VYBER	12300	43160	\N	\N	\N
108332	366	1998-11-12	VYDAJ	VYBER	15800	40833	\N	\N	\N
108333	366	1998-12-12	VYDAJ	VYBER	21200	47135	\N	\N	\N
108360	367	1997-05-09	PRIJEM	VKLAD	400	400	\N	\N	\N
108365	367	1997-05-13	PRIJEM	VKLAD	13718	14118	\N	\N	\N
108366	367	1997-06-13	PRIJEM	VKLAD	20577	41031	\N	\N	\N
108367	367	1997-07-13	PRIJEM	VKLAD	13718	49475	\N	\N	\N
108368	367	1997-08-13	PRIJEM	VKLAD	13718	55786	\N	\N	\N
108369	367	1997-09-13	PRIJEM	VKLAD	13718	59526	\N	\N	\N
108370	367	1997-10-13	PRIJEM	VKLAD	13718	58471	\N	\N	\N
108371	367	1997-11-13	PRIJEM	VKLAD	13718	60210	\N	\N	\N
108372	367	1997-12-13	PRIJEM	VKLAD	20577	65825	\N	\N	\N
108373	367	1998-01-13	PRIJEM	VKLAD	13718	62380	\N	\N	\N
108374	367	1998-02-13	PRIJEM	VKLAD	13718	55928	\N	\N	\N
108375	367	1998-03-13	PRIJEM	VKLAD	13718	57475	\N	\N	\N
108376	367	1998-04-13	PRIJEM	VKLAD	13718	55672	\N	\N	\N
108377	367	1998-05-13	PRIJEM	VKLAD	13718	57707	\N	\N	\N
108378	367	1998-06-13	PRIJEM	VKLAD	20577	52192	\N	\N	\N
108379	367	1998-07-13	PRIJEM	VKLAD	13718	52389	\N	\N	\N
108380	367	1998-08-13	PRIJEM	VKLAD	13718	56100	\N	\N	\N
108381	367	1998-09-13	PRIJEM	VKLAD	13718	57220	\N	\N	\N
108382	367	1998-10-13	PRIJEM	VKLAD	13718	53765	\N	\N	\N
108383	367	1998-11-13	PRIJEM	VKLAD	13718	52987	\N	\N	\N
108384	367	1998-12-13	PRIJEM	VKLAD	20577	60460	\N	\N	\N
108393	367	1997-09-13	VYDAJ	PREVOD NA UCET	6384	53142	SIPO	KL	59022962
108394	367	1997-10-13	VYDAJ	PREVOD NA UCET	6384	52087	SIPO	KL	59022962
108395	367	1997-11-13	VYDAJ	PREVOD NA UCET	6384	53826	SIPO	KL	59022962
108396	367	1997-12-13	VYDAJ	PREVOD NA UCET	6384	59441	SIPO	KL	59022962
108397	367	1998-01-13	VYDAJ	PREVOD NA UCET	6384	55996	SIPO	KL	59022962
108398	367	1998-02-13	VYDAJ	PREVOD NA UCET	6384	49544	SIPO	KL	59022962
108399	367	1998-03-13	VYDAJ	PREVOD NA UCET	6384	51091	SIPO	KL	59022962
108400	367	1998-04-13	VYDAJ	PREVOD NA UCET	6384	49288	SIPO	KL	59022962
108401	367	1998-05-13	VYDAJ	PREVOD NA UCET	6384	51323	SIPO	KL	59022962
108402	367	1998-06-13	VYDAJ	PREVOD NA UCET	6384	45808	SIPO	KL	59022962
108403	367	1998-07-13	VYDAJ	PREVOD NA UCET	6384	46005	SIPO	KL	59022962
108404	367	1998-08-13	VYDAJ	PREVOD NA UCET	6384	49716	SIPO	KL	59022962
108405	367	1998-09-13	VYDAJ	PREVOD NA UCET	6384	50836	SIPO	KL	59022962
108406	367	1998-10-13	VYDAJ	PREVOD NA UCET	6384	47381	SIPO	KL	59022962
108407	367	1998-11-13	VYDAJ	PREVOD NA UCET	6384	46603	SIPO	KL	59022962
108408	367	1998-12-13	VYDAJ	PREVOD NA UCET	6384	54076	SIPO	KL	59022962
108410	367	1998-06-05	VYDAJ	VYBER	13120	31615	\N	\N	\N
108412	367	1998-01-21	VYDAJ	VYBER	5600	50396	\N	\N	\N
108413	367	1997-12-14	VYDAJ	VYBER	1600	57841	\N	\N	\N
108414	367	1998-12-03	VYDAJ	VYBER KARTOU	2100	39883	\N	\N	0
108420	367	1998-03-24	VYDAJ	VYBER	4920	46171	\N	\N	\N
108421	367	1998-12-28	VYDAJ	VYBER	4440	49636	\N	\N	\N
108422	367	1998-03-05	VYDAJ	VYBER	1200	47457	\N	\N	\N
108423	367	1998-02-22	VYDAJ	VYBER	1080	48464	\N	\N	\N
108433	367	1997-09-30	VYDAJ	VYBER	15	53353	SLUZBY	\N	\N
108434	367	1997-10-31	VYDAJ	VYBER	15	52292	SLUZBY	\N	\N
108435	367	1997-11-30	VYDAJ	VYBER	15	54048	SLUZBY	\N	\N
108436	367	1997-12-31	VYDAJ	VYBER	15	58062	SLUZBY	\N	\N
108437	367	1998-01-31	VYDAJ	VYBER	15	50610	SLUZBY	\N	\N
108438	367	1998-02-28	VYDAJ	VYBER	15	48657	SLUZBY	\N	\N
108439	367	1998-03-31	VYDAJ	VYBER	15	46354	SLUZBY	\N	\N
108440	367	1998-04-30	VYDAJ	VYBER	15	49489	SLUZBY	\N	\N
108441	367	1998-05-31	VYDAJ	VYBER	15	51535	SLUZBY	\N	\N
108442	367	1998-06-30	VYDAJ	VYBER	15	45971	SLUZBY	\N	\N
108443	367	1998-07-31	VYDAJ	VYBER	15	46182	SLUZBY	\N	\N
108444	367	1998-08-31	VYDAJ	VYBER	15	49902	SLUZBY	\N	\N
108445	367	1998-09-30	VYDAJ	VYBER	15	51047	SLUZBY	\N	\N
108446	367	1998-10-31	VYDAJ	VYBER	15	47569	SLUZBY	\N	\N
108447	367	1998-11-30	VYDAJ	VYBER	15	41983	SLUZBY	\N	\N
108448	367	1997-06-08	PRIJEM	VKLAD	6300	20454	\N	\N	\N
108449	367	1997-07-08	VYDAJ	VYBER	5400	35757	\N	\N	\N
108450	367	1997-08-07	VYDAJ	VYBER	7600	42068	\N	\N	\N
108451	367	1997-09-06	VYDAJ	VYBER	10200	45808	\N	\N	\N
108452	367	1997-10-06	VYDAJ	VYBER	8600	44753	\N	\N	\N
108453	367	1997-11-05	VYDAJ	VYBER	5800	46492	\N	\N	\N
108454	367	1997-12-05	VYDAJ	VYBER	8800	45248	\N	\N	\N
108455	367	1998-01-04	VYDAJ	VYBER	9400	48662	\N	\N	\N
108456	367	1998-02-03	VYDAJ	VYBER	8400	42210	\N	\N	\N
108457	367	1998-03-05	VYDAJ	VYBER	3700	43757	\N	\N	\N
108458	367	1998-04-04	VYDAJ	VYBER	4400	41954	\N	\N	\N
108459	367	1998-05-04	VYDAJ	VYBER	5500	43989	\N	\N	\N
108460	367	1998-06-03	VYDAJ	VYBER	6800	44735	\N	\N	\N
108461	367	1998-07-03	VYDAJ	VYBER	7300	38671	\N	\N	\N
108462	367	1998-08-02	VYDAJ	VYBER KARTOU	3800	42382	\N	\N	0
108463	367	1998-09-01	VYDAJ	VYBER	6400	43502	\N	\N	\N
108464	367	1998-10-01	VYDAJ	VYBER	11000	40047	\N	\N	\N
108465	367	1998-10-31	VYDAJ	VYBER	8300	39269	\N	\N	\N
108466	367	1998-11-30	VYDAJ	VYBER	4800	41998	\N	\N	\N
108487	368	1993-07-06	PRIJEM	VKLAD	1100	1100	\N	\N	\N
108494	368	1993-07-14	PRIJEM	VKLAD	8414	9514	\N	\N	\N
108495	368	1993-08-14	PRIJEM	VKLAD	8414	23451	\N	\N	\N
108496	368	1993-09-14	PRIJEM	VKLAD	8414	32538	\N	\N	\N
108497	368	1993-10-14	PRIJEM	VKLAD	8414	36772	\N	\N	\N
108498	368	1993-11-14	PRIJEM	VKLAD	8414	37931	\N	\N	\N
108499	368	1993-12-14	PRIJEM	VKLAD	12621	40685	\N	\N	\N
108500	368	1994-01-14	PRIJEM	VKLAD	8414	28029	\N	\N	\N
108501	368	1994-02-14	PRIJEM	VKLAD	8414	26835	\N	\N	\N
108502	368	1994-03-14	PRIJEM	VKLAD	8414	25724	\N	\N	\N
108503	368	1994-04-14	PRIJEM	VKLAD	8414	24810	\N	\N	\N
108504	368	1994-05-14	PRIJEM	VKLAD	8414	23494	\N	\N	\N
108505	368	1994-06-14	PRIJEM	VKLAD	12621	26783	\N	\N	\N
108506	368	1994-07-14	PRIJEM	VKLAD	8414	27970	\N	\N	\N
108507	368	1994-08-14	PRIJEM	VKLAD	8414	30267	\N	\N	\N
108508	368	1994-09-14	PRIJEM	VKLAD	8414	30474	\N	\N	\N
108509	368	1994-10-14	PRIJEM	VKLAD	8414	31782	\N	\N	\N
108510	368	1994-11-14	PRIJEM	VKLAD	8414	32496	\N	\N	\N
108511	368	1994-12-14	PRIJEM	VKLAD	12621	32717	\N	\N	\N
108512	368	1995-01-14	PRIJEM	VKLAD	8414	26523	\N	\N	\N
108513	368	1995-02-14	PRIJEM	VKLAD	8414	23308	\N	\N	\N
108514	368	1995-03-14	PRIJEM	VKLAD	8414	25186	\N	\N	\N
108515	368	1995-04-14	PRIJEM	VKLAD	8414	25371	\N	\N	\N
108516	368	1995-05-14	PRIJEM	VKLAD	8414	23457	\N	\N	\N
108517	368	1995-06-14	PRIJEM	VKLAD	12621	31446	\N	\N	\N
108518	368	1995-07-14	PRIJEM	VKLAD	8414	19245	\N	\N	\N
108519	368	1995-08-14	PRIJEM	VKLAD	8414	23008	\N	\N	\N
108520	368	1995-09-14	PRIJEM	VKLAD	8414	24285	\N	\N	\N
108521	368	1995-10-14	PRIJEM	VKLAD	8414	22765	\N	\N	\N
108522	368	1995-11-14	PRIJEM	VKLAD	8414	20936	\N	\N	\N
108523	368	1995-12-14	PRIJEM	VKLAD	12621	27010	\N	\N	\N
108524	368	1996-01-14	PRIJEM	VKLAD	8414	22589	\N	\N	\N
108525	368	1996-02-14	PRIJEM	VKLAD	8414	18952	\N	\N	\N
108526	368	1996-03-14	PRIJEM	VKLAD	8414	18006	\N	\N	\N
108527	368	1996-04-14	PRIJEM	VKLAD	8414	17261	\N	\N	\N
108528	368	1996-05-14	PRIJEM	VKLAD	8414	19912	\N	\N	\N
108529	368	1996-06-14	PRIJEM	VKLAD	12621	23481	\N	\N	\N
108530	368	1996-07-14	PRIJEM	VKLAD	8414	18539	\N	\N	\N
108531	368	1996-08-14	PRIJEM	VKLAD	8414	18693	\N	\N	\N
108532	368	1996-09-14	PRIJEM	VKLAD	8414	14640	\N	\N	\N
108533	368	1996-10-14	PRIJEM	VKLAD	8414	17481	\N	\N	\N
108534	368	1996-11-14	PRIJEM	VKLAD	8414	18034	\N	\N	\N
108535	368	1996-12-14	PRIJEM	VKLAD	12621	25097	\N	\N	\N
108536	368	1997-01-14	PRIJEM	VKLAD	8414	16852	\N	\N	\N
108537	368	1997-02-14	PRIJEM	VKLAD	8414	16701	\N	\N	\N
108538	368	1997-03-14	PRIJEM	VKLAD	8414	19550	\N	\N	\N
108539	368	1997-04-14	PRIJEM	VKLAD	8414	21411	\N	\N	\N
108540	368	1997-05-14	PRIJEM	VKLAD	8414	24280	\N	\N	\N
108541	368	1997-06-14	PRIJEM	VKLAD	12621	31369	\N	\N	\N
108542	368	1997-07-14	PRIJEM	VKLAD	8414	18361	\N	\N	\N
108543	368	1997-08-14	PRIJEM	VKLAD	8414	19015	\N	\N	\N
108544	368	1997-09-14	PRIJEM	VKLAD	8414	21874	\N	\N	\N
108545	368	1997-10-14	PRIJEM	VKLAD	8414	24745	\N	\N	\N
108546	368	1997-11-14	PRIJEM	VKLAD	8414	25228	\N	\N	\N
108547	368	1997-12-14	PRIJEM	VKLAD	12621	32324	\N	\N	\N
108548	368	1998-01-14	PRIJEM	VKLAD	8414	29129	\N	\N	\N
108549	368	1998-02-14	PRIJEM	VKLAD	8414	26121	\N	\N	\N
108550	368	1998-03-14	PRIJEM	VKLAD	8414	29008	\N	\N	\N
108551	368	1998-04-14	PRIJEM	VKLAD	8414	31909	\N	\N	\N
108552	368	1998-05-14	PRIJEM	VKLAD	8414	34821	\N	\N	\N
108553	368	1998-06-14	PRIJEM	VKLAD	12621	37152	\N	\N	\N
108554	368	1998-07-14	PRIJEM	VKLAD	8414	28876	\N	\N	\N
108555	368	1998-08-14	PRIJEM	VKLAD	8414	27776	\N	\N	\N
108556	368	1998-09-14	PRIJEM	VKLAD	8414	26376	\N	\N	\N
108557	368	1998-10-14	PRIJEM	VKLAD	8414	29264	\N	\N	\N
108558	368	1998-11-14	PRIJEM	VKLAD	8414	30162	\N	\N	\N
108559	368	1998-12-14	PRIJEM	VKLAD	12621	32865	\N	\N	\N
108571	368	1993-12-06	VYDAJ	PREVOD NA UCET	4381	29292	SIPO	ST	13122338
108572	368	1994-01-06	VYDAJ	PREVOD NA UCET	4381	29943	SIPO	ST	13122338
108573	368	1994-02-06	VYDAJ	PREVOD NA UCET	4381	19649	SIPO	ST	13122338
108574	368	1994-03-06	VYDAJ	PREVOD NA UCET	4381	18538	SIPO	ST	13122338
108575	368	1994-04-06	VYDAJ	PREVOD NA UCET	4381	17624	SIPO	ST	13122338
108576	368	1994-05-06	VYDAJ	PREVOD NA UCET	4381	20608	SIPO	ST	13122338
108577	368	1994-06-06	VYDAJ	PREVOD NA UCET	4381	20290	SIPO	ST	13122338
108578	368	1994-07-06	VYDAJ	PREVOD NA UCET	4381	20784	SIPO	ST	13122338
108579	368	1994-08-06	VYDAJ	PREVOD NA UCET	4381	23081	SIPO	ST	13122338
108580	368	1994-09-06	VYDAJ	PREVOD NA UCET	4381	23288	SIPO	ST	13122338
108581	368	1994-10-06	VYDAJ	PREVOD NA UCET	4381	24596	SIPO	ST	13122338
108582	368	1994-11-06	VYDAJ	PREVOD NA UCET	4381	25310	SIPO	ST	13122338
108583	368	1994-12-06	VYDAJ	PREVOD NA UCET	4381	21324	SIPO	ST	13122338
108584	368	1995-01-06	VYDAJ	PREVOD NA UCET	4381	20437	SIPO	ST	13122338
108585	368	1995-02-06	VYDAJ	PREVOD NA UCET	4381	16122	SIPO	ST	13122338
108586	368	1995-03-06	VYDAJ	PREVOD NA UCET	4381	18000	SIPO	ST	13122338
108587	368	1995-04-06	VYDAJ	PREVOD NA UCET	4381	18185	SIPO	ST	13122338
108588	368	1995-05-06	VYDAJ	PREVOD NA UCET	4381	18271	SIPO	ST	13122338
108589	368	1995-06-06	VYDAJ	PREVOD NA UCET	4381	20053	SIPO	ST	13122338
108590	368	1995-07-06	VYDAJ	PREVOD NA UCET	4381	16059	SIPO	ST	13122338
108591	368	1995-08-06	VYDAJ	PREVOD NA UCET	4381	15822	SIPO	ST	13122338
108592	368	1995-09-06	VYDAJ	PREVOD NA UCET	4381	18899	SIPO	ST	13122338
108593	368	1995-10-06	VYDAJ	PREVOD NA UCET	4381	15579	SIPO	ST	13122338
108594	368	1995-11-06	VYDAJ	PREVOD NA UCET	4381	13750	SIPO	ST	13122338
108595	368	1995-12-06	VYDAJ	PREVOD NA UCET	4381	15617	SIPO	ST	13122338
108596	368	1996-01-06	VYDAJ	PREVOD NA UCET	4381	15403	SIPO	ST	13122338
108597	368	1996-02-06	VYDAJ	PREVOD NA UCET	4381	11766	SIPO	ST	13122338
108598	368	1996-03-06	VYDAJ	PREVOD NA UCET	4381	10820	SIPO	ST	13122338
108599	368	1996-04-06	VYDAJ	PREVOD NA UCET	4381	10075	SIPO	ST	13122338
108600	368	1996-05-06	VYDAJ	PREVOD NA UCET	4381	12726	SIPO	ST	13122338
108601	368	1996-06-06	VYDAJ	PREVOD NA UCET	4381	12088	SIPO	ST	13122338
108602	368	1996-07-06	VYDAJ	PREVOD NA UCET	4381	11353	SIPO	ST	13122338
108603	368	1996-08-06	VYDAJ	PREVOD NA UCET	4381	11507	SIPO	ST	13122338
108604	368	1996-09-06	VYDAJ	PREVOD NA UCET	4381	7454	SIPO	ST	13122338
108605	368	1996-10-06	VYDAJ	PREVOD NA UCET	4381	10295	SIPO	ST	13122338
108606	368	1996-11-06	VYDAJ	PREVOD NA UCET	4381	10848	SIPO	ST	13122338
108607	368	1996-12-06	VYDAJ	PREVOD NA UCET	4381	13704	SIPO	ST	13122338
108608	368	1997-01-06	VYDAJ	PREVOD NA UCET	4381	9666	SIPO	ST	13122338
108609	368	1997-02-06	VYDAJ	PREVOD NA UCET	4381	9515	SIPO	ST	13122338
108610	368	1997-03-06	VYDAJ	PREVOD NA UCET	4381	12364	SIPO	ST	13122338
108611	368	1997-04-06	VYDAJ	PREVOD NA UCET	4381	14225	SIPO	ST	13122338
108612	368	1997-05-06	VYDAJ	PREVOD NA UCET	4381	17094	SIPO	ST	13122338
108613	368	1997-06-06	VYDAJ	PREVOD NA UCET	4381	19976	SIPO	ST	13122338
108614	368	1997-07-06	VYDAJ	PREVOD NA UCET	4381	11175	SIPO	ST	13122338
108615	368	1997-08-06	VYDAJ	PREVOD NA UCET	4381	11829	SIPO	ST	13122338
108616	368	1997-09-06	VYDAJ	PREVOD NA UCET	4381	14688	SIPO	ST	13122338
108617	368	1997-10-06	VYDAJ	PREVOD NA UCET	4381	17559	SIPO	ST	13122338
108618	368	1997-11-06	VYDAJ	PREVOD NA UCET	4381	20442	SIPO	ST	13122338
108619	368	1997-12-06	VYDAJ	PREVOD NA UCET	4381	20931	SIPO	ST	13122338
108620	368	1998-01-06	VYDAJ	PREVOD NA UCET	4381	21943	SIPO	ST	13122338
108621	368	1998-02-06	VYDAJ	PREVOD NA UCET	4381	18935	SIPO	ST	13122338
108622	368	1998-03-06	VYDAJ	PREVOD NA UCET	4381	21822	SIPO	ST	13122338
108623	368	1998-04-06	VYDAJ	PREVOD NA UCET	4381	24723	SIPO	ST	13122338
108624	368	1998-05-06	VYDAJ	PREVOD NA UCET	4381	27635	SIPO	ST	13122338
108625	368	1998-06-06	VYDAJ	PREVOD NA UCET	4381	30559	SIPO	ST	13122338
108626	368	1998-07-06	VYDAJ	PREVOD NA UCET	4381	21690	SIPO	ST	13122338
108627	368	1998-08-06	VYDAJ	PREVOD NA UCET	4381	24590	SIPO	ST	13122338
108628	368	1998-09-06	VYDAJ	PREVOD NA UCET	4381	19190	SIPO	ST	13122338
108629	368	1998-10-06	VYDAJ	PREVOD NA UCET	4381	22078	SIPO	ST	13122338
108630	368	1998-11-06	VYDAJ	PREVOD NA UCET	4381	22976	SIPO	ST	13122338
108631	368	1998-12-06	VYDAJ	PREVOD NA UCET	4381	21472	SIPO	ST	13122338
108643	368	1993-12-09	VYDAJ	PREVOD NA UCET	742	28550	 	EF	27974027
108644	368	1994-01-09	VYDAJ	PREVOD NA UCET	742	23701	 	EF	27974027
108645	368	1994-02-09	VYDAJ	PREVOD NA UCET	742	18907	 	EF	27974027
108646	368	1994-03-09	VYDAJ	PREVOD NA UCET	742	17796	 	EF	27974027
108647	368	1994-04-09	VYDAJ	PREVOD NA UCET	742	16882	 	EF	27974027
108648	368	1994-05-09	VYDAJ	PREVOD NA UCET	742	15566	 	EF	27974027
108649	368	1994-06-09	VYDAJ	PREVOD NA UCET	742	14648	 	EF	27974027
108650	368	1994-07-09	VYDAJ	PREVOD NA UCET	742	20042	 	EF	27974027
108651	368	1994-08-09	VYDAJ	PREVOD NA UCET	742	22339	 	EF	27974027
108652	368	1994-09-09	VYDAJ	PREVOD NA UCET	742	22546	 	EF	27974027
108653	368	1994-10-09	VYDAJ	PREVOD NA UCET	742	23854	 	EF	27974027
108654	368	1994-11-09	VYDAJ	PREVOD NA UCET	742	24568	 	EF	27974027
108655	368	1994-12-09	VYDAJ	PREVOD NA UCET	742	20582	 	EF	27974027
108656	368	1995-01-09	VYDAJ	PREVOD NA UCET	742	18595	 	EF	27974027
108657	368	1995-02-09	VYDAJ	PREVOD NA UCET	742	15380	 	EF	27974027
108658	368	1995-03-09	VYDAJ	PREVOD NA UCET	742	17258	 	EF	27974027
108659	368	1995-04-09	VYDAJ	PREVOD NA UCET	742	17443	 	EF	27974027
108660	368	1995-05-09	VYDAJ	PREVOD NA UCET	742	17529	 	EF	27974027
108661	368	1995-06-09	VYDAJ	PREVOD NA UCET	742	19311	 	EF	27974027
108662	368	1995-07-09	VYDAJ	PREVOD NA UCET	742	11317	 	EF	27974027
108663	368	1995-08-09	VYDAJ	PREVOD NA UCET	742	15080	 	EF	27974027
108664	368	1995-09-09	VYDAJ	PREVOD NA UCET	742	16357	 	EF	27974027
108665	368	1995-10-09	VYDAJ	PREVOD NA UCET	742	14837	 	EF	27974027
108666	368	1995-11-09	VYDAJ	PREVOD NA UCET	742	13008	 	EF	27974027
108667	368	1995-12-09	VYDAJ	PREVOD NA UCET	742	14875	 	EF	27974027
108668	368	1996-01-09	VYDAJ	PREVOD NA UCET	742	14661	 	EF	27974027
108669	368	1996-02-09	VYDAJ	PREVOD NA UCET	742	11024	 	EF	27974027
108670	368	1996-03-09	VYDAJ	PREVOD NA UCET	742	10078	 	EF	27974027
108671	368	1996-04-09	VYDAJ	PREVOD NA UCET	742	9333	 	EF	27974027
108672	368	1996-05-09	VYDAJ	PREVOD NA UCET	742	11984	 	EF	27974027
108673	368	1996-06-09	VYDAJ	PREVOD NA UCET	742	11346	 	EF	27974027
108674	368	1996-07-09	VYDAJ	PREVOD NA UCET	742	10611	 	EF	27974027
108675	368	1996-08-09	VYDAJ	PREVOD NA UCET	742	10765	 	EF	27974027
108676	368	1996-09-09	VYDAJ	PREVOD NA UCET	742	6712	 	EF	27974027
108677	368	1996-10-09	VYDAJ	PREVOD NA UCET	742	9553	 	EF	27974027
108678	368	1996-11-09	VYDAJ	PREVOD NA UCET	742	10106	 	EF	27974027
108679	368	1996-12-09	VYDAJ	PREVOD NA UCET	742	12962	 	EF	27974027
108680	368	1997-01-09	VYDAJ	PREVOD NA UCET	742	8924	 	EF	27974027
108681	368	1997-02-09	VYDAJ	PREVOD NA UCET	742	8773	 	EF	27974027
108682	368	1997-03-09	VYDAJ	PREVOD NA UCET	742	11622	 	EF	27974027
108683	368	1997-04-09	VYDAJ	PREVOD NA UCET	742	13483	 	EF	27974027
108684	368	1997-05-09	VYDAJ	PREVOD NA UCET	742	16352	 	EF	27974027
108685	368	1997-06-09	VYDAJ	PREVOD NA UCET	742	19234	 	EF	27974027
108686	368	1997-07-09	VYDAJ	PREVOD NA UCET	742	10433	 	EF	27974027
108687	368	1997-08-09	VYDAJ	PREVOD NA UCET	742	11087	 	EF	27974027
108688	368	1997-09-09	VYDAJ	PREVOD NA UCET	742	13946	 	EF	27974027
108689	368	1997-10-09	VYDAJ	PREVOD NA UCET	742	16817	 	EF	27974027
108690	368	1997-11-09	VYDAJ	PREVOD NA UCET	742	19700	 	EF	27974027
108691	368	1997-12-09	VYDAJ	PREVOD NA UCET	742	20189	 	EF	27974027
108692	368	1998-01-09	VYDAJ	PREVOD NA UCET	742	21201	 	EF	27974027
108693	368	1998-02-09	VYDAJ	PREVOD NA UCET	742	18193	 	EF	27974027
108694	368	1998-03-09	VYDAJ	PREVOD NA UCET	742	21080	 	EF	27974027
108695	368	1998-04-09	VYDAJ	PREVOD NA UCET	742	23981	 	EF	27974027
108696	368	1998-05-09	VYDAJ	PREVOD NA UCET	742	26893	 	EF	27974027
108697	368	1998-06-09	VYDAJ	PREVOD NA UCET	742	25017	 	EF	27974027
108698	368	1998-07-09	VYDAJ	PREVOD NA UCET	742	20948	 	EF	27974027
108699	368	1998-08-09	VYDAJ	PREVOD NA UCET	742	23848	 	EF	27974027
108700	368	1998-09-09	VYDAJ	PREVOD NA UCET	742	18448	 	EF	27974027
108701	368	1998-10-09	VYDAJ	PREVOD NA UCET	742	21336	 	EF	27974027
108702	368	1998-11-09	VYDAJ	PREVOD NA UCET	742	22234	 	EF	27974027
108703	368	1998-12-09	VYDAJ	PREVOD NA UCET	742	20730	 	EF	27974027
108715	368	1993-12-13	VYDAJ	PREVOD NA UCET	269	28064	POJISTNE	UV	35746020
108716	368	1994-01-13	VYDAJ	PREVOD NA UCET	269	19615	POJISTNE	UV	35746020
108717	368	1994-02-13	VYDAJ	PREVOD NA UCET	269	18421	POJISTNE	UV	35746020
108718	368	1994-03-13	VYDAJ	PREVOD NA UCET	269	17310	POJISTNE	UV	35746020
108719	368	1994-04-13	VYDAJ	PREVOD NA UCET	269	16396	POJISTNE	UV	35746020
108720	368	1994-05-13	VYDAJ	PREVOD NA UCET	269	15080	POJISTNE	UV	35746020
108721	368	1994-06-13	VYDAJ	PREVOD NA UCET	269	14162	POJISTNE	UV	35746020
108722	368	1994-07-13	VYDAJ	PREVOD NA UCET	269	19556	POJISTNE	UV	35746020
108723	368	1994-08-13	VYDAJ	PREVOD NA UCET	269	21853	POJISTNE	UV	35746020
108724	368	1994-09-13	VYDAJ	PREVOD NA UCET	269	22060	POJISTNE	UV	35746020
108725	368	1994-10-13	VYDAJ	PREVOD NA UCET	269	23368	POJISTNE	UV	35746020
108726	368	1994-11-13	VYDAJ	PREVOD NA UCET	269	24082	POJISTNE	UV	35746020
108727	368	1994-12-13	VYDAJ	PREVOD NA UCET	269	20096	POJISTNE	UV	35746020
108728	368	1995-01-13	VYDAJ	PREVOD NA UCET	269	18109	POJISTNE	UV	35746020
108729	368	1995-02-13	VYDAJ	PREVOD NA UCET	269	14894	POJISTNE	UV	35746020
108730	368	1995-03-13	VYDAJ	PREVOD NA UCET	269	16772	POJISTNE	UV	35746020
108731	368	1995-04-13	VYDAJ	PREVOD NA UCET	269	16957	POJISTNE	UV	35746020
108732	368	1995-05-13	VYDAJ	PREVOD NA UCET	269	15043	POJISTNE	UV	35746020
108733	368	1995-06-13	VYDAJ	PREVOD NA UCET	269	18825	POJISTNE	UV	35746020
108734	368	1995-07-13	VYDAJ	PREVOD NA UCET	269	10831	POJISTNE	UV	35746020
108735	368	1995-08-13	VYDAJ	PREVOD NA UCET	269	14594	POJISTNE	UV	35746020
108736	368	1995-09-13	VYDAJ	PREVOD NA UCET	269	15871	POJISTNE	UV	35746020
108737	368	1995-10-13	VYDAJ	PREVOD NA UCET	269	14351	POJISTNE	UV	35746020
108738	368	1995-11-13	VYDAJ	PREVOD NA UCET	269	12522	POJISTNE	UV	35746020
108739	368	1995-12-13	VYDAJ	PREVOD NA UCET	269	14389	POJISTNE	UV	35746020
108740	368	1996-01-13	VYDAJ	PREVOD NA UCET	269	14175	POJISTNE	UV	35746020
108741	368	1996-02-13	VYDAJ	PREVOD NA UCET	269	10538	POJISTNE	UV	35746020
108742	368	1996-03-13	VYDAJ	PREVOD NA UCET	269	9592	POJISTNE	UV	35746020
108743	368	1996-04-13	VYDAJ	PREVOD NA UCET	269	8847	POJISTNE	UV	35746020
108744	368	1996-05-13	VYDAJ	PREVOD NA UCET	269	11498	POJISTNE	UV	35746020
108745	368	1996-06-13	VYDAJ	PREVOD NA UCET	269	10860	POJISTNE	UV	35746020
108746	368	1996-07-13	VYDAJ	PREVOD NA UCET	269	10125	POJISTNE	UV	35746020
108747	368	1996-08-13	VYDAJ	PREVOD NA UCET	269	10279	POJISTNE	UV	35746020
108748	368	1996-09-13	VYDAJ	PREVOD NA UCET	269	6226	POJISTNE	UV	35746020
108749	368	1996-10-13	VYDAJ	PREVOD NA UCET	269	9067	POJISTNE	UV	35746020
108750	368	1996-11-13	VYDAJ	PREVOD NA UCET	269	9620	POJISTNE	UV	35746020
108751	368	1996-12-13	VYDAJ	PREVOD NA UCET	269	12476	POJISTNE	UV	35746020
108752	368	1997-01-13	VYDAJ	PREVOD NA UCET	269	8438	POJISTNE	UV	35746020
108753	368	1997-02-13	VYDAJ	PREVOD NA UCET	269	8287	POJISTNE	UV	35746020
108754	368	1997-03-13	VYDAJ	PREVOD NA UCET	269	11136	POJISTNE	UV	35746020
108755	368	1997-04-13	VYDAJ	PREVOD NA UCET	269	12997	POJISTNE	UV	35746020
108756	368	1997-05-13	VYDAJ	PREVOD NA UCET	269	15866	POJISTNE	UV	35746020
108757	368	1997-06-13	VYDAJ	PREVOD NA UCET	269	18748	POJISTNE	UV	35746020
108758	368	1997-07-13	VYDAJ	PREVOD NA UCET	269	9947	POJISTNE	UV	35746020
108759	368	1997-08-13	VYDAJ	PREVOD NA UCET	269	10601	POJISTNE	UV	35746020
108760	368	1997-09-13	VYDAJ	PREVOD NA UCET	269	13460	POJISTNE	UV	35746020
108761	368	1997-10-13	VYDAJ	PREVOD NA UCET	269	16331	POJISTNE	UV	35746020
108762	368	1997-11-13	VYDAJ	PREVOD NA UCET	269	16814	POJISTNE	UV	35746020
108763	368	1997-12-13	VYDAJ	PREVOD NA UCET	269	19703	POJISTNE	UV	35746020
108764	368	1998-01-13	VYDAJ	PREVOD NA UCET	269	20715	POJISTNE	UV	35746020
108765	368	1998-02-13	VYDAJ	PREVOD NA UCET	269	17707	POJISTNE	UV	35746020
108766	368	1998-03-13	VYDAJ	PREVOD NA UCET	269	20594	POJISTNE	UV	35746020
108767	368	1998-04-13	VYDAJ	PREVOD NA UCET	269	23495	POJISTNE	UV	35746020
108768	368	1998-05-13	VYDAJ	PREVOD NA UCET	269	26407	POJISTNE	UV	35746020
108769	368	1998-06-13	VYDAJ	PREVOD NA UCET	269	24531	POJISTNE	UV	35746020
108770	368	1998-07-13	VYDAJ	PREVOD NA UCET	269	20462	POJISTNE	UV	35746020
108771	368	1998-08-13	VYDAJ	PREVOD NA UCET	269	19362	POJISTNE	UV	35746020
108772	368	1998-09-13	VYDAJ	PREVOD NA UCET	269	17962	POJISTNE	UV	35746020
108773	368	1998-10-13	VYDAJ	PREVOD NA UCET	269	20850	POJISTNE	UV	35746020
108774	368	1998-11-13	VYDAJ	PREVOD NA UCET	269	21748	POJISTNE	UV	35746020
108775	368	1998-12-13	VYDAJ	PREVOD NA UCET	269	20244	POJISTNE	UV	35746020
108787	368	1993-12-10	VYDAJ	PREVOD NA UCET	217	28333	 	YZ	33245110
108788	368	1994-01-10	VYDAJ	PREVOD NA UCET	217	23484	 	YZ	33245110
108789	368	1994-02-10	VYDAJ	PREVOD NA UCET	217	18690	 	YZ	33245110
108790	368	1994-03-10	VYDAJ	PREVOD NA UCET	217	17579	 	YZ	33245110
108791	368	1994-04-10	VYDAJ	PREVOD NA UCET	217	16665	 	YZ	33245110
108792	368	1994-05-10	VYDAJ	PREVOD NA UCET	217	15349	 	YZ	33245110
108793	368	1994-06-10	VYDAJ	PREVOD NA UCET	217	14431	 	YZ	33245110
108794	368	1994-07-10	VYDAJ	PREVOD NA UCET	217	19825	 	YZ	33245110
108795	368	1994-08-10	VYDAJ	PREVOD NA UCET	217	22122	 	YZ	33245110
108796	368	1994-09-10	VYDAJ	PREVOD NA UCET	217	22329	 	YZ	33245110
108797	368	1994-10-10	VYDAJ	PREVOD NA UCET	217	23637	 	YZ	33245110
108798	368	1994-11-10	VYDAJ	PREVOD NA UCET	217	24351	 	YZ	33245110
108799	368	1994-12-10	VYDAJ	PREVOD NA UCET	217	20365	 	YZ	33245110
108800	368	1995-01-10	VYDAJ	PREVOD NA UCET	217	18378	 	YZ	33245110
108801	368	1995-02-10	VYDAJ	PREVOD NA UCET	217	15163	 	YZ	33245110
108802	368	1995-03-10	VYDAJ	PREVOD NA UCET	217	17041	 	YZ	33245110
108803	368	1995-04-10	VYDAJ	PREVOD NA UCET	217	17226	 	YZ	33245110
108804	368	1995-05-10	VYDAJ	PREVOD NA UCET	217	15312	 	YZ	33245110
108805	368	1995-06-10	VYDAJ	PREVOD NA UCET	217	19094	 	YZ	33245110
108806	368	1995-07-10	VYDAJ	PREVOD NA UCET	217	11100	 	YZ	33245110
108807	368	1995-08-10	VYDAJ	PREVOD NA UCET	217	14863	 	YZ	33245110
108808	368	1995-09-10	VYDAJ	PREVOD NA UCET	217	16140	 	YZ	33245110
108809	368	1995-10-10	VYDAJ	PREVOD NA UCET	217	14620	 	YZ	33245110
108810	368	1995-11-10	VYDAJ	PREVOD NA UCET	217	12791	 	YZ	33245110
108811	368	1995-12-10	VYDAJ	PREVOD NA UCET	217	14658	 	YZ	33245110
108812	368	1996-01-10	VYDAJ	PREVOD NA UCET	217	14444	 	YZ	33245110
108813	368	1996-02-10	VYDAJ	PREVOD NA UCET	217	10807	 	YZ	33245110
108814	368	1996-03-10	VYDAJ	PREVOD NA UCET	217	9861	 	YZ	33245110
108815	368	1996-04-10	VYDAJ	PREVOD NA UCET	217	9116	 	YZ	33245110
108816	368	1996-05-10	VYDAJ	PREVOD NA UCET	217	11767	 	YZ	33245110
108817	368	1996-06-10	VYDAJ	PREVOD NA UCET	217	11129	 	YZ	33245110
108818	368	1996-07-10	VYDAJ	PREVOD NA UCET	217	10394	 	YZ	33245110
108819	368	1996-08-10	VYDAJ	PREVOD NA UCET	217	10548	 	YZ	33245110
108820	368	1996-09-10	VYDAJ	PREVOD NA UCET	217	6495	 	YZ	33245110
108821	368	1996-10-10	VYDAJ	PREVOD NA UCET	217	9336	 	YZ	33245110
108822	368	1996-11-10	VYDAJ	PREVOD NA UCET	217	9889	 	YZ	33245110
108823	368	1996-12-10	VYDAJ	PREVOD NA UCET	217	12745	 	YZ	33245110
108824	368	1997-01-10	VYDAJ	PREVOD NA UCET	217	8707	 	YZ	33245110
108825	368	1997-02-10	VYDAJ	PREVOD NA UCET	217	8556	 	YZ	33245110
108826	368	1997-03-10	VYDAJ	PREVOD NA UCET	217	11405	 	YZ	33245110
108827	368	1997-04-10	VYDAJ	PREVOD NA UCET	217	13266	 	YZ	33245110
108828	368	1997-05-10	VYDAJ	PREVOD NA UCET	217	16135	 	YZ	33245110
108829	368	1997-06-10	VYDAJ	PREVOD NA UCET	217	19017	 	YZ	33245110
108830	368	1997-07-10	VYDAJ	PREVOD NA UCET	217	10216	 	YZ	33245110
108831	368	1997-08-10	VYDAJ	PREVOD NA UCET	217	10870	 	YZ	33245110
108832	368	1997-09-10	VYDAJ	PREVOD NA UCET	217	13729	 	YZ	33245110
108833	368	1997-10-10	VYDAJ	PREVOD NA UCET	217	16600	 	YZ	33245110
108834	368	1997-11-10	VYDAJ	PREVOD NA UCET	217	19483	 	YZ	33245110
108835	368	1997-12-10	VYDAJ	PREVOD NA UCET	217	19972	 	YZ	33245110
108836	368	1998-01-10	VYDAJ	PREVOD NA UCET	217	20984	 	YZ	33245110
108837	368	1998-02-10	VYDAJ	PREVOD NA UCET	217	17976	 	YZ	33245110
108838	368	1998-03-10	VYDAJ	PREVOD NA UCET	217	20863	 	YZ	33245110
108839	368	1998-04-10	VYDAJ	PREVOD NA UCET	217	23764	 	YZ	33245110
108840	368	1998-05-10	VYDAJ	PREVOD NA UCET	217	26676	 	YZ	33245110
108841	368	1998-06-10	VYDAJ	PREVOD NA UCET	217	24800	 	YZ	33245110
108842	368	1998-07-10	VYDAJ	PREVOD NA UCET	217	20731	 	YZ	33245110
108843	368	1998-08-10	VYDAJ	PREVOD NA UCET	217	23631	 	YZ	33245110
108844	368	1998-09-10	VYDAJ	PREVOD NA UCET	217	18231	 	YZ	33245110
108845	368	1998-10-10	VYDAJ	PREVOD NA UCET	217	21119	 	YZ	33245110
108846	368	1998-11-10	VYDAJ	PREVOD NA UCET	217	22017	 	YZ	33245110
108847	368	1998-12-10	VYDAJ	PREVOD NA UCET	217	20513	 	YZ	33245110
108921	368	1994-06-07	VYDAJ	VYBER	4900	15390	\N	\N	\N
108922	368	1995-06-29	VYDAJ	VYBER	4100	20346	\N	\N	\N
108924	368	1997-06-26	VYDAJ	VYBER	15900	15469	\N	\N	\N
108925	368	1998-06-26	VYDAJ	VYBER	11200	25952	\N	\N	\N
108926	368	1993-12-21	VYDAJ	VYBER	600	40085	\N	\N	\N
108927	368	1994-12-21	VYDAJ	VYBER	800	31917	\N	\N	\N
108928	368	1995-12-18	VYDAJ	VYBER	1500	25510	\N	\N	\N
108930	368	1997-12-26	VYDAJ	VYBER	2000	30324	\N	\N	\N
108931	368	1998-12-18	VYDAJ	VYBER	2100	30765	\N	\N	\N
108938	368	1994-01-12	VYDAJ	VYBER	2700	19884	\N	\N	\N
108939	368	1994-01-23	VYDAJ	VYBER	2600	24629	\N	\N	\N
108940	368	1994-01-08	VYDAJ	VYBER	2400	24443	\N	\N	\N
108941	368	1994-01-19	VYDAJ	VYBER	800	27229	\N	\N	\N
108942	368	1994-01-11	VYDAJ	VYBER	900	22584	\N	\N	\N
108943	368	1994-01-23	VYDAJ	VYBER	900	23729	\N	\N	\N
108944	368	1995-01-21	VYDAJ	VYBER	1200	22723	\N	\N	\N
108945	368	1995-01-04	VYDAJ	VYBER	1200	24818	\N	\N	\N
108946	368	1995-01-06	VYDAJ	VYBER	500	19937	\N	\N	\N
108947	368	1995-01-08	VYDAJ	VYBER	600	19337	\N	\N	\N
108948	368	1995-01-14	VYDAJ	VYBER	2100	24423	\N	\N	\N
108949	368	1995-01-14	VYDAJ	VYBER	500	23923	\N	\N	\N
108950	368	1996-01-19	VYDAJ	VYBER	2900	14789	\N	\N	\N
108951	368	1996-01-16	VYDAJ	VYBER	2800	18889	\N	\N	\N
108953	368	1996-01-14	VYDAJ	VYBER	900	21689	\N	\N	\N
108954	368	1996-01-30	VYDAJ	VYBER	1000	16089	\N	\N	\N
108955	368	1996-01-18	VYDAJ	VYBER	1200	17689	\N	\N	\N
108956	368	1997-01-20	VYDAJ	VYBER	2000	13852	\N	\N	\N
108959	368	1997-01-20	VYDAJ	VYBER	1000	15852	\N	\N	\N
108962	368	1998-01-02	VYDAJ	VYBER	2400	28024	\N	\N	\N
108963	368	1998-01-26	VYDAJ	VYBER	2500	23229	\N	\N	\N
108964	368	1998-01-04	VYDAJ	VYBER	1200	26824	\N	\N	\N
108965	368	1998-01-19	VYDAJ	VYBER	800	25729	\N	\N	\N
108966	368	1998-01-05	VYDAJ	VYBER	500	26324	\N	\N	\N
108967	368	1998-01-14	VYDAJ	VYBER	2600	26529	\N	\N	\N
108974	368	1994-02-17	VYDAJ	VYBER	1100	25735	\N	\N	\N
108975	368	1994-01-08	VYDAJ	VYBER	3100	26843	\N	\N	\N
108976	368	1994-03-16	VYDAJ	VYBER	1600	24124	\N	\N	\N
108977	368	1994-05-07	VYDAJ	VYBER	4300	16308	\N	\N	\N
108978	368	1995-05-10	VYDAJ	VYBER	2000	15529	\N	\N	\N
108979	368	1995-12-27	VYDAJ	VYBER	4900	19710	\N	\N	\N
108980	368	1995-07-06	VYDAJ	VYBER	4000	12059	\N	\N	\N
108981	368	1995-03-02	VYDAJ	VYBER	2500	22381	\N	\N	\N
108982	368	1995-10-23	VYDAJ	VYBER	3700	19065	\N	\N	\N
108983	368	1995-09-09	VYDAJ	VYBER	1800	17099	\N	\N	\N
108985	368	1996-03-28	VYDAJ	VYBER	3800	14406	\N	\N	\N
108986	368	1996-04-15	VYDAJ	VYBER	1000	16261	\N	\N	\N
108987	368	1996-10-30	VYDAJ	VYBER	2300	15181	\N	\N	\N
108988	368	1996-05-28	VYDAJ	VYBER	2800	16412	\N	\N	\N
108989	368	1997-03-29	VYDAJ	VYBER	1000	18550	\N	\N	\N
108990	368	1997-07-24	VYDAJ	VYBER	2200	16161	\N	\N	\N
108991	368	1997-11-10	VYDAJ	VYBER	2400	17083	\N	\N	\N
108993	368	1998-10-20	VYDAJ	VYBER	2000	27264	\N	\N	\N
108994	368	1998-08-10	VYDAJ	VYBER	4000	19631	\N	\N	\N
108995	368	1998-06-09	VYDAJ	VYBER	4800	25759	\N	\N	\N
108996	368	1998-11-17	VYDAJ	VYBER	4400	25762	\N	\N	\N
108997	368	1998-08-30	VYDAJ	VYBER	4300	23476	\N	\N	\N
109009	368	1993-11-30	VYDAJ	VYBER	15	38073	SLUZBY	\N	\N
109010	368	1993-12-31	VYDAJ	VYBER	15	40224	SLUZBY	\N	\N
109011	368	1994-01-31	VYDAJ	VYBER	15	23830	SLUZBY	\N	\N
109012	368	1994-02-28	VYDAJ	VYBER	15	25819	SLUZBY	\N	\N
109013	368	1994-03-31	VYDAJ	VYBER	15	24205	SLUZBY	\N	\N
109014	368	1994-04-30	VYDAJ	VYBER	15	24889	SLUZBY	\N	\N
109015	368	1994-05-31	VYDAJ	VYBER	15	23571	SLUZBY	\N	\N
109016	368	1994-06-30	VYDAJ	VYBER	15	26865	SLUZBY	\N	\N
109017	368	1994-07-31	VYDAJ	VYBER	15	27462	SLUZBY	\N	\N
109018	368	1994-08-31	VYDAJ	VYBER	15	27669	SLUZBY	\N	\N
109019	368	1994-09-30	VYDAJ	VYBER	15	28977	SLUZBY	\N	\N
109020	368	1994-10-31	VYDAJ	VYBER	15	29691	SLUZBY	\N	\N
109021	368	1994-11-30	VYDAJ	VYBER	15	25705	SLUZBY	\N	\N
109022	368	1994-12-31	VYDAJ	VYBER	15	26018	SLUZBY	\N	\N
109023	368	1995-01-31	VYDAJ	VYBER	15	20503	SLUZBY	\N	\N
109024	368	1995-02-28	VYDAJ	VYBER	15	24881	SLUZBY	\N	\N
109025	368	1995-03-31	VYDAJ	VYBER	15	22566	SLUZBY	\N	\N
109026	368	1995-04-30	VYDAJ	VYBER	15	22652	SLUZBY	\N	\N
109027	368	1995-05-31	VYDAJ	VYBER	15	24434	SLUZBY	\N	\N
109028	368	1995-06-30	VYDAJ	VYBER	15	20440	SLUZBY	\N	\N
109029	368	1995-07-31	VYDAJ	VYBER	15	20203	SLUZBY	\N	\N
109030	368	1995-08-31	VYDAJ	VYBER	15	23280	SLUZBY	\N	\N
109031	368	1995-09-30	VYDAJ	VYBER	15	19960	SLUZBY	\N	\N
109032	368	1995-10-31	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
109033	368	1995-11-30	VYDAJ	VYBER	15	19998	SLUZBY	\N	\N
109034	368	1995-12-31	VYDAJ	VYBER	15	19784	SLUZBY	\N	\N
109035	368	1996-01-31	VYDAJ	VYBER	15	16147	SLUZBY	\N	\N
109036	368	1996-02-29	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
109037	368	1996-03-31	VYDAJ	VYBER	15	14456	SLUZBY	\N	\N
109038	368	1996-04-30	VYDAJ	VYBER	15	17107	SLUZBY	\N	\N
109039	368	1996-05-31	VYDAJ	VYBER	15	16469	SLUZBY	\N	\N
109040	368	1996-06-30	VYDAJ	VYBER	15	15734	SLUZBY	\N	\N
109041	368	1996-07-31	VYDAJ	VYBER	15	15888	SLUZBY	\N	\N
109042	368	1996-08-31	VYDAJ	VYBER	15	11835	SLUZBY	\N	\N
109043	368	1996-09-30	VYDAJ	VYBER	15	14676	SLUZBY	\N	\N
109044	368	1996-10-31	VYDAJ	VYBER	15	15229	SLUZBY	\N	\N
109045	368	1996-11-30	VYDAJ	VYBER	15	18085	SLUZBY	\N	\N
109046	368	1996-12-31	VYDAJ	VYBER	15	14047	SLUZBY	\N	\N
109047	368	1997-01-31	VYDAJ	VYBER	15	13896	SLUZBY	\N	\N
109048	368	1997-02-28	VYDAJ	VYBER	15	16745	SLUZBY	\N	\N
109049	368	1997-03-31	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
109050	368	1997-04-30	VYDAJ	VYBER	15	21475	SLUZBY	\N	\N
109051	368	1997-05-31	VYDAJ	VYBER	15	24357	SLUZBY	\N	\N
109052	368	1997-06-30	VYDAJ	VYBER	15	15556	SLUZBY	\N	\N
109053	368	1997-07-31	VYDAJ	VYBER	15	16210	SLUZBY	\N	\N
109054	368	1997-08-31	VYDAJ	VYBER	15	19069	SLUZBY	\N	\N
109055	368	1997-09-30	VYDAJ	VYBER	15	21940	SLUZBY	\N	\N
109056	368	1997-10-31	VYDAJ	VYBER	15	24823	SLUZBY	\N	\N
109057	368	1997-11-30	VYDAJ	VYBER	15	25312	SLUZBY	\N	\N
109058	368	1997-12-31	VYDAJ	VYBER	15	30424	SLUZBY	\N	\N
109059	368	1998-01-31	VYDAJ	VYBER	15	23316	SLUZBY	\N	\N
109060	368	1998-02-28	VYDAJ	VYBER	15	26203	SLUZBY	\N	\N
109061	368	1998-03-31	VYDAJ	VYBER	15	29104	SLUZBY	\N	\N
109062	368	1998-04-30	VYDAJ	VYBER	15	32016	SLUZBY	\N	\N
109063	368	1998-05-31	VYDAJ	VYBER	15	34940	SLUZBY	\N	\N
109064	368	1998-06-30	VYDAJ	VYBER	15	26071	SLUZBY	\N	\N
109065	368	1998-07-31	VYDAJ	VYBER	15	28971	SLUZBY	\N	\N
109066	368	1998-08-31	VYDAJ	VYBER	15	23571	SLUZBY	\N	\N
109067	368	1998-09-30	VYDAJ	VYBER	15	26459	SLUZBY	\N	\N
109068	368	1998-10-31	VYDAJ	VYBER	15	27357	SLUZBY	\N	\N
109069	368	1998-11-30	VYDAJ	VYBER	15	25853	SLUZBY	\N	\N
109070	368	1993-08-05	PRIJEM	VKLAD	5500	15037	\N	\N	\N
109071	368	1993-09-04	PRIJEM	VKLAD	600	24124	\N	\N	\N
109072	368	1993-10-04	VYDAJ	VYBER	4300	28358	\N	\N	\N
109073	368	1993-11-03	VYDAJ	VYBER	7400	29517	\N	\N	\N
109074	368	1993-12-03	VYDAJ	VYBER	4400	33673	\N	\N	\N
109075	368	1994-01-02	VYDAJ	VYBER	5900	34324	\N	\N	\N
109076	368	1994-02-01	PRIJEM	VKLAD	200	24030	\N	\N	\N
109077	368	1994-03-03	VYDAJ	VYBER	2900	22919	\N	\N	\N
109078	368	1994-04-02	VYDAJ	VYBER	2200	22005	\N	\N	\N
109079	368	1994-05-02	PRIJEM	VKLAD	100	24989	\N	\N	\N
109080	368	1994-06-01	PRIJEM	VKLAD	1100	24671	\N	\N	\N
109081	368	1994-07-01	VYDAJ	VYBER	1700	25165	\N	\N	\N
109082	368	1994-07-31	VYDAJ	VYBER	600	27477	\N	\N	\N
109083	368	1994-08-30	VYDAJ	VYBER	2700	27567	\N	\N	\N
109084	368	1994-09-29	VYDAJ	VYBER	1600	28874	\N	\N	\N
109085	368	1994-10-29	VYDAJ	VYBER	2200	29582	\N	\N	\N
109086	368	1994-11-28	VYDAJ	VYBER	6900	25596	\N	\N	\N
109087	368	1994-12-28	VYDAJ	VYBER	6000	25917	\N	\N	\N
109088	368	1995-01-27	VYDAJ	VYBER	2300	20423	\N	\N	\N
109089	368	1995-02-26	PRIJEM	VKLAD	1500	24808	\N	\N	\N
109090	368	1995-03-28	VYDAJ	VYBER	2700	22486	\N	\N	\N
109091	368	1995-04-27	VYDAJ	VYBER	2800	22571	\N	\N	\N
109092	368	1995-05-27	PRIJEM	VKLAD	900	24357	\N	\N	\N
109093	368	1995-06-26	VYDAJ	VYBER	7000	24446	\N	\N	\N
109094	368	1995-07-26	PRIJEM	VKLAD	900	20145	\N	\N	\N
109095	368	1995-08-25	PRIJEM	VKLAD	200	23208	\N	\N	\N
109096	368	1995-09-24	VYDAJ	VYBER	4400	19885	\N	\N	\N
109097	368	1995-10-24	VYDAJ	VYBER	1000	18065	\N	\N	\N
109098	368	1995-11-23	VYDAJ	VYBER	1000	19936	\N	\N	\N
109099	368	1995-12-23	VYDAJ	VYBER	900	24610	\N	\N	\N
109100	368	1996-01-22	PRIJEM	VKLAD	2300	17089	\N	\N	\N
109101	368	1996-02-21	VYDAJ	VYBER	3800	15152	\N	\N	\N
109102	368	1996-03-22	PRIJEM	VKLAD	200	18206	\N	\N	\N
109103	368	1996-04-21	PRIJEM	VKLAD	800	17061	\N	\N	\N
109104	368	1996-05-21	VYDAJ	VYBER	700	19212	\N	\N	\N
109105	368	1996-06-20	VYDAJ	VYBER	7800	15681	\N	\N	\N
109106	368	1996-07-20	VYDAJ	VYBER	2700	15839	\N	\N	\N
109107	368	1996-08-19	VYDAJ	VYBER	6900	11793	\N	\N	\N
109108	368	1996-12-17	VYDAJ	VYBER	11100	13997	\N	\N	\N
109465	370	1994-02-18	PRIJEM	VKLAD	700	700	\N	\N	\N
109800	370	1996-03-09	VYDAJ	VYBER	1200	23430	\N	\N	\N
109468	370	1994-03-14	PRIJEM	PREVOD Z UCTU	3113	3813	\N	OP	86727231
109469	370	1994-04-14	PRIJEM	PREVOD Z UCTU	3113	6926	\N	OP	86727231
109470	370	1994-05-14	PRIJEM	PREVOD Z UCTU	3113	10039	\N	OP	86727231
109471	370	1994-06-14	PRIJEM	PREVOD Z UCTU	3113	13152	\N	OP	86727231
109472	370	1994-07-14	PRIJEM	PREVOD Z UCTU	3113	16265	\N	OP	86727231
109473	370	1994-08-14	PRIJEM	PREVOD Z UCTU	3113	17291	\N	OP	86727231
109474	370	1994-09-14	PRIJEM	PREVOD Z UCTU	3113	17393	\N	OP	86727231
109475	370	1994-10-14	PRIJEM	PREVOD Z UCTU	3113	18486	\N	OP	86727231
109476	370	1994-11-14	PRIJEM	PREVOD Z UCTU	3113	18741	\N	OP	86727231
109477	370	1994-12-14	PRIJEM	PREVOD Z UCTU	3113	19028	\N	OP	86727231
109478	370	1995-01-14	PRIJEM	PREVOD Z UCTU	3113	20127	\N	OP	86727231
109479	370	1995-02-14	PRIJEM	PREVOD Z UCTU	3113	20661	\N	OP	86727231
109480	370	1995-03-14	PRIJEM	PREVOD Z UCTU	3113	21767	\N	OP	86727231
109481	370	1995-04-14	PRIJEM	PREVOD Z UCTU	3113	22317	\N	OP	86727231
109482	370	1995-05-14	PRIJEM	PREVOD Z UCTU	3113	23430	\N	OP	86727231
109483	370	1995-06-14	PRIJEM	PREVOD Z UCTU	3113	24097	\N	OP	86727231
109484	370	1995-07-14	PRIJEM	PREVOD Z UCTU	3113	22276	\N	OP	86727231
109485	370	1995-08-14	PRIJEM	PREVOD Z UCTU	3113	22069	\N	OP	86727231
109486	370	1995-09-14	PRIJEM	PREVOD Z UCTU	3113	23180	\N	OP	86727231
109487	370	1995-10-14	PRIJEM	PREVOD Z UCTU	3113	23366	\N	OP	86727231
109488	370	1995-11-14	PRIJEM	PREVOD Z UCTU	3113	24483	\N	OP	86727231
109489	370	1995-12-14	PRIJEM	PREVOD Z UCTU	3113	25605	\N	OP	86727231
109490	370	1996-01-14	PRIJEM	PREVOD Z UCTU	3113	25531	\N	OP	86727231
109491	370	1996-02-14	PRIJEM	PREVOD Z UCTU	3113	25429	\N	OP	86727231
109492	370	1996-03-14	PRIJEM	PREVOD Z UCTU	3113	25355	\N	OP	86727231
109493	370	1996-04-14	PRIJEM	PREVOD Z UCTU	3113	26482	\N	OP	86727231
109494	370	1996-05-14	PRIJEM	PREVOD Z UCTU	3113	25312	\N	OP	86727231
109495	370	1996-06-14	PRIJEM	PREVOD Z UCTU	3113	21019	\N	OP	86727231
109496	370	1996-07-14	PRIJEM	PREVOD Z UCTU	3113	21323	\N	OP	86727231
109497	370	1996-08-14	PRIJEM	PREVOD Z UCTU	3113	21623	\N	OP	86727231
109498	370	1996-09-14	PRIJEM	PREVOD Z UCTU	3113	20644	\N	OP	86727231
109499	370	1996-10-14	PRIJEM	PREVOD Z UCTU	3113	20761	\N	OP	86727231
109500	370	1996-11-14	PRIJEM	PREVOD Z UCTU	3113	21868	\N	OP	86727231
109501	370	1996-12-14	PRIJEM	PREVOD Z UCTU	3113	22348	\N	OP	86727231
109502	370	1997-01-14	PRIJEM	PREVOD Z UCTU	3113	22860	\N	OP	86727231
109503	370	1997-02-14	PRIJEM	PREVOD Z UCTU	3113	23045	\N	OP	86727231
109504	370	1997-03-14	PRIJEM	PREVOD Z UCTU	3113	24161	\N	OP	86727231
109505	370	1997-04-14	PRIJEM	PREVOD Z UCTU	3113	25081	\N	OP	86727231
109506	370	1997-05-14	PRIJEM	PREVOD Z UCTU	3113	22992	\N	OP	86727231
109507	370	1997-06-14	PRIJEM	PREVOD Z UCTU	3113	22909	\N	OP	86727231
109508	370	1997-07-14	PRIJEM	PREVOD Z UCTU	3113	17804	\N	OP	86727231
109509	370	1997-08-14	PRIJEM	PREVOD Z UCTU	3113	18897	\N	OP	86727231
109510	370	1997-09-14	PRIJEM	PREVOD Z UCTU	3113	19995	\N	OP	86727231
109511	370	1997-10-14	PRIJEM	PREVOD Z UCTU	3113	18646	\N	OP	86727231
109512	370	1997-11-14	PRIJEM	PREVOD Z UCTU	3113	16942	\N	OP	86727231
109513	370	1997-12-14	PRIJEM	PREVOD Z UCTU	3113	16231	\N	OP	86727231
109514	370	1998-01-14	PRIJEM	PREVOD Z UCTU	3113	17318	\N	OP	86727231
109515	370	1998-02-14	PRIJEM	PREVOD Z UCTU	3113	15807	\N	OP	86727231
109516	370	1998-03-14	PRIJEM	PREVOD Z UCTU	3113	16892	\N	OP	86727231
109517	370	1998-04-14	PRIJEM	PREVOD Z UCTU	3113	16721	\N	OP	86727231
109518	370	1998-05-14	PRIJEM	PREVOD Z UCTU	3113	16399	\N	OP	86727231
109519	370	1998-06-14	PRIJEM	PREVOD Z UCTU	3113	17485	\N	OP	86727231
109520	370	1998-07-14	PRIJEM	PREVOD Z UCTU	3113	18577	\N	OP	86727231
109521	370	1998-08-14	PRIJEM	PREVOD Z UCTU	3113	19673	\N	OP	86727231
109522	370	1998-09-14	PRIJEM	PREVOD Z UCTU	3113	19303	\N	OP	86727231
109523	370	1998-10-14	PRIJEM	PREVOD Z UCTU	3113	20403	\N	OP	86727231
109524	370	1998-11-14	PRIJEM	PREVOD Z UCTU	3113	21507	\N	OP	86727231
109525	370	1998-12-14	PRIJEM	PREVOD Z UCTU	3113	20754	\N	OP	86727231
109533	370	1994-08-05	VYDAJ	PREVOD NA UCET	215	16038	\N	MN	39040500
109534	370	1994-09-05	VYDAJ	PREVOD NA UCET	215	16140	\N	MN	39040500
109535	370	1994-10-05	VYDAJ	PREVOD NA UCET	215	17233	\N	MN	39040500
109536	370	1994-11-05	VYDAJ	PREVOD NA UCET	215	17488	\N	MN	39040500
109537	370	1994-12-05	VYDAJ	PREVOD NA UCET	215	17775	\N	MN	39040500
109538	370	1995-01-05	VYDAJ	PREVOD NA UCET	215	18874	\N	MN	39040500
109539	370	1995-02-05	VYDAJ	PREVOD NA UCET	215	19408	\N	MN	39040500
109540	370	1995-03-05	VYDAJ	PREVOD NA UCET	215	20514	\N	MN	39040500
109541	370	1995-04-05	VYDAJ	PREVOD NA UCET	215	21064	\N	MN	39040500
109542	370	1995-05-05	VYDAJ	PREVOD NA UCET	215	22177	\N	MN	39040500
109543	370	1995-06-05	VYDAJ	PREVOD NA UCET	215	22844	\N	MN	39040500
109544	370	1995-07-05	VYDAJ	PREVOD NA UCET	215	21023	\N	MN	39040500
109545	370	1995-08-05	VYDAJ	PREVOD NA UCET	215	20816	\N	MN	39040500
109546	370	1995-09-05	VYDAJ	PREVOD NA UCET	215	21927	\N	MN	39040500
109547	370	1995-10-05	VYDAJ	PREVOD NA UCET	215	22113	\N	MN	39040500
109548	370	1995-11-05	VYDAJ	PREVOD NA UCET	215	23230	\N	MN	39040500
109549	370	1995-12-05	VYDAJ	PREVOD NA UCET	215	24352	\N	MN	39040500
109550	370	1996-01-05	VYDAJ	PREVOD NA UCET	215	25478	\N	MN	39040500
109551	370	1996-02-05	VYDAJ	PREVOD NA UCET	215	25406	\N	MN	39040500
109552	370	1996-03-05	VYDAJ	PREVOD NA UCET	215	25302	\N	MN	39040500
109553	370	1996-04-05	VYDAJ	PREVOD NA UCET	215	25229	\N	MN	39040500
109554	370	1996-05-05	VYDAJ	PREVOD NA UCET	215	26359	\N	MN	39040500
109555	370	1996-06-05	VYDAJ	PREVOD NA UCET	215	25186	\N	MN	39040500
109556	370	1996-07-05	VYDAJ	PREVOD NA UCET	215	20880	\N	MN	39040500
109557	370	1996-08-05	VYDAJ	PREVOD NA UCET	215	21180	\N	MN	39040500
109558	370	1996-09-05	VYDAJ	PREVOD NA UCET	215	21481	\N	MN	39040500
109559	370	1996-10-05	VYDAJ	PREVOD NA UCET	215	20498	\N	MN	39040500
109560	370	1996-11-05	VYDAJ	PREVOD NA UCET	215	20615	\N	MN	39040500
109561	370	1996-12-05	VYDAJ	PREVOD NA UCET	215	21095	\N	MN	39040500
109562	370	1997-01-05	VYDAJ	PREVOD NA UCET	215	21607	\N	MN	39040500
109563	370	1997-02-05	VYDAJ	PREVOD NA UCET	215	21792	\N	MN	39040500
109564	370	1997-03-05	VYDAJ	PREVOD NA UCET	215	22908	\N	MN	39040500
109565	370	1997-04-05	VYDAJ	PREVOD NA UCET	215	23828	\N	MN	39040500
109566	370	1997-05-05	VYDAJ	PREVOD NA UCET	215	22849	\N	MN	39040500
109567	370	1997-06-05	VYDAJ	PREVOD NA UCET	215	21656	\N	MN	39040500
109568	370	1997-07-05	VYDAJ	PREVOD NA UCET	215	16551	\N	MN	39040500
109569	370	1997-08-05	VYDAJ	PREVOD NA UCET	215	17644	\N	MN	39040500
109570	370	1997-09-05	VYDAJ	PREVOD NA UCET	215	18742	\N	MN	39040500
109571	370	1997-10-05	VYDAJ	PREVOD NA UCET	215	17393	\N	MN	39040500
109572	370	1997-11-05	VYDAJ	PREVOD NA UCET	215	15689	\N	MN	39040500
109573	370	1997-12-05	VYDAJ	PREVOD NA UCET	215	14978	\N	MN	39040500
109574	370	1998-01-05	VYDAJ	PREVOD NA UCET	215	16065	\N	MN	39040500
109575	370	1998-02-05	VYDAJ	PREVOD NA UCET	215	14554	\N	MN	39040500
109576	370	1998-03-05	VYDAJ	PREVOD NA UCET	215	15639	\N	MN	39040500
109577	370	1998-04-05	VYDAJ	PREVOD NA UCET	215	15468	\N	MN	39040500
109578	370	1998-05-05	VYDAJ	PREVOD NA UCET	215	15146	\N	MN	39040500
109579	370	1998-06-05	VYDAJ	PREVOD NA UCET	215	16232	\N	MN	39040500
109580	370	1998-07-05	VYDAJ	PREVOD NA UCET	215	17324	\N	MN	39040500
109581	370	1998-08-05	VYDAJ	PREVOD NA UCET	215	18420	\N	MN	39040500
109582	370	1998-09-05	VYDAJ	PREVOD NA UCET	215	19520	\N	MN	39040500
109583	370	1998-10-05	VYDAJ	PREVOD NA UCET	215	19150	\N	MN	39040500
109584	370	1998-11-05	VYDAJ	PREVOD NA UCET	215	20254	\N	MN	39040500
109585	370	1998-12-05	VYDAJ	PREVOD NA UCET	215	20041	\N	MN	39040500
109593	370	1994-08-10	VYDAJ	PREVOD NA UCET	1188	14178	\N	EF	39893967
109594	370	1994-09-10	VYDAJ	PREVOD NA UCET	1188	14280	\N	EF	39893967
109595	370	1994-10-10	VYDAJ	PREVOD NA UCET	1188	15373	\N	EF	39893967
109596	370	1994-11-10	VYDAJ	PREVOD NA UCET	1188	15628	\N	EF	39893967
109597	370	1994-12-10	VYDAJ	PREVOD NA UCET	1188	15915	\N	EF	39893967
109598	370	1995-01-10	VYDAJ	PREVOD NA UCET	1188	17014	\N	EF	39893967
109599	370	1995-02-10	VYDAJ	PREVOD NA UCET	1188	17548	\N	EF	39893967
109600	370	1995-03-10	VYDAJ	PREVOD NA UCET	1188	18654	\N	EF	39893967
109601	370	1995-04-10	VYDAJ	PREVOD NA UCET	1188	19204	\N	EF	39893967
109602	370	1995-05-10	VYDAJ	PREVOD NA UCET	1188	20317	\N	EF	39893967
109603	370	1995-06-10	VYDAJ	PREVOD NA UCET	1188	20984	\N	EF	39893967
109604	370	1995-07-10	VYDAJ	PREVOD NA UCET	1188	19163	\N	EF	39893967
109605	370	1995-08-10	VYDAJ	PREVOD NA UCET	1188	18956	\N	EF	39893967
109606	370	1995-09-10	VYDAJ	PREVOD NA UCET	1188	20067	\N	EF	39893967
109607	370	1995-10-10	VYDAJ	PREVOD NA UCET	1188	20253	\N	EF	39893967
109608	370	1995-11-10	VYDAJ	PREVOD NA UCET	1188	21370	\N	EF	39893967
109609	370	1995-12-10	VYDAJ	PREVOD NA UCET	1188	22492	\N	EF	39893967
109610	370	1996-01-10	VYDAJ	PREVOD NA UCET	1188	22418	\N	EF	39893967
109611	370	1996-02-10	VYDAJ	PREVOD NA UCET	1188	22316	\N	EF	39893967
109612	370	1996-03-10	VYDAJ	PREVOD NA UCET	1188	22242	\N	EF	39893967
109613	370	1996-04-10	VYDAJ	PREVOD NA UCET	1188	23369	\N	EF	39893967
109614	370	1996-05-10	VYDAJ	PREVOD NA UCET	1188	22199	\N	EF	39893967
109615	370	1996-06-10	VYDAJ	PREVOD NA UCET	1188	20426	\N	EF	39893967
109616	370	1996-07-10	VYDAJ	PREVOD NA UCET	1188	19020	\N	EF	39893967
109617	370	1996-08-10	VYDAJ	PREVOD NA UCET	1188	19320	\N	EF	39893967
109618	370	1996-09-10	VYDAJ	PREVOD NA UCET	1188	17531	\N	EF	39893967
109619	370	1996-10-10	VYDAJ	PREVOD NA UCET	1188	17648	\N	EF	39893967
109620	370	1996-11-10	VYDAJ	PREVOD NA UCET	1188	18755	\N	EF	39893967
109621	370	1996-12-10	VYDAJ	PREVOD NA UCET	1188	19235	\N	EF	39893967
109622	370	1997-01-10	VYDAJ	PREVOD NA UCET	1188	19747	\N	EF	39893967
109623	370	1997-02-10	VYDAJ	PREVOD NA UCET	1188	19932	\N	EF	39893967
109624	370	1997-03-10	VYDAJ	PREVOD NA UCET	1188	21048	\N	EF	39893967
109625	370	1997-04-10	VYDAJ	PREVOD NA UCET	1188	21968	\N	EF	39893967
109626	370	1997-05-10	VYDAJ	PREVOD NA UCET	1188	19879	\N	EF	39893967
109627	370	1997-06-10	VYDAJ	PREVOD NA UCET	1188	19796	\N	EF	39893967
109628	370	1997-07-10	VYDAJ	PREVOD NA UCET	1188	14691	\N	EF	39893967
109629	370	1997-08-10	VYDAJ	PREVOD NA UCET	1188	15784	\N	EF	39893967
109630	370	1997-09-10	VYDAJ	PREVOD NA UCET	1188	16882	\N	EF	39893967
109631	370	1997-10-10	VYDAJ	PREVOD NA UCET	1188	15533	\N	EF	39893967
109632	370	1997-11-10	VYDAJ	PREVOD NA UCET	1188	13829	\N	EF	39893967
109633	370	1997-12-10	VYDAJ	PREVOD NA UCET	1188	13118	\N	EF	39893967
109634	370	1998-01-10	VYDAJ	PREVOD NA UCET	1188	14205	\N	EF	39893967
109635	370	1998-02-10	VYDAJ	PREVOD NA UCET	1188	12694	\N	EF	39893967
109636	370	1998-03-10	VYDAJ	PREVOD NA UCET	1188	13779	\N	EF	39893967
109637	370	1998-04-10	VYDAJ	PREVOD NA UCET	1188	13608	\N	EF	39893967
109638	370	1998-05-10	VYDAJ	PREVOD NA UCET	1188	13286	\N	EF	39893967
109639	370	1998-06-10	VYDAJ	PREVOD NA UCET	1188	14372	\N	EF	39893967
109640	370	1998-07-10	VYDAJ	PREVOD NA UCET	1188	15464	\N	EF	39893967
109641	370	1998-08-10	VYDAJ	PREVOD NA UCET	1188	16560	\N	EF	39893967
109642	370	1998-09-10	VYDAJ	PREVOD NA UCET	1188	16190	\N	EF	39893967
109643	370	1998-10-10	VYDAJ	PREVOD NA UCET	1188	17290	\N	EF	39893967
109644	370	1998-11-10	VYDAJ	PREVOD NA UCET	1188	18394	\N	EF	39893967
109645	370	1998-12-10	VYDAJ	PREVOD NA UCET	1188	17641	\N	EF	39893967
109653	370	1994-08-06	VYDAJ	PREVOD NA UCET	672	15366	\N	KL	57786190
109654	370	1994-09-06	VYDAJ	PREVOD NA UCET	672	15468	\N	KL	57786190
109655	370	1994-10-06	VYDAJ	PREVOD NA UCET	672	16561	\N	KL	57786190
109656	370	1994-11-06	VYDAJ	PREVOD NA UCET	672	16816	\N	KL	57786190
109657	370	1994-12-06	VYDAJ	PREVOD NA UCET	672	17103	\N	KL	57786190
109658	370	1995-01-06	VYDAJ	PREVOD NA UCET	672	18202	\N	KL	57786190
109659	370	1995-02-06	VYDAJ	PREVOD NA UCET	672	18736	\N	KL	57786190
109660	370	1995-03-06	VYDAJ	PREVOD NA UCET	672	19842	\N	KL	57786190
109661	370	1995-04-06	VYDAJ	PREVOD NA UCET	672	20392	\N	KL	57786190
109662	370	1995-05-06	VYDAJ	PREVOD NA UCET	672	21505	\N	KL	57786190
109663	370	1995-06-06	VYDAJ	PREVOD NA UCET	672	22172	\N	KL	57786190
109664	370	1995-07-06	VYDAJ	PREVOD NA UCET	672	20351	\N	KL	57786190
109665	370	1995-08-06	VYDAJ	PREVOD NA UCET	672	20144	\N	KL	57786190
109666	370	1995-09-06	VYDAJ	PREVOD NA UCET	672	21255	\N	KL	57786190
109667	370	1995-10-06	VYDAJ	PREVOD NA UCET	672	21441	\N	KL	57786190
109668	370	1995-11-06	VYDAJ	PREVOD NA UCET	672	22558	\N	KL	57786190
109669	370	1995-12-06	VYDAJ	PREVOD NA UCET	672	23680	\N	KL	57786190
109670	370	1996-01-06	VYDAJ	PREVOD NA UCET	672	24806	\N	KL	57786190
109671	370	1996-02-06	VYDAJ	PREVOD NA UCET	672	24734	\N	KL	57786190
109672	370	1996-03-06	VYDAJ	PREVOD NA UCET	672	24630	\N	KL	57786190
109673	370	1996-04-06	VYDAJ	PREVOD NA UCET	672	24557	\N	KL	57786190
109674	370	1996-05-06	VYDAJ	PREVOD NA UCET	672	25687	\N	KL	57786190
109675	370	1996-06-06	VYDAJ	PREVOD NA UCET	672	24514	\N	KL	57786190
109676	370	1996-07-06	VYDAJ	PREVOD NA UCET	672	20208	\N	KL	57786190
109677	370	1996-08-06	VYDAJ	PREVOD NA UCET	672	20508	\N	KL	57786190
109678	370	1996-09-06	VYDAJ	PREVOD NA UCET	672	19709	\N	KL	57786190
109679	370	1996-10-06	VYDAJ	PREVOD NA UCET	672	19826	\N	KL	57786190
109680	370	1996-11-06	VYDAJ	PREVOD NA UCET	672	19943	\N	KL	57786190
109681	370	1996-12-06	VYDAJ	PREVOD NA UCET	672	20423	\N	KL	57786190
109682	370	1997-01-06	VYDAJ	PREVOD NA UCET	672	20935	\N	KL	57786190
109683	370	1997-02-06	VYDAJ	PREVOD NA UCET	672	21120	\N	KL	57786190
109684	370	1997-03-06	VYDAJ	PREVOD NA UCET	672	22236	\N	KL	57786190
109685	370	1997-04-06	VYDAJ	PREVOD NA UCET	672	23156	\N	KL	57786190
109686	370	1997-05-06	VYDAJ	PREVOD NA UCET	672	22177	\N	KL	57786190
109687	370	1997-06-06	VYDAJ	PREVOD NA UCET	672	20984	\N	KL	57786190
109688	370	1997-07-06	VYDAJ	PREVOD NA UCET	672	15879	\N	KL	57786190
109689	370	1997-08-06	VYDAJ	PREVOD NA UCET	672	16972	\N	KL	57786190
109690	370	1997-09-06	VYDAJ	PREVOD NA UCET	672	18070	\N	KL	57786190
109691	370	1997-10-06	VYDAJ	PREVOD NA UCET	672	16721	\N	KL	57786190
109692	370	1997-11-06	VYDAJ	PREVOD NA UCET	672	15017	\N	KL	57786190
109693	370	1997-12-06	VYDAJ	PREVOD NA UCET	672	14306	\N	KL	57786190
109694	370	1998-01-06	VYDAJ	PREVOD NA UCET	672	15393	\N	KL	57786190
109695	370	1998-02-06	VYDAJ	PREVOD NA UCET	672	13882	\N	KL	57786190
109696	370	1998-03-06	VYDAJ	PREVOD NA UCET	672	14967	\N	KL	57786190
109697	370	1998-04-06	VYDAJ	PREVOD NA UCET	672	14796	\N	KL	57786190
109698	370	1998-05-06	VYDAJ	PREVOD NA UCET	672	14474	\N	KL	57786190
109699	370	1998-06-06	VYDAJ	PREVOD NA UCET	672	15560	\N	KL	57786190
109700	370	1998-07-06	VYDAJ	PREVOD NA UCET	672	16652	\N	KL	57786190
109701	370	1998-08-06	VYDAJ	PREVOD NA UCET	672	17748	\N	KL	57786190
109702	370	1998-09-06	VYDAJ	PREVOD NA UCET	672	18848	\N	KL	57786190
109703	370	1998-10-06	VYDAJ	PREVOD NA UCET	672	18478	\N	KL	57786190
109704	370	1998-11-06	VYDAJ	PREVOD NA UCET	672	19582	\N	KL	57786190
109705	370	1998-12-06	VYDAJ	PREVOD NA UCET	672	18829	\N	KL	57786190
109707	370	1995-06-27	VYDAJ	VYBER	2940	21157	\N	\N	\N
109708	370	1996-06-13	VYDAJ	VYBER	2520	17906	\N	\N	\N
109709	370	1997-06-19	VYDAJ	VYBER	6210	16699	\N	\N	\N
109711	370	1994-11-24	VYDAJ	VYBER	810	17931	\N	\N	\N
109713	370	1994-10-17	VYDAJ	VYBER	840	17646	\N	\N	\N
109714	370	1994-09-04	VYDAJ	VYBER	990	16355	\N	\N	\N
109715	370	1995-07-30	VYDAJ	VYBER	1320	20956	\N	\N	\N
109716	370	1995-03-31	VYDAJ	VYBER	360	21279	\N	\N	\N
109717	370	1995-01-28	VYDAJ	VYBER	570	19557	\N	\N	\N
109718	370	1995-06-05	VYDAJ	VYBER	450	23059	\N	\N	\N
109719	370	1995-09-21	VYDAJ	VYBER	930	22250	\N	\N	\N
109720	370	1996-02-08	VYDAJ	VYBER	1230	23504	\N	\N	\N
109721	370	1996-08-12	VYDAJ	VYBER	810	18510	\N	\N	\N
109722	370	1996-10-08	VYDAJ	VYBER	990	18836	\N	\N	\N
109723	370	1996-09-07	VYDAJ	VYBER	990	18719	\N	\N	\N
109724	370	1996-07-12	VYDAJ	VYBER	810	18210	\N	\N	\N
109725	370	1996-11-27	VYDAJ	VYBER	630	21238	\N	\N	\N
109726	370	1997-05-10	VYDAJ	VYBER	1110	21067	\N	\N	\N
109727	370	1997-09-20	VYDAJ	VYBER	150	19845	\N	\N	\N
109728	370	1997-02-05	VYDAJ	VYBER	930	22007	\N	\N	\N
109729	370	1997-04-16	VYDAJ	VYBER	1470	23611	\N	\N	\N
109730	370	1997-05-02	VYDAJ	VYBER	630	23064	\N	\N	\N
109732	370	1998-04-02	VYDAJ	VYBER	1260	15683	\N	\N	\N
109734	370	1998-04-26	VYDAJ	VYBER	1410	15311	\N	\N	\N
109735	370	1998-12-04	VYDAJ	VYBER	1320	20256	\N	\N	\N
109736	370	1998-09-06	VYDAJ	VYBER	1470	17378	\N	\N	\N
109737	370	1998-12-05	VYDAJ	VYBER	540	19501	\N	\N	\N
109745	370	1994-07-31	VYDAJ	VYBER	15	16253	SLUZBY	\N	\N
109746	370	1994-08-31	VYDAJ	VYBER	15	17345	SLUZBY	\N	\N
109747	370	1994-09-30	VYDAJ	VYBER	15	17448	SLUZBY	\N	\N
109748	370	1994-10-31	VYDAJ	VYBER	15	17703	SLUZBY	\N	\N
109749	370	1994-11-30	VYDAJ	VYBER	15	17990	SLUZBY	\N	\N
109750	370	1994-12-31	VYDAJ	VYBER	15	19089	SLUZBY	\N	\N
109751	370	1995-01-31	VYDAJ	VYBER	15	19623	SLUZBY	\N	\N
109752	370	1995-02-28	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
109753	370	1995-03-31	VYDAJ	VYBER	15	21639	SLUZBY	\N	\N
109754	370	1995-04-30	VYDAJ	VYBER	15	22392	SLUZBY	\N	\N
109755	370	1995-05-31	VYDAJ	VYBER	15	23509	SLUZBY	\N	\N
109756	370	1995-06-30	VYDAJ	VYBER	15	21238	SLUZBY	\N	\N
109757	370	1995-07-31	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
109758	370	1995-08-31	VYDAJ	VYBER	15	22142	SLUZBY	\N	\N
109759	370	1995-09-30	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
109760	370	1995-10-31	VYDAJ	VYBER	15	23445	SLUZBY	\N	\N
109761	370	1995-11-30	VYDAJ	VYBER	15	24567	SLUZBY	\N	\N
109762	370	1995-12-31	VYDAJ	VYBER	15	25693	SLUZBY	\N	\N
109763	370	1996-01-31	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
109764	370	1996-02-29	VYDAJ	VYBER	15	25517	SLUZBY	\N	\N
109765	370	1996-03-31	VYDAJ	VYBER	15	25444	SLUZBY	\N	\N
109766	370	1996-04-30	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
109767	370	1996-05-31	VYDAJ	VYBER	15	25401	SLUZBY	\N	\N
109768	370	1996-06-30	VYDAJ	VYBER	15	21095	SLUZBY	\N	\N
109769	370	1996-07-31	VYDAJ	VYBER	15	21395	SLUZBY	\N	\N
109770	370	1996-08-31	VYDAJ	VYBER	15	21696	SLUZBY	\N	\N
109771	370	1996-09-30	VYDAJ	VYBER	15	20713	SLUZBY	\N	\N
109772	370	1996-10-31	VYDAJ	VYBER	15	20830	SLUZBY	\N	\N
109773	370	1996-11-30	VYDAJ	VYBER	15	21310	SLUZBY	\N	\N
109774	370	1996-12-31	VYDAJ	VYBER	15	22422	SLUZBY	\N	\N
109775	370	1997-01-31	VYDAJ	VYBER	15	22937	SLUZBY	\N	\N
109776	370	1997-02-28	VYDAJ	VYBER	15	23123	SLUZBY	\N	\N
109777	370	1997-03-31	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
109778	370	1997-04-30	VYDAJ	VYBER	15	23694	SLUZBY	\N	\N
109779	370	1997-05-31	VYDAJ	VYBER	15	23071	SLUZBY	\N	\N
109780	370	1997-06-30	VYDAJ	VYBER	15	16766	SLUZBY	\N	\N
109781	370	1997-07-31	VYDAJ	VYBER	15	17859	SLUZBY	\N	\N
109782	370	1997-08-31	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
109783	370	1997-09-30	VYDAJ	VYBER	15	17608	SLUZBY	\N	\N
109784	370	1997-10-31	VYDAJ	VYBER	15	15904	SLUZBY	\N	\N
109785	370	1997-11-30	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
109786	370	1997-12-31	VYDAJ	VYBER	15	16280	SLUZBY	\N	\N
109787	370	1998-01-31	VYDAJ	VYBER	15	14769	SLUZBY	\N	\N
109788	370	1998-02-28	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
109789	370	1998-03-31	VYDAJ	VYBER	15	16943	SLUZBY	\N	\N
109790	370	1998-04-30	VYDAJ	VYBER	15	15361	SLUZBY	\N	\N
109791	370	1998-05-31	VYDAJ	VYBER	15	16447	SLUZBY	\N	\N
109792	370	1998-06-30	VYDAJ	VYBER	15	17539	SLUZBY	\N	\N
109793	370	1998-07-31	VYDAJ	VYBER	15	18635	SLUZBY	\N	\N
109794	370	1998-08-31	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
109795	370	1998-09-30	VYDAJ	VYBER	15	19365	SLUZBY	\N	\N
109796	370	1998-10-31	VYDAJ	VYBER	15	20469	SLUZBY	\N	\N
109797	370	1998-11-30	VYDAJ	VYBER	15	21576	SLUZBY	\N	\N
109798	370	1995-03-15	VYDAJ	VYBER	200	21567	\N	\N	\N
109799	370	1996-01-09	VYDAJ	VYBER	1200	23606	\N	\N	\N
109801	370	1996-05-08	VYDAJ	VYBER	2300	23387	\N	\N	\N
109802	370	1996-06-07	VYDAJ	VYBER	2900	21614	\N	\N	\N
109803	370	1996-09-05	VYDAJ	VYBER	1100	20381	\N	\N	\N
109804	370	1997-01-03	VYDAJ	VYBER	600	21822	\N	\N	\N
109805	370	1997-04-03	VYDAJ	VYBER	200	24043	\N	\N	\N
109806	370	1997-06-02	VYDAJ	VYBER	1200	21871	\N	\N	\N
109807	370	1997-09-30	VYDAJ	VYBER	2300	17623	\N	\N	\N
109808	370	1997-10-30	VYDAJ	VYBER	2800	15846	\N	\N	\N
109809	370	1997-11-29	VYDAJ	VYBER	1800	15142	\N	\N	\N
109810	370	1998-01-28	VYDAJ	VYBER	2600	14718	\N	\N	\N
109865	371	1996-08-02	PRIJEM	VKLAD	800	800	\N	\N	\N
109868	371	1997-07-09	PRIJEM	VKLAD	47575	70813	\N	\N	\N
109869	371	1997-02-15	PRIJEM	VKLAD	9300	42438	\N	\N	\N
109870	371	1998-08-07	PRIJEM	VKLAD	6738	45699	\N	\N	\N
109871	371	1998-10-05	PRIJEM	VKLAD	12949	55888	\N	\N	\N
109879	371	1996-08-13	PRIJEM	VKLAD	1300	2100	\N	\N	\N
109880	371	1996-09-13	PRIJEM	VKLAD	1300	16905	\N	\N	\N
109881	371	1996-10-17	PRIJEM	VKLAD	1300	23251	\N	\N	\N
109882	371	1996-11-16	PRIJEM	VKLAD	1300	22834	\N	\N	\N
109883	371	1996-12-15	PRIJEM	VKLAD	1300	28225	\N	\N	\N
109884	371	1997-01-16	PRIJEM	VKLAD	1300	30423	\N	\N	\N
109885	371	1997-02-16	PRIJEM	VKLAD	1300	43738	\N	\N	\N
109886	371	1997-03-17	PRIJEM	VKLAD	1300	36728	\N	\N	\N
109887	371	1997-04-16	PRIJEM	VKLAD	1300	38062	\N	\N	\N
109888	371	1997-05-13	PRIJEM	VKLAD	1300	36600	\N	\N	\N
109889	371	1997-06-17	PRIJEM	VKLAD	1300	20033	\N	\N	\N
109890	371	1997-07-13	PRIJEM	VKLAD	1300	72113	\N	\N	\N
109891	371	1997-08-13	PRIJEM	VKLAD	1300	54709	\N	\N	\N
109892	371	1997-09-15	PRIJEM	VKLAD	1300	45711	\N	\N	\N
109893	371	1997-10-14	PRIJEM	VKLAD	1300	46282	\N	\N	\N
109894	371	1997-11-13	PRIJEM	VKLAD	1300	42351	\N	\N	\N
109895	371	1997-12-15	PRIJEM	VKLAD	1300	40358	\N	\N	\N
109896	371	1998-01-15	PRIJEM	VKLAD	1300	40112	\N	\N	\N
109897	371	1998-02-14	PRIJEM	VKLAD	1300	42358	\N	\N	\N
109898	371	1998-03-13	PRIJEM	VKLAD	1300	43715	\N	\N	\N
109899	371	1998-04-16	PRIJEM	VKLAD	1300	45578	\N	\N	\N
109900	371	1998-05-13	PRIJEM	VKLAD	1300	44046	\N	\N	\N
109901	371	1998-06-14	PRIJEM	VKLAD	1300	47664	\N	\N	\N
109902	371	1998-07-13	PRIJEM	VKLAD	1300	38117	\N	\N	\N
109903	371	1998-08-13	PRIJEM	VKLAD	1300	46999	\N	\N	\N
109904	371	1998-09-13	PRIJEM	VKLAD	1300	47566	\N	\N	\N
109905	371	1998-10-17	PRIJEM	VKLAD	1300	57188	\N	\N	\N
109906	371	1998-11-14	PRIJEM	VKLAD	1300	56077	\N	\N	\N
109907	371	1998-12-15	PRIJEM	VKLAD	1300	59495	\N	\N	\N
109909	371	1997-06-23	VYDAJ	VYBER	7200	12833	\N	\N	\N
109910	371	1998-06-16	VYDAJ	VYBER	16500	31164	\N	\N	\N
109912	371	1997-01-01	VYDAJ	VYBER	2300	29123	\N	\N	\N
109913	371	1998-01-16	VYDAJ	VYBER	5000	35112	\N	\N	\N
109915	371	1997-06-11	VYDAJ	VYBER	19000	18733	\N	\N	\N
109923	371	1997-12-14	VYDAJ	VYBER	2100	39058	\N	\N	\N
109924	371	1997-02-19	VYDAJ	VYBER	1950	41788	\N	\N	\N
109925	371	1997-12-01	VYDAJ	VYBER	250	41158	\N	\N	\N
109926	371	1998-07-30	VYDAJ	VYBER KARTOU	700	38817	\N	\N	0
109927	371	1998-01-11	VYDAJ	VYBER	500	38812	\N	\N	\N
109928	371	1998-07-01	VYDAJ	VYBER	800	36817	\N	\N	\N
109929	371	1998-12-27	VYDAJ	VYBER KARTOU	900	58995	\N	\N	0
109930	371	1998-09-23	VYDAJ	VYBER KARTOU	1200	42766	\N	\N	0
109931	371	1998-05-27	VYDAJ	VYBER	1150	46196	\N	\N	\N
109932	371	1998-09-23	VYDAJ	VYBER KARTOU	1300	43966	\N	\N	0
109945	371	1996-12-31	VYDAJ	VYBER	15	31423	SLUZBY	\N	\N
109946	371	1997-01-31	VYDAJ	VYBER	15	33138	SLUZBY	\N	\N
109947	371	1997-02-28	VYDAJ	VYBER	15	35428	SLUZBY	\N	\N
109948	371	1997-03-31	VYDAJ	VYBER	15	36762	SLUZBY	\N	\N
109949	371	1997-04-30	VYDAJ	VYBER	15	35300	SLUZBY	\N	\N
109950	371	1997-05-31	VYDAJ	VYBER	15	37733	SLUZBY	\N	\N
109951	371	1997-06-30	VYDAJ	VYBER	15	23238	SLUZBY	\N	\N
109952	371	1997-07-31	VYDAJ	VYBER	15	53409	SLUZBY	\N	\N
109953	371	1997-08-31	VYDAJ	VYBER	15	44411	SLUZBY	\N	\N
109954	371	1997-09-30	VYDAJ	VYBER	15	44982	SLUZBY	\N	\N
109955	371	1997-10-31	VYDAJ	VYBER	15	41051	SLUZBY	\N	\N
109956	371	1997-11-30	VYDAJ	VYBER	15	41408	SLUZBY	\N	\N
109957	371	1997-12-31	VYDAJ	VYBER	15	39312	SLUZBY	\N	\N
109958	371	1998-01-31	VYDAJ	VYBER	15	41058	SLUZBY	\N	\N
109959	371	1998-02-28	VYDAJ	VYBER	15	42415	SLUZBY	\N	\N
109960	371	1998-03-31	VYDAJ	VYBER	15	44278	SLUZBY	\N	\N
109961	371	1998-04-30	VYDAJ	VYBER	15	42746	SLUZBY	\N	\N
109962	371	1998-05-31	VYDAJ	VYBER	15	46364	SLUZBY	\N	\N
109963	371	1998-06-30	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
109964	371	1998-07-31	VYDAJ	VYBER	15	38961	SLUZBY	\N	\N
109965	371	1998-08-31	VYDAJ	VYBER	15	46266	SLUZBY	\N	\N
109966	371	1998-09-30	VYDAJ	VYBER	15	42939	SLUZBY	\N	\N
109967	371	1998-10-31	VYDAJ	VYBER	15	54777	SLUZBY	\N	\N
109968	371	1998-11-30	VYDAJ	VYBER	15	58195	SLUZBY	\N	\N
109969	371	1996-09-01	PRIJEM	VKLAD	13500	15605	\N	\N	\N
109970	371	1996-10-01	PRIJEM	VKLAD	5000	21951	\N	\N	\N
109971	371	1996-10-31	VYDAJ	VYBER	1800	21534	\N	\N	\N
109972	371	1996-11-30	PRIJEM	VKLAD	4000	26834	\N	\N	\N
109973	371	1996-12-30	PRIJEM	VKLAD	3100	31325	\N	\N	\N
109974	371	1997-01-29	PRIJEM	VKLAD	2600	33023	\N	\N	\N
109975	371	1997-02-28	VYDAJ	VYBER	6500	35443	\N	\N	\N
109976	371	1997-03-30	VYDAJ	VYBER	100	36628	\N	\N	\N
109977	371	1997-04-29	VYDAJ	VYBER	2900	35162	\N	\N	\N
109978	371	1997-05-29	PRIJEM	VKLAD	1000	37600	\N	\N	\N
109979	371	1997-06-28	PRIJEM	VKLAD	10300	23133	\N	\N	\N
109980	371	1997-07-28	VYDAJ	VYBER	18900	53213	\N	\N	\N
109981	371	1997-08-27	VYDAJ	VYBER	10500	44209	\N	\N	\N
109982	371	1997-09-26	VYDAJ	VYBER	900	44811	\N	\N	\N
109983	371	1997-10-26	VYDAJ	VYBER	5400	40882	\N	\N	\N
109984	371	1997-11-25	VYDAJ	VYBER	1100	41251	\N	\N	\N
109985	371	1997-12-25	VYDAJ	VYBER	1200	39158	\N	\N	\N
109986	371	1998-01-24	PRIJEM	VKLAD	5800	40912	\N	\N	\N
109987	371	1998-02-23	VYDAJ	VYBER	100	42258	\N	\N	\N
109988	371	1998-03-25	PRIJEM	VKLAD	400	44115	\N	\N	\N
109989	371	1998-04-24	VYDAJ	VYBER	3000	42578	\N	\N	\N
109990	371	1998-05-24	PRIJEM	VKLAD	3300	47346	\N	\N	\N
109991	371	1998-06-23	PRIJEM	VKLAD	6300	37464	\N	\N	\N
109992	371	1998-07-23	PRIJEM	VKLAD	1400	39517	\N	\N	\N
109993	371	1998-08-22	VYDAJ	VYBER KARTOU	900	46099	\N	\N	0
109994	371	1998-09-21	VYDAJ	VYBER KARTOU	2300	45266	\N	\N	0
109995	371	1998-10-21	VYDAJ	VYBER KARTOU	2600	54588	\N	\N	0
109996	371	1998-11-20	PRIJEM	VKLAD	1900	57977	\N	\N	\N
109997	371	1998-12-20	PRIJEM	VKLAD	400	59895	\N	\N	\N
110027	372	1995-09-10	PRIJEM	VKLAD	400	400	\N	\N	\N
110036	372	1995-09-14	PRIJEM	VKLAD	22396	22796	\N	\N	\N
110037	372	1995-10-14	PRIJEM	VKLAD	22396	47246	\N	\N	\N
110038	372	1995-11-14	PRIJEM	VKLAD	22396	55196	\N	\N	\N
110039	372	1995-12-14	PRIJEM	VKLAD	33594	71606	\N	\N	\N
110040	372	1996-01-14	PRIJEM	VKLAD	22396	68171	\N	\N	\N
110041	372	1996-02-14	PRIJEM	VKLAD	22396	52885	\N	\N	\N
110042	372	1996-03-14	PRIJEM	VKLAD	22396	48508	\N	\N	\N
110043	372	1996-04-14	PRIJEM	VKLAD	22396	48447	\N	\N	\N
110044	372	1996-05-14	PRIJEM	VKLAD	22396	48383	\N	\N	\N
110045	372	1996-06-14	PRIJEM	VKLAD	33594	54860	\N	\N	\N
110046	372	1996-07-14	PRIJEM	VKLAD	22396	32552	\N	\N	\N
110047	372	1996-08-14	PRIJEM	VKLAD	22396	40139	\N	\N	\N
110048	372	1996-09-14	PRIJEM	VKLAD	22396	41930	\N	\N	\N
110049	372	1996-10-14	PRIJEM	VKLAD	22396	42360	\N	\N	\N
110050	372	1996-11-14	PRIJEM	VKLAD	22396	42557	\N	\N	\N
110051	372	1996-12-14	PRIJEM	VKLAD	33594	56466	\N	\N	\N
110052	372	1997-01-14	PRIJEM	VKLAD	22396	47624	\N	\N	\N
110053	372	1997-02-14	PRIJEM	VKLAD	22396	39445	\N	\N	\N
110054	372	1997-03-14	PRIJEM	VKLAD	22396	42441	\N	\N	\N
110055	372	1997-04-14	PRIJEM	VKLAD	22396	43372	\N	\N	\N
110056	372	1997-05-14	PRIJEM	VKLAD	22396	43307	\N	\N	\N
110057	372	1997-06-14	PRIJEM	VKLAD	33594	41322	\N	\N	\N
110058	372	1997-07-14	PRIJEM	VKLAD	22396	44295	\N	\N	\N
110059	372	1997-08-14	PRIJEM	VKLAD	22396	42012	\N	\N	\N
110060	372	1997-09-14	PRIJEM	VKLAD	22396	40485	\N	\N	\N
110061	372	1997-10-14	PRIJEM	VKLAD	22396	42681	\N	\N	\N
110062	372	1997-11-14	PRIJEM	VKLAD	22396	39390	\N	\N	\N
110063	372	1997-12-14	PRIJEM	VKLAD	33594	41327	\N	\N	\N
110064	372	1998-01-14	PRIJEM	VKLAD	22396	38996	\N	\N	\N
110065	372	1998-02-14	PRIJEM	VKLAD	22396	35418	\N	\N	\N
110066	372	1998-03-14	PRIJEM	VKLAD	22396	36598	\N	\N	\N
110067	372	1998-04-14	PRIJEM	VKLAD	22396	35150	\N	\N	\N
110068	372	1998-05-14	PRIJEM	VKLAD	22396	33449	\N	\N	\N
110069	372	1998-06-14	PRIJEM	VKLAD	33594	43675	\N	\N	\N
110070	372	1998-07-14	PRIJEM	VKLAD	22396	38058	\N	\N	\N
110071	372	1998-08-14	PRIJEM	VKLAD	22396	38926	\N	\N	\N
110072	372	1998-09-14	PRIJEM	VKLAD	22396	34209	\N	\N	\N
110073	372	1998-10-14	PRIJEM	VKLAD	22396	35455	\N	\N	\N
110074	372	1998-11-14	PRIJEM	VKLAD	22396	34506	\N	\N	\N
110075	372	1998-12-14	PRIJEM	VKLAD	33594	42846	\N	\N	\N
110089	372	1996-02-12	VYDAJ	PREVOD NA UCET	7785	33609	SIPO	ST	65089881
110090	372	1996-03-12	VYDAJ	PREVOD NA UCET	7785	26112	SIPO	ST	65089881
110091	372	1996-04-12	VYDAJ	PREVOD NA UCET	7785	26051	SIPO	ST	65089881
110092	372	1996-05-12	VYDAJ	PREVOD NA UCET	7785	25987	SIPO	ST	65089881
110093	372	1996-06-12	VYDAJ	PREVOD NA UCET	7785	21266	SIPO	ST	65089881
110094	372	1996-07-12	VYDAJ	PREVOD NA UCET	7785	10156	SIPO	ST	65089881
110095	372	1996-08-12	VYDAJ	PREVOD NA UCET	7785	17743	SIPO	ST	65089881
110096	372	1996-09-12	VYDAJ	PREVOD NA UCET	7785	19534	SIPO	ST	65089881
110097	372	1996-10-12	VYDAJ	PREVOD NA UCET	7785	19964	SIPO	ST	65089881
110098	372	1996-11-12	VYDAJ	PREVOD NA UCET	7785	20161	SIPO	ST	65089881
110099	372	1996-12-12	VYDAJ	PREVOD NA UCET	7785	22872	SIPO	ST	65089881
110100	372	1997-01-12	VYDAJ	PREVOD NA UCET	7785	25228	SIPO	ST	65089881
110101	372	1997-02-12	VYDAJ	PREVOD NA UCET	7785	17049	SIPO	ST	65089881
110102	372	1997-03-12	VYDAJ	PREVOD NA UCET	7785	20045	SIPO	ST	65089881
110103	372	1997-04-12	VYDAJ	PREVOD NA UCET	7785	20976	SIPO	ST	65089881
110104	372	1997-05-12	VYDAJ	PREVOD NA UCET	7785	20911	SIPO	ST	65089881
110105	372	1997-06-12	VYDAJ	PREVOD NA UCET	7785	7728	SIPO	ST	65089881
110106	372	1997-07-12	VYDAJ	PREVOD NA UCET	7785	21899	SIPO	ST	65089881
110107	372	1997-08-12	VYDAJ	PREVOD NA UCET	7785	19616	SIPO	ST	65089881
110108	372	1997-09-12	VYDAJ	PREVOD NA UCET	7785	21209	SIPO	ST	65089881
110109	372	1997-10-12	VYDAJ	PREVOD NA UCET	7785	20285	SIPO	ST	65089881
110110	372	1997-11-12	VYDAJ	PREVOD NA UCET	7785	16994	SIPO	ST	65089881
110111	372	1997-12-12	VYDAJ	PREVOD NA UCET	7785	7733	SIPO	ST	65089881
110112	372	1998-01-12	VYDAJ	PREVOD NA UCET	7785	16600	SIPO	ST	65089881
110113	372	1998-02-12	VYDAJ	PREVOD NA UCET	7785	13022	SIPO	ST	65089881
110114	372	1998-03-12	VYDAJ	PREVOD NA UCET	7785	14202	SIPO	ST	65089881
110115	372	1998-04-12	VYDAJ	PREVOD NA UCET	7785	12754	SIPO	ST	65089881
110116	372	1998-05-12	VYDAJ	PREVOD NA UCET	7785	11053	SIPO	ST	65089881
110117	372	1998-06-12	VYDAJ	PREVOD NA UCET	7785	10081	SIPO	ST	65089881
110118	372	1998-07-12	VYDAJ	PREVOD NA UCET	7785	15662	SIPO	ST	65089881
110119	372	1998-08-12	VYDAJ	PREVOD NA UCET	7785	16530	SIPO	ST	65089881
110120	372	1998-09-12	VYDAJ	PREVOD NA UCET	7785	11813	SIPO	ST	65089881
110121	372	1998-10-12	VYDAJ	PREVOD NA UCET	7785	13059	SIPO	ST	65089881
110122	372	1998-11-12	VYDAJ	PREVOD NA UCET	7785	12110	SIPO	ST	65089881
110123	372	1998-12-12	VYDAJ	PREVOD NA UCET	7785	9252	SIPO	ST	65089881
110136	372	1996-01-14	VYDAJ	PREVOD NA UCET	2148	66023	 	MN	83496254
110137	372	1996-02-14	VYDAJ	PREVOD NA UCET	2148	50737	 	MN	83496254
110138	372	1996-03-14	VYDAJ	PREVOD NA UCET	2148	46360	 	MN	83496254
110139	372	1996-04-14	VYDAJ	PREVOD NA UCET	2148	46299	 	MN	83496254
110140	372	1996-05-14	VYDAJ	PREVOD NA UCET	2148	46235	 	MN	83496254
110141	372	1996-06-14	VYDAJ	PREVOD NA UCET	2148	48032	 	MN	83496254
110142	372	1996-07-14	VYDAJ	PREVOD NA UCET	2148	30404	 	MN	83496254
110143	372	1996-08-14	VYDAJ	PREVOD NA UCET	2148	37991	 	MN	83496254
110144	372	1996-09-14	VYDAJ	PREVOD NA UCET	2148	39782	 	MN	83496254
110145	372	1996-10-14	VYDAJ	PREVOD NA UCET	2148	40212	 	MN	83496254
110146	372	1996-11-14	VYDAJ	PREVOD NA UCET	2148	40409	 	MN	83496254
110147	372	1996-12-14	VYDAJ	PREVOD NA UCET	2148	54318	 	MN	83496254
110148	372	1997-01-14	VYDAJ	PREVOD NA UCET	2148	45476	 	MN	83496254
110149	372	1997-02-14	VYDAJ	PREVOD NA UCET	2148	37297	 	MN	83496254
110150	372	1997-03-14	VYDAJ	PREVOD NA UCET	2148	40293	 	MN	83496254
110151	372	1997-04-14	VYDAJ	PREVOD NA UCET	2148	41224	 	MN	83496254
110152	372	1997-05-14	VYDAJ	PREVOD NA UCET	2148	41159	 	MN	83496254
110153	372	1997-06-14	VYDAJ	PREVOD NA UCET	2148	39174	 	MN	83496254
110154	372	1997-07-14	VYDAJ	PREVOD NA UCET	2148	42147	 	MN	83496254
110155	372	1997-08-14	VYDAJ	PREVOD NA UCET	2148	39864	 	MN	83496254
110156	372	1997-09-14	VYDAJ	PREVOD NA UCET	2148	38337	 	MN	83496254
110157	372	1997-10-14	VYDAJ	PREVOD NA UCET	2148	40533	 	MN	83496254
110158	372	1997-11-14	VYDAJ	PREVOD NA UCET	2148	37242	 	MN	83496254
110159	372	1997-12-14	VYDAJ	PREVOD NA UCET	2148	39179	 	MN	83496254
110160	372	1998-01-14	VYDAJ	PREVOD NA UCET	2148	36848	 	MN	83496254
110161	372	1998-02-14	VYDAJ	PREVOD NA UCET	2148	28590	 	MN	83496254
110162	372	1998-03-14	VYDAJ	PREVOD NA UCET	2148	34450	 	MN	83496254
110163	372	1998-04-14	VYDAJ	PREVOD NA UCET	2148	33002	 	MN	83496254
110164	372	1998-05-14	VYDAJ	PREVOD NA UCET	2148	31301	 	MN	83496254
110165	372	1998-06-14	VYDAJ	PREVOD NA UCET	2148	41527	 	MN	83496254
110166	372	1998-07-14	VYDAJ	PREVOD NA UCET	2148	35910	 	MN	83496254
110167	372	1998-08-14	VYDAJ	PREVOD NA UCET	2148	36778	 	MN	83496254
110168	372	1998-09-14	VYDAJ	PREVOD NA UCET	2148	32061	 	MN	83496254
110169	372	1998-10-14	VYDAJ	PREVOD NA UCET	2148	33307	 	MN	83496254
110170	372	1998-11-14	VYDAJ	PREVOD NA UCET	2148	32358	 	MN	83496254
110171	372	1998-12-14	VYDAJ	PREVOD NA UCET	2148	40698	 	MN	83496254
110173	372	1996-06-22	VYDAJ	VYBER	34720	13312	\N	\N	\N
110174	372	1997-06-03	VYDAJ	VYBER	14400	15513	\N	\N	\N
110175	372	1998-06-25	VYDAJ	VYBER	10080	31447	\N	\N	\N
110178	372	1997-01-24	VYDAJ	VYBER	6080	33876	\N	\N	\N
110179	372	1998-01-21	VYDAJ	VYBER	8640	28208	\N	\N	\N
110181	372	1996-12-20	VYDAJ	VYBER	4480	49838	\N	\N	\N
110182	372	1997-12-08	VYDAJ	VYBER	3680	15518	\N	\N	\N
110189	372	1996-03-06	VYDAJ	VYBER	1560	49397	\N	\N	\N
110190	372	1996-02-13	VYDAJ	VYBER	3120	30489	\N	\N	\N
110191	372	1996-10-03	VYDAJ	VYBER	1680	38249	\N	\N	\N
110192	372	1996-07-28	VYDAJ	VYBER	2760	27644	\N	\N	\N
110193	372	1996-05-27	VYDAJ	VYBER	600	45635	\N	\N	\N
110194	372	1996-06-14	VYDAJ	VYBER	4680	50180	\N	\N	\N
110195	372	1996-06-11	VYDAJ	VYBER	5760	29051	\N	\N	\N
110196	372	1997-12-04	VYDAJ	VYBER	3360	19198	\N	\N	\N
110197	372	1997-04-30	VYDAJ	VYBER	1080	40310	\N	\N	\N
110198	372	1997-11-05	VYDAJ	VYBER	1680	24779	\N	\N	\N
110199	372	1997-04-12	VYDAJ	VYBER	1680	28761	\N	\N	\N
110201	372	1997-09-13	VYDAJ	VYBER	3120	18089	\N	\N	\N
110202	372	1997-09-15	VYDAJ	VYBER	5280	33057	\N	\N	\N
110203	372	1997-01-16	VYDAJ	VYBER	5520	39956	\N	\N	\N
110204	372	1998-05-29	VYDAJ	VYBER	3720	17781	\N	\N	\N
110205	372	1998-03-15	VYDAJ	VYBER	4800	29650	\N	\N	\N
110206	372	1998-02-14	VYDAJ	VYBER	4680	30738	\N	\N	\N
110207	372	1998-09-07	VYDAJ	VYBER	1080	19598	\N	\N	\N
110208	372	1998-03-27	VYDAJ	VYBER	2400	27250	\N	\N	\N
110209	372	1998-08-23	VYDAJ	VYBER	1800	34978	\N	\N	\N
110210	372	1998-05-03	VYDAJ	VYBER	1560	18838	\N	\N	\N
110224	372	1996-01-31	VYDAJ	VYBER	15	66294	SLUZBY	\N	\N
110225	372	1996-02-29	VYDAJ	VYBER	15	50957	SLUZBY	\N	\N
110226	372	1996-03-31	VYDAJ	VYBER	15	46536	SLUZBY	\N	\N
110227	372	1996-04-30	VYDAJ	VYBER	15	46472	SLUZBY	\N	\N
110228	372	1996-05-31	VYDAJ	VYBER	15	45811	SLUZBY	\N	\N
110229	372	1996-06-30	VYDAJ	VYBER	15	13441	SLUZBY	\N	\N
110230	372	1996-07-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
110231	372	1996-08-31	VYDAJ	VYBER	15	38119	SLUZBY	\N	\N
110232	372	1996-09-30	VYDAJ	VYBER	15	39929	SLUZBY	\N	\N
110233	372	1996-10-31	VYDAJ	VYBER	15	40346	SLUZBY	\N	\N
110234	372	1996-11-30	VYDAJ	VYBER	15	40557	SLUZBY	\N	\N
110235	372	1996-12-31	VYDAJ	VYBER	15	50013	SLUZBY	\N	\N
110236	372	1997-01-31	VYDAJ	VYBER	15	34034	SLUZBY	\N	\N
110237	372	1997-02-28	VYDAJ	VYBER	15	37430	SLUZBY	\N	\N
110238	372	1997-03-31	VYDAJ	VYBER	15	40441	SLUZBY	\N	\N
110239	372	1997-04-30	VYDAJ	VYBER	15	40296	SLUZBY	\N	\N
110240	372	1997-05-31	VYDAJ	VYBER	15	41313	SLUZBY	\N	\N
110241	372	1997-06-30	VYDAJ	VYBER	15	39284	SLUZBY	\N	\N
110242	372	1997-07-31	VYDAJ	VYBER	15	42301	SLUZBY	\N	\N
110243	372	1997-08-31	VYDAJ	VYBER	15	28994	SLUZBY	\N	\N
110244	372	1997-09-30	VYDAJ	VYBER	15	28070	SLUZBY	\N	\N
110245	372	1997-10-31	VYDAJ	VYBER	15	26459	SLUZBY	\N	\N
110246	372	1997-11-30	VYDAJ	VYBER	15	22558	SLUZBY	\N	\N
110247	372	1997-12-31	VYDAJ	VYBER	15	24385	SLUZBY	\N	\N
110248	372	1998-01-31	VYDAJ	VYBER	15	20807	SLUZBY	\N	\N
110249	372	1998-02-28	VYDAJ	VYBER	15	21987	SLUZBY	\N	\N
110250	372	1998-03-31	VYDAJ	VYBER	15	20539	SLUZBY	\N	\N
110251	372	1998-04-30	VYDAJ	VYBER	15	20398	SLUZBY	\N	\N
110252	372	1998-05-31	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
110253	372	1998-06-30	VYDAJ	VYBER	15	23447	SLUZBY	\N	\N
110254	372	1998-07-31	VYDAJ	VYBER	15	24315	SLUZBY	\N	\N
110255	372	1998-08-31	VYDAJ	VYBER	15	20678	SLUZBY	\N	\N
110256	372	1998-09-30	VYDAJ	VYBER	15	20844	SLUZBY	\N	\N
110257	372	1998-10-31	VYDAJ	VYBER	15	19895	SLUZBY	\N	\N
110258	372	1998-11-30	VYDAJ	VYBER	15	17037	SLUZBY	\N	\N
110259	372	1995-10-10	PRIJEM	VKLAD	2000	24850	\N	\N	\N
110260	372	1995-11-09	VYDAJ	VYBER	14600	32800	\N	\N	\N
110261	372	1995-12-09	VYDAJ	VYBER	17400	38012	\N	\N	\N
110262	372	1996-01-08	VYDAJ	VYBER	26100	45775	\N	\N	\N
110263	372	1996-02-07	VYDAJ	VYBER	24900	41394	\N	\N	\N
110264	372	1996-03-08	VYDAJ	VYBER	15500	33897	\N	\N	\N
110265	372	1996-04-07	VYDAJ	VYBER	12700	33836	\N	\N	\N
110266	372	1996-05-07	VYDAJ	VYBER	12700	33772	\N	\N	\N
110267	372	1996-06-06	VYDAJ	VYBER	11000	34811	\N	\N	\N
110268	372	1996-07-06	PRIJEM	VKLAD	4500	17941	\N	\N	\N
110269	372	1996-08-05	VYDAJ	VYBER	2200	25528	\N	\N	\N
110270	372	1996-09-04	VYDAJ	VYBER	10800	27319	\N	\N	\N
110271	372	1996-10-04	VYDAJ	VYBER	10500	27749	\N	\N	\N
110272	372	1996-11-03	VYDAJ	VYBER	12400	27946	\N	\N	\N
110273	372	1996-12-03	VYDAJ	VYBER	9900	30657	\N	\N	\N
110274	372	1997-01-02	VYDAJ	VYBER	17000	33013	\N	\N	\N
110275	372	1997-02-01	VYDAJ	VYBER	9200	24834	\N	\N	\N
110276	372	1997-03-03	VYDAJ	VYBER	9600	27830	\N	\N	\N
110277	372	1997-04-02	VYDAJ	VYBER	10000	30441	\N	\N	\N
110278	372	1997-05-02	VYDAJ	VYBER	11600	28696	\N	\N	\N
110279	372	1997-06-01	VYDAJ	VYBER	11400	29913	\N	\N	\N
110280	372	1997-07-01	VYDAJ	VYBER	9600	29684	\N	\N	\N
110281	372	1997-07-31	VYDAJ	VYBER	14900	27401	\N	\N	\N
110282	372	1997-08-30	VYDAJ	VYBER	11000	28864	\N	\N	\N
110283	372	1997-09-29	VYDAJ	VYBER	5100	27957	\N	\N	\N
110284	372	1997-10-29	VYDAJ	VYBER	14200	26333	\N	\N	\N
110285	372	1997-11-28	VYDAJ	VYBER	14800	22442	\N	\N	\N
110286	372	1997-12-28	VYDAJ	VYBER	14900	24279	\N	\N	\N
110287	372	1998-01-27	VYDAJ	VYBER	7500	20708	\N	\N	\N
110288	372	1998-02-26	VYDAJ	VYBER	6700	21890	\N	\N	\N
110289	372	1998-03-28	VYDAJ	VYBER	6800	20450	\N	\N	\N
110290	372	1998-04-27	VYDAJ	VYBER	12700	20302	\N	\N	\N
110291	372	1998-05-27	VYDAJ	VYBER	9800	21501	\N	\N	\N
110292	372	1998-06-26	VYDAJ	VYBER	8100	23347	\N	\N	\N
110293	372	1998-07-26	VYDAJ	VYBER	11700	24210	\N	\N	\N
110294	372	1998-08-25	VYDAJ	VYBER	14400	20578	\N	\N	\N
110295	372	1998-09-24	VYDAJ	VYBER	11300	20761	\N	\N	\N
110296	372	1998-10-24	VYDAJ	VYBER	13500	19807	\N	\N	\N
110297	372	1998-11-23	VYDAJ	VYBER	15400	16958	\N	\N	\N
110338	373	1996-06-20	PRIJEM	VKLAD	800	800	\N	\N	\N
110345	373	1996-07-06	PRIJEM	VKLAD	9679	10479	\N	\N	\N
110346	373	1996-08-06	PRIJEM	VKLAD	9679	26585	\N	\N	\N
110347	373	1996-09-06	PRIJEM	VKLAD	9679	34849	\N	\N	\N
110348	373	1996-10-06	PRIJEM	VKLAD	9679	39942	\N	\N	\N
110349	373	1996-11-06	PRIJEM	VKLAD	9679	45457	\N	\N	\N
110350	373	1996-12-06	PRIJEM	VKLAD	14519	47619	\N	\N	\N
110351	373	1997-01-06	PRIJEM	VKLAD	9679	31920	\N	\N	\N
110352	373	1997-02-06	PRIJEM	VKLAD	9679	26901	\N	\N	\N
110353	373	1997-03-06	PRIJEM	VKLAD	9679	23086	\N	\N	\N
110354	373	1997-04-06	PRIJEM	VKLAD	9679	27052	\N	\N	\N
110355	373	1997-05-06	PRIJEM	VKLAD	9679	30247	\N	\N	\N
110356	373	1997-06-06	PRIJEM	VKLAD	14519	31629	\N	\N	\N
110357	373	1997-07-06	PRIJEM	VKLAD	9679	34738	\N	\N	\N
110358	373	1997-08-06	PRIJEM	VKLAD	9679	36862	\N	\N	\N
110359	373	1997-09-06	PRIJEM	VKLAD	9679	39296	\N	\N	\N
110360	373	1997-10-06	PRIJEM	VKLAD	9679	36687	\N	\N	\N
110361	373	1997-11-06	PRIJEM	VKLAD	9679	39320	\N	\N	\N
110362	373	1997-12-06	PRIJEM	VKLAD	14519	41761	\N	\N	\N
110363	373	1998-01-06	PRIJEM	VKLAD	9679	47826	\N	\N	\N
110364	373	1998-02-06	PRIJEM	VKLAD	9679	47133	\N	\N	\N
110365	373	1998-03-06	PRIJEM	VKLAD	9679	47583	\N	\N	\N
110366	373	1998-04-06	PRIJEM	VKLAD	9679	51966	\N	\N	\N
110367	373	1998-05-06	PRIJEM	VKLAD	9679	59275	\N	\N	\N
110368	373	1998-06-06	PRIJEM	VKLAD	14519	31488	\N	\N	\N
110369	373	1998-07-06	PRIJEM	VKLAD	9679	46862	\N	\N	\N
110370	373	1998-08-06	PRIJEM	VKLAD	9679	54262	\N	\N	\N
110371	373	1998-09-06	PRIJEM	VKLAD	9679	65093	\N	\N	\N
110372	373	1998-10-06	PRIJEM	VKLAD	9679	66796	\N	\N	\N
110373	373	1998-11-06	PRIJEM	VKLAD	9679	67672	\N	\N	\N
110374	373	1998-12-06	PRIJEM	VKLAD	14519	70261	\N	\N	\N
110385	373	1996-11-08	VYDAJ	PREVOD NA UCET	6452	39005	SIPO	OP	55648291
110386	373	1996-12-08	VYDAJ	PREVOD NA UCET	6452	41167	SIPO	OP	55648291
110387	373	1997-01-08	VYDAJ	PREVOD NA UCET	6452	25468	SIPO	OP	55648291
110388	373	1997-02-08	VYDAJ	PREVOD NA UCET	6452	20449	SIPO	OP	55648291
110389	373	1997-03-08	VYDAJ	PREVOD NA UCET	6452	16634	SIPO	OP	55648291
110390	373	1997-04-08	VYDAJ	PREVOD NA UCET	6452	20600	SIPO	OP	55648291
110391	373	1997-05-08	VYDAJ	PREVOD NA UCET	6452	23795	SIPO	OP	55648291
110392	373	1997-06-08	VYDAJ	PREVOD NA UCET	6452	25177	SIPO	OP	55648291
110393	373	1997-07-08	VYDAJ	PREVOD NA UCET	6452	28286	SIPO	OP	55648291
110394	373	1997-08-08	VYDAJ	PREVOD NA UCET	6452	30410	SIPO	OP	55648291
110395	373	1997-09-08	VYDAJ	PREVOD NA UCET	6452	27324	SIPO	OP	55648291
110396	373	1997-10-08	VYDAJ	PREVOD NA UCET	6452	30235	SIPO	OP	55648291
110397	373	1997-11-08	VYDAJ	PREVOD NA UCET	6452	32868	SIPO	OP	55648291
110398	373	1997-12-08	VYDAJ	PREVOD NA UCET	6452	35309	SIPO	OP	55648291
110399	373	1998-01-08	VYDAJ	PREVOD NA UCET	6452	33214	SIPO	OP	55648291
110400	373	1998-02-08	VYDAJ	PREVOD NA UCET	6452	40681	SIPO	OP	55648291
110401	373	1998-03-08	VYDAJ	PREVOD NA UCET	6452	41131	SIPO	OP	55648291
110402	373	1998-04-08	VYDAJ	PREVOD NA UCET	6452	45514	SIPO	OP	55648291
110403	373	1998-05-08	VYDAJ	PREVOD NA UCET	6452	52823	SIPO	OP	55648291
110404	373	1998-06-08	VYDAJ	PREVOD NA UCET	6452	25036	SIPO	OP	55648291
110405	373	1998-07-08	VYDAJ	PREVOD NA UCET	6452	40410	SIPO	OP	55648291
110406	373	1998-08-08	VYDAJ	PREVOD NA UCET	6452	47810	SIPO	OP	55648291
110407	373	1998-09-08	VYDAJ	PREVOD NA UCET	6452	62041	SIPO	OP	55648291
110408	373	1998-10-08	VYDAJ	PREVOD NA UCET	6452	57744	SIPO	OP	55648291
110409	373	1998-11-08	VYDAJ	PREVOD NA UCET	6452	56820	SIPO	OP	55648291
110410	373	1998-12-08	VYDAJ	PREVOD NA UCET	6452	58509	SIPO	OP	55648291
110413	373	1998-06-02	VYDAJ	VYBER	37760	16970	\N	\N	\N
110416	373	1998-01-07	VYDAJ	VYBER	8160	39666	\N	\N	\N
110417	373	1996-12-09	VYDAJ	VYBER	4640	36527	\N	\N	\N
110418	373	1997-12-01	VYDAJ	VYBER	3840	27242	\N	\N	\N
110419	373	1998-12-14	VYDAJ	VYBER KARTOU	3400	55109	\N	\N	0
110421	373	1996-12-22	VYDAJ	VYBER	2520	22127	\N	\N	\N
110423	373	1996-12-20	VYDAJ	VYBER	3480	24647	\N	\N	\N
110424	373	1996-12-03	VYDAJ	VYBER	1440	33100	\N	\N	\N
110425	373	1997-01-23	VYDAJ	VYBER	4320	17148	\N	\N	\N
110426	373	1997-02-25	VYDAJ	VYBER	3600	13349	\N	\N	\N
110427	373	1997-05-14	VYDAJ	VYBER	2880	20915	\N	\N	\N
110428	373	1997-03-29	VYDAJ	VYBER	3720	17314	\N	\N	\N
110429	373	1997-09-08	VYDAJ	VYBER	5520	33776	\N	\N	\N
110430	373	1997-09-12	VYDAJ	VYBER	1320	26004	\N	\N	\N
110431	373	1997-05-28	VYDAJ	VYBER	5880	17035	\N	\N	\N
110432	373	1998-11-26	VYDAJ	VYBER KARTOU	1300	55520	\N	\N	0
110433	373	1998-12-23	VYDAJ	VYBER KARTOU	3000	52109	\N	\N	0
110434	373	1998-10-02	VYDAJ	VYBER	2880	57117	\N	\N	\N
110435	373	1998-09-27	VYDAJ	VYBER	2280	59761	\N	\N	\N
110436	373	1998-02-09	VYDAJ	VYBER	3720	36961	\N	\N	\N
110437	373	1998-07-25	VYDAJ	VYBER	5400	44410	\N	\N	\N
110449	373	1996-11-30	VYDAJ	VYBER	15	34540	SLUZBY	\N	\N
110450	373	1996-12-31	VYDAJ	VYBER	15	22241	SLUZBY	\N	\N
110451	373	1997-01-31	VYDAJ	VYBER	15	17222	SLUZBY	\N	\N
110452	373	1997-02-28	VYDAJ	VYBER	15	13407	SLUZBY	\N	\N
110453	373	1997-03-31	VYDAJ	VYBER	15	17373	SLUZBY	\N	\N
110454	373	1997-04-30	VYDAJ	VYBER	15	20568	SLUZBY	\N	\N
110455	373	1997-05-31	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
110456	373	1997-06-30	VYDAJ	VYBER	15	25059	SLUZBY	\N	\N
110457	373	1997-07-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
110458	373	1997-08-31	VYDAJ	VYBER	15	29617	SLUZBY	\N	\N
110459	373	1997-09-30	VYDAJ	VYBER	15	27008	SLUZBY	\N	\N
110460	373	1997-10-31	VYDAJ	VYBER	15	29641	SLUZBY	\N	\N
110461	373	1997-11-30	VYDAJ	VYBER	15	31082	SLUZBY	\N	\N
110462	373	1997-12-31	VYDAJ	VYBER	15	38147	SLUZBY	\N	\N
110463	373	1998-01-31	VYDAJ	VYBER	15	37454	SLUZBY	\N	\N
110464	373	1998-02-28	VYDAJ	VYBER	15	37904	SLUZBY	\N	\N
110465	373	1998-03-31	VYDAJ	VYBER	15	42287	SLUZBY	\N	\N
110466	373	1998-04-30	VYDAJ	VYBER	15	49596	SLUZBY	\N	\N
110467	373	1998-05-31	VYDAJ	VYBER	15	54730	SLUZBY	\N	\N
110468	373	1998-06-30	VYDAJ	VYBER	15	37183	SLUZBY	\N	\N
110469	373	1998-07-31	VYDAJ	VYBER	15	44583	SLUZBY	\N	\N
110470	373	1998-08-31	VYDAJ	VYBER	15	55414	SLUZBY	\N	\N
110471	373	1998-09-30	VYDAJ	VYBER	15	59997	SLUZBY	\N	\N
110472	373	1998-10-31	VYDAJ	VYBER	15	57993	SLUZBY	\N	\N
110473	373	1998-11-30	VYDAJ	VYBER	15	55742	SLUZBY	\N	\N
110474	373	1996-07-20	PRIJEM	VKLAD	6400	16879	\N	\N	\N
110475	373	1996-08-19	VYDAJ	VYBER	1500	25085	\N	\N	\N
110476	373	1996-09-18	VYDAJ	VYBER	4700	30149	\N	\N	\N
110477	373	1996-10-18	VYDAJ	VYBER	4300	35642	\N	\N	\N
110478	373	1996-11-17	VYDAJ	VYBER	4600	34405	\N	\N	\N
110479	373	1996-12-17	VYDAJ	VYBER	8400	28127	\N	\N	\N
110480	373	1997-01-16	VYDAJ	VYBER	4000	21468	\N	\N	\N
110481	373	1997-02-15	VYDAJ	VYBER	3500	16949	\N	\N	\N
110482	373	1997-03-17	PRIJEM	VKLAD	4400	21034	\N	\N	\N
110483	373	1997-04-16	VYDAJ	VYBER	100	20500	\N	\N	\N
110484	373	1997-05-16	PRIJEM	VKLAD	2000	22915	\N	\N	\N
110485	373	1997-06-15	VYDAJ	VYBER	200	24977	\N	\N	\N
110486	373	1997-07-15	VYDAJ	VYBER	1200	27086	\N	\N	\N
110487	373	1997-08-14	VYDAJ	VYBER	900	29510	\N	\N	\N
110488	373	1997-09-13	PRIJEM	VKLAD	900	26904	\N	\N	\N
110489	373	1997-10-13	VYDAJ	VYBER	700	29535	\N	\N	\N
110490	373	1997-11-12	VYDAJ	VYBER	1900	30968	\N	\N	\N
110491	373	1997-12-12	PRIJEM	VKLAD	2700	38009	\N	\N	\N
110492	373	1998-01-11	PRIJEM	VKLAD	4100	37314	\N	\N	\N
110493	373	1998-02-10	PRIJEM	VKLAD	800	37761	\N	\N	\N
110494	373	1998-03-12	PRIJEM	VKLAD	1000	42131	\N	\N	\N
110495	373	1998-04-11	PRIJEM	VKLAD	3900	49414	\N	\N	\N
110496	373	1998-05-11	PRIJEM	VKLAD	1700	54523	\N	\N	\N
110497	373	1998-06-10	PRIJEM	VKLAD	12000	37036	\N	\N	\N
110498	373	1998-07-10	PRIJEM	VKLAD	9400	49810	\N	\N	\N
110499	373	1998-08-09	PRIJEM	VKLAD	7400	55210	\N	\N	\N
110500	373	1998-09-08	PRIJEM	VKLAD	3400	68493	\N	\N	\N
110501	373	1998-10-08	VYDAJ	VYBER	2600	64196	\N	\N	\N
110502	373	1998-11-07	VYDAJ	VYBER	4400	63272	\N	\N	\N
110503	373	1998-12-07	VYDAJ	VYBER	5300	64961	\N	\N	\N
110534	374	1993-01-09	PRIJEM	VKLAD	400	400	\N	\N	\N
110536	374	1993-02-05	PRIJEM	PREVOD Z UCTU	23041	23441	\N	WX	4004806
110537	374	1993-03-05	PRIJEM	PREVOD Z UCTU	23041	45051	\N	WX	4004806
110538	374	1993-04-05	PRIJEM	PREVOD Z UCTU	23041	56316	\N	WX	4004806
110539	374	1993-05-05	PRIJEM	PREVOD Z UCTU	23041	65925	\N	WX	4004806
110540	374	1993-06-05	PRIJEM	PREVOD Z UCTU	34562	78267	\N	WX	4004806
110541	374	1993-07-05	PRIJEM	PREVOD Z UCTU	23041	43530	\N	WX	4004806
110542	374	1993-08-05	PRIJEM	PREVOD Z UCTU	23041	34050	\N	WX	4004806
110543	374	1993-09-05	PRIJEM	PREVOD Z UCTU	23041	46867	\N	WX	4004806
110544	374	1993-10-05	PRIJEM	PREVOD Z UCTU	23041	31604	\N	WX	4004806
110545	374	1993-11-05	PRIJEM	PREVOD Z UCTU	23041	44828	\N	WX	4004806
110546	374	1993-12-05	PRIJEM	PREVOD Z UCTU	34562	48566	\N	WX	4004806
110547	374	1994-01-05	PRIJEM	PREVOD Z UCTU	23041	41748	\N	WX	4004806
110548	374	1994-02-05	PRIJEM	PREVOD Z UCTU	23041	44994	\N	WX	4004806
110549	374	1994-03-05	PRIJEM	PREVOD Z UCTU	23041	68192	\N	WX	4004806
110550	374	1994-04-05	PRIJEM	PREVOD Z UCTU	23041	60705	\N	WX	4004806
110551	374	1994-05-05	PRIJEM	PREVOD Z UCTU	23041	60476	\N	WX	4004806
110552	374	1994-06-05	PRIJEM	PREVOD Z UCTU	34562	77573	\N	WX	4004806
110553	374	1994-07-05	PRIJEM	PREVOD Z UCTU	23041	69966	\N	WX	4004806
110554	374	1994-08-05	PRIJEM	PREVOD Z UCTU	23041	69881	\N	WX	4004806
110555	374	1994-09-05	PRIJEM	PREVOD Z UCTU	23041	71799	\N	WX	4004806
110556	374	1994-10-05	PRIJEM	PREVOD Z UCTU	23041	58972	\N	WX	4004806
110557	374	1994-11-05	PRIJEM	PREVOD Z UCTU	23041	62996	\N	WX	4004806
110558	374	1994-12-05	PRIJEM	PREVOD Z UCTU	34562	79843	\N	WX	4004806
110559	374	1995-01-05	PRIJEM	PREVOD Z UCTU	23041	66829	\N	WX	4004806
110560	374	1995-02-05	PRIJEM	PREVOD Z UCTU	23041	58566	\N	WX	4004806
110561	374	1995-03-05	PRIJEM	PREVOD Z UCTU	23041	67543	\N	WX	4004806
110562	374	1995-04-05	PRIJEM	PREVOD Z UCTU	23041	58882	\N	WX	4004806
110563	374	1995-05-05	PRIJEM	PREVOD Z UCTU	23041	69259	\N	WX	4004806
110564	374	1995-06-05	PRIJEM	PREVOD Z UCTU	34562	79719	\N	WX	4004806
110565	374	1995-07-05	PRIJEM	PREVOD Z UCTU	23041	43818	\N	WX	4004806
110566	374	1995-08-05	PRIJEM	PREVOD Z UCTU	23041	55738	\N	WX	4004806
110567	374	1995-09-05	PRIJEM	PREVOD Z UCTU	23041	64606	\N	WX	4004806
110568	374	1995-10-05	PRIJEM	PREVOD Z UCTU	23041	71208	\N	WX	4004806
110569	374	1995-11-05	PRIJEM	PREVOD Z UCTU	23041	73035	\N	WX	4004806
110570	374	1995-12-05	PRIJEM	PREVOD Z UCTU	34562	77589	\N	WX	4004806
110571	374	1996-01-05	PRIJEM	PREVOD Z UCTU	23041	67996	\N	WX	4004806
110572	374	1996-02-05	PRIJEM	PREVOD Z UCTU	23041	60119	\N	WX	4004806
110573	374	1996-03-05	PRIJEM	PREVOD Z UCTU	23041	72510	\N	WX	4004806
110574	374	1996-04-05	PRIJEM	PREVOD Z UCTU	23041	75544	\N	WX	4004806
110575	374	1996-05-05	PRIJEM	PREVOD Z UCTU	23041	58706	\N	WX	4004806
110576	374	1996-06-05	PRIJEM	PREVOD Z UCTU	34562	78477	\N	WX	4004806
110577	374	1996-07-05	PRIJEM	PREVOD Z UCTU	23041	55572	\N	WX	4004806
110578	374	1996-08-05	PRIJEM	PREVOD Z UCTU	23041	67147	\N	WX	4004806
110579	374	1996-09-05	PRIJEM	PREVOD Z UCTU	23041	75167	\N	WX	4004806
110580	374	1996-10-05	PRIJEM	PREVOD Z UCTU	23041	76409	\N	WX	4004806
110581	374	1996-11-05	PRIJEM	PREVOD Z UCTU	23041	64987	\N	WX	4004806
110582	374	1996-12-05	PRIJEM	PREVOD Z UCTU	34562	85674	\N	WX	4004806
110583	374	1997-01-05	PRIJEM	PREVOD Z UCTU	23041	77727	\N	WX	4004806
110584	374	1997-02-05	PRIJEM	PREVOD Z UCTU	23041	50392	\N	WX	4004806
110585	374	1997-03-05	PRIJEM	PREVOD Z UCTU	23041	55717	\N	WX	4004806
110586	374	1997-04-05	PRIJEM	PREVOD Z UCTU	23041	63969	\N	WX	4004806
110587	374	1997-05-05	PRIJEM	PREVOD Z UCTU	23041	51531	\N	WX	4004806
110588	374	1997-06-05	PRIJEM	PREVOD Z UCTU	34562	69861	\N	WX	4004806
110589	374	1997-07-05	PRIJEM	PREVOD Z UCTU	23041	42055	\N	WX	4004806
110590	374	1997-08-05	PRIJEM	PREVOD Z UCTU	23041	45447	\N	WX	4004806
110591	374	1997-09-05	PRIJEM	PREVOD Z UCTU	23041	62700	\N	WX	4004806
110592	374	1997-10-05	PRIJEM	PREVOD Z UCTU	23041	59101	\N	WX	4004806
110593	374	1997-11-05	PRIJEM	PREVOD Z UCTU	23041	68710	\N	WX	4004806
110594	374	1997-12-05	PRIJEM	PREVOD Z UCTU	34562	92472	\N	WX	4004806
110595	374	1998-01-05	PRIJEM	PREVOD Z UCTU	23041	37878	\N	WX	4004806
110596	374	1998-02-05	PRIJEM	PREVOD Z UCTU	23041	30985	\N	WX	4004806
110597	374	1998-03-05	PRIJEM	PREVOD Z UCTU	23041	42688	\N	WX	4004806
110598	374	1998-04-05	PRIJEM	PREVOD Z UCTU	23041	62839	\N	WX	4004806
110599	374	1998-05-05	PRIJEM	PREVOD Z UCTU	23041	73151	\N	WX	4004806
110600	374	1998-06-05	PRIJEM	PREVOD Z UCTU	34562	71853	\N	WX	4004806
110601	374	1998-07-05	PRIJEM	PREVOD Z UCTU	23041	49671	\N	WX	4004806
110602	374	1998-08-05	PRIJEM	PREVOD Z UCTU	23041	72563	\N	WX	4004806
110603	374	1998-09-05	PRIJEM	PREVOD Z UCTU	23041	84021	\N	WX	4004806
110604	374	1998-10-05	PRIJEM	PREVOD Z UCTU	23041	82234	\N	WX	4004806
110605	374	1998-11-05	PRIJEM	PREVOD Z UCTU	23041	87624	\N	WX	4004806
110606	374	1998-12-05	PRIJEM	PREVOD Z UCTU	34562	87031	\N	WX	4004806
110608	374	1993-12-11	VYBER	VYBER	9267	27699	\N	\N	\N
110609	374	1993-09-28	VYBER	VYBER	20150	8469	\N	\N	\N
110611	374	1993-09-07	VYBER	VYBER	6348	28619	\N	\N	\N
110612	374	1993-11-30	VYBER	VYBER	10831	14018	\N	\N	\N
110614	374	1993-06-11	VYBER	VYBER	8278	20389	\N	\N	\N
110619	374	1995-07-13	VYBER	VYBER	13417	30401	\N	\N	\N
110620	374	1996-05-02	VYBER	VYBER	20084	35665	\N	\N	\N
110621	374	1996-11-01	VYBER	VYBER	14272	41946	\N	\N	\N
110622	374	1997-02-26	VYBER	VYBER	14641	32551	\N	\N	\N
110623	374	1997-12-15	VYBER	VYBER	12183	47117	\N	\N	\N
110624	374	1997-03-17	VYBER	VYBER	7045	37688	\N	\N	\N
110625	374	1997-04-07	VYBER	VYBER	10182	53787	\N	\N	\N
110626	374	1997-07-30	VYBER	VYBER	11282	22317	\N	\N	\N
110627	374	1997-12-27	VYBER	VYBER	18540	14632	\N	\N	\N
110628	374	1997-07-25	VYBER	VYBER	2556	33599	\N	\N	\N
110629	374	1997-12-05	VYBER	VYBER	12472	80000	\N	\N	\N
110630	374	1997-06-14	VYBER	VYBER	2183	54839	\N	\N	\N
110631	374	1997-09-30	VYBER	VYBER	14207	36075	\N	\N	\N
110632	374	1997-05-02	VYBER	VYBER	17578	28490	\N	\N	\N
110633	374	1997-06-05	VYBER	VYBER	12839	57022	\N	\N	\N
110634	374	1997-03-13	VYBER	VYBER	10984	44733	\N	\N	\N
110635	374	1997-12-22	VYBER	VYBER	4945	33172	\N	\N	\N
110636	374	1998-09-10	VYBER	VYBER	7656	76365	\N	\N	\N
110637	374	1998-02-27	VYBER	VYBER	10805	19580	\N	\N	\N
110638	374	1998-12-18	VYBER	VYBER	13250	57781	\N	\N	\N
110639	374	1998-05-17	VYBER	VYBER	20727	37124	\N	\N	\N
110640	374	1998-11-11	VYBER	VYBER	14784	52240	\N	\N	\N
110641	374	1998-12-28	VYBER	VYBER	3642	52039	\N	\N	\N
110642	374	1993-06-09	VYDAJ	VYBER	24900	28667	\N	\N	\N
110644	374	1995-06-27	VYDAJ	VYBER	63900	15819	\N	\N	\N
110645	374	1996-06-23	VYDAJ	VYBER	21600	32377	\N	\N	\N
110646	374	1997-06-25	VYDAJ	VYBER	24000	18839	\N	\N	\N
110647	374	1998-06-28	VYDAJ	VYBER	31800	26453	\N	\N	\N
110648	374	1993-12-30	VYDAJ	VYBER	8400	19299	\N	\N	\N
110649	374	1994-12-30	VYDAJ	VYBER	8700	50443	\N	\N	\N
110650	374	1995-12-02	VYDAJ	VYBER	6900	43027	\N	\N	\N
110651	374	1996-12-24	VYDAJ	VYBER	6000	58074	\N	\N	\N
110652	374	1997-12-13	VYDAJ	VYBER	4200	75800	\N	\N	\N
110653	374	1998-12-27	VYDAJ	VYBER	2100	55681	\N	\N	\N
110660	374	1994-01-15	VYDAJ	VYBER	6000	35748	\N	\N	\N
110661	374	1994-01-21	VYDAJ	VYBER	1500	25548	\N	\N	\N
110662	374	1994-01-26	VYDAJ	VYBER	7800	17748	\N	\N	\N
110663	374	1994-01-16	VYDAJ	VYBER	5100	27048	\N	\N	\N
110664	374	1994-01-02	VYDAJ	VYBER	5700	13707	\N	\N	\N
110665	374	1994-01-15	VYDAJ	VYBER	3600	32148	\N	\N	\N
110666	374	1995-01-11	VYDAJ	VYBER	8700	52129	\N	\N	\N
110667	374	1995-01-24	VYDAJ	VYBER	2400	49729	\N	\N	\N
110668	374	1995-01-05	VYDAJ	VYBER	6000	60829	\N	\N	\N
110669	374	1995-01-03	VYDAJ	VYBER	6900	43788	\N	\N	\N
110670	374	1995-01-24	VYDAJ	VYBER	6900	42829	\N	\N	\N
110671	374	1995-01-30	VYDAJ	VYBER	1500	35329	\N	\N	\N
110672	374	1996-01-14	VYDAJ	VYBER	1500	66496	\N	\N	\N
110673	374	1996-01-20	VYDAJ	VYBER	2400	55696	\N	\N	\N
110674	374	1996-01-19	VYDAJ	VYBER	3000	63496	\N	\N	\N
110675	374	1996-01-22	VYDAJ	VYBER	4500	45196	\N	\N	\N
110676	374	1996-01-21	VYDAJ	VYBER	6000	49696	\N	\N	\N
110677	374	1996-01-20	VYDAJ	VYBER	5400	58096	\N	\N	\N
110678	374	1997-01-22	VYDAJ	VYBER	3000	40927	\N	\N	\N
110679	374	1997-01-04	VYDAJ	VYBER	2100	54686	\N	\N	\N
110680	374	1997-01-16	VYDAJ	VYBER	4800	72927	\N	\N	\N
110681	374	1997-01-19	VYDAJ	VYBER	5400	43927	\N	\N	\N
110682	374	1997-01-01	VYDAJ	VYBER	1500	56786	\N	\N	\N
110683	374	1997-01-17	VYDAJ	VYBER	7500	65427	\N	\N	\N
110684	374	1998-01-25	VYDAJ	VYBER	1500	20178	\N	\N	\N
110685	374	1998-01-10	VYDAJ	VYBER	1800	27378	\N	\N	\N
110686	374	1998-01-30	VYDAJ	VYBER	5400	7878	\N	\N	\N
110687	374	1998-01-28	VYDAJ	VYBER	6900	13278	\N	\N	\N
110688	374	1998-01-07	VYDAJ	VYBER	8700	29178	\N	\N	\N
110689	374	1998-01-15	VYDAJ	VYBER	6600	21678	\N	\N	\N
110691	374	1993-07-28	VYDAJ	VYBER	8400	10930	\N	\N	\N
110693	374	1993-08-10	VYDAJ	VYBER	3900	23750	\N	\N	\N
110694	374	1993-11-23	VYDAJ	VYBER	8700	24728	\N	\N	\N
110695	374	1993-07-18	VYDAJ	VYBER	12600	19330	\N	\N	\N
110696	374	1993-10-25	VYDAJ	VYBER	6300	21704	\N	\N	\N
110697	374	1994-09-09	VYDAJ	VYBER	13800	57999	\N	\N	\N
110698	374	1994-05-03	VYDAJ	VYBER	14700	46235	\N	\N	\N
110699	374	1994-06-07	VYDAJ	VYBER	14100	63473	\N	\N	\N
110700	374	1994-10-06	VYDAJ	VYBER	11700	47272	\N	\N	\N
110701	374	1994-09-26	VYDAJ	VYBER	13200	44799	\N	\N	\N
110702	374	1995-12-30	VYDAJ	VYBER	7200	44689	\N	\N	\N
110703	374	1995-03-13	VYDAJ	VYBER	14700	52843	\N	\N	\N
110704	374	1995-03-24	VYDAJ	VYBER	14700	38143	\N	\N	\N
110705	374	1995-05-20	VYDAJ	VYBER	5700	63559	\N	\N	\N
110706	374	1997-05-25	VYDAJ	VYBER	5400	35131	\N	\N	\N
110707	374	1997-12-15	VYDAJ	VYBER	9000	38117	\N	\N	\N
110708	374	1997-01-31	VYDAJ	VYBER	13800	27351	\N	\N	\N
110709	374	1997-10-06	VYDAJ	VYBER	10500	48601	\N	\N	\N
110710	374	1998-02-12	VYDAJ	VYBER	4500	30385	\N	\N	\N
110711	374	1998-11-01	VYDAJ	VYBER	3000	64583	\N	\N	\N
110712	374	1998-12-30	VYDAJ	VYBER	6600	45439	\N	\N	\N
110719	374	1993-06-30	VYDAJ	VYBER	15	20489	SLUZBY	\N	\N
110720	374	1993-07-31	VYDAJ	VYBER	15	11009	SLUZBY	\N	\N
110721	374	1993-08-31	VYDAJ	VYBER	15	23826	SLUZBY	\N	\N
110722	374	1993-09-30	VYDAJ	VYBER	15	8563	SLUZBY	\N	\N
110723	374	1993-10-31	VYDAJ	VYBER	15	21787	SLUZBY	\N	\N
110724	374	1993-11-30	VYDAJ	VYBER	15	14004	SLUZBY	\N	\N
110725	374	1993-12-31	VYDAJ	VYBER	15	19407	SLUZBY	\N	\N
110726	374	1994-01-31	VYDAJ	VYBER	15	17853	SLUZBY	\N	\N
110727	374	1994-02-28	VYDAJ	VYBER	15	45151	SLUZBY	\N	\N
110728	374	1994-03-31	VYDAJ	VYBER	15	44964	SLUZBY	\N	\N
110729	374	1994-04-30	VYDAJ	VYBER	15	60935	SLUZBY	\N	\N
110730	374	1994-05-31	VYDAJ	VYBER	15	60711	SLUZBY	\N	\N
110731	374	1994-06-30	VYDAJ	VYBER	15	63725	SLUZBY	\N	\N
110732	374	1994-07-31	VYDAJ	VYBER	15	70240	SLUZBY	\N	\N
110733	374	1994-08-31	VYDAJ	VYBER	15	70158	SLUZBY	\N	\N
110734	374	1994-09-30	VYDAJ	VYBER	15	45031	SLUZBY	\N	\N
110735	374	1994-10-31	VYDAJ	VYBER	15	47455	SLUZBY	\N	\N
110736	374	1994-11-30	VYDAJ	VYBER	15	63181	SLUZBY	\N	\N
110737	374	1994-12-31	VYDAJ	VYBER	15	50688	SLUZBY	\N	\N
110738	374	1995-01-31	VYDAJ	VYBER	15	35525	SLUZBY	\N	\N
110739	374	1995-02-28	VYDAJ	VYBER	15	58702	SLUZBY	\N	\N
110740	374	1995-03-31	VYDAJ	VYBER	15	35841	SLUZBY	\N	\N
110741	374	1995-04-30	VYDAJ	VYBER	15	46218	SLUZBY	\N	\N
110742	374	1995-05-31	VYDAJ	VYBER	15	45157	SLUZBY	\N	\N
110743	374	1995-06-30	VYDAJ	VYBER	15	20777	SLUZBY	\N	\N
110744	374	1995-07-31	VYDAJ	VYBER	15	32697	SLUZBY	\N	\N
110745	374	1995-08-31	VYDAJ	VYBER	15	41565	SLUZBY	\N	\N
110746	374	1995-09-30	VYDAJ	VYBER	15	48167	SLUZBY	\N	\N
110747	374	1995-10-31	VYDAJ	VYBER	15	49994	SLUZBY	\N	\N
110748	374	1995-11-30	VYDAJ	VYBER	15	49927	SLUZBY	\N	\N
110749	374	1995-12-31	VYDAJ	VYBER	15	44955	SLUZBY	\N	\N
110750	374	1996-01-31	VYDAJ	VYBER	15	37078	SLUZBY	\N	\N
110751	374	1996-02-29	VYDAJ	VYBER	15	49469	SLUZBY	\N	\N
110752	374	1996-03-31	VYDAJ	VYBER	15	52503	SLUZBY	\N	\N
110753	374	1996-04-30	VYDAJ	VYBER	15	55749	SLUZBY	\N	\N
110754	374	1996-05-31	VYDAJ	VYBER	15	43915	SLUZBY	\N	\N
110755	374	1996-06-30	VYDAJ	VYBER	15	32531	SLUZBY	\N	\N
110756	374	1996-07-31	VYDAJ	VYBER	15	44106	SLUZBY	\N	\N
110757	374	1996-08-31	VYDAJ	VYBER	15	52126	SLUZBY	\N	\N
110758	374	1996-09-30	VYDAJ	VYBER	15	53368	SLUZBY	\N	\N
110759	374	1996-10-31	VYDAJ	VYBER	15	56218	SLUZBY	\N	\N
110760	374	1996-11-30	VYDAJ	VYBER	15	51112	SLUZBY	\N	\N
110761	374	1996-12-31	VYDAJ	VYBER	15	58286	SLUZBY	\N	\N
110762	374	1997-01-31	VYDAJ	VYBER	15	41151	SLUZBY	\N	\N
110763	374	1997-02-28	VYDAJ	VYBER	15	32676	SLUZBY	\N	\N
110764	374	1997-03-31	VYDAJ	VYBER	15	40928	SLUZBY	\N	\N
110765	374	1997-04-30	VYDAJ	VYBER	15	46068	SLUZBY	\N	\N
110766	374	1997-05-31	VYDAJ	VYBER	15	35299	SLUZBY	\N	\N
110767	374	1997-06-30	VYDAJ	VYBER	15	19014	SLUZBY	\N	\N
110768	374	1997-07-31	VYDAJ	VYBER	15	22406	SLUZBY	\N	\N
110769	374	1997-08-31	VYDAJ	VYBER	15	39659	SLUZBY	\N	\N
110770	374	1997-09-30	VYDAJ	VYBER	15	36060	SLUZBY	\N	\N
110771	374	1997-10-31	VYDAJ	VYBER	15	45669	SLUZBY	\N	\N
110772	374	1997-11-30	VYDAJ	VYBER	15	57910	SLUZBY	\N	\N
110773	374	1997-12-31	VYDAJ	VYBER	15	14837	SLUZBY	\N	\N
110774	374	1998-01-31	VYDAJ	VYBER	15	7944	SLUZBY	\N	\N
110775	374	1998-02-28	VYDAJ	VYBER	15	19647	SLUZBY	\N	\N
110776	374	1998-03-31	VYDAJ	VYBER	15	39798	SLUZBY	\N	\N
110777	374	1998-04-30	VYDAJ	VYBER	15	50110	SLUZBY	\N	\N
110778	374	1998-05-31	VYDAJ	VYBER	15	37291	SLUZBY	\N	\N
110779	374	1998-06-30	VYDAJ	VYBER	15	26630	SLUZBY	\N	\N
110780	374	1998-07-31	VYDAJ	VYBER	15	49522	SLUZBY	\N	\N
110781	374	1998-08-31	VYDAJ	VYBER	15	60980	SLUZBY	\N	\N
110782	374	1998-09-30	VYDAJ	VYBER	15	59193	SLUZBY	\N	\N
110783	374	1998-10-31	VYDAJ	VYBER	15	67583	SLUZBY	\N	\N
110784	374	1998-11-30	VYDAJ	VYBER	15	52469	SLUZBY	\N	\N
110785	374	1993-02-08	VYDAJ	VYBER	1500	21941	\N	\N	\N
110786	374	1993-03-10	VYDAJ	VYBER	11900	33151	\N	\N	\N
110787	374	1993-04-09	VYDAJ	VYBER	13600	42716	\N	\N	\N
110788	374	1993-05-09	VYDAJ	VYBER	22400	43525	\N	\N	\N
110789	374	1993-06-08	VYDAJ	VYBER	24700	53567	\N	\N	\N
110790	374	1993-07-08	VYDAJ	VYBER	11600	31930	\N	\N	\N
110791	374	1993-08-07	VYDAJ	VYBER	6400	27650	\N	\N	\N
110792	374	1993-09-06	VYDAJ	VYBER	11900	34967	\N	\N	\N
110793	374	1993-10-06	VYDAJ	VYBER	3600	28004	\N	\N	\N
110794	374	1993-11-05	VYDAJ	VYBER	11400	33428	\N	\N	\N
110795	374	1993-12-05	VYDAJ	VYBER	11600	36966	\N	\N	\N
110796	374	1994-01-04	PRIJEM	VKLAD	5000	18707	\N	\N	\N
110797	374	1994-02-03	PRIJEM	VKLAD	4100	21953	\N	\N	\N
110798	374	1994-03-05	VYDAJ	VYBER	23400	44792	\N	\N	\N
110799	374	1994-04-04	VYDAJ	VYBER	7300	37664	\N	\N	\N
110800	374	1994-05-04	VYDAJ	VYBER	8800	37435	\N	\N	\N
110801	374	1994-06-03	VYDAJ	VYBER	17700	43011	\N	\N	\N
110802	374	1994-07-03	VYDAJ	VYBER	16800	46925	\N	\N	\N
110803	374	1994-08-02	VYDAJ	VYBER	23400	46840	\N	\N	\N
110804	374	1994-09-01	VYDAJ	VYBER	21400	48758	\N	\N	\N
110805	374	1994-10-01	VYDAJ	VYBER	9100	35931	\N	\N	\N
110806	374	1994-10-31	VYDAJ	VYBER	7500	39955	\N	\N	\N
110807	374	1994-11-30	VYDAJ	VYBER	17900	45281	\N	\N	\N
110808	374	1994-12-30	VYDAJ	VYBER	20700	59143	\N	\N	\N
110809	374	1995-01-29	VYDAJ	VYBER	6000	36829	\N	\N	\N
110810	374	1995-02-28	VYDAJ	VYBER	14200	44502	\N	\N	\N
110811	374	1995-03-30	VYDAJ	VYBER	2500	35643	\N	\N	\N
110812	374	1995-04-29	VYDAJ	VYBER	12800	46082	\N	\N	\N
110813	374	1995-05-29	VYDAJ	VYBER	18600	44959	\N	\N	\N
110814	374	1995-06-28	PRIJEM	VKLAD	4800	20619	\N	\N	\N
110815	374	1995-07-28	PRIJEM	VKLAD	2200	32601	\N	\N	\N
110816	374	1995-08-27	VYDAJ	VYBER	14300	41438	\N	\N	\N
110817	374	1995-09-26	VYDAJ	VYBER	16600	48006	\N	\N	\N
110818	374	1995-10-26	VYDAJ	VYBER	21400	49808	\N	\N	\N
110819	374	1995-11-25	VYDAJ	VYBER	23300	49735	\N	\N	\N
110820	374	1995-12-25	VYDAJ	VYBER	25700	51889	\N	\N	\N
110821	374	1996-01-24	VYDAJ	VYBER	8300	36896	\N	\N	\N
110822	374	1996-02-23	VYDAJ	VYBER	10800	49319	\N	\N	\N
110823	374	1996-03-24	VYDAJ	VYBER	20200	52310	\N	\N	\N
110824	374	1996-04-23	VYDAJ	VYBER	20000	55544	\N	\N	\N
110825	374	1996-05-23	VYDAJ	VYBER	15000	43706	\N	\N	\N
110826	374	1996-06-22	VYDAJ	VYBER	24500	53977	\N	\N	\N
110827	374	1996-07-22	VYDAJ	VYBER	11600	43972	\N	\N	\N
110828	374	1996-08-21	VYDAJ	VYBER	15200	51947	\N	\N	\N
110829	374	1996-09-20	VYDAJ	VYBER	22000	53167	\N	\N	\N
110830	374	1996-10-20	VYDAJ	VYBER	20400	56009	\N	\N	\N
110831	374	1996-11-19	VYDAJ	VYBER	14100	50887	\N	\N	\N
110832	374	1996-12-19	VYDAJ	VYBER	21600	64074	\N	\N	\N
110833	374	1997-01-18	VYDAJ	VYBER	16100	49327	\N	\N	\N
110834	374	1997-02-17	VYDAJ	VYBER	3200	47192	\N	\N	\N
110835	374	1997-03-19	PRIJEM	VKLAD	3100	40788	\N	\N	\N
110836	374	1997-04-18	VYDAJ	VYBER	7900	45887	\N	\N	\N
110837	374	1997-05-18	VYDAJ	VYBER	11000	40531	\N	\N	\N
110838	374	1997-06-17	VYDAJ	VYBER	12000	42839	\N	\N	\N
110839	374	1997-07-17	VYDAJ	VYBER	5900	36155	\N	\N	\N
110840	374	1997-08-16	VYDAJ	VYBER	5900	39547	\N	\N	\N
110841	374	1997-09-15	VYDAJ	VYBER	12600	50100	\N	\N	\N
110842	374	1997-10-15	VYDAJ	VYBER	3100	45501	\N	\N	\N
110843	374	1997-11-14	VYDAJ	VYBER	11000	57710	\N	\N	\N
110844	374	1997-12-14	VYDAJ	VYBER	16500	59300	\N	\N	\N
110845	374	1998-01-13	PRIJEM	VKLAD	900	28278	\N	\N	\N
110846	374	1998-02-12	PRIJEM	VKLAD	3900	34885	\N	\N	\N
110847	374	1998-03-14	VYDAJ	VYBER	3000	39688	\N	\N	\N
110848	374	1998-04-13	VYDAJ	VYBER	12900	49939	\N	\N	\N
110849	374	1998-05-13	VYDAJ	VYBER	15300	57851	\N	\N	\N
110850	374	1998-06-12	VYDAJ	VYBER	13600	58253	\N	\N	\N
110851	374	1998-07-12	VYDAJ	VYBER	300	49371	\N	\N	\N
110852	374	1998-08-11	VYDAJ	VYBER	11800	60763	\N	\N	\N
110853	374	1998-09-10	VYDAJ	VYBER	17400	58965	\N	\N	\N
110854	374	1998-10-10	VYDAJ	VYBER	14900	67334	\N	\N	\N
110855	374	1998-11-09	VYDAJ	VYBER	20600	67024	\N	\N	\N
110856	374	1998-12-09	VYDAJ	VYBER	16000	71031	\N	\N	\N
110930	375	1996-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
110936	375	1996-06-13	PRIJEM	PREVOD Z UCTU	5736	6836	DUCHOD	IJ	39182901
110937	375	1996-07-13	PRIJEM	PREVOD Z UCTU	5736	12589	DUCHOD	IJ	39182901
110938	375	1996-08-13	PRIJEM	PREVOD Z UCTU	5736	18354	DUCHOD	IJ	39182901
110939	375	1996-09-13	PRIJEM	PREVOD Z UCTU	5736	24118	DUCHOD	IJ	39182901
110940	375	1996-10-13	PRIJEM	PREVOD Z UCTU	5736	29883	DUCHOD	IJ	39182901
110941	375	1996-11-13	PRIJEM	PREVOD Z UCTU	5736	31812	DUCHOD	IJ	39182901
110942	375	1996-12-13	PRIJEM	PREVOD Z UCTU	5736	32838	DUCHOD	IJ	39182901
110943	375	1997-01-13	PRIJEM	PREVOD Z UCTU	5736	26809	DUCHOD	IJ	39182901
110944	375	1997-02-13	PRIJEM	PREVOD Z UCTU	5736	24168	DUCHOD	IJ	39182901
110945	375	1997-03-13	PRIJEM	PREVOD Z UCTU	5736	24363	DUCHOD	IJ	39182901
110946	375	1997-04-13	PRIJEM	PREVOD Z UCTU	5736	24761	DUCHOD	IJ	39182901
110947	375	1997-05-13	PRIJEM	PREVOD Z UCTU	5736	26760	DUCHOD	IJ	39182901
110948	375	1997-06-13	PRIJEM	PREVOD Z UCTU	5736	27666	DUCHOD	IJ	39182901
110949	375	1997-07-13	PRIJEM	PREVOD Z UCTU	5736	20370	DUCHOD	IJ	39182901
110950	375	1997-08-13	PRIJEM	PREVOD Z UCTU	5736	21549	DUCHOD	IJ	39182901
110951	375	1997-09-13	PRIJEM	PREVOD Z UCTU	5736	23534	DUCHOD	IJ	39182901
110952	375	1997-10-13	PRIJEM	PREVOD Z UCTU	5736	25526	DUCHOD	IJ	39182901
110953	375	1997-11-13	PRIJEM	PREVOD Z UCTU	5736	26085	DUCHOD	IJ	39182901
110954	375	1997-12-13	PRIJEM	PREVOD Z UCTU	5736	27437	DUCHOD	IJ	39182901
110955	375	1998-01-13	PRIJEM	PREVOD Z UCTU	5736	21605	DUCHOD	IJ	39182901
110956	375	1998-02-13	PRIJEM	PREVOD Z UCTU	5736	19191	DUCHOD	IJ	39182901
110957	375	1998-03-13	PRIJEM	PREVOD Z UCTU	5736	19064	DUCHOD	IJ	39182901
110958	375	1998-04-13	PRIJEM	PREVOD Z UCTU	5736	17176	DUCHOD	IJ	39182901
110959	375	1998-05-13	PRIJEM	PREVOD Z UCTU	5736	14640	DUCHOD	IJ	39182901
110960	375	1998-06-13	PRIJEM	PREVOD Z UCTU	5736	16595	DUCHOD	IJ	39182901
110961	375	1998-07-13	PRIJEM	PREVOD Z UCTU	5736	18558	DUCHOD	IJ	39182901
110962	375	1998-08-13	PRIJEM	PREVOD Z UCTU	5736	18428	DUCHOD	IJ	39182901
110963	375	1998-09-13	PRIJEM	PREVOD Z UCTU	5736	17096	DUCHOD	IJ	39182901
110964	375	1998-10-13	PRIJEM	PREVOD Z UCTU	5736	17960	DUCHOD	IJ	39182901
110965	375	1998-11-13	PRIJEM	PREVOD Z UCTU	5736	19928	DUCHOD	IJ	39182901
110966	375	1998-12-13	PRIJEM	PREVOD Z UCTU	5736	21905	DUCHOD	IJ	39182901
110977	375	1996-11-12	VYDAJ	PREVOD NA UCET	3824	26076	SIPO	KL	32626718
110978	375	1996-12-12	VYDAJ	PREVOD NA UCET	3824	27102	SIPO	KL	32626718
110979	375	1997-01-12	VYDAJ	PREVOD NA UCET	3824	21073	SIPO	KL	32626718
110980	375	1997-02-12	VYDAJ	PREVOD NA UCET	3824	18432	SIPO	KL	32626718
110981	375	1997-03-12	VYDAJ	PREVOD NA UCET	3824	18627	SIPO	KL	32626718
110982	375	1997-04-12	VYDAJ	PREVOD NA UCET	3824	19025	SIPO	KL	32626718
110983	375	1997-05-12	VYDAJ	PREVOD NA UCET	3824	21024	SIPO	KL	32626718
110984	375	1997-06-12	VYDAJ	PREVOD NA UCET	3824	21930	SIPO	KL	32626718
110985	375	1997-07-12	VYDAJ	PREVOD NA UCET	3824	14634	SIPO	KL	32626718
110986	375	1997-08-12	VYDAJ	PREVOD NA UCET	3824	16613	SIPO	KL	32626718
110987	375	1997-09-12	VYDAJ	PREVOD NA UCET	3824	17798	SIPO	KL	32626718
110988	375	1997-10-12	VYDAJ	PREVOD NA UCET	3824	19790	SIPO	KL	32626718
110989	375	1997-11-12	VYDAJ	PREVOD NA UCET	3824	20349	SIPO	KL	32626718
110990	375	1997-12-12	VYDAJ	PREVOD NA UCET	3824	21701	SIPO	KL	32626718
110991	375	1998-01-12	VYDAJ	PREVOD NA UCET	3824	15869	SIPO	KL	32626718
110992	375	1998-02-12	VYDAJ	PREVOD NA UCET	3824	13455	SIPO	KL	32626718
110993	375	1998-03-12	VYDAJ	PREVOD NA UCET	3824	13328	SIPO	KL	32626718
110994	375	1998-04-12	VYDAJ	PREVOD NA UCET	3824	11440	SIPO	KL	32626718
110995	375	1998-05-12	VYDAJ	PREVOD NA UCET	3824	8904	SIPO	KL	32626718
110996	375	1998-06-12	VYDAJ	PREVOD NA UCET	3824	10859	SIPO	KL	32626718
110997	375	1998-07-12	VYDAJ	PREVOD NA UCET	3824	12822	SIPO	KL	32626718
110998	375	1998-08-12	VYDAJ	PREVOD NA UCET	3824	12692	SIPO	KL	32626718
110999	375	1998-09-12	VYDAJ	PREVOD NA UCET	3824	11360	SIPO	KL	32626718
111000	375	1998-10-12	VYDAJ	PREVOD NA UCET	3824	12224	SIPO	KL	32626718
111001	375	1998-11-12	VYDAJ	PREVOD NA UCET	3824	14192	SIPO	KL	32626718
111002	375	1998-12-12	VYDAJ	PREVOD NA UCET	3824	16169	SIPO	KL	32626718
111004	375	1997-06-26	VYDAJ	VYBER	9300	18366	\N	\N	\N
111006	375	1996-12-25	VYDAJ	VYBER	1400	31438	\N	\N	\N
111007	375	1997-12-03	VYDAJ	VYBER	650	25525	\N	\N	\N
111008	375	1998-12-28	VYDAJ	VYBER	300	18305	\N	\N	\N
111015	375	1997-01-21	VYDAJ	VYBER	1280	22169	\N	\N	\N
111016	375	1997-01-07	VYDAJ	VYBER	1840	24897	\N	\N	\N
111017	375	1997-01-17	VYDAJ	VYBER	1840	23449	\N	\N	\N
111018	375	1997-01-05	VYDAJ	VYBER	1360	26737	\N	\N	\N
111019	375	1997-01-14	VYDAJ	VYBER	1520	25289	\N	\N	\N
111020	375	1997-01-01	VYDAJ	VYBER	1760	29797	\N	\N	\N
111021	375	1998-01-25	VYDAJ	VYBER	2160	19445	\N	\N	\N
111022	375	1998-01-07	VYDAJ	VYBER	400	22493	\N	\N	\N
111023	375	1998-01-25	VYDAJ	VYBER	2240	17205	\N	\N	\N
111024	375	1998-01-08	VYDAJ	VYBER	1360	21133	\N	\N	\N
111025	375	1998-01-09	VYDAJ	VYBER	1440	19693	\N	\N	\N
111026	375	1998-01-01	VYDAJ	VYBER	1840	22893	\N	\N	\N
111031	375	1997-08-12	VYDAJ	VYBER	800	15813	\N	\N	\N
111032	375	1997-10-21	VYDAJ	VYBER	1440	24086	\N	\N	\N
111033	375	1998-03-13	VYDAJ	VYBER	2960	16104	\N	\N	\N
111045	375	1996-10-31	VYDAJ	VYBER	15	29900	SLUZBY	\N	\N
111046	375	1996-11-30	VYDAJ	VYBER	15	31926	SLUZBY	\N	\N
111047	375	1996-12-31	VYDAJ	VYBER	15	31557	SLUZBY	\N	\N
111048	375	1997-01-31	VYDAJ	VYBER	15	22256	SLUZBY	\N	\N
111049	375	1997-02-28	VYDAJ	VYBER	15	24251	SLUZBY	\N	\N
111050	375	1997-03-31	VYDAJ	VYBER	15	24449	SLUZBY	\N	\N
111051	375	1997-04-30	VYDAJ	VYBER	15	24848	SLUZBY	\N	\N
111052	375	1997-05-31	VYDAJ	VYBER	15	26854	SLUZBY	\N	\N
111053	375	1997-06-30	VYDAJ	VYBER	15	18458	SLUZBY	\N	\N
111054	375	1997-07-31	VYDAJ	VYBER	15	20437	SLUZBY	\N	\N
111055	375	1997-08-31	VYDAJ	VYBER	15	21622	SLUZBY	\N	\N
111056	375	1997-09-30	VYDAJ	VYBER	15	23614	SLUZBY	\N	\N
111057	375	1997-10-31	VYDAJ	VYBER	15	24173	SLUZBY	\N	\N
111058	375	1997-11-30	VYDAJ	VYBER	15	26175	SLUZBY	\N	\N
111059	375	1997-12-31	VYDAJ	VYBER	15	24733	SLUZBY	\N	\N
111060	375	1998-01-31	VYDAJ	VYBER	15	17279	SLUZBY	\N	\N
111061	375	1998-02-28	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
111062	375	1998-03-31	VYDAJ	VYBER	15	15264	SLUZBY	\N	\N
111063	375	1998-04-30	VYDAJ	VYBER	15	12728	SLUZBY	\N	\N
111064	375	1998-05-31	VYDAJ	VYBER	15	14683	SLUZBY	\N	\N
111065	375	1998-06-30	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
111066	375	1998-07-31	VYDAJ	VYBER	15	16516	SLUZBY	\N	\N
111067	375	1998-08-31	VYDAJ	VYBER	15	15184	SLUZBY	\N	\N
111068	375	1998-09-30	VYDAJ	VYBER	15	16048	SLUZBY	\N	\N
111069	375	1998-10-31	VYDAJ	VYBER	15	18016	SLUZBY	\N	\N
111070	375	1998-11-30	VYDAJ	VYBER	15	19993	SLUZBY	\N	\N
111071	375	1996-12-04	VYDAJ	VYBER	1000	30926	\N	\N	\N
111072	375	1997-01-03	VYDAJ	VYBER	1700	28097	\N	\N	\N
111073	375	1997-03-04	VYDAJ	VYBER	1800	22451	\N	\N	\N
111074	375	1997-04-03	VYDAJ	VYBER	1600	22849	\N	\N	\N
111075	375	1997-06-02	VYDAJ	VYBER	1100	25754	\N	\N	\N
111076	375	1997-12-29	VYDAJ	VYBER	2800	24637	\N	\N	\N
111077	375	1998-02-27	VYDAJ	VYBER	2100	17091	\N	\N	\N
111078	375	1998-03-29	VYDAJ	VYBER	900	15204	\N	\N	\N
111079	375	1998-04-28	VYDAJ	VYBER	4500	12676	\N	\N	\N
111080	375	1998-07-27	VYDAJ	VYBER	2100	16458	\N	\N	\N
111081	375	1998-08-26	VYDAJ	VYBER	3300	15128	\N	\N	\N
111082	375	1998-09-25	VYDAJ	VYBER	1100	15996	\N	\N	\N
111083	375	1998-12-24	VYDAJ	VYBER	3300	18605	\N	\N	\N
111115	376	1995-03-05	PRIJEM	VKLAD	700	700	\N	\N	\N
111118	376	1995-03-13	PRIJEM	VKLAD	24517	25217	\N	\N	\N
111119	376	1995-04-13	PRIJEM	VKLAD	24517	46198	\N	\N	\N
111120	376	1995-05-13	PRIJEM	VKLAD	24517	59173	\N	\N	\N
111121	376	1995-06-13	PRIJEM	VKLAD	36776	78174	\N	\N	\N
111122	376	1995-07-13	PRIJEM	VKLAD	24517	73785	\N	\N	\N
111123	376	1995-08-13	PRIJEM	VKLAD	24517	64605	\N	\N	\N
111124	376	1995-09-13	PRIJEM	VKLAD	24517	57277	\N	\N	\N
111125	376	1995-10-13	PRIJEM	VKLAD	24517	55916	\N	\N	\N
111126	376	1995-11-13	PRIJEM	VKLAD	24517	52740	\N	\N	\N
111127	376	1995-12-13	PRIJEM	VKLAD	36776	58162	\N	\N	\N
111128	376	1996-01-13	PRIJEM	VKLAD	24517	39253	\N	\N	\N
111129	376	1996-02-13	PRIJEM	VKLAD	24517	41762	\N	\N	\N
111130	376	1996-03-13	PRIJEM	VKLAD	24517	43227	\N	\N	\N
111131	376	1996-04-13	PRIJEM	VKLAD	24517	52382	\N	\N	\N
111132	376	1996-05-13	PRIJEM	VKLAD	24517	53669	\N	\N	\N
111133	376	1996-06-13	PRIJEM	VKLAD	36776	65381	\N	\N	\N
111134	376	1996-07-13	PRIJEM	VKLAD	24517	57325	\N	\N	\N
111135	376	1996-08-13	PRIJEM	VKLAD	24517	60031	\N	\N	\N
111136	376	1996-09-13	PRIJEM	VKLAD	24517	58742	\N	\N	\N
111137	376	1996-10-13	PRIJEM	VKLAD	24517	54249	\N	\N	\N
111138	376	1996-11-13	PRIJEM	VKLAD	24517	54139	\N	\N	\N
111139	376	1996-12-13	PRIJEM	VKLAD	36776	68383	\N	\N	\N
111140	376	1997-01-13	PRIJEM	VKLAD	24517	58319	\N	\N	\N
111141	376	1997-02-13	PRIJEM	VKLAD	24517	45655	\N	\N	\N
111142	376	1997-03-13	PRIJEM	VKLAD	24517	45701	\N	\N	\N
111143	376	1997-04-13	PRIJEM	VKLAD	24517	42959	\N	\N	\N
111144	376	1997-05-13	PRIJEM	VKLAD	24517	46398	\N	\N	\N
111145	376	1997-06-13	PRIJEM	VKLAD	36776	60407	\N	\N	\N
111146	376	1997-07-13	PRIJEM	VKLAD	24517	55285	\N	\N	\N
111147	376	1997-08-13	PRIJEM	VKLAD	24517	52564	\N	\N	\N
111148	376	1997-09-13	PRIJEM	VKLAD	24517	48386	\N	\N	\N
111149	376	1997-10-13	PRIJEM	VKLAD	24517	49583	\N	\N	\N
111150	376	1997-11-13	PRIJEM	VKLAD	24517	52842	\N	\N	\N
111151	376	1997-12-13	PRIJEM	VKLAD	36776	65449	\N	\N	\N
111152	376	1998-01-13	PRIJEM	VKLAD	24517	55499	\N	\N	\N
111153	376	1998-02-13	PRIJEM	VKLAD	24517	43934	\N	\N	\N
111154	376	1998-03-13	PRIJEM	VKLAD	24517	52774	\N	\N	\N
111155	376	1998-04-13	PRIJEM	VKLAD	24517	56425	\N	\N	\N
111156	376	1998-05-13	PRIJEM	VKLAD	24517	58872	\N	\N	\N
111157	376	1998-06-13	PRIJEM	VKLAD	36776	57109	\N	\N	\N
111158	376	1998-07-13	PRIJEM	VKLAD	24517	62694	\N	\N	\N
111159	376	1998-08-13	PRIJEM	VKLAD	24517	64298	\N	\N	\N
111160	376	1998-09-13	PRIJEM	VKLAD	24517	61497	\N	\N	\N
111161	376	1998-10-13	PRIJEM	VKLAD	24517	57912	\N	\N	\N
111162	376	1998-11-13	PRIJEM	VKLAD	24517	56987	\N	\N	\N
111163	376	1998-12-13	PRIJEM	VKLAD	36776	72008	\N	\N	\N
111171	376	1995-08-09	VYDAJ	PREVOD NA UCET	7097	40088	SIPO	IJ	32540393
111172	376	1995-09-09	VYDAJ	PREVOD NA UCET	7097	32760	SIPO	IJ	32540393
111173	376	1995-10-09	VYDAJ	PREVOD NA UCET	7097	31399	SIPO	IJ	32540393
111174	376	1995-11-09	VYDAJ	PREVOD NA UCET	7097	28223	SIPO	IJ	32540393
111175	376	1995-12-09	VYDAJ	PREVOD NA UCET	7097	21386	SIPO	IJ	32540393
111176	376	1996-01-09	VYDAJ	PREVOD NA UCET	7097	29456	SIPO	IJ	32540393
111177	376	1996-02-09	VYDAJ	PREVOD NA UCET	7097	17245	SIPO	IJ	32540393
111178	376	1996-03-09	VYDAJ	PREVOD NA UCET	7097	18710	SIPO	IJ	32540393
111179	376	1996-04-09	VYDAJ	PREVOD NA UCET	7097	27865	SIPO	IJ	32540393
111180	376	1996-05-09	VYDAJ	PREVOD NA UCET	7097	29152	SIPO	IJ	32540393
111181	376	1996-06-09	VYDAJ	PREVOD NA UCET	7097	29445	SIPO	IJ	32540393
111182	376	1996-07-09	VYDAJ	PREVOD NA UCET	7097	32808	SIPO	IJ	32540393
111183	376	1996-08-09	VYDAJ	PREVOD NA UCET	7097	35514	SIPO	IJ	32540393
111184	376	1996-09-09	VYDAJ	PREVOD NA UCET	7097	34225	SIPO	IJ	32540393
111185	376	1996-10-09	VYDAJ	PREVOD NA UCET	7097	35132	SIPO	IJ	32540393
111186	376	1996-11-09	VYDAJ	PREVOD NA UCET	7097	29622	SIPO	IJ	32540393
111187	376	1996-12-09	VYDAJ	PREVOD NA UCET	7097	31608	SIPO	IJ	32540393
111188	376	1997-01-09	VYDAJ	PREVOD NA UCET	7097	33802	SIPO	IJ	32540393
111189	376	1997-02-09	VYDAJ	PREVOD NA UCET	7097	21138	SIPO	IJ	32540393
111190	376	1997-03-09	VYDAJ	PREVOD NA UCET	7097	21184	SIPO	IJ	32540393
111191	376	1997-04-09	VYDAJ	PREVOD NA UCET	7097	18442	SIPO	IJ	32540393
111192	376	1997-05-09	VYDAJ	PREVOD NA UCET	7097	21881	SIPO	IJ	32540393
111193	376	1997-06-09	VYDAJ	PREVOD NA UCET	7097	23631	SIPO	IJ	32540393
111194	376	1997-07-09	VYDAJ	PREVOD NA UCET	7097	30768	SIPO	IJ	32540393
111195	376	1997-08-09	VYDAJ	PREVOD NA UCET	7097	28047	SIPO	IJ	32540393
111196	376	1997-09-09	VYDAJ	PREVOD NA UCET	7097	23869	SIPO	IJ	32540393
111197	376	1997-10-09	VYDAJ	PREVOD NA UCET	7097	25066	SIPO	IJ	32540393
111198	376	1997-11-09	VYDAJ	PREVOD NA UCET	7097	28325	SIPO	IJ	32540393
111199	376	1997-12-09	VYDAJ	PREVOD NA UCET	7097	29993	SIPO	IJ	32540393
111200	376	1998-01-09	VYDAJ	PREVOD NA UCET	7097	31702	SIPO	IJ	32540393
111201	376	1998-02-09	VYDAJ	PREVOD NA UCET	7097	19417	SIPO	IJ	32540393
111202	376	1998-03-09	VYDAJ	PREVOD NA UCET	7097	28257	SIPO	IJ	32540393
111203	376	1998-04-09	VYDAJ	PREVOD NA UCET	7097	31908	SIPO	IJ	32540393
111204	376	1998-05-09	VYDAJ	PREVOD NA UCET	7097	36995	SIPO	IJ	32540393
111205	376	1998-06-09	VYDAJ	PREVOD NA UCET	7097	20334	SIPO	IJ	32540393
111206	376	1998-07-09	VYDAJ	PREVOD NA UCET	7097	38177	SIPO	IJ	32540393
111207	376	1998-08-09	VYDAJ	PREVOD NA UCET	7097	39781	SIPO	IJ	32540393
111208	376	1998-09-09	VYDAJ	PREVOD NA UCET	7097	36980	SIPO	IJ	32540393
111209	376	1998-10-09	VYDAJ	PREVOD NA UCET	7097	33395	SIPO	IJ	32540393
111210	376	1998-11-09	VYDAJ	PREVOD NA UCET	7097	32470	SIPO	IJ	32540393
111211	376	1998-12-09	VYDAJ	PREVOD NA UCET	7097	35233	SIPO	IJ	32540393
111213	376	1996-06-19	VYDAJ	VYBER	8960	56421	\N	\N	\N
111215	376	1998-06-05	VYDAJ	VYBER	18720	27431	\N	\N	\N
111217	376	1996-01-09	VYDAJ	VYBER	14720	14736	\N	\N	\N
111218	376	1997-01-20	VYDAJ	VYBER	12160	37879	\N	\N	\N
111219	376	1998-01-20	VYDAJ	VYBER	5600	29619	\N	\N	\N
111220	376	1995-12-30	VYDAJ	VYBER	4320	53842	\N	\N	\N
111221	376	1996-12-13	VYDAJ	VYBER	1920	66463	\N	\N	\N
111222	376	1997-12-28	VYDAJ	VYBER	4640	40909	\N	\N	\N
111223	376	1998-12-07	VYDAJ	VYBER	2720	42330	\N	\N	\N
111230	376	1996-01-13	VYDAJ	VYBER	2040	37213	\N	\N	\N
111231	376	1996-01-22	VYDAJ	VYBER	1440	33733	\N	\N	\N
111232	376	1996-01-04	VYDAJ	VYBER	2280	36553	\N	\N	\N
111233	376	1996-01-24	VYDAJ	VYBER	2520	31213	\N	\N	\N
111234	376	1996-01-13	VYDAJ	VYBER	2040	35173	\N	\N	\N
111235	376	1996-01-29	VYDAJ	VYBER	600	30613	\N	\N	\N
111236	376	1997-01-13	VYDAJ	VYBER	840	57479	\N	\N	\N
111237	376	1997-01-20	VYDAJ	VYBER	3000	50039	\N	\N	\N
111238	376	1997-01-16	VYDAJ	VYBER	1200	53039	\N	\N	\N
111239	376	1997-01-08	VYDAJ	VYBER	1320	40899	\N	\N	\N
111240	376	1997-01-15	VYDAJ	VYBER	3240	54239	\N	\N	\N
111241	376	1997-01-04	VYDAJ	VYBER	2640	42219	\N	\N	\N
111242	376	1998-01-21	VYDAJ	VYBER	3240	26379	\N	\N	\N
111243	376	1998-01-06	VYDAJ	VYBER	2280	38799	\N	\N	\N
111244	376	1998-01-18	VYDAJ	VYBER	2760	37499	\N	\N	\N
111245	376	1998-01-11	VYDAJ	VYBER	720	30982	\N	\N	\N
111246	376	1998-01-18	VYDAJ	VYBER	2040	40259	\N	\N	\N
111247	376	1998-01-20	VYDAJ	VYBER	2280	35219	\N	\N	\N
111248	376	1995-11-15	VYDAJ	VYBER	5520	47220	\N	\N	\N
111254	376	1995-12-04	VYDAJ	VYBER	4200	28483	\N	\N	\N
111255	376	1996-06-01	VYDAJ	VYBER	3000	36542	\N	\N	\N
111256	376	1996-10-10	VYDAJ	VYBER	5400	29732	\N	\N	\N
111257	376	1996-06-11	VYDAJ	VYBER	840	28605	\N	\N	\N
111258	376	1996-02-24	VYDAJ	VYBER	2160	39602	\N	\N	\N
111259	376	1996-03-02	VYDAJ	VYBER	4920	25807	\N	\N	\N
111260	376	1997-03-22	VYDAJ	VYBER	3360	37421	\N	\N	\N
111261	376	1997-08-13	VYDAJ	VYBER	1080	51484	\N	\N	\N
111262	376	1997-10-08	VYDAJ	VYBER	3360	32163	\N	\N	\N
111263	376	1997-03-16	VYDAJ	VYBER	4920	40781	\N	\N	\N
111264	376	1997-12-10	VYDAJ	VYBER	1320	28673	\N	\N	\N
111265	376	1997-08-21	VYDAJ	VYBER	3960	30824	\N	\N	\N
111266	376	1998-10-29	VYDAJ	VYBER	1200	39412	\N	\N	\N
111267	376	1998-03-20	VYDAJ	VYBER	3120	38854	\N	\N	\N
111268	376	1998-12-14	VYDAJ	VYBER	3600	68408	\N	\N	\N
111269	376	1998-09-30	VYDAJ	VYBER	5880	40506	\N	\N	\N
111270	376	1998-05-12	VYDAJ	VYBER	2640	34355	\N	\N	\N
111278	376	1995-07-31	VYDAJ	VYBER	15	74085	SLUZBY	\N	\N
111279	376	1995-08-31	VYDAJ	VYBER	15	64857	SLUZBY	\N	\N
111280	376	1995-09-30	VYDAJ	VYBER	15	57496	SLUZBY	\N	\N
111281	376	1995-10-31	VYDAJ	VYBER	15	35320	SLUZBY	\N	\N
111282	376	1995-11-30	VYDAJ	VYBER	15	47383	SLUZBY	\N	\N
111283	376	1995-12-31	VYDAJ	VYBER	15	38833	SLUZBY	\N	\N
111284	376	1996-01-31	VYDAJ	VYBER	15	24342	SLUZBY	\N	\N
111285	376	1996-02-29	VYDAJ	VYBER	15	30727	SLUZBY	\N	\N
111286	376	1996-03-31	VYDAJ	VYBER	15	34962	SLUZBY	\N	\N
111287	376	1996-04-30	VYDAJ	VYBER	15	36249	SLUZBY	\N	\N
111288	376	1996-05-31	VYDAJ	VYBER	15	39542	SLUZBY	\N	\N
111289	376	1996-06-30	VYDAJ	VYBER	15	39905	SLUZBY	\N	\N
111290	376	1996-07-31	VYDAJ	VYBER	15	42611	SLUZBY	\N	\N
111291	376	1996-08-31	VYDAJ	VYBER	15	41322	SLUZBY	\N	\N
111292	376	1996-09-30	VYDAJ	VYBER	15	42229	SLUZBY	\N	\N
111293	376	1996-10-31	VYDAJ	VYBER	15	36719	SLUZBY	\N	\N
111294	376	1996-11-30	VYDAJ	VYBER	15	38705	SLUZBY	\N	\N
111295	376	1996-12-31	VYDAJ	VYBER	15	44859	SLUZBY	\N	\N
111296	376	1997-01-31	VYDAJ	VYBER	15	28235	SLUZBY	\N	\N
111297	376	1997-02-28	VYDAJ	VYBER	15	28281	SLUZBY	\N	\N
111298	376	1997-03-31	VYDAJ	VYBER	15	25539	SLUZBY	\N	\N
111299	376	1997-04-30	VYDAJ	VYBER	15	28978	SLUZBY	\N	\N
111300	376	1997-05-31	VYDAJ	VYBER	15	30728	SLUZBY	\N	\N
111301	376	1997-06-30	VYDAJ	VYBER	15	37865	SLUZBY	\N	\N
111302	376	1997-07-31	VYDAJ	VYBER	15	35144	SLUZBY	\N	\N
111303	376	1997-08-31	VYDAJ	VYBER	15	30966	SLUZBY	\N	\N
111304	376	1997-09-30	VYDAJ	VYBER	15	35523	SLUZBY	\N	\N
111305	376	1997-10-31	VYDAJ	VYBER	15	35422	SLUZBY	\N	\N
111306	376	1997-11-30	VYDAJ	VYBER	15	37090	SLUZBY	\N	\N
111307	376	1997-12-31	VYDAJ	VYBER	15	41079	SLUZBY	\N	\N
111308	376	1998-01-31	VYDAJ	VYBER	15	26514	SLUZBY	\N	\N
111309	376	1998-02-28	VYDAJ	VYBER	15	35354	SLUZBY	\N	\N
111310	376	1998-03-31	VYDAJ	VYBER	15	39005	SLUZBY	\N	\N
111311	376	1998-04-30	VYDAJ	VYBER	15	44092	SLUZBY	\N	\N
111312	376	1998-05-31	VYDAJ	VYBER	15	46151	SLUZBY	\N	\N
111313	376	1998-06-30	VYDAJ	VYBER	15	45274	SLUZBY	\N	\N
111314	376	1998-07-31	VYDAJ	VYBER	15	46878	SLUZBY	\N	\N
111315	376	1998-08-31	VYDAJ	VYBER	15	44077	SLUZBY	\N	\N
111316	376	1998-09-30	VYDAJ	VYBER	15	40492	SLUZBY	\N	\N
111317	376	1998-10-31	VYDAJ	VYBER	15	39567	SLUZBY	\N	\N
111318	376	1998-11-30	VYDAJ	VYBER	15	45050	SLUZBY	\N	\N
111319	376	1995-04-04	VYDAJ	VYBER	3600	21681	\N	\N	\N
111320	376	1995-05-04	VYDAJ	VYBER	11700	34656	\N	\N	\N
111321	376	1995-06-03	VYDAJ	VYBER	18000	41399	\N	\N	\N
111322	376	1995-07-03	VYDAJ	VYBER	29200	49268	\N	\N	\N
111323	376	1995-08-02	VYDAJ	VYBER	26900	47185	\N	\N	\N
111324	376	1995-09-01	VYDAJ	VYBER	25000	39857	\N	\N	\N
111325	376	1995-10-01	VYDAJ	VYBER	19000	38496	\N	\N	\N
111326	376	1995-10-31	VYDAJ	VYBER	20800	35334	\N	\N	\N
111327	376	1995-11-30	VYDAJ	VYBER	14700	32683	\N	\N	\N
111328	376	1995-12-30	VYDAJ	VYBER	15200	38642	\N	\N	\N
111329	376	1996-01-29	VYDAJ	VYBER	6400	24213	\N	\N	\N
111330	376	1996-02-28	VYDAJ	VYBER	9000	30602	\N	\N	\N
111331	376	1996-03-29	VYDAJ	VYBER	8400	34827	\N	\N	\N
111332	376	1996-04-28	VYDAJ	VYBER	16300	36082	\N	\N	\N
111333	376	1996-05-28	VYDAJ	VYBER	14300	39369	\N	\N	\N
111334	376	1996-06-27	VYDAJ	VYBER	16700	39721	\N	\N	\N
111335	376	1996-07-27	VYDAJ	VYBER	14900	42425	\N	\N	\N
111336	376	1996-08-26	VYDAJ	VYBER	18900	41131	\N	\N	\N
111337	376	1996-09-25	VYDAJ	VYBER	16700	42042	\N	\N	\N
111338	376	1996-10-25	VYDAJ	VYBER	17700	36549	\N	\N	\N
111339	376	1996-11-24	VYDAJ	VYBER	15600	38539	\N	\N	\N
111340	376	1996-12-24	VYDAJ	VYBER	21800	44663	\N	\N	\N
111341	376	1997-01-23	VYDAJ	VYBER	9800	28079	\N	\N	\N
111342	376	1997-02-22	VYDAJ	VYBER	17500	28155	\N	\N	\N
111343	376	1997-03-24	VYDAJ	VYBER	12000	25421	\N	\N	\N
111344	376	1997-04-23	VYDAJ	VYBER	14100	28859	\N	\N	\N
111345	376	1997-05-23	VYDAJ	VYBER	15800	30598	\N	\N	\N
111346	376	1997-06-22	VYDAJ	VYBER	22700	37707	\N	\N	\N
111347	376	1997-07-22	VYDAJ	VYBER	20300	34985	\N	\N	\N
111348	376	1997-08-21	VYDAJ	VYBER	16700	34784	\N	\N	\N
111349	376	1997-09-20	VYDAJ	VYBER	13000	35386	\N	\N	\N
111350	376	1997-10-20	VYDAJ	VYBER	14300	35283	\N	\N	\N
111351	376	1997-11-19	VYDAJ	VYBER	15900	36942	\N	\N	\N
111352	376	1997-12-19	VYDAJ	VYBER	19900	45549	\N	\N	\N
111353	376	1998-01-18	VYDAJ	VYBER	13200	42299	\N	\N	\N
111354	376	1998-02-17	VYDAJ	VYBER	8700	35234	\N	\N	\N
111355	376	1998-03-19	VYDAJ	VYBER	10800	41974	\N	\N	\N
111356	376	1998-04-18	VYDAJ	VYBER	12500	43925	\N	\N	\N
111357	376	1998-05-18	VYDAJ	VYBER	12900	45972	\N	\N	\N
111358	376	1998-06-17	VYDAJ	VYBER	12000	45109	\N	\N	\N
111359	376	1998-07-17	VYDAJ	VYBER	16000	46694	\N	\N	\N
111360	376	1998-08-16	VYDAJ	VYBER	20400	43898	\N	\N	\N
111361	376	1998-09-15	VYDAJ	VYBER	15300	46197	\N	\N	\N
111362	376	1998-10-15	VYDAJ	VYBER	17300	40612	\N	\N	\N
111363	376	1998-11-14	VYDAJ	VYBER	12100	44887	\N	\N	\N
111410	377	1994-08-19	PRIJEM	VKLAD	500	500	\N	\N	\N
111418	377	1994-08-31	PRIJEM	VKLAD	26543	27043	\N	\N	\N
111419	377	1994-09-20	PRIJEM	VKLAD	16455	40502	\N	\N	\N
111421	377	1995-09-20	PRIJEM	VKLAD	35304	91568	\N	\N	\N
111422	377	1995-02-04	PRIJEM	VKLAD	16181	81670	\N	\N	\N
111423	377	1995-03-01	PRIJEM	VKLAD	47513	120341	\N	\N	\N
111424	377	1995-06-18	PRIJEM	VKLAD	22898	58617	\N	\N	\N
111425	377	1995-11-07	PRIJEM	VKLAD	34508	83370	\N	\N	\N
111426	377	1995-04-01	PRIJEM	VKLAD	9764	87508	\N	\N	\N
111427	377	1995-02-03	PRIJEM	VKLAD	41479	65489	\N	\N	\N
111428	377	1995-10-12	PRIJEM	VKLAD	29110	137194	\N	\N	\N
111429	377	1995-06-01	PRIJEM	VKLAD	5027	32216	\N	\N	\N
111430	377	1995-07-14	PRIJEM	VKLAD	10966	66711	\N	\N	\N
111431	377	1995-09-29	PRIJEM	VKLAD	21054	112622	\N	\N	\N
111432	377	1995-05-28	PRIJEM	VKLAD	14080	27033	\N	\N	\N
111433	377	1995-10-07	PRIJEM	VKLAD	38905	73295	\N	\N	\N
111434	377	1995-03-24	PRIJEM	VKLAD	38179	93338	\N	\N	\N
111435	377	1995-08-03	PRIJEM	VKLAD	16758	68589	\N	\N	\N
111436	377	1995-07-11	PRIJEM	VKLAD	27489	77475	\N	\N	\N
111437	377	1995-08-09	PRIJEM	VKLAD	43264	99853	\N	\N	\N
111438	377	1995-07-20	PRIJEM	VKLAD	20497	58775	\N	\N	\N
111439	377	1995-08-31	PRIJEM	VKLAD	20439	82378	\N	\N	\N
111440	377	1995-07-13	PRIJEM	VKLAD	40970	118445	\N	\N	\N
111441	377	1995-06-12	PRIJEM	VKLAD	32803	65019	\N	\N	\N
111442	377	1995-03-11	PRIJEM	VKLAD	45218	137159	\N	\N	\N
111443	377	1995-02-05	PRIJEM	VKLAD	7772	89442	\N	\N	\N
111444	377	1995-07-08	PRIJEM	VKLAD	15610	49986	\N	\N	\N
111445	377	1995-02-20	PRIJEM	VKLAD	17299	72541	\N	\N	\N
111446	377	1995-10-11	PRIJEM	VKLAD	20341	93636	\N	\N	\N
111447	377	1995-08-02	PRIJEM	VKLAD	5763	51831	\N	\N	\N
111448	377	1995-10-12	PRIJEM	VKLAD	14448	108084	\N	\N	\N
111449	377	1996-02-27	PRIJEM	VKLAD	21130	32866	\N	\N	\N
111450	377	1996-06-13	PRIJEM	VKLAD	22930	41884	\N	\N	\N
111451	377	1996-11-20	PRIJEM	VKLAD	45820	104918	\N	\N	\N
111452	377	1996-07-27	PRIJEM	VKLAD	19543	33868	\N	\N	\N
111453	377	1996-10-29	PRIJEM	VKLAD	10002	54861	\N	\N	\N
111454	377	1996-09-27	PRIJEM	VKLAD	9127	72652	\N	\N	\N
111455	377	1996-09-13	PRIJEM	VKLAD	23762	63525	\N	\N	\N
111456	377	1996-08-06	PRIJEM	VKLAD	20576	54507	\N	\N	\N
111457	377	1996-05-11	PRIJEM	VKLAD	15296	64402	\N	\N	\N
111458	377	1996-11-29	PRIJEM	VKLAD	20782	76900	\N	\N	\N
111459	377	1996-11-07	PRIJEM	VKLAD	29739	72598	\N	\N	\N
111460	377	1996-04-16	PRIJEM	VKLAD	39080	69694	\N	\N	\N
111461	377	1997-08-15	PRIJEM	VKLAD	39483	110450	\N	\N	\N
111462	377	1997-04-26	PRIJEM	VKLAD	10874	49455	\N	\N	\N
111463	377	1997-08-31	PRIJEM	VKLAD	40930	113524	\N	\N	\N
111464	377	1997-01-11	PRIJEM	VKLAD	41845	116749	\N	\N	\N
111465	377	1997-10-20	PRIJEM	VKLAD	31238	56920	\N	\N	\N
111466	377	1997-10-23	PRIJEM	VKLAD	13702	70622	\N	\N	\N
111467	377	1997-11-19	PRIJEM	VKLAD	39711	46762	\N	\N	\N
111468	377	1997-01-07	PRIJEM	VKLAD	15799	59367	\N	\N	\N
111469	377	1997-09-29	PRIJEM	VKLAD	21164	102362	\N	\N	\N
111470	377	1997-09-12	PRIJEM	VKLAD	7105	63815	\N	\N	\N
111471	377	1997-06-08	PRIJEM	VKLAD	16943	66742	\N	\N	\N
111472	377	1997-12-25	PRIJEM	VKLAD	5343	10139	\N	\N	\N
111473	377	1997-10-03	PRIJEM	VKLAD	12184	52887	\N	\N	\N
111474	377	1997-09-22	PRIJEM	VKLAD	17383	81198	\N	\N	\N
111475	377	1997-01-11	PRIJEM	VKLAD	29337	74904	\N	\N	\N
111476	377	1997-05-25	PRIJEM	VKLAD	25881	67992	\N	\N	\N
111477	377	1997-02-04	PRIJEM	VKLAD	7924	25738	\N	\N	\N
111478	377	1997-03-22	PRIJEM	VKLAD	32167	45154	\N	\N	\N
111479	377	1997-08-04	PRIJEM	VKLAD	10558	70967	\N	\N	\N
111480	377	1997-07-25	PRIJEM	VKLAD	20392	76937	\N	\N	\N
111481	377	1997-06-20	PRIJEM	VKLAD	35211	101953	\N	\N	\N
111482	377	1997-07-31	PRIJEM	VKLAD	22913	99850	\N	\N	\N
111483	377	1997-09-30	PRIJEM	VKLAD	18724	121417	\N	\N	\N
111484	377	1997-02-09	PRIJEM	VKLAD	16937	42675	\N	\N	\N
111485	377	1997-07-18	PRIJEM	VKLAD	31578	56545	\N	\N	\N
111486	377	1997-10-16	PRIJEM	VKLAD	12408	41474	\N	\N	\N
111487	377	1998-04-01	PRIJEM	VKLAD	19819	86722	\N	\N	\N
111488	377	1998-12-12	PRIJEM	VKLAD	27120	50710	\N	\N	\N
111489	377	1998-01-19	PRIJEM	VKLAD	24895	27981	\N	\N	\N
111490	377	1998-06-16	PRIJEM	VKLAD	46015	73793	\N	\N	\N
111491	377	1998-03-12	PRIJEM	VKLAD	43888	104945	\N	\N	\N
111492	377	1998-11-22	PRIJEM	VKLAD	27397	62370	\N	\N	\N
111493	377	1998-05-05	PRIJEM	VKLAD	15301	64985	\N	\N	\N
111494	377	1998-05-05	PRIJEM	VKLAD	30902	95887	\N	\N	\N
111495	377	1998-05-26	PRIJEM	VKLAD	8986	99766	\N	\N	\N
111496	377	1998-01-29	PRIJEM	VKLAD	38339	80642	\N	\N	\N
111497	377	1998-12-20	PRIJEM	VKLAD	24354	75064	\N	\N	\N
111498	377	1998-08-23	PRIJEM	VKLAD	27519	46829	\N	\N	\N
111499	377	1998-01-20	PRIJEM	VKLAD	24822	52803	\N	\N	\N
111500	377	1998-03-07	PRIJEM	VKLAD	12332	61057	\N	\N	\N
111501	377	1998-01-01	PRIJEM	VKLAD	28521	46794	\N	\N	\N
111502	377	1998-12-27	PRIJEM	VKLAD	49074	104338	\N	\N	\N
111503	377	1998-09-22	PRIJEM	VKLAD	30246	48776	\N	\N	\N
111504	377	1998-05-22	PRIJEM	VKLAD	29027	113280	\N	\N	\N
111505	377	1998-02-23	PRIJEM	VKLAD	24661	71712	\N	\N	\N
111520	377	1995-12-15	VYBER	VYBER	10071	30635	\N	\N	\N
111521	377	1995-10-05	VYBER	VYBER	14473	34390	\N	\N	\N
111522	377	1995-03-30	VYBER	VYBER	15962	77376	\N	\N	\N
111524	377	1995-09-30	VYBER	VYBER	23197	48878	\N	\N	\N
111525	377	1995-06-22	VYBER	VYBER	5503	53114	\N	\N	\N
111526	377	1995-11-03	VYBER	VYBER	10271	48862	\N	\N	\N
111527	377	1995-05-16	VYBER	VYBER	22823	35553	\N	\N	\N
111528	377	1995-07-15	VYBER	VYBER	12033	54678	\N	\N	\N
111529	377	1996-02-18	VYBER	VYBER	3284	11736	\N	\N	\N
111530	377	1996-10-03	VYBER	VYBER	12513	60359	\N	\N	\N
111531	377	1996-02-28	VYBER	VYBER	7149	25717	\N	\N	\N
111532	377	1996-05-06	VYBER	VYBER	2564	63106	\N	\N	\N
111533	377	1997-12-03	VYBER	VYBER	13062	15781	\N	\N	\N
111534	377	1997-02-23	VYBER	VYBER	9350	30178	\N	\N	\N
111535	377	1997-10-19	VYBER	VYBER	3492	37982	\N	\N	\N
111536	377	1997-02-12	VYBER	VYBER	3147	39528	\N	\N	\N
111537	377	1997-03-21	VYBER	VYBER	23003	12987	\N	\N	\N
111538	377	1997-11-29	VYBER	VYBER	5858	40904	\N	\N	\N
111539	377	1997-11-06	VYBER	VYBER	9370	33151	\N	\N	\N
111540	377	1997-10-09	VYBER	VYBER	23821	29066	\N	\N	\N
111541	377	1997-12-14	VYBER	VYBER	10985	4796	\N	\N	\N
111543	377	1997-01-18	VYBER	VYBER	20472	34777	\N	\N	\N
111544	377	1997-08-27	VYBER	VYBER	23228	72222	\N	\N	\N
111545	377	1998-11-28	VYBER	VYBER	22433	33037	\N	\N	\N
111546	377	1998-08-04	VYBER	VYBER	11708	19310	\N	\N	\N
111547	377	1998-09-05	VYBER	VYBER	17095	18530	\N	\N	\N
111548	377	1998-08-04	VYBER	VYBER	5270	31018	\N	\N	\N
111549	377	1998-05-06	VYBER	VYBER	11634	84253	\N	\N	\N
111550	377	1998-06-20	VYBER	VYBER	14445	59348	\N	\N	\N
111551	377	1998-04-04	VYBER	VYBER	21085	65637	\N	\N	\N
111552	377	1998-01-03	VYBER	VYBER	16408	30386	\N	\N	\N
111553	377	1998-02-22	VYBER	VYBER	3901	47051	\N	\N	\N
111554	377	1998-06-01	VYBER	VYBER	8122	59578	\N	\N	\N
111555	377	1998-07-07	VYBER	VYBER	4630	41319	\N	\N	\N
111556	377	1998-11-03	VYBER	VYBER	2386	34973	\N	\N	\N
111558	377	1995-06-28	VYDAJ	VYBER	18900	34214	\N	\N	\N
111559	377	1996-06-07	VYDAJ	VYBER	61200	3454	\N	\N	\N
111560	377	1997-06-20	VYDAJ	VYBER	75600	26353	\N	\N	\N
111561	377	1998-06-07	VYDAJ	VYBER	31800	27778	\N	\N	\N
111566	377	1998-01-14	VYDAJ	VYBER	5400	3086	\N	\N	\N
111568	377	1995-12-30	VYDAJ	VYBER	6900	23735	\N	\N	\N
111569	377	1996-12-23	VYDAJ	VYBER	3600	50795	\N	\N	\N
111571	377	1998-12-23	VYDAJ	VYBER	7800	67264	\N	\N	\N
111584	377	1996-01-05	VYDAJ	VYBER	8400	15491	\N	\N	\N
111585	377	1996-01-23	VYDAJ	VYBER	7500	-1109	\N	\N	\N
111588	377	1996-01-12	VYDAJ	VYBER	7800	13291	\N	\N	\N
111589	377	1996-01-16	VYDAJ	VYBER	6900	6391	\N	\N	\N
111590	377	1997-01-30	VYDAJ	VYBER	5100	7777	\N	\N	\N
111591	377	1997-01-27	VYDAJ	VYBER	7800	12877	\N	\N	\N
111592	377	1997-01-07	VYDAJ	VYBER	7500	45567	\N	\N	\N
111593	377	1997-01-11	VYDAJ	VYBER	7200	55249	\N	\N	\N
111594	377	1997-01-11	VYDAJ	VYBER	7200	62449	\N	\N	\N
111595	377	1997-01-07	VYDAJ	VYBER	6300	53067	\N	\N	\N
111596	377	1998-01-13	VYDAJ	VYBER KARTOU	1500	8486	\N	\N	0
111597	377	1998-01-03	VYDAJ	VYBER KARTOU	2400	24386	\N	\N	0
111598	377	1998-01-20	VYDAJ	VYBER	7800	45003	\N	\N	\N
111599	377	1998-01-03	VYDAJ	VYBER KARTOU	3600	26786	\N	\N	0
111600	377	1998-01-30	VYDAJ	VYBER KARTOU	3900	76742	\N	\N	0
111601	377	1998-01-28	VYDAJ	VYBER KARTOU	2700	42303	\N	\N	0
111606	377	1995-08-03	VYDAJ	VYBER	12000	56589	\N	\N	\N
111607	377	1995-07-29	VYDAJ	VYBER	12900	45875	\N	\N	\N
111608	377	1995-05-22	VYDAJ	VYBER	14400	12953	\N	\N	\N
111609	377	1995-06-17	VYDAJ	VYBER	8700	35719	\N	\N	\N
111610	377	1996-07-12	VYDAJ	VYBER	9300	14325	\N	\N	\N
111611	377	1996-06-16	VYDAJ	VYBER	8400	33484	\N	\N	\N
111612	377	1996-06-23	VYDAJ	VYBER	9000	24484	\N	\N	\N
111613	377	1996-11-10	VYDAJ	VYBER	13500	59098	\N	\N	\N
111614	377	1996-04-17	VYDAJ	VYBER	4200	65494	\N	\N	\N
111616	377	1996-06-27	VYDAJ	VYBER	6300	18184	\N	\N	\N
111617	377	1997-01-20	VYDAJ	VYBER	14100	20677	\N	\N	\N
111618	377	1997-06-22	VYDAJ	VYBER	6300	20053	\N	\N	\N
111619	377	1997-10-19	VYDAJ	VYBER	12300	25682	\N	\N	\N
111620	377	1997-11-09	VYDAJ	VYBER	14100	19051	\N	\N	\N
111621	377	1997-04-02	VYDAJ	VYBER	6900	38381	\N	\N	\N
111622	377	1997-11-13	VYDAJ	VYBER	12000	7051	\N	\N	\N
111623	377	1998-01-08	VYDAJ	VYBER	14400	9986	\N	\N	\N
111624	377	1998-11-28	VYDAJ	VYBER	9600	23437	\N	\N	\N
111625	377	1998-10-22	VYDAJ	VYBER	6300	32617	\N	\N	\N
111626	377	1998-04-11	VYDAJ	VYBER KARTOU	2700	62937	\N	\N	0
111641	377	1995-02-28	VYDAJ	VYBER	15	72828	SLUZBY	\N	\N
111642	377	1995-03-31	VYDAJ	VYBER	15	77744	SLUZBY	\N	\N
111643	377	1995-04-30	VYDAJ	VYBER	15	58376	SLUZBY	\N	\N
111644	377	1995-05-31	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
111645	377	1995-06-30	VYDAJ	VYBER	15	34376	SLUZBY	\N	\N
111646	377	1995-07-31	VYDAJ	VYBER	15	46068	SLUZBY	\N	\N
111647	377	1995-08-31	VYDAJ	VYBER	15	82364	SLUZBY	\N	\N
111648	377	1995-09-30	VYDAJ	VYBER	15	48863	SLUZBY	\N	\N
111649	377	1995-10-31	VYDAJ	VYBER	15	59133	SLUZBY	\N	\N
111650	377	1995-11-30	VYDAJ	VYBER	15	54706	SLUZBY	\N	\N
111651	377	1995-12-31	VYDAJ	VYBER	15	23891	SLUZBY	\N	\N
111652	377	1996-01-31	VYDAJ	VYBER	15	-1080	SLUZBY	\N	\N
111653	377	1996-02-29	VYDAJ	VYBER	15	25729	SLUZBY	\N	\N
111654	377	1996-03-31	VYDAJ	VYBER	15	26114	SLUZBY	\N	\N
111655	377	1996-04-30	VYDAJ	VYBER	15	65670	SLUZBY	\N	\N
111656	377	1996-05-31	VYDAJ	VYBER	15	64654	SLUZBY	\N	\N
111657	377	1996-06-30	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
111658	377	1996-07-31	VYDAJ	VYBER	15	33931	SLUZBY	\N	\N
111659	377	1996-08-31	VYDAJ	VYBER	15	43463	SLUZBY	\N	\N
111660	377	1996-09-30	VYDAJ	VYBER	15	72872	SLUZBY	\N	\N
111661	377	1996-10-31	VYDAJ	VYBER	15	55059	SLUZBY	\N	\N
111662	377	1996-11-30	VYDAJ	VYBER	15	77195	SLUZBY	\N	\N
111663	377	1996-12-31	VYDAJ	VYBER	15	51068	SLUZBY	\N	\N
111664	377	1997-01-31	VYDAJ	VYBER	15	7914	SLUZBY	\N	\N
111665	377	1997-02-28	VYDAJ	VYBER	15	30290	SLUZBY	\N	\N
111666	377	1997-03-31	VYDAJ	VYBER	15	45281	SLUZBY	\N	\N
111667	377	1997-04-30	VYDAJ	VYBER	15	49611	SLUZBY	\N	\N
111668	377	1997-05-31	VYDAJ	VYBER	15	68199	SLUZBY	\N	\N
111669	377	1997-06-30	VYDAJ	VYBER	15	20267	SLUZBY	\N	\N
111670	377	1997-07-31	VYDAJ	VYBER	15	100009	SLUZBY	\N	\N
111671	377	1997-08-31	VYDAJ	VYBER	15	93810	SLUZBY	\N	\N
111672	377	1997-09-30	VYDAJ	VYBER	15	121403	SLUZBY	\N	\N
111673	377	1997-10-31	VYDAJ	VYBER	15	70821	SLUZBY	\N	\N
111674	377	1997-11-30	VYDAJ	VYBER	15	41043	SLUZBY	\N	\N
111675	377	1997-12-31	VYDAJ	VYBER	15	18273	SLUZBY	\N	\N
111676	377	1998-01-31	VYDAJ	VYBER	15	50952	SLUZBY	\N	\N
111677	377	1998-02-28	VYDAJ	VYBER	15	71925	SLUZBY	\N	\N
111678	377	1998-03-31	VYDAJ	VYBER	15	66903	SLUZBY	\N	\N
111679	377	1998-04-30	VYDAJ	VYBER	15	49684	SLUZBY	\N	\N
111680	377	1998-05-31	VYDAJ	VYBER	15	67700	SLUZBY	\N	\N
111681	377	1998-06-30	VYDAJ	VYBER	15	45949	SLUZBY	\N	\N
111682	377	1998-07-31	VYDAJ	VYBER	15	36288	SLUZBY	\N	\N
111683	377	1998-08-31	VYDAJ	VYBER	15	35625	SLUZBY	\N	\N
111684	377	1998-09-30	VYDAJ	VYBER	15	38917	SLUZBY	\N	\N
111685	377	1998-10-31	VYDAJ	VYBER	15	37359	SLUZBY	\N	\N
111686	377	1998-11-30	VYDAJ	VYBER	15	23590	SLUZBY	\N	\N
111687	377	1994-09-18	VYDAJ	VYBER	3000	24047	\N	\N	\N
111688	377	1994-10-18	VYDAJ	VYBER	8800	31835	\N	\N	\N
111689	377	1994-11-17	VYDAJ	VYBER	5600	26404	\N	\N	\N
111690	377	1994-12-17	PRIJEM	VKLAD	300	26872	\N	\N	\N
111691	377	1995-01-16	VYDAJ	VYBER	3200	23841	\N	\N	\N
111692	377	1995-02-15	VYDAJ	VYBER	34200	55242	\N	\N	\N
111693	377	1995-03-01	VYDAJ	VYBER	28400	91941	\N	\N	\N
111694	377	1995-03-11	VYDAJ	VYBER	50000	87159	\N	\N	\N
111695	377	1995-03-17	VYDAJ	VYBER	32000	55159	\N	\N	\N
111696	377	1995-04-16	VYDAJ	VYBER	29400	58108	\N	\N	\N
111697	377	1995-05-16	VYDAJ	VYBER	8200	27353	\N	\N	\N
111698	377	1995-06-15	VYDAJ	VYBER	20600	44419	\N	\N	\N
111699	377	1995-07-13	VYDAJ	VYBER	62700	55745	\N	\N	\N
111700	377	1995-07-15	VYDAJ	VYBER	16400	38278	\N	\N	\N
111701	377	1995-08-14	VYDAJ	VYBER	38200	61653	\N	\N	\N
111702	377	1995-09-13	VYDAJ	VYBER	26100	56264	\N	\N	\N
111703	377	1995-09-29	VYDAJ	VYBER	40900	71722	\N	\N	\N
111704	377	1995-10-12	VYDAJ	VYBER	46900	90294	\N	\N	\N
111705	377	1995-10-13	VYDAJ	VYBER	31400	58894	\N	\N	\N
111706	377	1995-11-12	VYDAJ	VYBER	28900	54470	\N	\N	\N
111707	377	1995-12-12	VYDAJ	VYBER	14000	40706	\N	\N	\N
111708	377	1996-01-11	PRIJEM	VKLAD	5600	21091	\N	\N	\N
111709	377	1996-02-10	PRIJEM	VKLAD	16100	15020	\N	\N	\N
111710	377	1996-03-11	PRIJEM	VKLAD	300	26022	\N	\N	\N
111711	377	1996-04-10	PRIJEM	VKLAD	4500	30614	\N	\N	\N
111712	377	1996-05-10	VYDAJ	VYBER	14000	49106	\N	\N	\N
111713	377	1996-06-09	PRIJEM	VKLAD	15500	18954	\N	\N	\N
111714	377	1996-07-09	PRIJEM	VKLAD	5300	23625	\N	\N	\N
111715	377	1996-08-08	VYDAJ	VYBER	11200	43307	\N	\N	\N
111716	377	1996-09-07	VYDAJ	VYBER	3700	39763	\N	\N	\N
111717	377	1996-10-07	VYDAJ	VYBER	15500	44859	\N	\N	\N
111718	377	1996-11-06	VYDAJ	VYBER	12200	42859	\N	\N	\N
111719	377	1996-11-20	VYDAJ	VYBER	48800	56118	\N	\N	\N
111720	377	1996-12-06	VYDAJ	VYBER	22800	54395	\N	\N	\N
111721	377	1997-01-05	VYDAJ	VYBER	7500	43568	\N	\N	\N
111722	377	1997-01-11	VYDAJ	VYBER	47100	69649	\N	\N	\N
111723	377	1997-02-04	PRIJEM	VKLAD	9900	17814	\N	\N	\N
111724	377	1997-03-06	PRIJEM	VKLAD	5700	35990	\N	\N	\N
111725	377	1997-04-05	PRIJEM	VKLAD	200	38581	\N	\N	\N
111726	377	1997-05-05	VYDAJ	VYBER	7500	42111	\N	\N	\N
111727	377	1997-06-04	VYDAJ	VYBER	18400	49799	\N	\N	\N
111728	377	1997-07-04	PRIJEM	VKLAD	4700	24967	\N	\N	\N
111729	377	1997-08-03	VYDAJ	VYBER	39600	60409	\N	\N	\N
111730	377	1997-08-15	VYDAJ	VYBER	15000	95450	\N	\N	\N
111731	377	1997-08-31	VYDAJ	VYBER	19700	93824	\N	\N	\N
111732	377	1997-09-02	VYDAJ	VYBER	37100	56710	\N	\N	\N
111733	377	1997-09-30	VYDAJ	VYBER	56500	64903	\N	\N	\N
111734	377	1997-10-02	VYDAJ	VYBER	24200	40703	\N	\N	\N
111735	377	1997-11-01	VYDAJ	VYBER	28300	42521	\N	\N	\N
111736	377	1997-12-01	VYDAJ	VYBER	12200	28843	\N	\N	\N
111737	377	1997-12-31	PRIJEM	VKLAD	8100	18239	\N	\N	\N
111738	377	1998-01-30	VYDAJ	VYBER	25900	50842	\N	\N	\N
111739	377	1998-03-01	VYDAJ	VYBER	23200	48725	\N	\N	\N
111740	377	1998-03-31	VYDAJ	VYBER	38400	66918	\N	\N	\N
111741	377	1998-04-30	VYDAJ	VYBER	13500	49699	\N	\N	\N
111742	377	1998-05-22	VYDAJ	VYBER	22500	90780	\N	\N	\N
111743	377	1998-05-30	VYDAJ	VYBER	32400	67366	\N	\N	\N
111744	377	1998-06-29	VYDAJ	VYBER	13600	45748	\N	\N	\N
111745	377	1998-07-29	VYDAJ	VYBER	5200	36119	\N	\N	\N
111746	377	1998-08-28	VYDAJ	VYBER	11300	35529	\N	\N	\N
111747	377	1998-09-27	VYDAJ	VYBER	10000	38776	\N	\N	\N
111748	377	1998-10-27	PRIJEM	VKLAD	4600	37217	\N	\N	\N
111749	377	1998-11-26	VYDAJ	VYBER	6900	55470	\N	\N	\N
111750	377	1998-12-26	VYDAJ	VYBER	12000	55264	\N	\N	\N
111809	378	1996-07-22	PRIJEM	VKLAD	900	21474	\N	\N	\N
111810	378	1996-10-14	PRIJEM	VKLAD	40063	102547	\N	\N	\N
111811	378	1996-09-30	PRIJEM	VKLAD	39536	75600	\N	\N	\N
111812	378	1996-12-28	PRIJEM	VKLAD	14899	113274	\N	\N	\N
111813	378	1996-11-13	PRIJEM	VKLAD	41594	110266	\N	\N	\N
111816	378	1996-08-04	PRIJEM	VKLAD	31772	73888	\N	\N	\N
111817	378	1996-10-27	PRIJEM	VKLAD	20179	102008	\N	\N	\N
111818	378	1996-12-30	PRIJEM	VKLAD	23037	127409	\N	\N	\N
111819	378	1996-12-29	PRIJEM	VKLAD	45998	104372	\N	\N	\N
111822	378	1996-11-29	PRIJEM	VKLAD	18642	86124	\N	\N	\N
111823	378	1996-12-19	PRIJEM	VKLAD	40589	145352	\N	\N	\N
111824	378	1996-08-26	PRIJEM	VKLAD	13957	70799	\N	\N	\N
111827	378	1996-12-26	PRIJEM	VKLAD	42223	98375	\N	\N	\N
111828	378	1996-08-12	PRIJEM	VKLAD	16754	90642	\N	\N	\N
111829	378	1996-11-05	PRIJEM	VKLAD	37371	136515	\N	\N	\N
111830	378	1996-10-22	PRIJEM	VKLAD	18989	81829	\N	\N	\N
111831	378	1996-07-27	PRIJEM	VKLAD	20600	42074	\N	\N	\N
111832	378	1996-12-13	PRIJEM	VKLAD	31015	108947	\N	\N	\N
111833	378	1996-07-22	PRIJEM	VKLAD	20574	20574	\N	\N	\N
111834	378	1997-07-26	PRIJEM	VKLAD	17360	63273	\N	\N	\N
111835	378	1997-02-08	PRIJEM	VKLAD	30688	132469	\N	\N	\N
111836	378	1997-01-09	PRIJEM	VKLAD	18381	111727	\N	\N	\N
111837	378	1997-05-19	PRIJEM	VKLAD	44741	100760	\N	\N	\N
111838	378	1997-02-04	PRIJEM	VKLAD	8563	101785	\N	\N	\N
111839	378	1997-04-25	PRIJEM	VKLAD	34712	88113	\N	\N	\N
111840	378	1997-12-26	PRIJEM	VKLAD	38292	87693	\N	\N	\N
111841	378	1997-11-09	PRIJEM	VKLAD	32199	70047	\N	\N	\N
111842	378	1997-06-06	PRIJEM	VKLAD	15086	103399	\N	\N	\N
111843	378	1997-09-09	PRIJEM	VKLAD	43007	95314	\N	\N	\N
111844	378	1997-08-16	PRIJEM	VKLAD	19303	73090	\N	\N	\N
111845	378	1997-10-13	PRIJEM	VKLAD	8471	45369	\N	\N	\N
111846	378	1997-06-17	PRIJEM	VKLAD	46089	102569	\N	\N	\N
111847	378	1997-03-29	PRIJEM	VKLAD	48038	106475	\N	\N	\N
111848	378	1997-12-15	PRIJEM	VKLAD	28585	57073	\N	\N	\N
111849	378	1997-05-11	PRIJEM	VKLAD	38091	123242	\N	\N	\N
111850	378	1997-12-19	PRIJEM	VKLAD	7376	64449	\N	\N	\N
111851	378	1997-12-22	PRIJEM	VKLAD	12032	76481	\N	\N	\N
111852	378	1997-02-22	PRIJEM	VKLAD	41199	89337	\N	\N	\N
111853	378	1997-01-15	PRIJEM	VKLAD	31607	72511	\N	\N	\N
111854	378	1997-02-14	PRIJEM	VKLAD	38892	120638	\N	\N	\N
111855	378	1997-06-08	PRIJEM	VKLAD	24485	90180	\N	\N	\N
111856	378	1997-12-27	PRIJEM	VKLAD	7598	95291	\N	\N	\N
111857	378	1997-01-23	PRIJEM	VKLAD	38085	92896	\N	\N	\N
111858	378	1997-12-24	PRIJEM	VKLAD	42220	118701	\N	\N	\N
111859	378	1997-03-02	PRIJEM	VKLAD	9657	95564	\N	\N	\N
111860	378	1997-06-09	PRIJEM	VKLAD	11123	101303	\N	\N	\N
111861	378	1998-04-16	PRIJEM	VKLAD	46290	81193	\N	\N	\N
111862	378	1998-04-24	PRIJEM	VKLAD	5093	86286	\N	\N	\N
111863	378	1998-05-06	PRIJEM	VKLAD	15560	102105	\N	\N	\N
111864	378	1998-08-21	PRIJEM	VKLAD	8388	56189	\N	\N	\N
111865	378	1998-11-11	PRIJEM	VKLAD	44006	74480	\N	\N	\N
111866	378	1998-07-14	PRIJEM	VKLAD	28531	68381	\N	\N	\N
111867	378	1998-12-09	PRIJEM	VKLAD	37403	98521	\N	\N	\N
111868	378	1998-06-21	PRIJEM	VKLAD	33104	92567	\N	\N	\N
111869	378	1998-06-20	PRIJEM	VKLAD	24612	59463	\N	\N	\N
111870	378	1998-01-25	PRIJEM	VKLAD	17505	51726	\N	\N	\N
111871	378	1998-08-21	PRIJEM	VKLAD	14856	47801	\N	\N	\N
111872	378	1998-09-24	PRIJEM	VKLAD	25344	93694	\N	\N	\N
111873	378	1998-09-23	PRIJEM	VKLAD	46226	68350	\N	\N	\N
111874	378	1998-07-18	PRIJEM	VKLAD	45075	113456	\N	\N	\N
111875	378	1998-02-06	PRIJEM	VKLAD	20451	54807	\N	\N	\N
111876	378	1998-05-28	PRIJEM	VKLAD	7895	64933	\N	\N	\N
111877	378	1998-06-22	PRIJEM	VKLAD	43917	136484	\N	\N	\N
111878	378	1998-06-03	PRIJEM	VKLAD	21878	87094	\N	\N	\N
111879	378	1998-06-11	PRIJEM	VKLAD	14924	64514	\N	\N	\N
111880	378	1998-07-20	PRIJEM	VKLAD	32370	83726	\N	\N	\N
111881	378	1998-03-28	PRIJEM	VKLAD	32210	54710	\N	\N	\N
111882	378	1998-06-26	PRIJEM	VKLAD	33629	124913	\N	\N	\N
111883	378	1998-09-27	PRIJEM	VKLAD	49711	126014	\N	\N	\N
111884	378	1998-10-20	PRIJEM	VKLAD	21712	41666	\N	\N	\N
111885	378	1998-10-02	PRIJEM	VKLAD	37582	122388	\N	\N	\N
111894	378	1996-08-30	VYDAJ	VYBER	3000	67799	\N	\N	0
111895	378	1996-10-13	VYDAJ	VYBER	3600	62484	\N	\N	0
111896	378	1996-10-30	VYDAJ	VYBER	3200	98808	\N	\N	0
111897	378	1996-12-18	VYDAJ	VYBER	3000	104763	\N	\N	0
111898	378	1997-01-11	VYDAJ	VYBER	4400	50627	\N	\N	0
111899	378	1997-02-26	VYDAJ	VYBER	3800	85537	\N	\N	0
111900	378	1997-03-23	VYDAJ	VYBER	3400	58437	\N	\N	0
111901	378	1997-04-02	VYDAJ	VYBER	3800	102997	\N	\N	0
111902	378	1997-05-06	VYDAJ	VYBER	3300	85155	\N	\N	0
111903	378	1997-06-02	VYDAJ	VYBER	3500	88313	\N	\N	0
111904	378	1997-07-17	VYDAJ	VYBER	5400	45913	\N	\N	0
111905	378	1997-08-18	VYDAJ	VYBER	2700	52090	\N	\N	0
111906	378	1997-09-17	VYDAJ	VYBER	3600	56391	\N	\N	0
111907	378	1997-10-12	VYDAJ	PREVOD NA UCET	3840	36898	UVER	MN	28203147
111908	378	1997-11-12	VYDAJ	PREVOD NA UCET	3840	57670	UVER	MN	28203147
111909	378	1997-12-12	VYDAJ	PREVOD NA UCET	3840	33511	UVER	MN	28203147
111910	378	1998-01-12	VYDAJ	PREVOD NA UCET	3840	83132	UVER	MN	28203147
111911	378	1998-02-12	VYDAJ	PREVOD NA UCET	3840	43861	UVER	MN	28203147
111912	378	1998-03-12	VYDAJ	PREVOD NA UCET	3840	16284	UVER	MN	28203147
111913	378	1998-04-12	VYDAJ	PREVOD NA UCET	3840	37987	UVER	MN	28203147
111914	378	1998-05-12	VYDAJ	PREVOD NA UCET	3840	87922	UVER	MN	28203147
111915	378	1998-06-12	VYDAJ	PREVOD NA UCET	3840	44574	UVER	MN	28203147
111916	378	1998-07-12	VYDAJ	PREVOD NA UCET	3840	54934	UVER	MN	28203147
111917	378	1998-08-12	VYDAJ	PREVOD NA UCET	3840	42668	UVER	MN	28203147
111918	378	1998-09-12	VYDAJ	PREVOD NA UCET	3840	23310	UVER	MN	28203147
111919	378	1998-10-12	VYDAJ	PREVOD NA UCET	3840	29677	UVER	MN	28203147
111920	378	1998-11-12	VYDAJ	PREVOD NA UCET	3840	62101	UVER	MN	28203147
111921	378	1998-12-12	VYDAJ	PREVOD NA UCET	3840	55981	UVER	MN	28203147
111930	378	1996-09-12	VYDAJ	PREVOD NA UCET	8537	59508	SIPO	KL	6934583
111931	378	1996-10-12	VYDAJ	PREVOD NA UCET	8537	67268	SIPO	KL	6934583
111932	378	1996-11-12	VYDAJ	PREVOD NA UCET	8537	68672	SIPO	KL	6934583
111933	378	1996-12-12	VYDAJ	PREVOD NA UCET	8537	77934	SIPO	KL	6934583
111934	378	1997-01-12	VYDAJ	PREVOD NA UCET	8537	42088	SIPO	KL	6934583
111935	378	1997-02-12	VYDAJ	PREVOD NA UCET	8537	82930	SIPO	KL	6934583
111936	378	1997-03-12	VYDAJ	PREVOD NA UCET	8537	87023	SIPO	KL	6934583
111937	378	1997-04-12	VYDAJ	PREVOD NA UCET	8537	91754	SIPO	KL	6934583
111938	378	1997-05-12	VYDAJ	PREVOD NA UCET	8537	79305	SIPO	KL	6934583
111939	378	1997-06-12	VYDAJ	PREVOD NA UCET	8537	92766	SIPO	KL	6934583
111940	378	1997-07-12	VYDAJ	PREVOD NA UCET	8537	58597	SIPO	KL	6934583
111941	378	1997-08-12	VYDAJ	PREVOD NA UCET	8537	54971	SIPO	KL	6934583
111942	378	1997-09-12	VYDAJ	PREVOD NA UCET	8537	86777	SIPO	KL	6934583
111943	378	1997-10-12	VYDAJ	PREVOD NA UCET	8537	40738	SIPO	KL	6934583
111944	378	1997-11-12	VYDAJ	PREVOD NA UCET	8537	61510	SIPO	KL	6934583
111945	378	1997-12-12	VYDAJ	PREVOD NA UCET	8537	24974	SIPO	KL	6934583
111946	378	1998-01-12	VYDAJ	PREVOD NA UCET	8537	86972	SIPO	KL	6934583
111947	378	1998-02-12	VYDAJ	PREVOD NA UCET	8537	35324	SIPO	KL	6934583
111948	378	1998-03-12	VYDAJ	PREVOD NA UCET	8537	20124	SIPO	KL	6934583
111949	378	1998-04-12	VYDAJ	PREVOD NA UCET	8537	41829	SIPO	KL	6934583
111950	378	1998-05-12	VYDAJ	PREVOD NA UCET	8537	91762	SIPO	KL	6934583
111951	378	1998-06-12	VYDAJ	PREVOD NA UCET	8537	36035	SIPO	KL	6934583
111952	378	1998-07-12	VYDAJ	PREVOD NA UCET	8537	58774	SIPO	KL	6934583
111953	378	1998-08-12	VYDAJ	PREVOD NA UCET	8537	34129	SIPO	KL	6934583
111954	378	1998-09-12	VYDAJ	PREVOD NA UCET	8537	27150	SIPO	KL	6934583
111955	378	1998-10-12	VYDAJ	PREVOD NA UCET	8537	21140	SIPO	KL	6934583
111956	378	1998-11-12	VYDAJ	PREVOD NA UCET	8537	65943	SIPO	KL	6934583
111957	378	1998-12-12	VYDAJ	PREVOD NA UCET	8537	47444	SIPO	KL	6934583
111966	378	1996-09-13	VYDAJ	PREVOD NA UCET	1184	58324	 	AB	85313254
111967	378	1996-10-13	VYDAJ	PREVOD NA UCET	1184	66084	 	AB	85313254
111968	378	1996-11-13	VYDAJ	PREVOD NA UCET	1184	109082	 	AB	85313254
111969	378	1996-12-13	VYDAJ	PREVOD NA UCET	1184	107763	 	AB	85313254
111970	378	1997-01-13	VYDAJ	PREVOD NA UCET	1184	40904	 	AB	85313254
111971	378	1997-02-13	VYDAJ	PREVOD NA UCET	1184	81746	 	AB	85313254
111972	378	1997-03-13	VYDAJ	PREVOD NA UCET	1184	85837	 	AB	85313254
111973	378	1997-04-13	VYDAJ	PREVOD NA UCET	1184	90570	 	AB	85313254
111974	378	1997-05-13	VYDAJ	PREVOD NA UCET	1184	78119	 	AB	85313254
111975	378	1997-06-13	VYDAJ	PREVOD NA UCET	1184	91580	 	AB	85313254
111976	378	1997-07-13	VYDAJ	PREVOD NA UCET	1184	57413	 	AB	85313254
111977	378	1997-08-13	VYDAJ	PREVOD NA UCET	1184	53787	 	AB	85313254
111978	378	1997-09-13	VYDAJ	PREVOD NA UCET	1184	85591	 	AB	85313254
111979	378	1997-10-13	VYDAJ	PREVOD NA UCET	1184	44185	 	AB	85313254
111980	378	1997-11-13	VYDAJ	PREVOD NA UCET	1184	56484	 	AB	85313254
111981	378	1997-12-13	VYDAJ	PREVOD NA UCET	1184	23788	 	AB	85313254
111982	378	1998-01-13	VYDAJ	PREVOD NA UCET	1184	81946	 	AB	85313254
111983	378	1998-02-13	VYDAJ	PREVOD NA UCET	1184	34140	 	AB	85313254
111984	378	1998-03-13	VYDAJ	PREVOD NA UCET	1184	15100	 	AB	85313254
111985	378	1998-04-13	VYDAJ	PREVOD NA UCET	1184	34903	 	AB	85313254
111986	378	1998-05-13	VYDAJ	PREVOD NA UCET	1184	57038	 	AB	85313254
111987	378	1998-06-13	VYDAJ	PREVOD NA UCET	1184	34851	 	AB	85313254
111988	378	1998-07-13	VYDAJ	PREVOD NA UCET	1184	39850	 	AB	85313254
111989	378	1998-08-13	VYDAJ	PREVOD NA UCET	1184	32945	 	AB	85313254
111990	378	1998-09-13	VYDAJ	PREVOD NA UCET	1184	22124	 	AB	85313254
111991	378	1998-10-13	VYDAJ	PREVOD NA UCET	1184	19954	 	AB	85313254
111992	378	1998-11-13	VYDAJ	PREVOD NA UCET	1184	60917	 	AB	85313254
111993	378	1998-12-13	VYDAJ	PREVOD NA UCET	1184	46258	 	AB	85313254
112002	378	1996-09-12	VYDAJ	PREVOD NA UCET	2	68045	POJISTNE	ST	70710897
112003	378	1996-10-12	VYDAJ	PREVOD NA UCET	2	75805	POJISTNE	ST	70710897
112004	378	1996-11-12	VYDAJ	PREVOD NA UCET	2	77209	POJISTNE	ST	70710897
112005	378	1996-12-12	VYDAJ	PREVOD NA UCET	2	77932	POJISTNE	ST	70710897
112006	378	1997-01-12	VYDAJ	PREVOD NA UCET	2	50625	POJISTNE	ST	70710897
112007	378	1997-02-12	VYDAJ	PREVOD NA UCET	2	91467	POJISTNE	ST	70710897
112008	378	1997-03-12	VYDAJ	PREVOD NA UCET	2	87021	POJISTNE	ST	70710897
112009	378	1997-04-12	VYDAJ	PREVOD NA UCET	2	102991	POJISTNE	ST	70710897
112010	378	1997-05-12	VYDAJ	PREVOD NA UCET	2	79303	POJISTNE	ST	70710897
112011	378	1997-06-12	VYDAJ	PREVOD NA UCET	2	92764	POJISTNE	ST	70710897
112012	378	1997-07-12	VYDAJ	PREVOD NA UCET	2	67134	POJISTNE	ST	70710897
112013	378	1997-08-12	VYDAJ	PREVOD NA UCET	2	63508	POJISTNE	ST	70710897
112014	378	1997-09-12	VYDAJ	PREVOD NA UCET	2	86775	POJISTNE	ST	70710897
112015	378	1997-10-12	VYDAJ	PREVOD NA UCET	2	49275	POJISTNE	ST	70710897
112016	378	1997-11-12	VYDAJ	PREVOD NA UCET	2	57668	POJISTNE	ST	70710897
112017	378	1997-12-12	VYDAJ	PREVOD NA UCET	2	24972	POJISTNE	ST	70710897
112018	378	1998-01-12	VYDAJ	PREVOD NA UCET	2	83130	POJISTNE	ST	70710897
112019	378	1998-02-12	VYDAJ	PREVOD NA UCET	2	47701	POJISTNE	ST	70710897
112020	378	1998-03-12	VYDAJ	PREVOD NA UCET	2	28661	POJISTNE	ST	70710897
112021	378	1998-04-12	VYDAJ	PREVOD NA UCET	2	41827	POJISTNE	ST	70710897
112022	378	1998-05-12	VYDAJ	PREVOD NA UCET	2	100299	POJISTNE	ST	70710897
112023	378	1998-06-12	VYDAJ	PREVOD NA UCET	2	44572	POJISTNE	ST	70710897
112024	378	1998-07-12	VYDAJ	PREVOD NA UCET	2	67311	POJISTNE	ST	70710897
112025	378	1998-08-12	VYDAJ	PREVOD NA UCET	2	42666	POJISTNE	ST	70710897
112026	378	1998-09-12	VYDAJ	PREVOD NA UCET	2	23308	POJISTNE	ST	70710897
112027	378	1998-10-12	VYDAJ	PREVOD NA UCET	2	21138	POJISTNE	ST	70710897
112028	378	1998-11-12	VYDAJ	PREVOD NA UCET	2	65941	POJISTNE	ST	70710897
112029	378	1998-12-12	VYDAJ	PREVOD NA UCET	2	47442	POJISTNE	ST	70710897
112038	378	1996-09-07	VYDAJ	PREVOD NA UCET	4	68047	 	KL	23140502
112039	378	1996-10-07	VYDAJ	PREVOD NA UCET	4	75807	 	KL	23140502
112040	378	1996-11-07	VYDAJ	PREVOD NA UCET	4	77211	 	KL	23140502
112041	378	1996-12-07	VYDAJ	PREVOD NA UCET	4	86471	 	KL	23140502
112042	378	1997-01-07	VYDAJ	PREVOD NA UCET	4	93346	 	KL	23140502
112043	378	1997-02-07	VYDAJ	PREVOD NA UCET	4	101781	 	KL	23140502
112044	378	1997-03-07	VYDAJ	PREVOD NA UCET	4	95560	 	KL	23140502
112045	378	1997-04-07	VYDAJ	PREVOD NA UCET	4	102993	 	KL	23140502
112046	378	1997-05-07	VYDAJ	PREVOD NA UCET	4	85151	 	KL	23140502
112047	378	1997-06-07	VYDAJ	PREVOD NA UCET	4	65695	 	KL	23140502
112048	378	1997-07-07	VYDAJ	PREVOD NA UCET	4	71336	 	KL	23140502
112049	378	1997-08-07	VYDAJ	PREVOD NA UCET	4	63510	 	KL	23140502
112050	378	1997-09-07	VYDAJ	PREVOD NA UCET	4	52307	 	KL	23140502
112051	378	1997-10-07	VYDAJ	PREVOD NA UCET	4	49277	 	KL	23140502
112052	378	1997-11-07	VYDAJ	PREVOD NA UCET	4	37848	 	KL	23140502
112053	378	1997-12-07	VYDAJ	PREVOD NA UCET	4	39751	 	KL	23140502
112054	378	1998-01-07	VYDAJ	PREVOD NA UCET	4	95509	 	KL	23140502
112055	378	1998-02-07	VYDAJ	PREVOD NA UCET	4	54803	 	KL	23140502
112056	378	1998-03-07	VYDAJ	PREVOD NA UCET	4	28663	 	KL	23140502
112057	378	1998-04-07	VYDAJ	PREVOD NA UCET	4	54814	 	KL	23140502
112058	378	1998-05-07	VYDAJ	PREVOD NA UCET	4	100301	 	KL	23140502
112059	378	1998-06-07	VYDAJ	PREVOD NA UCET	4	87090	 	KL	23140502
112060	378	1998-07-07	VYDAJ	PREVOD NA UCET	4	67313	 	KL	23140502
112061	378	1998-08-07	VYDAJ	PREVOD NA UCET	4	69709	 	KL	23140502
112062	378	1998-09-07	VYDAJ	PREVOD NA UCET	4	46187	 	KL	23140502
112063	378	1998-10-07	VYDAJ	PREVOD NA UCET	4	90984	 	KL	23140502
112064	378	1998-11-07	VYDAJ	PREVOD NA UCET	4	38274	 	KL	23140502
112065	378	1998-12-07	VYDAJ	PREVOD NA UCET	4	61118	 	KL	23140502
112068	378	1996-09-17	VYBER	VYBER	11160	47164	\N	\N	\N
112078	378	1996-10-19	VYBER	VYBER	11007	91540	\N	\N	\N
112079	378	1997-10-02	VYBER	VYBER	7354	49281	\N	\N	\N
112080	378	1997-04-15	VYBER	VYBER	12269	78301	\N	\N	\N
112083	378	1998-04-09	VYBER	VYBER	4448	50366	\N	\N	\N
112084	378	1998-09-25	VYBER	VYBER	17391	76303	\N	\N	\N
112086	378	1998-10-11	VYBER	VYBER	20667	33517	\N	\N	\N
112089	378	1998-03-05	VYBER	VYBER	5617	28667	\N	\N	\N
112090	378	1998-01-31	VYBER	VYBER	14655	34371	\N	\N	\N
112093	378	1998-01-21	VYBER	VYBER	19325	34221	\N	\N	\N
112094	378	1998-08-04	VYBER	VYBER	11007	69713	\N	\N	\N
112096	378	1997-06-15	VYDAJ	VYBER	35100	56480	\N	\N	\N
112097	378	1998-06-10	VYDAJ	VYBER	37500	49590	\N	\N	\N
112099	378	1997-01-02	VYDAJ	VYBER	8700	93350	\N	\N	\N
112100	378	1998-01-29	VYDAJ	VYBER	3000	48726	\N	\N	\N
112101	378	1996-12-23	VYDAJ	VYBER	3000	56152	\N	\N	\N
112102	378	1997-12-02	VYDAJ	VYBER	2700	39755	\N	\N	\N
112103	378	1998-12-13	VYDAJ	VYBER	7500	38758	\N	\N	\N
112105	378	1996-11-20	VYDAJ	VYBER	1500	67482	\N	\N	\N
112107	378	1997-07-11	VYDAJ	VYBER	4200	67136	\N	\N	\N
112108	378	1997-05-26	VYDAJ	VYBER	9300	91460	\N	\N	\N
112109	378	1997-12-25	VYDAJ	VYBER	5400	49401	\N	\N	\N
112110	378	1997-04-12	VYDAJ	VYBER	2700	100291	\N	\N	\N
112111	378	1997-12-10	VYDAJ	VYBER	2400	37351	\N	\N	\N
112112	378	1998-01-20	VYDAJ	VYBER	4200	53546	\N	\N	\N
112113	378	1998-10-20	VYDAJ	VYBER	3600	38066	\N	\N	\N
112114	378	1998-09-30	VYDAJ	VYBER	5100	84820	\N	\N	\N
112115	378	1998-05-07	VYDAJ	VYBER	1800	100305	\N	\N	\N
112116	378	1998-08-29	VYDAJ	VYBER	10200	45989	\N	\N	\N
112117	378	1998-07-23	VYDAJ	VYBER	3300	80426	\N	\N	\N
112126	378	1996-08-31	VYDAJ	VYBER	15	68051	SLUZBY	\N	\N
112127	378	1996-09-30	VYDAJ	VYBER	15	75811	SLUZBY	\N	\N
112128	378	1996-10-31	VYDAJ	VYBER	15	99144	SLUZBY	\N	\N
112129	378	1996-11-30	VYDAJ	VYBER	15	86475	SLUZBY	\N	\N
112130	378	1996-12-31	VYDAJ	VYBER	15	102050	SLUZBY	\N	\N
112131	378	1997-01-31	VYDAJ	VYBER	15	93222	SLUZBY	\N	\N
112132	378	1997-02-28	VYDAJ	VYBER	15	85907	SLUZBY	\N	\N
112133	378	1997-03-31	VYDAJ	VYBER	15	106797	SLUZBY	\N	\N
112134	378	1997-04-30	VYDAJ	VYBER	15	88455	SLUZBY	\N	\N
112135	378	1997-05-31	VYDAJ	VYBER	15	91813	SLUZBY	\N	\N
112136	378	1997-06-30	VYDAJ	VYBER	15	71340	SLUZBY	\N	\N
112137	378	1997-07-31	VYDAJ	VYBER	15	63514	SLUZBY	\N	\N
112138	378	1997-08-31	VYDAJ	VYBER	15	52311	SLUZBY	\N	\N
112139	378	1997-09-30	VYDAJ	VYBER	15	56635	SLUZBY	\N	\N
112140	378	1997-10-31	VYDAJ	VYBER	15	37852	SLUZBY	\N	\N
112141	378	1997-11-30	VYDAJ	VYBER	15	42455	SLUZBY	\N	\N
112142	378	1997-12-31	VYDAJ	VYBER	15	95513	SLUZBY	\N	\N
112143	378	1998-01-31	VYDAJ	VYBER	15	34356	SLUZBY	\N	\N
112144	378	1998-02-28	VYDAJ	VYBER	15	34284	SLUZBY	\N	\N
112145	378	1998-03-31	VYDAJ	VYBER	15	54818	SLUZBY	\N	\N
112146	378	1998-04-30	VYDAJ	VYBER	15	86545	SLUZBY	\N	\N
112147	378	1998-05-31	VYDAJ	VYBER	15	65216	SLUZBY	\N	\N
112148	378	1998-06-30	VYDAJ	VYBER	15	67317	SLUZBY	\N	\N
112149	378	1998-07-31	VYDAJ	VYBER	15	80720	SLUZBY	\N	\N
112150	378	1998-08-31	VYDAJ	VYBER	15	46191	SLUZBY	\N	\N
112151	378	1998-09-30	VYDAJ	VYBER	15	84806	SLUZBY	\N	\N
112152	378	1998-10-31	VYDAJ	VYBER	15	38278	SLUZBY	\N	\N
112153	378	1998-11-30	VYDAJ	VYBER	15	61122	SLUZBY	\N	\N
112154	378	1996-08-21	VYDAJ	VYBER	33800	56842	\N	\N	\N
112155	378	1996-09-20	VYDAJ	VYBER	11100	36064	\N	\N	\N
112156	378	1996-10-20	VYDAJ	VYBER	28700	62840	\N	\N	\N
112157	378	1996-11-05	VYDAJ	VYBER	19100	117415	\N	\N	\N
112158	378	1996-11-07	VYDAJ	VYBER	40200	77215	\N	\N	\N
112159	378	1996-11-19	VYDAJ	VYBER	40100	68982	\N	\N	\N
112160	378	1996-12-19	VYDAJ	VYBER	59900	59152	\N	\N	\N
112161	378	1996-12-19	VYDAJ	VYBER	26300	119052	\N	\N	\N
112162	378	1996-12-28	VYDAJ	VYBER	54900	58374	\N	\N	\N
112163	378	1996-12-30	VYDAJ	VYBER	25700	101709	\N	\N	\N
112164	378	1997-01-09	VYDAJ	VYBER	56700	55027	\N	\N	\N
112165	378	1997-01-18	VYDAJ	VYBER	17700	54811	\N	\N	\N
112166	378	1997-02-08	VYDAJ	VYBER	41000	91469	\N	\N	\N
112167	378	1997-02-14	VYDAJ	VYBER	59000	61638	\N	\N	\N
112168	378	1997-02-17	VYDAJ	VYBER	13500	48138	\N	\N	\N
112169	378	1997-03-19	VYDAJ	VYBER	24000	61837	\N	\N	\N
112170	378	1997-04-18	VYDAJ	VYBER	24900	53401	\N	\N	\N
112171	378	1997-05-11	VYDAJ	VYBER	35400	87842	\N	\N	\N
112172	378	1997-05-18	VYDAJ	VYBER	22100	56019	\N	\N	\N
112173	378	1997-06-06	VYDAJ	VYBER	37700	65699	\N	\N	\N
112174	378	1997-06-17	VYDAJ	VYBER	31600	70969	\N	\N	\N
112175	378	1997-07-17	VYDAJ	VYBER	6100	51313	\N	\N	\N
112176	378	1997-08-16	VYDAJ	VYBER	18300	54790	\N	\N	\N
112177	378	1997-09-15	VYDAJ	VYBER	25600	59991	\N	\N	\N
112178	378	1997-10-15	VYDAJ	VYBER	6500	37685	\N	\N	\N
112179	378	1997-11-14	VYDAJ	VYBER	14200	42284	\N	\N	\N
112180	378	1997-12-14	PRIJEM	VKLAD	4700	28488	\N	\N	\N
112181	378	1997-12-24	VYDAJ	VYBER	63900	54801	\N	\N	\N
112182	378	1998-01-13	VYDAJ	VYBER	24200	57746	\N	\N	\N
112183	378	1998-02-12	VYDAJ	VYBER	7100	47703	\N	\N	\N
112184	378	1998-03-14	PRIJEM	VKLAD	7400	22500	\N	\N	\N
112185	378	1998-04-13	VYDAJ	VYBER	1900	36087	\N	\N	\N
112186	378	1998-05-13	VYDAJ	VYBER	29700	58222	\N	\N	\N
112187	378	1998-06-12	VYDAJ	VYBER	16100	48414	\N	\N	\N
112188	378	1998-06-22	VYDAJ	VYBER	45200	91284	\N	\N	\N
112189	378	1998-06-26	VYDAJ	VYBER	57900	67013	\N	\N	\N
112190	378	1998-07-12	VYDAJ	VYBER	13900	41034	\N	\N	\N
112191	378	1998-07-18	VYDAJ	VYBER	62100	51356	\N	\N	\N
112192	378	1998-08-11	VYDAJ	VYBER	23200	46509	\N	\N	\N
112193	378	1998-09-10	VYDAJ	VYBER	10500	35687	\N	\N	\N
112194	378	1998-09-27	VYDAJ	VYBER	36300	89714	\N	\N	\N
112195	378	1998-10-02	VYDAJ	VYBER	31400	90988	\N	\N	\N
112196	378	1998-10-10	VYDAJ	VYBER	36800	54184	\N	\N	\N
112197	378	1998-11-09	VYDAJ	VYBER	7800	30474	\N	\N	\N
112198	378	1998-12-09	VYDAJ	VYBER	38700	59821	\N	\N	\N
112229	379	1996-05-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
112235	379	1996-06-06	PRIJEM	PREVOD Z UCTU	3727	4827	\N	AB	48077648
112236	379	1996-07-06	PRIJEM	PREVOD Z UCTU	3727	15677	\N	AB	48077648
112237	379	1996-08-06	PRIJEM	PREVOD Z UCTU	3727	21265	\N	AB	48077648
112238	379	1996-09-06	PRIJEM	PREVOD Z UCTU	3727	21165	\N	AB	48077648
112239	379	1996-10-06	PRIJEM	PREVOD Z UCTU	3727	23569	\N	AB	48077648
112240	379	1996-11-06	PRIJEM	PREVOD Z UCTU	3727	25787	\N	AB	48077648
112241	379	1996-12-06	PRIJEM	PREVOD Z UCTU	3727	21832	\N	AB	48077648
112242	379	1997-01-06	PRIJEM	PREVOD Z UCTU	3727	21931	\N	AB	48077648
112243	379	1997-02-06	PRIJEM	PREVOD Z UCTU	3727	15974	\N	AB	48077648
112244	379	1997-03-06	PRIJEM	PREVOD Z UCTU	3727	16156	\N	AB	48077648
112245	379	1997-04-06	PRIJEM	PREVOD Z UCTU	3727	15436	\N	AB	48077648
112246	379	1997-05-06	PRIJEM	PREVOD Z UCTU	3727	18093	\N	AB	48077648
112247	379	1997-06-06	PRIJEM	PREVOD Z UCTU	3727	21995	\N	AB	48077648
112248	379	1997-07-06	PRIJEM	PREVOD Z UCTU	3727	19396	\N	AB	48077648
112249	379	1997-08-06	PRIJEM	PREVOD Z UCTU	3727	21597	\N	AB	48077648
112250	379	1997-09-06	PRIJEM	PREVOD Z UCTU	3727	21291	\N	AB	48077648
112251	379	1997-10-06	PRIJEM	PREVOD Z UCTU	3727	20591	\N	AB	48077648
112252	379	1997-11-06	PRIJEM	PREVOD Z UCTU	3727	18069	\N	AB	48077648
112253	379	1997-12-06	PRIJEM	PREVOD Z UCTU	3727	15450	\N	AB	48077648
112254	379	1998-01-06	PRIJEM	PREVOD Z UCTU	3727	16817	\N	AB	48077648
112255	379	1998-02-06	PRIJEM	PREVOD Z UCTU	3727	16412	\N	AB	48077648
112256	379	1998-03-06	PRIJEM	PREVOD Z UCTU	3727	15094	\N	AB	48077648
112257	379	1998-04-06	PRIJEM	PREVOD Z UCTU	3727	13969	\N	AB	48077648
112258	379	1998-05-06	PRIJEM	PREVOD Z UCTU	3727	14442	\N	AB	48077648
112259	379	1998-06-06	PRIJEM	PREVOD Z UCTU	3727	14236	\N	AB	48077648
112260	379	1998-07-06	PRIJEM	PREVOD Z UCTU	3727	16220	\N	AB	48077648
112261	379	1998-08-06	PRIJEM	PREVOD Z UCTU	3727	12183	\N	AB	48077648
112262	379	1998-09-06	PRIJEM	PREVOD Z UCTU	3727	13451	\N	AB	48077648
112263	379	1998-10-06	PRIJEM	PREVOD Z UCTU	3727	14728	\N	AB	48077648
112264	379	1998-11-06	PRIJEM	PREVOD Z UCTU	3727	15766	\N	AB	48077648
112265	379	1998-12-06	PRIJEM	PREVOD Z UCTU	3727	16860	\N	AB	48077648
112275	379	1996-10-13	VYDAJ	PREVOD NA UCET	1561	21085	SIPO	CD	35418421
112276	379	1996-11-13	VYDAJ	PREVOD NA UCET	1561	23303	SIPO	CD	35418421
112277	379	1996-12-13	VYDAJ	PREVOD NA UCET	1561	18972	SIPO	CD	35418421
112278	379	1997-01-13	VYDAJ	PREVOD NA UCET	1561	13501	SIPO	CD	35418421
112279	379	1997-02-13	VYDAJ	PREVOD NA UCET	1561	12824	SIPO	CD	35418421
112280	379	1997-03-13	VYDAJ	PREVOD NA UCET	1561	13672	SIPO	CD	35418421
112281	379	1997-04-13	VYDAJ	PREVOD NA UCET	1561	15086	SIPO	CD	35418421
112282	379	1997-05-13	VYDAJ	PREVOD NA UCET	1561	18643	SIPO	CD	35418421
112283	379	1997-06-13	VYDAJ	PREVOD NA UCET	1561	17531	SIPO	CD	35418421
112284	379	1997-07-13	VYDAJ	PREVOD NA UCET	1561	17812	SIPO	CD	35418421
112285	379	1997-08-13	VYDAJ	PREVOD NA UCET	1561	17503	SIPO	CD	35418421
112286	379	1997-09-13	VYDAJ	PREVOD NA UCET	1561	17241	SIPO	CD	35418421
112287	379	1997-10-13	VYDAJ	PREVOD NA UCET	1561	16641	SIPO	CD	35418421
112288	379	1997-11-13	VYDAJ	PREVOD NA UCET	1561	12119	SIPO	CD	35418421
112289	379	1997-12-13	VYDAJ	PREVOD NA UCET	1561	15400	SIPO	CD	35418421
112290	379	1998-01-13	VYDAJ	PREVOD NA UCET	1561	13617	SIPO	CD	35418421
112291	379	1998-02-13	VYDAJ	PREVOD NA UCET	1561	11328	SIPO	CD	35418421
112292	379	1998-03-13	VYDAJ	PREVOD NA UCET	1561	10644	SIPO	CD	35418421
112293	379	1998-04-13	VYDAJ	PREVOD NA UCET	1561	11119	SIPO	CD	35418421
112294	379	1998-05-13	VYDAJ	PREVOD NA UCET	1561	10478	SIPO	CD	35418421
112295	379	1998-06-13	VYDAJ	PREVOD NA UCET	1561	12452	SIPO	CD	35418421
112296	379	1998-07-13	VYDAJ	PREVOD NA UCET	1561	8426	SIPO	CD	35418421
112297	379	1998-08-13	VYDAJ	PREVOD NA UCET	1561	10133	SIPO	CD	35418421
112298	379	1998-09-13	VYDAJ	PREVOD NA UCET	1561	10967	SIPO	CD	35418421
112299	379	1998-10-13	VYDAJ	PREVOD NA UCET	1561	12004	SIPO	CD	35418421
112300	379	1998-11-13	VYDAJ	PREVOD NA UCET	1561	13716	SIPO	CD	35418421
112301	379	1998-12-13	VYDAJ	PREVOD NA UCET	1561	14270	SIPO	CD	35418421
112311	379	1996-10-13	VYDAJ	PREVOD NA UCET	434	22646	 	CD	30392295
112312	379	1996-11-13	VYDAJ	PREVOD NA UCET	434	24864	 	CD	30392295
112313	379	1996-12-13	VYDAJ	PREVOD NA UCET	434	18538	 	CD	30392295
112314	379	1997-01-13	VYDAJ	PREVOD NA UCET	434	13067	 	CD	30392295
112315	379	1997-02-13	VYDAJ	PREVOD NA UCET	434	12390	 	CD	30392295
112316	379	1997-03-13	VYDAJ	PREVOD NA UCET	434	15233	 	CD	30392295
112317	379	1997-04-13	VYDAJ	PREVOD NA UCET	434	14652	 	CD	30392295
112318	379	1997-05-13	VYDAJ	PREVOD NA UCET	434	18209	 	CD	30392295
112319	379	1997-06-13	VYDAJ	PREVOD NA UCET	434	19092	 	CD	30392295
112320	379	1997-07-13	VYDAJ	PREVOD NA UCET	434	19373	 	CD	30392295
112321	379	1997-08-13	VYDAJ	PREVOD NA UCET	434	19064	 	CD	30392295
112322	379	1997-09-13	VYDAJ	PREVOD NA UCET	434	16807	 	CD	30392295
112323	379	1997-10-13	VYDAJ	PREVOD NA UCET	434	16207	 	CD	30392295
112324	379	1997-11-13	VYDAJ	PREVOD NA UCET	434	11685	 	CD	30392295
112325	379	1997-12-13	VYDAJ	PREVOD NA UCET	434	14966	 	CD	30392295
112326	379	1998-01-13	VYDAJ	PREVOD NA UCET	434	13183	 	CD	30392295
112327	379	1998-02-13	VYDAJ	PREVOD NA UCET	434	12889	 	CD	30392295
112328	379	1998-03-13	VYDAJ	PREVOD NA UCET	434	10210	 	CD	30392295
112329	379	1998-04-13	VYDAJ	PREVOD NA UCET	434	10685	 	CD	30392295
112330	379	1998-05-13	VYDAJ	PREVOD NA UCET	434	12039	 	CD	30392295
112331	379	1998-06-13	VYDAJ	PREVOD NA UCET	434	14013	 	CD	30392295
112332	379	1998-07-13	VYDAJ	PREVOD NA UCET	434	9987	 	CD	30392295
112333	379	1998-08-13	VYDAJ	PREVOD NA UCET	434	9699	 	CD	30392295
112334	379	1998-09-13	VYDAJ	PREVOD NA UCET	434	12528	 	CD	30392295
112335	379	1998-10-13	VYDAJ	PREVOD NA UCET	434	13565	 	CD	30392295
112336	379	1998-11-13	VYDAJ	PREVOD NA UCET	434	13282	 	CD	30392295
112337	379	1998-12-13	VYDAJ	PREVOD NA UCET	434	13836	 	CD	30392295
112347	379	1996-10-12	VYDAJ	PREVOD NA UCET	177	23080	POJISTNE	GH	42905002
112348	379	1996-11-12	VYDAJ	PREVOD NA UCET	177	25298	POJISTNE	GH	42905002
112349	379	1996-12-12	VYDAJ	PREVOD NA UCET	177	20533	POJISTNE	GH	42905002
112350	379	1997-01-12	VYDAJ	PREVOD NA UCET	177	20962	POJISTNE	GH	42905002
112351	379	1997-02-12	VYDAJ	PREVOD NA UCET	177	15485	POJISTNE	GH	42905002
112352	379	1997-03-12	VYDAJ	PREVOD NA UCET	177	15667	POJISTNE	GH	42905002
112353	379	1997-04-12	VYDAJ	PREVOD NA UCET	177	14947	POJISTNE	GH	42905002
112354	379	1997-05-12	VYDAJ	PREVOD NA UCET	177	17604	POJISTNE	GH	42905002
112355	379	1997-06-12	VYDAJ	PREVOD NA UCET	177	21326	POJISTNE	GH	42905002
112356	379	1997-07-12	VYDAJ	PREVOD NA UCET	177	19807	POJISTNE	GH	42905002
112357	379	1997-08-12	VYDAJ	PREVOD NA UCET	177	19498	POJISTNE	GH	42905002
112358	379	1997-09-12	VYDAJ	PREVOD NA UCET	177	18802	POJISTNE	GH	42905002
112359	379	1997-10-12	VYDAJ	PREVOD NA UCET	177	18202	POJISTNE	GH	42905002
112360	379	1997-11-12	VYDAJ	PREVOD NA UCET	177	13680	POJISTNE	GH	42905002
112361	379	1997-12-12	VYDAJ	PREVOD NA UCET	177	16961	POJISTNE	GH	42905002
112362	379	1998-01-12	VYDAJ	PREVOD NA UCET	177	15178	POJISTNE	GH	42905002
112363	379	1998-02-12	VYDAJ	PREVOD NA UCET	177	13323	POJISTNE	GH	42905002
112364	379	1998-03-12	VYDAJ	PREVOD NA UCET	177	12205	POJISTNE	GH	42905002
112365	379	1998-04-12	VYDAJ	PREVOD NA UCET	177	12680	POJISTNE	GH	42905002
112366	379	1998-05-12	VYDAJ	PREVOD NA UCET	177	12473	POJISTNE	GH	42905002
112367	379	1998-06-12	VYDAJ	PREVOD NA UCET	177	14447	POJISTNE	GH	42905002
112368	379	1998-07-12	VYDAJ	PREVOD NA UCET	177	10421	POJISTNE	GH	42905002
112369	379	1998-08-12	VYDAJ	PREVOD NA UCET	177	11694	POJISTNE	GH	42905002
112370	379	1998-09-12	VYDAJ	PREVOD NA UCET	177	12962	POJISTNE	GH	42905002
112371	379	1998-10-12	VYDAJ	PREVOD NA UCET	177	13999	POJISTNE	GH	42905002
112372	379	1998-11-12	VYDAJ	PREVOD NA UCET	177	15277	POJISTNE	GH	42905002
112373	379	1998-12-12	VYDAJ	PREVOD NA UCET	177	15831	POJISTNE	GH	42905002
112383	379	1996-10-09	VYDAJ	PREVOD NA UCET	312	23257	 	IJ	80296814
112384	379	1996-11-09	VYDAJ	PREVOD NA UCET	312	25475	 	IJ	80296814
112385	379	1996-12-09	VYDAJ	PREVOD NA UCET	312	20710	 	IJ	80296814
112386	379	1997-01-09	VYDAJ	PREVOD NA UCET	312	21139	 	IJ	80296814
112387	379	1997-02-09	VYDAJ	PREVOD NA UCET	312	15662	 	IJ	80296814
112388	379	1997-03-09	VYDAJ	PREVOD NA UCET	312	15844	 	IJ	80296814
112389	379	1997-04-09	VYDAJ	PREVOD NA UCET	312	15124	 	IJ	80296814
112390	379	1997-05-09	VYDAJ	PREVOD NA UCET	312	17781	 	IJ	80296814
112391	379	1997-06-09	VYDAJ	PREVOD NA UCET	312	21683	 	IJ	80296814
112392	379	1997-07-09	VYDAJ	PREVOD NA UCET	312	19084	 	IJ	80296814
112393	379	1997-08-09	VYDAJ	PREVOD NA UCET	312	20475	 	IJ	80296814
112394	379	1997-09-09	VYDAJ	PREVOD NA UCET	312	20979	 	IJ	80296814
112395	379	1997-10-09	VYDAJ	PREVOD NA UCET	312	20279	 	IJ	80296814
112396	379	1997-11-09	VYDAJ	PREVOD NA UCET	312	13857	 	IJ	80296814
112397	379	1997-12-09	VYDAJ	PREVOD NA UCET	312	17138	 	IJ	80296814
112398	379	1998-01-09	VYDAJ	PREVOD NA UCET	312	16315	 	IJ	80296814
112399	379	1998-02-09	VYDAJ	PREVOD NA UCET	312	13500	 	IJ	80296814
112400	379	1998-03-09	VYDAJ	PREVOD NA UCET	312	14782	 	IJ	80296814
112401	379	1998-04-09	VYDAJ	PREVOD NA UCET	312	12857	 	IJ	80296814
112402	379	1998-05-09	VYDAJ	PREVOD NA UCET	312	12650	 	IJ	80296814
112403	379	1998-06-09	VYDAJ	PREVOD NA UCET	312	14624	 	IJ	80296814
112404	379	1998-07-09	VYDAJ	PREVOD NA UCET	312	10598	 	IJ	80296814
112405	379	1998-08-09	VYDAJ	PREVOD NA UCET	312	11871	 	IJ	80296814
112406	379	1998-09-09	VYDAJ	PREVOD NA UCET	312	13139	 	IJ	80296814
112407	379	1998-10-09	VYDAJ	PREVOD NA UCET	312	14416	 	IJ	80296814
112408	379	1998-11-09	VYDAJ	PREVOD NA UCET	312	15454	 	IJ	80296814
112409	379	1998-12-09	VYDAJ	PREVOD NA UCET	312	16548	 	IJ	80296814
112411	379	1997-06-17	VYDAJ	VYBER	1920	15611	\N	\N	\N
112414	379	1997-01-05	VYDAJ	VYBER	900	18204	\N	\N	\N
112415	379	1998-01-05	VYDAJ	VYBER	1260	13090	\N	\N	\N
112416	379	1996-12-01	VYDAJ	VYBER	570	18105	\N	\N	\N
112417	379	1997-12-15	VYDAJ	VYBER	660	14306	\N	\N	\N
112418	379	1998-12-10	VYDAJ	VYBER	540	16008	\N	\N	\N
112425	379	1997-01-18	VYDAJ	VYBER	870	12197	\N	\N	\N
112426	379	1997-01-06	VYDAJ	VYBER	480	21451	\N	\N	\N
112431	379	1998-01-09	VYDAJ	VYBER	360	15955	\N	\N	\N
112432	379	1998-01-13	VYDAJ	VYBER	270	12913	\N	\N	\N
112433	379	1998-01-11	VYDAJ	VYBER	600	15355	\N	\N	\N
112434	379	1998-01-08	VYDAJ	VYBER	390	16627	\N	\N	\N
112436	379	1998-01-19	VYDAJ	VYBER	270	12643	\N	\N	\N
112437	379	1996-12-07	VYDAJ	VYBER	810	21022	\N	\N	\N
112442	379	1997-06-10	VYDAJ	VYBER	180	21503	\N	\N	\N
112443	379	1997-10-29	VYDAJ	VYBER	1380	14527	\N	\N	\N
112444	379	1997-05-02	VYDAJ	VYBER	330	14366	\N	\N	\N
112445	379	1997-10-21	VYDAJ	VYBER	300	15907	\N	\N	\N
112446	379	1997-10-29	VYDAJ	VYBER	240	14287	\N	\N	\N
112447	379	1997-08-07	VYDAJ	VYBER	810	20787	\N	\N	\N
112448	379	1998-11-28	VYDAJ	VYBER	690	12592	\N	\N	\N
112449	379	1998-10-11	VYDAJ	VYBER	240	14176	\N	\N	\N
112451	379	1998-05-06	VYDAJ	VYBER	1380	13062	\N	\N	\N
112453	379	1998-07-06	VYDAJ	VYBER	1410	14810	\N	\N	\N
112464	379	1996-10-31	VYDAJ	VYBER	15	22060	SLUZBY	\N	\N
112465	379	1996-11-30	VYDAJ	VYBER	15	18675	SLUZBY	\N	\N
112466	379	1996-12-31	VYDAJ	VYBER	15	19104	SLUZBY	\N	\N
112467	379	1997-01-31	VYDAJ	VYBER	15	12247	SLUZBY	\N	\N
112468	379	1997-02-28	VYDAJ	VYBER	15	12429	SLUZBY	\N	\N
112469	379	1997-03-31	VYDAJ	VYBER	15	11709	SLUZBY	\N	\N
112470	379	1997-04-30	VYDAJ	VYBER	15	14696	SLUZBY	\N	\N
112471	379	1997-05-31	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
112472	379	1997-06-30	VYDAJ	VYBER	15	15669	SLUZBY	\N	\N
112473	379	1997-07-31	VYDAJ	VYBER	15	17870	SLUZBY	\N	\N
112474	379	1997-08-31	VYDAJ	VYBER	15	17564	SLUZBY	\N	\N
112475	379	1997-09-30	VYDAJ	VYBER	15	16864	SLUZBY	\N	\N
112476	379	1997-10-31	VYDAJ	VYBER	15	14342	SLUZBY	\N	\N
112477	379	1997-11-30	VYDAJ	VYBER	15	11723	SLUZBY	\N	\N
112478	379	1997-12-31	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
112479	379	1998-01-31	VYDAJ	VYBER	15	12685	SLUZBY	\N	\N
112480	379	1998-02-28	VYDAJ	VYBER	15	11367	SLUZBY	\N	\N
112481	379	1998-03-31	VYDAJ	VYBER	15	10242	SLUZBY	\N	\N
112482	379	1998-04-30	VYDAJ	VYBER	15	10715	SLUZBY	\N	\N
112483	379	1998-05-31	VYDAJ	VYBER	15	10509	SLUZBY	\N	\N
112484	379	1998-06-30	VYDAJ	VYBER	15	12493	SLUZBY	\N	\N
112485	379	1998-07-31	VYDAJ	VYBER	15	8456	SLUZBY	\N	\N
112486	379	1998-08-31	VYDAJ	VYBER	15	9724	SLUZBY	\N	\N
112487	379	1998-09-30	VYDAJ	VYBER	15	11001	SLUZBY	\N	\N
112488	379	1998-10-31	VYDAJ	VYBER	15	12039	SLUZBY	\N	\N
112489	379	1998-11-30	VYDAJ	VYBER	15	12633	SLUZBY	\N	\N
112490	379	1996-06-17	PRIJEM	VKLAD	7100	11927	\N	\N	\N
112491	379	1996-07-17	PRIJEM	VKLAD	1800	17477	\N	\N	\N
112492	379	1996-08-16	VYDAJ	VYBER	3900	17365	\N	\N	\N
112493	379	1996-09-15	VYDAJ	VYBER	1400	19765	\N	\N	\N
112494	379	1996-10-15	PRIJEM	VKLAD	900	21985	\N	\N	\N
112495	379	1996-11-14	VYDAJ	VYBER	4700	18603	\N	\N	\N
112496	379	1996-12-14	PRIJEM	VKLAD	500	19038	\N	\N	\N
112497	379	1997-01-13	VYDAJ	VYBER	5900	15062	\N	\N	\N
112498	379	1997-02-12	VYDAJ	VYBER	1100	14385	\N	\N	\N
112499	379	1997-03-14	VYDAJ	VYBER	2000	11672	\N	\N	\N
112500	379	1997-04-13	PRIJEM	VKLAD	1700	16647	\N	\N	\N
112501	379	1997-05-13	PRIJEM	VKLAD	2600	20204	\N	\N	\N
112502	379	1997-06-12	VYDAJ	VYBER	1800	19526	\N	\N	\N
112503	379	1997-07-12	PRIJEM	VKLAD	900	19984	\N	\N	\N
112504	379	1997-08-11	VYDAJ	VYBER	800	19675	\N	\N	\N
112505	379	1997-09-10	VYDAJ	VYBER	2000	18979	\N	\N	\N
112506	379	1997-10-10	VYDAJ	VYBER	1900	18379	\N	\N	\N
112507	379	1997-11-09	VYDAJ	VYBER	3900	14169	\N	\N	\N
112508	379	1997-12-09	PRIJEM	VKLAD	2000	17450	\N	\N	\N
112509	379	1998-01-08	PRIJEM	VKLAD	200	17017	\N	\N	\N
112510	379	1998-02-07	VYDAJ	VYBER	2600	13812	\N	\N	\N
112511	379	1998-03-09	VYDAJ	VYBER	2400	12382	\N	\N	\N
112512	379	1998-04-08	VYDAJ	VYBER	800	13169	\N	\N	\N
112513	379	1998-05-08	VYDAJ	VYBER	100	12962	\N	\N	\N
112514	379	1998-06-07	PRIJEM	VKLAD	700	14936	\N	\N	\N
112515	379	1998-07-07	VYDAJ	VYBER	3900	10910	\N	\N	\N
112516	379	1998-12-04	PRIJEM	VKLAD	500	13133	\N	\N	\N
112994	381	1993-07-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
113001	381	1993-07-08	PRIJEM	VKLAD	8209	9209	\N	\N	\N
113002	381	1993-08-08	PRIJEM	VKLAD	8209	25048	\N	\N	\N
113003	381	1993-09-08	PRIJEM	VKLAD	8209	34546	\N	\N	\N
113004	381	1993-10-08	PRIJEM	VKLAD	8209	38190	\N	\N	\N
113005	381	1993-11-08	PRIJEM	VKLAD	8209	40955	\N	\N	\N
113006	381	1993-12-08	PRIJEM	VKLAD	12314	43022	\N	\N	\N
113007	381	1994-01-08	PRIJEM	VKLAD	8209	27949	\N	\N	\N
113008	381	1994-02-08	PRIJEM	VKLAD	8209	30689	\N	\N	\N
113009	381	1994-03-08	PRIJEM	VKLAD	8209	34001	\N	\N	\N
113010	381	1994-04-08	PRIJEM	VKLAD	8209	38429	\N	\N	\N
113011	381	1994-05-08	PRIJEM	VKLAD	8209	36689	\N	\N	\N
113012	381	1994-06-08	PRIJEM	VKLAD	12314	42133	\N	\N	\N
113013	381	1994-07-08	PRIJEM	VKLAD	8209	42953	\N	\N	\N
113014	381	1994-08-08	PRIJEM	VKLAD	8209	43692	\N	\N	\N
113015	381	1994-09-08	PRIJEM	VKLAD	8209	43734	\N	\N	\N
113016	381	1994-10-08	PRIJEM	VKLAD	8209	43776	\N	\N	\N
113017	381	1994-11-08	PRIJEM	VKLAD	8209	44519	\N	\N	\N
113018	381	1994-12-08	PRIJEM	VKLAD	12314	45490	\N	\N	\N
113019	381	1995-01-08	PRIJEM	VKLAD	8209	34076	\N	\N	\N
113020	381	1995-02-08	PRIJEM	VKLAD	8209	29290	\N	\N	\N
113021	381	1995-03-08	PRIJEM	VKLAD	8209	32353	\N	\N	\N
113022	381	1995-04-08	PRIJEM	VKLAD	8209	32950	\N	\N	\N
113023	381	1995-05-08	PRIJEM	VKLAD	8209	35048	\N	\N	\N
113024	381	1995-06-08	PRIJEM	VKLAD	12314	41483	\N	\N	\N
113025	381	1995-07-08	PRIJEM	VKLAD	8209	35637	\N	\N	\N
113026	381	1995-08-08	PRIJEM	VKLAD	8209	31982	\N	\N	\N
113027	381	1995-09-08	PRIJEM	VKLAD	8209	36480	\N	\N	\N
113028	381	1995-10-08	PRIJEM	VKLAD	8209	38193	\N	\N	\N
113029	381	1995-11-08	PRIJEM	VKLAD	8209	40114	\N	\N	\N
113030	381	1995-12-08	PRIJEM	VKLAD	12314	43345	\N	\N	\N
113031	381	1996-01-08	PRIJEM	VKLAD	8209	32617	\N	\N	\N
113032	381	1996-02-08	PRIJEM	VKLAD	8209	26426	\N	\N	\N
113033	381	1996-03-08	PRIJEM	VKLAD	8209	32204	\N	\N	\N
113034	381	1996-04-08	PRIJEM	VKLAD	8209	33499	\N	\N	\N
113035	381	1996-05-08	PRIJEM	VKLAD	8209	35501	\N	\N	\N
113036	381	1996-06-08	PRIJEM	VKLAD	12314	41616	\N	\N	\N
113037	381	1996-07-08	PRIJEM	VKLAD	8209	30959	\N	\N	\N
113038	381	1996-08-08	PRIJEM	VKLAD	8209	37859	\N	\N	\N
113039	381	1996-09-08	PRIJEM	VKLAD	8209	38978	\N	\N	\N
113040	381	1996-10-08	PRIJEM	VKLAD	8209	37605	\N	\N	\N
113041	381	1996-11-08	PRIJEM	VKLAD	8209	38422	\N	\N	\N
113042	381	1996-12-08	PRIJEM	VKLAD	12314	43149	\N	\N	\N
113043	381	1997-01-08	PRIJEM	VKLAD	8209	37475	\N	\N	\N
113044	381	1997-02-08	PRIJEM	VKLAD	8209	29124	\N	\N	\N
113045	381	1997-03-08	PRIJEM	VKLAD	8209	25339	\N	\N	\N
113046	381	1997-04-08	PRIJEM	VKLAD	8209	30529	\N	\N	\N
113047	381	1997-05-08	PRIJEM	VKLAD	8209	36435	\N	\N	\N
113048	381	1997-06-08	PRIJEM	VKLAD	12314	46373	\N	\N	\N
113049	381	1997-07-08	PRIJEM	VKLAD	8209	35445	\N	\N	\N
113050	381	1997-08-08	PRIJEM	VKLAD	8209	36882	\N	\N	\N
113051	381	1997-09-08	PRIJEM	VKLAD	8209	42910	\N	\N	\N
113052	381	1997-10-08	PRIJEM	VKLAD	8209	43079	\N	\N	\N
113053	381	1997-11-08	PRIJEM	VKLAD	8209	44026	\N	\N	\N
113054	381	1997-12-08	PRIJEM	VKLAD	12314	48874	\N	\N	\N
113055	381	1998-01-08	PRIJEM	VKLAD	8209	45711	\N	\N	\N
113056	381	1998-02-08	PRIJEM	VKLAD	8209	28629	\N	\N	\N
113057	381	1998-03-08	PRIJEM	VKLAD	8209	35231	\N	\N	\N
113058	381	1998-04-08	PRIJEM	VKLAD	8209	41051	\N	\N	\N
113059	381	1998-05-08	PRIJEM	VKLAD	8209	42884	\N	\N	\N
113060	381	1998-06-08	PRIJEM	VKLAD	12314	48028	\N	\N	\N
113061	381	1998-07-08	PRIJEM	VKLAD	8209	39469	\N	\N	\N
113062	381	1998-08-08	PRIJEM	VKLAD	8209	36564	\N	\N	\N
113063	381	1998-09-08	PRIJEM	VKLAD	8209	46999	\N	\N	\N
113064	381	1998-10-08	PRIJEM	VKLAD	8209	50875	\N	\N	\N
113065	381	1998-11-08	PRIJEM	VKLAD	8209	49727	\N	\N	\N
113066	381	1998-12-08	PRIJEM	VKLAD	12314	51828	\N	\N	\N
113069	381	1995-06-18	VYDAJ	VYBER	8480	33003	\N	\N	\N
113070	381	1996-06-17	VYDAJ	VYBER	18560	23056	\N	\N	\N
113071	381	1997-06-16	VYDAJ	VYBER	7680	32993	\N	\N	\N
113072	381	1998-06-21	VYDAJ	VYBER	8800	31128	\N	\N	\N
113074	381	1994-01-12	VYDAJ	VYBER	4960	22989	\N	\N	\N
113075	381	1995-01-30	VYDAJ	VYBER	6080	20976	\N	\N	\N
113076	381	1996-01-02	VYDAJ	VYBER	10240	24408	\N	\N	\N
113077	381	1997-01-15	VYDAJ	VYBER	5920	29455	\N	\N	\N
113078	381	1998-01-09	VYDAJ	VYBER	1920	35791	\N	\N	\N
113079	381	1993-12-20	VYDAJ	VYBER	3200	39822	\N	\N	\N
113080	381	1994-12-07	VYDAJ	VYBER	3680	33176	\N	\N	\N
113081	381	1995-12-18	VYDAJ	VYBER	1120	42225	\N	\N	\N
113082	381	1996-12-25	VYDAJ	VYBER	1280	32269	\N	\N	\N
113083	381	1997-12-25	VYDAJ	VYBER	2080	39994	\N	\N	\N
113084	381	1998-12-18	VYDAJ	VYBER	2880	48948	\N	\N	\N
113091	381	1994-01-07	VYDAJ	VYBER	2160	19740	\N	\N	\N
113092	381	1994-01-04	VYDAJ	VYBER	2880	25380	\N	\N	\N
113093	381	1994-01-04	VYDAJ	VYBER	960	21900	\N	\N	\N
113094	381	1994-01-28	VYDAJ	VYBER	1560	21429	\N	\N	\N
113095	381	1994-01-04	VYDAJ	VYBER	1920	28260	\N	\N	\N
113096	381	1994-01-04	VYDAJ	VYBER	2520	22860	\N	\N	\N
113097	381	1995-01-12	VYDAJ	VYBER	2040	29156	\N	\N	\N
113098	381	1995-01-06	VYDAJ	VYBER	960	25867	\N	\N	\N
113099	381	1995-01-03	VYDAJ	VYBER	1080	30667	\N	\N	\N
113100	381	1995-01-25	VYDAJ	VYBER	600	28556	\N	\N	\N
113101	381	1995-01-01	VYDAJ	VYBER	2400	31747	\N	\N	\N
113102	381	1995-01-08	VYDAJ	VYBER	2880	31196	\N	\N	\N
113103	381	1996-01-12	VYDAJ	VYBER	1800	29497	\N	\N	\N
113104	381	1996-01-21	VYDAJ	VYBER	2040	22797	\N	\N	\N
113105	381	1996-01-29	VYDAJ	VYBER	1680	18117	\N	\N	\N
113106	381	1996-01-29	VYDAJ	VYBER	3000	19797	\N	\N	\N
113107	381	1996-01-10	VYDAJ	VYBER	1320	31297	\N	\N	\N
113108	381	1996-01-15	VYDAJ	VYBER	2760	26737	\N	\N	\N
113109	381	1997-01-15	VYDAJ	VYBER	960	28495	\N	\N	\N
113110	381	1997-01-16	VYDAJ	VYBER	600	27895	\N	\N	\N
113111	381	1997-01-22	VYDAJ	VYBER	2400	20815	\N	\N	\N
113112	381	1997-01-17	VYDAJ	VYBER	2640	25255	\N	\N	\N
113113	381	1997-01-18	VYDAJ	VYBER	2040	23215	\N	\N	\N
113114	381	1997-01-01	VYDAJ	VYBER	3120	29266	\N	\N	\N
113115	381	1998-01-12	VYDAJ	VYBER	2640	29791	\N	\N	\N
113116	381	1998-01-10	VYDAJ	VYBER	2040	32431	\N	\N	\N
113117	381	1998-01-18	VYDAJ	VYBER	1800	27991	\N	\N	\N
113118	381	1998-01-28	VYDAJ	VYBER	3480	20311	\N	\N	\N
113119	381	1998-01-21	VYDAJ	VYBER	2160	25831	\N	\N	\N
113120	381	1998-01-27	VYDAJ	VYBER	2040	23791	\N	\N	\N
113124	381	1994-02-03	VYDAJ	VYBER	1440	22480	\N	\N	\N
113125	381	1994-02-26	VYDAJ	VYBER	5400	25289	\N	\N	\N
113126	381	1994-05-03	VYDAJ	VYBER	1560	28480	\N	\N	\N
113127	381	1995-01-05	VYDAJ	VYBER	3840	26827	\N	\N	\N
113128	381	1995-03-28	VYDAJ	VYBER	5400	24653	\N	\N	\N
113129	381	1995-06-07	VYDAJ	VYBER	720	29169	\N	\N	\N
113130	381	1995-02-08	VYDAJ	VYBER	1920	27370	\N	\N	\N
113131	381	1995-02-24	VYDAJ	VYBER	4920	24050	\N	\N	\N
113132	381	1995-05-24	VYDAJ	VYBER	3960	31088	\N	\N	\N
113133	381	1995-07-25	VYDAJ	VYBER	5160	23677	\N	\N	\N
113134	381	1996-11-11	VYDAJ	VYBER	4800	33622	\N	\N	\N
113135	381	1996-09-08	VYDAJ	VYBER	5400	33578	\N	\N	\N
113136	381	1997-05-02	VYDAJ	VYBER	3000	28226	\N	\N	\N
113137	381	1997-12-28	VYDAJ	VYBER	1680	38314	\N	\N	\N
113138	381	1997-02-26	VYDAJ	VYBER	5520	22804	\N	\N	\N
113139	381	1997-10-01	VYDAJ	VYBER	4680	34870	\N	\N	\N
113140	381	1997-03-26	VYDAJ	VYBER	2400	22239	\N	\N	\N
113141	381	1997-06-28	VYDAJ	VYBER	5880	27113	\N	\N	\N
113142	381	1997-02-28	VYDAJ	VYBER	5760	17130	\N	\N	\N
113143	381	1997-07-28	VYDAJ	VYBER	4080	28565	\N	\N	\N
113144	381	1998-07-14	VYDAJ	VYBER	5520	27949	\N	\N	\N
113145	381	1998-01-05	VYDAJ	VYBER	960	37502	\N	\N	\N
113147	381	1998-10-12	VYDAJ	VYBER	1920	48235	\N	\N	\N
113148	381	1998-01-10	VYDAJ	VYBER	1320	34471	\N	\N	\N
113150	381	1998-10-08	VYDAJ	VYBER	720	50155	\N	\N	\N
113162	381	1993-11-30	VYDAJ	VYBER	15	41108	SLUZBY	\N	\N
113163	381	1993-12-31	VYDAJ	VYBER	15	39980	SLUZBY	\N	\N
113164	381	1994-01-31	VYDAJ	VYBER	15	23920	SLUZBY	\N	\N
113165	381	1994-02-28	VYDAJ	VYBER	15	25392	SLUZBY	\N	\N
113166	381	1994-03-31	VYDAJ	VYBER	15	30220	SLUZBY	\N	\N
113167	381	1994-04-30	VYDAJ	VYBER	15	30040	SLUZBY	\N	\N
113168	381	1994-05-31	VYDAJ	VYBER	15	29819	SLUZBY	\N	\N
113169	381	1994-06-30	VYDAJ	VYBER	15	34744	SLUZBY	\N	\N
113170	381	1994-07-31	VYDAJ	VYBER	15	35483	SLUZBY	\N	\N
113171	381	1994-08-31	VYDAJ	VYBER	15	35525	SLUZBY	\N	\N
113172	381	1994-09-30	VYDAJ	VYBER	15	35567	SLUZBY	\N	\N
113173	381	1994-10-31	VYDAJ	VYBER	15	36310	SLUZBY	\N	\N
113174	381	1994-11-30	VYDAJ	VYBER	15	36856	SLUZBY	\N	\N
113175	381	1994-12-31	VYDAJ	VYBER	15	34147	SLUZBY	\N	\N
113176	381	1995-01-31	VYDAJ	VYBER	15	21081	SLUZBY	\N	\N
113177	381	1995-02-28	VYDAJ	VYBER	15	24144	SLUZBY	\N	\N
113178	381	1995-03-31	VYDAJ	VYBER	15	24741	SLUZBY	\N	\N
113179	381	1995-04-30	VYDAJ	VYBER	15	26839	SLUZBY	\N	\N
113180	381	1995-05-31	VYDAJ	VYBER	15	29889	SLUZBY	\N	\N
113181	381	1995-06-30	VYDAJ	VYBER	15	27428	SLUZBY	\N	\N
113182	381	1995-07-31	VYDAJ	VYBER	15	23773	SLUZBY	\N	\N
113183	381	1995-08-31	VYDAJ	VYBER	15	28271	SLUZBY	\N	\N
113184	381	1995-09-30	VYDAJ	VYBER	15	29984	SLUZBY	\N	\N
113185	381	1995-10-31	VYDAJ	VYBER	15	31905	SLUZBY	\N	\N
113186	381	1995-11-30	VYDAJ	VYBER	15	31031	SLUZBY	\N	\N
113187	381	1995-12-31	VYDAJ	VYBER	15	34648	SLUZBY	\N	\N
113188	381	1996-01-31	VYDAJ	VYBER	15	18217	SLUZBY	\N	\N
113189	381	1996-02-29	VYDAJ	VYBER	15	23995	SLUZBY	\N	\N
113190	381	1996-03-31	VYDAJ	VYBER	15	25290	SLUZBY	\N	\N
113191	381	1996-04-30	VYDAJ	VYBER	15	27292	SLUZBY	\N	\N
113192	381	1996-05-31	VYDAJ	VYBER	15	29302	SLUZBY	\N	\N
113193	381	1996-06-30	VYDAJ	VYBER	15	22750	SLUZBY	\N	\N
113194	381	1996-07-31	VYDAJ	VYBER	15	29650	SLUZBY	\N	\N
113195	381	1996-08-31	VYDAJ	VYBER	15	30769	SLUZBY	\N	\N
113196	381	1996-09-30	VYDAJ	VYBER	15	29396	SLUZBY	\N	\N
113197	381	1996-10-31	VYDAJ	VYBER	15	30213	SLUZBY	\N	\N
113198	381	1996-11-30	VYDAJ	VYBER	15	30835	SLUZBY	\N	\N
113199	381	1996-12-31	VYDAJ	VYBER	15	32386	SLUZBY	\N	\N
113200	381	1997-01-31	VYDAJ	VYBER	15	20915	SLUZBY	\N	\N
113201	381	1997-02-28	VYDAJ	VYBER	15	22890	SLUZBY	\N	\N
113202	381	1997-03-31	VYDAJ	VYBER	15	22320	SLUZBY	\N	\N
113203	381	1997-04-30	VYDAJ	VYBER	15	31226	SLUZBY	\N	\N
113204	381	1997-05-31	VYDAJ	VYBER	15	34059	SLUZBY	\N	\N
113205	381	1997-06-30	VYDAJ	VYBER	15	27236	SLUZBY	\N	\N
113206	381	1997-07-31	VYDAJ	VYBER	15	28673	SLUZBY	\N	\N
113207	381	1997-08-31	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
113208	381	1997-09-30	VYDAJ	VYBER	15	39550	SLUZBY	\N	\N
113209	381	1997-10-31	VYDAJ	VYBER	15	35817	SLUZBY	\N	\N
113210	381	1997-11-30	VYDAJ	VYBER	15	36560	SLUZBY	\N	\N
113211	381	1997-12-31	VYDAJ	VYBER	15	38462	SLUZBY	\N	\N
113212	381	1998-01-31	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
113213	381	1998-02-28	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
113214	381	1998-03-31	VYDAJ	VYBER	15	32842	SLUZBY	\N	\N
113215	381	1998-04-30	VYDAJ	VYBER	15	34675	SLUZBY	\N	\N
113216	381	1998-05-31	VYDAJ	VYBER	15	35714	SLUZBY	\N	\N
113217	381	1998-06-30	VYDAJ	VYBER	15	31260	SLUZBY	\N	\N
113218	381	1998-07-31	VYDAJ	VYBER	15	28055	SLUZBY	\N	\N
113219	381	1998-08-31	VYDAJ	VYBER	15	36690	SLUZBY	\N	\N
113220	381	1998-09-30	VYDAJ	VYBER	15	47166	SLUZBY	\N	\N
113221	381	1998-10-31	VYDAJ	VYBER	15	48418	SLUZBY	\N	\N
113222	381	1998-11-30	VYDAJ	VYBER	15	49914	SLUZBY	\N	\N
113223	381	1993-08-03	PRIJEM	VKLAD	7600	16839	\N	\N	\N
113224	381	1993-09-02	PRIJEM	VKLAD	1200	26337	\N	\N	\N
113225	381	1993-10-02	VYDAJ	VYBER	4700	29981	\N	\N	\N
113226	381	1993-11-01	VYDAJ	VYBER	5600	32746	\N	\N	\N
113227	381	1993-12-01	VYDAJ	VYBER	10400	30708	\N	\N	\N
113228	381	1993-12-31	VYDAJ	VYBER	9800	30180	\N	\N	\N
113229	381	1994-01-30	PRIJEM	VKLAD	2400	23829	\N	\N	\N
113230	381	1994-03-01	PRIJEM	VKLAD	400	25792	\N	\N	\N
113231	381	1994-03-31	VYDAJ	VYBER	3900	30234	\N	\N	\N
113232	381	1994-04-30	VYDAJ	VYBER	8500	30055	\N	\N	\N
113233	381	1994-05-30	VYDAJ	VYBER	7000	29689	\N	\N	\N
113234	381	1994-06-29	VYDAJ	VYBER	7500	34633	\N	\N	\N
113235	381	1994-07-29	VYDAJ	VYBER	7600	35353	\N	\N	\N
113236	381	1994-08-28	VYDAJ	VYBER	8300	35392	\N	\N	\N
113237	381	1994-09-27	VYDAJ	VYBER	8300	35434	\N	\N	\N
113238	381	1994-10-27	VYDAJ	VYBER	7600	36176	\N	\N	\N
113239	381	1994-11-26	VYDAJ	VYBER	7800	36719	\N	\N	\N
113240	381	1994-12-26	VYDAJ	VYBER	11500	33990	\N	\N	\N
113241	381	1995-01-25	VYDAJ	VYBER	1500	27056	\N	\N	\N
113242	381	1995-02-24	PRIJEM	VKLAD	1600	28970	\N	\N	\N
113243	381	1995-03-26	VYDAJ	VYBER	2300	30053	\N	\N	\N
113244	381	1995-04-25	VYDAJ	VYBER	6200	26750	\N	\N	\N
113245	381	1995-05-25	VYDAJ	VYBER	1300	29788	\N	\N	\N
113246	381	1995-06-24	VYDAJ	VYBER	5700	27303	\N	\N	\N
113247	381	1995-07-24	VYDAJ	VYBER	6800	28837	\N	\N	\N
113248	381	1995-08-23	VYDAJ	VYBER	3800	28182	\N	\N	\N
113249	381	1995-09-22	VYDAJ	VYBER	6600	29880	\N	\N	\N
113250	381	1995-10-22	VYDAJ	VYBER	6400	31793	\N	\N	\N
113251	381	1995-11-21	VYDAJ	VYBER	9200	30914	\N	\N	\N
113252	381	1995-12-21	VYDAJ	VYBER	7700	34525	\N	\N	\N
113253	381	1996-01-20	VYDAJ	VYBER	1900	24837	\N	\N	\N
113254	381	1996-02-19	VYDAJ	VYBER	2500	23926	\N	\N	\N
113255	381	1996-03-20	VYDAJ	VYBER	7000	25204	\N	\N	\N
113256	381	1996-04-19	VYDAJ	VYBER	6300	27199	\N	\N	\N
113257	381	1996-05-19	VYDAJ	VYBER	6300	29201	\N	\N	\N
113258	381	1996-06-18	VYDAJ	VYBER	400	22656	\N	\N	\N
113259	381	1996-07-18	VYDAJ	VYBER	1400	29559	\N	\N	\N
113260	381	1996-08-17	VYDAJ	VYBER	7200	30659	\N	\N	\N
113261	381	1996-09-16	VYDAJ	VYBER	4300	29278	\N	\N	\N
113262	381	1996-10-16	VYDAJ	VYBER	7500	30105	\N	\N	\N
113263	381	1996-11-15	VYDAJ	VYBER	2900	30722	\N	\N	\N
113264	381	1996-12-15	VYDAJ	VYBER	9600	33549	\N	\N	\N
113265	381	1997-01-14	VYDAJ	VYBER	2100	35375	\N	\N	\N
113266	381	1997-02-13	VYDAJ	VYBER	800	28324	\N	\N	\N
113267	381	1997-03-15	VYDAJ	VYBER	700	24639	\N	\N	\N
113268	381	1997-04-14	PRIJEM	VKLAD	600	31129	\N	\N	\N
113269	381	1997-05-14	VYDAJ	VYBER	2500	33935	\N	\N	\N
113270	381	1997-06-13	VYDAJ	VYBER	5700	40673	\N	\N	\N
113271	381	1997-07-13	VYDAJ	VYBER	2800	32645	\N	\N	\N
113272	381	1997-08-12	VYDAJ	VYBER	2300	34582	\N	\N	\N
113273	381	1997-09-11	VYDAJ	VYBER	3500	39410	\N	\N	\N
113274	381	1997-10-11	VYDAJ	VYBER	7400	35679	\N	\N	\N
113275	381	1997-11-10	VYDAJ	VYBER	7600	36426	\N	\N	\N
113276	381	1997-12-10	VYDAJ	VYBER	6800	42074	\N	\N	\N
113277	381	1998-01-09	VYDAJ	VYBER	8000	37711	\N	\N	\N
113278	381	1998-02-08	VYDAJ	VYBER	1700	26929	\N	\N	\N
113279	381	1998-03-10	VYDAJ	VYBER	2500	32731	\N	\N	\N
113280	381	1998-04-09	VYDAJ	VYBER	6500	34551	\N	\N	\N
113281	381	1998-05-09	VYDAJ	VYBER	7300	35584	\N	\N	\N
113282	381	1998-06-08	VYDAJ	VYBER	8100	39928	\N	\N	\N
113283	381	1998-07-08	VYDAJ	VYBER	6000	33469	\N	\N	\N
113284	381	1998-08-07	PRIJEM	VKLAD	300	28355	\N	\N	\N
113285	381	1998-09-06	PRIJEM	VKLAD	2100	38790	\N	\N	\N
113286	381	1998-10-06	VYDAJ	VYBER	4500	42666	\N	\N	\N
113287	381	1998-11-05	VYDAJ	VYBER	6900	41518	\N	\N	\N
113288	381	1998-12-05	VYDAJ	VYBER	10400	39514	\N	\N	\N
113355	382	1996-08-16	PRIJEM	VKLAD	700	700	\N	\N	\N
113364	382	1996-09-12	PRIJEM	PREVOD Z UCTU	3415	4115	\N	KL	94717704
113365	382	1996-10-12	PRIJEM	PREVOD Z UCTU	3415	7530	\N	KL	94717704
113366	382	1996-11-12	PRIJEM	PREVOD Z UCTU	3415	10945	\N	KL	94717704
113367	382	1996-12-12	PRIJEM	PREVOD Z UCTU	3415	14360	\N	KL	94717704
113368	382	1997-01-12	PRIJEM	PREVOD Z UCTU	3415	17775	\N	KL	94717704
113369	382	1997-02-12	PRIJEM	PREVOD Z UCTU	3415	18226	\N	KL	94717704
113370	382	1997-03-12	PRIJEM	PREVOD Z UCTU	3415	19423	\N	KL	94717704
113371	382	1997-04-12	PRIJEM	PREVOD Z UCTU	3415	18463	\N	KL	94717704
113372	382	1997-05-12	PRIJEM	PREVOD Z UCTU	3415	19662	\N	KL	94717704
113373	382	1997-06-12	PRIJEM	PREVOD Z UCTU	3415	20865	\N	KL	94717704
113374	382	1997-07-12	PRIJEM	PREVOD Z UCTU	3415	22073	\N	KL	94717704
113375	382	1997-08-12	PRIJEM	PREVOD Z UCTU	3415	23285	\N	KL	94717704
113376	382	1997-09-12	PRIJEM	PREVOD Z UCTU	3415	24023	\N	KL	94717704
113377	382	1997-10-12	PRIJEM	PREVOD Z UCTU	3415	25244	\N	KL	94717704
113378	382	1997-11-12	PRIJEM	PREVOD Z UCTU	3415	26470	\N	KL	94717704
113379	382	1997-12-12	PRIJEM	PREVOD Z UCTU	3415	26769	\N	KL	94717704
113380	382	1998-01-12	PRIJEM	PREVOD Z UCTU	3415	25960	\N	KL	94717704
113381	382	1998-02-12	PRIJEM	PREVOD Z UCTU	3415	25298	\N	KL	94717704
113382	382	1998-03-12	PRIJEM	PREVOD Z UCTU	3415	25953	\N	KL	94717704
113383	382	1998-04-12	PRIJEM	PREVOD Z UCTU	3415	27181	\N	KL	94717704
113384	382	1998-05-12	PRIJEM	PREVOD Z UCTU	3415	28415	\N	KL	94717704
113385	382	1998-06-12	PRIJEM	PREVOD Z UCTU	3415	29654	\N	KL	94717704
113386	382	1998-07-12	PRIJEM	PREVOD Z UCTU	3415	23207	\N	KL	94717704
113387	382	1998-08-12	PRIJEM	PREVOD Z UCTU	3415	24424	\N	KL	94717704
113388	382	1998-09-12	PRIJEM	PREVOD Z UCTU	3415	25646	\N	KL	94717704
113389	382	1998-10-12	PRIJEM	PREVOD Z UCTU	3415	26122	\N	KL	94717704
113390	382	1998-11-12	PRIJEM	PREVOD Z UCTU	3415	27351	\N	KL	94717704
113391	382	1998-12-12	PRIJEM	PREVOD Z UCTU	3415	28016	\N	KL	94717704
113405	382	1997-02-06	VYDAJ	PREVOD NA UCET	2235	14811	\N	IJ	24703598
113406	382	1997-03-06	VYDAJ	PREVOD NA UCET	2235	16008	\N	IJ	24703598
113407	382	1997-04-06	VYDAJ	PREVOD NA UCET	2235	15978	\N	IJ	24703598
113408	382	1997-05-06	VYDAJ	PREVOD NA UCET	2235	16247	\N	IJ	24703598
113409	382	1997-06-06	VYDAJ	PREVOD NA UCET	2235	17450	\N	IJ	24703598
113410	382	1997-07-06	VYDAJ	PREVOD NA UCET	2235	18658	\N	IJ	24703598
113411	382	1997-08-06	VYDAJ	PREVOD NA UCET	2235	19870	\N	IJ	24703598
113412	382	1997-09-06	VYDAJ	PREVOD NA UCET	2235	20608	\N	IJ	24703598
113413	382	1997-10-06	VYDAJ	PREVOD NA UCET	2235	21829	\N	IJ	24703598
113414	382	1997-11-06	VYDAJ	PREVOD NA UCET	2235	23055	\N	IJ	24703598
113415	382	1997-12-06	VYDAJ	PREVOD NA UCET	2235	23354	\N	IJ	24703598
113416	382	1998-01-06	VYDAJ	PREVOD NA UCET	2235	22545	\N	IJ	24703598
113417	382	1998-02-06	VYDAJ	PREVOD NA UCET	2235	21883	\N	IJ	24703598
113418	382	1998-03-06	VYDAJ	PREVOD NA UCET	2235	22538	\N	IJ	24703598
113419	382	1998-04-06	VYDAJ	PREVOD NA UCET	2235	23766	\N	IJ	24703598
113420	382	1998-05-06	VYDAJ	PREVOD NA UCET	2235	25000	\N	IJ	24703598
113421	382	1998-06-06	VYDAJ	PREVOD NA UCET	2235	26239	\N	IJ	24703598
113422	382	1998-07-06	VYDAJ	PREVOD NA UCET	2235	19792	\N	IJ	24703598
113423	382	1998-08-06	VYDAJ	PREVOD NA UCET	2235	21009	\N	IJ	24703598
113424	382	1998-09-06	VYDAJ	PREVOD NA UCET	2235	22231	\N	IJ	24703598
113425	382	1998-10-06	VYDAJ	PREVOD NA UCET	2235	22707	\N	IJ	24703598
113426	382	1998-11-06	VYDAJ	PREVOD NA UCET	2235	23936	\N	IJ	24703598
113427	382	1998-12-06	VYDAJ	PREVOD NA UCET	2235	25171	\N	IJ	24703598
113440	382	1997-01-12	VYDAJ	PREVOD NA UCET	27	17748	\N	OP	26432061
113441	382	1997-02-12	VYDAJ	PREVOD NA UCET	27	18199	\N	OP	26432061
113442	382	1997-03-12	VYDAJ	PREVOD NA UCET	27	19396	\N	OP	26432061
113443	382	1997-04-12	VYDAJ	PREVOD NA UCET	27	18436	\N	OP	26432061
113444	382	1997-05-12	VYDAJ	PREVOD NA UCET	27	19635	\N	OP	26432061
113445	382	1997-06-12	VYDAJ	PREVOD NA UCET	27	20838	\N	OP	26432061
113446	382	1997-07-12	VYDAJ	PREVOD NA UCET	27	22046	\N	OP	26432061
113447	382	1997-08-12	VYDAJ	PREVOD NA UCET	27	23258	\N	OP	26432061
113448	382	1997-09-12	VYDAJ	PREVOD NA UCET	27	23996	\N	OP	26432061
113449	382	1997-10-12	VYDAJ	PREVOD NA UCET	27	25217	\N	OP	26432061
113450	382	1997-11-12	VYDAJ	PREVOD NA UCET	27	26443	\N	OP	26432061
113451	382	1997-12-12	VYDAJ	PREVOD NA UCET	27	26742	\N	OP	26432061
113452	382	1998-01-12	VYDAJ	PREVOD NA UCET	27	25933	\N	OP	26432061
113453	382	1998-02-12	VYDAJ	PREVOD NA UCET	27	25271	\N	OP	26432061
113454	382	1998-03-12	VYDAJ	PREVOD NA UCET	27	25926	\N	OP	26432061
113455	382	1998-04-12	VYDAJ	PREVOD NA UCET	27	27154	\N	OP	26432061
113456	382	1998-05-12	VYDAJ	PREVOD NA UCET	27	28388	\N	OP	26432061
113457	382	1998-06-12	VYDAJ	PREVOD NA UCET	27	29627	\N	OP	26432061
113458	382	1998-07-12	VYDAJ	PREVOD NA UCET	27	23180	\N	OP	26432061
113459	382	1998-08-12	VYDAJ	PREVOD NA UCET	27	24397	\N	OP	26432061
113460	382	1998-09-12	VYDAJ	PREVOD NA UCET	27	25619	\N	OP	26432061
113461	382	1998-10-12	VYDAJ	PREVOD NA UCET	27	26095	\N	OP	26432061
113462	382	1998-11-12	VYDAJ	PREVOD NA UCET	27	27324	\N	OP	26432061
113463	382	1998-12-12	VYDAJ	PREVOD NA UCET	27	27989	\N	OP	26432061
113477	382	1997-02-05	VYDAJ	PREVOD NA UCET	14	17046	\N	MN	87132888
113478	382	1997-03-05	VYDAJ	PREVOD NA UCET	14	18243	\N	MN	87132888
113479	382	1997-04-05	VYDAJ	PREVOD NA UCET	14	18213	\N	MN	87132888
113480	382	1997-05-05	VYDAJ	PREVOD NA UCET	14	18482	\N	MN	87132888
113481	382	1997-06-05	VYDAJ	PREVOD NA UCET	14	19685	\N	MN	87132888
113482	382	1997-07-05	VYDAJ	PREVOD NA UCET	14	20893	\N	MN	87132888
113483	382	1997-08-05	VYDAJ	PREVOD NA UCET	14	22105	\N	MN	87132888
113484	382	1997-09-05	VYDAJ	PREVOD NA UCET	14	22843	\N	MN	87132888
113485	382	1997-10-05	VYDAJ	PREVOD NA UCET	14	24064	\N	MN	87132888
113486	382	1997-11-05	VYDAJ	PREVOD NA UCET	14	25290	\N	MN	87132888
113487	382	1997-12-05	VYDAJ	PREVOD NA UCET	14	25589	\N	MN	87132888
113488	382	1998-01-05	VYDAJ	PREVOD NA UCET	14	24780	\N	MN	87132888
113489	382	1998-02-05	VYDAJ	PREVOD NA UCET	14	24118	\N	MN	87132888
113490	382	1998-03-05	VYDAJ	PREVOD NA UCET	14	24773	\N	MN	87132888
113491	382	1998-04-05	VYDAJ	PREVOD NA UCET	14	26001	\N	MN	87132888
113492	382	1998-05-05	VYDAJ	PREVOD NA UCET	14	27235	\N	MN	87132888
113493	382	1998-06-05	VYDAJ	PREVOD NA UCET	14	28474	\N	MN	87132888
113494	382	1998-07-05	VYDAJ	PREVOD NA UCET	14	22027	\N	MN	87132888
113495	382	1998-08-05	VYDAJ	PREVOD NA UCET	14	23244	\N	MN	87132888
113496	382	1998-09-05	VYDAJ	PREVOD NA UCET	14	24466	\N	MN	87132888
113497	382	1998-10-05	VYDAJ	PREVOD NA UCET	14	24942	\N	MN	87132888
113498	382	1998-11-05	VYDAJ	PREVOD NA UCET	14	26171	\N	MN	87132888
113499	382	1998-12-05	VYDAJ	PREVOD NA UCET	14	27406	\N	MN	87132888
113502	382	1998-06-20	VYDAJ	VYBER	7680	21947	\N	\N	\N
113504	382	1997-01-23	VYDAJ	VYBER	720	17028	\N	\N	\N
113505	382	1998-01-28	VYDAJ	VYBER	1890	24043	\N	\N	\N
113507	382	1997-12-25	VYDAJ	VYBER	660	26082	\N	\N	\N
113508	382	1998-12-08	VYDAJ	VYBER	570	24601	\N	\N	\N
113514	382	1997-04-06	VYDAJ	VYBER	930	15048	\N	\N	\N
113515	382	1997-08-28	VYDAJ	VYBER	480	22778	\N	\N	\N
113516	382	1997-03-24	VYDAJ	VYBER	1230	18166	\N	\N	\N
113517	382	1997-12-26	VYDAJ	VYBER	1380	24702	\N	\N	\N
113518	382	1997-11-21	VYDAJ	VYBER	930	25513	\N	\N	\N
113519	382	1998-02-18	VYDAJ	VYBER	570	24701	\N	\N	\N
113520	382	1998-09-16	VYDAJ	VYBER	750	24869	\N	\N	\N
113534	382	1997-01-31	VYDAJ	VYBER	15	17060	SLUZBY	\N	\N
113535	382	1997-02-28	VYDAJ	VYBER	15	18257	SLUZBY	\N	\N
113536	382	1997-03-31	VYDAJ	VYBER	15	18227	SLUZBY	\N	\N
113537	382	1997-04-30	VYDAJ	VYBER	15	18496	SLUZBY	\N	\N
113538	382	1997-05-31	VYDAJ	VYBER	15	19699	SLUZBY	\N	\N
113539	382	1997-06-30	VYDAJ	VYBER	15	20907	SLUZBY	\N	\N
113540	382	1997-07-31	VYDAJ	VYBER	15	22119	SLUZBY	\N	\N
113541	382	1997-08-31	VYDAJ	VYBER	15	22857	SLUZBY	\N	\N
113542	382	1997-09-30	VYDAJ	VYBER	15	24078	SLUZBY	\N	\N
113543	382	1997-10-31	VYDAJ	VYBER	15	25304	SLUZBY	\N	\N
113544	382	1997-11-30	VYDAJ	VYBER	15	25603	SLUZBY	\N	\N
113545	382	1997-12-31	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
113546	382	1998-01-31	VYDAJ	VYBER	15	24132	SLUZBY	\N	\N
113547	382	1998-02-28	VYDAJ	VYBER	15	24787	SLUZBY	\N	\N
113548	382	1998-03-31	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
113549	382	1998-04-30	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
113550	382	1998-05-31	VYDAJ	VYBER	15	28488	SLUZBY	\N	\N
113551	382	1998-06-30	VYDAJ	VYBER	15	22041	SLUZBY	\N	\N
113552	382	1998-07-31	VYDAJ	VYBER	15	23258	SLUZBY	\N	\N
113553	382	1998-08-31	VYDAJ	VYBER	15	24480	SLUZBY	\N	\N
113554	382	1998-09-30	VYDAJ	VYBER	15	24956	SLUZBY	\N	\N
113555	382	1998-10-31	VYDAJ	VYBER	15	26185	SLUZBY	\N	\N
113556	382	1998-11-30	VYDAJ	VYBER	15	27420	SLUZBY	\N	\N
113581	383	1997-05-15	PRIJEM	VKLAD	600	600	\N	\N	\N
113587	383	1997-06-08	PRIJEM	PREVOD Z UCTU	3086	3686	\N	OP	27836823
113588	383	1997-07-08	PRIJEM	PREVOD Z UCTU	3086	6772	\N	OP	27836823
113589	383	1997-08-08	PRIJEM	PREVOD Z UCTU	3086	9858	\N	OP	27836823
113590	383	1997-09-08	PRIJEM	PREVOD Z UCTU	3086	12944	\N	OP	27836823
113591	383	1997-10-08	PRIJEM	PREVOD Z UCTU	3086	14560	\N	OP	27836823
113592	383	1997-11-08	PRIJEM	PREVOD Z UCTU	3086	15623	\N	OP	27836823
113593	383	1997-12-08	PRIJEM	PREVOD Z UCTU	3086	16701	\N	OP	27836823
113594	383	1998-01-08	PRIJEM	PREVOD Z UCTU	3086	14256	\N	OP	27836823
113595	383	1998-02-08	PRIJEM	PREVOD Z UCTU	3086	11838	\N	OP	27836823
113596	383	1998-03-08	PRIJEM	PREVOD Z UCTU	3086	12900	\N	OP	27836823
113597	383	1998-04-08	PRIJEM	PREVOD Z UCTU	3086	13968	\N	OP	27836823
113598	383	1998-05-08	PRIJEM	PREVOD Z UCTU	3086	14498	\N	OP	27836823
113599	383	1998-06-08	PRIJEM	PREVOD Z UCTU	3086	15571	\N	OP	27836823
113600	383	1998-07-08	PRIJEM	PREVOD Z UCTU	3086	16650	\N	OP	27836823
113601	383	1998-08-08	PRIJEM	PREVOD Z UCTU	3086	17732	\N	OP	27836823
113602	383	1998-09-08	PRIJEM	PREVOD Z UCTU	3086	15895	\N	OP	27836823
113603	383	1998-10-08	PRIJEM	PREVOD Z UCTU	3086	16975	\N	OP	27836823
113604	383	1998-11-08	PRIJEM	PREVOD Z UCTU	3086	17789	\N	OP	27836823
113605	383	1998-12-08	PRIJEM	PREVOD Z UCTU	3086	18876	\N	OP	27836823
113616	383	1997-11-05	VYDAJ	PREVOD NA UCET	2057	12537	\N	EF	90773456
113617	383	1997-12-05	VYDAJ	PREVOD NA UCET	2057	13615	\N	EF	90773456
113618	383	1998-01-05	VYDAJ	PREVOD NA UCET	2057	11170	\N	EF	90773456
113619	383	1998-02-05	VYDAJ	PREVOD NA UCET	2057	8752	\N	EF	90773456
113620	383	1998-03-05	VYDAJ	PREVOD NA UCET	2057	9814	\N	EF	90773456
113621	383	1998-04-05	VYDAJ	PREVOD NA UCET	2057	10882	\N	EF	90773456
113622	383	1998-05-05	VYDAJ	PREVOD NA UCET	2057	11412	\N	EF	90773456
113623	383	1998-06-05	VYDAJ	PREVOD NA UCET	2057	12485	\N	EF	90773456
113624	383	1998-07-05	VYDAJ	PREVOD NA UCET	2057	13564	\N	EF	90773456
113625	383	1998-08-05	VYDAJ	PREVOD NA UCET	2057	14646	\N	EF	90773456
113626	383	1998-09-05	VYDAJ	PREVOD NA UCET	2057	14129	\N	EF	90773456
113627	383	1998-10-05	VYDAJ	PREVOD NA UCET	2057	13889	\N	EF	90773456
113628	383	1998-11-05	VYDAJ	PREVOD NA UCET	2057	14973	\N	EF	90773456
113629	383	1998-12-05	VYDAJ	PREVOD NA UCET	2057	15790	\N	EF	90773456
113633	383	1998-01-02	VYDAJ	VYBER	540	13227	\N	\N	\N
113634	383	1997-12-15	VYDAJ	VYBER	180	13721	\N	\N	\N
113635	383	1998-12-13	VYDAJ	VYBER	780	18096	\N	\N	\N
113645	383	1998-01-09	VYDAJ	VYBER	780	13476	\N	\N	\N
113652	383	1998-11-07	VYDAJ	VYBER	270	14703	\N	\N	\N
113654	383	1998-09-06	VYDAJ	VYBER	1320	12809	\N	\N	\N
113655	383	1998-04-10	VYDAJ	VYBER	540	13428	\N	\N	\N
113666	383	1997-10-31	VYDAJ	VYBER	15	14594	SLUZBY	\N	\N
113667	383	1997-11-30	VYDAJ	VYBER	15	15672	SLUZBY	\N	\N
113668	383	1997-12-31	VYDAJ	VYBER	15	13767	SLUZBY	\N	\N
113669	383	1998-01-31	VYDAJ	VYBER	15	10809	SLUZBY	\N	\N
113670	383	1998-02-28	VYDAJ	VYBER	15	11871	SLUZBY	\N	\N
113671	383	1998-03-31	VYDAJ	VYBER	15	12939	SLUZBY	\N	\N
113672	383	1998-04-30	VYDAJ	VYBER	15	13469	SLUZBY	\N	\N
113673	383	1998-05-31	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
113674	383	1998-06-30	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
113675	383	1998-07-31	VYDAJ	VYBER	15	16703	SLUZBY	\N	\N
113676	383	1998-08-31	VYDAJ	VYBER	15	16186	SLUZBY	\N	\N
113677	383	1998-09-30	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
113678	383	1998-10-31	VYDAJ	VYBER	15	17030	SLUZBY	\N	\N
113679	383	1998-11-30	VYDAJ	VYBER	15	17847	SLUZBY	\N	\N
113680	383	1997-09-12	VYDAJ	VYBER	1500	11444	\N	\N	\N
113681	383	1997-12-11	VYDAJ	VYBER	2800	13901	\N	\N	\N
113682	383	1998-01-10	VYDAJ	VYBER	2700	10776	\N	\N	\N
113683	383	1998-08-08	VYDAJ	VYBER	1600	16132	\N	\N	\N
113700	384	1997-09-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
113701	384	1997-09-28	PRIJEM	VKLAD	17614	18614	\N	\N	\N
113705	384	1997-10-29	PRIJEM	VKLAD	41655	101173	\N	\N	\N
113710	384	1997-10-15	PRIJEM	VKLAD	38996	59518	\N	\N	\N
113718	384	1998-06-05	PRIJEM	VKLAD	23787	111276	\N	\N	\N
113719	384	1998-06-02	PRIJEM	VKLAD	38710	142445	\N	\N	\N
113720	384	1998-06-27	PRIJEM	VKLAD	24674	72435	\N	\N	\N
113721	384	1998-11-09	PRIJEM	VKLAD	25713	55966	\N	\N	\N
113722	384	1998-07-18	PRIJEM	VKLAD	33845	47230	\N	\N	\N
113723	384	1998-03-15	PRIJEM	VKLAD	28554	80292	\N	\N	\N
113724	384	1998-12-09	PRIJEM	VKLAD	17156	76332	\N	\N	\N
113725	384	1998-08-14	PRIJEM	VKLAD	38072	76877	\N	\N	\N
113726	384	1998-05-11	PRIJEM	VKLAD	10294	66535	\N	\N	\N
113727	384	1998-05-21	PRIJEM	VKLAD	43570	115445	\N	\N	\N
113728	384	1998-05-27	PRIJEM	VKLAD	35102	103547	\N	\N	\N
113729	384	1998-01-31	PRIJEM	VKLAD	44765	130460	\N	\N	\N
113730	384	1998-06-06	PRIJEM	VKLAD	27159	92835	\N	\N	\N
113731	384	1998-01-20	PRIJEM	VKLAD	29993	63697	\N	\N	\N
113732	384	1998-08-17	PRIJEM	VKLAD	44608	121485	\N	\N	\N
113733	384	1998-02-04	PRIJEM	VKLAD	10659	84362	\N	\N	\N
113734	384	1998-05-05	PRIJEM	VKLAD	38233	56241	\N	\N	\N
113735	384	1998-06-06	PRIJEM	VKLAD	21945	114780	\N	\N	\N
113736	384	1998-08-24	PRIJEM	VKLAD	37786	118971	\N	\N	\N
113737	384	1998-11-20	PRIJEM	VKLAD	44759	100725	\N	\N	\N
113738	384	1998-03-10	PRIJEM	VKLAD	34571	87438	\N	\N	\N
113739	384	1998-05-19	PRIJEM	VKLAD	28940	71875	\N	\N	\N
113740	384	1998-03-31	PRIJEM	VKLAD	10265	54272	\N	\N	\N
113741	384	1998-08-02	PRIJEM	VKLAD	17712	65005	\N	\N	\N
113742	384	1998-01-30	PRIJEM	VKLAD	21998	85695	\N	\N	\N
113777	384	1998-06-11	VYBER	VYBER	22919	63961	\N	\N	\N
113778	384	1998-03-24	VYBER	VYBER	23017	43775	\N	\N	\N
113781	384	1998-06-02	VYBER	VYBER	8056	134389	\N	\N	\N
113783	384	1998-06-27	VYDAJ	VYBER	70500	1935	\N	\N	\N
113787	384	1998-12-20	VYDAJ	VYBER	3000	73332	\N	\N	\N
113807	384	1998-03-17	VYDAJ	VYBER	13500	66792	\N	\N	\N
113808	384	1998-04-24	VYDAJ	VYBER	6000	32542	\N	\N	\N
113809	384	1998-12-02	VYDAJ	VYBER	2700	98276	\N	\N	\N
113810	384	1998-04-27	VYDAJ	VYBER	14700	17842	\N	\N	\N
113811	384	1998-08-06	VYDAJ	VYBER	5400	59605	\N	\N	\N
113825	384	1998-01-31	VYDAJ	VYBER	30	130803	SLUZBY	\N	\N
113826	384	1998-02-28	VYDAJ	VYBER	30	52867	SLUZBY	\N	\N
113827	384	1998-03-31	VYDAJ	VYBER	30	54242	SLUZBY	\N	\N
113828	384	1998-04-30	VYDAJ	VYBER	30	18008	SLUZBY	\N	\N
113829	384	1998-05-31	VYDAJ	VYBER	30	103735	SLUZBY	\N	\N
113830	384	1998-06-30	VYDAJ	VYBER	30	2185	SLUZBY	\N	\N
113831	384	1998-07-31	VYDAJ	VYBER	30	47293	SLUZBY	\N	\N
113832	384	1998-08-31	VYDAJ	VYBER	30	102959	SLUZBY	\N	\N
113833	384	1998-09-30	VYDAJ	VYBER	30	56451	SLUZBY	\N	\N
113834	384	1998-10-31	VYDAJ	VYBER	30	38053	SLUZBY	\N	\N
113835	384	1998-11-30	VYDAJ	VYBER	30	100976	SLUZBY	\N	\N
113836	384	1997-10-14	PRIJEM	VKLAD	1900	20522	\N	\N	\N
113837	384	1997-11-13	VYDAJ	VYBER	40300	61061	\N	\N	\N
113838	384	1997-12-13	VYDAJ	VYBER	15800	45682	\N	\N	\N
113839	384	1998-01-12	VYDAJ	VYBER	12400	33704	\N	\N	\N
113840	384	1998-01-31	VYDAJ	VYBER	57100	73703	\N	\N	\N
113841	384	1998-02-11	VYDAJ	VYBER	31800	52562	\N	\N	\N
113842	384	1998-03-13	VYDAJ	VYBER	35700	51738	\N	\N	\N
113843	384	1998-04-12	VYDAJ	VYBER	15700	38542	\N	\N	\N
113844	384	1998-05-12	VYDAJ	VYBER	23600	42935	\N	\N	\N
113845	384	1998-05-21	VYDAJ	VYBER	47000	68445	\N	\N	\N
113846	384	1998-06-02	VYDAJ	VYBER	46900	87489	\N	\N	\N
113847	384	1998-06-05	VYDAJ	VYBER	45600	65676	\N	\N	\N
113848	384	1998-06-06	VYDAJ	VYBER	27900	86880	\N	\N	\N
113849	384	1998-06-11	VYDAJ	VYBER	16200	47761	\N	\N	\N
113850	384	1998-07-11	PRIJEM	VKLAD	11200	13385	\N	\N	\N
113851	384	1998-08-10	VYDAJ	VYBER	20800	38805	\N	\N	\N
113852	384	1998-08-17	VYDAJ	VYBER	40300	81185	\N	\N	\N
113853	384	1998-08-24	VYDAJ	VYBER	16300	102671	\N	\N	\N
113854	384	1998-09-09	VYDAJ	VYBER	46900	56059	\N	\N	\N
113855	384	1998-10-09	VYDAJ	VYBER	18600	37851	\N	\N	\N
113856	384	1998-11-08	VYDAJ	VYBER	7800	30253	\N	\N	\N
113857	384	1998-12-08	VYDAJ	VYBER	39100	59176	\N	\N	\N
113876	385	1993-04-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
113880	385	1993-04-11	PRIJEM	PREVOD Z UCTU	3469	4469	\N	IJ	60511863
113881	385	1993-05-11	PRIJEM	PREVOD Z UCTU	3469	7950	\N	IJ	60511863
113882	385	1993-06-11	PRIJEM	PREVOD Z UCTU	3469	11438	\N	IJ	60511863
113883	385	1993-07-11	PRIJEM	PREVOD Z UCTU	3469	14926	\N	IJ	60511863
113884	385	1993-08-11	PRIJEM	PREVOD Z UCTU	3469	18413	\N	IJ	60511863
113885	385	1993-09-11	PRIJEM	PREVOD Z UCTU	3469	19607	\N	IJ	60511863
113886	385	1993-10-11	PRIJEM	PREVOD Z UCTU	3469	20431	\N	IJ	60511863
113887	385	1993-11-11	PRIJEM	PREVOD Z UCTU	3469	21649	\N	IJ	60511863
113888	385	1993-12-11	PRIJEM	PREVOD Z UCTU	3469	22872	\N	IJ	60511863
113889	385	1994-01-11	PRIJEM	PREVOD Z UCTU	3469	21913	\N	IJ	60511863
113890	385	1994-02-11	PRIJEM	PREVOD Z UCTU	3469	20496	\N	IJ	60511863
113891	385	1994-03-11	PRIJEM	PREVOD Z UCTU	3469	21716	\N	IJ	60511863
113892	385	1994-04-11	PRIJEM	PREVOD Z UCTU	3469	22939	\N	IJ	60511863
113893	385	1994-05-11	PRIJEM	PREVOD Z UCTU	3469	24167	\N	IJ	60511863
113894	385	1994-06-11	PRIJEM	PREVOD Z UCTU	3469	24260	\N	IJ	60511863
113895	385	1994-07-11	PRIJEM	PREVOD Z UCTU	3469	25495	\N	IJ	60511863
113896	385	1994-08-11	PRIJEM	PREVOD Z UCTU	3469	24423	\N	IJ	60511863
113897	385	1994-09-11	PRIJEM	PREVOD Z UCTU	3469	25660	\N	IJ	60511863
113898	385	1994-10-11	PRIJEM	PREVOD Z UCTU	3469	26900	\N	IJ	60511863
113899	385	1994-11-11	PRIJEM	PREVOD Z UCTU	3469	28144	\N	IJ	60511863
113900	385	1994-12-11	PRIJEM	PREVOD Z UCTU	3469	29394	\N	IJ	60511863
113901	385	1995-01-11	PRIJEM	PREVOD Z UCTU	3469	26866	\N	IJ	60511863
113902	385	1995-02-11	PRIJEM	PREVOD Z UCTU	3469	25858	\N	IJ	60511863
113903	385	1995-03-11	PRIJEM	PREVOD Z UCTU	3469	27098	\N	IJ	60511863
113904	385	1995-04-11	PRIJEM	PREVOD Z UCTU	3469	27563	\N	IJ	60511863
113905	385	1995-05-11	PRIJEM	PREVOD Z UCTU	3469	27820	\N	IJ	60511863
113906	385	1995-06-11	PRIJEM	PREVOD Z UCTU	3469	23308	\N	IJ	60511863
113907	385	1995-07-11	PRIJEM	PREVOD Z UCTU	3469	24303	\N	IJ	60511863
113908	385	1995-08-11	PRIJEM	PREVOD Z UCTU	3469	25536	\N	IJ	60511863
113909	385	1995-09-11	PRIJEM	PREVOD Z UCTU	3469	26775	\N	IJ	60511863
113910	385	1995-10-11	PRIJEM	PREVOD Z UCTU	3469	28019	\N	IJ	60511863
113911	385	1995-11-11	PRIJEM	PREVOD Z UCTU	3469	29267	\N	IJ	60511863
113912	385	1995-12-11	PRIJEM	PREVOD Z UCTU	3469	29891	\N	IJ	60511863
113913	385	1996-01-11	PRIJEM	PREVOD Z UCTU	3469	28325	\N	IJ	60511863
113914	385	1996-02-11	PRIJEM	PREVOD Z UCTU	3469	23144	\N	IJ	60511863
113915	385	1996-03-11	PRIJEM	PREVOD Z UCTU	3469	24372	\N	IJ	60511863
113916	385	1996-04-11	PRIJEM	PREVOD Z UCTU	3469	25455	\N	IJ	60511863
113917	385	1996-05-11	PRIJEM	PREVOD Z UCTU	3469	26693	\N	IJ	60511863
113918	385	1996-06-11	PRIJEM	PREVOD Z UCTU	3469	27576	\N	IJ	60511863
113919	385	1996-07-11	PRIJEM	PREVOD Z UCTU	3469	22961	\N	IJ	60511863
113920	385	1996-08-11	PRIJEM	PREVOD Z UCTU	3469	24188	\N	IJ	60511863
113921	385	1996-09-11	PRIJEM	PREVOD Z UCTU	3469	25180	\N	IJ	60511863
113922	385	1996-10-11	PRIJEM	PREVOD Z UCTU	3469	26417	\N	IJ	60511863
113923	385	1996-11-11	PRIJEM	PREVOD Z UCTU	3469	27658	\N	IJ	60511863
113924	385	1996-12-11	PRIJEM	PREVOD Z UCTU	3469	28905	\N	IJ	60511863
113925	385	1997-01-11	PRIJEM	PREVOD Z UCTU	3469	24065	\N	IJ	60511863
113926	385	1997-02-11	PRIJEM	PREVOD Z UCTU	3469	21362	\N	IJ	60511863
113927	385	1997-03-11	PRIJEM	PREVOD Z UCTU	3469	20989	\N	IJ	60511863
113928	385	1997-04-11	PRIJEM	PREVOD Z UCTU	3469	22207	\N	IJ	60511863
113929	385	1997-05-11	PRIJEM	PREVOD Z UCTU	3469	23101	\N	IJ	60511863
113930	385	1997-06-11	PRIJEM	PREVOD Z UCTU	3469	24329	\N	IJ	60511863
113931	385	1997-07-11	PRIJEM	PREVOD Z UCTU	3469	25561	\N	IJ	60511863
113932	385	1997-08-11	PRIJEM	PREVOD Z UCTU	3469	26798	\N	IJ	60511863
113933	385	1997-09-11	PRIJEM	PREVOD Z UCTU	3469	26749	\N	IJ	60511863
113934	385	1997-10-11	PRIJEM	PREVOD Z UCTU	3469	27991	\N	IJ	60511863
113935	385	1997-11-11	PRIJEM	PREVOD Z UCTU	3469	29238	\N	IJ	60511863
113936	385	1997-12-11	PRIJEM	PREVOD Z UCTU	3469	29259	\N	IJ	60511863
113937	385	1998-01-11	PRIJEM	PREVOD Z UCTU	3469	29222	\N	IJ	60511863
113938	385	1998-02-11	PRIJEM	PREVOD Z UCTU	3469	26932	\N	IJ	60511863
113939	385	1998-03-11	PRIJEM	PREVOD Z UCTU	3469	27695	\N	IJ	60511863
113940	385	1998-04-11	PRIJEM	PREVOD Z UCTU	3469	28940	\N	IJ	60511863
113941	385	1998-05-11	PRIJEM	PREVOD Z UCTU	3469	30191	\N	IJ	60511863
113942	385	1998-06-11	PRIJEM	PREVOD Z UCTU	3469	31447	\N	IJ	60511863
113943	385	1998-07-11	PRIJEM	PREVOD Z UCTU	3469	27512	\N	IJ	60511863
113944	385	1998-08-11	PRIJEM	PREVOD Z UCTU	3469	28760	\N	IJ	60511863
113945	385	1998-09-11	PRIJEM	PREVOD Z UCTU	3469	29438	\N	IJ	60511863
113946	385	1998-10-11	PRIJEM	PREVOD Z UCTU	3469	30691	\N	IJ	60511863
113947	385	1998-11-11	PRIJEM	PREVOD Z UCTU	3469	31948	\N	IJ	60511863
113948	385	1998-12-11	PRIJEM	PREVOD Z UCTU	3469	31290	\N	IJ	60511863
113956	385	1993-08-14	VYDAJ	PREVOD NA UCET	2160	16222	SIPO	WX	28537345
113957	385	1993-09-14	VYDAJ	PREVOD NA UCET	2160	17416	SIPO	WX	28537345
113958	385	1993-10-14	VYDAJ	PREVOD NA UCET	2160	18240	SIPO	WX	28537345
113959	385	1993-11-14	VYDAJ	PREVOD NA UCET	2160	19458	SIPO	WX	28537345
113960	385	1993-12-14	VYDAJ	PREVOD NA UCET	2160	20261	SIPO	WX	28537345
113961	385	1994-01-14	VYDAJ	PREVOD NA UCET	2160	19122	SIPO	WX	28537345
113962	385	1994-02-14	VYDAJ	PREVOD NA UCET	2160	18305	SIPO	WX	28537345
113963	385	1994-03-14	VYDAJ	PREVOD NA UCET	2160	19525	SIPO	WX	28537345
113964	385	1994-04-14	VYDAJ	PREVOD NA UCET	2160	20748	SIPO	WX	28537345
113965	385	1994-05-14	VYDAJ	PREVOD NA UCET	2160	21976	SIPO	WX	28537345
113966	385	1994-06-14	VYDAJ	PREVOD NA UCET	2160	22069	SIPO	WX	28537345
113967	385	1994-07-14	VYDAJ	PREVOD NA UCET	2160	23304	SIPO	WX	28537345
113968	385	1994-08-14	VYDAJ	PREVOD NA UCET	2160	22232	SIPO	WX	28537345
113969	385	1994-09-14	VYDAJ	PREVOD NA UCET	2160	23469	SIPO	WX	28537345
113970	385	1994-10-14	VYDAJ	PREVOD NA UCET	2160	24709	SIPO	WX	28537345
113971	385	1994-11-14	VYDAJ	PREVOD NA UCET	2160	25953	SIPO	WX	28537345
113972	385	1994-12-14	VYDAJ	PREVOD NA UCET	2160	26393	SIPO	WX	28537345
113973	385	1995-01-14	VYDAJ	PREVOD NA UCET	2160	23745	SIPO	WX	28537345
113974	385	1995-02-14	VYDAJ	PREVOD NA UCET	2160	23667	SIPO	WX	28537345
113975	385	1995-03-14	VYDAJ	PREVOD NA UCET	2160	24907	SIPO	WX	28537345
113976	385	1995-04-14	VYDAJ	PREVOD NA UCET	2160	25372	SIPO	WX	28537345
113977	385	1995-05-14	VYDAJ	PREVOD NA UCET	2160	25629	SIPO	WX	28537345
113978	385	1995-06-14	VYDAJ	PREVOD NA UCET	2160	21117	SIPO	WX	28537345
113979	385	1995-07-14	VYDAJ	PREVOD NA UCET	2160	22112	SIPO	WX	28537345
113980	385	1995-08-14	VYDAJ	PREVOD NA UCET	2160	23345	SIPO	WX	28537345
113981	385	1995-09-14	VYDAJ	PREVOD NA UCET	2160	24584	SIPO	WX	28537345
113982	385	1995-10-14	VYDAJ	PREVOD NA UCET	2160	25828	SIPO	WX	28537345
113983	385	1995-11-14	VYDAJ	PREVOD NA UCET	2160	27076	SIPO	WX	28537345
113984	385	1995-12-14	VYDAJ	PREVOD NA UCET	2160	27700	SIPO	WX	28537345
113985	385	1996-01-14	VYDAJ	PREVOD NA UCET	2160	26134	SIPO	WX	28537345
113986	385	1996-02-14	VYDAJ	PREVOD NA UCET	2160	20953	SIPO	WX	28537345
113987	385	1996-03-14	VYDAJ	PREVOD NA UCET	2160	22181	SIPO	WX	28537345
113988	385	1996-04-14	VYDAJ	PREVOD NA UCET	2160	23264	SIPO	WX	28537345
113989	385	1996-05-14	VYDAJ	PREVOD NA UCET	2160	24502	SIPO	WX	28537345
113990	385	1996-06-14	VYDAJ	PREVOD NA UCET	2160	25385	SIPO	WX	28537345
113991	385	1996-07-14	VYDAJ	PREVOD NA UCET	2160	20770	SIPO	WX	28537345
113992	385	1996-08-14	VYDAJ	PREVOD NA UCET	2160	21997	SIPO	WX	28537345
113993	385	1996-09-14	VYDAJ	PREVOD NA UCET	2160	22989	SIPO	WX	28537345
113994	385	1996-10-14	VYDAJ	PREVOD NA UCET	2160	24226	SIPO	WX	28537345
113995	385	1996-11-14	VYDAJ	PREVOD NA UCET	2160	25467	SIPO	WX	28537345
113996	385	1996-12-14	VYDAJ	PREVOD NA UCET	2160	26444	SIPO	WX	28537345
113997	385	1997-01-14	VYDAJ	PREVOD NA UCET	2160	19954	SIPO	WX	28537345
113998	385	1997-02-14	VYDAJ	PREVOD NA UCET	2160	18781	SIPO	WX	28537345
113999	385	1997-03-14	VYDAJ	PREVOD NA UCET	2160	18798	SIPO	WX	28537345
114000	385	1997-04-14	VYDAJ	PREVOD NA UCET	2160	20016	SIPO	WX	28537345
114001	385	1997-05-14	VYDAJ	PREVOD NA UCET	2160	20910	SIPO	WX	28537345
114002	385	1997-06-14	VYDAJ	PREVOD NA UCET	2160	22138	SIPO	WX	28537345
114003	385	1997-07-14	VYDAJ	PREVOD NA UCET	2160	23370	SIPO	WX	28537345
114004	385	1997-08-14	VYDAJ	PREVOD NA UCET	2160	24607	SIPO	WX	28537345
114005	385	1997-09-14	VYDAJ	PREVOD NA UCET	2160	24558	SIPO	WX	28537345
114006	385	1997-10-14	VYDAJ	PREVOD NA UCET	2160	25800	SIPO	WX	28537345
114007	385	1997-11-14	VYDAJ	PREVOD NA UCET	2160	26477	SIPO	WX	28537345
114008	385	1997-12-14	VYDAJ	PREVOD NA UCET	2160	27068	SIPO	WX	28537345
114009	385	1998-01-14	VYDAJ	PREVOD NA UCET	2160	26311	SIPO	WX	28537345
114010	385	1998-02-14	VYDAJ	PREVOD NA UCET	2160	24591	SIPO	WX	28537345
114011	385	1998-03-14	VYDAJ	PREVOD NA UCET	2160	25504	SIPO	WX	28537345
114012	385	1998-04-14	VYDAJ	PREVOD NA UCET	2160	26749	SIPO	WX	28537345
114013	385	1998-05-14	VYDAJ	PREVOD NA UCET	2160	28000	SIPO	WX	28537345
114014	385	1998-06-14	VYDAJ	PREVOD NA UCET	2160	29256	SIPO	WX	28537345
114015	385	1998-07-14	VYDAJ	PREVOD NA UCET	2160	25321	SIPO	WX	28537345
114016	385	1998-08-14	VYDAJ	PREVOD NA UCET	2160	26569	SIPO	WX	28537345
114017	385	1998-09-14	VYDAJ	PREVOD NA UCET	2160	27247	SIPO	WX	28537345
114018	385	1998-10-14	VYDAJ	PREVOD NA UCET	2160	28500	SIPO	WX	28537345
114019	385	1998-11-14	VYDAJ	PREVOD NA UCET	2160	29757	SIPO	WX	28537345
114020	385	1998-12-14	VYDAJ	PREVOD NA UCET	2160	29099	SIPO	WX	28537345
114028	385	1993-08-12	VYDAJ	PREVOD NA UCET	31	18382	 	ST	91164779
114029	385	1993-09-12	VYDAJ	PREVOD NA UCET	31	19576	 	ST	91164779
114030	385	1993-10-12	VYDAJ	PREVOD NA UCET	31	20400	 	ST	91164779
114031	385	1993-11-12	VYDAJ	PREVOD NA UCET	31	21618	 	ST	91164779
114032	385	1993-12-12	VYDAJ	PREVOD NA UCET	31	22841	 	ST	91164779
114033	385	1994-01-12	VYDAJ	PREVOD NA UCET	31	21882	 	ST	91164779
114034	385	1994-02-12	VYDAJ	PREVOD NA UCET	31	20465	 	ST	91164779
114035	385	1994-03-12	VYDAJ	PREVOD NA UCET	31	21685	 	ST	91164779
114036	385	1994-04-12	VYDAJ	PREVOD NA UCET	31	22908	 	ST	91164779
114037	385	1994-05-12	VYDAJ	PREVOD NA UCET	31	24136	 	ST	91164779
114038	385	1994-06-12	VYDAJ	PREVOD NA UCET	31	24229	 	ST	91164779
114039	385	1994-07-12	VYDAJ	PREVOD NA UCET	31	25464	 	ST	91164779
114040	385	1994-08-12	VYDAJ	PREVOD NA UCET	31	24392	 	ST	91164779
114041	385	1994-09-12	VYDAJ	PREVOD NA UCET	31	25629	 	ST	91164779
114042	385	1994-10-12	VYDAJ	PREVOD NA UCET	31	26869	 	ST	91164779
114043	385	1994-11-12	VYDAJ	PREVOD NA UCET	31	28113	 	ST	91164779
114044	385	1994-12-12	VYDAJ	PREVOD NA UCET	31	28553	 	ST	91164779
114045	385	1995-01-12	VYDAJ	PREVOD NA UCET	31	26355	 	ST	91164779
114046	385	1995-02-12	VYDAJ	PREVOD NA UCET	31	25827	 	ST	91164779
114047	385	1995-03-12	VYDAJ	PREVOD NA UCET	31	27067	 	ST	91164779
114048	385	1995-04-12	VYDAJ	PREVOD NA UCET	31	27532	 	ST	91164779
114049	385	1995-05-12	VYDAJ	PREVOD NA UCET	31	27789	 	ST	91164779
114050	385	1995-06-12	VYDAJ	PREVOD NA UCET	31	23277	 	ST	91164779
114051	385	1995-07-12	VYDAJ	PREVOD NA UCET	31	24272	 	ST	91164779
114052	385	1995-08-12	VYDAJ	PREVOD NA UCET	31	25505	 	ST	91164779
114053	385	1995-09-12	VYDAJ	PREVOD NA UCET	31	26744	 	ST	91164779
114054	385	1995-10-12	VYDAJ	PREVOD NA UCET	31	27988	 	ST	91164779
114055	385	1995-11-12	VYDAJ	PREVOD NA UCET	31	29236	 	ST	91164779
114056	385	1995-12-12	VYDAJ	PREVOD NA UCET	31	29860	 	ST	91164779
114057	385	1996-01-12	VYDAJ	PREVOD NA UCET	31	28294	 	ST	91164779
114058	385	1996-02-12	VYDAJ	PREVOD NA UCET	31	23113	 	ST	91164779
114059	385	1996-03-12	VYDAJ	PREVOD NA UCET	31	24341	 	ST	91164779
114060	385	1996-04-12	VYDAJ	PREVOD NA UCET	31	25424	 	ST	91164779
114061	385	1996-05-12	VYDAJ	PREVOD NA UCET	31	26662	 	ST	91164779
114062	385	1996-06-12	VYDAJ	PREVOD NA UCET	31	27545	 	ST	91164779
114063	385	1996-07-12	VYDAJ	PREVOD NA UCET	31	22930	 	ST	91164779
114064	385	1996-08-12	VYDAJ	PREVOD NA UCET	31	24157	 	ST	91164779
114065	385	1996-09-12	VYDAJ	PREVOD NA UCET	31	25149	 	ST	91164779
114066	385	1996-10-12	VYDAJ	PREVOD NA UCET	31	26386	 	ST	91164779
114067	385	1996-11-12	VYDAJ	PREVOD NA UCET	31	27627	 	ST	91164779
114068	385	1996-12-12	VYDAJ	PREVOD NA UCET	31	28604	 	ST	91164779
114069	385	1997-01-12	VYDAJ	PREVOD NA UCET	31	22114	 	ST	91164779
114070	385	1997-02-12	VYDAJ	PREVOD NA UCET	31	21331	 	ST	91164779
114071	385	1997-03-12	VYDAJ	PREVOD NA UCET	31	20958	 	ST	91164779
114072	385	1997-04-12	VYDAJ	PREVOD NA UCET	31	22176	 	ST	91164779
114073	385	1997-05-12	VYDAJ	PREVOD NA UCET	31	23070	 	ST	91164779
114074	385	1997-06-12	VYDAJ	PREVOD NA UCET	31	24298	 	ST	91164779
114075	385	1997-07-12	VYDAJ	PREVOD NA UCET	31	25530	 	ST	91164779
114076	385	1997-08-12	VYDAJ	PREVOD NA UCET	31	26767	 	ST	91164779
114077	385	1997-09-12	VYDAJ	PREVOD NA UCET	31	26718	 	ST	91164779
114078	385	1997-10-12	VYDAJ	PREVOD NA UCET	31	27960	 	ST	91164779
114079	385	1997-11-12	VYDAJ	PREVOD NA UCET	31	28637	 	ST	91164779
114080	385	1997-12-12	VYDAJ	PREVOD NA UCET	31	29228	 	ST	91164779
114081	385	1998-01-12	VYDAJ	PREVOD NA UCET	31	29191	 	ST	91164779
114082	385	1998-02-12	VYDAJ	PREVOD NA UCET	31	26751	 	ST	91164779
114083	385	1998-03-12	VYDAJ	PREVOD NA UCET	31	27664	 	ST	91164779
114084	385	1998-04-12	VYDAJ	PREVOD NA UCET	31	28909	 	ST	91164779
114085	385	1998-05-12	VYDAJ	PREVOD NA UCET	31	30160	 	ST	91164779
114086	385	1998-06-12	VYDAJ	PREVOD NA UCET	31	31416	 	ST	91164779
114087	385	1998-07-12	VYDAJ	PREVOD NA UCET	31	27481	 	ST	91164779
114088	385	1998-08-12	VYDAJ	PREVOD NA UCET	31	28729	 	ST	91164779
114089	385	1998-09-12	VYDAJ	PREVOD NA UCET	31	29407	 	ST	91164779
114090	385	1998-10-12	VYDAJ	PREVOD NA UCET	31	30660	 	ST	91164779
114091	385	1998-11-12	VYDAJ	PREVOD NA UCET	31	31917	 	ST	91164779
114092	385	1998-12-12	VYDAJ	PREVOD NA UCET	31	31259	 	ST	91164779
114101	385	1993-09-08	VYDAJ	PREVOD NA UCET	121	16138	POJISTNE	GH	79315310
114102	385	1993-10-08	VYDAJ	PREVOD NA UCET	121	16962	POJISTNE	GH	79315310
114103	385	1993-11-08	VYDAJ	PREVOD NA UCET	121	18180	POJISTNE	GH	79315310
114104	385	1993-12-08	VYDAJ	PREVOD NA UCET	121	19403	POJISTNE	GH	79315310
114105	385	1994-01-08	VYDAJ	PREVOD NA UCET	121	18444	POJISTNE	GH	79315310
114106	385	1994-02-08	VYDAJ	PREVOD NA UCET	121	17027	POJISTNE	GH	79315310
114107	385	1994-03-08	VYDAJ	PREVOD NA UCET	121	18247	POJISTNE	GH	79315310
114108	385	1994-04-08	VYDAJ	PREVOD NA UCET	121	19470	POJISTNE	GH	79315310
114109	385	1994-05-08	VYDAJ	PREVOD NA UCET	121	20698	POJISTNE	GH	79315310
114110	385	1994-06-08	VYDAJ	PREVOD NA UCET	121	20791	POJISTNE	GH	79315310
114111	385	1994-07-08	VYDAJ	PREVOD NA UCET	121	22026	POJISTNE	GH	79315310
114112	385	1994-08-08	VYDAJ	PREVOD NA UCET	121	22364	POJISTNE	GH	79315310
114113	385	1994-09-08	VYDAJ	PREVOD NA UCET	121	22191	POJISTNE	GH	79315310
114114	385	1994-10-08	VYDAJ	PREVOD NA UCET	121	23431	POJISTNE	GH	79315310
114115	385	1994-11-08	VYDAJ	PREVOD NA UCET	121	24675	POJISTNE	GH	79315310
114116	385	1994-12-08	VYDAJ	PREVOD NA UCET	121	25925	POJISTNE	GH	79315310
114117	385	1995-01-08	VYDAJ	PREVOD NA UCET	121	23397	POJISTNE	GH	79315310
114118	385	1995-02-08	VYDAJ	PREVOD NA UCET	121	22389	POJISTNE	GH	79315310
114119	385	1995-03-08	VYDAJ	PREVOD NA UCET	121	23629	POJISTNE	GH	79315310
114120	385	1995-04-08	VYDAJ	PREVOD NA UCET	121	24094	POJISTNE	GH	79315310
114121	385	1995-05-08	VYDAJ	PREVOD NA UCET	121	24351	POJISTNE	GH	79315310
114122	385	1995-06-08	VYDAJ	PREVOD NA UCET	121	19839	POJISTNE	GH	79315310
114123	385	1995-07-08	VYDAJ	PREVOD NA UCET	121	20834	POJISTNE	GH	79315310
114124	385	1995-08-08	VYDAJ	PREVOD NA UCET	121	22067	POJISTNE	GH	79315310
114125	385	1995-09-08	VYDAJ	PREVOD NA UCET	121	23306	POJISTNE	GH	79315310
114126	385	1995-10-08	VYDAJ	PREVOD NA UCET	121	24550	POJISTNE	GH	79315310
114127	385	1995-11-08	VYDAJ	PREVOD NA UCET	121	25798	POJISTNE	GH	79315310
114128	385	1995-12-08	VYDAJ	PREVOD NA UCET	121	26422	POJISTNE	GH	79315310
114129	385	1996-01-08	VYDAJ	PREVOD NA UCET	121	25366	POJISTNE	GH	79315310
114130	385	1996-02-08	VYDAJ	PREVOD NA UCET	121	19675	POJISTNE	GH	79315310
114131	385	1996-03-08	VYDAJ	PREVOD NA UCET	121	20903	POJISTNE	GH	79315310
114132	385	1996-04-08	VYDAJ	PREVOD NA UCET	121	21986	POJISTNE	GH	79315310
114133	385	1996-05-08	VYDAJ	PREVOD NA UCET	121	23224	POJISTNE	GH	79315310
114134	385	1996-06-08	VYDAJ	PREVOD NA UCET	121	24107	POJISTNE	GH	79315310
114135	385	1996-07-08	VYDAJ	PREVOD NA UCET	121	19492	POJISTNE	GH	79315310
114136	385	1996-08-08	VYDAJ	PREVOD NA UCET	121	20719	POJISTNE	GH	79315310
114137	385	1996-09-08	VYDAJ	PREVOD NA UCET	121	21711	POJISTNE	GH	79315310
114138	385	1996-10-08	VYDAJ	PREVOD NA UCET	121	22948	POJISTNE	GH	79315310
114139	385	1996-11-08	VYDAJ	PREVOD NA UCET	121	24189	POJISTNE	GH	79315310
114140	385	1996-12-08	VYDAJ	PREVOD NA UCET	121	25436	POJISTNE	GH	79315310
114141	385	1997-01-08	VYDAJ	PREVOD NA UCET	121	21706	POJISTNE	GH	79315310
114142	385	1997-02-08	VYDAJ	PREVOD NA UCET	121	17893	POJISTNE	GH	79315310
114143	385	1997-03-08	VYDAJ	PREVOD NA UCET	121	17520	POJISTNE	GH	79315310
114144	385	1997-04-08	VYDAJ	PREVOD NA UCET	121	18738	POJISTNE	GH	79315310
114145	385	1997-05-08	VYDAJ	PREVOD NA UCET	121	19962	POJISTNE	GH	79315310
114146	385	1997-06-08	VYDAJ	PREVOD NA UCET	121	20860	POJISTNE	GH	79315310
114147	385	1997-07-08	VYDAJ	PREVOD NA UCET	121	22092	POJISTNE	GH	79315310
114148	385	1997-08-08	VYDAJ	PREVOD NA UCET	121	23329	POJISTNE	GH	79315310
114149	385	1997-09-08	VYDAJ	PREVOD NA UCET	121	23280	POJISTNE	GH	79315310
114150	385	1997-10-08	VYDAJ	PREVOD NA UCET	121	24522	POJISTNE	GH	79315310
114151	385	1997-11-08	VYDAJ	PREVOD NA UCET	121	25769	POJISTNE	GH	79315310
114152	385	1997-12-08	VYDAJ	PREVOD NA UCET	121	26450	POJISTNE	GH	79315310
114153	385	1998-01-08	VYDAJ	PREVOD NA UCET	121	26623	POJISTNE	GH	79315310
114154	385	1998-02-08	VYDAJ	PREVOD NA UCET	121	23463	POJISTNE	GH	79315310
114155	385	1998-03-08	VYDAJ	PREVOD NA UCET	121	24226	POJISTNE	GH	79315310
114156	385	1998-04-08	VYDAJ	PREVOD NA UCET	121	25471	POJISTNE	GH	79315310
114157	385	1998-05-08	VYDAJ	PREVOD NA UCET	121	26722	POJISTNE	GH	79315310
114158	385	1998-06-08	VYDAJ	PREVOD NA UCET	121	27978	POJISTNE	GH	79315310
114159	385	1998-07-08	VYDAJ	PREVOD NA UCET	121	26473	POJISTNE	GH	79315310
114160	385	1998-08-08	VYDAJ	PREVOD NA UCET	121	25291	POJISTNE	GH	79315310
114161	385	1998-09-08	VYDAJ	PREVOD NA UCET	121	25969	POJISTNE	GH	79315310
114162	385	1998-10-08	VYDAJ	PREVOD NA UCET	121	27222	POJISTNE	GH	79315310
114163	385	1998-11-08	VYDAJ	PREVOD NA UCET	121	28479	POJISTNE	GH	79315310
114283	385	1995-03-31	VYDAJ	VYBER	15	24995	SLUZBY	\N	\N
114164	385	1998-12-08	VYDAJ	PREVOD NA UCET	121	27821	POJISTNE	GH	79315310
114166	385	1994-06-03	VYDAJ	VYBER	1140	20912	\N	\N	\N
114167	385	1995-06-05	VYDAJ	VYBER	5760	19960	\N	\N	\N
114168	385	1996-06-16	VYDAJ	VYBER	5850	19535	\N	\N	\N
114170	385	1998-06-16	VYDAJ	VYBER	2760	26496	\N	\N	\N
114172	385	1994-01-07	VYDAJ	VYBER	330	19075	\N	\N	\N
114173	385	1995-01-03	VYDAJ	VYBER	2190	23518	\N	\N	\N
114174	385	1996-01-16	VYDAJ	VYBER	2610	23524	\N	\N	\N
114175	385	1997-01-05	VYDAJ	VYBER	2040	21827	\N	\N	\N
114176	385	1998-01-29	VYDAJ	VYBER	1440	23491	\N	\N	\N
114177	385	1993-12-14	VYDAJ	VYBER	420	22421	\N	\N	\N
114178	385	1994-12-12	VYDAJ	VYBER	810	28584	\N	\N	\N
114179	385	1995-12-07	VYDAJ	VYBER	630	26543	\N	\N	\N
114180	385	1996-12-11	VYDAJ	VYBER	270	28635	\N	\N	\N
114181	385	1997-12-09	VYDAJ	VYBER	660	25790	\N	\N	\N
114182	385	1998-12-05	VYDAJ	VYBER	480	27942	\N	\N	\N
114189	385	1994-01-15	VYDAJ	VYBER	210	18912	\N	\N	\N
114190	385	1994-01-07	VYDAJ	VYBER	510	18565	\N	\N	\N
114191	385	1994-01-29	VYDAJ	VYBER	360	18552	\N	\N	\N
114192	385	1994-01-06	VYDAJ	VYBER	270	19405	\N	\N	\N
114193	385	1994-01-13	VYDAJ	VYBER	600	21282	\N	\N	\N
114194	385	1994-01-05	VYDAJ	VYBER	660	19675	\N	\N	\N
114195	385	1995-01-15	VYDAJ	VYBER	450	22965	\N	\N	\N
114196	385	1995-01-22	VYDAJ	VYBER	540	22425	\N	\N	\N
114197	385	1995-01-13	VYDAJ	VYBER	450	25905	\N	\N	\N
114198	385	1995-01-15	VYDAJ	VYBER	330	23415	\N	\N	\N
114199	385	1995-01-03	VYDAJ	VYBER	780	25708	\N	\N	\N
114200	385	1995-01-12	VYDAJ	VYBER	480	26386	\N	\N	\N
114201	385	1996-01-05	VYDAJ	VYBER	690	25487	\N	\N	\N
114202	385	1996-01-19	VYDAJ	VYBER	540	21694	\N	\N	\N
114203	385	1996-01-18	VYDAJ	VYBER	270	22234	\N	\N	\N
114204	385	1996-01-21	VYDAJ	VYBER	810	20044	\N	\N	\N
114205	385	1996-01-08	VYDAJ	VYBER	510	24856	\N	\N	\N
114206	385	1996-01-24	VYDAJ	VYBER	330	19714	\N	\N	\N
114207	385	1997-01-30	VYDAJ	VYBER	840	17944	\N	\N	\N
114208	385	1997-01-12	VYDAJ	VYBER	480	22145	\N	\N	\N
114209	385	1997-01-21	VYDAJ	VYBER	870	19084	\N	\N	\N
114210	385	1997-01-28	VYDAJ	VYBER	150	18784	\N	\N	\N
114211	385	1997-01-27	VYDAJ	VYBER	150	18934	\N	\N	\N
114212	385	1997-01-01	VYDAJ	VYBER	690	23867	\N	\N	\N
114213	385	1998-01-10	VYDAJ	VYBER	870	25753	\N	\N	\N
114214	385	1998-01-25	VYDAJ	VYBER	600	25711	\N	\N	\N
114215	385	1998-01-02	VYDAJ	VYBER	420	26744	\N	\N	\N
114216	385	1998-01-14	VYDAJ	VYBER	150	29041	\N	\N	\N
114217	385	1998-01-14	VYDAJ	VYBER	570	28471	\N	\N	\N
114218	385	1998-01-28	VYDAJ	VYBER	780	24931	\N	\N	\N
114224	385	1993-10-06	VYDAJ	VYBER	390	17083	\N	\N	\N
114227	385	1994-08-10	VYDAJ	VYBER	1410	20954	\N	\N	\N
114228	385	1994-02-04	VYDAJ	VYBER	1470	17148	\N	\N	\N
114229	385	1994-08-01	VYDAJ	VYBER	900	22485	\N	\N	\N
114230	385	1995-04-16	VYDAJ	VYBER	750	24622	\N	\N	\N
114231	385	1995-12-15	VYDAJ	VYBER	1080	26080	\N	\N	\N
114232	385	1995-07-01	VYDAJ	VYBER	240	20955	\N	\N	\N
114233	385	1995-05-08	VYDAJ	VYBER	240	24472	\N	\N	\N
114234	385	1995-04-08	VYDAJ	VYBER	780	24215	\N	\N	\N
114235	385	1995-12-14	VYDAJ	VYBER	540	27160	\N	\N	\N
114236	385	1996-05-28	VYDAJ	VYBER	360	24142	\N	\N	\N
114237	385	1996-04-03	VYDAJ	VYBER	150	22107	\N	\N	\N
114238	385	1996-12-26	VYDAJ	VYBER	1020	25424	\N	\N	\N
114239	385	1996-08-27	VYDAJ	VYBER	240	21757	\N	\N	\N
114240	385	1996-01-17	VYDAJ	VYBER	1020	22504	\N	\N	\N
114241	385	1996-01-20	VYDAJ	VYBER	840	20854	\N	\N	\N
114242	385	1997-11-11	VYDAJ	VYBER	570	28668	\N	\N	\N
114243	385	1997-02-15	VYDAJ	VYBER	1200	17581	\N	\N	\N
114244	385	1997-01-11	VYDAJ	VYBER	1440	22625	\N	\N	\N
114245	385	1997-05-09	VYDAJ	VYBER	330	19632	\N	\N	\N
114246	385	1997-02-13	VYDAJ	VYBER	390	20941	\N	\N	\N
114247	385	1997-01-01	VYDAJ	VYBER	960	24557	\N	\N	\N
114248	385	1997-08-19	VYDAJ	VYBER	1290	23317	\N	\N	\N
114249	385	1997-01-09	VYDAJ	VYBER	1110	20596	\N	\N	\N
114250	385	1998-02-11	VYDAJ	VYBER	150	26782	\N	\N	\N
114251	385	1998-11-27	VYDAJ	VYBER	1440	28317	\N	\N	\N
114252	385	1998-02-28	VYDAJ	VYBER	330	24347	\N	\N	\N
114253	385	1998-08-20	VYDAJ	VYBER	570	25999	\N	\N	\N
114254	385	1998-07-08	VYDAJ	VYBER	1170	25303	\N	\N	\N
114255	385	1998-07-09	VYDAJ	VYBER	1260	24043	\N	\N	\N
114264	385	1993-08-31	VYDAJ	VYBER	15	16259	SLUZBY	\N	\N
114265	385	1993-09-30	VYDAJ	VYBER	15	17473	SLUZBY	\N	\N
114266	385	1993-10-31	VYDAJ	VYBER	15	18301	SLUZBY	\N	\N
114267	385	1993-11-30	VYDAJ	VYBER	15	19524	SLUZBY	\N	\N
114268	385	1993-12-31	VYDAJ	VYBER	15	20335	SLUZBY	\N	\N
114269	385	1994-01-31	VYDAJ	VYBER	15	18618	SLUZBY	\N	\N
114270	385	1994-02-28	VYDAJ	VYBER	15	18368	SLUZBY	\N	\N
114271	385	1994-03-31	VYDAJ	VYBER	15	19591	SLUZBY	\N	\N
114272	385	1994-04-30	VYDAJ	VYBER	15	20819	SLUZBY	\N	\N
114273	385	1994-05-31	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
114274	385	1994-06-30	VYDAJ	VYBER	15	22147	SLUZBY	\N	\N
114275	385	1994-07-31	VYDAJ	VYBER	15	23385	SLUZBY	\N	\N
114276	385	1994-08-31	VYDAJ	VYBER	15	22312	SLUZBY	\N	\N
114277	385	1994-09-30	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
114278	385	1994-10-31	VYDAJ	VYBER	15	24796	SLUZBY	\N	\N
114279	385	1994-11-30	VYDAJ	VYBER	15	26046	SLUZBY	\N	\N
114280	385	1994-12-31	VYDAJ	VYBER	15	26488	SLUZBY	\N	\N
114281	385	1995-01-31	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
114282	385	1995-02-28	VYDAJ	VYBER	15	23750	SLUZBY	\N	\N
114284	385	1995-04-30	VYDAJ	VYBER	15	24712	SLUZBY	\N	\N
114285	385	1995-05-31	VYDAJ	VYBER	15	25720	SLUZBY	\N	\N
114286	385	1995-06-30	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
114287	385	1995-07-31	VYDAJ	VYBER	15	22188	SLUZBY	\N	\N
114288	385	1995-08-31	VYDAJ	VYBER	15	23427	SLUZBY	\N	\N
114289	385	1995-09-30	VYDAJ	VYBER	15	24671	SLUZBY	\N	\N
114290	385	1995-10-31	VYDAJ	VYBER	15	25919	SLUZBY	\N	\N
114291	385	1995-11-30	VYDAJ	VYBER	15	27173	SLUZBY	\N	\N
114292	385	1995-12-31	VYDAJ	VYBER	15	26177	SLUZBY	\N	\N
114293	385	1996-01-31	VYDAJ	VYBER	15	19796	SLUZBY	\N	\N
114294	385	1996-02-29	VYDAJ	VYBER	15	21024	SLUZBY	\N	\N
114295	385	1996-03-31	VYDAJ	VYBER	15	22257	SLUZBY	\N	\N
114296	385	1996-04-30	VYDAJ	VYBER	15	23345	SLUZBY	\N	\N
114297	385	1996-05-31	VYDAJ	VYBER	15	24228	SLUZBY	\N	\N
114298	385	1996-06-30	VYDAJ	VYBER	15	19613	SLUZBY	\N	\N
114299	385	1996-07-31	VYDAJ	VYBER	15	20840	SLUZBY	\N	\N
114300	385	1996-08-31	VYDAJ	VYBER	15	21832	SLUZBY	\N	\N
114301	385	1996-09-30	VYDAJ	VYBER	15	23069	SLUZBY	\N	\N
114302	385	1996-10-31	VYDAJ	VYBER	15	24310	SLUZBY	\N	\N
114303	385	1996-11-30	VYDAJ	VYBER	15	25557	SLUZBY	\N	\N
114304	385	1996-12-31	VYDAJ	VYBER	15	25517	SLUZBY	\N	\N
114305	385	1997-01-31	VYDAJ	VYBER	15	18014	SLUZBY	\N	\N
114306	385	1997-02-28	VYDAJ	VYBER	15	17641	SLUZBY	\N	\N
114307	385	1997-03-31	VYDAJ	VYBER	15	18859	SLUZBY	\N	\N
114308	385	1997-04-30	VYDAJ	VYBER	15	20083	SLUZBY	\N	\N
114309	385	1997-05-31	VYDAJ	VYBER	15	20981	SLUZBY	\N	\N
114310	385	1997-06-30	VYDAJ	VYBER	15	22213	SLUZBY	\N	\N
114311	385	1997-07-31	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
114312	385	1997-08-31	VYDAJ	VYBER	15	23401	SLUZBY	\N	\N
114313	385	1997-09-30	VYDAJ	VYBER	15	24643	SLUZBY	\N	\N
114314	385	1997-10-31	VYDAJ	VYBER	15	25890	SLUZBY	\N	\N
114315	385	1997-11-30	VYDAJ	VYBER	15	26571	SLUZBY	\N	\N
114316	385	1997-12-31	VYDAJ	VYBER	15	27164	SLUZBY	\N	\N
114317	385	1998-01-31	VYDAJ	VYBER	15	23584	SLUZBY	\N	\N
114318	385	1998-02-28	VYDAJ	VYBER	15	24677	SLUZBY	\N	\N
114319	385	1998-03-31	VYDAJ	VYBER	15	25592	SLUZBY	\N	\N
114320	385	1998-04-30	VYDAJ	VYBER	15	26843	SLUZBY	\N	\N
114321	385	1998-05-31	VYDAJ	VYBER	15	28099	SLUZBY	\N	\N
114322	385	1998-06-30	VYDAJ	VYBER	15	26594	SLUZBY	\N	\N
114323	385	1998-07-31	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
114324	385	1998-08-31	VYDAJ	VYBER	15	26090	SLUZBY	\N	\N
114325	385	1998-09-30	VYDAJ	VYBER	15	27343	SLUZBY	\N	\N
114326	385	1998-10-31	VYDAJ	VYBER	15	28600	SLUZBY	\N	\N
114327	385	1998-11-30	VYDAJ	VYBER	15	28422	SLUZBY	\N	\N
114397	386	1997-08-11	PRIJEM	VKLAD	1000	18757	\N	\N	\N
114405	386	1997-08-11	PRIJEM	VKLAD	17757	17757	\N	\N	\N
114406	386	1997-09-11	PRIJEM	VKLAD	17757	40464	\N	\N	\N
114407	386	1997-10-11	PRIJEM	VKLAD	17757	51658	\N	\N	\N
114408	386	1997-11-11	PRIJEM	VKLAD	17757	58815	\N	\N	\N
114409	386	1997-12-11	PRIJEM	VKLAD	26636	73187	\N	\N	\N
114410	386	1998-01-11	PRIJEM	VKLAD	17757	62904	\N	\N	\N
114411	386	1998-02-11	PRIJEM	VKLAD	17757	59246	\N	\N	\N
114412	386	1998-03-11	PRIJEM	VKLAD	17757	62810	\N	\N	\N
114413	386	1998-04-11	PRIJEM	VKLAD	17757	65390	\N	\N	\N
114414	386	1998-05-11	PRIJEM	VKLAD	17757	68180	\N	\N	\N
114415	386	1998-06-11	PRIJEM	VKLAD	26636	80666	\N	\N	\N
114416	386	1998-07-11	PRIJEM	VKLAD	17757	79608	\N	\N	\N
114417	386	1998-08-11	PRIJEM	VKLAD	17757	76765	\N	\N	\N
114418	386	1998-09-11	PRIJEM	VKLAD	17757	78112	\N	\N	\N
114419	386	1998-10-11	PRIJEM	VKLAD	17757	80360	\N	\N	\N
114420	386	1998-11-11	PRIJEM	VKLAD	17757	78617	\N	\N	\N
114421	386	1998-12-11	PRIJEM	VKLAD	26636	82241	\N	\N	\N
114434	386	1998-01-08	VYDAJ	PREVOD NA UCET	4711	47307	SIPO	CD	39887976
114435	386	1998-02-08	VYDAJ	PREVOD NA UCET	4711	41489	SIPO	CD	39887976
114436	386	1998-03-08	VYDAJ	PREVOD NA UCET	4711	52353	SIPO	CD	39887976
114437	386	1998-04-08	VYDAJ	PREVOD NA UCET	4711	54133	SIPO	CD	39887976
114438	386	1998-05-08	VYDAJ	PREVOD NA UCET	4711	60923	SIPO	CD	39887976
114439	386	1998-06-08	VYDAJ	PREVOD NA UCET	4711	54030	SIPO	CD	39887976
114440	386	1998-07-08	VYDAJ	PREVOD NA UCET	4711	61851	SIPO	CD	39887976
114441	386	1998-08-08	VYDAJ	PREVOD NA UCET	4711	59008	SIPO	CD	39887976
114442	386	1998-09-08	VYDAJ	PREVOD NA UCET	4711	60355	SIPO	CD	39887976
114443	386	1998-10-08	VYDAJ	PREVOD NA UCET	4711	62603	SIPO	CD	39887976
114444	386	1998-11-08	VYDAJ	PREVOD NA UCET	4711	60860	SIPO	CD	39887976
114445	386	1998-12-08	VYDAJ	PREVOD NA UCET	4711	55605	SIPO	CD	39887976
114447	386	1998-12-24	VYDAJ	VYBER KARTOU	1900	80341	\N	\N	0
114454	386	1998-01-25	VYDAJ	VYBER	3240	56064	\N	\N	\N
114455	386	1998-01-04	VYDAJ	VYBER	960	67218	\N	\N	\N
114456	386	1998-01-23	VYDAJ	VYBER	2040	59304	\N	\N	\N
114457	386	1998-01-10	VYDAJ	VYBER	2160	45147	\N	\N	\N
114458	386	1998-01-01	VYDAJ	VYBER	2640	70818	\N	\N	\N
114459	386	1998-01-15	VYDAJ	VYBER	1560	61344	\N	\N	\N
114465	386	1998-05-22	VYDAJ	VYBER	2400	65780	\N	\N	\N
114466	386	1998-03-29	VYDAJ	VYBER	4200	58610	\N	\N	\N
114467	386	1998-11-14	VYDAJ	VYBER KARTOU	3600	75017	\N	\N	0
114468	386	1998-01-01	VYDAJ	VYBER	2640	68178	\N	\N	\N
114469	386	1998-02-19	VYDAJ	VYBER	2400	56846	\N	\N	\N
114482	386	1997-12-31	VYDAJ	VYBER	15	73458	SLUZBY	\N	\N
114483	386	1998-01-31	VYDAJ	VYBER	15	56300	SLUZBY	\N	\N
114484	386	1998-02-28	VYDAJ	VYBER	15	57064	SLUZBY	\N	\N
114485	386	1998-03-31	VYDAJ	VYBER	15	58844	SLUZBY	\N	\N
114486	386	1998-04-30	VYDAJ	VYBER	15	65634	SLUZBY	\N	\N
114487	386	1998-05-31	VYDAJ	VYBER	15	66041	SLUZBY	\N	\N
114488	386	1998-06-30	VYDAJ	VYBER	15	80962	SLUZBY	\N	\N
114489	386	1998-07-31	VYDAJ	VYBER	15	79919	SLUZBY	\N	\N
114490	386	1998-08-31	VYDAJ	VYBER	15	77066	SLUZBY	\N	\N
114491	386	1998-09-30	VYDAJ	VYBER	15	78414	SLUZBY	\N	\N
114492	386	1998-10-31	VYDAJ	VYBER	15	80671	SLUZBY	\N	\N
114493	386	1998-11-30	VYDAJ	VYBER	15	75316	SLUZBY	\N	\N
114494	386	1997-09-10	PRIJEM	VKLAD	3900	22707	\N	\N	\N
114495	386	1997-10-10	VYDAJ	VYBER	6700	33901	\N	\N	\N
114496	386	1997-11-09	VYDAJ	VYBER	10800	41058	\N	\N	\N
114497	386	1997-12-09	VYDAJ	VYBER	12500	46551	\N	\N	\N
114498	386	1998-01-08	VYDAJ	VYBER	15200	52018	\N	\N	\N
114499	386	1998-02-07	VYDAJ	VYBER	10100	46200	\N	\N	\N
114500	386	1998-03-09	VYDAJ	VYBER	7300	45053	\N	\N	\N
114501	386	1998-04-08	VYDAJ	VYBER	6500	47633	\N	\N	\N
114502	386	1998-05-08	VYDAJ	VYBER	10500	50423	\N	\N	\N
114503	386	1998-06-07	VYDAJ	VYBER	7300	58741	\N	\N	\N
114504	386	1998-07-07	VYDAJ	VYBER	14400	66562	\N	\N	\N
114505	386	1998-08-06	VYDAJ	VYBER	16200	63719	\N	\N	\N
114506	386	1998-09-05	VYDAJ	VYBER	12000	65066	\N	\N	\N
114507	386	1998-10-05	VYDAJ	VYBER	11100	67314	\N	\N	\N
114508	386	1998-11-04	VYDAJ	VYBER	15100	65571	\N	\N	\N
114509	386	1998-12-04	VYDAJ	VYBER	15000	60316	\N	\N	\N
114527	387	1997-09-19	PRIJEM	VKLAD	200	200	\N	\N	\N
114529	387	1998-06-17	PRIJEM	VKLAD	22850	41798	\N	\N	\N
114530	387	1998-07-14	PRIJEM	VKLAD	46317	120922	\N	\N	\N
114531	387	1998-07-10	PRIJEM	VKLAD	46197	105105	\N	\N	\N
114532	387	1998-12-20	PRIJEM	VKLAD	10719	51611	\N	\N	\N
114533	387	1998-05-28	PRIJEM	VKLAD	34329	91200	\N	\N	\N
114534	387	1998-04-20	PRIJEM	VKLAD	25567	49543	\N	\N	\N
114535	387	1998-11-15	PRIJEM	VKLAD	47926	64228	\N	\N	\N
114536	387	1998-01-19	PRIJEM	VKLAD	12609	36409	\N	\N	\N
114537	387	1998-04-28	PRIJEM	VKLAD	18337	67880	\N	\N	\N
114538	387	1998-05-08	PRIJEM	VKLAD	34612	102671	\N	\N	\N
114539	387	1998-07-09	PRIJEM	VKLAD	21096	58908	\N	\N	\N
114540	387	1998-10-24	PRIJEM	VKLAD	12006	18760	\N	\N	\N
114550	387	1998-06-02	VYBER	VYBER	21917	69548	\N	\N	\N
114552	387	1998-10-18	VYBER	VYBER	10705	6754	\N	\N	\N
114555	387	1998-06-11	VYDAJ	VYBER	44400	25148	\N	\N	\N
114559	387	1998-12-29	VYDAJ	VYBER	8700	42911	\N	\N	\N
114578	387	1998-07-01	VYDAJ	VYBER	4200	37812	\N	\N	\N
114580	387	1998-07-18	VYDAJ	VYBER	11700	30322	\N	\N	\N
114581	387	1998-09-15	VYDAJ	VYBER	5400	13500	\N	\N	\N
114599	387	1998-05-31	VYDAJ	VYBER	15	91465	SLUZBY	\N	\N
114600	387	1998-06-30	VYDAJ	VYBER	15	42012	SLUZBY	\N	\N
114601	387	1998-07-31	VYDAJ	VYBER	15	30489	SLUZBY	\N	\N
114602	387	1998-08-31	VYDAJ	VYBER	15	22100	SLUZBY	\N	\N
114603	387	1998-09-30	VYDAJ	VYBER	15	13559	SLUZBY	\N	\N
114604	387	1998-10-31	VYDAJ	VYBER	15	18802	SLUZBY	\N	\N
114605	387	1998-11-30	VYDAJ	VYBER	15	64392	SLUZBY	\N	\N
114606	387	1997-10-19	PRIJEM	VKLAD	10200	10400	\N	\N	\N
114607	387	1997-11-18	PRIJEM	VKLAD	7800	18200	\N	\N	\N
114608	387	1997-12-18	PRIJEM	VKLAD	6600	24800	\N	\N	\N
114609	387	1998-01-17	VYDAJ	VYBER	1000	23800	\N	\N	\N
114610	387	1998-02-16	VYDAJ	VYBER	7600	28873	\N	\N	\N
114611	387	1998-03-18	VYDAJ	VYBER	4600	24424	\N	\N	\N
114612	387	1998-04-17	VYDAJ	VYBER	600	23976	\N	\N	\N
114613	387	1998-05-17	VYDAJ	VYBER	45800	56871	\N	\N	\N
114614	387	1998-06-16	VYDAJ	VYBER	6200	18948	\N	\N	\N
114615	387	1998-07-10	VYDAJ	VYBER	30500	74605	\N	\N	\N
114616	387	1998-07-14	VYDAJ	VYBER	45300	75622	\N	\N	\N
114617	387	1998-07-16	VYDAJ	VYBER	33600	42022	\N	\N	\N
114618	387	1998-08-15	VYDAJ	VYBER	8500	21989	\N	\N	\N
114619	387	1998-09-14	VYDAJ	VYBER KARTOU	3200	18900	\N	\N	0
114620	387	1998-10-14	PRIJEM	VKLAD	3900	17459	\N	\N	\N
114621	387	1998-11-13	VYDAJ	VYBER KARTOU	2500	16302	\N	\N	0
114622	387	1998-12-13	VYDAJ	VYBER	23500	40892	\N	\N	\N
114635	388	1995-02-11	PRIJEM	VKLAD	400	400	\N	\N	\N
114638	388	1995-03-06	PRIJEM	VKLAD	10357	10757	\N	\N	\N
114639	388	1995-04-06	PRIJEM	VKLAD	10357	27257	\N	\N	\N
114640	388	1995-05-06	PRIJEM	VKLAD	10357	34704	\N	\N	\N
114641	388	1995-06-06	PRIJEM	VKLAD	15536	46258	\N	\N	\N
114642	388	1995-07-06	PRIJEM	VKLAD	10357	42847	\N	\N	\N
114643	388	1995-08-06	PRIJEM	VKLAD	10357	38590	\N	\N	\N
114644	388	1995-09-06	PRIJEM	VKLAD	10357	32912	\N	\N	\N
114645	388	1995-10-06	PRIJEM	VKLAD	10357	32025	\N	\N	\N
114646	388	1995-11-06	PRIJEM	VKLAD	10357	32839	\N	\N	\N
114647	388	1995-12-06	PRIJEM	VKLAD	15536	28630	\N	\N	\N
114648	388	1996-01-06	PRIJEM	VKLAD	10357	24432	\N	\N	\N
114649	388	1996-02-06	PRIJEM	VKLAD	10357	23424	\N	\N	\N
114650	388	1996-03-06	PRIJEM	VKLAD	10357	24519	\N	\N	\N
114651	388	1996-04-06	PRIJEM	VKLAD	10357	29719	\N	\N	\N
114652	388	1996-05-06	PRIJEM	VKLAD	10357	28227	\N	\N	\N
114653	388	1996-06-06	PRIJEM	VKLAD	15536	38504	\N	\N	\N
114654	388	1996-07-06	PRIJEM	VKLAD	10357	33521	\N	\N	\N
114655	388	1996-08-06	PRIJEM	VKLAD	10357	34749	\N	\N	\N
114656	388	1996-09-06	PRIJEM	VKLAD	10357	35789	\N	\N	\N
114657	388	1996-10-06	PRIJEM	VKLAD	10357	37335	\N	\N	\N
114658	388	1996-11-06	PRIJEM	VKLAD	10357	32486	\N	\N	\N
114659	388	1996-12-06	PRIJEM	VKLAD	15536	42097	\N	\N	\N
114660	388	1997-01-06	PRIJEM	VKLAD	10357	30464	\N	\N	\N
114661	388	1997-02-06	PRIJEM	VKLAD	10357	33778	\N	\N	\N
114662	388	1997-03-06	PRIJEM	VKLAD	10357	42703	\N	\N	\N
114663	388	1997-04-06	PRIJEM	VKLAD	10357	48472	\N	\N	\N
114664	388	1997-05-06	PRIJEM	VKLAD	10357	52267	\N	\N	\N
114665	388	1997-06-06	PRIJEM	VKLAD	15536	53955	\N	\N	\N
114666	388	1997-07-06	PRIJEM	VKLAD	10357	36802	\N	\N	\N
114667	388	1997-08-06	PRIJEM	VKLAD	10357	43552	\N	\N	\N
114668	388	1997-09-06	PRIJEM	VKLAD	10357	51420	\N	\N	\N
114669	388	1997-10-06	PRIJEM	VKLAD	10357	55915	\N	\N	\N
114670	388	1997-11-06	PRIJEM	VKLAD	10357	55630	\N	\N	\N
114671	388	1997-12-06	PRIJEM	VKLAD	15536	58424	\N	\N	\N
114672	388	1998-01-06	PRIJEM	VKLAD	10357	59459	\N	\N	\N
114673	388	1998-02-06	PRIJEM	VKLAD	10357	52674	\N	\N	\N
114674	388	1998-03-06	PRIJEM	VKLAD	10357	58284	\N	\N	\N
114675	388	1998-04-06	PRIJEM	VKLAD	10357	62406	\N	\N	\N
114676	388	1998-05-06	PRIJEM	VKLAD	10357	70152	\N	\N	\N
114677	388	1998-06-06	PRIJEM	VKLAD	15536	81309	\N	\N	\N
114678	388	1998-07-06	PRIJEM	VKLAD	10357	75208	\N	\N	\N
114679	388	1998-08-06	PRIJEM	VKLAD	10357	82608	\N	\N	\N
114680	388	1998-09-06	PRIJEM	VKLAD	10357	89039	\N	\N	\N
114681	388	1998-10-06	PRIJEM	VKLAD	10357	95896	\N	\N	\N
114682	388	1998-11-06	PRIJEM	VKLAD	10357	101481	\N	\N	\N
114683	388	1998-12-06	PRIJEM	VKLAD	15536	106060	\N	\N	\N
114690	388	1995-07-13	VYDAJ	PREVOD NA UCET	6524	28123	SIPO	CD	48455613
114691	388	1995-08-13	VYDAJ	PREVOD NA UCET	6524	22466	SIPO	CD	48455613
114692	388	1995-09-13	VYDAJ	PREVOD NA UCET	6524	21588	SIPO	CD	48455613
114693	388	1995-10-13	VYDAJ	PREVOD NA UCET	6524	22401	SIPO	CD	48455613
114694	388	1995-11-13	VYDAJ	PREVOD NA UCET	6524	23215	SIPO	CD	48455613
114695	388	1995-12-13	VYDAJ	PREVOD NA UCET	6524	20906	SIPO	CD	48455613
114696	388	1996-01-13	VYDAJ	PREVOD NA UCET	6524	14808	SIPO	CD	48455613
114697	388	1996-02-13	VYDAJ	PREVOD NA UCET	6524	18600	SIPO	CD	48455613
114698	388	1996-03-13	VYDAJ	PREVOD NA UCET	6524	19295	SIPO	CD	48455613
114699	388	1996-04-13	VYDAJ	PREVOD NA UCET	6524	20095	SIPO	CD	48455613
114700	388	1996-05-13	VYDAJ	PREVOD NA UCET	6524	18603	SIPO	CD	48455613
114701	388	1996-06-13	VYDAJ	PREVOD NA UCET	6524	31980	SIPO	CD	48455613
114702	388	1996-07-13	VYDAJ	PREVOD NA UCET	6524	26997	SIPO	CD	48455613
114703	388	1996-08-13	VYDAJ	PREVOD NA UCET	6524	28225	SIPO	CD	48455613
114704	388	1996-09-13	VYDAJ	PREVOD NA UCET	6524	29265	SIPO	CD	48455613
114705	388	1996-10-13	VYDAJ	PREVOD NA UCET	6524	30811	SIPO	CD	48455613
114706	388	1996-11-13	VYDAJ	PREVOD NA UCET	6524	25962	SIPO	CD	48455613
114707	388	1996-12-13	VYDAJ	PREVOD NA UCET	6524	35573	SIPO	CD	48455613
114708	388	1997-01-13	VYDAJ	PREVOD NA UCET	6524	23940	SIPO	CD	48455613
114709	388	1997-02-13	VYDAJ	PREVOD NA UCET	6524	27254	SIPO	CD	48455613
114710	388	1997-03-13	VYDAJ	PREVOD NA UCET	6524	36179	SIPO	CD	48455613
114711	388	1997-04-13	VYDAJ	PREVOD NA UCET	6524	41948	SIPO	CD	48455613
114712	388	1997-05-13	VYDAJ	PREVOD NA UCET	6524	45743	SIPO	CD	48455613
114713	388	1997-06-13	VYDAJ	PREVOD NA UCET	6524	27131	SIPO	CD	48455613
114714	388	1997-07-13	VYDAJ	PREVOD NA UCET	6524	30278	SIPO	CD	48455613
114715	388	1997-08-13	VYDAJ	PREVOD NA UCET	6524	37028	SIPO	CD	48455613
114716	388	1997-09-13	VYDAJ	PREVOD NA UCET	6524	42396	SIPO	CD	48455613
114717	388	1997-10-13	VYDAJ	PREVOD NA UCET	6524	49391	SIPO	CD	48455613
114718	388	1997-11-13	VYDAJ	PREVOD NA UCET	6524	49106	SIPO	CD	48455613
114719	388	1997-12-13	VYDAJ	PREVOD NA UCET	6524	51900	SIPO	CD	48455613
114720	388	1998-01-13	VYDAJ	PREVOD NA UCET	6524	51235	SIPO	CD	48455613
114721	388	1998-02-13	VYDAJ	PREVOD NA UCET	6524	44050	SIPO	CD	48455613
114722	388	1998-03-13	VYDAJ	PREVOD NA UCET	6524	46560	SIPO	CD	48455613
114723	388	1998-04-13	VYDAJ	PREVOD NA UCET	6524	55882	SIPO	CD	48455613
114724	388	1998-05-13	VYDAJ	PREVOD NA UCET	6524	63628	SIPO	CD	48455613
114725	388	1998-06-13	VYDAJ	PREVOD NA UCET	6524	74785	SIPO	CD	48455613
114726	388	1998-07-13	VYDAJ	PREVOD NA UCET	6524	68684	SIPO	CD	48455613
114727	388	1998-08-13	VYDAJ	PREVOD NA UCET	6524	76084	SIPO	CD	48455613
114728	388	1998-09-13	VYDAJ	PREVOD NA UCET	6524	82515	SIPO	CD	48455613
114729	388	1998-10-13	VYDAJ	PREVOD NA UCET	6524	89372	SIPO	CD	48455613
114730	388	1998-11-13	VYDAJ	PREVOD NA UCET	6524	94957	SIPO	CD	48455613
114731	388	1998-12-13	VYDAJ	PREVOD NA UCET	6524	99536	SIPO	CD	48455613
114733	388	1996-06-17	VYDAJ	VYBER	15100	16880	\N	\N	\N
114734	388	1997-06-09	VYDAJ	VYBER	20300	33655	\N	\N	\N
114735	388	1998-06-22	VYDAJ	VYBER	13300	61485	\N	\N	\N
114737	388	1996-01-05	VYDAJ	VYBER	6900	14075	\N	\N	\N
114738	388	1997-01-24	VYDAJ	VYBER	8000	14440	\N	\N	\N
114739	388	1998-01-21	VYDAJ	VYBER	5900	40535	\N	\N	\N
114746	388	1996-01-12	VYDAJ	VYBER	2800	21332	\N	\N	\N
114747	388	1996-01-11	VYDAJ	VYBER	1000	24132	\N	\N	\N
114748	388	1996-01-10	VYDAJ	VYBER	2100	25132	\N	\N	\N
114750	388	1996-01-25	VYDAJ	VYBER	1100	13008	\N	\N	\N
114751	388	1996-01-15	VYDAJ	VYBER	700	14108	\N	\N	\N
114752	388	1997-01-03	VYDAJ	VYBER	1100	23507	\N	\N	\N
114753	388	1997-01-18	VYDAJ	VYBER	700	22440	\N	\N	\N
114754	388	1997-01-03	VYDAJ	VYBER	2300	21207	\N	\N	\N
114756	388	1997-01-13	VYDAJ	VYBER	800	23140	\N	\N	\N
114757	388	1997-01-05	VYDAJ	VYBER	1100	20107	\N	\N	\N
114758	388	1998-01-22	VYDAJ	VYBER	2300	35935	\N	\N	\N
114759	388	1998-01-18	VYDAJ	VYBER	1500	46435	\N	\N	\N
114760	388	1998-01-24	VYDAJ	VYBER	2400	33535	\N	\N	\N
114761	388	1998-01-10	VYDAJ	VYBER	600	57759	\N	\N	\N
114762	388	1998-01-21	VYDAJ	VYBER	2300	38235	\N	\N	\N
114763	388	1998-01-07	VYDAJ	VYBER	1100	58359	\N	\N	\N
114764	388	1995-11-26	VYDAJ	VYBER	4200	17015	\N	\N	\N
114766	388	1995-11-23	VYDAJ	VYBER	2000	21215	\N	\N	\N
114767	388	1995-11-27	VYDAJ	VYBER	4000	13015	\N	\N	\N
114769	388	1996-05-17	VYDAJ	VYBER	2500	16103	\N	\N	\N
114770	388	1996-05-03	VYDAJ	VYBER	2300	17870	\N	\N	\N
114771	388	1996-11-04	VYDAJ	VYBER	3100	22129	\N	\N	\N
114772	388	1996-12-01	VYDAJ	VYBER	2300	23761	\N	\N	\N
114773	388	1996-02-25	VYDAJ	VYBER	4500	14100	\N	\N	\N
114774	388	1996-07-24	VYDAJ	VYBER	2100	24897	\N	\N	\N
114775	388	1996-11-01	VYDAJ	VYBER	4100	26829	\N	\N	\N
114776	388	1997-05-28	VYDAJ	VYBER	4800	40943	\N	\N	\N
114777	388	1997-12-04	VYDAJ	VYBER	4400	42888	\N	\N	\N
114778	388	1997-01-02	VYDAJ	VYBER	4600	24607	\N	\N	\N
114779	388	1997-07-04	VYDAJ	VYBER	2800	26445	\N	\N	\N
114780	388	1997-09-11	VYDAJ	VYBER	2500	48920	\N	\N	\N
114781	388	1998-01-17	VYDAJ	VYBER	3300	47935	\N	\N	\N
114782	388	1998-03-08	VYDAJ	VYBER	3700	54584	\N	\N	\N
114783	388	1998-02-06	VYDAJ	VYBER	2100	50574	\N	\N	\N
114784	388	1998-03-12	VYDAJ	VYBER	1500	53084	\N	\N	\N
114792	388	1995-07-31	VYDAJ	VYBER	15	28233	SLUZBY	\N	\N
114793	388	1995-08-31	VYDAJ	VYBER	15	22555	SLUZBY	\N	\N
114794	388	1995-09-30	VYDAJ	VYBER	15	21668	SLUZBY	\N	\N
114795	388	1995-10-31	VYDAJ	VYBER	15	22482	SLUZBY	\N	\N
114796	388	1995-11-30	VYDAJ	VYBER	15	13094	SLUZBY	\N	\N
114797	388	1995-12-31	VYDAJ	VYBER	15	20975	SLUZBY	\N	\N
114798	388	1996-01-31	VYDAJ	VYBER	15	13067	SLUZBY	\N	\N
114799	388	1996-02-29	VYDAJ	VYBER	15	14162	SLUZBY	\N	\N
114800	388	1996-03-31	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
114801	388	1996-04-30	VYDAJ	VYBER	15	20170	SLUZBY	\N	\N
114802	388	1996-05-31	VYDAJ	VYBER	15	16168	SLUZBY	\N	\N
114803	388	1996-06-30	VYDAJ	VYBER	15	16964	SLUZBY	\N	\N
114804	388	1996-07-31	VYDAJ	VYBER	15	24992	SLUZBY	\N	\N
114805	388	1996-08-31	VYDAJ	VYBER	15	28332	SLUZBY	\N	\N
114806	388	1996-09-30	VYDAJ	VYBER	15	29378	SLUZBY	\N	\N
114807	388	1996-10-31	VYDAJ	VYBER	15	30929	SLUZBY	\N	\N
114808	388	1996-11-30	VYDAJ	VYBER	15	26061	SLUZBY	\N	\N
114809	388	1996-12-31	VYDAJ	VYBER	15	35707	SLUZBY	\N	\N
114810	388	1997-01-31	VYDAJ	VYBER	15	23421	SLUZBY	\N	\N
114811	388	1997-02-28	VYDAJ	VYBER	15	27346	SLUZBY	\N	\N
114812	388	1997-03-31	VYDAJ	VYBER	15	36315	SLUZBY	\N	\N
114813	388	1997-04-30	VYDAJ	VYBER	15	42110	SLUZBY	\N	\N
114814	388	1997-05-31	VYDAJ	VYBER	15	38419	SLUZBY	\N	\N
114815	388	1997-06-30	VYDAJ	VYBER	15	29245	SLUZBY	\N	\N
114816	388	1997-07-31	VYDAJ	VYBER	15	33195	SLUZBY	\N	\N
114817	388	1997-08-31	VYDAJ	VYBER	15	41063	SLUZBY	\N	\N
114818	388	1997-09-30	VYDAJ	VYBER	15	45558	SLUZBY	\N	\N
114819	388	1997-10-31	VYDAJ	VYBER	15	45273	SLUZBY	\N	\N
114820	388	1997-11-30	VYDAJ	VYBER	15	47288	SLUZBY	\N	\N
114821	388	1997-12-31	VYDAJ	VYBER	15	49102	SLUZBY	\N	\N
114822	388	1998-01-31	VYDAJ	VYBER	15	42317	SLUZBY	\N	\N
114823	388	1998-02-28	VYDAJ	VYBER	15	47927	SLUZBY	\N	\N
114824	388	1998-03-31	VYDAJ	VYBER	15	52049	SLUZBY	\N	\N
114825	388	1998-04-30	VYDAJ	VYBER	15	59795	SLUZBY	\N	\N
114826	388	1998-05-31	VYDAJ	VYBER	15	65773	SLUZBY	\N	\N
114827	388	1998-06-30	VYDAJ	VYBER	15	64851	SLUZBY	\N	\N
114828	388	1998-07-31	VYDAJ	VYBER	15	72251	SLUZBY	\N	\N
114829	388	1998-08-31	VYDAJ	VYBER	15	78682	SLUZBY	\N	\N
114830	388	1998-09-30	VYDAJ	VYBER	15	85539	SLUZBY	\N	\N
114831	388	1998-10-31	VYDAJ	VYBER	15	91124	SLUZBY	\N	\N
114832	388	1998-11-30	VYDAJ	VYBER	15	90524	SLUZBY	\N	\N
114833	388	1995-03-13	PRIJEM	VKLAD	6100	16857	\N	\N	\N
114834	388	1995-04-12	VYDAJ	VYBER	3000	24257	\N	\N	\N
114835	388	1995-05-12	VYDAJ	VYBER	4100	30604	\N	\N	\N
114836	388	1995-06-11	VYDAJ	VYBER	13900	32358	\N	\N	\N
114837	388	1995-07-11	VYDAJ	VYBER	8200	34647	\N	\N	\N
114838	388	1995-08-10	VYDAJ	VYBER	9600	28990	\N	\N	\N
114839	388	1995-09-09	VYDAJ	VYBER	4800	28112	\N	\N	\N
114840	388	1995-10-09	VYDAJ	VYBER	3100	28925	\N	\N	\N
114841	388	1995-11-08	VYDAJ	VYBER	3100	29739	\N	\N	\N
114842	388	1995-12-08	VYDAJ	VYBER	1200	27430	\N	\N	\N
114843	388	1996-01-07	PRIJEM	VKLAD	2800	27232	\N	\N	\N
114844	388	1996-02-06	PRIJEM	VKLAD	1700	25124	\N	\N	\N
114845	388	1996-03-07	PRIJEM	VKLAD	1300	25819	\N	\N	\N
114846	388	1996-04-06	VYDAJ	VYBER	3100	26619	\N	\N	\N
114847	388	1996-05-06	VYDAJ	VYBER	3100	25127	\N	\N	\N
114848	388	1996-06-05	PRIJEM	VKLAD	6800	22968	\N	\N	\N
114849	388	1996-07-05	PRIJEM	VKLAD	6200	23164	\N	\N	\N
114850	388	1996-08-04	VYDAJ	VYBER	600	24392	\N	\N	\N
114851	388	1996-09-03	VYDAJ	VYBER	2900	25432	\N	\N	\N
114852	388	1996-10-03	VYDAJ	VYBER	2400	26978	\N	\N	\N
114853	388	1996-11-02	VYDAJ	VYBER	1600	25229	\N	\N	\N
114854	388	1996-12-02	PRIJEM	VKLAD	2800	26561	\N	\N	\N
114855	388	1997-01-01	VYDAJ	VYBER	6500	29207	\N	\N	\N
114856	388	1997-01-31	PRIJEM	VKLAD	8900	23435	\N	\N	\N
114857	388	1997-03-02	PRIJEM	VKLAD	5000	32346	\N	\N	\N
114858	388	1997-04-01	PRIJEM	VKLAD	1800	38115	\N	\N	\N
114859	388	1997-05-01	VYDAJ	VYBER	200	41910	\N	\N	\N
114860	388	1997-05-31	VYDAJ	VYBER	2700	38434	\N	\N	\N
114861	388	1997-06-30	PRIJEM	VKLAD	2000	29131	\N	\N	\N
114862	388	1997-07-30	PRIJEM	VKLAD	2800	33078	\N	\N	\N
114863	388	1997-08-29	PRIJEM	VKLAD	3900	40928	\N	\N	\N
114864	388	1997-09-28	PRIJEM	VKLAD	3000	45396	\N	\N	\N
114865	388	1997-10-28	VYDAJ	VYBER	4300	45091	\N	\N	\N
114866	388	1997-11-27	VYDAJ	VYBER	2000	47106	\N	\N	\N
114867	388	1997-12-27	VYDAJ	VYBER	3000	48900	\N	\N	\N
114868	388	1998-01-26	PRIJEM	VKLAD	8600	42135	\N	\N	\N
114869	388	1998-02-25	PRIJEM	VKLAD	3700	47750	\N	\N	\N
114870	388	1998-03-27	PRIJEM	VKLAD	5300	51860	\N	\N	\N
114871	388	1998-04-26	PRIJEM	VKLAD	3700	59582	\N	\N	\N
114872	388	1998-05-26	PRIJEM	VKLAD	1900	65528	\N	\N	\N
114873	388	1998-06-25	PRIJEM	VKLAD	3100	64585	\N	\N	\N
114874	388	1998-07-25	PRIJEM	VKLAD	3300	71984	\N	\N	\N
114875	388	1998-08-24	PRIJEM	VKLAD	2300	78384	\N	\N	\N
114876	388	1998-09-23	PRIJEM	VKLAD	2700	85215	\N	\N	\N
114877	388	1998-10-23	PRIJEM	VKLAD	1400	90772	\N	\N	\N
114878	388	1998-11-22	VYDAJ	VYBER	4800	90157	\N	\N	\N
114925	389	1993-08-28	PRIJEM	VKLAD	300	300	\N	\N	\N
114934	389	1993-09-14	PRIJEM	VKLAD	6247	6547	\N	\N	\N
114935	389	1993-10-14	PRIJEM	VKLAD	6247	21402	\N	\N	\N
114936	389	1993-11-14	PRIJEM	VKLAD	6247	30819	\N	\N	\N
114937	389	1993-12-14	PRIJEM	VKLAD	9371	36793	\N	\N	\N
114938	389	1994-01-14	PRIJEM	VKLAD	6247	37757	\N	\N	\N
114939	389	1994-02-14	PRIJEM	VKLAD	6247	25179	\N	\N	\N
114940	389	1994-03-14	PRIJEM	VKLAD	6247	24847	\N	\N	\N
114941	389	1994-04-14	PRIJEM	VKLAD	6247	27811	\N	\N	\N
114942	389	1994-05-14	PRIJEM	VKLAD	6247	27424	\N	\N	\N
114943	389	1994-06-14	PRIJEM	VKLAD	9371	31925	\N	\N	\N
114944	389	1994-07-14	PRIJEM	VKLAD	6247	31910	\N	\N	\N
114945	389	1994-08-14	PRIJEM	VKLAD	6247	32702	\N	\N	\N
114946	389	1994-09-14	PRIJEM	VKLAD	6247	28891	\N	\N	\N
114947	389	1994-10-14	PRIJEM	VKLAD	6247	29569	\N	\N	\N
114948	389	1994-11-14	PRIJEM	VKLAD	6247	29550	\N	\N	\N
114949	389	1994-12-14	PRIJEM	VKLAD	9371	33855	\N	\N	\N
114950	389	1995-01-14	PRIJEM	VKLAD	6247	27383	\N	\N	\N
114951	389	1995-02-14	PRIJEM	VKLAD	6247	19047	\N	\N	\N
114952	389	1995-03-14	PRIJEM	VKLAD	6247	24437	\N	\N	\N
114953	389	1995-04-14	PRIJEM	VKLAD	6247	23297	\N	\N	\N
114954	389	1995-05-14	PRIJEM	VKLAD	6247	28258	\N	\N	\N
114955	389	1995-06-14	PRIJEM	VKLAD	9371	27529	\N	\N	\N
114956	389	1995-07-14	PRIJEM	VKLAD	6247	21271	\N	\N	\N
114957	389	1995-08-14	PRIJEM	VKLAD	6247	25625	\N	\N	\N
114958	389	1995-09-14	PRIJEM	VKLAD	6247	22009	\N	\N	\N
114959	389	1995-10-14	PRIJEM	VKLAD	6247	25267	\N	\N	\N
114960	389	1995-11-14	PRIJEM	VKLAD	6247	25031	\N	\N	\N
114961	389	1995-12-14	PRIJEM	VKLAD	9371	26355	\N	\N	\N
114962	389	1996-01-14	PRIJEM	VKLAD	6247	26056	\N	\N	\N
114963	389	1996-02-14	PRIJEM	VKLAD	6247	16809	\N	\N	\N
114964	389	1996-03-14	PRIJEM	VKLAD	6247	17924	\N	\N	\N
114965	389	1996-04-14	PRIJEM	VKLAD	6247	21482	\N	\N	\N
114966	389	1996-05-14	PRIJEM	VKLAD	6247	23613	\N	\N	\N
114967	389	1996-06-14	PRIJEM	VKLAD	9371	27798	\N	\N	\N
114968	389	1996-07-14	PRIJEM	VKLAD	6247	25665	\N	\N	\N
114969	389	1996-08-14	PRIJEM	VKLAD	6247	22438	\N	\N	\N
114970	389	1996-09-14	PRIJEM	VKLAD	6247	19072	\N	\N	\N
114971	389	1996-10-14	PRIJEM	VKLAD	6247	16530	\N	\N	\N
114972	389	1996-11-14	PRIJEM	VKLAD	6247	18665	\N	\N	\N
114973	389	1996-12-14	PRIJEM	VKLAD	9371	24326	\N	\N	\N
114974	389	1997-01-14	PRIJEM	VKLAD	6247	19342	\N	\N	\N
114975	389	1997-02-14	PRIJEM	VKLAD	6247	19359	\N	\N	\N
114976	389	1997-03-14	PRIJEM	VKLAD	6247	20497	\N	\N	\N
114977	389	1997-04-14	PRIJEM	VKLAD	6247	23243	\N	\N	\N
114978	389	1997-05-14	PRIJEM	VKLAD	6247	23199	\N	\N	\N
114979	389	1997-06-14	PRIJEM	VKLAD	9371	27482	\N	\N	\N
114980	389	1997-07-14	PRIJEM	VKLAD	6247	23950	\N	\N	\N
114981	389	1997-08-14	PRIJEM	VKLAD	6247	18786	\N	\N	\N
114982	389	1997-09-14	PRIJEM	VKLAD	6247	22223	\N	\N	\N
114983	389	1997-10-14	PRIJEM	VKLAD	6247	23773	\N	\N	\N
114984	389	1997-11-14	PRIJEM	VKLAD	6247	23135	\N	\N	\N
114985	389	1997-12-14	PRIJEM	VKLAD	9371	28016	\N	\N	\N
114986	389	1998-01-14	PRIJEM	VKLAD	6247	19233	\N	\N	\N
114987	389	1998-02-14	PRIJEM	VKLAD	6247	18671	\N	\N	\N
114988	389	1998-03-14	PRIJEM	VKLAD	6247	22007	\N	\N	\N
114989	389	1998-04-14	PRIJEM	VKLAD	6247	20756	\N	\N	\N
114990	389	1998-05-14	PRIJEM	VKLAD	6247	20206	\N	\N	\N
114991	389	1998-06-14	PRIJEM	VKLAD	9371	21073	\N	\N	\N
114992	389	1998-07-14	PRIJEM	VKLAD	6247	15372	\N	\N	\N
114993	389	1998-08-14	PRIJEM	VKLAD	6247	17899	\N	\N	\N
114994	389	1998-09-14	PRIJEM	VKLAD	6247	17231	\N	\N	\N
114995	389	1998-10-14	PRIJEM	VKLAD	6247	21063	\N	\N	\N
114996	389	1998-11-14	PRIJEM	VKLAD	6247	21408	\N	\N	\N
114997	389	1998-12-14	PRIJEM	VKLAD	9371	22280	\N	\N	\N
115011	389	1994-02-06	VYDAJ	PREVOD NA UCET	884	26892	SIPO	KL	8779210
115012	389	1994-03-06	VYDAJ	PREVOD NA UCET	884	21880	SIPO	KL	8779210
115013	389	1994-04-06	VYDAJ	PREVOD NA UCET	884	21564	SIPO	KL	8779210
115014	389	1994-05-06	VYDAJ	PREVOD NA UCET	884	24457	SIPO	KL	8779210
115015	389	1994-06-06	VYDAJ	PREVOD NA UCET	884	25834	SIPO	KL	8779210
115016	389	1994-07-06	VYDAJ	PREVOD NA UCET	884	28943	SIPO	KL	8779210
115017	389	1994-08-06	VYDAJ	PREVOD NA UCET	884	26455	SIPO	KL	8779210
115018	389	1994-09-06	VYDAJ	PREVOD NA UCET	884	25924	SIPO	KL	8779210
115019	389	1994-10-06	VYDAJ	PREVOD NA UCET	884	26602	SIPO	KL	8779210
115020	389	1994-11-06	VYDAJ	PREVOD NA UCET	884	26583	SIPO	KL	8779210
115021	389	1994-12-06	VYDAJ	PREVOD NA UCET	884	27764	SIPO	KL	8779210
115022	389	1995-01-06	VYDAJ	PREVOD NA UCET	884	24416	SIPO	KL	8779210
115023	389	1995-02-06	VYDAJ	PREVOD NA UCET	884	16080	SIPO	KL	8779210
115024	389	1995-03-06	VYDAJ	PREVOD NA UCET	884	20350	SIPO	KL	8779210
115025	389	1995-04-06	VYDAJ	PREVOD NA UCET	884	20330	SIPO	KL	8779210
115026	389	1995-05-06	VYDAJ	PREVOD NA UCET	884	25291	SIPO	KL	8779210
115027	389	1995-06-06	VYDAJ	PREVOD NA UCET	884	21438	SIPO	KL	8779210
115028	389	1995-07-06	VYDAJ	PREVOD NA UCET	884	15024	SIPO	KL	8779210
115029	389	1995-08-06	VYDAJ	PREVOD NA UCET	884	19378	SIPO	KL	8779210
115030	389	1995-09-06	VYDAJ	PREVOD NA UCET	884	20442	SIPO	KL	8779210
115031	389	1995-10-06	VYDAJ	PREVOD NA UCET	884	22300	SIPO	KL	8779210
115032	389	1995-11-06	VYDAJ	PREVOD NA UCET	884	22064	SIPO	KL	8779210
115033	389	1995-12-06	VYDAJ	PREVOD NA UCET	884	20265	SIPO	KL	8779210
115034	389	1996-01-06	VYDAJ	PREVOD NA UCET	884	19809	SIPO	KL	8779210
115035	389	1996-02-06	VYDAJ	PREVOD NA UCET	884	13842	SIPO	KL	8779210
115036	389	1996-03-06	VYDAJ	PREVOD NA UCET	884	14957	SIPO	KL	8779210
115037	389	1996-04-06	VYDAJ	PREVOD NA UCET	884	14515	SIPO	KL	8779210
115038	389	1996-05-06	VYDAJ	PREVOD NA UCET	884	20646	SIPO	KL	8779210
115039	389	1996-06-06	VYDAJ	PREVOD NA UCET	884	20507	SIPO	KL	8779210
115040	389	1996-07-06	VYDAJ	PREVOD NA UCET	884	23718	SIPO	KL	8779210
115041	389	1996-08-06	VYDAJ	PREVOD NA UCET	884	21591	SIPO	KL	8779210
115042	389	1996-09-06	VYDAJ	PREVOD NA UCET	884	12825	SIPO	KL	8779210
115043	389	1996-10-06	VYDAJ	PREVOD NA UCET	884	13563	SIPO	KL	8779210
115044	389	1996-11-06	VYDAJ	PREVOD NA UCET	884	12418	SIPO	KL	8779210
115045	389	1996-12-06	VYDAJ	PREVOD NA UCET	884	17835	SIPO	KL	8779210
115046	389	1997-01-06	VYDAJ	PREVOD NA UCET	884	17875	SIPO	KL	8779210
115047	389	1997-02-06	VYDAJ	PREVOD NA UCET	884	12112	SIPO	KL	8779210
115048	389	1997-03-06	VYDAJ	PREVOD NA UCET	884	15250	SIPO	KL	8779210
115049	389	1997-04-06	VYDAJ	PREVOD NA UCET	884	19676	SIPO	KL	8779210
115050	389	1997-05-06	VYDAJ	PREVOD NA UCET	884	22432	SIPO	KL	8779210
115051	389	1997-06-06	VYDAJ	PREVOD NA UCET	884	19111	SIPO	KL	8779210
115052	389	1997-07-06	VYDAJ	PREVOD NA UCET	884	26683	SIPO	KL	8779210
115053	389	1997-08-06	VYDAJ	PREVOD NA UCET	884	12539	SIPO	KL	8779210
115054	389	1997-09-06	VYDAJ	PREVOD NA UCET	884	15976	SIPO	KL	8779210
115055	389	1997-10-06	VYDAJ	PREVOD NA UCET	884	21406	SIPO	KL	8779210
115056	389	1997-11-06	VYDAJ	PREVOD NA UCET	884	16888	SIPO	KL	8779210
115057	389	1997-12-06	VYDAJ	PREVOD NA UCET	884	21926	SIPO	KL	8779210
115058	389	1998-01-06	VYDAJ	PREVOD NA UCET	884	16266	SIPO	KL	8779210
115059	389	1998-02-06	VYDAJ	PREVOD NA UCET	884	12424	SIPO	KL	8779210
115060	389	1998-03-06	VYDAJ	PREVOD NA UCET	884	15760	SIPO	KL	8779210
115061	389	1998-04-06	VYDAJ	PREVOD NA UCET	884	17789	SIPO	KL	8779210
115062	389	1998-05-06	VYDAJ	PREVOD NA UCET	884	13959	SIPO	KL	8779210
115063	389	1998-06-06	VYDAJ	PREVOD NA UCET	884	11703	SIPO	KL	8779210
115064	389	1998-07-06	VYDAJ	PREVOD NA UCET	884	12405	SIPO	KL	8779210
115065	389	1998-08-06	VYDAJ	PREVOD NA UCET	884	11652	SIPO	KL	8779210
115066	389	1998-09-06	VYDAJ	PREVOD NA UCET	884	10984	SIPO	KL	8779210
115067	389	1998-10-06	VYDAJ	PREVOD NA UCET	884	14816	SIPO	KL	8779210
115068	389	1998-11-06	VYDAJ	PREVOD NA UCET	884	15161	SIPO	KL	8779210
115069	389	1998-12-06	VYDAJ	PREVOD NA UCET	884	12910	SIPO	KL	8779210
115083	389	1994-02-06	VYDAJ	PREVOD NA UCET	3280	23612	 	WX	25948596
115084	389	1994-03-06	VYDAJ	PREVOD NA UCET	3280	18600	 	WX	25948596
115085	389	1994-04-06	VYDAJ	PREVOD NA UCET	3280	22448	 	WX	25948596
115086	389	1994-05-06	VYDAJ	PREVOD NA UCET	3280	21177	 	WX	25948596
115087	389	1994-06-06	VYDAJ	PREVOD NA UCET	3280	22554	 	WX	25948596
115088	389	1994-07-06	VYDAJ	PREVOD NA UCET	3280	25663	 	WX	25948596
115089	389	1994-08-06	VYDAJ	PREVOD NA UCET	3280	27339	 	WX	25948596
115090	389	1994-09-06	VYDAJ	PREVOD NA UCET	3280	22644	 	WX	25948596
115091	389	1994-10-06	VYDAJ	PREVOD NA UCET	3280	23322	 	WX	25948596
115092	389	1994-11-06	VYDAJ	PREVOD NA UCET	3280	23303	 	WX	25948596
115093	389	1994-12-06	VYDAJ	PREVOD NA UCET	3280	24484	 	WX	25948596
115094	389	1995-01-06	VYDAJ	PREVOD NA UCET	3280	21136	 	WX	25948596
115095	389	1995-02-06	VYDAJ	PREVOD NA UCET	3280	12800	 	WX	25948596
115096	389	1995-03-06	VYDAJ	PREVOD NA UCET	3280	21234	 	WX	25948596
115097	389	1995-04-06	VYDAJ	PREVOD NA UCET	3280	17050	 	WX	25948596
115098	389	1995-05-06	VYDAJ	PREVOD NA UCET	3280	22011	 	WX	25948596
115099	389	1995-06-06	VYDAJ	PREVOD NA UCET	3280	18158	 	WX	25948596
115100	389	1995-07-06	VYDAJ	PREVOD NA UCET	3280	15908	 	WX	25948596
115101	389	1995-08-06	VYDAJ	PREVOD NA UCET	3280	20262	 	WX	25948596
115102	389	1995-09-06	VYDAJ	PREVOD NA UCET	3280	21326	 	WX	25948596
115103	389	1995-10-06	VYDAJ	PREVOD NA UCET	3280	19020	 	WX	25948596
115104	389	1995-11-06	VYDAJ	PREVOD NA UCET	3280	18784	 	WX	25948596
115105	389	1995-12-06	VYDAJ	PREVOD NA UCET	3280	16985	 	WX	25948596
115106	389	1996-01-06	VYDAJ	PREVOD NA UCET	3280	20693	 	WX	25948596
115107	389	1996-02-06	VYDAJ	PREVOD NA UCET	3280	10562	 	WX	25948596
115108	389	1996-03-06	VYDAJ	PREVOD NA UCET	3280	11677	 	WX	25948596
115109	389	1996-04-06	VYDAJ	PREVOD NA UCET	3280	11235	 	WX	25948596
115110	389	1996-05-06	VYDAJ	PREVOD NA UCET	3280	17366	 	WX	25948596
115111	389	1996-06-06	VYDAJ	PREVOD NA UCET	3280	17227	 	WX	25948596
115112	389	1996-07-06	VYDAJ	PREVOD NA UCET	3280	24602	 	WX	25948596
115113	389	1996-08-06	VYDAJ	PREVOD NA UCET	3280	22475	 	WX	25948596
115114	389	1996-09-06	VYDAJ	PREVOD NA UCET	3280	13709	 	WX	25948596
115115	389	1996-10-06	VYDAJ	PREVOD NA UCET	3280	10283	 	WX	25948596
115116	389	1996-11-06	VYDAJ	PREVOD NA UCET	3280	13302	 	WX	25948596
115117	389	1996-12-06	VYDAJ	PREVOD NA UCET	3280	14555	 	WX	25948596
115118	389	1997-01-06	VYDAJ	PREVOD NA UCET	3280	14595	 	WX	25948596
115119	389	1997-02-06	VYDAJ	PREVOD NA UCET	3280	12996	 	WX	25948596
115120	389	1997-03-06	VYDAJ	PREVOD NA UCET	3280	16134	 	WX	25948596
115121	389	1997-04-06	VYDAJ	PREVOD NA UCET	3280	16396	 	WX	25948596
115122	389	1997-05-06	VYDAJ	PREVOD NA UCET	3280	19152	 	WX	25948596
115123	389	1997-06-06	VYDAJ	PREVOD NA UCET	3280	19995	 	WX	25948596
115124	389	1997-07-06	VYDAJ	PREVOD NA UCET	3280	23403	 	WX	25948596
115125	389	1997-08-06	VYDAJ	PREVOD NA UCET	3280	13423	 	WX	25948596
115126	389	1997-09-06	VYDAJ	PREVOD NA UCET	3280	16860	 	WX	25948596
115127	389	1997-10-06	VYDAJ	PREVOD NA UCET	3280	18126	 	WX	25948596
115128	389	1997-11-06	VYDAJ	PREVOD NA UCET	3280	17772	 	WX	25948596
115129	389	1997-12-06	VYDAJ	PREVOD NA UCET	3280	18646	 	WX	25948596
115130	389	1998-01-06	VYDAJ	PREVOD NA UCET	3280	12986	 	WX	25948596
115131	389	1998-02-06	VYDAJ	PREVOD NA UCET	3280	13308	 	WX	25948596
115132	389	1998-03-06	VYDAJ	PREVOD NA UCET	3280	16644	 	WX	25948596
115133	389	1998-04-06	VYDAJ	PREVOD NA UCET	3280	14509	 	WX	25948596
115134	389	1998-05-06	VYDAJ	PREVOD NA UCET	3280	14843	 	WX	25948596
115135	389	1998-06-06	VYDAJ	PREVOD NA UCET	3280	12587	 	WX	25948596
115136	389	1998-07-06	VYDAJ	PREVOD NA UCET	3280	9125	 	WX	25948596
115137	389	1998-08-06	VYDAJ	PREVOD NA UCET	3280	12536	 	WX	25948596
115138	389	1998-09-06	VYDAJ	PREVOD NA UCET	3280	11868	 	WX	25948596
115139	389	1998-10-06	VYDAJ	PREVOD NA UCET	3280	15700	 	WX	25948596
115140	389	1998-11-06	VYDAJ	PREVOD NA UCET	3280	16045	 	WX	25948596
115141	389	1998-12-06	VYDAJ	PREVOD NA UCET	3280	13794	 	WX	25948596
115149	389	1994-12-17	VYDAJ	VYBER	2560	31295	\N	\N	\N
115150	389	1995-12-14	VYDAJ	VYBER	1760	24595	\N	\N	\N
115152	389	1997-12-27	VYDAJ	VYBER	2720	15576	\N	\N	\N
115153	389	1998-12-24	VYDAJ	VYBER	1280	21000	\N	\N	\N
115161	389	1994-01-28	VYDAJ	VYBER	1800	27657	\N	\N	\N
115163	389	1994-01-27	VYDAJ	VYBER	1800	29457	\N	\N	\N
115164	389	1994-01-17	VYDAJ	VYBER	2400	35357	\N	\N	\N
115166	389	1995-01-27	VYDAJ	VYBER	840	20003	\N	\N	\N
115167	389	1995-01-30	VYDAJ	VYBER	3120	16883	\N	\N	\N
115168	389	1995-01-15	VYDAJ	VYBER	2760	24623	\N	\N	\N
115169	389	1995-01-26	VYDAJ	VYBER	3240	20843	\N	\N	\N
115170	389	1995-01-02	VYDAJ	VYBER	2160	27340	\N	\N	\N
115171	389	1995-01-05	VYDAJ	VYBER	2040	25300	\N	\N	\N
115172	389	1996-01-30	VYDAJ	VYBER	1560	14656	\N	\N	\N
115173	389	1996-01-23	VYDAJ	VYBER	1200	16216	\N	\N	\N
115174	389	1996-01-22	VYDAJ	VYBER	2160	17416	\N	\N	\N
115175	389	1996-01-19	VYDAJ	VYBER	1080	23776	\N	\N	\N
115176	389	1996-01-21	VYDAJ	VYBER	1440	19576	\N	\N	\N
115177	389	1996-01-21	VYDAJ	VYBER	2760	21016	\N	\N	\N
115178	389	1997-01-05	VYDAJ	VYBER	2880	18759	\N	\N	\N
115179	389	1997-01-03	VYDAJ	VYBER	2760	21639	\N	\N	\N
115180	389	1997-01-16	VYDAJ	VYBER	3120	16222	\N	\N	\N
115186	389	1998-01-20	VYDAJ	VYBER	1800	17433	\N	\N	\N
115193	389	1994-02-08	VYDAJ	VYBER	4680	18932	\N	\N	\N
115194	389	1994-04-20	VYDAJ	VYBER	1560	26251	\N	\N	\N
115196	389	1995-05-14	VYDAJ	VYBER	4920	23338	\N	\N	\N
115197	389	1995-06-29	VYDAJ	VYBER	5520	19109	\N	\N	\N
115198	389	1995-12-05	VYDAJ	VYBER	2760	21149	\N	\N	\N
115199	389	1995-03-10	VYDAJ	VYBER	2160	18190	\N	\N	\N
115200	389	1995-01-17	VYDAJ	VYBER	3240	21383	\N	\N	\N
115201	389	1995-03-22	VYDAJ	VYBER	2400	21137	\N	\N	\N
115202	389	1995-09-08	VYDAJ	VYBER	4680	15762	\N	\N	\N
115203	389	1996-10-04	VYDAJ	VYBER	4680	14447	\N	\N	\N
115204	389	1996-03-05	VYDAJ	VYBER	3720	15841	\N	\N	\N
115205	389	1996-03-21	VYDAJ	VYBER	4680	15344	\N	\N	\N
115206	389	1996-08-21	VYDAJ	VYBER	5520	16918	\N	\N	\N
115207	389	1997-12-24	VYDAJ	VYBER	5040	18296	\N	\N	\N
115209	389	1997-07-19	VYDAJ	VYBER	3240	20710	\N	\N	\N
115210	389	1997-12-18	VYDAJ	VYBER	4680	23336	\N	\N	\N
115211	389	1997-07-26	VYDAJ	VYBER	4080	16630	\N	\N	\N
115212	389	1998-06-27	VYDAJ	VYBER	4080	16033	\N	\N	\N
115214	389	1998-06-16	VYDAJ	VYBER	960	20113	\N	\N	\N
115228	389	1994-01-31	VYDAJ	VYBER	15	27776	SLUZBY	\N	\N
115229	389	1994-02-28	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
115230	389	1994-03-31	VYDAJ	VYBER	15	25728	SLUZBY	\N	\N
115231	389	1994-04-30	VYDAJ	VYBER	15	25341	SLUZBY	\N	\N
115232	389	1994-05-31	VYDAJ	VYBER	15	26718	SLUZBY	\N	\N
115233	389	1994-06-30	VYDAJ	VYBER	15	29827	SLUZBY	\N	\N
115234	389	1994-07-31	VYDAJ	VYBER	15	30619	SLUZBY	\N	\N
115235	389	1994-08-31	VYDAJ	VYBER	15	26808	SLUZBY	\N	\N
115236	389	1994-09-30	VYDAJ	VYBER	15	27486	SLUZBY	\N	\N
115237	389	1994-10-31	VYDAJ	VYBER	15	27467	SLUZBY	\N	\N
115238	389	1994-11-30	VYDAJ	VYBER	15	28648	SLUZBY	\N	\N
115239	389	1994-12-31	VYDAJ	VYBER	15	29500	SLUZBY	\N	\N
115240	389	1995-01-31	VYDAJ	VYBER	15	16964	SLUZBY	\N	\N
115241	389	1995-02-28	VYDAJ	VYBER	15	24514	SLUZBY	\N	\N
115242	389	1995-03-31	VYDAJ	VYBER	15	21214	SLUZBY	\N	\N
115243	389	1995-04-30	VYDAJ	VYBER	15	26175	SLUZBY	\N	\N
115244	389	1995-05-31	VYDAJ	VYBER	15	22322	SLUZBY	\N	\N
115245	389	1995-06-30	VYDAJ	VYBER	15	19188	SLUZBY	\N	\N
115246	389	1995-07-31	VYDAJ	VYBER	15	23542	SLUZBY	\N	\N
115247	389	1995-08-31	VYDAJ	VYBER	15	24606	SLUZBY	\N	\N
115248	389	1995-09-30	VYDAJ	VYBER	15	23184	SLUZBY	\N	\N
115249	389	1995-10-31	VYDAJ	VYBER	15	22948	SLUZBY	\N	\N
115250	389	1995-11-30	VYDAJ	VYBER	15	23909	SLUZBY	\N	\N
115251	389	1995-12-31	VYDAJ	VYBER	15	23973	SLUZBY	\N	\N
115252	389	1996-01-31	VYDAJ	VYBER	15	14726	SLUZBY	\N	\N
115253	389	1996-02-29	VYDAJ	VYBER	15	19561	SLUZBY	\N	\N
115254	389	1996-03-31	VYDAJ	VYBER	15	15399	SLUZBY	\N	\N
115255	389	1996-04-30	VYDAJ	VYBER	15	21530	SLUZBY	\N	\N
115256	389	1996-05-31	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
115257	389	1996-06-30	VYDAJ	VYBER	15	27882	SLUZBY	\N	\N
115258	389	1996-07-31	VYDAJ	VYBER	15	25755	SLUZBY	\N	\N
115259	389	1996-08-31	VYDAJ	VYBER	15	16989	SLUZBY	\N	\N
115260	389	1996-09-30	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
115261	389	1996-10-31	VYDAJ	VYBER	15	16582	SLUZBY	\N	\N
115262	389	1996-11-30	VYDAJ	VYBER	15	18719	SLUZBY	\N	\N
115263	389	1996-12-31	VYDAJ	VYBER	15	24399	SLUZBY	\N	\N
115264	389	1997-01-31	VYDAJ	VYBER	15	16276	SLUZBY	\N	\N
115265	389	1997-02-28	VYDAJ	VYBER	15	19414	SLUZBY	\N	\N
115266	389	1997-03-31	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
115267	389	1997-04-30	VYDAJ	VYBER	15	23316	SLUZBY	\N	\N
115268	389	1997-05-31	VYDAJ	VYBER	15	23275	SLUZBY	\N	\N
115269	389	1997-06-30	VYDAJ	VYBER	15	27567	SLUZBY	\N	\N
115270	389	1997-07-31	VYDAJ	VYBER	15	16703	SLUZBY	\N	\N
115271	389	1997-08-31	VYDAJ	VYBER	15	18840	SLUZBY	\N	\N
115272	389	1997-09-30	VYDAJ	VYBER	15	22290	SLUZBY	\N	\N
115273	389	1997-10-31	VYDAJ	VYBER	15	23852	SLUZBY	\N	\N
115274	389	1997-11-30	VYDAJ	VYBER	15	23210	SLUZBY	\N	\N
115275	389	1997-12-31	VYDAJ	VYBER	15	15650	SLUZBY	\N	\N
115276	389	1998-01-31	VYDAJ	VYBER	15	17488	SLUZBY	\N	\N
115277	389	1998-02-28	VYDAJ	VYBER	15	18724	SLUZBY	\N	\N
115278	389	1998-03-31	VYDAJ	VYBER	15	22073	SLUZBY	\N	\N
115279	389	1998-04-30	VYDAJ	VYBER	15	20823	SLUZBY	\N	\N
115280	389	1998-05-31	VYDAJ	VYBER	15	20267	SLUZBY	\N	\N
115281	389	1998-06-30	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
115282	389	1998-07-31	VYDAJ	VYBER	15	15416	SLUZBY	\N	\N
115283	389	1998-08-31	VYDAJ	VYBER	15	17948	SLUZBY	\N	\N
115284	389	1998-09-30	VYDAJ	VYBER	15	17280	SLUZBY	\N	\N
115285	389	1998-10-31	VYDAJ	VYBER	15	21125	SLUZBY	\N	\N
115286	389	1998-11-30	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
115287	389	1993-09-27	PRIJEM	VKLAD	8600	15147	\N	\N	\N
115288	389	1993-10-27	PRIJEM	VKLAD	3100	24502	\N	\N	\N
115289	389	1993-11-26	VYDAJ	VYBER	3500	27319	\N	\N	\N
115290	389	1993-12-26	VYDAJ	VYBER	5400	31393	\N	\N	\N
115291	389	1994-01-25	VYDAJ	VYBER	4100	31257	\N	\N	\N
115292	389	1994-02-24	VYDAJ	VYBER	2500	22679	\N	\N	\N
115293	389	1994-03-26	PRIJEM	VKLAD	800	25647	\N	\N	\N
115294	389	1994-04-25	VYDAJ	VYBER	1000	25251	\N	\N	\N
115295	389	1994-05-25	VYDAJ	VYBER	800	26624	\N	\N	\N
115296	389	1994-06-24	VYDAJ	VYBER	2200	29725	\N	\N	\N
115297	389	1994-07-24	VYDAJ	VYBER	1400	30510	\N	\N	\N
115298	389	1994-08-23	VYDAJ	VYBER	6000	26702	\N	\N	\N
115299	389	1994-09-22	VYDAJ	VYBER	1500	27391	\N	\N	\N
115300	389	1994-10-22	VYDAJ	VYBER	2200	27369	\N	\N	\N
115301	389	1994-11-21	VYDAJ	VYBER	1000	28550	\N	\N	\N
115302	389	1994-12-21	VYDAJ	VYBER	1900	29395	\N	\N	\N
115303	389	1995-01-20	PRIJEM	VKLAD	2700	24083	\N	\N	\N
115304	389	1995-02-19	PRIJEM	VKLAD	5400	24447	\N	\N	\N
115305	389	1995-03-21	VYDAJ	VYBER	900	23537	\N	\N	\N
115306	389	1995-04-20	PRIJEM	VKLAD	2800	26097	\N	\N	\N
115307	389	1995-05-20	VYDAJ	VYBER	1100	22238	\N	\N	\N
115308	389	1995-06-19	VYDAJ	VYBER	2900	24629	\N	\N	\N
115309	389	1995-07-19	PRIJEM	VKLAD	2200	23471	\N	\N	\N
115310	389	1995-08-18	VYDAJ	VYBER	1100	24525	\N	\N	\N
115311	389	1995-09-17	PRIJEM	VKLAD	1100	23109	\N	\N	\N
115312	389	1995-10-17	VYDAJ	VYBER	2400	22867	\N	\N	\N
115313	389	1995-11-16	VYDAJ	VYBER	1200	23831	\N	\N	\N
115314	389	1995-12-16	VYDAJ	VYBER	700	23895	\N	\N	\N
115315	389	1996-01-15	VYDAJ	VYBER	1200	24856	\N	\N	\N
115316	389	1996-02-14	PRIJEM	VKLAD	2700	19509	\N	\N	\N
115317	389	1996-03-15	PRIJEM	VKLAD	2100	20024	\N	\N	\N
115318	389	1996-04-14	PRIJEM	VKLAD	4000	15235	\N	\N	\N
115319	389	1996-05-14	VYDAJ	VYBER	2300	21313	\N	\N	\N
115320	389	1996-06-13	PRIJEM	VKLAD	1200	18427	\N	\N	\N
115321	389	1996-07-13	VYDAJ	VYBER	4300	19418	\N	\N	\N
115322	389	1996-08-12	VYDAJ	VYBER	5400	16191	\N	\N	\N
115323	389	1996-12-10	PRIJEM	VKLAD	400	14955	\N	\N	\N
115324	389	1997-01-09	VYDAJ	VYBER	1500	13095	\N	\N	\N
115325	389	1997-02-08	PRIJEM	VKLAD	1000	13112	\N	\N	\N
115326	389	1997-03-10	VYDAJ	VYBER	1000	14250	\N	\N	\N
115327	389	1997-04-09	PRIJEM	VKLAD	600	16996	\N	\N	\N
115328	389	1997-05-09	VYDAJ	VYBER	2200	16952	\N	\N	\N
115329	389	1997-06-08	VYDAJ	VYBER	1000	18111	\N	\N	\N
115330	389	1997-07-08	VYDAJ	VYBER	5700	17703	\N	\N	\N
115331	389	1997-09-06	PRIJEM	VKLAD	1300	20140	\N	\N	\N
115332	389	1997-10-06	VYDAJ	VYBER	600	17526	\N	\N	\N
115333	389	1997-11-05	VYDAJ	VYBER	2800	21052	\N	\N	\N
115334	389	1997-12-05	VYDAJ	VYBER	400	22810	\N	\N	\N
115335	389	1998-01-04	PRIJEM	VKLAD	1500	17150	\N	\N	\N
115336	389	1998-02-03	VYDAJ	VYBER	900	16588	\N	\N	\N
115337	389	1998-03-05	PRIJEM	VKLAD	1200	19924	\N	\N	\N
115338	389	1998-04-04	VYDAJ	VYBER	3400	18673	\N	\N	\N
115339	389	1998-05-04	VYDAJ	VYBER	2700	18123	\N	\N	\N
115340	389	1998-06-03	VYDAJ	VYBER	4400	15867	\N	\N	\N
115341	389	1998-07-03	VYDAJ	VYBER	2800	13289	\N	\N	\N
115342	389	1998-08-02	PRIJEM	VKLAD	400	15816	\N	\N	\N
115343	389	1998-09-01	VYDAJ	VYBER	2800	15148	\N	\N	\N
115344	389	1998-10-01	PRIJEM	VKLAD	1700	18980	\N	\N	\N
115345	389	1998-10-31	VYDAJ	VYBER	1800	19325	\N	\N	\N
115346	389	1998-11-30	VYDAJ	VYBER	4400	17074	\N	\N	\N
115411	390	1996-02-16	PRIJEM	VKLAD	400	400	\N	\N	\N
115412	390	1996-11-25	PRIJEM	VKLAD	29398	96821	\N	\N	\N
115413	390	1996-04-05	PRIJEM	VKLAD	28374	93458	\N	\N	\N
115415	390	1996-03-04	PRIJEM	VKLAD	41988	85919	\N	\N	\N
115416	390	1996-10-22	PRIJEM	VKLAD	16291	104124	\N	\N	\N
115417	390	1996-06-24	PRIJEM	VKLAD	14341	47281	\N	\N	\N
115418	390	1996-09-13	PRIJEM	VKLAD	13147	92105	\N	\N	\N
115419	390	1996-08-19	PRIJEM	VKLAD	37128	103998	\N	\N	\N
115420	390	1996-12-05	PRIJEM	VKLAD	48007	138342	\N	\N	\N
115421	390	1996-04-17	PRIJEM	VKLAD	33864	99267	\N	\N	\N
115422	390	1996-07-24	PRIJEM	VKLAD	45638	75311	\N	\N	\N
115423	390	1996-04-14	PRIJEM	VKLAD	30591	104003	\N	\N	\N
115424	390	1996-03-01	PRIJEM	VKLAD	43531	43931	\N	\N	\N
115425	390	1996-10-21	PRIJEM	VKLAD	32825	87833	\N	\N	\N
115426	390	1996-08-13	PRIJEM	VKLAD	29469	99970	\N	\N	\N
115427	390	1996-11-12	PRIJEM	VKLAD	48765	125623	\N	\N	\N
115428	390	1996-03-08	PRIJEM	VKLAD	15366	101285	\N	\N	\N
115430	390	1996-11-08	PRIJEM	VKLAD	32338	76858	\N	\N	\N
115431	390	1996-04-05	PRIJEM	VKLAD	25931	119389	\N	\N	\N
115432	390	1996-11-30	PRIJEM	VKLAD	47031	144250	\N	\N	\N
115433	390	1996-04-23	PRIJEM	VKLAD	23285	122552	\N	\N	\N
115434	390	1996-10-12	PRIJEM	VKLAD	24206	69408	\N	\N	\N
115435	390	1996-12-27	PRIJEM	VKLAD	6758	73923	\N	\N	\N
115436	390	1997-04-30	PRIJEM	VKLAD	7832	88805	\N	\N	\N
115437	390	1997-08-30	PRIJEM	VKLAD	48724	123969	\N	\N	\N
115438	390	1997-08-22	PRIJEM	VKLAD	45996	89900	\N	\N	\N
115439	390	1997-08-23	PRIJEM	VKLAD	37145	127045	\N	\N	\N
115440	390	1997-01-05	PRIJEM	VKLAD	31282	74487	\N	\N	\N
115441	390	1997-10-20	PRIJEM	VKLAD	35169	112687	\N	\N	\N
115442	390	1997-08-31	PRIJEM	VKLAD	17558	139492	\N	\N	\N
115443	390	1997-10-02	PRIJEM	VKLAD	38238	139980	\N	\N	\N
115444	390	1997-10-10	PRIJEM	VKLAD	14440	102143	\N	\N	\N
115445	390	1997-08-31	PRIJEM	VKLAD	48520	121689	\N	\N	\N
115446	390	1997-06-22	PRIJEM	VKLAD	47057	103967	\N	\N	\N
115447	390	1997-05-25	PRIJEM	VKLAD	27796	117095	\N	\N	\N
115448	390	1997-02-17	PRIJEM	VKLAD	47065	92457	\N	\N	\N
115449	390	1997-11-22	PRIJEM	VKLAD	41602	126520	\N	\N	\N
115450	390	1997-11-10	PRIJEM	VKLAD	24915	93809	\N	\N	\N
115451	390	1997-10-27	PRIJEM	VKLAD	9619	32658	\N	\N	\N
115452	390	1997-04-18	PRIJEM	VKLAD	28368	80973	\N	\N	\N
115453	390	1997-06-18	PRIJEM	VKLAD	7317	56910	\N	\N	\N
115454	390	1997-08-04	PRIJEM	VKLAD	22259	62157	\N	\N	\N
115455	390	1997-11-07	PRIJEM	VKLAD	38839	68894	\N	\N	\N
115456	390	1997-09-12	PRIJEM	VKLAD	49514	101414	\N	\N	\N
115457	390	1997-03-05	PRIJEM	VKLAD	46147	127345	\N	\N	\N
115458	390	1997-11-15	PRIJEM	VKLAD	43416	179943	\N	\N	\N
115459	390	1997-05-24	PRIJEM	VKLAD	19412	89299	\N	\N	\N
115460	390	1997-06-17	PRIJEM	VKLAD	11119	49593	\N	\N	\N
115461	390	1997-02-26	PRIJEM	VKLAD	28651	121108	\N	\N	\N
115462	390	1997-11-15	PRIJEM	VKLAD	48418	136527	\N	\N	\N
115463	390	1998-01-07	PRIJEM	VKLAD	46537	102721	\N	\N	\N
115464	390	1998-05-26	PRIJEM	VKLAD	45907	114890	\N	\N	\N
115465	390	1998-05-06	PRIJEM	VKLAD	21441	91560	\N	\N	\N
115466	390	1998-11-17	PRIJEM	VKLAD	14563	61082	\N	\N	\N
115467	390	1998-06-15	PRIJEM	VKLAD	5059	63742	\N	\N	\N
115468	390	1998-12-09	PRIJEM	VKLAD	8562	75684	\N	\N	\N
115469	390	1998-08-20	PRIJEM	VKLAD	8995	78304	\N	\N	\N
115470	390	1998-04-22	PRIJEM	VKLAD	25469	88468	\N	\N	\N
115471	390	1998-07-15	PRIJEM	VKLAD	39450	124403	\N	\N	\N
115472	390	1998-12-10	PRIJEM	VKLAD	14200	89884	\N	\N	\N
115473	390	1998-12-29	PRIJEM	VKLAD	24794	109278	\N	\N	\N
115474	390	1998-07-09	PRIJEM	VKLAD	33226	101250	\N	\N	\N
115475	390	1998-02-13	PRIJEM	VKLAD	24400	86634	\N	\N	\N
115476	390	1998-02-04	PRIJEM	VKLAD	15028	115811	\N	\N	\N
115477	390	1998-08-08	PRIJEM	VKLAD	43721	87802	\N	\N	\N
115478	390	1998-02-02	PRIJEM	VKLAD	36800	100783	\N	\N	\N
115479	390	1998-04-27	PRIJEM	VKLAD	40616	129084	\N	\N	\N
115480	390	1998-06-22	PRIJEM	VKLAD	17398	81140	\N	\N	\N
115481	390	1998-02-22	PRIJEM	VKLAD	32928	87494	\N	\N	\N
115482	390	1998-03-24	PRIJEM	VKLAD	10550	49752	\N	\N	\N
115483	390	1998-01-09	PRIJEM	VKLAD	37317	140038	\N	\N	\N
115484	390	1998-01-16	PRIJEM	VKLAD	14301	79739	\N	\N	\N
115485	390	1998-04-28	PRIJEM	VKLAD	19332	114516	\N	\N	\N
115486	390	1998-04-13	PRIJEM	VKLAD	16724	62999	\N	\N	\N
115490	390	1996-04-06	VYDAJ	PREVOD NA UCET	4977	73412	SIPO	YZ	24210876
115491	390	1996-05-06	VYDAJ	PREVOD NA UCET	4977	64993	SIPO	YZ	24210876
115492	390	1996-06-06	VYDAJ	PREVOD NA UCET	4977	40240	SIPO	YZ	24210876
115493	390	1996-07-06	VYDAJ	PREVOD NA UCET	4977	27573	SIPO	YZ	24210876
115494	390	1996-08-06	VYDAJ	PREVOD NA UCET	4977	70501	SIPO	YZ	24210876
115495	390	1996-09-06	VYDAJ	PREVOD NA UCET	4977	90358	SIPO	YZ	24210876
115496	390	1996-10-06	VYDAJ	PREVOD NA UCET	4977	45202	SIPO	YZ	24210876
115497	390	1996-11-06	VYDAJ	PREVOD NA UCET	4977	44520	SIPO	YZ	24210876
115498	390	1996-12-06	VYDAJ	PREVOD NA UCET	4977	98665	SIPO	YZ	24210876
115499	390	1997-01-06	VYDAJ	PREVOD NA UCET	4977	69510	SIPO	YZ	24210876
115500	390	1997-02-06	VYDAJ	PREVOD NA UCET	4977	49892	SIPO	YZ	24210876
115501	390	1997-03-06	VYDAJ	PREVOD NA UCET	4977	87968	SIPO	YZ	24210876
115502	390	1997-04-06	VYDAJ	PREVOD NA UCET	4977	50005	SIPO	YZ	24210876
115503	390	1997-05-06	VYDAJ	PREVOD NA UCET	4977	84087	SIPO	YZ	24210876
115504	390	1997-06-06	VYDAJ	PREVOD NA UCET	4977	59959	SIPO	YZ	24210876
115505	390	1997-07-06	VYDAJ	PREVOD NA UCET	4977	18768	SIPO	YZ	24210876
115506	390	1997-08-06	VYDAJ	PREVOD NA UCET	4977	57180	SIPO	YZ	24210876
115507	390	1997-09-06	VYDAJ	PREVOD NA UCET	4977	43200	SIPO	YZ	24210876
115508	390	1997-10-06	VYDAJ	PREVOD NA UCET	4977	107803	SIPO	YZ	24210876
115509	390	1997-11-06	VYDAJ	PREVOD NA UCET	4977	27955	SIPO	YZ	24210876
115510	390	1997-12-06	VYDAJ	PREVOD NA UCET	4977	57126	SIPO	YZ	24210876
115511	390	1998-01-06	VYDAJ	PREVOD NA UCET	4977	56184	SIPO	YZ	24210876
115512	390	1998-02-06	VYDAJ	PREVOD NA UCET	4977	62234	SIPO	YZ	24210876
115513	390	1998-03-06	VYDAJ	PREVOD NA UCET	4977	62995	SIPO	YZ	24210876
115514	390	1998-04-06	VYDAJ	PREVOD NA UCET	4977	46275	SIPO	YZ	24210876
115515	390	1998-05-06	VYDAJ	PREVOD NA UCET	4977	76183	SIPO	YZ	24210876
115516	390	1998-06-06	VYDAJ	PREVOD NA UCET	4977	58683	SIPO	YZ	24210876
115517	390	1998-07-06	VYDAJ	PREVOD NA UCET	4977	68024	SIPO	YZ	24210876
115518	390	1998-08-06	VYDAJ	PREVOD NA UCET	4977	58216	SIPO	YZ	24210876
115519	390	1998-09-06	VYDAJ	PREVOD NA UCET	4977	71030	SIPO	YZ	24210876
115520	390	1998-10-06	VYDAJ	PREVOD NA UCET	4977	46333	SIPO	YZ	24210876
115521	390	1998-11-06	VYDAJ	PREVOD NA UCET	4977	60619	SIPO	YZ	24210876
115522	390	1998-12-06	VYDAJ	PREVOD NA UCET	4977	67122	SIPO	YZ	24210876
115524	390	1996-07-03	VYBER	VYBER	14892	32550	\N	\N	\N
115526	390	1996-12-30	VYBER	VYBER	8535	65388	\N	\N	\N
115527	390	1997-06-10	VYBER	VYBER	12185	53174	\N	\N	\N
115528	390	1997-08-16	VYBER	VYBER	13376	43904	\N	\N	\N
115529	390	1997-04-03	VYBER	VYBER	3191	54982	\N	\N	\N
115530	390	1997-03-18	VYBER	VYBER	10876	57892	\N	\N	\N
115531	390	1997-12-07	VYBER	VYBER	19688	55038	\N	\N	\N
115532	390	1997-01-15	VYBER	VYBER	4375	54635	\N	\N	\N
115533	390	1997-10-26	VYBER	VYBER	15457	23039	\N	\N	\N
115534	390	1997-10-21	VYBER	VYBER	17791	38496	\N	\N	\N
115535	390	1997-10-10	VYBER	VYBER	24625	77518	\N	\N	\N
115536	390	1997-11-20	VYBER	VYBER	16125	84918	\N	\N	\N
115538	390	1998-11-23	VYBER	VYBER	4602	56480	\N	\N	\N
115539	390	1998-04-29	VYBER	VYBER	2855	69861	\N	\N	\N
115540	390	1998-03-05	VYBER	VYBER	19791	67972	\N	\N	\N
115541	390	1998-03-19	VYBER	VYBER	17693	39202	\N	\N	\N
115542	390	1998-09-17	VYBER	VYBER	22583	25934	\N	\N	\N
115543	390	1998-01-21	VYBER	VYBER	16017	63722	\N	\N	\N
115544	390	1998-04-05	VYBER	VYBER	19236	30752	\N	\N	\N
115545	390	1998-09-10	VYBER	VYBER	22513	48517	\N	\N	\N
115546	390	1998-07-09	VYBER	VYBER	16297	84953	\N	\N	\N
115547	390	1998-08-18	VYBER	VYBER	18493	69309	\N	\N	\N
115548	390	1998-02-15	VYBER	VYBER	20968	54566	\N	\N	\N
115549	390	1998-08-07	VYBER	VYBER	14135	44081	\N	\N	\N
115552	390	1997-06-22	VYDAJ	VYBER	80400	23567	\N	\N	\N
115555	390	1997-01-03	VYDAJ	VYBER	22500	43205	\N	\N	\N
115556	390	1998-01-09	VYDAJ	VYBER	24300	65438	\N	\N	\N
115557	390	1996-12-21	VYDAJ	VYBER	3000	67165	\N	\N	\N
115558	390	1997-12-15	VYDAJ	VYBER	8100	46938	\N	\N	\N
115559	390	1998-12-23	VYDAJ	VYBER	5400	84484	\N	\N	\N
115560	390	1996-09-15	VYDAJ	VYBER	14400	49905	\N	\N	\N
115561	390	1996-08-23	VYDAJ	VYBER	9000	94998	\N	\N	\N
115563	390	1996-05-18	VYDAJ	VYBER	2100	44993	\N	\N	\N
115564	390	1996-09-10	VYDAJ	VYBER	11400	78958	\N	\N	\N
115565	390	1996-12-03	VYDAJ	VYBER	6300	90335	\N	\N	\N
115566	390	1997-11-12	VYDAJ	VYBER	5700	88109	\N	\N	\N
115567	390	1997-02-10	VYDAJ	VYBER	12000	45392	\N	\N	\N
115568	390	1997-06-13	VYDAJ	VYBER	14700	38474	\N	\N	\N
115569	390	1998-03-18	VYDAJ	VYBER	8400	56895	\N	\N	\N
115570	390	1998-05-10	VYDAJ	VYBER	7200	68983	\N	\N	\N
115571	390	1998-11-15	VYDAJ	VYBER	14100	46519	\N	\N	\N
115572	390	1998-02-14	VYDAJ	VYBER	11100	75534	\N	\N	\N
115577	390	1996-04-30	VYDAJ	VYBER	15	69970	SLUZBY	\N	\N
115578	390	1996-05-31	VYDAJ	VYBER	15	45217	SLUZBY	\N	\N
115579	390	1996-06-30	VYDAJ	VYBER	15	47442	SLUZBY	\N	\N
115580	390	1996-07-31	VYDAJ	VYBER	15	75478	SLUZBY	\N	\N
115581	390	1996-08-31	VYDAJ	VYBER	15	95335	SLUZBY	\N	\N
115582	390	1996-09-30	VYDAJ	VYBER	15	50179	SLUZBY	\N	\N
115583	390	1996-10-31	VYDAJ	VYBER	15	49497	SLUZBY	\N	\N
115584	390	1996-11-30	VYDAJ	VYBER	15	144235	SLUZBY	\N	\N
115585	390	1996-12-31	VYDAJ	VYBER	15	65705	SLUZBY	\N	\N
115586	390	1997-01-31	VYDAJ	VYBER	15	54869	SLUZBY	\N	\N
115587	390	1997-02-28	VYDAJ	VYBER	15	81198	SLUZBY	\N	\N
115588	390	1997-03-31	VYDAJ	VYBER	15	58173	SLUZBY	\N	\N
115589	390	1997-04-30	VYDAJ	VYBER	15	89064	SLUZBY	\N	\N
115590	390	1997-05-31	VYDAJ	VYBER	15	64936	SLUZBY	\N	\N
115591	390	1997-06-30	VYDAJ	VYBER	15	23745	SLUZBY	\N	\N
115592	390	1997-07-31	VYDAJ	VYBER	15	39898	SLUZBY	\N	\N
115593	390	1997-08-31	VYDAJ	VYBER	15	139477	SLUZBY	\N	\N
115594	390	1997-09-30	VYDAJ	VYBER	15	101742	SLUZBY	\N	\N
115595	390	1997-10-31	VYDAJ	VYBER	15	32932	SLUZBY	\N	\N
115596	390	1997-11-30	VYDAJ	VYBER	15	62103	SLUZBY	\N	\N
115597	390	1997-12-31	VYDAJ	VYBER	15	47161	SLUZBY	\N	\N
115598	390	1998-01-31	VYDAJ	VYBER	15	63983	SLUZBY	\N	\N
115599	390	1998-02-28	VYDAJ	VYBER	15	87763	SLUZBY	\N	\N
115600	390	1998-03-31	VYDAJ	VYBER	15	49988	SLUZBY	\N	\N
115601	390	1998-04-30	VYDAJ	VYBER	15	70119	SLUZBY	\N	\N
115602	390	1998-05-31	VYDAJ	VYBER	15	58360	SLUZBY	\N	\N
115603	390	1998-06-30	VYDAJ	VYBER	15	81401	SLUZBY	\N	\N
115604	390	1998-07-31	VYDAJ	VYBER	15	62093	SLUZBY	\N	\N
115605	390	1998-08-31	VYDAJ	VYBER	15	78607	SLUZBY	\N	\N
115606	390	1998-09-30	VYDAJ	VYBER	15	26110	SLUZBY	\N	\N
115607	390	1998-10-31	VYDAJ	VYBER	15	46496	SLUZBY	\N	\N
115608	390	1998-11-30	VYDAJ	VYBER	15	56699	SLUZBY	\N	\N
115609	390	1996-03-17	VYDAJ	VYBER	36500	64785	\N	\N	\N
115610	390	1996-04-05	VYDAJ	VYBER	41000	78389	\N	\N	\N
115611	390	1996-04-16	VYDAJ	VYBER	38600	65403	\N	\N	\N
115612	390	1996-04-23	VYDAJ	VYBER	52900	69652	\N	\N	\N
115613	390	1996-05-16	VYDAJ	VYBER	17900	47093	\N	\N	\N
115614	390	1996-06-15	VYDAJ	VYBER	7300	32940	\N	\N	\N
115615	390	1996-07-15	PRIJEM	VKLAD	2100	29673	\N	\N	\N
115616	390	1996-08-14	VYDAJ	VYBER	33100	66870	\N	\N	\N
115617	390	1996-09-13	VYDAJ	VYBER	27800	64305	\N	\N	\N
115618	390	1996-10-13	VYDAJ	VYBER	14400	55008	\N	\N	\N
115619	390	1996-10-31	VYDAJ	VYBER	54900	49511	\N	\N	\N
115620	390	1996-11-12	VYDAJ	VYBER	38600	87023	\N	\N	\N
115621	390	1996-11-12	VYDAJ	VYBER	19600	67423	\N	\N	\N
115622	390	1996-11-30	VYDAJ	VYBER	47600	96635	\N	\N	\N
115623	390	1996-12-05	VYDAJ	VYBER	34700	103642	\N	\N	\N
115624	390	1996-12-12	VYDAJ	VYBER	28500	70165	\N	\N	\N
115625	390	1997-01-11	VYDAJ	VYBER	10500	59010	\N	\N	\N
115626	390	1997-02-10	PRIJEM	VKLAD	7500	57392	\N	\N	\N
115627	390	1997-02-26	VYDAJ	VYBER	40200	80908	\N	\N	\N
115628	390	1997-03-05	VYDAJ	VYBER	34400	92945	\N	\N	\N
115629	390	1997-03-12	VYDAJ	VYBER	19200	68768	\N	\N	\N
115630	390	1997-04-11	PRIJEM	VKLAD	2600	52605	\N	\N	\N
115631	390	1997-05-11	VYDAJ	VYBER	14200	69887	\N	\N	\N
115632	390	1997-05-25	VYDAJ	VYBER	52500	64595	\N	\N	\N
115633	390	1997-06-10	PRIJEM	VKLAD	5400	65359	\N	\N	\N
115634	390	1997-07-10	PRIJEM	VKLAD	21000	39768	\N	\N	\N
115635	390	1997-08-09	PRIJEM	VKLAD	100	57280	\N	\N	\N
115636	390	1997-08-23	VYDAJ	VYBER	51800	75245	\N	\N	\N
115637	390	1997-08-30	VYDAJ	VYBER	50800	73169	\N	\N	\N
115638	390	1997-08-31	VYDAJ	VYBER	28800	110677	\N	\N	\N
115639	390	1997-08-31	VYDAJ	VYBER	62500	48177	\N	\N	\N
115640	390	1997-09-08	PRIJEM	VKLAD	8700	51900	\N	\N	\N
115641	390	1997-10-02	VYDAJ	VYBER	27200	112780	\N	\N	\N
115642	390	1997-10-08	VYDAJ	VYBER	20100	87703	\N	\N	\N
115643	390	1997-10-20	VYDAJ	VYBER	56400	56287	\N	\N	\N
115644	390	1997-11-07	PRIJEM	VKLAD	2100	30055	\N	\N	\N
115645	390	1997-11-15	VYDAJ	VYBER	24400	155543	\N	\N	\N
115646	390	1997-11-15	VYDAJ	VYBER	54500	101043	\N	\N	\N
115647	390	1997-11-22	VYDAJ	VYBER	64700	61820	\N	\N	\N
115648	390	1997-12-07	PRIJEM	VKLAD	17600	74726	\N	\N	\N
115649	390	1998-01-06	PRIJEM	VKLAD	14000	61161	\N	\N	\N
115650	390	1998-01-09	VYDAJ	VYBER	50300	89738	\N	\N	\N
115651	390	1998-02-04	VYDAJ	VYBER	53900	61911	\N	\N	\N
115652	390	1998-02-05	PRIJEM	VKLAD	5300	67211	\N	\N	\N
115653	390	1998-03-07	PRIJEM	VKLAD	2300	65295	\N	\N	\N
115654	390	1998-04-06	PRIJEM	VKLAD	20500	51252	\N	\N	\N
115655	390	1998-04-27	VYDAJ	VYBER	33900	95184	\N	\N	\N
115656	390	1998-04-28	VYDAJ	VYBER	41800	72716	\N	\N	\N
115657	390	1998-05-06	VYDAJ	VYBER	10400	81160	\N	\N	\N
115658	390	1998-05-26	VYDAJ	VYBER	56800	58090	\N	\N	\N
115659	390	1998-06-05	PRIJEM	VKLAD	5300	63660	\N	\N	\N
115660	390	1998-07-05	VYDAJ	VYBER	8400	73001	\N	\N	\N
115661	390	1998-07-15	VYDAJ	VYBER	62600	61803	\N	\N	\N
115662	390	1998-08-04	PRIJEM	VKLAD	1100	63193	\N	\N	\N
115663	390	1998-09-03	VYDAJ	VYBER KARTOU	2600	76007	\N	\N	0
115664	390	1998-10-03	PRIJEM	VKLAD	25200	51310	\N	\N	\N
115665	390	1998-11-02	PRIJEM	VKLAD	19100	65596	\N	\N	\N
115666	390	1998-12-02	PRIJEM	VKLAD	15400	72099	\N	\N	\N
115701	391	1993-12-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
115704	391	1994-12-28	PRIJEM	VKLAD	10531	42602	\N	\N	\N
115705	391	1994-10-04	PRIJEM	VKLAD	27300	56217	\N	\N	\N
115706	391	1995-11-13	PRIJEM	VKLAD	19331	51110	\N	\N	\N
115707	391	1995-01-08	PRIJEM	VKLAD	29552	58239	\N	\N	\N
115708	391	1996-07-04	PRIJEM	VKLAD	19090	49679	\N	\N	\N
115709	391	1996-07-20	PRIJEM	VKLAD	34818	85897	\N	\N	\N
115710	391	1997-04-27	PRIJEM	VKLAD	37352	71157	\N	\N	\N
115711	391	1997-03-12	PRIJEM	VKLAD	32976	62536	\N	\N	\N
115712	391	1998-01-02	PRIJEM	VKLAD	13016	34846	\N	\N	\N
115713	391	1998-05-02	PRIJEM	VKLAD	32139	58046	\N	\N	\N
115725	391	1993-12-15	PRIJEM	VKLAD	400	1500	\N	\N	\N
115726	391	1994-01-17	PRIJEM	VKLAD	400	16105	\N	\N	\N
115727	391	1994-02-14	PRIJEM	VKLAD	400	20545	\N	\N	\N
115728	391	1994-03-16	PRIJEM	VKLAD	400	24811	\N	\N	\N
115729	391	1994-04-15	PRIJEM	VKLAD	400	24995	\N	\N	\N
115730	391	1994-05-17	PRIJEM	VKLAD	400	27686	\N	\N	\N
115731	391	1994-06-17	PRIJEM	VKLAD	400	28385	\N	\N	\N
115732	391	1994-07-15	PRIJEM	VKLAD	400	19182	\N	\N	\N
115733	391	1994-08-17	PRIJEM	VKLAD	400	23543	\N	\N	\N
115734	391	1994-09-17	PRIJEM	VKLAD	400	27821	\N	\N	\N
115735	391	1994-10-14	PRIJEM	VKLAD	400	42317	\N	\N	\N
115736	391	1994-11-16	PRIJEM	VKLAD	400	37018	\N	\N	\N
115737	391	1994-12-15	PRIJEM	VKLAD	400	31071	\N	\N	\N
115738	391	1995-01-16	PRIJEM	VKLAD	400	56839	\N	\N	\N
115739	391	1995-02-13	PRIJEM	VKLAD	400	37032	\N	\N	\N
115740	391	1995-03-17	PRIJEM	VKLAD	400	33542	\N	\N	\N
115741	391	1995-04-16	PRIJEM	VKLAD	400	29925	\N	\N	\N
115742	391	1995-05-15	PRIJEM	VKLAD	400	28140	\N	\N	\N
115743	391	1995-06-17	PRIJEM	VKLAD	400	14547	\N	\N	\N
115744	391	1995-07-16	PRIJEM	VKLAD	400	24921	\N	\N	\N
115745	391	1995-08-14	PRIJEM	VKLAD	400	29993	\N	\N	\N
115746	391	1995-09-15	PRIJEM	VKLAD	400	31098	\N	\N	\N
115747	391	1995-10-15	PRIJEM	VKLAD	400	31413	\N	\N	\N
115748	391	1995-11-17	PRIJEM	VKLAD	400	51510	\N	\N	\N
115749	391	1995-12-15	PRIJEM	VKLAD	400	44175	\N	\N	\N
115750	391	1996-01-15	PRIJEM	VKLAD	400	30105	\N	\N	\N
115751	391	1996-02-16	PRIJEM	VKLAD	400	28719	\N	\N	\N
115752	391	1996-03-17	PRIJEM	VKLAD	400	32825	\N	\N	\N
115753	391	1996-04-14	PRIJEM	VKLAD	400	34848	\N	\N	\N
115754	391	1996-05-15	PRIJEM	VKLAD	400	36578	\N	\N	\N
115755	391	1996-06-16	PRIJEM	VKLAD	400	35715	\N	\N	\N
115756	391	1996-07-14	PRIJEM	VKLAD	400	50079	\N	\N	\N
115757	391	1996-08-15	PRIJEM	VKLAD	400	58699	\N	\N	\N
115758	391	1996-09-17	PRIJEM	VKLAD	400	42968	\N	\N	\N
115759	391	1996-10-14	PRIJEM	VKLAD	400	41430	\N	\N	\N
115760	391	1996-11-16	PRIJEM	VKLAD	400	38784	\N	\N	\N
115761	391	1996-12-15	PRIJEM	VKLAD	400	33427	\N	\N	\N
115762	391	1997-01-15	PRIJEM	VKLAD	400	25756	\N	\N	\N
115763	391	1997-02-16	PRIJEM	VKLAD	400	26958	\N	\N	\N
115764	391	1997-03-14	PRIJEM	VKLAD	400	62936	\N	\N	\N
115765	391	1997-04-16	PRIJEM	VKLAD	400	42605	\N	\N	\N
115766	391	1997-05-13	PRIJEM	VKLAD	400	71731	\N	\N	\N
115767	391	1997-06-16	PRIJEM	VKLAD	400	23487	\N	\N	\N
115768	391	1997-07-16	PRIJEM	VKLAD	400	24819	\N	\N	\N
115769	391	1997-08-15	PRIJEM	VKLAD	400	24254	\N	\N	\N
115770	391	1997-09-15	PRIJEM	VKLAD	400	25740	\N	\N	\N
115771	391	1997-10-16	PRIJEM	VKLAD	400	21372	\N	\N	\N
115772	391	1997-11-15	PRIJEM	VKLAD	400	20041	\N	\N	\N
115773	391	1997-12-14	PRIJEM	VKLAD	400	19809	\N	\N	\N
115774	391	1998-01-16	PRIJEM	VKLAD	400	28796	\N	\N	\N
115775	391	1998-02-16	PRIJEM	VKLAD	400	16633	\N	\N	\N
115776	391	1998-03-14	PRIJEM	VKLAD	400	22292	\N	\N	\N
115777	391	1998-04-13	PRIJEM	VKLAD	400	24370	\N	\N	\N
115778	391	1998-05-15	PRIJEM	VKLAD	400	58446	\N	\N	\N
115779	391	1998-06-15	PRIJEM	VKLAD	400	34882	\N	\N	\N
115780	391	1998-07-14	PRIJEM	VKLAD	400	28924	\N	\N	\N
115781	391	1998-08-16	PRIJEM	VKLAD	400	21912	\N	\N	\N
115782	391	1998-09-17	PRIJEM	VKLAD	400	18977	\N	\N	\N
115783	391	1998-10-16	PRIJEM	VKLAD	400	20039	\N	\N	\N
115784	391	1998-11-17	PRIJEM	VKLAD	400	22109	\N	\N	\N
115785	391	1998-12-16	PRIJEM	VKLAD	400	19486	\N	\N	\N
115797	391	1993-12-18	PRIJEM	VKLAD	1000	2500	\N	\N	\N
115798	391	1994-01-18	PRIJEM	VKLAD	1000	17105	\N	\N	\N
115799	391	1994-02-18	PRIJEM	VKLAD	1000	21545	\N	\N	\N
115800	391	1994-03-18	PRIJEM	VKLAD	1000	25811	\N	\N	\N
115801	391	1994-04-18	PRIJEM	VKLAD	1000	25995	\N	\N	\N
115802	391	1994-05-18	PRIJEM	VKLAD	1000	28686	\N	\N	\N
115803	391	1994-06-18	PRIJEM	VKLAD	1000	29385	\N	\N	\N
115804	391	1994-07-18	PRIJEM	VKLAD	1000	20182	\N	\N	\N
115805	391	1994-08-18	PRIJEM	VKLAD	1000	24543	\N	\N	\N
115806	391	1994-09-18	PRIJEM	VKLAD	1000	28821	\N	\N	\N
115807	391	1994-10-18	PRIJEM	VKLAD	1000	43317	\N	\N	\N
115808	391	1994-11-18	PRIJEM	VKLAD	1000	38018	\N	\N	\N
115809	391	1994-12-18	PRIJEM	VKLAD	1000	32071	\N	\N	\N
115810	391	1995-01-18	PRIJEM	VKLAD	1000	57839	\N	\N	\N
115811	391	1995-02-18	PRIJEM	VKLAD	1000	38032	\N	\N	\N
115812	391	1995-03-18	PRIJEM	VKLAD	1000	34542	\N	\N	\N
115813	391	1995-04-18	PRIJEM	VKLAD	1000	30925	\N	\N	\N
115814	391	1995-05-18	PRIJEM	VKLAD	1000	29140	\N	\N	\N
115815	391	1995-06-18	PRIJEM	VKLAD	1000	15547	\N	\N	\N
115816	391	1995-07-18	PRIJEM	VKLAD	1000	25921	\N	\N	\N
115817	391	1995-08-18	PRIJEM	VKLAD	1000	30993	\N	\N	\N
115818	391	1995-09-18	PRIJEM	VKLAD	1000	31498	\N	\N	\N
115819	391	1995-10-18	PRIJEM	VKLAD	1000	32413	\N	\N	\N
115820	391	1995-11-18	PRIJEM	VKLAD	1000	52510	\N	\N	\N
115821	391	1995-12-18	PRIJEM	VKLAD	1000	45175	\N	\N	\N
115822	391	1996-01-18	PRIJEM	VKLAD	1000	30655	\N	\N	\N
115823	391	1996-02-18	PRIJEM	VKLAD	1000	29719	\N	\N	\N
115824	391	1996-03-18	PRIJEM	VKLAD	1000	33825	\N	\N	\N
115825	391	1996-04-18	PRIJEM	VKLAD	1000	35848	\N	\N	\N
115826	391	1996-05-18	PRIJEM	VKLAD	1000	37578	\N	\N	\N
115827	391	1996-06-18	PRIJEM	VKLAD	1000	36715	\N	\N	\N
115828	391	1996-07-18	PRIJEM	VKLAD	1000	51079	\N	\N	\N
115829	391	1996-08-18	PRIJEM	VKLAD	1000	59699	\N	\N	\N
115830	391	1996-09-18	PRIJEM	VKLAD	1000	43968	\N	\N	\N
115831	391	1996-10-18	PRIJEM	VKLAD	1000	42430	\N	\N	\N
115832	391	1996-11-18	PRIJEM	VKLAD	1000	39784	\N	\N	\N
115833	391	1996-12-18	PRIJEM	VKLAD	1000	34427	\N	\N	\N
115834	391	1997-01-18	PRIJEM	VKLAD	1000	26106	\N	\N	\N
115835	391	1997-02-18	PRIJEM	VKLAD	1000	27958	\N	\N	\N
115836	391	1997-03-18	PRIJEM	VKLAD	1000	63936	\N	\N	\N
115837	391	1997-04-18	PRIJEM	VKLAD	1000	43605	\N	\N	\N
115838	391	1997-05-18	PRIJEM	VKLAD	1000	72731	\N	\N	\N
115839	391	1997-06-18	PRIJEM	VKLAD	1000	24487	\N	\N	\N
115840	391	1997-07-18	PRIJEM	VKLAD	1000	25819	\N	\N	\N
115841	391	1997-08-18	PRIJEM	VKLAD	1000	25254	\N	\N	\N
115842	391	1997-09-18	PRIJEM	VKLAD	1000	24390	\N	\N	\N
115843	391	1997-10-18	PRIJEM	VKLAD	1000	22372	\N	\N	\N
115844	391	1997-11-18	PRIJEM	VKLAD	1000	21041	\N	\N	\N
115845	391	1997-12-18	PRIJEM	VKLAD	1000	20809	\N	\N	\N
115846	391	1998-01-18	PRIJEM	VKLAD	1000	29796	\N	\N	\N
115847	391	1998-02-18	PRIJEM	VKLAD	1000	21833	\N	\N	\N
115848	391	1998-03-18	PRIJEM	VKLAD	1000	23292	\N	\N	\N
115849	391	1998-04-18	PRIJEM	VKLAD	1000	25370	\N	\N	\N
115850	391	1998-05-18	PRIJEM	VKLAD	1000	59446	\N	\N	\N
115851	391	1998-06-18	PRIJEM	VKLAD	1000	35882	\N	\N	\N
115852	391	1998-07-18	PRIJEM	VKLAD	1000	29924	\N	\N	\N
115853	391	1998-08-18	PRIJEM	VKLAD	1000	18412	\N	\N	\N
115854	391	1998-09-18	PRIJEM	VKLAD	1000	19977	\N	\N	\N
115855	391	1998-10-18	PRIJEM	VKLAD	1000	22639	\N	\N	\N
115856	391	1998-11-18	PRIJEM	VKLAD	1000	23109	\N	\N	\N
115857	391	1998-12-18	PRIJEM	VKLAD	1000	19886	\N	\N	\N
115866	391	1995-01-25	VYDAJ	VYBER	9400	47339	\N	\N	\N
115867	391	1996-01-27	VYDAJ	VYBER	6000	23405	\N	\N	\N
115868	391	1997-01-11	VYDAJ	VYBER	1300	27106	\N	\N	\N
115869	391	1998-01-08	VYDAJ	VYBER	5800	29046	\N	\N	\N
115871	391	1994-06-26	VYDAJ	VYBER	13600	15785	\N	\N	\N
115872	391	1995-06-14	VYDAJ	VYBER	13300	14147	\N	\N	\N
115873	391	1996-06-20	VYDAJ	VYBER	4900	31815	\N	\N	\N
115874	391	1997-06-07	VYDAJ	VYBER	23900	23087	\N	\N	\N
115875	391	1998-06-12	VYDAJ	VYBER	7500	34482	\N	\N	\N
115878	391	1995-01-03	VYDAJ	VYBER	8000	34737	\N	\N	\N
115879	391	1996-01-06	VYDAJ	VYBER	5600	31305	\N	\N	\N
115880	391	1997-01-06	VYDAJ	VYBER	3300	30306	\N	\N	\N
115881	391	1998-01-27	VYDAJ	VYBER	7900	18646	\N	\N	\N
115883	391	1994-12-14	VYDAJ	VYBER	1100	30671	\N	\N	\N
115884	391	1995-12-21	VYDAJ	VYBER	2900	42275	\N	\N	\N
115885	391	1996-12-04	VYDAJ	VYBER	2400	33027	\N	\N	\N
115886	391	1997-12-03	VYDAJ	VYBER	1600	19409	\N	\N	\N
115887	391	1998-12-18	VYDAJ	VYBER	1300	18586	\N	\N	\N
115900	391	1995-01-20	VYDAJ	VYBER	1100	56739	\N	\N	\N
115901	391	1995-01-06	VYDAJ	VYBER	1150	28687	\N	\N	\N
115902	391	1995-01-03	VYDAJ	VYBER	700	34037	\N	\N	\N
115903	391	1995-01-08	VYDAJ	VYBER	300	57539	\N	\N	\N
115904	391	1995-01-08	VYDAJ	VYBER	400	57839	\N	\N	\N
115905	391	1995-01-13	VYDAJ	VYBER	1100	56439	\N	\N	\N
115906	391	1996-01-23	VYDAJ	VYBER	1250	29405	\N	\N	\N
115907	391	1996-01-05	VYDAJ	VYBER	1100	36905	\N	\N	\N
115908	391	1996-01-12	VYDAJ	VYBER	1050	30255	\N	\N	\N
115909	391	1996-01-04	VYDAJ	VYBER	1200	38005	\N	\N	\N
115910	391	1996-01-14	VYDAJ	VYBER	550	29705	\N	\N	\N
115911	391	1996-01-17	VYDAJ	VYBER	450	29655	\N	\N	\N
115912	391	1997-01-12	VYDAJ	VYBER	600	26506	\N	\N	\N
115913	391	1997-01-10	VYDAJ	VYBER	900	28406	\N	\N	\N
115914	391	1997-01-22	VYDAJ	VYBER	250	25856	\N	\N	\N
115915	391	1997-01-17	VYDAJ	VYBER	650	25106	\N	\N	\N
115916	391	1997-01-05	VYDAJ	VYBER	550	33606	\N	\N	\N
115917	391	1997-01-09	VYDAJ	VYBER	1000	29306	\N	\N	\N
115918	391	1998-01-29	VYDAJ	VYBER	1150	17146	\N	\N	\N
115919	391	1998-01-21	VYDAJ	VYBER	900	26546	\N	\N	\N
115920	391	1998-01-21	VYDAJ	VYBER	750	27446	\N	\N	\N
115921	391	1998-01-30	VYDAJ	VYBER	1000	16146	\N	\N	\N
115922	391	1998-01-28	VYDAJ	VYBER	350	18296	\N	\N	\N
115923	391	1998-01-14	VYDAJ	VYBER	300	28396	\N	\N	\N
115930	391	1994-03-27	VYDAJ	VYBER	1100	24711	\N	\N	\N
115931	391	1994-10-20	VYDAJ	VYBER	750	42567	\N	\N	\N
115932	391	1995-03-27	VYDAJ	VYBER	1650	32892	\N	\N	\N
115933	391	1995-10-28	VYDAJ	VYBER	550	29663	\N	\N	\N
115934	391	1995-04-20	VYDAJ	VYBER	1800	29125	\N	\N	\N
115935	391	1995-03-13	VYDAJ	VYBER	1450	33142	\N	\N	\N
115936	391	1995-10-18	VYDAJ	VYBER	2200	30213	\N	\N	\N
115937	391	1995-12-13	VYDAJ	VYBER	500	43775	\N	\N	\N
115938	391	1995-09-16	VYDAJ	VYBER	600	30498	\N	\N	\N
115939	391	1996-05-26	VYDAJ	VYBER	2200	35378	\N	\N	\N
115940	391	1996-11-24	VYDAJ	VYBER	2400	37384	\N	\N	\N
115941	391	1996-08-28	VYDAJ	VYBER	1450	42349	\N	\N	\N
115942	391	1996-06-20	VYDAJ	VYBER	1650	30165	\N	\N	\N
115943	391	1996-01-02	VYDAJ	VYBER	850	39205	\N	\N	\N
115944	391	1997-07-24	VYDAJ	VYBER	1150	23769	\N	\N	\N
115945	391	1997-12-18	VYDAJ	VYBER	750	20059	\N	\N	\N
115946	391	1997-02-04	VYDAJ	VYBER	1400	26558	\N	\N	\N
115947	391	1997-09-16	VYDAJ	VYBER	2350	23390	\N	\N	\N
115948	391	1997-09-23	VYDAJ	VYBER	2000	20890	\N	\N	\N
115949	391	1997-01-14	VYDAJ	VYBER	1150	25356	\N	\N	\N
115950	391	1997-03-27	VYDAJ	VYBER	1800	42036	\N	\N	\N
115951	391	1998-01-10	VYDAJ	VYBER	350	28696	\N	\N	\N
115952	391	1998-12-16	VYDAJ	VYBER	600	18886	\N	\N	\N
115953	391	1998-04-19	VYDAJ	VYBER	550	25820	\N	\N	\N
115954	391	1998-10-05	VYDAJ	VYBER	400	19639	\N	\N	\N
115969	391	1994-02-28	VYDAJ	VYBER	15	21611	SLUZBY	\N	\N
115970	391	1994-03-31	VYDAJ	VYBER	15	24795	SLUZBY	\N	\N
115971	391	1994-04-30	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
115972	391	1994-05-31	VYDAJ	VYBER	15	28785	SLUZBY	\N	\N
115973	391	1994-06-30	VYDAJ	VYBER	15	15882	SLUZBY	\N	\N
115974	391	1994-07-31	VYDAJ	VYBER	15	20243	SLUZBY	\N	\N
115975	391	1994-08-31	VYDAJ	VYBER	15	24621	SLUZBY	\N	\N
115976	391	1994-09-30	VYDAJ	VYBER	15	28917	SLUZBY	\N	\N
115977	391	1994-10-31	VYDAJ	VYBER	15	42718	SLUZBY	\N	\N
115978	391	1994-11-30	VYDAJ	VYBER	15	38171	SLUZBY	\N	\N
115979	391	1994-12-31	VYDAJ	VYBER	15	42737	SLUZBY	\N	\N
115980	391	1995-01-31	VYDAJ	VYBER	15	47532	SLUZBY	\N	\N
115981	391	1995-02-28	VYDAJ	VYBER	15	38192	SLUZBY	\N	\N
115982	391	1995-03-31	VYDAJ	VYBER	15	33025	SLUZBY	\N	\N
115983	391	1995-04-30	VYDAJ	VYBER	15	29240	SLUZBY	\N	\N
115984	391	1995-05-31	VYDAJ	VYBER	15	29247	SLUZBY	\N	\N
115985	391	1995-06-30	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
115986	391	1995-07-31	VYDAJ	VYBER	15	25993	SLUZBY	\N	\N
115987	391	1995-08-31	VYDAJ	VYBER	15	31098	SLUZBY	\N	\N
115988	391	1995-09-30	VYDAJ	VYBER	15	31613	SLUZBY	\N	\N
115989	391	1995-10-31	VYDAJ	VYBER	15	29779	SLUZBY	\N	\N
115990	391	1995-11-30	VYDAJ	VYBER	15	52675	SLUZBY	\N	\N
115991	391	1995-12-31	VYDAJ	VYBER	15	42455	SLUZBY	\N	\N
115992	391	1996-01-31	VYDAJ	VYBER	15	28319	SLUZBY	\N	\N
115993	391	1996-02-29	VYDAJ	VYBER	15	32425	SLUZBY	\N	\N
115994	391	1996-03-31	VYDAJ	VYBER	15	34448	SLUZBY	\N	\N
115995	391	1996-04-30	VYDAJ	VYBER	15	36178	SLUZBY	\N	\N
115996	391	1996-05-31	VYDAJ	VYBER	15	35315	SLUZBY	\N	\N
115997	391	1996-06-30	VYDAJ	VYBER	15	30589	SLUZBY	\N	\N
115998	391	1996-07-31	VYDAJ	VYBER	15	58299	SLUZBY	\N	\N
115999	391	1996-08-31	VYDAJ	VYBER	15	42568	SLUZBY	\N	\N
116000	391	1996-09-30	VYDAJ	VYBER	15	41030	SLUZBY	\N	\N
116001	391	1996-10-31	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
116002	391	1996-11-30	VYDAJ	VYBER	15	35427	SLUZBY	\N	\N
116003	391	1996-12-31	VYDAJ	VYBER	15	34156	SLUZBY	\N	\N
116004	391	1997-01-31	VYDAJ	VYBER	15	27958	SLUZBY	\N	\N
116005	391	1997-02-28	VYDAJ	VYBER	15	29560	SLUZBY	\N	\N
116006	391	1997-03-31	VYDAJ	VYBER	15	42205	SLUZBY	\N	\N
116007	391	1997-04-30	VYDAJ	VYBER	15	71331	SLUZBY	\N	\N
116008	391	1997-05-31	VYDAJ	VYBER	15	46987	SLUZBY	\N	\N
116009	391	1997-06-30	VYDAJ	VYBER	15	24419	SLUZBY	\N	\N
116010	391	1997-07-31	VYDAJ	VYBER	15	23854	SLUZBY	\N	\N
116011	391	1997-08-31	VYDAJ	VYBER	15	25340	SLUZBY	\N	\N
116012	391	1997-09-30	VYDAJ	VYBER	15	20972	SLUZBY	\N	\N
116013	391	1997-10-31	VYDAJ	VYBER	15	19641	SLUZBY	\N	\N
116014	391	1997-11-30	VYDAJ	VYBER	15	21009	SLUZBY	\N	\N
116015	391	1997-12-31	VYDAJ	VYBER	15	21830	SLUZBY	\N	\N
116016	391	1998-01-31	VYDAJ	VYBER	15	16233	SLUZBY	\N	\N
116017	391	1998-02-28	VYDAJ	VYBER	15	21892	SLUZBY	\N	\N
116018	391	1998-03-31	VYDAJ	VYBER	15	23970	SLUZBY	\N	\N
116019	391	1998-04-30	VYDAJ	VYBER	15	25907	SLUZBY	\N	\N
116020	391	1998-05-31	VYDAJ	VYBER	15	41982	SLUZBY	\N	\N
116021	391	1998-06-30	VYDAJ	VYBER	15	28524	SLUZBY	\N	\N
116022	391	1998-07-31	VYDAJ	VYBER	15	21512	SLUZBY	\N	\N
116023	391	1998-08-31	VYDAJ	VYBER	15	18477	SLUZBY	\N	\N
116024	391	1998-09-30	VYDAJ	VYBER	15	20039	SLUZBY	\N	\N
116025	391	1998-10-31	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
116026	391	1998-11-30	VYDAJ	VYBER	15	23186	SLUZBY	\N	\N
116027	391	1994-01-10	PRIJEM	VKLAD	13200	15705	\N	\N	\N
116028	391	1994-02-09	PRIJEM	VKLAD	3000	20145	\N	\N	\N
116029	391	1994-03-11	PRIJEM	VKLAD	2800	24411	\N	\N	\N
116030	391	1994-04-10	VYDAJ	VYBER	200	24595	\N	\N	\N
116031	391	1994-05-10	PRIJEM	VKLAD	1200	27286	\N	\N	\N
116032	391	1994-06-09	VYDAJ	VYBER	800	27985	\N	\N	\N
116033	391	1994-07-09	PRIJEM	VKLAD	2900	18782	\N	\N	\N
116034	391	1994-08-08	PRIJEM	VKLAD	2900	23143	\N	\N	\N
116035	391	1994-09-07	PRIJEM	VKLAD	2800	27421	\N	\N	\N
116036	391	1994-10-07	VYDAJ	VYBER	14300	41917	\N	\N	\N
116037	391	1994-11-06	VYDAJ	VYBER	6100	36618	\N	\N	\N
116038	391	1994-12-06	VYDAJ	VYBER	6400	31771	\N	\N	\N
116039	391	1995-01-05	VYDAJ	VYBER	4200	29837	\N	\N	\N
116040	391	1995-02-04	VYDAJ	VYBER	10900	36632	\N	\N	\N
116041	391	1995-03-06	VYDAJ	VYBER	3600	34592	\N	\N	\N
116042	391	1995-04-05	VYDAJ	VYBER	3500	29525	\N	\N	\N
116043	391	1995-05-05	VYDAJ	VYBER	1500	27740	\N	\N	\N
116044	391	1995-06-04	VYDAJ	VYBER	1800	27447	\N	\N	\N
116045	391	1995-07-04	PRIJEM	VKLAD	8900	24521	\N	\N	\N
116046	391	1995-08-03	PRIJEM	VKLAD	3600	29593	\N	\N	\N
116047	391	1995-09-02	VYDAJ	VYBER	400	30698	\N	\N	\N
116048	391	1995-10-02	VYDAJ	VYBER	600	31013	\N	\N	\N
116049	391	1995-11-01	PRIJEM	VKLAD	2000	31779	\N	\N	\N
116050	391	1995-12-01	VYDAJ	VYBER	8400	44275	\N	\N	\N
116051	391	1995-12-31	VYDAJ	VYBER	2400	40055	\N	\N	\N
116052	391	1996-01-30	PRIJEM	VKLAD	4800	28205	\N	\N	\N
116053	391	1996-02-29	PRIJEM	VKLAD	2600	32439	\N	\N	\N
116054	391	1996-03-30	PRIJEM	VKLAD	500	34325	\N	\N	\N
116055	391	1996-04-29	PRIJEM	VKLAD	200	36048	\N	\N	\N
116056	391	1996-05-29	VYDAJ	VYBER	200	35178	\N	\N	\N
116057	391	1996-06-28	PRIJEM	VKLAD	300	30465	\N	\N	\N
116058	391	1996-07-28	VYDAJ	VYBER	27800	58097	\N	\N	\N
116059	391	1996-08-27	VYDAJ	VYBER	15900	43799	\N	\N	\N
116060	391	1996-09-26	VYDAJ	VYBER	3100	40868	\N	\N	\N
116061	391	1996-10-26	VYDAJ	VYBER	4200	38230	\N	\N	\N
116062	391	1996-11-25	VYDAJ	VYBER	2100	35284	\N	\N	\N
116063	391	1996-12-25	VYDAJ	VYBER	400	34027	\N	\N	\N
116064	391	1997-01-24	PRIJEM	VKLAD	2000	27856	\N	\N	\N
116065	391	1997-02-23	PRIJEM	VKLAD	1500	29458	\N	\N	\N
116066	391	1997-03-25	VYDAJ	VYBER	20100	43836	\N	\N	\N
116067	391	1997-04-24	VYDAJ	VYBER	9800	33805	\N	\N	\N
116068	391	1997-05-24	VYDAJ	VYBER	26000	46731	\N	\N	\N
116069	391	1997-06-23	VYDAJ	VYBER	200	24287	\N	\N	\N
116070	391	1997-07-23	VYDAJ	VYBER	900	24919	\N	\N	\N
116071	391	1997-09-21	VYDAJ	VYBER	1500	22890	\N	\N	\N
116072	391	1997-10-21	VYDAJ	VYBER	2800	19572	\N	\N	\N
116073	391	1997-11-20	VYDAJ	VYBER	100	20941	\N	\N	\N
116074	391	1997-12-20	PRIJEM	VKLAD	1700	21759	\N	\N	\N
116075	391	1998-01-19	VYDAJ	VYBER	1600	28196	\N	\N	\N
116076	391	1998-02-18	PRIJEM	VKLAD	4200	20833	\N	\N	\N
116077	391	1998-03-20	PRIJEM	VKLAD	600	23892	\N	\N	\N
116078	391	1998-04-19	PRIJEM	VKLAD	1000	26370	\N	\N	\N
116079	391	1998-05-19	VYDAJ	VYBER	17600	41846	\N	\N	\N
116080	391	1998-06-18	VYDAJ	VYBER	7500	28382	\N	\N	\N
116081	391	1998-07-18	VYDAJ	VYBER	8500	21424	\N	\N	\N
116082	391	1998-08-17	VYDAJ	VYBER	4500	17412	\N	\N	\N
116083	391	1998-09-16	PRIJEM	VKLAD	100	18577	\N	\N	\N
116084	391	1998-10-16	PRIJEM	VKLAD	1600	21639	\N	\N	\N
116085	391	1998-11-15	VYDAJ	VYBER	1000	21709	\N	\N	\N
116086	391	1998-12-15	VYDAJ	VYBER	4100	19086	\N	\N	\N
116148	392	1996-07-14	PRIJEM	VKLAD	300	300	\N	\N	\N
116156	392	1996-08-11	PRIJEM	VKLAD	13466	13766	\N	\N	\N
116157	392	1996-09-11	PRIJEM	VKLAD	13466	30475	\N	\N	\N
116158	392	1996-10-11	PRIJEM	VKLAD	13466	39436	\N	\N	\N
116159	392	1996-11-11	PRIJEM	VKLAD	13466	48032	\N	\N	\N
116160	392	1996-12-11	PRIJEM	VKLAD	20199	61193	\N	\N	\N
116161	392	1997-01-11	PRIJEM	VKLAD	13466	41195	\N	\N	\N
116162	392	1997-02-11	PRIJEM	VKLAD	13466	46034	\N	\N	\N
116163	392	1997-03-11	PRIJEM	VKLAD	13466	52590	\N	\N	\N
116164	392	1997-04-11	PRIJEM	VKLAD	13466	53679	\N	\N	\N
116165	392	1997-05-11	PRIJEM	VKLAD	13466	55292	\N	\N	\N
116166	392	1997-06-11	PRIJEM	VKLAD	20199	64633	\N	\N	\N
116167	392	1997-07-11	PRIJEM	VKLAD	13466	41351	\N	\N	\N
116168	392	1997-08-11	PRIJEM	VKLAD	13466	51093	\N	\N	\N
116169	392	1997-09-11	PRIJEM	VKLAD	13466	54272	\N	\N	\N
116170	392	1997-10-11	PRIJEM	VKLAD	13466	52271	\N	\N	\N
116171	392	1997-11-11	PRIJEM	VKLAD	13466	50236	\N	\N	\N
116172	392	1997-12-11	PRIJEM	VKLAD	20199	51887	\N	\N	\N
116173	392	1998-01-11	PRIJEM	VKLAD	13466	41725	\N	\N	\N
116174	392	1998-02-11	PRIJEM	VKLAD	13466	39995	\N	\N	\N
116175	392	1998-03-11	PRIJEM	VKLAD	13466	38028	\N	\N	\N
116176	392	1998-04-11	PRIJEM	VKLAD	13466	45464	\N	\N	\N
116177	392	1998-05-11	PRIJEM	VKLAD	13466	53321	\N	\N	\N
116178	392	1998-06-11	PRIJEM	VKLAD	20199	58644	\N	\N	\N
116179	392	1998-07-11	PRIJEM	VKLAD	13466	49527	\N	\N	\N
116180	392	1998-08-11	PRIJEM	VKLAD	13466	50003	\N	\N	\N
116181	392	1998-09-11	PRIJEM	VKLAD	13466	54679	\N	\N	\N
116182	392	1998-10-11	PRIJEM	VKLAD	13466	57176	\N	\N	\N
116183	392	1998-11-11	PRIJEM	VKLAD	13466	53497	\N	\N	\N
116184	392	1998-12-11	PRIJEM	VKLAD	20199	59124	\N	\N	\N
116197	392	1997-01-09	VYDAJ	PREVOD NA UCET	1407	25889	SIPO	GH	99824958
116198	392	1997-02-09	VYDAJ	PREVOD NA UCET	1407	32568	SIPO	GH	99824958
116199	392	1997-03-09	VYDAJ	PREVOD NA UCET	1407	39124	SIPO	GH	99824958
116200	392	1997-04-09	VYDAJ	PREVOD NA UCET	1407	39413	SIPO	GH	99824958
116201	392	1997-05-09	VYDAJ	PREVOD NA UCET	1407	46806	SIPO	GH	99824958
116202	392	1997-06-09	VYDAJ	PREVOD NA UCET	1407	44434	SIPO	GH	99824958
116203	392	1997-07-09	VYDAJ	PREVOD NA UCET	1407	27885	SIPO	GH	99824958
116204	392	1997-08-09	VYDAJ	PREVOD NA UCET	1407	37627	SIPO	GH	99824958
116205	392	1997-09-09	VYDAJ	PREVOD NA UCET	1407	40806	SIPO	GH	99824958
116206	392	1997-10-09	VYDAJ	PREVOD NA UCET	1407	38805	SIPO	GH	99824958
116207	392	1997-11-09	VYDAJ	PREVOD NA UCET	1407	36770	SIPO	GH	99824958
116208	392	1997-12-09	VYDAJ	PREVOD NA UCET	1407	31688	SIPO	GH	99824958
116209	392	1998-01-09	VYDAJ	PREVOD NA UCET	1407	28259	SIPO	GH	99824958
116210	392	1998-02-09	VYDAJ	PREVOD NA UCET	1407	26529	SIPO	GH	99824958
116211	392	1998-03-09	VYDAJ	PREVOD NA UCET	1407	27362	SIPO	GH	99824958
116212	392	1998-04-09	VYDAJ	PREVOD NA UCET	1407	31998	SIPO	GH	99824958
116213	392	1998-05-09	VYDAJ	PREVOD NA UCET	1407	39855	SIPO	GH	99824958
116214	392	1998-06-09	VYDAJ	PREVOD NA UCET	1407	38445	SIPO	GH	99824958
116215	392	1998-07-09	VYDAJ	PREVOD NA UCET	1407	36061	SIPO	GH	99824958
116216	392	1998-08-09	VYDAJ	PREVOD NA UCET	1407	36537	SIPO	GH	99824958
116217	392	1998-09-09	VYDAJ	PREVOD NA UCET	1407	41213	SIPO	GH	99824958
116218	392	1998-10-09	VYDAJ	PREVOD NA UCET	1407	43710	SIPO	GH	99824958
116219	392	1998-11-09	VYDAJ	PREVOD NA UCET	1407	40031	SIPO	GH	99824958
116220	392	1998-12-09	VYDAJ	PREVOD NA UCET	1407	38925	SIPO	GH	99824958
116233	392	1997-01-07	VYDAJ	PREVOD NA UCET	5663	27296	 	WX	27344715
116234	392	1997-02-07	VYDAJ	PREVOD NA UCET	5663	28475	 	WX	27344715
116235	392	1997-03-07	VYDAJ	PREVOD NA UCET	5663	40531	 	WX	27344715
116236	392	1997-04-07	VYDAJ	PREVOD NA UCET	5663	40820	 	WX	27344715
116237	392	1997-05-07	VYDAJ	PREVOD NA UCET	5663	48213	 	WX	27344715
116238	392	1997-06-07	VYDAJ	PREVOD NA UCET	5663	49841	 	WX	27344715
116239	392	1997-07-07	VYDAJ	PREVOD NA UCET	5663	12692	 	WX	27344715
116240	392	1997-08-07	VYDAJ	PREVOD NA UCET	5663	34134	 	WX	27344715
116241	392	1997-09-07	VYDAJ	PREVOD NA UCET	5663	45613	 	WX	27344715
116242	392	1997-10-07	VYDAJ	PREVOD NA UCET	5663	48812	 	WX	27344715
116243	392	1997-11-07	VYDAJ	PREVOD NA UCET	5663	38177	 	WX	27344715
116244	392	1997-12-07	VYDAJ	PREVOD NA UCET	5663	33095	 	WX	27344715
116245	392	1998-01-07	VYDAJ	PREVOD NA UCET	5663	29666	 	WX	27344715
116246	392	1998-02-07	VYDAJ	PREVOD NA UCET	5663	27936	 	WX	27344715
116247	392	1998-03-07	VYDAJ	PREVOD NA UCET	5663	28769	 	WX	27344715
116248	392	1998-04-07	VYDAJ	PREVOD NA UCET	5663	33405	 	WX	27344715
116249	392	1998-05-07	VYDAJ	PREVOD NA UCET	5663	41262	 	WX	27344715
116250	392	1998-06-07	VYDAJ	PREVOD NA UCET	5663	39852	 	WX	27344715
116251	392	1998-07-07	VYDAJ	PREVOD NA UCET	5663	37468	 	WX	27344715
116252	392	1998-08-07	VYDAJ	PREVOD NA UCET	5663	37944	 	WX	27344715
116253	392	1998-09-07	VYDAJ	PREVOD NA UCET	5663	42620	 	WX	27344715
116254	392	1998-10-07	VYDAJ	PREVOD NA UCET	5663	45117	 	WX	27344715
116255	392	1998-11-07	VYDAJ	PREVOD NA UCET	5663	41438	 	WX	27344715
116256	392	1998-12-07	VYDAJ	PREVOD NA UCET	5663	40332	 	WX	27344715
116258	392	1997-06-11	VYDAJ	VYBER	42080	22553	\N	\N	\N
116259	392	1998-06-28	VYDAJ	VYBER	15360	43284	\N	\N	\N
116261	392	1997-01-07	VYDAJ	VYBER	7840	32959	\N	\N	\N
116262	392	1998-01-15	VYDAJ	VYBER	6560	35165	\N	\N	\N
116263	392	1996-12-18	VYDAJ	VYBER	2080	44113	\N	\N	\N
116264	392	1997-12-14	VYDAJ	VYBER	1440	50447	\N	\N	\N
116265	392	1998-12-12	VYDAJ	VYBER KARTOU	3700	55424	\N	\N	0
116272	392	1997-01-17	VYDAJ	VYBER	1080	37835	\N	\N	\N
116273	392	1997-01-29	VYDAJ	VYBER	960	34955	\N	\N	\N
116274	392	1997-01-02	VYDAJ	VYBER	3480	40799	\N	\N	\N
116275	392	1997-01-29	VYDAJ	VYBER	960	33995	\N	\N	\N
116276	392	1997-01-10	VYDAJ	VYBER	1560	27729	\N	\N	\N
116277	392	1997-01-22	VYDAJ	VYBER	1920	35915	\N	\N	\N
116278	392	1998-01-07	VYDAJ	VYBER KARTOU	1200	35329	\N	\N	0
116279	392	1998-01-25	VYDAJ	VYBER KARTOU	1400	32065	\N	\N	0
116280	392	1998-01-01	VYDAJ	VYBER KARTOU	1100	49529	\N	\N	0
116281	392	1998-01-19	VYDAJ	VYBER KARTOU	1700	33465	\N	\N	0
116282	392	1998-01-02	VYDAJ	VYBER KARTOU	3500	46029	\N	\N	0
116283	392	1998-01-04	VYDAJ	VYBER KARTOU	800	45229	\N	\N	0
116289	392	1997-07-05	VYDAJ	VYBER	4320	18355	\N	\N	\N
116290	392	1997-10-12	VYDAJ	VYBER	3120	49151	\N	\N	\N
116291	392	1997-05-10	VYDAJ	VYBER	2280	41826	\N	\N	\N
116292	392	1997-12-05	VYDAJ	VYBER	2160	44058	\N	\N	\N
116293	392	1997-11-23	VYDAJ	VYBER	4200	46036	\N	\N	\N
116294	392	1997-01-14	VYDAJ	VYBER	2280	38915	\N	\N	\N
116295	392	1997-07-11	VYDAJ	VYBER	1680	39671	\N	\N	\N
116296	392	1998-07-11	VYDAJ	VYBER	5280	44247	\N	\N	\N
116297	392	1998-08-16	VYDAJ	VYBER KARTOU	800	49203	\N	\N	0
116298	392	1998-11-12	VYDAJ	VYBER KARTOU	600	52897	\N	\N	0
116299	392	1998-06-30	VYDAJ	VYBER	5760	37731	\N	\N	\N
116300	392	1998-03-10	VYDAJ	VYBER KARTOU	2800	24562	\N	\N	0
116301	392	1998-10-15	VYDAJ	VYBER	4080	53096	\N	\N	\N
116314	392	1996-12-31	VYDAJ	VYBER	15	44279	SLUZBY	\N	\N
116315	392	1997-01-31	VYDAJ	VYBER	15	34138	SLUZBY	\N	\N
116316	392	1997-02-28	VYDAJ	VYBER	15	46194	SLUZBY	\N	\N
116317	392	1997-03-31	VYDAJ	VYBER	15	46483	SLUZBY	\N	\N
116318	392	1997-04-30	VYDAJ	VYBER	15	53876	SLUZBY	\N	\N
116319	392	1997-05-31	VYDAJ	VYBER	15	55504	SLUZBY	\N	\N
116320	392	1997-06-30	VYDAJ	VYBER	15	22675	SLUZBY	\N	\N
116321	392	1997-07-31	VYDAJ	VYBER	15	39797	SLUZBY	\N	\N
116322	392	1997-08-31	VYDAJ	VYBER	15	51276	SLUZBY	\N	\N
116323	392	1997-09-30	VYDAJ	VYBER	15	54475	SLUZBY	\N	\N
116324	392	1997-10-31	VYDAJ	VYBER	15	49340	SLUZBY	\N	\N
116325	392	1997-11-30	VYDAJ	VYBER	15	46218	SLUZBY	\N	\N
116326	392	1997-12-31	VYDAJ	VYBER	15	50629	SLUZBY	\N	\N
116327	392	1998-01-31	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
116328	392	1998-02-28	VYDAJ	VYBER	15	40132	SLUZBY	\N	\N
116329	392	1998-03-31	VYDAJ	VYBER	15	38168	SLUZBY	\N	\N
116330	392	1998-04-30	VYDAJ	VYBER	15	45625	SLUZBY	\N	\N
116331	392	1998-05-31	VYDAJ	VYBER	15	53515	SLUZBY	\N	\N
116332	392	1998-06-30	VYDAJ	VYBER	15	43491	SLUZBY	\N	\N
116333	392	1998-07-31	VYDAJ	VYBER	15	44407	SLUZBY	\N	\N
116334	392	1998-08-31	VYDAJ	VYBER	15	49383	SLUZBY	\N	\N
116335	392	1998-09-30	VYDAJ	VYBER	15	54880	SLUZBY	\N	\N
116336	392	1998-10-31	VYDAJ	VYBER	15	53301	SLUZBY	\N	\N
116337	392	1998-11-30	VYDAJ	VYBER	15	53095	SLUZBY	\N	\N
116338	392	1996-08-13	PRIJEM	VKLAD	3200	16966	\N	\N	\N
116339	392	1996-09-12	VYDAJ	VYBER	4600	25875	\N	\N	\N
116340	392	1996-10-12	VYDAJ	VYBER	5000	34436	\N	\N	\N
116341	392	1996-11-11	VYDAJ	VYBER	7200	40832	\N	\N	\N
116342	392	1996-12-11	VYDAJ	VYBER	15000	46193	\N	\N	\N
116343	392	1997-01-10	PRIJEM	VKLAD	3400	29289	\N	\N	\N
116344	392	1997-02-09	PRIJEM	VKLAD	5500	33975	\N	\N	\N
116345	392	1997-03-11	VYDAJ	VYBER	6300	46290	\N	\N	\N
116346	392	1997-04-10	PRIJEM	VKLAD	800	40213	\N	\N	\N
116347	392	1997-05-10	VYDAJ	VYBER	2700	44106	\N	\N	\N
116348	392	1997-06-09	VYDAJ	VYBER	4000	45841	\N	\N	\N
116349	392	1997-07-09	PRIJEM	VKLAD	16600	29292	\N	\N	\N
116350	392	1997-08-08	PRIJEM	VKLAD	4900	39034	\N	\N	\N
116351	392	1997-09-07	VYDAJ	VYBER	3400	42213	\N	\N	\N
116352	392	1997-10-07	VYDAJ	VYBER	8600	40212	\N	\N	\N
116353	392	1997-11-06	VYDAJ	VYBER	5500	43840	\N	\N	\N
116354	392	1997-12-06	VYDAJ	VYBER	5300	38758	\N	\N	\N
116355	392	1998-01-05	VYDAJ	VYBER	8700	36529	\N	\N	\N
116356	392	1998-02-04	PRIJEM	VKLAD	1400	33599	\N	\N	\N
116357	392	1998-03-06	VYDAJ	VYBER	5700	34432	\N	\N	\N
116358	392	1998-04-05	PRIJEM	VKLAD	900	39068	\N	\N	\N
116359	392	1998-05-05	PRIJEM	VKLAD	1300	46925	\N	\N	\N
116360	392	1998-06-04	VYDAJ	VYBER	8000	45515	\N	\N	\N
116361	392	1998-07-04	PRIJEM	VKLAD	5400	43131	\N	\N	\N
116362	392	1998-08-03	VYDAJ	VYBER KARTOU	800	43607	\N	\N	0
116363	392	1998-09-02	VYDAJ	VYBER KARTOU	1100	48283	\N	\N	0
116364	392	1998-10-02	VYDAJ	VYBER	4100	50780	\N	\N	\N
116365	392	1998-11-01	VYDAJ	VYBER	6200	47101	\N	\N	\N
116366	392	1998-12-01	VYDAJ	VYBER	7100	45995	\N	\N	\N
116396	393	1995-02-04	PRIJEM	VKLAD	500	500	\N	\N	\N
116398	393	1995-02-10	PRIJEM	VKLAD	24766	25266	\N	\N	\N
116399	393	1995-03-10	PRIJEM	VKLAD	24766	50703	\N	\N	\N
116400	393	1995-04-10	PRIJEM	VKLAD	24766	60950	\N	\N	\N
116401	393	1995-05-10	PRIJEM	VKLAD	24766	69257	\N	\N	\N
116402	393	1995-06-10	PRIJEM	VKLAD	37149	83385	\N	\N	\N
116403	393	1995-07-10	PRIJEM	VKLAD	24766	70544	\N	\N	\N
116404	393	1995-08-10	PRIJEM	VKLAD	24766	66963	\N	\N	\N
116405	393	1995-09-10	PRIJEM	VKLAD	24766	60656	\N	\N	\N
116406	393	1995-10-10	PRIJEM	VKLAD	24766	61628	\N	\N	\N
116407	393	1995-11-10	PRIJEM	VKLAD	24766	59301	\N	\N	\N
116408	393	1995-12-10	PRIJEM	VKLAD	37149	68750	\N	\N	\N
116409	393	1996-01-10	PRIJEM	VKLAD	24766	61123	\N	\N	\N
116410	393	1996-02-10	PRIJEM	VKLAD	24766	58776	\N	\N	\N
116411	393	1996-03-10	PRIJEM	VKLAD	24766	57720	\N	\N	\N
116412	393	1996-04-10	PRIJEM	VKLAD	24766	59460	\N	\N	\N
116413	393	1996-05-10	PRIJEM	VKLAD	24766	57306	\N	\N	\N
116414	393	1996-06-10	PRIJEM	VKLAD	37149	69024	\N	\N	\N
116415	393	1996-07-10	PRIJEM	VKLAD	24766	52777	\N	\N	\N
116416	393	1996-08-10	PRIJEM	VKLAD	24766	55593	\N	\N	\N
116417	393	1996-09-10	PRIJEM	VKLAD	24766	54109	\N	\N	\N
116418	393	1996-10-10	PRIJEM	VKLAD	24766	59127	\N	\N	\N
116419	393	1996-11-10	PRIJEM	VKLAD	24766	60563	\N	\N	\N
116420	393	1996-12-10	PRIJEM	VKLAD	37149	69082	\N	\N	\N
116421	393	1997-01-10	PRIJEM	VKLAD	24766	57833	\N	\N	\N
116422	393	1997-02-10	PRIJEM	VKLAD	24766	54957	\N	\N	\N
116423	393	1997-03-10	PRIJEM	VKLAD	24766	53068	\N	\N	\N
116424	393	1997-04-10	PRIJEM	VKLAD	24766	51574	\N	\N	\N
116425	393	1997-05-10	PRIJEM	VKLAD	24766	50472	\N	\N	\N
116426	393	1997-06-10	PRIJEM	VKLAD	37149	64349	\N	\N	\N
116427	393	1997-07-10	PRIJEM	VKLAD	24766	45459	\N	\N	\N
116428	393	1997-08-10	PRIJEM	VKLAD	24766	49735	\N	\N	\N
116429	393	1997-09-10	PRIJEM	VKLAD	24766	45619	\N	\N	\N
116430	393	1997-10-10	PRIJEM	VKLAD	24766	47193	\N	\N	\N
116431	393	1997-11-10	PRIJEM	VKLAD	24766	47164	\N	\N	\N
116432	393	1997-12-10	PRIJEM	VKLAD	37149	61615	\N	\N	\N
116433	393	1998-01-10	PRIJEM	VKLAD	24766	58524	\N	\N	\N
116434	393	1998-02-10	PRIJEM	VKLAD	24766	49523	\N	\N	\N
116435	393	1998-03-10	PRIJEM	VKLAD	24766	47093	\N	\N	\N
116436	393	1998-04-10	PRIJEM	VKLAD	24766	47963	\N	\N	\N
116437	393	1998-05-10	PRIJEM	VKLAD	24766	53642	\N	\N	\N
116438	393	1998-06-10	PRIJEM	VKLAD	37149	65718	\N	\N	\N
116439	393	1998-07-10	PRIJEM	VKLAD	24766	46109	\N	\N	\N
116440	393	1998-08-10	PRIJEM	VKLAD	24766	53582	\N	\N	\N
116441	393	1998-09-10	PRIJEM	VKLAD	24766	55773	\N	\N	\N
116442	393	1998-10-10	PRIJEM	VKLAD	24766	53863	\N	\N	\N
116443	393	1998-11-10	PRIJEM	VKLAD	24766	50742	\N	\N	\N
116444	393	1998-12-10	PRIJEM	VKLAD	37149	55383	\N	\N	\N
116451	393	1995-07-06	VYDAJ	PREVOD NA UCET	302	51698	SIPO	AB	10808188
116452	393	1995-08-06	VYDAJ	PREVOD NA UCET	302	48117	SIPO	AB	10808188
116453	393	1995-09-06	VYDAJ	PREVOD NA UCET	302	44510	SIPO	AB	10808188
116454	393	1995-10-06	VYDAJ	PREVOD NA UCET	302	42782	SIPO	AB	10808188
116455	393	1995-11-06	VYDAJ	PREVOD NA UCET	302	40455	SIPO	AB	10808188
116456	393	1995-12-06	VYDAJ	PREVOD NA UCET	302	37521	SIPO	AB	10808188
116457	393	1996-01-06	VYDAJ	PREVOD NA UCET	302	42277	SIPO	AB	10808188
116458	393	1996-02-06	VYDAJ	PREVOD NA UCET	302	39930	SIPO	AB	10808188
116459	393	1996-03-06	VYDAJ	PREVOD NA UCET	302	38874	SIPO	AB	10808188
116460	393	1996-04-06	VYDAJ	PREVOD NA UCET	302	40614	SIPO	AB	10808188
116461	393	1996-05-06	VYDAJ	PREVOD NA UCET	302	38460	SIPO	AB	10808188
116462	393	1996-06-06	VYDAJ	PREVOD NA UCET	302	37795	SIPO	AB	10808188
116463	393	1996-07-06	VYDAJ	PREVOD NA UCET	302	33931	SIPO	AB	10808188
116464	393	1996-08-06	VYDAJ	PREVOD NA UCET	302	36747	SIPO	AB	10808188
116465	393	1996-09-06	VYDAJ	PREVOD NA UCET	302	35263	SIPO	AB	10808188
116466	393	1996-10-06	VYDAJ	PREVOD NA UCET	302	40281	SIPO	AB	10808188
116467	393	1996-11-06	VYDAJ	PREVOD NA UCET	302	41717	SIPO	AB	10808188
116468	393	1996-12-06	VYDAJ	PREVOD NA UCET	302	37853	SIPO	AB	10808188
116469	393	1997-01-06	VYDAJ	PREVOD NA UCET	302	38987	SIPO	AB	10808188
116470	393	1997-02-06	VYDAJ	PREVOD NA UCET	302	36111	SIPO	AB	10808188
116471	393	1997-03-06	VYDAJ	PREVOD NA UCET	302	34222	SIPO	AB	10808188
116472	393	1997-04-06	VYDAJ	PREVOD NA UCET	302	32728	SIPO	AB	10808188
116473	393	1997-05-06	VYDAJ	PREVOD NA UCET	302	31626	SIPO	AB	10808188
116474	393	1997-06-06	VYDAJ	PREVOD NA UCET	302	33120	SIPO	AB	10808188
116475	393	1997-07-06	VYDAJ	PREVOD NA UCET	302	27113	SIPO	AB	10808188
116476	393	1997-08-06	VYDAJ	PREVOD NA UCET	302	30889	SIPO	AB	10808188
116477	393	1997-09-06	VYDAJ	PREVOD NA UCET	302	30373	SIPO	AB	10808188
116478	393	1997-10-06	VYDAJ	PREVOD NA UCET	302	28347	SIPO	AB	10808188
116479	393	1997-11-06	VYDAJ	PREVOD NA UCET	302	28318	SIPO	AB	10808188
116480	393	1997-12-06	VYDAJ	PREVOD NA UCET	302	30386	SIPO	AB	10808188
116481	393	1998-01-06	VYDAJ	PREVOD NA UCET	302	39678	SIPO	AB	10808188
116482	393	1998-02-06	VYDAJ	PREVOD NA UCET	302	30677	SIPO	AB	10808188
116483	393	1998-03-06	VYDAJ	PREVOD NA UCET	302	28247	SIPO	AB	10808188
116484	393	1998-04-06	VYDAJ	PREVOD NA UCET	302	29117	SIPO	AB	10808188
116485	393	1998-05-06	VYDAJ	PREVOD NA UCET	302	34796	SIPO	AB	10808188
116486	393	1998-06-06	VYDAJ	PREVOD NA UCET	302	34489	SIPO	AB	10808188
116487	393	1998-07-06	VYDAJ	PREVOD NA UCET	302	27263	SIPO	AB	10808188
116488	393	1998-08-06	VYDAJ	PREVOD NA UCET	302	34736	SIPO	AB	10808188
116489	393	1998-09-06	VYDAJ	PREVOD NA UCET	302	36927	SIPO	AB	10808188
116490	393	1998-10-06	VYDAJ	PREVOD NA UCET	302	35017	SIPO	AB	10808188
116491	393	1998-11-06	VYDAJ	PREVOD NA UCET	302	31896	SIPO	AB	10808188
116492	393	1998-12-06	VYDAJ	PREVOD NA UCET	302	24154	SIPO	AB	10808188
116499	393	1995-07-07	VYDAJ	PREVOD NA UCET	5920	45778	 	AB	27135431
116500	393	1995-08-07	VYDAJ	PREVOD NA UCET	5920	42197	 	AB	27135431
116501	393	1995-09-07	VYDAJ	PREVOD NA UCET	5920	38590	 	AB	27135431
116502	393	1995-10-07	VYDAJ	PREVOD NA UCET	5920	36862	 	AB	27135431
116503	393	1995-11-07	VYDAJ	PREVOD NA UCET	5920	34535	 	AB	27135431
116504	393	1995-12-07	VYDAJ	PREVOD NA UCET	5920	31601	 	AB	27135431
116505	393	1996-01-07	VYDAJ	PREVOD NA UCET	5920	36357	 	AB	27135431
116506	393	1996-02-07	VYDAJ	PREVOD NA UCET	5920	34010	 	AB	27135431
116507	393	1996-03-07	VYDAJ	PREVOD NA UCET	5920	32954	 	AB	27135431
116508	393	1996-04-07	VYDAJ	PREVOD NA UCET	5920	34694	 	AB	27135431
116509	393	1996-05-07	VYDAJ	PREVOD NA UCET	5920	32540	 	AB	27135431
116510	393	1996-06-07	VYDAJ	PREVOD NA UCET	5920	31875	 	AB	27135431
116511	393	1996-07-07	VYDAJ	PREVOD NA UCET	5920	28011	 	AB	27135431
116512	393	1996-08-07	VYDAJ	PREVOD NA UCET	5920	30827	 	AB	27135431
116513	393	1996-09-07	VYDAJ	PREVOD NA UCET	5920	29343	 	AB	27135431
116514	393	1996-10-07	VYDAJ	PREVOD NA UCET	5920	34361	 	AB	27135431
116515	393	1996-11-07	VYDAJ	PREVOD NA UCET	5920	35797	 	AB	27135431
116516	393	1996-12-07	VYDAJ	PREVOD NA UCET	5920	31933	 	AB	27135431
116517	393	1997-01-07	VYDAJ	PREVOD NA UCET	5920	33067	 	AB	27135431
116518	393	1997-02-07	VYDAJ	PREVOD NA UCET	5920	30191	 	AB	27135431
116519	393	1997-03-07	VYDAJ	PREVOD NA UCET	5920	28302	 	AB	27135431
116520	393	1997-04-07	VYDAJ	PREVOD NA UCET	5920	26808	 	AB	27135431
116521	393	1997-05-07	VYDAJ	PREVOD NA UCET	5920	25706	 	AB	27135431
116522	393	1997-06-07	VYDAJ	PREVOD NA UCET	5920	27200	 	AB	27135431
116523	393	1997-07-07	VYDAJ	PREVOD NA UCET	5920	21193	 	AB	27135431
116524	393	1997-08-07	VYDAJ	PREVOD NA UCET	5920	24969	 	AB	27135431
116525	393	1997-09-07	VYDAJ	PREVOD NA UCET	5920	24453	 	AB	27135431
116526	393	1997-10-07	VYDAJ	PREVOD NA UCET	5920	22427	 	AB	27135431
116527	393	1997-11-07	VYDAJ	PREVOD NA UCET	5920	22398	 	AB	27135431
116528	393	1997-12-07	VYDAJ	PREVOD NA UCET	5920	24466	 	AB	27135431
116529	393	1998-01-07	VYDAJ	PREVOD NA UCET	5920	33758	 	AB	27135431
116530	393	1998-02-07	VYDAJ	PREVOD NA UCET	5920	24757	 	AB	27135431
116531	393	1998-03-07	VYDAJ	PREVOD NA UCET	5920	22327	 	AB	27135431
116532	393	1998-04-07	VYDAJ	PREVOD NA UCET	5920	23197	 	AB	27135431
116533	393	1998-05-07	VYDAJ	PREVOD NA UCET	5920	28876	 	AB	27135431
116534	393	1998-06-07	VYDAJ	PREVOD NA UCET	5920	28569	 	AB	27135431
116535	393	1998-07-07	VYDAJ	PREVOD NA UCET	5920	21343	 	AB	27135431
116536	393	1998-08-07	VYDAJ	PREVOD NA UCET	5920	28816	 	AB	27135431
116537	393	1998-09-07	VYDAJ	PREVOD NA UCET	5920	31007	 	AB	27135431
116538	393	1998-10-07	VYDAJ	PREVOD NA UCET	5920	29097	 	AB	27135431
116539	393	1998-11-07	VYDAJ	PREVOD NA UCET	5920	25976	 	AB	27135431
116540	393	1998-12-07	VYDAJ	PREVOD NA UCET	5920	18234	 	AB	27135431
116542	393	1996-06-26	VYDAJ	VYBER	25100	43924	\N	\N	\N
116543	393	1997-06-22	VYDAJ	VYBER	26700	37649	\N	\N	\N
116544	393	1998-06-19	VYDAJ	VYBER	13600	27418	\N	\N	\N
116546	393	1996-01-29	VYDAJ	VYBER	2200	58923	\N	\N	\N
116547	393	1997-01-04	VYDAJ	VYBER	2200	39289	\N	\N	\N
116548	393	1998-01-13	VYDAJ	VYBER KARTOU	3600	54924	\N	\N	0
116549	393	1995-12-03	VYDAJ	VYBER	1600	37823	\N	\N	\N
116550	393	1996-12-27	VYDAJ	VYBER	2100	41282	\N	\N	\N
116551	393	1997-12-19	VYDAJ	VYBER KARTOU	2200	59415	\N	\N	0
116552	393	1998-12-05	VYDAJ	VYBER KARTOU	2200	24456	\N	\N	0
116555	393	1995-08-19	VYDAJ	VYBER	3300	63663	\N	\N	\N
116557	393	1995-09-08	VYDAJ	VYBER	2700	35890	\N	\N	\N
116558	393	1995-12-16	VYDAJ	VYBER	2500	66250	\N	\N	\N
116560	393	1996-09-13	VYDAJ	VYBER	900	53209	\N	\N	\N
116561	393	1996-12-25	VYDAJ	VYBER	1400	67682	\N	\N	\N
116562	393	1996-08-16	VYDAJ	VYBER	3500	52093	\N	\N	\N
116563	393	1997-09-09	VYDAJ	VYBER KARTOU	3600	20853	\N	\N	0
116564	393	1997-05-22	VYDAJ	VYBER KARTOU	1300	49172	\N	\N	0
116565	393	1997-11-11	VYDAJ	VYBER KARTOU	3800	43364	\N	\N	0
116566	393	1997-07-08	VYDAJ	VYBER KARTOU	500	20693	\N	\N	0
116567	393	1997-10-20	VYDAJ	VYBER KARTOU	3400	43793	\N	\N	0
116568	393	1997-01-27	VYDAJ	VYBER	3100	36233	\N	\N	\N
116569	393	1997-09-24	VYDAJ	VYBER KARTOU	4000	28519	\N	\N	0
116570	393	1998-01-27	VYDAJ	VYBER	4200	30824	\N	\N	\N
116571	393	1998-02-16	VYDAJ	VYBER KARTOU	4000	45523	\N	\N	0
116572	393	1998-12-28	VYDAJ	VYBER KARTOU	1800	32383	\N	\N	0
116573	393	1998-08-13	VYDAJ	VYBER KARTOU	1100	52482	\N	\N	0
116580	393	1995-06-30	VYDAJ	VYBER	15	83700	SLUZBY	\N	\N
116581	393	1995-07-31	VYDAJ	VYBER	15	70819	SLUZBY	\N	\N
116582	393	1995-08-31	VYDAJ	VYBER	15	63912	SLUZBY	\N	\N
116583	393	1995-09-30	VYDAJ	VYBER	15	60884	SLUZBY	\N	\N
116584	393	1995-10-31	VYDAJ	VYBER	15	61857	SLUZBY	\N	\N
116585	393	1995-11-30	VYDAJ	VYBER	15	59523	SLUZBY	\N	\N
116586	393	1995-12-31	VYDAJ	VYBER	15	66479	SLUZBY	\N	\N
116587	393	1996-01-31	VYDAJ	VYBER	15	40232	SLUZBY	\N	\N
116588	393	1996-02-29	VYDAJ	VYBER	15	58976	SLUZBY	\N	\N
116589	393	1996-03-31	VYDAJ	VYBER	15	40916	SLUZBY	\N	\N
116590	393	1996-04-30	VYDAJ	VYBER	15	38762	SLUZBY	\N	\N
116591	393	1996-05-31	VYDAJ	VYBER	15	38097	SLUZBY	\N	\N
116592	393	1996-06-30	VYDAJ	VYBER	15	34233	SLUZBY	\N	\N
116593	393	1996-07-31	VYDAJ	VYBER	15	37049	SLUZBY	\N	\N
116594	393	1996-08-31	VYDAJ	VYBER	15	35565	SLUZBY	\N	\N
116595	393	1996-09-30	VYDAJ	VYBER	15	40583	SLUZBY	\N	\N
116596	393	1996-10-31	VYDAJ	VYBER	15	42019	SLUZBY	\N	\N
116597	393	1996-11-30	VYDAJ	VYBER	15	38155	SLUZBY	\N	\N
116598	393	1996-12-31	VYDAJ	VYBER	15	41489	SLUZBY	\N	\N
116599	393	1997-01-31	VYDAJ	VYBER	15	36413	SLUZBY	\N	\N
116600	393	1997-02-28	VYDAJ	VYBER	15	34524	SLUZBY	\N	\N
116601	393	1997-03-31	VYDAJ	VYBER	15	33030	SLUZBY	\N	\N
116602	393	1997-04-30	VYDAJ	VYBER	15	31928	SLUZBY	\N	\N
116603	393	1997-05-31	VYDAJ	VYBER	15	33422	SLUZBY	\N	\N
116604	393	1997-06-30	VYDAJ	VYBER	15	27415	SLUZBY	\N	\N
116605	393	1997-07-31	VYDAJ	VYBER	15	31191	SLUZBY	\N	\N
116606	393	1997-08-31	VYDAJ	VYBER	15	30675	SLUZBY	\N	\N
116607	393	1997-09-30	VYDAJ	VYBER	15	28649	SLUZBY	\N	\N
116608	393	1997-10-31	VYDAJ	VYBER	15	28620	SLUZBY	\N	\N
116609	393	1997-11-30	VYDAJ	VYBER	15	30688	SLUZBY	\N	\N
116610	393	1997-12-31	VYDAJ	VYBER	15	39980	SLUZBY	\N	\N
116611	393	1998-01-31	VYDAJ	VYBER	15	30979	SLUZBY	\N	\N
116612	393	1998-02-28	VYDAJ	VYBER	15	28549	SLUZBY	\N	\N
116613	393	1998-03-31	VYDAJ	VYBER	15	29419	SLUZBY	\N	\N
116614	393	1998-04-30	VYDAJ	VYBER	15	35098	SLUZBY	\N	\N
116615	393	1998-05-31	VYDAJ	VYBER	15	34791	SLUZBY	\N	\N
116616	393	1998-06-30	VYDAJ	VYBER	15	27565	SLUZBY	\N	\N
116617	393	1998-07-31	VYDAJ	VYBER	15	35038	SLUZBY	\N	\N
116618	393	1998-08-31	VYDAJ	VYBER	15	37229	SLUZBY	\N	\N
116619	393	1998-09-30	VYDAJ	VYBER	15	35319	SLUZBY	\N	\N
116620	393	1998-10-31	VYDAJ	VYBER	15	32198	SLUZBY	\N	\N
116621	393	1998-11-30	VYDAJ	VYBER	15	26656	SLUZBY	\N	\N
116622	393	1995-03-06	PRIJEM	VKLAD	600	25937	\N	\N	\N
116623	393	1995-04-05	VYDAJ	VYBER	14700	36184	\N	\N	\N
116624	393	1995-05-05	VYDAJ	VYBER	16700	44491	\N	\N	\N
116625	393	1995-06-04	VYDAJ	VYBER	23300	46236	\N	\N	\N
116626	393	1995-07-04	VYDAJ	VYBER	31700	52000	\N	\N	\N
116627	393	1995-08-03	VYDAJ	VYBER	22400	48419	\N	\N	\N
116628	393	1995-09-02	VYDAJ	VYBER	19100	44812	\N	\N	\N
116629	393	1995-10-02	VYDAJ	VYBER	17800	43084	\N	\N	\N
116630	393	1995-11-01	VYDAJ	VYBER	21100	40757	\N	\N	\N
116631	393	1995-12-01	VYDAJ	VYBER	20100	39423	\N	\N	\N
116632	393	1995-12-31	VYDAJ	VYBER	23900	42579	\N	\N	\N
116633	393	1996-01-30	VYDAJ	VYBER	18900	40023	\N	\N	\N
116634	393	1996-02-29	VYDAJ	VYBER	19800	39176	\N	\N	\N
116635	393	1996-03-30	VYDAJ	VYBER	17000	40720	\N	\N	\N
116636	393	1996-04-29	VYDAJ	VYBER	20900	38560	\N	\N	\N
116637	393	1996-05-29	VYDAJ	VYBER	19400	37906	\N	\N	\N
116638	393	1996-06-28	VYDAJ	VYBER	9900	34024	\N	\N	\N
116639	393	1996-07-28	VYDAJ	VYBER	15900	36877	\N	\N	\N
116640	393	1996-08-27	VYDAJ	VYBER	16700	35393	\N	\N	\N
116641	393	1996-09-26	VYDAJ	VYBER	12800	40409	\N	\N	\N
116642	393	1996-10-26	VYDAJ	VYBER	17300	41827	\N	\N	\N
116643	393	1996-11-25	VYDAJ	VYBER	22600	37963	\N	\N	\N
116644	393	1996-12-25	VYDAJ	VYBER	24300	43382	\N	\N	\N
116645	393	1997-01-24	VYDAJ	VYBER	18500	39333	\N	\N	\N
116646	393	1997-02-23	VYDAJ	VYBER	20600	34357	\N	\N	\N
116647	393	1997-03-25	VYDAJ	VYBER	20200	32868	\N	\N	\N
116648	393	1997-04-24	VYDAJ	VYBER	19800	31774	\N	\N	\N
116649	393	1997-05-24	VYDAJ	VYBER	15900	33272	\N	\N	\N
116650	393	1997-06-23	VYDAJ	VYBER	10400	27249	\N	\N	\N
116651	393	1997-07-23	VYDAJ	VYBER	14400	31059	\N	\N	\N
116652	393	1997-08-22	VYDAJ	VYBER	19200	30535	\N	\N	\N
116653	393	1997-09-21	VYDAJ	VYBER	13100	32519	\N	\N	\N
116654	393	1997-10-21	VYDAJ	VYBER	15300	28493	\N	\N	\N
116655	393	1997-11-20	VYDAJ	VYBER	12800	30564	\N	\N	\N
116656	393	1997-12-20	VYDAJ	VYBER	19600	39815	\N	\N	\N
116657	393	1998-01-19	VYDAJ	VYBER	19900	35024	\N	\N	\N
116658	393	1998-02-18	VYDAJ	VYBER	17100	28423	\N	\N	\N
116659	393	1998-03-20	VYDAJ	VYBER	17800	29293	\N	\N	\N
116660	393	1998-04-19	VYDAJ	VYBER	13000	34963	\N	\N	\N
116661	393	1998-05-19	VYDAJ	VYBER	19000	34642	\N	\N	\N
116662	393	1998-06-18	VYDAJ	VYBER	24700	41018	\N	\N	\N
116663	393	1998-07-18	VYDAJ	VYBER	11200	34909	\N	\N	\N
116664	393	1998-08-17	VYDAJ	VYBER	15400	37082	\N	\N	\N
116665	393	1998-09-16	VYDAJ	VYBER	20600	35173	\N	\N	\N
116666	393	1998-10-16	VYDAJ	VYBER	21800	32063	\N	\N	\N
116667	393	1998-11-15	VYDAJ	VYBER	24200	26542	\N	\N	\N
116668	393	1998-12-15	VYDAJ	VYBER	21200	34183	\N	\N	\N
117087	395	1993-03-12	PRIJEM	VKLAD	400	400	\N	\N	\N
117091	395	1993-04-06	PRIJEM	VKLAD	22054	22454	\N	\N	\N
117092	395	1993-05-06	PRIJEM	VKLAD	22054	42966	\N	\N	\N
117093	395	1993-06-06	PRIJEM	VKLAD	33081	66469	\N	\N	\N
117094	395	1993-07-06	PRIJEM	VKLAD	22054	66694	\N	\N	\N
117095	395	1993-08-06	PRIJEM	VKLAD	22054	67135	\N	\N	\N
117096	395	1993-09-06	PRIJEM	VKLAD	22054	56639	\N	\N	\N
117097	395	1993-10-06	PRIJEM	VKLAD	22054	59234	\N	\N	\N
117098	395	1993-11-06	PRIJEM	VKLAD	22054	56919	\N	\N	\N
117099	395	1993-12-06	PRIJEM	VKLAD	33081	63878	\N	\N	\N
117100	395	1994-01-06	PRIJEM	VKLAD	22054	53941	\N	\N	\N
117101	395	1994-02-06	PRIJEM	VKLAD	22054	48292	\N	\N	\N
117102	395	1994-03-06	PRIJEM	VKLAD	22054	62587	\N	\N	\N
117103	395	1994-04-06	PRIJEM	VKLAD	22054	59096	\N	\N	\N
117104	395	1994-05-06	PRIJEM	VKLAD	22054	56982	\N	\N	\N
117105	395	1994-06-06	PRIJEM	VKLAD	33081	63090	\N	\N	\N
117106	395	1994-07-06	PRIJEM	VKLAD	22054	63380	\N	\N	\N
117107	395	1994-08-06	PRIJEM	VKLAD	22054	62325	\N	\N	\N
117108	395	1994-09-06	PRIJEM	VKLAD	22054	62489	\N	\N	\N
117109	395	1994-10-06	PRIJEM	VKLAD	22054	61939	\N	\N	\N
117110	395	1994-11-06	PRIJEM	VKLAD	22054	61798	\N	\N	\N
117111	395	1994-12-06	PRIJEM	VKLAD	33081	73887	\N	\N	\N
117112	395	1995-01-06	PRIJEM	VKLAD	22054	62929	\N	\N	\N
117113	395	1995-02-06	PRIJEM	VKLAD	22054	66490	\N	\N	\N
117114	395	1995-03-06	PRIJEM	VKLAD	22054	67657	\N	\N	\N
117115	395	1995-04-06	PRIJEM	VKLAD	22054	66833	\N	\N	\N
117116	395	1995-05-06	PRIJEM	VKLAD	22054	65913	\N	\N	\N
117117	395	1995-06-06	PRIJEM	VKLAD	33081	78517	\N	\N	\N
117118	395	1995-07-06	PRIJEM	VKLAD	22054	57174	\N	\N	\N
117119	395	1995-08-06	PRIJEM	VKLAD	22054	61557	\N	\N	\N
117120	395	1995-09-06	PRIJEM	VKLAD	22054	63338	\N	\N	\N
117121	395	1995-10-06	PRIJEM	VKLAD	22054	63786	\N	\N	\N
117122	395	1995-11-06	PRIJEM	VKLAD	22054	64435	\N	\N	\N
117123	395	1995-12-06	PRIJEM	VKLAD	33081	71696	\N	\N	\N
117124	395	1996-01-06	PRIJEM	VKLAD	22054	50238	\N	\N	\N
117125	395	1996-02-06	PRIJEM	VKLAD	22054	59045	\N	\N	\N
117126	395	1996-03-06	PRIJEM	VKLAD	22054	58469	\N	\N	\N
117127	395	1996-04-06	PRIJEM	VKLAD	22054	54891	\N	\N	\N
117128	395	1996-05-06	PRIJEM	VKLAD	22054	59602	\N	\N	\N
117129	395	1996-06-06	PRIJEM	VKLAD	33081	54932	\N	\N	\N
117130	395	1996-07-06	PRIJEM	VKLAD	22054	60347	\N	\N	\N
117131	395	1996-08-06	PRIJEM	VKLAD	22054	61975	\N	\N	\N
117132	395	1996-09-06	PRIJEM	VKLAD	22054	58646	\N	\N	\N
117133	395	1996-10-06	PRIJEM	VKLAD	22054	56359	\N	\N	\N
117134	395	1996-11-06	PRIJEM	VKLAD	22054	57765	\N	\N	\N
117135	395	1996-12-06	PRIJEM	VKLAD	33081	68802	\N	\N	\N
117136	395	1997-01-06	PRIJEM	VKLAD	22054	55027	\N	\N	\N
117137	395	1997-02-06	PRIJEM	VKLAD	22054	49373	\N	\N	\N
117138	395	1997-03-06	PRIJEM	VKLAD	22054	50347	\N	\N	\N
117139	395	1997-04-06	PRIJEM	VKLAD	22054	51426	\N	\N	\N
117140	395	1997-05-06	PRIJEM	VKLAD	22054	48402	\N	\N	\N
117141	395	1997-06-06	PRIJEM	VKLAD	33081	58694	\N	\N	\N
117142	395	1997-07-06	PRIJEM	VKLAD	22054	43282	\N	\N	\N
117143	395	1997-08-06	PRIJEM	VKLAD	22054	46130	\N	\N	\N
117144	395	1997-09-06	PRIJEM	VKLAD	22054	47486	\N	\N	\N
117145	395	1997-10-06	PRIJEM	VKLAD	22054	50048	\N	\N	\N
117146	395	1997-11-06	PRIJEM	VKLAD	22054	49518	\N	\N	\N
117147	395	1997-12-06	PRIJEM	VKLAD	33081	62295	\N	\N	\N
117148	395	1998-01-06	PRIJEM	VKLAD	22054	54940	\N	\N	\N
117149	395	1998-02-06	PRIJEM	VKLAD	22054	51355	\N	\N	\N
117150	395	1998-03-06	PRIJEM	VKLAD	22054	48617	\N	\N	\N
117151	395	1998-04-06	PRIJEM	VKLAD	22054	50879	\N	\N	\N
117152	395	1998-05-06	PRIJEM	VKLAD	22054	53050	\N	\N	\N
117153	395	1998-06-06	PRIJEM	VKLAD	33081	61342	\N	\N	\N
117154	395	1998-07-06	PRIJEM	VKLAD	22054	57861	\N	\N	\N
117155	395	1998-08-06	PRIJEM	VKLAD	22054	44628	\N	\N	\N
117156	395	1998-09-06	PRIJEM	VKLAD	22054	47170	\N	\N	\N
117157	395	1998-10-06	PRIJEM	VKLAD	22054	47215	\N	\N	\N
117158	395	1998-11-06	PRIJEM	VKLAD	22054	44953	\N	\N	\N
117159	395	1998-12-06	PRIJEM	VKLAD	33081	56915	\N	\N	\N
117167	395	1993-08-07	VYDAJ	PREVOD NA UCET	3871	63264	SIPO	YZ	55113202
117168	395	1993-09-07	VYDAJ	PREVOD NA UCET	3871	52768	SIPO	YZ	55113202
117169	395	1993-10-07	VYDAJ	PREVOD NA UCET	3871	55363	SIPO	YZ	55113202
117170	395	1993-11-07	VYDAJ	PREVOD NA UCET	3871	53048	SIPO	YZ	55113202
117171	395	1993-12-07	VYDAJ	PREVOD NA UCET	3871	60007	SIPO	YZ	55113202
117172	395	1994-01-07	VYDAJ	PREVOD NA UCET	3871	29570	SIPO	YZ	55113202
117173	395	1994-02-07	VYDAJ	PREVOD NA UCET	3871	44421	SIPO	YZ	55113202
117174	395	1994-03-07	VYDAJ	PREVOD NA UCET	3871	58716	SIPO	YZ	55113202
117175	395	1994-04-07	VYDAJ	PREVOD NA UCET	3871	38825	SIPO	YZ	55113202
117176	395	1994-05-07	VYDAJ	PREVOD NA UCET	3871	38511	SIPO	YZ	55113202
117177	395	1994-06-07	VYDAJ	PREVOD NA UCET	3871	59219	SIPO	YZ	55113202
117178	395	1994-07-07	VYDAJ	PREVOD NA UCET	3871	59509	SIPO	YZ	55113202
117179	395	1994-08-07	VYDAJ	PREVOD NA UCET	3871	58454	SIPO	YZ	55113202
117180	395	1994-09-07	VYDAJ	PREVOD NA UCET	3871	53218	SIPO	YZ	55113202
117181	395	1994-10-07	VYDAJ	PREVOD NA UCET	3871	58068	SIPO	YZ	55113202
117182	395	1994-11-07	VYDAJ	PREVOD NA UCET	3871	57927	SIPO	YZ	55113202
117183	395	1994-12-07	VYDAJ	PREVOD NA UCET	3871	70016	SIPO	YZ	55113202
117184	395	1995-01-07	VYDAJ	PREVOD NA UCET	3871	59058	SIPO	YZ	55113202
117185	395	1995-02-07	VYDAJ	PREVOD NA UCET	3871	62619	SIPO	YZ	55113202
117186	395	1995-03-07	VYDAJ	PREVOD NA UCET	3871	61506	SIPO	YZ	55113202
117187	395	1995-04-07	VYDAJ	PREVOD NA UCET	3871	62962	SIPO	YZ	55113202
117188	395	1995-05-07	VYDAJ	PREVOD NA UCET	3871	62042	SIPO	YZ	55113202
117189	395	1995-06-07	VYDAJ	PREVOD NA UCET	3871	74646	SIPO	YZ	55113202
117190	395	1995-07-07	VYDAJ	PREVOD NA UCET	3871	53303	SIPO	YZ	55113202
117191	395	1995-08-07	VYDAJ	PREVOD NA UCET	3871	57686	SIPO	YZ	55113202
117192	395	1995-09-07	VYDAJ	PREVOD NA UCET	3871	59467	SIPO	YZ	55113202
117193	395	1995-10-07	VYDAJ	PREVOD NA UCET	3871	59915	SIPO	YZ	55113202
117194	395	1995-11-07	VYDAJ	PREVOD NA UCET	3871	60564	SIPO	YZ	55113202
117195	395	1995-12-07	VYDAJ	PREVOD NA UCET	3871	67825	SIPO	YZ	55113202
117196	395	1996-01-07	VYDAJ	PREVOD NA UCET	3871	46367	SIPO	YZ	55113202
117197	395	1996-02-07	VYDAJ	PREVOD NA UCET	3871	55174	SIPO	YZ	55113202
117198	395	1996-03-07	VYDAJ	PREVOD NA UCET	3871	54598	SIPO	YZ	55113202
117199	395	1996-04-07	VYDAJ	PREVOD NA UCET	3871	51020	SIPO	YZ	55113202
117200	395	1996-05-07	VYDAJ	PREVOD NA UCET	3871	55731	SIPO	YZ	55113202
117201	395	1996-06-07	VYDAJ	PREVOD NA UCET	3871	51061	SIPO	YZ	55113202
117202	395	1996-07-07	VYDAJ	PREVOD NA UCET	3871	56476	SIPO	YZ	55113202
117203	395	1996-08-07	VYDAJ	PREVOD NA UCET	3871	58104	SIPO	YZ	55113202
117204	395	1996-09-07	VYDAJ	PREVOD NA UCET	3871	54775	SIPO	YZ	55113202
117205	395	1996-10-07	VYDAJ	PREVOD NA UCET	3871	52488	SIPO	YZ	55113202
117206	395	1996-11-07	VYDAJ	PREVOD NA UCET	3871	53894	SIPO	YZ	55113202
117207	395	1996-12-07	VYDAJ	PREVOD NA UCET	3871	64931	SIPO	YZ	55113202
117208	395	1997-01-07	VYDAJ	PREVOD NA UCET	3871	51156	SIPO	YZ	55113202
117209	395	1997-02-07	VYDAJ	PREVOD NA UCET	3871	45502	SIPO	YZ	55113202
117210	395	1997-03-07	VYDAJ	PREVOD NA UCET	3871	46476	SIPO	YZ	55113202
117211	395	1997-04-07	VYDAJ	PREVOD NA UCET	3871	47555	SIPO	YZ	55113202
117212	395	1997-05-07	VYDAJ	PREVOD NA UCET	3871	44531	SIPO	YZ	55113202
117213	395	1997-06-07	VYDAJ	PREVOD NA UCET	3871	54823	SIPO	YZ	55113202
117214	395	1997-07-07	VYDAJ	PREVOD NA UCET	3871	39411	SIPO	YZ	55113202
117215	395	1997-08-07	VYDAJ	PREVOD NA UCET	3871	42259	SIPO	YZ	55113202
117216	395	1997-09-07	VYDAJ	PREVOD NA UCET	3871	43615	SIPO	YZ	55113202
117217	395	1997-10-07	VYDAJ	PREVOD NA UCET	3871	46177	SIPO	YZ	55113202
117218	395	1997-11-07	VYDAJ	PREVOD NA UCET	3871	44327	SIPO	YZ	55113202
117219	395	1997-12-07	VYDAJ	PREVOD NA UCET	3871	56024	SIPO	YZ	55113202
117220	395	1998-01-07	VYDAJ	PREVOD NA UCET	3871	51069	SIPO	YZ	55113202
117221	395	1998-02-07	VYDAJ	PREVOD NA UCET	3871	47484	SIPO	YZ	55113202
117222	395	1998-03-07	VYDAJ	PREVOD NA UCET	3871	44746	SIPO	YZ	55113202
117223	395	1998-04-07	VYDAJ	PREVOD NA UCET	3871	47008	SIPO	YZ	55113202
117224	395	1998-05-07	VYDAJ	PREVOD NA UCET	3871	49179	SIPO	YZ	55113202
117225	395	1998-06-07	VYDAJ	PREVOD NA UCET	3871	57471	SIPO	YZ	55113202
117226	395	1998-07-07	VYDAJ	PREVOD NA UCET	3871	53990	SIPO	YZ	55113202
117227	395	1998-08-07	VYDAJ	PREVOD NA UCET	3871	40757	SIPO	YZ	55113202
117228	395	1998-09-07	VYDAJ	PREVOD NA UCET	3871	43299	SIPO	YZ	55113202
117229	395	1998-10-07	VYDAJ	PREVOD NA UCET	3871	43344	SIPO	YZ	55113202
117230	395	1998-11-07	VYDAJ	PREVOD NA UCET	3871	41082	SIPO	YZ	55113202
117231	395	1998-12-07	VYDAJ	PREVOD NA UCET	3871	53044	SIPO	YZ	55113202
117239	395	1993-08-14	VYDAJ	PREVOD NA UCET	4036	37428	 	GH	73209607
117240	395	1993-09-14	VYDAJ	PREVOD NA UCET	4036	37032	 	GH	73209607
117241	395	1993-10-14	VYDAJ	PREVOD NA UCET	4036	34727	 	GH	73209607
117242	395	1993-11-14	VYDAJ	PREVOD NA UCET	4036	33212	 	GH	73209607
117243	395	1993-12-14	VYDAJ	PREVOD NA UCET	4036	37271	 	GH	73209607
117244	395	1994-01-14	VYDAJ	PREVOD NA UCET	4036	25534	 	GH	73209607
117245	395	1994-02-14	VYDAJ	PREVOD NA UCET	4036	40385	 	GH	73209607
117246	395	1994-03-14	VYDAJ	PREVOD NA UCET	4036	36880	 	GH	73209607
117247	395	1994-04-14	VYDAJ	PREVOD NA UCET	4036	34789	 	GH	73209607
117248	395	1994-05-14	VYDAJ	PREVOD NA UCET	4036	34475	 	GH	73209607
117249	395	1994-06-14	VYDAJ	PREVOD NA UCET	4036	54223	 	GH	73209607
117250	395	1994-07-14	VYDAJ	PREVOD NA UCET	4036	54753	 	GH	73209607
117251	395	1994-08-14	VYDAJ	PREVOD NA UCET	4036	54418	 	GH	73209607
117252	395	1994-09-14	VYDAJ	PREVOD NA UCET	4036	49182	 	GH	73209607
117253	395	1994-10-14	VYDAJ	PREVOD NA UCET	4036	54032	 	GH	73209607
117254	395	1994-11-14	VYDAJ	PREVOD NA UCET	4036	53891	 	GH	73209607
117255	395	1994-12-14	VYDAJ	PREVOD NA UCET	4036	65980	 	GH	73209607
117256	395	1995-01-14	VYDAJ	PREVOD NA UCET	4036	55022	 	GH	73209607
117257	395	1995-02-14	VYDAJ	PREVOD NA UCET	4036	58583	 	GH	73209607
117258	395	1995-03-14	VYDAJ	PREVOD NA UCET	4036	57470	 	GH	73209607
117259	395	1995-04-14	VYDAJ	PREVOD NA UCET	4036	58926	 	GH	73209607
117260	395	1995-05-14	VYDAJ	PREVOD NA UCET	4036	58006	 	GH	73209607
117261	395	1995-06-14	VYDAJ	PREVOD NA UCET	4036	42450	 	GH	73209607
117262	395	1995-07-14	VYDAJ	PREVOD NA UCET	4036	49267	 	GH	73209607
117263	395	1995-08-14	VYDAJ	PREVOD NA UCET	4036	53650	 	GH	73209607
117264	395	1995-09-14	VYDAJ	PREVOD NA UCET	4036	55431	 	GH	73209607
117265	395	1995-10-14	VYDAJ	PREVOD NA UCET	4036	55879	 	GH	73209607
117266	395	1995-11-14	VYDAJ	PREVOD NA UCET	4036	51128	 	GH	73209607
117267	395	1995-12-14	VYDAJ	PREVOD NA UCET	4036	63789	 	GH	73209607
117268	395	1996-01-14	VYDAJ	PREVOD NA UCET	4036	42331	 	GH	73209607
117269	395	1996-02-14	VYDAJ	PREVOD NA UCET	4036	51138	 	GH	73209607
117270	395	1996-03-14	VYDAJ	PREVOD NA UCET	4036	50562	 	GH	73209607
117271	395	1996-04-14	VYDAJ	PREVOD NA UCET	4036	46984	 	GH	73209607
117272	395	1996-05-14	VYDAJ	PREVOD NA UCET	4036	51695	 	GH	73209607
117273	395	1996-06-14	VYDAJ	PREVOD NA UCET	4036	47025	 	GH	73209607
117274	395	1996-07-14	VYDAJ	PREVOD NA UCET	4036	52440	 	GH	73209607
117275	395	1996-08-14	VYDAJ	PREVOD NA UCET	4036	44828	 	GH	73209607
117276	395	1996-09-14	VYDAJ	PREVOD NA UCET	4036	50739	 	GH	73209607
117277	395	1996-10-14	VYDAJ	PREVOD NA UCET	4036	48452	 	GH	73209607
117278	395	1996-11-14	VYDAJ	PREVOD NA UCET	4036	49858	 	GH	73209607
117279	395	1996-12-14	VYDAJ	PREVOD NA UCET	4036	60895	 	GH	73209607
117280	395	1997-01-14	VYDAJ	PREVOD NA UCET	4036	47120	 	GH	73209607
117281	395	1997-02-14	VYDAJ	PREVOD NA UCET	4036	41466	 	GH	73209607
117282	395	1997-03-14	VYDAJ	PREVOD NA UCET	4036	42440	 	GH	73209607
117283	395	1997-04-14	VYDAJ	PREVOD NA UCET	4036	43519	 	GH	73209607
117284	395	1997-05-14	VYDAJ	PREVOD NA UCET	4036	40495	 	GH	73209607
117285	395	1997-06-14	VYDAJ	PREVOD NA UCET	4036	29827	 	GH	73209607
117286	395	1997-07-14	VYDAJ	PREVOD NA UCET	4036	35375	 	GH	73209607
117287	395	1997-08-14	VYDAJ	PREVOD NA UCET	4036	38223	 	GH	73209607
117288	395	1997-09-14	VYDAJ	PREVOD NA UCET	4036	39579	 	GH	73209607
117289	395	1997-10-14	VYDAJ	PREVOD NA UCET	4036	42141	 	GH	73209607
117290	395	1997-11-14	VYDAJ	PREVOD NA UCET	4036	40291	 	GH	73209607
117291	395	1997-12-14	VYDAJ	PREVOD NA UCET	4036	46348	 	GH	73209607
117292	395	1998-01-14	VYDAJ	PREVOD NA UCET	4036	43073	 	GH	73209607
117293	395	1998-02-14	VYDAJ	PREVOD NA UCET	4036	43448	 	GH	73209607
117294	395	1998-03-14	VYDAJ	PREVOD NA UCET	4036	38910	 	GH	73209607
117295	395	1998-04-14	VYDAJ	PREVOD NA UCET	4036	42972	 	GH	73209607
117296	395	1998-05-14	VYDAJ	PREVOD NA UCET	4036	39743	 	GH	73209607
117297	395	1998-06-14	VYDAJ	PREVOD NA UCET	4036	35655	 	GH	73209607
117298	395	1998-07-14	VYDAJ	PREVOD NA UCET	4036	47794	 	GH	73209607
117299	395	1998-08-14	VYDAJ	PREVOD NA UCET	4036	25021	 	GH	73209607
117300	395	1998-09-14	VYDAJ	PREVOD NA UCET	4036	25063	 	GH	73209607
117301	395	1998-10-14	VYDAJ	PREVOD NA UCET	4036	22808	 	GH	73209607
117302	395	1998-11-14	VYDAJ	PREVOD NA UCET	4036	23746	 	GH	73209607
117303	395	1998-12-14	VYDAJ	PREVOD NA UCET	4036	23188	 	GH	73209607
117378	395	1995-06-08	VYDAJ	VYBER	28160	46486	\N	\N	\N
117379	395	1996-06-05	VYDAJ	VYBER	14240	21851	\N	\N	\N
117380	395	1997-06-10	VYDAJ	VYBER	20960	33863	\N	\N	\N
117383	395	1994-01-06	VYDAJ	VYBER	8800	45141	\N	\N	\N
117384	395	1995-01-03	VYDAJ	VYBER	3200	40875	\N	\N	\N
117385	395	1996-01-01	VYDAJ	VYBER	12800	28184	\N	\N	\N
117386	395	1997-01-18	VYDAJ	VYBER	13440	33680	\N	\N	\N
117388	395	1993-12-05	VYDAJ	VYBER	2560	30797	\N	\N	\N
117389	395	1994-12-24	VYDAJ	VYBER	960	64420	\N	\N	\N
117390	395	1995-12-22	VYDAJ	VYBER	4320	59469	\N	\N	\N
117391	395	1996-12-16	VYDAJ	VYBER	4640	56255	\N	\N	\N
117392	395	1997-12-07	VYDAJ	VYBER	2400	59895	\N	\N	\N
117393	395	1998-12-07	VYDAJ	VYBER	2720	50324	\N	\N	\N
117395	395	1993-09-02	VYDAJ	VYBER	3000	34585	\N	\N	\N
117396	395	1993-10-11	VYDAJ	VYBER	600	38763	\N	\N	\N
117397	395	1993-12-20	VYDAJ	VYBER	5520	31751	\N	\N	\N
117398	395	1994-07-08	VYDAJ	VYBER	720	58789	\N	\N	\N
117399	395	1994-06-13	VYDAJ	VYBER	960	58259	\N	\N	\N
117400	395	1994-12-23	VYDAJ	VYBER	600	65380	\N	\N	\N
117401	395	1994-09-07	VYDAJ	VYBER	5400	57089	\N	\N	\N
117402	395	1995-11-08	VYDAJ	VYBER	5400	55164	\N	\N	\N
117403	395	1995-03-06	VYDAJ	VYBER	2280	65377	\N	\N	\N
117404	395	1995-03-21	VYDAJ	VYBER	1320	56150	\N	\N	\N
117405	395	1995-07-23	VYDAJ	VYBER	3840	45427	\N	\N	\N
117406	395	1995-08-16	VYDAJ	VYBER	960	52690	\N	\N	\N
117407	395	1996-08-11	VYDAJ	VYBER	3360	48864	\N	\N	\N
117408	395	1996-05-26	VYDAJ	VYBER	1080	35915	\N	\N	\N
117409	395	1996-03-30	VYDAJ	VYBER	5400	32662	\N	\N	\N
117410	395	1996-04-25	VYDAJ	VYBER	1320	37384	\N	\N	\N
117411	395	1996-12-27	VYDAJ	VYBER	4560	32795	\N	\N	\N
117412	395	1996-08-07	VYDAJ	VYBER	5880	52224	\N	\N	\N
117413	395	1996-04-20	VYDAJ	VYBER	1080	45904	\N	\N	\N
117414	395	1997-11-04	VYDAJ	VYBER	1800	27464	\N	\N	\N
117415	395	1997-12-10	VYDAJ	VYBER	5640	50384	\N	\N	\N
117416	395	1997-11-06	VYDAJ	VYBER	1320	48198	\N	\N	\N
117418	395	1997-01-29	VYDAJ	VYBER	3000	27180	\N	\N	\N
117419	395	1998-07-25	VYDAJ	VYBER	4440	22454	\N	\N	\N
117420	395	1998-05-10	VYDAJ	VYBER	5400	43779	\N	\N	\N
117421	395	1998-03-09	VYDAJ	VYBER	1800	42946	\N	\N	\N
117422	395	1998-07-07	VYDAJ	VYBER	2160	51830	\N	\N	\N
117423	395	1998-01-14	VYDAJ	VYBER	3960	47109	\N	\N	\N
117424	395	1998-06-13	VYDAJ	VYBER	1680	55791	\N	\N	\N
117433	395	1993-08-31	VYDAJ	VYBER	15	37585	SLUZBY	\N	\N
117434	395	1993-09-30	VYDAJ	VYBER	15	37180	SLUZBY	\N	\N
117435	395	1993-10-31	VYDAJ	VYBER	15	34865	SLUZBY	\N	\N
117436	395	1993-11-30	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
117437	395	1993-12-31	VYDAJ	VYBER	15	31887	SLUZBY	\N	\N
117438	395	1994-01-31	VYDAJ	VYBER	15	25638	SLUZBY	\N	\N
117439	395	1994-02-28	VYDAJ	VYBER	15	40533	SLUZBY	\N	\N
117440	395	1994-03-31	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
117441	395	1994-04-30	VYDAJ	VYBER	15	34928	SLUZBY	\N	\N
117442	395	1994-05-31	VYDAJ	VYBER	15	34609	SLUZBY	\N	\N
117443	395	1994-06-30	VYDAJ	VYBER	15	54426	SLUZBY	\N	\N
117444	395	1994-07-31	VYDAJ	VYBER	15	54971	SLUZBY	\N	\N
117445	395	1994-08-31	VYDAJ	VYBER	15	54635	SLUZBY	\N	\N
117446	395	1994-09-30	VYDAJ	VYBER	15	49385	SLUZBY	\N	\N
117447	395	1994-10-31	VYDAJ	VYBER	15	54244	SLUZBY	\N	\N
117448	395	1994-11-30	VYDAJ	VYBER	15	54106	SLUZBY	\N	\N
117449	395	1994-12-31	VYDAJ	VYBER	15	64675	SLUZBY	\N	\N
117450	395	1995-01-31	VYDAJ	VYBER	15	55236	SLUZBY	\N	\N
117451	395	1995-02-28	VYDAJ	VYBER	15	58803	SLUZBY	\N	\N
117452	395	1995-03-31	VYDAJ	VYBER	15	56379	SLUZBY	\N	\N
117453	395	1995-04-30	VYDAJ	VYBER	15	59159	SLUZBY	\N	\N
117454	395	1995-05-31	VYDAJ	VYBER	15	58236	SLUZBY	\N	\N
117455	395	1995-06-30	VYDAJ	VYBER	15	35120	SLUZBY	\N	\N
117456	395	1995-07-31	VYDAJ	VYBER	15	39503	SLUZBY	\N	\N
117457	395	1995-08-31	VYDAJ	VYBER	15	41284	SLUZBY	\N	\N
117458	395	1995-09-30	VYDAJ	VYBER	15	41732	SLUZBY	\N	\N
117459	395	1995-10-31	VYDAJ	VYBER	15	42381	SLUZBY	\N	\N
117460	395	1995-11-30	VYDAJ	VYBER	15	38615	SLUZBY	\N	\N
117461	395	1995-12-31	VYDAJ	VYBER	15	40984	SLUZBY	\N	\N
117462	395	1996-01-31	VYDAJ	VYBER	15	36991	SLUZBY	\N	\N
117463	395	1996-02-29	VYDAJ	VYBER	15	36415	SLUZBY	\N	\N
117464	395	1996-03-31	VYDAJ	VYBER	15	32837	SLUZBY	\N	\N
117465	395	1996-04-30	VYDAJ	VYBER	15	37548	SLUZBY	\N	\N
117466	395	1996-05-31	VYDAJ	VYBER	15	36091	SLUZBY	\N	\N
117467	395	1996-06-30	VYDAJ	VYBER	15	38293	SLUZBY	\N	\N
117468	395	1996-07-31	VYDAJ	VYBER	15	39921	SLUZBY	\N	\N
117469	395	1996-08-31	VYDAJ	VYBER	15	36592	SLUZBY	\N	\N
117470	395	1996-09-30	VYDAJ	VYBER	15	34305	SLUZBY	\N	\N
117471	395	1996-10-31	VYDAJ	VYBER	15	35711	SLUZBY	\N	\N
117472	395	1996-11-30	VYDAJ	VYBER	15	35721	SLUZBY	\N	\N
117473	395	1996-12-31	VYDAJ	VYBER	15	32973	SLUZBY	\N	\N
117474	395	1997-01-31	VYDAJ	VYBER	15	27319	SLUZBY	\N	\N
117475	395	1997-02-28	VYDAJ	VYBER	15	28293	SLUZBY	\N	\N
117476	395	1997-03-31	VYDAJ	VYBER	15	29372	SLUZBY	\N	\N
117477	395	1997-04-30	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
117478	395	1997-05-31	VYDAJ	VYBER	15	25613	SLUZBY	\N	\N
117479	395	1997-06-30	VYDAJ	VYBER	15	21228	SLUZBY	\N	\N
117480	395	1997-07-31	VYDAJ	VYBER	15	24076	SLUZBY	\N	\N
117481	395	1997-08-31	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
117482	395	1997-09-30	VYDAJ	VYBER	15	27994	SLUZBY	\N	\N
117483	395	1997-10-31	VYDAJ	VYBER	15	29264	SLUZBY	\N	\N
117484	395	1997-11-30	VYDAJ	VYBER	15	29214	SLUZBY	\N	\N
117485	395	1997-12-31	VYDAJ	VYBER	15	32886	SLUZBY	\N	\N
117486	395	1998-01-31	VYDAJ	VYBER	15	29301	SLUZBY	\N	\N
117487	395	1998-02-28	VYDAJ	VYBER	15	26563	SLUZBY	\N	\N
117488	395	1998-03-31	VYDAJ	VYBER	15	28825	SLUZBY	\N	\N
117489	395	1998-04-30	VYDAJ	VYBER	15	30996	SLUZBY	\N	\N
117490	395	1998-05-31	VYDAJ	VYBER	15	28261	SLUZBY	\N	\N
117491	395	1998-06-30	VYDAJ	VYBER	15	35807	SLUZBY	\N	\N
117492	395	1998-07-31	VYDAJ	VYBER	15	22574	SLUZBY	\N	\N
117493	395	1998-08-31	VYDAJ	VYBER	15	25116	SLUZBY	\N	\N
117494	395	1998-09-30	VYDAJ	VYBER	15	25161	SLUZBY	\N	\N
117495	395	1998-10-31	VYDAJ	VYBER	15	22899	SLUZBY	\N	\N
117496	395	1998-11-30	VYDAJ	VYBER	15	23834	SLUZBY	\N	\N
117497	395	1993-04-11	VYDAJ	VYBER	1600	20854	\N	\N	\N
117498	395	1993-05-11	VYDAJ	VYBER	9700	33266	\N	\N	\N
117499	395	1993-06-10	VYDAJ	VYBER	22000	44469	\N	\N	\N
117500	395	1993-07-10	VYDAJ	VYBER	21800	44894	\N	\N	\N
117501	395	1993-08-09	VYDAJ	VYBER	21800	41464	\N	\N	\N
117502	395	1993-09-08	VYDAJ	VYBER	11700	41068	\N	\N	\N
117503	395	1993-10-08	VYDAJ	VYBER	16000	39363	\N	\N	\N
117504	395	1993-11-07	VYDAJ	VYBER	15800	37248	\N	\N	\N
117505	395	1993-12-07	VYDAJ	VYBER	18700	41307	\N	\N	\N
117506	395	1994-01-06	VYDAJ	VYBER	11700	33441	\N	\N	\N
117507	395	1994-02-05	PRIJEM	VKLAD	600	26238	\N	\N	\N
117508	395	1994-03-07	VYDAJ	VYBER	17800	40916	\N	\N	\N
117509	395	1994-04-06	VYDAJ	VYBER	16400	42696	\N	\N	\N
117510	395	1994-05-06	VYDAJ	VYBER	14600	42382	\N	\N	\N
117511	395	1994-06-05	VYDAJ	VYBER	4600	30009	\N	\N	\N
117512	395	1994-07-05	VYDAJ	VYBER	13100	41326	\N	\N	\N
117513	395	1994-08-04	VYDAJ	VYBER	14700	40271	\N	\N	\N
117514	395	1994-09-03	VYDAJ	VYBER	14200	40435	\N	\N	\N
117515	395	1994-10-03	VYDAJ	VYBER	9500	39885	\N	\N	\N
117516	395	1994-11-02	VYDAJ	VYBER	14500	39744	\N	\N	\N
117517	395	1994-12-02	VYDAJ	VYBER	13300	40806	\N	\N	\N
117518	395	1995-01-01	VYDAJ	VYBER	20600	44075	\N	\N	\N
117519	395	1995-01-31	VYDAJ	VYBER	10800	44436	\N	\N	\N
117520	395	1995-03-02	VYDAJ	VYBER	13200	45603	\N	\N	\N
117521	395	1995-04-01	VYDAJ	VYBER	11600	44779	\N	\N	\N
117522	395	1995-05-01	VYDAJ	VYBER	15300	43859	\N	\N	\N
117523	395	1995-05-31	VYDAJ	VYBER	12800	45436	\N	\N	\N
117524	395	1995-06-30	VYDAJ	VYBER	7500	35135	\N	\N	\N
117525	395	1995-07-30	VYDAJ	VYBER	6100	39327	\N	\N	\N
117526	395	1995-08-29	VYDAJ	VYBER	11600	41090	\N	\N	\N
117527	395	1995-09-28	VYDAJ	VYBER	13900	41531	\N	\N	\N
117528	395	1995-10-28	VYDAJ	VYBER	13700	42179	\N	\N	\N
117529	395	1995-11-27	VYDAJ	VYBER	12700	38428	\N	\N	\N
117530	395	1995-12-27	VYDAJ	VYBER	18700	40769	\N	\N	\N
117531	395	1996-01-26	VYDAJ	VYBER	5500	36831	\N	\N	\N
117532	395	1996-02-25	VYDAJ	VYBER	14900	36238	\N	\N	\N
117533	395	1996-03-26	VYDAJ	VYBER	12500	38062	\N	\N	\N
117534	395	1996-04-25	VYDAJ	VYBER	7200	38704	\N	\N	\N
117535	395	1996-05-25	VYDAJ	VYBER	14700	36995	\N	\N	\N
117536	395	1996-06-24	VYDAJ	VYBER	8900	38125	\N	\N	\N
117537	395	1996-07-24	VYDAJ	VYBER	12700	39740	\N	\N	\N
117538	395	1996-08-23	VYDAJ	VYBER	8400	36428	\N	\N	\N
117539	395	1996-09-22	VYDAJ	VYBER	16600	34139	\N	\N	\N
117540	395	1996-10-22	VYDAJ	VYBER	12900	35552	\N	\N	\N
117541	395	1996-11-21	VYDAJ	VYBER	14300	35558	\N	\N	\N
117542	395	1996-12-21	VYDAJ	VYBER	18900	37355	\N	\N	\N
117543	395	1997-01-20	VYDAJ	VYBER	3500	30180	\N	\N	\N
117544	395	1997-02-19	VYDAJ	VYBER	13300	28166	\N	\N	\N
117545	395	1997-03-21	VYDAJ	VYBER	13200	29240	\N	\N	\N
117546	395	1997-04-20	VYDAJ	VYBER	17300	26219	\N	\N	\N
117547	395	1997-05-20	VYDAJ	VYBER	15000	25495	\N	\N	\N
117548	395	1997-06-19	VYDAJ	VYBER	8700	21127	\N	\N	\N
117549	395	1997-07-19	VYDAJ	VYBER	11400	23975	\N	\N	\N
117550	395	1997-08-18	VYDAJ	VYBER	12900	25323	\N	\N	\N
117551	395	1997-09-17	VYDAJ	VYBER	11700	27879	\N	\N	\N
117552	395	1997-10-17	VYDAJ	VYBER	13000	29141	\N	\N	\N
117553	395	1997-11-16	VYDAJ	VYBER	11200	29091	\N	\N	\N
117554	395	1997-12-16	VYDAJ	VYBER	13600	32748	\N	\N	\N
117555	395	1998-01-15	VYDAJ	VYBER	13900	29173	\N	\N	\N
117556	395	1998-02-14	VYDAJ	VYBER	17000	26448	\N	\N	\N
117557	395	1998-03-16	VYDAJ	VYBER	10200	28710	\N	\N	\N
117558	395	1998-04-15	VYDAJ	VYBER	12100	30872	\N	\N	\N
117559	395	1998-05-15	VYDAJ	VYBER	11600	28143	\N	\N	\N
117560	395	1998-06-14	VYDAJ	VYBER	16100	39691	\N	\N	\N
117561	395	1998-07-14	VYDAJ	VYBER	20900	26894	\N	\N	\N
117562	395	1998-08-13	VYDAJ	VYBER	11700	29057	\N	\N	\N
117563	395	1998-09-12	VYDAJ	VYBER	14200	29099	\N	\N	\N
117564	395	1998-10-12	VYDAJ	VYBER	16500	26844	\N	\N	\N
117565	395	1998-11-11	VYDAJ	VYBER	13300	27782	\N	\N	\N
117566	395	1998-12-11	VYDAJ	VYBER	23100	27224	\N	\N	\N
117636	396	1993-03-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
117640	396	1993-04-05	PRIJEM	VKLAD	23268	24268	\N	\N	\N
117641	396	1993-05-05	PRIJEM	VKLAD	23268	48721	\N	\N	\N
117642	396	1993-06-05	PRIJEM	VKLAD	34902	73071	\N	\N	\N
117643	396	1993-07-05	PRIJEM	VKLAD	23268	74844	\N	\N	\N
117644	396	1993-08-05	PRIJEM	VKLAD	23268	74826	\N	\N	\N
117645	396	1993-09-05	PRIJEM	VKLAD	23268	61907	\N	\N	\N
117646	396	1993-10-05	PRIJEM	VKLAD	23268	63009	\N	\N	\N
117647	396	1993-11-05	PRIJEM	VKLAD	23268	64018	\N	\N	\N
117648	396	1993-12-05	PRIJEM	VKLAD	34902	78665	\N	\N	\N
117649	396	1994-01-05	PRIJEM	VKLAD	23268	70202	\N	\N	\N
117650	396	1994-02-05	PRIJEM	VKLAD	23268	64505	\N	\N	\N
117651	396	1994-03-05	PRIJEM	VKLAD	23268	64721	\N	\N	\N
117652	396	1994-04-05	PRIJEM	VKLAD	23268	64137	\N	\N	\N
117653	396	1994-05-05	PRIJEM	VKLAD	23268	61748	\N	\N	\N
117654	396	1994-06-05	PRIJEM	VKLAD	34902	74893	\N	\N	\N
117655	396	1994-07-05	PRIJEM	VKLAD	23268	71016	\N	\N	\N
117656	396	1994-08-05	PRIJEM	VKLAD	23268	69257	\N	\N	\N
117657	396	1994-09-05	PRIJEM	VKLAD	23268	64351	\N	\N	\N
117658	396	1994-10-05	PRIJEM	VKLAD	23268	63451	\N	\N	\N
117659	396	1994-11-05	PRIJEM	VKLAD	23268	64147	\N	\N	\N
117660	396	1994-12-05	PRIJEM	VKLAD	34902	77179	\N	\N	\N
117661	396	1995-01-05	PRIJEM	VKLAD	23268	66366	\N	\N	\N
117662	396	1995-02-05	PRIJEM	VKLAD	23268	57314	\N	\N	\N
117663	396	1995-03-05	PRIJEM	VKLAD	23268	57341	\N	\N	\N
117664	396	1995-04-05	PRIJEM	VKLAD	23268	57905	\N	\N	\N
117665	396	1995-05-05	PRIJEM	VKLAD	23268	62776	\N	\N	\N
117666	396	1995-06-05	PRIJEM	VKLAD	34902	72796	\N	\N	\N
117667	396	1995-07-05	PRIJEM	VKLAD	23268	69114	\N	\N	\N
117668	396	1995-08-05	PRIJEM	VKLAD	23268	62488	\N	\N	\N
117669	396	1995-09-05	PRIJEM	VKLAD	23268	61807	\N	\N	\N
117670	396	1995-10-05	PRIJEM	VKLAD	23268	59505	\N	\N	\N
117671	396	1995-11-05	PRIJEM	VKLAD	23268	60472	\N	\N	\N
117672	396	1995-12-05	PRIJEM	VKLAD	34902	74255	\N	\N	\N
117673	396	1996-01-05	PRIJEM	VKLAD	23268	67461	\N	\N	\N
117674	396	1996-02-05	PRIJEM	VKLAD	23268	59581	\N	\N	\N
117675	396	1996-03-05	PRIJEM	VKLAD	23268	59356	\N	\N	\N
117676	396	1996-04-05	PRIJEM	VKLAD	23268	59269	\N	\N	\N
117677	396	1996-05-05	PRIJEM	VKLAD	23268	63333	\N	\N	\N
117678	396	1996-06-05	PRIJEM	VKLAD	34902	75742	\N	\N	\N
117679	396	1996-07-05	PRIJEM	VKLAD	23268	70651	\N	\N	\N
117680	396	1996-08-05	PRIJEM	VKLAD	23268	66009	\N	\N	\N
117681	396	1996-09-05	PRIJEM	VKLAD	23268	61982	\N	\N	\N
117682	396	1996-10-05	PRIJEM	VKLAD	23268	59569	\N	\N	\N
117683	396	1996-11-05	PRIJEM	VKLAD	23268	60385	\N	\N	\N
117684	396	1996-12-05	PRIJEM	VKLAD	34902	77883	\N	\N	\N
117685	396	1997-01-05	PRIJEM	VKLAD	23268	58210	\N	\N	\N
117686	396	1997-02-05	PRIJEM	VKLAD	23268	54286	\N	\N	\N
117687	396	1997-03-05	PRIJEM	VKLAD	23268	58418	\N	\N	\N
117688	396	1997-04-05	PRIJEM	VKLAD	23268	60865	\N	\N	\N
117689	396	1997-05-05	PRIJEM	VKLAD	23268	58634	\N	\N	\N
117690	396	1997-06-05	PRIJEM	VKLAD	34902	71311	\N	\N	\N
117691	396	1997-07-05	PRIJEM	VKLAD	23268	64080	\N	\N	\N
117692	396	1997-08-05	PRIJEM	VKLAD	23268	60933	\N	\N	\N
117693	396	1997-09-05	PRIJEM	VKLAD	23268	55041	\N	\N	\N
117694	396	1997-10-05	PRIJEM	VKLAD	23268	54401	\N	\N	\N
117695	396	1997-11-05	PRIJEM	VKLAD	23268	49952	\N	\N	\N
117696	396	1997-12-05	PRIJEM	VKLAD	34902	68800	\N	\N	\N
117697	396	1998-01-05	PRIJEM	VKLAD	23268	53089	\N	\N	\N
117698	396	1998-02-05	PRIJEM	VKLAD	23268	54324	\N	\N	\N
117699	396	1998-03-05	PRIJEM	VKLAD	23268	55134	\N	\N	\N
117700	396	1998-04-05	PRIJEM	VKLAD	23268	53926	\N	\N	\N
117701	396	1998-05-05	PRIJEM	VKLAD	23268	58446	\N	\N	\N
117702	396	1998-06-05	PRIJEM	VKLAD	34902	68742	\N	\N	\N
117703	396	1998-07-05	PRIJEM	VKLAD	23268	62383	\N	\N	\N
117704	396	1998-08-05	PRIJEM	VKLAD	23268	62221	\N	\N	\N
117705	396	1998-09-05	PRIJEM	VKLAD	23268	69780	\N	\N	\N
117706	396	1998-10-05	PRIJEM	VKLAD	23268	70447	\N	\N	\N
117707	396	1998-11-05	PRIJEM	VKLAD	23268	69378	\N	\N	\N
117708	396	1998-12-05	PRIJEM	VKLAD	34902	82778	\N	\N	\N
117716	396	1993-08-05	VYDAJ	PREVOD NA UCET	5245	49781	SIPO	UV	71221321
117717	396	1993-09-05	VYDAJ	PREVOD NA UCET	5245	56662	SIPO	UV	71221321
117718	396	1993-10-05	VYDAJ	PREVOD NA UCET	5245	57764	SIPO	UV	71221321
117719	396	1993-11-05	VYDAJ	PREVOD NA UCET	5245	58773	SIPO	UV	71221321
117720	396	1993-12-05	VYDAJ	PREVOD NA UCET	5245	73420	SIPO	UV	71221321
117721	396	1994-01-05	VYDAJ	PREVOD NA UCET	5245	64957	SIPO	UV	71221321
117722	396	1994-02-05	VYDAJ	PREVOD NA UCET	5245	59260	SIPO	UV	71221321
117723	396	1994-03-05	VYDAJ	PREVOD NA UCET	5245	59476	SIPO	UV	71221321
117724	396	1994-04-05	VYDAJ	PREVOD NA UCET	5245	58892	SIPO	UV	71221321
117725	396	1994-05-05	VYDAJ	PREVOD NA UCET	5245	52423	SIPO	UV	71221321
117726	396	1994-06-05	VYDAJ	PREVOD NA UCET	5245	69648	SIPO	UV	71221321
117727	396	1994-07-05	VYDAJ	PREVOD NA UCET	5245	65771	SIPO	UV	71221321
117728	396	1994-08-05	VYDAJ	PREVOD NA UCET	5245	64012	SIPO	UV	71221321
117729	396	1994-09-05	VYDAJ	PREVOD NA UCET	5245	59106	SIPO	UV	71221321
117730	396	1994-10-05	VYDAJ	PREVOD NA UCET	5245	58206	SIPO	UV	71221321
117731	396	1994-11-05	VYDAJ	PREVOD NA UCET	5245	58902	SIPO	UV	71221321
117732	396	1994-12-05	VYDAJ	PREVOD NA UCET	5245	71934	SIPO	UV	71221321
117733	396	1995-01-05	VYDAJ	PREVOD NA UCET	5245	61121	SIPO	UV	71221321
117734	396	1995-02-05	VYDAJ	PREVOD NA UCET	5245	52069	SIPO	UV	71221321
117735	396	1995-03-05	VYDAJ	PREVOD NA UCET	5245	52096	SIPO	UV	71221321
117736	396	1995-04-05	VYDAJ	PREVOD NA UCET	5245	52660	SIPO	UV	71221321
117737	396	1995-05-05	VYDAJ	PREVOD NA UCET	5245	57531	SIPO	UV	71221321
117738	396	1995-06-05	VYDAJ	PREVOD NA UCET	5245	67551	SIPO	UV	71221321
117739	396	1995-07-05	VYDAJ	PREVOD NA UCET	5245	63869	SIPO	UV	71221321
117740	396	1995-08-05	VYDAJ	PREVOD NA UCET	5245	57243	SIPO	UV	71221321
117741	396	1995-09-05	VYDAJ	PREVOD NA UCET	5245	56562	SIPO	UV	71221321
117742	396	1995-10-05	VYDAJ	PREVOD NA UCET	5245	54260	SIPO	UV	71221321
117743	396	1995-11-05	VYDAJ	PREVOD NA UCET	5245	55227	SIPO	UV	71221321
117744	396	1995-12-05	VYDAJ	PREVOD NA UCET	5245	66290	SIPO	UV	71221321
117745	396	1996-01-05	VYDAJ	PREVOD NA UCET	5245	62216	SIPO	UV	71221321
117746	396	1996-02-05	VYDAJ	PREVOD NA UCET	5245	54336	SIPO	UV	71221321
117747	396	1996-03-05	VYDAJ	PREVOD NA UCET	5245	54111	SIPO	UV	71221321
117748	396	1996-04-05	VYDAJ	PREVOD NA UCET	5245	54024	SIPO	UV	71221321
117749	396	1996-05-05	VYDAJ	PREVOD NA UCET	5245	58088	SIPO	UV	71221321
117750	396	1996-06-05	VYDAJ	PREVOD NA UCET	5245	70497	SIPO	UV	71221321
117751	396	1996-07-05	VYDAJ	PREVOD NA UCET	5245	65406	SIPO	UV	71221321
117752	396	1996-08-05	VYDAJ	PREVOD NA UCET	5245	60764	SIPO	UV	71221321
117753	396	1996-09-05	VYDAJ	PREVOD NA UCET	5245	56737	SIPO	UV	71221321
117754	396	1996-10-05	VYDAJ	PREVOD NA UCET	5245	54324	SIPO	UV	71221321
117755	396	1996-11-05	VYDAJ	PREVOD NA UCET	5245	55140	SIPO	UV	71221321
117756	396	1996-12-05	VYDAJ	PREVOD NA UCET	5245	72638	SIPO	UV	71221321
117757	396	1997-01-05	VYDAJ	PREVOD NA UCET	5245	52965	SIPO	UV	71221321
117758	396	1997-02-05	VYDAJ	PREVOD NA UCET	5245	49041	SIPO	UV	71221321
117759	396	1997-03-05	VYDAJ	PREVOD NA UCET	5245	53173	SIPO	UV	71221321
117760	396	1997-04-05	VYDAJ	PREVOD NA UCET	5245	55620	SIPO	UV	71221321
117761	396	1997-05-05	VYDAJ	PREVOD NA UCET	5245	53389	SIPO	UV	71221321
117762	396	1997-06-05	VYDAJ	PREVOD NA UCET	5245	66066	SIPO	UV	71221321
117763	396	1997-07-05	VYDAJ	PREVOD NA UCET	5245	58835	SIPO	UV	71221321
117764	396	1997-08-05	VYDAJ	PREVOD NA UCET	5245	55688	SIPO	UV	71221321
117765	396	1997-09-05	VYDAJ	PREVOD NA UCET	5245	49796	SIPO	UV	71221321
117766	396	1997-10-05	VYDAJ	PREVOD NA UCET	5245	49156	SIPO	UV	71221321
117767	396	1997-11-05	VYDAJ	PREVOD NA UCET	5245	44707	SIPO	UV	71221321
117768	396	1997-12-05	VYDAJ	PREVOD NA UCET	5245	63555	SIPO	UV	71221321
117769	396	1998-01-05	VYDAJ	PREVOD NA UCET	5245	47844	SIPO	UV	71221321
117770	396	1998-02-05	VYDAJ	PREVOD NA UCET	5245	49079	SIPO	UV	71221321
117771	396	1998-03-05	VYDAJ	PREVOD NA UCET	5245	49889	SIPO	UV	71221321
117772	396	1998-04-05	VYDAJ	PREVOD NA UCET	5245	48681	SIPO	UV	71221321
117773	396	1998-05-05	VYDAJ	PREVOD NA UCET	5245	53201	SIPO	UV	71221321
117774	396	1998-06-05	VYDAJ	PREVOD NA UCET	5245	63497	SIPO	UV	71221321
117775	396	1998-07-05	VYDAJ	PREVOD NA UCET	5245	57138	SIPO	UV	71221321
117776	396	1998-08-05	VYDAJ	PREVOD NA UCET	5245	56976	SIPO	UV	71221321
117777	396	1998-09-05	VYDAJ	PREVOD NA UCET	5245	64535	SIPO	UV	71221321
117778	396	1998-10-05	VYDAJ	PREVOD NA UCET	5245	65202	SIPO	UV	71221321
117779	396	1998-11-05	VYDAJ	PREVOD NA UCET	5245	64133	SIPO	UV	71221321
117780	396	1998-12-05	VYDAJ	PREVOD NA UCET	5245	77533	SIPO	UV	71221321
117788	396	1993-08-13	VYDAJ	PREVOD NA UCET	68	49144	 	GH	26179212
117789	396	1993-09-13	VYDAJ	PREVOD NA UCET	68	56025	 	GH	26179212
117790	396	1993-10-13	VYDAJ	PREVOD NA UCET	68	57127	 	GH	26179212
117791	396	1993-11-13	VYDAJ	PREVOD NA UCET	68	58136	 	GH	26179212
117792	396	1993-12-13	VYDAJ	PREVOD NA UCET	68	69423	 	GH	26179212
117793	396	1994-01-13	VYDAJ	PREVOD NA UCET	68	61320	 	GH	26179212
117794	396	1994-02-13	VYDAJ	PREVOD NA UCET	68	58623	 	GH	26179212
117795	396	1994-03-13	VYDAJ	PREVOD NA UCET	68	58839	 	GH	26179212
117796	396	1994-04-13	VYDAJ	PREVOD NA UCET	68	58255	 	GH	26179212
117797	396	1994-05-13	VYDAJ	PREVOD NA UCET	68	51786	 	GH	26179212
117798	396	1994-06-13	VYDAJ	PREVOD NA UCET	68	66491	 	GH	26179212
117799	396	1994-07-13	VYDAJ	PREVOD NA UCET	68	65134	 	GH	26179212
117800	396	1994-08-13	VYDAJ	PREVOD NA UCET	68	60855	 	GH	26179212
117801	396	1994-09-13	VYDAJ	PREVOD NA UCET	68	58469	 	GH	26179212
117802	396	1994-10-13	VYDAJ	PREVOD NA UCET	68	57569	 	GH	26179212
117803	396	1994-11-13	VYDAJ	PREVOD NA UCET	68	58265	 	GH	26179212
117804	396	1994-12-13	VYDAJ	PREVOD NA UCET	68	71297	 	GH	26179212
117805	396	1995-01-13	VYDAJ	PREVOD NA UCET	68	60484	 	GH	26179212
117806	396	1995-02-13	VYDAJ	PREVOD NA UCET	68	51432	 	GH	26179212
117807	396	1995-03-13	VYDAJ	PREVOD NA UCET	68	51459	 	GH	26179212
117808	396	1995-04-13	VYDAJ	PREVOD NA UCET	68	52023	 	GH	26179212
117809	396	1995-05-13	VYDAJ	PREVOD NA UCET	68	56894	 	GH	26179212
117810	396	1995-06-13	VYDAJ	PREVOD NA UCET	68	66914	 	GH	26179212
117811	396	1995-07-13	VYDAJ	PREVOD NA UCET	68	57712	 	GH	26179212
117812	396	1995-08-13	VYDAJ	PREVOD NA UCET	68	56606	 	GH	26179212
117813	396	1995-09-13	VYDAJ	PREVOD NA UCET	68	55925	 	GH	26179212
117814	396	1995-10-13	VYDAJ	PREVOD NA UCET	68	53623	 	GH	26179212
117815	396	1995-11-13	VYDAJ	PREVOD NA UCET	68	54590	 	GH	26179212
117816	396	1995-12-13	VYDAJ	PREVOD NA UCET	68	65653	 	GH	26179212
117817	396	1996-01-13	VYDAJ	PREVOD NA UCET	68	56899	 	GH	26179212
117818	396	1996-02-13	VYDAJ	PREVOD NA UCET	68	50819	 	GH	26179212
117819	396	1996-03-13	VYDAJ	PREVOD NA UCET	68	53474	 	GH	26179212
117820	396	1996-04-13	VYDAJ	PREVOD NA UCET	68	53387	 	GH	26179212
117821	396	1996-05-13	VYDAJ	PREVOD NA UCET	68	57451	 	GH	26179212
117822	396	1996-06-13	VYDAJ	PREVOD NA UCET	68	69860	 	GH	26179212
117823	396	1996-07-13	VYDAJ	PREVOD NA UCET	68	64769	 	GH	26179212
117824	396	1996-08-13	VYDAJ	PREVOD NA UCET	68	60127	 	GH	26179212
117825	396	1996-09-13	VYDAJ	PREVOD NA UCET	68	56100	 	GH	26179212
117826	396	1996-10-13	VYDAJ	PREVOD NA UCET	68	53687	 	GH	26179212
117827	396	1996-11-13	VYDAJ	PREVOD NA UCET	68	54503	 	GH	26179212
117828	396	1996-12-13	VYDAJ	PREVOD NA UCET	68	72001	 	GH	26179212
117829	396	1997-01-13	VYDAJ	PREVOD NA UCET	68	49088	 	GH	26179212
117830	396	1997-02-13	VYDAJ	PREVOD NA UCET	68	48404	 	GH	26179212
117831	396	1997-03-13	VYDAJ	PREVOD NA UCET	68	52536	 	GH	26179212
117832	396	1997-04-13	VYDAJ	PREVOD NA UCET	68	54983	 	GH	26179212
117833	396	1997-05-13	VYDAJ	PREVOD NA UCET	68	52752	 	GH	26179212
117834	396	1997-06-13	VYDAJ	PREVOD NA UCET	68	65429	 	GH	26179212
117835	396	1997-07-13	VYDAJ	PREVOD NA UCET	68	58198	 	GH	26179212
117836	396	1997-08-13	VYDAJ	PREVOD NA UCET	68	50491	 	GH	26179212
117837	396	1997-09-13	VYDAJ	PREVOD NA UCET	68	49159	 	GH	26179212
117838	396	1997-10-13	VYDAJ	PREVOD NA UCET	68	40479	 	GH	26179212
117839	396	1997-11-13	VYDAJ	PREVOD NA UCET	68	33770	 	GH	26179212
117840	396	1997-12-13	VYDAJ	PREVOD NA UCET	68	40618	 	GH	26179212
117841	396	1998-01-13	VYDAJ	PREVOD NA UCET	68	33807	 	GH	26179212
117842	396	1998-02-13	VYDAJ	PREVOD NA UCET	68	31742	 	GH	26179212
117843	396	1998-03-13	VYDAJ	PREVOD NA UCET	68	33052	 	GH	26179212
117844	396	1998-04-13	VYDAJ	PREVOD NA UCET	68	35044	 	GH	26179212
117845	396	1998-05-13	VYDAJ	PREVOD NA UCET	68	33704	 	GH	26179212
117846	396	1998-06-13	VYDAJ	PREVOD NA UCET	68	38960	 	GH	26179212
117847	396	1998-07-13	VYDAJ	PREVOD NA UCET	68	38801	 	GH	26179212
117848	396	1998-08-13	VYDAJ	PREVOD NA UCET	68	46339	 	GH	26179212
117849	396	1998-09-13	VYDAJ	PREVOD NA UCET	68	46998	 	GH	26179212
117850	396	1998-10-13	VYDAJ	PREVOD NA UCET	68	45925	 	GH	26179212
117851	396	1998-11-13	VYDAJ	PREVOD NA UCET	68	47696	 	GH	26179212
117852	396	1998-12-13	VYDAJ	PREVOD NA UCET	68	53836	 	GH	26179212
117860	396	1993-08-06	VYDAJ	PREVOD NA UCET	308	49473	POJISTNE	OP	57553499
117861	396	1993-09-06	VYDAJ	PREVOD NA UCET	308	56354	POJISTNE	OP	57553499
117862	396	1993-10-06	VYDAJ	PREVOD NA UCET	308	57456	POJISTNE	OP	57553499
117863	396	1993-11-06	VYDAJ	PREVOD NA UCET	308	58465	POJISTNE	OP	57553499
117864	396	1993-12-06	VYDAJ	PREVOD NA UCET	308	73112	POJISTNE	OP	57553499
117865	396	1994-01-06	VYDAJ	PREVOD NA UCET	308	63929	POJISTNE	OP	57553499
117866	396	1994-02-06	VYDAJ	PREVOD NA UCET	308	58952	POJISTNE	OP	57553499
117867	396	1994-03-06	VYDAJ	PREVOD NA UCET	308	59168	POJISTNE	OP	57553499
117868	396	1994-04-06	VYDAJ	PREVOD NA UCET	308	58584	POJISTNE	OP	57553499
117869	396	1994-05-06	VYDAJ	PREVOD NA UCET	308	52115	POJISTNE	OP	57553499
117870	396	1994-06-06	VYDAJ	PREVOD NA UCET	308	69340	POJISTNE	OP	57553499
117871	396	1994-07-06	VYDAJ	PREVOD NA UCET	308	65463	POJISTNE	OP	57553499
117872	396	1994-08-06	VYDAJ	PREVOD NA UCET	308	63704	POJISTNE	OP	57553499
117873	396	1994-09-06	VYDAJ	PREVOD NA UCET	308	58798	POJISTNE	OP	57553499
117874	396	1994-10-06	VYDAJ	PREVOD NA UCET	308	57898	POJISTNE	OP	57553499
117875	396	1994-11-06	VYDAJ	PREVOD NA UCET	308	58594	POJISTNE	OP	57553499
117876	396	1994-12-06	VYDAJ	PREVOD NA UCET	308	71626	POJISTNE	OP	57553499
117877	396	1995-01-06	VYDAJ	PREVOD NA UCET	308	60813	POJISTNE	OP	57553499
117878	396	1995-02-06	VYDAJ	PREVOD NA UCET	308	51761	POJISTNE	OP	57553499
117879	396	1995-03-06	VYDAJ	PREVOD NA UCET	308	51788	POJISTNE	OP	57553499
117880	396	1995-04-06	VYDAJ	PREVOD NA UCET	308	52352	POJISTNE	OP	57553499
117881	396	1995-05-06	VYDAJ	PREVOD NA UCET	308	57223	POJISTNE	OP	57553499
117882	396	1995-06-06	VYDAJ	PREVOD NA UCET	308	67243	POJISTNE	OP	57553499
117883	396	1995-07-06	VYDAJ	PREVOD NA UCET	308	63561	POJISTNE	OP	57553499
117884	396	1995-08-06	VYDAJ	PREVOD NA UCET	308	56935	POJISTNE	OP	57553499
117885	396	1995-09-06	VYDAJ	PREVOD NA UCET	308	56254	POJISTNE	OP	57553499
117886	396	1995-10-06	VYDAJ	PREVOD NA UCET	308	53952	POJISTNE	OP	57553499
117887	396	1995-11-06	VYDAJ	PREVOD NA UCET	308	54919	POJISTNE	OP	57553499
117888	396	1995-12-06	VYDAJ	PREVOD NA UCET	308	65982	POJISTNE	OP	57553499
117889	396	1996-01-06	VYDAJ	PREVOD NA UCET	308	61908	POJISTNE	OP	57553499
117890	396	1996-02-06	VYDAJ	PREVOD NA UCET	308	54028	POJISTNE	OP	57553499
117891	396	1996-03-06	VYDAJ	PREVOD NA UCET	308	53803	POJISTNE	OP	57553499
117892	396	1996-04-06	VYDAJ	PREVOD NA UCET	308	53716	POJISTNE	OP	57553499
117893	396	1996-05-06	VYDAJ	PREVOD NA UCET	308	57780	POJISTNE	OP	57553499
117894	396	1996-06-06	VYDAJ	PREVOD NA UCET	308	70189	POJISTNE	OP	57553499
117895	396	1996-07-06	VYDAJ	PREVOD NA UCET	308	65098	POJISTNE	OP	57553499
117896	396	1996-08-06	VYDAJ	PREVOD NA UCET	308	60456	POJISTNE	OP	57553499
117897	396	1996-09-06	VYDAJ	PREVOD NA UCET	308	56429	POJISTNE	OP	57553499
117898	396	1996-10-06	VYDAJ	PREVOD NA UCET	308	54016	POJISTNE	OP	57553499
117899	396	1996-11-06	VYDAJ	PREVOD NA UCET	308	54832	POJISTNE	OP	57553499
117900	396	1996-12-06	VYDAJ	PREVOD NA UCET	308	72330	POJISTNE	OP	57553499
117901	396	1997-01-06	VYDAJ	PREVOD NA UCET	308	50377	POJISTNE	OP	57553499
117902	396	1997-02-06	VYDAJ	PREVOD NA UCET	308	48733	POJISTNE	OP	57553499
117903	396	1997-03-06	VYDAJ	PREVOD NA UCET	308	52865	POJISTNE	OP	57553499
117904	396	1997-04-06	VYDAJ	PREVOD NA UCET	308	55312	POJISTNE	OP	57553499
117905	396	1997-05-06	VYDAJ	PREVOD NA UCET	308	53081	POJISTNE	OP	57553499
117906	396	1997-06-06	VYDAJ	PREVOD NA UCET	308	65758	POJISTNE	OP	57553499
117907	396	1997-07-06	VYDAJ	PREVOD NA UCET	308	58527	POJISTNE	OP	57553499
117908	396	1997-08-06	VYDAJ	PREVOD NA UCET	308	55380	POJISTNE	OP	57553499
117909	396	1997-09-06	VYDAJ	PREVOD NA UCET	308	49488	POJISTNE	OP	57553499
117910	396	1997-10-06	VYDAJ	PREVOD NA UCET	308	48848	POJISTNE	OP	57553499
117911	396	1997-11-06	VYDAJ	PREVOD NA UCET	308	44399	POJISTNE	OP	57553499
117912	396	1997-12-06	VYDAJ	PREVOD NA UCET	308	63247	POJISTNE	OP	57553499
117913	396	1998-01-06	VYDAJ	PREVOD NA UCET	308	47536	POJISTNE	OP	57553499
117914	396	1998-02-06	VYDAJ	PREVOD NA UCET	308	48771	POJISTNE	OP	57553499
117915	396	1998-03-06	VYDAJ	PREVOD NA UCET	308	49581	POJISTNE	OP	57553499
117916	396	1998-04-06	VYDAJ	PREVOD NA UCET	308	48373	POJISTNE	OP	57553499
117917	396	1998-05-06	VYDAJ	PREVOD NA UCET	308	52893	POJISTNE	OP	57553499
117918	396	1998-06-06	VYDAJ	PREVOD NA UCET	308	63189	POJISTNE	OP	57553499
117919	396	1998-07-06	VYDAJ	PREVOD NA UCET	308	56830	POJISTNE	OP	57553499
117920	396	1998-08-06	VYDAJ	PREVOD NA UCET	308	56668	POJISTNE	OP	57553499
117921	396	1998-09-06	VYDAJ	PREVOD NA UCET	308	64227	POJISTNE	OP	57553499
117922	396	1998-10-06	VYDAJ	PREVOD NA UCET	308	64894	POJISTNE	OP	57553499
117923	396	1998-11-06	VYDAJ	PREVOD NA UCET	308	60825	POJISTNE	OP	57553499
117924	396	1998-12-06	VYDAJ	PREVOD NA UCET	308	77225	POJISTNE	OP	57553499
117932	396	1993-08-11	VYDAJ	PREVOD NA UCET	261	49212	 	YZ	33896279
117933	396	1993-09-11	VYDAJ	PREVOD NA UCET	261	56093	 	YZ	33896279
117934	396	1993-10-11	VYDAJ	PREVOD NA UCET	261	57195	 	YZ	33896279
117935	396	1993-11-11	VYDAJ	PREVOD NA UCET	261	58204	 	YZ	33896279
117936	396	1993-12-11	VYDAJ	PREVOD NA UCET	261	69491	 	YZ	33896279
117937	396	1994-01-11	VYDAJ	PREVOD NA UCET	261	61388	 	YZ	33896279
117938	396	1994-02-11	VYDAJ	PREVOD NA UCET	261	58691	 	YZ	33896279
117939	396	1994-03-11	VYDAJ	PREVOD NA UCET	261	58907	 	YZ	33896279
117940	396	1994-04-11	VYDAJ	PREVOD NA UCET	261	58323	 	YZ	33896279
117941	396	1994-05-11	VYDAJ	PREVOD NA UCET	261	51854	 	YZ	33896279
117942	396	1994-06-11	VYDAJ	PREVOD NA UCET	261	69079	 	YZ	33896279
117943	396	1994-07-11	VYDAJ	PREVOD NA UCET	261	65202	 	YZ	33896279
117944	396	1994-08-11	VYDAJ	PREVOD NA UCET	261	60923	 	YZ	33896279
117945	396	1994-09-11	VYDAJ	PREVOD NA UCET	261	58537	 	YZ	33896279
117946	396	1994-10-11	VYDAJ	PREVOD NA UCET	261	57637	 	YZ	33896279
117947	396	1994-11-11	VYDAJ	PREVOD NA UCET	261	58333	 	YZ	33896279
117948	396	1994-12-11	VYDAJ	PREVOD NA UCET	261	71365	 	YZ	33896279
117949	396	1995-01-11	VYDAJ	PREVOD NA UCET	261	60552	 	YZ	33896279
117950	396	1995-02-11	VYDAJ	PREVOD NA UCET	261	51500	 	YZ	33896279
117951	396	1995-03-11	VYDAJ	PREVOD NA UCET	261	51527	 	YZ	33896279
117952	396	1995-04-11	VYDAJ	PREVOD NA UCET	261	52091	 	YZ	33896279
117953	396	1995-05-11	VYDAJ	PREVOD NA UCET	261	56962	 	YZ	33896279
117954	396	1995-06-11	VYDAJ	PREVOD NA UCET	261	66982	 	YZ	33896279
117955	396	1995-07-11	VYDAJ	PREVOD NA UCET	261	57780	 	YZ	33896279
117956	396	1995-08-11	VYDAJ	PREVOD NA UCET	261	56674	 	YZ	33896279
117957	396	1995-09-11	VYDAJ	PREVOD NA UCET	261	55993	 	YZ	33896279
117958	396	1995-10-11	VYDAJ	PREVOD NA UCET	261	53691	 	YZ	33896279
117959	396	1995-11-11	VYDAJ	PREVOD NA UCET	261	54658	 	YZ	33896279
117960	396	1995-12-11	VYDAJ	PREVOD NA UCET	261	65721	 	YZ	33896279
117961	396	1996-01-11	VYDAJ	PREVOD NA UCET	261	56967	 	YZ	33896279
117962	396	1996-02-11	VYDAJ	PREVOD NA UCET	261	50887	 	YZ	33896279
117963	396	1996-03-11	VYDAJ	PREVOD NA UCET	261	53542	 	YZ	33896279
117964	396	1996-04-11	VYDAJ	PREVOD NA UCET	261	53455	 	YZ	33896279
117965	396	1996-05-11	VYDAJ	PREVOD NA UCET	261	57519	 	YZ	33896279
117966	396	1996-06-11	VYDAJ	PREVOD NA UCET	261	69928	 	YZ	33896279
117967	396	1996-07-11	VYDAJ	PREVOD NA UCET	261	64837	 	YZ	33896279
117968	396	1996-08-11	VYDAJ	PREVOD NA UCET	261	60195	 	YZ	33896279
117969	396	1996-09-11	VYDAJ	PREVOD NA UCET	261	56168	 	YZ	33896279
117970	396	1996-10-11	VYDAJ	PREVOD NA UCET	261	53755	 	YZ	33896279
117971	396	1996-11-11	VYDAJ	PREVOD NA UCET	261	54571	 	YZ	33896279
117972	396	1996-12-11	VYDAJ	PREVOD NA UCET	261	72069	 	YZ	33896279
117973	396	1997-01-11	VYDAJ	PREVOD NA UCET	261	50116	 	YZ	33896279
117974	396	1997-02-11	VYDAJ	PREVOD NA UCET	261	48472	 	YZ	33896279
117975	396	1997-03-11	VYDAJ	PREVOD NA UCET	261	52604	 	YZ	33896279
117976	396	1997-04-11	VYDAJ	PREVOD NA UCET	261	55051	 	YZ	33896279
117977	396	1997-05-11	VYDAJ	PREVOD NA UCET	261	52820	 	YZ	33896279
117978	396	1997-06-11	VYDAJ	PREVOD NA UCET	261	65497	 	YZ	33896279
117979	396	1997-07-11	VYDAJ	PREVOD NA UCET	261	58266	 	YZ	33896279
117980	396	1997-08-11	VYDAJ	PREVOD NA UCET	261	50559	 	YZ	33896279
117981	396	1997-09-11	VYDAJ	PREVOD NA UCET	261	49227	 	YZ	33896279
117982	396	1997-10-11	VYDAJ	PREVOD NA UCET	261	40547	 	YZ	33896279
117983	396	1997-11-11	VYDAJ	PREVOD NA UCET	261	44138	 	YZ	33896279
117984	396	1997-12-11	VYDAJ	PREVOD NA UCET	261	62986	 	YZ	33896279
117985	396	1998-01-11	VYDAJ	PREVOD NA UCET	261	47275	 	YZ	33896279
117986	396	1998-02-11	VYDAJ	PREVOD NA UCET	261	31810	 	YZ	33896279
117987	396	1998-03-11	VYDAJ	PREVOD NA UCET	261	49320	 	YZ	33896279
117988	396	1998-04-11	VYDAJ	PREVOD NA UCET	261	48112	 	YZ	33896279
117989	396	1998-05-11	VYDAJ	PREVOD NA UCET	261	35932	 	YZ	33896279
117990	396	1998-06-11	VYDAJ	PREVOD NA UCET	261	39028	 	YZ	33896279
117991	396	1998-07-11	VYDAJ	PREVOD NA UCET	261	38869	 	YZ	33896279
117992	396	1998-08-11	VYDAJ	PREVOD NA UCET	261	46407	 	YZ	33896279
117993	396	1998-09-11	VYDAJ	PREVOD NA UCET	261	47066	 	YZ	33896279
117994	396	1998-10-11	VYDAJ	PREVOD NA UCET	261	45993	 	YZ	33896279
117995	396	1998-11-11	VYDAJ	PREVOD NA UCET	261	47764	 	YZ	33896279
117996	396	1998-12-11	VYDAJ	PREVOD NA UCET	261	53904	 	YZ	33896279
117997	396	1993-12-06	VYDAJ	VYBER	3360	69752	\N	\N	\N
117998	396	1994-12-13	VYDAJ	VYBER	4640	66657	\N	\N	\N
117999	396	1995-12-05	VYDAJ	VYBER	2720	71535	\N	\N	\N
118000	396	1996-12-28	VYDAJ	VYBER	4640	45761	\N	\N	\N
118001	396	1997-12-25	VYDAJ	VYBER	3520	37098	\N	\N	\N
118002	396	1998-12-08	VYDAJ	VYBER	2560	54165	\N	\N	\N
118009	396	1994-01-13	VYDAJ	VYBER	1200	60120	\N	\N	\N
118010	396	1994-01-02	VYDAJ	VYBER	2160	67534	\N	\N	\N
118011	396	1994-01-10	VYDAJ	VYBER	1080	62849	\N	\N	\N
118012	396	1994-01-05	VYDAJ	VYBER	720	64237	\N	\N	\N
118013	396	1994-01-10	VYDAJ	VYBER	1200	61649	\N	\N	\N
118014	396	1994-01-17	VYDAJ	VYBER	3120	57000	\N	\N	\N
118015	396	1995-01-15	VYDAJ	VYBER	2520	55324	\N	\N	\N
118016	396	1995-01-22	VYDAJ	VYBER	1440	53884	\N	\N	\N
118017	396	1995-01-25	VYDAJ	VYBER	720	53164	\N	\N	\N
118018	396	1995-01-30	VYDAJ	VYBER	3480	33844	\N	\N	\N
118019	396	1995-01-27	VYDAJ	VYBER	2040	51124	\N	\N	\N
118020	396	1995-01-14	VYDAJ	VYBER	2640	57844	\N	\N	\N
118021	396	1996-01-29	VYDAJ	VYBER	3120	36119	\N	\N	\N
118022	396	1996-01-01	VYDAJ	VYBER	1080	44193	\N	\N	\N
118023	396	1996-01-08	VYDAJ	VYBER	1560	60348	\N	\N	\N
118024	396	1996-01-28	VYDAJ	VYBER	1920	39239	\N	\N	\N
118025	396	1996-01-10	VYDAJ	VYBER	1560	58788	\N	\N	\N
118026	396	1996-01-10	VYDAJ	VYBER	1560	57228	\N	\N	\N
118027	396	1997-01-01	VYDAJ	VYBER	2040	43942	\N	\N	\N
118028	396	1997-01-04	VYDAJ	VYBER	3120	34942	\N	\N	\N
118029	396	1997-01-11	VYDAJ	VYBER	960	49156	\N	\N	\N
118030	396	1997-01-06	VYDAJ	VYBER	2280	50685	\N	\N	\N
118031	396	1997-01-25	VYDAJ	VYBER	2400	30868	\N	\N	\N
118032	396	1997-01-24	VYDAJ	VYBER	1920	33268	\N	\N	\N
118033	396	1998-01-30	VYDAJ	VYBER	1800	30927	\N	\N	\N
118034	396	1998-01-02	VYDAJ	VYBER	2280	31741	\N	\N	\N
118035	396	1998-01-02	VYDAJ	VYBER	720	34021	\N	\N	\N
118036	396	1998-01-01	VYDAJ	VYBER	2520	34741	\N	\N	\N
118037	396	1998-01-03	VYDAJ	VYBER	1920	29821	\N	\N	\N
118038	396	1998-01-24	VYDAJ	VYBER	1080	32727	\N	\N	\N
118044	396	1994-05-05	VYDAJ	VYBER	4080	57668	\N	\N	\N
118045	396	1994-06-11	VYDAJ	VYBER	2520	66559	\N	\N	\N
118046	396	1994-04-20	VYDAJ	VYBER	2400	55855	\N	\N	\N
118047	396	1994-08-11	VYDAJ	VYBER	2520	61184	\N	\N	\N
118048	396	1995-09-28	VYDAJ	VYBER	5280	36045	\N	\N	\N
118049	396	1995-07-10	VYDAJ	VYBER	5520	58041	\N	\N	\N
118050	396	1995-03-20	VYDAJ	VYBER	3600	47859	\N	\N	\N
118051	396	1995-02-27	VYDAJ	VYBER	3840	33892	\N	\N	\N
118052	396	1995-11-14	VYDAJ	VYBER	1920	52670	\N	\N	\N
118053	396	1995-08-24	VYDAJ	VYBER	2160	54446	\N	\N	\N
118054	396	1996-11-01	VYDAJ	VYBER	840	37117	\N	\N	\N
118055	396	1996-01-23	VYDAJ	VYBER	840	41159	\N	\N	\N
118056	396	1996-02-07	VYDAJ	VYBER	2880	51148	\N	\N	\N
118057	396	1996-10-03	VYDAJ	VYBER	5880	36301	\N	\N	\N
118058	396	1996-07-20	VYDAJ	VYBER	5760	59009	\N	\N	\N
118059	396	1996-03-14	VYDAJ	VYBER	5640	47834	\N	\N	\N
118060	396	1997-01-03	VYDAJ	VYBER	5880	38062	\N	\N	\N
118061	396	1997-08-08	VYDAJ	VYBER	4560	50820	\N	\N	\N
118062	396	1997-10-08	VYDAJ	VYBER	3000	40808	\N	\N	\N
118063	396	1997-10-13	VYDAJ	VYBER	2640	37839	\N	\N	\N
118064	396	1997-10-07	VYDAJ	VYBER	5040	43808	\N	\N	\N
118065	396	1997-04-25	VYDAJ	VYBER	2880	35203	\N	\N	\N
118066	396	1997-08-24	VYDAJ	VYBER	960	31631	\N	\N	\N
118067	396	1998-11-06	VYDAJ	VYBER	3000	61133	\N	\N	\N
118068	396	1998-03-17	VYDAJ	VYBER	2520	30532	\N	\N	\N
118069	396	1998-10-08	VYDAJ	VYBER	1440	63454	\N	\N	\N
118070	396	1998-05-13	VYDAJ	VYBER	2160	33772	\N	\N	\N
118079	396	1993-08-31	VYDAJ	VYBER	15	49339	SLUZBY	\N	\N
118080	396	1993-09-30	VYDAJ	VYBER	15	56241	SLUZBY	\N	\N
118081	396	1993-10-31	VYDAJ	VYBER	15	57350	SLUZBY	\N	\N
118082	396	1993-11-30	VYDAJ	VYBER	15	58363	SLUZBY	\N	\N
118083	396	1993-12-31	VYDAJ	VYBER	15	69694	SLUZBY	\N	\N
118084	396	1994-01-31	VYDAJ	VYBER	15	57237	SLUZBY	\N	\N
118085	396	1994-02-28	VYDAJ	VYBER	15	58853	SLUZBY	\N	\N
118086	396	1994-03-31	VYDAJ	VYBER	15	59069	SLUZBY	\N	\N
118087	396	1994-04-30	VYDAJ	VYBER	15	56080	SLUZBY	\N	\N
118088	396	1994-05-31	VYDAJ	VYBER	15	51991	SLUZBY	\N	\N
118089	396	1994-06-30	VYDAJ	VYBER	15	66748	SLUZBY	\N	\N
118090	396	1994-07-31	VYDAJ	VYBER	15	65389	SLUZBY	\N	\N
118091	396	1994-08-31	VYDAJ	VYBER	15	41083	SLUZBY	\N	\N
118092	396	1994-09-30	VYDAJ	VYBER	15	40183	SLUZBY	\N	\N
118093	396	1994-10-31	VYDAJ	VYBER	15	40879	SLUZBY	\N	\N
118094	396	1994-11-30	VYDAJ	VYBER	15	42277	SLUZBY	\N	\N
118095	396	1994-12-31	VYDAJ	VYBER	15	43098	SLUZBY	\N	\N
118096	396	1995-01-31	VYDAJ	VYBER	15	34046	SLUZBY	\N	\N
118097	396	1995-02-28	VYDAJ	VYBER	15	34073	SLUZBY	\N	\N
118098	396	1995-03-31	VYDAJ	VYBER	15	34637	SLUZBY	\N	\N
118099	396	1995-04-30	VYDAJ	VYBER	15	39508	SLUZBY	\N	\N
118100	396	1995-05-31	VYDAJ	VYBER	15	37894	SLUZBY	\N	\N
118101	396	1995-06-30	VYDAJ	VYBER	15	45846	SLUZBY	\N	\N
118102	396	1995-07-31	VYDAJ	VYBER	15	39220	SLUZBY	\N	\N
118103	396	1995-08-31	VYDAJ	VYBER	15	38539	SLUZBY	\N	\N
118104	396	1995-09-30	VYDAJ	VYBER	15	36237	SLUZBY	\N	\N
118105	396	1995-10-31	VYDAJ	VYBER	15	37204	SLUZBY	\N	\N
118106	396	1995-11-30	VYDAJ	VYBER	15	39353	SLUZBY	\N	\N
118107	396	1995-12-31	VYDAJ	VYBER	15	45273	SLUZBY	\N	\N
118108	396	1996-01-31	VYDAJ	VYBER	15	36313	SLUZBY	\N	\N
118109	396	1996-02-29	VYDAJ	VYBER	15	36088	SLUZBY	\N	\N
118110	396	1996-03-31	VYDAJ	VYBER	15	36001	SLUZBY	\N	\N
118111	396	1996-04-30	VYDAJ	VYBER	15	40065	SLUZBY	\N	\N
118112	396	1996-05-31	VYDAJ	VYBER	15	40840	SLUZBY	\N	\N
118113	396	1996-06-30	VYDAJ	VYBER	15	47383	SLUZBY	\N	\N
118114	396	1996-07-31	VYDAJ	VYBER	15	42741	SLUZBY	\N	\N
118115	396	1996-08-31	VYDAJ	VYBER	15	38714	SLUZBY	\N	\N
118116	396	1996-09-30	VYDAJ	VYBER	15	42181	SLUZBY	\N	\N
118117	396	1996-10-31	VYDAJ	VYBER	15	37957	SLUZBY	\N	\N
118118	396	1996-11-30	VYDAJ	VYBER	15	42981	SLUZBY	\N	\N
118119	396	1996-12-31	VYDAJ	VYBER	15	45982	SLUZBY	\N	\N
118120	396	1997-01-31	VYDAJ	VYBER	15	31018	SLUZBY	\N	\N
118121	396	1997-02-28	VYDAJ	VYBER	15	35150	SLUZBY	\N	\N
118122	396	1997-03-31	VYDAJ	VYBER	15	37597	SLUZBY	\N	\N
118123	396	1997-04-30	VYDAJ	VYBER	15	35366	SLUZBY	\N	\N
118124	396	1997-05-31	VYDAJ	VYBER	15	36409	SLUZBY	\N	\N
118125	396	1997-06-30	VYDAJ	VYBER	15	40812	SLUZBY	\N	\N
118126	396	1997-07-31	VYDAJ	VYBER	15	37665	SLUZBY	\N	\N
118127	396	1997-08-31	VYDAJ	VYBER	15	31773	SLUZBY	\N	\N
118128	396	1997-09-30	VYDAJ	VYBER	15	31133	SLUZBY	\N	\N
118129	396	1997-10-31	VYDAJ	VYBER	15	26684	SLUZBY	\N	\N
118130	396	1997-11-30	VYDAJ	VYBER	15	33898	SLUZBY	\N	\N
118131	396	1997-12-31	VYDAJ	VYBER	15	37261	SLUZBY	\N	\N
118132	396	1998-01-31	VYDAJ	VYBER	15	31056	SLUZBY	\N	\N
118133	396	1998-02-28	VYDAJ	VYBER	15	31866	SLUZBY	\N	\N
118134	396	1998-03-31	VYDAJ	VYBER	15	30658	SLUZBY	\N	\N
118135	396	1998-04-30	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
118136	396	1998-05-31	VYDAJ	VYBER	15	33840	SLUZBY	\N	\N
118137	396	1998-06-30	VYDAJ	VYBER	15	39115	SLUZBY	\N	\N
118138	396	1998-07-31	VYDAJ	VYBER	15	38953	SLUZBY	\N	\N
118139	396	1998-08-31	VYDAJ	VYBER	15	46512	SLUZBY	\N	\N
118140	396	1998-09-30	VYDAJ	VYBER	15	47179	SLUZBY	\N	\N
118141	396	1998-10-31	VYDAJ	VYBER	15	46110	SLUZBY	\N	\N
118142	396	1998-11-30	VYDAJ	VYBER	15	47876	SLUZBY	\N	\N
118143	396	1993-04-07	PRIJEM	VKLAD	1100	25368	\N	\N	\N
118144	396	1993-05-07	VYDAJ	VYBER	10700	38021	\N	\N	\N
118145	396	1993-06-06	VYDAJ	VYBER	21700	51371	\N	\N	\N
118146	396	1993-07-06	VYDAJ	VYBER	23500	51344	\N	\N	\N
118147	396	1993-08-05	VYDAJ	VYBER	19800	55026	\N	\N	\N
118148	396	1993-09-04	VYDAJ	VYBER	10700	38639	\N	\N	\N
118149	396	1993-10-04	VYDAJ	VYBER	16500	39741	\N	\N	\N
118150	396	1993-11-03	VYDAJ	VYBER	16600	40750	\N	\N	\N
118151	396	1993-12-03	VYDAJ	VYBER	14600	43763	\N	\N	\N
118152	396	1994-01-02	VYDAJ	VYBER	20600	46934	\N	\N	\N
118153	396	1994-02-01	VYDAJ	VYBER	16000	41237	\N	\N	\N
118154	396	1994-03-03	VYDAJ	VYBER	17400	41453	\N	\N	\N
118155	396	1994-04-02	VYDAJ	VYBER	18200	40869	\N	\N	\N
118156	396	1994-05-02	VYDAJ	VYBER	17600	38480	\N	\N	\N
118157	396	1994-06-01	VYDAJ	VYBER	12000	39991	\N	\N	\N
118158	396	1994-07-01	VYDAJ	VYBER	19000	47748	\N	\N	\N
118159	396	1994-07-31	VYDAJ	VYBER	19400	45989	\N	\N	\N
118160	396	1994-08-30	VYDAJ	VYBER	20000	40855	\N	\N	\N
118161	396	1994-09-29	VYDAJ	VYBER	18500	39969	\N	\N	\N
118162	396	1994-10-29	VYDAJ	VYBER	16900	40669	\N	\N	\N
118163	396	1994-11-28	VYDAJ	VYBER	16200	42065	\N	\N	\N
118164	396	1994-12-28	VYDAJ	VYBER	23800	42857	\N	\N	\N
118165	396	1995-01-27	VYDAJ	VYBER	13800	37324	\N	\N	\N
118166	396	1995-02-26	VYDAJ	VYBER	13700	37732	\N	\N	\N
118167	396	1995-03-28	VYDAJ	VYBER	13400	34459	\N	\N	\N
118168	396	1995-04-27	VYDAJ	VYBER	12700	39323	\N	\N	\N
118169	396	1995-05-27	VYDAJ	VYBER	19200	37694	\N	\N	\N
118170	396	1995-06-26	VYDAJ	VYBER	21300	45614	\N	\N	\N
118171	396	1995-07-26	VYDAJ	VYBER	18700	39012	\N	\N	\N
118172	396	1995-08-25	VYDAJ	VYBER	16100	38346	\N	\N	\N
118173	396	1995-09-24	VYDAJ	VYBER	14600	41325	\N	\N	\N
118174	396	1995-10-24	VYDAJ	VYBER	16600	37023	\N	\N	\N
118175	396	1995-11-23	VYDAJ	VYBER	13500	39170	\N	\N	\N
118176	396	1995-12-23	VYDAJ	VYBER	20600	45053	\N	\N	\N
118177	396	1996-01-22	VYDAJ	VYBER	14900	41999	\N	\N	\N
118178	396	1996-02-21	VYDAJ	VYBER	14900	35919	\N	\N	\N
118179	396	1996-03-22	VYDAJ	VYBER	12000	35834	\N	\N	\N
118180	396	1996-04-21	VYDAJ	VYBER	13500	39887	\N	\N	\N
118181	396	1996-05-21	VYDAJ	VYBER	16800	40651	\N	\N	\N
118182	396	1996-06-20	VYDAJ	VYBER	22700	47160	\N	\N	\N
118183	396	1996-07-20	VYDAJ	VYBER	16500	42509	\N	\N	\N
118184	396	1996-08-19	VYDAJ	VYBER	21600	38527	\N	\N	\N
118185	396	1996-09-18	VYDAJ	VYBER	14100	42000	\N	\N	\N
118186	396	1996-10-18	VYDAJ	VYBER	15900	37787	\N	\N	\N
118187	396	1996-11-17	VYDAJ	VYBER	11700	42803	\N	\N	\N
118188	396	1996-12-17	VYDAJ	VYBER	21600	50401	\N	\N	\N
118189	396	1997-01-16	VYDAJ	VYBER	13900	35188	\N	\N	\N
118190	396	1997-02-15	VYDAJ	VYBER	13400	35004	\N	\N	\N
118191	396	1997-03-17	VYDAJ	VYBER	15100	37436	\N	\N	\N
118192	396	1997-04-16	VYDAJ	VYBER	16900	38083	\N	\N	\N
118193	396	1997-05-16	VYDAJ	VYBER	16500	36252	\N	\N	\N
118194	396	1997-06-15	VYDAJ	VYBER	24800	40629	\N	\N	\N
118195	396	1997-07-15	VYDAJ	VYBER	20700	37498	\N	\N	\N
118196	396	1997-08-14	VYDAJ	VYBER	17900	32591	\N	\N	\N
118197	396	1997-09-13	VYDAJ	VYBER	18200	30959	\N	\N	\N
118198	396	1997-10-13	VYDAJ	VYBER	11300	26539	\N	\N	\N
118199	396	1997-11-12	VYDAJ	VYBER	10300	33838	\N	\N	\N
118200	396	1997-12-12	VYDAJ	VYBER	22300	40686	\N	\N	\N
118201	396	1998-01-11	VYDAJ	VYBER	13400	33875	\N	\N	\N
118202	396	1998-02-10	VYDAJ	VYBER	16700	32071	\N	\N	\N
118203	396	1998-03-12	VYDAJ	VYBER	16200	33120	\N	\N	\N
118204	396	1998-04-11	VYDAJ	VYBER	13000	35112	\N	\N	\N
118205	396	1998-05-11	VYDAJ	VYBER	16700	36193	\N	\N	\N
118206	396	1998-06-10	VYDAJ	VYBER	23900	39289	\N	\N	\N
118207	396	1998-07-10	VYDAJ	VYBER	17700	39130	\N	\N	\N
118208	396	1998-08-09	VYDAJ	VYBER	10000	46668	\N	\N	\N
118209	396	1998-09-08	VYDAJ	VYBER	16900	47327	\N	\N	\N
118210	396	1998-10-08	VYDAJ	VYBER	17200	46254	\N	\N	\N
118211	396	1998-11-07	VYDAJ	VYBER	12800	48025	\N	\N	\N
118212	396	1998-12-07	VYDAJ	VYBER	20500	56725	\N	\N	\N
118282	397	1993-10-26	PRIJEM	VKLAD	400	400	\N	\N	\N
118293	397	1993-11-14	PRIJEM	PREVOD Z UCTU	30905	31305	\N	ST	63246583
118294	397	1993-12-14	PRIJEM	PREVOD Z UCTU	46358	73886	\N	ST	63246583
118295	397	1994-01-14	PRIJEM	PREVOD Z UCTU	30905	82428	\N	ST	63246583
118296	397	1994-02-14	PRIJEM	PREVOD Z UCTU	30905	82848	\N	ST	63246583
118297	397	1994-03-14	PRIJEM	PREVOD Z UCTU	30905	83769	\N	ST	63246583
118298	397	1994-04-14	PRIJEM	PREVOD Z UCTU	30905	61877	\N	ST	63246583
118299	397	1994-05-14	PRIJEM	PREVOD Z UCTU	30905	63671	\N	ST	63246583
118300	397	1994-06-14	PRIJEM	PREVOD Z UCTU	46358	72509	\N	ST	63246583
118301	397	1994-07-14	PRIJEM	PREVOD Z UCTU	30905	31893	\N	ST	63246583
118302	397	1994-08-14	PRIJEM	PREVOD Z UCTU	30905	53662	\N	ST	63246583
118303	397	1994-09-14	PRIJEM	PREVOD Z UCTU	30905	34655	\N	ST	63246583
118304	397	1994-10-14	PRIJEM	PREVOD Z UCTU	30905	62273	\N	ST	63246583
118305	397	1994-11-14	PRIJEM	PREVOD Z UCTU	30905	75513	\N	ST	63246583
118306	397	1994-12-14	PRIJEM	PREVOD Z UCTU	46358	81912	\N	ST	63246583
118307	397	1995-01-14	PRIJEM	PREVOD Z UCTU	30905	36467	\N	ST	63246583
118308	397	1995-02-14	PRIJEM	PREVOD Z UCTU	30905	63390	\N	ST	63246583
118309	397	1995-03-14	PRIJEM	PREVOD Z UCTU	30905	70083	\N	ST	63246583
118310	397	1995-04-14	PRIJEM	PREVOD Z UCTU	30905	69523	\N	ST	63246583
118311	397	1995-05-14	PRIJEM	PREVOD Z UCTU	30905	69362	\N	ST	63246583
118312	397	1995-06-14	PRIJEM	PREVOD Z UCTU	46358	62122	\N	ST	63246583
118313	397	1995-07-14	PRIJEM	PREVOD Z UCTU	30905	39310	\N	ST	63246583
118314	397	1995-08-14	PRIJEM	PREVOD Z UCTU	30905	51033	\N	ST	63246583
118315	397	1995-09-14	PRIJEM	PREVOD Z UCTU	30905	62016	\N	ST	63246583
118316	397	1995-10-14	PRIJEM	PREVOD Z UCTU	30905	78293	\N	ST	63246583
118317	397	1995-11-14	PRIJEM	PREVOD Z UCTU	30905	40549	\N	ST	63246583
118318	397	1995-12-14	PRIJEM	PREVOD Z UCTU	46358	71118	\N	ST	63246583
118319	397	1996-01-14	PRIJEM	PREVOD Z UCTU	30905	43077	\N	ST	63246583
118320	397	1996-02-14	PRIJEM	PREVOD Z UCTU	30905	60642	\N	ST	63246583
118321	397	1996-03-14	PRIJEM	PREVOD Z UCTU	30905	79262	\N	ST	63246583
118322	397	1996-04-14	PRIJEM	PREVOD Z UCTU	30905	69162	\N	ST	63246583
118323	397	1996-05-14	PRIJEM	PREVOD Z UCTU	30905	69567	\N	ST	63246583
118324	397	1996-06-14	PRIJEM	PREVOD Z UCTU	46358	79259	\N	ST	63246583
118325	397	1996-07-14	PRIJEM	PREVOD Z UCTU	30905	80720	\N	ST	63246583
118326	397	1996-08-14	PRIJEM	PREVOD Z UCTU	30905	77587	\N	ST	63246583
118327	397	1996-09-14	PRIJEM	PREVOD Z UCTU	30905	80781	\N	ST	63246583
118328	397	1996-10-14	PRIJEM	PREVOD Z UCTU	30905	79175	\N	ST	63246583
118329	397	1996-11-14	PRIJEM	PREVOD Z UCTU	30905	86589	\N	ST	63246583
118330	397	1996-12-14	PRIJEM	PREVOD Z UCTU	46358	110069	\N	ST	63246583
118331	397	1997-01-14	PRIJEM	PREVOD Z UCTU	30905	77409	\N	ST	63246583
118332	397	1997-02-14	PRIJEM	PREVOD Z UCTU	30905	84746	\N	ST	63246583
118333	397	1997-03-14	PRIJEM	PREVOD Z UCTU	30905	95421	\N	ST	63246583
118334	397	1997-04-14	PRIJEM	PREVOD Z UCTU	30905	106280	\N	ST	63246583
118335	397	1997-05-14	PRIJEM	PREVOD Z UCTU	30905	110092	\N	ST	63246583
118336	397	1997-06-14	PRIJEM	PREVOD Z UCTU	46358	120693	\N	ST	63246583
118337	397	1997-07-14	PRIJEM	PREVOD Z UCTU	30905	72764	\N	ST	63246583
118338	397	1997-08-14	PRIJEM	PREVOD Z UCTU	30905	92879	\N	ST	63246583
118339	397	1997-09-14	PRIJEM	PREVOD Z UCTU	30905	107607	\N	ST	63246583
118340	397	1997-10-14	PRIJEM	PREVOD Z UCTU	30905	114017	\N	ST	63246583
118341	397	1997-11-14	PRIJEM	PREVOD Z UCTU	30905	101129	\N	ST	63246583
118342	397	1997-12-14	PRIJEM	PREVOD Z UCTU	46358	102154	\N	ST	63246583
118343	397	1998-01-14	PRIJEM	PREVOD Z UCTU	30905	89507	\N	ST	63246583
118344	397	1998-02-14	PRIJEM	PREVOD Z UCTU	30905	91618	\N	ST	63246583
118345	397	1998-03-14	PRIJEM	PREVOD Z UCTU	30905	97952	\N	ST	63246583
118346	397	1998-04-14	PRIJEM	PREVOD Z UCTU	30905	108825	\N	ST	63246583
118347	397	1998-05-14	PRIJEM	PREVOD Z UCTU	30905	104746	\N	ST	63246583
118348	397	1998-06-14	PRIJEM	PREVOD Z UCTU	46358	96487	\N	ST	63246583
118349	397	1998-07-14	PRIJEM	PREVOD Z UCTU	30905	79704	\N	ST	63246583
118350	397	1998-08-14	PRIJEM	PREVOD Z UCTU	30905	97788	\N	ST	63246583
118351	397	1998-09-14	PRIJEM	PREVOD Z UCTU	30905	111436	\N	ST	63246583
118352	397	1998-10-14	PRIJEM	PREVOD Z UCTU	30905	120658	\N	ST	63246583
118353	397	1998-11-14	PRIJEM	PREVOD Z UCTU	30905	91977	\N	ST	63246583
118354	397	1998-12-14	PRIJEM	PREVOD Z UCTU	46358	129548	\N	ST	63246583
118367	397	1994-11-25	VYBER	VYBER	14226	35387	\N	\N	\N
118370	397	1994-09-04	VYBER	VYBER	24630	10392	\N	\N	\N
118371	397	1994-07-15	VYBER	VYBER	11073	20820	\N	\N	\N
118372	397	1994-04-08	VYBER	VYBER	5952	49624	\N	\N	\N
118373	397	1994-05-21	VYBER	VYBER	11393	52278	\N	\N	\N
118374	397	1994-09-11	VYBER	VYBER	6642	3750	\N	\N	\N
118375	397	1994-04-22	VYBER	VYBER	20893	40984	\N	\N	\N
118376	397	1994-08-16	VYBER	VYBER	6756	46906	\N	\N	\N
118377	397	1994-05-26	VYBER	VYBER	12453	26025	\N	\N	\N
118380	397	1994-04-09	VYBER	VYBER	12652	36972	\N	\N	\N
118381	397	1995-03-11	VYBER	VYBER	5953	39178	\N	\N	\N
118383	397	1995-05-20	VYBER	VYBER	9548	38314	\N	\N	\N
118384	397	1995-05-06	VYBER	VYBER	10730	38457	\N	\N	\N
118385	397	1995-12-21	VYBER	VYBER	8188	41130	\N	\N	\N
118386	397	1995-11-06	VYBER	VYBER	16205	18944	\N	\N	\N
118387	397	1995-03-27	VYBER	VYBER	9856	38427	\N	\N	\N
118388	397	1995-08-06	VYBER	VYBER	16756	20128	\N	\N	\N
118389	397	1995-05-31	VYBER	VYBER	22732	15779	\N	\N	\N
118391	397	1995-08-14	VYBER	VYBER	2375	48658	\N	\N	\N
118392	397	1996-06-01	VYBER	VYBER	22987	33606	\N	\N	\N
118393	397	1996-04-24	VYBER	VYBER	24217	44945	\N	\N	\N
118394	397	1996-09-16	VYBER	VYBER	19167	61614	\N	\N	\N
118395	397	1996-12-17	VYBER	VYBER	24130	50439	\N	\N	\N
118396	397	1996-10-23	VYBER	VYBER	4969	74206	\N	\N	\N
118397	397	1996-02-20	VYBER	VYBER	5560	55082	\N	\N	\N
118398	397	1996-09-02	VYBER	VYBER	15780	59076	\N	\N	\N
118399	397	1996-06-24	VYBER	VYBER	2377	67882	\N	\N	\N
118400	397	1996-03-18	VYBER	VYBER	2827	52135	\N	\N	\N
118401	397	1996-06-07	VYBER	VYBER	4005	29601	\N	\N	\N
118402	397	1996-07-16	VYBER	VYBER	23287	57433	\N	\N	\N
118403	397	1997-11-15	VYBER	VYBER	3549	97580	\N	\N	\N
118404	397	1997-12-11	VYBER	VYBER	11058	55796	\N	\N	\N
118405	397	1997-05-20	VYBER	VYBER	5484	104608	\N	\N	\N
118406	397	1997-12-01	VYBER	VYBER	21478	76454	\N	\N	\N
118407	397	1997-11-04	VYBER	VYBER	13302	85724	\N	\N	\N
118408	397	1998-07-02	VYBER	VYBER	13438	83379	\N	\N	\N
118409	397	1998-07-05	VYBER	VYBER	21080	48799	\N	\N	\N
118410	397	1998-01-14	VYBER	VYBER	11603	77904	\N	\N	\N
118412	397	1994-06-25	VYDAJ	VYBER	46500	909	\N	\N	\N
118413	397	1995-06-27	VYDAJ	VYBER	36600	8322	\N	\N	\N
118414	397	1996-06-21	VYDAJ	VYBER	9000	70259	\N	\N	\N
118415	397	1997-06-18	VYDAJ	VYBER	44400	28993	\N	\N	\N
118416	397	1998-06-05	VYDAJ	VYBER	31800	50129	\N	\N	\N
118419	397	1995-01-03	VYDAJ	VYBER	23700	5562	\N	\N	\N
118420	397	1996-01-08	VYDAJ	VYBER	29100	12172	\N	\N	\N
118421	397	1997-01-27	VYDAJ	VYBER	8400	54909	\N	\N	\N
118422	397	1998-01-09	VYDAJ	VYBER	15600	58602	\N	\N	\N
118424	397	1994-12-25	VYDAJ	VYBER	7500	35412	\N	\N	\N
118425	397	1995-12-05	VYDAJ	VYBER	6000	24760	\N	\N	\N
118426	397	1996-12-24	VYDAJ	VYBER	2700	47739	\N	\N	\N
118427	397	1997-12-25	VYDAJ	VYBER	6900	95254	\N	\N	\N
118428	397	1998-12-23	VYDAJ	VYBER	3000	105048	\N	\N	\N
118435	397	1994-12-15	VYDAJ	VYBER	14100	67812	\N	\N	\N
118436	397	1994-04-11	VYDAJ	VYBER	6000	30972	\N	\N	\N
118437	397	1994-12-26	VYDAJ	VYBER	6300	29112	\N	\N	\N
118438	397	1994-12-16	VYDAJ	VYBER	9000	58812	\N	\N	\N
118439	397	1995-10-17	VYDAJ	VYBER	9000	34993	\N	\N	\N
118440	397	1995-11-09	VYDAJ	VYBER	9300	9644	\N	\N	\N
118441	397	1995-10-16	VYDAJ	VYBER	14100	64193	\N	\N	\N
118442	397	1995-09-11	VYDAJ	VYBER	6300	31111	\N	\N	\N
118443	397	1995-12-04	VYDAJ	VYBER	2700	30760	\N	\N	\N
118444	397	1995-09-07	VYDAJ	VYBER	4500	37411	\N	\N	\N
118445	397	1996-08-24	VYDAJ	VYBER	3000	74587	\N	\N	\N
118446	397	1996-05-29	VYDAJ	VYBER	13200	56367	\N	\N	\N
118447	397	1996-03-01	VYDAJ	VYBER	6900	48357	\N	\N	\N
118448	397	1996-04-03	VYDAJ	VYBER	8400	43957	\N	\N	\N
118449	397	1997-01-23	VYDAJ	VYBER	14100	63309	\N	\N	\N
118450	397	1997-02-16	VYDAJ	VYBER	4800	79946	\N	\N	\N
118451	397	1997-08-04	VYDAJ	VYBER	8100	64874	\N	\N	\N
118452	397	1997-05-31	VYDAJ	VYBER	14400	90650	\N	\N	\N
118453	397	1998-02-23	VYDAJ	VYBER	6300	85318	\N	\N	\N
118454	397	1998-05-05	VYDAJ	VYBER	10500	73841	\N	\N	\N
118455	397	1998-11-08	VYDAJ	VYBER	4800	61072	\N	\N	\N
118456	397	1998-01-18	VYDAJ	VYBER	1800	76104	\N	\N	\N
118457	397	1998-08-07	VYDAJ	VYBER	4800	66883	\N	\N	\N
118473	397	1994-03-31	VYDAJ	VYBER	15	55576	SLUZBY	\N	\N
118474	397	1994-04-30	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
118475	397	1994-05-31	VYDAJ	VYBER	15	26151	SLUZBY	\N	\N
118476	397	1994-06-30	VYDAJ	VYBER	15	988	SLUZBY	\N	\N
118477	397	1994-07-31	VYDAJ	VYBER	15	22757	SLUZBY	\N	\N
118478	397	1994-08-31	VYDAJ	VYBER	15	35022	SLUZBY	\N	\N
118479	397	1994-09-30	VYDAJ	VYBER	15	31368	SLUZBY	\N	\N
118480	397	1994-10-31	VYDAJ	VYBER	15	44608	SLUZBY	\N	\N
118481	397	1994-11-30	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
118482	397	1994-12-31	VYDAJ	VYBER	15	29262	SLUZBY	\N	\N
118483	397	1995-01-31	VYDAJ	VYBER	15	32485	SLUZBY	\N	\N
118484	397	1995-02-28	VYDAJ	VYBER	15	45131	SLUZBY	\N	\N
118485	397	1995-03-31	VYDAJ	VYBER	15	38618	SLUZBY	\N	\N
118486	397	1995-04-30	VYDAJ	VYBER	15	49187	SLUZBY	\N	\N
118487	397	1995-05-31	VYDAJ	VYBER	15	15764	SLUZBY	\N	\N
118488	397	1995-06-30	VYDAJ	VYBER	15	8405	SLUZBY	\N	\N
118489	397	1995-07-31	VYDAJ	VYBER	15	36884	SLUZBY	\N	\N
118490	397	1995-08-31	VYDAJ	VYBER	15	41911	SLUZBY	\N	\N
118491	397	1995-09-30	VYDAJ	VYBER	15	47388	SLUZBY	\N	\N
118492	397	1995-10-31	VYDAJ	VYBER	15	35149	SLUZBY	\N	\N
118493	397	1995-11-30	VYDAJ	VYBER	15	33460	SLUZBY	\N	\N
118494	397	1995-12-31	VYDAJ	VYBER	15	41272	SLUZBY	\N	\N
118495	397	1996-01-31	VYDAJ	VYBER	15	31937	SLUZBY	\N	\N
118496	397	1996-02-29	VYDAJ	VYBER	15	55257	SLUZBY	\N	\N
118497	397	1996-03-31	VYDAJ	VYBER	15	52357	SLUZBY	\N	\N
118498	397	1996-04-30	VYDAJ	VYBER	15	45162	SLUZBY	\N	\N
118499	397	1996-05-31	VYDAJ	VYBER	15	56593	SLUZBY	\N	\N
118500	397	1996-06-30	VYDAJ	VYBER	15	68115	SLUZBY	\N	\N
118501	397	1996-07-31	VYDAJ	VYBER	15	57682	SLUZBY	\N	\N
118502	397	1996-08-31	VYDAJ	VYBER	15	74856	SLUZBY	\N	\N
118503	397	1996-09-30	VYDAJ	VYBER	15	61870	SLUZBY	\N	\N
118504	397	1996-10-31	VYDAJ	VYBER	15	74484	SLUZBY	\N	\N
118505	397	1996-11-30	VYDAJ	VYBER	15	86911	SLUZBY	\N	\N
118506	397	1996-12-31	VYDAJ	VYBER	15	48004	SLUZBY	\N	\N
118507	397	1997-01-31	VYDAJ	VYBER	15	55141	SLUZBY	\N	\N
118508	397	1997-02-28	VYDAJ	VYBER	15	80216	SLUZBY	\N	\N
118509	397	1997-03-31	VYDAJ	VYBER	15	95775	SLUZBY	\N	\N
118510	397	1997-04-30	VYDAJ	VYBER	15	106687	SLUZBY	\N	\N
118511	397	1997-05-31	VYDAJ	VYBER	15	90635	SLUZBY	\N	\N
118512	397	1997-06-30	VYDAJ	VYBER	15	29259	SLUZBY	\N	\N
118513	397	1997-07-31	VYDAJ	VYBER	15	72974	SLUZBY	\N	\N
118514	397	1997-08-31	VYDAJ	VYBER	15	93202	SLUZBY	\N	\N
118515	397	1997-09-30	VYDAJ	VYBER	15	108012	SLUZBY	\N	\N
118516	397	1997-10-31	VYDAJ	VYBER	15	99026	SLUZBY	\N	\N
118517	397	1997-11-30	VYDAJ	VYBER	15	97932	SLUZBY	\N	\N
118518	397	1997-12-31	VYDAJ	VYBER	15	95602	SLUZBY	\N	\N
118519	397	1998-01-31	VYDAJ	VYBER	15	76413	SLUZBY	\N	\N
118520	397	1998-02-28	VYDAJ	VYBER	15	85647	SLUZBY	\N	\N
118521	397	1998-03-31	VYDAJ	VYBER	15	98320	SLUZBY	\N	\N
118522	397	1998-04-30	VYDAJ	VYBER	15	109241	SLUZBY	\N	\N
118523	397	1998-05-31	VYDAJ	VYBER	15	105129	SLUZBY	\N	\N
118524	397	1998-06-30	VYDAJ	VYBER	15	96817	SLUZBY	\N	\N
118525	397	1998-07-31	VYDAJ	VYBER	15	79983	SLUZBY	\N	\N
118526	397	1998-08-31	VYDAJ	VYBER	15	80531	SLUZBY	\N	\N
118527	397	1998-09-30	VYDAJ	VYBER	15	89753	SLUZBY	\N	\N
118528	397	1998-10-31	VYDAJ	VYBER	15	65872	SLUZBY	\N	\N
118529	397	1998-11-30	VYDAJ	VYBER	15	83190	SLUZBY	\N	\N
118530	397	1993-11-25	VYDAJ	VYBER	3800	27505	\N	\N	\N
118531	397	1993-12-25	VYDAJ	VYBER	22500	51386	\N	\N	\N
118532	397	1994-01-24	VYDAJ	VYBER	30700	51728	\N	\N	\N
118533	397	1994-02-23	VYDAJ	VYBER	30200	52648	\N	\N	\N
118534	397	1994-03-25	VYDAJ	VYBER	28400	55369	\N	\N	\N
118535	397	1994-04-24	VYDAJ	VYBER	8400	32584	\N	\N	\N
118536	397	1994-05-24	VYDAJ	VYBER	13800	38478	\N	\N	\N
118537	397	1994-06-23	VYDAJ	VYBER	25100	47409	\N	\N	\N
118538	397	1994-07-23	PRIJEM	VKLAD	1900	22720	\N	\N	\N
118539	397	1994-08-22	VYDAJ	VYBER	12000	34906	\N	\N	\N
118540	397	1994-09-21	VYDAJ	VYBER	3400	31255	\N	\N	\N
118541	397	1994-10-21	VYDAJ	VYBER	17800	44473	\N	\N	\N
118542	397	1994-11-20	VYDAJ	VYBER	25900	49613	\N	\N	\N
118543	397	1994-12-20	VYDAJ	VYBER	15900	42912	\N	\N	\N
118544	397	1995-01-19	VYDAJ	VYBER	4100	32367	\N	\N	\N
118545	397	1995-02-18	VYDAJ	VYBER	18400	44990	\N	\N	\N
118546	397	1995-03-20	VYDAJ	VYBER	21800	48283	\N	\N	\N
118547	397	1995-04-19	VYDAJ	VYBER	20500	49023	\N	\N	\N
118548	397	1995-05-19	VYDAJ	VYBER	21500	47862	\N	\N	\N
118549	397	1995-06-18	VYDAJ	VYBER	17200	44922	\N	\N	\N
118550	397	1995-07-18	VYDAJ	VYBER	2500	36810	\N	\N	\N
118551	397	1995-08-17	VYDAJ	VYBER	6900	41758	\N	\N	\N
118552	397	1995-09-16	VYDAJ	VYBER	14800	47216	\N	\N	\N
118553	397	1995-10-16	VYDAJ	VYBER	20200	43993	\N	\N	\N
118554	397	1995-11-15	VYDAJ	VYBER	7200	33349	\N	\N	\N
118555	397	1995-12-15	VYDAJ	VYBER	21800	49318	\N	\N	\N
118556	397	1996-01-14	VYDAJ	VYBER	11300	31777	\N	\N	\N
118557	397	1996-02-13	VYDAJ	VYBER	2200	29737	\N	\N	\N
118558	397	1996-03-14	VYDAJ	VYBER	24300	54962	\N	\N	\N
118559	397	1996-04-13	VYDAJ	VYBER	5700	38257	\N	\N	\N
118560	397	1996-05-13	VYDAJ	VYBER	6500	38662	\N	\N	\N
118561	397	1996-06-12	PRIJEM	VKLAD	3300	32901	\N	\N	\N
118562	397	1996-07-12	VYDAJ	VYBER	18300	49815	\N	\N	\N
118563	397	1996-08-11	VYDAJ	VYBER	11000	46682	\N	\N	\N
118564	397	1996-09-10	VYDAJ	VYBER	9200	49876	\N	\N	\N
118565	397	1996-10-10	VYDAJ	VYBER	13600	48270	\N	\N	\N
118566	397	1996-11-09	VYDAJ	VYBER	18800	55684	\N	\N	\N
118567	397	1996-12-09	VYDAJ	VYBER	23200	63711	\N	\N	\N
118568	397	1996-12-14	VYDAJ	VYBER	35500	74569	\N	\N	\N
118569	397	1997-01-08	VYDAJ	VYBER	1500	46504	\N	\N	\N
118570	397	1997-02-07	VYDAJ	VYBER	1300	53841	\N	\N	\N
118571	397	1997-03-09	VYDAJ	VYBER	15700	64516	\N	\N	\N
118572	397	1997-04-08	VYDAJ	VYBER	20400	75375	\N	\N	\N
118573	397	1997-05-08	VYDAJ	VYBER	27500	79187	\N	\N	\N
118574	397	1997-06-07	VYDAJ	VYBER	16300	74335	\N	\N	\N
118575	397	1997-06-14	VYDAJ	VYBER	47300	73393	\N	\N	\N
118576	397	1997-07-07	PRIJEM	VKLAD	12600	41859	\N	\N	\N
118577	397	1997-08-06	VYDAJ	VYBER	2900	61974	\N	\N	\N
118578	397	1997-09-05	VYDAJ	VYBER	16500	76702	\N	\N	\N
118579	397	1997-10-05	VYDAJ	VYBER	24900	83112	\N	\N	\N
118580	397	1997-10-14	VYDAJ	VYBER	15400	98617	\N	\N	\N
118581	397	1997-11-04	VYDAJ	VYBER	15500	70224	\N	\N	\N
118582	397	1997-12-04	VYDAJ	VYBER	9600	66854	\N	\N	\N
118583	397	1998-01-03	VYDAJ	VYBER	21400	74202	\N	\N	\N
118584	397	1998-02-02	VYDAJ	VYBER	15700	60713	\N	\N	\N
118585	397	1998-03-04	VYDAJ	VYBER	18600	67047	\N	\N	\N
118586	397	1998-04-03	VYDAJ	VYBER	20400	77920	\N	\N	\N
118587	397	1998-05-03	VYDAJ	VYBER	24900	84341	\N	\N	\N
118588	397	1998-06-02	VYDAJ	VYBER	23200	81929	\N	\N	\N
118589	397	1998-07-02	VYDAJ	VYBER	13500	69879	\N	\N	\N
118590	397	1998-08-01	VYDAJ	VYBER	8300	71683	\N	\N	\N
118591	397	1998-08-31	VYDAJ	VYBER	17600	80545	\N	\N	\N
118592	397	1998-09-30	VYDAJ	VYBER	22000	89767	\N	\N	\N
118593	397	1998-10-14	VYDAJ	VYBER	57500	63158	\N	\N	\N
118594	397	1998-10-30	PRIJEM	VKLAD	2300	65458	\N	\N	\N
118595	397	1998-11-29	VYDAJ	VYBER	9100	82877	\N	\N	\N
118596	397	1998-12-14	VYDAJ	VYBER	21500	108048	\N	\N	\N
118661	398	1997-10-24	PRIJEM	VKLAD	300	300	\N	\N	\N
118672	398	1997-11-05	PRIJEM	PREVOD Z UCTU	4839	5139	DUCHOD	OP	27675152
118673	398	1997-12-05	PRIJEM	PREVOD Z UCTU	4839	9978	DUCHOD	OP	27675152
118674	398	1998-01-05	PRIJEM	PREVOD Z UCTU	4839	14817	DUCHOD	OP	27675152
118675	398	1998-02-05	PRIJEM	PREVOD Z UCTU	4839	19656	DUCHOD	OP	27675152
118676	398	1998-03-05	PRIJEM	PREVOD Z UCTU	4839	24318	DUCHOD	OP	27675152
118677	398	1998-04-05	PRIJEM	PREVOD Z UCTU	4839	27530	DUCHOD	OP	27675152
118678	398	1998-05-05	PRIJEM	PREVOD Z UCTU	4839	24768	DUCHOD	OP	27675152
118679	398	1998-06-05	PRIJEM	PREVOD Z UCTU	4839	23076	DUCHOD	OP	27675152
118680	398	1998-07-05	PRIJEM	PREVOD Z UCTU	4839	20838	DUCHOD	OP	27675152
118681	398	1998-08-05	PRIJEM	PREVOD Z UCTU	4839	24035	DUCHOD	OP	27675152
118682	398	1998-09-05	PRIJEM	PREVOD Z UCTU	4839	25043	DUCHOD	OP	27675152
118683	398	1998-10-05	PRIJEM	PREVOD Z UCTU	4839	19142	DUCHOD	OP	27675152
118684	398	1998-11-05	PRIJEM	PREVOD Z UCTU	4839	16322	DUCHOD	OP	27675152
118685	398	1998-12-05	PRIJEM	PREVOD Z UCTU	4839	16454	DUCHOD	OP	27675152
118700	398	1998-03-12	VYDAJ	PREVOD NA UCET	1702	22616	SIPO	IJ	60894626
118701	398	1998-04-12	VYDAJ	PREVOD NA UCET	1702	25828	SIPO	IJ	60894626
118702	398	1998-05-12	VYDAJ	PREVOD NA UCET	1702	23066	SIPO	IJ	60894626
118703	398	1998-06-12	VYDAJ	PREVOD NA UCET	1702	19454	SIPO	IJ	60894626
118704	398	1998-07-12	VYDAJ	PREVOD NA UCET	1702	19136	SIPO	IJ	60894626
118705	398	1998-08-12	VYDAJ	PREVOD NA UCET	1702	22333	SIPO	IJ	60894626
118706	398	1998-09-12	VYDAJ	PREVOD NA UCET	1702	23341	SIPO	IJ	60894626
118707	398	1998-10-12	VYDAJ	PREVOD NA UCET	1702	17440	SIPO	IJ	60894626
118708	398	1998-11-12	VYDAJ	PREVOD NA UCET	1702	11580	SIPO	IJ	60894626
118709	398	1998-12-12	VYDAJ	PREVOD NA UCET	1702	14752	SIPO	IJ	60894626
118715	398	1998-12-30	VYDAJ	VYBER	650	14102	\N	\N	\N
118731	398	1998-06-28	VYDAJ	VYBER	2000	15934	\N	\N	\N
118732	398	1998-06-06	VYDAJ	VYBER	1920	21156	\N	\N	\N
118733	398	1998-11-07	VYDAJ	VYBER	2160	13282	\N	\N	\N
118734	398	1998-11-07	VYDAJ	VYBER	880	15442	\N	\N	\N
118736	398	1998-06-26	VYDAJ	VYBER	1520	17934	\N	\N	\N
118737	398	1998-04-23	VYDAJ	VYBER	3680	19848	\N	\N	\N
118753	398	1998-03-31	VYDAJ	VYBER	15	22691	SLUZBY	\N	\N
118754	398	1998-04-30	VYDAJ	VYBER	15	19929	SLUZBY	\N	\N
118755	398	1998-05-31	VYDAJ	VYBER	15	18237	SLUZBY	\N	\N
118756	398	1998-06-30	VYDAJ	VYBER	15	15999	SLUZBY	\N	\N
118757	398	1998-07-31	VYDAJ	VYBER	15	19196	SLUZBY	\N	\N
118758	398	1998-08-31	VYDAJ	VYBER	15	20204	SLUZBY	\N	\N
118759	398	1998-09-30	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
118760	398	1998-10-31	VYDAJ	VYBER	15	11483	SLUZBY	\N	\N
118761	398	1998-11-30	VYDAJ	VYBER	15	11615	SLUZBY	\N	\N
118762	398	1998-02-21	VYDAJ	VYBER	200	19456	\N	\N	\N
118763	398	1998-04-22	VYDAJ	VYBER	2300	23528	\N	\N	\N
118764	398	1998-05-22	VYDAJ	VYBER	4900	18166	\N	\N	\N
118765	398	1998-08-20	VYDAJ	VYBER	2200	20133	\N	\N	\N
118766	398	1998-09-19	VYDAJ	VYBER	9100	14241	\N	\N	\N
118767	398	1998-10-19	VYDAJ	VYBER	6000	11440	\N	\N	\N
118779	399	1996-08-27	PRIJEM	VKLAD	800	800	\N	\N	\N
118780	399	1997-04-20	PRIJEM	VKLAD	5683	93703	\N	\N	\N
118781	399	1997-09-13	PRIJEM	VKLAD	13747	105892	\N	\N	\N
118782	399	1997-02-18	PRIJEM	VKLAD	18002	64567	\N	\N	\N
118783	399	1997-10-04	PRIJEM	VKLAD	48884	141212	\N	\N	\N
118784	399	1997-08-04	PRIJEM	VKLAD	12574	35714	\N	\N	\N
118785	399	1997-05-20	PRIJEM	VKLAD	30107	114138	\N	\N	\N
118786	399	1997-08-29	PRIJEM	VKLAD	24303	77480	\N	\N	\N
118787	399	1997-01-26	PRIJEM	VKLAD	7197	40928	\N	\N	\N
118788	399	1997-05-29	PRIJEM	VKLAD	11852	72806	\N	\N	\N
118789	399	1997-01-21	PRIJEM	VKLAD	18731	42231	\N	\N	\N
118790	399	1997-08-17	PRIJEM	VKLAD	13027	69177	\N	\N	\N
118791	399	1997-02-04	PRIJEM	VKLAD	5595	46565	\N	\N	\N
118792	399	1997-09-20	PRIJEM	VKLAD	41420	147312	\N	\N	\N
118793	399	1997-06-22	PRIJEM	VKLAD	5748	72841	\N	\N	\N
118794	399	1997-11-07	PRIJEM	VKLAD	39302	71875	\N	\N	\N
118795	399	1997-04-07	PRIJEM	VKLAD	45241	81353	\N	\N	\N
118796	399	1997-05-01	PRIJEM	VKLAD	21759	69588	\N	\N	\N
118797	399	1997-11-07	PRIJEM	VKLAD	40484	112359	\N	\N	\N
118798	399	1997-03-31	PRIJEM	VKLAD	7087	42136	\N	\N	\N
118799	399	1997-09-12	PRIJEM	VKLAD	26754	92145	\N	\N	\N
118800	399	1997-05-15	PRIJEM	VKLAD	48428	126764	\N	\N	\N
118801	399	1997-05-09	PRIJEM	VKLAD	37971	78336	\N	\N	\N
118802	399	1997-04-14	PRIJEM	VKLAD	6667	88020	\N	\N	\N
118803	399	1997-09-22	PRIJEM	VKLAD	42705	101817	\N	\N	\N
118804	399	1997-10-15	PRIJEM	VKLAD	9564	80167	\N	\N	\N
118805	399	1997-08-06	PRIJEM	VKLAD	26445	56150	\N	\N	\N
118806	399	1997-07-12	PRIJEM	VKLAD	22155	41742	\N	\N	\N
118807	399	1997-05-20	PRIJEM	VKLAD	40116	154254	\N	\N	\N
118808	399	1998-08-30	PRIJEM	VKLAD	44675	91419	\N	\N	\N
118809	399	1998-11-12	PRIJEM	VKLAD	11897	37563	\N	\N	\N
118810	399	1998-05-26	PRIJEM	VKLAD	10112	38979	\N	\N	\N
118811	399	1998-01-06	PRIJEM	VKLAD	45474	83089	\N	\N	\N
118812	399	1998-06-14	PRIJEM	VKLAD	39072	72133	\N	\N	\N
118864	399	1997-04-05	VYDAJ	PREVOD NA UCET	6009	36112	SIPO	IJ	47246265
118865	399	1997-05-05	VYDAJ	PREVOD NA UCET	6009	63579	SIPO	IJ	47246265
118866	399	1997-06-05	VYDAJ	PREVOD NA UCET	6009	67093	SIPO	IJ	47246265
118867	399	1997-07-05	VYDAJ	PREVOD NA UCET	6009	19587	SIPO	IJ	47246265
118868	399	1997-08-05	VYDAJ	PREVOD NA UCET	6009	29705	SIPO	IJ	47246265
118869	399	1997-09-05	VYDAJ	PREVOD NA UCET	6009	65391	SIPO	IJ	47246265
118870	399	1997-10-05	VYDAJ	PREVOD NA UCET	6009	70603	SIPO	IJ	47246265
118871	399	1997-11-05	VYDAJ	PREVOD NA UCET	6009	32573	SIPO	IJ	47246265
118872	399	1997-12-05	VYDAJ	PREVOD NA UCET	6009	53417	SIPO	IJ	47246265
118873	399	1998-01-05	VYDAJ	PREVOD NA UCET	6009	37615	SIPO	IJ	47246265
118874	399	1998-02-05	VYDAJ	PREVOD NA UCET	6009	17217	SIPO	IJ	47246265
118875	399	1998-03-05	VYDAJ	PREVOD NA UCET	6009	19293	SIPO	IJ	47246265
118876	399	1998-04-05	VYDAJ	PREVOD NA UCET	6009	21177	SIPO	IJ	47246265
118877	399	1998-05-05	VYDAJ	PREVOD NA UCET	6009	16167	SIPO	IJ	47246265
118878	399	1998-06-05	VYDAJ	PREVOD NA UCET	6009	33061	SIPO	IJ	47246265
118879	399	1998-07-05	VYDAJ	PREVOD NA UCET	6009	55029	SIPO	IJ	47246265
118880	399	1998-08-05	VYDAJ	PREVOD NA UCET	6009	47044	SIPO	IJ	47246265
118881	399	1998-09-05	VYDAJ	PREVOD NA UCET	6009	85615	SIPO	IJ	47246265
118882	399	1998-10-05	VYDAJ	PREVOD NA UCET	6009	27663	SIPO	IJ	47246265
118883	399	1998-11-05	VYDAJ	PREVOD NA UCET	6009	25666	SIPO	IJ	47246265
118884	399	1998-12-05	VYDAJ	PREVOD NA UCET	6009	28018	SIPO	IJ	47246265
118891	399	1997-05-08	VYBER	VYBER	10914	40365	\N	\N	\N
118892	399	1997-11-02	VYBER	VYBER	10228	38582	\N	\N	\N
118893	399	1997-10-26	VYBER	VYBER	9227	48540	\N	\N	\N
118894	399	1997-04-29	VYBER	VYBER	12254	47549	\N	\N	\N
118895	399	1997-07-02	VYBER	VYBER	21407	25596	\N	\N	\N
118897	399	1997-07-26	VYBER	VYBER	4434	35608	\N	\N	\N
118898	399	1997-09-25	VYBER	VYBER	9847	91970	\N	\N	\N
118899	399	1997-05-16	VYBER	VYBER	21233	84031	\N	\N	\N
118900	399	1997-08-31	VYBER	VYBER	6292	71414	\N	\N	\N
118901	399	1998-09-22	VYBER	VYBER	22812	33429	\N	\N	\N
118902	399	1998-01-08	VYBER	VYBER	22146	56743	\N	\N	\N
118904	399	1998-11-14	VYBER	VYBER	11659	25904	\N	\N	\N
118908	399	1998-09-09	VYBER	VYBER	15974	69641	\N	\N	\N
118913	399	1998-05-03	VYBER	VYBER	8905	22176	\N	\N	\N
118919	399	1998-01-26	VYDAJ	VYBER	6000	34143	\N	\N	\N
118932	399	1998-01-23	VYDAJ	VYBER KARTOU	3900	40143	\N	\N	0
118933	399	1998-01-28	VYDAJ	VYBER KARTOU	3600	30543	\N	\N	0
118934	399	1998-01-06	VYDAJ	VYBER	4200	78889	\N	\N	\N
118935	399	1998-01-18	VYDAJ	VYBER	6000	47143	\N	\N	\N
118936	399	1998-01-30	VYDAJ	VYBER	7500	23043	\N	\N	\N
118937	399	1998-01-17	VYDAJ	VYBER KARTOU	3600	53143	\N	\N	0
118940	399	1997-07-30	VYDAJ	VYBER	12600	23008	\N	\N	\N
118942	399	1997-05-06	VYDAJ	VYBER	12300	51279	\N	\N	\N
118943	399	1997-06-29	VYDAJ	VYBER	1800	46741	\N	\N	\N
118947	399	1998-10-09	VYDAJ	VYBER KARTOU	2700	24963	\N	\N	0
118964	399	1997-03-31	VYDAJ	VYBER	15	42121	SLUZBY	\N	\N
118965	399	1997-04-30	VYDAJ	VYBER	15	47829	SLUZBY	\N	\N
118966	399	1997-05-31	VYDAJ	VYBER	15	73102	SLUZBY	\N	\N
118967	399	1997-06-30	VYDAJ	VYBER	15	47003	SLUZBY	\N	\N
118968	399	1997-07-31	VYDAJ	VYBER	15	23140	SLUZBY	\N	\N
118969	399	1997-08-31	VYDAJ	VYBER	15	71400	SLUZBY	\N	\N
118970	399	1997-09-30	VYDAJ	VYBER	15	92328	SLUZBY	\N	\N
118971	399	1997-10-31	VYDAJ	VYBER	15	48810	SLUZBY	\N	\N
118972	399	1997-11-30	VYDAJ	VYBER	15	59426	SLUZBY	\N	\N
118973	399	1997-12-31	VYDAJ	VYBER	15	43624	SLUZBY	\N	\N
118974	399	1998-01-31	VYDAJ	VYBER	15	23226	SLUZBY	\N	\N
118975	399	1998-02-28	VYDAJ	VYBER	15	25302	SLUZBY	\N	\N
118976	399	1998-03-31	VYDAJ	VYBER	15	27186	SLUZBY	\N	\N
118977	399	1998-04-30	VYDAJ	VYBER	15	31081	SLUZBY	\N	\N
118978	399	1998-05-31	VYDAJ	VYBER	15	39070	SLUZBY	\N	\N
118979	399	1998-06-30	VYDAJ	VYBER	15	61038	SLUZBY	\N	\N
118980	399	1998-07-31	VYDAJ	VYBER	15	53053	SLUZBY	\N	\N
118981	399	1998-08-31	VYDAJ	VYBER	15	91624	SLUZBY	\N	\N
118982	399	1998-09-30	VYDAJ	VYBER	15	33672	SLUZBY	\N	\N
118983	399	1998-10-31	VYDAJ	VYBER	15	31675	SLUZBY	\N	\N
118984	399	1998-11-30	VYDAJ	VYBER	15	34027	SLUZBY	\N	\N
118985	399	1996-09-26	PRIJEM	VKLAD	12300	13100	\N	\N	\N
118986	399	1996-10-26	PRIJEM	VKLAD	3200	16300	\N	\N	\N
118987	399	1996-11-25	PRIJEM	VKLAD	4000	20300	\N	\N	\N
118988	399	1996-12-25	PRIJEM	VKLAD	3200	23500	\N	\N	\N
118989	399	1997-01-24	VYDAJ	VYBER	8500	33731	\N	\N	\N
118990	399	1997-02-23	VYDAJ	VYBER	19000	45567	\N	\N	\N
118991	399	1997-03-25	VYDAJ	VYBER	10900	34859	\N	\N	\N
118992	399	1997-04-24	VYDAJ	VYBER	33900	59803	\N	\N	\N
118993	399	1997-05-15	VYDAJ	VYBER	21500	105264	\N	\N	\N
118994	399	1997-05-20	VYDAJ	VYBER	26400	92554	\N	\N	\N
118995	399	1997-05-20	VYDAJ	VYBER	35300	118954	\N	\N	\N
118996	399	1997-05-24	VYDAJ	VYBER	31600	60954	\N	\N	\N
118997	399	1997-06-23	VYDAJ	VYBER	24300	48541	\N	\N	\N
118998	399	1997-07-23	VYDAJ	VYBER	1700	40042	\N	\N	\N
118999	399	1997-08-22	VYDAJ	VYBER	16000	53177	\N	\N	\N
119000	399	1997-09-20	VYDAJ	VYBER	63700	83612	\N	\N	\N
119001	399	1997-09-21	VYDAJ	VYBER	24500	59112	\N	\N	\N
119002	399	1997-10-04	VYDAJ	VYBER	64600	76612	\N	\N	\N
119003	399	1997-10-21	VYDAJ	VYBER	22400	57767	\N	\N	\N
119004	399	1997-11-07	VYDAJ	VYBER	26300	86059	\N	\N	\N
119005	399	1997-11-20	VYDAJ	VYBER	26900	59159	\N	\N	\N
119006	399	1997-12-20	VYDAJ	VYBER	10000	43417	\N	\N	\N
119007	399	1998-01-19	VYDAJ	VYBER KARTOU	3100	44043	\N	\N	0
119008	399	1998-02-18	PRIJEM	VKLAD	8000	25217	\N	\N	\N
119009	399	1998-03-20	PRIJEM	VKLAD	7800	27093	\N	\N	\N
119010	399	1998-04-19	PRIJEM	VKLAD	9800	30977	\N	\N	\N
119011	399	1998-05-19	PRIJEM	VKLAD	12700	28867	\N	\N	\N
119012	399	1998-06-18	VYDAJ	VYBER	11300	60833	\N	\N	\N
119013	399	1998-07-18	VYDAJ	VYBER KARTOU	2200	52829	\N	\N	0
119014	399	1998-08-17	VYDAJ	VYBER KARTOU	300	46744	\N	\N	0
119015	399	1998-09-16	VYDAJ	VYBER	13400	56241	\N	\N	\N
119016	399	1998-10-16	PRIJEM	VKLAD	6600	31563	\N	\N	\N
119017	399	1998-11-15	PRIJEM	VKLAD	8000	33904	\N	\N	\N
119041	400	1993-07-17	PRIJEM	VKLAD	600	600	\N	\N	\N
119049	400	1993-08-05	PRIJEM	VKLAD	13777	14377	\N	\N	\N
119050	400	1993-09-05	PRIJEM	VKLAD	13777	34398	\N	\N	\N
119051	400	1993-10-05	PRIJEM	VKLAD	13777	45285	\N	\N	\N
119052	400	1993-11-05	PRIJEM	VKLAD	13777	50805	\N	\N	\N
119053	400	1993-12-05	PRIJEM	VKLAD	20666	58627	\N	\N	\N
119054	400	1994-01-05	PRIJEM	VKLAD	13777	51415	\N	\N	\N
119055	400	1994-02-05	PRIJEM	VKLAD	13777	49888	\N	\N	\N
119056	400	1994-03-05	PRIJEM	VKLAD	13777	45851	\N	\N	\N
119057	400	1994-04-05	PRIJEM	VKLAD	13777	47410	\N	\N	\N
119058	400	1994-05-05	PRIJEM	VKLAD	13777	44464	\N	\N	\N
119059	400	1994-06-05	PRIJEM	VKLAD	20666	52504	\N	\N	\N
119060	400	1994-07-05	PRIJEM	VKLAD	13777	29766	\N	\N	\N
119061	400	1994-08-05	PRIJEM	VKLAD	13777	40280	\N	\N	\N
119062	400	1994-09-05	PRIJEM	VKLAD	13777	41412	\N	\N	\N
119063	400	1994-10-05	PRIJEM	VKLAD	13777	46360	\N	\N	\N
119064	400	1994-11-05	PRIJEM	VKLAD	13777	48922	\N	\N	\N
119065	400	1994-12-05	PRIJEM	VKLAD	20666	58682	\N	\N	\N
119066	400	1995-01-05	PRIJEM	VKLAD	13777	52161	\N	\N	\N
119067	400	1995-02-05	PRIJEM	VKLAD	13777	53541	\N	\N	\N
119068	400	1995-03-05	PRIJEM	VKLAD	13777	46704	\N	\N	\N
119069	400	1995-04-05	PRIJEM	VKLAD	13777	43757	\N	\N	\N
119070	400	1995-05-05	PRIJEM	VKLAD	13777	45303	\N	\N	\N
119071	400	1995-06-05	PRIJEM	VKLAD	20666	49832	\N	\N	\N
119072	400	1995-07-05	PRIJEM	VKLAD	13777	34567	\N	\N	\N
119073	400	1995-08-05	PRIJEM	VKLAD	13777	41190	\N	\N	\N
119074	400	1995-09-05	PRIJEM	VKLAD	13777	38027	\N	\N	\N
119075	400	1995-10-05	PRIJEM	VKLAD	13777	37143	\N	\N	\N
119076	400	1995-11-05	PRIJEM	VKLAD	13777	42267	\N	\N	\N
119077	400	1995-12-05	PRIJEM	VKLAD	20666	51813	\N	\N	\N
119078	400	1996-01-05	PRIJEM	VKLAD	13777	46603	\N	\N	\N
119079	400	1996-02-05	PRIJEM	VKLAD	13777	47782	\N	\N	\N
119080	400	1996-03-05	PRIJEM	VKLAD	13777	48866	\N	\N	\N
119081	400	1996-04-05	PRIJEM	VKLAD	13777	47955	\N	\N	\N
119082	400	1996-05-05	PRIJEM	VKLAD	13777	43830	\N	\N	\N
119083	400	1996-06-05	PRIJEM	VKLAD	20666	53084	\N	\N	\N
119084	400	1996-07-05	PRIJEM	VKLAD	13777	45243	\N	\N	\N
119085	400	1996-08-05	PRIJEM	VKLAD	13777	47111	\N	\N	\N
119086	400	1996-09-05	PRIJEM	VKLAD	13777	47383	\N	\N	\N
119087	400	1996-10-05	PRIJEM	VKLAD	13777	49557	\N	\N	\N
119088	400	1996-11-05	PRIJEM	VKLAD	13777	50841	\N	\N	\N
119089	400	1996-12-05	PRIJEM	VKLAD	20666	59518	\N	\N	\N
119090	400	1997-01-05	PRIJEM	VKLAD	13777	56932	\N	\N	\N
119091	400	1997-02-05	PRIJEM	VKLAD	13777	56944	\N	\N	\N
119092	400	1997-03-05	PRIJEM	VKLAD	13777	58457	\N	\N	\N
119093	400	1997-04-05	PRIJEM	VKLAD	13777	58175	\N	\N	\N
119094	400	1997-05-05	PRIJEM	VKLAD	13777	55891	\N	\N	\N
119095	400	1997-06-05	PRIJEM	VKLAD	20666	59285	\N	\N	\N
119096	400	1997-07-05	PRIJEM	VKLAD	13777	50179	\N	\N	\N
119097	400	1997-08-05	PRIJEM	VKLAD	13777	51059	\N	\N	\N
119098	400	1997-09-05	PRIJEM	VKLAD	13777	56949	\N	\N	\N
119099	400	1997-10-05	PRIJEM	VKLAD	13777	56155	\N	\N	\N
119100	400	1997-11-05	PRIJEM	VKLAD	13777	56760	\N	\N	\N
119101	400	1997-12-05	PRIJEM	VKLAD	20666	64757	\N	\N	\N
119102	400	1998-01-05	PRIJEM	VKLAD	13777	60879	\N	\N	\N
119103	400	1998-02-05	PRIJEM	VKLAD	13777	60700	\N	\N	\N
119104	400	1998-03-05	PRIJEM	VKLAD	13777	66128	\N	\N	\N
119105	400	1998-04-05	PRIJEM	VKLAD	13777	70378	\N	\N	\N
119106	400	1998-05-05	PRIJEM	VKLAD	13777	69545	\N	\N	\N
119107	400	1998-06-05	PRIJEM	VKLAD	20666	78899	\N	\N	\N
119108	400	1998-07-05	PRIJEM	VKLAD	13777	69159	\N	\N	\N
119109	400	1998-08-05	PRIJEM	VKLAD	13777	70315	\N	\N	\N
119110	400	1998-09-05	PRIJEM	VKLAD	13777	70173	\N	\N	\N
119111	400	1998-10-05	PRIJEM	VKLAD	13777	71631	\N	\N	\N
119112	400	1998-11-05	PRIJEM	VKLAD	13777	63474	\N	\N	\N
119113	400	1998-12-05	PRIJEM	VKLAD	20666	69189	\N	\N	\N
119125	400	1993-12-06	VYDAJ	PREVOD NA UCET	6948	51679	SIPO	WX	99955695
119126	400	1994-01-06	VYDAJ	PREVOD NA UCET	6948	44467	SIPO	WX	99955695
119127	400	1994-02-06	VYDAJ	PREVOD NA UCET	6948	42940	SIPO	WX	99955695
119128	400	1994-03-06	VYDAJ	PREVOD NA UCET	6948	38903	SIPO	WX	99955695
119129	400	1994-04-06	VYDAJ	PREVOD NA UCET	6948	40462	SIPO	WX	99955695
119130	400	1994-05-06	VYDAJ	PREVOD NA UCET	6948	37516	SIPO	WX	99955695
119131	400	1994-06-06	VYDAJ	PREVOD NA UCET	6948	45556	SIPO	WX	99955695
119132	400	1994-07-06	VYDAJ	PREVOD NA UCET	6948	22818	SIPO	WX	99955695
119133	400	1994-08-06	VYDAJ	PREVOD NA UCET	6948	33332	SIPO	WX	99955695
119134	400	1994-09-06	VYDAJ	PREVOD NA UCET	6948	34464	SIPO	WX	99955695
119135	400	1994-10-06	VYDAJ	PREVOD NA UCET	6948	39412	SIPO	WX	99955695
119136	400	1994-11-06	VYDAJ	PREVOD NA UCET	6948	41974	SIPO	WX	99955695
119137	400	1994-12-06	VYDAJ	PREVOD NA UCET	6948	51734	SIPO	WX	99955695
119138	400	1995-01-06	VYDAJ	PREVOD NA UCET	6948	45213	SIPO	WX	99955695
119139	400	1995-02-06	VYDAJ	PREVOD NA UCET	6948	46593	SIPO	WX	99955695
119140	400	1995-03-06	VYDAJ	PREVOD NA UCET	6948	39756	SIPO	WX	99955695
119141	400	1995-04-06	VYDAJ	PREVOD NA UCET	6948	36809	SIPO	WX	99955695
119142	400	1995-05-06	VYDAJ	PREVOD NA UCET	6948	38355	SIPO	WX	99955695
119143	400	1995-06-06	VYDAJ	PREVOD NA UCET	6948	42884	SIPO	WX	99955695
119144	400	1995-07-06	VYDAJ	PREVOD NA UCET	6948	27619	SIPO	WX	99955695
119145	400	1995-08-06	VYDAJ	PREVOD NA UCET	6948	34242	SIPO	WX	99955695
119146	400	1995-09-06	VYDAJ	PREVOD NA UCET	6948	23279	SIPO	WX	99955695
119147	400	1995-10-06	VYDAJ	PREVOD NA UCET	6948	26595	SIPO	WX	99955695
119148	400	1995-11-06	VYDAJ	PREVOD NA UCET	6948	35319	SIPO	WX	99955695
119149	400	1995-12-06	VYDAJ	PREVOD NA UCET	6948	44865	SIPO	WX	99955695
119150	400	1996-01-06	VYDAJ	PREVOD NA UCET	6948	39655	SIPO	WX	99955695
119151	400	1996-02-06	VYDAJ	PREVOD NA UCET	6948	40834	SIPO	WX	99955695
119152	400	1996-03-06	VYDAJ	PREVOD NA UCET	6948	41918	SIPO	WX	99955695
119153	400	1996-04-06	VYDAJ	PREVOD NA UCET	6948	41007	SIPO	WX	99955695
119154	400	1996-05-06	VYDAJ	PREVOD NA UCET	6948	36882	SIPO	WX	99955695
119155	400	1996-06-06	VYDAJ	PREVOD NA UCET	6948	46136	SIPO	WX	99955695
119156	400	1996-07-06	VYDAJ	PREVOD NA UCET	6948	38295	SIPO	WX	99955695
119157	400	1996-08-06	VYDAJ	PREVOD NA UCET	6948	40163	SIPO	WX	99955695
119158	400	1996-09-06	VYDAJ	PREVOD NA UCET	6948	40435	SIPO	WX	99955695
119159	400	1996-10-06	VYDAJ	PREVOD NA UCET	6948	42609	SIPO	WX	99955695
119160	400	1996-11-06	VYDAJ	PREVOD NA UCET	6948	43893	SIPO	WX	99955695
119161	400	1996-12-06	VYDAJ	PREVOD NA UCET	6948	52570	SIPO	WX	99955695
119162	400	1997-01-06	VYDAJ	PREVOD NA UCET	6948	49984	SIPO	WX	99955695
119163	400	1997-02-06	VYDAJ	PREVOD NA UCET	6948	49996	SIPO	WX	99955695
119164	400	1997-03-06	VYDAJ	PREVOD NA UCET	6948	51509	SIPO	WX	99955695
119165	400	1997-04-06	VYDAJ	PREVOD NA UCET	6948	51227	SIPO	WX	99955695
119166	400	1997-05-06	VYDAJ	PREVOD NA UCET	6948	48943	SIPO	WX	99955695
119167	400	1997-06-06	VYDAJ	PREVOD NA UCET	6948	45737	SIPO	WX	99955695
119168	400	1997-07-06	VYDAJ	PREVOD NA UCET	6948	43231	SIPO	WX	99955695
119169	400	1997-08-06	VYDAJ	PREVOD NA UCET	6948	44111	SIPO	WX	99955695
119170	400	1997-09-06	VYDAJ	PREVOD NA UCET	6948	50001	SIPO	WX	99955695
119171	400	1997-10-06	VYDAJ	PREVOD NA UCET	6948	49207	SIPO	WX	99955695
119172	400	1997-11-06	VYDAJ	PREVOD NA UCET	6948	49812	SIPO	WX	99955695
119173	400	1997-12-06	VYDAJ	PREVOD NA UCET	6948	57809	SIPO	WX	99955695
119174	400	1998-01-06	VYDAJ	PREVOD NA UCET	6948	53931	SIPO	WX	99955695
119175	400	1998-02-06	VYDAJ	PREVOD NA UCET	6948	53752	SIPO	WX	99955695
119176	400	1998-03-06	VYDAJ	PREVOD NA UCET	6948	59180	SIPO	WX	99955695
119177	400	1998-04-06	VYDAJ	PREVOD NA UCET	6948	63430	SIPO	WX	99955695
119178	400	1998-05-06	VYDAJ	PREVOD NA UCET	6948	62597	SIPO	WX	99955695
119179	400	1998-06-06	VYDAJ	PREVOD NA UCET	6948	71951	SIPO	WX	99955695
119180	400	1998-07-06	VYDAJ	PREVOD NA UCET	6948	62211	SIPO	WX	99955695
119181	400	1998-08-06	VYDAJ	PREVOD NA UCET	6948	63367	SIPO	WX	99955695
119182	400	1998-09-06	VYDAJ	PREVOD NA UCET	6948	63225	SIPO	WX	99955695
119183	400	1998-10-06	VYDAJ	PREVOD NA UCET	6948	64683	SIPO	WX	99955695
119184	400	1998-11-06	VYDAJ	PREVOD NA UCET	6948	56526	SIPO	WX	99955695
119185	400	1998-12-06	VYDAJ	PREVOD NA UCET	6948	62241	SIPO	WX	99955695
119187	400	1994-06-28	VYDAJ	VYBER	20300	15856	\N	\N	\N
119188	400	1995-06-20	VYDAJ	VYBER	10900	23784	\N	\N	\N
119189	400	1996-06-14	VYDAJ	VYBER	18100	28036	\N	\N	\N
119190	400	1997-06-05	VYDAJ	VYBER	6600	52685	\N	\N	\N
119191	400	1998-06-12	VYDAJ	VYBER	14100	57851	\N	\N	\N
119192	400	1993-12-18	VYDAJ	VYBER	2900	37479	\N	\N	\N
119193	400	1994-12-11	VYDAJ	VYBER	800	38234	\N	\N	\N
119194	400	1995-12-29	VYDAJ	VYBER	800	38865	\N	\N	\N
119195	400	1996-12-17	VYDAJ	VYBER	1900	50670	\N	\N	\N
119196	400	1997-12-08	VYDAJ	VYBER	1400	56409	\N	\N	\N
119197	400	1998-12-20	VYDAJ	VYBER	800	51541	\N	\N	\N
119202	400	1994-02-17	VYDAJ	VYBER	3400	31940	\N	\N	\N
119203	400	1994-04-16	VYDAJ	VYBER	1300	30562	\N	\N	\N
119204	400	1994-08-11	VYDAJ	VYBER	1800	31532	\N	\N	\N
119205	400	1994-10-28	VYDAJ	VYBER	500	35012	\N	\N	\N
119206	400	1995-09-04	VYDAJ	VYBER	1900	24250	\N	\N	\N
119207	400	1995-05-11	VYDAJ	VYBER	3300	29055	\N	\N	\N
119208	400	1995-12-24	VYDAJ	VYBER	3800	39665	\N	\N	\N
119209	400	1995-06-21	VYDAJ	VYBER	3100	20684	\N	\N	\N
119210	400	1995-12-23	VYDAJ	VYBER	1400	43465	\N	\N	\N
119211	400	1995-02-16	VYDAJ	VYBER	2700	32793	\N	\N	\N
119212	400	1995-03-23	VYDAJ	VYBER	4600	29856	\N	\N	\N
119213	400	1995-09-04	VYDAJ	VYBER	3800	26150	\N	\N	\N
119214	400	1995-02-13	VYDAJ	VYBER	1700	35493	\N	\N	\N
119215	400	1996-04-23	VYDAJ	VYBER	4600	36407	\N	\N	\N
119216	400	1996-07-04	VYDAJ	VYBER	2400	31466	\N	\N	\N
119217	400	1996-08-10	VYDAJ	VYBER	1300	38863	\N	\N	\N
119218	400	1996-09-23	VYDAJ	VYBER	1300	39135	\N	\N	\N
119219	400	1996-04-25	VYDAJ	VYBER	4400	32007	\N	\N	\N
119220	400	1996-04-02	VYDAJ	VYBER	4400	34178	\N	\N	\N
119221	400	1996-11-27	VYDAJ	VYBER	4100	39793	\N	\N	\N
119222	400	1996-07-31	VYDAJ	VYBER	2000	33334	\N	\N	\N
119223	400	1997-12-10	VYDAJ	VYBER	2900	53509	\N	\N	\N
119224	400	1997-09-15	VYDAJ	VYBER	1500	48501	\N	\N	\N
119225	400	1997-07-02	VYDAJ	VYBER	1500	36402	\N	\N	\N
119226	400	1997-07-15	VYDAJ	VYBER	3300	39931	\N	\N	\N
119227	400	1998-09-10	VYDAJ	VYBER	800	62425	\N	\N	\N
119228	400	1998-10-06	VYDAJ	VYBER	4500	60183	\N	\N	\N
119229	400	1998-05-04	VYDAJ	VYBER	4900	55768	\N	\N	\N
119230	400	1998-10-14	VYDAJ	VYBER	4400	55783	\N	\N	\N
119231	400	1998-12-10	VYDAJ	VYBER	3000	59241	\N	\N	\N
119244	400	1993-12-31	VYDAJ	VYBER	15	37638	SLUZBY	\N	\N
119245	400	1994-01-31	VYDAJ	VYBER	15	36111	SLUZBY	\N	\N
119246	400	1994-02-28	VYDAJ	VYBER	15	32074	SLUZBY	\N	\N
119247	400	1994-03-31	VYDAJ	VYBER	15	33633	SLUZBY	\N	\N
119248	400	1994-04-30	VYDAJ	VYBER	15	30687	SLUZBY	\N	\N
119249	400	1994-05-31	VYDAJ	VYBER	15	31838	SLUZBY	\N	\N
119250	400	1994-06-30	VYDAJ	VYBER	15	15989	SLUZBY	\N	\N
119251	400	1994-07-31	VYDAJ	VYBER	15	26503	SLUZBY	\N	\N
119252	400	1994-08-31	VYDAJ	VYBER	15	27635	SLUZBY	\N	\N
119253	400	1994-09-30	VYDAJ	VYBER	15	32583	SLUZBY	\N	\N
119254	400	1994-10-31	VYDAJ	VYBER	15	35145	SLUZBY	\N	\N
119255	400	1994-11-30	VYDAJ	VYBER	15	38016	SLUZBY	\N	\N
119256	400	1994-12-31	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
119257	400	1995-01-31	VYDAJ	VYBER	15	39764	SLUZBY	\N	\N
119258	400	1995-02-28	VYDAJ	VYBER	15	32927	SLUZBY	\N	\N
119259	400	1995-03-31	VYDAJ	VYBER	15	29980	SLUZBY	\N	\N
119260	400	1995-04-30	VYDAJ	VYBER	15	31526	SLUZBY	\N	\N
119261	400	1995-05-31	VYDAJ	VYBER	15	29166	SLUZBY	\N	\N
119262	400	1995-06-30	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
119263	400	1995-07-31	VYDAJ	VYBER	15	27413	SLUZBY	\N	\N
119264	400	1995-08-31	VYDAJ	VYBER	15	29950	SLUZBY	\N	\N
119265	400	1995-09-30	VYDAJ	VYBER	15	23366	SLUZBY	\N	\N
119266	400	1995-10-31	VYDAJ	VYBER	15	26690	SLUZBY	\N	\N
119267	400	1995-11-30	VYDAJ	VYBER	15	35447	SLUZBY	\N	\N
119268	400	1995-12-31	VYDAJ	VYBER	15	39026	SLUZBY	\N	\N
119269	400	1996-01-31	VYDAJ	VYBER	15	39805	SLUZBY	\N	\N
119270	400	1996-02-29	VYDAJ	VYBER	15	40989	SLUZBY	\N	\N
119271	400	1996-03-31	VYDAJ	VYBER	15	42078	SLUZBY	\N	\N
119272	400	1996-04-30	VYDAJ	VYBER	15	32153	SLUZBY	\N	\N
119273	400	1996-05-31	VYDAJ	VYBER	15	37018	SLUZBY	\N	\N
119274	400	1996-06-30	VYDAJ	VYBER	15	28166	SLUZBY	\N	\N
119275	400	1996-07-31	VYDAJ	VYBER	15	35334	SLUZBY	\N	\N
119276	400	1996-08-31	VYDAJ	VYBER	15	33606	SLUZBY	\N	\N
119277	400	1996-09-30	VYDAJ	VYBER	15	35780	SLUZBY	\N	\N
119278	400	1996-10-31	VYDAJ	VYBER	15	37064	SLUZBY	\N	\N
119279	400	1996-11-30	VYDAJ	VYBER	15	38852	SLUZBY	\N	\N
119280	400	1996-12-31	VYDAJ	VYBER	15	43155	SLUZBY	\N	\N
119281	400	1997-01-31	VYDAJ	VYBER	15	43167	SLUZBY	\N	\N
119282	400	1997-02-28	VYDAJ	VYBER	15	44680	SLUZBY	\N	\N
119283	400	1997-03-31	VYDAJ	VYBER	15	44398	SLUZBY	\N	\N
119284	400	1997-04-30	VYDAJ	VYBER	15	42114	SLUZBY	\N	\N
119285	400	1997-05-31	VYDAJ	VYBER	15	38619	SLUZBY	\N	\N
119286	400	1997-06-30	VYDAJ	VYBER	15	37902	SLUZBY	\N	\N
119287	400	1997-07-31	VYDAJ	VYBER	15	37282	SLUZBY	\N	\N
119288	400	1997-08-31	VYDAJ	VYBER	15	43172	SLUZBY	\N	\N
119289	400	1997-09-30	VYDAJ	VYBER	15	42378	SLUZBY	\N	\N
119290	400	1997-10-31	VYDAJ	VYBER	15	42983	SLUZBY	\N	\N
119291	400	1997-11-30	VYDAJ	VYBER	15	44091	SLUZBY	\N	\N
119292	400	1997-12-31	VYDAJ	VYBER	15	47102	SLUZBY	\N	\N
119293	400	1998-01-31	VYDAJ	VYBER	15	46923	SLUZBY	\N	\N
119294	400	1998-02-28	VYDAJ	VYBER	15	52351	SLUZBY	\N	\N
119295	400	1998-03-31	VYDAJ	VYBER	15	56601	SLUZBY	\N	\N
119296	400	1998-04-30	VYDAJ	VYBER	15	60668	SLUZBY	\N	\N
119297	400	1998-05-31	VYDAJ	VYBER	15	58233	SLUZBY	\N	\N
119298	400	1998-06-30	VYDAJ	VYBER	15	55382	SLUZBY	\N	\N
119299	400	1998-07-31	VYDAJ	VYBER	15	56538	SLUZBY	\N	\N
119300	400	1998-08-31	VYDAJ	VYBER	15	56396	SLUZBY	\N	\N
119301	400	1998-09-30	VYDAJ	VYBER	15	57854	SLUZBY	\N	\N
119302	400	1998-10-31	VYDAJ	VYBER	15	49697	SLUZBY	\N	\N
119303	400	1998-11-30	VYDAJ	VYBER	15	48523	SLUZBY	\N	\N
119304	400	1993-08-16	PRIJEM	VKLAD	6200	20577	\N	\N	\N
119305	400	1993-09-15	VYDAJ	VYBER	3000	31398	\N	\N	\N
119306	400	1993-10-15	VYDAJ	VYBER	8400	36885	\N	\N	\N
119307	400	1993-11-14	VYDAJ	VYBER	13000	37805	\N	\N	\N
119308	400	1993-12-14	VYDAJ	VYBER	11300	40379	\N	\N	\N
119309	400	1994-01-13	VYDAJ	VYBER	8500	35967	\N	\N	\N
119310	400	1994-02-12	VYDAJ	VYBER	7600	35340	\N	\N	\N
119311	400	1994-03-14	VYDAJ	VYBER	5400	33503	\N	\N	\N
119312	400	1994-04-13	VYDAJ	VYBER	8600	31862	\N	\N	\N
119313	400	1994-05-13	VYDAJ	VYBER	5800	31716	\N	\N	\N
119314	400	1994-06-12	VYDAJ	VYBER	9400	36156	\N	\N	\N
119315	400	1994-07-12	PRIJEM	VKLAD	3600	26418	\N	\N	\N
119316	400	1994-08-11	VYDAJ	VYBER	4000	27532	\N	\N	\N
119317	400	1994-09-10	VYDAJ	VYBER	2000	32464	\N	\N	\N
119318	400	1994-10-10	VYDAJ	VYBER	3900	35512	\N	\N	\N
119319	400	1994-11-09	VYDAJ	VYBER	4100	37874	\N	\N	\N
119320	400	1994-12-09	VYDAJ	VYBER	12700	39034	\N	\N	\N
119321	400	1995-01-08	VYDAJ	VYBER	5600	39613	\N	\N	\N
119322	400	1995-02-07	VYDAJ	VYBER	9400	37193	\N	\N	\N
119323	400	1995-03-09	VYDAJ	VYBER	5300	34456	\N	\N	\N
119324	400	1995-04-08	VYDAJ	VYBER	5400	31409	\N	\N	\N
119325	400	1995-05-08	VYDAJ	VYBER	6000	32355	\N	\N	\N
119326	400	1995-06-07	VYDAJ	VYBER	8200	34684	\N	\N	\N
119327	400	1995-07-07	VYDAJ	VYBER	300	27319	\N	\N	\N
119328	400	1995-08-06	VYDAJ	VYBER	4400	29842	\N	\N	\N
119329	400	1995-09-05	VYDAJ	VYBER	7800	30227	\N	\N	\N
119330	400	1995-10-05	VYDAJ	VYBER	3600	33543	\N	\N	\N
119331	400	1995-11-04	PRIJEM	VKLAD	1800	28490	\N	\N	\N
119332	400	1995-12-04	VYDAJ	VYBER	4300	31147	\N	\N	\N
119333	400	1996-01-03	VYDAJ	VYBER	6200	32826	\N	\N	\N
119334	400	1996-02-02	VYDAJ	VYBER	5800	34005	\N	\N	\N
119335	400	1996-03-03	VYDAJ	VYBER	5900	35089	\N	\N	\N
119336	400	1996-04-02	VYDAJ	VYBER	3500	38578	\N	\N	\N
119337	400	1996-05-02	VYDAJ	VYBER	2100	30053	\N	\N	\N
119338	400	1996-06-01	VYDAJ	VYBER	4600	32418	\N	\N	\N
119339	400	1996-07-01	PRIJEM	VKLAD	5700	33866	\N	\N	\N
119340	400	1996-07-31	VYDAJ	VYBER	3100	35349	\N	\N	\N
119341	400	1996-08-30	VYDAJ	VYBER	5400	33463	\N	\N	\N
119342	400	1996-09-29	VYDAJ	VYBER	3500	35635	\N	\N	\N
119343	400	1996-10-29	VYDAJ	VYBER	5700	36909	\N	\N	\N
119344	400	1996-11-28	VYDAJ	VYBER	1100	38693	\N	\N	\N
119345	400	1996-12-28	VYDAJ	VYBER	7700	42970	\N	\N	\N
119346	400	1997-01-27	VYDAJ	VYBER	7000	42984	\N	\N	\N
119347	400	1997-02-26	VYDAJ	VYBER	5500	44496	\N	\N	\N
119348	400	1997-03-28	VYDAJ	VYBER	7300	44209	\N	\N	\N
119349	400	1997-04-27	VYDAJ	VYBER	9300	41927	\N	\N	\N
119350	400	1997-05-27	VYDAJ	VYBER	10500	38443	\N	\N	\N
119351	400	1997-06-26	VYDAJ	VYBER	8000	37737	\N	\N	\N
119352	400	1997-07-26	VYDAJ	VYBER	2800	37131	\N	\N	\N
119353	400	1997-08-25	VYDAJ	VYBER	1100	43011	\N	\N	\N
119354	400	1997-09-24	VYDAJ	VYBER	6300	42201	\N	\N	\N
119355	400	1997-10-24	VYDAJ	VYBER	6400	42807	\N	\N	\N
119356	400	1997-11-23	VYDAJ	VYBER	5900	43912	\N	\N	\N
119357	400	1997-12-23	VYDAJ	VYBER	6600	46909	\N	\N	\N
119358	400	1998-01-22	VYDAJ	VYBER	7200	46731	\N	\N	\N
119359	400	1998-02-21	VYDAJ	VYBER	1600	52152	\N	\N	\N
119360	400	1998-03-23	VYDAJ	VYBER	2800	56380	\N	\N	\N
119361	400	1998-04-22	VYDAJ	VYBER	3000	60430	\N	\N	\N
119362	400	1998-05-22	VYDAJ	VYBER	4600	57997	\N	\N	\N
119363	400	1998-06-21	VYDAJ	VYBER	2700	55151	\N	\N	\N
119364	400	1998-07-21	VYDAJ	VYBER	5900	56311	\N	\N	\N
119365	400	1998-08-20	VYDAJ	VYBER	7200	56167	\N	\N	\N
119366	400	1998-09-19	VYDAJ	VYBER	4800	57625	\N	\N	\N
119367	400	1998-10-19	VYDAJ	VYBER	6300	49483	\N	\N	\N
119368	400	1998-11-18	VYDAJ	VYBER	8200	48326	\N	\N	\N
119369	400	1998-12-18	VYDAJ	VYBER	6900	52341	\N	\N	\N
119435	401	1993-01-18	PRIJEM	VKLAD	300	300	\N	\N	\N
119437	401	1993-02-06	PRIJEM	VKLAD	12817	13117	\N	\N	\N
119438	401	1993-03-06	PRIJEM	VKLAD	12817	31968	\N	\N	\N
119439	401	1993-04-06	PRIJEM	VKLAD	12817	39077	\N	\N	\N
119440	401	1993-05-06	PRIJEM	VKLAD	12817	46617	\N	\N	\N
119441	401	1993-06-06	PRIJEM	VKLAD	19226	55988	\N	\N	\N
119442	401	1993-07-06	PRIJEM	VKLAD	12817	49491	\N	\N	\N
119443	401	1993-08-06	PRIJEM	VKLAD	12817	47181	\N	\N	\N
119444	401	1993-09-06	PRIJEM	VKLAD	12817	45863	\N	\N	\N
119445	401	1993-10-06	PRIJEM	VKLAD	12817	44237	\N	\N	\N
119446	401	1993-11-06	PRIJEM	VKLAD	12817	47115	\N	\N	\N
119447	401	1993-12-06	PRIJEM	VKLAD	19226	48304	\N	\N	\N
119448	401	1994-01-06	PRIJEM	VKLAD	12817	42344	\N	\N	\N
119449	401	1994-02-06	PRIJEM	VKLAD	12817	28616	\N	\N	\N
119450	401	1994-03-06	PRIJEM	VKLAD	12817	36250	\N	\N	\N
119451	401	1994-04-06	PRIJEM	VKLAD	12817	39205	\N	\N	\N
119452	401	1994-05-06	PRIJEM	VKLAD	12817	37928	\N	\N	\N
119453	401	1994-06-06	PRIJEM	VKLAD	19226	45683	\N	\N	\N
119454	401	1994-07-06	PRIJEM	VKLAD	12817	46051	\N	\N	\N
119455	401	1994-08-06	PRIJEM	VKLAD	12817	46226	\N	\N	\N
119456	401	1994-09-06	PRIJEM	VKLAD	12817	39050	\N	\N	\N
119457	401	1994-10-06	PRIJEM	VKLAD	12817	39997	\N	\N	\N
119458	401	1994-11-06	PRIJEM	VKLAD	12817	40447	\N	\N	\N
119459	401	1994-12-06	PRIJEM	VKLAD	19226	50214	\N	\N	\N
119460	401	1995-01-06	PRIJEM	VKLAD	12817	33096	\N	\N	\N
119461	401	1995-02-06	PRIJEM	VKLAD	12817	28731	\N	\N	\N
119462	401	1995-03-06	PRIJEM	VKLAD	12817	29055	\N	\N	\N
119463	401	1995-04-06	PRIJEM	VKLAD	12817	32871	\N	\N	\N
119464	401	1995-05-06	PRIJEM	VKLAD	12817	32187	\N	\N	\N
119465	401	1995-06-06	PRIJEM	VKLAD	19226	39920	\N	\N	\N
119466	401	1995-07-06	PRIJEM	VKLAD	12817	39160	\N	\N	\N
119467	401	1995-08-06	PRIJEM	VKLAD	12817	35533	\N	\N	\N
119468	401	1995-09-06	PRIJEM	VKLAD	12817	30862	\N	\N	\N
119469	401	1995-10-06	PRIJEM	VKLAD	12817	34401	\N	\N	\N
119470	401	1995-11-06	PRIJEM	VKLAD	12817	33055	\N	\N	\N
119471	401	1995-12-06	PRIJEM	VKLAD	19226	36389	\N	\N	\N
119472	401	1996-01-06	PRIJEM	VKLAD	12817	30023	\N	\N	\N
119473	401	1996-02-06	PRIJEM	VKLAD	12817	26403	\N	\N	\N
119474	401	1996-03-06	PRIJEM	VKLAD	12817	29366	\N	\N	\N
119475	401	1996-04-06	PRIJEM	VKLAD	12817	27332	\N	\N	\N
119476	401	1996-05-06	PRIJEM	VKLAD	12817	29759	\N	\N	\N
119477	401	1996-06-06	PRIJEM	VKLAD	19226	34324	\N	\N	\N
119478	401	1996-07-06	PRIJEM	VKLAD	12817	31562	\N	\N	\N
119479	401	1996-08-06	PRIJEM	VKLAD	12817	28107	\N	\N	\N
119480	401	1996-09-06	PRIJEM	VKLAD	12817	25824	\N	\N	\N
119481	401	1996-10-06	PRIJEM	VKLAD	12817	33333	\N	\N	\N
119482	401	1996-11-06	PRIJEM	VKLAD	12817	25868	\N	\N	\N
119483	401	1996-12-06	PRIJEM	VKLAD	19226	39787	\N	\N	\N
119484	401	1997-01-06	PRIJEM	VKLAD	12817	27857	\N	\N	\N
119485	401	1997-02-06	PRIJEM	VKLAD	12817	28521	\N	\N	\N
119486	401	1997-03-06	PRIJEM	VKLAD	12817	36041	\N	\N	\N
119487	401	1997-04-06	PRIJEM	VKLAD	12817	43593	\N	\N	\N
119488	401	1997-05-06	PRIJEM	VKLAD	12817	28564	\N	\N	\N
119489	401	1997-06-06	PRIJEM	VKLAD	19226	36848	\N	\N	\N
119490	401	1997-07-06	PRIJEM	VKLAD	12817	44395	\N	\N	\N
119491	401	1997-08-06	PRIJEM	VKLAD	12817	51982	\N	\N	\N
119492	401	1997-09-06	PRIJEM	VKLAD	12817	28070	\N	\N	\N
119493	401	1997-10-06	PRIJEM	VKLAD	12817	35588	\N	\N	\N
119494	401	1997-11-06	PRIJEM	VKLAD	12817	43138	\N	\N	\N
119495	401	1997-12-06	PRIJEM	VKLAD	19226	55084	\N	\N	\N
119496	401	1998-01-06	PRIJEM	VKLAD	12817	56981	\N	\N	\N
119497	401	1998-02-06	PRIJEM	VKLAD	12817	56094	\N	\N	\N
119498	401	1998-03-06	PRIJEM	VKLAD	12817	63728	\N	\N	\N
119499	401	1998-04-06	PRIJEM	VKLAD	12817	35550	\N	\N	\N
119500	401	1998-05-06	PRIJEM	VKLAD	12817	43099	\N	\N	\N
119501	401	1998-06-06	PRIJEM	VKLAD	19226	57088	\N	\N	\N
119502	401	1998-07-06	PRIJEM	VKLAD	12817	64718	\N	\N	\N
119503	401	1998-08-06	PRIJEM	VKLAD	12817	68181	\N	\N	\N
119504	401	1998-09-06	PRIJEM	VKLAD	12817	75865	\N	\N	\N
119505	401	1998-10-06	PRIJEM	VKLAD	12817	83581	\N	\N	\N
119506	401	1998-11-06	PRIJEM	VKLAD	12817	30323	\N	\N	\N
119507	401	1998-12-06	PRIJEM	VKLAD	19226	42977	\N	\N	\N
119513	401	1993-06-09	VYDAJ	PREVOD NA UCET	3600	52388	SIPO	AB	66742342
119514	401	1993-07-09	VYDAJ	PREVOD NA UCET	3600	45891	SIPO	AB	66742342
119515	401	1993-08-09	VYDAJ	PREVOD NA UCET	3600	43581	SIPO	AB	66742342
119516	401	1993-09-09	VYDAJ	PREVOD NA UCET	3600	42263	SIPO	AB	66742342
119517	401	1993-10-09	VYDAJ	PREVOD NA UCET	3600	40637	SIPO	AB	66742342
119518	401	1993-11-09	VYDAJ	PREVOD NA UCET	3600	43515	SIPO	AB	66742342
119519	401	1993-12-09	VYDAJ	PREVOD NA UCET	3600	44704	SIPO	AB	66742342
119520	401	1994-01-09	VYDAJ	PREVOD NA UCET	3600	36944	SIPO	AB	66742342
119521	401	1994-02-09	VYDAJ	PREVOD NA UCET	3600	25016	SIPO	AB	66742342
119522	401	1994-03-09	VYDAJ	PREVOD NA UCET	3600	32650	SIPO	AB	66742342
119523	401	1994-04-09	VYDAJ	PREVOD NA UCET	3600	35605	SIPO	AB	66742342
119524	401	1994-05-09	VYDAJ	PREVOD NA UCET	3600	34328	SIPO	AB	66742342
119525	401	1994-06-09	VYDAJ	PREVOD NA UCET	3600	42083	SIPO	AB	66742342
119526	401	1994-07-09	VYDAJ	PREVOD NA UCET	3600	42451	SIPO	AB	66742342
119527	401	1994-08-09	VYDAJ	PREVOD NA UCET	3600	42626	SIPO	AB	66742342
119528	401	1994-09-09	VYDAJ	PREVOD NA UCET	3600	35450	SIPO	AB	66742342
119529	401	1994-10-09	VYDAJ	PREVOD NA UCET	3600	36397	SIPO	AB	66742342
119530	401	1994-11-09	VYDAJ	PREVOD NA UCET	3600	32647	SIPO	AB	66742342
119531	401	1994-12-09	VYDAJ	PREVOD NA UCET	3600	33914	SIPO	AB	66742342
119532	401	1995-01-09	VYDAJ	PREVOD NA UCET	3600	22896	SIPO	AB	66742342
119533	401	1995-02-09	VYDAJ	PREVOD NA UCET	3600	20831	SIPO	AB	66742342
119534	401	1995-03-09	VYDAJ	PREVOD NA UCET	3600	25455	SIPO	AB	66742342
119535	401	1995-04-09	VYDAJ	PREVOD NA UCET	3600	21071	SIPO	AB	66742342
119536	401	1995-05-09	VYDAJ	PREVOD NA UCET	3600	24187	SIPO	AB	66742342
119537	401	1995-06-09	VYDAJ	PREVOD NA UCET	3600	28020	SIPO	AB	66742342
119538	401	1995-07-09	VYDAJ	PREVOD NA UCET	3600	25960	SIPO	AB	66742342
119539	401	1995-08-09	VYDAJ	PREVOD NA UCET	3600	23033	SIPO	AB	66742342
119540	401	1995-09-09	VYDAJ	PREVOD NA UCET	3600	27262	SIPO	AB	66742342
119541	401	1995-10-09	VYDAJ	PREVOD NA UCET	3600	30801	SIPO	AB	66742342
119542	401	1995-11-09	VYDAJ	PREVOD NA UCET	3600	29455	SIPO	AB	66742342
119543	401	1995-12-09	VYDAJ	PREVOD NA UCET	3600	32789	SIPO	AB	66742342
119544	401	1996-01-09	VYDAJ	PREVOD NA UCET	3600	23423	SIPO	AB	66742342
119545	401	1996-02-09	VYDAJ	PREVOD NA UCET	3600	18363	SIPO	AB	66742342
119546	401	1996-03-09	VYDAJ	PREVOD NA UCET	3600	25766	SIPO	AB	66742342
119547	401	1996-04-09	VYDAJ	PREVOD NA UCET	3600	23732	SIPO	AB	66742342
119548	401	1996-05-09	VYDAJ	PREVOD NA UCET	3600	20999	SIPO	AB	66742342
119549	401	1996-06-09	VYDAJ	PREVOD NA UCET	3600	30724	SIPO	AB	66742342
119550	401	1996-07-09	VYDAJ	PREVOD NA UCET	3600	27962	SIPO	AB	66742342
119551	401	1996-08-09	VYDAJ	PREVOD NA UCET	3600	24507	SIPO	AB	66742342
119552	401	1996-09-09	VYDAJ	PREVOD NA UCET	3600	22224	SIPO	AB	66742342
119553	401	1996-10-09	VYDAJ	PREVOD NA UCET	3600	29733	SIPO	AB	66742342
119554	401	1996-11-09	VYDAJ	PREVOD NA UCET	3600	22268	SIPO	AB	66742342
119555	401	1996-12-09	VYDAJ	PREVOD NA UCET	3600	36187	SIPO	AB	66742342
119556	401	1997-01-09	VYDAJ	PREVOD NA UCET	3600	24257	SIPO	AB	66742342
119557	401	1997-02-09	VYDAJ	PREVOD NA UCET	3600	24921	SIPO	AB	66742342
119558	401	1997-03-09	VYDAJ	PREVOD NA UCET	3600	32441	SIPO	AB	66742342
119559	401	1997-04-09	VYDAJ	PREVOD NA UCET	3600	39993	SIPO	AB	66742342
119560	401	1997-05-09	VYDAJ	PREVOD NA UCET	3600	24964	SIPO	AB	66742342
119561	401	1997-06-09	VYDAJ	PREVOD NA UCET	3600	33248	SIPO	AB	66742342
119562	401	1997-07-09	VYDAJ	PREVOD NA UCET	3600	40795	SIPO	AB	66742342
119563	401	1997-08-09	VYDAJ	PREVOD NA UCET	3600	48382	SIPO	AB	66742342
119564	401	1997-09-09	VYDAJ	PREVOD NA UCET	3600	24470	SIPO	AB	66742342
119565	401	1997-10-09	VYDAJ	PREVOD NA UCET	3600	31988	SIPO	AB	66742342
119566	401	1997-11-09	VYDAJ	PREVOD NA UCET	3600	39538	SIPO	AB	66742342
119567	401	1997-12-09	VYDAJ	PREVOD NA UCET	3600	51484	SIPO	AB	66742342
119568	401	1998-01-09	VYDAJ	PREVOD NA UCET	3600	52301	SIPO	AB	66742342
119569	401	1998-02-09	VYDAJ	PREVOD NA UCET	3600	52494	SIPO	AB	66742342
119570	401	1998-03-09	VYDAJ	PREVOD NA UCET	3600	60128	SIPO	AB	66742342
119571	401	1998-04-09	VYDAJ	PREVOD NA UCET	3600	31950	SIPO	AB	66742342
119572	401	1998-05-09	VYDAJ	PREVOD NA UCET	3600	39499	SIPO	AB	66742342
119573	401	1998-06-09	VYDAJ	PREVOD NA UCET	3600	53488	SIPO	AB	66742342
119574	401	1998-07-09	VYDAJ	PREVOD NA UCET	3600	61118	SIPO	AB	66742342
119575	401	1998-08-09	VYDAJ	PREVOD NA UCET	3600	64581	SIPO	AB	66742342
119576	401	1998-09-09	VYDAJ	PREVOD NA UCET	3600	72265	SIPO	AB	66742342
119577	401	1998-10-09	VYDAJ	PREVOD NA UCET	3600	79981	SIPO	AB	66742342
119578	401	1998-11-09	VYDAJ	PREVOD NA UCET	3600	26723	SIPO	AB	66742342
119579	401	1998-12-09	VYDAJ	PREVOD NA UCET	3600	39377	SIPO	AB	66742342
119585	401	1993-06-14	VYDAJ	PREVOD NA UCET	1769	50619	 	EF	88922524
119586	401	1993-07-14	VYDAJ	PREVOD NA UCET	1769	44122	 	EF	88922524
119587	401	1993-08-14	VYDAJ	PREVOD NA UCET	1769	41812	 	EF	88922524
119588	401	1993-09-14	VYDAJ	PREVOD NA UCET	1769	40494	 	EF	88922524
119589	401	1993-10-14	VYDAJ	PREVOD NA UCET	1769	38868	 	EF	88922524
119590	401	1993-11-14	VYDAJ	PREVOD NA UCET	1769	41746	 	EF	88922524
119591	401	1993-12-14	VYDAJ	PREVOD NA UCET	1769	40695	 	EF	88922524
119592	401	1994-01-14	VYDAJ	PREVOD NA UCET	1769	28535	 	EF	88922524
119593	401	1994-02-14	VYDAJ	PREVOD NA UCET	1769	25147	 	EF	88922524
119594	401	1994-03-14	VYDAJ	PREVOD NA UCET	1769	30881	 	EF	88922524
119595	401	1994-04-14	VYDAJ	PREVOD NA UCET	1769	25016	 	EF	88922524
119596	401	1994-05-14	VYDAJ	PREVOD NA UCET	1769	26359	 	EF	88922524
119597	401	1994-06-14	VYDAJ	PREVOD NA UCET	1769	33114	 	EF	88922524
119598	401	1994-07-14	VYDAJ	PREVOD NA UCET	1769	33282	 	EF	88922524
119599	401	1994-08-14	VYDAJ	PREVOD NA UCET	1769	31757	 	EF	88922524
119600	401	1994-09-14	VYDAJ	PREVOD NA UCET	1769	27081	 	EF	88922524
119601	401	1994-10-14	VYDAJ	PREVOD NA UCET	1769	27528	 	EF	88922524
119602	401	1994-11-14	VYDAJ	PREVOD NA UCET	1769	30878	 	EF	88922524
119603	401	1994-12-14	VYDAJ	PREVOD NA UCET	1769	23665	 	EF	88922524
119604	401	1995-01-14	VYDAJ	PREVOD NA UCET	1769	17047	 	EF	88922524
119605	401	1995-02-14	VYDAJ	PREVOD NA UCET	1769	16182	 	EF	88922524
119606	401	1995-03-14	VYDAJ	PREVOD NA UCET	1769	19986	 	EF	88922524
119607	401	1995-04-14	VYDAJ	PREVOD NA UCET	1769	19302	 	EF	88922524
119608	401	1995-05-14	VYDAJ	PREVOD NA UCET	1769	22418	 	EF	88922524
119609	401	1995-06-14	VYDAJ	PREVOD NA UCET	1769	26251	 	EF	88922524
119610	401	1995-07-14	VYDAJ	PREVOD NA UCET	1769	22631	 	EF	88922524
119611	401	1995-08-14	VYDAJ	PREVOD NA UCET	1769	21264	 	EF	88922524
119612	401	1995-09-14	VYDAJ	PREVOD NA UCET	1769	25493	 	EF	88922524
119613	401	1995-10-14	VYDAJ	PREVOD NA UCET	1769	29032	 	EF	88922524
119614	401	1995-11-14	VYDAJ	PREVOD NA UCET	1769	27686	 	EF	88922524
119615	401	1995-12-14	VYDAJ	PREVOD NA UCET	1769	31020	 	EF	88922524
119616	401	1996-01-14	VYDAJ	PREVOD NA UCET	1769	16254	 	EF	88922524
119617	401	1996-02-14	VYDAJ	PREVOD NA UCET	1769	16594	 	EF	88922524
119618	401	1996-03-14	VYDAJ	PREVOD NA UCET	1769	22437	 	EF	88922524
119619	401	1996-04-14	VYDAJ	PREVOD NA UCET	1769	21963	 	EF	88922524
119620	401	1996-05-14	VYDAJ	PREVOD NA UCET	1769	19230	 	EF	88922524
119621	401	1996-06-14	VYDAJ	PREVOD NA UCET	1769	28955	 	EF	88922524
119622	401	1996-07-14	VYDAJ	PREVOD NA UCET	1769	26193	 	EF	88922524
119623	401	1996-08-14	VYDAJ	PREVOD NA UCET	1769	22738	 	EF	88922524
119624	401	1996-09-14	VYDAJ	PREVOD NA UCET	1769	20455	 	EF	88922524
119625	401	1996-10-14	VYDAJ	PREVOD NA UCET	1769	27964	 	EF	88922524
119626	401	1996-11-14	VYDAJ	PREVOD NA UCET	1769	20499	 	EF	88922524
119627	401	1996-12-14	VYDAJ	PREVOD NA UCET	1769	34418	 	EF	88922524
119628	401	1997-01-14	VYDAJ	PREVOD NA UCET	1769	20328	 	EF	88922524
119629	401	1997-02-14	VYDAJ	PREVOD NA UCET	1769	23152	 	EF	88922524
119630	401	1997-03-14	VYDAJ	PREVOD NA UCET	1769	30672	 	EF	88922524
119631	401	1997-04-14	VYDAJ	PREVOD NA UCET	1769	38224	 	EF	88922524
119632	401	1997-05-14	VYDAJ	PREVOD NA UCET	1769	23195	 	EF	88922524
119633	401	1997-06-14	VYDAJ	PREVOD NA UCET	1769	31479	 	EF	88922524
119634	401	1997-07-14	VYDAJ	PREVOD NA UCET	1769	39026	 	EF	88922524
119635	401	1997-08-14	VYDAJ	PREVOD NA UCET	1769	46613	 	EF	88922524
119636	401	1997-09-14	VYDAJ	PREVOD NA UCET	1769	22701	 	EF	88922524
119637	401	1997-10-14	VYDAJ	PREVOD NA UCET	1769	30219	 	EF	88922524
119638	401	1997-11-14	VYDAJ	PREVOD NA UCET	1769	37769	 	EF	88922524
119639	401	1997-12-14	VYDAJ	PREVOD NA UCET	1769	47955	 	EF	88922524
119640	401	1998-01-14	VYDAJ	PREVOD NA UCET	1769	48492	 	EF	88922524
119641	401	1998-02-14	VYDAJ	PREVOD NA UCET	1769	50725	 	EF	88922524
119642	401	1998-03-14	VYDAJ	PREVOD NA UCET	1769	58359	 	EF	88922524
119643	401	1998-04-14	VYDAJ	PREVOD NA UCET	1769	30181	 	EF	88922524
119644	401	1998-05-14	VYDAJ	PREVOD NA UCET	1769	37730	 	EF	88922524
119645	401	1998-06-14	VYDAJ	PREVOD NA UCET	1769	51719	 	EF	88922524
119646	401	1998-07-14	VYDAJ	PREVOD NA UCET	1769	59349	 	EF	88922524
119647	401	1998-08-14	VYDAJ	PREVOD NA UCET	1769	62812	 	EF	88922524
119648	401	1998-09-14	VYDAJ	PREVOD NA UCET	1769	70496	 	EF	88922524
119649	401	1998-10-14	VYDAJ	PREVOD NA UCET	1769	78212	 	EF	88922524
119650	401	1998-11-14	VYDAJ	PREVOD NA UCET	1769	24954	 	EF	88922524
119651	401	1998-12-14	VYDAJ	PREVOD NA UCET	1769	37608	 	EF	88922524
119652	401	1993-12-09	VYDAJ	VYBER	2240	42464	\N	\N	\N
119653	401	1994-12-10	VYDAJ	VYBER	4640	29274	\N	\N	\N
119654	401	1995-12-21	VYDAJ	VYBER	4320	26700	\N	\N	\N
119655	401	1996-12-28	VYDAJ	VYBER	1280	33138	\N	\N	\N
119656	401	1997-12-11	VYDAJ	VYBER	1760	49724	\N	\N	\N
119657	401	1998-12-03	VYDAJ	VYBER	1280	23752	\N	\N	\N
119664	401	1994-01-06	VYDAJ	VYBER	1800	40544	\N	\N	\N
119665	401	1994-01-30	VYDAJ	VYBER	1320	20615	\N	\N	\N
119666	401	1994-01-13	VYDAJ	VYBER	840	33704	\N	\N	\N
119667	401	1994-01-03	VYDAJ	VYBER	1320	29527	\N	\N	\N
119668	401	1994-01-13	VYDAJ	VYBER	2400	34544	\N	\N	\N
119669	401	1994-01-19	VYDAJ	VYBER	2280	21935	\N	\N	\N
119670	401	1995-01-20	VYDAJ	VYBER	1200	15847	\N	\N	\N
119671	401	1995-01-12	VYDAJ	VYBER	1440	20136	\N	\N	\N
119672	401	1995-01-14	VYDAJ	VYBER	1320	18816	\N	\N	\N
119673	401	1995-01-04	VYDAJ	VYBER	3480	20279	\N	\N	\N
119675	401	1995-01-09	VYDAJ	VYBER	1320	21576	\N	\N	\N
119676	401	1996-01-13	VYDAJ	VYBER	2040	21383	\N	\N	\N
119677	401	1996-01-07	VYDAJ	VYBER	3000	27023	\N	\N	\N
119679	401	1996-01-14	VYDAJ	VYBER	2040	14214	\N	\N	\N
119682	401	1997-01-22	VYDAJ	VYBER	2160	15648	\N	\N	\N
119685	401	1997-01-13	VYDAJ	VYBER	2160	22097	\N	\N	\N
119686	401	1997-01-16	VYDAJ	VYBER	2520	17808	\N	\N	\N
119688	401	1998-01-03	VYDAJ	VYBER	3000	44164	\N	\N	\N
119689	401	1998-01-07	VYDAJ	VYBER	1080	55901	\N	\N	\N
119690	401	1998-01-12	VYDAJ	VYBER	1200	50261	\N	\N	\N
119691	401	1998-01-12	VYDAJ	VYBER	840	51461	\N	\N	\N
119692	401	1998-01-26	VYDAJ	VYBER	2400	46092	\N	\N	\N
119693	401	1998-01-28	VYDAJ	VYBER	3000	43092	\N	\N	\N
119694	401	1993-12-05	VYDAJ	VYBER	4200	29078	\N	\N	\N
119697	401	1994-02-19	VYDAJ	VYBER	1800	23347	\N	\N	\N
119698	401	1994-01-18	VYDAJ	VYBER	4320	24215	\N	\N	\N
119699	401	1994-04-10	VYDAJ	VYBER	3720	31885	\N	\N	\N
119700	401	1994-08-23	VYDAJ	VYBER	5640	26117	\N	\N	\N
119701	401	1994-02-05	VYDAJ	VYBER	4920	15799	\N	\N	\N
119702	401	1994-12-11	VYDAJ	VYBER	3840	25434	\N	\N	\N
119703	401	1995-07-11	VYDAJ	VYBER	1560	24400	\N	\N	\N
119704	401	1995-11-15	VYDAJ	VYBER	3120	24566	\N	\N	\N
119706	401	1995-02-11	VYDAJ	VYBER	2880	17951	\N	\N	\N
119707	401	1995-05-31	VYDAJ	VYBER	1800	20709	\N	\N	\N
119708	401	1996-02-06	VYDAJ	VYBER	4440	21963	\N	\N	\N
119709	401	1996-05-30	VYDAJ	VYBER	4200	15030	\N	\N	\N
119710	401	1996-01-14	VYDAJ	VYBER	3360	18023	\N	\N	\N
119711	401	1996-05-07	VYDAJ	VYBER	5160	24599	\N	\N	\N
119712	401	1996-03-12	VYDAJ	VYBER	1560	24206	\N	\N	\N
119714	401	1997-12-19	VYDAJ	VYBER	960	46995	\N	\N	\N
119716	401	1997-05-25	VYDAJ	VYBER	5640	17555	\N	\N	\N
119717	401	1997-11-20	VYDAJ	VYBER	2040	35729	\N	\N	\N
119718	401	1998-07-19	VYDAJ	VYBER	4200	55149	\N	\N	\N
119725	401	1993-06-30	VYDAJ	VYBER	15	36674	SLUZBY	\N	\N
119726	401	1993-07-31	VYDAJ	VYBER	15	34364	SLUZBY	\N	\N
119727	401	1993-08-31	VYDAJ	VYBER	15	33046	SLUZBY	\N	\N
119728	401	1993-09-30	VYDAJ	VYBER	15	31420	SLUZBY	\N	\N
119729	401	1993-10-31	VYDAJ	VYBER	15	34298	SLUZBY	\N	\N
119730	401	1993-11-30	VYDAJ	VYBER	15	33278	SLUZBY	\N	\N
119731	401	1993-12-31	VYDAJ	VYBER	15	30847	SLUZBY	\N	\N
119732	401	1994-01-31	VYDAJ	VYBER	15	20719	SLUZBY	\N	\N
119733	401	1994-02-28	VYDAJ	VYBER	15	23433	SLUZBY	\N	\N
119734	401	1994-03-31	VYDAJ	VYBER	15	26388	SLUZBY	\N	\N
119735	401	1994-04-30	VYDAJ	VYBER	15	25111	SLUZBY	\N	\N
119736	401	1994-05-31	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
119737	401	1994-06-30	VYDAJ	VYBER	15	33234	SLUZBY	\N	\N
119738	401	1994-07-31	VYDAJ	VYBER	15	33409	SLUZBY	\N	\N
119739	401	1994-08-31	VYDAJ	VYBER	15	26233	SLUZBY	\N	\N
119740	401	1994-09-30	VYDAJ	VYBER	15	27180	SLUZBY	\N	\N
119741	401	1994-10-31	VYDAJ	VYBER	15	27630	SLUZBY	\N	\N
119742	401	1994-11-30	VYDAJ	VYBER	15	30989	SLUZBY	\N	\N
119743	401	1994-12-31	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
119744	401	1995-01-31	VYDAJ	VYBER	15	15914	SLUZBY	\N	\N
119745	401	1995-02-28	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
119746	401	1995-03-31	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
119747	401	1995-04-30	VYDAJ	VYBER	15	19370	SLUZBY	\N	\N
119748	401	1995-05-31	VYDAJ	VYBER	15	20694	SLUZBY	\N	\N
119749	401	1995-06-30	VYDAJ	VYBER	15	26343	SLUZBY	\N	\N
119750	401	1995-07-31	VYDAJ	VYBER	15	22716	SLUZBY	\N	\N
119751	401	1995-08-31	VYDAJ	VYBER	15	21345	SLUZBY	\N	\N
119752	401	1995-09-30	VYDAJ	VYBER	15	25584	SLUZBY	\N	\N
119753	401	1995-10-31	VYDAJ	VYBER	15	29138	SLUZBY	\N	\N
119754	401	1995-11-30	VYDAJ	VYBER	15	24663	SLUZBY	\N	\N
119755	401	1995-12-31	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
119756	401	1996-01-31	VYDAJ	VYBER	15	14286	SLUZBY	\N	\N
119757	401	1996-02-29	VYDAJ	VYBER	15	16649	SLUZBY	\N	\N
119758	401	1996-03-31	VYDAJ	VYBER	15	22515	SLUZBY	\N	\N
119759	401	1996-04-30	VYDAJ	VYBER	15	22042	SLUZBY	\N	\N
119760	401	1996-05-31	VYDAJ	VYBER	15	15099	SLUZBY	\N	\N
119761	401	1996-06-30	VYDAJ	VYBER	15	29045	SLUZBY	\N	\N
119762	401	1996-07-31	VYDAJ	VYBER	15	15290	SLUZBY	\N	\N
119763	401	1996-08-31	VYDAJ	VYBER	15	13007	SLUZBY	\N	\N
119764	401	1996-09-30	VYDAJ	VYBER	15	20516	SLUZBY	\N	\N
119765	401	1996-10-31	VYDAJ	VYBER	15	13051	SLUZBY	\N	\N
119766	401	1996-11-30	VYDAJ	VYBER	15	20561	SLUZBY	\N	\N
119767	401	1996-12-31	VYDAJ	VYBER	15	15040	SLUZBY	\N	\N
119768	401	1997-01-31	VYDAJ	VYBER	15	15704	SLUZBY	\N	\N
119769	401	1997-02-28	VYDAJ	VYBER	15	23224	SLUZBY	\N	\N
119770	401	1997-03-31	VYDAJ	VYBER	15	30776	SLUZBY	\N	\N
119771	401	1997-04-30	VYDAJ	VYBER	15	15747	SLUZBY	\N	\N
119772	401	1997-05-31	VYDAJ	VYBER	15	17622	SLUZBY	\N	\N
119773	401	1997-06-30	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
119774	401	1997-07-31	VYDAJ	VYBER	15	39165	SLUZBY	\N	\N
119775	401	1997-08-31	VYDAJ	VYBER	15	15253	SLUZBY	\N	\N
119776	401	1997-09-30	VYDAJ	VYBER	15	22771	SLUZBY	\N	\N
119777	401	1997-10-31	VYDAJ	VYBER	15	30321	SLUZBY	\N	\N
119778	401	1997-11-30	VYDAJ	VYBER	15	35858	SLUZBY	\N	\N
119779	401	1997-12-31	VYDAJ	VYBER	15	47164	SLUZBY	\N	\N
119780	401	1998-01-31	VYDAJ	VYBER	15	43277	SLUZBY	\N	\N
119781	401	1998-02-28	VYDAJ	VYBER	15	50911	SLUZBY	\N	\N
119782	401	1998-03-31	VYDAJ	VYBER	15	22733	SLUZBY	\N	\N
119783	401	1998-04-30	VYDAJ	VYBER	15	30282	SLUZBY	\N	\N
119784	401	1998-05-31	VYDAJ	VYBER	15	37862	SLUZBY	\N	\N
119785	401	1998-06-30	VYDAJ	VYBER	15	51901	SLUZBY	\N	\N
119786	401	1998-07-31	VYDAJ	VYBER	15	55364	SLUZBY	\N	\N
119787	401	1998-08-31	VYDAJ	VYBER	15	63048	SLUZBY	\N	\N
119788	401	1998-09-30	VYDAJ	VYBER	15	70764	SLUZBY	\N	\N
119789	401	1998-10-31	VYDAJ	VYBER	15	17506	SLUZBY	\N	\N
119790	401	1998-11-30	VYDAJ	VYBER	15	25032	SLUZBY	\N	\N
119791	401	1993-02-17	PRIJEM	VKLAD	6000	19117	\N	\N	\N
119792	401	1993-03-19	VYDAJ	VYBER	5800	26168	\N	\N	\N
119793	401	1993-04-18	VYDAJ	VYBER	5400	33677	\N	\N	\N
119794	401	1993-05-18	VYDAJ	VYBER	10000	36617	\N	\N	\N
119795	401	1993-06-17	VYDAJ	VYBER	14100	36519	\N	\N	\N
119796	401	1993-07-17	VYDAJ	VYBER	9900	34222	\N	\N	\N
119797	401	1993-08-16	VYDAJ	VYBER	8900	32912	\N	\N	\N
119798	401	1993-09-15	VYDAJ	VYBER	9200	31294	\N	\N	\N
119799	401	1993-10-15	VYDAJ	VYBER	4700	34168	\N	\N	\N
119800	401	1993-11-14	VYDAJ	VYBER	8600	33146	\N	\N	\N
119801	401	1993-12-14	VYDAJ	VYBER	10000	30695	\N	\N	\N
119802	401	1994-01-13	VYDAJ	VYBER	3400	30304	\N	\N	\N
119803	401	1994-02-12	PRIJEM	VKLAD	1900	26916	\N	\N	\N
119804	401	1994-03-14	VYDAJ	VYBER	4600	26281	\N	\N	\N
119805	401	1994-04-13	VYDAJ	VYBER	5100	26785	\N	\N	\N
119806	401	1994-05-13	VYDAJ	VYBER	6200	28128	\N	\N	\N
119807	401	1994-06-12	VYDAJ	VYBER	7200	34883	\N	\N	\N
119808	401	1994-07-12	VYDAJ	VYBER	7400	35051	\N	\N	\N
119809	401	1994-08-11	VYDAJ	VYBER	9100	33526	\N	\N	\N
119810	401	1994-09-10	VYDAJ	VYBER	6600	28850	\N	\N	\N
119811	401	1994-10-10	VYDAJ	VYBER	7100	29297	\N	\N	\N
119812	401	1994-11-09	VYDAJ	VYBER	4200	36247	\N	\N	\N
119813	401	1994-12-09	VYDAJ	VYBER	12700	37514	\N	\N	\N
119814	401	1995-01-08	VYDAJ	VYBER	6600	26496	\N	\N	\N
119815	401	1995-02-07	VYDAJ	VYBER	4300	24431	\N	\N	\N
119816	401	1995-03-09	VYDAJ	VYBER	3700	21755	\N	\N	\N
119817	401	1995-04-08	VYDAJ	VYBER	8200	24671	\N	\N	\N
119818	401	1995-05-08	VYDAJ	VYBER	4400	27787	\N	\N	\N
119819	401	1995-06-07	VYDAJ	VYBER	8300	31620	\N	\N	\N
119820	401	1995-07-07	VYDAJ	VYBER	9600	29560	\N	\N	\N
119821	401	1995-08-06	VYDAJ	VYBER	8900	26633	\N	\N	\N
119822	401	1995-09-05	VYDAJ	VYBER	3300	18045	\N	\N	\N
119823	401	1995-10-05	VYDAJ	VYBER	4000	21584	\N	\N	\N
119824	401	1995-11-04	VYDAJ	VYBER	8900	20238	\N	\N	\N
119825	401	1995-12-04	VYDAJ	VYBER	7500	17163	\N	\N	\N
119826	401	1996-01-03	VYDAJ	VYBER	9600	17206	\N	\N	\N
119827	401	1996-02-02	VYDAJ	VYBER	700	13586	\N	\N	\N
119828	401	1996-03-03	VYDAJ	VYBER	100	16549	\N	\N	\N
119829	401	1996-04-02	VYDAJ	VYBER	8000	14515	\N	\N	\N
119830	401	1996-05-02	VYDAJ	VYBER	5100	16942	\N	\N	\N
119831	401	1996-07-01	VYDAJ	VYBER	10300	18745	\N	\N	\N
119832	401	1996-07-31	VYDAJ	VYBER	11000	15305	\N	\N	\N
119833	401	1996-08-30	VYDAJ	VYBER	9800	12938	\N	\N	\N
119834	401	1996-10-29	VYDAJ	VYBER	15000	12964	\N	\N	\N
119835	401	1996-12-28	VYDAJ	VYBER	18200	14938	\N	\N	\N
119836	401	1997-04-27	VYDAJ	VYBER	22600	15624	\N	\N	\N
119837	401	1997-08-25	VYDAJ	VYBER	31500	15113	\N	\N	\N
119838	401	1998-03-23	VYDAJ	VYBER	35800	22559	\N	\N	\N
119839	401	1998-10-19	VYDAJ	VYBER	60900	17312	\N	\N	\N
119911	402	1997-09-14	PRIJEM	VKLAD	800	800	\N	\N	\N
119921	402	1997-10-08	PRIJEM	VKLAD	19995	20795	\N	\N	\N
119922	402	1997-11-08	PRIJEM	VKLAD	19995	44048	\N	\N	\N
119923	402	1997-12-08	PRIJEM	VKLAD	29992	64466	\N	\N	\N
119924	402	1998-01-08	PRIJEM	VKLAD	19995	67638	\N	\N	\N
119925	402	1998-02-08	PRIJEM	VKLAD	19995	64823	\N	\N	\N
119926	402	1998-03-08	PRIJEM	VKLAD	19995	63598	\N	\N	\N
119927	402	1998-04-08	PRIJEM	VKLAD	19995	52967	\N	\N	\N
119928	402	1998-05-08	PRIJEM	VKLAD	19995	55719	\N	\N	\N
119929	402	1998-06-08	PRIJEM	VKLAD	29992	60653	\N	\N	\N
119930	402	1998-07-08	PRIJEM	VKLAD	19995	33475	\N	\N	\N
119931	402	1998-08-08	PRIJEM	VKLAD	19995	37446	\N	\N	\N
119932	402	1998-09-08	PRIJEM	VKLAD	19995	50057	\N	\N	\N
119933	402	1998-10-08	PRIJEM	VKLAD	19995	53591	\N	\N	\N
119934	402	1998-11-08	PRIJEM	VKLAD	19995	50823	\N	\N	\N
119935	402	1998-12-08	PRIJEM	VKLAD	29992	57639	\N	\N	\N
119949	402	1998-02-11	VYDAJ	PREVOD NA UCET	2083	45640	SIPO	YZ	77129357
119950	402	1998-03-11	VYDAJ	PREVOD NA UCET	2083	61515	SIPO	YZ	77129357
119951	402	1998-04-11	VYDAJ	PREVOD NA UCET	2083	50884	SIPO	YZ	77129357
119952	402	1998-05-11	VYDAJ	PREVOD NA UCET	2083	48736	SIPO	YZ	77129357
119953	402	1998-06-11	VYDAJ	PREVOD NA UCET	2083	58570	SIPO	YZ	77129357
119954	402	1998-07-11	VYDAJ	PREVOD NA UCET	2083	31392	SIPO	YZ	77129357
119955	402	1998-08-11	VYDAJ	PREVOD NA UCET	2083	32163	SIPO	YZ	77129357
119956	402	1998-09-11	VYDAJ	PREVOD NA UCET	2083	35674	SIPO	YZ	77129357
119957	402	1998-10-11	VYDAJ	PREVOD NA UCET	2083	35308	SIPO	YZ	77129357
119958	402	1998-11-11	VYDAJ	PREVOD NA UCET	2083	33540	SIPO	YZ	77129357
119959	402	1998-12-11	VYDAJ	PREVOD NA UCET	2083	35256	SIPO	YZ	77129357
119974	402	1998-03-07	VYDAJ	PREVOD NA UCET	2211	43603	 	CD	98438930
119975	402	1998-04-07	VYDAJ	PREVOD NA UCET	2211	32972	 	CD	98438930
119976	402	1998-05-07	VYDAJ	PREVOD NA UCET	2211	35724	 	CD	98438930
119977	402	1998-06-07	VYDAJ	PREVOD NA UCET	2211	30661	 	CD	98438930
119978	402	1998-07-07	VYDAJ	PREVOD NA UCET	2211	13480	 	CD	98438930
119979	402	1998-08-07	VYDAJ	PREVOD NA UCET	2211	17451	 	CD	98438930
119980	402	1998-09-07	VYDAJ	PREVOD NA UCET	2211	30062	 	CD	98438930
119981	402	1998-10-07	VYDAJ	PREVOD NA UCET	2211	33596	 	CD	98438930
119982	402	1998-11-07	VYDAJ	PREVOD NA UCET	2211	30828	 	CD	98438930
119983	402	1998-12-07	VYDAJ	PREVOD NA UCET	2211	27647	 	CD	98438930
119985	402	1998-06-23	VYDAJ	VYBER	15100	15570	\N	\N	\N
119989	402	1998-12-30	VYDAJ	VYBER	800	34456	\N	\N	\N
119993	402	1998-11-16	VYDAJ	VYBER	3800	29740	\N	\N	\N
119994	402	1998-03-20	VYDAJ	VYBER	800	37615	\N	\N	\N
119995	402	1998-03-15	VYDAJ	VYBER	3600	38415	\N	\N	\N
119996	402	1998-06-21	VYDAJ	VYBER	4800	30670	\N	\N	\N
119997	402	1998-04-02	VYDAJ	VYBER	2600	35183	\N	\N	\N
119998	402	1998-05-08	VYDAJ	VYBER	4900	50819	\N	\N	\N
119999	402	1998-09-10	VYDAJ	VYBER	1100	37757	\N	\N	\N
120000	402	1998-07-13	VYDAJ	VYBER	4500	19592	\N	\N	\N
120001	402	1998-06-17	VYDAJ	VYBER	4800	35470	\N	\N	\N
120002	402	1998-10-17	VYDAJ	VYBER	2400	32908	\N	\N	\N
120017	402	1998-02-28	VYDAJ	VYBER	15	45814	SLUZBY	\N	\N
120018	402	1998-03-31	VYDAJ	VYBER	15	37783	SLUZBY	\N	\N
120019	402	1998-04-30	VYDAJ	VYBER	15	37935	SLUZBY	\N	\N
120020	402	1998-05-31	VYDAJ	VYBER	15	32872	SLUZBY	\N	\N
120021	402	1998-06-30	VYDAJ	VYBER	15	15691	SLUZBY	\N	\N
120022	402	1998-07-31	VYDAJ	VYBER	15	19662	SLUZBY	\N	\N
120023	402	1998-08-31	VYDAJ	VYBER	15	32273	SLUZBY	\N	\N
120024	402	1998-09-30	VYDAJ	VYBER	15	35807	SLUZBY	\N	\N
120025	402	1998-10-31	VYDAJ	VYBER	15	33039	SLUZBY	\N	\N
120026	402	1998-11-30	VYDAJ	VYBER	15	29858	SLUZBY	\N	\N
120027	402	1997-10-14	PRIJEM	VKLAD	3200	23995	\N	\N	\N
120028	402	1997-11-13	VYDAJ	VYBER	9700	34348	\N	\N	\N
120029	402	1997-12-13	VYDAJ	VYBER	17000	47466	\N	\N	\N
120030	402	1998-01-12	VYDAJ	VYBER	23000	44638	\N	\N	\N
120031	402	1998-02-11	VYDAJ	VYBER	17100	47723	\N	\N	\N
120032	402	1998-03-13	VYDAJ	VYBER	19500	42015	\N	\N	\N
120033	402	1998-04-12	VYDAJ	VYBER	13100	37784	\N	\N	\N
120034	402	1998-05-12	VYDAJ	VYBER	16000	32736	\N	\N	\N
120035	402	1998-06-11	VYDAJ	VYBER	18300	40270	\N	\N	\N
120036	402	1998-07-11	VYDAJ	VYBER	7300	24092	\N	\N	\N
120037	402	1998-08-10	VYDAJ	VYBER	3200	34246	\N	\N	\N
120038	402	1998-09-09	VYDAJ	VYBER	11200	38857	\N	\N	\N
120039	402	1998-10-09	VYDAJ	VYBER	16200	37391	\N	\N	\N
120040	402	1998-11-08	VYDAJ	VYBER	15200	35623	\N	\N	\N
120041	402	1998-12-08	VYDAJ	VYBER	20300	37339	\N	\N	\N
120057	403	1993-07-29	PRIJEM	VKLAD	600	600	\N	\N	\N
120065	403	1993-08-14	PRIJEM	PREVOD Z UCTU	5563	6163	DUCHOD	OP	62789594
120066	403	1993-09-14	PRIJEM	PREVOD Z UCTU	5563	11726	DUCHOD	OP	62789594
120067	403	1993-10-14	PRIJEM	PREVOD Z UCTU	5563	17289	DUCHOD	OP	62789594
120068	403	1993-11-14	PRIJEM	PREVOD Z UCTU	5563	22852	DUCHOD	OP	62789594
120069	403	1993-12-14	PRIJEM	PREVOD Z UCTU	5563	26930	DUCHOD	OP	62789594
120070	403	1994-01-14	PRIJEM	PREVOD Z UCTU	5563	22070	DUCHOD	OP	62789594
120071	403	1994-02-14	PRIJEM	PREVOD Z UCTU	5563	24310	DUCHOD	OP	62789594
120072	403	1994-03-14	PRIJEM	PREVOD Z UCTU	5563	26092	DUCHOD	OP	62789594
120073	403	1994-04-14	PRIJEM	PREVOD Z UCTU	5563	28741	DUCHOD	OP	62789594
120074	403	1994-05-14	PRIJEM	PREVOD Z UCTU	5563	26981	DUCHOD	OP	62789594
120075	403	1994-06-14	PRIJEM	PREVOD Z UCTU	5563	28077	DUCHOD	OP	62789594
120076	403	1994-07-14	PRIJEM	PREVOD Z UCTU	5563	27732	DUCHOD	OP	62789594
120077	403	1994-08-14	PRIJEM	PREVOD Z UCTU	5563	30589	DUCHOD	OP	62789594
120078	403	1994-09-14	PRIJEM	PREVOD Z UCTU	5563	31613	DUCHOD	OP	62789594
120079	403	1994-10-14	PRIJEM	PREVOD Z UCTU	5563	33184	DUCHOD	OP	62789594
120080	403	1994-11-14	PRIJEM	PREVOD Z UCTU	5563	35663	DUCHOD	OP	62789594
120081	403	1994-12-14	PRIJEM	PREVOD Z UCTU	5563	36750	DUCHOD	OP	62789594
120082	403	1995-01-14	PRIJEM	PREVOD Z UCTU	5563	34638	DUCHOD	OP	62789594
120083	403	1995-02-14	PRIJEM	PREVOD Z UCTU	5563	27193	DUCHOD	OP	62789594
120084	403	1995-03-14	PRIJEM	PREVOD Z UCTU	5563	30447	DUCHOD	OP	62789594
120085	403	1995-04-14	PRIJEM	PREVOD Z UCTU	5563	33716	DUCHOD	OP	62789594
120086	403	1995-05-14	PRIJEM	PREVOD Z UCTU	5563	36397	DUCHOD	OP	62789594
120087	403	1995-06-14	PRIJEM	PREVOD Z UCTU	5563	34424	DUCHOD	OP	62789594
120088	403	1995-07-14	PRIJEM	PREVOD Z UCTU	5563	23041	DUCHOD	OP	62789594
120089	403	1995-08-14	PRIJEM	PREVOD Z UCTU	5563	26279	DUCHOD	OP	62789594
120090	403	1995-09-14	PRIJEM	PREVOD Z UCTU	5563	29530	DUCHOD	OP	62789594
120091	403	1995-10-14	PRIJEM	PREVOD Z UCTU	5563	32794	DUCHOD	OP	62789594
120092	403	1995-11-14	PRIJEM	PREVOD Z UCTU	5563	36072	DUCHOD	OP	62789594
120093	403	1995-12-14	PRIJEM	PREVOD Z UCTU	5563	39364	DUCHOD	OP	62789594
120094	403	1996-01-14	PRIJEM	PREVOD Z UCTU	5563	41618	DUCHOD	OP	62789594
120095	403	1996-02-14	PRIJEM	PREVOD Z UCTU	5563	41227	DUCHOD	OP	62789594
120096	403	1996-03-14	PRIJEM	PREVOD Z UCTU	5563	40860	DUCHOD	OP	62789594
120097	403	1996-04-14	PRIJEM	PREVOD Z UCTU	5563	44175	DUCHOD	OP	62789594
120098	403	1996-05-14	PRIJEM	PREVOD Z UCTU	5563	45415	DUCHOD	OP	62789594
120099	403	1996-06-14	PRIJEM	PREVOD Z UCTU	5563	45796	DUCHOD	OP	62789594
120100	403	1996-07-14	PRIJEM	PREVOD Z UCTU	5563	49131	DUCHOD	OP	62789594
120101	403	1996-08-14	PRIJEM	PREVOD Z UCTU	5563	52477	DUCHOD	OP	62789594
120102	403	1996-09-14	PRIJEM	PREVOD Z UCTU	5563	55837	DUCHOD	OP	62789594
120103	403	1996-10-14	PRIJEM	PREVOD Z UCTU	5563	56810	DUCHOD	OP	62789594
120104	403	1996-11-14	PRIJEM	PREVOD Z UCTU	5563	57490	DUCHOD	OP	62789594
120105	403	1996-12-14	PRIJEM	PREVOD Z UCTU	5563	59572	DUCHOD	OP	62789594
120106	403	1997-01-14	PRIJEM	PREVOD Z UCTU	5563	61959	DUCHOD	OP	62789594
120107	403	1997-02-14	PRIJEM	PREVOD Z UCTU	5563	62756	DUCHOD	OP	62789594
120108	403	1997-03-14	PRIJEM	PREVOD Z UCTU	5563	65657	DUCHOD	OP	62789594
120109	403	1997-04-14	PRIJEM	PREVOD Z UCTU	5563	62468	DUCHOD	OP	62789594
120110	403	1997-05-14	PRIJEM	PREVOD Z UCTU	5563	64869	DUCHOD	OP	62789594
120111	403	1997-06-14	PRIJEM	PREVOD Z UCTU	5563	56076	DUCHOD	OP	62789594
120112	403	1997-07-14	PRIJEM	PREVOD Z UCTU	5563	52455	DUCHOD	OP	62789594
120113	403	1997-08-14	PRIJEM	PREVOD Z UCTU	5563	55819	DUCHOD	OP	62789594
120114	403	1997-09-14	PRIJEM	PREVOD Z UCTU	5563	59192	DUCHOD	OP	62789594
120115	403	1997-10-14	PRIJEM	PREVOD Z UCTU	5563	62579	DUCHOD	OP	62789594
120116	403	1997-11-14	PRIJEM	PREVOD Z UCTU	5563	65979	DUCHOD	OP	62789594
120117	403	1997-12-14	PRIJEM	PREVOD Z UCTU	5563	68094	DUCHOD	OP	62789594
120118	403	1998-01-14	PRIJEM	PREVOD Z UCTU	5563	71516	DUCHOD	OP	62789594
120119	403	1998-02-14	PRIJEM	PREVOD Z UCTU	5563	73050	DUCHOD	OP	62789594
120120	403	1998-03-14	PRIJEM	PREVOD Z UCTU	5563	74493	DUCHOD	OP	62789594
120121	403	1998-04-14	PRIJEM	PREVOD Z UCTU	5563	76942	DUCHOD	OP	62789594
120122	403	1998-05-14	PRIJEM	PREVOD Z UCTU	5563	74400	DUCHOD	OP	62789594
120123	403	1998-06-14	PRIJEM	PREVOD Z UCTU	5563	64800	DUCHOD	OP	62789594
120124	403	1998-07-14	PRIJEM	PREVOD Z UCTU	5563	68222	DUCHOD	OP	62789594
120125	403	1998-08-14	PRIJEM	PREVOD Z UCTU	5563	71645	DUCHOD	OP	62789594
120126	403	1998-09-14	PRIJEM	PREVOD Z UCTU	5563	75082	DUCHOD	OP	62789594
120127	403	1998-10-14	PRIJEM	PREVOD Z UCTU	5563	73432	DUCHOD	OP	62789594
120128	403	1998-11-14	PRIJEM	PREVOD Z UCTU	5563	76375	DUCHOD	OP	62789594
120129	403	1998-12-14	PRIJEM	PREVOD Z UCTU	5563	78731	DUCHOD	OP	62789594
120142	403	1994-01-07	VYDAJ	PREVOD NA UCET	2401	23107	SIPO	KL	15987736
120143	403	1994-02-07	VYDAJ	PREVOD NA UCET	2401	18747	SIPO	KL	15987736
120144	403	1994-03-07	VYDAJ	PREVOD NA UCET	2401	21489	SIPO	KL	15987736
120145	403	1994-04-07	VYDAJ	PREVOD NA UCET	2401	23178	SIPO	KL	15987736
120146	403	1994-05-07	VYDAJ	PREVOD NA UCET	2401	21418	SIPO	KL	15987736
120147	403	1994-06-07	VYDAJ	PREVOD NA UCET	2401	22514	SIPO	KL	15987736
120148	403	1994-07-07	VYDAJ	PREVOD NA UCET	2401	22169	SIPO	KL	15987736
120149	403	1994-08-07	VYDAJ	PREVOD NA UCET	2401	25026	SIPO	KL	15987736
120150	403	1994-09-07	VYDAJ	PREVOD NA UCET	2401	26050	SIPO	KL	15987736
120151	403	1994-10-07	VYDAJ	PREVOD NA UCET	2401	27621	SIPO	KL	15987736
120152	403	1994-11-07	VYDAJ	PREVOD NA UCET	2401	30100	SIPO	KL	15987736
120153	403	1994-12-07	VYDAJ	PREVOD NA UCET	2401	31187	SIPO	KL	15987736
120154	403	1995-01-07	VYDAJ	PREVOD NA UCET	2401	29075	SIPO	KL	15987736
120155	403	1995-02-07	VYDAJ	PREVOD NA UCET	2401	21630	SIPO	KL	15987736
120156	403	1995-03-07	VYDAJ	PREVOD NA UCET	2401	24884	SIPO	KL	15987736
120157	403	1995-04-07	VYDAJ	PREVOD NA UCET	2401	28153	SIPO	KL	15987736
120158	403	1995-05-07	VYDAJ	PREVOD NA UCET	2401	30834	SIPO	KL	15987736
120159	403	1995-06-07	VYDAJ	PREVOD NA UCET	2401	28861	SIPO	KL	15987736
120160	403	1995-07-07	VYDAJ	PREVOD NA UCET	2401	17478	SIPO	KL	15987736
120161	403	1995-08-07	VYDAJ	PREVOD NA UCET	2401	20716	SIPO	KL	15987736
120162	403	1995-09-07	VYDAJ	PREVOD NA UCET	2401	23967	SIPO	KL	15987736
120163	403	1995-10-07	VYDAJ	PREVOD NA UCET	2401	27231	SIPO	KL	15987736
120164	403	1995-11-07	VYDAJ	PREVOD NA UCET	2401	30509	SIPO	KL	15987736
120165	403	1995-12-07	VYDAJ	PREVOD NA UCET	2401	33801	SIPO	KL	15987736
120166	403	1996-01-07	VYDAJ	PREVOD NA UCET	2401	36055	SIPO	KL	15987736
120167	403	1996-02-07	VYDAJ	PREVOD NA UCET	2401	35664	SIPO	KL	15987736
120168	403	1996-03-07	VYDAJ	PREVOD NA UCET	2401	38977	SIPO	KL	15987736
120169	403	1996-04-07	VYDAJ	PREVOD NA UCET	2401	38612	SIPO	KL	15987736
120170	403	1996-05-07	VYDAJ	PREVOD NA UCET	2401	39852	SIPO	KL	15987736
120171	403	1996-06-07	VYDAJ	PREVOD NA UCET	2401	43183	SIPO	KL	15987736
120172	403	1996-07-07	VYDAJ	PREVOD NA UCET	2401	43568	SIPO	KL	15987736
120173	403	1996-08-07	VYDAJ	PREVOD NA UCET	2401	46914	SIPO	KL	15987736
120174	403	1996-09-07	VYDAJ	PREVOD NA UCET	2401	50274	SIPO	KL	15987736
120175	403	1996-10-07	VYDAJ	PREVOD NA UCET	2401	53647	SIPO	KL	15987736
120176	403	1996-11-07	VYDAJ	PREVOD NA UCET	2401	54627	SIPO	KL	15987736
120177	403	1996-12-07	VYDAJ	PREVOD NA UCET	2401	55309	SIPO	KL	15987736
120178	403	1997-01-07	VYDAJ	PREVOD NA UCET	2401	56396	SIPO	KL	15987736
120179	403	1997-02-07	VYDAJ	PREVOD NA UCET	2401	58493	SIPO	KL	15987736
120180	403	1997-03-07	VYDAJ	PREVOD NA UCET	2401	60594	SIPO	KL	15987736
120181	403	1997-04-07	VYDAJ	PREVOD NA UCET	2401	60305	SIPO	KL	15987736
120182	403	1997-05-07	VYDAJ	PREVOD NA UCET	2401	59306	SIPO	KL	15987736
120183	403	1997-06-07	VYDAJ	PREVOD NA UCET	2401	50513	SIPO	KL	15987736
120184	403	1997-07-07	VYDAJ	PREVOD NA UCET	2401	53892	SIPO	KL	15987736
120185	403	1997-08-07	VYDAJ	PREVOD NA UCET	2401	50256	SIPO	KL	15987736
120186	403	1997-09-07	VYDAJ	PREVOD NA UCET	2401	53629	SIPO	KL	15987736
120187	403	1997-10-07	VYDAJ	PREVOD NA UCET	2401	57016	SIPO	KL	15987736
120188	403	1997-11-07	VYDAJ	PREVOD NA UCET	2401	60416	SIPO	KL	15987736
120189	403	1997-12-07	VYDAJ	PREVOD NA UCET	2401	62531	SIPO	KL	15987736
120190	403	1998-01-07	VYDAJ	PREVOD NA UCET	2401	65953	SIPO	KL	15987736
120191	403	1998-02-07	VYDAJ	PREVOD NA UCET	2401	67487	SIPO	KL	15987736
120192	403	1998-03-07	VYDAJ	PREVOD NA UCET	2401	68930	SIPO	KL	15987736
120193	403	1998-04-07	VYDAJ	PREVOD NA UCET	2401	71379	SIPO	KL	15987736
120194	403	1998-05-07	VYDAJ	PREVOD NA UCET	2401	69637	SIPO	KL	15987736
120195	403	1998-06-07	VYDAJ	PREVOD NA UCET	2401	72287	SIPO	KL	15987736
120196	403	1998-07-07	VYDAJ	PREVOD NA UCET	2401	62659	SIPO	KL	15987736
120197	403	1998-08-07	VYDAJ	PREVOD NA UCET	2401	66082	SIPO	KL	15987736
120198	403	1998-09-07	VYDAJ	PREVOD NA UCET	2401	69519	SIPO	KL	15987736
120199	403	1998-10-07	VYDAJ	PREVOD NA UCET	2401	67869	SIPO	KL	15987736
120200	403	1998-11-07	VYDAJ	PREVOD NA UCET	2401	70812	SIPO	KL	15987736
120201	403	1998-12-07	VYDAJ	PREVOD NA UCET	2401	73868	SIPO	KL	15987736
120203	403	1994-06-26	VYDAJ	VYBER	2200	24477	\N	\N	\N
120204	403	1995-06-23	VYDAJ	VYBER	12850	19774	\N	\N	\N
120205	403	1996-06-12	VYDAJ	VYBER	2950	40233	\N	\N	\N
120206	403	1997-06-03	VYDAJ	VYBER	9200	52914	\N	\N	\N
120207	403	1998-06-09	VYDAJ	VYBER	13050	59237	\N	\N	\N
120209	403	1994-01-10	VYDAJ	VYBER	3000	20107	\N	\N	\N
120210	403	1995-01-21	VYDAJ	VYBER	2800	30718	\N	\N	\N
120211	403	1996-01-24	VYDAJ	VYBER	1900	37918	\N	\N	\N
120212	403	1997-01-22	VYDAJ	VYBER KARTOU	1300	60659	\N	\N	0
120213	403	1998-01-19	VYDAJ	VYBER KARTOU	1900	69616	\N	\N	0
120215	403	1994-12-27	VYDAJ	VYBER	1400	31350	\N	\N	\N
120216	403	1995-12-24	VYDAJ	VYBER	1050	38314	\N	\N	\N
120217	403	1996-12-16	VYDAJ	VYBER KARTOU	1000	58572	\N	\N	0
120218	403	1997-12-04	VYDAJ	VYBER KARTOU	1300	64932	\N	\N	0
120219	403	1998-12-13	VYDAJ	VYBER KARTOU	700	73168	\N	\N	0
120223	403	1994-03-07	VYDAJ	VYBER	960	20529	\N	\N	\N
120224	403	1994-08-14	VYDAJ	VYBER	2240	28349	\N	\N	\N
120225	403	1994-05-05	VYDAJ	VYBER	3920	23819	\N	\N	\N
120226	403	1994-06-01	VYDAJ	VYBER	2160	24915	\N	\N	\N
120227	403	1994-01-12	VYDAJ	VYBER	3600	16507	\N	\N	\N
120228	403	1995-01-22	VYDAJ	VYBER	1680	29038	\N	\N	\N
120229	403	1995-05-25	VYDAJ	VYBER	2960	31137	\N	\N	\N
120230	403	1995-01-30	VYDAJ	VYBER	3120	23918	\N	\N	\N
120231	403	1995-01-20	VYDAJ	VYBER	720	33518	\N	\N	\N
120232	403	1995-01-23	VYDAJ	VYBER	2000	27038	\N	\N	\N
120233	403	1996-04-14	VYDAJ	VYBER	2080	42095	\N	\N	\N
120234	403	1996-01-16	VYDAJ	VYBER	800	39818	\N	\N	\N
120235	403	1996-03-10	VYDAJ	VYBER	1280	37697	\N	\N	\N
120236	403	1996-03-13	VYDAJ	VYBER	2400	35297	\N	\N	\N
120237	403	1996-12-11	VYDAJ	VYBER KARTOU	1300	54009	\N	\N	0
120238	403	1997-07-08	VYDAJ	VYBER KARTOU	3700	50192	\N	\N	0
120239	403	1997-05-25	VYDAJ	VYBER KARTOU	3000	61869	\N	\N	0
120240	403	1997-03-26	VYDAJ	VYBER KARTOU	3200	62457	\N	\N	0
120241	403	1997-04-19	VYDAJ	VYBER KARTOU	1000	61468	\N	\N	0
120242	403	1997-07-10	VYDAJ	VYBER KARTOU	3300	46892	\N	\N	0
120243	403	1998-09-29	VYDAJ	VYBER KARTOU	3500	71582	\N	\N	0
120244	403	1998-05-11	VYDAJ	VYBER KARTOU	800	68837	\N	\N	0
120245	403	1998-05-01	VYDAJ	VYBER KARTOU	2900	74338	\N	\N	0
120258	403	1993-12-31	VYDAJ	VYBER	15	25508	SLUZBY	\N	\N
120259	403	1994-01-31	VYDAJ	VYBER	15	21148	SLUZBY	\N	\N
120260	403	1994-02-28	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
120261	403	1994-03-31	VYDAJ	VYBER	15	25579	SLUZBY	\N	\N
120262	403	1994-04-30	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
120263	403	1994-05-31	VYDAJ	VYBER	15	27075	SLUZBY	\N	\N
120264	403	1994-06-30	VYDAJ	VYBER	15	24570	SLUZBY	\N	\N
120265	403	1994-07-31	VYDAJ	VYBER	15	27427	SLUZBY	\N	\N
120266	403	1994-08-31	VYDAJ	VYBER	15	28451	SLUZBY	\N	\N
120267	403	1994-09-30	VYDAJ	VYBER	15	30022	SLUZBY	\N	\N
120268	403	1994-10-31	VYDAJ	VYBER	15	32501	SLUZBY	\N	\N
120269	403	1994-11-30	VYDAJ	VYBER	15	33588	SLUZBY	\N	\N
120270	403	1994-12-31	VYDAJ	VYBER	15	31476	SLUZBY	\N	\N
120271	403	1995-01-31	VYDAJ	VYBER	15	24031	SLUZBY	\N	\N
120272	403	1995-02-28	VYDAJ	VYBER	15	27285	SLUZBY	\N	\N
120273	403	1995-03-31	VYDAJ	VYBER	15	30554	SLUZBY	\N	\N
120274	403	1995-04-30	VYDAJ	VYBER	15	33235	SLUZBY	\N	\N
120275	403	1995-05-31	VYDAJ	VYBER	15	31262	SLUZBY	\N	\N
120276	403	1995-06-30	VYDAJ	VYBER	15	19879	SLUZBY	\N	\N
120277	403	1995-07-31	VYDAJ	VYBER	15	23117	SLUZBY	\N	\N
120278	403	1995-08-31	VYDAJ	VYBER	15	26368	SLUZBY	\N	\N
120279	403	1995-09-30	VYDAJ	VYBER	15	29632	SLUZBY	\N	\N
120280	403	1995-10-31	VYDAJ	VYBER	15	32910	SLUZBY	\N	\N
120281	403	1995-11-30	VYDAJ	VYBER	15	36202	SLUZBY	\N	\N
120282	403	1995-12-31	VYDAJ	VYBER	15	38456	SLUZBY	\N	\N
120283	403	1996-01-31	VYDAJ	VYBER	15	38065	SLUZBY	\N	\N
120284	403	1996-02-29	VYDAJ	VYBER	15	41378	SLUZBY	\N	\N
120285	403	1996-03-31	VYDAJ	VYBER	15	41013	SLUZBY	\N	\N
120286	403	1996-04-30	VYDAJ	VYBER	15	42253	SLUZBY	\N	\N
120287	403	1996-05-31	VYDAJ	VYBER	15	45584	SLUZBY	\N	\N
120288	403	1996-06-30	VYDAJ	VYBER	15	45969	SLUZBY	\N	\N
120289	403	1996-07-31	VYDAJ	VYBER	15	49315	SLUZBY	\N	\N
120290	403	1996-08-31	VYDAJ	VYBER	15	52675	SLUZBY	\N	\N
120291	403	1996-09-30	VYDAJ	VYBER	15	56048	SLUZBY	\N	\N
120292	403	1996-10-31	VYDAJ	VYBER	15	57028	SLUZBY	\N	\N
120293	403	1996-11-30	VYDAJ	VYBER	15	57710	SLUZBY	\N	\N
120294	403	1996-12-31	VYDAJ	VYBER	15	58797	SLUZBY	\N	\N
120295	403	1997-01-31	VYDAJ	VYBER	15	60894	SLUZBY	\N	\N
120296	403	1997-02-28	VYDAJ	VYBER	15	62995	SLUZBY	\N	\N
120297	403	1997-03-31	VYDAJ	VYBER	15	62706	SLUZBY	\N	\N
120298	403	1997-04-30	VYDAJ	VYBER	15	61707	SLUZBY	\N	\N
120299	403	1997-05-31	VYDAJ	VYBER	15	62114	SLUZBY	\N	\N
120300	403	1997-06-30	VYDAJ	VYBER	15	56293	SLUZBY	\N	\N
120301	403	1997-07-31	VYDAJ	VYBER	15	52657	SLUZBY	\N	\N
120302	403	1997-08-31	VYDAJ	VYBER	15	56030	SLUZBY	\N	\N
120303	403	1997-09-30	VYDAJ	VYBER	15	59417	SLUZBY	\N	\N
120304	403	1997-10-31	VYDAJ	VYBER	15	62817	SLUZBY	\N	\N
120305	403	1997-11-30	VYDAJ	VYBER	15	66232	SLUZBY	\N	\N
120306	403	1997-12-31	VYDAJ	VYBER	15	68354	SLUZBY	\N	\N
120307	403	1998-01-31	VYDAJ	VYBER	15	69888	SLUZBY	\N	\N
120308	403	1998-02-28	VYDAJ	VYBER	15	73331	SLUZBY	\N	\N
120309	403	1998-03-31	VYDAJ	VYBER	15	74780	SLUZBY	\N	\N
120310	403	1998-04-30	VYDAJ	VYBER	15	77238	SLUZBY	\N	\N
120311	403	1998-05-31	VYDAJ	VYBER	15	74688	SLUZBY	\N	\N
120312	403	1998-06-30	VYDAJ	VYBER	15	65060	SLUZBY	\N	\N
120313	403	1998-07-31	VYDAJ	VYBER	15	68483	SLUZBY	\N	\N
120314	403	1998-08-31	VYDAJ	VYBER	15	71920	SLUZBY	\N	\N
120315	403	1998-09-30	VYDAJ	VYBER	15	71870	SLUZBY	\N	\N
120316	403	1998-10-31	VYDAJ	VYBER	15	73713	SLUZBY	\N	\N
120317	403	1998-11-30	VYDAJ	VYBER	15	76269	SLUZBY	\N	\N
120318	403	1993-11-26	VYDAJ	VYBER	1500	21352	\N	\N	\N
120319	403	1993-12-26	VYDAJ	VYBER	1500	25430	\N	\N	\N
120320	403	1994-01-25	VYDAJ	VYBER	1000	21070	\N	\N	\N
120321	403	1994-02-24	VYDAJ	VYBER	500	23810	\N	\N	\N
120322	403	1994-03-26	VYDAJ	VYBER	600	25492	\N	\N	\N
120323	403	1994-04-25	VYDAJ	VYBER	1100	27641	\N	\N	\N
120324	403	1994-06-24	VYDAJ	VYBER	1400	26677	\N	\N	\N
120325	403	1994-07-24	VYDAJ	VYBER	400	27332	\N	\N	\N
120326	403	1994-09-22	VYDAJ	VYBER	1700	29913	\N	\N	\N
120327	403	1994-10-22	VYDAJ	VYBER	800	32384	\N	\N	\N
120328	403	1994-11-21	VYDAJ	VYBER	2200	33463	\N	\N	\N
120329	403	1994-12-21	VYDAJ	VYBER	4000	32750	\N	\N	\N
120330	403	1995-01-20	VYDAJ	VYBER	400	34238	\N	\N	\N
120331	403	1995-04-20	VYDAJ	VYBER	600	33116	\N	\N	\N
120332	403	1995-05-20	VYDAJ	VYBER	2300	34097	\N	\N	\N
120333	403	1995-06-19	VYDAJ	VYBER	1800	32624	\N	\N	\N
120334	403	1996-01-15	VYDAJ	VYBER	1000	40618	\N	\N	\N
120335	403	1996-10-11	VYDAJ	VYBER KARTOU	2400	51247	\N	\N	0
120336	403	1996-11-10	VYDAJ	VYBER KARTOU	2700	51927	\N	\N	0
120337	403	1997-02-08	VYDAJ	VYBER KARTOU	1300	57193	\N	\N	0
120338	403	1997-03-10	VYDAJ	VYBER KARTOU	500	60094	\N	\N	0
120339	403	1997-04-09	VYDAJ	VYBER KARTOU	3400	56905	\N	\N	0
120340	403	1998-03-05	VYDAJ	VYBER KARTOU	2000	71331	\N	\N	0
120341	403	1998-04-04	VYDAJ	VYBER KARTOU	1000	73780	\N	\N	0
120342	403	1998-05-04	VYDAJ	VYBER KARTOU	2300	72038	\N	\N	0
120343	403	1998-10-01	VYDAJ	VYBER KARTOU	1600	70270	\N	\N	0
120344	403	1998-10-31	VYDAJ	VYBER KARTOU	500	73213	\N	\N	0
120345	403	1998-11-30	VYDAJ	VYBER KARTOU	400	76283	\N	\N	0
120408	404	1995-04-28	PRIJEM	VKLAD	300	300	\N	\N	\N
120413	404	1995-05-13	PRIJEM	PREVOD Z UCTU	32381	32681	\N	ST	27661901
120414	404	1995-06-13	PRIJEM	PREVOD Z UCTU	48572	75367	\N	ST	27661901
120415	404	1995-07-13	PRIJEM	PREVOD Z UCTU	32381	84874	\N	ST	27661901
120416	404	1995-08-13	PRIJEM	PREVOD Z UCTU	32381	88776	\N	ST	27661901
120417	404	1995-09-13	PRIJEM	PREVOD Z UCTU	32381	88791	\N	ST	27661901
120418	404	1995-10-13	PRIJEM	PREVOD Z UCTU	32381	84779	\N	ST	27661901
120419	404	1995-11-13	PRIJEM	PREVOD Z UCTU	32381	85216	\N	ST	27661901
120420	404	1995-12-13	PRIJEM	PREVOD Z UCTU	48572	94744	\N	ST	27661901
120421	404	1996-01-13	PRIJEM	PREVOD Z UCTU	32381	51244	\N	ST	27661901
120422	404	1996-02-13	PRIJEM	PREVOD Z UCTU	32381	52839	\N	ST	27661901
120423	404	1996-03-13	PRIJEM	PREVOD Z UCTU	32381	52905	\N	ST	27661901
120424	404	1996-04-13	PRIJEM	PREVOD Z UCTU	32381	56637	\N	ST	27661901
120425	404	1996-05-13	PRIJEM	PREVOD Z UCTU	32381	75679	\N	ST	27661901
120426	404	1996-06-13	PRIJEM	PREVOD Z UCTU	48572	79373	\N	ST	27661901
120427	404	1996-07-13	PRIJEM	PREVOD Z UCTU	32381	84953	\N	ST	27661901
120428	404	1996-08-13	PRIJEM	PREVOD Z UCTU	32381	76278	\N	ST	27661901
120429	404	1996-09-13	PRIJEM	PREVOD Z UCTU	32381	86090	\N	ST	27661901
120430	404	1996-10-13	PRIJEM	PREVOD Z UCTU	32381	75402	\N	ST	27661901
120431	404	1996-11-13	PRIJEM	PREVOD Z UCTU	32381	76009	\N	ST	27661901
120432	404	1996-12-13	PRIJEM	PREVOD Z UCTU	48572	92302	\N	ST	27661901
120433	404	1997-01-13	PRIJEM	PREVOD Z UCTU	32381	72340	\N	ST	27661901
120434	404	1997-02-13	PRIJEM	PREVOD Z UCTU	32381	58731	\N	ST	27661901
120435	404	1997-03-13	PRIJEM	PREVOD Z UCTU	32381	73691	\N	ST	27661901
120436	404	1997-04-13	PRIJEM	PREVOD Z UCTU	32381	85977	\N	ST	27661901
120437	404	1997-05-13	PRIJEM	PREVOD Z UCTU	32381	75276	\N	ST	27661901
120438	404	1997-06-13	PRIJEM	PREVOD Z UCTU	48572	81904	\N	ST	27661901
120439	404	1997-07-13	PRIJEM	PREVOD Z UCTU	32381	76883	\N	ST	27661901
120440	404	1997-08-13	PRIJEM	PREVOD Z UCTU	32381	74521	\N	ST	27661901
120441	404	1997-09-13	PRIJEM	PREVOD Z UCTU	32381	89920	\N	ST	27661901
120442	404	1997-10-13	PRIJEM	PREVOD Z UCTU	32381	94757	\N	ST	27661901
120443	404	1997-11-13	PRIJEM	PREVOD Z UCTU	32381	100306	\N	ST	27661901
120444	404	1997-12-13	PRIJEM	PREVOD Z UCTU	48572	100170	\N	ST	27661901
120445	404	1998-01-13	PRIJEM	PREVOD Z UCTU	32381	82178	\N	ST	27661901
120446	404	1998-02-13	PRIJEM	PREVOD Z UCTU	32381	74487	\N	ST	27661901
120447	404	1998-03-13	PRIJEM	PREVOD Z UCTU	32381	70069	\N	ST	27661901
120448	404	1998-04-13	PRIJEM	PREVOD Z UCTU	32381	70847	\N	ST	27661901
120449	404	1998-05-13	PRIJEM	PREVOD Z UCTU	32381	85836	\N	ST	27661901
120450	404	1998-06-13	PRIJEM	PREVOD Z UCTU	48572	111099	\N	ST	27661901
120451	404	1998-07-13	PRIJEM	PREVOD Z UCTU	32381	95907	\N	ST	27661901
120452	404	1998-08-13	PRIJEM	PREVOD Z UCTU	32381	93763	\N	ST	27661901
120453	404	1998-09-13	PRIJEM	PREVOD Z UCTU	32381	99474	\N	ST	27661901
120454	404	1998-10-13	PRIJEM	PREVOD Z UCTU	32381	88075	\N	ST	27661901
120455	404	1998-11-13	PRIJEM	PREVOD Z UCTU	32381	98268	\N	ST	27661901
120456	404	1998-12-13	PRIJEM	PREVOD Z UCTU	48572	124186	\N	ST	27661901
120466	404	1995-10-12	VYDAJ	PREVOD NA UCET	1563	52398	SIPO	GH	68393963
120467	404	1995-11-12	VYDAJ	PREVOD NA UCET	1563	52835	SIPO	GH	68393963
120468	404	1995-12-12	VYDAJ	PREVOD NA UCET	1563	46172	SIPO	GH	68393963
120469	404	1996-01-12	VYDAJ	PREVOD NA UCET	1563	18863	SIPO	GH	68393963
120470	404	1996-02-12	VYDAJ	PREVOD NA UCET	1563	20458	SIPO	GH	68393963
120471	404	1996-03-12	VYDAJ	PREVOD NA UCET	1563	20524	SIPO	GH	68393963
120472	404	1996-04-12	VYDAJ	PREVOD NA UCET	1563	24256	SIPO	GH	68393963
120473	404	1996-05-12	VYDAJ	PREVOD NA UCET	1563	43298	SIPO	GH	68393963
120474	404	1996-06-12	VYDAJ	PREVOD NA UCET	1563	30801	SIPO	GH	68393963
120475	404	1996-07-12	VYDAJ	PREVOD NA UCET	1563	52572	SIPO	GH	68393963
120476	404	1996-08-12	VYDAJ	PREVOD NA UCET	1563	43897	SIPO	GH	68393963
120477	404	1996-09-12	VYDAJ	PREVOD NA UCET	1563	53709	SIPO	GH	68393963
120478	404	1996-10-12	VYDAJ	PREVOD NA UCET	1563	43021	SIPO	GH	68393963
120479	404	1996-11-12	VYDAJ	PREVOD NA UCET	1563	43628	SIPO	GH	68393963
120480	404	1996-12-12	VYDAJ	PREVOD NA UCET	1563	43730	SIPO	GH	68393963
120481	404	1997-01-12	VYDAJ	PREVOD NA UCET	1563	39959	SIPO	GH	68393963
120482	404	1997-02-12	VYDAJ	PREVOD NA UCET	1563	26350	SIPO	GH	68393963
120483	404	1997-03-12	VYDAJ	PREVOD NA UCET	1563	41310	SIPO	GH	68393963
120484	404	1997-04-12	VYDAJ	PREVOD NA UCET	1563	53596	SIPO	GH	68393963
120485	404	1997-05-12	VYDAJ	PREVOD NA UCET	1563	42895	SIPO	GH	68393963
120486	404	1997-06-12	VYDAJ	PREVOD NA UCET	1563	33332	SIPO	GH	68393963
120487	404	1997-07-12	VYDAJ	PREVOD NA UCET	1563	44502	SIPO	GH	68393963
120488	404	1997-08-12	VYDAJ	PREVOD NA UCET	1563	42140	SIPO	GH	68393963
120489	404	1997-09-12	VYDAJ	PREVOD NA UCET	1563	57539	SIPO	GH	68393963
120490	404	1997-10-12	VYDAJ	PREVOD NA UCET	1563	62376	SIPO	GH	68393963
120491	404	1997-11-12	VYDAJ	PREVOD NA UCET	1563	67925	SIPO	GH	68393963
120492	404	1997-12-12	VYDAJ	PREVOD NA UCET	1563	51598	SIPO	GH	68393963
120493	404	1998-01-12	VYDAJ	PREVOD NA UCET	1563	55197	SIPO	GH	68393963
120494	404	1998-02-12	VYDAJ	PREVOD NA UCET	1563	42106	SIPO	GH	68393963
120495	404	1998-03-12	VYDAJ	PREVOD NA UCET	1563	37688	SIPO	GH	68393963
120496	404	1998-04-12	VYDAJ	PREVOD NA UCET	1563	38466	SIPO	GH	68393963
120497	404	1998-05-12	VYDAJ	PREVOD NA UCET	1563	53455	SIPO	GH	68393963
120498	404	1998-06-12	VYDAJ	PREVOD NA UCET	1563	62527	SIPO	GH	68393963
120499	404	1998-07-12	VYDAJ	PREVOD NA UCET	1563	63526	SIPO	GH	68393963
120500	404	1998-08-12	VYDAJ	PREVOD NA UCET	1563	61382	SIPO	GH	68393963
120501	404	1998-09-12	VYDAJ	PREVOD NA UCET	1563	67093	SIPO	GH	68393963
120502	404	1998-10-12	VYDAJ	PREVOD NA UCET	1563	61394	SIPO	GH	68393963
120503	404	1998-11-12	VYDAJ	PREVOD NA UCET	1563	65887	SIPO	GH	68393963
120504	404	1998-12-12	VYDAJ	PREVOD NA UCET	1563	75614	SIPO	GH	68393963
120514	404	1995-10-07	VYDAJ	PREVOD NA UCET	3450	53961	 	WX	36616319
120515	404	1995-11-07	VYDAJ	PREVOD NA UCET	3450	54398	 	WX	36616319
120516	404	1995-12-07	VYDAJ	PREVOD NA UCET	3450	56135	 	WX	36616319
120517	404	1996-01-07	VYDAJ	PREVOD NA UCET	3450	32726	 	WX	36616319
120518	404	1996-02-07	VYDAJ	PREVOD NA UCET	3450	22021	 	WX	36616319
120519	404	1996-03-07	VYDAJ	PREVOD NA UCET	3450	22087	 	WX	36616319
120520	404	1996-04-07	VYDAJ	PREVOD NA UCET	3450	25819	 	WX	36616319
120521	404	1996-05-07	VYDAJ	PREVOD NA UCET	3450	44861	 	WX	36616319
120522	404	1996-06-07	VYDAJ	PREVOD NA UCET	3450	32364	 	WX	36616319
120523	404	1996-07-07	VYDAJ	PREVOD NA UCET	3450	54135	 	WX	36616319
120524	404	1996-08-07	VYDAJ	PREVOD NA UCET	3450	56560	 	WX	36616319
120525	404	1996-09-07	VYDAJ	PREVOD NA UCET	3450	55272	 	WX	36616319
120526	404	1996-10-07	VYDAJ	PREVOD NA UCET	3450	44584	 	WX	36616319
120527	404	1996-11-07	VYDAJ	PREVOD NA UCET	3450	45191	 	WX	36616319
120528	404	1996-12-07	VYDAJ	PREVOD NA UCET	3450	51593	 	WX	36616319
120529	404	1997-01-07	VYDAJ	PREVOD NA UCET	3450	55322	 	WX	36616319
120530	404	1997-02-07	VYDAJ	PREVOD NA UCET	3450	27913	 	WX	36616319
120531	404	1997-03-07	VYDAJ	PREVOD NA UCET	3450	42873	 	WX	36616319
120532	404	1997-04-07	VYDAJ	PREVOD NA UCET	3450	55159	 	WX	36616319
120533	404	1997-05-07	VYDAJ	PREVOD NA UCET	3450	64888	 	WX	36616319
120534	404	1997-06-07	VYDAJ	PREVOD NA UCET	3450	34895	 	WX	36616319
120535	404	1997-07-07	VYDAJ	PREVOD NA UCET	3450	46065	 	WX	36616319
120536	404	1997-08-07	VYDAJ	PREVOD NA UCET	3450	43703	 	WX	36616319
120537	404	1997-09-07	VYDAJ	PREVOD NA UCET	3450	59102	 	WX	36616319
120538	404	1997-10-07	VYDAJ	PREVOD NA UCET	3450	63939	 	WX	36616319
120539	404	1997-11-07	VYDAJ	PREVOD NA UCET	3450	69488	 	WX	36616319
120540	404	1997-12-07	VYDAJ	PREVOD NA UCET	3450	53161	 	WX	36616319
120541	404	1998-01-07	VYDAJ	PREVOD NA UCET	3450	56760	 	WX	36616319
120542	404	1998-02-07	VYDAJ	PREVOD NA UCET	3450	41769	 	WX	36616319
120543	404	1998-03-07	VYDAJ	PREVOD NA UCET	3450	39251	 	WX	36616319
120544	404	1998-04-07	VYDAJ	PREVOD NA UCET	3450	31629	 	WX	36616319
120545	404	1998-05-07	VYDAJ	PREVOD NA UCET	3450	60918	 	WX	36616319
120546	404	1998-06-07	VYDAJ	PREVOD NA UCET	3450	82690	 	WX	36616319
120547	404	1998-07-07	VYDAJ	PREVOD NA UCET	3450	80589	 	WX	36616319
120548	404	1998-08-07	VYDAJ	PREVOD NA UCET	3450	70645	 	WX	36616319
120549	404	1998-09-07	VYDAJ	PREVOD NA UCET	3450	90656	 	WX	36616319
120550	404	1998-10-07	VYDAJ	PREVOD NA UCET	3450	74257	 	WX	36616319
120551	404	1998-11-07	VYDAJ	PREVOD NA UCET	3450	80450	 	WX	36616319
120552	404	1998-12-07	VYDAJ	PREVOD NA UCET	3450	95177	 	WX	36616319
120553	404	1995-12-26	VYBER	VYBER	20037	41007	\N	\N	\N
120556	404	1996-05-20	VYBER	VYBER	20913	44686	\N	\N	\N
120557	404	1996-03-05	VYBER	VYBER	20452	25537	\N	\N	\N
120558	404	1996-05-15	VYBER	VYBER	10080	65599	\N	\N	\N
120560	404	1996-05-20	VYBER	VYBER	14659	30027	\N	\N	\N
120561	404	1996-01-16	VYBER	VYBER	18991	32253	\N	\N	\N
120562	404	1996-10-16	VYBER	VYBER	7380	52045	\N	\N	\N
120563	404	1996-09-15	VYBER	VYBER	10991	75099	\N	\N	\N
120564	404	1996-10-15	VYBER	VYBER	15977	59425	\N	\N	\N
120565	404	1997-08-06	VYBER	VYBER	14958	47153	\N	\N	\N
120566	404	1997-11-26	VYBER	VYBER	11479	63527	\N	\N	\N
120567	404	1997-06-05	VYBER	VYBER	14669	38345	\N	\N	\N
120568	404	1997-05-11	VYBER	VYBER	20430	44458	\N	\N	\N
120569	404	1998-09-20	VYBER	VYBER	12216	87258	\N	\N	\N
120570	404	1998-02-21	VYBER	VYBER	23291	48196	\N	\N	\N
120571	404	1998-04-29	VYBER	VYBER	6697	64150	\N	\N	\N
120572	404	1998-03-28	VYBER	VYBER	18374	34895	\N	\N	\N
120574	404	1998-06-28	VYBER	VYBER	16134	83661	\N	\N	\N
120575	404	1998-06-22	VYBER	VYBER	11304	99795	\N	\N	\N
120576	404	1998-07-16	VYBER	VYBER	14040	81867	\N	\N	\N
120579	404	1997-06-25	VYDAJ	VYBER	13500	49304	\N	\N	\N
120583	404	1997-01-05	VYDAJ	VYBER	5400	58772	\N	\N	\N
120584	404	1998-01-23	VYDAJ	VYBER	7200	53378	\N	\N	\N
120585	404	1995-12-12	VYDAJ	VYBER	8400	47735	\N	\N	\N
120586	404	1996-12-10	VYDAJ	VYBER	6300	45293	\N	\N	\N
120587	404	1997-12-03	VYDAJ	VYBER	7200	56611	\N	\N	\N
120588	404	1998-12-18	VYDAJ	VYBER KARTOU	2100	73686	\N	\N	0
120596	404	1996-01-19	VYDAJ	VYBER	7200	25053	\N	\N	\N
120597	404	1996-01-27	VYDAJ	VYBER KARTOU	2100	25353	\N	\N	0
120598	404	1996-01-24	VYDAJ	VYBER KARTOU	2700	27453	\N	\N	0
120599	404	1996-01-02	VYDAJ	VYBER	5100	36176	\N	\N	\N
120600	404	1996-01-11	VYDAJ	VYBER	6600	20426	\N	\N	\N
120601	404	1997-01-11	VYDAJ	VYBER	6300	49022	\N	\N	\N
120602	404	1997-01-12	VYDAJ	VYBER	7500	41522	\N	\N	\N
120603	404	1997-01-29	VYDAJ	VYBER	5400	45840	\N	\N	\N
120604	404	1997-01-04	VYDAJ	VYBER	6600	64172	\N	\N	\N
120605	404	1997-01-15	VYDAJ	VYBER	8100	64240	\N	\N	\N
120606	404	1997-01-27	VYDAJ	VYBER KARTOU	3600	51240	\N	\N	0
120607	404	1998-01-22	VYDAJ	VYBER	8100	60578	\N	\N	\N
120608	404	1998-01-25	VYDAJ	VYBER KARTOU	2700	50678	\N	\N	0
120609	404	1998-01-20	VYDAJ	VYBER	5400	68678	\N	\N	\N
120610	404	1998-01-14	VYDAJ	VYBER KARTOU	1500	80678	\N	\N	0
120611	404	1998-01-30	VYDAJ	VYBER	5700	44978	\N	\N	\N
120612	404	1998-01-18	VYDAJ	VYBER	6600	74078	\N	\N	\N
120618	404	1996-12-03	VYDAJ	VYBER	9300	55043	\N	\N	\N
120619	404	1996-09-23	VYDAJ	VYBER	14400	47799	\N	\N	\N
120620	404	1996-08-11	VYDAJ	VYBER	11100	45460	\N	\N	\N
120621	404	1996-04-01	VYDAJ	VYBER	14700	29269	\N	\N	\N
120623	404	1996-01-08	VYDAJ	VYBER	5700	27026	\N	\N	\N
120624	404	1997-12-18	VYDAJ	VYBER	12900	59970	\N	\N	\N
120625	404	1997-09-30	VYDAJ	VYBER	4800	67389	\N	\N	\N
120626	404	1997-02-16	VYDAJ	VYBER	14400	46131	\N	\N	\N
120627	404	1997-02-05	VYDAJ	VYBER	14700	31363	\N	\N	\N
120628	404	1997-05-19	VYDAJ	VYBER	11100	52776	\N	\N	\N
120629	404	1998-10-12	VYDAJ	VYBER	5700	55694	\N	\N	\N
120630	404	1998-09-26	VYDAJ	VYBER	9900	77358	\N	\N	\N
120631	404	1998-02-20	VYDAJ	VYBER KARTOU	3000	71487	\N	\N	0
120632	404	1998-02-24	VYDAJ	VYBER	5700	42496	\N	\N	\N
120633	404	1998-03-24	VYDAJ	VYBER	4200	53269	\N	\N	\N
120634	404	1998-11-05	VYDAJ	VYBER	4500	83900	\N	\N	\N
120635	404	1998-08-07	VYDAJ	VYBER	8100	74095	\N	\N	\N
120645	404	1995-09-30	VYDAJ	VYBER	15	57411	SLUZBY	\N	\N
120646	404	1995-10-31	VYDAJ	VYBER	15	57848	SLUZBY	\N	\N
120647	404	1995-11-30	VYDAJ	VYBER	15	59585	SLUZBY	\N	\N
120648	404	1995-12-31	VYDAJ	VYBER	15	41276	SLUZBY	\N	\N
120649	404	1996-01-31	VYDAJ	VYBER	15	25471	SLUZBY	\N	\N
120650	404	1996-02-29	VYDAJ	VYBER	15	45989	SLUZBY	\N	\N
120651	404	1996-03-31	VYDAJ	VYBER	15	43969	SLUZBY	\N	\N
120652	404	1996-04-30	VYDAJ	VYBER	15	48311	SLUZBY	\N	\N
120653	404	1996-05-31	VYDAJ	VYBER	15	35814	SLUZBY	\N	\N
120654	404	1996-06-30	VYDAJ	VYBER	15	57585	SLUZBY	\N	\N
120655	404	1996-07-31	VYDAJ	VYBER	15	60010	SLUZBY	\N	\N
120656	404	1996-08-31	VYDAJ	VYBER	15	58722	SLUZBY	\N	\N
120657	404	1996-09-30	VYDAJ	VYBER	15	48034	SLUZBY	\N	\N
120658	404	1996-10-31	VYDAJ	VYBER	15	48641	SLUZBY	\N	\N
120659	404	1996-11-30	VYDAJ	VYBER	15	64343	SLUZBY	\N	\N
120660	404	1996-12-31	VYDAJ	VYBER	15	70772	SLUZBY	\N	\N
120661	404	1997-01-31	VYDAJ	VYBER	15	46063	SLUZBY	\N	\N
120662	404	1997-02-28	VYDAJ	VYBER	15	46323	SLUZBY	\N	\N
120663	404	1997-03-31	VYDAJ	VYBER	15	58609	SLUZBY	\N	\N
120664	404	1997-04-30	VYDAJ	VYBER	15	68338	SLUZBY	\N	\N
120665	404	1997-05-31	VYDAJ	VYBER	15	53014	SLUZBY	\N	\N
120666	404	1997-06-30	VYDAJ	VYBER	15	49515	SLUZBY	\N	\N
120667	404	1997-07-31	VYDAJ	VYBER	15	62111	SLUZBY	\N	\N
120668	404	1997-08-31	VYDAJ	VYBER	15	62552	SLUZBY	\N	\N
120669	404	1997-09-30	VYDAJ	VYBER	15	72189	SLUZBY	\N	\N
120670	404	1997-10-31	VYDAJ	VYBER	15	72938	SLUZBY	\N	\N
120671	404	1997-11-30	VYDAJ	VYBER	15	63811	SLUZBY	\N	\N
120672	404	1997-12-31	VYDAJ	VYBER	15	60210	SLUZBY	\N	\N
120673	404	1998-01-31	VYDAJ	VYBER	15	45219	SLUZBY	\N	\N
120674	404	1998-02-28	VYDAJ	VYBER	15	42701	SLUZBY	\N	\N
120675	404	1998-03-31	VYDAJ	VYBER	15	35079	SLUZBY	\N	\N
120676	404	1998-04-30	VYDAJ	VYBER	15	64368	SLUZBY	\N	\N
120677	404	1998-05-31	VYDAJ	VYBER	15	86140	SLUZBY	\N	\N
120678	404	1998-06-30	VYDAJ	VYBER	15	84039	SLUZBY	\N	\N
120679	404	1998-07-31	VYDAJ	VYBER	15	82195	SLUZBY	\N	\N
120680	404	1998-08-31	VYDAJ	VYBER	15	94106	SLUZBY	\N	\N
120681	404	1998-09-30	VYDAJ	VYBER	15	77707	SLUZBY	\N	\N
120682	404	1998-10-31	VYDAJ	VYBER	15	88400	SLUZBY	\N	\N
120683	404	1998-11-30	VYDAJ	VYBER	15	98627	SLUZBY	\N	\N
120684	404	1995-05-28	VYDAJ	VYBER	5900	26781	\N	\N	\N
120685	404	1995-06-27	VYDAJ	VYBER	23000	52367	\N	\N	\N
120686	404	1995-07-27	VYDAJ	VYBER	28700	56174	\N	\N	\N
120687	404	1995-08-26	VYDAJ	VYBER	32600	56176	\N	\N	\N
120688	404	1995-09-25	VYDAJ	VYBER	31600	57191	\N	\N	\N
120689	404	1995-10-25	VYDAJ	VYBER	27200	57579	\N	\N	\N
120690	404	1995-11-24	VYDAJ	VYBER	25900	59316	\N	\N	\N
120691	404	1995-12-24	VYDAJ	VYBER	33700	61044	\N	\N	\N
120692	404	1996-01-23	PRIJEM	VKLAD	5100	30153	\N	\N	\N
120693	404	1996-02-22	VYDAJ	VYBER	7000	45839	\N	\N	\N
120694	404	1996-03-23	VYDAJ	VYBER	9100	43805	\N	\N	\N
120695	404	1996-04-22	VYDAJ	VYBER	8500	48137	\N	\N	\N
120696	404	1996-05-22	PRIJEM	VKLAD	5600	35627	\N	\N	\N
120697	404	1996-06-21	VYDAJ	VYBER	22000	57373	\N	\N	\N
120698	404	1996-07-21	VYDAJ	VYBER	25200	59753	\N	\N	\N
120699	404	1996-08-20	VYDAJ	VYBER	17800	58478	\N	\N	\N
120700	404	1996-09-19	VYDAJ	VYBER	12900	62199	\N	\N	\N
120701	404	1996-10-19	VYDAJ	VYBER KARTOU	3600	48445	\N	\N	0
120702	404	1996-11-18	VYDAJ	VYBER	11900	64109	\N	\N	\N
120703	404	1996-12-18	VYDAJ	VYBER	21800	70502	\N	\N	\N
120704	404	1997-01-17	VYDAJ	VYBER	9400	54840	\N	\N	\N
120705	404	1997-02-16	PRIJEM	VKLAD	1800	60531	\N	\N	\N
120706	404	1997-03-18	VYDAJ	VYBER	15300	58391	\N	\N	\N
120707	404	1997-04-17	VYDAJ	VYBER	17900	68077	\N	\N	\N
120708	404	1997-05-17	VYDAJ	VYBER	11400	63876	\N	\N	\N
120709	404	1997-06-16	VYDAJ	VYBER	19100	62804	\N	\N	\N
120710	404	1997-07-16	VYDAJ	VYBER	15000	61883	\N	\N	\N
120711	404	1997-08-15	VYDAJ	VYBER	12200	62321	\N	\N	\N
120712	404	1997-09-14	VYDAJ	VYBER	18000	71920	\N	\N	\N
120713	404	1997-10-14	VYDAJ	VYBER	22100	72657	\N	\N	\N
120714	404	1997-11-13	VYDAJ	VYBER	25300	75006	\N	\N	\N
120715	404	1997-12-13	VYDAJ	VYBER	27300	72870	\N	\N	\N
120716	404	1998-01-12	VYDAJ	VYBER	5400	49797	\N	\N	\N
120717	404	1998-02-11	PRIJEM	VKLAD	1900	43669	\N	\N	\N
120718	404	1998-03-13	VYDAJ	VYBER	12600	57469	\N	\N	\N
120719	404	1998-04-12	PRIJEM	VKLAD	8400	40029	\N	\N	\N
120720	404	1998-05-12	VYDAJ	VYBER	5900	55018	\N	\N	\N
120721	404	1998-06-11	VYDAJ	VYBER	18600	64090	\N	\N	\N
120722	404	1998-07-11	VYDAJ	VYBER	15500	65089	\N	\N	\N
120723	404	1998-08-10	VYDAJ	VYBER	7700	62945	\N	\N	\N
120724	404	1998-09-09	VYDAJ	VYBER	22000	68656	\N	\N	\N
120725	404	1998-10-09	VYDAJ	VYBER	11300	62957	\N	\N	\N
120726	404	1998-11-08	VYDAJ	VYBER	13000	67450	\N	\N	\N
120727	404	1998-12-08	VYDAJ	VYBER	18000	77177	\N	\N	\N
120728	404	1998-12-13	VYDAJ	VYBER	48400	75786	\N	\N	\N
120773	405	1997-03-13	PRIJEM	VKLAD	500	500	\N	\N	\N
120775	405	1997-11-01	PRIJEM	VKLAD	33941	63721	\N	\N	\N
120776	405	1997-08-06	PRIJEM	VKLAD	42063	117964	\N	\N	\N
120777	405	1997-10-20	PRIJEM	VKLAD	38747	54470	\N	\N	\N
120778	405	1997-04-02	PRIJEM	VKLAD	18711	35514	\N	\N	\N
120780	405	1997-04-24	PRIJEM	VKLAD	28177	62291	\N	\N	\N
120781	405	1997-11-24	PRIJEM	VKLAD	38627	81262	\N	\N	\N
120782	405	1997-03-17	PRIJEM	VKLAD	16269	16769	\N	\N	\N
120783	405	1997-07-27	PRIJEM	VKLAD	49945	83745	\N	\N	\N
120784	405	1997-08-23	PRIJEM	VKLAD	14617	57770	\N	\N	\N
120786	405	1997-11-12	PRIJEM	VKLAD	31696	42635	\N	\N	\N
120787	405	1997-05-03	PRIJEM	VKLAD	26059	88493	\N	\N	\N
120789	405	1997-09-04	PRIJEM	VKLAD	11582	69595	\N	\N	\N
120790	405	1997-09-21	PRIJEM	VKLAD	49985	80472	\N	\N	\N
120791	405	1997-12-06	PRIJEM	VKLAD	12469	92422	\N	\N	\N
120792	405	1998-03-03	PRIJEM	VKLAD	25905	25312	\N	\N	\N
120793	405	1998-05-27	PRIJEM	VKLAD	27109	73446	\N	\N	\N
120794	405	1998-06-25	PRIJEM	VKLAD	26796	76462	\N	\N	\N
120795	405	1998-08-23	PRIJEM	VKLAD	36122	54518	\N	\N	\N
120796	405	1998-07-23	PRIJEM	VKLAD	26815	54251	\N	\N	\N
120797	405	1998-07-01	PRIJEM	VKLAD	26384	67583	\N	\N	\N
120798	405	1998-09-11	PRIJEM	VKLAD	29986	49995	\N	\N	\N
120799	405	1998-09-26	PRIJEM	VKLAD	17233	106447	\N	\N	\N
120800	405	1998-12-22	PRIJEM	VKLAD	13480	13792	\N	\N	\N
120801	405	1998-04-02	PRIJEM	VKLAD	11353	19180	\N	\N	\N
120802	405	1998-06-23	PRIJEM	VKLAD	29575	49666	\N	\N	\N
120803	405	1998-11-07	PRIJEM	VKLAD	12350	28169	\N	\N	\N
120804	405	1998-09-21	PRIJEM	VKLAD	48851	89214	\N	\N	\N
120805	405	1998-05-22	PRIJEM	VKLAD	8581	6688	\N	\N	\N
120806	405	1998-05-22	PRIJEM	VKLAD	39649	46337	\N	\N	\N
120838	405	1997-08-11	VYDAJ	PREVOD NA UCET	9632	43153	SIPO	MN	56718403
120839	405	1997-09-11	VYDAJ	PREVOD NA UCET	9632	30487	SIPO	MN	56718403
120840	405	1997-10-11	VYDAJ	PREVOD NA UCET	9632	15723	SIPO	MN	56718403
120841	405	1997-11-11	VYDAJ	PREVOD NA UCET	9632	10939	SIPO	MN	56718403
120842	405	1997-12-11	VYDAJ	PREVOD NA UCET	9632	39411	SIPO	MN	56718403
120843	405	1998-01-11	VYDAJ	PREVOD NA UCET	9632	894	SIPO	MN	56718403
120845	405	1998-03-11	VYDAJ	PREVOD NA UCET	9632	7804	SIPO	MN	56718403
120846	405	1998-04-11	VYDAJ	PREVOD NA UCET	9632	3172	SIPO	MN	56718403
120848	405	1998-06-11	VYDAJ	PREVOD NA UCET	9632	20091	SIPO	MN	56718403
120849	405	1998-07-11	VYDAJ	PREVOD NA UCET	9632	27436	SIPO	MN	56718403
120850	405	1998-08-11	VYDAJ	PREVOD NA UCET	9632	18396	SIPO	MN	56718403
120851	405	1998-09-11	VYDAJ	PREVOD NA UCET	9632	40363	SIPO	MN	56718403
120852	405	1998-10-11	VYDAJ	PREVOD NA UCET	9632	29059	SIPO	MN	56718403
120853	405	1998-11-11	VYDAJ	PREVOD NA UCET	9632	14958	SIPO	MN	56718403
120854	405	1998-12-11	VYDAJ	PREVOD NA UCET	9632	312	SIPO	MN	56718403
120862	405	1997-08-05	VYDAJ	PREVOD NA UCET	1497	75901	 	WX	11276412
120863	405	1997-09-05	VYDAJ	PREVOD NA UCET	1497	68098	 	WX	11276412
120864	405	1997-10-05	VYDAJ	PREVOD NA UCET	1497	52905	 	WX	11276412
120865	405	1997-11-05	VYDAJ	PREVOD NA UCET	1497	62224	 	WX	11276412
120866	405	1997-12-05	VYDAJ	PREVOD NA UCET	1497	79953	 	WX	11276412
120867	405	1998-01-05	VYDAJ	PREVOD NA UCET	1497	33605	 	WX	11276412
120868	405	1998-02-05	VYDAJ	PREVOD NA UCET	1497	-582	 	WX	11276412
120869	405	1998-03-05	VYDAJ	PREVOD NA UCET	1497	23815	 	WX	11276412
120870	405	1998-04-05	VYDAJ	PREVOD NA UCET	1497	17683	 	WX	11276412
120871	405	1998-05-05	VYDAJ	PREVOD NA UCET	1497	1686	 	WX	11276412
120872	405	1998-06-05	VYDAJ	PREVOD NA UCET	1497	55502	 	WX	11276412
120873	405	1998-07-05	VYDAJ	PREVOD NA UCET	1497	66086	 	WX	11276412
120874	405	1998-08-05	VYDAJ	PREVOD NA UCET	1497	31607	 	WX	11276412
120875	405	1998-09-05	VYDAJ	PREVOD NA UCET	1497	23588	 	WX	11276412
120876	405	1998-10-05	VYDAJ	PREVOD NA UCET	1497	42270	 	WX	11276412
120877	405	1998-11-05	VYDAJ	PREVOD NA UCET	1497	15819	 	WX	11276412
120878	405	1998-12-05	VYDAJ	PREVOD NA UCET	1497	13523	 	WX	11276412
120886	405	1997-08-08	VYDAJ	PREVOD NA UCET	3579	89085	POJISTNE	KL	1622963
120887	405	1997-09-08	VYDAJ	PREVOD NA UCET	3579	64519	POJISTNE	KL	1622963
120888	405	1997-10-08	VYDAJ	PREVOD NA UCET	3579	49326	POJISTNE	KL	1622963
120889	405	1997-11-08	VYDAJ	PREVOD NA UCET	3579	38065	POJISTNE	KL	1622963
120890	405	1997-12-08	VYDAJ	PREVOD NA UCET	3579	88843	POJISTNE	KL	1622963
120891	405	1998-01-08	VYDAJ	PREVOD NA UCET	3579	10526	POJISTNE	KL	1622963
120893	405	1998-03-08	VYDAJ	PREVOD NA UCET	3579	17436	POJISTNE	KL	1622963
120894	405	1998-04-08	VYDAJ	PREVOD NA UCET	3579	12804	POJISTNE	KL	1622963
120895	405	1998-05-08	VYDAJ	PREVOD NA UCET	3579	-1893	POJISTNE	KL	1622963
120896	405	1998-06-08	VYDAJ	PREVOD NA UCET	3579	29723	POJISTNE	KL	1622963
120897	405	1998-07-08	VYDAJ	PREVOD NA UCET	3579	39407	POJISTNE	KL	1622963
120898	405	1998-08-08	VYDAJ	PREVOD NA UCET	3579	28028	POJISTNE	KL	1622963
120899	405	1998-09-08	VYDAJ	PREVOD NA UCET	3579	20009	POJISTNE	KL	1622963
120900	405	1998-10-08	VYDAJ	PREVOD NA UCET	3579	38691	POJISTNE	KL	1622963
120901	405	1998-11-08	VYDAJ	PREVOD NA UCET	3579	24590	POJISTNE	KL	1622963
120902	405	1998-12-08	VYDAJ	PREVOD NA UCET	3579	9944	POJISTNE	KL	1622963
120903	405	1997-10-11	VYBER	VYBER	7271	25355	\N	\N	\N
120905	405	1997-11-11	VYBER	VYBER	6094	20571	\N	\N	\N
120907	405	1997-10-26	VYBER	VYBER	24854	29616	\N	\N	\N
120910	405	1997-10-05	VYBER	VYBER	21790	54402	\N	\N	\N
120911	405	1997-11-07	VYBER	VYBER	20580	41644	\N	\N	\N
120918	405	1998-09-03	VYBER	VYBER	11963	38785	\N	\N	\N
120919	405	1998-06-02	VYBER	VYBER	16480	56999	\N	\N	\N
120920	405	1998-07-10	VYBER	VYBER	2339	37068	\N	\N	\N
120925	405	1998-06-25	VYDAJ	VYBER	35400	41062	\N	\N	\N
120927	405	1998-01-06	VYDAJ	VYBER	7500	26105	\N	\N	\N
120928	405	1997-12-25	VYDAJ	VYBER	4500	34911	\N	\N	\N
120946	405	1997-08-02	VYDAJ	VYBER	6600	77398	\N	\N	\N
120949	405	1997-10-04	VYDAJ	VYBER	4500	76192	\N	\N	\N
120951	405	1998-08-25	VYDAJ	VYBER KARTOU	3900	50618	\N	\N	0
120960	405	1997-07-31	VYDAJ	VYBER	15	83998	SLUZBY	\N	\N
120961	405	1997-08-31	VYDAJ	VYBER	15	58013	SLUZBY	\N	\N
120962	405	1997-09-30	VYDAJ	VYBER	15	80692	SLUZBY	\N	\N
120963	405	1997-10-31	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
120964	405	1997-11-30	VYDAJ	VYBER	15	81450	SLUZBY	\N	\N
120965	405	1997-12-31	VYDAJ	VYBER	15	35102	SLUZBY	\N	\N
120966	405	1998-01-31	VYDAJ	VYBER	15	915	SLUZBY	\N	\N
120967	405	1998-02-28	VYDAJ	VYBER	15	-593	SLUZBY	\N	\N
120968	405	1998-03-31	VYDAJ	VYBER	15	7827	SLUZBY	\N	\N
120969	405	1998-04-30	VYDAJ	VYBER	15	3183	SLUZBY	\N	\N
120970	405	1998-05-31	VYDAJ	VYBER	15	73479	SLUZBY	\N	\N
120971	405	1998-06-30	VYDAJ	VYBER	15	41199	SLUZBY	\N	\N
120972	405	1998-07-31	VYDAJ	VYBER	15	54404	SLUZBY	\N	\N
120973	405	1998-08-31	VYDAJ	VYBER	15	50748	SLUZBY	\N	\N
120974	405	1998-09-30	VYDAJ	VYBER	15	77467	SLUZBY	\N	\N
120975	405	1998-10-31	VYDAJ	VYBER	15	29216	SLUZBY	\N	\N
120976	405	1998-11-30	VYDAJ	VYBER	15	15020	SLUZBY	\N	\N
120977	405	1997-04-12	VYDAJ	VYBER	1400	34114	\N	\N	\N
120978	405	1997-05-12	VYDAJ	VYBER	28000	60493	\N	\N	\N
120979	405	1997-06-11	VYDAJ	VYBER	18500	42248	\N	\N	\N
120980	405	1997-07-11	VYDAJ	VYBER	8700	33800	\N	\N	\N
120981	405	1997-08-06	VYDAJ	VYBER	25300	92664	\N	\N	\N
120982	405	1997-08-10	VYDAJ	VYBER	36300	52785	\N	\N	\N
120983	405	1997-09-09	VYDAJ	VYBER	24400	40119	\N	\N	\N
120984	405	1997-10-09	VYDAJ	VYBER	16700	32626	\N	\N	\N
120985	405	1997-11-08	VYDAJ	VYBER	11400	26665	\N	\N	\N
120986	405	1997-12-08	VYDAJ	VYBER	39800	49043	\N	\N	\N
120987	405	1998-01-07	VYDAJ	VYBER	12000	14105	\N	\N	\N
120988	405	1998-03-08	VYDAJ	VYBER KARTOU	2800	21015	\N	\N	0
120989	405	1998-04-07	VYDAJ	VYBER KARTOU	1300	16383	\N	\N	0
120990	405	1998-06-06	VYDAJ	VYBER	22200	33302	\N	\N	\N
120991	405	1998-07-06	VYDAJ	VYBER	23100	42986	\N	\N	\N
120992	405	1998-08-05	VYDAJ	VYBER	21300	33104	\N	\N	\N
120993	405	1998-09-04	VYDAJ	VYBER	13700	25085	\N	\N	\N
120994	405	1998-09-30	VYDAJ	VYBER	29200	77482	\N	\N	\N
120995	405	1998-10-04	VYDAJ	VYBER	33700	43767	\N	\N	\N
120996	405	1998-11-03	VYDAJ	VYBER	11900	17316	\N	\N	\N
121023	406	1996-09-03	PRIJEM	VKLAD	700	700	\N	\N	\N
121032	406	1996-09-05	PRIJEM	PREVOD Z UCTU	3096	3796	\N	MN	74285417
121033	406	1996-10-05	PRIJEM	PREVOD Z UCTU	3096	6906	\N	MN	74285417
121034	406	1996-11-05	PRIJEM	PREVOD Z UCTU	3096	10018	\N	MN	74285417
121035	406	1996-12-05	PRIJEM	PREVOD Z UCTU	3096	13129	\N	MN	74285417
121036	406	1997-01-05	PRIJEM	PREVOD Z UCTU	3096	16241	\N	MN	74285417
121037	406	1997-02-05	PRIJEM	PREVOD Z UCTU	3096	15207	\N	MN	74285417
121038	406	1997-03-05	PRIJEM	PREVOD Z UCTU	3096	16280	\N	MN	74285417
121039	406	1997-04-05	PRIJEM	PREVOD Z UCTU	3096	16936	\N	MN	74285417
121040	406	1997-05-05	PRIJEM	PREVOD Z UCTU	3096	17016	\N	MN	74285417
121041	406	1997-06-05	PRIJEM	PREVOD Z UCTU	3096	18097	\N	MN	74285417
121042	406	1997-07-05	PRIJEM	PREVOD Z UCTU	3096	19181	\N	MN	74285417
121043	406	1997-08-05	PRIJEM	PREVOD Z UCTU	3096	19630	\N	MN	74285417
121044	406	1997-09-05	PRIJEM	PREVOD Z UCTU	3096	20321	\N	MN	74285417
121045	406	1997-10-05	PRIJEM	PREVOD Z UCTU	3096	21415	\N	MN	74285417
121046	406	1997-11-05	PRIJEM	PREVOD Z UCTU	3096	22514	\N	MN	74285417
121047	406	1997-12-05	PRIJEM	PREVOD Z UCTU	3096	23617	\N	MN	74285417
121048	406	1998-01-05	PRIJEM	PREVOD Z UCTU	3096	23581	\N	MN	74285417
121049	406	1998-02-05	PRIJEM	PREVOD Z UCTU	3096	19518	\N	MN	74285417
121050	406	1998-03-05	PRIJEM	PREVOD Z UCTU	3096	20248	\N	MN	74285417
121051	406	1998-04-05	PRIJEM	PREVOD Z UCTU	3096	21342	\N	MN	74285417
121052	406	1998-05-05	PRIJEM	PREVOD Z UCTU	3096	21749	\N	MN	74285417
121053	406	1998-06-05	PRIJEM	PREVOD Z UCTU	3096	22848	\N	MN	74285417
121054	406	1998-07-05	PRIJEM	PREVOD Z UCTU	3096	17946	\N	MN	74285417
121055	406	1998-08-05	PRIJEM	PREVOD Z UCTU	3096	18007	\N	MN	74285417
121056	406	1998-09-05	PRIJEM	PREVOD Z UCTU	3096	16990	\N	MN	74285417
121057	406	1998-10-05	PRIJEM	PREVOD Z UCTU	3096	17378	\N	MN	74285417
121058	406	1998-11-05	PRIJEM	PREVOD Z UCTU	3096	17317	\N	MN	74285417
121059	406	1998-12-05	PRIJEM	PREVOD Z UCTU	3096	17168	\N	MN	74285417
121072	406	1997-01-09	VYDAJ	PREVOD NA UCET	1800	13727	\N	UV	36316532
121073	406	1997-02-09	VYDAJ	PREVOD NA UCET	1800	13143	\N	UV	36316532
121074	406	1997-03-09	VYDAJ	PREVOD NA UCET	1800	14216	\N	UV	36316532
121075	406	1997-04-09	VYDAJ	PREVOD NA UCET	1800	14872	\N	UV	36316532
121076	406	1997-05-09	VYDAJ	PREVOD NA UCET	1800	14952	\N	UV	36316532
121077	406	1997-06-09	VYDAJ	PREVOD NA UCET	1800	16033	\N	UV	36316532
121078	406	1997-07-09	VYDAJ	PREVOD NA UCET	1800	17117	\N	UV	36316532
121079	406	1997-08-09	VYDAJ	PREVOD NA UCET	1800	17566	\N	UV	36316532
121080	406	1997-09-09	VYDAJ	PREVOD NA UCET	1800	18257	\N	UV	36316532
121081	406	1997-10-09	VYDAJ	PREVOD NA UCET	1800	19351	\N	UV	36316532
121082	406	1997-11-09	VYDAJ	PREVOD NA UCET	1800	20450	\N	UV	36316532
121083	406	1997-12-09	VYDAJ	PREVOD NA UCET	1800	21553	\N	UV	36316532
121084	406	1998-01-09	VYDAJ	PREVOD NA UCET	1800	21187	\N	UV	36316532
121085	406	1998-02-09	VYDAJ	PREVOD NA UCET	1800	17454	\N	UV	36316532
121086	406	1998-03-09	VYDAJ	PREVOD NA UCET	1800	18184	\N	UV	36316532
121087	406	1998-04-09	VYDAJ	PREVOD NA UCET	1800	19278	\N	UV	36316532
121088	406	1998-05-09	VYDAJ	PREVOD NA UCET	1800	19685	\N	UV	36316532
121089	406	1998-06-09	VYDAJ	PREVOD NA UCET	1800	20784	\N	UV	36316532
121090	406	1998-07-09	VYDAJ	PREVOD NA UCET	1800	15882	\N	UV	36316532
121091	406	1998-08-09	VYDAJ	PREVOD NA UCET	1800	15943	\N	UV	36316532
121092	406	1998-09-09	VYDAJ	PREVOD NA UCET	1800	14926	\N	UV	36316532
121093	406	1998-10-09	VYDAJ	PREVOD NA UCET	1800	15314	\N	UV	36316532
121094	406	1998-11-09	VYDAJ	PREVOD NA UCET	1800	15253	\N	UV	36316532
121095	406	1998-12-09	VYDAJ	PREVOD NA UCET	1800	15104	\N	UV	36316532
121108	406	1997-01-05	VYDAJ	PREVOD NA UCET	264	15977	\N	KL	28461408
121109	406	1997-02-05	VYDAJ	PREVOD NA UCET	264	14943	\N	KL	28461408
121110	406	1997-03-05	VYDAJ	PREVOD NA UCET	264	16016	\N	KL	28461408
121111	406	1997-04-05	VYDAJ	PREVOD NA UCET	264	16672	\N	KL	28461408
121112	406	1997-05-05	VYDAJ	PREVOD NA UCET	264	16752	\N	KL	28461408
121113	406	1997-06-05	VYDAJ	PREVOD NA UCET	264	17833	\N	KL	28461408
121114	406	1997-07-05	VYDAJ	PREVOD NA UCET	264	18917	\N	KL	28461408
121115	406	1997-08-05	VYDAJ	PREVOD NA UCET	264	19366	\N	KL	28461408
121116	406	1997-09-05	VYDAJ	PREVOD NA UCET	264	20057	\N	KL	28461408
121117	406	1997-10-05	VYDAJ	PREVOD NA UCET	264	21151	\N	KL	28461408
121118	406	1997-11-05	VYDAJ	PREVOD NA UCET	264	22250	\N	KL	28461408
121119	406	1997-12-05	VYDAJ	PREVOD NA UCET	264	23353	\N	KL	28461408
121120	406	1998-01-05	VYDAJ	PREVOD NA UCET	264	22987	\N	KL	28461408
121121	406	1998-02-05	VYDAJ	PREVOD NA UCET	264	19254	\N	KL	28461408
121122	406	1998-03-05	VYDAJ	PREVOD NA UCET	264	19984	\N	KL	28461408
121123	406	1998-04-05	VYDAJ	PREVOD NA UCET	264	21078	\N	KL	28461408
121124	406	1998-05-05	VYDAJ	PREVOD NA UCET	264	21485	\N	KL	28461408
121125	406	1998-06-05	VYDAJ	PREVOD NA UCET	264	22584	\N	KL	28461408
121126	406	1998-07-05	VYDAJ	PREVOD NA UCET	264	17682	\N	KL	28461408
121127	406	1998-08-05	VYDAJ	PREVOD NA UCET	264	17743	\N	KL	28461408
121128	406	1998-09-05	VYDAJ	PREVOD NA UCET	264	16726	\N	KL	28461408
121129	406	1998-10-05	VYDAJ	PREVOD NA UCET	264	17114	\N	KL	28461408
121130	406	1998-11-05	VYDAJ	PREVOD NA UCET	264	17053	\N	KL	28461408
121131	406	1998-12-05	VYDAJ	PREVOD NA UCET	264	16904	\N	KL	28461408
121134	406	1998-06-23	VYDAJ	VYBER	6000	14784	\N	\N	\N
121137	406	1998-01-13	VYDAJ	VYBER	1170	19207	\N	\N	\N
121145	406	1997-01-05	VYDAJ	VYBER	450	15527	\N	\N	\N
121146	406	1997-01-11	VYDAJ	VYBER	840	12887	\N	\N	\N
121147	406	1997-01-14	VYDAJ	VYBER	810	12077	\N	\N	\N
121150	406	1998-01-17	VYDAJ	VYBER	600	17737	\N	\N	\N
121151	406	1998-01-28	VYDAJ	VYBER	360	16357	\N	\N	\N
121152	406	1998-01-18	VYDAJ	VYBER	300	17437	\N	\N	\N
121153	406	1998-01-23	VYDAJ	VYBER	720	16717	\N	\N	\N
121154	406	1998-01-11	VYDAJ	VYBER	810	20377	\N	\N	\N
121155	406	1998-01-05	VYDAJ	VYBER	330	23251	\N	\N	\N
121162	406	1997-07-28	VYDAJ	VYBER	540	16577	\N	\N	\N
121163	406	1997-12-13	VYDAJ	VYBER	1140	20413	\N	\N	\N
121165	406	1997-03-16	VYDAJ	VYBER	420	13796	\N	\N	\N
121166	406	1998-01-16	VYDAJ	VYBER	870	18337	\N	\N	\N
121167	406	1998-07-11	VYDAJ	VYBER	1020	14862	\N	\N	\N
121168	406	1998-04-17	VYDAJ	VYBER	690	18588	\N	\N	\N
121169	406	1998-08-24	VYDAJ	VYBER	840	15103	\N	\N	\N
121170	406	1998-12-04	VYDAJ	VYBER	1230	14072	\N	\N	\N
121171	406	1998-10-17	VYDAJ	VYBER	1140	14174	\N	\N	\N
121172	406	1998-08-24	VYDAJ	VYBER	1260	13843	\N	\N	\N
121173	406	1998-02-23	VYDAJ	VYBER	360	17094	\N	\N	\N
121174	406	1998-09-10	VYDAJ	VYBER	690	14236	\N	\N	\N
121188	406	1997-01-31	VYDAJ	VYBER	15	12111	SLUZBY	\N	\N
121189	406	1997-02-28	VYDAJ	VYBER	15	13184	SLUZBY	\N	\N
121190	406	1997-03-31	VYDAJ	VYBER	15	13840	SLUZBY	\N	\N
121191	406	1997-04-30	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
121192	406	1997-05-31	VYDAJ	VYBER	15	15001	SLUZBY	\N	\N
121193	406	1997-06-30	VYDAJ	VYBER	15	16085	SLUZBY	\N	\N
121194	406	1997-07-31	VYDAJ	VYBER	15	16534	SLUZBY	\N	\N
121195	406	1997-08-31	VYDAJ	VYBER	15	17225	SLUZBY	\N	\N
121196	406	1997-09-30	VYDAJ	VYBER	15	18319	SLUZBY	\N	\N
121197	406	1997-10-31	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
121198	406	1997-11-30	VYDAJ	VYBER	15	20521	SLUZBY	\N	\N
121199	406	1997-12-31	VYDAJ	VYBER	15	20485	SLUZBY	\N	\N
121200	406	1998-01-31	VYDAJ	VYBER	15	16422	SLUZBY	\N	\N
121201	406	1998-02-28	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
121202	406	1998-03-31	VYDAJ	VYBER	15	18246	SLUZBY	\N	\N
121203	406	1998-04-30	VYDAJ	VYBER	15	18653	SLUZBY	\N	\N
121204	406	1998-05-31	VYDAJ	VYBER	15	19752	SLUZBY	\N	\N
121205	406	1998-06-30	VYDAJ	VYBER	15	14850	SLUZBY	\N	\N
121206	406	1998-07-31	VYDAJ	VYBER	15	14911	SLUZBY	\N	\N
121207	406	1998-08-31	VYDAJ	VYBER	15	13894	SLUZBY	\N	\N
121208	406	1998-09-30	VYDAJ	VYBER	15	14282	SLUZBY	\N	\N
121209	406	1998-10-31	VYDAJ	VYBER	15	14221	SLUZBY	\N	\N
121210	406	1998-11-30	VYDAJ	VYBER	15	15302	SLUZBY	\N	\N
121211	406	1997-05-01	VYDAJ	VYBER	1000	13920	\N	\N	\N
121212	406	1997-07-30	VYDAJ	VYBER	100	16477	\N	\N	\N
121213	406	1997-08-29	VYDAJ	VYBER	400	17166	\N	\N	\N
121242	407	1997-04-18	PRIJEM	VKLAD	400	400	\N	\N	\N
121244	407	1997-11-26	PRIJEM	VKLAD	44740	85078	\N	\N	\N
121245	407	1997-11-20	PRIJEM	VKLAD	18740	40338	\N	\N	\N
121246	407	1997-08-09	PRIJEM	VKLAD	15458	53520	\N	\N	\N
121247	407	1997-05-12	PRIJEM	VKLAD	14938	15338	\N	\N	\N
121248	407	1997-06-30	PRIJEM	VKLAD	23887	48659	\N	\N	\N
121249	407	1998-02-16	PRIJEM	VKLAD	18208	34998	\N	\N	\N
121250	407	1998-09-22	PRIJEM	VKLAD	9220	44097	\N	\N	\N
121251	407	1998-12-10	PRIJEM	VKLAD	24441	38792	\N	\N	\N
121252	407	1998-12-28	PRIJEM	VKLAD	14005	48691	\N	\N	\N
121253	407	1998-08-16	PRIJEM	VKLAD	10754	56400	\N	\N	\N
121254	407	1998-08-28	PRIJEM	VKLAD	10024	66424	\N	\N	\N
121255	407	1998-08-09	PRIJEM	VKLAD	12735	78060	\N	\N	\N
121256	407	1998-04-24	PRIJEM	VKLAD	8187	24846	\N	\N	\N
121257	407	1998-10-12	PRIJEM	VKLAD	44218	57603	\N	\N	\N
121258	407	1998-08-02	PRIJEM	VKLAD	48632	70736	\N	\N	\N
121259	407	1998-07-04	PRIJEM	VKLAD	22052	39266	\N	\N	\N
121260	407	1998-04-25	PRIJEM	VKLAD	18608	43454	\N	\N	\N
121261	407	1998-11-13	PRIJEM	VKLAD	17111	38258	\N	\N	\N
121273	407	1997-12-08	VYDAJ	PREVOD NA UCET	5411	79825	SIPO	WX	90311783
121274	407	1998-01-08	VYDAJ	PREVOD NA UCET	5411	31645	SIPO	WX	90311783
121275	407	1998-02-08	VYDAJ	PREVOD NA UCET	5411	13604	SIPO	WX	90311783
121276	407	1998-03-08	VYDAJ	PREVOD NA UCET	5411	18543	SIPO	WX	90311783
121277	407	1998-04-08	VYDAJ	PREVOD NA UCET	5411	12473	SIPO	WX	90311783
121278	407	1998-05-08	VYDAJ	PREVOD NA UCET	5411	36307	SIPO	WX	90311783
121279	407	1998-06-08	VYDAJ	PREVOD NA UCET	5411	17378	SIPO	WX	90311783
121280	407	1998-07-08	VYDAJ	PREVOD NA UCET	5411	33855	SIPO	WX	90311783
121281	407	1998-08-08	VYDAJ	PREVOD NA UCET	5411	65325	SIPO	WX	90311783
121282	407	1998-09-08	VYDAJ	PREVOD NA UCET	5411	61191	SIPO	WX	90311783
121283	407	1998-10-08	VYDAJ	PREVOD NA UCET	5411	16485	SIPO	WX	90311783
121284	407	1998-11-08	VYDAJ	PREVOD NA UCET	5411	52347	SIPO	WX	90311783
121285	407	1998-12-08	VYDAJ	PREVOD NA UCET	5411	19651	SIPO	WX	90311783
121297	407	1997-12-14	VYDAJ	PREVOD NA UCET	14	53611	 	EF	32662862
121298	407	1998-01-14	VYDAJ	PREVOD NA UCET	14	20731	 	EF	32662862
121299	407	1998-02-14	VYDAJ	PREVOD NA UCET	14	16790	 	EF	32662862
121300	407	1998-03-14	VYDAJ	PREVOD NA UCET	14	17829	 	EF	32662862
121301	407	1998-04-14	VYDAJ	PREVOD NA UCET	14	16659	 	EF	32662862
121302	407	1998-05-14	VYDAJ	PREVOD NA UCET	14	22693	 	EF	32662862
121303	407	1998-06-14	VYDAJ	PREVOD NA UCET	14	17164	 	EF	32662862
121304	407	1998-07-14	VYDAJ	PREVOD NA UCET	14	22041	 	EF	32662862
121305	407	1998-08-14	VYDAJ	PREVOD NA UCET	14	45646	 	EF	32662862
121306	407	1998-09-14	VYDAJ	PREVOD NA UCET	14	34877	 	EF	32662862
121307	407	1998-10-14	VYDAJ	PREVOD NA UCET	14	57589	 	EF	32662862
121308	407	1998-11-14	VYDAJ	PREVOD NA UCET	14	38244	 	EF	32662862
121309	407	1998-12-14	VYDAJ	PREVOD NA UCET	14	38778	 	EF	32662862
121316	407	1998-10-05	VYBER	VYBER	16629	21896	\N	\N	\N
121318	407	1998-12-20	VYBER	VYBER	4092	34686	\N	\N	\N
121319	407	1998-11-20	VYBER	VYBER	13308	24936	\N	\N	\N
121322	407	1998-02-24	VYBER	VYBER	11114	23884	\N	\N	\N
121323	407	1998-09-27	VYBER	VYBER	5735	38362	\N	\N	\N
121331	407	1997-12-28	VYDAJ	VYBER	7500	46111	\N	\N	\N
121332	407	1998-12-29	VYDAJ	VYBER	1500	47191	\N	\N	\N
121341	407	1998-01-08	VYDAJ	VYBER	5700	37056	\N	\N	\N
121342	407	1998-01-12	VYDAJ	VYBER	8700	22945	\N	\N	\N
121343	407	1998-01-05	VYDAJ	VYBER	3600	42756	\N	\N	\N
121344	407	1998-01-22	VYDAJ	VYBER	1800	18931	\N	\N	\N
121352	407	1998-11-12	VYDAJ	VYBER	14100	21147	\N	\N	\N
121354	407	1998-04-29	VYDAJ	VYBER	1800	41654	\N	\N	\N
121368	407	1997-11-30	VYDAJ	VYBER	30	85236	SLUZBY	\N	\N
121369	407	1997-12-31	VYDAJ	VYBER	30	46356	SLUZBY	\N	\N
121370	407	1998-01-31	VYDAJ	VYBER	30	19015	SLUZBY	\N	\N
121371	407	1998-02-28	VYDAJ	VYBER	30	23954	SLUZBY	\N	\N
121372	407	1998-03-31	VYDAJ	VYBER	30	17884	SLUZBY	\N	\N
121373	407	1998-04-30	VYDAJ	VYBER	30	41718	SLUZBY	\N	\N
121374	407	1998-05-31	VYDAJ	VYBER	30	22789	SLUZBY	\N	\N
121375	407	1998-06-30	VYDAJ	VYBER	30	17214	SLUZBY	\N	\N
121376	407	1998-07-31	VYDAJ	VYBER	30	22104	SLUZBY	\N	\N
121377	407	1998-08-31	VYDAJ	VYBER	30	66602	SLUZBY	\N	\N
121378	407	1998-09-30	VYDAJ	VYBER	30	38525	SLUZBY	\N	\N
121379	407	1998-10-31	VYDAJ	VYBER	30	57758	SLUZBY	\N	\N
121380	407	1998-11-30	VYDAJ	VYBER	30	25062	SLUZBY	\N	\N
121381	407	1997-05-18	PRIJEM	VKLAD	6200	21538	\N	\N	\N
121382	407	1997-06-17	PRIJEM	VKLAD	3100	24679	\N	\N	\N
121383	407	1997-07-17	VYDAJ	VYBER	10800	37859	\N	\N	\N
121384	407	1997-08-16	VYDAJ	VYBER	17300	36220	\N	\N	\N
121385	407	1997-09-15	VYDAJ	VYBER	6900	29496	\N	\N	\N
121386	407	1997-10-15	VYDAJ	VYBER	9300	20347	\N	\N	\N
121387	407	1997-11-14	PRIJEM	VKLAD	1100	21598	\N	\N	\N
121388	407	1997-12-14	VYDAJ	VYBER	26200	53625	\N	\N	\N
121389	407	1998-01-13	VYDAJ	VYBER	2200	20745	\N	\N	\N
121390	407	1998-02-12	PRIJEM	VKLAD	3200	16804	\N	\N	\N
121391	407	1998-03-14	VYDAJ	VYBER	700	17843	\N	\N	\N
121392	407	1998-04-13	PRIJEM	VKLAD	4200	16673	\N	\N	\N
121393	407	1998-05-13	VYDAJ	VYBER	13600	22707	\N	\N	\N
121394	407	1998-06-12	VYDAJ	VYBER	200	17178	\N	\N	\N
121395	407	1998-07-12	VYDAJ	VYBER	11800	22055	\N	\N	\N
121396	407	1998-08-11	VYDAJ	VYBER	32400	45660	\N	\N	\N
121397	407	1998-09-10	VYDAJ	VYBER	26300	34891	\N	\N	\N
121398	407	1998-10-10	VYDAJ	VYBER	3100	13385	\N	\N	\N
121399	407	1998-11-09	VYDAJ	VYBER	17100	35247	\N	\N	\N
121400	407	1998-12-09	VYDAJ	VYBER	5300	14351	\N	\N	\N
121421	408	1993-07-21	PRIJEM	VKLAD	400	400	\N	\N	\N
121429	408	1993-08-06	PRIJEM	VKLAD	13304	13704	\N	\N	\N
121430	408	1993-09-06	PRIJEM	VKLAD	13304	30436	\N	\N	\N
121431	408	1993-10-06	PRIJEM	VKLAD	13304	40327	\N	\N	\N
121432	408	1993-11-06	PRIJEM	VKLAD	13304	47957	\N	\N	\N
121433	408	1993-12-06	PRIJEM	VKLAD	19956	55959	\N	\N	\N
121434	408	1994-01-06	PRIJEM	VKLAD	13304	46204	\N	\N	\N
121435	408	1994-02-06	PRIJEM	VKLAD	13304	35303	\N	\N	\N
121436	408	1994-03-06	PRIJEM	VKLAD	13304	39884	\N	\N	\N
121437	408	1994-04-06	PRIJEM	VKLAD	13304	40460	\N	\N	\N
121438	408	1994-05-06	PRIJEM	VKLAD	13304	42540	\N	\N	\N
121439	408	1994-06-06	PRIJEM	VKLAD	19956	47179	\N	\N	\N
121440	408	1994-07-06	PRIJEM	VKLAD	13304	43789	\N	\N	\N
121441	408	1994-08-06	PRIJEM	VKLAD	13304	41992	\N	\N	\N
121442	408	1994-09-06	PRIJEM	VKLAD	13304	42991	\N	\N	\N
121443	408	1994-10-06	PRIJEM	VKLAD	13304	41689	\N	\N	\N
121444	408	1994-11-06	PRIJEM	VKLAD	13304	37748	\N	\N	\N
121445	408	1994-12-06	PRIJEM	VKLAD	19956	49472	\N	\N	\N
121446	408	1995-01-06	PRIJEM	VKLAD	13304	38887	\N	\N	\N
121447	408	1995-02-06	PRIJEM	VKLAD	13304	32399	\N	\N	\N
121448	408	1995-03-06	PRIJEM	VKLAD	13304	39171	\N	\N	\N
121449	408	1995-04-06	PRIJEM	VKLAD	13304	43866	\N	\N	\N
121450	408	1995-05-06	PRIJEM	VKLAD	13304	45071	\N	\N	\N
121451	408	1995-06-06	PRIJEM	VKLAD	19956	52542	\N	\N	\N
121452	408	1995-07-06	PRIJEM	VKLAD	13304	32155	\N	\N	\N
121453	408	1995-08-06	PRIJEM	VKLAD	13304	39668	\N	\N	\N
121454	408	1995-09-06	PRIJEM	VKLAD	13304	41359	\N	\N	\N
121455	408	1995-10-06	PRIJEM	VKLAD	13304	47165	\N	\N	\N
121456	408	1995-11-06	PRIJEM	VKLAD	13304	48681	\N	\N	\N
121457	408	1995-12-06	PRIJEM	VKLAD	19956	57557	\N	\N	\N
121458	408	1996-01-06	PRIJEM	VKLAD	13304	53175	\N	\N	\N
121459	408	1996-02-06	PRIJEM	VKLAD	13304	36955	\N	\N	\N
121460	408	1996-03-06	PRIJEM	VKLAD	13304	45349	\N	\N	\N
121461	408	1996-04-06	PRIJEM	VKLAD	13304	49765	\N	\N	\N
121462	408	1996-05-06	PRIJEM	VKLAD	13304	51212	\N	\N	\N
121463	408	1996-06-06	PRIJEM	VKLAD	19956	54724	\N	\N	\N
121464	408	1996-07-06	PRIJEM	VKLAD	13304	57900	\N	\N	\N
121465	408	1996-08-06	PRIJEM	VKLAD	13304	56082	\N	\N	\N
121466	408	1996-09-06	PRIJEM	VKLAD	13304	54161	\N	\N	\N
121467	408	1996-10-06	PRIJEM	VKLAD	13304	47503	\N	\N	\N
121468	408	1996-11-06	PRIJEM	VKLAD	13304	49781	\N	\N	\N
121469	408	1996-12-06	PRIJEM	VKLAD	19956	51180	\N	\N	\N
121470	408	1997-01-06	PRIJEM	VKLAD	13304	47030	\N	\N	\N
121471	408	1997-02-06	PRIJEM	VKLAD	13304	34520	\N	\N	\N
121472	408	1997-03-06	PRIJEM	VKLAD	13304	41203	\N	\N	\N
121473	408	1997-04-06	PRIJEM	VKLAD	13304	48314	\N	\N	\N
121474	408	1997-05-06	PRIJEM	VKLAD	13304	52854	\N	\N	\N
121475	408	1997-06-06	PRIJEM	VKLAD	19956	55565	\N	\N	\N
121476	408	1997-07-06	PRIJEM	VKLAD	13304	40798	\N	\N	\N
121477	408	1997-08-06	PRIJEM	VKLAD	13304	40755	\N	\N	\N
121478	408	1997-09-06	PRIJEM	VKLAD	13304	46462	\N	\N	\N
121479	408	1997-10-06	PRIJEM	VKLAD	13304	50173	\N	\N	\N
121480	408	1997-11-06	PRIJEM	VKLAD	13304	52917	\N	\N	\N
121481	408	1997-12-06	PRIJEM	VKLAD	19956	60125	\N	\N	\N
121482	408	1998-01-06	PRIJEM	VKLAD	13304	56580	\N	\N	\N
121483	408	1998-02-06	PRIJEM	VKLAD	13304	56829	\N	\N	\N
121484	408	1998-03-06	PRIJEM	VKLAD	13304	67604	\N	\N	\N
121485	408	1998-04-06	PRIJEM	VKLAD	13304	68218	\N	\N	\N
121486	408	1998-05-06	PRIJEM	VKLAD	13304	68535	\N	\N	\N
121487	408	1998-06-06	PRIJEM	VKLAD	19956	82308	\N	\N	\N
121488	408	1998-07-06	PRIJEM	VKLAD	13304	75674	\N	\N	\N
121489	408	1998-08-06	PRIJEM	VKLAD	13304	79122	\N	\N	\N
121490	408	1998-09-06	PRIJEM	VKLAD	13304	80180	\N	\N	\N
121491	408	1998-10-06	PRIJEM	VKLAD	13304	85347	\N	\N	\N
121492	408	1998-11-06	PRIJEM	VKLAD	13304	90836	\N	\N	\N
121493	408	1998-12-06	PRIJEM	VKLAD	19956	101097	\N	\N	\N
121506	408	1994-01-05	VYDAJ	PREVOD NA UCET	5042	34100	SIPO	QR	62073033
121507	408	1994-02-05	VYDAJ	PREVOD NA UCET	5042	21999	SIPO	QR	62073033
121508	408	1994-03-05	VYDAJ	PREVOD NA UCET	5042	26580	SIPO	QR	62073033
121509	408	1994-04-05	VYDAJ	PREVOD NA UCET	5042	27156	SIPO	QR	62073033
121510	408	1994-05-05	VYDAJ	PREVOD NA UCET	5042	29236	SIPO	QR	62073033
121511	408	1994-06-05	VYDAJ	PREVOD NA UCET	5042	27223	SIPO	QR	62073033
121512	408	1994-07-05	VYDAJ	PREVOD NA UCET	5042	30485	SIPO	QR	62073033
121513	408	1994-08-05	VYDAJ	PREVOD NA UCET	5042	28688	SIPO	QR	62073033
121514	408	1994-09-05	VYDAJ	PREVOD NA UCET	5042	29687	SIPO	QR	62073033
121515	408	1994-10-05	VYDAJ	PREVOD NA UCET	5042	28385	SIPO	QR	62073033
121516	408	1994-11-05	VYDAJ	PREVOD NA UCET	5042	25404	SIPO	QR	62073033
121517	408	1994-12-05	VYDAJ	PREVOD NA UCET	5042	29516	SIPO	QR	62073033
121518	408	1995-01-05	VYDAJ	PREVOD NA UCET	5042	25583	SIPO	QR	62073033
121519	408	1995-02-05	VYDAJ	PREVOD NA UCET	5042	19095	SIPO	QR	62073033
121520	408	1995-03-05	VYDAJ	PREVOD NA UCET	5042	25867	SIPO	QR	62073033
121521	408	1995-04-05	VYDAJ	PREVOD NA UCET	5042	30562	SIPO	QR	62073033
121522	408	1995-05-05	VYDAJ	PREVOD NA UCET	5042	31767	SIPO	QR	62073033
121523	408	1995-06-05	VYDAJ	PREVOD NA UCET	5042	32586	SIPO	QR	62073033
121524	408	1995-07-05	VYDAJ	PREVOD NA UCET	5042	18851	SIPO	QR	62073033
121525	408	1995-08-05	VYDAJ	PREVOD NA UCET	5042	26364	SIPO	QR	62073033
121526	408	1995-09-05	VYDAJ	PREVOD NA UCET	5042	28055	SIPO	QR	62073033
121527	408	1995-10-05	VYDAJ	PREVOD NA UCET	5042	33861	SIPO	QR	62073033
121528	408	1995-11-05	VYDAJ	PREVOD NA UCET	5042	35377	SIPO	QR	62073033
121529	408	1995-12-05	VYDAJ	PREVOD NA UCET	5042	37601	SIPO	QR	62073033
121530	408	1996-01-05	VYDAJ	PREVOD NA UCET	5042	39871	SIPO	QR	62073033
121531	408	1996-02-05	VYDAJ	PREVOD NA UCET	5042	22951	SIPO	QR	62073033
121532	408	1996-03-05	VYDAJ	PREVOD NA UCET	5042	32045	SIPO	QR	62073033
121533	408	1996-04-05	VYDAJ	PREVOD NA UCET	5042	36461	SIPO	QR	62073033
121534	408	1996-05-05	VYDAJ	PREVOD NA UCET	5042	37908	SIPO	QR	62073033
121535	408	1996-06-05	VYDAJ	PREVOD NA UCET	5042	34768	SIPO	QR	62073033
121536	408	1996-07-05	VYDAJ	PREVOD NA UCET	5042	44596	SIPO	QR	62073033
121537	408	1996-08-05	VYDAJ	PREVOD NA UCET	5042	42778	SIPO	QR	62073033
121538	408	1996-09-05	VYDAJ	PREVOD NA UCET	5042	40857	SIPO	QR	62073033
121539	408	1996-10-05	VYDAJ	PREVOD NA UCET	5042	34199	SIPO	QR	62073033
121540	408	1996-11-05	VYDAJ	PREVOD NA UCET	5042	36477	SIPO	QR	62073033
121541	408	1996-12-05	VYDAJ	PREVOD NA UCET	5042	31224	SIPO	QR	62073033
121542	408	1997-01-05	VYDAJ	PREVOD NA UCET	5042	33726	SIPO	QR	62073033
121543	408	1997-02-05	VYDAJ	PREVOD NA UCET	5042	21216	SIPO	QR	62073033
121544	408	1997-03-05	VYDAJ	PREVOD NA UCET	5042	27899	SIPO	QR	62073033
121545	408	1997-04-05	VYDAJ	PREVOD NA UCET	5042	35010	SIPO	QR	62073033
121546	408	1997-05-05	VYDAJ	PREVOD NA UCET	5042	39550	SIPO	QR	62073033
121547	408	1997-06-05	VYDAJ	PREVOD NA UCET	5042	35609	SIPO	QR	62073033
121548	408	1997-07-05	VYDAJ	PREVOD NA UCET	5042	27494	SIPO	QR	62073033
121549	408	1997-08-05	VYDAJ	PREVOD NA UCET	5042	27451	SIPO	QR	62073033
121550	408	1997-09-05	VYDAJ	PREVOD NA UCET	5042	33158	SIPO	QR	62073033
121551	408	1997-10-05	VYDAJ	PREVOD NA UCET	5042	36869	SIPO	QR	62073033
121552	408	1997-11-05	VYDAJ	PREVOD NA UCET	5042	39613	SIPO	QR	62073033
121553	408	1997-12-05	VYDAJ	PREVOD NA UCET	5042	40169	SIPO	QR	62073033
121554	408	1998-01-05	VYDAJ	PREVOD NA UCET	5042	43276	SIPO	QR	62073033
121555	408	1998-02-05	VYDAJ	PREVOD NA UCET	5042	43525	SIPO	QR	62073033
121556	408	1998-03-05	VYDAJ	PREVOD NA UCET	5042	54300	SIPO	QR	62073033
121557	408	1998-04-05	VYDAJ	PREVOD NA UCET	5042	54914	SIPO	QR	62073033
121558	408	1998-05-05	VYDAJ	PREVOD NA UCET	5042	55231	SIPO	QR	62073033
121559	408	1998-06-05	VYDAJ	PREVOD NA UCET	5042	62352	SIPO	QR	62073033
121560	408	1998-07-05	VYDAJ	PREVOD NA UCET	5042	62370	SIPO	QR	62073033
121561	408	1998-08-05	VYDAJ	PREVOD NA UCET	5042	65818	SIPO	QR	62073033
121562	408	1998-09-05	VYDAJ	PREVOD NA UCET	5042	66876	SIPO	QR	62073033
121563	408	1998-10-05	VYDAJ	PREVOD NA UCET	5042	72043	SIPO	QR	62073033
121564	408	1998-11-05	VYDAJ	PREVOD NA UCET	5042	77532	SIPO	QR	62073033
121565	408	1998-12-05	VYDAJ	PREVOD NA UCET	5042	81141	SIPO	QR	62073033
121568	408	1995-06-24	VYDAJ	VYBER	20000	23742	\N	\N	\N
121570	408	1997-06-17	VYDAJ	VYBER	16800	38765	\N	\N	\N
121571	408	1998-06-27	VYDAJ	VYBER	9600	67108	\N	\N	\N
121573	408	1994-01-10	VYDAJ	VYBER	4160	42044	\N	\N	\N
121574	408	1995-01-14	VYDAJ	VYBER	5600	27987	\N	\N	\N
121575	408	1996-01-08	VYDAJ	VYBER	6080	40695	\N	\N	\N
121576	408	1997-01-14	VYDAJ	VYBER	12480	23450	\N	\N	\N
121577	408	1998-01-10	VYDAJ	VYBER KARTOU	4000	52580	\N	\N	0
121578	408	1993-12-24	VYDAJ	VYBER	2560	38999	\N	\N	\N
121579	408	1994-12-09	VYDAJ	VYBER	4320	45152	\N	\N	\N
121580	408	1995-12-27	VYDAJ	VYBER	1280	44737	\N	\N	\N
121581	408	1996-12-18	VYDAJ	VYBER KARTOU	2200	48980	\N	\N	0
121582	408	1997-12-13	VYDAJ	VYBER KARTOU	1300	58825	\N	\N	0
121583	408	1998-12-24	VYDAJ	VYBER KARTOU	3200	84477	\N	\N	0
121590	408	1994-01-24	VYDAJ	VYBER	600	29664	\N	\N	\N
121591	408	1994-01-17	VYDAJ	VYBER	1920	37964	\N	\N	\N
121592	408	1994-01-05	VYDAJ	VYBER	1200	32900	\N	\N	\N
121593	408	1994-01-21	VYDAJ	VYBER	2400	30264	\N	\N	\N
121594	408	1994-01-16	VYDAJ	VYBER	2160	39884	\N	\N	\N
121595	408	1994-01-27	VYDAJ	VYBER	2760	26904	\N	\N	\N
121596	408	1995-01-17	VYDAJ	VYBER	2400	25587	\N	\N	\N
121597	408	1995-01-04	VYDAJ	VYBER	1080	32185	\N	\N	\N
121598	408	1995-01-30	VYDAJ	VYBER	1560	24027	\N	\N	\N
121599	408	1995-01-01	VYDAJ	VYBER	840	38665	\N	\N	\N
121600	408	1995-01-09	VYDAJ	VYBER	3000	35887	\N	\N	\N
121601	408	1995-01-05	VYDAJ	VYBER	1560	30625	\N	\N	\N
121602	408	1996-01-20	VYDAJ	VYBER	960	34815	\N	\N	\N
121603	408	1996-01-18	VYDAJ	VYBER	2160	35775	\N	\N	\N
121604	408	1996-01-09	VYDAJ	VYBER	2760	37935	\N	\N	\N
121605	408	1996-01-26	VYDAJ	VYBER	2400	28935	\N	\N	\N
121606	408	1996-01-22	VYDAJ	VYBER	3480	31335	\N	\N	\N
121607	408	1996-01-27	VYDAJ	VYBER	1080	27855	\N	\N	\N
121608	408	1997-01-16	VYDAJ	VYBER KARTOU	3000	18050	\N	\N	0
121609	408	1997-01-13	VYDAJ	VYBER KARTOU	2800	41030	\N	\N	0
121610	408	1997-01-13	VYDAJ	VYBER KARTOU	3400	37630	\N	\N	0
121611	408	1997-01-15	VYDAJ	VYBER KARTOU	2400	21050	\N	\N	0
121612	408	1997-01-09	VYDAJ	VYBER KARTOU	3200	43830	\N	\N	0
121613	408	1997-01-14	VYDAJ	VYBER KARTOU	1700	35930	\N	\N	0
121614	408	1998-01-22	VYDAJ	VYBER KARTOU	2400	43580	\N	\N	0
121615	408	1998-01-24	VYDAJ	VYBER KARTOU	2200	39980	\N	\N	0
121616	408	1998-01-22	VYDAJ	VYBER KARTOU	1400	42180	\N	\N	0
121617	408	1998-01-20	VYDAJ	VYBER KARTOU	1800	47680	\N	\N	0
121618	408	1998-01-20	VYDAJ	VYBER KARTOU	1700	45980	\N	\N	0
121619	408	1998-01-11	VYDAJ	VYBER KARTOU	1300	51280	\N	\N	0
121625	408	1994-06-02	VYDAJ	VYBER	4320	32265	\N	\N	\N
121626	408	1994-04-29	VYDAJ	VYBER	1320	34140	\N	\N	\N
121627	408	1994-11-08	VYDAJ	VYBER	1320	36428	\N	\N	\N
121628	408	1994-03-24	VYDAJ	VYBER	2520	32064	\N	\N	\N
121629	408	1994-11-05	VYDAJ	VYBER	960	24444	\N	\N	\N
121630	408	1994-11-03	VYDAJ	VYBER	4680	30446	\N	\N	\N
121631	408	1995-08-17	VYDAJ	VYBER	5400	32968	\N	\N	\N
121632	408	1995-12-07	VYDAJ	VYBER	2040	55517	\N	\N	\N
121633	408	1995-01-03	VYDAJ	VYBER	5400	33265	\N	\N	\N
121634	408	1995-07-06	VYDAJ	VYBER	5160	26995	\N	\N	\N
121635	408	1995-06-02	VYDAJ	VYBER	3600	37628	\N	\N	\N
121636	408	1996-11-26	VYDAJ	VYBER KARTOU	2600	47181	\N	\N	0
121637	408	1996-06-14	VYDAJ	VYBER	3480	51244	\N	\N	\N
121638	408	1996-10-15	VYDAJ	VYBER	1560	45943	\N	\N	\N
121639	408	1996-05-22	VYDAJ	VYBER	1080	41032	\N	\N	\N
121640	408	1996-10-04	VYDAJ	VYBER	3120	39241	\N	\N	\N
121641	408	1996-09-10	VYDAJ	VYBER	3000	51161	\N	\N	\N
121642	408	1997-08-03	VYDAJ	VYBER KARTOU	1400	32493	\N	\N	0
121643	408	1997-09-05	VYDAJ	VYBER KARTOU	600	38200	\N	\N	0
121644	408	1997-07-15	VYDAJ	VYBER	5040	35758	\N	\N	\N
121645	408	1997-12-29	VYDAJ	VYBER	4920	48105	\N	\N	\N
121646	408	1997-12-01	VYDAJ	VYBER KARTOU	2300	45211	\N	\N	0
121647	408	1997-09-28	VYDAJ	VYBER	4320	41742	\N	\N	\N
121648	408	1998-05-02	VYDAJ	VYBER KARTOU	700	60273	\N	\N	0
121649	408	1998-02-19	VYDAJ	VYBER KARTOU	600	56229	\N	\N	0
121650	408	1998-12-14	VYDAJ	VYBER KARTOU	2900	93277	\N	\N	0
121651	408	1998-01-13	VYDAJ	VYBER KARTOU	1800	49480	\N	\N	0
121652	408	1998-12-08	VYDAJ	VYBER	4920	96177	\N	\N	\N
121665	408	1993-12-31	VYDAJ	VYBER	15	39142	SLUZBY	\N	\N
121666	408	1994-01-31	VYDAJ	VYBER	15	27041	SLUZBY	\N	\N
121667	408	1994-02-28	VYDAJ	VYBER	15	31622	SLUZBY	\N	\N
121668	408	1994-03-31	VYDAJ	VYBER	15	32198	SLUZBY	\N	\N
121669	408	1994-04-30	VYDAJ	VYBER	15	34278	SLUZBY	\N	\N
121670	408	1994-05-31	VYDAJ	VYBER	15	36585	SLUZBY	\N	\N
121671	408	1994-06-30	VYDAJ	VYBER	15	35527	SLUZBY	\N	\N
121672	408	1994-07-31	VYDAJ	VYBER	15	33730	SLUZBY	\N	\N
121673	408	1994-08-31	VYDAJ	VYBER	15	34729	SLUZBY	\N	\N
121674	408	1994-09-30	VYDAJ	VYBER	15	33427	SLUZBY	\N	\N
121675	408	1994-10-31	VYDAJ	VYBER	15	35126	SLUZBY	\N	\N
121676	408	1994-11-30	VYDAJ	VYBER	15	34558	SLUZBY	\N	\N
121677	408	1994-12-31	VYDAJ	VYBER	15	39505	SLUZBY	\N	\N
121678	408	1995-01-31	VYDAJ	VYBER	15	24137	SLUZBY	\N	\N
121679	408	1995-02-28	VYDAJ	VYBER	15	30909	SLUZBY	\N	\N
121680	408	1995-03-31	VYDAJ	VYBER	15	35604	SLUZBY	\N	\N
121681	408	1995-04-30	VYDAJ	VYBER	15	36809	SLUZBY	\N	\N
121682	408	1995-05-31	VYDAJ	VYBER	15	41228	SLUZBY	\N	\N
121683	408	1995-06-30	VYDAJ	VYBER	15	23893	SLUZBY	\N	\N
121684	408	1995-07-31	VYDAJ	VYBER	15	31406	SLUZBY	\N	\N
121685	408	1995-08-31	VYDAJ	VYBER	15	33097	SLUZBY	\N	\N
121686	408	1995-09-30	VYDAJ	VYBER	15	38903	SLUZBY	\N	\N
121687	408	1995-10-31	VYDAJ	VYBER	15	40419	SLUZBY	\N	\N
121688	408	1995-11-30	VYDAJ	VYBER	15	42643	SLUZBY	\N	\N
121689	408	1995-12-31	VYDAJ	VYBER	15	44913	SLUZBY	\N	\N
121690	408	1996-01-31	VYDAJ	VYBER	15	27993	SLUZBY	\N	\N
121691	408	1996-02-29	VYDAJ	VYBER	15	37087	SLUZBY	\N	\N
121692	408	1996-03-31	VYDAJ	VYBER	15	41503	SLUZBY	\N	\N
121693	408	1996-04-30	VYDAJ	VYBER	15	42950	SLUZBY	\N	\N
121694	408	1996-05-31	VYDAJ	VYBER	15	41210	SLUZBY	\N	\N
121695	408	1996-06-30	VYDAJ	VYBER	15	51438	SLUZBY	\N	\N
121696	408	1996-07-31	VYDAJ	VYBER	15	58120	SLUZBY	\N	\N
121697	408	1996-08-31	VYDAJ	VYBER	15	56299	SLUZBY	\N	\N
121698	408	1996-09-30	VYDAJ	VYBER	15	51361	SLUZBY	\N	\N
121699	408	1996-10-31	VYDAJ	VYBER	15	46119	SLUZBY	\N	\N
121700	408	1996-11-30	VYDAJ	VYBER	15	47366	SLUZBY	\N	\N
121701	408	1996-12-31	VYDAJ	VYBER	15	49168	SLUZBY	\N	\N
121702	408	1997-01-31	VYDAJ	VYBER	15	26258	SLUZBY	\N	\N
121703	408	1997-02-28	VYDAJ	VYBER	15	34641	SLUZBY	\N	\N
121704	408	1997-03-31	VYDAJ	VYBER	15	41352	SLUZBY	\N	\N
121705	408	1997-04-30	VYDAJ	VYBER	15	48492	SLUZBY	\N	\N
121706	408	1997-05-31	VYDAJ	VYBER	15	40651	SLUZBY	\N	\N
121707	408	1997-06-30	VYDAJ	VYBER	15	32536	SLUZBY	\N	\N
121708	408	1997-07-31	VYDAJ	VYBER	15	33893	SLUZBY	\N	\N
121709	408	1997-08-31	VYDAJ	VYBER	15	38800	SLUZBY	\N	\N
121710	408	1997-09-30	VYDAJ	VYBER	15	41911	SLUZBY	\N	\N
121711	408	1997-10-31	VYDAJ	VYBER	15	44655	SLUZBY	\N	\N
121712	408	1997-11-30	VYDAJ	VYBER	15	47511	SLUZBY	\N	\N
121713	408	1997-12-31	VYDAJ	VYBER	15	48318	SLUZBY	\N	\N
121714	408	1998-01-31	VYDAJ	VYBER	15	48567	SLUZBY	\N	\N
121715	408	1998-02-28	VYDAJ	VYBER	15	59342	SLUZBY	\N	\N
121716	408	1998-03-31	VYDAJ	VYBER	15	59956	SLUZBY	\N	\N
121717	408	1998-04-30	VYDAJ	VYBER	15	60973	SLUZBY	\N	\N
121718	408	1998-05-31	VYDAJ	VYBER	15	67394	SLUZBY	\N	\N
121719	408	1998-06-30	VYDAJ	VYBER	15	67412	SLUZBY	\N	\N
121720	408	1998-07-31	VYDAJ	VYBER	15	70860	SLUZBY	\N	\N
121721	408	1998-08-31	VYDAJ	VYBER	15	71918	SLUZBY	\N	\N
121722	408	1998-09-30	VYDAJ	VYBER	15	77085	SLUZBY	\N	\N
121723	408	1998-10-31	VYDAJ	VYBER	15	82574	SLUZBY	\N	\N
121724	408	1998-11-30	VYDAJ	VYBER	15	86183	SLUZBY	\N	\N
121725	408	1993-08-20	PRIJEM	VKLAD	3400	17104	\N	\N	\N
121726	408	1993-09-19	VYDAJ	VYBER	3500	26936	\N	\N	\N
121727	408	1993-10-19	VYDAJ	VYBER	5800	34527	\N	\N	\N
121728	408	1993-11-18	VYDAJ	VYBER	12100	35857	\N	\N	\N
121729	408	1993-12-18	VYDAJ	VYBER	14400	41559	\N	\N	\N
121730	408	1994-01-17	VYDAJ	VYBER	5300	32664	\N	\N	\N
121731	408	1994-02-16	VYDAJ	VYBER	3800	31503	\N	\N	\N
121732	408	1994-03-18	VYDAJ	VYBER	5300	34584	\N	\N	\N
121733	408	1994-04-17	VYDAJ	VYBER	5000	35460	\N	\N	\N
121734	408	1994-05-17	VYDAJ	VYBER	6100	36440	\N	\N	\N
121735	408	1994-06-16	VYDAJ	VYBER	11800	35379	\N	\N	\N
121736	408	1994-07-16	VYDAJ	VYBER	10200	33589	\N	\N	\N
121737	408	1994-08-15	VYDAJ	VYBER	7400	34592	\N	\N	\N
121738	408	1994-09-14	VYDAJ	VYBER	9700	33291	\N	\N	\N
121739	408	1994-10-14	VYDAJ	VYBER	6700	34989	\N	\N	\N
121740	408	1994-11-13	VYDAJ	VYBER	2000	34428	\N	\N	\N
121741	408	1994-12-13	VYDAJ	VYBER	5800	39352	\N	\N	\N
121742	408	1995-01-12	VYDAJ	VYBER	2300	33587	\N	\N	\N
121743	408	1995-02-11	VYDAJ	VYBER	1600	30799	\N	\N	\N
121744	408	1995-03-13	VYDAJ	VYBER	3700	35471	\N	\N	\N
121745	408	1995-04-12	VYDAJ	VYBER	7200	36666	\N	\N	\N
121746	408	1995-05-12	VYDAJ	VYBER	4000	41071	\N	\N	\N
121747	408	1995-06-11	VYDAJ	VYBER	8800	43742	\N	\N	\N
121748	408	1995-07-11	PRIJEM	VKLAD	4300	31295	\N	\N	\N
121749	408	1995-08-10	VYDAJ	VYBER	1300	38368	\N	\N	\N
121750	408	1995-09-09	VYDAJ	VYBER	2600	38759	\N	\N	\N
121751	408	1995-10-09	VYDAJ	VYBER	6900	40265	\N	\N	\N
121752	408	1995-11-08	VYDAJ	VYBER	6200	42481	\N	\N	\N
121753	408	1995-12-08	VYDAJ	VYBER	9500	46017	\N	\N	\N
121754	408	1996-01-07	VYDAJ	VYBER	6400	46775	\N	\N	\N
121755	408	1996-02-06	PRIJEM	VKLAD	700	23651	\N	\N	\N
121756	408	1996-03-07	VYDAJ	VYBER	4000	41349	\N	\N	\N
121757	408	1996-04-06	VYDAJ	VYBER	7000	42765	\N	\N	\N
121758	408	1996-05-06	VYDAJ	VYBER	9100	42112	\N	\N	\N
121759	408	1996-06-05	VYDAJ	VYBER	1400	39810	\N	\N	\N
121760	408	1996-07-05	VYDAJ	VYBER	1800	49638	\N	\N	\N
121761	408	1996-08-04	VYDAJ	VYBER	10300	47820	\N	\N	\N
121762	408	1996-09-03	VYDAJ	VYBER	10400	45899	\N	\N	\N
121763	408	1996-10-03	VYDAJ	VYBER	9000	42361	\N	\N	\N
121764	408	1996-11-02	VYDAJ	VYBER	4600	41519	\N	\N	\N
121765	408	1996-12-02	VYDAJ	VYBER	11100	36266	\N	\N	\N
121766	408	1997-01-01	VYDAJ	VYBER	10400	38768	\N	\N	\N
121767	408	1997-01-31	PRIJEM	VKLAD	8100	26272	\N	\N	\N
121768	408	1997-03-02	VYDAJ	VYBER KARTOU	1700	32941	\N	\N	0
121769	408	1997-04-01	VYDAJ	VYBER KARTOU	1300	40052	\N	\N	0
121770	408	1997-05-01	VYDAJ	VYBER KARTOU	3900	44592	\N	\N	0
121771	408	1997-05-31	VYDAJ	VYBER	12400	40666	\N	\N	\N
121772	408	1997-06-30	VYDAJ	VYBER	6400	32550	\N	\N	\N
121773	408	1997-07-30	VYDAJ	VYBER KARTOU	2000	33758	\N	\N	0
121774	408	1997-08-29	VYDAJ	VYBER KARTOU	2100	38655	\N	\N	0
121775	408	1997-09-28	VYDAJ	VYBER KARTOU	400	46062	\N	\N	0
121776	408	1997-10-28	VYDAJ	VYBER	5700	44473	\N	\N	\N
121777	408	1997-11-27	VYDAJ	VYBER	5600	47317	\N	\N	\N
121778	408	1997-12-27	VYDAJ	VYBER	5800	53025	\N	\N	\N
121779	408	1998-01-26	PRIJEM	VKLAD	8400	48380	\N	\N	\N
121780	408	1998-02-25	PRIJEM	VKLAD	2900	59129	\N	\N	\N
121781	408	1998-03-27	VYDAJ	VYBER	7900	59704	\N	\N	\N
121782	408	1998-04-26	VYDAJ	VYBER	7500	60718	\N	\N	\N
121783	408	1998-05-26	VYDAJ	VYBER KARTOU	1400	67135	\N	\N	0
121784	408	1998-06-25	VYDAJ	VYBER	5600	76708	\N	\N	\N
121785	408	1998-07-25	VYDAJ	VYBER	5100	70574	\N	\N	\N
121786	408	1998-08-24	VYDAJ	VYBER	7500	71622	\N	\N	\N
121787	408	1998-09-23	VYDAJ	VYBER KARTOU	3400	76780	\N	\N	0
121788	408	1998-10-23	VYDAJ	VYBER KARTOU	3100	82247	\N	\N	0
121789	408	1998-11-22	VYDAJ	VYBER	5000	85836	\N	\N	\N
121790	408	1998-12-22	VYDAJ	VYBER	5600	87677	\N	\N	\N
121856	409	1996-06-11	PRIJEM	VKLAD	600	600	\N	\N	\N
121863	409	1996-07-09	PRIJEM	VKLAD	10215	10815	\N	\N	\N
121864	409	1996-08-09	PRIJEM	VKLAD	10215	31590	\N	\N	\N
121865	409	1996-09-09	PRIJEM	VKLAD	10215	39417	\N	\N	\N
121866	409	1996-10-09	PRIJEM	VKLAD	10215	44970	\N	\N	\N
121867	409	1996-11-09	PRIJEM	VKLAD	10215	36722	\N	\N	\N
121868	409	1996-12-09	PRIJEM	VKLAD	15322	42866	\N	\N	\N
121869	409	1997-01-09	PRIJEM	VKLAD	10215	39595	\N	\N	\N
121870	409	1997-02-09	PRIJEM	VKLAD	10215	32506	\N	\N	\N
121871	409	1997-03-09	PRIJEM	VKLAD	10215	33519	\N	\N	\N
121872	409	1997-04-09	PRIJEM	VKLAD	10215	31809	\N	\N	\N
121873	409	1997-05-09	PRIJEM	VKLAD	10215	34620	\N	\N	\N
121874	409	1997-06-09	PRIJEM	VKLAD	15322	40530	\N	\N	\N
121875	409	1997-07-09	PRIJEM	VKLAD	10215	36055	\N	\N	\N
121876	409	1997-08-09	PRIJEM	VKLAD	10215	39592	\N	\N	\N
121877	409	1997-09-09	PRIJEM	VKLAD	10215	43115	\N	\N	\N
121878	409	1997-10-09	PRIJEM	VKLAD	10215	41273	\N	\N	\N
121879	409	1997-11-09	PRIJEM	VKLAD	10215	42729	\N	\N	\N
121880	409	1997-12-09	PRIJEM	VKLAD	15322	47095	\N	\N	\N
121881	409	1998-01-09	PRIJEM	VKLAD	10215	39645	\N	\N	\N
121882	409	1998-02-09	PRIJEM	VKLAD	10215	37554	\N	\N	\N
121883	409	1998-03-09	PRIJEM	VKLAD	10215	37455	\N	\N	\N
121884	409	1998-04-09	PRIJEM	VKLAD	10215	35269	\N	\N	\N
121885	409	1998-05-09	PRIJEM	VKLAD	10215	38880	\N	\N	\N
121886	409	1998-06-09	PRIJEM	VKLAD	15322	43427	\N	\N	\N
121887	409	1998-07-09	PRIJEM	VKLAD	10215	43271	\N	\N	\N
121888	409	1998-08-09	PRIJEM	VKLAD	10215	45507	\N	\N	\N
121889	409	1998-09-09	PRIJEM	VKLAD	10215	45553	\N	\N	\N
121890	409	1998-10-09	PRIJEM	VKLAD	10215	44620	\N	\N	\N
121891	409	1998-11-09	PRIJEM	VKLAD	10215	47366	\N	\N	\N
121892	409	1998-12-09	PRIJEM	VKLAD	15322	48825	\N	\N	\N
121903	409	1996-11-09	VYDAJ	PREVOD NA UCET	6810	29912	SIPO	QR	11262268
121904	409	1996-12-09	VYDAJ	PREVOD NA UCET	6810	36056	SIPO	QR	11262268
121905	409	1997-01-09	VYDAJ	PREVOD NA UCET	6810	32785	SIPO	QR	11262268
121906	409	1997-02-09	VYDAJ	PREVOD NA UCET	6810	25696	SIPO	QR	11262268
121907	409	1997-03-09	VYDAJ	PREVOD NA UCET	6810	26709	SIPO	QR	11262268
121908	409	1997-04-09	VYDAJ	PREVOD NA UCET	6810	24999	SIPO	QR	11262268
121909	409	1997-05-09	VYDAJ	PREVOD NA UCET	6810	27810	SIPO	QR	11262268
121910	409	1997-06-09	VYDAJ	PREVOD NA UCET	6810	33720	SIPO	QR	11262268
121911	409	1997-07-09	VYDAJ	PREVOD NA UCET	6810	29245	SIPO	QR	11262268
121912	409	1997-08-09	VYDAJ	PREVOD NA UCET	6810	32782	SIPO	QR	11262268
121913	409	1997-09-09	VYDAJ	PREVOD NA UCET	6810	36305	SIPO	QR	11262268
121914	409	1997-10-09	VYDAJ	PREVOD NA UCET	6810	34463	SIPO	QR	11262268
121915	409	1997-11-09	VYDAJ	PREVOD NA UCET	6810	35919	SIPO	QR	11262268
121916	409	1997-12-09	VYDAJ	PREVOD NA UCET	6810	40285	SIPO	QR	11262268
121917	409	1998-01-09	VYDAJ	PREVOD NA UCET	6810	32835	SIPO	QR	11262268
121918	409	1998-02-09	VYDAJ	PREVOD NA UCET	6810	30744	SIPO	QR	11262268
121919	409	1998-03-09	VYDAJ	PREVOD NA UCET	6810	30645	SIPO	QR	11262268
121920	409	1998-04-09	VYDAJ	PREVOD NA UCET	6810	28459	SIPO	QR	11262268
121921	409	1998-05-09	VYDAJ	PREVOD NA UCET	6810	32070	SIPO	QR	11262268
121922	409	1998-06-09	VYDAJ	PREVOD NA UCET	6810	36617	SIPO	QR	11262268
121923	409	1998-07-09	VYDAJ	PREVOD NA UCET	6810	36461	SIPO	QR	11262268
121924	409	1998-08-09	VYDAJ	PREVOD NA UCET	6810	38697	SIPO	QR	11262268
121925	409	1998-09-09	VYDAJ	PREVOD NA UCET	6810	38743	SIPO	QR	11262268
121926	409	1998-10-09	VYDAJ	PREVOD NA UCET	6810	37810	SIPO	QR	11262268
121927	409	1998-11-09	VYDAJ	PREVOD NA UCET	6810	40556	SIPO	QR	11262268
121928	409	1998-12-09	VYDAJ	PREVOD NA UCET	6810	42015	SIPO	QR	11262268
121931	409	1998-06-23	VYDAJ	VYBER	6100	30517	\N	\N	\N
121932	409	1996-12-11	VYDAJ	VYBER	2000	34056	\N	\N	\N
121933	409	1997-12-08	VYDAJ	VYBER	1700	31773	\N	\N	\N
121934	409	1998-12-20	VYDAJ	VYBER	1000	41015	\N	\N	\N
121941	409	1997-01-15	VYDAJ	VYBER	1800	29385	\N	\N	\N
121942	409	1997-01-09	VYDAJ	VYBER	1600	31185	\N	\N	\N
121943	409	1997-01-18	VYDAJ	VYBER	600	28785	\N	\N	\N
121944	409	1997-01-29	VYDAJ	VYBER	1500	22385	\N	\N	\N
121945	409	1997-01-22	VYDAJ	VYBER	2000	23885	\N	\N	\N
121946	409	1997-01-19	VYDAJ	VYBER	2900	25885	\N	\N	\N
121947	409	1998-01-17	VYDAJ	VYBER	2400	28135	\N	\N	\N
121948	409	1998-01-01	VYDAJ	VYBER	1800	32230	\N	\N	\N
121949	409	1998-01-28	VYDAJ	VYBER	1800	24035	\N	\N	\N
121950	409	1998-01-02	VYDAJ	VYBER	2600	29630	\N	\N	\N
121951	409	1998-01-20	VYDAJ	VYBER	2300	25835	\N	\N	\N
121952	409	1998-01-11	VYDAJ	VYBER	2300	30535	\N	\N	\N
121958	409	1997-12-30	VYDAJ	VYBER	4400	33885	\N	\N	\N
121959	409	1997-03-15	VYDAJ	VYBER	4800	21909	\N	\N	\N
121960	409	1997-12-27	VYDAJ	VYBER	2000	38285	\N	\N	\N
121961	409	1998-12-06	VYDAJ	VYBER	2600	33503	\N	\N	\N
121962	409	1998-02-15	VYDAJ	VYBER	4300	26444	\N	\N	\N
121963	409	1998-09-29	VYDAJ	VYBER	2100	37343	\N	\N	\N
121964	409	1998-11-12	VYDAJ	VYBER	600	39956	\N	\N	\N
121965	409	1998-10-06	VYDAJ	VYBER	3100	34405	\N	\N	\N
121977	409	1996-11-30	VYDAJ	VYBER	15	30044	SLUZBY	\N	\N
121978	409	1996-12-31	VYDAJ	VYBER	15	34180	SLUZBY	\N	\N
121979	409	1997-01-31	VYDAJ	VYBER	15	22491	SLUZBY	\N	\N
121980	409	1997-02-28	VYDAJ	VYBER	15	25804	SLUZBY	\N	\N
121981	409	1997-03-31	VYDAJ	VYBER	15	21994	SLUZBY	\N	\N
121982	409	1997-04-30	VYDAJ	VYBER	15	25105	SLUZBY	\N	\N
121983	409	1997-05-31	VYDAJ	VYBER	15	27908	SLUZBY	\N	\N
121984	409	1997-06-30	VYDAJ	VYBER	15	33840	SLUZBY	\N	\N
121985	409	1997-07-31	VYDAJ	VYBER	15	29377	SLUZBY	\N	\N
121986	409	1997-08-31	VYDAJ	VYBER	15	32900	SLUZBY	\N	\N
121987	409	1997-09-30	VYDAJ	VYBER	15	36458	SLUZBY	\N	\N
121988	409	1997-10-31	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
121989	409	1997-11-30	VYDAJ	VYBER	15	36073	SLUZBY	\N	\N
121990	409	1997-12-31	VYDAJ	VYBER	15	34030	SLUZBY	\N	\N
121991	409	1998-01-31	VYDAJ	VYBER	15	24139	SLUZBY	\N	\N
121992	409	1998-02-28	VYDAJ	VYBER	15	26540	SLUZBY	\N	\N
121993	409	1998-03-31	VYDAJ	VYBER	15	30754	SLUZBY	\N	\N
121994	409	1998-04-30	VYDAJ	VYBER	15	28565	SLUZBY	\N	\N
121995	409	1998-05-31	VYDAJ	VYBER	15	32205	SLUZBY	\N	\N
121996	409	1998-06-30	VYDAJ	VYBER	15	30656	SLUZBY	\N	\N
121997	409	1998-07-31	VYDAJ	VYBER	15	35292	SLUZBY	\N	\N
121998	409	1998-08-31	VYDAJ	VYBER	15	35338	SLUZBY	\N	\N
121999	409	1998-09-30	VYDAJ	VYBER	15	37505	SLUZBY	\N	\N
122000	409	1998-10-31	VYDAJ	VYBER	15	37151	SLUZBY	\N	\N
122001	409	1998-11-30	VYDAJ	VYBER	15	36103	SLUZBY	\N	\N
122002	409	1996-07-11	PRIJEM	VKLAD	10500	21315	\N	\N	\N
122003	409	1996-08-10	VYDAJ	VYBER	2500	29090	\N	\N	\N
122004	409	1996-09-09	VYDAJ	VYBER	4800	34617	\N	\N	\N
122005	409	1996-10-09	VYDAJ	VYBER	12800	32170	\N	\N	\N
122006	409	1996-11-08	VYDAJ	VYBER	5800	26507	\N	\N	\N
122007	409	1996-12-08	VYDAJ	VYBER	2500	27544	\N	\N	\N
122008	409	1997-01-07	VYDAJ	VYBER	4800	29380	\N	\N	\N
122009	409	1997-02-06	VYDAJ	VYBER	200	22291	\N	\N	\N
122010	409	1997-03-08	VYDAJ	VYBER	2500	23304	\N	\N	\N
122011	409	1997-04-07	VYDAJ	VYBER	400	21594	\N	\N	\N
122012	409	1997-05-07	VYDAJ	VYBER	700	24405	\N	\N	\N
122013	409	1997-06-06	VYDAJ	VYBER	2700	25208	\N	\N	\N
122014	409	1997-07-06	VYDAJ	VYBER	8000	25840	\N	\N	\N
122015	409	1997-10-04	VYDAJ	VYBER	5400	31058	\N	\N	\N
122016	409	1997-11-03	VYDAJ	VYBER	2100	32514	\N	\N	\N
122017	409	1997-12-03	VYDAJ	VYBER	2600	33473	\N	\N	\N
122018	409	1998-01-02	VYDAJ	VYBER	200	29430	\N	\N	\N
122019	409	1998-02-01	PRIJEM	VKLAD	3200	27339	\N	\N	\N
122020	409	1998-03-03	PRIJEM	VKLAD	700	27240	\N	\N	\N
122021	409	1998-04-02	VYDAJ	VYBER	5700	25054	\N	\N	\N
122022	409	1998-05-02	PRIJEM	VKLAD	100	28665	\N	\N	\N
122023	409	1998-06-01	VYDAJ	VYBER	4100	28105	\N	\N	\N
122024	409	1998-07-01	PRIJEM	VKLAD	2400	33056	\N	\N	\N
122025	409	1998-07-31	VYDAJ	VYBER	1300	35306	\N	\N	\N
122026	409	1998-08-30	VYDAJ	VYBER	3500	35197	\N	\N	\N
122027	409	1998-09-29	PRIJEM	VKLAD	700	39443	\N	\N	\N
122028	409	1998-10-29	VYDAJ	VYBER	800	37010	\N	\N	\N
122029	409	1998-11-28	VYDAJ	VYBER	4000	35956	\N	\N	\N
122060	410	1996-10-15	PRIJEM	VKLAD	200	200	\N	\N	\N
122071	410	1996-11-13	PRIJEM	PREVOD Z UCTU	5738	5938	DUCHOD	UV	33926296
122072	410	1996-12-13	PRIJEM	PREVOD Z UCTU	5738	11676	DUCHOD	UV	33926296
122073	410	1997-01-13	PRIJEM	PREVOD Z UCTU	5738	17414	DUCHOD	UV	33926296
122074	410	1997-02-13	PRIJEM	PREVOD Z UCTU	5738	23152	DUCHOD	UV	33926296
122075	410	1997-03-13	PRIJEM	PREVOD Z UCTU	5738	28890	DUCHOD	UV	33926296
122076	410	1997-04-13	PRIJEM	PREVOD Z UCTU	5738	24913	DUCHOD	UV	33926296
122077	410	1997-05-13	PRIJEM	PREVOD Z UCTU	5738	26917	DUCHOD	UV	33926296
122078	410	1997-06-13	PRIJEM	PREVOD Z UCTU	5738	28423	DUCHOD	UV	33926296
122079	410	1997-07-13	PRIJEM	PREVOD Z UCTU	5738	20388	DUCHOD	UV	33926296
122080	410	1997-08-13	PRIJEM	PREVOD Z UCTU	5738	22368	DUCHOD	UV	33926296
122081	410	1997-09-13	PRIJEM	PREVOD Z UCTU	5738	24356	DUCHOD	UV	33926296
122082	410	1997-10-13	PRIJEM	PREVOD Z UCTU	5738	26353	DUCHOD	UV	33926296
122083	410	1997-11-13	PRIJEM	PREVOD Z UCTU	5738	28358	DUCHOD	UV	33926296
122084	410	1997-12-13	PRIJEM	PREVOD Z UCTU	5738	30371	DUCHOD	UV	33926296
122085	410	1998-01-13	PRIJEM	PREVOD Z UCTU	5738	25711	DUCHOD	UV	33926296
122086	410	1998-02-13	PRIJEM	PREVOD Z UCTU	5738	14902	DUCHOD	UV	33926296
122087	410	1998-03-13	PRIJEM	PREVOD Z UCTU	5738	16859	DUCHOD	UV	33926296
122088	410	1998-04-13	PRIJEM	PREVOD Z UCTU	5738	18824	DUCHOD	UV	33926296
122089	410	1998-05-13	PRIJEM	PREVOD Z UCTU	5738	20798	DUCHOD	UV	33926296
122090	410	1998-06-13	PRIJEM	PREVOD Z UCTU	5738	20054	DUCHOD	UV	33926296
122091	410	1998-07-13	PRIJEM	PREVOD Z UCTU	5738	16429	DUCHOD	UV	33926296
122092	410	1998-08-13	PRIJEM	PREVOD Z UCTU	5738	15505	DUCHOD	UV	33926296
122093	410	1998-09-13	PRIJEM	PREVOD Z UCTU	5738	17465	DUCHOD	UV	33926296
122094	410	1998-10-13	PRIJEM	PREVOD Z UCTU	5738	18632	DUCHOD	UV	33926296
122095	410	1998-11-13	PRIJEM	PREVOD Z UCTU	5738	19003	DUCHOD	UV	33926296
122096	410	1998-12-13	PRIJEM	PREVOD Z UCTU	5738	19176	DUCHOD	UV	33926296
122112	410	1997-04-08	VYDAJ	PREVOD NA UCET	3825	23015	SIPO	WX	85225909
122113	410	1997-05-08	VYDAJ	PREVOD NA UCET	3825	21179	SIPO	WX	85225909
122114	410	1997-06-08	VYDAJ	PREVOD NA UCET	3825	22685	SIPO	WX	85225909
122115	410	1997-07-08	VYDAJ	PREVOD NA UCET	3825	14650	SIPO	WX	85225909
122116	410	1997-08-08	VYDAJ	PREVOD NA UCET	3825	16630	SIPO	WX	85225909
122117	410	1997-09-08	VYDAJ	PREVOD NA UCET	3825	18618	SIPO	WX	85225909
122118	410	1997-10-08	VYDAJ	PREVOD NA UCET	3825	20615	SIPO	WX	85225909
122119	410	1997-11-08	VYDAJ	PREVOD NA UCET	3825	22620	SIPO	WX	85225909
122120	410	1997-12-08	VYDAJ	PREVOD NA UCET	3825	24633	SIPO	WX	85225909
122121	410	1998-01-08	VYDAJ	PREVOD NA UCET	3825	24453	SIPO	WX	85225909
122122	410	1998-02-08	VYDAJ	PREVOD NA UCET	3825	9164	SIPO	WX	85225909
122123	410	1998-03-08	VYDAJ	PREVOD NA UCET	3825	11121	SIPO	WX	85225909
122124	410	1998-04-08	VYDAJ	PREVOD NA UCET	3825	13086	SIPO	WX	85225909
122125	410	1998-05-08	VYDAJ	PREVOD NA UCET	3825	15060	SIPO	WX	85225909
122126	410	1998-06-08	VYDAJ	PREVOD NA UCET	3825	14316	SIPO	WX	85225909
122127	410	1998-07-08	VYDAJ	PREVOD NA UCET	3825	10691	SIPO	WX	85225909
122128	410	1998-08-08	VYDAJ	PREVOD NA UCET	3825	9767	SIPO	WX	85225909
122129	410	1998-09-08	VYDAJ	PREVOD NA UCET	3825	11727	SIPO	WX	85225909
122130	410	1998-10-08	VYDAJ	PREVOD NA UCET	3825	12894	SIPO	WX	85225909
122131	410	1998-11-08	VYDAJ	PREVOD NA UCET	3825	13265	SIPO	WX	85225909
122132	410	1998-12-08	VYDAJ	PREVOD NA UCET	3825	13438	SIPO	WX	85225909
122134	410	1997-06-14	VYDAJ	VYBER	7150	21273	\N	\N	\N
122138	410	1998-01-06	VYDAJ	VYBER	950	28278	\N	\N	\N
122140	410	1997-12-17	VYDAJ	VYBER	1250	29121	\N	\N	\N
122141	410	1998-12-25	VYDAJ	VYBER	1400	17776	\N	\N	\N
122154	410	1998-01-11	VYDAJ	VYBER	1680	22773	\N	\N	\N
122155	410	1998-01-27	VYDAJ	VYBER	1200	14591	\N	\N	\N
122157	410	1998-01-17	VYDAJ	VYBER	2160	23551	\N	\N	\N
122158	410	1998-01-25	VYDAJ	VYBER	1680	15791	\N	\N	\N
122159	410	1998-01-22	VYDAJ	VYBER	2240	17471	\N	\N	\N
122164	410	1997-04-11	VYDAJ	VYBER	3840	19175	\N	\N	\N
122166	410	1997-06-28	VYDAJ	VYBER	960	18393	\N	\N	\N
122167	410	1997-06-25	VYDAJ	VYBER	1920	19353	\N	\N	\N
122172	410	1998-01-31	VYDAJ	VYBER	1680	13003	\N	\N	\N
122173	410	1998-05-17	VYDAJ	VYBER	2720	18078	\N	\N	\N
122174	410	1998-01-21	VYDAJ	VYBER	3840	19711	\N	\N	\N
122175	410	1998-06-24	VYDAJ	VYBER	3600	16454	\N	\N	\N
122176	410	1998-01-11	VYDAJ	VYBER	2800	19973	\N	\N	\N
122177	410	1998-07-13	VYDAJ	VYBER	2880	13549	\N	\N	\N
122193	410	1997-03-31	VYDAJ	VYBER	15	26840	SLUZBY	\N	\N
122194	410	1997-04-30	VYDAJ	VYBER	15	25004	SLUZBY	\N	\N
122195	410	1997-05-31	VYDAJ	VYBER	15	26510	SLUZBY	\N	\N
122196	410	1997-06-30	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
122197	410	1997-07-31	VYDAJ	VYBER	15	20455	SLUZBY	\N	\N
122198	410	1997-08-31	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
122199	410	1997-09-30	VYDAJ	VYBER	15	24440	SLUZBY	\N	\N
122200	410	1997-10-31	VYDAJ	VYBER	15	26445	SLUZBY	\N	\N
122201	410	1997-11-30	VYDAJ	VYBER	15	28458	SLUZBY	\N	\N
122202	410	1997-12-31	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
122203	410	1998-01-31	VYDAJ	VYBER	15	12989	SLUZBY	\N	\N
122204	410	1998-02-28	VYDAJ	VYBER	15	14946	SLUZBY	\N	\N
122205	410	1998-03-31	VYDAJ	VYBER	15	16911	SLUZBY	\N	\N
122206	410	1998-04-30	VYDAJ	VYBER	15	18885	SLUZBY	\N	\N
122207	410	1998-05-31	VYDAJ	VYBER	15	18141	SLUZBY	\N	\N
122208	410	1998-06-30	VYDAJ	VYBER	15	16516	SLUZBY	\N	\N
122209	410	1998-07-31	VYDAJ	VYBER	15	13592	SLUZBY	\N	\N
122210	410	1998-08-31	VYDAJ	VYBER	15	15552	SLUZBY	\N	\N
122211	410	1998-09-30	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
122212	410	1998-10-31	VYDAJ	VYBER	15	18690	SLUZBY	\N	\N
122213	410	1998-11-30	VYDAJ	VYBER	15	19063	SLUZBY	\N	\N
122214	410	1997-03-14	VYDAJ	VYBER	2100	26790	\N	\N	\N
122215	410	1997-05-13	VYDAJ	VYBER	500	26417	\N	\N	\N
122216	410	1998-07-07	VYDAJ	VYBER	2000	14516	\N	\N	\N
122217	410	1998-10-05	VYDAJ	VYBER	800	16719	\N	\N	\N
122218	410	1998-11-04	VYDAJ	VYBER	1600	17090	\N	\N	\N
122219	410	1998-12-04	VYDAJ	VYBER	1800	17263	\N	\N	\N
122242	411	1993-02-05	PRIJEM	VKLAD	400	400	\N	\N	\N
122244	411	1993-02-14	PRIJEM	VKLAD	18497	18897	\N	\N	\N
122245	411	1993-03-14	PRIJEM	VKLAD	18497	40336	\N	\N	\N
122246	411	1993-04-14	PRIJEM	VKLAD	18497	52564	\N	\N	\N
122247	411	1993-05-14	PRIJEM	VKLAD	18497	54458	\N	\N	\N
122248	411	1993-06-14	PRIJEM	VKLAD	27746	67527	\N	\N	\N
122249	411	1993-07-14	PRIJEM	VKLAD	18497	51998	\N	\N	\N
122250	411	1993-08-14	PRIJEM	VKLAD	18497	44448	\N	\N	\N
122251	411	1993-09-14	PRIJEM	VKLAD	18497	44712	\N	\N	\N
122252	411	1993-10-14	PRIJEM	VKLAD	18497	43571	\N	\N	\N
122253	411	1993-11-14	PRIJEM	VKLAD	18497	45028	\N	\N	\N
122254	411	1993-12-14	PRIJEM	VKLAD	27746	51635	\N	\N	\N
122255	411	1994-01-14	PRIJEM	VKLAD	18497	42352	\N	\N	\N
122256	411	1994-02-14	PRIJEM	VKLAD	18497	40300	\N	\N	\N
122257	411	1994-03-14	PRIJEM	VKLAD	18497	42432	\N	\N	\N
122258	411	1994-04-14	PRIJEM	VKLAD	18497	40620	\N	\N	\N
122259	411	1994-05-14	PRIJEM	VKLAD	18497	40336	\N	\N	\N
122260	411	1994-06-14	PRIJEM	VKLAD	27746	54121	\N	\N	\N
122261	411	1994-07-14	PRIJEM	VKLAD	18497	36315	\N	\N	\N
122262	411	1994-08-14	PRIJEM	VKLAD	18497	41531	\N	\N	\N
122263	411	1994-09-14	PRIJEM	VKLAD	18497	46785	\N	\N	\N
122264	411	1994-10-14	PRIJEM	VKLAD	18497	48942	\N	\N	\N
122265	411	1994-11-14	PRIJEM	VKLAD	18497	48205	\N	\N	\N
122266	411	1994-12-14	PRIJEM	VKLAD	27746	58414	\N	\N	\N
122267	411	1995-01-14	PRIJEM	VKLAD	18497	45016	\N	\N	\N
122268	411	1995-02-14	PRIJEM	VKLAD	18497	42015	\N	\N	\N
122269	411	1995-03-14	PRIJEM	VKLAD	18497	48251	\N	\N	\N
122270	411	1995-04-14	PRIJEM	VKLAD	18497	47821	\N	\N	\N
122271	411	1995-05-14	PRIJEM	VKLAD	18497	50579	\N	\N	\N
122272	411	1995-06-14	PRIJEM	VKLAD	27746	63098	\N	\N	\N
122273	411	1995-07-14	PRIJEM	VKLAD	18497	45782	\N	\N	\N
122274	411	1995-08-14	PRIJEM	VKLAD	18497	52434	\N	\N	\N
122275	411	1995-09-14	PRIJEM	VKLAD	18497	51306	\N	\N	\N
122276	411	1995-10-14	PRIJEM	VKLAD	18497	55278	\N	\N	\N
122277	411	1995-11-14	PRIJEM	VKLAD	18497	59862	\N	\N	\N
122278	411	1995-12-14	PRIJEM	VKLAD	27746	73216	\N	\N	\N
122279	411	1996-01-14	PRIJEM	VKLAD	18497	54690	\N	\N	\N
122280	411	1996-02-14	PRIJEM	VKLAD	18497	49756	\N	\N	\N
122281	411	1996-03-14	PRIJEM	VKLAD	18497	52500	\N	\N	\N
122282	411	1996-04-14	PRIJEM	VKLAD	18497	53868	\N	\N	\N
122283	411	1996-05-14	PRIJEM	VKLAD	18497	55342	\N	\N	\N
122284	411	1996-06-14	PRIJEM	VKLAD	27746	64872	\N	\N	\N
122285	411	1996-07-14	PRIJEM	VKLAD	18497	60624	\N	\N	\N
122286	411	1996-08-14	PRIJEM	VKLAD	18497	61224	\N	\N	\N
122287	411	1996-09-14	PRIJEM	VKLAD	18497	59620	\N	\N	\N
122288	411	1996-10-14	PRIJEM	VKLAD	18497	54441	\N	\N	\N
122289	411	1996-11-14	PRIJEM	VKLAD	18497	52894	\N	\N	\N
122290	411	1996-12-14	PRIJEM	VKLAD	27746	67715	\N	\N	\N
122291	411	1997-01-14	PRIJEM	VKLAD	18497	44505	\N	\N	\N
122292	411	1997-02-14	PRIJEM	VKLAD	18497	46551	\N	\N	\N
122293	411	1997-03-14	PRIJEM	VKLAD	18497	53397	\N	\N	\N
122294	411	1997-04-14	PRIJEM	VKLAD	18497	56567	\N	\N	\N
122295	411	1997-05-14	PRIJEM	VKLAD	18497	61452	\N	\N	\N
122296	411	1997-06-14	PRIJEM	VKLAD	27746	70073	\N	\N	\N
122297	411	1997-07-14	PRIJEM	VKLAD	18497	42787	\N	\N	\N
122298	411	1997-08-14	PRIJEM	VKLAD	18497	60331	\N	\N	\N
122299	411	1997-09-14	PRIJEM	VKLAD	18497	69737	\N	\N	\N
122300	411	1997-10-14	PRIJEM	VKLAD	18497	72387	\N	\N	\N
122301	411	1997-11-14	PRIJEM	VKLAD	18497	73559	\N	\N	\N
122302	411	1997-12-14	PRIJEM	VKLAD	27746	87683	\N	\N	\N
122303	411	1998-01-14	PRIJEM	VKLAD	18497	77986	\N	\N	\N
122304	411	1998-02-14	PRIJEM	VKLAD	18497	70274	\N	\N	\N
122305	411	1998-03-14	PRIJEM	VKLAD	18497	76229	\N	\N	\N
122306	411	1998-04-14	PRIJEM	VKLAD	18497	75809	\N	\N	\N
122307	411	1998-05-14	PRIJEM	VKLAD	18497	79193	\N	\N	\N
122308	411	1998-06-14	PRIJEM	VKLAD	27746	82938	\N	\N	\N
122309	411	1998-07-14	PRIJEM	VKLAD	18497	68667	\N	\N	\N
122310	411	1998-08-14	PRIJEM	VKLAD	18497	64225	\N	\N	\N
122311	411	1998-09-14	PRIJEM	VKLAD	18497	63235	\N	\N	\N
122312	411	1998-10-14	PRIJEM	VKLAD	18497	64532	\N	\N	\N
122313	411	1998-11-14	PRIJEM	VKLAD	18497	64959	\N	\N	\N
122314	411	1998-12-14	PRIJEM	VKLAD	27746	68944	\N	\N	\N
122321	411	1993-07-10	VYDAJ	PREVOD NA UCET	8499	33501	SIPO	QR	15704101
122322	411	1993-08-10	VYDAJ	PREVOD NA UCET	8499	25951	SIPO	QR	15704101
122323	411	1993-09-10	VYDAJ	PREVOD NA UCET	8499	26215	SIPO	QR	15704101
122324	411	1993-10-10	VYDAJ	PREVOD NA UCET	8499	25074	SIPO	QR	15704101
122325	411	1993-11-10	VYDAJ	PREVOD NA UCET	8499	26531	SIPO	QR	15704101
122326	411	1993-12-10	VYDAJ	PREVOD NA UCET	8499	26290	SIPO	QR	15704101
122327	411	1994-01-10	VYDAJ	PREVOD NA UCET	8499	25055	SIPO	QR	15704101
122328	411	1994-02-10	VYDAJ	PREVOD NA UCET	8499	21803	SIPO	QR	15704101
122329	411	1994-03-10	VYDAJ	PREVOD NA UCET	8499	23935	SIPO	QR	15704101
122330	411	1994-04-10	VYDAJ	PREVOD NA UCET	8499	22123	SIPO	QR	15704101
122331	411	1994-05-10	VYDAJ	PREVOD NA UCET	8499	21839	SIPO	QR	15704101
122332	411	1994-06-10	VYDAJ	PREVOD NA UCET	8499	26376	SIPO	QR	15704101
122333	411	1994-07-10	VYDAJ	PREVOD NA UCET	8499	17818	SIPO	QR	15704101
122334	411	1994-08-10	VYDAJ	PREVOD NA UCET	8499	23034	SIPO	QR	15704101
122335	411	1994-09-10	VYDAJ	PREVOD NA UCET	8499	28288	SIPO	QR	15704101
122336	411	1994-10-10	VYDAJ	PREVOD NA UCET	8499	30445	SIPO	QR	15704101
122337	411	1994-11-10	VYDAJ	PREVOD NA UCET	8499	29708	SIPO	QR	15704101
122338	411	1994-12-10	VYDAJ	PREVOD NA UCET	8499	30668	SIPO	QR	15704101
122339	411	1995-01-10	VYDAJ	PREVOD NA UCET	8499	31719	SIPO	QR	15704101
122340	411	1995-02-10	VYDAJ	PREVOD NA UCET	8499	23518	SIPO	QR	15704101
122341	411	1995-03-10	VYDAJ	PREVOD NA UCET	8499	29754	SIPO	QR	15704101
122342	411	1995-04-10	VYDAJ	PREVOD NA UCET	8499	29324	SIPO	QR	15704101
122343	411	1995-05-10	VYDAJ	PREVOD NA UCET	8499	32082	SIPO	QR	15704101
122344	411	1995-06-10	VYDAJ	PREVOD NA UCET	8499	35352	SIPO	QR	15704101
122345	411	1995-07-10	VYDAJ	PREVOD NA UCET	8499	27285	SIPO	QR	15704101
122346	411	1995-08-10	VYDAJ	PREVOD NA UCET	8499	33937	SIPO	QR	15704101
122347	411	1995-09-10	VYDAJ	PREVOD NA UCET	8499	32809	SIPO	QR	15704101
122348	411	1995-10-10	VYDAJ	PREVOD NA UCET	8499	36781	SIPO	QR	15704101
122349	411	1995-11-10	VYDAJ	PREVOD NA UCET	8499	41365	SIPO	QR	15704101
122350	411	1995-12-10	VYDAJ	PREVOD NA UCET	8499	45471	SIPO	QR	15704101
122351	411	1996-01-10	VYDAJ	PREVOD NA UCET	8499	39193	SIPO	QR	15704101
122352	411	1996-02-10	VYDAJ	PREVOD NA UCET	8499	31259	SIPO	QR	15704101
122353	411	1996-03-10	VYDAJ	PREVOD NA UCET	8499	34003	SIPO	QR	15704101
122354	411	1996-04-10	VYDAJ	PREVOD NA UCET	8499	35371	SIPO	QR	15704101
122355	411	1996-05-10	VYDAJ	PREVOD NA UCET	8499	36845	SIPO	QR	15704101
122356	411	1996-06-10	VYDAJ	PREVOD NA UCET	8499	37127	SIPO	QR	15704101
122357	411	1996-07-10	VYDAJ	PREVOD NA UCET	8499	42127	SIPO	QR	15704101
122358	411	1996-08-10	VYDAJ	PREVOD NA UCET	8499	42727	SIPO	QR	15704101
122359	411	1996-09-10	VYDAJ	PREVOD NA UCET	8499	41123	SIPO	QR	15704101
122360	411	1996-10-10	VYDAJ	PREVOD NA UCET	8499	35944	SIPO	QR	15704101
122361	411	1996-11-10	VYDAJ	PREVOD NA UCET	8499	34397	SIPO	QR	15704101
122362	411	1996-12-10	VYDAJ	PREVOD NA UCET	8499	39970	SIPO	QR	15704101
122363	411	1997-01-10	VYDAJ	PREVOD NA UCET	8499	31108	SIPO	QR	15704101
122364	411	1997-02-10	VYDAJ	PREVOD NA UCET	8499	28854	SIPO	QR	15704101
122365	411	1997-03-10	VYDAJ	PREVOD NA UCET	8499	34900	SIPO	QR	15704101
122366	411	1997-04-10	VYDAJ	PREVOD NA UCET	8499	38070	SIPO	QR	15704101
122367	411	1997-05-10	VYDAJ	PREVOD NA UCET	8499	42955	SIPO	QR	15704101
122368	411	1997-06-10	VYDAJ	PREVOD NA UCET	8499	42328	SIPO	QR	15704101
122369	411	1997-07-10	VYDAJ	PREVOD NA UCET	8499	24290	SIPO	QR	15704101
122370	411	1997-08-10	VYDAJ	PREVOD NA UCET	8499	38234	SIPO	QR	15704101
122371	411	1997-09-10	VYDAJ	PREVOD NA UCET	8499	52040	SIPO	QR	15704101
122372	411	1997-10-10	VYDAJ	PREVOD NA UCET	8499	61490	SIPO	QR	15704101
122373	411	1997-11-10	VYDAJ	PREVOD NA UCET	8499	64162	SIPO	QR	15704101
122374	411	1997-12-10	VYDAJ	PREVOD NA UCET	8499	65338	SIPO	QR	15704101
122375	411	1998-01-10	VYDAJ	PREVOD NA UCET	8499	70789	SIPO	QR	15704101
122376	411	1998-02-10	VYDAJ	PREVOD NA UCET	8499	51777	SIPO	QR	15704101
122377	411	1998-03-10	VYDAJ	PREVOD NA UCET	8499	62032	SIPO	QR	15704101
122378	411	1998-04-10	VYDAJ	PREVOD NA UCET	8499	68012	SIPO	QR	15704101
122379	411	1998-05-10	VYDAJ	PREVOD NA UCET	8499	67596	SIPO	QR	15704101
122380	411	1998-06-10	VYDAJ	PREVOD NA UCET	8499	55193	SIPO	QR	15704101
122381	411	1998-07-10	VYDAJ	PREVOD NA UCET	8499	50170	SIPO	QR	15704101
122382	411	1998-08-10	VYDAJ	PREVOD NA UCET	8499	45728	SIPO	QR	15704101
122383	411	1998-09-10	VYDAJ	PREVOD NA UCET	8499	44738	SIPO	QR	15704101
122384	411	1998-10-10	VYDAJ	PREVOD NA UCET	8499	46035	SIPO	QR	15704101
122385	411	1998-11-10	VYDAJ	PREVOD NA UCET	8499	46462	SIPO	QR	15704101
122386	411	1998-12-10	VYDAJ	PREVOD NA UCET	8499	42498	SIPO	QR	15704101
122387	411	1993-06-14	VYDAJ	VYBER	12640	54887	\N	\N	\N
122388	411	1994-06-22	VYDAJ	VYBER	32640	21481	\N	\N	\N
122389	411	1995-06-18	VYDAJ	VYBER	23680	39418	\N	\N	\N
122391	411	1997-06-20	VYDAJ	VYBER	25760	35013	\N	\N	\N
122392	411	1998-06-19	VYDAJ	VYBER	8160	74778	\N	\N	\N
122394	411	1994-01-16	VYDAJ	VYBER	1920	35632	\N	\N	\N
122395	411	1995-01-13	VYDAJ	VYBER	3040	28679	\N	\N	\N
122396	411	1996-01-09	VYDAJ	VYBER	10560	47692	\N	\N	\N
122397	411	1997-01-06	VYDAJ	VYBER	6560	39607	\N	\N	\N
122398	411	1998-01-24	VYDAJ	VYBER KARTOU	3000	67786	\N	\N	0
122399	411	1993-12-13	VYDAJ	VYBER	2400	23890	\N	\N	\N
122400	411	1994-12-30	VYDAJ	VYBER	3680	40034	\N	\N	\N
122401	411	1995-12-30	VYDAJ	VYBER	800	58016	\N	\N	\N
122402	411	1996-12-18	VYDAJ	VYBER KARTOU	2700	52715	\N	\N	0
122403	411	1997-12-18	VYDAJ	VYBER KARTOU	2900	82183	\N	\N	0
122404	411	1998-12-13	VYDAJ	VYBER KARTOU	1300	41198	\N	\N	0
122411	411	1994-01-13	VYDAJ	VYBER	1200	23855	\N	\N	\N
122412	411	1994-01-16	VYDAJ	VYBER	1320	37552	\N	\N	\N
122413	411	1994-01-15	VYDAJ	VYBER	3480	38872	\N	\N	\N
122414	411	1994-01-06	VYDAJ	VYBER	1320	33554	\N	\N	\N
122415	411	1994-01-27	VYDAJ	VYBER	840	31072	\N	\N	\N
122416	411	1994-01-04	VYDAJ	VYBER	3240	34874	\N	\N	\N
122417	411	1995-01-16	VYDAJ	VYBER	1080	39496	\N	\N	\N
122418	411	1995-01-15	VYDAJ	VYBER	2880	42136	\N	\N	\N
122419	411	1995-01-15	VYDAJ	VYBER	1560	40576	\N	\N	\N
122420	411	1995-01-18	VYDAJ	VYBER	3000	33976	\N	\N	\N
122421	411	1995-01-13	VYDAJ	VYBER	2160	26519	\N	\N	\N
122422	411	1995-01-18	VYDAJ	VYBER	2520	36976	\N	\N	\N
122423	411	1996-01-21	VYDAJ	VYBER	1200	44850	\N	\N	\N
122424	411	1996-01-18	VYDAJ	VYBER	1440	53250	\N	\N	\N
122425	411	1996-01-11	VYDAJ	VYBER	3000	36193	\N	\N	\N
122426	411	1996-01-28	VYDAJ	VYBER	3360	40290	\N	\N	\N
122427	411	1996-01-29	VYDAJ	VYBER	720	39570	\N	\N	\N
122428	411	1996-01-27	VYDAJ	VYBER	1200	43650	\N	\N	\N
122429	411	1997-01-26	VYDAJ	VYBER KARTOU	600	39405	\N	\N	0
122430	411	1997-01-12	VYDAJ	VYBER KARTOU	2000	29108	\N	\N	0
122431	411	1997-01-16	VYDAJ	VYBER KARTOU	2600	40005	\N	\N	0
122432	411	1997-01-04	VYDAJ	VYBER KARTOU	2300	46167	\N	\N	0
122433	411	1997-01-12	VYDAJ	VYBER KARTOU	3100	26008	\N	\N	0
122434	411	1997-01-27	VYDAJ	VYBER KARTOU	2200	37205	\N	\N	0
122435	411	1998-01-21	VYDAJ	VYBER KARTOU	3100	71786	\N	\N	0
122436	411	1998-01-05	VYDAJ	VYBER KARTOU	3200	79288	\N	\N	0
122437	411	1998-01-23	VYDAJ	VYBER KARTOU	1000	70786	\N	\N	0
122438	411	1998-01-27	VYDAJ	VYBER KARTOU	700	67086	\N	\N	0
122439	411	1998-01-13	VYDAJ	VYBER KARTOU	2500	59489	\N	\N	0
122440	411	1998-01-19	VYDAJ	VYBER KARTOU	3100	74886	\N	\N	0
122444	411	1993-07-22	VYDAJ	VYBER	3240	48758	\N	\N	\N
122445	411	1994-08-20	VYDAJ	VYBER	1680	39851	\N	\N	\N
122446	411	1994-04-01	VYDAJ	VYBER	5760	36822	\N	\N	\N
122447	411	1994-01-25	VYDAJ	VYBER	3720	31912	\N	\N	\N
122448	411	1994-04-30	VYDAJ	VYBER	3720	37038	\N	\N	\N
122449	411	1995-03-14	VYDAJ	VYBER	5280	42971	\N	\N	\N
122450	411	1995-08-26	VYDAJ	VYBER	3600	41134	\N	\N	\N
122451	411	1995-10-09	VYDAJ	VYBER	600	45280	\N	\N	\N
122452	411	1996-06-06	VYDAJ	VYBER	1800	45626	\N	\N	\N
122453	411	1996-03-05	VYDAJ	VYBER	2520	42502	\N	\N	\N
122454	411	1996-11-03	VYDAJ	VYBER	3120	42896	\N	\N	\N
122455	411	1996-06-25	VYDAJ	VYBER	2040	50432	\N	\N	\N
122456	411	1996-12-20	VYDAJ	VYBER	4440	48275	\N	\N	\N
122457	411	1996-09-14	VYDAJ	VYBER	3960	55660	\N	\N	\N
122458	411	1997-06-27	VYDAJ	VYBER KARTOU	2400	32613	\N	\N	0
122459	411	1997-11-11	VYDAJ	VYBER KARTOU	2300	55062	\N	\N	0
122460	411	1997-07-25	VYDAJ	VYBER KARTOU	1800	46587	\N	\N	0
122461	411	1997-12-15	VYDAJ	VYBER KARTOU	2600	85083	\N	\N	0
122462	411	1997-02-12	VYDAJ	VYBER KARTOU	800	28054	\N	\N	0
122463	411	1997-05-14	VYDAJ	VYBER	4920	56532	\N	\N	\N
122464	411	1998-08-09	VYDAJ	VYBER KARTOU	2400	54227	\N	\N	0
122465	411	1998-07-06	VYDAJ	VYBER KARTOU	1200	73869	\N	\N	0
122466	411	1998-09-18	VYDAJ	VYBER	4920	58315	\N	\N	\N
122467	411	1998-08-18	VYDAJ	VYBER	4320	59905	\N	\N	\N
122474	411	1993-06-30	VYDAJ	VYBER	15	55100	SLUZBY	\N	\N
122475	411	1993-07-31	VYDAJ	VYBER	15	48950	SLUZBY	\N	\N
122476	411	1993-08-31	VYDAJ	VYBER	15	44614	SLUZBY	\N	\N
122477	411	1993-09-30	VYDAJ	VYBER	15	44873	SLUZBY	\N	\N
122478	411	1993-10-31	VYDAJ	VYBER	15	43730	SLUZBY	\N	\N
122479	411	1993-11-30	VYDAJ	VYBER	15	45189	SLUZBY	\N	\N
122480	411	1993-12-31	VYDAJ	VYBER	15	51814	SLUZBY	\N	\N
122481	411	1994-01-31	VYDAJ	VYBER	15	30302	SLUZBY	\N	\N
122482	411	1994-02-28	VYDAJ	VYBER	15	40434	SLUZBY	\N	\N
122483	411	1994-03-31	VYDAJ	VYBER	15	42582	SLUZBY	\N	\N
122484	411	1994-04-30	VYDAJ	VYBER	15	40758	SLUZBY	\N	\N
122485	411	1994-05-31	VYDAJ	VYBER	15	34875	SLUZBY	\N	\N
122486	411	1994-06-30	VYDAJ	VYBER	15	26317	SLUZBY	\N	\N
122487	411	1994-07-31	VYDAJ	VYBER	15	31533	SLUZBY	\N	\N
122488	411	1994-08-31	VYDAJ	VYBER	15	36787	SLUZBY	\N	\N
122489	411	1994-09-30	VYDAJ	VYBER	15	38944	SLUZBY	\N	\N
122490	411	1994-10-31	VYDAJ	VYBER	15	38207	SLUZBY	\N	\N
122491	411	1994-11-30	VYDAJ	VYBER	15	39167	SLUZBY	\N	\N
122492	411	1994-12-31	VYDAJ	VYBER	15	40218	SLUZBY	\N	\N
122493	411	1995-01-31	VYDAJ	VYBER	15	32017	SLUZBY	\N	\N
122494	411	1995-02-28	VYDAJ	VYBER	15	38253	SLUZBY	\N	\N
122495	411	1995-03-31	VYDAJ	VYBER	15	37823	SLUZBY	\N	\N
122496	411	1995-04-30	VYDAJ	VYBER	15	40581	SLUZBY	\N	\N
122497	411	1995-05-31	VYDAJ	VYBER	15	43851	SLUZBY	\N	\N
122498	411	1995-06-30	VYDAJ	VYBER	15	35784	SLUZBY	\N	\N
122499	411	1995-07-31	VYDAJ	VYBER	15	42436	SLUZBY	\N	\N
122500	411	1995-08-31	VYDAJ	VYBER	15	41308	SLUZBY	\N	\N
122501	411	1995-09-30	VYDAJ	VYBER	15	45880	SLUZBY	\N	\N
122502	411	1995-10-31	VYDAJ	VYBER	15	49864	SLUZBY	\N	\N
122503	411	1995-11-30	VYDAJ	VYBER	15	53970	SLUZBY	\N	\N
122504	411	1995-12-31	VYDAJ	VYBER	15	58252	SLUZBY	\N	\N
122505	411	1996-01-31	VYDAJ	VYBER	15	39758	SLUZBY	\N	\N
122506	411	1996-02-29	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
122507	411	1996-03-31	VYDAJ	VYBER	15	43870	SLUZBY	\N	\N
122508	411	1996-04-30	VYDAJ	VYBER	15	45344	SLUZBY	\N	\N
122509	411	1996-05-31	VYDAJ	VYBER	15	47426	SLUZBY	\N	\N
122510	411	1996-06-30	VYDAJ	VYBER	15	50626	SLUZBY	\N	\N
122511	411	1996-07-31	VYDAJ	VYBER	15	51226	SLUZBY	\N	\N
122512	411	1996-08-31	VYDAJ	VYBER	15	49622	SLUZBY	\N	\N
122513	411	1996-09-30	VYDAJ	VYBER	15	44443	SLUZBY	\N	\N
122514	411	1996-10-31	VYDAJ	VYBER	15	46016	SLUZBY	\N	\N
122515	411	1996-11-30	VYDAJ	VYBER	15	48469	SLUZBY	\N	\N
122516	411	1996-12-31	VYDAJ	VYBER	15	48467	SLUZBY	\N	\N
122517	411	1997-01-31	VYDAJ	VYBER	15	37353	SLUZBY	\N	\N
122518	411	1997-02-28	VYDAJ	VYBER	15	43399	SLUZBY	\N	\N
122519	411	1997-03-31	VYDAJ	VYBER	15	46569	SLUZBY	\N	\N
122520	411	1997-04-30	VYDAJ	VYBER	15	51454	SLUZBY	\N	\N
122521	411	1997-05-31	VYDAJ	VYBER	15	50827	SLUZBY	\N	\N
122522	411	1997-06-30	VYDAJ	VYBER	15	32789	SLUZBY	\N	\N
122523	411	1997-07-31	VYDAJ	VYBER	15	46733	SLUZBY	\N	\N
122524	411	1997-08-31	VYDAJ	VYBER	15	60539	SLUZBY	\N	\N
122525	411	1997-09-30	VYDAJ	VYBER	15	69989	SLUZBY	\N	\N
122526	411	1997-10-31	VYDAJ	VYBER	15	72661	SLUZBY	\N	\N
122527	411	1997-11-30	VYDAJ	VYBER	15	73837	SLUZBY	\N	\N
122528	411	1997-12-31	VYDAJ	VYBER	15	82488	SLUZBY	\N	\N
122529	411	1998-01-31	VYDAJ	VYBER	15	67376	SLUZBY	\N	\N
122530	411	1998-02-28	VYDAJ	VYBER	15	70531	SLUZBY	\N	\N
122531	411	1998-03-31	VYDAJ	VYBER	15	76511	SLUZBY	\N	\N
122532	411	1998-04-30	VYDAJ	VYBER	15	76095	SLUZBY	\N	\N
122533	411	1998-05-31	VYDAJ	VYBER	15	79492	SLUZBY	\N	\N
122534	411	1998-06-30	VYDAJ	VYBER	15	75069	SLUZBY	\N	\N
122535	411	1998-07-31	VYDAJ	VYBER	15	68927	SLUZBY	\N	\N
122536	411	1998-08-31	VYDAJ	VYBER	15	60137	SLUZBY	\N	\N
122537	411	1998-09-30	VYDAJ	VYBER	15	58534	SLUZBY	\N	\N
122538	411	1998-10-31	VYDAJ	VYBER	15	64761	SLUZBY	\N	\N
122539	411	1998-11-30	VYDAJ	VYBER	15	65197	SLUZBY	\N	\N
122540	411	1993-03-07	PRIJEM	VKLAD	2900	21839	\N	\N	\N
122541	411	1993-04-06	VYDAJ	VYBER	6400	34067	\N	\N	\N
122542	411	1993-05-06	VYDAJ	VYBER	16800	35961	\N	\N	\N
122543	411	1993-06-05	VYDAJ	VYBER	14900	39781	\N	\N	\N
122544	411	1993-07-05	VYDAJ	VYBER	13100	42000	\N	\N	\N
122545	411	1993-08-04	VYDAJ	VYBER	14500	34450	\N	\N	\N
122546	411	1993-09-03	VYDAJ	VYBER	9900	34714	\N	\N	\N
122547	411	1993-10-03	VYDAJ	VYBER	11300	33573	\N	\N	\N
122548	411	1993-11-02	VYDAJ	VYBER	8700	35030	\N	\N	\N
122549	411	1993-12-02	VYDAJ	VYBER	10400	34789	\N	\N	\N
122550	411	1994-01-01	VYDAJ	VYBER	13700	38114	\N	\N	\N
122551	411	1994-01-31	VYDAJ	VYBER	900	30317	\N	\N	\N
122552	411	1994-03-02	VYDAJ	VYBER	8000	32434	\N	\N	\N
122553	411	1994-04-01	VYDAJ	VYBER	6200	30622	\N	\N	\N
122554	411	1994-05-01	VYDAJ	VYBER	6700	30338	\N	\N	\N
122555	411	1994-05-31	VYDAJ	VYBER	5600	34889	\N	\N	\N
122556	411	1994-06-30	PRIJEM	VKLAD	4700	26332	\N	\N	\N
122557	411	1994-07-30	VYDAJ	VYBER	4900	31415	\N	\N	\N
122558	411	1994-08-29	VYDAJ	VYBER	3200	36651	\N	\N	\N
122559	411	1994-09-28	VYDAJ	VYBER	8000	38785	\N	\N	\N
122560	411	1994-10-28	VYDAJ	VYBER	10900	38042	\N	\N	\N
122561	411	1994-11-27	VYDAJ	VYBER	9200	39005	\N	\N	\N
122562	411	1994-12-27	VYDAJ	VYBER	14700	43714	\N	\N	\N
122563	411	1995-01-26	VYDAJ	VYBER	2100	31876	\N	\N	\N
122564	411	1995-02-25	VYDAJ	VYBER	3900	38115	\N	\N	\N
122565	411	1995-03-27	VYDAJ	VYBER	5300	37671	\N	\N	\N
122566	411	1995-04-26	VYDAJ	VYBER	7400	40421	\N	\N	\N
122567	411	1995-05-26	VYDAJ	VYBER	6900	43679	\N	\N	\N
122568	411	1995-06-25	VYDAJ	VYBER	3800	35618	\N	\N	\N
122569	411	1995-07-25	VYDAJ	VYBER	3500	42282	\N	\N	\N
122570	411	1995-08-24	VYDAJ	VYBER	7700	44734	\N	\N	\N
122571	411	1995-09-23	VYDAJ	VYBER	5600	45706	\N	\N	\N
122572	411	1995-10-23	VYDAJ	VYBER	5600	49678	\N	\N	\N
122573	411	1995-11-22	VYDAJ	VYBER	6100	53762	\N	\N	\N
122574	411	1995-12-22	VYDAJ	VYBER	14400	58816	\N	\N	\N
122575	411	1996-01-21	VYDAJ	VYBER	7200	46050	\N	\N	\N
122576	411	1996-02-20	VYDAJ	VYBER	4900	44856	\N	\N	\N
122577	411	1996-03-21	VYDAJ	VYBER	8800	43700	\N	\N	\N
122578	411	1996-04-20	VYDAJ	VYBER	8700	45168	\N	\N	\N
122579	411	1996-05-20	VYDAJ	VYBER	8100	47242	\N	\N	\N
122580	411	1996-06-19	VYDAJ	VYBER	12400	52472	\N	\N	\N
122581	411	1996-07-19	VYDAJ	VYBER	9600	51024	\N	\N	\N
122582	411	1996-08-18	VYDAJ	VYBER	11800	49424	\N	\N	\N
122583	411	1996-09-17	VYDAJ	VYBER	11400	44260	\N	\N	\N
122584	411	1996-10-17	VYDAJ	VYBER	8600	45841	\N	\N	\N
122585	411	1996-11-16	VYDAJ	VYBER	4600	48294	\N	\N	\N
122586	411	1996-12-16	VYDAJ	VYBER	12300	55415	\N	\N	\N
122587	411	1997-01-15	VYDAJ	VYBER KARTOU	1900	42605	\N	\N	0
122588	411	1997-02-14	VYDAJ	VYBER KARTOU	3300	43251	\N	\N	0
122589	411	1997-03-16	VYDAJ	VYBER	7000	46397	\N	\N	\N
122590	411	1997-04-15	VYDAJ	VYBER	5300	51267	\N	\N	\N
122591	411	1997-05-15	VYDAJ	VYBER	5900	50632	\N	\N	\N
122592	411	1997-06-14	VYDAJ	VYBER	9300	60773	\N	\N	\N
122593	411	1997-07-14	PRIJEM	VKLAD	5600	48387	\N	\N	\N
122594	411	1997-08-13	PRIJEM	VKLAD	3600	41834	\N	\N	\N
122595	411	1997-09-12	VYDAJ	VYBER KARTOU	800	51240	\N	\N	0
122596	411	1997-10-12	VYDAJ	VYBER	7600	53890	\N	\N	\N
122597	411	1997-11-11	VYDAJ	VYBER	6800	57362	\N	\N	\N
122598	411	1997-12-11	VYDAJ	VYBER	5400	59938	\N	\N	\N
122599	411	1998-01-10	VYDAJ	VYBER	8800	61989	\N	\N	\N
122600	411	1998-02-09	VYDAJ	VYBER	7100	60276	\N	\N	\N
122601	411	1998-03-11	VYDAJ	VYBER	4300	57732	\N	\N	\N
122602	411	1998-04-10	VYDAJ	VYBER	10700	57312	\N	\N	\N
122603	411	1998-05-10	VYDAJ	VYBER	6900	60696	\N	\N	\N
122604	411	1998-06-09	VYDAJ	VYBER	15800	63692	\N	\N	\N
122605	411	1998-07-09	VYDAJ	VYBER	15200	58669	\N	\N	\N
122606	411	1998-08-08	VYDAJ	VYBER	12300	56627	\N	\N	\N
122607	411	1998-09-07	VYDAJ	VYBER	6900	53237	\N	\N	\N
122608	411	1998-10-07	VYDAJ	VYBER KARTOU	4000	54534	\N	\N	0
122609	411	1998-11-06	VYDAJ	VYBER	9800	54961	\N	\N	\N
122610	411	1998-12-06	VYDAJ	VYBER	14200	50997	\N	\N	\N
122682	412	1996-01-21	PRIJEM	VKLAD	700	700	\N	\N	\N
122683	412	1996-09-29	PRIJEM	VKLAD	6135	27404	\N	\N	\N
122684	412	1996-10-31	PRIJEM	VKLAD	21608	65021	\N	\N	\N
122685	412	1996-02-27	PRIJEM	VKLAD	21659	47542	\N	\N	\N
122686	412	1996-05-08	PRIJEM	VKLAD	6752	42730	\N	\N	\N
122687	412	1996-01-25	PRIJEM	VKLAD	26757	27457	\N	\N	\N
122688	412	1996-09-29	PRIJEM	VKLAD	41846	69250	\N	\N	\N
122689	412	1996-08-04	PRIJEM	VKLAD	20509	50298	\N	\N	\N
122690	412	1996-04-04	PRIJEM	VKLAD	11735	46498	\N	\N	\N
122692	412	1996-07-16	PRIJEM	VKLAD	5036	27777	\N	\N	\N
122693	412	1996-05-14	PRIJEM	VKLAD	24827	67557	\N	\N	\N
122694	412	1996-11-12	PRIJEM	VKLAD	11096	67602	\N	\N	\N
122695	412	1997-08-17	PRIJEM	VKLAD	14569	106123	\N	\N	\N
122696	412	1997-01-23	PRIJEM	VKLAD	31198	80865	\N	\N	\N
122697	412	1997-08-15	PRIJEM	VKLAD	39852	91554	\N	\N	\N
122698	412	1997-01-10	PRIJEM	VKLAD	41152	60967	\N	\N	\N
122699	412	1997-05-12	PRIJEM	VKLAD	16077	36649	\N	\N	\N
122700	412	1997-03-09	PRIJEM	VKLAD	21967	83196	\N	\N	\N
122701	412	1997-06-09	PRIJEM	VKLAD	21503	65243	\N	\N	\N
122702	412	1997-07-11	PRIJEM	VKLAD	8594	55029	\N	\N	\N
122703	412	1997-04-27	PRIJEM	VKLAD	16307	51754	\N	\N	\N
122704	412	1997-11-16	PRIJEM	VKLAD	8254	76364	\N	\N	\N
122705	412	1997-02-11	PRIJEM	VKLAD	26100	98450	\N	\N	\N
122706	412	1997-10-21	PRIJEM	VKLAD	32079	96020	\N	\N	\N
122707	412	1997-07-29	PRIJEM	VKLAD	21695	69324	\N	\N	\N
122708	412	1997-10-07	PRIJEM	VKLAD	48001	103768	\N	\N	\N
122709	412	1997-05-21	PRIJEM	VKLAD	35119	70568	\N	\N	\N
122710	412	1998-04-07	PRIJEM	VKLAD	26645	98883	\N	\N	\N
122711	412	1998-12-14	PRIJEM	VKLAD	34424	69923	\N	\N	\N
122712	412	1998-04-28	PRIJEM	VKLAD	30965	57952	\N	\N	\N
122713	412	1998-06-15	PRIJEM	VKLAD	36145	91887	\N	\N	\N
122714	412	1998-08-09	PRIJEM	VKLAD	27050	78228	\N	\N	\N
122715	412	1998-02-20	PRIJEM	VKLAD	6292	70895	\N	\N	\N
122716	412	1998-01-17	PRIJEM	VKLAD	31822	75790	\N	\N	\N
122717	412	1998-07-19	PRIJEM	VKLAD	35285	89607	\N	\N	\N
122718	412	1998-08-01	PRIJEM	VKLAD	32187	115195	\N	\N	\N
122719	412	1998-03-21	PRIJEM	VKLAD	33413	72866	\N	\N	\N
122720	412	1998-03-25	PRIJEM	VKLAD	13868	86734	\N	\N	\N
122721	412	1998-05-30	PRIJEM	VKLAD	35285	124911	\N	\N	\N
122722	412	1998-05-28	PRIJEM	VKLAD	46474	89626	\N	\N	\N
122723	412	1998-01-16	PRIJEM	VKLAD	20536	43968	\N	\N	\N
122724	412	1998-07-08	PRIJEM	VKLAD	19840	94955	\N	\N	\N
122725	412	1998-11-25	PRIJEM	VKLAD	15778	56413	\N	\N	\N
122726	412	1998-10-15	PRIJEM	VKLAD	21593	80272	\N	\N	\N
122727	412	1998-02-07	PRIJEM	VKLAD	27801	85630	\N	\N	\N
122728	412	1998-05-02	PRIJEM	VKLAD	5990	41979	\N	\N	\N
122734	412	1996-06-07	VYDAJ	PREVOD NA UCET	8727	39410	SIPO	WX	35379701
122735	412	1996-07-07	VYDAJ	PREVOD NA UCET	8727	22741	SIPO	WX	35379701
122736	412	1996-08-07	VYDAJ	PREVOD NA UCET	8727	41571	SIPO	WX	35379701
122737	412	1996-09-07	VYDAJ	PREVOD NA UCET	8727	16269	SIPO	WX	35379701
122738	412	1996-10-07	VYDAJ	PREVOD NA UCET	8727	60613	SIPO	WX	35379701
122739	412	1996-11-07	VYDAJ	PREVOD NA UCET	8727	56506	SIPO	WX	35379701
122740	412	1996-12-07	VYDAJ	PREVOD NA UCET	8727	37803	SIPO	WX	35379701
122741	412	1997-01-07	VYDAJ	PREVOD NA UCET	8727	19815	SIPO	WX	35379701
122742	412	1997-02-07	VYDAJ	PREVOD NA UCET	8727	72350	SIPO	WX	35379701
122743	412	1997-03-07	VYDAJ	PREVOD NA UCET	8727	61229	SIPO	WX	35379701
122744	412	1997-04-07	VYDAJ	PREVOD NA UCET	8727	36447	SIPO	WX	35379701
122745	412	1997-05-07	VYDAJ	PREVOD NA UCET	8727	23246	SIPO	WX	35379701
122746	412	1997-06-07	VYDAJ	PREVOD NA UCET	8727	43740	SIPO	WX	35379701
122747	412	1997-07-07	VYDAJ	PREVOD NA UCET	8727	46435	SIPO	WX	35379701
122748	412	1997-08-07	VYDAJ	PREVOD NA UCET	8727	60802	SIPO	WX	35379701
122749	412	1997-09-07	VYDAJ	PREVOD NA UCET	8727	70310	SIPO	WX	35379701
122750	412	1997-10-07	VYDAJ	PREVOD NA UCET	8727	95041	SIPO	WX	35379701
122751	412	1997-11-07	VYDAJ	PREVOD NA UCET	8727	87610	SIPO	WX	35379701
122752	412	1997-12-07	VYDAJ	PREVOD NA UCET	8727	67962	SIPO	WX	35379701
122753	412	1998-01-07	VYDAJ	PREVOD NA UCET	8727	21771	SIPO	WX	35379701
122754	412	1998-02-07	VYDAJ	PREVOD NA UCET	8727	76903	SIPO	WX	35379701
122755	412	1998-03-07	VYDAJ	PREVOD NA UCET	8727	17353	SIPO	WX	35379701
122756	412	1998-04-07	VYDAJ	PREVOD NA UCET	8727	90156	SIPO	WX	35379701
122757	412	1998-05-07	VYDAJ	PREVOD NA UCET	8727	33252	SIPO	WX	35379701
122758	412	1998-06-07	VYDAJ	PREVOD NA UCET	8727	97977	SIPO	WX	35379701
122759	412	1998-07-07	VYDAJ	PREVOD NA UCET	8727	75115	SIPO	WX	35379701
122760	412	1998-08-07	VYDAJ	PREVOD NA UCET	8727	47278	SIPO	WX	35379701
122761	412	1998-09-07	VYDAJ	PREVOD NA UCET	8727	69825	SIPO	WX	35379701
122762	412	1998-10-07	VYDAJ	PREVOD NA UCET	8727	58679	SIPO	WX	35379701
122763	412	1998-11-07	VYDAJ	PREVOD NA UCET	8727	59115	SIPO	WX	35379701
122764	412	1998-12-07	VYDAJ	PREVOD NA UCET	8727	49490	SIPO	WX	35379701
122767	412	1997-05-11	VYBER	VYBER	2674	20572	\N	\N	\N
122768	412	1997-09-02	VYBER	VYBER	4088	102385	\N	\N	\N
122769	412	1997-05-03	VYBER	VYBER	19942	31973	\N	\N	\N
122770	412	1997-05-28	VYBER	VYBER	18281	52287	\N	\N	\N
122771	412	1997-03-24	VYBER	VYBER	3670	44929	\N	\N	\N
122772	412	1997-12-17	VYBER	VYBER	24758	30304	\N	\N	\N
122773	412	1997-03-20	VYBER	VYBER	12297	48599	\N	\N	\N
122774	412	1997-09-04	VYBER	VYBER	23348	79037	\N	\N	\N
122775	412	1998-03-02	VYBER	VYBER	23750	26080	\N	\N	\N
122776	412	1998-07-09	VYBER	VYBER	23533	71422	\N	\N	\N
122777	412	1998-12-11	VYBER	VYBER	13991	35499	\N	\N	\N
122778	412	1998-06-11	VYBER	VYBER	9335	67742	\N	\N	\N
122779	412	1998-04-27	VYBER	VYBER	19956	26987	\N	\N	\N
122780	412	1998-04-24	VYBER	VYBER	24713	46943	\N	\N	\N
122781	412	1998-08-06	VYBER	VYBER	20590	56005	\N	\N	\N
122782	412	1998-01-11	VYBER	VYBER	9539	23432	\N	\N	\N
122783	412	1998-01-18	VYBER	VYBER	18128	57662	\N	\N	\N
122784	412	1998-02-26	VYBER	VYBER	21315	49580	\N	\N	\N
122785	412	1998-11-09	VYBER	VYBER	15460	43655	\N	\N	\N
122786	412	1998-06-27	VYBER	VYBER	8405	83482	\N	\N	\N
122787	412	1998-05-01	VYBER	VYBER	22232	35989	\N	\N	\N
122788	412	1998-11-21	VYBER	VYBER	3020	40635	\N	\N	\N
122791	412	1998-06-14	VYDAJ	VYBER	12000	55742	\N	\N	\N
122792	412	1996-12-25	VYDAJ	VYBER	4500	28403	\N	\N	\N
122793	412	1997-12-15	VYDAJ	VYBER	2700	55062	\N	\N	\N
122794	412	1998-12-14	VYDAJ	VYBER	6600	63323	\N	\N	\N
122795	412	1996-08-23	VYDAJ	VYBER	11400	24871	\N	\N	\N
122798	412	1996-12-02	VYDAJ	VYBER	4500	46530	\N	\N	\N
122799	412	1996-10-11	VYDAJ	VYBER	6600	54013	\N	\N	\N
122801	412	1997-10-15	VYDAJ	VYBER	8100	63941	\N	\N	\N
122802	412	1998-03-30	VYDAJ	VYBER	14700	72034	\N	\N	\N
122803	412	1998-07-20	VYDAJ	VYBER	6900	82707	\N	\N	\N
122804	412	1998-07-12	VYDAJ	VYBER	8700	54322	\N	\N	\N
122805	412	1998-10-17	VYDAJ	VYBER	6600	73672	\N	\N	\N
122811	412	1996-05-31	VYDAJ	VYBER	15	48137	SLUZBY	\N	\N
122812	412	1996-06-30	VYDAJ	VYBER	15	31468	SLUZBY	\N	\N
122813	412	1996-07-31	VYDAJ	VYBER	15	29789	SLUZBY	\N	\N
122814	412	1996-08-31	VYDAJ	VYBER	15	24996	SLUZBY	\N	\N
122815	412	1996-09-30	VYDAJ	VYBER	15	69340	SLUZBY	\N	\N
122816	412	1996-10-31	VYDAJ	VYBER	15	65233	SLUZBY	\N	\N
122817	412	1996-11-30	VYDAJ	VYBER	15	51030	SLUZBY	\N	\N
122818	412	1996-12-31	VYDAJ	VYBER	15	28542	SLUZBY	\N	\N
122819	412	1997-01-31	VYDAJ	VYBER	15	81077	SLUZBY	\N	\N
122820	412	1997-02-28	VYDAJ	VYBER	15	69956	SLUZBY	\N	\N
122821	412	1997-03-31	VYDAJ	VYBER	15	45174	SLUZBY	\N	\N
122822	412	1997-04-30	VYDAJ	VYBER	15	51915	SLUZBY	\N	\N
122823	412	1997-05-31	VYDAJ	VYBER	15	52467	SLUZBY	\N	\N
122824	412	1997-06-30	VYDAJ	VYBER	15	55162	SLUZBY	\N	\N
122825	412	1997-07-31	VYDAJ	VYBER	15	69529	SLUZBY	\N	\N
122826	412	1997-08-31	VYDAJ	VYBER	15	106473	SLUZBY	\N	\N
122827	412	1997-09-30	VYDAJ	VYBER	15	55767	SLUZBY	\N	\N
122828	412	1997-10-31	VYDAJ	VYBER	15	96337	SLUZBY	\N	\N
122829	412	1997-11-30	VYDAJ	VYBER	15	76689	SLUZBY	\N	\N
122830	412	1997-12-31	VYDAJ	VYBER	15	30498	SLUZBY	\N	\N
122831	412	1998-01-31	VYDAJ	VYBER	15	57829	SLUZBY	\N	\N
122832	412	1998-02-28	VYDAJ	VYBER	15	49830	SLUZBY	\N	\N
122833	412	1998-03-31	VYDAJ	VYBER	15	72238	SLUZBY	\N	\N
122834	412	1998-04-30	VYDAJ	VYBER	15	58221	SLUZBY	\N	\N
122835	412	1998-05-31	VYDAJ	VYBER	15	106704	SLUZBY	\N	\N
122836	412	1998-06-30	VYDAJ	VYBER	15	83842	SLUZBY	\N	\N
122837	412	1998-07-31	VYDAJ	VYBER	15	83008	SLUZBY	\N	\N
122838	412	1998-08-31	VYDAJ	VYBER	15	78552	SLUZBY	\N	\N
122839	412	1998-09-30	VYDAJ	VYBER	15	65806	SLUZBY	\N	\N
122840	412	1998-10-31	VYDAJ	VYBER	15	73942	SLUZBY	\N	\N
122841	412	1998-11-30	VYDAJ	VYBER	15	56617	SLUZBY	\N	\N
122842	412	1996-02-20	VYDAJ	VYBER	1600	25883	\N	\N	\N
122843	412	1996-03-21	VYDAJ	VYBER	13100	34565	\N	\N	\N
122844	412	1996-04-20	VYDAJ	VYBER	10700	35798	\N	\N	\N
122845	412	1996-05-20	VYDAJ	VYBER	19600	47957	\N	\N	\N
122846	412	1996-06-19	VYDAJ	VYBER	8100	31310	\N	\N	\N
122847	412	1996-07-19	PRIJEM	VKLAD	1900	29677	\N	\N	\N
122848	412	1996-08-18	VYDAJ	VYBER	5300	36271	\N	\N	\N
122849	412	1996-09-17	PRIJEM	VKLAD	5000	21269	\N	\N	\N
122850	412	1996-10-17	VYDAJ	VYBER	10600	43413	\N	\N	\N
122851	412	1996-11-16	VYDAJ	VYBER	16800	50802	\N	\N	\N
122852	412	1996-12-16	VYDAJ	VYBER	4900	32903	\N	\N	\N
122853	412	1997-01-15	VYDAJ	VYBER	11300	49667	\N	\N	\N
122854	412	1997-02-14	VYDAJ	VYBER	28800	69650	\N	\N	\N
122855	412	1997-03-16	VYDAJ	VYBER	22300	60896	\N	\N	\N
122856	412	1997-04-15	VYDAJ	VYBER	1000	35447	\N	\N	\N
122857	412	1997-05-15	VYDAJ	VYBER	1200	35449	\N	\N	\N
122858	412	1997-06-14	VYDAJ	VYBER	10300	54943	\N	\N	\N
122859	412	1997-07-14	VYDAJ	VYBER	7400	47629	\N	\N	\N
122860	412	1997-08-13	VYDAJ	VYBER	9100	51702	\N	\N	\N
122861	412	1997-09-12	VYDAJ	VYBER	14800	55510	\N	\N	\N
122862	412	1997-10-12	VYDAJ	VYBER	23000	72041	\N	\N	\N
122863	412	1997-11-11	VYDAJ	VYBER	19500	68110	\N	\N	\N
122864	412	1997-12-11	VYDAJ	VYBER	10200	57762	\N	\N	\N
122865	412	1998-01-10	PRIJEM	VKLAD	11200	32971	\N	\N	\N
122866	412	1998-02-09	VYDAJ	VYBER	12300	64603	\N	\N	\N
122867	412	1998-03-11	PRIJEM	VKLAD	22100	39453	\N	\N	\N
122868	412	1998-04-10	VYDAJ	VYBER	18500	71656	\N	\N	\N
122869	412	1998-05-10	PRIJEM	VKLAD	9900	43152	\N	\N	\N
122870	412	1998-05-30	VYDAJ	VYBER	18400	106511	\N	\N	\N
122871	412	1998-06-09	VYDAJ	VYBER	20900	77077	\N	\N	\N
122872	412	1998-07-09	VYDAJ	VYBER	8400	63022	\N	\N	\N
122873	412	1998-08-01	VYDAJ	VYBER	38600	76595	\N	\N	\N
122874	412	1998-08-08	PRIJEM	VKLAD	3900	51178	\N	\N	\N
122875	412	1998-09-07	VYDAJ	VYBER	4300	65525	\N	\N	\N
122876	412	1998-10-07	PRIJEM	VKLAD	1600	67406	\N	\N	\N
122877	412	1998-11-06	VYDAJ	VYBER	6100	67842	\N	\N	\N
122878	412	1998-12-06	PRIJEM	VKLAD	1600	58217	\N	\N	\N
122915	413	1996-07-09	PRIJEM	VKLAD	200	200	\N	\N	\N
122923	413	1996-08-05	PRIJEM	PREVOD Z UCTU	5041	5241	DUCHOD	GH	65790599
122924	413	1996-09-05	PRIJEM	PREVOD Z UCTU	5041	10282	DUCHOD	GH	65790599
122925	413	1996-10-05	PRIJEM	PREVOD Z UCTU	5041	15323	DUCHOD	GH	65790599
122926	413	1996-11-05	PRIJEM	PREVOD Z UCTU	5041	20115	DUCHOD	GH	65790599
122927	413	1996-12-05	PRIJEM	PREVOD Z UCTU	5041	20218	DUCHOD	GH	65790599
122928	413	1997-01-05	PRIJEM	PREVOD Z UCTU	5041	18431	DUCHOD	GH	65790599
122929	413	1997-02-05	PRIJEM	PREVOD Z UCTU	5041	17128	DUCHOD	GH	65790599
122930	413	1997-03-05	PRIJEM	PREVOD Z UCTU	5041	16738	DUCHOD	GH	65790599
122931	413	1997-04-05	PRIJEM	PREVOD Z UCTU	5041	18815	DUCHOD	GH	65790599
122932	413	1997-05-05	PRIJEM	PREVOD Z UCTU	5041	19596	DUCHOD	GH	65790599
122933	413	1997-06-05	PRIJEM	PREVOD Z UCTU	5041	19186	DUCHOD	GH	65790599
122934	413	1997-07-05	PRIJEM	PREVOD Z UCTU	5041	16964	DUCHOD	GH	65790599
122935	413	1997-08-05	PRIJEM	PREVOD Z UCTU	5041	17141	DUCHOD	GH	65790599
122936	413	1997-09-05	PRIJEM	PREVOD Z UCTU	5041	18624	DUCHOD	GH	65790599
122937	413	1997-10-05	PRIJEM	PREVOD Z UCTU	5041	19013	DUCHOD	GH	65790599
122938	413	1997-11-05	PRIJEM	PREVOD Z UCTU	5041	17604	DUCHOD	GH	65790599
122939	413	1997-12-05	PRIJEM	PREVOD Z UCTU	5041	20591	DUCHOD	GH	65790599
122940	413	1998-01-05	PRIJEM	PREVOD Z UCTU	5041	18082	DUCHOD	GH	65790599
122941	413	1998-02-05	PRIJEM	PREVOD Z UCTU	5041	18023	DUCHOD	GH	65790599
122942	413	1998-03-05	PRIJEM	PREVOD Z UCTU	5041	19084	DUCHOD	GH	65790599
122943	413	1998-04-05	PRIJEM	PREVOD Z UCTU	5041	22076	DUCHOD	GH	65790599
122944	413	1998-05-05	PRIJEM	PREVOD Z UCTU	5041	24357	DUCHOD	GH	65790599
122945	413	1998-06-05	PRIJEM	PREVOD Z UCTU	5041	26165	DUCHOD	GH	65790599
122946	413	1998-07-05	PRIJEM	PREVOD Z UCTU	5041	23876	DUCHOD	GH	65790599
122947	413	1998-08-05	PRIJEM	PREVOD Z UCTU	5041	24317	DUCHOD	GH	65790599
122948	413	1998-09-05	PRIJEM	PREVOD Z UCTU	5041	27325	DUCHOD	GH	65790599
122949	413	1998-10-05	PRIJEM	PREVOD Z UCTU	5041	30344	DUCHOD	GH	65790599
122950	413	1998-11-05	PRIJEM	PREVOD Z UCTU	5041	16566	DUCHOD	GH	65790599
122951	413	1998-12-05	PRIJEM	PREVOD Z UCTU	5041	19540	DUCHOD	GH	65790599
122963	413	1996-12-12	VYDAJ	PREVOD NA UCET	2107	14811	SIPO	CD	49738037
122964	413	1997-01-12	VYDAJ	PREVOD NA UCET	2107	14124	SIPO	CD	49738037
122965	413	1997-02-12	VYDAJ	PREVOD NA UCET	2107	11661	SIPO	CD	49738037
122966	413	1997-03-12	VYDAJ	PREVOD NA UCET	2107	13731	SIPO	CD	49738037
122967	413	1997-04-12	VYDAJ	PREVOD NA UCET	2107	14508	SIPO	CD	49738037
122968	413	1997-05-12	VYDAJ	PREVOD NA UCET	2107	16589	SIPO	CD	49738037
122969	413	1997-06-12	VYDAJ	PREVOD NA UCET	2107	11879	SIPO	CD	49738037
122970	413	1997-07-12	VYDAJ	PREVOD NA UCET	2107	14857	SIPO	CD	49738037
122971	413	1997-08-12	VYDAJ	PREVOD NA UCET	2107	15034	SIPO	CD	49738037
122972	413	1997-09-12	VYDAJ	PREVOD NA UCET	2107	16517	SIPO	CD	49738037
122973	413	1997-10-12	VYDAJ	PREVOD NA UCET	2107	16906	SIPO	CD	49738037
122974	413	1997-11-12	VYDAJ	PREVOD NA UCET	2107	15497	SIPO	CD	49738037
122975	413	1997-12-12	VYDAJ	PREVOD NA UCET	2107	18484	SIPO	CD	49738037
122976	413	1998-01-12	VYDAJ	PREVOD NA UCET	2107	14055	SIPO	CD	49738037
122977	413	1998-02-12	VYDAJ	PREVOD NA UCET	2107	15916	SIPO	CD	49738037
122978	413	1998-03-12	VYDAJ	PREVOD NA UCET	2107	16977	SIPO	CD	49738037
122979	413	1998-04-12	VYDAJ	PREVOD NA UCET	2107	19249	SIPO	CD	49738037
122980	413	1998-05-12	VYDAJ	PREVOD NA UCET	2107	21770	SIPO	CD	49738037
122981	413	1998-06-12	VYDAJ	PREVOD NA UCET	2107	24058	SIPO	CD	49738037
122982	413	1998-07-12	VYDAJ	PREVOD NA UCET	2107	19209	SIPO	CD	49738037
122983	413	1998-08-12	VYDAJ	PREVOD NA UCET	2107	22210	SIPO	CD	49738037
122984	413	1998-09-12	VYDAJ	PREVOD NA UCET	2107	25218	SIPO	CD	49738037
122985	413	1998-10-12	VYDAJ	PREVOD NA UCET	2107	28237	SIPO	CD	49738037
122986	413	1998-11-12	VYDAJ	PREVOD NA UCET	2107	14459	SIPO	CD	49738037
122987	413	1998-12-12	VYDAJ	PREVOD NA UCET	2107	17433	SIPO	CD	49738037
122989	413	1997-06-11	VYDAJ	VYBER	5200	13986	\N	\N	\N
122990	413	1998-06-26	VYDAJ	VYBER	5300	18758	\N	\N	\N
122993	413	1998-01-02	VYDAJ	VYBER	4950	13041	\N	\N	\N
122994	413	1996-12-25	VYDAJ	VYBER	750	14061	\N	\N	\N
122995	413	1997-12-23	VYDAJ	VYBER	550	17934	\N	\N	\N
123003	413	1997-01-05	VYDAJ	VYBER	1360	17071	\N	\N	\N
123004	413	1997-01-23	VYDAJ	VYBER	1120	12044	\N	\N	\N
123005	413	1997-01-01	VYDAJ	VYBER	720	13390	\N	\N	\N
123006	413	1997-01-18	VYDAJ	VYBER	960	13164	\N	\N	\N
123007	413	1997-01-08	VYDAJ	VYBER	640	16231	\N	\N	\N
123013	413	1998-01-16	VYDAJ	VYBER	1120	12935	\N	\N	\N
123014	413	1998-01-11	VYDAJ	VYBER	1920	16162	\N	\N	\N
123025	413	1997-08-16	VYDAJ	VYBER	800	14234	\N	\N	\N
123028	413	1997-02-08	VYDAJ	VYBER	3360	13768	\N	\N	\N
123029	413	1998-05-06	VYDAJ	VYBER	480	23877	\N	\N	\N
123030	413	1998-05-14	VYDAJ	VYBER	720	21050	\N	\N	\N
123031	413	1998-03-03	VYDAJ	VYBER	1920	14043	\N	\N	\N
123032	413	1998-07-05	VYDAJ	VYBER	2560	21316	\N	\N	\N
123033	413	1998-04-12	VYDAJ	VYBER	720	21356	\N	\N	\N
123046	413	1996-12-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
123047	413	1997-01-31	VYDAJ	VYBER	15	12087	SLUZBY	\N	\N
123048	413	1997-02-28	VYDAJ	VYBER	15	11697	SLUZBY	\N	\N
123049	413	1997-03-31	VYDAJ	VYBER	15	13774	SLUZBY	\N	\N
123050	413	1997-04-30	VYDAJ	VYBER	15	14555	SLUZBY	\N	\N
123051	413	1997-05-31	VYDAJ	VYBER	15	16645	SLUZBY	\N	\N
123052	413	1997-06-30	VYDAJ	VYBER	15	11923	SLUZBY	\N	\N
123053	413	1997-07-31	VYDAJ	VYBER	15	14900	SLUZBY	\N	\N
123054	413	1997-08-31	VYDAJ	VYBER	15	14283	SLUZBY	\N	\N
123055	413	1997-09-30	VYDAJ	VYBER	15	16572	SLUZBY	\N	\N
123056	413	1997-10-31	VYDAJ	VYBER	15	16963	SLUZBY	\N	\N
123057	413	1997-11-30	VYDAJ	VYBER	15	15550	SLUZBY	\N	\N
123058	413	1997-12-31	VYDAJ	VYBER	15	17991	SLUZBY	\N	\N
123059	413	1998-01-31	VYDAJ	VYBER	15	12982	SLUZBY	\N	\N
123060	413	1998-02-28	VYDAJ	VYBER	15	15963	SLUZBY	\N	\N
123061	413	1998-03-31	VYDAJ	VYBER	15	17035	SLUZBY	\N	\N
123062	413	1998-04-30	VYDAJ	VYBER	15	19316	SLUZBY	\N	\N
123063	413	1998-05-31	VYDAJ	VYBER	15	21124	SLUZBY	\N	\N
123064	413	1998-06-30	VYDAJ	VYBER	15	18835	SLUZBY	\N	\N
123065	413	1998-07-31	VYDAJ	VYBER	15	19276	SLUZBY	\N	\N
123066	413	1998-08-31	VYDAJ	VYBER	15	22284	SLUZBY	\N	\N
123067	413	1998-09-30	VYDAJ	VYBER	15	25303	SLUZBY	\N	\N
123068	413	1998-10-31	VYDAJ	VYBER	15	11525	SLUZBY	\N	\N
123069	413	1998-11-30	VYDAJ	VYBER	15	14499	SLUZBY	\N	\N
123070	413	1996-10-07	VYDAJ	VYBER	300	15023	\N	\N	\N
123071	413	1996-11-06	VYDAJ	VYBER	5000	15115	\N	\N	\N
123072	413	1996-12-06	VYDAJ	VYBER	3300	16918	\N	\N	\N
123073	413	1997-01-05	VYDAJ	VYBER	200	16871	\N	\N	\N
123074	413	1997-03-06	VYDAJ	VYBER	900	15838	\N	\N	\N
123075	413	1997-04-05	VYDAJ	VYBER	2200	16615	\N	\N	\N
123076	413	1997-05-05	VYDAJ	VYBER	900	18696	\N	\N	\N
123077	413	1997-06-04	VYDAJ	VYBER	2500	14145	\N	\N	\N
123078	413	1997-08-03	VYDAJ	VYBER	2800	12100	\N	\N	\N
123079	413	1997-09-02	VYDAJ	VYBER	700	13583	\N	\N	\N
123080	413	1997-10-02	VYDAJ	VYBER	2600	13972	\N	\N	\N
123081	413	1997-11-01	VYDAJ	VYBER	4400	12563	\N	\N	\N
123082	413	1998-10-27	VYDAJ	VYBER	16800	11437	\N	\N	\N
123110	414	1996-01-29	PRIJEM	VKLAD	900	900	\N	\N	\N
123112	414	1996-02-11	PRIJEM	VKLAD	18068	18968	\N	\N	\N
123113	414	1996-03-11	PRIJEM	VKLAD	18068	40042	\N	\N	\N
123114	414	1996-04-11	PRIJEM	VKLAD	18068	50706	\N	\N	\N
123115	414	1996-05-11	PRIJEM	VKLAD	18068	54911	\N	\N	\N
123116	414	1996-06-11	PRIJEM	VKLAD	27102	63966	\N	\N	\N
123117	414	1996-07-11	PRIJEM	VKLAD	18068	51425	\N	\N	\N
123118	414	1996-08-11	PRIJEM	VKLAD	18068	49000	\N	\N	\N
123119	414	1996-09-11	PRIJEM	VKLAD	18068	37794	\N	\N	\N
123120	414	1996-10-11	PRIJEM	VKLAD	18068	41215	\N	\N	\N
123121	414	1996-11-11	PRIJEM	VKLAD	18068	36124	\N	\N	\N
123122	414	1996-12-11	PRIJEM	VKLAD	27102	43972	\N	\N	\N
123123	414	1997-01-11	PRIJEM	VKLAD	18068	35796	\N	\N	\N
123124	414	1997-02-11	PRIJEM	VKLAD	18068	29429	\N	\N	\N
123125	414	1997-03-11	PRIJEM	VKLAD	18068	34118	\N	\N	\N
123126	414	1997-04-11	PRIJEM	VKLAD	18068	34543	\N	\N	\N
123127	414	1997-05-11	PRIJEM	VKLAD	18068	35845	\N	\N	\N
123128	414	1997-06-11	PRIJEM	VKLAD	27102	48490	\N	\N	\N
123129	414	1997-07-11	PRIJEM	VKLAD	18068	39703	\N	\N	\N
123130	414	1997-08-11	PRIJEM	VKLAD	18068	38144	\N	\N	\N
123131	414	1997-09-11	PRIJEM	VKLAD	18068	40261	\N	\N	\N
123132	414	1997-10-11	PRIJEM	VKLAD	18068	36776	\N	\N	\N
123133	414	1997-11-11	PRIJEM	VKLAD	18068	29499	\N	\N	\N
123134	414	1997-12-11	PRIJEM	VKLAD	27102	40589	\N	\N	\N
123135	414	1998-01-11	PRIJEM	VKLAD	18068	32126	\N	\N	\N
123136	414	1998-02-11	PRIJEM	VKLAD	18068	24222	\N	\N	\N
123137	414	1998-03-11	PRIJEM	VKLAD	18068	32386	\N	\N	\N
123138	414	1998-04-11	PRIJEM	VKLAD	18068	43893	\N	\N	\N
123139	414	1998-05-11	PRIJEM	VKLAD	18068	46931	\N	\N	\N
123140	414	1998-06-11	PRIJEM	VKLAD	27102	57012	\N	\N	\N
123141	414	1998-07-11	PRIJEM	VKLAD	18068	40309	\N	\N	\N
123142	414	1998-08-11	PRIJEM	VKLAD	18068	45235	\N	\N	\N
123143	414	1998-09-11	PRIJEM	VKLAD	18068	46336	\N	\N	\N
123144	414	1998-10-11	PRIJEM	VKLAD	18068	51286	\N	\N	\N
123145	414	1998-11-11	PRIJEM	VKLAD	18068	56858	\N	\N	\N
123146	414	1998-12-11	PRIJEM	VKLAD	27102	65217	\N	\N	\N
123153	414	1996-07-08	VYDAJ	PREVOD NA UCET	7870	33357	SIPO	AB	96403741
123154	414	1996-08-08	VYDAJ	PREVOD NA UCET	7870	30932	SIPO	AB	96403741
123155	414	1996-09-08	VYDAJ	PREVOD NA UCET	7870	19726	SIPO	AB	96403741
123156	414	1996-10-08	VYDAJ	PREVOD NA UCET	7870	23147	SIPO	AB	96403741
123157	414	1996-11-08	VYDAJ	PREVOD NA UCET	7870	18056	SIPO	AB	96403741
123158	414	1996-12-08	VYDAJ	PREVOD NA UCET	7870	16870	SIPO	AB	96403741
123159	414	1997-01-08	VYDAJ	PREVOD NA UCET	7870	17728	SIPO	AB	96403741
123160	414	1997-02-08	VYDAJ	PREVOD NA UCET	7870	11361	SIPO	AB	96403741
123161	414	1997-03-08	VYDAJ	PREVOD NA UCET	7870	16050	SIPO	AB	96403741
123162	414	1997-04-08	VYDAJ	PREVOD NA UCET	7870	16475	SIPO	AB	96403741
123163	414	1997-05-08	VYDAJ	PREVOD NA UCET	7870	17777	SIPO	AB	96403741
123164	414	1997-06-08	VYDAJ	PREVOD NA UCET	7870	21388	SIPO	AB	96403741
123165	414	1997-07-08	VYDAJ	PREVOD NA UCET	7870	21635	SIPO	AB	96403741
123166	414	1997-08-08	VYDAJ	PREVOD NA UCET	7870	21756	SIPO	AB	96403741
123167	414	1997-09-08	VYDAJ	PREVOD NA UCET	7870	22193	SIPO	AB	96403741
123168	414	1997-10-08	VYDAJ	PREVOD NA UCET	7870	18708	SIPO	AB	96403741
123169	414	1997-11-08	VYDAJ	PREVOD NA UCET	7870	11431	SIPO	AB	96403741
123170	414	1997-12-08	VYDAJ	PREVOD NA UCET	7870	13487	SIPO	AB	96403741
123171	414	1998-01-08	VYDAJ	PREVOD NA UCET	7870	14058	SIPO	AB	96403741
123172	414	1998-02-08	VYDAJ	PREVOD NA UCET	7870	6154	SIPO	AB	96403741
123173	414	1998-03-08	VYDAJ	PREVOD NA UCET	7870	14318	SIPO	AB	96403741
123174	414	1998-04-08	VYDAJ	PREVOD NA UCET	7870	25825	SIPO	AB	96403741
123175	414	1998-05-08	VYDAJ	PREVOD NA UCET	7870	28863	SIPO	AB	96403741
123176	414	1998-06-08	VYDAJ	PREVOD NA UCET	7870	29910	SIPO	AB	96403741
123177	414	1998-07-08	VYDAJ	PREVOD NA UCET	7870	22241	SIPO	AB	96403741
123178	414	1998-08-08	VYDAJ	PREVOD NA UCET	7870	27167	SIPO	AB	96403741
123179	414	1998-09-08	VYDAJ	PREVOD NA UCET	7870	28268	SIPO	AB	96403741
123180	414	1998-10-08	VYDAJ	PREVOD NA UCET	7870	33218	SIPO	AB	96403741
123181	414	1998-11-08	VYDAJ	PREVOD NA UCET	7870	38790	SIPO	AB	96403741
123182	414	1998-12-08	VYDAJ	PREVOD NA UCET	7870	40675	SIPO	AB	96403741
123183	414	1996-06-19	VYDAJ	VYBER	9600	54366	\N	\N	\N
123185	414	1998-06-16	VYDAJ	VYBER	23840	33172	\N	\N	\N
123187	414	1997-01-19	VYDAJ	VYBER	1600	27116	\N	\N	\N
123188	414	1998-01-21	VYDAJ	VYBER	9920	16706	\N	\N	\N
123189	414	1996-12-17	VYDAJ	VYBER	3840	40132	\N	\N	\N
123190	414	1997-12-16	VYDAJ	VYBER	4320	36269	\N	\N	\N
123191	414	1998-12-10	VYDAJ	VYBER	2560	38115	\N	\N	\N
123198	414	1997-01-19	VYDAJ	VYBER	3120	28716	\N	\N	\N
123199	414	1997-01-01	VYDAJ	VYBER	1800	27758	\N	\N	\N
123200	414	1997-01-29	VYDAJ	VYBER	3480	19136	\N	\N	\N
123201	414	1997-01-16	VYDAJ	VYBER	2880	31836	\N	\N	\N
123202	414	1997-01-12	VYDAJ	VYBER	1080	34716	\N	\N	\N
123203	414	1997-01-04	VYDAJ	VYBER	2160	25598	\N	\N	\N
123206	414	1998-01-25	VYDAJ	VYBER	1080	15626	\N	\N	\N
123207	414	1998-01-05	VYDAJ	VYBER	1440	21928	\N	\N	\N
123208	414	1998-01-05	VYDAJ	VYBER	1800	23368	\N	\N	\N
123209	414	1998-01-28	VYDAJ	VYBER	1680	13946	\N	\N	\N
123211	414	1996-08-15	VYDAJ	VYBER	3720	45280	\N	\N	\N
123212	414	1996-12-03	VYDAJ	VYBER	5400	24740	\N	\N	\N
123213	414	1996-10-30	VYDAJ	VYBER	4320	25795	\N	\N	\N
123215	414	1996-08-31	VYDAJ	VYBER	3840	27610	\N	\N	\N
123216	414	1997-08-10	VYDAJ	VYBER	1680	20076	\N	\N	\N
123217	414	1997-03-05	VYDAJ	VYBER	4200	23920	\N	\N	\N
123219	414	1997-11-01	VYDAJ	VYBER	5280	19301	\N	\N	\N
123220	414	1997-11-14	VYDAJ	VYBER	5520	23979	\N	\N	\N
123221	414	1997-06-19	VYDAJ	VYBER	4920	43570	\N	\N	\N
123222	414	1997-04-06	VYDAJ	VYBER	2880	24345	\N	\N	\N
123223	414	1998-09-08	VYDAJ	VYBER	1440	36138	\N	\N	\N
123230	414	1996-06-30	VYDAJ	VYBER	15	41227	SLUZBY	\N	\N
123231	414	1996-07-31	VYDAJ	VYBER	15	38802	SLUZBY	\N	\N
123232	414	1996-08-31	VYDAJ	VYBER	15	27596	SLUZBY	\N	\N
123233	414	1996-09-30	VYDAJ	VYBER	15	31017	SLUZBY	\N	\N
123234	414	1996-10-31	VYDAJ	VYBER	15	25926	SLUZBY	\N	\N
123235	414	1996-11-30	VYDAJ	VYBER	15	30140	SLUZBY	\N	\N
123236	414	1996-12-31	VYDAJ	VYBER	15	29558	SLUZBY	\N	\N
123237	414	1997-01-31	VYDAJ	VYBER	15	19231	SLUZBY	\N	\N
123238	414	1997-02-28	VYDAJ	VYBER	15	28120	SLUZBY	\N	\N
123239	414	1997-03-31	VYDAJ	VYBER	15	27225	SLUZBY	\N	\N
123240	414	1997-04-30	VYDAJ	VYBER	15	25647	SLUZBY	\N	\N
123241	414	1997-05-31	VYDAJ	VYBER	15	29258	SLUZBY	\N	\N
123242	414	1997-06-30	VYDAJ	VYBER	15	29505	SLUZBY	\N	\N
123243	414	1997-07-31	VYDAJ	VYBER	15	29626	SLUZBY	\N	\N
123244	414	1997-08-31	VYDAJ	VYBER	15	30063	SLUZBY	\N	\N
123245	414	1997-09-30	VYDAJ	VYBER	15	26578	SLUZBY	\N	\N
123246	414	1997-10-31	VYDAJ	VYBER	15	24581	SLUZBY	\N	\N
123247	414	1997-11-30	VYDAJ	VYBER	15	21357	SLUZBY	\N	\N
123248	414	1997-12-31	VYDAJ	VYBER	15	25168	SLUZBY	\N	\N
123249	414	1998-01-31	VYDAJ	VYBER	15	14024	SLUZBY	\N	\N
123250	414	1998-02-28	VYDAJ	VYBER	15	22188	SLUZBY	\N	\N
123251	414	1998-03-31	VYDAJ	VYBER	15	33695	SLUZBY	\N	\N
123252	414	1998-04-30	VYDAJ	VYBER	15	36733	SLUZBY	\N	\N
123253	414	1998-05-31	VYDAJ	VYBER	15	37780	SLUZBY	\N	\N
123254	414	1998-06-30	VYDAJ	VYBER	15	30111	SLUZBY	\N	\N
123255	414	1998-07-31	VYDAJ	VYBER	15	35037	SLUZBY	\N	\N
123256	414	1998-08-31	VYDAJ	VYBER	15	37578	SLUZBY	\N	\N
123257	414	1998-09-30	VYDAJ	VYBER	15	41088	SLUZBY	\N	\N
123258	414	1998-10-31	VYDAJ	VYBER	15	46660	SLUZBY	\N	\N
123259	414	1998-11-30	VYDAJ	VYBER	15	48545	SLUZBY	\N	\N
123260	414	1996-02-28	PRIJEM	VKLAD	3000	21968	\N	\N	\N
123261	414	1996-03-29	VYDAJ	VYBER	7500	32542	\N	\N	\N
123262	414	1996-04-28	VYDAJ	VYBER	14000	36706	\N	\N	\N
123263	414	1996-05-28	VYDAJ	VYBER	18200	36711	\N	\N	\N
123264	414	1996-06-27	VYDAJ	VYBER	13300	41066	\N	\N	\N
123265	414	1996-07-27	VYDAJ	VYBER	12800	38625	\N	\N	\N
123266	414	1996-08-26	VYDAJ	VYBER	14000	31280	\N	\N	\N
123267	414	1996-09-25	VYDAJ	VYBER	6900	30894	\N	\N	\N
123268	414	1996-10-25	VYDAJ	VYBER	11100	30115	\N	\N	\N
123269	414	1996-11-24	VYDAJ	VYBER	6100	30024	\N	\N	\N
123270	414	1996-12-24	VYDAJ	VYBER	10700	29432	\N	\N	\N
123271	414	1997-01-23	VYDAJ	VYBER	4500	22616	\N	\N	\N
123272	414	1997-02-22	VYDAJ	VYBER	1400	28029	\N	\N	\N
123273	414	1997-03-24	VYDAJ	VYBER	7000	27118	\N	\N	\N
123274	414	1997-04-23	VYDAJ	VYBER	9000	25543	\N	\N	\N
123275	414	1997-05-23	VYDAJ	VYBER	6700	29145	\N	\N	\N
123276	414	1997-06-22	VYDAJ	VYBER	14200	29370	\N	\N	\N
123277	414	1997-07-22	VYDAJ	VYBER	10200	29503	\N	\N	\N
123278	414	1997-08-21	VYDAJ	VYBER	8200	29944	\N	\N	\N
123279	414	1997-09-20	VYDAJ	VYBER	13800	26461	\N	\N	\N
123280	414	1997-10-20	VYDAJ	VYBER	12300	24476	\N	\N	\N
123281	414	1997-11-19	VYDAJ	VYBER	2700	21279	\N	\N	\N
123282	414	1997-12-19	VYDAJ	VYBER	11200	25069	\N	\N	\N
123283	414	1998-01-18	VYDAJ	VYBER	5500	26626	\N	\N	\N
123284	414	1998-02-17	VYDAJ	VYBER	2100	22122	\N	\N	\N
123285	414	1998-03-19	PRIJEM	VKLAD	1200	33586	\N	\N	\N
123286	414	1998-04-18	VYDAJ	VYBER	7300	36593	\N	\N	\N
123287	414	1998-05-18	VYDAJ	VYBER	9300	37631	\N	\N	\N
123288	414	1998-06-17	VYDAJ	VYBER	3200	29972	\N	\N	\N
123289	414	1998-07-17	VYDAJ	VYBER	5400	34909	\N	\N	\N
123290	414	1998-08-16	VYDAJ	VYBER	7800	37435	\N	\N	\N
123291	414	1998-09-15	VYDAJ	VYBER	5400	40936	\N	\N	\N
123292	414	1998-10-15	VYDAJ	VYBER	4800	46486	\N	\N	\N
123293	414	1998-11-14	VYDAJ	VYBER	8500	48358	\N	\N	\N
123329	415	1993-03-03	PRIJEM	VKLAD	400	400	\N	\N	\N
123332	415	1993-03-08	PRIJEM	VKLAD	13110	13510	\N	\N	\N
123333	415	1993-04-08	PRIJEM	VKLAD	13110	31464	\N	\N	\N
123334	415	1993-05-08	PRIJEM	VKLAD	13110	42787	\N	\N	\N
123335	415	1993-06-08	PRIJEM	VKLAD	19665	55520	\N	\N	\N
123336	415	1993-07-08	PRIJEM	VKLAD	13110	51249	\N	\N	\N
123337	415	1993-08-08	PRIJEM	VKLAD	13110	44798	\N	\N	\N
123338	415	1993-09-08	PRIJEM	VKLAD	13110	43691	\N	\N	\N
123339	415	1993-10-08	PRIJEM	VKLAD	13110	41383	\N	\N	\N
123340	415	1993-11-08	PRIJEM	VKLAD	13110	40366	\N	\N	\N
123341	415	1993-12-08	PRIJEM	VKLAD	19665	47499	\N	\N	\N
123342	415	1994-01-08	PRIJEM	VKLAD	13110	41548	\N	\N	\N
123343	415	1994-02-08	PRIJEM	VKLAD	13110	30523	\N	\N	\N
123344	415	1994-03-08	PRIJEM	VKLAD	13110	34362	\N	\N	\N
123345	415	1994-04-08	PRIJEM	VKLAD	13110	37537	\N	\N	\N
123346	415	1994-05-08	PRIJEM	VKLAD	13110	38203	\N	\N	\N
123347	415	1994-06-08	PRIJEM	VKLAD	19665	47629	\N	\N	\N
123348	415	1994-07-08	PRIJEM	VKLAD	13110	42620	\N	\N	\N
123349	415	1994-08-08	PRIJEM	VKLAD	13110	44217	\N	\N	\N
123350	415	1994-09-08	PRIJEM	VKLAD	13110	43508	\N	\N	\N
123351	415	1994-10-08	PRIJEM	VKLAD	13110	42797	\N	\N	\N
123352	415	1994-11-08	PRIJEM	VKLAD	13110	43082	\N	\N	\N
123353	415	1994-12-08	PRIJEM	VKLAD	19665	52327	\N	\N	\N
123354	415	1995-01-08	PRIJEM	VKLAD	13110	47732	\N	\N	\N
123355	415	1995-02-08	PRIJEM	VKLAD	13110	32963	\N	\N	\N
123356	415	1995-03-08	PRIJEM	VKLAD	13110	40516	\N	\N	\N
123357	415	1995-04-08	PRIJEM	VKLAD	13110	38815	\N	\N	\N
123358	415	1995-05-08	PRIJEM	VKLAD	13110	42459	\N	\N	\N
123359	415	1995-06-08	PRIJEM	VKLAD	19665	46798	\N	\N	\N
123360	415	1995-07-08	PRIJEM	VKLAD	13110	44986	\N	\N	\N
123361	415	1995-08-08	PRIJEM	VKLAD	13110	42877	\N	\N	\N
123362	415	1995-09-08	PRIJEM	VKLAD	13110	44863	\N	\N	\N
123363	415	1995-10-08	PRIJEM	VKLAD	13110	39734	\N	\N	\N
123364	415	1995-11-08	PRIJEM	VKLAD	13110	42721	\N	\N	\N
123365	415	1995-12-08	PRIJEM	VKLAD	19665	49499	\N	\N	\N
123366	415	1996-01-08	PRIJEM	VKLAD	13110	42903	\N	\N	\N
123367	415	1996-02-08	PRIJEM	VKLAD	13110	27989	\N	\N	\N
123368	415	1996-03-08	PRIJEM	VKLAD	13110	35723	\N	\N	\N
123369	415	1996-04-08	PRIJEM	VKLAD	13110	39282	\N	\N	\N
123370	415	1996-05-08	PRIJEM	VKLAD	13110	42662	\N	\N	\N
123371	415	1996-06-08	PRIJEM	VKLAD	19665	51100	\N	\N	\N
123372	415	1996-07-08	PRIJEM	VKLAD	13110	42308	\N	\N	\N
123373	415	1996-08-08	PRIJEM	VKLAD	13110	45793	\N	\N	\N
123374	415	1996-09-08	PRIJEM	VKLAD	13110	47487	\N	\N	\N
123375	415	1996-10-08	PRIJEM	VKLAD	13110	43916	\N	\N	\N
123376	415	1996-11-08	PRIJEM	VKLAD	13110	45803	\N	\N	\N
123377	415	1996-12-08	PRIJEM	VKLAD	19665	52958	\N	\N	\N
123378	415	1997-01-08	PRIJEM	VKLAD	13110	39381	\N	\N	\N
123379	415	1997-02-08	PRIJEM	VKLAD	13110	29335	\N	\N	\N
123380	415	1997-03-08	PRIJEM	VKLAD	13110	22785	\N	\N	\N
123381	415	1997-04-08	PRIJEM	VKLAD	13110	30821	\N	\N	\N
123382	415	1997-05-08	PRIJEM	VKLAD	13110	29646	\N	\N	\N
123383	415	1997-06-08	PRIJEM	VKLAD	19665	35922	\N	\N	\N
123384	415	1997-07-08	PRIJEM	VKLAD	13110	32955	\N	\N	\N
123385	415	1997-08-08	PRIJEM	VKLAD	13110	29482	\N	\N	\N
123386	415	1997-09-08	PRIJEM	VKLAD	13110	30208	\N	\N	\N
123387	415	1997-10-08	PRIJEM	VKLAD	13110	30638	\N	\N	\N
123388	415	1997-11-08	PRIJEM	VKLAD	13110	32869	\N	\N	\N
123389	415	1997-12-08	PRIJEM	VKLAD	19665	41676	\N	\N	\N
123390	415	1998-01-08	PRIJEM	VKLAD	13110	30034	\N	\N	\N
123391	415	1998-02-08	PRIJEM	VKLAD	13110	29374	\N	\N	\N
123392	415	1998-03-08	PRIJEM	VKLAD	13110	29239	\N	\N	\N
123393	415	1998-04-08	PRIJEM	VKLAD	13110	32109	\N	\N	\N
123394	415	1998-05-08	PRIJEM	VKLAD	13110	28260	\N	\N	\N
123395	415	1998-06-08	PRIJEM	VKLAD	19665	39257	\N	\N	\N
123396	415	1998-07-08	PRIJEM	VKLAD	13110	31918	\N	\N	\N
123397	415	1998-08-08	PRIJEM	VKLAD	13110	29778	\N	\N	\N
123398	415	1998-09-08	PRIJEM	VKLAD	13110	33262	\N	\N	\N
123399	415	1998-10-08	PRIJEM	VKLAD	13110	37708	\N	\N	\N
123400	415	1998-11-08	PRIJEM	VKLAD	13110	37851	\N	\N	\N
123401	415	1998-12-08	PRIJEM	VKLAD	19665	48872	\N	\N	\N
123408	415	1993-07-12	VYDAJ	PREVOD NA UCET	8740	42509	SIPO	OP	64789080
123409	415	1993-08-12	VYDAJ	PREVOD NA UCET	8740	36058	SIPO	OP	64789080
123410	415	1993-09-12	VYDAJ	PREVOD NA UCET	8740	34951	SIPO	OP	64789080
123411	415	1993-10-12	VYDAJ	PREVOD NA UCET	8740	32643	SIPO	OP	64789080
123412	415	1993-11-12	VYDAJ	PREVOD NA UCET	8740	31626	SIPO	OP	64789080
123413	415	1993-12-12	VYDAJ	PREVOD NA UCET	8740	34919	SIPO	OP	64789080
123414	415	1994-01-12	VYDAJ	PREVOD NA UCET	8740	29448	SIPO	OP	64789080
123415	415	1994-02-12	VYDAJ	PREVOD NA UCET	8740	21783	SIPO	OP	64789080
123416	415	1994-03-12	VYDAJ	PREVOD NA UCET	8740	25622	SIPO	OP	64789080
123417	415	1994-04-12	VYDAJ	PREVOD NA UCET	8740	28797	SIPO	OP	64789080
123418	415	1994-05-12	VYDAJ	PREVOD NA UCET	8740	29463	SIPO	OP	64789080
123419	415	1994-06-12	VYDAJ	PREVOD NA UCET	8740	33849	SIPO	OP	64789080
123420	415	1994-07-12	VYDAJ	PREVOD NA UCET	8740	33880	SIPO	OP	64789080
123421	415	1994-08-12	VYDAJ	PREVOD NA UCET	8740	35477	SIPO	OP	64789080
123422	415	1994-09-12	VYDAJ	PREVOD NA UCET	8740	34768	SIPO	OP	64789080
123423	415	1994-10-12	VYDAJ	PREVOD NA UCET	8740	34057	SIPO	OP	64789080
123424	415	1994-11-12	VYDAJ	PREVOD NA UCET	8740	34342	SIPO	OP	64789080
123425	415	1994-12-12	VYDAJ	PREVOD NA UCET	8740	42627	SIPO	OP	64789080
123426	415	1995-01-12	VYDAJ	PREVOD NA UCET	8740	38992	SIPO	OP	64789080
123427	415	1995-02-12	VYDAJ	PREVOD NA UCET	8740	24223	SIPO	OP	64789080
123428	415	1995-03-12	VYDAJ	PREVOD NA UCET	8740	31776	SIPO	OP	64789080
123429	415	1995-04-12	VYDAJ	PREVOD NA UCET	8740	30075	SIPO	OP	64789080
123430	415	1995-05-12	VYDAJ	PREVOD NA UCET	8740	33719	SIPO	OP	64789080
123431	415	1995-06-12	VYDAJ	PREVOD NA UCET	8740	38058	SIPO	OP	64789080
123432	415	1995-07-12	VYDAJ	PREVOD NA UCET	8740	35646	SIPO	OP	64789080
123433	415	1995-08-12	VYDAJ	PREVOD NA UCET	8740	34137	SIPO	OP	64789080
123434	415	1995-09-12	VYDAJ	PREVOD NA UCET	8740	36123	SIPO	OP	64789080
123435	415	1995-10-12	VYDAJ	PREVOD NA UCET	8740	30994	SIPO	OP	64789080
123436	415	1995-11-12	VYDAJ	PREVOD NA UCET	8740	33981	SIPO	OP	64789080
123437	415	1995-12-12	VYDAJ	PREVOD NA UCET	8740	40759	SIPO	OP	64789080
123438	415	1996-01-12	VYDAJ	PREVOD NA UCET	8740	34163	SIPO	OP	64789080
123439	415	1996-02-12	VYDAJ	PREVOD NA UCET	8740	19249	SIPO	OP	64789080
123440	415	1996-03-12	VYDAJ	PREVOD NA UCET	8740	26983	SIPO	OP	64789080
123441	415	1996-04-12	VYDAJ	PREVOD NA UCET	8740	30542	SIPO	OP	64789080
123442	415	1996-05-12	VYDAJ	PREVOD NA UCET	8740	33922	SIPO	OP	64789080
123443	415	1996-06-12	VYDAJ	PREVOD NA UCET	8740	42360	SIPO	OP	64789080
123444	415	1996-07-12	VYDAJ	PREVOD NA UCET	8740	33568	SIPO	OP	64789080
123445	415	1996-08-12	VYDAJ	PREVOD NA UCET	8740	37053	SIPO	OP	64789080
123446	415	1996-09-12	VYDAJ	PREVOD NA UCET	8740	32987	SIPO	OP	64789080
123447	415	1996-10-12	VYDAJ	PREVOD NA UCET	8740	35176	SIPO	OP	64789080
123448	415	1996-11-12	VYDAJ	PREVOD NA UCET	8740	37063	SIPO	OP	64789080
123449	415	1996-12-12	VYDAJ	PREVOD NA UCET	8740	34418	SIPO	OP	64789080
123450	415	1997-01-12	VYDAJ	PREVOD NA UCET	8740	23941	SIPO	OP	64789080
123451	415	1997-02-12	VYDAJ	PREVOD NA UCET	8740	9635	SIPO	OP	64789080
123452	415	1997-03-12	VYDAJ	PREVOD NA UCET	8740	17645	SIPO	OP	64789080
123453	415	1997-04-12	VYDAJ	PREVOD NA UCET	8740	16481	SIPO	OP	64789080
123454	415	1997-05-12	VYDAJ	PREVOD NA UCET	8740	16206	SIPO	OP	64789080
123455	415	1997-06-12	VYDAJ	PREVOD NA UCET	8740	19782	SIPO	OP	64789080
123456	415	1997-07-12	VYDAJ	PREVOD NA UCET	8740	16315	SIPO	OP	64789080
123457	415	1997-08-12	VYDAJ	PREVOD NA UCET	8740	17042	SIPO	OP	64789080
123458	415	1997-09-12	VYDAJ	PREVOD NA UCET	8740	17468	SIPO	OP	64789080
123459	415	1997-10-12	VYDAJ	PREVOD NA UCET	8740	17998	SIPO	OP	64789080
123460	415	1997-11-12	VYDAJ	PREVOD NA UCET	8740	24129	SIPO	OP	64789080
123461	415	1997-12-12	VYDAJ	PREVOD NA UCET	8740	30376	SIPO	OP	64789080
123462	415	1998-01-12	VYDAJ	PREVOD NA UCET	8740	21294	SIPO	OP	64789080
123463	415	1998-02-12	VYDAJ	PREVOD NA UCET	8740	16074	SIPO	OP	64789080
123464	415	1998-03-12	VYDAJ	PREVOD NA UCET	8740	20499	SIPO	OP	64789080
123465	415	1998-04-12	VYDAJ	PREVOD NA UCET	8740	23369	SIPO	OP	64789080
123466	415	1998-05-12	VYDAJ	PREVOD NA UCET	8740	19520	SIPO	OP	64789080
123467	415	1998-06-12	VYDAJ	PREVOD NA UCET	8740	30517	SIPO	OP	64789080
123468	415	1998-07-12	VYDAJ	PREVOD NA UCET	8740	23178	SIPO	OP	64789080
123469	415	1998-08-12	VYDAJ	PREVOD NA UCET	8740	21038	SIPO	OP	64789080
123470	415	1998-09-12	VYDAJ	PREVOD NA UCET	8740	24522	SIPO	OP	64789080
123471	415	1998-10-12	VYDAJ	PREVOD NA UCET	8740	28968	SIPO	OP	64789080
123472	415	1998-11-12	VYDAJ	PREVOD NA UCET	8740	29111	SIPO	OP	64789080
123473	415	1998-12-12	VYDAJ	PREVOD NA UCET	8740	40132	SIPO	OP	64789080
123481	415	1994-01-19	VYDAJ	VYBER	10720	13208	\N	\N	\N
123482	415	1995-01-18	VYDAJ	VYBER	10880	26192	\N	\N	\N
123483	415	1996-01-15	VYDAJ	VYBER	13280	20883	\N	\N	\N
123485	415	1998-01-07	VYDAJ	VYBER	3040	17764	\N	\N	\N
123486	415	1993-12-11	VYDAJ	VYBER	3840	43659	\N	\N	\N
123487	415	1994-12-12	VYDAJ	VYBER	960	51367	\N	\N	\N
123488	415	1995-12-03	VYDAJ	VYBER	960	29834	\N	\N	\N
123489	415	1996-12-04	VYDAJ	VYBER	1600	33293	\N	\N	\N
123490	415	1997-12-10	VYDAJ	VYBER	2560	39116	\N	\N	\N
123491	415	1998-12-27	VYDAJ	VYBER	2400	37732	\N	\N	\N
123498	415	1994-01-18	VYDAJ	VYBER	3360	23928	\N	\N	\N
123500	415	1994-01-29	VYDAJ	VYBER	1080	17328	\N	\N	\N
123502	415	1994-01-16	VYDAJ	VYBER	2160	27288	\N	\N	\N
123503	415	1994-01-08	VYDAJ	VYBER	3360	38188	\N	\N	\N
123504	415	1995-01-29	VYDAJ	VYBER	2520	19732	\N	\N	\N
123505	415	1995-01-21	VYDAJ	VYBER	1320	24872	\N	\N	\N
123506	415	1995-01-16	VYDAJ	VYBER	1920	37072	\N	\N	\N
123507	415	1995-01-01	VYDAJ	VYBER	3360	34622	\N	\N	\N
123508	415	1995-01-26	VYDAJ	VYBER	3480	22252	\N	\N	\N
123509	415	1995-01-21	VYDAJ	VYBER	2040	22832	\N	\N	\N
123510	415	1996-01-01	VYDAJ	VYBER	3000	29793	\N	\N	\N
123511	415	1996-01-27	VYDAJ	VYBER	1920	16823	\N	\N	\N
123512	415	1996-01-23	VYDAJ	VYBER	2400	18743	\N	\N	\N
123513	415	1996-01-22	VYDAJ	VYBER	840	21143	\N	\N	\N
123514	415	1996-01-28	VYDAJ	VYBER	600	16223	\N	\N	\N
123515	415	1996-01-30	VYDAJ	VYBER	1440	14783	\N	\N	\N
123516	415	1997-01-14	VYDAJ	VYBER	2760	21181	\N	\N	\N
123517	415	1997-01-02	VYDAJ	VYBER	720	29031	\N	\N	\N
123518	415	1997-01-04	VYDAJ	VYBER	2760	26271	\N	\N	\N
123519	415	1997-01-30	VYDAJ	VYBER	1920	16141	\N	\N	\N
123521	415	1997-01-27	VYDAJ	VYBER	3120	18061	\N	\N	\N
123523	415	1998-01-19	VYDAJ	VYBER	1920	16494	\N	\N	\N
123524	415	1998-01-02	VYDAJ	VYBER	1680	28804	\N	\N	\N
123526	415	1998-01-13	VYDAJ	VYBER	2880	18414	\N	\N	\N
123527	415	1998-01-07	VYDAJ	VYBER	840	16924	\N	\N	\N
123529	415	1993-08-27	VYDAJ	VYBER	3720	32338	\N	\N	\N
123530	415	1994-06-09	VYDAJ	VYBER	5040	42589	\N	\N	\N
123531	415	1994-03-29	VYDAJ	VYBER	2880	24342	\N	\N	\N
123532	415	1994-07-01	VYDAJ	VYBER	2160	29510	\N	\N	\N
123533	415	1995-07-10	VYDAJ	VYBER	600	44386	\N	\N	\N
123534	415	1995-04-19	VYDAJ	VYBER	840	29235	\N	\N	\N
123535	415	1995-07-19	VYDAJ	VYBER	3000	32646	\N	\N	\N
123536	415	1995-04-01	VYDAJ	VYBER	5280	25705	\N	\N	\N
123537	415	1995-10-05	VYDAJ	VYBER	5520	26624	\N	\N	\N
123538	415	1995-12-23	VYDAJ	VYBER	600	32659	\N	\N	\N
123539	415	1995-05-30	VYDAJ	VYBER	3600	27019	\N	\N	\N
123540	415	1996-09-11	VYDAJ	VYBER	5760	41727	\N	\N	\N
123541	415	1996-04-06	VYDAJ	VYBER	600	26172	\N	\N	\N
123542	415	1996-06-23	VYDAJ	VYBER	3480	29080	\N	\N	\N
123543	415	1996-12-23	VYDAJ	VYBER	2400	32018	\N	\N	\N
123544	415	1996-12-27	VYDAJ	VYBER	2400	29618	\N	\N	\N
123547	415	1997-02-08	VYDAJ	VYBER	2040	27295	\N	\N	\N
123549	415	1997-02-11	VYDAJ	VYBER	5520	18375	\N	\N	\N
123550	415	1998-08-21	VYDAJ	VYBER	960	20078	\N	\N	\N
123551	415	1998-10-29	VYDAJ	VYBER	4320	24648	\N	\N	\N
123552	415	1998-02-09	VYDAJ	VYBER	4560	24814	\N	\N	\N
123553	415	1998-04-01	VYDAJ	VYBER	1560	18999	\N	\N	\N
123561	415	1993-07-31	VYDAJ	VYBER	15	42688	SLUZBY	\N	\N
123562	415	1993-08-31	VYDAJ	VYBER	15	30581	SLUZBY	\N	\N
123563	415	1993-09-30	VYDAJ	VYBER	15	28273	SLUZBY	\N	\N
123564	415	1993-10-31	VYDAJ	VYBER	15	27256	SLUZBY	\N	\N
123565	415	1993-11-30	VYDAJ	VYBER	15	27834	SLUZBY	\N	\N
123566	415	1993-12-31	VYDAJ	VYBER	15	28438	SLUZBY	\N	\N
123567	415	1994-01-31	VYDAJ	VYBER	15	17413	SLUZBY	\N	\N
123568	415	1994-02-28	VYDAJ	VYBER	15	21252	SLUZBY	\N	\N
123569	415	1994-03-31	VYDAJ	VYBER	15	24427	SLUZBY	\N	\N
123570	415	1994-04-30	VYDAJ	VYBER	15	25093	SLUZBY	\N	\N
123571	415	1994-05-31	VYDAJ	VYBER	15	27964	SLUZBY	\N	\N
123572	415	1994-06-30	VYDAJ	VYBER	15	31670	SLUZBY	\N	\N
123573	415	1994-07-31	VYDAJ	VYBER	15	31107	SLUZBY	\N	\N
123574	415	1994-08-31	VYDAJ	VYBER	15	30398	SLUZBY	\N	\N
123575	415	1994-09-30	VYDAJ	VYBER	15	29687	SLUZBY	\N	\N
123576	415	1994-10-31	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
123577	415	1994-11-30	VYDAJ	VYBER	15	32662	SLUZBY	\N	\N
123578	415	1994-12-31	VYDAJ	VYBER	15	37982	SLUZBY	\N	\N
123579	415	1995-01-31	VYDAJ	VYBER	15	19853	SLUZBY	\N	\N
123580	415	1995-02-28	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
123581	415	1995-03-31	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
123582	415	1995-04-30	VYDAJ	VYBER	15	29349	SLUZBY	\N	\N
123583	415	1995-05-31	VYDAJ	VYBER	15	27133	SLUZBY	\N	\N
123584	415	1995-06-30	VYDAJ	VYBER	15	31876	SLUZBY	\N	\N
123585	415	1995-07-31	VYDAJ	VYBER	15	29767	SLUZBY	\N	\N
123586	415	1995-08-31	VYDAJ	VYBER	15	31753	SLUZBY	\N	\N
123587	415	1995-09-30	VYDAJ	VYBER	15	32144	SLUZBY	\N	\N
123588	415	1995-10-31	VYDAJ	VYBER	15	29611	SLUZBY	\N	\N
123589	415	1995-11-30	VYDAJ	VYBER	15	30794	SLUZBY	\N	\N
123590	415	1995-12-31	VYDAJ	VYBER	15	32793	SLUZBY	\N	\N
123591	415	1996-01-31	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
123592	415	1996-02-29	VYDAJ	VYBER	15	22613	SLUZBY	\N	\N
123593	415	1996-03-31	VYDAJ	VYBER	15	26772	SLUZBY	\N	\N
123594	415	1996-04-30	VYDAJ	VYBER	15	29552	SLUZBY	\N	\N
123595	415	1996-05-31	VYDAJ	VYBER	15	31435	SLUZBY	\N	\N
123596	415	1996-06-30	VYDAJ	VYBER	15	29198	SLUZBY	\N	\N
123597	415	1996-07-31	VYDAJ	VYBER	15	32683	SLUZBY	\N	\N
123598	415	1996-08-31	VYDAJ	VYBER	15	34377	SLUZBY	\N	\N
123599	415	1996-09-30	VYDAJ	VYBER	15	30806	SLUZBY	\N	\N
123600	415	1996-10-31	VYDAJ	VYBER	15	32693	SLUZBY	\N	\N
123601	415	1996-11-30	VYDAJ	VYBER	15	34893	SLUZBY	\N	\N
123602	415	1996-12-31	VYDAJ	VYBER	15	29751	SLUZBY	\N	\N
123603	415	1997-01-31	VYDAJ	VYBER	15	16225	SLUZBY	\N	\N
123604	415	1997-02-28	VYDAJ	VYBER	15	9675	SLUZBY	\N	\N
123605	415	1997-03-31	VYDAJ	VYBER	15	17711	SLUZBY	\N	\N
123606	415	1997-04-30	VYDAJ	VYBER	15	16536	SLUZBY	\N	\N
123607	415	1997-05-31	VYDAJ	VYBER	15	16257	SLUZBY	\N	\N
123608	415	1997-06-30	VYDAJ	VYBER	15	19845	SLUZBY	\N	\N
123609	415	1997-07-31	VYDAJ	VYBER	15	16372	SLUZBY	\N	\N
123610	415	1997-08-31	VYDAJ	VYBER	15	17098	SLUZBY	\N	\N
123611	415	1997-09-30	VYDAJ	VYBER	15	17528	SLUZBY	\N	\N
123612	415	1997-10-31	VYDAJ	VYBER	15	18059	SLUZBY	\N	\N
123613	415	1997-11-30	VYDAJ	VYBER	15	24211	SLUZBY	\N	\N
123614	415	1997-12-31	VYDAJ	VYBER	15	30484	SLUZBY	\N	\N
123615	415	1998-01-31	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
123616	415	1998-02-28	VYDAJ	VYBER	15	16129	SLUZBY	\N	\N
123617	415	1998-03-31	VYDAJ	VYBER	15	20559	SLUZBY	\N	\N
123618	415	1998-04-30	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
123619	415	1998-05-31	VYDAJ	VYBER	15	19592	SLUZBY	\N	\N
123620	415	1998-06-30	VYDAJ	VYBER	15	30608	SLUZBY	\N	\N
123621	415	1998-07-31	VYDAJ	VYBER	15	23268	SLUZBY	\N	\N
123622	415	1998-08-31	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
123623	415	1998-09-30	VYDAJ	VYBER	15	24598	SLUZBY	\N	\N
123624	415	1998-10-31	VYDAJ	VYBER	15	24741	SLUZBY	\N	\N
123625	415	1998-11-30	VYDAJ	VYBER	15	29207	SLUZBY	\N	\N
123626	415	1993-04-02	PRIJEM	VKLAD	4800	18354	\N	\N	\N
123627	415	1993-05-02	VYDAJ	VYBER	1900	29677	\N	\N	\N
123628	415	1993-06-01	VYDAJ	VYBER	7100	35855	\N	\N	\N
123629	415	1993-07-01	VYDAJ	VYBER	17600	38139	\N	\N	\N
123630	415	1993-07-31	VYDAJ	VYBER	11000	31688	\N	\N	\N
123631	415	1993-08-30	VYDAJ	VYBER	1900	30438	\N	\N	\N
123632	415	1993-09-29	VYDAJ	VYBER	6800	28151	\N	\N	\N
123633	415	1993-10-29	VYDAJ	VYBER	5500	27143	\N	\N	\N
123634	415	1993-11-28	VYDAJ	VYBER	3900	27726	\N	\N	\N
123635	415	1993-12-28	VYDAJ	VYBER	6600	28319	\N	\N	\N
123636	415	1994-01-27	PRIJEM	VKLAD	5200	18408	\N	\N	\N
123637	415	1994-02-26	VYDAJ	VYBER	600	21183	\N	\N	\N
123638	415	1994-03-28	PRIJEM	VKLAD	1600	27222	\N	\N	\N
123639	415	1994-04-27	VYDAJ	VYBER	3800	24997	\N	\N	\N
123640	415	1994-05-27	VYDAJ	VYBER	1600	27863	\N	\N	\N
123641	415	1994-06-26	VYDAJ	VYBER	2300	31549	\N	\N	\N
123642	415	1994-07-26	VYDAJ	VYBER	2900	30980	\N	\N	\N
123643	415	1994-08-25	VYDAJ	VYBER	5200	30277	\N	\N	\N
123644	415	1994-09-24	VYDAJ	VYBER	5200	29568	\N	\N	\N
123645	415	1994-10-24	VYDAJ	VYBER	4200	29857	\N	\N	\N
123646	415	1994-11-23	VYDAJ	VYBER	1800	32542	\N	\N	\N
123647	415	1994-12-23	VYDAJ	VYBER	4800	37827	\N	\N	\N
123648	415	1995-01-22	PRIJEM	VKLAD	2900	25732	\N	\N	\N
123649	415	1995-02-21	PRIJEM	VKLAD	3100	27323	\N	\N	\N
123650	415	1995-03-23	VYDAJ	VYBER	900	30876	\N	\N	\N
123651	415	1995-05-22	VYDAJ	VYBER	3100	30619	\N	\N	\N
123652	415	1995-06-21	VYDAJ	VYBER	6300	31758	\N	\N	\N
123653	415	1995-07-21	VYDAJ	VYBER	3000	29646	\N	\N	\N
123654	415	1995-08-20	VYDAJ	VYBER	2500	31637	\N	\N	\N
123655	415	1995-09-19	VYDAJ	VYBER	4100	32023	\N	\N	\N
123656	415	1995-10-19	VYDAJ	VYBER	1500	29494	\N	\N	\N
123657	415	1995-11-18	VYDAJ	VYBER	3300	30681	\N	\N	\N
123658	415	1995-12-18	VYDAJ	VYBER	7500	33259	\N	\N	\N
123659	415	1996-01-17	PRIJEM	VKLAD	1100	21983	\N	\N	\N
123660	415	1996-02-16	PRIJEM	VKLAD	3300	22549	\N	\N	\N
123661	415	1996-03-17	VYDAJ	VYBER	300	26683	\N	\N	\N
123662	415	1996-04-16	VYDAJ	VYBER	1100	29442	\N	\N	\N
123663	415	1996-05-16	VYDAJ	VYBER	2600	31322	\N	\N	\N
123664	415	1996-06-15	VYDAJ	VYBER	9800	32560	\N	\N	\N
123665	415	1996-07-15	VYDAJ	VYBER	1000	32568	\N	\N	\N
123666	415	1996-08-14	VYDAJ	VYBER	2800	34253	\N	\N	\N
123667	415	1996-09-13	VYDAJ	VYBER	2300	30687	\N	\N	\N
123668	415	1996-10-13	VYDAJ	VYBER	2600	32576	\N	\N	\N
123669	415	1996-11-12	VYDAJ	VYBER	2300	34763	\N	\N	\N
123670	415	1996-12-12	VYDAJ	VYBER	9800	43158	\N	\N	\N
123671	415	1997-01-11	VYDAJ	VYBER	6700	32681	\N	\N	\N
123672	415	1997-02-10	VYDAJ	VYBER	3400	23895	\N	\N	\N
123673	415	1997-03-12	PRIJEM	VKLAD	3600	26385	\N	\N	\N
123674	415	1997-04-11	VYDAJ	VYBER	5600	25221	\N	\N	\N
123675	415	1997-05-11	VYDAJ	VYBER	4700	24946	\N	\N	\N
123676	415	1997-06-10	VYDAJ	VYBER	7400	28522	\N	\N	\N
123677	415	1997-07-10	VYDAJ	VYBER	7900	25055	\N	\N	\N
123678	415	1997-08-09	VYDAJ	VYBER	3700	25782	\N	\N	\N
123679	415	1997-09-08	VYDAJ	VYBER	4000	26208	\N	\N	\N
123680	415	1997-10-08	VYDAJ	VYBER	3900	26738	\N	\N	\N
123681	415	1997-11-07	PRIJEM	VKLAD	1700	19759	\N	\N	\N
123682	415	1997-12-07	VYDAJ	VYBER	2200	22011	\N	\N	\N
123683	415	1998-01-06	VYDAJ	VYBER	8000	20804	\N	\N	\N
123684	415	1998-02-05	VYDAJ	VYBER	300	16264	\N	\N	\N
123685	415	1998-05-06	VYDAJ	VYBER	8300	15150	\N	\N	\N
123686	415	1998-07-05	VYDAJ	VYBER	11800	18808	\N	\N	\N
123687	415	1998-08-04	VYDAJ	VYBER	6600	16668	\N	\N	\N
123758	416	1996-08-11	PRIJEM	VKLAD	500	500	\N	\N	\N
123767	416	1996-09-05	PRIJEM	PREVOD Z UCTU	5155	5655	DUCHOD	MN	15923685
123768	416	1996-10-05	PRIJEM	PREVOD Z UCTU	5155	10810	DUCHOD	MN	15923685
123769	416	1996-11-05	PRIJEM	PREVOD Z UCTU	5155	15965	DUCHOD	MN	15923685
123770	416	1996-12-05	PRIJEM	PREVOD Z UCTU	5155	21120	DUCHOD	MN	15923685
123771	416	1997-01-05	PRIJEM	PREVOD Z UCTU	5155	26275	DUCHOD	MN	15923685
123772	416	1997-02-05	PRIJEM	PREVOD Z UCTU	5155	19074	DUCHOD	MN	15923685
123773	416	1997-03-05	PRIJEM	PREVOD Z UCTU	5155	22314	DUCHOD	MN	15923685
123774	416	1997-04-05	PRIJEM	PREVOD Z UCTU	5155	24047	DUCHOD	MN	15923685
123775	416	1997-05-05	PRIJEM	PREVOD Z UCTU	5155	23708	DUCHOD	MN	15923685
123776	416	1997-06-05	PRIJEM	PREVOD Z UCTU	5155	24146	DUCHOD	MN	15923685
123777	416	1997-07-05	PRIJEM	PREVOD Z UCTU	5155	23092	DUCHOD	MN	15923685
123778	416	1997-08-05	PRIJEM	PREVOD Z UCTU	5155	23942	DUCHOD	MN	15923685
123779	416	1997-09-05	PRIJEM	PREVOD Z UCTU	5155	21583	DUCHOD	MN	15923685
123780	416	1997-10-05	PRIJEM	PREVOD Z UCTU	5155	21546	DUCHOD	MN	15923685
123781	416	1997-11-05	PRIJEM	PREVOD Z UCTU	5155	21693	DUCHOD	MN	15923685
123782	416	1997-12-05	PRIJEM	PREVOD Z UCTU	5155	18746	DUCHOD	MN	15923685
123783	416	1998-01-05	PRIJEM	PREVOD Z UCTU	5155	18309	DUCHOD	MN	15923685
123784	416	1998-02-05	PRIJEM	PREVOD Z UCTU	5155	15725	DUCHOD	MN	15923685
123785	416	1998-03-05	PRIJEM	PREVOD Z UCTU	5155	16154	DUCHOD	MN	15923685
123786	416	1998-04-05	PRIJEM	PREVOD Z UCTU	5155	19384	DUCHOD	MN	15923685
123787	416	1998-05-05	PRIJEM	PREVOD Z UCTU	5155	21366	DUCHOD	MN	15923685
123788	416	1998-06-05	PRIJEM	PREVOD Z UCTU	5155	18767	DUCHOD	MN	15923685
123789	416	1998-07-05	PRIJEM	PREVOD Z UCTU	5155	21308	DUCHOD	MN	15923685
123790	416	1998-08-05	PRIJEM	PREVOD Z UCTU	5155	24559	DUCHOD	MN	15923685
123791	416	1998-09-05	PRIJEM	PREVOD Z UCTU	5155	26822	DUCHOD	MN	15923685
123792	416	1998-10-05	PRIJEM	PREVOD Z UCTU	5155	24809	DUCHOD	MN	15923685
123793	416	1998-11-05	PRIJEM	PREVOD Z UCTU	5155	26072	DUCHOD	MN	15923685
123794	416	1998-12-05	PRIJEM	PREVOD Z UCTU	5155	29241	DUCHOD	MN	15923685
123807	416	1997-01-07	VYDAJ	PREVOD NA UCET	982	23613	SIPO	ST	30481368
123808	416	1997-02-07	VYDAJ	PREVOD NA UCET	982	18092	SIPO	ST	30481368
123809	416	1997-03-07	VYDAJ	PREVOD NA UCET	982	21332	SIPO	ST	30481368
123810	416	1997-04-07	VYDAJ	PREVOD NA UCET	982	23065	SIPO	ST	30481368
123811	416	1997-05-07	VYDAJ	PREVOD NA UCET	982	22726	SIPO	ST	30481368
123812	416	1997-06-07	VYDAJ	PREVOD NA UCET	982	23164	SIPO	ST	30481368
123813	416	1997-07-07	VYDAJ	PREVOD NA UCET	982	22110	SIPO	ST	30481368
123814	416	1997-08-07	VYDAJ	PREVOD NA UCET	982	17360	SIPO	ST	30481368
123815	416	1997-09-07	VYDAJ	PREVOD NA UCET	982	20601	SIPO	ST	30481368
123816	416	1997-10-07	VYDAJ	PREVOD NA UCET	982	19264	SIPO	ST	30481368
123817	416	1997-11-07	VYDAJ	PREVOD NA UCET	982	20711	SIPO	ST	30481368
123818	416	1997-12-07	VYDAJ	PREVOD NA UCET	982	17764	SIPO	ST	30481368
123819	416	1998-01-07	VYDAJ	PREVOD NA UCET	982	17327	SIPO	ST	30481368
123820	416	1998-02-07	VYDAJ	PREVOD NA UCET	982	14743	SIPO	ST	30481368
123821	416	1998-03-07	VYDAJ	PREVOD NA UCET	982	15172	SIPO	ST	30481368
123822	416	1998-04-07	VYDAJ	PREVOD NA UCET	982	18402	SIPO	ST	30481368
123823	416	1998-05-07	VYDAJ	PREVOD NA UCET	982	20384	SIPO	ST	30481368
123824	416	1998-06-07	VYDAJ	PREVOD NA UCET	982	17785	SIPO	ST	30481368
123825	416	1998-07-07	VYDAJ	PREVOD NA UCET	982	20326	SIPO	ST	30481368
123826	416	1998-08-07	VYDAJ	PREVOD NA UCET	982	23577	SIPO	ST	30481368
123827	416	1998-09-07	VYDAJ	PREVOD NA UCET	982	25840	SIPO	ST	30481368
123828	416	1998-10-07	VYDAJ	PREVOD NA UCET	982	23827	SIPO	ST	30481368
123829	416	1998-11-07	VYDAJ	PREVOD NA UCET	982	25090	SIPO	ST	30481368
123830	416	1998-12-07	VYDAJ	PREVOD NA UCET	982	27409	SIPO	ST	30481368
123843	416	1997-01-08	VYDAJ	PREVOD NA UCET	987	21346	 	CD	54040610
123844	416	1997-02-08	VYDAJ	PREVOD NA UCET	987	17105	 	CD	54040610
123845	416	1997-03-08	VYDAJ	PREVOD NA UCET	987	20345	 	CD	54040610
123846	416	1997-04-08	VYDAJ	PREVOD NA UCET	987	22078	 	CD	54040610
123847	416	1997-05-08	VYDAJ	PREVOD NA UCET	987	21639	 	CD	54040610
123848	416	1997-06-08	VYDAJ	PREVOD NA UCET	987	17877	 	CD	54040610
123849	416	1997-07-08	VYDAJ	PREVOD NA UCET	987	18723	 	CD	54040610
123850	416	1997-08-08	VYDAJ	PREVOD NA UCET	987	16373	 	CD	54040610
123851	416	1997-09-08	VYDAJ	PREVOD NA UCET	987	19614	 	CD	54040610
123852	416	1997-10-08	VYDAJ	PREVOD NA UCET	987	18277	 	CD	54040610
123853	416	1997-11-08	VYDAJ	PREVOD NA UCET	987	19724	 	CD	54040610
123854	416	1997-12-08	VYDAJ	PREVOD NA UCET	987	16777	 	CD	54040610
123855	416	1998-01-08	VYDAJ	PREVOD NA UCET	987	16340	 	CD	54040610
123856	416	1998-02-08	VYDAJ	PREVOD NA UCET	987	13756	 	CD	54040610
123857	416	1998-03-08	VYDAJ	PREVOD NA UCET	987	14185	 	CD	54040610
123858	416	1998-04-08	VYDAJ	PREVOD NA UCET	987	17415	 	CD	54040610
123859	416	1998-05-08	VYDAJ	PREVOD NA UCET	987	19397	 	CD	54040610
123860	416	1998-06-08	VYDAJ	PREVOD NA UCET	987	16798	 	CD	54040610
123861	416	1998-07-08	VYDAJ	PREVOD NA UCET	987	19339	 	CD	54040610
123862	416	1998-08-08	VYDAJ	PREVOD NA UCET	987	22590	 	CD	54040610
123863	416	1998-09-08	VYDAJ	PREVOD NA UCET	987	24853	 	CD	54040610
123864	416	1998-10-08	VYDAJ	PREVOD NA UCET	987	22840	 	CD	54040610
123865	416	1998-11-08	VYDAJ	PREVOD NA UCET	987	24103	 	CD	54040610
123866	416	1998-12-08	VYDAJ	PREVOD NA UCET	987	26422	 	CD	54040610
123869	416	1998-06-01	VYDAJ	VYBER	5250	14212	\N	\N	\N
123871	416	1997-12-01	VYDAJ	VYBER	800	18991	\N	\N	\N
123872	416	1998-12-05	VYDAJ	VYBER	850	28391	\N	\N	\N
123880	416	1997-01-23	VYDAJ	VYBER	2240	13866	\N	\N	\N
123881	416	1997-01-08	VYDAJ	VYBER	1280	22333	\N	\N	\N
123882	416	1997-01-05	VYDAJ	VYBER	1680	24595	\N	\N	\N
123883	416	1997-01-20	VYDAJ	VYBER	2000	16106	\N	\N	\N
123884	416	1997-01-16	VYDAJ	VYBER	1120	20026	\N	\N	\N
123885	416	1998-01-17	VYDAJ	VYBER	1040	15300	\N	\N	\N
123886	416	1998-01-02	VYDAJ	VYBER	1360	15474	\N	\N	\N
123887	416	1998-01-28	VYDAJ	VYBER	1040	12820	\N	\N	\N
123889	416	1998-01-02	VYDAJ	VYBER	2320	13154	\N	\N	\N
123890	416	1998-01-26	VYDAJ	VYBER	1440	13860	\N	\N	\N
123894	416	1997-04-25	VYDAJ	VYBER	3600	18478	\N	\N	\N
123895	416	1997-04-01	VYDAJ	VYBER	1520	18892	\N	\N	\N
123896	416	1997-01-18	VYDAJ	VYBER	1920	18106	\N	\N	\N
123897	416	1997-09-13	VYDAJ	VYBER	3280	16334	\N	\N	\N
123898	416	1997-05-23	VYDAJ	VYBER	2720	18919	\N	\N	\N
123899	416	1998-09-28	VYDAJ	VYBER	3520	19573	\N	\N	\N
123900	416	1998-09-17	VYDAJ	VYBER	1760	23093	\N	\N	\N
123901	416	1998-05-01	VYDAJ	VYBER	960	16511	\N	\N	\N
123902	416	1998-12-27	VYDAJ	VYBER	1760	24662	\N	\N	\N
123916	416	1997-01-31	VYDAJ	VYBER	15	13919	SLUZBY	\N	\N
123917	416	1997-02-28	VYDAJ	VYBER	15	17159	SLUZBY	\N	\N
123918	416	1997-03-31	VYDAJ	VYBER	15	20412	SLUZBY	\N	\N
123919	416	1997-04-30	VYDAJ	VYBER	15	18553	SLUZBY	\N	\N
123920	416	1997-05-31	VYDAJ	VYBER	15	18991	SLUZBY	\N	\N
123921	416	1997-06-30	VYDAJ	VYBER	15	17937	SLUZBY	\N	\N
123922	416	1997-07-31	VYDAJ	VYBER	15	18787	SLUZBY	\N	\N
123923	416	1997-08-31	VYDAJ	VYBER	15	16428	SLUZBY	\N	\N
123924	416	1997-09-30	VYDAJ	VYBER	15	16391	SLUZBY	\N	\N
123925	416	1997-10-31	VYDAJ	VYBER	15	18338	SLUZBY	\N	\N
123926	416	1997-11-30	VYDAJ	VYBER	15	19791	SLUZBY	\N	\N
123927	416	1997-12-31	VYDAJ	VYBER	15	16834	SLUZBY	\N	\N
123928	416	1998-01-31	VYDAJ	VYBER	15	12870	SLUZBY	\N	\N
123929	416	1998-02-28	VYDAJ	VYBER	15	13799	SLUZBY	\N	\N
123930	416	1998-03-31	VYDAJ	VYBER	15	14229	SLUZBY	\N	\N
123931	416	1998-04-30	VYDAJ	VYBER	15	17471	SLUZBY	\N	\N
123932	416	1998-05-31	VYDAJ	VYBER	15	19462	SLUZBY	\N	\N
123933	416	1998-06-30	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
123934	416	1998-07-31	VYDAJ	VYBER	15	19404	SLUZBY	\N	\N
123935	416	1998-08-31	VYDAJ	VYBER	15	22667	SLUZBY	\N	\N
123936	416	1998-09-30	VYDAJ	VYBER	15	19654	SLUZBY	\N	\N
123937	416	1998-10-31	VYDAJ	VYBER	15	20917	SLUZBY	\N	\N
123938	416	1998-11-30	VYDAJ	VYBER	15	24086	SLUZBY	\N	\N
123939	416	1997-01-08	VYDAJ	VYBER	200	21146	\N	\N	\N
123940	416	1997-05-08	VYDAJ	VYBER	100	22626	\N	\N	\N
123941	416	1997-06-07	VYDAJ	VYBER	4300	18864	\N	\N	\N
123942	416	1997-07-07	VYDAJ	VYBER	2400	19710	\N	\N	\N
123943	416	1997-08-06	VYDAJ	VYBER	5600	18342	\N	\N	\N
123944	416	1997-10-05	VYDAJ	VYBER	1300	20246	\N	\N	\N
123945	416	1997-11-04	VYDAJ	VYBER	1800	16538	\N	\N	\N
123946	416	1997-12-04	VYDAJ	VYBER	5400	13591	\N	\N	\N
123947	416	1998-02-02	VYDAJ	VYBER	2300	10570	\N	\N	\N
123948	416	1998-03-04	VYDAJ	VYBER	2800	10999	\N	\N	\N
123949	416	1998-05-03	VYDAJ	VYBER	300	16211	\N	\N	\N
123950	416	1998-06-02	VYDAJ	VYBER	600	13612	\N	\N	\N
123951	416	1998-07-02	VYDAJ	VYBER	700	16153	\N	\N	\N
123952	416	1998-08-31	VYDAJ	VYBER	1000	21667	\N	\N	\N
123953	416	1998-10-30	VYDAJ	VYBER	2000	20840	\N	\N	\N
123954	416	1998-11-29	VYDAJ	VYBER	100	24003	\N	\N	\N
123979	417	1996-01-27	PRIJEM	VKLAD	300	300	\N	\N	\N
123980	417	1996-02-13	PRIJEM	VKLAD	8200	62498	\N	\N	\N
123981	417	1996-06-08	PRIJEM	VKLAD	36768	55106	\N	\N	\N
123982	417	1996-08-24	PRIJEM	VKLAD	37249	45896	\N	\N	\N
123983	417	1996-04-05	PRIJEM	VKLAD	49417	131920	\N	\N	\N
123984	417	1996-11-05	PRIJEM	VKLAD	26923	25495	\N	\N	\N
123985	417	1996-01-31	PRIJEM	VKLAD	8975	54298	\N	\N	\N
123986	417	1996-03-30	PRIJEM	VKLAD	45384	82303	\N	\N	\N
123987	417	1996-09-09	PRIJEM	VKLAD	17026	34079	\N	\N	\N
123988	417	1996-01-28	PRIJEM	VKLAD	44997	45297	\N	\N	\N
123989	417	1996-05-09	PRIJEM	VKLAD	32987	79858	\N	\N	\N
123990	417	1997-05-10	PRIJEM	VKLAD	44212	130050	\N	\N	\N
123991	417	1997-08-10	PRIJEM	VKLAD	5901	77000	\N	\N	\N
123992	417	1997-04-19	PRIJEM	VKLAD	18435	97922	\N	\N	\N
123993	417	1997-11-13	PRIJEM	VKLAD	39715	92540	\N	\N	\N
123994	417	1997-08-30	PRIJEM	VKLAD	14987	36982	\N	\N	\N
123995	417	1997-04-22	PRIJEM	VKLAD	28743	104645	\N	\N	\N
123996	417	1997-01-25	PRIJEM	VKLAD	6789	17925	\N	\N	\N
123997	417	1997-02-08	PRIJEM	VKLAD	49903	142889	\N	\N	\N
123998	417	1997-10-17	PRIJEM	VKLAD	16728	62412	\N	\N	\N
123999	417	1997-06-22	PRIJEM	VKLAD	44807	91338	\N	\N	\N
124000	417	1997-04-28	PRIJEM	VKLAD	19923	85568	\N	\N	\N
124001	417	1997-04-10	PRIJEM	VKLAD	20146	79487	\N	\N	\N
124002	417	1997-01-25	PRIJEM	VKLAD	37240	55165	\N	\N	\N
124003	417	1997-12-03	PRIJEM	VKLAD	34339	138760	\N	\N	\N
124004	417	1997-06-02	PRIJEM	VKLAD	15057	81431	\N	\N	\N
124005	417	1997-07-14	PRIJEM	VKLAD	15417	107076	\N	\N	\N
124006	417	1997-12-29	PRIJEM	VKLAD	31281	75267	\N	\N	\N
124007	417	1997-04-21	PRIJEM	VKLAD	40165	138087	\N	\N	\N
124008	417	1997-02-28	PRIJEM	VKLAD	17612	95326	\N	\N	\N
124009	417	1997-02-21	PRIJEM	VKLAD	39516	77714	\N	\N	\N
124010	417	1997-10-17	PRIJEM	VKLAD	33062	95474	\N	\N	\N
124011	417	1997-08-01	PRIJEM	VKLAD	10187	116999	\N	\N	\N
124012	417	1997-04-22	PRIJEM	VKLAD	8715	75902	\N	\N	\N
124013	417	1997-11-30	PRIJEM	VKLAD	12573	104162	\N	\N	\N
124014	417	1997-11-22	PRIJEM	VKLAD	43749	91589	\N	\N	\N
124015	417	1997-07-27	PRIJEM	VKLAD	44887	106463	\N	\N	\N
124016	417	1997-01-26	PRIJEM	VKLAD	37694	92859	\N	\N	\N
124017	417	1997-10-06	PRIJEM	VKLAD	18547	45684	\N	\N	\N
124018	417	1997-06-01	PRIJEM	VKLAD	8958	66374	\N	\N	\N
124019	417	1998-04-28	PRIJEM	VKLAD	22560	35001	\N	\N	\N
124020	417	1998-03-04	PRIJEM	VKLAD	32502	59348	\N	\N	\N
124021	417	1998-05-12	PRIJEM	VKLAD	12306	47361	\N	\N	\N
124022	417	1998-08-16	PRIJEM	VKLAD	35956	67335	\N	\N	\N
124023	417	1998-07-02	PRIJEM	VKLAD	5008	55563	\N	\N	\N
124024	417	1998-06-05	PRIJEM	VKLAD	29793	66388	\N	\N	\N
124025	417	1996-06-16	VYBER	VYBER	22813	32293	\N	\N	\N
124026	417	1996-06-06	VYBER	VYBER	21656	18338	\N	\N	\N
124027	417	1996-10-24	VYBER	VYBER	15900	12351	\N	\N	\N
124028	417	1996-07-24	VYBER	VYBER	17491	8153	\N	\N	\N
124029	417	1996-05-11	VYBER	VYBER	17871	57787	\N	\N	\N
124030	417	1996-08-26	VYBER	VYBER	22307	16989	\N	\N	\N
124031	417	1996-11-03	VYBER	VYBER	13876	-1428	\N	\N	\N
124035	417	1997-12-15	VYBER	VYBER	24274	84986	\N	\N	\N
124036	417	1997-08-15	VYBER	VYBER	13086	61814	\N	\N	\N
124037	417	1997-08-28	VYBER	VYBER	13519	21995	\N	\N	\N
124038	417	1997-01-08	VYBER	VYBER	19035	2436	\N	\N	\N
124039	417	1997-02-14	VYBER	VYBER	2791	111798	\N	\N	\N
124040	417	1998-07-21	VYBER	VYBER	5750	35813	\N	\N	\N
124041	417	1998-12-04	VYBER	VYBER	24150	13664	\N	\N	\N
124042	417	1998-02-02	VYBER	VYBER	16874	30207	\N	\N	\N
124044	417	1998-03-24	VYBER	VYBER	22204	16644	\N	\N	\N
124045	417	1996-12-27	VYDAJ	VYBER	2400	21380	\N	\N	\N
124046	417	1997-12-23	VYDAJ	VYBER	7200	43986	\N	\N	\N
124047	417	1998-12-10	VYDAJ	VYBER KARTOU	1500	12164	\N	\N	0
124048	417	1996-07-12	VYDAJ	VYBER	3900	25644	\N	\N	\N
124049	417	1996-05-13	VYDAJ	VYBER	1800	55987	\N	\N	\N
124050	417	1996-05-10	VYDAJ	VYBER	4200	75658	\N	\N	\N
124051	417	1996-08-15	VYDAJ	VYBER	8400	8647	\N	\N	\N
124053	417	1996-05-08	VYDAJ	VYBER	4500	46871	\N	\N	\N
124054	417	1997-08-12	VYDAJ	VYBER KARTOU	2100	74900	\N	\N	0
124055	417	1997-11-15	VYDAJ	VYBER	13500	79040	\N	\N	\N
124056	417	1997-08-23	VYDAJ	VYBER	4500	35514	\N	\N	\N
124057	417	1997-12-03	VYDAJ	VYBER	11100	127660	\N	\N	\N
124058	417	1997-06-15	VYDAJ	VYBER	4200	77231	\N	\N	\N
124059	417	1998-04-03	VYDAJ	VYBER	14700	2041	\N	\N	\N
124064	417	1996-04-30	VYDAJ	VYBER	15	51371	SLUZBY	\N	\N
124065	417	1996-05-31	VYDAJ	VYBER	15	39994	SLUZBY	\N	\N
124066	417	1996-06-30	VYDAJ	VYBER	15	29544	SLUZBY	\N	\N
124067	417	1996-07-31	VYDAJ	VYBER	15	17047	SLUZBY	\N	\N
124068	417	1996-08-31	VYDAJ	VYBER	15	17053	SLUZBY	\N	\N
124069	417	1996-09-30	VYDAJ	VYBER	15	31851	SLUZBY	\N	\N
124070	417	1996-10-31	VYDAJ	VYBER	15	12448	SLUZBY	\N	\N
124071	417	1996-11-30	VYDAJ	VYBER	15	26180	SLUZBY	\N	\N
124072	417	1996-12-31	VYDAJ	VYBER	15	21471	SLUZBY	\N	\N
124073	417	1997-01-31	VYDAJ	VYBER	15	92986	SLUZBY	\N	\N
124074	417	1997-02-28	VYDAJ	VYBER	15	95662	SLUZBY	\N	\N
124075	417	1997-03-31	VYDAJ	VYBER	15	59341	SLUZBY	\N	\N
124076	417	1997-04-30	VYDAJ	VYBER	15	85838	SLUZBY	\N	\N
124077	417	1997-05-31	VYDAJ	VYBER	15	57416	SLUZBY	\N	\N
124078	417	1997-06-30	VYDAJ	VYBER	15	91659	SLUZBY	\N	\N
124079	417	1997-07-31	VYDAJ	VYBER	15	106812	SLUZBY	\N	\N
124080	417	1997-08-31	VYDAJ	VYBER	15	37198	SLUZBY	\N	\N
124081	417	1997-09-30	VYDAJ	VYBER	15	27137	SLUZBY	\N	\N
124082	417	1997-10-31	VYDAJ	VYBER	15	52825	SLUZBY	\N	\N
124083	417	1997-11-30	VYDAJ	VYBER	15	104421	SLUZBY	\N	\N
124084	417	1997-12-31	VYDAJ	VYBER	15	75586	SLUZBY	\N	\N
124085	417	1998-01-31	VYDAJ	VYBER	15	47081	SLUZBY	\N	\N
124086	417	1998-02-28	VYDAJ	VYBER	15	26846	SLUZBY	\N	\N
124087	417	1998-03-31	VYDAJ	VYBER	15	16741	SLUZBY	\N	\N
124088	417	1998-04-30	VYDAJ	VYBER	15	35055	SLUZBY	\N	\N
124089	417	1998-05-31	VYDAJ	VYBER	15	36595	SLUZBY	\N	\N
124090	417	1998-06-30	VYDAJ	VYBER	15	50555	SLUZBY	\N	\N
124091	417	1998-07-31	VYDAJ	VYBER	15	35979	SLUZBY	\N	\N
124092	417	1998-08-31	VYDAJ	VYBER	15	67536	SLUZBY	\N	\N
124093	417	1998-09-30	VYDAJ	VYBER	15	46098	SLUZBY	\N	\N
124094	417	1998-10-31	VYDAJ	VYBER	15	37773	SLUZBY	\N	\N
124095	417	1998-11-30	VYDAJ	VYBER	15	37814	SLUZBY	\N	\N
124096	417	1996-02-26	VYDAJ	VYBER	16800	45698	\N	\N	\N
124097	417	1996-03-27	VYDAJ	VYBER	9000	36919	\N	\N	\N
124098	417	1996-04-05	VYDAJ	VYBER	61000	70920	\N	\N	\N
124099	417	1996-04-26	VYDAJ	VYBER	20000	50920	\N	\N	\N
124100	417	1996-05-26	VYDAJ	VYBER	16200	39787	\N	\N	\N
124101	417	1996-06-25	VYDAJ	VYBER	2900	29393	\N	\N	\N
124102	417	1996-07-25	PRIJEM	VKLAD	8800	16953	\N	\N	\N
124103	417	1996-08-24	VYDAJ	VYBER	6600	39296	\N	\N	\N
124104	417	1996-09-23	VYDAJ	VYBER	2300	31779	\N	\N	\N
124105	417	1996-10-23	VYDAJ	VYBER	3600	28251	\N	\N	\N
124106	417	1996-11-22	PRIJEM	VKLAD	600	26095	\N	\N	\N
124107	417	1996-12-22	VYDAJ	VYBER	2400	23780	\N	\N	\N
124108	417	1997-01-21	PRIJEM	VKLAD	8700	11136	\N	\N	\N
124109	417	1997-02-08	VYDAJ	VYBER	28300	114589	\N	\N	\N
124110	417	1997-02-14	VYDAJ	VYBER	54600	57198	\N	\N	\N
124111	417	1997-02-20	VYDAJ	VYBER	19000	38198	\N	\N	\N
124112	417	1997-03-22	VYDAJ	VYBER	36700	58962	\N	\N	\N
124113	417	1997-04-21	VYDAJ	VYBER	26400	111687	\N	\N	\N
124114	417	1997-04-21	VYDAJ	VYBER	44500	67187	\N	\N	\N
124115	417	1997-04-22	VYDAJ	VYBER	39000	65645	\N	\N	\N
124116	417	1997-05-10	VYDAJ	VYBER	30200	99850	\N	\N	\N
124117	417	1997-05-21	VYDAJ	VYBER	42800	57050	\N	\N	\N
124118	417	1997-06-20	VYDAJ	VYBER	30700	46531	\N	\N	\N
124119	417	1997-07-20	VYDAJ	VYBER	45500	61576	\N	\N	\N
124120	417	1997-08-01	VYDAJ	VYBER	45900	71099	\N	\N	\N
124121	417	1997-08-19	VYDAJ	VYBER	21800	40014	\N	\N	\N
124122	417	1997-09-18	VYDAJ	VYBER	10200	26998	\N	\N	\N
124123	417	1997-10-18	VYDAJ	VYBER	42800	52674	\N	\N	\N
124124	417	1997-11-17	VYDAJ	VYBER	31200	47840	\N	\N	\N
124125	417	1997-12-03	VYDAJ	VYBER	18400	109260	\N	\N	\N
124126	417	1997-12-17	VYDAJ	VYBER	33800	51186	\N	\N	\N
124127	417	1998-01-16	VYDAJ	VYBER	28800	46786	\N	\N	\N
124128	417	1998-02-15	VYDAJ	VYBER KARTOU	3500	26707	\N	\N	0
124129	417	1998-03-17	VYDAJ	VYBER	20500	38848	\N	\N	\N
124130	417	1998-04-16	PRIJEM	VKLAD	10400	12441	\N	\N	\N
124131	417	1998-05-16	VYDAJ	VYBER	10900	36461	\N	\N	\N
124132	417	1998-06-15	VYDAJ	VYBER	16000	50388	\N	\N	\N
124133	417	1998-07-15	VYDAJ	VYBER	14000	41563	\N	\N	\N
124134	417	1998-08-14	VYDAJ	VYBER	4600	31379	\N	\N	\N
124135	417	1998-09-13	VYDAJ	VYBER	21700	45836	\N	\N	\N
124136	417	1998-10-13	VYDAJ	VYBER	8500	37598	\N	\N	\N
124137	417	1998-11-12	VYDAJ	VYBER KARTOU	100	37673	\N	\N	0
124174	418	1995-08-27	PRIJEM	VKLAD	700	700	\N	\N	\N
124183	418	1995-09-08	PRIJEM	VKLAD	20879	21579	\N	\N	\N
124184	418	1995-10-08	PRIJEM	VKLAD	20879	45775	\N	\N	\N
124185	418	1995-11-08	PRIJEM	VKLAD	20879	53064	\N	\N	\N
124186	418	1995-12-08	PRIJEM	VKLAD	31318	67419	\N	\N	\N
124187	418	1996-01-08	PRIJEM	VKLAD	20879	64354	\N	\N	\N
124188	418	1996-02-08	PRIJEM	VKLAD	20879	52521	\N	\N	\N
124189	418	1996-03-08	PRIJEM	VKLAD	20879	54618	\N	\N	\N
124190	418	1996-04-08	PRIJEM	VKLAD	20879	59345	\N	\N	\N
124191	418	1996-05-08	PRIJEM	VKLAD	20879	58769	\N	\N	\N
124192	418	1996-06-08	PRIJEM	VKLAD	31318	69296	\N	\N	\N
124193	418	1996-07-08	PRIJEM	VKLAD	20879	67842	\N	\N	\N
124194	418	1996-08-08	PRIJEM	VKLAD	20879	68700	\N	\N	\N
124195	418	1996-09-08	PRIJEM	VKLAD	20879	65555	\N	\N	\N
124196	418	1996-10-08	PRIJEM	VKLAD	20879	64199	\N	\N	\N
124197	418	1996-11-08	PRIJEM	VKLAD	20879	59831	\N	\N	\N
124198	418	1996-12-08	PRIJEM	VKLAD	31318	69288	\N	\N	\N
124199	418	1997-01-08	PRIJEM	VKLAD	20879	62944	\N	\N	\N
124200	418	1997-02-08	PRIJEM	VKLAD	20879	56376	\N	\N	\N
124201	418	1997-03-08	PRIJEM	VKLAD	20879	61488	\N	\N	\N
124202	418	1997-04-08	PRIJEM	VKLAD	20879	64019	\N	\N	\N
124203	418	1997-05-08	PRIJEM	VKLAD	20879	63954	\N	\N	\N
124204	418	1997-06-08	PRIJEM	VKLAD	31318	51267	\N	\N	\N
124205	418	1997-07-08	PRIJEM	VKLAD	20879	55168	\N	\N	\N
124206	418	1997-08-08	PRIJEM	VKLAD	20879	54767	\N	\N	\N
124207	418	1997-09-08	PRIJEM	VKLAD	20879	60959	\N	\N	\N
124208	418	1997-10-08	PRIJEM	VKLAD	20879	66807	\N	\N	\N
124209	418	1997-11-08	PRIJEM	VKLAD	20879	73864	\N	\N	\N
124210	418	1997-12-08	PRIJEM	VKLAD	31318	82569	\N	\N	\N
124211	418	1998-01-08	PRIJEM	VKLAD	20879	71240	\N	\N	\N
124212	418	1998-02-08	PRIJEM	VKLAD	20879	66104	\N	\N	\N
124213	418	1998-03-08	PRIJEM	VKLAD	20879	68146	\N	\N	\N
124214	418	1998-04-08	PRIJEM	VKLAD	20879	72401	\N	\N	\N
124215	418	1998-05-08	PRIJEM	VKLAD	20879	75891	\N	\N	\N
124216	418	1998-06-08	PRIJEM	VKLAD	31318	55263	\N	\N	\N
124217	418	1998-07-08	PRIJEM	VKLAD	20879	59195	\N	\N	\N
124218	418	1998-08-08	PRIJEM	VKLAD	20879	53791	\N	\N	\N
124219	418	1998-09-08	PRIJEM	VKLAD	20879	55484	\N	\N	\N
124220	418	1998-10-08	PRIJEM	VKLAD	20879	54779	\N	\N	\N
124221	418	1998-11-08	PRIJEM	VKLAD	20879	49217	\N	\N	\N
124222	418	1998-12-08	PRIJEM	VKLAD	31318	61141	\N	\N	\N
124235	418	1996-01-13	VYDAJ	PREVOD NA UCET	9316	51078	SIPO	MN	92404669
124236	418	1996-02-13	VYDAJ	PREVOD NA UCET	9316	43205	SIPO	MN	92404669
124237	418	1996-03-13	VYDAJ	PREVOD NA UCET	9316	45302	SIPO	MN	92404669
124238	418	1996-04-13	VYDAJ	PREVOD NA UCET	9316	50029	SIPO	MN	92404669
124239	418	1996-05-13	VYDAJ	PREVOD NA UCET	9316	48613	SIPO	MN	92404669
124240	418	1996-06-13	VYDAJ	PREVOD NA UCET	9316	59980	SIPO	MN	92404669
124241	418	1996-07-13	VYDAJ	PREVOD NA UCET	9316	58526	SIPO	MN	92404669
124242	418	1996-08-13	VYDAJ	PREVOD NA UCET	9316	59384	SIPO	MN	92404669
124243	418	1996-09-13	VYDAJ	PREVOD NA UCET	9316	56239	SIPO	MN	92404669
124244	418	1996-10-13	VYDAJ	PREVOD NA UCET	9316	54883	SIPO	MN	92404669
124245	418	1996-11-13	VYDAJ	PREVOD NA UCET	9316	50515	SIPO	MN	92404669
124246	418	1996-12-13	VYDAJ	PREVOD NA UCET	9316	59972	SIPO	MN	92404669
124247	418	1997-01-13	VYDAJ	PREVOD NA UCET	9316	50748	SIPO	MN	92404669
124248	418	1997-02-13	VYDAJ	PREVOD NA UCET	9316	47060	SIPO	MN	92404669
124249	418	1997-03-13	VYDAJ	PREVOD NA UCET	9316	52172	SIPO	MN	92404669
124250	418	1997-04-13	VYDAJ	PREVOD NA UCET	9316	54703	SIPO	MN	92404669
124251	418	1997-05-13	VYDAJ	PREVOD NA UCET	9316	54638	SIPO	MN	92404669
124252	418	1997-06-13	VYDAJ	PREVOD NA UCET	9316	41951	SIPO	MN	92404669
124253	418	1997-07-13	VYDAJ	PREVOD NA UCET	9316	40212	SIPO	MN	92404669
124254	418	1997-08-13	VYDAJ	PREVOD NA UCET	9316	45451	SIPO	MN	92404669
124255	418	1997-09-13	VYDAJ	PREVOD NA UCET	9316	51643	SIPO	MN	92404669
124256	418	1997-10-13	VYDAJ	PREVOD NA UCET	9316	57491	SIPO	MN	92404669
124257	418	1997-11-13	VYDAJ	PREVOD NA UCET	9316	64548	SIPO	MN	92404669
124258	418	1997-12-13	VYDAJ	PREVOD NA UCET	9316	73253	SIPO	MN	92404669
124259	418	1998-01-13	VYDAJ	PREVOD NA UCET	9316	58924	SIPO	MN	92404669
124260	418	1998-02-13	VYDAJ	PREVOD NA UCET	9316	47088	SIPO	MN	92404669
124261	418	1998-03-13	VYDAJ	PREVOD NA UCET	9316	58830	SIPO	MN	92404669
124262	418	1998-04-13	VYDAJ	PREVOD NA UCET	9316	63085	SIPO	MN	92404669
124263	418	1998-05-13	VYDAJ	PREVOD NA UCET	9316	53975	SIPO	MN	92404669
124264	418	1998-06-13	VYDAJ	PREVOD NA UCET	9316	38147	SIPO	MN	92404669
124265	418	1998-07-13	VYDAJ	PREVOD NA UCET	9316	35679	SIPO	MN	92404669
124266	418	1998-08-13	VYDAJ	PREVOD NA UCET	9316	35675	SIPO	MN	92404669
124267	418	1998-09-13	VYDAJ	PREVOD NA UCET	9316	34568	SIPO	MN	92404669
124268	418	1998-10-13	VYDAJ	PREVOD NA UCET	9316	33963	SIPO	MN	92404669
124269	418	1998-11-13	VYDAJ	PREVOD NA UCET	9316	31001	SIPO	MN	92404669
124270	418	1998-12-13	VYDAJ	PREVOD NA UCET	9316	35825	SIPO	MN	92404669
124273	418	1997-06-04	VYDAJ	VYBER	22560	19949	\N	\N	\N
124274	418	1998-06-02	VYDAJ	VYBER	30240	23945	\N	\N	\N
124281	418	1996-01-13	VYDAJ	VYBER	1680	60394	\N	\N	\N
124282	418	1996-01-17	VYDAJ	VYBER	3360	47718	\N	\N	\N
124283	418	1996-01-18	VYDAJ	VYBER	2880	42558	\N	\N	\N
124284	418	1996-01-11	VYDAJ	VYBER	2280	62074	\N	\N	\N
124285	418	1996-01-28	VYDAJ	VYBER	600	32558	\N	\N	\N
124286	418	1996-01-18	VYDAJ	VYBER	2280	45438	\N	\N	\N
124287	418	1997-01-15	VYDAJ	VYBER	3360	47388	\N	\N	\N
124288	418	1997-01-24	VYDAJ	VYBER	720	35328	\N	\N	\N
124289	418	1997-01-04	VYDAJ	VYBER	2880	42065	\N	\N	\N
124290	418	1997-01-16	VYDAJ	VYBER	3120	44268	\N	\N	\N
124291	418	1997-01-20	VYDAJ	VYBER	1920	36048	\N	\N	\N
124292	418	1997-01-12	VYDAJ	VYBER	2880	60064	\N	\N	\N
124293	418	1998-01-11	VYDAJ	VYBER KARTOU	700	68240	\N	\N	0
124294	418	1998-01-30	VYDAJ	VYBER KARTOU	1600	45024	\N	\N	0
124295	418	1998-01-20	VYDAJ	VYBER KARTOU	2500	46624	\N	\N	0
124296	418	1998-01-08	VYDAJ	VYBER KARTOU	2300	68940	\N	\N	0
124297	418	1998-01-02	VYDAJ	VYBER KARTOU	1200	50361	\N	\N	0
124298	418	1998-01-02	VYDAJ	VYBER KARTOU	1200	51561	\N	\N	0
124308	418	1996-02-05	VYDAJ	VYBER	1080	31642	\N	\N	\N
124309	418	1996-03-05	VYDAJ	VYBER	1920	33739	\N	\N	\N
124310	418	1996-05-10	VYDAJ	VYBER	840	57929	\N	\N	\N
124311	418	1997-09-01	VYDAJ	VYBER	3240	40080	\N	\N	\N
124312	418	1997-08-01	VYDAJ	VYBER	4680	33888	\N	\N	\N
124313	418	1997-07-11	VYDAJ	VYBER	5640	49528	\N	\N	\N
124314	418	1997-12-22	VYDAJ	VYBER KARTOU	3800	52553	\N	\N	0
124315	418	1997-07-04	VYDAJ	VYBER	3720	34289	\N	\N	\N
124316	418	1998-12-23	VYDAJ	VYBER KARTOU	2500	33325	\N	\N	0
124317	418	1998-07-19	VYDAJ	VYBER KARTOU	2900	32779	\N	\N	0
124318	418	1998-08-29	VYDAJ	VYBER KARTOU	1200	34475	\N	\N	0
124319	418	1998-10-07	VYDAJ	VYBER KARTOU	800	33900	\N	\N	0
124320	418	1998-12-09	VYDAJ	VYBER KARTOU	3200	57941	\N	\N	0
124321	418	1998-11-06	VYDAJ	VYBER	5760	28338	\N	\N	\N
124322	418	1998-11-27	VYDAJ	VYBER KARTOU	1300	29701	\N	\N	0
124336	418	1996-01-31	VYDAJ	VYBER	15	32722	SLUZBY	\N	\N
124337	418	1996-02-29	VYDAJ	VYBER	15	35659	SLUZBY	\N	\N
124338	418	1996-03-31	VYDAJ	VYBER	15	38466	SLUZBY	\N	\N
124339	418	1996-04-30	VYDAJ	VYBER	15	37890	SLUZBY	\N	\N
124340	418	1996-05-31	VYDAJ	VYBER	15	37978	SLUZBY	\N	\N
124341	418	1996-06-30	VYDAJ	VYBER	15	46963	SLUZBY	\N	\N
124342	418	1996-07-31	VYDAJ	VYBER	15	47821	SLUZBY	\N	\N
124343	418	1996-08-31	VYDAJ	VYBER	15	44676	SLUZBY	\N	\N
124344	418	1996-09-30	VYDAJ	VYBER	15	43320	SLUZBY	\N	\N
124345	418	1996-10-31	VYDAJ	VYBER	15	38952	SLUZBY	\N	\N
124346	418	1996-11-30	VYDAJ	VYBER	15	37970	SLUZBY	\N	\N
124347	418	1996-12-31	VYDAJ	VYBER	15	44945	SLUZBY	\N	\N
124348	418	1997-01-31	VYDAJ	VYBER	15	35497	SLUZBY	\N	\N
124349	418	1997-02-28	VYDAJ	VYBER	15	40609	SLUZBY	\N	\N
124350	418	1997-03-31	VYDAJ	VYBER	15	43140	SLUZBY	\N	\N
124351	418	1997-04-30	VYDAJ	VYBER	15	43075	SLUZBY	\N	\N
124352	418	1997-05-31	VYDAJ	VYBER	15	42509	SLUZBY	\N	\N
124353	418	1997-06-30	VYDAJ	VYBER	15	38009	SLUZBY	\N	\N
124354	418	1997-07-31	VYDAJ	VYBER	15	38568	SLUZBY	\N	\N
124355	418	1997-08-31	VYDAJ	VYBER	15	43320	SLUZBY	\N	\N
124356	418	1997-09-30	VYDAJ	VYBER	15	45928	SLUZBY	\N	\N
124357	418	1997-10-31	VYDAJ	VYBER	15	52985	SLUZBY	\N	\N
124358	418	1997-11-30	VYDAJ	VYBER	15	51251	SLUZBY	\N	\N
124359	418	1997-12-31	VYDAJ	VYBER	15	52761	SLUZBY	\N	\N
124360	418	1998-01-31	VYDAJ	VYBER	15	45225	SLUZBY	\N	\N
124361	418	1998-02-28	VYDAJ	VYBER	15	47267	SLUZBY	\N	\N
124362	418	1998-03-31	VYDAJ	VYBER	15	51522	SLUZBY	\N	\N
124363	418	1998-04-30	VYDAJ	VYBER	15	55012	SLUZBY	\N	\N
124364	418	1998-05-31	VYDAJ	VYBER	15	54185	SLUZBY	\N	\N
124365	418	1998-06-30	VYDAJ	VYBER	15	38316	SLUZBY	\N	\N
124366	418	1998-07-31	VYDAJ	VYBER	15	32912	SLUZBY	\N	\N
124367	418	1998-08-31	VYDAJ	VYBER	15	34605	SLUZBY	\N	\N
124368	418	1998-09-30	VYDAJ	VYBER	15	34700	SLUZBY	\N	\N
124369	418	1998-10-31	VYDAJ	VYBER	15	34098	SLUZBY	\N	\N
124370	418	1998-11-30	VYDAJ	VYBER	15	29823	SLUZBY	\N	\N
124371	418	1995-09-26	PRIJEM	VKLAD	3300	24879	\N	\N	\N
124372	418	1995-10-26	VYDAJ	VYBER	13700	32075	\N	\N	\N
124373	418	1995-11-25	VYDAJ	VYBER	17100	35964	\N	\N	\N
124374	418	1995-12-25	VYDAJ	VYBER	24100	43319	\N	\N	\N
124375	418	1996-01-24	VYDAJ	VYBER	9400	33158	\N	\N	\N
124376	418	1996-02-23	VYDAJ	VYBER	7700	35505	\N	\N	\N
124377	418	1996-03-24	VYDAJ	VYBER	7000	38302	\N	\N	\N
124378	418	1996-04-23	VYDAJ	VYBER	12300	37729	\N	\N	\N
124379	418	1996-05-23	VYDAJ	VYBER	10800	37813	\N	\N	\N
124380	418	1996-06-22	VYDAJ	VYBER	13200	46780	\N	\N	\N
124381	418	1996-07-22	VYDAJ	VYBER	10900	47626	\N	\N	\N
124382	418	1996-08-21	VYDAJ	VYBER	14900	44484	\N	\N	\N
124383	418	1996-09-20	VYDAJ	VYBER	13100	43139	\N	\N	\N
124384	418	1996-10-20	VYDAJ	VYBER	16100	38783	\N	\N	\N
124385	418	1996-11-19	VYDAJ	VYBER	12700	37815	\N	\N	\N
124386	418	1996-12-19	VYDAJ	VYBER	15200	44772	\N	\N	\N
124387	418	1997-01-18	VYDAJ	VYBER	6300	37968	\N	\N	\N
124388	418	1997-02-17	VYDAJ	VYBER	6600	40460	\N	\N	\N
124389	418	1997-03-19	VYDAJ	VYBER	9200	42972	\N	\N	\N
124390	418	1997-04-18	VYDAJ	VYBER	11800	42903	\N	\N	\N
124391	418	1997-05-18	VYDAJ	VYBER	12300	42338	\N	\N	\N
124392	418	1997-06-17	VYDAJ	VYBER	4100	37851	\N	\N	\N
124393	418	1997-07-17	VYDAJ	VYBER	1800	38412	\N	\N	\N
124394	418	1997-08-16	VYDAJ	VYBER	2300	43151	\N	\N	\N
124395	418	1997-09-15	VYDAJ	VYBER	5900	45743	\N	\N	\N
124396	418	1997-10-15	VYDAJ	VYBER	4700	52791	\N	\N	\N
124397	418	1997-11-14	VYDAJ	VYBER	13500	51048	\N	\N	\N
124398	418	1997-12-14	VYDAJ	VYBER	16900	56353	\N	\N	\N
124399	418	1998-01-13	VYDAJ	VYBER	9800	49124	\N	\N	\N
124400	418	1998-02-12	VYDAJ	VYBER	9700	56404	\N	\N	\N
124401	418	1998-03-14	VYDAJ	VYBER	7500	51330	\N	\N	\N
124402	418	1998-04-13	VYDAJ	VYBER	8300	54785	\N	\N	\N
124403	418	1998-05-13	VYDAJ	VYBER	12600	63291	\N	\N	\N
124404	418	1998-06-12	VYDAJ	VYBER	7800	47463	\N	\N	\N
124405	418	1998-07-12	VYDAJ	VYBER	14200	44995	\N	\N	\N
124406	418	1998-08-11	VYDAJ	VYBER	8800	44991	\N	\N	\N
124407	418	1998-09-10	VYDAJ	VYBER	11600	43884	\N	\N	\N
124408	418	1998-10-10	VYDAJ	VYBER	11500	43279	\N	\N	\N
124409	418	1998-11-09	VYDAJ	VYBER	8900	40317	\N	\N	\N
124410	418	1998-12-09	VYDAJ	VYBER	12800	45141	\N	\N	\N
124451	419	1993-10-25	PRIJEM	VKLAD	800	800	\N	\N	\N
124462	419	1993-11-12	PRIJEM	VKLAD	4600	5400	\N	\N	\N
124463	419	1993-12-12	PRIJEM	VKLAD	6900	20113	\N	\N	\N
124464	419	1994-01-12	PRIJEM	VKLAD	4600	27678	\N	\N	\N
124465	419	1994-02-12	PRIJEM	VKLAD	4600	31479	\N	\N	\N
124466	419	1994-03-12	PRIJEM	VKLAD	4600	31891	\N	\N	\N
124467	419	1994-04-12	PRIJEM	VKLAD	4600	26786	\N	\N	\N
124468	419	1994-05-12	PRIJEM	VKLAD	4600	30769	\N	\N	\N
124469	419	1994-06-12	PRIJEM	VKLAD	6900	20671	\N	\N	\N
124470	419	1994-07-12	PRIJEM	VKLAD	4600	26257	\N	\N	\N
124471	419	1994-08-12	PRIJEM	VKLAD	4600	32441	\N	\N	\N
124472	419	1994-09-12	PRIJEM	VKLAD	4600	28039	\N	\N	\N
124473	419	1994-10-12	PRIJEM	VKLAD	4600	30226	\N	\N	\N
124474	419	1994-11-12	PRIJEM	VKLAD	4600	30120	\N	\N	\N
124475	419	1994-12-12	PRIJEM	VKLAD	6900	31614	\N	\N	\N
124476	419	1995-01-12	PRIJEM	VKLAD	4600	25617	\N	\N	\N
124477	419	1995-02-12	PRIJEM	VKLAD	4600	24296	\N	\N	\N
124478	419	1995-03-12	PRIJEM	VKLAD	4600	26764	\N	\N	\N
124479	419	1995-04-12	PRIJEM	VKLAD	4600	31157	\N	\N	\N
124480	419	1995-05-12	PRIJEM	VKLAD	4600	29652	\N	\N	\N
124481	419	1995-06-12	PRIJEM	VKLAD	6900	34652	\N	\N	\N
124482	419	1995-07-12	PRIJEM	VKLAD	4600	20954	\N	\N	\N
124483	419	1995-08-12	PRIJEM	VKLAD	4600	24215	\N	\N	\N
124484	419	1995-09-12	PRIJEM	VKLAD	4600	30997	\N	\N	\N
124485	419	1995-10-12	PRIJEM	VKLAD	4600	29388	\N	\N	\N
124486	419	1995-11-12	PRIJEM	VKLAD	4600	29977	\N	\N	\N
124487	419	1995-12-12	PRIJEM	VKLAD	6900	36678	\N	\N	\N
124488	419	1996-01-12	PRIJEM	VKLAD	4600	33295	\N	\N	\N
124489	419	1996-02-12	PRIJEM	VKLAD	4600	22587	\N	\N	\N
124490	419	1996-03-12	PRIJEM	VKLAD	4600	26958	\N	\N	\N
124491	419	1996-04-12	PRIJEM	VKLAD	4600	30542	\N	\N	\N
124492	419	1996-05-12	PRIJEM	VKLAD	4600	35245	\N	\N	\N
124493	419	1996-06-12	PRIJEM	VKLAD	6900	35569	\N	\N	\N
124494	419	1996-07-12	PRIJEM	VKLAD	4600	33896	\N	\N	\N
124495	419	1996-08-12	PRIJEM	VKLAD	4600	35119	\N	\N	\N
124496	419	1996-09-12	PRIJEM	VKLAD	4600	32542	\N	\N	\N
124497	419	1996-10-12	PRIJEM	VKLAD	4600	33154	\N	\N	\N
124498	419	1996-11-12	PRIJEM	VKLAD	4600	32570	\N	\N	\N
124499	419	1996-12-12	PRIJEM	VKLAD	6900	36791	\N	\N	\N
124500	419	1997-01-12	PRIJEM	VKLAD	4600	34519	\N	\N	\N
124501	419	1997-02-12	PRIJEM	VKLAD	4600	29131	\N	\N	\N
124502	419	1997-03-12	PRIJEM	VKLAD	4600	32517	\N	\N	\N
124503	419	1997-04-12	PRIJEM	VKLAD	4600	31232	\N	\N	\N
124504	419	1997-05-12	PRIJEM	VKLAD	4600	29648	\N	\N	\N
124505	419	1997-06-12	PRIJEM	VKLAD	6900	30558	\N	\N	\N
124506	419	1997-07-12	PRIJEM	VKLAD	4600	24655	\N	\N	\N
124507	419	1997-08-12	PRIJEM	VKLAD	4600	19129	\N	\N	\N
124508	419	1997-09-12	PRIJEM	VKLAD	4600	28090	\N	\N	\N
124509	419	1997-10-12	PRIJEM	VKLAD	4600	31077	\N	\N	\N
124510	419	1997-11-12	PRIJEM	VKLAD	4600	33986	\N	\N	\N
124511	419	1997-12-12	PRIJEM	VKLAD	6900	34607	\N	\N	\N
124512	419	1998-01-12	PRIJEM	VKLAD	4600	24632	\N	\N	\N
124513	419	1998-02-12	PRIJEM	VKLAD	4600	18209	\N	\N	\N
124514	419	1998-03-12	PRIJEM	VKLAD	4600	23866	\N	\N	\N
124515	419	1998-04-12	PRIJEM	VKLAD	4600	18941	\N	\N	\N
124516	419	1998-05-12	PRIJEM	VKLAD	4600	17190	\N	\N	\N
124517	419	1998-06-12	PRIJEM	VKLAD	6900	15442	\N	\N	\N
124518	419	1998-07-12	PRIJEM	VKLAD	4600	13392	\N	\N	\N
124519	419	1998-08-12	PRIJEM	VKLAD	4600	13533	\N	\N	\N
124520	419	1998-09-12	PRIJEM	VKLAD	4600	20855	\N	\N	\N
124521	419	1998-10-12	PRIJEM	VKLAD	4600	23307	\N	\N	\N
124522	419	1998-11-12	PRIJEM	VKLAD	4600	27769	\N	\N	\N
124523	419	1998-12-12	PRIJEM	VKLAD	6900	28347	\N	\N	\N
124525	419	1994-06-06	VYDAJ	VYBER	16100	13771	\N	\N	\N
124526	419	1995-06-29	VYDAJ	VYBER	13700	16252	\N	\N	\N
124527	419	1996-06-04	VYDAJ	VYBER	3900	28069	\N	\N	\N
124528	419	1997-06-16	VYDAJ	VYBER	6100	24458	\N	\N	\N
124532	419	1995-01-10	VYDAJ	VYBER	4900	21017	\N	\N	\N
124533	419	1996-01-16	VYDAJ	VYBER	5000	23995	\N	\N	\N
124534	419	1997-01-30	VYDAJ	VYBER	9400	17419	\N	\N	\N
124535	419	1998-01-14	VYDAJ	VYBER	2200	22432	\N	\N	\N
124537	419	1994-12-03	VYDAJ	VYBER	2200	24714	\N	\N	\N
124538	419	1995-12-12	VYDAJ	VYBER	2600	34078	\N	\N	\N
124539	419	1996-12-23	VYDAJ	VYBER	2800	33991	\N	\N	\N
124540	419	1997-12-13	VYDAJ	VYBER	600	34007	\N	\N	\N
124541	419	1998-12-21	VYDAJ	VYBER	700	26447	\N	\N	\N
124554	419	1995-01-12	VYDAJ	VYBER	2300	23317	\N	\N	\N
124555	419	1995-01-12	VYDAJ	VYBER	2500	20817	\N	\N	\N
124556	419	1995-01-02	VYDAJ	VYBER	1400	26617	\N	\N	\N
124557	419	1995-01-18	VYDAJ	VYBER	2900	19617	\N	\N	\N
124558	419	1995-01-09	VYDAJ	VYBER	700	25917	\N	\N	\N
124559	419	1995-01-14	VYDAJ	VYBER	1400	19417	\N	\N	\N
124560	419	1996-01-08	VYDAJ	VYBER	2100	28695	\N	\N	\N
124561	419	1996-01-25	VYDAJ	VYBER	2300	17895	\N	\N	\N
124562	419	1996-01-06	VYDAJ	VYBER	1800	30795	\N	\N	\N
124563	419	1996-01-24	VYDAJ	VYBER	2200	20195	\N	\N	\N
124564	419	1996-01-17	VYDAJ	VYBER	600	23395	\N	\N	\N
124565	419	1996-01-23	VYDAJ	VYBER	1000	22395	\N	\N	\N
124566	419	1997-01-16	VYDAJ	VYBER	500	34019	\N	\N	\N
124567	419	1997-01-08	VYDAJ	VYBER	700	29919	\N	\N	\N
124568	419	1997-01-19	VYDAJ	VYBER	1500	29719	\N	\N	\N
124569	419	1997-01-17	VYDAJ	VYBER	2800	31219	\N	\N	\N
124570	419	1997-01-25	VYDAJ	VYBER	1700	28019	\N	\N	\N
124571	419	1997-01-29	VYDAJ	VYBER	1200	26819	\N	\N	\N
124572	419	1998-01-16	VYDAJ	VYBER	2900	18332	\N	\N	\N
124573	419	1998-01-27	VYDAJ	VYBER	600	16832	\N	\N	\N
124574	419	1998-01-09	VYDAJ	VYBER	1600	20032	\N	\N	\N
124575	419	1998-01-24	VYDAJ	VYBER	900	17432	\N	\N	\N
124576	419	1998-01-08	VYDAJ	VYBER	1700	21632	\N	\N	\N
124577	419	1998-01-16	VYDAJ	VYBER	1200	21232	\N	\N	\N
124582	419	1994-08-26	VYDAJ	VYBER	4500	23341	\N	\N	\N
124583	419	1994-10-13	VYDAJ	VYBER	3800	26426	\N	\N	\N
124584	419	1994-03-28	VYDAJ	VYBER	4400	22091	\N	\N	\N
124585	419	1994-10-03	VYDAJ	VYBER	600	25626	\N	\N	\N
124586	419	1994-05-17	VYDAJ	VYBER	700	30069	\N	\N	\N
124587	419	1995-03-05	VYDAJ	VYBER	2200	22164	\N	\N	\N
124588	419	1995-04-19	VYDAJ	VYBER	3800	26157	\N	\N	\N
124589	419	1995-05-01	VYDAJ	VYBER	1200	25052	\N	\N	\N
124590	419	1995-07-20	VYDAJ	VYBER	4900	19554	\N	\N	\N
124591	419	1996-06-30	VYDAJ	VYBER	3100	32611	\N	\N	\N
124592	419	1996-07-08	VYDAJ	VYBER	1900	30696	\N	\N	\N
124593	419	1996-10-05	VYDAJ	VYBER	4300	24654	\N	\N	\N
124594	419	1996-08-28	VYDAJ	VYBER	1400	29719	\N	\N	\N
124595	419	1996-09-08	VYDAJ	VYBER	3100	26742	\N	\N	\N
124596	419	1996-08-20	VYDAJ	VYBER	4000	31119	\N	\N	\N
124597	419	1996-02-19	VYDAJ	VYBER	3200	22287	\N	\N	\N
124598	419	1996-09-25	VYDAJ	VYBER	3700	28842	\N	\N	\N
124599	419	1997-07-05	VYDAJ	VYBER	3000	21555	\N	\N	\N
124600	419	1997-08-05	VYDAJ	VYBER	3800	18629	\N	\N	\N
124601	419	1997-08-06	VYDAJ	VYBER	2200	16429	\N	\N	\N
124602	419	1997-07-15	VYDAJ	VYBER	4100	20555	\N	\N	\N
124603	419	1997-08-09	VYDAJ	VYBER	1900	14529	\N	\N	\N
124604	419	1997-03-11	VYDAJ	VYBER	1200	27917	\N	\N	\N
124605	419	1998-12-12	VYDAJ	VYBER	1200	27147	\N	\N	\N
124606	419	1998-04-14	VYDAJ	VYBER	2900	16041	\N	\N	\N
124607	419	1998-09-27	VYDAJ	VYBER	3000	17855	\N	\N	\N
124608	419	1998-04-01	VYDAJ	VYBER	4400	19541	\N	\N	\N
124609	419	1998-05-10	VYDAJ	VYBER	800	12590	\N	\N	\N
124625	419	1994-03-31	VYDAJ	VYBER	15	22186	SLUZBY	\N	\N
124626	419	1994-04-30	VYDAJ	VYBER	15	26169	SLUZBY	\N	\N
124627	419	1994-05-31	VYDAJ	VYBER	15	29871	SLUZBY	\N	\N
124628	419	1994-06-30	VYDAJ	VYBER	15	21657	SLUZBY	\N	\N
124629	419	1994-07-31	VYDAJ	VYBER	15	27841	SLUZBY	\N	\N
124630	419	1994-08-31	VYDAJ	VYBER	15	23439	SLUZBY	\N	\N
124631	419	1994-09-30	VYDAJ	VYBER	15	26226	SLUZBY	\N	\N
124632	419	1994-10-31	VYDAJ	VYBER	15	25520	SLUZBY	\N	\N
124633	419	1994-11-30	VYDAJ	VYBER	15	26914	SLUZBY	\N	\N
124634	419	1994-12-31	VYDAJ	VYBER	15	28017	SLUZBY	\N	\N
124635	419	1995-01-31	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
124636	419	1995-02-28	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
124637	419	1995-03-31	VYDAJ	VYBER	15	26557	SLUZBY	\N	\N
124638	419	1995-04-30	VYDAJ	VYBER	15	26252	SLUZBY	\N	\N
124639	419	1995-05-31	VYDAJ	VYBER	15	27752	SLUZBY	\N	\N
124640	419	1995-06-30	VYDAJ	VYBER	15	16354	SLUZBY	\N	\N
124641	419	1995-07-31	VYDAJ	VYBER	15	19615	SLUZBY	\N	\N
124642	419	1995-08-31	VYDAJ	VYBER	15	26397	SLUZBY	\N	\N
124643	419	1995-09-30	VYDAJ	VYBER	15	24788	SLUZBY	\N	\N
124644	419	1995-10-31	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
124645	419	1995-11-30	VYDAJ	VYBER	15	29778	SLUZBY	\N	\N
124646	419	1995-12-31	VYDAJ	VYBER	15	32595	SLUZBY	\N	\N
124647	419	1996-01-31	VYDAJ	VYBER	15	17987	SLUZBY	\N	\N
124648	419	1996-02-29	VYDAJ	VYBER	15	22358	SLUZBY	\N	\N
124649	419	1996-03-31	VYDAJ	VYBER	15	24842	SLUZBY	\N	\N
124650	419	1996-04-30	VYDAJ	VYBER	15	30645	SLUZBY	\N	\N
124651	419	1996-05-31	VYDAJ	VYBER	15	31969	SLUZBY	\N	\N
124652	419	1996-06-30	VYDAJ	VYBER	15	32596	SLUZBY	\N	\N
124653	419	1996-07-31	VYDAJ	VYBER	15	34019	SLUZBY	\N	\N
124654	419	1996-08-31	VYDAJ	VYBER	15	29842	SLUZBY	\N	\N
124655	419	1996-09-30	VYDAJ	VYBER	15	28954	SLUZBY	\N	\N
124656	419	1996-10-31	VYDAJ	VYBER	15	33270	SLUZBY	\N	\N
124657	419	1996-11-30	VYDAJ	VYBER	15	32691	SLUZBY	\N	\N
124658	419	1996-12-31	VYDAJ	VYBER	15	34119	SLUZBY	\N	\N
124659	419	1997-01-31	VYDAJ	VYBER	15	17531	SLUZBY	\N	\N
124660	419	1997-02-28	VYDAJ	VYBER	15	29217	SLUZBY	\N	\N
124661	419	1997-03-31	VYDAJ	VYBER	15	32632	SLUZBY	\N	\N
124662	419	1997-04-30	VYDAJ	VYBER	15	31348	SLUZBY	\N	\N
124663	419	1997-05-31	VYDAJ	VYBER	15	29758	SLUZBY	\N	\N
124664	419	1997-06-30	VYDAJ	VYBER	15	24555	SLUZBY	\N	\N
124665	419	1997-07-31	VYDAJ	VYBER	15	20629	SLUZBY	\N	\N
124666	419	1997-08-31	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
124667	419	1997-09-30	VYDAJ	VYBER	15	28177	SLUZBY	\N	\N
124668	419	1997-10-31	VYDAJ	VYBER	15	31186	SLUZBY	\N	\N
124669	419	1997-11-30	VYDAJ	VYBER	15	34107	SLUZBY	\N	\N
124670	419	1997-12-31	VYDAJ	VYBER	15	34132	SLUZBY	\N	\N
124671	419	1998-01-31	VYDAJ	VYBER	15	16909	SLUZBY	\N	\N
124672	419	1998-02-28	VYDAJ	VYBER	15	18266	SLUZBY	\N	\N
124673	419	1998-03-31	VYDAJ	VYBER	15	23941	SLUZBY	\N	\N
124674	419	1998-04-30	VYDAJ	VYBER	15	16090	SLUZBY	\N	\N
124675	419	1998-05-31	VYDAJ	VYBER	15	17242	SLUZBY	\N	\N
124676	419	1998-06-30	VYDAJ	VYBER	15	15492	SLUZBY	\N	\N
124677	419	1998-07-31	VYDAJ	VYBER	15	13433	SLUZBY	\N	\N
124678	419	1998-08-31	VYDAJ	VYBER	15	16255	SLUZBY	\N	\N
124679	419	1998-09-30	VYDAJ	VYBER	15	18707	SLUZBY	\N	\N
124680	419	1998-10-31	VYDAJ	VYBER	15	23169	SLUZBY	\N	\N
124681	419	1998-11-30	VYDAJ	VYBER	15	21447	SLUZBY	\N	\N
124682	419	1993-11-24	PRIJEM	VKLAD	7800	13200	\N	\N	\N
124683	419	1993-12-24	PRIJEM	VKLAD	2900	23013	\N	\N	\N
124684	419	1994-01-23	VYDAJ	VYBER	900	26778	\N	\N	\N
124685	419	1994-02-22	VYDAJ	VYBER	4300	27179	\N	\N	\N
124686	419	1994-03-24	VYDAJ	VYBER	5400	26491	\N	\N	\N
124687	419	1994-04-23	VYDAJ	VYBER	700	26086	\N	\N	\N
124688	419	1994-05-23	VYDAJ	VYBER	300	29769	\N	\N	\N
124689	419	1994-06-22	PRIJEM	VKLAD	900	21571	\N	\N	\N
124690	419	1994-07-22	PRIJEM	VKLAD	1500	27757	\N	\N	\N
124691	419	1994-08-21	VYDAJ	VYBER	4600	27841	\N	\N	\N
124692	419	1994-09-20	VYDAJ	VYBER	1900	26139	\N	\N	\N
124693	419	1994-10-20	VYDAJ	VYBER	1000	25426	\N	\N	\N
124694	419	1994-11-19	VYDAJ	VYBER	3300	26820	\N	\N	\N
124695	419	1994-12-19	VYDAJ	VYBER	3700	27914	\N	\N	\N
124696	419	1995-01-18	PRIJEM	VKLAD	3100	22517	\N	\N	\N
124697	419	1995-03-19	VYDAJ	VYBER	300	26464	\N	\N	\N
124698	419	1995-04-18	VYDAJ	VYBER	1200	29957	\N	\N	\N
124699	419	1995-05-18	VYDAJ	VYBER	2000	27652	\N	\N	\N
124700	419	1995-06-17	VYDAJ	VYBER	4700	29952	\N	\N	\N
124701	419	1995-07-17	PRIJEM	VKLAD	3500	24454	\N	\N	\N
124702	419	1995-08-16	PRIJEM	VKLAD	2100	26315	\N	\N	\N
124703	419	1995-09-15	VYDAJ	VYBER	6300	24697	\N	\N	\N
124704	419	1995-10-15	VYDAJ	VYBER	4100	25288	\N	\N	\N
124705	419	1995-11-14	VYDAJ	VYBER	300	29677	\N	\N	\N
124706	419	1995-12-14	VYDAJ	VYBER	1600	32478	\N	\N	\N
124707	419	1996-01-13	VYDAJ	VYBER	4300	28995	\N	\N	\N
124708	419	1996-02-12	PRIJEM	VKLAD	2900	25487	\N	\N	\N
124709	419	1996-03-13	VYDAJ	VYBER	2200	24758	\N	\N	\N
124710	419	1996-04-12	PRIJEM	VKLAD	1100	25942	\N	\N	\N
124711	419	1996-05-12	VYDAJ	VYBER	3400	31845	\N	\N	\N
124712	419	1996-06-11	PRIJEM	VKLAD	600	28669	\N	\N	\N
124713	419	1996-07-11	VYDAJ	VYBER	1400	29296	\N	\N	\N
124714	419	1996-08-10	VYDAJ	VYBER	3500	30519	\N	\N	\N
124715	419	1996-09-09	PRIJEM	VKLAD	1200	27942	\N	\N	\N
124716	419	1996-10-09	PRIJEM	VKLAD	3900	28554	\N	\N	\N
124717	419	1996-11-08	VYDAJ	VYBER	5300	27970	\N	\N	\N
124718	419	1996-12-08	VYDAJ	VYBER	2800	29891	\N	\N	\N
124719	419	1997-01-07	VYDAJ	VYBER	3500	30619	\N	\N	\N
124720	419	1997-02-06	PRIJEM	VKLAD	7000	24531	\N	\N	\N
124721	419	1997-03-08	VYDAJ	VYBER	100	29117	\N	\N	\N
124722	419	1997-04-07	VYDAJ	VYBER	6000	26632	\N	\N	\N
124723	419	1997-05-07	VYDAJ	VYBER	6300	25048	\N	\N	\N
124724	419	1997-06-06	VYDAJ	VYBER	6100	23658	\N	\N	\N
124725	419	1997-07-06	VYDAJ	VYBER	1500	20055	\N	\N	\N
124726	419	1997-08-05	PRIJEM	VKLAD	1800	22429	\N	\N	\N
124727	419	1997-09-04	PRIJEM	VKLAD	4300	23490	\N	\N	\N
124728	419	1997-10-04	VYDAJ	VYBER	1700	26477	\N	\N	\N
124729	419	1997-11-03	VYDAJ	VYBER	1800	29386	\N	\N	\N
124730	419	1997-12-03	VYDAJ	VYBER	6400	27707	\N	\N	\N
124731	419	1998-01-02	VYDAJ	VYBER	10800	23332	\N	\N	\N
124732	419	1998-02-01	VYDAJ	VYBER	3300	13609	\N	\N	\N
124733	419	1998-03-03	PRIJEM	VKLAD	1000	19266	\N	\N	\N
124734	419	1998-04-02	VYDAJ	VYBER	5200	14341	\N	\N	\N
124735	419	1998-05-02	VYDAJ	VYBER	2700	13390	\N	\N	\N
124736	419	1998-06-01	VYDAJ	VYBER	8700	8542	\N	\N	\N
124737	419	1998-07-01	VYDAJ	VYBER	6700	8792	\N	\N	\N
124738	419	1998-07-31	VYDAJ	VYBER	4500	8933	\N	\N	\N
124739	419	1998-08-30	PRIJEM	VKLAD	2700	16233	\N	\N	\N
124740	419	1998-09-29	PRIJEM	VKLAD	800	18655	\N	\N	\N
124741	419	1998-10-29	VYDAJ	VYBER	200	23107	\N	\N	\N
124742	419	1998-11-28	VYDAJ	VYBER	6400	21369	\N	\N	\N
124805	420	1995-08-26	PRIJEM	VKLAD	500	500	\N	\N	\N
124814	420	1995-09-12	PRIJEM	VKLAD	11577	12077	\N	\N	\N
124815	420	1995-10-12	PRIJEM	VKLAD	11577	30570	\N	\N	\N
124816	420	1995-11-12	PRIJEM	VKLAD	11577	42337	\N	\N	\N
124817	420	1995-12-12	PRIJEM	VKLAD	17366	49832	\N	\N	\N
124818	420	1996-01-12	PRIJEM	VKLAD	11577	50751	\N	\N	\N
124819	420	1996-02-12	PRIJEM	VKLAD	11577	34882	\N	\N	\N
124820	420	1996-03-12	PRIJEM	VKLAD	11577	33185	\N	\N	\N
124821	420	1996-04-12	PRIJEM	VKLAD	11577	25975	\N	\N	\N
124822	420	1996-05-12	PRIJEM	VKLAD	11577	28945	\N	\N	\N
124823	420	1996-06-12	PRIJEM	VKLAD	17366	31815	\N	\N	\N
124824	420	1996-07-12	PRIJEM	VKLAD	11577	35200	\N	\N	\N
124825	420	1996-08-12	PRIJEM	VKLAD	11577	34103	\N	\N	\N
124826	420	1996-09-12	PRIJEM	VKLAD	11577	33600	\N	\N	\N
124827	420	1996-10-12	PRIJEM	VKLAD	11577	35400	\N	\N	\N
124828	420	1996-11-12	PRIJEM	VKLAD	11577	39510	\N	\N	\N
124829	420	1996-12-12	PRIJEM	VKLAD	17366	41320	\N	\N	\N
124830	420	1997-01-12	PRIJEM	VKLAD	11577	38644	\N	\N	\N
124831	420	1997-02-12	PRIJEM	VKLAD	11577	40765	\N	\N	\N
124832	420	1997-03-12	PRIJEM	VKLAD	11577	44497	\N	\N	\N
124833	420	1997-04-12	PRIJEM	VKLAD	11577	45540	\N	\N	\N
124834	420	1997-05-12	PRIJEM	VKLAD	11577	47788	\N	\N	\N
124835	420	1997-06-12	PRIJEM	VKLAD	17366	51126	\N	\N	\N
124836	420	1997-07-12	PRIJEM	VKLAD	11577	49681	\N	\N	\N
124837	420	1997-08-12	PRIJEM	VKLAD	11577	47938	\N	\N	\N
124838	420	1997-09-12	PRIJEM	VKLAD	11577	44397	\N	\N	\N
124839	420	1997-10-12	PRIJEM	VKLAD	11577	48642	\N	\N	\N
124840	420	1997-11-12	PRIJEM	VKLAD	11577	48998	\N	\N	\N
124841	420	1997-12-12	PRIJEM	VKLAD	17366	57950	\N	\N	\N
124842	420	1998-01-12	PRIJEM	VKLAD	11577	58538	\N	\N	\N
124843	420	1998-02-12	PRIJEM	VKLAD	11577	58832	\N	\N	\N
124844	420	1998-03-12	PRIJEM	VKLAD	11577	63435	\N	\N	\N
124845	420	1998-04-12	PRIJEM	VKLAD	11577	59540	\N	\N	\N
124846	420	1998-05-12	PRIJEM	VKLAD	11577	58450	\N	\N	\N
124847	420	1998-06-12	PRIJEM	VKLAD	17366	74944	\N	\N	\N
124848	420	1998-07-12	PRIJEM	VKLAD	11577	77600	\N	\N	\N
124849	420	1998-08-12	PRIJEM	VKLAD	11577	76088	\N	\N	\N
124850	420	1998-09-12	PRIJEM	VKLAD	11577	73573	\N	\N	\N
124851	420	1998-10-12	PRIJEM	VKLAD	11577	72540	\N	\N	\N
124852	420	1998-11-12	PRIJEM	VKLAD	11577	76604	\N	\N	\N
124853	420	1998-12-12	PRIJEM	VKLAD	17366	83571	\N	\N	\N
124867	420	1996-02-07	VYDAJ	PREVOD NA UCET	7192	23305	SIPO	KL	49270671
124868	420	1996-03-07	VYDAJ	PREVOD NA UCET	7192	21608	SIPO	KL	49270671
124869	420	1996-04-07	VYDAJ	PREVOD NA UCET	7192	14398	SIPO	KL	49270671
124870	420	1996-05-07	VYDAJ	PREVOD NA UCET	7192	17368	SIPO	KL	49270671
124871	420	1996-06-07	VYDAJ	PREVOD NA UCET	7192	14449	SIPO	KL	49270671
124872	420	1996-07-07	VYDAJ	PREVOD NA UCET	7192	23623	SIPO	KL	49270671
124873	420	1996-08-07	VYDAJ	PREVOD NA UCET	7192	22526	SIPO	KL	49270671
124874	420	1996-09-07	VYDAJ	PREVOD NA UCET	7192	22023	SIPO	KL	49270671
124875	420	1996-10-07	VYDAJ	PREVOD NA UCET	7192	23823	SIPO	KL	49270671
124876	420	1996-11-07	VYDAJ	PREVOD NA UCET	7192	27933	SIPO	KL	49270671
124877	420	1996-12-07	VYDAJ	PREVOD NA UCET	7192	26654	SIPO	KL	49270671
124878	420	1997-01-07	VYDAJ	PREVOD NA UCET	7192	29167	SIPO	KL	49270671
124879	420	1997-02-07	VYDAJ	PREVOD NA UCET	7192	29188	SIPO	KL	49270671
124880	420	1997-03-07	VYDAJ	PREVOD NA UCET	7192	32920	SIPO	KL	49270671
124881	420	1997-04-07	VYDAJ	PREVOD NA UCET	7192	33963	SIPO	KL	49270671
124882	420	1997-05-07	VYDAJ	PREVOD NA UCET	7192	36211	SIPO	KL	49270671
124883	420	1997-06-07	VYDAJ	PREVOD NA UCET	7192	33760	SIPO	KL	49270671
124884	420	1997-07-07	VYDAJ	PREVOD NA UCET	7192	38104	SIPO	KL	49270671
124885	420	1997-08-07	VYDAJ	PREVOD NA UCET	7192	36361	SIPO	KL	49270671
124886	420	1997-09-07	VYDAJ	PREVOD NA UCET	7192	32820	SIPO	KL	49270671
124887	420	1997-10-07	VYDAJ	PREVOD NA UCET	7192	37065	SIPO	KL	49270671
124888	420	1997-11-07	VYDAJ	PREVOD NA UCET	7192	37421	SIPO	KL	49270671
124889	420	1997-12-07	VYDAJ	PREVOD NA UCET	7192	40584	SIPO	KL	49270671
124890	420	1998-01-07	VYDAJ	PREVOD NA UCET	7192	46961	SIPO	KL	49270671
124891	420	1998-02-07	VYDAJ	PREVOD NA UCET	7192	44855	SIPO	KL	49270671
124892	420	1998-03-07	VYDAJ	PREVOD NA UCET	7192	51858	SIPO	KL	49270671
124893	420	1998-04-07	VYDAJ	PREVOD NA UCET	7192	47963	SIPO	KL	49270671
124894	420	1998-05-07	VYDAJ	PREVOD NA UCET	7192	48573	SIPO	KL	49270671
124895	420	1998-06-07	VYDAJ	PREVOD NA UCET	7192	51478	SIPO	KL	49270671
124896	420	1998-07-07	VYDAJ	PREVOD NA UCET	7192	68023	SIPO	KL	49270671
124897	420	1998-08-07	VYDAJ	PREVOD NA UCET	7192	70711	SIPO	KL	49270671
124898	420	1998-09-07	VYDAJ	PREVOD NA UCET	7192	69196	SIPO	KL	49270671
124899	420	1998-10-07	VYDAJ	PREVOD NA UCET	7192	63263	SIPO	KL	49270671
124900	420	1998-11-07	VYDAJ	PREVOD NA UCET	7192	65627	SIPO	KL	49270671
124901	420	1998-12-07	VYDAJ	PREVOD NA UCET	7192	69705	SIPO	KL	49270671
124903	420	1996-12-11	VYDAJ	VYBER	2700	23954	\N	\N	\N
124904	420	1997-12-17	VYDAJ	VYBER	1900	54450	\N	\N	\N
124905	420	1998-12-08	VYDAJ	VYBER	1100	66205	\N	\N	\N
124912	420	1996-01-19	VYDAJ	VYBER	1500	49251	\N	\N	\N
124913	420	1996-01-26	VYDAJ	VYBER	2000	31751	\N	\N	\N
124914	420	1996-01-25	VYDAJ	VYBER	2400	33751	\N	\N	\N
124918	420	1997-01-07	VYDAJ	VYBER	1200	36359	\N	\N	\N
124919	420	1997-01-03	VYDAJ	VYBER	1600	37559	\N	\N	\N
124920	420	1997-01-23	VYDAJ	VYBER	2300	36244	\N	\N	\N
124921	420	1997-01-11	VYDAJ	VYBER	2100	27067	\N	\N	\N
124922	420	1997-01-14	VYDAJ	VYBER	1600	35344	\N	\N	\N
124923	420	1997-01-12	VYDAJ	VYBER	1700	36944	\N	\N	\N
124924	420	1998-01-02	VYDAJ	VYBER	500	54153	\N	\N	\N
124925	420	1998-01-28	VYDAJ	VYBER	600	53838	\N	\N	\N
124926	420	1998-01-12	VYDAJ	VYBER	500	58038	\N	\N	\N
124927	420	1998-01-19	VYDAJ	VYBER	800	55638	\N	\N	\N
124928	420	1998-01-19	VYDAJ	VYBER	1200	54438	\N	\N	\N
124929	420	1998-01-29	VYDAJ	VYBER	2000	51838	\N	\N	\N
124934	420	1996-12-06	VYDAJ	VYBER	3000	33846	\N	\N	\N
124935	420	1996-02-07	VYDAJ	VYBER	1400	30497	\N	\N	\N
124936	420	1996-06-07	VYDAJ	VYBER	4900	21641	\N	\N	\N
124937	420	1996-03-26	VYDAJ	VYBER	4900	21485	\N	\N	\N
124938	420	1996-11-13	VYDAJ	VYBER	3600	35910	\N	\N	\N
124939	420	1997-11-12	VYDAJ	VYBER	4000	44998	\N	\N	\N
124940	420	1997-10-13	VYDAJ	VYBER	2400	46242	\N	\N	\N
124941	420	1997-02-20	VYDAJ	VYBER	2400	39965	\N	\N	\N
124942	420	1997-09-05	VYDAJ	VYBER	2900	40012	\N	\N	\N
124943	420	1997-08-31	VYDAJ	VYBER	3900	42927	\N	\N	\N
124944	420	1998-01-12	VYDAJ	VYBER	1100	56438	\N	\N	\N
124945	420	1998-09-16	VYDAJ	VYBER	3400	70173	\N	\N	\N
124946	420	1998-12-29	VYDAJ	VYBER	2300	78371	\N	\N	\N
124947	420	1998-05-09	VYDAJ	VYBER	4500	44073	\N	\N	\N
124948	420	1998-12-26	VYDAJ	VYBER	2900	80671	\N	\N	\N
124962	420	1996-01-31	VYDAJ	VYBER	15	31897	SLUZBY	\N	\N
124963	420	1996-02-29	VYDAJ	VYBER	15	28800	SLUZBY	\N	\N
124964	420	1996-03-31	VYDAJ	VYBER	15	21590	SLUZBY	\N	\N
124965	420	1996-04-30	VYDAJ	VYBER	15	24560	SLUZBY	\N	\N
124966	420	1996-05-31	VYDAJ	VYBER	15	26541	SLUZBY	\N	\N
124967	420	1996-06-30	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
124968	420	1996-07-31	VYDAJ	VYBER	15	29718	SLUZBY	\N	\N
124969	420	1996-08-31	VYDAJ	VYBER	15	29215	SLUZBY	\N	\N
124970	420	1996-09-30	VYDAJ	VYBER	15	31015	SLUZBY	\N	\N
124971	420	1996-10-31	VYDAJ	VYBER	15	35125	SLUZBY	\N	\N
124972	420	1996-11-30	VYDAJ	VYBER	15	36846	SLUZBY	\N	\N
124973	420	1996-12-31	VYDAJ	VYBER	15	39159	SLUZBY	\N	\N
124974	420	1997-01-31	VYDAJ	VYBER	15	36380	SLUZBY	\N	\N
124975	420	1997-02-28	VYDAJ	VYBER	15	40112	SLUZBY	\N	\N
124976	420	1997-03-31	VYDAJ	VYBER	15	41155	SLUZBY	\N	\N
124977	420	1997-04-30	VYDAJ	VYBER	15	43403	SLUZBY	\N	\N
124978	420	1997-05-31	VYDAJ	VYBER	15	40952	SLUZBY	\N	\N
124979	420	1997-06-30	VYDAJ	VYBER	15	45296	SLUZBY	\N	\N
124980	420	1997-07-31	VYDAJ	VYBER	15	43553	SLUZBY	\N	\N
124981	420	1997-08-31	VYDAJ	VYBER	15	42912	SLUZBY	\N	\N
124982	420	1997-09-30	VYDAJ	VYBER	15	44257	SLUZBY	\N	\N
124983	420	1997-10-31	VYDAJ	VYBER	15	44613	SLUZBY	\N	\N
124984	420	1997-11-30	VYDAJ	VYBER	15	47776	SLUZBY	\N	\N
124985	420	1997-12-31	VYDAJ	VYBER	15	54653	SLUZBY	\N	\N
124986	420	1998-01-31	VYDAJ	VYBER	15	52047	SLUZBY	\N	\N
124987	420	1998-02-28	VYDAJ	VYBER	15	59050	SLUZBY	\N	\N
124988	420	1998-03-31	VYDAJ	VYBER	15	55155	SLUZBY	\N	\N
124989	420	1998-04-30	VYDAJ	VYBER	15	55765	SLUZBY	\N	\N
124990	420	1998-05-31	VYDAJ	VYBER	15	58670	SLUZBY	\N	\N
124991	420	1998-06-30	VYDAJ	VYBER	15	75215	SLUZBY	\N	\N
124992	420	1998-07-31	VYDAJ	VYBER	15	77903	SLUZBY	\N	\N
124993	420	1998-08-31	VYDAJ	VYBER	15	76388	SLUZBY	\N	\N
124994	420	1998-09-30	VYDAJ	VYBER	15	70455	SLUZBY	\N	\N
124995	420	1998-10-31	VYDAJ	VYBER	15	72819	SLUZBY	\N	\N
124996	420	1998-11-30	VYDAJ	VYBER	15	76897	SLUZBY	\N	\N
124997	420	1995-09-25	PRIJEM	VKLAD	6900	18977	\N	\N	\N
124998	420	1995-10-25	PRIJEM	VKLAD	100	30670	\N	\N	\N
124999	420	1995-11-24	VYDAJ	VYBER	10000	32337	\N	\N	\N
125000	420	1995-12-24	VYDAJ	VYBER	10800	39032	\N	\N	\N
125001	420	1996-01-23	VYDAJ	VYBER	13100	36151	\N	\N	\N
125002	420	1996-02-22	VYDAJ	VYBER	6200	28682	\N	\N	\N
125003	420	1996-03-23	VYDAJ	VYBER	6800	26385	\N	\N	\N
125004	420	1996-04-22	VYDAJ	VYBER	1500	24475	\N	\N	\N
125005	420	1996-05-22	VYDAJ	VYBER	2500	26445	\N	\N	\N
125006	420	1996-06-21	VYDAJ	VYBER	1100	30715	\N	\N	\N
125007	420	1996-07-21	VYDAJ	VYBER	5600	29600	\N	\N	\N
125008	420	1996-08-20	VYDAJ	VYBER	5000	29103	\N	\N	\N
125009	420	1996-09-19	VYDAJ	VYBER	2700	30900	\N	\N	\N
125010	420	1996-10-19	VYDAJ	VYBER	400	35000	\N	\N	\N
125011	420	1996-11-18	PRIJEM	VKLAD	800	36710	\N	\N	\N
125012	420	1996-12-18	VYDAJ	VYBER	2300	39020	\N	\N	\N
125013	420	1997-01-17	PRIJEM	VKLAD	3200	38544	\N	\N	\N
125014	420	1997-02-16	PRIJEM	VKLAD	1600	42365	\N	\N	\N
125015	420	1997-03-18	VYDAJ	VYBER	3500	40997	\N	\N	\N
125016	420	1997-04-17	VYDAJ	VYBER	2300	43240	\N	\N	\N
125017	420	1997-05-17	VYDAJ	VYBER	7000	40788	\N	\N	\N
125018	420	1997-06-16	VYDAJ	VYBER	6000	45126	\N	\N	\N
125019	420	1997-07-16	VYDAJ	VYBER	6300	43381	\N	\N	\N
125020	420	1997-08-15	VYDAJ	VYBER	1300	46638	\N	\N	\N
125021	420	1997-09-14	VYDAJ	VYBER	300	44097	\N	\N	\N
125022	420	1997-10-14	VYDAJ	VYBER	1800	44442	\N	\N	\N
125023	420	1997-11-13	PRIJEM	VKLAD	2600	47598	\N	\N	\N
125024	420	1997-12-13	VYDAJ	VYBER	1600	56350	\N	\N	\N
125025	420	1998-01-12	VYDAJ	VYBER	500	57538	\N	\N	\N
125026	420	1998-02-11	PRIJEM	VKLAD	2400	47255	\N	\N	\N
125027	420	1998-03-13	VYDAJ	VYBER	8500	54935	\N	\N	\N
125028	420	1998-04-12	VYDAJ	VYBER	4000	55540	\N	\N	\N
125029	420	1998-05-12	PRIJEM	VKLAD	2800	46873	\N	\N	\N
125030	420	1998-06-11	PRIJEM	VKLAD	6100	57578	\N	\N	\N
125031	420	1998-07-11	VYDAJ	VYBER	2000	66023	\N	\N	\N
125032	420	1998-08-10	VYDAJ	VYBER	6200	64511	\N	\N	\N
125033	420	1998-09-09	VYDAJ	VYBER	7200	61996	\N	\N	\N
125034	420	1998-10-09	VYDAJ	VYBER	2300	60963	\N	\N	\N
125035	420	1998-11-08	VYDAJ	VYBER	600	65027	\N	\N	\N
125036	420	1998-12-08	VYDAJ	VYBER	2400	67305	\N	\N	\N
125077	421	1997-11-27	PRIJEM	VKLAD	900	900	\N	\N	\N
125089	421	1997-12-05	PRIJEM	VKLAD	12536	13436	\N	\N	\N
125090	421	1998-01-05	PRIJEM	VKLAD	8357	24904	\N	\N	\N
125091	421	1998-02-05	PRIJEM	VKLAD	8357	31836	\N	\N	\N
125092	421	1998-03-05	PRIJEM	VKLAD	8357	35492	\N	\N	\N
125093	421	1998-04-05	PRIJEM	VKLAD	8357	33461	\N	\N	\N
125094	421	1998-05-05	PRIJEM	VKLAD	8357	27137	\N	\N	\N
125095	421	1998-06-05	PRIJEM	VKLAD	12536	33172	\N	\N	\N
125096	421	1998-07-05	PRIJEM	VKLAD	8357	26332	\N	\N	\N
125097	421	1998-08-05	PRIJEM	VKLAD	8357	22780	\N	\N	\N
125098	421	1998-09-05	PRIJEM	VKLAD	8357	25619	\N	\N	\N
125099	421	1998-10-05	PRIJEM	VKLAD	8357	28469	\N	\N	\N
125100	421	1998-11-05	PRIJEM	VKLAD	8357	21319	\N	\N	\N
125101	421	1998-12-05	PRIJEM	VKLAD	12536	28330	\N	\N	\N
125117	421	1998-04-13	VYDAJ	PREVOD NA UCET	5571	27890	SIPO	YZ	94967096
125118	421	1998-05-13	VYDAJ	PREVOD NA UCET	5571	21566	SIPO	YZ	94967096
125119	421	1998-06-13	VYDAJ	PREVOD NA UCET	5571	27601	SIPO	YZ	94967096
125120	421	1998-07-13	VYDAJ	PREVOD NA UCET	5571	20761	SIPO	YZ	94967096
125121	421	1998-08-13	VYDAJ	PREVOD NA UCET	5571	17209	SIPO	YZ	94967096
125122	421	1998-09-13	VYDAJ	PREVOD NA UCET	5571	20048	SIPO	YZ	94967096
125123	421	1998-10-13	VYDAJ	PREVOD NA UCET	5571	22898	SIPO	YZ	94967096
125124	421	1998-11-13	VYDAJ	PREVOD NA UCET	5571	15748	SIPO	YZ	94967096
125125	421	1998-12-13	VYDAJ	PREVOD NA UCET	5571	20659	SIPO	YZ	94967096
125129	421	1998-12-09	VYDAJ	VYBER	2100	26230	\N	\N	\N
125148	421	1998-07-29	VYDAJ	VYBER	1200	14361	\N	\N	\N
125149	421	1998-06-15	VYDAJ	VYBER	4700	22901	\N	\N	\N
125167	421	1998-04-30	VYDAJ	VYBER	15	18780	SLUZBY	\N	\N
125168	421	1998-05-31	VYDAJ	VYBER	15	20636	SLUZBY	\N	\N
125169	421	1998-06-30	VYDAJ	VYBER	15	17975	SLUZBY	\N	\N
125170	421	1998-07-31	VYDAJ	VYBER	15	14423	SLUZBY	\N	\N
125171	421	1998-08-31	VYDAJ	VYBER	15	17262	SLUZBY	\N	\N
125172	421	1998-09-30	VYDAJ	VYBER	15	20112	SLUZBY	\N	\N
125173	421	1998-10-31	VYDAJ	VYBER	15	12962	SLUZBY	\N	\N
125174	421	1998-11-30	VYDAJ	VYBER	15	15794	SLUZBY	\N	\N
125175	421	1997-12-27	PRIJEM	VKLAD	3100	16536	\N	\N	\N
125176	421	1998-01-26	VYDAJ	VYBER	1500	23404	\N	\N	\N
125177	421	1998-02-25	VYDAJ	VYBER	4800	27036	\N	\N	\N
125178	421	1998-03-27	VYDAJ	VYBER	10500	24992	\N	\N	\N
125179	421	1998-04-26	VYDAJ	VYBER	9200	18690	\N	\N	\N
125180	421	1998-05-26	VYDAJ	VYBER	1000	20566	\N	\N	\N
125181	421	1998-06-25	VYDAJ	VYBER	5000	17901	\N	\N	\N
125182	421	1998-07-25	VYDAJ	VYBER	5200	15561	\N	\N	\N
125183	421	1998-10-23	VYDAJ	VYBER	10000	12898	\N	\N	\N
125197	422	1994-08-29	PRIJEM	VKLAD	400	400	\N	\N	\N
125206	422	1994-09-12	PRIJEM	PREVOD Z UCTU	25207	25607	\N	OP	68884998
125207	422	1994-10-12	PRIJEM	PREVOD Z UCTU	25207	50814	\N	OP	68884998
125208	422	1994-11-12	PRIJEM	PREVOD Z UCTU	25207	60940	\N	OP	68884998
125209	422	1994-12-12	PRIJEM	PREVOD Z UCTU	37810	80403	\N	OP	68884998
125210	422	1995-01-12	PRIJEM	PREVOD Z UCTU	25207	75492	\N	OP	68884998
125211	422	1995-02-12	PRIJEM	PREVOD Z UCTU	25207	67994	\N	OP	68884998
125212	422	1995-03-12	PRIJEM	PREVOD Z UCTU	25207	70050	\N	OP	68884998
125213	422	1995-04-12	PRIJEM	PREVOD Z UCTU	25207	71215	\N	OP	68884998
125214	422	1995-05-12	PRIJEM	PREVOD Z UCTU	25207	65681	\N	OP	68884998
125215	422	1995-06-12	PRIJEM	PREVOD Z UCTU	37810	76029	\N	OP	68884998
125216	422	1995-07-12	PRIJEM	PREVOD Z UCTU	25207	73974	\N	OP	68884998
125217	422	1995-08-12	PRIJEM	PREVOD Z UCTU	25207	68920	\N	OP	68884998
125218	422	1995-09-12	PRIJEM	PREVOD Z UCTU	25207	69502	\N	OP	68884998
125219	422	1995-10-12	PRIJEM	PREVOD Z UCTU	25207	72066	\N	OP	68884998
125220	422	1995-11-12	PRIJEM	PREVOD Z UCTU	25207	63641	\N	OP	68884998
125221	422	1995-12-12	PRIJEM	PREVOD Z UCTU	37810	67637	\N	OP	68884998
125222	422	1996-01-12	PRIJEM	PREVOD Z UCTU	25207	51218	\N	OP	68884998
125223	422	1996-02-12	PRIJEM	PREVOD Z UCTU	25207	49250	\N	OP	68884998
125224	422	1996-03-12	PRIJEM	PREVOD Z UCTU	25207	64248	\N	OP	68884998
125225	422	1996-04-12	PRIJEM	PREVOD Z UCTU	25207	60918	\N	OP	68884998
125226	422	1996-05-12	PRIJEM	PREVOD Z UCTU	25207	65171	\N	OP	68884998
125227	422	1996-06-12	PRIJEM	PREVOD Z UCTU	37810	82324	\N	OP	68884998
125228	422	1996-07-12	PRIJEM	PREVOD Z UCTU	25207	75997	\N	OP	68884998
125229	422	1996-08-12	PRIJEM	PREVOD Z UCTU	25207	60179	\N	OP	68884998
125230	422	1996-09-12	PRIJEM	PREVOD Z UCTU	25207	65250	\N	OP	68884998
125231	422	1996-10-12	PRIJEM	PREVOD Z UCTU	25207	64391	\N	OP	68884998
125232	422	1996-11-12	PRIJEM	PREVOD Z UCTU	25207	61525	\N	OP	68884998
125233	422	1996-12-12	PRIJEM	PREVOD Z UCTU	37810	73253	\N	OP	68884998
125234	422	1997-01-12	PRIJEM	PREVOD Z UCTU	25207	51379	\N	OP	68884998
125235	422	1997-02-12	PRIJEM	PREVOD Z UCTU	25207	47574	\N	OP	68884998
125236	422	1997-03-12	PRIJEM	PREVOD Z UCTU	25207	53256	\N	OP	68884998
125237	422	1997-04-12	PRIJEM	PREVOD Z UCTU	25207	55353	\N	OP	68884998
125238	422	1997-05-12	PRIJEM	PREVOD Z UCTU	25207	58562	\N	OP	68884998
125239	422	1997-06-12	PRIJEM	PREVOD Z UCTU	37810	64770	\N	OP	68884998
125240	422	1997-07-12	PRIJEM	PREVOD Z UCTU	25207	48057	\N	OP	68884998
125241	422	1997-08-12	PRIJEM	PREVOD Z UCTU	25207	47326	\N	OP	68884998
125242	422	1997-09-12	PRIJEM	PREVOD Z UCTU	25207	48697	\N	OP	68884998
125243	422	1997-10-12	PRIJEM	PREVOD Z UCTU	25207	48469	\N	OP	68884998
125244	422	1997-11-12	PRIJEM	PREVOD Z UCTU	25207	43907	\N	OP	68884998
125245	422	1997-12-12	PRIJEM	PREVOD Z UCTU	37810	61843	\N	OP	68884998
125246	422	1998-01-12	PRIJEM	PREVOD Z UCTU	25207	45223	\N	OP	68884998
125247	422	1998-02-12	PRIJEM	PREVOD Z UCTU	25207	52854	\N	OP	68884998
125248	422	1998-03-12	PRIJEM	PREVOD Z UCTU	25207	46748	\N	OP	68884998
125249	422	1998-04-12	PRIJEM	PREVOD Z UCTU	25207	46327	\N	OP	68884998
125250	422	1998-05-12	PRIJEM	PREVOD Z UCTU	25207	54591	\N	OP	68884998
125251	422	1998-06-12	PRIJEM	PREVOD Z UCTU	37810	65856	\N	OP	68884998
125252	422	1998-07-12	PRIJEM	PREVOD Z UCTU	25207	63217	\N	OP	68884998
125253	422	1998-08-12	PRIJEM	PREVOD Z UCTU	25207	49625	\N	OP	68884998
125254	422	1998-09-12	PRIJEM	PREVOD Z UCTU	25207	50102	\N	OP	68884998
125255	422	1998-10-12	PRIJEM	PREVOD Z UCTU	25207	60984	\N	OP	68884998
125256	422	1998-11-12	PRIJEM	PREVOD Z UCTU	25207	43596	\N	OP	68884998
125257	422	1998-12-12	PRIJEM	PREVOD Z UCTU	37810	81582	\N	OP	68884998
125269	422	1995-07-20	VYBER	VYBER	6942	67032	\N	\N	\N
125271	422	1996-03-19	VYBER	VYBER	8878	43370	\N	\N	\N
125272	422	1996-04-27	VYBER	VYBER	3882	39836	\N	\N	\N
125273	422	1998-06-15	VYBER	VYBER	24039	41817	\N	\N	\N
125275	422	1998-08-02	VYBER	VYBER	5550	57796	\N	\N	\N
125276	422	1998-05-24	VYBER	VYBER	8545	27917	\N	\N	\N
125277	422	1998-08-15	VYBER	VYBER	22436	27189	\N	\N	\N
125279	422	1998-04-28	VYBER	VYBER	4182	29245	\N	\N	\N
125280	422	1998-08-05	VYBER	VYBER	22578	35218	\N	\N	\N
125282	422	1998-05-12	VYBER	VYBER	18129	36462	\N	\N	\N
125283	422	1998-06-30	VYBER	VYBER	3922	38040	\N	\N	\N
125286	422	1995-12-06	VYDAJ	VYBER KARTOU	3300	29827	\N	\N	0
125287	422	1996-12-25	VYDAJ	VYBER KARTOU	3000	34753	\N	\N	0
125288	422	1997-12-21	VYDAJ	VYBER	5100	51943	\N	\N	\N
125289	422	1998-12-30	VYDAJ	VYBER	5100	76482	\N	\N	\N
125296	422	1995-01-21	VYDAJ	VYBER	4500	68592	\N	\N	\N
125297	422	1995-01-30	VYDAJ	VYBER	3300	42592	\N	\N	\N
125298	422	1995-01-18	VYDAJ	VYBER	2400	73092	\N	\N	\N
125301	422	1995-01-24	VYDAJ	VYBER	3600	64992	\N	\N	\N
125302	422	1996-01-02	VYDAJ	VYBER KARTOU	3600	41911	\N	\N	0
125303	422	1996-01-08	VYDAJ	VYBER KARTOU	2100	26011	\N	\N	0
125304	422	1996-01-07	VYDAJ	VYBER	4200	28111	\N	\N	\N
125305	422	1996-01-07	VYDAJ	VYBER KARTOU	3000	32311	\N	\N	0
125306	422	1996-01-25	VYDAJ	VYBER KARTOU	1800	23918	\N	\N	0
125307	422	1996-01-06	VYDAJ	VYBER	6600	35311	\N	\N	\N
125308	422	1997-01-12	VYDAJ	VYBER KARTOU	3300	38179	\N	\N	0
125310	422	1997-01-04	VYDAJ	VYBER	8700	26172	\N	\N	\N
125311	422	1997-01-12	VYDAJ	VYBER	4800	46579	\N	\N	\N
125312	422	1997-01-12	VYDAJ	VYBER	5100	41479	\N	\N	\N
125314	422	1998-01-06	VYDAJ	VYBER KARTOU	1500	37716	\N	\N	0
125315	422	1998-01-04	VYDAJ	VYBER KARTOU	2700	39216	\N	\N	0
125316	422	1998-01-06	VYDAJ	VYBER KARTOU	1500	36216	\N	\N	0
125317	422	1998-01-21	VYDAJ	VYBER	4800	40423	\N	\N	\N
125318	422	1998-01-24	VYDAJ	VYBER	4800	35623	\N	\N	\N
125319	422	1998-01-26	VYDAJ	VYBER	8100	27523	\N	\N	\N
125323	422	1995-12-04	VYDAJ	VYBER	9000	33127	\N	\N	\N
125324	422	1995-08-14	VYDAJ	VYBER	8400	60520	\N	\N	\N
125325	422	1995-05-28	VYDAJ	VYBER	6300	38081	\N	\N	\N
125326	422	1995-11-04	VYDAJ	VYBER	11100	38434	\N	\N	\N
125327	422	1995-04-27	VYDAJ	VYBER	8700	40315	\N	\N	\N
125328	422	1996-08-05	VYDAJ	VYBER	12900	34972	\N	\N	\N
125330	422	1996-01-23	VYDAJ	VYBER	12900	25718	\N	\N	\N
125331	422	1996-03-12	VYDAJ	VYBER	12000	52248	\N	\N	\N
125334	422	1997-06-22	VYDAJ	VYBER	8400	22770	\N	\N	\N
125335	422	1997-12-21	VYDAJ	VYBER	4800	57043	\N	\N	\N
125336	422	1997-12-23	VYDAJ	VYBER	10200	41743	\N	\N	\N
125337	422	1997-05-13	VYDAJ	VYBER	6000	52562	\N	\N	\N
125339	422	1998-04-19	VYDAJ	VYBER	12900	33427	\N	\N	\N
125340	422	1998-08-16	VYDAJ	VYBER KARTOU	2400	24789	\N	\N	0
125341	422	1998-10-04	VYDAJ	VYBER	14400	35777	\N	\N	\N
125342	422	1998-08-08	VYDAJ	VYBER	10800	24418	\N	\N	\N
125356	422	1995-01-31	VYDAJ	VYBER	30	42787	SLUZBY	\N	\N
125357	422	1995-02-28	VYDAJ	VYBER	30	44843	SLUZBY	\N	\N
125358	422	1995-03-31	VYDAJ	VYBER	30	46008	SLUZBY	\N	\N
125359	422	1995-04-30	VYDAJ	VYBER	30	40474	SLUZBY	\N	\N
125360	422	1995-05-31	VYDAJ	VYBER	30	38219	SLUZBY	\N	\N
125361	422	1995-06-30	VYDAJ	VYBER	30	48767	SLUZBY	\N	\N
125362	422	1995-07-31	VYDAJ	VYBER	30	43713	SLUZBY	\N	\N
125363	422	1995-08-31	VYDAJ	VYBER	30	44295	SLUZBY	\N	\N
125364	422	1995-09-30	VYDAJ	VYBER	30	46859	SLUZBY	\N	\N
125365	422	1995-10-31	VYDAJ	VYBER	30	49534	SLUZBY	\N	\N
125366	422	1995-11-30	VYDAJ	VYBER	30	42127	SLUZBY	\N	\N
125367	422	1995-12-31	VYDAJ	VYBER	30	45511	SLUZBY	\N	\N
125368	422	1996-01-31	VYDAJ	VYBER	30	24043	SLUZBY	\N	\N
125369	422	1996-02-29	VYDAJ	VYBER	30	39041	SLUZBY	\N	\N
125370	422	1996-03-31	VYDAJ	VYBER	30	35711	SLUZBY	\N	\N
125371	422	1996-04-30	VYDAJ	VYBER	30	39964	SLUZBY	\N	\N
125372	422	1996-05-31	VYDAJ	VYBER	30	44514	SLUZBY	\N	\N
125373	422	1996-06-30	VYDAJ	VYBER	30	50790	SLUZBY	\N	\N
125374	422	1996-07-31	VYDAJ	VYBER	30	47872	SLUZBY	\N	\N
125375	422	1996-08-31	VYDAJ	VYBER	30	40043	SLUZBY	\N	\N
125376	422	1996-09-30	VYDAJ	VYBER	30	39184	SLUZBY	\N	\N
125377	422	1996-10-31	VYDAJ	VYBER	30	36318	SLUZBY	\N	\N
125378	422	1996-11-30	VYDAJ	VYBER	30	35443	SLUZBY	\N	\N
125379	422	1996-12-31	VYDAJ	VYBER	30	34872	SLUZBY	\N	\N
125380	422	1997-01-31	VYDAJ	VYBER	30	22367	SLUZBY	\N	\N
125381	422	1997-02-28	VYDAJ	VYBER	30	28049	SLUZBY	\N	\N
125382	422	1997-03-31	VYDAJ	VYBER	30	30146	SLUZBY	\N	\N
125383	422	1997-04-30	VYDAJ	VYBER	30	33355	SLUZBY	\N	\N
125384	422	1997-05-31	VYDAJ	VYBER	30	26960	SLUZBY	\N	\N
125385	422	1997-06-30	VYDAJ	VYBER	30	22850	SLUZBY	\N	\N
125386	422	1997-07-31	VYDAJ	VYBER	30	22119	SLUZBY	\N	\N
125387	422	1997-08-31	VYDAJ	VYBER	30	23490	SLUZBY	\N	\N
125388	422	1997-09-30	VYDAJ	VYBER	30	23262	SLUZBY	\N	\N
125389	422	1997-10-31	VYDAJ	VYBER	30	27600	SLUZBY	\N	\N
125390	422	1997-11-30	VYDAJ	VYBER	30	44033	SLUZBY	\N	\N
125391	422	1997-12-31	VYDAJ	VYBER	30	41916	SLUZBY	\N	\N
125392	422	1998-01-31	VYDAJ	VYBER	30	27647	SLUZBY	\N	\N
125393	422	1998-02-28	VYDAJ	VYBER	30	52941	SLUZBY	\N	\N
125394	422	1998-03-31	VYDAJ	VYBER	30	46920	SLUZBY	\N	\N
125395	422	1998-04-30	VYDAJ	VYBER	30	29384	SLUZBY	\N	\N
125396	422	1998-05-31	VYDAJ	VYBER	30	28046	SLUZBY	\N	\N
125397	422	1998-06-30	VYDAJ	VYBER	30	38010	SLUZBY	\N	\N
125398	422	1998-07-31	VYDAJ	VYBER	30	63346	SLUZBY	\N	\N
125399	422	1998-08-31	VYDAJ	VYBER	30	24895	SLUZBY	\N	\N
125400	422	1998-09-30	VYDAJ	VYBER	30	50177	SLUZBY	\N	\N
125401	422	1998-10-31	VYDAJ	VYBER	30	61189	SLUZBY	\N	\N
125402	422	1998-11-30	VYDAJ	VYBER	30	43772	SLUZBY	\N	\N
125403	422	1994-10-28	VYDAJ	VYBER	15100	35714	\N	\N	\N
125404	422	1994-11-27	VYDAJ	VYBER	18500	42440	\N	\N	\N
125405	422	1994-12-27	VYDAJ	VYBER	30300	50103	\N	\N	\N
125406	422	1995-01-26	VYDAJ	VYBER	19100	45892	\N	\N	\N
125407	422	1995-02-25	VYDAJ	VYBER	23300	44694	\N	\N	\N
125408	422	1995-03-27	VYDAJ	VYBER	24200	45850	\N	\N	\N
125409	422	1995-04-26	VYDAJ	VYBER	22200	49015	\N	\N	\N
125410	422	1995-05-26	VYDAJ	VYBER	21300	44381	\N	\N	\N
125411	422	1995-06-25	VYDAJ	VYBER	27400	48629	\N	\N	\N
125412	422	1995-07-25	VYDAJ	VYBER	23500	43532	\N	\N	\N
125413	422	1995-08-24	VYDAJ	VYBER	16400	44120	\N	\N	\N
125414	422	1995-09-23	VYDAJ	VYBER	22800	46702	\N	\N	\N
125415	422	1995-10-23	VYDAJ	VYBER	22700	49366	\N	\N	\N
125416	422	1995-11-22	VYDAJ	VYBER	21700	41941	\N	\N	\N
125417	422	1995-12-22	VYDAJ	VYBER	22300	45337	\N	\N	\N
125418	422	1996-01-21	VYDAJ	VYBER	12600	38618	\N	\N	\N
125419	422	1996-02-20	VYDAJ	VYBER	10300	38950	\N	\N	\N
125420	422	1996-03-21	VYDAJ	VYBER	7800	35570	\N	\N	\N
125421	422	1996-04-20	VYDAJ	VYBER	17200	43718	\N	\N	\N
125422	422	1996-05-20	VYDAJ	VYBER	20800	44371	\N	\N	\N
125423	422	1996-06-19	VYDAJ	VYBER	31700	50624	\N	\N	\N
125424	422	1996-07-19	VYDAJ	VYBER	28300	47697	\N	\N	\N
125425	422	1996-08-18	VYDAJ	VYBER	20300	39879	\N	\N	\N
125426	422	1996-09-17	VYDAJ	VYBER	26200	39050	\N	\N	\N
125427	422	1996-10-17	VYDAJ	VYBER	28200	36191	\N	\N	\N
125428	422	1996-11-16	VYDAJ	VYBER	26200	35325	\N	\N	\N
125429	422	1996-12-16	VYDAJ	VYBER	35500	37753	\N	\N	\N
125430	422	1997-01-15	VYDAJ	VYBER	15900	22279	\N	\N	\N
125431	422	1997-02-14	VYDAJ	VYBER	19600	27974	\N	\N	\N
125432	422	1997-03-16	VYDAJ	VYBER	23200	30056	\N	\N	\N
125433	422	1997-04-15	VYDAJ	VYBER	22100	33253	\N	\N	\N
125434	422	1997-05-15	VYDAJ	VYBER	25700	26862	\N	\N	\N
125435	422	1997-06-14	VYDAJ	VYBER	33600	31170	\N	\N	\N
125436	422	1997-07-14	VYDAJ	VYBER	26000	22057	\N	\N	\N
125437	422	1997-08-13	VYDAJ	VYBER	23900	23426	\N	\N	\N
125438	422	1997-09-12	VYDAJ	VYBER	25500	23197	\N	\N	\N
125439	422	1997-10-12	VYDAJ	VYBER	21000	27469	\N	\N	\N
125440	422	1997-11-11	VYDAJ	VYBER	8900	18700	\N	\N	\N
125441	422	1997-12-11	VYDAJ	VYBER	20000	24033	\N	\N	\N
125442	422	1998-01-10	VYDAJ	VYBER	16200	20016	\N	\N	\N
125443	422	1998-03-11	VYDAJ	VYBER	31400	21541	\N	\N	\N
125444	422	1998-04-10	VYDAJ	VYBER	25800	21120	\N	\N	\N
125445	422	1998-11-06	VYDAJ	VYBER	42800	18389	\N	\N	\N
125497	423	1993-03-28	PRIJEM	VKLAD	500	500	\N	\N	\N
125501	423	1993-04-06	PRIJEM	PREVOD Z UCTU	2913	3413	\N	OP	1514268
125502	423	1993-05-06	PRIJEM	PREVOD Z UCTU	2913	6326	\N	OP	1514268
125503	423	1993-06-06	PRIJEM	PREVOD Z UCTU	2913	9239	\N	OP	1514268
125504	423	1993-07-06	PRIJEM	PREVOD Z UCTU	2913	12152	\N	OP	1514268
125505	423	1993-08-06	PRIJEM	PREVOD Z UCTU	2913	15065	\N	OP	1514268
125506	423	1993-09-06	PRIJEM	PREVOD Z UCTU	2913	16058	\N	OP	1514268
125507	423	1993-10-06	PRIJEM	PREVOD Z UCTU	2913	17072	\N	OP	1514268
125508	423	1993-11-06	PRIJEM	PREVOD Z UCTU	2913	18090	\N	OP	1514268
125509	423	1993-12-06	PRIJEM	PREVOD Z UCTU	2913	18121	\N	OP	1514268
125510	423	1994-01-06	PRIJEM	PREVOD Z UCTU	2913	17883	\N	OP	1514268
125511	423	1994-02-06	PRIJEM	PREVOD Z UCTU	2913	16894	\N	OP	1514268
125512	423	1994-03-06	PRIJEM	PREVOD Z UCTU	2913	17731	\N	OP	1514268
125513	423	1994-04-06	PRIJEM	PREVOD Z UCTU	2913	18754	\N	OP	1514268
125514	423	1994-05-06	PRIJEM	PREVOD Z UCTU	2913	19779	\N	OP	1514268
125515	423	1994-06-06	PRIJEM	PREVOD Z UCTU	2913	19908	\N	OP	1514268
125516	423	1994-07-06	PRIJEM	PREVOD Z UCTU	2913	20458	\N	OP	1514268
125517	423	1994-08-06	PRIJEM	PREVOD Z UCTU	2913	20500	\N	OP	1514268
125518	423	1994-09-06	PRIJEM	PREVOD Z UCTU	2913	21532	\N	OP	1514268
125519	423	1994-10-06	PRIJEM	PREVOD Z UCTU	2913	21457	\N	OP	1514268
125520	423	1994-11-06	PRIJEM	PREVOD Z UCTU	2913	22493	\N	OP	1514268
125521	423	1994-12-06	PRIJEM	PREVOD Z UCTU	2913	23534	\N	OP	1514268
125522	423	1995-01-06	PRIJEM	PREVOD Z UCTU	2913	21877	\N	OP	1514268
125523	423	1995-02-06	PRIJEM	PREVOD Z UCTU	2913	18741	\N	OP	1514268
125524	423	1995-03-06	PRIJEM	PREVOD Z UCTU	2913	19766	\N	OP	1514268
125525	423	1995-04-06	PRIJEM	PREVOD Z UCTU	2913	19295	\N	OP	1514268
125526	423	1995-05-06	PRIJEM	PREVOD Z UCTU	2913	20325	\N	OP	1514268
125527	423	1995-06-06	PRIJEM	PREVOD Z UCTU	2913	21356	\N	OP	1514268
125528	423	1995-07-06	PRIJEM	PREVOD Z UCTU	2913	16955	\N	OP	1514268
125529	423	1995-08-06	PRIJEM	PREVOD Z UCTU	2913	17972	\N	OP	1514268
125530	423	1995-09-06	PRIJEM	PREVOD Z UCTU	2913	18993	\N	OP	1514268
125531	423	1995-10-06	PRIJEM	PREVOD Z UCTU	2913	18849	\N	OP	1514268
125532	423	1995-11-06	PRIJEM	PREVOD Z UCTU	2913	19874	\N	OP	1514268
125533	423	1995-12-06	PRIJEM	PREVOD Z UCTU	2913	20103	\N	OP	1514268
125534	423	1996-01-06	PRIJEM	PREVOD Z UCTU	2913	19636	\N	OP	1514268
125535	423	1996-02-06	PRIJEM	PREVOD Z UCTU	2913	18591	\N	OP	1514268
125536	423	1996-03-06	PRIJEM	PREVOD Z UCTU	2913	19254	\N	OP	1514268
125537	423	1996-04-06	PRIJEM	PREVOD Z UCTU	2913	20080	\N	OP	1514268
125538	423	1996-05-06	PRIJEM	PREVOD Z UCTU	2913	21110	\N	OP	1514268
125539	423	1996-06-06	PRIJEM	PREVOD Z UCTU	2913	20941	\N	OP	1514268
125540	423	1996-07-06	PRIJEM	PREVOD Z UCTU	2913	21975	\N	OP	1514268
125541	423	1996-08-06	PRIJEM	PREVOD Z UCTU	2913	23013	\N	OP	1514268
125542	423	1996-09-06	PRIJEM	PREVOD Z UCTU	2913	22672	\N	OP	1514268
125543	423	1996-10-06	PRIJEM	PREVOD Z UCTU	2913	21607	\N	OP	1514268
125544	423	1996-11-06	PRIJEM	PREVOD Z UCTU	2913	22643	\N	OP	1514268
125545	423	1996-12-06	PRIJEM	PREVOD Z UCTU	2913	23684	\N	OP	1514268
125546	423	1997-01-06	PRIJEM	PREVOD Z UCTU	2913	23017	\N	OP	1514268
125547	423	1997-02-06	PRIJEM	PREVOD Z UCTU	2913	20504	\N	OP	1514268
125548	423	1997-03-06	PRIJEM	PREVOD Z UCTU	2913	21536	\N	OP	1514268
125549	423	1997-04-06	PRIJEM	PREVOD Z UCTU	2913	22571	\N	OP	1514268
125550	423	1997-05-06	PRIJEM	PREVOD Z UCTU	2913	22831	\N	OP	1514268
125551	423	1997-06-06	PRIJEM	PREVOD Z UCTU	2913	22551	\N	OP	1514268
125552	423	1997-07-06	PRIJEM	PREVOD Z UCTU	2913	22631	\N	OP	1514268
125553	423	1997-08-06	PRIJEM	PREVOD Z UCTU	2913	22671	\N	OP	1514268
125554	423	1997-09-06	PRIJEM	PREVOD Z UCTU	2913	23714	\N	OP	1514268
125555	423	1997-10-06	PRIJEM	PREVOD Z UCTU	2913	24758	\N	OP	1514268
125556	423	1997-11-06	PRIJEM	PREVOD Z UCTU	2913	22357	\N	OP	1514268
125557	423	1997-12-06	PRIJEM	PREVOD Z UCTU	2913	23399	\N	OP	1514268
125558	423	1998-01-06	PRIJEM	PREVOD Z UCTU	2913	22612	\N	OP	1514268
125559	423	1998-02-06	PRIJEM	PREVOD Z UCTU	2913	20801	\N	OP	1514268
125560	423	1998-03-06	PRIJEM	PREVOD Z UCTU	2913	21836	\N	OP	1514268
125561	423	1998-04-06	PRIJEM	PREVOD Z UCTU	2913	22872	\N	OP	1514268
125562	423	1998-05-06	PRIJEM	PREVOD Z UCTU	2913	23913	\N	OP	1514268
125563	423	1998-06-06	PRIJEM	PREVOD Z UCTU	2913	19798	\N	OP	1514268
125564	423	1998-07-06	PRIJEM	PREVOD Z UCTU	2913	20440	\N	OP	1514268
125565	423	1998-08-06	PRIJEM	PREVOD Z UCTU	2913	20510	\N	OP	1514268
125566	423	1998-09-06	PRIJEM	PREVOD Z UCTU	2913	21543	\N	OP	1514268
125567	423	1998-10-06	PRIJEM	PREVOD Z UCTU	2913	22578	\N	OP	1514268
125568	423	1998-11-06	PRIJEM	PREVOD Z UCTU	2913	23617	\N	OP	1514268
125569	423	1998-12-06	PRIJEM	PREVOD Z UCTU	2913	24060	\N	OP	1514268
125577	423	1993-08-11	VYDAJ	PREVOD NA UCET	1942	13123	SIPO	UV	78170078
125578	423	1993-09-11	VYDAJ	PREVOD NA UCET	1942	14116	SIPO	UV	78170078
125579	423	1993-10-11	VYDAJ	PREVOD NA UCET	1942	15130	SIPO	UV	78170078
125580	423	1993-11-11	VYDAJ	PREVOD NA UCET	1942	16148	SIPO	UV	78170078
125581	423	1993-12-11	VYDAJ	PREVOD NA UCET	1942	16179	SIPO	UV	78170078
125582	423	1994-01-11	VYDAJ	PREVOD NA UCET	1942	15221	SIPO	UV	78170078
125583	423	1994-02-11	VYDAJ	PREVOD NA UCET	1942	14952	SIPO	UV	78170078
125584	423	1994-03-11	VYDAJ	PREVOD NA UCET	1942	15789	SIPO	UV	78170078
125585	423	1994-04-11	VYDAJ	PREVOD NA UCET	1942	16812	SIPO	UV	78170078
125586	423	1994-05-11	VYDAJ	PREVOD NA UCET	1942	17837	SIPO	UV	78170078
125587	423	1994-06-11	VYDAJ	PREVOD NA UCET	1942	17486	SIPO	UV	78170078
125588	423	1994-07-11	VYDAJ	PREVOD NA UCET	1942	18516	SIPO	UV	78170078
125589	423	1994-08-11	VYDAJ	PREVOD NA UCET	1942	18558	SIPO	UV	78170078
125590	423	1994-09-11	VYDAJ	PREVOD NA UCET	1942	19590	SIPO	UV	78170078
125591	423	1994-10-11	VYDAJ	PREVOD NA UCET	1942	19515	SIPO	UV	78170078
125592	423	1994-11-11	VYDAJ	PREVOD NA UCET	1942	20551	SIPO	UV	78170078
125593	423	1994-12-11	VYDAJ	PREVOD NA UCET	1942	21592	SIPO	UV	78170078
125594	423	1995-01-11	VYDAJ	PREVOD NA UCET	1942	19455	SIPO	UV	78170078
125595	423	1995-02-11	VYDAJ	PREVOD NA UCET	1942	16799	SIPO	UV	78170078
125596	423	1995-03-11	VYDAJ	PREVOD NA UCET	1942	17824	SIPO	UV	78170078
125597	423	1995-04-11	VYDAJ	PREVOD NA UCET	1942	17353	SIPO	UV	78170078
125598	423	1995-05-11	VYDAJ	PREVOD NA UCET	1942	18383	SIPO	UV	78170078
125599	423	1995-06-11	VYDAJ	PREVOD NA UCET	1942	19414	SIPO	UV	78170078
125600	423	1995-07-11	VYDAJ	PREVOD NA UCET	1942	15013	SIPO	UV	78170078
125601	423	1995-08-11	VYDAJ	PREVOD NA UCET	1942	16030	SIPO	UV	78170078
125602	423	1995-09-11	VYDAJ	PREVOD NA UCET	1942	16811	SIPO	UV	78170078
125603	423	1995-10-11	VYDAJ	PREVOD NA UCET	1942	16907	SIPO	UV	78170078
125604	423	1995-11-11	VYDAJ	PREVOD NA UCET	1942	17932	SIPO	UV	78170078
125605	423	1995-12-11	VYDAJ	PREVOD NA UCET	1942	18161	SIPO	UV	78170078
125606	423	1996-01-11	VYDAJ	PREVOD NA UCET	1942	16404	SIPO	UV	78170078
125607	423	1996-02-11	VYDAJ	PREVOD NA UCET	1942	16649	SIPO	UV	78170078
125608	423	1996-03-11	VYDAJ	PREVOD NA UCET	1942	17312	SIPO	UV	78170078
125609	423	1996-04-11	VYDAJ	PREVOD NA UCET	1942	18138	SIPO	UV	78170078
125610	423	1996-05-11	VYDAJ	PREVOD NA UCET	1942	17968	SIPO	UV	78170078
125611	423	1996-06-11	VYDAJ	PREVOD NA UCET	1942	18999	SIPO	UV	78170078
125612	423	1996-07-11	VYDAJ	PREVOD NA UCET	1942	20033	SIPO	UV	78170078
125613	423	1996-08-11	VYDAJ	PREVOD NA UCET	1942	19691	SIPO	UV	78170078
125614	423	1996-09-11	VYDAJ	PREVOD NA UCET	1942	18630	SIPO	UV	78170078
125615	423	1996-10-11	VYDAJ	PREVOD NA UCET	1942	19665	SIPO	UV	78170078
125616	423	1996-11-11	VYDAJ	PREVOD NA UCET	1942	20701	SIPO	UV	78170078
125617	423	1996-12-11	VYDAJ	PREVOD NA UCET	1942	20902	SIPO	UV	78170078
125618	423	1997-01-11	VYDAJ	PREVOD NA UCET	1942	20405	SIPO	UV	78170078
125619	423	1997-02-11	VYDAJ	PREVOD NA UCET	1942	18562	SIPO	UV	78170078
125620	423	1997-03-11	VYDAJ	PREVOD NA UCET	1942	19594	SIPO	UV	78170078
125621	423	1997-04-11	VYDAJ	PREVOD NA UCET	1942	19849	SIPO	UV	78170078
125622	423	1997-05-11	VYDAJ	PREVOD NA UCET	1942	20889	SIPO	UV	78170078
125623	423	1997-06-11	VYDAJ	PREVOD NA UCET	1942	20609	SIPO	UV	78170078
125624	423	1997-07-11	VYDAJ	PREVOD NA UCET	1942	20689	SIPO	UV	78170078
125625	423	1997-08-11	VYDAJ	PREVOD NA UCET	1942	20729	SIPO	UV	78170078
125626	423	1997-09-11	VYDAJ	PREVOD NA UCET	1942	21772	SIPO	UV	78170078
125627	423	1997-10-11	VYDAJ	PREVOD NA UCET	1942	22816	SIPO	UV	78170078
125628	423	1997-11-11	VYDAJ	PREVOD NA UCET	1942	20415	SIPO	UV	78170078
125629	423	1997-12-11	VYDAJ	PREVOD NA UCET	1942	21277	SIPO	UV	78170078
125630	423	1998-01-11	VYDAJ	PREVOD NA UCET	1942	20670	SIPO	UV	78170078
125631	423	1998-02-11	VYDAJ	PREVOD NA UCET	1942	18859	SIPO	UV	78170078
125632	423	1998-03-11	VYDAJ	PREVOD NA UCET	1942	19894	SIPO	UV	78170078
125633	423	1998-04-11	VYDAJ	PREVOD NA UCET	1942	20930	SIPO	UV	78170078
125634	423	1998-05-11	VYDAJ	PREVOD NA UCET	1942	21971	SIPO	UV	78170078
125635	423	1998-06-11	VYDAJ	PREVOD NA UCET	1942	17856	SIPO	UV	78170078
125636	423	1998-07-11	VYDAJ	PREVOD NA UCET	1942	18498	SIPO	UV	78170078
125637	423	1998-08-11	VYDAJ	PREVOD NA UCET	1942	18568	SIPO	UV	78170078
125638	423	1998-09-11	VYDAJ	PREVOD NA UCET	1942	19601	SIPO	UV	78170078
125639	423	1998-10-11	VYDAJ	PREVOD NA UCET	1942	20636	SIPO	UV	78170078
125640	423	1998-11-11	VYDAJ	PREVOD NA UCET	1942	21675	SIPO	UV	78170078
125641	423	1998-12-11	VYDAJ	PREVOD NA UCET	1942	22118	SIPO	UV	78170078
125644	423	1995-06-21	VYDAJ	VYBER	5430	13984	\N	\N	\N
125647	423	1998-06-04	VYDAJ	VYBER	5160	16885	\N	\N	\N
125648	423	1993-12-18	VYDAJ	VYBER	540	15639	\N	\N	\N
125649	423	1994-12-13	VYDAJ	VYBER	420	21172	\N	\N	\N
125650	423	1995-12-02	VYDAJ	VYBER	600	17190	\N	\N	\N
125651	423	1996-12-08	VYDAJ	VYBER	840	22844	\N	\N	\N
125652	423	1997-12-10	VYDAJ	VYBER	180	23219	\N	\N	\N
125653	423	1998-12-02	VYDAJ	VYBER	600	21147	\N	\N	\N
125660	423	1994-01-07	VYDAJ	VYBER	150	17733	\N	\N	\N
125661	423	1994-01-09	VYDAJ	VYBER	270	17163	\N	\N	\N
125662	423	1994-01-04	VYDAJ	VYBER	720	14970	\N	\N	\N
125663	423	1994-01-09	VYDAJ	VYBER	300	17433	\N	\N	\N
125664	423	1994-01-30	VYDAJ	VYBER	780	13931	\N	\N	\N
125665	423	1994-01-23	VYDAJ	VYBER	510	14711	\N	\N	\N
125666	423	1995-01-06	VYDAJ	VYBER	480	21397	\N	\N	\N
125667	423	1995-01-29	VYDAJ	VYBER	810	15765	\N	\N	\N
125668	423	1995-01-27	VYDAJ	VYBER	360	16575	\N	\N	\N
125669	423	1995-01-12	VYDAJ	VYBER	630	18825	\N	\N	\N
125670	423	1995-01-04	VYDAJ	VYBER	870	18964	\N	\N	\N
125671	423	1995-01-20	VYDAJ	VYBER	510	18315	\N	\N	\N
125672	423	1996-01-04	VYDAJ	VYBER	210	16723	\N	\N	\N
125673	423	1996-01-09	VYDAJ	VYBER	420	18346	\N	\N	\N
125674	423	1996-01-01	VYDAJ	VYBER	420	17803	\N	\N	\N
125675	423	1996-01-02	VYDAJ	VYBER	870	16933	\N	\N	\N
125676	423	1996-01-14	VYDAJ	VYBER	780	15624	\N	\N	\N
125677	423	1996-01-09	VYDAJ	VYBER	870	18766	\N	\N	\N
125678	423	1997-01-27	VYDAJ	VYBER	780	17795	\N	\N	\N
125679	423	1997-01-20	VYDAJ	VYBER	870	19085	\N	\N	\N
125680	423	1997-01-21	VYDAJ	VYBER	510	18575	\N	\N	\N
125681	423	1997-01-07	VYDAJ	VYBER	570	22347	\N	\N	\N
125682	423	1997-01-28	VYDAJ	VYBER	270	17525	\N	\N	\N
125683	423	1997-01-13	VYDAJ	VYBER	450	19955	\N	\N	\N
125684	423	1998-01-02	VYDAJ	VYBER	660	20689	\N	\N	\N
125685	423	1998-01-21	VYDAJ	VYBER	780	19410	\N	\N	\N
125686	423	1998-01-03	VYDAJ	VYBER	270	20419	\N	\N	\N
125687	423	1998-01-04	VYDAJ	VYBER	720	19699	\N	\N	\N
125688	423	1998-01-26	VYDAJ	VYBER	600	18810	\N	\N	\N
125689	423	1998-01-12	VYDAJ	VYBER	480	20190	\N	\N	\N
125690	423	1993-11-21	VYDAJ	VYBER	990	15158	\N	\N	\N
125695	423	1994-09-22	VYDAJ	VYBER	1110	18480	\N	\N	\N
125696	423	1994-07-27	VYDAJ	VYBER	990	17526	\N	\N	\N
125697	423	1994-03-02	VYDAJ	VYBER	180	14818	\N	\N	\N
125698	423	1994-12-26	VYDAJ	VYBER	1410	19762	\N	\N	\N
125699	423	1994-06-07	VYDAJ	VYBER	480	19428	\N	\N	\N
125700	423	1994-05-29	VYDAJ	VYBER	900	16937	\N	\N	\N
125701	423	1995-01-26	VYDAJ	VYBER	1380	16935	\N	\N	\N
125702	423	1995-03-28	VYDAJ	VYBER	540	17284	\N	\N	\N
125703	423	1995-04-01	VYDAJ	VYBER	960	16382	\N	\N	\N
125704	423	1995-09-30	VYDAJ	VYBER	930	15951	\N	\N	\N
125705	423	1995-09-09	VYDAJ	VYBER	240	18753	\N	\N	\N
125706	423	1996-12-28	VYDAJ	VYBER	870	20032	\N	\N	\N
125707	423	1996-05-10	VYDAJ	VYBER	1200	19910	\N	\N	\N
125708	423	1996-02-20	VYDAJ	VYBER	360	16289	\N	\N	\N
125709	423	1996-08-07	VYDAJ	VYBER	1380	21633	\N	\N	\N
125710	423	1997-06-30	VYDAJ	VYBER	960	19732	\N	\N	\N
125711	423	1997-04-06	VYDAJ	VYBER	780	21791	\N	\N	\N
125712	423	1997-11-04	VYDAJ	VYBER	1170	19924	\N	\N	\N
125713	423	1997-05-29	VYDAJ	VYBER	1320	19569	\N	\N	\N
125714	423	1997-11-05	VYDAJ	VYBER	480	19444	\N	\N	\N
125715	423	1998-02-02	VYDAJ	VYBER	990	17888	\N	\N	\N
125716	423	1998-06-21	VYDAJ	VYBER	390	17466	\N	\N	\N
125717	423	1998-12-22	VYDAJ	VYBER	690	21428	\N	\N	\N
125718	423	1998-08-05	VYDAJ	VYBER	960	17597	\N	\N	\N
125727	423	1993-08-31	VYDAJ	VYBER	15	13145	SLUZBY	\N	\N
125728	423	1993-09-30	VYDAJ	VYBER	15	14159	SLUZBY	\N	\N
125729	423	1993-10-31	VYDAJ	VYBER	15	15177	SLUZBY	\N	\N
125730	423	1993-11-30	VYDAJ	VYBER	15	15208	SLUZBY	\N	\N
125731	423	1993-12-31	VYDAJ	VYBER	15	15690	SLUZBY	\N	\N
125732	423	1994-01-31	VYDAJ	VYBER	15	13981	SLUZBY	\N	\N
125733	423	1994-02-28	VYDAJ	VYBER	15	14998	SLUZBY	\N	\N
125734	423	1994-03-31	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
125735	423	1994-04-30	VYDAJ	VYBER	15	16866	SLUZBY	\N	\N
125736	423	1994-05-31	VYDAJ	VYBER	15	16995	SLUZBY	\N	\N
125737	423	1994-06-30	VYDAJ	VYBER	15	17545	SLUZBY	\N	\N
125738	423	1994-07-31	VYDAJ	VYBER	15	17587	SLUZBY	\N	\N
125739	423	1994-08-31	VYDAJ	VYBER	15	18619	SLUZBY	\N	\N
125740	423	1994-09-30	VYDAJ	VYBER	15	18544	SLUZBY	\N	\N
125741	423	1994-10-31	VYDAJ	VYBER	15	19580	SLUZBY	\N	\N
125742	423	1994-11-30	VYDAJ	VYBER	15	20621	SLUZBY	\N	\N
125743	423	1994-12-31	VYDAJ	VYBER	15	19834	SLUZBY	\N	\N
125744	423	1995-01-31	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
125745	423	1995-02-28	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
125746	423	1995-03-31	VYDAJ	VYBER	15	17342	SLUZBY	\N	\N
125747	423	1995-04-30	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
125748	423	1995-05-31	VYDAJ	VYBER	15	18443	SLUZBY	\N	\N
125749	423	1995-06-30	VYDAJ	VYBER	15	14042	SLUZBY	\N	\N
125750	423	1995-07-31	VYDAJ	VYBER	15	15059	SLUZBY	\N	\N
125751	423	1995-08-31	VYDAJ	VYBER	15	16080	SLUZBY	\N	\N
125752	423	1995-09-30	VYDAJ	VYBER	15	15936	SLUZBY	\N	\N
125753	423	1995-10-31	VYDAJ	VYBER	15	16961	SLUZBY	\N	\N
125754	423	1995-11-30	VYDAJ	VYBER	15	17790	SLUZBY	\N	\N
125755	423	1995-12-31	VYDAJ	VYBER	15	18223	SLUZBY	\N	\N
125756	423	1996-01-31	VYDAJ	VYBER	15	15678	SLUZBY	\N	\N
125757	423	1996-02-29	VYDAJ	VYBER	15	16341	SLUZBY	\N	\N
125758	423	1996-03-31	VYDAJ	VYBER	15	17167	SLUZBY	\N	\N
125759	423	1996-04-30	VYDAJ	VYBER	15	18197	SLUZBY	\N	\N
125760	423	1996-05-31	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
125761	423	1996-06-30	VYDAJ	VYBER	15	19062	SLUZBY	\N	\N
125762	423	1996-07-31	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
125763	423	1996-08-31	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
125764	423	1996-09-30	VYDAJ	VYBER	15	18694	SLUZBY	\N	\N
125765	423	1996-10-31	VYDAJ	VYBER	15	19730	SLUZBY	\N	\N
125766	423	1996-11-30	VYDAJ	VYBER	15	20771	SLUZBY	\N	\N
125767	423	1996-12-31	VYDAJ	VYBER	15	20104	SLUZBY	\N	\N
125768	423	1997-01-31	VYDAJ	VYBER	15	17591	SLUZBY	\N	\N
125769	423	1997-02-28	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
125770	423	1997-03-31	VYDAJ	VYBER	15	19658	SLUZBY	\N	\N
125771	423	1997-04-30	VYDAJ	VYBER	15	19918	SLUZBY	\N	\N
125772	423	1997-05-31	VYDAJ	VYBER	15	19638	SLUZBY	\N	\N
125773	423	1997-06-30	VYDAJ	VYBER	15	19718	SLUZBY	\N	\N
125774	423	1997-07-31	VYDAJ	VYBER	15	20758	SLUZBY	\N	\N
125775	423	1997-08-31	VYDAJ	VYBER	15	20801	SLUZBY	\N	\N
125776	423	1997-09-30	VYDAJ	VYBER	15	21845	SLUZBY	\N	\N
125777	423	1997-10-31	VYDAJ	VYBER	15	22894	SLUZBY	\N	\N
125778	423	1997-11-30	VYDAJ	VYBER	15	20486	SLUZBY	\N	\N
125779	423	1997-12-31	VYDAJ	VYBER	15	21349	SLUZBY	\N	\N
125780	423	1998-01-31	VYDAJ	VYBER	15	18878	SLUZBY	\N	\N
125781	423	1998-02-28	VYDAJ	VYBER	15	18923	SLUZBY	\N	\N
125782	423	1998-03-31	VYDAJ	VYBER	15	19959	SLUZBY	\N	\N
125783	423	1998-04-30	VYDAJ	VYBER	15	21000	SLUZBY	\N	\N
125784	423	1998-05-31	VYDAJ	VYBER	15	22045	SLUZBY	\N	\N
125785	423	1998-06-30	VYDAJ	VYBER	15	17527	SLUZBY	\N	\N
125786	423	1998-07-31	VYDAJ	VYBER	15	18557	SLUZBY	\N	\N
125787	423	1998-08-31	VYDAJ	VYBER	15	18630	SLUZBY	\N	\N
125788	423	1998-09-30	VYDAJ	VYBER	15	19665	SLUZBY	\N	\N
125789	423	1998-10-31	VYDAJ	VYBER	15	20704	SLUZBY	\N	\N
125790	423	1998-11-30	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
125791	423	1995-11-13	VYDAJ	VYBER	200	17732	\N	\N	\N
125792	423	1996-03-12	VYDAJ	VYBER	200	17112	\N	\N	\N
125793	423	1996-09-08	VYDAJ	VYBER	2100	20572	\N	\N	\N
125794	423	1997-01-06	VYDAJ	VYBER	100	22917	\N	\N	\N
125795	423	1997-08-04	VYDAJ	VYBER	1000	19758	\N	\N	\N
125796	423	1997-11-02	VYDAJ	VYBER	1800	21094	\N	\N	\N
125862	424	1997-02-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
125865	424	1997-03-05	PRIJEM	VKLAD	23453	24453	\N	\N	\N
125866	424	1997-04-05	PRIJEM	VKLAD	23453	49251	\N	\N	\N
125867	424	1997-05-05	PRIJEM	VKLAD	23453	63838	\N	\N	\N
125868	424	1997-06-05	PRIJEM	VKLAD	35180	78591	\N	\N	\N
125869	424	1997-07-05	PRIJEM	VKLAD	23453	79549	\N	\N	\N
125870	424	1997-08-05	PRIJEM	VKLAD	23453	71681	\N	\N	\N
125871	424	1997-09-05	PRIJEM	VKLAD	23453	65267	\N	\N	\N
125872	424	1997-10-05	PRIJEM	VKLAD	23453	62999	\N	\N	\N
125873	424	1997-11-05	PRIJEM	VKLAD	23453	61222	\N	\N	\N
125874	424	1997-12-05	PRIJEM	VKLAD	35180	67161	\N	\N	\N
125875	424	1998-01-05	PRIJEM	VKLAD	23453	64101	\N	\N	\N
125876	424	1998-02-05	PRIJEM	VKLAD	23453	42804	\N	\N	\N
125877	424	1998-03-05	PRIJEM	VKLAD	23453	52365	\N	\N	\N
125878	424	1998-04-05	PRIJEM	VKLAD	23453	54450	\N	\N	\N
125879	424	1998-05-05	PRIJEM	VKLAD	23453	58948	\N	\N	\N
125880	424	1998-06-05	PRIJEM	VKLAD	35180	68438	\N	\N	\N
125881	424	1998-07-05	PRIJEM	VKLAD	23453	66061	\N	\N	\N
125882	424	1998-08-05	PRIJEM	VKLAD	23453	62391	\N	\N	\N
125883	424	1998-09-05	PRIJEM	VKLAD	23453	59227	\N	\N	\N
125884	424	1998-10-05	PRIJEM	VKLAD	23453	66647	\N	\N	\N
125885	424	1998-11-05	PRIJEM	VKLAD	23453	69384	\N	\N	\N
125886	424	1998-12-05	PRIJEM	VKLAD	35180	85964	\N	\N	\N
125893	424	1997-07-09	VYDAJ	PREVOD NA UCET	4591	74958	SIPO	WX	64132481
125894	424	1997-08-09	VYDAJ	PREVOD NA UCET	4591	67090	SIPO	WX	64132481
125895	424	1997-09-09	VYDAJ	PREVOD NA UCET	4591	60676	SIPO	WX	64132481
125896	424	1997-10-09	VYDAJ	PREVOD NA UCET	4591	58408	SIPO	WX	64132481
125897	424	1997-11-09	VYDAJ	PREVOD NA UCET	4591	56631	SIPO	WX	64132481
125898	424	1997-12-09	VYDAJ	PREVOD NA UCET	4591	59670	SIPO	WX	64132481
125899	424	1998-01-09	VYDAJ	PREVOD NA UCET	4591	59510	SIPO	WX	64132481
125900	424	1998-02-09	VYDAJ	PREVOD NA UCET	4591	38213	SIPO	WX	64132481
125901	424	1998-03-09	VYDAJ	PREVOD NA UCET	4591	47774	SIPO	WX	64132481
125902	424	1998-04-09	VYDAJ	PREVOD NA UCET	4591	49859	SIPO	WX	64132481
125903	424	1998-05-09	VYDAJ	PREVOD NA UCET	4591	54357	SIPO	WX	64132481
125904	424	1998-06-09	VYDAJ	PREVOD NA UCET	4591	63847	SIPO	WX	64132481
125905	424	1998-07-09	VYDAJ	PREVOD NA UCET	4591	61470	SIPO	WX	64132481
125906	424	1998-08-09	VYDAJ	PREVOD NA UCET	4591	51920	SIPO	WX	64132481
125907	424	1998-09-09	VYDAJ	PREVOD NA UCET	4591	54636	SIPO	WX	64132481
125908	424	1998-10-09	VYDAJ	PREVOD NA UCET	4591	62056	SIPO	WX	64132481
125909	424	1998-11-09	VYDAJ	PREVOD NA UCET	4591	50593	SIPO	WX	64132481
125910	424	1998-12-09	VYDAJ	PREVOD NA UCET	4591	56473	SIPO	WX	64132481
125914	424	1998-01-14	VYDAJ	VYBER	10880	26530	\N	\N	\N
125915	424	1997-12-06	VYDAJ	VYBER KARTOU	2900	64261	\N	\N	0
125916	424	1998-12-11	VYDAJ	VYBER KARTOU	3500	52973	\N	\N	0
125923	424	1998-01-20	VYDAJ	VYBER KARTOU	2900	22830	\N	\N	0
125924	424	1998-01-27	VYDAJ	VYBER KARTOU	1100	19230	\N	\N	0
125925	424	1998-01-26	VYDAJ	VYBER KARTOU	2500	20330	\N	\N	0
125926	424	1998-01-18	VYDAJ	VYBER KARTOU	800	25730	\N	\N	0
125927	424	1998-01-12	VYDAJ	VYBER KARTOU	1700	57810	\N	\N	0
125928	424	1998-01-13	VYDAJ	VYBER KARTOU	2800	55010	\N	\N	0
125929	424	1997-08-03	VYDAJ	VYBER	3960	48228	\N	\N	\N
125930	424	1997-12-04	VYDAJ	VYBER KARTOU	3500	31981	\N	\N	0
125933	424	1997-08-15	VYDAJ	VYBER	5280	61810	\N	\N	\N
125934	424	1998-08-22	VYDAJ	VYBER KARTOU	2000	35620	\N	\N	0
125935	424	1998-05-17	VYDAJ	VYBER	5640	33117	\N	\N	\N
125936	424	1998-07-26	VYDAJ	VYBER KARTOU	2000	38770	\N	\N	0
125937	424	1998-08-05	VYDAJ	VYBER	5880	56511	\N	\N	\N
125938	424	1998-07-19	VYDAJ	VYBER KARTOU	4000	40770	\N	\N	0
125946	424	1997-07-31	VYDAJ	VYBER	15	52188	SLUZBY	\N	\N
125947	424	1997-08-31	VYDAJ	VYBER	15	41814	SLUZBY	\N	\N
125948	424	1997-09-30	VYDAJ	VYBER	15	39546	SLUZBY	\N	\N
125949	424	1997-10-31	VYDAJ	VYBER	15	37769	SLUZBY	\N	\N
125950	424	1997-11-30	VYDAJ	VYBER	15	35481	SLUZBY	\N	\N
125951	424	1997-12-31	VYDAJ	VYBER	15	40648	SLUZBY	\N	\N
125952	424	1998-01-31	VYDAJ	VYBER	15	19351	SLUZBY	\N	\N
125953	424	1998-02-28	VYDAJ	VYBER	15	28912	SLUZBY	\N	\N
125954	424	1998-03-31	VYDAJ	VYBER	15	30997	SLUZBY	\N	\N
125955	424	1998-04-30	VYDAJ	VYBER	15	35495	SLUZBY	\N	\N
125956	424	1998-05-31	VYDAJ	VYBER	15	33258	SLUZBY	\N	\N
125957	424	1998-06-30	VYDAJ	VYBER	15	42608	SLUZBY	\N	\N
125958	424	1998-07-31	VYDAJ	VYBER	15	38938	SLUZBY	\N	\N
125959	424	1998-08-31	VYDAJ	VYBER	15	35774	SLUZBY	\N	\N
125960	424	1998-09-30	VYDAJ	VYBER	15	43194	SLUZBY	\N	\N
125961	424	1998-10-31	VYDAJ	VYBER	15	45931	SLUZBY	\N	\N
125962	424	1998-11-30	VYDAJ	VYBER	15	50784	SLUZBY	\N	\N
125963	424	1997-03-19	PRIJEM	VKLAD	1300	25753	\N	\N	\N
125964	424	1997-04-18	VYDAJ	VYBER	9000	40251	\N	\N	\N
125965	424	1997-05-18	VYDAJ	VYBER	20600	43238	\N	\N	\N
125966	424	1997-06-17	VYDAJ	VYBER	22700	55891	\N	\N	\N
125967	424	1997-07-17	VYDAJ	VYBER	23000	51958	\N	\N	\N
125968	424	1997-08-16	VYDAJ	VYBER	20200	41610	\N	\N	\N
125969	424	1997-09-15	VYDAJ	VYBER	21300	39376	\N	\N	\N
125970	424	1997-10-15	VYDAJ	VYBER	20800	37608	\N	\N	\N
125971	424	1997-11-14	VYDAJ	VYBER	21300	35331	\N	\N	\N
125972	424	1997-12-14	VYDAJ	VYBER	19200	40470	\N	\N	\N
125973	424	1998-01-13	VYDAJ	VYBER	17600	37410	\N	\N	\N
125974	424	1998-02-12	VYDAJ	VYBER	9400	28813	\N	\N	\N
125975	424	1998-03-14	VYDAJ	VYBER	16900	30874	\N	\N	\N
125976	424	1998-04-13	VYDAJ	VYBER	14500	35359	\N	\N	\N
125977	424	1998-05-13	VYDAJ	VYBER	15600	38757	\N	\N	\N
125978	424	1998-06-12	VYDAJ	VYBER	21400	42447	\N	\N	\N
125979	424	1998-07-12	VYDAJ	VYBER	16700	44770	\N	\N	\N
125980	424	1998-08-11	VYDAJ	VYBER	14300	37620	\N	\N	\N
125981	424	1998-09-10	VYDAJ	VYBER	11600	43036	\N	\N	\N
125982	424	1998-10-10	VYDAJ	VYBER	16300	45756	\N	\N	\N
125983	424	1998-11-09	VYDAJ	VYBER	14200	55184	\N	\N	\N
125984	424	1998-12-09	VYDAJ	VYBER	24900	61064	\N	\N	\N
126007	425	1993-03-19	PRIJEM	VKLAD	400	400	\N	\N	\N
126011	425	1993-04-12	PRIJEM	VKLAD	5893	6293	\N	\N	\N
126012	425	1993-05-12	PRIJEM	VKLAD	5893	21815	\N	\N	\N
126013	425	1993-06-12	PRIJEM	VKLAD	8840	32936	\N	\N	\N
126014	425	1993-07-12	PRIJEM	VKLAD	5893	33335	\N	\N	\N
126015	425	1993-08-12	PRIJEM	VKLAD	5893	36448	\N	\N	\N
126016	425	1993-09-12	PRIJEM	VKLAD	5893	24820	\N	\N	\N
126017	425	1993-10-12	PRIJEM	VKLAD	5893	27634	\N	\N	\N
126018	425	1993-11-12	PRIJEM	VKLAD	5893	26474	\N	\N	\N
126019	425	1993-12-12	PRIJEM	VKLAD	8840	25617	\N	\N	\N
126020	425	1994-01-12	PRIJEM	VKLAD	5893	17641	\N	\N	\N
126021	425	1994-02-12	PRIJEM	VKLAD	5893	22947	\N	\N	\N
126022	425	1994-03-12	PRIJEM	VKLAD	5893	21201	\N	\N	\N
126023	425	1994-04-12	PRIJEM	VKLAD	5893	27909	\N	\N	\N
126024	425	1994-05-12	PRIJEM	VKLAD	5893	31738	\N	\N	\N
126025	425	1994-06-12	PRIJEM	VKLAD	8840	33318	\N	\N	\N
126026	425	1994-07-12	PRIJEM	VKLAD	5893	24085	\N	\N	\N
126027	425	1994-08-12	PRIJEM	VKLAD	5893	24956	\N	\N	\N
126028	425	1994-09-12	PRIJEM	VKLAD	5893	28371	\N	\N	\N
126029	425	1994-10-12	PRIJEM	VKLAD	5893	29690	\N	\N	\N
126030	425	1994-11-12	PRIJEM	VKLAD	5893	30125	\N	\N	\N
126031	425	1994-12-12	PRIJEM	VKLAD	8840	32369	\N	\N	\N
126032	425	1995-01-12	PRIJEM	VKLAD	5893	30573	\N	\N	\N
126033	425	1995-02-12	PRIJEM	VKLAD	5893	25678	\N	\N	\N
126034	425	1995-03-12	PRIJEM	VKLAD	5893	27991	\N	\N	\N
126035	425	1995-04-12	PRIJEM	VKLAD	5893	31317	\N	\N	\N
126036	425	1995-05-12	PRIJEM	VKLAD	5893	27497	\N	\N	\N
126037	425	1995-06-12	PRIJEM	VKLAD	8840	30274	\N	\N	\N
126038	425	1995-07-12	PRIJEM	VKLAD	5893	29765	\N	\N	\N
126039	425	1995-08-12	PRIJEM	VKLAD	5893	28560	\N	\N	\N
126040	425	1995-09-12	PRIJEM	VKLAD	5893	27091	\N	\N	\N
126041	425	1995-10-12	PRIJEM	VKLAD	5893	27417	\N	\N	\N
126042	425	1995-11-12	PRIJEM	VKLAD	5893	26373	\N	\N	\N
126043	425	1995-12-12	PRIJEM	VKLAD	8840	27838	\N	\N	\N
126044	425	1996-01-12	PRIJEM	VKLAD	5893	18858	\N	\N	\N
126045	425	1996-02-12	PRIJEM	VKLAD	5893	20944	\N	\N	\N
126046	425	1996-03-12	PRIJEM	VKLAD	5893	26038	\N	\N	\N
126047	425	1996-04-12	PRIJEM	VKLAD	5893	26754	\N	\N	\N
126048	425	1996-05-12	PRIJEM	VKLAD	5893	29676	\N	\N	\N
126049	425	1996-06-12	PRIJEM	VKLAD	8840	35555	\N	\N	\N
126050	425	1996-07-12	PRIJEM	VKLAD	5893	34407	\N	\N	\N
126051	425	1996-08-12	PRIJEM	VKLAD	5893	32486	\N	\N	\N
126052	425	1996-09-12	PRIJEM	VKLAD	5893	31503	\N	\N	\N
126053	425	1996-10-12	PRIJEM	VKLAD	5893	32342	\N	\N	\N
126054	425	1996-11-12	PRIJEM	VKLAD	5893	30383	\N	\N	\N
126055	425	1996-12-12	PRIJEM	VKLAD	8840	32703	\N	\N	\N
126056	425	1997-01-12	PRIJEM	VKLAD	5893	26754	\N	\N	\N
126057	425	1997-02-12	PRIJEM	VKLAD	5893	24820	\N	\N	\N
126058	425	1997-03-12	PRIJEM	VKLAD	5893	29031	\N	\N	\N
126059	425	1997-04-12	PRIJEM	VKLAD	5893	27358	\N	\N	\N
126060	425	1997-05-12	PRIJEM	VKLAD	5893	26079	\N	\N	\N
126061	425	1997-06-12	PRIJEM	VKLAD	8840	32242	\N	\N	\N
126062	425	1997-07-12	PRIJEM	VKLAD	5893	28519	\N	\N	\N
126063	425	1997-08-12	PRIJEM	VKLAD	5893	30948	\N	\N	\N
126064	425	1997-09-12	PRIJEM	VKLAD	5893	37288	\N	\N	\N
126065	425	1997-10-12	PRIJEM	VKLAD	5893	36848	\N	\N	\N
126066	425	1997-11-12	PRIJEM	VKLAD	5893	37407	\N	\N	\N
126067	425	1997-12-12	PRIJEM	VKLAD	8840	41515	\N	\N	\N
126068	425	1998-01-12	PRIJEM	VKLAD	5893	32831	\N	\N	\N
126069	425	1998-02-12	PRIJEM	VKLAD	5893	33062	\N	\N	\N
126070	425	1998-03-12	PRIJEM	VKLAD	5893	41313	\N	\N	\N
126071	425	1998-04-12	PRIJEM	VKLAD	5893	45995	\N	\N	\N
126072	425	1998-05-12	PRIJEM	VKLAD	5893	45189	\N	\N	\N
126073	425	1998-06-12	PRIJEM	VKLAD	8840	48828	\N	\N	\N
126074	425	1998-07-12	PRIJEM	VKLAD	5893	50332	\N	\N	\N
126075	425	1998-08-12	PRIJEM	VKLAD	5893	52147	\N	\N	\N
126076	425	1998-09-12	PRIJEM	VKLAD	5893	55872	\N	\N	\N
126077	425	1998-10-12	PRIJEM	VKLAD	5893	52701	\N	\N	\N
126078	425	1998-11-12	PRIJEM	VKLAD	5893	52021	\N	\N	\N
126079	425	1998-12-12	PRIJEM	VKLAD	8840	50577	\N	\N	\N
126088	425	1993-09-08	VYDAJ	PREVOD NA UCET	2390	18927	SIPO	ST	21181220
126089	425	1993-10-08	VYDAJ	PREVOD NA UCET	2390	21741	SIPO	ST	21181220
126090	425	1993-11-08	VYDAJ	PREVOD NA UCET	2390	20581	SIPO	ST	21181220
126091	425	1993-12-08	VYDAJ	PREVOD NA UCET	2390	16778	SIPO	ST	21181220
126092	425	1994-01-08	VYDAJ	PREVOD NA UCET	2390	11748	SIPO	ST	21181220
126093	425	1994-02-08	VYDAJ	PREVOD NA UCET	2390	12754	SIPO	ST	21181220
126094	425	1994-03-08	VYDAJ	PREVOD NA UCET	2390	15308	SIPO	ST	21181220
126095	425	1994-04-08	VYDAJ	PREVOD NA UCET	2390	22016	SIPO	ST	21181220
126096	425	1994-05-08	VYDAJ	PREVOD NA UCET	2390	25845	SIPO	ST	21181220
126097	425	1994-06-08	VYDAJ	PREVOD NA UCET	2390	24478	SIPO	ST	21181220
126098	425	1994-07-08	VYDAJ	PREVOD NA UCET	2390	23952	SIPO	ST	21181220
126099	425	1994-08-08	VYDAJ	PREVOD NA UCET	2390	16723	SIPO	ST	21181220
126100	425	1994-09-08	VYDAJ	PREVOD NA UCET	2390	15878	SIPO	ST	21181220
126101	425	1994-10-08	VYDAJ	PREVOD NA UCET	2390	25197	SIPO	ST	21181220
126102	425	1994-11-08	VYDAJ	PREVOD NA UCET	2390	26532	SIPO	ST	21181220
126103	425	1994-12-08	VYDAJ	PREVOD NA UCET	2390	26970	SIPO	ST	21181220
126104	425	1995-01-08	VYDAJ	PREVOD NA UCET	2390	26120	SIPO	ST	21181220
126105	425	1995-02-08	VYDAJ	PREVOD NA UCET	2390	19785	SIPO	ST	21181220
126106	425	1995-03-08	VYDAJ	PREVOD NA UCET	2390	20098	SIPO	ST	21181220
126107	425	1995-04-08	VYDAJ	PREVOD NA UCET	2390	25424	SIPO	ST	21181220
126108	425	1995-05-08	VYDAJ	PREVOD NA UCET	2390	24204	SIPO	ST	21181220
126109	425	1995-06-08	VYDAJ	PREVOD NA UCET	2390	21434	SIPO	ST	21181220
126110	425	1995-07-08	VYDAJ	PREVOD NA UCET	2390	23872	SIPO	ST	21181220
126111	425	1995-08-08	VYDAJ	PREVOD NA UCET	2390	22667	SIPO	ST	21181220
126112	425	1995-09-08	VYDAJ	PREVOD NA UCET	2390	21198	SIPO	ST	21181220
126113	425	1995-10-08	VYDAJ	PREVOD NA UCET	2390	21524	SIPO	ST	21181220
126114	425	1995-11-08	VYDAJ	PREVOD NA UCET	2390	20480	SIPO	ST	21181220
126115	425	1995-12-08	VYDAJ	PREVOD NA UCET	2390	18998	SIPO	ST	21181220
126116	425	1996-01-08	VYDAJ	PREVOD NA UCET	2390	12965	SIPO	ST	21181220
126117	425	1996-02-08	VYDAJ	PREVOD NA UCET	2390	15051	SIPO	ST	21181220
126118	425	1996-03-08	VYDAJ	PREVOD NA UCET	2390	20145	SIPO	ST	21181220
126119	425	1996-04-08	VYDAJ	PREVOD NA UCET	2390	20861	SIPO	ST	21181220
126120	425	1996-05-08	VYDAJ	PREVOD NA UCET	2390	23783	SIPO	ST	21181220
126121	425	1996-06-08	VYDAJ	PREVOD NA UCET	2390	26715	SIPO	ST	21181220
126122	425	1996-07-08	VYDAJ	PREVOD NA UCET	2390	28514	SIPO	ST	21181220
126123	425	1996-08-08	VYDAJ	PREVOD NA UCET	2390	26593	SIPO	ST	21181220
126124	425	1996-09-08	VYDAJ	PREVOD NA UCET	2390	25610	SIPO	ST	21181220
126125	425	1996-10-08	VYDAJ	PREVOD NA UCET	2390	26449	SIPO	ST	21181220
126126	425	1996-11-08	VYDAJ	PREVOD NA UCET	2390	24490	SIPO	ST	21181220
126127	425	1996-12-08	VYDAJ	PREVOD NA UCET	2390	23863	SIPO	ST	21181220
126128	425	1997-01-08	VYDAJ	PREVOD NA UCET	2390	23501	SIPO	ST	21181220
126129	425	1997-02-08	VYDAJ	PREVOD NA UCET	2390	18927	SIPO	ST	21181220
126130	425	1997-03-08	VYDAJ	PREVOD NA UCET	2390	23138	SIPO	ST	21181220
126131	425	1997-04-08	VYDAJ	PREVOD NA UCET	2390	21465	SIPO	ST	21181220
126132	425	1997-05-08	VYDAJ	PREVOD NA UCET	2390	20186	SIPO	ST	21181220
126133	425	1997-06-08	VYDAJ	PREVOD NA UCET	2390	23403	SIPO	ST	21181220
126134	425	1997-07-08	VYDAJ	PREVOD NA UCET	2390	22626	SIPO	ST	21181220
126135	425	1997-08-08	VYDAJ	PREVOD NA UCET	2390	25055	SIPO	ST	21181220
126136	425	1997-09-08	VYDAJ	PREVOD NA UCET	2390	31395	SIPO	ST	21181220
126137	425	1997-10-08	VYDAJ	PREVOD NA UCET	2390	30955	SIPO	ST	21181220
126138	425	1997-11-08	VYDAJ	PREVOD NA UCET	2390	31514	SIPO	ST	21181220
126139	425	1997-12-08	VYDAJ	PREVOD NA UCET	2390	32675	SIPO	ST	21181220
126140	425	1998-01-08	VYDAJ	PREVOD NA UCET	2390	32098	SIPO	ST	21181220
126141	425	1998-02-08	VYDAJ	PREVOD NA UCET	2390	27169	SIPO	ST	21181220
126142	425	1998-03-08	VYDAJ	PREVOD NA UCET	2390	35420	SIPO	ST	21181220
126143	425	1998-04-08	VYDAJ	PREVOD NA UCET	2390	40102	SIPO	ST	21181220
126144	425	1998-05-08	VYDAJ	PREVOD NA UCET	2390	39296	SIPO	ST	21181220
126145	425	1998-06-08	VYDAJ	PREVOD NA UCET	2390	39988	SIPO	ST	21181220
126146	425	1998-07-08	VYDAJ	PREVOD NA UCET	2390	44439	SIPO	ST	21181220
126147	425	1998-08-08	VYDAJ	PREVOD NA UCET	2390	46254	SIPO	ST	21181220
126148	425	1998-09-08	VYDAJ	PREVOD NA UCET	2390	49979	SIPO	ST	21181220
126149	425	1998-10-08	VYDAJ	PREVOD NA UCET	2390	46808	SIPO	ST	21181220
126150	425	1998-11-08	VYDAJ	PREVOD NA UCET	2390	46128	SIPO	ST	21181220
126151	425	1998-12-08	VYDAJ	PREVOD NA UCET	2390	41738	SIPO	ST	21181220
126159	425	1993-08-13	VYDAJ	PREVOD NA UCET	806	34082	 	OP	54766887
126160	425	1993-09-13	VYDAJ	PREVOD NA UCET	806	24014	 	OP	54766887
126161	425	1993-10-13	VYDAJ	PREVOD NA UCET	806	26828	 	OP	54766887
126162	425	1993-11-13	VYDAJ	PREVOD NA UCET	806	25668	 	OP	54766887
126163	425	1993-12-13	VYDAJ	PREVOD NA UCET	806	24811	 	OP	54766887
126164	425	1994-01-13	VYDAJ	PREVOD NA UCET	806	19635	 	OP	54766887
126165	425	1994-02-13	VYDAJ	PREVOD NA UCET	806	22141	 	OP	54766887
126166	425	1994-03-13	VYDAJ	PREVOD NA UCET	806	20395	 	OP	54766887
126167	425	1994-04-13	VYDAJ	PREVOD NA UCET	806	28203	 	OP	54766887
126168	425	1994-05-13	VYDAJ	PREVOD NA UCET	806	26832	 	OP	54766887
126169	425	1994-06-13	VYDAJ	PREVOD NA UCET	806	26312	 	OP	54766887
126170	425	1994-07-13	VYDAJ	PREVOD NA UCET	806	22579	 	OP	54766887
126171	425	1994-08-13	VYDAJ	PREVOD NA UCET	806	18270	 	OP	54766887
126172	425	1994-09-13	VYDAJ	PREVOD NA UCET	806	27565	 	OP	54766887
126173	425	1994-10-13	VYDAJ	PREVOD NA UCET	806	28884	 	OP	54766887
126174	425	1994-11-13	VYDAJ	PREVOD NA UCET	806	29319	 	OP	54766887
126175	425	1994-12-13	VYDAJ	PREVOD NA UCET	806	31563	 	OP	54766887
126176	425	1995-01-13	VYDAJ	PREVOD NA UCET	806	28687	 	OP	54766887
126177	425	1995-02-13	VYDAJ	PREVOD NA UCET	806	24872	 	OP	54766887
126178	425	1995-03-13	VYDAJ	PREVOD NA UCET	806	27185	 	OP	54766887
126179	425	1995-04-13	VYDAJ	PREVOD NA UCET	806	30511	 	OP	54766887
126180	425	1995-05-13	VYDAJ	PREVOD NA UCET	806	26691	 	OP	54766887
126181	425	1995-06-13	VYDAJ	PREVOD NA UCET	806	29468	 	OP	54766887
126182	425	1995-07-13	VYDAJ	PREVOD NA UCET	806	28959	 	OP	54766887
126183	425	1995-08-13	VYDAJ	PREVOD NA UCET	806	27754	 	OP	54766887
126184	425	1995-09-13	VYDAJ	PREVOD NA UCET	806	26285	 	OP	54766887
126185	425	1995-10-13	VYDAJ	PREVOD NA UCET	806	26611	 	OP	54766887
126186	425	1995-11-13	VYDAJ	PREVOD NA UCET	806	25567	 	OP	54766887
126187	425	1995-12-13	VYDAJ	PREVOD NA UCET	806	27032	 	OP	54766887
126188	425	1996-01-13	VYDAJ	PREVOD NA UCET	806	18052	 	OP	54766887
126189	425	1996-02-13	VYDAJ	PREVOD NA UCET	806	20138	 	OP	54766887
126190	425	1996-03-13	VYDAJ	PREVOD NA UCET	806	25232	 	OP	54766887
126191	425	1996-04-13	VYDAJ	PREVOD NA UCET	806	25948	 	OP	54766887
126192	425	1996-05-13	VYDAJ	PREVOD NA UCET	806	28870	 	OP	54766887
126193	425	1996-06-13	VYDAJ	PREVOD NA UCET	806	34749	 	OP	54766887
126194	425	1996-07-13	VYDAJ	PREVOD NA UCET	806	27841	 	OP	54766887
126195	425	1996-08-13	VYDAJ	PREVOD NA UCET	806	31680	 	OP	54766887
126196	425	1996-09-13	VYDAJ	PREVOD NA UCET	806	30697	 	OP	54766887
126197	425	1996-10-13	VYDAJ	PREVOD NA UCET	806	31536	 	OP	54766887
126198	425	1996-11-13	VYDAJ	PREVOD NA UCET	806	29577	 	OP	54766887
126199	425	1996-12-13	VYDAJ	PREVOD NA UCET	806	31897	 	OP	54766887
126200	425	1997-01-13	VYDAJ	PREVOD NA UCET	806	25948	 	OP	54766887
126201	425	1997-02-13	VYDAJ	PREVOD NA UCET	806	24014	 	OP	54766887
126202	425	1997-03-13	VYDAJ	PREVOD NA UCET	806	28225	 	OP	54766887
126203	425	1997-04-13	VYDAJ	PREVOD NA UCET	806	26552	 	OP	54766887
126204	425	1997-05-13	VYDAJ	PREVOD NA UCET	806	25273	 	OP	54766887
126205	425	1997-06-13	VYDAJ	PREVOD NA UCET	806	31436	 	OP	54766887
126206	425	1997-07-13	VYDAJ	PREVOD NA UCET	806	27713	 	OP	54766887
126207	425	1997-08-13	VYDAJ	PREVOD NA UCET	806	30142	 	OP	54766887
126208	425	1997-09-13	VYDAJ	PREVOD NA UCET	806	36482	 	OP	54766887
126209	425	1997-10-13	VYDAJ	PREVOD NA UCET	806	36042	 	OP	54766887
126210	425	1997-11-13	VYDAJ	PREVOD NA UCET	806	36601	 	OP	54766887
126211	425	1997-12-13	VYDAJ	PREVOD NA UCET	806	40709	 	OP	54766887
126212	425	1998-01-13	VYDAJ	PREVOD NA UCET	806	32025	 	OP	54766887
126213	425	1998-02-13	VYDAJ	PREVOD NA UCET	806	32256	 	OP	54766887
126214	425	1998-03-13	VYDAJ	PREVOD NA UCET	806	40507	 	OP	54766887
126215	425	1998-04-13	VYDAJ	PREVOD NA UCET	806	45189	 	OP	54766887
126216	425	1998-05-13	VYDAJ	PREVOD NA UCET	806	44383	 	OP	54766887
126217	425	1998-06-13	VYDAJ	PREVOD NA UCET	806	48022	 	OP	54766887
126218	425	1998-07-13	VYDAJ	PREVOD NA UCET	806	49526	 	OP	54766887
126219	425	1998-08-13	VYDAJ	PREVOD NA UCET	806	51341	 	OP	54766887
126220	425	1998-09-13	VYDAJ	PREVOD NA UCET	806	55066	 	OP	54766887
126221	425	1998-10-13	VYDAJ	PREVOD NA UCET	806	51895	 	OP	54766887
126222	425	1998-11-13	VYDAJ	PREVOD NA UCET	806	51215	 	OP	54766887
126223	425	1998-12-13	VYDAJ	PREVOD NA UCET	806	49771	 	OP	54766887
126232	425	1993-09-05	VYDAJ	PREVOD NA UCET	64	21317	POJISTNE	GH	30106497
126233	425	1993-10-05	VYDAJ	PREVOD NA UCET	64	24131	POJISTNE	GH	30106497
126234	425	1993-11-05	VYDAJ	PREVOD NA UCET	64	22971	POJISTNE	GH	30106497
126235	425	1993-12-05	VYDAJ	PREVOD NA UCET	64	19168	POJISTNE	GH	30106497
126236	425	1994-01-05	VYDAJ	PREVOD NA UCET	64	14138	POJISTNE	GH	30106497
126237	425	1994-02-05	VYDAJ	PREVOD NA UCET	64	15144	POJISTNE	GH	30106497
126238	425	1994-03-05	VYDAJ	PREVOD NA UCET	64	17698	POJISTNE	GH	30106497
126239	425	1994-04-05	VYDAJ	PREVOD NA UCET	64	24406	POJISTNE	GH	30106497
126240	425	1994-05-05	VYDAJ	PREVOD NA UCET	64	28235	POJISTNE	GH	30106497
126241	425	1994-06-05	VYDAJ	PREVOD NA UCET	64	26868	POJISTNE	GH	30106497
126242	425	1994-07-05	VYDAJ	PREVOD NA UCET	64	26342	POJISTNE	GH	30106497
126243	425	1994-08-05	VYDAJ	PREVOD NA UCET	64	19113	POJISTNE	GH	30106497
126244	425	1994-09-05	VYDAJ	PREVOD NA UCET	64	18268	POJISTNE	GH	30106497
126245	425	1994-10-05	VYDAJ	PREVOD NA UCET	64	27587	POJISTNE	GH	30106497
126246	425	1994-11-05	VYDAJ	PREVOD NA UCET	64	28922	POJISTNE	GH	30106497
126247	425	1994-12-05	VYDAJ	PREVOD NA UCET	64	29360	POJISTNE	GH	30106497
126248	425	1995-01-05	VYDAJ	PREVOD NA UCET	64	30410	POJISTNE	GH	30106497
126249	425	1995-02-05	VYDAJ	PREVOD NA UCET	64	18675	POJISTNE	GH	30106497
126250	425	1995-03-05	VYDAJ	PREVOD NA UCET	64	22488	POJISTNE	GH	30106497
126251	425	1995-04-05	VYDAJ	PREVOD NA UCET	64	27214	POJISTNE	GH	30106497
126252	425	1995-05-05	VYDAJ	PREVOD NA UCET	64	30554	POJISTNE	GH	30106497
126253	425	1995-06-05	VYDAJ	PREVOD NA UCET	64	26724	POJISTNE	GH	30106497
126254	425	1995-07-05	VYDAJ	PREVOD NA UCET	64	28662	POJISTNE	GH	30106497
126255	425	1995-08-05	VYDAJ	PREVOD NA UCET	64	25157	POJISTNE	GH	30106497
126256	425	1995-09-05	VYDAJ	PREVOD NA UCET	64	27788	POJISTNE	GH	30106497
126257	425	1995-10-05	VYDAJ	PREVOD NA UCET	64	23914	POJISTNE	GH	30106497
126258	425	1995-11-05	VYDAJ	PREVOD NA UCET	64	22870	POJISTNE	GH	30106497
126259	425	1995-12-05	VYDAJ	PREVOD NA UCET	64	21388	POJISTNE	GH	30106497
126260	425	1996-01-05	VYDAJ	PREVOD NA UCET	64	20635	POJISTNE	GH	30106497
126261	425	1996-02-05	VYDAJ	PREVOD NA UCET	64	17441	POJISTNE	GH	30106497
126262	425	1996-03-05	VYDAJ	PREVOD NA UCET	64	22535	POJISTNE	GH	30106497
126263	425	1996-04-05	VYDAJ	PREVOD NA UCET	64	23251	POJISTNE	GH	30106497
126264	425	1996-05-05	VYDAJ	PREVOD NA UCET	64	26173	POJISTNE	GH	30106497
126265	425	1996-06-05	VYDAJ	PREVOD NA UCET	64	29105	POJISTNE	GH	30106497
126266	425	1996-07-05	VYDAJ	PREVOD NA UCET	64	30904	POJISTNE	GH	30106497
126267	425	1996-08-05	VYDAJ	PREVOD NA UCET	64	28983	POJISTNE	GH	30106497
126268	425	1996-09-05	VYDAJ	PREVOD NA UCET	64	28000	POJISTNE	GH	30106497
126269	425	1996-10-05	VYDAJ	PREVOD NA UCET	64	28839	POJISTNE	GH	30106497
126270	425	1996-11-05	VYDAJ	PREVOD NA UCET	64	26880	POJISTNE	GH	30106497
126271	425	1996-12-05	VYDAJ	PREVOD NA UCET	64	26253	POJISTNE	GH	30106497
126272	425	1997-01-05	VYDAJ	PREVOD NA UCET	64	25891	POJISTNE	GH	30106497
126273	425	1997-02-05	VYDAJ	PREVOD NA UCET	64	21317	POJISTNE	GH	30106497
126274	425	1997-03-05	VYDAJ	PREVOD NA UCET	64	25528	POJISTNE	GH	30106497
126275	425	1997-04-05	VYDAJ	PREVOD NA UCET	64	25655	POJISTNE	GH	30106497
126276	425	1997-05-05	VYDAJ	PREVOD NA UCET	64	22576	POJISTNE	GH	30106497
126277	425	1997-06-05	VYDAJ	PREVOD NA UCET	64	25793	POJISTNE	GH	30106497
126278	425	1997-07-05	VYDAJ	PREVOD NA UCET	64	25016	POJISTNE	GH	30106497
126279	425	1997-08-05	VYDAJ	PREVOD NA UCET	64	27445	POJISTNE	GH	30106497
126280	425	1997-09-05	VYDAJ	PREVOD NA UCET	64	33785	POJISTNE	GH	30106497
126281	425	1997-10-05	VYDAJ	PREVOD NA UCET	64	33345	POJISTNE	GH	30106497
126282	425	1997-11-05	VYDAJ	PREVOD NA UCET	64	33904	POJISTNE	GH	30106497
126283	425	1997-12-05	VYDAJ	PREVOD NA UCET	64	35065	POJISTNE	GH	30106497
126284	425	1998-01-05	VYDAJ	PREVOD NA UCET	64	34488	POJISTNE	GH	30106497
126285	425	1998-02-05	VYDAJ	PREVOD NA UCET	64	29559	POJISTNE	GH	30106497
126286	425	1998-03-05	VYDAJ	PREVOD NA UCET	64	37810	POJISTNE	GH	30106497
126287	425	1998-04-05	VYDAJ	PREVOD NA UCET	64	42492	POJISTNE	GH	30106497
126288	425	1998-05-05	VYDAJ	PREVOD NA UCET	64	41686	POJISTNE	GH	30106497
126289	425	1998-06-05	VYDAJ	PREVOD NA UCET	64	42378	POJISTNE	GH	30106497
126290	425	1998-07-05	VYDAJ	PREVOD NA UCET	64	46829	POJISTNE	GH	30106497
126291	425	1998-08-05	VYDAJ	PREVOD NA UCET	64	48644	POJISTNE	GH	30106497
126292	425	1998-09-05	VYDAJ	PREVOD NA UCET	64	52369	POJISTNE	GH	30106497
126293	425	1998-10-05	VYDAJ	PREVOD NA UCET	64	49198	POJISTNE	GH	30106497
126294	425	1998-11-05	VYDAJ	PREVOD NA UCET	64	48518	POJISTNE	GH	30106497
126295	425	1998-12-05	VYDAJ	PREVOD NA UCET	64	44128	POJISTNE	GH	30106497
126303	425	1994-01-22	VYDAJ	VYBER	3040	15155	\N	\N	\N
126304	425	1995-01-19	VYDAJ	VYBER	7520	21167	\N	\N	\N
126305	425	1996-01-02	VYDAJ	VYBER	8160	16399	\N	\N	\N
126307	425	1998-01-14	VYDAJ	VYBER	3680	28345	\N	\N	\N
126308	425	1993-12-19	VYDAJ	VYBER	3680	18931	\N	\N	\N
126309	425	1994-12-10	VYDAJ	VYBER	2560	23530	\N	\N	\N
126310	425	1995-12-24	VYDAJ	VYBER	2560	24472	\N	\N	\N
126311	425	1996-12-19	VYDAJ	VYBER	4640	27257	\N	\N	\N
126312	425	1997-12-24	VYDAJ	VYBER	1120	40289	\N	\N	\N
126313	425	1998-12-26	VYDAJ	VYBER	3520	35811	\N	\N	\N
126320	425	1994-01-05	VYDAJ	VYBER	1560	14202	\N	\N	\N
126322	425	1994-01-02	VYDAJ	VYBER	1200	17802	\N	\N	\N
126324	425	1994-01-04	VYDAJ	VYBER	2040	15762	\N	\N	\N
126325	425	1994-01-19	VYDAJ	VYBER	1440	18195	\N	\N	\N
126326	425	1995-01-02	VYDAJ	VYBER	1200	30474	\N	\N	\N
126327	425	1995-01-10	VYDAJ	VYBER	1440	24680	\N	\N	\N
126328	425	1995-01-12	VYDAJ	VYBER	1080	29493	\N	\N	\N
126329	425	1995-01-06	VYDAJ	VYBER	720	29690	\N	\N	\N
126330	425	1995-01-29	VYDAJ	VYBER	2520	18647	\N	\N	\N
126331	425	1995-01-08	VYDAJ	VYBER	2280	28510	\N	\N	\N
126333	425	1996-01-07	VYDAJ	VYBER	3000	15355	\N	\N	\N
126335	425	1996-01-19	VYDAJ	VYBER	1440	14452	\N	\N	\N
126336	425	1996-01-18	VYDAJ	VYBER	2160	15892	\N	\N	\N
126337	425	1996-01-06	VYDAJ	VYBER	2280	18355	\N	\N	\N
126338	425	1997-01-14	VYDAJ	VYBER	2880	23068	\N	\N	\N
126339	425	1997-01-15	VYDAJ	VYBER	2400	17788	\N	\N	\N
126340	425	1997-01-26	VYDAJ	VYBER	840	15508	\N	\N	\N
126341	425	1997-01-26	VYDAJ	VYBER	1440	16348	\N	\N	\N
126342	425	1997-01-09	VYDAJ	VYBER	2640	20861	\N	\N	\N
126343	425	1997-01-15	VYDAJ	VYBER	2880	20188	\N	\N	\N
126344	425	1998-01-05	VYDAJ	VYBER	3480	34552	\N	\N	\N
126345	425	1998-01-26	VYDAJ	VYBER	1320	32625	\N	\N	\N
126346	425	1998-01-11	VYDAJ	VYBER	2280	26938	\N	\N	\N
126347	425	1998-01-11	VYDAJ	VYBER	2880	29218	\N	\N	\N
126348	425	1998-01-29	VYDAJ	VYBER	1920	30705	\N	\N	\N
126349	425	1998-01-04	VYDAJ	VYBER	2400	38032	\N	\N	\N
126350	425	1993-08-13	VYDAJ	VYBER	1560	34888	\N	\N	\N
126351	425	1993-11-01	VYDAJ	VYBER	1680	23035	\N	\N	\N
126352	425	1993-08-31	VYDAJ	VYBER	3120	21396	\N	\N	\N
126353	425	1993-08-14	VYDAJ	VYBER	5280	28802	\N	\N	\N
126354	425	1993-12-01	VYDAJ	VYBER	4920	19232	\N	\N	\N
126355	425	1994-12-08	VYDAJ	VYBER	3480	23490	\N	\N	\N
126356	425	1994-08-12	VYDAJ	VYBER	5880	19076	\N	\N	\N
126357	425	1994-02-23	VYDAJ	VYBER	4440	17701	\N	\N	\N
126358	425	1994-08-09	VYDAJ	VYBER	2160	14563	\N	\N	\N
126359	425	1994-07-09	VYDAJ	VYBER	5760	18192	\N	\N	\N
126360	425	1994-07-23	VYDAJ	VYBER	3480	19099	\N	\N	\N
126361	425	1995-03-01	VYDAJ	VYBER	2400	22552	\N	\N	\N
126362	425	1995-05-05	VYDAJ	VYBER	3960	26594	\N	\N	\N
126363	425	1995-10-15	VYDAJ	VYBER	3960	22651	\N	\N	\N
126364	425	1995-06-15	VYDAJ	VYBER	840	28628	\N	\N	\N
126365	425	1995-08-04	VYDAJ	VYBER	3840	25221	\N	\N	\N
126366	425	1996-07-13	VYDAJ	VYBER	5760	28647	\N	\N	\N
126367	425	1996-08-21	VYDAJ	VYBER	5520	26160	\N	\N	\N
126368	425	1996-11-25	VYDAJ	VYBER	1560	28017	\N	\N	\N
126369	425	1997-07-01	VYDAJ	VYBER	5160	25080	\N	\N	\N
126370	425	1997-03-23	VYDAJ	VYBER	1800	26425	\N	\N	\N
126371	425	1997-04-06	VYDAJ	VYBER	1800	23855	\N	\N	\N
126372	425	1998-12-15	VYDAJ	VYBER	5640	44131	\N	\N	\N
126373	425	1998-06-19	VYDAJ	VYBER	600	47422	\N	\N	\N
126374	425	1998-12-30	VYDAJ	VYBER	3960	31851	\N	\N	\N
126375	425	1998-02-01	VYDAJ	VYBER	1200	29623	\N	\N	\N
126384	425	1993-08-31	VYDAJ	VYBER	15	21381	SLUZBY	\N	\N
126385	425	1993-09-30	VYDAJ	VYBER	15	24195	SLUZBY	\N	\N
126386	425	1993-10-31	VYDAJ	VYBER	15	24715	SLUZBY	\N	\N
126387	425	1993-11-30	VYDAJ	VYBER	15	24152	SLUZBY	\N	\N
126388	425	1993-12-31	VYDAJ	VYBER	15	19002	SLUZBY	\N	\N
126389	425	1994-01-31	VYDAJ	VYBER	15	15208	SLUZBY	\N	\N
126390	425	1994-02-28	VYDAJ	VYBER	15	17762	SLUZBY	\N	\N
126391	425	1994-03-31	VYDAJ	VYBER	15	24470	SLUZBY	\N	\N
126392	425	1994-04-30	VYDAJ	VYBER	15	28299	SLUZBY	\N	\N
126393	425	1994-05-31	VYDAJ	VYBER	15	26932	SLUZBY	\N	\N
126394	425	1994-06-30	VYDAJ	VYBER	15	26406	SLUZBY	\N	\N
126395	425	1994-07-31	VYDAJ	VYBER	15	19177	SLUZBY	\N	\N
126396	425	1994-08-31	VYDAJ	VYBER	15	18332	SLUZBY	\N	\N
126397	425	1994-09-30	VYDAJ	VYBER	15	27651	SLUZBY	\N	\N
126398	425	1994-10-31	VYDAJ	VYBER	15	28986	SLUZBY	\N	\N
126399	425	1994-11-30	VYDAJ	VYBER	15	29424	SLUZBY	\N	\N
126400	425	1994-12-31	VYDAJ	VYBER	15	31674	SLUZBY	\N	\N
126401	425	1995-01-31	VYDAJ	VYBER	15	18739	SLUZBY	\N	\N
126402	425	1995-02-28	VYDAJ	VYBER	15	24952	SLUZBY	\N	\N
126403	425	1995-03-31	VYDAJ	VYBER	15	27278	SLUZBY	\N	\N
126404	425	1995-04-30	VYDAJ	VYBER	15	30618	SLUZBY	\N	\N
126405	425	1995-05-31	VYDAJ	VYBER	15	26788	SLUZBY	\N	\N
126406	425	1995-06-30	VYDAJ	VYBER	15	28726	SLUZBY	\N	\N
126407	425	1995-07-31	VYDAJ	VYBER	15	29061	SLUZBY	\N	\N
126408	425	1995-08-31	VYDAJ	VYBER	15	27852	SLUZBY	\N	\N
126409	425	1995-09-30	VYDAJ	VYBER	15	26378	SLUZBY	\N	\N
126410	425	1995-10-31	VYDAJ	VYBER	15	22734	SLUZBY	\N	\N
126411	425	1995-11-30	VYDAJ	VYBER	15	25652	SLUZBY	\N	\N
126412	425	1995-12-31	VYDAJ	VYBER	15	24559	SLUZBY	\N	\N
126413	425	1996-01-31	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
126414	425	1996-02-29	VYDAJ	VYBER	15	20199	SLUZBY	\N	\N
126415	425	1996-03-31	VYDAJ	VYBER	15	25315	SLUZBY	\N	\N
126416	425	1996-04-30	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
126417	425	1996-05-31	VYDAJ	VYBER	15	28969	SLUZBY	\N	\N
126418	425	1996-06-30	VYDAJ	VYBER	15	34868	SLUZBY	\N	\N
126419	425	1996-07-31	VYDAJ	VYBER	15	29047	SLUZBY	\N	\N
126420	425	1996-08-31	VYDAJ	VYBER	15	28064	SLUZBY	\N	\N
126421	425	1996-09-30	VYDAJ	VYBER	15	28903	SLUZBY	\N	\N
126422	425	1996-10-31	VYDAJ	VYBER	15	26944	SLUZBY	\N	\N
126423	425	1996-11-30	VYDAJ	VYBER	15	26317	SLUZBY	\N	\N
126424	425	1996-12-31	VYDAJ	VYBER	15	25955	SLUZBY	\N	\N
126425	425	1997-01-31	VYDAJ	VYBER	15	21381	SLUZBY	\N	\N
126426	425	1997-02-28	VYDAJ	VYBER	15	25592	SLUZBY	\N	\N
126427	425	1997-03-31	VYDAJ	VYBER	15	25719	SLUZBY	\N	\N
126428	425	1997-04-30	VYDAJ	VYBER	15	22640	SLUZBY	\N	\N
126429	425	1997-05-31	VYDAJ	VYBER	15	25857	SLUZBY	\N	\N
126430	425	1997-06-30	VYDAJ	VYBER	15	30240	SLUZBY	\N	\N
126431	425	1997-07-31	VYDAJ	VYBER	15	27509	SLUZBY	\N	\N
126432	425	1997-08-31	VYDAJ	VYBER	15	33849	SLUZBY	\N	\N
126433	425	1997-09-30	VYDAJ	VYBER	15	33409	SLUZBY	\N	\N
126434	425	1997-10-31	VYDAJ	VYBER	15	33968	SLUZBY	\N	\N
126435	425	1997-11-30	VYDAJ	VYBER	15	35129	SLUZBY	\N	\N
126436	425	1997-12-31	VYDAJ	VYBER	15	40432	SLUZBY	\N	\N
126437	425	1998-01-31	VYDAJ	VYBER	15	30823	SLUZBY	\N	\N
126438	425	1998-02-28	VYDAJ	VYBER	15	37874	SLUZBY	\N	\N
126439	425	1998-03-31	VYDAJ	VYBER	15	42556	SLUZBY	\N	\N
126440	425	1998-04-30	VYDAJ	VYBER	15	41750	SLUZBY	\N	\N
126441	425	1998-05-31	VYDAJ	VYBER	15	42442	SLUZBY	\N	\N
126442	425	1998-06-30	VYDAJ	VYBER	15	46893	SLUZBY	\N	\N
126443	425	1998-07-31	VYDAJ	VYBER	15	48708	SLUZBY	\N	\N
126444	425	1998-08-31	VYDAJ	VYBER	15	52433	SLUZBY	\N	\N
126445	425	1998-09-30	VYDAJ	VYBER	15	49262	SLUZBY	\N	\N
126446	425	1998-10-31	VYDAJ	VYBER	15	48582	SLUZBY	\N	\N
126447	425	1998-11-30	VYDAJ	VYBER	15	44192	SLUZBY	\N	\N
126448	425	1993-04-18	PRIJEM	VKLAD	9600	15893	\N	\N	\N
126449	425	1993-05-18	PRIJEM	VKLAD	2200	24015	\N	\N	\N
126450	425	1993-06-17	VYDAJ	VYBER	5600	27336	\N	\N	\N
126451	425	1993-07-17	VYDAJ	VYBER	2900	30435	\N	\N	\N
126452	425	1993-08-16	VYDAJ	VYBER	4400	24402	\N	\N	\N
126453	425	1993-09-15	PRIJEM	VKLAD	100	24114	\N	\N	\N
126454	425	1993-10-15	VYDAJ	VYBER	2200	24628	\N	\N	\N
126455	425	1993-11-14	VYDAJ	VYBER	1600	24068	\N	\N	\N
126456	425	1993-12-14	VYDAJ	VYBER	2200	22611	\N	\N	\N
126457	425	1994-01-13	PRIJEM	VKLAD	2800	20441	\N	\N	\N
126458	425	1994-02-12	PRIJEM	VKLAD	4300	17054	\N	\N	\N
126459	425	1994-03-14	PRIJEM	VKLAD	4000	24395	\N	\N	\N
126460	425	1994-04-13	PRIJEM	VKLAD	1100	29009	\N	\N	\N
126461	425	1994-05-13	VYDAJ	VYBER	4100	27638	\N	\N	\N
126462	425	1994-06-12	VYDAJ	VYBER	6200	27118	\N	\N	\N
126463	425	1994-07-12	VYDAJ	VYBER	700	23385	\N	\N	\N
126464	425	1994-08-11	PRIJEM	VKLAD	4500	19063	\N	\N	\N
126465	425	1994-09-10	PRIJEM	VKLAD	6600	22478	\N	\N	\N
126466	425	1994-10-10	VYDAJ	VYBER	1400	23797	\N	\N	\N
126467	425	1994-11-09	VYDAJ	VYBER	2300	24232	\N	\N	\N
126468	425	1994-12-09	PRIJEM	VKLAD	2600	26090	\N	\N	\N
126469	425	1995-01-08	PRIJEM	VKLAD	1100	30790	\N	\N	\N
126470	425	1995-02-07	PRIJEM	VKLAD	3500	22175	\N	\N	\N
126471	425	1995-03-09	PRIJEM	VKLAD	2000	22098	\N	\N	\N
126472	425	1995-04-08	PRIJEM	VKLAD	600	27814	\N	\N	\N
126473	425	1995-05-08	VYDAJ	VYBER	2600	21604	\N	\N	\N
126474	425	1995-06-07	VYDAJ	VYBER	2900	23824	\N	\N	\N
126475	425	1995-07-07	VYDAJ	VYBER	2400	26262	\N	\N	\N
126476	425	1995-08-06	VYDAJ	VYBER	100	25057	\N	\N	\N
126477	425	1995-09-05	VYDAJ	VYBER	4200	23588	\N	\N	\N
126478	425	1995-10-05	VYDAJ	VYBER	2400	23978	\N	\N	\N
126479	425	1995-11-04	PRIJEM	VKLAD	200	22934	\N	\N	\N
126480	425	1995-12-04	VYDAJ	VYBER	4200	21452	\N	\N	\N
126481	425	1996-01-03	PRIJEM	VKLAD	4300	20699	\N	\N	\N
126482	425	1996-02-02	PRIJEM	VKLAD	3000	17505	\N	\N	\N
126483	425	1996-03-03	PRIJEM	VKLAD	2400	22599	\N	\N	\N
126484	425	1996-04-02	VYDAJ	VYBER	2000	23315	\N	\N	\N
126485	425	1996-05-02	PRIJEM	VKLAD	200	26237	\N	\N	\N
126486	425	1996-06-01	PRIJEM	VKLAD	200	29169	\N	\N	\N
126487	425	1996-07-01	VYDAJ	VYBER	3900	30968	\N	\N	\N
126488	425	1996-07-31	PRIJEM	VKLAD	1100	29062	\N	\N	\N
126489	425	1996-08-30	PRIJEM	VKLAD	1800	27960	\N	\N	\N
126490	425	1996-09-29	VYDAJ	VYBER	1900	28797	\N	\N	\N
126491	425	1996-10-29	VYDAJ	VYBER	4700	26836	\N	\N	\N
126492	425	1996-11-28	VYDAJ	VYBER	1800	26217	\N	\N	\N
126493	425	1996-12-28	VYDAJ	VYBER	1400	25857	\N	\N	\N
126494	425	1997-01-27	PRIJEM	VKLAD	5800	21308	\N	\N	\N
126495	425	1997-02-26	PRIJEM	VKLAD	1500	25514	\N	\N	\N
126496	425	1997-03-28	VYDAJ	VYBER	800	25625	\N	\N	\N
126497	425	1997-04-27	VYDAJ	VYBER	4000	22552	\N	\N	\N
126498	425	1997-05-27	PRIJEM	VKLAD	500	25773	\N	\N	\N
126499	425	1997-06-26	VYDAJ	VYBER	1300	30136	\N	\N	\N
126500	425	1997-07-26	VYDAJ	VYBER	300	27413	\N	\N	\N
126501	425	1997-08-25	PRIJEM	VKLAD	3600	33742	\N	\N	\N
126502	425	1997-09-24	VYDAJ	VYBER	3200	33282	\N	\N	\N
126503	425	1997-10-24	VYDAJ	VYBER	2200	33842	\N	\N	\N
126504	425	1997-11-23	VYDAJ	VYBER	1600	35001	\N	\N	\N
126505	425	1997-12-23	PRIJEM	VKLAD	700	41409	\N	\N	\N
126506	425	1998-01-22	PRIJEM	VKLAD	5600	33945	\N	\N	\N
126507	425	1998-02-21	PRIJEM	VKLAD	5500	37756	\N	\N	\N
126508	425	1998-03-23	PRIJEM	VKLAD	1900	42407	\N	\N	\N
126509	425	1998-04-22	VYDAJ	VYBER	3600	41589	\N	\N	\N
126510	425	1998-05-22	VYDAJ	VYBER	2100	42283	\N	\N	\N
126511	425	1998-06-21	VYDAJ	VYBER	700	46722	\N	\N	\N
126512	425	1998-07-21	VYDAJ	VYBER	1000	48526	\N	\N	\N
126513	425	1998-08-20	PRIJEM	VKLAD	900	52241	\N	\N	\N
126514	425	1998-09-19	VYDAJ	VYBER	6000	49066	\N	\N	\N
126515	425	1998-10-19	VYDAJ	VYBER	3500	48395	\N	\N	\N
126516	425	1998-11-18	VYDAJ	VYBER	7200	44015	\N	\N	\N
126517	425	1998-12-18	VYDAJ	VYBER	4800	39331	\N	\N	\N
126587	426	1993-11-29	PRIJEM	VKLAD	900	900	\N	\N	\N
126600	426	1993-12-20	PRIJEM	VKLAD	19612	20512	\N	\N	\N
126616	426	1994-10-08	PRIJEM	VKLAD	33238	60950	\N	\N	\N
126617	426	1994-08-23	PRIJEM	VKLAD	12931	53527	\N	\N	\N
126618	426	1994-04-10	PRIJEM	VKLAD	32587	93607	\N	\N	\N
126619	426	1994-03-28	PRIJEM	VKLAD	28805	106260	\N	\N	\N
126620	426	1994-01-25	PRIJEM	VKLAD	11033	55137	\N	\N	\N
126621	426	1994-07-10	PRIJEM	VKLAD	20025	96184	\N	\N	\N
126622	426	1994-01-09	PRIJEM	VKLAD	23884	44104	\N	\N	\N
126623	426	1994-07-04	PRIJEM	VKLAD	17488	77045	\N	\N	\N
126624	426	1994-04-17	PRIJEM	VKLAD	17330	76699	\N	\N	\N
126625	426	1994-08-29	PRIJEM	VKLAD	15043	53970	\N	\N	\N
126626	426	1994-04-02	PRIJEM	VKLAD	9152	73906	\N	\N	\N
126627	426	1994-07-03	PRIJEM	VKLAD	20825	59557	\N	\N	\N
126628	426	1994-09-16	PRIJEM	VKLAD	10667	44412	\N	\N	\N
126629	426	1994-06-07	PRIJEM	VKLAD	29824	78522	\N	\N	\N
126630	426	1994-05-11	PRIJEM	VKLAD	49937	86531	\N	\N	\N
126631	426	1994-10-19	PRIJEM	VKLAD	7724	47390	\N	\N	\N
126632	426	1994-06-22	PRIJEM	VKLAD	26221	54745	\N	\N	\N
126633	426	1994-03-27	PRIJEM	VKLAD	20971	77455	\N	\N	\N
126634	426	1994-11-16	PRIJEM	VKLAD	25676	48730	\N	\N	\N
126635	426	1994-03-26	PRIJEM	VKLAD	18110	56484	\N	\N	\N
126636	426	1994-02-17	PRIJEM	VKLAD	18312	73857	\N	\N	\N
126637	426	1994-12-21	PRIJEM	VKLAD	27354	42942	\N	\N	\N
126638	426	1994-12-27	PRIJEM	VKLAD	16195	51537	\N	\N	\N
126639	426	1994-05-29	PRIJEM	VKLAD	5422	48473	\N	\N	\N
126640	426	1994-02-12	PRIJEM	VKLAD	17900	55545	\N	\N	\N
126641	426	1994-07-29	PRIJEM	VKLAD	12609	61606	\N	\N	\N
126642	426	1995-10-03	PRIJEM	VKLAD	5689	20309	\N	\N	\N
126643	426	1995-05-03	PRIJEM	VKLAD	13691	32081	\N	\N	\N
126644	426	1996-06-23	PRIJEM	VKLAD	22635	46398	\N	\N	\N
126645	426	1996-11-28	PRIJEM	VKLAD	12833	35426	\N	\N	\N
126646	426	1996-03-23	PRIJEM	VKLAD	12165	38857	\N	\N	\N
126647	426	1996-04-07	PRIJEM	VKLAD	6603	45599	\N	\N	\N
126648	426	1996-02-20	PRIJEM	VKLAD	28100	42890	\N	\N	\N
126649	426	1996-10-10	PRIJEM	VKLAD	33058	47478	\N	\N	\N
126650	426	1996-05-27	PRIJEM	VKLAD	23553	40082	\N	\N	\N
126651	426	1997-09-16	PRIJEM	VKLAD	16732	22961	\N	\N	\N
126652	426	1997-01-11	PRIJEM	VKLAD	28638	53928	\N	\N	\N
126653	426	1997-10-17	PRIJEM	VKLAD	21063	31885	\N	\N	\N
126654	426	1997-04-14	PRIJEM	VKLAD	22816	35880	\N	\N	\N
126655	426	1997-06-26	PRIJEM	VKLAD	15446	26937	\N	\N	\N
126656	426	1998-07-12	PRIJEM	VKLAD	46768	78436	\N	\N	\N
126657	426	1998-02-18	PRIJEM	VKLAD	12376	34349	\N	\N	\N
126658	426	1998-07-28	PRIJEM	VKLAD	6702	78430	\N	\N	\N
126659	426	1998-12-12	PRIJEM	VKLAD	12776	48658	\N	\N	\N
126660	426	1998-10-25	PRIJEM	VKLAD	19202	42392	\N	\N	\N
126661	426	1998-04-25	PRIJEM	VKLAD	25363	24542	\N	\N	\N
126662	426	1998-07-23	PRIJEM	VKLAD	43290	110028	\N	\N	\N
126663	426	1998-01-03	PRIJEM	VKLAD	24473	27350	\N	\N	\N
126664	426	1998-11-17	PRIJEM	VKLAD	11140	59755	\N	\N	\N
126665	426	1998-11-26	PRIJEM	VKLAD	12792	70747	\N	\N	\N
126666	426	1998-11-11	PRIJEM	VKLAD	20028	60314	\N	\N	\N
126667	426	1998-10-30	PRIJEM	VKLAD	38926	81318	\N	\N	\N
126668	426	1998-01-11	PRIJEM	VKLAD	40534	56598	\N	\N	\N
126669	426	1998-08-17	PRIJEM	VKLAD	46231	78352	\N	\N	\N
126670	426	1998-01-18	PRIJEM	VKLAD	41000	75699	\N	\N	\N
126671	426	1998-06-23	PRIJEM	VKLAD	47894	47330	\N	\N	\N
126672	426	1998-09-12	PRIJEM	VKLAD	33226	72637	\N	\N	\N
126673	426	1998-06-25	PRIJEM	VKLAD	43259	90589	\N	\N	\N
126688	426	1994-03-15	VYDAJ	VYBER	4300	38374	\N	\N	0
126689	426	1994-04-11	VYDAJ	VYBER	3800	89807	\N	\N	0
126690	426	1994-05-01	VYDAJ	VYBER	4400	45681	\N	\N	0
126691	426	1994-06-17	VYDAJ	VYBER	3700	28524	\N	\N	0
126692	426	1994-07-13	VYDAJ	VYBER	4600	91584	\N	\N	0
126693	426	1994-08-12	VYDAJ	PREVOD NA UCET	4201	48093	UVER	MN	45444989
126694	426	1994-09-12	VYDAJ	PREVOD NA UCET	4201	41242	UVER	MN	45444989
126695	426	1994-10-12	VYDAJ	PREVOD NA UCET	4201	47163	UVER	MN	45444989
126696	426	1994-11-12	VYDAJ	PREVOD NA UCET	4201	30551	UVER	MN	45444989
126697	426	1994-12-12	VYDAJ	PREVOD NA UCET	4201	23085	UVER	MN	45444989
126698	426	1995-01-12	VYDAJ	PREVOD NA UCET	4201	30016	UVER	MN	45444989
126699	426	1995-02-12	VYDAJ	PREVOD NA UCET	4201	15339	UVER	MN	45444989
126700	426	1995-03-12	VYDAJ	PREVOD NA UCET	4201	11003	UVER	MN	45444989
126701	426	1995-04-12	VYDAJ	PREVOD NA UCET	4201	10751	UVER	MN	45444989
126702	426	1995-05-12	VYDAJ	PREVOD NA UCET	4201	26993	UVER	MN	45444989
126703	426	1995-06-12	VYDAJ	PREVOD NA UCET	4201	18184	UVER	MN	45444989
126704	426	1995-07-12	VYDAJ	PREVOD NA UCET	4201	13560	UVER	MN	45444989
126705	426	1995-08-12	VYDAJ	PREVOD NA UCET	4201	13322	UVER	MN	45444989
126706	426	1995-09-12	VYDAJ	PREVOD NA UCET	4201	10681	UVER	MN	45444989
126707	426	1995-10-12	VYDAJ	PREVOD NA UCET	4201	15222	UVER	MN	45444989
126708	426	1995-11-12	VYDAJ	PREVOD NA UCET	4201	14587	UVER	MN	45444989
126709	426	1995-12-12	VYDAJ	PREVOD NA UCET	4201	14758	UVER	MN	45444989
126710	426	1996-01-12	VYDAJ	PREVOD NA UCET	4201	11425	UVER	MN	45444989
126711	426	1996-02-12	VYDAJ	PREVOD NA UCET	4201	12887	UVER	MN	45444989
126712	426	1996-03-12	VYDAJ	PREVOD NA UCET	4201	37889	UVER	MN	45444989
126713	426	1996-04-12	VYDAJ	PREVOD NA UCET	4201	18925	UVER	MN	45444989
126714	426	1996-05-12	VYDAJ	PREVOD NA UCET	4201	13226	UVER	MN	45444989
126715	426	1996-06-12	VYDAJ	PREVOD NA UCET	4201	35060	UVER	MN	45444989
126716	426	1996-07-12	VYDAJ	PREVOD NA UCET	4201	33348	UVER	MN	45444989
126717	426	1996-08-12	VYDAJ	PREVOD NA UCET	4201	18478	UVER	MN	45444989
126718	426	1996-09-12	VYDAJ	PREVOD NA UCET	4201	11256	UVER	MN	45444989
126719	426	1996-10-12	VYDAJ	PREVOD NA UCET	4201	43277	UVER	MN	45444989
126720	426	1996-11-12	VYDAJ	PREVOD NA UCET	4201	24490	UVER	MN	45444989
126721	426	1996-12-12	VYDAJ	PREVOD NA UCET	4201	28649	UVER	MN	45444989
126722	426	1997-01-12	VYDAJ	PREVOD NA UCET	4201	43826	UVER	MN	45444989
126723	426	1997-02-12	VYDAJ	PREVOD NA UCET	4201	17948	UVER	MN	45444989
126724	426	1997-03-12	VYDAJ	PREVOD NA UCET	4201	5410	UVER	MN	45444989
126725	426	1997-04-12	VYDAJ	PREVOD NA UCET	4201	20561	UVER	MN	45444989
126726	426	1997-05-12	VYDAJ	PREVOD NA UCET	4201	27588	UVER	MN	45444989
126727	426	1997-06-12	VYDAJ	PREVOD NA UCET	4201	18988	UVER	MN	45444989
126728	426	1997-07-12	VYDAJ	PREVOD NA UCET	4201	22007	UVER	MN	45444989
126729	426	1997-08-12	VYDAJ	PREVOD NA UCET	4201	14586	UVER	MN	45444989
126731	426	1997-10-12	VYDAJ	PREVOD NA UCET	4201	18319	UVER	MN	45444989
126732	426	1997-11-12	VYDAJ	PREVOD NA UCET	4201	19088	UVER	MN	45444989
126733	426	1997-12-12	VYDAJ	PREVOD NA UCET	4201	10364	UVER	MN	45444989
126734	426	1998-01-12	VYDAJ	PREVOD NA UCET	4201	46396	UVER	MN	45444989
126735	426	1998-02-12	VYDAJ	PREVOD NA UCET	4201	29470	UVER	MN	45444989
126736	426	1998-03-12	VYDAJ	PREVOD NA UCET	4201	15010	UVER	MN	45444989
126738	426	1998-05-12	VYDAJ	PREVOD NA UCET	4201	19465	UVER	MN	45444989
126739	426	1998-06-12	VYDAJ	PREVOD NA UCET	4201	6933	UVER	MN	45444989
126740	426	1998-07-12	VYDAJ	PREVOD NA UCET	4201	74235	UVER	MN	45444989
126741	426	1998-08-12	VYDAJ	PREVOD NA UCET	4201	39618	UVER	MN	45444989
126742	426	1998-09-12	VYDAJ	PREVOD NA UCET	4201	68436	UVER	MN	45444989
126743	426	1998-10-12	VYDAJ	PREVOD NA UCET	4201	30687	UVER	MN	45444989
126744	426	1998-11-12	VYDAJ	PREVOD NA UCET	4201	56112	UVER	MN	45444989
126745	426	1998-12-12	VYDAJ	PREVOD NA UCET	4201	44457	UVER	MN	45444989
126760	426	1994-03-13	VYDAJ	PREVOD NA UCET	7497	42674	SIPO	AB	9528249
126761	426	1994-04-13	VYDAJ	PREVOD NA UCET	7497	82310	SIPO	AB	9528249
126762	426	1994-05-13	VYDAJ	PREVOD NA UCET	7497	74247	SIPO	AB	9528249
126763	426	1994-06-13	VYDAJ	PREVOD NA UCET	7497	70139	SIPO	AB	9528249
126764	426	1994-07-13	VYDAJ	PREVOD NA UCET	7497	84087	SIPO	AB	9528249
126765	426	1994-08-13	VYDAJ	PREVOD NA UCET	7497	40596	SIPO	AB	9528249
126766	426	1994-09-13	VYDAJ	PREVOD NA UCET	7497	33745	SIPO	AB	9528249
126767	426	1994-10-13	VYDAJ	PREVOD NA UCET	7497	39666	SIPO	AB	9528249
126768	426	1994-11-13	VYDAJ	PREVOD NA UCET	7497	23054	SIPO	AB	9528249
126769	426	1994-12-13	VYDAJ	PREVOD NA UCET	7497	15588	SIPO	AB	9528249
126770	426	1995-01-13	VYDAJ	PREVOD NA UCET	7497	18319	SIPO	AB	9528249
126771	426	1995-02-13	VYDAJ	PREVOD NA UCET	7497	7842	SIPO	AB	9528249
126772	426	1995-03-13	VYDAJ	PREVOD NA UCET	7497	3506	SIPO	AB	9528249
126773	426	1995-04-13	VYDAJ	PREVOD NA UCET	7497	3254	SIPO	AB	9528249
126774	426	1995-05-13	VYDAJ	PREVOD NA UCET	7497	19496	SIPO	AB	9528249
126775	426	1995-06-13	VYDAJ	PREVOD NA UCET	7497	10687	SIPO	AB	9528249
126776	426	1995-07-13	VYDAJ	PREVOD NA UCET	7497	6063	SIPO	AB	9528249
126777	426	1995-08-13	VYDAJ	PREVOD NA UCET	7497	5825	SIPO	AB	9528249
126778	426	1995-09-13	VYDAJ	PREVOD NA UCET	7497	3184	SIPO	AB	9528249
126779	426	1995-10-13	VYDAJ	PREVOD NA UCET	7497	7725	SIPO	AB	9528249
126780	426	1995-11-13	VYDAJ	PREVOD NA UCET	7497	7090	SIPO	AB	9528249
126781	426	1995-12-13	VYDAJ	PREVOD NA UCET	7497	7261	SIPO	AB	9528249
126782	426	1996-01-13	VYDAJ	PREVOD NA UCET	7497	3928	SIPO	AB	9528249
126783	426	1996-02-13	VYDAJ	PREVOD NA UCET	7497	5390	SIPO	AB	9528249
126784	426	1996-03-13	VYDAJ	PREVOD NA UCET	7497	30392	SIPO	AB	9528249
126785	426	1996-04-13	VYDAJ	PREVOD NA UCET	7497	11428	SIPO	AB	9528249
126786	426	1996-05-13	VYDAJ	PREVOD NA UCET	7497	5729	SIPO	AB	9528249
126787	426	1996-06-13	VYDAJ	PREVOD NA UCET	7497	27563	SIPO	AB	9528249
126788	426	1996-07-13	VYDAJ	PREVOD NA UCET	7497	25851	SIPO	AB	9528249
126789	426	1996-08-13	VYDAJ	PREVOD NA UCET	7497	10981	SIPO	AB	9528249
126790	426	1996-09-13	VYDAJ	PREVOD NA UCET	7497	3759	SIPO	AB	9528249
126791	426	1996-10-13	VYDAJ	PREVOD NA UCET	7497	35780	SIPO	AB	9528249
126792	426	1996-11-13	VYDAJ	PREVOD NA UCET	7497	22593	SIPO	AB	9528249
126793	426	1996-12-13	VYDAJ	PREVOD NA UCET	7497	26052	SIPO	AB	9528249
126794	426	1997-01-13	VYDAJ	PREVOD NA UCET	7497	31229	SIPO	AB	9528249
126795	426	1997-02-13	VYDAJ	PREVOD NA UCET	7497	10451	SIPO	AB	9528249
126797	426	1997-04-13	VYDAJ	PREVOD NA UCET	7497	13064	SIPO	AB	9528249
126798	426	1997-05-13	VYDAJ	PREVOD NA UCET	7497	20091	SIPO	AB	9528249
126799	426	1997-06-13	VYDAJ	PREVOD NA UCET	7497	11491	SIPO	AB	9528249
126800	426	1997-07-13	VYDAJ	PREVOD NA UCET	7497	14510	SIPO	AB	9528249
126801	426	1997-08-13	VYDAJ	PREVOD NA UCET	7497	7089	SIPO	AB	9528249
126803	426	1997-10-13	VYDAJ	PREVOD NA UCET	7497	10822	SIPO	AB	9528249
126804	426	1997-11-13	VYDAJ	PREVOD NA UCET	7497	11591	SIPO	AB	9528249
126805	426	1997-12-13	VYDAJ	PREVOD NA UCET	7497	2867	SIPO	AB	9528249
126806	426	1998-01-13	VYDAJ	PREVOD NA UCET	7497	38899	SIPO	AB	9528249
126807	426	1998-02-13	VYDAJ	PREVOD NA UCET	7497	21973	SIPO	AB	9528249
126808	426	1998-03-13	VYDAJ	PREVOD NA UCET	7497	7513	SIPO	AB	9528249
126809	426	1998-04-13	VYDAJ	PREVOD NA UCET	7497	-821	SIPO	AB	9528249
126810	426	1998-05-13	VYDAJ	PREVOD NA UCET	7497	11968	SIPO	AB	9528249
126811	426	1998-06-13	VYDAJ	PREVOD NA UCET	7497	-564	SIPO	AB	9528249
126812	426	1998-07-13	VYDAJ	PREVOD NA UCET	7497	66738	SIPO	AB	9528249
126813	426	1998-08-13	VYDAJ	PREVOD NA UCET	7497	32121	SIPO	AB	9528249
126814	426	1998-09-13	VYDAJ	PREVOD NA UCET	7497	60939	SIPO	AB	9528249
126815	426	1998-10-13	VYDAJ	PREVOD NA UCET	7497	23190	SIPO	AB	9528249
126816	426	1998-11-13	VYDAJ	PREVOD NA UCET	7497	48615	SIPO	AB	9528249
126817	426	1998-12-13	VYDAJ	PREVOD NA UCET	7497	36960	SIPO	AB	9528249
126832	426	1994-03-09	VYDAJ	PREVOD NA UCET	886	50171	 	GH	34606760
126833	426	1994-04-09	VYDAJ	PREVOD NA UCET	886	61020	 	GH	34606760
126834	426	1994-05-09	VYDAJ	PREVOD NA UCET	886	36594	 	GH	34606760
126835	426	1994-06-09	VYDAJ	PREVOD NA UCET	886	77636	 	GH	34606760
126836	426	1994-07-09	VYDAJ	PREVOD NA UCET	886	76159	 	GH	34606760
126837	426	1994-08-09	VYDAJ	PREVOD NA UCET	886	52294	 	GH	34606760
126838	426	1994-09-09	VYDAJ	PREVOD NA UCET	886	45443	 	GH	34606760
126839	426	1994-10-09	VYDAJ	PREVOD NA UCET	886	60064	 	GH	34606760
126840	426	1994-11-09	VYDAJ	PREVOD NA UCET	886	34752	 	GH	34606760
126841	426	1994-12-09	VYDAJ	PREVOD NA UCET	886	27286	 	GH	34606760
126842	426	1995-01-09	VYDAJ	PREVOD NA UCET	886	43571	 	GH	34606760
126843	426	1995-02-09	VYDAJ	PREVOD NA UCET	886	19540	 	GH	34606760
126844	426	1995-03-09	VYDAJ	PREVOD NA UCET	886	15204	 	GH	34606760
126845	426	1995-04-09	VYDAJ	PREVOD NA UCET	886	14952	 	GH	34606760
126846	426	1995-05-09	VYDAJ	PREVOD NA UCET	886	31195	 	GH	34606760
126847	426	1995-06-09	VYDAJ	PREVOD NA UCET	886	22386	 	GH	34606760
126848	426	1995-07-09	VYDAJ	PREVOD NA UCET	886	17761	 	GH	34606760
126849	426	1995-08-09	VYDAJ	PREVOD NA UCET	886	17523	 	GH	34606760
126850	426	1995-09-09	VYDAJ	PREVOD NA UCET	886	14882	 	GH	34606760
126851	426	1995-10-09	VYDAJ	PREVOD NA UCET	886	19423	 	GH	34606760
126852	426	1995-11-09	VYDAJ	PREVOD NA UCET	886	18788	 	GH	34606760
126853	426	1995-12-09	VYDAJ	PREVOD NA UCET	886	18959	 	GH	34606760
126854	426	1996-01-09	VYDAJ	PREVOD NA UCET	886	15626	 	GH	34606760
126855	426	1996-02-09	VYDAJ	PREVOD NA UCET	886	17089	 	GH	34606760
126856	426	1996-03-09	VYDAJ	PREVOD NA UCET	886	42090	 	GH	34606760
126857	426	1996-04-09	VYDAJ	PREVOD NA UCET	886	44713	 	GH	34606760
126858	426	1996-05-09	VYDAJ	PREVOD NA UCET	886	17427	 	GH	34606760
126859	426	1996-06-09	VYDAJ	PREVOD NA UCET	886	39262	 	GH	34606760
126860	426	1996-07-09	VYDAJ	PREVOD NA UCET	886	37549	 	GH	34606760
126861	426	1996-08-09	VYDAJ	PREVOD NA UCET	886	22680	 	GH	34606760
126862	426	1996-09-09	VYDAJ	PREVOD NA UCET	886	15457	 	GH	34606760
126863	426	1996-10-09	VYDAJ	PREVOD NA UCET	886	14420	 	GH	34606760
126864	426	1996-11-09	VYDAJ	PREVOD NA UCET	886	28691	 	GH	34606760
126865	426	1996-12-09	VYDAJ	PREVOD NA UCET	886	32850	 	GH	34606760
126866	426	1997-01-09	VYDAJ	PREVOD NA UCET	886	25290	 	GH	34606760
126867	426	1997-02-09	VYDAJ	PREVOD NA UCET	886	19950	 	GH	34606760
126868	426	1997-03-09	VYDAJ	PREVOD NA UCET	886	9611	 	GH	34606760
126869	426	1997-04-09	VYDAJ	PREVOD NA UCET	886	14062	 	GH	34606760
126870	426	1997-05-09	VYDAJ	PREVOD NA UCET	886	30289	 	GH	34606760
126871	426	1997-06-09	VYDAJ	PREVOD NA UCET	886	19289	 	GH	34606760
126872	426	1997-07-09	VYDAJ	PREVOD NA UCET	886	26108	 	GH	34606760
126873	426	1997-08-09	VYDAJ	PREVOD NA UCET	886	13687	 	GH	34606760
126874	426	1997-09-09	VYDAJ	PREVOD NA UCET	886	6229	 	GH	34606760
126875	426	1997-10-09	VYDAJ	PREVOD NA UCET	886	22520	 	GH	34606760
126876	426	1997-11-09	VYDAJ	PREVOD NA UCET	886	23289	 	GH	34606760
126877	426	1997-12-09	VYDAJ	PREVOD NA UCET	886	14565	 	GH	34606760
126878	426	1998-01-09	VYDAJ	PREVOD NA UCET	886	16064	 	GH	34606760
126879	426	1998-02-09	VYDAJ	PREVOD NA UCET	886	33671	 	GH	34606760
126880	426	1998-03-09	VYDAJ	PREVOD NA UCET	886	19212	 	GH	34606760
126881	426	1998-04-09	VYDAJ	PREVOD NA UCET	886	6676	 	GH	34606760
126882	426	1998-05-09	VYDAJ	PREVOD NA UCET	886	23667	 	GH	34606760
126883	426	1998-06-09	VYDAJ	PREVOD NA UCET	886	11134	 	GH	34606760
126884	426	1998-07-09	VYDAJ	PREVOD NA UCET	886	31668	 	GH	34606760
126885	426	1998-08-09	VYDAJ	PREVOD NA UCET	886	43819	 	GH	34606760
126886	426	1998-09-09	VYDAJ	PREVOD NA UCET	886	39411	 	GH	34606760
126887	426	1998-10-09	VYDAJ	PREVOD NA UCET	886	34888	 	GH	34606760
126888	426	1998-11-09	VYDAJ	PREVOD NA UCET	886	40286	 	GH	34606760
126889	426	1998-12-09	VYDAJ	PREVOD NA UCET	886	35882	 	GH	34606760
126899	426	1994-05-12	VYBER	VYBER	4787	81744	\N	\N	\N
126900	426	1994-09-05	VYBER	VYBER	7834	46329	\N	\N	\N
126901	426	1994-05-02	VYBER	VYBER	8201	37480	\N	\N	\N
126902	426	1994-09-27	VYBER	VYBER	9465	27547	\N	\N	\N
126903	426	1994-07-14	VYBER	VYBER	13990	70097	\N	\N	\N
126904	426	1994-06-17	VYBER	VYBER	4615	32224	\N	\N	\N
126905	426	1994-05-20	VYBER	VYBER	9796	64451	\N	\N	\N
126906	426	1994-04-16	VYBER	VYBER	22941	59369	\N	\N	\N
126910	426	1995-01-12	VYBER	VYBER	6354	37217	\N	\N	\N
126920	426	1996-04-10	VYBER	VYBER	21586	23127	\N	\N	\N
126931	426	1994-06-14	VYDAJ	VYBER	33300	36839	\N	\N	\N
126935	426	1998-06-26	VYDAJ	VYBER	31200	59389	\N	\N	\N
126937	426	1994-12-29	VYDAJ	VYBER	4500	47037	\N	\N	\N
126939	426	1996-12-01	VYDAJ	VYBER	1800	33736	\N	\N	\N
126941	426	1998-12-16	VYDAJ	VYBER	8100	28860	\N	\N	\N
126954	426	1995-01-04	VYDAJ	VYBER	2700	44457	\N	\N	\N
126956	426	1995-01-12	VYDAJ	VYBER	4200	25816	\N	\N	\N
126958	426	1995-01-12	VYDAJ	VYBER	3000	34217	\N	\N	\N
126967	426	1997-01-28	VYDAJ	VYBER	4500	26729	\N	\N	\N
126968	426	1997-01-12	VYDAJ	VYBER	5100	38726	\N	\N	\N
126971	426	1997-01-28	VYDAJ	VYBER	6000	20729	\N	\N	\N
126972	426	1998-01-14	VYDAJ	VYBER	4200	34699	\N	\N	\N
126973	426	1998-01-11	VYDAJ	VYBER	6000	50598	\N	\N	\N
126975	426	1998-01-22	VYDAJ	VYBER	5700	66999	\N	\N	\N
126976	426	1998-01-19	VYDAJ	VYBER	3000	72699	\N	\N	\N
126985	426	1994-10-11	VYDAJ	VYBER	8700	51364	\N	\N	\N
126986	426	1994-12-06	VYDAJ	VYBER	8100	28172	\N	\N	\N
126987	426	1994-08-06	VYDAJ	VYBER	8700	53180	\N	\N	\N
126988	426	1994-04-04	VYDAJ	VYBER	12000	61906	\N	\N	\N
126997	426	1996-07-01	VYDAJ	VYBER	8100	38435	\N	\N	\N
127003	426	1997-04-30	VYDAJ	VYBER	4800	31189	\N	\N	\N
127007	426	1998-11-04	VYDAJ	VYBER	2100	41172	\N	\N	\N
127008	426	1998-11-19	VYDAJ	VYBER	1800	57955	\N	\N	\N
127010	426	1998-01-27	VYDAJ	VYBER	5100	61899	\N	\N	\N
127013	426	1998-08-19	VYDAJ	VYBER	11400	66952	\N	\N	\N
127029	426	1994-02-28	VYDAJ	VYBER	15	51057	SLUZBY	\N	\N
127030	426	1994-03-31	VYDAJ	VYBER	15	64754	SLUZBY	\N	\N
127031	426	1994-04-30	VYDAJ	VYBER	15	50081	SLUZBY	\N	\N
127032	426	1994-05-31	VYDAJ	VYBER	15	48698	SLUZBY	\N	\N
127033	426	1994-06-30	VYDAJ	VYBER	15	38732	SLUZBY	\N	\N
127034	426	1994-07-31	VYDAJ	VYBER	15	61880	SLUZBY	\N	\N
127035	426	1994-08-31	VYDAJ	VYBER	15	54163	SLUZBY	\N	\N
127036	426	1994-09-30	VYDAJ	VYBER	15	27712	SLUZBY	\N	\N
127037	426	1994-10-31	VYDAJ	VYBER	15	35638	SLUZBY	\N	\N
127038	426	1994-11-30	VYDAJ	VYBER	15	36272	SLUZBY	\N	\N
127039	426	1994-12-31	VYDAJ	VYBER	15	47157	SLUZBY	\N	\N
127040	426	1995-01-31	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
127041	426	1995-02-28	VYDAJ	VYBER	15	16090	SLUZBY	\N	\N
127042	426	1995-03-31	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
127043	426	1995-04-30	VYDAJ	VYBER	15	18390	SLUZBY	\N	\N
127044	426	1995-05-31	VYDAJ	VYBER	15	23272	SLUZBY	\N	\N
127045	426	1995-06-30	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
127046	426	1995-07-31	VYDAJ	VYBER	15	18409	SLUZBY	\N	\N
127047	426	1995-08-31	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
127048	426	1995-09-30	VYDAJ	VYBER	15	14620	SLUZBY	\N	\N
127049	426	1995-10-31	VYDAJ	VYBER	15	19674	SLUZBY	\N	\N
127050	426	1995-11-30	VYDAJ	VYBER	15	19845	SLUZBY	\N	\N
127051	426	1995-12-31	VYDAJ	VYBER	15	16512	SLUZBY	\N	\N
127052	426	1996-01-31	VYDAJ	VYBER	15	17975	SLUZBY	\N	\N
127053	426	1996-02-29	VYDAJ	VYBER	15	42976	SLUZBY	\N	\N
127054	426	1996-03-31	VYDAJ	VYBER	15	38996	SLUZBY	\N	\N
127055	426	1996-04-30	VYDAJ	VYBER	15	18313	SLUZBY	\N	\N
127056	426	1996-05-31	VYDAJ	VYBER	15	40148	SLUZBY	\N	\N
127057	426	1996-06-30	VYDAJ	VYBER	15	46535	SLUZBY	\N	\N
127058	426	1996-07-31	VYDAJ	VYBER	15	23566	SLUZBY	\N	\N
127059	426	1996-08-31	VYDAJ	VYBER	15	16343	SLUZBY	\N	\N
127060	426	1996-09-30	VYDAJ	VYBER	15	15306	SLUZBY	\N	\N
127061	426	1996-10-31	VYDAJ	VYBER	15	29577	SLUZBY	\N	\N
127062	426	1996-11-30	VYDAJ	VYBER	15	35536	SLUZBY	\N	\N
127063	426	1996-12-31	VYDAJ	VYBER	15	26176	SLUZBY	\N	\N
127064	426	1997-01-31	VYDAJ	VYBER	15	20836	SLUZBY	\N	\N
127065	426	1997-02-28	VYDAJ	VYBER	15	10497	SLUZBY	\N	\N
127066	426	1997-03-31	VYDAJ	VYBER	15	14948	SLUZBY	\N	\N
127067	426	1997-04-30	VYDAJ	VYBER	15	31175	SLUZBY	\N	\N
127068	426	1997-05-31	VYDAJ	VYBER	15	20175	SLUZBY	\N	\N
127069	426	1997-06-30	VYDAJ	VYBER	15	26994	SLUZBY	\N	\N
127070	426	1997-07-31	VYDAJ	VYBER	15	14573	SLUZBY	\N	\N
127071	426	1997-08-31	VYDAJ	VYBER	15	7115	SLUZBY	\N	\N
127072	426	1997-09-30	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
127073	426	1997-10-31	VYDAJ	VYBER	15	31975	SLUZBY	\N	\N
127074	426	1997-11-30	VYDAJ	VYBER	15	11651	SLUZBY	\N	\N
127075	426	1997-12-31	VYDAJ	VYBER	15	2877	SLUZBY	\N	\N
127076	426	1998-01-31	VYDAJ	VYBER	15	62057	SLUZBY	\N	\N
127077	426	1998-02-28	VYDAJ	VYBER	15	34498	SLUZBY	\N	\N
127078	426	1998-03-31	VYDAJ	VYBER	15	7562	SLUZBY	\N	\N
127079	426	1998-04-30	VYDAJ	VYBER	15	24559	SLUZBY	\N	\N
127080	426	1998-05-31	VYDAJ	VYBER	15	12020	SLUZBY	\N	\N
127081	426	1998-06-30	VYDAJ	VYBER	15	59459	SLUZBY	\N	\N
127082	426	1998-07-31	VYDAJ	VYBER	15	78705	SLUZBY	\N	\N
127083	426	1998-08-31	VYDAJ	VYBER	15	67197	SLUZBY	\N	\N
127084	426	1998-09-30	VYDAJ	VYBER	15	61174	SLUZBY	\N	\N
127085	426	1998-10-31	VYDAJ	VYBER	15	81472	SLUZBY	\N	\N
127086	426	1998-11-30	VYDAJ	VYBER	15	70968	SLUZBY	\N	\N
127087	426	1993-12-29	VYDAJ	VYBER	300	20212	\N	\N	\N
127088	426	1994-01-28	VYDAJ	VYBER	17600	37537	\N	\N	\N
127089	426	1994-02-27	VYDAJ	VYBER	23000	50857	\N	\N	\N
127090	426	1994-03-29	VYDAJ	VYBER	41700	64560	\N	\N	\N
127091	426	1994-04-28	VYDAJ	VYBER	26900	49799	\N	\N	\N
127092	426	1994-05-28	VYDAJ	VYBER	21400	43051	\N	\N	\N
127093	426	1994-06-27	VYDAJ	VYBER	16200	38545	\N	\N	\N
127094	426	1994-07-27	VYDAJ	VYBER	21100	48997	\N	\N	\N
127095	426	1994-08-26	VYDAJ	VYBER	14600	38927	\N	\N	\N
127096	426	1994-09-25	VYDAJ	VYBER	7400	37012	\N	\N	\N
127097	426	1994-10-25	VYDAJ	VYBER	11900	35490	\N	\N	\N
127098	426	1994-11-24	VYDAJ	VYBER	12600	36130	\N	\N	\N
127099	426	1994-12-24	VYDAJ	VYBER	7600	35342	\N	\N	\N
127100	426	1995-01-23	PRIJEM	VKLAD	2000	20319	\N	\N	\N
127101	426	1995-02-22	PRIJEM	VKLAD	8200	16042	\N	\N	\N
127102	426	1995-03-24	PRIJEM	VKLAD	12300	15806	\N	\N	\N
127103	426	1995-04-23	PRIJEM	VKLAD	15100	18354	\N	\N	\N
127104	426	1995-05-23	PRIJEM	VKLAD	3700	23196	\N	\N	\N
127105	426	1995-06-22	PRIJEM	VKLAD	7900	18587	\N	\N	\N
127106	426	1995-07-22	PRIJEM	VKLAD	12300	18363	\N	\N	\N
127107	426	1995-08-21	PRIJEM	VKLAD	9900	15725	\N	\N	\N
127108	426	1995-09-20	PRIJEM	VKLAD	11400	14584	\N	\N	\N
127109	426	1995-10-20	PRIJEM	VKLAD	11900	19625	\N	\N	\N
127110	426	1995-11-19	PRIJEM	VKLAD	12700	19790	\N	\N	\N
127111	426	1995-12-19	PRIJEM	VKLAD	9200	16461	\N	\N	\N
127112	426	1996-01-18	PRIJEM	VKLAD	14000	17928	\N	\N	\N
127113	426	1996-02-17	PRIJEM	VKLAD	9400	14790	\N	\N	\N
127114	426	1996-03-18	VYDAJ	VYBER	3700	26692	\N	\N	\N
127115	426	1996-04-17	PRIJEM	VKLAD	6800	18228	\N	\N	\N
127116	426	1996-05-17	PRIJEM	VKLAD	10800	16529	\N	\N	\N
127117	426	1996-06-16	VYDAJ	VYBER	3800	23763	\N	\N	\N
127118	426	1996-07-16	VYDAJ	VYBER	2400	23451	\N	\N	\N
127119	426	1996-08-15	PRIJEM	VKLAD	5300	16281	\N	\N	\N
127120	426	1996-09-14	PRIJEM	VKLAD	11500	15259	\N	\N	\N
127121	426	1996-10-14	VYDAJ	VYBER	6300	29480	\N	\N	\N
127122	426	1996-11-13	PRIJEM	VKLAD	5600	30090	\N	\N	\N
127123	426	1996-12-13	PRIJEM	VKLAD	4900	33549	\N	\N	\N
127124	426	1997-01-12	VYDAJ	VYBER	5900	48028	\N	\N	\N
127125	426	1997-02-11	PRIJEM	VKLAD	2200	22150	\N	\N	\N
127126	426	1997-03-13	PRIJEM	VKLAD	9500	14910	\N	\N	\N
127127	426	1997-04-12	PRIJEM	VKLAD	10700	24762	\N	\N	\N
127128	426	1997-05-12	PRIJEM	VKLAD	1500	31789	\N	\N	\N
127129	426	1997-06-11	PRIJEM	VKLAD	3900	23189	\N	\N	\N
127130	426	1997-07-11	PRIJEM	VKLAD	100	26208	\N	\N	\N
127131	426	1997-08-10	PRIJEM	VKLAD	5100	18787	\N	\N	\N
127132	426	1997-10-09	PRIJEM	VKLAD	400	23406	\N	\N	\N
127133	426	1997-11-08	VYDAJ	VYBER	7800	24175	\N	\N	\N
127134	426	1997-12-08	PRIJEM	VKLAD	3800	15451	\N	\N	\N
127135	426	1998-01-07	VYDAJ	VYBER	10400	16950	\N	\N	\N
127136	426	1998-02-06	VYDAJ	VYBER	27500	34557	\N	\N	\N
127137	426	1998-03-08	VYDAJ	VYBER	14400	20098	\N	\N	\N
127138	426	1998-07-06	VYDAJ	VYBER	26900	32554	\N	\N	\N
127139	426	1998-07-23	VYDAJ	VYBER	38300	71728	\N	\N	\N
127140	426	1998-08-05	VYDAJ	VYBER	34000	44705	\N	\N	\N
127141	426	1998-09-04	VYDAJ	VYBER	26900	40297	\N	\N	\N
127142	426	1998-10-04	VYDAJ	VYBER	25400	35774	\N	\N	\N
127143	426	1998-11-03	VYDAJ	VYBER	38200	43272	\N	\N	\N
127144	426	1998-12-03	VYDAJ	VYBER	34200	36768	\N	\N	\N
127211	427	1994-07-24	PRIJEM	VKLAD	700	700	\N	\N	\N
127219	427	1994-08-05	PRIJEM	VKLAD	23081	23781	\N	\N	\N
127220	427	1994-09-05	PRIJEM	VKLAD	23081	47091	\N	\N	\N
127221	427	1994-10-05	PRIJEM	VKLAD	23081	57885	\N	\N	\N
127222	427	1994-11-05	PRIJEM	VKLAD	23081	62717	\N	\N	\N
127223	427	1994-12-05	PRIJEM	VKLAD	34622	76207	\N	\N	\N
127224	427	1995-01-05	PRIJEM	VKLAD	23081	66801	\N	\N	\N
127225	427	1995-02-05	PRIJEM	VKLAD	23081	49601	\N	\N	\N
127226	427	1995-03-05	PRIJEM	VKLAD	23081	54718	\N	\N	\N
127227	427	1995-04-05	PRIJEM	VKLAD	23081	59599	\N	\N	\N
127228	427	1995-05-05	PRIJEM	VKLAD	23081	58965	\N	\N	\N
127229	427	1995-06-05	PRIJEM	VKLAD	34622	66149	\N	\N	\N
127230	427	1995-07-05	PRIJEM	VKLAD	23081	51726	\N	\N	\N
127231	427	1995-08-05	PRIJEM	VKLAD	23081	56525	\N	\N	\N
127232	427	1995-09-05	PRIJEM	VKLAD	23081	59881	\N	\N	\N
127233	427	1995-10-05	PRIJEM	VKLAD	23081	62848	\N	\N	\N
127234	427	1995-11-05	PRIJEM	VKLAD	23081	63823	\N	\N	\N
127235	427	1995-12-05	PRIJEM	VKLAD	34622	73105	\N	\N	\N
127236	427	1996-01-05	PRIJEM	VKLAD	23081	63143	\N	\N	\N
127237	427	1996-02-05	PRIJEM	VKLAD	23081	50958	\N	\N	\N
127238	427	1996-03-05	PRIJEM	VKLAD	23081	62102	\N	\N	\N
127239	427	1996-04-05	PRIJEM	VKLAD	23081	70988	\N	\N	\N
127240	427	1996-05-05	PRIJEM	VKLAD	23081	75299	\N	\N	\N
127241	427	1996-06-05	PRIJEM	VKLAD	34622	87260	\N	\N	\N
127242	427	1996-07-05	PRIJEM	VKLAD	23081	72577	\N	\N	\N
127243	427	1996-08-05	PRIJEM	VKLAD	23081	74920	\N	\N	\N
127244	427	1996-09-05	PRIJEM	VKLAD	23081	72953	\N	\N	\N
127245	427	1996-10-05	PRIJEM	VKLAD	23081	72461	\N	\N	\N
127246	427	1996-11-05	PRIJEM	VKLAD	23081	74657	\N	\N	\N
127247	427	1996-12-05	PRIJEM	VKLAD	34622	84009	\N	\N	\N
127248	427	1997-01-05	PRIJEM	VKLAD	23081	72725	\N	\N	\N
127249	427	1997-02-05	PRIJEM	VKLAD	23081	52101	\N	\N	\N
127250	427	1997-03-05	PRIJEM	VKLAD	23081	57945	\N	\N	\N
127251	427	1997-04-05	PRIJEM	VKLAD	23081	60965	\N	\N	\N
127252	427	1997-05-05	PRIJEM	VKLAD	23081	67044	\N	\N	\N
127253	427	1997-06-05	PRIJEM	VKLAD	34622	81079	\N	\N	\N
127254	427	1997-07-05	PRIJEM	VKLAD	23081	72179	\N	\N	\N
127255	427	1997-08-05	PRIJEM	VKLAD	23081	75398	\N	\N	\N
127256	427	1997-09-05	PRIJEM	VKLAD	23081	73113	\N	\N	\N
127257	427	1997-10-05	PRIJEM	VKLAD	23081	74833	\N	\N	\N
127258	427	1997-11-05	PRIJEM	VKLAD	23081	74252	\N	\N	\N
127259	427	1997-12-05	PRIJEM	VKLAD	34622	87017	\N	\N	\N
127260	427	1998-01-05	PRIJEM	VKLAD	23081	80263	\N	\N	\N
127261	427	1998-02-05	PRIJEM	VKLAD	23081	72033	\N	\N	\N
127262	427	1998-03-05	PRIJEM	VKLAD	23081	81783	\N	\N	\N
127263	427	1998-04-05	PRIJEM	VKLAD	23081	83853	\N	\N	\N
127264	427	1998-05-05	PRIJEM	VKLAD	23081	88358	\N	\N	\N
127265	427	1998-06-05	PRIJEM	VKLAD	34622	97758	\N	\N	\N
127266	427	1998-07-05	PRIJEM	VKLAD	23081	81707	\N	\N	\N
127267	427	1998-08-05	PRIJEM	VKLAD	23081	86310	\N	\N	\N
127268	427	1998-09-05	PRIJEM	VKLAD	23081	86732	\N	\N	\N
127269	427	1998-10-05	PRIJEM	VKLAD	23081	90962	\N	\N	\N
127270	427	1998-11-05	PRIJEM	VKLAD	23081	87510	\N	\N	\N
127271	427	1998-12-05	PRIJEM	VKLAD	34622	94685	\N	\N	\N
127283	427	1994-12-13	VYDAJ	PREVOD NA UCET	8166	67241	SIPO	CD	43451237
127284	427	1995-01-13	VYDAJ	PREVOD NA UCET	8166	45515	SIPO	CD	43451237
127285	427	1995-02-13	VYDAJ	PREVOD NA UCET	8166	41435	SIPO	CD	43451237
127286	427	1995-03-13	VYDAJ	PREVOD NA UCET	8166	46552	SIPO	CD	43451237
127287	427	1995-04-13	VYDAJ	PREVOD NA UCET	8166	51433	SIPO	CD	43451237
127288	427	1995-05-13	VYDAJ	PREVOD NA UCET	8166	50799	SIPO	CD	43451237
127289	427	1995-06-13	VYDAJ	PREVOD NA UCET	8166	54503	SIPO	CD	43451237
127290	427	1995-07-13	VYDAJ	PREVOD NA UCET	8166	43560	SIPO	CD	43451237
127291	427	1995-08-13	VYDAJ	PREVOD NA UCET	8166	48359	SIPO	CD	43451237
127292	427	1995-09-13	VYDAJ	PREVOD NA UCET	8166	51715	SIPO	CD	43451237
127293	427	1995-10-13	VYDAJ	PREVOD NA UCET	8166	54682	SIPO	CD	43451237
127294	427	1995-11-13	VYDAJ	PREVOD NA UCET	8166	55657	SIPO	CD	43451237
127295	427	1995-12-13	VYDAJ	PREVOD NA UCET	8166	64939	SIPO	CD	43451237
127296	427	1996-01-13	VYDAJ	PREVOD NA UCET	8166	37977	SIPO	CD	43451237
127297	427	1996-02-13	VYDAJ	PREVOD NA UCET	8166	42792	SIPO	CD	43451237
127298	427	1996-03-13	VYDAJ	PREVOD NA UCET	8166	53936	SIPO	CD	43451237
127299	427	1996-04-13	VYDAJ	PREVOD NA UCET	8166	62822	SIPO	CD	43451237
127300	427	1996-05-13	VYDAJ	PREVOD NA UCET	8166	67133	SIPO	CD	43451237
127301	427	1996-06-13	VYDAJ	PREVOD NA UCET	8166	49294	SIPO	CD	43451237
127302	427	1996-07-13	VYDAJ	PREVOD NA UCET	8166	64411	SIPO	CD	43451237
127303	427	1996-08-13	VYDAJ	PREVOD NA UCET	8166	49654	SIPO	CD	43451237
127304	427	1996-09-13	VYDAJ	PREVOD NA UCET	8166	49187	SIPO	CD	43451237
127305	427	1996-10-13	VYDAJ	PREVOD NA UCET	8166	52695	SIPO	CD	43451237
127306	427	1996-11-13	VYDAJ	PREVOD NA UCET	8166	49191	SIPO	CD	43451237
127307	427	1996-12-13	VYDAJ	PREVOD NA UCET	8166	53443	SIPO	CD	43451237
127308	427	1997-01-13	VYDAJ	PREVOD NA UCET	8166	35339	SIPO	CD	43451237
127309	427	1997-02-13	VYDAJ	PREVOD NA UCET	8166	34735	SIPO	CD	43451237
127310	427	1997-03-13	VYDAJ	PREVOD NA UCET	8166	39779	SIPO	CD	43451237
127311	427	1997-04-13	VYDAJ	PREVOD NA UCET	8166	43799	SIPO	CD	43451237
127312	427	1997-05-13	VYDAJ	PREVOD NA UCET	8166	46278	SIPO	CD	43451237
127313	427	1997-06-13	VYDAJ	PREVOD NA UCET	8166	55613	SIPO	CD	43451237
127314	427	1997-07-13	VYDAJ	PREVOD NA UCET	8166	52113	SIPO	CD	43451237
127315	427	1997-08-13	VYDAJ	PREVOD NA UCET	8166	49832	SIPO	CD	43451237
127316	427	1997-09-13	VYDAJ	PREVOD NA UCET	8166	51547	SIPO	CD	43451237
127317	427	1997-10-13	VYDAJ	PREVOD NA UCET	8166	50967	SIPO	CD	43451237
127318	427	1997-11-13	VYDAJ	PREVOD NA UCET	8166	52186	SIPO	CD	43451237
127319	427	1997-12-13	VYDAJ	PREVOD NA UCET	8166	58651	SIPO	CD	43451237
127320	427	1998-01-13	VYDAJ	PREVOD NA UCET	8166	58997	SIPO	CD	43451237
127321	427	1998-02-13	VYDAJ	PREVOD NA UCET	8166	63867	SIPO	CD	43451237
127322	427	1998-03-13	VYDAJ	PREVOD NA UCET	8166	59717	SIPO	CD	43451237
127323	427	1998-04-13	VYDAJ	PREVOD NA UCET	8166	75687	SIPO	CD	43451237
127324	427	1998-05-13	VYDAJ	PREVOD NA UCET	8166	74792	SIPO	CD	43451237
127325	427	1998-06-13	VYDAJ	PREVOD NA UCET	8166	89592	SIPO	CD	43451237
127326	427	1998-07-13	VYDAJ	PREVOD NA UCET	8166	73541	SIPO	CD	43451237
127327	427	1998-08-13	VYDAJ	PREVOD NA UCET	8166	76144	SIPO	CD	43451237
127328	427	1998-09-13	VYDAJ	PREVOD NA UCET	8166	78566	SIPO	CD	43451237
127329	427	1998-10-13	VYDAJ	PREVOD NA UCET	8166	82796	SIPO	CD	43451237
127330	427	1998-11-13	VYDAJ	PREVOD NA UCET	8166	79344	SIPO	CD	43451237
127331	427	1998-12-13	VYDAJ	PREVOD NA UCET	8166	86519	SIPO	CD	43451237
127333	427	1995-06-17	VYDAJ	VYBER	24320	30183	\N	\N	\N
127334	427	1996-06-11	VYDAJ	VYBER	12800	74460	\N	\N	\N
127335	427	1997-06-24	VYDAJ	VYBER	6720	48893	\N	\N	\N
127336	427	1998-06-18	VYDAJ	VYBER	32960	56632	\N	\N	\N
127338	427	1995-01-05	VYDAJ	VYBER	7360	59441	\N	\N	\N
127339	427	1996-01-06	VYDAJ	VYBER	14240	48903	\N	\N	\N
127340	427	1997-01-12	VYDAJ	VYBER	7200	43505	\N	\N	\N
127341	427	1998-01-06	VYDAJ	VYBER	12000	68263	\N	\N	\N
127342	427	1994-12-07	VYDAJ	VYBER	800	75407	\N	\N	\N
127343	427	1995-12-04	VYDAJ	VYBER	4640	38483	\N	\N	\N
127344	427	1996-12-23	VYDAJ	VYBER	1600	50883	\N	\N	\N
127345	427	1997-12-26	VYDAJ	VYBER KARTOU	1900	56751	\N	\N	0
127346	427	1998-12-01	VYDAJ	VYBER KARTOU	2400	60063	\N	\N	0
127353	427	1995-01-12	VYDAJ	VYBER	1920	56921	\N	\N	\N
127354	427	1995-01-09	VYDAJ	VYBER	600	58841	\N	\N	\N
127355	427	1995-01-21	VYDAJ	VYBER	2640	30675	\N	\N	\N
127356	427	1995-01-25	VYDAJ	VYBER	1560	26355	\N	\N	\N
127357	427	1995-01-24	VYDAJ	VYBER	2760	27915	\N	\N	\N
127358	427	1995-01-04	VYDAJ	VYBER	2040	43720	\N	\N	\N
127359	427	1996-01-20	VYDAJ	VYBER	2760	30497	\N	\N	\N
127360	427	1996-01-09	VYDAJ	VYBER	2760	46143	\N	\N	\N
127361	427	1996-01-16	VYDAJ	VYBER	2520	33257	\N	\N	\N
127362	427	1996-01-23	VYDAJ	VYBER	1200	29297	\N	\N	\N
127363	427	1996-01-01	VYDAJ	VYBER	960	40062	\N	\N	\N
127364	427	1996-01-27	VYDAJ	VYBER	1560	27737	\N	\N	\N
127365	427	1997-01-30	VYDAJ	VYBER	1320	28859	\N	\N	\N
127366	427	1997-01-21	VYDAJ	VYBER	1920	32219	\N	\N	\N
127367	427	1997-01-06	VYDAJ	VYBER	3360	69365	\N	\N	\N
127368	427	1997-01-28	VYDAJ	VYBER	2040	30179	\N	\N	\N
127369	427	1997-01-20	VYDAJ	VYBER	1200	34139	\N	\N	\N
127370	427	1997-01-04	VYDAJ	VYBER	1440	49644	\N	\N	\N
127371	427	1998-01-25	VYDAJ	VYBER KARTOU	800	47597	\N	\N	0
127372	427	1998-01-17	VYDAJ	VYBER KARTOU	2600	50097	\N	\N	0
127373	427	1998-01-17	VYDAJ	VYBER KARTOU	1700	48397	\N	\N	0
127374	427	1998-01-13	VYDAJ	VYBER KARTOU	1100	67163	\N	\N	0
127375	427	1998-01-15	VYDAJ	VYBER KARTOU	3400	52697	\N	\N	0
127376	427	1998-01-15	VYDAJ	VYBER KARTOU	2900	56097	\N	\N	0
127382	427	1995-06-01	VYDAJ	VYBER	3720	31527	\N	\N	\N
127383	427	1995-07-17	VYDAJ	VYBER	720	42840	\N	\N	\N
127384	427	1995-03-04	VYDAJ	VYBER	3120	31637	\N	\N	\N
127385	427	1995-01-13	VYDAJ	VYBER	3240	53681	\N	\N	\N
127386	427	1995-12-19	VYDAJ	VYBER	5520	40819	\N	\N	\N
127387	427	1995-07-18	VYDAJ	VYBER	3120	39720	\N	\N	\N
127388	427	1995-06-08	VYDAJ	VYBER	3480	62669	\N	\N	\N
127389	427	1996-12-19	VYDAJ	VYBER	960	52483	\N	\N	\N
127390	427	1996-08-02	VYDAJ	VYBER	1800	51839	\N	\N	\N
127391	427	1996-10-28	VYDAJ	VYBER	1320	51375	\N	\N	\N
127392	427	1997-01-11	VYDAJ	VYBER	4560	50705	\N	\N	\N
127393	427	1997-03-22	VYDAJ	VYBER	2040	37739	\N	\N	\N
127394	427	1998-04-16	VYDAJ	VYBER KARTOU	3800	71887	\N	\N	0
127395	427	1998-02-16	VYDAJ	VYBER	5400	58467	\N	\N	\N
127396	427	1998-01-29	VYDAJ	VYBER	5160	42437	\N	\N	\N
127397	427	1998-09-04	VYDAJ	VYBER KARTOU	1000	63651	\N	\N	0
127398	427	1998-06-02	VYDAJ	VYBER	5760	69336	\N	\N	\N
127399	427	1998-08-07	VYDAJ	VYBER KARTOU	2000	84310	\N	\N	0
127400	427	1998-05-08	VYDAJ	VYBER	5400	82958	\N	\N	\N
127413	427	1994-12-31	VYDAJ	VYBER	15	45760	SLUZBY	\N	\N
127414	427	1995-01-31	VYDAJ	VYBER	15	26520	SLUZBY	\N	\N
127415	427	1995-02-28	VYDAJ	VYBER	15	34757	SLUZBY	\N	\N
127416	427	1995-03-31	VYDAJ	VYBER	15	36518	SLUZBY	\N	\N
127417	427	1995-04-30	VYDAJ	VYBER	15	35884	SLUZBY	\N	\N
127418	427	1995-05-31	VYDAJ	VYBER	15	35247	SLUZBY	\N	\N
127419	427	1995-06-30	VYDAJ	VYBER	15	28645	SLUZBY	\N	\N
127420	427	1995-07-31	VYDAJ	VYBER	15	33444	SLUZBY	\N	\N
127421	427	1995-08-31	VYDAJ	VYBER	15	36800	SLUZBY	\N	\N
127422	427	1995-09-30	VYDAJ	VYBER	15	39767	SLUZBY	\N	\N
127423	427	1995-10-31	VYDAJ	VYBER	15	40742	SLUZBY	\N	\N
127424	427	1995-11-30	VYDAJ	VYBER	15	43123	SLUZBY	\N	\N
127425	427	1995-12-31	VYDAJ	VYBER	15	41022	SLUZBY	\N	\N
127426	427	1996-01-31	VYDAJ	VYBER	15	27877	SLUZBY	\N	\N
127427	427	1996-02-29	VYDAJ	VYBER	15	39021	SLUZBY	\N	\N
127428	427	1996-03-31	VYDAJ	VYBER	15	47907	SLUZBY	\N	\N
127429	427	1996-04-30	VYDAJ	VYBER	15	52218	SLUZBY	\N	\N
127430	427	1996-05-31	VYDAJ	VYBER	15	52638	SLUZBY	\N	\N
127431	427	1996-06-30	VYDAJ	VYBER	15	49496	SLUZBY	\N	\N
127432	427	1996-07-31	VYDAJ	VYBER	15	53639	SLUZBY	\N	\N
127433	427	1996-08-31	VYDAJ	VYBER	15	49872	SLUZBY	\N	\N
127434	427	1996-09-30	VYDAJ	VYBER	15	49380	SLUZBY	\N	\N
127435	427	1996-10-31	VYDAJ	VYBER	15	51576	SLUZBY	\N	\N
127436	427	1996-11-30	VYDAJ	VYBER	15	49387	SLUZBY	\N	\N
127437	427	1996-12-31	VYDAJ	VYBER	15	51084	SLUZBY	\N	\N
127438	427	1997-01-31	VYDAJ	VYBER	15	29020	SLUZBY	\N	\N
127439	427	1997-02-28	VYDAJ	VYBER	15	34864	SLUZBY	\N	\N
127440	427	1997-03-31	VYDAJ	VYBER	15	37884	SLUZBY	\N	\N
127441	427	1997-04-30	VYDAJ	VYBER	15	43963	SLUZBY	\N	\N
127442	427	1997-05-31	VYDAJ	VYBER	15	46457	SLUZBY	\N	\N
127443	427	1997-06-30	VYDAJ	VYBER	15	49098	SLUZBY	\N	\N
127444	427	1997-07-31	VYDAJ	VYBER	15	52317	SLUZBY	\N	\N
127445	427	1997-08-31	VYDAJ	VYBER	15	50032	SLUZBY	\N	\N
127446	427	1997-09-30	VYDAJ	VYBER	15	51752	SLUZBY	\N	\N
127447	427	1997-10-31	VYDAJ	VYBER	15	51171	SLUZBY	\N	\N
127448	427	1997-11-30	VYDAJ	VYBER	15	52395	SLUZBY	\N	\N
127449	427	1997-12-31	VYDAJ	VYBER	15	56982	SLUZBY	\N	\N
127450	427	1998-01-31	VYDAJ	VYBER	15	42652	SLUZBY	\N	\N
127451	427	1998-02-28	VYDAJ	VYBER	15	58702	SLUZBY	\N	\N
127452	427	1998-03-31	VYDAJ	VYBER	15	59972	SLUZBY	\N	\N
127453	427	1998-04-30	VYDAJ	VYBER	15	72177	SLUZBY	\N	\N
127454	427	1998-05-31	VYDAJ	VYBER	15	75096	SLUZBY	\N	\N
127455	427	1998-06-30	VYDAJ	VYBER	15	56926	SLUZBY	\N	\N
127456	427	1998-07-31	VYDAJ	VYBER	15	73829	SLUZBY	\N	\N
127457	427	1998-08-31	VYDAJ	VYBER	15	76451	SLUZBY	\N	\N
127458	427	1998-09-30	VYDAJ	VYBER	15	78881	SLUZBY	\N	\N
127459	427	1998-10-31	VYDAJ	VYBER	15	83129	SLUZBY	\N	\N
127460	427	1998-11-30	VYDAJ	VYBER	15	79663	SLUZBY	\N	\N
127461	427	1994-08-23	PRIJEM	VKLAD	200	23981	\N	\N	\N
127462	427	1994-09-22	VYDAJ	VYBER	12400	34691	\N	\N	\N
127463	427	1994-10-22	VYDAJ	VYBER	18400	39485	\N	\N	\N
127464	427	1994-11-21	VYDAJ	VYBER	21300	41417	\N	\N	\N
127465	427	1994-12-21	VYDAJ	VYBER	21700	45541	\N	\N	\N
127466	427	1995-01-20	VYDAJ	VYBER	12200	33315	\N	\N	\N
127467	427	1995-02-19	VYDAJ	VYBER	6800	34635	\N	\N	\N
127468	427	1995-03-21	VYDAJ	VYBER	10200	36352	\N	\N	\N
127469	427	1995-04-20	VYDAJ	VYBER	15700	35733	\N	\N	\N
127470	427	1995-05-20	VYDAJ	VYBER	15700	35099	\N	\N	\N
127471	427	1995-06-19	VYDAJ	VYBER	1700	28483	\N	\N	\N
127472	427	1995-07-19	VYDAJ	VYBER	6400	33320	\N	\N	\N
127473	427	1995-08-18	VYDAJ	VYBER	11700	36659	\N	\N	\N
127474	427	1995-09-17	VYDAJ	VYBER	12100	39615	\N	\N	\N
127475	427	1995-10-17	VYDAJ	VYBER	14100	40582	\N	\N	\N
127476	427	1995-11-16	VYDAJ	VYBER	12700	42957	\N	\N	\N
127477	427	1995-12-16	VYDAJ	VYBER	18600	46339	\N	\N	\N
127478	427	1996-01-15	VYDAJ	VYBER	2200	35777	\N	\N	\N
127479	427	1996-02-14	VYDAJ	VYBER	3900	38892	\N	\N	\N
127480	427	1996-03-15	VYDAJ	VYBER	6200	47736	\N	\N	\N
127481	427	1996-04-14	VYDAJ	VYBER	10800	52022	\N	\N	\N
127482	427	1996-05-14	VYDAJ	VYBER	14700	52433	\N	\N	\N
127483	427	1996-06-13	VYDAJ	VYBER	17000	57460	\N	\N	\N
127484	427	1996-07-13	VYDAJ	VYBER	11000	53411	\N	\N	\N
127485	427	1996-08-12	VYDAJ	VYBER	17100	57820	\N	\N	\N
127486	427	1996-09-11	VYDAJ	VYBER	15600	57353	\N	\N	\N
127487	427	1996-10-11	VYDAJ	VYBER	11600	60861	\N	\N	\N
127488	427	1996-11-10	VYDAJ	VYBER	17300	57357	\N	\N	\N
127489	427	1996-12-10	VYDAJ	VYBER	22400	61609	\N	\N	\N
127490	427	1997-01-09	VYDAJ	VYBER	14100	55265	\N	\N	\N
127491	427	1997-02-08	VYDAJ	VYBER	9200	42901	\N	\N	\N
127492	427	1997-03-10	VYDAJ	VYBER	10000	47945	\N	\N	\N
127493	427	1997-04-09	VYDAJ	VYBER	9000	51965	\N	\N	\N
127494	427	1997-05-09	VYDAJ	VYBER	12600	54444	\N	\N	\N
127495	427	1997-06-08	VYDAJ	VYBER	17300	63779	\N	\N	\N
127496	427	1997-07-08	VYDAJ	VYBER	11900	60279	\N	\N	\N
127497	427	1997-08-07	VYDAJ	VYBER	17400	57998	\N	\N	\N
127498	427	1997-09-06	VYDAJ	VYBER	13400	59713	\N	\N	\N
127499	427	1997-10-06	VYDAJ	VYBER	15700	59133	\N	\N	\N
127500	427	1997-11-05	VYDAJ	VYBER	13900	60352	\N	\N	\N
127501	427	1997-12-05	VYDAJ	VYBER	20200	66817	\N	\N	\N
127502	427	1998-01-04	PRIJEM	VKLAD	200	57182	\N	\N	\N
127503	427	1998-02-03	PRIJEM	VKLAD	6300	48952	\N	\N	\N
127504	427	1998-03-05	VYDAJ	VYBER	13900	67883	\N	\N	\N
127505	427	1998-04-04	PRIJEM	VKLAD	800	60772	\N	\N	\N
127506	427	1998-05-04	VYDAJ	VYBER	6900	65277	\N	\N	\N
127507	427	1998-06-03	VYDAJ	VYBER	6200	63136	\N	\N	\N
127508	427	1998-07-03	PRIJEM	VKLAD	1700	58626	\N	\N	\N
127509	427	1998-08-02	VYDAJ	VYBER	10600	63229	\N	\N	\N
127510	427	1998-09-01	VYDAJ	VYBER	11800	64651	\N	\N	\N
127511	427	1998-10-01	VYDAJ	VYBER	11000	67881	\N	\N	\N
127512	427	1998-10-31	VYDAJ	VYBER	18700	64429	\N	\N	\N
127513	427	1998-11-30	VYDAJ	VYBER	17200	62463	\N	\N	\N
127567	428	1993-02-27	PRIJEM	VKLAD	200	200	\N	\N	\N
127570	428	1993-03-12	PRIJEM	PREVOD Z UCTU	6614	6814	DUCHOD	CD	71194147
127571	428	1993-04-12	PRIJEM	PREVOD Z UCTU	6614	13428	DUCHOD	CD	71194147
127572	428	1993-05-12	PRIJEM	PREVOD Z UCTU	6614	20042	DUCHOD	CD	71194147
127573	428	1993-06-12	PRIJEM	PREVOD Z UCTU	6614	26467	DUCHOD	CD	71194147
127574	428	1993-07-12	PRIJEM	PREVOD Z UCTU	6614	33163	DUCHOD	CD	71194147
127575	428	1993-08-12	PRIJEM	PREVOD Z UCTU	6614	31064	DUCHOD	CD	71194147
127576	428	1993-09-12	PRIJEM	PREVOD Z UCTU	6614	29299	DUCHOD	CD	71194147
127577	428	1993-10-12	PRIJEM	PREVOD Z UCTU	6614	27525	DUCHOD	CD	71194147
127578	428	1993-11-12	PRIJEM	PREVOD Z UCTU	6614	29648	DUCHOD	CD	71194147
127579	428	1993-12-12	PRIJEM	PREVOD Z UCTU	6614	28697	DUCHOD	CD	71194147
127580	428	1994-01-12	PRIJEM	PREVOD Z UCTU	6614	24092	DUCHOD	CD	71194147
127581	428	1994-02-12	PRIJEM	PREVOD Z UCTU	6614	21600	DUCHOD	CD	71194147
127582	428	1994-03-12	PRIJEM	PREVOD Z UCTU	6614	24298	DUCHOD	CD	71194147
127583	428	1994-04-12	PRIJEM	PREVOD Z UCTU	6614	24285	DUCHOD	CD	71194147
127584	428	1994-05-12	PRIJEM	PREVOD Z UCTU	6614	24830	DUCHOD	CD	71194147
127585	428	1994-06-12	PRIJEM	PREVOD Z UCTU	6614	26340	DUCHOD	CD	71194147
127586	428	1994-07-12	PRIJEM	PREVOD Z UCTU	6614	17794	DUCHOD	CD	71194147
127587	428	1994-08-12	PRIJEM	PREVOD Z UCTU	6614	20476	DUCHOD	CD	71194147
127588	428	1994-09-12	PRIJEM	PREVOD Z UCTU	6614	23170	DUCHOD	CD	71194147
127589	428	1994-10-12	PRIJEM	PREVOD Z UCTU	6614	25875	DUCHOD	CD	71194147
127590	428	1994-11-12	PRIJEM	PREVOD Z UCTU	6614	28591	DUCHOD	CD	71194147
127591	428	1994-12-12	PRIJEM	PREVOD Z UCTU	6614	30917	DUCHOD	CD	71194147
127592	428	1995-01-12	PRIJEM	PREVOD Z UCTU	6614	29144	DUCHOD	CD	71194147
127593	428	1995-02-12	PRIJEM	PREVOD Z UCTU	6614	25467	DUCHOD	CD	71194147
127594	428	1995-03-12	PRIJEM	PREVOD Z UCTU	6614	28181	DUCHOD	CD	71194147
127595	428	1995-04-12	PRIJEM	PREVOD Z UCTU	6614	30907	DUCHOD	CD	71194147
127596	428	1995-05-12	PRIJEM	PREVOD Z UCTU	6614	32141	DUCHOD	CD	71194147
127597	428	1995-06-12	PRIJEM	PREVOD Z UCTU	6614	26377	DUCHOD	CD	71194147
127598	428	1995-07-12	PRIJEM	PREVOD Z UCTU	6614	25900	DUCHOD	CD	71194147
127599	428	1995-08-12	PRIJEM	PREVOD Z UCTU	6614	28619	DUCHOD	CD	71194147
127600	428	1995-09-12	PRIJEM	PREVOD Z UCTU	6614	29543	DUCHOD	CD	71194147
127601	428	1995-10-12	PRIJEM	PREVOD Z UCTU	6614	25587	DUCHOD	CD	71194147
127602	428	1995-11-12	PRIJEM	PREVOD Z UCTU	6614	28003	DUCHOD	CD	71194147
127603	428	1995-12-12	PRIJEM	PREVOD Z UCTU	6614	30727	DUCHOD	CD	71194147
127604	428	1996-01-12	PRIJEM	PREVOD Z UCTU	6614	28216	DUCHOD	CD	71194147
127605	428	1996-02-12	PRIJEM	PREVOD Z UCTU	6614	22769	DUCHOD	CD	71194147
127606	428	1996-03-12	PRIJEM	PREVOD Z UCTU	6614	25473	DUCHOD	CD	71194147
127607	428	1996-04-12	PRIJEM	PREVOD Z UCTU	6614	26266	DUCHOD	CD	71194147
127608	428	1996-05-12	PRIJEM	PREVOD Z UCTU	6614	28983	DUCHOD	CD	71194147
127609	428	1996-06-12	PRIJEM	PREVOD Z UCTU	6614	31711	DUCHOD	CD	71194147
127610	428	1996-07-12	PRIJEM	PREVOD Z UCTU	6614	34451	DUCHOD	CD	71194147
127611	428	1996-08-12	PRIJEM	PREVOD Z UCTU	6614	37202	DUCHOD	CD	71194147
127612	428	1996-09-12	PRIJEM	PREVOD Z UCTU	6614	39403	DUCHOD	CD	71194147
127613	428	1996-10-12	PRIJEM	PREVOD Z UCTU	6614	42174	DUCHOD	CD	71194147
127614	428	1996-11-12	PRIJEM	PREVOD Z UCTU	6614	43057	DUCHOD	CD	71194147
127615	428	1996-12-12	PRIJEM	PREVOD Z UCTU	6614	45744	DUCHOD	CD	71194147
127616	428	1997-01-12	PRIJEM	PREVOD Z UCTU	6614	47409	DUCHOD	CD	71194147
127617	428	1997-02-12	PRIJEM	PREVOD Z UCTU	6614	42042	DUCHOD	CD	71194147
127618	428	1997-03-12	PRIJEM	PREVOD Z UCTU	6614	44824	DUCHOD	CD	71194147
127619	428	1997-04-12	PRIJEM	PREVOD Z UCTU	6614	47617	DUCHOD	CD	71194147
127620	428	1997-05-12	PRIJEM	PREVOD Z UCTU	6614	50422	DUCHOD	CD	71194147
127621	428	1997-06-12	PRIJEM	PREVOD Z UCTU	6614	51959	DUCHOD	CD	71194147
127622	428	1997-07-12	PRIJEM	PREVOD Z UCTU	6614	44266	DUCHOD	CD	71194147
127623	428	1997-08-12	PRIJEM	PREVOD Z UCTU	6614	47057	DUCHOD	CD	71194147
127624	428	1997-09-12	PRIJEM	PREVOD Z UCTU	6614	49859	DUCHOD	CD	71194147
127625	428	1997-10-12	PRIJEM	PREVOD Z UCTU	6614	50031	DUCHOD	CD	71194147
127626	428	1997-11-12	PRIJEM	PREVOD Z UCTU	6614	52845	DUCHOD	CD	71194147
127627	428	1997-12-12	PRIJEM	PREVOD Z UCTU	6614	55222	DUCHOD	CD	71194147
127628	428	1998-01-12	PRIJEM	PREVOD Z UCTU	6614	50857	DUCHOD	CD	71194147
127629	428	1998-02-12	PRIJEM	PREVOD Z UCTU	6614	52472	DUCHOD	CD	71194147
127630	428	1998-03-12	PRIJEM	PREVOD Z UCTU	6614	54415	DUCHOD	CD	71194147
127631	428	1998-04-12	PRIJEM	PREVOD Z UCTU	6614	57248	DUCHOD	CD	71194147
127632	428	1998-05-12	PRIJEM	PREVOD Z UCTU	6614	57927	DUCHOD	CD	71194147
127633	428	1998-06-12	PRIJEM	PREVOD Z UCTU	6614	60774	DUCHOD	CD	71194147
127634	428	1998-07-12	PRIJEM	PREVOD Z UCTU	6614	46175	DUCHOD	CD	71194147
127635	428	1998-08-12	PRIJEM	PREVOD Z UCTU	6614	48973	DUCHOD	CD	71194147
127636	428	1998-09-12	PRIJEM	PREVOD Z UCTU	6614	51301	DUCHOD	CD	71194147
127637	428	1998-10-12	PRIJEM	PREVOD Z UCTU	6614	50680	DUCHOD	CD	71194147
127638	428	1998-11-12	PRIJEM	PREVOD Z UCTU	6614	53498	DUCHOD	CD	71194147
127639	428	1998-12-12	PRIJEM	PREVOD Z UCTU	6614	56325	DUCHOD	CD	71194147
127647	428	1993-08-09	VYDAJ	PREVOD NA UCET	3987	24450	SIPO	MN	64758032
127648	428	1993-09-09	VYDAJ	PREVOD NA UCET	3987	22685	SIPO	MN	64758032
127649	428	1993-10-09	VYDAJ	PREVOD NA UCET	3987	20911	SIPO	MN	64758032
127650	428	1993-11-09	VYDAJ	PREVOD NA UCET	3987	23034	SIPO	MN	64758032
127651	428	1993-12-09	VYDAJ	PREVOD NA UCET	3987	22083	SIPO	MN	64758032
127652	428	1994-01-09	VYDAJ	PREVOD NA UCET	3987	17478	SIPO	MN	64758032
127653	428	1994-02-09	VYDAJ	PREVOD NA UCET	3987	14986	SIPO	MN	64758032
127654	428	1994-03-09	VYDAJ	PREVOD NA UCET	3987	17684	SIPO	MN	64758032
127655	428	1994-04-09	VYDAJ	PREVOD NA UCET	3987	17671	SIPO	MN	64758032
127656	428	1994-05-09	VYDAJ	PREVOD NA UCET	3987	18216	SIPO	MN	64758032
127657	428	1994-06-09	VYDAJ	PREVOD NA UCET	3987	19726	SIPO	MN	64758032
127658	428	1994-07-09	VYDAJ	PREVOD NA UCET	3987	11180	SIPO	MN	64758032
127659	428	1994-08-09	VYDAJ	PREVOD NA UCET	3987	13862	SIPO	MN	64758032
127660	428	1994-09-09	VYDAJ	PREVOD NA UCET	3987	16556	SIPO	MN	64758032
127661	428	1994-10-09	VYDAJ	PREVOD NA UCET	3987	19261	SIPO	MN	64758032
127662	428	1994-11-09	VYDAJ	PREVOD NA UCET	3987	21977	SIPO	MN	64758032
127663	428	1994-12-09	VYDAJ	PREVOD NA UCET	3987	24303	SIPO	MN	64758032
127664	428	1995-01-09	VYDAJ	PREVOD NA UCET	3987	23410	SIPO	MN	64758032
127665	428	1995-02-09	VYDAJ	PREVOD NA UCET	3987	18853	SIPO	MN	64758032
127666	428	1995-03-09	VYDAJ	PREVOD NA UCET	3987	21567	SIPO	MN	64758032
127667	428	1995-04-09	VYDAJ	PREVOD NA UCET	3987	24293	SIPO	MN	64758032
127668	428	1995-05-09	VYDAJ	PREVOD NA UCET	3987	25527	SIPO	MN	64758032
127669	428	1995-06-09	VYDAJ	PREVOD NA UCET	3987	19763	SIPO	MN	64758032
127670	428	1995-07-09	VYDAJ	PREVOD NA UCET	3987	22486	SIPO	MN	64758032
127671	428	1995-08-09	VYDAJ	PREVOD NA UCET	3987	22005	SIPO	MN	64758032
127672	428	1995-09-09	VYDAJ	PREVOD NA UCET	3987	22929	SIPO	MN	64758032
127673	428	1995-10-09	VYDAJ	PREVOD NA UCET	3987	18973	SIPO	MN	64758032
127674	428	1995-11-09	VYDAJ	PREVOD NA UCET	3987	21389	SIPO	MN	64758032
127675	428	1995-12-09	VYDAJ	PREVOD NA UCET	3987	24113	SIPO	MN	64758032
127676	428	1996-01-09	VYDAJ	PREVOD NA UCET	3987	21602	SIPO	MN	64758032
127677	428	1996-02-09	VYDAJ	PREVOD NA UCET	3987	16155	SIPO	MN	64758032
127678	428	1996-03-09	VYDAJ	PREVOD NA UCET	3987	18859	SIPO	MN	64758032
127679	428	1996-04-09	VYDAJ	PREVOD NA UCET	3987	19652	SIPO	MN	64758032
127680	428	1996-05-09	VYDAJ	PREVOD NA UCET	3987	22369	SIPO	MN	64758032
127681	428	1996-06-09	VYDAJ	PREVOD NA UCET	3987	25097	SIPO	MN	64758032
127682	428	1996-07-09	VYDAJ	PREVOD NA UCET	3987	27837	SIPO	MN	64758032
127683	428	1996-08-09	VYDAJ	PREVOD NA UCET	3987	30588	SIPO	MN	64758032
127684	428	1996-09-09	VYDAJ	PREVOD NA UCET	3987	32789	SIPO	MN	64758032
127685	428	1996-10-09	VYDAJ	PREVOD NA UCET	3987	35560	SIPO	MN	64758032
127686	428	1996-11-09	VYDAJ	PREVOD NA UCET	3987	36443	SIPO	MN	64758032
127687	428	1996-12-09	VYDAJ	PREVOD NA UCET	3987	39130	SIPO	MN	64758032
127688	428	1997-01-09	VYDAJ	PREVOD NA UCET	3987	40795	SIPO	MN	64758032
127689	428	1997-02-09	VYDAJ	PREVOD NA UCET	3987	35428	SIPO	MN	64758032
127690	428	1997-03-09	VYDAJ	PREVOD NA UCET	3987	38210	SIPO	MN	64758032
127691	428	1997-04-09	VYDAJ	PREVOD NA UCET	3987	41003	SIPO	MN	64758032
127692	428	1997-05-09	VYDAJ	PREVOD NA UCET	3987	43808	SIPO	MN	64758032
127693	428	1997-06-09	VYDAJ	PREVOD NA UCET	3987	45345	SIPO	MN	64758032
127694	428	1997-07-09	VYDAJ	PREVOD NA UCET	3987	37652	SIPO	MN	64758032
127695	428	1997-08-09	VYDAJ	PREVOD NA UCET	3987	40443	SIPO	MN	64758032
127696	428	1997-09-09	VYDAJ	PREVOD NA UCET	3987	43245	SIPO	MN	64758032
127697	428	1997-10-09	VYDAJ	PREVOD NA UCET	3987	43417	SIPO	MN	64758032
127698	428	1997-11-09	VYDAJ	PREVOD NA UCET	3987	46231	SIPO	MN	64758032
127699	428	1997-12-09	VYDAJ	PREVOD NA UCET	3987	48608	SIPO	MN	64758032
127700	428	1998-01-09	VYDAJ	PREVOD NA UCET	3987	44243	SIPO	MN	64758032
127701	428	1998-02-09	VYDAJ	PREVOD NA UCET	3987	45858	SIPO	MN	64758032
127702	428	1998-03-09	VYDAJ	PREVOD NA UCET	3987	47801	SIPO	MN	64758032
127703	428	1998-04-09	VYDAJ	PREVOD NA UCET	3987	50634	SIPO	MN	64758032
127704	428	1998-05-09	VYDAJ	PREVOD NA UCET	3987	51313	SIPO	MN	64758032
127705	428	1998-06-09	VYDAJ	PREVOD NA UCET	3987	54160	SIPO	MN	64758032
127706	428	1998-07-09	VYDAJ	PREVOD NA UCET	3987	39561	SIPO	MN	64758032
127707	428	1998-08-09	VYDAJ	PREVOD NA UCET	3987	42359	SIPO	MN	64758032
127708	428	1998-09-09	VYDAJ	PREVOD NA UCET	3987	44687	SIPO	MN	64758032
127709	428	1998-10-09	VYDAJ	PREVOD NA UCET	3987	44066	SIPO	MN	64758032
127710	428	1998-11-09	VYDAJ	PREVOD NA UCET	3987	46884	SIPO	MN	64758032
127711	428	1998-12-09	VYDAJ	PREVOD NA UCET	3987	49711	SIPO	MN	64758032
127713	428	1994-06-12	VYDAJ	VYBER	6200	20140	\N	\N	\N
127714	428	1995-06-05	VYDAJ	VYBER	5500	23750	\N	\N	\N
127716	428	1997-06-27	VYDAJ	VYBER	9550	42409	\N	\N	\N
127717	428	1998-06-16	VYDAJ	VYBER	13100	43354	\N	\N	\N
127718	428	1993-12-29	VYDAJ	VYBER	750	26647	\N	\N	\N
127719	428	1994-12-30	VYDAJ	VYBER	1050	29767	\N	\N	\N
127720	428	1995-12-17	VYDAJ	VYBER	600	28927	\N	\N	\N
127721	428	1996-12-21	VYDAJ	VYBER	650	45094	\N	\N	\N
127722	428	1997-12-03	VYDAJ	VYBER	450	52595	\N	\N	\N
127723	428	1998-12-22	VYDAJ	VYBER	750	55575	\N	\N	\N
127730	428	1994-01-06	VYDAJ	VYBER	480	26265	\N	\N	\N
127731	428	1994-01-20	VYDAJ	VYBER	800	23292	\N	\N	\N
127732	428	1994-01-25	VYDAJ	VYBER	1760	19532	\N	\N	\N
127733	428	1994-01-25	VYDAJ	VYBER	640	18892	\N	\N	\N
127734	428	1994-01-09	VYDAJ	VYBER	1440	21465	\N	\N	\N
127735	428	1994-01-22	VYDAJ	VYBER	2000	21292	\N	\N	\N
127736	428	1995-01-06	VYDAJ	VYBER	1280	27397	\N	\N	\N
127737	428	1995-01-13	VYDAJ	VYBER	1200	27944	\N	\N	\N
127738	428	1995-01-28	VYDAJ	VYBER	1040	25144	\N	\N	\N
127739	428	1995-01-21	VYDAJ	VYBER	1360	26184	\N	\N	\N
127740	428	1995-01-09	VYDAJ	VYBER	880	22530	\N	\N	\N
127741	428	1995-01-03	VYDAJ	VYBER	1200	28677	\N	\N	\N
127742	428	1996-01-12	VYDAJ	VYBER	2080	26136	\N	\N	\N
127743	428	1996-01-13	VYDAJ	VYBER	1840	24296	\N	\N	\N
127744	428	1996-01-19	VYDAJ	VYBER	400	23336	\N	\N	\N
127745	428	1996-01-14	VYDAJ	VYBER	560	23736	\N	\N	\N
127746	428	1996-01-01	VYDAJ	VYBER	1920	25589	\N	\N	\N
127747	428	1996-01-27	VYDAJ	VYBER	640	22696	\N	\N	\N
127748	428	1997-01-28	VYDAJ	VYBER	1040	39249	\N	\N	\N
127749	428	1997-01-16	VYDAJ	VYBER	1760	45649	\N	\N	\N
127750	428	1997-01-21	VYDAJ	VYBER	1680	43969	\N	\N	\N
127751	428	1997-01-21	VYDAJ	VYBER	1520	42449	\N	\N	\N
127752	428	1997-01-24	VYDAJ	VYBER	2160	40289	\N	\N	\N
127753	428	1997-01-04	VYDAJ	VYBER	480	44782	\N	\N	\N
127754	428	1998-01-07	VYDAJ	VYBER	1200	48230	\N	\N	\N
127755	428	1998-01-19	VYDAJ	VYBER	400	49657	\N	\N	\N
127756	428	1998-01-01	VYDAJ	VYBER	2160	53270	\N	\N	\N
127757	428	1998-01-16	VYDAJ	VYBER	800	50057	\N	\N	\N
127758	428	1998-01-02	VYDAJ	VYBER	1840	51430	\N	\N	\N
127759	428	1998-01-02	VYDAJ	VYBER	2000	49430	\N	\N	\N
127760	428	1993-12-01	VYDAJ	VYBER	480	26070	\N	\N	\N
127767	428	1994-01-06	VYDAJ	VYBER	3360	22905	\N	\N	\N
127768	428	1994-06-21	VYDAJ	VYBER	3120	15100	\N	\N	\N
127769	428	1994-03-22	VYDAJ	VYBER	1120	23178	\N	\N	\N
127770	428	1994-04-17	VYDAJ	VYBER	2160	22125	\N	\N	\N
127771	428	1994-05-16	VYDAJ	VYBER	800	24030	\N	\N	\N
127772	428	1994-06-19	VYDAJ	VYBER	1920	18220	\N	\N	\N
127773	428	1995-12-17	VYDAJ	VYBER	1520	27407	\N	\N	\N
127774	428	1995-01-29	VYDAJ	VYBER	2400	22744	\N	\N	\N
127775	428	1995-10-02	VYDAJ	VYBER	3680	22960	\N	\N	\N
127776	428	1995-07-11	VYDAJ	VYBER	3200	19286	\N	\N	\N
127777	428	1996-08-17	VYDAJ	VYBER	560	36642	\N	\N	\N
127778	428	1996-02-04	VYDAJ	VYBER	2640	20142	\N	\N	\N
127779	428	1996-03-30	VYDAJ	VYBER	1920	23553	\N	\N	\N
127780	428	1997-09-18	VYDAJ	VYBER	1280	48579	\N	\N	\N
127781	428	1997-05-31	VYDAJ	VYBER	1280	49346	\N	\N	\N
127782	428	1997-10-02	VYDAJ	VYBER	1360	47404	\N	\N	\N
127783	428	1997-07-04	VYDAJ	VYBER	960	41639	\N	\N	\N
127784	428	1998-04-16	VYDAJ	VYBER	2160	55088	\N	\N	\N
127785	428	1998-10-05	VYDAJ	VYBER	3440	48053	\N	\N	\N
127786	428	1998-02-24	VYDAJ	VYBER	880	51592	\N	\N	\N
127787	428	1998-08-23	VYDAJ	VYBER	480	48493	\N	\N	\N
127788	428	1998-06-12	VYDAJ	VYBER	720	60054	\N	\N	\N
127789	428	1998-06-15	VYDAJ	VYBER	3600	56454	\N	\N	\N
127797	428	1993-07-31	VYDAJ	VYBER	15	28437	SLUZBY	\N	\N
127798	428	1993-08-31	VYDAJ	VYBER	15	26672	SLUZBY	\N	\N
127799	428	1993-09-30	VYDAJ	VYBER	15	24898	SLUZBY	\N	\N
127800	428	1993-10-31	VYDAJ	VYBER	15	27021	SLUZBY	\N	\N
127801	428	1993-11-30	VYDAJ	VYBER	15	26550	SLUZBY	\N	\N
127802	428	1993-12-31	VYDAJ	VYBER	15	26745	SLUZBY	\N	\N
127803	428	1994-01-31	VYDAJ	VYBER	15	18973	SLUZBY	\N	\N
127804	428	1994-02-28	VYDAJ	VYBER	15	21671	SLUZBY	\N	\N
127805	428	1994-03-31	VYDAJ	VYBER	15	21658	SLUZBY	\N	\N
127806	428	1994-04-30	VYDAJ	VYBER	15	22203	SLUZBY	\N	\N
127807	428	1994-05-31	VYDAJ	VYBER	15	23713	SLUZBY	\N	\N
127808	428	1994-06-30	VYDAJ	VYBER	15	15167	SLUZBY	\N	\N
127809	428	1994-07-31	VYDAJ	VYBER	15	17849	SLUZBY	\N	\N
127810	428	1994-08-31	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
127811	428	1994-09-30	VYDAJ	VYBER	15	23248	SLUZBY	\N	\N
127812	428	1994-10-31	VYDAJ	VYBER	15	25964	SLUZBY	\N	\N
127813	428	1994-11-30	VYDAJ	VYBER	15	28290	SLUZBY	\N	\N
127814	428	1994-12-31	VYDAJ	VYBER	15	29877	SLUZBY	\N	\N
127815	428	1995-01-31	VYDAJ	VYBER	15	22840	SLUZBY	\N	\N
127816	428	1995-02-28	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
127817	428	1995-03-31	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
127818	428	1995-04-30	VYDAJ	VYBER	15	29514	SLUZBY	\N	\N
127819	428	1995-05-31	VYDAJ	VYBER	15	29250	SLUZBY	\N	\N
127820	428	1995-06-30	VYDAJ	VYBER	15	26473	SLUZBY	\N	\N
127821	428	1995-07-31	VYDAJ	VYBER	15	25992	SLUZBY	\N	\N
127822	428	1995-08-31	VYDAJ	VYBER	15	26916	SLUZBY	\N	\N
127823	428	1995-09-30	VYDAJ	VYBER	15	26640	SLUZBY	\N	\N
127824	428	1995-10-31	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
127825	428	1995-11-30	VYDAJ	VYBER	15	28100	SLUZBY	\N	\N
127826	428	1995-12-31	VYDAJ	VYBER	15	27509	SLUZBY	\N	\N
127827	428	1996-01-31	VYDAJ	VYBER	15	22782	SLUZBY	\N	\N
127828	428	1996-02-29	VYDAJ	VYBER	15	22846	SLUZBY	\N	\N
127829	428	1996-03-31	VYDAJ	VYBER	15	23639	SLUZBY	\N	\N
127830	428	1996-04-30	VYDAJ	VYBER	15	26356	SLUZBY	\N	\N
127831	428	1996-05-31	VYDAJ	VYBER	15	29084	SLUZBY	\N	\N
127832	428	1996-06-30	VYDAJ	VYBER	15	31824	SLUZBY	\N	\N
127833	428	1996-07-31	VYDAJ	VYBER	15	34575	SLUZBY	\N	\N
127834	428	1996-08-31	VYDAJ	VYBER	15	36776	SLUZBY	\N	\N
127835	428	1996-09-30	VYDAJ	VYBER	15	39547	SLUZBY	\N	\N
127836	428	1996-10-31	VYDAJ	VYBER	15	42330	SLUZBY	\N	\N
127837	428	1996-11-30	VYDAJ	VYBER	15	43217	SLUZBY	\N	\N
127838	428	1996-12-31	VYDAJ	VYBER	15	45262	SLUZBY	\N	\N
127839	428	1997-01-31	VYDAJ	VYBER	15	39415	SLUZBY	\N	\N
127840	428	1997-02-28	VYDAJ	VYBER	15	42197	SLUZBY	\N	\N
127841	428	1997-03-31	VYDAJ	VYBER	15	44990	SLUZBY	\N	\N
127842	428	1997-04-30	VYDAJ	VYBER	15	47795	SLUZBY	\N	\N
127843	428	1997-05-31	VYDAJ	VYBER	15	49332	SLUZBY	\N	\N
127844	428	1997-06-30	VYDAJ	VYBER	15	42599	SLUZBY	\N	\N
127845	428	1997-07-31	VYDAJ	VYBER	15	44430	SLUZBY	\N	\N
127846	428	1997-08-31	VYDAJ	VYBER	15	47232	SLUZBY	\N	\N
127847	428	1997-09-30	VYDAJ	VYBER	15	48764	SLUZBY	\N	\N
127848	428	1997-10-31	VYDAJ	VYBER	15	50218	SLUZBY	\N	\N
127849	428	1997-11-30	VYDAJ	VYBER	15	53045	SLUZBY	\N	\N
127850	428	1997-12-31	VYDAJ	VYBER	15	55430	SLUZBY	\N	\N
127851	428	1998-01-31	VYDAJ	VYBER	15	49845	SLUZBY	\N	\N
127852	428	1998-02-28	VYDAJ	VYBER	15	51788	SLUZBY	\N	\N
127853	428	1998-03-31	VYDAJ	VYBER	15	54621	SLUZBY	\N	\N
127854	428	1998-04-30	VYDAJ	VYBER	15	55300	SLUZBY	\N	\N
127855	428	1998-05-31	VYDAJ	VYBER	15	58147	SLUZBY	\N	\N
127856	428	1998-06-30	VYDAJ	VYBER	15	43548	SLUZBY	\N	\N
127857	428	1998-07-31	VYDAJ	VYBER	15	46346	SLUZBY	\N	\N
127858	428	1998-08-31	VYDAJ	VYBER	15	48674	SLUZBY	\N	\N
127859	428	1998-09-30	VYDAJ	VYBER	15	51493	SLUZBY	\N	\N
127860	428	1998-10-31	VYDAJ	VYBER	15	50871	SLUZBY	\N	\N
127861	428	1998-11-30	VYDAJ	VYBER	15	53698	SLUZBY	\N	\N
127862	428	1993-05-28	VYDAJ	VYBER	200	19842	\N	\N	\N
127863	428	1993-07-27	VYDAJ	VYBER	4800	28363	\N	\N	\N
127864	428	1993-08-26	VYDAJ	VYBER	4500	26564	\N	\N	\N
127865	428	1993-09-25	VYDAJ	VYBER	4500	24799	\N	\N	\N
127866	428	1993-10-25	VYDAJ	VYBER	600	26925	\N	\N	\N
127867	428	1993-11-24	VYDAJ	VYBER	3200	26448	\N	\N	\N
127868	428	1993-12-24	VYDAJ	VYBER	1300	27397	\N	\N	\N
127869	428	1994-03-24	VYDAJ	VYBER	1600	21578	\N	\N	\N
127870	428	1994-05-23	VYDAJ	VYBER	400	23630	\N	\N	\N
127871	428	1994-11-19	VYDAJ	VYBER	400	28191	\N	\N	\N
127872	428	1994-12-19	VYDAJ	VYBER	100	30817	\N	\N	\N
127873	428	1995-01-18	VYDAJ	VYBER	400	27544	\N	\N	\N
127874	428	1995-04-18	VYDAJ	VYBER	1500	29407	\N	\N	\N
127875	428	1995-05-18	VYDAJ	VYBER	3000	29141	\N	\N	\N
127876	428	1995-08-16	VYDAJ	VYBER	1800	26819	\N	\N	\N
127877	428	1995-09-15	VYDAJ	VYBER	3000	26543	\N	\N	\N
127878	428	1995-10-15	VYDAJ	VYBER	300	25287	\N	\N	\N
127879	428	1995-12-14	VYDAJ	VYBER	1200	29527	\N	\N	\N
127880	428	1996-11-08	VYDAJ	VYBER	1900	40430	\N	\N	\N
127881	428	1996-12-08	VYDAJ	VYBER	100	43117	\N	\N	\N
127950	429	1995-09-03	PRIJEM	VKLAD	700	700	\N	\N	\N
127959	429	1995-09-11	PRIJEM	VKLAD	18397	19097	\N	\N	\N
127960	429	1995-10-11	PRIJEM	VKLAD	18397	38047	\N	\N	\N
127961	429	1995-11-11	PRIJEM	VKLAD	18397	48877	\N	\N	\N
127962	429	1995-12-11	PRIJEM	VKLAD	27596	61762	\N	\N	\N
127963	429	1996-01-11	PRIJEM	VKLAD	18397	58699	\N	\N	\N
127964	429	1996-02-11	PRIJEM	VKLAD	18397	44105	\N	\N	\N
127965	429	1996-03-11	PRIJEM	VKLAD	18397	47366	\N	\N	\N
127966	429	1996-04-11	PRIJEM	VKLAD	18397	48432	\N	\N	\N
127967	429	1996-05-11	PRIJEM	VKLAD	18397	48701	\N	\N	\N
127968	429	1996-06-11	PRIJEM	VKLAD	27596	57878	\N	\N	\N
127969	429	1996-07-11	PRIJEM	VKLAD	18397	56380	\N	\N	\N
127970	429	1996-08-11	PRIJEM	VKLAD	18397	49786	\N	\N	\N
127971	429	1996-09-11	PRIJEM	VKLAD	18397	47764	\N	\N	\N
127972	429	1996-10-11	PRIJEM	VKLAD	18397	46426	\N	\N	\N
127973	429	1996-11-11	PRIJEM	VKLAD	18397	46491	\N	\N	\N
127974	429	1996-12-11	PRIJEM	VKLAD	27596	55652	\N	\N	\N
127975	429	1997-01-11	PRIJEM	VKLAD	18397	51234	\N	\N	\N
127976	429	1997-02-11	PRIJEM	VKLAD	18397	38400	\N	\N	\N
127977	429	1997-03-11	PRIJEM	VKLAD	18397	41429	\N	\N	\N
127978	429	1997-04-11	PRIJEM	VKLAD	18397	44171	\N	\N	\N
127979	429	1997-05-11	PRIJEM	VKLAD	18397	48325	\N	\N	\N
127980	429	1997-06-11	PRIJEM	VKLAD	27596	56782	\N	\N	\N
127981	429	1997-07-11	PRIJEM	VKLAD	18397	55669	\N	\N	\N
127982	429	1997-08-11	PRIJEM	VKLAD	18397	53567	\N	\N	\N
127983	429	1997-09-11	PRIJEM	VKLAD	18397	52753	\N	\N	\N
127984	429	1997-10-11	PRIJEM	VKLAD	18397	52735	\N	\N	\N
127985	429	1997-11-11	PRIJEM	VKLAD	18397	54121	\N	\N	\N
127986	429	1997-12-11	PRIJEM	VKLAD	27596	63308	\N	\N	\N
127987	429	1998-01-11	PRIJEM	VKLAD	18397	55512	\N	\N	\N
127988	429	1998-02-11	PRIJEM	VKLAD	18397	47491	\N	\N	\N
127989	429	1998-03-11	PRIJEM	VKLAD	18397	58261	\N	\N	\N
127990	429	1998-04-11	PRIJEM	VKLAD	18397	63269	\N	\N	\N
127991	429	1998-05-11	PRIJEM	VKLAD	18397	66194	\N	\N	\N
127992	429	1998-06-11	PRIJEM	VKLAD	27596	71418	\N	\N	\N
127993	429	1998-07-11	PRIJEM	VKLAD	18397	53033	\N	\N	\N
127994	429	1998-08-11	PRIJEM	VKLAD	18397	65129	\N	\N	\N
127995	429	1998-09-11	PRIJEM	VKLAD	18397	69764	\N	\N	\N
127996	429	1998-10-11	PRIJEM	VKLAD	18397	69905	\N	\N	\N
127997	429	1998-11-11	PRIJEM	VKLAD	18397	70548	\N	\N	\N
127998	429	1998-12-11	PRIJEM	VKLAD	27596	83196	\N	\N	\N
128012	429	1996-02-06	VYDAJ	PREVOD NA UCET	5286	25708	SIPO	IJ	79427033
128013	429	1996-03-06	VYDAJ	PREVOD NA UCET	5286	28969	SIPO	IJ	79427033
128014	429	1996-04-06	VYDAJ	PREVOD NA UCET	5286	30035	SIPO	IJ	79427033
128015	429	1996-05-06	VYDAJ	PREVOD NA UCET	5286	30304	SIPO	IJ	79427033
128016	429	1996-06-06	VYDAJ	PREVOD NA UCET	5286	30282	SIPO	IJ	79427033
128017	429	1996-07-06	VYDAJ	PREVOD NA UCET	5286	37983	SIPO	IJ	79427033
128018	429	1996-08-06	VYDAJ	PREVOD NA UCET	5286	31389	SIPO	IJ	79427033
128019	429	1996-09-06	VYDAJ	PREVOD NA UCET	5286	29367	SIPO	IJ	79427033
128020	429	1996-10-06	VYDAJ	PREVOD NA UCET	5286	28029	SIPO	IJ	79427033
128021	429	1996-11-06	VYDAJ	PREVOD NA UCET	5286	28094	SIPO	IJ	79427033
128022	429	1996-12-06	VYDAJ	PREVOD NA UCET	5286	28056	SIPO	IJ	79427033
128023	429	1997-01-06	VYDAJ	PREVOD NA UCET	5286	34337	SIPO	IJ	79427033
128024	429	1997-02-06	VYDAJ	PREVOD NA UCET	5286	20003	SIPO	IJ	79427033
128025	429	1997-03-06	VYDAJ	PREVOD NA UCET	5286	23032	SIPO	IJ	79427033
128026	429	1997-04-06	VYDAJ	PREVOD NA UCET	5286	25774	SIPO	IJ	79427033
128027	429	1997-05-06	VYDAJ	PREVOD NA UCET	5286	29928	SIPO	IJ	79427033
128028	429	1997-06-06	VYDAJ	PREVOD NA UCET	5286	29186	SIPO	IJ	79427033
128029	429	1997-07-06	VYDAJ	PREVOD NA UCET	5286	37272	SIPO	IJ	79427033
128030	429	1997-08-06	VYDAJ	PREVOD NA UCET	5286	38970	SIPO	IJ	79427033
128031	429	1997-09-06	VYDAJ	PREVOD NA UCET	5286	35156	SIPO	IJ	79427033
128032	429	1997-10-06	VYDAJ	PREVOD NA UCET	5286	34338	SIPO	IJ	79427033
128033	429	1997-11-06	VYDAJ	PREVOD NA UCET	5286	39324	SIPO	IJ	79427033
128034	429	1997-12-06	VYDAJ	PREVOD NA UCET	5286	35712	SIPO	IJ	79427033
128035	429	1998-01-06	VYDAJ	PREVOD NA UCET	5286	38815	SIPO	IJ	79427033
128036	429	1998-02-06	VYDAJ	PREVOD NA UCET	5286	29094	SIPO	IJ	79427033
128037	429	1998-03-06	VYDAJ	PREVOD NA UCET	5286	39864	SIPO	IJ	79427033
128038	429	1998-04-06	VYDAJ	PREVOD NA UCET	5286	44872	SIPO	IJ	79427033
128039	429	1998-05-06	VYDAJ	PREVOD NA UCET	5286	47797	SIPO	IJ	79427033
128040	429	1998-06-06	VYDAJ	PREVOD NA UCET	5286	43822	SIPO	IJ	79427033
128041	429	1998-07-06	VYDAJ	PREVOD NA UCET	5286	34636	SIPO	IJ	79427033
128042	429	1998-08-06	VYDAJ	PREVOD NA UCET	5286	46732	SIPO	IJ	79427033
128043	429	1998-09-06	VYDAJ	PREVOD NA UCET	5286	51367	SIPO	IJ	79427033
128044	429	1998-10-06	VYDAJ	PREVOD NA UCET	5286	51508	SIPO	IJ	79427033
128045	429	1998-11-06	VYDAJ	PREVOD NA UCET	5286	52151	SIPO	IJ	79427033
128046	429	1998-12-06	VYDAJ	PREVOD NA UCET	5286	55600	SIPO	IJ	79427033
128050	429	1998-06-22	VYDAJ	VYBER	16100	39718	\N	\N	\N
128052	429	1996-01-17	VYDAJ	VYBER	9100	43199	\N	\N	\N
128053	429	1997-01-29	VYDAJ	VYBER	6700	25134	\N	\N	\N
128054	429	1998-01-24	VYDAJ	VYBER	3200	37112	\N	\N	\N
128056	429	1996-12-04	VYDAJ	VYBER	2100	33342	\N	\N	\N
128057	429	1997-12-15	VYDAJ	VYBER	1500	61808	\N	\N	\N
128058	429	1998-12-19	VYDAJ	VYBER	2000	68596	\N	\N	\N
128065	429	1996-01-11	VYDAJ	VYBER	1700	56999	\N	\N	\N
128068	429	1996-01-24	VYDAJ	VYBER	2400	40799	\N	\N	\N
128069	429	1996-01-29	VYDAJ	VYBER	2900	35999	\N	\N	\N
128070	429	1996-01-28	VYDAJ	VYBER	1900	38899	\N	\N	\N
128071	429	1997-01-16	VYDAJ	VYBER	1000	47034	\N	\N	\N
128072	429	1997-01-06	VYDAJ	VYBER	1500	32837	\N	\N	\N
128073	429	1997-01-25	VYDAJ	VYBER	1700	45334	\N	\N	\N
128074	429	1997-01-16	VYDAJ	VYBER	1600	48034	\N	\N	\N
128075	429	1997-01-26	VYDAJ	VYBER	900	31834	\N	\N	\N
128076	429	1997-01-12	VYDAJ	VYBER	1600	49634	\N	\N	\N
128077	429	1998-01-13	VYDAJ	VYBER	1200	54312	\N	\N	\N
128078	429	1998-01-24	VYDAJ	VYBER	2700	40312	\N	\N	\N
128079	429	1998-01-26	VYDAJ	VYBER	900	34212	\N	\N	\N
128080	429	1998-01-25	VYDAJ	VYBER	2000	35112	\N	\N	\N
128081	429	1998-01-04	VYDAJ	VYBER	2600	44101	\N	\N	\N
128082	429	1998-01-10	VYDAJ	VYBER	1700	37115	\N	\N	\N
128090	429	1996-09-11	VYDAJ	VYBER	3000	44764	\N	\N	\N
128091	429	1996-03-11	VYDAJ	VYBER	4300	43066	\N	\N	\N
128092	429	1996-04-13	VYDAJ	VYBER	3500	44932	\N	\N	\N
128093	429	1996-09-16	VYDAJ	VYBER	1600	43164	\N	\N	\N
128094	429	1996-01-12	VYDAJ	VYBER	3000	52299	\N	\N	\N
128095	429	1996-04-25	VYDAJ	VYBER	1900	43032	\N	\N	\N
128096	429	1996-11-01	VYDAJ	VYBER	2600	33380	\N	\N	\N
128097	429	1996-01-12	VYDAJ	VYBER	1700	55299	\N	\N	\N
128098	429	1997-09-09	VYDAJ	VYBER	800	34356	\N	\N	\N
128099	429	1997-09-28	VYDAJ	VYBER	2000	39453	\N	\N	\N
128100	429	1997-08-09	VYDAJ	VYBER	3800	35170	\N	\N	\N
128101	429	1997-11-10	VYDAJ	VYBER	3600	35724	\N	\N	\N
128102	429	1997-09-20	VYDAJ	VYBER	1500	51253	\N	\N	\N
128103	429	1997-05-11	VYDAJ	VYBER	4800	43525	\N	\N	\N
128104	429	1997-08-12	VYDAJ	VYBER	900	52667	\N	\N	\N
128105	429	1998-09-20	VYDAJ	VYBER	2800	56564	\N	\N	\N
128106	429	1998-12-29	VYDAJ	VYBER	2500	66096	\N	\N	\N
128107	429	1998-09-11	VYDAJ	VYBER	1800	67964	\N	\N	\N
128108	429	1998-10-16	VYDAJ	VYBER	500	69405	\N	\N	\N
128109	429	1998-08-27	VYDAJ	VYBER	2100	56429	\N	\N	\N
128123	429	1996-01-31	VYDAJ	VYBER	15	30994	SLUZBY	\N	\N
128124	429	1996-02-29	VYDAJ	VYBER	15	44255	SLUZBY	\N	\N
128125	429	1996-03-31	VYDAJ	VYBER	15	35321	SLUZBY	\N	\N
128126	429	1996-04-30	VYDAJ	VYBER	15	35590	SLUZBY	\N	\N
128127	429	1996-05-31	VYDAJ	VYBER	15	35568	SLUZBY	\N	\N
128128	429	1996-06-30	VYDAJ	VYBER	15	43269	SLUZBY	\N	\N
128129	429	1996-07-31	VYDAJ	VYBER	15	36675	SLUZBY	\N	\N
128130	429	1996-08-31	VYDAJ	VYBER	15	34653	SLUZBY	\N	\N
128131	429	1996-09-30	VYDAJ	VYBER	15	33315	SLUZBY	\N	\N
128132	429	1996-10-31	VYDAJ	VYBER	15	35980	SLUZBY	\N	\N
128133	429	1996-11-30	VYDAJ	VYBER	15	35442	SLUZBY	\N	\N
128134	429	1996-12-31	VYDAJ	VYBER	15	39623	SLUZBY	\N	\N
128135	429	1997-01-31	VYDAJ	VYBER	15	25289	SLUZBY	\N	\N
128136	429	1997-02-28	VYDAJ	VYBER	15	28318	SLUZBY	\N	\N
128137	429	1997-03-31	VYDAJ	VYBER	15	31060	SLUZBY	\N	\N
128138	429	1997-04-30	VYDAJ	VYBER	15	35214	SLUZBY	\N	\N
128139	429	1997-05-31	VYDAJ	VYBER	15	34472	SLUZBY	\N	\N
128140	429	1997-06-30	VYDAJ	VYBER	15	42558	SLUZBY	\N	\N
128141	429	1997-07-31	VYDAJ	VYBER	15	44256	SLUZBY	\N	\N
128142	429	1997-08-31	VYDAJ	VYBER	15	40442	SLUZBY	\N	\N
128143	429	1997-09-30	VYDAJ	VYBER	15	39624	SLUZBY	\N	\N
128144	429	1997-10-31	VYDAJ	VYBER	15	44610	SLUZBY	\N	\N
128145	429	1997-11-30	VYDAJ	VYBER	15	40998	SLUZBY	\N	\N
128146	429	1997-12-31	VYDAJ	VYBER	15	46701	SLUZBY	\N	\N
128147	429	1998-01-31	VYDAJ	VYBER	15	34380	SLUZBY	\N	\N
128148	429	1998-02-28	VYDAJ	VYBER	15	45150	SLUZBY	\N	\N
128149	429	1998-03-31	VYDAJ	VYBER	15	50158	SLUZBY	\N	\N
128150	429	1998-04-30	VYDAJ	VYBER	15	53083	SLUZBY	\N	\N
128151	429	1998-05-31	VYDAJ	VYBER	15	49108	SLUZBY	\N	\N
128152	429	1998-06-30	VYDAJ	VYBER	15	39922	SLUZBY	\N	\N
128153	429	1998-07-31	VYDAJ	VYBER	15	52018	SLUZBY	\N	\N
128154	429	1998-08-31	VYDAJ	VYBER	15	56653	SLUZBY	\N	\N
128155	429	1998-09-30	VYDAJ	VYBER	15	56794	SLUZBY	\N	\N
128156	429	1998-10-31	VYDAJ	VYBER	15	57437	SLUZBY	\N	\N
128157	429	1998-11-30	VYDAJ	VYBER	15	60886	SLUZBY	\N	\N
128158	429	1995-10-03	PRIJEM	VKLAD	500	19650	\N	\N	\N
128159	429	1995-11-02	VYDAJ	VYBER	7700	30480	\N	\N	\N
128160	429	1995-12-02	VYDAJ	VYBER	14900	34166	\N	\N	\N
128161	429	1996-01-01	VYDAJ	VYBER	21700	40302	\N	\N	\N
128162	429	1996-01-31	VYDAJ	VYBER	5200	31008	\N	\N	\N
128163	429	1996-03-01	VYDAJ	VYBER	10000	34255	\N	\N	\N
128164	429	1996-03-31	VYDAJ	VYBER	7900	35336	\N	\N	\N
128165	429	1996-04-30	VYDAJ	VYBER	7600	35604	\N	\N	\N
128166	429	1996-05-30	VYDAJ	VYBER	13300	35401	\N	\N	\N
128167	429	1996-06-29	VYDAJ	VYBER	14800	43078	\N	\N	\N
128168	429	1996-07-29	VYDAJ	VYBER	19900	36480	\N	\N	\N
128169	429	1996-08-28	VYDAJ	VYBER	15300	34486	\N	\N	\N
128170	429	1996-09-27	VYDAJ	VYBER	10000	33164	\N	\N	\N
128171	429	1996-10-27	VYDAJ	VYBER	10600	35826	\N	\N	\N
128172	429	1996-11-26	VYDAJ	VYBER	11200	35291	\N	\N	\N
128173	429	1996-12-26	VYDAJ	VYBER	16200	39452	\N	\N	\N
128174	429	1997-01-25	VYDAJ	VYBER	12600	32734	\N	\N	\N
128175	429	1997-02-24	VYDAJ	VYBER	10200	28200	\N	\N	\N
128176	429	1997-03-26	VYDAJ	VYBER	10500	30929	\N	\N	\N
128177	429	1997-04-25	VYDAJ	VYBER	9100	35071	\N	\N	\N
128178	429	1997-05-25	VYDAJ	VYBER	9200	34325	\N	\N	\N
128179	429	1997-06-24	VYDAJ	VYBER	14400	42382	\N	\N	\N
128180	429	1997-07-24	VYDAJ	VYBER	11600	44069	\N	\N	\N
128181	429	1997-08-23	VYDAJ	VYBER	12400	40267	\N	\N	\N
128182	429	1997-09-22	VYDAJ	VYBER	9800	41453	\N	\N	\N
128183	429	1997-10-22	VYDAJ	VYBER	8300	44435	\N	\N	\N
128184	429	1997-11-21	VYDAJ	VYBER	13300	40821	\N	\N	\N
128185	429	1997-12-21	VYDAJ	VYBER	15300	46508	\N	\N	\N
128186	429	1998-01-20	VYDAJ	VYBER	11300	43012	\N	\N	\N
128187	429	1998-02-19	VYDAJ	VYBER	2500	44991	\N	\N	\N
128188	429	1998-03-21	VYDAJ	VYBER	8300	49961	\N	\N	\N
128189	429	1998-04-20	VYDAJ	VYBER	10400	52869	\N	\N	\N
128190	429	1998-05-20	VYDAJ	VYBER	17300	48894	\N	\N	\N
128191	429	1998-06-19	VYDAJ	VYBER	15600	55818	\N	\N	\N
128192	429	1998-07-19	VYDAJ	VYBER	1200	51833	\N	\N	\N
128193	429	1998-08-18	VYDAJ	VYBER	6600	58529	\N	\N	\N
128194	429	1998-09-17	VYDAJ	VYBER	8600	59364	\N	\N	\N
128195	429	1998-10-17	VYDAJ	VYBER	12200	57205	\N	\N	\N
128196	429	1998-11-16	VYDAJ	VYBER	9900	60648	\N	\N	\N
128197	429	1998-12-16	VYDAJ	VYBER	12600	70596	\N	\N	\N
128238	430	1995-09-02	PRIJEM	VKLAD	900	900	\N	\N	\N
128347	430	1995-10-02	PRIJEM	VKLAD	11500	12400	\N	\N	\N
128348	430	1995-11-01	PRIJEM	VKLAD	6700	19100	\N	\N	\N
128349	430	1995-12-01	PRIJEM	VKLAD	4700	23800	\N	\N	\N
128350	430	1995-12-31	PRIJEM	VKLAD	2500	26300	\N	\N	\N
128351	430	1996-01-30	VYDAJ	VYBER	800	25504	\N	\N	\N
128352	430	1996-02-29	PRIJEM	VKLAD	700	26204	\N	\N	\N
128353	430	1996-03-30	PRIJEM	VKLAD	4500	30930	\N	\N	\N
128354	430	1996-05-29	PRIJEM	VKLAD	1200	32240	\N	\N	\N
128355	430	1996-06-28	VYDAJ	VYBER	1200	31149	\N	\N	\N
128356	430	1996-07-28	VYDAJ	VYBER	1200	30059	\N	\N	\N
128357	430	1996-08-27	PRIJEM	VKLAD	2700	32869	\N	\N	\N
128358	430	1996-09-26	PRIJEM	VKLAD	400	33378	\N	\N	\N
128359	430	1996-10-26	PRIJEM	VKLAD	3500	36988	\N	\N	\N
128360	430	1996-11-25	PRIJEM	VKLAD	1800	38897	\N	\N	\N
128361	430	1996-12-25	VYDAJ	VYBER	400	38607	\N	\N	\N
128362	430	1997-01-24	VYDAJ	VYBER	300	38417	\N	\N	\N
128363	430	1997-02-23	VYDAJ	VYBER	2500	36026	\N	\N	\N
128364	430	1997-03-25	VYDAJ	VYBER	100	36036	\N	\N	\N
128365	430	1997-04-24	PRIJEM	VKLAD	4000	40145	\N	\N	\N
128366	430	1997-05-24	PRIJEM	VKLAD	300	40555	\N	\N	\N
128367	430	1997-06-23	PRIJEM	VKLAD	1400	42064	\N	\N	\N
128368	430	1997-07-23	PRIJEM	VKLAD	5100	47274	\N	\N	\N
128369	430	1997-08-22	VYDAJ	VYBER	3800	43584	\N	\N	\N
128370	430	1997-09-21	VYDAJ	VYBER	400	43293	\N	\N	\N
128371	430	1997-10-21	VYDAJ	VYBER	1400	42003	\N	\N	\N
128372	430	1997-11-20	PRIJEM	VKLAD	4500	46612	\N	\N	\N
128373	430	1997-12-20	VYDAJ	VYBER	700	46022	\N	\N	\N
128374	430	1998-01-19	VYDAJ	VYBER	900	45231	\N	\N	\N
128375	430	1998-02-18	PRIJEM	VKLAD	200	45541	\N	\N	\N
128376	430	1998-03-20	PRIJEM	VKLAD	1400	47051	\N	\N	\N
128377	430	1998-04-19	PRIJEM	VKLAD	200	47360	\N	\N	\N
128378	430	1998-05-19	VYDAJ	VYBER	1600	45870	\N	\N	\N
128379	430	1998-06-18	PRIJEM	VKLAD	1200	47179	\N	\N	\N
128380	430	1998-07-18	PRIJEM	VKLAD	2500	49789	\N	\N	\N
128381	430	1998-08-17	PRIJEM	VKLAD	1300	51199	\N	\N	\N
128382	430	1998-09-16	PRIJEM	VKLAD	1600	52908	\N	\N	\N
128383	430	1998-10-16	PRIJEM	VKLAD	1800	54818	\N	\N	\N
128384	430	1998-11-15	PRIJEM	VKLAD	3800	58727	\N	\N	\N
128385	430	1998-12-15	PRIJEM	VKLAD	5600	64437	\N	\N	\N
128421	431	1996-11-05	PRIJEM	VKLAD	300	300	\N	\N	\N
128432	431	1996-11-14	PRIJEM	VKLAD	18237	18537	\N	\N	\N
128433	431	1996-12-14	PRIJEM	VKLAD	27356	50536	\N	\N	\N
128434	431	1997-01-14	PRIJEM	VKLAD	18237	57228	\N	\N	\N
128435	431	1997-02-14	PRIJEM	VKLAD	18237	63592	\N	\N	\N
128436	431	1997-03-14	PRIJEM	VKLAD	18237	66481	\N	\N	\N
128437	431	1997-04-14	PRIJEM	VKLAD	18237	58779	\N	\N	\N
128438	431	1997-05-14	PRIJEM	VKLAD	18237	50058	\N	\N	\N
128439	431	1997-06-14	PRIJEM	VKLAD	27356	61303	\N	\N	\N
128440	431	1997-07-14	PRIJEM	VKLAD	18237	51265	\N	\N	\N
128441	431	1997-08-14	PRIJEM	VKLAD	18237	51818	\N	\N	\N
128442	431	1997-09-14	PRIJEM	VKLAD	18237	54841	\N	\N	\N
128443	431	1997-10-14	PRIJEM	VKLAD	18237	53678	\N	\N	\N
128444	431	1997-11-14	PRIJEM	VKLAD	18237	53411	\N	\N	\N
128445	431	1997-12-14	PRIJEM	VKLAD	27356	62355	\N	\N	\N
128446	431	1998-01-14	PRIJEM	VKLAD	18237	40912	\N	\N	\N
128447	431	1998-02-14	PRIJEM	VKLAD	18237	45027	\N	\N	\N
128448	431	1998-03-14	PRIJEM	VKLAD	18237	45216	\N	\N	\N
128449	431	1998-04-14	PRIJEM	VKLAD	18237	41705	\N	\N	\N
128450	431	1998-05-14	PRIJEM	VKLAD	18237	37709	\N	\N	\N
128451	431	1998-06-14	PRIJEM	VKLAD	27356	44925	\N	\N	\N
128452	431	1998-07-14	PRIJEM	VKLAD	18237	38248	\N	\N	\N
128453	431	1998-08-14	PRIJEM	VKLAD	18237	30302	\N	\N	\N
128454	431	1998-09-14	PRIJEM	VKLAD	18237	26423	\N	\N	\N
128455	431	1998-10-14	PRIJEM	VKLAD	18237	32854	\N	\N	\N
128456	431	1998-11-14	PRIJEM	VKLAD	18237	27782	\N	\N	\N
128457	431	1998-12-14	PRIJEM	VKLAD	27356	37554	\N	\N	\N
128473	431	1997-04-13	VYDAJ	PREVOD NA UCET	6482	40542	SIPO	GH	65853184
128474	431	1997-05-13	VYDAJ	PREVOD NA UCET	6482	31821	SIPO	GH	65853184
128475	431	1997-06-13	VYDAJ	PREVOD NA UCET	6482	33948	SIPO	GH	65853184
128476	431	1997-07-13	VYDAJ	PREVOD NA UCET	6482	33028	SIPO	GH	65853184
128477	431	1997-08-13	VYDAJ	PREVOD NA UCET	6482	33581	SIPO	GH	65853184
128478	431	1997-09-13	VYDAJ	PREVOD NA UCET	6482	36604	SIPO	GH	65853184
128479	431	1997-10-13	VYDAJ	PREVOD NA UCET	6482	35441	SIPO	GH	65853184
128480	431	1997-11-13	VYDAJ	PREVOD NA UCET	6482	35174	SIPO	GH	65853184
128481	431	1997-12-13	VYDAJ	PREVOD NA UCET	6482	34999	SIPO	GH	65853184
128482	431	1998-01-13	VYDAJ	PREVOD NA UCET	6482	22675	SIPO	GH	65853184
128483	431	1998-02-13	VYDAJ	PREVOD NA UCET	6482	26790	SIPO	GH	65853184
128484	431	1998-03-13	VYDAJ	PREVOD NA UCET	6482	26979	SIPO	GH	65853184
128485	431	1998-04-13	VYDAJ	PREVOD NA UCET	6482	23468	SIPO	GH	65853184
128486	431	1998-05-13	VYDAJ	PREVOD NA UCET	6482	19472	SIPO	GH	65853184
128487	431	1998-06-13	VYDAJ	PREVOD NA UCET	6482	17569	SIPO	GH	65853184
128488	431	1998-07-13	VYDAJ	PREVOD NA UCET	6482	20011	SIPO	GH	65853184
128489	431	1998-08-13	VYDAJ	PREVOD NA UCET	6482	12065	SIPO	GH	65853184
128490	431	1998-09-13	VYDAJ	PREVOD NA UCET	6482	8186	SIPO	GH	65853184
128491	431	1998-10-13	VYDAJ	PREVOD NA UCET	6482	14617	SIPO	GH	65853184
128492	431	1998-11-13	VYDAJ	PREVOD NA UCET	6482	9545	SIPO	GH	65853184
128493	431	1998-12-13	VYDAJ	PREVOD NA UCET	6482	10199	SIPO	GH	65853184
128509	431	1997-04-05	VYDAJ	PREVOD NA UCET	715	47024	 	KL	66201281
128510	431	1997-05-05	VYDAJ	PREVOD NA UCET	715	42983	 	KL	66201281
128511	431	1997-06-05	VYDAJ	PREVOD NA UCET	715	40430	 	KL	66201281
128512	431	1997-07-05	VYDAJ	PREVOD NA UCET	715	39510	 	KL	66201281
128513	431	1997-08-05	VYDAJ	PREVOD NA UCET	715	40063	 	KL	66201281
128514	431	1997-09-05	VYDAJ	PREVOD NA UCET	715	43086	 	KL	66201281
128515	431	1997-10-05	VYDAJ	PREVOD NA UCET	715	41923	 	KL	66201281
128516	431	1997-11-05	VYDAJ	PREVOD NA UCET	715	41656	 	KL	66201281
128517	431	1997-12-05	VYDAJ	PREVOD NA UCET	715	41481	 	KL	66201281
128518	431	1998-01-05	VYDAJ	PREVOD NA UCET	715	37677	 	KL	66201281
128519	431	1998-02-05	VYDAJ	PREVOD NA UCET	715	33272	 	KL	66201281
128520	431	1998-03-05	VYDAJ	PREVOD NA UCET	715	33461	 	KL	66201281
128521	431	1998-04-05	VYDAJ	PREVOD NA UCET	715	29950	 	KL	66201281
128522	431	1998-05-05	VYDAJ	PREVOD NA UCET	715	25954	 	KL	66201281
128523	431	1998-06-05	VYDAJ	PREVOD NA UCET	715	24051	 	KL	66201281
128524	431	1998-07-05	VYDAJ	PREVOD NA UCET	715	26493	 	KL	66201281
128525	431	1998-08-05	VYDAJ	PREVOD NA UCET	715	18547	 	KL	66201281
128526	431	1998-09-05	VYDAJ	PREVOD NA UCET	715	14668	 	KL	66201281
128527	431	1998-10-05	VYDAJ	PREVOD NA UCET	715	21099	 	KL	66201281
128528	431	1998-11-05	VYDAJ	PREVOD NA UCET	715	16027	 	KL	66201281
128529	431	1998-12-05	VYDAJ	PREVOD NA UCET	715	16681	 	KL	66201281
128531	431	1997-06-19	VYDAJ	VYBER	15360	45943	\N	\N	\N
128535	431	1998-01-04	VYDAJ	VYBER	3200	38392	\N	\N	\N
128537	431	1997-12-19	VYDAJ	VYBER	4160	58195	\N	\N	\N
128551	431	1998-01-10	VYDAJ	VYBER	840	29157	\N	\N	\N
128552	431	1998-01-08	VYDAJ	VYBER	600	32397	\N	\N	\N
128553	431	1998-01-05	VYDAJ	VYBER	1320	36357	\N	\N	\N
128554	431	1998-01-09	VYDAJ	VYBER	2400	29997	\N	\N	\N
128555	431	1998-01-07	VYDAJ	VYBER	3360	32997	\N	\N	\N
128556	431	1998-01-14	VYDAJ	VYBER	2760	38152	\N	\N	\N
128566	431	1997-05-10	VYDAJ	VYBER	3240	39743	\N	\N	\N
128567	431	1997-05-11	VYDAJ	VYBER	1440	38303	\N	\N	\N
128569	431	1997-07-18	VYDAJ	VYBER	4560	46705	\N	\N	\N
128570	431	1998-09-27	VYDAJ	VYBER	4680	21743	\N	\N	\N
128571	431	1998-04-16	VYDAJ	VYBER	5160	36545	\N	\N	\N
128572	431	1998-11-27	VYDAJ	VYBER	5760	20422	\N	\N	\N
128573	431	1998-06-23	VYDAJ	VYBER	5040	39885	\N	\N	\N
128575	431	1998-11-19	VYDAJ	VYBER KARTOU	1600	26182	\N	\N	0
128576	431	1998-12-02	VYDAJ	VYBER KARTOU	3100	17396	\N	\N	0
128577	431	1998-06-02	VYDAJ	VYBER	960	24766	\N	\N	\N
128593	431	1997-03-31	VYDAJ	VYBER	15	66739	SLUZBY	\N	\N
128594	431	1997-04-30	VYDAJ	VYBER	15	58998	SLUZBY	\N	\N
128595	431	1997-05-31	VYDAJ	VYBER	15	50245	SLUZBY	\N	\N
128596	431	1997-06-30	VYDAJ	VYBER	15	46125	SLUZBY	\N	\N
128597	431	1997-07-31	VYDAJ	VYBER	15	46878	SLUZBY	\N	\N
128598	431	1997-08-31	VYDAJ	VYBER	15	52001	SLUZBY	\N	\N
128599	431	1997-09-30	VYDAJ	VYBER	15	55038	SLUZBY	\N	\N
128600	431	1997-10-31	VYDAJ	VYBER	15	53871	SLUZBY	\N	\N
128601	431	1997-11-30	VYDAJ	VYBER	15	42196	SLUZBY	\N	\N
128602	431	1997-12-31	VYDAJ	VYBER	15	41592	SLUZBY	\N	\N
128603	431	1998-01-31	VYDAJ	VYBER	15	33987	SLUZBY	\N	\N
128604	431	1998-02-28	VYDAJ	VYBER	15	34176	SLUZBY	\N	\N
128605	431	1998-03-31	VYDAJ	VYBER	15	30665	SLUZBY	\N	\N
128606	431	1998-04-30	VYDAJ	VYBER	15	26669	SLUZBY	\N	\N
128607	431	1998-05-31	VYDAJ	VYBER	15	25726	SLUZBY	\N	\N
128608	431	1998-06-30	VYDAJ	VYBER	15	27208	SLUZBY	\N	\N
128609	431	1998-07-31	VYDAJ	VYBER	15	19262	SLUZBY	\N	\N
128610	431	1998-08-31	VYDAJ	VYBER	15	15383	SLUZBY	\N	\N
128611	431	1998-09-30	VYDAJ	VYBER	15	21814	SLUZBY	\N	\N
128612	431	1998-10-31	VYDAJ	VYBER	15	16742	SLUZBY	\N	\N
128613	431	1998-11-30	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
128614	431	1996-12-05	PRIJEM	VKLAD	4600	23181	\N	\N	\N
128615	431	1997-01-04	VYDAJ	VYBER	11700	38991	\N	\N	\N
128616	431	1997-02-03	VYDAJ	VYBER	12100	45355	\N	\N	\N
128617	431	1997-03-05	VYDAJ	VYBER	15600	48244	\N	\N	\N
128618	431	1997-04-04	VYDAJ	VYBER	19000	47739	\N	\N	\N
128619	431	1997-05-04	VYDAJ	VYBER	15300	43698	\N	\N	\N
128620	431	1997-06-03	VYDAJ	VYBER	9100	41145	\N	\N	\N
128621	431	1997-07-03	VYDAJ	VYBER	5900	40225	\N	\N	\N
128622	431	1997-08-02	VYDAJ	VYBER	6100	40778	\N	\N	\N
128623	431	1997-09-01	VYDAJ	VYBER	8200	43801	\N	\N	\N
128624	431	1997-10-01	VYDAJ	VYBER	12400	42638	\N	\N	\N
128625	431	1997-10-31	VYDAJ	VYBER	11500	42371	\N	\N	\N
128626	431	1997-11-30	VYDAJ	VYBER	11400	42211	\N	\N	\N
128627	431	1997-12-30	VYDAJ	VYBER	16800	41395	\N	\N	\N
128628	431	1998-01-29	VYDAJ	VYBER	4300	33852	\N	\N	\N
128629	431	1998-02-28	VYDAJ	VYBER	11000	34191	\N	\N	\N
128630	431	1998-03-30	VYDAJ	VYBER	14700	30516	\N	\N	\N
128631	431	1998-04-29	VYDAJ	VYBER	10000	26545	\N	\N	\N
128632	431	1998-05-29	VYDAJ	VYBER	12100	25609	\N	\N	\N
128633	431	1998-06-28	VYDAJ	VYBER	12800	27085	\N	\N	\N
128634	431	1998-07-28	VYDAJ	VYBER	19100	19148	\N	\N	\N
128635	431	1998-08-27	VYDAJ	VYBER	15000	15302	\N	\N	\N
128636	431	1998-10-26	VYDAJ	VYBER	16200	16654	\N	\N	\N
128663	432	1993-06-16	PRIJEM	VKLAD	500	500	\N	\N	\N
128670	432	1993-07-07	PRIJEM	VKLAD	6991	7491	\N	\N	\N
128671	432	1993-08-07	PRIJEM	VKLAD	6991	22014	\N	\N	\N
128672	432	1993-09-07	PRIJEM	VKLAD	6991	32792	\N	\N	\N
128673	432	1993-10-07	PRIJEM	VKLAD	6991	38103	\N	\N	\N
128674	432	1993-11-07	PRIJEM	VKLAD	6991	38424	\N	\N	\N
128675	432	1993-12-07	PRIJEM	VKLAD	10486	42026	\N	\N	\N
128676	432	1994-01-07	PRIJEM	VKLAD	6991	34029	\N	\N	\N
128677	432	1994-02-07	PRIJEM	VKLAD	6991	27325	\N	\N	\N
128678	432	1994-03-07	PRIJEM	VKLAD	6991	34807	\N	\N	\N
128679	432	1994-04-07	PRIJEM	VKLAD	6991	38515	\N	\N	\N
128680	432	1994-05-07	PRIJEM	VKLAD	6991	37825	\N	\N	\N
128681	432	1994-06-07	PRIJEM	VKLAD	10486	43330	\N	\N	\N
128682	432	1994-07-07	PRIJEM	VKLAD	6991	20417	\N	\N	\N
128683	432	1994-08-07	PRIJEM	VKLAD	6991	29276	\N	\N	\N
128684	432	1994-09-07	PRIJEM	VKLAD	6991	34460	\N	\N	\N
128685	432	1994-10-07	PRIJEM	VKLAD	6991	30348	\N	\N	\N
128686	432	1994-11-07	PRIJEM	VKLAD	6991	31329	\N	\N	\N
128687	432	1994-12-07	PRIJEM	VKLAD	10486	35102	\N	\N	\N
128688	432	1995-01-07	PRIJEM	VKLAD	6991	33596	\N	\N	\N
128689	432	1995-02-07	PRIJEM	VKLAD	6991	30876	\N	\N	\N
128690	432	1995-03-07	PRIJEM	VKLAD	6991	37471	\N	\N	\N
128691	432	1995-04-07	PRIJEM	VKLAD	6991	35768	\N	\N	\N
128692	432	1995-05-07	PRIJEM	VKLAD	6991	36767	\N	\N	\N
128693	432	1995-06-07	PRIJEM	VKLAD	10486	35653	\N	\N	\N
128694	432	1995-07-07	PRIJEM	VKLAD	6991	36768	\N	\N	\N
128695	432	1995-08-07	PRIJEM	VKLAD	6991	38294	\N	\N	\N
128696	432	1995-09-07	PRIJEM	VKLAD	6991	36717	\N	\N	\N
128697	432	1995-10-07	PRIJEM	VKLAD	6991	32543	\N	\N	\N
128698	432	1995-11-07	PRIJEM	VKLAD	6991	34557	\N	\N	\N
128699	432	1995-12-07	PRIJEM	VKLAD	10486	33966	\N	\N	\N
128700	432	1996-01-07	PRIJEM	VKLAD	6991	25775	\N	\N	\N
128701	432	1996-02-07	PRIJEM	VKLAD	6991	23746	\N	\N	\N
128702	432	1996-03-07	PRIJEM	VKLAD	6991	23915	\N	\N	\N
128703	432	1996-04-07	PRIJEM	VKLAD	6991	26287	\N	\N	\N
128704	432	1996-05-07	PRIJEM	VKLAD	6991	29667	\N	\N	\N
128705	432	1996-06-07	PRIJEM	VKLAD	10486	27236	\N	\N	\N
128706	432	1996-07-07	PRIJEM	VKLAD	6991	29907	\N	\N	\N
128707	432	1996-08-07	PRIJEM	VKLAD	6991	29993	\N	\N	\N
128708	432	1996-09-07	PRIJEM	VKLAD	6991	24363	\N	\N	\N
128709	432	1996-10-07	PRIJEM	VKLAD	6991	27612	\N	\N	\N
128710	432	1996-11-07	PRIJEM	VKLAD	6991	28173	\N	\N	\N
128711	432	1996-12-07	PRIJEM	VKLAD	10486	28232	\N	\N	\N
128712	432	1997-01-07	PRIJEM	VKLAD	6991	24905	\N	\N	\N
128713	432	1997-02-07	PRIJEM	VKLAD	6991	21857	\N	\N	\N
128714	432	1997-03-07	PRIJEM	VKLAD	6991	22894	\N	\N	\N
128715	432	1997-04-07	PRIJEM	VKLAD	6991	19833	\N	\N	\N
128716	432	1997-05-07	PRIJEM	VKLAD	6991	22068	\N	\N	\N
128717	432	1997-06-07	PRIJEM	VKLAD	10486	24499	\N	\N	\N
128718	432	1997-07-07	PRIJEM	VKLAD	6991	21032	\N	\N	\N
128719	432	1997-08-07	PRIJEM	VKLAD	6991	20064	\N	\N	\N
128720	432	1997-09-07	PRIJEM	VKLAD	6991	27093	\N	\N	\N
128721	432	1997-10-07	PRIJEM	VKLAD	6991	20944	\N	\N	\N
128722	432	1997-11-07	PRIJEM	VKLAD	6991	21978	\N	\N	\N
128723	432	1997-12-07	PRIJEM	VKLAD	10486	28310	\N	\N	\N
128724	432	1998-01-07	PRIJEM	VKLAD	6991	31971	\N	\N	\N
128725	432	1998-02-07	PRIJEM	VKLAD	6991	23959	\N	\N	\N
128726	432	1998-03-07	PRIJEM	VKLAD	6991	31028	\N	\N	\N
128727	432	1998-04-07	PRIJEM	VKLAD	6991	21389	\N	\N	\N
128728	432	1998-05-07	PRIJEM	VKLAD	6991	24332	\N	\N	\N
128729	432	1998-06-07	PRIJEM	VKLAD	10486	34874	\N	\N	\N
128730	432	1998-07-07	PRIJEM	VKLAD	6991	28249	\N	\N	\N
128731	432	1998-08-07	PRIJEM	VKLAD	6991	21099	\N	\N	\N
128732	432	1998-09-07	PRIJEM	VKLAD	6991	28132	\N	\N	\N
128733	432	1998-10-07	PRIJEM	VKLAD	6991	35194	\N	\N	\N
128734	432	1998-11-07	PRIJEM	VKLAD	6991	42286	\N	\N	\N
128735	432	1998-12-07	PRIJEM	VKLAD	10486	27866	\N	\N	\N
128737	432	1994-06-21	VYDAJ	VYBER	16200	15630	\N	\N	\N
128741	432	1998-06-10	VYDAJ	VYBER	8800	26074	\N	\N	\N
128743	432	1994-01-29	VYDAJ	VYBER	5000	20229	\N	\N	\N
128744	432	1995-01-26	VYDAJ	VYBER	1400	20796	\N	\N	\N
128745	432	1996-01-19	VYDAJ	VYBER	4000	21775	\N	\N	\N
128746	432	1997-01-06	VYDAJ	VYBER	2700	17914	\N	\N	\N
128747	432	1998-01-20	VYDAJ	VYBER	4600	24971	\N	\N	\N
128748	432	1993-12-16	VYDAJ	VYBER	2500	31626	\N	\N	\N
128749	432	1994-12-28	VYDAJ	VYBER	800	28602	\N	\N	\N
128750	432	1995-12-10	VYDAJ	VYBER	2100	31866	\N	\N	\N
128751	432	1996-12-10	VYDAJ	VYBER	700	27532	\N	\N	\N
128752	432	1997-12-22	VYDAJ	VYBER	600	27710	\N	\N	\N
128753	432	1998-12-09	VYDAJ	VYBER	1800	26066	\N	\N	\N
128760	432	1994-01-28	VYDAJ	VYBER	800	25229	\N	\N	\N
128761	432	1994-01-19	VYDAJ	VYBER	1300	28229	\N	\N	\N
128762	432	1994-01-02	VYDAJ	VYBER	1700	27038	\N	\N	\N
128763	432	1994-01-26	VYDAJ	VYBER	1600	26029	\N	\N	\N
128764	432	1994-01-25	VYDAJ	VYBER	600	27629	\N	\N	\N
128765	432	1994-01-17	VYDAJ	VYBER	1100	29529	\N	\N	\N
128766	432	1995-01-14	VYDAJ	VYBER	2800	25196	\N	\N	\N
128767	432	1995-01-20	VYDAJ	VYBER	1700	22196	\N	\N	\N
128768	432	1995-01-14	VYDAJ	VYBER	1300	23896	\N	\N	\N
128769	432	1995-01-08	VYDAJ	VYBER	1200	27996	\N	\N	\N
128770	432	1995-01-02	VYDAJ	VYBER	600	28105	\N	\N	\N
128771	432	1995-01-04	VYDAJ	VYBER	1500	26605	\N	\N	\N
128772	432	1996-01-02	VYDAJ	VYBER	2400	20284	\N	\N	\N
128773	432	1996-01-21	VYDAJ	VYBER	1000	19375	\N	\N	\N
128774	432	1996-01-21	VYDAJ	VYBER	1400	20375	\N	\N	\N
128775	432	1996-01-04	VYDAJ	VYBER	1500	18784	\N	\N	\N
128776	432	1996-01-01	VYDAJ	VYBER	1400	30584	\N	\N	\N
128777	432	1996-01-21	VYDAJ	VYBER	1300	18075	\N	\N	\N
128778	432	1997-01-15	VYDAJ	VYBER	2900	19705	\N	\N	\N
128779	432	1997-01-16	VYDAJ	VYBER	1400	18305	\N	\N	\N
128780	432	1997-01-16	VYDAJ	VYBER	2800	15505	\N	\N	\N
128781	432	1997-01-11	VYDAJ	VYBER	2300	22605	\N	\N	\N
128782	432	1997-01-21	VYDAJ	VYBER	500	15005	\N	\N	\N
128784	432	1998-01-27	VYDAJ	VYBER	1800	20471	\N	\N	\N
128785	432	1998-01-20	VYDAJ	VYBER	2700	22271	\N	\N	\N
128786	432	1998-01-27	VYDAJ	VYBER	800	18571	\N	\N	\N
128787	432	1998-01-17	VYDAJ	VYBER	2400	29571	\N	\N	\N
128788	432	1998-01-04	VYDAJ	VYBER	2800	24980	\N	\N	\N
128789	432	1998-01-27	VYDAJ	VYBER	1100	19371	\N	\N	\N
128791	432	1993-12-18	VYDAJ	VYBER	3000	28626	\N	\N	\N
128793	432	1994-07-07	VYDAJ	VYBER	4400	16017	\N	\N	\N
128794	432	1994-06-28	VYDAJ	VYBER	2300	13330	\N	\N	\N
128795	432	1994-10-05	VYDAJ	VYBER	3200	23357	\N	\N	\N
128796	432	1994-04-07	VYDAJ	VYBER	600	37915	\N	\N	\N
128797	432	1994-03-05	VYDAJ	VYBER	500	27816	\N	\N	\N
128798	432	1994-11-14	VYDAJ	VYBER	600	24529	\N	\N	\N
128799	432	1994-09-16	VYDAJ	VYBER	500	26460	\N	\N	\N
128800	432	1995-08-11	VYDAJ	VYBER	3900	34394	\N	\N	\N
128801	432	1995-11-20	VYDAJ	VYBER	3000	31557	\N	\N	\N
128802	432	1995-02-14	VYDAJ	VYBER	500	30376	\N	\N	\N
128803	432	1995-06-24	VYDAJ	VYBER	2900	32753	\N	\N	\N
128804	432	1995-09-25	VYDAJ	VYBER	1100	35617	\N	\N	\N
128805	432	1996-05-10	VYDAJ	VYBER	4400	25267	\N	\N	\N
128806	432	1996-11-18	VYDAJ	VYBER	4500	23673	\N	\N	\N
128807	432	1996-05-13	VYDAJ	VYBER	3500	21767	\N	\N	\N
128808	432	1996-03-04	VYDAJ	VYBER	2800	16924	\N	\N	\N
128809	432	1996-08-31	VYDAJ	VYBER	4700	17372	\N	\N	\N
128810	432	1996-03-07	VYDAJ	VYBER	3900	20015	\N	\N	\N
128811	432	1996-06-12	VYDAJ	VYBER	500	26736	\N	\N	\N
128813	432	1997-11-30	VYDAJ	VYBER	4200	17838	\N	\N	\N
128818	432	1997-04-08	VYDAJ	VYBER	4800	15033	\N	\N	\N
128819	432	1998-02-03	VYDAJ	VYBER	1700	16968	\N	\N	\N
128820	432	1998-04-07	VYDAJ	VYBER	4100	17289	\N	\N	\N
128821	432	1998-06-24	VYDAJ	VYBER	4900	21174	\N	\N	\N
128833	432	1993-11-30	VYDAJ	VYBER	15	31540	SLUZBY	\N	\N
128834	432	1993-12-31	VYDAJ	VYBER	15	28738	SLUZBY	\N	\N
128835	432	1994-01-31	VYDAJ	VYBER	15	20334	SLUZBY	\N	\N
128836	432	1994-02-28	VYDAJ	VYBER	15	28316	SLUZBY	\N	\N
128837	432	1994-03-31	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
128838	432	1994-04-30	VYDAJ	VYBER	15	30834	SLUZBY	\N	\N
128839	432	1994-05-31	VYDAJ	VYBER	15	32844	SLUZBY	\N	\N
128840	432	1994-06-30	VYDAJ	VYBER	15	13426	SLUZBY	\N	\N
128841	432	1994-07-31	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
128842	432	1994-08-31	VYDAJ	VYBER	15	27469	SLUZBY	\N	\N
128843	432	1994-09-30	VYDAJ	VYBER	15	26557	SLUZBY	\N	\N
128844	432	1994-10-31	VYDAJ	VYBER	15	24338	SLUZBY	\N	\N
128845	432	1994-11-30	VYDAJ	VYBER	15	24616	SLUZBY	\N	\N
128846	432	1994-12-31	VYDAJ	VYBER	15	28705	SLUZBY	\N	\N
128847	432	1995-01-31	VYDAJ	VYBER	15	20885	SLUZBY	\N	\N
128848	432	1995-02-28	VYDAJ	VYBER	15	30480	SLUZBY	\N	\N
128849	432	1995-03-31	VYDAJ	VYBER	15	28777	SLUZBY	\N	\N
128850	432	1995-04-30	VYDAJ	VYBER	15	29776	SLUZBY	\N	\N
128851	432	1995-05-31	VYDAJ	VYBER	15	27267	SLUZBY	\N	\N
128852	432	1995-06-30	VYDAJ	VYBER	15	32877	SLUZBY	\N	\N
128853	432	1995-07-31	VYDAJ	VYBER	15	36903	SLUZBY	\N	\N
128854	432	1995-08-31	VYDAJ	VYBER	15	34526	SLUZBY	\N	\N
128855	432	1995-09-30	VYDAJ	VYBER	15	35752	SLUZBY	\N	\N
128856	432	1995-10-31	VYDAJ	VYBER	15	32666	SLUZBY	\N	\N
128857	432	1995-11-30	VYDAJ	VYBER	15	31680	SLUZBY	\N	\N
128858	432	1995-12-31	VYDAJ	VYBER	15	31984	SLUZBY	\N	\N
128859	432	1996-01-31	VYDAJ	VYBER	15	18155	SLUZBY	\N	\N
128860	432	1996-02-29	VYDAJ	VYBER	15	23824	SLUZBY	\N	\N
128861	432	1996-03-31	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
128862	432	1996-04-30	VYDAJ	VYBER	15	26376	SLUZBY	\N	\N
128863	432	1996-05-31	VYDAJ	VYBER	15	16750	SLUZBY	\N	\N
128864	432	1996-06-30	VYDAJ	VYBER	15	26816	SLUZBY	\N	\N
128865	432	1996-07-31	VYDAJ	VYBER	15	23002	SLUZBY	\N	\N
128866	432	1996-08-31	VYDAJ	VYBER	15	22072	SLUZBY	\N	\N
128867	432	1996-09-30	VYDAJ	VYBER	15	20621	SLUZBY	\N	\N
128868	432	1996-10-31	VYDAJ	VYBER	15	21182	SLUZBY	\N	\N
128869	432	1996-11-30	VYDAJ	VYBER	15	17746	SLUZBY	\N	\N
128870	432	1996-12-31	VYDAJ	VYBER	15	20614	SLUZBY	\N	\N
128871	432	1997-01-31	VYDAJ	VYBER	15	14866	SLUZBY	\N	\N
128872	432	1997-02-28	VYDAJ	VYBER	15	15903	SLUZBY	\N	\N
128873	432	1997-03-31	VYDAJ	VYBER	15	12842	SLUZBY	\N	\N
128874	432	1997-04-30	VYDAJ	VYBER	15	15077	SLUZBY	\N	\N
128875	432	1997-05-31	VYDAJ	VYBER	15	14013	SLUZBY	\N	\N
128876	432	1997-06-30	VYDAJ	VYBER	15	14041	SLUZBY	\N	\N
128877	432	1997-07-31	VYDAJ	VYBER	15	13073	SLUZBY	\N	\N
128878	432	1997-08-31	VYDAJ	VYBER	15	20102	SLUZBY	\N	\N
128879	432	1997-09-30	VYDAJ	VYBER	15	13953	SLUZBY	\N	\N
128880	432	1997-10-31	VYDAJ	VYBER	15	14987	SLUZBY	\N	\N
128881	432	1997-11-30	VYDAJ	VYBER	15	17824	SLUZBY	\N	\N
128882	432	1997-12-31	VYDAJ	VYBER	15	27780	SLUZBY	\N	\N
128883	432	1998-01-31	VYDAJ	VYBER	15	18668	SLUZBY	\N	\N
128884	432	1998-02-28	VYDAJ	VYBER	15	24037	SLUZBY	\N	\N
128885	432	1998-03-31	VYDAJ	VYBER	15	14398	SLUZBY	\N	\N
128886	432	1998-04-30	VYDAJ	VYBER	15	17341	SLUZBY	\N	\N
128887	432	1998-05-31	VYDAJ	VYBER	15	24388	SLUZBY	\N	\N
128888	432	1998-06-30	VYDAJ	VYBER	15	21258	SLUZBY	\N	\N
128889	432	1998-07-31	VYDAJ	VYBER	15	14108	SLUZBY	\N	\N
128890	432	1998-08-31	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
128891	432	1998-09-30	VYDAJ	VYBER	15	28203	SLUZBY	\N	\N
128892	432	1998-10-31	VYDAJ	VYBER	15	35295	SLUZBY	\N	\N
128893	432	1998-11-30	VYDAJ	VYBER	15	17380	SLUZBY	\N	\N
128894	432	1993-07-16	PRIJEM	VKLAD	7500	14991	\N	\N	\N
128895	432	1993-08-15	PRIJEM	VKLAD	3700	25714	\N	\N	\N
128896	432	1993-09-14	VYDAJ	VYBER	1800	30992	\N	\N	\N
128897	432	1993-10-14	VYDAJ	VYBER	6800	31303	\N	\N	\N
128898	432	1993-11-13	VYDAJ	VYBER	7000	31424	\N	\N	\N
128899	432	1993-12-13	VYDAJ	VYBER	7900	34126	\N	\N	\N
128900	432	1994-01-12	VYDAJ	VYBER	3400	30629	\N	\N	\N
128901	432	1994-02-11	PRIJEM	VKLAD	900	28225	\N	\N	\N
128902	432	1994-03-13	VYDAJ	VYBER	3400	31407	\N	\N	\N
128903	432	1994-04-12	VYDAJ	VYBER	7200	30715	\N	\N	\N
128904	432	1994-05-12	VYDAJ	VYBER	5100	32725	\N	\N	\N
128905	432	1994-06-11	VYDAJ	VYBER	11500	31830	\N	\N	\N
128906	432	1994-07-11	PRIJEM	VKLAD	6200	22217	\N	\N	\N
128907	432	1994-08-10	VYDAJ	VYBER	1900	27376	\N	\N	\N
128908	432	1994-09-09	VYDAJ	VYBER	7500	26960	\N	\N	\N
128909	432	1994-10-09	VYDAJ	VYBER	6100	24248	\N	\N	\N
128910	432	1994-11-08	VYDAJ	VYBER	6200	25129	\N	\N	\N
128911	432	1994-12-08	VYDAJ	VYBER	5700	29402	\N	\N	\N
128912	432	1995-01-07	VYDAJ	VYBER	4400	29196	\N	\N	\N
128913	432	1995-02-06	PRIJEM	VKLAD	3000	23885	\N	\N	\N
128914	432	1995-03-08	VYDAJ	VYBER	8800	28671	\N	\N	\N
128915	432	1995-04-07	VYDAJ	VYBER	6100	29668	\N	\N	\N
128916	432	1995-05-07	VYDAJ	VYBER	9600	27167	\N	\N	\N
128917	432	1995-06-06	VYDAJ	VYBER	2100	25167	\N	\N	\N
128918	432	1995-07-06	VYDAJ	VYBER	3100	29777	\N	\N	\N
128919	432	1995-08-05	VYDAJ	VYBER	5600	31303	\N	\N	\N
128920	432	1995-09-04	VYDAJ	VYBER	4800	29726	\N	\N	\N
128921	432	1995-10-04	VYDAJ	VYBER	10200	25552	\N	\N	\N
128922	432	1995-11-03	VYDAJ	VYBER	5100	27566	\N	\N	\N
128923	432	1995-12-03	VYDAJ	VYBER	8200	23480	\N	\N	\N
128924	432	1996-01-02	VYDAJ	VYBER	7900	22684	\N	\N	\N
128925	432	1996-02-01	VYDAJ	VYBER	1400	16755	\N	\N	\N
128926	432	1996-03-02	VYDAJ	VYBER	4100	19724	\N	\N	\N
128927	432	1996-04-01	VYDAJ	VYBER	800	19296	\N	\N	\N
128928	432	1996-05-01	VYDAJ	VYBER	3700	22676	\N	\N	\N
128929	432	1996-05-31	VYDAJ	VYBER	5100	16764	\N	\N	\N
128930	432	1996-06-30	VYDAJ	VYBER	3900	22916	\N	\N	\N
128931	432	1996-07-30	VYDAJ	VYBER	7000	22907	\N	\N	\N
128932	432	1996-08-29	VYDAJ	VYBER	8000	21993	\N	\N	\N
128933	432	1996-09-28	VYDAJ	VYBER	3800	20563	\N	\N	\N
128934	432	1996-10-28	VYDAJ	VYBER	6500	21112	\N	\N	\N
128935	432	1996-11-27	VYDAJ	VYBER	6000	17673	\N	\N	\N
128936	432	1996-12-27	VYDAJ	VYBER	7000	20532	\N	\N	\N
128937	432	1997-01-26	VYDAJ	VYBER	200	14805	\N	\N	\N
128938	432	1997-02-25	VYDAJ	VYBER	6000	15857	\N	\N	\N
128939	432	1997-03-27	VYDAJ	VYBER	10100	12794	\N	\N	\N
128940	432	1997-05-26	VYDAJ	VYBER	8100	13968	\N	\N	\N
128941	432	1997-06-25	VYDAJ	VYBER	10500	13999	\N	\N	\N
128942	432	1997-07-25	VYDAJ	VYBER	8000	13032	\N	\N	\N
128943	432	1997-09-23	VYDAJ	VYBER	13200	13893	\N	\N	\N
128944	432	1997-10-23	VYDAJ	VYBER	6000	14944	\N	\N	\N
128945	432	1998-03-22	VYDAJ	VYBER	16700	14328	\N	\N	\N
128946	432	1998-07-20	VYDAJ	VYBER	14200	14049	\N	\N	\N
128947	432	1998-11-17	VYDAJ	VYBER	25000	17286	\N	\N	\N
129014	433	1993-06-12	PRIJEM	VKLAD	500	500	\N	\N	\N
129016	433	1993-11-26	PRIJEM	VKLAD	40525	65825	\N	\N	\N
129017	433	1994-05-14	PRIJEM	VKLAD	30067	54402	\N	\N	\N
129018	433	1994-02-20	PRIJEM	VKLAD	3595	34614	\N	\N	\N
129019	433	1995-02-12	PRIJEM	VKLAD	14219	34726	\N	\N	\N
129020	433	1995-08-12	PRIJEM	VKLAD	21677	42203	\N	\N	\N
129021	433	1996-11-02	PRIJEM	VKLAD	39358	59897	\N	\N	\N
129022	433	1996-03-20	PRIJEM	VKLAD	17513	38060	\N	\N	\N
129023	433	1997-03-05	PRIJEM	VKLAD	40154	61638	\N	\N	\N
129024	433	1997-05-07	PRIJEM	VKLAD	33141	66578	\N	\N	\N
129025	433	1998-04-23	PRIJEM	VKLAD	16951	49571	\N	\N	\N
129026	433	1998-04-17	PRIJEM	VKLAD	29645	50320	\N	\N	\N
129031	433	1997-06-17	VYDAJ	VYBER	22400	24830	\N	\N	\N
129036	433	1996-01-07	VYDAJ	VYBER	6800	16300	\N	\N	\N
129037	433	1997-01-06	VYDAJ	VYBER	4400	26831	\N	\N	\N
129038	433	1998-01-03	VYDAJ	VYBER	1500	19566	\N	\N	\N
129049	433	1997-01-20	VYDAJ	VYBER	8900	17931	\N	\N	\N
129053	433	1995-12-05	VYDAJ	VYBER	900	22721	\N	\N	\N
129054	433	1996-12-25	VYDAJ	VYBER	1500	31088	\N	\N	\N
129055	433	1997-12-20	VYDAJ	VYBER	600	20994	\N	\N	\N
129056	433	1998-12-07	VYDAJ	VYBER	2100	17481	\N	\N	\N
129067	433	1995-08-25	VYDAJ	VYBER	1450	40753	\N	\N	\N
129068	433	1995-12-12	VYDAJ	VYBER	600	22121	\N	\N	\N
129069	433	1995-08-30	VYDAJ	VYBER	1150	39603	\N	\N	\N
129071	433	1996-04-05	VYDAJ	VYBER	300	30892	\N	\N	\N
129072	433	1996-08-11	VYDAJ	VYBER	1800	21437	\N	\N	\N
129073	433	1996-03-25	VYDAJ	VYBER	2450	35610	\N	\N	\N
129074	433	1996-02-21	VYDAJ	VYBER	1300	18679	\N	\N	\N
129075	433	1996-07-20	VYDAJ	VYBER	250	27242	\N	\N	\N
129076	433	1996-10-20	VYDAJ	VYBER	1800	22757	\N	\N	\N
129077	433	1996-09-10	VYDAJ	VYBER	2350	22769	\N	\N	\N
129078	433	1997-10-09	VYDAJ	VYBER	1150	29045	\N	\N	\N
129079	433	1997-11-27	VYDAJ	VYBER	1050	21499	\N	\N	\N
129080	433	1997-06-17	VYDAJ	VYBER	1350	23480	\N	\N	\N
129081	433	1997-04-23	VYDAJ	VYBER	650	33287	\N	\N	\N
129082	433	1997-05-08	VYDAJ	VYBER	950	65628	\N	\N	\N
129083	433	1998-04-02	VYDAJ	VYBER	2000	20675	\N	\N	\N
129084	433	1998-03-16	VYDAJ	VYBER	250	23895	\N	\N	\N
129085	433	1998-09-02	VYDAJ	VYBER	2000	17658	\N	\N	\N
129086	433	1998-01-12	VYDAJ	VYBER	450	18816	\N	\N	\N
129087	433	1998-09-15	VYDAJ	VYBER	1450	17808	\N	\N	\N
129088	433	1998-06-14	VYDAJ	VYBER	250	33822	\N	\N	\N
129089	433	1998-06-08	VYDAJ	VYBER	600	34072	\N	\N	\N
129090	433	1998-01-06	VYDAJ	VYBER	300	19266	\N	\N	\N
129123	433	1995-08-31	VYDAJ	VYBER	15	27849	SLUZBY	\N	\N
129124	433	1995-09-30	VYDAJ	VYBER	15	25150	SLUZBY	\N	\N
129125	433	1995-10-31	VYDAJ	VYBER	15	23239	SLUZBY	\N	\N
129126	433	1995-11-30	VYDAJ	VYBER	15	23621	SLUZBY	\N	\N
129127	433	1995-12-31	VYDAJ	VYBER	15	23100	SLUZBY	\N	\N
129128	433	1996-01-31	VYDAJ	VYBER	15	19979	SLUZBY	\N	\N
129129	433	1996-02-29	VYDAJ	VYBER	15	20547	SLUZBY	\N	\N
129130	433	1996-03-31	VYDAJ	VYBER	15	31192	SLUZBY	\N	\N
129131	433	1996-04-30	VYDAJ	VYBER	15	26904	SLUZBY	\N	\N
129132	433	1996-05-31	VYDAJ	VYBER	15	25800	SLUZBY	\N	\N
129133	433	1996-06-30	VYDAJ	VYBER	15	27492	SLUZBY	\N	\N
129134	433	1996-07-31	VYDAJ	VYBER	15	23237	SLUZBY	\N	\N
129135	433	1996-08-31	VYDAJ	VYBER	15	25119	SLUZBY	\N	\N
129136	433	1996-09-30	VYDAJ	VYBER	15	24557	SLUZBY	\N	\N
129137	433	1996-10-31	VYDAJ	VYBER	15	20539	SLUZBY	\N	\N
129138	433	1996-11-30	VYDAJ	VYBER	15	40388	SLUZBY	\N	\N
129139	433	1996-12-31	VYDAJ	VYBER	15	31231	SLUZBY	\N	\N
129140	433	1997-01-31	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
129141	433	1997-02-28	VYDAJ	VYBER	15	21484	SLUZBY	\N	\N
129142	433	1997-03-31	VYDAJ	VYBER	15	42637	SLUZBY	\N	\N
129143	433	1997-04-30	VYDAJ	VYBER	15	33437	SLUZBY	\N	\N
129144	433	1997-05-31	VYDAJ	VYBER	15	47230	SLUZBY	\N	\N
129145	433	1997-06-30	VYDAJ	VYBER	15	23914	SLUZBY	\N	\N
129146	433	1997-07-31	VYDAJ	VYBER	15	27297	SLUZBY	\N	\N
129147	433	1997-08-31	VYDAJ	VYBER	15	28294	SLUZBY	\N	\N
129148	433	1997-09-30	VYDAJ	VYBER	15	30195	SLUZBY	\N	\N
129149	433	1997-10-31	VYDAJ	VYBER	15	27849	SLUZBY	\N	\N
129150	433	1997-11-30	VYDAJ	VYBER	15	21594	SLUZBY	\N	\N
129151	433	1997-12-31	VYDAJ	VYBER	15	21066	SLUZBY	\N	\N
129152	433	1998-01-31	VYDAJ	VYBER	15	19580	SLUZBY	\N	\N
129153	433	1998-02-28	VYDAJ	VYBER	15	24145	SLUZBY	\N	\N
129154	433	1998-03-31	VYDAJ	VYBER	15	22675	SLUZBY	\N	\N
129155	433	1998-04-30	VYDAJ	VYBER	15	49685	SLUZBY	\N	\N
129156	433	1998-05-31	VYDAJ	VYBER	15	34672	SLUZBY	\N	\N
129157	433	1998-06-30	VYDAJ	VYBER	15	22422	SLUZBY	\N	\N
129158	433	1998-07-31	VYDAJ	VYBER	15	19097	SLUZBY	\N	\N
129159	433	1998-08-31	VYDAJ	VYBER	15	19658	SLUZBY	\N	\N
129160	433	1998-09-30	VYDAJ	VYBER	15	17867	SLUZBY	\N	\N
129161	433	1998-10-31	VYDAJ	VYBER	15	17852	SLUZBY	\N	\N
129162	433	1998-11-30	VYDAJ	VYBER	15	19581	SLUZBY	\N	\N
129163	433	1993-07-12	PRIJEM	VKLAD	12100	12600	\N	\N	\N
129164	433	1993-08-11	PRIJEM	VKLAD	6800	19400	\N	\N	\N
129165	433	1993-09-10	PRIJEM	VKLAD	4800	24200	\N	\N	\N
129166	433	1993-10-10	PRIJEM	VKLAD	400	24600	\N	\N	\N
129167	433	1993-11-09	PRIJEM	VKLAD	700	25300	\N	\N	\N
129168	433	1993-12-09	VYDAJ	VYBER	21500	44371	\N	\N	\N
129169	433	1994-01-08	VYDAJ	VYBER	7900	36745	\N	\N	\N
129170	433	1994-02-07	VYDAJ	VYBER	6000	31019	\N	\N	\N
129171	433	1994-03-09	VYDAJ	VYBER	6400	28447	\N	\N	\N
129172	433	1994-04-08	VYDAJ	VYBER	400	28191	\N	\N	\N
129173	433	1994-05-08	VYDAJ	VYBER	4000	24335	\N	\N	\N
129174	433	1994-06-07	VYDAJ	VYBER	14100	40494	\N	\N	\N
129175	433	1994-07-07	VYDAJ	VYBER	9500	31221	\N	\N	\N
129176	433	1994-08-06	VYDAJ	VYBER	6400	25048	\N	\N	\N
129177	433	1994-09-05	PRIJEM	VKLAD	900	26174	\N	\N	\N
129178	433	1994-10-05	VYDAJ	VYBER	2000	24401	\N	\N	\N
129179	433	1994-11-04	VYDAJ	VYBER	300	24328	\N	\N	\N
129180	433	1994-12-04	VYDAJ	VYBER	3400	21154	\N	\N	\N
129181	433	1995-01-03	PRIJEM	VKLAD	1400	22781	\N	\N	\N
129182	433	1995-02-02	VYDAJ	VYBER	2500	20507	\N	\N	\N
129183	433	1995-03-04	VYDAJ	VYBER	9900	25003	\N	\N	\N
129184	433	1995-04-03	VYDAJ	VYBER	2200	22948	\N	\N	\N
129185	433	1995-05-03	VYDAJ	VYBER	2200	20892	\N	\N	\N
129186	433	1995-06-02	PRIJEM	VKLAD	1500	22537	\N	\N	\N
129187	433	1995-07-02	VYDAJ	VYBER	800	21881	\N	\N	\N
129188	433	1995-08-01	VYDAJ	VYBER	1500	20526	\N	\N	\N
129189	433	1995-08-31	VYDAJ	VYBER	11900	27864	\N	\N	\N
129190	433	1995-09-30	VYDAJ	VYBER	2800	25164	\N	\N	\N
129191	433	1995-10-30	VYDAJ	VYBER	2000	23150	\N	\N	\N
129192	433	1995-11-29	PRIJEM	VKLAD	300	23539	\N	\N	\N
129193	433	1995-12-29	PRIJEM	VKLAD	900	23021	\N	\N	\N
129194	433	1996-01-28	PRIJEM	VKLAD	3600	19900	\N	\N	\N
129195	433	1996-02-27	PRIJEM	VKLAD	1800	20479	\N	\N	\N
129196	433	1996-03-28	VYDAJ	VYBER	4500	31110	\N	\N	\N
129197	433	1996-04-27	VYDAJ	VYBER	4100	26792	\N	\N	\N
129198	433	1996-05-27	VYDAJ	VYBER	1200	25704	\N	\N	\N
129199	433	1996-06-26	PRIJEM	VKLAD	1600	27400	\N	\N	\N
129200	433	1996-07-26	VYDAJ	VYBER	4100	23142	\N	\N	\N
129201	433	1996-08-25	PRIJEM	VKLAD	3600	25037	\N	\N	\N
129202	433	1996-09-24	PRIJEM	VKLAD	1700	24469	\N	\N	\N
129203	433	1996-10-24	VYDAJ	VYBER	2300	20457	\N	\N	\N
129204	433	1996-11-23	VYDAJ	VYBER	19600	40297	\N	\N	\N
129205	433	1996-12-23	VYDAJ	VYBER	7800	32588	\N	\N	\N
129206	433	1997-01-22	PRIJEM	VKLAD	300	18231	\N	\N	\N
129207	433	1997-02-21	PRIJEM	VKLAD	3100	21424	\N	\N	\N
129208	433	1997-03-23	VYDAJ	VYBER	19100	42538	\N	\N	\N
129209	433	1997-04-22	VYDAJ	VYBER	8700	33937	\N	\N	\N
129210	433	1997-05-22	VYDAJ	VYBER	18600	47028	\N	\N	\N
129211	433	1997-06-21	PRIJEM	VKLAD	300	23780	\N	\N	\N
129212	433	1997-07-21	PRIJEM	VKLAD	3300	27214	\N	\N	\N
129213	433	1997-08-20	PRIJEM	VKLAD	900	28197	\N	\N	\N
129214	433	1997-09-19	PRIJEM	VKLAD	1800	30094	\N	\N	\N
129215	433	1997-10-19	VYDAJ	VYBER	1300	27745	\N	\N	\N
129216	433	1997-11-18	VYDAJ	VYBER	5300	22549	\N	\N	\N
129217	433	1998-01-17	PRIJEM	VKLAD	700	19516	\N	\N	\N
129218	433	1998-02-16	PRIJEM	VKLAD	4500	24080	\N	\N	\N
129219	433	1998-03-18	VYDAJ	VYBER	1300	22595	\N	\N	\N
129220	433	1998-04-17	VYDAJ	VYBER	17700	32620	\N	\N	\N
129221	433	1998-05-17	VYDAJ	VYBER	15200	34485	\N	\N	\N
129222	433	1998-06-16	VYDAJ	VYBER	11500	22322	\N	\N	\N
129223	433	1998-07-16	VYDAJ	VYBER	3400	19022	\N	\N	\N
129224	433	1998-08-15	PRIJEM	VKLAD	500	19597	\N	\N	\N
129225	433	1998-09-14	PRIJEM	VKLAD	1600	19258	\N	\N	\N
129226	433	1998-11-13	PRIJEM	VKLAD	1600	19452	\N	\N	\N
129288	434	1996-12-24	PRIJEM	VKLAD	400	400	\N	\N	\N
129301	434	1997-01-07	PRIJEM	VKLAD	10955	11355	\N	\N	\N
129302	434	1997-02-07	PRIJEM	VKLAD	10955	26229	\N	\N	\N
129303	434	1997-03-07	PRIJEM	VKLAD	10955	35457	\N	\N	\N
129304	434	1997-04-07	PRIJEM	VKLAD	10955	38917	\N	\N	\N
129305	434	1997-05-07	PRIJEM	VKLAD	10955	37587	\N	\N	\N
129306	434	1997-06-07	PRIJEM	VKLAD	16432	34411	\N	\N	\N
129307	434	1997-07-07	PRIJEM	VKLAD	10955	25262	\N	\N	\N
129308	434	1997-08-07	PRIJEM	VKLAD	10955	19892	\N	\N	\N
129309	434	1997-09-07	PRIJEM	VKLAD	10955	19602	\N	\N	\N
129310	434	1997-10-07	PRIJEM	VKLAD	10955	16507	\N	\N	\N
129311	434	1997-11-07	PRIJEM	VKLAD	10955	17104	\N	\N	\N
129312	434	1997-12-07	PRIJEM	VKLAD	16432	22179	\N	\N	\N
129313	434	1998-01-07	PRIJEM	VKLAD	10955	18088	\N	\N	\N
129314	434	1998-02-07	PRIJEM	VKLAD	10955	17289	\N	\N	\N
129315	434	1998-03-07	PRIJEM	VKLAD	10955	17387	\N	\N	\N
129316	434	1998-04-07	PRIJEM	VKLAD	10955	16683	\N	\N	\N
129317	434	1998-05-07	PRIJEM	VKLAD	10955	18482	\N	\N	\N
129318	434	1998-06-07	PRIJEM	VKLAD	16432	22460	\N	\N	\N
129319	434	1998-07-07	PRIJEM	VKLAD	10955	15261	\N	\N	\N
129320	434	1998-08-07	PRIJEM	VKLAD	10955	18958	\N	\N	\N
129321	434	1998-09-07	PRIJEM	VKLAD	10955	17762	\N	\N	\N
129322	434	1998-10-07	PRIJEM	VKLAD	10955	21469	\N	\N	\N
129323	434	1998-11-07	PRIJEM	VKLAD	10955	23690	\N	\N	\N
129324	434	1998-12-07	PRIJEM	VKLAD	16432	31796	\N	\N	\N
129342	434	1997-06-05	VYDAJ	PREVOD NA UCET	5666	19616	SIPO	WX	98904990
129343	434	1997-07-05	VYDAJ	PREVOD NA UCET	5666	15944	SIPO	WX	98904990
129344	434	1997-08-05	VYDAJ	PREVOD NA UCET	5666	10574	SIPO	WX	98904990
129345	434	1997-09-05	VYDAJ	PREVOD NA UCET	5666	10284	SIPO	WX	98904990
129346	434	1997-10-05	VYDAJ	PREVOD NA UCET	5666	7189	SIPO	WX	98904990
129347	434	1997-11-05	VYDAJ	PREVOD NA UCET	5666	7786	SIPO	WX	98904990
129348	434	1997-12-05	VYDAJ	PREVOD NA UCET	5666	7384	SIPO	WX	98904990
129349	434	1998-01-05	VYDAJ	PREVOD NA UCET	5666	8770	SIPO	WX	98904990
129350	434	1998-02-05	VYDAJ	PREVOD NA UCET	5666	7971	SIPO	WX	98904990
129351	434	1998-03-05	VYDAJ	PREVOD NA UCET	5666	8069	SIPO	WX	98904990
129352	434	1998-04-05	VYDAJ	PREVOD NA UCET	5666	7365	SIPO	WX	98904990
129353	434	1998-05-05	VYDAJ	PREVOD NA UCET	5666	9164	SIPO	WX	98904990
129354	434	1998-06-05	VYDAJ	PREVOD NA UCET	5666	7665	SIPO	WX	98904990
129355	434	1998-07-05	VYDAJ	PREVOD NA UCET	5666	5943	SIPO	WX	98904990
129356	434	1998-08-05	VYDAJ	PREVOD NA UCET	5666	9640	SIPO	WX	98904990
129357	434	1998-09-05	VYDAJ	PREVOD NA UCET	5666	8444	SIPO	WX	98904990
129358	434	1998-10-05	VYDAJ	PREVOD NA UCET	5666	12151	SIPO	WX	98904990
129359	434	1998-11-05	VYDAJ	PREVOD NA UCET	5666	14372	SIPO	WX	98904990
129360	434	1998-12-05	VYDAJ	PREVOD NA UCET	5666	17001	SIPO	WX	98904990
129378	434	1997-06-06	VYDAJ	PREVOD NA UCET	1637	17979	 	ST	31071788
129379	434	1997-07-06	VYDAJ	PREVOD NA UCET	1637	14307	 	ST	31071788
129380	434	1997-08-06	VYDAJ	PREVOD NA UCET	1637	8937	 	ST	31071788
129381	434	1997-09-06	VYDAJ	PREVOD NA UCET	1637	8647	 	ST	31071788
129382	434	1997-10-06	VYDAJ	PREVOD NA UCET	1637	5552	 	ST	31071788
129383	434	1997-11-06	VYDAJ	PREVOD NA UCET	1637	6149	 	ST	31071788
129384	434	1997-12-06	VYDAJ	PREVOD NA UCET	1637	5747	 	ST	31071788
129385	434	1998-01-06	VYDAJ	PREVOD NA UCET	1637	7133	 	ST	31071788
129386	434	1998-02-06	VYDAJ	PREVOD NA UCET	1637	6334	 	ST	31071788
129387	434	1998-03-06	VYDAJ	PREVOD NA UCET	1637	6432	 	ST	31071788
129388	434	1998-04-06	VYDAJ	PREVOD NA UCET	1637	5728	 	ST	31071788
129389	434	1998-05-06	VYDAJ	PREVOD NA UCET	1637	7527	 	ST	31071788
129390	434	1998-06-06	VYDAJ	PREVOD NA UCET	1637	6028	 	ST	31071788
129391	434	1998-07-06	VYDAJ	PREVOD NA UCET	1637	4306	 	ST	31071788
129392	434	1998-08-06	VYDAJ	PREVOD NA UCET	1637	8003	 	ST	31071788
129393	434	1998-09-06	VYDAJ	PREVOD NA UCET	1637	6807	 	ST	31071788
129394	434	1998-10-06	VYDAJ	PREVOD NA UCET	1637	10514	 	ST	31071788
129395	434	1998-11-06	VYDAJ	PREVOD NA UCET	1637	12735	 	ST	31071788
129396	434	1998-12-06	VYDAJ	PREVOD NA UCET	1637	15364	 	ST	31071788
129398	434	1997-06-11	VYDAJ	VYBER	3400	31011	\N	\N	\N
129404	434	1997-12-27	VYDAJ	VYBER	1800	14379	\N	\N	\N
129405	434	1998-12-19	VYDAJ	VYBER	800	30996	\N	\N	\N
129412	434	1997-05-28	VYDAJ	VYBER	2100	25187	\N	\N	\N
129413	434	1997-07-28	VYDAJ	VYBER	3900	16162	\N	\N	\N
129418	434	1998-03-10	VYDAJ	VYBER	1900	15487	\N	\N	\N
129421	434	1998-08-20	VYDAJ	VYBER	4900	14058	\N	\N	\N
129422	434	1998-10-24	VYDAJ	VYBER	1500	19969	\N	\N	\N
129423	434	1998-11-14	VYDAJ	VYBER	1100	22590	\N	\N	\N
129441	434	1997-05-31	VYDAJ	VYBER	15	25282	SLUZBY	\N	\N
129442	434	1997-06-30	VYDAJ	VYBER	15	21610	SLUZBY	\N	\N
129443	434	1997-07-31	VYDAJ	VYBER	15	16240	SLUZBY	\N	\N
129444	434	1997-08-31	VYDAJ	VYBER	15	15950	SLUZBY	\N	\N
129445	434	1997-09-30	VYDAJ	VYBER	15	12855	SLUZBY	\N	\N
129446	434	1997-10-31	VYDAJ	VYBER	15	13452	SLUZBY	\N	\N
129447	434	1997-11-30	VYDAJ	VYBER	15	13050	SLUZBY	\N	\N
129448	434	1997-12-31	VYDAJ	VYBER	15	14436	SLUZBY	\N	\N
129449	434	1998-01-31	VYDAJ	VYBER	15	13637	SLUZBY	\N	\N
129450	434	1998-02-28	VYDAJ	VYBER	15	13735	SLUZBY	\N	\N
129451	434	1998-03-31	VYDAJ	VYBER	15	13031	SLUZBY	\N	\N
129452	434	1998-04-30	VYDAJ	VYBER	15	14830	SLUZBY	\N	\N
129453	434	1998-05-31	VYDAJ	VYBER	15	13331	SLUZBY	\N	\N
129454	434	1998-06-30	VYDAJ	VYBER	15	11609	SLUZBY	\N	\N
129455	434	1998-07-31	VYDAJ	VYBER	15	15306	SLUZBY	\N	\N
129456	434	1998-08-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
129457	434	1998-09-30	VYDAJ	VYBER	15	17817	SLUZBY	\N	\N
129458	434	1998-10-31	VYDAJ	VYBER	15	20038	SLUZBY	\N	\N
129459	434	1998-11-30	VYDAJ	VYBER	15	22667	SLUZBY	\N	\N
129460	434	1997-01-23	PRIJEM	VKLAD	3900	15255	\N	\N	\N
129461	434	1997-02-22	VYDAJ	VYBER	1800	24429	\N	\N	\N
129462	434	1997-03-24	VYDAJ	VYBER	7600	27857	\N	\N	\N
129463	434	1997-04-23	VYDAJ	VYBER	12400	26517	\N	\N	\N
129464	434	1997-05-23	VYDAJ	VYBER	10300	27287	\N	\N	\N
129465	434	1997-06-22	VYDAJ	VYBER	9500	21511	\N	\N	\N
129466	434	1997-07-22	VYDAJ	VYBER	5200	20062	\N	\N	\N
129467	434	1997-08-21	VYDAJ	VYBER	4000	15892	\N	\N	\N
129468	434	1997-09-20	VYDAJ	VYBER	6800	12802	\N	\N	\N
129469	434	1997-10-20	VYDAJ	VYBER	3100	13407	\N	\N	\N
129470	434	1997-11-19	VYDAJ	VYBER	4100	13004	\N	\N	\N
129471	434	1997-12-19	VYDAJ	VYBER	6000	16179	\N	\N	\N
129472	434	1998-01-18	VYDAJ	VYBER	4500	13588	\N	\N	\N
129473	434	1998-02-17	VYDAJ	VYBER	3600	13689	\N	\N	\N
129474	434	1998-03-19	VYDAJ	VYBER	2500	12987	\N	\N	\N
129475	434	1998-04-18	VYDAJ	VYBER	1900	14783	\N	\N	\N
129476	434	1998-05-18	VYDAJ	VYBER	5200	13282	\N	\N	\N
129477	434	1998-06-17	VYDAJ	VYBER	10900	11560	\N	\N	\N
129502	435	1993-01-08	PRIJEM	VKLAD	400	400	\N	\N	\N
129504	435	1993-02-07	PRIJEM	PREVOD Z UCTU	5039	5439	DUCHOD	MN	22131634
129505	435	1993-03-07	PRIJEM	PREVOD Z UCTU	5039	10478	DUCHOD	MN	22131634
129506	435	1993-04-07	PRIJEM	PREVOD Z UCTU	5039	15517	DUCHOD	MN	22131634
129507	435	1993-05-07	PRIJEM	PREVOD Z UCTU	5039	20556	DUCHOD	MN	22131634
129508	435	1993-06-07	PRIJEM	PREVOD Z UCTU	5039	25595	DUCHOD	MN	22131634
129509	435	1993-07-07	PRIJEM	PREVOD Z UCTU	5039	15307	DUCHOD	MN	22131634
129510	435	1993-08-07	PRIJEM	PREVOD Z UCTU	5039	15604	DUCHOD	MN	22131634
129511	435	1993-09-07	PRIJEM	PREVOD Z UCTU	5039	17503	DUCHOD	MN	22131634
129512	435	1993-10-07	PRIJEM	PREVOD Z UCTU	5039	19409	DUCHOD	MN	22131634
129513	435	1993-11-07	PRIJEM	PREVOD Z UCTU	5039	21324	DUCHOD	MN	22131634
129514	435	1993-12-07	PRIJEM	PREVOD Z UCTU	5039	22284	DUCHOD	MN	22131634
129515	435	1994-01-07	PRIJEM	PREVOD Z UCTU	5039	22958	DUCHOD	MN	22131634
129516	435	1994-02-07	PRIJEM	PREVOD Z UCTU	5039	16792	DUCHOD	MN	22131634
129517	435	1994-03-07	PRIJEM	PREVOD Z UCTU	5039	18695	DUCHOD	MN	22131634
129518	435	1994-04-07	PRIJEM	PREVOD Z UCTU	5039	20607	DUCHOD	MN	22131634
129519	435	1994-05-07	PRIJEM	PREVOD Z UCTU	5039	18922	DUCHOD	MN	22131634
129520	435	1994-06-07	PRIJEM	PREVOD Z UCTU	5039	17228	DUCHOD	MN	22131634
129521	435	1994-07-07	PRIJEM	PREVOD Z UCTU	5039	15134	DUCHOD	MN	22131634
129522	435	1994-08-07	PRIJEM	PREVOD Z UCTU	5039	17031	DUCHOD	MN	22131634
129523	435	1994-09-07	PRIJEM	PREVOD Z UCTU	5039	18936	DUCHOD	MN	22131634
129524	435	1994-10-07	PRIJEM	PREVOD Z UCTU	5039	20849	DUCHOD	MN	22131634
129525	435	1994-11-07	PRIJEM	PREVOD Z UCTU	5039	22770	DUCHOD	MN	22131634
129526	435	1994-12-07	PRIJEM	PREVOD Z UCTU	5039	24698	DUCHOD	MN	22131634
129527	435	1995-01-07	PRIJEM	PREVOD Z UCTU	5039	23595	DUCHOD	MN	22131634
129528	435	1995-02-07	PRIJEM	PREVOD Z UCTU	5039	18873	DUCHOD	MN	22131634
129529	435	1995-03-07	PRIJEM	PREVOD Z UCTU	5039	20785	DUCHOD	MN	22131634
129530	435	1995-04-07	PRIJEM	PREVOD Z UCTU	5039	22705	DUCHOD	MN	22131634
129531	435	1995-05-07	PRIJEM	PREVOD Z UCTU	5039	24633	DUCHOD	MN	22131634
129532	435	1995-06-07	PRIJEM	PREVOD Z UCTU	5039	26569	DUCHOD	MN	22131634
129533	435	1995-07-07	PRIJEM	PREVOD Z UCTU	5039	24914	DUCHOD	MN	22131634
129534	435	1995-08-07	PRIJEM	PREVOD Z UCTU	5039	24211	DUCHOD	MN	22131634
129535	435	1995-09-07	PRIJEM	PREVOD Z UCTU	5039	25667	DUCHOD	MN	22131634
129536	435	1995-10-07	PRIJEM	PREVOD Z UCTU	5039	27607	DUCHOD	MN	22131634
129537	435	1995-11-07	PRIJEM	PREVOD Z UCTU	5039	29556	DUCHOD	MN	22131634
129538	435	1995-12-07	PRIJEM	PREVOD Z UCTU	5039	30562	DUCHOD	MN	22131634
129539	435	1996-01-07	PRIJEM	PREVOD Z UCTU	5039	27559	DUCHOD	MN	22131634
129540	435	1996-02-07	PRIJEM	PREVOD Z UCTU	5039	21979	DUCHOD	MN	22131634
129541	435	1996-03-07	PRIJEM	PREVOD Z UCTU	5039	23904	DUCHOD	MN	22131634
129542	435	1996-04-07	PRIJEM	PREVOD Z UCTU	5039	25837	DUCHOD	MN	22131634
129543	435	1996-05-07	PRIJEM	PREVOD Z UCTU	5039	27778	DUCHOD	MN	22131634
129544	435	1996-06-07	PRIJEM	PREVOD Z UCTU	5039	29727	DUCHOD	MN	22131634
129545	435	1996-07-07	PRIJEM	PREVOD Z UCTU	5039	25320	DUCHOD	MN	22131634
129546	435	1996-08-07	PRIJEM	PREVOD Z UCTU	5039	27258	DUCHOD	MN	22131634
129547	435	1996-09-07	PRIJEM	PREVOD Z UCTU	5039	29205	DUCHOD	MN	22131634
129548	435	1996-10-07	PRIJEM	PREVOD Z UCTU	5039	31159	DUCHOD	MN	22131634
129549	435	1996-11-07	PRIJEM	PREVOD Z UCTU	5039	33122	DUCHOD	MN	22131634
129550	435	1996-12-07	PRIJEM	PREVOD Z UCTU	5039	34393	DUCHOD	MN	22131634
129551	435	1997-01-07	PRIJEM	PREVOD Z UCTU	5039	29640	DUCHOD	MN	22131634
129552	435	1997-02-07	PRIJEM	PREVOD Z UCTU	5039	26629	DUCHOD	MN	22131634
129553	435	1997-03-07	PRIJEM	PREVOD Z UCTU	5039	28573	DUCHOD	MN	22131634
129554	435	1997-04-07	PRIJEM	PREVOD Z UCTU	5039	30524	DUCHOD	MN	22131634
129555	435	1997-05-07	PRIJEM	PREVOD Z UCTU	5039	32484	DUCHOD	MN	22131634
129556	435	1997-06-07	PRIJEM	PREVOD Z UCTU	5039	29378	DUCHOD	MN	22131634
129557	435	1997-07-07	PRIJEM	PREVOD Z UCTU	5039	26609	DUCHOD	MN	22131634
129558	435	1997-08-07	PRIJEM	PREVOD Z UCTU	5039	25830	DUCHOD	MN	22131634
129559	435	1997-09-07	PRIJEM	PREVOD Z UCTU	5039	27770	DUCHOD	MN	22131634
129560	435	1997-10-07	PRIJEM	PREVOD Z UCTU	5039	29718	DUCHOD	MN	22131634
129561	435	1997-11-07	PRIJEM	PREVOD Z UCTU	5039	31674	DUCHOD	MN	22131634
129562	435	1997-12-07	PRIJEM	PREVOD Z UCTU	5039	33157	DUCHOD	MN	22131634
129563	435	1998-01-07	PRIJEM	PREVOD Z UCTU	5039	33975	DUCHOD	MN	22131634
129564	435	1998-02-07	PRIJEM	PREVOD Z UCTU	5039	28574	DUCHOD	MN	22131634
129565	435	1998-03-07	PRIJEM	PREVOD Z UCTU	5039	30524	DUCHOD	MN	22131634
129566	435	1998-04-07	PRIJEM	PREVOD Z UCTU	5039	32483	DUCHOD	MN	22131634
129567	435	1998-05-07	PRIJEM	PREVOD Z UCTU	5039	32128	DUCHOD	MN	22131634
129568	435	1998-06-07	PRIJEM	PREVOD Z UCTU	5039	23543	DUCHOD	MN	22131634
129569	435	1998-07-07	PRIJEM	PREVOD Z UCTU	5039	25479	DUCHOD	MN	22131634
129570	435	1998-08-07	PRIJEM	PREVOD Z UCTU	5039	27417	DUCHOD	MN	22131634
129571	435	1998-09-07	PRIJEM	PREVOD Z UCTU	5039	27762	DUCHOD	MN	22131634
129572	435	1998-10-07	PRIJEM	PREVOD Z UCTU	5039	27626	DUCHOD	MN	22131634
129573	435	1998-11-07	PRIJEM	PREVOD Z UCTU	5039	26283	DUCHOD	MN	22131634
129574	435	1998-12-07	PRIJEM	PREVOD Z UCTU	5039	28224	DUCHOD	MN	22131634
129581	435	1993-07-06	VYDAJ	PREVOD NA UCET	3189	10268	SIPO	MN	75157016
129582	435	1993-08-06	VYDAJ	PREVOD NA UCET	3189	10565	SIPO	MN	75157016
129583	435	1993-09-06	VYDAJ	PREVOD NA UCET	3189	12464	SIPO	MN	75157016
129584	435	1993-10-06	VYDAJ	PREVOD NA UCET	3189	14370	SIPO	MN	75157016
129585	435	1993-11-06	VYDAJ	PREVOD NA UCET	3189	16285	SIPO	MN	75157016
129586	435	1993-12-06	VYDAJ	PREVOD NA UCET	3189	17245	SIPO	MN	75157016
129587	435	1994-01-06	VYDAJ	PREVOD NA UCET	3189	17919	SIPO	MN	75157016
129588	435	1994-02-06	VYDAJ	PREVOD NA UCET	3189	11753	SIPO	MN	75157016
129589	435	1994-03-06	VYDAJ	PREVOD NA UCET	3189	13656	SIPO	MN	75157016
129590	435	1994-04-06	VYDAJ	PREVOD NA UCET	3189	15568	SIPO	MN	75157016
129591	435	1994-05-06	VYDAJ	PREVOD NA UCET	3189	13883	SIPO	MN	75157016
129592	435	1994-06-06	VYDAJ	PREVOD NA UCET	3189	12189	SIPO	MN	75157016
129593	435	1994-07-06	VYDAJ	PREVOD NA UCET	3189	10095	SIPO	MN	75157016
129594	435	1994-08-06	VYDAJ	PREVOD NA UCET	3189	11992	SIPO	MN	75157016
129595	435	1994-09-06	VYDAJ	PREVOD NA UCET	3189	13897	SIPO	MN	75157016
129596	435	1994-10-06	VYDAJ	PREVOD NA UCET	3189	15810	SIPO	MN	75157016
129597	435	1994-11-06	VYDAJ	PREVOD NA UCET	3189	17731	SIPO	MN	75157016
129598	435	1994-12-06	VYDAJ	PREVOD NA UCET	3189	19659	SIPO	MN	75157016
129599	435	1995-01-06	VYDAJ	PREVOD NA UCET	3189	18556	SIPO	MN	75157016
129600	435	1995-02-06	VYDAJ	PREVOD NA UCET	3189	13834	SIPO	MN	75157016
129601	435	1995-03-06	VYDAJ	PREVOD NA UCET	3189	15746	SIPO	MN	75157016
129602	435	1995-04-06	VYDAJ	PREVOD NA UCET	3189	17666	SIPO	MN	75157016
129603	435	1995-05-06	VYDAJ	PREVOD NA UCET	3189	19594	SIPO	MN	75157016
129604	435	1995-06-06	VYDAJ	PREVOD NA UCET	3189	21530	SIPO	MN	75157016
129605	435	1995-07-06	VYDAJ	PREVOD NA UCET	3189	19875	SIPO	MN	75157016
129606	435	1995-08-06	VYDAJ	PREVOD NA UCET	3189	19172	SIPO	MN	75157016
129607	435	1995-09-06	VYDAJ	PREVOD NA UCET	3189	20628	SIPO	MN	75157016
129608	435	1995-10-06	VYDAJ	PREVOD NA UCET	3189	22568	SIPO	MN	75157016
129609	435	1995-11-06	VYDAJ	PREVOD NA UCET	3189	24517	SIPO	MN	75157016
129610	435	1995-12-06	VYDAJ	PREVOD NA UCET	3189	25523	SIPO	MN	75157016
129611	435	1996-01-06	VYDAJ	PREVOD NA UCET	3189	22520	SIPO	MN	75157016
129612	435	1996-02-06	VYDAJ	PREVOD NA UCET	3189	16940	SIPO	MN	75157016
129613	435	1996-03-06	VYDAJ	PREVOD NA UCET	3189	18865	SIPO	MN	75157016
129614	435	1996-04-06	VYDAJ	PREVOD NA UCET	3189	20798	SIPO	MN	75157016
129615	435	1996-05-06	VYDAJ	PREVOD NA UCET	3189	22739	SIPO	MN	75157016
129616	435	1996-06-06	VYDAJ	PREVOD NA UCET	3189	24688	SIPO	MN	75157016
129617	435	1996-07-06	VYDAJ	PREVOD NA UCET	3189	20281	SIPO	MN	75157016
129618	435	1996-08-06	VYDAJ	PREVOD NA UCET	3189	22219	SIPO	MN	75157016
129619	435	1996-09-06	VYDAJ	PREVOD NA UCET	3189	24166	SIPO	MN	75157016
129620	435	1996-10-06	VYDAJ	PREVOD NA UCET	3189	26120	SIPO	MN	75157016
129621	435	1996-11-06	VYDAJ	PREVOD NA UCET	3189	28083	SIPO	MN	75157016
129622	435	1996-12-06	VYDAJ	PREVOD NA UCET	3189	29354	SIPO	MN	75157016
129623	435	1997-01-06	VYDAJ	PREVOD NA UCET	3189	24601	SIPO	MN	75157016
129624	435	1997-02-06	VYDAJ	PREVOD NA UCET	3189	21590	SIPO	MN	75157016
129625	435	1997-03-06	VYDAJ	PREVOD NA UCET	3189	23534	SIPO	MN	75157016
129626	435	1997-04-06	VYDAJ	PREVOD NA UCET	3189	25485	SIPO	MN	75157016
129627	435	1997-05-06	VYDAJ	PREVOD NA UCET	3189	27445	SIPO	MN	75157016
129628	435	1997-06-06	VYDAJ	PREVOD NA UCET	3189	24339	SIPO	MN	75157016
129629	435	1997-07-06	VYDAJ	PREVOD NA UCET	3189	21570	SIPO	MN	75157016
129630	435	1997-08-06	VYDAJ	PREVOD NA UCET	3189	20791	SIPO	MN	75157016
129631	435	1997-09-06	VYDAJ	PREVOD NA UCET	3189	22731	SIPO	MN	75157016
129632	435	1997-10-06	VYDAJ	PREVOD NA UCET	3189	24679	SIPO	MN	75157016
129633	435	1997-11-06	VYDAJ	PREVOD NA UCET	3189	26635	SIPO	MN	75157016
129634	435	1997-12-06	VYDAJ	PREVOD NA UCET	3189	28118	SIPO	MN	75157016
129635	435	1998-01-06	VYDAJ	PREVOD NA UCET	3189	28936	SIPO	MN	75157016
129636	435	1998-02-06	VYDAJ	PREVOD NA UCET	3189	23535	SIPO	MN	75157016
129637	435	1998-03-06	VYDAJ	PREVOD NA UCET	3189	25485	SIPO	MN	75157016
129638	435	1998-04-06	VYDAJ	PREVOD NA UCET	3189	27444	SIPO	MN	75157016
129639	435	1998-05-06	VYDAJ	PREVOD NA UCET	3189	27089	SIPO	MN	75157016
129640	435	1998-06-06	VYDAJ	PREVOD NA UCET	3189	18504	SIPO	MN	75157016
129641	435	1998-07-06	VYDAJ	PREVOD NA UCET	3189	20440	SIPO	MN	75157016
129642	435	1998-08-06	VYDAJ	PREVOD NA UCET	3189	22378	SIPO	MN	75157016
129643	435	1998-09-06	VYDAJ	PREVOD NA UCET	3189	22723	SIPO	MN	75157016
129644	435	1998-10-06	VYDAJ	PREVOD NA UCET	3189	22587	SIPO	MN	75157016
129645	435	1998-11-06	VYDAJ	PREVOD NA UCET	3189	21244	SIPO	MN	75157016
129646	435	1998-12-06	VYDAJ	PREVOD NA UCET	3189	23185	SIPO	MN	75157016
129647	435	1993-06-17	VYDAJ	VYBER	12150	13445	\N	\N	\N
129649	435	1995-06-11	VYDAJ	VYBER	1750	24819	\N	\N	\N
129650	435	1996-06-15	VYDAJ	VYBER	6350	23377	\N	\N	\N
129651	435	1997-06-04	VYDAJ	VYBER	2350	28008	\N	\N	\N
129652	435	1998-06-02	VYDAJ	VYBER	10550	21693	\N	\N	\N
129653	435	1993-12-08	VYDAJ	VYBER	850	21434	\N	\N	\N
129654	435	1994-12-30	VYDAJ	VYBER	800	23898	\N	\N	\N
129655	435	1995-12-06	VYDAJ	VYBER	950	28712	\N	\N	\N
129656	435	1996-12-03	VYDAJ	VYBER	700	32543	\N	\N	\N
129657	435	1997-12-17	VYDAJ	VYBER	1150	32007	\N	\N	\N
129658	435	1998-12-21	VYDAJ	VYBER	1200	27024	\N	\N	\N
129665	435	1994-01-10	VYDAJ	VYBER	1600	20078	\N	\N	\N
129666	435	1994-01-02	VYDAJ	VYBER	400	21108	\N	\N	\N
129667	435	1994-01-27	VYDAJ	VYBER	1280	14878	\N	\N	\N
129668	435	1994-01-14	VYDAJ	VYBER	640	19438	\N	\N	\N
129669	435	1994-01-19	VYDAJ	VYBER	960	18478	\N	\N	\N
129670	435	1994-01-09	VYDAJ	VYBER	1280	21678	\N	\N	\N
129671	435	1995-01-24	VYDAJ	VYBER	1840	16955	\N	\N	\N
129672	435	1995-01-04	VYDAJ	VYBER	2240	21745	\N	\N	\N
129673	435	1995-01-13	VYDAJ	VYBER	1120	19675	\N	\N	\N
129674	435	1995-01-21	VYDAJ	VYBER	880	18795	\N	\N	\N
129675	435	1995-01-08	VYDAJ	VYBER	1200	21355	\N	\N	\N
129676	435	1995-01-11	VYDAJ	VYBER	560	20795	\N	\N	\N
129677	435	1996-01-21	VYDAJ	VYBER	480	24439	\N	\N	\N
129678	435	1996-01-25	VYDAJ	VYBER	560	23879	\N	\N	\N
129679	435	1996-01-04	VYDAJ	VYBER	1360	25709	\N	\N	\N
129680	435	1996-01-03	VYDAJ	VYBER	1920	27069	\N	\N	\N
129681	435	1996-01-18	VYDAJ	VYBER	560	26999	\N	\N	\N
129682	435	1996-01-18	VYDAJ	VYBER	2080	24919	\N	\N	\N
129683	435	1997-01-19	VYDAJ	VYBER	1760	26840	\N	\N	\N
129684	435	1997-01-25	VYDAJ	VYBER	1680	24680	\N	\N	\N
129685	435	1997-01-05	VYDAJ	VYBER	960	27790	\N	\N	\N
129686	435	1997-01-25	VYDAJ	VYBER	480	26360	\N	\N	\N
129687	435	1997-01-02	VYDAJ	VYBER	480	28750	\N	\N	\N
129688	435	1997-01-09	VYDAJ	VYBER	1040	28600	\N	\N	\N
129689	435	1998-01-18	VYDAJ	VYBER	640	30455	\N	\N	\N
129690	435	1998-01-21	VYDAJ	VYBER	1360	29095	\N	\N	\N
129691	435	1998-01-09	VYDAJ	VYBER	1280	31095	\N	\N	\N
129692	435	1998-01-24	VYDAJ	VYBER	2000	27095	\N	\N	\N
129693	435	1998-01-29	VYDAJ	VYBER	480	26615	\N	\N	\N
129694	435	1998-01-09	VYDAJ	VYBER	1600	32375	\N	\N	\N
129697	435	1993-11-10	VYDAJ	VYBER	960	20364	\N	\N	\N
129698	435	1993-07-29	VYDAJ	VYBER	1600	13707	\N	\N	\N
129699	435	1994-01-24	VYDAJ	VYBER	800	16158	\N	\N	\N
129700	435	1994-05-18	VYDAJ	VYBER	3600	15322	\N	\N	\N
129701	435	1994-07-03	VYDAJ	VYBER	1040	13284	\N	\N	\N
129702	435	1994-01-21	VYDAJ	VYBER	1520	16958	\N	\N	\N
129703	435	1994-07-02	VYDAJ	VYBER	2960	14324	\N	\N	\N
129704	435	1994-04-21	VYDAJ	VYBER	800	19807	\N	\N	\N
129705	435	1994-04-23	VYDAJ	VYBER	2800	17007	\N	\N	\N
129706	435	1995-12-13	VYDAJ	VYBER	1680	28882	\N	\N	\N
129707	435	1995-08-29	VYDAJ	VYBER	480	23731	\N	\N	\N
129708	435	1995-01-07	VYDAJ	VYBER	1040	22555	\N	\N	\N
129709	435	1995-08-04	VYDAJ	VYBER	2640	22361	\N	\N	\N
129710	435	1995-06-12	VYDAJ	VYBER	1840	22979	\N	\N	\N
129711	435	1996-01-26	VYDAJ	VYBER	3840	20039	\N	\N	\N
129712	435	1996-12-24	VYDAJ	VYBER	2880	29113	\N	\N	\N
129713	435	1996-12-13	VYDAJ	VYBER	2400	31993	\N	\N	\N
129714	435	1997-06-23	VYDAJ	VYBER	1840	27538	\N	\N	\N
129715	435	1997-06-24	VYDAJ	VYBER	2880	24658	\N	\N	\N
129716	435	1997-05-19	VYDAJ	VYBER	2240	30244	\N	\N	\N
129717	435	1997-06-05	VYDAJ	VYBER	480	27528	\N	\N	\N
129718	435	1997-11-19	VYDAJ	VYBER	480	31194	\N	\N	\N
129719	435	1997-07-28	VYDAJ	VYBER	2720	23889	\N	\N	\N
129720	435	1998-08-31	VYDAJ	VYBER	1600	25927	\N	\N	\N
129721	435	1998-09-21	VYDAJ	VYBER	2080	25682	\N	\N	\N
129722	435	1998-04-23	VYDAJ	VYBER	2320	30163	\N	\N	\N
129723	435	1998-10-13	VYDAJ	VYBER	3280	24346	\N	\N	\N
129730	435	1993-06-30	VYDAJ	VYBER	15	13457	SLUZBY	\N	\N
129731	435	1993-07-31	VYDAJ	VYBER	15	13754	SLUZBY	\N	\N
129732	435	1993-08-31	VYDAJ	VYBER	15	15653	SLUZBY	\N	\N
129733	435	1993-09-30	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
129734	435	1993-10-31	VYDAJ	VYBER	15	19474	SLUZBY	\N	\N
129735	435	1993-11-30	VYDAJ	VYBER	15	20434	SLUZBY	\N	\N
129736	435	1993-12-31	VYDAJ	VYBER	15	21508	SLUZBY	\N	\N
129737	435	1994-01-31	VYDAJ	VYBER	15	14942	SLUZBY	\N	\N
129738	435	1994-02-28	VYDAJ	VYBER	15	16845	SLUZBY	\N	\N
129739	435	1994-03-31	VYDAJ	VYBER	15	18757	SLUZBY	\N	\N
129740	435	1994-04-30	VYDAJ	VYBER	15	17072	SLUZBY	\N	\N
129741	435	1994-05-31	VYDAJ	VYBER	15	15378	SLUZBY	\N	\N
129742	435	1994-06-30	VYDAJ	VYBER	15	17284	SLUZBY	\N	\N
129743	435	1994-07-31	VYDAJ	VYBER	15	15181	SLUZBY	\N	\N
129744	435	1994-08-31	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
129745	435	1994-09-30	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
129746	435	1994-10-31	VYDAJ	VYBER	15	20920	SLUZBY	\N	\N
129747	435	1994-11-30	VYDAJ	VYBER	15	22848	SLUZBY	\N	\N
129748	435	1994-12-31	VYDAJ	VYBER	15	23985	SLUZBY	\N	\N
129749	435	1995-01-31	VYDAJ	VYBER	15	17023	SLUZBY	\N	\N
129750	435	1995-02-28	VYDAJ	VYBER	15	18935	SLUZBY	\N	\N
129751	435	1995-03-31	VYDAJ	VYBER	15	20855	SLUZBY	\N	\N
129752	435	1995-04-30	VYDAJ	VYBER	15	22783	SLUZBY	\N	\N
129753	435	1995-05-31	VYDAJ	VYBER	15	24719	SLUZBY	\N	\N
129754	435	1995-06-30	VYDAJ	VYBER	15	23064	SLUZBY	\N	\N
129755	435	1995-07-31	VYDAJ	VYBER	15	25001	SLUZBY	\N	\N
129756	435	1995-08-31	VYDAJ	VYBER	15	23817	SLUZBY	\N	\N
129757	435	1995-09-30	VYDAJ	VYBER	15	25757	SLUZBY	\N	\N
129758	435	1995-10-31	VYDAJ	VYBER	15	27706	SLUZBY	\N	\N
129759	435	1995-11-30	VYDAJ	VYBER	15	29662	SLUZBY	\N	\N
129760	435	1995-12-31	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
129761	435	1996-01-31	VYDAJ	VYBER	15	20129	SLUZBY	\N	\N
129762	435	1996-02-29	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
129763	435	1996-03-31	VYDAJ	VYBER	15	23987	SLUZBY	\N	\N
129764	435	1996-04-30	VYDAJ	VYBER	15	25928	SLUZBY	\N	\N
129765	435	1996-05-31	VYDAJ	VYBER	15	27877	SLUZBY	\N	\N
129766	435	1996-06-30	VYDAJ	VYBER	15	23470	SLUZBY	\N	\N
129767	435	1996-07-31	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
129768	435	1996-08-31	VYDAJ	VYBER	15	27355	SLUZBY	\N	\N
129769	435	1996-09-30	VYDAJ	VYBER	15	29309	SLUZBY	\N	\N
129770	435	1996-10-31	VYDAJ	VYBER	15	31272	SLUZBY	\N	\N
129771	435	1996-11-30	VYDAJ	VYBER	15	33243	SLUZBY	\N	\N
129772	435	1996-12-31	VYDAJ	VYBER	15	29230	SLUZBY	\N	\N
129773	435	1997-01-31	VYDAJ	VYBER	15	24779	SLUZBY	\N	\N
129774	435	1997-02-28	VYDAJ	VYBER	15	26723	SLUZBY	\N	\N
129775	435	1997-03-31	VYDAJ	VYBER	15	28674	SLUZBY	\N	\N
129776	435	1997-04-30	VYDAJ	VYBER	15	30634	SLUZBY	\N	\N
129777	435	1997-05-31	VYDAJ	VYBER	15	30358	SLUZBY	\N	\N
129778	435	1997-06-30	VYDAJ	VYBER	15	24759	SLUZBY	\N	\N
129779	435	1997-07-31	VYDAJ	VYBER	15	23980	SLUZBY	\N	\N
129780	435	1997-08-31	VYDAJ	VYBER	15	25920	SLUZBY	\N	\N
129781	435	1997-09-30	VYDAJ	VYBER	15	27868	SLUZBY	\N	\N
129782	435	1997-10-31	VYDAJ	VYBER	15	29824	SLUZBY	\N	\N
129783	435	1997-11-30	VYDAJ	VYBER	15	31307	SLUZBY	\N	\N
129784	435	1997-12-31	VYDAJ	VYBER	15	32125	SLUZBY	\N	\N
129785	435	1998-01-31	VYDAJ	VYBER	15	26724	SLUZBY	\N	\N
129786	435	1998-02-28	VYDAJ	VYBER	15	28674	SLUZBY	\N	\N
129787	435	1998-03-31	VYDAJ	VYBER	15	30633	SLUZBY	\N	\N
129788	435	1998-04-30	VYDAJ	VYBER	15	30278	SLUZBY	\N	\N
129789	435	1998-05-31	VYDAJ	VYBER	15	32243	SLUZBY	\N	\N
129790	435	1998-06-30	VYDAJ	VYBER	15	23629	SLUZBY	\N	\N
129791	435	1998-07-31	VYDAJ	VYBER	15	25567	SLUZBY	\N	\N
129792	435	1998-08-31	VYDAJ	VYBER	15	25912	SLUZBY	\N	\N
129793	435	1998-09-30	VYDAJ	VYBER	15	25776	SLUZBY	\N	\N
129794	435	1998-10-31	VYDAJ	VYBER	15	24433	SLUZBY	\N	\N
129795	435	1998-11-30	VYDAJ	VYBER	15	26374	SLUZBY	\N	\N
129863	436	1996-08-07	PRIJEM	VKLAD	500	500	\N	\N	\N
129871	436	1996-08-08	PRIJEM	VKLAD	7876	8376	\N	\N	\N
129872	436	1996-09-08	PRIJEM	VKLAD	7876	25879	\N	\N	\N
129873	436	1996-10-08	PRIJEM	VKLAD	7876	31946	\N	\N	\N
129874	436	1996-11-08	PRIJEM	VKLAD	7876	35449	\N	\N	\N
129875	436	1996-12-08	PRIJEM	VKLAD	11814	39908	\N	\N	\N
129876	436	1997-01-08	PRIJEM	VKLAD	7876	27580	\N	\N	\N
129877	436	1997-02-08	PRIJEM	VKLAD	7876	17201	\N	\N	\N
129878	436	1997-03-08	PRIJEM	VKLAD	7876	16580	\N	\N	\N
129879	436	1997-04-08	PRIJEM	VKLAD	7876	15758	\N	\N	\N
129880	436	1997-05-08	PRIJEM	VKLAD	7876	13533	\N	\N	\N
129881	436	1997-06-08	PRIJEM	VKLAD	11814	20138	\N	\N	\N
129882	436	1997-07-08	PRIJEM	VKLAD	7876	17652	\N	\N	\N
129883	436	1997-08-08	PRIJEM	VKLAD	7876	20333	\N	\N	\N
129884	436	1997-09-08	PRIJEM	VKLAD	7876	17851	\N	\N	\N
129885	436	1997-10-08	PRIJEM	VKLAD	7876	20532	\N	\N	\N
129886	436	1997-11-08	PRIJEM	VKLAD	7876	22382	\N	\N	\N
129887	436	1997-12-08	PRIJEM	VKLAD	11814	27740	\N	\N	\N
129888	436	1998-01-08	PRIJEM	VKLAD	7876	27699	\N	\N	\N
129889	436	1998-02-08	PRIJEM	VKLAD	7876	18039	\N	\N	\N
129890	436	1998-03-08	PRIJEM	VKLAD	7876	20720	\N	\N	\N
129891	436	1998-04-08	PRIJEM	VKLAD	7876	18131	\N	\N	\N
129892	436	1998-05-08	PRIJEM	VKLAD	7876	17933	\N	\N	\N
129893	436	1998-06-08	PRIJEM	VKLAD	11814	18550	\N	\N	\N
129894	436	1998-07-08	PRIJEM	VKLAD	7876	19547	\N	\N	\N
129895	436	1998-08-08	PRIJEM	VKLAD	7876	22235	\N	\N	\N
129896	436	1998-09-08	PRIJEM	VKLAD	7876	15728	\N	\N	\N
129897	436	1998-10-08	PRIJEM	VKLAD	7876	18400	\N	\N	\N
129898	436	1998-11-08	PRIJEM	VKLAD	7876	15479	\N	\N	\N
129899	436	1998-12-08	PRIJEM	VKLAD	11814	22088	\N	\N	\N
129912	436	1997-01-07	VYDAJ	PREVOD NA UCET	4885	19704	SIPO	WX	36372977
129913	436	1997-02-07	VYDAJ	PREVOD NA UCET	4885	9325	SIPO	WX	36372977
129914	436	1997-03-07	VYDAJ	PREVOD NA UCET	4885	8704	SIPO	WX	36372977
129915	436	1997-04-07	VYDAJ	PREVOD NA UCET	4885	7882	SIPO	WX	36372977
129916	436	1997-05-07	VYDAJ	PREVOD NA UCET	4885	5657	SIPO	WX	36372977
129917	436	1997-06-07	VYDAJ	PREVOD NA UCET	4885	8324	SIPO	WX	36372977
129918	436	1997-07-07	VYDAJ	PREVOD NA UCET	4885	9776	SIPO	WX	36372977
129919	436	1997-08-07	VYDAJ	PREVOD NA UCET	4885	12457	SIPO	WX	36372977
129920	436	1997-09-07	VYDAJ	PREVOD NA UCET	4885	9975	SIPO	WX	36372977
129921	436	1997-10-07	VYDAJ	PREVOD NA UCET	4885	12656	SIPO	WX	36372977
129922	436	1997-11-07	VYDAJ	PREVOD NA UCET	4885	14506	SIPO	WX	36372977
129923	436	1997-12-07	VYDAJ	PREVOD NA UCET	4885	15926	SIPO	WX	36372977
129924	436	1998-01-07	VYDAJ	PREVOD NA UCET	4885	19823	SIPO	WX	36372977
129925	436	1998-02-07	VYDAJ	PREVOD NA UCET	4885	10163	SIPO	WX	36372977
129926	436	1998-03-07	VYDAJ	PREVOD NA UCET	4885	12844	SIPO	WX	36372977
129927	436	1998-04-07	VYDAJ	PREVOD NA UCET	4885	10255	SIPO	WX	36372977
129928	436	1998-05-07	VYDAJ	PREVOD NA UCET	4885	10057	SIPO	WX	36372977
129929	436	1998-06-07	VYDAJ	PREVOD NA UCET	4885	6736	SIPO	WX	36372977
129930	436	1998-07-07	VYDAJ	PREVOD NA UCET	4885	11671	SIPO	WX	36372977
129931	436	1998-08-07	VYDAJ	PREVOD NA UCET	4885	14359	SIPO	WX	36372977
129932	436	1998-09-07	VYDAJ	PREVOD NA UCET	4885	7852	SIPO	WX	36372977
129933	436	1998-10-07	VYDAJ	PREVOD NA UCET	4885	10524	SIPO	WX	36372977
129934	436	1998-11-07	VYDAJ	PREVOD NA UCET	4885	7603	SIPO	WX	36372977
129935	436	1998-12-07	VYDAJ	PREVOD NA UCET	4885	10274	SIPO	WX	36372977
129948	436	1997-01-06	VYDAJ	PREVOD NA UCET	72	24589	 	IJ	61715274
129949	436	1997-02-06	VYDAJ	PREVOD NA UCET	72	14210	 	IJ	61715274
129950	436	1997-03-06	VYDAJ	PREVOD NA UCET	72	13589	 	IJ	61715274
129951	436	1997-04-06	VYDAJ	PREVOD NA UCET	72	12767	 	IJ	61715274
129952	436	1997-05-06	VYDAJ	PREVOD NA UCET	72	10542	 	IJ	61715274
129953	436	1997-06-06	VYDAJ	PREVOD NA UCET	72	13209	 	IJ	61715274
129954	436	1997-07-06	VYDAJ	PREVOD NA UCET	72	14661	 	IJ	61715274
129955	436	1997-08-06	VYDAJ	PREVOD NA UCET	72	17342	 	IJ	61715274
129956	436	1997-09-06	VYDAJ	PREVOD NA UCET	72	14860	 	IJ	61715274
129957	436	1997-10-06	VYDAJ	PREVOD NA UCET	72	17541	 	IJ	61715274
129958	436	1997-11-06	VYDAJ	PREVOD NA UCET	72	19391	 	IJ	61715274
129959	436	1997-12-06	VYDAJ	PREVOD NA UCET	72	20811	 	IJ	61715274
129960	436	1998-01-06	VYDAJ	PREVOD NA UCET	72	24708	 	IJ	61715274
129961	436	1998-02-06	VYDAJ	PREVOD NA UCET	72	15048	 	IJ	61715274
129962	436	1998-03-06	VYDAJ	PREVOD NA UCET	72	17729	 	IJ	61715274
129963	436	1998-04-06	VYDAJ	PREVOD NA UCET	72	15140	 	IJ	61715274
129964	436	1998-05-06	VYDAJ	PREVOD NA UCET	72	14942	 	IJ	61715274
129965	436	1998-06-06	VYDAJ	PREVOD NA UCET	72	11621	 	IJ	61715274
129966	436	1998-07-06	VYDAJ	PREVOD NA UCET	72	16556	 	IJ	61715274
129967	436	1998-08-06	VYDAJ	PREVOD NA UCET	72	19244	 	IJ	61715274
129968	436	1998-09-06	VYDAJ	PREVOD NA UCET	72	12737	 	IJ	61715274
129969	436	1998-10-06	VYDAJ	PREVOD NA UCET	72	15409	 	IJ	61715274
129970	436	1998-11-06	VYDAJ	PREVOD NA UCET	72	12488	 	IJ	61715274
129971	436	1998-12-06	VYDAJ	PREVOD NA UCET	72	15159	 	IJ	61715274
129983	436	1996-12-10	VYDAJ	PREVOD NA UCET	293	39615	POJISTNE	CD	51325714
129984	436	1997-01-10	VYDAJ	PREVOD NA UCET	293	27287	POJISTNE	CD	51325714
129985	436	1997-02-10	VYDAJ	PREVOD NA UCET	293	16908	POJISTNE	CD	51325714
129986	436	1997-03-10	VYDAJ	PREVOD NA UCET	293	16287	POJISTNE	CD	51325714
129987	436	1997-04-10	VYDAJ	PREVOD NA UCET	293	15465	POJISTNE	CD	51325714
129988	436	1997-05-10	VYDAJ	PREVOD NA UCET	293	13240	POJISTNE	CD	51325714
129989	436	1997-06-10	VYDAJ	PREVOD NA UCET	293	19845	POJISTNE	CD	51325714
129990	436	1997-07-10	VYDAJ	PREVOD NA UCET	293	17359	POJISTNE	CD	51325714
129991	436	1997-08-10	VYDAJ	PREVOD NA UCET	293	20040	POJISTNE	CD	51325714
129992	436	1997-09-10	VYDAJ	PREVOD NA UCET	293	17558	POJISTNE	CD	51325714
129993	436	1997-10-10	VYDAJ	PREVOD NA UCET	293	20239	POJISTNE	CD	51325714
129994	436	1997-11-10	VYDAJ	PREVOD NA UCET	293	22089	POJISTNE	CD	51325714
129995	436	1997-12-10	VYDAJ	PREVOD NA UCET	293	27447	POJISTNE	CD	51325714
129996	436	1998-01-10	VYDAJ	PREVOD NA UCET	293	27406	POJISTNE	CD	51325714
129997	436	1998-02-10	VYDAJ	PREVOD NA UCET	293	17746	POJISTNE	CD	51325714
129998	436	1998-03-10	VYDAJ	PREVOD NA UCET	293	20427	POJISTNE	CD	51325714
129999	436	1998-04-10	VYDAJ	PREVOD NA UCET	293	17838	POJISTNE	CD	51325714
130000	436	1998-05-10	VYDAJ	PREVOD NA UCET	293	17640	POJISTNE	CD	51325714
130001	436	1998-06-10	VYDAJ	PREVOD NA UCET	293	18257	POJISTNE	CD	51325714
130002	436	1998-07-10	VYDAJ	PREVOD NA UCET	293	19254	POJISTNE	CD	51325714
130003	436	1998-08-10	VYDAJ	PREVOD NA UCET	293	21942	POJISTNE	CD	51325714
130004	436	1998-09-10	VYDAJ	PREVOD NA UCET	293	15435	POJISTNE	CD	51325714
130005	436	1998-10-10	VYDAJ	PREVOD NA UCET	293	18107	POJISTNE	CD	51325714
130006	436	1998-11-10	VYDAJ	PREVOD NA UCET	293	15186	POJISTNE	CD	51325714
130007	436	1998-12-10	VYDAJ	PREVOD NA UCET	293	21795	POJISTNE	CD	51325714
130012	436	1997-01-10	VYDAJ	VYBER	3520	23767	\N	\N	\N
130015	436	1997-12-04	VYDAJ	VYBER	1280	20883	\N	\N	\N
130016	436	1998-12-19	VYDAJ	VYBER	2400	15075	\N	\N	\N
130023	436	1997-01-03	VYDAJ	VYBER	1800	37961	\N	\N	\N
130024	436	1997-01-17	VYDAJ	VYBER	2880	17887	\N	\N	\N
130026	436	1997-01-19	VYDAJ	VYBER	960	15007	\N	\N	\N
130027	436	1997-01-18	VYDAJ	VYBER	1920	15967	\N	\N	\N
130028	436	1997-01-06	VYDAJ	VYBER	3000	24661	\N	\N	\N
130029	436	1998-01-11	VYDAJ	VYBER	1080	23926	\N	\N	\N
130030	436	1998-01-13	VYDAJ	VYBER	1080	22846	\N	\N	\N
130031	436	1998-01-16	VYDAJ	VYBER	2520	18526	\N	\N	\N
130032	436	1998-01-16	VYDAJ	VYBER	3480	15046	\N	\N	\N
130033	436	1998-01-14	VYDAJ	VYBER	1800	21046	\N	\N	\N
130034	436	1998-01-11	VYDAJ	VYBER	2400	25006	\N	\N	\N
130042	436	1997-12-29	VYDAJ	VYBER	2760	24687	\N	\N	\N
130044	436	1997-10-13	VYDAJ	VYBER	840	19399	\N	\N	\N
130045	436	1997-06-13	VYDAJ	VYBER	5160	14685	\N	\N	\N
130046	436	1997-01-15	VYDAJ	VYBER	3000	20767	\N	\N	\N
130047	436	1997-08-12	VYDAJ	VYBER	5160	14880	\N	\N	\N
130050	436	1998-06-17	VYDAJ	VYBER	1680	16577	\N	\N	\N
130051	436	1998-04-30	VYDAJ	VYBER	2880	15028	\N	\N	\N
130053	436	1998-03-28	VYDAJ	VYBER	5280	15147	\N	\N	\N
130054	436	1998-12-17	VYDAJ	VYBER	4320	17475	\N	\N	\N
130067	436	1996-12-31	VYDAJ	VYBER	15	39761	SLUZBY	\N	\N
130068	436	1997-01-31	VYDAJ	VYBER	15	15082	SLUZBY	\N	\N
130069	436	1997-02-28	VYDAJ	VYBER	15	16961	SLUZBY	\N	\N
130070	436	1997-03-31	VYDAJ	VYBER	15	16339	SLUZBY	\N	\N
130071	436	1997-04-30	VYDAJ	VYBER	15	15514	SLUZBY	\N	\N
130072	436	1997-05-31	VYDAJ	VYBER	15	13281	SLUZBY	\N	\N
130073	436	1997-06-30	VYDAJ	VYBER	15	14733	SLUZBY	\N	\N
130074	436	1997-07-31	VYDAJ	VYBER	15	17414	SLUZBY	\N	\N
130075	436	1997-08-31	VYDAJ	VYBER	15	14932	SLUZBY	\N	\N
130076	436	1997-09-30	VYDAJ	VYBER	15	17613	SLUZBY	\N	\N
130077	436	1997-10-31	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
130078	436	1997-11-30	VYDAJ	VYBER	15	22163	SLUZBY	\N	\N
130079	436	1997-12-31	VYDAJ	VYBER	15	24780	SLUZBY	\N	\N
130080	436	1998-01-31	VYDAJ	VYBER	15	15120	SLUZBY	\N	\N
130081	436	1998-02-28	VYDAJ	VYBER	15	17801	SLUZBY	\N	\N
130082	436	1998-03-31	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
130083	436	1998-04-30	VYDAJ	VYBER	15	15014	SLUZBY	\N	\N
130084	436	1998-05-31	VYDAJ	VYBER	15	11693	SLUZBY	\N	\N
130085	436	1998-06-30	VYDAJ	VYBER	15	16628	SLUZBY	\N	\N
130086	436	1998-07-31	VYDAJ	VYBER	15	19316	SLUZBY	\N	\N
130087	436	1998-08-31	VYDAJ	VYBER	15	12809	SLUZBY	\N	\N
130088	436	1998-09-30	VYDAJ	VYBER	15	15481	SLUZBY	\N	\N
130089	436	1998-10-31	VYDAJ	VYBER	15	12560	SLUZBY	\N	\N
130090	436	1998-11-30	VYDAJ	VYBER	15	15231	SLUZBY	\N	\N
130091	436	1996-09-06	PRIJEM	VKLAD	9600	18003	\N	\N	\N
130092	436	1996-10-06	VYDAJ	VYBER	1900	24070	\N	\N	\N
130093	436	1996-11-05	VYDAJ	VYBER	4500	27573	\N	\N	\N
130094	436	1996-12-05	VYDAJ	VYBER	7500	28094	\N	\N	\N
130095	436	1997-01-04	VYDAJ	VYBER	10300	27661	\N	\N	\N
130096	436	1997-02-03	VYDAJ	VYBER	800	14282	\N	\N	\N
130097	436	1997-03-05	VYDAJ	VYBER	3300	13661	\N	\N	\N
130098	436	1997-04-04	VYDAJ	VYBER	3500	12839	\N	\N	\N
130099	436	1997-05-04	VYDAJ	VYBER	4900	10614	\N	\N	\N
130100	436	1998-05-29	VYDAJ	VYBER	6000	11640	\N	\N	\N
130101	436	1998-08-27	VYDAJ	VYBER	9200	12742	\N	\N	\N
130102	436	1998-10-26	VYDAJ	VYBER	5600	12507	\N	\N	\N
130132	437	1993-12-03	PRIJEM	VKLAD	700	700	\N	\N	\N
130144	437	1993-12-12	PRIJEM	VKLAD	32478	33178	\N	\N	\N
130145	437	1994-01-12	PRIJEM	VKLAD	21652	48319	\N	\N	\N
130146	437	1994-02-12	PRIJEM	VKLAD	21652	59050	\N	\N	\N
130147	437	1994-03-12	PRIJEM	VKLAD	21652	65731	\N	\N	\N
130148	437	1994-04-12	PRIJEM	VKLAD	21652	68947	\N	\N	\N
130149	437	1994-05-12	PRIJEM	VKLAD	21652	63907	\N	\N	\N
130150	437	1994-06-12	PRIJEM	VKLAD	32478	71115	\N	\N	\N
130151	437	1994-07-12	PRIJEM	VKLAD	21652	65551	\N	\N	\N
130152	437	1994-08-12	PRIJEM	VKLAD	21652	63993	\N	\N	\N
130153	437	1994-09-12	PRIJEM	VKLAD	21652	56582	\N	\N	\N
130154	437	1994-10-12	PRIJEM	VKLAD	21652	62369	\N	\N	\N
130155	437	1994-11-12	PRIJEM	VKLAD	21652	62784	\N	\N	\N
130156	437	1994-12-12	PRIJEM	VKLAD	32478	75515	\N	\N	\N
130157	437	1995-01-12	PRIJEM	VKLAD	21652	64929	\N	\N	\N
130158	437	1995-02-12	PRIJEM	VKLAD	21652	62813	\N	\N	\N
130159	437	1995-03-12	PRIJEM	VKLAD	21652	68117	\N	\N	\N
130160	437	1995-04-12	PRIJEM	VKLAD	21652	70944	\N	\N	\N
130161	437	1995-05-12	PRIJEM	VKLAD	21652	71218	\N	\N	\N
130162	437	1995-06-12	PRIJEM	VKLAD	32478	82179	\N	\N	\N
130163	437	1995-07-12	PRIJEM	VKLAD	21652	75022	\N	\N	\N
130164	437	1995-08-12	PRIJEM	VKLAD	21652	74571	\N	\N	\N
130165	437	1995-09-12	PRIJEM	VKLAD	21652	77696	\N	\N	\N
130166	437	1995-10-12	PRIJEM	VKLAD	21652	75676	\N	\N	\N
130167	437	1995-11-12	PRIJEM	VKLAD	21652	80635	\N	\N	\N
130168	437	1995-12-12	PRIJEM	VKLAD	32478	94932	\N	\N	\N
130169	437	1996-01-12	PRIJEM	VKLAD	21652	86859	\N	\N	\N
130170	437	1996-02-12	PRIJEM	VKLAD	21652	73203	\N	\N	\N
130171	437	1996-03-12	PRIJEM	VKLAD	21652	81569	\N	\N	\N
130172	437	1996-04-12	PRIJEM	VKLAD	21652	87543	\N	\N	\N
130173	437	1996-05-12	PRIJEM	VKLAD	21652	91839	\N	\N	\N
130174	437	1996-06-12	PRIJEM	VKLAD	32478	106177	\N	\N	\N
130175	437	1996-07-12	PRIJEM	VKLAD	21652	97130	\N	\N	\N
130176	437	1996-08-12	PRIJEM	VKLAD	21652	95654	\N	\N	\N
130177	437	1996-09-12	PRIJEM	VKLAD	21652	88025	\N	\N	\N
130178	437	1996-10-12	PRIJEM	VKLAD	21652	92317	\N	\N	\N
130179	437	1996-11-12	PRIJEM	VKLAD	21652	96151	\N	\N	\N
130180	437	1996-12-12	PRIJEM	VKLAD	32478	111107	\N	\N	\N
130181	437	1997-01-12	PRIJEM	VKLAD	21652	98569	\N	\N	\N
130182	437	1997-02-12	PRIJEM	VKLAD	21652	104197	\N	\N	\N
130183	437	1997-03-12	PRIJEM	VKLAD	21652	106345	\N	\N	\N
130184	437	1997-04-12	PRIJEM	VKLAD	21652	106603	\N	\N	\N
130185	437	1997-05-12	PRIJEM	VKLAD	21652	109665	\N	\N	\N
130186	437	1997-06-12	PRIJEM	VKLAD	32478	124467	\N	\N	\N
130187	437	1997-07-12	PRIJEM	VKLAD	21652	87091	\N	\N	\N
130188	437	1997-08-12	PRIJEM	VKLAD	21652	103801	\N	\N	\N
130189	437	1997-09-12	PRIJEM	VKLAD	21652	111759	\N	\N	\N
130190	437	1997-10-12	PRIJEM	VKLAD	21652	110391	\N	\N	\N
130191	437	1997-11-12	PRIJEM	VKLAD	21652	119678	\N	\N	\N
130192	437	1997-12-12	PRIJEM	VKLAD	32478	116497	\N	\N	\N
130193	437	1998-01-12	PRIJEM	VKLAD	21652	112463	\N	\N	\N
130194	437	1998-02-12	PRIJEM	VKLAD	21652	121504	\N	\N	\N
130195	437	1998-03-12	PRIJEM	VKLAD	21652	93815	\N	\N	\N
130196	437	1998-04-12	PRIJEM	VKLAD	21652	116842	\N	\N	\N
130197	437	1998-05-12	PRIJEM	VKLAD	21652	126063	\N	\N	\N
130198	437	1998-06-12	PRIJEM	VKLAD	32478	120552	\N	\N	\N
130199	437	1998-07-12	PRIJEM	VKLAD	21652	115150	\N	\N	\N
130200	437	1998-08-12	PRIJEM	VKLAD	21652	133641	\N	\N	\N
130201	437	1998-09-12	PRIJEM	VKLAD	21652	133785	\N	\N	\N
130202	437	1998-10-12	PRIJEM	VKLAD	21652	127064	\N	\N	\N
130203	437	1998-11-12	PRIJEM	VKLAD	21652	127410	\N	\N	\N
130204	437	1998-12-12	PRIJEM	VKLAD	32478	146213	\N	\N	\N
130220	437	1994-04-13	VYDAJ	PREVOD NA UCET	2248	66699	SIPO	CD	83092337
130221	437	1994-05-13	VYDAJ	PREVOD NA UCET	2248	61659	SIPO	CD	83092337
130222	437	1994-06-13	VYDAJ	PREVOD NA UCET	2248	68867	SIPO	CD	83092337
130223	437	1994-07-13	VYDAJ	PREVOD NA UCET	2248	63303	SIPO	CD	83092337
130224	437	1994-08-13	VYDAJ	PREVOD NA UCET	2248	61745	SIPO	CD	83092337
130225	437	1994-09-13	VYDAJ	PREVOD NA UCET	2248	54334	SIPO	CD	83092337
130226	437	1994-10-13	VYDAJ	PREVOD NA UCET	2248	56041	SIPO	CD	83092337
130227	437	1994-11-13	VYDAJ	PREVOD NA UCET	2248	60536	SIPO	CD	83092337
130228	437	1994-12-13	VYDAJ	PREVOD NA UCET	2248	73267	SIPO	CD	83092337
130229	437	1995-01-13	VYDAJ	PREVOD NA UCET	2248	61241	SIPO	CD	83092337
130230	437	1995-02-13	VYDAJ	PREVOD NA UCET	2248	60565	SIPO	CD	83092337
130231	437	1995-03-13	VYDAJ	PREVOD NA UCET	2248	65869	SIPO	CD	83092337
130232	437	1995-04-13	VYDAJ	PREVOD NA UCET	2248	68696	SIPO	CD	83092337
130233	437	1995-05-13	VYDAJ	PREVOD NA UCET	2248	68970	SIPO	CD	83092337
130234	437	1995-06-13	VYDAJ	PREVOD NA UCET	2248	79931	SIPO	CD	83092337
130235	437	1995-07-13	VYDAJ	PREVOD NA UCET	2248	72774	SIPO	CD	83092337
130236	437	1995-08-13	VYDAJ	PREVOD NA UCET	2248	72323	SIPO	CD	83092337
130237	437	1995-09-13	VYDAJ	PREVOD NA UCET	2248	75448	SIPO	CD	83092337
130238	437	1995-10-13	VYDAJ	PREVOD NA UCET	2248	73428	SIPO	CD	83092337
130239	437	1995-11-13	VYDAJ	PREVOD NA UCET	2248	78387	SIPO	CD	83092337
130240	437	1995-12-13	VYDAJ	PREVOD NA UCET	2248	92684	SIPO	CD	83092337
130241	437	1996-01-13	VYDAJ	PREVOD NA UCET	2248	82571	SIPO	CD	83092337
130242	437	1996-02-13	VYDAJ	PREVOD NA UCET	2248	70955	SIPO	CD	83092337
130243	437	1996-03-13	VYDAJ	PREVOD NA UCET	2248	79321	SIPO	CD	83092337
130244	437	1996-04-13	VYDAJ	PREVOD NA UCET	2248	85295	SIPO	CD	83092337
130245	437	1996-05-13	VYDAJ	PREVOD NA UCET	2248	89591	SIPO	CD	83092337
130246	437	1996-06-13	VYDAJ	PREVOD NA UCET	2248	103929	SIPO	CD	83092337
130247	437	1996-07-13	VYDAJ	PREVOD NA UCET	2248	94882	SIPO	CD	83092337
130248	437	1996-08-13	VYDAJ	PREVOD NA UCET	2248	93406	SIPO	CD	83092337
130249	437	1996-09-13	VYDAJ	PREVOD NA UCET	2248	85777	SIPO	CD	83092337
130250	437	1996-10-13	VYDAJ	PREVOD NA UCET	2248	90069	SIPO	CD	83092337
130251	437	1996-11-13	VYDAJ	PREVOD NA UCET	2248	93903	SIPO	CD	83092337
130252	437	1996-12-13	VYDAJ	PREVOD NA UCET	2248	108859	SIPO	CD	83092337
130253	437	1997-01-13	VYDAJ	PREVOD NA UCET	2248	94521	SIPO	CD	83092337
130254	437	1997-02-13	VYDAJ	PREVOD NA UCET	2248	101949	SIPO	CD	83092337
130255	437	1997-03-13	VYDAJ	PREVOD NA UCET	2248	104097	SIPO	CD	83092337
130256	437	1997-04-13	VYDAJ	PREVOD NA UCET	2248	104355	SIPO	CD	83092337
130257	437	1997-05-13	VYDAJ	PREVOD NA UCET	2248	107417	SIPO	CD	83092337
130258	437	1997-06-13	VYDAJ	PREVOD NA UCET	2248	82919	SIPO	CD	83092337
130259	437	1997-07-13	VYDAJ	PREVOD NA UCET	2248	84843	SIPO	CD	83092337
130260	437	1997-08-13	VYDAJ	PREVOD NA UCET	2248	101553	SIPO	CD	83092337
130261	437	1997-09-13	VYDAJ	PREVOD NA UCET	2248	95311	SIPO	CD	83092337
130262	437	1997-10-13	VYDAJ	PREVOD NA UCET	2248	108143	SIPO	CD	83092337
130263	437	1997-11-13	VYDAJ	PREVOD NA UCET	2248	90430	SIPO	CD	83092337
130264	437	1997-12-13	VYDAJ	PREVOD NA UCET	2248	101349	SIPO	CD	83092337
130265	437	1998-01-13	VYDAJ	PREVOD NA UCET	2248	110215	SIPO	CD	83092337
130266	437	1998-02-13	VYDAJ	PREVOD NA UCET	2248	76356	SIPO	CD	83092337
130267	437	1998-03-13	VYDAJ	PREVOD NA UCET	2248	91567	SIPO	CD	83092337
130268	437	1998-04-13	VYDAJ	PREVOD NA UCET	2248	114594	SIPO	CD	83092337
130269	437	1998-05-13	VYDAJ	PREVOD NA UCET	2248	70915	SIPO	CD	83092337
130270	437	1998-06-13	VYDAJ	PREVOD NA UCET	2248	118304	SIPO	CD	83092337
130271	437	1998-07-13	VYDAJ	PREVOD NA UCET	2248	112902	SIPO	CD	83092337
130272	437	1998-08-13	VYDAJ	PREVOD NA UCET	2248	110393	SIPO	CD	83092337
130273	437	1998-09-13	VYDAJ	PREVOD NA UCET	2248	87537	SIPO	CD	83092337
130274	437	1998-10-13	VYDAJ	PREVOD NA UCET	2248	88116	SIPO	CD	83092337
130275	437	1998-11-13	VYDAJ	PREVOD NA UCET	2248	107362	SIPO	CD	83092337
130276	437	1998-12-13	VYDAJ	PREVOD NA UCET	2248	83165	SIPO	CD	83092337
130293	437	1994-05-10	VYDAJ	PREVOD NA UCET	3106	42255	 	YZ	18505370
130294	437	1994-06-10	VYDAJ	PREVOD NA UCET	3106	38637	 	YZ	18505370
130295	437	1994-07-10	VYDAJ	PREVOD NA UCET	3106	43899	 	YZ	18505370
130296	437	1994-08-10	VYDAJ	PREVOD NA UCET	3106	42341	 	YZ	18505370
130297	437	1994-09-10	VYDAJ	PREVOD NA UCET	3106	34930	 	YZ	18505370
130298	437	1994-10-10	VYDAJ	PREVOD NA UCET	3106	40717	 	YZ	18505370
130299	437	1994-11-10	VYDAJ	PREVOD NA UCET	3106	41132	 	YZ	18505370
130300	437	1994-12-10	VYDAJ	PREVOD NA UCET	3106	43037	 	YZ	18505370
130301	437	1995-01-10	VYDAJ	PREVOD NA UCET	3106	43277	 	YZ	18505370
130302	437	1995-02-10	VYDAJ	PREVOD NA UCET	3106	41161	 	YZ	18505370
130303	437	1995-03-10	VYDAJ	PREVOD NA UCET	3106	46465	 	YZ	18505370
130304	437	1995-04-10	VYDAJ	PREVOD NA UCET	3106	49292	 	YZ	18505370
130305	437	1995-05-10	VYDAJ	PREVOD NA UCET	3106	49566	 	YZ	18505370
130306	437	1995-06-10	VYDAJ	PREVOD NA UCET	3106	49701	 	YZ	18505370
130307	437	1995-07-10	VYDAJ	PREVOD NA UCET	3106	53370	 	YZ	18505370
130308	437	1995-08-10	VYDAJ	PREVOD NA UCET	3106	52919	 	YZ	18505370
130309	437	1995-09-10	VYDAJ	PREVOD NA UCET	3106	56044	 	YZ	18505370
130310	437	1995-10-10	VYDAJ	PREVOD NA UCET	3106	54024	 	YZ	18505370
130311	437	1995-11-10	VYDAJ	PREVOD NA UCET	3106	58983	 	YZ	18505370
130312	437	1995-12-10	VYDAJ	PREVOD NA UCET	3106	64054	 	YZ	18505370
130313	437	1996-01-10	VYDAJ	PREVOD NA UCET	3106	65207	 	YZ	18505370
130314	437	1996-02-10	VYDAJ	PREVOD NA UCET	3106	51551	 	YZ	18505370
130315	437	1996-03-10	VYDAJ	PREVOD NA UCET	3106	59917	 	YZ	18505370
130316	437	1996-04-10	VYDAJ	PREVOD NA UCET	3106	65891	 	YZ	18505370
130317	437	1996-05-10	VYDAJ	PREVOD NA UCET	3106	70187	 	YZ	18505370
130318	437	1996-06-10	VYDAJ	PREVOD NA UCET	3106	73699	 	YZ	18505370
130319	437	1996-07-10	VYDAJ	PREVOD NA UCET	3106	75478	 	YZ	18505370
130320	437	1996-08-10	VYDAJ	PREVOD NA UCET	3106	74002	 	YZ	18505370
130321	437	1996-09-10	VYDAJ	PREVOD NA UCET	3106	66373	 	YZ	18505370
130322	437	1996-10-10	VYDAJ	PREVOD NA UCET	3106	70665	 	YZ	18505370
130323	437	1996-11-10	VYDAJ	PREVOD NA UCET	3106	77379	 	YZ	18505370
130324	437	1996-12-10	VYDAJ	PREVOD NA UCET	3106	78629	 	YZ	18505370
130325	437	1997-01-10	VYDAJ	PREVOD NA UCET	3106	82357	 	YZ	18505370
130326	437	1997-02-10	VYDAJ	PREVOD NA UCET	3106	82545	 	YZ	18505370
130327	437	1997-03-10	VYDAJ	PREVOD NA UCET	3106	84693	 	YZ	18505370
130328	437	1997-04-10	VYDAJ	PREVOD NA UCET	3106	84951	 	YZ	18505370
130329	437	1997-05-10	VYDAJ	PREVOD NA UCET	3106	88013	 	YZ	18505370
130330	437	1997-06-10	VYDAJ	PREVOD NA UCET	3106	91989	 	YZ	18505370
130331	437	1997-07-10	VYDAJ	PREVOD NA UCET	3106	65439	 	YZ	18505370
130332	437	1997-08-10	VYDAJ	PREVOD NA UCET	3106	82149	 	YZ	18505370
130333	437	1997-09-10	VYDAJ	PREVOD NA UCET	3106	90107	 	YZ	18505370
130334	437	1997-10-10	VYDAJ	PREVOD NA UCET	3106	88739	 	YZ	18505370
130335	437	1997-11-10	VYDAJ	PREVOD NA UCET	3106	98026	 	YZ	18505370
130336	437	1997-12-10	VYDAJ	PREVOD NA UCET	3106	84019	 	YZ	18505370
130337	437	1998-01-10	VYDAJ	PREVOD NA UCET	3106	82911	 	YZ	18505370
130338	437	1998-02-10	VYDAJ	PREVOD NA UCET	3106	99852	 	YZ	18505370
130339	437	1998-03-10	VYDAJ	PREVOD NA UCET	3106	68063	 	YZ	18505370
130340	437	1998-04-10	VYDAJ	PREVOD NA UCET	3106	88790	 	YZ	18505370
130341	437	1998-05-10	VYDAJ	PREVOD NA UCET	3106	107111	 	YZ	18505370
130342	437	1998-06-10	VYDAJ	PREVOD NA UCET	3106	88074	 	YZ	18505370
130343	437	1998-07-10	VYDAJ	PREVOD NA UCET	3106	93498	 	YZ	18505370
130344	437	1998-08-10	VYDAJ	PREVOD NA UCET	3106	111989	 	YZ	18505370
130345	437	1998-09-10	VYDAJ	PREVOD NA UCET	3106	112133	 	YZ	18505370
130346	437	1998-10-10	VYDAJ	PREVOD NA UCET	3106	106012	 	YZ	18505370
130347	437	1998-11-10	VYDAJ	PREVOD NA UCET	3106	105758	 	YZ	18505370
130348	437	1998-12-10	VYDAJ	PREVOD NA UCET	3106	113735	 	YZ	18505370
130351	437	1995-06-17	VYDAJ	VYBER	12000	67931	\N	\N	\N
130352	437	1996-06-19	VYDAJ	VYBER	5280	98649	\N	\N	\N
130353	437	1997-06-22	VYDAJ	VYBER	12800	68219	\N	\N	\N
130354	437	1998-06-15	VYDAJ	VYBER	12800	70804	\N	\N	\N
130357	437	1995-01-25	VYDAJ	VYBER	4800	49361	\N	\N	\N
130358	437	1996-01-18	VYDAJ	VYBER	12800	63171	\N	\N	\N
130359	437	1997-01-10	VYDAJ	VYBER	5440	76917	\N	\N	\N
130360	437	1998-01-03	VYDAJ	VYBER	11040	90697	\N	\N	\N
130362	437	1994-12-13	VYDAJ	VYBER	3040	70227	\N	\N	\N
130363	437	1995-12-11	VYDAJ	VYBER	1600	62454	\N	\N	\N
130364	437	1996-12-02	VYDAJ	VYBER	1600	81735	\N	\N	\N
130365	437	1997-12-02	VYDAJ	VYBER	3680	87125	\N	\N	\N
130366	437	1998-12-05	VYDAJ	VYBER	4320	103441	\N	\N	\N
130379	437	1995-01-20	VYDAJ	VYBER	1200	60041	\N	\N	\N
130380	437	1995-01-09	VYDAJ	VYBER	2520	46383	\N	\N	\N
130381	437	1995-01-13	VYDAJ	VYBER	1440	63489	\N	\N	\N
130382	437	1995-01-22	VYDAJ	VYBER	2520	57521	\N	\N	\N
130383	437	1995-01-23	VYDAJ	VYBER	3360	54161	\N	\N	\N
130384	437	1995-01-02	VYDAJ	VYBER	3360	48903	\N	\N	\N
130385	437	1996-01-16	VYDAJ	VYBER	1560	78611	\N	\N	\N
130386	437	1996-01-16	VYDAJ	VYBER	840	77771	\N	\N	\N
130387	437	1996-01-07	VYDAJ	VYBER	1800	71193	\N	\N	\N
130388	437	1996-01-13	VYDAJ	VYBER	2400	80171	\N	\N	\N
130389	437	1996-01-07	VYDAJ	VYBER	2880	68313	\N	\N	\N
130390	437	1996-01-12	VYDAJ	VYBER	2040	84819	\N	\N	\N
130391	437	1997-01-01	VYDAJ	VYBER	840	91583	\N	\N	\N
130392	437	1997-01-29	VYDAJ	VYBER	1320	85301	\N	\N	\N
130393	437	1997-01-01	VYDAJ	VYBER	1320	90263	\N	\N	\N
130394	437	1997-01-09	VYDAJ	VYBER	2640	85463	\N	\N	\N
130395	437	1997-01-13	VYDAJ	VYBER	1800	96769	\N	\N	\N
130396	437	1997-01-07	VYDAJ	VYBER	2160	88103	\N	\N	\N
130397	437	1998-01-05	VYDAJ	VYBER	2280	88417	\N	\N	\N
130398	437	1998-01-15	VYDAJ	VYBER	2880	107335	\N	\N	\N
130399	437	1998-01-16	VYDAJ	VYBER	960	106375	\N	\N	\N
130400	437	1998-01-09	VYDAJ	VYBER	2400	86017	\N	\N	\N
130401	437	1998-01-23	VYDAJ	VYBER	960	105415	\N	\N	\N
130402	437	1998-01-29	VYDAJ	VYBER	2160	103255	\N	\N	\N
130410	437	1994-12-24	VYDAJ	VYBER	3000	67227	\N	\N	\N
130411	437	1994-06-21	VYDAJ	VYBER	4200	64667	\N	\N	\N
130412	437	1994-09-06	VYDAJ	VYBER	4440	38036	\N	\N	\N
130413	437	1994-10-12	VYDAJ	VYBER	4080	58289	\N	\N	\N
130414	437	1994-06-06	VYDAJ	VYBER	960	41743	\N	\N	\N
130415	437	1994-08-26	VYDAJ	VYBER	4080	57665	\N	\N	\N
130416	437	1995-10-10	VYDAJ	VYBER	5880	57130	\N	\N	\N
130417	437	1995-04-24	VYDAJ	VYBER	5040	63656	\N	\N	\N
130418	437	1995-05-07	VYDAJ	VYBER	720	52672	\N	\N	\N
130419	437	1995-08-21	VYDAJ	VYBER	4320	68003	\N	\N	\N
130420	437	1996-08-18	VYDAJ	VYBER	1680	89806	\N	\N	\N
130421	437	1996-02-20	VYDAJ	VYBER	1080	69875	\N	\N	\N
130422	437	1996-08-28	VYDAJ	VYBER	5640	69166	\N	\N	\N
130423	437	1996-08-16	VYDAJ	VYBER	1920	91486	\N	\N	\N
130424	437	1996-01-17	VYDAJ	VYBER	1800	75971	\N	\N	\N
130425	437	1996-11-11	VYDAJ	VYBER	2880	74499	\N	\N	\N
130426	437	1996-02-03	VYDAJ	VYBER	3480	54657	\N	\N	\N
130427	437	1997-09-25	VYDAJ	VYBER	3840	91471	\N	\N	\N
130428	437	1998-06-10	VYDAJ	VYBER	3480	91180	\N	\N	\N
130429	437	1998-09-03	VYDAJ	VYBER	3600	107239	\N	\N	\N
130430	437	1998-05-07	VYDAJ	VYBER	4800	110217	\N	\N	\N
130431	437	1998-10-10	VYDAJ	VYBER	600	105412	\N	\N	\N
130432	437	1998-10-20	VYDAJ	VYBER	4200	83916	\N	\N	\N
130433	437	1998-02-16	VYDAJ	VYBER	5520	70836	\N	\N	\N
130450	437	1994-04-30	VYDAJ	VYBER	15	66961	SLUZBY	\N	\N
130451	437	1994-05-31	VYDAJ	VYBER	15	61903	SLUZBY	\N	\N
130452	437	1994-06-30	VYDAJ	VYBER	15	64905	SLUZBY	\N	\N
130453	437	1994-07-31	VYDAJ	VYBER	15	63547	SLUZBY	\N	\N
130454	437	1994-08-31	VYDAJ	VYBER	15	42476	SLUZBY	\N	\N
130455	437	1994-09-30	VYDAJ	VYBER	15	43823	SLUZBY	\N	\N
130456	437	1994-10-31	VYDAJ	VYBER	15	44238	SLUZBY	\N	\N
130457	437	1994-11-30	VYDAJ	VYBER	15	46143	SLUZBY	\N	\N
130458	437	1994-12-31	VYDAJ	VYBER	15	52263	SLUZBY	\N	\N
130459	437	1995-01-31	VYDAJ	VYBER	15	44267	SLUZBY	\N	\N
130460	437	1995-02-28	VYDAJ	VYBER	15	49571	SLUZBY	\N	\N
130461	437	1995-03-31	VYDAJ	VYBER	15	52398	SLUZBY	\N	\N
130462	437	1995-04-30	VYDAJ	VYBER	15	53392	SLUZBY	\N	\N
130463	437	1995-05-31	VYDAJ	VYBER	15	52807	SLUZBY	\N	\N
130464	437	1995-06-30	VYDAJ	VYBER	15	56476	SLUZBY	\N	\N
130465	437	1995-07-31	VYDAJ	VYBER	15	56025	SLUZBY	\N	\N
130466	437	1995-08-31	VYDAJ	VYBER	15	59150	SLUZBY	\N	\N
130467	437	1995-09-30	VYDAJ	VYBER	15	63010	SLUZBY	\N	\N
130468	437	1995-10-31	VYDAJ	VYBER	15	62089	SLUZBY	\N	\N
130469	437	1995-11-30	VYDAJ	VYBER	15	67160	SLUZBY	\N	\N
130470	437	1995-12-31	VYDAJ	VYBER	15	72993	SLUZBY	\N	\N
130471	437	1996-01-31	VYDAJ	VYBER	15	58137	SLUZBY	\N	\N
130472	437	1996-02-29	VYDAJ	VYBER	15	63023	SLUZBY	\N	\N
130473	437	1996-03-31	VYDAJ	VYBER	15	68997	SLUZBY	\N	\N
130474	437	1996-04-30	VYDAJ	VYBER	15	73293	SLUZBY	\N	\N
130475	437	1996-05-31	VYDAJ	VYBER	15	76805	SLUZBY	\N	\N
130476	437	1996-06-30	VYDAJ	VYBER	15	78584	SLUZBY	\N	\N
130477	437	1996-07-31	VYDAJ	VYBER	15	77108	SLUZBY	\N	\N
130478	437	1996-08-31	VYDAJ	VYBER	15	69479	SLUZBY	\N	\N
130479	437	1996-09-30	VYDAJ	VYBER	15	73771	SLUZBY	\N	\N
130480	437	1996-10-31	VYDAJ	VYBER	15	80485	SLUZBY	\N	\N
130481	437	1996-11-30	VYDAJ	VYBER	15	83335	SLUZBY	\N	\N
130482	437	1996-12-31	VYDAJ	VYBER	15	92423	SLUZBY	\N	\N
130483	437	1997-01-31	VYDAJ	VYBER	15	85651	SLUZBY	\N	\N
130484	437	1997-02-28	VYDAJ	VYBER	15	87799	SLUZBY	\N	\N
130485	437	1997-03-31	VYDAJ	VYBER	15	88057	SLUZBY	\N	\N
130486	437	1997-04-30	VYDAJ	VYBER	15	91119	SLUZBY	\N	\N
130487	437	1997-05-31	VYDAJ	VYBER	15	95095	SLUZBY	\N	\N
130488	437	1997-06-30	VYDAJ	VYBER	15	68545	SLUZBY	\N	\N
130489	437	1997-07-31	VYDAJ	VYBER	15	85255	SLUZBY	\N	\N
130490	437	1997-08-31	VYDAJ	VYBER	15	93213	SLUZBY	\N	\N
130491	437	1997-09-30	VYDAJ	VYBER	15	91845	SLUZBY	\N	\N
130492	437	1997-10-31	VYDAJ	VYBER	15	101132	SLUZBY	\N	\N
130493	437	1997-11-30	VYDAJ	VYBER	15	90805	SLUZBY	\N	\N
130494	437	1997-12-31	VYDAJ	VYBER	15	101737	SLUZBY	\N	\N
130495	437	1998-01-31	VYDAJ	VYBER	15	103658	SLUZBY	\N	\N
130496	437	1998-02-28	VYDAJ	VYBER	15	71169	SLUZBY	\N	\N
130497	437	1998-03-31	VYDAJ	VYBER	15	91896	SLUZBY	\N	\N
130498	437	1998-04-30	VYDAJ	VYBER	15	115017	SLUZBY	\N	\N
130499	437	1998-05-31	VYDAJ	VYBER	15	71260	SLUZBY	\N	\N
130500	437	1998-06-30	VYDAJ	VYBER	15	71104	SLUZBY	\N	\N
130501	437	1998-07-31	VYDAJ	VYBER	15	113295	SLUZBY	\N	\N
130502	437	1998-08-31	VYDAJ	VYBER	15	110839	SLUZBY	\N	\N
130503	437	1998-09-30	VYDAJ	VYBER	15	87918	SLUZBY	\N	\N
130504	437	1998-10-31	VYDAJ	VYBER	15	84264	SLUZBY	\N	\N
130505	437	1998-11-30	VYDAJ	VYBER	15	107761	SLUZBY	\N	\N
130506	437	1994-01-02	VYDAJ	VYBER	6600	26667	\N	\N	\N
130507	437	1994-02-01	VYDAJ	VYBER	11100	37398	\N	\N	\N
130508	437	1994-03-03	VYDAJ	VYBER	15200	44079	\N	\N	\N
130509	437	1994-04-02	VYDAJ	VYBER	18700	47295	\N	\N	\N
130510	437	1994-05-02	VYDAJ	VYBER	21600	45361	\N	\N	\N
130511	437	1994-06-01	VYDAJ	VYBER	19200	42703	\N	\N	\N
130512	437	1994-07-01	VYDAJ	VYBER	17900	47005	\N	\N	\N
130513	437	1994-07-31	VYDAJ	VYBER	18100	45447	\N	\N	\N
130514	437	1994-08-30	VYDAJ	VYBER	15400	42265	\N	\N	\N
130515	437	1994-09-29	VYDAJ	VYBER	10700	43634	\N	\N	\N
130516	437	1994-10-29	VYDAJ	VYBER	12000	44041	\N	\N	\N
130517	437	1994-11-28	VYDAJ	VYBER	14600	45936	\N	\N	\N
130518	437	1994-12-28	VYDAJ	VYBER	15200	52027	\N	\N	\N
130519	437	1995-01-27	VYDAJ	VYBER	5300	44061	\N	\N	\N
130520	437	1995-02-26	VYDAJ	VYBER	11200	49365	\N	\N	\N
130521	437	1995-03-28	VYDAJ	VYBER	13700	52169	\N	\N	\N
130522	437	1995-04-27	VYDAJ	VYBER	10500	53156	\N	\N	\N
130523	437	1995-05-27	VYDAJ	VYBER	16400	52570	\N	\N	\N
130524	437	1995-06-26	VYDAJ	VYBER	11700	56231	\N	\N	\N
130525	437	1995-07-26	VYDAJ	VYBER	17000	55774	\N	\N	\N
130526	437	1995-08-25	VYDAJ	VYBER	9100	58903	\N	\N	\N
130527	437	1995-09-24	VYDAJ	VYBER	12700	62748	\N	\N	\N
130528	437	1995-10-24	VYDAJ	VYBER	11600	61828	\N	\N	\N
130529	437	1995-11-23	VYDAJ	VYBER	11500	66887	\N	\N	\N
130530	437	1995-12-23	VYDAJ	VYBER	20000	72684	\N	\N	\N
130531	437	1996-01-22	VYDAJ	VYBER	5300	57871	\N	\N	\N
130532	437	1996-02-21	VYDAJ	VYBER	7100	62775	\N	\N	\N
130533	437	1996-03-22	VYDAJ	VYBER	10600	68721	\N	\N	\N
130534	437	1996-04-21	VYDAJ	VYBER	12300	72995	\N	\N	\N
130535	437	1996-05-21	VYDAJ	VYBER	13100	76491	\N	\N	\N
130536	437	1996-06-20	VYDAJ	VYBER	20400	78249	\N	\N	\N
130537	437	1996-07-20	VYDAJ	VYBER	18100	76782	\N	\N	\N
130538	437	1996-08-19	VYDAJ	VYBER	15000	74806	\N	\N	\N
130539	437	1996-09-18	VYDAJ	VYBER	12300	73477	\N	\N	\N
130540	437	1996-10-18	VYDAJ	VYBER	9900	80169	\N	\N	\N
130541	437	1996-11-17	VYDAJ	VYBER	10900	83003	\N	\N	\N
130542	437	1996-12-17	VYDAJ	VYBER	16800	92059	\N	\N	\N
130543	437	1997-01-16	VYDAJ	VYBER	7900	86621	\N	\N	\N
130544	437	1997-02-15	VYDAJ	VYBER	14500	87449	\N	\N	\N
130545	437	1997-03-17	VYDAJ	VYBER	16400	87697	\N	\N	\N
130546	437	1997-04-16	VYDAJ	VYBER	13600	90755	\N	\N	\N
130547	437	1997-05-16	VYDAJ	VYBER	12700	94717	\N	\N	\N
130548	437	1997-06-12	VYDAJ	VYBER	39300	85167	\N	\N	\N
130549	437	1997-06-15	VYDAJ	VYBER	1900	81019	\N	\N	\N
130550	437	1997-07-15	PRIJEM	VKLAD	100	84943	\N	\N	\N
130551	437	1997-08-14	VYDAJ	VYBER	8700	92853	\N	\N	\N
130552	437	1997-09-13	VYDAJ	VYBER	14200	97559	\N	\N	\N
130553	437	1997-10-13	VYDAJ	VYBER	7400	100743	\N	\N	\N
130554	437	1997-11-12	VYDAJ	VYBER	20600	99078	\N	\N	\N
130555	437	1997-11-12	VYDAJ	VYBER	6400	92678	\N	\N	\N
130556	437	1997-12-12	VYDAJ	VYBER	12900	103597	\N	\N	\N
130557	437	1998-01-11	PRIJEM	VKLAD	7900	90811	\N	\N	\N
130558	437	1998-02-10	VYDAJ	VYBER	700	102958	\N	\N	\N
130559	437	1998-02-12	VYDAJ	VYBER	42900	78604	\N	\N	\N
130560	437	1998-03-12	PRIJEM	VKLAD	4100	72163	\N	\N	\N
130561	437	1998-04-11	PRIJEM	VKLAD	6400	95190	\N	\N	\N
130562	437	1998-05-11	VYDAJ	VYBER	2700	104411	\N	\N	\N
130563	437	1998-05-12	VYDAJ	VYBER	52900	73163	\N	\N	\N
130564	437	1998-06-10	PRIJEM	VKLAD	23400	94660	\N	\N	\N
130565	437	1998-06-13	VYDAJ	VYBER	34700	83604	\N	\N	\N
130566	437	1998-07-10	PRIJEM	VKLAD	25500	96604	\N	\N	\N
130567	437	1998-08-09	PRIJEM	VKLAD	1800	115095	\N	\N	\N
130568	437	1998-08-12	VYDAJ	VYBER	21000	112641	\N	\N	\N
130569	437	1998-09-08	PRIJEM	VKLAD	8000	115239	\N	\N	\N
130570	437	1998-09-12	VYDAJ	VYBER	44000	89785	\N	\N	\N
130571	437	1998-10-08	PRIJEM	VKLAD	21200	109118	\N	\N	\N
130572	437	1998-10-12	VYDAJ	VYBER	36700	90364	\N	\N	\N
130573	437	1998-11-07	PRIJEM	VKLAD	24600	108864	\N	\N	\N
130574	437	1998-11-12	VYDAJ	VYBER	17800	109610	\N	\N	\N
130575	437	1998-12-07	PRIJEM	VKLAD	13400	116841	\N	\N	\N
130576	437	1998-12-12	VYDAJ	VYBER	60800	85413	\N	\N	\N
130638	438	1997-06-23	PRIJEM	VKLAD	900	900	\N	\N	\N
130640	438	1997-09-24	PRIJEM	VKLAD	38198	61498	\N	\N	\N
130641	438	1998-01-05	PRIJEM	VKLAD	35968	63195	\N	\N	\N
130642	438	1998-11-24	PRIJEM	VKLAD	22281	33648	\N	\N	\N
130683	438	1997-07-23	PRIJEM	VKLAD	14400	15300	\N	\N	\N
130684	438	1997-08-22	PRIJEM	VKLAD	6000	21300	\N	\N	\N
130685	438	1997-09-21	PRIJEM	VKLAD	2000	23300	\N	\N	\N
130686	438	1997-10-21	VYDAJ	VYBER	19800	41758	\N	\N	\N
130687	438	1997-11-20	VYDAJ	VYBER	9500	32514	\N	\N	\N
130688	438	1997-12-20	VYDAJ	VYBER	5800	26970	\N	\N	\N
130689	438	1998-01-19	VYDAJ	VYBER	21200	41995	\N	\N	\N
130690	438	1998-02-18	VYDAJ	VYBER	14000	28217	\N	\N	\N
130691	438	1998-03-20	VYDAJ	VYBER	6200	22192	\N	\N	\N
130692	438	1998-04-19	VYDAJ	VYBER	1700	20667	\N	\N	\N
130693	438	1998-05-19	VYDAJ	VYBER	800	20042	\N	\N	\N
130694	438	1998-06-18	VYDAJ	VYBER	6600	13617	\N	\N	\N
130695	438	1998-07-18	VYDAJ	VYBER	2600	11192	\N	\N	\N
130696	438	1998-12-15	VYDAJ	VYBER	14300	19523	\N	\N	\N
130709	439	1996-04-15	PRIJEM	VKLAD	300	300	\N	\N	\N
130710	439	1996-11-23	PRIJEM	VKLAD	40753	69725	\N	\N	\N
130711	439	1996-06-15	PRIJEM	VKLAD	41361	62188	\N	\N	\N
130712	439	1997-06-27	PRIJEM	VKLAD	8402	29446	\N	\N	\N
130713	439	1997-06-08	PRIJEM	VKLAD	13944	32644	\N	\N	\N
130714	439	1998-05-02	PRIJEM	VKLAD	23333	51219	\N	\N	\N
130715	439	1998-03-15	PRIJEM	VKLAD	7438	31571	\N	\N	\N
130720	439	1996-05-17	PRIJEM	VKLAD	1100	13400	\N	\N	\N
130721	439	1996-06-16	PRIJEM	VKLAD	1100	63288	\N	\N	\N
130722	439	1996-07-14	PRIJEM	VKLAD	1100	64555	\N	\N	\N
130723	439	1996-08-14	PRIJEM	VKLAD	1100	37976	\N	\N	\N
130724	439	1996-09-15	PRIJEM	VKLAD	1100	31334	\N	\N	\N
130725	439	1996-10-16	PRIJEM	VKLAD	1100	27464	\N	\N	\N
130726	439	1996-11-16	PRIJEM	VKLAD	1100	28972	\N	\N	\N
130727	439	1996-12-14	PRIJEM	VKLAD	1100	47174	\N	\N	\N
130728	439	1997-01-16	PRIJEM	VKLAD	1100	35395	\N	\N	\N
130729	439	1997-02-13	PRIJEM	VKLAD	1100	29838	\N	\N	\N
130730	439	1997-03-14	PRIJEM	VKLAD	1100	27050	\N	\N	\N
130731	439	1997-04-16	PRIJEM	VKLAD	1100	19253	\N	\N	\N
130732	439	1997-05-13	PRIJEM	VKLAD	1100	18635	\N	\N	\N
130733	439	1997-06-15	PRIJEM	VKLAD	1100	21044	\N	\N	\N
130734	439	1997-07-15	PRIJEM	VKLAD	1100	25470	\N	\N	\N
130735	439	1997-08-13	PRIJEM	VKLAD	1100	22169	\N	\N	\N
130736	439	1997-09-16	PRIJEM	VKLAD	1100	23001	\N	\N	\N
130737	439	1997-10-14	PRIJEM	VKLAD	1100	24179	\N	\N	\N
130738	439	1997-11-14	PRIJEM	VKLAD	1100	23661	\N	\N	\N
130739	439	1997-12-15	PRIJEM	VKLAD	1100	20646	\N	\N	\N
130740	439	1998-01-16	PRIJEM	VKLAD	1100	16872	\N	\N	\N
130741	439	1998-02-16	PRIJEM	VKLAD	1100	22175	\N	\N	\N
130742	439	1998-03-17	PRIJEM	VKLAD	1100	32671	\N	\N	\N
130743	439	1998-04-17	PRIJEM	VKLAD	1100	29273	\N	\N	\N
130744	439	1998-05-15	PRIJEM	VKLAD	1100	40469	\N	\N	\N
130745	439	1998-06-14	PRIJEM	VKLAD	1100	34017	\N	\N	\N
130746	439	1998-07-14	PRIJEM	VKLAD	1100	24045	\N	\N	\N
130747	439	1998-08-14	PRIJEM	VKLAD	1100	26816	\N	\N	\N
130748	439	1998-09-14	PRIJEM	VKLAD	1100	32106	\N	\N	\N
130749	439	1998-10-15	PRIJEM	VKLAD	1100	31515	\N	\N	\N
130750	439	1998-11-17	PRIJEM	VKLAD	1100	29832	\N	\N	\N
130751	439	1998-12-16	PRIJEM	VKLAD	1100	28645	\N	\N	\N
130754	439	1998-06-27	VYDAJ	VYBER	18400	15617	\N	\N	\N
130756	439	1997-01-11	VYDAJ	VYBER	1700	35395	\N	\N	\N
130757	439	1998-01-25	VYDAJ	VYBER	2400	14472	\N	\N	\N
130761	439	1996-12-30	VYDAJ	VYBER	1100	46074	\N	\N	\N
130762	439	1997-12-13	VYDAJ	VYBER	1400	19546	\N	\N	\N
130763	439	1998-12-12	VYDAJ	VYBER	2600	27545	\N	\N	\N
130770	439	1997-01-03	VYDAJ	VYBER	500	45795	\N	\N	\N
130771	439	1997-01-21	VYDAJ	VYBER	1200	34195	\N	\N	\N
130772	439	1997-01-26	VYDAJ	VYBER	1300	32895	\N	\N	\N
130773	439	1997-01-30	VYDAJ	VYBER	1150	30995	\N	\N	\N
130774	439	1997-01-27	VYDAJ	VYBER	750	32145	\N	\N	\N
130775	439	1997-01-12	VYDAJ	VYBER	1100	34295	\N	\N	\N
130776	439	1998-01-01	VYDAJ	VYBER	1100	19622	\N	\N	\N
130777	439	1998-01-02	VYDAJ	VYBER	1200	17072	\N	\N	\N
130778	439	1998-01-29	VYDAJ	VYBER	750	13722	\N	\N	\N
130779	439	1998-01-10	VYDAJ	VYBER	1100	15772	\N	\N	\N
130780	439	1998-01-01	VYDAJ	VYBER	1350	18272	\N	\N	\N
130781	439	1998-01-06	VYDAJ	VYBER	600	16872	\N	\N	\N
130789	439	1997-08-15	VYDAJ	VYBER	550	21619	\N	\N	\N
130790	439	1997-06-28	VYDAJ	VYBER	350	29096	\N	\N	\N
130792	439	1998-07-30	VYDAJ	VYBER	1200	22845	\N	\N	\N
130793	439	1998-04-21	VYDAJ	VYBER	1500	27773	\N	\N	\N
130794	439	1998-05-14	VYDAJ	VYBER	1100	39369	\N	\N	\N
130795	439	1998-05-10	VYDAJ	VYBER	2450	40469	\N	\N	\N
130804	439	1996-08-31	VYDAJ	VYBER	15	38134	SLUZBY	\N	\N
130805	439	1996-09-30	VYDAJ	VYBER	15	31464	SLUZBY	\N	\N
130806	439	1996-10-31	VYDAJ	VYBER	15	27572	SLUZBY	\N	\N
130807	439	1996-11-30	VYDAJ	VYBER	15	69874	SLUZBY	\N	\N
130808	439	1996-12-31	VYDAJ	VYBER	15	46295	SLUZBY	\N	\N
130809	439	1997-01-31	VYDAJ	VYBER	15	31138	SLUZBY	\N	\N
130810	439	1997-02-28	VYDAJ	VYBER	15	29950	SLUZBY	\N	\N
130811	439	1997-03-31	VYDAJ	VYBER	15	27153	SLUZBY	\N	\N
130812	439	1997-04-30	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
130813	439	1997-05-31	VYDAJ	VYBER	15	18700	SLUZBY	\N	\N
130814	439	1997-06-30	VYDAJ	VYBER	15	29170	SLUZBY	\N	\N
130815	439	1997-07-31	VYDAJ	VYBER	15	25569	SLUZBY	\N	\N
130816	439	1997-08-31	VYDAJ	VYBER	15	21701	SLUZBY	\N	\N
130817	439	1997-09-30	VYDAJ	VYBER	15	23079	SLUZBY	\N	\N
130818	439	1997-10-31	VYDAJ	VYBER	15	24261	SLUZBY	\N	\N
130819	439	1997-11-30	VYDAJ	VYBER	15	23746	SLUZBY	\N	\N
130820	439	1997-12-31	VYDAJ	VYBER	15	20722	SLUZBY	\N	\N
130821	439	1998-01-31	VYDAJ	VYBER	15	13775	SLUZBY	\N	\N
130822	439	1998-02-28	VYDAJ	VYBER	15	22233	SLUZBY	\N	\N
130823	439	1998-03-31	VYDAJ	VYBER	15	32773	SLUZBY	\N	\N
130824	439	1998-04-30	VYDAJ	VYBER	15	27886	SLUZBY	\N	\N
130825	439	1998-05-31	VYDAJ	VYBER	15	40617	SLUZBY	\N	\N
130826	439	1998-06-30	VYDAJ	VYBER	15	15745	SLUZBY	\N	\N
130827	439	1998-07-31	VYDAJ	VYBER	15	22916	SLUZBY	\N	\N
130828	439	1998-08-31	VYDAJ	VYBER	15	26906	SLUZBY	\N	\N
130829	439	1998-09-30	VYDAJ	VYBER	15	32215	SLUZBY	\N	\N
130830	439	1998-10-31	VYDAJ	VYBER	15	31632	SLUZBY	\N	\N
130831	439	1998-11-30	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
130832	439	1996-05-15	PRIJEM	VKLAD	12000	12300	\N	\N	\N
130833	439	1996-06-14	PRIJEM	VKLAD	7400	20827	\N	\N	\N
130834	439	1996-07-14	VYDAJ	VYBER	18600	45955	\N	\N	\N
130835	439	1996-08-13	VYDAJ	VYBER	9300	36876	\N	\N	\N
130836	439	1996-09-12	VYDAJ	VYBER	7900	30234	\N	\N	\N
130837	439	1996-10-12	VYDAJ	VYBER	5100	26364	\N	\N	\N
130838	439	1996-11-11	PRIJEM	VKLAD	300	27872	\N	\N	\N
130839	439	1996-12-11	VYDAJ	VYBER	23800	46074	\N	\N	\N
130840	439	1997-01-10	VYDAJ	VYBER	8700	37095	\N	\N	\N
130841	439	1997-02-09	VYDAJ	VYBER	2400	28738	\N	\N	\N
130842	439	1997-03-11	VYDAJ	VYBER	4000	25950	\N	\N	\N
130843	439	1997-04-10	VYDAJ	VYBER	9000	18153	\N	\N	\N
130844	439	1997-05-10	VYDAJ	VYBER	1800	17535	\N	\N	\N
130845	439	1997-06-09	VYDAJ	VYBER	12700	19944	\N	\N	\N
130846	439	1997-07-09	VYDAJ	VYBER	4800	24370	\N	\N	\N
130847	439	1997-08-08	VYDAJ	VYBER	4500	21069	\N	\N	\N
130848	439	1997-09-07	PRIJEM	VKLAD	200	21901	\N	\N	\N
130849	439	1997-11-06	VYDAJ	VYBER	1700	22561	\N	\N	\N
130850	439	1997-12-06	VYDAJ	VYBER	2800	20946	\N	\N	\N
130851	439	1998-01-05	PRIJEM	VKLAD	400	17472	\N	\N	\N
130852	439	1998-02-04	PRIJEM	VKLAD	7300	21075	\N	\N	\N
130853	439	1998-03-06	PRIJEM	VKLAD	1900	24133	\N	\N	\N
130854	439	1998-04-05	VYDAJ	VYBER	4600	28173	\N	\N	\N
130855	439	1998-05-05	VYDAJ	VYBER	8300	42919	\N	\N	\N
130856	439	1998-06-04	VYDAJ	VYBER	7700	32917	\N	\N	\N
130857	439	1998-07-04	PRIJEM	VKLAD	7200	22945	\N	\N	\N
130858	439	1998-08-03	PRIJEM	VKLAD	2800	25716	\N	\N	\N
130859	439	1998-09-02	PRIJEM	VKLAD	4100	31006	\N	\N	\N
130860	439	1998-10-02	VYDAJ	VYBER	1800	30415	\N	\N	\N
130861	439	1998-11-01	VYDAJ	VYBER	2900	28732	\N	\N	\N
130862	439	1998-12-01	PRIJEM	VKLAD	200	30145	\N	\N	\N
130895	440	1996-12-22	PRIJEM	VKLAD	500	500	\N	\N	\N
130908	440	1997-01-10	PRIJEM	VKLAD	16463	16963	\N	\N	\N
130909	440	1997-02-10	PRIJEM	VKLAD	16463	37657	\N	\N	\N
130910	440	1997-03-10	PRIJEM	VKLAD	16463	47822	\N	\N	\N
130911	440	1997-04-10	PRIJEM	VKLAD	16463	50218	\N	\N	\N
130912	440	1997-05-10	PRIJEM	VKLAD	16463	48119	\N	\N	\N
130913	440	1997-06-10	PRIJEM	VKLAD	24695	30309	\N	\N	\N
130914	440	1997-07-10	PRIJEM	VKLAD	16463	33441	\N	\N	\N
130915	440	1997-08-10	PRIJEM	VKLAD	16463	32042	\N	\N	\N
130916	440	1997-09-10	PRIJEM	VKLAD	16463	30215	\N	\N	\N
130917	440	1997-10-10	PRIJEM	VKLAD	16463	30735	\N	\N	\N
130918	440	1997-11-10	PRIJEM	VKLAD	16463	32658	\N	\N	\N
130919	440	1997-12-10	PRIJEM	VKLAD	24695	44324	\N	\N	\N
130920	440	1998-01-10	PRIJEM	VKLAD	16463	25775	\N	\N	\N
130921	440	1998-02-10	PRIJEM	VKLAD	16463	30091	\N	\N	\N
130922	440	1998-03-10	PRIJEM	VKLAD	16463	41126	\N	\N	\N
130923	440	1998-04-10	PRIJEM	VKLAD	16463	48201	\N	\N	\N
130924	440	1998-05-10	PRIJEM	VKLAD	16463	47130	\N	\N	\N
130925	440	1998-06-10	PRIJEM	VKLAD	24695	57292	\N	\N	\N
130926	440	1998-07-10	PRIJEM	VKLAD	16463	52667	\N	\N	\N
130927	440	1998-08-10	PRIJEM	VKLAD	16463	52215	\N	\N	\N
130928	440	1998-09-10	PRIJEM	VKLAD	16463	54065	\N	\N	\N
130929	440	1998-10-10	PRIJEM	VKLAD	16463	56322	\N	\N	\N
130930	440	1998-11-10	PRIJEM	VKLAD	16463	56624	\N	\N	\N
130931	440	1998-12-10	PRIJEM	VKLAD	24695	73640	\N	\N	\N
130949	440	1997-06-09	VYDAJ	PREVOD NA UCET	5825	5614	SIPO	QR	84914481
130950	440	1997-07-09	VYDAJ	PREVOD NA UCET	5825	16978	SIPO	QR	84914481
130951	440	1997-08-09	VYDAJ	PREVOD NA UCET	5825	15579	SIPO	QR	84914481
130952	440	1997-09-09	VYDAJ	PREVOD NA UCET	5825	13752	SIPO	QR	84914481
130953	440	1997-10-09	VYDAJ	PREVOD NA UCET	5825	14272	SIPO	QR	84914481
130954	440	1997-11-09	VYDAJ	PREVOD NA UCET	5825	16195	SIPO	QR	84914481
130955	440	1997-12-09	VYDAJ	PREVOD NA UCET	5825	19630	SIPO	QR	84914481
130956	440	1998-01-09	VYDAJ	PREVOD NA UCET	5825	9312	SIPO	QR	84914481
130957	440	1998-02-09	VYDAJ	PREVOD NA UCET	5825	13628	SIPO	QR	84914481
130958	440	1998-03-09	VYDAJ	PREVOD NA UCET	5825	24663	SIPO	QR	84914481
130959	440	1998-04-09	VYDAJ	PREVOD NA UCET	5825	31738	SIPO	QR	84914481
130960	440	1998-05-09	VYDAJ	PREVOD NA UCET	5825	30667	SIPO	QR	84914481
130961	440	1998-06-09	VYDAJ	PREVOD NA UCET	5825	32597	SIPO	QR	84914481
130962	440	1998-07-09	VYDAJ	PREVOD NA UCET	5825	36204	SIPO	QR	84914481
130963	440	1998-08-09	VYDAJ	PREVOD NA UCET	5825	35752	SIPO	QR	84914481
130964	440	1998-09-09	VYDAJ	PREVOD NA UCET	5825	37602	SIPO	QR	84914481
130965	440	1998-10-09	VYDAJ	PREVOD NA UCET	5825	39859	SIPO	QR	84914481
130966	440	1998-11-09	VYDAJ	PREVOD NA UCET	5825	40161	SIPO	QR	84914481
130967	440	1998-12-09	VYDAJ	PREVOD NA UCET	5825	48946	SIPO	QR	84914481
130984	440	1997-05-17	VYDAJ	VYBER	2200	45919	\N	\N	0
130985	440	1997-05-31	VYDAJ	VYBER	1600	27439	\N	\N	0
130986	440	1997-06-25	VYDAJ	VYBER	1300	22709	\N	\N	0
130987	440	1997-07-30	VYDAJ	VYBER	1700	26341	\N	\N	0
130988	440	1997-08-31	VYDAJ	VYBER	1700	19592	\N	\N	0
130989	440	1997-10-09	VYDAJ	VYBER	1200	20097	\N	\N	0
130990	440	1997-11-27	VYDAJ	VYBER	2100	25358	\N	\N	0
130991	440	1997-12-16	VYDAJ	VYBER	2000	42324	\N	\N	0
130992	440	1998-01-15	VYDAJ	VYBER	1700	21675	\N	\N	0
130993	440	1998-01-31	VYDAJ	VYBER	1100	19468	\N	\N	0
130994	440	1998-03-10	VYDAJ	VYBER	1600	39526	\N	\N	0
130995	440	1998-04-12	VYDAJ	PREVOD NA UCET	1756	46445	UVER	GH	78983664
130996	440	1998-05-12	VYDAJ	PREVOD NA UCET	1756	45374	UVER	GH	78983664
130997	440	1998-06-12	VYDAJ	PREVOD NA UCET	1756	55536	UVER	GH	78983664
130998	440	1998-07-12	VYDAJ	PREVOD NA UCET	1756	50911	UVER	GH	78983664
130999	440	1998-08-12	VYDAJ	PREVOD NA UCET	1756	50459	UVER	GH	78983664
131000	440	1998-09-12	VYDAJ	PREVOD NA UCET	1756	52309	UVER	GH	78983664
131001	440	1998-10-12	VYDAJ	PREVOD NA UCET	1756	52046	UVER	GH	78983664
131002	440	1998-11-12	VYDAJ	PREVOD NA UCET	1756	54868	UVER	GH	78983664
131003	440	1998-12-12	VYDAJ	PREVOD NA UCET	1756	71884	UVER	GH	78983664
131005	440	1997-06-07	VYDAJ	VYBER	16000	11439	\N	\N	\N
131009	440	1998-01-06	VYDAJ	VYBER	8320	15137	\N	\N	\N
131011	440	1997-12-23	VYDAJ	VYBER	2080	26344	\N	\N	\N
131012	440	1998-12-16	VYDAJ	VYBER	1760	60924	\N	\N	\N
131025	440	1998-01-26	VYDAJ	VYBER	1800	20475	\N	\N	\N
131026	440	1998-01-05	VYDAJ	VYBER	3000	23457	\N	\N	\N
131028	440	1998-01-23	VYDAJ	VYBER	1800	22275	\N	\N	\N
131029	440	1998-01-15	VYDAJ	VYBER	1560	23375	\N	\N	\N
131030	440	1998-01-13	VYDAJ	VYBER	840	24935	\N	\N	\N
131034	440	1997-08-26	VYDAJ	VYBER	4560	21182	\N	\N	\N
131035	440	1997-08-08	VYDAJ	VYBER	5040	21404	\N	\N	\N
131038	440	1998-10-16	VYDAJ	VYBER	2640	45806	\N	\N	\N
131039	440	1998-10-11	VYDAJ	VYBER	2520	53802	\N	\N	\N
131040	440	1998-07-08	VYDAJ	VYBER	1920	42029	\N	\N	\N
131041	440	1998-06-30	VYDAJ	VYBER	1560	43949	\N	\N	\N
131042	440	1998-12-26	VYDAJ	VYBER	1200	59724	\N	\N	\N
131060	440	1997-05-31	VYDAJ	VYBER	15	29039	SLUZBY	\N	\N
131061	440	1997-06-30	VYDAJ	VYBER	15	22803	SLUZBY	\N	\N
131062	440	1997-07-31	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
131063	440	1997-08-31	VYDAJ	VYBER	15	19577	SLUZBY	\N	\N
131064	440	1997-09-30	VYDAJ	VYBER	15	21297	SLUZBY	\N	\N
131065	440	1997-10-31	VYDAJ	VYBER	15	22020	SLUZBY	\N	\N
131066	440	1997-11-30	VYDAJ	VYBER	15	25455	SLUZBY	\N	\N
131067	440	1997-12-31	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
131068	440	1998-01-31	VYDAJ	VYBER	15	19453	SLUZBY	\N	\N
131069	440	1998-02-28	VYDAJ	VYBER	15	30488	SLUZBY	\N	\N
131070	440	1998-03-31	VYDAJ	VYBER	15	37563	SLUZBY	\N	\N
131071	440	1998-04-30	VYDAJ	VYBER	15	36492	SLUZBY	\N	\N
131072	440	1998-05-31	VYDAJ	VYBER	15	38422	SLUZBY	\N	\N
131073	440	1998-06-30	VYDAJ	VYBER	15	45509	SLUZBY	\N	\N
131074	440	1998-07-31	VYDAJ	VYBER	15	41577	SLUZBY	\N	\N
131075	440	1998-08-31	VYDAJ	VYBER	15	43427	SLUZBY	\N	\N
131076	440	1998-09-30	VYDAJ	VYBER	15	45684	SLUZBY	\N	\N
131077	440	1998-10-31	VYDAJ	VYBER	15	45986	SLUZBY	\N	\N
131078	440	1998-11-30	VYDAJ	VYBER	15	54771	SLUZBY	\N	\N
131079	440	1997-01-21	PRIJEM	VKLAD	4200	21163	\N	\N	\N
131080	440	1997-02-20	VYDAJ	VYBER	6400	31257	\N	\N	\N
131081	440	1997-03-22	VYDAJ	VYBER	14200	33622	\N	\N	\N
131082	440	1997-04-21	VYDAJ	VYBER	18700	31518	\N	\N	\N
131083	440	1997-05-21	VYDAJ	VYBER	17000	28919	\N	\N	\N
131084	440	1997-06-20	VYDAJ	VYBER	6300	24009	\N	\N	\N
131085	440	1997-07-20	VYDAJ	VYBER	5400	28041	\N	\N	\N
131086	440	1997-08-19	VYDAJ	VYBER	6300	25742	\N	\N	\N
131087	440	1997-09-18	VYDAJ	VYBER	9000	21215	\N	\N	\N
131088	440	1997-10-18	VYDAJ	VYBER	8800	21935	\N	\N	\N
131089	440	1997-11-17	VYDAJ	VYBER	5200	27458	\N	\N	\N
131090	440	1997-12-17	VYDAJ	VYBER	13900	28424	\N	\N	\N
131091	440	1998-01-16	PRIJEM	VKLAD	2400	24075	\N	\N	\N
131092	440	1998-02-15	PRIJEM	VKLAD	300	30391	\N	\N	\N
131093	440	1998-03-17	VYDAJ	VYBER	2100	37426	\N	\N	\N
131094	440	1998-04-16	VYDAJ	VYBER	10100	36345	\N	\N	\N
131095	440	1998-05-16	VYDAJ	VYBER	7100	38274	\N	\N	\N
131096	440	1998-06-15	VYDAJ	VYBER	10200	45336	\N	\N	\N
131097	440	1998-07-15	VYDAJ	VYBER	9500	41411	\N	\N	\N
131098	440	1998-08-14	VYDAJ	VYBER	7200	43259	\N	\N	\N
131099	440	1998-09-13	VYDAJ	VYBER	6800	45509	\N	\N	\N
131100	440	1998-10-13	VYDAJ	VYBER	3600	48446	\N	\N	\N
131101	440	1998-11-12	VYDAJ	VYBER	300	54568	\N	\N	\N
131102	440	1998-12-12	VYDAJ	VYBER	9200	62684	\N	\N	\N
131127	441	1993-12-17	PRIJEM	VKLAD	900	900	\N	\N	\N
131140	441	1994-01-09	PRIJEM	PREVOD Z UCTU	44730	45630	\N	MN	47179061
131141	441	1994-02-09	PRIJEM	PREVOD Z UCTU	44730	79535	\N	MN	47179061
131142	441	1994-03-09	PRIJEM	PREVOD Z UCTU	44730	99050	\N	MN	47179061
131143	441	1994-04-09	PRIJEM	PREVOD Z UCTU	44730	107923	\N	MN	47179061
131144	441	1994-05-09	PRIJEM	PREVOD Z UCTU	44730	113527	\N	MN	47179061
131145	441	1994-06-09	PRIJEM	PREVOD Z UCTU	67095	92122	\N	MN	47179061
131146	441	1994-07-09	PRIJEM	PREVOD Z UCTU	44730	73115	\N	MN	47179061
131147	441	1994-08-09	PRIJEM	PREVOD Z UCTU	44730	80196	\N	MN	47179061
131148	441	1994-09-09	PRIJEM	PREVOD Z UCTU	44730	93310	\N	MN	47179061
131149	441	1994-10-09	PRIJEM	PREVOD Z UCTU	44730	95349	\N	MN	47179061
131150	441	1994-11-09	PRIJEM	PREVOD Z UCTU	44730	88094	\N	MN	47179061
131151	441	1994-12-09	PRIJEM	PREVOD Z UCTU	67095	123068	\N	MN	47179061
131152	441	1995-01-09	PRIJEM	PREVOD Z UCTU	44730	72970	\N	MN	47179061
131153	441	1995-02-09	PRIJEM	PREVOD Z UCTU	44730	68240	\N	MN	47179061
131154	441	1995-03-09	PRIJEM	PREVOD Z UCTU	44730	69776	\N	MN	47179061
131155	441	1995-04-09	PRIJEM	PREVOD Z UCTU	44730	83645	\N	MN	47179061
131156	441	1995-05-09	PRIJEM	PREVOD Z UCTU	44730	96059	\N	MN	47179061
131157	441	1995-06-09	PRIJEM	PREVOD Z UCTU	67095	121973	\N	MN	47179061
131158	441	1995-07-09	PRIJEM	PREVOD Z UCTU	44730	81390	\N	MN	47179061
131159	441	1995-08-09	PRIJEM	PREVOD Z UCTU	44730	99206	\N	MN	47179061
131160	441	1995-09-09	PRIJEM	PREVOD Z UCTU	44730	89174	\N	MN	47179061
131161	441	1995-10-09	PRIJEM	PREVOD Z UCTU	44730	108100	\N	MN	47179061
131162	441	1995-11-09	PRIJEM	PREVOD Z UCTU	44730	74143	\N	MN	47179061
131163	441	1995-12-09	PRIJEM	PREVOD Z UCTU	67095	122767	\N	MN	47179061
131164	441	1996-01-09	PRIJEM	PREVOD Z UCTU	44730	84521	\N	MN	47179061
131165	441	1996-02-09	PRIJEM	PREVOD Z UCTU	44730	88270	\N	MN	47179061
131166	441	1996-03-09	PRIJEM	PREVOD Z UCTU	44730	106260	\N	MN	47179061
131167	441	1996-04-09	PRIJEM	PREVOD Z UCTU	44730	102987	\N	MN	47179061
131168	441	1996-05-09	PRIJEM	PREVOD Z UCTU	44730	101385	\N	MN	47179061
131169	441	1996-06-09	PRIJEM	PREVOD Z UCTU	67095	125698	\N	MN	47179061
131170	441	1996-07-09	PRIJEM	PREVOD Z UCTU	44730	79890	\N	MN	47179061
131171	441	1996-08-09	PRIJEM	PREVOD Z UCTU	44730	101961	\N	MN	47179061
131172	441	1996-09-09	PRIJEM	PREVOD Z UCTU	44730	118135	\N	MN	47179061
131173	441	1996-10-09	PRIJEM	PREVOD Z UCTU	44730	105890	\N	MN	47179061
131174	441	1996-11-09	PRIJEM	PREVOD Z UCTU	44730	118484	\N	MN	47179061
131175	441	1996-12-09	PRIJEM	PREVOD Z UCTU	67095	122264	\N	MN	47179061
131176	441	1997-01-09	PRIJEM	PREVOD Z UCTU	44730	88955	\N	MN	47179061
131177	441	1997-02-09	PRIJEM	PREVOD Z UCTU	44730	81297	\N	MN	47179061
131178	441	1997-03-09	PRIJEM	PREVOD Z UCTU	44730	97343	\N	MN	47179061
131179	441	1997-04-09	PRIJEM	PREVOD Z UCTU	44730	111983	\N	MN	47179061
131180	441	1997-05-09	PRIJEM	PREVOD Z UCTU	44730	99542	\N	MN	47179061
131181	441	1997-06-09	PRIJEM	PREVOD Z UCTU	67095	122112	\N	MN	47179061
131182	441	1997-07-09	PRIJEM	PREVOD Z UCTU	44730	102672	\N	MN	47179061
131183	441	1997-08-09	PRIJEM	PREVOD Z UCTU	44730	101333	\N	MN	47179061
131184	441	1997-09-09	PRIJEM	PREVOD Z UCTU	44730	124693	\N	MN	47179061
131185	441	1997-10-09	PRIJEM	PREVOD Z UCTU	44730	122492	\N	MN	47179061
131186	441	1997-11-09	PRIJEM	PREVOD Z UCTU	44730	112411	\N	MN	47179061
131187	441	1997-12-09	PRIJEM	PREVOD Z UCTU	67095	116965	\N	MN	47179061
131188	441	1998-01-09	PRIJEM	PREVOD Z UCTU	44730	104687	\N	MN	47179061
131189	441	1998-02-09	PRIJEM	PREVOD Z UCTU	44730	92219	\N	MN	47179061
131190	441	1998-03-09	PRIJEM	PREVOD Z UCTU	44730	110428	\N	MN	47179061
131191	441	1998-04-09	PRIJEM	PREVOD Z UCTU	44730	117092	\N	MN	47179061
131192	441	1998-05-09	PRIJEM	PREVOD Z UCTU	44730	110493	\N	MN	47179061
131193	441	1998-06-09	PRIJEM	PREVOD Z UCTU	67095	149845	\N	MN	47179061
131194	441	1998-07-09	PRIJEM	PREVOD Z UCTU	44730	133957	\N	MN	47179061
131195	441	1998-08-09	PRIJEM	PREVOD Z UCTU	44730	108662	\N	MN	47179061
131196	441	1998-09-09	PRIJEM	PREVOD Z UCTU	44730	134036	\N	MN	47179061
131197	441	1998-10-09	PRIJEM	PREVOD Z UCTU	44730	114549	\N	MN	47179061
131198	441	1998-11-09	PRIJEM	PREVOD Z UCTU	44730	142449	\N	MN	47179061
131199	441	1998-12-09	PRIJEM	PREVOD Z UCTU	67095	165654	\N	MN	47179061
131289	441	1994-06-05	VYDAJ	PREVOD NA UCET	3041	25027	SIPO	YZ	91662942
131290	441	1994-07-05	VYDAJ	PREVOD NA UCET	3041	28385	SIPO	YZ	91662942
131291	441	1994-08-05	VYDAJ	PREVOD NA UCET	3041	35466	SIPO	YZ	91662942
131292	441	1994-09-05	VYDAJ	PREVOD NA UCET	3041	48580	SIPO	YZ	91662942
131293	441	1994-10-05	VYDAJ	PREVOD NA UCET	3041	53019	SIPO	YZ	91662942
131294	441	1994-11-05	VYDAJ	PREVOD NA UCET	3041	43364	SIPO	YZ	91662942
131295	441	1994-12-05	VYDAJ	PREVOD NA UCET	3041	55973	SIPO	YZ	91662942
131296	441	1995-01-05	VYDAJ	PREVOD NA UCET	3041	31540	SIPO	YZ	91662942
131297	441	1995-02-05	VYDAJ	PREVOD NA UCET	3041	23510	SIPO	YZ	91662942
131298	441	1995-03-05	VYDAJ	PREVOD NA UCET	3041	30473	SIPO	YZ	91662942
131299	441	1995-04-05	VYDAJ	PREVOD NA UCET	3041	38915	SIPO	YZ	91662942
131300	441	1995-05-05	VYDAJ	PREVOD NA UCET	3041	51329	SIPO	YZ	91662942
131301	441	1995-06-05	VYDAJ	PREVOD NA UCET	3041	54878	SIPO	YZ	91662942
131302	441	1995-07-05	VYDAJ	PREVOD NA UCET	3041	36660	SIPO	YZ	91662942
131303	441	1995-08-05	VYDAJ	PREVOD NA UCET	3041	54476	SIPO	YZ	91662942
131304	441	1995-09-05	VYDAJ	PREVOD NA UCET	3041	48044	SIPO	YZ	91662942
131305	441	1995-10-05	VYDAJ	PREVOD NA UCET	3041	85670	SIPO	YZ	91662942
131306	441	1995-11-05	VYDAJ	PREVOD NA UCET	3041	40013	SIPO	YZ	91662942
131307	441	1995-12-05	VYDAJ	PREVOD NA UCET	3041	70572	SIPO	YZ	91662942
131308	441	1996-01-05	VYDAJ	PREVOD NA UCET	3041	37291	SIPO	YZ	91662942
131309	441	1996-02-05	VYDAJ	PREVOD NA UCET	3041	45340	SIPO	YZ	91662942
131310	441	1996-03-05	VYDAJ	PREVOD NA UCET	3041	77230	SIPO	YZ	91662942
131311	441	1996-04-05	VYDAJ	PREVOD NA UCET	3041	58257	SIPO	YZ	91662942
131312	441	1996-05-05	VYDAJ	PREVOD NA UCET	3041	56655	SIPO	YZ	91662942
131313	441	1996-06-05	VYDAJ	PREVOD NA UCET	3041	58603	SIPO	YZ	91662942
131314	441	1996-07-05	VYDAJ	PREVOD NA UCET	3041	35160	SIPO	YZ	91662942
131315	441	1996-08-05	VYDAJ	PREVOD NA UCET	3041	57231	SIPO	YZ	91662942
131316	441	1996-09-05	VYDAJ	PREVOD NA UCET	3041	73405	SIPO	YZ	91662942
131317	441	1996-10-05	VYDAJ	PREVOD NA UCET	3041	61160	SIPO	YZ	91662942
131318	441	1996-11-05	VYDAJ	PREVOD NA UCET	3041	73754	SIPO	YZ	91662942
131319	441	1996-12-05	VYDAJ	PREVOD NA UCET	3041	55169	SIPO	YZ	91662942
131320	441	1997-01-05	VYDAJ	PREVOD NA UCET	3041	44225	SIPO	YZ	91662942
131321	441	1997-02-05	VYDAJ	PREVOD NA UCET	3041	36567	SIPO	YZ	91662942
131322	441	1997-03-05	VYDAJ	PREVOD NA UCET	3041	52613	SIPO	YZ	91662942
131323	441	1997-04-05	VYDAJ	PREVOD NA UCET	3041	67253	SIPO	YZ	91662942
131324	441	1997-05-05	VYDAJ	PREVOD NA UCET	3041	54812	SIPO	YZ	91662942
131325	441	1997-06-05	VYDAJ	PREVOD NA UCET	3041	55017	SIPO	YZ	91662942
131326	441	1997-07-05	VYDAJ	PREVOD NA UCET	3041	57942	SIPO	YZ	91662942
131327	441	1997-08-05	VYDAJ	PREVOD NA UCET	3041	56603	SIPO	YZ	91662942
131328	441	1997-09-05	VYDAJ	PREVOD NA UCET	3041	79963	SIPO	YZ	91662942
131329	441	1997-10-05	VYDAJ	PREVOD NA UCET	3041	77762	SIPO	YZ	91662942
131330	441	1997-11-05	VYDAJ	PREVOD NA UCET	3041	67681	SIPO	YZ	91662942
131331	441	1997-12-05	VYDAJ	PREVOD NA UCET	3041	49870	SIPO	YZ	91662942
131332	441	1998-01-05	VYDAJ	PREVOD NA UCET	3041	59957	SIPO	YZ	91662942
131333	441	1998-02-05	VYDAJ	PREVOD NA UCET	3041	47489	SIPO	YZ	91662942
131334	441	1998-03-05	VYDAJ	PREVOD NA UCET	3041	65698	SIPO	YZ	91662942
131335	441	1998-04-05	VYDAJ	PREVOD NA UCET	3041	81062	SIPO	YZ	91662942
131336	441	1998-05-05	VYDAJ	PREVOD NA UCET	3041	65763	SIPO	YZ	91662942
131337	441	1998-06-05	VYDAJ	PREVOD NA UCET	3041	90850	SIPO	YZ	91662942
131338	441	1998-07-05	VYDAJ	PREVOD NA UCET	3041	89227	SIPO	YZ	91662942
131339	441	1998-08-05	VYDAJ	PREVOD NA UCET	3041	63932	SIPO	YZ	91662942
131340	441	1998-09-05	VYDAJ	PREVOD NA UCET	3041	89306	SIPO	YZ	91662942
131341	441	1998-10-05	VYDAJ	PREVOD NA UCET	3041	69819	SIPO	YZ	91662942
131342	441	1998-11-05	VYDAJ	PREVOD NA UCET	3041	97719	SIPO	YZ	91662942
131343	441	1998-12-05	VYDAJ	PREVOD NA UCET	3041	98559	SIPO	YZ	91662942
131360	441	1994-05-12	VYDAJ	PREVOD NA UCET	765	55162	 	WX	11125362
131361	441	1994-06-12	VYDAJ	PREVOD NA UCET	765	91357	 	WX	11125362
131362	441	1994-07-12	VYDAJ	PREVOD NA UCET	765	72350	 	WX	11125362
131363	441	1994-08-12	VYDAJ	PREVOD NA UCET	765	79431	 	WX	11125362
131364	441	1994-09-12	VYDAJ	PREVOD NA UCET	765	82146	 	WX	11125362
131365	441	1994-10-12	VYDAJ	PREVOD NA UCET	765	94584	 	WX	11125362
131366	441	1994-11-12	VYDAJ	PREVOD NA UCET	765	87329	 	WX	11125362
131367	441	1994-12-12	VYDAJ	PREVOD NA UCET	765	60303	 	WX	11125362
131368	441	1995-01-12	VYDAJ	PREVOD NA UCET	765	49505	 	WX	11125362
131369	441	1995-02-12	VYDAJ	PREVOD NA UCET	765	47175	 	WX	11125362
131370	441	1995-03-12	VYDAJ	PREVOD NA UCET	765	48711	 	WX	11125362
131371	441	1995-04-12	VYDAJ	PREVOD NA UCET	765	54180	 	WX	11125362
131372	441	1995-05-12	VYDAJ	PREVOD NA UCET	765	61894	 	WX	11125362
131373	441	1995-06-12	VYDAJ	PREVOD NA UCET	765	60508	 	WX	11125362
131374	441	1995-07-12	VYDAJ	PREVOD NA UCET	765	57325	 	WX	11125362
131375	441	1995-08-12	VYDAJ	PREVOD NA UCET	765	64041	 	WX	11125362
131376	441	1995-09-12	VYDAJ	PREVOD NA UCET	765	88409	 	WX	11125362
131377	441	1995-10-12	VYDAJ	PREVOD NA UCET	765	47695	 	WX	11125362
131378	441	1995-11-12	VYDAJ	PREVOD NA UCET	765	73378	 	WX	11125362
131379	441	1995-12-12	VYDAJ	PREVOD NA UCET	765	65302	 	WX	11125362
131380	441	1996-01-12	VYDAJ	PREVOD NA UCET	765	80456	 	WX	11125362
131381	441	1996-02-12	VYDAJ	PREVOD NA UCET	765	80005	 	WX	11125362
131382	441	1996-03-12	VYDAJ	PREVOD NA UCET	765	79095	 	WX	11125362
131383	441	1996-04-12	VYDAJ	PREVOD NA UCET	765	102222	 	WX	11125362
131384	441	1996-05-12	VYDAJ	PREVOD NA UCET	765	100620	 	WX	11125362
131385	441	1996-06-12	VYDAJ	PREVOD NA UCET	765	74633	 	WX	11125362
131386	441	1996-07-12	VYDAJ	PREVOD NA UCET	765	79125	 	WX	11125362
131387	441	1996-08-12	VYDAJ	PREVOD NA UCET	765	101196	 	WX	11125362
131388	441	1996-09-12	VYDAJ	PREVOD NA UCET	765	84470	 	WX	11125362
131389	441	1996-10-12	VYDAJ	PREVOD NA UCET	765	105125	 	WX	11125362
131390	441	1996-11-12	VYDAJ	PREVOD NA UCET	765	73419	 	WX	11125362
131391	441	1996-12-12	VYDAJ	PREVOD NA UCET	765	67499	 	WX	11125362
131392	441	1997-01-12	VYDAJ	PREVOD NA UCET	765	88190	 	WX	11125362
131393	441	1997-02-12	VYDAJ	PREVOD NA UCET	765	80532	 	WX	11125362
131394	441	1997-03-12	VYDAJ	PREVOD NA UCET	765	96578	 	WX	11125362
131395	441	1997-04-12	VYDAJ	PREVOD NA UCET	765	62018	 	WX	11125362
131396	441	1997-05-12	VYDAJ	PREVOD NA UCET	765	98777	 	WX	11125362
131397	441	1997-06-12	VYDAJ	PREVOD NA UCET	765	73747	 	WX	11125362
131398	441	1997-07-12	VYDAJ	PREVOD NA UCET	765	101907	 	WX	11125362
131399	441	1997-08-12	VYDAJ	PREVOD NA UCET	765	100568	 	WX	11125362
131400	441	1997-09-12	VYDAJ	PREVOD NA UCET	765	99228	 	WX	11125362
131401	441	1997-10-12	VYDAJ	PREVOD NA UCET	765	72527	 	WX	11125362
131402	441	1997-11-12	VYDAJ	PREVOD NA UCET	765	83746	 	WX	11125362
131403	441	1997-12-12	VYDAJ	PREVOD NA UCET	765	54400	 	WX	11125362
131404	441	1998-01-12	VYDAJ	PREVOD NA UCET	765	103922	 	WX	11125362
131405	441	1998-02-12	VYDAJ	PREVOD NA UCET	765	91454	 	WX	11125362
131406	441	1998-03-12	VYDAJ	PREVOD NA UCET	765	109663	 	WX	11125362
131407	441	1998-04-12	VYDAJ	PREVOD NA UCET	765	63627	 	WX	11125362
131408	441	1998-05-12	VYDAJ	PREVOD NA UCET	765	109728	 	WX	11125362
131409	441	1998-06-12	VYDAJ	PREVOD NA UCET	765	101580	 	WX	11125362
131410	441	1998-07-12	VYDAJ	PREVOD NA UCET	765	69392	 	WX	11125362
131411	441	1998-08-12	VYDAJ	PREVOD NA UCET	765	107897	 	WX	11125362
131412	441	1998-09-12	VYDAJ	PREVOD NA UCET	765	70971	 	WX	11125362
131413	441	1998-10-12	VYDAJ	PREVOD NA UCET	765	113784	 	WX	11125362
131414	441	1998-11-12	VYDAJ	PREVOD NA UCET	765	113284	 	WX	11125362
131415	441	1998-12-12	VYDAJ	PREVOD NA UCET	765	122489	 	WX	11125362
131417	441	1994-09-10	VYBER	VYBER	10399	82911	\N	\N	\N
131418	441	1995-03-06	VYBER	VYBER	5427	25046	\N	\N	\N
131419	441	1995-10-11	VYBER	VYBER	15640	48460	\N	\N	\N
131420	441	1995-10-26	VYBER	VYBER	4850	42845	\N	\N	\N
131421	441	1996-04-14	VYBER	VYBER	14238	87984	\N	\N	\N
131422	441	1996-01-20	VYBER	VYBER	9204	64352	\N	\N	\N
131423	441	1996-04-21	VYBER	VYBER	9094	76490	\N	\N	\N
131424	441	1997-11-27	VYBER	VYBER	8600	60746	\N	\N	\N
131425	441	1997-01-29	VYBER	VYBER	21396	29894	\N	\N	\N
131426	441	1997-07-13	VYBER	VYBER	23921	77986	\N	\N	\N
131427	441	1997-08-04	VYBER	VYBER	10425	59644	\N	\N	\N
131428	441	1997-05-29	VYBER	VYBER	11443	87334	\N	\N	\N
131429	441	1997-09-20	VYBER	VYBER	7469	91759	\N	\N	\N
131431	441	1994-06-19	VYDAJ	VYBER	26100	31257	\N	\N	\N
131432	441	1995-06-21	VYDAJ	VYBER	21000	39508	\N	\N	\N
131433	441	1996-06-27	VYDAJ	VYBER	46200	28433	\N	\N	\N
131438	441	1995-01-22	VYDAJ	VYBER	9600	36605	\N	\N	\N
131439	441	1996-01-18	VYDAJ	VYBER	5100	75356	\N	\N	\N
131440	441	1997-01-15	VYDAJ	VYBER	18900	69290	\N	\N	\N
131441	441	1998-01-26	VYDAJ	VYBER	24300	61322	\N	\N	\N
131443	441	1994-12-10	VYDAJ	VYBER	8100	61068	\N	\N	\N
131444	441	1995-12-14	VYDAJ	VYBER	6600	58702	\N	\N	\N
131445	441	1996-12-05	VYDAJ	VYBER	4500	58210	\N	\N	\N
131446	441	1997-12-23	VYDAJ	VYBER	4500	49900	\N	\N	\N
131447	441	1998-12-29	VYDAJ	VYBER KARTOU	2700	107089	\N	\N	0
131460	441	1995-01-29	VYDAJ	VYBER	3900	32705	\N	\N	\N
131461	441	1995-01-04	VYDAJ	VYBER	2100	34581	\N	\N	\N
131462	441	1995-01-05	VYDAJ	VYBER	3300	28240	\N	\N	\N
131463	441	1995-01-29	VYDAJ	VYBER	6300	26405	\N	\N	\N
131464	441	1995-01-22	VYDAJ	VYBER	3300	46205	\N	\N	\N
131465	441	1995-01-02	VYDAJ	VYBER	5400	36681	\N	\N	\N
131466	441	1996-01-03	VYDAJ	VYBER KARTOU	3600	47532	\N	\N	0
131467	441	1996-01-11	VYDAJ	VYBER KARTOU	3300	81221	\N	\N	0
131468	441	1996-01-01	VYDAJ	VYBER	7800	51132	\N	\N	\N
131469	441	1996-01-03	VYDAJ	VYBER	7200	40332	\N	\N	\N
131470	441	1996-01-19	VYDAJ	VYBER KARTOU	1800	73556	\N	\N	0
131471	441	1996-01-25	VYDAJ	VYBER	7500	56852	\N	\N	\N
131472	441	1997-01-23	VYDAJ	VYBER	6300	51290	\N	\N	\N
131473	441	1997-01-01	VYDAJ	VYBER	7500	49366	\N	\N	\N
131474	441	1997-01-21	VYDAJ	VYBER	6600	57590	\N	\N	\N
131476	441	1997-01-02	VYDAJ	VYBER KARTOU	2100	47266	\N	\N	0
131477	441	1997-01-18	VYDAJ	VYBER	5100	64190	\N	\N	\N
131478	441	1998-01-26	VYDAJ	VYBER	5700	55622	\N	\N	\N
131479	441	1998-01-24	VYDAJ	VYBER	5100	92522	\N	\N	\N
131480	441	1998-01-29	VYDAJ	VYBER KARTOU	1500	50222	\N	\N	0
131481	441	1998-01-29	VYDAJ	VYBER KARTOU	3900	51722	\N	\N	0
131482	441	1998-01-22	VYDAJ	VYBER	6300	97622	\N	\N	\N
131483	441	1998-01-24	VYDAJ	VYBER KARTOU	2100	90422	\N	\N	0
131491	441	1994-07-21	VYDAJ	VYBER	9000	38350	\N	\N	\N
131492	441	1994-06-05	VYDAJ	VYBER	12600	28068	\N	\N	\N
131493	441	1994-10-08	VYDAJ	VYBER	2400	50619	\N	\N	\N
131494	441	1994-10-27	VYDAJ	VYBER	12000	46184	\N	\N	\N
131495	441	1995-05-19	VYDAJ	VYBER	1800	60094	\N	\N	\N
131496	441	1995-02-26	VYDAJ	VYBER	13800	33375	\N	\N	\N
131497	441	1995-05-31	VYDAJ	VYBER	2400	57949	\N	\N	\N
131498	441	1995-03-15	VYDAJ	VYBER	6900	41811	\N	\N	\N
131499	441	1995-09-05	VYDAJ	VYBER	13200	51085	\N	\N	\N
131500	441	1995-11-06	VYDAJ	VYBER	13200	26813	\N	\N	\N
131501	441	1996-01-30	VYDAJ	VYBER	8700	48152	\N	\N	\N
131502	441	1996-05-22	VYDAJ	VYBER	8700	91920	\N	\N	\N
131503	441	1996-05-23	VYDAJ	VYBER	14400	77520	\N	\N	\N
131504	441	1996-08-01	VYDAJ	VYBER KARTOU	1800	77572	\N	\N	0
131505	441	1996-02-10	VYDAJ	VYBER	7500	80770	\N	\N	\N
131506	441	1996-09-18	VYDAJ	VYBER KARTOU	3300	81170	\N	\N	0
131507	441	1996-04-16	VYDAJ	VYBER KARTOU	2400	85584	\N	\N	0
131508	441	1997-12-02	VYDAJ	VYBER	8100	52911	\N	\N	\N
131509	441	1997-06-01	VYDAJ	VYBER	10200	58058	\N	\N	\N
131510	441	1997-11-14	VYDAJ	VYBER	12900	70846	\N	\N	\N
131511	441	1997-06-14	VYDAJ	VYBER	10200	63547	\N	\N	\N
131512	441	1997-03-19	VYDAJ	VYBER	6300	90278	\N	\N	\N
131513	441	1997-02-13	VYDAJ	VYBER	13500	67032	\N	\N	\N
131514	441	1998-02-26	VYDAJ	VYBER	14700	68454	\N	\N	\N
131515	441	1998-06-08	VYDAJ	VYBER	8100	82750	\N	\N	\N
131516	441	1998-03-14	VYDAJ	VYBER	11100	98563	\N	\N	\N
131517	441	1998-09-25	VYDAJ	VYBER	8400	72571	\N	\N	\N
131518	441	1998-04-08	VYDAJ	VYBER	8700	72362	\N	\N	\N
131519	441	1998-07-29	VYDAJ	VYBER	9000	66692	\N	\N	\N
131537	441	1994-05-31	VYDAJ	VYBER	30	40668	SLUZBY	\N	\N
131538	441	1994-06-30	VYDAJ	VYBER	30	31426	SLUZBY	\N	\N
131539	441	1994-07-31	VYDAJ	VYBER	30	38507	SLUZBY	\N	\N
131540	441	1994-08-31	VYDAJ	VYBER	30	51621	SLUZBY	\N	\N
131541	441	1994-09-30	VYDAJ	VYBER	30	56060	SLUZBY	\N	\N
131542	441	1994-10-31	VYDAJ	VYBER	30	46405	SLUZBY	\N	\N
131543	441	1994-11-30	VYDAJ	VYBER	30	59014	SLUZBY	\N	\N
131544	441	1994-12-31	VYDAJ	VYBER	30	42081	SLUZBY	\N	\N
131545	441	1995-01-31	VYDAJ	VYBER	30	26551	SLUZBY	\N	\N
131546	441	1995-02-28	VYDAJ	VYBER	30	33514	SLUZBY	\N	\N
131547	441	1995-03-31	VYDAJ	VYBER	30	41956	SLUZBY	\N	\N
131548	441	1995-04-30	VYDAJ	VYBER	30	54370	SLUZBY	\N	\N
131549	441	1995-05-31	VYDAJ	VYBER	30	57919	SLUZBY	\N	\N
131550	441	1995-06-30	VYDAJ	VYBER	30	39701	SLUZBY	\N	\N
131551	441	1995-07-31	VYDAJ	VYBER	30	57517	SLUZBY	\N	\N
131552	441	1995-08-31	VYDAJ	VYBER	30	64285	SLUZBY	\N	\N
131553	441	1995-09-30	VYDAJ	VYBER	30	88711	SLUZBY	\N	\N
131554	441	1995-10-31	VYDAJ	VYBER	30	43054	SLUZBY	\N	\N
131555	441	1995-11-30	VYDAJ	VYBER	30	73613	SLUZBY	\N	\N
131556	441	1995-12-31	VYDAJ	VYBER	30	58932	SLUZBY	\N	\N
131557	441	1996-01-31	VYDAJ	VYBER	30	48381	SLUZBY	\N	\N
131558	441	1996-02-29	VYDAJ	VYBER	30	80271	SLUZBY	\N	\N
131559	441	1996-03-31	VYDAJ	VYBER	30	79398	SLUZBY	\N	\N
131560	441	1996-04-30	VYDAJ	VYBER	30	76796	SLUZBY	\N	\N
131561	441	1996-05-31	VYDAJ	VYBER	30	77844	SLUZBY	\N	\N
131562	441	1996-06-30	VYDAJ	VYBER	30	28701	SLUZBY	\N	\N
131563	441	1996-07-31	VYDAJ	VYBER	30	79372	SLUZBY	\N	\N
131564	441	1996-08-31	VYDAJ	VYBER	30	101546	SLUZBY	\N	\N
131565	441	1996-09-30	VYDAJ	VYBER	30	81501	SLUZBY	\N	\N
131566	441	1996-10-31	VYDAJ	VYBER	30	105495	SLUZBY	\N	\N
131567	441	1996-11-30	VYDAJ	VYBER	30	73710	SLUZBY	\N	\N
131568	441	1996-12-31	VYDAJ	VYBER	30	56866	SLUZBY	\N	\N
131569	441	1997-01-31	VYDAJ	VYBER	30	39608	SLUZBY	\N	\N
131570	441	1997-02-28	VYDAJ	VYBER	30	67254	SLUZBY	\N	\N
131571	441	1997-03-31	VYDAJ	VYBER	30	70294	SLUZBY	\N	\N
131572	441	1997-04-30	VYDAJ	VYBER	30	62253	SLUZBY	\N	\N
131573	441	1997-05-31	VYDAJ	VYBER	30	68258	SLUZBY	\N	\N
131574	441	1997-06-30	VYDAJ	VYBER	30	60983	SLUZBY	\N	\N
131575	441	1997-07-31	VYDAJ	VYBER	30	70069	SLUZBY	\N	\N
131576	441	1997-08-31	VYDAJ	VYBER	30	83004	SLUZBY	\N	\N
131577	441	1997-09-30	VYDAJ	VYBER	30	80803	SLUZBY	\N	\N
131578	441	1997-10-31	VYDAJ	VYBER	30	70722	SLUZBY	\N	\N
131579	441	1997-11-30	VYDAJ	VYBER	30	61011	SLUZBY	\N	\N
131580	441	1997-12-31	VYDAJ	VYBER	30	62998	SLUZBY	\N	\N
131581	441	1998-01-31	VYDAJ	VYBER	30	50530	SLUZBY	\N	\N
131582	441	1998-02-28	VYDAJ	VYBER	30	68739	SLUZBY	\N	\N
131583	441	1998-03-31	VYDAJ	VYBER	30	84103	SLUZBY	\N	\N
131584	441	1998-04-30	VYDAJ	VYBER	30	68804	SLUZBY	\N	\N
131585	441	1998-05-31	VYDAJ	VYBER	30	93891	SLUZBY	\N	\N
131586	441	1998-06-30	VYDAJ	VYBER	30	92268	SLUZBY	\N	\N
131587	441	1998-07-31	VYDAJ	VYBER	30	66973	SLUZBY	\N	\N
131588	441	1998-08-31	VYDAJ	VYBER	30	92347	SLUZBY	\N	\N
131589	441	1998-09-30	VYDAJ	VYBER	30	72860	SLUZBY	\N	\N
131590	441	1998-10-31	VYDAJ	VYBER	30	100760	SLUZBY	\N	\N
131591	441	1998-11-30	VYDAJ	VYBER	30	101600	SLUZBY	\N	\N
131592	441	1994-01-16	VYDAJ	VYBER	10900	34730	\N	\N	\N
131593	441	1994-02-15	VYDAJ	VYBER	25400	54135	\N	\N	\N
131594	441	1994-03-17	VYDAJ	VYBER	36100	62950	\N	\N	\N
131595	441	1994-04-16	VYDAJ	VYBER	39400	68523	\N	\N	\N
131596	441	1994-05-09	VYDAJ	VYBER	57600	55927	\N	\N	\N
131597	441	1994-05-16	VYDAJ	VYBER	14700	40462	\N	\N	\N
131598	441	1994-06-15	VYDAJ	VYBER	34000	57357	\N	\N	\N
131599	441	1994-07-15	VYDAJ	VYBER	25000	47350	\N	\N	\N
131600	441	1994-08-14	VYDAJ	VYBER	28000	51431	\N	\N	\N
131601	441	1994-09-13	VYDAJ	VYBER	26300	55846	\N	\N	\N
131602	441	1994-10-13	VYDAJ	VYBER	36400	58184	\N	\N	\N
131603	441	1994-11-12	VYDAJ	VYBER	28600	58729	\N	\N	\N
131604	441	1994-12-09	VYDAJ	VYBER	53900	69168	\N	\N	\N
131605	441	1994-12-12	VYDAJ	VYBER	18400	41903	\N	\N	\N
131606	441	1995-01-11	VYDAJ	VYBER	22700	50270	\N	\N	\N
131607	441	1995-02-10	VYDAJ	VYBER	20300	47940	\N	\N	\N
131608	441	1995-03-12	VYDAJ	VYBER	20300	49476	\N	\N	\N
131609	441	1995-04-11	VYDAJ	VYBER	28700	54945	\N	\N	\N
131610	441	1995-05-11	VYDAJ	VYBER	33400	62659	\N	\N	\N
131611	441	1995-06-09	VYDAJ	VYBER	35500	86473	\N	\N	\N
131612	441	1995-06-10	VYDAJ	VYBER	25200	61273	\N	\N	\N
131613	441	1995-07-10	VYDAJ	VYBER	23300	58090	\N	\N	\N
131614	441	1995-08-09	VYDAJ	VYBER	34400	64806	\N	\N	\N
131615	441	1995-09-08	VYDAJ	VYBER	3600	44444	\N	\N	\N
131616	441	1995-10-08	VYDAJ	VYBER	22300	63370	\N	\N	\N
131617	441	1995-10-09	VYDAJ	VYBER	44000	64100	\N	\N	\N
131618	441	1995-11-07	PRIJEM	VKLAD	2600	29413	\N	\N	\N
131619	441	1995-12-07	VYDAJ	VYBER	14900	55672	\N	\N	\N
131620	441	1995-12-09	VYDAJ	VYBER	56700	66067	\N	\N	\N
131621	441	1996-01-06	PRIJEM	VKLAD	2500	39791	\N	\N	\N
131622	441	1996-02-05	VYDAJ	VYBER KARTOU	1800	43540	\N	\N	0
131623	441	1996-03-06	VYDAJ	VYBER	15700	61530	\N	\N	\N
131624	441	1996-03-09	VYDAJ	VYBER	26400	79860	\N	\N	\N
131625	441	1996-04-05	VYDAJ	VYBER	18100	61298	\N	\N	\N
131626	441	1996-05-05	VYDAJ	VYBER	17100	59696	\N	\N	\N
131627	441	1996-06-04	VYDAJ	VYBER	16200	61644	\N	\N	\N
131628	441	1996-06-09	VYDAJ	VYBER	50300	75398	\N	\N	\N
131629	441	1996-07-04	PRIJEM	VKLAD	9500	38201	\N	\N	\N
131630	441	1996-08-03	VYDAJ	VYBER	17300	60272	\N	\N	\N
131631	441	1996-09-02	VYDAJ	VYBER	25100	76446	\N	\N	\N
131632	441	1996-09-09	VYDAJ	VYBER	32900	85235	\N	\N	\N
131633	441	1996-10-02	VYDAJ	VYBER	17300	64201	\N	\N	\N
131634	441	1996-11-01	VYDAJ	VYBER	28700	76795	\N	\N	\N
131635	441	1996-11-09	VYDAJ	VYBER	44300	74184	\N	\N	\N
131636	441	1996-12-01	VYDAJ	VYBER	11000	62710	\N	\N	\N
131637	441	1996-12-09	VYDAJ	VYBER	54000	68264	\N	\N	\N
131638	441	1996-12-31	VYDAJ	VYBER	10900	56896	\N	\N	\N
131639	441	1997-01-30	PRIJEM	VKLAD	9500	39394	\N	\N	\N
131640	441	1997-03-01	VYDAJ	VYBER	11600	55654	\N	\N	\N
131641	441	1997-03-31	VYDAJ	VYBER	20300	70324	\N	\N	\N
131642	441	1997-04-09	VYDAJ	VYBER	49200	62783	\N	\N	\N
131643	441	1997-04-30	VYDAJ	VYBER	4400	57853	\N	\N	\N
131644	441	1997-05-30	VYDAJ	VYBER	19400	67934	\N	\N	\N
131645	441	1997-06-09	VYDAJ	VYBER	47600	74512	\N	\N	\N
131646	441	1997-06-29	VYDAJ	VYBER KARTOU	2800	60747	\N	\N	0
131647	441	1997-07-29	VYDAJ	VYBER	8200	69786	\N	\N	\N
131648	441	1997-08-28	VYDAJ	VYBER	17900	82668	\N	\N	\N
131649	441	1997-09-09	VYDAJ	VYBER	24700	99993	\N	\N	\N
131650	441	1997-09-27	VYDAJ	VYBER	11300	80459	\N	\N	\N
131651	441	1997-10-09	VYDAJ	VYBER	49200	73292	\N	\N	\N
131652	441	1997-10-27	VYDAJ	VYBER KARTOU	2100	70427	\N	\N	0
131653	441	1997-11-09	VYDAJ	VYBER	27900	84511	\N	\N	\N
131654	441	1997-11-26	VYDAJ	VYBER KARTOU	1500	69346	\N	\N	0
131655	441	1997-12-09	VYDAJ	VYBER	61800	55165	\N	\N	\N
131656	441	1997-12-26	PRIJEM	VKLAD	12900	62800	\N	\N	\N
131657	441	1998-01-25	VYDAJ	VYBER	4800	85622	\N	\N	\N
131658	441	1998-02-24	VYDAJ	VYBER	8300	83154	\N	\N	\N
131659	441	1998-03-26	VYDAJ	VYBER	14800	83763	\N	\N	\N
131660	441	1998-04-09	VYDAJ	VYBER	52700	64392	\N	\N	\N
131661	441	1998-04-25	PRIJEM	VKLAD	4900	68527	\N	\N	\N
131662	441	1998-05-25	VYDAJ	VYBER	16200	93528	\N	\N	\N
131663	441	1998-06-09	VYDAJ	VYBER	47500	102345	\N	\N	\N
131664	441	1998-06-24	VYDAJ	VYBER	9700	91880	\N	\N	\N
131665	441	1998-07-09	VYDAJ	VYBER	63800	70157	\N	\N	\N
131666	441	1998-07-24	PRIJEM	VKLAD	6300	75692	\N	\N	\N
131667	441	1998-08-23	VYDAJ	VYBER	15900	91997	\N	\N	\N
131668	441	1998-09-09	VYDAJ	VYBER	62300	71736	\N	\N	\N
131669	441	1998-09-22	PRIJEM	VKLAD	10000	80971	\N	\N	\N
131670	441	1998-10-22	VYDAJ	VYBER	13400	100384	\N	\N	\N
131671	441	1998-11-09	VYDAJ	VYBER	28400	114049	\N	\N	\N
131672	441	1998-11-21	VYDAJ	VYBER	12100	101184	\N	\N	\N
131673	441	1998-12-09	VYDAJ	VYBER	42400	123254	\N	\N	\N
131674	441	1998-12-21	VYDAJ	VYBER	12700	109789	\N	\N	\N
131735	442	1997-03-30	PRIJEM	VKLAD	600	600	\N	\N	\N
131737	442	1997-08-03	PRIJEM	VKLAD	43847	60247	\N	\N	\N
131739	442	1997-09-01	PRIJEM	VKLAD	12949	53123	\N	\N	\N
131740	442	1998-09-18	PRIJEM	VKLAD	48885	94705	\N	\N	\N
131741	442	1998-12-26	PRIJEM	VKLAD	41756	54295	\N	\N	\N
131742	442	1998-09-07	PRIJEM	VKLAD	37766	60949	\N	\N	\N
131743	442	1998-08-11	PRIJEM	VKLAD	25904	54592	\N	\N	\N
131744	442	1998-04-10	PRIJEM	VKLAD	23090	35731	\N	\N	\N
131745	442	1998-08-07	PRIJEM	VKLAD	10738	30756	\N	\N	\N
131746	442	1998-07-10	PRIJEM	VKLAD	38841	62450	\N	\N	\N
131747	442	1998-01-01	PRIJEM	VKLAD	37733	54514	\N	\N	\N
131748	442	1998-06-27	PRIJEM	VKLAD	13929	25611	\N	\N	\N
131749	442	1998-11-26	PRIJEM	VKLAD	12707	14560	\N	\N	\N
131750	442	1998-08-12	PRIJEM	VKLAD	6332	60924	\N	\N	\N
131751	442	1998-12-17	PRIJEM	VKLAD	13082	12539	\N	\N	\N
131752	442	1998-05-21	PRIJEM	VKLAD	43484	59443	\N	\N	\N
131770	442	1998-06-12	VYDAJ	PREVOD NA UCET	7455	17288	UVER	EF	55799275
131771	442	1998-07-12	VYDAJ	PREVOD NA UCET	7455	54995	UVER	EF	55799275
131772	442	1998-08-12	VYDAJ	PREVOD NA UCET	7455	53469	UVER	EF	55799275
131773	442	1998-09-12	VYDAJ	PREVOD NA UCET	7455	51426	UVER	EF	55799275
131774	442	1998-10-12	VYDAJ	PREVOD NA UCET	7455	37767	UVER	EF	55799275
131775	442	1998-11-12	VYDAJ	PREVOD NA UCET	7455	7459	UVER	EF	55799275
131776	442	1998-12-12	VYDAJ	PREVOD NA UCET	7455	5063	UVER	EF	55799275
131794	442	1998-06-14	VYDAJ	PREVOD NA UCET	5606	11682	SIPO	CD	21739507
131795	442	1998-07-14	VYDAJ	PREVOD NA UCET	5606	47589	SIPO	CD	21739507
131796	442	1998-08-14	VYDAJ	PREVOD NA UCET	5606	47863	SIPO	CD	21739507
131797	442	1998-09-14	VYDAJ	PREVOD NA UCET	5606	45820	SIPO	CD	21739507
131798	442	1998-10-14	VYDAJ	PREVOD NA UCET	5606	32161	SIPO	CD	21739507
131799	442	1998-11-14	VYDAJ	PREVOD NA UCET	5606	1853	SIPO	CD	21739507
131800	442	1998-12-14	VYDAJ	PREVOD NA UCET	5606	-543	SIPO	CD	21739507
131818	442	1998-06-08	VYDAJ	PREVOD NA UCET	2068	24743	 	ST	98938321
131819	442	1998-07-08	VYDAJ	PREVOD NA UCET	2068	23609	 	ST	98938321
131820	442	1998-08-08	VYDAJ	PREVOD NA UCET	2068	28688	 	ST	98938321
131821	442	1998-09-08	VYDAJ	PREVOD NA UCET	2068	58881	 	ST	98938321
131822	442	1998-10-08	VYDAJ	PREVOD NA UCET	2068	45222	 	ST	98938321
131823	442	1998-11-08	VYDAJ	PREVOD NA UCET	2068	14914	 	ST	98938321
131824	442	1998-12-08	VYDAJ	PREVOD NA UCET	2068	12518	 	ST	98938321
131855	442	1998-07-13	VYDAJ	VYBER	1800	53195	\N	\N	\N
131859	442	1998-05-23	VYDAJ	VYBER	7500	51943	\N	\N	\N
131880	442	1998-05-31	VYDAJ	VYBER	15	26811	SLUZBY	\N	\N
131881	442	1998-06-30	VYDAJ	VYBER	15	25677	SLUZBY	\N	\N
131882	442	1998-07-31	VYDAJ	VYBER	15	20018	SLUZBY	\N	\N
131883	442	1998-08-31	VYDAJ	VYBER	15	23183	SLUZBY	\N	\N
131884	442	1998-09-30	VYDAJ	VYBER	15	47290	SLUZBY	\N	\N
131885	442	1998-10-31	VYDAJ	VYBER	15	16982	SLUZBY	\N	\N
131886	442	1998-11-30	VYDAJ	VYBER	15	14586	SLUZBY	\N	\N
131887	442	1997-06-28	PRIJEM	VKLAD	9500	10100	\N	\N	\N
131888	442	1997-07-28	PRIJEM	VKLAD	6300	16400	\N	\N	\N
131889	442	1997-08-27	VYDAJ	VYBER	20100	40147	\N	\N	\N
131890	442	1997-09-26	VYDAJ	VYBER	21400	31723	\N	\N	\N
131891	442	1997-10-26	VYDAJ	VYBER	13400	18484	\N	\N	\N
131892	442	1997-11-25	VYDAJ	VYBER	1800	16817	\N	\N	\N
131893	442	1997-12-25	VYDAJ	VYBER	300	16649	\N	\N	\N
131894	442	1998-01-24	VYDAJ	VYBER	19500	35014	\N	\N	\N
131895	442	1998-02-23	VYDAJ	VYBER	13600	21550	\N	\N	\N
131896	442	1998-03-25	VYDAJ	VYBER	9200	12496	\N	\N	\N
131897	442	1998-04-24	VYDAJ	VYBER	19900	15831	\N	\N	\N
131898	442	1998-05-24	VYDAJ	VYBER	25200	26743	\N	\N	\N
131899	442	1998-07-23	VYDAJ	VYBER	27700	19889	\N	\N	\N
131900	442	1998-08-22	VYDAJ	VYBER	24800	23063	\N	\N	\N
131901	442	1998-09-21	VYDAJ	VYBER	47600	47105	\N	\N	\N
131902	442	1998-10-21	VYDAJ	VYBER	15300	16861	\N	\N	\N
131922	443	1993-01-28	PRIJEM	VKLAD	500	500	\N	\N	\N
131924	443	1993-02-14	PRIJEM	PREVOD Z UCTU	3058	3558	\N	ST	29172384
131925	443	1993-03-14	PRIJEM	PREVOD Z UCTU	3058	6616	\N	ST	29172384
131926	443	1993-04-14	PRIJEM	PREVOD Z UCTU	3058	9674	\N	ST	29172384
131927	443	1993-05-14	PRIJEM	PREVOD Z UCTU	3058	12732	\N	ST	29172384
131928	443	1993-06-14	PRIJEM	PREVOD Z UCTU	3058	15790	\N	ST	29172384
131929	443	1993-07-14	PRIJEM	PREVOD Z UCTU	3058	16798	\N	ST	29172384
131930	443	1993-08-14	PRIJEM	PREVOD Z UCTU	3058	16067	\N	ST	29172384
131931	443	1993-09-14	PRIJEM	PREVOD Z UCTU	3058	17135	\N	ST	29172384
131932	443	1993-10-14	PRIJEM	PREVOD Z UCTU	3058	18208	\N	ST	29172384
131933	443	1993-11-14	PRIJEM	PREVOD Z UCTU	3058	19285	\N	ST	29172384
131934	443	1993-12-14	PRIJEM	PREVOD Z UCTU	3058	20366	\N	ST	29172384
131935	443	1994-01-14	PRIJEM	PREVOD Z UCTU	3058	20012	\N	ST	29172384
131936	443	1994-02-14	PRIJEM	PREVOD Z UCTU	3058	19688	\N	ST	29172384
131937	443	1994-03-14	PRIJEM	PREVOD Z UCTU	3058	20771	\N	ST	29172384
131938	443	1994-04-14	PRIJEM	PREVOD Z UCTU	3058	21859	\N	ST	29172384
131939	443	1994-05-14	PRIJEM	PREVOD Z UCTU	3058	22951	\N	ST	29172384
131940	443	1994-06-14	PRIJEM	PREVOD Z UCTU	3058	23028	\N	ST	29172384
131941	443	1994-07-14	PRIJEM	PREVOD Z UCTU	3058	24126	\N	ST	29172384
131942	443	1994-08-14	PRIJEM	PREVOD Z UCTU	3058	25228	\N	ST	29172384
131943	443	1994-09-14	PRIJEM	PREVOD Z UCTU	3058	25533	\N	ST	29172384
131944	443	1994-10-14	PRIJEM	PREVOD Z UCTU	3058	24136	\N	ST	29172384
131945	443	1994-11-14	PRIJEM	PREVOD Z UCTU	3058	25238	\N	ST	29172384
131946	443	1994-12-14	PRIJEM	PREVOD Z UCTU	3058	23883	\N	ST	29172384
131947	443	1995-01-14	PRIJEM	PREVOD Z UCTU	3058	21110	\N	ST	29172384
131948	443	1995-02-14	PRIJEM	PREVOD Z UCTU	3058	22201	\N	ST	29172384
131949	443	1995-03-14	PRIJEM	PREVOD Z UCTU	3058	23294	\N	ST	29172384
131950	443	1995-04-14	PRIJEM	PREVOD Z UCTU	3058	24393	\N	ST	29172384
131951	443	1995-05-14	PRIJEM	PREVOD Z UCTU	3058	23451	\N	ST	29172384
131952	443	1995-06-14	PRIJEM	PREVOD Z UCTU	3058	24550	\N	ST	29172384
131953	443	1995-07-14	PRIJEM	PREVOD Z UCTU	3058	21452	\N	ST	29172384
131954	443	1995-08-14	PRIJEM	PREVOD Z UCTU	3058	22543	\N	ST	29172384
131955	443	1995-09-14	PRIJEM	PREVOD Z UCTU	3058	23638	\N	ST	29172384
131956	443	1995-10-14	PRIJEM	PREVOD Z UCTU	3058	24287	\N	ST	29172384
131957	443	1995-11-14	PRIJEM	PREVOD Z UCTU	3058	25389	\N	ST	29172384
131958	443	1995-12-14	PRIJEM	PREVOD Z UCTU	3058	23945	\N	ST	29172384
131959	443	1996-01-14	PRIJEM	PREVOD Z UCTU	3058	24234	\N	ST	29172384
131960	443	1996-02-14	PRIJEM	PREVOD Z UCTU	3058	23233	\N	ST	29172384
131961	443	1996-03-14	PRIJEM	PREVOD Z UCTU	3058	23100	\N	ST	29172384
131962	443	1996-04-14	PRIJEM	PREVOD Z UCTU	3058	24198	\N	ST	29172384
131963	443	1996-05-14	PRIJEM	PREVOD Z UCTU	3058	25299	\N	ST	29172384
131964	443	1996-06-14	PRIJEM	PREVOD Z UCTU	3058	22715	\N	ST	29172384
131965	443	1996-07-14	PRIJEM	PREVOD Z UCTU	3058	22072	\N	ST	29172384
131966	443	1996-08-14	PRIJEM	PREVOD Z UCTU	3058	22956	\N	ST	29172384
131967	443	1996-09-14	PRIJEM	PREVOD Z UCTU	3058	24052	\N	ST	29172384
131968	443	1996-10-14	PRIJEM	PREVOD Z UCTU	3058	25152	\N	ST	29172384
131969	443	1996-11-14	PRIJEM	PREVOD Z UCTU	3058	26257	\N	ST	29172384
131970	443	1996-12-14	PRIJEM	PREVOD Z UCTU	3058	26436	\N	ST	29172384
131971	443	1997-01-14	PRIJEM	PREVOD Z UCTU	3058	24424	\N	ST	29172384
131972	443	1997-02-14	PRIJEM	PREVOD Z UCTU	3058	24389	\N	ST	29172384
131973	443	1997-03-14	PRIJEM	PREVOD Z UCTU	3058	25491	\N	ST	29172384
131974	443	1997-04-14	PRIJEM	PREVOD Z UCTU	3058	26597	\N	ST	29172384
131975	443	1997-05-14	PRIJEM	PREVOD Z UCTU	3058	27708	\N	ST	29172384
131976	443	1997-06-14	PRIJEM	PREVOD Z UCTU	3058	28823	\N	ST	29172384
131977	443	1997-07-14	PRIJEM	PREVOD Z UCTU	3058	23791	\N	ST	29172384
131978	443	1997-08-14	PRIJEM	PREVOD Z UCTU	3058	24440	\N	ST	29172384
131979	443	1997-09-14	PRIJEM	PREVOD Z UCTU	3058	24282	\N	ST	29172384
131980	443	1997-10-14	PRIJEM	PREVOD Z UCTU	3058	25384	\N	ST	29172384
131981	443	1997-11-14	PRIJEM	PREVOD Z UCTU	3058	26039	\N	ST	29172384
131982	443	1997-12-14	PRIJEM	PREVOD Z UCTU	3058	26636	\N	ST	29172384
131983	443	1998-01-14	PRIJEM	PREVOD Z UCTU	3058	27747	\N	ST	29172384
131984	443	1998-02-14	PRIJEM	PREVOD Z UCTU	3058	26368	\N	ST	29172384
131985	443	1998-03-14	PRIJEM	PREVOD Z UCTU	3058	27477	\N	ST	29172384
131986	443	1998-04-14	PRIJEM	PREVOD Z UCTU	3058	26730	\N	ST	29172384
131987	443	1998-05-14	PRIJEM	PREVOD Z UCTU	3058	27842	\N	ST	29172384
131988	443	1998-06-14	PRIJEM	PREVOD Z UCTU	3058	21727	\N	ST	29172384
131989	443	1998-07-14	PRIJEM	PREVOD Z UCTU	3058	22828	\N	ST	29172384
131990	443	1998-08-14	PRIJEM	PREVOD Z UCTU	3058	23232	\N	ST	29172384
131991	443	1998-09-14	PRIJEM	PREVOD Z UCTU	3058	24328	\N	ST	29172384
131992	443	1998-10-14	PRIJEM	PREVOD Z UCTU	3058	24018	\N	ST	29172384
131993	443	1998-11-14	PRIJEM	PREVOD Z UCTU	3058	25119	\N	ST	29172384
131994	443	1998-12-14	PRIJEM	PREVOD Z UCTU	3058	24090	\N	ST	29172384
132001	443	1993-07-05	VYDAJ	PREVOD NA UCET	1508	13807	\N	KL	39137601
132002	443	1993-08-05	VYDAJ	PREVOD NA UCET	1508	13076	\N	KL	39137601
132003	443	1993-09-05	VYDAJ	PREVOD NA UCET	1508	14144	\N	KL	39137601
132004	443	1993-10-05	VYDAJ	PREVOD NA UCET	1508	15217	\N	KL	39137601
132005	443	1993-11-05	VYDAJ	PREVOD NA UCET	1508	16757	\N	KL	39137601
132006	443	1993-12-05	VYDAJ	PREVOD NA UCET	1508	17375	\N	KL	39137601
132007	443	1994-01-05	VYDAJ	PREVOD NA UCET	1508	18101	\N	KL	39137601
132008	443	1994-02-05	VYDAJ	PREVOD NA UCET	1508	16697	\N	KL	39137601
132009	443	1994-03-05	VYDAJ	PREVOD NA UCET	1508	17780	\N	KL	39137601
132010	443	1994-04-05	VYDAJ	PREVOD NA UCET	1508	18868	\N	KL	39137601
132011	443	1994-05-05	VYDAJ	PREVOD NA UCET	1508	20423	\N	KL	39137601
132012	443	1994-06-05	VYDAJ	PREVOD NA UCET	1508	21057	\N	KL	39137601
132013	443	1994-07-05	VYDAJ	PREVOD NA UCET	1508	21135	\N	KL	39137601
132014	443	1994-08-05	VYDAJ	PREVOD NA UCET	1508	22700	\N	KL	39137601
132015	443	1994-09-05	VYDAJ	PREVOD NA UCET	1508	23005	\N	KL	39137601
132016	443	1994-10-05	VYDAJ	PREVOD NA UCET	1508	21145	\N	KL	39137601
132017	443	1994-11-05	VYDAJ	PREVOD NA UCET	1508	22710	\N	KL	39137601
132018	443	1994-12-05	VYDAJ	PREVOD NA UCET	1508	20892	\N	KL	39137601
132019	443	1995-01-05	VYDAJ	PREVOD NA UCET	1508	19769	\N	KL	39137601
132020	443	1995-02-05	VYDAJ	PREVOD NA UCET	1508	19210	\N	KL	39137601
132021	443	1995-03-05	VYDAJ	PREVOD NA UCET	1508	20303	\N	KL	39137601
132022	443	1995-04-05	VYDAJ	PREVOD NA UCET	1508	21865	\N	KL	39137601
132023	443	1995-05-05	VYDAJ	PREVOD NA UCET	1508	20923	\N	KL	39137601
132024	443	1995-06-05	VYDAJ	PREVOD NA UCET	1508	22022	\N	KL	39137601
132025	443	1995-07-05	VYDAJ	PREVOD NA UCET	1508	18461	\N	KL	39137601
132026	443	1995-08-05	VYDAJ	PREVOD NA UCET	1508	19552	\N	KL	39137601
132027	443	1995-09-05	VYDAJ	PREVOD NA UCET	1508	20647	\N	KL	39137601
132028	443	1995-10-05	VYDAJ	PREVOD NA UCET	1508	21296	\N	KL	39137601
132029	443	1995-11-05	VYDAJ	PREVOD NA UCET	1508	22861	\N	KL	39137601
132030	443	1995-12-05	VYDAJ	PREVOD NA UCET	1508	21417	\N	KL	39137601
132031	443	1996-01-05	VYDAJ	PREVOD NA UCET	1508	21243	\N	KL	39137601
132032	443	1996-02-05	VYDAJ	PREVOD NA UCET	1508	20705	\N	KL	39137601
132033	443	1996-03-05	VYDAJ	PREVOD NA UCET	1508	21802	\N	KL	39137601
132034	443	1996-04-05	VYDAJ	PREVOD NA UCET	1508	21207	\N	KL	39137601
132035	443	1996-05-05	VYDAJ	PREVOD NA UCET	1508	22308	\N	KL	39137601
132036	443	1996-06-05	VYDAJ	PREVOD NA UCET	1508	22574	\N	KL	39137601
132037	443	1996-07-05	VYDAJ	PREVOD NA UCET	1508	20564	\N	KL	39137601
132038	443	1996-08-05	VYDAJ	PREVOD NA UCET	1508	19965	\N	KL	39137601
132039	443	1996-09-05	VYDAJ	PREVOD NA UCET	1508	21524	\N	KL	39137601
132040	443	1996-10-05	VYDAJ	PREVOD NA UCET	1508	22624	\N	KL	39137601
132041	443	1996-11-05	VYDAJ	PREVOD NA UCET	1508	23729	\N	KL	39137601
132042	443	1996-12-05	VYDAJ	PREVOD NA UCET	1508	23445	\N	KL	39137601
132043	443	1997-01-05	VYDAJ	PREVOD NA UCET	1508	23053	\N	KL	39137601
132044	443	1997-02-05	VYDAJ	PREVOD NA UCET	1508	22538	\N	KL	39137601
132045	443	1997-03-05	VYDAJ	PREVOD NA UCET	1508	22963	\N	KL	39137601
132046	443	1997-04-05	VYDAJ	PREVOD NA UCET	1508	23606	\N	KL	39137601
132047	443	1997-05-05	VYDAJ	PREVOD NA UCET	1508	24717	\N	KL	39137601
132048	443	1997-06-05	VYDAJ	PREVOD NA UCET	1508	25832	\N	KL	39137601
132049	443	1997-07-05	VYDAJ	PREVOD NA UCET	1508	21413	\N	KL	39137601
132050	443	1997-08-05	VYDAJ	PREVOD NA UCET	1508	21449	\N	KL	39137601
132051	443	1997-09-05	VYDAJ	PREVOD NA UCET	1508	22551	\N	KL	39137601
132052	443	1997-10-05	VYDAJ	PREVOD NA UCET	1508	22393	\N	KL	39137601
132053	443	1997-11-05	VYDAJ	PREVOD NA UCET	1508	23511	\N	KL	39137601
132054	443	1997-12-05	VYDAJ	PREVOD NA UCET	1508	23855	\N	KL	39137601
132055	443	1998-01-05	VYDAJ	PREVOD NA UCET	1508	24756	\N	KL	39137601
132056	443	1998-02-05	VYDAJ	PREVOD NA UCET	1508	23840	\N	KL	39137601
132057	443	1998-03-05	VYDAJ	PREVOD NA UCET	1508	24949	\N	KL	39137601
132058	443	1998-04-05	VYDAJ	PREVOD NA UCET	1508	25599	\N	KL	39137601
132059	443	1998-05-05	VYDAJ	PREVOD NA UCET	1508	25314	\N	KL	39137601
132060	443	1998-06-05	VYDAJ	PREVOD NA UCET	1508	25966	\N	KL	39137601
132061	443	1998-07-05	VYDAJ	PREVOD NA UCET	1508	19837	\N	KL	39137601
132062	443	1998-08-05	VYDAJ	PREVOD NA UCET	1508	20931	\N	KL	39137601
132063	443	1998-09-05	VYDAJ	PREVOD NA UCET	1508	21800	\N	KL	39137601
132064	443	1998-10-05	VYDAJ	PREVOD NA UCET	1508	22437	\N	KL	39137601
132065	443	1998-11-05	VYDAJ	PREVOD NA UCET	1508	22591	\N	KL	39137601
132066	443	1998-12-05	VYDAJ	PREVOD NA UCET	1508	21099	\N	KL	39137601
132073	443	1993-07-05	VYDAJ	PREVOD NA UCET	463	15315	\N	IJ	32109809
132074	443	1993-08-05	VYDAJ	PREVOD NA UCET	463	14584	\N	IJ	32109809
132075	443	1993-09-05	VYDAJ	PREVOD NA UCET	463	15652	\N	IJ	32109809
132076	443	1993-10-05	VYDAJ	PREVOD NA UCET	463	16725	\N	IJ	32109809
132077	443	1993-11-05	VYDAJ	PREVOD NA UCET	463	16294	\N	IJ	32109809
132078	443	1993-12-05	VYDAJ	PREVOD NA UCET	463	18883	\N	IJ	32109809
132079	443	1994-01-05	VYDAJ	PREVOD NA UCET	463	19609	\N	IJ	32109809
132080	443	1994-02-05	VYDAJ	PREVOD NA UCET	463	19615	\N	IJ	32109809
132081	443	1994-03-05	VYDAJ	PREVOD NA UCET	463	19288	\N	IJ	32109809
132082	443	1994-04-05	VYDAJ	PREVOD NA UCET	463	20376	\N	IJ	32109809
132083	443	1994-05-05	VYDAJ	PREVOD NA UCET	463	19960	\N	IJ	32109809
132084	443	1994-06-05	VYDAJ	PREVOD NA UCET	463	22565	\N	IJ	32109809
132085	443	1994-07-05	VYDAJ	PREVOD NA UCET	463	22643	\N	IJ	32109809
132086	443	1994-08-05	VYDAJ	PREVOD NA UCET	463	22237	\N	IJ	32109809
132087	443	1994-09-05	VYDAJ	PREVOD NA UCET	463	22542	\N	IJ	32109809
132088	443	1994-10-05	VYDAJ	PREVOD NA UCET	463	22653	\N	IJ	32109809
132089	443	1994-11-05	VYDAJ	PREVOD NA UCET	463	22247	\N	IJ	32109809
132090	443	1994-12-05	VYDAJ	PREVOD NA UCET	463	22400	\N	IJ	32109809
132091	443	1995-01-05	VYDAJ	PREVOD NA UCET	463	21277	\N	IJ	32109809
132092	443	1995-02-05	VYDAJ	PREVOD NA UCET	463	20718	\N	IJ	32109809
132093	443	1995-03-05	VYDAJ	PREVOD NA UCET	463	21811	\N	IJ	32109809
132094	443	1995-04-05	VYDAJ	PREVOD NA UCET	463	21402	\N	IJ	32109809
132095	443	1995-05-05	VYDAJ	PREVOD NA UCET	463	20460	\N	IJ	32109809
132096	443	1995-06-05	VYDAJ	PREVOD NA UCET	463	21559	\N	IJ	32109809
132097	443	1995-07-05	VYDAJ	PREVOD NA UCET	463	19969	\N	IJ	32109809
132098	443	1995-08-05	VYDAJ	PREVOD NA UCET	463	21060	\N	IJ	32109809
132099	443	1995-09-05	VYDAJ	PREVOD NA UCET	463	22155	\N	IJ	32109809
132100	443	1995-10-05	VYDAJ	PREVOD NA UCET	463	22804	\N	IJ	32109809
132101	443	1995-11-05	VYDAJ	PREVOD NA UCET	463	22398	\N	IJ	32109809
132102	443	1995-12-05	VYDAJ	PREVOD NA UCET	463	20954	\N	IJ	32109809
132103	443	1996-01-05	VYDAJ	PREVOD NA UCET	463	22751	\N	IJ	32109809
132104	443	1996-02-05	VYDAJ	PREVOD NA UCET	463	20242	\N	IJ	32109809
132105	443	1996-03-05	VYDAJ	PREVOD NA UCET	463	21339	\N	IJ	32109809
132106	443	1996-04-05	VYDAJ	PREVOD NA UCET	463	22715	\N	IJ	32109809
132107	443	1996-05-05	VYDAJ	PREVOD NA UCET	463	23816	\N	IJ	32109809
132108	443	1996-06-05	VYDAJ	PREVOD NA UCET	463	24082	\N	IJ	32109809
132109	443	1996-07-05	VYDAJ	PREVOD NA UCET	463	20101	\N	IJ	32109809
132110	443	1996-08-05	VYDAJ	PREVOD NA UCET	463	21473	\N	IJ	32109809
132111	443	1996-09-05	VYDAJ	PREVOD NA UCET	463	21061	\N	IJ	32109809
132112	443	1996-10-05	VYDAJ	PREVOD NA UCET	463	22161	\N	IJ	32109809
132113	443	1996-11-05	VYDAJ	PREVOD NA UCET	463	23266	\N	IJ	32109809
132114	443	1996-12-05	VYDAJ	PREVOD NA UCET	463	24953	\N	IJ	32109809
132115	443	1997-01-05	VYDAJ	PREVOD NA UCET	463	24561	\N	IJ	32109809
132116	443	1997-02-05	VYDAJ	PREVOD NA UCET	463	24046	\N	IJ	32109809
132117	443	1997-03-05	VYDAJ	PREVOD NA UCET	463	22500	\N	IJ	32109809
132118	443	1997-04-05	VYDAJ	PREVOD NA UCET	463	25114	\N	IJ	32109809
132119	443	1997-05-05	VYDAJ	PREVOD NA UCET	463	26225	\N	IJ	32109809
132120	443	1997-06-05	VYDAJ	PREVOD NA UCET	463	27340	\N	IJ	32109809
132121	443	1997-07-05	VYDAJ	PREVOD NA UCET	463	20950	\N	IJ	32109809
132122	443	1997-08-05	VYDAJ	PREVOD NA UCET	463	22957	\N	IJ	32109809
132123	443	1997-09-05	VYDAJ	PREVOD NA UCET	463	24059	\N	IJ	32109809
132124	443	1997-10-05	VYDAJ	PREVOD NA UCET	463	23901	\N	IJ	32109809
132125	443	1997-11-05	VYDAJ	PREVOD NA UCET	463	23048	\N	IJ	32109809
132126	443	1997-12-05	VYDAJ	PREVOD NA UCET	463	25363	\N	IJ	32109809
132127	443	1998-01-05	VYDAJ	PREVOD NA UCET	463	26264	\N	IJ	32109809
132128	443	1998-02-05	VYDAJ	PREVOD NA UCET	463	23377	\N	IJ	32109809
132129	443	1998-03-05	VYDAJ	PREVOD NA UCET	463	24486	\N	IJ	32109809
132130	443	1998-04-05	VYDAJ	PREVOD NA UCET	463	27107	\N	IJ	32109809
132131	443	1998-05-05	VYDAJ	PREVOD NA UCET	463	24851	\N	IJ	32109809
132132	443	1998-06-05	VYDAJ	PREVOD NA UCET	463	27474	\N	IJ	32109809
132133	443	1998-07-05	VYDAJ	PREVOD NA UCET	463	21345	\N	IJ	32109809
132134	443	1998-08-05	VYDAJ	PREVOD NA UCET	463	22439	\N	IJ	32109809
132135	443	1998-09-05	VYDAJ	PREVOD NA UCET	463	21337	\N	IJ	32109809
132136	443	1998-10-05	VYDAJ	PREVOD NA UCET	463	23945	\N	IJ	32109809
132137	443	1998-11-05	VYDAJ	PREVOD NA UCET	463	22128	\N	IJ	32109809
132138	443	1998-12-05	VYDAJ	PREVOD NA UCET	463	22607	\N	IJ	32109809
132145	443	1993-07-06	VYDAJ	PREVOD NA UCET	67	13740	\N	QR	69234090
132146	443	1993-08-06	VYDAJ	PREVOD NA UCET	67	13009	\N	QR	69234090
132147	443	1993-09-06	VYDAJ	PREVOD NA UCET	67	14077	\N	QR	69234090
132148	443	1993-10-06	VYDAJ	PREVOD NA UCET	67	15150	\N	QR	69234090
132149	443	1993-11-06	VYDAJ	PREVOD NA UCET	67	16227	\N	QR	69234090
132150	443	1993-12-06	VYDAJ	PREVOD NA UCET	67	17308	\N	QR	69234090
132151	443	1994-01-06	VYDAJ	PREVOD NA UCET	67	18034	\N	QR	69234090
132152	443	1994-02-06	VYDAJ	PREVOD NA UCET	67	16630	\N	QR	69234090
132153	443	1994-03-06	VYDAJ	PREVOD NA UCET	67	17713	\N	QR	69234090
132154	443	1994-04-06	VYDAJ	PREVOD NA UCET	67	18801	\N	QR	69234090
132155	443	1994-05-06	VYDAJ	PREVOD NA UCET	67	19893	\N	QR	69234090
132156	443	1994-06-06	VYDAJ	PREVOD NA UCET	67	20990	\N	QR	69234090
132157	443	1994-07-06	VYDAJ	PREVOD NA UCET	67	21068	\N	QR	69234090
132158	443	1994-08-06	VYDAJ	PREVOD NA UCET	67	22170	\N	QR	69234090
132159	443	1994-09-06	VYDAJ	PREVOD NA UCET	67	22475	\N	QR	69234090
132160	443	1994-10-06	VYDAJ	PREVOD NA UCET	67	21078	\N	QR	69234090
132161	443	1994-11-06	VYDAJ	PREVOD NA UCET	67	22180	\N	QR	69234090
132162	443	1994-12-06	VYDAJ	PREVOD NA UCET	67	20825	\N	QR	69234090
132163	443	1995-01-06	VYDAJ	PREVOD NA UCET	67	19702	\N	QR	69234090
132164	443	1995-02-06	VYDAJ	PREVOD NA UCET	67	19143	\N	QR	69234090
132165	443	1995-03-06	VYDAJ	PREVOD NA UCET	67	20236	\N	QR	69234090
132166	443	1995-04-06	VYDAJ	PREVOD NA UCET	67	21335	\N	QR	69234090
132167	443	1995-05-06	VYDAJ	PREVOD NA UCET	67	20393	\N	QR	69234090
132168	443	1995-06-06	VYDAJ	PREVOD NA UCET	67	21492	\N	QR	69234090
132169	443	1995-07-06	VYDAJ	PREVOD NA UCET	67	18394	\N	QR	69234090
132170	443	1995-08-06	VYDAJ	PREVOD NA UCET	67	19485	\N	QR	69234090
132171	443	1995-09-06	VYDAJ	PREVOD NA UCET	67	20580	\N	QR	69234090
132172	443	1995-10-06	VYDAJ	PREVOD NA UCET	67	21229	\N	QR	69234090
132173	443	1995-11-06	VYDAJ	PREVOD NA UCET	67	22331	\N	QR	69234090
132174	443	1995-12-06	VYDAJ	PREVOD NA UCET	67	20887	\N	QR	69234090
132175	443	1996-01-06	VYDAJ	PREVOD NA UCET	67	21176	\N	QR	69234090
132176	443	1996-02-06	VYDAJ	PREVOD NA UCET	67	20175	\N	QR	69234090
132177	443	1996-03-06	VYDAJ	PREVOD NA UCET	67	21272	\N	QR	69234090
132178	443	1996-04-06	VYDAJ	PREVOD NA UCET	67	21140	\N	QR	69234090
132179	443	1996-05-06	VYDAJ	PREVOD NA UCET	67	22241	\N	QR	69234090
132180	443	1996-06-06	VYDAJ	PREVOD NA UCET	67	22507	\N	QR	69234090
132181	443	1996-07-06	VYDAJ	PREVOD NA UCET	67	20034	\N	QR	69234090
132182	443	1996-08-06	VYDAJ	PREVOD NA UCET	67	19898	\N	QR	69234090
132183	443	1996-09-06	VYDAJ	PREVOD NA UCET	67	20994	\N	QR	69234090
132184	443	1996-10-06	VYDAJ	PREVOD NA UCET	67	22094	\N	QR	69234090
132185	443	1996-11-06	VYDAJ	PREVOD NA UCET	67	23199	\N	QR	69234090
132186	443	1996-12-06	VYDAJ	PREVOD NA UCET	67	23378	\N	QR	69234090
132187	443	1997-01-06	VYDAJ	PREVOD NA UCET	67	22986	\N	QR	69234090
132188	443	1997-02-06	VYDAJ	PREVOD NA UCET	67	22471	\N	QR	69234090
132189	443	1997-03-06	VYDAJ	PREVOD NA UCET	67	22433	\N	QR	69234090
132190	443	1997-04-06	VYDAJ	PREVOD NA UCET	67	23539	\N	QR	69234090
132191	443	1997-05-06	VYDAJ	PREVOD NA UCET	67	24650	\N	QR	69234090
132192	443	1997-06-06	VYDAJ	PREVOD NA UCET	67	25765	\N	QR	69234090
132193	443	1997-07-06	VYDAJ	PREVOD NA UCET	67	20883	\N	QR	69234090
132194	443	1997-08-06	VYDAJ	PREVOD NA UCET	67	21382	\N	QR	69234090
132195	443	1997-09-06	VYDAJ	PREVOD NA UCET	67	22484	\N	QR	69234090
132196	443	1997-10-06	VYDAJ	PREVOD NA UCET	67	22326	\N	QR	69234090
132197	443	1997-11-06	VYDAJ	PREVOD NA UCET	67	22981	\N	QR	69234090
132198	443	1997-12-06	VYDAJ	PREVOD NA UCET	67	23788	\N	QR	69234090
132199	443	1998-01-06	VYDAJ	PREVOD NA UCET	67	24689	\N	QR	69234090
132200	443	1998-02-06	VYDAJ	PREVOD NA UCET	67	23310	\N	QR	69234090
132201	443	1998-03-06	VYDAJ	PREVOD NA UCET	67	24419	\N	QR	69234090
132202	443	1998-04-06	VYDAJ	PREVOD NA UCET	67	25532	\N	QR	69234090
132203	443	1998-05-06	VYDAJ	PREVOD NA UCET	67	24784	\N	QR	69234090
132204	443	1998-06-06	VYDAJ	PREVOD NA UCET	67	25899	\N	QR	69234090
132205	443	1998-07-06	VYDAJ	PREVOD NA UCET	67	19770	\N	QR	69234090
132206	443	1998-08-06	VYDAJ	PREVOD NA UCET	67	20864	\N	QR	69234090
132207	443	1998-09-06	VYDAJ	PREVOD NA UCET	67	21270	\N	QR	69234090
132208	443	1998-10-06	VYDAJ	PREVOD NA UCET	67	22370	\N	QR	69234090
132209	443	1998-11-06	VYDAJ	PREVOD NA UCET	67	22061	\N	QR	69234090
132210	443	1998-12-06	VYDAJ	PREVOD NA UCET	67	21032	\N	QR	69234090
132212	443	1994-06-09	VYDAJ	VYBER	1020	19970	\N	\N	\N
132213	443	1995-06-29	VYDAJ	VYBER	3360	21190	\N	\N	\N
132214	443	1996-06-09	VYDAJ	VYBER	2850	19657	\N	\N	\N
132215	443	1997-06-28	VYDAJ	VYBER	4950	23873	\N	\N	\N
132216	443	1998-06-13	VYDAJ	VYBER	7230	18669	\N	\N	\N
132218	443	1994-01-09	VYDAJ	VYBER	1080	16954	\N	\N	\N
132219	443	1995-01-12	VYDAJ	VYBER	1650	18052	\N	\N	\N
132220	443	1996-01-24	VYDAJ	VYBER	2100	22134	\N	\N	\N
132221	443	1997-01-13	VYDAJ	VYBER	1620	21366	\N	\N	\N
132222	443	1998-01-22	VYDAJ	VYBER	2490	25257	\N	\N	\N
132223	443	1993-12-21	VYDAJ	VYBER	360	20006	\N	\N	\N
132224	443	1994-12-19	VYDAJ	VYBER	750	22173	\N	\N	\N
132225	443	1995-12-15	VYDAJ	VYBER	810	23135	\N	\N	\N
132226	443	1996-12-16	VYDAJ	VYBER	870	25566	\N	\N	\N
132227	443	1997-12-09	VYDAJ	VYBER	210	23578	\N	\N	\N
132228	443	1998-12-18	VYDAJ	VYBER	630	22140	\N	\N	\N
132229	443	1993-07-20	VYDAJ	VYBER	1380	15418	\N	\N	\N
132234	443	1993-08-04	VYDAJ	VYBER	420	15047	\N	\N	\N
132236	443	1994-12-23	VYDAJ	VYBER	510	21663	\N	\N	\N
132237	443	1994-11-25	VYDAJ	VYBER	1290	23948	\N	\N	\N
132238	443	1994-02-05	VYDAJ	VYBER	1410	18205	\N	\N	\N
132239	443	1994-12-03	VYDAJ	VYBER	1170	22863	\N	\N	\N
132240	443	1994-12-14	VYDAJ	VYBER	960	22923	\N	\N	\N
132241	443	1995-12-01	VYDAJ	VYBER	1110	22925	\N	\N	\N
132242	443	1995-04-19	VYDAJ	VYBER	840	22353	\N	\N	\N
132243	443	1995-10-04	VYDAJ	VYBER	450	23267	\N	\N	\N
132244	443	1995-11-26	VYDAJ	VYBER	1440	23949	\N	\N	\N
132245	443	1995-07-01	VYDAJ	VYBER	840	20432	\N	\N	\N
132246	443	1996-03-07	VYDAJ	VYBER	1230	20042	\N	\N	\N
132247	443	1996-12-27	VYDAJ	VYBER	630	24936	\N	\N	\N
132248	443	1996-08-03	VYDAJ	VYBER	210	21936	\N	\N	\N
132249	443	1996-06-16	VYDAJ	VYBER	720	21995	\N	\N	\N
132250	443	1996-11-14	VYDAJ	VYBER	930	25327	\N	\N	\N
132251	443	1996-05-14	VYDAJ	VYBER	840	24459	\N	\N	\N
132252	443	1996-07-12	VYDAJ	VYBER	1020	19014	\N	\N	\N
132253	443	1997-07-26	VYDAJ	VYBER	450	23341	\N	\N	\N
132254	443	1997-09-09	VYDAJ	VYBER	1260	21224	\N	\N	\N
132255	443	1997-07-03	VYDAJ	VYBER	1050	22921	\N	\N	\N
132256	443	1997-02-11	VYDAJ	VYBER	1140	21331	\N	\N	\N
132257	443	1997-07-13	VYDAJ	VYBER	150	20733	\N	\N	\N
132258	443	1997-11-03	VYDAJ	VYBER	450	25019	\N	\N	\N
132259	443	1997-11-26	VYDAJ	VYBER	300	25739	\N	\N	\N
132260	443	1998-12-18	VYDAJ	VYBER	1320	22770	\N	\N	\N
132261	443	1998-12-04	VYDAJ	VYBER	780	23070	\N	\N	\N
132262	443	1998-04-07	VYDAJ	VYBER	1110	24422	\N	\N	\N
132263	443	1998-08-12	VYDAJ	VYBER	690	20174	\N	\N	\N
132264	443	1998-11-25	VYDAJ	VYBER	1350	23769	\N	\N	\N
132265	443	1998-04-09	VYDAJ	VYBER	750	23672	\N	\N	\N
132266	443	1998-10-06	VYDAJ	VYBER	1410	20960	\N	\N	\N
132273	443	1993-06-30	VYDAJ	VYBER	15	15778	SLUZBY	\N	\N
132274	443	1993-07-31	VYDAJ	VYBER	15	15467	SLUZBY	\N	\N
132275	443	1993-08-31	VYDAJ	VYBER	15	16115	SLUZBY	\N	\N
132276	443	1993-09-30	VYDAJ	VYBER	15	17188	SLUZBY	\N	\N
132277	443	1993-10-31	VYDAJ	VYBER	15	18265	SLUZBY	\N	\N
132278	443	1993-11-30	VYDAJ	VYBER	15	19346	SLUZBY	\N	\N
132279	443	1993-12-31	VYDAJ	VYBER	15	20072	SLUZBY	\N	\N
132280	443	1994-01-31	VYDAJ	VYBER	15	20078	SLUZBY	\N	\N
132281	443	1994-02-28	VYDAJ	VYBER	15	19751	SLUZBY	\N	\N
132282	443	1994-03-31	VYDAJ	VYBER	15	20839	SLUZBY	\N	\N
132283	443	1994-04-30	VYDAJ	VYBER	15	21931	SLUZBY	\N	\N
132284	443	1994-05-31	VYDAJ	VYBER	15	23028	SLUZBY	\N	\N
132285	443	1994-06-30	VYDAJ	VYBER	15	23106	SLUZBY	\N	\N
132286	443	1994-07-31	VYDAJ	VYBER	15	24208	SLUZBY	\N	\N
132287	443	1994-08-31	VYDAJ	VYBER	15	24513	SLUZBY	\N	\N
132288	443	1994-09-30	VYDAJ	VYBER	15	23116	SLUZBY	\N	\N
132289	443	1994-10-31	VYDAJ	VYBER	15	24218	SLUZBY	\N	\N
132290	443	1994-11-30	VYDAJ	VYBER	15	24033	SLUZBY	\N	\N
132291	443	1994-12-31	VYDAJ	VYBER	15	21740	SLUZBY	\N	\N
132292	443	1995-01-31	VYDAJ	VYBER	15	21181	SLUZBY	\N	\N
132293	443	1995-02-28	VYDAJ	VYBER	15	22274	SLUZBY	\N	\N
132294	443	1995-03-31	VYDAJ	VYBER	15	23373	SLUZBY	\N	\N
132295	443	1995-04-30	VYDAJ	VYBER	15	22431	SLUZBY	\N	\N
132296	443	1995-05-31	VYDAJ	VYBER	15	23530	SLUZBY	\N	\N
132297	443	1995-06-30	VYDAJ	VYBER	15	21272	SLUZBY	\N	\N
132298	443	1995-07-31	VYDAJ	VYBER	15	21523	SLUZBY	\N	\N
132299	443	1995-08-31	VYDAJ	VYBER	15	22618	SLUZBY	\N	\N
132300	443	1995-09-30	VYDAJ	VYBER	15	23717	SLUZBY	\N	\N
132301	443	1995-10-31	VYDAJ	VYBER	15	24369	SLUZBY	\N	\N
132302	443	1995-11-30	VYDAJ	VYBER	15	24035	SLUZBY	\N	\N
132303	443	1995-12-31	VYDAJ	VYBER	15	23214	SLUZBY	\N	\N
132304	443	1996-01-31	VYDAJ	VYBER	15	22213	SLUZBY	\N	\N
132305	443	1996-02-29	VYDAJ	VYBER	15	23310	SLUZBY	\N	\N
132306	443	1996-03-31	VYDAJ	VYBER	15	23178	SLUZBY	\N	\N
132307	443	1996-04-30	VYDAJ	VYBER	15	24279	SLUZBY	\N	\N
132308	443	1996-05-31	VYDAJ	VYBER	15	24545	SLUZBY	\N	\N
132309	443	1996-06-30	VYDAJ	VYBER	15	22072	SLUZBY	\N	\N
132310	443	1996-07-31	VYDAJ	VYBER	15	22146	SLUZBY	\N	\N
132311	443	1996-08-31	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
132312	443	1996-09-30	VYDAJ	VYBER	15	24132	SLUZBY	\N	\N
132313	443	1996-10-31	VYDAJ	VYBER	15	25237	SLUZBY	\N	\N
132314	443	1996-11-30	VYDAJ	VYBER	15	25416	SLUZBY	\N	\N
132315	443	1996-12-31	VYDAJ	VYBER	15	25024	SLUZBY	\N	\N
132316	443	1997-01-31	VYDAJ	VYBER	15	24509	SLUZBY	\N	\N
132317	443	1997-02-28	VYDAJ	VYBER	15	24471	SLUZBY	\N	\N
132318	443	1997-03-31	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
132319	443	1997-04-30	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
132320	443	1997-05-31	VYDAJ	VYBER	15	27803	SLUZBY	\N	\N
132321	443	1997-06-30	VYDAJ	VYBER	15	23971	SLUZBY	\N	\N
132322	443	1997-07-31	VYDAJ	VYBER	15	23420	SLUZBY	\N	\N
132323	443	1997-08-31	VYDAJ	VYBER	15	24522	SLUZBY	\N	\N
132324	443	1997-09-30	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
132325	443	1997-10-31	VYDAJ	VYBER	15	25469	SLUZBY	\N	\N
132326	443	1997-11-30	VYDAJ	VYBER	15	25826	SLUZBY	\N	\N
132327	443	1997-12-31	VYDAJ	VYBER	15	26727	SLUZBY	\N	\N
132328	443	1998-01-31	VYDAJ	VYBER	15	25348	SLUZBY	\N	\N
132329	443	1998-02-28	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
132330	443	1998-03-31	VYDAJ	VYBER	15	27570	SLUZBY	\N	\N
132331	443	1998-04-30	VYDAJ	VYBER	15	26822	SLUZBY	\N	\N
132332	443	1998-05-31	VYDAJ	VYBER	15	27937	SLUZBY	\N	\N
132333	443	1998-06-30	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
132334	443	1998-07-31	VYDAJ	VYBER	15	22902	SLUZBY	\N	\N
132335	443	1998-08-31	VYDAJ	VYBER	15	23308	SLUZBY	\N	\N
132336	443	1998-09-30	VYDAJ	VYBER	15	24408	SLUZBY	\N	\N
132337	443	1998-10-31	VYDAJ	VYBER	15	24099	SLUZBY	\N	\N
132338	443	1998-11-30	VYDAJ	VYBER	15	23850	SLUZBY	\N	\N
132339	443	1994-08-21	VYDAJ	VYBER	800	24428	\N	\N	\N
132340	443	1994-09-20	VYDAJ	VYBER	2500	23033	\N	\N	\N
132341	443	1995-04-18	VYDAJ	VYBER	1200	23193	\N	\N	\N
132409	444	1996-05-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
132414	444	1996-05-13	PRIJEM	VKLAD	6704	7804	\N	\N	\N
132415	444	1996-06-13	PRIJEM	VKLAD	10056	26680	\N	\N	\N
132416	444	1996-07-13	PRIJEM	VKLAD	6704	27964	\N	\N	\N
132417	444	1996-08-13	PRIJEM	VKLAD	6704	30282	\N	\N	\N
132418	444	1996-09-13	PRIJEM	VKLAD	6704	31609	\N	\N	\N
132419	444	1996-10-13	PRIJEM	VKLAD	6704	31358	\N	\N	\N
132420	444	1996-11-13	PRIJEM	VKLAD	6704	33106	\N	\N	\N
132421	444	1996-12-13	PRIJEM	VKLAD	10056	30709	\N	\N	\N
132422	444	1997-01-13	PRIJEM	VKLAD	6704	29849	\N	\N	\N
132423	444	1997-02-13	PRIJEM	VKLAD	6704	28588	\N	\N	\N
132424	444	1997-03-13	PRIJEM	VKLAD	6704	34225	\N	\N	\N
132425	444	1997-04-13	PRIJEM	VKLAD	6704	30878	\N	\N	\N
132426	444	1997-05-13	PRIJEM	VKLAD	6704	34528	\N	\N	\N
132427	444	1997-06-13	PRIJEM	VKLAD	10056	35436	\N	\N	\N
132428	444	1997-07-13	PRIJEM	VKLAD	6704	37098	\N	\N	\N
132429	444	1997-08-13	PRIJEM	VKLAD	6704	34961	\N	\N	\N
132430	444	1997-09-13	PRIJEM	VKLAD	6704	38420	\N	\N	\N
132431	444	1997-10-13	PRIJEM	VKLAD	6704	40093	\N	\N	\N
132432	444	1997-11-13	PRIJEM	VKLAD	6704	43777	\N	\N	\N
132433	444	1997-12-13	PRIJEM	VKLAD	10056	48428	\N	\N	\N
132434	444	1998-01-13	PRIJEM	VKLAD	6704	50141	\N	\N	\N
132435	444	1998-02-13	PRIJEM	VKLAD	6704	48765	\N	\N	\N
132436	444	1998-03-13	PRIJEM	VKLAD	6704	46483	\N	\N	\N
132437	444	1998-04-13	PRIJEM	VKLAD	6704	45492	\N	\N	\N
132438	444	1998-05-13	PRIJEM	VKLAD	6704	42297	\N	\N	\N
132439	444	1998-06-13	PRIJEM	VKLAD	10056	46042	\N	\N	\N
132440	444	1998-07-13	PRIJEM	VKLAD	6704	29629	\N	\N	\N
132441	444	1998-08-13	PRIJEM	VKLAD	6704	34870	\N	\N	\N
132442	444	1998-09-13	PRIJEM	VKLAD	6704	30229	\N	\N	\N
132443	444	1998-10-13	PRIJEM	VKLAD	6704	36276	\N	\N	\N
132444	444	1998-11-13	PRIJEM	VKLAD	6704	43447	\N	\N	\N
132445	444	1998-12-13	PRIJEM	VKLAD	10056	48696	\N	\N	\N
132455	444	1996-10-09	VYDAJ	PREVOD NA UCET	4469	24654	SIPO	QR	53384882
132456	444	1996-11-09	VYDAJ	PREVOD NA UCET	4469	26402	SIPO	QR	53384882
132457	444	1996-12-09	VYDAJ	PREVOD NA UCET	4469	20653	SIPO	QR	53384882
132458	444	1997-01-09	VYDAJ	PREVOD NA UCET	4469	23145	SIPO	QR	53384882
132459	444	1997-02-09	VYDAJ	PREVOD NA UCET	4469	21884	SIPO	QR	53384882
132460	444	1997-03-09	VYDAJ	PREVOD NA UCET	4469	27521	SIPO	QR	53384882
132461	444	1997-04-09	VYDAJ	PREVOD NA UCET	4469	24174	SIPO	QR	53384882
132462	444	1997-05-09	VYDAJ	PREVOD NA UCET	4469	27824	SIPO	QR	53384882
132463	444	1997-06-09	VYDAJ	PREVOD NA UCET	4469	25380	SIPO	QR	53384882
132464	444	1997-07-09	VYDAJ	PREVOD NA UCET	4469	30394	SIPO	QR	53384882
132465	444	1997-08-09	VYDAJ	PREVOD NA UCET	4469	28257	SIPO	QR	53384882
132466	444	1997-09-09	VYDAJ	PREVOD NA UCET	4469	31716	SIPO	QR	53384882
132467	444	1997-10-09	VYDAJ	PREVOD NA UCET	4469	36689	SIPO	QR	53384882
132468	444	1997-11-09	VYDAJ	PREVOD NA UCET	4469	37073	SIPO	QR	53384882
132469	444	1997-12-09	VYDAJ	PREVOD NA UCET	4469	40072	SIPO	QR	53384882
132470	444	1998-01-09	VYDAJ	PREVOD NA UCET	4469	43437	SIPO	QR	53384882
132471	444	1998-02-09	VYDAJ	PREVOD NA UCET	4469	42061	SIPO	QR	53384882
132472	444	1998-03-09	VYDAJ	PREVOD NA UCET	4469	39779	SIPO	QR	53384882
132473	444	1998-04-09	VYDAJ	PREVOD NA UCET	4469	38788	SIPO	QR	53384882
132474	444	1998-05-09	VYDAJ	PREVOD NA UCET	4469	35593	SIPO	QR	53384882
132475	444	1998-06-09	VYDAJ	PREVOD NA UCET	4469	35986	SIPO	QR	53384882
132476	444	1998-07-09	VYDAJ	PREVOD NA UCET	4469	22925	SIPO	QR	53384882
132477	444	1998-08-09	VYDAJ	PREVOD NA UCET	4469	28166	SIPO	QR	53384882
132478	444	1998-09-09	VYDAJ	PREVOD NA UCET	4469	27425	SIPO	QR	53384882
132479	444	1998-10-09	VYDAJ	PREVOD NA UCET	4469	29572	SIPO	QR	53384882
132480	444	1998-11-09	VYDAJ	PREVOD NA UCET	4469	36743	SIPO	QR	53384882
132481	444	1998-12-09	VYDAJ	PREVOD NA UCET	4469	38640	SIPO	QR	53384882
132484	444	1998-06-25	VYDAJ	VYBER	17500	28542	\N	\N	\N
132485	444	1996-12-25	VYDAJ	VYBER	2200	28509	\N	\N	\N
132486	444	1997-12-10	VYDAJ	VYBER	1700	38372	\N	\N	\N
132487	444	1998-12-16	VYDAJ	VYBER	2100	46596	\N	\N	\N
132488	444	1996-12-25	VYDAJ	VYBER	500	28009	\N	\N	\N
132489	444	1996-11-24	VYDAJ	VYBER	2500	30606	\N	\N	\N
132494	444	1996-12-08	VYDAJ	VYBER	2300	25122	\N	\N	\N
132495	444	1997-07-25	VYDAJ	VYBER	4200	31498	\N	\N	\N
132496	444	1997-07-19	VYDAJ	VYBER	1400	35698	\N	\N	\N
132497	444	1997-10-12	VYDAJ	VYBER	3300	33389	\N	\N	\N
132498	444	1997-09-03	VYDAJ	VYBER	3200	36185	\N	\N	\N
132499	444	1998-09-10	VYDAJ	VYBER	3900	23525	\N	\N	\N
132500	444	1998-07-23	VYDAJ	VYBER	700	28929	\N	\N	\N
132501	444	1998-06-25	VYDAJ	VYBER	1700	26842	\N	\N	\N
132502	444	1998-05-09	VYDAJ	VYBER	1300	40062	\N	\N	\N
132512	444	1996-09-30	VYDAJ	VYBER	15	31723	SLUZBY	\N	\N
132513	444	1996-10-31	VYDAJ	VYBER	15	31471	SLUZBY	\N	\N
132514	444	1996-11-30	VYDAJ	VYBER	15	30722	SLUZBY	\N	\N
132515	444	1996-12-31	VYDAJ	VYBER	15	28114	SLUZBY	\N	\N
132516	444	1997-01-31	VYDAJ	VYBER	15	29953	SLUZBY	\N	\N
132517	444	1997-02-28	VYDAJ	VYBER	15	28690	SLUZBY	\N	\N
132518	444	1997-03-31	VYDAJ	VYBER	15	34343	SLUZBY	\N	\N
132519	444	1997-04-30	VYDAJ	VYBER	15	30993	SLUZBY	\N	\N
132520	444	1997-05-31	VYDAJ	VYBER	15	34649	SLUZBY	\N	\N
132521	444	1997-06-30	VYDAJ	VYBER	15	35563	SLUZBY	\N	\N
132522	444	1997-07-31	VYDAJ	VYBER	15	31626	SLUZBY	\N	\N
132523	444	1997-08-31	VYDAJ	VYBER	15	35085	SLUZBY	\N	\N
132524	444	1997-09-30	VYDAJ	VYBER	15	38558	SLUZBY	\N	\N
132525	444	1997-10-31	VYDAJ	VYBER	15	41542	SLUZBY	\N	\N
132526	444	1997-11-30	VYDAJ	VYBER	15	44541	SLUZBY	\N	\N
132527	444	1997-12-31	VYDAJ	VYBER	15	47906	SLUZBY	\N	\N
132528	444	1998-01-31	VYDAJ	VYBER	15	46530	SLUZBY	\N	\N
132529	444	1998-02-28	VYDAJ	VYBER	15	44248	SLUZBY	\N	\N
132530	444	1998-03-31	VYDAJ	VYBER	15	43257	SLUZBY	\N	\N
132531	444	1998-04-30	VYDAJ	VYBER	15	41362	SLUZBY	\N	\N
132532	444	1998-05-31	VYDAJ	VYBER	15	40455	SLUZBY	\N	\N
132533	444	1998-06-30	VYDAJ	VYBER	15	27394	SLUZBY	\N	\N
132534	444	1998-07-31	VYDAJ	VYBER	15	32635	SLUZBY	\N	\N
132535	444	1998-08-31	VYDAJ	VYBER	15	31894	SLUZBY	\N	\N
132536	444	1998-09-30	VYDAJ	VYBER	15	34041	SLUZBY	\N	\N
132537	444	1998-10-31	VYDAJ	VYBER	15	41212	SLUZBY	\N	\N
132538	444	1998-11-30	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
132539	444	1996-06-08	PRIJEM	VKLAD	8800	16624	\N	\N	\N
132540	444	1996-07-08	VYDAJ	VYBER	5500	21260	\N	\N	\N
132541	444	1996-08-07	VYDAJ	VYBER	4500	23578	\N	\N	\N
132542	444	1996-09-06	VYDAJ	VYBER	5500	24905	\N	\N	\N
132543	444	1996-10-06	VYDAJ	VYBER	2600	29123	\N	\N	\N
132544	444	1996-11-05	VYDAJ	VYBER	600	30871	\N	\N	\N
132545	444	1996-12-05	VYDAJ	VYBER	3300	27422	\N	\N	\N
132546	444	1997-01-04	VYDAJ	VYBER	500	27614	\N	\N	\N
132547	444	1997-02-03	VYDAJ	VYBER	3600	26353	\N	\N	\N
132548	444	1997-03-05	PRIJEM	VKLAD	3300	31990	\N	\N	\N
132549	444	1997-04-04	VYDAJ	VYBER	5700	28643	\N	\N	\N
132550	444	1997-05-04	PRIJEM	VKLAD	1300	32293	\N	\N	\N
132551	444	1997-06-03	VYDAJ	VYBER	4800	29849	\N	\N	\N
132552	444	1997-07-03	VYDAJ	VYBER	700	34863	\N	\N	\N
132553	444	1997-08-02	PRIJEM	VKLAD	1100	32726	\N	\N	\N
132554	444	1997-09-01	PRIJEM	VKLAD	4300	39385	\N	\N	\N
132555	444	1997-10-01	PRIJEM	VKLAD	2600	41158	\N	\N	\N
132556	444	1997-10-31	PRIJEM	VKLAD	1300	41556	\N	\N	\N
132557	444	1997-11-30	PRIJEM	VKLAD	600	44377	\N	\N	\N
132558	444	1997-12-30	VYDAJ	VYBER	700	47728	\N	\N	\N
132559	444	1998-01-29	VYDAJ	VYBER	3800	46341	\N	\N	\N
132560	444	1998-02-28	VYDAJ	VYBER	4700	44263	\N	\N	\N
132561	444	1998-03-30	VYDAJ	VYBER	3400	43083	\N	\N	\N
132562	444	1998-04-29	VYDAJ	VYBER	4300	41192	\N	\N	\N
132563	444	1998-05-29	VYDAJ	VYBER	2000	40297	\N	\N	\N
132564	444	1998-06-28	PRIJEM	VKLAD	400	27242	\N	\N	\N
132565	444	1998-07-28	PRIJEM	VKLAD	3600	32529	\N	\N	\N
132566	444	1998-08-27	VYDAJ	VYBER	3100	31770	\N	\N	\N
132567	444	1998-09-26	PRIJEM	VKLAD	3700	33929	\N	\N	\N
132568	444	1998-10-26	PRIJEM	VKLAD	4800	41076	\N	\N	\N
132569	444	1998-11-25	VYDAJ	VYBER	500	42947	\N	\N	\N
132602	445	1993-07-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
132610	445	1993-08-11	PRIJEM	PREVOD Z UCTU	18964	20064	\N	OP	80365901
132903	445	1995-01-31	VYDAJ	VYBER	30	28965	SLUZBY	\N	\N
132611	445	1993-09-11	PRIJEM	PREVOD Z UCTU	18964	40340	\N	OP	80365901
132612	445	1993-10-11	PRIJEM	PREVOD Z UCTU	18964	53000	\N	OP	80365901
132613	445	1993-11-11	PRIJEM	PREVOD Z UCTU	18964	56507	\N	OP	80365901
132614	445	1993-12-11	PRIJEM	PREVOD Z UCTU	28446	69411	\N	OP	80365901
132615	445	1994-01-11	PRIJEM	PREVOD Z UCTU	18964	38486	\N	OP	80365901
132616	445	1994-02-11	PRIJEM	PREVOD Z UCTU	18964	43298	\N	OP	80365901
132617	445	1994-03-11	PRIJEM	PREVOD Z UCTU	18964	33013	\N	OP	80365901
132618	445	1994-04-11	PRIJEM	PREVOD Z UCTU	18964	38393	\N	OP	80365901
132619	445	1994-05-11	PRIJEM	PREVOD Z UCTU	18964	42894	\N	OP	80365901
132620	445	1994-06-11	PRIJEM	PREVOD Z UCTU	28446	53393	\N	OP	80365901
132621	445	1994-07-11	PRIJEM	PREVOD Z UCTU	18964	47233	\N	OP	80365901
132622	445	1994-08-11	PRIJEM	PREVOD Z UCTU	18964	41857	\N	OP	80365901
132623	445	1994-09-11	PRIJEM	PREVOD Z UCTU	18964	39563	\N	OP	80365901
132624	445	1994-10-11	PRIJEM	PREVOD Z UCTU	18964	41264	\N	OP	80365901
132625	445	1994-11-11	PRIJEM	PREVOD Z UCTU	18964	40969	\N	OP	80365901
132626	445	1994-12-11	PRIJEM	PREVOD Z UCTU	28446	48252	\N	OP	80365901
132627	445	1995-01-11	PRIJEM	PREVOD Z UCTU	18964	42058	\N	OP	80365901
132628	445	1995-02-11	PRIJEM	PREVOD Z UCTU	18964	40362	\N	OP	80365901
132629	445	1995-03-11	PRIJEM	PREVOD Z UCTU	18964	41864	\N	OP	80365901
132630	445	1995-04-11	PRIJEM	PREVOD Z UCTU	18964	35268	\N	OP	80365901
132631	445	1995-05-11	PRIJEM	PREVOD Z UCTU	18964	34703	\N	OP	80365901
132632	445	1995-06-11	PRIJEM	PREVOD Z UCTU	28446	46463	\N	OP	80365901
132633	445	1995-07-11	PRIJEM	PREVOD Z UCTU	18964	43469	\N	OP	80365901
132634	445	1995-08-11	PRIJEM	PREVOD Z UCTU	18964	43781	\N	OP	80365901
132635	445	1995-09-11	PRIJEM	PREVOD Z UCTU	18964	43593	\N	OP	80365901
132636	445	1995-10-11	PRIJEM	PREVOD Z UCTU	18964	41699	\N	OP	80365901
132637	445	1995-11-11	PRIJEM	PREVOD Z UCTU	18964	38799	\N	OP	80365901
132638	445	1995-12-11	PRIJEM	PREVOD Z UCTU	28446	41477	\N	OP	80365901
132639	445	1996-01-11	PRIJEM	PREVOD Z UCTU	18964	37060	\N	OP	80365901
132640	445	1996-02-11	PRIJEM	PREVOD Z UCTU	18964	41851	\N	OP	80365901
132641	445	1996-03-11	PRIJEM	PREVOD Z UCTU	18964	47172	\N	OP	80365901
132642	445	1996-04-11	PRIJEM	PREVOD Z UCTU	18964	42780	\N	OP	80365901
132643	445	1996-05-11	PRIJEM	PREVOD Z UCTU	18964	35574	\N	OP	80365901
132644	445	1996-06-11	PRIJEM	PREVOD Z UCTU	28446	50542	\N	OP	80365901
132645	445	1996-07-11	PRIJEM	PREVOD Z UCTU	18964	46062	\N	OP	80365901
132646	445	1996-08-11	PRIJEM	PREVOD Z UCTU	18964	44473	\N	OP	80365901
132647	445	1996-09-11	PRIJEM	PREVOD Z UCTU	18964	48492	\N	OP	80365901
132648	445	1996-10-11	PRIJEM	PREVOD Z UCTU	18964	38907	\N	OP	80365901
132649	445	1996-11-11	PRIJEM	PREVOD Z UCTU	18964	48202	\N	OP	80365901
132650	445	1996-12-11	PRIJEM	PREVOD Z UCTU	28446	62118	\N	OP	80365901
132651	445	1997-01-11	PRIJEM	PREVOD Z UCTU	18964	54706	\N	OP	80365901
132652	445	1997-02-11	PRIJEM	PREVOD Z UCTU	18964	53373	\N	OP	80365901
132653	445	1997-03-11	PRIJEM	PREVOD Z UCTU	18964	49627	\N	OP	80365901
132654	445	1997-04-11	PRIJEM	PREVOD Z UCTU	18964	44162	\N	OP	80365901
132655	445	1997-05-11	PRIJEM	PREVOD Z UCTU	18964	50385	\N	OP	80365901
132656	445	1997-06-11	PRIJEM	PREVOD Z UCTU	28446	64718	\N	OP	80365901
132657	445	1997-07-11	PRIJEM	PREVOD Z UCTU	18964	58527	\N	OP	80365901
132658	445	1997-08-11	PRIJEM	PREVOD Z UCTU	18964	55718	\N	OP	80365901
132659	445	1997-09-11	PRIJEM	PREVOD Z UCTU	18964	47096	\N	OP	80365901
132660	445	1997-10-11	PRIJEM	PREVOD Z UCTU	18964	40817	\N	OP	80365901
132661	445	1997-11-11	PRIJEM	PREVOD Z UCTU	18964	41329	\N	OP	80365901
132662	445	1997-12-11	PRIJEM	PREVOD Z UCTU	28446	49174	\N	OP	80365901
132663	445	1998-01-11	PRIJEM	PREVOD Z UCTU	18964	42005	\N	OP	80365901
132664	445	1998-02-11	PRIJEM	PREVOD Z UCTU	18964	36810	\N	OP	80365901
132665	445	1998-03-11	PRIJEM	PREVOD Z UCTU	18964	35101	\N	OP	80365901
132666	445	1998-04-11	PRIJEM	PREVOD Z UCTU	18964	35789	\N	OP	80365901
132667	445	1998-05-11	PRIJEM	PREVOD Z UCTU	18964	35878	\N	OP	80365901
132668	445	1998-06-11	PRIJEM	PREVOD Z UCTU	28446	41573	\N	OP	80365901
132669	445	1998-07-11	PRIJEM	PREVOD Z UCTU	18964	42772	\N	OP	80365901
132670	445	1998-08-11	PRIJEM	PREVOD Z UCTU	18964	40479	\N	OP	80365901
132671	445	1998-09-11	PRIJEM	PREVOD Z UCTU	18964	40286	\N	OP	80365901
132672	445	1998-10-11	PRIJEM	PREVOD Z UCTU	18964	37694	\N	OP	80365901
132673	445	1998-11-11	PRIJEM	PREVOD Z UCTU	18964	35091	\N	OP	80365901
132674	445	1998-12-11	PRIJEM	PREVOD Z UCTU	28446	36856	\N	OP	80365901
132686	445	1993-12-14	VYDAJ	PREVOD NA UCET	3998	65413	SIPO	QR	65335863
132687	445	1994-01-14	VYDAJ	PREVOD NA UCET	3998	34488	SIPO	QR	65335863
132688	445	1994-02-14	VYDAJ	PREVOD NA UCET	3998	39300	SIPO	QR	65335863
132689	445	1994-03-14	VYDAJ	PREVOD NA UCET	3998	29015	SIPO	QR	65335863
132690	445	1994-04-14	VYDAJ	PREVOD NA UCET	3998	34395	SIPO	QR	65335863
132691	445	1994-05-14	VYDAJ	PREVOD NA UCET	3998	38896	SIPO	QR	65335863
132692	445	1994-06-14	VYDAJ	PREVOD NA UCET	3998	49395	SIPO	QR	65335863
132693	445	1994-07-14	VYDAJ	PREVOD NA UCET	3998	43235	SIPO	QR	65335863
132694	445	1994-08-14	VYDAJ	PREVOD NA UCET	3998	37859	SIPO	QR	65335863
132695	445	1994-09-14	VYDAJ	PREVOD NA UCET	3998	35565	SIPO	QR	65335863
132696	445	1994-10-14	VYDAJ	PREVOD NA UCET	3998	37266	SIPO	QR	65335863
132697	445	1994-11-14	VYDAJ	PREVOD NA UCET	3998	36971	SIPO	QR	65335863
132698	445	1994-12-14	VYDAJ	PREVOD NA UCET	3998	44254	SIPO	QR	65335863
132699	445	1995-01-14	VYDAJ	PREVOD NA UCET	3998	38060	SIPO	QR	65335863
132700	445	1995-02-14	VYDAJ	PREVOD NA UCET	3998	36364	SIPO	QR	65335863
132701	445	1995-03-14	VYDAJ	PREVOD NA UCET	3998	37866	SIPO	QR	65335863
132702	445	1995-04-14	VYDAJ	PREVOD NA UCET	3998	31270	SIPO	QR	65335863
132703	445	1995-05-14	VYDAJ	PREVOD NA UCET	3998	30705	SIPO	QR	65335863
132704	445	1995-06-14	VYDAJ	PREVOD NA UCET	3998	42465	SIPO	QR	65335863
132705	445	1995-07-14	VYDAJ	PREVOD NA UCET	3998	39471	SIPO	QR	65335863
132706	445	1995-08-14	VYDAJ	PREVOD NA UCET	3998	39783	SIPO	QR	65335863
132707	445	1995-09-14	VYDAJ	PREVOD NA UCET	3998	39595	SIPO	QR	65335863
132708	445	1995-10-14	VYDAJ	PREVOD NA UCET	3998	37701	SIPO	QR	65335863
132709	445	1995-11-14	VYDAJ	PREVOD NA UCET	3998	34801	SIPO	QR	65335863
132710	445	1995-12-14	VYDAJ	PREVOD NA UCET	3998	37479	SIPO	QR	65335863
132711	445	1996-01-14	VYDAJ	PREVOD NA UCET	3998	33062	SIPO	QR	65335863
132712	445	1996-02-14	VYDAJ	PREVOD NA UCET	3998	35653	SIPO	QR	65335863
132713	445	1996-03-14	VYDAJ	PREVOD NA UCET	3998	29674	SIPO	QR	65335863
132714	445	1996-04-14	VYDAJ	PREVOD NA UCET	3998	38782	SIPO	QR	65335863
132715	445	1996-05-14	VYDAJ	PREVOD NA UCET	3998	29576	SIPO	QR	65335863
132716	445	1996-06-14	VYDAJ	PREVOD NA UCET	3998	38744	SIPO	QR	65335863
132717	445	1996-07-14	VYDAJ	PREVOD NA UCET	3998	32964	SIPO	QR	65335863
132718	445	1996-08-14	VYDAJ	PREVOD NA UCET	3998	36975	SIPO	QR	65335863
132719	445	1996-09-14	VYDAJ	PREVOD NA UCET	3998	36694	SIPO	QR	65335863
132720	445	1996-10-14	VYDAJ	PREVOD NA UCET	3998	30709	SIPO	QR	65335863
132721	445	1996-11-14	VYDAJ	PREVOD NA UCET	3998	44204	SIPO	QR	65335863
132722	445	1996-12-14	VYDAJ	PREVOD NA UCET	3998	58120	SIPO	QR	65335863
132723	445	1997-01-14	VYDAJ	PREVOD NA UCET	3998	50708	SIPO	QR	65335863
132724	445	1997-02-14	VYDAJ	PREVOD NA UCET	3998	45175	SIPO	QR	65335863
132725	445	1997-03-14	VYDAJ	PREVOD NA UCET	3998	45629	SIPO	QR	65335863
132726	445	1997-04-14	VYDAJ	PREVOD NA UCET	3998	40164	SIPO	QR	65335863
132727	445	1997-05-14	VYDAJ	PREVOD NA UCET	3998	46387	SIPO	QR	65335863
132728	445	1997-06-14	VYDAJ	PREVOD NA UCET	3998	56142	SIPO	QR	65335863
132729	445	1997-07-14	VYDAJ	PREVOD NA UCET	3998	54529	SIPO	QR	65335863
132730	445	1997-08-14	VYDAJ	PREVOD NA UCET	3998	51720	SIPO	QR	65335863
132731	445	1997-09-14	VYDAJ	PREVOD NA UCET	3998	33498	SIPO	QR	65335863
132732	445	1997-10-14	VYDAJ	PREVOD NA UCET	3998	36819	SIPO	QR	65335863
132733	445	1997-11-14	VYDAJ	PREVOD NA UCET	3998	37331	SIPO	QR	65335863
132734	445	1997-12-14	VYDAJ	PREVOD NA UCET	3998	45176	SIPO	QR	65335863
132735	445	1998-01-14	VYDAJ	PREVOD NA UCET	3998	38007	SIPO	QR	65335863
132736	445	1998-02-14	VYDAJ	PREVOD NA UCET	3998	32812	SIPO	QR	65335863
132737	445	1998-03-14	VYDAJ	PREVOD NA UCET	3998	31103	SIPO	QR	65335863
132738	445	1998-04-14	VYDAJ	PREVOD NA UCET	3998	31791	SIPO	QR	65335863
132739	445	1998-05-14	VYDAJ	PREVOD NA UCET	3998	26218	SIPO	QR	65335863
132740	445	1998-06-14	VYDAJ	PREVOD NA UCET	3998	37575	SIPO	QR	65335863
132741	445	1998-07-14	VYDAJ	PREVOD NA UCET	3998	38774	SIPO	QR	65335863
132742	445	1998-08-14	VYDAJ	PREVOD NA UCET	3998	36481	SIPO	QR	65335863
132743	445	1998-09-14	VYDAJ	PREVOD NA UCET	3998	36288	SIPO	QR	65335863
132744	445	1998-10-14	VYDAJ	PREVOD NA UCET	3998	33696	SIPO	QR	65335863
132745	445	1998-11-14	VYDAJ	PREVOD NA UCET	3998	31093	SIPO	QR	65335863
132746	445	1998-12-14	VYDAJ	PREVOD NA UCET	3998	32858	SIPO	QR	65335863
132759	445	1994-01-06	VYDAJ	PREVOD NA UCET	7567	33922	 	IJ	49652427
132760	445	1994-02-06	VYDAJ	PREVOD NA UCET	7567	24334	 	IJ	49652427
132761	445	1994-03-06	VYDAJ	PREVOD NA UCET	7567	14049	 	IJ	49652427
132762	445	1994-04-06	VYDAJ	PREVOD NA UCET	7567	19429	 	IJ	49652427
132763	445	1994-05-06	VYDAJ	PREVOD NA UCET	7567	23930	 	IJ	49652427
132764	445	1994-06-06	VYDAJ	PREVOD NA UCET	7567	24947	 	IJ	49652427
132765	445	1994-07-06	VYDAJ	PREVOD NA UCET	7567	28269	 	IJ	49652427
132766	445	1994-08-06	VYDAJ	PREVOD NA UCET	7567	22893	 	IJ	49652427
132767	445	1994-09-06	VYDAJ	PREVOD NA UCET	7567	20599	 	IJ	49652427
132768	445	1994-10-06	VYDAJ	PREVOD NA UCET	7567	22300	 	IJ	49652427
132769	445	1994-11-06	VYDAJ	PREVOD NA UCET	7567	22005	 	IJ	49652427
132770	445	1994-12-06	VYDAJ	PREVOD NA UCET	7567	19806	 	IJ	49652427
132771	445	1995-01-06	VYDAJ	PREVOD NA UCET	7567	23094	 	IJ	49652427
132772	445	1995-02-06	VYDAJ	PREVOD NA UCET	7567	21398	 	IJ	49652427
132773	445	1995-03-06	VYDAJ	PREVOD NA UCET	7567	22900	 	IJ	49652427
132774	445	1995-04-06	VYDAJ	PREVOD NA UCET	7567	16304	 	IJ	49652427
132775	445	1995-05-06	VYDAJ	PREVOD NA UCET	7567	15739	 	IJ	49652427
132776	445	1995-06-06	VYDAJ	PREVOD NA UCET	7567	18017	 	IJ	49652427
132777	445	1995-07-06	VYDAJ	PREVOD NA UCET	7567	24505	 	IJ	49652427
132778	445	1995-08-06	VYDAJ	PREVOD NA UCET	7567	24817	 	IJ	49652427
132779	445	1995-09-06	VYDAJ	PREVOD NA UCET	7567	24629	 	IJ	49652427
132780	445	1995-10-06	VYDAJ	PREVOD NA UCET	7567	22735	 	IJ	49652427
132781	445	1995-11-06	VYDAJ	PREVOD NA UCET	7567	19835	 	IJ	49652427
132782	445	1995-12-06	VYDAJ	PREVOD NA UCET	7567	13031	 	IJ	49652427
132783	445	1996-01-06	VYDAJ	PREVOD NA UCET	7567	18096	 	IJ	49652427
132784	445	1996-02-06	VYDAJ	PREVOD NA UCET	7567	22887	 	IJ	49652427
132785	445	1996-03-06	VYDAJ	PREVOD NA UCET	7567	28208	 	IJ	49652427
132786	445	1996-04-06	VYDAJ	PREVOD NA UCET	7567	23816	 	IJ	49652427
132787	445	1996-05-06	VYDAJ	PREVOD NA UCET	7567	16610	 	IJ	49652427
132788	445	1996-06-06	VYDAJ	PREVOD NA UCET	7567	22096	 	IJ	49652427
132789	445	1996-07-06	VYDAJ	PREVOD NA UCET	7567	27098	 	IJ	49652427
132790	445	1996-08-06	VYDAJ	PREVOD NA UCET	7567	25509	 	IJ	49652427
132791	445	1996-09-06	VYDAJ	PREVOD NA UCET	7567	29528	 	IJ	49652427
132792	445	1996-10-06	VYDAJ	PREVOD NA UCET	7567	19943	 	IJ	49652427
132793	445	1996-11-06	VYDAJ	PREVOD NA UCET	7567	23238	 	IJ	49652427
132794	445	1996-12-06	VYDAJ	PREVOD NA UCET	7567	36772	 	IJ	49652427
132795	445	1997-01-06	VYDAJ	PREVOD NA UCET	7567	42942	 	IJ	49652427
132796	445	1997-02-06	VYDAJ	PREVOD NA UCET	7567	38209	 	IJ	49652427
132797	445	1997-03-06	VYDAJ	PREVOD NA UCET	7567	37763	 	IJ	49652427
132798	445	1997-04-06	VYDAJ	PREVOD NA UCET	7567	27698	 	IJ	49652427
132799	445	1997-05-06	VYDAJ	PREVOD NA UCET	7567	32721	 	IJ	49652427
132800	445	1997-06-06	VYDAJ	PREVOD NA UCET	7567	38972	 	IJ	49652427
132801	445	1997-07-06	VYDAJ	PREVOD NA UCET	7567	48763	 	IJ	49652427
132802	445	1997-08-06	VYDAJ	PREVOD NA UCET	7567	47154	 	IJ	49652427
132803	445	1997-09-06	VYDAJ	PREVOD NA UCET	7567	44332	 	IJ	49652427
132804	445	1997-10-06	VYDAJ	PREVOD NA UCET	7567	26053	 	IJ	49652427
132805	445	1997-11-06	VYDAJ	PREVOD NA UCET	7567	22365	 	IJ	49652427
132806	445	1997-12-06	VYDAJ	PREVOD NA UCET	7567	20728	 	IJ	49652427
132807	445	1998-01-06	VYDAJ	PREVOD NA UCET	7567	23041	 	IJ	49652427
132808	445	1998-02-06	VYDAJ	PREVOD NA UCET	7567	17846	 	IJ	49652427
132809	445	1998-03-06	VYDAJ	PREVOD NA UCET	7567	16137	 	IJ	49652427
132810	445	1998-04-06	VYDAJ	PREVOD NA UCET	7567	16825	 	IJ	49652427
132811	445	1998-05-06	VYDAJ	PREVOD NA UCET	7567	16914	 	IJ	49652427
132812	445	1998-06-06	VYDAJ	PREVOD NA UCET	7567	13127	 	IJ	49652427
132813	445	1998-07-06	VYDAJ	PREVOD NA UCET	7567	23808	 	IJ	49652427
132814	445	1998-08-06	VYDAJ	PREVOD NA UCET	7567	21515	 	IJ	49652427
132815	445	1998-09-06	VYDAJ	PREVOD NA UCET	7567	21322	 	IJ	49652427
132816	445	1998-10-06	VYDAJ	PREVOD NA UCET	7567	18730	 	IJ	49652427
132817	445	1998-11-06	VYDAJ	PREVOD NA UCET	7567	16127	 	IJ	49652427
132818	445	1998-12-06	VYDAJ	PREVOD NA UCET	7567	8410	 	IJ	49652427
132824	445	1995-05-03	VYBER	VYBER	4951	23306	\N	\N	\N
132825	445	1997-06-14	VYBER	VYBER	4578	60140	\N	\N	\N
132827	445	1997-11-22	VYBER	VYBER	4244	33087	\N	\N	\N
132828	445	1998-05-13	VYBER	VYBER	5662	30216	\N	\N	\N
132841	445	1994-12-14	VYDAJ	VYBER	2700	41554	\N	\N	\N
132842	445	1995-12-25	VYDAJ	VYBER	4800	25579	\N	\N	\N
132843	445	1996-12-29	VYDAJ	VYBER	7800	50320	\N	\N	\N
132845	445	1998-12-23	VYDAJ	VYBER	5400	27458	\N	\N	\N
132848	445	1993-12-17	VYDAJ	VYBER	3900	61513	\N	\N	\N
132850	445	1994-01-08	VYDAJ	VYBER	14400	19522	\N	\N	\N
132851	445	1994-02-27	VYDAJ	VYBER	11100	21500	\N	\N	\N
132852	445	1994-12-16	VYDAJ	VYBER	5100	36454	\N	\N	\N
132853	445	1994-07-18	VYDAJ	VYBER	3600	39635	\N	\N	\N
132854	445	1995-10-27	VYDAJ	VYBER	2700	27301	\N	\N	\N
132855	445	1995-03-28	VYDAJ	VYBER	7500	23766	\N	\N	\N
132857	445	1995-11-30	VYDAJ	VYBER	10800	20598	\N	\N	\N
132858	445	1996-06-14	VYDAJ	VYBER	4200	34544	\N	\N	\N
132860	445	1996-09-23	VYDAJ	VYBER	9300	27394	\N	\N	\N
132862	445	1996-04-20	VYDAJ	VYBER	8700	24082	\N	\N	\N
132864	445	1996-03-13	VYDAJ	VYBER	13500	33672	\N	\N	\N
132865	445	1997-09-13	VYDAJ	VYBER	9600	37496	\N	\N	\N
132866	445	1997-02-13	VYDAJ	VYBER	4200	49173	\N	\N	\N
132867	445	1997-03-17	VYDAJ	VYBER	10500	35129	\N	\N	\N
132868	445	1997-04-07	VYDAJ	VYBER	4500	23198	\N	\N	\N
132869	445	1997-01-19	VYDAJ	VYBER	5100	45608	\N	\N	\N
132871	445	1997-09-08	VYDAJ	VYBER	6300	28132	\N	\N	\N
132872	445	1998-11-24	VYDAJ	VYBER	2400	28693	\N	\N	\N
132873	445	1998-03-31	VYDAJ	VYBER	3900	27292	\N	\N	\N
132874	445	1998-07-24	VYDAJ	VYBER	1800	33674	\N	\N	\N
132875	445	1998-01-17	VYDAJ	VYBER	8100	29907	\N	\N	\N
132876	445	1998-07-14	VYDAJ	VYBER	3300	35474	\N	\N	\N
132890	445	1993-12-31	VYDAJ	VYBER	30	41489	SLUZBY	\N	\N
132891	445	1994-01-31	VYDAJ	VYBER	30	31901	SLUZBY	\N	\N
132892	445	1994-02-28	VYDAJ	VYBER	30	21616	SLUZBY	\N	\N
132893	445	1994-03-31	VYDAJ	VYBER	30	26996	SLUZBY	\N	\N
132894	445	1994-04-30	VYDAJ	VYBER	30	31497	SLUZBY	\N	\N
132895	445	1994-05-31	VYDAJ	VYBER	30	32514	SLUZBY	\N	\N
132896	445	1994-06-30	VYDAJ	VYBER	30	35836	SLUZBY	\N	\N
132897	445	1994-07-31	VYDAJ	VYBER	30	30460	SLUZBY	\N	\N
132898	445	1994-08-31	VYDAJ	VYBER	30	28166	SLUZBY	\N	\N
132899	445	1994-09-30	VYDAJ	VYBER	30	29867	SLUZBY	\N	\N
132900	445	1994-10-31	VYDAJ	VYBER	30	29572	SLUZBY	\N	\N
132901	445	1994-11-30	VYDAJ	VYBER	30	27373	SLUZBY	\N	\N
132902	445	1994-12-31	VYDAJ	VYBER	30	30661	SLUZBY	\N	\N
132904	445	1995-02-28	VYDAJ	VYBER	30	30467	SLUZBY	\N	\N
132905	445	1995-03-31	VYDAJ	VYBER	30	23871	SLUZBY	\N	\N
132906	445	1995-04-30	VYDAJ	VYBER	30	28257	SLUZBY	\N	\N
132907	445	1995-05-31	VYDAJ	VYBER	30	25584	SLUZBY	\N	\N
132908	445	1995-06-30	VYDAJ	VYBER	30	32072	SLUZBY	\N	\N
132909	445	1995-07-31	VYDAJ	VYBER	30	32384	SLUZBY	\N	\N
132910	445	1995-08-31	VYDAJ	VYBER	30	32196	SLUZBY	\N	\N
132911	445	1995-09-30	VYDAJ	VYBER	30	30302	SLUZBY	\N	\N
132912	445	1995-10-31	VYDAJ	VYBER	30	27402	SLUZBY	\N	\N
132913	445	1995-11-30	VYDAJ	VYBER	30	31398	SLUZBY	\N	\N
132914	445	1995-12-31	VYDAJ	VYBER	30	25663	SLUZBY	\N	\N
132915	445	1996-01-31	VYDAJ	VYBER	30	30454	SLUZBY	\N	\N
132916	445	1996-02-29	VYDAJ	VYBER	30	35775	SLUZBY	\N	\N
132917	445	1996-03-31	VYDAJ	VYBER	30	31383	SLUZBY	\N	\N
132918	445	1996-04-30	VYDAJ	VYBER	30	24177	SLUZBY	\N	\N
132919	445	1996-05-31	VYDAJ	VYBER	30	29663	SLUZBY	\N	\N
132920	445	1996-06-30	VYDAJ	VYBER	30	34665	SLUZBY	\N	\N
132921	445	1996-07-31	VYDAJ	VYBER	30	33076	SLUZBY	\N	\N
132922	445	1996-08-31	VYDAJ	VYBER	30	37095	SLUZBY	\N	\N
132923	445	1996-09-30	VYDAJ	VYBER	30	27510	SLUZBY	\N	\N
132924	445	1996-10-31	VYDAJ	VYBER	30	30805	SLUZBY	\N	\N
132925	445	1996-11-30	VYDAJ	VYBER	30	44339	SLUZBY	\N	\N
132926	445	1996-12-31	VYDAJ	VYBER	30	50509	SLUZBY	\N	\N
132927	445	1997-01-31	VYDAJ	VYBER	30	45776	SLUZBY	\N	\N
132928	445	1997-02-28	VYDAJ	VYBER	30	45330	SLUZBY	\N	\N
132929	445	1997-03-31	VYDAJ	VYBER	30	35265	SLUZBY	\N	\N
132930	445	1997-04-30	VYDAJ	VYBER	30	40288	SLUZBY	\N	\N
132931	445	1997-05-31	VYDAJ	VYBER	30	46539	SLUZBY	\N	\N
132932	445	1997-06-30	VYDAJ	VYBER	30	56330	SLUZBY	\N	\N
132933	445	1997-07-31	VYDAJ	VYBER	30	54721	SLUZBY	\N	\N
132934	445	1997-08-31	VYDAJ	VYBER	30	51899	SLUZBY	\N	\N
132935	445	1997-09-30	VYDAJ	VYBER	30	33620	SLUZBY	\N	\N
132936	445	1997-10-31	VYDAJ	VYBER	30	36932	SLUZBY	\N	\N
132937	445	1997-11-30	VYDAJ	VYBER	30	33195	SLUZBY	\N	\N
132938	445	1997-12-31	VYDAJ	VYBER	30	45308	SLUZBY	\N	\N
132939	445	1998-01-31	VYDAJ	VYBER	30	30013	SLUZBY	\N	\N
132940	445	1998-02-28	VYDAJ	VYBER	30	32904	SLUZBY	\N	\N
132941	445	1998-03-31	VYDAJ	VYBER	30	31192	SLUZBY	\N	\N
132942	445	1998-04-30	VYDAJ	VYBER	30	31881	SLUZBY	\N	\N
132943	445	1998-05-31	VYDAJ	VYBER	30	26294	SLUZBY	\N	\N
132944	445	1998-06-30	VYDAJ	VYBER	30	37675	SLUZBY	\N	\N
132945	445	1998-07-31	VYDAJ	VYBER	30	33782	SLUZBY	\N	\N
132946	445	1998-08-31	VYDAJ	VYBER	30	36589	SLUZBY	\N	\N
132947	445	1998-09-30	VYDAJ	VYBER	30	36397	SLUZBY	\N	\N
132948	445	1998-10-31	VYDAJ	VYBER	30	33794	SLUZBY	\N	\N
132949	445	1998-11-30	VYDAJ	VYBER	30	28777	SLUZBY	\N	\N
132950	445	1993-08-28	PRIJEM	VKLAD	1300	21364	\N	\N	\N
132951	445	1993-09-27	VYDAJ	VYBER	6400	33940	\N	\N	\N
132952	445	1993-10-27	VYDAJ	VYBER	15600	37400	\N	\N	\N
132953	445	1993-11-26	VYDAJ	VYBER	15700	40807	\N	\N	\N
132954	445	1993-12-26	VYDAJ	VYBER	20200	41313	\N	\N	\N
132955	445	1994-01-25	VYDAJ	VYBER	2700	31788	\N	\N	\N
132956	445	1994-02-24	VYDAJ	VYBER	6700	32600	\N	\N	\N
132957	445	1994-03-26	VYDAJ	VYBER	2100	26915	\N	\N	\N
132958	445	1994-04-25	VYDAJ	VYBER	3000	31395	\N	\N	\N
132959	445	1994-05-25	VYDAJ	VYBER	6500	32396	\N	\N	\N
132960	445	1994-06-24	VYDAJ	VYBER	13700	35695	\N	\N	\N
132961	445	1994-07-24	VYDAJ	VYBER	9300	30335	\N	\N	\N
132962	445	1994-08-23	VYDAJ	VYBER	9800	28059	\N	\N	\N
132963	445	1994-09-22	VYDAJ	VYBER	5800	29765	\N	\N	\N
132964	445	1994-10-22	VYDAJ	VYBER	7800	29466	\N	\N	\N
132965	445	1994-11-21	VYDAJ	VYBER	9700	27271	\N	\N	\N
132966	445	1994-12-21	VYDAJ	VYBER	5900	30554	\N	\N	\N
132967	445	1995-01-20	VYDAJ	VYBER	9200	28860	\N	\N	\N
132968	445	1995-02-19	VYDAJ	VYBER	6000	30364	\N	\N	\N
132969	445	1995-03-21	VYDAJ	VYBER	6600	31266	\N	\N	\N
132970	445	1995-04-20	VYDAJ	VYBER	3100	28170	\N	\N	\N
132971	445	1995-05-20	VYDAJ	VYBER	5200	25505	\N	\N	\N
132972	445	1995-06-19	VYDAJ	VYBER	10500	31965	\N	\N	\N
132973	445	1995-07-19	VYDAJ	VYBER	7200	32271	\N	\N	\N
132974	445	1995-08-18	VYDAJ	VYBER	7700	32083	\N	\N	\N
132975	445	1995-09-17	VYDAJ	VYBER	9400	30195	\N	\N	\N
132976	445	1995-10-17	VYDAJ	VYBER	7700	30001	\N	\N	\N
132977	445	1995-11-16	VYDAJ	VYBER	3500	31301	\N	\N	\N
132978	445	1995-12-16	VYDAJ	VYBER	7100	30379	\N	\N	\N
132979	445	1996-01-15	VYDAJ	VYBER	2700	30362	\N	\N	\N
132980	445	1996-02-14	VYDAJ	VYBER	2200	39651	\N	\N	\N
132981	445	1996-03-15	PRIJEM	VKLAD	1600	31274	\N	\N	\N
132982	445	1996-04-14	VYDAJ	VYBER	6000	32782	\N	\N	\N
132983	445	1996-05-14	VYDAJ	VYBER	2000	33574	\N	\N	\N
132984	445	1996-06-13	VYDAJ	VYBER	7800	42742	\N	\N	\N
132985	445	1996-07-13	VYDAJ	VYBER	9100	36962	\N	\N	\N
132986	445	1996-08-12	VYDAJ	VYBER	3500	40973	\N	\N	\N
132987	445	1996-09-11	VYDAJ	VYBER	7800	40692	\N	\N	\N
132988	445	1996-10-11	VYDAJ	VYBER	4200	34707	\N	\N	\N
132989	445	1996-11-10	PRIJEM	VKLAD	6000	29238	\N	\N	\N
132990	445	1996-12-10	VYDAJ	VYBER	3100	33672	\N	\N	\N
132991	445	1997-01-09	VYDAJ	VYBER	7200	35742	\N	\N	\N
132992	445	1997-02-08	VYDAJ	VYBER	3800	34409	\N	\N	\N
132993	445	1997-03-10	VYDAJ	VYBER	7100	30663	\N	\N	\N
132994	445	1997-04-09	PRIJEM	VKLAD	2000	25198	\N	\N	\N
132995	445	1997-05-09	VYDAJ	VYBER	1300	31421	\N	\N	\N
132996	445	1997-06-08	VYDAJ	VYBER	2700	36272	\N	\N	\N
132997	445	1997-07-08	VYDAJ	VYBER	9200	39563	\N	\N	\N
132998	445	1997-08-07	VYDAJ	VYBER	10400	36754	\N	\N	\N
132999	445	1997-09-06	VYDAJ	VYBER	9900	34432	\N	\N	\N
133000	445	1997-10-06	VYDAJ	VYBER	4200	21853	\N	\N	\N
133001	445	1997-11-05	VYDAJ	VYBER	7000	29932	\N	\N	\N
133002	445	1997-12-05	VYDAJ	VYBER	4900	28295	\N	\N	\N
133003	445	1998-01-04	VYDAJ	VYBER	14700	30608	\N	\N	\N
133004	445	1998-02-03	VYDAJ	VYBER	4600	25413	\N	\N	\N
133005	445	1998-03-05	VYDAJ	VYBER	9200	23704	\N	\N	\N
133006	445	1998-04-04	VYDAJ	VYBER	2900	24392	\N	\N	\N
133007	445	1998-05-04	VYDAJ	VYBER	7400	24481	\N	\N	\N
133008	445	1998-06-03	VYDAJ	VYBER	5600	20694	\N	\N	\N
133009	445	1998-07-03	VYDAJ	VYBER	6300	31375	\N	\N	\N
133010	445	1998-08-02	VYDAJ	VYBER	4700	29082	\N	\N	\N
133011	445	1998-09-01	VYDAJ	VYBER	7700	28889	\N	\N	\N
133012	445	1998-10-01	VYDAJ	VYBER	10100	26297	\N	\N	\N
133013	445	1998-10-31	VYDAJ	VYBER	10100	23694	\N	\N	\N
133014	445	1998-11-30	VYDAJ	VYBER	12800	15977	\N	\N	\N
133080	446	1993-06-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
133087	446	1993-07-09	PRIJEM	VKLAD	24160	25260	\N	\N	\N
133088	446	1993-08-09	PRIJEM	VKLAD	24160	48475	\N	\N	\N
133089	446	1993-09-09	PRIJEM	VKLAD	24160	59162	\N	\N	\N
133090	446	1993-10-09	PRIJEM	VKLAD	24160	65584	\N	\N	\N
133091	446	1993-11-09	PRIJEM	VKLAD	24160	70428	\N	\N	\N
133092	446	1993-12-09	PRIJEM	VKLAD	36240	71648	\N	\N	\N
133093	446	1994-01-09	PRIJEM	VKLAD	24160	54513	\N	\N	\N
133094	446	1994-02-09	PRIJEM	VKLAD	24160	46998	\N	\N	\N
133095	446	1994-03-09	PRIJEM	VKLAD	24160	50077	\N	\N	\N
133096	446	1994-04-09	PRIJEM	VKLAD	24160	57109	\N	\N	\N
133097	446	1994-05-09	PRIJEM	VKLAD	24160	51952	\N	\N	\N
133098	446	1994-06-09	PRIJEM	VKLAD	36240	66082	\N	\N	\N
133099	446	1994-07-09	PRIJEM	VKLAD	24160	40510	\N	\N	\N
133100	446	1994-08-09	PRIJEM	VKLAD	24160	49110	\N	\N	\N
133101	446	1994-09-09	PRIJEM	VKLAD	24160	53946	\N	\N	\N
133102	446	1994-10-09	PRIJEM	VKLAD	24160	60432	\N	\N	\N
133103	446	1994-11-09	PRIJEM	VKLAD	24160	63156	\N	\N	\N
133104	446	1994-12-09	PRIJEM	VKLAD	36240	80975	\N	\N	\N
133105	446	1995-01-09	PRIJEM	VKLAD	24160	74402	\N	\N	\N
133106	446	1995-02-09	PRIJEM	VKLAD	24160	62062	\N	\N	\N
133107	446	1995-03-09	PRIJEM	VKLAD	24160	65089	\N	\N	\N
133108	446	1995-04-09	PRIJEM	VKLAD	24160	63630	\N	\N	\N
133109	446	1995-05-09	PRIJEM	VKLAD	24160	65671	\N	\N	\N
133110	446	1995-06-09	PRIJEM	VKLAD	36240	81302	\N	\N	\N
133111	446	1995-07-09	PRIJEM	VKLAD	24160	60995	\N	\N	\N
133112	446	1995-08-09	PRIJEM	VKLAD	24160	67114	\N	\N	\N
133113	446	1995-09-09	PRIJEM	VKLAD	24160	65331	\N	\N	\N
133114	446	1995-10-09	PRIJEM	VKLAD	24160	68372	\N	\N	\N
133115	446	1995-11-09	PRIJEM	VKLAD	24160	67623	\N	\N	\N
133116	446	1995-12-09	PRIJEM	VKLAD	36240	79964	\N	\N	\N
133117	446	1996-01-09	PRIJEM	VKLAD	24160	60817	\N	\N	\N
133118	446	1996-02-09	PRIJEM	VKLAD	24160	61139	\N	\N	\N
133119	446	1996-03-09	PRIJEM	VKLAD	24160	65450	\N	\N	\N
133120	446	1996-04-09	PRIJEM	VKLAD	24160	67192	\N	\N	\N
133121	446	1996-05-09	PRIJEM	VKLAD	24160	72340	\N	\N	\N
133122	446	1996-06-09	PRIJEM	VKLAD	36240	82684	\N	\N	\N
133123	446	1996-07-09	PRIJEM	VKLAD	24160	73861	\N	\N	\N
133124	446	1996-08-09	PRIJEM	VKLAD	24160	75509	\N	\N	\N
133125	446	1996-09-09	PRIJEM	VKLAD	24160	75260	\N	\N	\N
133126	446	1996-10-09	PRIJEM	VKLAD	24160	76109	\N	\N	\N
133127	446	1996-11-09	PRIJEM	VKLAD	24160	78561	\N	\N	\N
133128	446	1996-12-09	PRIJEM	VKLAD	36240	90601	\N	\N	\N
133129	446	1997-01-09	PRIJEM	VKLAD	24160	75552	\N	\N	\N
133130	446	1997-02-09	PRIJEM	VKLAD	24160	65592	\N	\N	\N
133131	446	1997-03-09	PRIJEM	VKLAD	24160	68196	\N	\N	\N
133132	446	1997-04-09	PRIJEM	VKLAD	24160	66934	\N	\N	\N
133133	446	1997-05-09	PRIJEM	VKLAD	24160	55060	\N	\N	\N
133134	446	1997-06-09	PRIJEM	VKLAD	36240	69579	\N	\N	\N
133135	446	1997-07-09	PRIJEM	VKLAD	24160	58855	\N	\N	\N
133136	446	1997-08-09	PRIJEM	VKLAD	24160	58826	\N	\N	\N
133137	446	1997-09-09	PRIJEM	VKLAD	24160	58594	\N	\N	\N
133138	446	1997-10-09	PRIJEM	VKLAD	24160	53453	\N	\N	\N
133139	446	1997-11-09	PRIJEM	VKLAD	24160	54799	\N	\N	\N
133140	446	1997-12-09	PRIJEM	VKLAD	36240	56543	\N	\N	\N
133141	446	1998-01-09	PRIJEM	VKLAD	24160	50696	\N	\N	\N
133142	446	1998-02-09	PRIJEM	VKLAD	24160	44663	\N	\N	\N
133143	446	1998-03-09	PRIJEM	VKLAD	24160	44965	\N	\N	\N
133144	446	1998-04-09	PRIJEM	VKLAD	24160	46072	\N	\N	\N
133145	446	1998-05-09	PRIJEM	VKLAD	24160	48283	\N	\N	\N
133146	446	1998-06-09	PRIJEM	VKLAD	36240	59578	\N	\N	\N
133147	446	1998-07-09	PRIJEM	VKLAD	24160	56614	\N	\N	\N
133148	446	1998-08-09	PRIJEM	VKLAD	24160	53857	\N	\N	\N
133149	446	1998-09-09	PRIJEM	VKLAD	24160	45483	\N	\N	\N
133150	446	1998-10-09	PRIJEM	VKLAD	24160	46298	\N	\N	\N
133151	446	1998-11-09	PRIJEM	VKLAD	24160	58954	\N	\N	\N
133152	446	1998-12-09	PRIJEM	VKLAD	36240	58877	\N	\N	\N
133163	446	1993-11-13	VYDAJ	PREVOD NA UCET	6941	40687	SIPO	EF	81248056
133164	446	1993-12-13	VYDAJ	PREVOD NA UCET	6941	40507	SIPO	EF	81248056
133165	446	1994-01-13	VYDAJ	PREVOD NA UCET	6941	29672	SIPO	EF	81248056
133166	446	1994-02-13	VYDAJ	PREVOD NA UCET	6941	29057	SIPO	EF	81248056
133167	446	1994-03-13	VYDAJ	PREVOD NA UCET	6941	32836	SIPO	EF	81248056
133168	446	1994-04-13	VYDAJ	PREVOD NA UCET	6941	35468	SIPO	EF	81248056
133169	446	1994-05-13	VYDAJ	PREVOD NA UCET	6941	29731	SIPO	EF	81248056
133170	446	1994-06-13	VYDAJ	PREVOD NA UCET	6941	37841	SIPO	EF	81248056
133171	446	1994-07-13	VYDAJ	PREVOD NA UCET	6941	24869	SIPO	EF	81248056
133172	446	1994-08-13	VYDAJ	PREVOD NA UCET	6941	30769	SIPO	EF	81248056
133173	446	1994-09-13	VYDAJ	PREVOD NA UCET	6941	47005	SIPO	EF	81248056
133174	446	1994-10-13	VYDAJ	PREVOD NA UCET	6941	53491	SIPO	EF	81248056
133175	446	1994-11-13	VYDAJ	PREVOD NA UCET	6941	56215	SIPO	EF	81248056
133176	446	1994-12-13	VYDAJ	PREVOD NA UCET	6941	74034	SIPO	EF	81248056
133177	446	1995-01-13	VYDAJ	PREVOD NA UCET	6941	61221	SIPO	EF	81248056
133178	446	1995-02-13	VYDAJ	PREVOD NA UCET	6941	55121	SIPO	EF	81248056
133179	446	1995-03-13	VYDAJ	PREVOD NA UCET	6941	58148	SIPO	EF	81248056
133180	446	1995-04-13	VYDAJ	PREVOD NA UCET	6941	56689	SIPO	EF	81248056
133181	446	1995-05-13	VYDAJ	PREVOD NA UCET	6941	58730	SIPO	EF	81248056
133182	446	1995-06-13	VYDAJ	PREVOD NA UCET	6941	74361	SIPO	EF	81248056
133183	446	1995-07-13	VYDAJ	PREVOD NA UCET	6941	54054	SIPO	EF	81248056
133184	446	1995-08-13	VYDAJ	PREVOD NA UCET	6941	60173	SIPO	EF	81248056
133185	446	1995-09-13	VYDAJ	PREVOD NA UCET	6941	58390	SIPO	EF	81248056
133186	446	1995-10-13	VYDAJ	PREVOD NA UCET	6941	61431	SIPO	EF	81248056
133187	446	1995-11-13	VYDAJ	PREVOD NA UCET	6941	60682	SIPO	EF	81248056
133188	446	1995-12-13	VYDAJ	PREVOD NA UCET	6941	73023	SIPO	EF	81248056
133189	446	1996-01-13	VYDAJ	PREVOD NA UCET	6941	53876	SIPO	EF	81248056
133190	446	1996-02-13	VYDAJ	PREVOD NA UCET	6941	52398	SIPO	EF	81248056
133191	446	1996-03-13	VYDAJ	PREVOD NA UCET	6941	58509	SIPO	EF	81248056
133192	446	1996-04-13	VYDAJ	PREVOD NA UCET	6941	60251	SIPO	EF	81248056
133193	446	1996-05-13	VYDAJ	PREVOD NA UCET	6941	65399	SIPO	EF	81248056
133194	446	1996-06-13	VYDAJ	PREVOD NA UCET	6941	75743	SIPO	EF	81248056
133195	446	1996-07-13	VYDAJ	PREVOD NA UCET	6941	66920	SIPO	EF	81248056
133196	446	1996-08-13	VYDAJ	PREVOD NA UCET	6941	68568	SIPO	EF	81248056
133197	446	1996-09-13	VYDAJ	PREVOD NA UCET	6941	68319	SIPO	EF	81248056
133198	446	1996-10-13	VYDAJ	PREVOD NA UCET	6941	69168	SIPO	EF	81248056
133199	446	1996-11-13	VYDAJ	PREVOD NA UCET	6941	71620	SIPO	EF	81248056
133200	446	1996-12-13	VYDAJ	PREVOD NA UCET	6941	83660	SIPO	EF	81248056
133201	446	1997-01-13	VYDAJ	PREVOD NA UCET	6941	52631	SIPO	EF	81248056
133202	446	1997-02-13	VYDAJ	PREVOD NA UCET	6941	58651	SIPO	EF	81248056
133203	446	1997-03-13	VYDAJ	PREVOD NA UCET	6941	55975	SIPO	EF	81248056
133204	446	1997-04-13	VYDAJ	PREVOD NA UCET	6941	59993	SIPO	EF	81248056
133205	446	1997-05-13	VYDAJ	PREVOD NA UCET	6941	48119	SIPO	EF	81248056
133206	446	1997-06-13	VYDAJ	PREVOD NA UCET	6941	62638	SIPO	EF	81248056
133207	446	1997-07-13	VYDAJ	PREVOD NA UCET	6941	51914	SIPO	EF	81248056
133208	446	1997-08-13	VYDAJ	PREVOD NA UCET	6941	51885	SIPO	EF	81248056
133209	446	1997-09-13	VYDAJ	PREVOD NA UCET	6941	51653	SIPO	EF	81248056
133210	446	1997-10-13	VYDAJ	PREVOD NA UCET	6941	46512	SIPO	EF	81248056
133211	446	1997-11-13	VYDAJ	PREVOD NA UCET	6941	47858	SIPO	EF	81248056
133212	446	1997-12-13	VYDAJ	PREVOD NA UCET	6941	49602	SIPO	EF	81248056
133213	446	1998-01-13	VYDAJ	PREVOD NA UCET	6941	43755	SIPO	EF	81248056
133214	446	1998-02-13	VYDAJ	PREVOD NA UCET	6941	37722	SIPO	EF	81248056
133215	446	1998-03-13	VYDAJ	PREVOD NA UCET	6941	38024	SIPO	EF	81248056
133216	446	1998-04-13	VYDAJ	PREVOD NA UCET	6941	39131	SIPO	EF	81248056
133217	446	1998-05-13	VYDAJ	PREVOD NA UCET	6941	41342	SIPO	EF	81248056
133218	446	1998-06-13	VYDAJ	PREVOD NA UCET	6941	52637	SIPO	EF	81248056
133219	446	1998-07-13	VYDAJ	PREVOD NA UCET	6941	49673	SIPO	EF	81248056
133220	446	1998-08-13	VYDAJ	PREVOD NA UCET	6941	46916	SIPO	EF	81248056
133221	446	1998-09-13	VYDAJ	PREVOD NA UCET	6941	38542	SIPO	EF	81248056
133222	446	1998-10-13	VYDAJ	PREVOD NA UCET	6941	39357	SIPO	EF	81248056
133223	446	1998-11-13	VYDAJ	PREVOD NA UCET	6941	52013	SIPO	EF	81248056
133224	446	1998-12-13	VYDAJ	PREVOD NA UCET	6941	51936	SIPO	EF	81248056
133226	446	1994-06-22	VYDAJ	VYBER	21600	16241	\N	\N	\N
133227	446	1995-06-20	VYDAJ	VYBER	30560	43801	\N	\N	\N
133228	446	1996-06-26	VYDAJ	VYBER	16800	58943	\N	\N	\N
133229	446	1997-06-19	VYDAJ	VYBER	11200	47938	\N	\N	\N
133232	446	1994-01-07	VYDAJ	VYBER	9120	30353	\N	\N	\N
133233	446	1995-01-25	VYDAJ	VYBER	6560	51301	\N	\N	\N
133234	446	1996-01-08	VYDAJ	VYBER	8640	36657	\N	\N	\N
133235	446	1997-01-13	VYDAJ	VYBER	12480	63072	\N	\N	\N
133236	446	1998-01-14	VYDAJ	VYBER	7360	36395	\N	\N	\N
133237	446	1993-12-07	VYDAJ	VYBER	3520	35408	\N	\N	\N
133238	446	1994-12-17	VYDAJ	VYBER	1920	68874	\N	\N	\N
133239	446	1995-12-20	VYDAJ	VYBER KARTOU	3200	69823	\N	\N	0
133240	446	1996-12-18	VYDAJ	VYBER KARTOU	4000	75340	\N	\N	0
133241	446	1997-12-02	VYDAJ	VYBER	4160	20303	\N	\N	\N
133242	446	1998-12-15	VYDAJ	VYBER KARTOU	2600	49336	\N	\N	0
133249	446	1994-01-24	VYDAJ	VYBER	2280	22712	\N	\N	\N
133250	446	1994-01-23	VYDAJ	VYBER	2640	24992	\N	\N	\N
133251	446	1994-01-13	VYDAJ	VYBER	840	36613	\N	\N	\N
133252	446	1994-01-22	VYDAJ	VYBER	2040	27632	\N	\N	\N
133253	446	1994-01-04	VYDAJ	VYBER	1200	39473	\N	\N	\N
133254	446	1994-01-09	VYDAJ	VYBER	2160	52353	\N	\N	\N
133255	446	1995-01-09	VYDAJ	VYBER	2160	72242	\N	\N	\N
133256	446	1995-01-11	VYDAJ	VYBER	3000	69242	\N	\N	\N
133257	446	1995-01-25	VYDAJ	VYBER	3240	45661	\N	\N	\N
133258	446	1995-01-25	VYDAJ	VYBER	2400	48901	\N	\N	\N
133259	446	1995-01-12	VYDAJ	VYBER	1080	68162	\N	\N	\N
133260	446	1995-01-24	VYDAJ	VYBER	1080	60141	\N	\N	\N
133261	446	1996-01-19	VYDAJ	VYBER KARTOU	2200	50976	\N	\N	0
133262	446	1996-01-04	VYDAJ	VYBER KARTOU	2000	49297	\N	\N	0
133263	446	1996-01-29	VYDAJ	VYBER KARTOU	700	45276	\N	\N	0
133264	446	1996-01-06	VYDAJ	VYBER KARTOU	1700	45297	\N	\N	0
133265	446	1996-01-13	VYDAJ	VYBER KARTOU	700	53176	\N	\N	0
133266	446	1996-01-28	VYDAJ	VYBER KARTOU	2800	45976	\N	\N	0
133267	446	1997-01-24	VYDAJ	VYBER KARTOU	1800	48931	\N	\N	0
133268	446	1997-01-01	VYDAJ	VYBER KARTOU	1600	53792	\N	\N	0
133269	446	1997-01-02	VYDAJ	VYBER KARTOU	2400	51392	\N	\N	0
133270	446	1997-01-15	VYDAJ	VYBER KARTOU	1900	50731	\N	\N	0
133271	446	1997-01-26	VYDAJ	VYBER KARTOU	1000	41231	\N	\N	0
133272	446	1997-01-13	VYDAJ	VYBER KARTOU	3500	59572	\N	\N	0
133273	446	1998-01-19	VYDAJ	VYBER KARTOU	1600	33495	\N	\N	0
133275	446	1998-01-18	VYDAJ	VYBER KARTOU	1300	35095	\N	\N	0
133276	446	1998-01-21	VYDAJ	VYBER KARTOU	1300	20395	\N	\N	0
133277	446	1998-01-04	VYDAJ	VYBER KARTOU	2900	26536	\N	\N	0
133281	446	1993-11-19	VYDAJ	VYBER	1920	38767	\N	\N	\N
133285	446	1994-04-17	VYDAJ	VYBER	3480	31988	\N	\N	\N
133286	446	1994-02-27	VYDAJ	VYBER	3240	25817	\N	\N	\N
133287	446	1994-05-10	VYDAJ	VYBER	5280	46672	\N	\N	\N
133288	446	1994-04-17	VYDAJ	VYBER	4320	27668	\N	\N	\N
133289	446	1994-12-16	VYDAJ	VYBER	3240	70794	\N	\N	\N
133290	446	1995-08-22	VYDAJ	VYBER	2400	53453	\N	\N	\N
133291	446	1995-07-25	VYDAJ	VYBER	3000	51054	\N	\N	\N
133292	446	1995-08-21	VYDAJ	VYBER	4320	55853	\N	\N	\N
133293	446	1995-03-20	VYDAJ	VYBER	3600	54548	\N	\N	\N
133294	446	1995-10-04	VYDAJ	VYBER KARTOU	1300	44212	\N	\N	0
133295	446	1995-01-24	VYDAJ	VYBER	2280	57861	\N	\N	\N
133296	446	1995-08-28	VYDAJ	VYBER	3600	49853	\N	\N	\N
133297	446	1996-12-17	VYDAJ	VYBER	4320	79340	\N	\N	\N
133298	446	1996-02-09	VYDAJ	VYBER KARTOU	1800	59339	\N	\N	0
133299	446	1996-06-08	VYDAJ	VYBER KARTOU	2200	46444	\N	\N	0
133300	446	1996-03-24	VYDAJ	VYBER KARTOU	2200	56309	\N	\N	0
133301	446	1996-01-25	VYDAJ	VYBER KARTOU	2200	48776	\N	\N	0
133302	446	1996-05-31	VYDAJ	VYBER KARTOU	1400	48658	\N	\N	0
133303	446	1996-02-01	VYDAJ	VYBER KARTOU	2500	36979	\N	\N	0
133304	446	1996-01-05	VYDAJ	VYBER KARTOU	2300	46997	\N	\N	0
133305	446	1997-06-18	VYDAJ	VYBER KARTOU	3500	59138	\N	\N	0
133306	446	1997-05-21	VYDAJ	VYBER	4440	43679	\N	\N	\N
133307	446	1997-05-05	VYDAJ	VYBER	5280	34100	\N	\N	\N
133308	446	1997-03-09	VYDAJ	VYBER	5280	62916	\N	\N	\N
133309	446	1997-05-08	VYDAJ	VYBER KARTOU	3200	30900	\N	\N	0
133310	446	1997-11-29	VYDAJ	VYBER	4920	24338	\N	\N	\N
133311	446	1998-11-07	VYDAJ	VYBER	4680	34794	\N	\N	\N
133312	446	1998-08-22	VYDAJ	VYBER KARTOU	2300	24216	\N	\N	0
133313	446	1998-09-04	VYDAJ	VYBER KARTOU	3000	21323	\N	\N	0
133327	446	1993-11-30	VYDAJ	VYBER	15	38928	SLUZBY	\N	\N
133328	446	1993-12-31	VYDAJ	VYBER	15	40673	SLUZBY	\N	\N
133329	446	1994-01-31	VYDAJ	VYBER	15	22838	SLUZBY	\N	\N
133330	446	1994-02-28	VYDAJ	VYBER	15	25917	SLUZBY	\N	\N
133331	446	1994-03-31	VYDAJ	VYBER	15	32949	SLUZBY	\N	\N
133332	446	1994-04-30	VYDAJ	VYBER	15	27792	SLUZBY	\N	\N
133333	446	1994-05-31	VYDAJ	VYBER	15	29842	SLUZBY	\N	\N
133334	446	1994-06-30	VYDAJ	VYBER	15	16350	SLUZBY	\N	\N
133335	446	1994-07-31	VYDAJ	VYBER	15	24950	SLUZBY	\N	\N
133336	446	1994-08-31	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
133337	446	1994-09-30	VYDAJ	VYBER	15	47172	SLUZBY	\N	\N
133338	446	1994-10-31	VYDAJ	VYBER	15	53696	SLUZBY	\N	\N
133339	446	1994-11-30	VYDAJ	VYBER	15	56435	SLUZBY	\N	\N
133340	446	1994-12-31	VYDAJ	VYBER	15	69142	SLUZBY	\N	\N
133341	446	1995-01-31	VYDAJ	VYBER	15	45902	SLUZBY	\N	\N
133342	446	1995-02-28	VYDAJ	VYBER	15	55329	SLUZBY	\N	\N
133343	446	1995-03-31	VYDAJ	VYBER	15	54770	SLUZBY	\N	\N
133344	446	1995-04-30	VYDAJ	VYBER	15	56911	SLUZBY	\N	\N
133345	446	1995-05-31	VYDAJ	VYBER	15	58962	SLUZBY	\N	\N
133346	446	1995-06-30	VYDAJ	VYBER	15	44035	SLUZBY	\N	\N
133347	446	1995-07-31	VYDAJ	VYBER	15	51254	SLUZBY	\N	\N
133348	446	1995-08-31	VYDAJ	VYBER	15	50071	SLUZBY	\N	\N
133349	446	1995-09-30	VYDAJ	VYBER	15	58612	SLUZBY	\N	\N
133350	446	1995-10-31	VYDAJ	VYBER	15	61663	SLUZBY	\N	\N
133351	446	1995-11-30	VYDAJ	VYBER	15	60924	SLUZBY	\N	\N
133352	446	1995-12-31	VYDAJ	VYBER	15	70097	SLUZBY	\N	\N
133353	446	1996-01-31	VYDAJ	VYBER	15	45479	SLUZBY	\N	\N
133354	446	1996-02-29	VYDAJ	VYBER	15	52590	SLUZBY	\N	\N
133355	446	1996-03-31	VYDAJ	VYBER	15	56532	SLUZBY	\N	\N
133356	446	1996-04-30	VYDAJ	VYBER	15	60480	SLUZBY	\N	\N
133357	446	1996-05-31	VYDAJ	VYBER	15	48644	SLUZBY	\N	\N
133358	446	1996-06-30	VYDAJ	VYBER	15	49701	SLUZBY	\N	\N
133359	446	1996-07-31	VYDAJ	VYBER	15	51349	SLUZBY	\N	\N
133360	446	1996-08-31	VYDAJ	VYBER	15	51100	SLUZBY	\N	\N
133361	446	1996-09-30	VYDAJ	VYBER	15	51949	SLUZBY	\N	\N
133362	446	1996-10-31	VYDAJ	VYBER	15	54401	SLUZBY	\N	\N
133363	446	1996-11-30	VYDAJ	VYBER	15	54361	SLUZBY	\N	\N
133364	446	1996-12-31	VYDAJ	VYBER	15	55392	SLUZBY	\N	\N
133365	446	1997-01-31	VYDAJ	VYBER	15	41432	SLUZBY	\N	\N
133366	446	1997-02-28	VYDAJ	VYBER	15	44036	SLUZBY	\N	\N
133367	446	1997-03-31	VYDAJ	VYBER	15	42774	SLUZBY	\N	\N
133368	446	1997-04-30	VYDAJ	VYBER	15	39380	SLUZBY	\N	\N
133369	446	1997-05-31	VYDAJ	VYBER	15	33339	SLUZBY	\N	\N
133370	446	1997-06-30	VYDAJ	VYBER	15	34695	SLUZBY	\N	\N
133371	446	1997-07-31	VYDAJ	VYBER	15	34666	SLUZBY	\N	\N
133372	446	1997-08-31	VYDAJ	VYBER	15	34434	SLUZBY	\N	\N
133373	446	1997-09-30	VYDAJ	VYBER	15	29293	SLUZBY	\N	\N
133374	446	1997-10-31	VYDAJ	VYBER	15	30639	SLUZBY	\N	\N
133375	446	1997-11-30	VYDAJ	VYBER	15	24463	SLUZBY	\N	\N
133376	446	1997-12-31	VYDAJ	VYBER	15	29436	SLUZBY	\N	\N
133377	446	1998-01-31	VYDAJ	VYBER	15	20503	SLUZBY	\N	\N
133378	446	1998-02-28	VYDAJ	VYBER	15	20805	SLUZBY	\N	\N
133379	446	1998-03-31	VYDAJ	VYBER	15	21912	SLUZBY	\N	\N
133380	446	1998-04-30	VYDAJ	VYBER	15	24123	SLUZBY	\N	\N
133381	446	1998-05-31	VYDAJ	VYBER	15	23338	SLUZBY	\N	\N
133382	446	1998-06-30	VYDAJ	VYBER	15	32454	SLUZBY	\N	\N
133383	446	1998-07-31	VYDAJ	VYBER	15	29697	SLUZBY	\N	\N
133384	446	1998-08-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
133385	446	1998-09-30	VYDAJ	VYBER	15	22138	SLUZBY	\N	\N
133386	446	1998-10-31	VYDAJ	VYBER	15	39474	SLUZBY	\N	\N
133387	446	1998-11-30	VYDAJ	VYBER	15	22637	SLUZBY	\N	\N
133388	446	1993-07-15	VYDAJ	VYBER	1000	24260	\N	\N	\N
133389	446	1993-08-14	VYDAJ	VYBER	13600	34875	\N	\N	\N
133390	446	1993-09-13	VYDAJ	VYBER	17900	41262	\N	\N	\N
133391	446	1993-10-13	VYDAJ	VYBER	19500	46084	\N	\N	\N
133392	446	1993-11-12	VYDAJ	VYBER	22800	47628	\N	\N	\N
133393	446	1993-12-12	VYDAJ	VYBER	24200	47448	\N	\N	\N
133394	446	1994-01-11	VYDAJ	VYBER	14900	37453	\N	\N	\N
133395	446	1994-02-10	VYDAJ	VYBER	11000	35998	\N	\N	\N
133396	446	1994-03-12	VYDAJ	VYBER	10300	39777	\N	\N	\N
133397	446	1994-04-11	VYDAJ	VYBER	14700	42409	\N	\N	\N
133398	446	1994-05-11	VYDAJ	VYBER	10000	36672	\N	\N	\N
133399	446	1994-06-10	VYDAJ	VYBER	21300	44782	\N	\N	\N
133400	446	1994-07-10	VYDAJ	VYBER	8700	31810	\N	\N	\N
133401	446	1994-08-09	VYDAJ	VYBER	11400	37710	\N	\N	\N
133402	446	1994-09-08	VYDAJ	VYBER	1100	29786	\N	\N	\N
133403	446	1994-10-08	VYDAJ	VYBER	10900	36272	\N	\N	\N
133404	446	1994-11-07	VYDAJ	VYBER	14700	38996	\N	\N	\N
133405	446	1994-12-07	VYDAJ	VYBER	11700	44735	\N	\N	\N
133406	446	1995-01-06	VYDAJ	VYBER	18900	50242	\N	\N	\N
133407	446	1995-02-05	VYDAJ	VYBER	8000	37902	\N	\N	\N
133408	446	1995-03-07	VYDAJ	VYBER	14400	40929	\N	\N	\N
133409	446	1995-04-06	VYDAJ	VYBER	15300	39470	\N	\N	\N
133410	446	1995-05-06	VYDAJ	VYBER	15400	41511	\N	\N	\N
133411	446	1995-06-05	VYDAJ	VYBER	13900	45062	\N	\N	\N
133412	446	1995-07-05	VYDAJ	VYBER	7200	36835	\N	\N	\N
133413	446	1995-08-04	VYDAJ	VYBER	8300	42954	\N	\N	\N
133414	446	1995-09-03	VYDAJ	VYBER	8900	41171	\N	\N	\N
133415	446	1995-10-03	VYDAJ	VYBER	13100	45512	\N	\N	\N
133416	446	1995-11-02	VYDAJ	VYBER	18200	43463	\N	\N	\N
133417	446	1995-12-02	VYDAJ	VYBER	17200	43724	\N	\N	\N
133418	446	1996-01-01	VYDAJ	VYBER	18800	51297	\N	\N	\N
133419	446	1996-01-31	VYDAJ	VYBER	6000	39479	\N	\N	\N
133420	446	1996-03-01	VYDAJ	VYBER	11300	41290	\N	\N	\N
133421	446	1996-03-31	VYDAJ	VYBER	13500	43032	\N	\N	\N
133422	446	1996-04-30	VYDAJ	VYBER	12300	48180	\N	\N	\N
133423	446	1996-05-30	VYDAJ	VYBER	15600	49799	\N	\N	\N
133424	446	1996-06-29	VYDAJ	VYBER	9500	49443	\N	\N	\N
133425	446	1996-07-29	VYDAJ	VYBER	15800	51120	\N	\N	\N
133426	446	1996-08-28	VYDAJ	VYBER	17700	50868	\N	\N	\N
133427	446	1996-09-27	VYDAJ	VYBER	16600	51719	\N	\N	\N
133428	446	1996-10-27	VYDAJ	VYBER	15000	54168	\N	\N	\N
133429	446	1996-11-26	VYDAJ	VYBER	17500	54120	\N	\N	\N
133430	446	1996-12-26	VYDAJ	VYBER	20200	55140	\N	\N	\N
133431	446	1997-01-25	VYDAJ	VYBER	6700	42231	\N	\N	\N
133432	446	1997-02-24	VYDAJ	VYBER	14800	43851	\N	\N	\N
133433	446	1997-03-26	VYDAJ	VYBER	13400	42575	\N	\N	\N
133434	446	1997-04-25	VYDAJ	VYBER	20800	39193	\N	\N	\N
133435	446	1997-05-25	VYDAJ	VYBER	10500	33179	\N	\N	\N
133436	446	1997-06-24	VYDAJ	VYBER	13400	34538	\N	\N	\N
133437	446	1997-07-24	VYDAJ	VYBER	17400	34514	\N	\N	\N
133438	446	1997-08-23	VYDAJ	VYBER	17600	34285	\N	\N	\N
133439	446	1997-09-22	VYDAJ	VYBER	22500	29153	\N	\N	\N
133440	446	1997-10-22	VYDAJ	VYBER	16000	30512	\N	\N	\N
133441	446	1997-11-21	VYDAJ	VYBER	18600	29258	\N	\N	\N
133442	446	1997-12-21	VYDAJ	VYBER	20300	29302	\N	\N	\N
133443	446	1998-01-20	VYDAJ	VYBER	11800	21695	\N	\N	\N
133444	446	1998-02-19	VYDAJ	VYBER	17000	20722	\N	\N	\N
133445	446	1998-03-21	VYDAJ	VYBER	16200	21824	\N	\N	\N
133446	446	1998-04-20	VYDAJ	VYBER	15100	24031	\N	\N	\N
133447	446	1998-05-20	VYDAJ	VYBER	18100	23242	\N	\N	\N
133448	446	1998-06-19	VYDAJ	VYBER	20300	32337	\N	\N	\N
133449	446	1998-07-19	VYDAJ	VYBER	20100	29573	\N	\N	\N
133450	446	1998-08-18	VYDAJ	VYBER	20400	26516	\N	\N	\N
133451	446	1998-09-17	VYDAJ	VYBER	16500	22042	\N	\N	\N
133452	446	1998-11-16	VYDAJ	VYBER	29500	22513	\N	\N	\N
133519	447	1996-08-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
133528	447	1996-09-09	PRIJEM	VKLAD	20630	21730	\N	\N	\N
133529	447	1996-10-09	PRIJEM	VKLAD	20630	41412	\N	\N	\N
133530	447	1996-11-09	PRIJEM	VKLAD	20630	51454	\N	\N	\N
133531	447	1996-12-09	PRIJEM	VKLAD	30945	69347	\N	\N	\N
133532	447	1997-01-09	PRIJEM	VKLAD	20630	72873	\N	\N	\N
133533	447	1997-02-09	PRIJEM	VKLAD	20630	65911	\N	\N	\N
133534	447	1997-03-09	PRIJEM	VKLAD	20630	65685	\N	\N	\N
133535	447	1997-04-09	PRIJEM	VKLAD	20630	59749	\N	\N	\N
133536	447	1997-05-09	PRIJEM	VKLAD	20630	61405	\N	\N	\N
133537	447	1997-06-09	PRIJEM	VKLAD	30945	70374	\N	\N	\N
133538	447	1997-07-09	PRIJEM	VKLAD	20630	66946	\N	\N	\N
133539	447	1997-08-09	PRIJEM	VKLAD	20630	62412	\N	\N	\N
133540	447	1997-09-09	PRIJEM	VKLAD	20630	56972	\N	\N	\N
133541	447	1997-10-09	PRIJEM	VKLAD	20630	59056	\N	\N	\N
133542	447	1997-11-09	PRIJEM	VKLAD	20630	63458	\N	\N	\N
133543	447	1997-12-09	PRIJEM	VKLAD	30945	75689	\N	\N	\N
133544	447	1998-01-09	PRIJEM	VKLAD	20630	69174	\N	\N	\N
133545	447	1998-02-09	PRIJEM	VKLAD	20630	70119	\N	\N	\N
133546	447	1998-03-09	PRIJEM	VKLAD	20630	71663	\N	\N	\N
133547	447	1998-04-09	PRIJEM	VKLAD	20630	69116	\N	\N	\N
133548	447	1998-05-09	PRIJEM	VKLAD	20630	70265	\N	\N	\N
133549	447	1998-06-09	PRIJEM	VKLAD	30945	75431	\N	\N	\N
133550	447	1998-07-09	PRIJEM	VKLAD	20630	68504	\N	\N	\N
133551	447	1998-08-09	PRIJEM	VKLAD	20630	62844	\N	\N	\N
133552	447	1998-09-09	PRIJEM	VKLAD	20630	62056	\N	\N	\N
133553	447	1998-10-09	PRIJEM	VKLAD	20630	67667	\N	\N	\N
133554	447	1998-11-09	PRIJEM	VKLAD	20630	73098	\N	\N	\N
133555	447	1998-12-09	PRIJEM	VKLAD	30945	84666	\N	\N	\N
133569	447	1997-02-06	VYDAJ	PREVOD NA UCET	5554	45281	SIPO	GH	35721868
133570	447	1997-03-06	VYDAJ	PREVOD NA UCET	5554	45055	SIPO	GH	35721868
133571	447	1997-04-06	VYDAJ	PREVOD NA UCET	5554	39119	SIPO	GH	35721868
133572	447	1997-05-06	VYDAJ	PREVOD NA UCET	5554	40775	SIPO	GH	35721868
133573	447	1997-06-06	VYDAJ	PREVOD NA UCET	5554	39429	SIPO	GH	35721868
133574	447	1997-07-06	VYDAJ	PREVOD NA UCET	5554	46316	SIPO	GH	35721868
133575	447	1997-08-06	VYDAJ	PREVOD NA UCET	5554	41782	SIPO	GH	35721868
133576	447	1997-09-06	VYDAJ	PREVOD NA UCET	5554	39642	SIPO	GH	35721868
133577	447	1997-10-06	VYDAJ	PREVOD NA UCET	5554	51026	SIPO	GH	35721868
133578	447	1997-11-06	VYDAJ	PREVOD NA UCET	5554	53728	SIPO	GH	35721868
133579	447	1997-12-06	VYDAJ	PREVOD NA UCET	5554	58144	SIPO	GH	35721868
133580	447	1998-01-06	VYDAJ	PREVOD NA UCET	5554	62044	SIPO	GH	35721868
133581	447	1998-02-06	VYDAJ	PREVOD NA UCET	5554	49489	SIPO	GH	35721868
133582	447	1998-03-06	VYDAJ	PREVOD NA UCET	5554	64833	SIPO	GH	35721868
133583	447	1998-04-06	VYDAJ	PREVOD NA UCET	5554	66386	SIPO	GH	35721868
133584	447	1998-05-06	VYDAJ	PREVOD NA UCET	5554	63835	SIPO	GH	35721868
133585	447	1998-06-06	VYDAJ	PREVOD NA UCET	5554	44486	SIPO	GH	35721868
133586	447	1998-07-06	VYDAJ	PREVOD NA UCET	5554	47874	SIPO	GH	35721868
133587	447	1998-08-06	VYDAJ	PREVOD NA UCET	5554	42214	SIPO	GH	35721868
133588	447	1998-09-06	VYDAJ	PREVOD NA UCET	5554	41426	SIPO	GH	35721868
133589	447	1998-10-06	VYDAJ	PREVOD NA UCET	5554	47037	SIPO	GH	35721868
133590	447	1998-11-06	VYDAJ	PREVOD NA UCET	5554	52468	SIPO	GH	35721868
133591	447	1998-12-06	VYDAJ	PREVOD NA UCET	5554	54521	SIPO	GH	35721868
133629	447	1997-12-18	VYDAJ	VYBER	3200	72489	\N	\N	\N
133630	447	1998-12-08	VYDAJ	VYBER	800	53721	\N	\N	\N
133635	447	1997-12-21	VYDAJ	VYBER	5160	67329	\N	\N	\N
133636	447	1997-01-31	VYDAJ	VYBER	1440	50835	\N	\N	\N
133637	447	1997-09-04	VYDAJ	VYBER	3000	45196	\N	\N	\N
133638	447	1997-03-15	VYDAJ	VYBER	4800	44485	\N	\N	\N
133639	447	1997-09-14	VYDAJ	VYBER	600	56372	\N	\N	\N
133640	447	1998-05-13	VYDAJ	VYBER	5040	65225	\N	\N	\N
133641	447	1998-05-26	VYDAJ	VYBER	2040	63185	\N	\N	\N
133642	447	1998-07-13	VYDAJ	VYBER	3480	65024	\N	\N	\N
133643	447	1998-07-17	VYDAJ	VYBER	5400	59624	\N	\N	\N
133644	447	1998-12-12	VYDAJ	VYBER	1680	82986	\N	\N	\N
133645	447	1998-07-04	VYDAJ	VYBER	2880	72828	\N	\N	\N
133659	447	1997-01-31	VYDAJ	VYBER	15	52275	SLUZBY	\N	\N
133660	447	1997-02-28	VYDAJ	VYBER	15	50609	SLUZBY	\N	\N
133661	447	1997-03-31	VYDAJ	VYBER	15	44673	SLUZBY	\N	\N
133662	447	1997-04-30	VYDAJ	VYBER	15	46329	SLUZBY	\N	\N
133663	447	1997-05-31	VYDAJ	VYBER	15	44983	SLUZBY	\N	\N
133664	447	1997-06-30	VYDAJ	VYBER	15	51870	SLUZBY	\N	\N
133665	447	1997-07-31	VYDAJ	VYBER	15	47336	SLUZBY	\N	\N
133666	447	1997-08-31	VYDAJ	VYBER	15	48196	SLUZBY	\N	\N
133667	447	1997-09-30	VYDAJ	VYBER	15	56580	SLUZBY	\N	\N
133668	447	1997-10-31	VYDAJ	VYBER	15	59282	SLUZBY	\N	\N
133669	447	1997-11-30	VYDAJ	VYBER	15	63698	SLUZBY	\N	\N
133670	447	1997-12-31	VYDAJ	VYBER	15	67598	SLUZBY	\N	\N
133671	447	1998-01-31	VYDAJ	VYBER	15	69443	SLUZBY	\N	\N
133672	447	1998-02-28	VYDAJ	VYBER	15	70387	SLUZBY	\N	\N
133673	447	1998-03-31	VYDAJ	VYBER	15	71940	SLUZBY	\N	\N
133674	447	1998-04-30	VYDAJ	VYBER	15	69389	SLUZBY	\N	\N
133675	447	1998-05-31	VYDAJ	VYBER	15	63440	SLUZBY	\N	\N
133676	447	1998-06-30	VYDAJ	VYBER	15	75708	SLUZBY	\N	\N
133677	447	1998-07-31	VYDAJ	VYBER	15	59868	SLUZBY	\N	\N
133678	447	1998-08-31	VYDAJ	VYBER	15	63080	SLUZBY	\N	\N
133679	447	1998-09-30	VYDAJ	VYBER	15	62291	SLUZBY	\N	\N
133680	447	1998-10-31	VYDAJ	VYBER	15	67922	SLUZBY	\N	\N
133681	447	1998-11-30	VYDAJ	VYBER	15	73375	SLUZBY	\N	\N
133682	447	1996-09-13	VYDAJ	VYBER	1000	20730	\N	\N	\N
133683	447	1996-10-13	VYDAJ	VYBER	10700	30712	\N	\N	\N
133684	447	1996-11-12	VYDAJ	VYBER	13200	38254	\N	\N	\N
133685	447	1996-12-12	VYDAJ	VYBER	17300	52047	\N	\N	\N
133686	447	1997-01-11	VYDAJ	VYBER	20800	52073	\N	\N	\N
133687	447	1997-02-10	VYDAJ	VYBER	15500	50411	\N	\N	\N
133688	447	1997-03-12	VYDAJ	VYBER	16400	49285	\N	\N	\N
133689	447	1997-04-11	VYDAJ	VYBER	13600	46149	\N	\N	\N
133690	447	1997-05-11	VYDAJ	VYBER	16600	44805	\N	\N	\N
133691	447	1997-06-10	VYDAJ	VYBER	18700	51674	\N	\N	\N
133692	447	1997-07-10	VYDAJ	VYBER	19800	47146	\N	\N	\N
133693	447	1997-08-09	VYDAJ	VYBER	14400	48012	\N	\N	\N
133694	447	1997-09-08	VYDAJ	VYBER	3300	36342	\N	\N	\N
133695	447	1997-10-08	VYDAJ	VYBER	12600	38426	\N	\N	\N
133696	447	1997-11-07	VYDAJ	VYBER	10900	42828	\N	\N	\N
133697	447	1997-12-07	VYDAJ	VYBER	13400	44744	\N	\N	\N
133698	447	1998-01-06	VYDAJ	VYBER	13500	48544	\N	\N	\N
133699	447	1998-02-05	VYDAJ	VYBER	14400	55043	\N	\N	\N
133700	447	1998-03-07	VYDAJ	VYBER	13800	51033	\N	\N	\N
133701	447	1998-04-06	VYDAJ	VYBER	17900	48486	\N	\N	\N
133702	447	1998-05-06	VYDAJ	VYBER	14200	49635	\N	\N	\N
133703	447	1998-06-05	VYDAJ	VYBER	13400	50040	\N	\N	\N
133704	447	1998-07-05	VYDAJ	VYBER	19400	53428	\N	\N	\N
133705	447	1998-08-04	VYDAJ	VYBER	12100	47768	\N	\N	\N
133706	447	1998-09-03	VYDAJ	VYBER	16100	46980	\N	\N	\N
133707	447	1998-10-03	VYDAJ	VYBER	9700	52591	\N	\N	\N
133708	447	1998-11-02	VYDAJ	VYBER	9900	58022	\N	\N	\N
133709	447	1998-12-02	VYDAJ	VYBER	13300	60075	\N	\N	\N
133890	449	1994-11-22	PRIJEM	VKLAD	900	900	\N	\N	\N
133902	449	1994-12-08	PRIJEM	PREVOD Z UCTU	4456	5356	DUCHOD	IJ	8272439
133903	449	1995-01-08	PRIJEM	PREVOD Z UCTU	4456	9812	DUCHOD	IJ	8272439
133904	449	1995-02-08	PRIJEM	PREVOD Z UCTU	4456	14268	DUCHOD	IJ	8272439
133905	449	1995-03-08	PRIJEM	PREVOD Z UCTU	4456	18724	DUCHOD	IJ	8272439
133906	449	1995-04-08	PRIJEM	PREVOD Z UCTU	4456	23180	DUCHOD	IJ	8272439
133907	449	1995-05-08	PRIJEM	PREVOD Z UCTU	4456	22281	DUCHOD	IJ	8272439
133908	449	1995-06-08	PRIJEM	PREVOD Z UCTU	4456	24853	DUCHOD	IJ	8272439
133909	449	1995-07-08	PRIJEM	PREVOD Z UCTU	4456	16652	DUCHOD	IJ	8272439
133910	449	1995-08-08	PRIJEM	PREVOD Z UCTU	4456	17999	DUCHOD	IJ	8272439
133911	449	1995-09-08	PRIJEM	PREVOD Z UCTU	4456	17033	DUCHOD	IJ	8272439
133912	449	1995-10-08	PRIJEM	PREVOD Z UCTU	4456	19587	DUCHOD	IJ	8272439
133913	449	1995-11-08	PRIJEM	PREVOD Z UCTU	4456	18784	DUCHOD	IJ	8272439
133914	449	1995-12-08	PRIJEM	PREVOD Z UCTU	4456	20842	DUCHOD	IJ	8272439
133915	449	1996-01-08	PRIJEM	PREVOD Z UCTU	4456	17886	DUCHOD	IJ	8272439
133916	449	1996-02-08	PRIJEM	PREVOD Z UCTU	4456	18359	DUCHOD	IJ	8272439
133917	449	1996-03-08	PRIJEM	PREVOD Z UCTU	4456	20914	DUCHOD	IJ	8272439
133918	449	1996-04-08	PRIJEM	PREVOD Z UCTU	4456	23481	DUCHOD	IJ	8272439
133919	449	1996-05-08	PRIJEM	PREVOD Z UCTU	4456	26058	DUCHOD	IJ	8272439
133920	449	1996-06-08	PRIJEM	PREVOD Z UCTU	4456	27242	DUCHOD	IJ	8272439
133921	449	1996-07-08	PRIJEM	PREVOD Z UCTU	4456	29835	DUCHOD	IJ	8272439
133922	449	1996-08-08	PRIJEM	PREVOD Z UCTU	4456	28228	DUCHOD	IJ	8272439
133923	449	1996-09-08	PRIJEM	PREVOD Z UCTU	4456	28218	DUCHOD	IJ	8272439
133924	449	1996-10-08	PRIJEM	PREVOD Z UCTU	4456	27907	DUCHOD	IJ	8272439
133925	449	1996-11-08	PRIJEM	PREVOD Z UCTU	4456	23785	DUCHOD	IJ	8272439
133926	449	1996-12-08	PRIJEM	PREVOD Z UCTU	4456	21102	DUCHOD	IJ	8272439
133927	449	1997-01-08	PRIJEM	PREVOD Z UCTU	4456	18060	DUCHOD	IJ	8272439
133928	449	1997-02-08	PRIJEM	PREVOD Z UCTU	4456	17928	DUCHOD	IJ	8272439
133929	449	1997-03-08	PRIJEM	PREVOD Z UCTU	4456	18576	DUCHOD	IJ	8272439
133930	449	1997-04-08	PRIJEM	PREVOD Z UCTU	4456	19929	DUCHOD	IJ	8272439
133931	449	1997-05-08	PRIJEM	PREVOD Z UCTU	4456	17376	DUCHOD	IJ	8272439
133932	449	1997-06-08	PRIJEM	PREVOD Z UCTU	4456	15515	DUCHOD	IJ	8272439
133933	449	1997-07-08	PRIJEM	PREVOD Z UCTU	4456	14447	DUCHOD	IJ	8272439
133934	449	1997-08-08	PRIJEM	PREVOD Z UCTU	4456	15582	DUCHOD	IJ	8272439
133935	449	1997-09-08	PRIJEM	PREVOD Z UCTU	4456	18125	DUCHOD	IJ	8272439
133936	449	1997-10-08	PRIJEM	PREVOD Z UCTU	4456	19075	DUCHOD	IJ	8272439
133937	449	1997-11-08	PRIJEM	PREVOD Z UCTU	4456	19150	DUCHOD	IJ	8272439
133938	449	1997-12-08	PRIJEM	PREVOD Z UCTU	4456	19304	DUCHOD	IJ	8272439
133939	449	1998-01-08	PRIJEM	PREVOD Z UCTU	4456	20192	DUCHOD	IJ	8272439
133940	449	1998-02-08	PRIJEM	PREVOD Z UCTU	4456	18374	DUCHOD	IJ	8272439
133941	449	1998-03-08	PRIJEM	PREVOD Z UCTU	4456	20929	DUCHOD	IJ	8272439
133942	449	1998-04-08	PRIJEM	PREVOD Z UCTU	4456	23494	DUCHOD	IJ	8272439
133943	449	1998-05-08	PRIJEM	PREVOD Z UCTU	4456	26071	DUCHOD	IJ	8272439
133944	449	1998-06-08	PRIJEM	PREVOD Z UCTU	4456	25372	DUCHOD	IJ	8272439
133945	449	1998-07-08	PRIJEM	PREVOD Z UCTU	4456	24988	DUCHOD	IJ	8272439
133946	449	1998-08-08	PRIJEM	PREVOD Z UCTU	4456	25166	DUCHOD	IJ	8272439
133947	449	1998-09-08	PRIJEM	PREVOD Z UCTU	4456	22302	DUCHOD	IJ	8272439
133948	449	1998-10-08	PRIJEM	PREVOD Z UCTU	4456	24873	DUCHOD	IJ	8272439
133949	449	1998-11-08	PRIJEM	PREVOD Z UCTU	4456	27455	DUCHOD	IJ	8272439
133950	449	1998-12-08	PRIJEM	PREVOD Z UCTU	4456	17447	DUCHOD	IJ	8272439
133967	449	1995-05-07	VYDAJ	PREVOD NA UCET	164	17825	SIPO	AB	84388368
133968	449	1995-06-07	VYDAJ	PREVOD NA UCET	164	20397	SIPO	AB	84388368
133969	449	1995-07-07	VYDAJ	PREVOD NA UCET	164	12196	SIPO	AB	84388368
133970	449	1995-08-07	VYDAJ	PREVOD NA UCET	164	13543	SIPO	AB	84388368
133971	449	1995-09-07	VYDAJ	PREVOD NA UCET	164	12577	SIPO	AB	84388368
133972	449	1995-10-07	VYDAJ	PREVOD NA UCET	164	15131	SIPO	AB	84388368
133973	449	1995-11-07	VYDAJ	PREVOD NA UCET	164	14328	SIPO	AB	84388368
133974	449	1995-12-07	VYDAJ	PREVOD NA UCET	164	16386	SIPO	AB	84388368
133975	449	1996-01-07	VYDAJ	PREVOD NA UCET	164	15590	SIPO	AB	84388368
133976	449	1996-02-07	VYDAJ	PREVOD NA UCET	164	13903	SIPO	AB	84388368
133977	449	1996-03-07	VYDAJ	PREVOD NA UCET	164	16458	SIPO	AB	84388368
133978	449	1996-04-07	VYDAJ	PREVOD NA UCET	164	19025	SIPO	AB	84388368
133979	449	1996-05-07	VYDAJ	PREVOD NA UCET	164	21602	SIPO	AB	84388368
133980	449	1996-06-07	VYDAJ	PREVOD NA UCET	164	22786	SIPO	AB	84388368
133981	449	1996-07-07	VYDAJ	PREVOD NA UCET	164	25379	SIPO	AB	84388368
133982	449	1996-08-07	VYDAJ	PREVOD NA UCET	164	23772	SIPO	AB	84388368
133983	449	1996-09-07	VYDAJ	PREVOD NA UCET	164	23762	SIPO	AB	84388368
133984	449	1996-10-07	VYDAJ	PREVOD NA UCET	164	23451	SIPO	AB	84388368
133985	449	1996-11-07	VYDAJ	PREVOD NA UCET	164	19329	SIPO	AB	84388368
133986	449	1996-12-07	VYDAJ	PREVOD NA UCET	164	16646	SIPO	AB	84388368
133987	449	1997-01-07	VYDAJ	PREVOD NA UCET	164	13604	SIPO	AB	84388368
133988	449	1997-02-07	VYDAJ	PREVOD NA UCET	164	13472	SIPO	AB	84388368
133989	449	1997-03-07	VYDAJ	PREVOD NA UCET	164	14120	SIPO	AB	84388368
133990	449	1997-04-07	VYDAJ	PREVOD NA UCET	164	15473	SIPO	AB	84388368
133991	449	1997-05-07	VYDAJ	PREVOD NA UCET	164	12920	SIPO	AB	84388368
133992	449	1997-06-07	VYDAJ	PREVOD NA UCET	164	11059	SIPO	AB	84388368
133993	449	1997-07-07	VYDAJ	PREVOD NA UCET	164	9991	SIPO	AB	84388368
133994	449	1997-08-07	VYDAJ	PREVOD NA UCET	164	11126	SIPO	AB	84388368
133995	449	1997-09-07	VYDAJ	PREVOD NA UCET	164	13669	SIPO	AB	84388368
133996	449	1997-10-07	VYDAJ	PREVOD NA UCET	164	14619	SIPO	AB	84388368
133997	449	1997-11-07	VYDAJ	PREVOD NA UCET	164	14694	SIPO	AB	84388368
133998	449	1997-12-07	VYDAJ	PREVOD NA UCET	164	14848	SIPO	AB	84388368
133999	449	1998-01-07	VYDAJ	PREVOD NA UCET	164	16456	SIPO	AB	84388368
134000	449	1998-02-07	VYDAJ	PREVOD NA UCET	164	13918	SIPO	AB	84388368
134001	449	1998-03-07	VYDAJ	PREVOD NA UCET	164	16473	SIPO	AB	84388368
134002	449	1998-04-07	VYDAJ	PREVOD NA UCET	164	19038	SIPO	AB	84388368
134003	449	1998-05-07	VYDAJ	PREVOD NA UCET	164	21615	SIPO	AB	84388368
134004	449	1998-06-07	VYDAJ	PREVOD NA UCET	164	20916	SIPO	AB	84388368
134005	449	1998-07-07	VYDAJ	PREVOD NA UCET	164	20532	SIPO	AB	84388368
134006	449	1998-08-07	VYDAJ	PREVOD NA UCET	164	20710	SIPO	AB	84388368
134007	449	1998-09-07	VYDAJ	PREVOD NA UCET	164	17846	SIPO	AB	84388368
134008	449	1998-10-07	VYDAJ	PREVOD NA UCET	164	20417	SIPO	AB	84388368
134009	449	1998-11-07	VYDAJ	PREVOD NA UCET	164	22999	SIPO	AB	84388368
134010	449	1998-12-07	VYDAJ	PREVOD NA UCET	164	12991	SIPO	AB	84388368
134026	449	1995-04-11	VYDAJ	PREVOD NA UCET	1789	21391	 	WX	77323555
134027	449	1995-05-11	VYDAJ	PREVOD NA UCET	1789	20492	 	WX	77323555
134028	449	1995-06-11	VYDAJ	PREVOD NA UCET	1789	12314	 	WX	77323555
134029	449	1995-07-11	VYDAJ	PREVOD NA UCET	1789	14863	 	WX	77323555
134030	449	1995-08-11	VYDAJ	PREVOD NA UCET	1789	16210	 	WX	77323555
134031	449	1995-09-11	VYDAJ	PREVOD NA UCET	1789	15244	 	WX	77323555
134032	449	1995-10-11	VYDAJ	PREVOD NA UCET	1789	17798	 	WX	77323555
134033	449	1995-11-11	VYDAJ	PREVOD NA UCET	1789	16995	 	WX	77323555
134034	449	1995-12-11	VYDAJ	PREVOD NA UCET	1789	19053	 	WX	77323555
134035	449	1996-01-11	VYDAJ	PREVOD NA UCET	1789	15697	 	WX	77323555
134036	449	1996-02-11	VYDAJ	PREVOD NA UCET	1789	16570	 	WX	77323555
134037	449	1996-03-11	VYDAJ	PREVOD NA UCET	1789	19125	 	WX	77323555
134038	449	1996-04-11	VYDAJ	PREVOD NA UCET	1789	21692	 	WX	77323555
134039	449	1996-05-11	VYDAJ	PREVOD NA UCET	1789	24269	 	WX	77323555
134040	449	1996-06-11	VYDAJ	PREVOD NA UCET	1789	25453	 	WX	77323555
134041	449	1996-07-11	VYDAJ	PREVOD NA UCET	1789	28046	 	WX	77323555
134042	449	1996-08-11	VYDAJ	PREVOD NA UCET	1789	26439	 	WX	77323555
134043	449	1996-09-11	VYDAJ	PREVOD NA UCET	1789	26429	 	WX	77323555
134044	449	1996-10-11	VYDAJ	PREVOD NA UCET	1789	26118	 	WX	77323555
134045	449	1996-11-11	VYDAJ	PREVOD NA UCET	1789	21996	 	WX	77323555
134046	449	1996-12-11	VYDAJ	PREVOD NA UCET	1789	16113	 	WX	77323555
134047	449	1997-01-11	VYDAJ	PREVOD NA UCET	1789	14471	 	WX	77323555
134048	449	1997-02-11	VYDAJ	PREVOD NA UCET	1789	14239	 	WX	77323555
134049	449	1997-03-11	VYDAJ	PREVOD NA UCET	1789	16787	 	WX	77323555
134050	449	1997-04-11	VYDAJ	PREVOD NA UCET	1789	13040	 	WX	77323555
134051	449	1997-05-11	VYDAJ	PREVOD NA UCET	1789	11187	 	WX	77323555
134052	449	1997-06-11	VYDAJ	PREVOD NA UCET	1789	10126	 	WX	77323555
134053	449	1997-07-11	VYDAJ	PREVOD NA UCET	1789	11258	 	WX	77323555
134054	449	1997-08-11	VYDAJ	PREVOD NA UCET	1789	13793	 	WX	77323555
134055	449	1997-09-11	VYDAJ	PREVOD NA UCET	1789	14736	 	WX	77323555
134056	449	1997-10-11	VYDAJ	PREVOD NA UCET	1789	17286	 	WX	77323555
134057	449	1997-11-11	VYDAJ	PREVOD NA UCET	1789	17361	 	WX	77323555
134058	449	1997-12-11	VYDAJ	PREVOD NA UCET	1789	17515	 	WX	77323555
134059	449	1998-01-11	VYDAJ	PREVOD NA UCET	1789	15553	 	WX	77323555
134060	449	1998-02-11	VYDAJ	PREVOD NA UCET	1789	16585	 	WX	77323555
134061	449	1998-03-11	VYDAJ	PREVOD NA UCET	1789	19140	 	WX	77323555
134062	449	1998-04-11	VYDAJ	PREVOD NA UCET	1789	21705	 	WX	77323555
134063	449	1998-05-11	VYDAJ	PREVOD NA UCET	1789	24282	 	WX	77323555
134064	449	1998-06-11	VYDAJ	PREVOD NA UCET	1789	23583	 	WX	77323555
134065	449	1998-07-11	VYDAJ	PREVOD NA UCET	1789	23199	 	WX	77323555
134066	449	1998-08-11	VYDAJ	PREVOD NA UCET	1789	23377	 	WX	77323555
134067	449	1998-09-11	VYDAJ	PREVOD NA UCET	1789	20513	 	WX	77323555
134068	449	1998-10-11	VYDAJ	PREVOD NA UCET	1789	23084	 	WX	77323555
134069	449	1998-11-11	VYDAJ	PREVOD NA UCET	1789	25666	 	WX	77323555
134070	449	1998-12-11	VYDAJ	PREVOD NA UCET	1789	15658	 	WX	77323555
134072	449	1995-06-08	VYDAJ	VYBER	10750	14103	\N	\N	\N
134080	449	1998-01-08	VYDAJ	VYBER	2850	17342	\N	\N	\N
134082	449	1995-12-02	VYDAJ	VYBER	500	16550	\N	\N	\N
134083	449	1996-12-04	VYDAJ	VYBER	300	17770	\N	\N	\N
134084	449	1997-12-19	VYDAJ	VYBER	950	16565	\N	\N	\N
134085	449	1998-12-22	VYDAJ	VYBER	850	14808	\N	\N	\N
134098	449	1996-01-09	VYDAJ	VYBER	400	17486	\N	\N	\N
134099	449	1996-01-06	VYDAJ	VYBER	400	15754	\N	\N	\N
134100	449	1996-01-04	VYDAJ	VYBER	2000	16154	\N	\N	\N
134101	449	1996-01-15	VYDAJ	VYBER	960	14017	\N	\N	\N
134102	449	1996-01-07	VYDAJ	VYBER	2160	13430	\N	\N	\N
134103	449	1996-01-12	VYDAJ	VYBER	720	14977	\N	\N	\N
134107	449	1997-01-01	VYDAJ	VYBER	2000	13768	\N	\N	\N
134109	449	1997-01-14	VYDAJ	VYBER	880	13591	\N	\N	\N
134110	449	1998-01-16	VYDAJ	VYBER	720	14033	\N	\N	\N
134113	449	1998-01-14	VYDAJ	VYBER	800	14753	\N	\N	\N
134114	449	1998-01-07	VYDAJ	VYBER	720	15736	\N	\N	\N
134121	449	1995-04-26	VYDAJ	VYBER	1360	17951	\N	\N	\N
134122	449	1995-08-31	VYDAJ	VYBER	3520	12741	\N	\N	\N
134123	449	1995-04-11	VYDAJ	VYBER	2080	19311	\N	\N	\N
134124	449	1995-07-20	VYDAJ	VYBER	1200	13663	\N	\N	\N
134125	449	1995-10-25	VYDAJ	VYBER	3360	14438	\N	\N	\N
134126	449	1995-12-18	VYDAJ	VYBER	960	18093	\N	\N	\N
134127	449	1996-12-05	VYDAJ	VYBER	960	16810	\N	\N	\N
134128	449	1996-12-13	VYDAJ	VYBER	400	15713	\N	\N	\N
134131	449	1997-10-23	VYDAJ	VYBER	2480	14806	\N	\N	\N
134133	449	1997-09-09	VYDAJ	VYBER	1600	16525	\N	\N	\N
134134	449	1997-11-19	VYDAJ	VYBER	2400	14961	\N	\N	\N
134136	449	1998-07-18	VYDAJ	VYBER	2400	20799	\N	\N	\N
134137	449	1998-05-18	VYDAJ	VYBER	3280	21002	\N	\N	\N
134139	449	1998-06-13	VYDAJ	VYBER	2960	20623	\N	\N	\N
134140	449	1998-08-25	VYDAJ	VYBER	1920	17937	\N	\N	\N
134141	449	1998-08-19	VYDAJ	VYBER	3520	19857	\N	\N	\N
134158	449	1995-04-30	VYDAJ	VYBER	15	17989	SLUZBY	\N	\N
134159	449	1995-05-31	VYDAJ	VYBER	15	20561	SLUZBY	\N	\N
134160	449	1995-06-30	VYDAJ	VYBER	15	12360	SLUZBY	\N	\N
134161	449	1995-07-31	VYDAJ	VYBER	15	13707	SLUZBY	\N	\N
134162	449	1995-08-31	VYDAJ	VYBER	15	16261	SLUZBY	\N	\N
134163	449	1995-09-30	VYDAJ	VYBER	15	15295	SLUZBY	\N	\N
134164	449	1995-10-31	VYDAJ	VYBER	15	14492	SLUZBY	\N	\N
134165	449	1995-11-30	VYDAJ	VYBER	15	17050	SLUZBY	\N	\N
134166	449	1995-12-31	VYDAJ	VYBER	15	18154	SLUZBY	\N	\N
134167	449	1996-01-31	VYDAJ	VYBER	15	14067	SLUZBY	\N	\N
134168	449	1996-02-29	VYDAJ	VYBER	15	16622	SLUZBY	\N	\N
134169	449	1996-03-31	VYDAJ	VYBER	15	19189	SLUZBY	\N	\N
134170	449	1996-04-30	VYDAJ	VYBER	15	21766	SLUZBY	\N	\N
134171	449	1996-05-31	VYDAJ	VYBER	15	22950	SLUZBY	\N	\N
134172	449	1996-06-30	VYDAJ	VYBER	15	25543	SLUZBY	\N	\N
134173	449	1996-07-31	VYDAJ	VYBER	15	23936	SLUZBY	\N	\N
134174	449	1996-08-31	VYDAJ	VYBER	15	23926	SLUZBY	\N	\N
134175	449	1996-09-30	VYDAJ	VYBER	15	23615	SLUZBY	\N	\N
134176	449	1996-10-31	VYDAJ	VYBER	15	19493	SLUZBY	\N	\N
134177	449	1996-11-30	VYDAJ	VYBER	15	18070	SLUZBY	\N	\N
134178	449	1996-12-31	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
134179	449	1997-01-31	VYDAJ	VYBER	15	13636	SLUZBY	\N	\N
134180	449	1997-02-28	VYDAJ	VYBER	15	14284	SLUZBY	\N	\N
134181	449	1997-03-31	VYDAJ	VYBER	15	15637	SLUZBY	\N	\N
134182	449	1997-04-30	VYDAJ	VYBER	15	13084	SLUZBY	\N	\N
134183	449	1997-05-31	VYDAJ	VYBER	15	11223	SLUZBY	\N	\N
134184	449	1997-06-30	VYDAJ	VYBER	15	10155	SLUZBY	\N	\N
134185	449	1997-07-31	VYDAJ	VYBER	15	11290	SLUZBY	\N	\N
134186	449	1997-08-31	VYDAJ	VYBER	15	13833	SLUZBY	\N	\N
134187	449	1997-09-30	VYDAJ	VYBER	15	14783	SLUZBY	\N	\N
134188	449	1997-10-31	VYDAJ	VYBER	15	14858	SLUZBY	\N	\N
134189	449	1997-11-30	VYDAJ	VYBER	15	15012	SLUZBY	\N	\N
134190	449	1997-12-31	VYDAJ	VYBER	15	16620	SLUZBY	\N	\N
134191	449	1998-01-31	VYDAJ	VYBER	15	14082	SLUZBY	\N	\N
134192	449	1998-02-28	VYDAJ	VYBER	15	16637	SLUZBY	\N	\N
134193	449	1998-03-31	VYDAJ	VYBER	15	19202	SLUZBY	\N	\N
134194	449	1998-04-30	VYDAJ	VYBER	15	21779	SLUZBY	\N	\N
134195	449	1998-05-31	VYDAJ	VYBER	15	21080	SLUZBY	\N	\N
134196	449	1998-06-30	VYDAJ	VYBER	15	20696	SLUZBY	\N	\N
134197	449	1998-07-31	VYDAJ	VYBER	15	20874	SLUZBY	\N	\N
134198	449	1998-08-31	VYDAJ	VYBER	15	18010	SLUZBY	\N	\N
134199	449	1998-09-30	VYDAJ	VYBER	15	20581	SLUZBY	\N	\N
134200	449	1998-10-31	VYDAJ	VYBER	15	23163	SLUZBY	\N	\N
134201	449	1998-11-30	VYDAJ	VYBER	15	25755	SLUZBY	\N	\N
134202	449	1996-05-15	VYDAJ	VYBER	1400	22869	\N	\N	\N
134203	449	1996-07-14	VYDAJ	VYBER	4200	23846	\N	\N	\N
134204	449	1996-08-13	VYDAJ	VYBER	2600	23839	\N	\N	\N
134205	449	1996-09-12	VYDAJ	VYBER	2900	23529	\N	\N	\N
134206	449	1996-10-12	VYDAJ	VYBER	6700	19418	\N	\N	\N
134207	449	1996-11-11	VYDAJ	VYBER	4000	17996	\N	\N	\N
134208	449	1996-12-11	VYDAJ	VYBER	3200	17902	\N	\N	\N
134209	449	1997-01-10	VYDAJ	VYBER	1800	16260	\N	\N	\N
134210	449	1997-02-09	VYDAJ	VYBER	1900	16028	\N	\N	\N
134211	449	1997-03-11	VYDAJ	VYBER	1200	15587	\N	\N	\N
134212	449	1997-04-10	VYDAJ	VYBER	5100	14829	\N	\N	\N
134213	449	1997-05-10	VYDAJ	VYBER	4400	12976	\N	\N	\N
134214	449	1997-06-09	VYDAJ	VYBER	3600	11915	\N	\N	\N
134215	449	1997-07-09	VYDAJ	VYBER	1400	13047	\N	\N	\N
134216	449	1998-12-01	VYDAJ	VYBER	12600	13155	\N	\N	\N
134262	450	1996-05-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
134268	450	1996-06-12	PRIJEM	PREVOD Z UCTU	4393	5493	DUCHOD	AB	94329887
134269	450	1996-07-12	PRIJEM	PREVOD Z UCTU	4393	9886	DUCHOD	AB	94329887
134270	450	1996-08-12	PRIJEM	PREVOD Z UCTU	4393	14279	DUCHOD	AB	94329887
134271	450	1996-09-12	PRIJEM	PREVOD Z UCTU	4393	18672	DUCHOD	AB	94329887
134272	450	1996-10-12	PRIJEM	PREVOD Z UCTU	4393	23065	DUCHOD	AB	94329887
134273	450	1996-11-12	PRIJEM	PREVOD Z UCTU	4393	25089	DUCHOD	AB	94329887
134274	450	1996-12-12	PRIJEM	PREVOD Z UCTU	4393	19531	DUCHOD	AB	94329887
134275	450	1997-01-12	PRIJEM	PREVOD Z UCTU	4393	19878	DUCHOD	AB	94329887
134276	450	1997-02-12	PRIJEM	PREVOD Z UCTU	4393	17433	DUCHOD	AB	94329887
134277	450	1997-03-12	PRIJEM	PREVOD Z UCTU	4393	16081	DUCHOD	AB	94329887
134278	450	1997-04-12	PRIJEM	PREVOD Z UCTU	4393	15707	DUCHOD	AB	94329887
134279	450	1997-05-12	PRIJEM	PREVOD Z UCTU	4393	16532	DUCHOD	AB	94329887
134280	450	1997-06-12	PRIJEM	PREVOD Z UCTU	4393	16459	DUCHOD	AB	94329887
134281	450	1997-07-12	PRIJEM	PREVOD Z UCTU	4393	18488	DUCHOD	AB	94329887
134282	450	1997-08-12	PRIJEM	PREVOD Z UCTU	4393	14758	DUCHOD	AB	94329887
134283	450	1997-09-12	PRIJEM	PREVOD Z UCTU	4393	16780	DUCHOD	AB	94329887
134284	450	1997-10-12	PRIJEM	PREVOD Z UCTU	4393	18811	DUCHOD	AB	94329887
134285	450	1997-11-12	PRIJEM	PREVOD Z UCTU	4393	17249	DUCHOD	AB	94329887
134286	450	1997-12-12	PRIJEM	PREVOD Z UCTU	4393	16076	DUCHOD	AB	94329887
134287	450	1998-01-12	PRIJEM	PREVOD Z UCTU	4393	16000	DUCHOD	AB	94329887
134288	450	1998-02-12	PRIJEM	PREVOD Z UCTU	4393	17467	DUCHOD	AB	94329887
134289	450	1998-03-12	PRIJEM	PREVOD Z UCTU	4393	15393	DUCHOD	AB	94329887
134290	450	1998-04-12	PRIJEM	PREVOD Z UCTU	4393	17417	DUCHOD	AB	94329887
134291	450	1998-05-12	PRIJEM	PREVOD Z UCTU	4393	19451	DUCHOD	AB	94329887
134292	450	1998-06-12	PRIJEM	PREVOD Z UCTU	4393	15281	DUCHOD	AB	94329887
134293	450	1998-07-12	PRIJEM	PREVOD Z UCTU	4393	17305	DUCHOD	AB	94329887
134294	450	1998-08-12	PRIJEM	PREVOD Z UCTU	4393	15330	DUCHOD	AB	94329887
134295	450	1998-09-12	PRIJEM	PREVOD Z UCTU	4393	16853	DUCHOD	AB	94329887
134296	450	1998-10-12	PRIJEM	PREVOD Z UCTU	4393	17381	DUCHOD	AB	94329887
134297	450	1998-11-12	PRIJEM	PREVOD Z UCTU	4393	18812	DUCHOD	AB	94329887
134298	450	1998-12-12	PRIJEM	PREVOD Z UCTU	4393	18451	DUCHOD	AB	94329887
134308	450	1996-10-14	VYDAJ	PREVOD NA UCET	2404	20661	SIPO	QR	70611452
134309	450	1996-11-14	VYDAJ	PREVOD NA UCET	2404	22685	SIPO	QR	70611452
134310	450	1996-12-14	VYDAJ	PREVOD NA UCET	2404	17127	SIPO	QR	70611452
134311	450	1997-01-14	VYDAJ	PREVOD NA UCET	2404	14674	SIPO	QR	70611452
134312	450	1997-02-14	VYDAJ	PREVOD NA UCET	2404	15029	SIPO	QR	70611452
134313	450	1997-03-14	VYDAJ	PREVOD NA UCET	2404	13677	SIPO	QR	70611452
134314	450	1997-04-14	VYDAJ	PREVOD NA UCET	2404	13303	SIPO	QR	70611452
134315	450	1997-05-14	VYDAJ	PREVOD NA UCET	2404	14128	SIPO	QR	70611452
134316	450	1997-06-14	VYDAJ	PREVOD NA UCET	2404	14055	SIPO	QR	70611452
134317	450	1997-07-14	VYDAJ	PREVOD NA UCET	2404	16084	SIPO	QR	70611452
134318	450	1997-08-14	VYDAJ	PREVOD NA UCET	2404	12354	SIPO	QR	70611452
134319	450	1997-09-14	VYDAJ	PREVOD NA UCET	2404	14376	SIPO	QR	70611452
134320	450	1997-10-14	VYDAJ	PREVOD NA UCET	2404	16407	SIPO	QR	70611452
134321	450	1997-11-14	VYDAJ	PREVOD NA UCET	2404	14845	SIPO	QR	70611452
134322	450	1997-12-14	VYDAJ	PREVOD NA UCET	2404	13672	SIPO	QR	70611452
134323	450	1998-01-14	VYDAJ	PREVOD NA UCET	2404	13596	SIPO	QR	70611452
134324	450	1998-02-14	VYDAJ	PREVOD NA UCET	2404	15063	SIPO	QR	70611452
134325	450	1998-03-14	VYDAJ	PREVOD NA UCET	2404	12989	SIPO	QR	70611452
134326	450	1998-04-14	VYDAJ	PREVOD NA UCET	2404	15013	SIPO	QR	70611452
134327	450	1998-05-14	VYDAJ	PREVOD NA UCET	2404	17047	SIPO	QR	70611452
134328	450	1998-06-14	VYDAJ	PREVOD NA UCET	2404	12877	SIPO	QR	70611452
134329	450	1998-07-14	VYDAJ	PREVOD NA UCET	2404	14901	SIPO	QR	70611452
134330	450	1998-08-14	VYDAJ	PREVOD NA UCET	2404	12926	SIPO	QR	70611452
134331	450	1998-09-14	VYDAJ	PREVOD NA UCET	2404	14449	SIPO	QR	70611452
134332	450	1998-10-14	VYDAJ	PREVOD NA UCET	2404	14977	SIPO	QR	70611452
134333	450	1998-11-14	VYDAJ	PREVOD NA UCET	2404	16408	SIPO	QR	70611452
134334	450	1998-12-14	VYDAJ	PREVOD NA UCET	2404	16047	SIPO	QR	70611452
134338	450	1996-12-25	VYDAJ	VYBER	500	15427	\N	\N	\N
134340	450	1998-12-03	VYDAJ	VYBER	300	15258	\N	\N	\N
134348	450	1997-01-17	VYDAJ	VYBER	1200	13474	\N	\N	\N
134350	450	1997-01-13	VYDAJ	VYBER	480	17078	\N	\N	\N
134351	450	1997-01-12	VYDAJ	VYBER	2320	17558	\N	\N	\N
134352	450	1997-01-25	VYDAJ	VYBER	480	12994	\N	\N	\N
134356	450	1998-01-16	VYDAJ	VYBER	560	13036	\N	\N	\N
134362	450	1996-12-07	VYDAJ	VYBER	3520	15138	\N	\N	\N
134364	450	1997-10-30	VYDAJ	VYBER	3600	12807	\N	\N	\N
134365	450	1997-07-20	VYDAJ	VYBER	2160	13924	\N	\N	\N
134366	450	1997-02-20	VYDAJ	VYBER	2480	12549	\N	\N	\N
134367	450	1998-12-04	VYDAJ	VYBER	1200	14058	\N	\N	\N
134383	450	1996-10-31	VYDAJ	VYBER	15	20696	SLUZBY	\N	\N
134384	450	1996-11-30	VYDAJ	VYBER	15	18658	SLUZBY	\N	\N
134385	450	1996-12-31	VYDAJ	VYBER	15	15485	SLUZBY	\N	\N
134386	450	1997-01-31	VYDAJ	VYBER	15	13040	SLUZBY	\N	\N
134387	450	1997-02-28	VYDAJ	VYBER	15	11688	SLUZBY	\N	\N
134388	450	1997-03-31	VYDAJ	VYBER	15	11314	SLUZBY	\N	\N
134389	450	1997-04-30	VYDAJ	VYBER	15	12139	SLUZBY	\N	\N
134390	450	1997-05-31	VYDAJ	VYBER	15	12066	SLUZBY	\N	\N
134391	450	1997-06-30	VYDAJ	VYBER	15	14095	SLUZBY	\N	\N
134392	450	1997-07-31	VYDAJ	VYBER	15	10365	SLUZBY	\N	\N
134393	450	1997-08-31	VYDAJ	VYBER	15	12387	SLUZBY	\N	\N
134394	450	1997-09-30	VYDAJ	VYBER	15	14418	SLUZBY	\N	\N
134395	450	1997-10-31	VYDAJ	VYBER	15	12856	SLUZBY	\N	\N
134396	450	1997-11-30	VYDAJ	VYBER	15	11683	SLUZBY	\N	\N
134397	450	1997-12-31	VYDAJ	VYBER	15	11607	SLUZBY	\N	\N
134398	450	1998-01-31	VYDAJ	VYBER	15	13074	SLUZBY	\N	\N
134399	450	1998-02-28	VYDAJ	VYBER	15	11000	SLUZBY	\N	\N
134400	450	1998-03-31	VYDAJ	VYBER	15	13024	SLUZBY	\N	\N
134401	450	1998-04-30	VYDAJ	VYBER	15	15058	SLUZBY	\N	\N
134402	450	1998-05-31	VYDAJ	VYBER	15	10888	SLUZBY	\N	\N
134403	450	1998-06-30	VYDAJ	VYBER	15	12912	SLUZBY	\N	\N
134404	450	1998-07-31	VYDAJ	VYBER	15	10937	SLUZBY	\N	\N
134405	450	1998-08-31	VYDAJ	VYBER	15	12460	SLUZBY	\N	\N
134406	450	1998-09-30	VYDAJ	VYBER	15	12988	SLUZBY	\N	\N
134407	450	1998-10-31	VYDAJ	VYBER	15	14419	SLUZBY	\N	\N
134408	450	1998-11-30	VYDAJ	VYBER	15	15558	SLUZBY	\N	\N
134409	450	1996-11-24	VYDAJ	VYBER	4100	18585	\N	\N	\N
134410	450	1996-12-24	VYDAJ	VYBER	1200	15927	\N	\N	\N
134411	450	1997-02-22	VYDAJ	VYBER	900	11649	\N	\N	\N
134412	450	1997-03-24	VYDAJ	VYBER	2400	11277	\N	\N	\N
134413	450	1997-04-23	VYDAJ	VYBER	1200	12103	\N	\N	\N
134414	450	1997-05-23	VYDAJ	VYBER	2100	12028	\N	\N	\N
134415	450	1997-07-22	VYDAJ	VYBER	3600	10324	\N	\N	\N
134416	450	1997-11-19	VYDAJ	VYBER	3200	11645	\N	\N	\N
134417	450	1997-12-19	VYDAJ	VYBER	2100	11572	\N	\N	\N
134418	450	1998-02-17	VYDAJ	VYBER	4100	10963	\N	\N	\N
134419	450	1998-05-18	VYDAJ	VYBER	6200	10847	\N	\N	\N
134420	450	1998-07-17	VYDAJ	VYBER	4000	10901	\N	\N	\N
134421	450	1998-08-16	VYDAJ	VYBER	500	12426	\N	\N	\N
134422	450	1998-09-15	VYDAJ	VYBER	1500	12949	\N	\N	\N
134423	450	1998-10-15	VYDAJ	VYBER	600	14377	\N	\N	\N
134424	450	1998-11-14	VYDAJ	VYBER	900	15508	\N	\N	\N
134452	451	1994-05-05	PRIJEM	VKLAD	700	700	\N	\N	\N
134645	451	1994-06-04	PRIJEM	VKLAD	12300	13000	\N	\N	\N
134646	451	1994-07-04	PRIJEM	VKLAD	5800	18800	\N	\N	\N
134647	451	1994-08-03	PRIJEM	VKLAD	4500	23300	\N	\N	\N
134648	451	1994-09-02	PRIJEM	VKLAD	1300	24600	\N	\N	\N
134649	451	1994-10-02	VYDAJ	VYBER	800	23800	\N	\N	\N
134650	451	1994-11-01	PRIJEM	VKLAD	1300	25100	\N	\N	\N
134651	451	1994-12-01	PRIJEM	VKLAD	1300	26400	\N	\N	\N
134652	451	1994-12-31	PRIJEM	VKLAD	500	26900	\N	\N	\N
134653	451	1995-01-30	PRIJEM	VKLAD	2500	29404	\N	\N	\N
134654	451	1995-03-01	PRIJEM	VKLAD	800	30328	\N	\N	\N
134655	451	1995-03-31	PRIJEM	VKLAD	500	30940	\N	\N	\N
134656	451	1995-04-30	VYDAJ	VYBER	4100	26969	\N	\N	\N
134657	451	1995-05-30	PRIJEM	VKLAD	1300	28269	\N	\N	\N
134658	451	1995-06-29	VYDAJ	VYBER	4300	24098	\N	\N	\N
134659	451	1995-07-29	PRIJEM	VKLAD	3200	27427	\N	\N	\N
134660	451	1995-08-28	PRIJEM	VKLAD	200	27756	\N	\N	\N
134661	451	1995-09-27	PRIJEM	VKLAD	1600	29485	\N	\N	\N
134662	451	1995-10-27	VYDAJ	VYBER	3600	26014	\N	\N	\N
134663	451	1995-11-26	PRIJEM	VKLAD	1700	27843	\N	\N	\N
134664	451	1995-12-26	VYDAJ	VYBER	1300	26672	\N	\N	\N
134665	451	1996-01-25	PRIJEM	VKLAD	400	27201	\N	\N	\N
134666	451	1996-02-24	VYDAJ	VYBER	2300	25029	\N	\N	\N
134667	451	1996-03-25	PRIJEM	VKLAD	700	25858	\N	\N	\N
134668	451	1996-04-24	VYDAJ	VYBER	1500	24487	\N	\N	\N
134669	451	1996-05-24	PRIJEM	VKLAD	300	24916	\N	\N	\N
134670	451	1996-06-23	VYDAJ	VYBER	1700	23345	\N	\N	\N
134671	451	1996-07-23	PRIJEM	VKLAD	900	24374	\N	\N	\N
134672	451	1996-08-22	VYDAJ	VYBER	2600	21903	\N	\N	\N
134673	451	1996-09-21	VYDAJ	VYBER	1200	20832	\N	\N	\N
134674	451	1996-10-21	VYDAJ	VYBER	3900	17061	\N	\N	\N
134675	451	1996-11-20	PRIJEM	VKLAD	1400	18590	\N	\N	\N
134676	451	1996-12-20	VYDAJ	VYBER	1000	17719	\N	\N	\N
134677	451	1997-01-19	PRIJEM	VKLAD	3900	21747	\N	\N	\N
134678	451	1997-02-18	VYDAJ	VYBER	500	21376	\N	\N	\N
134679	451	1997-03-20	PRIJEM	VKLAD	1100	22605	\N	\N	\N
134680	451	1997-04-19	VYDAJ	VYBER	700	22034	\N	\N	\N
134681	451	1997-05-19	VYDAJ	VYBER	1100	21063	\N	\N	\N
134682	451	1997-06-18	VYDAJ	VYBER	1200	19992	\N	\N	\N
134683	451	1997-07-18	VYDAJ	VYBER	700	19421	\N	\N	\N
134684	451	1997-08-17	VYDAJ	VYBER	200	19350	\N	\N	\N
134685	451	1997-09-16	VYDAJ	VYBER	1300	18179	\N	\N	\N
134686	451	1997-10-16	PRIJEM	VKLAD	5500	23808	\N	\N	\N
134687	451	1997-11-15	VYDAJ	VYBER	300	23637	\N	\N	\N
134688	451	1997-12-15	VYDAJ	VYBER	2700	21065	\N	\N	\N
134689	451	1998-01-14	PRIJEM	VKLAD	2000	23194	\N	\N	\N
134690	451	1998-02-13	VYDAJ	VYBER	3000	20323	\N	\N	\N
134691	451	1998-03-15	VYDAJ	VYBER	100	20352	\N	\N	\N
134692	451	1998-04-14	VYDAJ	VYBER	2600	17881	\N	\N	\N
134693	451	1998-05-14	PRIJEM	VKLAD	200	18210	\N	\N	\N
134694	451	1998-06-13	VYDAJ	VYBER	2900	15439	\N	\N	\N
134695	451	1998-07-13	PRIJEM	VKLAD	2200	17768	\N	\N	\N
134696	451	1998-08-12	PRIJEM	VKLAD	6600	24497	\N	\N	\N
134697	451	1998-10-11	VYDAJ	VYBER	900	23726	\N	\N	\N
134698	451	1998-11-10	VYDAJ	VYBER	3600	20255	\N	\N	\N
134699	451	1998-12-10	VYDAJ	VYBER	3600	16783	\N	\N	\N
134746	452	1995-11-29	PRIJEM	VKLAD	800	800	\N	\N	\N
134749	452	1995-12-08	PRIJEM	VKLAD	6942	7742	\N	\N	\N
134765	452	1995-12-21	PRIJEM	VKLAD	47199	54941	\N	\N	\N
134772	452	1996-05-12	PRIJEM	VKLAD	39627	94404	\N	\N	\N
134773	452	1996-11-14	PRIJEM	VKLAD	17625	74406	\N	\N	\N
134774	452	1996-02-20	PRIJEM	VKLAD	38333	79177	\N	\N	\N
134775	452	1996-01-18	PRIJEM	VKLAD	10750	53567	\N	\N	\N
134776	452	1996-05-07	PRIJEM	VKLAD	19371	54777	\N	\N	\N
134777	452	1996-09-04	PRIJEM	VKLAD	46303	74613	\N	\N	\N
134778	452	1996-10-18	PRIJEM	VKLAD	35269	83059	\N	\N	\N
134779	452	1996-09-07	PRIJEM	VKLAD	17664	86844	\N	\N	\N
134780	452	1996-05-26	PRIJEM	VKLAD	32075	126479	\N	\N	\N
134781	452	1996-11-17	PRIJEM	VKLAD	29899	104305	\N	\N	\N
134782	452	1997-02-06	PRIJEM	VKLAD	7470	45154	\N	\N	\N
134783	452	1997-01-11	PRIJEM	VKLAD	48660	72004	\N	\N	\N
134784	452	1997-11-24	PRIJEM	VKLAD	40388	98613	\N	\N	\N
134785	452	1997-11-16	PRIJEM	VKLAD	42688	73725	\N	\N	\N
134786	452	1997-05-15	PRIJEM	VKLAD	11541	44190	\N	\N	\N
134787	452	1997-08-27	PRIJEM	VKLAD	7115	44595	\N	\N	\N
134788	452	1997-06-09	PRIJEM	VKLAD	42879	85398	\N	\N	\N
134789	452	1998-08-21	PRIJEM	VKLAD	44601	89439	\N	\N	\N
134790	452	1998-01-07	PRIJEM	VKLAD	44839	99414	\N	\N	\N
134791	452	1998-06-27	PRIJEM	VKLAD	35254	144004	\N	\N	\N
134792	452	1998-06-22	PRIJEM	VKLAD	45984	108750	\N	\N	\N
134793	452	1998-12-04	PRIJEM	VKLAD	48043	89138	\N	\N	\N
134794	452	1998-06-10	PRIJEM	VKLAD	48438	103664	\N	\N	\N
134795	452	1998-09-18	PRIJEM	VKLAD	46246	88386	\N	\N	\N
134796	452	1998-05-23	PRIJEM	VKLAD	42305	111697	\N	\N	\N
134797	452	1998-09-25	PRIJEM	VKLAD	36424	124810	\N	\N	\N
134798	452	1998-10-27	PRIJEM	VKLAD	47265	130106	\N	\N	\N
134799	452	1998-02-09	PRIJEM	VKLAD	21314	46102	\N	\N	\N
134800	452	1998-07-14	PRIJEM	VKLAD	48586	120313	\N	\N	\N
134801	452	1998-08-12	PRIJEM	VKLAD	8973	31938	\N	\N	\N
134802	452	1998-02-15	PRIJEM	VKLAD	34397	80499	\N	\N	\N
134803	452	1998-04-24	PRIJEM	VKLAD	33165	99609	\N	\N	\N
134804	452	1998-10-11	PRIJEM	VKLAD	44195	109441	\N	\N	\N
134805	452	1998-06-11	PRIJEM	VKLAD	5002	108666	\N	\N	\N
134806	452	1998-04-06	PRIJEM	VKLAD	48617	87277	\N	\N	\N
134824	452	1996-06-06	VYDAJ	PREVOD NA UCET	5058	32717	SIPO	OP	27081912
134825	452	1996-07-06	VYDAJ	PREVOD NA UCET	5058	27919	SIPO	OP	27081912
134826	452	1996-08-06	VYDAJ	PREVOD NA UCET	5058	24392	SIPO	OP	27081912
134827	452	1996-09-06	VYDAJ	PREVOD NA UCET	5058	69555	SIPO	OP	27081912
134828	452	1996-10-06	VYDAJ	PREVOD NA UCET	5058	56490	SIPO	OP	27081912
134829	452	1996-11-06	VYDAJ	PREVOD NA UCET	5058	56781	SIPO	OP	27081912
134830	452	1996-12-06	VYDAJ	PREVOD NA UCET	5058	53755	SIPO	OP	27081912
134831	452	1997-01-06	VYDAJ	PREVOD NA UCET	5058	23344	SIPO	OP	27081912
134832	452	1997-02-06	VYDAJ	PREVOD NA UCET	5058	40096	SIPO	OP	27081912
134833	452	1997-03-06	VYDAJ	PREVOD NA UCET	5058	30735	SIPO	OP	27081912
134834	452	1997-04-06	VYDAJ	PREVOD NA UCET	5058	32739	SIPO	OP	27081912
134835	452	1997-05-06	VYDAJ	PREVOD NA UCET	5058	32649	SIPO	OP	27081912
134836	452	1997-06-06	VYDAJ	PREVOD NA UCET	5058	42519	SIPO	OP	27081912
134837	452	1997-07-06	VYDAJ	PREVOD NA UCET	5058	44373	SIPO	OP	27081912
134838	452	1997-08-06	VYDAJ	PREVOD NA UCET	5058	35355	SIPO	OP	27081912
134839	452	1997-09-06	VYDAJ	PREVOD NA UCET	5058	39680	SIPO	OP	27081912
134840	452	1997-10-06	VYDAJ	PREVOD NA UCET	5058	33828	SIPO	OP	27081912
134841	452	1997-11-06	VYDAJ	PREVOD NA UCET	5058	31412	SIPO	OP	27081912
134842	452	1997-12-06	VYDAJ	PREVOD NA UCET	5058	86573	SIPO	OP	27081912
134843	452	1998-01-06	VYDAJ	PREVOD NA UCET	5058	54950	SIPO	OP	27081912
134844	452	1998-02-06	VYDAJ	PREVOD NA UCET	5058	45728	SIPO	OP	27081912
134845	452	1998-03-06	VYDAJ	PREVOD NA UCET	5058	46750	SIPO	OP	27081912
134846	452	1998-04-06	VYDAJ	PREVOD NA UCET	5058	81844	SIPO	OP	27081912
134847	452	1998-05-06	VYDAJ	PREVOD NA UCET	5058	94863	SIPO	OP	27081912
134848	452	1998-06-06	VYDAJ	PREVOD NA UCET	5058	55601	SIPO	OP	27081912
134849	452	1998-07-06	VYDAJ	PREVOD NA UCET	5058	71727	SIPO	OP	27081912
134850	452	1998-08-06	VYDAJ	PREVOD NA UCET	5058	22965	SIPO	OP	27081912
134851	452	1998-09-06	VYDAJ	PREVOD NA UCET	5058	29340	SIPO	OP	27081912
134852	452	1998-10-06	VYDAJ	PREVOD NA UCET	5058	65246	SIPO	OP	27081912
134853	452	1998-11-06	VYDAJ	PREVOD NA UCET	5058	61670	SIPO	OP	27081912
134854	452	1998-12-06	VYDAJ	PREVOD NA UCET	5058	83705	SIPO	OP	27081912
134872	452	1996-06-06	VYDAJ	PREVOD NA UCET	375	32342	 	OP	33601921
134873	452	1996-07-06	VYDAJ	PREVOD NA UCET	375	27544	 	OP	33601921
134874	452	1996-08-06	VYDAJ	PREVOD NA UCET	375	24017	 	OP	33601921
134875	452	1996-09-06	VYDAJ	PREVOD NA UCET	375	69180	 	OP	33601921
134876	452	1996-10-06	VYDAJ	PREVOD NA UCET	375	61548	 	OP	33601921
134877	452	1996-11-06	VYDAJ	PREVOD NA UCET	375	61839	 	OP	33601921
134878	452	1996-12-06	VYDAJ	PREVOD NA UCET	375	58813	 	OP	33601921
134879	452	1997-01-06	VYDAJ	PREVOD NA UCET	375	28402	 	OP	33601921
134880	452	1997-02-06	VYDAJ	PREVOD NA UCET	375	39721	 	OP	33601921
134881	452	1997-03-06	VYDAJ	PREVOD NA UCET	375	35793	 	OP	33601921
134882	452	1997-04-06	VYDAJ	PREVOD NA UCET	375	37797	 	OP	33601921
134883	452	1997-05-06	VYDAJ	PREVOD NA UCET	375	37707	 	OP	33601921
134884	452	1997-06-06	VYDAJ	PREVOD NA UCET	375	47577	 	OP	33601921
134885	452	1997-07-06	VYDAJ	PREVOD NA UCET	375	49431	 	OP	33601921
134886	452	1997-08-06	VYDAJ	PREVOD NA UCET	375	34980	 	OP	33601921
134887	452	1997-09-06	VYDAJ	PREVOD NA UCET	375	39305	 	OP	33601921
134888	452	1997-10-06	VYDAJ	PREVOD NA UCET	375	38886	 	OP	33601921
134889	452	1997-11-06	VYDAJ	PREVOD NA UCET	375	31037	 	OP	33601921
134890	452	1997-12-06	VYDAJ	PREVOD NA UCET	375	86198	 	OP	33601921
134891	452	1998-01-06	VYDAJ	PREVOD NA UCET	375	54575	 	OP	33601921
134892	452	1998-02-06	VYDAJ	PREVOD NA UCET	375	45353	 	OP	33601921
134893	452	1998-03-06	VYDAJ	PREVOD NA UCET	375	46375	 	OP	33601921
134894	452	1998-04-06	VYDAJ	PREVOD NA UCET	375	86902	 	OP	33601921
134895	452	1998-05-06	VYDAJ	PREVOD NA UCET	375	94488	 	OP	33601921
134896	452	1998-06-06	VYDAJ	PREVOD NA UCET	375	55226	 	OP	33601921
134897	452	1998-07-06	VYDAJ	PREVOD NA UCET	375	76785	 	OP	33601921
134898	452	1998-08-06	VYDAJ	PREVOD NA UCET	375	28023	 	OP	33601921
134899	452	1998-09-06	VYDAJ	PREVOD NA UCET	375	34398	 	OP	33601921
134900	452	1998-10-06	VYDAJ	PREVOD NA UCET	375	70304	 	OP	33601921
134901	452	1998-11-06	VYDAJ	PREVOD NA UCET	375	61295	 	OP	33601921
134902	452	1998-12-06	VYDAJ	PREVOD NA UCET	375	88763	 	OP	33601921
134916	452	1997-07-25	VYBER	VYBER	2229	40244	\N	\N	\N
134917	452	1998-12-01	VYBER	VYBER	18939	41095	\N	\N	\N
134918	452	1998-10-06	VYBER	VYBER	15994	70679	\N	\N	\N
134919	452	1998-07-18	VYBER	VYBER	20739	51974	\N	\N	\N
134920	452	1998-08-21	VYBER	VYBER	11182	78257	\N	\N	\N
134921	452	1998-07-27	VYBER	VYBER	18317	33657	\N	\N	\N
134922	452	1998-05-09	VYBER	VYBER	12396	82092	\N	\N	\N
134923	452	1998-07-01	VYBER	VYBER	6346	77160	\N	\N	\N
134924	452	1998-02-07	VYBER	VYBER	20565	24788	\N	\N	\N
134925	452	1998-09-06	VYBER	VYBER	19052	34773	\N	\N	\N
134926	452	1998-08-24	VYBER	VYBER	24600	53657	\N	\N	\N
134927	452	1998-07-29	VYBER	VYBER	5511	28146	\N	\N	\N
134929	452	1998-04-03	VYBER	VYBER	9699	38660	\N	\N	\N
134932	452	1996-06-01	VYDAJ	VYBER	15900	37775	\N	\N	\N
134933	452	1997-06-10	VYDAJ	VYBER	27000	58398	\N	\N	\N
134938	452	1998-01-12	VYDAJ	VYBER	15900	82014	\N	\N	\N
134940	452	1996-12-28	VYDAJ	VYBER	6900	41155	\N	\N	\N
134941	452	1997-12-07	VYDAJ	VYBER	5400	80798	\N	\N	\N
134942	452	1998-12-09	VYDAJ	VYBER	7800	75905	\N	\N	\N
134955	452	1997-01-21	VYDAJ	VYBER	4200	58204	\N	\N	\N
134956	452	1997-01-04	VYDAJ	VYBER	5700	28777	\N	\N	\N
134957	452	1997-01-18	VYDAJ	VYBER	7800	62404	\N	\N	\N
134958	452	1997-01-11	VYDAJ	VYBER	1800	70204	\N	\N	\N
134959	452	1997-01-23	VYDAJ	VYBER	3900	44104	\N	\N	\N
134961	452	1998-01-05	VYDAJ	VYBER	8100	60008	\N	\N	\N
134962	452	1998-01-26	VYDAJ	VYBER	8100	50514	\N	\N	\N
134963	452	1998-01-18	VYDAJ	VYBER	3000	60714	\N	\N	\N
134964	452	1998-01-16	VYDAJ	VYBER	5100	76914	\N	\N	\N
134965	452	1998-01-07	VYDAJ	VYBER	1500	97914	\N	\N	\N
134966	452	1998-01-21	VYDAJ	VYBER	2100	58614	\N	\N	\N
134971	452	1996-11-17	VYDAJ	VYBER	4500	99805	\N	\N	\N
134972	452	1996-10-15	VYDAJ	VYBER	8700	47790	\N	\N	\N
134973	452	1996-12-04	VYDAJ	VYBER	11100	59188	\N	\N	\N
134975	452	1997-01-24	VYDAJ	VYBER	6600	37504	\N	\N	\N
134976	452	1997-02-24	VYDAJ	VYBER	2400	36021	\N	\N	\N
134977	452	1997-12-02	VYDAJ	VYBER	7200	91631	\N	\N	\N
134978	452	1997-09-25	VYDAJ	VYBER	3300	39105	\N	\N	\N
134979	452	1997-01-01	VYDAJ	VYBER	6900	34477	\N	\N	\N
134980	452	1998-09-11	VYDAJ	VYBER	5100	24240	\N	\N	\N
134981	452	1998-02-27	VYDAJ	VYBER	12300	51599	\N	\N	\N
134999	452	1996-05-31	VYDAJ	VYBER	15	53675	SLUZBY	\N	\N
135000	452	1996-06-30	VYDAJ	VYBER	15	32977	SLUZBY	\N	\N
135001	452	1996-07-31	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
135002	452	1996-08-31	VYDAJ	VYBER	15	28310	SLUZBY	\N	\N
135003	452	1996-09-30	VYDAJ	VYBER	15	61923	SLUZBY	\N	\N
135004	452	1996-10-31	VYDAJ	VYBER	15	62214	SLUZBY	\N	\N
135005	452	1996-11-30	VYDAJ	VYBER	15	70288	SLUZBY	\N	\N
135006	452	1996-12-31	VYDAJ	VYBER	15	41377	SLUZBY	\N	\N
135007	452	1997-01-31	VYDAJ	VYBER	15	37684	SLUZBY	\N	\N
135008	452	1997-02-28	VYDAJ	VYBER	15	36168	SLUZBY	\N	\N
135009	452	1997-03-31	VYDAJ	VYBER	15	38172	SLUZBY	\N	\N
135010	452	1997-04-30	VYDAJ	VYBER	15	38082	SLUZBY	\N	\N
135011	452	1997-05-31	VYDAJ	VYBER	15	47952	SLUZBY	\N	\N
135012	452	1997-06-30	VYDAJ	VYBER	15	49806	SLUZBY	\N	\N
135013	452	1997-07-31	VYDAJ	VYBER	15	40413	SLUZBY	\N	\N
135014	452	1997-08-31	VYDAJ	VYBER	15	44738	SLUZBY	\N	\N
135015	452	1997-09-30	VYDAJ	VYBER	15	39261	SLUZBY	\N	\N
135016	452	1997-10-31	VYDAJ	VYBER	15	36470	SLUZBY	\N	\N
135017	452	1997-11-30	VYDAJ	VYBER	15	98831	SLUZBY	\N	\N
135018	452	1997-12-31	VYDAJ	VYBER	15	68108	SLUZBY	\N	\N
135019	452	1998-01-31	VYDAJ	VYBER	15	50786	SLUZBY	\N	\N
135020	452	1998-02-28	VYDAJ	VYBER	15	51808	SLUZBY	\N	\N
135021	452	1998-03-31	VYDAJ	VYBER	15	48359	SLUZBY	\N	\N
135022	452	1998-04-30	VYDAJ	VYBER	15	99921	SLUZBY	\N	\N
135023	452	1998-05-31	VYDAJ	VYBER	15	60659	SLUZBY	\N	\N
135024	452	1998-06-30	VYDAJ	VYBER	15	83506	SLUZBY	\N	\N
135025	452	1998-07-31	VYDAJ	VYBER	15	28398	SLUZBY	\N	\N
135026	452	1998-08-31	VYDAJ	VYBER	15	53825	SLUZBY	\N	\N
135027	452	1998-09-30	VYDAJ	VYBER	15	86673	SLUZBY	\N	\N
135028	452	1998-10-31	VYDAJ	VYBER	15	66728	SLUZBY	\N	\N
135029	452	1998-11-30	VYDAJ	VYBER	15	60034	SLUZBY	\N	\N
135030	452	1995-12-29	VYDAJ	VYBER	12200	42741	\N	\N	\N
135031	452	1996-01-28	VYDAJ	VYBER	12900	40667	\N	\N	\N
135032	452	1996-02-27	VYDAJ	VYBER	24800	54377	\N	\N	\N
135033	452	1996-03-28	VYDAJ	VYBER	15100	39453	\N	\N	\N
135034	452	1996-04-27	VYDAJ	VYBER	4500	35179	\N	\N	\N
135035	452	1996-05-26	VYDAJ	VYBER	49000	77479	\N	\N	\N
135036	452	1996-05-27	VYDAJ	VYBER	24100	53379	\N	\N	\N
135037	452	1996-06-26	PRIJEM	VKLAD	500	32842	\N	\N	\N
135038	452	1996-07-26	PRIJEM	VKLAD	1800	29344	\N	\N	\N
135039	452	1996-08-25	PRIJEM	VKLAD	4200	28217	\N	\N	\N
135040	452	1996-09-24	VYDAJ	VYBER	25200	61644	\N	\N	\N
135041	452	1996-10-24	VYDAJ	VYBER	21100	61959	\N	\N	\N
135042	452	1996-11-23	VYDAJ	VYBER	29800	70005	\N	\N	\N
135043	452	1996-12-23	VYDAJ	VYBER	5700	48055	\N	\N	\N
135044	452	1997-01-22	VYDAJ	VYBER	10200	48004	\N	\N	\N
135045	452	1997-02-21	VYDAJ	VYBER	1300	38421	\N	\N	\N
135046	452	1997-03-23	PRIJEM	VKLAD	7300	38035	\N	\N	\N
135047	452	1997-04-22	PRIJEM	VKLAD	5200	37939	\N	\N	\N
135048	452	1997-05-22	PRIJEM	VKLAD	3600	47790	\N	\N	\N
135049	452	1997-06-21	VYDAJ	VYBER	8800	49598	\N	\N	\N
135050	452	1997-07-21	VYDAJ	VYBER	1900	42473	\N	\N	\N
135051	452	1997-08-20	PRIJEM	VKLAD	2500	37480	\N	\N	\N
135052	452	1997-09-19	PRIJEM	VKLAD	3100	42405	\N	\N	\N
135053	452	1997-10-19	PRIJEM	VKLAD	2500	36328	\N	\N	\N
135054	452	1997-11-18	VYDAJ	VYBER	15500	58225	\N	\N	\N
135055	452	1997-12-18	VYDAJ	VYBER	13000	67798	\N	\N	\N
135056	452	1998-01-17	VYDAJ	VYBER	13200	63714	\N	\N	\N
135057	452	1998-02-16	VYDAJ	VYBER	16600	63899	\N	\N	\N
135058	452	1998-03-18	PRIJEM	VKLAD	1800	48175	\N	\N	\N
135059	452	1998-04-17	VYDAJ	VYBER	15400	66444	\N	\N	\N
135060	452	1998-05-17	VYDAJ	VYBER	12700	69392	\N	\N	\N
135061	452	1998-05-23	VYDAJ	VYBER	51400	60297	\N	\N	\N
135062	452	1998-06-11	VYDAJ	VYBER	27200	81466	\N	\N	\N
135063	452	1998-06-16	VYDAJ	VYBER	18700	62766	\N	\N	\N
135064	452	1998-06-27	VYDAJ	VYBER	60800	83204	\N	\N	\N
135065	452	1998-07-14	VYDAJ	VYBER	33400	86913	\N	\N	\N
135066	452	1998-07-16	VYDAJ	VYBER	14200	72713	\N	\N	\N
135067	452	1998-08-15	PRIJEM	VKLAD	12900	44838	\N	\N	\N
135068	452	1998-09-14	PRIJEM	VKLAD	17900	42140	\N	\N	\N
135069	452	1998-09-25	VYDAJ	VYBER	38400	86410	\N	\N	\N
135070	452	1998-10-14	VYDAJ	VYBER	26600	82841	\N	\N	\N
135071	452	1998-10-27	VYDAJ	VYBER	63700	66406	\N	\N	\N
135072	452	1998-11-13	VYDAJ	VYBER	1500	59795	\N	\N	\N
135110	453	1997-04-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
135115	453	1997-05-08	PRIJEM	VKLAD	24097	25197	\N	\N	\N
135116	453	1997-06-08	PRIJEM	VKLAD	36146	64574	\N	\N	\N
135117	453	1997-07-08	PRIJEM	VKLAD	24097	71610	\N	\N	\N
135118	453	1997-08-08	PRIJEM	VKLAD	24097	75008	\N	\N	\N
135119	453	1997-09-08	PRIJEM	VKLAD	24097	79122	\N	\N	\N
135120	453	1997-10-08	PRIJEM	VKLAD	24097	76935	\N	\N	\N
135121	453	1997-11-08	PRIJEM	VKLAD	24097	77342	\N	\N	\N
135122	453	1997-12-08	PRIJEM	VKLAD	36146	83788	\N	\N	\N
135123	453	1998-01-08	PRIJEM	VKLAD	24097	67798	\N	\N	\N
135124	453	1998-02-08	PRIJEM	VKLAD	24097	63376	\N	\N	\N
135125	453	1998-03-08	PRIJEM	VKLAD	24097	64728	\N	\N	\N
135126	453	1998-04-08	PRIJEM	VKLAD	24097	74520	\N	\N	\N
135127	453	1998-05-08	PRIJEM	VKLAD	24097	74117	\N	\N	\N
135128	453	1998-06-08	PRIJEM	VKLAD	36146	91566	\N	\N	\N
135129	453	1998-07-08	PRIJEM	VKLAD	24097	71079	\N	\N	\N
135130	453	1998-08-08	PRIJEM	VKLAD	24097	77165	\N	\N	\N
135131	453	1998-09-08	PRIJEM	VKLAD	24097	78065	\N	\N	\N
135132	453	1998-10-08	PRIJEM	VKLAD	24097	82573	\N	\N	\N
135133	453	1998-11-08	PRIJEM	VKLAD	24097	81701	\N	\N	\N
135134	453	1998-12-08	PRIJEM	VKLAD	36146	95991	\N	\N	\N
135143	453	1997-09-14	VYDAJ	PREVOD NA UCET	7012	72110	SIPO	QR	23475498
135144	453	1997-10-14	VYDAJ	PREVOD NA UCET	7012	69923	SIPO	QR	23475498
135145	453	1997-11-14	VYDAJ	PREVOD NA UCET	7012	70330	SIPO	QR	23475498
135146	453	1997-12-14	VYDAJ	PREVOD NA UCET	7012	71876	SIPO	QR	23475498
135147	453	1998-01-14	VYDAJ	PREVOD NA UCET	7012	57186	SIPO	QR	23475498
135148	453	1998-02-14	VYDAJ	PREVOD NA UCET	7012	56364	SIPO	QR	23475498
135149	453	1998-03-14	VYDAJ	PREVOD NA UCET	7012	57716	SIPO	QR	23475498
135150	453	1998-04-14	VYDAJ	PREVOD NA UCET	7012	64108	SIPO	QR	23475498
135289	454	1997-10-06	PRIJEM	VKLAD	8531	36104	\N	\N	\N
135151	453	1998-05-14	VYDAJ	PREVOD NA UCET	7012	67105	SIPO	QR	23475498
135152	453	1998-06-14	VYDAJ	PREVOD NA UCET	7012	84554	SIPO	QR	23475498
135153	453	1998-07-14	VYDAJ	PREVOD NA UCET	7012	64067	SIPO	QR	23475498
135154	453	1998-08-14	VYDAJ	PREVOD NA UCET	7012	70153	SIPO	QR	23475498
135155	453	1998-09-14	VYDAJ	PREVOD NA UCET	7012	71053	SIPO	QR	23475498
135156	453	1998-10-14	VYDAJ	PREVOD NA UCET	7012	75561	SIPO	QR	23475498
135157	453	1998-11-14	VYDAJ	PREVOD NA UCET	7012	74689	SIPO	QR	23475498
135158	453	1998-12-14	VYDAJ	PREVOD NA UCET	7012	86279	SIPO	QR	23475498
135160	453	1998-06-23	VYDAJ	VYBER	16800	46754	\N	\N	\N
135162	453	1998-01-07	VYDAJ	VYBER	2500	43701	\N	\N	\N
135163	453	1997-12-22	VYDAJ	VYBER	1000	49976	\N	\N	\N
135164	453	1998-12-10	VYDAJ	VYBER	2700	93291	\N	\N	\N
135171	453	1998-01-23	VYDAJ	VYBER	1700	39086	\N	\N	\N
135172	453	1998-01-19	VYDAJ	VYBER	800	45886	\N	\N	\N
135173	453	1998-01-20	VYDAJ	VYBER	2200	43686	\N	\N	\N
135174	453	1998-01-22	VYDAJ	VYBER	2900	40786	\N	\N	\N
135175	453	1998-01-02	VYDAJ	VYBER	2700	47501	\N	\N	\N
135176	453	1998-01-06	VYDAJ	VYBER	1300	46201	\N	\N	\N
135181	453	1997-12-10	VYDAJ	VYBER	4900	78888	\N	\N	\N
135184	453	1998-05-24	VYDAJ	VYBER	1000	55205	\N	\N	\N
135185	453	1998-03-01	VYDAJ	VYBER	3700	40631	\N	\N	\N
135186	453	1998-01-10	VYDAJ	VYBER	3600	64198	\N	\N	\N
135187	453	1998-11-18	VYDAJ	VYBER	4200	59589	\N	\N	\N
135188	453	1998-04-13	VYDAJ	VYBER	3400	71120	\N	\N	\N
135189	453	1998-10-28	VYDAJ	VYBER	4100	59761	\N	\N	\N
135190	453	1998-11-03	VYDAJ	VYBER	2400	57604	\N	\N	\N
135191	453	1998-04-30	VYDAJ	VYBER	3800	50035	\N	\N	\N
135201	453	1997-09-30	VYDAJ	VYBER	15	52838	SLUZBY	\N	\N
135202	453	1997-10-31	VYDAJ	VYBER	15	53245	SLUZBY	\N	\N
135203	453	1997-11-30	VYDAJ	VYBER	15	47642	SLUZBY	\N	\N
135204	453	1997-12-31	VYDAJ	VYBER	15	50201	SLUZBY	\N	\N
135205	453	1998-01-31	VYDAJ	VYBER	15	39279	SLUZBY	\N	\N
135206	453	1998-02-28	VYDAJ	VYBER	15	44331	SLUZBY	\N	\N
135207	453	1998-03-31	VYDAJ	VYBER	15	50423	SLUZBY	\N	\N
135208	453	1998-04-30	VYDAJ	VYBER	15	50020	SLUZBY	\N	\N
135209	453	1998-05-31	VYDAJ	VYBER	15	55420	SLUZBY	\N	\N
135210	453	1998-06-30	VYDAJ	VYBER	15	46982	SLUZBY	\N	\N
135211	453	1998-07-31	VYDAJ	VYBER	15	53068	SLUZBY	\N	\N
135212	453	1998-08-31	VYDAJ	VYBER	15	53968	SLUZBY	\N	\N
135213	453	1998-09-30	VYDAJ	VYBER	15	58476	SLUZBY	\N	\N
135214	453	1998-10-31	VYDAJ	VYBER	15	60004	SLUZBY	\N	\N
135215	453	1998-11-30	VYDAJ	VYBER	15	59845	SLUZBY	\N	\N
135216	453	1997-05-24	PRIJEM	VKLAD	3200	28397	\N	\N	\N
135217	453	1997-06-23	VYDAJ	VYBER	17200	47374	\N	\N	\N
135218	453	1997-07-23	VYDAJ	VYBER	20900	50710	\N	\N	\N
135219	453	1997-08-22	VYDAJ	VYBER	20200	54808	\N	\N	\N
135220	453	1997-09-21	VYDAJ	VYBER	19500	52610	\N	\N	\N
135221	453	1997-10-21	VYDAJ	VYBER	16900	53023	\N	\N	\N
135222	453	1997-11-20	VYDAJ	VYBER	22900	47430	\N	\N	\N
135223	453	1997-12-20	VYDAJ	VYBER	20900	50976	\N	\N	\N
135224	453	1998-01-19	VYDAJ	VYBER	10500	46686	\N	\N	\N
135225	453	1998-02-18	VYDAJ	VYBER	12200	44164	\N	\N	\N
135226	453	1998-03-20	VYDAJ	VYBER	7500	50216	\N	\N	\N
135227	453	1998-04-19	VYDAJ	VYBER	10500	53608	\N	\N	\N
135228	453	1998-05-19	VYDAJ	VYBER	10900	56205	\N	\N	\N
135229	453	1998-06-18	VYDAJ	VYBER	21000	63554	\N	\N	\N
135230	453	1998-07-18	VYDAJ	VYBER	11200	52867	\N	\N	\N
135231	453	1998-08-17	VYDAJ	VYBER	16400	53753	\N	\N	\N
135232	453	1998-09-16	VYDAJ	VYBER	12800	58253	\N	\N	\N
135233	453	1998-10-16	VYDAJ	VYBER	11700	63861	\N	\N	\N
135234	453	1998-11-15	VYDAJ	VYBER	10900	63789	\N	\N	\N
135255	454	1995-05-07	PRIJEM	VKLAD	700	700	\N	\N	\N
135261	454	1995-06-06	PRIJEM	VKLAD	12797	17097	\N	\N	\N
135262	454	1995-07-06	PRIJEM	VKLAD	8531	27742	\N	\N	\N
135263	454	1995-08-06	PRIJEM	VKLAD	8531	38144	\N	\N	\N
135264	454	1995-09-06	PRIJEM	VKLAD	8531	41921	\N	\N	\N
135265	454	1995-10-06	PRIJEM	VKLAD	8531	43425	\N	\N	\N
135266	454	1995-11-06	PRIJEM	VKLAD	8531	35327	\N	\N	\N
135267	454	1995-12-06	PRIJEM	VKLAD	12797	34399	\N	\N	\N
135268	454	1996-01-06	PRIJEM	VKLAD	8531	34243	\N	\N	\N
135269	454	1996-02-06	PRIJEM	VKLAD	8531	25819	\N	\N	\N
135270	454	1996-03-06	PRIJEM	VKLAD	8531	27746	\N	\N	\N
135271	454	1996-04-06	PRIJEM	VKLAD	8531	34067	\N	\N	\N
135272	454	1996-05-06	PRIJEM	VKLAD	8531	38013	\N	\N	\N
135273	454	1996-06-06	PRIJEM	VKLAD	12797	44400	\N	\N	\N
135274	454	1996-07-06	PRIJEM	VKLAD	8531	31556	\N	\N	\N
135275	454	1996-08-06	PRIJEM	VKLAD	8531	36291	\N	\N	\N
135276	454	1996-09-06	PRIJEM	VKLAD	8531	35643	\N	\N	\N
135277	454	1996-10-06	PRIJEM	VKLAD	8531	36032	\N	\N	\N
135278	454	1996-11-06	PRIJEM	VKLAD	8531	40686	\N	\N	\N
135279	454	1996-12-06	PRIJEM	VKLAD	12797	43521	\N	\N	\N
135280	454	1997-01-06	PRIJEM	VKLAD	8531	35317	\N	\N	\N
135281	454	1997-02-06	PRIJEM	VKLAD	8531	32862	\N	\N	\N
135282	454	1997-03-06	PRIJEM	VKLAD	8531	39203	\N	\N	\N
135283	454	1997-04-06	PRIJEM	VKLAD	8531	38385	\N	\N	\N
135284	454	1997-05-06	PRIJEM	VKLAD	8531	44650	\N	\N	\N
135285	454	1997-06-06	PRIJEM	VKLAD	12797	48659	\N	\N	\N
135286	454	1997-07-06	PRIJEM	VKLAD	8531	37283	\N	\N	\N
135287	454	1997-08-06	PRIJEM	VKLAD	8531	36401	\N	\N	\N
135288	454	1997-09-06	PRIJEM	VKLAD	8531	37771	\N	\N	\N
135290	454	1997-11-06	PRIJEM	VKLAD	8531	28125	\N	\N	\N
135291	454	1997-12-06	PRIJEM	VKLAD	12797	39723	\N	\N	\N
135292	454	1998-01-06	PRIJEM	VKLAD	8531	36216	\N	\N	\N
135293	454	1998-02-06	PRIJEM	VKLAD	8531	26876	\N	\N	\N
135294	454	1998-03-06	PRIJEM	VKLAD	8531	33695	\N	\N	\N
135295	454	1998-04-06	PRIJEM	VKLAD	8531	31338	\N	\N	\N
135296	454	1998-05-06	PRIJEM	VKLAD	8531	32107	\N	\N	\N
135297	454	1998-06-06	PRIJEM	VKLAD	12797	42014	\N	\N	\N
135298	454	1998-07-06	PRIJEM	VKLAD	8531	34058	\N	\N	\N
135299	454	1998-08-06	PRIJEM	VKLAD	8531	35399	\N	\N	\N
135300	454	1998-09-06	PRIJEM	VKLAD	8531	36126	\N	\N	\N
135301	454	1998-10-06	PRIJEM	VKLAD	8531	37475	\N	\N	\N
135302	454	1998-11-06	PRIJEM	VKLAD	8531	36726	\N	\N	\N
135303	454	1998-12-06	PRIJEM	VKLAD	12797	39637	\N	\N	\N
135313	454	1995-10-09	VYDAJ	PREVOD NA UCET	5687	37738	SIPO	GH	80305754
135314	454	1995-11-09	VYDAJ	PREVOD NA UCET	5687	29040	SIPO	GH	80305754
135315	454	1995-12-09	VYDAJ	PREVOD NA UCET	5687	28712	SIPO	GH	80305754
135316	454	1996-01-09	VYDAJ	PREVOD NA UCET	5687	23036	SIPO	GH	80305754
135317	454	1996-02-09	VYDAJ	PREVOD NA UCET	5687	20132	SIPO	GH	80305754
135318	454	1996-03-09	VYDAJ	PREVOD NA UCET	5687	22059	SIPO	GH	80305754
135319	454	1996-04-09	VYDAJ	PREVOD NA UCET	5687	28380	SIPO	GH	80305754
135320	454	1996-05-09	VYDAJ	PREVOD NA UCET	5687	32326	SIPO	GH	80305754
135321	454	1996-06-09	VYDAJ	PREVOD NA UCET	5687	33553	SIPO	GH	80305754
135322	454	1996-07-09	VYDAJ	PREVOD NA UCET	5687	25869	SIPO	GH	80305754
135323	454	1996-08-09	VYDAJ	PREVOD NA UCET	5687	30604	SIPO	GH	80305754
135324	454	1996-09-09	VYDAJ	PREVOD NA UCET	5687	29956	SIPO	GH	80305754
135325	454	1996-10-09	VYDAJ	PREVOD NA UCET	5687	30345	SIPO	GH	80305754
135326	454	1996-11-09	VYDAJ	PREVOD NA UCET	5687	34999	SIPO	GH	80305754
135327	454	1996-12-09	VYDAJ	PREVOD NA UCET	5687	37834	SIPO	GH	80305754
135328	454	1997-01-09	VYDAJ	PREVOD NA UCET	5687	28070	SIPO	GH	80305754
135329	454	1997-02-09	VYDAJ	PREVOD NA UCET	5687	27175	SIPO	GH	80305754
135330	454	1997-03-09	VYDAJ	PREVOD NA UCET	5687	33516	SIPO	GH	80305754
135331	454	1997-04-09	VYDAJ	PREVOD NA UCET	5687	32698	SIPO	GH	80305754
135332	454	1997-05-09	VYDAJ	PREVOD NA UCET	5687	38963	SIPO	GH	80305754
135333	454	1997-06-09	VYDAJ	PREVOD NA UCET	5687	31932	SIPO	GH	80305754
135334	454	1997-07-09	VYDAJ	PREVOD NA UCET	5687	31596	SIPO	GH	80305754
135335	454	1997-08-09	VYDAJ	PREVOD NA UCET	5687	30714	SIPO	GH	80305754
135336	454	1997-09-09	VYDAJ	PREVOD NA UCET	5687	32084	SIPO	GH	80305754
135337	454	1997-10-09	VYDAJ	PREVOD NA UCET	5687	26697	SIPO	GH	80305754
135338	454	1997-11-09	VYDAJ	PREVOD NA UCET	5687	22438	SIPO	GH	80305754
135339	454	1997-12-09	VYDAJ	PREVOD NA UCET	5687	34036	SIPO	GH	80305754
135340	454	1998-01-09	VYDAJ	PREVOD NA UCET	5687	30529	SIPO	GH	80305754
135341	454	1998-02-09	VYDAJ	PREVOD NA UCET	5687	21189	SIPO	GH	80305754
135342	454	1998-03-09	VYDAJ	PREVOD NA UCET	5687	28008	SIPO	GH	80305754
135343	454	1998-04-09	VYDAJ	PREVOD NA UCET	5687	25651	SIPO	GH	80305754
135344	454	1998-05-09	VYDAJ	PREVOD NA UCET	5687	26420	SIPO	GH	80305754
135345	454	1998-06-09	VYDAJ	PREVOD NA UCET	5687	36327	SIPO	GH	80305754
135346	454	1998-07-09	VYDAJ	PREVOD NA UCET	5687	28371	SIPO	GH	80305754
135347	454	1998-08-09	VYDAJ	PREVOD NA UCET	5687	29712	SIPO	GH	80305754
135348	454	1998-09-09	VYDAJ	PREVOD NA UCET	5687	30439	SIPO	GH	80305754
135349	454	1998-10-09	VYDAJ	PREVOD NA UCET	5687	31788	SIPO	GH	80305754
135350	454	1998-11-09	VYDAJ	PREVOD NA UCET	5687	31039	SIPO	GH	80305754
135351	454	1998-12-09	VYDAJ	PREVOD NA UCET	5687	33950	SIPO	GH	80305754
135353	454	1996-06-14	VYDAJ	VYBER	14080	19473	\N	\N	\N
135354	454	1997-06-08	VYDAJ	VYBER	11040	37619	\N	\N	\N
135355	454	1998-06-26	VYDAJ	VYBER	9920	25407	\N	\N	\N
135358	454	1997-01-13	VYDAJ	VYBER	1920	26150	\N	\N	\N
135360	454	1995-12-23	VYDAJ	VYBER	2400	26312	\N	\N	\N
135361	454	1996-12-24	VYDAJ	VYBER	2400	35434	\N	\N	\N
135362	454	1997-12-17	VYDAJ	VYBER	4320	29716	\N	\N	\N
135363	454	1998-12-14	VYDAJ	VYBER	2400	31550	\N	\N	\N
135370	454	1996-01-14	VYDAJ	VYBER	1200	21836	\N	\N	\N
135371	454	1996-01-14	VYDAJ	VYBER	2040	19796	\N	\N	\N
135372	454	1996-01-06	VYDAJ	VYBER	3480	30763	\N	\N	\N
135373	454	1996-01-07	VYDAJ	VYBER	2040	28723	\N	\N	\N
135375	454	1996-01-17	VYDAJ	VYBER	3480	16316	\N	\N	\N
135376	454	1997-01-01	VYDAJ	VYBER	2280	31586	\N	\N	\N
135377	454	1997-01-30	VYDAJ	VYBER	1560	24230	\N	\N	\N
135378	454	1997-01-05	VYDAJ	VYBER	3480	26786	\N	\N	\N
135379	454	1997-01-06	VYDAJ	VYBER	1560	33757	\N	\N	\N
135380	454	1997-01-02	VYDAJ	VYBER	1320	30266	\N	\N	\N
135381	454	1997-01-27	VYDAJ	VYBER	3360	25790	\N	\N	\N
135382	454	1998-01-24	VYDAJ	VYBER	2880	21369	\N	\N	\N
135383	454	1998-01-25	VYDAJ	VYBER	3120	18249	\N	\N	\N
135384	454	1998-01-23	VYDAJ	VYBER	3240	24249	\N	\N	\N
135385	454	1998-01-02	VYDAJ	VYBER	720	27685	\N	\N	\N
135386	454	1998-01-01	VYDAJ	VYBER	720	28405	\N	\N	\N
135387	454	1998-01-14	VYDAJ	VYBER	2040	28489	\N	\N	\N
135389	454	1995-10-14	VYDAJ	VYBER	4080	33658	\N	\N	\N
135390	454	1995-11-22	VYDAJ	VYBER	5760	21600	\N	\N	\N
135391	454	1995-11-08	VYDAJ	VYBER	600	34727	\N	\N	\N
135392	454	1995-11-19	VYDAJ	VYBER	1680	27360	\N	\N	\N
135393	454	1996-02-17	VYDAJ	VYBER	2280	17852	\N	\N	\N
135394	454	1996-09-19	VYDAJ	VYBER	3960	25996	\N	\N	\N
135395	454	1996-05-12	VYDAJ	VYBER	840	31486	\N	\N	\N
135396	454	1996-06-06	VYDAJ	VYBER	5160	39240	\N	\N	\N
135397	454	1996-01-17	VYDAJ	VYBER	3600	12716	\N	\N	\N
135398	454	1996-09-05	VYDAJ	VYBER	600	27112	\N	\N	\N
135399	454	1996-06-25	VYDAJ	VYBER	5640	13833	\N	\N	\N
135400	454	1997-10-06	VYDAJ	VYBER	3720	32384	\N	\N	\N
135401	454	1997-11-04	VYDAJ	VYBER	4800	19594	\N	\N	\N
135402	454	1997-07-25	VYDAJ	VYBER	4440	27756	\N	\N	\N
135403	454	1997-05-17	VYDAJ	VYBER	1440	37523	\N	\N	\N
135404	454	1997-08-19	VYDAJ	VYBER	4080	26634	\N	\N	\N
135405	454	1997-09-21	VYDAJ	VYBER	5520	26564	\N	\N	\N
135406	454	1997-03-19	VYDAJ	VYBER	1680	31836	\N	\N	\N
135407	454	1998-08-31	VYDAJ	VYBER	1320	27610	\N	\N	\N
135409	454	1998-04-30	VYDAJ	VYBER	1800	23576	\N	\N	\N
135410	454	1998-04-16	VYDAJ	VYBER	5760	15691	\N	\N	\N
135411	454	1998-04-12	VYDAJ	VYBER	4200	21451	\N	\N	\N
135412	454	1998-04-01	VYDAJ	VYBER	5400	22807	\N	\N	\N
135423	454	1995-10-31	VYDAJ	VYBER	15	33796	SLUZBY	\N	\N
135424	454	1995-11-30	VYDAJ	VYBER	15	21702	SLUZBY	\N	\N
135425	454	1995-12-31	VYDAJ	VYBER	15	26412	SLUZBY	\N	\N
135426	454	1996-01-31	VYDAJ	VYBER	15	12788	SLUZBY	\N	\N
135427	454	1996-02-29	VYDAJ	VYBER	15	17915	SLUZBY	\N	\N
135428	454	1996-03-31	VYDAJ	VYBER	15	22136	SLUZBY	\N	\N
135429	454	1996-04-30	VYDAJ	VYBER	15	28482	SLUZBY	\N	\N
135430	454	1996-05-31	VYDAJ	VYBER	15	31603	SLUZBY	\N	\N
135431	454	1996-06-30	VYDAJ	VYBER	15	23025	SLUZBY	\N	\N
135432	454	1996-07-31	VYDAJ	VYBER	15	27760	SLUZBY	\N	\N
135433	454	1996-08-31	VYDAJ	VYBER	15	27712	SLUZBY	\N	\N
135434	454	1996-09-30	VYDAJ	VYBER	15	27501	SLUZBY	\N	\N
135435	454	1996-10-31	VYDAJ	VYBER	15	32155	SLUZBY	\N	\N
135436	454	1996-11-30	VYDAJ	VYBER	15	30725	SLUZBY	\N	\N
135437	454	1996-12-31	VYDAJ	VYBER	15	33866	SLUZBY	\N	\N
135438	454	1997-01-31	VYDAJ	VYBER	15	24331	SLUZBY	\N	\N
135439	454	1997-02-28	VYDAJ	VYBER	15	30672	SLUZBY	\N	\N
135440	454	1997-03-31	VYDAJ	VYBER	15	29854	SLUZBY	\N	\N
135441	454	1997-04-30	VYDAJ	VYBER	15	36119	SLUZBY	\N	\N
135442	454	1997-05-31	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
135443	454	1997-06-30	VYDAJ	VYBER	15	28752	SLUZBY	\N	\N
135444	454	1997-07-31	VYDAJ	VYBER	15	27870	SLUZBY	\N	\N
135445	454	1997-08-31	VYDAJ	VYBER	15	29240	SLUZBY	\N	\N
135446	454	1997-09-30	VYDAJ	VYBER	15	27573	SLUZBY	\N	\N
135447	454	1997-10-31	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
135448	454	1997-11-30	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
135449	454	1997-12-31	VYDAJ	VYBER	15	29125	SLUZBY	\N	\N
135450	454	1998-01-31	VYDAJ	VYBER	15	18345	SLUZBY	\N	\N
135451	454	1998-02-28	VYDAJ	VYBER	15	25164	SLUZBY	\N	\N
135452	454	1998-03-31	VYDAJ	VYBER	15	28207	SLUZBY	\N	\N
135453	454	1998-04-30	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
135454	454	1998-05-31	VYDAJ	VYBER	15	29218	SLUZBY	\N	\N
135455	454	1998-06-30	VYDAJ	VYBER	15	25527	SLUZBY	\N	\N
135456	454	1998-07-31	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
135457	454	1998-08-31	VYDAJ	VYBER	15	27595	SLUZBY	\N	\N
135458	454	1998-09-30	VYDAJ	VYBER	15	28944	SLUZBY	\N	\N
135459	454	1998-10-31	VYDAJ	VYBER	15	28195	SLUZBY	\N	\N
135460	454	1998-11-30	VYDAJ	VYBER	15	26841	SLUZBY	\N	\N
135461	454	1995-06-06	PRIJEM	VKLAD	3600	4300	\N	\N	\N
135462	454	1995-07-06	PRIJEM	VKLAD	2100	19211	\N	\N	\N
135463	454	1995-08-05	PRIJEM	VKLAD	1800	29613	\N	\N	\N
135464	454	1995-09-04	VYDAJ	VYBER	4900	33390	\N	\N	\N
135465	454	1995-10-04	VYDAJ	VYBER	7200	34894	\N	\N	\N
135466	454	1995-11-03	VYDAJ	VYBER	7000	26796	\N	\N	\N
135467	454	1995-12-03	VYDAJ	VYBER	100	21602	\N	\N	\N
135468	454	1996-01-02	VYDAJ	VYBER	700	25712	\N	\N	\N
135469	454	1996-02-01	PRIJEM	VKLAD	4500	17288	\N	\N	\N
135470	454	1996-03-02	PRIJEM	VKLAD	1300	19215	\N	\N	\N
135471	454	1996-04-01	PRIJEM	VKLAD	3400	25536	\N	\N	\N
135472	454	1996-05-01	PRIJEM	VKLAD	1000	29482	\N	\N	\N
135473	454	1996-06-30	PRIJEM	VKLAD	9100	22933	\N	\N	\N
135474	454	1996-07-30	PRIJEM	VKLAD	1800	27669	\N	\N	\N
135475	454	1996-08-29	VYDAJ	VYBER	3000	27604	\N	\N	\N
135476	454	1996-09-28	PRIJEM	VKLAD	1400	27396	\N	\N	\N
135477	454	1996-10-28	PRIJEM	VKLAD	1700	32045	\N	\N	\N
135478	454	1996-11-27	VYDAJ	VYBER	4400	30599	\N	\N	\N
135479	454	1996-12-27	VYDAJ	VYBER	1700	33734	\N	\N	\N
135480	454	1997-01-26	PRIJEM	VKLAD	3000	29150	\N	\N	\N
135481	454	1997-02-25	PRIJEM	VKLAD	3400	30575	\N	\N	\N
135482	454	1997-03-27	VYDAJ	VYBER	2100	29736	\N	\N	\N
135483	454	1997-04-26	PRIJEM	VKLAD	3300	35998	\N	\N	\N
135484	454	1997-05-26	VYDAJ	VYBER	1800	35723	\N	\N	\N
135485	454	1997-06-25	VYDAJ	VYBER	3300	28632	\N	\N	\N
135486	454	1997-07-25	PRIJEM	VKLAD	600	32196	\N	\N	\N
135487	454	1997-08-24	PRIJEM	VKLAD	2500	29134	\N	\N	\N
135488	454	1997-09-23	PRIJEM	VKLAD	900	27464	\N	\N	\N
135489	454	1997-10-23	VYDAJ	VYBER	2400	24297	\N	\N	\N
135490	454	1997-11-22	PRIJEM	VKLAD	4400	26838	\N	\N	\N
135491	454	1997-12-22	VYDAJ	VYBER	700	29016	\N	\N	\N
135492	454	1998-01-21	VYDAJ	VYBER	1000	27489	\N	\N	\N
135493	454	1998-02-20	PRIJEM	VKLAD	3900	25089	\N	\N	\N
135494	454	1998-03-22	PRIJEM	VKLAD	100	28108	\N	\N	\N
135495	454	1998-04-21	PRIJEM	VKLAD	9600	25291	\N	\N	\N
135496	454	1998-05-21	PRIJEM	VKLAD	2700	29120	\N	\N	\N
135497	454	1998-06-20	VYDAJ	VYBER	1000	35327	\N	\N	\N
135498	454	1998-07-20	VYDAJ	VYBER	1600	26771	\N	\N	\N
135499	454	1998-08-19	VYDAJ	VYBER	900	28812	\N	\N	\N
135500	454	1998-09-18	VYDAJ	VYBER	1600	28839	\N	\N	\N
135501	454	1998-10-18	VYDAJ	VYBER	3700	28088	\N	\N	\N
135502	454	1998-11-17	VYDAJ	VYBER	4300	26739	\N	\N	\N
135546	455	1995-04-23	PRIJEM	VKLAD	500	500	\N	\N	\N
135551	455	1995-05-14	PRIJEM	VKLAD	12509	13009	\N	\N	\N
135552	455	1995-06-14	PRIJEM	VKLAD	18764	35393	\N	\N	\N
135553	455	1995-07-14	PRIJEM	VKLAD	12509	41487	\N	\N	\N
135554	455	1995-08-14	PRIJEM	VKLAD	12509	45421	\N	\N	\N
135555	455	1995-09-14	PRIJEM	VKLAD	12509	45767	\N	\N	\N
135556	455	1995-10-14	PRIJEM	VKLAD	12509	37962	\N	\N	\N
135557	455	1995-11-14	PRIJEM	VKLAD	12509	33955	\N	\N	\N
135558	455	1995-12-14	PRIJEM	VKLAD	18764	32209	\N	\N	\N
135559	455	1996-01-14	PRIJEM	VKLAD	12509	34280	\N	\N	\N
135560	455	1996-02-14	PRIJEM	VKLAD	12509	29881	\N	\N	\N
135561	455	1996-03-14	PRIJEM	VKLAD	12509	31750	\N	\N	\N
135562	455	1996-04-14	PRIJEM	VKLAD	12509	27354	\N	\N	\N
135563	455	1996-05-14	PRIJEM	VKLAD	12509	29111	\N	\N	\N
135564	455	1996-06-14	PRIJEM	VKLAD	18764	27653	\N	\N	\N
135565	455	1996-07-14	PRIJEM	VKLAD	12509	28312	\N	\N	\N
135566	455	1996-08-14	PRIJEM	VKLAD	12509	26966	\N	\N	\N
135567	455	1996-09-14	PRIJEM	VKLAD	12509	25540	\N	\N	\N
135568	455	1996-10-14	PRIJEM	VKLAD	12509	25796	\N	\N	\N
135569	455	1996-11-14	PRIJEM	VKLAD	12509	32151	\N	\N	\N
135570	455	1996-12-14	PRIJEM	VKLAD	18764	42660	\N	\N	\N
135571	455	1997-01-14	PRIJEM	VKLAD	12509	40970	\N	\N	\N
135572	455	1997-02-14	PRIJEM	VKLAD	12509	35193	\N	\N	\N
135573	455	1997-03-14	PRIJEM	VKLAD	12509	35097	\N	\N	\N
135574	455	1997-04-14	PRIJEM	VKLAD	12509	37093	\N	\N	\N
135575	455	1997-05-14	PRIJEM	VKLAD	12509	38076	\N	\N	\N
135576	455	1997-06-14	PRIJEM	VKLAD	18764	44438	\N	\N	\N
135577	455	1997-07-14	PRIJEM	VKLAD	12509	27725	\N	\N	\N
135578	455	1997-08-14	PRIJEM	VKLAD	12509	30083	\N	\N	\N
135579	455	1997-09-14	PRIJEM	VKLAD	12509	31055	\N	\N	\N
135580	455	1997-10-14	PRIJEM	VKLAD	12509	29553	\N	\N	\N
135581	455	1997-11-14	PRIJEM	VKLAD	12509	29121	\N	\N	\N
135582	455	1997-12-14	PRIJEM	VKLAD	18764	32115	\N	\N	\N
135583	455	1998-01-14	PRIJEM	VKLAD	12509	30694	\N	\N	\N
135584	455	1998-02-14	PRIJEM	VKLAD	12509	28096	\N	\N	\N
135585	455	1998-03-14	PRIJEM	VKLAD	12509	32356	\N	\N	\N
135586	455	1998-04-14	PRIJEM	VKLAD	12509	28938	\N	\N	\N
135587	455	1998-05-14	PRIJEM	VKLAD	12509	27012	\N	\N	\N
135588	455	1998-06-14	PRIJEM	VKLAD	18764	26871	\N	\N	\N
135589	455	1998-07-14	PRIJEM	VKLAD	12509	20985	\N	\N	\N
135590	455	1998-08-14	PRIJEM	VKLAD	12509	24318	\N	\N	\N
135591	455	1998-09-14	PRIJEM	VKLAD	12509	28264	\N	\N	\N
135592	455	1998-10-14	PRIJEM	VKLAD	12509	25585	\N	\N	\N
135593	455	1998-11-14	PRIJEM	VKLAD	12509	26742	\N	\N	\N
135594	455	1998-12-14	PRIJEM	VKLAD	18764	33455	\N	\N	\N
135604	455	1995-10-11	VYDAJ	PREVOD NA UCET	8339	25453	SIPO	ST	60398054
135605	455	1995-11-11	VYDAJ	PREVOD NA UCET	8339	21446	SIPO	ST	60398054
135606	455	1995-12-11	VYDAJ	PREVOD NA UCET	8339	13445	SIPO	ST	60398054
135607	455	1996-01-11	VYDAJ	PREVOD NA UCET	8339	21771	SIPO	ST	60398054
135608	455	1996-02-11	VYDAJ	PREVOD NA UCET	8339	17372	SIPO	ST	60398054
135609	455	1996-03-11	VYDAJ	PREVOD NA UCET	8339	19241	SIPO	ST	60398054
135610	455	1996-04-11	VYDAJ	PREVOD NA UCET	8339	14845	SIPO	ST	60398054
135611	455	1996-05-11	VYDAJ	PREVOD NA UCET	8339	16602	SIPO	ST	60398054
135612	455	1996-06-11	VYDAJ	PREVOD NA UCET	8339	8889	SIPO	ST	60398054
135613	455	1996-07-11	VYDAJ	PREVOD NA UCET	8339	15803	SIPO	ST	60398054
135614	455	1996-08-11	VYDAJ	PREVOD NA UCET	8339	14457	SIPO	ST	60398054
135615	455	1996-09-11	VYDAJ	PREVOD NA UCET	8339	15911	SIPO	ST	60398054
135616	455	1996-10-11	VYDAJ	PREVOD NA UCET	8339	13287	SIPO	ST	60398054
135617	455	1996-11-11	VYDAJ	PREVOD NA UCET	8339	15742	SIPO	ST	60398054
135618	455	1996-12-11	VYDAJ	PREVOD NA UCET	8339	21196	SIPO	ST	60398054
135619	455	1997-01-11	VYDAJ	PREVOD NA UCET	8339	34461	SIPO	ST	60398054
135620	455	1997-02-11	VYDAJ	PREVOD NA UCET	8339	22684	SIPO	ST	60398054
135621	455	1997-03-11	VYDAJ	PREVOD NA UCET	8339	24088	SIPO	ST	60398054
135622	455	1997-04-11	VYDAJ	PREVOD NA UCET	8339	26884	SIPO	ST	60398054
135623	455	1997-05-11	VYDAJ	PREVOD NA UCET	8339	26367	SIPO	ST	60398054
135624	455	1997-06-11	VYDAJ	PREVOD NA UCET	8339	25674	SIPO	ST	60398054
135625	455	1997-07-11	VYDAJ	PREVOD NA UCET	8339	15216	SIPO	ST	60398054
135626	455	1997-08-11	VYDAJ	PREVOD NA UCET	8339	17574	SIPO	ST	60398054
135627	455	1997-09-11	VYDAJ	PREVOD NA UCET	8339	18546	SIPO	ST	60398054
135628	455	1997-10-11	VYDAJ	PREVOD NA UCET	8339	17044	SIPO	ST	60398054
135629	455	1997-11-11	VYDAJ	PREVOD NA UCET	8339	16612	SIPO	ST	60398054
135630	455	1997-12-11	VYDAJ	PREVOD NA UCET	8339	13351	SIPO	ST	60398054
135631	455	1998-01-11	VYDAJ	PREVOD NA UCET	8339	18185	SIPO	ST	60398054
135632	455	1998-02-11	VYDAJ	PREVOD NA UCET	8339	15587	SIPO	ST	60398054
135633	455	1998-03-11	VYDAJ	PREVOD NA UCET	8339	19847	SIPO	ST	60398054
135634	455	1998-04-11	VYDAJ	PREVOD NA UCET	8339	16429	SIPO	ST	60398054
135635	455	1998-05-11	VYDAJ	PREVOD NA UCET	8339	14503	SIPO	ST	60398054
135636	455	1998-06-11	VYDAJ	PREVOD NA UCET	8339	8107	SIPO	ST	60398054
135637	455	1998-07-11	VYDAJ	PREVOD NA UCET	8339	8476	SIPO	ST	60398054
135638	455	1998-08-11	VYDAJ	PREVOD NA UCET	8339	11809	SIPO	ST	60398054
135639	455	1998-09-11	VYDAJ	PREVOD NA UCET	8339	15755	SIPO	ST	60398054
135640	455	1998-10-11	VYDAJ	PREVOD NA UCET	8339	13076	SIPO	ST	60398054
135641	455	1998-11-11	VYDAJ	PREVOD NA UCET	8339	14233	SIPO	ST	60398054
135642	455	1998-12-11	VYDAJ	PREVOD NA UCET	8339	14691	SIPO	ST	60398054
135644	455	1996-06-11	VYDAJ	VYBER	10880	17228	\N	\N	\N
135645	455	1997-06-25	VYDAJ	VYBER	24320	20118	\N	\N	\N
135646	455	1998-06-28	VYDAJ	VYBER	5280	18831	\N	\N	\N
135649	455	1997-01-18	VYDAJ	VYBER	7360	33610	\N	\N	\N
135650	455	1998-01-18	VYDAJ	VYBER	6560	24134	\N	\N	\N
135651	455	1995-12-03	VYDAJ	VYBER	4000	24064	\N	\N	\N
135652	455	1996-12-10	VYDAJ	VYBER	2720	29535	\N	\N	\N
135653	455	1997-12-09	VYDAJ	VYBER	2560	21690	\N	\N	\N
135654	455	1998-12-14	VYDAJ	VYBER	2880	30575	\N	\N	\N
135655	455	1995-12-09	VYDAJ	VYBER	2280	21784	\N	\N	\N
135663	455	1996-09-12	VYDAJ	VYBER	1080	14831	\N	\N	\N
135664	455	1996-02-06	VYDAJ	VYBER	3480	25711	\N	\N	\N
135665	455	1996-03-14	VYDAJ	VYBER	4560	27190	\N	\N	\N
135666	455	1996-09-13	VYDAJ	VYBER	1800	13031	\N	\N	\N
135667	455	1997-10-04	VYDAJ	VYBER	3600	22883	\N	\N	\N
135668	455	1997-05-03	VYDAJ	VYBER	2520	34706	\N	\N	\N
135669	455	1997-01-18	VYDAJ	VYBER	4320	29290	\N	\N	\N
135670	455	1997-10-02	VYDAJ	VYBER	4680	26483	\N	\N	\N
135671	455	1997-11-16	VYDAJ	VYBER	5760	23361	\N	\N	\N
135672	455	1997-12-15	VYDAJ	VYBER	4080	28035	\N	\N	\N
135673	455	1997-02-21	VYDAJ	VYBER	2880	32313	\N	\N	\N
135674	455	1998-05-22	VYDAJ	VYBER	720	26292	\N	\N	\N
135676	455	1998-06-11	VYDAJ	VYBER	5040	16446	\N	\N	\N
135677	455	1998-10-04	VYDAJ	VYBER	4440	21415	\N	\N	\N
135678	455	1998-06-18	VYDAJ	VYBER	2760	24111	\N	\N	\N
135688	455	1995-09-30	VYDAJ	VYBER	15	33792	SLUZBY	\N	\N
135689	455	1995-10-31	VYDAJ	VYBER	15	29785	SLUZBY	\N	\N
135690	455	1995-11-30	VYDAJ	VYBER	15	28064	SLUZBY	\N	\N
135691	455	1995-12-31	VYDAJ	VYBER	15	30110	SLUZBY	\N	\N
135692	455	1996-01-31	VYDAJ	VYBER	15	29191	SLUZBY	\N	\N
135693	455	1996-02-29	VYDAJ	VYBER	15	27580	SLUZBY	\N	\N
135694	455	1996-03-31	VYDAJ	VYBER	15	23184	SLUZBY	\N	\N
135695	455	1996-04-30	VYDAJ	VYBER	15	24941	SLUZBY	\N	\N
135696	455	1996-05-31	VYDAJ	VYBER	15	28108	SLUZBY	\N	\N
135697	455	1996-06-30	VYDAJ	VYBER	15	24142	SLUZBY	\N	\N
135698	455	1996-07-31	VYDAJ	VYBER	15	22796	SLUZBY	\N	\N
135699	455	1996-08-31	VYDAJ	VYBER	15	24250	SLUZBY	\N	\N
135700	455	1996-09-30	VYDAJ	VYBER	15	21626	SLUZBY	\N	\N
135701	455	1996-10-31	VYDAJ	VYBER	15	24081	SLUZBY	\N	\N
135702	455	1996-11-30	VYDAJ	VYBER	15	32255	SLUZBY	\N	\N
135703	455	1996-12-31	VYDAJ	VYBER	15	42800	SLUZBY	\N	\N
135704	455	1997-01-31	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
135705	455	1997-02-28	VYDAJ	VYBER	15	32427	SLUZBY	\N	\N
135706	455	1997-03-31	VYDAJ	VYBER	15	35223	SLUZBY	\N	\N
135707	455	1997-04-30	VYDAJ	VYBER	15	37226	SLUZBY	\N	\N
135708	455	1997-05-31	VYDAJ	VYBER	15	38213	SLUZBY	\N	\N
135709	455	1997-06-30	VYDAJ	VYBER	15	20255	SLUZBY	\N	\N
135710	455	1997-07-31	VYDAJ	VYBER	15	27813	SLUZBY	\N	\N
135711	455	1997-08-31	VYDAJ	VYBER	15	30185	SLUZBY	\N	\N
135712	455	1997-09-30	VYDAJ	VYBER	15	31163	SLUZBY	\N	\N
135713	455	1997-10-31	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
135714	455	1997-11-30	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
135715	455	1997-12-31	VYDAJ	VYBER	15	28124	SLUZBY	\N	\N
135716	455	1998-01-31	VYDAJ	VYBER	15	24226	SLUZBY	\N	\N
135717	455	1998-02-28	VYDAJ	VYBER	15	28186	SLUZBY	\N	\N
135718	455	1998-03-31	VYDAJ	VYBER	15	32468	SLUZBY	\N	\N
135719	455	1998-04-30	VYDAJ	VYBER	15	29042	SLUZBY	\N	\N
135720	455	1998-05-31	VYDAJ	VYBER	15	26386	SLUZBY	\N	\N
135721	455	1998-06-30	VYDAJ	VYBER	15	18915	SLUZBY	\N	\N
135722	455	1998-07-31	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
135723	455	1998-08-31	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
135724	455	1998-09-30	VYDAJ	VYBER	15	28355	SLUZBY	\N	\N
135725	455	1998-10-31	VYDAJ	VYBER	15	25672	SLUZBY	\N	\N
135726	455	1998-11-30	VYDAJ	VYBER	15	26830	SLUZBY	\N	\N
135727	455	1995-05-23	PRIJEM	VKLAD	3600	16609	\N	\N	\N
135728	455	1995-06-22	VYDAJ	VYBER	6500	28893	\N	\N	\N
135729	455	1995-07-22	VYDAJ	VYBER	8700	32787	\N	\N	\N
135730	455	1995-08-21	VYDAJ	VYBER	12300	33121	\N	\N	\N
135731	455	1995-09-20	VYDAJ	VYBER	12100	33667	\N	\N	\N
135732	455	1995-10-20	VYDAJ	VYBER	8300	29662	\N	\N	\N
135733	455	1995-11-19	VYDAJ	VYBER	6000	27955	\N	\N	\N
135734	455	1995-12-19	VYDAJ	VYBER	2200	30009	\N	\N	\N
135735	455	1996-01-18	VYDAJ	VYBER	5200	29080	\N	\N	\N
135736	455	1996-02-17	VYDAJ	VYBER	2400	27481	\N	\N	\N
135737	455	1996-03-18	VYDAJ	VYBER	4100	23090	\N	\N	\N
135738	455	1996-04-17	VYDAJ	VYBER	2500	24854	\N	\N	\N
135739	455	1996-05-17	VYDAJ	VYBER	1100	28011	\N	\N	\N
135740	455	1996-06-16	VYDAJ	VYBER	3600	24053	\N	\N	\N
135741	455	1996-07-16	VYDAJ	VYBER	5600	22712	\N	\N	\N
135742	455	1996-08-15	VYDAJ	VYBER	2800	24166	\N	\N	\N
135743	455	1996-09-14	VYDAJ	VYBER	4000	21540	\N	\N	\N
135744	455	1996-10-14	VYDAJ	VYBER	1800	23996	\N	\N	\N
135745	455	1996-11-13	PRIJEM	VKLAD	3900	19642	\N	\N	\N
135746	455	1996-12-13	PRIJEM	VKLAD	2700	23896	\N	\N	\N
135747	455	1997-01-12	VYDAJ	VYBER	6000	28461	\N	\N	\N
135748	455	1997-02-11	PRIJEM	VKLAD	1600	31023	\N	\N	\N
135749	455	1997-03-13	VYDAJ	VYBER	1500	22588	\N	\N	\N
135750	455	1997-04-12	VYDAJ	VYBER	2300	24584	\N	\N	\N
135751	455	1997-05-12	VYDAJ	VYBER	800	25567	\N	\N	\N
135752	455	1997-06-11	VYDAJ	VYBER	4200	34013	\N	\N	\N
135753	455	1997-07-11	PRIJEM	VKLAD	3300	23555	\N	\N	\N
135754	455	1997-08-10	VYDAJ	VYBER	1900	25913	\N	\N	\N
135755	455	1997-09-09	VYDAJ	VYBER	3300	26885	\N	\N	\N
135756	455	1997-10-09	PRIJEM	VKLAD	2500	25383	\N	\N	\N
135757	455	1997-11-08	VYDAJ	VYBER	4700	24951	\N	\N	\N
135758	455	1997-12-08	PRIJEM	VKLAD	800	24250	\N	\N	\N
135759	455	1998-01-07	VYDAJ	VYBER	1600	26524	\N	\N	\N
135760	455	1998-02-06	VYDAJ	VYBER	300	23926	\N	\N	\N
135761	455	1998-04-07	VYDAJ	VYBER	7700	24768	\N	\N	\N
135762	455	1998-05-07	VYDAJ	VYBER	6200	22842	\N	\N	\N
135763	455	1998-06-06	VYDAJ	VYBER	4900	21486	\N	\N	\N
135764	455	1998-07-06	VYDAJ	VYBER	2100	16815	\N	\N	\N
135765	455	1998-08-05	VYDAJ	VYBER	900	20148	\N	\N	\N
135766	455	1998-09-04	VYDAJ	VYBER	300	24094	\N	\N	\N
135767	455	1998-10-04	VYDAJ	VYBER	2500	25855	\N	\N	\N
135768	455	1998-11-03	VYDAJ	VYBER	3100	22572	\N	\N	\N
135769	455	1998-12-03	VYDAJ	VYBER	3800	23030	\N	\N	\N
135814	456	1993-01-21	PRIJEM	VKLAD	700	700	\N	\N	\N
135816	456	1993-02-10	PRIJEM	PREVOD Z UCTU	47831	48531	\N	AB	95670407
135817	456	1993-03-10	PRIJEM	PREVOD Z UCTU	47831	85913	\N	AB	95670407
135818	456	1993-04-10	PRIJEM	PREVOD Z UCTU	47831	104527	\N	AB	95670407
135819	456	1993-05-10	PRIJEM	PREVOD Z UCTU	47831	112805	\N	AB	95670407
135820	456	1993-06-10	PRIJEM	PREVOD Z UCTU	71746	117088	\N	AB	95670407
135821	456	1993-07-10	PRIJEM	PREVOD Z UCTU	47831	88015	\N	AB	95670407
135822	456	1993-08-10	PRIJEM	PREVOD Z UCTU	47831	89598	\N	AB	95670407
135823	456	1993-09-10	PRIJEM	PREVOD Z UCTU	47831	105793	\N	AB	95670407
135824	456	1993-10-10	PRIJEM	PREVOD Z UCTU	47831	106749	\N	AB	95670407
135825	456	1993-11-10	PRIJEM	PREVOD Z UCTU	47831	72555	\N	AB	95670407
135826	456	1993-12-10	PRIJEM	PREVOD Z UCTU	71746	117340	\N	AB	95670407
135827	456	1994-01-10	PRIJEM	PREVOD Z UCTU	47831	81006	\N	AB	95670407
135828	456	1994-02-10	PRIJEM	PREVOD Z UCTU	47831	75218	\N	AB	95670407
135829	456	1994-03-10	PRIJEM	PREVOD Z UCTU	47831	95267	\N	AB	95670407
135830	456	1994-04-10	PRIJEM	PREVOD Z UCTU	47831	109208	\N	AB	95670407
135831	456	1994-05-10	PRIJEM	PREVOD Z UCTU	47831	80201	\N	AB	95670407
135832	456	1994-06-10	PRIJEM	PREVOD Z UCTU	71746	118924	\N	AB	95670407
135833	456	1994-07-10	PRIJEM	PREVOD Z UCTU	47831	75539	\N	AB	95670407
135834	456	1994-08-10	PRIJEM	PREVOD Z UCTU	47831	90025	\N	AB	95670407
135835	456	1994-09-10	PRIJEM	PREVOD Z UCTU	47831	90100	\N	AB	95670407
135836	456	1994-10-10	PRIJEM	PREVOD Z UCTU	47831	102021	\N	AB	95670407
135837	456	1994-11-10	PRIJEM	PREVOD Z UCTU	47831	101737	\N	AB	95670407
135838	456	1994-12-10	PRIJEM	PREVOD Z UCTU	71746	121048	\N	AB	95670407
135839	456	1995-01-10	PRIJEM	PREVOD Z UCTU	47831	69567	\N	AB	95670407
135840	456	1995-02-10	PRIJEM	PREVOD Z UCTU	47831	72596	\N	AB	95670407
135841	456	1995-03-10	PRIJEM	PREVOD Z UCTU	47831	95345	\N	AB	95670407
135842	456	1995-04-10	PRIJEM	PREVOD Z UCTU	47831	107390	\N	AB	95670407
135843	456	1995-05-10	PRIJEM	PREVOD Z UCTU	47831	103371	\N	AB	95670407
135844	456	1995-06-10	PRIJEM	PREVOD Z UCTU	71746	107579	\N	AB	95670407
135845	456	1995-07-10	PRIJEM	PREVOD Z UCTU	47831	80831	\N	AB	95670407
135846	456	1995-08-10	PRIJEM	PREVOD Z UCTU	47831	80055	\N	AB	95670407
135847	456	1995-09-10	PRIJEM	PREVOD Z UCTU	47831	82160	\N	AB	95670407
135848	456	1995-10-10	PRIJEM	PREVOD Z UCTU	47831	102975	\N	AB	95670407
135849	456	1995-11-10	PRIJEM	PREVOD Z UCTU	47831	106405	\N	AB	95670407
135850	456	1995-12-10	PRIJEM	PREVOD Z UCTU	71746	139358	\N	AB	95670407
135851	456	1996-01-10	PRIJEM	PREVOD Z UCTU	47831	74330	\N	AB	95670407
135852	456	1996-02-10	PRIJEM	PREVOD Z UCTU	47831	77041	\N	AB	95670407
135853	456	1996-03-10	PRIJEM	PREVOD Z UCTU	47831	82599	\N	AB	95670407
135854	456	1996-04-10	PRIJEM	PREVOD Z UCTU	47831	105314	\N	AB	95670407
135855	456	1996-05-10	PRIJEM	PREVOD Z UCTU	47831	111923	\N	AB	95670407
135856	456	1996-06-10	PRIJEM	PREVOD Z UCTU	71746	139482	\N	AB	95670407
135857	456	1996-07-10	PRIJEM	PREVOD Z UCTU	47831	106500	\N	AB	95670407
135858	456	1996-08-10	PRIJEM	PREVOD Z UCTU	47831	110321	\N	AB	95670407
135859	456	1996-09-10	PRIJEM	PREVOD Z UCTU	47831	117481	\N	AB	95670407
135860	456	1996-10-10	PRIJEM	PREVOD Z UCTU	47831	107770	\N	AB	95670407
135861	456	1996-11-10	PRIJEM	PREVOD Z UCTU	47831	108783	\N	AB	95670407
135862	456	1996-12-10	PRIJEM	PREVOD Z UCTU	71746	133642	\N	AB	95670407
135863	456	1997-01-10	PRIJEM	PREVOD Z UCTU	47831	91026	\N	AB	95670407
135864	456	1997-02-10	PRIJEM	PREVOD Z UCTU	47831	87805	\N	AB	95670407
135865	456	1997-03-10	PRIJEM	PREVOD Z UCTU	47831	98837	\N	AB	95670407
135866	456	1997-04-10	PRIJEM	PREVOD Z UCTU	47831	106226	\N	AB	95670407
135867	456	1997-05-10	PRIJEM	PREVOD Z UCTU	47831	111550	\N	AB	95670407
135868	456	1997-06-10	PRIJEM	PREVOD Z UCTU	71746	114089	\N	AB	95670407
135869	456	1997-07-10	PRIJEM	PREVOD Z UCTU	47831	99283	\N	AB	95670407
135870	456	1997-08-10	PRIJEM	PREVOD Z UCTU	47831	88104	\N	AB	95670407
135871	456	1997-09-10	PRIJEM	PREVOD Z UCTU	47831	101888	\N	AB	95670407
135872	456	1997-10-10	PRIJEM	PREVOD Z UCTU	47831	109526	\N	AB	95670407
135873	456	1997-11-10	PRIJEM	PREVOD Z UCTU	47831	103047	\N	AB	95670407
135874	456	1997-12-10	PRIJEM	PREVOD Z UCTU	71746	106739	\N	AB	95670407
135875	456	1998-01-10	PRIJEM	PREVOD Z UCTU	47831	80673	\N	AB	95670407
135876	456	1998-02-10	PRIJEM	PREVOD Z UCTU	47831	82199	\N	AB	95670407
135877	456	1998-03-10	PRIJEM	PREVOD Z UCTU	47831	84224	\N	AB	95670407
135878	456	1998-04-10	PRIJEM	PREVOD Z UCTU	47831	91789	\N	AB	95670407
135879	456	1998-05-10	PRIJEM	PREVOD Z UCTU	47831	94181	\N	AB	95670407
135880	456	1998-06-10	PRIJEM	PREVOD Z UCTU	71746	109289	\N	AB	95670407
135881	456	1998-07-10	PRIJEM	PREVOD Z UCTU	47831	102469	\N	AB	95670407
135882	456	1998-08-10	PRIJEM	PREVOD Z UCTU	47831	98599	\N	AB	95670407
135883	456	1998-09-10	PRIJEM	PREVOD Z UCTU	47831	88751	\N	AB	95670407
135884	456	1998-10-10	PRIJEM	PREVOD Z UCTU	47831	94735	\N	AB	95670407
135885	456	1998-11-10	PRIJEM	PREVOD Z UCTU	47831	100443	\N	AB	95670407
135886	456	1998-12-10	PRIJEM	PREVOD Z UCTU	71746	120465	\N	AB	95670407
135960	456	1993-10-20	VYBER	VYBER	7623	38326	\N	\N	\N
135963	456	1993-09-21	VYBER	VYBER	5105	58688	\N	\N	\N
135964	456	1993-08-02	VYBER	VYBER	15328	41767	\N	\N	\N
135965	456	1993-10-25	VYBER	VYBER	13835	24491	\N	\N	\N
135966	456	1994-07-11	VYBER	VYBER	11149	64390	\N	\N	\N
135967	456	1994-08-22	VYBER	VYBER	18335	42090	\N	\N	\N
135969	456	1994-07-14	VYBER	VYBER	7374	57016	\N	\N	\N
135970	456	1994-02-11	VYBER	VYBER	2352	72866	\N	\N	\N
135971	456	1994-05-26	VYBER	VYBER	4680	47021	\N	\N	\N
135972	456	1994-11-25	VYBER	VYBER	4929	51152	\N	\N	\N
135973	456	1994-07-03	VYBER	VYBER	16339	27708	\N	\N	\N
135974	456	1994-11-25	VYBER	VYBER	6056	56081	\N	\N	\N
135975	456	1994-11-02	VYBER	VYBER	12255	53906	\N	\N	\N
135976	456	1994-02-15	VYBER	VYBER	2242	70624	\N	\N	\N
135978	456	1995-01-12	VYBER	VYBER	8327	39640	\N	\N	\N
135979	456	1995-06-22	VYBER	VYBER	12790	32740	\N	\N	\N
135980	456	1995-10-28	VYBER	VYBER	6181	90794	\N	\N	\N
135981	456	1995-08-24	VYBER	VYBER	20169	59886	\N	\N	\N
135982	456	1995-07-13	VYBER	VYBER	13847	37684	\N	\N	\N
135983	456	1995-06-19	VYBER	VYBER	20449	45530	\N	\N	\N
135985	456	1995-12-20	VYBER	VYBER	19577	75081	\N	\N	\N
135986	456	1996-11-14	VYBER	VYBER	12076	96707	\N	\N	\N
135987	456	1996-02-01	VYBER	VYBER	10848	38510	\N	\N	\N
135988	456	1996-05-05	VYBER	VYBER	6814	98892	\N	\N	\N
135989	456	1996-03-01	VYBER	VYBER	22126	55168	\N	\N	\N
135990	456	1997-07-31	VYBER	VYBER	18835	40288	\N	\N	\N
135991	456	1997-05-15	VYBER	VYBER	17705	81545	\N	\N	\N
135992	456	1997-11-13	VYBER	VYBER	13988	65369	\N	\N	\N
135993	456	1997-07-24	VYBER	VYBER	4097	95186	\N	\N	\N
135994	456	1997-11-10	VYBER	VYBER	23690	79357	\N	\N	\N
135995	456	1997-10-22	VYBER	VYBER	15962	93564	\N	\N	\N
135996	456	1997-03-06	VYBER	VYBER	3353	51006	\N	\N	\N
135997	456	1997-05-25	VYBER	VYBER	22871	58674	\N	\N	\N
136001	456	1995-06-05	VYDAJ	VYBER	30000	35833	\N	\N	\N
136006	456	1994-01-29	VYDAJ	VYBER	11100	27206	\N	\N	\N
136008	456	1996-01-03	VYDAJ	VYBER	29700	41299	\N	\N	\N
136009	456	1997-01-24	VYDAJ	VYBER	20700	53226	\N	\N	\N
136010	456	1998-01-02	VYDAJ	VYBER	21600	40942	\N	\N	\N
136011	456	1993-12-04	VYDAJ	VYBER	5400	45594	\N	\N	\N
136012	456	1994-12-05	VYDAJ	VYBER	2100	49302	\N	\N	\N
136013	456	1995-12-29	VYDAJ	VYBER	4500	70581	\N	\N	\N
136014	456	1996-12-11	VYDAJ	VYBER KARTOU	3900	86442	\N	\N	0
136015	456	1997-12-06	VYDAJ	VYBER KARTOU	3600	34993	\N	\N	0
136016	456	1998-12-07	VYDAJ	VYBER KARTOU	3000	48719	\N	\N	0
136023	456	1994-01-13	VYDAJ	VYBER	4200	71406	\N	\N	\N
136024	456	1994-01-08	VYDAJ	VYBER	3300	33175	\N	\N	\N
136025	456	1994-01-25	VYDAJ	VYBER	3900	38306	\N	\N	\N
136026	456	1994-01-07	VYDAJ	VYBER	2700	36475	\N	\N	\N
136027	456	1994-01-12	VYDAJ	VYBER	5400	75606	\N	\N	\N
136028	456	1994-01-24	VYDAJ	VYBER	6300	42206	\N	\N	\N
136029	456	1995-01-09	VYDAJ	VYBER	3000	21736	\N	\N	\N
136030	456	1995-01-22	VYDAJ	VYBER	1500	30040	\N	\N	\N
136031	456	1995-01-07	VYDAJ	VYBER	6900	24736	\N	\N	\N
136032	456	1995-01-11	VYDAJ	VYBER	4200	47967	\N	\N	\N
136033	456	1995-01-24	VYDAJ	VYBER	5400	24640	\N	\N	\N
136034	456	1995-01-12	VYDAJ	VYBER	8100	31540	\N	\N	\N
136035	456	1996-01-20	VYDAJ	VYBER	3000	62930	\N	\N	\N
136036	456	1996-01-24	VYDAJ	VYBER	6900	49130	\N	\N	\N
136037	456	1996-01-14	VYDAJ	VYBER	3900	65930	\N	\N	\N
136038	456	1996-01-06	VYDAJ	VYBER	1500	39799	\N	\N	\N
136039	456	1996-01-09	VYDAJ	VYBER	6300	26499	\N	\N	\N
136040	456	1996-01-10	VYDAJ	VYBER	4500	69830	\N	\N	\N
136041	456	1997-01-13	VYDAJ	VYBER KARTOU	5100	85926	\N	\N	0
136042	456	1997-01-24	VYDAJ	VYBER KARTOU	4200	73926	\N	\N	0
136043	456	1997-01-02	VYDAJ	VYBER KARTOU	5700	46495	\N	\N	0
136044	456	1997-01-04	VYDAJ	VYBER KARTOU	3300	43195	\N	\N	0
136045	456	1997-01-16	VYDAJ	VYBER KARTOU	7800	78126	\N	\N	0
136046	456	1997-01-01	VYDAJ	VYBER KARTOU	2100	52195	\N	\N	0
136047	456	1998-01-20	VYDAJ	VYBER KARTOU	7800	55473	\N	\N	0
136049	456	1998-01-16	VYDAJ	VYBER	8700	63273	\N	\N	\N
136050	456	1998-01-14	VYDAJ	VYBER KARTOU	3300	71973	\N	\N	0
136051	456	1998-01-06	VYDAJ	VYBER KARTOU	3900	32842	\N	\N	0
136052	456	1998-01-04	VYDAJ	VYBER KARTOU	4200	36742	\N	\N	0
136054	456	1993-06-26	VYDAJ	VYBER	3000	39988	\N	\N	\N
136055	456	1994-04-12	VYDAJ	VYBER	10800	36208	\N	\N	\N
136056	456	1994-12-27	VYDAJ	VYBER	2100	40748	\N	\N	\N
136057	456	1994-09-14	VYDAJ	VYBER	4200	54000	\N	\N	\N
136058	456	1994-12-28	VYDAJ	VYBER	9300	31448	\N	\N	\N
136059	456	1995-10-27	VYDAJ	VYBER	6000	96975	\N	\N	\N
136060	456	1995-08-31	VYDAJ	VYBER	10800	49329	\N	\N	\N
136061	456	1995-05-01	VYDAJ	VYBER	10800	55540	\N	\N	\N
136062	456	1996-07-14	VYDAJ	VYBER	6900	99600	\N	\N	\N
136063	456	1996-10-16	VYDAJ	VYBER	12900	94870	\N	\N	\N
136064	456	1996-03-03	VYDAJ	VYBER	11400	43768	\N	\N	\N
136065	456	1996-01-23	VYDAJ	VYBER	6900	56030	\N	\N	\N
136067	456	1997-05-13	VYDAJ	VYBER	12300	99250	\N	\N	\N
136068	456	1997-06-19	VYDAJ	VYBER KARTOU	2100	81289	\N	\N	0
136069	456	1997-04-19	VYDAJ	VYBER KARTOU	3300	102926	\N	\N	0
136070	456	1998-01-12	VYDAJ	VYBER KARTOU	5400	75273	\N	\N	0
136071	456	1998-11-10	VYDAJ	VYBER KARTOU	3600	96843	\N	\N	0
136072	456	1998-05-27	VYDAJ	VYBER KARTOU	6300	37381	\N	\N	0
136073	456	1998-11-21	VYDAJ	VYBER	8400	51443	\N	\N	\N
136074	456	1998-02-10	VYDAJ	VYBER	12900	69299	\N	\N	\N
136075	456	1998-08-23	VYDAJ	VYBER	14100	84499	\N	\N	\N
136082	456	1993-06-30	VYDAJ	VYBER	15	40184	SLUZBY	\N	\N
136083	456	1993-07-31	VYDAJ	VYBER	15	57095	SLUZBY	\N	\N
136084	456	1993-08-31	VYDAJ	VYBER	15	57962	SLUZBY	\N	\N
136085	456	1993-09-30	VYDAJ	VYBER	15	58918	SLUZBY	\N	\N
136086	456	1993-10-31	VYDAJ	VYBER	15	24724	SLUZBY	\N	\N
136087	456	1993-11-30	VYDAJ	VYBER	15	50994	SLUZBY	\N	\N
136088	456	1993-12-31	VYDAJ	VYBER	15	39175	SLUZBY	\N	\N
136089	456	1994-01-31	VYDAJ	VYBER	15	27387	SLUZBY	\N	\N
136090	456	1994-02-28	VYDAJ	VYBER	15	47436	SLUZBY	\N	\N
136091	456	1994-03-31	VYDAJ	VYBER	15	61377	SLUZBY	\N	\N
136092	456	1994-04-30	VYDAJ	VYBER	15	32370	SLUZBY	\N	\N
136093	456	1994-05-31	VYDAJ	VYBER	15	47178	SLUZBY	\N	\N
136094	456	1994-06-30	VYDAJ	VYBER	15	44047	SLUZBY	\N	\N
136095	456	1994-07-31	VYDAJ	VYBER	15	42194	SLUZBY	\N	\N
136096	456	1994-08-31	VYDAJ	VYBER	15	42269	SLUZBY	\N	\N
136097	456	1994-09-30	VYDAJ	VYBER	15	54190	SLUZBY	\N	\N
136098	456	1994-10-31	VYDAJ	VYBER	15	66161	SLUZBY	\N	\N
136099	456	1994-11-30	VYDAJ	VYBER	15	51402	SLUZBY	\N	\N
136100	456	1994-12-31	VYDAJ	VYBER	15	31636	SLUZBY	\N	\N
136101	456	1995-01-31	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
136102	456	1995-02-28	VYDAJ	VYBER	15	47514	SLUZBY	\N	\N
136103	456	1995-03-31	VYDAJ	VYBER	15	59559	SLUZBY	\N	\N
136104	456	1995-04-30	VYDAJ	VYBER	15	66340	SLUZBY	\N	\N
136105	456	1995-05-31	VYDAJ	VYBER	15	65833	SLUZBY	\N	\N
136106	456	1995-06-30	VYDAJ	VYBER	15	33000	SLUZBY	\N	\N
136107	456	1995-07-31	VYDAJ	VYBER	15	37824	SLUZBY	\N	\N
136108	456	1995-08-31	VYDAJ	VYBER	15	60129	SLUZBY	\N	\N
136109	456	1995-09-30	VYDAJ	VYBER	15	82444	SLUZBY	\N	\N
136110	456	1995-10-31	VYDAJ	VYBER	15	91174	SLUZBY	\N	\N
136111	456	1995-11-30	VYDAJ	VYBER	15	106812	SLUZBY	\N	\N
136112	456	1995-12-31	VYDAJ	VYBER	15	70999	SLUZBY	\N	\N
136113	456	1996-01-31	VYDAJ	VYBER	15	49358	SLUZBY	\N	\N
136114	456	1996-02-29	VYDAJ	VYBER	15	77294	SLUZBY	\N	\N
136115	456	1996-03-31	VYDAJ	VYBER	15	82883	SLUZBY	\N	\N
136116	456	1996-04-30	VYDAJ	VYBER	15	105706	SLUZBY	\N	\N
136117	456	1996-05-31	VYDAJ	VYBER	15	112336	SLUZBY	\N	\N
136118	456	1996-06-30	VYDAJ	VYBER	15	91469	SLUZBY	\N	\N
136119	456	1996-07-31	VYDAJ	VYBER	15	99990	SLUZBY	\N	\N
136120	456	1996-08-31	VYDAJ	VYBER	15	110750	SLUZBY	\N	\N
136121	456	1996-09-30	VYDAJ	VYBER	15	91439	SLUZBY	\N	\N
136122	456	1996-10-31	VYDAJ	VYBER	15	95252	SLUZBY	\N	\N
136123	456	1996-11-30	VYDAJ	VYBER	15	97096	SLUZBY	\N	\N
136124	456	1996-12-31	VYDAJ	VYBER	15	86795	SLUZBY	\N	\N
136125	456	1997-01-31	VYDAJ	VYBER	15	39974	SLUZBY	\N	\N
136126	456	1997-02-28	VYDAJ	VYBER	15	87959	SLUZBY	\N	\N
136127	456	1997-03-31	VYDAJ	VYBER	15	99195	SLUZBY	\N	\N
136128	456	1997-04-30	VYDAJ	VYBER	15	103319	SLUZBY	\N	\N
136129	456	1997-05-31	VYDAJ	VYBER	15	42343	SLUZBY	\N	\N
136130	456	1997-06-30	VYDAJ	VYBER	15	51452	SLUZBY	\N	\N
136131	456	1997-07-31	VYDAJ	VYBER	15	40273	SLUZBY	\N	\N
136132	456	1997-08-31	VYDAJ	VYBER	15	54057	SLUZBY	\N	\N
136133	456	1997-09-30	VYDAJ	VYBER	15	61695	SLUZBY	\N	\N
136134	456	1997-10-31	VYDAJ	VYBER	15	55216	SLUZBY	\N	\N
136135	456	1997-11-30	VYDAJ	VYBER	15	38593	SLUZBY	\N	\N
136136	456	1997-12-31	VYDAJ	VYBER	15	62542	SLUZBY	\N	\N
136137	456	1998-01-31	VYDAJ	VYBER	15	34368	SLUZBY	\N	\N
136138	456	1998-02-28	VYDAJ	VYBER	15	36393	SLUZBY	\N	\N
136139	456	1998-03-31	VYDAJ	VYBER	15	43958	SLUZBY	\N	\N
136140	456	1998-04-30	VYDAJ	VYBER	15	46350	SLUZBY	\N	\N
136141	456	1998-05-31	VYDAJ	VYBER	15	37543	SLUZBY	\N	\N
136142	456	1998-06-30	VYDAJ	VYBER	15	54638	SLUZBY	\N	\N
136143	456	1998-07-31	VYDAJ	VYBER	15	50768	SLUZBY	\N	\N
136144	456	1998-08-31	VYDAJ	VYBER	15	40920	SLUZBY	\N	\N
136145	456	1998-09-30	VYDAJ	VYBER	15	46904	SLUZBY	\N	\N
136146	456	1998-10-31	VYDAJ	VYBER	15	52612	SLUZBY	\N	\N
136147	456	1998-11-30	VYDAJ	VYBER	15	51719	SLUZBY	\N	\N
136148	456	1993-02-20	VYDAJ	VYBER	10500	38031	\N	\N	\N
136149	456	1993-03-22	VYDAJ	VYBER	29400	56513	\N	\N	\N
136150	456	1993-04-21	VYDAJ	VYBER	39800	64727	\N	\N	\N
136151	456	1993-05-10	VYDAJ	VYBER	50600	62205	\N	\N	\N
136152	456	1993-05-21	VYDAJ	VYBER	17100	45105	\N	\N	\N
136153	456	1993-06-10	VYDAJ	VYBER	51700	65388	\N	\N	\N
136154	456	1993-06-20	VYDAJ	VYBER	22400	42988	\N	\N	\N
136155	456	1993-07-20	VYDAJ	VYBER	31100	56915	\N	\N	\N
136156	456	1993-08-19	VYDAJ	VYBER	31900	57698	\N	\N	\N
136157	456	1993-09-18	VYDAJ	VYBER	42000	63793	\N	\N	\N
136158	456	1993-10-10	VYDAJ	VYBER	43800	62949	\N	\N	\N
136159	456	1993-10-18	VYDAJ	VYBER	17000	45949	\N	\N	\N
136160	456	1993-11-17	VYDAJ	VYBER	21700	50855	\N	\N	\N
136161	456	1993-12-10	VYDAJ	VYBER	63900	53440	\N	\N	\N
136162	456	1993-12-17	VYDAJ	VYBER	14500	38940	\N	\N	\N
136163	456	1994-01-16	VYDAJ	VYBER	22900	48506	\N	\N	\N
136164	456	1994-02-15	VYDAJ	VYBER	23400	47224	\N	\N	\N
136165	456	1994-03-17	VYDAJ	VYBER	34100	61167	\N	\N	\N
136166	456	1994-04-10	VYDAJ	VYBER	62200	47008	\N	\N	\N
136167	456	1994-04-16	VYDAJ	VYBER	4000	32208	\N	\N	\N
136168	456	1994-05-16	VYDAJ	VYBER	28500	51701	\N	\N	\N
136169	456	1994-06-10	VYDAJ	VYBER	57700	61224	\N	\N	\N
136170	456	1994-06-15	VYDAJ	VYBER	17400	43824	\N	\N	\N
136171	456	1994-07-15	VYDAJ	VYBER	15000	42016	\N	\N	\N
136172	456	1994-08-14	VYDAJ	VYBER	29600	60425	\N	\N	\N
136173	456	1994-09-13	VYDAJ	VYBER	31900	58200	\N	\N	\N
136174	456	1994-10-13	VYDAJ	VYBER	36100	65921	\N	\N	\N
136175	456	1994-11-12	VYDAJ	VYBER	39600	62137	\N	\N	\N
136176	456	1994-12-10	VYDAJ	VYBER	59700	61348	\N	\N	\N
136177	456	1994-12-12	VYDAJ	VYBER	18500	42848	\N	\N	\N
136178	456	1995-01-11	VYDAJ	VYBER	17400	52167	\N	\N	\N
136179	456	1995-02-10	VYDAJ	VYBER	25300	47296	\N	\N	\N
136180	456	1995-03-12	VYDAJ	VYBER	36000	59345	\N	\N	\N
136181	456	1995-04-11	VYDAJ	VYBER	41300	66090	\N	\N	\N
136182	456	1995-05-11	VYDAJ	VYBER	37800	65571	\N	\N	\N
136183	456	1995-06-10	VYDAJ	VYBER	41600	65979	\N	\N	\N
136184	456	1995-07-10	VYDAJ	VYBER	29300	51531	\N	\N	\N
136185	456	1995-08-09	VYDAJ	VYBER	5600	32224	\N	\N	\N
136186	456	1995-09-08	VYDAJ	VYBER	15000	34329	\N	\N	\N
136187	456	1995-10-08	VYDAJ	VYBER	27300	55144	\N	\N	\N
136188	456	1995-11-07	VYDAJ	VYBER	32600	58574	\N	\N	\N
136189	456	1995-12-07	VYDAJ	VYBER	39200	67612	\N	\N	\N
136190	456	1995-12-10	VYDAJ	VYBER	44700	94658	\N	\N	\N
136191	456	1996-01-06	VYDAJ	VYBER	7000	32799	\N	\N	\N
136192	456	1996-02-05	VYDAJ	VYBER	9300	29210	\N	\N	\N
136193	456	1996-03-06	VYDAJ	VYBER	9000	34768	\N	\N	\N
136194	456	1996-04-05	VYDAJ	VYBER	25400	57483	\N	\N	\N
136195	456	1996-05-05	VYDAJ	VYBER	34800	64092	\N	\N	\N
136196	456	1996-06-04	VYDAJ	VYBER	44600	67736	\N	\N	\N
136197	456	1996-06-10	VYDAJ	VYBER	48400	91082	\N	\N	\N
136198	456	1996-07-04	VYDAJ	VYBER	32800	58669	\N	\N	\N
136199	456	1996-08-03	VYDAJ	VYBER	37500	62490	\N	\N	\N
136200	456	1996-09-02	VYDAJ	VYBER	41100	69650	\N	\N	\N
136201	456	1996-09-10	VYDAJ	VYBER	26500	90981	\N	\N	\N
136202	456	1996-10-02	VYDAJ	VYBER	31500	59939	\N	\N	\N
136203	456	1996-11-01	VYDAJ	VYBER	34300	60952	\N	\N	\N
136204	456	1996-12-01	VYDAJ	VYBER	35200	61896	\N	\N	\N
136205	456	1996-12-10	VYDAJ	VYBER	43300	90342	\N	\N	\N
136206	456	1996-12-31	VYDAJ	VYBER	32500	54295	\N	\N	\N
136207	456	1997-01-30	VYDAJ	VYBER	13500	39726	\N	\N	\N
136208	456	1997-03-01	VYDAJ	VYBER	33600	54359	\N	\N	\N
136209	456	1997-03-31	VYDAJ	VYBER	40800	58395	\N	\N	\N
136210	456	1997-04-30	VYDAJ	VYBER	39600	63719	\N	\N	\N
136211	456	1997-05-30	VYDAJ	VYBER	16600	42074	\N	\N	\N
136212	456	1997-06-10	VYDAJ	VYBER	30700	83389	\N	\N	\N
136213	456	1997-06-29	VYDAJ	VYBER	30100	51189	\N	\N	\N
136214	456	1997-07-29	VYDAJ	VYBER	36300	58886	\N	\N	\N
136215	456	1997-08-28	VYDAJ	VYBER	34200	53904	\N	\N	\N
136216	456	1997-09-27	VYDAJ	VYBER	40400	61488	\N	\N	\N
136217	456	1997-10-27	VYDAJ	VYBER	38600	54964	\N	\N	\N
136218	456	1997-11-26	VYDAJ	VYBER	27000	38369	\N	\N	\N
136219	456	1997-12-26	VYDAJ	VYBER	44500	62239	\N	\N	\N
136220	456	1998-01-25	VYDAJ	VYBER	21300	34173	\N	\N	\N
136221	456	1998-02-24	VYDAJ	VYBER	33100	36199	\N	\N	\N
136222	456	1998-03-26	VYDAJ	VYBER	40400	43824	\N	\N	\N
136223	456	1998-04-25	VYDAJ	VYBER	45600	46189	\N	\N	\N
136224	456	1998-05-25	VYDAJ	VYBER	50500	43681	\N	\N	\N
136225	456	1998-06-24	VYDAJ	VYBER	54800	54489	\N	\N	\N
136226	456	1998-07-24	VYDAJ	VYBER	51900	50569	\N	\N	\N
136227	456	1998-08-23	VYDAJ	VYBER	43800	40699	\N	\N	\N
136228	456	1998-09-22	VYDAJ	VYBER	42000	46751	\N	\N	\N
136229	456	1998-10-22	VYDAJ	VYBER	42300	52435	\N	\N	\N
136230	456	1998-11-21	VYDAJ	VYBER	37000	59843	\N	\N	\N
136231	456	1998-12-10	VYDAJ	VYBER	55000	65465	\N	\N	\N
136632	458	1995-06-16	PRIJEM	VKLAD	1100	1100	\N	\N	\N
136639	458	1995-07-12	PRIJEM	VKLAD	16852	17952	\N	\N	\N
136640	458	1995-08-12	PRIJEM	VKLAD	16852	36847	\N	\N	\N
136641	458	1995-09-12	PRIJEM	VKLAD	16852	50012	\N	\N	\N
136642	458	1995-10-12	PRIJEM	VKLAD	16852	57118	\N	\N	\N
136643	458	1995-11-12	PRIJEM	VKLAD	16852	57939	\N	\N	\N
136644	458	1995-12-12	PRIJEM	VKLAD	25278	62678	\N	\N	\N
136645	458	1996-01-12	PRIJEM	VKLAD	16852	53822	\N	\N	\N
136646	458	1996-02-12	PRIJEM	VKLAD	16852	47418	\N	\N	\N
136647	458	1996-03-12	PRIJEM	VKLAD	16852	52012	\N	\N	\N
136648	458	1996-04-12	PRIJEM	VKLAD	16852	48014	\N	\N	\N
136649	458	1996-05-12	PRIJEM	VKLAD	16852	49021	\N	\N	\N
136650	458	1996-06-12	PRIJEM	VKLAD	25278	61663	\N	\N	\N
136651	458	1996-07-12	PRIJEM	VKLAD	16852	58113	\N	\N	\N
136652	458	1996-08-12	PRIJEM	VKLAD	16852	56373	\N	\N	\N
136653	458	1996-09-12	PRIJEM	VKLAD	16852	55823	\N	\N	\N
136654	458	1996-10-12	PRIJEM	VKLAD	16852	50669	\N	\N	\N
136655	458	1996-11-12	PRIJEM	VKLAD	16852	50292	\N	\N	\N
136656	458	1996-12-12	PRIJEM	VKLAD	25278	55237	\N	\N	\N
136657	458	1997-01-12	PRIJEM	VKLAD	16852	55665	\N	\N	\N
136658	458	1997-02-12	PRIJEM	VKLAD	16852	48593	\N	\N	\N
136659	458	1997-03-12	PRIJEM	VKLAD	16852	53506	\N	\N	\N
136660	458	1997-04-12	PRIJEM	VKLAD	16852	48334	\N	\N	\N
136661	458	1997-05-12	PRIJEM	VKLAD	16852	53546	\N	\N	\N
136662	458	1997-06-12	PRIJEM	VKLAD	25278	64299	\N	\N	\N
136663	458	1997-07-12	PRIJEM	VKLAD	16852	58063	\N	\N	\N
136664	458	1997-08-12	PRIJEM	VKLAD	16852	50520	\N	\N	\N
136665	458	1997-09-12	PRIJEM	VKLAD	16852	54950	\N	\N	\N
136666	458	1997-10-12	PRIJEM	VKLAD	16852	58183	\N	\N	\N
136667	458	1997-11-12	PRIJEM	VKLAD	16852	60330	\N	\N	\N
136668	458	1997-12-12	PRIJEM	VKLAD	25278	68116	\N	\N	\N
136669	458	1998-01-12	PRIJEM	VKLAD	16852	57395	\N	\N	\N
136670	458	1998-02-12	PRIJEM	VKLAD	16852	53229	\N	\N	\N
136671	458	1998-03-12	PRIJEM	VKLAD	16852	54048	\N	\N	\N
136672	458	1998-04-12	PRIJEM	VKLAD	16852	50283	\N	\N	\N
136673	458	1998-05-12	PRIJEM	VKLAD	16852	54110	\N	\N	\N
136674	458	1998-06-12	PRIJEM	VKLAD	25278	62465	\N	\N	\N
136675	458	1998-07-12	PRIJEM	VKLAD	16852	57801	\N	\N	\N
136676	458	1998-08-12	PRIJEM	VKLAD	16852	60251	\N	\N	\N
136677	458	1998-09-12	PRIJEM	VKLAD	16852	63898	\N	\N	\N
136678	458	1998-10-12	PRIJEM	VKLAD	16852	63058	\N	\N	\N
136679	458	1998-11-12	PRIJEM	VKLAD	16852	66517	\N	\N	\N
136680	458	1998-12-12	PRIJEM	VKLAD	25278	73613	\N	\N	\N
136691	458	1995-11-13	VYDAJ	PREVOD NA UCET	9586	48353	SIPO	AB	65390032
136692	458	1995-12-13	VYDAJ	PREVOD NA UCET	9586	43192	SIPO	AB	65390032
136693	458	1996-01-13	VYDAJ	PREVOD NA UCET	9586	34536	SIPO	AB	65390032
136694	458	1996-02-13	VYDAJ	PREVOD NA UCET	9586	37832	SIPO	AB	65390032
136695	458	1996-03-13	VYDAJ	PREVOD NA UCET	9586	34826	SIPO	AB	65390032
136696	458	1996-04-13	VYDAJ	PREVOD NA UCET	9586	38428	SIPO	AB	65390032
136697	458	1996-05-13	VYDAJ	PREVOD NA UCET	9586	39435	SIPO	AB	65390032
136698	458	1996-06-13	VYDAJ	PREVOD NA UCET	9586	52077	SIPO	AB	65390032
136699	458	1996-07-13	VYDAJ	PREVOD NA UCET	9586	48527	SIPO	AB	65390032
136700	458	1996-08-13	VYDAJ	PREVOD NA UCET	9586	46787	SIPO	AB	65390032
136701	458	1996-09-13	VYDAJ	PREVOD NA UCET	9586	46237	SIPO	AB	65390032
136702	458	1996-10-13	VYDAJ	PREVOD NA UCET	9586	41083	SIPO	AB	65390032
136703	458	1996-11-13	VYDAJ	PREVOD NA UCET	9586	40706	SIPO	AB	65390032
136704	458	1996-12-13	VYDAJ	PREVOD NA UCET	9586	45651	SIPO	AB	65390032
136705	458	1997-01-13	VYDAJ	PREVOD NA UCET	9586	46079	SIPO	AB	65390032
136706	458	1997-02-13	VYDAJ	PREVOD NA UCET	9586	39007	SIPO	AB	65390032
136707	458	1997-03-13	VYDAJ	PREVOD NA UCET	9586	43920	SIPO	AB	65390032
136708	458	1997-04-13	VYDAJ	PREVOD NA UCET	9586	38748	SIPO	AB	65390032
136709	458	1997-05-13	VYDAJ	PREVOD NA UCET	9586	43960	SIPO	AB	65390032
136710	458	1997-06-13	VYDAJ	PREVOD NA UCET	9586	54713	SIPO	AB	65390032
136711	458	1997-07-13	VYDAJ	PREVOD NA UCET	9586	48477	SIPO	AB	65390032
136712	458	1997-08-13	VYDAJ	PREVOD NA UCET	9586	40934	SIPO	AB	65390032
136713	458	1997-09-13	VYDAJ	PREVOD NA UCET	9586	45364	SIPO	AB	65390032
136714	458	1997-10-13	VYDAJ	PREVOD NA UCET	9586	48597	SIPO	AB	65390032
136715	458	1997-11-13	VYDAJ	PREVOD NA UCET	9586	50744	SIPO	AB	65390032
136716	458	1997-12-13	VYDAJ	PREVOD NA UCET	9586	58530	SIPO	AB	65390032
136717	458	1998-01-13	VYDAJ	PREVOD NA UCET	9586	46809	SIPO	AB	65390032
136718	458	1998-02-13	VYDAJ	PREVOD NA UCET	9586	43643	SIPO	AB	65390032
136719	458	1998-03-13	VYDAJ	PREVOD NA UCET	9586	44462	SIPO	AB	65390032
136720	458	1998-04-13	VYDAJ	PREVOD NA UCET	9586	40697	SIPO	AB	65390032
136721	458	1998-05-13	VYDAJ	PREVOD NA UCET	9586	44524	SIPO	AB	65390032
136722	458	1998-06-13	VYDAJ	PREVOD NA UCET	9586	52879	SIPO	AB	65390032
136723	458	1998-07-13	VYDAJ	PREVOD NA UCET	9586	48215	SIPO	AB	65390032
136724	458	1998-08-13	VYDAJ	PREVOD NA UCET	9586	50665	SIPO	AB	65390032
136725	458	1998-09-13	VYDAJ	PREVOD NA UCET	9586	54312	SIPO	AB	65390032
136726	458	1998-10-13	VYDAJ	PREVOD NA UCET	9586	53472	SIPO	AB	65390032
136727	458	1998-11-13	VYDAJ	PREVOD NA UCET	9586	56931	SIPO	AB	65390032
136728	458	1998-12-13	VYDAJ	PREVOD NA UCET	9586	64027	SIPO	AB	65390032
136777	458	1995-12-30	VYDAJ	VYBER	1300	41892	\N	\N	\N
136778	458	1996-12-07	VYDAJ	VYBER	2500	38359	\N	\N	\N
136779	458	1997-12-28	VYDAJ	VYBER	2100	56430	\N	\N	\N
136780	458	1998-12-24	VYDAJ	VYBER	1300	62727	\N	\N	\N
136787	458	1996-01-01	VYDAJ	VYBER	2500	39570	\N	\N	\N
136788	458	1996-01-18	VYDAJ	VYBER	2500	31236	\N	\N	\N
136789	458	1996-01-19	VYDAJ	VYBER	1400	29836	\N	\N	\N
136790	458	1996-01-14	VYDAJ	VYBER	800	33736	\N	\N	\N
136791	458	1996-01-30	VYDAJ	VYBER	1400	28436	\N	\N	\N
136792	458	1996-01-09	VYDAJ	VYBER	1300	38270	\N	\N	\N
136793	458	1997-01-09	VYDAJ	VYBER	800	38813	\N	\N	\N
136794	458	1997-01-27	VYDAJ	VYBER	500	37879	\N	\N	\N
136795	458	1997-01-17	VYDAJ	VYBER	2300	41279	\N	\N	\N
136796	458	1997-01-21	VYDAJ	VYBER	2900	38379	\N	\N	\N
136797	458	1997-01-17	VYDAJ	VYBER	1500	43579	\N	\N	\N
136798	458	1997-01-16	VYDAJ	VYBER	1000	45079	\N	\N	\N
136799	458	1998-01-12	VYDAJ	VYBER	1000	56395	\N	\N	\N
136800	458	1998-01-21	VYDAJ	VYBER	1200	45609	\N	\N	\N
136801	458	1998-01-28	VYDAJ	VYBER	2800	41509	\N	\N	\N
136802	458	1998-01-02	VYDAJ	VYBER	2500	40543	\N	\N	\N
136803	458	1998-01-30	VYDAJ	VYBER	1500	40009	\N	\N	\N
136804	458	1998-01-22	VYDAJ	VYBER	1300	44309	\N	\N	\N
136810	458	1996-03-10	VYDAJ	VYBER	1600	35160	\N	\N	\N
136811	458	1996-02-20	VYDAJ	VYBER	1200	36632	\N	\N	\N
136812	458	1996-09-30	VYDAJ	VYBER	4300	42132	\N	\N	\N
136813	458	1996-01-11	VYDAJ	VYBER	1300	36970	\N	\N	\N
136814	458	1996-10-24	VYDAJ	VYBER	2200	38883	\N	\N	\N
136815	458	1997-12-08	VYDAJ	VYBER	1900	42838	\N	\N	\N
136816	458	1997-04-02	VYDAJ	VYBER	4600	39482	\N	\N	\N
136817	458	1997-07-09	VYDAJ	VYBER	1400	41211	\N	\N	\N
136818	458	1997-06-28	VYDAJ	VYBER	500	54213	\N	\N	\N
136819	458	1997-08-10	VYDAJ	VYBER	3500	33668	\N	\N	\N
136820	458	1997-09-24	VYDAJ	VYBER	1500	43864	\N	\N	\N
136821	458	1998-08-24	VYDAJ	VYBER	600	50065	\N	\N	\N
136822	458	1998-11-29	VYDAJ	VYBER	2500	48131	\N	\N	\N
136823	458	1998-06-15	VYDAJ	VYBER	3900	48979	\N	\N	\N
136824	458	1998-05-29	VYDAJ	VYBER	2500	42024	\N	\N	\N
136836	458	1995-11-30	VYDAJ	VYBER	15	37400	SLUZBY	\N	\N
136837	458	1995-12-31	VYDAJ	VYBER	15	42070	SLUZBY	\N	\N
136838	458	1996-01-31	VYDAJ	VYBER	15	28566	SLUZBY	\N	\N
136839	458	1996-02-29	VYDAJ	VYBER	15	36760	SLUZBY	\N	\N
136840	458	1996-03-31	VYDAJ	VYBER	15	34962	SLUZBY	\N	\N
136841	458	1996-04-30	VYDAJ	VYBER	15	38569	SLUZBY	\N	\N
136842	458	1996-05-31	VYDAJ	VYBER	15	39585	SLUZBY	\N	\N
136843	458	1996-06-30	VYDAJ	VYBER	15	52261	SLUZBY	\N	\N
136844	458	1996-07-31	VYDAJ	VYBER	15	48721	SLUZBY	\N	\N
136845	458	1996-08-31	VYDAJ	VYBER	15	46971	SLUZBY	\N	\N
136846	458	1996-09-30	VYDAJ	VYBER	15	42117	SLUZBY	\N	\N
136847	458	1996-10-31	VYDAJ	VYBER	15	39040	SLUZBY	\N	\N
136848	458	1996-11-30	VYDAJ	VYBER	15	40859	SLUZBY	\N	\N
136849	458	1996-12-31	VYDAJ	VYBER	15	45813	SLUZBY	\N	\N
136850	458	1997-01-31	VYDAJ	VYBER	15	38041	SLUZBY	\N	\N
136851	458	1997-02-28	VYDAJ	VYBER	15	39154	SLUZBY	\N	\N
136852	458	1997-03-31	VYDAJ	VYBER	15	44082	SLUZBY	\N	\N
136853	458	1997-04-30	VYDAJ	VYBER	15	38894	SLUZBY	\N	\N
136854	458	1997-05-31	VYDAJ	VYBER	15	44121	SLUZBY	\N	\N
136855	458	1997-06-30	VYDAJ	VYBER	15	54411	SLUZBY	\N	\N
136856	458	1997-07-31	VYDAJ	VYBER	15	48668	SLUZBY	\N	\N
136857	458	1997-08-31	VYDAJ	VYBER	15	41098	SLUZBY	\N	\N
136858	458	1997-09-30	VYDAJ	VYBER	15	44031	SLUZBY	\N	\N
136859	458	1997-10-31	VYDAJ	VYBER	15	48778	SLUZBY	\N	\N
136860	458	1997-11-30	VYDAJ	VYBER	15	50938	SLUZBY	\N	\N
136861	458	1997-12-31	VYDAJ	VYBER	15	56643	SLUZBY	\N	\N
136862	458	1998-01-31	VYDAJ	VYBER	15	36377	SLUZBY	\N	\N
136863	458	1998-02-28	VYDAJ	VYBER	15	43796	SLUZBY	\N	\N
136864	458	1998-03-31	VYDAJ	VYBER	15	44631	SLUZBY	\N	\N
136865	458	1998-04-30	VYDAJ	VYBER	15	40858	SLUZBY	\N	\N
136866	458	1998-05-31	VYDAJ	VYBER	15	37187	SLUZBY	\N	\N
136867	458	1998-06-30	VYDAJ	VYBER	15	49149	SLUZBY	\N	\N
136868	458	1998-07-31	VYDAJ	VYBER	15	43399	SLUZBY	\N	\N
136869	458	1998-08-31	VYDAJ	VYBER	15	47046	SLUZBY	\N	\N
136870	458	1998-09-30	VYDAJ	VYBER	15	46206	SLUZBY	\N	\N
136871	458	1998-10-31	VYDAJ	VYBER	15	49665	SLUZBY	\N	\N
136872	458	1998-11-30	VYDAJ	VYBER	15	48335	SLUZBY	\N	\N
136873	458	1995-07-16	PRIJEM	VKLAD	2000	19952	\N	\N	\N
136874	458	1995-08-15	VYDAJ	VYBER	3800	33047	\N	\N	\N
136875	458	1995-09-14	VYDAJ	VYBER	9900	40112	\N	\N	\N
136876	458	1995-10-14	VYDAJ	VYBER	16200	40918	\N	\N	\N
136877	458	1995-11-13	VYDAJ	VYBER	11100	37253	\N	\N	\N
136878	458	1995-12-13	VYDAJ	VYBER	9900	52778	\N	\N	\N
136879	458	1996-01-12	VYDAJ	VYBER	9700	44122	\N	\N	\N
136880	458	1996-02-11	PRIJEM	VKLAD	2000	30566	\N	\N	\N
136881	458	1996-03-12	VYDAJ	VYBER	7600	44412	\N	\N	\N
136882	458	1996-04-11	VYDAJ	VYBER	3800	31162	\N	\N	\N
136883	458	1996-05-11	VYDAJ	VYBER	6400	32169	\N	\N	\N
136884	458	1996-06-10	VYDAJ	VYBER	3200	36385	\N	\N	\N
136885	458	1996-07-10	VYDAJ	VYBER	11000	41261	\N	\N	\N
136886	458	1996-08-09	VYDAJ	VYBER	9200	39521	\N	\N	\N
136887	458	1996-09-08	VYDAJ	VYBER	8000	38971	\N	\N	\N
136888	458	1996-10-08	VYDAJ	VYBER	8300	33817	\N	\N	\N
136889	458	1996-11-07	VYDAJ	VYBER	5600	33440	\N	\N	\N
136890	458	1996-12-07	VYDAJ	VYBER	8400	29959	\N	\N	\N
136891	458	1997-01-06	VYDAJ	VYBER	6200	39613	\N	\N	\N
136892	458	1997-02-05	VYDAJ	VYBER	6300	31741	\N	\N	\N
136893	458	1997-03-07	VYDAJ	VYBER	2500	36654	\N	\N	\N
136894	458	1997-04-06	VYDAJ	VYBER	8000	31482	\N	\N	\N
136895	458	1997-05-06	VYDAJ	VYBER	2200	36694	\N	\N	\N
136896	458	1997-06-05	VYDAJ	VYBER	5100	39021	\N	\N	\N
136897	458	1997-07-05	VYDAJ	VYBER	11800	42611	\N	\N	\N
136898	458	1997-08-04	VYDAJ	VYBER	11500	37168	\N	\N	\N
136899	458	1997-09-03	VYDAJ	VYBER	3000	38098	\N	\N	\N
136900	458	1997-10-03	VYDAJ	VYBER	2700	41331	\N	\N	\N
136901	458	1997-11-02	VYDAJ	VYBER	5300	43478	\N	\N	\N
136902	458	1997-12-02	VYDAJ	VYBER	6200	44738	\N	\N	\N
136903	458	1998-01-01	VYDAJ	VYBER	13600	43043	\N	\N	\N
136904	458	1998-01-31	VYDAJ	VYBER	3800	36391	\N	\N	\N
136905	458	1998-03-02	VYDAJ	VYBER	6600	37196	\N	\N	\N
136906	458	1998-04-01	VYDAJ	VYBER	11200	33431	\N	\N	\N
136907	458	1998-05-01	VYDAJ	VYBER	3600	37258	\N	\N	\N
136908	458	1998-05-31	VYDAJ	VYBER	5000	37202	\N	\N	\N
136909	458	1998-06-30	VYDAJ	VYBER	8200	40949	\N	\N	\N
136910	458	1998-07-30	VYDAJ	VYBER	5000	43215	\N	\N	\N
136911	458	1998-08-29	VYDAJ	VYBER	3200	46865	\N	\N	\N
136912	458	1998-09-28	VYDAJ	VYBER	8300	46012	\N	\N	\N
136913	458	1998-10-28	VYDAJ	VYBER	4000	49472	\N	\N	\N
136914	458	1998-11-27	VYDAJ	VYBER	6300	50631	\N	\N	\N
136957	459	1993-01-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
137124	459	1993-02-20	PRIJEM	VKLAD	13400	14400	\N	\N	\N
137125	459	1993-03-22	PRIJEM	VKLAD	3100	17500	\N	\N	\N
137126	459	1993-04-21	PRIJEM	VKLAD	6500	24000	\N	\N	\N
137127	459	1993-05-21	PRIJEM	VKLAD	1100	25100	\N	\N	\N
137128	459	1993-06-20	PRIJEM	VKLAD	300	25400	\N	\N	\N
137129	459	1993-07-20	VYDAJ	VYBER	1200	24200	\N	\N	\N
137130	459	1993-08-19	PRIJEM	VKLAD	1300	25500	\N	\N	\N
137131	459	1993-09-18	PRIJEM	VKLAD	700	26200	\N	\N	\N
137132	459	1993-10-18	VYDAJ	VYBER	1700	24500	\N	\N	\N
137133	459	1993-11-17	PRIJEM	VKLAD	2000	26500	\N	\N	\N
137134	459	1993-12-17	VYDAJ	VYBER	1100	25400	\N	\N	\N
137135	459	1994-01-16	VYDAJ	VYBER	3100	22300	\N	\N	\N
137136	459	1994-02-15	VYDAJ	VYBER	600	21700	\N	\N	\N
137137	459	1994-03-17	PRIJEM	VKLAD	500	22200	\N	\N	\N
137138	459	1994-04-16	VYDAJ	VYBER	900	21300	\N	\N	\N
137139	459	1994-05-16	VYDAJ	VYBER	400	20900	\N	\N	\N
137140	459	1994-06-15	VYDAJ	VYBER	1300	19600	\N	\N	\N
137141	459	1994-07-15	PRIJEM	VKLAD	2500	22100	\N	\N	\N
137142	459	1994-08-14	VYDAJ	VYBER	1700	20400	\N	\N	\N
137143	459	1994-09-13	PRIJEM	VKLAD	1700	22100	\N	\N	\N
137144	459	1994-10-13	VYDAJ	VYBER	600	21500	\N	\N	\N
137145	459	1994-11-12	VYDAJ	VYBER	1000	20500	\N	\N	\N
137146	459	1994-12-12	PRIJEM	VKLAD	1200	21700	\N	\N	\N
137147	459	1995-01-11	VYDAJ	VYBER	1600	20100	\N	\N	\N
137148	459	1995-02-10	VYDAJ	VYBER	600	19500	\N	\N	\N
137149	459	1995-03-12	VYDAJ	VYBER	1300	18200	\N	\N	\N
137150	459	1995-04-11	VYDAJ	VYBER	2300	15900	\N	\N	\N
137151	459	1995-05-11	VYDAJ	VYBER	2800	13100	\N	\N	\N
137152	459	1995-06-10	VYDAJ	VYBER	1900	11200	\N	\N	\N
137153	459	1995-07-10	VYDAJ	VYBER	600	10600	\N	\N	\N
137154	459	1995-08-09	PRIJEM	VKLAD	2000	12600	\N	\N	\N
137155	459	1995-09-08	VYDAJ	VYBER	1700	10900	\N	\N	\N
137156	459	1995-10-08	VYDAJ	VYBER	400	10500	\N	\N	\N
137157	459	1995-11-07	PRIJEM	VKLAD	400	10900	\N	\N	\N
137158	459	1995-12-07	VYDAJ	VYBER	200	10700	\N	\N	\N
137159	459	1996-01-06	PRIJEM	VKLAD	2200	12900	\N	\N	\N
137160	459	1996-02-05	PRIJEM	VKLAD	100	13000	\N	\N	\N
137161	459	1996-03-06	PRIJEM	VKLAD	800	13800	\N	\N	\N
137162	459	1996-04-05	PRIJEM	VKLAD	1200	15000	\N	\N	\N
137163	459	1996-05-05	VYDAJ	VYBER	2200	12800	\N	\N	\N
137164	459	1996-06-04	PRIJEM	VKLAD	2300	15100	\N	\N	\N
137165	459	1996-07-04	VYDAJ	VYBER	1200	13900	\N	\N	\N
137166	459	1996-08-03	PRIJEM	VKLAD	100	14000	\N	\N	\N
137167	459	1996-09-02	VYDAJ	VYBER	3500	10500	\N	\N	\N
137168	459	1996-10-02	VYDAJ	VYBER	2300	8200	\N	\N	\N
137169	459	1996-11-01	PRIJEM	VKLAD	1400	9600	\N	\N	\N
137170	459	1997-01-30	VYDAJ	VYBER	800	8800	\N	\N	\N
137171	459	1997-03-01	VYDAJ	VYBER	700	8100	\N	\N	\N
137172	460	1994-04-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
137177	460	1994-05-05	PRIJEM	PREVOD Z UCTU	5922	7022	DUCHOD	UV	69185650
137178	460	1994-06-05	PRIJEM	PREVOD Z UCTU	5922	12944	DUCHOD	UV	69185650
137179	460	1994-07-05	PRIJEM	PREVOD Z UCTU	5922	18866	DUCHOD	UV	69185650
137180	460	1994-08-05	PRIJEM	PREVOD Z UCTU	5922	24788	DUCHOD	UV	69185650
137181	460	1994-09-05	PRIJEM	PREVOD Z UCTU	5922	30563	DUCHOD	UV	69185650
137182	460	1994-10-05	PRIJEM	PREVOD Z UCTU	5922	28217	DUCHOD	UV	69185650
137183	460	1994-11-05	PRIJEM	PREVOD Z UCTU	5922	28165	DUCHOD	UV	69185650
137184	460	1994-12-05	PRIJEM	PREVOD Z UCTU	5922	29116	DUCHOD	UV	69185650
137185	460	1995-01-05	PRIJEM	PREVOD Z UCTU	5922	24317	DUCHOD	UV	69185650
137186	460	1995-02-05	PRIJEM	PREVOD Z UCTU	5922	24853	DUCHOD	UV	69185650
137187	460	1995-03-05	PRIJEM	PREVOD Z UCTU	5922	25049	DUCHOD	UV	69185650
137188	460	1995-04-05	PRIJEM	PREVOD Z UCTU	5922	27491	DUCHOD	UV	69185650
137189	460	1995-05-05	PRIJEM	PREVOD Z UCTU	5922	29141	DUCHOD	UV	69185650
137190	460	1995-06-05	PRIJEM	PREVOD Z UCTU	5922	27551	DUCHOD	UV	69185650
137191	460	1995-07-05	PRIJEM	PREVOD Z UCTU	5922	23485	DUCHOD	UV	69185650
137192	460	1995-08-05	PRIJEM	PREVOD Z UCTU	5922	23656	DUCHOD	UV	69185650
137193	460	1995-09-05	PRIJEM	PREVOD Z UCTU	5922	22383	DUCHOD	UV	69185650
137194	460	1995-10-05	PRIJEM	PREVOD Z UCTU	5922	21503	DUCHOD	UV	69185650
137195	460	1995-11-05	PRIJEM	PREVOD Z UCTU	5922	20520	DUCHOD	UV	69185650
137196	460	1995-12-05	PRIJEM	PREVOD Z UCTU	5922	19632	DUCHOD	UV	69185650
137197	460	1996-01-05	PRIJEM	PREVOD Z UCTU	5922	22051	DUCHOD	UV	69185650
137198	460	1996-02-05	PRIJEM	PREVOD Z UCTU	5922	19352	DUCHOD	UV	69185650
137199	460	1996-03-05	PRIJEM	PREVOD Z UCTU	5922	21771	DUCHOD	UV	69185650
137200	460	1996-04-05	PRIJEM	PREVOD Z UCTU	5922	16775	DUCHOD	UV	69185650
137201	460	1996-05-05	PRIJEM	PREVOD Z UCTU	5922	16974	DUCHOD	UV	69185650
137202	460	1996-06-05	PRIJEM	PREVOD Z UCTU	5922	19382	DUCHOD	UV	69185650
137203	460	1996-07-05	PRIJEM	PREVOD Z UCTU	5922	21799	DUCHOD	UV	69185650
137204	460	1996-08-05	PRIJEM	PREVOD Z UCTU	5922	24226	DUCHOD	UV	69185650
137205	460	1996-09-05	PRIJEM	PREVOD Z UCTU	5922	24344	DUCHOD	UV	69185650
137206	460	1996-10-05	PRIJEM	PREVOD Z UCTU	5922	25982	DUCHOD	UV	69185650
137207	460	1996-11-05	PRIJEM	PREVOD Z UCTU	5922	24578	DUCHOD	UV	69185650
137208	460	1996-12-05	PRIJEM	PREVOD Z UCTU	5922	27017	DUCHOD	UV	69185650
137209	460	1997-01-05	PRIJEM	PREVOD Z UCTU	5922	20452	DUCHOD	UV	69185650
137210	460	1997-02-05	PRIJEM	PREVOD Z UCTU	5922	21915	DUCHOD	UV	69185650
137211	460	1997-03-05	PRIJEM	PREVOD Z UCTU	5922	24343	DUCHOD	UV	69185650
137212	460	1997-04-05	PRIJEM	PREVOD Z UCTU	5922	25898	DUCHOD	UV	69185650
137213	460	1997-05-05	PRIJEM	PREVOD Z UCTU	5922	28343	DUCHOD	UV	69185650
137214	460	1997-06-05	PRIJEM	PREVOD Z UCTU	5922	25033	DUCHOD	UV	69185650
137215	460	1997-07-05	PRIJEM	PREVOD Z UCTU	5922	20011	DUCHOD	UV	69185650
137216	460	1997-08-05	PRIJEM	PREVOD Z UCTU	5922	22431	DUCHOD	UV	69185650
137217	460	1997-09-05	PRIJEM	PREVOD Z UCTU	5922	24860	DUCHOD	UV	69185650
137218	460	1997-10-05	PRIJEM	PREVOD Z UCTU	5922	27300	DUCHOD	UV	69185650
137219	460	1997-11-05	PRIJEM	PREVOD Z UCTU	5922	29750	DUCHOD	UV	69185650
137220	460	1997-12-05	PRIJEM	PREVOD Z UCTU	5922	32210	DUCHOD	UV	69185650
137221	460	1998-01-05	PRIJEM	PREVOD Z UCTU	5922	33378	DUCHOD	UV	69185650
137222	460	1998-02-05	PRIJEM	PREVOD Z UCTU	5922	31147	DUCHOD	UV	69185650
137223	460	1998-03-05	PRIJEM	PREVOD Z UCTU	5922	33612	DUCHOD	UV	69185650
137224	460	1998-04-05	PRIJEM	PREVOD Z UCTU	5922	34086	DUCHOD	UV	69185650
137225	460	1998-05-05	PRIJEM	PREVOD Z UCTU	5922	36564	DUCHOD	UV	69185650
137226	460	1998-06-05	PRIJEM	PREVOD Z UCTU	5922	39052	DUCHOD	UV	69185650
137227	460	1998-07-05	PRIJEM	PREVOD Z UCTU	5922	39846	DUCHOD	UV	69185650
137228	460	1998-08-05	PRIJEM	PREVOD Z UCTU	5922	41224	DUCHOD	UV	69185650
137229	460	1998-09-05	PRIJEM	PREVOD Z UCTU	5922	43732	DUCHOD	UV	69185650
137230	460	1998-10-05	PRIJEM	PREVOD Z UCTU	5922	46249	DUCHOD	UV	69185650
137231	460	1998-11-05	PRIJEM	PREVOD Z UCTU	5922	48777	DUCHOD	UV	69185650
137232	460	1998-12-05	PRIJEM	PREVOD Z UCTU	5922	47708	DUCHOD	UV	69185650
137241	460	1994-09-06	VYDAJ	PREVOD NA UCET	3554	27009	SIPO	MN	57986551
137242	460	1994-10-06	VYDAJ	PREVOD NA UCET	3554	24663	SIPO	MN	57986551
137243	460	1994-11-06	VYDAJ	PREVOD NA UCET	3554	24611	SIPO	MN	57986551
137244	460	1994-12-06	VYDAJ	PREVOD NA UCET	3554	25562	SIPO	MN	57986551
137245	460	1995-01-06	VYDAJ	PREVOD NA UCET	3554	20763	SIPO	MN	57986551
137246	460	1995-02-06	VYDAJ	PREVOD NA UCET	3554	21299	SIPO	MN	57986551
137247	460	1995-03-06	VYDAJ	PREVOD NA UCET	3554	21495	SIPO	MN	57986551
137248	460	1995-04-06	VYDAJ	PREVOD NA UCET	3554	23937	SIPO	MN	57986551
137249	460	1995-05-06	VYDAJ	PREVOD NA UCET	3554	25587	SIPO	MN	57986551
137250	460	1995-06-06	VYDAJ	PREVOD NA UCET	3554	23997	SIPO	MN	57986551
137251	460	1995-07-06	VYDAJ	PREVOD NA UCET	3554	19931	SIPO	MN	57986551
137252	460	1995-08-06	VYDAJ	PREVOD NA UCET	3554	20102	SIPO	MN	57986551
137253	460	1995-09-06	VYDAJ	PREVOD NA UCET	3554	18829	SIPO	MN	57986551
137254	460	1995-10-06	VYDAJ	PREVOD NA UCET	3554	17949	SIPO	MN	57986551
137255	460	1995-11-06	VYDAJ	PREVOD NA UCET	3554	16966	SIPO	MN	57986551
137256	460	1995-12-06	VYDAJ	PREVOD NA UCET	3554	16078	SIPO	MN	57986551
137257	460	1996-01-06	VYDAJ	PREVOD NA UCET	3554	18497	SIPO	MN	57986551
137258	460	1996-02-06	VYDAJ	PREVOD NA UCET	3554	15798	SIPO	MN	57986551
137259	460	1996-03-06	VYDAJ	PREVOD NA UCET	3554	18217	SIPO	MN	57986551
137260	460	1996-04-06	VYDAJ	PREVOD NA UCET	3554	13221	SIPO	MN	57986551
137261	460	1996-05-06	VYDAJ	PREVOD NA UCET	3554	13420	SIPO	MN	57986551
137262	460	1996-06-06	VYDAJ	PREVOD NA UCET	3554	15828	SIPO	MN	57986551
137263	460	1996-07-06	VYDAJ	PREVOD NA UCET	3554	18245	SIPO	MN	57986551
137264	460	1996-08-06	VYDAJ	PREVOD NA UCET	3554	20672	SIPO	MN	57986551
137265	460	1996-09-06	VYDAJ	PREVOD NA UCET	3554	20790	SIPO	MN	57986551
137266	460	1996-10-06	VYDAJ	PREVOD NA UCET	3554	22428	SIPO	MN	57986551
137267	460	1996-11-06	VYDAJ	PREVOD NA UCET	3554	21024	SIPO	MN	57986551
137268	460	1996-12-06	VYDAJ	PREVOD NA UCET	3554	23463	SIPO	MN	57986551
137269	460	1997-01-06	VYDAJ	PREVOD NA UCET	3554	16898	SIPO	MN	57986551
137270	460	1997-02-06	VYDAJ	PREVOD NA UCET	3554	18361	SIPO	MN	57986551
137271	460	1997-03-06	VYDAJ	PREVOD NA UCET	3554	20789	SIPO	MN	57986551
137272	460	1997-04-06	VYDAJ	PREVOD NA UCET	3554	22344	SIPO	MN	57986551
137273	460	1997-05-06	VYDAJ	PREVOD NA UCET	3554	24789	SIPO	MN	57986551
137274	460	1997-06-06	VYDAJ	PREVOD NA UCET	3554	21479	SIPO	MN	57986551
137275	460	1997-07-06	VYDAJ	PREVOD NA UCET	3554	16457	SIPO	MN	57986551
137276	460	1997-08-06	VYDAJ	PREVOD NA UCET	3554	18877	SIPO	MN	57986551
137277	460	1997-09-06	VYDAJ	PREVOD NA UCET	3554	21306	SIPO	MN	57986551
137278	460	1997-10-06	VYDAJ	PREVOD NA UCET	3554	23746	SIPO	MN	57986551
137279	460	1997-11-06	VYDAJ	PREVOD NA UCET	3554	26196	SIPO	MN	57986551
137280	460	1997-12-06	VYDAJ	PREVOD NA UCET	3554	28656	SIPO	MN	57986551
137281	460	1998-01-06	VYDAJ	PREVOD NA UCET	3554	29824	SIPO	MN	57986551
137282	460	1998-02-06	VYDAJ	PREVOD NA UCET	3554	27593	SIPO	MN	57986551
137283	460	1998-03-06	VYDAJ	PREVOD NA UCET	3554	30058	SIPO	MN	57986551
137284	460	1998-04-06	VYDAJ	PREVOD NA UCET	3554	30532	SIPO	MN	57986551
137285	460	1998-05-06	VYDAJ	PREVOD NA UCET	3554	33010	SIPO	MN	57986551
137286	460	1998-06-06	VYDAJ	PREVOD NA UCET	3554	35498	SIPO	MN	57986551
137287	460	1998-07-06	VYDAJ	PREVOD NA UCET	3554	35172	SIPO	MN	57986551
137288	460	1998-08-06	VYDAJ	PREVOD NA UCET	3554	37670	SIPO	MN	57986551
137289	460	1998-09-06	VYDAJ	PREVOD NA UCET	3554	40178	SIPO	MN	57986551
137290	460	1998-10-06	VYDAJ	PREVOD NA UCET	3554	42695	SIPO	MN	57986551
137291	460	1998-11-06	VYDAJ	PREVOD NA UCET	3554	45223	SIPO	MN	57986551
137292	460	1998-12-06	VYDAJ	PREVOD NA UCET	3554	43204	SIPO	MN	57986551
137296	460	1997-06-17	VYDAJ	VYBER	7450	14029	\N	\N	\N
137297	460	1998-06-11	VYDAJ	VYBER	1700	33798	\N	\N	\N
137299	460	1995-01-04	VYDAJ	VYBER	3400	18395	\N	\N	\N
137301	460	1997-01-04	VYDAJ	VYBER	3000	14530	\N	\N	\N
137302	460	1998-01-22	VYDAJ	VYBER	4700	25124	\N	\N	\N
137303	460	1994-12-30	VYDAJ	VYBER	650	21712	\N	\N	\N
137304	460	1995-12-03	VYDAJ	VYBER	750	13710	\N	\N	\N
137305	460	1996-12-10	VYDAJ	VYBER	650	22813	\N	\N	\N
137306	460	1997-12-23	VYDAJ	VYBER	1300	27356	\N	\N	\N
137307	460	1998-12-05	VYDAJ	VYBER	950	46758	\N	\N	\N
137314	460	1995-08-01	VYDAJ	VYBER	960	17734	\N	\N	\N
137315	460	1995-03-01	VYDAJ	VYBER	640	19127	\N	\N	\N
137316	460	1995-11-06	VYDAJ	VYBER	2560	14406	\N	\N	\N
137317	460	1995-05-20	VYDAJ	VYBER	1840	21547	\N	\N	\N
137319	460	1996-02-01	VYDAJ	VYBER	2560	13430	\N	\N	\N
137320	460	1996-12-29	VYDAJ	VYBER	3680	17453	\N	\N	\N
137321	460	1996-12-27	VYDAJ	VYBER	1680	21133	\N	\N	\N
137322	460	1996-09-03	VYDAJ	VYBER	2320	18422	\N	\N	\N
137323	460	1996-09-12	VYDAJ	VYBER	800	19990	\N	\N	\N
137324	460	1996-01-08	VYDAJ	VYBER	2560	15937	\N	\N	\N
137325	460	1996-10-16	VYDAJ	VYBER	3840	18588	\N	\N	\N
137326	460	1997-05-31	VYDAJ	VYBER	3680	19111	\N	\N	\N
137327	460	1997-05-14	VYDAJ	VYBER	1520	23269	\N	\N	\N
137328	460	1997-05-23	VYDAJ	VYBER	560	22709	\N	\N	\N
137329	460	1997-01-27	VYDAJ	VYBER	960	15938	\N	\N	\N
137330	460	1997-03-15	VYDAJ	VYBER	880	19909	\N	\N	\N
137331	460	1998-11-15	VYDAJ	VYBER	3600	41623	\N	\N	\N
137332	460	1998-07-05	VYDAJ	VYBER	1120	38726	\N	\N	\N
137333	460	1998-03-26	VYDAJ	VYBER	2000	28058	\N	\N	\N
137343	460	1994-09-30	VYDAJ	VYBER	15	22295	SLUZBY	\N	\N
137344	460	1994-10-31	VYDAJ	VYBER	15	22243	SLUZBY	\N	\N
137345	460	1994-11-30	VYDAJ	VYBER	15	23194	SLUZBY	\N	\N
137346	460	1994-12-31	VYDAJ	VYBER	15	21795	SLUZBY	\N	\N
137347	460	1995-01-31	VYDAJ	VYBER	15	18931	SLUZBY	\N	\N
137348	460	1995-02-28	VYDAJ	VYBER	15	19767	SLUZBY	\N	\N
137349	460	1995-03-31	VYDAJ	VYBER	15	21569	SLUZBY	\N	\N
137350	460	1995-04-30	VYDAJ	VYBER	15	23219	SLUZBY	\N	\N
137351	460	1995-05-31	VYDAJ	VYBER	15	21629	SLUZBY	\N	\N
137352	460	1995-06-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
137353	460	1995-07-31	VYDAJ	VYBER	15	18694	SLUZBY	\N	\N
137354	460	1995-08-31	VYDAJ	VYBER	15	16461	SLUZBY	\N	\N
137355	460	1995-09-30	VYDAJ	VYBER	15	15581	SLUZBY	\N	\N
137356	460	1995-10-31	VYDAJ	VYBER	15	14598	SLUZBY	\N	\N
137357	460	1995-11-30	VYDAJ	VYBER	15	14460	SLUZBY	\N	\N
137358	460	1995-12-31	VYDAJ	VYBER	15	16129	SLUZBY	\N	\N
137359	460	1996-01-31	VYDAJ	VYBER	15	15990	SLUZBY	\N	\N
137360	460	1996-02-29	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
137361	460	1996-03-31	VYDAJ	VYBER	15	10853	SLUZBY	\N	\N
137362	460	1996-04-30	VYDAJ	VYBER	15	11052	SLUZBY	\N	\N
137363	460	1996-05-31	VYDAJ	VYBER	15	13460	SLUZBY	\N	\N
137364	460	1996-06-30	VYDAJ	VYBER	15	15877	SLUZBY	\N	\N
137365	460	1996-07-31	VYDAJ	VYBER	15	18304	SLUZBY	\N	\N
137366	460	1996-08-31	VYDAJ	VYBER	15	20742	SLUZBY	\N	\N
137367	460	1996-09-30	VYDAJ	VYBER	15	20060	SLUZBY	\N	\N
137368	460	1996-10-31	VYDAJ	VYBER	15	18656	SLUZBY	\N	\N
137369	460	1996-11-30	VYDAJ	VYBER	15	21095	SLUZBY	\N	\N
137370	460	1996-12-31	VYDAJ	VYBER	15	17530	SLUZBY	\N	\N
137371	460	1997-01-31	VYDAJ	VYBER	15	15993	SLUZBY	\N	\N
137372	460	1997-02-28	VYDAJ	VYBER	15	18421	SLUZBY	\N	\N
137373	460	1997-03-31	VYDAJ	VYBER	15	19976	SLUZBY	\N	\N
137374	460	1997-04-30	VYDAJ	VYBER	15	22421	SLUZBY	\N	\N
137375	460	1997-05-31	VYDAJ	VYBER	15	22791	SLUZBY	\N	\N
137376	460	1997-06-30	VYDAJ	VYBER	15	14089	SLUZBY	\N	\N
137377	460	1997-07-31	VYDAJ	VYBER	15	16509	SLUZBY	\N	\N
137378	460	1997-08-31	VYDAJ	VYBER	15	18938	SLUZBY	\N	\N
137379	460	1997-09-30	VYDAJ	VYBER	15	21378	SLUZBY	\N	\N
137380	460	1997-10-31	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
137381	460	1997-11-30	VYDAJ	VYBER	15	26288	SLUZBY	\N	\N
137382	460	1997-12-31	VYDAJ	VYBER	15	27456	SLUZBY	\N	\N
137383	460	1998-01-31	VYDAJ	VYBER	15	25225	SLUZBY	\N	\N
137384	460	1998-02-28	VYDAJ	VYBER	15	27690	SLUZBY	\N	\N
137385	460	1998-03-31	VYDAJ	VYBER	15	28164	SLUZBY	\N	\N
137386	460	1998-04-30	VYDAJ	VYBER	15	30642	SLUZBY	\N	\N
137387	460	1998-05-31	VYDAJ	VYBER	15	33130	SLUZBY	\N	\N
137388	460	1998-06-30	VYDAJ	VYBER	15	33924	SLUZBY	\N	\N
137389	460	1998-07-31	VYDAJ	VYBER	15	35302	SLUZBY	\N	\N
137390	460	1998-08-31	VYDAJ	VYBER	15	37810	SLUZBY	\N	\N
137391	460	1998-09-30	VYDAJ	VYBER	15	40327	SLUZBY	\N	\N
137392	460	1998-10-31	VYDAJ	VYBER	15	42855	SLUZBY	\N	\N
137393	460	1998-11-30	VYDAJ	VYBER	15	41786	SLUZBY	\N	\N
137394	460	1994-08-16	VYDAJ	VYBER	200	24588	\N	\N	\N
137395	460	1994-09-15	VYDAJ	VYBER	4800	22209	\N	\N	\N
137396	460	1994-10-15	VYDAJ	VYBER	2500	22163	\N	\N	\N
137397	460	1994-11-14	VYDAJ	VYBER	1500	23111	\N	\N	\N
137398	460	1994-12-14	VYDAJ	VYBER	3200	22362	\N	\N	\N
137399	460	1995-01-13	VYDAJ	VYBER	1900	18863	\N	\N	\N
137400	460	1995-02-12	VYDAJ	VYBER	1600	19699	\N	\N	\N
137401	460	1995-04-13	VYDAJ	VYBER	800	23137	\N	\N	\N
137402	460	1995-05-13	VYDAJ	VYBER	2200	23387	\N	\N	\N
137403	460	1995-06-12	VYDAJ	VYBER	6500	17497	\N	\N	\N
137404	460	1995-07-12	VYDAJ	VYBER	1300	18631	\N	\N	\N
137405	460	1995-08-11	VYDAJ	VYBER	3700	16402	\N	\N	\N
137406	460	1995-09-10	VYDAJ	VYBER	3300	15529	\N	\N	\N
137407	460	1995-10-10	VYDAJ	VYBER	3400	14549	\N	\N	\N
137408	460	1996-03-08	VYDAJ	VYBER	7400	10817	\N	\N	\N
137409	460	1996-04-07	VYDAJ	VYBER	2200	11021	\N	\N	\N
137463	461	1993-02-18	PRIJEM	VKLAD	600	600	\N	\N	\N
137466	461	1993-03-06	PRIJEM	PREVOD Z UCTU	6388	6988	DUCHOD	YZ	91520028
137467	461	1993-04-06	PRIJEM	PREVOD Z UCTU	6388	13376	DUCHOD	YZ	91520028
137468	461	1993-05-06	PRIJEM	PREVOD Z UCTU	6388	19764	DUCHOD	YZ	91520028
137469	461	1993-06-06	PRIJEM	PREVOD Z UCTU	6388	26152	DUCHOD	YZ	91520028
137470	461	1993-07-06	PRIJEM	PREVOD Z UCTU	6388	30884	DUCHOD	YZ	91520028
137471	461	1993-08-06	PRIJEM	PREVOD Z UCTU	6388	33236	DUCHOD	YZ	91520028
137472	461	1993-09-06	PRIJEM	PREVOD Z UCTU	6388	32115	DUCHOD	YZ	91520028
137473	461	1993-10-06	PRIJEM	PREVOD Z UCTU	6388	32768	DUCHOD	YZ	91520028
137474	461	1993-11-06	PRIJEM	PREVOD Z UCTU	6388	36129	DUCHOD	YZ	91520028
137475	461	1993-12-06	PRIJEM	PREVOD Z UCTU	6388	34833	DUCHOD	YZ	91520028
137476	461	1994-01-06	PRIJEM	PREVOD Z UCTU	6388	35303	DUCHOD	YZ	91520028
137477	461	1994-02-06	PRIJEM	PREVOD Z UCTU	6388	29302	DUCHOD	YZ	91520028
137478	461	1994-03-06	PRIJEM	PREVOD Z UCTU	6388	28864	DUCHOD	YZ	91520028
137479	461	1994-04-06	PRIJEM	PREVOD Z UCTU	6388	33111	DUCHOD	YZ	91520028
137480	461	1994-05-06	PRIJEM	PREVOD Z UCTU	6388	31226	DUCHOD	YZ	91520028
137481	461	1994-06-06	PRIJEM	PREVOD Z UCTU	6388	33882	DUCHOD	YZ	91520028
137482	461	1994-07-06	PRIJEM	PREVOD Z UCTU	6388	35197	DUCHOD	YZ	91520028
137483	461	1994-08-06	PRIJEM	PREVOD Z UCTU	6388	37867	DUCHOD	YZ	91520028
137484	461	1994-09-06	PRIJEM	PREVOD Z UCTU	6388	38644	DUCHOD	YZ	91520028
137485	461	1994-10-06	PRIJEM	PREVOD Z UCTU	6388	35013	DUCHOD	YZ	91520028
137486	461	1994-11-06	PRIJEM	PREVOD Z UCTU	6388	33256	DUCHOD	YZ	91520028
137487	461	1994-12-06	PRIJEM	PREVOD Z UCTU	6388	36822	DUCHOD	YZ	91520028
137488	461	1995-01-06	PRIJEM	PREVOD Z UCTU	6388	37858	DUCHOD	YZ	91520028
137489	461	1995-02-06	PRIJEM	PREVOD Z UCTU	6388	34356	DUCHOD	YZ	91520028
137490	461	1995-03-06	PRIJEM	PREVOD Z UCTU	6388	35985	DUCHOD	YZ	91520028
137491	461	1995-04-06	PRIJEM	PREVOD Z UCTU	6388	38860	DUCHOD	YZ	91520028
137492	461	1995-05-06	PRIJEM	PREVOD Z UCTU	6388	36999	DUCHOD	YZ	91520028
137493	461	1995-06-06	PRIJEM	PREVOD Z UCTU	6388	38474	DUCHOD	YZ	91520028
137494	461	1995-07-06	PRIJEM	PREVOD Z UCTU	6388	35141	DUCHOD	YZ	91520028
137495	461	1995-08-06	PRIJEM	PREVOD Z UCTU	6388	36408	DUCHOD	YZ	91520028
137496	461	1995-09-06	PRIJEM	PREVOD Z UCTU	6388	39889	DUCHOD	YZ	91520028
137497	461	1995-10-06	PRIJEM	PREVOD Z UCTU	6388	40240	DUCHOD	YZ	91520028
137498	461	1995-11-06	PRIJEM	PREVOD Z UCTU	6388	40233	DUCHOD	YZ	91520028
137499	461	1995-12-06	PRIJEM	PREVOD Z UCTU	6388	43536	DUCHOD	YZ	91520028
137500	461	1996-01-06	PRIJEM	PREVOD Z UCTU	6388	41397	DUCHOD	YZ	91520028
137501	461	1996-02-06	PRIJEM	PREVOD Z UCTU	6388	39357	DUCHOD	YZ	91520028
137502	461	1996-03-06	PRIJEM	PREVOD Z UCTU	6388	42148	DUCHOD	YZ	91520028
137503	461	1996-04-06	PRIJEM	PREVOD Z UCTU	6388	42453	DUCHOD	YZ	91520028
137504	461	1996-05-06	PRIJEM	PREVOD Z UCTU	6388	47465	DUCHOD	YZ	91520028
137505	461	1996-06-06	PRIJEM	PREVOD Z UCTU	6388	45724	DUCHOD	YZ	91520028
137506	461	1996-07-06	PRIJEM	PREVOD Z UCTU	6388	43043	DUCHOD	YZ	91520028
137507	461	1996-08-06	PRIJEM	PREVOD Z UCTU	6388	42135	DUCHOD	YZ	91520028
137508	461	1996-09-06	PRIJEM	PREVOD Z UCTU	6388	45347	DUCHOD	YZ	91520028
137509	461	1996-10-06	PRIJEM	PREVOD Z UCTU	6388	45779	DUCHOD	YZ	91520028
137510	461	1996-11-06	PRIJEM	PREVOD Z UCTU	6388	47796	DUCHOD	YZ	91520028
137511	461	1996-12-06	PRIJEM	PREVOD Z UCTU	6388	48020	DUCHOD	YZ	91520028
137512	461	1997-01-06	PRIJEM	PREVOD Z UCTU	6388	46007	DUCHOD	YZ	91520028
137513	461	1997-02-06	PRIJEM	PREVOD Z UCTU	6388	45344	DUCHOD	YZ	91520028
137514	461	1997-03-06	PRIJEM	PREVOD Z UCTU	6388	47766	DUCHOD	YZ	91520028
137515	461	1997-04-06	PRIJEM	PREVOD Z UCTU	6388	46989	DUCHOD	YZ	91520028
137516	461	1997-05-06	PRIJEM	PREVOD Z UCTU	6388	48609	DUCHOD	YZ	91520028
137517	461	1997-06-06	PRIJEM	PREVOD Z UCTU	6388	52338	DUCHOD	YZ	91520028
137518	461	1997-07-06	PRIJEM	PREVOD Z UCTU	6388	44981	DUCHOD	YZ	91520028
137519	461	1997-08-06	PRIJEM	PREVOD Z UCTU	6388	49895	DUCHOD	YZ	91520028
137520	461	1997-09-06	PRIJEM	PREVOD Z UCTU	6388	51526	DUCHOD	YZ	91520028
137521	461	1997-10-06	PRIJEM	PREVOD Z UCTU	6388	54464	DUCHOD	YZ	91520028
137522	461	1997-11-06	PRIJEM	PREVOD Z UCTU	6388	58015	DUCHOD	YZ	91520028
137523	461	1997-12-06	PRIJEM	PREVOD Z UCTU	6388	59779	DUCHOD	YZ	91520028
137524	461	1998-01-06	PRIJEM	PREVOD Z UCTU	6388	50648	DUCHOD	YZ	91520028
137525	461	1998-02-06	PRIJEM	PREVOD Z UCTU	6388	48163	DUCHOD	YZ	91520028
137526	461	1998-03-06	PRIJEM	PREVOD Z UCTU	6388	53188	DUCHOD	YZ	91520028
137527	461	1998-04-06	PRIJEM	PREVOD Z UCTU	6388	57114	DUCHOD	YZ	91520028
137528	461	1998-05-06	PRIJEM	PREVOD Z UCTU	6388	62177	DUCHOD	YZ	91520028
137529	461	1998-06-06	PRIJEM	PREVOD Z UCTU	6388	66159	DUCHOD	YZ	91520028
137530	461	1998-07-06	PRIJEM	PREVOD Z UCTU	6388	61741	DUCHOD	YZ	91520028
137531	461	1998-08-06	PRIJEM	PREVOD Z UCTU	6388	64844	DUCHOD	YZ	91520028
137532	461	1998-09-06	PRIJEM	PREVOD Z UCTU	6388	67836	DUCHOD	YZ	91520028
137533	461	1998-10-06	PRIJEM	PREVOD Z UCTU	6388	72942	DUCHOD	YZ	91520028
137534	461	1998-11-06	PRIJEM	PREVOD Z UCTU	6388	71821	DUCHOD	YZ	91520028
137535	461	1998-12-06	PRIJEM	PREVOD Z UCTU	6388	76944	DUCHOD	YZ	91520028
137542	461	1993-07-14	VYDAJ	PREVOD NA UCET	1530	29354	SIPO	OP	30994916
137543	461	1993-08-14	VYDAJ	PREVOD NA UCET	1530	30346	SIPO	OP	30994916
137544	461	1993-09-14	VYDAJ	PREVOD NA UCET	1530	30585	SIPO	OP	30994916
137545	461	1993-10-14	VYDAJ	PREVOD NA UCET	1530	31238	SIPO	OP	30994916
137546	461	1993-11-14	VYDAJ	PREVOD NA UCET	1530	33879	SIPO	OP	30994916
137547	461	1993-12-14	VYDAJ	PREVOD NA UCET	1530	33303	SIPO	OP	30994916
137548	461	1994-01-14	VYDAJ	PREVOD NA UCET	1530	26653	SIPO	OP	30994916
137549	461	1994-02-14	VYDAJ	PREVOD NA UCET	1530	24472	SIPO	OP	30994916
137550	461	1994-03-14	VYDAJ	PREVOD NA UCET	1530	27334	SIPO	OP	30994916
137551	461	1994-04-14	VYDAJ	PREVOD NA UCET	1530	26981	SIPO	OP	30994916
137552	461	1994-05-14	VYDAJ	PREVOD NA UCET	1530	27396	SIPO	OP	30994916
137553	461	1994-06-14	VYDAJ	PREVOD NA UCET	1530	30452	SIPO	OP	30994916
137554	461	1994-07-14	VYDAJ	PREVOD NA UCET	1530	31367	SIPO	OP	30994916
137555	461	1994-08-14	VYDAJ	PREVOD NA UCET	1530	32137	SIPO	OP	30994916
137556	461	1994-09-14	VYDAJ	PREVOD NA UCET	1530	30114	SIPO	OP	30994916
137557	461	1994-10-14	VYDAJ	PREVOD NA UCET	1530	29483	SIPO	OP	30994916
137558	461	1994-11-14	VYDAJ	PREVOD NA UCET	1530	30326	SIPO	OP	30994916
137559	461	1994-12-14	VYDAJ	PREVOD NA UCET	1530	32392	SIPO	OP	30994916
137560	461	1995-01-14	VYDAJ	PREVOD NA UCET	1530	32328	SIPO	OP	30994916
137561	461	1995-02-14	VYDAJ	PREVOD NA UCET	1530	29486	SIPO	OP	30994916
137562	461	1995-03-14	VYDAJ	PREVOD NA UCET	1530	32355	SIPO	OP	30994916
137563	461	1995-04-14	VYDAJ	PREVOD NA UCET	1530	33130	SIPO	OP	30994916
137564	461	1995-05-14	VYDAJ	PREVOD NA UCET	1530	31969	SIPO	OP	30994916
137565	461	1995-06-14	VYDAJ	PREVOD NA UCET	1530	28644	SIPO	OP	30994916
137566	461	1995-07-14	VYDAJ	PREVOD NA UCET	1530	29911	SIPO	OP	30994916
137567	461	1995-08-14	VYDAJ	PREVOD NA UCET	1530	33378	SIPO	OP	30994916
137568	461	1995-09-14	VYDAJ	PREVOD NA UCET	1530	35159	SIPO	OP	30994916
137569	461	1995-10-14	VYDAJ	PREVOD NA UCET	1530	35010	SIPO	OP	30994916
137570	461	1995-11-14	VYDAJ	PREVOD NA UCET	1530	38703	SIPO	OP	30994916
137571	461	1995-12-14	VYDAJ	PREVOD NA UCET	1530	40086	SIPO	OP	30994916
137572	461	1996-01-14	VYDAJ	PREVOD NA UCET	1530	39867	SIPO	OP	30994916
137573	461	1996-02-14	VYDAJ	PREVOD NA UCET	1530	37827	SIPO	OP	30994916
137574	461	1996-03-14	VYDAJ	PREVOD NA UCET	1530	40618	SIPO	OP	30994916
137575	461	1996-04-14	VYDAJ	PREVOD NA UCET	1530	40923	SIPO	OP	30994916
137576	461	1996-05-14	VYDAJ	PREVOD NA UCET	1530	45935	SIPO	OP	30994916
137577	461	1996-06-14	VYDAJ	PREVOD NA UCET	1530	41594	SIPO	OP	30994916
137578	461	1996-07-14	VYDAJ	PREVOD NA UCET	1530	41513	SIPO	OP	30994916
137579	461	1996-08-14	VYDAJ	PREVOD NA UCET	1530	40605	SIPO	OP	30994916
137580	461	1996-09-14	VYDAJ	PREVOD NA UCET	1530	42137	SIPO	OP	30994916
137581	461	1996-10-14	VYDAJ	PREVOD NA UCET	1530	44249	SIPO	OP	30994916
137582	461	1996-11-14	VYDAJ	PREVOD NA UCET	1530	46266	SIPO	OP	30994916
137583	461	1996-12-14	VYDAJ	PREVOD NA UCET	1530	45490	SIPO	OP	30994916
137584	461	1997-01-14	VYDAJ	PREVOD NA UCET	1530	42957	SIPO	OP	30994916
137585	461	1997-02-14	VYDAJ	PREVOD NA UCET	1530	43814	SIPO	OP	30994916
137586	461	1997-03-14	VYDAJ	PREVOD NA UCET	1530	46236	SIPO	OP	30994916
137587	461	1997-04-14	VYDAJ	PREVOD NA UCET	1530	45459	SIPO	OP	30994916
137588	461	1997-05-14	VYDAJ	PREVOD NA UCET	1530	47079	SIPO	OP	30994916
137589	461	1997-06-14	VYDAJ	PREVOD NA UCET	1530	50808	SIPO	OP	30994916
137590	461	1997-07-14	VYDAJ	PREVOD NA UCET	1530	43451	SIPO	OP	30994916
137591	461	1997-08-14	VYDAJ	PREVOD NA UCET	1530	48365	SIPO	OP	30994916
137592	461	1997-09-14	VYDAJ	PREVOD NA UCET	1530	49996	SIPO	OP	30994916
137593	461	1997-10-14	VYDAJ	PREVOD NA UCET	1530	52934	SIPO	OP	30994916
137594	461	1997-11-14	VYDAJ	PREVOD NA UCET	1530	56485	SIPO	OP	30994916
137595	461	1997-12-14	VYDAJ	PREVOD NA UCET	1530	58249	SIPO	OP	30994916
137596	461	1998-01-14	VYDAJ	PREVOD NA UCET	1530	48718	SIPO	OP	30994916
137597	461	1998-02-14	VYDAJ	PREVOD NA UCET	1530	46633	SIPO	OP	30994916
137598	461	1998-03-14	VYDAJ	PREVOD NA UCET	1530	50538	SIPO	OP	30994916
137599	461	1998-04-14	VYDAJ	PREVOD NA UCET	1530	55584	SIPO	OP	30994916
137600	461	1998-05-14	VYDAJ	PREVOD NA UCET	1530	60647	SIPO	OP	30994916
137601	461	1998-06-14	VYDAJ	PREVOD NA UCET	1530	64629	SIPO	OP	30994916
137602	461	1998-07-14	VYDAJ	PREVOD NA UCET	1530	58931	SIPO	OP	30994916
137603	461	1998-08-14	VYDAJ	PREVOD NA UCET	1530	63314	SIPO	OP	30994916
137604	461	1998-09-14	VYDAJ	PREVOD NA UCET	1530	66306	SIPO	OP	30994916
137605	461	1998-10-14	VYDAJ	PREVOD NA UCET	1530	71412	SIPO	OP	30994916
137606	461	1998-11-14	VYDAJ	PREVOD NA UCET	1530	70291	SIPO	OP	30994916
137607	461	1998-12-14	VYDAJ	PREVOD NA UCET	1530	75414	SIPO	OP	30994916
137609	461	1994-06-29	VYDAJ	VYBER	1750	28702	\N	\N	\N
137610	461	1995-06-07	VYDAJ	VYBER	8100	30374	\N	\N	\N
137611	461	1996-06-09	VYDAJ	VYBER	2600	43124	\N	\N	\N
137612	461	1997-06-16	VYDAJ	VYBER	6300	44508	\N	\N	\N
137613	461	1998-06-17	VYDAJ	VYBER	9500	55129	\N	\N	\N
137614	461	1993-12-03	VYDAJ	VYBER	650	28445	\N	\N	\N
137615	461	1994-12-11	VYDAJ	VYBER	900	33922	\N	\N	\N
137616	461	1995-12-26	VYDAJ	VYBER	1150	38936	\N	\N	\N
137617	461	1996-12-09	VYDAJ	VYBER	1000	47020	\N	\N	\N
137618	461	1997-12-29	VYDAJ	VYBER	1350	45499	\N	\N	\N
137619	461	1998-12-16	VYDAJ	VYBER	1450	73964	\N	\N	\N
137626	461	1994-01-06	VYDAJ	VYBER	2320	32983	\N	\N	\N
137627	461	1994-01-30	VYDAJ	VYBER	2240	22813	\N	\N	\N
137628	461	1994-01-07	VYDAJ	VYBER	2000	30423	\N	\N	\N
137629	461	1994-01-13	VYDAJ	VYBER	1120	28183	\N	\N	\N
137630	461	1994-01-10	VYDAJ	VYBER	1120	29303	\N	\N	\N
137631	461	1994-01-06	VYDAJ	VYBER	560	32423	\N	\N	\N
137632	461	1995-01-14	VYDAJ	VYBER	1120	31208	\N	\N	\N
137633	461	1995-01-24	VYDAJ	VYBER	1440	29768	\N	\N	\N
137634	461	1995-01-11	VYDAJ	VYBER	480	33858	\N	\N	\N
137635	461	1995-01-04	VYDAJ	VYBER	1040	31470	\N	\N	\N
137636	461	1995-01-06	VYDAJ	VYBER	560	36738	\N	\N	\N
137637	461	1995-01-06	VYDAJ	VYBER	560	37298	\N	\N	\N
137638	461	1996-01-04	VYDAJ	VYBER	880	35009	\N	\N	\N
137639	461	1996-01-20	VYDAJ	VYBER	1440	36587	\N	\N	\N
137640	461	1996-01-03	VYDAJ	VYBER	2240	36849	\N	\N	\N
137641	461	1996-01-30	VYDAJ	VYBER	1840	32827	\N	\N	\N
137642	461	1996-01-03	VYDAJ	VYBER	960	35889	\N	\N	\N
137643	461	1996-01-23	VYDAJ	VYBER	1920	34667	\N	\N	\N
137644	461	1997-01-16	VYDAJ	VYBER	880	42077	\N	\N	\N
137645	461	1997-01-02	VYDAJ	VYBER	1680	40179	\N	\N	\N
137646	461	1997-01-24	VYDAJ	VYBER	720	41357	\N	\N	\N
137647	461	1997-01-08	VYDAJ	VYBER	480	44487	\N	\N	\N
137648	461	1997-01-08	VYDAJ	VYBER	1040	44967	\N	\N	\N
137649	461	1997-01-04	VYDAJ	VYBER	560	39619	\N	\N	\N
137650	461	1998-01-10	VYDAJ	VYBER	400	50248	\N	\N	\N
137651	461	1998-01-02	VYDAJ	VYBER	1440	44260	\N	\N	\N
137652	461	1998-01-27	VYDAJ	VYBER	1920	42318	\N	\N	\N
137653	461	1998-01-15	VYDAJ	VYBER	2080	46638	\N	\N	\N
137654	461	1998-01-27	VYDAJ	VYBER	1680	44238	\N	\N	\N
137655	461	1998-01-25	VYDAJ	VYBER	720	45918	\N	\N	\N
137656	461	1993-08-27	VYDAJ	VYBER	1520	25626	\N	\N	\N
137661	461	1993-11-06	VYDAJ	VYBER	720	35409	\N	\N	\N
137662	461	1993-08-11	VYDAJ	VYBER	1360	31876	\N	\N	\N
137663	461	1994-10-08	VYDAJ	VYBER	2000	33013	\N	\N	\N
137664	461	1994-09-17	VYDAJ	VYBER	1600	28514	\N	\N	\N
137665	461	1994-10-19	VYDAJ	VYBER	2720	26763	\N	\N	\N
137666	461	1994-04-30	VYDAJ	VYBER	2240	24838	\N	\N	\N
137667	461	1994-02-26	VYDAJ	VYBER	2080	22392	\N	\N	\N
137668	461	1995-02-10	VYDAJ	VYBER	1440	31016	\N	\N	\N
137669	461	1995-04-24	VYDAJ	VYBER	2640	30490	\N	\N	\N
137670	461	1995-09-18	VYDAJ	VYBER	1440	33719	\N	\N	\N
137671	461	1995-01-31	VYDAJ	VYBER	1920	27968	\N	\N	\N
137672	461	1995-12-10	VYDAJ	VYBER	1920	41616	\N	\N	\N
137673	461	1996-01-14	VYDAJ	VYBER	1840	38027	\N	\N	\N
137674	461	1996-07-21	VYDAJ	VYBER	3120	38393	\N	\N	\N
137675	461	1996-09-12	VYDAJ	VYBER	1680	43667	\N	\N	\N
137676	461	1996-05-19	VYDAJ	VYBER	3360	42575	\N	\N	\N
137677	461	1996-03-20	VYDAJ	VYBER	3600	37018	\N	\N	\N
137678	461	1997-12-26	VYDAJ	VYBER	3360	46849	\N	\N	\N
137679	461	1997-12-24	VYDAJ	VYBER	960	50209	\N	\N	\N
137680	461	1997-12-15	VYDAJ	VYBER	3280	54969	\N	\N	\N
137681	461	1997-06-21	VYDAJ	VYBER	3760	40748	\N	\N	\N
137682	461	1997-06-25	VYDAJ	VYBER	2320	38428	\N	\N	\N
137683	461	1997-01-25	VYDAJ	VYBER	1760	39597	\N	\N	\N
137684	461	1997-02-02	VYDAJ	VYBER	800	38956	\N	\N	\N
137685	461	1998-03-11	VYDAJ	VYBER	1120	52068	\N	\N	\N
137686	461	1998-01-27	VYDAJ	VYBER	720	41598	\N	\N	\N
137687	461	1998-07-06	VYDAJ	VYBER	1280	60461	\N	\N	\N
137688	461	1998-10-29	VYDAJ	VYBER	1040	65172	\N	\N	\N
137696	461	1993-07-31	VYDAJ	VYBER	15	26848	SLUZBY	\N	\N
137697	461	1993-08-31	VYDAJ	VYBER	15	25727	SLUZBY	\N	\N
137698	461	1993-09-30	VYDAJ	VYBER	15	26380	SLUZBY	\N	\N
137699	461	1993-10-31	VYDAJ	VYBER	15	29741	SLUZBY	\N	\N
137700	461	1993-11-30	VYDAJ	VYBER	15	29095	SLUZBY	\N	\N
137701	461	1993-12-31	VYDAJ	VYBER	15	28915	SLUZBY	\N	\N
137702	461	1994-01-31	VYDAJ	VYBER	15	22914	SLUZBY	\N	\N
137703	461	1994-02-28	VYDAJ	VYBER	15	22476	SLUZBY	\N	\N
137704	461	1994-03-31	VYDAJ	VYBER	15	26723	SLUZBY	\N	\N
137705	461	1994-04-30	VYDAJ	VYBER	15	27078	SLUZBY	\N	\N
137706	461	1994-05-31	VYDAJ	VYBER	15	27494	SLUZBY	\N	\N
137707	461	1994-06-30	VYDAJ	VYBER	15	28809	SLUZBY	\N	\N
137708	461	1994-07-31	VYDAJ	VYBER	15	31479	SLUZBY	\N	\N
137709	461	1994-08-31	VYDAJ	VYBER	15	32256	SLUZBY	\N	\N
137710	461	1994-09-30	VYDAJ	VYBER	15	28625	SLUZBY	\N	\N
137711	461	1994-10-31	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
137712	461	1994-11-30	VYDAJ	VYBER	15	30434	SLUZBY	\N	\N
137713	461	1994-12-31	VYDAJ	VYBER	15	32510	SLUZBY	\N	\N
137714	461	1995-01-31	VYDAJ	VYBER	15	29888	SLUZBY	\N	\N
137715	461	1995-02-28	VYDAJ	VYBER	15	29597	SLUZBY	\N	\N
137716	461	1995-03-31	VYDAJ	VYBER	15	32472	SLUZBY	\N	\N
137717	461	1995-04-30	VYDAJ	VYBER	15	30611	SLUZBY	\N	\N
137718	461	1995-05-31	VYDAJ	VYBER	15	32086	SLUZBY	\N	\N
137719	461	1995-06-30	VYDAJ	VYBER	15	28753	SLUZBY	\N	\N
137720	461	1995-07-31	VYDAJ	VYBER	15	30020	SLUZBY	\N	\N
137721	461	1995-08-31	VYDAJ	VYBER	15	33501	SLUZBY	\N	\N
137722	461	1995-09-30	VYDAJ	VYBER	15	33852	SLUZBY	\N	\N
137723	461	1995-10-31	VYDAJ	VYBER	15	35145	SLUZBY	\N	\N
137724	461	1995-11-30	VYDAJ	VYBER	15	38848	SLUZBY	\N	\N
137725	461	1995-12-31	VYDAJ	VYBER	15	39089	SLUZBY	\N	\N
137726	461	1996-01-31	VYDAJ	VYBER	15	32969	SLUZBY	\N	\N
137727	461	1996-02-29	VYDAJ	VYBER	15	37960	SLUZBY	\N	\N
137728	461	1996-03-31	VYDAJ	VYBER	15	37165	SLUZBY	\N	\N
137729	461	1996-04-30	VYDAJ	VYBER	15	41077	SLUZBY	\N	\N
137730	461	1996-05-31	VYDAJ	VYBER	15	42736	SLUZBY	\N	\N
137731	461	1996-06-30	VYDAJ	VYBER	15	41755	SLUZBY	\N	\N
137732	461	1996-07-31	VYDAJ	VYBER	15	38547	SLUZBY	\N	\N
137733	461	1996-08-31	VYDAJ	VYBER	15	40759	SLUZBY	\N	\N
137734	461	1996-09-30	VYDAJ	VYBER	15	39391	SLUZBY	\N	\N
137735	461	1996-10-31	VYDAJ	VYBER	15	41408	SLUZBY	\N	\N
137736	461	1996-11-30	VYDAJ	VYBER	15	41632	SLUZBY	\N	\N
137737	461	1996-12-31	VYDAJ	VYBER	15	41859	SLUZBY	\N	\N
137738	461	1997-01-31	VYDAJ	VYBER	15	39756	SLUZBY	\N	\N
137739	461	1997-02-28	VYDAJ	VYBER	15	41378	SLUZBY	\N	\N
137740	461	1997-03-31	VYDAJ	VYBER	15	40601	SLUZBY	\N	\N
137741	461	1997-04-30	VYDAJ	VYBER	15	42221	SLUZBY	\N	\N
137742	461	1997-05-31	VYDAJ	VYBER	15	45950	SLUZBY	\N	\N
137743	461	1997-06-30	VYDAJ	VYBER	15	38593	SLUZBY	\N	\N
137744	461	1997-07-31	VYDAJ	VYBER	15	43507	SLUZBY	\N	\N
137745	461	1997-08-31	VYDAJ	VYBER	15	45138	SLUZBY	\N	\N
137746	461	1997-09-30	VYDAJ	VYBER	15	48076	SLUZBY	\N	\N
137747	461	1997-10-31	VYDAJ	VYBER	15	51627	SLUZBY	\N	\N
137748	461	1997-11-30	VYDAJ	VYBER	15	53391	SLUZBY	\N	\N
137749	461	1997-12-31	VYDAJ	VYBER	15	45700	SLUZBY	\N	\N
137750	461	1998-01-31	VYDAJ	VYBER	15	41775	SLUZBY	\N	\N
137751	461	1998-02-28	VYDAJ	VYBER	15	46800	SLUZBY	\N	\N
137752	461	1998-03-31	VYDAJ	VYBER	15	50726	SLUZBY	\N	\N
137753	461	1998-04-30	VYDAJ	VYBER	15	55789	SLUZBY	\N	\N
137754	461	1998-05-31	VYDAJ	VYBER	15	59771	SLUZBY	\N	\N
137755	461	1998-06-30	VYDAJ	VYBER	15	55353	SLUZBY	\N	\N
137756	461	1998-07-31	VYDAJ	VYBER	15	58456	SLUZBY	\N	\N
137757	461	1998-08-31	VYDAJ	VYBER	15	61448	SLUZBY	\N	\N
137758	461	1998-09-30	VYDAJ	VYBER	15	66554	SLUZBY	\N	\N
137759	461	1998-10-31	VYDAJ	VYBER	15	65433	SLUZBY	\N	\N
137760	461	1998-11-30	VYDAJ	VYBER	15	70556	SLUZBY	\N	\N
137761	461	1993-06-18	VYDAJ	VYBER	1700	24452	\N	\N	\N
137762	461	1993-07-18	VYDAJ	VYBER	2600	26754	\N	\N	\N
137763	461	1993-08-17	VYDAJ	VYBER	3200	27146	\N	\N	\N
137764	461	1993-09-16	VYDAJ	VYBER	4300	26285	\N	\N	\N
137765	461	1993-10-16	VYDAJ	VYBER	1600	29638	\N	\N	\N
137766	461	1993-11-15	VYDAJ	VYBER	4900	28979	\N	\N	\N
137767	461	1993-12-15	VYDAJ	VYBER	4500	28803	\N	\N	\N
137768	461	1994-01-14	VYDAJ	VYBER	1600	25053	\N	\N	\N
137769	461	1994-02-13	VYDAJ	VYBER	3300	26002	\N	\N	\N
137770	461	1994-03-15	VYDAJ	VYBER	700	26634	\N	\N	\N
137771	461	1994-04-14	VYDAJ	VYBER	4600	28511	\N	\N	\N
137772	461	1994-05-14	VYDAJ	VYBER	2300	28926	\N	\N	\N
137773	461	1994-06-13	VYDAJ	VYBER	1900	31982	\N	\N	\N
137774	461	1994-07-13	VYDAJ	VYBER	2300	32897	\N	\N	\N
137775	461	1994-08-12	VYDAJ	VYBER	4200	33667	\N	\N	\N
137776	461	1994-09-11	VYDAJ	VYBER	7000	31644	\N	\N	\N
137777	461	1994-10-11	VYDAJ	VYBER	2000	31013	\N	\N	\N
137778	461	1994-11-10	VYDAJ	VYBER	1400	31856	\N	\N	\N
137779	461	1994-12-10	VYDAJ	VYBER	2000	34822	\N	\N	\N
137780	461	1995-01-09	VYDAJ	VYBER	2400	34338	\N	\N	\N
137781	461	1995-02-08	VYDAJ	VYBER	1900	32456	\N	\N	\N
137782	461	1995-03-10	VYDAJ	VYBER	2100	33885	\N	\N	\N
137783	461	1995-04-09	VYDAJ	VYBER	4200	34660	\N	\N	\N
137784	461	1995-05-09	VYDAJ	VYBER	3500	33499	\N	\N	\N
137785	461	1995-06-08	VYDAJ	VYBER	200	30174	\N	\N	\N
137786	461	1995-07-08	VYDAJ	VYBER	3700	31441	\N	\N	\N
137787	461	1995-08-07	VYDAJ	VYBER	1500	34908	\N	\N	\N
137788	461	1995-09-06	VYDAJ	VYBER	3200	36689	\N	\N	\N
137789	461	1995-10-06	VYDAJ	VYBER	3700	36540	\N	\N	\N
137790	461	1995-11-05	VYDAJ	VYBER	1300	33845	\N	\N	\N
137791	461	1995-12-05	VYDAJ	VYBER	1700	37148	\N	\N	\N
137792	461	1996-03-04	VYDAJ	VYBER	2200	35760	\N	\N	\N
137793	461	1996-04-03	VYDAJ	VYBER	1100	36065	\N	\N	\N
137794	461	1996-06-02	VYDAJ	VYBER	3400	39336	\N	\N	\N
137795	461	1996-07-02	VYDAJ	VYBER	5100	36655	\N	\N	\N
137796	461	1996-08-01	VYDAJ	VYBER	2800	35747	\N	\N	\N
137797	461	1996-08-31	VYDAJ	VYBER	1800	38959	\N	\N	\N
137798	461	1996-09-30	VYDAJ	VYBER	2900	39406	\N	\N	\N
137799	461	1996-10-30	VYDAJ	VYBER	3000	41249	\N	\N	\N
137800	461	1996-11-29	VYDAJ	VYBER	4800	41466	\N	\N	\N
137801	461	1996-12-29	VYDAJ	VYBER	3800	41690	\N	\N	\N
137802	461	1997-02-27	VYDAJ	VYBER	2600	41214	\N	\N	\N
137803	461	1997-03-29	VYDAJ	VYBER	5800	40436	\N	\N	\N
137804	461	1997-04-28	VYDAJ	VYBER	3400	42059	\N	\N	\N
137805	461	1997-05-28	VYDAJ	VYBER	1300	45779	\N	\N	\N
137806	461	1997-07-27	VYDAJ	VYBER	100	43351	\N	\N	\N
137807	461	1997-08-26	VYDAJ	VYBER	3400	44965	\N	\N	\N
137808	461	1997-09-25	VYDAJ	VYBER	2100	47896	\N	\N	\N
137809	461	1997-10-25	VYDAJ	VYBER	1500	51434	\N	\N	\N
137810	461	1997-11-24	VYDAJ	VYBER	3300	53185	\N	\N	\N
137811	461	1997-12-24	VYDAJ	VYBER	3800	51169	\N	\N	\N
137812	461	1998-05-23	VYDAJ	VYBER	1100	59547	\N	\N	\N
137813	461	1998-07-22	VYDAJ	VYBER	700	58231	\N	\N	\N
137814	461	1998-08-21	VYDAJ	VYBER	2100	61214	\N	\N	\N
137815	461	1998-10-20	VYDAJ	VYBER	5200	66212	\N	\N	\N
137883	462	1993-11-10	PRIJEM	VKLAD	400	400	\N	\N	\N
137895	462	1993-12-09	PRIJEM	VKLAD	31163	31563	\N	\N	\N
137896	462	1994-01-09	PRIJEM	VKLAD	20775	49623	\N	\N	\N
137897	462	1994-02-09	PRIJEM	VKLAD	20775	50345	\N	\N	\N
137898	462	1994-03-09	PRIJEM	VKLAD	20775	71315	\N	\N	\N
137899	462	1994-04-09	PRIJEM	VKLAD	20775	66787	\N	\N	\N
137900	462	1994-05-09	PRIJEM	VKLAD	20775	56374	\N	\N	\N
137901	462	1994-06-09	PRIJEM	VKLAD	31163	59276	\N	\N	\N
137902	462	1994-07-09	PRIJEM	VKLAD	20775	51129	\N	\N	\N
137903	462	1994-08-09	PRIJEM	VKLAD	20775	54269	\N	\N	\N
137904	462	1994-09-09	PRIJEM	VKLAD	20775	54623	\N	\N	\N
137905	462	1994-10-09	PRIJEM	VKLAD	20775	53780	\N	\N	\N
137906	462	1994-11-09	PRIJEM	VKLAD	20775	47323	\N	\N	\N
137907	462	1994-12-09	PRIJEM	VKLAD	31163	55917	\N	\N	\N
137908	462	1995-01-09	PRIJEM	VKLAD	20775	53288	\N	\N	\N
137909	462	1995-02-09	PRIJEM	VKLAD	20775	42336	\N	\N	\N
137910	462	1995-03-09	PRIJEM	VKLAD	20775	44630	\N	\N	\N
137911	462	1995-04-09	PRIJEM	VKLAD	20775	46419	\N	\N	\N
137912	462	1995-05-09	PRIJEM	VKLAD	20775	49638	\N	\N	\N
137913	462	1995-06-09	PRIJEM	VKLAD	31163	59859	\N	\N	\N
137914	462	1995-07-09	PRIJEM	VKLAD	20775	44833	\N	\N	\N
137915	462	1995-08-09	PRIJEM	VKLAD	20775	44080	\N	\N	\N
137916	462	1995-09-09	PRIJEM	VKLAD	20775	45390	\N	\N	\N
137917	462	1995-10-09	PRIJEM	VKLAD	20775	47307	\N	\N	\N
137918	462	1995-11-09	PRIJEM	VKLAD	20775	51109	\N	\N	\N
137919	462	1995-12-09	PRIJEM	VKLAD	31163	62965	\N	\N	\N
137920	462	1996-01-09	PRIJEM	VKLAD	20775	46807	\N	\N	\N
137921	462	1996-02-09	PRIJEM	VKLAD	20775	44791	\N	\N	\N
137922	462	1996-03-09	PRIJEM	VKLAD	20775	48395	\N	\N	\N
137923	462	1996-04-09	PRIJEM	VKLAD	20775	53815	\N	\N	\N
137924	462	1996-05-09	PRIJEM	VKLAD	20775	52254	\N	\N	\N
137925	462	1996-06-09	PRIJEM	VKLAD	31163	60472	\N	\N	\N
137926	462	1996-07-09	PRIJEM	VKLAD	20775	42575	\N	\N	\N
137927	462	1996-08-09	PRIJEM	VKLAD	20775	46768	\N	\N	\N
137928	462	1996-09-09	PRIJEM	VKLAD	20775	50776	\N	\N	\N
137929	462	1996-10-09	PRIJEM	VKLAD	20775	49637	\N	\N	\N
137930	462	1996-11-09	PRIJEM	VKLAD	20775	49308	\N	\N	\N
137931	462	1996-12-09	PRIJEM	VKLAD	31163	58029	\N	\N	\N
137932	462	1997-01-09	PRIJEM	VKLAD	20775	50169	\N	\N	\N
137933	462	1997-02-09	PRIJEM	VKLAD	20775	42654	\N	\N	\N
137934	462	1997-03-09	PRIJEM	VKLAD	20775	52047	\N	\N	\N
137935	462	1997-04-09	PRIJEM	VKLAD	20775	57175	\N	\N	\N
137936	462	1997-05-09	PRIJEM	VKLAD	20775	61323	\N	\N	\N
137937	462	1997-06-09	PRIJEM	VKLAD	31163	71870	\N	\N	\N
137938	462	1997-07-09	PRIJEM	VKLAD	20775	37807	\N	\N	\N
137939	462	1997-08-09	PRIJEM	VKLAD	20775	52205	\N	\N	\N
137940	462	1997-09-09	PRIJEM	VKLAD	20775	60835	\N	\N	\N
137941	462	1997-10-09	PRIJEM	VKLAD	20775	66697	\N	\N	\N
137942	462	1997-11-09	PRIJEM	VKLAD	20775	69678	\N	\N	\N
137943	462	1997-12-09	PRIJEM	VKLAD	31163	76191	\N	\N	\N
137944	462	1998-01-09	PRIJEM	VKLAD	20775	69068	\N	\N	\N
137945	462	1998-02-09	PRIJEM	VKLAD	20775	64845	\N	\N	\N
137946	462	1998-03-09	PRIJEM	VKLAD	20775	69618	\N	\N	\N
137947	462	1998-04-09	PRIJEM	VKLAD	20775	68378	\N	\N	\N
137948	462	1998-05-09	PRIJEM	VKLAD	20775	66254	\N	\N	\N
137949	462	1998-06-09	PRIJEM	VKLAD	31163	76411	\N	\N	\N
137950	462	1998-07-09	PRIJEM	VKLAD	20775	36942	\N	\N	\N
137951	462	1998-08-09	PRIJEM	VKLAD	20775	47370	\N	\N	\N
137952	462	1998-09-09	PRIJEM	VKLAD	20775	49343	\N	\N	\N
137953	462	1998-10-09	PRIJEM	VKLAD	20775	53647	\N	\N	\N
137954	462	1998-11-09	PRIJEM	VKLAD	20775	60775	\N	\N	\N
137955	462	1998-12-09	PRIJEM	VKLAD	31163	70100	\N	\N	\N
137972	462	1994-05-07	VYDAJ	PREVOD NA UCET	8325	35599	SIPO	ST	32409316
137973	462	1994-06-07	VYDAJ	PREVOD NA UCET	8325	29813	SIPO	ST	32409316
137974	462	1994-07-07	VYDAJ	PREVOD NA UCET	8325	36754	SIPO	ST	32409316
137975	462	1994-08-07	VYDAJ	PREVOD NA UCET	8325	42994	SIPO	ST	32409316
137976	462	1994-09-07	VYDAJ	PREVOD NA UCET	8325	33848	SIPO	ST	32409316
137977	462	1994-10-07	VYDAJ	PREVOD NA UCET	8325	33005	SIPO	ST	32409316
137978	462	1994-11-07	VYDAJ	PREVOD NA UCET	8325	26548	SIPO	ST	32409316
137979	462	1994-12-07	VYDAJ	PREVOD NA UCET	8325	27275	SIPO	ST	32409316
137980	462	1995-01-07	VYDAJ	PREVOD NA UCET	8325	33233	SIPO	ST	32409316
137981	462	1995-02-07	VYDAJ	PREVOD NA UCET	8325	21561	SIPO	ST	32409316
137982	462	1995-03-07	VYDAJ	PREVOD NA UCET	8325	23855	SIPO	ST	32409316
137983	462	1995-04-07	VYDAJ	PREVOD NA UCET	8325	25644	SIPO	ST	32409316
137984	462	1995-05-07	VYDAJ	PREVOD NA UCET	8325	28863	SIPO	ST	32409316
137985	462	1995-06-07	VYDAJ	PREVOD NA UCET	8325	28696	SIPO	ST	32409316
137986	462	1995-07-07	VYDAJ	PREVOD NA UCET	8325	24058	SIPO	ST	32409316
137987	462	1995-08-07	VYDAJ	PREVOD NA UCET	8325	23305	SIPO	ST	32409316
137988	462	1995-09-07	VYDAJ	PREVOD NA UCET	8325	24615	SIPO	ST	32409316
137989	462	1995-10-07	VYDAJ	PREVOD NA UCET	8325	26532	SIPO	ST	32409316
137990	462	1995-11-07	VYDAJ	PREVOD NA UCET	8325	30334	SIPO	ST	32409316
137991	462	1995-12-07	VYDAJ	PREVOD NA UCET	8325	31803	SIPO	ST	32409316
137992	462	1996-01-07	VYDAJ	PREVOD NA UCET	8325	28552	SIPO	ST	32409316
137993	462	1996-02-07	VYDAJ	PREVOD NA UCET	8325	24016	SIPO	ST	32409316
137994	462	1996-03-07	VYDAJ	PREVOD NA UCET	8325	27620	SIPO	ST	32409316
137995	462	1996-04-07	VYDAJ	PREVOD NA UCET	8325	33040	SIPO	ST	32409316
137996	462	1996-05-07	VYDAJ	PREVOD NA UCET	8325	31479	SIPO	ST	32409316
137997	462	1996-06-07	VYDAJ	PREVOD NA UCET	8325	29309	SIPO	ST	32409316
137998	462	1996-07-07	VYDAJ	PREVOD NA UCET	8325	21800	SIPO	ST	32409316
137999	462	1996-08-07	VYDAJ	PREVOD NA UCET	8325	25993	SIPO	ST	32409316
138000	462	1996-09-07	VYDAJ	PREVOD NA UCET	8325	30001	SIPO	ST	32409316
138001	462	1996-10-07	VYDAJ	PREVOD NA UCET	8325	28862	SIPO	ST	32409316
138002	462	1996-11-07	VYDAJ	PREVOD NA UCET	8325	28533	SIPO	ST	32409316
138003	462	1996-12-07	VYDAJ	PREVOD NA UCET	8325	26866	SIPO	ST	32409316
138004	462	1997-01-07	VYDAJ	PREVOD NA UCET	8325	29394	SIPO	ST	32409316
138005	462	1997-02-07	VYDAJ	PREVOD NA UCET	8325	21879	SIPO	ST	32409316
138006	462	1997-03-07	VYDAJ	PREVOD NA UCET	8325	31272	SIPO	ST	32409316
138007	462	1997-04-07	VYDAJ	PREVOD NA UCET	8325	36400	SIPO	ST	32409316
138008	462	1997-05-07	VYDAJ	PREVOD NA UCET	8325	40548	SIPO	ST	32409316
138009	462	1997-06-07	VYDAJ	PREVOD NA UCET	8325	40708	SIPO	ST	32409316
138010	462	1997-07-07	VYDAJ	PREVOD NA UCET	8325	17032	SIPO	ST	32409316
138011	462	1997-08-07	VYDAJ	PREVOD NA UCET	8325	31430	SIPO	ST	32409316
138012	462	1997-09-07	VYDAJ	PREVOD NA UCET	8325	40060	SIPO	ST	32409316
138013	462	1997-10-07	VYDAJ	PREVOD NA UCET	8325	45922	SIPO	ST	32409316
138014	462	1997-11-07	VYDAJ	PREVOD NA UCET	8325	48903	SIPO	ST	32409316
138015	462	1997-12-07	VYDAJ	PREVOD NA UCET	8325	45028	SIPO	ST	32409316
138016	462	1998-01-07	VYDAJ	PREVOD NA UCET	8325	48293	SIPO	ST	32409316
138017	462	1998-02-07	VYDAJ	PREVOD NA UCET	8325	44070	SIPO	ST	32409316
138018	462	1998-03-07	VYDAJ	PREVOD NA UCET	8325	48843	SIPO	ST	32409316
138019	462	1998-04-07	VYDAJ	PREVOD NA UCET	8325	47603	SIPO	ST	32409316
138020	462	1998-05-07	VYDAJ	PREVOD NA UCET	8325	45479	SIPO	ST	32409316
138021	462	1998-06-07	VYDAJ	PREVOD NA UCET	8325	45248	SIPO	ST	32409316
138022	462	1998-07-07	VYDAJ	PREVOD NA UCET	8325	16167	SIPO	ST	32409316
138023	462	1998-08-07	VYDAJ	PREVOD NA UCET	8325	27435	SIPO	ST	32409316
138024	462	1998-09-07	VYDAJ	PREVOD NA UCET	8325	28568	SIPO	ST	32409316
138025	462	1998-10-07	VYDAJ	PREVOD NA UCET	8325	32872	SIPO	ST	32409316
138026	462	1998-11-07	VYDAJ	PREVOD NA UCET	8325	40000	SIPO	ST	32409316
138027	462	1998-12-07	VYDAJ	PREVOD NA UCET	8325	38937	SIPO	ST	32409316
138029	462	1994-06-29	VYDAJ	VYBER	14400	44876	\N	\N	\N
138030	462	1995-06-21	VYDAJ	VYBER	14080	39899	\N	\N	\N
138031	462	1996-06-09	VYDAJ	VYBER	28640	31832	\N	\N	\N
138032	462	1997-06-24	VYDAJ	VYBER	30720	25150	\N	\N	\N
138033	462	1998-06-23	VYDAJ	VYBER	33920	24291	\N	\N	\N
138036	462	1995-01-15	VYDAJ	VYBER	11520	39968	\N	\N	\N
138037	462	1996-01-20	VYDAJ	VYBER	5120	41687	\N	\N	\N
138039	462	1998-01-17	VYDAJ	VYBER	9920	53628	\N	\N	\N
138041	462	1994-12-12	VYDAJ	VYBER	960	54957	\N	\N	\N
138042	462	1995-12-13	VYDAJ	VYBER	2400	60565	\N	\N	\N
138043	462	1996-12-06	VYDAJ	VYBER	2080	35191	\N	\N	\N
138044	462	1997-12-06	VYDAJ	VYBER	2560	53353	\N	\N	\N
138045	462	1998-12-20	VYDAJ	VYBER	2560	46440	\N	\N	\N
138058	462	1995-01-17	VYDAJ	VYBER	1440	31808	\N	\N	\N
138059	462	1995-01-30	VYDAJ	VYBER	2280	29528	\N	\N	\N
138060	462	1995-01-12	VYDAJ	VYBER	1800	51488	\N	\N	\N
138061	462	1995-01-17	VYDAJ	VYBER	3360	33248	\N	\N	\N
138062	462	1995-01-15	VYDAJ	VYBER	3360	36608	\N	\N	\N
138063	462	1995-01-08	VYDAJ	VYBER	720	32513	\N	\N	\N
138064	462	1996-01-01	VYDAJ	VYBER	3000	37837	\N	\N	\N
138065	462	1996-01-01	VYDAJ	VYBER	960	36877	\N	\N	\N
138066	462	1996-01-08	VYDAJ	VYBER	2520	26032	\N	\N	\N
138067	462	1996-01-27	VYDAJ	VYBER	1680	37487	\N	\N	\N
138068	462	1996-01-22	VYDAJ	VYBER	2520	39167	\N	\N	\N
138069	462	1996-01-01	VYDAJ	VYBER	3240	40837	\N	\N	\N
138070	462	1997-01-27	VYDAJ	VYBER	2520	33769	\N	\N	\N
138071	462	1997-01-25	VYDAJ	VYBER	720	36289	\N	\N	\N
138072	462	1997-01-30	VYDAJ	VYBER	2400	30049	\N	\N	\N
138073	462	1997-01-17	VYDAJ	VYBER	3360	46809	\N	\N	\N
138074	462	1997-01-04	VYDAJ	VYBER	1200	37719	\N	\N	\N
138075	462	1997-01-27	VYDAJ	VYBER	1320	32449	\N	\N	\N
138076	462	1998-01-14	VYDAJ	VYBER	2640	64508	\N	\N	\N
138077	462	1998-01-28	VYDAJ	VYBER	840	55288	\N	\N	\N
138078	462	1998-01-30	VYDAJ	VYBER	840	52168	\N	\N	\N
138079	462	1998-01-11	VYDAJ	VYBER	1920	67148	\N	\N	\N
138080	462	1998-01-07	VYDAJ	VYBER	2520	56618	\N	\N	\N
138081	462	1998-01-29	VYDAJ	VYBER	2280	53008	\N	\N	\N
138087	462	1994-10-24	VYDAJ	VYBER	1680	47780	\N	\N	\N
138088	462	1994-12-08	VYDAJ	VYBER	2520	24755	\N	\N	\N
138089	462	1994-05-09	VYDAJ	VYBER	2040	37934	\N	\N	\N
138090	462	1994-10-15	VYDAJ	VYBER	4320	49460	\N	\N	\N
138091	462	1995-06-14	VYDAJ	VYBER	5880	53979	\N	\N	\N
138092	462	1995-11-17	VYDAJ	VYBER	2160	48949	\N	\N	\N
138093	462	1995-10-21	VYDAJ	VYBER	720	46587	\N	\N	\N
138094	462	1995-03-24	VYDAJ	VYBER	3720	40910	\N	\N	\N
138095	462	1995-07-25	VYDAJ	VYBER	5160	39673	\N	\N	\N
138096	462	1996-10-13	VYDAJ	VYBER	2040	47597	\N	\N	\N
138097	462	1996-12-14	VYDAJ	VYBER	3600	54429	\N	\N	\N
138098	462	1996-12-15	VYDAJ	VYBER	3480	50949	\N	\N	\N
138099	462	1996-10-06	VYDAJ	VYBER	960	37187	\N	\N	\N
138100	462	1996-10-30	VYDAJ	VYBER	1800	36697	\N	\N	\N
138101	462	1997-07-18	VYDAJ	VYBER	3480	34327	\N	\N	\N
138102	462	1997-02-21	VYDAJ	VYBER	2400	40254	\N	\N	\N
138103	462	1997-12-23	VYDAJ	VYBER	4800	58891	\N	\N	\N
138104	462	1998-08-07	VYDAJ	VYBER	840	26595	\N	\N	\N
138105	462	1998-03-12	VYDAJ	VYBER	3720	65898	\N	\N	\N
138106	462	1998-01-16	VYDAJ	VYBER	960	63548	\N	\N	\N
138107	462	1998-12-24	VYDAJ	VYBER	1680	44760	\N	\N	\N
138108	462	1998-08-30	VYDAJ	VYBER	1320	36750	\N	\N	\N
138125	462	1994-04-30	VYDAJ	VYBER	15	43924	SLUZBY	\N	\N
138126	462	1994-05-31	VYDAJ	VYBER	15	38138	SLUZBY	\N	\N
138127	462	1994-06-30	VYDAJ	VYBER	15	45079	SLUZBY	\N	\N
138128	462	1994-07-31	VYDAJ	VYBER	15	51319	SLUZBY	\N	\N
138129	462	1994-08-31	VYDAJ	VYBER	15	54473	SLUZBY	\N	\N
138130	462	1994-09-30	VYDAJ	VYBER	15	54830	SLUZBY	\N	\N
138131	462	1994-10-31	VYDAJ	VYBER	15	47973	SLUZBY	\N	\N
138132	462	1994-11-30	VYDAJ	VYBER	15	47500	SLUZBY	\N	\N
138133	462	1994-12-31	VYDAJ	VYBER	15	55158	SLUZBY	\N	\N
138134	462	1995-01-31	VYDAJ	VYBER	15	29686	SLUZBY	\N	\N
138135	462	1995-02-28	VYDAJ	VYBER	15	42480	SLUZBY	\N	\N
138136	462	1995-03-31	VYDAJ	VYBER	15	41069	SLUZBY	\N	\N
138137	462	1995-04-30	VYDAJ	VYBER	15	46588	SLUZBY	\N	\N
138138	462	1995-05-31	VYDAJ	VYBER	15	49821	SLUZBY	\N	\N
138139	462	1995-06-30	VYDAJ	VYBER	15	40083	SLUZBY	\N	\N
138140	462	1995-07-31	VYDAJ	VYBER	15	39830	SLUZBY	\N	\N
138141	462	1995-08-31	VYDAJ	VYBER	15	44240	SLUZBY	\N	\N
138142	462	1995-09-30	VYDAJ	VYBER	15	45557	SLUZBY	\N	\N
138143	462	1995-10-31	VYDAJ	VYBER	15	38659	SLUZBY	\N	\N
138144	462	1995-11-30	VYDAJ	VYBER	15	40128	SLUZBY	\N	\N
138145	462	1995-12-31	VYDAJ	VYBER	15	44077	SLUZBY	\N	\N
138146	462	1996-01-31	VYDAJ	VYBER	15	32341	SLUZBY	\N	\N
138147	462	1996-02-29	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
138148	462	1996-03-31	VYDAJ	VYBER	15	41365	SLUZBY	\N	\N
138149	462	1996-04-30	VYDAJ	VYBER	15	39804	SLUZBY	\N	\N
138150	462	1996-05-31	VYDAJ	VYBER	15	37634	SLUZBY	\N	\N
138151	462	1996-06-30	VYDAJ	VYBER	15	30125	SLUZBY	\N	\N
138152	462	1996-07-31	VYDAJ	VYBER	15	34318	SLUZBY	\N	\N
138153	462	1996-08-31	VYDAJ	VYBER	15	38326	SLUZBY	\N	\N
138154	462	1996-09-30	VYDAJ	VYBER	15	38147	SLUZBY	\N	\N
138155	462	1996-10-31	VYDAJ	VYBER	15	36858	SLUZBY	\N	\N
138156	462	1996-11-30	VYDAJ	VYBER	15	37271	SLUZBY	\N	\N
138157	462	1996-12-31	VYDAJ	VYBER	15	38919	SLUZBY	\N	\N
138158	462	1997-01-31	VYDAJ	VYBER	15	30204	SLUZBY	\N	\N
138159	462	1997-02-28	VYDAJ	VYBER	15	39597	SLUZBY	\N	\N
138160	462	1997-03-31	VYDAJ	VYBER	15	44725	SLUZBY	\N	\N
138161	462	1997-04-30	VYDAJ	VYBER	15	48873	SLUZBY	\N	\N
138162	462	1997-05-31	VYDAJ	VYBER	15	49033	SLUZBY	\N	\N
138163	462	1997-06-30	VYDAJ	VYBER	15	25357	SLUZBY	\N	\N
138164	462	1997-07-31	VYDAJ	VYBER	15	39755	SLUZBY	\N	\N
138165	462	1997-08-31	VYDAJ	VYBER	15	48385	SLUZBY	\N	\N
138166	462	1997-09-30	VYDAJ	VYBER	15	54247	SLUZBY	\N	\N
138167	462	1997-10-31	VYDAJ	VYBER	15	57228	SLUZBY	\N	\N
138168	462	1997-11-30	VYDAJ	VYBER	15	55913	SLUZBY	\N	\N
138169	462	1997-12-31	VYDAJ	VYBER	15	59138	SLUZBY	\N	\N
138170	462	1998-01-31	VYDAJ	VYBER	15	52395	SLUZBY	\N	\N
138171	462	1998-02-28	VYDAJ	VYBER	15	57168	SLUZBY	\N	\N
138172	462	1998-03-31	VYDAJ	VYBER	15	55928	SLUZBY	\N	\N
138173	462	1998-04-30	VYDAJ	VYBER	15	53804	SLUZBY	\N	\N
138174	462	1998-05-31	VYDAJ	VYBER	15	53573	SLUZBY	\N	\N
138175	462	1998-06-30	VYDAJ	VYBER	15	24492	SLUZBY	\N	\N
138176	462	1998-07-31	VYDAJ	VYBER	15	35760	SLUZBY	\N	\N
138177	462	1998-08-31	VYDAJ	VYBER	15	36893	SLUZBY	\N	\N
138178	462	1998-09-30	VYDAJ	VYBER	15	41197	SLUZBY	\N	\N
138179	462	1998-10-31	VYDAJ	VYBER	15	48325	SLUZBY	\N	\N
138180	462	1998-11-30	VYDAJ	VYBER	15	47262	SLUZBY	\N	\N
138181	462	1993-12-10	VYDAJ	VYBER	2800	28763	\N	\N	\N
138182	462	1994-01-09	VYDAJ	VYBER	11800	37823	\N	\N	\N
138183	462	1994-02-08	VYDAJ	VYBER	8400	29570	\N	\N	\N
138184	462	1994-03-10	VYDAJ	VYBER	25500	45815	\N	\N	\N
138185	462	1994-04-09	VYDAJ	VYBER	23100	43687	\N	\N	\N
138186	462	1994-05-09	VYDAJ	VYBER	16400	39974	\N	\N	\N
138187	462	1994-06-08	VYDAJ	VYBER	1700	28113	\N	\N	\N
138188	462	1994-07-08	VYDAJ	VYBER	6400	30354	\N	\N	\N
138189	462	1994-08-07	VYDAJ	VYBER	9500	33494	\N	\N	\N
138190	462	1994-09-06	VYDAJ	VYBER	12300	42173	\N	\N	\N
138191	462	1994-10-06	VYDAJ	VYBER	13500	41330	\N	\N	\N
138192	462	1994-11-05	VYDAJ	VYBER	13100	34873	\N	\N	\N
138193	462	1994-12-05	VYDAJ	VYBER	11900	35600	\N	\N	\N
138194	462	1995-01-04	VYDAJ	VYBER	13600	41558	\N	\N	\N
138195	462	1995-02-03	PRIJEM	VKLAD	200	29886	\N	\N	\N
138196	462	1995-03-05	VYDAJ	VYBER	10300	32180	\N	\N	\N
138197	462	1995-04-04	VYDAJ	VYBER	7100	33969	\N	\N	\N
138198	462	1995-05-04	VYDAJ	VYBER	9400	37188	\N	\N	\N
138199	462	1995-06-03	VYDAJ	VYBER	12800	37021	\N	\N	\N
138200	462	1995-07-03	VYDAJ	VYBER	7700	32383	\N	\N	\N
138201	462	1995-08-02	VYDAJ	VYBER	8200	31630	\N	\N	\N
138202	462	1995-09-01	VYDAJ	VYBER	11300	32940	\N	\N	\N
138203	462	1995-10-01	VYDAJ	VYBER	10700	34857	\N	\N	\N
138204	462	1995-10-31	VYDAJ	VYBER	8100	38674	\N	\N	\N
138205	462	1995-11-30	VYDAJ	VYBER	9000	40142	\N	\N	\N
138206	462	1995-12-30	VYDAJ	VYBER	16700	43865	\N	\N	\N
138207	462	1996-01-29	VYDAJ	VYBER	5300	32187	\N	\N	\N
138208	462	1996-02-28	VYDAJ	VYBER	9000	35791	\N	\N	\N
138209	462	1996-03-29	VYDAJ	VYBER	7200	41195	\N	\N	\N
138210	462	1996-04-28	VYDAJ	VYBER	14200	39615	\N	\N	\N
138211	462	1996-05-28	VYDAJ	VYBER	14800	37454	\N	\N	\N
138212	462	1996-06-27	VYDAJ	VYBER	1900	29932	\N	\N	\N
138213	462	1996-07-27	VYDAJ	VYBER	8400	34175	\N	\N	\N
138214	462	1996-08-26	VYDAJ	VYBER	8600	38168	\N	\N	\N
138215	462	1996-09-25	VYDAJ	VYBER	12800	37976	\N	\N	\N
138216	462	1996-10-25	VYDAJ	VYBER	9100	38497	\N	\N	\N
138217	462	1996-11-24	VYDAJ	VYBER	12200	37108	\N	\N	\N
138218	462	1996-12-24	VYDAJ	VYBER	12200	38749	\N	\N	\N
138219	462	1997-01-23	VYDAJ	VYBER	9800	37009	\N	\N	\N
138220	462	1997-02-22	VYDAJ	VYBER	800	39454	\N	\N	\N
138221	462	1997-03-24	VYDAJ	VYBER	7500	44547	\N	\N	\N
138222	462	1997-04-23	VYDAJ	VYBER	8500	48675	\N	\N	\N
138223	462	1997-05-23	VYDAJ	VYBER	12500	48823	\N	\N	\N
138224	462	1997-06-22	VYDAJ	VYBER	16000	55870	\N	\N	\N
138225	462	1997-07-22	PRIJEM	VKLAD	5300	39627	\N	\N	\N
138226	462	1997-08-21	VYDAJ	VYBER	4000	48205	\N	\N	\N
138227	462	1997-09-20	VYDAJ	VYBER	6800	54035	\N	\N	\N
138228	462	1997-10-20	VYDAJ	VYBER	9700	56997	\N	\N	\N
138229	462	1997-11-19	VYDAJ	VYBER	14000	55678	\N	\N	\N
138230	462	1997-12-19	VYDAJ	VYBER	12500	63691	\N	\N	\N
138231	462	1998-01-18	PRIJEM	VKLAD	2500	56128	\N	\N	\N
138232	462	1998-02-17	VYDAJ	VYBER	7900	56945	\N	\N	\N
138233	462	1998-03-19	VYDAJ	VYBER	10200	55698	\N	\N	\N
138234	462	1998-04-18	VYDAJ	VYBER	14800	53578	\N	\N	\N
138235	462	1998-05-18	VYDAJ	VYBER	12900	53354	\N	\N	\N
138236	462	1998-06-17	VYDAJ	VYBER	18200	58211	\N	\N	\N
138237	462	1998-07-17	VYDAJ	VYBER	1300	35642	\N	\N	\N
138238	462	1998-08-16	VYDAJ	VYBER	9300	38070	\N	\N	\N
138239	462	1998-09-15	VYDAJ	VYBER	8300	41043	\N	\N	\N
138240	462	1998-10-15	VYDAJ	VYBER	5500	48147	\N	\N	\N
138241	462	1998-11-14	VYDAJ	VYBER	13700	47075	\N	\N	\N
138242	462	1998-12-14	VYDAJ	VYBER	21100	49000	\N	\N	\N
138304	463	1995-05-08	PRIJEM	VKLAD	700	700	\N	\N	\N
138309	463	1995-05-12	PRIJEM	VKLAD	22790	23490	\N	\N	\N
138310	463	1995-06-12	PRIJEM	VKLAD	34185	56638	\N	\N	\N
138311	463	1995-07-12	PRIJEM	VKLAD	22790	62514	\N	\N	\N
138312	463	1995-08-12	PRIJEM	VKLAD	22790	69055	\N	\N	\N
138313	463	1995-09-12	PRIJEM	VKLAD	22790	73523	\N	\N	\N
138314	463	1995-10-12	PRIJEM	VKLAD	22790	67513	\N	\N	\N
138315	463	1995-11-12	PRIJEM	VKLAD	22790	63571	\N	\N	\N
138316	463	1995-12-12	PRIJEM	VKLAD	34185	72825	\N	\N	\N
138317	463	1996-01-12	PRIJEM	VKLAD	22790	50328	\N	\N	\N
138318	463	1996-02-12	PRIJEM	VKLAD	22790	52570	\N	\N	\N
138319	463	1996-03-12	PRIJEM	VKLAD	22790	62751	\N	\N	\N
138320	463	1996-04-12	PRIJEM	VKLAD	22790	68177	\N	\N	\N
138321	463	1996-05-12	PRIJEM	VKLAD	22790	65908	\N	\N	\N
138322	463	1996-06-12	PRIJEM	VKLAD	34185	61487	\N	\N	\N
138323	463	1996-07-12	PRIJEM	VKLAD	22790	64698	\N	\N	\N
138324	463	1996-08-12	PRIJEM	VKLAD	22790	68334	\N	\N	\N
138325	463	1996-09-12	PRIJEM	VKLAD	22790	68480	\N	\N	\N
138326	463	1996-10-12	PRIJEM	VKLAD	22790	67025	\N	\N	\N
138327	463	1996-11-12	PRIJEM	VKLAD	22790	68664	\N	\N	\N
138328	463	1996-12-12	PRIJEM	VKLAD	34185	80344	\N	\N	\N
138329	463	1997-01-12	PRIJEM	VKLAD	22790	55538	\N	\N	\N
138330	463	1997-02-12	PRIJEM	VKLAD	22790	64114	\N	\N	\N
138331	463	1997-03-12	PRIJEM	VKLAD	22790	74141	\N	\N	\N
138332	463	1997-04-12	PRIJEM	VKLAD	22790	75666	\N	\N	\N
138333	463	1997-05-12	PRIJEM	VKLAD	22790	80839	\N	\N	\N
138334	463	1997-06-12	PRIJEM	VKLAD	34185	89637	\N	\N	\N
138335	463	1997-07-12	PRIJEM	VKLAD	22790	83617	\N	\N	\N
138336	463	1997-08-12	PRIJEM	VKLAD	22790	87520	\N	\N	\N
138337	463	1997-09-12	PRIJEM	VKLAD	22790	88434	\N	\N	\N
138338	463	1997-10-12	PRIJEM	VKLAD	22790	86048	\N	\N	\N
138339	463	1997-11-12	PRIJEM	VKLAD	22790	87625	\N	\N	\N
138340	463	1997-12-12	PRIJEM	VKLAD	34185	100514	\N	\N	\N
138341	463	1998-01-12	PRIJEM	VKLAD	22790	92056	\N	\N	\N
138342	463	1998-02-12	PRIJEM	VKLAD	22790	93584	\N	\N	\N
138343	463	1998-03-12	PRIJEM	VKLAD	22790	100724	\N	\N	\N
138344	463	1998-04-12	PRIJEM	VKLAD	22790	107395	\N	\N	\N
138345	463	1998-05-12	PRIJEM	VKLAD	22790	105884	\N	\N	\N
138346	463	1998-06-12	PRIJEM	VKLAD	34185	115720	\N	\N	\N
138347	463	1998-07-12	PRIJEM	VKLAD	22790	94592	\N	\N	\N
138348	463	1998-08-12	PRIJEM	VKLAD	22790	99872	\N	\N	\N
138349	463	1998-09-12	PRIJEM	VKLAD	22790	106635	\N	\N	\N
138350	463	1998-10-12	PRIJEM	VKLAD	22790	110720	\N	\N	\N
138351	463	1998-11-12	PRIJEM	VKLAD	22790	118528	\N	\N	\N
138352	463	1998-12-12	PRIJEM	VKLAD	34185	110614	\N	\N	\N
138362	463	1995-10-06	VYDAJ	PREVOD NA UCET	6385	44723	SIPO	QR	88697516
138363	463	1995-11-06	VYDAJ	PREVOD NA UCET	6385	40781	SIPO	QR	88697516
138364	463	1995-12-06	VYDAJ	PREVOD NA UCET	6385	43120	SIPO	QR	88697516
138365	463	1996-01-06	VYDAJ	PREVOD NA UCET	6385	46738	SIPO	QR	88697516
138366	463	1996-02-06	VYDAJ	PREVOD NA UCET	6385	29780	SIPO	QR	88697516
138367	463	1996-03-06	VYDAJ	PREVOD NA UCET	6385	39961	SIPO	QR	88697516
138368	463	1996-04-06	VYDAJ	PREVOD NA UCET	6385	45387	SIPO	QR	88697516
138369	463	1996-05-06	VYDAJ	PREVOD NA UCET	6385	43118	SIPO	QR	88697516
138370	463	1996-06-06	VYDAJ	PREVOD NA UCET	6385	45862	SIPO	QR	88697516
138371	463	1996-07-06	VYDAJ	PREVOD NA UCET	6385	41908	SIPO	QR	88697516
138372	463	1996-08-06	VYDAJ	PREVOD NA UCET	6385	45544	SIPO	QR	88697516
138373	463	1996-09-06	VYDAJ	PREVOD NA UCET	6385	45690	SIPO	QR	88697516
138374	463	1996-10-06	VYDAJ	PREVOD NA UCET	6385	44235	SIPO	QR	88697516
138375	463	1996-11-06	VYDAJ	PREVOD NA UCET	6385	45874	SIPO	QR	88697516
138376	463	1996-12-06	VYDAJ	PREVOD NA UCET	6385	48719	SIPO	QR	88697516
138377	463	1997-01-06	VYDAJ	PREVOD NA UCET	6385	47108	SIPO	QR	88697516
138378	463	1997-02-06	VYDAJ	PREVOD NA UCET	6385	41324	SIPO	QR	88697516
138379	463	1997-03-06	VYDAJ	PREVOD NA UCET	6385	51351	SIPO	QR	88697516
138380	463	1997-04-06	VYDAJ	PREVOD NA UCET	6385	52876	SIPO	QR	88697516
138381	463	1997-05-06	VYDAJ	PREVOD NA UCET	6385	58049	SIPO	QR	88697516
138382	463	1997-06-06	VYDAJ	PREVOD NA UCET	6385	55452	SIPO	QR	88697516
138383	463	1997-07-06	VYDAJ	PREVOD NA UCET	6385	60827	SIPO	QR	88697516
138384	463	1997-08-06	VYDAJ	PREVOD NA UCET	6385	64730	SIPO	QR	88697516
138385	463	1997-09-06	VYDAJ	PREVOD NA UCET	6385	65644	SIPO	QR	88697516
138386	463	1997-10-06	VYDAJ	PREVOD NA UCET	6385	63258	SIPO	QR	88697516
138387	463	1997-11-06	VYDAJ	PREVOD NA UCET	6385	64835	SIPO	QR	88697516
138388	463	1997-12-06	VYDAJ	PREVOD NA UCET	6385	68249	SIPO	QR	88697516
138389	463	1998-01-06	VYDAJ	PREVOD NA UCET	6385	72026	SIPO	QR	88697516
138390	463	1998-02-06	VYDAJ	PREVOD NA UCET	6385	70794	SIPO	QR	88697516
138391	463	1998-03-06	VYDAJ	PREVOD NA UCET	6385	77934	SIPO	QR	88697516
138392	463	1998-04-06	VYDAJ	PREVOD NA UCET	6385	84605	SIPO	QR	88697516
138393	463	1998-05-06	VYDAJ	PREVOD NA UCET	6385	83094	SIPO	QR	88697516
138394	463	1998-06-06	VYDAJ	PREVOD NA UCET	6385	81535	SIPO	QR	88697516
138395	463	1998-07-06	VYDAJ	PREVOD NA UCET	6385	71802	SIPO	QR	88697516
138396	463	1998-08-06	VYDAJ	PREVOD NA UCET	6385	77082	SIPO	QR	88697516
138397	463	1998-09-06	VYDAJ	PREVOD NA UCET	6385	83845	SIPO	QR	88697516
138398	463	1998-10-06	VYDAJ	PREVOD NA UCET	6385	87930	SIPO	QR	88697516
138399	463	1998-11-06	VYDAJ	PREVOD NA UCET	6385	95738	SIPO	QR	88697516
138400	463	1998-12-06	VYDAJ	PREVOD NA UCET	6385	76429	SIPO	QR	88697516
138402	463	1996-06-10	VYDAJ	VYBER	18560	27302	\N	\N	\N
138403	463	1997-06-22	VYDAJ	VYBER	10080	79557	\N	\N	\N
138404	463	1998-06-27	VYDAJ	VYBER	21120	77800	\N	\N	\N
138406	463	1996-01-09	VYDAJ	VYBER	14400	32338	\N	\N	\N
138407	463	1997-01-07	VYDAJ	VYBER	11360	35748	\N	\N	\N
138408	463	1998-01-01	VYDAJ	VYBER	2880	79971	\N	\N	\N
138409	463	1995-12-10	VYDAJ	VYBER	4480	38640	\N	\N	\N
138410	463	1996-12-10	VYDAJ	VYBER	2560	46159	\N	\N	\N
138411	463	1997-12-07	VYDAJ	VYBER	1920	66329	\N	\N	\N
138412	463	1998-12-20	VYDAJ	VYBER	4480	104934	\N	\N	\N
138419	463	1996-01-25	VYDAJ	VYBER	1920	41688	\N	\N	\N
138420	463	1996-01-29	VYDAJ	VYBER	1080	40608	\N	\N	\N
138421	463	1996-01-02	VYDAJ	VYBER	2880	70203	\N	\N	\N
138422	463	1996-01-05	VYDAJ	VYBER	1080	53123	\N	\N	\N
138423	463	1996-01-23	VYDAJ	VYBER	3240	43608	\N	\N	\N
138424	463	1996-01-13	VYDAJ	VYBER	3480	46848	\N	\N	\N
138425	463	1997-01-24	VYDAJ	VYBER	1560	50618	\N	\N	\N
138426	463	1997-01-16	VYDAJ	VYBER	3360	52178	\N	\N	\N
138427	463	1997-01-10	VYDAJ	VYBER	2040	32748	\N	\N	\N
138428	463	1997-01-01	VYDAJ	VYBER	2880	56133	\N	\N	\N
138429	463	1997-01-08	VYDAJ	VYBER	960	34788	\N	\N	\N
138430	463	1997-01-05	VYDAJ	VYBER	2640	53493	\N	\N	\N
138431	463	1998-01-10	VYDAJ	VYBER	840	71186	\N	\N	\N
138432	463	1998-01-25	VYDAJ	VYBER	2640	76856	\N	\N	\N
138433	463	1998-01-03	VYDAJ	VYBER	1560	78411	\N	\N	\N
138434	463	1998-01-25	VYDAJ	VYBER	960	79496	\N	\N	\N
138435	463	1998-01-12	VYDAJ	VYBER	600	91456	\N	\N	\N
138436	463	1998-01-11	VYDAJ	VYBER	1920	69266	\N	\N	\N
138440	463	1996-06-28	VYDAJ	VYBER	1920	59567	\N	\N	\N
138441	463	1996-04-30	VYDAJ	VYBER	5520	62918	\N	\N	\N
138442	463	1996-07-30	VYDAJ	VYBER	1800	62898	\N	\N	\N
138443	463	1996-02-02	VYDAJ	VYBER	4320	36165	\N	\N	\N
138444	463	1996-01-09	VYDAJ	VYBER	4800	27538	\N	\N	\N
138445	463	1997-05-19	VYDAJ	VYBER	5280	75559	\N	\N	\N
138446	463	1997-03-18	VYDAJ	VYBER	840	73301	\N	\N	\N
138447	463	1997-06-26	VYDAJ	VYBER	1440	66917	\N	\N	\N
138448	463	1997-10-17	VYDAJ	VYBER	5160	76928	\N	\N	\N
138449	463	1997-10-14	VYDAJ	VYBER	3960	82088	\N	\N	\N
138450	463	1998-04-24	VYDAJ	VYBER	4800	89095	\N	\N	\N
138451	463	1998-07-24	VYDAJ	VYBER	3000	83132	\N	\N	\N
138452	463	1998-05-27	VYDAJ	VYBER	1560	87544	\N	\N	\N
138453	463	1998-07-18	VYDAJ	VYBER	720	91232	\N	\N	\N
138454	463	1998-07-15	VYDAJ	VYBER	2640	91952	\N	\N	\N
138455	463	1998-05-21	VYDAJ	VYBER	2280	103604	\N	\N	\N
138465	463	1995-09-30	VYDAJ	VYBER	15	73808	SLUZBY	\N	\N
138466	463	1995-10-31	VYDAJ	VYBER	15	67766	SLUZBY	\N	\N
138467	463	1995-11-30	VYDAJ	VYBER	15	63805	SLUZBY	\N	\N
138468	463	1995-12-31	VYDAJ	VYBER	15	73083	SLUZBY	\N	\N
138469	463	1996-01-31	VYDAJ	VYBER	15	40785	SLUZBY	\N	\N
138470	463	1996-02-29	VYDAJ	VYBER	15	52746	SLUZBY	\N	\N
138471	463	1996-03-31	VYDAJ	VYBER	15	62972	SLUZBY	\N	\N
138472	463	1996-04-30	VYDAJ	VYBER	15	62903	SLUZBY	\N	\N
138473	463	1996-05-31	VYDAJ	VYBER	15	66147	SLUZBY	\N	\N
138474	463	1996-06-30	VYDAJ	VYBER	15	59793	SLUZBY	\N	\N
138475	463	1996-07-31	VYDAJ	VYBER	15	63129	SLUZBY	\N	\N
138476	463	1996-08-31	VYDAJ	VYBER	15	52075	SLUZBY	\N	\N
138477	463	1996-09-30	VYDAJ	VYBER	15	50620	SLUZBY	\N	\N
138478	463	1996-10-31	VYDAJ	VYBER	15	52259	SLUZBY	\N	\N
138479	463	1996-11-30	VYDAJ	VYBER	15	55104	SLUZBY	\N	\N
138480	463	1996-12-31	VYDAJ	VYBER	15	59013	SLUZBY	\N	\N
138481	463	1997-01-31	VYDAJ	VYBER	15	47709	SLUZBY	\N	\N
138482	463	1997-02-28	VYDAJ	VYBER	15	57736	SLUZBY	\N	\N
138483	463	1997-03-31	VYDAJ	VYBER	15	59261	SLUZBY	\N	\N
138484	463	1997-04-30	VYDAJ	VYBER	15	64434	SLUZBY	\N	\N
138485	463	1997-05-31	VYDAJ	VYBER	15	61837	SLUZBY	\N	\N
138486	463	1997-06-30	VYDAJ	VYBER	15	67212	SLUZBY	\N	\N
138487	463	1997-07-31	VYDAJ	VYBER	15	71115	SLUZBY	\N	\N
138488	463	1997-08-31	VYDAJ	VYBER	15	72029	SLUZBY	\N	\N
138489	463	1997-09-30	VYDAJ	VYBER	15	69643	SLUZBY	\N	\N
138490	463	1997-10-31	VYDAJ	VYBER	15	71220	SLUZBY	\N	\N
138491	463	1997-11-30	VYDAJ	VYBER	15	74634	SLUZBY	\N	\N
138492	463	1997-12-31	VYDAJ	VYBER	15	82851	SLUZBY	\N	\N
138493	463	1998-01-31	VYDAJ	VYBER	15	77179	SLUZBY	\N	\N
138494	463	1998-02-28	VYDAJ	VYBER	15	84319	SLUZBY	\N	\N
138495	463	1998-03-31	VYDAJ	VYBER	15	90990	SLUZBY	\N	\N
138496	463	1998-04-30	VYDAJ	VYBER	15	89479	SLUZBY	\N	\N
138497	463	1998-05-31	VYDAJ	VYBER	15	87920	SLUZBY	\N	\N
138498	463	1998-06-30	VYDAJ	VYBER	15	78187	SLUZBY	\N	\N
138499	463	1998-07-31	VYDAJ	VYBER	15	83467	SLUZBY	\N	\N
138500	463	1998-08-31	VYDAJ	VYBER	15	90230	SLUZBY	\N	\N
138501	463	1998-09-30	VYDAJ	VYBER	15	94315	SLUZBY	\N	\N
138502	463	1998-10-31	VYDAJ	VYBER	15	102123	SLUZBY	\N	\N
138503	463	1998-11-30	VYDAJ	VYBER	15	82814	SLUZBY	\N	\N
138504	463	1995-06-07	VYDAJ	VYBER	1100	22453	\N	\N	\N
138505	463	1995-07-07	VYDAJ	VYBER	17100	39724	\N	\N	\N
138506	463	1995-08-06	VYDAJ	VYBER	16500	46265	\N	\N	\N
138507	463	1995-09-05	VYDAJ	VYBER	18600	50733	\N	\N	\N
138508	463	1995-10-05	VYDAJ	VYBER	22700	51108	\N	\N	\N
138509	463	1995-11-04	VYDAJ	VYBER	20600	47166	\N	\N	\N
138510	463	1995-12-04	VYDAJ	VYBER	14300	49505	\N	\N	\N
138511	463	1996-01-03	VYDAJ	VYBER	16000	54203	\N	\N	\N
138512	463	1996-02-02	VYDAJ	VYBER	300	40485	\N	\N	\N
138513	463	1996-03-03	VYDAJ	VYBER	6400	46346	\N	\N	\N
138514	463	1996-04-02	VYDAJ	VYBER	11200	51772	\N	\N	\N
138515	463	1996-05-02	VYDAJ	VYBER	13400	49503	\N	\N	\N
138516	463	1996-06-01	VYDAJ	VYBER	13900	52247	\N	\N	\N
138517	463	1996-07-01	VYDAJ	VYBER	11500	48293	\N	\N	\N
138518	463	1996-07-31	VYDAJ	VYBER	11200	51929	\N	\N	\N
138519	463	1996-08-30	VYDAJ	VYBER	16500	51834	\N	\N	\N
138520	463	1996-09-29	VYDAJ	VYBER	18100	50380	\N	\N	\N
138521	463	1996-10-29	VYDAJ	VYBER	15000	52025	\N	\N	\N
138522	463	1996-11-28	VYDAJ	VYBER	13800	54864	\N	\N	\N
138523	463	1996-12-28	VYDAJ	VYBER	21600	58744	\N	\N	\N
138524	463	1997-01-27	VYDAJ	VYBER	3100	47518	\N	\N	\N
138525	463	1997-02-26	VYDAJ	VYBER	6600	57514	\N	\N	\N
138526	463	1997-03-28	VYDAJ	VYBER	14300	59001	\N	\N	\N
138527	463	1997-04-27	VYDAJ	VYBER	11500	64166	\N	\N	\N
138528	463	1997-05-27	VYDAJ	VYBER	14000	61559	\N	\N	\N
138529	463	1997-06-26	VYDAJ	VYBER	11200	68357	\N	\N	\N
138530	463	1997-07-26	VYDAJ	VYBER	12800	70817	\N	\N	\N
138531	463	1997-08-25	VYDAJ	VYBER	15800	71720	\N	\N	\N
138532	463	1997-09-24	VYDAJ	VYBER	19100	69334	\N	\N	\N
138533	463	1997-10-24	VYDAJ	VYBER	6000	70928	\N	\N	\N
138534	463	1997-11-23	VYDAJ	VYBER	13300	74325	\N	\N	\N
138535	463	1997-12-23	VYDAJ	VYBER	18000	82514	\N	\N	\N
138536	463	1998-01-22	VYDAJ	VYBER	11000	80456	\N	\N	\N
138537	463	1998-02-21	VYDAJ	VYBER	9600	83984	\N	\N	\N
138538	463	1998-03-23	VYDAJ	VYBER	10100	90624	\N	\N	\N
138539	463	1998-04-22	VYDAJ	VYBER	13500	93895	\N	\N	\N
138540	463	1998-05-22	VYDAJ	VYBER	14500	89104	\N	\N	\N
138541	463	1998-06-21	VYDAJ	VYBER	16800	98920	\N	\N	\N
138542	463	1998-07-21	VYDAJ	VYBER	5100	86132	\N	\N	\N
138543	463	1998-08-20	VYDAJ	VYBER	10000	89872	\N	\N	\N
138544	463	1998-09-19	VYDAJ	VYBER	12700	93935	\N	\N	\N
138545	463	1998-10-19	VYDAJ	VYBER	9000	101720	\N	\N	\N
138546	463	1998-11-12	VYDAJ	VYBER	48300	70228	\N	\N	\N
138547	463	1998-11-18	PRIJEM	VKLAD	12200	82428	\N	\N	\N
138548	463	1998-12-18	VYDAJ	VYBER	1200	109414	\N	\N	\N
138593	464	1997-05-28	PRIJEM	VKLAD	600	600	\N	\N	\N
138599	464	1997-06-08	PRIJEM	PREVOD Z UCTU	5264	5864	DUCHOD	IJ	24678367
138600	464	1997-07-08	PRIJEM	PREVOD Z UCTU	5264	11128	DUCHOD	IJ	24678367
138601	464	1997-08-08	PRIJEM	PREVOD Z UCTU	5264	16392	DUCHOD	IJ	24678367
138602	464	1997-09-08	PRIJEM	PREVOD Z UCTU	5264	21656	DUCHOD	IJ	24678367
138603	464	1997-10-08	PRIJEM	PREVOD Z UCTU	5264	26920	DUCHOD	IJ	24678367
138604	464	1997-11-08	PRIJEM	PREVOD Z UCTU	5264	28720	DUCHOD	IJ	24678367
138605	464	1997-12-08	PRIJEM	PREVOD Z UCTU	5264	26875	DUCHOD	IJ	24678367
138606	464	1998-01-08	PRIJEM	PREVOD Z UCTU	5264	25957	DUCHOD	IJ	24678367
138607	464	1998-02-08	PRIJEM	PREVOD Z UCTU	5264	17623	DUCHOD	IJ	24678367
138608	464	1998-03-08	PRIJEM	PREVOD Z UCTU	5264	19419	DUCHOD	IJ	24678367
138609	464	1998-04-08	PRIJEM	PREVOD Z UCTU	5264	19762	DUCHOD	IJ	24678367
138610	464	1998-05-08	PRIJEM	PREVOD Z UCTU	5264	17883	DUCHOD	IJ	24678367
138611	464	1998-06-08	PRIJEM	PREVOD Z UCTU	5264	19681	DUCHOD	IJ	24678367
138612	464	1998-07-08	PRIJEM	PREVOD Z UCTU	5264	16674	DUCHOD	IJ	24678367
138613	464	1998-08-08	PRIJEM	PREVOD Z UCTU	5264	18466	DUCHOD	IJ	24678367
138614	464	1998-09-08	PRIJEM	PREVOD Z UCTU	5264	20266	DUCHOD	IJ	24678367
138615	464	1998-10-08	PRIJEM	PREVOD Z UCTU	5264	21434	DUCHOD	IJ	24678367
138616	464	1998-11-08	PRIJEM	PREVOD Z UCTU	5264	23146	DUCHOD	IJ	24678367
138617	464	1998-12-08	PRIJEM	PREVOD Z UCTU	5264	24966	DUCHOD	IJ	24678367
138627	464	1997-10-13	VYDAJ	PREVOD NA UCET	3509	23411	SIPO	UV	4756558
138628	464	1997-11-13	VYDAJ	PREVOD NA UCET	3509	25211	SIPO	UV	4756558
138629	464	1997-12-13	VYDAJ	PREVOD NA UCET	3509	23366	SIPO	UV	4756558
138630	464	1998-01-13	VYDAJ	PREVOD NA UCET	3509	22448	SIPO	UV	4756558
138631	464	1998-02-13	VYDAJ	PREVOD NA UCET	3509	14114	SIPO	UV	4756558
138632	464	1998-03-13	VYDAJ	PREVOD NA UCET	3509	15910	SIPO	UV	4756558
138633	464	1998-04-13	VYDAJ	PREVOD NA UCET	3509	16253	SIPO	UV	4756558
138634	464	1998-05-13	VYDAJ	PREVOD NA UCET	3509	14374	SIPO	UV	4756558
138635	464	1998-06-13	VYDAJ	PREVOD NA UCET	3509	11372	SIPO	UV	4756558
138636	464	1998-07-13	VYDAJ	PREVOD NA UCET	3509	13165	SIPO	UV	4756558
138637	464	1998-08-13	VYDAJ	PREVOD NA UCET	3509	14957	SIPO	UV	4756558
138638	464	1998-09-13	VYDAJ	PREVOD NA UCET	3509	16117	SIPO	UV	4756558
138639	464	1998-10-13	VYDAJ	PREVOD NA UCET	3509	17925	SIPO	UV	4756558
138640	464	1998-11-13	VYDAJ	PREVOD NA UCET	3509	19637	SIPO	UV	4756558
138641	464	1998-12-13	VYDAJ	PREVOD NA UCET	3509	21457	SIPO	UV	4756558
138643	464	1998-06-08	VYDAJ	VYBER	4800	14881	\N	\N	\N
138645	464	1998-01-20	VYDAJ	VYBER	3350	16778	\N	\N	\N
138646	464	1997-12-25	VYDAJ	VYBER	1050	20616	\N	\N	\N
138647	464	1998-12-18	VYDAJ	VYBER	350	21107	\N	\N	\N
138654	464	1998-01-16	VYDAJ	VYBER	1920	20528	\N	\N	\N
138655	464	1998-01-20	VYDAJ	VYBER	1360	15418	\N	\N	\N
138657	464	1998-01-17	VYDAJ	VYBER	400	20128	\N	\N	\N
138658	464	1998-01-25	VYDAJ	VYBER	800	12298	\N	\N	\N
138659	464	1998-01-24	VYDAJ	VYBER	2320	13098	\N	\N	\N
138662	464	1997-11-16	VYDAJ	VYBER	3680	21531	\N	\N	\N
138664	464	1998-04-28	VYDAJ	VYBER	2320	12573	\N	\N	\N
138665	464	1998-04-16	VYDAJ	VYBER	1360	14893	\N	\N	\N
138666	464	1998-09-09	VYDAJ	VYBER	640	19626	\N	\N	\N
138667	464	1998-03-30	VYDAJ	VYBER	1360	14450	\N	\N	\N
138668	464	1998-12-29	VYDAJ	VYBER	2080	16707	\N	\N	\N
138669	464	1998-12-19	VYDAJ	VYBER	2320	18787	\N	\N	\N
138680	464	1997-10-31	VYDAJ	VYBER	15	23456	SLUZBY	\N	\N
138681	464	1997-11-30	VYDAJ	VYBER	15	21611	SLUZBY	\N	\N
138682	464	1997-12-31	VYDAJ	VYBER	15	20693	SLUZBY	\N	\N
138683	464	1998-01-31	VYDAJ	VYBER	15	12359	SLUZBY	\N	\N
138684	464	1998-02-28	VYDAJ	VYBER	15	14155	SLUZBY	\N	\N
138685	464	1998-03-31	VYDAJ	VYBER	15	14498	SLUZBY	\N	\N
138686	464	1998-04-30	VYDAJ	VYBER	15	12619	SLUZBY	\N	\N
138687	464	1998-05-31	VYDAJ	VYBER	15	14417	SLUZBY	\N	\N
138688	464	1998-06-30	VYDAJ	VYBER	15	11410	SLUZBY	\N	\N
138689	464	1998-07-31	VYDAJ	VYBER	15	13202	SLUZBY	\N	\N
138690	464	1998-08-31	VYDAJ	VYBER	15	15002	SLUZBY	\N	\N
138691	464	1998-09-30	VYDAJ	VYBER	15	16170	SLUZBY	\N	\N
138692	464	1998-10-31	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
138693	464	1998-11-30	VYDAJ	VYBER	15	19702	SLUZBY	\N	\N
138694	464	1997-12-24	VYDAJ	VYBER	1700	21666	\N	\N	\N
138695	464	1998-03-24	VYDAJ	VYBER	100	15810	\N	\N	\N
138696	464	1998-10-20	VYDAJ	VYBER	100	17825	\N	\N	\N
138712	465	1993-02-04	PRIJEM	VKLAD	700	700	\N	\N	\N
138714	465	1993-02-07	PRIJEM	PREVOD Z UCTU	12785	13485	\N	UV	71654224
138715	465	1993-03-07	PRIJEM	PREVOD Z UCTU	12785	33114	\N	UV	71654224
138716	465	1993-04-07	PRIJEM	PREVOD Z UCTU	12785	39921	\N	UV	71654224
138717	465	1993-05-07	PRIJEM	PREVOD Z UCTU	12785	44967	\N	UV	71654224
138718	465	1993-06-07	PRIJEM	PREVOD Z UCTU	19178	52628	\N	UV	71654224
138719	465	1993-07-07	PRIJEM	PREVOD Z UCTU	12785	41945	\N	UV	71654224
138720	465	1993-08-07	PRIJEM	PREVOD Z UCTU	12785	41131	\N	UV	71654224
138721	465	1993-09-07	PRIJEM	PREVOD Z UCTU	12785	39612	\N	UV	71654224
138722	465	1993-10-07	PRIJEM	PREVOD Z UCTU	12785	38574	\N	UV	71654224
138723	465	1993-11-07	PRIJEM	PREVOD Z UCTU	12785	37220	\N	UV	71654224
138724	465	1993-12-07	PRIJEM	PREVOD Z UCTU	19178	46571	\N	UV	71654224
138725	465	1994-01-07	PRIJEM	PREVOD Z UCTU	12785	37940	\N	UV	71654224
138726	465	1994-02-07	PRIJEM	PREVOD Z UCTU	12785	37081	\N	UV	71654224
138727	465	1994-03-07	PRIJEM	PREVOD Z UCTU	12785	34424	\N	UV	71654224
138728	465	1994-04-07	PRIJEM	PREVOD Z UCTU	12785	33253	\N	UV	71654224
138729	465	1994-05-07	PRIJEM	PREVOD Z UCTU	12785	35686	\N	UV	71654224
138730	465	1994-06-07	PRIJEM	PREVOD Z UCTU	19178	44423	\N	UV	71654224
138731	465	1994-07-07	PRIJEM	PREVOD Z UCTU	12785	37020	\N	UV	71654224
138732	465	1994-08-07	PRIJEM	PREVOD Z UCTU	12785	37669	\N	UV	71654224
138733	465	1994-09-07	PRIJEM	PREVOD Z UCTU	12785	39920	\N	UV	71654224
138734	465	1994-10-07	PRIJEM	PREVOD Z UCTU	12785	36977	\N	UV	71654224
138735	465	1994-11-07	PRIJEM	PREVOD Z UCTU	12785	40527	\N	UV	71654224
138736	465	1994-12-07	PRIJEM	PREVOD Z UCTU	19178	43277	\N	UV	71654224
138737	465	1995-01-07	PRIJEM	PREVOD Z UCTU	12785	33762	\N	UV	71654224
138738	465	1995-02-07	PRIJEM	PREVOD Z UCTU	12785	33896	\N	UV	71654224
138739	465	1995-03-07	PRIJEM	PREVOD Z UCTU	12785	41135	\N	UV	71654224
138740	465	1995-04-07	PRIJEM	PREVOD Z UCTU	12785	46304	\N	UV	71654224
138741	465	1995-05-07	PRIJEM	PREVOD Z UCTU	12785	46090	\N	UV	71654224
138742	465	1995-06-07	PRIJEM	PREVOD Z UCTU	19178	41962	\N	UV	71654224
138743	465	1995-07-07	PRIJEM	PREVOD Z UCTU	12785	42416	\N	UV	71654224
138744	465	1995-08-07	PRIJEM	PREVOD Z UCTU	12785	42485	\N	UV	71654224
138745	465	1995-09-07	PRIJEM	PREVOD Z UCTU	12785	41953	\N	UV	71654224
138746	465	1995-10-07	PRIJEM	PREVOD Z UCTU	12785	41019	\N	UV	71654224
138747	465	1995-11-07	PRIJEM	PREVOD Z UCTU	12785	34966	\N	UV	71654224
138748	465	1995-12-07	PRIJEM	PREVOD Z UCTU	19178	41696	\N	UV	71654224
138749	465	1996-01-07	PRIJEM	PREVOD Z UCTU	12785	38643	\N	UV	71654224
138750	465	1996-02-07	PRIJEM	PREVOD Z UCTU	12785	34887	\N	UV	71654224
138751	465	1996-03-07	PRIJEM	PREVOD Z UCTU	12785	35925	\N	UV	71654224
138752	465	1996-04-07	PRIJEM	PREVOD Z UCTU	12785	35865	\N	UV	71654224
138753	465	1996-05-07	PRIJEM	PREVOD Z UCTU	12785	34704	\N	UV	71654224
138754	465	1996-06-07	PRIJEM	PREVOD Z UCTU	19178	41032	\N	UV	71654224
138755	465	1996-07-07	PRIJEM	PREVOD Z UCTU	12785	36073	\N	UV	71654224
138756	465	1996-08-07	PRIJEM	PREVOD Z UCTU	12785	35612	\N	UV	71654224
138757	465	1996-09-07	PRIJEM	PREVOD Z UCTU	12785	32244	\N	UV	71654224
138758	465	1996-10-07	PRIJEM	PREVOD Z UCTU	12785	36477	\N	UV	71654224
138759	465	1996-11-07	PRIJEM	PREVOD Z UCTU	12785	35817	\N	UV	71654224
138760	465	1996-12-07	PRIJEM	PREVOD Z UCTU	19178	44053	\N	UV	71654224
138761	465	1997-01-07	PRIJEM	PREVOD Z UCTU	12785	33811	\N	UV	71654224
138762	465	1997-02-07	PRIJEM	PREVOD Z UCTU	12785	31946	\N	UV	71654224
138763	465	1997-03-07	PRIJEM	PREVOD Z UCTU	12785	29564	\N	UV	71654224
138764	465	1997-04-07	PRIJEM	PREVOD Z UCTU	12785	36593	\N	UV	71654224
138765	465	1997-05-07	PRIJEM	PREVOD Z UCTU	12785	38563	\N	UV	71654224
138766	465	1997-06-07	PRIJEM	PREVOD Z UCTU	19178	45532	\N	UV	71654224
138767	465	1997-07-07	PRIJEM	PREVOD Z UCTU	12785	35983	\N	UV	71654224
138768	465	1997-08-07	PRIJEM	PREVOD Z UCTU	12785	36423	\N	UV	71654224
138769	465	1997-09-07	PRIJEM	PREVOD Z UCTU	12785	34060	\N	UV	71654224
138770	465	1997-10-07	PRIJEM	PREVOD Z UCTU	12785	33994	\N	UV	71654224
138771	465	1997-11-07	PRIJEM	PREVOD Z UCTU	12785	32323	\N	UV	71654224
138772	465	1997-12-07	PRIJEM	PREVOD Z UCTU	19178	34433	\N	UV	71654224
138773	465	1998-01-07	PRIJEM	PREVOD Z UCTU	12785	26439	\N	UV	71654224
138774	465	1998-02-07	PRIJEM	PREVOD Z UCTU	12785	24538	\N	UV	71654224
138775	465	1998-03-07	PRIJEM	PREVOD Z UCTU	12785	19221	\N	UV	71654224
138776	465	1998-04-07	PRIJEM	PREVOD Z UCTU	12785	16386	\N	UV	71654224
138777	465	1998-05-07	PRIJEM	PREVOD Z UCTU	12785	16751	\N	UV	71654224
138778	465	1998-06-07	PRIJEM	PREVOD Z UCTU	19178	24805	\N	UV	71654224
138779	465	1998-07-07	PRIJEM	PREVOD Z UCTU	12785	16873	\N	UV	71654224
138780	465	1998-08-07	PRIJEM	PREVOD Z UCTU	12785	18535	\N	UV	71654224
138781	465	1998-09-07	PRIJEM	PREVOD Z UCTU	12785	20203	\N	UV	71654224
138782	465	1998-10-07	PRIJEM	PREVOD Z UCTU	12785	21878	\N	UV	71654224
138783	465	1998-11-07	PRIJEM	PREVOD Z UCTU	12785	23560	\N	UV	71654224
138784	465	1998-12-07	PRIJEM	PREVOD Z UCTU	19178	31642	\N	UV	71654224
138862	465	1993-06-14	VYDAJ	PREVOD NA UCET	11126	41502	SIPO	IJ	59340989
138863	465	1993-07-14	VYDAJ	PREVOD NA UCET	11126	30819	SIPO	IJ	59340989
138864	465	1993-08-14	VYDAJ	PREVOD NA UCET	11126	30005	SIPO	IJ	59340989
138865	465	1993-09-14	VYDAJ	PREVOD NA UCET	11126	28486	SIPO	IJ	59340989
138866	465	1993-10-14	VYDAJ	PREVOD NA UCET	11126	19250	SIPO	IJ	59340989
138867	465	1993-11-14	VYDAJ	PREVOD NA UCET	11126	26094	SIPO	IJ	59340989
138868	465	1993-12-14	VYDAJ	PREVOD NA UCET	11126	29445	SIPO	IJ	59340989
138869	465	1994-01-14	VYDAJ	PREVOD NA UCET	11126	19614	SIPO	IJ	59340989
138870	465	1994-02-14	VYDAJ	PREVOD NA UCET	11126	25955	SIPO	IJ	59340989
138871	465	1994-03-14	VYDAJ	PREVOD NA UCET	11126	15498	SIPO	IJ	59340989
138872	465	1994-04-14	VYDAJ	PREVOD NA UCET	11126	22127	SIPO	IJ	59340989
138873	465	1994-05-14	VYDAJ	PREVOD NA UCET	11126	24560	SIPO	IJ	59340989
138874	465	1994-06-14	VYDAJ	PREVOD NA UCET	11126	33297	SIPO	IJ	59340989
138875	465	1994-07-14	VYDAJ	PREVOD NA UCET	11126	25894	SIPO	IJ	59340989
138876	465	1994-08-14	VYDAJ	PREVOD NA UCET	11126	26543	SIPO	IJ	59340989
138877	465	1994-09-14	VYDAJ	PREVOD NA UCET	11126	28794	SIPO	IJ	59340989
138878	465	1994-10-14	VYDAJ	PREVOD NA UCET	11126	25851	SIPO	IJ	59340989
138879	465	1994-11-14	VYDAJ	PREVOD NA UCET	11126	29401	SIPO	IJ	59340989
138880	465	1994-12-14	VYDAJ	PREVOD NA UCET	11126	32151	SIPO	IJ	59340989
138881	465	1995-01-14	VYDAJ	PREVOD NA UCET	11126	14836	SIPO	IJ	59340989
138882	465	1995-02-14	VYDAJ	PREVOD NA UCET	11126	22770	SIPO	IJ	59340989
139042	465	1994-01-31	VYDAJ	VYBER	15	24296	SLUZBY	\N	\N
138883	465	1995-03-14	VYDAJ	PREVOD NA UCET	11126	30009	SIPO	IJ	59340989
138884	465	1995-04-14	VYDAJ	PREVOD NA UCET	11126	35178	SIPO	IJ	59340989
138885	465	1995-05-14	VYDAJ	PREVOD NA UCET	11126	34964	SIPO	IJ	59340989
138886	465	1995-06-14	VYDAJ	PREVOD NA UCET	11126	30836	SIPO	IJ	59340989
138887	465	1995-07-14	VYDAJ	PREVOD NA UCET	11126	31290	SIPO	IJ	59340989
138888	465	1995-08-14	VYDAJ	PREVOD NA UCET	11126	31359	SIPO	IJ	59340989
138889	465	1995-09-14	VYDAJ	PREVOD NA UCET	11126	30827	SIPO	IJ	59340989
138890	465	1995-10-14	VYDAJ	PREVOD NA UCET	11126	23593	SIPO	IJ	59340989
138891	465	1995-11-14	VYDAJ	PREVOD NA UCET	11126	23840	SIPO	IJ	59340989
138892	465	1995-12-14	VYDAJ	PREVOD NA UCET	11126	30570	SIPO	IJ	59340989
138893	465	1996-01-14	VYDAJ	PREVOD NA UCET	11126	18217	SIPO	IJ	59340989
138894	465	1996-02-14	VYDAJ	PREVOD NA UCET	11126	23761	SIPO	IJ	59340989
138895	465	1996-03-14	VYDAJ	PREVOD NA UCET	11126	24799	SIPO	IJ	59340989
138896	465	1996-04-14	VYDAJ	PREVOD NA UCET	11126	24739	SIPO	IJ	59340989
138897	465	1996-05-14	VYDAJ	PREVOD NA UCET	11126	23578	SIPO	IJ	59340989
138898	465	1996-06-14	VYDAJ	PREVOD NA UCET	11126	29906	SIPO	IJ	59340989
138899	465	1996-07-14	VYDAJ	PREVOD NA UCET	11126	24947	SIPO	IJ	59340989
138900	465	1996-08-14	VYDAJ	PREVOD NA UCET	11126	24486	SIPO	IJ	59340989
138901	465	1996-09-14	VYDAJ	PREVOD NA UCET	11126	21118	SIPO	IJ	59340989
138902	465	1996-10-14	VYDAJ	PREVOD NA UCET	11126	25351	SIPO	IJ	59340989
138903	465	1996-11-14	VYDAJ	PREVOD NA UCET	11126	24691	SIPO	IJ	59340989
138904	465	1996-12-14	VYDAJ	PREVOD NA UCET	11126	24527	SIPO	IJ	59340989
138905	465	1997-01-14	VYDAJ	PREVOD NA UCET	11126	19085	SIPO	IJ	59340989
138906	465	1997-02-14	VYDAJ	PREVOD NA UCET	11126	16720	SIPO	IJ	59340989
138907	465	1997-03-14	VYDAJ	PREVOD NA UCET	11126	18438	SIPO	IJ	59340989
138908	465	1997-04-14	VYDAJ	PREVOD NA UCET	11126	25667	SIPO	IJ	59340989
138909	465	1997-05-14	VYDAJ	PREVOD NA UCET	11126	27437	SIPO	IJ	59340989
138910	465	1997-06-14	VYDAJ	PREVOD NA UCET	11126	27606	SIPO	IJ	59340989
138911	465	1997-07-14	VYDAJ	PREVOD NA UCET	11126	23557	SIPO	IJ	59340989
138912	465	1997-08-14	VYDAJ	PREVOD NA UCET	11126	21197	SIPO	IJ	59340989
138913	465	1997-09-14	VYDAJ	PREVOD NA UCET	11126	21134	SIPO	IJ	59340989
138914	465	1997-10-14	VYDAJ	PREVOD NA UCET	11126	19468	SIPO	IJ	59340989
138915	465	1997-11-14	VYDAJ	PREVOD NA UCET	11126	15197	SIPO	IJ	59340989
138916	465	1997-12-14	VYDAJ	PREVOD NA UCET	11126	13607	SIPO	IJ	59340989
138917	465	1998-01-14	VYDAJ	PREVOD NA UCET	11126	11713	SIPO	IJ	59340989
138918	465	1998-02-14	VYDAJ	PREVOD NA UCET	11126	6412	SIPO	IJ	59340989
138919	465	1998-03-14	VYDAJ	PREVOD NA UCET	11126	3595	SIPO	IJ	59340989
138920	465	1998-04-14	VYDAJ	PREVOD NA UCET	11126	3960	SIPO	IJ	59340989
138921	465	1998-05-14	VYDAJ	PREVOD NA UCET	11126	5625	SIPO	IJ	59340989
138922	465	1998-06-14	VYDAJ	PREVOD NA UCET	11126	4079	SIPO	IJ	59340989
138923	465	1998-07-14	VYDAJ	PREVOD NA UCET	11126	5747	SIPO	IJ	59340989
138924	465	1998-08-14	VYDAJ	PREVOD NA UCET	11126	7409	SIPO	IJ	59340989
138925	465	1998-09-14	VYDAJ	PREVOD NA UCET	11126	9077	SIPO	IJ	59340989
138926	465	1998-10-14	VYDAJ	PREVOD NA UCET	11126	10752	SIPO	IJ	59340989
138927	465	1998-11-14	VYDAJ	PREVOD NA UCET	11126	12434	SIPO	IJ	59340989
138928	465	1998-12-14	VYDAJ	PREVOD NA UCET	11126	20516	SIPO	IJ	59340989
138929	465	1993-10-13	VYBER	VYBER	8198	30376	\N	\N	\N
138935	465	1994-06-16	VYBER	VYBER	7655	25642	\N	\N	\N
138939	465	1994-02-16	VYBER	VYBER	4797	21158	\N	\N	\N
138941	465	1994-08-19	VYBER	VYBER	2897	23646	\N	\N	\N
138943	465	1994-12-06	VYBER	VYBER	6307	24099	\N	\N	\N
138961	465	1997-01-05	VYDAJ	VYBER	3300	21026	\N	\N	\N
138963	465	1993-12-18	VYDAJ	VYBER	3900	25545	\N	\N	\N
138964	465	1994-12-30	VYDAJ	VYBER	2100	27751	\N	\N	\N
138965	465	1995-12-18	VYDAJ	VYBER	6000	24570	\N	\N	\N
138966	465	1996-12-08	VYDAJ	VYBER	8400	35653	\N	\N	\N
138979	465	1994-01-10	VYDAJ	VYBER	4500	30740	\N	\N	\N
138980	465	1994-01-09	VYDAJ	VYBER	2700	35240	\N	\N	\N
138981	465	1995-01-01	VYDAJ	VYBER	6900	20977	\N	\N	\N
138985	465	1995-01-08	VYDAJ	VYBER	7800	25962	\N	\N	\N
138987	465	1996-01-12	VYDAJ	VYBER	1800	33543	\N	\N	\N
138989	465	1996-01-13	VYDAJ	VYBER	4200	29343	\N	\N	\N
138991	465	1996-01-10	VYDAJ	VYBER	3300	35343	\N	\N	\N
138992	465	1996-01-22	VYDAJ	VYBER	1800	22017	\N	\N	\N
138994	465	1997-01-02	VYDAJ	VYBER	2400	24326	\N	\N	\N
138997	465	1997-01-09	VYDAJ	VYBER	7800	26011	\N	\N	\N
139005	465	1993-12-08	VYDAJ	VYBER	6000	40571	\N	\N	\N
139007	465	1993-09-16	VYDAJ	VYBER	6300	22186	\N	\N	\N
139008	465	1993-06-16	VYDAJ	VYBER	6900	34602	\N	\N	\N
139009	465	1994-09-25	VYDAJ	VYBER	4500	24294	\N	\N	\N
139010	465	1994-03-11	VYDAJ	VYBER	7800	26624	\N	\N	\N
139012	465	1995-06-16	VYDAJ	VYBER	2100	28736	\N	\N	\N
139013	465	1995-10-12	VYDAJ	VYBER	6300	34719	\N	\N	\N
139015	465	1995-05-28	VYDAJ	VYBER	10200	22664	\N	\N	\N
139017	465	1995-10-14	VYDAJ	VYBER	2700	20893	\N	\N	\N
139020	465	1997-06-22	VYDAJ	VYBER	4500	23106	\N	\N	\N
139035	465	1993-06-30	VYDAJ	VYBER	15	34760	SLUZBY	\N	\N
139036	465	1993-07-31	VYDAJ	VYBER	15	30946	SLUZBY	\N	\N
139037	465	1993-08-31	VYDAJ	VYBER	15	30127	SLUZBY	\N	\N
139038	465	1993-09-30	VYDAJ	VYBER	15	22289	SLUZBY	\N	\N
139039	465	1993-10-31	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
139040	465	1993-11-30	VYDAJ	VYBER	15	26193	SLUZBY	\N	\N
139041	465	1993-12-31	VYDAJ	VYBER	15	25655	SLUZBY	\N	\N
139043	465	1994-02-28	VYDAJ	VYBER	15	21239	SLUZBY	\N	\N
139044	465	1994-03-31	VYDAJ	VYBER	15	20468	SLUZBY	\N	\N
139045	465	1994-04-30	VYDAJ	VYBER	15	22901	SLUZBY	\N	\N
139046	465	1994-05-31	VYDAJ	VYBER	15	25245	SLUZBY	\N	\N
139047	465	1994-06-30	VYDAJ	VYBER	15	24235	SLUZBY	\N	\N
139048	465	1994-07-31	VYDAJ	VYBER	15	24884	SLUZBY	\N	\N
139049	465	1994-08-31	VYDAJ	VYBER	15	27135	SLUZBY	\N	\N
139050	465	1994-09-30	VYDAJ	VYBER	15	24192	SLUZBY	\N	\N
139051	465	1994-10-31	VYDAJ	VYBER	15	27742	SLUZBY	\N	\N
139052	465	1994-11-30	VYDAJ	VYBER	15	30406	SLUZBY	\N	\N
139053	465	1994-12-31	VYDAJ	VYBER	15	27877	SLUZBY	\N	\N
139054	465	1995-01-31	VYDAJ	VYBER	15	21111	SLUZBY	\N	\N
139055	465	1995-02-28	VYDAJ	VYBER	15	28350	SLUZBY	\N	\N
139056	465	1995-03-31	VYDAJ	VYBER	15	33519	SLUZBY	\N	\N
139057	465	1995-04-30	VYDAJ	VYBER	15	33305	SLUZBY	\N	\N
139058	465	1995-05-31	VYDAJ	VYBER	15	22784	SLUZBY	\N	\N
139059	465	1995-06-30	VYDAJ	VYBER	15	29631	SLUZBY	\N	\N
139060	465	1995-07-31	VYDAJ	VYBER	15	29700	SLUZBY	\N	\N
139061	465	1995-08-31	VYDAJ	VYBER	15	29168	SLUZBY	\N	\N
139062	465	1995-09-30	VYDAJ	VYBER	15	28234	SLUZBY	\N	\N
139063	465	1995-10-31	VYDAJ	VYBER	15	22181	SLUZBY	\N	\N
139064	465	1995-11-30	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
139065	465	1995-12-31	VYDAJ	VYBER	15	25858	SLUZBY	\N	\N
139066	465	1996-01-31	VYDAJ	VYBER	15	22102	SLUZBY	\N	\N
139067	465	1996-02-29	VYDAJ	VYBER	15	23140	SLUZBY	\N	\N
139068	465	1996-03-31	VYDAJ	VYBER	15	23080	SLUZBY	\N	\N
139069	465	1996-04-30	VYDAJ	VYBER	15	21919	SLUZBY	\N	\N
139070	465	1996-05-31	VYDAJ	VYBER	15	21854	SLUZBY	\N	\N
139071	465	1996-06-30	VYDAJ	VYBER	15	23288	SLUZBY	\N	\N
139072	465	1996-07-31	VYDAJ	VYBER	15	22827	SLUZBY	\N	\N
139073	465	1996-08-31	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
139074	465	1996-09-30	VYDAJ	VYBER	15	23692	SLUZBY	\N	\N
139075	465	1996-10-31	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
139076	465	1996-11-30	VYDAJ	VYBER	15	24875	SLUZBY	\N	\N
139077	465	1996-12-31	VYDAJ	VYBER	15	26726	SLUZBY	\N	\N
139078	465	1997-01-31	VYDAJ	VYBER	15	19161	SLUZBY	\N	\N
139079	465	1997-02-28	VYDAJ	VYBER	15	16779	SLUZBY	\N	\N
139080	465	1997-03-31	VYDAJ	VYBER	15	23808	SLUZBY	\N	\N
139081	465	1997-04-30	VYDAJ	VYBER	15	25778	SLUZBY	\N	\N
139082	465	1997-05-31	VYDAJ	VYBER	15	26354	SLUZBY	\N	\N
139083	465	1997-06-30	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
139084	465	1997-07-31	VYDAJ	VYBER	15	23638	SLUZBY	\N	\N
139085	465	1997-08-31	VYDAJ	VYBER	15	21275	SLUZBY	\N	\N
139086	465	1997-09-30	VYDAJ	VYBER	15	21209	SLUZBY	\N	\N
139087	465	1997-10-31	VYDAJ	VYBER	15	19538	SLUZBY	\N	\N
139088	465	1997-11-30	VYDAJ	VYBER	15	15255	SLUZBY	\N	\N
139089	465	1997-12-31	VYDAJ	VYBER	15	13654	SLUZBY	\N	\N
139090	465	1998-01-31	VYDAJ	VYBER	15	11753	SLUZBY	\N	\N
139091	465	1998-02-28	VYDAJ	VYBER	15	6436	SLUZBY	\N	\N
139092	465	1998-03-31	VYDAJ	VYBER	15	3601	SLUZBY	\N	\N
139093	465	1998-04-30	VYDAJ	VYBER	15	3966	SLUZBY	\N	\N
139094	465	1998-05-31	VYDAJ	VYBER	15	5627	SLUZBY	\N	\N
139095	465	1998-06-30	VYDAJ	VYBER	15	4088	SLUZBY	\N	\N
139096	465	1998-07-31	VYDAJ	VYBER	15	5750	SLUZBY	\N	\N
139097	465	1998-08-31	VYDAJ	VYBER	15	7418	SLUZBY	\N	\N
139098	465	1998-09-30	VYDAJ	VYBER	15	9093	SLUZBY	\N	\N
139099	465	1998-10-31	VYDAJ	VYBER	15	10775	SLUZBY	\N	\N
139100	465	1998-11-30	VYDAJ	VYBER	15	12464	SLUZBY	\N	\N
139101	465	1993-03-06	PRIJEM	VKLAD	6800	20329	\N	\N	\N
139102	465	1993-04-05	VYDAJ	VYBER	6100	27136	\N	\N	\N
139103	465	1993-05-05	VYDAJ	VYBER	7900	32182	\N	\N	\N
139104	465	1993-06-04	VYDAJ	VYBER	11700	33450	\N	\N	\N
139105	465	1993-07-04	VYDAJ	VYBER	5600	29160	\N	\N	\N
139106	465	1993-08-03	VYDAJ	VYBER	2600	28346	\N	\N	\N
139107	465	1993-09-02	VYDAJ	VYBER	3300	26827	\N	\N	\N
139108	465	1993-10-02	PRIJEM	VKLAD	3500	25789	\N	\N	\N
139109	465	1993-11-01	PRIJEM	VKLAD	5100	24435	\N	\N	\N
139110	465	1993-12-01	PRIJEM	VKLAD	1200	27393	\N	\N	\N
139111	465	1993-12-31	VYDAJ	VYBER	500	25155	\N	\N	\N
139112	465	1994-01-30	PRIJEM	VKLAD	4600	24214	\N	\N	\N
139113	465	1994-03-01	PRIJEM	VKLAD	400	21639	\N	\N	\N
139114	465	1994-03-31	PRIJEM	VKLAD	4900	20482	\N	\N	\N
139115	465	1994-04-30	PRIJEM	VKLAD	700	22916	\N	\N	\N
139116	465	1994-05-30	PRIJEM	VKLAD	600	25160	\N	\N	\N
139117	465	1994-06-29	VYDAJ	VYBER	1500	24142	\N	\N	\N
139118	465	1994-07-29	VYDAJ	VYBER	1100	24794	\N	\N	\N
139119	465	1994-08-28	PRIJEM	VKLAD	3400	27046	\N	\N	\N
139120	465	1994-09-27	VYDAJ	VYBER	200	24094	\N	\N	\N
139121	465	1994-10-27	PRIJEM	VKLAD	1800	27651	\N	\N	\N
139122	465	1994-11-26	PRIJEM	VKLAD	900	30301	\N	\N	\N
139123	465	1994-12-26	VYDAJ	VYBER	2300	29851	\N	\N	\N
139124	465	1995-01-25	PRIJEM	VKLAD	6200	21036	\N	\N	\N
139125	465	1995-02-24	PRIJEM	VKLAD	5500	28270	\N	\N	\N
139126	465	1995-03-26	PRIJEM	VKLAD	3400	33409	\N	\N	\N
139127	465	1995-04-25	VYDAJ	VYBER	2000	33178	\N	\N	\N
139128	465	1995-05-25	VYDAJ	VYBER	2100	32864	\N	\N	\N
139129	465	1995-06-24	PRIJEM	VKLAD	800	29536	\N	\N	\N
139130	465	1995-07-24	VYDAJ	VYBER	1700	29590	\N	\N	\N
139131	465	1995-08-23	VYDAJ	VYBER	2300	29059	\N	\N	\N
139132	465	1995-09-22	VYDAJ	VYBER	2700	28127	\N	\N	\N
139133	465	1995-10-22	PRIJEM	VKLAD	1200	22093	\N	\N	\N
139134	465	1995-11-21	VYDAJ	VYBER	1400	22440	\N	\N	\N
139135	465	1995-12-21	PRIJEM	VKLAD	1200	25770	\N	\N	\N
139136	465	1996-01-20	PRIJEM	VKLAD	5600	23817	\N	\N	\N
139137	465	1996-02-19	VYDAJ	VYBER	700	23061	\N	\N	\N
139138	465	1996-03-20	VYDAJ	VYBER	1800	22999	\N	\N	\N
139139	465	1996-04-19	VYDAJ	VYBER	2900	21839	\N	\N	\N
139140	465	1996-05-19	VYDAJ	VYBER	1800	21778	\N	\N	\N
139141	465	1996-06-18	VYDAJ	VYBER	6700	23206	\N	\N	\N
139142	465	1996-07-18	VYDAJ	VYBER	2200	22747	\N	\N	\N
139143	465	1996-08-17	VYDAJ	VYBER	5100	19386	\N	\N	\N
139144	465	1996-09-16	PRIJEM	VKLAD	2500	23618	\N	\N	\N
139145	465	1996-10-16	VYDAJ	VYBER	2400	22951	\N	\N	\N
139146	465	1996-11-15	PRIJEM	VKLAD	100	24791	\N	\N	\N
139147	465	1996-12-15	PRIJEM	VKLAD	2100	26627	\N	\N	\N
139148	465	1997-01-14	PRIJEM	VKLAD	4200	30211	\N	\N	\N
139149	465	1997-02-13	VYDAJ	VYBER	4100	27846	\N	\N	\N
139150	465	1997-03-15	PRIJEM	VKLAD	5300	23738	\N	\N	\N
139151	465	1997-04-14	PRIJEM	VKLAD	200	36793	\N	\N	\N
139152	465	1997-05-14	VYDAJ	VYBER	1200	26237	\N	\N	\N
139153	465	1997-06-13	VYDAJ	VYBER	6800	38732	\N	\N	\N
139154	465	1997-07-13	VYDAJ	VYBER	1300	34683	\N	\N	\N
139155	465	1997-08-12	VYDAJ	VYBER	4100	32323	\N	\N	\N
139156	465	1997-09-11	VYDAJ	VYBER	1800	32260	\N	\N	\N
139157	465	1997-10-11	VYDAJ	VYBER	3400	30594	\N	\N	\N
139158	465	1997-11-10	VYDAJ	VYBER	6000	26323	\N	\N	\N
139159	465	1997-12-10	VYDAJ	VYBER	9700	24733	\N	\N	\N
139160	465	1998-01-09	VYDAJ	VYBER	3600	22839	\N	\N	\N
139161	465	1998-02-08	VYDAJ	VYBER	7000	17538	\N	\N	\N
139162	465	1998-03-10	VYDAJ	VYBER	4500	14721	\N	\N	\N
139163	465	1998-04-09	VYDAJ	VYBER	1300	15086	\N	\N	\N
139164	465	1998-06-08	VYDAJ	VYBER	9600	15205	\N	\N	\N
139240	466	1996-02-18	PRIJEM	VKLAD	500	500	\N	\N	\N
139312	466	1996-03-19	PRIJEM	VKLAD	15000	15500	\N	\N	\N
139313	466	1996-04-18	PRIJEM	VKLAD	5200	20700	\N	\N	\N
139314	466	1996-05-18	PRIJEM	VKLAD	3700	24400	\N	\N	\N
139315	466	1996-06-17	PRIJEM	VKLAD	1200	25600	\N	\N	\N
139316	466	1996-07-17	PRIJEM	VKLAD	2700	28300	\N	\N	\N
139317	466	1996-08-16	PRIJEM	VKLAD	2800	31100	\N	\N	\N
139318	466	1996-09-15	PRIJEM	VKLAD	1000	32100	\N	\N	\N
139319	466	1996-10-15	PRIJEM	VKLAD	3500	35600	\N	\N	\N
139320	466	1996-11-14	PRIJEM	VKLAD	1900	37500	\N	\N	\N
139321	466	1996-12-14	VYDAJ	VYBER	1600	35900	\N	\N	\N
139322	466	1997-01-13	PRIJEM	VKLAD	1700	37600	\N	\N	\N
139323	466	1997-02-12	PRIJEM	VKLAD	5800	43400	\N	\N	\N
139324	466	1997-03-14	VYDAJ	VYBER	2200	41200	\N	\N	\N
139325	466	1997-04-13	PRIJEM	VKLAD	4000	45200	\N	\N	\N
139326	466	1997-05-13	PRIJEM	VKLAD	4500	49700	\N	\N	\N
139327	466	1997-06-12	PRIJEM	VKLAD	1500	51200	\N	\N	\N
139328	466	1997-07-12	VYDAJ	VYBER	600	50600	\N	\N	\N
139329	466	1997-08-11	PRIJEM	VKLAD	400	51000	\N	\N	\N
139330	466	1997-10-10	PRIJEM	VKLAD	3400	54400	\N	\N	\N
139331	466	1997-11-09	PRIJEM	VKLAD	3200	57600	\N	\N	\N
139332	466	1997-12-09	PRIJEM	VKLAD	1900	59500	\N	\N	\N
139333	466	1998-01-08	VYDAJ	VYBER	400	59100	\N	\N	\N
139334	466	1998-02-07	PRIJEM	VKLAD	3000	62100	\N	\N	\N
139335	466	1998-03-09	VYDAJ	VYBER	5600	56500	\N	\N	\N
139336	466	1998-04-08	VYDAJ	VYBER	1200	55300	\N	\N	\N
139337	466	1998-05-08	PRIJEM	VKLAD	2200	57500	\N	\N	\N
139338	466	1998-06-07	PRIJEM	VKLAD	600	58100	\N	\N	\N
139339	466	1998-07-07	VYDAJ	VYBER	100	58000	\N	\N	\N
139340	466	1998-08-06	VYDAJ	VYBER	2700	55300	\N	\N	\N
139341	466	1998-09-05	VYDAJ	VYBER	2100	53200	\N	\N	\N
139342	466	1998-10-05	PRIJEM	VKLAD	200	53400	\N	\N	\N
139343	466	1998-11-04	PRIJEM	VKLAD	3000	56400	\N	\N	\N
139344	466	1998-12-04	PRIJEM	VKLAD	4300	60700	\N	\N	\N
139345	467	1993-09-24	PRIJEM	VKLAD	500	500	\N	\N	\N
139355	467	1993-10-12	PRIJEM	VKLAD	10249	10749	\N	\N	\N
139356	467	1993-11-12	PRIJEM	VKLAD	10249	30019	\N	\N	\N
139357	467	1993-12-12	PRIJEM	VKLAD	15374	40281	\N	\N	\N
139358	467	1994-01-12	PRIJEM	VKLAD	10249	40941	\N	\N	\N
139359	467	1994-02-12	PRIJEM	VKLAD	10249	44822	\N	\N	\N
139360	467	1994-03-12	PRIJEM	VKLAD	10249	39970	\N	\N	\N
139361	467	1994-04-12	PRIJEM	VKLAD	10249	31720	\N	\N	\N
139362	467	1994-05-12	PRIJEM	VKLAD	10249	31645	\N	\N	\N
139363	467	1994-06-12	PRIJEM	VKLAD	15374	36690	\N	\N	\N
139364	467	1994-07-12	PRIJEM	VKLAD	10249	29416	\N	\N	\N
139365	467	1994-08-12	PRIJEM	VKLAD	10249	27731	\N	\N	\N
139366	467	1994-09-12	PRIJEM	VKLAD	10249	26041	\N	\N	\N
139367	467	1994-10-12	PRIJEM	VKLAD	10249	27037	\N	\N	\N
139368	467	1994-11-12	PRIJEM	VKLAD	10249	27237	\N	\N	\N
139369	467	1994-12-12	PRIJEM	VKLAD	15374	32662	\N	\N	\N
139370	467	1995-01-12	PRIJEM	VKLAD	10249	21166	\N	\N	\N
139371	467	1995-02-12	PRIJEM	VKLAD	10249	17537	\N	\N	\N
139372	467	1995-03-12	PRIJEM	VKLAD	10249	20407	\N	\N	\N
139373	467	1995-04-12	PRIJEM	VKLAD	10249	23988	\N	\N	\N
139374	467	1995-05-12	PRIJEM	VKLAD	10249	24574	\N	\N	\N
139375	467	1995-06-12	PRIJEM	VKLAD	15374	30689	\N	\N	\N
139376	467	1995-07-12	PRIJEM	VKLAD	10249	30994	\N	\N	\N
139377	467	1995-08-12	PRIJEM	VKLAD	10249	33013	\N	\N	\N
139378	467	1995-09-12	PRIJEM	VKLAD	10249	33135	\N	\N	\N
139379	467	1995-10-12	PRIJEM	VKLAD	10249	34660	\N	\N	\N
139380	467	1995-11-12	PRIJEM	VKLAD	10249	29483	\N	\N	\N
139381	467	1995-12-12	PRIJEM	VKLAD	15374	35616	\N	\N	\N
139382	467	1996-01-12	PRIJEM	VKLAD	10249	27032	\N	\N	\N
139383	467	1996-02-12	PRIJEM	VKLAD	10249	26216	\N	\N	\N
139384	467	1996-03-12	PRIJEM	VKLAD	10249	31305	\N	\N	\N
139385	467	1996-04-12	PRIJEM	VKLAD	10249	38099	\N	\N	\N
139386	467	1996-05-12	PRIJEM	VKLAD	10249	42345	\N	\N	\N
139387	467	1996-06-12	PRIJEM	VKLAD	15374	41533	\N	\N	\N
139388	467	1996-07-12	PRIJEM	VKLAD	10249	42787	\N	\N	\N
139389	467	1996-08-12	PRIJEM	VKLAD	10249	42858	\N	\N	\N
139390	467	1996-09-12	PRIJEM	VKLAD	10249	45332	\N	\N	\N
139391	467	1996-10-12	PRIJEM	VKLAD	10249	43914	\N	\N	\N
139392	467	1996-11-12	PRIJEM	VKLAD	10249	43193	\N	\N	\N
139393	467	1996-12-12	PRIJEM	VKLAD	15374	45587	\N	\N	\N
139394	467	1997-01-12	PRIJEM	VKLAD	10249	38761	\N	\N	\N
139395	467	1997-02-12	PRIJEM	VKLAD	10249	31397	\N	\N	\N
139396	467	1997-03-12	PRIJEM	VKLAD	10249	36615	\N	\N	\N
139397	467	1997-04-12	PRIJEM	VKLAD	10249	36758	\N	\N	\N
139398	467	1997-05-12	PRIJEM	VKLAD	10249	35004	\N	\N	\N
139399	467	1997-06-12	PRIJEM	VKLAD	15374	33469	\N	\N	\N
139400	467	1997-07-12	PRIJEM	VKLAD	10249	29998	\N	\N	\N
139401	467	1997-08-12	PRIJEM	VKLAD	10249	27018	\N	\N	\N
139402	467	1997-09-12	PRIJEM	VKLAD	10249	24826	\N	\N	\N
139403	467	1997-10-12	PRIJEM	VKLAD	10249	21923	\N	\N	\N
139404	467	1997-11-12	PRIJEM	VKLAD	10249	24409	\N	\N	\N
139405	467	1997-12-12	PRIJEM	VKLAD	15374	27527	\N	\N	\N
139406	467	1998-01-12	PRIJEM	VKLAD	10249	26925	\N	\N	\N
139407	467	1998-02-12	PRIJEM	VKLAD	10249	29320	\N	\N	\N
139408	467	1998-03-12	PRIJEM	VKLAD	10249	34031	\N	\N	\N
139409	467	1998-04-12	PRIJEM	VKLAD	10249	33862	\N	\N	\N
139410	467	1998-05-12	PRIJEM	VKLAD	10249	33595	\N	\N	\N
139411	467	1998-06-12	PRIJEM	VKLAD	15374	43653	\N	\N	\N
139412	467	1998-07-12	PRIJEM	VKLAD	10249	33694	\N	\N	\N
139413	467	1998-08-12	PRIJEM	VKLAD	10249	33925	\N	\N	\N
139414	467	1998-09-12	PRIJEM	VKLAD	10249	35959	\N	\N	\N
139415	467	1998-10-12	PRIJEM	VKLAD	10249	39998	\N	\N	\N
139416	467	1998-11-12	PRIJEM	VKLAD	10249	39953	\N	\N	\N
139417	467	1998-12-12	PRIJEM	VKLAD	15374	36123	\N	\N	\N
139432	467	1994-03-06	VYDAJ	PREVOD NA UCET	3937	32616	SIPO	UV	90201395
139433	467	1994-04-06	VYDAJ	PREVOD NA UCET	3937	27966	SIPO	UV	90201395
139434	467	1994-05-06	VYDAJ	PREVOD NA UCET	3937	24291	SIPO	UV	90201395
139435	467	1994-06-06	VYDAJ	PREVOD NA UCET	3937	24211	SIPO	UV	90201395
139436	467	1994-07-06	VYDAJ	PREVOD NA UCET	3937	22062	SIPO	UV	90201395
139437	467	1994-08-06	VYDAJ	PREVOD NA UCET	3937	23777	SIPO	UV	90201395
139438	467	1994-09-06	VYDAJ	PREVOD NA UCET	3937	18687	SIPO	UV	90201395
139439	467	1994-10-06	VYDAJ	PREVOD NA UCET	3937	19683	SIPO	UV	90201395
139440	467	1994-11-06	VYDAJ	PREVOD NA UCET	3937	19883	SIPO	UV	90201395
139441	467	1994-12-06	VYDAJ	PREVOD NA UCET	3937	20183	SIPO	UV	90201395
139442	467	1995-01-06	VYDAJ	PREVOD NA UCET	3937	13812	SIPO	UV	90201395
139443	467	1995-02-06	VYDAJ	PREVOD NA UCET	3937	10183	SIPO	UV	90201395
139444	467	1995-03-06	VYDAJ	PREVOD NA UCET	3937	13053	SIPO	UV	90201395
139445	467	1995-04-06	VYDAJ	PREVOD NA UCET	3937	16634	SIPO	UV	90201395
139446	467	1995-05-06	VYDAJ	PREVOD NA UCET	3937	17220	SIPO	UV	90201395
139447	467	1995-06-06	VYDAJ	PREVOD NA UCET	3937	18210	SIPO	UV	90201395
139448	467	1995-07-06	VYDAJ	PREVOD NA UCET	3937	23640	SIPO	UV	90201395
139449	467	1995-08-06	VYDAJ	PREVOD NA UCET	3937	25659	SIPO	UV	90201395
139450	467	1995-09-06	VYDAJ	PREVOD NA UCET	3937	25781	SIPO	UV	90201395
139451	467	1995-10-06	VYDAJ	PREVOD NA UCET	3937	27306	SIPO	UV	90201395
139452	467	1995-11-06	VYDAJ	PREVOD NA UCET	3937	22129	SIPO	UV	90201395
139453	467	1995-12-06	VYDAJ	PREVOD NA UCET	3937	23137	SIPO	UV	90201395
139454	467	1996-01-06	VYDAJ	PREVOD NA UCET	3937	20178	SIPO	UV	90201395
139455	467	1996-02-06	VYDAJ	PREVOD NA UCET	3937	10762	SIPO	UV	90201395
139456	467	1996-03-06	VYDAJ	PREVOD NA UCET	3937	22351	SIPO	UV	90201395
139457	467	1996-04-06	VYDAJ	PREVOD NA UCET	3937	27445	SIPO	UV	90201395
139458	467	1996-05-06	VYDAJ	PREVOD NA UCET	3937	34291	SIPO	UV	90201395
139459	467	1996-06-06	VYDAJ	PREVOD NA UCET	3937	20154	SIPO	UV	90201395
139460	467	1996-07-06	VYDAJ	PREVOD NA UCET	3937	36233	SIPO	UV	90201395
139461	467	1996-08-06	VYDAJ	PREVOD NA UCET	3937	39004	SIPO	UV	90201395
139462	467	1996-09-06	VYDAJ	PREVOD NA UCET	3937	39078	SIPO	UV	90201395
139463	467	1996-10-06	VYDAJ	PREVOD NA UCET	3937	41560	SIPO	UV	90201395
139464	467	1996-11-06	VYDAJ	PREVOD NA UCET	3937	40139	SIPO	UV	90201395
139465	467	1996-12-06	VYDAJ	PREVOD NA UCET	3937	34808	SIPO	UV	90201395
139466	467	1997-01-06	VYDAJ	PREVOD NA UCET	3937	37507	SIPO	UV	90201395
139467	467	1997-02-06	VYDAJ	PREVOD NA UCET	3937	24043	SIPO	UV	90201395
139468	467	1997-03-06	VYDAJ	PREVOD NA UCET	3937	27561	SIPO	UV	90201395
139469	467	1997-04-06	VYDAJ	PREVOD NA UCET	3937	29404	SIPO	UV	90201395
139470	467	1997-05-06	VYDAJ	PREVOD NA UCET	3937	27650	SIPO	UV	90201395
139471	467	1997-06-06	VYDAJ	PREVOD NA UCET	3937	20990	SIPO	UV	90201395
139472	467	1997-07-06	VYDAJ	PREVOD NA UCET	3937	22644	SIPO	UV	90201395
139473	467	1997-08-06	VYDAJ	PREVOD NA UCET	3937	19664	SIPO	UV	90201395
139474	467	1997-09-06	VYDAJ	PREVOD NA UCET	3937	17472	SIPO	UV	90201395
139475	467	1997-10-06	VYDAJ	PREVOD NA UCET	3937	14569	SIPO	UV	90201395
139476	467	1997-11-06	VYDAJ	PREVOD NA UCET	3937	17055	SIPO	UV	90201395
139477	467	1997-12-06	VYDAJ	PREVOD NA UCET	3937	15048	SIPO	UV	90201395
139478	467	1998-01-06	VYDAJ	PREVOD NA UCET	3937	21371	SIPO	UV	90201395
139479	467	1998-02-06	VYDAJ	PREVOD NA UCET	3937	21966	SIPO	UV	90201395
139480	467	1998-03-06	VYDAJ	PREVOD NA UCET	3937	26677	SIPO	UV	90201395
139481	467	1998-04-06	VYDAJ	PREVOD NA UCET	3937	26508	SIPO	UV	90201395
139482	467	1998-05-06	VYDAJ	PREVOD NA UCET	3937	26241	SIPO	UV	90201395
139483	467	1998-06-06	VYDAJ	PREVOD NA UCET	3937	31174	SIPO	UV	90201395
139484	467	1998-07-06	VYDAJ	PREVOD NA UCET	3937	26340	SIPO	UV	90201395
139485	467	1998-08-06	VYDAJ	PREVOD NA UCET	3937	29071	SIPO	UV	90201395
139486	467	1998-09-06	VYDAJ	PREVOD NA UCET	3937	28605	SIPO	UV	90201395
139487	467	1998-10-06	VYDAJ	PREVOD NA UCET	3937	32644	SIPO	UV	90201395
139488	467	1998-11-06	VYDAJ	PREVOD NA UCET	3937	32599	SIPO	UV	90201395
139489	467	1998-12-06	VYDAJ	PREVOD NA UCET	3937	24644	SIPO	UV	90201395
139504	467	1994-03-07	VYDAJ	PREVOD NA UCET	2895	29721	 	AB	73301529
139505	467	1994-04-07	VYDAJ	PREVOD NA UCET	2895	25071	 	AB	73301529
139506	467	1994-05-07	VYDAJ	PREVOD NA UCET	2895	21396	 	AB	73301529
139507	467	1994-06-07	VYDAJ	PREVOD NA UCET	2895	21316	 	AB	73301529
139508	467	1994-07-07	VYDAJ	PREVOD NA UCET	2895	19167	 	AB	73301529
139509	467	1994-08-07	VYDAJ	PREVOD NA UCET	2895	17482	 	AB	73301529
139510	467	1994-09-07	VYDAJ	PREVOD NA UCET	2895	15792	 	AB	73301529
139511	467	1994-10-07	VYDAJ	PREVOD NA UCET	2895	16788	 	AB	73301529
139512	467	1994-11-07	VYDAJ	PREVOD NA UCET	2895	16988	 	AB	73301529
139513	467	1994-12-07	VYDAJ	PREVOD NA UCET	2895	17288	 	AB	73301529
139514	467	1995-01-07	VYDAJ	PREVOD NA UCET	2895	10917	 	AB	73301529
139515	467	1995-02-07	VYDAJ	PREVOD NA UCET	2895	7288	 	AB	73301529
139516	467	1995-03-07	VYDAJ	PREVOD NA UCET	2895	10158	 	AB	73301529
139517	467	1995-04-07	VYDAJ	PREVOD NA UCET	2895	13739	 	AB	73301529
139518	467	1995-05-07	VYDAJ	PREVOD NA UCET	2895	14325	 	AB	73301529
139519	467	1995-06-07	VYDAJ	PREVOD NA UCET	2895	15315	 	AB	73301529
139520	467	1995-07-07	VYDAJ	PREVOD NA UCET	2895	20745	 	AB	73301529
139521	467	1995-08-07	VYDAJ	PREVOD NA UCET	2895	22764	 	AB	73301529
139522	467	1995-09-07	VYDAJ	PREVOD NA UCET	2895	22886	 	AB	73301529
139523	467	1995-10-07	VYDAJ	PREVOD NA UCET	2895	24411	 	AB	73301529
139524	467	1995-11-07	VYDAJ	PREVOD NA UCET	2895	19234	 	AB	73301529
139525	467	1995-12-07	VYDAJ	PREVOD NA UCET	2895	20242	 	AB	73301529
139526	467	1996-01-07	VYDAJ	PREVOD NA UCET	2895	17283	 	AB	73301529
139527	467	1996-02-07	VYDAJ	PREVOD NA UCET	2895	7867	 	AB	73301529
139528	467	1996-03-07	VYDAJ	PREVOD NA UCET	2895	19456	 	AB	73301529
139529	467	1996-04-07	VYDAJ	PREVOD NA UCET	2895	24550	 	AB	73301529
139530	467	1996-05-07	VYDAJ	PREVOD NA UCET	2895	31396	 	AB	73301529
139531	467	1996-06-07	VYDAJ	PREVOD NA UCET	2895	17259	 	AB	73301529
139532	467	1996-07-07	VYDAJ	PREVOD NA UCET	2895	33338	 	AB	73301529
139533	467	1996-08-07	VYDAJ	PREVOD NA UCET	2895	36109	 	AB	73301529
139534	467	1996-09-07	VYDAJ	PREVOD NA UCET	2895	36183	 	AB	73301529
139535	467	1996-10-07	VYDAJ	PREVOD NA UCET	2895	38665	 	AB	73301529
139536	467	1996-11-07	VYDAJ	PREVOD NA UCET	2895	37244	 	AB	73301529
139537	467	1996-12-07	VYDAJ	PREVOD NA UCET	2895	30213	 	AB	73301529
139538	467	1997-01-07	VYDAJ	PREVOD NA UCET	2895	28512	 	AB	73301529
139539	467	1997-02-07	VYDAJ	PREVOD NA UCET	2895	21148	 	AB	73301529
139540	467	1997-03-07	VYDAJ	PREVOD NA UCET	2895	26366	 	AB	73301529
139541	467	1997-04-07	VYDAJ	PREVOD NA UCET	2895	26509	 	AB	73301529
139542	467	1997-05-07	VYDAJ	PREVOD NA UCET	2895	24755	 	AB	73301529
139543	467	1997-06-07	VYDAJ	PREVOD NA UCET	2895	18095	 	AB	73301529
139544	467	1997-07-07	VYDAJ	PREVOD NA UCET	2895	19749	 	AB	73301529
139545	467	1997-08-07	VYDAJ	PREVOD NA UCET	2895	16769	 	AB	73301529
139546	467	1997-09-07	VYDAJ	PREVOD NA UCET	2895	14577	 	AB	73301529
139547	467	1997-10-07	VYDAJ	PREVOD NA UCET	2895	11674	 	AB	73301529
139548	467	1997-11-07	VYDAJ	PREVOD NA UCET	2895	14160	 	AB	73301529
139549	467	1997-12-07	VYDAJ	PREVOD NA UCET	2895	12153	 	AB	73301529
139550	467	1998-01-07	VYDAJ	PREVOD NA UCET	2895	18476	 	AB	73301529
139551	467	1998-02-07	VYDAJ	PREVOD NA UCET	2895	19071	 	AB	73301529
139552	467	1998-03-07	VYDAJ	PREVOD NA UCET	2895	23782	 	AB	73301529
139553	467	1998-04-07	VYDAJ	PREVOD NA UCET	2895	23613	 	AB	73301529
139554	467	1998-05-07	VYDAJ	PREVOD NA UCET	2895	23346	 	AB	73301529
139555	467	1998-06-07	VYDAJ	PREVOD NA UCET	2895	28279	 	AB	73301529
139556	467	1998-07-07	VYDAJ	PREVOD NA UCET	2895	23445	 	AB	73301529
139557	467	1998-08-07	VYDAJ	PREVOD NA UCET	2895	26176	 	AB	73301529
139558	467	1998-09-07	VYDAJ	PREVOD NA UCET	2895	25710	 	AB	73301529
139559	467	1998-10-07	VYDAJ	PREVOD NA UCET	2895	29749	 	AB	73301529
139560	467	1998-11-07	VYDAJ	PREVOD NA UCET	2895	29704	 	AB	73301529
139561	467	1998-12-07	VYDAJ	PREVOD NA UCET	2895	21749	 	AB	73301529
139565	467	1996-06-03	VYDAJ	VYBER	14200	24091	\N	\N	\N
139567	467	1998-06-15	VYDAJ	VYBER	9800	33853	\N	\N	\N
139570	467	1995-01-19	VYDAJ	VYBER	3900	18066	\N	\N	\N
139571	467	1996-01-25	VYDAJ	VYBER	9400	14632	\N	\N	\N
139572	467	1997-01-19	VYDAJ	VYBER	5100	31361	\N	\N	\N
139573	467	1998-01-19	VYDAJ	VYBER	1200	22625	\N	\N	\N
139575	467	1994-12-29	VYDAJ	VYBER	2900	19362	\N	\N	\N
139576	467	1995-12-16	VYDAJ	VYBER	2300	28616	\N	\N	\N
139577	467	1996-12-25	VYDAJ	VYBER	900	43487	\N	\N	\N
139578	467	1997-12-01	VYDAJ	VYBER	2600	21885	\N	\N	\N
139579	467	1998-12-09	VYDAJ	VYBER	1000	20749	\N	\N	\N
139592	467	1995-01-04	VYDAJ	VYBER	1700	17749	\N	\N	\N
139593	467	1995-01-22	VYDAJ	VYBER	700	17366	\N	\N	\N
139594	467	1995-01-24	VYDAJ	VYBER	1700	15666	\N	\N	\N
139596	467	1995-01-24	VYDAJ	VYBER	1600	14066	\N	\N	\N
139597	467	1995-01-15	VYDAJ	VYBER	1000	20166	\N	\N	\N
139598	467	1996-01-05	VYDAJ	VYBER	2900	24115	\N	\N	\N
139599	467	1996-01-01	VYDAJ	VYBER	1700	27015	\N	\N	\N
139600	467	1996-01-08	VYDAJ	VYBER	2700	14583	\N	\N	\N
139601	467	1996-01-23	VYDAJ	VYBER	2300	24032	\N	\N	\N
139603	467	1996-01-19	VYDAJ	VYBER	700	26332	\N	\N	\N
139604	467	1997-01-21	VYDAJ	VYBER	1300	27361	\N	\N	\N
139605	467	1997-01-14	VYDAJ	VYBER	2300	36461	\N	\N	\N
139606	467	1997-01-04	VYDAJ	VYBER	2200	41444	\N	\N	\N
139607	467	1997-01-27	VYDAJ	VYBER	1000	25861	\N	\N	\N
139608	467	1997-01-26	VYDAJ	VYBER	500	26861	\N	\N	\N
139609	467	1997-01-29	VYDAJ	VYBER	1300	24561	\N	\N	\N
139610	467	1998-01-14	VYDAJ	VYBER	500	26425	\N	\N	\N
139611	467	1998-01-15	VYDAJ	VYBER	2600	23825	\N	\N	\N
139612	467	1998-01-23	VYDAJ	VYBER	1400	21225	\N	\N	\N
139614	467	1998-01-10	VYDAJ	VYBER	1800	16676	\N	\N	\N
139615	467	1998-01-05	VYDAJ	VYBER	1800	25308	\N	\N	\N
139623	467	1994-06-30	VYDAJ	VYBER	3000	25999	\N	\N	\N
139624	467	1994-12-25	VYDAJ	VYBER	3900	22262	\N	\N	\N
139625	467	1994-08-29	VYDAJ	VYBER	3800	22531	\N	\N	\N
139626	467	1994-08-07	VYDAJ	VYBER	3400	20377	\N	\N	\N
139627	467	1994-08-20	VYDAJ	VYBER	1800	26331	\N	\N	\N
139628	467	1994-04-11	VYDAJ	VYBER	3600	21471	\N	\N	\N
139629	467	1995-02-15	VYDAJ	VYBER	2600	14937	\N	\N	\N
139630	467	1995-10-27	VYDAJ	VYBER	3900	25960	\N	\N	\N
139631	467	1995-03-05	VYDAJ	VYBER	3400	16990	\N	\N	\N
139632	467	1995-04-01	VYDAJ	VYBER	700	20571	\N	\N	\N
139633	467	1996-06-27	VYDAJ	VYBER	1500	40033	\N	\N	\N
139634	467	1996-12-12	VYDAJ	VYBER	1200	44387	\N	\N	\N
139635	467	1996-11-20	VYDAJ	VYBER	3900	39293	\N	\N	\N
139636	467	1996-05-24	VYDAJ	VYBER	4200	38145	\N	\N	\N
139637	467	1996-11-20	VYDAJ	VYBER	700	38593	\N	\N	\N
139638	467	1997-01-21	VYDAJ	VYBER	2700	28661	\N	\N	\N
139639	467	1998-08-11	VYDAJ	VYBER	2500	23676	\N	\N	\N
139640	467	1998-11-26	VYDAJ	VYBER	4600	32553	\N	\N	\N
139641	467	1998-11-19	VYDAJ	VYBER	2800	37153	\N	\N	\N
139656	467	1994-02-28	VYDAJ	VYBER	15	36553	SLUZBY	\N	\N
139657	467	1994-03-31	VYDAJ	VYBER	15	31903	SLUZBY	\N	\N
139658	467	1994-04-30	VYDAJ	VYBER	15	28228	SLUZBY	\N	\N
139659	467	1994-05-31	VYDAJ	VYBER	15	28148	SLUZBY	\N	\N
139660	467	1994-06-30	VYDAJ	VYBER	15	28999	SLUZBY	\N	\N
139661	467	1994-07-31	VYDAJ	VYBER	15	27714	SLUZBY	\N	\N
139662	467	1994-08-31	VYDAJ	VYBER	15	22624	SLUZBY	\N	\N
139663	467	1994-09-30	VYDAJ	VYBER	15	23620	SLUZBY	\N	\N
139664	467	1994-10-31	VYDAJ	VYBER	15	23820	SLUZBY	\N	\N
139665	467	1994-11-30	VYDAJ	VYBER	15	24120	SLUZBY	\N	\N
139666	467	1994-12-31	VYDAJ	VYBER	15	19449	SLUZBY	\N	\N
139667	467	1995-01-31	VYDAJ	VYBER	15	14120	SLUZBY	\N	\N
139668	467	1995-02-28	VYDAJ	VYBER	15	20390	SLUZBY	\N	\N
139669	467	1995-03-31	VYDAJ	VYBER	15	21271	SLUZBY	\N	\N
139670	467	1995-04-30	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
139671	467	1995-05-31	VYDAJ	VYBER	15	22147	SLUZBY	\N	\N
139672	467	1995-06-30	VYDAJ	VYBER	15	27577	SLUZBY	\N	\N
139673	467	1995-07-31	VYDAJ	VYBER	15	29596	SLUZBY	\N	\N
139674	467	1995-08-31	VYDAJ	VYBER	15	29718	SLUZBY	\N	\N
139675	467	1995-09-30	VYDAJ	VYBER	15	31243	SLUZBY	\N	\N
139676	467	1995-10-31	VYDAJ	VYBER	15	26066	SLUZBY	\N	\N
139677	467	1995-11-30	VYDAJ	VYBER	15	27074	SLUZBY	\N	\N
139678	467	1995-12-31	VYDAJ	VYBER	15	28715	SLUZBY	\N	\N
139679	467	1996-01-31	VYDAJ	VYBER	15	14699	SLUZBY	\N	\N
139680	467	1996-02-29	VYDAJ	VYBER	15	26288	SLUZBY	\N	\N
139681	467	1996-03-31	VYDAJ	VYBER	15	31382	SLUZBY	\N	\N
139682	467	1996-04-30	VYDAJ	VYBER	15	38228	SLUZBY	\N	\N
139683	467	1996-05-31	VYDAJ	VYBER	15	38291	SLUZBY	\N	\N
139684	467	1996-06-30	VYDAJ	VYBER	15	40170	SLUZBY	\N	\N
139685	467	1996-07-31	VYDAJ	VYBER	15	42941	SLUZBY	\N	\N
139686	467	1996-08-31	VYDAJ	VYBER	15	43015	SLUZBY	\N	\N
139687	467	1996-09-30	VYDAJ	VYBER	15	45497	SLUZBY	\N	\N
139688	467	1996-10-31	VYDAJ	VYBER	15	44076	SLUZBY	\N	\N
139689	467	1996-11-30	VYDAJ	VYBER	15	38745	SLUZBY	\N	\N
139690	467	1996-12-31	VYDAJ	VYBER	15	43644	SLUZBY	\N	\N
139691	467	1997-01-31	VYDAJ	VYBER	15	24680	SLUZBY	\N	\N
139692	467	1997-02-28	VYDAJ	VYBER	15	31498	SLUZBY	\N	\N
139693	467	1997-03-31	VYDAJ	VYBER	15	36741	SLUZBY	\N	\N
139694	467	1997-04-30	VYDAJ	VYBER	15	36887	SLUZBY	\N	\N
139695	467	1997-05-31	VYDAJ	VYBER	15	35127	SLUZBY	\N	\N
139696	467	1997-06-30	VYDAJ	VYBER	15	33581	SLUZBY	\N	\N
139697	467	1997-07-31	VYDAJ	VYBER	15	30101	SLUZBY	\N	\N
139698	467	1997-08-31	VYDAJ	VYBER	15	27109	SLUZBY	\N	\N
139699	467	1997-09-30	VYDAJ	VYBER	15	24906	SLUZBY	\N	\N
139700	467	1997-10-31	VYDAJ	VYBER	15	21992	SLUZBY	\N	\N
139701	467	1997-11-30	VYDAJ	VYBER	15	24485	SLUZBY	\N	\N
139702	467	1997-12-31	VYDAJ	VYBER	15	27608	SLUZBY	\N	\N
139703	467	1998-01-31	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
139704	467	1998-02-28	VYDAJ	VYBER	15	29414	SLUZBY	\N	\N
139705	467	1998-03-31	VYDAJ	VYBER	15	34145	SLUZBY	\N	\N
139706	467	1998-04-30	VYDAJ	VYBER	15	33978	SLUZBY	\N	\N
139707	467	1998-05-31	VYDAJ	VYBER	15	35111	SLUZBY	\N	\N
139708	467	1998-06-30	VYDAJ	VYBER	15	30277	SLUZBY	\N	\N
139709	467	1998-07-31	VYDAJ	VYBER	15	33008	SLUZBY	\N	\N
139710	467	1998-08-31	VYDAJ	VYBER	15	32542	SLUZBY	\N	\N
139711	467	1998-09-30	VYDAJ	VYBER	15	36581	SLUZBY	\N	\N
139712	467	1998-10-31	VYDAJ	VYBER	15	36536	SLUZBY	\N	\N
139713	467	1998-11-30	VYDAJ	VYBER	15	28581	SLUZBY	\N	\N
139714	467	1993-10-24	PRIJEM	VKLAD	9000	19749	\N	\N	\N
139715	467	1993-11-23	VYDAJ	VYBER	5200	24819	\N	\N	\N
139716	467	1993-12-23	VYDAJ	VYBER	9700	30581	\N	\N	\N
139717	467	1994-01-22	VYDAJ	VYBER	6500	34441	\N	\N	\N
139718	467	1994-02-21	VYDAJ	VYBER	8400	36422	\N	\N	\N
139719	467	1994-03-23	VYDAJ	VYBER	8200	31770	\N	\N	\N
139720	467	1994-04-22	VYDAJ	VYBER	3600	28120	\N	\N	\N
139721	467	1994-05-22	VYDAJ	VYBER	3600	28045	\N	\N	\N
139722	467	1994-06-21	VYDAJ	VYBER	7800	28890	\N	\N	\N
139723	467	1994-07-21	VYDAJ	VYBER	1800	27616	\N	\N	\N
139724	467	1994-08-20	PRIJEM	VKLAD	400	28131	\N	\N	\N
139725	467	1994-09-19	VYDAJ	VYBER	2500	23541	\N	\N	\N
139726	467	1994-10-19	VYDAJ	VYBER	3300	23737	\N	\N	\N
139727	467	1994-11-18	VYDAJ	VYBER	3200	24037	\N	\N	\N
139728	467	1994-12-18	VYDAJ	VYBER	6500	26162	\N	\N	\N
139729	467	1995-01-17	PRIJEM	VKLAD	1800	21966	\N	\N	\N
139730	467	1995-02-16	PRIJEM	VKLAD	5400	20337	\N	\N	\N
139731	467	1995-03-18	PRIJEM	VKLAD	800	21207	\N	\N	\N
139732	467	1995-04-17	VYDAJ	VYBER	2900	21088	\N	\N	\N
139733	467	1995-05-17	VYDAJ	VYBER	2500	22074	\N	\N	\N
139734	467	1995-06-16	VYDAJ	VYBER	3200	27489	\N	\N	\N
139735	467	1995-07-16	VYDAJ	VYBER	1500	29494	\N	\N	\N
139736	467	1995-08-15	VYDAJ	VYBER	3400	29613	\N	\N	\N
139737	467	1995-09-14	VYDAJ	VYBER	2000	31135	\N	\N	\N
139738	467	1995-10-14	VYDAJ	VYBER	4800	29860	\N	\N	\N
139739	467	1995-11-13	VYDAJ	VYBER	2500	26983	\N	\N	\N
139740	467	1995-12-13	VYDAJ	VYBER	4700	30916	\N	\N	\N
139741	467	1996-01-12	PRIJEM	VKLAD	2200	16783	\N	\N	\N
139742	467	1996-02-11	PRIJEM	VKLAD	8100	15967	\N	\N	\N
139743	467	1996-03-12	PRIJEM	VKLAD	1600	21056	\N	\N	\N
139744	467	1996-04-11	PRIJEM	VKLAD	3300	27850	\N	\N	\N
139745	467	1996-05-11	PRIJEM	VKLAD	700	32096	\N	\N	\N
139746	467	1996-06-10	PRIJEM	VKLAD	8900	26159	\N	\N	\N
139747	467	1996-07-10	VYDAJ	VYBER	800	32538	\N	\N	\N
139748	467	1996-08-09	VYDAJ	VYBER	3500	32609	\N	\N	\N
139749	467	1996-09-08	VYDAJ	VYBER	1100	35083	\N	\N	\N
139750	467	1996-10-08	VYDAJ	VYBER	5000	33665	\N	\N	\N
139751	467	1996-11-07	VYDAJ	VYBER	4300	32944	\N	\N	\N
139752	467	1996-12-07	VYDAJ	VYBER	1700	33108	\N	\N	\N
139753	467	1997-01-06	VYDAJ	VYBER	6100	31407	\N	\N	\N
139754	467	1997-02-05	PRIJEM	VKLAD	3300	27980	\N	\N	\N
139755	467	1997-03-07	PRIJEM	VKLAD	1700	29261	\N	\N	\N
139756	467	1997-04-06	VYDAJ	VYBER	3400	33341	\N	\N	\N
139757	467	1997-05-06	VYDAJ	VYBER	5300	31587	\N	\N	\N
139758	467	1997-06-05	VYDAJ	VYBER	10200	24927	\N	\N	\N
139759	467	1997-07-05	VYDAJ	VYBER	7000	26581	\N	\N	\N
139760	467	1997-08-04	VYDAJ	VYBER	6500	23601	\N	\N	\N
139761	467	1997-09-03	VYDAJ	VYBER	5700	21409	\N	\N	\N
139762	467	1997-10-03	VYDAJ	VYBER	6400	18506	\N	\N	\N
139763	467	1997-11-02	VYDAJ	VYBER	1000	20992	\N	\N	\N
139764	467	1997-12-02	VYDAJ	VYBER	2900	18985	\N	\N	\N
139765	467	1998-01-01	VYDAJ	VYBER	500	27108	\N	\N	\N
139766	467	1998-01-31	PRIJEM	VKLAD	4600	25825	\N	\N	\N
139767	467	1998-03-02	PRIJEM	VKLAD	1200	30614	\N	\N	\N
139768	467	1998-04-01	VYDAJ	VYBER	3700	30445	\N	\N	\N
139769	467	1998-05-01	VYDAJ	VYBER	3800	30178	\N	\N	\N
139770	467	1998-05-31	PRIJEM	VKLAD	1400	34995	\N	\N	\N
139771	467	1998-06-30	VYDAJ	VYBER	3700	30292	\N	\N	\N
139772	467	1998-07-30	VYDAJ	VYBER	800	32894	\N	\N	\N
139773	467	1998-08-29	VYDAJ	VYBER	1500	32425	\N	\N	\N
139774	467	1998-09-28	PRIJEM	VKLAD	500	36459	\N	\N	\N
139775	467	1998-10-28	VYDAJ	VYBER	3600	36398	\N	\N	\N
139776	467	1998-11-27	VYDAJ	VYBER	4100	28453	\N	\N	\N
139840	468	1996-03-19	PRIJEM	VKLAD	400	400	\N	\N	\N
139844	468	1996-04-12	PRIJEM	VKLAD	22680	23080	\N	\N	\N
139845	468	1996-05-12	PRIJEM	VKLAD	22680	50210	\N	\N	\N
139846	468	1996-06-12	PRIJEM	VKLAD	34020	75470	\N	\N	\N
139847	468	1996-07-12	PRIJEM	VKLAD	22680	77548	\N	\N	\N
139848	468	1996-08-12	PRIJEM	VKLAD	22680	77857	\N	\N	\N
139849	468	1996-09-12	PRIJEM	VKLAD	22680	68935	\N	\N	\N
139850	468	1996-10-12	PRIJEM	VKLAD	22680	72591	\N	\N	\N
139851	468	1996-11-12	PRIJEM	VKLAD	22680	72753	\N	\N	\N
139852	468	1996-12-12	PRIJEM	VKLAD	34020	83151	\N	\N	\N
139853	468	1997-01-12	PRIJEM	VKLAD	22680	68864	\N	\N	\N
139854	468	1997-02-12	PRIJEM	VKLAD	22680	59917	\N	\N	\N
139855	468	1997-03-12	PRIJEM	VKLAD	22680	71348	\N	\N	\N
139856	468	1997-04-12	PRIJEM	VKLAD	22680	75011	\N	\N	\N
139857	468	1997-05-12	PRIJEM	VKLAD	22680	78588	\N	\N	\N
139858	468	1997-06-12	PRIJEM	VKLAD	34020	86725	\N	\N	\N
139859	468	1997-07-12	PRIJEM	VKLAD	22680	86468	\N	\N	\N
139860	468	1997-08-12	PRIJEM	VKLAD	22680	73228	\N	\N	\N
139861	468	1997-09-12	PRIJEM	VKLAD	22680	79250	\N	\N	\N
139862	468	1997-10-12	PRIJEM	VKLAD	22680	77998	\N	\N	\N
139863	468	1997-11-12	PRIJEM	VKLAD	22680	76649	\N	\N	\N
139864	468	1997-12-12	PRIJEM	VKLAD	34020	88692	\N	\N	\N
139865	468	1998-01-12	PRIJEM	VKLAD	22680	78402	\N	\N	\N
139866	468	1998-02-12	PRIJEM	VKLAD	22680	81665	\N	\N	\N
139867	468	1998-03-12	PRIJEM	VKLAD	22680	84716	\N	\N	\N
139868	468	1998-04-12	PRIJEM	VKLAD	22680	81182	\N	\N	\N
139869	468	1998-05-12	PRIJEM	VKLAD	22680	82840	\N	\N	\N
139870	468	1998-06-12	PRIJEM	VKLAD	34020	95442	\N	\N	\N
139871	468	1998-07-12	PRIJEM	VKLAD	22680	92238	\N	\N	\N
139872	468	1998-08-12	PRIJEM	VKLAD	22680	88841	\N	\N	\N
139873	468	1998-09-12	PRIJEM	VKLAD	22680	87126	\N	\N	\N
139874	468	1998-10-12	PRIJEM	VKLAD	22680	82705	\N	\N	\N
139875	468	1998-11-12	PRIJEM	VKLAD	22680	79668	\N	\N	\N
139876	468	1998-12-12	PRIJEM	VKLAD	34020	89457	\N	\N	\N
139885	468	1996-09-07	VYDAJ	PREVOD NA UCET	3735	46754	SIPO	AB	87048482
139886	468	1996-10-07	VYDAJ	PREVOD NA UCET	3735	50410	SIPO	AB	87048482
139887	468	1996-11-07	VYDAJ	PREVOD NA UCET	3735	50572	SIPO	AB	87048482
139888	468	1996-12-07	VYDAJ	PREVOD NA UCET	3735	49630	SIPO	AB	87048482
139889	468	1997-01-07	VYDAJ	PREVOD NA UCET	3735	46683	SIPO	AB	87048482
139890	468	1997-02-07	VYDAJ	PREVOD NA UCET	3735	37736	SIPO	AB	87048482
139891	468	1997-03-07	VYDAJ	PREVOD NA UCET	3735	49167	SIPO	AB	87048482
139892	468	1997-04-07	VYDAJ	PREVOD NA UCET	3735	52830	SIPO	AB	87048482
139893	468	1997-05-07	VYDAJ	PREVOD NA UCET	3735	56407	SIPO	AB	87048482
139894	468	1997-06-07	VYDAJ	PREVOD NA UCET	3735	53204	SIPO	AB	87048482
139895	468	1997-07-07	VYDAJ	PREVOD NA UCET	3735	64287	SIPO	AB	87048482
139896	468	1997-08-07	VYDAJ	PREVOD NA UCET	3735	62647	SIPO	AB	87048482
139897	468	1997-09-07	VYDAJ	PREVOD NA UCET	3735	69769	SIPO	AB	87048482
139898	468	1997-10-07	VYDAJ	PREVOD NA UCET	3735	75817	SIPO	AB	87048482
139899	468	1997-11-07	VYDAJ	PREVOD NA UCET	3735	74568	SIPO	AB	87048482
139900	468	1997-12-07	VYDAJ	PREVOD NA UCET	3735	68571	SIPO	AB	87048482
139901	468	1998-01-07	VYDAJ	PREVOD NA UCET	3735	78321	SIPO	AB	87048482
139902	468	1998-02-07	VYDAJ	PREVOD NA UCET	3735	70884	SIPO	AB	87048482
139903	468	1998-03-07	VYDAJ	PREVOD NA UCET	3735	78235	SIPO	AB	87048482
139904	468	1998-04-07	VYDAJ	PREVOD NA UCET	3735	78501	SIPO	AB	87048482
139905	468	1998-05-07	VYDAJ	PREVOD NA UCET	3735	77759	SIPO	AB	87048482
139906	468	1998-06-07	VYDAJ	PREVOD NA UCET	3735	61921	SIPO	AB	87048482
139907	468	1998-07-07	VYDAJ	PREVOD NA UCET	3735	70057	SIPO	AB	87048482
139908	468	1998-08-07	VYDAJ	PREVOD NA UCET	3735	66660	SIPO	AB	87048482
139909	468	1998-09-07	VYDAJ	PREVOD NA UCET	3735	64945	SIPO	AB	87048482
139910	468	1998-10-07	VYDAJ	PREVOD NA UCET	3735	60524	SIPO	AB	87048482
139911	468	1998-11-07	VYDAJ	PREVOD NA UCET	3735	57487	SIPO	AB	87048482
139912	468	1998-12-07	VYDAJ	PREVOD NA UCET	3735	55936	SIPO	AB	87048482
139921	468	1996-09-09	VYDAJ	PREVOD NA UCET	499	46255	 	YZ	30738526
139922	468	1996-10-09	VYDAJ	PREVOD NA UCET	499	49911	 	YZ	30738526
139923	468	1996-11-09	VYDAJ	PREVOD NA UCET	499	50073	 	YZ	30738526
139924	468	1996-12-09	VYDAJ	PREVOD NA UCET	499	49131	 	YZ	30738526
139925	468	1997-01-09	VYDAJ	PREVOD NA UCET	499	46184	 	YZ	30738526
139926	468	1997-02-09	VYDAJ	PREVOD NA UCET	499	37237	 	YZ	30738526
139927	468	1997-03-09	VYDAJ	PREVOD NA UCET	499	48668	 	YZ	30738526
139928	468	1997-04-09	VYDAJ	PREVOD NA UCET	499	52331	 	YZ	30738526
139929	468	1997-05-09	VYDAJ	PREVOD NA UCET	499	55908	 	YZ	30738526
139930	468	1997-06-09	VYDAJ	PREVOD NA UCET	499	52705	 	YZ	30738526
139931	468	1997-07-09	VYDAJ	PREVOD NA UCET	499	63788	 	YZ	30738526
139932	468	1997-08-09	VYDAJ	PREVOD NA UCET	499	62148	 	YZ	30738526
139933	468	1997-09-09	VYDAJ	PREVOD NA UCET	499	69270	 	YZ	30738526
139934	468	1997-10-09	VYDAJ	PREVOD NA UCET	499	75318	 	YZ	30738526
139935	468	1997-11-09	VYDAJ	PREVOD NA UCET	499	53969	 	YZ	30738526
139936	468	1997-12-09	VYDAJ	PREVOD NA UCET	499	54672	 	YZ	30738526
139937	468	1998-01-09	VYDAJ	PREVOD NA UCET	499	58362	 	YZ	30738526
139938	468	1998-02-09	VYDAJ	PREVOD NA UCET	499	58985	 	YZ	30738526
139939	468	1998-03-09	VYDAJ	PREVOD NA UCET	499	62036	 	YZ	30738526
139940	468	1998-04-09	VYDAJ	PREVOD NA UCET	499	58502	 	YZ	30738526
139941	468	1998-05-09	VYDAJ	PREVOD NA UCET	499	60160	 	YZ	30738526
139942	468	1998-06-09	VYDAJ	PREVOD NA UCET	499	61422	 	YZ	30738526
139943	468	1998-07-09	VYDAJ	PREVOD NA UCET	499	69558	 	YZ	30738526
139944	468	1998-08-09	VYDAJ	PREVOD NA UCET	499	66161	 	YZ	30738526
139945	468	1998-09-09	VYDAJ	PREVOD NA UCET	499	64446	 	YZ	30738526
139946	468	1998-10-09	VYDAJ	PREVOD NA UCET	499	60025	 	YZ	30738526
139947	468	1998-11-09	VYDAJ	PREVOD NA UCET	499	56988	 	YZ	30738526
139948	468	1998-12-09	VYDAJ	PREVOD NA UCET	499	55437	 	YZ	30738526
139949	468	1996-12-25	VYDAJ	VYBER	3840	56311	\N	\N	\N
139950	468	1997-12-05	VYDAJ	VYBER	4640	72306	\N	\N	\N
139951	468	1998-12-19	VYDAJ	VYBER KARTOU	2200	87257	\N	\N	0
139958	468	1997-01-04	VYDAJ	VYBER	3120	52338	\N	\N	\N
139959	468	1997-01-25	VYDAJ	VYBER	3360	41284	\N	\N	\N
139960	468	1997-01-06	VYDAJ	VYBER	1920	50418	\N	\N	\N
139961	468	1997-01-23	VYDAJ	VYBER	720	45844	\N	\N	\N
139962	468	1997-01-23	VYDAJ	VYBER	1200	44644	\N	\N	\N
139963	468	1997-01-04	VYDAJ	VYBER	1080	55458	\N	\N	\N
139964	468	1998-01-06	VYDAJ	VYBER	960	82056	\N	\N	\N
139965	468	1998-01-09	VYDAJ	VYBER	2160	58861	\N	\N	\N
139966	468	1998-01-23	VYDAJ	VYBER	600	74322	\N	\N	\N
139967	468	1998-01-04	VYDAJ	VYBER	2280	83016	\N	\N	\N
139968	468	1998-01-14	VYDAJ	VYBER	3480	74922	\N	\N	\N
139969	468	1998-01-11	VYDAJ	VYBER	2640	55722	\N	\N	\N
139971	468	1996-08-20	VYDAJ	VYBER	4800	53757	\N	\N	\N
139973	468	1996-08-28	VYDAJ	VYBER	3480	50277	\N	\N	\N
139974	468	1997-01-21	VYDAJ	VYBER	2040	46564	\N	\N	\N
139975	468	1997-12-29	VYDAJ	VYBER	3720	84972	\N	\N	\N
139976	468	1997-01-16	VYDAJ	VYBER	5520	48604	\N	\N	\N
139977	468	1997-05-20	VYDAJ	VYBER	4080	56708	\N	\N	\N
139978	468	1997-01-12	VYDAJ	VYBER	5040	63824	\N	\N	\N
139979	468	1998-08-01	VYDAJ	VYBER KARTOU	3200	89395	\N	\N	0
139980	468	1998-12-23	VYDAJ	VYBER KARTOU	1100	86157	\N	\N	0
139981	468	1998-03-18	VYDAJ	VYBER KARTOU	2800	81916	\N	\N	0
139990	468	1996-08-31	VYDAJ	VYBER	15	50489	SLUZBY	\N	\N
139991	468	1996-09-30	VYDAJ	VYBER	15	54145	SLUZBY	\N	\N
139992	468	1996-10-31	VYDAJ	VYBER	15	54307	SLUZBY	\N	\N
139993	468	1996-11-30	VYDAJ	VYBER	15	53365	SLUZBY	\N	\N
139994	468	1996-12-31	VYDAJ	VYBER	15	56538	SLUZBY	\N	\N
139995	468	1997-01-31	VYDAJ	VYBER	15	41471	SLUZBY	\N	\N
139996	468	1997-02-28	VYDAJ	VYBER	15	52902	SLUZBY	\N	\N
139997	468	1997-03-31	VYDAJ	VYBER	15	56565	SLUZBY	\N	\N
139998	468	1997-04-30	VYDAJ	VYBER	15	60142	SLUZBY	\N	\N
139999	468	1997-05-31	VYDAJ	VYBER	15	56939	SLUZBY	\N	\N
140000	468	1997-06-30	VYDAJ	VYBER	15	68022	SLUZBY	\N	\N
140001	468	1997-07-31	VYDAJ	VYBER	15	66382	SLUZBY	\N	\N
140002	468	1997-08-31	VYDAJ	VYBER	15	73504	SLUZBY	\N	\N
140003	468	1997-09-30	VYDAJ	VYBER	15	79552	SLUZBY	\N	\N
140004	468	1997-10-31	VYDAJ	VYBER	15	78303	SLUZBY	\N	\N
140005	468	1997-11-30	VYDAJ	VYBER	15	76946	SLUZBY	\N	\N
140006	468	1997-12-31	VYDAJ	VYBER	15	85296	SLUZBY	\N	\N
140007	468	1998-01-31	VYDAJ	VYBER	15	74619	SLUZBY	\N	\N
140008	468	1998-02-28	VYDAJ	VYBER	15	81970	SLUZBY	\N	\N
140009	468	1998-03-31	VYDAJ	VYBER	15	82236	SLUZBY	\N	\N
140010	468	1998-04-30	VYDAJ	VYBER	15	81494	SLUZBY	\N	\N
140011	468	1998-05-31	VYDAJ	VYBER	15	83156	SLUZBY	\N	\N
140012	468	1998-06-30	VYDAJ	VYBER	15	95792	SLUZBY	\N	\N
140013	468	1998-07-31	VYDAJ	VYBER	15	92595	SLUZBY	\N	\N
140014	468	1998-08-31	VYDAJ	VYBER	15	89180	SLUZBY	\N	\N
140015	468	1998-09-30	VYDAJ	VYBER	15	87459	SLUZBY	\N	\N
140016	468	1998-10-31	VYDAJ	VYBER	15	83022	SLUZBY	\N	\N
140017	468	1998-11-30	VYDAJ	VYBER	15	79971	SLUZBY	\N	\N
140018	468	1996-04-18	PRIJEM	VKLAD	4400	27480	\N	\N	\N
140019	468	1996-05-18	VYDAJ	VYBER	8900	41310	\N	\N	\N
140020	468	1996-06-17	VYDAJ	VYBER	20800	54670	\N	\N	\N
140021	468	1996-07-17	VYDAJ	VYBER	22600	54948	\N	\N	\N
140022	468	1996-08-16	VYDAJ	VYBER	19300	58557	\N	\N	\N
140023	468	1996-09-15	VYDAJ	VYBER	15000	53935	\N	\N	\N
140024	468	1996-10-15	VYDAJ	VYBER	18500	54091	\N	\N	\N
140025	468	1996-11-14	VYDAJ	VYBER	19600	53153	\N	\N	\N
140026	468	1996-12-14	VYDAJ	VYBER	23000	60151	\N	\N	\N
140027	468	1997-01-13	VYDAJ	VYBER	9700	54124	\N	\N	\N
140028	468	1997-02-12	VYDAJ	VYBER	7200	52717	\N	\N	\N
140029	468	1997-03-14	VYDAJ	VYBER	15000	56348	\N	\N	\N
140030	468	1997-04-13	VYDAJ	VYBER	15100	59911	\N	\N	\N
140031	468	1997-05-13	VYDAJ	VYBER	17800	60788	\N	\N	\N
140032	468	1997-06-12	VYDAJ	VYBER	19000	67725	\N	\N	\N
140033	468	1997-07-12	VYDAJ	VYBER	20400	66068	\N	\N	\N
140034	468	1997-08-11	VYDAJ	VYBER	11600	50548	\N	\N	\N
140035	468	1997-09-10	VYDAJ	VYBER	12700	56570	\N	\N	\N
140036	468	1997-10-10	VYDAJ	VYBER	20000	55318	\N	\N	\N
140037	468	1997-11-09	VYDAJ	VYBER	20100	54468	\N	\N	\N
140038	468	1997-12-09	VYDAJ	VYBER	13400	55171	\N	\N	\N
140039	468	1998-01-08	VYDAJ	VYBER	17300	61021	\N	\N	\N
140040	468	1998-02-07	VYDAJ	VYBER	11400	59484	\N	\N	\N
140041	468	1998-03-09	VYDAJ	VYBER	15700	62535	\N	\N	\N
140042	468	1998-04-08	VYDAJ	VYBER	19500	59001	\N	\N	\N
140043	468	1998-05-08	VYDAJ	VYBER	17100	60659	\N	\N	\N
140044	468	1998-06-07	VYDAJ	VYBER	17500	65656	\N	\N	\N
140045	468	1998-07-07	VYDAJ	VYBER	22000	73792	\N	\N	\N
140046	468	1998-08-06	VYDAJ	VYBER	19000	70395	\N	\N	\N
140047	468	1998-09-05	VYDAJ	VYBER	20500	68680	\N	\N	\N
140048	468	1998-10-05	VYDAJ	VYBER	23200	64259	\N	\N	\N
140049	468	1998-11-04	VYDAJ	VYBER	21800	61222	\N	\N	\N
140050	468	1998-12-04	VYDAJ	VYBER	20300	59671	\N	\N	\N
140084	469	1997-07-14	PRIJEM	VKLAD	600	600	\N	\N	\N
140092	469	1997-08-08	PRIJEM	VKLAD	4008	4608	\N	\N	\N
140093	469	1997-09-08	PRIJEM	VKLAD	4008	20759	\N	\N	\N
140094	469	1997-10-08	PRIJEM	VKLAD	4008	24546	\N	\N	\N
140095	469	1997-11-08	PRIJEM	VKLAD	4008	28249	\N	\N	\N
140096	469	1997-12-08	PRIJEM	VKLAD	6012	33872	\N	\N	\N
140097	469	1998-01-08	PRIJEM	VKLAD	4008	25888	\N	\N	\N
140098	469	1998-02-08	PRIJEM	VKLAD	4008	16329	\N	\N	\N
140099	469	1998-03-08	PRIJEM	VKLAD	4008	22331	\N	\N	\N
140100	469	1998-04-08	PRIJEM	VKLAD	4008	21137	\N	\N	\N
140101	469	1998-05-08	PRIJEM	VKLAD	4008	17743	\N	\N	\N
140102	469	1998-06-08	PRIJEM	VKLAD	6012	20843	\N	\N	\N
140103	469	1998-07-08	PRIJEM	VKLAD	4008	14710	\N	\N	\N
140104	469	1998-08-08	PRIJEM	VKLAD	4008	16092	\N	\N	\N
140105	469	1998-09-08	PRIJEM	VKLAD	4008	12578	\N	\N	\N
140106	469	1998-10-08	PRIJEM	VKLAD	4008	15950	\N	\N	\N
140107	469	1998-11-08	PRIJEM	VKLAD	4008	13635	\N	\N	\N
140108	469	1998-12-08	PRIJEM	VKLAD	6012	17918	\N	\N	\N
140121	469	1998-01-07	VYDAJ	PREVOD NA UCET	2672	21880	SIPO	AB	32004195
140122	469	1998-02-07	VYDAJ	PREVOD NA UCET	2672	12321	SIPO	AB	32004195
140123	469	1998-03-07	VYDAJ	PREVOD NA UCET	2672	18323	SIPO	AB	32004195
140124	469	1998-04-07	VYDAJ	PREVOD NA UCET	2672	17129	SIPO	AB	32004195
140125	469	1998-05-07	VYDAJ	PREVOD NA UCET	2672	13735	SIPO	AB	32004195
140126	469	1998-06-07	VYDAJ	PREVOD NA UCET	2672	14831	SIPO	AB	32004195
140127	469	1998-07-07	VYDAJ	PREVOD NA UCET	2672	10702	SIPO	AB	32004195
140128	469	1998-08-07	VYDAJ	PREVOD NA UCET	2672	12084	SIPO	AB	32004195
140129	469	1998-09-07	VYDAJ	PREVOD NA UCET	2672	8570	SIPO	AB	32004195
140130	469	1998-10-07	VYDAJ	PREVOD NA UCET	2672	11942	SIPO	AB	32004195
140131	469	1998-11-07	VYDAJ	PREVOD NA UCET	2672	9627	SIPO	AB	32004195
140132	469	1998-12-07	VYDAJ	PREVOD NA UCET	2672	11906	SIPO	AB	32004195
140137	469	1997-12-17	VYDAJ	VYBER	1600	26972	\N	\N	\N
140138	469	1998-12-20	VYDAJ	VYBER	3360	14558	\N	\N	\N
140145	469	1998-01-15	VYDAJ	VYBER	1080	17808	\N	\N	\N
140146	469	1998-01-12	VYDAJ	VYBER	720	20208	\N	\N	\N
140147	469	1998-01-13	VYDAJ	VYBER	1320	18888	\N	\N	\N
140148	469	1998-01-19	VYDAJ	VYBER	600	14928	\N	\N	\N
140149	469	1998-01-16	VYDAJ	VYBER	2280	15528	\N	\N	\N
140150	469	1998-01-01	VYDAJ	VYBER	2520	24552	\N	\N	\N
140159	469	1998-05-01	VYDAJ	VYBER	4200	16407	\N	\N	\N
140160	469	1998-06-16	VYDAJ	VYBER	4920	13323	\N	\N	\N
140161	469	1998-01-10	VYDAJ	VYBER	3960	21928	\N	\N	\N
140176	469	1997-12-31	VYDAJ	VYBER	15	27072	SLUZBY	\N	\N
140177	469	1998-01-31	VYDAJ	VYBER	15	14993	SLUZBY	\N	\N
140178	469	1998-02-28	VYDAJ	VYBER	15	20995	SLUZBY	\N	\N
140179	469	1998-03-31	VYDAJ	VYBER	15	19801	SLUZBY	\N	\N
140180	469	1998-04-30	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
140181	469	1998-05-31	VYDAJ	VYBER	15	17503	SLUZBY	\N	\N
140182	469	1998-06-30	VYDAJ	VYBER	15	13374	SLUZBY	\N	\N
140183	469	1998-07-31	VYDAJ	VYBER	15	14756	SLUZBY	\N	\N
140184	469	1998-08-31	VYDAJ	VYBER	15	11242	SLUZBY	\N	\N
140185	469	1998-09-30	VYDAJ	VYBER	15	12614	SLUZBY	\N	\N
140186	469	1998-10-31	VYDAJ	VYBER	15	15999	SLUZBY	\N	\N
140187	469	1998-11-30	VYDAJ	VYBER	15	13678	SLUZBY	\N	\N
140188	469	1997-08-13	PRIJEM	VKLAD	12100	16708	\N	\N	\N
140189	469	1997-09-12	VYDAJ	VYBER	300	20459	\N	\N	\N
140190	469	1997-10-12	VYDAJ	VYBER	400	24146	\N	\N	\N
140191	469	1997-11-11	VYDAJ	VYBER	500	27749	\N	\N	\N
140192	469	1997-12-11	VYDAJ	VYBER	5300	28572	\N	\N	\N
140193	469	1998-01-10	VYDAJ	VYBER	1000	20928	\N	\N	\N
140194	469	1998-02-09	PRIJEM	VKLAD	4600	20929	\N	\N	\N
140195	469	1998-03-11	VYDAJ	VYBER	2600	19731	\N	\N	\N
140196	469	1998-04-10	VYDAJ	VYBER	600	20537	\N	\N	\N
140197	469	1998-05-10	VYDAJ	VYBER	300	17443	\N	\N	\N
140198	469	1998-06-09	VYDAJ	VYBER	2600	18243	\N	\N	\N
140199	469	1998-08-08	VYDAJ	VYBER	4900	11192	\N	\N	\N
140200	469	1998-10-07	PRIJEM	VKLAD	2000	14614	\N	\N	\N
140201	469	1998-11-06	VYDAJ	VYBER	3700	12299	\N	\N	\N
140202	469	1998-12-06	PRIJEM	VKLAD	900	14578	\N	\N	\N
140220	470	1994-03-23	PRIJEM	VKLAD	600	600	\N	\N	\N
140224	470	1994-04-06	PRIJEM	VKLAD	7915	8515	\N	\N	\N
140225	470	1994-05-06	PRIJEM	VKLAD	7915	25152	\N	\N	\N
140226	470	1994-06-06	PRIJEM	VKLAD	11872	34402	\N	\N	\N
140227	470	1994-07-06	PRIJEM	VKLAD	7915	35017	\N	\N	\N
140228	470	1994-08-06	PRIJEM	VKLAD	7915	36046	\N	\N	\N
140229	470	1994-09-06	PRIJEM	VKLAD	7915	36194	\N	\N	\N
140230	470	1994-10-06	PRIJEM	VKLAD	7915	32731	\N	\N	\N
140231	470	1994-11-06	PRIJEM	VKLAD	7915	34667	\N	\N	\N
140232	470	1994-12-06	PRIJEM	VKLAD	11872	32952	\N	\N	\N
140233	470	1995-01-06	PRIJEM	VKLAD	7915	30982	\N	\N	\N
140234	470	1995-02-06	PRIJEM	VKLAD	7915	25500	\N	\N	\N
140235	470	1995-03-06	PRIJEM	VKLAD	7915	23707	\N	\N	\N
140236	470	1995-04-06	PRIJEM	VKLAD	7915	30419	\N	\N	\N
140237	470	1995-05-06	PRIJEM	VKLAD	7915	33146	\N	\N	\N
140238	470	1995-06-06	PRIJEM	VKLAD	11872	38539	\N	\N	\N
140239	470	1995-07-06	PRIJEM	VKLAD	7915	33179	\N	\N	\N
140240	470	1995-08-06	PRIJEM	VKLAD	7915	27710	\N	\N	\N
140241	470	1995-09-06	PRIJEM	VKLAD	7915	31836	\N	\N	\N
140242	470	1995-10-06	PRIJEM	VKLAD	7915	31261	\N	\N	\N
140243	470	1995-11-06	PRIJEM	VKLAD	7915	32889	\N	\N	\N
140244	470	1995-12-06	PRIJEM	VKLAD	11872	36074	\N	\N	\N
140245	470	1996-01-06	PRIJEM	VKLAD	7915	31904	\N	\N	\N
140246	470	1996-02-06	PRIJEM	VKLAD	7915	23716	\N	\N	\N
140247	470	1996-03-06	PRIJEM	VKLAD	7915	28621	\N	\N	\N
140248	470	1996-04-06	PRIJEM	VKLAD	7915	26939	\N	\N	\N
140249	470	1996-05-06	PRIJEM	VKLAD	7915	27751	\N	\N	\N
140250	470	1996-06-06	PRIJEM	VKLAD	11872	28217	\N	\N	\N
140251	470	1996-07-06	PRIJEM	VKLAD	7915	29135	\N	\N	\N
140252	470	1996-08-06	PRIJEM	VKLAD	7915	27343	\N	\N	\N
140253	470	1996-09-06	PRIJEM	VKLAD	7915	29658	\N	\N	\N
140254	470	1996-10-06	PRIJEM	VKLAD	7915	27868	\N	\N	\N
140255	470	1996-11-06	PRIJEM	VKLAD	7915	28679	\N	\N	\N
140256	470	1996-12-06	PRIJEM	VKLAD	11872	31847	\N	\N	\N
140257	470	1997-01-06	PRIJEM	VKLAD	7915	30056	\N	\N	\N
140258	470	1997-02-06	PRIJEM	VKLAD	7915	29366	\N	\N	\N
140259	470	1997-03-06	PRIJEM	VKLAD	7915	27485	\N	\N	\N
140260	470	1997-04-06	PRIJEM	VKLAD	7915	30920	\N	\N	\N
140261	470	1997-05-06	PRIJEM	VKLAD	7915	30449	\N	\N	\N
140262	470	1997-06-06	PRIJEM	VKLAD	11872	34925	\N	\N	\N
140263	470	1997-07-06	PRIJEM	VKLAD	7915	33167	\N	\N	\N
140264	470	1997-08-06	PRIJEM	VKLAD	7915	33211	\N	\N	\N
140265	470	1997-09-06	PRIJEM	VKLAD	7915	28851	\N	\N	\N
140266	470	1997-10-06	PRIJEM	VKLAD	7915	29577	\N	\N	\N
140267	470	1997-11-06	PRIJEM	VKLAD	7915	34704	\N	\N	\N
140268	470	1997-12-06	PRIJEM	VKLAD	11872	40906	\N	\N	\N
140269	470	1998-01-06	PRIJEM	VKLAD	7915	37974	\N	\N	\N
140270	470	1998-02-06	PRIJEM	VKLAD	7915	37422	\N	\N	\N
140271	470	1998-03-06	PRIJEM	VKLAD	7915	38276	\N	\N	\N
140272	470	1998-04-06	PRIJEM	VKLAD	7915	39639	\N	\N	\N
140273	470	1998-05-06	PRIJEM	VKLAD	7915	40504	\N	\N	\N
140274	470	1998-06-06	PRIJEM	VKLAD	11872	45728	\N	\N	\N
140275	470	1998-07-06	PRIJEM	VKLAD	7915	37805	\N	\N	\N
140276	470	1998-08-06	PRIJEM	VKLAD	7915	39152	\N	\N	\N
140277	470	1998-09-06	PRIJEM	VKLAD	7915	41714	\N	\N	\N
140278	470	1998-10-06	PRIJEM	VKLAD	7915	37284	\N	\N	\N
140279	470	1998-11-06	PRIJEM	VKLAD	7915	40543	\N	\N	\N
140280	470	1998-12-06	PRIJEM	VKLAD	11872	47968	\N	\N	\N
140288	470	1994-08-10	VYDAJ	PREVOD NA UCET	3568	31248	SIPO	AB	41005563
140289	470	1994-09-10	VYDAJ	PREVOD NA UCET	3568	31996	SIPO	AB	41005563
140290	470	1994-10-10	VYDAJ	PREVOD NA UCET	3568	28533	SIPO	AB	41005563
140291	470	1994-11-10	VYDAJ	PREVOD NA UCET	3568	25569	SIPO	AB	41005563
140292	470	1994-12-10	VYDAJ	PREVOD NA UCET	3568	28754	SIPO	AB	41005563
140293	470	1995-01-10	VYDAJ	PREVOD NA UCET	3568	26784	SIPO	AB	41005563
140294	470	1995-02-10	VYDAJ	PREVOD NA UCET	3568	21302	SIPO	AB	41005563
140295	470	1995-03-10	VYDAJ	PREVOD NA UCET	3568	19509	SIPO	AB	41005563
140296	470	1995-04-10	VYDAJ	PREVOD NA UCET	3568	26221	SIPO	AB	41005563
140297	470	1995-05-10	VYDAJ	PREVOD NA UCET	3568	28948	SIPO	AB	41005563
140298	470	1995-06-10	VYDAJ	PREVOD NA UCET	3568	34341	SIPO	AB	41005563
140299	470	1995-07-10	VYDAJ	PREVOD NA UCET	3568	28981	SIPO	AB	41005563
140300	470	1995-08-10	VYDAJ	PREVOD NA UCET	3568	23512	SIPO	AB	41005563
140301	470	1995-09-10	VYDAJ	PREVOD NA UCET	3568	27638	SIPO	AB	41005563
140302	470	1995-10-10	VYDAJ	PREVOD NA UCET	3568	27063	SIPO	AB	41005563
140303	470	1995-11-10	VYDAJ	PREVOD NA UCET	3568	28691	SIPO	AB	41005563
140304	470	1995-12-10	VYDAJ	PREVOD NA UCET	3568	29076	SIPO	AB	41005563
140305	470	1996-01-10	VYDAJ	PREVOD NA UCET	3568	24006	SIPO	AB	41005563
140306	470	1996-02-10	VYDAJ	PREVOD NA UCET	3568	19518	SIPO	AB	41005563
140307	470	1996-03-10	VYDAJ	PREVOD NA UCET	3568	24423	SIPO	AB	41005563
140308	470	1996-04-10	VYDAJ	PREVOD NA UCET	3568	22741	SIPO	AB	41005563
140309	470	1996-05-10	VYDAJ	PREVOD NA UCET	3568	23553	SIPO	AB	41005563
140310	470	1996-06-10	VYDAJ	PREVOD NA UCET	3568	23119	SIPO	AB	41005563
140311	470	1996-07-10	VYDAJ	PREVOD NA UCET	3568	20437	SIPO	AB	41005563
140312	470	1996-08-10	VYDAJ	PREVOD NA UCET	3568	23645	SIPO	AB	41005563
140313	470	1996-09-10	VYDAJ	PREVOD NA UCET	3568	20960	SIPO	AB	41005563
140314	470	1996-10-10	VYDAJ	PREVOD NA UCET	3568	21770	SIPO	AB	41005563
140315	470	1996-11-10	VYDAJ	PREVOD NA UCET	3568	20981	SIPO	AB	41005563
140316	470	1996-12-10	VYDAJ	PREVOD NA UCET	3568	21649	SIPO	AB	41005563
140317	470	1997-01-10	VYDAJ	PREVOD NA UCET	3568	23858	SIPO	AB	41005563
140318	470	1997-02-10	VYDAJ	PREVOD NA UCET	3568	25168	SIPO	AB	41005563
140319	470	1997-03-10	VYDAJ	PREVOD NA UCET	3568	28687	SIPO	AB	41005563
140320	470	1997-04-10	VYDAJ	PREVOD NA UCET	3568	25022	SIPO	AB	41005563
140321	470	1997-05-10	VYDAJ	PREVOD NA UCET	3568	23151	SIPO	AB	41005563
140322	470	1997-06-10	VYDAJ	PREVOD NA UCET	3568	30727	SIPO	AB	41005563
140323	470	1997-07-10	VYDAJ	PREVOD NA UCET	3568	28969	SIPO	AB	41005563
140324	470	1997-08-10	VYDAJ	PREVOD NA UCET	3568	29013	SIPO	AB	41005563
140325	470	1997-09-10	VYDAJ	PREVOD NA UCET	3568	24653	SIPO	AB	41005563
140326	470	1997-10-10	VYDAJ	PREVOD NA UCET	3568	25379	SIPO	AB	41005563
140327	470	1997-11-10	VYDAJ	PREVOD NA UCET	3568	30506	SIPO	AB	41005563
140328	470	1997-12-10	VYDAJ	PREVOD NA UCET	3568	36708	SIPO	AB	41005563
140329	470	1998-01-10	VYDAJ	PREVOD NA UCET	3568	30876	SIPO	AB	41005563
140330	470	1998-02-10	VYDAJ	PREVOD NA UCET	3568	33224	SIPO	AB	41005563
140331	470	1998-03-10	VYDAJ	PREVOD NA UCET	3568	34078	SIPO	AB	41005563
140332	470	1998-04-10	VYDAJ	PREVOD NA UCET	3568	35441	SIPO	AB	41005563
140333	470	1998-05-10	VYDAJ	PREVOD NA UCET	3568	36306	SIPO	AB	41005563
140334	470	1998-06-10	VYDAJ	PREVOD NA UCET	3568	38630	SIPO	AB	41005563
140335	470	1998-07-10	VYDAJ	PREVOD NA UCET	3568	33607	SIPO	AB	41005563
140336	470	1998-08-10	VYDAJ	PREVOD NA UCET	3568	34954	SIPO	AB	41005563
140337	470	1998-09-10	VYDAJ	PREVOD NA UCET	3568	37516	SIPO	AB	41005563
140338	470	1998-10-10	VYDAJ	PREVOD NA UCET	3568	33086	SIPO	AB	41005563
140339	470	1998-11-10	VYDAJ	PREVOD NA UCET	3568	36345	SIPO	AB	41005563
140340	470	1998-12-10	VYDAJ	PREVOD NA UCET	3568	43770	SIPO	AB	41005563
140348	470	1994-08-09	VYDAJ	PREVOD NA UCET	630	34816	 	IJ	70524096
140349	470	1994-09-09	VYDAJ	PREVOD NA UCET	630	35564	 	IJ	70524096
140350	470	1994-10-09	VYDAJ	PREVOD NA UCET	630	32101	 	IJ	70524096
140351	470	1994-11-09	VYDAJ	PREVOD NA UCET	630	29137	 	IJ	70524096
140352	470	1994-12-09	VYDAJ	PREVOD NA UCET	630	32322	 	IJ	70524096
140353	470	1995-01-09	VYDAJ	PREVOD NA UCET	630	30352	 	IJ	70524096
140354	470	1995-02-09	VYDAJ	PREVOD NA UCET	630	24870	 	IJ	70524096
140355	470	1995-03-09	VYDAJ	PREVOD NA UCET	630	23077	 	IJ	70524096
140356	470	1995-04-09	VYDAJ	PREVOD NA UCET	630	29789	 	IJ	70524096
140357	470	1995-05-09	VYDAJ	PREVOD NA UCET	630	32516	 	IJ	70524096
140358	470	1995-06-09	VYDAJ	PREVOD NA UCET	630	37909	 	IJ	70524096
140359	470	1995-07-09	VYDAJ	PREVOD NA UCET	630	32549	 	IJ	70524096
140360	470	1995-08-09	VYDAJ	PREVOD NA UCET	630	27080	 	IJ	70524096
140361	470	1995-09-09	VYDAJ	PREVOD NA UCET	630	31206	 	IJ	70524096
140362	470	1995-10-09	VYDAJ	PREVOD NA UCET	630	30631	 	IJ	70524096
140363	470	1995-11-09	VYDAJ	PREVOD NA UCET	630	32259	 	IJ	70524096
140364	470	1995-12-09	VYDAJ	PREVOD NA UCET	630	35444	 	IJ	70524096
140365	470	1996-01-09	VYDAJ	PREVOD NA UCET	630	27574	 	IJ	70524096
140366	470	1996-02-09	VYDAJ	PREVOD NA UCET	630	23086	 	IJ	70524096
140367	470	1996-03-09	VYDAJ	PREVOD NA UCET	630	27991	 	IJ	70524096
140368	470	1996-04-09	VYDAJ	PREVOD NA UCET	630	26309	 	IJ	70524096
140369	470	1996-05-09	VYDAJ	PREVOD NA UCET	630	27121	 	IJ	70524096
140370	470	1996-06-09	VYDAJ	PREVOD NA UCET	630	27587	 	IJ	70524096
140371	470	1996-07-09	VYDAJ	PREVOD NA UCET	630	28505	 	IJ	70524096
140372	470	1996-08-09	VYDAJ	PREVOD NA UCET	630	27213	 	IJ	70524096
140373	470	1996-09-09	VYDAJ	PREVOD NA UCET	630	24528	 	IJ	70524096
140374	470	1996-10-09	VYDAJ	PREVOD NA UCET	630	25338	 	IJ	70524096
140375	470	1996-11-09	VYDAJ	PREVOD NA UCET	630	26349	 	IJ	70524096
140376	470	1996-12-09	VYDAJ	PREVOD NA UCET	630	25217	 	IJ	70524096
140377	470	1997-01-09	VYDAJ	PREVOD NA UCET	630	27426	 	IJ	70524096
140378	470	1997-02-09	VYDAJ	PREVOD NA UCET	630	28736	 	IJ	70524096
140379	470	1997-03-09	VYDAJ	PREVOD NA UCET	630	32255	 	IJ	70524096
140380	470	1997-04-09	VYDAJ	PREVOD NA UCET	630	28590	 	IJ	70524096
140381	470	1997-05-09	VYDAJ	PREVOD NA UCET	630	26719	 	IJ	70524096
140382	470	1997-06-09	VYDAJ	PREVOD NA UCET	630	34295	 	IJ	70524096
140383	470	1997-07-09	VYDAJ	PREVOD NA UCET	630	32537	 	IJ	70524096
140384	470	1997-08-09	VYDAJ	PREVOD NA UCET	630	32581	 	IJ	70524096
140385	470	1997-09-09	VYDAJ	PREVOD NA UCET	630	28221	 	IJ	70524096
140386	470	1997-10-09	VYDAJ	PREVOD NA UCET	630	28947	 	IJ	70524096
140387	470	1997-11-09	VYDAJ	PREVOD NA UCET	630	34074	 	IJ	70524096
140388	470	1997-12-09	VYDAJ	PREVOD NA UCET	630	40276	 	IJ	70524096
140389	470	1998-01-09	VYDAJ	PREVOD NA UCET	630	35444	 	IJ	70524096
140390	470	1998-02-09	VYDAJ	PREVOD NA UCET	630	36792	 	IJ	70524096
140391	470	1998-03-09	VYDAJ	PREVOD NA UCET	630	37646	 	IJ	70524096
140392	470	1998-04-09	VYDAJ	PREVOD NA UCET	630	39009	 	IJ	70524096
140393	470	1998-05-09	VYDAJ	PREVOD NA UCET	630	39874	 	IJ	70524096
140394	470	1998-06-09	VYDAJ	PREVOD NA UCET	630	42198	 	IJ	70524096
140395	470	1998-07-09	VYDAJ	PREVOD NA UCET	630	37175	 	IJ	70524096
140396	470	1998-08-09	VYDAJ	PREVOD NA UCET	630	38522	 	IJ	70524096
140397	470	1998-09-09	VYDAJ	PREVOD NA UCET	630	41084	 	IJ	70524096
140398	470	1998-10-09	VYDAJ	PREVOD NA UCET	630	36654	 	IJ	70524096
140399	470	1998-11-09	VYDAJ	PREVOD NA UCET	630	39913	 	IJ	70524096
140400	470	1998-12-09	VYDAJ	PREVOD NA UCET	630	47338	 	IJ	70524096
140408	470	1994-08-13	VYDAJ	PREVOD NA UCET	1078	30170	POJISTNE	OP	43083483
140409	470	1994-09-13	VYDAJ	PREVOD NA UCET	1078	27418	POJISTNE	OP	43083483
140410	470	1994-10-13	VYDAJ	PREVOD NA UCET	1078	27455	POJISTNE	OP	43083483
140411	470	1994-11-13	VYDAJ	PREVOD NA UCET	1078	24491	POJISTNE	OP	43083483
140412	470	1994-12-13	VYDAJ	PREVOD NA UCET	1078	27676	POJISTNE	OP	43083483
140413	470	1995-01-13	VYDAJ	PREVOD NA UCET	1078	25706	POJISTNE	OP	43083483
140414	470	1995-02-13	VYDAJ	PREVOD NA UCET	1078	20224	POJISTNE	OP	43083483
140415	470	1995-03-13	VYDAJ	PREVOD NA UCET	1078	18431	POJISTNE	OP	43083483
140416	470	1995-04-13	VYDAJ	PREVOD NA UCET	1078	25143	POJISTNE	OP	43083483
140417	470	1995-05-13	VYDAJ	PREVOD NA UCET	1078	27870	POJISTNE	OP	43083483
140418	470	1995-06-13	VYDAJ	PREVOD NA UCET	1078	33263	POJISTNE	OP	43083483
140419	470	1995-07-13	VYDAJ	PREVOD NA UCET	1078	27903	POJISTNE	OP	43083483
140420	470	1995-08-13	VYDAJ	PREVOD NA UCET	1078	22434	POJISTNE	OP	43083483
140421	470	1995-09-13	VYDAJ	PREVOD NA UCET	1078	26560	POJISTNE	OP	43083483
140422	470	1995-10-13	VYDAJ	PREVOD NA UCET	1078	25985	POJISTNE	OP	43083483
140423	470	1995-11-13	VYDAJ	PREVOD NA UCET	1078	27613	POJISTNE	OP	43083483
140424	470	1995-12-13	VYDAJ	PREVOD NA UCET	1078	23898	POJISTNE	OP	43083483
140425	470	1996-01-13	VYDAJ	PREVOD NA UCET	1078	24328	POJISTNE	OP	43083483
140426	470	1996-02-13	VYDAJ	PREVOD NA UCET	1078	20640	POJISTNE	OP	43083483
140427	470	1996-03-13	VYDAJ	PREVOD NA UCET	1078	22745	POJISTNE	OP	43083483
140428	470	1996-04-13	VYDAJ	PREVOD NA UCET	1078	19763	POJISTNE	OP	43083483
140429	470	1996-05-13	VYDAJ	PREVOD NA UCET	1078	19975	POJISTNE	OP	43083483
140430	470	1996-06-13	VYDAJ	PREVOD NA UCET	1078	22041	POJISTNE	OP	43083483
140431	470	1996-07-13	VYDAJ	PREVOD NA UCET	1078	19359	POJISTNE	OP	43083483
140432	470	1996-08-13	VYDAJ	PREVOD NA UCET	1078	22567	POJISTNE	OP	43083483
140433	470	1996-09-13	VYDAJ	PREVOD NA UCET	1078	19882	POJISTNE	OP	43083483
140434	470	1996-10-13	VYDAJ	PREVOD NA UCET	1078	20692	POJISTNE	OP	43083483
140435	470	1996-11-13	VYDAJ	PREVOD NA UCET	1078	19903	POJISTNE	OP	43083483
140436	470	1996-12-13	VYDAJ	PREVOD NA UCET	1078	20571	POJISTNE	OP	43083483
140437	470	1997-01-13	VYDAJ	PREVOD NA UCET	1078	22180	POJISTNE	OP	43083483
140438	470	1997-02-13	VYDAJ	PREVOD NA UCET	1078	24090	POJISTNE	OP	43083483
140439	470	1997-03-13	VYDAJ	PREVOD NA UCET	1078	27609	POJISTNE	OP	43083483
140440	470	1997-04-13	VYDAJ	PREVOD NA UCET	1078	23944	POJISTNE	OP	43083483
140441	470	1997-05-13	VYDAJ	PREVOD NA UCET	1078	22073	POJISTNE	OP	43083483
140442	470	1997-06-13	VYDAJ	PREVOD NA UCET	1078	29649	POJISTNE	OP	43083483
140443	470	1997-07-13	VYDAJ	PREVOD NA UCET	1078	27891	POJISTNE	OP	43083483
140444	470	1997-08-13	VYDAJ	PREVOD NA UCET	1078	27935	POJISTNE	OP	43083483
140445	470	1997-09-13	VYDAJ	PREVOD NA UCET	1078	23575	POJISTNE	OP	43083483
140446	470	1997-10-13	VYDAJ	PREVOD NA UCET	1078	24301	POJISTNE	OP	43083483
140447	470	1997-11-13	VYDAJ	PREVOD NA UCET	1078	29428	POJISTNE	OP	43083483
140448	470	1997-12-13	VYDAJ	PREVOD NA UCET	1078	35630	POJISTNE	OP	43083483
140449	470	1998-01-13	VYDAJ	PREVOD NA UCET	1078	29798	POJISTNE	OP	43083483
140450	470	1998-02-13	VYDAJ	PREVOD NA UCET	1078	32146	POJISTNE	OP	43083483
140451	470	1998-03-13	VYDAJ	PREVOD NA UCET	1078	33000	POJISTNE	OP	43083483
140452	470	1998-04-13	VYDAJ	PREVOD NA UCET	1078	34363	POJISTNE	OP	43083483
140453	470	1998-05-13	VYDAJ	PREVOD NA UCET	1078	35228	POJISTNE	OP	43083483
140454	470	1998-06-13	VYDAJ	PREVOD NA UCET	1078	37552	POJISTNE	OP	43083483
140455	470	1998-07-13	VYDAJ	PREVOD NA UCET	1078	28729	POJISTNE	OP	43083483
140456	470	1998-08-13	VYDAJ	PREVOD NA UCET	1078	33876	POJISTNE	OP	43083483
140457	470	1998-09-13	VYDAJ	PREVOD NA UCET	1078	36438	POJISTNE	OP	43083483
140458	470	1998-10-13	VYDAJ	PREVOD NA UCET	1078	32008	POJISTNE	OP	43083483
140459	470	1998-11-13	VYDAJ	PREVOD NA UCET	1078	35267	POJISTNE	OP	43083483
140460	470	1998-12-13	VYDAJ	PREVOD NA UCET	1078	42692	POJISTNE	OP	43083483
140461	470	1994-12-03	VYDAJ	VYBER	1800	21080	\N	\N	\N
140462	470	1995-12-10	VYDAJ	VYBER	2800	32644	\N	\N	\N
140463	470	1996-12-27	VYDAJ	VYBER	700	19171	\N	\N	\N
140464	470	1997-12-14	VYDAJ	VYBER	1200	34430	\N	\N	\N
140465	470	1998-12-30	VYDAJ	VYBER	1500	34492	\N	\N	\N
140472	470	1995-01-15	VYDAJ	VYBER	2800	21806	\N	\N	\N
140473	470	1995-01-16	VYDAJ	VYBER	800	21006	\N	\N	\N
140474	470	1995-01-27	VYDAJ	VYBER	2800	18506	\N	\N	\N
140475	470	1995-01-28	VYDAJ	VYBER	1000	17506	\N	\N	\N
140476	470	1995-01-14	VYDAJ	VYBER	1100	24606	\N	\N	\N
140477	470	1995-01-18	VYDAJ	VYBER	700	21306	\N	\N	\N
140478	470	1996-01-29	VYDAJ	VYBER	1000	15728	\N	\N	\N
140479	470	1996-01-14	VYDAJ	VYBER	2800	19228	\N	\N	\N
140480	470	1996-01-24	VYDAJ	VYBER	2500	16728	\N	\N	\N
140481	470	1996-01-13	VYDAJ	VYBER	2300	22028	\N	\N	\N
140482	470	1996-01-08	VYDAJ	VYBER	900	28204	\N	\N	\N
140483	470	1996-01-06	VYDAJ	VYBER	2800	29104	\N	\N	\N
140484	470	1997-01-30	VYDAJ	VYBER	2800	14480	\N	\N	\N
140485	470	1997-01-12	VYDAJ	VYBER	600	23258	\N	\N	\N
140486	470	1997-01-17	VYDAJ	VYBER	600	21580	\N	\N	\N
140487	470	1997-01-26	VYDAJ	VYBER	1600	17280	\N	\N	\N
140488	470	1997-01-20	VYDAJ	VYBER	2700	18880	\N	\N	\N
140489	470	1997-01-06	VYDAJ	VYBER	2000	28056	\N	\N	\N
140490	470	1998-01-01	VYDAJ	VYBER	1400	31759	\N	\N	\N
140491	470	1998-01-21	VYDAJ	VYBER	1800	26998	\N	\N	\N
140492	470	1998-01-03	VYDAJ	VYBER	1700	30059	\N	\N	\N
140493	470	1998-01-09	VYDAJ	VYBER	1000	34444	\N	\N	\N
140494	470	1998-01-20	VYDAJ	VYBER	1000	28798	\N	\N	\N
140495	470	1998-01-30	VYDAJ	VYBER	2100	24898	\N	\N	\N
140497	470	1994-11-08	VYDAJ	VYBER	4900	29767	\N	\N	\N
140499	470	1994-09-19	VYDAJ	VYBER	4600	24718	\N	\N	\N
140500	470	1994-08-07	VYDAJ	VYBER	600	35446	\N	\N	\N
140501	470	1994-09-12	VYDAJ	VYBER	3500	28496	\N	\N	\N
140502	470	1995-08-05	VYDAJ	VYBER	4600	19795	\N	\N	\N
140503	470	1995-03-05	VYDAJ	VYBER	3400	15792	\N	\N	\N
140504	470	1995-02-16	VYDAJ	VYBER	1400	19124	\N	\N	\N
140505	470	1995-06-17	VYDAJ	VYBER	1200	25163	\N	\N	\N
140506	470	1996-04-01	VYDAJ	VYBER	3800	19024	\N	\N	\N
140507	470	1996-11-10	VYDAJ	VYBER	1800	24549	\N	\N	\N
140508	470	1996-12-15	VYDAJ	VYBER	700	19871	\N	\N	\N
140509	470	1996-06-17	VYDAJ	VYBER	900	21141	\N	\N	\N
140510	470	1996-04-10	VYDAJ	VYBER	4100	18641	\N	\N	\N
140511	470	1996-06-01	VYDAJ	VYBER	3700	16345	\N	\N	\N
140512	470	1996-08-28	VYDAJ	VYBER	900	21667	\N	\N	\N
140513	470	1997-03-31	VYDAJ	VYBER	4700	23005	\N	\N	\N
140514	470	1997-04-30	VYDAJ	VYBER	1500	22549	\N	\N	\N
140515	470	1997-05-30	VYDAJ	VYBER	4900	17173	\N	\N	\N
140516	470	1997-08-21	VYDAJ	VYBER	1900	26035	\N	\N	\N
140517	470	1997-02-27	VYDAJ	VYBER	4600	19490	\N	\N	\N
140518	470	1998-04-17	VYDAJ	VYBER	1900	32463	\N	\N	\N
140519	470	1998-06-07	VYDAJ	VYBER	2900	42828	\N	\N	\N
140520	470	1998-01-07	VYDAJ	VYBER	1900	36074	\N	\N	\N
140521	470	1998-09-29	VYDAJ	VYBER	1100	32138	\N	\N	\N
140522	470	1998-12-28	VYDAJ	VYBER	3900	35992	\N	\N	\N
140523	470	1998-07-12	VYDAJ	VYBER	3800	29807	\N	\N	\N
140524	470	1998-10-02	VYDAJ	VYBER	2900	29369	\N	\N	\N
140533	470	1994-08-31	VYDAJ	VYBER	15	28279	SLUZBY	\N	\N
140534	470	1994-09-30	VYDAJ	VYBER	15	24816	SLUZBY	\N	\N
140535	470	1994-10-31	VYDAJ	VYBER	15	26752	SLUZBY	\N	\N
140536	470	1994-11-30	VYDAJ	VYBER	15	22880	SLUZBY	\N	\N
140537	470	1994-12-31	VYDAJ	VYBER	15	23067	SLUZBY	\N	\N
140538	470	1995-01-31	VYDAJ	VYBER	15	17585	SLUZBY	\N	\N
140539	470	1995-02-28	VYDAJ	VYBER	15	19192	SLUZBY	\N	\N
140540	470	1995-03-31	VYDAJ	VYBER	15	22504	SLUZBY	\N	\N
140541	470	1995-04-30	VYDAJ	VYBER	15	25231	SLUZBY	\N	\N
140542	470	1995-05-31	VYDAJ	VYBER	15	26667	SLUZBY	\N	\N
140543	470	1995-06-30	VYDAJ	VYBER	15	25264	SLUZBY	\N	\N
140544	470	1995-07-31	VYDAJ	VYBER	15	24395	SLUZBY	\N	\N
140545	470	1995-08-31	VYDAJ	VYBER	15	23921	SLUZBY	\N	\N
140546	470	1995-09-30	VYDAJ	VYBER	15	23346	SLUZBY	\N	\N
140547	470	1995-10-31	VYDAJ	VYBER	15	24974	SLUZBY	\N	\N
140548	470	1995-11-30	VYDAJ	VYBER	15	24202	SLUZBY	\N	\N
140549	470	1995-12-31	VYDAJ	VYBER	15	23989	SLUZBY	\N	\N
140550	470	1996-01-31	VYDAJ	VYBER	15	15801	SLUZBY	\N	\N
140551	470	1996-02-29	VYDAJ	VYBER	15	20706	SLUZBY	\N	\N
140552	470	1996-03-31	VYDAJ	VYBER	15	22824	SLUZBY	\N	\N
140553	470	1996-04-30	VYDAJ	VYBER	15	19836	SLUZBY	\N	\N
140554	470	1996-05-31	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
140555	470	1996-06-30	VYDAJ	VYBER	15	21220	SLUZBY	\N	\N
140556	470	1996-07-31	VYDAJ	VYBER	15	19428	SLUZBY	\N	\N
140557	470	1996-08-31	VYDAJ	VYBER	15	21743	SLUZBY	\N	\N
140558	470	1996-09-30	VYDAJ	VYBER	15	19953	SLUZBY	\N	\N
140559	470	1996-10-31	VYDAJ	VYBER	15	20764	SLUZBY	\N	\N
140560	470	1996-11-30	VYDAJ	VYBER	15	19975	SLUZBY	\N	\N
140561	470	1996-12-31	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
140562	470	1997-01-31	VYDAJ	VYBER	15	14551	SLUZBY	\N	\N
140563	470	1997-02-28	VYDAJ	VYBER	15	19570	SLUZBY	\N	\N
140564	470	1997-03-31	VYDAJ	VYBER	15	27705	SLUZBY	\N	\N
140565	470	1997-04-30	VYDAJ	VYBER	15	22534	SLUZBY	\N	\N
140566	470	1997-05-31	VYDAJ	VYBER	15	17253	SLUZBY	\N	\N
140567	470	1997-06-30	VYDAJ	VYBER	15	29752	SLUZBY	\N	\N
140568	470	1997-07-31	VYDAJ	VYBER	15	27996	SLUZBY	\N	\N
140569	470	1997-08-31	VYDAJ	VYBER	15	26136	SLUZBY	\N	\N
140570	470	1997-09-30	VYDAJ	VYBER	15	23662	SLUZBY	\N	\N
140571	470	1997-10-31	VYDAJ	VYBER	15	24389	SLUZBY	\N	\N
140572	470	1997-11-30	VYDAJ	VYBER	15	29534	SLUZBY	\N	\N
140573	470	1997-12-31	VYDAJ	VYBER	15	34559	SLUZBY	\N	\N
140574	470	1998-01-31	VYDAJ	VYBER	15	29507	SLUZBY	\N	\N
140575	470	1998-02-28	VYDAJ	VYBER	15	32261	SLUZBY	\N	\N
140576	470	1998-03-31	VYDAJ	VYBER	15	33124	SLUZBY	\N	\N
140577	470	1998-04-30	VYDAJ	VYBER	15	32589	SLUZBY	\N	\N
140578	470	1998-05-31	VYDAJ	VYBER	15	33856	SLUZBY	\N	\N
140579	470	1998-06-30	VYDAJ	VYBER	15	29890	SLUZBY	\N	\N
140580	470	1998-07-31	VYDAJ	VYBER	15	31237	SLUZBY	\N	\N
140581	470	1998-08-31	VYDAJ	VYBER	15	33799	SLUZBY	\N	\N
140582	470	1998-09-30	VYDAJ	VYBER	15	32269	SLUZBY	\N	\N
140583	470	1998-10-31	VYDAJ	VYBER	15	32628	SLUZBY	\N	\N
140584	470	1998-11-30	VYDAJ	VYBER	15	36096	SLUZBY	\N	\N
140585	470	1994-04-22	PRIJEM	VKLAD	8700	17215	\N	\N	\N
140586	470	1994-05-22	VYDAJ	VYBER	2700	22452	\N	\N	\N
140587	470	1994-06-21	VYDAJ	VYBER	7400	27002	\N	\N	\N
140588	470	1994-07-21	VYDAJ	VYBER	7000	28017	\N	\N	\N
140589	470	1994-08-20	VYDAJ	VYBER	2000	28170	\N	\N	\N
140590	470	1994-09-19	PRIJEM	VKLAD	1900	29318	\N	\N	\N
140591	470	1994-10-19	VYDAJ	VYBER	800	26655	\N	\N	\N
140592	470	1994-11-18	VYDAJ	VYBER	1700	22791	\N	\N	\N
140593	470	1994-12-18	VYDAJ	VYBER	4700	22976	\N	\N	\N
140594	470	1995-01-17	PRIJEM	VKLAD	1000	22006	\N	\N	\N
140595	470	1995-02-16	PRIJEM	VKLAD	300	20524	\N	\N	\N
140596	470	1995-03-18	PRIJEM	VKLAD	4000	22431	\N	\N	\N
140597	470	1995-05-17	VYDAJ	VYBER	1300	26570	\N	\N	\N
140598	470	1995-06-16	VYDAJ	VYBER	6900	26363	\N	\N	\N
140599	470	1995-07-16	VYDAJ	VYBER	3600	24303	\N	\N	\N
140600	470	1995-08-15	PRIJEM	VKLAD	1400	23834	\N	\N	\N
140601	470	1995-09-14	VYDAJ	VYBER	3300	23260	\N	\N	\N
140602	470	1995-10-14	VYDAJ	VYBER	1100	24885	\N	\N	\N
140603	470	1995-11-13	VYDAJ	VYBER	3500	24113	\N	\N	\N
140604	470	1995-12-13	VYDAJ	VYBER	4100	24976	\N	\N	\N
140605	470	1996-01-12	PRIJEM	VKLAD	1400	25406	\N	\N	\N
140606	470	1996-02-11	PRIJEM	VKLAD	2200	21718	\N	\N	\N
140607	470	1996-03-12	VYDAJ	VYBER	600	23823	\N	\N	\N
140608	470	1996-04-11	PRIJEM	VKLAD	2200	20841	\N	\N	\N
140609	470	1996-05-11	VYDAJ	VYBER	2500	21053	\N	\N	\N
140610	470	1996-06-10	VYDAJ	VYBER	900	26687	\N	\N	\N
140611	470	1996-07-10	VYDAJ	VYBER	4500	24005	\N	\N	\N
140612	470	1996-08-09	PRIJEM	VKLAD	500	27843	\N	\N	\N
140613	470	1996-09-08	VYDAJ	VYBER	4500	25158	\N	\N	\N
140614	470	1996-10-08	VYDAJ	VYBER	1900	25968	\N	\N	\N
140615	470	1996-11-07	VYDAJ	VYBER	1700	26979	\N	\N	\N
140616	470	1996-12-07	VYDAJ	VYBER	6000	25847	\N	\N	\N
140617	470	1997-01-06	PRIJEM	VKLAD	2900	22141	\N	\N	\N
140618	470	1997-02-05	PRIJEM	VKLAD	6900	21451	\N	\N	\N
140619	470	1997-03-07	PRIJEM	VKLAD	5400	32885	\N	\N	\N
140620	470	1997-04-06	VYDAJ	VYBER	1700	29220	\N	\N	\N
140621	470	1997-05-06	VYDAJ	VYBER	3100	27349	\N	\N	\N
140622	470	1997-06-05	PRIJEM	VKLAD	5800	23053	\N	\N	\N
140623	470	1997-07-05	VYDAJ	VYBER	4500	25252	\N	\N	\N
140624	470	1997-08-04	VYDAJ	VYBER	2700	25296	\N	\N	\N
140625	470	1997-09-03	VYDAJ	VYBER	5200	20936	\N	\N	\N
140626	470	1997-10-03	VYDAJ	VYBER	2000	21662	\N	\N	\N
140627	470	1997-11-02	PRIJEM	VKLAD	2400	26789	\N	\N	\N
140628	470	1997-12-02	VYDAJ	VYBER	500	29034	\N	\N	\N
140629	470	1998-01-01	VYDAJ	VYBER	1400	33159	\N	\N	\N
140630	470	1998-01-31	PRIJEM	VKLAD	4500	29521	\N	\N	\N
140631	470	1998-03-02	VYDAJ	VYBER	1900	30361	\N	\N	\N
140632	470	1998-04-01	VYDAJ	VYBER	1400	31724	\N	\N	\N
140633	470	1998-05-31	VYDAJ	VYBER	1500	33871	\N	\N	\N
140634	470	1998-06-30	VYDAJ	VYBER	7800	29905	\N	\N	\N
140635	470	1998-07-30	PRIJEM	VKLAD	2400	31129	\N	\N	\N
140636	470	1998-08-29	VYDAJ	VYBER	200	33676	\N	\N	\N
140637	470	1998-09-28	VYDAJ	VYBER	3200	33238	\N	\N	\N
140638	470	1998-10-28	PRIJEM	VKLAD	500	32508	\N	\N	\N
140639	470	1998-11-27	PRIJEM	VKLAD	700	35967	\N	\N	\N
140640	470	1998-12-27	VYDAJ	VYBER	2800	39892	\N	\N	\N
140698	471	1995-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
140704	471	1995-06-12	PRIJEM	VKLAD	14962	16062	\N	\N	\N
140705	471	1995-07-12	PRIJEM	VKLAD	9975	28479	\N	\N	\N
140706	471	1995-08-12	PRIJEM	VKLAD	9975	34655	\N	\N	\N
140707	471	1995-09-12	PRIJEM	VKLAD	9975	40165	\N	\N	\N
140708	471	1995-10-12	PRIJEM	VKLAD	9975	38199	\N	\N	\N
140709	471	1995-11-12	PRIJEM	VKLAD	9975	34137	\N	\N	\N
140710	471	1995-12-12	PRIJEM	VKLAD	14962	37520	\N	\N	\N
140711	471	1996-01-12	PRIJEM	VKLAD	9975	28359	\N	\N	\N
140712	471	1996-02-12	PRIJEM	VKLAD	9975	26101	\N	\N	\N
140713	471	1996-03-12	PRIJEM	VKLAD	9975	24876	\N	\N	\N
140714	471	1996-04-12	PRIJEM	VKLAD	9975	22733	\N	\N	\N
140715	471	1996-05-12	PRIJEM	VKLAD	9975	25401	\N	\N	\N
140716	471	1996-06-12	PRIJEM	VKLAD	14962	33262	\N	\N	\N
140717	471	1996-07-12	PRIJEM	VKLAD	9975	31161	\N	\N	\N
140718	471	1996-08-12	PRIJEM	VKLAD	9975	32964	\N	\N	\N
140719	471	1996-09-12	PRIJEM	VKLAD	9975	33005	\N	\N	\N
140720	471	1996-10-12	PRIJEM	VKLAD	9975	31329	\N	\N	\N
140721	471	1996-11-12	PRIJEM	VKLAD	9975	27205	\N	\N	\N
140722	471	1996-12-12	PRIJEM	VKLAD	14962	38694	\N	\N	\N
140723	471	1997-01-12	PRIJEM	VKLAD	9975	36853	\N	\N	\N
140724	471	1997-02-12	PRIJEM	VKLAD	9975	35888	\N	\N	\N
140725	471	1997-03-12	PRIJEM	VKLAD	9975	36902	\N	\N	\N
140726	471	1997-04-12	PRIJEM	VKLAD	9975	32568	\N	\N	\N
140727	471	1997-05-12	PRIJEM	VKLAD	9975	37373	\N	\N	\N
140728	471	1997-06-12	PRIJEM	VKLAD	14962	46583	\N	\N	\N
140729	471	1997-07-12	PRIJEM	VKLAD	9975	45433	\N	\N	\N
140730	471	1997-08-12	PRIJEM	VKLAD	9975	45285	\N	\N	\N
140731	471	1997-09-12	PRIJEM	VKLAD	9975	45137	\N	\N	\N
140732	471	1997-10-12	PRIJEM	VKLAD	9975	46690	\N	\N	\N
140733	471	1997-11-12	PRIJEM	VKLAD	9975	48188	\N	\N	\N
140734	471	1997-12-12	PRIJEM	VKLAD	14962	52176	\N	\N	\N
140735	471	1998-01-12	PRIJEM	VKLAD	9975	50367	\N	\N	\N
140736	471	1998-02-12	PRIJEM	VKLAD	9975	42470	\N	\N	\N
140737	471	1998-03-12	PRIJEM	VKLAD	9975	48818	\N	\N	\N
140738	471	1998-04-12	PRIJEM	VKLAD	9975	47364	\N	\N	\N
140739	471	1998-05-12	PRIJEM	VKLAD	9975	52031	\N	\N	\N
140740	471	1998-06-12	PRIJEM	VKLAD	14962	57396	\N	\N	\N
140741	471	1998-07-12	PRIJEM	VKLAD	9975	57889	\N	\N	\N
140742	471	1998-08-12	PRIJEM	VKLAD	9975	58992	\N	\N	\N
140743	471	1998-09-12	PRIJEM	VKLAD	9975	56393	\N	\N	\N
140744	471	1998-10-12	PRIJEM	VKLAD	9975	56687	\N	\N	\N
140745	471	1998-11-12	PRIJEM	VKLAD	9975	54383	\N	\N	\N
140746	471	1998-12-12	PRIJEM	VKLAD	14962	55650	\N	\N	\N
140757	471	1995-11-09	VYDAJ	PREVOD NA UCET	4695	24364	SIPO	ST	26110238
140758	471	1995-12-09	VYDAJ	PREVOD NA UCET	4695	22760	SIPO	ST	26110238
140759	471	1996-01-09	VYDAJ	PREVOD NA UCET	4695	19906	SIPO	ST	26110238
140760	471	1996-02-09	VYDAJ	PREVOD NA UCET	4695	16328	SIPO	ST	26110238
140761	471	1996-03-09	VYDAJ	PREVOD NA UCET	4695	15103	SIPO	ST	26110238
140762	471	1996-04-09	VYDAJ	PREVOD NA UCET	4695	16680	SIPO	ST	26110238
140763	471	1996-05-09	VYDAJ	PREVOD NA UCET	4695	15628	SIPO	ST	26110238
140764	471	1996-06-09	VYDAJ	PREVOD NA UCET	4695	18502	SIPO	ST	26110238
140765	471	1996-07-09	VYDAJ	PREVOD NA UCET	4695	21388	SIPO	ST	26110238
140766	471	1996-08-09	VYDAJ	PREVOD NA UCET	4695	23191	SIPO	ST	26110238
140767	471	1996-09-09	VYDAJ	PREVOD NA UCET	4695	23232	SIPO	ST	26110238
140768	471	1996-10-09	VYDAJ	PREVOD NA UCET	4695	21556	SIPO	ST	26110238
140769	471	1996-11-09	VYDAJ	PREVOD NA UCET	4695	17432	SIPO	ST	26110238
140770	471	1996-12-09	VYDAJ	PREVOD NA UCET	4695	23934	SIPO	ST	26110238
140771	471	1997-01-09	VYDAJ	PREVOD NA UCET	4695	28280	SIPO	ST	26110238
140772	471	1997-02-09	VYDAJ	PREVOD NA UCET	4695	26115	SIPO	ST	26110238
140773	471	1997-03-09	VYDAJ	PREVOD NA UCET	4695	27129	SIPO	ST	26110238
140774	471	1997-04-09	VYDAJ	PREVOD NA UCET	4695	22795	SIPO	ST	26110238
140775	471	1997-05-09	VYDAJ	PREVOD NA UCET	4695	27600	SIPO	ST	26110238
140776	471	1997-06-09	VYDAJ	PREVOD NA UCET	4695	31823	SIPO	ST	26110238
140777	471	1997-07-09	VYDAJ	PREVOD NA UCET	4695	35660	SIPO	ST	26110238
140778	471	1997-08-09	VYDAJ	PREVOD NA UCET	4695	35512	SIPO	ST	26110238
140779	471	1997-09-09	VYDAJ	PREVOD NA UCET	4695	35364	SIPO	ST	26110238
140780	471	1997-10-09	VYDAJ	PREVOD NA UCET	4695	36917	SIPO	ST	26110238
140781	471	1997-11-09	VYDAJ	PREVOD NA UCET	4695	38415	SIPO	ST	26110238
140782	471	1997-12-09	VYDAJ	PREVOD NA UCET	4695	40536	SIPO	ST	26110238
140783	471	1998-01-09	VYDAJ	PREVOD NA UCET	4695	41794	SIPO	ST	26110238
140784	471	1998-02-09	VYDAJ	PREVOD NA UCET	4695	32697	SIPO	ST	26110238
140785	471	1998-03-09	VYDAJ	PREVOD NA UCET	4695	39045	SIPO	ST	26110238
140786	471	1998-04-09	VYDAJ	PREVOD NA UCET	4695	37591	SIPO	ST	26110238
140787	471	1998-05-09	VYDAJ	PREVOD NA UCET	4695	42258	SIPO	ST	26110238
140788	471	1998-06-09	VYDAJ	PREVOD NA UCET	4695	42636	SIPO	ST	26110238
140789	471	1998-07-09	VYDAJ	PREVOD NA UCET	4695	48116	SIPO	ST	26110238
140790	471	1998-08-09	VYDAJ	PREVOD NA UCET	4695	49219	SIPO	ST	26110238
140791	471	1998-09-09	VYDAJ	PREVOD NA UCET	4695	46620	SIPO	ST	26110238
140792	471	1998-10-09	VYDAJ	PREVOD NA UCET	4695	46914	SIPO	ST	26110238
140793	471	1998-11-09	VYDAJ	PREVOD NA UCET	4695	44610	SIPO	ST	26110238
140794	471	1998-12-09	VYDAJ	PREVOD NA UCET	4695	40890	SIPO	ST	26110238
140804	471	1995-10-12	VYDAJ	PREVOD NA UCET	931	37268	 	CD	97181409
140805	471	1995-11-12	VYDAJ	PREVOD NA UCET	931	33206	 	CD	97181409
140806	471	1995-12-12	VYDAJ	PREVOD NA UCET	931	36589	 	CD	97181409
140807	471	1996-01-12	VYDAJ	PREVOD NA UCET	931	27428	 	CD	97181409
140808	471	1996-02-12	VYDAJ	PREVOD NA UCET	931	25170	 	CD	97181409
140809	471	1996-03-12	VYDAJ	PREVOD NA UCET	931	23945	 	CD	97181409
140810	471	1996-04-12	VYDAJ	PREVOD NA UCET	931	21802	 	CD	97181409
140811	471	1996-05-12	VYDAJ	PREVOD NA UCET	931	24470	 	CD	97181409
140812	471	1996-06-12	VYDAJ	PREVOD NA UCET	931	32331	 	CD	97181409
140813	471	1996-07-12	VYDAJ	PREVOD NA UCET	931	30230	 	CD	97181409
140814	471	1996-08-12	VYDAJ	PREVOD NA UCET	931	32033	 	CD	97181409
140815	471	1996-09-12	VYDAJ	PREVOD NA UCET	931	32074	 	CD	97181409
140816	471	1996-10-12	VYDAJ	PREVOD NA UCET	931	30398	 	CD	97181409
140817	471	1996-11-12	VYDAJ	PREVOD NA UCET	931	26274	 	CD	97181409
140818	471	1996-12-12	VYDAJ	PREVOD NA UCET	931	37763	 	CD	97181409
140819	471	1997-01-12	VYDAJ	PREVOD NA UCET	931	35922	 	CD	97181409
140820	471	1997-02-12	VYDAJ	PREVOD NA UCET	931	34957	 	CD	97181409
140821	471	1997-03-12	VYDAJ	PREVOD NA UCET	931	35971	 	CD	97181409
140822	471	1997-04-12	VYDAJ	PREVOD NA UCET	931	31637	 	CD	97181409
140823	471	1997-05-12	VYDAJ	PREVOD NA UCET	931	36442	 	CD	97181409
140824	471	1997-06-12	VYDAJ	PREVOD NA UCET	931	45652	 	CD	97181409
140825	471	1997-07-12	VYDAJ	PREVOD NA UCET	931	44502	 	CD	97181409
140826	471	1997-08-12	VYDAJ	PREVOD NA UCET	931	44354	 	CD	97181409
140827	471	1997-09-12	VYDAJ	PREVOD NA UCET	931	44206	 	CD	97181409
140828	471	1997-10-12	VYDAJ	PREVOD NA UCET	931	45759	 	CD	97181409
140829	471	1997-11-12	VYDAJ	PREVOD NA UCET	931	47257	 	CD	97181409
140830	471	1997-12-12	VYDAJ	PREVOD NA UCET	931	51245	 	CD	97181409
140831	471	1998-01-12	VYDAJ	PREVOD NA UCET	931	49436	 	CD	97181409
140832	471	1998-02-12	VYDAJ	PREVOD NA UCET	931	41539	 	CD	97181409
140833	471	1998-03-12	VYDAJ	PREVOD NA UCET	931	47887	 	CD	97181409
140834	471	1998-04-12	VYDAJ	PREVOD NA UCET	931	46433	 	CD	97181409
140835	471	1998-05-12	VYDAJ	PREVOD NA UCET	931	51100	 	CD	97181409
140836	471	1998-06-12	VYDAJ	PREVOD NA UCET	931	56465	 	CD	97181409
140837	471	1998-07-12	VYDAJ	PREVOD NA UCET	931	56958	 	CD	97181409
140838	471	1998-08-12	VYDAJ	PREVOD NA UCET	931	58061	 	CD	97181409
140839	471	1998-09-12	VYDAJ	PREVOD NA UCET	931	55462	 	CD	97181409
140840	471	1998-10-12	VYDAJ	PREVOD NA UCET	931	55756	 	CD	97181409
140841	471	1998-11-12	VYDAJ	PREVOD NA UCET	931	53452	 	CD	97181409
140842	471	1998-12-12	VYDAJ	PREVOD NA UCET	931	52119	 	CD	97181409
140852	471	1995-10-14	VYDAJ	PREVOD NA UCET	253	37015	POJISTNE	CD	33731478
140853	471	1995-11-14	VYDAJ	PREVOD NA UCET	253	32233	POJISTNE	CD	33731478
140854	471	1995-12-14	VYDAJ	PREVOD NA UCET	253	36336	POJISTNE	CD	33731478
140855	471	1996-01-14	VYDAJ	PREVOD NA UCET	253	24895	POJISTNE	CD	33731478
140856	471	1996-02-14	VYDAJ	PREVOD NA UCET	253	24917	POJISTNE	CD	33731478
140857	471	1996-03-14	VYDAJ	PREVOD NA UCET	253	23692	POJISTNE	CD	33731478
140858	471	1996-04-14	VYDAJ	PREVOD NA UCET	253	21549	POJISTNE	CD	33731478
140859	471	1996-05-14	VYDAJ	PREVOD NA UCET	253	24217	POJISTNE	CD	33731478
140860	471	1996-06-14	VYDAJ	PREVOD NA UCET	253	32078	POJISTNE	CD	33731478
140861	471	1996-07-14	VYDAJ	PREVOD NA UCET	253	29977	POJISTNE	CD	33731478
140862	471	1996-08-14	VYDAJ	PREVOD NA UCET	253	30100	POJISTNE	CD	33731478
140863	471	1996-09-14	VYDAJ	PREVOD NA UCET	253	31821	POJISTNE	CD	33731478
140864	471	1996-10-14	VYDAJ	PREVOD NA UCET	253	30145	POJISTNE	CD	33731478
140865	471	1996-11-14	VYDAJ	PREVOD NA UCET	253	26021	POJISTNE	CD	33731478
140866	471	1996-12-14	VYDAJ	PREVOD NA UCET	253	37510	POJISTNE	CD	33731478
140867	471	1997-01-14	VYDAJ	PREVOD NA UCET	253	35669	POJISTNE	CD	33731478
140868	471	1997-02-14	VYDAJ	PREVOD NA UCET	253	34704	POJISTNE	CD	33731478
140869	471	1997-03-14	VYDAJ	PREVOD NA UCET	253	30198	POJISTNE	CD	33731478
140870	471	1997-04-14	VYDAJ	PREVOD NA UCET	253	31384	POJISTNE	CD	33731478
140871	471	1997-05-14	VYDAJ	PREVOD NA UCET	253	36189	POJISTNE	CD	33731478
140872	471	1997-06-14	VYDAJ	PREVOD NA UCET	253	45399	POJISTNE	CD	33731478
140873	471	1997-07-14	VYDAJ	PREVOD NA UCET	253	44249	POJISTNE	CD	33731478
140874	471	1997-08-14	VYDAJ	PREVOD NA UCET	253	44101	POJISTNE	CD	33731478
140875	471	1997-09-14	VYDAJ	PREVOD NA UCET	253	43953	POJISTNE	CD	33731478
140876	471	1997-10-14	VYDAJ	PREVOD NA UCET	253	45506	POJISTNE	CD	33731478
140877	471	1997-11-14	VYDAJ	PREVOD NA UCET	253	47004	POJISTNE	CD	33731478
140878	471	1997-12-14	VYDAJ	PREVOD NA UCET	253	50992	POJISTNE	CD	33731478
140879	471	1998-01-14	VYDAJ	PREVOD NA UCET	253	49183	POJISTNE	CD	33731478
140880	471	1998-02-14	VYDAJ	PREVOD NA UCET	253	41286	POJISTNE	CD	33731478
140881	471	1998-03-14	VYDAJ	PREVOD NA UCET	253	47634	POJISTNE	CD	33731478
140882	471	1998-04-14	VYDAJ	PREVOD NA UCET	253	46180	POJISTNE	CD	33731478
140883	471	1998-05-14	VYDAJ	PREVOD NA UCET	253	50847	POJISTNE	CD	33731478
140884	471	1998-06-14	VYDAJ	PREVOD NA UCET	253	56212	POJISTNE	CD	33731478
140885	471	1998-07-14	VYDAJ	PREVOD NA UCET	253	56705	POJISTNE	CD	33731478
140886	471	1998-08-14	VYDAJ	PREVOD NA UCET	253	57808	POJISTNE	CD	33731478
140887	471	1998-09-14	VYDAJ	PREVOD NA UCET	253	55209	POJISTNE	CD	33731478
140888	471	1998-10-14	VYDAJ	PREVOD NA UCET	253	55503	POJISTNE	CD	33731478
140889	471	1998-11-14	VYDAJ	PREVOD NA UCET	253	53199	POJISTNE	CD	33731478
140890	471	1998-12-14	VYDAJ	PREVOD NA UCET	253	51866	POJISTNE	CD	33731478
140901	471	1995-11-10	VYDAJ	PREVOD NA UCET	202	24162	 	KL	45840859
140902	471	1995-12-10	VYDAJ	PREVOD NA UCET	202	22558	 	KL	45840859
140903	471	1996-01-10	VYDAJ	PREVOD NA UCET	202	19704	 	KL	45840859
140904	471	1996-02-10	VYDAJ	PREVOD NA UCET	202	16126	 	KL	45840859
140905	471	1996-03-10	VYDAJ	PREVOD NA UCET	202	14901	 	KL	45840859
140906	471	1996-04-10	VYDAJ	PREVOD NA UCET	202	12758	 	KL	45840859
140907	471	1996-05-10	VYDAJ	PREVOD NA UCET	202	15426	 	KL	45840859
140908	471	1996-06-10	VYDAJ	PREVOD NA UCET	202	18300	 	KL	45840859
140909	471	1996-07-10	VYDAJ	PREVOD NA UCET	202	21186	 	KL	45840859
140910	471	1996-08-10	VYDAJ	PREVOD NA UCET	202	22989	 	KL	45840859
140911	471	1996-09-10	VYDAJ	PREVOD NA UCET	202	23030	 	KL	45840859
140912	471	1996-10-10	VYDAJ	PREVOD NA UCET	202	21354	 	KL	45840859
140913	471	1996-11-10	VYDAJ	PREVOD NA UCET	202	17230	 	KL	45840859
140914	471	1996-12-10	VYDAJ	PREVOD NA UCET	202	23732	 	KL	45840859
140915	471	1997-01-10	VYDAJ	PREVOD NA UCET	202	28078	 	KL	45840859
140916	471	1997-02-10	VYDAJ	PREVOD NA UCET	202	25913	 	KL	45840859
140917	471	1997-03-10	VYDAJ	PREVOD NA UCET	202	26927	 	KL	45840859
140918	471	1997-04-10	VYDAJ	PREVOD NA UCET	202	22593	 	KL	45840859
140919	471	1997-05-10	VYDAJ	PREVOD NA UCET	202	27398	 	KL	45840859
140920	471	1997-06-10	VYDAJ	PREVOD NA UCET	202	31621	 	KL	45840859
140921	471	1997-07-10	VYDAJ	PREVOD NA UCET	202	35458	 	KL	45840859
140922	471	1997-08-10	VYDAJ	PREVOD NA UCET	202	35310	 	KL	45840859
140923	471	1997-09-10	VYDAJ	PREVOD NA UCET	202	35162	 	KL	45840859
140924	471	1997-10-10	VYDAJ	PREVOD NA UCET	202	36715	 	KL	45840859
140925	471	1997-11-10	VYDAJ	PREVOD NA UCET	202	38213	 	KL	45840859
140926	471	1997-12-10	VYDAJ	PREVOD NA UCET	202	40334	 	KL	45840859
140927	471	1998-01-10	VYDAJ	PREVOD NA UCET	202	40392	 	KL	45840859
140928	471	1998-02-10	VYDAJ	PREVOD NA UCET	202	32495	 	KL	45840859
140929	471	1998-03-10	VYDAJ	PREVOD NA UCET	202	38843	 	KL	45840859
140930	471	1998-04-10	VYDAJ	PREVOD NA UCET	202	37389	 	KL	45840859
140931	471	1998-05-10	VYDAJ	PREVOD NA UCET	202	42056	 	KL	45840859
140932	471	1998-06-10	VYDAJ	PREVOD NA UCET	202	42434	 	KL	45840859
140933	471	1998-07-10	VYDAJ	PREVOD NA UCET	202	47914	 	KL	45840859
140934	471	1998-08-10	VYDAJ	PREVOD NA UCET	202	49017	 	KL	45840859
140935	471	1998-09-10	VYDAJ	PREVOD NA UCET	202	46418	 	KL	45840859
140936	471	1998-10-10	VYDAJ	PREVOD NA UCET	202	46712	 	KL	45840859
140937	471	1998-11-10	VYDAJ	PREVOD NA UCET	202	44408	 	KL	45840859
140938	471	1998-12-10	VYDAJ	PREVOD NA UCET	202	40688	 	KL	45840859
140939	471	1995-12-19	VYDAJ	VYBER	1280	35056	\N	\N	\N
140940	471	1996-12-06	VYDAJ	VYBER	1280	28629	\N	\N	\N
140941	471	1997-12-19	VYDAJ	VYBER	1920	43312	\N	\N	\N
140942	471	1998-12-24	VYDAJ	VYBER KARTOU	1300	49666	\N	\N	0
140949	471	1996-01-28	VYDAJ	VYBER	3360	20935	\N	\N	\N
140950	471	1996-01-10	VYDAJ	VYBER	1320	18384	\N	\N	\N
140951	471	1996-01-21	VYDAJ	VYBER	600	24295	\N	\N	\N
140952	471	1996-01-14	VYDAJ	VYBER	840	25148	\N	\N	\N
140953	471	1996-01-01	VYDAJ	VYBER	2880	32301	\N	\N	\N
140954	471	1996-01-13	VYDAJ	VYBER	1440	25988	\N	\N	\N
140955	471	1997-01-27	VYDAJ	VYBER	1200	30689	\N	\N	\N
140956	471	1997-01-24	VYDAJ	VYBER	2040	29189	\N	\N	\N
140957	471	1997-01-20	VYDAJ	VYBER	2880	31229	\N	\N	\N
140958	471	1997-01-07	VYDAJ	VYBER	960	32975	\N	\N	\N
140959	471	1997-01-15	VYDAJ	VYBER	1560	34109	\N	\N	\N
140960	471	1997-01-11	VYDAJ	VYBER	1200	26878	\N	\N	\N
140961	471	1998-01-10	VYDAJ	VYBER	1200	40594	\N	\N	\N
140962	471	1998-01-15	VYDAJ	VYBER	2640	46543	\N	\N	\N
140963	471	1998-01-18	VYDAJ	VYBER	2040	44503	\N	\N	\N
140964	471	1998-01-25	VYDAJ	VYBER	2280	40583	\N	\N	\N
140965	471	1998-01-24	VYDAJ	VYBER	2640	42863	\N	\N	\N
140966	471	1998-01-26	VYDAJ	VYBER	1080	39503	\N	\N	\N
140969	471	1995-11-12	VYDAJ	VYBER	720	32486	\N	\N	\N
140973	471	1996-08-09	VYDAJ	VYBER	1200	27886	\N	\N	\N
140974	471	1996-04-10	VYDAJ	VYBER	3720	12960	\N	\N	\N
140975	471	1996-08-30	VYDAJ	VYBER	3480	27820	\N	\N	\N
140976	471	1996-09-30	VYDAJ	VYBER	4680	26251	\N	\N	\N
140977	471	1996-08-14	VYDAJ	VYBER	1680	30353	\N	\N	\N
140978	471	1996-10-30	VYDAJ	VYBER	4320	22025	\N	\N	\N
140979	471	1997-12-11	VYDAJ	VYBER	3120	37214	\N	\N	\N
140980	471	1997-03-13	VYDAJ	VYBER	5520	30451	\N	\N	\N
140981	471	1997-12-18	VYDAJ	VYBER	5760	45232	\N	\N	\N
140982	471	1997-11-17	VYDAJ	VYBER	5040	41964	\N	\N	\N
140983	471	1997-10-24	VYDAJ	VYBER	5160	42946	\N	\N	\N
140984	471	1997-04-02	VYDAJ	VYBER	1920	27490	\N	\N	\N
140985	471	1998-04-04	VYDAJ	VYBER	2520	42286	\N	\N	\N
140986	471	1998-12-12	VYDAJ	VYBER KARTOU	2600	53050	\N	\N	0
140987	471	1998-11-07	VYDAJ	VYBER KARTOU	2400	49305	\N	\N	0
140988	471	1998-02-05	VYDAJ	VYBER	2280	37392	\N	\N	\N
140999	471	1995-10-31	VYDAJ	VYBER	15	37159	SLUZBY	\N	\N
141000	471	1995-11-30	VYDAJ	VYBER	15	32355	SLUZBY	\N	\N
141001	471	1995-12-31	VYDAJ	VYBER	15	35181	SLUZBY	\N	\N
141002	471	1996-01-31	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
141003	471	1996-02-29	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
141004	471	1996-03-31	VYDAJ	VYBER	15	23775	SLUZBY	\N	\N
141005	471	1996-04-30	VYDAJ	VYBER	15	21623	SLUZBY	\N	\N
141006	471	1996-05-31	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
141007	471	1996-06-30	VYDAJ	VYBER	15	32183	SLUZBY	\N	\N
141008	471	1996-07-31	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
141009	471	1996-08-31	VYDAJ	VYBER	15	27927	SLUZBY	\N	\N
141010	471	1996-09-30	VYDAJ	VYBER	15	30931	SLUZBY	\N	\N
141011	471	1996-10-31	VYDAJ	VYBER	15	22127	SLUZBY	\N	\N
141012	471	1996-11-30	VYDAJ	VYBER	15	29909	SLUZBY	\N	\N
141013	471	1996-12-31	VYDAJ	VYBER	15	33935	SLUZBY	\N	\N
141014	471	1997-01-31	VYDAJ	VYBER	15	30810	SLUZBY	\N	\N
141015	471	1997-02-28	VYDAJ	VYBER	15	31824	SLUZBY	\N	\N
141016	471	1997-03-31	VYDAJ	VYBER	15	29410	SLUZBY	\N	\N
141017	471	1997-04-30	VYDAJ	VYBER	15	32295	SLUZBY	\N	\N
141018	471	1997-05-31	VYDAJ	VYBER	15	36518	SLUZBY	\N	\N
141019	471	1997-06-30	VYDAJ	VYBER	15	40355	SLUZBY	\N	\N
141020	471	1997-07-31	VYDAJ	VYBER	15	40207	SLUZBY	\N	\N
141021	471	1997-08-31	VYDAJ	VYBER	15	40059	SLUZBY	\N	\N
141022	471	1997-09-30	VYDAJ	VYBER	15	41612	SLUZBY	\N	\N
141023	471	1997-10-31	VYDAJ	VYBER	15	43110	SLUZBY	\N	\N
141024	471	1997-11-30	VYDAJ	VYBER	15	45231	SLUZBY	\N	\N
141025	471	1997-12-31	VYDAJ	VYBER	15	46489	SLUZBY	\N	\N
141026	471	1998-01-31	VYDAJ	VYBER	15	39672	SLUZBY	\N	\N
141027	471	1998-02-28	VYDAJ	VYBER	15	43740	SLUZBY	\N	\N
141028	471	1998-03-31	VYDAJ	VYBER	15	44806	SLUZBY	\N	\N
141029	471	1998-04-30	VYDAJ	VYBER	15	46953	SLUZBY	\N	\N
141030	471	1998-05-31	VYDAJ	VYBER	15	47331	SLUZBY	\N	\N
141031	471	1998-06-30	VYDAJ	VYBER	15	52811	SLUZBY	\N	\N
141032	471	1998-07-31	VYDAJ	VYBER	15	53914	SLUZBY	\N	\N
141033	471	1998-08-31	VYDAJ	VYBER	15	51315	SLUZBY	\N	\N
141034	471	1998-09-30	VYDAJ	VYBER	15	51609	SLUZBY	\N	\N
141035	471	1998-10-31	VYDAJ	VYBER	15	51705	SLUZBY	\N	\N
141036	471	1998-11-30	VYDAJ	VYBER	15	45585	SLUZBY	\N	\N
141037	471	1995-07-07	PRIJEM	VKLAD	2400	18504	\N	\N	\N
141038	471	1995-08-06	VYDAJ	VYBER	3900	24680	\N	\N	\N
141039	471	1995-09-05	VYDAJ	VYBER	4600	30190	\N	\N	\N
141040	471	1995-10-05	VYDAJ	VYBER	12100	28224	\N	\N	\N
141041	471	1995-11-04	VYDAJ	VYBER	8100	29059	\N	\N	\N
141042	471	1995-12-04	VYDAJ	VYBER	4900	27455	\N	\N	\N
141043	471	1996-01-03	VYDAJ	VYBER	7700	24601	\N	\N	\N
141044	471	1996-03-03	VYDAJ	VYBER	5200	19798	\N	\N	\N
141045	471	1996-04-02	VYDAJ	VYBER	2400	21375	\N	\N	\N
141046	471	1996-05-02	VYDAJ	VYBER	1300	20323	\N	\N	\N
141047	471	1996-06-01	VYDAJ	VYBER	1100	23197	\N	\N	\N
141048	471	1996-07-01	VYDAJ	VYBER	6100	26083	\N	\N	\N
141049	471	1996-07-31	VYDAJ	VYBER	1000	29086	\N	\N	\N
141050	471	1996-08-30	PRIJEM	VKLAD	1200	31300	\N	\N	\N
141051	471	1996-09-29	VYDAJ	VYBER	1000	30821	\N	\N	\N
141052	471	1996-10-29	VYDAJ	VYBER	3800	26345	\N	\N	\N
141053	471	1996-11-28	PRIJEM	VKLAD	3800	29821	\N	\N	\N
141054	471	1996-12-28	VYDAJ	VYBER	3700	33810	\N	\N	\N
141055	471	1997-01-27	PRIJEM	VKLAD	2700	31889	\N	\N	\N
141056	471	1997-02-26	VYDAJ	VYBER	3000	31704	\N	\N	\N
141057	471	1997-03-28	VYDAJ	VYBER	900	29298	\N	\N	\N
141058	471	1997-04-27	PRIJEM	VKLAD	800	32184	\N	\N	\N
141059	471	1997-05-27	PRIJEM	VKLAD	200	36389	\N	\N	\N
141060	471	1997-06-26	VYDAJ	VYBER	5200	40199	\N	\N	\N
141061	471	1997-07-26	VYDAJ	VYBER	4200	40049	\N	\N	\N
141062	471	1997-08-25	VYDAJ	VYBER	4200	39901	\N	\N	\N
141063	471	1997-09-24	VYDAJ	VYBER	2500	41453	\N	\N	\N
141064	471	1997-10-24	PRIJEM	VKLAD	2600	48106	\N	\N	\N
141065	471	1997-11-23	PRIJEM	VKLAD	3100	45064	\N	\N	\N
141066	471	1997-12-23	PRIJEM	VKLAD	3000	46312	\N	\N	\N
141067	471	1998-01-22	PRIJEM	VKLAD	1000	45503	\N	\N	\N
141068	471	1998-02-21	PRIJEM	VKLAD	2300	43586	\N	\N	\N
141069	471	1998-03-23	VYDAJ	VYBER	3000	44634	\N	\N	\N
141070	471	1998-04-22	PRIJEM	VKLAD	600	46780	\N	\N	\N
141071	471	1998-05-22	VYDAJ	VYBER	3700	47147	\N	\N	\N
141072	471	1998-06-21	VYDAJ	VYBER KARTOU	3600	52612	\N	\N	0
141073	471	1998-07-21	VYDAJ	VYBER KARTOU	3000	53705	\N	\N	0
141074	471	1998-08-20	VYDAJ	VYBER	6700	51108	\N	\N	\N
141075	471	1998-09-19	VYDAJ	VYBER KARTOU	3800	51409	\N	\N	0
141076	471	1998-10-19	VYDAJ	VYBER KARTOU	4000	51503	\N	\N	0
141077	471	1998-11-18	VYDAJ	VYBER	7800	45399	\N	\N	\N
141078	471	1998-12-18	VYDAJ	VYBER KARTOU	900	50966	\N	\N	0
141122	472	1996-10-11	PRIJEM	VKLAD	300	300	\N	\N	\N
141133	472	1996-11-07	PRIJEM	PREVOD Z UCTU	49201	49501	\N	IJ	8199900
141134	472	1996-12-07	PRIJEM	PREVOD Z UCTU	73802	112215	\N	IJ	8199900
141135	472	1997-01-07	PRIJEM	PREVOD Z UCTU	49201	91296	\N	IJ	8199900
141136	472	1997-02-07	PRIJEM	PREVOD Z UCTU	49201	108424	\N	IJ	8199900
141137	472	1997-03-07	PRIJEM	PREVOD Z UCTU	49201	113888	\N	IJ	8199900
141138	472	1997-04-07	PRIJEM	PREVOD Z UCTU	49201	86366	\N	IJ	8199900
141139	472	1997-05-07	PRIJEM	PREVOD Z UCTU	49201	87523	\N	IJ	8199900
141140	472	1997-06-07	PRIJEM	PREVOD Z UCTU	73802	116386	\N	IJ	8199900
141141	472	1997-07-07	PRIJEM	PREVOD Z UCTU	49201	46526	\N	IJ	8199900
141142	472	1997-08-07	PRIJEM	PREVOD Z UCTU	49201	53228	\N	IJ	8199900
141143	472	1997-09-07	PRIJEM	PREVOD Z UCTU	49201	71011	\N	IJ	8199900
141144	472	1997-10-07	PRIJEM	PREVOD Z UCTU	49201	83681	\N	IJ	8199900
141145	472	1997-11-07	PRIJEM	PREVOD Z UCTU	49201	92359	\N	IJ	8199900
141146	472	1997-12-07	PRIJEM	PREVOD Z UCTU	73802	129583	\N	IJ	8199900
141147	472	1998-01-07	PRIJEM	PREVOD Z UCTU	49201	80898	\N	IJ	8199900
141148	472	1998-02-07	PRIJEM	PREVOD Z UCTU	49201	92065	\N	IJ	8199900
141149	472	1998-03-07	PRIJEM	PREVOD Z UCTU	49201	83470	\N	IJ	8199900
141150	472	1998-04-07	PRIJEM	PREVOD Z UCTU	49201	100556	\N	IJ	8199900
141151	472	1998-05-07	PRIJEM	PREVOD Z UCTU	49201	100220	\N	IJ	8199900
141152	472	1998-06-07	PRIJEM	PREVOD Z UCTU	73802	130885	\N	IJ	8199900
141153	472	1998-07-07	PRIJEM	PREVOD Z UCTU	49201	66019	\N	IJ	8199900
141154	472	1998-08-07	PRIJEM	PREVOD Z UCTU	49201	77217	\N	IJ	8199900
141155	472	1998-09-07	PRIJEM	PREVOD Z UCTU	49201	80544	\N	IJ	8199900
141156	472	1998-10-07	PRIJEM	PREVOD Z UCTU	49201	85723	\N	IJ	8199900
141157	472	1998-11-07	PRIJEM	PREVOD Z UCTU	49201	78429	\N	IJ	8199900
141158	472	1998-12-07	PRIJEM	PREVOD Z UCTU	73802	108182	\N	IJ	8199900
141173	472	1997-03-11	VYDAJ	VYBER	10800	36988	\N	\N	0
141174	472	1997-04-18	VYDAJ	VYBER	10000	38166	\N	\N	0
141175	472	1997-05-12	VYDAJ	PREVOD NA UCET	8200	42423	UVER	UV	6824928
141176	472	1997-06-12	VYDAJ	PREVOD NA UCET	8200	14886	UVER	UV	6824928
141178	472	1997-08-12	VYDAJ	PREVOD NA UCET	8200	26928	UVER	UV	6824928
141179	472	1997-09-12	VYDAJ	PREVOD NA UCET	8200	55911	UVER	UV	6824928
141180	472	1997-10-12	VYDAJ	PREVOD NA UCET	8200	75481	UVER	UV	6824928
141181	472	1997-11-12	VYDAJ	PREVOD NA UCET	8200	84159	UVER	UV	6824928
141182	472	1997-12-12	VYDAJ	PREVOD NA UCET	8200	84183	UVER	UV	6824928
141183	472	1998-01-12	VYDAJ	PREVOD NA UCET	8200	72697	UVER	UV	6824928
141184	472	1998-02-12	VYDAJ	PREVOD NA UCET	8200	83865	UVER	UV	6824928
141185	472	1998-03-12	VYDAJ	PREVOD NA UCET	8200	75270	UVER	UV	6824928
141186	472	1998-04-12	VYDAJ	PREVOD NA UCET	8200	92356	UVER	UV	6824928
141187	472	1998-05-12	VYDAJ	PREVOD NA UCET	8200	92019	UVER	UV	6824928
141188	472	1998-06-12	VYDAJ	PREVOD NA UCET	8200	92685	UVER	UV	6824928
141189	472	1998-07-12	VYDAJ	PREVOD NA UCET	8200	57819	UVER	UV	6824928
141190	472	1998-08-12	VYDAJ	PREVOD NA UCET	8200	69017	UVER	UV	6824928
141191	472	1998-09-12	VYDAJ	PREVOD NA UCET	8200	72344	UVER	UV	6824928
141192	472	1998-10-12	VYDAJ	PREVOD NA UCET	8200	77523	UVER	UV	6824928
141193	472	1998-11-12	VYDAJ	PREVOD NA UCET	8200	70229	UVER	UV	6824928
141194	472	1998-12-12	VYDAJ	PREVOD NA UCET	8200	46482	UVER	UV	6824928
141204	472	1997-10-01	VYBER	VYBER	9130	46980	\N	\N	\N
141205	472	1997-07-09	VYBER	VYBER	16724	13902	\N	\N	\N
141206	472	1997-06-26	VYBER	VYBER	17642	-2756	\N	\N	\N
141207	472	1998-01-02	VYBER	VYBER	3540	72897	\N	\N	\N
141208	472	1998-02-21	VYBER	VYBER	22169	50596	\N	\N	\N
141210	472	1997-06-10	VYDAJ	VYBER	21900	23086	\N	\N	\N
141211	472	1998-06-25	VYDAJ	VYBER	78300	14385	\N	\N	\N
141213	472	1997-12-26	VYDAJ	VYBER	4200	79983	\N	\N	\N
141214	472	1998-12-22	VYDAJ	VYBER	6900	30582	\N	\N	\N
141227	472	1998-01-28	VYDAJ	VYBER	1500	64897	\N	\N	\N
141228	472	1998-01-04	VYDAJ	VYBER	8700	46697	\N	\N	\N
141229	472	1998-01-04	VYDAJ	VYBER	6900	39797	\N	\N	\N
141230	472	1998-01-16	VYDAJ	VYBER	6300	66397	\N	\N	\N
141231	472	1998-01-01	VYDAJ	VYBER	3900	76437	\N	\N	\N
141232	472	1998-01-06	VYDAJ	VYBER	8100	31697	\N	\N	\N
141238	472	1997-10-22	VYDAJ	VYBER	4500	68581	\N	\N	\N
141239	472	1997-06-07	VYDAJ	VYBER	10500	80386	\N	\N	\N
141240	472	1997-09-10	VYDAJ	VYBER	6900	64111	\N	\N	\N
141241	472	1997-08-27	VYDAJ	VYBER	4200	22728	\N	\N	\N
141242	472	1997-11-04	VYDAJ	VYBER	8700	60158	\N	\N	\N
141243	472	1997-07-09	VYDAJ	VYBER	9900	4002	\N	\N	\N
141244	472	1997-12-10	VYDAJ	VYBER	14400	92383	\N	\N	\N
141245	472	1997-10-19	VYDAJ	VYBER	2400	73081	\N	\N	\N
141246	472	1998-02-14	VYDAJ	VYBER	11100	72765	\N	\N	\N
141247	472	1998-08-18	VYDAJ	VYBER	14700	54317	\N	\N	\N
141248	472	1998-08-03	VYDAJ	VYBER	5400	28016	\N	\N	\N
141249	472	1998-05-04	VYDAJ	VYBER	12900	79819	\N	\N	\N
141250	472	1998-11-23	VYDAJ	VYBER	1500	68729	\N	\N	\N
141251	472	1998-11-06	VYDAJ	VYBER	9300	29228	\N	\N	\N
141252	472	1998-12-19	VYDAJ	VYBER	9000	37482	\N	\N	\N
141268	472	1997-03-31	VYDAJ	VYBER	15	37165	SLUZBY	\N	\N
141269	472	1997-04-30	VYDAJ	VYBER	15	38322	SLUZBY	\N	\N
141270	472	1997-05-31	VYDAJ	VYBER	15	42584	SLUZBY	\N	\N
141271	472	1997-06-30	VYDAJ	VYBER	15	-2671	SLUZBY	\N	\N
141272	472	1997-07-31	VYDAJ	VYBER	15	4027	SLUZBY	\N	\N
141273	472	1997-08-31	VYDAJ	VYBER	15	22810	SLUZBY	\N	\N
141274	472	1997-09-30	VYDAJ	VYBER	15	56110	SLUZBY	\N	\N
141275	472	1997-10-31	VYDAJ	VYBER	15	68858	SLUZBY	\N	\N
141276	472	1997-11-30	VYDAJ	VYBER	15	84481	SLUZBY	\N	\N
141277	472	1997-12-31	VYDAJ	VYBER	15	80337	SLUZBY	\N	\N
141278	472	1998-01-31	VYDAJ	VYBER	15	65164	SLUZBY	\N	\N
141279	472	1998-02-28	VYDAJ	VYBER	15	50869	SLUZBY	\N	\N
141280	472	1998-03-31	VYDAJ	VYBER	15	75555	SLUZBY	\N	\N
141281	472	1998-04-30	VYDAJ	VYBER	15	92719	SLUZBY	\N	\N
141282	472	1998-05-31	VYDAJ	VYBER	15	92383	SLUZBY	\N	\N
141283	472	1998-06-30	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
141284	472	1998-07-31	VYDAJ	VYBER	15	58016	SLUZBY	\N	\N
141285	472	1998-08-31	VYDAJ	VYBER	15	54543	SLUZBY	\N	\N
141286	472	1998-09-30	VYDAJ	VYBER	15	72622	SLUZBY	\N	\N
141287	472	1998-10-31	VYDAJ	VYBER	15	77828	SLUZBY	\N	\N
141288	472	1998-11-30	VYDAJ	VYBER	15	68980	SLUZBY	\N	\N
141289	472	1996-11-10	VYDAJ	VYBER	11200	38301	\N	\N	\N
141290	472	1996-12-07	VYDAJ	VYBER	49800	62415	\N	\N	\N
141291	472	1996-12-10	VYDAJ	VYBER	20500	41915	\N	\N	\N
141292	472	1997-01-09	VYDAJ	VYBER	32300	58996	\N	\N	\N
141293	472	1997-02-08	VYDAJ	VYBER	44000	64424	\N	\N	\N
141294	472	1997-03-07	VYDAJ	VYBER	42400	71488	\N	\N	\N
141295	472	1997-03-10	VYDAJ	VYBER	23700	47788	\N	\N	\N
141296	472	1997-04-09	VYDAJ	VYBER	38200	48166	\N	\N	\N
141297	472	1997-05-09	VYDAJ	VYBER	36900	50623	\N	\N	\N
141298	472	1997-06-07	VYDAJ	VYBER	25500	90886	\N	\N	\N
141299	472	1997-06-08	VYDAJ	VYBER	35400	44986	\N	\N	\N
141300	472	1997-07-08	VYDAJ	VYBER	15900	30626	\N	\N	\N
141301	472	1997-08-07	VYDAJ	VYBER	18100	35128	\N	\N	\N
141302	472	1997-09-06	VYDAJ	VYBER	1000	21810	\N	\N	\N
141303	472	1997-10-06	VYDAJ	VYBER	12500	34480	\N	\N	\N
141304	472	1997-11-05	VYDAJ	VYBER	17000	43158	\N	\N	\N
141305	472	1997-12-05	VYDAJ	VYBER	28700	55781	\N	\N	\N
141306	472	1997-12-07	VYDAJ	VYBER	22800	106783	\N	\N	\N
141307	472	1998-01-04	VYDAJ	VYBER	17500	55397	\N	\N	\N
141308	472	1998-02-03	VYDAJ	VYBER	22300	42864	\N	\N	\N
141309	472	1998-03-05	VYDAJ	VYBER	16600	34269	\N	\N	\N
141310	472	1998-04-04	VYDAJ	VYBER	24200	51355	\N	\N	\N
141311	472	1998-05-04	VYDAJ	VYBER	28800	51019	\N	\N	\N
141312	472	1998-06-03	VYDAJ	VYBER	35300	57083	\N	\N	\N
141313	472	1998-06-07	VYDAJ	VYBER	30000	100885	\N	\N	\N
141314	472	1998-07-03	PRIJEM	VKLAD	2100	16818	\N	\N	\N
141315	472	1998-08-02	VYDAJ	VYBER	24600	33416	\N	\N	\N
141316	472	1998-09-01	VYDAJ	VYBER	23200	31343	\N	\N	\N
141317	472	1998-10-01	VYDAJ	VYBER	36100	36522	\N	\N	\N
141318	472	1998-10-31	VYDAJ	VYBER	39300	38528	\N	\N	\N
141319	472	1998-11-30	VYDAJ	VYBER	34600	34380	\N	\N	\N
141320	472	1998-12-07	VYDAJ	VYBER	53500	54682	\N	\N	\N
141347	473	1996-10-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
141358	473	1996-11-06	PRIJEM	VKLAD	11634	12734	\N	\N	\N
141359	473	1996-12-06	PRIJEM	VKLAD	17451	35816	\N	\N	\N
141360	473	1997-01-06	PRIJEM	VKLAD	11634	43349	\N	\N	\N
141361	473	1997-02-06	PRIJEM	VKLAD	11634	47723	\N	\N	\N
141362	473	1997-03-06	PRIJEM	VKLAD	11634	47206	\N	\N	\N
141363	473	1997-04-06	PRIJEM	VKLAD	11634	43692	\N	\N	\N
141364	473	1997-05-06	PRIJEM	VKLAD	11634	37861	\N	\N	\N
141365	473	1997-06-06	PRIJEM	VKLAD	17451	38421	\N	\N	\N
141366	473	1997-07-06	PRIJEM	VKLAD	11634	33261	\N	\N	\N
141367	473	1997-08-06	PRIJEM	VKLAD	11634	34295	\N	\N	\N
141368	473	1997-09-06	PRIJEM	VKLAD	11634	37541	\N	\N	\N
141369	473	1997-10-06	PRIJEM	VKLAD	11634	37189	\N	\N	\N
141370	473	1997-11-06	PRIJEM	VKLAD	11634	35046	\N	\N	\N
141371	473	1997-12-06	PRIJEM	VKLAD	17451	43510	\N	\N	\N
141372	473	1998-01-06	PRIJEM	VKLAD	11634	37679	\N	\N	\N
141373	473	1998-02-06	PRIJEM	VKLAD	11634	34023	\N	\N	\N
141374	473	1998-03-06	PRIJEM	VKLAD	11634	35560	\N	\N	\N
141375	473	1998-04-06	PRIJEM	VKLAD	11634	35702	\N	\N	\N
141376	473	1998-05-06	PRIJEM	VKLAD	11634	25818	\N	\N	\N
141377	473	1998-06-06	PRIJEM	VKLAD	17451	34841	\N	\N	\N
141378	473	1998-07-06	PRIJEM	VKLAD	11634	29668	\N	\N	\N
141379	473	1998-08-06	PRIJEM	VKLAD	11634	33091	\N	\N	\N
141380	473	1998-09-06	PRIJEM	VKLAD	11634	36428	\N	\N	\N
141381	473	1998-10-06	PRIJEM	VKLAD	11634	39578	\N	\N	\N
141382	473	1998-11-06	PRIJEM	VKLAD	11634	38128	\N	\N	\N
141383	473	1998-12-06	PRIJEM	VKLAD	17451	46199	\N	\N	\N
141398	473	1997-03-07	VYDAJ	PREVOD NA UCET	4237	42894	SIPO	GH	65049969
141399	473	1997-04-07	VYDAJ	PREVOD NA UCET	4237	39380	SIPO	GH	65049969
141400	473	1997-05-07	VYDAJ	PREVOD NA UCET	4237	33549	SIPO	GH	65049969
141401	473	1997-06-07	VYDAJ	PREVOD NA UCET	4237	34109	SIPO	GH	65049969
141402	473	1997-07-07	VYDAJ	PREVOD NA UCET	4237	28949	SIPO	GH	65049969
141403	473	1997-08-07	VYDAJ	PREVOD NA UCET	4237	29983	SIPO	GH	65049969
141404	473	1997-09-07	VYDAJ	PREVOD NA UCET	4237	33229	SIPO	GH	65049969
141405	473	1997-10-07	VYDAJ	PREVOD NA UCET	4237	32877	SIPO	GH	65049969
141406	473	1997-11-07	VYDAJ	PREVOD NA UCET	4237	30734	SIPO	GH	65049969
141407	473	1997-12-07	VYDAJ	PREVOD NA UCET	4237	39198	SIPO	GH	65049969
141408	473	1998-01-07	VYDAJ	PREVOD NA UCET	4237	33367	SIPO	GH	65049969
141409	473	1998-02-07	VYDAJ	PREVOD NA UCET	4237	29711	SIPO	GH	65049969
141410	473	1998-03-07	VYDAJ	PREVOD NA UCET	4237	31248	SIPO	GH	65049969
141411	473	1998-04-07	VYDAJ	PREVOD NA UCET	4237	31390	SIPO	GH	65049969
141412	473	1998-05-07	VYDAJ	PREVOD NA UCET	4237	21506	SIPO	GH	65049969
141413	473	1998-06-07	VYDAJ	PREVOD NA UCET	4237	30529	SIPO	GH	65049969
141414	473	1998-07-07	VYDAJ	PREVOD NA UCET	4237	25356	SIPO	GH	65049969
141415	473	1998-08-07	VYDAJ	PREVOD NA UCET	4237	28779	SIPO	GH	65049969
141416	473	1998-09-07	VYDAJ	PREVOD NA UCET	4237	32116	SIPO	GH	65049969
141417	473	1998-10-07	VYDAJ	PREVOD NA UCET	4237	35266	SIPO	GH	65049969
141418	473	1998-11-07	VYDAJ	PREVOD NA UCET	4237	33816	SIPO	GH	65049969
141419	473	1998-12-07	VYDAJ	PREVOD NA UCET	4237	41887	SIPO	GH	65049969
141434	473	1997-03-08	VYDAJ	PREVOD NA UCET	2640	40254	 	KL	67095625
141435	473	1997-04-08	VYDAJ	PREVOD NA UCET	2640	36407	 	KL	67095625
141436	473	1997-05-08	VYDAJ	PREVOD NA UCET	2640	30909	 	KL	67095625
141437	473	1997-06-08	VYDAJ	PREVOD NA UCET	2640	31469	 	KL	67095625
141438	473	1997-07-08	VYDAJ	PREVOD NA UCET	2640	25976	 	KL	67095625
141439	473	1997-08-08	VYDAJ	PREVOD NA UCET	2640	27010	 	KL	67095625
141440	473	1997-09-08	VYDAJ	PREVOD NA UCET	2640	30589	 	KL	67095625
141441	473	1997-10-08	VYDAJ	PREVOD NA UCET	2640	29904	 	KL	67095625
141442	473	1997-11-08	VYDAJ	PREVOD NA UCET	2640	28094	 	KL	67095625
141443	473	1997-12-08	VYDAJ	PREVOD NA UCET	2640	36225	 	KL	67095625
141444	473	1998-01-08	VYDAJ	PREVOD NA UCET	2640	30727	 	KL	67095625
141445	473	1998-02-08	VYDAJ	PREVOD NA UCET	2640	26738	 	KL	67095625
141446	473	1998-03-08	VYDAJ	PREVOD NA UCET	2640	28275	 	KL	67095625
141447	473	1998-04-08	VYDAJ	PREVOD NA UCET	2640	28750	 	KL	67095625
141448	473	1998-05-08	VYDAJ	PREVOD NA UCET	2640	18533	 	KL	67095625
141449	473	1998-06-08	VYDAJ	PREVOD NA UCET	2640	27889	 	KL	67095625
141450	473	1998-07-08	VYDAJ	PREVOD NA UCET	2640	22716	 	KL	67095625
141451	473	1998-08-08	VYDAJ	PREVOD NA UCET	2640	26139	 	KL	67095625
141452	473	1998-09-08	VYDAJ	PREVOD NA UCET	2640	29476	 	KL	67095625
141453	473	1998-10-08	VYDAJ	PREVOD NA UCET	2640	32626	 	KL	67095625
141454	473	1998-11-08	VYDAJ	PREVOD NA UCET	2640	31176	 	KL	67095625
141455	473	1998-12-08	VYDAJ	PREVOD NA UCET	2640	38914	 	KL	67095625
141470	473	1997-03-06	VYDAJ	PREVOD NA UCET	75	47131	POJISTNE	QR	76250731
141471	473	1997-04-06	VYDAJ	PREVOD NA UCET	75	43617	POJISTNE	QR	76250731
141472	473	1997-05-06	VYDAJ	PREVOD NA UCET	75	37786	POJISTNE	QR	76250731
141473	473	1997-06-06	VYDAJ	PREVOD NA UCET	75	38346	POJISTNE	QR	76250731
141474	473	1997-07-06	VYDAJ	PREVOD NA UCET	75	33186	POJISTNE	QR	76250731
141475	473	1997-08-06	VYDAJ	PREVOD NA UCET	75	34220	POJISTNE	QR	76250731
141476	473	1997-09-06	VYDAJ	PREVOD NA UCET	75	37466	POJISTNE	QR	76250731
141477	473	1997-10-06	VYDAJ	PREVOD NA UCET	75	37114	POJISTNE	QR	76250731
141478	473	1997-11-06	VYDAJ	PREVOD NA UCET	75	34971	POJISTNE	QR	76250731
141479	473	1997-12-06	VYDAJ	PREVOD NA UCET	75	43435	POJISTNE	QR	76250731
141480	473	1998-01-06	VYDAJ	PREVOD NA UCET	75	37604	POJISTNE	QR	76250731
141481	473	1998-02-06	VYDAJ	PREVOD NA UCET	75	33948	POJISTNE	QR	76250731
141482	473	1998-03-06	VYDAJ	PREVOD NA UCET	75	35485	POJISTNE	QR	76250731
141483	473	1998-04-06	VYDAJ	PREVOD NA UCET	75	35627	POJISTNE	QR	76250731
141484	473	1998-05-06	VYDAJ	PREVOD NA UCET	75	25743	POJISTNE	QR	76250731
141485	473	1998-06-06	VYDAJ	PREVOD NA UCET	75	34766	POJISTNE	QR	76250731
141486	473	1998-07-06	VYDAJ	PREVOD NA UCET	75	29593	POJISTNE	QR	76250731
141487	473	1998-08-06	VYDAJ	PREVOD NA UCET	75	33016	POJISTNE	QR	76250731
141488	473	1998-09-06	VYDAJ	PREVOD NA UCET	75	36353	POJISTNE	QR	76250731
141489	473	1998-10-06	VYDAJ	PREVOD NA UCET	75	39503	POJISTNE	QR	76250731
141490	473	1998-11-06	VYDAJ	PREVOD NA UCET	75	38053	POJISTNE	QR	76250731
141491	473	1998-12-06	VYDAJ	PREVOD NA UCET	75	46124	POJISTNE	QR	76250731
141506	473	1997-03-08	VYDAJ	PREVOD NA UCET	333	39921	 	YZ	22973603
141507	473	1997-04-08	VYDAJ	PREVOD NA UCET	333	39047	 	YZ	22973603
141508	473	1997-05-08	VYDAJ	PREVOD NA UCET	333	30576	 	YZ	22973603
141509	473	1997-06-08	VYDAJ	PREVOD NA UCET	333	31136	 	YZ	22973603
141510	473	1997-07-08	VYDAJ	PREVOD NA UCET	333	28616	 	YZ	22973603
141511	473	1997-08-08	VYDAJ	PREVOD NA UCET	333	29650	 	YZ	22973603
141512	473	1997-09-08	VYDAJ	PREVOD NA UCET	333	30256	 	YZ	22973603
141513	473	1997-10-08	VYDAJ	PREVOD NA UCET	333	32544	 	YZ	22973603
141514	473	1997-11-08	VYDAJ	PREVOD NA UCET	333	27761	 	YZ	22973603
141515	473	1997-12-08	VYDAJ	PREVOD NA UCET	333	38865	 	YZ	22973603
141516	473	1998-01-08	VYDAJ	PREVOD NA UCET	333	30394	 	YZ	22973603
141517	473	1998-02-08	VYDAJ	PREVOD NA UCET	333	29378	 	YZ	22973603
141518	473	1998-03-08	VYDAJ	PREVOD NA UCET	333	30915	 	YZ	22973603
141519	473	1998-04-08	VYDAJ	PREVOD NA UCET	333	28417	 	YZ	22973603
141520	473	1998-05-08	VYDAJ	PREVOD NA UCET	333	21173	 	YZ	22973603
141521	473	1998-06-08	VYDAJ	PREVOD NA UCET	333	27556	 	YZ	22973603
141522	473	1998-07-08	VYDAJ	PREVOD NA UCET	333	22383	 	YZ	22973603
141523	473	1998-08-08	VYDAJ	PREVOD NA UCET	333	25806	 	YZ	22973603
141524	473	1998-09-08	VYDAJ	PREVOD NA UCET	333	29143	 	YZ	22973603
141525	473	1998-10-08	VYDAJ	PREVOD NA UCET	333	32293	 	YZ	22973603
141526	473	1998-11-08	VYDAJ	PREVOD NA UCET	333	30843	 	YZ	22973603
141527	473	1998-12-08	VYDAJ	PREVOD NA UCET	333	41554	 	YZ	22973603
141533	473	1998-01-02	VYDAJ	VYBER	3300	28145	\N	\N	\N
141535	473	1997-12-13	VYDAJ	VYBER	500	35725	\N	\N	\N
141536	473	1998-12-20	VYDAJ	VYBER	900	28914	\N	\N	\N
141549	473	1998-01-26	VYDAJ	VYBER	700	22294	\N	\N	\N
141550	473	1998-01-13	VYDAJ	VYBER	1200	27094	\N	\N	\N
141551	473	1998-01-15	VYDAJ	VYBER	1500	24694	\N	\N	\N
141552	473	1998-01-20	VYDAJ	VYBER	1700	22994	\N	\N	\N
141553	473	1998-01-11	VYDAJ	VYBER	2100	28294	\N	\N	\N
141554	473	1998-01-04	VYDAJ	VYBER	2100	26045	\N	\N	\N
141564	473	1997-05-20	VYDAJ	VYBER	3500	20876	\N	\N	\N
141565	473	1997-10-30	VYDAJ	VYBER	800	27704	\N	\N	\N
141566	473	1997-10-31	VYDAJ	VYBER	4400	23412	\N	\N	\N
141567	473	1998-06-21	VYDAJ	VYBER	4500	19656	\N	\N	\N
141568	473	1998-04-13	VYDAJ	VYBER	3100	25317	\N	\N	\N
141569	473	1998-06-24	VYDAJ	VYBER	1700	17956	\N	\N	\N
141571	473	1998-04-13	VYDAJ	VYBER	3300	15917	\N	\N	\N
141572	473	1998-04-16	VYDAJ	VYBER	1800	14117	\N	\N	\N
141588	473	1997-03-31	VYDAJ	VYBER	15	32058	SLUZBY	\N	\N
141589	473	1997-04-30	VYDAJ	VYBER	15	26227	SLUZBY	\N	\N
141590	473	1997-05-31	VYDAJ	VYBER	15	20970	SLUZBY	\N	\N
141591	473	1997-06-30	VYDAJ	VYBER	15	21627	SLUZBY	\N	\N
141592	473	1997-07-31	VYDAJ	VYBER	15	22661	SLUZBY	\N	\N
141593	473	1997-08-31	VYDAJ	VYBER	15	25907	SLUZBY	\N	\N
141594	473	1997-09-30	VYDAJ	VYBER	15	25555	SLUZBY	\N	\N
141595	473	1997-10-31	VYDAJ	VYBER	15	27812	SLUZBY	\N	\N
141596	473	1997-11-30	VYDAJ	VYBER	15	26059	SLUZBY	\N	\N
141597	473	1997-12-31	VYDAJ	VYBER	15	31445	SLUZBY	\N	\N
141598	473	1998-01-31	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
141599	473	1998-02-28	VYDAJ	VYBER	15	23926	SLUZBY	\N	\N
141600	473	1998-03-31	VYDAJ	VYBER	15	24068	SLUZBY	\N	\N
141601	473	1998-04-30	VYDAJ	VYBER	15	14184	SLUZBY	\N	\N
141602	473	1998-05-31	VYDAJ	VYBER	15	17390	SLUZBY	\N	\N
141603	473	1998-06-30	VYDAJ	VYBER	15	18034	SLUZBY	\N	\N
141604	473	1998-07-31	VYDAJ	VYBER	15	21457	SLUZBY	\N	\N
141605	473	1998-08-31	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
141606	473	1998-09-30	VYDAJ	VYBER	15	27944	SLUZBY	\N	\N
141607	473	1998-10-31	VYDAJ	VYBER	15	26494	SLUZBY	\N	\N
141608	473	1998-11-30	VYDAJ	VYBER	15	28748	SLUZBY	\N	\N
141609	473	1996-11-19	PRIJEM	VKLAD	5600	18334	\N	\N	\N
141610	473	1996-12-19	VYDAJ	VYBER	4200	31616	\N	\N	\N
141611	473	1997-01-18	VYDAJ	VYBER	7400	35949	\N	\N	\N
141612	473	1997-02-17	VYDAJ	VYBER	12300	35423	\N	\N	\N
141613	473	1997-03-19	VYDAJ	VYBER	8000	31921	\N	\N	\N
141614	473	1997-04-18	VYDAJ	VYBER	10300	26107	\N	\N	\N
141615	473	1997-05-18	VYDAJ	VYBER	6200	24376	\N	\N	\N
141616	473	1997-06-17	VYDAJ	VYBER	9600	21536	\N	\N	\N
141617	473	1997-07-17	VYDAJ	VYBER	3400	22576	\N	\N	\N
141618	473	1997-08-16	VYDAJ	VYBER	1200	25810	\N	\N	\N
141619	473	1997-09-15	VYDAJ	VYBER	4800	25456	\N	\N	\N
141620	473	1997-10-15	VYDAJ	VYBER	1400	28504	\N	\N	\N
141621	473	1997-11-14	VYDAJ	VYBER	1800	25961	\N	\N	\N
141622	473	1997-12-14	VYDAJ	VYBER	4400	31325	\N	\N	\N
141623	473	1998-01-13	VYDAJ	VYBER	900	26194	\N	\N	\N
141624	473	1998-02-12	VYDAJ	VYBER	2900	23838	\N	\N	\N
141625	473	1998-03-14	VYDAJ	VYBER	4300	23975	\N	\N	\N
141626	473	1998-04-13	VYDAJ	VYBER	6100	19217	\N	\N	\N
141627	473	1998-05-13	VYDAJ	VYBER	1200	17333	\N	\N	\N
141628	473	1998-06-12	VYDAJ	VYBER	3400	24156	\N	\N	\N
141629	473	1998-07-12	VYDAJ	VYBER	1000	21383	\N	\N	\N
141630	473	1998-08-11	VYDAJ	VYBER	1100	24706	\N	\N	\N
141631	473	1998-09-10	VYDAJ	VYBER	1300	27843	\N	\N	\N
141632	473	1998-10-10	VYDAJ	VYBER	5900	26393	\N	\N	\N
141633	473	1998-11-09	VYDAJ	VYBER	2200	28643	\N	\N	\N
141634	473	1998-12-09	VYDAJ	VYBER	9100	29814	\N	\N	\N
141661	474	1995-12-06	PRIJEM	VKLAD	900	900	\N	\N	\N
141673	474	1995-12-13	PRIJEM	PREVOD Z UCTU	3451	4351	\N	EF	1879376
141674	474	1996-01-13	PRIJEM	PREVOD Z UCTU	3451	17313	\N	EF	1879376
141675	474	1996-02-13	PRIJEM	PREVOD Z UCTU	3451	23015	\N	EF	1879376
141676	474	1996-03-13	PRIJEM	PREVOD Z UCTU	3451	26252	\N	EF	1879376
141677	474	1996-04-13	PRIJEM	PREVOD Z UCTU	3451	27808	\N	EF	1879376
141678	474	1996-05-13	PRIJEM	PREVOD Z UCTU	3451	24187	\N	EF	1879376
141679	474	1996-06-13	PRIJEM	PREVOD Z UCTU	3451	23724	\N	EF	1879376
141680	474	1996-07-13	PRIJEM	PREVOD Z UCTU	3451	19493	\N	EF	1879376
141681	474	1996-08-13	PRIJEM	PREVOD Z UCTU	3451	25309	\N	EF	1879376
141682	474	1996-09-13	PRIJEM	PREVOD Z UCTU	3451	24145	\N	EF	1879376
141683	474	1996-10-13	PRIJEM	PREVOD Z UCTU	3451	28380	\N	EF	1879376
141684	474	1996-11-13	PRIJEM	PREVOD Z UCTU	3451	28728	\N	EF	1879376
141685	474	1996-12-13	PRIJEM	PREVOD Z UCTU	3451	22977	\N	EF	1879376
141686	474	1997-01-13	PRIJEM	PREVOD Z UCTU	3451	18734	\N	EF	1879376
141687	474	1997-02-13	PRIJEM	PREVOD Z UCTU	3451	19334	\N	EF	1879376
141688	474	1997-03-13	PRIJEM	PREVOD Z UCTU	3451	24649	\N	EF	1879376
141689	474	1997-04-13	PRIJEM	PREVOD Z UCTU	3451	24735	\N	EF	1879376
141690	474	1997-05-13	PRIJEM	PREVOD Z UCTU	3451	23289	\N	EF	1879376
141691	474	1997-06-13	PRIJEM	PREVOD Z UCTU	3451	19317	\N	EF	1879376
141692	474	1997-07-13	PRIJEM	PREVOD Z UCTU	3451	17131	\N	EF	1879376
141693	474	1997-08-13	PRIJEM	PREVOD Z UCTU	3451	16033	\N	EF	1879376
141694	474	1997-09-13	PRIJEM	PREVOD Z UCTU	3451	14160	\N	EF	1879376
141695	474	1997-10-13	PRIJEM	PREVOD Z UCTU	3451	15251	\N	EF	1879376
141696	474	1997-11-13	PRIJEM	PREVOD Z UCTU	3451	18950	\N	EF	1879376
141697	474	1997-12-13	PRIJEM	PREVOD Z UCTU	3451	23664	\N	EF	1879376
141698	474	1998-01-13	PRIJEM	PREVOD Z UCTU	3451	27548	\N	EF	1879376
141699	474	1998-02-13	PRIJEM	PREVOD Z UCTU	3451	24016	\N	EF	1879376
141700	474	1998-03-13	PRIJEM	PREVOD Z UCTU	3451	23847	\N	EF	1879376
141701	474	1998-04-13	PRIJEM	PREVOD Z UCTU	3451	22277	\N	EF	1879376
141702	474	1998-05-13	PRIJEM	PREVOD Z UCTU	3451	24704	\N	EF	1879376
141703	474	1998-06-13	PRIJEM	PREVOD Z UCTU	3451	28842	\N	EF	1879376
141704	474	1998-07-13	PRIJEM	PREVOD Z UCTU	3451	26809	\N	EF	1879376
141705	474	1998-08-13	PRIJEM	PREVOD Z UCTU	3451	28654	\N	EF	1879376
141706	474	1998-09-13	PRIJEM	PREVOD Z UCTU	3451	30556	\N	EF	1879376
141707	474	1998-10-13	PRIJEM	PREVOD Z UCTU	3451	32416	\N	EF	1879376
141708	474	1998-11-13	PRIJEM	PREVOD Z UCTU	3451	32280	\N	EF	1879376
141709	474	1998-12-13	PRIJEM	PREVOD Z UCTU	3451	35029	\N	EF	1879376
141726	474	1996-05-05	VYDAJ	PREVOD NA UCET	694	21906	SIPO	UV	33440119
141727	474	1996-06-05	VYDAJ	PREVOD NA UCET	694	21879	SIPO	UV	33440119
141728	474	1996-07-05	VYDAJ	PREVOD NA UCET	694	18728	SIPO	UV	33440119
141729	474	1996-08-05	VYDAJ	PREVOD NA UCET	694	21858	SIPO	UV	33440119
141730	474	1996-09-05	VYDAJ	PREVOD NA UCET	694	20694	SIPO	UV	33440119
141731	474	1996-10-05	VYDAJ	PREVOD NA UCET	694	26535	SIPO	UV	33440119
141732	474	1996-11-05	VYDAJ	PREVOD NA UCET	694	25277	SIPO	UV	33440119
141733	474	1996-12-05	VYDAJ	PREVOD NA UCET	694	19526	SIPO	UV	33440119
141734	474	1997-01-05	VYDAJ	PREVOD NA UCET	694	18599	SIPO	UV	33440119
141735	474	1997-02-05	VYDAJ	PREVOD NA UCET	694	17489	SIPO	UV	33440119
141736	474	1997-03-05	VYDAJ	PREVOD NA UCET	694	22804	SIPO	UV	33440119
141737	474	1997-04-05	VYDAJ	PREVOD NA UCET	694	21434	SIPO	UV	33440119
141738	474	1997-05-05	VYDAJ	PREVOD NA UCET	694	19838	SIPO	UV	33440119
141739	474	1997-06-05	VYDAJ	PREVOD NA UCET	694	19872	SIPO	UV	33440119
141740	474	1997-07-05	VYDAJ	PREVOD NA UCET	694	13680	SIPO	UV	33440119
141741	474	1997-08-05	VYDAJ	PREVOD NA UCET	694	12582	SIPO	UV	33440119
141742	474	1997-09-05	VYDAJ	PREVOD NA UCET	694	10709	SIPO	UV	33440119
141743	474	1997-10-05	VYDAJ	PREVOD NA UCET	694	13406	SIPO	UV	33440119
141744	474	1997-11-05	VYDAJ	PREVOD NA UCET	694	15499	SIPO	UV	33440119
141745	474	1997-12-05	VYDAJ	PREVOD NA UCET	694	20513	SIPO	UV	33440119
141746	474	1998-01-05	VYDAJ	PREVOD NA UCET	694	24097	SIPO	UV	33440119
141747	474	1998-02-05	VYDAJ	PREVOD NA UCET	694	20565	SIPO	UV	33440119
141748	474	1998-03-05	VYDAJ	PREVOD NA UCET	694	22002	SIPO	UV	33440119
141749	474	1998-04-05	VYDAJ	PREVOD NA UCET	694	20432	SIPO	UV	33440119
141750	474	1998-05-05	VYDAJ	PREVOD NA UCET	694	21253	SIPO	UV	33440119
141751	474	1998-06-05	VYDAJ	PREVOD NA UCET	694	25391	SIPO	UV	33440119
141752	474	1998-07-05	VYDAJ	PREVOD NA UCET	694	23358	SIPO	UV	33440119
141753	474	1998-08-05	VYDAJ	PREVOD NA UCET	694	25203	SIPO	UV	33440119
141754	474	1998-09-05	VYDAJ	PREVOD NA UCET	694	27105	SIPO	UV	33440119
141755	474	1998-10-05	VYDAJ	PREVOD NA UCET	694	28965	SIPO	UV	33440119
141756	474	1998-11-05	VYDAJ	PREVOD NA UCET	694	28829	SIPO	UV	33440119
141757	474	1998-12-05	VYDAJ	PREVOD NA UCET	694	32238	SIPO	UV	33440119
141774	474	1996-05-05	VYDAJ	PREVOD NA UCET	1606	22600	 	OP	79647504
141775	474	1996-06-05	VYDAJ	PREVOD NA UCET	1606	20273	 	OP	79647504
141776	474	1996-07-05	VYDAJ	PREVOD NA UCET	1606	16042	 	OP	79647504
141777	474	1996-08-05	VYDAJ	PREVOD NA UCET	1606	22552	 	OP	79647504
141778	474	1996-09-05	VYDAJ	PREVOD NA UCET	1606	21388	 	OP	79647504
141779	474	1996-10-05	VYDAJ	PREVOD NA UCET	1606	24929	 	OP	79647504
141780	474	1996-11-05	VYDAJ	PREVOD NA UCET	1606	25971	 	OP	79647504
141781	474	1996-12-05	VYDAJ	PREVOD NA UCET	1606	20220	 	OP	79647504
141782	474	1997-01-05	VYDAJ	PREVOD NA UCET	1606	16993	 	OP	79647504
141783	474	1997-02-05	VYDAJ	PREVOD NA UCET	1606	15883	 	OP	79647504
141784	474	1997-03-05	VYDAJ	PREVOD NA UCET	1606	21198	 	OP	79647504
141785	474	1997-04-05	VYDAJ	PREVOD NA UCET	1606	22128	 	OP	79647504
141786	474	1997-05-05	VYDAJ	PREVOD NA UCET	1606	20532	 	OP	79647504
141787	474	1997-06-05	VYDAJ	PREVOD NA UCET	1606	18266	 	OP	79647504
141788	474	1997-07-05	VYDAJ	PREVOD NA UCET	1606	14374	 	OP	79647504
141789	474	1997-08-05	VYDAJ	PREVOD NA UCET	1606	13276	 	OP	79647504
141790	474	1997-09-05	VYDAJ	PREVOD NA UCET	1606	11403	 	OP	79647504
141791	474	1997-10-05	VYDAJ	PREVOD NA UCET	1606	11800	 	OP	79647504
141792	474	1997-11-05	VYDAJ	PREVOD NA UCET	1606	16193	 	OP	79647504
141793	474	1997-12-05	VYDAJ	PREVOD NA UCET	1606	21207	 	OP	79647504
141794	474	1998-01-05	VYDAJ	PREVOD NA UCET	1606	24791	 	OP	79647504
141795	474	1998-02-05	VYDAJ	PREVOD NA UCET	1606	21259	 	OP	79647504
141796	474	1998-03-05	VYDAJ	PREVOD NA UCET	1606	20396	 	OP	79647504
141797	474	1998-04-05	VYDAJ	PREVOD NA UCET	1606	18826	 	OP	79647504
141798	474	1998-05-05	VYDAJ	PREVOD NA UCET	1606	21947	 	OP	79647504
141799	474	1998-06-05	VYDAJ	PREVOD NA UCET	1606	26085	 	OP	79647504
141800	474	1998-07-05	VYDAJ	PREVOD NA UCET	1606	24052	 	OP	79647504
141801	474	1998-08-05	VYDAJ	PREVOD NA UCET	1606	25897	 	OP	79647504
141802	474	1998-09-05	VYDAJ	PREVOD NA UCET	1606	27799	 	OP	79647504
141803	474	1998-10-05	VYDAJ	PREVOD NA UCET	1606	29659	 	OP	79647504
141804	474	1998-11-05	VYDAJ	PREVOD NA UCET	1606	29523	 	OP	79647504
141805	474	1998-12-05	VYDAJ	PREVOD NA UCET	1606	32932	 	OP	79647504
141807	474	1996-06-27	VYDAJ	VYBER	3480	20244	\N	\N	\N
141808	474	1997-06-05	VYDAJ	VYBER	2400	15866	\N	\N	\N
141809	474	1998-06-22	VYDAJ	VYBER	8880	19962	\N	\N	\N
141812	474	1997-01-04	VYDAJ	VYBER	2790	19293	\N	\N	\N
141813	474	1998-01-03	VYDAJ	VYBER	450	26397	\N	\N	\N
141815	474	1996-12-24	VYDAJ	VYBER	330	22647	\N	\N	\N
141816	474	1997-12-08	VYDAJ	VYBER	300	20213	\N	\N	\N
141817	474	1998-12-09	VYDAJ	VYBER	660	31578	\N	\N	\N
141830	474	1997-01-13	VYDAJ	VYBER	480	18254	\N	\N	\N
141831	474	1997-01-06	VYDAJ	VYBER	720	16273	\N	\N	\N
141832	474	1997-01-02	VYDAJ	VYBER	540	22083	\N	\N	\N
141833	474	1997-01-17	VYDAJ	VYBER	450	17204	\N	\N	\N
141834	474	1997-01-15	VYDAJ	VYBER	600	17654	\N	\N	\N
141835	474	1997-01-27	VYDAJ	VYBER	480	16724	\N	\N	\N
141836	474	1998-01-16	VYDAJ	VYBER	660	25808	\N	\N	\N
141837	474	1998-01-16	VYDAJ	VYBER	780	26468	\N	\N	\N
141838	474	1998-01-17	VYDAJ	VYBER	570	25238	\N	\N	\N
141839	474	1998-01-18	VYDAJ	VYBER	870	24368	\N	\N	\N
141840	474	1998-01-15	VYDAJ	VYBER	300	27248	\N	\N	\N
141841	474	1998-01-24	VYDAJ	VYBER	690	22778	\N	\N	\N
141848	474	1996-05-08	VYDAJ	VYBER	1170	20736	\N	\N	\N
141850	474	1996-07-05	VYDAJ	VYBER	1080	17648	\N	\N	\N
141851	474	1996-11-18	VYDAJ	VYBER	1200	27528	\N	\N	\N
141853	474	1997-01-11	VYDAJ	VYBER	990	15283	\N	\N	\N
141854	474	1997-09-03	VYDAJ	VYBER	270	13009	\N	\N	\N
141855	474	1997-04-08	VYDAJ	VYBER	150	21284	\N	\N	\N
141856	474	1997-04-17	VYDAJ	VYBER	180	24555	\N	\N	\N
141857	474	1998-12-02	VYDAJ	VYBER	420	34538	\N	\N	\N
141858	474	1998-08-27	VYDAJ	VYBER	1050	29304	\N	\N	\N
141859	474	1998-08-04	VYDAJ	VYBER	300	27503	\N	\N	\N
141860	474	1998-11-14	VYDAJ	VYBER	1440	30840	\N	\N	\N
141877	474	1996-04-30	VYDAJ	VYBER	15	27906	SLUZBY	\N	\N
141878	474	1996-05-31	VYDAJ	VYBER	15	24273	SLUZBY	\N	\N
141879	474	1996-06-30	VYDAJ	VYBER	15	20322	SLUZBY	\N	\N
141880	474	1996-07-31	VYDAJ	VYBER	15	19558	SLUZBY	\N	\N
141881	474	1996-08-31	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
141882	474	1996-09-30	VYDAJ	VYBER	15	24229	SLUZBY	\N	\N
141883	474	1996-10-31	VYDAJ	VYBER	15	27577	SLUZBY	\N	\N
141884	474	1996-11-30	VYDAJ	VYBER	15	21826	SLUZBY	\N	\N
141885	474	1996-12-31	VYDAJ	VYBER	15	22623	SLUZBY	\N	\N
141886	474	1997-01-31	VYDAJ	VYBER	15	18183	SLUZBY	\N	\N
141887	474	1997-02-28	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
141888	474	1997-03-31	VYDAJ	VYBER	15	23734	SLUZBY	\N	\N
141889	474	1997-04-30	VYDAJ	VYBER	15	22138	SLUZBY	\N	\N
141890	474	1997-05-31	VYDAJ	VYBER	15	20566	SLUZBY	\N	\N
141891	474	1997-06-30	VYDAJ	VYBER	15	15980	SLUZBY	\N	\N
141892	474	1997-07-31	VYDAJ	VYBER	15	14882	SLUZBY	\N	\N
141893	474	1997-08-31	VYDAJ	VYBER	15	13279	SLUZBY	\N	\N
141894	474	1997-09-30	VYDAJ	VYBER	15	14100	SLUZBY	\N	\N
141895	474	1997-10-31	VYDAJ	VYBER	15	17799	SLUZBY	\N	\N
141896	474	1997-11-30	VYDAJ	VYBER	15	22813	SLUZBY	\N	\N
141897	474	1997-12-31	VYDAJ	VYBER	15	26847	SLUZBY	\N	\N
141898	474	1998-01-31	VYDAJ	VYBER	15	22865	SLUZBY	\N	\N
141899	474	1998-02-28	VYDAJ	VYBER	15	22696	SLUZBY	\N	\N
141900	474	1998-03-31	VYDAJ	VYBER	15	21126	SLUZBY	\N	\N
141901	474	1998-04-30	VYDAJ	VYBER	15	23553	SLUZBY	\N	\N
141902	474	1998-05-31	VYDAJ	VYBER	15	27691	SLUZBY	\N	\N
141903	474	1998-06-30	VYDAJ	VYBER	15	25658	SLUZBY	\N	\N
141904	474	1998-07-31	VYDAJ	VYBER	15	27803	SLUZBY	\N	\N
141905	474	1998-08-31	VYDAJ	VYBER	15	29405	SLUZBY	\N	\N
141906	474	1998-09-30	VYDAJ	VYBER	15	31265	SLUZBY	\N	\N
141907	474	1998-10-31	VYDAJ	VYBER	15	31129	SLUZBY	\N	\N
141908	474	1998-11-30	VYDAJ	VYBER	15	34958	SLUZBY	\N	\N
141909	474	1996-01-05	PRIJEM	VKLAD	9500	13862	\N	\N	\N
141910	474	1996-02-04	PRIJEM	VKLAD	2200	19564	\N	\N	\N
141911	474	1996-03-05	VYDAJ	VYBER	300	22801	\N	\N	\N
141912	474	1996-04-04	VYDAJ	VYBER	2000	24357	\N	\N	\N
141913	474	1996-05-04	VYDAJ	VYBER	3700	24206	\N	\N	\N
141914	474	1996-06-03	VYDAJ	VYBER	1700	22573	\N	\N	\N
141915	474	1996-07-03	VYDAJ	VYBER	900	19422	\N	\N	\N
141916	474	1996-08-02	PRIJEM	VKLAD	4600	24158	\N	\N	\N
141917	474	1996-09-01	VYDAJ	VYBER	2400	22994	\N	\N	\N
141918	474	1996-10-01	PRIJEM	VKLAD	3000	27229	\N	\N	\N
141919	474	1996-10-31	VYDAJ	VYBER	900	27592	\N	\N	\N
141920	474	1996-11-30	VYDAJ	VYBER	5800	21840	\N	\N	\N
141921	474	1996-12-30	VYDAJ	VYBER	100	22547	\N	\N	\N
141922	474	1997-01-29	PRIJEM	VKLAD	1400	18124	\N	\N	\N
141923	474	1997-02-28	PRIJEM	VKLAD	4100	23512	\N	\N	\N
141924	474	1997-03-30	VYDAJ	VYBER	1000	23649	\N	\N	\N
141925	474	1997-04-29	VYDAJ	VYBER	2500	22055	\N	\N	\N
141926	474	1997-05-29	VYDAJ	VYBER	2800	20489	\N	\N	\N
141927	474	1997-06-28	VYDAJ	VYBER	3400	15917	\N	\N	\N
141928	474	1997-07-28	VYDAJ	VYBER	2300	14831	\N	\N	\N
141929	474	1997-08-27	VYDAJ	VYBER	2800	13233	\N	\N	\N
141930	474	1997-09-26	VYDAJ	VYBER	100	14060	\N	\N	\N
141931	474	1997-10-26	PRIJEM	VKLAD	2500	17751	\N	\N	\N
141932	474	1997-11-25	PRIJEM	VKLAD	3800	22750	\N	\N	\N
141933	474	1997-12-25	PRIJEM	VKLAD	3100	26764	\N	\N	\N
141934	474	1998-01-24	VYDAJ	VYBER	900	23468	\N	\N	\N
141935	474	1998-02-23	VYDAJ	VYBER	1400	22616	\N	\N	\N
141936	474	1998-03-25	VYDAJ	VYBER	2800	21047	\N	\N	\N
141937	474	1998-04-24	PRIJEM	VKLAD	1200	23477	\N	\N	\N
141938	474	1998-05-24	PRIJEM	VKLAD	2900	27604	\N	\N	\N
141939	474	1998-06-23	PRIJEM	VKLAD	5600	25562	\N	\N	\N
141940	474	1998-07-23	PRIJEM	VKLAD	900	27709	\N	\N	\N
141941	474	1998-08-22	PRIJEM	VKLAD	1700	30354	\N	\N	\N
141942	474	1998-09-21	PRIJEM	VKLAD	600	31156	\N	\N	\N
141943	474	1998-10-21	VYDAJ	VYBER	1400	31016	\N	\N	\N
141944	474	1998-11-20	PRIJEM	VKLAD	4000	34840	\N	\N	\N
141982	475	1997-05-11	PRIJEM	VKLAD	200	200	\N	\N	\N
141988	475	1997-06-10	PRIJEM	PREVOD Z UCTU	4319	4519	DUCHOD	UV	13050151
141989	475	1997-07-10	PRIJEM	PREVOD Z UCTU	4319	8838	DUCHOD	UV	13050151
141990	475	1997-08-10	PRIJEM	PREVOD Z UCTU	4319	13157	DUCHOD	UV	13050151
141991	475	1997-09-10	PRIJEM	PREVOD Z UCTU	4319	17476	DUCHOD	UV	13050151
141992	475	1997-10-10	PRIJEM	PREVOD Z UCTU	4319	21795	DUCHOD	UV	13050151
141993	475	1997-11-10	PRIJEM	PREVOD Z UCTU	4319	23385	DUCHOD	UV	13050151
141994	475	1997-12-10	PRIJEM	PREVOD Z UCTU	4319	22212	DUCHOD	UV	13050151
141995	475	1998-01-10	PRIJEM	PREVOD Z UCTU	4319	19835	DUCHOD	UV	13050151
141996	475	1998-02-10	PRIJEM	PREVOD Z UCTU	4319	18547	DUCHOD	UV	13050151
141997	475	1998-03-10	PRIJEM	PREVOD Z UCTU	4319	20157	DUCHOD	UV	13050151
141998	475	1998-04-10	PRIJEM	PREVOD Z UCTU	4319	21771	DUCHOD	UV	13050151
141999	475	1998-05-10	PRIJEM	PREVOD Z UCTU	4319	18892	DUCHOD	UV	13050151
142000	475	1998-06-10	PRIJEM	PREVOD Z UCTU	4319	17523	DUCHOD	UV	13050151
142001	475	1998-07-10	PRIJEM	PREVOD Z UCTU	4319	17371	DUCHOD	UV	13050151
142002	475	1998-08-10	PRIJEM	PREVOD Z UCTU	4319	16978	DUCHOD	UV	13050151
142003	475	1998-09-10	PRIJEM	PREVOD Z UCTU	4319	18583	DUCHOD	UV	13050151
142004	475	1998-10-10	PRIJEM	PREVOD Z UCTU	4319	19491	DUCHOD	UV	13050151
142005	475	1998-11-10	PRIJEM	PREVOD Z UCTU	4319	15205	DUCHOD	UV	13050151
142006	475	1998-12-10	PRIJEM	PREVOD Z UCTU	4319	15108	DUCHOD	UV	13050151
142016	475	1997-10-14	VYDAJ	PREVOD NA UCET	2760	19035	SIPO	UV	33983725
142017	475	1997-11-14	VYDAJ	PREVOD NA UCET	2760	20625	SIPO	UV	33983725
142018	475	1997-12-14	VYDAJ	PREVOD NA UCET	2760	19452	SIPO	UV	33983725
142019	475	1998-01-14	VYDAJ	PREVOD NA UCET	2760	14275	SIPO	UV	33983725
142020	475	1998-02-14	VYDAJ	PREVOD NA UCET	2760	15787	SIPO	UV	33983725
142021	475	1998-03-14	VYDAJ	PREVOD NA UCET	2760	17397	SIPO	UV	33983725
142022	475	1998-04-14	VYDAJ	PREVOD NA UCET	2760	19011	SIPO	UV	33983725
142023	475	1998-05-14	VYDAJ	PREVOD NA UCET	2760	14852	SIPO	UV	33983725
142024	475	1998-06-14	VYDAJ	PREVOD NA UCET	2760	14763	SIPO	UV	33983725
142025	475	1998-07-14	VYDAJ	PREVOD NA UCET	2760	14611	SIPO	UV	33983725
142026	475	1998-08-14	VYDAJ	PREVOD NA UCET	2760	14218	SIPO	UV	33983725
142027	475	1998-09-14	VYDAJ	PREVOD NA UCET	2760	15823	SIPO	UV	33983725
142028	475	1998-10-14	VYDAJ	PREVOD NA UCET	2760	16731	SIPO	UV	33983725
142029	475	1998-11-14	VYDAJ	PREVOD NA UCET	2760	12445	SIPO	UV	33983725
142030	475	1998-12-14	VYDAJ	PREVOD NA UCET	2760	12348	SIPO	UV	33983725
142034	475	1998-01-13	VYDAJ	VYBER	2800	17035	\N	\N	\N
142035	475	1997-12-24	VYDAJ	VYBER	400	19052	\N	\N	\N
142037	475	1997-11-29	VYDAJ	VYBER	2800	17825	\N	\N	\N
142039	475	1998-05-12	VYDAJ	VYBER	1280	17612	\N	\N	\N
142040	475	1998-07-02	VYDAJ	VYBER	1760	13052	\N	\N	\N
142041	475	1998-05-07	VYDAJ	VYBER	800	14573	\N	\N	\N
142052	475	1997-10-31	VYDAJ	VYBER	15	19066	SLUZBY	\N	\N
142053	475	1997-11-30	VYDAJ	VYBER	15	17893	SLUZBY	\N	\N
142054	475	1997-12-31	VYDAJ	VYBER	15	19116	SLUZBY	\N	\N
142055	475	1998-01-31	VYDAJ	VYBER	15	14328	SLUZBY	\N	\N
142056	475	1998-02-28	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
142057	475	1998-03-31	VYDAJ	VYBER	15	17452	SLUZBY	\N	\N
142058	475	1998-04-30	VYDAJ	VYBER	15	19073	SLUZBY	\N	\N
142059	475	1998-05-31	VYDAJ	VYBER	15	14904	SLUZBY	\N	\N
142060	475	1998-06-30	VYDAJ	VYBER	15	14812	SLUZBY	\N	\N
142061	475	1998-07-31	VYDAJ	VYBER	15	14659	SLUZBY	\N	\N
142062	475	1998-08-31	VYDAJ	VYBER	15	14264	SLUZBY	\N	\N
142063	475	1998-09-30	VYDAJ	VYBER	15	15872	SLUZBY	\N	\N
142064	475	1998-10-31	VYDAJ	VYBER	15	16786	SLUZBY	\N	\N
142065	475	1998-11-30	VYDAJ	VYBER	15	12489	SLUZBY	\N	\N
142066	475	1998-01-06	VYDAJ	VYBER	3600	15516	\N	\N	\N
142067	475	1998-02-05	VYDAJ	VYBER	100	14228	\N	\N	\N
142068	475	1998-05-06	VYDAJ	VYBER	3700	15373	\N	\N	\N
142069	475	1998-06-05	VYDAJ	VYBER	1700	13204	\N	\N	\N
142070	475	1998-08-04	VYDAJ	VYBER	2000	12659	\N	\N	\N
142071	475	1998-10-03	VYDAJ	VYBER	700	15172	\N	\N	\N
142072	475	1998-11-02	VYDAJ	VYBER	5900	10886	\N	\N	\N
142073	475	1998-12-02	VYDAJ	VYBER	1700	10789	\N	\N	\N
142089	476	1997-04-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
142132	476	1997-07-10	PRIJEM	VKLAD	9100	10100	\N	\N	\N
142133	476	1997-08-09	PRIJEM	VKLAD	6100	16200	\N	\N	\N
142134	476	1997-09-08	PRIJEM	VKLAD	4000	20200	\N	\N	\N
142135	476	1997-10-08	VYDAJ	VYBER	1300	18900	\N	\N	\N
142136	476	1997-11-07	VYDAJ	VYBER	1100	17800	\N	\N	\N
142137	476	1997-12-07	PRIJEM	VKLAD	2800	20600	\N	\N	\N
142138	476	1998-01-06	VYDAJ	VYBER	4400	16200	\N	\N	\N
142139	476	1998-02-05	PRIJEM	VKLAD	2600	18800	\N	\N	\N
142140	476	1998-03-07	VYDAJ	VYBER	100	18700	\N	\N	\N
142141	476	1998-04-06	VYDAJ	VYBER	200	18500	\N	\N	\N
142142	476	1998-05-06	VYDAJ	VYBER	300	18200	\N	\N	\N
142143	476	1998-06-05	PRIJEM	VKLAD	1900	20100	\N	\N	\N
142144	476	1998-07-05	VYDAJ	VYBER	2800	17300	\N	\N	\N
142145	476	1998-08-04	VYDAJ	VYBER	100	17200	\N	\N	\N
142146	476	1998-09-03	PRIJEM	VKLAD	2900	20100	\N	\N	\N
142147	476	1998-10-03	PRIJEM	VKLAD	1800	21900	\N	\N	\N
142148	476	1998-11-02	VYDAJ	VYBER	2400	19500	\N	\N	\N
142149	476	1998-12-02	PRIJEM	VKLAD	4500	24000	\N	\N	\N
142150	477	1993-01-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
142152	477	1993-02-13	PRIJEM	VKLAD	16392	17392	\N	\N	\N
142153	477	1993-03-13	PRIJEM	VKLAD	16392	34698	\N	\N	\N
142154	477	1993-04-13	PRIJEM	VKLAD	16392	46776	\N	\N	\N
142155	477	1993-05-13	PRIJEM	VKLAD	16392	50997	\N	\N	\N
142156	477	1993-06-13	PRIJEM	VKLAD	24588	62932	\N	\N	\N
142157	477	1993-07-13	PRIJEM	VKLAD	16392	39118	\N	\N	\N
142158	477	1993-08-13	PRIJEM	VKLAD	16392	47343	\N	\N	\N
142159	477	1993-09-13	PRIJEM	VKLAD	16392	51600	\N	\N	\N
142160	477	1993-10-13	PRIJEM	VKLAD	16392	54570	\N	\N	\N
142161	477	1993-11-13	PRIJEM	VKLAD	16392	53245	\N	\N	\N
142162	477	1993-12-13	PRIJEM	VKLAD	24588	63215	\N	\N	\N
142163	477	1994-01-13	PRIJEM	VKLAD	16392	45605	\N	\N	\N
142164	477	1994-02-13	PRIJEM	VKLAD	16392	43455	\N	\N	\N
142165	477	1994-03-13	PRIJEM	VKLAD	16392	47690	\N	\N	\N
142166	477	1994-04-13	PRIJEM	VKLAD	16392	49944	\N	\N	\N
142167	477	1994-05-13	PRIJEM	VKLAD	16392	53704	\N	\N	\N
142168	477	1994-06-13	PRIJEM	VKLAD	24588	60268	\N	\N	\N
142169	477	1994-07-13	PRIJEM	VKLAD	16392	53439	\N	\N	\N
142170	477	1994-08-13	PRIJEM	VKLAD	16392	51102	\N	\N	\N
142171	477	1994-09-13	PRIJEM	VKLAD	16392	47954	\N	\N	\N
142172	477	1994-10-13	PRIJEM	VKLAD	16392	50299	\N	\N	\N
142173	477	1994-11-13	PRIJEM	VKLAD	16392	50250	\N	\N	\N
142174	477	1994-12-13	PRIJEM	VKLAD	24588	61100	\N	\N	\N
142175	477	1995-01-13	PRIJEM	VKLAD	16392	51269	\N	\N	\N
142176	477	1995-02-13	PRIJEM	VKLAD	16392	38112	\N	\N	\N
142177	477	1995-03-13	PRIJEM	VKLAD	16392	45435	\N	\N	\N
142178	477	1995-04-13	PRIJEM	VKLAD	16392	47869	\N	\N	\N
142179	477	1995-05-13	PRIJEM	VKLAD	16392	49012	\N	\N	\N
142180	477	1995-06-13	PRIJEM	VKLAD	24588	56449	\N	\N	\N
142181	477	1995-07-13	PRIJEM	VKLAD	16392	45922	\N	\N	\N
142182	477	1995-08-13	PRIJEM	VKLAD	16392	47561	\N	\N	\N
142183	477	1995-09-13	PRIJEM	VKLAD	16392	45692	\N	\N	\N
142184	477	1995-10-13	PRIJEM	VKLAD	16392	51957	\N	\N	\N
142185	477	1995-11-13	PRIJEM	VKLAD	16392	53850	\N	\N	\N
142186	477	1995-12-13	PRIJEM	VKLAD	24588	57946	\N	\N	\N
142187	477	1996-01-13	PRIJEM	VKLAD	16392	50752	\N	\N	\N
142188	477	1996-02-13	PRIJEM	VKLAD	16392	47137	\N	\N	\N
142189	477	1996-03-13	PRIJEM	VKLAD	16392	52812	\N	\N	\N
142190	477	1996-04-13	PRIJEM	VKLAD	16392	55706	\N	\N	\N
142191	477	1996-05-13	PRIJEM	VKLAD	16392	54615	\N	\N	\N
142192	477	1996-06-13	PRIJEM	VKLAD	24588	62614	\N	\N	\N
142193	477	1996-07-13	PRIJEM	VKLAD	16392	52930	\N	\N	\N
142194	477	1996-08-13	PRIJEM	VKLAD	16392	53133	\N	\N	\N
142195	477	1996-09-13	PRIJEM	VKLAD	16392	49930	\N	\N	\N
142196	477	1996-10-13	PRIJEM	VKLAD	16392	48514	\N	\N	\N
142197	477	1996-11-13	PRIJEM	VKLAD	16392	46091	\N	\N	\N
142198	477	1996-12-13	PRIJEM	VKLAD	24588	59554	\N	\N	\N
142199	477	1997-01-13	PRIJEM	VKLAD	16392	47258	\N	\N	\N
142200	477	1997-02-13	PRIJEM	VKLAD	16392	47129	\N	\N	\N
142201	477	1997-03-13	PRIJEM	VKLAD	16392	54191	\N	\N	\N
142202	477	1997-04-13	PRIJEM	VKLAD	16392	58185	\N	\N	\N
142203	477	1997-05-13	PRIJEM	VKLAD	16392	58395	\N	\N	\N
142204	477	1997-06-13	PRIJEM	VKLAD	24588	64306	\N	\N	\N
142205	477	1997-07-13	PRIJEM	VKLAD	16392	49822	\N	\N	\N
142206	477	1997-08-13	PRIJEM	VKLAD	16392	45401	\N	\N	\N
142207	477	1997-09-13	PRIJEM	VKLAD	16392	43964	\N	\N	\N
142208	477	1997-10-13	PRIJEM	VKLAD	16392	45323	\N	\N	\N
142209	477	1997-11-13	PRIJEM	VKLAD	16392	42682	\N	\N	\N
142210	477	1997-12-13	PRIJEM	VKLAD	24588	47643	\N	\N	\N
142211	477	1998-01-13	PRIJEM	VKLAD	16392	40280	\N	\N	\N
142212	477	1998-02-13	PRIJEM	VKLAD	16392	35796	\N	\N	\N
142213	477	1998-03-13	PRIJEM	VKLAD	16392	34511	\N	\N	\N
142214	477	1998-04-13	PRIJEM	VKLAD	16392	33937	\N	\N	\N
142215	477	1998-05-13	PRIJEM	VKLAD	16392	43034	\N	\N	\N
142216	477	1998-06-13	PRIJEM	VKLAD	24588	41658	\N	\N	\N
142217	477	1998-07-13	PRIJEM	VKLAD	16392	36472	\N	\N	\N
142218	477	1998-08-13	PRIJEM	VKLAD	16392	36384	\N	\N	\N
142219	477	1998-09-13	PRIJEM	VKLAD	16392	34888	\N	\N	\N
142220	477	1998-10-13	PRIJEM	VKLAD	16392	34385	\N	\N	\N
142221	477	1998-11-13	PRIJEM	VKLAD	16392	47490	\N	\N	\N
142222	477	1998-12-13	PRIJEM	VKLAD	24588	46526	\N	\N	\N
142228	477	1993-06-14	VYDAJ	PREVOD NA UCET	2660	60272	SIPO	CD	7729125
142229	477	1993-07-14	VYDAJ	PREVOD NA UCET	2660	36204	SIPO	CD	7729125
142230	477	1993-08-14	VYDAJ	PREVOD NA UCET	2660	44429	SIPO	CD	7729125
142231	477	1993-09-14	VYDAJ	PREVOD NA UCET	2660	48940	SIPO	CD	7729125
142232	477	1993-10-14	VYDAJ	PREVOD NA UCET	2660	51910	SIPO	CD	7729125
142233	477	1993-11-14	VYDAJ	PREVOD NA UCET	2660	50585	SIPO	CD	7729125
142234	477	1993-12-14	VYDAJ	PREVOD NA UCET	2660	60555	SIPO	CD	7729125
142235	477	1994-01-14	VYDAJ	PREVOD NA UCET	2660	42691	SIPO	CD	7729125
142236	477	1994-02-14	VYDAJ	PREVOD NA UCET	2660	40541	SIPO	CD	7729125
142237	477	1994-03-14	VYDAJ	PREVOD NA UCET	2660	44776	SIPO	CD	7729125
142238	477	1994-04-14	VYDAJ	PREVOD NA UCET	2660	47284	SIPO	CD	7729125
142239	477	1994-05-14	VYDAJ	PREVOD NA UCET	2660	51044	SIPO	CD	7729125
142240	477	1994-06-14	VYDAJ	PREVOD NA UCET	2660	57354	SIPO	CD	7729125
142241	477	1994-07-14	VYDAJ	PREVOD NA UCET	2660	50779	SIPO	CD	7729125
142242	477	1994-08-14	VYDAJ	PREVOD NA UCET	2660	48442	SIPO	CD	7729125
142243	477	1994-09-14	VYDAJ	PREVOD NA UCET	2660	45294	SIPO	CD	7729125
142244	477	1994-10-14	VYDAJ	PREVOD NA UCET	2660	47639	SIPO	CD	7729125
142245	477	1994-11-14	VYDAJ	PREVOD NA UCET	2660	47336	SIPO	CD	7729125
142246	477	1994-12-14	VYDAJ	PREVOD NA UCET	2660	58440	SIPO	CD	7729125
142247	477	1995-01-14	VYDAJ	PREVOD NA UCET	2660	48355	SIPO	CD	7729125
142248	477	1995-02-14	VYDAJ	PREVOD NA UCET	2660	35452	SIPO	CD	7729125
142249	477	1995-03-14	VYDAJ	PREVOD NA UCET	2660	42775	SIPO	CD	7729125
142250	477	1995-04-14	VYDAJ	PREVOD NA UCET	2660	45209	SIPO	CD	7729125
142251	477	1995-05-14	VYDAJ	PREVOD NA UCET	2660	46098	SIPO	CD	7729125
142252	477	1995-06-14	VYDAJ	PREVOD NA UCET	2660	53535	SIPO	CD	7729125
142253	477	1995-07-14	VYDAJ	PREVOD NA UCET	2660	31508	SIPO	CD	7729125
142254	477	1995-08-14	VYDAJ	PREVOD NA UCET	2660	32001	SIPO	CD	7729125
142255	477	1995-09-14	VYDAJ	PREVOD NA UCET	2660	42778	SIPO	CD	7729125
142256	477	1995-10-14	VYDAJ	PREVOD NA UCET	2660	49297	SIPO	CD	7729125
142257	477	1995-11-14	VYDAJ	PREVOD NA UCET	2660	50936	SIPO	CD	7729125
142258	477	1995-12-14	VYDAJ	PREVOD NA UCET	2660	55032	SIPO	CD	7729125
142259	477	1996-01-14	VYDAJ	PREVOD NA UCET	2660	48092	SIPO	CD	7729125
142260	477	1996-02-14	VYDAJ	PREVOD NA UCET	2660	44223	SIPO	CD	7729125
142261	477	1996-03-14	VYDAJ	PREVOD NA UCET	2660	49898	SIPO	CD	7729125
142262	477	1996-04-14	VYDAJ	PREVOD NA UCET	2660	52792	SIPO	CD	7729125
142263	477	1996-05-14	VYDAJ	PREVOD NA UCET	2660	51701	SIPO	CD	7729125
142264	477	1996-06-14	VYDAJ	PREVOD NA UCET	2660	59700	SIPO	CD	7729125
142265	477	1996-07-14	VYDAJ	PREVOD NA UCET	2660	50016	SIPO	CD	7729125
142266	477	1996-08-14	VYDAJ	PREVOD NA UCET	2660	50219	SIPO	CD	7729125
142267	477	1996-09-14	VYDAJ	PREVOD NA UCET	2660	47270	SIPO	CD	7729125
142268	477	1996-10-14	VYDAJ	PREVOD NA UCET	2660	45854	SIPO	CD	7729125
142269	477	1996-11-14	VYDAJ	PREVOD NA UCET	2660	43177	SIPO	CD	7729125
142270	477	1996-12-14	VYDAJ	PREVOD NA UCET	2660	56894	SIPO	CD	7729125
142271	477	1997-01-14	VYDAJ	PREVOD NA UCET	2660	44344	SIPO	CD	7729125
142272	477	1997-02-14	VYDAJ	PREVOD NA UCET	2660	44469	SIPO	CD	7729125
142273	477	1997-03-14	VYDAJ	PREVOD NA UCET	2660	51531	SIPO	CD	7729125
142274	477	1997-04-14	VYDAJ	PREVOD NA UCET	2660	55525	SIPO	CD	7729125
142275	477	1997-05-14	VYDAJ	PREVOD NA UCET	2660	55735	SIPO	CD	7729125
142276	477	1997-06-14	VYDAJ	PREVOD NA UCET	2660	61646	SIPO	CD	7729125
142277	477	1997-07-14	VYDAJ	PREVOD NA UCET	2660	46908	SIPO	CD	7729125
142278	477	1997-08-14	VYDAJ	PREVOD NA UCET	2660	42487	SIPO	CD	7729125
142279	477	1997-09-14	VYDAJ	PREVOD NA UCET	2660	41050	SIPO	CD	7729125
142280	477	1997-10-14	VYDAJ	PREVOD NA UCET	2660	42409	SIPO	CD	7729125
142281	477	1997-11-14	VYDAJ	PREVOD NA UCET	2660	40022	SIPO	CD	7729125
142282	477	1997-12-14	VYDAJ	PREVOD NA UCET	2660	44983	SIPO	CD	7729125
142283	477	1998-01-14	VYDAJ	PREVOD NA UCET	2660	37620	SIPO	CD	7729125
142284	477	1998-02-14	VYDAJ	PREVOD NA UCET	2660	32882	SIPO	CD	7729125
142285	477	1998-03-14	VYDAJ	PREVOD NA UCET	2660	31851	SIPO	CD	7729125
142286	477	1998-04-14	VYDAJ	PREVOD NA UCET	2660	31023	SIPO	CD	7729125
142287	477	1998-05-14	VYDAJ	PREVOD NA UCET	2660	40374	SIPO	CD	7729125
142288	477	1998-06-14	VYDAJ	PREVOD NA UCET	2660	38998	SIPO	CD	7729125
142289	477	1998-07-14	VYDAJ	PREVOD NA UCET	2660	33558	SIPO	CD	7729125
142290	477	1998-08-14	VYDAJ	PREVOD NA UCET	2660	33724	SIPO	CD	7729125
142291	477	1998-09-14	VYDAJ	PREVOD NA UCET	2660	32228	SIPO	CD	7729125
142292	477	1998-10-14	VYDAJ	PREVOD NA UCET	2660	31725	SIPO	CD	7729125
142293	477	1998-11-14	VYDAJ	PREVOD NA UCET	2660	44830	SIPO	CD	7729125
142294	477	1998-12-14	VYDAJ	PREVOD NA UCET	2660	43866	SIPO	CD	7729125
142300	477	1993-06-14	VYDAJ	PREVOD NA UCET	254	60018	 	GH	40855217
142301	477	1993-07-14	VYDAJ	PREVOD NA UCET	254	38864	 	GH	40855217
142302	477	1993-08-14	VYDAJ	PREVOD NA UCET	254	47089	 	GH	40855217
142303	477	1993-09-14	VYDAJ	PREVOD NA UCET	254	48686	 	GH	40855217
142304	477	1993-10-14	VYDAJ	PREVOD NA UCET	254	51656	 	GH	40855217
142305	477	1993-11-14	VYDAJ	PREVOD NA UCET	254	50331	 	GH	40855217
142306	477	1993-12-14	VYDAJ	PREVOD NA UCET	254	60301	 	GH	40855217
142307	477	1994-01-14	VYDAJ	PREVOD NA UCET	254	45351	 	GH	40855217
142308	477	1994-02-14	VYDAJ	PREVOD NA UCET	254	43201	 	GH	40855217
142309	477	1994-03-14	VYDAJ	PREVOD NA UCET	254	47436	 	GH	40855217
142310	477	1994-04-14	VYDAJ	PREVOD NA UCET	254	47030	 	GH	40855217
142311	477	1994-05-14	VYDAJ	PREVOD NA UCET	254	50790	 	GH	40855217
142312	477	1994-06-14	VYDAJ	PREVOD NA UCET	254	60014	 	GH	40855217
142313	477	1994-07-14	VYDAJ	PREVOD NA UCET	254	45625	 	GH	40855217
142314	477	1994-08-14	VYDAJ	PREVOD NA UCET	254	48188	 	GH	40855217
142315	477	1994-09-14	VYDAJ	PREVOD NA UCET	254	45040	 	GH	40855217
142316	477	1994-10-14	VYDAJ	PREVOD NA UCET	254	47385	 	GH	40855217
142317	477	1994-11-14	VYDAJ	PREVOD NA UCET	254	49996	 	GH	40855217
142318	477	1994-12-14	VYDAJ	PREVOD NA UCET	254	58186	 	GH	40855217
142319	477	1995-01-14	VYDAJ	PREVOD NA UCET	254	51015	 	GH	40855217
142320	477	1995-02-14	VYDAJ	PREVOD NA UCET	254	35198	 	GH	40855217
142321	477	1995-03-14	VYDAJ	PREVOD NA UCET	254	42521	 	GH	40855217
142322	477	1995-04-14	VYDAJ	PREVOD NA UCET	254	44955	 	GH	40855217
142323	477	1995-05-14	VYDAJ	PREVOD NA UCET	254	48758	 	GH	40855217
142324	477	1995-06-14	VYDAJ	PREVOD NA UCET	254	56195	 	GH	40855217
142325	477	1995-07-14	VYDAJ	PREVOD NA UCET	254	34168	 	GH	40855217
142326	477	1995-08-14	VYDAJ	PREVOD NA UCET	254	31747	 	GH	40855217
142327	477	1995-09-14	VYDAJ	PREVOD NA UCET	254	45438	 	GH	40855217
142328	477	1995-10-14	VYDAJ	PREVOD NA UCET	254	49043	 	GH	40855217
142329	477	1995-11-14	VYDAJ	PREVOD NA UCET	254	53596	 	GH	40855217
142330	477	1995-12-14	VYDAJ	PREVOD NA UCET	254	57692	 	GH	40855217
142331	477	1996-01-14	VYDAJ	PREVOD NA UCET	254	47838	 	GH	40855217
142332	477	1996-02-14	VYDAJ	PREVOD NA UCET	254	46883	 	GH	40855217
142333	477	1996-03-14	VYDAJ	PREVOD NA UCET	254	52558	 	GH	40855217
142334	477	1996-04-14	VYDAJ	PREVOD NA UCET	254	55452	 	GH	40855217
142335	477	1996-05-14	VYDAJ	PREVOD NA UCET	254	54361	 	GH	40855217
142336	477	1996-06-14	VYDAJ	PREVOD NA UCET	254	62360	 	GH	40855217
142337	477	1996-07-14	VYDAJ	PREVOD NA UCET	254	52676	 	GH	40855217
142338	477	1996-08-14	VYDAJ	PREVOD NA UCET	254	52879	 	GH	40855217
142339	477	1996-09-14	VYDAJ	PREVOD NA UCET	254	47016	 	GH	40855217
142340	477	1996-10-14	VYDAJ	PREVOD NA UCET	254	45600	 	GH	40855217
142341	477	1996-11-14	VYDAJ	PREVOD NA UCET	254	45837	 	GH	40855217
142342	477	1996-12-14	VYDAJ	PREVOD NA UCET	254	56640	 	GH	40855217
142343	477	1997-01-14	VYDAJ	PREVOD NA UCET	254	47004	 	GH	40855217
142344	477	1997-02-14	VYDAJ	PREVOD NA UCET	254	44215	 	GH	40855217
142345	477	1997-03-14	VYDAJ	PREVOD NA UCET	254	51277	 	GH	40855217
142346	477	1997-04-14	VYDAJ	PREVOD NA UCET	254	55271	 	GH	40855217
142347	477	1997-05-14	VYDAJ	PREVOD NA UCET	254	55481	 	GH	40855217
142348	477	1997-06-14	VYDAJ	PREVOD NA UCET	254	61392	 	GH	40855217
142349	477	1997-07-14	VYDAJ	PREVOD NA UCET	254	49568	 	GH	40855217
142350	477	1997-08-14	VYDAJ	PREVOD NA UCET	254	45147	 	GH	40855217
142351	477	1997-09-14	VYDAJ	PREVOD NA UCET	254	43710	 	GH	40855217
142352	477	1997-10-14	VYDAJ	PREVOD NA UCET	254	45069	 	GH	40855217
142353	477	1997-11-14	VYDAJ	PREVOD NA UCET	254	39768	 	GH	40855217
142354	477	1997-12-14	VYDAJ	PREVOD NA UCET	254	44729	 	GH	40855217
142355	477	1998-01-14	VYDAJ	PREVOD NA UCET	254	34966	 	GH	40855217
142356	477	1998-02-14	VYDAJ	PREVOD NA UCET	254	35542	 	GH	40855217
142357	477	1998-03-14	VYDAJ	PREVOD NA UCET	254	31597	 	GH	40855217
142358	477	1998-04-14	VYDAJ	PREVOD NA UCET	254	33683	 	GH	40855217
142359	477	1998-05-14	VYDAJ	PREVOD NA UCET	254	40120	 	GH	40855217
142360	477	1998-06-14	VYDAJ	PREVOD NA UCET	254	38744	 	GH	40855217
142361	477	1998-07-14	VYDAJ	PREVOD NA UCET	254	36218	 	GH	40855217
142362	477	1998-08-14	VYDAJ	PREVOD NA UCET	254	33470	 	GH	40855217
142363	477	1998-09-14	VYDAJ	PREVOD NA UCET	254	31974	 	GH	40855217
142364	477	1998-10-14	VYDAJ	PREVOD NA UCET	254	31471	 	GH	40855217
142365	477	1998-11-14	VYDAJ	PREVOD NA UCET	254	44576	 	GH	40855217
142366	477	1998-12-14	VYDAJ	PREVOD NA UCET	254	43612	 	GH	40855217
142373	477	1993-07-05	VYDAJ	PREVOD NA UCET	463	22726	POJISTNE	IJ	25759440
142374	477	1993-08-05	VYDAJ	PREVOD NA UCET	463	30951	POJISTNE	IJ	25759440
142375	477	1993-09-05	VYDAJ	PREVOD NA UCET	463	35208	POJISTNE	IJ	25759440
142376	477	1993-10-05	VYDAJ	PREVOD NA UCET	463	38178	POJISTNE	IJ	25759440
142377	477	1993-11-05	VYDAJ	PREVOD NA UCET	463	36853	POJISTNE	IJ	25759440
142378	477	1993-12-05	VYDAJ	PREVOD NA UCET	463	39227	POJISTNE	IJ	25759440
142379	477	1994-01-05	VYDAJ	PREVOD NA UCET	463	36113	POJISTNE	IJ	25759440
142380	477	1994-02-05	VYDAJ	PREVOD NA UCET	463	27063	POJISTNE	IJ	25759440
142381	477	1994-03-05	VYDAJ	PREVOD NA UCET	463	31298	POJISTNE	IJ	25759440
142382	477	1994-04-05	VYDAJ	PREVOD NA UCET	463	33552	POJISTNE	IJ	25759440
142383	477	1994-05-05	VYDAJ	PREVOD NA UCET	463	37312	POJISTNE	IJ	25759440
142384	477	1994-06-05	VYDAJ	PREVOD NA UCET	463	35680	POJISTNE	IJ	25759440
142385	477	1994-07-05	VYDAJ	PREVOD NA UCET	463	37047	POJISTNE	IJ	25759440
142386	477	1994-08-05	VYDAJ	PREVOD NA UCET	463	34710	POJISTNE	IJ	25759440
142387	477	1994-09-05	VYDAJ	PREVOD NA UCET	463	31562	POJISTNE	IJ	25759440
142388	477	1994-10-05	VYDAJ	PREVOD NA UCET	463	33907	POJISTNE	IJ	25759440
142389	477	1994-11-05	VYDAJ	PREVOD NA UCET	463	33858	POJISTNE	IJ	25759440
142390	477	1994-12-05	VYDAJ	PREVOD NA UCET	463	36512	POJISTNE	IJ	25759440
142391	477	1995-01-05	VYDAJ	PREVOD NA UCET	463	37177	POJISTNE	IJ	25759440
142392	477	1995-02-05	VYDAJ	PREVOD NA UCET	463	21720	POJISTNE	IJ	25759440
142393	477	1995-03-05	VYDAJ	PREVOD NA UCET	463	29043	POJISTNE	IJ	25759440
142394	477	1995-04-05	VYDAJ	PREVOD NA UCET	463	31477	POJISTNE	IJ	25759440
142395	477	1995-05-05	VYDAJ	PREVOD NA UCET	463	32620	POJISTNE	IJ	25759440
142396	477	1995-06-05	VYDAJ	PREVOD NA UCET	463	32761	POJISTNE	IJ	25759440
142397	477	1995-07-05	VYDAJ	PREVOD NA UCET	463	30830	POJISTNE	IJ	25759440
142398	477	1995-08-05	VYDAJ	PREVOD NA UCET	463	31169	POJISTNE	IJ	25759440
142399	477	1995-09-05	VYDAJ	PREVOD NA UCET	463	31400	POJISTNE	IJ	25759440
142400	477	1995-10-05	VYDAJ	PREVOD NA UCET	463	42465	POJISTNE	IJ	25759440
142401	477	1995-11-05	VYDAJ	PREVOD NA UCET	463	48758	POJISTNE	IJ	25759440
142402	477	1995-12-05	VYDAJ	PREVOD NA UCET	463	40858	POJISTNE	IJ	25759440
142403	477	1996-01-05	VYDAJ	PREVOD NA UCET	463	49660	POJISTNE	IJ	25759440
142404	477	1996-02-05	VYDAJ	PREVOD NA UCET	463	36045	POJISTNE	IJ	25759440
142405	477	1996-03-05	VYDAJ	PREVOD NA UCET	463	43920	POJISTNE	IJ	25759440
142406	477	1996-04-05	VYDAJ	PREVOD NA UCET	463	49614	POJISTNE	IJ	25759440
142407	477	1996-05-05	VYDAJ	PREVOD NA UCET	463	52523	POJISTNE	IJ	25759440
142408	477	1996-06-05	VYDAJ	PREVOD NA UCET	463	47026	POJISTNE	IJ	25759440
142409	477	1996-07-05	VYDAJ	PREVOD NA UCET	463	55738	POJISTNE	IJ	25759440
142410	477	1996-08-05	VYDAJ	PREVOD NA UCET	463	49741	POJISTNE	IJ	25759440
142411	477	1996-09-05	VYDAJ	PREVOD NA UCET	463	49938	POJISTNE	IJ	25759440
142412	477	1996-10-05	VYDAJ	PREVOD NA UCET	463	46722	POJISTNE	IJ	25759440
142413	477	1996-11-05	VYDAJ	PREVOD NA UCET	463	32099	POJISTNE	IJ	25759440
142414	477	1996-12-05	VYDAJ	PREVOD NA UCET	463	34966	POJISTNE	IJ	25759440
142415	477	1997-01-05	VYDAJ	PREVOD NA UCET	463	39666	POJISTNE	IJ	25759440
142416	477	1997-02-05	VYDAJ	PREVOD NA UCET	463	30737	POJISTNE	IJ	25759440
142417	477	1997-03-05	VYDAJ	PREVOD NA UCET	463	37799	POJISTNE	IJ	25759440
142418	477	1997-04-05	VYDAJ	PREVOD NA UCET	463	41793	POJISTNE	IJ	25759440
142419	477	1997-05-05	VYDAJ	PREVOD NA UCET	463	42003	POJISTNE	IJ	25759440
142420	477	1997-06-05	VYDAJ	PREVOD NA UCET	463	39718	POJISTNE	IJ	25759440
142421	477	1997-07-05	VYDAJ	PREVOD NA UCET	463	33430	POJISTNE	IJ	25759440
142422	477	1997-08-05	VYDAJ	PREVOD NA UCET	463	33009	POJISTNE	IJ	25759440
142423	477	1997-09-05	VYDAJ	PREVOD NA UCET	463	27572	POJISTNE	IJ	25759440
142424	477	1997-10-05	VYDAJ	PREVOD NA UCET	463	30331	POJISTNE	IJ	25759440
142425	477	1997-11-05	VYDAJ	PREVOD NA UCET	463	26290	POJISTNE	IJ	25759440
142426	477	1997-12-05	VYDAJ	PREVOD NA UCET	463	23055	POJISTNE	IJ	25759440
142427	477	1998-01-05	VYDAJ	PREVOD NA UCET	463	23888	POJISTNE	IJ	25759440
142428	477	1998-02-05	VYDAJ	PREVOD NA UCET	463	19404	POJISTNE	IJ	25759440
142429	477	1998-03-05	VYDAJ	PREVOD NA UCET	463	18119	POJISTNE	IJ	25759440
142430	477	1998-04-05	VYDAJ	PREVOD NA UCET	463	17545	POJISTNE	IJ	25759440
142431	477	1998-05-05	VYDAJ	PREVOD NA UCET	463	26642	POJISTNE	IJ	25759440
142432	477	1998-06-05	VYDAJ	PREVOD NA UCET	463	17070	POJISTNE	IJ	25759440
142433	477	1998-07-05	VYDAJ	PREVOD NA UCET	463	20080	POJISTNE	IJ	25759440
142434	477	1998-08-05	VYDAJ	PREVOD NA UCET	463	19992	POJISTNE	IJ	25759440
142435	477	1998-09-05	VYDAJ	PREVOD NA UCET	463	18496	POJISTNE	IJ	25759440
142436	477	1998-10-05	VYDAJ	PREVOD NA UCET	463	17993	POJISTNE	IJ	25759440
142437	477	1998-11-05	VYDAJ	PREVOD NA UCET	463	31098	POJISTNE	IJ	25759440
142438	477	1998-12-05	VYDAJ	PREVOD NA UCET	463	21938	POJISTNE	IJ	25759440
142439	477	1993-06-28	VYDAJ	VYBER	14400	27018	\N	\N	\N
142441	477	1995-06-26	VYDAJ	VYBER	7000	31135	\N	\N	\N
142442	477	1996-06-22	VYDAJ	VYBER	3700	56000	\N	\N	\N
142443	477	1997-06-27	VYDAJ	VYBER	17900	43492	\N	\N	\N
142446	477	1994-01-10	VYDAJ	VYBER	4900	31213	\N	\N	\N
142447	477	1995-01-27	VYDAJ	VYBER	9500	22055	\N	\N	\N
142448	477	1996-01-22	VYDAJ	VYBER	5200	41738	\N	\N	\N
142449	477	1997-01-12	VYDAJ	VYBER	5200	30866	\N	\N	\N
142457	477	1994-01-22	VYDAJ	VYBER	2500	30791	\N	\N	\N
142458	477	1994-01-02	VYDAJ	VYBER	1400	39376	\N	\N	\N
142459	477	1994-01-22	VYDAJ	VYBER	2900	27891	\N	\N	\N
142460	477	1994-01-10	VYDAJ	VYBER	2000	29213	\N	\N	\N
142461	477	1994-01-03	VYDAJ	VYBER	2800	36576	\N	\N	\N
142462	477	1994-01-22	VYDAJ	VYBER	500	27391	\N	\N	\N
142463	477	1995-01-24	VYDAJ	VYBER	600	33555	\N	\N	\N
142464	477	1995-01-26	VYDAJ	VYBER	2000	31555	\N	\N	\N
142465	477	1995-01-01	VYDAJ	VYBER	600	38440	\N	\N	\N
142466	477	1995-01-12	VYDAJ	VYBER	2300	34877	\N	\N	\N
142467	477	1995-01-01	VYDAJ	VYBER	800	37640	\N	\N	\N
142468	477	1995-01-18	VYDAJ	VYBER	1500	34155	\N	\N	\N
142469	477	1996-01-04	VYDAJ	VYBER	2600	50123	\N	\N	\N
142470	477	1996-01-29	VYDAJ	VYBER	1500	40238	\N	\N	\N
142471	477	1996-01-06	VYDAJ	VYBER	2900	44860	\N	\N	\N
142472	477	1996-01-08	VYDAJ	VYBER	2800	42060	\N	\N	\N
142473	477	1996-01-05	VYDAJ	VYBER	1900	47760	\N	\N	\N
142474	477	1996-01-21	VYDAJ	VYBER	900	46938	\N	\N	\N
142475	477	1997-01-23	VYDAJ	VYBER	1400	38844	\N	\N	\N
142476	477	1997-01-09	VYDAJ	VYBER	1800	36066	\N	\N	\N
142477	477	1997-01-21	VYDAJ	VYBER	1800	42544	\N	\N	\N
142478	477	1997-01-22	VYDAJ	VYBER	2300	40244	\N	\N	\N
142479	477	1997-01-01	VYDAJ	VYBER	1400	55429	\N	\N	\N
142480	477	1997-01-06	VYDAJ	VYBER	1800	37866	\N	\N	\N
142481	477	1998-01-18	VYDAJ	VYBER	2000	32966	\N	\N	\N
142482	477	1998-01-19	VYDAJ	VYBER	900	32066	\N	\N	\N
142483	477	1998-01-30	VYDAJ	VYBER	2400	19766	\N	\N	\N
142484	477	1998-01-05	VYDAJ	VYBER	2300	24351	\N	\N	\N
142485	477	1998-01-14	VYDAJ	VYBER	2400	35220	\N	\N	\N
142486	477	1998-01-25	VYDAJ	VYBER	700	31366	\N	\N	\N
142487	477	1993-06-28	VYDAJ	VYBER	4000	23018	\N	\N	\N
142489	477	1993-12-12	VYDAJ	VYBER	600	38627	\N	\N	\N
142493	477	1994-07-14	VYDAJ	VYBER	4900	45879	\N	\N	\N
142494	477	1994-03-29	VYDAJ	VYBER	3200	33876	\N	\N	\N
142495	477	1994-06-20	VYDAJ	VYBER	1500	37354	\N	\N	\N
142496	477	1994-12-21	VYDAJ	VYBER	2400	38886	\N	\N	\N
142497	477	1994-08-21	VYDAJ	VYBER	4600	31888	\N	\N	\N
142498	477	1994-10-21	VYDAJ	VYBER	1700	34185	\N	\N	\N
142499	477	1995-06-10	VYDAJ	VYBER	900	31861	\N	\N	\N
142500	477	1995-11-30	VYDAJ	VYBER	3000	44536	\N	\N	\N
142501	477	1995-12-01	VYDAJ	VYBER	3200	41321	\N	\N	\N
142502	477	1995-07-12	VYDAJ	VYBER	1300	29530	\N	\N	\N
142503	477	1995-11-21	VYDAJ	VYBER	3600	47336	\N	\N	\N
142504	477	1995-04-29	VYDAJ	VYBER	2300	32955	\N	\N	\N
142505	477	1996-05-23	VYDAJ	VYBER	3100	48601	\N	\N	\N
142506	477	1996-02-04	VYDAJ	VYBER	3900	36508	\N	\N	\N
142507	477	1996-01-03	VYDAJ	VYBER	2500	52723	\N	\N	\N
142508	477	1996-11-11	VYDAJ	VYBER	2400	29699	\N	\N	\N
142509	477	1996-05-25	VYDAJ	VYBER	1300	47301	\N	\N	\N
142510	477	1997-01-31	VYDAJ	VYBER	1300	37715	\N	\N	\N
142511	477	1997-12-19	VYDAJ	VYBER	4400	40329	\N	\N	\N
142512	477	1997-08-10	VYDAJ	VYBER	4000	29009	\N	\N	\N
142513	477	1997-07-26	VYDAJ	VYBER	2000	44908	\N	\N	\N
142514	477	1997-10-07	VYDAJ	VYBER	1400	28931	\N	\N	\N
142515	477	1997-08-22	VYDAJ	VYBER	600	41887	\N	\N	\N
142518	477	1998-05-20	VYDAJ	VYBER	3700	36420	\N	\N	\N
142519	477	1998-04-21	VYDAJ	VYBER	4000	27023	\N	\N	\N
142526	477	1993-06-30	VYDAJ	VYBER	15	23189	SLUZBY	\N	\N
142527	477	1993-07-31	VYDAJ	VYBER	15	31414	SLUZBY	\N	\N
142528	477	1993-08-31	VYDAJ	VYBER	15	35671	SLUZBY	\N	\N
142529	477	1993-09-30	VYDAJ	VYBER	15	38641	SLUZBY	\N	\N
142530	477	1993-10-31	VYDAJ	VYBER	15	37316	SLUZBY	\N	\N
142531	477	1993-11-30	VYDAJ	VYBER	15	39690	SLUZBY	\N	\N
142532	477	1993-12-31	VYDAJ	VYBER	15	40776	SLUZBY	\N	\N
142533	477	1994-01-31	VYDAJ	VYBER	15	27526	SLUZBY	\N	\N
142534	477	1994-02-28	VYDAJ	VYBER	15	31761	SLUZBY	\N	\N
142535	477	1994-03-31	VYDAJ	VYBER	15	34015	SLUZBY	\N	\N
142536	477	1994-04-30	VYDAJ	VYBER	15	37775	SLUZBY	\N	\N
142537	477	1994-05-31	VYDAJ	VYBER	15	36143	SLUZBY	\N	\N
142538	477	1994-06-30	VYDAJ	VYBER	15	37510	SLUZBY	\N	\N
142539	477	1994-07-31	VYDAJ	VYBER	15	35173	SLUZBY	\N	\N
142540	477	1994-08-31	VYDAJ	VYBER	15	32025	SLUZBY	\N	\N
142541	477	1994-09-30	VYDAJ	VYBER	15	34370	SLUZBY	\N	\N
142542	477	1994-10-31	VYDAJ	VYBER	15	34321	SLUZBY	\N	\N
142543	477	1994-11-30	VYDAJ	VYBER	15	36975	SLUZBY	\N	\N
142544	477	1994-12-31	VYDAJ	VYBER	15	39040	SLUZBY	\N	\N
142545	477	1995-01-31	VYDAJ	VYBER	15	22183	SLUZBY	\N	\N
142546	477	1995-02-28	VYDAJ	VYBER	15	29506	SLUZBY	\N	\N
142547	477	1995-03-31	VYDAJ	VYBER	15	31940	SLUZBY	\N	\N
142548	477	1995-04-30	VYDAJ	VYBER	15	33083	SLUZBY	\N	\N
142549	477	1995-05-31	VYDAJ	VYBER	15	33224	SLUZBY	\N	\N
142550	477	1995-06-30	VYDAJ	VYBER	15	31293	SLUZBY	\N	\N
142551	477	1995-07-31	VYDAJ	VYBER	15	31632	SLUZBY	\N	\N
142552	477	1995-08-31	VYDAJ	VYBER	15	31863	SLUZBY	\N	\N
142553	477	1995-09-30	VYDAJ	VYBER	15	42928	SLUZBY	\N	\N
142554	477	1995-10-31	VYDAJ	VYBER	15	49221	SLUZBY	\N	\N
142555	477	1995-11-30	VYDAJ	VYBER	15	44521	SLUZBY	\N	\N
142556	477	1995-12-31	VYDAJ	VYBER	15	55223	SLUZBY	\N	\N
142557	477	1996-01-31	VYDAJ	VYBER	15	40408	SLUZBY	\N	\N
142558	477	1996-02-29	VYDAJ	VYBER	15	44383	SLUZBY	\N	\N
142559	477	1996-03-31	VYDAJ	VYBER	15	50077	SLUZBY	\N	\N
142560	477	1996-04-30	VYDAJ	VYBER	15	52986	SLUZBY	\N	\N
142561	477	1996-05-31	VYDAJ	VYBER	15	47489	SLUZBY	\N	\N
142562	477	1996-06-30	VYDAJ	VYBER	15	56201	SLUZBY	\N	\N
142563	477	1996-07-31	VYDAJ	VYBER	15	50204	SLUZBY	\N	\N
142564	477	1996-08-31	VYDAJ	VYBER	15	50401	SLUZBY	\N	\N
142565	477	1996-09-30	VYDAJ	VYBER	15	47185	SLUZBY	\N	\N
142566	477	1996-10-31	VYDAJ	VYBER	15	45762	SLUZBY	\N	\N
142567	477	1996-11-30	VYDAJ	VYBER	15	43329	SLUZBY	\N	\N
142568	477	1996-12-31	VYDAJ	VYBER	15	56829	SLUZBY	\N	\N
142569	477	1997-01-31	VYDAJ	VYBER	15	37700	SLUZBY	\N	\N
142570	477	1997-02-28	VYDAJ	VYBER	15	44362	SLUZBY	\N	\N
142571	477	1997-03-31	VYDAJ	VYBER	15	51456	SLUZBY	\N	\N
142572	477	1997-04-30	VYDAJ	VYBER	15	55466	SLUZBY	\N	\N
142573	477	1997-05-31	VYDAJ	VYBER	15	55681	SLUZBY	\N	\N
142574	477	1997-06-30	VYDAJ	VYBER	15	43693	SLUZBY	\N	\N
142575	477	1997-07-31	VYDAJ	VYBER	15	45072	SLUZBY	\N	\N
142576	477	1997-08-31	VYDAJ	VYBER	15	42035	SLUZBY	\N	\N
142577	477	1997-09-30	VYDAJ	VYBER	15	41194	SLUZBY	\N	\N
142578	477	1997-10-31	VYDAJ	VYBER	15	42553	SLUZBY	\N	\N
142579	477	1997-11-30	VYDAJ	VYBER	15	23518	SLUZBY	\N	\N
142580	477	1997-12-31	VYDAJ	VYBER	15	26651	SLUZBY	\N	\N
142581	477	1998-01-31	VYDAJ	VYBER	15	19867	SLUZBY	\N	\N
142582	477	1998-02-28	VYDAJ	VYBER	15	32982	SLUZBY	\N	\N
142583	477	1998-03-31	VYDAJ	VYBER	15	18008	SLUZBY	\N	\N
142584	477	1998-04-30	VYDAJ	VYBER	15	27105	SLUZBY	\N	\N
142585	477	1998-05-31	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
142586	477	1998-06-30	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
142587	477	1998-07-31	VYDAJ	VYBER	15	20455	SLUZBY	\N	\N
142588	477	1998-08-31	VYDAJ	VYBER	15	18959	SLUZBY	\N	\N
142589	477	1998-09-30	VYDAJ	VYBER	15	18456	SLUZBY	\N	\N
142590	477	1998-10-31	VYDAJ	VYBER	15	31561	SLUZBY	\N	\N
142591	477	1998-11-30	VYDAJ	VYBER	15	22401	SLUZBY	\N	\N
142592	477	1993-02-24	PRIJEM	VKLAD	900	18292	\N	\N	\N
142593	477	1993-03-26	VYDAJ	VYBER	4400	30298	\N	\N	\N
142594	477	1993-04-25	VYDAJ	VYBER	12300	34476	\N	\N	\N
142595	477	1993-05-25	VYDAJ	VYBER	12800	38197	\N	\N	\N
142596	477	1993-06-24	VYDAJ	VYBER	18600	41418	\N	\N	\N
142597	477	1993-07-24	VYDAJ	VYBER	4900	31304	\N	\N	\N
142598	477	1993-08-23	VYDAJ	VYBER	8900	35529	\N	\N	\N
142599	477	1993-09-22	VYDAJ	VYBER	10200	38486	\N	\N	\N
142600	477	1993-10-22	VYDAJ	VYBER	14500	37156	\N	\N	\N
142601	477	1993-11-21	VYDAJ	VYBER	10800	39531	\N	\N	\N
142602	477	1993-12-21	VYDAJ	VYBER	19700	40601	\N	\N	\N
142603	477	1994-01-20	VYDAJ	VYBER	9400	33291	\N	\N	\N
142604	477	1994-02-19	VYDAJ	VYBER	8900	31641	\N	\N	\N
142605	477	1994-03-21	VYDAJ	VYBER	7700	37076	\N	\N	\N
142606	477	1994-04-20	VYDAJ	VYBER	9400	37630	\N	\N	\N
142607	477	1994-05-20	VYDAJ	VYBER	14800	35990	\N	\N	\N
142608	477	1994-06-19	VYDAJ	VYBER	18500	38854	\N	\N	\N
142609	477	1994-07-19	VYDAJ	VYBER	10600	35025	\N	\N	\N
142610	477	1994-08-18	VYDAJ	VYBER	11700	36488	\N	\N	\N
142611	477	1994-09-17	VYDAJ	VYBER	10800	34240	\N	\N	\N
142612	477	1994-10-17	VYDAJ	VYBER	11500	35885	\N	\N	\N
142613	477	1994-11-16	VYDAJ	VYBER	10500	36836	\N	\N	\N
142614	477	1994-12-16	VYDAJ	VYBER	16900	41286	\N	\N	\N
142615	477	1995-01-15	VYDAJ	VYBER	12700	35655	\N	\N	\N
142616	477	1995-02-14	VYDAJ	VYBER	5800	29398	\N	\N	\N
142617	477	1995-03-16	VYDAJ	VYBER	10700	31821	\N	\N	\N
142618	477	1995-04-15	VYDAJ	VYBER	9700	35255	\N	\N	\N
142619	477	1995-05-15	VYDAJ	VYBER	13000	33098	\N	\N	\N
142620	477	1995-06-14	VYDAJ	VYBER	15400	38135	\N	\N	\N
142621	477	1995-07-14	VYDAJ	VYBER	11500	34422	\N	\N	\N
142622	477	1995-08-13	VYDAJ	VYBER	12900	34661	\N	\N	\N
142623	477	1995-09-12	VYDAJ	VYBER	2100	29300	\N	\N	\N
142624	477	1995-10-12	VYDAJ	VYBER	6900	35565	\N	\N	\N
142625	477	1995-11-11	VYDAJ	VYBER	11300	37458	\N	\N	\N
142626	477	1995-12-11	VYDAJ	VYBER	7500	33358	\N	\N	\N
142627	477	1996-01-10	VYDAJ	VYBER	7700	34360	\N	\N	\N
142628	477	1996-02-09	VYDAJ	VYBER	5300	30745	\N	\N	\N
142629	477	1996-03-10	VYDAJ	VYBER	7500	36420	\N	\N	\N
142630	477	1996-04-09	VYDAJ	VYBER	10300	39314	\N	\N	\N
142631	477	1996-05-09	VYDAJ	VYBER	14300	38223	\N	\N	\N
142632	477	1996-06-08	VYDAJ	VYBER	9000	38026	\N	\N	\N
142633	477	1996-07-08	VYDAJ	VYBER	19200	36538	\N	\N	\N
142634	477	1996-08-07	VYDAJ	VYBER	13000	36741	\N	\N	\N
142635	477	1996-09-06	VYDAJ	VYBER	16400	33538	\N	\N	\N
142636	477	1996-10-06	VYDAJ	VYBER	14600	32122	\N	\N	\N
142637	477	1996-11-05	VYDAJ	VYBER	13200	32562	\N	\N	\N
142638	477	1996-12-05	VYDAJ	VYBER	7900	35429	\N	\N	\N
142639	477	1997-01-04	VYDAJ	VYBER	15300	40129	\N	\N	\N
142640	477	1997-02-03	VYDAJ	VYBER	6500	31200	\N	\N	\N
142641	477	1997-03-05	VYDAJ	VYBER	6100	38262	\N	\N	\N
142642	477	1997-04-04	VYDAJ	VYBER	9200	42256	\N	\N	\N
142643	477	1997-05-04	VYDAJ	VYBER	13000	42466	\N	\N	\N
142644	477	1997-06-03	VYDAJ	VYBER	15500	40181	\N	\N	\N
142645	477	1997-07-03	VYDAJ	VYBER	9800	33893	\N	\N	\N
142646	477	1997-08-02	VYDAJ	VYBER	11600	33472	\N	\N	\N
142647	477	1997-09-01	VYDAJ	VYBER	14000	28035	\N	\N	\N
142648	477	1997-10-01	VYDAJ	VYBER	10400	30794	\N	\N	\N
142649	477	1997-10-31	VYDAJ	VYBER	15800	26753	\N	\N	\N
142650	477	1997-11-30	VYDAJ	VYBER	16400	23533	\N	\N	\N
142651	477	1997-12-30	VYDAJ	VYBER	13800	26529	\N	\N	\N
142652	477	1998-01-29	VYDAJ	VYBER	9200	22166	\N	\N	\N
142653	477	1998-02-28	VYDAJ	VYBER	14400	18582	\N	\N	\N
142654	477	1998-03-30	VYDAJ	VYBER	13700	17897	\N	\N	\N
142655	477	1998-05-29	VYDAJ	VYBER	19000	17420	\N	\N	\N
142656	477	1998-06-28	VYDAJ	VYBER	18300	20444	\N	\N	\N
142657	477	1998-07-28	VYDAJ	VYBER	13200	20358	\N	\N	\N
142658	477	1998-08-27	VYDAJ	VYBER	14600	18870	\N	\N	\N
142659	477	1998-09-26	VYDAJ	VYBER	13600	18374	\N	\N	\N
142660	477	1998-11-25	VYDAJ	VYBER	22300	22276	\N	\N	\N
142732	478	1994-07-16	PRIJEM	VKLAD	400	400	\N	\N	\N
142740	478	1994-08-11	PRIJEM	VKLAD	23664	24064	\N	\N	\N
142741	478	1994-09-11	PRIJEM	VKLAD	23664	47482	\N	\N	\N
142742	478	1994-10-11	PRIJEM	VKLAD	23664	58872	\N	\N	\N
142743	478	1994-11-11	PRIJEM	VKLAD	23664	63894	\N	\N	\N
142744	478	1994-12-11	PRIJEM	VKLAD	35496	80469	\N	\N	\N
142745	478	1995-01-11	PRIJEM	VKLAD	23664	65245	\N	\N	\N
142746	478	1995-02-11	PRIJEM	VKLAD	23664	49144	\N	\N	\N
142747	478	1995-03-11	PRIJEM	VKLAD	23664	48671	\N	\N	\N
142748	478	1995-04-11	PRIJEM	VKLAD	23664	50189	\N	\N	\N
142749	478	1995-05-11	PRIJEM	VKLAD	23664	49777	\N	\N	\N
142750	478	1995-06-11	PRIJEM	VKLAD	35496	56011	\N	\N	\N
142751	478	1995-07-11	PRIJEM	VKLAD	23664	56183	\N	\N	\N
142752	478	1995-08-11	PRIJEM	VKLAD	23664	53167	\N	\N	\N
142753	478	1995-09-11	PRIJEM	VKLAD	23664	51996	\N	\N	\N
142754	478	1995-10-11	PRIJEM	VKLAD	23664	58715	\N	\N	\N
142755	478	1995-11-11	PRIJEM	VKLAD	23664	59958	\N	\N	\N
142756	478	1995-12-11	PRIJEM	VKLAD	35496	74841	\N	\N	\N
142757	478	1996-01-11	PRIJEM	VKLAD	23664	63735	\N	\N	\N
142758	478	1996-02-11	PRIJEM	VKLAD	23664	58208	\N	\N	\N
142759	478	1996-03-11	PRIJEM	VKLAD	23664	60054	\N	\N	\N
142760	478	1996-04-11	PRIJEM	VKLAD	23664	51408	\N	\N	\N
142761	478	1996-05-11	PRIJEM	VKLAD	23664	51824	\N	\N	\N
142762	478	1996-06-11	PRIJEM	VKLAD	35496	45451	\N	\N	\N
142763	478	1996-07-11	PRIJEM	VKLAD	23664	49642	\N	\N	\N
142764	478	1996-08-11	PRIJEM	VKLAD	23664	52141	\N	\N	\N
142765	478	1996-09-11	PRIJEM	VKLAD	23664	52646	\N	\N	\N
142766	478	1996-10-11	PRIJEM	VKLAD	23664	54965	\N	\N	\N
142767	478	1996-11-11	PRIJEM	VKLAD	23664	57987	\N	\N	\N
142768	478	1996-12-11	PRIJEM	VKLAD	35496	70016	\N	\N	\N
142769	478	1997-01-11	PRIJEM	VKLAD	23664	55351	\N	\N	\N
142770	478	1997-02-11	PRIJEM	VKLAD	23664	58726	\N	\N	\N
142771	478	1997-03-11	PRIJEM	VKLAD	23664	62355	\N	\N	\N
142772	478	1997-04-11	PRIJEM	VKLAD	23664	64510	\N	\N	\N
142773	478	1997-05-11	PRIJEM	VKLAD	23664	64775	\N	\N	\N
142774	478	1997-06-11	PRIJEM	VKLAD	35496	79273	\N	\N	\N
142775	478	1997-07-11	PRIJEM	VKLAD	23664	56826	\N	\N	\N
142776	478	1997-08-11	PRIJEM	VKLAD	23664	61250	\N	\N	\N
142777	478	1997-09-11	PRIJEM	VKLAD	23664	62088	\N	\N	\N
142778	478	1997-10-11	PRIJEM	VKLAD	23664	60128	\N	\N	\N
142779	478	1997-11-11	PRIJEM	VKLAD	23664	63361	\N	\N	\N
142780	478	1997-12-11	PRIJEM	VKLAD	35496	75938	\N	\N	\N
142781	478	1998-01-11	PRIJEM	VKLAD	23664	65890	\N	\N	\N
142782	478	1998-02-11	PRIJEM	VKLAD	23664	49616	\N	\N	\N
142783	478	1998-03-11	PRIJEM	VKLAD	23664	54403	\N	\N	\N
142784	478	1998-04-11	PRIJEM	VKLAD	23664	61712	\N	\N	\N
142785	478	1998-05-11	PRIJEM	VKLAD	23664	69352	\N	\N	\N
142786	478	1998-06-11	PRIJEM	VKLAD	35496	80807	\N	\N	\N
142787	478	1998-07-11	PRIJEM	VKLAD	23664	67648	\N	\N	\N
142788	478	1998-08-11	PRIJEM	VKLAD	23664	60379	\N	\N	\N
142789	478	1998-09-11	PRIJEM	VKLAD	23664	65708	\N	\N	\N
142790	478	1998-10-11	PRIJEM	VKLAD	23664	69856	\N	\N	\N
142791	478	1998-11-11	PRIJEM	VKLAD	23664	74221	\N	\N	\N
142792	478	1998-12-11	PRIJEM	VKLAD	35496	93238	\N	\N	\N
142805	478	1995-01-07	VYDAJ	PREVOD NA UCET	8137	41581	SIPO	EF	9013551
142806	478	1995-02-07	VYDAJ	PREVOD NA UCET	8137	25480	SIPO	EF	9013551
142807	478	1995-03-07	VYDAJ	PREVOD NA UCET	8137	25007	SIPO	EF	9013551
142808	478	1995-04-07	VYDAJ	PREVOD NA UCET	8137	26525	SIPO	EF	9013551
142809	478	1995-05-07	VYDAJ	PREVOD NA UCET	8137	30193	SIPO	EF	9013551
142810	478	1995-06-07	VYDAJ	PREVOD NA UCET	8137	27875	SIPO	EF	9013551
142811	478	1995-07-07	VYDAJ	PREVOD NA UCET	8137	32519	SIPO	EF	9013551
142812	478	1995-08-07	VYDAJ	PREVOD NA UCET	8137	33203	SIPO	EF	9013551
142813	478	1995-09-07	VYDAJ	PREVOD NA UCET	8137	40532	SIPO	EF	9013551
142814	478	1995-10-07	VYDAJ	PREVOD NA UCET	8137	44051	SIPO	EF	9013551
142815	478	1995-11-07	VYDAJ	PREVOD NA UCET	8137	50794	SIPO	EF	9013551
142816	478	1995-12-07	VYDAJ	PREVOD NA UCET	8137	52045	SIPO	EF	9013551
142817	478	1996-01-07	VYDAJ	PREVOD NA UCET	8137	64411	SIPO	EF	9013551
142818	478	1996-02-07	VYDAJ	PREVOD NA UCET	8137	34544	SIPO	EF	9013551
142819	478	1996-03-07	VYDAJ	PREVOD NA UCET	8137	50290	SIPO	EF	9013551
142820	478	1996-04-07	VYDAJ	PREVOD NA UCET	8137	27744	SIPO	EF	9013551
142821	478	1996-05-07	VYDAJ	PREVOD NA UCET	8137	28160	SIPO	EF	9013551
142822	478	1996-06-07	VYDAJ	PREVOD NA UCET	8137	9955	SIPO	EF	9013551
142823	478	1996-07-07	VYDAJ	PREVOD NA UCET	8137	25978	SIPO	EF	9013551
142824	478	1996-08-07	VYDAJ	PREVOD NA UCET	8137	28477	SIPO	EF	9013551
142825	478	1996-09-07	VYDAJ	PREVOD NA UCET	8137	28982	SIPO	EF	9013551
142826	478	1996-10-07	VYDAJ	PREVOD NA UCET	8137	31301	SIPO	EF	9013551
142827	478	1996-11-07	VYDAJ	PREVOD NA UCET	8137	34323	SIPO	EF	9013551
142828	478	1996-12-07	VYDAJ	PREVOD NA UCET	8137	35960	SIPO	EF	9013551
142829	478	1997-01-07	VYDAJ	PREVOD NA UCET	8137	31687	SIPO	EF	9013551
142830	478	1997-02-07	VYDAJ	PREVOD NA UCET	8137	35062	SIPO	EF	9013551
142831	478	1997-03-07	VYDAJ	PREVOD NA UCET	8137	38691	SIPO	EF	9013551
142832	478	1997-04-07	VYDAJ	PREVOD NA UCET	8137	40846	SIPO	EF	9013551
142833	478	1997-05-07	VYDAJ	PREVOD NA UCET	8137	41111	SIPO	EF	9013551
142834	478	1997-06-07	VYDAJ	PREVOD NA UCET	8137	43777	SIPO	EF	9013551
142835	478	1997-07-07	VYDAJ	PREVOD NA UCET	8137	33162	SIPO	EF	9013551
142836	478	1997-08-07	VYDAJ	PREVOD NA UCET	8137	37586	SIPO	EF	9013551
142837	478	1997-09-07	VYDAJ	PREVOD NA UCET	8137	38424	SIPO	EF	9013551
142838	478	1997-10-07	VYDAJ	PREVOD NA UCET	8137	36464	SIPO	EF	9013551
142839	478	1997-11-07	VYDAJ	PREVOD NA UCET	8137	39697	SIPO	EF	9013551
142840	478	1997-12-07	VYDAJ	PREVOD NA UCET	8137	40442	SIPO	EF	9013551
142841	478	1998-01-07	VYDAJ	PREVOD NA UCET	8137	42226	SIPO	EF	9013551
142842	478	1998-02-07	VYDAJ	PREVOD NA UCET	8137	25952	SIPO	EF	9013551
142843	478	1998-03-07	VYDAJ	PREVOD NA UCET	8137	30739	SIPO	EF	9013551
142844	478	1998-04-07	VYDAJ	PREVOD NA UCET	8137	38048	SIPO	EF	9013551
142845	478	1998-05-07	VYDAJ	PREVOD NA UCET	8137	45688	SIPO	EF	9013551
142846	478	1998-06-07	VYDAJ	PREVOD NA UCET	8137	45311	SIPO	EF	9013551
142847	478	1998-07-07	VYDAJ	PREVOD NA UCET	8137	43984	SIPO	EF	9013551
142848	478	1998-08-07	VYDAJ	PREVOD NA UCET	8137	36715	SIPO	EF	9013551
142849	478	1998-09-07	VYDAJ	PREVOD NA UCET	8137	42044	SIPO	EF	9013551
142850	478	1998-10-07	VYDAJ	PREVOD NA UCET	8137	46192	SIPO	EF	9013551
142851	478	1998-11-07	VYDAJ	PREVOD NA UCET	8137	50557	SIPO	EF	9013551
142852	478	1998-12-07	VYDAJ	PREVOD NA UCET	8137	57742	SIPO	EF	9013551
142854	478	1995-06-10	VYDAJ	VYBER	7360	20515	\N	\N	\N
142855	478	1996-06-04	VYDAJ	VYBER	36320	15692	\N	\N	\N
142856	478	1997-06-29	VYDAJ	VYBER	30240	49033	\N	\N	\N
142857	478	1998-06-13	VYDAJ	VYBER	14400	66407	\N	\N	\N
142859	478	1995-01-26	VYDAJ	VYBER	11200	33445	\N	\N	\N
142860	478	1996-01-10	VYDAJ	VYBER	3840	40071	\N	\N	\N
142861	478	1997-01-06	VYDAJ	VYBER	8640	39824	\N	\N	\N
142862	478	1998-01-30	VYDAJ	VYBER	14720	33870	\N	\N	\N
142863	478	1994-12-13	VYDAJ	VYBER	4000	76469	\N	\N	\N
142864	478	1995-12-26	VYDAJ	VYBER	2560	72281	\N	\N	\N
142865	478	1996-12-10	VYDAJ	VYBER	1440	34520	\N	\N	\N
142866	478	1997-12-30	VYDAJ	VYBER	1920	50118	\N	\N	\N
142867	478	1998-12-20	VYDAJ	VYBER KARTOU	1300	91938	\N	\N	0
142873	478	1995-03-12	VYDAJ	VYBER	5040	43631	\N	\N	\N
142874	478	1995-05-07	VYDAJ	VYBER	4080	26113	\N	\N	\N
142875	478	1995-02-18	VYDAJ	VYBER	2640	33004	\N	\N	\N
142876	478	1995-08-22	VYDAJ	VYBER	4680	48487	\N	\N	\N
142877	478	1996-08-13	VYDAJ	VYBER	3600	48541	\N	\N	\N
142878	478	1996-09-13	VYDAJ	VYBER	5880	46766	\N	\N	\N
142879	478	1996-06-20	VYDAJ	VYBER	4080	41371	\N	\N	\N
142880	478	1996-03-30	VYDAJ	VYBER	5400	54654	\N	\N	\N
142881	478	1997-02-05	VYDAJ	VYBER	960	43199	\N	\N	\N
142882	478	1998-07-27	VYDAJ	VYBER	1680	50268	\N	\N	\N
142883	478	1998-08-04	VYDAJ	VYBER	5640	44852	\N	\N	\N
142884	478	1998-07-04	VYDAJ	VYBER	1920	52121	\N	\N	\N
142885	478	1998-05-20	VYDAJ	VYBER	840	68512	\N	\N	\N
142898	478	1994-12-31	VYDAJ	VYBER	15	49718	SLUZBY	\N	\N
142899	478	1995-01-31	VYDAJ	VYBER	15	33617	SLUZBY	\N	\N
142900	478	1995-02-28	VYDAJ	VYBER	15	33144	SLUZBY	\N	\N
142901	478	1995-03-31	VYDAJ	VYBER	15	34662	SLUZBY	\N	\N
142902	478	1995-04-30	VYDAJ	VYBER	15	38330	SLUZBY	\N	\N
142903	478	1995-05-31	VYDAJ	VYBER	15	36012	SLUZBY	\N	\N
142904	478	1995-06-30	VYDAJ	VYBER	15	40656	SLUZBY	\N	\N
142905	478	1995-07-31	VYDAJ	VYBER	15	41340	SLUZBY	\N	\N
142906	478	1995-08-31	VYDAJ	VYBER	15	48669	SLUZBY	\N	\N
142907	478	1995-09-30	VYDAJ	VYBER	15	52188	SLUZBY	\N	\N
142908	478	1995-10-31	VYDAJ	VYBER	15	58931	SLUZBY	\N	\N
142909	478	1995-11-30	VYDAJ	VYBER	15	60182	SLUZBY	\N	\N
142910	478	1995-12-31	VYDAJ	VYBER	15	72548	SLUZBY	\N	\N
142911	478	1996-01-31	VYDAJ	VYBER	15	63981	SLUZBY	\N	\N
142912	478	1996-02-29	VYDAJ	VYBER	15	58427	SLUZBY	\N	\N
142913	478	1996-03-31	VYDAJ	VYBER	15	54881	SLUZBY	\N	\N
142914	478	1996-04-30	VYDAJ	VYBER	15	51597	SLUZBY	\N	\N
142915	478	1996-05-31	VYDAJ	VYBER	15	52012	SLUZBY	\N	\N
142916	478	1996-06-30	VYDAJ	VYBER	15	41515	SLUZBY	\N	\N
142917	478	1996-07-31	VYDAJ	VYBER	15	49814	SLUZBY	\N	\N
142918	478	1996-08-31	VYDAJ	VYBER	15	48719	SLUZBY	\N	\N
142919	478	1996-09-30	VYDAJ	VYBER	15	46938	SLUZBY	\N	\N
142920	478	1996-10-31	VYDAJ	VYBER	15	55160	SLUZBY	\N	\N
142921	478	1996-11-30	VYDAJ	VYBER	15	58197	SLUZBY	\N	\N
142922	478	1996-12-31	VYDAJ	VYBER	15	70264	SLUZBY	\N	\N
142923	478	1997-01-31	VYDAJ	VYBER	15	55559	SLUZBY	\N	\N
142924	478	1997-02-28	VYDAJ	VYBER	15	58928	SLUZBY	\N	\N
142925	478	1997-03-31	VYDAJ	VYBER	15	62583	SLUZBY	\N	\N
142926	478	1997-04-30	VYDAJ	VYBER	15	64748	SLUZBY	\N	\N
142927	478	1997-05-31	VYDAJ	VYBER	15	65014	SLUZBY	\N	\N
142928	478	1997-06-30	VYDAJ	VYBER	15	49299	SLUZBY	\N	\N
142929	478	1997-07-31	VYDAJ	VYBER	15	45723	SLUZBY	\N	\N
142930	478	1997-08-31	VYDAJ	VYBER	15	46561	SLUZBY	\N	\N
142931	478	1997-09-30	VYDAJ	VYBER	15	44601	SLUZBY	\N	\N
142932	478	1997-10-31	VYDAJ	VYBER	15	47834	SLUZBY	\N	\N
142933	478	1997-11-30	VYDAJ	VYBER	15	48579	SLUZBY	\N	\N
142934	478	1997-12-31	VYDAJ	VYBER	15	50363	SLUZBY	\N	\N
142935	478	1998-01-31	VYDAJ	VYBER	15	34089	SLUZBY	\N	\N
142936	478	1998-02-28	VYDAJ	VYBER	15	38876	SLUZBY	\N	\N
142937	478	1998-03-31	VYDAJ	VYBER	15	46185	SLUZBY	\N	\N
142938	478	1998-04-30	VYDAJ	VYBER	15	53825	SLUZBY	\N	\N
142939	478	1998-05-31	VYDAJ	VYBER	15	53448	SLUZBY	\N	\N
142940	478	1998-06-30	VYDAJ	VYBER	15	54041	SLUZBY	\N	\N
142941	478	1998-07-31	VYDAJ	VYBER	15	50492	SLUZBY	\N	\N
142942	478	1998-08-31	VYDAJ	VYBER	15	50181	SLUZBY	\N	\N
142943	478	1998-09-30	VYDAJ	VYBER	15	54329	SLUZBY	\N	\N
142944	478	1998-10-31	VYDAJ	VYBER	15	58694	SLUZBY	\N	\N
142945	478	1998-11-30	VYDAJ	VYBER	15	65879	SLUZBY	\N	\N
142946	478	1994-08-15	VYDAJ	VYBER	300	23764	\N	\N	\N
142947	478	1994-09-14	VYDAJ	VYBER	12400	35082	\N	\N	\N
142948	478	1994-10-14	VYDAJ	VYBER	18800	40072	\N	\N	\N
142949	478	1994-11-13	VYDAJ	VYBER	19100	44794	\N	\N	\N
142950	478	1994-12-13	VYDAJ	VYBER	27000	49469	\N	\N	\N
142951	478	1995-01-12	VYDAJ	VYBER	20600	44645	\N	\N	\N
142952	478	1995-02-11	VYDAJ	VYBER	13500	35644	\N	\N	\N
142953	478	1995-03-13	VYDAJ	VYBER	9100	34531	\N	\N	\N
142954	478	1995-04-12	VYDAJ	VYBER	12000	38189	\N	\N	\N
142955	478	1995-05-12	VYDAJ	VYBER	13900	35877	\N	\N	\N
142956	478	1995-06-11	VYDAJ	VYBER	15500	40511	\N	\N	\N
142957	478	1995-07-11	VYDAJ	VYBER	15000	41183	\N	\N	\N
142958	478	1995-08-10	VYDAJ	VYBER	3700	29503	\N	\N	\N
142959	478	1995-09-09	VYDAJ	VYBER	12200	28332	\N	\N	\N
142960	478	1995-10-09	VYDAJ	VYBER	9000	35051	\N	\N	\N
142961	478	1995-11-08	VYDAJ	VYBER	14500	36294	\N	\N	\N
142962	478	1995-12-08	VYDAJ	VYBER	12700	39345	\N	\N	\N
142963	478	1996-01-07	VYDAJ	VYBER	20500	43911	\N	\N	\N
142964	478	1996-02-06	VYDAJ	VYBER	21300	42681	\N	\N	\N
142965	478	1996-03-07	VYDAJ	VYBER	13900	36390	\N	\N	\N
142966	478	1996-04-06	VYDAJ	VYBER	19000	35881	\N	\N	\N
142967	478	1996-05-06	VYDAJ	VYBER	15300	36297	\N	\N	\N
142968	478	1996-06-05	PRIJEM	VKLAD	2400	18092	\N	\N	\N
142969	478	1996-07-05	VYDAJ	VYBER	7400	34115	\N	\N	\N
142970	478	1996-08-04	VYDAJ	VYBER	13200	36614	\N	\N	\N
142971	478	1996-09-03	VYDAJ	VYBER	11600	37119	\N	\N	\N
142972	478	1996-10-03	VYDAJ	VYBER	7500	39438	\N	\N	\N
142973	478	1996-11-02	VYDAJ	VYBER	12700	42460	\N	\N	\N
142974	478	1996-12-02	VYDAJ	VYBER	14100	44097	\N	\N	\N
142975	478	1997-01-01	VYDAJ	VYBER	21800	48464	\N	\N	\N
142976	478	1997-01-31	VYDAJ	VYBER	11400	44159	\N	\N	\N
142977	478	1997-03-02	VYDAJ	VYBER	12100	46828	\N	\N	\N
142978	478	1997-04-01	VYDAJ	VYBER	13600	48983	\N	\N	\N
142979	478	1997-05-01	VYDAJ	VYBER	15500	49248	\N	\N	\N
142980	478	1997-05-31	VYDAJ	VYBER	13100	51914	\N	\N	\N
142981	478	1997-06-30	VYDAJ	VYBER	8000	41299	\N	\N	\N
142982	478	1997-07-30	VYDAJ	VYBER	11300	45526	\N	\N	\N
142983	478	1997-08-29	VYDAJ	VYBER	14900	46350	\N	\N	\N
142984	478	1997-09-28	VYDAJ	VYBER	17700	44388	\N	\N	\N
142985	478	1997-10-28	VYDAJ	VYBER	12500	47628	\N	\N	\N
142986	478	1997-11-27	VYDAJ	VYBER	15000	48361	\N	\N	\N
142987	478	1997-12-27	VYDAJ	VYBER	23900	52038	\N	\N	\N
142988	478	1998-01-26	VYDAJ	VYBER	17300	48590	\N	\N	\N
142989	478	1998-02-25	VYDAJ	VYBER	10900	38716	\N	\N	\N
142990	478	1998-03-27	VYDAJ	VYBER	8400	46003	\N	\N	\N
142991	478	1998-04-26	VYDAJ	VYBER	8100	53612	\N	\N	\N
142992	478	1998-05-26	VYDAJ	VYBER	15300	53212	\N	\N	\N
142993	478	1998-06-25	VYDAJ	VYBER	12600	53807	\N	\N	\N
142994	478	1998-07-25	VYDAJ	VYBER	15700	51948	\N	\N	\N
142995	478	1998-08-24	VYDAJ	VYBER	10400	49979	\N	\N	\N
142996	478	1998-09-23	VYDAJ	VYBER	11600	54108	\N	\N	\N
142997	478	1998-10-23	VYDAJ	VYBER	11400	58456	\N	\N	\N
142998	478	1998-11-22	VYDAJ	VYBER	8600	65621	\N	\N	\N
143052	479	1995-11-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
143064	479	1995-12-05	PRIJEM	PREVOD Z UCTU	3097	4197	\N	EF	71889817
143065	479	1996-01-05	PRIJEM	PREVOD Z UCTU	3097	7294	\N	EF	71889817
143066	479	1996-02-05	PRIJEM	PREVOD Z UCTU	3097	10391	\N	EF	71889817
143067	479	1996-03-05	PRIJEM	PREVOD Z UCTU	3097	13488	\N	EF	71889817
143068	479	1996-04-05	PRIJEM	PREVOD Z UCTU	3097	16585	\N	EF	71889817
143069	479	1996-05-05	PRIJEM	PREVOD Z UCTU	3097	17656	\N	EF	71889817
143070	479	1996-06-05	PRIJEM	PREVOD Z UCTU	3097	18739	\N	EF	71889817
143071	479	1996-07-05	PRIJEM	PREVOD Z UCTU	3097	15616	\N	EF	71889817
143072	479	1996-08-05	PRIJEM	PREVOD Z UCTU	3097	15854	\N	EF	71889817
143073	479	1996-09-05	PRIJEM	PREVOD Z UCTU	3097	16929	\N	EF	71889817
143074	479	1996-10-05	PRIJEM	PREVOD Z UCTU	3097	17592	\N	EF	71889817
143075	479	1996-11-05	PRIJEM	PREVOD Z UCTU	3097	17957	\N	EF	71889817
143076	479	1996-12-05	PRIJEM	PREVOD Z UCTU	3097	18321	\N	EF	71889817
143077	479	1997-01-05	PRIJEM	PREVOD Z UCTU	3097	19226	\N	EF	71889817
143078	479	1997-02-05	PRIJEM	PREVOD Z UCTU	3097	14485	\N	EF	71889817
143079	479	1997-03-05	PRIJEM	PREVOD Z UCTU	3097	15562	\N	EF	71889817
143080	479	1997-04-05	PRIJEM	PREVOD Z UCTU	3097	15435	\N	EF	71889817
143081	479	1997-05-05	PRIJEM	PREVOD Z UCTU	3097	16509	\N	EF	71889817
143082	479	1997-06-05	PRIJEM	PREVOD Z UCTU	3097	17587	\N	EF	71889817
143083	479	1997-07-05	PRIJEM	PREVOD Z UCTU	3097	11902	\N	EF	71889817
143084	479	1997-08-05	PRIJEM	PREVOD Z UCTU	3097	12961	\N	EF	71889817
143085	479	1997-09-05	PRIJEM	PREVOD Z UCTU	3097	13324	\N	EF	71889817
143086	479	1997-10-05	PRIJEM	PREVOD Z UCTU	3097	14389	\N	EF	71889817
143087	479	1997-11-05	PRIJEM	PREVOD Z UCTU	3097	15458	\N	EF	71889817
143088	479	1997-12-05	PRIJEM	PREVOD Z UCTU	3097	15600	\N	EF	71889817
143089	479	1998-01-05	PRIJEM	PREVOD Z UCTU	3097	16494	\N	EF	71889817
143090	479	1998-02-05	PRIJEM	PREVOD Z UCTU	3097	10693	\N	EF	71889817
143091	479	1998-03-05	PRIJEM	PREVOD Z UCTU	3097	11747	\N	EF	71889817
143092	479	1998-04-05	PRIJEM	PREVOD Z UCTU	3097	12805	\N	EF	71889817
143093	479	1998-05-05	PRIJEM	PREVOD Z UCTU	3097	13868	\N	EF	71889817
143094	479	1998-06-05	PRIJEM	PREVOD Z UCTU	3097	13538	\N	EF	71889817
143095	479	1998-07-05	PRIJEM	PREVOD Z UCTU	3097	10560	\N	EF	71889817
143096	479	1998-08-05	PRIJEM	PREVOD Z UCTU	3097	11343	\N	EF	71889817
143097	479	1998-09-05	PRIJEM	PREVOD Z UCTU	3097	12406	\N	EF	71889817
143098	479	1998-10-05	PRIJEM	PREVOD Z UCTU	3097	12626	\N	EF	71889817
143099	479	1998-11-05	PRIJEM	PREVOD Z UCTU	3097	13688	\N	EF	71889817
143100	479	1998-12-05	PRIJEM	PREVOD Z UCTU	3097	14153	\N	EF	71889817
143116	479	1996-04-05	VYDAJ	PREVOD NA UCET	2064	14521	SIPO	YZ	117046
143117	479	1996-05-05	VYDAJ	PREVOD NA UCET	2064	15592	SIPO	YZ	117046
143118	479	1996-06-05	VYDAJ	PREVOD NA UCET	2064	16675	SIPO	YZ	117046
143119	479	1996-07-05	VYDAJ	PREVOD NA UCET	2064	13552	SIPO	YZ	117046
143120	479	1996-08-05	VYDAJ	PREVOD NA UCET	2064	13790	SIPO	YZ	117046
143121	479	1996-09-05	VYDAJ	PREVOD NA UCET	2064	14865	SIPO	YZ	117046
143122	479	1996-10-05	VYDAJ	PREVOD NA UCET	2064	15528	SIPO	YZ	117046
143123	479	1996-11-05	VYDAJ	PREVOD NA UCET	2064	15893	SIPO	YZ	117046
143124	479	1996-12-05	VYDAJ	PREVOD NA UCET	2064	16257	SIPO	YZ	117046
143125	479	1997-01-05	VYDAJ	PREVOD NA UCET	2064	17162	SIPO	YZ	117046
143126	479	1997-02-05	VYDAJ	PREVOD NA UCET	2064	12421	SIPO	YZ	117046
143127	479	1997-03-05	VYDAJ	PREVOD NA UCET	2064	13498	SIPO	YZ	117046
143128	479	1997-04-05	VYDAJ	PREVOD NA UCET	2064	13371	SIPO	YZ	117046
143129	479	1997-05-05	VYDAJ	PREVOD NA UCET	2064	14445	SIPO	YZ	117046
143130	479	1997-06-05	VYDAJ	PREVOD NA UCET	2064	15523	SIPO	YZ	117046
143131	479	1997-07-05	VYDAJ	PREVOD NA UCET	2064	9838	SIPO	YZ	117046
143132	479	1997-08-05	VYDAJ	PREVOD NA UCET	2064	10897	SIPO	YZ	117046
143133	479	1997-09-05	VYDAJ	PREVOD NA UCET	2064	11260	SIPO	YZ	117046
143134	479	1997-10-05	VYDAJ	PREVOD NA UCET	2064	12325	SIPO	YZ	117046
143135	479	1997-11-05	VYDAJ	PREVOD NA UCET	2064	13394	SIPO	YZ	117046
143136	479	1997-12-05	VYDAJ	PREVOD NA UCET	2064	13536	SIPO	YZ	117046
143137	479	1998-01-05	VYDAJ	PREVOD NA UCET	2064	14430	SIPO	YZ	117046
143138	479	1998-02-05	VYDAJ	PREVOD NA UCET	2064	8629	SIPO	YZ	117046
143139	479	1998-03-05	VYDAJ	PREVOD NA UCET	2064	9683	SIPO	YZ	117046
143140	479	1998-04-05	VYDAJ	PREVOD NA UCET	2064	10741	SIPO	YZ	117046
143141	479	1998-05-05	VYDAJ	PREVOD NA UCET	2064	11804	SIPO	YZ	117046
143142	479	1998-06-05	VYDAJ	PREVOD NA UCET	2064	11474	SIPO	YZ	117046
143143	479	1998-07-05	VYDAJ	PREVOD NA UCET	2064	8496	SIPO	YZ	117046
143144	479	1998-08-05	VYDAJ	PREVOD NA UCET	2064	9279	SIPO	YZ	117046
143145	479	1998-09-05	VYDAJ	PREVOD NA UCET	2064	10342	SIPO	YZ	117046
143146	479	1998-10-05	VYDAJ	PREVOD NA UCET	2064	10562	SIPO	YZ	117046
143147	479	1998-11-05	VYDAJ	PREVOD NA UCET	2064	11624	SIPO	YZ	117046
143148	479	1998-12-05	VYDAJ	PREVOD NA UCET	2064	12089	SIPO	YZ	117046
143150	479	1996-06-13	VYDAJ	VYBER	3660	13015	\N	\N	\N
143151	479	1997-06-11	VYDAJ	VYBER	6750	8773	\N	\N	\N
143152	479	1998-06-05	VYDAJ	VYBER	4050	7424	\N	\N	\N
143155	479	1997-01-24	VYDAJ	VYBER	2430	11732	\N	\N	\N
143156	479	1998-01-28	VYDAJ	VYBER	2160	8730	\N	\N	\N
143158	479	1996-12-02	VYDAJ	VYBER	720	15224	\N	\N	\N
143159	479	1997-12-05	VYDAJ	VYBER	180	13356	\N	\N	\N
143160	479	1998-12-04	VYDAJ	VYBER	420	11056	\N	\N	\N
143173	479	1997-01-16	VYDAJ	VYBER	750	14162	\N	\N	\N
143174	479	1997-01-13	VYDAJ	VYBER	810	14912	\N	\N	\N
143175	479	1997-01-11	VYDAJ	VYBER	480	15722	\N	\N	\N
143176	479	1997-01-09	VYDAJ	VYBER	570	16202	\N	\N	\N
143177	479	1997-01-08	VYDAJ	VYBER	390	16772	\N	\N	\N
143178	479	1997-01-29	VYDAJ	VYBER	390	11342	\N	\N	\N
143179	479	1998-01-27	VYDAJ	VYBER	750	10890	\N	\N	\N
143180	479	1998-01-20	VYDAJ	VYBER	480	11640	\N	\N	\N
143181	479	1998-01-08	VYDAJ	VYBER	690	13350	\N	\N	\N
143182	479	1998-01-07	VYDAJ	VYBER	390	14040	\N	\N	\N
143183	479	1998-01-17	VYDAJ	VYBER	540	12120	\N	\N	\N
143184	479	1998-01-16	VYDAJ	VYBER	690	12660	\N	\N	\N
143191	479	1996-12-07	VYDAJ	VYBER	180	16077	\N	\N	\N
143192	479	1996-10-19	VYDAJ	VYBER	720	14808	\N	\N	\N
143193	479	1996-07-21	VYDAJ	VYBER	840	12712	\N	\N	\N
143195	479	1996-06-23	VYDAJ	VYBER	540	12475	\N	\N	\N
143196	479	1996-09-17	VYDAJ	VYBER	420	14445	\N	\N	\N
143198	479	1997-11-21	VYDAJ	VYBER	930	12464	\N	\N	\N
143199	479	1998-11-10	VYDAJ	VYBER	180	11444	\N	\N	\N
143200	479	1998-07-12	VYDAJ	VYBER	270	8226	\N	\N	\N
143201	479	1998-02-02	VYDAJ	VYBER	1170	7596	\N	\N	\N
143202	479	1998-12-14	VYDAJ	VYBER	1230	10859	\N	\N	\N
143203	479	1998-09-22	VYDAJ	VYBER	840	9502	\N	\N	\N
143220	479	1996-04-30	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
143221	479	1996-05-31	VYDAJ	VYBER	15	15642	SLUZBY	\N	\N
143222	479	1996-06-30	VYDAJ	VYBER	15	12519	SLUZBY	\N	\N
143223	479	1996-07-31	VYDAJ	VYBER	15	12757	SLUZBY	\N	\N
143224	479	1996-08-31	VYDAJ	VYBER	15	13832	SLUZBY	\N	\N
143225	479	1996-09-30	VYDAJ	VYBER	15	14495	SLUZBY	\N	\N
143226	479	1996-10-31	VYDAJ	VYBER	15	14860	SLUZBY	\N	\N
143227	479	1996-11-30	VYDAJ	VYBER	15	15944	SLUZBY	\N	\N
143228	479	1996-12-31	VYDAJ	VYBER	15	16129	SLUZBY	\N	\N
143229	479	1997-01-31	VYDAJ	VYBER	15	11388	SLUZBY	\N	\N
143230	479	1997-02-28	VYDAJ	VYBER	15	12465	SLUZBY	\N	\N
143231	479	1997-03-31	VYDAJ	VYBER	15	12338	SLUZBY	\N	\N
143232	479	1997-04-30	VYDAJ	VYBER	15	13412	SLUZBY	\N	\N
143233	479	1997-05-31	VYDAJ	VYBER	15	14490	SLUZBY	\N	\N
143234	479	1997-06-30	VYDAJ	VYBER	15	8805	SLUZBY	\N	\N
143235	479	1997-07-31	VYDAJ	VYBER	15	9864	SLUZBY	\N	\N
143236	479	1997-08-31	VYDAJ	VYBER	15	10227	SLUZBY	\N	\N
143237	479	1997-09-30	VYDAJ	VYBER	15	11292	SLUZBY	\N	\N
143238	479	1997-10-31	VYDAJ	VYBER	15	12361	SLUZBY	\N	\N
143239	479	1997-11-30	VYDAJ	VYBER	15	12503	SLUZBY	\N	\N
143240	479	1997-12-31	VYDAJ	VYBER	15	13397	SLUZBY	\N	\N
143241	479	1998-01-31	VYDAJ	VYBER	15	8766	SLUZBY	\N	\N
143242	479	1998-02-28	VYDAJ	VYBER	15	8650	SLUZBY	\N	\N
143243	479	1998-03-31	VYDAJ	VYBER	15	9708	SLUZBY	\N	\N
143244	479	1998-04-30	VYDAJ	VYBER	15	10771	SLUZBY	\N	\N
143245	479	1998-05-31	VYDAJ	VYBER	15	10441	SLUZBY	\N	\N
143246	479	1998-06-30	VYDAJ	VYBER	15	7463	SLUZBY	\N	\N
143247	479	1998-07-31	VYDAJ	VYBER	15	8246	SLUZBY	\N	\N
143248	479	1998-08-31	VYDAJ	VYBER	15	9309	SLUZBY	\N	\N
143249	479	1998-09-30	VYDAJ	VYBER	15	9529	SLUZBY	\N	\N
143250	479	1998-10-31	VYDAJ	VYBER	15	10591	SLUZBY	\N	\N
143251	479	1998-11-30	VYDAJ	VYBER	15	11476	SLUZBY	\N	\N
143252	479	1997-03-29	VYDAJ	VYBER	1200	12298	\N	\N	\N
143253	479	1997-08-26	VYDAJ	VYBER	700	10197	\N	\N	\N
143254	479	1998-05-23	VYDAJ	VYBER	1400	10404	\N	\N	\N
143288	480	1997-01-21	PRIJEM	VKLAD	500	500	\N	\N	\N
143290	480	1997-02-06	PRIJEM	VKLAD	24329	24829	\N	\N	\N
143291	480	1997-03-06	PRIJEM	VKLAD	24329	46788	\N	\N	\N
143292	480	1997-04-06	PRIJEM	VKLAD	24329	57625	\N	\N	\N
143293	480	1997-05-06	PRIJEM	VKLAD	24329	63400	\N	\N	\N
143294	480	1997-06-06	PRIJEM	VKLAD	36494	80464	\N	\N	\N
143295	480	1997-07-06	PRIJEM	VKLAD	24329	53849	\N	\N	\N
143296	480	1997-08-06	PRIJEM	VKLAD	24329	59841	\N	\N	\N
143297	480	1997-09-06	PRIJEM	VKLAD	24329	64653	\N	\N	\N
143298	480	1997-10-06	PRIJEM	VKLAD	24329	63720	\N	\N	\N
143299	480	1997-11-06	PRIJEM	VKLAD	24329	65240	\N	\N	\N
143300	480	1997-12-06	PRIJEM	VKLAD	36494	71884	\N	\N	\N
143301	480	1998-01-06	PRIJEM	VKLAD	24329	65517	\N	\N	\N
143302	480	1998-02-06	PRIJEM	VKLAD	24329	56085	\N	\N	\N
143303	480	1998-03-06	PRIJEM	VKLAD	24329	58770	\N	\N	\N
143304	480	1998-04-06	PRIJEM	VKLAD	24329	53035	\N	\N	\N
143305	480	1998-05-06	PRIJEM	VKLAD	24329	50817	\N	\N	\N
143306	480	1998-06-06	PRIJEM	VKLAD	36494	64744	\N	\N	\N
143307	480	1998-07-06	PRIJEM	VKLAD	24329	37895	\N	\N	\N
143308	480	1998-08-06	PRIJEM	VKLAD	24329	40002	\N	\N	\N
143309	480	1998-09-06	PRIJEM	VKLAD	24329	42215	\N	\N	\N
143310	480	1998-10-06	PRIJEM	VKLAD	24329	41528	\N	\N	\N
143311	480	1998-11-06	PRIJEM	VKLAD	24329	48157	\N	\N	\N
143312	480	1998-12-06	PRIJEM	VKLAD	36494	60760	\N	\N	\N
143318	480	1997-06-08	VYDAJ	PREVOD NA UCET	4687	75777	SIPO	KL	12772888
143319	480	1997-07-08	VYDAJ	PREVOD NA UCET	4687	49162	SIPO	KL	12772888
143320	480	1997-08-08	VYDAJ	PREVOD NA UCET	4687	55154	SIPO	KL	12772888
143321	480	1997-09-08	VYDAJ	PREVOD NA UCET	4687	59966	SIPO	KL	12772888
143322	480	1997-10-08	VYDAJ	PREVOD NA UCET	4687	59033	SIPO	KL	12772888
143323	480	1997-11-08	VYDAJ	PREVOD NA UCET	4687	60553	SIPO	KL	12772888
143324	480	1997-12-08	VYDAJ	PREVOD NA UCET	4687	67197	SIPO	KL	12772888
143325	480	1998-01-08	VYDAJ	PREVOD NA UCET	4687	60830	SIPO	KL	12772888
143326	480	1998-02-08	VYDAJ	PREVOD NA UCET	4687	51398	SIPO	KL	12772888
143327	480	1998-03-08	VYDAJ	PREVOD NA UCET	4687	54083	SIPO	KL	12772888
143328	480	1998-04-08	VYDAJ	PREVOD NA UCET	4687	48348	SIPO	KL	12772888
143329	480	1998-05-08	VYDAJ	PREVOD NA UCET	4687	46130	SIPO	KL	12772888
143330	480	1998-06-08	VYDAJ	PREVOD NA UCET	4687	60057	SIPO	KL	12772888
143331	480	1998-07-08	VYDAJ	PREVOD NA UCET	4687	33208	SIPO	KL	12772888
143332	480	1998-08-08	VYDAJ	PREVOD NA UCET	4687	35315	SIPO	KL	12772888
143333	480	1998-09-08	VYDAJ	PREVOD NA UCET	4687	37528	SIPO	KL	12772888
143334	480	1998-10-08	VYDAJ	PREVOD NA UCET	4687	36841	SIPO	KL	12772888
143335	480	1998-11-08	VYDAJ	PREVOD NA UCET	4687	43470	SIPO	KL	12772888
143336	480	1998-12-08	VYDAJ	PREVOD NA UCET	4687	56073	SIPO	KL	12772888
143361	480	1997-06-13	VYDAJ	VYBER	36320	39457	\N	\N	\N
143362	480	1998-06-09	VYDAJ	VYBER	38560	21497	\N	\N	\N
143364	480	1998-01-26	VYDAJ	VYBER	3680	31590	\N	\N	\N
143365	480	1997-12-03	VYDAJ	VYBER	1600	35390	\N	\N	\N
143366	480	1998-12-23	VYDAJ	VYBER	4160	30513	\N	\N	\N
143368	480	1997-12-14	VYDAJ	VYBER	1200	64197	\N	\N	\N
143369	480	1997-11-24	VYDAJ	VYBER	2040	38613	\N	\N	\N
143370	480	1997-11-27	VYDAJ	VYBER	1800	36813	\N	\N	\N
143371	480	1997-09-28	VYDAJ	VYBER	3960	39206	\N	\N	\N
143372	480	1997-12-11	VYDAJ	VYBER	1800	65397	\N	\N	\N
143373	480	1998-04-12	VYDAJ	VYBER	3480	44868	\N	\N	\N
143374	480	1998-01-22	VYDAJ	VYBER	3960	35270	\N	\N	\N
143375	480	1998-03-29	VYDAJ	VYBER	1320	28563	\N	\N	\N
143382	480	1997-06-30	VYDAJ	VYBER	15	29520	SLUZBY	\N	\N
143383	480	1997-07-31	VYDAJ	VYBER	15	35512	SLUZBY	\N	\N
143384	480	1997-08-31	VYDAJ	VYBER	15	40324	SLUZBY	\N	\N
143385	480	1997-09-30	VYDAJ	VYBER	15	39391	SLUZBY	\N	\N
143386	480	1997-10-31	VYDAJ	VYBER	15	40911	SLUZBY	\N	\N
143387	480	1997-11-30	VYDAJ	VYBER	15	36990	SLUZBY	\N	\N
143388	480	1997-12-31	VYDAJ	VYBER	15	41188	SLUZBY	\N	\N
143389	480	1998-01-31	VYDAJ	VYBER	15	31756	SLUZBY	\N	\N
143390	480	1998-02-28	VYDAJ	VYBER	15	34441	SLUZBY	\N	\N
143391	480	1998-03-31	VYDAJ	VYBER	15	28706	SLUZBY	\N	\N
143392	480	1998-04-30	VYDAJ	VYBER	15	26488	SLUZBY	\N	\N
143393	480	1998-05-31	VYDAJ	VYBER	15	28250	SLUZBY	\N	\N
143394	480	1998-06-30	VYDAJ	VYBER	15	13566	SLUZBY	\N	\N
143395	480	1998-07-31	VYDAJ	VYBER	15	15673	SLUZBY	\N	\N
143396	480	1998-08-31	VYDAJ	VYBER	15	17886	SLUZBY	\N	\N
143397	480	1998-09-30	VYDAJ	VYBER	15	17199	SLUZBY	\N	\N
143398	480	1998-10-31	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
143399	480	1998-11-30	VYDAJ	VYBER	15	24266	SLUZBY	\N	\N
143400	480	1997-02-20	VYDAJ	VYBER	2400	22429	\N	\N	\N
143401	480	1997-03-22	VYDAJ	VYBER	13600	33188	\N	\N	\N
143402	480	1997-04-21	VYDAJ	VYBER	18700	38925	\N	\N	\N
143403	480	1997-05-21	VYDAJ	VYBER	19600	43800	\N	\N	\N
143404	480	1997-06-20	VYDAJ	VYBER	10100	29357	\N	\N	\N
143405	480	1997-07-20	VYDAJ	VYBER	13800	35362	\N	\N	\N
143406	480	1997-08-19	VYDAJ	VYBER	15000	40154	\N	\N	\N
143407	480	1997-09-18	VYDAJ	VYBER	16800	43166	\N	\N	\N
143408	480	1997-10-18	VYDAJ	VYBER	18300	40733	\N	\N	\N
143409	480	1997-11-17	VYDAJ	VYBER	19900	40653	\N	\N	\N
143410	480	1997-12-17	VYDAJ	VYBER	23200	40997	\N	\N	\N
143411	480	1998-01-16	VYDAJ	VYBER	21600	39230	\N	\N	\N
143412	480	1998-02-15	VYDAJ	VYBER	17100	34298	\N	\N	\N
143413	480	1998-03-17	VYDAJ	VYBER	24200	29883	\N	\N	\N
143414	480	1998-04-16	VYDAJ	VYBER	18500	26368	\N	\N	\N
143415	480	1998-05-16	VYDAJ	VYBER	18000	28130	\N	\N	\N
143416	480	1998-06-15	VYDAJ	VYBER	8000	13497	\N	\N	\N
143417	480	1998-07-15	VYDAJ	VYBER	17600	15608	\N	\N	\N
143418	480	1998-08-14	VYDAJ	VYBER	17500	17815	\N	\N	\N
143419	480	1998-09-13	VYDAJ	VYBER	20400	17128	\N	\N	\N
143420	480	1998-10-13	VYDAJ	VYBER	13100	23741	\N	\N	\N
143421	480	1998-11-12	VYDAJ	VYBER	19300	24170	\N	\N	\N
143422	480	1998-12-12	VYDAJ	VYBER	21400	34673	\N	\N	\N
143446	481	1996-04-23	PRIJEM	VKLAD	700	700	\N	\N	\N
143451	481	1996-05-13	PRIJEM	PREVOD Z UCTU	6633	7333	DUCHOD	EF	87396925
143452	481	1996-06-13	PRIJEM	PREVOD Z UCTU	6633	13966	DUCHOD	EF	87396925
143453	481	1996-07-13	PRIJEM	PREVOD Z UCTU	6633	20599	DUCHOD	EF	87396925
143454	481	1996-08-13	PRIJEM	PREVOD Z UCTU	6633	27232	DUCHOD	EF	87396925
143455	481	1996-09-13	PRIJEM	PREVOD Z UCTU	6633	31301	DUCHOD	EF	87396925
143456	481	1996-10-13	PRIJEM	PREVOD Z UCTU	6633	30196	DUCHOD	EF	87396925
143457	481	1996-11-13	PRIJEM	PREVOD Z UCTU	6633	31757	DUCHOD	EF	87396925
143458	481	1996-12-13	PRIJEM	PREVOD Z UCTU	6633	29894	DUCHOD	EF	87396925
143459	481	1997-01-13	PRIJEM	PREVOD Z UCTU	6633	31204	DUCHOD	EF	87396925
143460	481	1997-02-13	PRIJEM	PREVOD Z UCTU	6633	30207	DUCHOD	EF	87396925
143461	481	1997-03-13	PRIJEM	PREVOD Z UCTU	6633	35052	DUCHOD	EF	87396925
143462	481	1997-04-13	PRIJEM	PREVOD Z UCTU	6633	39919	DUCHOD	EF	87396925
143463	481	1997-05-13	PRIJEM	PREVOD Z UCTU	6633	38298	DUCHOD	EF	87396925
143464	481	1997-06-13	PRIJEM	PREVOD Z UCTU	6633	37292	DUCHOD	EF	87396925
143465	481	1997-07-13	PRIJEM	PREVOD Z UCTU	6633	42170	DUCHOD	EF	87396925
143466	481	1997-08-13	PRIJEM	PREVOD Z UCTU	6633	44061	DUCHOD	EF	87396925
143467	481	1997-09-13	PRIJEM	PREVOD Z UCTU	6633	46401	DUCHOD	EF	87396925
143468	481	1997-10-13	PRIJEM	PREVOD Z UCTU	6633	45902	DUCHOD	EF	87396925
143469	481	1997-11-13	PRIJEM	PREVOD Z UCTU	6633	49695	DUCHOD	EF	87396925
143470	481	1997-12-13	PRIJEM	PREVOD Z UCTU	6633	49359	DUCHOD	EF	87396925
143471	481	1998-01-13	PRIJEM	PREVOD Z UCTU	6633	45858	DUCHOD	EF	87396925
143472	481	1998-02-13	PRIJEM	PREVOD Z UCTU	6633	47166	DUCHOD	EF	87396925
143473	481	1998-03-13	PRIJEM	PREVOD Z UCTU	6633	52082	DUCHOD	EF	87396925
143474	481	1998-04-13	PRIJEM	PREVOD Z UCTU	6633	54458	DUCHOD	EF	87396925
143475	481	1998-05-13	PRIJEM	PREVOD Z UCTU	6633	56798	DUCHOD	EF	87396925
143476	481	1998-06-13	PRIJEM	PREVOD Z UCTU	6633	50242	DUCHOD	EF	87396925
143477	481	1998-07-13	PRIJEM	PREVOD Z UCTU	6633	50780	DUCHOD	EF	87396925
143478	481	1998-08-13	PRIJEM	PREVOD Z UCTU	6633	55718	DUCHOD	EF	87396925
143479	481	1998-09-13	PRIJEM	PREVOD Z UCTU	6633	56770	DUCHOD	EF	87396925
143480	481	1998-10-13	PRIJEM	PREVOD Z UCTU	6633	58130	DUCHOD	EF	87396925
143481	481	1998-11-13	PRIJEM	PREVOD Z UCTU	6633	57697	DUCHOD	EF	87396925
143482	481	1998-12-13	PRIJEM	PREVOD Z UCTU	6633	60763	DUCHOD	EF	87396925
143492	481	1996-10-09	VYDAJ	PREVOD NA UCET	64	23563	SIPO	GH	50636059
143493	481	1996-11-09	VYDAJ	PREVOD NA UCET	64	25124	SIPO	GH	50636059
143494	481	1996-12-09	VYDAJ	PREVOD NA UCET	64	27646	SIPO	GH	50636059
143495	481	1997-01-09	VYDAJ	PREVOD NA UCET	64	25531	SIPO	GH	50636059
143496	481	1997-02-09	VYDAJ	PREVOD NA UCET	64	25399	SIPO	GH	50636059
143497	481	1997-03-09	VYDAJ	PREVOD NA UCET	64	28419	SIPO	GH	50636059
143498	481	1997-04-09	VYDAJ	PREVOD NA UCET	64	33286	SIPO	GH	50636059
143499	481	1997-05-09	VYDAJ	PREVOD NA UCET	64	33490	SIPO	GH	50636059
143500	481	1997-06-09	VYDAJ	PREVOD NA UCET	64	32484	SIPO	GH	50636059
143501	481	1997-07-09	VYDAJ	PREVOD NA UCET	64	35537	SIPO	GH	50636059
143502	481	1997-08-09	VYDAJ	PREVOD NA UCET	64	39253	SIPO	GH	50636059
143503	481	1997-09-09	VYDAJ	PREVOD NA UCET	64	39768	SIPO	GH	50636059
143504	481	1997-10-09	VYDAJ	PREVOD NA UCET	64	41094	SIPO	GH	50636059
143505	481	1997-11-09	VYDAJ	PREVOD NA UCET	64	44182	SIPO	GH	50636059
143506	481	1997-12-09	VYDAJ	PREVOD NA UCET	64	45951	SIPO	GH	50636059
143507	481	1998-01-09	VYDAJ	PREVOD NA UCET	64	41050	SIPO	GH	50636059
143508	481	1998-02-09	VYDAJ	PREVOD NA UCET	64	42358	SIPO	GH	50636059
143509	481	1998-03-09	VYDAJ	PREVOD NA UCET	64	47274	SIPO	GH	50636059
143510	481	1998-04-09	VYDAJ	PREVOD NA UCET	64	49650	SIPO	GH	50636059
143511	481	1998-05-09	VYDAJ	PREVOD NA UCET	64	51990	SIPO	GH	50636059
143512	481	1998-06-09	VYDAJ	PREVOD NA UCET	64	51134	SIPO	GH	50636059
143513	481	1998-07-09	VYDAJ	PREVOD NA UCET	64	50372	SIPO	GH	50636059
143514	481	1998-08-09	VYDAJ	PREVOD NA UCET	64	50910	SIPO	GH	50636059
143515	481	1998-09-09	VYDAJ	PREVOD NA UCET	64	52837	SIPO	GH	50636059
143516	481	1998-10-09	VYDAJ	PREVOD NA UCET	64	55097	SIPO	GH	50636059
143517	481	1998-11-09	VYDAJ	PREVOD NA UCET	64	51064	SIPO	GH	50636059
143518	481	1998-12-09	VYDAJ	PREVOD NA UCET	64	54130	SIPO	GH	50636059
143528	481	1996-10-09	VYDAJ	PREVOD NA UCET	1825	23627	 	IJ	29175484
143529	481	1996-11-09	VYDAJ	PREVOD NA UCET	1825	25188	 	IJ	29175484
143530	481	1996-12-09	VYDAJ	PREVOD NA UCET	1825	25821	 	IJ	29175484
143531	481	1997-01-09	VYDAJ	PREVOD NA UCET	1825	25595	 	IJ	29175484
143532	481	1997-02-09	VYDAJ	PREVOD NA UCET	1825	23574	 	IJ	29175484
143533	481	1997-03-09	VYDAJ	PREVOD NA UCET	1825	28483	 	IJ	29175484
143534	481	1997-04-09	VYDAJ	PREVOD NA UCET	1825	33350	 	IJ	29175484
143535	481	1997-05-09	VYDAJ	PREVOD NA UCET	1825	31665	 	IJ	29175484
143536	481	1997-06-09	VYDAJ	PREVOD NA UCET	1825	30659	 	IJ	29175484
143537	481	1997-07-09	VYDAJ	PREVOD NA UCET	1825	35601	 	IJ	29175484
143538	481	1997-08-09	VYDAJ	PREVOD NA UCET	1825	37428	 	IJ	29175484
143539	481	1997-09-09	VYDAJ	PREVOD NA UCET	1825	39832	 	IJ	29175484
143540	481	1997-10-09	VYDAJ	PREVOD NA UCET	1825	39269	 	IJ	29175484
143541	481	1997-11-09	VYDAJ	PREVOD NA UCET	1825	44246	 	IJ	29175484
143542	481	1997-12-09	VYDAJ	PREVOD NA UCET	1825	44126	 	IJ	29175484
143543	481	1998-01-09	VYDAJ	PREVOD NA UCET	1825	39225	 	IJ	29175484
143544	481	1998-02-09	VYDAJ	PREVOD NA UCET	1825	40533	 	IJ	29175484
143545	481	1998-03-09	VYDAJ	PREVOD NA UCET	1825	45449	 	IJ	29175484
143546	481	1998-04-09	VYDAJ	PREVOD NA UCET	1825	47825	 	IJ	29175484
143547	481	1998-05-09	VYDAJ	PREVOD NA UCET	1825	50165	 	IJ	29175484
143548	481	1998-06-09	VYDAJ	PREVOD NA UCET	1825	49309	 	IJ	29175484
143549	481	1998-07-09	VYDAJ	PREVOD NA UCET	1825	48547	 	IJ	29175484
143550	481	1998-08-09	VYDAJ	PREVOD NA UCET	1825	49085	 	IJ	29175484
143551	481	1998-09-09	VYDAJ	PREVOD NA UCET	1825	52901	 	IJ	29175484
143552	481	1998-10-09	VYDAJ	PREVOD NA UCET	1825	55161	 	IJ	29175484
143553	481	1998-11-09	VYDAJ	PREVOD NA UCET	1825	51128	 	IJ	29175484
143554	481	1998-12-09	VYDAJ	PREVOD NA UCET	1825	56094	 	IJ	29175484
143555	481	1996-12-01	VYDAJ	VYBER	950	27710	\N	\N	\N
143556	481	1997-12-11	VYDAJ	VYBER	1400	42726	\N	\N	\N
143557	481	1998-12-24	VYDAJ	VYBER	650	57793	\N	\N	\N
143564	481	1997-01-13	VYDAJ	VYBER	1040	30164	\N	\N	\N
143565	481	1997-01-17	VYDAJ	VYBER	1520	26964	\N	\N	\N
143566	481	1997-01-02	VYDAJ	VYBER	2080	27420	\N	\N	\N
143567	481	1997-01-10	VYDAJ	VYBER	960	24571	\N	\N	\N
143568	481	1997-01-16	VYDAJ	VYBER	1680	28484	\N	\N	\N
143569	481	1997-01-22	VYDAJ	VYBER	1600	25364	\N	\N	\N
143570	481	1998-01-16	VYDAJ	VYBER	2240	43218	\N	\N	\N
143571	481	1998-01-05	VYDAJ	VYBER	800	43194	\N	\N	\N
143572	481	1998-01-15	VYDAJ	VYBER	400	45458	\N	\N	\N
143573	481	1998-01-26	VYDAJ	VYBER	480	42258	\N	\N	\N
143574	481	1998-01-03	VYDAJ	VYBER	1840	43994	\N	\N	\N
143575	481	1998-01-19	VYDAJ	VYBER	480	42738	\N	\N	\N
143576	481	1996-09-30	VYDAJ	VYBER	1040	25452	\N	\N	\N
143580	481	1996-12-12	VYDAJ	VYBER	2560	23261	\N	\N	\N
143581	481	1996-10-16	VYDAJ	VYBER	3280	26916	\N	\N	\N
143582	481	1997-04-30	VYDAJ	VYBER	2400	33569	\N	\N	\N
143583	481	1997-11-12	VYDAJ	VYBER	1120	43062	\N	\N	\N
143584	481	1997-11-29	VYDAJ	VYBER	1760	45835	\N	\N	\N
143585	481	1997-08-20	VYDAJ	VYBER	560	41501	\N	\N	\N
143586	481	1997-06-04	VYDAJ	VYBER	2480	32548	\N	\N	\N
143587	481	1998-01-06	VYDAJ	VYBER	2080	41114	\N	\N	\N
143588	481	1998-08-26	VYDAJ	VYBER	1200	54518	\N	\N	\N
143589	481	1998-03-27	VYDAJ	VYBER	2560	49522	\N	\N	\N
143590	481	1998-12-13	VYDAJ	VYBER	2320	58443	\N	\N	\N
143600	481	1996-09-30	VYDAJ	VYBER	15	26492	SLUZBY	\N	\N
143601	481	1996-10-31	VYDAJ	VYBER	15	27013	SLUZBY	\N	\N
143602	481	1996-11-30	VYDAJ	VYBER	15	28660	SLUZBY	\N	\N
143603	481	1996-12-31	VYDAJ	VYBER	15	29500	SLUZBY	\N	\N
143604	481	1997-01-31	VYDAJ	VYBER	15	25463	SLUZBY	\N	\N
143605	481	1997-02-28	VYDAJ	VYBER	15	30308	SLUZBY	\N	\N
143606	481	1997-03-31	VYDAJ	VYBER	15	35175	SLUZBY	\N	\N
143607	481	1997-04-30	VYDAJ	VYBER	15	33554	SLUZBY	\N	\N
143608	481	1997-05-31	VYDAJ	VYBER	15	35028	SLUZBY	\N	\N
143609	481	1997-06-30	VYDAJ	VYBER	15	37426	SLUZBY	\N	\N
143610	481	1997-07-31	VYDAJ	VYBER	15	39317	SLUZBY	\N	\N
143611	481	1997-08-31	VYDAJ	VYBER	15	41657	SLUZBY	\N	\N
143612	481	1997-09-30	VYDAJ	VYBER	15	41158	SLUZBY	\N	\N
143613	481	1997-10-31	VYDAJ	VYBER	15	46071	SLUZBY	\N	\N
143614	481	1997-11-30	VYDAJ	VYBER	15	46015	SLUZBY	\N	\N
143615	481	1997-12-31	VYDAJ	VYBER	15	45834	SLUZBY	\N	\N
143616	481	1998-01-31	VYDAJ	VYBER	15	42422	SLUZBY	\N	\N
143617	481	1998-02-28	VYDAJ	VYBER	15	47338	SLUZBY	\N	\N
143618	481	1998-03-31	VYDAJ	VYBER	15	49714	SLUZBY	\N	\N
143619	481	1998-04-30	VYDAJ	VYBER	15	52054	SLUZBY	\N	\N
143620	481	1998-05-31	VYDAJ	VYBER	15	51198	SLUZBY	\N	\N
143621	481	1998-06-30	VYDAJ	VYBER	15	50436	SLUZBY	\N	\N
143622	481	1998-07-31	VYDAJ	VYBER	15	50974	SLUZBY	\N	\N
143623	481	1998-08-31	VYDAJ	VYBER	15	54726	SLUZBY	\N	\N
143624	481	1998-09-30	VYDAJ	VYBER	15	56986	SLUZBY	\N	\N
143625	481	1998-10-31	VYDAJ	VYBER	15	58353	SLUZBY	\N	\N
143626	481	1998-11-30	VYDAJ	VYBER	15	57919	SLUZBY	\N	\N
143627	481	1996-08-21	VYDAJ	VYBER	2600	24632	\N	\N	\N
143628	481	1996-09-20	VYDAJ	VYBER	4900	26401	\N	\N	\N
143629	481	1996-11-19	VYDAJ	VYBER	3200	28557	\N	\N	\N
143630	481	1996-12-19	VYDAJ	VYBER	500	29394	\N	\N	\N
143631	481	1997-04-18	VYDAJ	VYBER	4100	35819	\N	\N	\N
143632	481	1997-05-18	VYDAJ	VYBER	3400	34898	\N	\N	\N
143633	481	1997-07-17	VYDAJ	VYBER	3000	39170	\N	\N	\N
143634	481	1997-08-16	VYDAJ	VYBER	2000	42061	\N	\N	\N
143635	481	1997-09-15	VYDAJ	VYBER	5400	41001	\N	\N	\N
143636	481	1997-11-14	VYDAJ	VYBER	2100	47595	\N	\N	\N
143637	481	1997-12-14	VYDAJ	VYBER	3700	45659	\N	\N	\N
143638	481	1998-04-13	VYDAJ	VYBER	2600	51858	\N	\N	\N
143639	481	1998-05-13	VYDAJ	VYBER	5800	50998	\N	\N	\N
143640	481	1998-06-12	VYDAJ	VYBER	5700	43609	\N	\N	\N
143641	481	1998-07-12	VYDAJ	VYBER	4400	44147	\N	\N	\N
143642	481	1998-09-10	VYDAJ	VYBER	2700	50137	\N	\N	\N
143643	481	1998-10-10	VYDAJ	VYBER	3600	51497	\N	\N	\N
143644	481	1998-11-09	VYDAJ	VYBER	5400	52953	\N	\N	\N
143645	481	1998-12-09	VYDAJ	VYBER	1900	54194	\N	\N	\N
143988	483	1997-07-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
143996	483	1997-08-06	PRIJEM	PREVOD Z UCTU	2911	3911	\N	UV	79939847
143997	483	1997-09-06	PRIJEM	PREVOD Z UCTU	2911	6822	\N	UV	79939847
143998	483	1997-10-06	PRIJEM	PREVOD Z UCTU	2911	9733	\N	UV	79939847
143999	483	1997-11-06	PRIJEM	PREVOD Z UCTU	2911	12644	\N	UV	79939847
144000	483	1997-12-06	PRIJEM	PREVOD Z UCTU	2911	15555	\N	UV	79939847
144001	483	1998-01-06	PRIJEM	PREVOD Z UCTU	2911	15623	\N	UV	79939847
144002	483	1998-02-06	PRIJEM	PREVOD Z UCTU	2911	15013	\N	UV	79939847
144003	483	1998-03-06	PRIJEM	PREVOD Z UCTU	2911	16022	\N	UV	79939847
144004	483	1998-04-06	PRIJEM	PREVOD Z UCTU	2911	15953	\N	UV	79939847
144005	483	1998-05-06	PRIJEM	PREVOD Z UCTU	2911	15614	\N	UV	79939847
144006	483	1998-06-06	PRIJEM	PREVOD Z UCTU	2911	16626	\N	UV	79939847
144007	483	1998-07-06	PRIJEM	PREVOD Z UCTU	2911	17642	\N	UV	79939847
144008	483	1998-08-06	PRIJEM	PREVOD Z UCTU	2911	18663	\N	UV	79939847
144009	483	1998-09-06	PRIJEM	PREVOD Z UCTU	2911	19688	\N	UV	79939847
144010	483	1998-10-06	PRIJEM	PREVOD Z UCTU	2911	19915	\N	UV	79939847
144011	483	1998-11-06	PRIJEM	PREVOD Z UCTU	2911	20745	\N	UV	79939847
144012	483	1998-12-06	PRIJEM	PREVOD Z UCTU	2911	15541	\N	UV	79939847
144024	483	1997-12-09	VYDAJ	PREVOD NA UCET	1940	13615	\N	GH	70076584
144025	483	1998-01-09	VYDAJ	PREVOD NA UCET	1940	12903	\N	GH	70076584
144026	483	1998-02-09	VYDAJ	PREVOD NA UCET	1940	13073	\N	GH	70076584
144027	483	1998-03-09	VYDAJ	PREVOD NA UCET	1940	13002	\N	GH	70076584
144028	483	1998-04-09	VYDAJ	PREVOD NA UCET	1940	14013	\N	GH	70076584
144029	483	1998-05-09	VYDAJ	PREVOD NA UCET	1940	13674	\N	GH	70076584
144030	483	1998-06-09	VYDAJ	PREVOD NA UCET	1940	14686	\N	GH	70076584
144031	483	1998-07-09	VYDAJ	PREVOD NA UCET	1940	15702	\N	GH	70076584
144032	483	1998-08-09	VYDAJ	PREVOD NA UCET	1940	16723	\N	GH	70076584
144033	483	1998-09-09	VYDAJ	PREVOD NA UCET	1940	16948	\N	GH	70076584
144034	483	1998-10-09	VYDAJ	PREVOD NA UCET	1940	17775	\N	GH	70076584
144035	483	1998-11-09	VYDAJ	PREVOD NA UCET	1940	13305	\N	GH	70076584
144036	483	1998-12-09	VYDAJ	PREVOD NA UCET	1940	13601	\N	GH	70076584
144041	483	1997-12-28	VYDAJ	VYBER	510	13105	\N	\N	\N
144042	483	1998-12-29	VYDAJ	VYBER	750	12851	\N	\N	\N
144049	483	1998-01-15	VYDAJ	VYBER	600	12303	\N	\N	\N
144050	483	1998-01-07	VYDAJ	VYBER	780	14843	\N	\N	\N
144051	483	1998-01-05	VYDAJ	VYBER	420	12712	\N	\N	\N
144052	483	1998-01-17	VYDAJ	VYBER	240	12063	\N	\N	\N
144060	483	1998-04-13	VYDAJ	VYBER	1350	12663	\N	\N	\N
144062	483	1998-03-08	VYDAJ	VYBER	1080	14942	\N	\N	\N
144064	483	1998-12-03	VYDAJ	VYBER	720	12630	\N	\N	\N
144077	483	1997-12-31	VYDAJ	VYBER	15	13132	SLUZBY	\N	\N
144078	483	1998-01-31	VYDAJ	VYBER	15	12102	SLUZBY	\N	\N
144079	483	1998-02-28	VYDAJ	VYBER	15	13111	SLUZBY	\N	\N
144080	483	1998-03-31	VYDAJ	VYBER	15	13042	SLUZBY	\N	\N
144081	483	1998-04-30	VYDAJ	VYBER	15	12703	SLUZBY	\N	\N
144082	483	1998-05-31	VYDAJ	VYBER	15	13715	SLUZBY	\N	\N
144083	483	1998-06-30	VYDAJ	VYBER	15	14731	SLUZBY	\N	\N
144084	483	1998-07-31	VYDAJ	VYBER	15	15752	SLUZBY	\N	\N
144085	483	1998-08-31	VYDAJ	VYBER	15	16777	SLUZBY	\N	\N
144086	483	1998-09-30	VYDAJ	VYBER	15	17004	SLUZBY	\N	\N
144087	483	1998-10-31	VYDAJ	VYBER	15	17834	SLUZBY	\N	\N
144088	483	1998-11-30	VYDAJ	VYBER	15	13350	SLUZBY	\N	\N
144089	483	1998-09-08	VYDAJ	VYBER	800	18888	\N	\N	\N
144090	483	1998-10-08	VYDAJ	VYBER	200	19715	\N	\N	\N
144091	483	1998-11-07	VYDAJ	VYBER	5500	15245	\N	\N	\N
144105	484	1995-01-20	PRIJEM	VKLAD	600	600	\N	\N	\N
144107	484	1995-02-07	PRIJEM	VKLAD	9409	10009	\N	\N	\N
144108	484	1995-03-07	PRIJEM	VKLAD	9409	27044	\N	\N	\N
144109	484	1995-04-07	PRIJEM	VKLAD	9409	33035	\N	\N	\N
144110	484	1995-05-07	PRIJEM	VKLAD	9409	36848	\N	\N	\N
144111	484	1995-06-07	PRIJEM	VKLAD	14114	43780	\N	\N	\N
144112	484	1995-07-07	PRIJEM	VKLAD	9409	33537	\N	\N	\N
144113	484	1995-08-07	PRIJEM	VKLAD	9409	34176	\N	\N	\N
144114	484	1995-09-07	PRIJEM	VKLAD	9409	34814	\N	\N	\N
144115	484	1995-10-07	PRIJEM	VKLAD	9409	32050	\N	\N	\N
144116	484	1995-11-07	PRIJEM	VKLAD	9409	28868	\N	\N	\N
144117	484	1995-12-07	PRIJEM	VKLAD	14114	34392	\N	\N	\N
144118	484	1996-01-07	PRIJEM	VKLAD	9409	30728	\N	\N	\N
144119	484	1996-02-07	PRIJEM	VKLAD	9409	22941	\N	\N	\N
144120	484	1996-03-07	PRIJEM	VKLAD	9409	27743	\N	\N	\N
144121	484	1996-04-07	PRIJEM	VKLAD	9409	31761	\N	\N	\N
144122	484	1996-05-07	PRIJEM	VKLAD	9409	31686	\N	\N	\N
144123	484	1996-06-07	PRIJEM	VKLAD	14114	35516	\N	\N	\N
144124	484	1996-07-07	PRIJEM	VKLAD	9409	35251	\N	\N	\N
144125	484	1996-08-07	PRIJEM	VKLAD	9409	34187	\N	\N	\N
144126	484	1996-09-07	PRIJEM	VKLAD	9409	31823	\N	\N	\N
144127	484	1996-10-07	PRIJEM	VKLAD	9409	34153	\N	\N	\N
144128	484	1996-11-07	PRIJEM	VKLAD	9409	33893	\N	\N	\N
144129	484	1996-12-07	PRIJEM	VKLAD	14114	42945	\N	\N	\N
144130	484	1997-01-07	PRIJEM	VKLAD	9409	37002	\N	\N	\N
144131	484	1997-02-07	PRIJEM	VKLAD	9409	23531	\N	\N	\N
144132	484	1997-03-07	PRIJEM	VKLAD	9409	27630	\N	\N	\N
144133	484	1997-04-07	PRIJEM	VKLAD	9409	33753	\N	\N	\N
144134	484	1997-05-07	PRIJEM	VKLAD	9409	34887	\N	\N	\N
144135	484	1997-06-07	PRIJEM	VKLAD	14114	41240	\N	\N	\N
144136	484	1997-07-07	PRIJEM	VKLAD	9409	35080	\N	\N	\N
144137	484	1997-08-07	PRIJEM	VKLAD	9409	34620	\N	\N	\N
144138	484	1997-09-07	PRIJEM	VKLAD	9409	33451	\N	\N	\N
144139	484	1997-10-07	PRIJEM	VKLAD	9409	33798	\N	\N	\N
144140	484	1997-11-07	PRIJEM	VKLAD	9409	29842	\N	\N	\N
144141	484	1997-12-07	PRIJEM	VKLAD	14114	33582	\N	\N	\N
144142	484	1998-01-07	PRIJEM	VKLAD	9409	28523	\N	\N	\N
144143	484	1998-02-07	PRIJEM	VKLAD	9409	26021	\N	\N	\N
144144	484	1998-03-07	PRIJEM	VKLAD	9409	23430	\N	\N	\N
144145	484	1998-04-07	PRIJEM	VKLAD	9409	23132	\N	\N	\N
144146	484	1998-05-07	PRIJEM	VKLAD	9409	26233	\N	\N	\N
144147	484	1998-06-07	PRIJEM	VKLAD	14114	27148	\N	\N	\N
144148	484	1998-07-07	PRIJEM	VKLAD	9409	27768	\N	\N	\N
144149	484	1998-08-07	PRIJEM	VKLAD	9409	24380	\N	\N	\N
144150	484	1998-09-07	PRIJEM	VKLAD	9409	26487	\N	\N	\N
144151	484	1998-10-07	PRIJEM	VKLAD	9409	24205	\N	\N	\N
144152	484	1998-11-07	PRIJEM	VKLAD	9409	27010	\N	\N	\N
144153	484	1998-12-07	PRIJEM	VKLAD	14114	29528	\N	\N	\N
144159	484	1995-06-09	VYDAJ	PREVOD NA UCET	1652	38613	SIPO	GH	19220835
144160	484	1995-07-09	VYDAJ	PREVOD NA UCET	1652	28370	SIPO	GH	19220835
144161	484	1995-08-09	VYDAJ	PREVOD NA UCET	1652	29009	SIPO	GH	19220835
144162	484	1995-09-09	VYDAJ	PREVOD NA UCET	1652	29647	SIPO	GH	19220835
144163	484	1995-10-09	VYDAJ	PREVOD NA UCET	1652	23583	SIPO	GH	19220835
144164	484	1995-11-09	VYDAJ	PREVOD NA UCET	1652	23809	SIPO	GH	19220835
144165	484	1995-12-09	VYDAJ	PREVOD NA UCET	1652	29225	SIPO	GH	19220835
144166	484	1996-01-09	VYDAJ	PREVOD NA UCET	1652	25561	SIPO	GH	19220835
144167	484	1996-02-09	VYDAJ	PREVOD NA UCET	1652	17882	SIPO	GH	19220835
144168	484	1996-03-09	VYDAJ	PREVOD NA UCET	1652	22684	SIPO	GH	19220835
144169	484	1996-04-09	VYDAJ	PREVOD NA UCET	1652	26702	SIPO	GH	19220835
144170	484	1996-05-09	VYDAJ	PREVOD NA UCET	1652	26519	SIPO	GH	19220835
144171	484	1996-06-09	VYDAJ	PREVOD NA UCET	1652	30349	SIPO	GH	19220835
144172	484	1996-07-09	VYDAJ	PREVOD NA UCET	1652	30084	SIPO	GH	19220835
144173	484	1996-08-09	VYDAJ	PREVOD NA UCET	1652	29020	SIPO	GH	19220835
144174	484	1996-09-09	VYDAJ	PREVOD NA UCET	1652	26764	SIPO	GH	19220835
144175	484	1996-10-09	VYDAJ	PREVOD NA UCET	1652	28986	SIPO	GH	19220835
144176	484	1996-11-09	VYDAJ	PREVOD NA UCET	1652	28726	SIPO	GH	19220835
144177	484	1996-12-09	VYDAJ	PREVOD NA UCET	1652	37778	SIPO	GH	19220835
144178	484	1997-01-09	VYDAJ	PREVOD NA UCET	1652	28235	SIPO	GH	19220835
144179	484	1997-02-09	VYDAJ	PREVOD NA UCET	1652	18164	SIPO	GH	19220835
144180	484	1997-03-09	VYDAJ	PREVOD NA UCET	1652	22571	SIPO	GH	19220835
144181	484	1997-04-09	VYDAJ	PREVOD NA UCET	1652	25386	SIPO	GH	19220835
144182	484	1997-05-09	VYDAJ	PREVOD NA UCET	1652	29720	SIPO	GH	19220835
144183	484	1997-06-09	VYDAJ	PREVOD NA UCET	1652	26373	SIPO	GH	19220835
144184	484	1997-07-09	VYDAJ	PREVOD NA UCET	1652	25913	SIPO	GH	19220835
144185	484	1997-08-09	VYDAJ	PREVOD NA UCET	1652	24661	SIPO	GH	19220835
144186	484	1997-09-09	VYDAJ	PREVOD NA UCET	1652	28284	SIPO	GH	19220835
144187	484	1997-10-09	VYDAJ	PREVOD NA UCET	1652	28631	SIPO	GH	19220835
144188	484	1997-11-09	VYDAJ	PREVOD NA UCET	1652	24675	SIPO	GH	19220835
144189	484	1997-12-09	VYDAJ	PREVOD NA UCET	1652	28415	SIPO	GH	19220835
144190	484	1998-01-09	VYDAJ	PREVOD NA UCET	1652	23464	SIPO	GH	19220835
144191	484	1998-02-09	VYDAJ	PREVOD NA UCET	1652	20962	SIPO	GH	19220835
144192	484	1998-03-09	VYDAJ	PREVOD NA UCET	1652	18371	SIPO	GH	19220835
144193	484	1998-04-09	VYDAJ	PREVOD NA UCET	1652	18073	SIPO	GH	19220835
144194	484	1998-05-09	VYDAJ	PREVOD NA UCET	1652	18766	SIPO	GH	19220835
144195	484	1998-06-09	VYDAJ	PREVOD NA UCET	1652	21981	SIPO	GH	19220835
144196	484	1998-07-09	VYDAJ	PREVOD NA UCET	1652	22709	SIPO	GH	19220835
144197	484	1998-08-09	VYDAJ	PREVOD NA UCET	1652	19213	SIPO	GH	19220835
144198	484	1998-09-09	VYDAJ	PREVOD NA UCET	1652	21320	SIPO	GH	19220835
144199	484	1998-10-09	VYDAJ	PREVOD NA UCET	1652	19146	SIPO	GH	19220835
144200	484	1998-11-09	VYDAJ	PREVOD NA UCET	1652	21843	SIPO	GH	19220835
144201	484	1998-12-09	VYDAJ	PREVOD NA UCET	1652	24361	SIPO	GH	19220835
144207	484	1995-06-07	VYDAJ	PREVOD NA UCET	1995	41785	 	MN	16825324
144208	484	1995-07-07	VYDAJ	PREVOD NA UCET	1995	31542	 	MN	16825324
144209	484	1995-08-07	VYDAJ	PREVOD NA UCET	1995	32181	 	MN	16825324
144210	484	1995-09-07	VYDAJ	PREVOD NA UCET	1995	32819	 	MN	16825324
144211	484	1995-10-07	VYDAJ	PREVOD NA UCET	1995	30055	 	MN	16825324
144212	484	1995-11-07	VYDAJ	PREVOD NA UCET	1995	26873	 	MN	16825324
144213	484	1995-12-07	VYDAJ	PREVOD NA UCET	1995	32397	 	MN	16825324
144214	484	1996-01-07	VYDAJ	PREVOD NA UCET	1995	28733	 	MN	16825324
144215	484	1996-02-07	VYDAJ	PREVOD NA UCET	1995	20946	 	MN	16825324
144216	484	1996-03-07	VYDAJ	PREVOD NA UCET	1995	25748	 	MN	16825324
144217	484	1996-04-07	VYDAJ	PREVOD NA UCET	1995	29766	 	MN	16825324
144218	484	1996-05-07	VYDAJ	PREVOD NA UCET	1995	29691	 	MN	16825324
144219	484	1996-06-07	VYDAJ	PREVOD NA UCET	1995	33521	 	MN	16825324
144220	484	1996-07-07	VYDAJ	PREVOD NA UCET	1995	33256	 	MN	16825324
144221	484	1996-08-07	VYDAJ	PREVOD NA UCET	1995	32192	 	MN	16825324
144222	484	1996-09-07	VYDAJ	PREVOD NA UCET	1995	29828	 	MN	16825324
144223	484	1996-10-07	VYDAJ	PREVOD NA UCET	1995	32158	 	MN	16825324
144224	484	1996-11-07	VYDAJ	PREVOD NA UCET	1995	31898	 	MN	16825324
144225	484	1996-12-07	VYDAJ	PREVOD NA UCET	1995	40950	 	MN	16825324
144226	484	1997-01-07	VYDAJ	PREVOD NA UCET	1995	35007	 	MN	16825324
144227	484	1997-02-07	VYDAJ	PREVOD NA UCET	1995	21536	 	MN	16825324
144228	484	1997-03-07	VYDAJ	PREVOD NA UCET	1995	25635	 	MN	16825324
144229	484	1997-04-07	VYDAJ	PREVOD NA UCET	1995	31758	 	MN	16825324
144230	484	1997-05-07	VYDAJ	PREVOD NA UCET	1995	32892	 	MN	16825324
144231	484	1997-06-07	VYDAJ	PREVOD NA UCET	1995	39245	 	MN	16825324
144232	484	1997-07-07	VYDAJ	PREVOD NA UCET	1995	33085	 	MN	16825324
144233	484	1997-08-07	VYDAJ	PREVOD NA UCET	1995	27725	 	MN	16825324
144234	484	1997-09-07	VYDAJ	PREVOD NA UCET	1995	31456	 	MN	16825324
144235	484	1997-10-07	VYDAJ	PREVOD NA UCET	1995	31803	 	MN	16825324
144236	484	1997-11-07	VYDAJ	PREVOD NA UCET	1995	27847	 	MN	16825324
144237	484	1997-12-07	VYDAJ	PREVOD NA UCET	1995	31587	 	MN	16825324
144238	484	1998-01-07	VYDAJ	PREVOD NA UCET	1995	26528	 	MN	16825324
144239	484	1998-02-07	VYDAJ	PREVOD NA UCET	1995	24026	 	MN	16825324
144240	484	1998-03-07	VYDAJ	PREVOD NA UCET	1995	21435	 	MN	16825324
144241	484	1998-04-07	VYDAJ	PREVOD NA UCET	1995	21137	 	MN	16825324
144242	484	1998-05-07	VYDAJ	PREVOD NA UCET	1995	21938	 	MN	16825324
144243	484	1998-06-07	VYDAJ	PREVOD NA UCET	1995	25153	 	MN	16825324
144244	484	1998-07-07	VYDAJ	PREVOD NA UCET	1995	25773	 	MN	16825324
144245	484	1998-08-07	VYDAJ	PREVOD NA UCET	1995	22385	 	MN	16825324
144246	484	1998-09-07	VYDAJ	PREVOD NA UCET	1995	24492	 	MN	16825324
144247	484	1998-10-07	VYDAJ	PREVOD NA UCET	1995	22210	 	MN	16825324
144248	484	1998-11-07	VYDAJ	PREVOD NA UCET	1995	25015	 	MN	16825324
144249	484	1998-12-07	VYDAJ	PREVOD NA UCET	1995	27533	 	MN	16825324
144255	484	1995-06-09	VYDAJ	PREVOD NA UCET	108	40265	POJISTNE	GH	17417866
144256	484	1995-07-09	VYDAJ	PREVOD NA UCET	108	30022	POJISTNE	GH	17417866
144257	484	1995-08-09	VYDAJ	PREVOD NA UCET	108	30661	POJISTNE	GH	17417866
144258	484	1995-09-09	VYDAJ	PREVOD NA UCET	108	31299	POJISTNE	GH	17417866
144259	484	1995-10-09	VYDAJ	PREVOD NA UCET	108	28535	POJISTNE	GH	17417866
144260	484	1995-11-09	VYDAJ	PREVOD NA UCET	108	23701	POJISTNE	GH	17417866
144261	484	1995-12-09	VYDAJ	PREVOD NA UCET	108	30877	POJISTNE	GH	17417866
144262	484	1996-01-09	VYDAJ	PREVOD NA UCET	108	27213	POJISTNE	GH	17417866
144263	484	1996-02-09	VYDAJ	PREVOD NA UCET	108	17774	POJISTNE	GH	17417866
144264	484	1996-03-09	VYDAJ	PREVOD NA UCET	108	22576	POJISTNE	GH	17417866
144265	484	1996-04-09	VYDAJ	PREVOD NA UCET	108	26594	POJISTNE	GH	17417866
144266	484	1996-05-09	VYDAJ	PREVOD NA UCET	108	28171	POJISTNE	GH	17417866
144267	484	1996-06-09	VYDAJ	PREVOD NA UCET	108	32001	POJISTNE	GH	17417866
144268	484	1996-07-09	VYDAJ	PREVOD NA UCET	108	31736	POJISTNE	GH	17417866
144269	484	1996-08-09	VYDAJ	PREVOD NA UCET	108	30672	POJISTNE	GH	17417866
144270	484	1996-09-09	VYDAJ	PREVOD NA UCET	108	26656	POJISTNE	GH	17417866
144271	484	1996-10-09	VYDAJ	PREVOD NA UCET	108	30638	POJISTNE	GH	17417866
144272	484	1996-11-09	VYDAJ	PREVOD NA UCET	108	30378	POJISTNE	GH	17417866
144273	484	1996-12-09	VYDAJ	PREVOD NA UCET	108	39430	POJISTNE	GH	17417866
144274	484	1997-01-09	VYDAJ	PREVOD NA UCET	108	33487	POJISTNE	GH	17417866
144275	484	1997-02-09	VYDAJ	PREVOD NA UCET	108	19816	POJISTNE	GH	17417866
144276	484	1997-03-09	VYDAJ	PREVOD NA UCET	108	22463	POJISTNE	GH	17417866
144277	484	1997-04-09	VYDAJ	PREVOD NA UCET	108	30238	POJISTNE	GH	17417866
144278	484	1997-05-09	VYDAJ	PREVOD NA UCET	108	31372	POJISTNE	GH	17417866
144279	484	1997-06-09	VYDAJ	PREVOD NA UCET	108	28025	POJISTNE	GH	17417866
144280	484	1997-07-09	VYDAJ	PREVOD NA UCET	108	27565	POJISTNE	GH	17417866
144281	484	1997-08-09	VYDAJ	PREVOD NA UCET	108	24553	POJISTNE	GH	17417866
144282	484	1997-09-09	VYDAJ	PREVOD NA UCET	108	29936	POJISTNE	GH	17417866
144283	484	1997-10-09	VYDAJ	PREVOD NA UCET	108	30283	POJISTNE	GH	17417866
144284	484	1997-11-09	VYDAJ	PREVOD NA UCET	108	26327	POJISTNE	GH	17417866
144285	484	1997-12-09	VYDAJ	PREVOD NA UCET	108	30067	POJISTNE	GH	17417866
144286	484	1998-01-09	VYDAJ	PREVOD NA UCET	108	15156	POJISTNE	GH	17417866
144287	484	1998-02-09	VYDAJ	PREVOD NA UCET	108	20854	POJISTNE	GH	17417866
144288	484	1998-03-09	VYDAJ	PREVOD NA UCET	108	18263	POJISTNE	GH	17417866
144289	484	1998-04-09	VYDAJ	PREVOD NA UCET	108	17965	POJISTNE	GH	17417866
144290	484	1998-05-09	VYDAJ	PREVOD NA UCET	108	20418	POJISTNE	GH	17417866
144291	484	1998-06-09	VYDAJ	PREVOD NA UCET	108	23633	POJISTNE	GH	17417866
144292	484	1998-07-09	VYDAJ	PREVOD NA UCET	108	22601	POJISTNE	GH	17417866
144293	484	1998-08-09	VYDAJ	PREVOD NA UCET	108	20865	POJISTNE	GH	17417866
144294	484	1998-09-09	VYDAJ	PREVOD NA UCET	108	22972	POJISTNE	GH	17417866
144295	484	1998-10-09	VYDAJ	PREVOD NA UCET	108	19038	POJISTNE	GH	17417866
144296	484	1998-11-09	VYDAJ	PREVOD NA UCET	108	23495	POJISTNE	GH	17417866
144297	484	1998-12-09	VYDAJ	PREVOD NA UCET	108	26013	POJISTNE	GH	17417866
144303	484	1995-06-08	VYDAJ	PREVOD NA UCET	1412	40373	 	IJ	31340134
144304	484	1995-07-08	VYDAJ	PREVOD NA UCET	1412	30130	 	IJ	31340134
144305	484	1995-08-08	VYDAJ	PREVOD NA UCET	1412	30769	 	IJ	31340134
144306	484	1995-09-08	VYDAJ	PREVOD NA UCET	1412	31407	 	IJ	31340134
144307	484	1995-10-08	VYDAJ	PREVOD NA UCET	1412	28643	 	IJ	31340134
144308	484	1995-11-08	VYDAJ	PREVOD NA UCET	1412	25461	 	IJ	31340134
144309	484	1995-12-08	VYDAJ	PREVOD NA UCET	1412	30985	 	IJ	31340134
144310	484	1996-01-08	VYDAJ	PREVOD NA UCET	1412	27321	 	IJ	31340134
144311	484	1996-02-08	VYDAJ	PREVOD NA UCET	1412	19534	 	IJ	31340134
144312	484	1996-03-08	VYDAJ	PREVOD NA UCET	1412	24336	 	IJ	31340134
144313	484	1996-04-08	VYDAJ	PREVOD NA UCET	1412	28354	 	IJ	31340134
144314	484	1996-05-08	VYDAJ	PREVOD NA UCET	1412	28279	 	IJ	31340134
144315	484	1996-06-08	VYDAJ	PREVOD NA UCET	1412	32109	 	IJ	31340134
144316	484	1996-07-08	VYDAJ	PREVOD NA UCET	1412	31844	 	IJ	31340134
144317	484	1996-08-08	VYDAJ	PREVOD NA UCET	1412	30780	 	IJ	31340134
144318	484	1996-09-08	VYDAJ	PREVOD NA UCET	1412	28416	 	IJ	31340134
144319	484	1996-10-08	VYDAJ	PREVOD NA UCET	1412	30746	 	IJ	31340134
144320	484	1996-11-08	VYDAJ	PREVOD NA UCET	1412	30486	 	IJ	31340134
144321	484	1996-12-08	VYDAJ	PREVOD NA UCET	1412	39538	 	IJ	31340134
144322	484	1997-01-08	VYDAJ	PREVOD NA UCET	1412	33595	 	IJ	31340134
144323	484	1997-02-08	VYDAJ	PREVOD NA UCET	1412	20124	 	IJ	31340134
144324	484	1997-03-08	VYDAJ	PREVOD NA UCET	1412	24223	 	IJ	31340134
144325	484	1997-04-08	VYDAJ	PREVOD NA UCET	1412	30346	 	IJ	31340134
144326	484	1997-05-08	VYDAJ	PREVOD NA UCET	1412	31480	 	IJ	31340134
144327	484	1997-06-08	VYDAJ	PREVOD NA UCET	1412	37833	 	IJ	31340134
144328	484	1997-07-08	VYDAJ	PREVOD NA UCET	1412	27673	 	IJ	31340134
144329	484	1997-08-08	VYDAJ	PREVOD NA UCET	1412	26313	 	IJ	31340134
144330	484	1997-09-08	VYDAJ	PREVOD NA UCET	1412	30044	 	IJ	31340134
144331	484	1997-10-08	VYDAJ	PREVOD NA UCET	1412	30391	 	IJ	31340134
144332	484	1997-11-08	VYDAJ	PREVOD NA UCET	1412	26435	 	IJ	31340134
144333	484	1997-12-08	VYDAJ	PREVOD NA UCET	1412	30175	 	IJ	31340134
144334	484	1998-01-08	VYDAJ	PREVOD NA UCET	1412	25116	 	IJ	31340134
144335	484	1998-02-08	VYDAJ	PREVOD NA UCET	1412	22614	 	IJ	31340134
144336	484	1998-03-08	VYDAJ	PREVOD NA UCET	1412	20023	 	IJ	31340134
144337	484	1998-04-08	VYDAJ	PREVOD NA UCET	1412	19725	 	IJ	31340134
144338	484	1998-05-08	VYDAJ	PREVOD NA UCET	1412	20526	 	IJ	31340134
144339	484	1998-06-08	VYDAJ	PREVOD NA UCET	1412	23741	 	IJ	31340134
144340	484	1998-07-08	VYDAJ	PREVOD NA UCET	1412	24361	 	IJ	31340134
144341	484	1998-08-08	VYDAJ	PREVOD NA UCET	1412	20973	 	IJ	31340134
144342	484	1998-09-08	VYDAJ	PREVOD NA UCET	1412	23080	 	IJ	31340134
144343	484	1998-10-08	VYDAJ	PREVOD NA UCET	1412	20798	 	IJ	31340134
144344	484	1998-11-08	VYDAJ	PREVOD NA UCET	1412	23603	 	IJ	31340134
144345	484	1998-12-08	VYDAJ	PREVOD NA UCET	1412	26121	 	IJ	31340134
144346	484	1995-06-18	VYDAJ	VYBER	13400	25213	\N	\N	\N
144351	484	1996-01-21	VYDAJ	VYBER	3600	17661	\N	\N	\N
144352	484	1997-01-29	VYDAJ	VYBER	8200	14035	\N	\N	\N
144353	484	1998-01-09	VYDAJ	VYBER	8200	15264	\N	\N	\N
144354	484	1995-12-01	VYDAJ	VYBER	1100	20278	\N	\N	\N
144355	484	1996-12-28	VYDAJ	VYBER	1300	29478	\N	\N	\N
144356	484	1997-12-13	VYDAJ	VYBER	700	27715	\N	\N	\N
144364	484	1996-01-21	VYDAJ	VYBER	2700	14961	\N	\N	\N
144365	484	1996-01-17	VYDAJ	VYBER	1400	21261	\N	\N	\N
144366	484	1996-01-13	VYDAJ	VYBER	2600	22961	\N	\N	\N
144367	484	1996-01-27	VYDAJ	VYBER	1500	13461	\N	\N	\N
144368	484	1996-01-03	VYDAJ	VYBER	2400	22719	\N	\N	\N
144369	484	1996-01-06	VYDAJ	VYBER	1400	21319	\N	\N	\N
144370	484	1997-01-15	VYDAJ	VYBER	1600	23235	\N	\N	\N
144371	484	1997-01-01	VYDAJ	VYBER	600	28993	\N	\N	\N
144372	484	1997-01-10	VYDAJ	VYBER	2500	24835	\N	\N	\N
144373	484	1997-01-21	VYDAJ	VYBER	1000	22235	\N	\N	\N
144374	484	1997-01-06	VYDAJ	VYBER	1400	27593	\N	\N	\N
144375	484	1997-01-10	VYDAJ	VYBER	900	27335	\N	\N	\N
144377	484	1998-01-02	VYDAJ	VYBER	700	27114	\N	\N	\N
144379	484	1998-01-20	VYDAJ	VYBER	500	14656	\N	\N	\N
144381	484	1998-01-03	VYDAJ	VYBER	2600	24514	\N	\N	\N
144382	484	1995-10-09	VYDAJ	VYBER	3300	25235	\N	\N	\N
144383	484	1995-09-18	VYDAJ	VYBER	600	22547	\N	\N	\N
144385	484	1995-08-15	VYDAJ	VYBER	1200	27809	\N	\N	\N
144388	484	1996-11-03	VYDAJ	VYBER	2800	24484	\N	\N	\N
144389	484	1996-02-25	VYDAJ	VYBER	1700	18274	\N	\N	\N
144390	484	1996-08-30	VYDAJ	VYBER	3000	22320	\N	\N	\N
144391	484	1996-05-21	VYDAJ	VYBER	800	21319	\N	\N	\N
144392	484	1997-06-18	VYDAJ	VYBER	800	25573	\N	\N	\N
144393	484	1997-11-01	VYDAJ	VYBER	2400	24533	\N	\N	\N
144394	484	1997-07-29	VYDAJ	VYBER	800	25113	\N	\N	\N
144395	484	1997-10-17	VYDAJ	VYBER	1800	26831	\N	\N	\N
144396	484	1998-03-15	VYDAJ	VYBER	1300	16963	\N	\N	\N
144397	484	1998-07-11	VYDAJ	VYBER	3000	19601	\N	\N	\N
144398	484	1998-09-29	VYDAJ	VYBER	3300	18020	\N	\N	\N
144399	484	1998-05-07	VYDAJ	VYBER	2300	23933	\N	\N	\N
144406	484	1995-06-30	VYDAJ	VYBER	15	24128	SLUZBY	\N	\N
144407	484	1995-07-31	VYDAJ	VYBER	15	24767	SLUZBY	\N	\N
144408	484	1995-08-31	VYDAJ	VYBER	15	25405	SLUZBY	\N	\N
144409	484	1995-09-30	VYDAJ	VYBER	15	22641	SLUZBY	\N	\N
144410	484	1995-10-31	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
144411	484	1995-11-30	VYDAJ	VYBER	15	21378	SLUZBY	\N	\N
144412	484	1995-12-31	VYDAJ	VYBER	15	25119	SLUZBY	\N	\N
144413	484	1996-01-31	VYDAJ	VYBER	15	13532	SLUZBY	\N	\N
144414	484	1996-02-29	VYDAJ	VYBER	15	18334	SLUZBY	\N	\N
144415	484	1996-03-31	VYDAJ	VYBER	15	22352	SLUZBY	\N	\N
144416	484	1996-04-30	VYDAJ	VYBER	15	22277	SLUZBY	\N	\N
144417	484	1996-05-31	VYDAJ	VYBER	15	21402	SLUZBY	\N	\N
144418	484	1996-06-30	VYDAJ	VYBER	15	25842	SLUZBY	\N	\N
144419	484	1996-07-31	VYDAJ	VYBER	15	24778	SLUZBY	\N	\N
144420	484	1996-08-31	VYDAJ	VYBER	15	22414	SLUZBY	\N	\N
144421	484	1996-09-30	VYDAJ	VYBER	15	24744	SLUZBY	\N	\N
144422	484	1996-10-31	VYDAJ	VYBER	15	27284	SLUZBY	\N	\N
144423	484	1996-11-30	VYDAJ	VYBER	15	28831	SLUZBY	\N	\N
144424	484	1996-12-31	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
144425	484	1997-01-31	VYDAJ	VYBER	15	14122	SLUZBY	\N	\N
144426	484	1997-02-28	VYDAJ	VYBER	15	18221	SLUZBY	\N	\N
144427	484	1997-03-31	VYDAJ	VYBER	15	24344	SLUZBY	\N	\N
144428	484	1997-04-30	VYDAJ	VYBER	15	25478	SLUZBY	\N	\N
144429	484	1997-05-31	VYDAJ	VYBER	15	27126	SLUZBY	\N	\N
144430	484	1997-06-30	VYDAJ	VYBER	15	25671	SLUZBY	\N	\N
144431	484	1997-07-31	VYDAJ	VYBER	15	25211	SLUZBY	\N	\N
144432	484	1997-08-31	VYDAJ	VYBER	15	24642	SLUZBY	\N	\N
144433	484	1997-09-30	VYDAJ	VYBER	15	28389	SLUZBY	\N	\N
144434	484	1997-10-31	VYDAJ	VYBER	15	26933	SLUZBY	\N	\N
144435	484	1997-11-30	VYDAJ	VYBER	15	24768	SLUZBY	\N	\N
144436	484	1997-12-31	VYDAJ	VYBER	15	27814	SLUZBY	\N	\N
144437	484	1998-01-31	VYDAJ	VYBER	15	14712	SLUZBY	\N	\N
144438	484	1998-02-28	VYDAJ	VYBER	15	20921	SLUZBY	\N	\N
144439	484	1998-03-31	VYDAJ	VYBER	15	17023	SLUZBY	\N	\N
144440	484	1998-04-30	VYDAJ	VYBER	15	18024	SLUZBY	\N	\N
144441	484	1998-05-31	VYDAJ	VYBER	15	18834	SLUZBY	\N	\N
144442	484	1998-06-30	VYDAJ	VYBER	15	22059	SLUZBY	\N	\N
144443	484	1998-07-31	VYDAJ	VYBER	15	19671	SLUZBY	\N	\N
144444	484	1998-08-31	VYDAJ	VYBER	15	19278	SLUZBY	\N	\N
144445	484	1998-09-30	VYDAJ	VYBER	15	18096	SLUZBY	\N	\N
144446	484	1998-10-31	VYDAJ	VYBER	15	19101	SLUZBY	\N	\N
144447	484	1998-11-30	VYDAJ	VYBER	15	21914	SLUZBY	\N	\N
144448	484	1995-02-19	PRIJEM	VKLAD	7600	17609	\N	\N	\N
144449	484	1995-03-21	VYDAJ	VYBER	3500	23544	\N	\N	\N
144450	484	1995-04-20	VYDAJ	VYBER	5700	27335	\N	\N	\N
144451	484	1995-05-20	VYDAJ	VYBER	7300	29548	\N	\N	\N
144452	484	1995-06-19	VYDAJ	VYBER	1200	24013	\N	\N	\N
144453	484	1995-07-19	VYDAJ	VYBER	3700	24670	\N	\N	\N
144454	484	1995-08-18	VYDAJ	VYBER	2500	25309	\N	\N	\N
144455	484	1995-09-17	VYDAJ	VYBER	6500	23147	\N	\N	\N
144456	484	1995-10-17	VYDAJ	VYBER	4200	19383	\N	\N	\N
144457	484	1995-11-16	VYDAJ	VYBER	2400	21301	\N	\N	\N
144458	484	1995-12-16	VYDAJ	VYBER	4200	25025	\N	\N	\N
144459	484	1996-01-15	VYDAJ	VYBER	300	22661	\N	\N	\N
144460	484	1996-02-14	PRIJEM	VKLAD	2200	19974	\N	\N	\N
144461	484	1996-03-15	VYDAJ	VYBER	300	22276	\N	\N	\N
144462	484	1996-04-14	VYDAJ	VYBER	4400	22194	\N	\N	\N
144463	484	1996-05-14	VYDAJ	VYBER	4400	22119	\N	\N	\N
144464	484	1996-06-13	VYDAJ	VYBER	4600	25749	\N	\N	\N
144465	484	1996-07-13	VYDAJ	VYBER	5400	24684	\N	\N	\N
144466	484	1996-08-12	VYDAJ	VYBER	3700	25320	\N	\N	\N
144467	484	1996-09-11	VYDAJ	VYBER	2000	24656	\N	\N	\N
144468	484	1996-10-11	VYDAJ	VYBER	1800	27186	\N	\N	\N
144469	484	1996-12-10	VYDAJ	VYBER	7000	30778	\N	\N	\N
144470	484	1997-01-09	VYDAJ	VYBER	3600	29887	\N	\N	\N
144471	484	1997-02-08	VYDAJ	VYBER	200	19924	\N	\N	\N
144472	484	1997-03-10	PRIJEM	VKLAD	1800	24263	\N	\N	\N
144473	484	1997-04-09	VYDAJ	VYBER	3200	27038	\N	\N	\N
144474	484	1997-05-09	VYDAJ	VYBER	2700	27020	\N	\N	\N
144475	484	1997-06-08	VYDAJ	VYBER	9700	28133	\N	\N	\N
144476	484	1997-07-08	VYDAJ	VYBER	4000	29085	\N	\N	\N
144477	484	1997-08-07	VYDAJ	VYBER	4900	29720	\N	\N	\N
144478	484	1997-09-06	VYDAJ	VYBER	600	24042	\N	\N	\N
144479	484	1997-10-06	VYDAJ	VYBER	4000	24389	\N	\N	\N
144480	484	1997-11-05	VYDAJ	VYBER	4100	20433	\N	\N	\N
144481	484	1997-12-05	VYDAJ	VYBER	5300	19468	\N	\N	\N
144482	484	1998-01-04	VYDAJ	VYBER	5400	19114	\N	\N	\N
144483	484	1998-02-03	PRIJEM	VKLAD	1900	16612	\N	\N	\N
144484	484	1998-03-05	VYDAJ	VYBER	6900	14021	\N	\N	\N
144485	484	1998-04-04	VYDAJ	VYBER	3300	13723	\N	\N	\N
144486	484	1998-05-04	VYDAJ	VYBER	1200	16824	\N	\N	\N
144487	484	1998-06-03	VYDAJ	VYBER	5800	13034	\N	\N	\N
144488	484	1998-07-03	VYDAJ	VYBER	3700	18359	\N	\N	\N
144489	484	1998-08-02	VYDAJ	VYBER	4700	14971	\N	\N	\N
144490	484	1998-09-01	VYDAJ	VYBER	2200	17078	\N	\N	\N
144491	484	1998-10-01	VYDAJ	VYBER	3300	14796	\N	\N	\N
144492	484	1998-10-31	VYDAJ	VYBER	1500	17601	\N	\N	\N
144493	484	1998-11-30	VYDAJ	VYBER	6500	15414	\N	\N	\N
144541	485	1993-01-04	PRIJEM	VKLAD	300	300	\N	\N	\N
144542	485	1993-10-30	PRIJEM	VKLAD	31109	113411	\N	\N	\N
144543	485	1993-03-04	PRIJEM	VKLAD	18451	84944	\N	\N	\N
144544	485	1993-02-03	PRIJEM	VKLAD	45647	71478	\N	\N	\N
144545	485	1993-06-15	PRIJEM	VKLAD	7987	26083	\N	\N	\N
144546	485	1993-12-02	PRIJEM	VKLAD	29719	60862	\N	\N	\N
144547	485	1993-06-20	PRIJEM	VKLAD	28835	54918	\N	\N	\N
144549	485	1993-01-16	PRIJEM	VKLAD	13156	13456	\N	\N	\N
144550	485	1993-06-27	PRIJEM	VKLAD	27061	62479	\N	\N	\N
144551	485	1993-01-26	PRIJEM	VKLAD	12336	25792	\N	\N	\N
144552	485	1993-12-20	PRIJEM	VKLAD	38512	85290	\N	\N	\N
144553	485	1993-08-16	PRIJEM	VKLAD	14875	59328	\N	\N	\N
144554	485	1993-10-17	PRIJEM	VKLAD	11642	50697	\N	\N	\N
144555	485	1993-05-17	PRIJEM	VKLAD	45529	100431	\N	\N	\N
144556	485	1993-07-18	PRIJEM	VKLAD	39870	95225	\N	\N	\N
144557	485	1993-03-15	PRIJEM	VKLAD	5697	44657	\N	\N	\N
144558	485	1993-10-24	PRIJEM	VKLAD	6425	57122	\N	\N	\N
144559	485	1993-02-08	PRIJEM	VKLAD	20066	66244	\N	\N	\N
144560	485	1993-03-26	PRIJEM	VKLAD	49112	93769	\N	\N	\N
144561	485	1993-05-06	PRIJEM	VKLAD	29500	51440	\N	\N	\N
144562	485	1993-09-18	PRIJEM	VKLAD	46324	95804	\N	\N	\N
144563	485	1993-10-24	PRIJEM	VKLAD	25180	82302	\N	\N	\N
144564	485	1993-12-29	PRIJEM	VKLAD	14315	99605	\N	\N	\N
144565	485	1993-09-14	PRIJEM	VKLAD	23993	49480	\N	\N	\N
144566	485	1993-05-17	PRIJEM	VKLAD	20707	54902	\N	\N	\N
144567	485	1993-05-19	PRIJEM	VKLAD	10178	110609	\N	\N	\N
144568	485	1993-09-30	PRIJEM	VKLAD	19262	115066	\N	\N	\N
144569	485	1993-07-08	PRIJEM	VKLAD	23210	62776	\N	\N	\N
144570	485	1994-08-06	PRIJEM	VKLAD	44203	60785	\N	\N	\N
144571	485	1994-09-08	PRIJEM	VKLAD	27896	48564	\N	\N	\N
144572	485	1994-11-20	PRIJEM	VKLAD	43834	57659	\N	\N	\N
144573	485	1995-12-26	PRIJEM	VKLAD	42661	67045	\N	\N	\N
144574	485	1995-03-28	PRIJEM	VKLAD	7455	30554	\N	\N	\N
144575	485	1996-05-30	PRIJEM	VKLAD	34515	83760	\N	\N	\N
144576	485	1996-04-21	PRIJEM	VKLAD	18906	89793	\N	\N	\N
144577	485	1996-01-11	PRIJEM	VKLAD	36731	77111	\N	\N	\N
144578	485	1996-04-18	PRIJEM	VKLAD	24372	105387	\N	\N	\N
144579	485	1996-02-26	PRIJEM	VKLAD	45600	136472	\N	\N	\N
144580	485	1996-02-21	PRIJEM	VKLAD	11316	45742	\N	\N	\N
144581	485	1996-12-14	PRIJEM	VKLAD	37197	71910	\N	\N	\N
144582	485	1996-05-15	PRIJEM	VKLAD	17536	118445	\N	\N	\N
144583	485	1996-06-07	PRIJEM	VKLAD	19808	102177	\N	\N	\N
144584	485	1996-03-17	PRIJEM	VKLAD	10734	76622	\N	\N	\N
144585	485	1996-08-29	PRIJEM	VKLAD	45884	71019	\N	\N	\N
144586	485	1996-05-15	PRIJEM	VKLAD	41098	100909	\N	\N	\N
144587	485	1996-03-17	PRIJEM	VKLAD	10246	65888	\N	\N	\N
144588	485	1996-02-25	PRIJEM	VKLAD	45130	90872	\N	\N	\N
144589	485	1996-11-11	PRIJEM	VKLAD	44534	82149	\N	\N	\N
144590	485	1996-10-02	PRIJEM	VKLAD	20723	71563	\N	\N	\N
144591	485	1996-07-30	PRIJEM	VKLAD	22913	59560	\N	\N	\N
144592	485	1996-11-12	PRIJEM	VKLAD	33491	115640	\N	\N	\N
144593	485	1996-09-02	PRIJEM	VKLAD	24026	95103	\N	\N	\N
144594	485	1996-06-27	PRIJEM	VKLAD	9344	61828	\N	\N	\N
144595	485	1996-04-14	PRIJEM	VKLAD	39197	81015	\N	\N	\N
144596	485	1997-01-16	PRIJEM	VKLAD	5837	70943	\N	\N	\N
144597	485	1997-07-19	PRIJEM	VKLAD	8882	65610	\N	\N	\N
144598	485	1997-09-28	PRIJEM	VKLAD	30454	72064	\N	\N	\N
144599	485	1997-09-26	PRIJEM	VKLAD	14601	41610	\N	\N	\N
144600	485	1997-06-09	PRIJEM	VKLAD	29384	94129	\N	\N	\N
144601	485	1997-01-14	PRIJEM	VKLAD	27142	65106	\N	\N	\N
144602	485	1997-05-03	PRIJEM	VKLAD	26789	57050	\N	\N	\N
144603	485	1997-11-20	PRIJEM	VKLAD	44586	100272	\N	\N	\N
144604	485	1997-01-08	PRIJEM	VKLAD	11014	41185	\N	\N	\N
144605	485	1997-03-22	PRIJEM	VKLAD	12674	38118	\N	\N	\N
144606	485	1997-06-28	PRIJEM	VKLAD	39356	128971	\N	\N	\N
144607	485	1997-08-06	PRIJEM	VKLAD	47699	154121	\N	\N	\N
144608	485	1997-05-26	PRIJEM	VKLAD	39078	77246	\N	\N	\N
144609	485	1997-08-05	PRIJEM	VKLAD	40647	106422	\N	\N	\N
144610	485	1997-08-07	PRIJEM	VKLAD	24673	81303	\N	\N	\N
144611	485	1997-06-15	PRIJEM	VKLAD	37586	106415	\N	\N	\N
144612	485	1997-11-19	PRIJEM	VKLAD	11382	55686	\N	\N	\N
144613	485	1997-12-19	PRIJEM	VKLAD	46307	114661	\N	\N	\N
144614	485	1998-08-25	PRIJEM	VKLAD	5854	35440	\N	\N	\N
144615	485	1998-04-13	PRIJEM	VKLAD	33157	66132	\N	\N	\N
144616	485	1998-07-01	PRIJEM	VKLAD	49764	80557	\N	\N	\N
144617	485	1998-09-05	PRIJEM	VKLAD	49648	130356	\N	\N	\N
144618	485	1998-10-22	PRIJEM	VKLAD	29894	107938	\N	\N	\N
144619	485	1998-12-08	PRIJEM	VKLAD	21218	66701	\N	\N	\N
144620	485	1998-05-19	PRIJEM	VKLAD	47650	115731	\N	\N	\N
144621	485	1998-05-25	PRIJEM	VKLAD	33651	83157	\N	\N	\N
144622	485	1998-06-05	PRIJEM	VKLAD	48213	94671	\N	\N	\N
144623	485	1998-02-19	PRIJEM	VKLAD	26701	61246	\N	\N	\N
144624	485	1998-10-15	PRIJEM	VKLAD	12492	41374	\N	\N	\N
144625	485	1998-10-18	PRIJEM	VKLAD	36670	78044	\N	\N	\N
144626	485	1998-05-16	PRIJEM	VKLAD	25326	68081	\N	\N	\N
144627	485	1998-08-31	PRIJEM	VKLAD	45234	80808	\N	\N	\N
144628	485	1998-11-08	PRIJEM	VKLAD	39938	110677	\N	\N	\N
144629	485	1998-12-29	PRIJEM	VKLAD	19526	78806	\N	\N	\N
144704	485	1993-03-08	VYDAJ	PREVOD NA UCET	7421	38960	SIPO	EF	89687889
144705	485	1993-04-08	VYDAJ	PREVOD NA UCET	7421	35884	SIPO	EF	89687889
144706	485	1993-05-08	VYDAJ	PREVOD NA UCET	7421	38856	SIPO	EF	89687889
144707	485	1993-06-08	VYDAJ	PREVOD NA UCET	7421	18096	SIPO	EF	89687889
144708	485	1993-07-08	VYDAJ	PREVOD NA UCET	7421	55355	SIPO	EF	89687889
144709	485	1993-08-08	VYDAJ	PREVOD NA UCET	7421	44453	SIPO	EF	89687889
144710	485	1993-09-08	VYDAJ	PREVOD NA UCET	7421	25487	SIPO	EF	89687889
144711	485	1993-10-08	VYDAJ	PREVOD NA UCET	7421	39055	SIPO	EF	89687889
144712	485	1993-11-08	VYDAJ	PREVOD NA UCET	7421	32682	SIPO	EF	89687889
144713	485	1993-12-08	VYDAJ	PREVOD NA UCET	7421	48278	SIPO	EF	89687889
144714	485	1994-01-08	VYDAJ	PREVOD NA UCET	7421	47968	SIPO	EF	89687889
144715	485	1994-02-08	VYDAJ	PREVOD NA UCET	7421	14459	SIPO	EF	89687889
144716	485	1994-03-08	VYDAJ	PREVOD NA UCET	7421	7148	SIPO	EF	89687889
144717	485	1994-04-08	VYDAJ	PREVOD NA UCET	7421	4807	SIPO	EF	89687889
144718	485	1994-05-08	VYDAJ	PREVOD NA UCET	7421	3758	SIPO	EF	89687889
144719	485	1994-06-08	VYDAJ	PREVOD NA UCET	7421	2404	SIPO	EF	89687889
144720	485	1994-07-08	VYDAJ	PREVOD NA UCET	7421	4147	SIPO	EF	89687889
144721	485	1994-08-08	VYDAJ	PREVOD NA UCET	7421	48201	SIPO	EF	89687889
144722	485	1994-09-08	VYDAJ	PREVOD NA UCET	7421	41143	SIPO	EF	89687889
144723	485	1994-10-08	VYDAJ	PREVOD NA UCET	7421	20608	SIPO	EF	89687889
144724	485	1994-11-08	VYDAJ	PREVOD NA UCET	7421	13825	SIPO	EF	89687889
144725	485	1994-12-08	VYDAJ	PREVOD NA UCET	7421	34002	SIPO	EF	89687889
144726	485	1995-01-08	VYDAJ	PREVOD NA UCET	7421	12027	SIPO	EF	89687889
144727	485	1995-02-08	VYDAJ	PREVOD NA UCET	7421	11016	SIPO	EF	89687889
144728	485	1995-03-08	VYDAJ	PREVOD NA UCET	7421	9199	SIPO	EF	89687889
144729	485	1995-04-08	VYDAJ	PREVOD NA UCET	7421	17936	SIPO	EF	89687889
144730	485	1995-05-08	VYDAJ	PREVOD NA UCET	7421	11343	SIPO	EF	89687889
144731	485	1995-06-08	VYDAJ	PREVOD NA UCET	7421	10729	SIPO	EF	89687889
144732	485	1995-07-08	VYDAJ	PREVOD NA UCET	7421	12016	SIPO	EF	89687889
144733	485	1995-08-08	VYDAJ	PREVOD NA UCET	7421	12407	SIPO	EF	89687889
144734	485	1995-09-08	VYDAJ	PREVOD NA UCET	7421	10800	SIPO	EF	89687889
144735	485	1995-10-08	VYDAJ	PREVOD NA UCET	7421	11489	SIPO	EF	89687889
144736	485	1995-11-08	VYDAJ	PREVOD NA UCET	7421	12883	SIPO	EF	89687889
144737	485	1995-12-08	VYDAJ	PREVOD NA UCET	7421	13984	SIPO	EF	89687889
144738	485	1996-01-08	VYDAJ	PREVOD NA UCET	7421	45780	SIPO	EF	89687889
144739	485	1996-02-08	VYDAJ	PREVOD NA UCET	7421	22126	SIPO	EF	89687889
144740	485	1996-03-08	VYDAJ	PREVOD NA UCET	7421	74367	SIPO	EF	89687889
144741	485	1996-04-08	VYDAJ	PREVOD NA UCET	7421	41818	SIPO	EF	89687889
144742	485	1996-05-08	VYDAJ	PREVOD NA UCET	7421	77393	SIPO	EF	89687889
144743	485	1996-06-08	VYDAJ	PREVOD NA UCET	7421	91184	SIPO	EF	89687889
144744	485	1996-07-08	VYDAJ	PREVOD NA UCET	7421	45847	SIPO	EF	89687889
144745	485	1996-08-08	VYDAJ	PREVOD NA UCET	7421	25008	SIPO	EF	89687889
144746	485	1996-09-08	VYDAJ	PREVOD NA UCET	7421	82519	SIPO	EF	89687889
144747	485	1996-10-08	VYDAJ	PREVOD NA UCET	7421	58979	SIPO	EF	89687889
144748	485	1996-11-08	VYDAJ	PREVOD NA UCET	7421	37615	SIPO	EF	89687889
144749	485	1996-12-08	VYDAJ	PREVOD NA UCET	7421	34713	SIPO	EF	89687889
144750	485	1997-01-08	VYDAJ	PREVOD NA UCET	7421	28664	SIPO	EF	89687889
144751	485	1997-02-08	VYDAJ	PREVOD NA UCET	7421	12713	SIPO	EF	89687889
144752	485	1997-03-08	VYDAJ	PREVOD NA UCET	7421	13244	SIPO	EF	89687889
144753	485	1997-04-08	VYDAJ	PREVOD NA UCET	7421	14745	SIPO	EF	89687889
144754	485	1997-05-08	VYDAJ	PREVOD NA UCET	7421	34068	SIPO	EF	89687889
144755	485	1997-06-08	VYDAJ	PREVOD NA UCET	7421	64745	SIPO	EF	89687889
144756	485	1997-07-08	VYDAJ	PREVOD NA UCET	7421	60028	SIPO	EF	89687889
144757	485	1997-08-08	VYDAJ	PREVOD NA UCET	7421	70310	SIPO	EF	89687889
144758	485	1997-09-08	VYDAJ	PREVOD NA UCET	7421	27509	SIPO	EF	89687889
144759	485	1997-10-08	VYDAJ	PREVOD NA UCET	7421	42884	SIPO	EF	89687889
144760	485	1997-11-08	VYDAJ	PREVOD NA UCET	7421	32504	SIPO	EF	89687889
144761	485	1997-12-08	VYDAJ	PREVOD NA UCET	7421	87854	SIPO	EF	89687889
144762	485	1998-01-08	VYDAJ	PREVOD NA UCET	7421	55932	SIPO	EF	89687889
144763	485	1998-02-08	VYDAJ	PREVOD NA UCET	7421	34545	SIPO	EF	89687889
144764	485	1998-03-08	VYDAJ	PREVOD NA UCET	7421	48744	SIPO	EF	89687889
144765	485	1998-04-08	VYDAJ	PREVOD NA UCET	7421	32975	SIPO	EF	89687889
144766	485	1998-05-08	VYDAJ	PREVOD NA UCET	7421	42755	SIPO	EF	89687889
144767	485	1998-06-08	VYDAJ	PREVOD NA UCET	7421	57987	SIPO	EF	89687889
144768	485	1998-07-08	VYDAJ	PREVOD NA UCET	7421	51973	SIPO	EF	89687889
144769	485	1998-08-08	VYDAJ	PREVOD NA UCET	7421	29586	SIPO	EF	89687889
144770	485	1998-09-08	VYDAJ	PREVOD NA UCET	7421	41372	SIPO	EF	89687889
144771	485	1998-10-08	VYDAJ	PREVOD NA UCET	7421	28882	SIPO	EF	89687889
144772	485	1998-11-08	VYDAJ	PREVOD NA UCET	7421	103256	SIPO	EF	89687889
144773	485	1998-12-08	VYDAJ	PREVOD NA UCET	7421	59280	SIPO	EF	89687889
144776	485	1993-03-06	VYDAJ	PREVOD NA UCET	1591	49953	 	WX	56978738
144777	485	1993-04-06	VYDAJ	PREVOD NA UCET	1591	46877	 	WX	56978738
144778	485	1993-05-06	VYDAJ	PREVOD NA UCET	1591	49849	 	WX	56978738
144779	485	1993-06-06	VYDAJ	PREVOD NA UCET	1591	29089	 	WX	56978738
144780	485	1993-07-06	VYDAJ	PREVOD NA UCET	1591	43138	 	WX	56978738
144781	485	1993-08-06	VYDAJ	PREVOD NA UCET	1591	55446	 	WX	56978738
144782	485	1993-09-06	VYDAJ	PREVOD NA UCET	1591	36480	 	WX	56978738
144783	485	1993-10-06	VYDAJ	PREVOD NA UCET	1591	50048	 	WX	56978738
144784	485	1993-11-06	VYDAJ	PREVOD NA UCET	1591	43675	 	WX	56978738
144785	485	1993-12-06	VYDAJ	PREVOD NA UCET	1591	59271	 	WX	56978738
144786	485	1994-01-06	VYDAJ	PREVOD NA UCET	1591	58961	 	WX	56978738
144787	485	1994-02-06	VYDAJ	PREVOD NA UCET	1591	25452	 	WX	56978738
144788	485	1994-03-06	VYDAJ	PREVOD NA UCET	1591	18141	 	WX	56978738
144789	485	1994-04-06	VYDAJ	PREVOD NA UCET	1591	15800	 	WX	56978738
144790	485	1994-05-06	VYDAJ	PREVOD NA UCET	1591	14751	 	WX	56978738
144791	485	1994-06-06	VYDAJ	PREVOD NA UCET	1591	13397	 	WX	56978738
144792	485	1994-07-06	VYDAJ	PREVOD NA UCET	1591	15140	 	WX	56978738
144793	485	1994-08-06	VYDAJ	PREVOD NA UCET	1591	59194	 	WX	56978738
144794	485	1994-09-06	VYDAJ	PREVOD NA UCET	1591	24240	 	WX	56978738
144795	485	1994-10-06	VYDAJ	PREVOD NA UCET	1591	31601	 	WX	56978738
144796	485	1994-11-06	VYDAJ	PREVOD NA UCET	1591	24818	 	WX	56978738
144797	485	1994-12-06	VYDAJ	PREVOD NA UCET	1591	44995	 	WX	56978738
144798	485	1995-01-06	VYDAJ	PREVOD NA UCET	1591	24520	 	WX	56978738
144799	485	1995-02-06	VYDAJ	PREVOD NA UCET	1591	22009	 	WX	56978738
144800	485	1995-03-06	VYDAJ	PREVOD NA UCET	1591	20192	 	WX	56978738
144801	485	1995-04-06	VYDAJ	PREVOD NA UCET	1591	28929	 	WX	56978738
144802	485	1995-05-06	VYDAJ	PREVOD NA UCET	1591	22336	 	WX	56978738
144803	485	1995-06-06	VYDAJ	PREVOD NA UCET	1591	21722	 	WX	56978738
144804	485	1995-07-06	VYDAJ	PREVOD NA UCET	1591	23009	 	WX	56978738
144805	485	1995-08-06	VYDAJ	PREVOD NA UCET	1591	23400	 	WX	56978738
144806	485	1995-09-06	VYDAJ	PREVOD NA UCET	1591	21793	 	WX	56978738
144807	485	1995-10-06	VYDAJ	PREVOD NA UCET	1591	22482	 	WX	56978738
144808	485	1995-11-06	VYDAJ	PREVOD NA UCET	1591	23876	 	WX	56978738
144809	485	1995-12-06	VYDAJ	PREVOD NA UCET	1591	24977	 	WX	56978738
144810	485	1996-01-06	VYDAJ	PREVOD NA UCET	1591	56773	 	WX	56978738
144811	485	1996-02-06	VYDAJ	PREVOD NA UCET	1591	33119	 	WX	56978738
144812	485	1996-03-06	VYDAJ	PREVOD NA UCET	1591	85360	 	WX	56978738
144813	485	1996-04-06	VYDAJ	PREVOD NA UCET	1591	52811	 	WX	56978738
144814	485	1996-05-06	VYDAJ	PREVOD NA UCET	1591	88386	 	WX	56978738
144815	485	1996-06-06	VYDAJ	PREVOD NA UCET	1591	82369	 	WX	56978738
144816	485	1996-07-06	VYDAJ	PREVOD NA UCET	1591	56840	 	WX	56978738
144817	485	1996-08-06	VYDAJ	PREVOD NA UCET	1591	37801	 	WX	56978738
144818	485	1996-09-06	VYDAJ	PREVOD NA UCET	1591	93512	 	WX	56978738
144819	485	1996-10-06	VYDAJ	PREVOD NA UCET	1591	69972	 	WX	56978738
144820	485	1996-11-06	VYDAJ	PREVOD NA UCET	1591	48608	 	WX	56978738
144821	485	1996-12-06	VYDAJ	PREVOD NA UCET	1591	45706	 	WX	56978738
144822	485	1997-01-06	VYDAJ	PREVOD NA UCET	1591	45731	 	WX	56978738
144823	485	1997-02-06	VYDAJ	PREVOD NA UCET	1591	23706	 	WX	56978738
144824	485	1997-03-06	VYDAJ	PREVOD NA UCET	1591	24237	 	WX	56978738
144825	485	1997-04-06	VYDAJ	PREVOD NA UCET	1591	25738	 	WX	56978738
144826	485	1997-05-06	VYDAJ	PREVOD NA UCET	1591	45061	 	WX	56978738
144827	485	1997-06-06	VYDAJ	PREVOD NA UCET	1591	75738	 	WX	56978738
144828	485	1997-07-06	VYDAJ	PREVOD NA UCET	1591	71021	 	WX	56978738
144829	485	1997-08-06	VYDAJ	PREVOD NA UCET	1591	56630	 	WX	56978738
144830	485	1997-09-06	VYDAJ	PREVOD NA UCET	1591	38502	 	WX	56978738
144831	485	1997-10-06	VYDAJ	PREVOD NA UCET	1591	53877	 	WX	56978738
144832	485	1997-11-06	VYDAJ	PREVOD NA UCET	1591	43497	 	WX	56978738
144833	485	1997-12-06	VYDAJ	PREVOD NA UCET	1591	98847	 	WX	56978738
144834	485	1998-01-06	VYDAJ	PREVOD NA UCET	1591	70225	 	WX	56978738
144835	485	1998-02-06	VYDAJ	PREVOD NA UCET	1591	34338	 	WX	56978738
144836	485	1998-03-06	VYDAJ	PREVOD NA UCET	1591	59737	 	WX	56978738
144837	485	1998-04-06	VYDAJ	PREVOD NA UCET	1591	29768	 	WX	56978738
144838	485	1998-05-06	VYDAJ	PREVOD NA UCET	1591	56848	 	WX	56978738
144839	485	1998-06-06	VYDAJ	PREVOD NA UCET	1591	93080	 	WX	56978738
144840	485	1998-07-06	VYDAJ	PREVOD NA UCET	1591	78966	 	WX	56978738
144841	485	1998-08-06	VYDAJ	PREVOD NA UCET	1591	40579	 	WX	56978738
144842	485	1998-09-06	VYDAJ	PREVOD NA UCET	1591	52365	 	WX	56978738
144843	485	1998-10-06	VYDAJ	PREVOD NA UCET	1591	39875	 	WX	56978738
144844	485	1998-11-06	VYDAJ	PREVOD NA UCET	1591	74311	 	WX	56978738
144845	485	1998-12-06	VYDAJ	PREVOD NA UCET	1591	49055	 	WX	56978738
144848	485	1993-03-07	VYDAJ	PREVOD NA UCET	3572	46381	POJISTNE	AB	20747721
144849	485	1993-04-07	VYDAJ	PREVOD NA UCET	3572	43305	POJISTNE	AB	20747721
144850	485	1993-05-07	VYDAJ	PREVOD NA UCET	3572	46277	POJISTNE	AB	20747721
144851	485	1993-06-07	VYDAJ	PREVOD NA UCET	3572	25517	POJISTNE	AB	20747721
144852	485	1993-07-07	VYDAJ	PREVOD NA UCET	3572	39566	POJISTNE	AB	20747721
144853	485	1993-08-07	VYDAJ	PREVOD NA UCET	3572	51874	POJISTNE	AB	20747721
144854	485	1993-09-07	VYDAJ	PREVOD NA UCET	3572	32908	POJISTNE	AB	20747721
144855	485	1993-10-07	VYDAJ	PREVOD NA UCET	3572	46476	POJISTNE	AB	20747721
144856	485	1993-11-07	VYDAJ	PREVOD NA UCET	3572	40103	POJISTNE	AB	20747721
144857	485	1993-12-07	VYDAJ	PREVOD NA UCET	3572	55699	POJISTNE	AB	20747721
144858	485	1994-01-07	VYDAJ	PREVOD NA UCET	3572	55389	POJISTNE	AB	20747721
144859	485	1994-02-07	VYDAJ	PREVOD NA UCET	3572	21880	POJISTNE	AB	20747721
144860	485	1994-03-07	VYDAJ	PREVOD NA UCET	3572	14569	POJISTNE	AB	20747721
144861	485	1994-04-07	VYDAJ	PREVOD NA UCET	3572	12228	POJISTNE	AB	20747721
144862	485	1994-05-07	VYDAJ	PREVOD NA UCET	3572	11179	POJISTNE	AB	20747721
144863	485	1994-06-07	VYDAJ	PREVOD NA UCET	3572	9825	POJISTNE	AB	20747721
144864	485	1994-07-07	VYDAJ	PREVOD NA UCET	3572	11568	POJISTNE	AB	20747721
144865	485	1994-08-07	VYDAJ	PREVOD NA UCET	3572	55622	POJISTNE	AB	20747721
144866	485	1994-09-07	VYDAJ	PREVOD NA UCET	3572	20668	POJISTNE	AB	20747721
144867	485	1994-10-07	VYDAJ	PREVOD NA UCET	3572	28029	POJISTNE	AB	20747721
144868	485	1994-11-07	VYDAJ	PREVOD NA UCET	3572	21246	POJISTNE	AB	20747721
144869	485	1994-12-07	VYDAJ	PREVOD NA UCET	3572	41423	POJISTNE	AB	20747721
144870	485	1995-01-07	VYDAJ	PREVOD NA UCET	3572	19448	POJISTNE	AB	20747721
144871	485	1995-02-07	VYDAJ	PREVOD NA UCET	3572	18437	POJISTNE	AB	20747721
144872	485	1995-03-07	VYDAJ	PREVOD NA UCET	3572	16620	POJISTNE	AB	20747721
144873	485	1995-04-07	VYDAJ	PREVOD NA UCET	3572	25357	POJISTNE	AB	20747721
144874	485	1995-05-07	VYDAJ	PREVOD NA UCET	3572	18764	POJISTNE	AB	20747721
144875	485	1995-06-07	VYDAJ	PREVOD NA UCET	3572	18150	POJISTNE	AB	20747721
144876	485	1995-07-07	VYDAJ	PREVOD NA UCET	3572	19437	POJISTNE	AB	20747721
144877	485	1995-08-07	VYDAJ	PREVOD NA UCET	3572	19828	POJISTNE	AB	20747721
144878	485	1995-09-07	VYDAJ	PREVOD NA UCET	3572	18221	POJISTNE	AB	20747721
144879	485	1995-10-07	VYDAJ	PREVOD NA UCET	3572	18910	POJISTNE	AB	20747721
144880	485	1995-11-07	VYDAJ	PREVOD NA UCET	3572	20304	POJISTNE	AB	20747721
144881	485	1995-12-07	VYDAJ	PREVOD NA UCET	3572	21405	POJISTNE	AB	20747721
144882	485	1996-01-07	VYDAJ	PREVOD NA UCET	3572	53201	POJISTNE	AB	20747721
144883	485	1996-02-07	VYDAJ	PREVOD NA UCET	3572	29547	POJISTNE	AB	20747721
144884	485	1996-03-07	VYDAJ	PREVOD NA UCET	3572	81788	POJISTNE	AB	20747721
144885	485	1996-04-07	VYDAJ	PREVOD NA UCET	3572	49239	POJISTNE	AB	20747721
144886	485	1996-05-07	VYDAJ	PREVOD NA UCET	3572	84814	POJISTNE	AB	20747721
144887	485	1996-06-07	VYDAJ	PREVOD NA UCET	3572	98605	POJISTNE	AB	20747721
144888	485	1996-07-07	VYDAJ	PREVOD NA UCET	3572	53268	POJISTNE	AB	20747721
144889	485	1996-08-07	VYDAJ	PREVOD NA UCET	3572	34229	POJISTNE	AB	20747721
144890	485	1996-09-07	VYDAJ	PREVOD NA UCET	3572	89940	POJISTNE	AB	20747721
144891	485	1996-10-07	VYDAJ	PREVOD NA UCET	3572	66400	POJISTNE	AB	20747721
144892	485	1996-11-07	VYDAJ	PREVOD NA UCET	3572	45036	POJISTNE	AB	20747721
144893	485	1996-12-07	VYDAJ	PREVOD NA UCET	3572	42134	POJISTNE	AB	20747721
144894	485	1997-01-07	VYDAJ	PREVOD NA UCET	3572	30171	POJISTNE	AB	20747721
144895	485	1997-02-07	VYDAJ	PREVOD NA UCET	3572	20134	POJISTNE	AB	20747721
144896	485	1997-03-07	VYDAJ	PREVOD NA UCET	3572	20665	POJISTNE	AB	20747721
144897	485	1997-04-07	VYDAJ	PREVOD NA UCET	3572	22166	POJISTNE	AB	20747721
144898	485	1997-05-07	VYDAJ	PREVOD NA UCET	3572	41489	POJISTNE	AB	20747721
144899	485	1997-06-07	VYDAJ	PREVOD NA UCET	3572	72166	POJISTNE	AB	20747721
144900	485	1997-07-07	VYDAJ	PREVOD NA UCET	3572	67449	POJISTNE	AB	20747721
144901	485	1997-08-07	VYDAJ	PREVOD NA UCET	3572	77731	POJISTNE	AB	20747721
144902	485	1997-09-07	VYDAJ	PREVOD NA UCET	3572	34930	POJISTNE	AB	20747721
144903	485	1997-10-07	VYDAJ	PREVOD NA UCET	3572	50305	POJISTNE	AB	20747721
144904	485	1997-11-07	VYDAJ	PREVOD NA UCET	3572	39925	POJISTNE	AB	20747721
144905	485	1997-12-07	VYDAJ	PREVOD NA UCET	3572	95275	POJISTNE	AB	20747721
144906	485	1998-01-07	VYDAJ	PREVOD NA UCET	3572	66653	POJISTNE	AB	20747721
144907	485	1998-02-07	VYDAJ	PREVOD NA UCET	3572	41966	POJISTNE	AB	20747721
144908	485	1998-03-07	VYDAJ	PREVOD NA UCET	3572	56165	POJISTNE	AB	20747721
144909	485	1998-04-07	VYDAJ	PREVOD NA UCET	3572	26196	POJISTNE	AB	20747721
144910	485	1998-05-07	VYDAJ	PREVOD NA UCET	3572	53276	POJISTNE	AB	20747721
144911	485	1998-06-07	VYDAJ	PREVOD NA UCET	3572	65408	POJISTNE	AB	20747721
144912	485	1998-07-07	VYDAJ	PREVOD NA UCET	3572	75394	POJISTNE	AB	20747721
144913	485	1998-08-07	VYDAJ	PREVOD NA UCET	3572	37007	POJISTNE	AB	20747721
144914	485	1998-09-07	VYDAJ	PREVOD NA UCET	3572	48793	POJISTNE	AB	20747721
144915	485	1998-10-07	VYDAJ	PREVOD NA UCET	3572	36303	POJISTNE	AB	20747721
144916	485	1998-11-07	VYDAJ	PREVOD NA UCET	3572	70739	POJISTNE	AB	20747721
144917	485	1998-12-07	VYDAJ	PREVOD NA UCET	3572	45483	POJISTNE	AB	20747721
144918	485	1993-03-26	VYBER	VYBER	5166	88603	\N	\N	\N
144919	485	1993-03-31	VYBER	VYBER	19168	69668	\N	\N	\N
144920	485	1993-05-23	VYBER	VYBER	9007	40902	\N	\N	\N
144921	485	1993-04-17	VYBER	VYBER	14491	21393	\N	\N	\N
144922	485	1993-05-16	VYBER	VYBER	4661	34195	\N	\N	\N
144924	485	1994-12-13	VYBER	VYBER	6482	27520	\N	\N	\N
144925	485	1994-01-25	VYBER	VYBER	4393	28060	\N	\N	\N
144926	485	1994-08-21	VYBER	VYBER	21719	26482	\N	\N	\N
144930	485	1994-12-22	VYBER	VYBER	5241	22279	\N	\N	\N
144931	485	1994-01-18	VYBER	VYBER	6515	36653	\N	\N	\N
144945	485	1996-09-30	VYBER	VYBER	12971	50940	\N	\N	\N
144947	485	1996-11-29	VYBER	VYBER	13989	47151	\N	\N	\N
144948	485	1996-08-23	VYBER	VYBER	11173	25135	\N	\N	\N
144949	485	1996-03-15	VYBER	VYBER	18725	55642	\N	\N	\N
144950	485	1996-05-12	VYBER	VYBER	3182	59811	\N	\N	\N
144951	485	1996-08-02	VYBER	VYBER	20263	39392	\N	\N	\N
144952	485	1996-01-31	VYBER	VYBER	11150	34810	\N	\N	\N
144953	485	1997-02-02	VYBER	VYBER	12379	38884	\N	\N	\N
144954	485	1997-08-29	VYBER	VYBER	11542	39952	\N	\N	\N
144955	485	1997-01-07	VYBER	VYBER	11988	33743	\N	\N	\N
144956	485	1997-08-19	VYBER	VYBER	7316	51494	\N	\N	\N
144957	485	1997-02-06	VYBER	VYBER	13587	25297	\N	\N	\N
144958	485	1997-05-05	VYBER	VYBER	10398	46652	\N	\N	\N
144961	485	1997-10-05	VYBER	VYBER	16651	55468	\N	\N	\N
144963	485	1998-03-15	VYBER	VYBER	16155	31289	\N	\N	\N
144964	485	1998-11-21	VYBER	VYBER	12260	90996	\N	\N	\N
144966	485	1998-05-25	VYBER	VYBER	17912	65245	\N	\N	\N
144967	485	1998-05-24	VYBER	VYBER	12725	49506	\N	\N	\N
144968	485	1998-07-30	VYBER	VYBER	4858	32715	\N	\N	\N
144969	485	1998-05-25	VYBER	VYBER	18918	46327	\N	\N	\N
144970	485	1998-11-23	VYBER	VYBER	23726	67270	\N	\N	\N
144975	485	1996-06-17	VYDAJ	VYBER	24000	52484	\N	\N	\N
144977	485	1998-06-23	VYDAJ	VYBER	24000	33987	\N	\N	\N
144978	485	1993-12-15	VYDAJ	VYBER	1500	46778	\N	\N	\N
144981	485	1996-12-29	VYDAJ	VYBER	4500	55010	\N	\N	\N
144982	485	1997-12-25	VYDAJ	VYBER	5700	81461	\N	\N	\N
144983	485	1998-12-02	VYDAJ	VYBER	6000	61546	\N	\N	\N
144990	485	1994-01-27	VYDAJ	VYBER	3900	24160	\N	\N	\N
144991	485	1994-01-04	VYDAJ	VYBER	4200	60552	\N	\N	\N
144993	485	1994-01-18	VYDAJ	VYBER	4200	32453	\N	\N	\N
144994	485	1994-01-08	VYDAJ	VYBER	4800	43168	\N	\N	\N
144999	485	1995-01-06	VYDAJ	VYBER	1500	23020	\N	\N	\N
145002	485	1996-01-19	VYDAJ	VYBER	6300	52611	\N	\N	\N
145003	485	1996-01-29	VYDAJ	VYBER	6900	45711	\N	\N	\N
145004	485	1996-01-11	VYDAJ	VYBER	3000	74111	\N	\N	\N
145005	485	1996-01-16	VYDAJ	VYBER	4500	69611	\N	\N	\N
145006	485	1996-01-03	VYDAJ	VYBER	8700	58364	\N	\N	\N
145007	485	1996-01-09	VYDAJ	VYBER	5400	40380	\N	\N	\N
145008	485	1997-01-08	VYDAJ	VYBER	5100	36085	\N	\N	\N
145010	485	1997-01-26	VYDAJ	VYBER	8400	57443	\N	\N	\N
145011	485	1997-01-30	VYDAJ	VYBER	6300	51143	\N	\N	\N
145012	485	1997-01-17	VYDAJ	VYBER	5100	65843	\N	\N	\N
145013	485	1997-01-04	VYDAJ	VYBER	7800	47322	\N	\N	\N
145014	485	1998-01-18	VYDAJ	VYBER	5400	37332	\N	\N	\N
145015	485	1998-01-03	VYDAJ	VYBER	6300	71816	\N	\N	\N
145016	485	1998-01-12	VYDAJ	VYBER	6300	42732	\N	\N	\N
145017	485	1998-01-29	VYDAJ	VYBER	1500	35832	\N	\N	\N
145018	485	1998-01-01	VYDAJ	VYBER	3600	78116	\N	\N	\N
145019	485	1998-01-09	VYDAJ	VYBER	6900	49032	\N	\N	\N
145020	485	1993-08-24	VYDAJ	VYBER	4500	54828	\N	\N	\N
145021	485	1993-06-22	VYDAJ	VYBER	14400	40518	\N	\N	\N
145022	485	1993-03-04	VYDAJ	VYBER	8100	76844	\N	\N	\N
145023	485	1993-06-26	VYDAJ	VYBER	5100	35418	\N	\N	\N
145024	485	1993-05-22	VYDAJ	VYBER	1800	49909	\N	\N	\N
145025	485	1993-07-28	VYDAJ	VYBER	8400	86825	\N	\N	\N
145037	485	1996-05-18	VYDAJ	VYBER	7800	59745	\N	\N	\N
145038	485	1996-11-14	VYDAJ	VYBER	9900	61140	\N	\N	\N
145039	485	1996-06-30	VYDAJ	VYBER	3600	58531	\N	\N	\N
145040	485	1996-07-24	VYDAJ	VYBER	7500	36647	\N	\N	\N
145041	485	1996-03-17	VYDAJ	VYBER	5700	70922	\N	\N	\N
145042	485	1996-08-07	VYDAJ	VYBER	1800	32429	\N	\N	\N
145043	485	1996-05-11	VYDAJ	VYBER	14400	62993	\N	\N	\N
145044	485	1996-05-21	VYDAJ	VYBER	10500	49245	\N	\N	\N
145045	485	1997-04-01	VYDAJ	VYBER	10800	27329	\N	\N	\N
145046	485	1997-09-17	VYDAJ	VYBER	11400	27009	\N	\N	\N
145048	485	1997-06-14	VYDAJ	VYBER	3000	68829	\N	\N	\N
145049	485	1997-12-23	VYDAJ	VYBER	10800	87161	\N	\N	\N
145050	485	1998-04-27	VYDAJ	VYBER	4200	58332	\N	\N	\N
145052	485	1998-06-26	VYDAJ	VYBER	3300	30687	\N	\N	\N
145053	485	1998-07-08	VYDAJ	VYBER	14400	37573	\N	\N	\N
145054	485	1998-04-14	VYDAJ	VYBER	3600	62532	\N	\N	\N
145058	485	1993-03-31	VYDAJ	VYBER	100	69568	SLUZBY	\N	\N
145059	485	1993-04-30	VYDAJ	VYBER	100	21440	SLUZBY	\N	\N
145060	485	1993-05-31	VYDAJ	VYBER	100	40980	SLUZBY	\N	\N
145061	485	1993-06-30	VYDAJ	VYBER	100	62529	SLUZBY	\N	\N
145062	485	1993-07-31	VYDAJ	VYBER	100	87037	SLUZBY	\N	\N
145063	485	1993-08-31	VYDAJ	VYBER	100	54971	SLUZBY	\N	\N
145064	485	1993-09-30	VYDAJ	VYBER	100	79439	SLUZBY	\N	\N
145065	485	1993-10-31	VYDAJ	VYBER	100	45266	SLUZBY	\N	\N
145066	485	1993-11-30	VYDAJ	VYBER	100	32743	SLUZBY	\N	\N
145067	485	1993-12-31	VYDAJ	VYBER	100	64752	SLUZBY	\N	\N
145068	485	1994-01-31	VYDAJ	VYBER	100	27043	SLUZBY	\N	\N
145069	485	1994-02-28	VYDAJ	VYBER	100	19732	SLUZBY	\N	\N
145070	485	1994-03-31	VYDAJ	VYBER	100	17391	SLUZBY	\N	\N
145071	485	1994-04-30	VYDAJ	VYBER	100	16342	SLUZBY	\N	\N
145072	485	1994-05-31	VYDAJ	VYBER	100	14988	SLUZBY	\N	\N
145073	485	1994-06-30	VYDAJ	VYBER	100	16731	SLUZBY	\N	\N
145074	485	1994-07-31	VYDAJ	VYBER	100	16582	SLUZBY	\N	\N
145075	485	1994-08-31	VYDAJ	VYBER	100	25831	SLUZBY	\N	\N
145076	485	1994-09-30	VYDAJ	VYBER	100	33192	SLUZBY	\N	\N
145077	485	1994-10-31	VYDAJ	VYBER	100	26409	SLUZBY	\N	\N
145078	485	1994-11-30	VYDAJ	VYBER	100	46586	SLUZBY	\N	\N
145079	485	1994-12-31	VYDAJ	VYBER	100	26111	SLUZBY	\N	\N
145080	485	1995-01-31	VYDAJ	VYBER	100	23600	SLUZBY	\N	\N
145081	485	1995-02-28	VYDAJ	VYBER	100	21783	SLUZBY	\N	\N
145082	485	1995-03-31	VYDAJ	VYBER	100	30520	SLUZBY	\N	\N
145083	485	1995-04-30	VYDAJ	VYBER	100	23927	SLUZBY	\N	\N
145084	485	1995-05-31	VYDAJ	VYBER	100	23313	SLUZBY	\N	\N
145085	485	1995-06-30	VYDAJ	VYBER	100	24600	SLUZBY	\N	\N
145086	485	1995-07-31	VYDAJ	VYBER	100	24991	SLUZBY	\N	\N
145087	485	1995-08-31	VYDAJ	VYBER	100	23384	SLUZBY	\N	\N
145088	485	1995-09-30	VYDAJ	VYBER	100	24073	SLUZBY	\N	\N
145089	485	1995-10-31	VYDAJ	VYBER	100	25467	SLUZBY	\N	\N
145090	485	1995-11-30	VYDAJ	VYBER	100	26568	SLUZBY	\N	\N
145091	485	1995-12-31	VYDAJ	VYBER	100	67064	SLUZBY	\N	\N
145092	485	1996-01-31	VYDAJ	VYBER	100	34710	SLUZBY	\N	\N
145093	485	1996-02-29	VYDAJ	VYBER	100	86951	SLUZBY	\N	\N
145094	485	1996-03-31	VYDAJ	VYBER	100	54402	SLUZBY	\N	\N
145095	485	1996-04-30	VYDAJ	VYBER	100	89977	SLUZBY	\N	\N
145096	485	1996-05-31	VYDAJ	VYBER	100	83960	SLUZBY	\N	\N
145097	485	1996-06-30	VYDAJ	VYBER	100	58431	SLUZBY	\N	\N
145098	485	1996-07-31	VYDAJ	VYBER	100	59655	SLUZBY	\N	\N
145099	485	1996-08-31	VYDAJ	VYBER	100	71077	SLUZBY	\N	\N
145100	485	1996-09-30	VYDAJ	VYBER	100	50840	SLUZBY	\N	\N
145101	485	1996-10-31	VYDAJ	VYBER	100	50199	SLUZBY	\N	\N
145102	485	1996-11-30	VYDAJ	VYBER	100	47297	SLUZBY	\N	\N
145103	485	1996-12-31	VYDAJ	VYBER	100	55122	SLUZBY	\N	\N
145104	485	1997-01-31	VYDAJ	VYBER	100	51263	SLUZBY	\N	\N
145105	485	1997-02-28	VYDAJ	VYBER	100	25828	SLUZBY	\N	\N
145106	485	1997-03-31	VYDAJ	VYBER	100	38129	SLUZBY	\N	\N
145107	485	1997-04-30	VYDAJ	VYBER	100	30261	SLUZBY	\N	\N
145108	485	1997-05-31	VYDAJ	VYBER	100	77329	SLUZBY	\N	\N
145109	485	1997-06-30	VYDAJ	VYBER	100	72612	SLUZBY	\N	\N
145110	485	1997-07-31	VYDAJ	VYBER	100	65775	SLUZBY	\N	\N
145111	485	1997-08-31	VYDAJ	VYBER	100	40093	SLUZBY	\N	\N
145112	485	1997-09-30	VYDAJ	VYBER	100	72119	SLUZBY	\N	\N
145113	485	1997-10-31	VYDAJ	VYBER	100	45088	SLUZBY	\N	\N
145114	485	1997-11-30	VYDAJ	VYBER	100	100438	SLUZBY	\N	\N
145115	485	1997-12-31	VYDAJ	VYBER	100	81716	SLUZBY	\N	\N
145116	485	1998-01-31	VYDAJ	VYBER	100	35929	SLUZBY	\N	\N
145117	485	1998-02-28	VYDAJ	VYBER	100	61328	SLUZBY	\N	\N
145118	485	1998-03-31	VYDAJ	VYBER	100	31359	SLUZBY	\N	\N
145119	485	1998-04-30	VYDAJ	VYBER	100	58439	SLUZBY	\N	\N
145120	485	1998-05-31	VYDAJ	VYBER	100	46458	SLUZBY	\N	\N
145121	485	1998-06-30	VYDAJ	VYBER	100	30793	SLUZBY	\N	\N
145122	485	1998-07-31	VYDAJ	VYBER	100	32770	SLUZBY	\N	\N
145123	485	1998-08-31	VYDAJ	VYBER	100	80708	SLUZBY	\N	\N
145124	485	1998-09-30	VYDAJ	VYBER	100	41466	SLUZBY	\N	\N
145125	485	1998-10-31	VYDAJ	VYBER	100	108102	SLUZBY	\N	\N
145126	485	1998-11-30	VYDAJ	VYBER	100	67546	SLUZBY	\N	\N
145127	485	1993-02-03	VYDAJ	VYBER	25300	46178	\N	\N	\N
145128	485	1993-03-05	VYDAJ	VYBER	25300	51544	\N	\N	\N
145129	485	1993-04-04	VYDAJ	VYBER	21100	48468	\N	\N	\N
145130	485	1993-05-04	PRIJEM	VKLAD	500	21940	\N	\N	\N
145131	485	1993-05-19	VYDAJ	VYBER	58900	51709	\N	\N	\N
145132	485	1993-06-03	VYDAJ	VYBER	10300	30680	\N	\N	\N
145133	485	1993-07-03	VYDAJ	VYBER	17800	44729	\N	\N	\N
145134	485	1993-08-02	VYDAJ	VYBER	30000	57037	\N	\N	\N
145135	485	1993-09-01	VYDAJ	VYBER	16900	38071	\N	\N	\N
145136	485	1993-09-30	VYDAJ	VYBER	35800	79539	\N	\N	\N
145137	485	1993-10-01	VYDAJ	VYBER	27800	51639	\N	\N	\N
145138	485	1993-10-30	VYDAJ	VYBER	51400	62011	\N	\N	\N
145139	485	1993-10-31	VYDAJ	VYBER	16900	45366	\N	\N	\N
145140	485	1993-11-30	VYDAJ	VYBER	1600	31143	\N	\N	\N
145141	485	1993-12-30	VYDAJ	VYBER	35000	64605	\N	\N	\N
145142	485	1994-01-29	PRIJEM	VKLAD	2800	26960	\N	\N	\N
145143	485	1994-02-28	PRIJEM	VKLAD	5300	19759	\N	\N	\N
145144	485	1994-03-30	PRIJEM	VKLAD	10300	17448	\N	\N	\N
145145	485	1994-04-29	PRIJEM	VKLAD	11600	16407	\N	\N	\N
145146	485	1994-05-29	PRIJEM	VKLAD	11300	15058	\N	\N	\N
145147	485	1994-06-28	PRIJEM	VKLAD	14400	16804	\N	\N	\N
145148	485	1994-07-28	PRIJEM	VKLAD	12500	16647	\N	\N	\N
145149	485	1994-08-27	VYDAJ	VYBER	700	25782	\N	\N	\N
145150	485	1994-09-26	VYDAJ	VYBER	8000	33143	\N	\N	\N
145151	485	1994-10-26	PRIJEM	VKLAD	5800	26408	\N	\N	\N
145152	485	1994-11-25	VYDAJ	VYBER	11100	46559	\N	\N	\N
145153	485	1994-12-25	PRIJEM	VKLAD	3800	26079	\N	\N	\N
145154	485	1995-01-24	PRIJEM	VKLAD	11600	23627	\N	\N	\N
145155	485	1995-02-23	PRIJEM	VKLAD	10800	21816	\N	\N	\N
145156	485	1995-03-25	PRIJEM	VKLAD	13900	23099	\N	\N	\N
145157	485	1995-04-24	PRIJEM	VKLAD	6000	23936	\N	\N	\N
145158	485	1995-05-24	PRIJEM	VKLAD	12000	23343	\N	\N	\N
145159	485	1995-06-23	PRIJEM	VKLAD	13900	24629	\N	\N	\N
145160	485	1995-07-23	PRIJEM	VKLAD	13000	25016	\N	\N	\N
145161	485	1995-08-22	PRIJEM	VKLAD	11000	23407	\N	\N	\N
145162	485	1995-09-21	PRIJEM	VKLAD	13300	24100	\N	\N	\N
145163	485	1995-10-21	PRIJEM	VKLAD	14000	25489	\N	\N	\N
145164	485	1995-11-20	PRIJEM	VKLAD	13700	26583	\N	\N	\N
145165	485	1995-12-20	PRIJEM	VKLAD	10400	24384	\N	\N	\N
145166	485	1996-01-19	VYDAJ	VYBER	10700	58911	\N	\N	\N
145167	485	1996-02-18	PRIJEM	VKLAD	12300	34426	\N	\N	\N
145168	485	1996-02-26	VYDAJ	VYBER	25400	111072	\N	\N	\N
145169	485	1996-02-29	VYDAJ	VYBER	24200	87051	\N	\N	\N
145170	485	1996-03-19	VYDAJ	VYBER	16700	54222	\N	\N	\N
145171	485	1996-04-18	VYDAJ	VYBER	34500	70887	\N	\N	\N
145172	485	1996-05-15	VYDAJ	VYBER	27800	90645	\N	\N	\N
145173	485	1996-05-18	VYDAJ	VYBER	23100	67545	\N	\N	\N
145174	485	1996-06-17	VYDAJ	VYBER	14700	76484	\N	\N	\N
145175	485	1996-07-17	VYDAJ	VYBER	1700	44147	\N	\N	\N
145176	485	1996-08-16	PRIJEM	VKLAD	11300	36308	\N	\N	\N
145177	485	1996-09-15	VYDAJ	VYBER	18900	63619	\N	\N	\N
145178	485	1996-10-15	VYDAJ	VYBER	8900	50079	\N	\N	\N
145179	485	1996-11-12	VYDAJ	VYBER	25500	90140	\N	\N	\N
145180	485	1996-11-14	VYDAJ	VYBER	19100	71040	\N	\N	\N
145181	485	1996-12-14	VYDAJ	VYBER	12400	59510	\N	\N	\N
145182	485	1997-01-13	PRIJEM	VKLAD	9300	37964	\N	\N	\N
145183	485	1997-02-12	PRIJEM	VKLAD	13100	25813	\N	\N	\N
145184	485	1997-03-14	PRIJEM	VKLAD	12200	25444	\N	\N	\N
145185	485	1997-04-13	PRIJEM	VKLAD	15500	30245	\N	\N	\N
145186	485	1997-05-13	PRIJEM	VKLAD	4100	38168	\N	\N	\N
145187	485	1997-06-12	VYDAJ	VYBER	22300	71829	\N	\N	\N
145188	485	1997-06-15	VYDAJ	VYBER	16800	89615	\N	\N	\N
145189	485	1997-06-28	VYDAJ	VYBER	56600	72371	\N	\N	\N
145190	485	1997-07-12	VYDAJ	VYBER	3300	56728	\N	\N	\N
145191	485	1997-08-06	VYDAJ	VYBER	33900	120221	\N	\N	\N
145192	485	1997-08-06	VYDAJ	VYBER	62000	58221	\N	\N	\N
145193	485	1997-08-11	VYDAJ	VYBER	11500	58810	\N	\N	\N
145194	485	1997-09-10	PRIJEM	VKLAD	10900	38409	\N	\N	\N
145195	485	1997-10-10	PRIJEM	VKLAD	2100	44984	\N	\N	\N
145196	485	1997-11-09	PRIJEM	VKLAD	11800	44304	\N	\N	\N
145197	485	1997-12-09	VYDAJ	VYBER	19500	68354	\N	\N	\N
145198	485	1997-12-19	VYDAJ	VYBER	16700	97961	\N	\N	\N
145199	485	1998-01-08	VYDAJ	VYBER	3300	63353	\N	\N	\N
145200	485	1998-02-07	PRIJEM	VKLAD	11200	45538	\N	\N	\N
145201	485	1998-03-09	VYDAJ	VYBER	1300	47444	\N	\N	\N
145202	485	1998-04-08	PRIJEM	VKLAD	14200	40396	\N	\N	\N
145203	485	1998-05-08	VYDAJ	VYBER	3100	50176	\N	\N	\N
145204	485	1998-05-19	VYDAJ	VYBER	53500	62231	\N	\N	\N
145205	485	1998-06-07	VYDAJ	VYBER	24100	68980	\N	\N	\N
145206	485	1998-07-07	VYDAJ	VYBER	16000	59394	\N	\N	\N
145207	485	1998-08-06	PRIJEM	VKLAD	9400	42170	\N	\N	\N
145208	485	1998-09-05	VYDAJ	VYBER	63800	66556	\N	\N	\N
145209	485	1998-09-05	VYDAJ	VYBER	12600	53956	\N	\N	\N
145210	485	1998-11-04	VYDAJ	VYBER	32200	75902	\N	\N	\N
145211	485	1998-12-04	VYDAJ	VYBER	10900	50646	\N	\N	\N
145285	486	1995-11-21	PRIJEM	VKLAD	900	900	\N	\N	\N
145288	486	1996-04-17	PRIJEM	VKLAD	25257	57482	\N	\N	\N
145289	486	1996-01-24	PRIJEM	VKLAD	17045	39666	\N	\N	\N
145290	486	1997-04-14	PRIJEM	VKLAD	9900	39006	\N	\N	\N
145291	486	1997-05-01	PRIJEM	VKLAD	42448	78979	\N	\N	\N
145292	486	1998-12-15	PRIJEM	VKLAD	31082	102977	\N	\N	\N
145293	486	1998-11-12	PRIJEM	VKLAD	46073	93673	\N	\N	\N
145305	486	1995-12-14	PRIJEM	VKLAD	1900	2800	\N	\N	\N
145306	486	1996-01-13	PRIJEM	VKLAD	1900	16121	\N	\N	\N
145307	486	1996-02-16	PRIJEM	VKLAD	1900	41657	\N	\N	\N
145308	486	1996-03-17	PRIJEM	VKLAD	1900	33710	\N	\N	\N
145309	486	1996-04-17	PRIJEM	VKLAD	1900	32225	\N	\N	\N
145310	486	1996-05-13	PRIJEM	VKLAD	1900	44722	\N	\N	\N
145311	486	1996-06-15	PRIJEM	VKLAD	1900	36371	\N	\N	\N
145312	486	1996-07-13	PRIJEM	VKLAD	1900	31844	\N	\N	\N
145313	486	1996-08-17	PRIJEM	VKLAD	1900	32259	\N	\N	\N
145314	486	1996-09-16	PRIJEM	VKLAD	1900	32875	\N	\N	\N
145315	486	1996-10-14	PRIJEM	VKLAD	1900	30193	\N	\N	\N
145316	486	1996-11-17	PRIJEM	VKLAD	1900	30598	\N	\N	\N
145317	486	1996-12-15	PRIJEM	VKLAD	1900	32607	\N	\N	\N
145318	486	1997-01-15	PRIJEM	VKLAD	1900	34620	\N	\N	\N
145319	486	1997-02-13	PRIJEM	VKLAD	1900	24829	\N	\N	\N
145320	486	1997-03-16	PRIJEM	VKLAD	1900	29008	\N	\N	\N
145321	486	1997-04-15	PRIJEM	VKLAD	1900	36406	\N	\N	\N
145322	486	1997-05-15	PRIJEM	VKLAD	1900	59279	\N	\N	\N
145323	486	1997-06-14	PRIJEM	VKLAD	1900	54173	\N	\N	\N
145324	486	1997-07-17	PRIJEM	VKLAD	1900	35946	\N	\N	\N
145325	486	1997-08-13	PRIJEM	VKLAD	1900	40064	\N	\N	\N
145326	486	1997-09-17	PRIJEM	VKLAD	1900	45810	\N	\N	\N
145327	486	1997-10-16	PRIJEM	VKLAD	1900	53175	\N	\N	\N
145328	486	1997-11-16	PRIJEM	VKLAD	1900	51368	\N	\N	\N
145329	486	1997-12-14	PRIJEM	VKLAD	1900	51073	\N	\N	\N
145330	486	1998-01-15	PRIJEM	VKLAD	1900	51369	\N	\N	\N
145331	486	1998-02-14	PRIJEM	VKLAD	1900	43951	\N	\N	\N
145332	486	1998-03-13	PRIJEM	VKLAD	1900	49914	\N	\N	\N
145333	486	1998-04-15	PRIJEM	VKLAD	1900	55199	\N	\N	\N
145334	486	1998-05-14	PRIJEM	VKLAD	1900	57109	\N	\N	\N
145335	486	1998-06-15	PRIJEM	VKLAD	1900	57432	\N	\N	\N
145336	486	1998-07-14	PRIJEM	VKLAD	1900	52750	\N	\N	\N
145337	486	1998-08-17	PRIJEM	VKLAD	1900	57244	\N	\N	\N
145338	486	1998-09-17	PRIJEM	VKLAD	1900	54963	\N	\N	\N
145339	486	1998-10-14	PRIJEM	VKLAD	1900	54785	\N	\N	\N
145340	486	1998-11-15	PRIJEM	VKLAD	1900	95573	\N	\N	\N
145341	486	1998-12-16	PRIJEM	VKLAD	1900	104877	\N	\N	\N
145343	486	1996-06-16	VYDAJ	VYBER	4600	31771	\N	\N	\N
145344	486	1997-06-19	VYDAJ	VYBER	28700	25473	\N	\N	\N
145345	486	1998-06-26	VYDAJ	VYBER	12200	45232	\N	\N	\N
145348	486	1997-01-26	VYDAJ	VYBER	6300	22920	\N	\N	\N
145349	486	1998-01-22	VYDAJ	VYBER	8100	42669	\N	\N	\N
145351	486	1996-12-15	VYDAJ	VYBER KARTOU	2100	31307	\N	\N	0
145352	486	1997-12-22	VYDAJ	VYBER KARTOU	700	49673	\N	\N	0
145353	486	1998-12-05	VYDAJ	VYBER KARTOU	2000	92295	\N	\N	0
145366	486	1997-01-15	VYDAJ	VYBER KARTOU	1300	33320	\N	\N	0
145367	486	1997-01-27	VYDAJ	VYBER KARTOU	700	22220	\N	\N	0
145368	486	1997-01-24	VYDAJ	VYBER KARTOU	1300	29220	\N	\N	0
145369	486	1997-01-20	VYDAJ	VYBER KARTOU	1100	30520	\N	\N	0
145370	486	1997-01-27	VYDAJ	VYBER KARTOU	1200	21020	\N	\N	0
145371	486	1997-01-04	VYDAJ	VYBER KARTOU	1100	29420	\N	\N	0
145372	486	1998-01-25	VYDAJ	VYBER KARTOU	800	41469	\N	\N	0
145373	486	1998-01-14	VYDAJ	VYBER KARTOU	400	49469	\N	\N	0
145374	486	1998-01-11	VYDAJ	VYBER KARTOU	1200	49869	\N	\N	0
145375	486	1998-01-26	VYDAJ	VYBER KARTOU	900	38169	\N	\N	0
145376	486	1998-01-19	VYDAJ	VYBER KARTOU	600	50769	\N	\N	0
145377	486	1998-01-25	VYDAJ	VYBER KARTOU	400	42269	\N	\N	0
145382	486	1996-12-17	VYDAJ	VYBER KARTOU	900	30407	\N	\N	0
145383	486	1996-10-21	VYDAJ	VYBER KARTOU	2200	28693	\N	\N	0
145384	486	1996-07-12	VYDAJ	VYBER	2050	29944	\N	\N	\N
145385	486	1997-07-12	VYDAJ	VYBER KARTOU	600	25046	\N	\N	0
145386	486	1997-01-15	VYDAJ	VYBER KARTOU	1700	31620	\N	\N	0
145387	486	1997-12-07	VYDAJ	VYBER KARTOU	1400	50173	\N	\N	0
145388	486	1997-07-31	VYDAJ	VYBER KARTOU	500	35564	\N	\N	0
145389	486	1997-12-15	VYDAJ	VYBER KARTOU	700	50373	\N	\N	0
145390	486	1998-02-06	VYDAJ	VYBER KARTOU	1300	37051	\N	\N	0
145391	486	1998-11-28	VYDAJ	VYBER KARTOU	1600	93973	\N	\N	0
145392	486	1998-02-10	VYDAJ	VYBER KARTOU	800	42051	\N	\N	0
145393	486	1998-04-06	VYDAJ	VYBER KARTOU	600	49499	\N	\N	0
145394	486	1998-01-26	VYDAJ	VYBER KARTOU	2400	39069	\N	\N	0
145395	486	1998-08-04	VYDAJ	VYBER KARTOU	2100	50844	\N	\N	0
145411	486	1996-03-31	VYDAJ	VYBER	15	30325	SLUZBY	\N	\N
145412	486	1996-04-30	VYDAJ	VYBER	15	42822	SLUZBY	\N	\N
145413	486	1996-05-31	VYDAJ	VYBER	15	34471	SLUZBY	\N	\N
145414	486	1996-06-30	VYDAJ	VYBER	15	31994	SLUZBY	\N	\N
145415	486	1996-07-31	VYDAJ	VYBER	15	30359	SLUZBY	\N	\N
145416	486	1996-08-31	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
145417	486	1996-09-30	VYDAJ	VYBER	15	28293	SLUZBY	\N	\N
145418	486	1996-10-31	VYDAJ	VYBER	15	28798	SLUZBY	\N	\N
145419	486	1996-11-30	VYDAJ	VYBER	15	30707	SLUZBY	\N	\N
145420	486	1996-12-31	VYDAJ	VYBER	15	30520	SLUZBY	\N	\N
145421	486	1997-01-31	VYDAJ	VYBER	15	21129	SLUZBY	\N	\N
145422	486	1997-02-28	VYDAJ	VYBER	15	24908	SLUZBY	\N	\N
145423	486	1997-03-31	VYDAJ	VYBER	15	29106	SLUZBY	\N	\N
145424	486	1997-04-30	VYDAJ	VYBER	15	36531	SLUZBY	\N	\N
145425	486	1997-05-31	VYDAJ	VYBER	15	59473	SLUZBY	\N	\N
145426	486	1997-06-30	VYDAJ	VYBER	15	25646	SLUZBY	\N	\N
145427	486	1997-07-31	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
145428	486	1997-08-31	VYDAJ	VYBER	15	40210	SLUZBY	\N	\N
145429	486	1997-09-30	VYDAJ	VYBER	15	45975	SLUZBY	\N	\N
145430	486	1997-10-31	VYDAJ	VYBER	15	53368	SLUZBY	\N	\N
145431	486	1997-11-30	VYDAJ	VYBER	15	51573	SLUZBY	\N	\N
145432	486	1997-12-31	VYDAJ	VYBER	15	49869	SLUZBY	\N	\N
145433	486	1998-01-31	VYDAJ	VYBER	15	38351	SLUZBY	\N	\N
145434	486	1998-02-28	VYDAJ	VYBER	15	44114	SLUZBY	\N	\N
145435	486	1998-03-31	VYDAJ	VYBER	15	50099	SLUZBY	\N	\N
145436	486	1998-04-30	VYDAJ	VYBER	15	55409	SLUZBY	\N	\N
145437	486	1998-05-31	VYDAJ	VYBER	15	57332	SLUZBY	\N	\N
145438	486	1998-06-30	VYDAJ	VYBER	15	45450	SLUZBY	\N	\N
145439	486	1998-07-31	VYDAJ	VYBER	15	52944	SLUZBY	\N	\N
145440	486	1998-08-31	VYDAJ	VYBER	15	57463	SLUZBY	\N	\N
145441	486	1998-09-30	VYDAJ	VYBER	15	55185	SLUZBY	\N	\N
145442	486	1998-10-31	VYDAJ	VYBER	15	55000	SLUZBY	\N	\N
145443	486	1998-11-30	VYDAJ	VYBER	15	94295	SLUZBY	\N	\N
145444	486	1995-12-21	PRIJEM	VKLAD	11400	14200	\N	\N	\N
145445	486	1996-01-20	PRIJEM	VKLAD	6500	22621	\N	\N	\N
145446	486	1996-02-19	VYDAJ	VYBER	10000	31657	\N	\N	\N
145447	486	1996-03-20	VYDAJ	VYBER	3500	30210	\N	\N	\N
145448	486	1996-04-19	VYDAJ	VYBER	14800	42682	\N	\N	\N
145449	486	1996-05-19	VYDAJ	VYBER	10400	34322	\N	\N	\N
145450	486	1996-06-18	PRIJEM	VKLAD	100	31871	\N	\N	\N
145451	486	1996-07-18	VYDAJ	VYBER	1600	30244	\N	\N	\N
145452	486	1996-08-17	VYDAJ	VYBER	1400	30859	\N	\N	\N
145453	486	1996-09-16	VYDAJ	VYBER	4700	28175	\N	\N	\N
145454	486	1996-10-16	PRIJEM	VKLAD	700	30893	\N	\N	\N
145455	486	1996-11-15	VYDAJ	VYBER KARTOU	100	28698	\N	\N	0
145456	486	1996-12-15	PRIJEM	VKLAD	800	33407	\N	\N	\N
145457	486	1997-01-14	PRIJEM	VKLAD	3300	32720	\N	\N	\N
145458	486	1997-02-13	PRIJEM	VKLAD	1800	22929	\N	\N	\N
145459	486	1997-03-15	PRIJEM	VKLAD	2200	27108	\N	\N	\N
145460	486	1997-04-14	VYDAJ	VYBER	4500	34506	\N	\N	\N
145461	486	1997-05-14	VYDAJ	VYBER	21600	57379	\N	\N	\N
145462	486	1997-06-13	VYDAJ	VYBER	7200	52273	\N	\N	\N
145463	486	1997-07-13	PRIJEM	VKLAD	9000	34046	\N	\N	\N
145464	486	1997-08-12	PRIJEM	VKLAD	2600	38164	\N	\N	\N
145465	486	1997-09-11	PRIJEM	VKLAD	3700	43910	\N	\N	\N
145466	486	1997-10-11	PRIJEM	VKLAD	5300	51275	\N	\N	\N
145467	486	1997-11-10	VYDAJ	VYBER KARTOU	3900	49468	\N	\N	0
145468	486	1997-12-10	VYDAJ	VYBER KARTOU	1000	49173	\N	\N	0
145469	486	1998-01-09	PRIJEM	VKLAD	1200	51069	\N	\N	\N
145470	486	1998-02-08	PRIJEM	VKLAD	5800	42851	\N	\N	\N
145471	486	1998-03-10	PRIJEM	VKLAD	3900	48014	\N	\N	\N
145472	486	1998-04-09	PRIJEM	VKLAD	3800	53299	\N	\N	\N
145473	486	1998-05-09	VYDAJ	VYBER KARTOU	200	55209	\N	\N	0
145474	486	1998-06-08	VYDAJ	VYBER KARTOU	1800	55532	\N	\N	0
145475	486	1998-07-08	PRIJEM	VKLAD	5400	50850	\N	\N	\N
145476	486	1998-08-07	PRIJEM	VKLAD	4500	55344	\N	\N	\N
145477	486	1998-09-06	VYDAJ	VYBER	4400	53063	\N	\N	\N
145478	486	1998-10-06	VYDAJ	VYBER KARTOU	2300	52885	\N	\N	0
145479	486	1998-11-05	VYDAJ	VYBER	7400	47600	\N	\N	\N
145480	486	1998-12-05	VYDAJ	VYBER	20400	71895	\N	\N	\N
145518	487	1995-11-14	PRIJEM	VKLAD	900	900	\N	\N	\N
145530	487	1995-11-27	PRIJEM	VKLAD	20289	21189	\N	\N	\N
145535	487	1995-12-27	PRIJEM	VKLAD	30546	57043	\N	\N	\N
145538	487	1995-11-30	PRIJEM	VKLAD	11295	32484	\N	\N	\N
145544	487	1996-09-26	PRIJEM	VKLAD	39650	64338	\N	\N	\N
145545	487	1996-11-30	PRIJEM	VKLAD	11647	41872	\N	\N	\N
145546	487	1996-12-23	PRIJEM	VKLAD	41361	68386	\N	\N	\N
145547	487	1996-04-08	PRIJEM	VKLAD	31994	103075	\N	\N	\N
145548	487	1996-09-11	PRIJEM	VKLAD	43984	47972	\N	\N	\N
145549	487	1996-07-10	PRIJEM	VKLAD	6045	21406	\N	\N	\N
145550	487	1996-03-26	PRIJEM	VKLAD	39510	64581	\N	\N	\N
145551	487	1996-06-04	PRIJEM	VKLAD	47369	72972	\N	\N	\N
145552	487	1996-11-20	PRIJEM	VKLAD	20682	30112	\N	\N	\N
145553	487	1996-04-06	PRIJEM	VKLAD	6257	71081	\N	\N	\N
145554	487	1996-12-03	PRIJEM	VKLAD	40752	69709	\N	\N	\N
145555	487	1997-03-18	PRIJEM	VKLAD	6092	13950	\N	\N	\N
145556	487	1998-10-10	PRIJEM	VKLAD	10105	55007	\N	\N	\N
145557	487	1998-11-07	PRIJEM	VKLAD	25510	88867	\N	\N	\N
145558	487	1998-04-23	PRIJEM	VKLAD	6534	16347	\N	\N	\N
145559	487	1998-09-28	PRIJEM	VKLAD	14659	60763	\N	\N	\N
145560	487	1998-01-13	PRIJEM	VKLAD	10494	14191	\N	\N	\N
145561	487	1998-10-11	PRIJEM	VKLAD	19909	74916	\N	\N	\N
145562	487	1998-02-09	PRIJEM	VKLAD	9254	50177	\N	\N	\N
145563	487	1998-01-16	PRIJEM	VKLAD	22313	25820	\N	\N	\N
145564	487	1998-11-02	PRIJEM	VKLAD	17903	63357	\N	\N	\N
145565	487	1998-11-30	PRIJEM	VKLAD	28278	89478	\N	\N	\N
145566	487	1998-04-27	PRIJEM	VKLAD	9734	26081	\N	\N	\N
145567	487	1998-11-09	PRIJEM	VKLAD	28084	116951	\N	\N	\N
145568	487	1998-04-27	PRIJEM	VKLAD	37892	63973	\N	\N	\N
145569	487	1998-06-04	PRIJEM	VKLAD	10648	41981	\N	\N	\N
145570	487	1998-06-06	PRIJEM	VKLAD	8260	50241	\N	\N	\N
145571	487	1998-07-09	PRIJEM	VKLAD	34542	60167	\N	\N	\N
145572	487	1998-06-09	PRIJEM	VKLAD	48599	98840	\N	\N	\N
145573	487	1998-12-04	PRIJEM	VKLAD	40255	129719	\N	\N	\N
145574	487	1998-12-28	PRIJEM	VKLAD	33944	102765	\N	\N	\N
145575	487	1998-01-22	PRIJEM	VKLAD	33711	59531	\N	\N	\N
145576	487	1998-06-22	PRIJEM	VKLAD	23238	37294	\N	\N	\N
145577	487	1998-12-27	PRIJEM	VKLAD	11036	68821	\N	\N	\N
145578	487	1998-02-23	PRIJEM	VKLAD	32228	71721	\N	\N	\N
145579	487	1998-09-16	PRIJEM	VKLAD	29569	46104	\N	\N	\N
145595	487	1996-04-14	VYDAJ	PREVOD NA UCET	10684	53091	SIPO	GH	40831804
145596	487	1996-05-14	VYDAJ	PREVOD NA UCET	10684	25469	SIPO	GH	40831804
145597	487	1996-06-14	VYDAJ	PREVOD NA UCET	10684	15288	SIPO	GH	40831804
145598	487	1996-07-14	VYDAJ	PREVOD NA UCET	10684	9822	SIPO	GH	40831804
145599	487	1996-08-14	VYDAJ	PREVOD NA UCET	10684	3976	SIPO	GH	40831804
145600	487	1996-09-14	VYDAJ	PREVOD NA UCET	10684	37288	SIPO	GH	40831804
145601	487	1996-10-14	VYDAJ	PREVOD NA UCET	10684	27744	SIPO	GH	40831804
145602	487	1996-11-14	VYDAJ	PREVOD NA UCET	10684	9430	SIPO	GH	40831804
145603	487	1996-12-14	VYDAJ	PREVOD NA UCET	10684	31225	SIPO	GH	40831804
145604	487	1997-01-14	VYDAJ	PREVOD NA UCET	10684	32565	SIPO	GH	40831804
145605	487	1997-02-14	VYDAJ	PREVOD NA UCET	10684	7814	SIPO	GH	40831804
145607	487	1997-04-14	VYDAJ	PREVOD NA UCET	10684	5885	SIPO	GH	40831804
145608	487	1997-05-14	VYDAJ	PREVOD NA UCET	10684	2225	SIPO	GH	40831804
145611	487	1997-08-14	VYDAJ	PREVOD NA UCET	10684	830	SIPO	GH	40831804
145615	487	1997-12-14	VYDAJ	PREVOD NA UCET	10684	3701	SIPO	GH	40831804
145616	487	1998-01-14	VYDAJ	PREVOD NA UCET	10684	3507	SIPO	GH	40831804
145617	487	1998-02-14	VYDAJ	PREVOD NA UCET	10684	39493	SIPO	GH	40831804
145618	487	1998-03-14	VYDAJ	PREVOD NA UCET	10684	34047	SIPO	GH	40831804
145619	487	1998-04-14	VYDAJ	PREVOD NA UCET	10684	9813	SIPO	GH	40831804
145620	487	1998-05-14	VYDAJ	PREVOD NA UCET	10684	34054	SIPO	GH	40831804
145621	487	1998-06-14	VYDAJ	PREVOD NA UCET	10684	14056	SIPO	GH	40831804
145622	487	1998-07-14	VYDAJ	PREVOD NA UCET	10684	29978	SIPO	GH	40831804
145623	487	1998-08-14	VYDAJ	PREVOD NA UCET	10684	18010	SIPO	GH	40831804
145624	487	1998-09-14	VYDAJ	PREVOD NA UCET	10684	16535	SIPO	GH	40831804
145625	487	1998-10-14	VYDAJ	PREVOD NA UCET	10684	64232	SIPO	GH	40831804
145626	487	1998-11-14	VYDAJ	PREVOD NA UCET	10684	89167	SIPO	GH	40831804
145627	487	1998-12-14	VYDAJ	PREVOD NA UCET	10684	72335	SIPO	GH	40831804
145632	487	1996-04-27	VYBER	VYBER	3385	49706	\N	\N	\N
145635	487	1996-11-14	VYBER	VYBER	2478	20114	\N	\N	\N
145644	487	1997-01-18	VYBER	VYBER	11529	21036	\N	\N	\N
145647	487	1998-12-23	VYBER	VYBER	8550	57785	\N	\N	\N
145649	487	1998-07-10	VYBER	VYBER	19505	40662	\N	\N	\N
145650	487	1998-03-16	VYBER	VYBER	12416	21631	\N	\N	\N
145652	487	1996-06-04	VYDAJ	VYBER	42900	30072	\N	\N	\N
145654	487	1998-06-11	VYDAJ	VYBER	74100	24740	\N	\N	\N
145656	487	1996-12-17	VYDAJ	VYBER	4200	27025	\N	\N	\N
145658	487	1998-12-17	VYDAJ	VYBER	6000	66335	\N	\N	\N
145665	487	1996-09-21	VYDAJ	VYBER	12600	24688	\N	\N	\N
145669	487	1996-11-30	VYDAJ	VYBER	12900	28957	\N	\N	\N
145670	487	1996-10-01	VYDAJ	VYBER	2700	61728	\N	\N	\N
145676	487	1998-07-01	VYDAJ	VYBER	9900	25625	\N	\N	\N
145693	487	1996-04-30	VYDAJ	VYBER	15	49953	SLUZBY	\N	\N
145694	487	1996-05-31	VYDAJ	VYBER	15	25603	SLUZBY	\N	\N
145695	487	1996-06-30	VYDAJ	VYBER	15	15361	SLUZBY	\N	\N
145696	487	1996-07-31	VYDAJ	VYBER	15	9860	SLUZBY	\N	\N
145697	487	1996-08-31	VYDAJ	VYBER	15	3988	SLUZBY	\N	\N
145698	487	1996-09-30	VYDAJ	VYBER	15	64428	SLUZBY	\N	\N
145699	487	1996-10-31	VYDAJ	VYBER	15	27892	SLUZBY	\N	\N
145700	487	1996-11-30	VYDAJ	VYBER	15	41857	SLUZBY	\N	\N
145701	487	1996-12-31	VYDAJ	VYBER	15	68549	SLUZBY	\N	\N
145702	487	1997-01-31	VYDAJ	VYBER	15	21198	SLUZBY	\N	\N
145703	487	1997-02-28	VYDAJ	VYBER	15	7858	SLUZBY	\N	\N
145704	487	1997-03-31	VYDAJ	VYBER	15	13969	SLUZBY	\N	\N
145705	487	1997-04-30	VYDAJ	VYBER	15	5909	SLUZBY	\N	\N
145706	487	1997-05-31	VYDAJ	VYBER	15	2225	SLUZBY	\N	\N
145707	487	1997-06-30	VYDAJ	VYBER	15	2220	SLUZBY	\N	\N
145708	487	1997-07-31	VYDAJ	VYBER	15	2214	SLUZBY	\N	\N
145709	487	1997-08-31	VYDAJ	VYBER	15	821	SLUZBY	\N	\N
145710	487	1997-09-30	VYDAJ	VYBER	15	809	SLUZBY	\N	\N
145711	487	1997-10-31	VYDAJ	VYBER	15	794	SLUZBY	\N	\N
145712	487	1997-11-30	VYDAJ	VYBER	15	785	SLUZBY	\N	\N
145713	487	1997-12-31	VYDAJ	VYBER	15	3697	SLUZBY	\N	\N
145714	487	1998-01-31	VYDAJ	VYBER	15	59623	SLUZBY	\N	\N
145715	487	1998-02-28	VYDAJ	VYBER	15	71931	SLUZBY	\N	\N
145716	487	1998-03-31	VYDAJ	VYBER	15	21797	SLUZBY	\N	\N
145717	487	1998-04-30	VYDAJ	VYBER	15	64038	SLUZBY	\N	\N
145718	487	1998-05-31	VYDAJ	VYBER	15	34233	SLUZBY	\N	\N
145719	487	1998-06-30	VYDAJ	VYBER	15	37425	SLUZBY	\N	\N
145720	487	1998-07-31	VYDAJ	VYBER	15	28694	SLUZBY	\N	\N
145721	487	1998-08-31	VYDAJ	VYBER	15	27219	SLUZBY	\N	\N
145722	487	1998-09-30	VYDAJ	VYBER	15	44902	SLUZBY	\N	\N
145723	487	1998-10-31	VYDAJ	VYBER	15	45454	SLUZBY	\N	\N
145724	487	1998-11-30	VYDAJ	VYBER	15	89464	SLUZBY	\N	\N
145725	487	1995-12-14	VYDAJ	VYBER	6000	26497	\N	\N	\N
145726	487	1996-01-13	VYDAJ	VYBER	19000	38195	\N	\N	\N
145727	487	1996-02-12	VYDAJ	VYBER	8600	29833	\N	\N	\N
145728	487	1996-03-13	VYDAJ	VYBER	5000	25071	\N	\N	\N
145729	487	1996-04-12	VYDAJ	VYBER	39300	63775	\N	\N	\N
145730	487	1996-05-12	VYDAJ	VYBER	13800	36153	\N	\N	\N
145731	487	1996-06-11	VYDAJ	VYBER	4100	25972	\N	\N	\N
145732	487	1996-07-11	VYDAJ	VYBER	900	20506	\N	\N	\N
145733	487	1996-08-10	PRIJEM	VKLAD	4800	14660	\N	\N	\N
145734	487	1996-10-09	VYDAJ	VYBER	23300	38428	\N	\N	\N
145735	487	1996-11-08	VYDAJ	VYBER	5300	22592	\N	\N	\N
145736	487	1996-12-08	VYDAJ	VYBER	27800	41909	\N	\N	\N
145737	487	1997-01-07	VYDAJ	VYBER	25300	43249	\N	\N	\N
145738	487	1997-02-06	VYDAJ	VYBER	2700	18498	\N	\N	\N
145739	487	1997-04-07	PRIJEM	VKLAD	2600	16569	\N	\N	\N
145740	487	1997-05-07	PRIJEM	VKLAD	7000	12909	\N	\N	\N
145741	487	1997-08-05	PRIJEM	VKLAD	9300	11514	\N	\N	\N
145742	487	1997-12-03	PRIJEM	VKLAD	13600	14385	\N	\N	\N
145743	487	1998-02-01	VYDAJ	VYBER	18700	40923	\N	\N	\N
145744	487	1998-03-03	VYDAJ	VYBER	27200	44731	\N	\N	\N
145745	487	1998-04-02	VYDAJ	VYBER	1300	20497	\N	\N	\N
145746	487	1998-05-02	VYDAJ	VYBER	19300	44738	\N	\N	\N
145747	487	1998-06-01	VYDAJ	VYBER	2900	31333	\N	\N	\N
145748	487	1998-07-01	VYDAJ	VYBER	1900	35525	\N	\N	\N
145749	487	1998-07-31	VYDAJ	VYBER	1400	28709	\N	\N	\N
145750	487	1998-08-30	PRIJEM	VKLAD	9100	27110	\N	\N	\N
145751	487	1998-09-29	VYDAJ	VYBER	16000	44763	\N	\N	\N
145752	487	1998-10-29	VYDAJ	VYBER	19000	45232	\N	\N	\N
145753	487	1998-11-09	VYDAJ	VYBER	17100	99851	\N	\N	\N
145754	487	1998-11-28	VYDAJ	VYBER	28300	60867	\N	\N	\N
145755	487	1998-12-04	VYDAJ	VYBER	46700	83019	\N	\N	\N
145796	488	1996-06-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
145860	488	1996-07-20	PRIJEM	VKLAD	10400	11400	\N	\N	\N
145861	488	1996-08-19	PRIJEM	VKLAD	6500	17900	\N	\N	\N
145862	488	1996-09-18	PRIJEM	VKLAD	5300	23200	\N	\N	\N
145863	488	1996-10-18	PRIJEM	VKLAD	200	23400	\N	\N	\N
145864	488	1996-11-17	PRIJEM	VKLAD	1100	24500	\N	\N	\N
145865	488	1996-12-17	PRIJEM	VKLAD	700	25200	\N	\N	\N
145866	488	1997-01-16	PRIJEM	VKLAD	5300	30500	\N	\N	\N
145867	488	1997-02-15	PRIJEM	VKLAD	1400	31900	\N	\N	\N
145868	488	1997-03-17	PRIJEM	VKLAD	3700	35600	\N	\N	\N
145869	488	1997-04-16	PRIJEM	VKLAD	900	36500	\N	\N	\N
145870	488	1997-05-16	PRIJEM	VKLAD	3000	39500	\N	\N	\N
145871	488	1997-06-15	PRIJEM	VKLAD	3100	42600	\N	\N	\N
145872	488	1997-07-15	VYDAJ	VYBER	200	42400	\N	\N	\N
145873	488	1997-08-14	VYDAJ	VYBER	2700	39700	\N	\N	\N
145874	488	1997-09-13	VYDAJ	VYBER	2700	37000	\N	\N	\N
145875	488	1997-10-13	PRIJEM	VKLAD	2600	39600	\N	\N	\N
145876	488	1997-11-12	VYDAJ	VYBER	1800	37800	\N	\N	\N
145877	488	1997-12-12	PRIJEM	VKLAD	1300	39100	\N	\N	\N
145878	488	1998-01-11	PRIJEM	VKLAD	1700	40800	\N	\N	\N
145879	488	1998-02-10	PRIJEM	VKLAD	300	41100	\N	\N	\N
145880	488	1998-03-12	VYDAJ	VYBER	1300	39800	\N	\N	\N
145881	488	1998-04-11	PRIJEM	VKLAD	5400	45200	\N	\N	\N
145882	488	1998-05-11	PRIJEM	VKLAD	2000	47200	\N	\N	\N
145883	488	1998-06-10	PRIJEM	VKLAD	2200	49400	\N	\N	\N
145884	488	1998-07-10	PRIJEM	VKLAD	200	49600	\N	\N	\N
145885	488	1998-08-09	PRIJEM	VKLAD	1100	50700	\N	\N	\N
145886	488	1998-09-08	VYDAJ	VYBER	500	50200	\N	\N	\N
145887	488	1998-10-08	VYDAJ	VYBER	2400	47800	\N	\N	\N
145888	488	1998-11-07	VYDAJ	VYBER	1600	46200	\N	\N	\N
145889	488	1998-12-07	PRIJEM	VKLAD	4300	50500	\N	\N	\N
145890	489	1993-05-17	PRIJEM	VKLAD	900	900	\N	\N	\N
145896	489	1993-06-08	PRIJEM	VKLAD	24537	25437	\N	\N	\N
145897	489	1993-07-08	PRIJEM	VKLAD	16358	40746	\N	\N	\N
145898	489	1993-08-08	PRIJEM	VKLAD	16358	47720	\N	\N	\N
145899	489	1993-09-08	PRIJEM	VKLAD	16358	53822	\N	\N	\N
145900	489	1993-10-08	PRIJEM	VKLAD	16358	56943	\N	\N	\N
145901	489	1993-11-08	PRIJEM	VKLAD	16358	52951	\N	\N	\N
145902	489	1993-12-08	PRIJEM	VKLAD	24537	55634	\N	\N	\N
145903	489	1994-01-08	PRIJEM	VKLAD	16358	39082	\N	\N	\N
145904	489	1994-02-08	PRIJEM	VKLAD	16358	26595	\N	\N	\N
145905	489	1994-03-08	PRIJEM	VKLAD	16358	37030	\N	\N	\N
145906	489	1994-04-08	PRIJEM	VKLAD	16358	41794	\N	\N	\N
145907	489	1994-05-08	PRIJEM	VKLAD	16358	38589	\N	\N	\N
145908	489	1994-06-08	PRIJEM	VKLAD	24537	49134	\N	\N	\N
145909	489	1994-07-08	PRIJEM	VKLAD	16358	41913	\N	\N	\N
145910	489	1994-08-08	PRIJEM	VKLAD	16358	43688	\N	\N	\N
145911	489	1994-09-08	PRIJEM	VKLAD	16358	40991	\N	\N	\N
145912	489	1994-10-08	PRIJEM	VKLAD	16358	43164	\N	\N	\N
145913	489	1994-11-08	PRIJEM	VKLAD	16358	47249	\N	\N	\N
145914	489	1994-12-08	PRIJEM	VKLAD	24537	53810	\N	\N	\N
145915	489	1995-01-08	PRIJEM	VKLAD	16358	40902	\N	\N	\N
145916	489	1995-02-08	PRIJEM	VKLAD	16358	39685	\N	\N	\N
145917	489	1995-03-08	PRIJEM	VKLAD	16358	45290	\N	\N	\N
145918	489	1995-04-08	PRIJEM	VKLAD	16358	41903	\N	\N	\N
145919	489	1995-05-08	PRIJEM	VKLAD	16358	44402	\N	\N	\N
145920	489	1995-06-08	PRIJEM	VKLAD	24537	50396	\N	\N	\N
145921	489	1995-07-08	PRIJEM	VKLAD	16358	35112	\N	\N	\N
145922	489	1995-08-08	PRIJEM	VKLAD	16358	33577	\N	\N	\N
145923	489	1995-09-08	PRIJEM	VKLAD	16358	35650	\N	\N	\N
145924	489	1995-10-08	PRIJEM	VKLAD	16358	38426	\N	\N	\N
145925	489	1995-11-08	PRIJEM	VKLAD	16358	38817	\N	\N	\N
145926	489	1995-12-08	PRIJEM	VKLAD	24537	50490	\N	\N	\N
145927	489	1996-01-08	PRIJEM	VKLAD	16358	46722	\N	\N	\N
145928	489	1996-02-08	PRIJEM	VKLAD	16358	26413	\N	\N	\N
145929	489	1996-03-08	PRIJEM	VKLAD	16358	32445	\N	\N	\N
145930	489	1996-04-08	PRIJEM	VKLAD	16358	39807	\N	\N	\N
145931	489	1996-05-08	PRIJEM	VKLAD	16358	40498	\N	\N	\N
145932	489	1996-06-08	PRIJEM	VKLAD	24537	51275	\N	\N	\N
145933	489	1996-07-08	PRIJEM	VKLAD	16358	38705	\N	\N	\N
145934	489	1996-08-08	PRIJEM	VKLAD	16358	36887	\N	\N	\N
145935	489	1996-09-08	PRIJEM	VKLAD	16358	36460	\N	\N	\N
145936	489	1996-10-08	PRIJEM	VKLAD	16358	36731	\N	\N	\N
145937	489	1996-11-08	PRIJEM	VKLAD	16358	32001	\N	\N	\N
145938	489	1996-12-08	PRIJEM	VKLAD	24537	42034	\N	\N	\N
145939	489	1997-01-08	PRIJEM	VKLAD	16358	39813	\N	\N	\N
145940	489	1997-02-08	PRIJEM	VKLAD	16358	31278	\N	\N	\N
145941	489	1997-03-08	PRIJEM	VKLAD	16358	31218	\N	\N	\N
145942	489	1997-04-08	PRIJEM	VKLAD	16358	27761	\N	\N	\N
145943	489	1997-05-08	PRIJEM	VKLAD	16358	28493	\N	\N	\N
145944	489	1997-06-08	PRIJEM	VKLAD	24537	38106	\N	\N	\N
145945	489	1997-07-08	PRIJEM	VKLAD	16358	34467	\N	\N	\N
145946	489	1997-08-08	PRIJEM	VKLAD	16358	32221	\N	\N	\N
145947	489	1997-09-08	PRIJEM	VKLAD	16358	30264	\N	\N	\N
145948	489	1997-10-08	PRIJEM	VKLAD	16358	26797	\N	\N	\N
145949	489	1997-11-08	PRIJEM	VKLAD	16358	27620	\N	\N	\N
145950	489	1997-12-08	PRIJEM	VKLAD	24537	35021	\N	\N	\N
145951	489	1998-01-08	PRIJEM	VKLAD	16358	27258	\N	\N	\N
145952	489	1998-02-08	PRIJEM	VKLAD	16358	27777	\N	\N	\N
145953	489	1998-03-08	PRIJEM	VKLAD	16358	32854	\N	\N	\N
145954	489	1998-04-08	PRIJEM	VKLAD	16358	43717	\N	\N	\N
145955	489	1998-05-08	PRIJEM	VKLAD	16358	28885	\N	\N	\N
145956	489	1998-06-08	PRIJEM	VKLAD	24537	45407	\N	\N	\N
145957	489	1998-07-08	PRIJEM	VKLAD	16358	26218	\N	\N	\N
145958	489	1998-08-08	PRIJEM	VKLAD	16358	37049	\N	\N	\N
145959	489	1998-09-08	PRIJEM	VKLAD	16358	26888	\N	\N	\N
145960	489	1998-10-08	PRIJEM	VKLAD	16358	34915	\N	\N	\N
145961	489	1998-11-08	PRIJEM	VKLAD	16358	26245	\N	\N	\N
145962	489	1998-12-08	PRIJEM	VKLAD	24537	43154	\N	\N	\N
145973	489	1993-11-07	VYDAJ	PREVOD NA UCET	5608	36593	SIPO	ST	53826928
145974	489	1993-12-07	VYDAJ	PREVOD NA UCET	5608	31097	SIPO	ST	53826928
145975	489	1994-01-07	VYDAJ	PREVOD NA UCET	5608	22724	SIPO	ST	53826928
145976	489	1994-02-07	VYDAJ	PREVOD NA UCET	5608	10237	SIPO	ST	53826928
145977	489	1994-03-07	VYDAJ	PREVOD NA UCET	5608	20672	SIPO	ST	53826928
145978	489	1994-04-07	VYDAJ	PREVOD NA UCET	5608	25436	SIPO	ST	53826928
145979	489	1994-05-07	VYDAJ	PREVOD NA UCET	5608	26911	SIPO	ST	53826928
145980	489	1994-06-07	VYDAJ	PREVOD NA UCET	5608	24597	SIPO	ST	53826928
145981	489	1994-07-07	VYDAJ	PREVOD NA UCET	5608	25555	SIPO	ST	53826928
145982	489	1994-08-07	VYDAJ	PREVOD NA UCET	5608	27330	SIPO	ST	53826928
145983	489	1994-09-07	VYDAJ	PREVOD NA UCET	5608	24633	SIPO	ST	53826928
145984	489	1994-10-07	VYDAJ	PREVOD NA UCET	5608	26806	SIPO	ST	53826928
145985	489	1994-11-07	VYDAJ	PREVOD NA UCET	5608	30891	SIPO	ST	53826928
145986	489	1994-12-07	VYDAJ	PREVOD NA UCET	5608	29273	SIPO	ST	53826928
145987	489	1995-01-07	VYDAJ	PREVOD NA UCET	5608	24544	SIPO	ST	53826928
145988	489	1995-02-07	VYDAJ	PREVOD NA UCET	5608	23327	SIPO	ST	53826928
145989	489	1995-03-07	VYDAJ	PREVOD NA UCET	5608	28932	SIPO	ST	53826928
145990	489	1995-04-07	VYDAJ	PREVOD NA UCET	5608	30945	SIPO	ST	53826928
145991	489	1995-05-07	VYDAJ	PREVOD NA UCET	5608	28044	SIPO	ST	53826928
145992	489	1995-06-07	VYDAJ	PREVOD NA UCET	5608	25859	SIPO	ST	53826928
145993	489	1995-07-07	VYDAJ	PREVOD NA UCET	5608	18754	SIPO	ST	53826928
145994	489	1995-08-07	VYDAJ	PREVOD NA UCET	5608	17219	SIPO	ST	53826928
145995	489	1995-09-07	VYDAJ	PREVOD NA UCET	5608	19292	SIPO	ST	53826928
145996	489	1995-10-07	VYDAJ	PREVOD NA UCET	5608	22068	SIPO	ST	53826928
145997	489	1995-11-07	VYDAJ	PREVOD NA UCET	5608	22459	SIPO	ST	53826928
145998	489	1995-12-07	VYDAJ	PREVOD NA UCET	5608	25953	SIPO	ST	53826928
145999	489	1996-01-07	VYDAJ	PREVOD NA UCET	5608	30364	SIPO	ST	53826928
146000	489	1996-02-07	VYDAJ	PREVOD NA UCET	5608	10055	SIPO	ST	53826928
146001	489	1996-03-07	VYDAJ	PREVOD NA UCET	5608	16087	SIPO	ST	53826928
146002	489	1996-04-07	VYDAJ	PREVOD NA UCET	5608	23449	SIPO	ST	53826928
146003	489	1996-05-07	VYDAJ	PREVOD NA UCET	5608	24140	SIPO	ST	53826928
146004	489	1996-06-07	VYDAJ	PREVOD NA UCET	5608	26738	SIPO	ST	53826928
146005	489	1996-07-07	VYDAJ	PREVOD NA UCET	5608	22347	SIPO	ST	53826928
146006	489	1996-08-07	VYDAJ	PREVOD NA UCET	5608	20529	SIPO	ST	53826928
146007	489	1996-09-07	VYDAJ	PREVOD NA UCET	5608	20102	SIPO	ST	53826928
146008	489	1996-10-07	VYDAJ	PREVOD NA UCET	5608	20373	SIPO	ST	53826928
146009	489	1996-11-07	VYDAJ	PREVOD NA UCET	5608	15643	SIPO	ST	53826928
146010	489	1996-12-07	VYDAJ	PREVOD NA UCET	5608	17497	SIPO	ST	53826928
146011	489	1997-01-07	VYDAJ	PREVOD NA UCET	5608	23455	SIPO	ST	53826928
146012	489	1997-02-07	VYDAJ	PREVOD NA UCET	5608	14920	SIPO	ST	53826928
146013	489	1997-03-07	VYDAJ	PREVOD NA UCET	5608	14860	SIPO	ST	53826928
146014	489	1997-04-07	VYDAJ	PREVOD NA UCET	5608	11403	SIPO	ST	53826928
146015	489	1997-05-07	VYDAJ	PREVOD NA UCET	5608	12135	SIPO	ST	53826928
146016	489	1997-06-07	VYDAJ	PREVOD NA UCET	5608	13569	SIPO	ST	53826928
146017	489	1997-07-07	VYDAJ	PREVOD NA UCET	5608	18109	SIPO	ST	53826928
146018	489	1997-08-07	VYDAJ	PREVOD NA UCET	5608	15863	SIPO	ST	53826928
146019	489	1997-09-07	VYDAJ	PREVOD NA UCET	5608	13906	SIPO	ST	53826928
146020	489	1997-10-07	VYDAJ	PREVOD NA UCET	5608	10439	SIPO	ST	53826928
146021	489	1997-11-07	VYDAJ	PREVOD NA UCET	5608	11262	SIPO	ST	53826928
146022	489	1997-12-07	VYDAJ	PREVOD NA UCET	5608	10484	SIPO	ST	53826928
146023	489	1998-01-07	VYDAJ	PREVOD NA UCET	5608	10900	SIPO	ST	53826928
146024	489	1998-02-07	VYDAJ	PREVOD NA UCET	5608	11419	SIPO	ST	53826928
146025	489	1998-03-07	VYDAJ	PREVOD NA UCET	5608	16496	SIPO	ST	53826928
146026	489	1998-04-07	VYDAJ	PREVOD NA UCET	5608	27359	SIPO	ST	53826928
146027	489	1998-05-07	VYDAJ	PREVOD NA UCET	5608	12527	SIPO	ST	53826928
146028	489	1998-06-07	VYDAJ	PREVOD NA UCET	5608	20870	SIPO	ST	53826928
146029	489	1998-07-07	VYDAJ	PREVOD NA UCET	5608	9860	SIPO	ST	53826928
146030	489	1998-08-07	VYDAJ	PREVOD NA UCET	5608	20691	SIPO	ST	53826928
146031	489	1998-09-07	VYDAJ	PREVOD NA UCET	5608	10530	SIPO	ST	53826928
146032	489	1998-10-07	VYDAJ	PREVOD NA UCET	5608	18557	SIPO	ST	53826928
146033	489	1998-11-07	VYDAJ	PREVOD NA UCET	5608	9887	SIPO	ST	53826928
146034	489	1998-12-07	VYDAJ	PREVOD NA UCET	5608	18617	SIPO	ST	53826928
146037	489	1995-06-23	VYDAJ	VYBER	19200	31196	\N	\N	\N
146038	489	1996-06-08	VYDAJ	VYBER	12160	39115	\N	\N	\N
146042	489	1994-01-02	VYDAJ	VYBER	6400	28332	\N	\N	\N
146043	489	1995-01-02	VYDAJ	VYBER KARTOU	3800	31452	\N	\N	0
146044	489	1996-01-24	VYDAJ	VYBER	12800	25602	\N	\N	\N
146047	489	1993-12-19	VYDAJ	VYBER	4480	38054	\N	\N	\N
146048	489	1994-12-12	VYDAJ	VYBER KARTOU	2400	35110	\N	\N	0
146049	489	1995-12-23	VYDAJ	VYBER KARTOU	1400	49090	\N	\N	0
146050	489	1996-12-06	VYDAJ	VYBER KARTOU	3200	23105	\N	\N	0
146052	489	1998-12-01	VYDAJ	VYBER KARTOU	2100	24225	\N	\N	0
146059	489	1994-01-29	VYDAJ	VYBER KARTOU	2900	20942	\N	\N	0
146060	489	1994-01-15	VYDAJ	VYBER	840	29042	\N	\N	\N
146061	489	1994-01-30	VYDAJ	VYBER KARTOU	3500	17442	\N	\N	0
146062	489	1994-01-30	VYDAJ	VYBER KARTOU	1700	15742	\N	\N	0
146063	489	1994-01-01	VYDAJ	VYBER	3480	34732	\N	\N	\N
146064	489	1994-01-27	VYDAJ	VYBER KARTOU	2200	23842	\N	\N	0
146065	489	1995-01-10	VYDAJ	VYBER KARTOU	1300	39602	\N	\N	0
146066	489	1995-01-30	VYDAJ	VYBER KARTOU	1900	33102	\N	\N	0
146067	489	1995-01-02	VYDAJ	VYBER KARTOU	2600	28852	\N	\N	0
146068	489	1995-01-20	VYDAJ	VYBER KARTOU	800	36002	\N	\N	0
146069	489	1995-01-21	VYDAJ	VYBER KARTOU	1000	35002	\N	\N	0
146070	489	1995-01-13	VYDAJ	VYBER KARTOU	2800	36802	\N	\N	0
146071	489	1996-01-12	VYDAJ	VYBER KARTOU	700	45022	\N	\N	0
146072	489	1996-01-16	VYDAJ	VYBER KARTOU	1700	43322	\N	\N	0
146073	489	1996-01-25	VYDAJ	VYBER KARTOU	3200	19402	\N	\N	0
146074	489	1996-01-24	VYDAJ	VYBER KARTOU	2200	23402	\N	\N	0
146075	489	1996-01-08	VYDAJ	VYBER KARTOU	1000	45722	\N	\N	0
146076	489	1996-01-25	VYDAJ	VYBER KARTOU	800	22602	\N	\N	0
146077	489	1997-01-20	VYDAJ	VYBER KARTOU	700	34713	\N	\N	0
146078	489	1997-01-11	VYDAJ	VYBER KARTOU	2400	37413	\N	\N	0
146079	489	1997-01-12	VYDAJ	VYBER KARTOU	2000	35413	\N	\N	0
146080	489	1997-01-29	VYDAJ	VYBER KARTOU	2400	20413	\N	\N	0
146081	489	1997-01-25	VYDAJ	VYBER KARTOU	3200	29213	\N	\N	0
146082	489	1997-01-24	VYDAJ	VYBER KARTOU	2300	32413	\N	\N	0
146083	489	1998-01-13	VYDAJ	VYBER KARTOU	2800	24458	\N	\N	0
146084	489	1998-01-28	VYDAJ	VYBER KARTOU	2000	16958	\N	\N	0
146085	489	1998-01-03	VYDAJ	VYBER KARTOU	600	16508	\N	\N	0
146086	489	1998-01-17	VYDAJ	VYBER KARTOU	1800	21958	\N	\N	0
146087	489	1998-01-16	VYDAJ	VYBER KARTOU	700	23758	\N	\N	0
146088	489	1998-01-23	VYDAJ	VYBER KARTOU	3000	18958	\N	\N	0
146091	489	1994-06-24	VYDAJ	VYBER KARTOU	4000	31034	\N	\N	0
146092	489	1994-05-07	VYDAJ	VYBER	4680	22231	\N	\N	\N
146093	489	1994-09-06	VYDAJ	VYBER	5280	30241	\N	\N	\N
146094	489	1994-01-19	VYDAJ	VYBER	3000	26042	\N	\N	\N
146095	489	1995-02-20	VYDAJ	VYBER	5280	34405	\N	\N	\N
146096	489	1995-08-06	VYDAJ	VYBER KARTOU	2200	22827	\N	\N	0
146097	489	1995-07-10	VYDAJ	VYBER KARTOU	4000	31112	\N	\N	0
146098	489	1995-04-15	VYDAJ	VYBER KARTOU	2200	39703	\N	\N	0
146099	489	1995-08-11	VYDAJ	VYBER	5880	27697	\N	\N	\N
146100	489	1996-11-03	VYDAJ	VYBER KARTOU	1800	21951	\N	\N	0
146101	489	1996-12-11	VYDAJ	VYBER KARTOU	2300	39734	\N	\N	0
146102	489	1996-02-01	VYDAJ	VYBER	4080	15663	\N	\N	\N
146103	489	1996-11-04	VYDAJ	VYBER KARTOU	700	21251	\N	\N	0
146104	489	1996-01-17	VYDAJ	VYBER	4920	38402	\N	\N	\N
146105	489	1996-04-28	VYDAJ	VYBER KARTOU	1800	38007	\N	\N	0
146106	489	1996-02-27	VYDAJ	VYBER KARTOU	2000	24413	\N	\N	0
146108	489	1997-02-09	VYDAJ	VYBER KARTOU	2800	28478	\N	\N	0
146110	489	1997-06-16	VYDAJ	VYBER KARTOU	1000	37106	\N	\N	0
146113	489	1998-05-31	VYDAJ	VYBER KARTOU	2500	26478	\N	\N	0
146114	489	1998-06-09	VYDAJ	VYBER	5040	40367	\N	\N	\N
146115	489	1998-03-04	VYDAJ	VYBER	5760	22104	\N	\N	\N
146117	489	1998-09-16	VYDAJ	VYBER KARTOU	2800	24088	\N	\N	0
146118	489	1998-04-28	VYDAJ	VYBER KARTOU	600	18017	\N	\N	0
146129	489	1993-10-31	VYDAJ	VYBER	15	42201	SLUZBY	\N	\N
146130	489	1993-11-30	VYDAJ	VYBER	15	36705	SLUZBY	\N	\N
146131	489	1993-12-31	VYDAJ	VYBER	15	38212	SLUZBY	\N	\N
146132	489	1994-01-31	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
146133	489	1994-02-28	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
146134	489	1994-03-31	VYDAJ	VYBER	15	31044	SLUZBY	\N	\N
146135	489	1994-04-30	VYDAJ	VYBER	15	32519	SLUZBY	\N	\N
146136	489	1994-05-31	VYDAJ	VYBER	15	30205	SLUZBY	\N	\N
146137	489	1994-06-30	VYDAJ	VYBER	15	31163	SLUZBY	\N	\N
146138	489	1994-07-31	VYDAJ	VYBER	15	32938	SLUZBY	\N	\N
146139	489	1994-08-31	VYDAJ	VYBER	15	35521	SLUZBY	\N	\N
146140	489	1994-09-30	VYDAJ	VYBER	15	32414	SLUZBY	\N	\N
146141	489	1994-10-31	VYDAJ	VYBER	15	36499	SLUZBY	\N	\N
146142	489	1994-11-30	VYDAJ	VYBER	15	34881	SLUZBY	\N	\N
146143	489	1994-12-31	VYDAJ	VYBER	15	35252	SLUZBY	\N	\N
146144	489	1995-01-31	VYDAJ	VYBER	15	33235	SLUZBY	\N	\N
146145	489	1995-02-28	VYDAJ	VYBER	15	34540	SLUZBY	\N	\N
146146	489	1995-03-31	VYDAJ	VYBER	15	36553	SLUZBY	\N	\N
146147	489	1995-04-30	VYDAJ	VYBER	15	39852	SLUZBY	\N	\N
146148	489	1995-05-31	VYDAJ	VYBER	15	44567	SLUZBY	\N	\N
146149	489	1995-06-30	VYDAJ	VYBER	15	31362	SLUZBY	\N	\N
146150	489	1995-07-31	VYDAJ	VYBER	15	31227	SLUZBY	\N	\N
146151	489	1995-08-31	VYDAJ	VYBER	15	27800	SLUZBY	\N	\N
146152	489	1995-09-30	VYDAJ	VYBER	15	35776	SLUZBY	\N	\N
146153	489	1995-10-31	VYDAJ	VYBER	15	38567	SLUZBY	\N	\N
146154	489	1995-11-30	VYDAJ	VYBER	15	38961	SLUZBY	\N	\N
146155	489	1995-12-31	VYDAJ	VYBER	15	49272	SLUZBY	\N	\N
146156	489	1996-01-31	VYDAJ	VYBER	15	19543	SLUZBY	\N	\N
146157	489	1996-02-29	VYDAJ	VYBER	15	24495	SLUZBY	\N	\N
146158	489	1996-03-31	VYDAJ	VYBER	15	32557	SLUZBY	\N	\N
146159	489	1996-04-30	VYDAJ	VYBER	15	38148	SLUZBY	\N	\N
146160	489	1996-05-31	VYDAJ	VYBER	15	32346	SLUZBY	\N	\N
146161	489	1996-06-30	VYDAJ	VYBER	15	27955	SLUZBY	\N	\N
146162	489	1996-07-31	VYDAJ	VYBER	15	26137	SLUZBY	\N	\N
146163	489	1996-08-31	VYDAJ	VYBER	15	25710	SLUZBY	\N	\N
146164	489	1996-09-30	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
146165	489	1996-10-31	VYDAJ	VYBER	15	23751	SLUZBY	\N	\N
146166	489	1996-11-30	VYDAJ	VYBER	15	26305	SLUZBY	\N	\N
146167	489	1996-12-31	VYDAJ	VYBER	15	29063	SLUZBY	\N	\N
146168	489	1997-01-31	VYDAJ	VYBER	15	20528	SLUZBY	\N	\N
146169	489	1997-02-28	VYDAJ	VYBER	15	20468	SLUZBY	\N	\N
146170	489	1997-03-31	VYDAJ	VYBER	15	17011	SLUZBY	\N	\N
146171	489	1997-04-30	VYDAJ	VYBER	15	17743	SLUZBY	\N	\N
146172	489	1997-05-31	VYDAJ	VYBER	15	19177	SLUZBY	\N	\N
146173	489	1997-06-30	VYDAJ	VYBER	15	23717	SLUZBY	\N	\N
146174	489	1997-07-31	VYDAJ	VYBER	15	21471	SLUZBY	\N	\N
146175	489	1997-08-31	VYDAJ	VYBER	15	19514	SLUZBY	\N	\N
146176	489	1997-09-30	VYDAJ	VYBER	15	16047	SLUZBY	\N	\N
146177	489	1997-10-31	VYDAJ	VYBER	15	16870	SLUZBY	\N	\N
146178	489	1997-11-30	VYDAJ	VYBER	15	16092	SLUZBY	\N	\N
146179	489	1997-12-31	VYDAJ	VYBER	15	17108	SLUZBY	\N	\N
146180	489	1998-01-31	VYDAJ	VYBER	15	17027	SLUZBY	\N	\N
146181	489	1998-02-28	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
146182	489	1998-03-31	VYDAJ	VYBER	15	32967	SLUZBY	\N	\N
146183	489	1998-04-30	VYDAJ	VYBER	15	18135	SLUZBY	\N	\N
146184	489	1998-05-31	VYDAJ	VYBER	15	28978	SLUZBY	\N	\N
146185	489	1998-06-30	VYDAJ	VYBER	15	15468	SLUZBY	\N	\N
146186	489	1998-07-31	VYDAJ	VYBER	15	26299	SLUZBY	\N	\N
146187	489	1998-08-31	VYDAJ	VYBER	15	16138	SLUZBY	\N	\N
146188	489	1998-09-30	VYDAJ	VYBER	15	24165	SLUZBY	\N	\N
146189	489	1998-10-31	VYDAJ	VYBER	15	15495	SLUZBY	\N	\N
146190	489	1998-11-30	VYDAJ	VYBER	15	26325	SLUZBY	\N	\N
146191	489	1993-06-16	VYDAJ	VYBER	1100	24337	\N	\N	\N
146192	489	1993-07-16	VYDAJ	VYBER	9500	31246	\N	\N	\N
146193	489	1993-08-15	VYDAJ	VYBER	10400	37320	\N	\N	\N
146194	489	1993-09-14	VYDAJ	VYBER	13400	40422	\N	\N	\N
146195	489	1993-10-14	VYDAJ	VYBER	14900	42043	\N	\N	\N
146196	489	1993-11-13	VYDAJ	VYBER	16400	36551	\N	\N	\N
146197	489	1993-12-13	VYDAJ	VYBER	13100	42534	\N	\N	\N
146198	489	1994-01-12	VYDAJ	VYBER	9200	29882	\N	\N	\N
146199	489	1994-02-11	VYDAJ	VYBER KARTOU	400	26195	\N	\N	0
146200	489	1994-03-13	VYDAJ	VYBER	6100	30930	\N	\N	\N
146201	489	1994-04-12	VYDAJ	VYBER	9400	32394	\N	\N	\N
146202	489	1994-05-12	VYDAJ	VYBER	8500	30089	\N	\N	\N
146203	489	1994-06-11	VYDAJ	VYBER	14100	35034	\N	\N	\N
146204	489	1994-07-11	VYDAJ	VYBER	9100	32813	\N	\N	\N
146205	489	1994-08-10	VYDAJ	VYBER	8300	35388	\N	\N	\N
146206	489	1994-09-09	VYDAJ	VYBER	8700	32291	\N	\N	\N
146207	489	1994-10-09	VYDAJ	VYBER	6800	36364	\N	\N	\N
146208	489	1994-11-08	VYDAJ	VYBER	12500	34749	\N	\N	\N
146209	489	1994-12-08	VYDAJ	VYBER	16300	37510	\N	\N	\N
146210	489	1995-01-07	PRIJEM	VKLAD	1300	30152	\N	\N	\N
146211	489	1995-02-06	VYDAJ	VYBER	4300	28935	\N	\N	\N
146212	489	1995-03-08	VYDAJ	VYBER	8900	36390	\N	\N	\N
146213	489	1995-04-07	VYDAJ	VYBER	5400	25545	\N	\N	\N
146214	489	1995-05-07	VYDAJ	VYBER	6200	33652	\N	\N	\N
146215	489	1995-06-06	VYDAJ	VYBER	13100	31467	\N	\N	\N
146216	489	1995-07-06	VYDAJ	VYBER	7000	24362	\N	\N	\N
146217	489	1995-08-05	VYDAJ	VYBER	6200	25027	\N	\N	\N
146218	489	1995-09-04	VYDAJ	VYBER KARTOU	2900	24900	\N	\N	0
146219	489	1995-10-04	VYDAJ	VYBER	8100	27676	\N	\N	\N
146220	489	1995-11-03	VYDAJ	VYBER	10500	28067	\N	\N	\N
146221	489	1995-12-03	VYDAJ	VYBER	7400	31561	\N	\N	\N
146222	489	1996-01-02	VYDAJ	VYBER	13300	35972	\N	\N	\N
146223	489	1996-02-01	PRIJEM	VKLAD	200	19743	\N	\N	\N
146224	489	1996-03-02	VYDAJ	VYBER KARTOU	2800	21695	\N	\N	0
146225	489	1996-04-01	VYDAJ	VYBER KARTOU	3500	29057	\N	\N	0
146226	489	1996-05-01	VYDAJ	VYBER	8400	29748	\N	\N	\N
146227	489	1996-05-31	VYDAJ	VYBER	8300	32361	\N	\N	\N
146228	489	1996-06-30	VYDAJ	VYBER	11300	27969	\N	\N	\N
146229	489	1996-07-30	VYDAJ	VYBER	12700	26005	\N	\N	\N
146230	489	1996-08-29	VYDAJ	VYBER	11300	25587	\N	\N	\N
146231	489	1996-09-28	VYDAJ	VYBER	10600	25860	\N	\N	\N
146232	489	1996-10-28	VYDAJ	VYBER	13100	23631	\N	\N	\N
146233	489	1996-11-27	VYDAJ	VYBER	5800	26201	\N	\N	\N
146234	489	1996-12-27	VYDAJ	VYBER	10800	28934	\N	\N	\N
146235	489	1997-01-26	VYDAJ	VYBER	6400	22813	\N	\N	\N
146236	489	1997-02-25	VYDAJ	VYBER	8100	20378	\N	\N	\N
146237	489	1997-03-27	VYDAJ	VYBER	14300	16918	\N	\N	\N
146238	489	1997-04-26	VYDAJ	VYBER	10100	17661	\N	\N	\N
146239	489	1997-05-26	VYDAJ	VYBER	9400	19093	\N	\N	\N
146240	489	1997-06-25	VYDAJ	VYBER	13500	23606	\N	\N	\N
146241	489	1997-07-25	VYDAJ	VYBER	13100	21367	\N	\N	\N
146242	489	1997-08-24	VYDAJ	VYBER	12800	19421	\N	\N	\N
146243	489	1997-09-23	VYDAJ	VYBER	14300	15964	\N	\N	\N
146244	489	1997-10-23	VYDAJ	VYBER	10000	16797	\N	\N	\N
146245	489	1997-11-22	VYDAJ	VYBER	11600	16020	\N	\N	\N
146246	489	1997-12-22	VYDAJ	VYBER	18000	17021	\N	\N	\N
146247	489	1998-04-21	VYDAJ	VYBER	25100	18617	\N	\N	\N
146248	489	1998-06-20	VYDAJ	VYBER	25000	15367	\N	\N	\N
146249	489	1998-08-19	VYDAJ	VYBER	21000	16049	\N	\N	\N
146250	489	1998-10-18	VYDAJ	VYBER	19500	15415	\N	\N	\N
146318	490	1995-05-23	PRIJEM	VKLAD	500	500	\N	\N	\N
146324	490	1995-06-08	PRIJEM	PREVOD Z UCTU	3063	3563	\N	OP	74493413
146325	490	1995-07-08	PRIJEM	PREVOD Z UCTU	3063	6626	\N	OP	74493413
146326	490	1995-08-08	PRIJEM	PREVOD Z UCTU	3063	9689	\N	OP	74493413
146327	490	1995-09-08	PRIJEM	PREVOD Z UCTU	3063	12752	\N	OP	74493413
146328	490	1995-10-08	PRIJEM	PREVOD Z UCTU	3063	15815	\N	OP	74493413
146329	490	1995-11-08	PRIJEM	PREVOD Z UCTU	3063	16864	\N	OP	74493413
146330	490	1995-12-08	PRIJEM	PREVOD Z UCTU	3063	17931	\N	OP	74493413
146331	490	1996-01-08	PRIJEM	PREVOD Z UCTU	3063	18042	\N	OP	74493413
146332	490	1996-02-08	PRIJEM	PREVOD Z UCTU	3063	15780	\N	OP	74493413
146333	490	1996-03-08	PRIJEM	PREVOD Z UCTU	3063	16842	\N	OP	74493413
146334	490	1996-04-08	PRIJEM	PREVOD Z UCTU	3063	17909	\N	OP	74493413
146335	490	1996-05-08	PRIJEM	PREVOD Z UCTU	3063	18981	\N	OP	74493413
146336	490	1996-06-08	PRIJEM	PREVOD Z UCTU	3063	20057	\N	OP	74493413
146337	490	1996-07-08	PRIJEM	PREVOD Z UCTU	3063	19634	\N	OP	74493413
146338	490	1996-08-08	PRIJEM	PREVOD Z UCTU	3063	19009	\N	OP	74493413
146339	490	1996-09-08	PRIJEM	PREVOD Z UCTU	3063	17278	\N	OP	74493413
146340	490	1996-10-08	PRIJEM	PREVOD Z UCTU	3063	18347	\N	OP	74493413
146341	490	1996-11-08	PRIJEM	PREVOD Z UCTU	3063	16284	\N	OP	74493413
146342	490	1996-12-08	PRIJEM	PREVOD Z UCTU	3063	16716	\N	OP	74493413
146343	490	1997-01-08	PRIJEM	PREVOD Z UCTU	3063	16970	\N	OP	74493413
146344	490	1997-02-08	PRIJEM	PREVOD Z UCTU	3063	15762	\N	OP	74493413
146345	490	1997-03-08	PRIJEM	PREVOD Z UCTU	3063	16825	\N	OP	74493413
146346	490	1997-04-08	PRIJEM	PREVOD Z UCTU	3063	17891	\N	OP	74493413
146347	490	1997-05-08	PRIJEM	PREVOD Z UCTU	3063	18812	\N	OP	74493413
146348	490	1997-06-08	PRIJEM	PREVOD Z UCTU	3063	18687	\N	OP	74493413
146349	490	1997-07-08	PRIJEM	PREVOD Z UCTU	3063	18058	\N	OP	74493413
146350	490	1997-08-08	PRIJEM	PREVOD Z UCTU	3063	17479	\N	OP	74493413
146351	490	1997-09-08	PRIJEM	PREVOD Z UCTU	3063	16243	\N	OP	74493413
146352	490	1997-10-08	PRIJEM	PREVOD Z UCTU	3063	17307	\N	OP	74493413
146353	490	1997-11-08	PRIJEM	PREVOD Z UCTU	3063	18376	\N	OP	74493413
146354	490	1997-12-08	PRIJEM	PREVOD Z UCTU	3063	17144	\N	OP	74493413
146355	490	1998-01-08	PRIJEM	PREVOD Z UCTU	3063	16457	\N	OP	74493413
146356	490	1998-02-08	PRIJEM	PREVOD Z UCTU	3063	16200	\N	OP	74493413
146357	490	1998-03-08	PRIJEM	PREVOD Z UCTU	3063	17264	\N	OP	74493413
146358	490	1998-04-08	PRIJEM	PREVOD Z UCTU	3063	18332	\N	OP	74493413
146359	490	1998-05-08	PRIJEM	PREVOD Z UCTU	3063	18594	\N	OP	74493413
146360	490	1998-06-08	PRIJEM	PREVOD Z UCTU	3063	18347	\N	OP	74493413
146361	490	1998-07-08	PRIJEM	PREVOD Z UCTU	3063	19422	\N	OP	74493413
146362	490	1998-08-08	PRIJEM	PREVOD Z UCTU	3063	14927	\N	OP	74493413
146363	490	1998-09-08	PRIJEM	PREVOD Z UCTU	3063	15090	\N	OP	74493413
146364	490	1998-10-08	PRIJEM	PREVOD Z UCTU	3063	15150	\N	OP	74493413
146365	490	1998-11-08	PRIJEM	PREVOD Z UCTU	3063	16211	\N	OP	74493413
146366	490	1998-12-08	PRIJEM	PREVOD Z UCTU	3063	17275	\N	OP	74493413
146376	490	1995-10-09	VYDAJ	PREVOD NA UCET	2042	13773	SIPO	UV	89067864
146377	490	1995-11-09	VYDAJ	PREVOD NA UCET	2042	14822	SIPO	UV	89067864
146378	490	1995-12-09	VYDAJ	PREVOD NA UCET	2042	15889	SIPO	UV	89067864
146379	490	1996-01-09	VYDAJ	PREVOD NA UCET	2042	16000	SIPO	UV	89067864
146380	490	1996-02-09	VYDAJ	PREVOD NA UCET	2042	13738	SIPO	UV	89067864
146381	490	1996-03-09	VYDAJ	PREVOD NA UCET	2042	14800	SIPO	UV	89067864
146382	490	1996-04-09	VYDAJ	PREVOD NA UCET	2042	15867	SIPO	UV	89067864
146383	490	1996-05-09	VYDAJ	PREVOD NA UCET	2042	16939	SIPO	UV	89067864
146384	490	1996-06-09	VYDAJ	PREVOD NA UCET	2042	18015	SIPO	UV	89067864
146385	490	1996-07-09	VYDAJ	PREVOD NA UCET	2042	17592	SIPO	UV	89067864
146386	490	1996-08-09	VYDAJ	PREVOD NA UCET	2042	16967	SIPO	UV	89067864
146387	490	1996-09-09	VYDAJ	PREVOD NA UCET	2042	15236	SIPO	UV	89067864
146388	490	1996-10-09	VYDAJ	PREVOD NA UCET	2042	16305	SIPO	UV	89067864
146389	490	1996-11-09	VYDAJ	PREVOD NA UCET	2042	13612	SIPO	UV	89067864
146390	490	1996-12-09	VYDAJ	PREVOD NA UCET	2042	14674	SIPO	UV	89067864
146391	490	1997-01-09	VYDAJ	PREVOD NA UCET	2042	14928	SIPO	UV	89067864
146392	490	1997-02-09	VYDAJ	PREVOD NA UCET	2042	13720	SIPO	UV	89067864
146393	490	1997-03-09	VYDAJ	PREVOD NA UCET	2042	14783	SIPO	UV	89067864
146394	490	1997-04-09	VYDAJ	PREVOD NA UCET	2042	15849	SIPO	UV	89067864
146395	490	1997-05-09	VYDAJ	PREVOD NA UCET	2042	16770	SIPO	UV	89067864
146396	490	1997-06-09	VYDAJ	PREVOD NA UCET	2042	16645	SIPO	UV	89067864
146397	490	1997-07-09	VYDAJ	PREVOD NA UCET	2042	16016	SIPO	UV	89067864
146398	490	1997-08-09	VYDAJ	PREVOD NA UCET	2042	15437	SIPO	UV	89067864
146399	490	1997-09-09	VYDAJ	PREVOD NA UCET	2042	14201	SIPO	UV	89067864
146400	490	1997-10-09	VYDAJ	PREVOD NA UCET	2042	15265	SIPO	UV	89067864
146401	490	1997-11-09	VYDAJ	PREVOD NA UCET	2042	14934	SIPO	UV	89067864
146402	490	1997-12-09	VYDAJ	PREVOD NA UCET	2042	13502	SIPO	UV	89067864
146403	490	1998-01-09	VYDAJ	PREVOD NA UCET	2042	14415	SIPO	UV	89067864
146404	490	1998-02-09	VYDAJ	PREVOD NA UCET	2042	14158	SIPO	UV	89067864
146405	490	1998-03-09	VYDAJ	PREVOD NA UCET	2042	15222	SIPO	UV	89067864
146406	490	1998-04-09	VYDAJ	PREVOD NA UCET	2042	16290	SIPO	UV	89067864
146407	490	1998-05-09	VYDAJ	PREVOD NA UCET	2042	16552	SIPO	UV	89067864
146408	490	1998-06-09	VYDAJ	PREVOD NA UCET	2042	16305	SIPO	UV	89067864
146409	490	1998-07-09	VYDAJ	PREVOD NA UCET	2042	16510	SIPO	UV	89067864
146410	490	1998-08-09	VYDAJ	PREVOD NA UCET	2042	12885	SIPO	UV	89067864
146411	490	1998-09-09	VYDAJ	PREVOD NA UCET	2042	13048	SIPO	UV	89067864
146412	490	1998-10-09	VYDAJ	PREVOD NA UCET	2042	13108	SIPO	UV	89067864
146413	490	1998-11-09	VYDAJ	PREVOD NA UCET	2042	14169	SIPO	UV	89067864
146414	490	1998-12-09	VYDAJ	PREVOD NA UCET	2042	15233	SIPO	UV	89067864
146420	490	1996-01-25	VYDAJ	VYBER	1170	12670	\N	\N	\N
146421	490	1997-01-10	VYDAJ	VYBER	1170	13758	\N	\N	\N
146423	490	1995-12-23	VYDAJ	VYBER	300	15589	\N	\N	\N
146424	490	1996-12-10	VYDAJ	VYBER	810	13864	\N	\N	\N
146425	490	1997-12-22	VYDAJ	VYBER	150	13352	\N	\N	\N
146426	490	1998-12-25	VYDAJ	VYBER	210	15023	\N	\N	\N
146433	490	1996-01-16	VYDAJ	VYBER	450	15400	\N	\N	\N
146434	490	1996-01-13	VYDAJ	VYBER	150	15850	\N	\N	\N
146435	490	1996-01-22	VYDAJ	VYBER	330	13840	\N	\N	\N
146436	490	1996-01-20	VYDAJ	VYBER	450	14170	\N	\N	\N
146437	490	1996-01-01	VYDAJ	VYBER	660	14979	\N	\N	\N
146438	490	1996-01-17	VYDAJ	VYBER	780	14620	\N	\N	\N
146443	490	1997-01-19	VYDAJ	VYBER	360	12898	\N	\N	\N
146447	490	1998-01-23	VYDAJ	VYBER	570	13095	\N	\N	\N
146449	490	1998-01-16	VYDAJ	VYBER	750	13665	\N	\N	\N
146458	490	1996-10-28	VYDAJ	VYBER	630	13175	\N	\N	\N
146459	490	1996-11-09	VYDAJ	VYBER	630	15654	\N	\N	\N
146460	490	1997-05-03	VYDAJ	VYBER	150	15749	\N	\N	\N
146462	490	1997-07-28	VYDAJ	VYBER	630	15386	\N	\N	\N
146463	490	1997-01-31	VYDAJ	VYBER	240	12699	\N	\N	\N
146464	490	1997-06-06	VYDAJ	VYBER	750	15624	\N	\N	\N
146465	490	1997-05-11	VYDAJ	VYBER	450	16320	\N	\N	\N
146466	490	1997-08-02	VYDAJ	VYBER	1020	14416	\N	\N	\N
146467	490	1997-11-28	VYDAJ	VYBER	900	14034	\N	\N	\N
146468	490	1998-07-08	VYDAJ	VYBER	870	18552	\N	\N	\N
146470	490	1998-06-04	VYDAJ	VYBER	1320	15284	\N	\N	\N
146471	490	1998-04-21	VYDAJ	VYBER	810	15480	\N	\N	\N
146482	490	1995-10-31	VYDAJ	VYBER	15	13801	SLUZBY	\N	\N
146483	490	1995-11-30	VYDAJ	VYBER	15	14868	SLUZBY	\N	\N
146484	490	1995-12-31	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
146485	490	1996-01-31	VYDAJ	VYBER	15	12717	SLUZBY	\N	\N
146486	490	1996-02-29	VYDAJ	VYBER	15	13779	SLUZBY	\N	\N
146487	490	1996-03-31	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
146488	490	1996-04-30	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
146489	490	1996-05-31	VYDAJ	VYBER	15	16994	SLUZBY	\N	\N
146490	490	1996-06-30	VYDAJ	VYBER	15	16571	SLUZBY	\N	\N
146491	490	1996-07-31	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
146492	490	1996-08-31	VYDAJ	VYBER	15	14215	SLUZBY	\N	\N
146493	490	1996-09-30	VYDAJ	VYBER	15	15284	SLUZBY	\N	\N
146494	490	1996-10-31	VYDAJ	VYBER	15	13221	SLUZBY	\N	\N
146495	490	1996-11-30	VYDAJ	VYBER	15	13653	SLUZBY	\N	\N
146496	490	1996-12-31	VYDAJ	VYBER	15	13907	SLUZBY	\N	\N
146497	490	1997-01-31	VYDAJ	VYBER	15	12939	SLUZBY	\N	\N
146498	490	1997-02-28	VYDAJ	VYBER	15	13762	SLUZBY	\N	\N
146499	490	1997-03-31	VYDAJ	VYBER	15	14828	SLUZBY	\N	\N
146500	490	1997-04-30	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
146501	490	1997-05-31	VYDAJ	VYBER	15	16374	SLUZBY	\N	\N
146502	490	1997-06-30	VYDAJ	VYBER	15	14995	SLUZBY	\N	\N
146503	490	1997-07-31	VYDAJ	VYBER	15	15436	SLUZBY	\N	\N
146504	490	1997-08-31	VYDAJ	VYBER	15	13180	SLUZBY	\N	\N
146505	490	1997-09-30	VYDAJ	VYBER	15	14244	SLUZBY	\N	\N
146506	490	1997-10-31	VYDAJ	VYBER	15	15313	SLUZBY	\N	\N
146507	490	1997-11-30	VYDAJ	VYBER	15	14081	SLUZBY	\N	\N
146508	490	1997-12-31	VYDAJ	VYBER	15	13394	SLUZBY	\N	\N
146509	490	1998-01-31	VYDAJ	VYBER	15	13137	SLUZBY	\N	\N
146510	490	1998-02-28	VYDAJ	VYBER	15	14201	SLUZBY	\N	\N
146511	490	1998-03-31	VYDAJ	VYBER	15	15269	SLUZBY	\N	\N
146512	490	1998-04-30	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
146513	490	1998-05-31	VYDAJ	VYBER	15	16604	SLUZBY	\N	\N
146514	490	1998-06-30	VYDAJ	VYBER	15	16359	SLUZBY	\N	\N
146515	490	1998-07-31	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
146516	490	1998-08-31	VYDAJ	VYBER	15	12927	SLUZBY	\N	\N
146517	490	1998-09-30	VYDAJ	VYBER	15	13087	SLUZBY	\N	\N
146518	490	1998-10-31	VYDAJ	VYBER	15	13148	SLUZBY	\N	\N
146519	490	1998-11-30	VYDAJ	VYBER	15	14212	SLUZBY	\N	\N
146520	490	1996-06-16	VYDAJ	VYBER	1500	16515	\N	\N	\N
146521	490	1996-07-16	VYDAJ	VYBER	1700	15892	\N	\N	\N
146522	490	1996-08-15	VYDAJ	VYBER	2800	14167	\N	\N	\N
146523	490	1996-10-14	VYDAJ	VYBER	2500	13805	\N	\N	\N
146524	490	1997-01-12	VYDAJ	VYBER	500	13258	\N	\N	\N
146525	490	1997-06-11	VYDAJ	VYBER	1700	14945	\N	\N	\N
146526	490	1997-08-10	VYDAJ	VYBER	2300	13137	\N	\N	\N
146527	490	1997-11-08	VYDAJ	VYBER	1400	16976	\N	\N	\N
146528	490	1997-12-08	VYDAJ	VYBER	1600	15544	\N	\N	\N
146529	490	1998-08-05	VYDAJ	VYBER	4700	11864	\N	\N	\N
146530	490	1998-09-04	VYDAJ	VYBER	900	12027	\N	\N	\N
146531	490	1998-10-04	VYDAJ	VYBER	1000	12087	\N	\N	\N
146571	491	1996-05-12	PRIJEM	VKLAD	600	600	\N	\N	\N
146577	491	1996-06-11	PRIJEM	VKLAD	30032	30632	\N	\N	\N
146578	491	1996-07-11	PRIJEM	VKLAD	20021	48738	\N	\N	\N
146579	491	1996-08-11	PRIJEM	VKLAD	20021	52738	\N	\N	\N
146580	491	1996-09-11	PRIJEM	VKLAD	20021	59173	\N	\N	\N
146581	491	1996-10-11	PRIJEM	VKLAD	20021	68132	\N	\N	\N
146582	491	1996-11-11	PRIJEM	VKLAD	20021	58820	\N	\N	\N
146583	491	1996-12-11	PRIJEM	VKLAD	30032	70094	\N	\N	\N
146584	491	1997-01-11	PRIJEM	VKLAD	20021	63882	\N	\N	\N
146585	491	1997-02-11	PRIJEM	VKLAD	20021	55750	\N	\N	\N
146586	491	1997-03-11	PRIJEM	VKLAD	20021	56690	\N	\N	\N
146587	491	1997-04-11	PRIJEM	VKLAD	20021	54136	\N	\N	\N
146588	491	1997-05-11	PRIJEM	VKLAD	20021	55775	\N	\N	\N
146589	491	1997-06-11	PRIJEM	VKLAD	30032	63728	\N	\N	\N
146590	491	1997-07-11	PRIJEM	VKLAD	20021	54774	\N	\N	\N
146591	491	1997-08-11	PRIJEM	VKLAD	20021	51108	\N	\N	\N
146592	491	1997-09-11	PRIJEM	VKLAD	20021	47232	\N	\N	\N
146593	491	1997-10-11	PRIJEM	VKLAD	20021	48041	\N	\N	\N
146594	491	1997-11-11	PRIJEM	VKLAD	20021	52448	\N	\N	\N
146595	491	1997-12-11	PRIJEM	VKLAD	30032	63081	\N	\N	\N
146596	491	1998-01-11	PRIJEM	VKLAD	20021	53735	\N	\N	\N
146597	491	1998-02-11	PRIJEM	VKLAD	20021	47762	\N	\N	\N
146598	491	1998-03-11	PRIJEM	VKLAD	20021	50167	\N	\N	\N
146599	491	1998-04-11	PRIJEM	VKLAD	20021	49272	\N	\N	\N
146600	491	1998-05-11	PRIJEM	VKLAD	20021	51584	\N	\N	\N
146601	491	1998-06-11	PRIJEM	VKLAD	30032	59711	\N	\N	\N
146602	491	1998-07-11	PRIJEM	VKLAD	20021	41444	\N	\N	\N
146603	491	1998-08-11	PRIJEM	VKLAD	20021	43522	\N	\N	\N
146604	491	1998-09-11	PRIJEM	VKLAD	20021	42400	\N	\N	\N
146605	491	1998-10-11	PRIJEM	VKLAD	20021	42974	\N	\N	\N
146606	491	1998-11-11	PRIJEM	VKLAD	20021	40249	\N	\N	\N
146607	491	1998-12-11	PRIJEM	VKLAD	30032	53024	\N	\N	\N
146618	491	1996-11-09	VYDAJ	PREVOD NA UCET	9090	38799	SIPO	EF	26434993
146619	491	1996-12-09	VYDAJ	PREVOD NA UCET	9090	40062	SIPO	EF	26434993
146620	491	1997-01-09	VYDAJ	PREVOD NA UCET	9090	44761	SIPO	EF	26434993
146621	491	1997-02-09	VYDAJ	PREVOD NA UCET	9090	35729	SIPO	EF	26434993
146622	491	1997-03-09	VYDAJ	PREVOD NA UCET	9090	36669	SIPO	EF	26434993
146623	491	1997-04-09	VYDAJ	PREVOD NA UCET	9090	35415	SIPO	EF	26434993
146624	491	1997-05-09	VYDAJ	PREVOD NA UCET	9090	35754	SIPO	EF	26434993
146625	491	1997-06-09	VYDAJ	PREVOD NA UCET	9090	33696	SIPO	EF	26434993
146626	491	1997-07-09	VYDAJ	PREVOD NA UCET	9090	34753	SIPO	EF	26434993
146627	491	1997-08-09	VYDAJ	PREVOD NA UCET	9090	31087	SIPO	EF	26434993
146628	491	1997-09-09	VYDAJ	PREVOD NA UCET	9090	27211	SIPO	EF	26434993
146629	491	1997-10-09	VYDAJ	PREVOD NA UCET	9090	28020	SIPO	EF	26434993
146630	491	1997-11-09	VYDAJ	PREVOD NA UCET	9090	32427	SIPO	EF	26434993
146631	491	1997-12-09	VYDAJ	PREVOD NA UCET	9090	33049	SIPO	EF	26434993
146632	491	1998-01-09	VYDAJ	PREVOD NA UCET	9090	35814	SIPO	EF	26434993
146633	491	1998-02-09	VYDAJ	PREVOD NA UCET	9090	27741	SIPO	EF	26434993
146634	491	1998-03-09	VYDAJ	PREVOD NA UCET	9090	30146	SIPO	EF	26434993
146635	491	1998-04-09	VYDAJ	PREVOD NA UCET	9090	29251	SIPO	EF	26434993
146636	491	1998-05-09	VYDAJ	PREVOD NA UCET	9090	31563	SIPO	EF	26434993
146637	491	1998-06-09	VYDAJ	PREVOD NA UCET	9090	29679	SIPO	EF	26434993
146638	491	1998-07-09	VYDAJ	PREVOD NA UCET	9090	22323	SIPO	EF	26434993
146639	491	1998-08-09	VYDAJ	PREVOD NA UCET	9090	23501	SIPO	EF	26434993
146640	491	1998-09-09	VYDAJ	PREVOD NA UCET	9090	22379	SIPO	EF	26434993
146641	491	1998-10-09	VYDAJ	PREVOD NA UCET	9090	22953	SIPO	EF	26434993
146642	491	1998-11-09	VYDAJ	PREVOD NA UCET	9090	20228	SIPO	EF	26434993
146643	491	1998-12-09	VYDAJ	PREVOD NA UCET	9090	22992	SIPO	EF	26434993
146645	491	1997-06-23	VYDAJ	VYBER	9600	50328	\N	\N	\N
146646	491	1998-06-28	VYDAJ	VYBER	18100	41611	\N	\N	\N
146648	491	1997-01-14	VYDAJ	VYBER	1100	62782	\N	\N	\N
146649	491	1998-01-23	VYDAJ	VYBER KARTOU	1800	49535	\N	\N	0
146650	491	1996-12-21	VYDAJ	VYBER	500	69594	\N	\N	\N
146651	491	1997-12-07	VYDAJ	VYBER KARTOU	1200	42139	\N	\N	0
146652	491	1998-12-23	VYDAJ	VYBER KARTOU	1200	51824	\N	\N	0
146659	491	1997-01-05	VYDAJ	VYBER	2500	64851	\N	\N	\N
146660	491	1997-01-10	VYDAJ	VYBER	900	43861	\N	\N	\N
146661	491	1997-01-23	VYDAJ	VYBER KARTOU	2900	58682	\N	\N	0
146662	491	1997-01-17	VYDAJ	VYBER	1200	61582	\N	\N	\N
146663	491	1997-01-23	VYDAJ	VYBER KARTOU	500	58182	\N	\N	0
146664	491	1997-01-05	VYDAJ	VYBER	1100	67351	\N	\N	\N
146665	491	1998-01-24	VYDAJ	VYBER KARTOU	2500	47035	\N	\N	0
146666	491	1998-01-06	VYDAJ	VYBER KARTOU	600	47104	\N	\N	0
146667	491	1998-01-28	VYDAJ	VYBER KARTOU	2400	44635	\N	\N	0
146668	491	1998-01-08	VYDAJ	VYBER KARTOU	2200	44904	\N	\N	0
146669	491	1998-01-10	VYDAJ	VYBER KARTOU	2100	33714	\N	\N	0
146670	491	1998-01-17	VYDAJ	VYBER KARTOU	2400	51335	\N	\N	0
146671	491	1996-11-03	VYDAJ	VYBER	2500	65889	\N	\N	\N
146678	491	1997-11-11	VYDAJ	VYBER KARTOU	3000	49448	\N	\N	0
146679	491	1997-06-16	VYDAJ	VYBER KARTOU	3800	59928	\N	\N	0
146680	491	1997-10-21	VYDAJ	VYBER KARTOU	2000	46041	\N	\N	0
146681	491	1997-08-22	VYDAJ	VYBER KARTOU	2300	48808	\N	\N	0
146682	491	1997-04-10	VYDAJ	VYBER KARTOU	1300	34115	\N	\N	0
146683	491	1997-01-04	VYDAJ	VYBER	1400	68451	\N	\N	\N
146684	491	1997-02-05	VYDAJ	VYBER KARTOU	3100	55319	\N	\N	0
146685	491	1998-06-29	VYDAJ	VYBER KARTOU	3500	38111	\N	\N	0
146686	491	1998-07-10	VYDAJ	VYBER KARTOU	900	21423	\N	\N	0
146687	491	1998-05-22	VYDAJ	VYBER	4900	46684	\N	\N	\N
146688	491	1998-03-12	VYDAJ	VYBER	4100	46067	\N	\N	\N
146689	491	1998-11-06	VYDAJ	VYBER KARTOU	2600	29318	\N	\N	0
146700	491	1996-10-31	VYDAJ	VYBER	15	68389	SLUZBY	\N	\N
146701	491	1996-11-30	VYDAJ	VYBER	15	59052	SLUZBY	\N	\N
146702	491	1996-12-31	VYDAJ	VYBER	15	69851	SLUZBY	\N	\N
146703	491	1997-01-31	VYDAJ	VYBER	15	58419	SLUZBY	\N	\N
146704	491	1997-02-28	VYDAJ	VYBER	15	55959	SLUZBY	\N	\N
146705	491	1997-03-31	VYDAJ	VYBER	15	56905	SLUZBY	\N	\N
146706	491	1997-04-30	VYDAJ	VYBER	15	54344	SLUZBY	\N	\N
146707	491	1997-05-31	VYDAJ	VYBER	15	55986	SLUZBY	\N	\N
146708	491	1997-06-30	VYDAJ	VYBER	15	50543	SLUZBY	\N	\N
146709	491	1997-07-31	VYDAJ	VYBER	15	54977	SLUZBY	\N	\N
146710	491	1997-08-31	VYDAJ	VYBER	15	49001	SLUZBY	\N	\N
146711	491	1997-09-30	VYDAJ	VYBER	15	47410	SLUZBY	\N	\N
146712	491	1997-10-31	VYDAJ	VYBER	15	46217	SLUZBY	\N	\N
146713	491	1997-11-30	VYDAJ	VYBER	15	49639	SLUZBY	\N	\N
146714	491	1997-12-31	VYDAJ	VYBER	15	63304	SLUZBY	\N	\N
146715	491	1998-01-31	VYDAJ	VYBER	15	44831	SLUZBY	\N	\N
146716	491	1998-02-28	VYDAJ	VYBER	15	47936	SLUZBY	\N	\N
146717	491	1998-03-31	VYDAJ	VYBER	15	46241	SLUZBY	\N	\N
146718	491	1998-04-30	VYDAJ	VYBER	15	49453	SLUZBY	\N	\N
146719	491	1998-05-31	VYDAJ	VYBER	15	46869	SLUZBY	\N	\N
146720	491	1998-06-30	VYDAJ	VYBER	15	38313	SLUZBY	\N	\N
146721	491	1998-07-31	VYDAJ	VYBER	15	32591	SLUZBY	\N	\N
146722	491	1998-08-31	VYDAJ	VYBER	15	31469	SLUZBY	\N	\N
146723	491	1998-09-30	VYDAJ	VYBER	15	32043	SLUZBY	\N	\N
146724	491	1998-10-31	VYDAJ	VYBER	15	31918	SLUZBY	\N	\N
146725	491	1998-11-30	VYDAJ	VYBER	15	32082	SLUZBY	\N	\N
146726	491	1996-06-11	VYDAJ	VYBER	2000	28632	\N	\N	\N
146727	491	1996-07-11	VYDAJ	VYBER	10700	38038	\N	\N	\N
146728	491	1996-08-10	VYDAJ	VYBER	5500	32717	\N	\N	\N
146729	491	1996-09-09	VYDAJ	VYBER	13800	39152	\N	\N	\N
146730	491	1996-10-09	VYDAJ	VYBER	11300	48111	\N	\N	\N
146731	491	1996-11-08	VYDAJ	VYBER	18000	47889	\N	\N	\N
146732	491	1996-12-08	VYDAJ	VYBER	9900	49152	\N	\N	\N
146733	491	1997-01-07	VYDAJ	VYBER	11000	53851	\N	\N	\N
146734	491	1997-02-06	VYDAJ	VYBER	10500	44819	\N	\N	\N
146735	491	1997-03-08	VYDAJ	VYBER	10200	45759	\N	\N	\N
146736	491	1997-04-07	VYDAJ	VYBER	12400	44505	\N	\N	\N
146737	491	1997-05-07	VYDAJ	VYBER	9500	44844	\N	\N	\N
146738	491	1997-06-06	VYDAJ	VYBER	13200	42786	\N	\N	\N
146739	491	1997-07-06	VYDAJ	VYBER	6700	43843	\N	\N	\N
146740	491	1997-08-05	VYDAJ	VYBER	14800	40177	\N	\N	\N
146741	491	1997-09-04	VYDAJ	VYBER	12700	36301	\N	\N	\N
146742	491	1997-10-04	VYDAJ	VYBER	10300	37110	\N	\N	\N
146743	491	1997-11-03	VYDAJ	VYBER	4700	41517	\N	\N	\N
146744	491	1997-12-03	VYDAJ	VYBER	6300	43339	\N	\N	\N
146745	491	1998-01-02	VYDAJ	VYBER	15600	47704	\N	\N	\N
146746	491	1998-02-01	VYDAJ	VYBER	8000	36831	\N	\N	\N
146747	491	1998-03-03	VYDAJ	VYBER	8700	39236	\N	\N	\N
146748	491	1998-04-02	VYDAJ	VYBER	7900	38341	\N	\N	\N
146749	491	1998-05-02	VYDAJ	VYBER	8800	40653	\N	\N	\N
146750	491	1998-06-01	VYDAJ	VYBER	8100	38769	\N	\N	\N
146751	491	1998-07-01	VYDAJ	VYBER	6900	31413	\N	\N	\N
146752	491	1998-07-31	VYDAJ	VYBER	9000	32605	\N	\N	\N
146753	491	1998-08-30	VYDAJ	VYBER	12200	31322	\N	\N	\N
146754	491	1998-09-29	VYDAJ	VYBER	10500	31900	\N	\N	\N
146755	491	1998-10-29	VYDAJ	VYBER	11200	31774	\N	\N	\N
146756	491	1998-11-28	VYDAJ	VYBER	8300	31949	\N	\N	\N
146788	492	1993-10-10	PRIJEM	VKLAD	500	500	\N	\N	\N
146798	492	1993-10-12	PRIJEM	VKLAD	5553	6053	\N	\N	\N
146799	492	1993-11-12	PRIJEM	VKLAD	5553	23122	\N	\N	\N
146800	492	1993-12-12	PRIJEM	VKLAD	8330	33923	\N	\N	\N
146801	492	1994-01-12	PRIJEM	VKLAD	5553	36101	\N	\N	\N
146802	492	1994-02-12	PRIJEM	VKLAD	5553	38201	\N	\N	\N
146803	492	1994-03-12	PRIJEM	VKLAD	5553	36695	\N	\N	\N
146804	492	1994-04-12	PRIJEM	VKLAD	5553	35466	\N	\N	\N
146805	492	1994-05-12	PRIJEM	VKLAD	5553	37352	\N	\N	\N
146806	492	1994-06-12	PRIJEM	VKLAD	8330	38978	\N	\N	\N
146807	492	1994-07-12	PRIJEM	VKLAD	5553	37828	\N	\N	\N
146808	492	1994-08-12	PRIJEM	VKLAD	5553	34640	\N	\N	\N
146809	492	1994-09-12	PRIJEM	VKLAD	5553	36626	\N	\N	\N
146810	492	1994-10-12	PRIJEM	VKLAD	5553	39114	\N	\N	\N
146811	492	1994-11-12	PRIJEM	VKLAD	5553	36212	\N	\N	\N
146812	492	1994-12-12	PRIJEM	VKLAD	8330	41383	\N	\N	\N
146813	492	1995-01-12	PRIJEM	VKLAD	5553	41224	\N	\N	\N
146814	492	1995-02-12	PRIJEM	VKLAD	5553	37361	\N	\N	\N
146815	492	1995-03-12	PRIJEM	VKLAD	5553	39168	\N	\N	\N
146816	492	1995-04-12	PRIJEM	VKLAD	5553	40860	\N	\N	\N
146817	492	1995-05-12	PRIJEM	VKLAD	5553	41265	\N	\N	\N
146818	492	1995-06-12	PRIJEM	VKLAD	8330	38421	\N	\N	\N
146819	492	1995-07-12	PRIJEM	VKLAD	5553	39114	\N	\N	\N
146820	492	1995-08-12	PRIJEM	VKLAD	5553	39585	\N	\N	\N
146821	492	1995-09-12	PRIJEM	VKLAD	5553	37280	\N	\N	\N
146822	492	1995-10-12	PRIJEM	VKLAD	5553	31168	\N	\N	\N
146823	492	1995-11-12	PRIJEM	VKLAD	5553	32730	\N	\N	\N
146824	492	1995-12-12	PRIJEM	VKLAD	8330	36141	\N	\N	\N
146825	492	1996-01-12	PRIJEM	VKLAD	5553	34538	\N	\N	\N
146826	492	1996-02-12	PRIJEM	VKLAD	5553	34784	\N	\N	\N
146827	492	1996-03-12	PRIJEM	VKLAD	5553	35385	\N	\N	\N
146828	492	1996-04-12	PRIJEM	VKLAD	5553	39249	\N	\N	\N
146829	492	1996-05-12	PRIJEM	VKLAD	5553	35725	\N	\N	\N
146830	492	1996-06-12	PRIJEM	VKLAD	8330	33923	\N	\N	\N
146831	492	1996-07-12	PRIJEM	VKLAD	5553	29910	\N	\N	\N
146832	492	1996-08-12	PRIJEM	VKLAD	5553	32326	\N	\N	\N
146833	492	1996-09-12	PRIJEM	VKLAD	5553	31974	\N	\N	\N
146834	492	1996-10-12	PRIJEM	VKLAD	5553	35625	\N	\N	\N
146835	492	1996-11-12	PRIJEM	VKLAD	5553	32584	\N	\N	\N
146836	492	1996-12-12	PRIJEM	VKLAD	8330	31291	\N	\N	\N
146837	492	1997-01-12	PRIJEM	VKLAD	5553	30526	\N	\N	\N
146838	492	1997-02-12	PRIJEM	VKLAD	5553	25272	\N	\N	\N
146839	492	1997-03-12	PRIJEM	VKLAD	5553	29495	\N	\N	\N
146840	492	1997-04-12	PRIJEM	VKLAD	5553	33036	\N	\N	\N
146841	492	1997-05-12	PRIJEM	VKLAD	5553	33073	\N	\N	\N
146842	492	1997-06-12	PRIJEM	VKLAD	8330	32380	\N	\N	\N
146843	492	1997-07-12	PRIJEM	VKLAD	5553	35540	\N	\N	\N
146844	492	1997-08-12	PRIJEM	VKLAD	5553	27594	\N	\N	\N
146845	492	1997-09-12	PRIJEM	VKLAD	5553	25729	\N	\N	\N
146846	492	1997-10-12	PRIJEM	VKLAD	5553	26951	\N	\N	\N
146847	492	1997-11-12	PRIJEM	VKLAD	5553	31484	\N	\N	\N
146848	492	1997-12-12	PRIJEM	VKLAD	8330	29722	\N	\N	\N
146849	492	1998-01-12	PRIJEM	VKLAD	5553	15677	\N	\N	\N
146850	492	1998-02-12	PRIJEM	VKLAD	5553	13361	\N	\N	\N
146851	492	1998-03-12	PRIJEM	VKLAD	5553	5508	\N	\N	\N
146852	492	1998-04-12	PRIJEM	VKLAD	5553	14473	\N	\N	\N
146853	492	1998-05-12	PRIJEM	VKLAD	5553	15048	\N	\N	\N
146854	492	1998-06-12	PRIJEM	VKLAD	8330	21712	\N	\N	\N
146855	492	1998-07-12	PRIJEM	VKLAD	5553	23211	\N	\N	\N
146856	492	1998-08-12	PRIJEM	VKLAD	5553	25525	\N	\N	\N
146857	492	1998-09-12	PRIJEM	VKLAD	5553	26044	\N	\N	\N
146858	492	1998-10-12	PRIJEM	VKLAD	5553	18790	\N	\N	\N
146859	492	1998-11-12	PRIJEM	VKLAD	5553	15257	\N	\N	\N
146860	492	1998-12-12	PRIJEM	VKLAD	8330	16614	\N	\N	\N
146862	492	1994-12-12	VYDAJ	VYBER	800	40583	\N	\N	\N
146863	492	1995-12-10	VYDAJ	VYBER	2400	27811	\N	\N	\N
146864	492	1996-12-07	VYDAJ	VYBER	2560	22961	\N	\N	\N
146865	492	1997-12-27	VYDAJ	VYBER	3360	13422	\N	\N	\N
146866	492	1998-12-01	VYDAJ	VYBER	1600	8284	\N	\N	\N
146879	492	1995-01-20	VYDAJ	VYBER	1560	37504	\N	\N	\N
146880	492	1995-01-11	VYDAJ	VYBER	960	35671	\N	\N	\N
146881	492	1995-01-24	VYDAJ	VYBER	600	34984	\N	\N	\N
146882	492	1995-01-25	VYDAJ	VYBER	720	34264	\N	\N	\N
146883	492	1995-01-20	VYDAJ	VYBER	1920	35584	\N	\N	\N
146884	492	1995-01-13	VYDAJ	VYBER	2160	39064	\N	\N	\N
146885	492	1996-01-25	VYDAJ	VYBER	2040	27218	\N	\N	\N
146886	492	1996-01-25	VYDAJ	VYBER	840	29258	\N	\N	\N
146887	492	1996-01-24	VYDAJ	VYBER	1440	30098	\N	\N	\N
146888	492	1996-01-13	VYDAJ	VYBER	2400	32138	\N	\N	\N
146889	492	1996-01-10	VYDAJ	VYBER	1680	28985	\N	\N	\N
146890	492	1996-01-15	VYDAJ	VYBER	600	31538	\N	\N	\N
146891	492	1997-01-08	VYDAJ	VYBER	2520	24973	\N	\N	\N
146892	492	1997-01-17	VYDAJ	VYBER	960	27886	\N	\N	\N
146893	492	1997-01-12	VYDAJ	VYBER	1680	28846	\N	\N	\N
146894	492	1997-01-29	VYDAJ	VYBER	3240	19626	\N	\N	\N
146895	492	1997-01-22	VYDAJ	VYBER	1800	23566	\N	\N	\N
146896	492	1997-01-19	VYDAJ	VYBER	2520	25366	\N	\N	\N
146897	492	1998-01-26	VYDAJ	VYBER	2880	7777	\N	\N	\N
146898	492	1998-01-07	VYDAJ	VYBER	3360	10124	\N	\N	\N
146899	492	1998-01-22	VYDAJ	VYBER	1560	10657	\N	\N	\N
146900	492	1998-01-12	VYDAJ	VYBER	840	14837	\N	\N	\N
146901	492	1998-01-18	VYDAJ	VYBER	3000	12217	\N	\N	\N
146902	492	1998-01-13	VYDAJ	VYBER	3120	11717	\N	\N	\N
146909	492	1994-08-11	VYDAJ	VYBER	1080	29087	\N	\N	\N
146910	492	1994-06-20	VYDAJ	VYBER	3840	35138	\N	\N	\N
146911	492	1994-05-24	VYDAJ	VYBER	2040	35312	\N	\N	\N
146912	492	1994-03-22	VYDAJ	VYBER	1920	34775	\N	\N	\N
146913	492	1995-07-19	VYDAJ	VYBER	4920	34194	\N	\N	\N
146914	492	1995-11-23	VYDAJ	VYBER	3120	29610	\N	\N	\N
146915	492	1995-02-26	VYDAJ	VYBER	4080	33281	\N	\N	\N
146916	492	1995-06-10	VYDAJ	VYBER	3360	30091	\N	\N	\N
146917	492	1995-03-21	VYDAJ	VYBER	600	38568	\N	\N	\N
146918	492	1995-05-16	VYDAJ	VYBER	5160	36105	\N	\N	\N
146919	492	1995-10-07	VYDAJ	VYBER	2880	25615	\N	\N	\N
146920	492	1995-09-14	VYDAJ	VYBER	3720	33560	\N	\N	\N
146921	492	1995-09-02	VYDAJ	VYBER	5400	31727	\N	\N	\N
146922	492	1996-07-10	VYDAJ	VYBER	5160	24357	\N	\N	\N
146923	492	1996-05-28	VYDAJ	VYBER	2520	25485	\N	\N	\N
146924	492	1996-02-24	VYDAJ	VYBER	960	33824	\N	\N	\N
146925	492	1996-05-13	VYDAJ	VYBER	4920	30805	\N	\N	\N
146926	492	1996-12-07	VYDAJ	VYBER	2160	25521	\N	\N	\N
146927	492	1996-07-22	VYDAJ	VYBER	4440	25470	\N	\N	\N
146928	492	1997-12-20	VYDAJ	VYBER	5040	16782	\N	\N	\N
146929	492	1997-06-03	VYDAJ	VYBER	3120	24050	\N	\N	\N
146930	492	1997-11-30	VYDAJ	VYBER	3480	21392	\N	\N	\N
146931	492	1997-08-03	VYDAJ	VYBER	3000	22041	\N	\N	\N
146932	492	1997-04-22	VYDAJ	VYBER	5520	27416	\N	\N	\N
146933	492	1998-09-19	VYDAJ	VYBER	4560	13184	\N	\N	\N
146934	492	1998-05-05	VYDAJ	VYBER	600	9495	\N	\N	\N
146935	492	1998-03-03	VYDAJ	VYBER	5640	-45	\N	\N	\N
146936	492	1998-11-04	VYDAJ	VYBER	2520	9704	\N	\N	\N
146937	492	1998-02-16	VYDAJ	VYBER	2280	11081	\N	\N	\N
146938	492	1998-02-23	VYDAJ	VYBER	3000	5581	\N	\N	\N
146953	492	1994-02-28	VYDAJ	VYBER	15	38342	SLUZBY	\N	\N
146954	492	1994-03-31	VYDAJ	VYBER	15	34913	SLUZBY	\N	\N
146955	492	1994-04-30	VYDAJ	VYBER	15	35599	SLUZBY	\N	\N
146956	492	1994-05-31	VYDAJ	VYBER	15	35448	SLUZBY	\N	\N
146957	492	1994-06-30	VYDAJ	VYBER	15	35275	SLUZBY	\N	\N
146958	492	1994-07-31	VYDAJ	VYBER	15	37967	SLUZBY	\N	\N
146959	492	1994-08-31	VYDAJ	VYBER	15	34773	SLUZBY	\N	\N
146960	492	1994-09-30	VYDAJ	VYBER	15	36761	SLUZBY	\N	\N
146961	492	1994-10-31	VYDAJ	VYBER	15	39259	SLUZBY	\N	\N
146962	492	1994-11-30	VYDAJ	VYBER	15	36353	SLUZBY	\N	\N
146963	492	1994-12-31	VYDAJ	VYBER	15	40731	SLUZBY	\N	\N
146964	492	1995-01-31	VYDAJ	VYBER	15	34408	SLUZBY	\N	\N
146965	492	1995-02-28	VYDAJ	VYBER	15	33415	SLUZBY	\N	\N
146966	492	1995-03-31	VYDAJ	VYBER	15	38707	SLUZBY	\N	\N
146967	492	1995-04-30	VYDAJ	VYBER	15	41012	SLUZBY	\N	\N
146968	492	1995-05-31	VYDAJ	VYBER	15	36251	SLUZBY	\N	\N
146969	492	1995-06-30	VYDAJ	VYBER	15	38561	SLUZBY	\N	\N
146970	492	1995-07-31	VYDAJ	VYBER	15	34332	SLUZBY	\N	\N
146971	492	1995-08-31	VYDAJ	VYBER	15	39727	SLUZBY	\N	\N
146972	492	1995-09-30	VYDAJ	VYBER	15	33695	SLUZBY	\N	\N
146973	492	1995-10-31	VYDAJ	VYBER	15	27177	SLUZBY	\N	\N
146974	492	1995-11-30	VYDAJ	VYBER	15	30211	SLUZBY	\N	\N
146975	492	1995-12-31	VYDAJ	VYBER	15	30665	SLUZBY	\N	\N
146976	492	1996-01-31	VYDAJ	VYBER	15	29231	SLUZBY	\N	\N
146977	492	1996-02-29	VYDAJ	VYBER	15	29832	SLUZBY	\N	\N
146978	492	1996-03-31	VYDAJ	VYBER	15	33696	SLUZBY	\N	\N
146979	492	1996-04-30	VYDAJ	VYBER	15	30172	SLUZBY	\N	\N
146980	492	1996-05-31	VYDAJ	VYBER	15	25593	SLUZBY	\N	\N
146981	492	1996-06-30	VYDAJ	VYBER	15	29517	SLUZBY	\N	\N
146982	492	1996-07-31	VYDAJ	VYBER	15	26773	SLUZBY	\N	\N
146983	492	1996-08-31	VYDAJ	VYBER	15	26421	SLUZBY	\N	\N
146984	492	1996-09-30	VYDAJ	VYBER	15	30072	SLUZBY	\N	\N
146985	492	1996-10-31	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
146986	492	1996-11-30	VYDAJ	VYBER	15	27681	SLUZBY	\N	\N
146987	492	1996-12-31	VYDAJ	VYBER	15	27493	SLUZBY	\N	\N
146988	492	1997-01-31	VYDAJ	VYBER	15	19719	SLUZBY	\N	\N
146989	492	1997-02-28	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
146990	492	1997-03-31	VYDAJ	VYBER	15	27483	SLUZBY	\N	\N
146991	492	1997-04-30	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
146992	492	1997-05-31	VYDAJ	VYBER	15	27170	SLUZBY	\N	\N
146993	492	1997-06-30	VYDAJ	VYBER	15	29987	SLUZBY	\N	\N
146994	492	1997-07-31	VYDAJ	VYBER	15	25041	SLUZBY	\N	\N
146995	492	1997-08-31	VYDAJ	VYBER	15	20176	SLUZBY	\N	\N
146996	492	1997-09-30	VYDAJ	VYBER	15	21398	SLUZBY	\N	\N
146997	492	1997-10-31	VYDAJ	VYBER	15	25931	SLUZBY	\N	\N
146998	492	1997-11-30	VYDAJ	VYBER	15	24872	SLUZBY	\N	\N
146999	492	1997-12-31	VYDAJ	VYBER	15	13484	SLUZBY	\N	\N
147000	492	1998-01-31	VYDAJ	VYBER	15	7808	SLUZBY	\N	\N
147001	492	1998-02-28	VYDAJ	VYBER	15	5595	SLUZBY	\N	\N
147002	492	1998-03-31	VYDAJ	VYBER	15	8920	SLUZBY	\N	\N
147003	492	1998-04-30	VYDAJ	VYBER	15	10095	SLUZBY	\N	\N
147004	492	1998-05-31	VYDAJ	VYBER	15	13382	SLUZBY	\N	\N
147005	492	1998-06-30	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
147006	492	1998-07-31	VYDAJ	VYBER	15	19972	SLUZBY	\N	\N
147007	492	1998-08-31	VYDAJ	VYBER	15	20491	SLUZBY	\N	\N
147008	492	1998-09-30	VYDAJ	VYBER	15	13237	SLUZBY	\N	\N
147009	492	1998-10-31	VYDAJ	VYBER	15	12224	SLUZBY	\N	\N
147010	492	1998-11-30	VYDAJ	VYBER	15	9884	SLUZBY	\N	\N
147011	492	1993-11-09	PRIJEM	VKLAD	11500	17569	\N	\N	\N
147012	492	1993-12-09	PRIJEM	VKLAD	2400	25593	\N	\N	\N
147013	492	1994-01-08	VYDAJ	VYBER	3500	30548	\N	\N	\N
147014	492	1994-02-07	VYDAJ	VYBER	3600	32648	\N	\N	\N
147015	492	1994-03-09	VYDAJ	VYBER	7200	31142	\N	\N	\N
147016	492	1994-04-08	VYDAJ	VYBER	5000	29913	\N	\N	\N
147017	492	1994-05-08	VYDAJ	VYBER	3800	31799	\N	\N	\N
147018	492	1994-06-07	VYDAJ	VYBER	4800	30648	\N	\N	\N
147019	492	1994-07-07	VYDAJ	VYBER	3000	32275	\N	\N	\N
147020	492	1994-08-06	VYDAJ	VYBER	7800	30167	\N	\N	\N
147021	492	1994-09-05	VYDAJ	VYBER	3700	31073	\N	\N	\N
147022	492	1994-10-05	VYDAJ	VYBER	3200	33561	\N	\N	\N
147023	492	1994-11-04	VYDAJ	VYBER	8600	30659	\N	\N	\N
147024	492	1994-12-04	VYDAJ	VYBER	3300	33053	\N	\N	\N
147025	492	1995-01-03	VYDAJ	VYBER	4100	36631	\N	\N	\N
147026	492	1995-02-02	VYDAJ	VYBER	2600	31808	\N	\N	\N
147027	492	1995-03-04	PRIJEM	VKLAD	200	33615	\N	\N	\N
147028	492	1995-04-03	VYDAJ	VYBER	3400	35307	\N	\N	\N
147029	492	1995-05-03	VYDAJ	VYBER	5300	35712	\N	\N	\N
147030	492	1995-06-02	VYDAJ	VYBER	2800	33451	\N	\N	\N
147031	492	1995-07-02	VYDAJ	VYBER	5000	33561	\N	\N	\N
147032	492	1995-08-01	VYDAJ	VYBER	300	34032	\N	\N	\N
147033	492	1995-08-31	VYDAJ	VYBER	2600	37127	\N	\N	\N
147034	492	1995-09-30	VYDAJ	VYBER	5200	28495	\N	\N	\N
147035	492	1995-10-30	VYDAJ	VYBER	4100	27068	\N	\N	\N
147036	492	1995-11-29	PRIJEM	VKLAD	500	30110	\N	\N	\N
147037	492	1995-12-29	VYDAJ	VYBER	5600	30541	\N	\N	\N
147038	492	1996-01-28	PRIJEM	VKLAD	1900	29118	\N	\N	\N
147039	492	1996-02-27	VYDAJ	VYBER	4100	29724	\N	\N	\N
147040	492	1996-03-28	VYDAJ	VYBER	1800	33585	\N	\N	\N
147041	492	1996-04-27	VYDAJ	VYBER	9200	30049	\N	\N	\N
147042	492	1996-05-27	VYDAJ	VYBER	2800	28005	\N	\N	\N
147043	492	1996-06-26	VYDAJ	VYBER	4500	29423	\N	\N	\N
147044	492	1996-07-26	PRIJEM	VKLAD	1200	26670	\N	\N	\N
147045	492	1996-08-25	VYDAJ	VYBER	6000	26326	\N	\N	\N
147046	492	1996-09-24	VYDAJ	VYBER	2000	29974	\N	\N	\N
147047	492	1996-10-24	VYDAJ	VYBER	8700	26925	\N	\N	\N
147048	492	1996-11-23	VYDAJ	VYBER	5000	27584	\N	\N	\N
147049	492	1996-12-23	VYDAJ	VYBER	3900	27391	\N	\N	\N
147050	492	1997-01-22	VYDAJ	VYBER	700	22866	\N	\N	\N
147051	492	1997-02-21	VYDAJ	VYBER	1400	23872	\N	\N	\N
147052	492	1997-03-23	VYDAJ	VYBER	2100	27395	\N	\N	\N
147053	492	1997-04-22	VYDAJ	VYBER	100	32936	\N	\N	\N
147054	492	1997-05-22	VYDAJ	VYBER	6000	27073	\N	\N	\N
147055	492	1997-06-21	VYDAJ	VYBER	2500	29880	\N	\N	\N
147056	492	1997-07-21	VYDAJ	VYBER	10600	24940	\N	\N	\N
147057	492	1997-08-20	VYDAJ	VYBER	7500	20094	\N	\N	\N
147058	492	1997-09-19	VYDAJ	VYBER	4400	21329	\N	\N	\N
147059	492	1997-10-19	VYDAJ	VYBER	1100	25851	\N	\N	\N
147060	492	1997-11-18	VYDAJ	VYBER	6700	24784	\N	\N	\N
147061	492	1997-12-18	VYDAJ	VYBER	7900	21822	\N	\N	\N
147062	492	1998-01-17	PRIJEM	VKLAD	3500	15217	\N	\N	\N
147063	492	1998-02-16	VYDAJ	VYBER	2500	8581	\N	\N	\N
147064	492	1998-03-18	PRIJEM	VKLAD	3400	8908	\N	\N	\N
147065	492	1998-04-17	VYDAJ	VYBER	4400	10073	\N	\N	\N
147066	492	1998-05-17	VYDAJ	VYBER	1700	13348	\N	\N	\N
147067	492	1998-06-16	VYDAJ	VYBER	4100	17612	\N	\N	\N
147068	492	1998-07-16	VYDAJ	VYBER	3300	19911	\N	\N	\N
147069	492	1998-08-15	VYDAJ	VYBER	5100	20425	\N	\N	\N
147070	492	1998-09-14	VYDAJ	VYBER	8300	17744	\N	\N	\N
147071	492	1998-10-14	VYDAJ	VYBER	6600	12190	\N	\N	\N
147072	492	1998-11-13	VYDAJ	VYBER	5400	9857	\N	\N	\N
147138	493	1994-04-05	PRIJEM	VKLAD	800	800	\N	\N	\N
147142	493	1994-04-07	PRIJEM	VKLAD	17129	17929	\N	\N	\N
147143	493	1994-05-07	PRIJEM	VKLAD	17129	40318	\N	\N	\N
147144	493	1994-06-07	PRIJEM	VKLAD	25694	58362	\N	\N	\N
147145	493	1994-07-07	PRIJEM	VKLAD	17129	57119	\N	\N	\N
147146	493	1994-08-07	PRIJEM	VKLAD	17129	59287	\N	\N	\N
147147	493	1994-09-07	PRIJEM	VKLAD	17129	53712	\N	\N	\N
147148	493	1994-10-07	PRIJEM	VKLAD	17129	58947	\N	\N	\N
147149	493	1994-11-07	PRIJEM	VKLAD	17129	58923	\N	\N	\N
147150	493	1994-12-07	PRIJEM	VKLAD	25694	67743	\N	\N	\N
147151	493	1995-01-07	PRIJEM	VKLAD	17129	61108	\N	\N	\N
147152	493	1995-02-07	PRIJEM	VKLAD	17129	53794	\N	\N	\N
147153	493	1995-03-07	PRIJEM	VKLAD	17129	57918	\N	\N	\N
147154	493	1995-04-07	PRIJEM	VKLAD	17129	60924	\N	\N	\N
147155	493	1995-05-07	PRIJEM	VKLAD	17129	61320	\N	\N	\N
147156	493	1995-06-07	PRIJEM	VKLAD	25694	68092	\N	\N	\N
147157	493	1995-07-07	PRIJEM	VKLAD	17129	59786	\N	\N	\N
147158	493	1995-08-07	PRIJEM	VKLAD	17129	63379	\N	\N	\N
147159	493	1995-09-07	PRIJEM	VKLAD	17129	65887	\N	\N	\N
147160	493	1995-10-07	PRIJEM	VKLAD	17129	66404	\N	\N	\N
147161	493	1995-11-07	PRIJEM	VKLAD	17129	68324	\N	\N	\N
147162	493	1995-12-07	PRIJEM	VKLAD	25694	77240	\N	\N	\N
147163	493	1996-01-07	PRIJEM	VKLAD	17129	72277	\N	\N	\N
147164	493	1996-02-07	PRIJEM	VKLAD	17129	61021	\N	\N	\N
147165	493	1996-03-07	PRIJEM	VKLAD	17129	66436	\N	\N	\N
147166	493	1996-04-07	PRIJEM	VKLAD	17129	69258	\N	\N	\N
147167	493	1996-05-07	PRIJEM	VKLAD	17129	67487	\N	\N	\N
147168	493	1996-06-07	PRIJEM	VKLAD	25694	73772	\N	\N	\N
147169	493	1996-07-07	PRIJEM	VKLAD	17129	53961	\N	\N	\N
147170	493	1996-08-07	PRIJEM	VKLAD	17129	53551	\N	\N	\N
147171	493	1996-09-07	PRIJEM	VKLAD	17129	54316	\N	\N	\N
147172	493	1996-10-07	PRIJEM	VKLAD	17129	57188	\N	\N	\N
147173	493	1996-11-07	PRIJEM	VKLAD	17129	53562	\N	\N	\N
147174	493	1996-12-07	PRIJEM	VKLAD	25694	62993	\N	\N	\N
147175	493	1997-01-07	PRIJEM	VKLAD	17129	63309	\N	\N	\N
147176	493	1997-02-07	PRIJEM	VKLAD	17129	48487	\N	\N	\N
147177	493	1997-03-07	PRIJEM	VKLAD	17129	55842	\N	\N	\N
147178	493	1997-04-07	PRIJEM	VKLAD	17129	57818	\N	\N	\N
147179	493	1997-05-07	PRIJEM	VKLAD	17129	58805	\N	\N	\N
147180	493	1997-06-07	PRIJEM	VKLAD	25694	70394	\N	\N	\N
147181	493	1997-07-07	PRIJEM	VKLAD	17129	60758	\N	\N	\N
147182	493	1997-08-07	PRIJEM	VKLAD	17129	61553	\N	\N	\N
147183	493	1997-09-07	PRIJEM	VKLAD	17129	58253	\N	\N	\N
147184	493	1997-10-07	PRIJEM	VKLAD	17129	57836	\N	\N	\N
147185	493	1997-11-07	PRIJEM	VKLAD	17129	60745	\N	\N	\N
147186	493	1997-12-07	PRIJEM	VKLAD	25694	65908	\N	\N	\N
147187	493	1998-01-07	PRIJEM	VKLAD	17129	57920	\N	\N	\N
147188	493	1998-02-07	PRIJEM	VKLAD	17129	41263	\N	\N	\N
147189	493	1998-03-07	PRIJEM	VKLAD	17129	46687	\N	\N	\N
147190	493	1998-04-07	PRIJEM	VKLAD	17129	53037	\N	\N	\N
147191	493	1998-05-07	PRIJEM	VKLAD	17129	57106	\N	\N	\N
147192	493	1998-06-07	PRIJEM	VKLAD	25694	63244	\N	\N	\N
147193	493	1998-07-07	PRIJEM	VKLAD	17129	54016	\N	\N	\N
147194	493	1998-08-07	PRIJEM	VKLAD	17129	48587	\N	\N	\N
147195	493	1998-09-07	PRIJEM	VKLAD	17129	47025	\N	\N	\N
147196	493	1998-10-07	PRIJEM	VKLAD	17129	52674	\N	\N	\N
147197	493	1998-11-07	PRIJEM	VKLAD	17129	50325	\N	\N	\N
147198	493	1998-12-07	PRIJEM	VKLAD	25694	54825	\N	\N	\N
147200	493	1995-06-15	VYDAJ	VYBER	13920	54172	\N	\N	\N
147201	493	1996-06-23	VYDAJ	VYBER	25120	43132	\N	\N	\N
147202	493	1997-06-29	VYDAJ	VYBER	5440	43454	\N	\N	\N
147205	493	1995-01-29	VYDAJ	VYBER	7840	47028	\N	\N	\N
147206	493	1996-01-19	VYDAJ	VYBER	11840	58757	\N	\N	\N
147207	493	1997-01-07	VYDAJ	VYBER	13120	50189	\N	\N	\N
147208	493	1998-01-20	VYDAJ	VYBER KARTOU	1900	30100	\N	\N	0
147209	493	1994-12-24	VYDAJ	VYBER	2240	65503	\N	\N	\N
147210	493	1995-12-19	VYDAJ	VYBER	1440	75800	\N	\N	\N
147211	493	1996-12-10	VYDAJ	VYBER KARTOU	800	62193	\N	\N	0
147212	493	1997-12-06	VYDAJ	VYBER KARTOU	1100	40214	\N	\N	0
147213	493	1998-12-20	VYDAJ	VYBER KARTOU	2100	34925	\N	\N	0
147220	493	1995-01-24	VYDAJ	VYBER	600	58828	\N	\N	\N
147221	493	1995-01-01	VYDAJ	VYBER	1800	45059	\N	\N	\N
147222	493	1995-01-27	VYDAJ	VYBER	840	57988	\N	\N	\N
147223	493	1995-01-29	VYDAJ	VYBER	1920	54868	\N	\N	\N
147224	493	1995-01-28	VYDAJ	VYBER	1200	56788	\N	\N	\N
147225	493	1995-01-19	VYDAJ	VYBER	1680	59428	\N	\N	\N
147226	493	1996-01-26	VYDAJ	VYBER KARTOU	1400	47657	\N	\N	0
147227	493	1996-01-14	VYDAJ	VYBER	1680	70597	\N	\N	\N
147228	493	1996-01-26	VYDAJ	VYBER KARTOU	2900	44757	\N	\N	0
147229	493	1996-01-21	VYDAJ	VYBER KARTOU	1700	57057	\N	\N	0
147230	493	1996-01-03	VYDAJ	VYBER	2880	55148	\N	\N	\N
147231	493	1996-01-27	VYDAJ	VYBER KARTOU	1100	43657	\N	\N	0
147232	493	1997-01-29	VYDAJ	VYBER KARTOU	1700	31189	\N	\N	0
147233	493	1997-01-26	VYDAJ	VYBER KARTOU	3400	32889	\N	\N	0
147234	493	1997-01-17	VYDAJ	VYBER KARTOU	600	47689	\N	\N	0
147235	493	1997-01-18	VYDAJ	VYBER KARTOU	2500	45189	\N	\N	0
147236	493	1997-01-12	VYDAJ	VYBER KARTOU	1900	48289	\N	\N	0
147237	493	1997-01-24	VYDAJ	VYBER KARTOU	800	36289	\N	\N	0
147238	493	1998-01-09	VYDAJ	VYBER KARTOU	2200	55120	\N	\N	0
147239	493	1998-01-08	VYDAJ	VYBER KARTOU	600	57320	\N	\N	0
147240	493	1998-01-21	VYDAJ	VYBER KARTOU	2600	27500	\N	\N	0
147241	493	1998-01-22	VYDAJ	VYBER KARTOU	2200	25300	\N	\N	0
147242	493	1998-01-30	VYDAJ	VYBER KARTOU	1300	24000	\N	\N	0
147243	493	1998-01-06	VYDAJ	VYBER KARTOU	2600	40791	\N	\N	0
147245	493	1994-08-21	VYDAJ	VYBER	3480	50167	\N	\N	\N
147247	493	1994-11-05	VYDAJ	VYBER	2880	41794	\N	\N	\N
147250	493	1994-08-19	VYDAJ	VYBER	5640	53647	\N	\N	\N
147251	493	1995-01-05	VYDAJ	VYBER	1080	43979	\N	\N	\N
147252	493	1995-05-14	VYDAJ	VYBER	3720	57600	\N	\N	\N
147253	493	1995-03-22	VYDAJ	VYBER	4440	53478	\N	\N	\N
147254	493	1995-02-06	VYDAJ	VYBER	1080	36665	\N	\N	\N
147255	493	1995-11-24	VYDAJ	VYBER	4080	64244	\N	\N	\N
147256	493	1996-06-13	VYDAJ	VYBER	5520	68252	\N	\N	\N
147257	493	1996-02-18	VYDAJ	VYBER KARTOU	600	60421	\N	\N	0
147258	493	1996-07-28	VYDAJ	VYBER	4680	36281	\N	\N	\N
147259	493	1997-05-11	VYDAJ	VYBER	5280	53525	\N	\N	\N
147260	493	1997-11-10	VYDAJ	VYBER KARTOU	1400	59345	\N	\N	0
147261	493	1997-08-11	VYDAJ	VYBER	5400	56153	\N	\N	\N
147262	493	1997-04-19	VYDAJ	VYBER KARTOU	2200	41518	\N	\N	0
147263	493	1997-12-10	VYDAJ	VYBER KARTOU	3500	62408	\N	\N	0
147264	493	1997-10-03	VYDAJ	VYBER KARTOU	700	40707	\N	\N	0
147265	493	1998-01-12	VYDAJ	VYBER	4920	47100	\N	\N	\N
147266	493	1998-07-02	VYDAJ	VYBER KARTOU	2900	36887	\N	\N	0
147267	493	1998-05-21	VYDAJ	VYBER KARTOU	3200	37406	\N	\N	0
147268	493	1998-03-21	VYDAJ	VYBER KARTOU	1800	35787	\N	\N	0
147269	493	1998-07-23	VYDAJ	VYBER	4200	31316	\N	\N	\N
147270	493	1998-01-09	VYDAJ	VYBER KARTOU	3100	52020	\N	\N	0
147271	493	1998-08-16	VYDAJ	VYBER KARTOU	3100	29787	\N	\N	0
147280	493	1994-08-31	VYDAJ	VYBER	15	50383	SLUZBY	\N	\N
147281	493	1994-09-30	VYDAJ	VYBER	15	53918	SLUZBY	\N	\N
147282	493	1994-10-31	VYDAJ	VYBER	15	59174	SLUZBY	\N	\N
147283	493	1994-11-30	VYDAJ	VYBER	15	59149	SLUZBY	\N	\N
147284	493	1994-12-31	VYDAJ	VYBER	15	46859	SLUZBY	\N	\N
147285	493	1995-01-31	VYDAJ	VYBER	15	37745	SLUZBY	\N	\N
147286	493	1995-02-28	VYDAJ	VYBER	15	53989	SLUZBY	\N	\N
147287	493	1995-03-31	VYDAJ	VYBER	15	53695	SLUZBY	\N	\N
147288	493	1995-04-30	VYDAJ	VYBER	15	61091	SLUZBY	\N	\N
147289	493	1995-05-31	VYDAJ	VYBER	15	42398	SLUZBY	\N	\N
147290	493	1995-06-30	VYDAJ	VYBER	15	42657	SLUZBY	\N	\N
147291	493	1995-07-31	VYDAJ	VYBER	15	46250	SLUZBY	\N	\N
147292	493	1995-08-31	VYDAJ	VYBER	15	48758	SLUZBY	\N	\N
147293	493	1995-09-30	VYDAJ	VYBER	15	49275	SLUZBY	\N	\N
147294	493	1995-10-31	VYDAJ	VYBER	15	51195	SLUZBY	\N	\N
147295	493	1995-11-30	VYDAJ	VYBER	15	51546	SLUZBY	\N	\N
147296	493	1995-12-31	VYDAJ	VYBER	15	58028	SLUZBY	\N	\N
147297	493	1996-01-31	VYDAJ	VYBER	15	43892	SLUZBY	\N	\N
147298	493	1996-02-29	VYDAJ	VYBER	15	49307	SLUZBY	\N	\N
147299	493	1996-03-31	VYDAJ	VYBER	15	52129	SLUZBY	\N	\N
147300	493	1996-04-30	VYDAJ	VYBER	15	50358	SLUZBY	\N	\N
147301	493	1996-05-31	VYDAJ	VYBER	15	48078	SLUZBY	\N	\N
147302	493	1996-06-30	VYDAJ	VYBER	15	36832	SLUZBY	\N	\N
147303	493	1996-07-31	VYDAJ	VYBER	15	36422	SLUZBY	\N	\N
147304	493	1996-08-31	VYDAJ	VYBER	15	37187	SLUZBY	\N	\N
147305	493	1996-09-30	VYDAJ	VYBER	15	40059	SLUZBY	\N	\N
147306	493	1996-10-31	VYDAJ	VYBER	15	36433	SLUZBY	\N	\N
147307	493	1996-11-30	VYDAJ	VYBER	15	37299	SLUZBY	\N	\N
147308	493	1996-12-31	VYDAJ	VYBER	15	46180	SLUZBY	\N	\N
147309	493	1997-01-31	VYDAJ	VYBER	15	31358	SLUZBY	\N	\N
147310	493	1997-02-28	VYDAJ	VYBER	15	38713	SLUZBY	\N	\N
147311	493	1997-03-31	VYDAJ	VYBER	15	40689	SLUZBY	\N	\N
147312	493	1997-04-30	VYDAJ	VYBER	15	41676	SLUZBY	\N	\N
147313	493	1997-05-31	VYDAJ	VYBER	15	44700	SLUZBY	\N	\N
147314	493	1997-06-30	VYDAJ	VYBER	15	43629	SLUZBY	\N	\N
147315	493	1997-07-31	VYDAJ	VYBER	15	44424	SLUZBY	\N	\N
147316	493	1997-08-31	VYDAJ	VYBER	15	41124	SLUZBY	\N	\N
147317	493	1997-09-30	VYDAJ	VYBER	15	41407	SLUZBY	\N	\N
147318	493	1997-10-31	VYDAJ	VYBER	15	43616	SLUZBY	\N	\N
147319	493	1997-11-30	VYDAJ	VYBER	15	41314	SLUZBY	\N	\N
147320	493	1997-12-31	VYDAJ	VYBER	15	43391	SLUZBY	\N	\N
147321	493	1998-01-31	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
147322	493	1998-02-28	VYDAJ	VYBER	15	29558	SLUZBY	\N	\N
147323	493	1998-03-31	VYDAJ	VYBER	15	35908	SLUZBY	\N	\N
147324	493	1998-04-30	VYDAJ	VYBER	15	39977	SLUZBY	\N	\N
147325	493	1998-05-31	VYDAJ	VYBER	15	37550	SLUZBY	\N	\N
147326	493	1998-06-30	VYDAJ	VYBER	15	39787	SLUZBY	\N	\N
147327	493	1998-07-31	VYDAJ	VYBER	15	31458	SLUZBY	\N	\N
147328	493	1998-08-31	VYDAJ	VYBER	15	29896	SLUZBY	\N	\N
147329	493	1998-09-30	VYDAJ	VYBER	15	35545	SLUZBY	\N	\N
147330	493	1998-10-31	VYDAJ	VYBER	15	33196	SLUZBY	\N	\N
147331	493	1998-11-30	VYDAJ	VYBER	15	29131	SLUZBY	\N	\N
147332	493	1994-05-05	PRIJEM	VKLAD	5200	23189	\N	\N	\N
147333	493	1994-06-04	VYDAJ	VYBER	7800	32668	\N	\N	\N
147334	493	1994-07-04	VYDAJ	VYBER	18600	39990	\N	\N	\N
147335	493	1994-08-03	VYDAJ	VYBER	15200	42158	\N	\N	\N
147336	493	1994-09-02	VYDAJ	VYBER	13800	36583	\N	\N	\N
147337	493	1994-10-02	VYDAJ	VYBER	12100	41818	\N	\N	\N
147338	493	1994-11-01	VYDAJ	VYBER	14500	44674	\N	\N	\N
147339	493	1994-12-01	VYDAJ	VYBER	17100	42049	\N	\N	\N
147340	493	1994-12-31	VYDAJ	VYBER	18900	46874	\N	\N	\N
147341	493	1995-01-30	VYDAJ	VYBER	9500	37528	\N	\N	\N
147342	493	1995-03-01	VYDAJ	VYBER	13200	40789	\N	\N	\N
147343	493	1995-03-31	VYDAJ	VYBER	9900	43795	\N	\N	\N
147344	493	1995-04-30	VYDAJ	VYBER	16900	44191	\N	\N	\N
147345	493	1995-05-30	VYDAJ	VYBER	15400	42200	\N	\N	\N
147346	493	1995-06-29	VYDAJ	VYBER	11700	42472	\N	\N	\N
147347	493	1995-07-29	VYDAJ	VYBER	13700	46086	\N	\N	\N
147348	493	1995-08-28	VYDAJ	VYBER	14800	48579	\N	\N	\N
147349	493	1995-09-27	VYDAJ	VYBER	16800	49087	\N	\N	\N
147350	493	1995-10-27	VYDAJ	VYBER	15400	51004	\N	\N	\N
147351	493	1995-11-26	VYDAJ	VYBER	12900	51344	\N	\N	\N
147352	493	1995-12-26	VYDAJ	VYBER	18000	57800	\N	\N	\N
147353	493	1996-01-25	VYDAJ	VYBER	8000	49057	\N	\N	\N
147354	493	1996-02-24	VYDAJ	VYBER	11300	49121	\N	\N	\N
147355	493	1996-03-25	VYDAJ	VYBER	14500	51936	\N	\N	\N
147356	493	1996-04-24	VYDAJ	VYBER	19100	50158	\N	\N	\N
147357	493	1996-05-24	VYDAJ	VYBER	19600	47887	\N	\N	\N
147358	493	1996-06-23	VYDAJ	VYBER	6500	36632	\N	\N	\N
147359	493	1996-07-23	VYDAJ	VYBER	13000	40961	\N	\N	\N
147360	493	1996-08-22	VYDAJ	VYBER	16500	37051	\N	\N	\N
147361	493	1996-09-21	VYDAJ	VYBER	14400	39916	\N	\N	\N
147362	493	1996-10-21	VYDAJ	VYBER	20900	36288	\N	\N	\N
147363	493	1996-11-20	VYDAJ	VYBER	16400	37162	\N	\N	\N
147364	493	1996-12-20	VYDAJ	VYBER	16200	45993	\N	\N	\N
147365	493	1997-01-19	VYDAJ	VYBER	8100	37089	\N	\N	\N
147366	493	1997-02-18	VYDAJ	VYBER	9900	38587	\N	\N	\N
147367	493	1997-03-20	VYDAJ	VYBER	15300	40542	\N	\N	\N
147368	493	1997-04-19	VYDAJ	VYBER	14100	43718	\N	\N	\N
147369	493	1997-05-19	VYDAJ	VYBER	9000	44525	\N	\N	\N
147370	493	1997-06-18	VYDAJ	VYBER	21500	48894	\N	\N	\N
147371	493	1997-07-18	VYDAJ	VYBER	16500	44258	\N	\N	\N
147372	493	1997-08-17	VYDAJ	VYBER	15200	40953	\N	\N	\N
147373	493	1997-09-16	VYDAJ	VYBER	17000	41253	\N	\N	\N
147374	493	1997-10-16	VYDAJ	VYBER	14400	43436	\N	\N	\N
147375	493	1997-11-15	VYDAJ	VYBER	18200	41145	\N	\N	\N
147376	493	1997-12-15	VYDAJ	VYBER	19200	43208	\N	\N	\N
147377	493	1998-01-14	VYDAJ	VYBER	15100	32000	\N	\N	\N
147378	493	1998-02-13	VYDAJ	VYBER	11800	29463	\N	\N	\N
147379	493	1998-03-15	VYDAJ	VYBER	9100	37587	\N	\N	\N
147380	493	1998-04-14	VYDAJ	VYBER	13200	39837	\N	\N	\N
147381	493	1998-05-14	VYDAJ	VYBER	16500	40606	\N	\N	\N
147382	493	1998-06-13	VYDAJ	VYBER	23600	39644	\N	\N	\N
147383	493	1998-07-13	VYDAJ	VYBER	18500	35516	\N	\N	\N
147384	493	1998-08-12	VYDAJ	VYBER	15700	32887	\N	\N	\N
147385	493	1998-09-11	VYDAJ	VYBER	11600	35425	\N	\N	\N
147386	493	1998-10-11	VYDAJ	VYBER	19600	33074	\N	\N	\N
147387	493	1998-11-10	VYDAJ	VYBER	21300	29025	\N	\N	\N
147388	493	1998-12-10	VYDAJ	VYBER	17800	37025	\N	\N	\N
147446	494	1993-03-11	PRIJEM	VKLAD	400	400	\N	\N	\N
147447	494	1993-08-11	PRIJEM	VKLAD	27664	61796	\N	\N	\N
147448	494	1993-04-05	PRIJEM	VKLAD	12880	13280	\N	\N	\N
147449	494	1993-11-09	PRIJEM	VKLAD	21907	71281	\N	\N	\N
147450	494	1993-10-01	PRIJEM	VKLAD	9424	50797	\N	\N	\N
147451	494	1993-10-12	PRIJEM	VKLAD	21057	57026	\N	\N	\N
147452	494	1993-05-28	PRIJEM	VKLAD	49088	71126	\N	\N	\N
147453	494	1993-10-12	PRIJEM	VKLAD	38797	95823	\N	\N	\N
147454	494	1993-06-13	PRIJEM	VKLAD	35623	82759	\N	\N	\N
147455	494	1993-07-18	PRIJEM	VKLAD	24515	79341	\N	\N	\N
147456	494	1993-09-07	PRIJEM	VKLAD	14154	63944	\N	\N	\N
147457	494	1993-12-07	PRIJEM	VKLAD	29947	56514	\N	\N	\N
147458	494	1993-07-06	PRIJEM	VKLAD	5941	89026	\N	\N	\N
147462	494	1994-12-03	PRIJEM	VKLAD	18934	71366	\N	\N	\N
147463	494	1994-11-25	PRIJEM	VKLAD	43693	65099	\N	\N	\N
147464	494	1994-05-23	PRIJEM	VKLAD	34944	53234	\N	\N	\N
147465	494	1994-07-02	PRIJEM	VKLAD	9480	37718	\N	\N	\N
147466	494	1994-04-10	PRIJEM	VKLAD	12251	32616	\N	\N	\N
147467	494	1994-10-14	PRIJEM	VKLAD	32282	77382	\N	\N	\N
147468	494	1994-02-16	PRIJEM	VKLAD	10864	24603	\N	\N	\N
147469	494	1994-12-10	PRIJEM	VKLAD	5316	49262	\N	\N	\N
147470	494	1994-09-17	PRIJEM	VKLAD	42848	66141	\N	\N	\N
147471	494	1994-11-30	PRIJEM	VKLAD	20298	85397	\N	\N	\N
147472	494	1994-09-09	PRIJEM	VKLAD	16779	32500	\N	\N	\N
147473	494	1994-09-30	PRIJEM	VKLAD	47523	113664	\N	\N	\N
147474	494	1994-07-26	PRIJEM	VKLAD	8443	29726	\N	\N	\N
147475	494	1994-02-26	PRIJEM	VKLAD	32196	56799	\N	\N	\N
147476	494	1995-12-06	PRIJEM	VKLAD	45881	91239	\N	\N	\N
147477	494	1995-01-18	PRIJEM	VKLAD	20894	76160	\N	\N	\N
147478	494	1995-01-08	PRIJEM	VKLAD	40571	55473	\N	\N	\N
147479	494	1995-10-16	PRIJEM	VKLAD	11270	106722	\N	\N	\N
147480	494	1995-04-27	PRIJEM	VKLAD	27456	113133	\N	\N	\N
147481	494	1995-11-20	PRIJEM	VKLAD	14716	38683	\N	\N	\N
147482	494	1995-10-15	PRIJEM	VKLAD	26851	125252	\N	\N	\N
147483	494	1995-07-31	PRIJEM	VKLAD	39705	76107	\N	\N	\N
147484	494	1995-04-13	PRIJEM	VKLAD	30641	67498	\N	\N	\N
147485	494	1995-03-08	PRIJEM	VKLAD	18816	44459	\N	\N	\N
147486	494	1995-03-10	PRIJEM	VKLAD	22667	67126	\N	\N	\N
147487	494	1995-10-27	PRIJEM	VKLAD	37252	111574	\N	\N	\N
147488	494	1995-04-28	PRIJEM	VKLAD	10371	96604	\N	\N	\N
147489	494	1995-06-22	PRIJEM	VKLAD	32602	70732	\N	\N	\N
147490	494	1995-01-27	PRIJEM	VKLAD	22681	86241	\N	\N	\N
147491	494	1995-03-20	PRIJEM	VKLAD	45858	112777	\N	\N	\N
147492	494	1995-10-10	PRIJEM	VKLAD	29158	98608	\N	\N	\N
147493	494	1995-10-01	PRIJEM	VKLAD	33683	78178	\N	\N	\N
147494	494	1995-05-18	PRIJEM	VKLAD	5381	83646	\N	\N	\N
147495	494	1995-03-03	PRIJEM	VKLAD	6922	34371	\N	\N	\N
147496	494	1995-04-21	PRIJEM	VKLAD	9592	85677	\N	\N	\N
147497	494	1995-12-17	PRIJEM	VKLAD	45371	127675	\N	\N	\N
147498	494	1995-08-12	PRIJEM	VKLAD	45584	93793	\N	\N	\N
147499	494	1995-04-17	PRIJEM	VKLAD	8794	76085	\N	\N	\N
147500	494	1995-05-22	PRIJEM	VKLAD	26843	110489	\N	\N	\N
147501	494	1995-07-04	PRIJEM	VKLAD	24184	68646	\N	\N	\N
147502	494	1995-05-16	PRIJEM	VKLAD	21936	78265	\N	\N	\N
147503	494	1995-11-24	PRIJEM	VKLAD	39282	77965	\N	\N	\N
147504	494	1996-04-10	PRIJEM	VKLAD	43434	63475	\N	\N	\N
147505	494	1996-11-15	PRIJEM	VKLAD	38082	60164	\N	\N	\N
147506	494	1996-01-26	PRIJEM	VKLAD	41963	77464	\N	\N	\N
147507	494	1996-05-04	PRIJEM	VKLAD	27764	70630	\N	\N	\N
147508	494	1996-01-03	PRIJEM	VKLAD	20397	80236	\N	\N	\N
147509	494	1996-06-25	PRIJEM	VKLAD	25384	58540	\N	\N	\N
147510	494	1996-10-07	PRIJEM	VKLAD	14379	35847	\N	\N	\N
147511	494	1997-10-28	PRIJEM	VKLAD	32345	81459	\N	\N	\N
147512	494	1997-06-02	PRIJEM	VKLAD	14075	54664	\N	\N	\N
147513	494	1997-05-11	PRIJEM	VKLAD	24251	61017	\N	\N	\N
147514	494	1997-10-17	PRIJEM	VKLAD	44780	49114	\N	\N	\N
147515	494	1997-02-09	PRIJEM	VKLAD	17606	31937	\N	\N	\N
147516	494	1997-11-04	PRIJEM	VKLAD	48108	129674	\N	\N	\N
147517	494	1997-03-04	PRIJEM	VKLAD	30707	60037	\N	\N	\N
147518	494	1997-01-10	PRIJEM	VKLAD	14340	31681	\N	\N	\N
147519	494	1997-04-26	PRIJEM	VKLAD	26697	45405	\N	\N	\N
147520	494	1998-12-02	PRIJEM	VKLAD	45163	85365	\N	\N	\N
147521	494	1998-10-17	PRIJEM	VKLAD	10937	68517	\N	\N	\N
147522	494	1998-09-22	PRIJEM	VKLAD	20821	42742	\N	\N	\N
147523	494	1998-02-11	PRIJEM	VKLAD	23480	38648	\N	\N	\N
147524	494	1998-02-15	PRIJEM	VKLAD	13230	46371	\N	\N	\N
147525	494	1998-06-22	PRIJEM	VKLAD	40870	78568	\N	\N	\N
147526	494	1998-06-03	PRIJEM	VKLAD	41177	75633	\N	\N	\N
147527	494	1998-10-14	PRIJEM	VKLAD	35336	57787	\N	\N	\N
147528	494	1998-12-19	PRIJEM	VKLAD	17852	63935	\N	\N	\N
147529	494	1998-04-29	PRIJEM	VKLAD	18703	29827	\N	\N	\N
147530	494	1998-05-12	PRIJEM	VKLAD	32795	53941	\N	\N	\N
147610	494	1993-08-07	VYDAJ	PREVOD NA UCET	8728	44032	SIPO	GH	24389368
147611	494	1993-09-07	VYDAJ	PREVOD NA UCET	8728	55216	SIPO	GH	24389368
147612	494	1993-10-07	VYDAJ	PREVOD NA UCET	8728	35969	SIPO	GH	24389368
147613	494	1993-11-07	VYDAJ	PREVOD NA UCET	8728	49374	SIPO	GH	24389368
147614	494	1993-12-07	VYDAJ	PREVOD NA UCET	8728	47786	SIPO	GH	24389368
147615	494	1994-01-07	VYDAJ	PREVOD NA UCET	8728	27891	SIPO	GH	24389368
147616	494	1994-02-07	VYDAJ	PREVOD NA UCET	8728	13946	SIPO	GH	24389368
147617	494	1994-03-07	VYDAJ	PREVOD NA UCET	8728	33955	SIPO	GH	24389368
147618	494	1994-04-07	VYDAJ	PREVOD NA UCET	8728	20365	SIPO	GH	24389368
147619	494	1994-05-07	VYDAJ	PREVOD NA UCET	8728	18497	SIPO	GH	24389368
147620	494	1994-06-07	VYDAJ	PREVOD NA UCET	8728	28322	SIPO	GH	24389368
147621	494	1994-07-07	VYDAJ	PREVOD NA UCET	8728	21490	SIPO	GH	24389368
147622	494	1994-08-07	VYDAJ	PREVOD NA UCET	8728	18585	SIPO	GH	24389368
147623	494	1994-09-07	VYDAJ	PREVOD NA UCET	8728	15721	SIPO	GH	24389368
147624	494	1994-10-07	VYDAJ	PREVOD NA UCET	8728	45100	SIPO	GH	24389368
147625	494	1994-11-07	VYDAJ	PREVOD NA UCET	8728	21613	SIPO	GH	24389368
147626	494	1994-12-07	VYDAJ	PREVOD NA UCET	8728	43946	SIPO	GH	24389368
147627	494	1995-01-07	VYDAJ	PREVOD NA UCET	8728	14902	SIPO	GH	24389368
147628	494	1995-02-07	VYDAJ	PREVOD NA UCET	8728	25737	SIPO	GH	24389368
147629	494	1995-03-07	VYDAJ	PREVOD NA UCET	8728	25643	SIPO	GH	24389368
147630	494	1995-04-07	VYDAJ	PREVOD NA UCET	8728	36857	SIPO	GH	24389368
147631	494	1995-05-07	VYDAJ	PREVOD NA UCET	8728	56536	SIPO	GH	24389368
147632	494	1995-06-07	VYDAJ	PREVOD NA UCET	8728	64979	SIPO	GH	24389368
147633	494	1995-07-07	VYDAJ	PREVOD NA UCET	8728	44009	SIPO	GH	24389368
147634	494	1995-08-07	VYDAJ	PREVOD NA UCET	8728	48209	SIPO	GH	24389368
147635	494	1995-09-07	VYDAJ	PREVOD NA UCET	8728	56573	SIPO	GH	24389368
147636	494	1995-10-07	VYDAJ	PREVOD NA UCET	8728	69450	SIPO	GH	24389368
147637	494	1995-11-07	VYDAJ	PREVOD NA UCET	8728	40664	SIPO	GH	24389368
147638	494	1995-12-07	VYDAJ	PREVOD NA UCET	8728	82511	SIPO	GH	24389368
147639	494	1996-01-07	VYDAJ	PREVOD NA UCET	8728	71508	SIPO	GH	24389368
147640	494	1996-02-07	VYDAJ	PREVOD NA UCET	8728	51855	SIPO	GH	24389368
147641	494	1996-03-07	VYDAJ	PREVOD NA UCET	8728	26665	SIPO	GH	24389368
147642	494	1996-04-07	VYDAJ	PREVOD NA UCET	8728	20041	SIPO	GH	24389368
147643	494	1996-05-07	VYDAJ	PREVOD NA UCET	8728	61902	SIPO	GH	24389368
147644	494	1996-06-07	VYDAJ	PREVOD NA UCET	8728	34163	SIPO	GH	24389368
147645	494	1996-07-07	VYDAJ	PREVOD NA UCET	8728	49967	SIPO	GH	24389368
147646	494	1996-08-07	VYDAJ	PREVOD NA UCET	8728	28122	SIPO	GH	24389368
147647	494	1996-09-07	VYDAJ	PREVOD NA UCET	8728	17299	SIPO	GH	24389368
147648	494	1996-10-07	VYDAJ	PREVOD NA UCET	8728	27119	SIPO	GH	24389368
147649	494	1996-11-07	VYDAJ	PREVOD NA UCET	8728	22289	SIPO	GH	24389368
147650	494	1996-12-07	VYDAJ	PREVOD NA UCET	8728	23773	SIPO	GH	24389368
147651	494	1997-01-07	VYDAJ	PREVOD NA UCET	8728	17341	SIPO	GH	24389368
147652	494	1997-02-07	VYDAJ	PREVOD NA UCET	8728	14331	SIPO	GH	24389368
147653	494	1997-03-07	VYDAJ	PREVOD NA UCET	8728	51309	SIPO	GH	24389368
147654	494	1997-04-07	VYDAJ	PREVOD NA UCET	8728	16615	SIPO	GH	24389368
147655	494	1997-05-07	VYDAJ	PREVOD NA UCET	8728	36766	SIPO	GH	24389368
147656	494	1997-06-07	VYDAJ	PREVOD NA UCET	8728	45936	SIPO	GH	24389368
147657	494	1997-07-07	VYDAJ	PREVOD NA UCET	8728	27548	SIPO	GH	24389368
147658	494	1997-08-07	VYDAJ	PREVOD NA UCET	8728	13615	SIPO	GH	24389368
147659	494	1997-09-07	VYDAJ	PREVOD NA UCET	8728	4732	SIPO	GH	24389368
147661	494	1997-11-07	VYDAJ	PREVOD NA UCET	8728	87446	SIPO	GH	24389368
147662	494	1997-12-07	VYDAJ	PREVOD NA UCET	8728	43980	SIPO	GH	24389368
147663	494	1998-01-07	VYDAJ	PREVOD NA UCET	8728	26404	SIPO	GH	24389368
147664	494	1998-02-07	VYDAJ	PREVOD NA UCET	8728	15168	SIPO	GH	24389368
147665	494	1998-03-07	VYDAJ	PREVOD NA UCET	8728	24277	SIPO	GH	24389368
147666	494	1998-04-07	VYDAJ	PREVOD NA UCET	8728	11331	SIPO	GH	24389368
147667	494	1998-05-07	VYDAJ	PREVOD NA UCET	8728	21146	SIPO	GH	24389368
147668	494	1998-06-07	VYDAJ	PREVOD NA UCET	8728	66905	SIPO	GH	24389368
147669	494	1998-07-07	VYDAJ	PREVOD NA UCET	8728	67072	SIPO	GH	24389368
147670	494	1998-08-07	VYDAJ	PREVOD NA UCET	8728	30940	SIPO	GH	24389368
147671	494	1998-09-07	VYDAJ	PREVOD NA UCET	8728	22128	SIPO	GH	24389368
147672	494	1998-10-07	VYDAJ	PREVOD NA UCET	8728	22451	SIPO	GH	24389368
147673	494	1998-11-07	VYDAJ	PREVOD NA UCET	8728	40247	SIPO	GH	24389368
147674	494	1998-12-07	VYDAJ	PREVOD NA UCET	8728	54090	SIPO	GH	24389368
147682	494	1993-08-14	VYDAJ	PREVOD NA UCET	207	61589	 	ST	62039023
147683	494	1993-09-14	VYDAJ	PREVOD NA UCET	207	41209	 	ST	62039023
147684	494	1993-10-14	VYDAJ	PREVOD NA UCET	207	95616	 	ST	62039023
147685	494	1993-11-14	VYDAJ	PREVOD NA UCET	207	71074	 	ST	62039023
147686	494	1993-12-14	VYDAJ	PREVOD NA UCET	207	42754	 	ST	62039023
147687	494	1994-01-14	VYDAJ	PREVOD NA UCET	207	19884	 	ST	62039023
147688	494	1994-02-14	VYDAJ	PREVOD NA UCET	207	13739	 	ST	62039023
147689	494	1994-03-14	VYDAJ	PREVOD NA UCET	207	33748	 	ST	62039023
147690	494	1994-04-14	VYDAJ	PREVOD NA UCET	207	32409	 	ST	62039023
147691	494	1994-05-14	VYDAJ	PREVOD NA UCET	207	18290	 	ST	62039023
147692	494	1994-06-14	VYDAJ	PREVOD NA UCET	207	28115	 	ST	62039023
147693	494	1994-07-14	VYDAJ	PREVOD NA UCET	207	21283	 	ST	62039023
147694	494	1994-08-14	VYDAJ	PREVOD NA UCET	207	18378	 	ST	62039023
147695	494	1994-09-14	VYDAJ	PREVOD NA UCET	207	23293	 	ST	62039023
147696	494	1994-10-14	VYDAJ	PREVOD NA UCET	207	77175	 	ST	62039023
147697	494	1994-11-14	VYDAJ	PREVOD NA UCET	207	21406	 	ST	62039023
147698	494	1994-12-14	VYDAJ	PREVOD NA UCET	207	49055	 	ST	62039023
147699	494	1995-01-14	VYDAJ	PREVOD NA UCET	207	55266	 	ST	62039023
147700	494	1995-02-14	VYDAJ	PREVOD NA UCET	207	25530	 	ST	62039023
147701	494	1995-03-14	VYDAJ	PREVOD NA UCET	207	66919	 	ST	62039023
147702	494	1995-04-14	VYDAJ	PREVOD NA UCET	207	67291	 	ST	62039023
147703	494	1995-05-14	VYDAJ	PREVOD NA UCET	207	56329	 	ST	62039023
147704	494	1995-06-14	VYDAJ	PREVOD NA UCET	207	38130	 	ST	62039023
147705	494	1995-07-14	VYDAJ	PREVOD NA UCET	207	43802	 	ST	62039023
147706	494	1995-08-14	VYDAJ	PREVOD NA UCET	207	93586	 	ST	62039023
147707	494	1995-09-14	VYDAJ	PREVOD NA UCET	207	56366	 	ST	62039023
147708	494	1995-10-14	VYDAJ	PREVOD NA UCET	207	98401	 	ST	62039023
147709	494	1995-11-14	VYDAJ	PREVOD NA UCET	207	26057	 	ST	62039023
147710	494	1995-12-14	VYDAJ	PREVOD NA UCET	207	82304	 	ST	62039023
147711	494	1996-01-14	VYDAJ	PREVOD NA UCET	207	49101	 	ST	62039023
147712	494	1996-02-14	VYDAJ	PREVOD NA UCET	207	38729	 	ST	62039023
147713	494	1996-03-14	VYDAJ	PREVOD NA UCET	207	26458	 	ST	62039023
147714	494	1996-04-14	VYDAJ	PREVOD NA UCET	207	63268	 	ST	62039023
147715	494	1996-05-14	VYDAJ	PREVOD NA UCET	207	61695	 	ST	62039023
147716	494	1996-06-14	VYDAJ	PREVOD NA UCET	207	33956	 	ST	62039023
147717	494	1996-07-14	VYDAJ	PREVOD NA UCET	207	49760	 	ST	62039023
147718	494	1996-08-14	VYDAJ	PREVOD NA UCET	207	27915	 	ST	62039023
147719	494	1996-09-14	VYDAJ	PREVOD NA UCET	207	17092	 	ST	62039023
147720	494	1996-10-14	VYDAJ	PREVOD NA UCET	207	26912	 	ST	62039023
147721	494	1996-11-14	VYDAJ	PREVOD NA UCET	207	22082	 	ST	62039023
147722	494	1996-12-14	VYDAJ	PREVOD NA UCET	207	23566	 	ST	62039023
147723	494	1997-01-14	VYDAJ	PREVOD NA UCET	207	26374	 	ST	62039023
147724	494	1997-02-14	VYDAJ	PREVOD NA UCET	207	31730	 	ST	62039023
147725	494	1997-03-14	VYDAJ	PREVOD NA UCET	207	51102	 	ST	62039023
147726	494	1997-04-14	VYDAJ	PREVOD NA UCET	207	16408	 	ST	62039023
147727	494	1997-05-14	VYDAJ	PREVOD NA UCET	207	60810	 	ST	62039023
147728	494	1997-06-14	VYDAJ	PREVOD NA UCET	207	45729	 	ST	62039023
147729	494	1997-07-14	VYDAJ	PREVOD NA UCET	207	27341	 	ST	62039023
147730	494	1997-08-14	VYDAJ	PREVOD NA UCET	207	13408	 	ST	62039023
147731	494	1997-09-14	VYDAJ	PREVOD NA UCET	207	4525	 	ST	62039023
147732	494	1997-10-14	VYDAJ	PREVOD NA UCET	207	4334	 	ST	62039023
147733	494	1997-11-14	VYDAJ	PREVOD NA UCET	207	87239	 	ST	62039023
147734	494	1997-12-14	VYDAJ	PREVOD NA UCET	207	43773	 	ST	62039023
147735	494	1998-01-14	VYDAJ	PREVOD NA UCET	207	23797	 	ST	62039023
147736	494	1998-02-14	VYDAJ	PREVOD NA UCET	207	33141	 	ST	62039023
147737	494	1998-03-14	VYDAJ	PREVOD NA UCET	207	24070	 	ST	62039023
147738	494	1998-04-14	VYDAJ	PREVOD NA UCET	207	11124	 	ST	62039023
147739	494	1998-05-14	VYDAJ	PREVOD NA UCET	207	34334	 	ST	62039023
147740	494	1998-06-14	VYDAJ	PREVOD NA UCET	207	37698	 	ST	62039023
147741	494	1998-07-14	VYDAJ	PREVOD NA UCET	207	39465	 	ST	62039023
147742	494	1998-08-14	VYDAJ	PREVOD NA UCET	207	30733	 	ST	62039023
147743	494	1998-09-14	VYDAJ	PREVOD NA UCET	207	21921	 	ST	62039023
147744	494	1998-10-14	VYDAJ	PREVOD NA UCET	207	57580	 	ST	62039023
147745	494	1998-11-14	VYDAJ	PREVOD NA UCET	207	40040	 	ST	62039023
147746	494	1998-12-14	VYDAJ	PREVOD NA UCET	207	53883	 	ST	62039023
147748	494	1993-12-13	VYBER	VYBER	4825	42961	\N	\N	\N
147751	494	1993-07-26	VYBER	VYBER	18906	60435	\N	\N	\N
147753	494	1993-11-18	VYBER	VYBER	13721	57353	\N	\N	\N
147755	494	1993-12-04	VYBER	VYBER	19161	23867	\N	\N	\N
147756	494	1993-11-21	VYBER	VYBER	14568	42785	\N	\N	\N
147757	494	1993-08-03	VYBER	VYBER	5849	52760	\N	\N	\N
147759	494	1994-11-01	VYBER	VYBER	15077	50158	\N	\N	\N
147761	494	1994-11-07	VYBER	VYBER	6117	30341	\N	\N	\N
147763	494	1994-10-25	VYBER	VYBER	12207	64968	\N	\N	\N
147766	494	1994-12-05	VYBER	VYBER	18692	52674	\N	\N	\N
147767	494	1995-01-01	VYBER	VYBER	10120	23630	\N	\N	\N
147768	494	1995-08-03	VYBER	VYBER	19343	56937	\N	\N	\N
147769	494	1995-06-26	VYBER	VYBER	7610	63122	\N	\N	\N
147770	494	1995-07-06	VYBER	VYBER	3909	52737	\N	\N	\N
147771	494	1995-11-17	VYBER	VYBER	2090	23967	\N	\N	\N
147772	494	1995-12-28	VYBER	VYBER	4683	59492	\N	\N	\N
147773	494	1995-06-30	VYBER	VYBER	3185	44477	\N	\N	\N
147774	494	1995-12-04	VYBER	VYBER	7674	45358	\N	\N	\N
147775	494	1995-06-11	VYBER	VYBER	14344	50635	\N	\N	\N
147776	494	1995-06-12	VYBER	VYBER	12298	38337	\N	\N	\N
147777	494	1995-02-04	VYBER	VYBER	21699	34465	\N	\N	\N
147778	494	1996-06-02	VYBER	VYBER	2511	42891	\N	\N	\N
147782	494	1996-04-29	VYBER	VYBER	3689	42679	\N	\N	\N
147788	494	1996-02-08	VYBER	VYBER	12919	38936	\N	\N	\N
147790	494	1996-12-01	VYBER	VYBER	12915	32501	\N	\N	\N
147792	494	1997-06-15	VYBER	VYBER	2302	43427	\N	\N	\N
147793	494	1997-03-16	VYBER	VYBER	9996	41106	\N	\N	\N
147794	494	1998-12-03	VYBER	VYBER	22547	62818	\N	\N	\N
147795	494	1998-06-29	VYBER	VYBER	2976	75592	\N	\N	\N
147796	494	1998-09-27	VYBER	VYBER	11669	31073	\N	\N	\N
147799	494	1998-10-24	VYBER	VYBER	19715	48802	\N	\N	\N
147809	494	1996-01-11	VYDAJ	VYBER	15600	49308	\N	\N	\N
147813	494	1994-12-02	VYDAJ	VYBER	3300	52432	\N	\N	\N
147814	494	1995-12-27	VYDAJ	VYBER	5400	64175	\N	\N	\N
147816	494	1997-12-17	VYDAJ	VYBER KARTOU	1800	34973	\N	\N	0
147817	494	1998-12-14	VYDAJ	VYBER	7800	46083	\N	\N	\N
147826	494	1994-01-10	VYDAJ	VYBER	7800	20091	\N	\N	\N
147830	494	1995-01-30	VYDAJ	VYBER	2700	79941	\N	\N	\N
147831	494	1995-01-21	VYDAJ	VYBER	6300	69860	\N	\N	\N
147833	494	1995-01-29	VYDAJ	VYBER	3600	82641	\N	\N	\N
147835	494	1995-01-25	VYDAJ	VYBER	6300	63560	\N	\N	\N
147836	494	1996-01-26	VYDAJ	VYBER	4800	72664	\N	\N	\N
147837	494	1996-01-23	VYDAJ	VYBER	6000	43101	\N	\N	\N
147838	494	1996-01-10	VYDAJ	VYBER	6600	64908	\N	\N	\N
147839	494	1996-01-29	VYDAJ	VYBER	6900	60364	\N	\N	\N
147840	494	1996-01-27	VYDAJ	VYBER	5400	67264	\N	\N	\N
147841	494	1996-01-25	VYDAJ	VYBER KARTOU	3600	35501	\N	\N	0
147842	494	1997-01-10	VYDAJ	VYBER	5100	26581	\N	\N	\N
147854	494	1993-10-21	VYDAJ	VYBER	9900	85716	\N	\N	\N
147855	494	1993-08-16	VYDAJ	VYBER	12000	49589	\N	\N	\N
147856	494	1993-07-31	VYDAJ	VYBER	2100	58624	\N	\N	\N
147858	494	1994-12-28	VYDAJ	VYBER	6300	42755	\N	\N	\N
147860	494	1994-09-11	VYDAJ	VYBER	9000	23500	\N	\N	\N
147863	494	1995-11-12	VYDAJ	VYBER	14400	26264	\N	\N	\N
147864	494	1995-07-05	VYDAJ	VYBER	12000	56646	\N	\N	\N
147871	494	1997-03-27	VYDAJ	VYBER	6900	25206	\N	\N	\N
147877	494	1998-03-01	VYDAJ	VYBER	13500	33005	\N	\N	\N
147886	494	1993-07-31	VYDAJ	VYBER	15	58609	SLUZBY	\N	\N
147887	494	1993-08-31	VYDAJ	VYBER	15	49790	SLUZBY	\N	\N
147888	494	1993-09-30	VYDAJ	VYBER	15	41373	SLUZBY	\N	\N
147889	494	1993-10-31	VYDAJ	VYBER	15	86002	SLUZBY	\N	\N
147890	494	1993-11-30	VYDAJ	VYBER	15	43028	SLUZBY	\N	\N
147891	494	1993-12-31	VYDAJ	VYBER	15	42919	SLUZBY	\N	\N
147892	494	1994-01-31	VYDAJ	VYBER	15	19974	SLUZBY	\N	\N
147893	494	1994-02-28	VYDAJ	VYBER	15	56883	SLUZBY	\N	\N
147894	494	1994-03-31	VYDAJ	VYBER	15	33893	SLUZBY	\N	\N
147895	494	1994-04-30	VYDAJ	VYBER	15	32525	SLUZBY	\N	\N
147896	494	1994-05-31	VYDAJ	VYBER	15	53350	SLUZBY	\N	\N
147897	494	1994-06-30	VYDAJ	VYBER	15	28238	SLUZBY	\N	\N
147898	494	1994-07-31	VYDAJ	VYBER	15	29813	SLUZBY	\N	\N
147899	494	1994-08-31	VYDAJ	VYBER	15	18449	SLUZBY	\N	\N
147900	494	1994-09-30	VYDAJ	VYBER	15	113828	SLUZBY	\N	\N
147901	494	1994-10-31	VYDAJ	VYBER	15	65235	SLUZBY	\N	\N
147902	494	1994-11-30	VYDAJ	VYBER	15	85532	SLUZBY	\N	\N
147903	494	1994-12-31	VYDAJ	VYBER	15	33750	SLUZBY	\N	\N
147904	494	1995-01-31	VYDAJ	VYBER	15	56164	SLUZBY	\N	\N
147905	494	1995-02-28	VYDAJ	VYBER	15	25649	SLUZBY	\N	\N
147906	494	1995-03-31	VYDAJ	VYBER	15	58285	SLUZBY	\N	\N
147907	494	1995-04-30	VYDAJ	VYBER	15	65264	SLUZBY	\N	\N
147908	494	1995-05-31	VYDAJ	VYBER	15	73707	SLUZBY	\N	\N
147909	494	1995-06-30	VYDAJ	VYBER	15	44462	SLUZBY	\N	\N
147910	494	1995-07-31	VYDAJ	VYBER	15	76280	SLUZBY	\N	\N
147911	494	1995-08-31	VYDAJ	VYBER	15	65301	SLUZBY	\N	\N
147912	494	1995-09-30	VYDAJ	VYBER	15	44495	SLUZBY	\N	\N
147913	494	1995-10-31	VYDAJ	VYBER	15	49392	SLUZBY	\N	\N
147914	494	1995-11-30	VYDAJ	VYBER	15	53032	SLUZBY	\N	\N
147915	494	1995-12-31	VYDAJ	VYBER	15	59839	SLUZBY	\N	\N
147916	494	1996-01-31	VYDAJ	VYBER	15	60583	SLUZBY	\N	\N
147917	494	1996-02-29	VYDAJ	VYBER	15	35393	SLUZBY	\N	\N
147918	494	1996-03-31	VYDAJ	VYBER	15	28769	SLUZBY	\N	\N
147919	494	1996-04-30	VYDAJ	VYBER	15	42866	SLUZBY	\N	\N
147920	494	1996-05-31	VYDAJ	VYBER	15	45402	SLUZBY	\N	\N
147921	494	1996-06-30	VYDAJ	VYBER	15	58695	SLUZBY	\N	\N
147922	494	1996-07-31	VYDAJ	VYBER	15	36850	SLUZBY	\N	\N
147923	494	1996-08-31	VYDAJ	VYBER	15	26027	SLUZBY	\N	\N
147924	494	1996-09-30	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
147925	494	1996-10-31	VYDAJ	VYBER	15	31017	SLUZBY	\N	\N
147926	494	1996-11-30	VYDAJ	VYBER	15	45416	SLUZBY	\N	\N
147927	494	1996-12-31	VYDAJ	VYBER	15	26069	SLUZBY	\N	\N
147928	494	1997-01-31	VYDAJ	VYBER	15	23059	SLUZBY	\N	\N
147929	494	1997-02-28	VYDAJ	VYBER	15	29330	SLUZBY	\N	\N
147930	494	1997-03-31	VYDAJ	VYBER	15	25343	SLUZBY	\N	\N
147931	494	1997-04-30	VYDAJ	VYBER	15	45494	SLUZBY	\N	\N
147932	494	1997-05-31	VYDAJ	VYBER	15	40589	SLUZBY	\N	\N
147933	494	1997-06-30	VYDAJ	VYBER	15	36276	SLUZBY	\N	\N
147934	494	1997-07-31	VYDAJ	VYBER	15	22343	SLUZBY	\N	\N
147935	494	1997-08-31	VYDAJ	VYBER	15	13460	SLUZBY	\N	\N
147936	494	1997-09-30	VYDAJ	VYBER	15	4541	SLUZBY	\N	\N
147937	494	1997-10-31	VYDAJ	VYBER	15	81566	SLUZBY	\N	\N
147938	494	1997-11-30	VYDAJ	VYBER	15	52708	SLUZBY	\N	\N
147939	494	1997-12-31	VYDAJ	VYBER	15	35132	SLUZBY	\N	\N
147940	494	1998-01-31	VYDAJ	VYBER	15	23896	SLUZBY	\N	\N
147941	494	1998-02-28	VYDAJ	VYBER	15	46505	SLUZBY	\N	\N
147942	494	1998-03-31	VYDAJ	VYBER	15	20059	SLUZBY	\N	\N
147943	494	1998-04-30	VYDAJ	VYBER	15	29874	SLUZBY	\N	\N
147944	494	1998-05-31	VYDAJ	VYBER	15	34456	SLUZBY	\N	\N
147945	494	1998-06-30	VYDAJ	VYBER	15	75800	SLUZBY	\N	\N
147946	494	1998-07-31	VYDAJ	VYBER	15	39668	SLUZBY	\N	\N
147947	494	1998-08-31	VYDAJ	VYBER	15	30856	SLUZBY	\N	\N
147948	494	1998-09-30	VYDAJ	VYBER	15	31179	SLUZBY	\N	\N
147949	494	1998-10-31	VYDAJ	VYBER	15	48975	SLUZBY	\N	\N
147950	494	1998-11-30	VYDAJ	VYBER	15	40202	SLUZBY	\N	\N
147951	494	1993-04-10	PRIJEM	VKLAD	6600	19880	\N	\N	\N
147952	494	1993-05-10	PRIJEM	VKLAD	2100	22038	\N	\N	\N
147953	494	1993-06-09	VYDAJ	VYBER	24100	47136	\N	\N	\N
147954	494	1993-07-09	VYDAJ	VYBER	34200	54826	\N	\N	\N
147955	494	1993-08-08	VYDAJ	VYBER	9900	34132	\N	\N	\N
147956	494	1993-09-07	VYDAJ	VYBER	13800	41416	\N	\N	\N
147957	494	1993-10-07	VYDAJ	VYBER	6100	44697	\N	\N	\N
147958	494	1993-11-06	VYDAJ	VYBER	27900	58102	\N	\N	\N
147959	494	1993-12-06	PRIJEM	VKLAD	2700	26567	\N	\N	\N
147960	494	1994-01-05	VYDAJ	VYBER	6300	36619	\N	\N	\N
147961	494	1994-02-04	PRIJEM	VKLAD	2700	22674	\N	\N	\N
147962	494	1994-03-06	VYDAJ	VYBER	14200	42683	\N	\N	\N
147963	494	1994-04-05	VYDAJ	VYBER	4800	29093	\N	\N	\N
147964	494	1994-05-05	VYDAJ	VYBER	5300	27225	\N	\N	\N
147965	494	1994-06-04	VYDAJ	VYBER	16300	37050	\N	\N	\N
147966	494	1994-07-04	VYDAJ	VYBER	7500	30218	\N	\N	\N
147967	494	1994-08-03	VYDAJ	VYBER	2500	27313	\N	\N	\N
147968	494	1994-09-02	PRIJEM	VKLAD	6000	24449	\N	\N	\N
147969	494	1994-09-30	VYDAJ	VYBER	34500	79328	\N	\N	\N
147970	494	1994-10-02	VYDAJ	VYBER	25500	53828	\N	\N	\N
147971	494	1994-11-01	VYDAJ	VYBER	13700	36458	\N	\N	\N
147972	494	1994-12-01	VYDAJ	VYBER	29800	55732	\N	\N	\N
147973	494	1994-12-31	VYDAJ	VYBER	9200	33765	\N	\N	\N
147974	494	1995-01-30	VYDAJ	VYBER	24000	55941	\N	\N	\N
147975	494	1995-03-01	PRIJEM	VKLAD	1800	27449	\N	\N	\N
147976	494	1995-03-20	VYDAJ	VYBER	54700	58077	\N	\N	\N
147977	494	1995-03-31	VYDAJ	VYBER	12700	45585	\N	\N	\N
147978	494	1995-04-27	VYDAJ	VYBER	26900	86233	\N	\N	\N
147979	494	1995-04-30	VYDAJ	VYBER	31600	65278	\N	\N	\N
147980	494	1995-05-30	VYDAJ	VYBER	37100	73389	\N	\N	\N
147981	494	1995-06-29	VYDAJ	VYBER	15700	47422	\N	\N	\N
147982	494	1995-07-29	VYDAJ	VYBER	7400	36402	\N	\N	\N
147983	494	1995-08-28	VYDAJ	VYBER	28600	64986	\N	\N	\N
147984	494	1995-09-27	VYDAJ	VYBER	12100	44266	\N	\N	\N
147985	494	1995-10-15	VYDAJ	VYBER	29800	95452	\N	\N	\N
147986	494	1995-10-16	VYDAJ	VYBER	32400	74322	\N	\N	\N
147987	494	1995-10-27	VYDAJ	VYBER	48600	62974	\N	\N	\N
147988	494	1995-10-27	VYDAJ	VYBER	13900	49074	\N	\N	\N
147989	494	1995-11-26	VYDAJ	VYBER	25100	52865	\N	\N	\N
147990	494	1995-12-17	VYDAJ	VYBER	22600	105075	\N	\N	\N
147991	494	1995-12-26	VYDAJ	VYBER	35500	69575	\N	\N	\N
147992	494	1996-01-25	VYDAJ	VYBER KARTOU	4000	39101	\N	\N	0
147993	494	1996-02-24	VYDAJ	VYBER KARTOU	3500	35229	\N	\N	0
147994	494	1996-03-25	PRIJEM	VKLAD	2200	28658	\N	\N	\N
147995	494	1996-04-24	VYDAJ	VYBER	16900	46368	\N	\N	\N
147996	494	1996-05-24	VYDAJ	VYBER	16500	45195	\N	\N	\N
147997	494	1996-06-23	VYDAJ	VYBER KARTOU	800	33156	\N	\N	0
147998	494	1996-07-23	VYDAJ	VYBER	13100	36660	\N	\N	\N
147999	494	1996-08-22	VYDAJ	VYBER KARTOU	2000	25915	\N	\N	0
148000	494	1996-09-21	PRIJEM	VKLAD	4300	21392	\N	\N	\N
148001	494	1996-10-21	PRIJEM	VKLAD	4000	30912	\N	\N	\N
148002	494	1996-11-20	VYDAJ	VYBER	14900	45264	\N	\N	\N
148003	494	1996-12-20	PRIJEM	VKLAD	2400	25966	\N	\N	\N
148004	494	1997-01-19	VYDAJ	VYBER KARTOU	3400	22974	\N	\N	0
148005	494	1997-02-18	VYDAJ	VYBER KARTOU	2500	29230	\N	\N	0
148006	494	1997-03-20	VYDAJ	VYBER	9000	32106	\N	\N	\N
148007	494	1997-04-19	PRIJEM	VKLAD	2300	18708	\N	\N	\N
148008	494	1997-05-19	VYDAJ	VYBER	20400	40410	\N	\N	\N
148009	494	1997-06-18	VYDAJ	VYBER	7300	36127	\N	\N	\N
148010	494	1997-07-18	VYDAJ	VYBER	5100	22241	\N	\N	\N
148011	494	1997-11-04	VYDAJ	VYBER	33500	96174	\N	\N	\N
148012	494	1997-11-15	VYDAJ	VYBER	34800	52439	\N	\N	\N
148013	494	1997-12-15	VYDAJ	VYBER	7000	36773	\N	\N	\N
148014	494	1998-01-14	VYDAJ	VYBER KARTOU	2400	24004	\N	\N	0
148015	494	1998-02-13	VYDAJ	VYBER	5300	33348	\N	\N	\N
148016	494	1998-03-15	VYDAJ	VYBER	4100	19970	\N	\N	\N
148017	494	1998-05-14	VYDAJ	VYBER	19400	34541	\N	\N	\N
148018	494	1998-06-13	VYDAJ	VYBER	29000	37905	\N	\N	\N
148019	494	1998-07-13	VYDAJ	VYBER	27400	39672	\N	\N	\N
148417	496	1993-02-26	PRIJEM	VKLAD	800	800	\N	\N	\N
148420	496	1993-03-07	PRIJEM	VKLAD	5404	6204	\N	\N	\N
148421	496	1993-04-07	PRIJEM	VKLAD	5404	20816	\N	\N	\N
148422	496	1993-05-07	PRIJEM	VKLAD	5404	26688	\N	\N	\N
148423	496	1993-06-07	PRIJEM	VKLAD	8106	35086	\N	\N	\N
148424	496	1993-07-07	PRIJEM	VKLAD	5404	33303	\N	\N	\N
148425	496	1993-08-07	PRIJEM	VKLAD	5404	30290	\N	\N	\N
148426	496	1993-09-07	PRIJEM	VKLAD	5404	31484	\N	\N	\N
148427	496	1993-10-07	PRIJEM	VKLAD	5404	34085	\N	\N	\N
148428	496	1993-11-07	PRIJEM	VKLAD	5404	33494	\N	\N	\N
148429	496	1993-12-07	PRIJEM	VKLAD	8106	28136	\N	\N	\N
148430	496	1994-01-07	PRIJEM	VKLAD	5404	25190	\N	\N	\N
148431	496	1994-02-07	PRIJEM	VKLAD	5404	19396	\N	\N	\N
148432	496	1994-03-07	PRIJEM	VKLAD	5404	23607	\N	\N	\N
148433	496	1994-04-07	PRIJEM	VKLAD	5404	26876	\N	\N	\N
148434	496	1994-05-07	PRIJEM	VKLAD	5404	24735	\N	\N	\N
148435	496	1994-06-07	PRIJEM	VKLAD	8106	28708	\N	\N	\N
148436	496	1994-07-07	PRIJEM	VKLAD	5404	29390	\N	\N	\N
148437	496	1994-08-07	PRIJEM	VKLAD	5404	30981	\N	\N	\N
148438	496	1994-09-07	PRIJEM	VKLAD	5404	31878	\N	\N	\N
148439	496	1994-10-07	PRIJEM	VKLAD	5404	30174	\N	\N	\N
148440	496	1994-11-07	PRIJEM	VKLAD	5404	31365	\N	\N	\N
148441	496	1994-12-07	PRIJEM	VKLAD	8106	36367	\N	\N	\N
148442	496	1995-01-07	PRIJEM	VKLAD	5404	26805	\N	\N	\N
148443	496	1995-02-07	PRIJEM	VKLAD	5404	19660	\N	\N	\N
148444	496	1995-03-07	PRIJEM	VKLAD	5404	25118	\N	\N	\N
148445	496	1995-04-07	PRIJEM	VKLAD	5404	29295	\N	\N	\N
148446	496	1995-05-07	PRIJEM	VKLAD	5404	28643	\N	\N	\N
148447	496	1995-06-07	PRIJEM	VKLAD	8106	34035	\N	\N	\N
148448	496	1995-07-07	PRIJEM	VKLAD	5404	28829	\N	\N	\N
148449	496	1995-08-07	PRIJEM	VKLAD	5404	31620	\N	\N	\N
148450	496	1995-09-07	PRIJEM	VKLAD	5404	26069	\N	\N	\N
148451	496	1995-10-07	PRIJEM	VKLAD	5404	28262	\N	\N	\N
148452	496	1995-11-07	PRIJEM	VKLAD	5404	26748	\N	\N	\N
148453	496	1995-12-07	PRIJEM	VKLAD	8106	30228	\N	\N	\N
148454	496	1996-01-07	PRIJEM	VKLAD	5404	23872	\N	\N	\N
148455	496	1996-02-07	PRIJEM	VKLAD	5404	19650	\N	\N	\N
148456	496	1996-03-07	PRIJEM	VKLAD	5404	23407	\N	\N	\N
148457	496	1996-04-07	PRIJEM	VKLAD	5404	23069	\N	\N	\N
148458	496	1996-05-07	PRIJEM	VKLAD	5404	20122	\N	\N	\N
148459	496	1996-06-07	PRIJEM	VKLAD	8106	26784	\N	\N	\N
148460	496	1996-07-07	PRIJEM	VKLAD	5404	26858	\N	\N	\N
148461	496	1996-08-07	PRIJEM	VKLAD	5404	22266	\N	\N	\N
148462	496	1996-09-07	PRIJEM	VKLAD	5404	23228	\N	\N	\N
148463	496	1996-10-07	PRIJEM	VKLAD	5404	20926	\N	\N	\N
148464	496	1996-11-07	PRIJEM	VKLAD	5404	21982	\N	\N	\N
148465	496	1996-12-07	PRIJEM	VKLAD	8106	29345	\N	\N	\N
148466	496	1997-01-07	PRIJEM	VKLAD	5404	30397	\N	\N	\N
148467	496	1997-02-07	PRIJEM	VKLAD	5404	30026	\N	\N	\N
148468	496	1997-03-07	PRIJEM	VKLAD	5404	29635	\N	\N	\N
148469	496	1997-04-07	PRIJEM	VKLAD	5404	36097	\N	\N	\N
148470	496	1997-05-07	PRIJEM	VKLAD	5404	36516	\N	\N	\N
148471	496	1997-06-07	PRIJEM	VKLAD	8106	40543	\N	\N	\N
148472	496	1997-07-07	PRIJEM	VKLAD	5404	37882	\N	\N	\N
148473	496	1997-08-07	PRIJEM	VKLAD	5404	38316	\N	\N	\N
148474	496	1997-09-07	PRIJEM	VKLAD	5404	35749	\N	\N	\N
148475	496	1997-10-07	PRIJEM	VKLAD	5404	34474	\N	\N	\N
148476	496	1997-11-07	PRIJEM	VKLAD	5404	36148	\N	\N	\N
148477	496	1997-12-07	PRIJEM	VKLAD	8106	38151	\N	\N	\N
148478	496	1998-01-07	PRIJEM	VKLAD	5404	32400	\N	\N	\N
148479	496	1998-02-07	PRIJEM	VKLAD	5404	24080	\N	\N	\N
148480	496	1998-03-07	PRIJEM	VKLAD	5404	26047	\N	\N	\N
148481	496	1998-04-07	PRIJEM	VKLAD	5404	32227	\N	\N	\N
148482	496	1998-05-07	PRIJEM	VKLAD	5404	29762	\N	\N	\N
148483	496	1998-06-07	PRIJEM	VKLAD	8106	36260	\N	\N	\N
148484	496	1998-07-07	PRIJEM	VKLAD	5404	29427	\N	\N	\N
148485	496	1998-08-07	PRIJEM	VKLAD	5404	36285	\N	\N	\N
148486	496	1998-09-07	PRIJEM	VKLAD	5404	36602	\N	\N	\N
148487	496	1998-10-07	PRIJEM	VKLAD	5404	43822	\N	\N	\N
148488	496	1998-11-07	PRIJEM	VKLAD	5404	40528	\N	\N	\N
148489	496	1998-12-07	PRIJEM	VKLAD	8106	43464	\N	\N	\N
148496	496	1993-07-14	VYDAJ	PREVOD NA UCET	3602	28381	SIPO	IJ	60471528
148497	496	1993-08-14	VYDAJ	PREVOD NA UCET	3602	26688	SIPO	IJ	60471528
148498	496	1993-09-14	VYDAJ	PREVOD NA UCET	3602	27882	SIPO	IJ	60471528
148499	496	1993-10-14	VYDAJ	PREVOD NA UCET	3602	30483	SIPO	IJ	60471528
148500	496	1993-11-14	VYDAJ	PREVOD NA UCET	3602	29892	SIPO	IJ	60471528
148501	496	1993-12-14	VYDAJ	PREVOD NA UCET	3602	21494	SIPO	IJ	60471528
148502	496	1994-01-14	VYDAJ	PREVOD NA UCET	3602	17748	SIPO	IJ	60471528
148503	496	1994-02-14	VYDAJ	PREVOD NA UCET	3602	15794	SIPO	IJ	60471528
148504	496	1994-03-14	VYDAJ	PREVOD NA UCET	3602	20005	SIPO	IJ	60471528
148505	496	1994-04-14	VYDAJ	PREVOD NA UCET	3602	23274	SIPO	IJ	60471528
148506	496	1994-05-14	VYDAJ	PREVOD NA UCET	3602	21133	SIPO	IJ	60471528
148507	496	1994-06-14	VYDAJ	PREVOD NA UCET	3602	25106	SIPO	IJ	60471528
148508	496	1994-07-14	VYDAJ	PREVOD NA UCET	3602	25788	SIPO	IJ	60471528
148509	496	1994-08-14	VYDAJ	PREVOD NA UCET	3602	27379	SIPO	IJ	60471528
148510	496	1994-09-14	VYDAJ	PREVOD NA UCET	3602	28276	SIPO	IJ	60471528
148511	496	1994-10-14	VYDAJ	PREVOD NA UCET	3602	22372	SIPO	IJ	60471528
148512	496	1994-11-14	VYDAJ	PREVOD NA UCET	3602	27763	SIPO	IJ	60471528
148513	496	1994-12-14	VYDAJ	PREVOD NA UCET	3602	32765	SIPO	IJ	60471528
148514	496	1995-01-14	VYDAJ	PREVOD NA UCET	3602	20323	SIPO	IJ	60471528
148515	496	1995-02-14	VYDAJ	PREVOD NA UCET	3602	16058	SIPO	IJ	60471528
148516	496	1995-03-14	VYDAJ	PREVOD NA UCET	3602	21516	SIPO	IJ	60471528
148517	496	1995-04-14	VYDAJ	PREVOD NA UCET	3602	25693	SIPO	IJ	60471528
148518	496	1995-05-14	VYDAJ	PREVOD NA UCET	3602	25041	SIPO	IJ	60471528
148519	496	1995-06-14	VYDAJ	PREVOD NA UCET	3602	30433	SIPO	IJ	60471528
148520	496	1995-07-14	VYDAJ	PREVOD NA UCET	3602	25227	SIPO	IJ	60471528
148521	496	1995-08-14	VYDAJ	PREVOD NA UCET	3602	28018	SIPO	IJ	60471528
148522	496	1995-09-14	VYDAJ	PREVOD NA UCET	3602	22767	SIPO	IJ	60471528
148523	496	1995-10-14	VYDAJ	PREVOD NA UCET	3602	24660	SIPO	IJ	60471528
148524	496	1995-11-14	VYDAJ	PREVOD NA UCET	3602	22046	SIPO	IJ	60471528
148525	496	1995-12-14	VYDAJ	PREVOD NA UCET	3602	22586	SIPO	IJ	60471528
148526	496	1996-01-14	VYDAJ	PREVOD NA UCET	3602	15630	SIPO	IJ	60471528
148527	496	1996-02-14	VYDAJ	PREVOD NA UCET	3602	17948	SIPO	IJ	60471528
148528	496	1996-03-14	VYDAJ	PREVOD NA UCET	3602	17605	SIPO	IJ	60471528
148529	496	1996-04-14	VYDAJ	PREVOD NA UCET	3602	14667	SIPO	IJ	60471528
148530	496	1996-05-14	VYDAJ	PREVOD NA UCET	3602	18620	SIPO	IJ	60471528
148531	496	1996-06-14	VYDAJ	PREVOD NA UCET	3602	21382	SIPO	IJ	60471528
148532	496	1996-07-14	VYDAJ	PREVOD NA UCET	3602	21956	SIPO	IJ	60471528
148533	496	1996-08-14	VYDAJ	PREVOD NA UCET	3602	17764	SIPO	IJ	60471528
148534	496	1996-09-14	VYDAJ	PREVOD NA UCET	3602	15466	SIPO	IJ	60471528
148535	496	1996-10-14	VYDAJ	PREVOD NA UCET	3602	16524	SIPO	IJ	60471528
148536	496	1996-11-14	VYDAJ	PREVOD NA UCET	3602	16880	SIPO	IJ	60471528
148537	496	1996-12-14	VYDAJ	PREVOD NA UCET	3602	21583	SIPO	IJ	60471528
148538	496	1997-01-14	VYDAJ	PREVOD NA UCET	3602	23915	SIPO	IJ	60471528
148539	496	1997-02-14	VYDAJ	PREVOD NA UCET	3602	26424	SIPO	IJ	60471528
148540	496	1997-03-14	VYDAJ	PREVOD NA UCET	3602	28533	SIPO	IJ	60471528
148541	496	1997-04-14	VYDAJ	PREVOD NA UCET	3602	31295	SIPO	IJ	60471528
148542	496	1997-05-14	VYDAJ	PREVOD NA UCET	3602	32914	SIPO	IJ	60471528
148543	496	1997-06-14	VYDAJ	PREVOD NA UCET	3602	36941	SIPO	IJ	60471528
148544	496	1997-07-14	VYDAJ	PREVOD NA UCET	3602	34280	SIPO	IJ	60471528
148545	496	1997-08-14	VYDAJ	PREVOD NA UCET	3602	34714	SIPO	IJ	60471528
148546	496	1997-09-14	VYDAJ	PREVOD NA UCET	3602	32147	SIPO	IJ	60471528
148547	496	1997-10-14	VYDAJ	PREVOD NA UCET	3602	30872	SIPO	IJ	60471528
148548	496	1997-11-14	VYDAJ	PREVOD NA UCET	3602	32546	SIPO	IJ	60471528
148549	496	1997-12-14	VYDAJ	PREVOD NA UCET	3602	34549	SIPO	IJ	60471528
148550	496	1998-01-14	VYDAJ	PREVOD NA UCET	3602	20638	SIPO	IJ	60471528
148551	496	1998-02-14	VYDAJ	PREVOD NA UCET	3602	20478	SIPO	IJ	60471528
148552	496	1998-03-14	VYDAJ	PREVOD NA UCET	3602	22445	SIPO	IJ	60471528
148553	496	1998-04-14	VYDAJ	PREVOD NA UCET	3602	28625	SIPO	IJ	60471528
148554	496	1998-05-14	VYDAJ	PREVOD NA UCET	3602	26160	SIPO	IJ	60471528
148555	496	1998-06-14	VYDAJ	PREVOD NA UCET	3602	32658	SIPO	IJ	60471528
148556	496	1998-07-14	VYDAJ	PREVOD NA UCET	3602	25825	SIPO	IJ	60471528
148557	496	1998-08-14	VYDAJ	PREVOD NA UCET	3602	32683	SIPO	IJ	60471528
148558	496	1998-09-14	VYDAJ	PREVOD NA UCET	3602	33000	SIPO	IJ	60471528
148559	496	1998-10-14	VYDAJ	PREVOD NA UCET	3602	40220	SIPO	IJ	60471528
148560	496	1998-11-14	VYDAJ	PREVOD NA UCET	3602	36926	SIPO	IJ	60471528
148561	496	1998-12-14	VYDAJ	PREVOD NA UCET	3602	36662	SIPO	IJ	60471528
148567	496	1998-06-28	VYDAJ	VYBER	15840	16818	\N	\N	\N
148570	496	1995-01-26	VYDAJ	VYBER	3040	16583	\N	\N	\N
148572	496	1997-01-15	VYDAJ	VYBER	3840	17315	\N	\N	\N
148573	496	1998-01-12	VYDAJ	VYBER	8160	24240	\N	\N	\N
148574	496	1993-12-14	VYDAJ	VYBER	3040	25096	\N	\N	\N
148575	496	1994-12-21	VYDAJ	VYBER	4160	23105	\N	\N	\N
148576	496	1995-12-09	VYDAJ	VYBER	1440	28788	\N	\N	\N
148577	496	1996-12-07	VYDAJ	VYBER	4160	25185	\N	\N	\N
148578	496	1997-12-04	VYDAJ	VYBER	1120	30045	\N	\N	\N
148579	496	1998-12-14	VYDAJ	VYBER	3200	40264	\N	\N	\N
148586	496	1994-01-27	VYDAJ	VYBER	3000	15488	\N	\N	\N
148587	496	1994-01-26	VYDAJ	VYBER	1800	18488	\N	\N	\N
148588	496	1994-01-09	VYDAJ	VYBER	840	21350	\N	\N	\N
148589	496	1994-01-07	VYDAJ	VYBER	3000	22190	\N	\N	\N
148590	496	1994-01-29	VYDAJ	VYBER	1560	13928	\N	\N	\N
148591	496	1994-01-25	VYDAJ	VYBER	840	20288	\N	\N	\N
148592	496	1995-01-30	VYDAJ	VYBER	2400	14183	\N	\N	\N
148593	496	1995-01-11	VYDAJ	VYBER	1440	25365	\N	\N	\N
148595	496	1995-01-05	VYDAJ	VYBER	720	21401	\N	\N	\N
148596	496	1995-01-22	VYDAJ	VYBER	1800	19623	\N	\N	\N
148597	496	1995-01-12	VYDAJ	VYBER	1440	23925	\N	\N	\N
148598	496	1996-01-04	VYDAJ	VYBER	720	18468	\N	\N	\N
148600	496	1996-01-17	VYDAJ	VYBER	1440	14190	\N	\N	\N
148601	496	1996-01-08	VYDAJ	VYBER	600	23272	\N	\N	\N
148602	496	1996-01-03	VYDAJ	VYBER	3480	19188	\N	\N	\N
148603	496	1996-01-09	VYDAJ	VYBER	2640	20632	\N	\N	\N
148604	496	1997-01-14	VYDAJ	VYBER	2760	21155	\N	\N	\N
148606	496	1997-01-24	VYDAJ	VYBER	720	14555	\N	\N	\N
148607	496	1997-01-21	VYDAJ	VYBER	2040	15275	\N	\N	\N
148609	496	1997-01-01	VYDAJ	VYBER	1560	20093	\N	\N	\N
148611	496	1998-01-21	VYDAJ	VYBER	3120	15598	\N	\N	\N
148612	496	1998-01-03	VYDAJ	VYBER	3240	28436	\N	\N	\N
148614	496	1998-01-17	VYDAJ	VYBER	1920	18718	\N	\N	\N
148615	496	1998-01-06	VYDAJ	VYBER	1440	26996	\N	\N	\N
148617	496	1993-11-26	VYDAJ	VYBER	5760	19932	\N	\N	\N
148618	496	1993-07-07	VYDAJ	VYBER	1320	31983	\N	\N	\N
148619	496	1993-12-30	VYDAJ	VYBER	1680	19714	\N	\N	\N
148621	496	1994-02-15	VYDAJ	VYBER	840	14954	\N	\N	\N
148622	496	1994-02-19	VYDAJ	VYBER	1800	13154	\N	\N	\N
148623	496	1994-12-24	VYDAJ	VYBER	1080	22025	\N	\N	\N
148624	496	1994-10-10	VYDAJ	VYBER	4200	25974	\N	\N	\N
148625	496	1994-04-22	VYDAJ	VYBER	4200	21774	\N	\N	\N
148626	496	1994-01-20	VYDAJ	VYBER	3720	14028	\N	\N	\N
148627	496	1994-04-25	VYDAJ	VYBER	2520	19254	\N	\N	\N
148628	496	1995-06-26	VYDAJ	VYBER	2400	23333	\N	\N	\N
148629	496	1995-04-24	VYDAJ	VYBER	2040	23153	\N	\N	\N
148630	496	1995-09-04	VYDAJ	VYBER	2640	20665	\N	\N	\N
148632	496	1996-07-23	VYDAJ	VYBER	1200	16796	\N	\N	\N
148633	496	1996-09-11	VYDAJ	VYBER	4560	19068	\N	\N	\N
148634	496	1996-07-15	VYDAJ	VYBER	3960	17996	\N	\N	\N
148635	496	1997-04-01	VYDAJ	VYBER	2040	26593	\N	\N	\N
148638	496	1997-01-09	VYDAJ	VYBER	2880	27517	\N	\N	\N
148639	496	1997-04-07	VYDAJ	VYBER	1200	34897	\N	\N	\N
148640	496	1997-02-28	VYDAJ	VYBER	2280	24245	\N	\N	\N
148641	496	1997-10-19	VYDAJ	VYBER	2640	28232	\N	\N	\N
148642	496	1998-10-14	VYDAJ	VYBER	840	39380	\N	\N	\N
148643	496	1998-07-02	VYDAJ	VYBER	3600	24023	\N	\N	\N
148644	496	1998-07-29	VYDAJ	VYBER	2040	23785	\N	\N	\N
148645	496	1998-04-18	VYDAJ	VYBER	3960	24665	\N	\N	\N
148653	496	1993-07-31	VYDAJ	VYBER	15	24886	SLUZBY	\N	\N
148654	496	1993-08-31	VYDAJ	VYBER	15	26080	SLUZBY	\N	\N
148655	496	1993-09-30	VYDAJ	VYBER	15	28681	SLUZBY	\N	\N
148656	496	1993-10-31	VYDAJ	VYBER	15	28090	SLUZBY	\N	\N
148657	496	1993-11-30	VYDAJ	VYBER	15	20030	SLUZBY	\N	\N
148658	496	1993-12-31	VYDAJ	VYBER	15	19786	SLUZBY	\N	\N
148659	496	1994-01-31	VYDAJ	VYBER	15	13992	SLUZBY	\N	\N
148660	496	1994-02-28	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
148661	496	1994-03-31	VYDAJ	VYBER	15	21472	SLUZBY	\N	\N
148662	496	1994-04-30	VYDAJ	VYBER	15	19331	SLUZBY	\N	\N
148663	496	1994-05-31	VYDAJ	VYBER	15	20602	SLUZBY	\N	\N
148664	496	1994-06-30	VYDAJ	VYBER	15	23986	SLUZBY	\N	\N
148665	496	1994-07-31	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
148666	496	1994-08-31	VYDAJ	VYBER	15	26474	SLUZBY	\N	\N
148667	496	1994-09-30	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
148668	496	1994-10-31	VYDAJ	VYBER	15	25961	SLUZBY	\N	\N
148669	496	1994-11-30	VYDAJ	VYBER	15	28261	SLUZBY	\N	\N
148670	496	1994-12-31	VYDAJ	VYBER	15	22121	SLUZBY	\N	\N
148671	496	1995-01-31	VYDAJ	VYBER	15	14256	SLUZBY	\N	\N
148672	496	1995-02-28	VYDAJ	VYBER	15	19714	SLUZBY	\N	\N
148673	496	1995-03-31	VYDAJ	VYBER	15	23891	SLUZBY	\N	\N
148674	496	1995-04-30	VYDAJ	VYBER	15	23239	SLUZBY	\N	\N
148675	496	1995-05-31	VYDAJ	VYBER	15	25929	SLUZBY	\N	\N
148676	496	1995-06-30	VYDAJ	VYBER	15	23425	SLUZBY	\N	\N
148677	496	1995-07-31	VYDAJ	VYBER	15	26216	SLUZBY	\N	\N
148678	496	1995-08-31	VYDAJ	VYBER	15	23305	SLUZBY	\N	\N
148679	496	1995-09-30	VYDAJ	VYBER	15	22858	SLUZBY	\N	\N
148680	496	1995-10-31	VYDAJ	VYBER	15	21344	SLUZBY	\N	\N
148681	496	1995-11-30	VYDAJ	VYBER	15	22122	SLUZBY	\N	\N
148682	496	1995-12-31	VYDAJ	VYBER	15	22668	SLUZBY	\N	\N
148683	496	1996-01-31	VYDAJ	VYBER	15	14246	SLUZBY	\N	\N
148684	496	1996-02-29	VYDAJ	VYBER	15	18003	SLUZBY	\N	\N
148685	496	1996-03-31	VYDAJ	VYBER	15	17665	SLUZBY	\N	\N
148686	496	1996-04-30	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
148687	496	1996-05-31	VYDAJ	VYBER	15	18678	SLUZBY	\N	\N
148688	496	1996-06-30	VYDAJ	VYBER	15	21454	SLUZBY	\N	\N
148689	496	1996-07-31	VYDAJ	VYBER	15	16862	SLUZBY	\N	\N
148690	496	1996-08-31	VYDAJ	VYBER	15	17824	SLUZBY	\N	\N
148691	496	1996-09-30	VYDAJ	VYBER	15	15522	SLUZBY	\N	\N
148692	496	1996-10-31	VYDAJ	VYBER	15	16578	SLUZBY	\N	\N
148693	496	1996-11-30	VYDAJ	VYBER	15	16939	SLUZBY	\N	\N
148694	496	1996-12-31	VYDAJ	VYBER	15	21653	SLUZBY	\N	\N
148695	496	1997-01-31	VYDAJ	VYBER	15	14622	SLUZBY	\N	\N
148696	496	1997-02-28	VYDAJ	VYBER	15	24231	SLUZBY	\N	\N
148697	496	1997-03-31	VYDAJ	VYBER	15	28633	SLUZBY	\N	\N
148698	496	1997-04-30	VYDAJ	VYBER	15	31412	SLUZBY	\N	\N
148699	496	1997-05-31	VYDAJ	VYBER	15	33037	SLUZBY	\N	\N
148700	496	1997-06-30	VYDAJ	VYBER	15	37078	SLUZBY	\N	\N
148701	496	1997-07-31	VYDAJ	VYBER	15	34412	SLUZBY	\N	\N
148702	496	1997-08-31	VYDAJ	VYBER	15	34845	SLUZBY	\N	\N
148703	496	1997-09-30	VYDAJ	VYBER	15	32270	SLUZBY	\N	\N
148704	496	1997-10-31	VYDAJ	VYBER	15	28344	SLUZBY	\N	\N
148705	496	1997-11-30	VYDAJ	VYBER	15	32665	SLUZBY	\N	\N
148706	496	1997-12-31	VYDAJ	VYBER	15	34676	SLUZBY	\N	\N
148707	496	1998-01-31	VYDAJ	VYBER	15	18676	SLUZBY	\N	\N
148708	496	1998-02-28	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
148709	496	1998-03-31	VYDAJ	VYBER	15	22523	SLUZBY	\N	\N
148710	496	1998-04-30	VYDAJ	VYBER	15	24758	SLUZBY	\N	\N
148711	496	1998-05-31	VYDAJ	VYBER	15	28154	SLUZBY	\N	\N
148712	496	1998-06-30	VYDAJ	VYBER	15	27623	SLUZBY	\N	\N
148713	496	1998-07-31	VYDAJ	VYBER	15	30881	SLUZBY	\N	\N
148714	496	1998-08-31	VYDAJ	VYBER	15	31198	SLUZBY	\N	\N
148715	496	1998-09-30	VYDAJ	VYBER	15	38418	SLUZBY	\N	\N
148716	496	1998-10-31	VYDAJ	VYBER	15	35124	SLUZBY	\N	\N
148717	496	1998-11-30	VYDAJ	VYBER	15	35358	SLUZBY	\N	\N
148718	496	1993-03-28	PRIJEM	VKLAD	9200	15404	\N	\N	\N
148719	496	1993-04-27	PRIJEM	VKLAD	400	21216	\N	\N	\N
148720	496	1993-05-27	PRIJEM	VKLAD	200	26888	\N	\N	\N
148721	496	1993-06-26	VYDAJ	VYBER	7300	27786	\N	\N	\N
148722	496	1993-07-26	VYDAJ	VYBER	3600	24781	\N	\N	\N
148723	496	1993-08-25	VYDAJ	VYBER	700	25988	\N	\N	\N
148724	496	1993-09-24	PRIJEM	VKLAD	700	28582	\N	\N	\N
148725	496	1993-10-24	VYDAJ	VYBER	2500	27983	\N	\N	\N
148726	496	1993-11-23	VYDAJ	VYBER	4200	25692	\N	\N	\N
148727	496	1993-12-23	VYDAJ	VYBER	100	21394	\N	\N	\N
148728	496	1994-01-22	PRIJEM	VKLAD	7100	21128	\N	\N	\N
148729	496	1994-02-21	PRIJEM	VKLAD	5000	18154	\N	\N	\N
148730	496	1994-03-23	PRIJEM	VKLAD	1400	21405	\N	\N	\N
148731	496	1994-04-22	PRIJEM	VKLAD	2700	25974	\N	\N	\N
148732	496	1994-05-22	VYDAJ	VYBER	600	20533	\N	\N	\N
148733	496	1994-06-21	VYDAJ	VYBER	1200	23906	\N	\N	\N
148734	496	1994-07-21	VYDAJ	VYBER	300	25488	\N	\N	\N
148735	496	1994-08-20	VYDAJ	VYBER	1000	26379	\N	\N	\N
148736	496	1994-09-19	VYDAJ	VYBER	3600	24676	\N	\N	\N
148737	496	1994-10-19	PRIJEM	VKLAD	3500	25872	\N	\N	\N
148738	496	1994-11-18	PRIJEM	VKLAD	400	28163	\N	\N	\N
148739	496	1994-12-18	VYDAJ	VYBER	5500	27265	\N	\N	\N
148740	496	1995-01-17	PRIJEM	VKLAD	1100	21423	\N	\N	\N
148741	496	1995-02-16	PRIJEM	VKLAD	3600	19658	\N	\N	\N
148742	496	1995-03-18	PRIJEM	VKLAD	2300	23816	\N	\N	\N
148743	496	1995-04-17	VYDAJ	VYBER	500	25193	\N	\N	\N
148744	496	1995-05-17	PRIJEM	VKLAD	800	25841	\N	\N	\N
148745	496	1995-06-16	VYDAJ	VYBER	4700	25733	\N	\N	\N
148746	496	1995-07-16	PRIJEM	VKLAD	900	26127	\N	\N	\N
148747	496	1995-08-15	VYDAJ	VYBER	4800	23218	\N	\N	\N
148748	496	1995-09-14	PRIJEM	VKLAD	300	26369	\N	\N	\N
148749	496	1995-10-14	VYDAJ	VYBER	3400	21260	\N	\N	\N
148750	496	1995-11-13	VYDAJ	VYBER	1100	25648	\N	\N	\N
148751	496	1995-12-13	VYDAJ	VYBER	2600	26188	\N	\N	\N
148752	496	1996-01-12	VYDAJ	VYBER	1400	19232	\N	\N	\N
148753	496	1996-02-11	PRIJEM	VKLAD	1900	21550	\N	\N	\N
148754	496	1996-03-12	VYDAJ	VYBER	2200	21207	\N	\N	\N
148755	496	1996-04-11	VYDAJ	VYBER	4800	18269	\N	\N	\N
148756	496	1996-05-11	PRIJEM	VKLAD	2100	22222	\N	\N	\N
148757	496	1996-06-10	VYDAJ	VYBER	1800	24984	\N	\N	\N
148758	496	1996-07-10	VYDAJ	VYBER	1300	25558	\N	\N	\N
148759	496	1996-08-09	VYDAJ	VYBER	900	21366	\N	\N	\N
148760	496	1996-09-08	PRIJEM	VKLAD	400	23628	\N	\N	\N
148761	496	1996-10-08	VYDAJ	VYBER	800	20126	\N	\N	\N
148762	496	1996-11-07	VYDAJ	VYBER	1500	20482	\N	\N	\N
148763	496	1996-12-07	PRIJEM	VKLAD	4300	21239	\N	\N	\N
148764	496	1997-01-06	PRIJEM	VKLAD	4900	24993	\N	\N	\N
148765	496	1997-02-05	PRIJEM	VKLAD	10000	24622	\N	\N	\N
148766	496	1997-03-07	PRIJEM	VKLAD	2500	32135	\N	\N	\N
148767	496	1997-04-06	PRIJEM	VKLAD	4100	30693	\N	\N	\N
148768	496	1997-05-06	VYDAJ	VYBER	300	31112	\N	\N	\N
148769	496	1997-06-05	VYDAJ	VYBER	600	32437	\N	\N	\N
148770	496	1997-07-05	VYDAJ	VYBER	4600	32478	\N	\N	\N
148771	496	1997-08-04	VYDAJ	VYBER	1500	32912	\N	\N	\N
148772	496	1997-09-03	VYDAJ	VYBER	4500	30345	\N	\N	\N
148773	496	1997-10-03	VYDAJ	VYBER	3200	29070	\N	\N	\N
148774	496	1997-11-02	PRIJEM	VKLAD	2400	30744	\N	\N	\N
148775	496	1997-12-02	VYDAJ	VYBER	1500	31165	\N	\N	\N
148776	496	1998-01-01	VYDAJ	VYBER	3000	31676	\N	\N	\N
148777	496	1998-01-31	PRIJEM	VKLAD	3000	18690	\N	\N	\N
148778	496	1998-03-02	PRIJEM	VKLAD	100	20643	\N	\N	\N
148779	496	1998-04-01	PRIJEM	VKLAD	4300	26823	\N	\N	\N
148780	496	1998-05-01	VYDAJ	VYBER	400	24358	\N	\N	\N
148781	496	1998-05-31	PRIJEM	VKLAD	1900	28169	\N	\N	\N
148782	496	1998-06-30	PRIJEM	VKLAD	10700	27518	\N	\N	\N
148783	496	1998-07-30	PRIJEM	VKLAD	7000	30785	\N	\N	\N
148784	496	1998-08-29	VYDAJ	VYBER	1600	31083	\N	\N	\N
148785	496	1998-09-28	PRIJEM	VKLAD	5300	38300	\N	\N	\N
148786	496	1998-10-28	VYDAJ	VYBER	4400	34980	\N	\N	\N
148787	496	1998-11-27	VYDAJ	VYBER	1700	35226	\N	\N	\N
148858	497	1993-04-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
148863	497	1993-05-13	PRIJEM	VKLAD	21553	22553	\N	\N	\N
148864	497	1993-06-13	PRIJEM	VKLAD	32330	55335	\N	\N	\N
148865	497	1993-07-13	PRIJEM	VKLAD	21553	62626	\N	\N	\N
148866	497	1993-08-13	PRIJEM	VKLAD	21553	67762	\N	\N	\N
148867	497	1993-09-13	PRIJEM	VKLAD	21553	58503	\N	\N	\N
148868	497	1993-10-13	PRIJEM	VKLAD	21553	63149	\N	\N	\N
148869	497	1993-11-13	PRIJEM	VKLAD	21553	62425	\N	\N	\N
148870	497	1993-12-13	PRIJEM	VKLAD	32330	73444	\N	\N	\N
148871	497	1994-01-13	PRIJEM	VKLAD	21553	65168	\N	\N	\N
148872	497	1994-02-13	PRIJEM	VKLAD	21553	59849	\N	\N	\N
148873	497	1994-03-13	PRIJEM	VKLAD	21553	59629	\N	\N	\N
148874	497	1994-04-13	PRIJEM	VKLAD	21553	61093	\N	\N	\N
148875	497	1994-05-13	PRIJEM	VKLAD	21553	63363	\N	\N	\N
148876	497	1994-06-13	PRIJEM	VKLAD	32330	74014	\N	\N	\N
148877	497	1994-07-13	PRIJEM	VKLAD	21553	45346	\N	\N	\N
148878	497	1994-08-13	PRIJEM	VKLAD	21553	52347	\N	\N	\N
148879	497	1994-09-13	PRIJEM	VKLAD	21553	58666	\N	\N	\N
148880	497	1994-10-13	PRIJEM	VKLAD	21553	63820	\N	\N	\N
148881	497	1994-11-13	PRIJEM	VKLAD	21553	64398	\N	\N	\N
148882	497	1994-12-13	PRIJEM	VKLAD	32330	77720	\N	\N	\N
148883	497	1995-01-13	PRIJEM	VKLAD	21553	73177	\N	\N	\N
148884	497	1995-02-13	PRIJEM	VKLAD	21553	57942	\N	\N	\N
148885	497	1995-03-13	PRIJEM	VKLAD	21553	62684	\N	\N	\N
148886	497	1995-04-13	PRIJEM	VKLAD	21553	63857	\N	\N	\N
148887	497	1995-05-13	PRIJEM	VKLAD	21553	61118	\N	\N	\N
148888	497	1995-06-13	PRIJEM	VKLAD	32330	63726	\N	\N	\N
148889	497	1995-07-13	PRIJEM	VKLAD	21553	52454	\N	\N	\N
148890	497	1995-08-13	PRIJEM	VKLAD	21553	60062	\N	\N	\N
148891	497	1995-09-13	PRIJEM	VKLAD	21553	64078	\N	\N	\N
148892	497	1995-10-13	PRIJEM	VKLAD	21553	67855	\N	\N	\N
148893	497	1995-11-13	PRIJEM	VKLAD	21553	69250	\N	\N	\N
148894	497	1995-12-13	PRIJEM	VKLAD	32330	76932	\N	\N	\N
148895	497	1996-01-13	PRIJEM	VKLAD	21553	71467	\N	\N	\N
148896	497	1996-02-13	PRIJEM	VKLAD	21553	67737	\N	\N	\N
148897	497	1996-03-13	PRIJEM	VKLAD	21553	72341	\N	\N	\N
148898	497	1996-04-13	PRIJEM	VKLAD	21553	72529	\N	\N	\N
148899	497	1996-05-13	PRIJEM	VKLAD	21553	72110	\N	\N	\N
148900	497	1996-06-13	PRIJEM	VKLAD	32330	86567	\N	\N	\N
148901	497	1996-07-13	PRIJEM	VKLAD	21553	70884	\N	\N	\N
148902	497	1996-08-13	PRIJEM	VKLAD	21553	72756	\N	\N	\N
148903	497	1996-09-13	PRIJEM	VKLAD	21553	75734	\N	\N	\N
148904	497	1996-10-13	PRIJEM	VKLAD	21553	73076	\N	\N	\N
148905	497	1996-11-13	PRIJEM	VKLAD	21553	69447	\N	\N	\N
148906	497	1996-12-13	PRIJEM	VKLAD	32330	71238	\N	\N	\N
148907	497	1997-01-13	PRIJEM	VKLAD	21553	55068	\N	\N	\N
148908	497	1997-02-13	PRIJEM	VKLAD	21553	56287	\N	\N	\N
148909	497	1997-03-13	PRIJEM	VKLAD	21553	62603	\N	\N	\N
148910	497	1997-04-13	PRIJEM	VKLAD	21553	60566	\N	\N	\N
148911	497	1997-05-13	PRIJEM	VKLAD	21553	62085	\N	\N	\N
148912	497	1997-06-13	PRIJEM	VKLAD	32330	72184	\N	\N	\N
148913	497	1997-07-13	PRIJEM	VKLAD	21553	62013	\N	\N	\N
148914	497	1997-08-13	PRIJEM	VKLAD	21553	63036	\N	\N	\N
148915	497	1997-09-13	PRIJEM	VKLAD	21553	65367	\N	\N	\N
148916	497	1997-10-13	PRIJEM	VKLAD	21553	64594	\N	\N	\N
148917	497	1997-11-13	PRIJEM	VKLAD	21553	57396	\N	\N	\N
148918	497	1997-12-13	PRIJEM	VKLAD	32330	72984	\N	\N	\N
148919	497	1998-01-13	PRIJEM	VKLAD	21553	48993	\N	\N	\N
148920	497	1998-02-13	PRIJEM	VKLAD	21553	49271	\N	\N	\N
148921	497	1998-03-13	PRIJEM	VKLAD	21553	53734	\N	\N	\N
148922	497	1998-04-13	PRIJEM	VKLAD	21553	55313	\N	\N	\N
148923	497	1998-05-13	PRIJEM	VKLAD	21553	57699	\N	\N	\N
148924	497	1998-06-13	PRIJEM	VKLAD	32330	65460	\N	\N	\N
148925	497	1998-07-13	PRIJEM	VKLAD	21553	55714	\N	\N	\N
148926	497	1998-08-13	PRIJEM	VKLAD	21553	54892	\N	\N	\N
148927	497	1998-09-13	PRIJEM	VKLAD	21553	49655	\N	\N	\N
148928	497	1998-10-13	PRIJEM	VKLAD	21553	43291	\N	\N	\N
148929	497	1998-11-13	PRIJEM	VKLAD	21553	44516	\N	\N	\N
148930	497	1998-12-13	PRIJEM	VKLAD	32330	54315	\N	\N	\N
148939	497	1993-09-14	VYDAJ	PREVOD NA UCET	3405	55098	SIPO	EF	31873262
148940	497	1993-10-14	VYDAJ	PREVOD NA UCET	3405	59744	SIPO	EF	31873262
148941	497	1993-11-14	VYDAJ	PREVOD NA UCET	3405	59020	SIPO	EF	31873262
148942	497	1993-12-14	VYDAJ	PREVOD NA UCET	3405	70039	SIPO	EF	31873262
148943	497	1994-01-14	VYDAJ	PREVOD NA UCET	3405	58643	SIPO	EF	31873262
148944	497	1994-02-14	VYDAJ	PREVOD NA UCET	3405	56444	SIPO	EF	31873262
148945	497	1994-03-14	VYDAJ	PREVOD NA UCET	3405	56224	SIPO	EF	31873262
148946	497	1994-04-14	VYDAJ	PREVOD NA UCET	3405	57688	SIPO	EF	31873262
148947	497	1994-05-14	VYDAJ	PREVOD NA UCET	3405	59958	SIPO	EF	31873262
148948	497	1994-06-14	VYDAJ	PREVOD NA UCET	3405	70609	SIPO	EF	31873262
148949	497	1994-07-14	VYDAJ	PREVOD NA UCET	3405	41941	SIPO	EF	31873262
148950	497	1994-08-14	VYDAJ	PREVOD NA UCET	3405	48942	SIPO	EF	31873262
148951	497	1994-09-14	VYDAJ	PREVOD NA UCET	3405	55261	SIPO	EF	31873262
148952	497	1994-10-14	VYDAJ	PREVOD NA UCET	3405	60415	SIPO	EF	31873262
148953	497	1994-11-14	VYDAJ	PREVOD NA UCET	3405	60993	SIPO	EF	31873262
148954	497	1994-12-14	VYDAJ	PREVOD NA UCET	3405	74315	SIPO	EF	31873262
148955	497	1995-01-14	VYDAJ	PREVOD NA UCET	3405	69772	SIPO	EF	31873262
148956	497	1995-02-14	VYDAJ	PREVOD NA UCET	3405	54537	SIPO	EF	31873262
148957	497	1995-03-14	VYDAJ	PREVOD NA UCET	3405	59279	SIPO	EF	31873262
148958	497	1995-04-14	VYDAJ	PREVOD NA UCET	3405	60452	SIPO	EF	31873262
148959	497	1995-05-14	VYDAJ	PREVOD NA UCET	3405	57713	SIPO	EF	31873262
148960	497	1995-06-14	VYDAJ	PREVOD NA UCET	3405	60321	SIPO	EF	31873262
148961	497	1995-07-14	VYDAJ	PREVOD NA UCET	3405	49049	SIPO	EF	31873262
148962	497	1995-08-14	VYDAJ	PREVOD NA UCET	3405	56657	SIPO	EF	31873262
148963	497	1995-09-14	VYDAJ	PREVOD NA UCET	3405	60673	SIPO	EF	31873262
148964	497	1995-10-14	VYDAJ	PREVOD NA UCET	3405	64450	SIPO	EF	31873262
148965	497	1995-11-14	VYDAJ	PREVOD NA UCET	3405	65845	SIPO	EF	31873262
148966	497	1995-12-14	VYDAJ	PREVOD NA UCET	3405	73527	SIPO	EF	31873262
148967	497	1996-01-14	VYDAJ	PREVOD NA UCET	3405	68062	SIPO	EF	31873262
148968	497	1996-02-14	VYDAJ	PREVOD NA UCET	3405	64332	SIPO	EF	31873262
148969	497	1996-03-14	VYDAJ	PREVOD NA UCET	3405	68936	SIPO	EF	31873262
148970	497	1996-04-14	VYDAJ	PREVOD NA UCET	3405	69124	SIPO	EF	31873262
148971	497	1996-05-14	VYDAJ	PREVOD NA UCET	3405	68705	SIPO	EF	31873262
148972	497	1996-06-14	VYDAJ	PREVOD NA UCET	3405	64602	SIPO	EF	31873262
148973	497	1996-07-14	VYDAJ	PREVOD NA UCET	3405	67479	SIPO	EF	31873262
148974	497	1996-08-14	VYDAJ	PREVOD NA UCET	3405	69351	SIPO	EF	31873262
148975	497	1996-09-14	VYDAJ	PREVOD NA UCET	3405	72329	SIPO	EF	31873262
148976	497	1996-10-14	VYDAJ	PREVOD NA UCET	3405	69671	SIPO	EF	31873262
148977	497	1996-11-14	VYDAJ	PREVOD NA UCET	3405	66042	SIPO	EF	31873262
148978	497	1996-12-14	VYDAJ	PREVOD NA UCET	3405	67833	SIPO	EF	31873262
148979	497	1997-01-14	VYDAJ	PREVOD NA UCET	3405	51663	SIPO	EF	31873262
148980	497	1997-02-14	VYDAJ	PREVOD NA UCET	3405	52882	SIPO	EF	31873262
148981	497	1997-03-14	VYDAJ	PREVOD NA UCET	3405	59198	SIPO	EF	31873262
148982	497	1997-04-14	VYDAJ	PREVOD NA UCET	3405	57161	SIPO	EF	31873262
148983	497	1997-05-14	VYDAJ	PREVOD NA UCET	3405	58680	SIPO	EF	31873262
148984	497	1997-06-14	VYDAJ	PREVOD NA UCET	3405	68779	SIPO	EF	31873262
148985	497	1997-07-14	VYDAJ	PREVOD NA UCET	3405	58608	SIPO	EF	31873262
148986	497	1997-08-14	VYDAJ	PREVOD NA UCET	3405	59631	SIPO	EF	31873262
148987	497	1997-09-14	VYDAJ	PREVOD NA UCET	3405	61962	SIPO	EF	31873262
148988	497	1997-10-14	VYDAJ	PREVOD NA UCET	3405	61189	SIPO	EF	31873262
148989	497	1997-11-14	VYDAJ	PREVOD NA UCET	3405	53991	SIPO	EF	31873262
148990	497	1997-12-14	VYDAJ	PREVOD NA UCET	3405	69579	SIPO	EF	31873262
148991	497	1998-01-14	VYDAJ	PREVOD NA UCET	3405	45588	SIPO	EF	31873262
148992	497	1998-02-14	VYDAJ	PREVOD NA UCET	3405	45866	SIPO	EF	31873262
148993	497	1998-03-14	VYDAJ	PREVOD NA UCET	3405	50329	SIPO	EF	31873262
148994	497	1998-04-14	VYDAJ	PREVOD NA UCET	3405	51908	SIPO	EF	31873262
148995	497	1998-05-14	VYDAJ	PREVOD NA UCET	3405	54294	SIPO	EF	31873262
148996	497	1998-06-14	VYDAJ	PREVOD NA UCET	3405	62055	SIPO	EF	31873262
148997	497	1998-07-14	VYDAJ	PREVOD NA UCET	3405	52309	SIPO	EF	31873262
148998	497	1998-08-14	VYDAJ	PREVOD NA UCET	3405	51487	SIPO	EF	31873262
148999	497	1998-09-14	VYDAJ	PREVOD NA UCET	3405	46250	SIPO	EF	31873262
149000	497	1998-10-14	VYDAJ	PREVOD NA UCET	3405	39886	SIPO	EF	31873262
149001	497	1998-11-14	VYDAJ	PREVOD NA UCET	3405	41111	SIPO	EF	31873262
149002	497	1998-12-14	VYDAJ	PREVOD NA UCET	3405	46430	SIPO	EF	31873262
149004	497	1994-06-25	VYDAJ	VYBER	46240	24369	\N	\N	\N
149005	497	1995-06-20	VYDAJ	VYBER	29280	31041	\N	\N	\N
149006	497	1996-06-13	VYDAJ	VYBER	18560	68007	\N	\N	\N
149007	497	1997-06-22	VYDAJ	VYBER	16000	52779	\N	\N	\N
149010	497	1994-01-04	VYDAJ	VYBER	4320	65975	\N	\N	\N
149011	497	1995-01-16	VYDAJ	VYBER	11040	52612	\N	\N	\N
149012	497	1996-01-18	VYDAJ	VYBER	3680	58502	\N	\N	\N
149013	497	1997-01-09	VYDAJ	VYBER	9440	34595	\N	\N	\N
149014	497	1998-01-09	VYDAJ	VYBER	12320	27440	\N	\N	\N
149015	497	1993-12-02	VYDAJ	VYBER	3840	55414	\N	\N	\N
149016	497	1994-12-25	VYDAJ	VYBER	2560	71755	\N	\N	\N
149017	497	1995-12-09	VYDAJ	VYBER	2400	44602	\N	\N	\N
149018	497	1996-12-09	VYDAJ	VYBER	2880	38908	\N	\N	\N
149019	497	1997-12-15	VYDAJ	VYBER KARTOU	1000	68579	\N	\N	0
149020	497	1998-12-14	VYDAJ	VYBER	4480	49835	\N	\N	\N
149027	497	1994-01-29	VYDAJ	VYBER	3360	50963	\N	\N	\N
149028	497	1994-01-11	VYDAJ	VYBER	960	43615	\N	\N	\N
149029	497	1994-01-25	VYDAJ	VYBER	840	56483	\N	\N	\N
149030	497	1994-01-13	VYDAJ	VYBER	3120	62048	\N	\N	\N
149031	497	1994-01-25	VYDAJ	VYBER	2160	54323	\N	\N	\N
149032	497	1994-01-16	VYDAJ	VYBER	1320	57323	\N	\N	\N
149033	497	1995-01-19	VYDAJ	VYBER	3000	49612	\N	\N	\N
149034	497	1995-01-16	VYDAJ	VYBER	1320	63652	\N	\N	\N
149035	497	1995-01-28	VYDAJ	VYBER	2880	43852	\N	\N	\N
149036	497	1995-01-20	VYDAJ	VYBER	2880	46732	\N	\N	\N
149037	497	1995-01-14	VYDAJ	VYBER	1560	68212	\N	\N	\N
149038	497	1995-01-16	VYDAJ	VYBER	3240	64972	\N	\N	\N
149039	497	1996-01-27	VYDAJ	VYBER	1560	56942	\N	\N	\N
149040	497	1996-01-09	VYDAJ	VYBER	2040	51834	\N	\N	\N
149041	497	1996-01-14	VYDAJ	VYBER	3000	65062	\N	\N	\N
149042	497	1996-01-07	VYDAJ	VYBER	720	53874	\N	\N	\N
149043	497	1996-01-12	VYDAJ	VYBER	1920	49914	\N	\N	\N
149044	497	1996-01-16	VYDAJ	VYBER	2880	62182	\N	\N	\N
149045	497	1997-01-01	VYDAJ	VYBER	1440	47395	\N	\N	\N
149046	497	1997-01-09	VYDAJ	VYBER	3360	44035	\N	\N	\N
149047	497	1997-01-21	VYDAJ	VYBER	2280	49383	\N	\N	\N
149048	497	1997-01-22	VYDAJ	VYBER	1680	47703	\N	\N	\N
149049	497	1997-01-12	VYDAJ	VYBER	1080	33515	\N	\N	\N
149050	497	1997-01-26	VYDAJ	VYBER	1680	39123	\N	\N	\N
149051	497	1998-01-05	VYDAJ	VYBER KARTOU	2800	39760	\N	\N	0
149052	497	1998-01-30	VYDAJ	VYBER KARTOU	2900	27588	\N	\N	0
149053	497	1998-01-04	VYDAJ	VYBER KARTOU	2800	42560	\N	\N	0
149054	497	1998-01-01	VYDAJ	VYBER KARTOU	1100	45360	\N	\N	0
149055	497	1998-01-20	VYDAJ	VYBER KARTOU	1000	30488	\N	\N	0
149056	497	1998-01-16	VYDAJ	VYBER KARTOU	2500	43088	\N	\N	0
149061	497	1994-04-25	VYDAJ	VYBER	840	56848	\N	\N	\N
149062	497	1994-08-03	VYDAJ	VYBER	4080	37994	\N	\N	\N
149063	497	1994-11-27	VYDAJ	VYBER	2040	58953	\N	\N	\N
149064	497	1994-03-02	VYDAJ	VYBER	4080	52576	\N	\N	\N
149065	497	1994-04-26	VYDAJ	VYBER	2760	54088	\N	\N	\N
149066	497	1995-05-28	VYDAJ	VYBER	5640	52073	\N	\N	\N
149067	497	1995-05-28	VYDAJ	VYBER	1200	50873	\N	\N	\N
149068	497	1995-08-22	VYDAJ	VYBER	1440	55217	\N	\N	\N
149069	497	1995-04-25	VYDAJ	VYBER	2520	57932	\N	\N	\N
149070	497	1995-06-07	VYDAJ	VYBER	5400	31396	\N	\N	\N
149071	497	1996-09-19	VYDAJ	VYBER	3240	69089	\N	\N	\N
149072	497	1996-11-27	VYDAJ	VYBER	5160	41582	\N	\N	\N
149073	497	1996-12-16	VYDAJ	VYBER	3000	64833	\N	\N	\N
149074	497	1996-03-07	VYDAJ	VYBER	1560	50788	\N	\N	\N
149075	497	1997-08-06	VYDAJ	VYBER KARTOU	1800	41483	\N	\N	0
149076	497	1997-02-03	VYDAJ	VYBER	4560	34734	\N	\N	\N
149077	497	1997-11-03	VYDAJ	VYBER	4920	35843	\N	\N	\N
149078	497	1997-03-20	VYDAJ	VYBER	3360	55838	\N	\N	\N
149080	497	1998-06-30	VYDAJ	VYBER	5640	34175	\N	\N	\N
149091	497	1993-09-30	VYDAJ	VYBER	15	55296	SLUZBY	\N	\N
149092	497	1993-10-31	VYDAJ	VYBER	15	59972	SLUZBY	\N	\N
149093	497	1993-11-30	VYDAJ	VYBER	15	59254	SLUZBY	\N	\N
149094	497	1993-12-31	VYDAJ	VYBER	15	70295	SLUZBY	\N	\N
149095	497	1994-01-31	VYDAJ	VYBER	15	51196	SLUZBY	\N	\N
149096	497	1994-02-28	VYDAJ	VYBER	15	56656	SLUZBY	\N	\N
149097	497	1994-03-31	VYDAJ	VYBER	15	56440	SLUZBY	\N	\N
149098	497	1994-04-30	VYDAJ	VYBER	15	54310	SLUZBY	\N	\N
149099	497	1994-05-31	VYDAJ	VYBER	15	60185	SLUZBY	\N	\N
149100	497	1994-06-30	VYDAJ	VYBER	15	24593	SLUZBY	\N	\N
149101	497	1994-07-31	VYDAJ	VYBER	15	42074	SLUZBY	\N	\N
149102	497	1994-08-31	VYDAJ	VYBER	15	49113	SLUZBY	\N	\N
149103	497	1994-09-30	VYDAJ	VYBER	15	55467	SLUZBY	\N	\N
149104	497	1994-10-31	VYDAJ	VYBER	15	60645	SLUZBY	\N	\N
149105	497	1994-11-30	VYDAJ	VYBER	15	59191	SLUZBY	\N	\N
149106	497	1994-12-31	VYDAJ	VYBER	15	72024	SLUZBY	\N	\N
149107	497	1995-01-31	VYDAJ	VYBER	15	44089	SLUZBY	\N	\N
149108	497	1995-02-28	VYDAJ	VYBER	15	54731	SLUZBY	\N	\N
149109	497	1995-03-31	VYDAJ	VYBER	15	59504	SLUZBY	\N	\N
149110	497	1995-04-30	VYDAJ	VYBER	15	58165	SLUZBY	\N	\N
149111	497	1995-05-31	VYDAJ	VYBER	15	51096	SLUZBY	\N	\N
149112	497	1995-06-30	VYDAJ	VYBER	15	31201	SLUZBY	\N	\N
149113	497	1995-07-31	VYDAJ	VYBER	15	49209	SLUZBY	\N	\N
149114	497	1995-08-31	VYDAJ	VYBER	15	55425	SLUZBY	\N	\N
149115	497	1995-09-30	VYDAJ	VYBER	15	60902	SLUZBY	\N	\N
149116	497	1995-10-31	VYDAJ	VYBER	15	64697	SLUZBY	\N	\N
149117	497	1995-11-30	VYDAJ	VYBER	15	66102	SLUZBY	\N	\N
149118	497	1995-12-31	VYDAJ	VYBER	15	73794	SLUZBY	\N	\N
149119	497	1996-01-31	VYDAJ	VYBER	15	46184	SLUZBY	\N	\N
149120	497	1996-02-29	VYDAJ	VYBER	15	52348	SLUZBY	\N	\N
149121	497	1996-03-31	VYDAJ	VYBER	15	50976	SLUZBY	\N	\N
149122	497	1996-04-30	VYDAJ	VYBER	15	50557	SLUZBY	\N	\N
149123	497	1996-05-31	VYDAJ	VYBER	15	54237	SLUZBY	\N	\N
149124	497	1996-06-30	VYDAJ	VYBER	15	49331	SLUZBY	\N	\N
149125	497	1996-07-31	VYDAJ	VYBER	15	51203	SLUZBY	\N	\N
149126	497	1996-08-31	VYDAJ	VYBER	15	54181	SLUZBY	\N	\N
149127	497	1996-09-30	VYDAJ	VYBER	15	51523	SLUZBY	\N	\N
149128	497	1996-10-31	VYDAJ	VYBER	15	47894	SLUZBY	\N	\N
149129	497	1996-11-30	VYDAJ	VYBER	15	41788	SLUZBY	\N	\N
149130	497	1996-12-31	VYDAJ	VYBER	15	48835	SLUZBY	\N	\N
149131	497	1997-01-31	VYDAJ	VYBER	15	39294	SLUZBY	\N	\N
149132	497	1997-02-28	VYDAJ	VYBER	15	41050	SLUZBY	\N	\N
149133	497	1997-03-31	VYDAJ	VYBER	15	39013	SLUZBY	\N	\N
149134	497	1997-04-30	VYDAJ	VYBER	15	40532	SLUZBY	\N	\N
149135	497	1997-05-31	VYDAJ	VYBER	15	39854	SLUZBY	\N	\N
149136	497	1997-06-30	VYDAJ	VYBER	15	40460	SLUZBY	\N	\N
149137	497	1997-07-31	VYDAJ	VYBER	15	43283	SLUZBY	\N	\N
149138	497	1997-08-31	VYDAJ	VYBER	15	43814	SLUZBY	\N	\N
149139	497	1997-09-30	VYDAJ	VYBER	15	43041	SLUZBY	\N	\N
149140	497	1997-10-31	VYDAJ	VYBER	15	40763	SLUZBY	\N	\N
149141	497	1997-11-30	VYDAJ	VYBER	15	40654	SLUZBY	\N	\N
149142	497	1997-12-31	VYDAJ	VYBER	15	46460	SLUZBY	\N	\N
149143	497	1998-01-31	VYDAJ	VYBER	15	27718	SLUZBY	\N	\N
149144	497	1998-02-28	VYDAJ	VYBER	15	32181	SLUZBY	\N	\N
149145	497	1998-03-31	VYDAJ	VYBER	15	33760	SLUZBY	\N	\N
149146	497	1998-04-30	VYDAJ	VYBER	15	36146	SLUZBY	\N	\N
149147	497	1998-05-31	VYDAJ	VYBER	15	33131	SLUZBY	\N	\N
149148	497	1998-06-30	VYDAJ	VYBER	15	34161	SLUZBY	\N	\N
149149	497	1998-07-31	VYDAJ	VYBER	15	33339	SLUZBY	\N	\N
149150	497	1998-08-31	VYDAJ	VYBER	15	28102	SLUZBY	\N	\N
149151	497	1998-09-30	VYDAJ	VYBER	15	21738	SLUZBY	\N	\N
149152	497	1998-10-31	VYDAJ	VYBER	15	22963	SLUZBY	\N	\N
149153	497	1998-11-30	VYDAJ	VYBER	15	21985	SLUZBY	\N	\N
149154	497	1993-05-15	PRIJEM	VKLAD	400	22953	\N	\N	\N
149155	497	1993-06-14	VYDAJ	VYBER	14400	40935	\N	\N	\N
149156	497	1993-07-14	VYDAJ	VYBER	16600	46026	\N	\N	\N
149157	497	1993-08-13	VYDAJ	VYBER	23100	44662	\N	\N	\N
149158	497	1993-09-12	VYDAJ	VYBER	7900	36950	\N	\N	\N
149159	497	1993-10-12	VYDAJ	VYBER	13700	41596	\N	\N	\N
149160	497	1993-11-11	VYDAJ	VYBER	19100	40872	\N	\N	\N
149161	497	1993-12-11	VYDAJ	VYBER	14300	41114	\N	\N	\N
149162	497	1994-01-10	VYDAJ	VYBER	21400	44575	\N	\N	\N
149163	497	1994-02-09	VYDAJ	VYBER	12900	38296	\N	\N	\N
149164	497	1994-03-11	VYDAJ	VYBER	14500	38076	\N	\N	\N
149165	497	1994-04-10	VYDAJ	VYBER	16900	39540	\N	\N	\N
149166	497	1994-05-10	VYDAJ	VYBER	12500	41810	\N	\N	\N
149167	497	1994-06-09	VYDAJ	VYBER	18500	41685	\N	\N	\N
149168	497	1994-07-09	VYDAJ	VYBER	800	23793	\N	\N	\N
149169	497	1994-08-08	VYDAJ	VYBER	7200	30794	\N	\N	\N
149170	497	1994-09-07	VYDAJ	VYBER	12000	37113	\N	\N	\N
149171	497	1994-10-07	VYDAJ	VYBER	13200	42267	\N	\N	\N
149172	497	1994-11-06	VYDAJ	VYBER	17800	42845	\N	\N	\N
149173	497	1994-12-06	VYDAJ	VYBER	13800	45391	\N	\N	\N
149174	497	1995-01-05	VYDAJ	VYBER	20400	51624	\N	\N	\N
149175	497	1995-02-04	VYDAJ	VYBER	7700	36389	\N	\N	\N
149176	497	1995-03-06	VYDAJ	VYBER	13600	41131	\N	\N	\N
149177	497	1995-04-05	VYDAJ	VYBER	17200	42304	\N	\N	\N
149178	497	1995-05-05	VYDAJ	VYBER	18600	39565	\N	\N	\N
149179	497	1995-06-04	VYDAJ	VYBER	14300	36796	\N	\N	\N
149180	497	1995-07-04	VYDAJ	VYBER	300	30901	\N	\N	\N
149181	497	1995-08-03	VYDAJ	VYBER	10700	38509	\N	\N	\N
149182	497	1995-09-02	VYDAJ	VYBER	12900	42525	\N	\N	\N
149183	497	1995-10-02	VYDAJ	VYBER	14600	46302	\N	\N	\N
149184	497	1995-11-01	VYDAJ	VYBER	17000	47697	\N	\N	\N
149185	497	1995-12-01	VYDAJ	VYBER	19100	47002	\N	\N	\N
149186	497	1995-12-31	VYDAJ	VYBER	19200	54594	\N	\N	\N
149187	497	1996-01-30	VYDAJ	VYBER	11000	45942	\N	\N	\N
149188	497	1996-02-29	VYDAJ	VYBER	12200	52363	\N	\N	\N
149189	497	1996-03-30	VYDAJ	VYBER	18200	50736	\N	\N	\N
149190	497	1996-04-29	VYDAJ	VYBER	18800	50324	\N	\N	\N
149191	497	1996-05-29	VYDAJ	VYBER	14700	54005	\N	\N	\N
149192	497	1996-06-28	VYDAJ	VYBER	15500	49102	\N	\N	\N
149193	497	1996-07-28	VYDAJ	VYBER	16500	50979	\N	\N	\N
149194	497	1996-08-27	VYDAJ	VYBER	15400	53951	\N	\N	\N
149195	497	1996-09-26	VYDAJ	VYBER	17800	51289	\N	\N	\N
149196	497	1996-10-26	VYDAJ	VYBER	22000	47671	\N	\N	\N
149197	497	1996-11-25	VYDAJ	VYBER	19300	46742	\N	\N	\N
149198	497	1996-12-25	VYDAJ	VYBER	16200	48633	\N	\N	\N
149199	497	1997-01-24	VYDAJ	VYBER	6900	40803	\N	\N	\N
149200	497	1997-02-23	VYDAJ	VYBER	12000	40882	\N	\N	\N
149201	497	1997-03-25	VYDAJ	VYBER	17000	38838	\N	\N	\N
149202	497	1997-04-24	VYDAJ	VYBER	16800	40361	\N	\N	\N
149203	497	1997-05-24	VYDAJ	VYBER	19000	39680	\N	\N	\N
149204	497	1997-06-23	VYDAJ	VYBER	12500	40279	\N	\N	\N
149205	497	1997-07-23	VYDAJ	VYBER	15500	43108	\N	\N	\N
149206	497	1997-08-22	VYDAJ	VYBER	16000	43631	\N	\N	\N
149207	497	1997-09-21	VYDAJ	VYBER	19100	42862	\N	\N	\N
149208	497	1997-10-21	VYDAJ	VYBER	20600	40589	\N	\N	\N
149209	497	1997-11-20	VYDAJ	VYBER	13500	40491	\N	\N	\N
149210	497	1997-12-20	VYDAJ	VYBER	22300	46279	\N	\N	\N
149211	497	1998-01-19	VYDAJ	VYBER	11600	31488	\N	\N	\N
149212	497	1998-02-18	VYDAJ	VYBER	13800	32066	\N	\N	\N
149213	497	1998-03-20	VYDAJ	VYBER	16700	33629	\N	\N	\N
149214	497	1998-04-19	VYDAJ	VYBER	15900	36008	\N	\N	\N
149215	497	1998-05-19	VYDAJ	VYBER	21300	32994	\N	\N	\N
149216	497	1998-06-18	VYDAJ	VYBER	22400	39655	\N	\N	\N
149217	497	1998-07-18	VYDAJ	VYBER	19100	33209	\N	\N	\N
149218	497	1998-08-17	VYDAJ	VYBER	23500	27987	\N	\N	\N
149219	497	1998-09-16	VYDAJ	VYBER	24600	21650	\N	\N	\N
149220	497	1998-10-16	VYDAJ	VYBER	17000	22886	\N	\N	\N
149221	497	1998-11-15	VYDAJ	VYBER	19200	21911	\N	\N	\N
149290	498	1993-11-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
149302	498	1993-12-14	PRIJEM	VKLAD	31353	32353	\N	\N	\N
149303	498	1994-01-14	PRIJEM	VKLAD	20902	51600	\N	\N	\N
149304	498	1994-02-14	PRIJEM	VKLAD	20902	59843	\N	\N	\N
149305	498	1994-03-14	PRIJEM	VKLAD	20902	65115	\N	\N	\N
149306	498	1994-04-14	PRIJEM	VKLAD	20902	67303	\N	\N	\N
149307	498	1994-05-14	PRIJEM	VKLAD	20902	67584	\N	\N	\N
149308	498	1994-06-14	PRIJEM	VKLAD	31353	75774	\N	\N	\N
149309	498	1994-07-14	PRIJEM	VKLAD	20902	29025	\N	\N	\N
149310	498	1994-08-14	PRIJEM	VKLAD	20902	49282	\N	\N	\N
149311	498	1994-09-14	PRIJEM	VKLAD	20902	57302	\N	\N	\N
149312	498	1994-10-14	PRIJEM	VKLAD	20902	62050	\N	\N	\N
149313	498	1994-11-14	PRIJEM	VKLAD	20902	62810	\N	\N	\N
149314	498	1994-12-14	PRIJEM	VKLAD	31353	74386	\N	\N	\N
149315	498	1995-01-14	PRIJEM	VKLAD	20902	61746	\N	\N	\N
149316	498	1995-02-14	PRIJEM	VKLAD	20902	51027	\N	\N	\N
149317	498	1995-03-14	PRIJEM	VKLAD	20902	55164	\N	\N	\N
149318	498	1995-04-14	PRIJEM	VKLAD	20902	60217	\N	\N	\N
149319	498	1995-05-14	PRIJEM	VKLAD	20902	65278	\N	\N	\N
149320	498	1995-06-14	PRIJEM	VKLAD	31353	61194	\N	\N	\N
149321	498	1995-07-14	PRIJEM	VKLAD	20902	68283	\N	\N	\N
149322	498	1995-08-14	PRIJEM	VKLAD	20902	59736	\N	\N	\N
149323	498	1995-09-14	PRIJEM	VKLAD	20902	67550	\N	\N	\N
149324	498	1995-10-14	PRIJEM	VKLAD	20902	70245	\N	\N	\N
149325	498	1995-11-14	PRIJEM	VKLAD	20902	77115	\N	\N	\N
149326	498	1995-12-14	PRIJEM	VKLAD	31353	87401	\N	\N	\N
149327	498	1996-01-14	PRIJEM	VKLAD	20902	78985	\N	\N	\N
149328	498	1996-02-14	PRIJEM	VKLAD	20902	76792	\N	\N	\N
149329	498	1996-03-14	PRIJEM	VKLAD	20902	74124	\N	\N	\N
149330	498	1996-04-14	PRIJEM	VKLAD	20902	77315	\N	\N	\N
149331	498	1996-05-14	PRIJEM	VKLAD	20902	78614	\N	\N	\N
149332	498	1996-06-14	PRIJEM	VKLAD	31353	86666	\N	\N	\N
149333	498	1996-07-14	PRIJEM	VKLAD	20902	80833	\N	\N	\N
149334	498	1996-08-14	PRIJEM	VKLAD	20902	83050	\N	\N	\N
149335	498	1996-09-14	PRIJEM	VKLAD	20902	84579	\N	\N	\N
149336	498	1996-10-14	PRIJEM	VKLAD	20902	89915	\N	\N	\N
149337	498	1996-11-14	PRIJEM	VKLAD	20902	89766	\N	\N	\N
149338	498	1996-12-14	PRIJEM	VKLAD	31353	100578	\N	\N	\N
149339	498	1997-01-14	PRIJEM	VKLAD	20902	92703	\N	\N	\N
149340	498	1997-02-14	PRIJEM	VKLAD	20902	83190	\N	\N	\N
149341	498	1997-03-14	PRIJEM	VKLAD	20902	90410	\N	\N	\N
149342	498	1997-04-14	PRIJEM	VKLAD	20902	90659	\N	\N	\N
149343	498	1997-05-14	PRIJEM	VKLAD	20902	95162	\N	\N	\N
149344	498	1997-06-14	PRIJEM	VKLAD	31353	74950	\N	\N	\N
149345	498	1997-07-14	PRIJEM	VKLAD	20902	88444	\N	\N	\N
149346	498	1997-08-14	PRIJEM	VKLAD	20902	91313	\N	\N	\N
149347	498	1997-09-14	PRIJEM	VKLAD	20902	103547	\N	\N	\N
149348	498	1997-10-14	PRIJEM	VKLAD	20902	107041	\N	\N	\N
149349	498	1997-11-14	PRIJEM	VKLAD	20902	113864	\N	\N	\N
149350	498	1997-12-14	PRIJEM	VKLAD	31353	119323	\N	\N	\N
149351	498	1998-01-14	PRIJEM	VKLAD	20902	69938	\N	\N	\N
149352	498	1998-02-14	PRIJEM	VKLAD	20902	89047	\N	\N	\N
149353	498	1998-03-14	PRIJEM	VKLAD	20902	108017	\N	\N	\N
149354	498	1998-04-14	PRIJEM	VKLAD	20902	117366	\N	\N	\N
149355	498	1998-05-14	PRIJEM	VKLAD	20902	122852	\N	\N	\N
149356	498	1998-06-14	PRIJEM	VKLAD	31353	116835	\N	\N	\N
149357	498	1998-07-14	PRIJEM	VKLAD	20902	73268	\N	\N	\N
149358	498	1998-08-14	PRIJEM	VKLAD	20902	104585	\N	\N	\N
149359	498	1998-09-14	PRIJEM	VKLAD	20902	122214	\N	\N	\N
149360	498	1998-10-14	PRIJEM	VKLAD	20902	106869	\N	\N	\N
149361	498	1998-11-14	PRIJEM	VKLAD	20902	122786	\N	\N	\N
149362	498	1998-12-14	PRIJEM	VKLAD	31353	121608	\N	\N	\N
149364	498	1994-06-26	VYDAJ	VYBER	40800	7974	\N	\N	\N
149365	498	1995-06-08	VYDAJ	VYBER	20320	29841	\N	\N	\N
149366	498	1996-06-19	VYDAJ	VYBER	9440	77226	\N	\N	\N
149367	498	1997-06-10	VYDAJ	VYBER	29440	43597	\N	\N	\N
149368	498	1998-06-18	VYDAJ	VYBER	41120	21315	\N	\N	\N
149371	498	1995-01-08	VYDAJ	VYBER	1760	43964	\N	\N	\N
149372	498	1996-01-01	VYDAJ	VYBER	13280	74443	\N	\N	\N
149373	498	1997-01-22	VYDAJ	VYBER	12320	78583	\N	\N	\N
149374	498	1998-01-09	VYDAJ	VYBER	13280	49036	\N	\N	\N
149376	498	1994-12-22	VYDAJ	VYBER	1280	48906	\N	\N	\N
149377	498	1995-12-04	VYDAJ	VYBER	2560	74248	\N	\N	\N
149378	498	1996-12-24	VYDAJ	VYBER	800	99778	\N	\N	\N
149379	498	1997-12-13	VYDAJ	VYBER	2080	87970	\N	\N	\N
149380	498	1998-12-23	VYDAJ	VYBER	3200	99608	\N	\N	\N
149393	498	1995-01-25	VYDAJ	VYBER	2880	35966	\N	\N	\N
149394	498	1995-01-03	VYDAJ	VYBER	3360	45724	\N	\N	\N
149395	498	1995-01-16	VYDAJ	VYBER	2520	41726	\N	\N	\N
149396	498	1995-01-28	VYDAJ	VYBER	3360	32606	\N	\N	\N
149397	498	1995-01-18	VYDAJ	VYBER	2880	38846	\N	\N	\N
149398	498	1995-01-09	VYDAJ	VYBER	3120	40844	\N	\N	\N
149399	498	1996-01-18	VYDAJ	VYBER	2880	74185	\N	\N	\N
149400	498	1996-01-16	VYDAJ	VYBER	1080	77905	\N	\N	\N
149401	498	1996-01-23	VYDAJ	VYBER	1800	72385	\N	\N	\N
149402	498	1996-01-04	VYDAJ	VYBER	2160	72283	\N	\N	\N
149403	498	1996-01-17	VYDAJ	VYBER	840	77065	\N	\N	\N
149404	498	1996-01-23	VYDAJ	VYBER	3480	68905	\N	\N	\N
149405	498	1997-01-04	VYDAJ	VYBER	2400	96321	\N	\N	\N
149406	498	1997-01-19	VYDAJ	VYBER	960	90903	\N	\N	\N
149407	498	1997-01-18	VYDAJ	VYBER	840	91863	\N	\N	\N
149408	498	1997-01-02	VYDAJ	VYBER	1440	98721	\N	\N	\N
149409	498	1997-01-26	VYDAJ	VYBER	1920	76663	\N	\N	\N
149410	498	1997-01-10	VYDAJ	VYBER	2520	71801	\N	\N	\N
149411	498	1998-01-15	VYDAJ	VYBER	2520	67418	\N	\N	\N
149412	498	1998-01-20	VYDAJ	VYBER	1200	66218	\N	\N	\N
149413	498	1998-01-01	VYDAJ	VYBER	2880	72756	\N	\N	\N
149414	498	1998-01-22	VYDAJ	VYBER	1920	64298	\N	\N	\N
149415	498	1998-01-07	VYDAJ	VYBER	2520	62316	\N	\N	\N
149416	498	1998-01-03	VYDAJ	VYBER	2040	70716	\N	\N	\N
149421	498	1994-11-18	VYDAJ	VYBER	2640	42870	\N	\N	\N
149422	498	1994-05-22	VYDAJ	VYBER	4440	44244	\N	\N	\N
149424	498	1995-01-31	VYDAJ	VYBER	2640	30139	\N	\N	\N
149425	498	1995-07-16	VYDAJ	VYBER	960	50423	\N	\N	\N
149426	498	1995-03-01	VYDAJ	VYBER	3720	34262	\N	\N	\N
149427	498	1995-07-26	VYDAJ	VYBER	3480	46943	\N	\N	\N
149428	498	1995-11-24	VYDAJ	VYBER	600	76515	\N	\N	\N
149429	498	1995-10-03	VYDAJ	VYBER	1560	66243	\N	\N	\N
149430	498	1996-05-19	VYDAJ	VYBER	5400	73214	\N	\N	\N
149431	498	1996-04-09	VYDAJ	VYBER	2040	72373	\N	\N	\N
149432	498	1996-04-13	VYDAJ	VYBER	960	56413	\N	\N	\N
149433	498	1996-03-11	VYDAJ	VYBER	3960	53222	\N	\N	\N
149434	498	1996-04-14	VYDAJ	VYBER	1200	76115	\N	\N	\N
149435	498	1997-11-22	VYDAJ	VYBER	5640	108224	\N	\N	\N
149436	498	1997-05-19	VYDAJ	VYBER	5040	90122	\N	\N	\N
149437	498	1997-05-20	VYDAJ	VYBER	3720	86402	\N	\N	\N
149438	498	1997-08-06	VYDAJ	VYBER	2880	70411	\N	\N	\N
149439	498	1997-12-06	VYDAJ	VYBER	3000	90050	\N	\N	\N
149440	498	1997-05-03	VYDAJ	VYBER	3960	87060	\N	\N	\N
149441	498	1997-08-03	VYDAJ	VYBER	5280	73291	\N	\N	\N
149442	498	1997-12-03	VYDAJ	VYBER	960	93050	\N	\N	\N
149443	498	1998-11-05	VYDAJ	VYBER	5640	101884	\N	\N	\N
149444	498	1998-01-04	VYDAJ	VYBER	5880	64836	\N	\N	\N
149445	498	1998-05-16	VYDAJ	VYBER	5160	93692	\N	\N	\N
149446	498	1998-08-16	VYDAJ	VYBER	2640	101945	\N	\N	\N
149463	498	1994-04-30	VYDAJ	VYBER	15	46682	SLUZBY	\N	\N
149464	498	1994-05-31	VYDAJ	VYBER	15	44421	SLUZBY	\N	\N
149465	498	1994-06-30	VYDAJ	VYBER	15	8123	SLUZBY	\N	\N
149466	498	1994-07-31	VYDAJ	VYBER	15	28380	SLUZBY	\N	\N
149467	498	1994-08-31	VYDAJ	VYBER	15	36400	SLUZBY	\N	\N
149468	498	1994-09-30	VYDAJ	VYBER	15	41148	SLUZBY	\N	\N
149469	498	1994-10-31	VYDAJ	VYBER	15	41908	SLUZBY	\N	\N
149470	498	1994-11-30	VYDAJ	VYBER	15	43033	SLUZBY	\N	\N
149471	498	1994-12-31	VYDAJ	VYBER	15	49084	SLUZBY	\N	\N
149472	498	1995-01-31	VYDAJ	VYBER	15	30125	SLUZBY	\N	\N
149473	498	1995-02-28	VYDAJ	VYBER	15	37982	SLUZBY	\N	\N
149474	498	1995-03-31	VYDAJ	VYBER	15	39315	SLUZBY	\N	\N
149475	498	1995-04-30	VYDAJ	VYBER	15	44376	SLUZBY	\N	\N
149476	498	1995-05-31	VYDAJ	VYBER	15	50161	SLUZBY	\N	\N
149477	498	1995-06-30	VYDAJ	VYBER	15	47381	SLUZBY	\N	\N
149478	498	1995-07-31	VYDAJ	VYBER	15	47134	SLUZBY	\N	\N
149479	498	1995-08-31	VYDAJ	VYBER	15	59948	SLUZBY	\N	\N
149480	498	1995-09-30	VYDAJ	VYBER	15	67803	SLUZBY	\N	\N
149481	498	1995-10-31	VYDAJ	VYBER	15	70513	SLUZBY	\N	\N
149482	498	1995-11-30	VYDAJ	VYBER	15	76808	SLUZBY	\N	\N
149483	498	1995-12-31	VYDAJ	VYBER	15	87723	SLUZBY	\N	\N
149484	498	1996-01-31	VYDAJ	VYBER	15	69190	SLUZBY	\N	\N
149485	498	1996-02-29	VYDAJ	VYBER	15	77082	SLUZBY	\N	\N
149486	498	1996-03-31	VYDAJ	VYBER	15	74413	SLUZBY	\N	\N
149487	498	1996-04-30	VYDAJ	VYBER	15	76412	SLUZBY	\N	\N
149488	498	1996-05-31	VYDAJ	VYBER	15	73513	SLUZBY	\N	\N
149489	498	1996-06-30	VYDAJ	VYBER	15	77531	SLUZBY	\N	\N
149490	498	1996-07-31	VYDAJ	VYBER	15	81148	SLUZBY	\N	\N
149491	498	1996-08-31	VYDAJ	VYBER	15	83377	SLUZBY	\N	\N
149492	498	1996-09-30	VYDAJ	VYBER	15	84913	SLUZBY	\N	\N
149493	498	1996-10-31	VYDAJ	VYBER	15	90264	SLUZBY	\N	\N
149494	498	1996-11-30	VYDAJ	VYBER	15	90125	SLUZBY	\N	\N
149495	498	1996-12-31	VYDAJ	VYBER	15	100161	SLUZBY	\N	\N
149496	498	1997-01-31	VYDAJ	VYBER	15	76988	SLUZBY	\N	\N
149497	498	1997-02-28	VYDAJ	VYBER	15	83508	SLUZBY	\N	\N
149498	498	1997-03-31	VYDAJ	VYBER	15	90757	SLUZBY	\N	\N
149499	498	1997-04-30	VYDAJ	VYBER	15	91020	SLUZBY	\N	\N
149500	498	1997-05-31	VYDAJ	VYBER	15	86737	SLUZBY	\N	\N
149501	498	1997-06-30	VYDAJ	VYBER	15	75242	SLUZBY	\N	\N
149502	498	1997-07-31	VYDAJ	VYBER	15	88771	SLUZBY	\N	\N
149503	498	1997-08-31	VYDAJ	VYBER	15	91645	SLUZBY	\N	\N
149504	498	1997-09-30	VYDAJ	VYBER	15	103939	SLUZBY	\N	\N
149505	498	1997-10-31	VYDAJ	VYBER	15	92962	SLUZBY	\N	\N
149506	498	1997-11-30	VYDAJ	VYBER	15	94010	SLUZBY	\N	\N
149507	498	1997-12-31	VYDAJ	VYBER	15	75636	SLUZBY	\N	\N
149508	498	1998-01-31	VYDAJ	VYBER	15	68145	SLUZBY	\N	\N
149509	498	1998-02-28	VYDAJ	VYBER	15	87115	SLUZBY	\N	\N
149510	498	1998-03-31	VYDAJ	VYBER	15	96464	SLUZBY	\N	\N
149511	498	1998-04-30	VYDAJ	VYBER	15	101950	SLUZBY	\N	\N
149512	498	1998-05-31	VYDAJ	VYBER	15	85482	SLUZBY	\N	\N
149513	498	1998-06-30	VYDAJ	VYBER	15	52366	SLUZBY	\N	\N
149514	498	1998-07-31	VYDAJ	VYBER	15	83683	SLUZBY	\N	\N
149515	498	1998-08-31	VYDAJ	VYBER	15	101312	SLUZBY	\N	\N
149516	498	1998-09-30	VYDAJ	VYBER	15	85967	SLUZBY	\N	\N
149517	498	1998-10-31	VYDAJ	VYBER	15	107524	SLUZBY	\N	\N
149518	498	1998-11-30	VYDAJ	VYBER	15	90255	SLUZBY	\N	\N
149519	498	1993-12-21	VYDAJ	VYBER	1700	30653	\N	\N	\N
149520	498	1994-01-20	VYDAJ	VYBER	12800	38800	\N	\N	\N
149521	498	1994-02-19	VYDAJ	VYBER	15800	44043	\N	\N	\N
149522	498	1994-03-21	VYDAJ	VYBER	18900	46215	\N	\N	\N
149523	498	1994-04-20	VYDAJ	VYBER	20800	46503	\N	\N	\N
149524	498	1994-05-20	VYDAJ	VYBER	18900	48684	\N	\N	\N
149525	498	1994-06-19	VYDAJ	VYBER	27000	48774	\N	\N	\N
149526	498	1994-07-19	VYDAJ	VYBER	700	28325	\N	\N	\N
149527	498	1994-08-18	VYDAJ	VYBER	13000	36282	\N	\N	\N
149528	498	1994-09-17	VYDAJ	VYBER	16300	41002	\N	\N	\N
149529	498	1994-10-17	VYDAJ	VYBER	20300	41750	\N	\N	\N
149530	498	1994-11-16	VYDAJ	VYBER	17300	45510	\N	\N	\N
149531	498	1994-12-16	VYDAJ	VYBER	24200	50186	\N	\N	\N
149532	498	1995-01-15	VYDAJ	VYBER	17500	44246	\N	\N	\N
149533	498	1995-02-14	VYDAJ	VYBER	13200	37827	\N	\N	\N
149534	498	1995-03-16	VYDAJ	VYBER	16000	39164	\N	\N	\N
149535	498	1995-04-15	VYDAJ	VYBER	16000	44217	\N	\N	\N
149536	498	1995-05-15	VYDAJ	VYBER	15300	49978	\N	\N	\N
149537	498	1995-06-14	VYDAJ	VYBER	14000	47194	\N	\N	\N
149538	498	1995-07-14	VYDAJ	VYBER	16900	51383	\N	\N	\N
149539	498	1995-08-13	VYDAJ	VYBER	8300	38834	\N	\N	\N
149540	498	1995-09-12	VYDAJ	VYBER	13300	46648	\N	\N	\N
149541	498	1995-10-12	VYDAJ	VYBER	16900	49343	\N	\N	\N
149542	498	1995-11-11	VYDAJ	VYBER	14300	56213	\N	\N	\N
149543	498	1995-12-11	VYDAJ	VYBER	18200	56048	\N	\N	\N
149544	498	1996-01-10	VYDAJ	VYBER	14200	58083	\N	\N	\N
149545	498	1996-02-09	VYDAJ	VYBER	13300	55890	\N	\N	\N
149546	498	1996-03-10	VYDAJ	VYBER	19900	57182	\N	\N	\N
149547	498	1996-04-09	VYDAJ	VYBER	15000	57373	\N	\N	\N
149548	498	1996-05-09	VYDAJ	VYBER	18700	57712	\N	\N	\N
149549	498	1996-06-08	VYDAJ	VYBER	18200	55313	\N	\N	\N
149550	498	1996-07-08	VYDAJ	VYBER	17600	59931	\N	\N	\N
149551	498	1996-08-07	VYDAJ	VYBER	19000	62148	\N	\N	\N
149552	498	1996-09-06	VYDAJ	VYBER	19700	63677	\N	\N	\N
149553	498	1996-10-06	VYDAJ	VYBER	15900	69013	\N	\N	\N
149554	498	1996-11-05	VYDAJ	VYBER	21400	68864	\N	\N	\N
149555	498	1996-12-05	VYDAJ	VYBER	20900	69225	\N	\N	\N
149556	498	1997-01-04	VYDAJ	VYBER	22000	74321	\N	\N	\N
149557	498	1997-02-03	VYDAJ	VYBER	14700	62288	\N	\N	\N
149558	498	1997-03-05	VYDAJ	VYBER	14000	69508	\N	\N	\N
149559	498	1997-04-04	VYDAJ	VYBER	21000	69757	\N	\N	\N
149560	498	1997-05-04	VYDAJ	VYBER	12800	74260	\N	\N	\N
149561	498	1997-06-03	VYDAJ	VYBER	13700	73037	\N	\N	\N
149562	498	1997-07-03	VYDAJ	VYBER	7700	67542	\N	\N	\N
149563	498	1997-08-02	VYDAJ	VYBER	10200	78571	\N	\N	\N
149564	498	1997-09-01	VYDAJ	VYBER	9000	82645	\N	\N	\N
149565	498	1997-10-01	VYDAJ	VYBER	17800	86139	\N	\N	\N
149566	498	1997-10-31	VYDAJ	VYBER	14500	92976	\N	\N	\N
149567	498	1997-11-30	VYDAJ	VYBER	14600	94024	\N	\N	\N
149568	498	1997-12-14	VYDAJ	VYBER	48800	70523	\N	\N	\N
149569	498	1997-12-30	PRIJEM	VKLAD	4800	75323	\N	\N	\N
149570	498	1998-01-29	PRIJEM	VKLAD	3600	67898	\N	\N	\N
149571	498	1998-02-28	VYDAJ	VYBER	2200	87130	\N	\N	\N
149572	498	1998-03-30	VYDAJ	VYBER	11900	96117	\N	\N	\N
149573	498	1998-04-29	VYDAJ	VYBER	15800	101566	\N	\N	\N
149574	498	1998-05-14	VYDAJ	VYBER	24000	98852	\N	\N	\N
149575	498	1998-05-29	VYDAJ	VYBER	8600	85092	\N	\N	\N
149576	498	1998-06-14	VYDAJ	VYBER	54400	62435	\N	\N	\N
149577	498	1998-06-28	PRIJEM	VKLAD	30800	52115	\N	\N	\N
149578	498	1998-07-28	PRIJEM	VKLAD	10200	83468	\N	\N	\N
149579	498	1998-08-27	VYDAJ	VYBER	1000	100945	\N	\N	\N
149580	498	1998-09-14	VYDAJ	VYBER	43800	78414	\N	\N	\N
149581	498	1998-09-26	PRIJEM	VKLAD	7200	85614	\N	\N	\N
149582	498	1998-10-26	PRIJEM	VKLAD	300	107169	\N	\N	\N
149583	498	1998-11-14	VYDAJ	VYBER	44000	78786	\N	\N	\N
149584	498	1998-11-25	PRIJEM	VKLAD	11100	89886	\N	\N	\N
149585	498	1998-12-14	VYDAJ	VYBER	18800	102808	\N	\N	\N
149911	500	1996-04-27	PRIJEM	VKLAD	400	400	\N	\N	\N
149912	500	1996-08-29	PRIJEM	VKLAD	34422	63087	\N	\N	\N
149913	500	1996-10-18	PRIJEM	VKLAD	23370	64275	\N	\N	\N
149917	500	1996-09-21	PRIJEM	VKLAD	49963	154925	\N	\N	\N
149918	500	1996-07-21	PRIJEM	VKLAD	29305	99964	\N	\N	\N
149920	500	1996-11-06	PRIJEM	VKLAD	19345	81739	\N	\N	\N
149921	500	1996-10-29	PRIJEM	VKLAD	17845	79383	\N	\N	\N
149922	500	1996-05-03	PRIJEM	VKLAD	42633	43033	\N	\N	\N
149923	500	1996-09-10	PRIJEM	VKLAD	47815	152626	\N	\N	\N
149924	500	1996-05-24	PRIJEM	VKLAD	45725	88758	\N	\N	\N
149925	500	1996-09-08	PRIJEM	VKLAD	15897	125850	\N	\N	\N
149926	500	1996-09-08	PRIJEM	VKLAD	30765	90737	\N	\N	\N
149927	500	1996-06-17	PRIJEM	VKLAD	37020	128676	\N	\N	\N
149928	500	1996-09-13	PRIJEM	VKLAD	47755	157381	\N	\N	\N
149929	500	1996-12-14	PRIJEM	VKLAD	26825	66094	\N	\N	\N
149930	500	1996-06-27	PRIJEM	VKLAD	18068	74144	\N	\N	\N
149932	500	1996-09-08	PRIJEM	VKLAD	19216	109953	\N	\N	\N
149933	500	1996-11-09	PRIJEM	VKLAD	39665	120865	\N	\N	\N
149934	500	1996-10-22	PRIJEM	VKLAD	40863	105138	\N	\N	\N
149935	500	1996-11-02	PRIJEM	VKLAD	48534	128161	\N	\N	\N
149936	500	1996-09-21	PRIJEM	VKLAD	22093	177018	\N	\N	\N
149937	500	1996-09-16	PRIJEM	VKLAD	27281	129262	\N	\N	\N
149938	500	1996-06-09	PRIJEM	VKLAD	34924	91656	\N	\N	\N
149941	500	1997-09-24	PRIJEM	VKLAD	22804	50679	\N	\N	\N
149942	500	1997-04-02	PRIJEM	VKLAD	21183	38763	\N	\N	\N
149943	500	1997-09-09	PRIJEM	VKLAD	13811	41075	\N	\N	\N
149944	500	1997-01-20	PRIJEM	VKLAD	34930	59784	\N	\N	\N
149945	500	1997-08-09	PRIJEM	VKLAD	44657	49054	\N	\N	\N
149946	500	1998-01-16	PRIJEM	VKLAD	28044	52667	\N	\N	\N
149947	500	1998-01-28	PRIJEM	VKLAD	39616	76983	\N	\N	\N
149948	500	1998-09-16	PRIJEM	VKLAD	22347	40491	\N	\N	\N
149949	500	1998-01-11	PRIJEM	VKLAD	11738	24623	\N	\N	\N
149950	500	1998-10-01	PRIJEM	VKLAD	27053	67650	\N	\N	\N
149951	500	1998-07-13	PRIJEM	VKLAD	14568	46256	\N	\N	\N
149952	500	1998-07-03	PRIJEM	VKLAD	11768	35494	\N	\N	\N
149995	500	1996-07-05	VYDAJ	PREVOD NA UCET	3267	71198	SIPO	MN	57751679
149996	500	1996-08-05	VYDAJ	PREVOD NA UCET	3267	45304	SIPO	MN	57751679
149997	500	1996-09-05	VYDAJ	PREVOD NA UCET	3267	59972	SIPO	MN	57751679
149998	500	1996-10-05	VYDAJ	PREVOD NA UCET	3267	55844	SIPO	MN	57751679
149999	500	1996-11-05	VYDAJ	PREVOD NA UCET	3267	62394	SIPO	MN	57751679
150000	500	1996-12-05	VYDAJ	PREVOD NA UCET	3267	39808	SIPO	MN	57751679
150001	500	1997-01-05	VYDAJ	PREVOD NA UCET	3267	25393	SIPO	MN	57751679
150002	500	1997-02-05	VYDAJ	PREVOD NA UCET	3267	35043	SIPO	MN	57751679
150003	500	1997-03-05	VYDAJ	PREVOD NA UCET	3267	19055	SIPO	MN	57751679
150004	500	1997-04-05	VYDAJ	PREVOD NA UCET	3267	35496	SIPO	MN	57751679
150005	500	1997-05-05	VYDAJ	PREVOD NA UCET	3267	15938	SIPO	MN	57751679
150006	500	1997-06-05	VYDAJ	PREVOD NA UCET	3267	13186	SIPO	MN	57751679
150007	500	1997-07-05	VYDAJ	PREVOD NA UCET	3267	8720	SIPO	MN	57751679
150008	500	1997-08-05	VYDAJ	PREVOD NA UCET	3267	4936	SIPO	MN	57751679
150009	500	1997-09-05	VYDAJ	PREVOD NA UCET	3267	27803	SIPO	MN	57751679
150010	500	1997-10-05	VYDAJ	PREVOD NA UCET	3267	41689	SIPO	MN	57751679
150011	500	1997-11-05	VYDAJ	PREVOD NA UCET	3267	19412	SIPO	MN	57751679
150012	500	1997-12-05	VYDAJ	PREVOD NA UCET	3267	16674	SIPO	MN	57751679
150013	500	1998-01-05	VYDAJ	PREVOD NA UCET	3267	13424	SIPO	MN	57751679
150014	500	1998-02-05	VYDAJ	PREVOD NA UCET	3267	73842	SIPO	MN	57751679
150015	500	1998-03-05	VYDAJ	PREVOD NA UCET	3267	42676	SIPO	MN	57751679
150016	500	1998-04-05	VYDAJ	PREVOD NA UCET	3267	26210	SIPO	MN	57751679
150017	500	1998-05-05	VYDAJ	PREVOD NA UCET	3267	22699	SIPO	MN	57751679
150018	500	1998-06-05	VYDAJ	PREVOD NA UCET	3267	22881	SIPO	MN	57751679
150019	500	1998-07-05	VYDAJ	PREVOD NA UCET	3267	32227	SIPO	MN	57751679
150020	500	1998-08-05	VYDAJ	PREVOD NA UCET	3267	28005	SIPO	MN	57751679
150021	500	1998-09-05	VYDAJ	PREVOD NA UCET	3267	16383	SIPO	MN	57751679
150022	500	1998-10-05	VYDAJ	PREVOD NA UCET	3267	64383	SIPO	MN	57751679
150023	500	1998-11-05	VYDAJ	PREVOD NA UCET	3267	34150	SIPO	MN	57751679
150024	500	1998-12-05	VYDAJ	PREVOD NA UCET	3267	21449	SIPO	MN	57751679
150031	500	1996-07-08	VYDAJ	PREVOD NA UCET	539	70659	 	AB	1471186
150032	500	1996-08-08	VYDAJ	PREVOD NA UCET	539	44765	 	AB	1471186
150033	500	1996-09-08	VYDAJ	PREVOD NA UCET	539	125311	 	AB	1471186
150034	500	1996-10-08	VYDAJ	PREVOD NA UCET	539	55305	 	AB	1471186
150035	500	1996-11-08	VYDAJ	PREVOD NA UCET	539	81200	 	AB	1471186
150036	500	1996-12-08	VYDAJ	PREVOD NA UCET	539	39269	 	AB	1471186
150037	500	1997-01-08	VYDAJ	PREVOD NA UCET	539	24854	 	AB	1471186
150038	500	1997-02-08	VYDAJ	PREVOD NA UCET	539	34504	 	AB	1471186
150039	500	1997-03-08	VYDAJ	PREVOD NA UCET	539	18516	 	AB	1471186
150040	500	1997-04-08	VYDAJ	PREVOD NA UCET	539	34957	 	AB	1471186
150041	500	1997-05-08	VYDAJ	PREVOD NA UCET	539	15399	 	AB	1471186
150042	500	1997-06-08	VYDAJ	PREVOD NA UCET	539	12647	 	AB	1471186
150043	500	1997-07-08	VYDAJ	PREVOD NA UCET	539	8181	 	AB	1471186
150044	500	1997-08-08	VYDAJ	PREVOD NA UCET	539	4397	 	AB	1471186
150045	500	1997-09-08	VYDAJ	PREVOD NA UCET	539	27264	 	AB	1471186
150046	500	1997-10-08	VYDAJ	PREVOD NA UCET	539	41150	 	AB	1471186
150047	500	1997-11-08	VYDAJ	PREVOD NA UCET	539	18873	 	AB	1471186
150048	500	1997-12-08	VYDAJ	PREVOD NA UCET	539	16135	 	AB	1471186
150049	500	1998-01-08	VYDAJ	PREVOD NA UCET	539	12885	 	AB	1471186
150050	500	1998-02-08	VYDAJ	PREVOD NA UCET	539	73303	 	AB	1471186
150051	500	1998-03-08	VYDAJ	PREVOD NA UCET	539	42137	 	AB	1471186
150052	500	1998-04-08	VYDAJ	PREVOD NA UCET	539	25671	 	AB	1471186
150053	500	1998-05-08	VYDAJ	PREVOD NA UCET	539	22160	 	AB	1471186
150054	500	1998-06-08	VYDAJ	PREVOD NA UCET	539	22342	 	AB	1471186
150055	500	1998-07-08	VYDAJ	PREVOD NA UCET	539	31688	 	AB	1471186
150056	500	1998-08-08	VYDAJ	PREVOD NA UCET	539	27466	 	AB	1471186
150057	500	1998-09-08	VYDAJ	PREVOD NA UCET	539	15844	 	AB	1471186
150058	500	1998-10-08	VYDAJ	PREVOD NA UCET	539	63844	 	AB	1471186
150059	500	1998-11-08	VYDAJ	PREVOD NA UCET	539	33611	 	AB	1471186
150060	500	1998-12-08	VYDAJ	PREVOD NA UCET	539	20910	 	AB	1471186
150062	500	1996-07-23	VYBER	VYBER	19270	80694	\N	\N	\N
150063	500	1997-10-12	VYBER	VYBER	18981	22169	\N	\N	\N
150066	500	1997-01-04	VYBER	VYBER	13324	28660	\N	\N	\N
150070	500	1997-09-24	VYBER	VYBER	5866	44813	\N	\N	\N
150073	500	1997-04-18	VYBER	VYBER	12846	22111	\N	\N	\N
150079	500	1996-12-03	VYDAJ	VYBER	7500	43075	\N	\N	\N
150082	500	1996-10-17	VYDAJ	VYBER	7800	40905	\N	\N	\N
150083	500	1996-10-11	VYDAJ	VYBER	6600	48705	\N	\N	\N
150084	500	1996-08-10	VYDAJ	VYBER	10800	33965	\N	\N	\N
150090	500	1998-03-18	VYDAJ	VYBER	7200	29337	\N	\N	\N
150100	500	1996-06-30	VYDAJ	VYBER	15	74465	SLUZBY	\N	\N
150101	500	1996-07-31	VYDAJ	VYBER	15	48571	SLUZBY	\N	\N
150102	500	1996-08-31	VYDAJ	VYBER	15	63239	SLUZBY	\N	\N
150103	500	1996-09-30	VYDAJ	VYBER	15	59111	SLUZBY	\N	\N
150104	500	1996-10-31	VYDAJ	VYBER	15	79627	SLUZBY	\N	\N
150105	500	1996-11-30	VYDAJ	VYBER	15	50575	SLUZBY	\N	\N
150106	500	1996-12-31	VYDAJ	VYBER	15	41984	SLUZBY	\N	\N
150107	500	1997-01-31	VYDAJ	VYBER	15	38310	SLUZBY	\N	\N
150108	500	1997-02-28	VYDAJ	VYBER	15	22322	SLUZBY	\N	\N
150109	500	1997-03-31	VYDAJ	VYBER	15	17580	SLUZBY	\N	\N
150110	500	1997-04-30	VYDAJ	VYBER	15	19205	SLUZBY	\N	\N
150111	500	1997-05-31	VYDAJ	VYBER	15	16453	SLUZBY	\N	\N
150112	500	1997-06-30	VYDAJ	VYBER	15	11987	SLUZBY	\N	\N
150113	500	1997-07-31	VYDAJ	VYBER	15	8203	SLUZBY	\N	\N
150114	500	1997-08-31	VYDAJ	VYBER	15	31070	SLUZBY	\N	\N
150115	500	1997-09-30	VYDAJ	VYBER	15	44956	SLUZBY	\N	\N
150116	500	1997-10-31	VYDAJ	VYBER	15	22679	SLUZBY	\N	\N
150117	500	1997-11-30	VYDAJ	VYBER	15	19941	SLUZBY	\N	\N
150118	500	1997-12-31	VYDAJ	VYBER	15	16691	SLUZBY	\N	\N
150119	500	1998-01-31	VYDAJ	VYBER	15	77109	SLUZBY	\N	\N
150120	500	1998-02-28	VYDAJ	VYBER	15	45943	SLUZBY	\N	\N
150121	500	1998-03-31	VYDAJ	VYBER	15	29477	SLUZBY	\N	\N
150122	500	1998-04-30	VYDAJ	VYBER	15	25966	SLUZBY	\N	\N
150123	500	1998-05-31	VYDAJ	VYBER	15	26148	SLUZBY	\N	\N
150124	500	1998-06-30	VYDAJ	VYBER	15	23726	SLUZBY	\N	\N
150125	500	1998-07-31	VYDAJ	VYBER	15	31272	SLUZBY	\N	\N
150126	500	1998-08-31	VYDAJ	VYBER	15	19650	SLUZBY	\N	\N
150127	500	1998-09-30	VYDAJ	VYBER	15	40597	SLUZBY	\N	\N
150128	500	1998-10-31	VYDAJ	VYBER	15	37417	SLUZBY	\N	\N
150129	500	1998-11-30	VYDAJ	VYBER	15	24716	SLUZBY	\N	\N
150130	500	1996-05-27	VYDAJ	VYBER	32100	56658	\N	\N	\N
150131	500	1996-06-17	VYDAJ	VYBER	38500	90176	\N	\N	\N
150132	500	1996-06-26	VYDAJ	VYBER	34100	56076	\N	\N	\N
150133	500	1996-07-26	VYDAJ	VYBER	32400	48294	\N	\N	\N
150134	500	1996-08-25	VYDAJ	VYBER	5300	28665	\N	\N	\N
150135	500	1996-09-08	VYDAJ	VYBER	20500	104811	\N	\N	\N
150136	500	1996-09-10	VYDAJ	VYBER	43000	109626	\N	\N	\N
150137	500	1996-09-13	VYDAJ	VYBER	55400	101981	\N	\N	\N
150138	500	1996-09-16	VYDAJ	VYBER	24300	104962	\N	\N	\N
150139	500	1996-09-21	VYDAJ	VYBER	33700	143318	\N	\N	\N
150140	500	1996-09-21	VYDAJ	VYBER	42500	100818	\N	\N	\N
150141	500	1996-09-24	VYDAJ	VYBER	42100	58718	\N	\N	\N
150142	500	1996-10-24	VYDAJ	VYBER	43600	61538	\N	\N	\N
150143	500	1996-11-02	VYDAJ	VYBER	62500	65661	\N	\N	\N
150144	500	1996-11-09	VYDAJ	VYBER	37400	83465	\N	\N	\N
150145	500	1996-11-23	VYDAJ	VYBER	33200	50265	\N	\N	\N
150146	500	1996-12-23	VYDAJ	VYBER	24300	41794	\N	\N	\N
150147	500	1997-01-22	VYDAJ	VYBER	21600	38184	\N	\N	\N
150148	500	1997-02-21	VYDAJ	VYBER	12300	22204	\N	\N	\N
150149	500	1997-03-23	VYDAJ	VYBER	1000	17516	\N	\N	\N
150150	500	1997-04-22	VYDAJ	VYBER	3000	19111	\N	\N	\N
150151	500	1997-05-22	PRIJEM	VKLAD	1000	16399	\N	\N	\N
150152	500	1997-06-21	VYDAJ	VYBER	700	11947	\N	\N	\N
150153	500	1997-08-20	VYDAJ	VYBER	18100	30954	\N	\N	\N
150154	500	1997-09-19	VYDAJ	VYBER	13200	27875	\N	\N	\N
150155	500	1997-10-19	PRIJEM	VKLAD	400	22569	\N	\N	\N
150156	500	1997-11-18	PRIJEM	VKLAD	1000	19873	\N	\N	\N
150157	500	1997-12-18	PRIJEM	VKLAD	500	16635	\N	\N	\N
150158	500	1998-01-17	VYDAJ	VYBER	15300	37367	\N	\N	\N
150159	500	1998-02-16	VYDAJ	VYBER	27600	45703	\N	\N	\N
150160	500	1998-03-18	VYDAJ	VYBER	5600	36537	\N	\N	\N
150161	500	1998-04-17	PRIJEM	VKLAD	200	25871	\N	\N	\N
150162	500	1998-05-17	PRIJEM	VKLAD	3900	26060	\N	\N	\N
150163	500	1998-06-16	PRIJEM	VKLAD	1300	23642	\N	\N	\N
150164	500	1998-07-16	VYDAJ	VYBER	15100	31156	\N	\N	\N
150165	500	1998-08-15	VYDAJ	VYBER	7900	19566	\N	\N	\N
150166	500	1998-09-14	PRIJEM	VKLAD	2300	18144	\N	\N	\N
150167	500	1998-10-14	VYDAJ	VYBER	26600	37244	\N	\N	\N
150168	500	1998-11-13	VYDAJ	VYBER	9000	24611	\N	\N	\N
150201	501	1995-10-21	PRIJEM	VKLAD	900	900	\N	\N	\N
150204	501	1995-11-24	PRIJEM	VKLAD	11393	47515	\N	\N	\N
150205	501	1995-12-28	PRIJEM	VKLAD	14228	78574	\N	\N	\N
150214	501	1995-12-24	PRIJEM	VKLAD	14354	64346	\N	\N	\N
150217	501	1995-11-16	PRIJEM	VKLAD	44022	44922	\N	\N	\N
150218	501	1995-12-02	PRIJEM	VKLAD	24711	72292	\N	\N	\N
150219	501	1996-07-05	PRIJEM	VKLAD	40681	70152	\N	\N	\N
150220	501	1996-05-05	PRIJEM	VKLAD	27025	52684	\N	\N	\N
150221	501	1996-10-16	PRIJEM	VKLAD	43444	76081	\N	\N	\N
150222	501	1996-12-28	PRIJEM	VKLAD	27572	47802	\N	\N	\N
150223	501	1997-12-02	PRIJEM	VKLAD	37856	96588	\N	\N	\N
150224	501	1997-10-29	PRIJEM	VKLAD	17772	69468	\N	\N	\N
150225	501	1998-04-18	PRIJEM	VKLAD	8384	84283	\N	\N	\N
150226	501	1998-05-22	PRIJEM	VKLAD	32799	98185	\N	\N	\N
150227	501	1998-08-03	PRIJEM	VKLAD	40905	116477	\N	\N	\N
150228	501	1998-02-17	PRIJEM	VKLAD	31693	126919	\N	\N	\N
150229	501	1998-01-17	PRIJEM	VKLAD	41785	119737	\N	\N	\N
150230	501	1998-03-25	PRIJEM	VKLAD	47106	140350	\N	\N	\N
150231	501	1998-12-05	PRIJEM	VKLAD	22936	81506	\N	\N	\N
150232	501	1998-03-23	PRIJEM	VKLAD	34370	128970	\N	\N	\N
150233	501	1998-03-25	PRIJEM	VKLAD	15474	93244	\N	\N	\N
150234	501	1998-02-17	PRIJEM	VKLAD	31655	95226	\N	\N	\N
150235	501	1998-03-26	PRIJEM	VKLAD	31046	127596	\N	\N	\N
150236	501	1998-08-25	PRIJEM	VKLAD	36919	151036	\N	\N	\N
150237	501	1998-05-08	PRIJEM	VKLAD	34413	129169	\N	\N	\N
150238	501	1998-08-13	PRIJEM	VKLAD	31115	96310	\N	\N	\N
150239	501	1998-03-14	PRIJEM	VKLAD	17270	80724	\N	\N	\N
150240	501	1998-09-11	PRIJEM	VKLAD	12642	93346	\N	\N	\N
150241	501	1998-12-04	PRIJEM	VKLAD	38331	116370	\N	\N	\N
150242	501	1998-05-07	PRIJEM	VKLAD	43049	101956	\N	\N	\N
150243	501	1998-10-15	PRIJEM	VKLAD	49656	130948	\N	\N	\N
150244	501	1998-01-10	PRIJEM	VKLAD	33985	94443	\N	\N	\N
150245	501	1998-12-27	PRIJEM	VKLAD	49224	126347	\N	\N	\N
150246	501	1998-08-18	PRIJEM	VKLAD	40407	136717	\N	\N	\N
150247	501	1998-09-26	PRIJEM	VKLAD	19769	95232	\N	\N	\N
150248	501	1998-03-17	PRIJEM	VKLAD	25030	94600	\N	\N	\N
150249	501	1998-08-03	PRIJEM	VKLAD	13852	75572	\N	\N	\N
150250	501	1998-11-26	PRIJEM	VKLAD	39031	122250	\N	\N	\N
150251	501	1998-01-12	PRIJEM	VKLAD	25191	119634	\N	\N	\N
150252	501	1998-03-09	PRIJEM	VKLAD	9003	88437	\N	\N	\N
150253	501	1998-04-17	PRIJEM	VKLAD	6240	75899	\N	\N	\N
150266	501	1995-12-29	VYDAJ	VYBER	5200	73374	\N	\N	0
150267	501	1996-02-09	VYDAJ	VYBER	5700	45972	\N	\N	0
150268	501	1996-02-26	VYDAJ	VYBER	3000	29972	\N	\N	0
150269	501	1996-04-15	VYDAJ	VYBER	3200	26749	\N	\N	0
150270	501	1996-05-01	VYDAJ	VYBER	4200	25659	\N	\N	0
150271	501	1996-06-14	VYDAJ	VYBER	5600	31247	\N	\N	0
150272	501	1996-07-08	VYDAJ	VYBER	2900	67252	\N	\N	0
150273	501	1996-08-10	VYDAJ	VYBER	3800	45045	\N	\N	0
150274	501	1996-09-12	VYDAJ	VYBER	5500	24214	\N	\N	0
150275	501	1996-10-06	VYDAJ	VYBER	4700	25837	\N	\N	0
150276	501	1996-11-12	VYDAJ	PREVOD NA UCET	4383	71910	UVER	KL	79491948
150277	501	1996-12-12	VYDAJ	PREVOD NA UCET	4383	37238	UVER	KL	79491948
150278	501	1997-01-12	VYDAJ	PREVOD NA UCET	4383	37273	UVER	KL	79491948
150279	501	1997-02-12	VYDAJ	PREVOD NA UCET	4383	47462	UVER	KL	79491948
150280	501	1997-03-12	VYDAJ	PREVOD NA UCET	4383	43267	UVER	KL	79491948
150281	501	1997-04-12	VYDAJ	PREVOD NA UCET	4383	16282	UVER	KL	79491948
150282	501	1997-05-12	VYDAJ	PREVOD NA UCET	4383	27822	UVER	KL	79491948
150283	501	1997-06-12	VYDAJ	PREVOD NA UCET	4383	39568	UVER	KL	79491948
150284	501	1997-07-12	VYDAJ	PREVOD NA UCET	4383	44137	UVER	KL	79491948
150285	501	1997-08-12	VYDAJ	PREVOD NA UCET	4383	47101	UVER	KL	79491948
150286	501	1997-09-12	VYDAJ	PREVOD NA UCET	4383	47995	UVER	KL	79491948
150287	501	1997-10-12	VYDAJ	PREVOD NA UCET	4383	51696	UVER	KL	79491948
150288	501	1997-11-12	VYDAJ	PREVOD NA UCET	4383	58487	UVER	KL	79491948
150289	501	1997-12-12	VYDAJ	PREVOD NA UCET	4383	65605	UVER	KL	79491948
150290	501	1998-01-12	VYDAJ	PREVOD NA UCET	4383	77952	UVER	KL	79491948
150291	501	1998-02-12	VYDAJ	PREVOD NA UCET	4383	63571	UVER	KL	79491948
150292	501	1998-03-12	VYDAJ	PREVOD NA UCET	4383	63454	UVER	KL	79491948
150293	501	1998-04-12	VYDAJ	PREVOD NA UCET	4383	69659	UVER	KL	79491948
150294	501	1998-05-12	VYDAJ	PREVOD NA UCET	4383	65386	UVER	KL	79491948
150295	501	1998-06-12	VYDAJ	PREVOD NA UCET	4383	76908	UVER	KL	79491948
150296	501	1998-07-12	VYDAJ	PREVOD NA UCET	4383	61463	UVER	KL	79491948
150297	501	1998-08-12	VYDAJ	PREVOD NA UCET	4383	65195	UVER	KL	79491948
150298	501	1998-09-12	VYDAJ	PREVOD NA UCET	4383	88963	UVER	KL	79491948
150299	501	1998-10-12	VYDAJ	PREVOD NA UCET	4383	81292	UVER	KL	79491948
150300	501	1998-11-12	VYDAJ	PREVOD NA UCET	4383	83219	UVER	KL	79491948
150301	501	1998-12-12	VYDAJ	PREVOD NA UCET	4383	77123	UVER	KL	79491948
150315	501	1996-12-23	VYBER	VYBER	18710	20230	\N	\N	\N
150316	501	1996-12-21	VYBER	VYBER	6898	38940	\N	\N	\N
150317	501	1996-12-03	VYBER	VYBER	2046	47021	\N	\N	\N
150318	501	1997-05-13	VYBER	VYBER	5405	40217	\N	\N	\N
150319	501	1997-04-09	VYBER	VYBER	11942	20665	\N	\N	\N
150320	501	1997-06-22	VYBER	VYBER	3360	36208	\N	\N	\N
150321	501	1997-03-17	VYBER	VYBER	20815	32452	\N	\N	\N
150322	501	1998-03-16	VYBER	VYBER	11154	69570	\N	\N	\N
150323	501	1998-04-21	VYBER	VYBER	20877	63406	\N	\N	\N
150324	501	1998-08-27	VYBER	VYBER	14703	88333	\N	\N	\N
150326	501	1996-12-05	VYDAJ	VYBER	5400	41621	\N	\N	\N
150327	501	1997-12-10	VYDAJ	VYBER	4800	69988	\N	\N	\N
150328	501	1998-12-01	VYDAJ	VYBER	5100	73739	\N	\N	\N
150334	501	1996-11-27	VYDAJ	VYBER	10500	48810	\N	\N	\N
150335	501	1996-10-15	VYDAJ	VYBER	3900	32637	\N	\N	\N
150336	501	1996-09-04	VYDAJ	VYBER	10200	29714	\N	\N	\N
150337	501	1996-05-05	VYDAJ	VYBER	13200	39484	\N	\N	\N
150338	501	1996-06-18	VYDAJ	VYBER	2100	29347	\N	\N	\N
150339	501	1997-05-30	VYDAJ	VYBER	9900	21917	\N	\N	\N
150340	501	1997-05-29	VYDAJ	VYBER	8400	31817	\N	\N	\N
150341	501	1997-02-08	VYDAJ	VYBER	3900	39845	\N	\N	\N
150342	501	1997-06-24	VYDAJ	VYBER	7200	29008	\N	\N	\N
150343	501	1997-01-12	VYDAJ	VYBER	6300	41655	\N	\N	\N
150344	501	1997-04-18	VYDAJ	VYBER	8700	32082	\N	\N	\N
150345	501	1998-01-20	VYDAJ	VYBER	5700	84237	\N	\N	\N
150346	501	1998-09-17	VYDAJ	VYBER	13500	75463	\N	\N	\N
150347	501	1998-07-08	VYDAJ	VYBER	3000	65846	\N	\N	\N
150348	501	1998-05-07	VYDAJ	VYBER	7200	94756	\N	\N	\N
150349	501	1998-05-03	VYDAJ	VYBER	4800	58907	\N	\N	\N
150350	501	1998-02-19	VYDAJ	VYBER	12000	79119	\N	\N	\N
150363	501	1995-12-31	VYDAJ	VYBER	15	73583	SLUZBY	\N	\N
150364	501	1996-01-31	VYDAJ	VYBER	15	51672	SLUZBY	\N	\N
150365	501	1996-02-29	VYDAJ	VYBER	15	30138	SLUZBY	\N	\N
150366	501	1996-03-31	VYDAJ	VYBER	15	29949	SLUZBY	\N	\N
150367	501	1996-04-30	VYDAJ	VYBER	15	29859	SLUZBY	\N	\N
150368	501	1996-05-31	VYDAJ	VYBER	15	36847	SLUZBY	\N	\N
150369	501	1996-06-30	VYDAJ	VYBER	15	29471	SLUZBY	\N	\N
150370	501	1996-07-31	VYDAJ	VYBER	15	48845	SLUZBY	\N	\N
150371	501	1996-08-31	VYDAJ	VYBER	15	39914	SLUZBY	\N	\N
150372	501	1996-09-30	VYDAJ	VYBER	15	30537	SLUZBY	\N	\N
150373	501	1996-10-31	VYDAJ	VYBER	15	76292	SLUZBY	\N	\N
150374	501	1996-11-30	VYDAJ	VYBER	15	49067	SLUZBY	\N	\N
150375	501	1996-12-31	VYDAJ	VYBER	15	47955	SLUZBY	\N	\N
150376	501	1997-01-31	VYDAJ	VYBER	15	43745	SLUZBY	\N	\N
150377	501	1997-02-28	VYDAJ	VYBER	15	47649	SLUZBY	\N	\N
150378	501	1997-03-31	VYDAJ	VYBER	15	32607	SLUZBY	\N	\N
150379	501	1997-04-30	VYDAJ	VYBER	15	32205	SLUZBY	\N	\N
150380	501	1997-05-31	VYDAJ	VYBER	15	22051	SLUZBY	\N	\N
150381	501	1997-06-30	VYDAJ	VYBER	15	29120	SLUZBY	\N	\N
150382	501	1997-07-31	VYDAJ	VYBER	15	44283	SLUZBY	\N	\N
150383	501	1997-08-31	VYDAJ	VYBER	15	47277	SLUZBY	\N	\N
150384	501	1997-09-30	VYDAJ	VYBER	15	48178	SLUZBY	\N	\N
150385	501	1997-10-31	VYDAJ	VYBER	15	69669	SLUZBY	\N	\N
150386	501	1997-11-30	VYDAJ	VYBER	15	58732	SLUZBY	\N	\N
150387	501	1997-12-31	VYDAJ	VYBER	15	65858	SLUZBY	\N	\N
150388	501	1998-01-31	VYDAJ	VYBER	15	84553	SLUZBY	\N	\N
150389	501	1998-02-28	VYDAJ	VYBER	15	79434	SLUZBY	\N	\N
150390	501	1998-03-31	VYDAJ	VYBER	15	87942	SLUZBY	\N	\N
150391	501	1998-04-30	VYDAJ	VYBER	15	63707	SLUZBY	\N	\N
150392	501	1998-05-31	VYDAJ	VYBER	15	98491	SLUZBY	\N	\N
150393	501	1998-06-30	VYDAJ	VYBER	15	77246	SLUZBY	\N	\N
150394	501	1998-07-31	VYDAJ	VYBER	15	61720	SLUZBY	\N	\N
150395	501	1998-08-31	VYDAJ	VYBER	15	88704	SLUZBY	\N	\N
150396	501	1998-09-30	VYDAJ	VYBER	15	95575	SLUZBY	\N	\N
150397	501	1998-10-31	VYDAJ	VYBER	15	107502	SLUZBY	\N	\N
150398	501	1998-11-30	VYDAJ	VYBER	15	78839	SLUZBY	\N	\N
150399	501	1995-11-20	VYDAJ	VYBER	8800	36122	\N	\N	\N
150400	501	1995-12-20	VYDAJ	VYBER	22300	49992	\N	\N	\N
150401	501	1996-01-19	VYDAJ	VYBER	22200	51383	\N	\N	\N
150402	501	1996-02-18	VYDAJ	VYBER	13000	32972	\N	\N	\N
150403	501	1996-03-19	VYDAJ	VYBER	300	29838	\N	\N	\N
150404	501	1996-04-18	PRIJEM	VKLAD	3000	29749	\N	\N	\N
150405	501	1996-05-18	VYDAJ	VYBER	2800	36684	\N	\N	\N
150406	501	1996-06-17	PRIJEM	VKLAD	200	31447	\N	\N	\N
150407	501	1996-07-17	VYDAJ	VYBER	18600	48652	\N	\N	\N
150408	501	1996-08-16	VYDAJ	VYBER	5300	39745	\N	\N	\N
150409	501	1996-09-15	PRIJEM	VKLAD	6200	30414	\N	\N	\N
150410	501	1996-10-15	PRIJEM	VKLAD	10700	36537	\N	\N	\N
150411	501	1996-11-14	VYDAJ	VYBER	12600	59310	\N	\N	\N
150412	501	1996-12-14	PRIJEM	VKLAD	8600	45838	\N	\N	\N
150413	501	1997-01-13	PRIJEM	VKLAD	6300	43573	\N	\N	\N
150414	501	1997-02-12	PRIJEM	VKLAD	12000	51845	\N	\N	\N
150415	501	1997-03-14	PRIJEM	VKLAD	10000	53267	\N	\N	\N
150416	501	1997-04-13	PRIJEM	VKLAD	24500	40782	\N	\N	\N
150417	501	1997-05-13	PRIJEM	VKLAD	17800	45622	\N	\N	\N
150418	501	1997-06-12	PRIJEM	VKLAD	21900	43951	\N	\N	\N
150419	501	1997-07-12	PRIJEM	VKLAD	19400	48520	\N	\N	\N
150420	501	1997-08-11	PRIJEM	VKLAD	7200	51483	\N	\N	\N
150421	501	1997-09-10	PRIJEM	VKLAD	5100	52377	\N	\N	\N
150422	501	1997-10-10	PRIJEM	VKLAD	7900	56078	\N	\N	\N
150423	501	1997-11-09	VYDAJ	VYBER	6800	62869	\N	\N	\N
150424	501	1997-12-09	VYDAJ	VYBER	21800	74788	\N	\N	\N
150425	501	1998-01-08	VYDAJ	VYBER	5400	60458	\N	\N	\N
150426	501	1998-01-12	VYDAJ	VYBER	37300	82334	\N	\N	\N
150427	501	1998-01-17	VYDAJ	VYBER	29800	89937	\N	\N	\N
150428	501	1998-02-07	VYDAJ	VYBER	16600	67953	\N	\N	\N
150429	501	1998-02-17	VYDAJ	VYBER	35800	91119	\N	\N	\N
150430	501	1998-03-09	VYDAJ	VYBER	20600	67837	\N	\N	\N
150431	501	1998-03-23	VYDAJ	VYBER	51200	77770	\N	\N	\N
150432	501	1998-03-25	VYDAJ	VYBER	43800	96550	\N	\N	\N
150433	501	1998-03-26	VYDAJ	VYBER	40000	87596	\N	\N	\N
150434	501	1998-04-08	VYDAJ	VYBER	13900	74042	\N	\N	\N
150435	501	1998-05-08	VYDAJ	VYBER	49600	79569	\N	\N	\N
150436	501	1998-05-08	VYDAJ	VYBER	9800	69769	\N	\N	\N
150437	501	1998-06-07	VYDAJ	VYBER	17200	81291	\N	\N	\N
150438	501	1998-07-07	VYDAJ	VYBER	8400	68846	\N	\N	\N
150439	501	1998-08-03	VYDAJ	VYBER	38300	78177	\N	\N	\N
150440	501	1998-08-06	VYDAJ	VYBER	8600	69577	\N	\N	\N
150441	501	1998-08-18	VYDAJ	VYBER	22600	114117	\N	\N	\N
150442	501	1998-08-25	VYDAJ	VYBER	48000	103036	\N	\N	\N
150443	501	1998-09-05	VYDAJ	VYBER	8000	80704	\N	\N	\N
150444	501	1998-10-05	VYDAJ	VYBER	9900	85675	\N	\N	\N
150445	501	1998-10-15	VYDAJ	VYBER	23900	107048	\N	\N	\N
150446	501	1998-11-04	VYDAJ	VYBER	19900	87602	\N	\N	\N
150447	501	1998-11-26	VYDAJ	VYBER	43800	78450	\N	\N	\N
150448	501	1998-12-04	VYDAJ	VYBER	57800	58570	\N	\N	\N
150449	501	1998-12-04	PRIJEM	VKLAD	4300	78039	\N	\N	\N
150450	501	1998-12-27	VYDAJ	VYBER	44900	81447	\N	\N	\N
150489	502	1997-10-13	PRIJEM	VKLAD	600	600	\N	\N	\N
150500	502	1997-11-07	PRIJEM	PREVOD Z UCTU	3747	4347	\N	MN	11897975
150501	502	1997-12-07	PRIJEM	PREVOD Z UCTU	3747	18032	\N	MN	11897975
150502	502	1998-01-07	PRIJEM	PREVOD Z UCTU	3747	23051	\N	MN	11897975
150503	502	1998-02-07	PRIJEM	PREVOD Z UCTU	3747	32004	\N	MN	11897975
150504	502	1998-03-07	PRIJEM	PREVOD Z UCTU	3747	34976	\N	MN	11897975
150505	502	1998-04-07	PRIJEM	PREVOD Z UCTU	3747	34446	\N	MN	11897975
150506	502	1998-05-07	PRIJEM	PREVOD Z UCTU	3747	32254	\N	MN	11897975
150507	502	1998-06-07	PRIJEM	PREVOD Z UCTU	3747	25847	\N	MN	11897975
150508	502	1998-07-07	PRIJEM	PREVOD Z UCTU	3747	22175	\N	MN	11897975
150509	502	1998-08-07	PRIJEM	PREVOD Z UCTU	3747	25749	\N	MN	11897975
150510	502	1998-09-07	PRIJEM	PREVOD Z UCTU	3747	24080	\N	MN	11897975
150511	502	1998-10-07	PRIJEM	PREVOD Z UCTU	3747	23754	\N	MN	11897975
150512	502	1998-11-07	PRIJEM	PREVOD Z UCTU	3747	27895	\N	MN	11897975
150513	502	1998-12-07	PRIJEM	PREVOD Z UCTU	3747	32957	\N	MN	11897975
150529	502	1998-04-06	VYDAJ	PREVOD NA UCET	2498	30699	SIPO	ST	27518320
150530	502	1998-05-06	VYDAJ	PREVOD NA UCET	2498	28507	SIPO	ST	27518320
150531	502	1998-06-06	VYDAJ	PREVOD NA UCET	2498	24560	SIPO	ST	27518320
150532	502	1998-07-06	VYDAJ	PREVOD NA UCET	2498	18428	SIPO	ST	27518320
150533	502	1998-08-06	VYDAJ	PREVOD NA UCET	2498	22002	SIPO	ST	27518320
150534	502	1998-09-06	VYDAJ	PREVOD NA UCET	2498	20333	SIPO	ST	27518320
150535	502	1998-10-06	VYDAJ	PREVOD NA UCET	2498	20007	SIPO	ST	27518320
150536	502	1998-11-06	VYDAJ	PREVOD NA UCET	2498	24148	SIPO	ST	27518320
150537	502	1998-12-06	VYDAJ	PREVOD NA UCET	2498	29210	SIPO	ST	27518320
150539	502	1998-06-06	VYDAJ	VYBER	2460	22100	\N	\N	\N
150543	502	1998-12-07	VYDAJ	VYBER	150	32807	\N	\N	\N
150559	502	1998-05-22	VYDAJ	VYBER	300	26954	\N	\N	\N
150560	502	1998-09-28	VYDAJ	VYBER	840	22420	\N	\N	\N
150562	502	1998-09-08	VYDAJ	VYBER	570	24610	\N	\N	\N
150563	502	1998-07-20	VYDAJ	VYBER	960	24415	\N	\N	\N
150565	502	1998-04-19	VYDAJ	VYBER	1260	30886	\N	\N	\N
150566	502	1998-09-20	VYDAJ	VYBER	1350	23260	\N	\N	\N
150582	502	1998-03-31	VYDAJ	VYBER	15	33197	SLUZBY	\N	\N
150583	502	1998-04-30	VYDAJ	VYBER	15	31005	SLUZBY	\N	\N
150584	502	1998-05-31	VYDAJ	VYBER	15	27058	SLUZBY	\N	\N
150585	502	1998-06-30	VYDAJ	VYBER	15	20926	SLUZBY	\N	\N
150586	502	1998-07-31	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
150587	502	1998-08-31	VYDAJ	VYBER	15	22831	SLUZBY	\N	\N
150588	502	1998-09-30	VYDAJ	VYBER	15	22505	SLUZBY	\N	\N
150589	502	1998-10-31	VYDAJ	VYBER	15	26646	SLUZBY	\N	\N
150590	502	1998-11-30	VYDAJ	VYBER	15	31708	SLUZBY	\N	\N
150591	502	1997-11-12	PRIJEM	VKLAD	9900	14247	\N	\N	\N
150592	502	1997-12-12	PRIJEM	VKLAD	1200	19232	\N	\N	\N
150593	502	1998-01-11	PRIJEM	VKLAD	5100	28151	\N	\N	\N
150594	502	1998-02-10	VYDAJ	VYBER	900	31104	\N	\N	\N
150595	502	1998-03-12	VYDAJ	VYBER	1900	33076	\N	\N	\N
150596	502	1998-04-11	VYDAJ	VYBER	2300	32146	\N	\N	\N
150597	502	1998-05-11	VYDAJ	VYBER	5000	27254	\N	\N	\N
150598	502	1998-06-10	VYDAJ	VYBER	5000	20847	\N	\N	\N
150599	502	1998-07-10	PRIJEM	VKLAD	3200	25375	\N	\N	\N
150600	502	1998-08-09	VYDAJ	VYBER	3000	22749	\N	\N	\N
150601	502	1998-09-08	PRIJEM	VKLAD	1100	25180	\N	\N	\N
150602	502	1998-10-08	PRIJEM	VKLAD	2800	26554	\N	\N	\N
150603	502	1998-11-07	PRIJEM	VKLAD	3700	31595	\N	\N	\N
150618	503	1996-08-08	PRIJEM	VKLAD	700	700	\N	\N	\N
150626	503	1996-08-09	PRIJEM	VKLAD	14536	15236	\N	\N	\N
150627	503	1996-09-09	PRIJEM	VKLAD	14536	35019	\N	\N	\N
150628	503	1996-10-09	PRIJEM	VKLAD	14536	46079	\N	\N	\N
150629	503	1996-11-09	PRIJEM	VKLAD	14536	50495	\N	\N	\N
150630	503	1996-12-09	PRIJEM	VKLAD	21804	62705	\N	\N	\N
150631	503	1997-01-09	PRIJEM	VKLAD	14536	54695	\N	\N	\N
150632	503	1997-02-09	PRIJEM	VKLAD	14536	46052	\N	\N	\N
150633	503	1997-03-09	PRIJEM	VKLAD	14536	45685	\N	\N	\N
150634	503	1997-04-09	PRIJEM	VKLAD	14536	47719	\N	\N	\N
150635	503	1997-05-09	PRIJEM	VKLAD	14536	46158	\N	\N	\N
150636	503	1997-06-09	PRIJEM	VKLAD	21804	58758	\N	\N	\N
150637	503	1997-07-09	PRIJEM	VKLAD	14536	55030	\N	\N	\N
150638	503	1997-08-09	PRIJEM	VKLAD	14536	55501	\N	\N	\N
150639	503	1997-09-09	PRIJEM	VKLAD	14536	53674	\N	\N	\N
150640	503	1997-10-09	PRIJEM	VKLAD	14536	53441	\N	\N	\N
150641	503	1997-11-09	PRIJEM	VKLAD	14536	56306	\N	\N	\N
150642	503	1997-12-09	PRIJEM	VKLAD	21804	59149	\N	\N	\N
150643	503	1998-01-09	PRIJEM	VKLAD	14536	50531	\N	\N	\N
150644	503	1998-02-09	PRIJEM	VKLAD	14536	44562	\N	\N	\N
150645	503	1998-03-09	PRIJEM	VKLAD	14536	42285	\N	\N	\N
150646	503	1998-04-09	PRIJEM	VKLAD	14536	46403	\N	\N	\N
150647	503	1998-05-09	PRIJEM	VKLAD	14536	46533	\N	\N	\N
150648	503	1998-06-09	PRIJEM	VKLAD	21804	54826	\N	\N	\N
150649	503	1998-07-09	PRIJEM	VKLAD	14536	54882	\N	\N	\N
150650	503	1998-08-09	PRIJEM	VKLAD	14536	51243	\N	\N	\N
150651	503	1998-09-09	PRIJEM	VKLAD	14536	51590	\N	\N	\N
150652	503	1998-10-09	PRIJEM	VKLAD	14536	46936	\N	\N	\N
150653	503	1998-11-09	PRIJEM	VKLAD	14536	45362	\N	\N	\N
150654	503	1998-12-09	PRIJEM	VKLAD	21804	51851	\N	\N	\N
150667	503	1997-01-07	VYDAJ	PREVOD NA UCET	7175	40159	SIPO	QR	34156501
150668	503	1997-02-07	VYDAJ	PREVOD NA UCET	7175	31516	SIPO	QR	34156501
150669	503	1997-03-07	VYDAJ	PREVOD NA UCET	7175	31149	SIPO	QR	34156501
150670	503	1997-04-07	VYDAJ	PREVOD NA UCET	7175	33183	SIPO	QR	34156501
150671	503	1997-05-07	VYDAJ	PREVOD NA UCET	7175	31622	SIPO	QR	34156501
150672	503	1997-06-07	VYDAJ	PREVOD NA UCET	7175	36954	SIPO	QR	34156501
150673	503	1997-07-07	VYDAJ	PREVOD NA UCET	7175	40494	SIPO	QR	34156501
150674	503	1997-08-07	VYDAJ	PREVOD NA UCET	7175	40965	SIPO	QR	34156501
150675	503	1997-09-07	VYDAJ	PREVOD NA UCET	7175	39138	SIPO	QR	34156501
150676	503	1997-10-07	VYDAJ	PREVOD NA UCET	7175	38905	SIPO	QR	34156501
150677	503	1997-11-07	VYDAJ	PREVOD NA UCET	7175	41770	SIPO	QR	34156501
150678	503	1997-12-07	VYDAJ	PREVOD NA UCET	7175	37345	SIPO	QR	34156501
150679	503	1998-01-07	VYDAJ	PREVOD NA UCET	7175	35995	SIPO	QR	34156501
150680	503	1998-02-07	VYDAJ	PREVOD NA UCET	7175	30026	SIPO	QR	34156501
150681	503	1998-03-07	VYDAJ	PREVOD NA UCET	7175	27749	SIPO	QR	34156501
150682	503	1998-04-07	VYDAJ	PREVOD NA UCET	7175	31867	SIPO	QR	34156501
150683	503	1998-05-07	VYDAJ	PREVOD NA UCET	7175	31997	SIPO	QR	34156501
150684	503	1998-06-07	VYDAJ	PREVOD NA UCET	7175	33022	SIPO	QR	34156501
150685	503	1998-07-07	VYDAJ	PREVOD NA UCET	7175	40346	SIPO	QR	34156501
150686	503	1998-08-07	VYDAJ	PREVOD NA UCET	7175	36707	SIPO	QR	34156501
150687	503	1998-09-07	VYDAJ	PREVOD NA UCET	7175	37054	SIPO	QR	34156501
150688	503	1998-10-07	VYDAJ	PREVOD NA UCET	7175	32400	SIPO	QR	34156501
150689	503	1998-11-07	VYDAJ	PREVOD NA UCET	7175	30826	SIPO	QR	34156501
150690	503	1998-12-07	VYDAJ	PREVOD NA UCET	7175	30047	SIPO	QR	34156501
150727	503	1996-12-18	VYDAJ	VYBER	2100	60605	\N	\N	\N
150728	503	1997-12-30	VYDAJ	VYBER	2200	56949	\N	\N	\N
150729	503	1998-12-14	VYDAJ	VYBER KARTOU	500	51351	\N	\N	0
150736	503	1997-01-12	VYDAJ	VYBER	1700	52995	\N	\N	\N
150737	503	1997-01-05	VYDAJ	VYBER	1600	57934	\N	\N	\N
150738	503	1997-01-15	VYDAJ	VYBER	2400	50595	\N	\N	\N
150739	503	1997-01-01	VYDAJ	VYBER	1300	59534	\N	\N	\N
150740	503	1997-01-22	VYDAJ	VYBER	2500	45195	\N	\N	\N
150741	503	1997-01-21	VYDAJ	VYBER	2900	47695	\N	\N	\N
150742	503	1998-01-28	VYDAJ	VYBER	1700	41531	\N	\N	\N
150743	503	1998-01-11	VYDAJ	VYBER	2800	47731	\N	\N	\N
150744	503	1998-01-02	VYDAJ	VYBER	500	43170	\N	\N	\N
150745	503	1998-01-26	VYDAJ	VYBER	2100	43231	\N	\N	\N
150746	503	1998-01-28	VYDAJ	VYBER	2000	39531	\N	\N	\N
150747	503	1998-01-02	VYDAJ	VYBER	1000	43670	\N	\N	\N
150753	503	1997-06-25	VYDAJ	VYBER	2100	56658	\N	\N	\N
150754	503	1997-05-03	VYDAJ	VYBER	4400	41097	\N	\N	\N
150755	503	1997-05-02	VYDAJ	VYBER	2400	45497	\N	\N	\N
150756	503	1997-06-28	VYDAJ	VYBER	2900	53758	\N	\N	\N
150757	503	1997-09-27	VYDAJ	VYBER	500	53174	\N	\N	\N
150758	503	1998-07-27	VYDAJ	VYBER KARTOU	3600	51282	\N	\N	0
150759	503	1998-01-22	VYDAJ	VYBER	2400	45331	\N	\N	\N
150760	503	1998-05-13	VYDAJ	VYBER KARTOU	2300	44233	\N	\N	0
150761	503	1998-03-06	VYDAJ	VYBER	600	34924	\N	\N	\N
150774	503	1996-12-31	VYDAJ	VYBER	15	60834	SLUZBY	\N	\N
150775	503	1997-01-31	VYDAJ	VYBER	15	45391	SLUZBY	\N	\N
150776	503	1997-02-28	VYDAJ	VYBER	15	46224	SLUZBY	\N	\N
150777	503	1997-03-31	VYDAJ	VYBER	15	45858	SLUZBY	\N	\N
150778	503	1997-04-30	VYDAJ	VYBER	15	47897	SLUZBY	\N	\N
150779	503	1997-05-31	VYDAJ	VYBER	15	46329	SLUZBY	\N	\N
150780	503	1997-06-30	VYDAJ	VYBER	15	53969	SLUZBY	\N	\N
150781	503	1997-07-31	VYDAJ	VYBER	15	55240	SLUZBY	\N	\N
150782	503	1997-08-31	VYDAJ	VYBER	15	55713	SLUZBY	\N	\N
150783	503	1997-09-30	VYDAJ	VYBER	15	53380	SLUZBY	\N	\N
150784	503	1997-10-31	VYDAJ	VYBER	15	53645	SLUZBY	\N	\N
150785	503	1997-11-30	VYDAJ	VYBER	15	56520	SLUZBY	\N	\N
150786	503	1997-12-31	VYDAJ	VYBER	15	57170	SLUZBY	\N	\N
150787	503	1998-01-31	VYDAJ	VYBER	15	37201	SLUZBY	\N	\N
150788	503	1998-02-28	VYDAJ	VYBER	15	44724	SLUZBY	\N	\N
150789	503	1998-03-31	VYDAJ	VYBER	15	39042	SLUZBY	\N	\N
150790	503	1998-04-30	VYDAJ	VYBER	15	39172	SLUZBY	\N	\N
150791	503	1998-05-31	VYDAJ	VYBER	15	40197	SLUZBY	\N	\N
150792	503	1998-06-30	VYDAJ	VYBER	15	47521	SLUZBY	\N	\N
150793	503	1998-07-31	VYDAJ	VYBER	15	43882	SLUZBY	\N	\N
150794	503	1998-08-31	VYDAJ	VYBER	15	44229	SLUZBY	\N	\N
150795	503	1998-09-30	VYDAJ	VYBER	15	39575	SLUZBY	\N	\N
150796	503	1998-10-31	VYDAJ	VYBER	15	38001	SLUZBY	\N	\N
150797	503	1998-11-30	VYDAJ	VYBER	15	37222	SLUZBY	\N	\N
150798	503	1996-09-07	PRIJEM	VKLAD	5200	20483	\N	\N	\N
150799	503	1996-10-07	VYDAJ	VYBER	3600	31543	\N	\N	\N
150800	503	1996-11-06	VYDAJ	VYBER	10300	35959	\N	\N	\N
150801	503	1996-12-06	VYDAJ	VYBER	9800	40901	\N	\N	\N
150802	503	1997-01-05	VYDAJ	VYBER	10600	47334	\N	\N	\N
150803	503	1997-02-04	VYDAJ	VYBER	6700	38691	\N	\N	\N
150804	503	1997-03-06	VYDAJ	VYBER	7900	38324	\N	\N	\N
150805	503	1997-04-05	VYDAJ	VYBER	5500	40358	\N	\N	\N
150806	503	1997-05-05	VYDAJ	VYBER	2300	38797	\N	\N	\N
150807	503	1997-06-04	VYDAJ	VYBER	2200	44129	\N	\N	\N
150808	503	1997-07-04	VYDAJ	VYBER	6300	47669	\N	\N	\N
150809	503	1997-08-03	VYDAJ	VYBER	7100	48140	\N	\N	\N
150810	503	1997-09-02	VYDAJ	VYBER	9400	46313	\N	\N	\N
150811	503	1997-10-02	VYDAJ	VYBER	7300	46080	\N	\N	\N
150812	503	1997-11-01	VYDAJ	VYBER	4700	48945	\N	\N	\N
150813	503	1997-12-01	VYDAJ	VYBER	12000	44520	\N	\N	\N
150814	503	1997-12-31	VYDAJ	VYBER	12500	44670	\N	\N	\N
150815	503	1998-01-30	VYDAJ	VYBER	2500	37031	\N	\N	\N
150816	503	1998-03-01	VYDAJ	VYBER	9200	35524	\N	\N	\N
150817	503	1998-03-31	VYDAJ	VYBER	3400	39057	\N	\N	\N
150818	503	1998-04-30	VYDAJ	VYBER	7400	39187	\N	\N	\N
150819	503	1998-05-30	VYDAJ	VYBER	4200	40033	\N	\N	\N
150820	503	1998-06-29	VYDAJ	VYBER	7500	47326	\N	\N	\N
150821	503	1998-07-29	VYDAJ	VYBER	7600	43682	\N	\N	\N
150822	503	1998-08-28	VYDAJ	VYBER	7200	44043	\N	\N	\N
150823	503	1998-09-27	VYDAJ	VYBER	12200	39390	\N	\N	\N
150824	503	1998-10-27	VYDAJ	VYBER	9100	37836	\N	\N	\N
150825	503	1998-11-26	VYDAJ	VYBER	8300	37062	\N	\N	\N
150855	504	1993-04-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
150860	504	1993-05-09	PRIJEM	PREVOD Z UCTU	3463	4563	\N	EF	99633556
150861	504	1993-06-09	PRIJEM	PREVOD Z UCTU	3463	8026	\N	EF	99633556
150862	504	1993-07-09	PRIJEM	PREVOD Z UCTU	3463	11489	\N	EF	99633556
150863	504	1993-08-09	PRIJEM	PREVOD Z UCTU	3463	14952	\N	EF	99633556
150864	504	1993-09-09	PRIJEM	PREVOD Z UCTU	3463	18415	\N	EF	99633556
150865	504	1993-10-09	PRIJEM	PREVOD Z UCTU	3463	19611	\N	EF	99633556
150866	504	1993-11-09	PRIJEM	PREVOD Z UCTU	3463	20829	\N	EF	99633556
150867	504	1993-12-09	PRIJEM	PREVOD Z UCTU	3463	21872	\N	EF	99633556
150868	504	1994-01-09	PRIJEM	PREVOD Z UCTU	3463	22260	\N	EF	99633556
150869	504	1994-02-09	PRIJEM	PREVOD Z UCTU	3463	20572	\N	EF	99633556
150870	504	1994-03-09	PRIJEM	PREVOD Z UCTU	3463	21787	\N	EF	99633556
150871	504	1994-04-09	PRIJEM	PREVOD Z UCTU	3463	23015	\N	EF	99633556
150872	504	1994-05-09	PRIJEM	PREVOD Z UCTU	3463	23069	\N	EF	99633556
150873	504	1994-06-09	PRIJEM	PREVOD Z UCTU	3463	20034	\N	EF	99633556
150874	504	1994-07-09	PRIJEM	PREVOD Z UCTU	3463	21107	\N	EF	99633556
150875	504	1994-08-09	PRIJEM	PREVOD Z UCTU	3463	22331	\N	EF	99633556
150876	504	1994-09-09	PRIJEM	PREVOD Z UCTU	3463	23554	\N	EF	99633556
150877	504	1994-10-09	PRIJEM	PREVOD Z UCTU	3463	24788	\N	EF	99633556
150878	504	1994-11-09	PRIJEM	PREVOD Z UCTU	3463	24697	\N	EF	99633556
150879	504	1994-12-09	PRIJEM	PREVOD Z UCTU	3463	25936	\N	EF	99633556
150880	504	1995-01-09	PRIJEM	PREVOD Z UCTU	3463	25949	\N	EF	99633556
150881	504	1995-02-09	PRIJEM	PREVOD Z UCTU	3463	24456	\N	EF	99633556
150882	504	1995-03-09	PRIJEM	PREVOD Z UCTU	3463	25387	\N	EF	99633556
150883	504	1995-04-09	PRIJEM	PREVOD Z UCTU	3463	26629	\N	EF	99633556
150884	504	1995-05-09	PRIJEM	PREVOD Z UCTU	3463	27876	\N	EF	99633556
150885	504	1995-06-09	PRIJEM	PREVOD Z UCTU	3463	29128	\N	EF	99633556
150886	504	1995-07-09	PRIJEM	PREVOD Z UCTU	3463	24258	\N	EF	99633556
150887	504	1995-08-09	PRIJEM	PREVOD Z UCTU	3463	25488	\N	EF	99633556
150888	504	1995-09-09	PRIJEM	PREVOD Z UCTU	3463	25943	\N	EF	99633556
150889	504	1995-10-09	PRIJEM	PREVOD Z UCTU	3463	26128	\N	EF	99633556
150890	504	1995-11-09	PRIJEM	PREVOD Z UCTU	3463	27366	\N	EF	99633556
150891	504	1995-12-09	PRIJEM	PREVOD Z UCTU	3463	28609	\N	EF	99633556
150892	504	1996-01-09	PRIJEM	PREVOD Z UCTU	3463	29106	\N	EF	99633556
150893	504	1996-02-09	PRIJEM	PREVOD Z UCTU	3463	27202	\N	EF	99633556
150894	504	1996-03-09	PRIJEM	PREVOD Z UCTU	3463	27515	\N	EF	99633556
150895	504	1996-04-09	PRIJEM	PREVOD Z UCTU	3463	28549	\N	EF	99633556
150896	504	1996-05-09	PRIJEM	PREVOD Z UCTU	3463	29796	\N	EF	99633556
150897	504	1996-06-09	PRIJEM	PREVOD Z UCTU	3463	29616	\N	EF	99633556
150898	504	1996-07-09	PRIJEM	PREVOD Z UCTU	3463	27142	\N	EF	99633556
150899	504	1996-08-09	PRIJEM	PREVOD Z UCTU	3463	28384	\N	EF	99633556
150900	504	1996-09-09	PRIJEM	PREVOD Z UCTU	3463	29631	\N	EF	99633556
150901	504	1996-10-09	PRIJEM	PREVOD Z UCTU	3463	29836	\N	EF	99633556
150902	504	1996-11-09	PRIJEM	PREVOD Z UCTU	3463	30158	\N	EF	99633556
150903	504	1996-12-09	PRIJEM	PREVOD Z UCTU	3463	31412	\N	EF	99633556
150904	504	1997-01-09	PRIJEM	PREVOD Z UCTU	3463	30270	\N	EF	99633556
150905	504	1997-02-09	PRIJEM	PREVOD Z UCTU	3463	30112	\N	EF	99633556
150906	504	1997-03-09	PRIJEM	PREVOD Z UCTU	3463	31065	\N	EF	99633556
150907	504	1997-04-09	PRIJEM	PREVOD Z UCTU	3463	32330	\N	EF	99633556
150908	504	1997-05-09	PRIJEM	PREVOD Z UCTU	3463	32970	\N	EF	99633556
150909	504	1997-06-09	PRIJEM	PREVOD Z UCTU	3463	34243	\N	EF	99633556
150910	504	1997-07-09	PRIJEM	PREVOD Z UCTU	3463	29207	\N	EF	99633556
150911	504	1997-08-09	PRIJEM	PREVOD Z UCTU	3463	30464	\N	EF	99633556
150912	504	1997-09-09	PRIJEM	PREVOD Z UCTU	3463	31725	\N	EF	99633556
150913	504	1997-10-09	PRIJEM	PREVOD Z UCTU	3463	32992	\N	EF	99633556
150914	504	1997-11-09	PRIJEM	PREVOD Z UCTU	3463	33416	\N	EF	99633556
150915	504	1997-12-09	PRIJEM	PREVOD Z UCTU	3463	34683	\N	EF	99633556
150916	504	1998-01-09	PRIJEM	PREVOD Z UCTU	3463	33764	\N	EF	99633556
150917	504	1998-02-09	PRIJEM	PREVOD Z UCTU	3463	32870	\N	EF	99633556
150918	504	1998-03-09	PRIJEM	PREVOD Z UCTU	3463	34135	\N	EF	99633556
150919	504	1998-04-09	PRIJEM	PREVOD Z UCTU	3463	35411	\N	EF	99633556
150920	504	1998-05-09	PRIJEM	PREVOD Z UCTU	3463	35663	\N	EF	99633556
150921	504	1998-06-09	PRIJEM	PREVOD Z UCTU	3463	36945	\N	EF	99633556
150922	504	1998-07-09	PRIJEM	PREVOD Z UCTU	3463	30784	\N	EF	99633556
150923	504	1998-08-09	PRIJEM	PREVOD Z UCTU	3463	28540	\N	EF	99633556
150924	504	1998-09-09	PRIJEM	PREVOD Z UCTU	3463	27942	\N	EF	99633556
150925	504	1998-10-09	PRIJEM	PREVOD Z UCTU	3463	28358	\N	EF	99633556
150926	504	1998-11-09	PRIJEM	PREVOD Z UCTU	3463	29097	\N	EF	99633556
150927	504	1998-12-09	PRIJEM	PREVOD Z UCTU	3463	30351	\N	EF	99633556
150936	504	1993-09-09	VYDAJ	PREVOD NA UCET	2308	16107	\N	UV	2230048
150937	504	1993-10-09	VYDAJ	PREVOD NA UCET	2308	17303	\N	UV	2230048
150938	504	1993-11-09	VYDAJ	PREVOD NA UCET	2308	18521	\N	UV	2230048
150939	504	1993-12-09	VYDAJ	PREVOD NA UCET	2308	19564	\N	UV	2230048
150940	504	1994-01-09	VYDAJ	PREVOD NA UCET	2308	19952	\N	UV	2230048
150941	504	1994-02-09	VYDAJ	PREVOD NA UCET	2308	18264	\N	UV	2230048
150942	504	1994-03-09	VYDAJ	PREVOD NA UCET	2308	19479	\N	UV	2230048
150943	504	1994-04-09	VYDAJ	PREVOD NA UCET	2308	20707	\N	UV	2230048
150944	504	1994-05-09	VYDAJ	PREVOD NA UCET	2308	20761	\N	UV	2230048
150945	504	1994-06-09	VYDAJ	PREVOD NA UCET	2308	17726	\N	UV	2230048
150946	504	1994-07-09	VYDAJ	PREVOD NA UCET	2308	18799	\N	UV	2230048
150947	504	1994-08-09	VYDAJ	PREVOD NA UCET	2308	20023	\N	UV	2230048
150948	504	1994-09-09	VYDAJ	PREVOD NA UCET	2308	21246	\N	UV	2230048
150949	504	1994-10-09	VYDAJ	PREVOD NA UCET	2308	22480	\N	UV	2230048
150950	504	1994-11-09	VYDAJ	PREVOD NA UCET	2308	22389	\N	UV	2230048
150951	504	1994-12-09	VYDAJ	PREVOD NA UCET	2308	23628	\N	UV	2230048
150952	504	1995-01-09	VYDAJ	PREVOD NA UCET	2308	22981	\N	UV	2230048
150953	504	1995-02-09	VYDAJ	PREVOD NA UCET	2308	22148	\N	UV	2230048
150954	504	1995-03-09	VYDAJ	PREVOD NA UCET	2308	23079	\N	UV	2230048
150955	504	1995-04-09	VYDAJ	PREVOD NA UCET	2308	24321	\N	UV	2230048
150956	504	1995-05-09	VYDAJ	PREVOD NA UCET	2308	25568	\N	UV	2230048
150957	504	1995-06-09	VYDAJ	PREVOD NA UCET	2308	26820	\N	UV	2230048
150958	504	1995-07-09	VYDAJ	PREVOD NA UCET	2308	21950	\N	UV	2230048
150959	504	1995-08-09	VYDAJ	PREVOD NA UCET	2308	23180	\N	UV	2230048
150960	504	1995-09-09	VYDAJ	PREVOD NA UCET	2308	23635	\N	UV	2230048
150961	504	1995-10-09	VYDAJ	PREVOD NA UCET	2308	23820	\N	UV	2230048
150962	504	1995-11-09	VYDAJ	PREVOD NA UCET	2308	25058	\N	UV	2230048
150963	504	1995-12-09	VYDAJ	PREVOD NA UCET	2308	26301	\N	UV	2230048
150964	504	1996-01-09	VYDAJ	PREVOD NA UCET	2308	26588	\N	UV	2230048
150965	504	1996-02-09	VYDAJ	PREVOD NA UCET	2308	24894	\N	UV	2230048
150966	504	1996-03-09	VYDAJ	PREVOD NA UCET	2308	25207	\N	UV	2230048
150967	504	1996-04-09	VYDAJ	PREVOD NA UCET	2308	26241	\N	UV	2230048
150968	504	1996-05-09	VYDAJ	PREVOD NA UCET	2308	27488	\N	UV	2230048
150969	504	1996-06-09	VYDAJ	PREVOD NA UCET	2308	27308	\N	UV	2230048
150970	504	1996-07-09	VYDAJ	PREVOD NA UCET	2308	24834	\N	UV	2230048
150971	504	1996-08-09	VYDAJ	PREVOD NA UCET	2308	26076	\N	UV	2230048
150972	504	1996-09-09	VYDAJ	PREVOD NA UCET	2308	27323	\N	UV	2230048
150973	504	1996-10-09	VYDAJ	PREVOD NA UCET	2308	27528	\N	UV	2230048
150974	504	1996-11-09	VYDAJ	PREVOD NA UCET	2308	27850	\N	UV	2230048
150975	504	1996-12-09	VYDAJ	PREVOD NA UCET	2308	29104	\N	UV	2230048
150976	504	1997-01-09	VYDAJ	PREVOD NA UCET	2308	27962	\N	UV	2230048
150977	504	1997-02-09	VYDAJ	PREVOD NA UCET	2308	27804	\N	UV	2230048
150978	504	1997-03-09	VYDAJ	PREVOD NA UCET	2308	28757	\N	UV	2230048
150979	504	1997-04-09	VYDAJ	PREVOD NA UCET	2308	30022	\N	UV	2230048
150980	504	1997-05-09	VYDAJ	PREVOD NA UCET	2308	30662	\N	UV	2230048
150981	504	1997-06-09	VYDAJ	PREVOD NA UCET	2308	31935	\N	UV	2230048
150982	504	1997-07-09	VYDAJ	PREVOD NA UCET	2308	26899	\N	UV	2230048
150983	504	1997-08-09	VYDAJ	PREVOD NA UCET	2308	28156	\N	UV	2230048
150984	504	1997-09-09	VYDAJ	PREVOD NA UCET	2308	29417	\N	UV	2230048
150985	504	1997-10-09	VYDAJ	PREVOD NA UCET	2308	30684	\N	UV	2230048
150986	504	1997-11-09	VYDAJ	PREVOD NA UCET	2308	31108	\N	UV	2230048
150987	504	1997-12-09	VYDAJ	PREVOD NA UCET	2308	32375	\N	UV	2230048
150988	504	1998-01-09	VYDAJ	PREVOD NA UCET	2308	31456	\N	UV	2230048
150989	504	1998-02-09	VYDAJ	PREVOD NA UCET	2308	30562	\N	UV	2230048
150990	504	1998-03-09	VYDAJ	PREVOD NA UCET	2308	31827	\N	UV	2230048
150991	504	1998-04-09	VYDAJ	PREVOD NA UCET	2308	33103	\N	UV	2230048
150992	504	1998-05-09	VYDAJ	PREVOD NA UCET	2308	33355	\N	UV	2230048
150993	504	1998-06-09	VYDAJ	PREVOD NA UCET	2308	34637	\N	UV	2230048
150994	504	1998-07-09	VYDAJ	PREVOD NA UCET	2308	28476	\N	UV	2230048
150995	504	1998-08-09	VYDAJ	PREVOD NA UCET	2308	26232	\N	UV	2230048
150996	504	1998-09-09	VYDAJ	PREVOD NA UCET	2308	25634	\N	UV	2230048
150997	504	1998-10-09	VYDAJ	PREVOD NA UCET	2308	26050	\N	UV	2230048
150998	504	1998-11-09	VYDAJ	PREVOD NA UCET	2308	26789	\N	UV	2230048
150999	504	1998-12-09	VYDAJ	PREVOD NA UCET	2308	28043	\N	UV	2230048
151001	504	1994-06-06	VYDAJ	VYBER	3810	16571	\N	\N	\N
151002	504	1995-06-25	VYDAJ	VYBER	6120	20700	\N	\N	\N
151003	504	1996-06-20	VYDAJ	VYBER	3330	23588	\N	\N	\N
151004	504	1997-06-24	VYDAJ	VYBER	6300	25635	\N	\N	\N
151005	504	1998-06-15	VYDAJ	VYBER	5730	28907	\N	\N	\N
151006	504	1993-12-06	VYDAJ	VYBER	180	18409	\N	\N	\N
151007	504	1994-12-28	VYDAJ	VYBER	300	23328	\N	\N	\N
151008	504	1995-12-24	VYDAJ	VYBER	750	25551	\N	\N	\N
151009	504	1996-12-14	VYDAJ	VYBER	810	28294	\N	\N	\N
151010	504	1997-12-14	VYDAJ	VYBER	600	31775	\N	\N	\N
151011	504	1998-12-28	VYDAJ	VYBER	840	27203	\N	\N	\N
151018	504	1994-01-07	VYDAJ	VYBER	570	18797	\N	\N	\N
151019	504	1994-01-22	VYDAJ	VYBER	780	17582	\N	\N	\N
151020	504	1994-01-24	VYDAJ	VYBER	540	17042	\N	\N	\N
151021	504	1994-01-20	VYDAJ	VYBER	810	19142	\N	\N	\N
151022	504	1994-01-21	VYDAJ	VYBER	780	18362	\N	\N	\N
151023	504	1994-01-02	VYDAJ	VYBER	270	19367	\N	\N	\N
151024	504	1995-01-22	VYDAJ	VYBER	840	21301	\N	\N	\N
151025	504	1995-01-30	VYDAJ	VYBER	390	20911	\N	\N	\N
151026	504	1995-01-03	VYDAJ	VYBER	300	23116	\N	\N	\N
151027	504	1995-01-18	VYDAJ	VYBER	840	22141	\N	\N	\N
151028	504	1995-01-06	VYDAJ	VYBER	630	22486	\N	\N	\N
151029	504	1995-01-09	VYDAJ	VYBER	660	25289	\N	\N	\N
151030	504	1996-01-24	VYDAJ	VYBER	690	24068	\N	\N	\N
151031	504	1996-01-24	VYDAJ	VYBER	450	24758	\N	\N	\N
151032	504	1996-01-16	VYDAJ	VYBER	690	25898	\N	\N	\N
151033	504	1996-01-25	VYDAJ	VYBER	420	23648	\N	\N	\N
151034	504	1996-01-09	VYDAJ	VYBER	210	28896	\N	\N	\N
151035	504	1996-01-24	VYDAJ	VYBER	690	25208	\N	\N	\N
151036	504	1997-01-13	VYDAJ	VYBER	240	27452	\N	\N	\N
151037	504	1997-01-25	VYDAJ	VYBER	690	26552	\N	\N	\N
151038	504	1997-01-19	VYDAJ	VYBER	210	27242	\N	\N	\N
151039	504	1997-01-02	VYDAJ	VYBER	360	26807	\N	\N	\N
151040	504	1997-01-13	VYDAJ	VYBER	270	27692	\N	\N	\N
151041	504	1997-01-01	VYDAJ	VYBER	720	27167	\N	\N	\N
151042	504	1998-01-27	VYDAJ	VYBER	300	29746	\N	\N	\N
151043	504	1998-01-19	VYDAJ	VYBER	270	30976	\N	\N	\N
151044	504	1998-01-12	VYDAJ	VYBER	210	31246	\N	\N	\N
151045	504	1998-01-30	VYDAJ	VYBER	450	29296	\N	\N	\N
151046	504	1998-01-25	VYDAJ	VYBER	150	30826	\N	\N	\N
151047	504	1998-01-25	VYDAJ	VYBER	780	30046	\N	\N	\N
151052	504	1994-04-15	VYDAJ	VYBER	1170	19537	\N	\N	\N
151053	504	1994-10-13	VYDAJ	VYBER	1320	21160	\N	\N	\N
151054	504	1994-05-25	VYDAJ	VYBER	450	20311	\N	\N	\N
151055	504	1994-06-26	VYDAJ	VYBER	150	17576	\N	\N	\N
151056	504	1995-02-26	VYDAJ	VYBER	300	21848	\N	\N	\N
151057	504	1995-08-26	VYDAJ	VYBER	150	22400	\N	\N	\N
151058	504	1995-09-17	VYDAJ	VYBER	1050	22585	\N	\N	\N
151059	504	1995-08-21	VYDAJ	VYBER	630	22550	\N	\N	\N
151060	504	1996-02-14	VYDAJ	VYBER	360	24534	\N	\N	\N
151061	504	1996-09-21	VYDAJ	VYBER	1050	26273	\N	\N	\N
151062	504	1996-03-03	VYDAJ	VYBER	570	24052	\N	\N	\N
151063	504	1996-05-31	VYDAJ	VYBER	1440	26153	\N	\N	\N
151064	504	1996-06-17	VYDAJ	VYBER	390	26918	\N	\N	\N
151065	504	1996-10-26	VYDAJ	VYBER	930	26598	\N	\N	\N
151066	504	1996-12-19	VYDAJ	VYBER	510	27784	\N	\N	\N
151067	504	1996-03-24	VYDAJ	VYBER	210	24997	\N	\N	\N
151068	504	1997-02-21	VYDAJ	VYBER	300	27504	\N	\N	\N
151069	504	1997-10-27	VYDAJ	VYBER	840	29844	\N	\N	\N
151070	504	1997-05-04	VYDAJ	VYBER	630	29507	\N	\N	\N
151071	504	1997-12-17	VYDAJ	VYBER	900	30875	\N	\N	\N
151072	504	1998-09-23	VYDAJ	VYBER	630	24804	\N	\N	\N
151073	504	1998-10-24	VYDAJ	VYBER	360	25690	\N	\N	\N
151074	504	1998-08-15	VYDAJ	VYBER	1440	24792	\N	\N	\N
151075	504	1998-04-11	VYDAJ	VYBER	1020	32083	\N	\N	\N
151076	504	1998-10-25	VYDAJ	VYBER	150	25540	\N	\N	\N
151077	504	1998-01-07	VYDAJ	VYBER	690	30301	\N	\N	\N
151087	504	1993-09-30	VYDAJ	VYBER	15	16148	SLUZBY	\N	\N
151088	504	1993-10-31	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
151089	504	1993-11-30	VYDAJ	VYBER	15	18589	SLUZBY	\N	\N
151090	504	1993-12-31	VYDAJ	VYBER	15	19637	SLUZBY	\N	\N
151091	504	1994-01-31	VYDAJ	VYBER	15	17109	SLUZBY	\N	\N
151092	504	1994-02-28	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
151093	504	1994-03-31	VYDAJ	VYBER	15	19552	SLUZBY	\N	\N
151094	504	1994-04-30	VYDAJ	VYBER	15	19606	SLUZBY	\N	\N
151095	504	1994-05-31	VYDAJ	VYBER	15	20381	SLUZBY	\N	\N
151096	504	1994-06-30	VYDAJ	VYBER	15	17644	SLUZBY	\N	\N
151097	504	1994-07-31	VYDAJ	VYBER	15	18868	SLUZBY	\N	\N
151098	504	1994-08-31	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
151099	504	1994-09-30	VYDAJ	VYBER	15	21325	SLUZBY	\N	\N
151100	504	1994-10-31	VYDAJ	VYBER	15	21234	SLUZBY	\N	\N
151101	504	1994-11-30	VYDAJ	VYBER	15	22473	SLUZBY	\N	\N
151102	504	1994-12-31	VYDAJ	VYBER	15	23416	SLUZBY	\N	\N
151103	504	1995-01-31	VYDAJ	VYBER	15	20993	SLUZBY	\N	\N
151104	504	1995-02-28	VYDAJ	VYBER	15	21924	SLUZBY	\N	\N
151105	504	1995-03-31	VYDAJ	VYBER	15	23166	SLUZBY	\N	\N
151106	504	1995-04-30	VYDAJ	VYBER	15	24413	SLUZBY	\N	\N
151107	504	1995-05-31	VYDAJ	VYBER	15	25665	SLUZBY	\N	\N
151108	504	1995-06-30	VYDAJ	VYBER	15	20795	SLUZBY	\N	\N
151109	504	1995-07-31	VYDAJ	VYBER	15	22025	SLUZBY	\N	\N
151110	504	1995-08-31	VYDAJ	VYBER	15	22480	SLUZBY	\N	\N
151111	504	1995-09-30	VYDAJ	VYBER	15	22665	SLUZBY	\N	\N
151112	504	1995-10-31	VYDAJ	VYBER	15	23903	SLUZBY	\N	\N
151113	504	1995-11-30	VYDAJ	VYBER	15	25146	SLUZBY	\N	\N
151114	504	1995-12-31	VYDAJ	VYBER	15	25643	SLUZBY	\N	\N
151115	504	1996-01-31	VYDAJ	VYBER	15	23739	SLUZBY	\N	\N
151116	504	1996-02-29	VYDAJ	VYBER	15	24622	SLUZBY	\N	\N
151117	504	1996-03-31	VYDAJ	VYBER	15	25086	SLUZBY	\N	\N
151118	504	1996-04-30	VYDAJ	VYBER	15	26333	SLUZBY	\N	\N
151119	504	1996-05-31	VYDAJ	VYBER	15	27593	SLUZBY	\N	\N
151120	504	1996-06-30	VYDAJ	VYBER	15	23679	SLUZBY	\N	\N
151121	504	1996-07-31	VYDAJ	VYBER	15	24921	SLUZBY	\N	\N
151122	504	1996-08-31	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
151123	504	1996-09-30	VYDAJ	VYBER	15	26373	SLUZBY	\N	\N
151124	504	1996-10-31	VYDAJ	VYBER	15	26695	SLUZBY	\N	\N
151125	504	1996-11-30	VYDAJ	VYBER	15	27949	SLUZBY	\N	\N
151126	504	1996-12-31	VYDAJ	VYBER	15	27887	SLUZBY	\N	\N
151127	504	1997-01-31	VYDAJ	VYBER	15	26649	SLUZBY	\N	\N
151128	504	1997-02-28	VYDAJ	VYBER	15	27602	SLUZBY	\N	\N
151129	504	1997-03-31	VYDAJ	VYBER	15	28867	SLUZBY	\N	\N
151130	504	1997-04-30	VYDAJ	VYBER	15	30137	SLUZBY	\N	\N
151131	504	1997-05-31	VYDAJ	VYBER	15	30780	SLUZBY	\N	\N
151132	504	1997-06-30	VYDAJ	VYBER	15	25744	SLUZBY	\N	\N
151133	504	1997-07-31	VYDAJ	VYBER	15	27001	SLUZBY	\N	\N
151134	504	1997-08-31	VYDAJ	VYBER	15	28262	SLUZBY	\N	\N
151135	504	1997-09-30	VYDAJ	VYBER	15	29529	SLUZBY	\N	\N
151136	504	1997-10-31	VYDAJ	VYBER	15	29953	SLUZBY	\N	\N
151137	504	1997-11-30	VYDAJ	VYBER	15	31220	SLUZBY	\N	\N
151138	504	1997-12-31	VYDAJ	VYBER	15	30991	SLUZBY	\N	\N
151139	504	1998-01-31	VYDAJ	VYBER	15	29407	SLUZBY	\N	\N
151140	504	1998-02-28	VYDAJ	VYBER	15	30672	SLUZBY	\N	\N
151141	504	1998-03-31	VYDAJ	VYBER	15	31948	SLUZBY	\N	\N
151142	504	1998-04-30	VYDAJ	VYBER	15	32200	SLUZBY	\N	\N
151143	504	1998-05-31	VYDAJ	VYBER	15	33482	SLUZBY	\N	\N
151144	504	1998-06-30	VYDAJ	VYBER	15	27321	SLUZBY	\N	\N
151145	504	1998-07-31	VYDAJ	VYBER	15	25077	SLUZBY	\N	\N
151146	504	1998-08-31	VYDAJ	VYBER	15	24479	SLUZBY	\N	\N
151147	504	1998-09-30	VYDAJ	VYBER	15	24895	SLUZBY	\N	\N
151148	504	1998-10-31	VYDAJ	VYBER	15	25634	SLUZBY	\N	\N
151149	504	1998-11-30	VYDAJ	VYBER	15	26888	SLUZBY	\N	\N
151150	504	1998-06-24	VYDAJ	VYBER	1700	27207	\N	\N	\N
151151	504	1998-07-24	VYDAJ	VYBER	3500	24976	\N	\N	\N
151152	504	1998-08-23	VYDAJ	VYBER	400	24392	\N	\N	\N
151153	504	1998-09-22	VYDAJ	VYBER	200	25434	\N	\N	\N
151218	505	1996-12-16	PRIJEM	VKLAD	300	300	\N	\N	\N
151231	505	1997-01-09	PRIJEM	PREVOD Z UCTU	3332	3632	\N	CD	74938672
151232	505	1997-02-09	PRIJEM	PREVOD Z UCTU	3332	6964	\N	CD	74938672
151233	505	1997-03-09	PRIJEM	PREVOD Z UCTU	3332	10296	\N	CD	74938672
151234	505	1997-04-09	PRIJEM	PREVOD Z UCTU	3332	13628	\N	CD	74938672
151235	505	1997-05-09	PRIJEM	PREVOD Z UCTU	3332	16960	\N	CD	74938672
151236	505	1997-06-09	PRIJEM	PREVOD Z UCTU	3332	17797	\N	CD	74938672
151237	505	1997-07-09	PRIJEM	PREVOD Z UCTU	3332	15587	\N	CD	74938672
151238	505	1997-08-09	PRIJEM	PREVOD Z UCTU	3332	16740	\N	CD	74938672
151239	505	1997-09-09	PRIJEM	PREVOD Z UCTU	3332	16793	\N	CD	74938672
151240	505	1997-10-09	PRIJEM	PREVOD Z UCTU	3332	15644	\N	CD	74938672
151241	505	1997-11-09	PRIJEM	PREVOD Z UCTU	3332	14489	\N	CD	74938672
151242	505	1997-12-09	PRIJEM	PREVOD Z UCTU	3332	15636	\N	CD	74938672
151243	505	1998-01-09	PRIJEM	PREVOD Z UCTU	3332	15947	\N	CD	74938672
151244	505	1998-02-09	PRIJEM	PREVOD Z UCTU	3332	15689	\N	CD	74938672
151245	505	1998-03-09	PRIJEM	PREVOD Z UCTU	3332	16841	\N	CD	74938672
151246	505	1998-04-09	PRIJEM	PREVOD Z UCTU	3332	17097	\N	CD	74938672
151247	505	1998-05-09	PRIJEM	PREVOD Z UCTU	3332	18255	\N	CD	74938672
151248	505	1998-06-09	PRIJEM	PREVOD Z UCTU	3332	18427	\N	CD	74938672
151249	505	1998-07-09	PRIJEM	PREVOD Z UCTU	3332	17676	\N	CD	74938672
151250	505	1998-08-09	PRIJEM	PREVOD Z UCTU	3332	18115	\N	CD	74938672
151251	505	1998-09-09	PRIJEM	PREVOD Z UCTU	3332	17777	\N	CD	74938672
151252	505	1998-10-09	PRIJEM	PREVOD Z UCTU	3332	18939	\N	CD	74938672
151253	505	1998-11-09	PRIJEM	PREVOD Z UCTU	3332	20105	\N	CD	74938672
151254	505	1998-12-09	PRIJEM	PREVOD Z UCTU	3332	20075	\N	CD	74938672
151272	505	1997-06-06	VYDAJ	PREVOD NA UCET	18	14465	\N	QR	6899768
151273	505	1997-07-06	VYDAJ	PREVOD NA UCET	18	12255	\N	QR	6899768
151274	505	1997-08-06	VYDAJ	PREVOD NA UCET	18	13408	\N	QR	6899768
151275	505	1997-09-06	VYDAJ	PREVOD NA UCET	18	13461	\N	QR	6899768
151276	505	1997-10-06	VYDAJ	PREVOD NA UCET	18	12312	\N	QR	6899768
151277	505	1997-11-06	VYDAJ	PREVOD NA UCET	18	11157	\N	QR	6899768
151278	505	1997-12-06	VYDAJ	PREVOD NA UCET	18	12304	\N	QR	6899768
151279	505	1998-01-06	VYDAJ	PREVOD NA UCET	18	13065	\N	QR	6899768
151280	505	1998-02-06	VYDAJ	PREVOD NA UCET	18	12357	\N	QR	6899768
151281	505	1998-03-06	VYDAJ	PREVOD NA UCET	18	13509	\N	QR	6899768
151282	505	1998-04-06	VYDAJ	PREVOD NA UCET	18	13765	\N	QR	6899768
151283	505	1998-05-06	VYDAJ	PREVOD NA UCET	18	14923	\N	QR	6899768
151284	505	1998-06-06	VYDAJ	PREVOD NA UCET	18	15335	\N	QR	6899768
151285	505	1998-07-06	VYDAJ	PREVOD NA UCET	18	14344	\N	QR	6899768
151452	506	1997-12-11	PRIJEM	VKLAD	24960	72654	\N	\N	\N
151286	505	1998-08-06	VYDAJ	PREVOD NA UCET	18	14783	\N	QR	6899768
151287	505	1998-09-06	VYDAJ	PREVOD NA UCET	18	15945	\N	QR	6899768
151288	505	1998-10-06	VYDAJ	PREVOD NA UCET	18	15607	\N	QR	6899768
151289	505	1998-11-06	VYDAJ	PREVOD NA UCET	18	16773	\N	QR	6899768
151290	505	1998-12-06	VYDAJ	PREVOD NA UCET	18	17943	\N	QR	6899768
151307	505	1997-05-11	VYDAJ	PREVOD NA UCET	2203	14757	\N	OP	5099285
151308	505	1997-06-11	VYDAJ	PREVOD NA UCET	2203	15594	\N	OP	5099285
151309	505	1997-07-11	VYDAJ	PREVOD NA UCET	2203	13384	\N	OP	5099285
151310	505	1997-08-11	VYDAJ	PREVOD NA UCET	2203	14537	\N	OP	5099285
151311	505	1997-09-11	VYDAJ	PREVOD NA UCET	2203	14590	\N	OP	5099285
151312	505	1997-10-11	VYDAJ	PREVOD NA UCET	2203	13441	\N	OP	5099285
151313	505	1997-11-11	VYDAJ	PREVOD NA UCET	2203	12286	\N	OP	5099285
151314	505	1997-12-11	VYDAJ	PREVOD NA UCET	2203	13043	\N	OP	5099285
151315	505	1998-01-11	VYDAJ	PREVOD NA UCET	2203	13744	\N	OP	5099285
151316	505	1998-02-11	VYDAJ	PREVOD NA UCET	2203	13486	\N	OP	5099285
151317	505	1998-03-11	VYDAJ	PREVOD NA UCET	2203	14638	\N	OP	5099285
151318	505	1998-04-11	VYDAJ	PREVOD NA UCET	2203	14894	\N	OP	5099285
151319	505	1998-05-11	VYDAJ	PREVOD NA UCET	2203	16052	\N	OP	5099285
151320	505	1998-06-11	VYDAJ	PREVOD NA UCET	2203	15724	\N	OP	5099285
151321	505	1998-07-11	VYDAJ	PREVOD NA UCET	2203	15473	\N	OP	5099285
151322	505	1998-08-11	VYDAJ	PREVOD NA UCET	2203	15912	\N	OP	5099285
151323	505	1998-09-11	VYDAJ	PREVOD NA UCET	2203	15574	\N	OP	5099285
151324	505	1998-10-11	VYDAJ	PREVOD NA UCET	2203	16736	\N	OP	5099285
151325	505	1998-11-11	VYDAJ	PREVOD NA UCET	2203	17902	\N	OP	5099285
151326	505	1998-12-11	VYDAJ	PREVOD NA UCET	2203	17302	\N	OP	5099285
151329	505	1998-06-18	VYDAJ	VYBER	1410	14314	\N	\N	\N
151334	505	1997-12-09	VYDAJ	VYBER	390	15246	\N	\N	\N
151335	505	1998-12-11	VYDAJ	VYBER	570	19505	\N	\N	\N
151348	505	1998-01-11	VYDAJ	VYBER	180	13564	\N	\N	\N
151349	505	1998-01-26	VYDAJ	VYBER	750	12334	\N	\N	\N
151352	505	1998-01-08	VYDAJ	VYBER	450	12615	\N	\N	\N
151353	505	1998-01-11	VYDAJ	VYBER	480	13084	\N	\N	\N
151356	505	1997-07-04	VYDAJ	VYBER	1230	13713	\N	\N	\N
151358	505	1997-07-05	VYDAJ	VYBER	1440	12273	\N	\N	\N
151359	505	1998-05-24	VYDAJ	VYBER	750	15302	\N	\N	\N
151360	505	1998-03-30	VYDAJ	VYBER	690	13738	\N	\N	\N
151361	505	1998-03-24	VYDAJ	VYBER	210	14428	\N	\N	\N
151362	505	1998-07-24	VYDAJ	VYBER	720	14753	\N	\N	\N
151363	505	1998-06-08	VYDAJ	VYBER	240	15095	\N	\N	\N
151381	505	1997-05-31	VYDAJ	VYBER	15	14483	SLUZBY	\N	\N
151382	505	1997-06-30	VYDAJ	VYBER	15	14943	SLUZBY	\N	\N
151383	505	1997-07-31	VYDAJ	VYBER	15	13426	SLUZBY	\N	\N
151384	505	1997-08-31	VYDAJ	VYBER	15	13479	SLUZBY	\N	\N
151385	505	1997-09-30	VYDAJ	VYBER	15	12330	SLUZBY	\N	\N
151386	505	1997-10-31	VYDAJ	VYBER	15	11175	SLUZBY	\N	\N
151387	505	1997-11-30	VYDAJ	VYBER	15	12322	SLUZBY	\N	\N
151388	505	1997-12-31	VYDAJ	VYBER	15	13083	SLUZBY	\N	\N
151389	505	1998-01-31	VYDAJ	VYBER	15	12375	SLUZBY	\N	\N
151390	505	1998-02-28	VYDAJ	VYBER	15	13527	SLUZBY	\N	\N
151391	505	1998-03-31	VYDAJ	VYBER	15	13783	SLUZBY	\N	\N
151392	505	1998-04-30	VYDAJ	VYBER	15	14941	SLUZBY	\N	\N
151393	505	1998-05-31	VYDAJ	VYBER	15	15353	SLUZBY	\N	\N
151394	505	1998-06-30	VYDAJ	VYBER	15	14362	SLUZBY	\N	\N
151395	505	1998-07-31	VYDAJ	VYBER	15	14801	SLUZBY	\N	\N
151396	505	1998-08-31	VYDAJ	VYBER	15	15963	SLUZBY	\N	\N
151397	505	1998-09-30	VYDAJ	VYBER	15	15625	SLUZBY	\N	\N
151398	505	1998-10-31	VYDAJ	VYBER	15	16791	SLUZBY	\N	\N
151399	505	1998-11-30	VYDAJ	VYBER	15	17961	SLUZBY	\N	\N
151400	505	1997-05-15	VYDAJ	VYBER	300	14457	\N	\N	\N
151401	505	1997-06-14	VYDAJ	VYBER	700	14894	\N	\N	\N
151402	505	1997-08-13	VYDAJ	VYBER	1100	13437	\N	\N	\N
151403	505	1997-09-12	VYDAJ	VYBER	2300	12290	\N	\N	\N
151404	505	1997-10-12	VYDAJ	VYBER	2300	11141	\N	\N	\N
151405	505	1998-06-09	VYDAJ	VYBER	500	17927	\N	\N	\N
151406	505	1998-09-07	VYDAJ	VYBER	1500	14445	\N	\N	\N
151407	505	1998-12-06	VYDAJ	VYBER	1200	16743	\N	\N	\N
151428	506	1996-07-08	PRIJEM	VKLAD	400	400	\N	\N	\N
151435	506	1996-07-11	PRIJEM	VKLAD	16640	17040	\N	\N	\N
151436	506	1996-08-11	PRIJEM	VKLAD	16640	35328	\N	\N	\N
151437	506	1996-09-11	PRIJEM	VKLAD	16640	43991	\N	\N	\N
151438	506	1996-10-11	PRIJEM	VKLAD	16640	48102	\N	\N	\N
151439	506	1996-11-11	PRIJEM	VKLAD	16640	52337	\N	\N	\N
151440	506	1996-12-11	PRIJEM	VKLAD	24960	58166	\N	\N	\N
151441	506	1997-01-11	PRIJEM	VKLAD	16640	53181	\N	\N	\N
151442	506	1997-02-11	PRIJEM	VKLAD	16640	49772	\N	\N	\N
151443	506	1997-03-11	PRIJEM	VKLAD	16640	58553	\N	\N	\N
151444	506	1997-04-11	PRIJEM	VKLAD	16640	56263	\N	\N	\N
151445	506	1997-05-11	PRIJEM	VKLAD	16640	58987	\N	\N	\N
151446	506	1997-06-11	PRIJEM	VKLAD	24960	39730	\N	\N	\N
151447	506	1997-07-11	PRIJEM	VKLAD	16640	54004	\N	\N	\N
151448	506	1997-08-11	PRIJEM	VKLAD	16640	56300	\N	\N	\N
151449	506	1997-09-11	PRIJEM	VKLAD	16640	59809	\N	\N	\N
151450	506	1997-10-11	PRIJEM	VKLAD	16640	63344	\N	\N	\N
151451	506	1997-11-11	PRIJEM	VKLAD	16640	63895	\N	\N	\N
151453	506	1998-01-11	PRIJEM	VKLAD	16640	63117	\N	\N	\N
151454	506	1998-02-11	PRIJEM	VKLAD	16640	57222	\N	\N	\N
151455	506	1998-03-11	PRIJEM	VKLAD	16640	66331	\N	\N	\N
151456	506	1998-04-11	PRIJEM	VKLAD	16640	69584	\N	\N	\N
151457	506	1998-05-11	PRIJEM	VKLAD	16640	70844	\N	\N	\N
151458	506	1998-06-11	PRIJEM	VKLAD	24960	78626	\N	\N	\N
151459	506	1998-07-11	PRIJEM	VKLAD	16640	63769	\N	\N	\N
151460	506	1998-08-11	PRIJEM	VKLAD	16640	60899	\N	\N	\N
151461	506	1998-09-11	PRIJEM	VKLAD	16640	55712	\N	\N	\N
151462	506	1998-10-11	PRIJEM	VKLAD	16640	56007	\N	\N	\N
151463	506	1998-11-11	PRIJEM	VKLAD	16640	58704	\N	\N	\N
151464	506	1998-12-11	PRIJEM	VKLAD	24960	58525	\N	\N	\N
151475	506	1996-11-12	VYDAJ	PREVOD NA UCET	3011	49326	SIPO	GH	21071094
151476	506	1996-12-12	VYDAJ	PREVOD NA UCET	3011	55155	SIPO	GH	21071094
151477	506	1997-01-12	VYDAJ	PREVOD NA UCET	3011	50170	SIPO	GH	21071094
151478	506	1997-02-12	VYDAJ	PREVOD NA UCET	3011	46761	SIPO	GH	21071094
151479	506	1997-03-12	VYDAJ	PREVOD NA UCET	3011	55542	SIPO	GH	21071094
151480	506	1997-04-12	VYDAJ	PREVOD NA UCET	3011	52528	SIPO	GH	21071094
151481	506	1997-05-12	VYDAJ	PREVOD NA UCET	3011	55976	SIPO	GH	21071094
151482	506	1997-06-12	VYDAJ	PREVOD NA UCET	3011	36719	SIPO	GH	21071094
151483	506	1997-07-12	VYDAJ	PREVOD NA UCET	3011	50993	SIPO	GH	21071094
151484	506	1997-08-12	VYDAJ	PREVOD NA UCET	3011	52565	SIPO	GH	21071094
151485	506	1997-09-12	VYDAJ	PREVOD NA UCET	3011	56074	SIPO	GH	21071094
151486	506	1997-10-12	VYDAJ	PREVOD NA UCET	3011	59609	SIPO	GH	21071094
151487	506	1997-11-12	VYDAJ	PREVOD NA UCET	3011	60884	SIPO	GH	21071094
151488	506	1997-12-12	VYDAJ	PREVOD NA UCET	3011	69643	SIPO	GH	21071094
151489	506	1998-01-12	VYDAJ	PREVOD NA UCET	3011	60106	SIPO	GH	21071094
151490	506	1998-02-12	VYDAJ	PREVOD NA UCET	3011	54211	SIPO	GH	21071094
151491	506	1998-03-12	VYDAJ	PREVOD NA UCET	3011	63320	SIPO	GH	21071094
151492	506	1998-04-12	VYDAJ	PREVOD NA UCET	3011	66573	SIPO	GH	21071094
151493	506	1998-05-12	VYDAJ	PREVOD NA UCET	3011	67833	SIPO	GH	21071094
151494	506	1998-06-12	VYDAJ	PREVOD NA UCET	3011	74891	SIPO	GH	21071094
151495	506	1998-07-12	VYDAJ	PREVOD NA UCET	3011	60034	SIPO	GH	21071094
151496	506	1998-08-12	VYDAJ	PREVOD NA UCET	3011	57164	SIPO	GH	21071094
151497	506	1998-09-12	VYDAJ	PREVOD NA UCET	3011	51977	SIPO	GH	21071094
151498	506	1998-10-12	VYDAJ	PREVOD NA UCET	3011	52272	SIPO	GH	21071094
151499	506	1998-11-12	VYDAJ	PREVOD NA UCET	3011	55693	SIPO	GH	21071094
151500	506	1998-12-12	VYDAJ	PREVOD NA UCET	3011	54790	SIPO	GH	21071094
151512	506	1996-12-08	VYDAJ	PREVOD NA UCET	107	33484	 	QR	70163124
151513	506	1997-01-08	VYDAJ	PREVOD NA UCET	107	39619	 	QR	70163124
151514	506	1997-02-08	VYDAJ	PREVOD NA UCET	107	33410	 	QR	70163124
151515	506	1997-03-08	VYDAJ	PREVOD NA UCET	107	42191	 	QR	70163124
151516	506	1997-04-08	VYDAJ	PREVOD NA UCET	107	39901	 	QR	70163124
151517	506	1997-05-08	VYDAJ	PREVOD NA UCET	107	42625	 	QR	70163124
151518	506	1997-06-08	VYDAJ	PREVOD NA UCET	107	44948	 	QR	70163124
151519	506	1997-07-08	VYDAJ	PREVOD NA UCET	107	37642	 	QR	70163124
151520	506	1997-08-08	VYDAJ	PREVOD NA UCET	107	39938	 	QR	70163124
151521	506	1997-09-08	VYDAJ	PREVOD NA UCET	107	43447	 	QR	70163124
151522	506	1997-10-08	VYDAJ	PREVOD NA UCET	107	46982	 	QR	70163124
151523	506	1997-11-08	VYDAJ	PREVOD NA UCET	107	47533	 	QR	70163124
151524	506	1997-12-08	VYDAJ	PREVOD NA UCET	107	47972	 	QR	70163124
151525	506	1998-01-08	VYDAJ	PREVOD NA UCET	107	46755	 	QR	70163124
151526	506	1998-02-08	VYDAJ	PREVOD NA UCET	107	40860	 	QR	70163124
151527	506	1998-03-08	VYDAJ	PREVOD NA UCET	107	49969	 	QR	70163124
151528	506	1998-04-08	VYDAJ	PREVOD NA UCET	107	53222	 	QR	70163124
151529	506	1998-05-08	VYDAJ	PREVOD NA UCET	107	54482	 	QR	70163124
151530	506	1998-06-08	VYDAJ	PREVOD NA UCET	107	53944	 	QR	70163124
151531	506	1998-07-08	VYDAJ	PREVOD NA UCET	107	47407	 	QR	70163124
151532	506	1998-08-08	VYDAJ	PREVOD NA UCET	107	44537	 	QR	70163124
151533	506	1998-09-08	VYDAJ	PREVOD NA UCET	107	39350	 	QR	70163124
151534	506	1998-10-08	VYDAJ	PREVOD NA UCET	107	39645	 	QR	70163124
151535	506	1998-11-08	VYDAJ	PREVOD NA UCET	107	42342	 	QR	70163124
151536	506	1998-12-08	VYDAJ	PREVOD NA UCET	107	33843	 	QR	70163124
151548	506	1996-12-09	VYDAJ	PREVOD NA UCET	278	33206	POJISTNE	IJ	18590253
151549	506	1997-01-09	VYDAJ	PREVOD NA UCET	278	36541	POJISTNE	IJ	18590253
151550	506	1997-02-09	VYDAJ	PREVOD NA UCET	278	33132	POJISTNE	IJ	18590253
151551	506	1997-03-09	VYDAJ	PREVOD NA UCET	278	41913	POJISTNE	IJ	18590253
151552	506	1997-04-09	VYDAJ	PREVOD NA UCET	278	39623	POJISTNE	IJ	18590253
151553	506	1997-05-09	VYDAJ	PREVOD NA UCET	278	42347	POJISTNE	IJ	18590253
151554	506	1997-06-09	VYDAJ	PREVOD NA UCET	278	44670	POJISTNE	IJ	18590253
151555	506	1997-07-09	VYDAJ	PREVOD NA UCET	278	37364	POJISTNE	IJ	18590253
151556	506	1997-08-09	VYDAJ	PREVOD NA UCET	278	39660	POJISTNE	IJ	18590253
151557	506	1997-09-09	VYDAJ	PREVOD NA UCET	278	43169	POJISTNE	IJ	18590253
151558	506	1997-10-09	VYDAJ	PREVOD NA UCET	278	46704	POJISTNE	IJ	18590253
151559	506	1997-11-09	VYDAJ	PREVOD NA UCET	278	47255	POJISTNE	IJ	18590253
151560	506	1997-12-09	VYDAJ	PREVOD NA UCET	278	47694	POJISTNE	IJ	18590253
151561	506	1998-01-09	VYDAJ	PREVOD NA UCET	278	46477	POJISTNE	IJ	18590253
151562	506	1998-02-09	VYDAJ	PREVOD NA UCET	278	40582	POJISTNE	IJ	18590253
151563	506	1998-03-09	VYDAJ	PREVOD NA UCET	278	49691	POJISTNE	IJ	18590253
151564	506	1998-04-09	VYDAJ	PREVOD NA UCET	278	52944	POJISTNE	IJ	18590253
151565	506	1998-05-09	VYDAJ	PREVOD NA UCET	278	54204	POJISTNE	IJ	18590253
151566	506	1998-06-09	VYDAJ	PREVOD NA UCET	278	53666	POJISTNE	IJ	18590253
151567	506	1998-07-09	VYDAJ	PREVOD NA UCET	278	47129	POJISTNE	IJ	18590253
151568	506	1998-08-09	VYDAJ	PREVOD NA UCET	278	44259	POJISTNE	IJ	18590253
151569	506	1998-09-09	VYDAJ	PREVOD NA UCET	278	39072	POJISTNE	IJ	18590253
151570	506	1998-10-09	VYDAJ	PREVOD NA UCET	278	39367	POJISTNE	IJ	18590253
151571	506	1998-11-09	VYDAJ	PREVOD NA UCET	278	42064	POJISTNE	IJ	18590253
151572	506	1998-12-09	VYDAJ	PREVOD NA UCET	278	33565	POJISTNE	IJ	18590253
151583	506	1996-11-12	VYDAJ	PREVOD NA UCET	724	48602	 	IJ	82022094
151584	506	1996-12-12	VYDAJ	PREVOD NA UCET	724	54431	 	IJ	82022094
151585	506	1997-01-12	VYDAJ	PREVOD NA UCET	724	49446	 	IJ	82022094
151586	506	1997-02-12	VYDAJ	PREVOD NA UCET	724	46037	 	IJ	82022094
151587	506	1997-03-12	VYDAJ	PREVOD NA UCET	724	54818	 	IJ	82022094
151588	506	1997-04-12	VYDAJ	PREVOD NA UCET	724	55539	 	IJ	82022094
151589	506	1997-05-12	VYDAJ	PREVOD NA UCET	724	55252	 	IJ	82022094
151590	506	1997-06-12	VYDAJ	PREVOD NA UCET	724	35995	 	IJ	82022094
151591	506	1997-07-12	VYDAJ	PREVOD NA UCET	724	50269	 	IJ	82022094
151592	506	1997-08-12	VYDAJ	PREVOD NA UCET	724	55576	 	IJ	82022094
151593	506	1997-09-12	VYDAJ	PREVOD NA UCET	724	59085	 	IJ	82022094
151594	506	1997-10-12	VYDAJ	PREVOD NA UCET	724	62620	 	IJ	82022094
151595	506	1997-11-12	VYDAJ	PREVOD NA UCET	724	60160	 	IJ	82022094
151596	506	1997-12-12	VYDAJ	PREVOD NA UCET	724	68919	 	IJ	82022094
151597	506	1998-01-12	VYDAJ	PREVOD NA UCET	724	59382	 	IJ	82022094
151598	506	1998-02-12	VYDAJ	PREVOD NA UCET	724	53487	 	IJ	82022094
151599	506	1998-03-12	VYDAJ	PREVOD NA UCET	724	62596	 	IJ	82022094
151600	506	1998-04-12	VYDAJ	PREVOD NA UCET	724	65849	 	IJ	82022094
151601	506	1998-05-12	VYDAJ	PREVOD NA UCET	724	67109	 	IJ	82022094
151602	506	1998-06-12	VYDAJ	PREVOD NA UCET	724	77902	 	IJ	82022094
151603	506	1998-07-12	VYDAJ	PREVOD NA UCET	724	63045	 	IJ	82022094
151604	506	1998-08-12	VYDAJ	PREVOD NA UCET	724	60175	 	IJ	82022094
151605	506	1998-09-12	VYDAJ	PREVOD NA UCET	724	54988	 	IJ	82022094
151606	506	1998-10-12	VYDAJ	PREVOD NA UCET	724	55283	 	IJ	82022094
151607	506	1998-11-12	VYDAJ	PREVOD NA UCET	724	54969	 	IJ	82022094
151608	506	1998-12-12	VYDAJ	PREVOD NA UCET	724	57801	 	IJ	82022094
151610	506	1997-06-10	VYDAJ	VYBER	29900	14770	\N	\N	\N
151611	506	1998-06-13	VYDAJ	VYBER	16300	58591	\N	\N	\N
151613	506	1997-01-22	VYDAJ	VYBER	6700	38046	\N	\N	\N
151614	506	1998-01-15	VYDAJ	VYBER	7400	48882	\N	\N	\N
151615	506	1996-12-08	VYDAJ	VYBER	900	33591	\N	\N	\N
151616	506	1997-12-05	VYDAJ	VYBER KARTOU	1600	48079	\N	\N	0
151617	506	1998-12-01	VYDAJ	VYBER KARTOU	800	35550	\N	\N	0
151624	506	1997-01-30	VYDAJ	VYBER	700	36046	\N	\N	\N
151625	506	1997-01-24	VYDAJ	VYBER	1300	36746	\N	\N	\N
151626	506	1997-01-21	VYDAJ	VYBER	2500	44746	\N	\N	\N
151627	506	1997-01-06	VYDAJ	VYBER	1200	39726	\N	\N	\N
151628	506	1997-01-09	VYDAJ	VYBER	2800	36819	\N	\N	\N
151629	506	1997-01-18	VYDAJ	VYBER	2200	47246	\N	\N	\N
151630	506	1998-01-22	VYDAJ	VYBER KARTOU	1200	43182	\N	\N	0
151631	506	1998-01-18	VYDAJ	VYBER KARTOU	2700	44382	\N	\N	0
151632	506	1998-01-07	VYDAJ	VYBER KARTOU	2000	47762	\N	\N	0
151633	506	1998-01-28	VYDAJ	VYBER KARTOU	1300	41882	\N	\N	0
151634	506	1998-01-08	VYDAJ	VYBER KARTOU	900	46862	\N	\N	0
151635	506	1998-01-16	VYDAJ	VYBER KARTOU	1800	47082	\N	\N	0
151636	506	1996-12-04	VYDAJ	VYBER	3600	45191	\N	\N	\N
151641	506	1997-04-30	VYDAJ	VYBER	2400	50332	\N	\N	\N
151642	506	1997-05-05	VYDAJ	VYBER	1000	42732	\N	\N	\N
151643	506	1997-10-30	VYDAJ	VYBER KARTOU	1700	57909	\N	\N	0
151644	506	1997-08-23	VYDAJ	VYBER KARTOU	3400	49165	\N	\N	0
151645	506	1997-03-13	VYDAJ	VYBER	2400	52418	\N	\N	\N
151646	506	1997-03-14	VYDAJ	VYBER	2300	50118	\N	\N	\N
151647	506	1997-07-12	VYDAJ	VYBER	4900	45369	\N	\N	\N
151648	506	1998-01-04	VYDAJ	VYBER KARTOU	3600	49762	\N	\N	0
151649	506	1998-12-05	VYDAJ	VYBER KARTOU	1600	33950	\N	\N	0
151650	506	1998-08-21	VYDAJ	VYBER KARTOU	1200	55964	\N	\N	0
151651	506	1998-01-13	VYDAJ	VYBER KARTOU	3100	56282	\N	\N	0
151652	506	1998-01-28	VYDAJ	VYBER KARTOU	800	41082	\N	\N	0
151664	506	1996-11-30	VYDAJ	VYBER	15	48791	SLUZBY	\N	\N
151665	506	1996-12-31	VYDAJ	VYBER	15	54626	SLUZBY	\N	\N
151666	506	1997-01-31	VYDAJ	VYBER	15	36217	SLUZBY	\N	\N
151667	506	1997-02-28	VYDAJ	VYBER	15	46198	SLUZBY	\N	\N
151668	506	1997-03-31	VYDAJ	VYBER	15	50308	SLUZBY	\N	\N
151669	506	1997-04-30	VYDAJ	VYBER	15	52732	SLUZBY	\N	\N
151670	506	1997-05-31	VYDAJ	VYBER	15	55455	SLUZBY	\N	\N
151671	506	1997-06-30	VYDAJ	VYBER	15	36149	SLUZBY	\N	\N
151672	506	1997-07-31	VYDAJ	VYBER	15	45545	SLUZBY	\N	\N
151673	506	1997-08-31	VYDAJ	VYBER	15	49354	SLUZBY	\N	\N
151674	506	1997-09-30	VYDAJ	VYBER	15	56289	SLUZBY	\N	\N
151675	506	1997-10-31	VYDAJ	VYBER	15	47640	SLUZBY	\N	\N
151676	506	1997-11-30	VYDAJ	VYBER	15	49679	SLUZBY	\N	\N
151677	506	1997-12-31	VYDAJ	VYBER	15	53362	SLUZBY	\N	\N
151678	506	1998-01-31	VYDAJ	VYBER	15	40967	SLUZBY	\N	\N
151679	506	1998-02-28	VYDAJ	VYBER	15	53676	SLUZBY	\N	\N
151680	506	1998-03-31	VYDAJ	VYBER	15	53329	SLUZBY	\N	\N
151681	506	1998-04-30	VYDAJ	VYBER	15	54589	SLUZBY	\N	\N
151682	506	1998-05-31	VYDAJ	VYBER	15	54051	SLUZBY	\N	\N
151683	506	1998-06-30	VYDAJ	VYBER	15	47514	SLUZBY	\N	\N
151684	506	1998-07-31	VYDAJ	VYBER	15	44644	SLUZBY	\N	\N
151685	506	1998-08-31	VYDAJ	VYBER	15	39457	SLUZBY	\N	\N
151686	506	1998-09-30	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
151687	506	1998-10-31	VYDAJ	VYBER	15	42449	SLUZBY	\N	\N
151688	506	1998-11-30	VYDAJ	VYBER	15	36350	SLUZBY	\N	\N
151689	506	1996-08-07	PRIJEM	VKLAD	1600	18688	\N	\N	\N
151690	506	1996-09-06	VYDAJ	VYBER	8100	27351	\N	\N	\N
151691	506	1996-10-06	VYDAJ	VYBER	12700	31462	\N	\N	\N
151692	506	1996-11-05	VYDAJ	VYBER	12600	35697	\N	\N	\N
151693	506	1996-12-05	VYDAJ	VYBER	10700	34491	\N	\N	\N
151694	506	1997-01-04	VYDAJ	VYBER	13700	40926	\N	\N	\N
151695	506	1997-02-03	VYDAJ	VYBER	2700	33517	\N	\N	\N
151696	506	1997-03-05	VYDAJ	VYBER	3900	42298	\N	\N	\N
151697	506	1997-04-04	VYDAJ	VYBER	10300	40008	\N	\N	\N
151698	506	1997-05-04	VYDAJ	VYBER	6600	43732	\N	\N	\N
151699	506	1997-06-03	VYDAJ	VYBER	10400	45055	\N	\N	\N
151700	506	1997-07-03	PRIJEM	VKLAD	1600	37749	\N	\N	\N
151701	506	1997-08-02	VYDAJ	VYBER	5500	40045	\N	\N	\N
151702	506	1997-09-01	VYDAJ	VYBER	5800	43554	\N	\N	\N
151703	506	1997-10-01	VYDAJ	VYBER	9200	47089	\N	\N	\N
151704	506	1997-10-31	VYDAJ	VYBER	10500	47655	\N	\N	\N
151705	506	1997-11-30	VYDAJ	VYBER	10700	49694	\N	\N	\N
151706	506	1997-12-30	VYDAJ	VYBER	15800	53119	\N	\N	\N
151707	506	1998-01-29	VYDAJ	VYBER KARTOU	300	40782	\N	\N	0
151708	506	1998-02-28	VYDAJ	VYBER KARTOU	3600	50076	\N	\N	0
151709	506	1998-03-30	VYDAJ	VYBER	9500	53096	\N	\N	\N
151710	506	1998-04-29	VYDAJ	VYBER	11500	54349	\N	\N	\N
151711	506	1998-05-29	VYDAJ	VYBER	13300	53809	\N	\N	\N
151712	506	1998-06-28	VYDAJ	VYBER	11300	47291	\N	\N	\N
151713	506	1998-07-28	VYDAJ	VYBER	15600	44434	\N	\N	\N
151714	506	1998-08-27	VYDAJ	VYBER	16700	39264	\N	\N	\N
151715	506	1998-09-26	VYDAJ	VYBER	12400	39577	\N	\N	\N
151716	506	1998-10-26	VYDAJ	VYBER	10000	42272	\N	\N	\N
151717	506	1998-11-25	VYDAJ	VYBER	18800	36169	\N	\N	\N
151748	507	1996-06-17	PRIJEM	VKLAD	600	600	\N	\N	\N
151755	507	1996-07-13	PRIJEM	VKLAD	5319	5919	\N	\N	\N
151756	507	1996-08-13	PRIJEM	VKLAD	5319	21070	\N	\N	\N
151757	507	1996-09-13	PRIJEM	VKLAD	5319	22958	\N	\N	\N
151758	507	1996-10-13	PRIJEM	VKLAD	5319	25155	\N	\N	\N
151759	507	1996-11-13	PRIJEM	VKLAD	5319	29767	\N	\N	\N
151760	507	1996-12-13	PRIJEM	VKLAD	7979	34828	\N	\N	\N
151761	507	1997-01-13	PRIJEM	VKLAD	5319	30600	\N	\N	\N
151762	507	1997-02-13	PRIJEM	VKLAD	5319	20728	\N	\N	\N
151763	507	1997-03-13	PRIJEM	VKLAD	5319	25131	\N	\N	\N
151764	507	1997-04-13	PRIJEM	VKLAD	5319	28047	\N	\N	\N
151765	507	1997-05-13	PRIJEM	VKLAD	5319	28659	\N	\N	\N
151766	507	1997-06-13	PRIJEM	VKLAD	7979	27125	\N	\N	\N
151767	507	1997-07-13	PRIJEM	VKLAD	5319	25420	\N	\N	\N
151768	507	1997-08-13	PRIJEM	VKLAD	5319	29632	\N	\N	\N
151769	507	1997-09-13	PRIJEM	VKLAD	5319	27053	\N	\N	\N
151770	507	1997-10-13	PRIJEM	VKLAD	5319	25174	\N	\N	\N
151771	507	1997-11-13	PRIJEM	VKLAD	5319	22187	\N	\N	\N
151772	507	1997-12-13	PRIJEM	VKLAD	7979	16228	\N	\N	\N
151773	507	1998-01-13	PRIJEM	VKLAD	5319	9422	\N	\N	\N
151774	507	1998-02-13	PRIJEM	VKLAD	5319	12537	\N	\N	\N
151775	507	1998-03-13	PRIJEM	VKLAD	5319	16071	\N	\N	\N
151776	507	1998-04-13	PRIJEM	VKLAD	5319	17937	\N	\N	\N
151777	507	1998-05-13	PRIJEM	VKLAD	5319	16113	\N	\N	\N
151778	507	1998-06-13	PRIJEM	VKLAD	7979	9546	\N	\N	\N
151779	507	1998-07-13	PRIJEM	VKLAD	5319	10593	\N	\N	\N
151780	507	1998-08-13	PRIJEM	VKLAD	5319	6939	\N	\N	\N
151781	507	1998-09-13	PRIJEM	VKLAD	5319	2878	\N	\N	\N
151782	507	1998-10-13	PRIJEM	VKLAD	5319	-4643	\N	\N	\N
151783	507	1998-11-13	PRIJEM	VKLAD	5319	-10453	\N	\N	\N
151784	507	1998-12-13	PRIJEM	VKLAD	7979	-9057	\N	\N	\N
151787	507	1998-06-09	VYDAJ	VYBER	11200	1568	\N	\N	\N
151789	507	1997-01-18	VYDAJ	VYBER	11040	14700	\N	\N	\N
151790	507	1998-01-10	VYDAJ	VYBER	4800	4103	\N	\N	\N
151791	507	1996-12-03	VYDAJ	VYBER	4320	26850	\N	\N	\N
151792	507	1997-12-02	VYDAJ	VYBER	2720	19550	\N	\N	\N
151800	507	1997-01-24	VYDAJ	VYBER	2520	8100	\N	\N	\N
151801	507	1997-01-09	VYDAJ	VYBER	2520	25281	\N	\N	\N
151802	507	1997-01-23	VYDAJ	VYBER	720	10620	\N	\N	\N
151803	507	1997-01-08	VYDAJ	VYBER	2400	27801	\N	\N	\N
151804	507	1997-01-22	VYDAJ	VYBER	3360	11340	\N	\N	\N
151805	507	1997-01-28	VYDAJ	VYBER	2760	5340	\N	\N	\N
151806	507	1998-01-06	VYDAJ	VYBER	840	9803	\N	\N	\N
151807	507	1998-01-13	VYDAJ	VYBER	600	8822	\N	\N	\N
151808	507	1998-01-21	VYDAJ	VYBER	2880	3182	\N	\N	\N
151809	507	1998-01-05	VYDAJ	VYBER	600	10643	\N	\N	\N
151810	507	1998-01-20	VYDAJ	VYBER	2760	6062	\N	\N	\N
151811	507	1998-01-30	VYDAJ	VYBER	2880	302	\N	\N	\N
151814	507	1996-12-13	VYDAJ	VYBER	840	33988	\N	\N	\N
151817	507	1997-03-15	VYDAJ	VYBER	1080	22651	\N	\N	\N
151818	507	1997-07-10	VYDAJ	VYBER	3720	23501	\N	\N	\N
151819	507	1997-03-08	VYDAJ	VYBER	960	19812	\N	\N	\N
151820	507	1997-01-18	VYDAJ	VYBER	2160	25740	\N	\N	\N
151821	507	1998-01-05	VYDAJ	VYBER	5040	11243	\N	\N	\N
151824	507	1998-09-21	VYDAJ	VYBER	2640	238	\N	\N	\N
151836	507	1996-11-30	VYDAJ	VYBER	15	31170	SLUZBY	\N	\N
151837	507	1996-12-31	VYDAJ	VYBER	15	30201	SLUZBY	\N	\N
151838	507	1997-01-31	VYDAJ	VYBER	15	5409	SLUZBY	\N	\N
151839	507	1997-02-28	VYDAJ	VYBER	15	20772	SLUZBY	\N	\N
151840	507	1997-03-31	VYDAJ	VYBER	15	22728	SLUZBY	\N	\N
151841	507	1997-04-30	VYDAJ	VYBER	15	23340	SLUZBY	\N	\N
151842	507	1997-05-31	VYDAJ	VYBER	15	25447	SLUZBY	\N	\N
151843	507	1997-06-30	VYDAJ	VYBER	15	27221	SLUZBY	\N	\N
151844	507	1997-07-31	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
151845	507	1997-08-31	VYDAJ	VYBER	15	29734	SLUZBY	\N	\N
151846	507	1997-09-30	VYDAJ	VYBER	15	27155	SLUZBY	\N	\N
151847	507	1997-10-31	VYDAJ	VYBER	15	25268	SLUZBY	\N	\N
151848	507	1997-11-30	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
151849	507	1997-12-31	VYDAJ	VYBER	15	16283	SLUZBY	\N	\N
151850	507	1998-01-31	VYDAJ	VYBER	15	318	SLUZBY	\N	\N
151851	507	1998-02-28	VYDAJ	VYBER	15	12552	SLUZBY	\N	\N
151852	507	1998-03-31	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
151853	507	1998-04-30	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
151854	507	1998-05-31	VYDAJ	VYBER	15	16168	SLUZBY	\N	\N
151855	507	1998-06-30	VYDAJ	VYBER	15	9574	SLUZBY	\N	\N
151856	507	1998-07-31	VYDAJ	VYBER	15	10620	SLUZBY	\N	\N
151857	507	1998-08-31	VYDAJ	VYBER	15	6959	SLUZBY	\N	\N
151858	507	1998-09-30	VYDAJ	VYBER	15	238	SLUZBY	\N	\N
151861	507	1996-07-17	PRIJEM	VKLAD	9800	15719	\N	\N	\N
151862	507	1996-08-16	VYDAJ	VYBER	3500	17570	\N	\N	\N
151863	507	1996-09-15	VYDAJ	VYBER	3200	19758	\N	\N	\N
151864	507	1996-10-15	VYDAJ	VYBER	800	24355	\N	\N	\N
151865	507	1996-11-14	PRIJEM	VKLAD	1300	31067	\N	\N	\N
151866	507	1996-12-14	VYDAJ	VYBER	3900	30088	\N	\N	\N
151867	507	1997-01-13	VYDAJ	VYBER	2700	27900	\N	\N	\N
151868	507	1997-02-12	PRIJEM	VKLAD	10000	15409	\N	\N	\N
151869	507	1997-03-14	VYDAJ	VYBER	1400	23731	\N	\N	\N
151870	507	1997-04-13	VYDAJ	VYBER	4800	23247	\N	\N	\N
151871	507	1997-05-13	VYDAJ	VYBER	3300	25359	\N	\N	\N
151872	507	1997-06-12	VYDAJ	VYBER	6300	19147	\N	\N	\N
151873	507	1997-07-12	VYDAJ	VYBER	3400	20101	\N	\N	\N
151874	507	1997-08-11	VYDAJ	VYBER	1200	24313	\N	\N	\N
151875	507	1997-09-10	VYDAJ	VYBER	8000	21734	\N	\N	\N
151876	507	1997-10-10	VYDAJ	VYBER	7300	19855	\N	\N	\N
151877	507	1997-11-09	VYDAJ	VYBER	8400	16868	\N	\N	\N
151878	507	1997-12-09	VYDAJ	VYBER	11300	8250	\N	\N	\N
151879	507	1998-01-08	VYDAJ	VYBER	900	8903	\N	\N	\N
151880	507	1998-02-07	PRIJEM	VKLAD	6900	7218	\N	\N	\N
151881	507	1998-03-09	VYDAJ	VYBER	1800	10752	\N	\N	\N
151882	507	1998-04-08	VYDAJ	VYBER	3500	12618	\N	\N	\N
151883	507	1998-05-08	VYDAJ	VYBER	7200	10794	\N	\N	\N
151884	507	1998-06-07	VYDAJ	VYBER	3400	12768	\N	\N	\N
151885	507	1998-07-07	VYDAJ	VYBER	4300	5274	\N	\N	\N
151886	507	1998-08-06	VYDAJ	VYBER	9000	1620	\N	\N	\N
151887	507	1998-09-05	VYDAJ	VYBER	9400	-2441	\N	\N	\N
151888	507	1998-10-05	VYDAJ	VYBER	10200	-9962	\N	\N	\N
151889	507	1998-11-04	VYDAJ	VYBER	11100	-15772	\N	\N	\N
151890	507	1998-12-04	VYDAJ	VYBER	6500	-17036	\N	\N	\N
151925	508	1996-11-19	PRIJEM	VKLAD	600	600	\N	\N	\N
151937	508	1996-12-13	PRIJEM	PREVOD Z UCTU	3975	4575	\N	MN	80068927
151938	508	1997-01-13	PRIJEM	PREVOD Z UCTU	3975	17474	\N	MN	80068927
151939	508	1997-02-13	PRIJEM	PREVOD Z UCTU	3975	23316	\N	MN	80068927
151940	508	1997-03-13	PRIJEM	PREVOD Z UCTU	3975	27779	\N	MN	80068927
151941	508	1997-04-13	PRIJEM	PREVOD Z UCTU	3975	32962	\N	MN	80068927
151942	508	1997-05-13	PRIJEM	PREVOD Z UCTU	3975	34670	\N	MN	80068927
151943	508	1997-06-13	PRIJEM	PREVOD Z UCTU	3975	36894	\N	MN	80068927
151944	508	1997-07-13	PRIJEM	PREVOD Z UCTU	3975	32760	\N	MN	80068927
151945	508	1997-08-13	PRIJEM	PREVOD Z UCTU	3975	35877	\N	MN	80068927
151946	508	1997-09-13	PRIJEM	PREVOD Z UCTU	3975	35702	\N	MN	80068927
151947	508	1997-10-13	PRIJEM	PREVOD Z UCTU	3975	36138	\N	MN	80068927
151948	508	1997-11-13	PRIJEM	PREVOD Z UCTU	3975	38801	\N	MN	80068927
151949	508	1997-12-13	PRIJEM	PREVOD Z UCTU	3975	35143	\N	MN	80068927
151950	508	1998-01-13	PRIJEM	PREVOD Z UCTU	3975	36128	\N	MN	80068927
151951	508	1998-02-13	PRIJEM	PREVOD Z UCTU	3975	36533	\N	MN	80068927
151952	508	1998-03-13	PRIJEM	PREVOD Z UCTU	3975	38154	\N	MN	80068927
151953	508	1998-04-13	PRIJEM	PREVOD Z UCTU	3975	37626	\N	MN	80068927
151954	508	1998-05-13	PRIJEM	PREVOD Z UCTU	3975	36076	\N	MN	80068927
151955	508	1998-06-13	PRIJEM	PREVOD Z UCTU	3975	31968	\N	MN	80068927
151956	508	1998-07-13	PRIJEM	PREVOD Z UCTU	3975	33679	\N	MN	80068927
151957	508	1998-08-13	PRIJEM	PREVOD Z UCTU	3975	31006	\N	MN	80068927
151958	508	1998-09-13	PRIJEM	PREVOD Z UCTU	3975	30107	\N	MN	80068927
151959	508	1998-10-13	PRIJEM	PREVOD Z UCTU	3975	28071	\N	MN	80068927
151960	508	1998-11-13	PRIJEM	PREVOD Z UCTU	3975	26228	\N	MN	80068927
151961	508	1998-12-13	PRIJEM	PREVOD Z UCTU	3975	22674	\N	MN	80068927
151978	508	1997-05-08	VYDAJ	PREVOD NA UCET	2480	30695	SIPO	YZ	41786360
151979	508	1997-06-08	VYDAJ	PREVOD NA UCET	2480	32919	SIPO	YZ	41786360
151980	508	1997-07-08	VYDAJ	PREVOD NA UCET	2480	28785	SIPO	YZ	41786360
151981	508	1997-08-08	VYDAJ	PREVOD NA UCET	2480	31902	SIPO	YZ	41786360
151982	508	1997-09-08	VYDAJ	PREVOD NA UCET	2480	31727	SIPO	YZ	41786360
151983	508	1997-10-08	VYDAJ	PREVOD NA UCET	2480	33453	SIPO	YZ	41786360
151984	508	1997-11-08	VYDAJ	PREVOD NA UCET	2480	34826	SIPO	YZ	41786360
151985	508	1997-12-08	VYDAJ	PREVOD NA UCET	2480	32518	SIPO	YZ	41786360
151986	508	1998-01-08	VYDAJ	PREVOD NA UCET	2480	32153	SIPO	YZ	41786360
151987	508	1998-02-08	VYDAJ	PREVOD NA UCET	2480	27258	SIPO	YZ	41786360
151988	508	1998-03-08	VYDAJ	PREVOD NA UCET	2480	34179	SIPO	YZ	41786360
151989	508	1998-04-08	VYDAJ	PREVOD NA UCET	2480	33651	SIPO	YZ	41786360
151990	508	1998-05-08	VYDAJ	PREVOD NA UCET	2480	32101	SIPO	YZ	41786360
151991	508	1998-06-08	VYDAJ	PREVOD NA UCET	2480	27713	SIPO	YZ	41786360
151992	508	1998-07-08	VYDAJ	PREVOD NA UCET	2480	29604	SIPO	YZ	41786360
151993	508	1998-08-08	VYDAJ	PREVOD NA UCET	2480	30931	SIPO	YZ	41786360
151994	508	1998-09-08	VYDAJ	PREVOD NA UCET	2480	28642	SIPO	YZ	41786360
151995	508	1998-10-08	VYDAJ	PREVOD NA UCET	2480	27196	SIPO	YZ	41786360
151996	508	1998-11-08	VYDAJ	PREVOD NA UCET	2480	24553	SIPO	YZ	41786360
151997	508	1998-12-08	VYDAJ	PREVOD NA UCET	2480	21799	SIPO	YZ	41786360
151999	508	1997-06-13	VYDAJ	VYBER	7650	29244	\N	\N	\N
152000	508	1998-06-12	VYDAJ	VYBER	1320	27993	\N	\N	\N
152002	508	1997-12-03	VYDAJ	VYBER	540	34998	\N	\N	\N
152003	508	1998-12-24	VYDAJ	VYBER	150	22524	\N	\N	\N
152016	508	1998-01-06	VYDAJ	VYBER	390	34633	\N	\N	\N
152017	508	1998-01-26	VYDAJ	VYBER	180	29618	\N	\N	\N
152018	508	1998-01-17	VYDAJ	VYBER	180	30668	\N	\N	\N
152019	508	1998-01-03	VYDAJ	VYBER	150	35023	\N	\N	\N
152020	508	1998-01-26	VYDAJ	VYBER	870	29798	\N	\N	\N
152021	508	1998-01-17	VYDAJ	VYBER	780	30848	\N	\N	\N
152028	508	1997-09-05	VYDAJ	VYBER	150	34207	\N	\N	\N
152029	508	1997-10-28	VYDAJ	VYBER	1170	37168	\N	\N	\N
152030	508	1997-08-16	VYDAJ	VYBER	1050	34827	\N	\N	\N
152032	508	1997-12-12	VYDAJ	VYBER	1350	31168	\N	\N	\N
152034	508	1997-10-10	VYDAJ	VYBER	1290	32163	\N	\N	\N
152035	508	1998-03-28	VYDAJ	VYBER	360	35994	\N	\N	\N
152036	508	1998-09-19	VYDAJ	VYBER	540	29567	\N	\N	\N
152037	508	1998-07-22	VYDAJ	VYBER	390	33289	\N	\N	\N
152038	508	1998-09-12	VYDAJ	VYBER	210	26132	\N	\N	\N
152039	508	1998-11-23	VYDAJ	VYBER	1080	25148	\N	\N	\N
152040	508	1998-11-28	VYDAJ	VYBER	960	24188	\N	\N	\N
152041	508	1998-10-28	VYDAJ	VYBER	1140	26931	\N	\N	\N
152042	508	1998-04-20	VYDAJ	VYBER	480	34446	\N	\N	\N
152059	508	1997-04-30	VYDAJ	VYBER	15	33175	SLUZBY	\N	\N
152060	508	1997-05-31	VYDAJ	VYBER	15	35399	SLUZBY	\N	\N
152061	508	1997-06-30	VYDAJ	VYBER	15	31265	SLUZBY	\N	\N
152062	508	1997-07-31	VYDAJ	VYBER	15	34382	SLUZBY	\N	\N
152063	508	1997-08-31	VYDAJ	VYBER	15	34357	SLUZBY	\N	\N
152064	508	1997-09-30	VYDAJ	VYBER	15	35933	SLUZBY	\N	\N
152065	508	1997-10-31	VYDAJ	VYBER	15	37306	SLUZBY	\N	\N
152066	508	1997-11-30	VYDAJ	VYBER	15	35538	SLUZBY	\N	\N
152067	508	1997-12-31	VYDAJ	VYBER	15	35173	SLUZBY	\N	\N
152068	508	1998-01-31	VYDAJ	VYBER	15	29738	SLUZBY	\N	\N
152069	508	1998-02-28	VYDAJ	VYBER	15	36659	SLUZBY	\N	\N
152070	508	1998-03-31	VYDAJ	VYBER	15	36131	SLUZBY	\N	\N
152071	508	1998-04-30	VYDAJ	VYBER	15	34581	SLUZBY	\N	\N
152072	508	1998-05-31	VYDAJ	VYBER	15	30193	SLUZBY	\N	\N
152073	508	1998-06-30	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
152074	508	1998-07-31	VYDAJ	VYBER	15	33411	SLUZBY	\N	\N
152075	508	1998-08-31	VYDAJ	VYBER	15	31122	SLUZBY	\N	\N
152076	508	1998-09-30	VYDAJ	VYBER	15	29676	SLUZBY	\N	\N
152077	508	1998-10-31	VYDAJ	VYBER	15	27033	SLUZBY	\N	\N
152078	508	1998-11-30	VYDAJ	VYBER	15	24279	SLUZBY	\N	\N
152079	508	1996-12-19	PRIJEM	VKLAD	8900	13475	\N	\N	\N
152080	508	1997-01-18	PRIJEM	VKLAD	1800	19274	\N	\N	\N
152081	508	1997-02-17	PRIJEM	VKLAD	400	23716	\N	\N	\N
152082	508	1997-03-19	PRIJEM	VKLAD	1100	28879	\N	\N	\N
152083	508	1997-04-18	PRIJEM	VKLAD	100	33062	\N	\N	\N
152084	508	1997-05-18	PRIJEM	VKLAD	600	35270	\N	\N	\N
152085	508	1997-06-17	PRIJEM	VKLAD	1900	31144	\N	\N	\N
152086	508	1997-07-17	PRIJEM	VKLAD	1500	34260	\N	\N	\N
152087	508	1997-08-16	VYDAJ	VYBER	600	34227	\N	\N	\N
152088	508	1997-09-15	PRIJEM	VKLAD	100	35802	\N	\N	\N
152089	508	1997-10-15	PRIJEM	VKLAD	2200	38338	\N	\N	\N
152090	508	1997-11-14	VYDAJ	VYBER	3400	35401	\N	\N	\N
152091	508	1997-12-14	VYDAJ	VYBER	100	35043	\N	\N	\N
152092	508	1998-01-13	VYDAJ	VYBER	4500	31628	\N	\N	\N
152093	508	1998-02-12	PRIJEM	VKLAD	5300	32558	\N	\N	\N
152094	508	1998-03-14	VYDAJ	VYBER	1800	36354	\N	\N	\N
152095	508	1998-04-13	VYDAJ	VYBER	2700	34926	\N	\N	\N
152096	508	1998-05-13	VYDAJ	VYBER	6000	30076	\N	\N	\N
152097	508	1998-06-12	PRIJEM	VKLAD	1600	29313	\N	\N	\N
152098	508	1998-07-12	PRIJEM	VKLAD	100	29704	\N	\N	\N
152099	508	1998-08-11	VYDAJ	VYBER	3900	27031	\N	\N	\N
152100	508	1998-09-10	VYDAJ	VYBER	2300	26342	\N	\N	\N
152101	508	1998-10-10	VYDAJ	VYBER	3100	24096	\N	\N	\N
152102	508	1998-11-09	VYDAJ	VYBER	2300	22253	\N	\N	\N
152103	508	1998-12-09	VYDAJ	VYBER	3100	18699	\N	\N	\N
152129	509	1997-08-14	PRIJEM	VKLAD	500	500	\N	\N	\N
152138	509	1997-09-14	PRIJEM	VKLAD	15191	26391	\N	\N	\N
152139	509	1997-10-14	PRIJEM	VKLAD	15191	37744	\N	\N	\N
152140	509	1997-11-14	PRIJEM	VKLAD	15191	47173	\N	\N	\N
152141	509	1997-12-14	PRIJEM	VKLAD	22786	57938	\N	\N	\N
152142	509	1998-01-14	PRIJEM	VKLAD	15191	54452	\N	\N	\N
152143	509	1998-02-14	PRIJEM	VKLAD	15191	41533	\N	\N	\N
152144	509	1998-03-14	PRIJEM	VKLAD	15191	43385	\N	\N	\N
152145	509	1998-04-14	PRIJEM	VKLAD	15191	44138	\N	\N	\N
152146	509	1998-05-14	PRIJEM	VKLAD	15191	44496	\N	\N	\N
152147	509	1998-06-14	PRIJEM	VKLAD	22786	31692	\N	\N	\N
152148	509	1998-07-14	PRIJEM	VKLAD	15191	33690	\N	\N	\N
152149	509	1998-08-14	PRIJEM	VKLAD	15191	33296	\N	\N	\N
152150	509	1998-09-14	PRIJEM	VKLAD	15191	41003	\N	\N	\N
152151	509	1998-10-14	PRIJEM	VKLAD	15191	38589	\N	\N	\N
152152	509	1998-11-14	PRIJEM	VKLAD	15191	37711	\N	\N	\N
152153	509	1998-12-14	PRIJEM	VKLAD	22786	50932	\N	\N	\N
152167	509	1998-02-12	VYDAJ	VYBER	5800	26342	\N	\N	0
152168	509	1998-03-13	VYDAJ	VYBER	5900	28194	\N	\N	0
152169	509	1998-04-14	VYDAJ	VYBER	5300	38838	\N	\N	0
152170	509	1998-05-22	VYDAJ	VYBER	8400	36096	\N	\N	0
152171	509	1998-06-09	VYDAJ	VYBER	7500	28746	\N	\N	0
152172	509	1998-07-01	VYDAJ	VYBER	6400	25399	\N	\N	0
152173	509	1998-08-10	VYDAJ	VYBER	6600	18105	\N	\N	0
152174	509	1998-09-26	VYDAJ	VYBER	4800	32963	\N	\N	0
152175	509	1998-10-10	VYDAJ	VYBER	6400	23398	\N	\N	0
152176	509	1998-11-10	VYDAJ	VYBER	7200	22520	\N	\N	0
152177	509	1998-12-23	VYDAJ	VYBER	7500	43432	\N	\N	0
152179	509	1998-06-09	VYDAJ	VYBER	16640	12106	\N	\N	\N
152181	509	1998-12-01	VYDAJ	VYBER	2400	35446	\N	\N	\N
152189	509	1998-01-21	VYDAJ	VYBER	2760	51692	\N	\N	\N
152192	509	1998-01-29	VYDAJ	VYBER	3120	45932	\N	\N	\N
152193	509	1998-01-23	VYDAJ	VYBER	2640	49052	\N	\N	\N
152199	509	1998-09-20	VYDAJ	VYBER	2520	38483	\N	\N	\N
152200	509	1998-09-25	VYDAJ	VYBER	720	37763	\N	\N	\N
152214	509	1998-01-31	VYDAJ	VYBER	15	46142	SLUZBY	\N	\N
152215	509	1998-02-28	VYDAJ	VYBER	15	41694	SLUZBY	\N	\N
152216	509	1998-03-31	VYDAJ	VYBER	15	43547	SLUZBY	\N	\N
152217	509	1998-04-30	VYDAJ	VYBER	15	39005	SLUZBY	\N	\N
152218	509	1998-05-31	VYDAJ	VYBER	15	36246	SLUZBY	\N	\N
152219	509	1998-06-30	VYDAJ	VYBER	15	31799	SLUZBY	\N	\N
152220	509	1998-07-31	VYDAJ	VYBER	15	33805	SLUZBY	\N	\N
152221	509	1998-08-31	VYDAJ	VYBER	15	33412	SLUZBY	\N	\N
152222	509	1998-09-30	VYDAJ	VYBER	15	33098	SLUZBY	\N	\N
152223	509	1998-10-31	VYDAJ	VYBER	15	38720	SLUZBY	\N	\N
152224	509	1998-11-30	VYDAJ	VYBER	15	37846	SLUZBY	\N	\N
152225	509	1997-09-13	PRIJEM	VKLAD	10700	11200	\N	\N	\N
152226	509	1997-10-13	VYDAJ	VYBER	3900	22553	\N	\N	\N
152227	509	1997-11-12	VYDAJ	VYBER	5900	31982	\N	\N	\N
152228	509	1997-12-12	VYDAJ	VYBER	12200	35152	\N	\N	\N
152229	509	1998-01-11	VYDAJ	VYBER	18900	39261	\N	\N	\N
152230	509	1998-02-10	VYDAJ	VYBER	14000	32142	\N	\N	\N
152231	509	1998-03-12	VYDAJ	VYBER	7600	34094	\N	\N	\N
152232	509	1998-04-11	VYDAJ	VYBER	14600	28947	\N	\N	\N
152233	509	1998-05-11	VYDAJ	VYBER	9700	29305	\N	\N	\N
152234	509	1998-06-10	VYDAJ	VYBER	3200	8906	\N	\N	\N
152235	509	1998-07-10	VYDAJ	VYBER	6900	18499	\N	\N	\N
152236	509	1998-08-09	VYDAJ	VYBER	9100	24705	\N	\N	\N
152237	509	1998-09-08	VYDAJ	VYBER	7600	25812	\N	\N	\N
152238	509	1998-10-08	VYDAJ	VYBER	3300	29798	\N	\N	\N
152239	509	1998-11-07	VYDAJ	VYBER	9000	29720	\N	\N	\N
152240	509	1998-12-07	VYDAJ	VYBER	7300	28146	\N	\N	\N
152257	510	1993-06-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
152258	510	1993-07-11	PRIJEM	VKLAD	28555	85011	\N	\N	\N
152263	510	1993-11-09	PRIJEM	VKLAD	36098	98144	\N	\N	\N
152264	510	1993-07-08	PRIJEM	VKLAD	28093	56456	\N	\N	\N
152265	510	1993-08-07	PRIJEM	VKLAD	17630	95512	\N	\N	\N
152267	510	1993-10-10	PRIJEM	VKLAD	20852	62866	\N	\N	\N
152268	510	1993-06-27	PRIJEM	VKLAD	30146	31246	\N	\N	\N
152269	510	1993-10-12	PRIJEM	VKLAD	29474	92340	\N	\N	\N
152270	510	1993-10-04	PRIJEM	VKLAD	7045	45499	\N	\N	\N
152273	510	1993-12-02	PRIJEM	VKLAD	27158	86058	\N	\N	\N
152277	510	1993-08-03	PRIJEM	VKLAD	24678	77882	\N	\N	\N
152278	510	1993-11-05	PRIJEM	VKLAD	11775	65531	\N	\N	\N
152282	510	1993-12-23	PRIJEM	VKLAD	19769	95323	\N	\N	\N
152283	510	1993-10-16	PRIJEM	VKLAD	24477	115498	\N	\N	\N
152287	510	1994-05-26	PRIJEM	VKLAD	35269	82255	\N	\N	\N
152288	510	1994-03-21	PRIJEM	VKLAD	43897	82061	\N	\N	\N
152289	510	1994-02-01	PRIJEM	VKLAD	42991	66619	\N	\N	\N
152290	510	1994-10-10	PRIJEM	VKLAD	25261	46265	\N	\N	\N
152291	510	1994-06-18	PRIJEM	VKLAD	27072	75907	\N	\N	\N
152292	510	1994-07-28	PRIJEM	VKLAD	33275	67790	\N	\N	\N
152293	510	1994-05-17	PRIJEM	VKLAD	20739	111686	\N	\N	\N
152294	510	1994-05-14	PRIJEM	VKLAD	35095	92266	\N	\N	\N
152295	510	1994-09-20	PRIJEM	VKLAD	26498	48714	\N	\N	\N
152296	510	1994-05-03	PRIJEM	VKLAD	36412	79918	\N	\N	\N
152297	510	1994-04-08	PRIJEM	VKLAD	33718	71024	\N	\N	\N
152298	510	1995-12-10	PRIJEM	VKLAD	29870	68852	\N	\N	\N
152299	510	1995-11-08	PRIJEM	VKLAD	38534	85859	\N	\N	\N
152300	510	1995-09-29	PRIJEM	VKLAD	35001	52080	\N	\N	\N
152301	510	1995-05-29	PRIJEM	VKLAD	12140	29485	\N	\N	\N
152302	510	1995-10-10	PRIJEM	VKLAD	44272	82715	\N	\N	\N
152303	510	1995-01-31	PRIJEM	VKLAD	21944	40037	\N	\N	\N
152304	510	1996-12-14	PRIJEM	VKLAD	29050	30036	\N	\N	\N
152305	510	1996-07-03	PRIJEM	VKLAD	6147	17797	\N	\N	\N
152306	510	1996-03-20	PRIJEM	VKLAD	47174	63114	\N	\N	\N
152307	510	1997-03-14	PRIJEM	VKLAD	9298	20851	\N	\N	\N
152308	510	1997-10-15	PRIJEM	VKLAD	31207	32841	\N	\N	\N
152309	510	1998-02-20	PRIJEM	VKLAD	48833	107089	\N	\N	\N
152310	510	1998-06-16	PRIJEM	VKLAD	37215	70170	\N	\N	\N
152311	510	1998-06-24	PRIJEM	VKLAD	39009	109179	\N	\N	\N
152312	510	1998-08-13	PRIJEM	VKLAD	44884	84827	\N	\N	\N
152313	510	1998-10-10	PRIJEM	VKLAD	27814	42753	\N	\N	\N
152314	510	1998-11-28	PRIJEM	VKLAD	32129	89099	\N	\N	\N
152315	510	1998-02-07	PRIJEM	VKLAD	30016	52272	\N	\N	\N
152316	510	1998-02-28	PRIJEM	VKLAD	24988	86754	\N	\N	\N
152317	510	1998-01-10	PRIJEM	VKLAD	38104	49118	\N	\N	\N
152318	510	1998-07-24	PRIJEM	VKLAD	28979	109176	\N	\N	\N
152319	510	1998-06-04	PRIJEM	VKLAD	39862	98013	\N	\N	\N
152320	510	1998-02-18	PRIJEM	VKLAD	7303	58256	\N	\N	\N
152321	510	1998-07-24	PRIJEM	VKLAD	47205	80197	\N	\N	\N
152322	510	1998-05-30	PRIJEM	VKLAD	5289	41897	\N	\N	\N
152323	510	1998-06-05	PRIJEM	VKLAD	46246	144259	\N	\N	\N
152324	510	1998-06-01	PRIJEM	VKLAD	16109	58151	\N	\N	\N
152325	510	1998-04-24	PRIJEM	VKLAD	48635	73682	\N	\N	\N
152326	510	1998-11-05	PRIJEM	VKLAD	37721	61774	\N	\N	\N
152327	510	1998-08-14	PRIJEM	VKLAD	19131	103958	\N	\N	\N
152328	510	1998-07-14	PRIJEM	VKLAD	6077	34311	\N	\N	\N
152329	510	1998-12-20	PRIJEM	VKLAD	39429	71332	\N	\N	\N
152330	510	1998-02-24	PRIJEM	VKLAD	9577	116666	\N	\N	\N
152339	510	1993-09-06	VYDAJ	PREVOD NA UCET	2442	55252	SIPO	YZ	34629786
152340	510	1993-10-06	VYDAJ	PREVOD NA UCET	2442	42014	SIPO	YZ	34629786
152341	510	1993-11-06	VYDAJ	PREVOD NA UCET	2442	62046	SIPO	YZ	34629786
152342	510	1993-12-06	VYDAJ	PREVOD NA UCET	2442	82573	SIPO	YZ	34629786
152343	510	1994-01-06	VYDAJ	PREVOD NA UCET	2442	58136	SIPO	YZ	34629786
152344	510	1994-02-06	VYDAJ	PREVOD NA UCET	2442	59984	SIPO	YZ	34629786
152345	510	1994-03-06	VYDAJ	PREVOD NA UCET	2442	39483	SIPO	YZ	34629786
152346	510	1994-04-06	VYDAJ	PREVOD NA UCET	2442	37306	SIPO	YZ	34629786
152347	510	1994-05-06	VYDAJ	PREVOD NA UCET	2442	76433	SIPO	YZ	34629786
152348	510	1994-06-06	VYDAJ	PREVOD NA UCET	2442	50154	SIPO	YZ	34629786
152349	510	1994-07-06	VYDAJ	PREVOD NA UCET	2442	47434	SIPO	YZ	34629786
152350	510	1994-08-06	VYDAJ	PREVOD NA UCET	2442	40503	SIPO	YZ	34629786
152351	510	1994-09-06	VYDAJ	PREVOD NA UCET	2442	29835	SIPO	YZ	34629786
152352	510	1994-10-06	VYDAJ	PREVOD NA UCET	2442	21004	SIPO	YZ	34629786
152353	510	1994-11-06	VYDAJ	PREVOD NA UCET	2442	28480	SIPO	YZ	34629786
152354	510	1994-12-06	VYDAJ	PREVOD NA UCET	2442	20360	SIPO	YZ	34629786
152355	510	1995-01-06	VYDAJ	PREVOD NA UCET	2442	18412	SIPO	YZ	34629786
152356	510	1995-02-06	VYDAJ	PREVOD NA UCET	2442	28093	SIPO	YZ	34629786
152357	510	1995-03-06	VYDAJ	PREVOD NA UCET	2442	19876	SIPO	YZ	34629786
152358	510	1995-04-06	VYDAJ	PREVOD NA UCET	2442	17025	SIPO	YZ	34629786
152359	510	1995-05-06	VYDAJ	PREVOD NA UCET	2442	15164	SIPO	YZ	34629786
152360	510	1995-06-06	VYDAJ	PREVOD NA UCET	2442	26040	SIPO	YZ	34629786
152361	510	1995-07-06	VYDAJ	PREVOD NA UCET	2442	18012	SIPO	YZ	34629786
152362	510	1995-08-06	VYDAJ	PREVOD NA UCET	2442	17157	SIPO	YZ	34629786
152363	510	1995-09-06	VYDAJ	PREVOD NA UCET	2442	15998	SIPO	YZ	34629786
152364	510	1995-10-06	VYDAJ	PREVOD NA UCET	2442	38443	SIPO	YZ	34629786
152365	510	1995-11-06	VYDAJ	PREVOD NA UCET	2442	47325	SIPO	YZ	34629786
152366	510	1995-12-06	VYDAJ	PREVOD NA UCET	2442	38982	SIPO	YZ	34629786
152367	510	1996-01-06	VYDAJ	PREVOD NA UCET	2442	38722	SIPO	YZ	34629786
152368	510	1996-02-06	VYDAJ	PREVOD NA UCET	2442	19410	SIPO	YZ	34629786
152369	510	1996-03-06	VYDAJ	PREVOD NA UCET	2442	16659	SIPO	YZ	34629786
152370	510	1996-04-06	VYDAJ	PREVOD NA UCET	2442	59743	SIPO	YZ	34629786
152371	510	1996-05-06	VYDAJ	PREVOD NA UCET	2442	23299	SIPO	YZ	34629786
152372	510	1996-06-06	VYDAJ	PREVOD NA UCET	2442	12948	SIPO	YZ	34629786
152373	510	1996-07-06	VYDAJ	PREVOD NA UCET	2442	14312	SIPO	YZ	34629786
152374	510	1996-08-06	VYDAJ	PREVOD NA UCET	2442	9531	SIPO	YZ	34629786
152375	510	1996-09-06	VYDAJ	PREVOD NA UCET	2442	4733	SIPO	YZ	34629786
152379	510	1997-01-06	VYDAJ	PREVOD NA UCET	2442	21070	SIPO	YZ	34629786
152380	510	1997-02-06	VYDAJ	PREVOD NA UCET	2442	16322	SIPO	YZ	34629786
152381	510	1997-03-06	VYDAJ	PREVOD NA UCET	2442	11553	SIPO	YZ	34629786
152382	510	1997-04-06	VYDAJ	PREVOD NA UCET	2442	16086	SIPO	YZ	34629786
152383	510	1997-05-06	VYDAJ	PREVOD NA UCET	2442	11315	SIPO	YZ	34629786
152384	510	1997-06-06	VYDAJ	PREVOD NA UCET	2442	6523	SIPO	YZ	34629786
152385	510	1997-07-06	VYDAJ	PREVOD NA UCET	2442	1712	SIPO	YZ	34629786
152389	510	1997-11-06	VYDAJ	PREVOD NA UCET	2442	29333	SIPO	YZ	34629786
152390	510	1997-12-06	VYDAJ	PREVOD NA UCET	2442	15788	SIPO	YZ	34629786
152391	510	1998-01-06	VYDAJ	PREVOD NA UCET	2442	11014	SIPO	YZ	34629786
152392	510	1998-02-06	VYDAJ	PREVOD NA UCET	2442	22256	SIPO	YZ	34629786
152393	510	1998-03-06	VYDAJ	PREVOD NA UCET	2442	83473	SIPO	YZ	34629786
152394	510	1998-04-06	VYDAJ	PREVOD NA UCET	2442	43166	SIPO	YZ	34629786
152395	510	1998-05-06	VYDAJ	PREVOD NA UCET	2442	65227	SIPO	YZ	34629786
152396	510	1998-06-06	VYDAJ	PREVOD NA UCET	2442	60374	SIPO	YZ	34629786
152397	510	1998-07-06	VYDAJ	PREVOD NA UCET	2442	28234	SIPO	YZ	34629786
152398	510	1998-08-06	VYDAJ	PREVOD NA UCET	2442	39943	SIPO	YZ	34629786
152399	510	1998-09-06	VYDAJ	PREVOD NA UCET	2442	48567	SIPO	YZ	34629786
152400	510	1998-10-06	VYDAJ	PREVOD NA UCET	2442	14939	SIPO	YZ	34629786
152401	510	1998-11-06	VYDAJ	PREVOD NA UCET	2442	58289	SIPO	YZ	34629786
152402	510	1998-12-06	VYDAJ	PREVOD NA UCET	2442	41922	SIPO	YZ	34629786
152410	510	1993-08-14	VYDAJ	PREVOD NA UCET	1319	94193	 	UV	64973693
152411	510	1993-09-14	VYDAJ	PREVOD NA UCET	1319	53933	 	UV	64973693
152412	510	1993-10-14	VYDAJ	PREVOD NA UCET	1319	91021	 	UV	64973693
152413	510	1993-11-14	VYDAJ	PREVOD NA UCET	1319	96825	 	UV	64973693
152414	510	1993-12-14	VYDAJ	PREVOD NA UCET	1319	81254	 	UV	64973693
152415	510	1994-01-14	VYDAJ	PREVOD NA UCET	1319	27417	 	UV	64973693
152416	510	1994-02-14	VYDAJ	PREVOD NA UCET	1319	58665	 	UV	64973693
152417	510	1994-03-14	VYDAJ	PREVOD NA UCET	1319	38164	 	UV	64973693
152418	510	1994-04-14	VYDAJ	PREVOD NA UCET	1319	60405	 	UV	64973693
152419	510	1994-05-14	VYDAJ	PREVOD NA UCET	1319	90947	 	UV	64973693
152420	510	1994-06-14	VYDAJ	PREVOD NA UCET	1319	48835	 	UV	64973693
152421	510	1994-07-14	VYDAJ	PREVOD NA UCET	1319	46115	 	UV	64973693
152422	510	1994-08-14	VYDAJ	PREVOD NA UCET	1319	39184	 	UV	64973693
152423	510	1994-09-14	VYDAJ	PREVOD NA UCET	1319	28516	 	UV	64973693
152424	510	1994-10-14	VYDAJ	PREVOD NA UCET	1319	44946	 	UV	64973693
152425	510	1994-11-14	VYDAJ	PREVOD NA UCET	1319	27161	 	UV	64973693
152426	510	1994-12-14	VYDAJ	PREVOD NA UCET	1319	19041	 	UV	64973693
152427	510	1995-01-14	VYDAJ	PREVOD NA UCET	1319	17093	 	UV	64973693
152428	510	1995-02-14	VYDAJ	PREVOD NA UCET	1319	26774	 	UV	64973693
152429	510	1995-03-14	VYDAJ	PREVOD NA UCET	1319	18557	 	UV	64973693
152430	510	1995-04-14	VYDAJ	PREVOD NA UCET	1319	15706	 	UV	64973693
152431	510	1995-05-14	VYDAJ	PREVOD NA UCET	1319	13845	 	UV	64973693
152432	510	1995-06-14	VYDAJ	PREVOD NA UCET	1319	24721	 	UV	64973693
152433	510	1995-07-14	VYDAJ	PREVOD NA UCET	1319	16693	 	UV	64973693
152434	510	1995-08-14	VYDAJ	PREVOD NA UCET	1319	15838	 	UV	64973693
152435	510	1995-09-14	VYDAJ	PREVOD NA UCET	1319	14679	 	UV	64973693
152436	510	1995-10-14	VYDAJ	PREVOD NA UCET	1319	81396	 	UV	64973693
152437	510	1995-11-14	VYDAJ	PREVOD NA UCET	1319	84540	 	UV	64973693
152438	510	1995-12-14	VYDAJ	PREVOD NA UCET	1319	67533	 	UV	64973693
152439	510	1996-01-14	VYDAJ	PREVOD NA UCET	1319	31403	 	UV	64973693
152440	510	1996-02-14	VYDAJ	PREVOD NA UCET	1319	18091	 	UV	64973693
152441	510	1996-03-14	VYDAJ	PREVOD NA UCET	1319	15340	 	UV	64973693
152442	510	1996-04-14	VYDAJ	PREVOD NA UCET	1319	58424	 	UV	64973693
152443	510	1996-05-14	VYDAJ	PREVOD NA UCET	1319	21980	 	UV	64973693
152444	510	1996-06-14	VYDAJ	PREVOD NA UCET	1319	11629	 	UV	64973693
152445	510	1996-07-14	VYDAJ	PREVOD NA UCET	1319	12993	 	UV	64973693
152446	510	1996-08-14	VYDAJ	PREVOD NA UCET	1319	8212	 	UV	64973693
152447	510	1996-09-14	VYDAJ	PREVOD NA UCET	1319	3414	 	UV	64973693
152448	510	1996-10-14	VYDAJ	PREVOD NA UCET	1319	1039	 	UV	64973693
152450	510	1996-12-14	VYDAJ	PREVOD NA UCET	1319	28717	 	UV	64973693
152451	510	1997-01-14	VYDAJ	PREVOD NA UCET	1319	19751	 	UV	64973693
152452	510	1997-02-14	VYDAJ	PREVOD NA UCET	1319	15003	 	UV	64973693
152453	510	1997-03-14	VYDAJ	PREVOD NA UCET	1319	19532	 	UV	64973693
152454	510	1997-04-14	VYDAJ	PREVOD NA UCET	1319	14767	 	UV	64973693
152455	510	1997-05-14	VYDAJ	PREVOD NA UCET	1319	9996	 	UV	64973693
152456	510	1997-06-14	VYDAJ	PREVOD NA UCET	1319	5204	 	UV	64973693
152461	510	1997-11-14	VYDAJ	PREVOD NA UCET	1319	19214	 	UV	64973693
152462	510	1997-12-14	VYDAJ	PREVOD NA UCET	1319	14469	 	UV	64973693
152463	510	1998-01-14	VYDAJ	PREVOD NA UCET	1319	33771	 	UV	64973693
152464	510	1998-02-14	VYDAJ	PREVOD NA UCET	1319	50953	 	UV	64973693
152465	510	1998-03-14	VYDAJ	PREVOD NA UCET	1319	46454	 	UV	64973693
152466	510	1998-04-14	VYDAJ	PREVOD NA UCET	1319	25047	 	UV	64973693
152467	510	1998-05-14	VYDAJ	PREVOD NA UCET	1319	36608	 	UV	64973693
152468	510	1998-06-14	VYDAJ	PREVOD NA UCET	1319	32955	 	UV	64973693
152469	510	1998-07-14	VYDAJ	PREVOD NA UCET	1319	32992	 	UV	64973693
152470	510	1998-08-14	VYDAJ	PREVOD NA UCET	1319	102639	 	UV	64973693
152471	510	1998-09-14	VYDAJ	PREVOD NA UCET	1319	40048	 	UV	64973693
152472	510	1998-10-14	VYDAJ	PREVOD NA UCET	1319	41434	 	UV	64973693
152473	510	1998-11-14	VYDAJ	PREVOD NA UCET	1319	56970	 	UV	64973693
152474	510	1998-12-14	VYDAJ	PREVOD NA UCET	1319	31903	 	UV	64973693
152483	510	1993-09-05	VYDAJ	PREVOD NA UCET	1043	57694	POJISTNE	GH	56986600
152484	510	1993-10-05	VYDAJ	PREVOD NA UCET	1043	44456	POJISTNE	GH	56986600
152485	510	1993-11-05	VYDAJ	PREVOD NA UCET	1043	64488	POJISTNE	GH	56986600
152486	510	1993-12-05	VYDAJ	PREVOD NA UCET	1043	85015	POJISTNE	GH	56986600
152487	510	1994-01-05	VYDAJ	PREVOD NA UCET	1043	60578	POJISTNE	GH	56986600
152488	510	1994-02-05	VYDAJ	PREVOD NA UCET	1043	62426	POJISTNE	GH	56986600
152489	510	1994-03-05	VYDAJ	PREVOD NA UCET	1043	41925	POJISTNE	GH	56986600
152490	510	1994-04-05	VYDAJ	PREVOD NA UCET	1043	39748	POJISTNE	GH	56986600
152491	510	1994-05-05	VYDAJ	PREVOD NA UCET	1043	78875	POJISTNE	GH	56986600
152492	510	1994-06-05	VYDAJ	PREVOD NA UCET	1043	52596	POJISTNE	GH	56986600
152493	510	1994-07-05	VYDAJ	PREVOD NA UCET	1043	49876	POJISTNE	GH	56986600
152494	510	1994-08-05	VYDAJ	PREVOD NA UCET	1043	46845	POJISTNE	GH	56986600
152495	510	1994-09-05	VYDAJ	PREVOD NA UCET	1043	32277	POJISTNE	GH	56986600
152496	510	1994-10-05	VYDAJ	PREVOD NA UCET	1043	23446	POJISTNE	GH	56986600
152497	510	1994-11-05	VYDAJ	PREVOD NA UCET	1043	30922	POJISTNE	GH	56986600
152498	510	1994-12-05	VYDAJ	PREVOD NA UCET	1043	22802	POJISTNE	GH	56986600
152499	510	1995-01-05	VYDAJ	PREVOD NA UCET	1043	20854	POJISTNE	GH	56986600
152500	510	1995-02-05	VYDAJ	PREVOD NA UCET	1043	30535	POJISTNE	GH	56986600
152501	510	1995-03-05	VYDAJ	PREVOD NA UCET	1043	22318	POJISTNE	GH	56986600
152502	510	1995-04-05	VYDAJ	PREVOD NA UCET	1043	19467	POJISTNE	GH	56986600
152503	510	1995-05-05	VYDAJ	PREVOD NA UCET	1043	17606	POJISTNE	GH	56986600
152504	510	1995-06-05	VYDAJ	PREVOD NA UCET	1043	28482	POJISTNE	GH	56986600
152505	510	1995-07-05	VYDAJ	PREVOD NA UCET	1043	20454	POJISTNE	GH	56986600
152506	510	1995-08-05	VYDAJ	PREVOD NA UCET	1043	19599	POJISTNE	GH	56986600
152507	510	1995-09-05	VYDAJ	PREVOD NA UCET	1043	18440	POJISTNE	GH	56986600
152508	510	1995-10-05	VYDAJ	PREVOD NA UCET	1043	40885	POJISTNE	GH	56986600
152509	510	1995-11-05	VYDAJ	PREVOD NA UCET	1043	49767	POJISTNE	GH	56986600
152510	510	1995-12-05	VYDAJ	PREVOD NA UCET	1043	41424	POJISTNE	GH	56986600
152511	510	1996-01-05	VYDAJ	PREVOD NA UCET	1043	41164	POJISTNE	GH	56986600
152512	510	1996-02-05	VYDAJ	PREVOD NA UCET	1043	21852	POJISTNE	GH	56986600
152513	510	1996-03-05	VYDAJ	PREVOD NA UCET	1043	19101	POJISTNE	GH	56986600
152514	510	1996-04-05	VYDAJ	PREVOD NA UCET	1043	62185	POJISTNE	GH	56986600
152515	510	1996-05-05	VYDAJ	PREVOD NA UCET	1043	25741	POJISTNE	GH	56986600
152516	510	1996-06-05	VYDAJ	PREVOD NA UCET	1043	15390	POJISTNE	GH	56986600
152517	510	1996-07-05	VYDAJ	PREVOD NA UCET	1043	16754	POJISTNE	GH	56986600
152518	510	1996-08-05	VYDAJ	PREVOD NA UCET	1043	11973	POJISTNE	GH	56986600
152519	510	1996-09-05	VYDAJ	PREVOD NA UCET	1043	7175	POJISTNE	GH	56986600
152520	510	1996-10-05	VYDAJ	PREVOD NA UCET	1043	2358	POJISTNE	GH	56986600
152523	510	1997-01-05	VYDAJ	PREVOD NA UCET	1043	23512	POJISTNE	GH	56986600
152524	510	1997-02-05	VYDAJ	PREVOD NA UCET	1043	18764	POJISTNE	GH	56986600
152525	510	1997-03-05	VYDAJ	PREVOD NA UCET	1043	13995	POJISTNE	GH	56986600
152526	510	1997-04-05	VYDAJ	PREVOD NA UCET	1043	18528	POJISTNE	GH	56986600
152527	510	1997-05-05	VYDAJ	PREVOD NA UCET	1043	13757	POJISTNE	GH	56986600
152528	510	1997-06-05	VYDAJ	PREVOD NA UCET	1043	8965	POJISTNE	GH	56986600
152529	510	1997-07-05	VYDAJ	PREVOD NA UCET	1043	4154	POJISTNE	GH	56986600
152533	510	1997-11-05	VYDAJ	PREVOD NA UCET	1043	31775	POJISTNE	GH	56986600
152534	510	1997-12-05	VYDAJ	PREVOD NA UCET	1043	18230	POJISTNE	GH	56986600
152535	510	1998-01-05	VYDAJ	PREVOD NA UCET	1043	13456	POJISTNE	GH	56986600
152536	510	1998-02-05	VYDAJ	PREVOD NA UCET	1043	24698	POJISTNE	GH	56986600
152537	510	1998-03-05	VYDAJ	PREVOD NA UCET	1043	85915	POJISTNE	GH	56986600
152538	510	1998-04-05	VYDAJ	PREVOD NA UCET	1043	45608	POJISTNE	GH	56986600
152539	510	1998-05-05	VYDAJ	PREVOD NA UCET	1043	67669	POJISTNE	GH	56986600
152540	510	1998-06-05	VYDAJ	PREVOD NA UCET	1043	143216	POJISTNE	GH	56986600
152541	510	1998-07-05	VYDAJ	PREVOD NA UCET	1043	52176	POJISTNE	GH	56986600
152542	510	1998-08-05	VYDAJ	PREVOD NA UCET	1043	42385	POJISTNE	GH	56986600
152543	510	1998-09-05	VYDAJ	PREVOD NA UCET	1043	51009	POJISTNE	GH	56986600
152544	510	1998-10-05	VYDAJ	PREVOD NA UCET	1043	17381	POJISTNE	GH	56986600
152545	510	1998-11-05	VYDAJ	PREVOD NA UCET	1043	60731	POJISTNE	GH	56986600
152546	510	1998-12-05	VYDAJ	PREVOD NA UCET	1043	44364	POJISTNE	GH	56986600
152548	510	1993-11-29	VYBER	VYBER	8050	88775	\N	\N	\N
152553	510	1994-02-03	VYBER	VYBER	3150	63469	\N	\N	\N
152554	510	1994-05-11	VYBER	VYBER	19262	57171	\N	\N	\N
152555	510	1994-03-28	VYBER	VYBER	24448	57613	\N	\N	\N
152557	510	1994-07-30	VYBER	VYBER	20073	47717	\N	\N	\N
152558	510	1994-09-22	VYBER	VYBER	18317	30397	\N	\N	\N
152561	510	1995-02-04	VYBER	VYBER	8508	31578	\N	\N	\N
152591	510	1998-01-10	VYBER	VYBER	9528	39590	\N	\N	\N
152597	510	1998-06-06	VYDAJ	VYBER	27900	62816	\N	\N	\N
152599	510	1994-01-09	VYDAJ	VYBER	29400	28736	\N	\N	\N
152603	510	1998-01-15	VYDAJ	VYBER	3600	30171	\N	\N	\N
152604	510	1993-12-17	VYDAJ	VYBER	5700	75554	\N	\N	\N
152606	510	1995-12-19	VYDAJ	VYBER	3000	42033	\N	\N	\N
152609	510	1998-12-02	VYDAJ	VYBER	1800	87507	\N	\N	\N
152618	510	1994-01-16	VYDAJ	VYBER	4500	22917	\N	\N	\N
152628	510	1996-01-08	VYDAJ	VYBER	6000	32722	\N	\N	\N
152629	510	1996-01-17	VYDAJ	VYBER	3600	27803	\N	\N	\N
152631	510	1996-01-18	VYDAJ	VYBER	2400	22803	\N	\N	\N
152638	510	1997-01-04	VYDAJ	VYBER	4200	24555	\N	\N	\N
152641	510	1998-01-22	VYDAJ	VYBER	2700	25671	\N	\N	\N
152645	510	1998-01-18	VYDAJ	VYBER	1800	28371	\N	\N	\N
152648	510	1993-08-20	VYDAJ	VYBER	4800	89393	\N	\N	\N
152651	510	1994-05-24	VYDAJ	VYBER	7200	46986	\N	\N	\N
152652	510	1994-04-12	VYDAJ	VYBER	9300	61724	\N	\N	\N
152653	510	1994-09-16	VYDAJ	VYBER	6300	22216	\N	\N	\N
152655	510	1994-08-05	VYDAJ	VYBER	3900	42945	\N	\N	\N
152656	510	1995-11-24	VYDAJ	VYBER	13500	42240	\N	\N	\N
152657	510	1995-07-02	VYDAJ	VYBER	2400	21497	\N	\N	\N
152660	510	1995-10-01	VYDAJ	VYBER	10200	41928	\N	\N	\N
152663	510	1996-04-21	VYDAJ	VYBER	10200	26624	\N	\N	\N
152671	510	1998-02-27	VYDAJ	VYBER	3300	61766	\N	\N	\N
152672	510	1998-12-10	VYDAJ	VYBER	8700	33222	\N	\N	\N
152673	510	1998-09-13	VYDAJ	VYBER	7200	41367	\N	\N	\N
152674	510	1998-04-24	VYDAJ	VYBER	5100	68582	\N	\N	\N
152675	510	1998-12-22	VYDAJ	VYBER	3000	68332	\N	\N	\N
152676	510	1998-01-12	VYDAJ	VYBER	4500	35090	\N	\N	\N
152685	510	1993-08-31	VYDAJ	VYBER	30	58737	SLUZBY	\N	\N
152686	510	1993-09-30	VYDAJ	VYBER	30	38454	SLUZBY	\N	\N
152687	510	1993-10-31	VYDAJ	VYBER	30	53756	SLUZBY	\N	\N
152688	510	1993-11-30	VYDAJ	VYBER	30	58900	SLUZBY	\N	\N
152689	510	1993-12-31	VYDAJ	VYBER	30	61621	SLUZBY	\N	\N
152690	510	1994-01-31	VYDAJ	VYBER	30	23628	SLUZBY	\N	\N
152691	510	1994-02-28	VYDAJ	VYBER	30	42968	SLUZBY	\N	\N
152692	510	1994-03-31	VYDAJ	VYBER	30	40791	SLUZBY	\N	\N
152693	510	1994-04-30	VYDAJ	VYBER	30	43506	SLUZBY	\N	\N
152694	510	1994-05-31	VYDAJ	VYBER	30	53639	SLUZBY	\N	\N
152695	510	1994-06-30	VYDAJ	VYBER	30	50919	SLUZBY	\N	\N
152696	510	1994-07-31	VYDAJ	VYBER	30	47888	SLUZBY	\N	\N
152697	510	1994-08-31	VYDAJ	VYBER	30	33320	SLUZBY	\N	\N
152698	510	1994-09-30	VYDAJ	VYBER	30	24489	SLUZBY	\N	\N
152699	510	1994-10-31	VYDAJ	VYBER	30	31965	SLUZBY	\N	\N
152700	510	1994-11-30	VYDAJ	VYBER	30	23845	SLUZBY	\N	\N
152701	510	1994-12-31	VYDAJ	VYBER	30	21897	SLUZBY	\N	\N
152702	510	1995-01-31	VYDAJ	VYBER	30	40086	SLUZBY	\N	\N
152703	510	1995-02-28	VYDAJ	VYBER	30	23361	SLUZBY	\N	\N
152704	510	1995-03-31	VYDAJ	VYBER	30	20510	SLUZBY	\N	\N
152705	510	1995-04-30	VYDAJ	VYBER	30	18649	SLUZBY	\N	\N
152706	510	1995-05-31	VYDAJ	VYBER	30	29525	SLUZBY	\N	\N
152707	510	1995-06-30	VYDAJ	VYBER	30	23897	SLUZBY	\N	\N
152708	510	1995-07-31	VYDAJ	VYBER	30	20642	SLUZBY	\N	\N
152709	510	1995-08-31	VYDAJ	VYBER	30	19483	SLUZBY	\N	\N
152710	510	1995-09-30	VYDAJ	VYBER	30	52128	SLUZBY	\N	\N
152711	510	1995-10-31	VYDAJ	VYBER	30	50810	SLUZBY	\N	\N
152712	510	1995-11-30	VYDAJ	VYBER	30	42467	SLUZBY	\N	\N
152713	510	1995-12-31	VYDAJ	VYBER	30	42207	SLUZBY	\N	\N
152714	510	1996-01-31	VYDAJ	VYBER	30	22895	SLUZBY	\N	\N
152715	510	1996-02-29	VYDAJ	VYBER	30	20144	SLUZBY	\N	\N
152716	510	1996-03-31	VYDAJ	VYBER	30	63228	SLUZBY	\N	\N
152717	510	1996-04-30	VYDAJ	VYBER	30	26784	SLUZBY	\N	\N
152718	510	1996-05-31	VYDAJ	VYBER	30	16433	SLUZBY	\N	\N
152719	510	1996-06-30	VYDAJ	VYBER	30	11650	SLUZBY	\N	\N
152720	510	1996-07-31	VYDAJ	VYBER	30	13016	SLUZBY	\N	\N
152721	510	1996-08-31	VYDAJ	VYBER	30	8218	SLUZBY	\N	\N
152722	510	1996-09-30	VYDAJ	VYBER	30	3401	SLUZBY	\N	\N
152723	510	1996-10-31	VYDAJ	VYBER	30	1015	SLUZBY	\N	\N
152724	510	1996-11-30	VYDAJ	VYBER	30	986	SLUZBY	\N	\N
152725	510	1996-12-31	VYDAJ	VYBER	30	28755	SLUZBY	\N	\N
152726	510	1997-01-31	VYDAJ	VYBER	30	19807	SLUZBY	\N	\N
152727	510	1997-02-28	VYDAJ	VYBER	30	15038	SLUZBY	\N	\N
152728	510	1997-03-31	VYDAJ	VYBER	30	19571	SLUZBY	\N	\N
152729	510	1997-04-30	VYDAJ	VYBER	30	14800	SLUZBY	\N	\N
152730	510	1997-05-31	VYDAJ	VYBER	30	10008	SLUZBY	\N	\N
152731	510	1997-06-30	VYDAJ	VYBER	30	5197	SLUZBY	\N	\N
152732	510	1997-07-31	VYDAJ	VYBER	30	1688	SLUZBY	\N	\N
152733	510	1997-08-31	VYDAJ	VYBER	30	1658	SLUZBY	\N	\N
152734	510	1997-09-30	VYDAJ	VYBER	30	1634	SLUZBY	\N	\N
152735	510	1997-10-31	VYDAJ	VYBER	30	32818	SLUZBY	\N	\N
152736	510	1997-11-30	VYDAJ	VYBER	30	19273	SLUZBY	\N	\N
152737	510	1997-12-31	VYDAJ	VYBER	30	14499	SLUZBY	\N	\N
152738	510	1998-01-31	VYDAJ	VYBER	30	25741	SLUZBY	\N	\N
152739	510	1998-02-28	VYDAJ	VYBER	30	86958	SLUZBY	\N	\N
152740	510	1998-03-31	VYDAJ	VYBER	30	46651	SLUZBY	\N	\N
152741	510	1998-04-30	VYDAJ	VYBER	30	68712	SLUZBY	\N	\N
152742	510	1998-05-31	VYDAJ	VYBER	30	42042	SLUZBY	\N	\N
152743	510	1998-06-30	VYDAJ	VYBER	30	53219	SLUZBY	\N	\N
152744	510	1998-07-31	VYDAJ	VYBER	30	109428	SLUZBY	\N	\N
152745	510	1998-08-31	VYDAJ	VYBER	30	102952	SLUZBY	\N	\N
152746	510	1998-09-30	VYDAJ	VYBER	30	40224	SLUZBY	\N	\N
152747	510	1998-10-31	VYDAJ	VYBER	30	41553	SLUZBY	\N	\N
152748	510	1998-11-30	VYDAJ	VYBER	30	89307	SLUZBY	\N	\N
152749	510	1993-07-02	VYDAJ	VYBER	2900	28363	\N	\N	\N
152750	510	1993-08-01	VYDAJ	VYBER	32100	53204	\N	\N	\N
152751	510	1993-08-31	VYDAJ	VYBER	31000	58767	\N	\N	\N
152752	510	1993-09-30	VYDAJ	VYBER	15700	38484	\N	\N	\N
152753	510	1993-10-16	VYDAJ	VYBER	36000	79498	\N	\N	\N
152754	510	1993-10-30	VYDAJ	VYBER	26000	53498	\N	\N	\N
152755	510	1993-11-29	VYDAJ	VYBER	30200	58575	\N	\N	\N
152756	510	1993-12-29	VYDAJ	VYBER	34000	61323	\N	\N	\N
152757	510	1994-01-28	PRIJEM	VKLAD	600	23517	\N	\N	\N
152758	510	1994-02-27	VYDAJ	VYBER	15900	42765	\N	\N	\N
152759	510	1994-03-29	VYDAJ	VYBER	17000	40613	\N	\N	\N
152760	510	1994-04-28	VYDAJ	VYBER	17100	43305	\N	\N	\N
152761	510	1994-05-17	VYDAJ	VYBER	57500	54186	\N	\N	\N
152762	510	1994-05-28	VYDAJ	VYBER	28900	53355	\N	\N	\N
152763	510	1994-06-27	VYDAJ	VYBER	25200	50707	\N	\N	\N
152764	510	1994-07-27	VYDAJ	VYBER	11600	34515	\N	\N	\N
152765	510	1994-08-26	VYDAJ	VYBER	6000	33184	\N	\N	\N
152766	510	1994-09-25	VYDAJ	VYBER	6000	24397	\N	\N	\N
152767	510	1994-10-25	VYDAJ	VYBER	13100	31846	\N	\N	\N
152768	510	1994-11-24	VYDAJ	VYBER	3400	23761	\N	\N	\N
152769	510	1994-12-24	PRIJEM	VKLAD	2800	21841	\N	\N	\N
152770	510	1995-01-23	PRIJEM	VKLAD	1000	18093	\N	\N	\N
152771	510	1995-02-22	VYDAJ	VYBER	3500	23274	\N	\N	\N
152772	510	1995-03-24	PRIJEM	VKLAD	1900	20457	\N	\N	\N
152773	510	1995-04-23	PRIJEM	VKLAD	2900	18606	\N	\N	\N
152774	510	1995-05-23	PRIJEM	VKLAD	3500	17345	\N	\N	\N
152775	510	1995-06-22	VYDAJ	VYBER	900	23821	\N	\N	\N
152776	510	1995-07-22	PRIJEM	VKLAD	3900	20593	\N	\N	\N
152777	510	1995-08-21	PRIJEM	VKLAD	3600	19438	\N	\N	\N
152778	510	1995-09-20	PRIJEM	VKLAD	2400	17079	\N	\N	\N
152779	510	1995-10-20	VYDAJ	VYBER	30800	50596	\N	\N	\N
152780	510	1995-11-19	VYDAJ	VYBER	28800	55740	\N	\N	\N
152781	510	1995-12-19	VYDAJ	VYBER	22500	45033	\N	\N	\N
152782	510	1996-01-18	VYDAJ	VYBER	2600	25203	\N	\N	\N
152783	510	1996-02-17	PRIJEM	VKLAD	2000	20091	\N	\N	\N
152784	510	1996-03-18	PRIJEM	VKLAD	600	15940	\N	\N	\N
152785	510	1996-04-17	VYDAJ	VYBER	21600	36824	\N	\N	\N
152786	510	1996-05-17	VYDAJ	VYBER	5600	16380	\N	\N	\N
152787	510	1997-11-08	VYDAJ	VYBER	8800	20533	\N	\N	\N
152788	510	1998-02-24	VYDAJ	VYBER	51600	65066	\N	\N	\N
152789	510	1998-03-08	VYDAJ	VYBER	35700	47773	\N	\N	\N
152790	510	1998-04-07	VYDAJ	VYBER	16800	26366	\N	\N	\N
152791	510	1998-05-07	VYDAJ	VYBER	27300	37927	\N	\N	\N
152792	510	1998-06-05	VYDAJ	VYBER	18600	124616	\N	\N	\N
152793	510	1998-06-05	VYDAJ	VYBER	33900	90716	\N	\N	\N
152794	510	1998-06-06	VYDAJ	VYBER	26100	34274	\N	\N	\N
152795	510	1998-06-30	VYDAJ	VYBER	56200	53249	\N	\N	\N
152796	510	1998-07-06	VYDAJ	VYBER	21500	30676	\N	\N	\N
152797	510	1998-07-31	VYDAJ	VYBER	23500	85928	\N	\N	\N
152798	510	1998-08-05	VYDAJ	VYBER	42500	43428	\N	\N	\N
152799	510	1998-09-04	VYDAJ	VYBER	50900	52052	\N	\N	\N
152800	510	1998-10-04	VYDAJ	VYBER	21800	18424	\N	\N	\N
152801	510	1998-11-03	VYDAJ	VYBER	17500	24053	\N	\N	\N
152802	510	1998-12-03	VYDAJ	VYBER	42100	45407	\N	\N	\N
152874	511	1996-11-10	PRIJEM	VKLAD	400	400	\N	\N	\N
152875	511	1996-12-13	PRIJEM	VKLAD	36744	98433	\N	\N	\N
152877	511	1996-12-22	PRIJEM	VKLAD	21334	119767	\N	\N	\N
152882	511	1996-12-12	PRIJEM	VKLAD	27999	61689	\N	\N	\N
152891	511	1996-12-28	PRIJEM	VKLAD	13077	74444	\N	\N	\N
152892	511	1996-11-28	PRIJEM	VKLAD	46970	47370	\N	\N	\N
152897	511	1997-04-30	PRIJEM	VKLAD	21078	90679	\N	\N	\N
152898	511	1997-05-19	PRIJEM	VKLAD	5336	64701	\N	\N	\N
152899	511	1997-04-19	PRIJEM	VKLAD	25828	79786	\N	\N	\N
152900	511	1997-12-26	PRIJEM	VKLAD	27274	64592	\N	\N	\N
152901	511	1997-09-26	PRIJEM	VKLAD	35994	52868	\N	\N	\N
152902	511	1997-10-22	PRIJEM	VKLAD	8317	48478	\N	\N	\N
152903	511	1997-11-23	PRIJEM	VKLAD	41276	70554	\N	\N	\N
152904	511	1997-03-19	PRIJEM	VKLAD	18870	50234	\N	\N	\N
152905	511	1997-03-22	PRIJEM	VKLAD	28425	78659	\N	\N	\N
152906	511	1998-03-28	PRIJEM	VKLAD	20094	58146	\N	\N	\N
152907	511	1998-12-12	PRIJEM	VKLAD	7645	30271	\N	\N	\N
152908	511	1998-01-30	PRIJEM	VKLAD	23363	56585	\N	\N	\N
152909	511	1998-05-09	PRIJEM	VKLAD	32171	56674	\N	\N	\N
152910	511	1998-02-24	PRIJEM	VKLAD	19996	58029	\N	\N	\N
152949	511	1997-06-24	VYDAJ	VYBER	23100	20218	\N	\N	\N
152952	511	1997-01-07	VYDAJ	VYBER	8700	61814	\N	\N	\N
152953	511	1998-01-29	VYDAJ	VYBER	5700	33222	\N	\N	\N
152954	511	1996-12-29	VYDAJ	VYBER	4200	70244	\N	\N	\N
152955	511	1997-12-16	VYDAJ	VYBER	6600	37318	\N	\N	\N
152956	511	1998-12-23	VYDAJ	VYBER	4500	25771	\N	\N	\N
152961	511	1997-11-05	VYDAJ	VYBER	7500	41178	\N	\N	\N
152966	511	1997-04-19	VYDAJ	VYBER	10500	69286	\N	\N	\N
152967	511	1998-04-27	VYDAJ	VYBER	6600	21849	\N	\N	\N
152969	511	1998-10-01	VYDAJ	VYBER	3300	24590	\N	\N	\N
152970	511	1998-06-16	VYDAJ	VYBER	2100	39458	\N	\N	\N
152971	511	1998-04-14	VYDAJ	VYBER	13500	28449	\N	\N	\N
152972	511	1998-07-01	VYDAJ	VYBER	2400	37243	\N	\N	\N
152973	511	1998-03-19	VYDAJ	VYBER	3000	38052	\N	\N	\N
152986	511	1996-12-31	VYDAJ	VYBER	15	70514	SLUZBY	\N	\N
152987	511	1997-01-31	VYDAJ	VYBER	15	41905	SLUZBY	\N	\N
152988	511	1997-02-28	VYDAJ	VYBER	15	36164	SLUZBY	\N	\N
152989	511	1997-03-31	VYDAJ	VYBER	15	78858	SLUZBY	\N	\N
152990	511	1997-04-30	VYDAJ	VYBER	15	90665	SLUZBY	\N	\N
152991	511	1997-05-31	VYDAJ	VYBER	15	65018	SLUZBY	\N	\N
152992	511	1997-06-30	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
152993	511	1997-07-31	VYDAJ	VYBER	15	20802	SLUZBY	\N	\N
152994	511	1997-08-31	VYDAJ	VYBER	15	20574	SLUZBY	\N	\N
152995	511	1997-09-30	VYDAJ	VYBER	15	52961	SLUZBY	\N	\N
152996	511	1997-10-31	VYDAJ	VYBER	15	48678	SLUZBY	\N	\N
152997	511	1997-11-30	VYDAJ	VYBER	15	70718	SLUZBY	\N	\N
152998	511	1997-12-31	VYDAJ	VYBER	15	64822	SLUZBY	\N	\N
152999	511	1998-01-31	VYDAJ	VYBER	15	56833	SLUZBY	\N	\N
153000	511	1998-02-28	VYDAJ	VYBER	15	58252	SLUZBY	\N	\N
153001	511	1998-03-31	VYDAJ	VYBER	15	58349	SLUZBY	\N	\N
153002	511	1998-04-30	VYDAJ	VYBER	15	22003	SLUZBY	\N	\N
153003	511	1998-05-31	VYDAJ	VYBER	15	56858	SLUZBY	\N	\N
153004	511	1998-06-30	VYDAJ	VYBER	15	39643	SLUZBY	\N	\N
153005	511	1998-07-31	VYDAJ	VYBER	15	32465	SLUZBY	\N	\N
153006	511	1998-08-31	VYDAJ	VYBER	15	29085	SLUZBY	\N	\N
153007	511	1998-09-30	VYDAJ	VYBER	15	27890	SLUZBY	\N	\N
153008	511	1998-10-31	VYDAJ	VYBER	15	20359	SLUZBY	\N	\N
153009	511	1998-11-30	VYDAJ	VYBER	15	22626	SLUZBY	\N	\N
153010	511	1996-12-10	VYDAJ	VYBER	13700	33690	\N	\N	\N
153011	511	1996-12-22	VYDAJ	VYBER	58400	61367	\N	\N	\N
153012	511	1997-01-09	VYDAJ	VYBER	20100	41714	\N	\N	\N
153013	511	1997-02-08	VYDAJ	VYBER	5900	36005	\N	\N	\N
153014	511	1997-03-10	VYDAJ	VYBER	4800	31364	\N	\N	\N
153015	511	1997-04-09	VYDAJ	VYBER	24900	53958	\N	\N	\N
153016	511	1997-05-09	VYDAJ	VYBER	31300	59365	\N	\N	\N
153017	511	1997-06-08	VYDAJ	VYBER	21700	43318	\N	\N	\N
153018	511	1997-07-08	PRIJEM	VKLAD	300	20731	\N	\N	\N
153019	511	1997-08-07	VYDAJ	VYBER	300	20502	\N	\N	\N
153020	511	1997-09-06	VYDAJ	VYBER	3700	16874	\N	\N	\N
153021	511	1997-10-06	VYDAJ	VYBER	12800	40161	\N	\N	\N
153022	511	1997-11-05	VYDAJ	VYBER	11900	29278	\N	\N	\N
153023	511	1997-12-05	VYDAJ	VYBER	26800	43918	\N	\N	\N
153024	511	1998-01-04	VYDAJ	VYBER	25900	38922	\N	\N	\N
153025	511	1998-02-03	VYDAJ	VYBER	18800	38033	\N	\N	\N
153026	511	1998-03-05	VYDAJ	VYBER	17200	41052	\N	\N	\N
153027	511	1998-04-04	VYDAJ	VYBER	16400	41949	\N	\N	\N
153028	511	1998-05-04	PRIJEM	VKLAD	2500	24503	\N	\N	\N
153029	511	1998-06-03	VYDAJ	VYBER	15300	41558	\N	\N	\N
153030	511	1998-07-03	VYDAJ	VYBER	4900	32343	\N	\N	\N
153031	511	1998-08-02	VYDAJ	VYBER	3500	28965	\N	\N	\N
153032	511	1998-09-01	VYDAJ	VYBER	1300	27785	\N	\N	\N
153033	511	1998-10-01	VYDAJ	VYBER	4300	20290	\N	\N	\N
153034	511	1998-10-31	VYDAJ	VYBER	700	19659	\N	\N	\N
153035	511	1998-11-30	PRIJEM	VKLAD	2900	22559	\N	\N	\N
153062	512	1997-01-14	PRIJEM	VKLAD	800	800	\N	\N	\N
153064	512	1997-02-10	PRIJEM	VKLAD	21787	22587	\N	\N	\N
153065	512	1997-03-10	PRIJEM	VKLAD	21787	45430	\N	\N	\N
153066	512	1997-04-10	PRIJEM	VKLAD	21787	58946	\N	\N	\N
153067	512	1997-05-10	PRIJEM	VKLAD	21787	65202	\N	\N	\N
153068	512	1997-06-10	PRIJEM	VKLAD	32680	76764	\N	\N	\N
153069	512	1997-07-10	PRIJEM	VKLAD	21787	48763	\N	\N	\N
153070	512	1997-08-10	PRIJEM	VKLAD	21787	50248	\N	\N	\N
153071	512	1997-09-10	PRIJEM	VKLAD	21787	53240	\N	\N	\N
153072	512	1997-10-10	PRIJEM	VKLAD	21787	55642	\N	\N	\N
153073	512	1997-11-10	PRIJEM	VKLAD	21787	56148	\N	\N	\N
153074	512	1997-12-10	PRIJEM	VKLAD	32680	61956	\N	\N	\N
153075	512	1998-01-10	PRIJEM	VKLAD	21787	54162	\N	\N	\N
153076	512	1998-02-10	PRIJEM	VKLAD	21787	51883	\N	\N	\N
153077	512	1998-03-10	PRIJEM	VKLAD	21787	58003	\N	\N	\N
153078	512	1998-04-10	PRIJEM	VKLAD	21787	61154	\N	\N	\N
153079	512	1998-05-10	PRIJEM	VKLAD	21787	66017	\N	\N	\N
153080	512	1998-06-10	PRIJEM	VKLAD	32680	73901	\N	\N	\N
153081	512	1998-07-10	PRIJEM	VKLAD	21787	65018	\N	\N	\N
153082	512	1998-08-10	PRIJEM	VKLAD	21787	65313	\N	\N	\N
153083	512	1998-09-10	PRIJEM	VKLAD	21787	65605	\N	\N	\N
153084	512	1998-10-10	PRIJEM	VKLAD	21787	64098	\N	\N	\N
153085	512	1998-11-10	PRIJEM	VKLAD	21787	61687	\N	\N	\N
153086	512	1998-12-10	PRIJEM	VKLAD	32680	71560	\N	\N	\N
153093	512	1997-07-09	VYDAJ	PREVOD NA UCET	9449	26976	SIPO	GH	88834064
153094	512	1997-08-09	VYDAJ	PREVOD NA UCET	9449	28461	SIPO	GH	88834064
153095	512	1997-09-09	VYDAJ	PREVOD NA UCET	9449	31453	SIPO	GH	88834064
153096	512	1997-10-09	VYDAJ	PREVOD NA UCET	9449	33855	SIPO	GH	88834064
153097	512	1997-11-09	VYDAJ	PREVOD NA UCET	9449	34361	SIPO	GH	88834064
153098	512	1997-12-09	VYDAJ	PREVOD NA UCET	9449	29276	SIPO	GH	88834064
153099	512	1998-01-09	VYDAJ	PREVOD NA UCET	9449	32375	SIPO	GH	88834064
153100	512	1998-02-09	VYDAJ	PREVOD NA UCET	9449	30096	SIPO	GH	88834064
153101	512	1998-03-09	VYDAJ	PREVOD NA UCET	9449	36216	SIPO	GH	88834064
153102	512	1998-04-09	VYDAJ	PREVOD NA UCET	9449	39367	SIPO	GH	88834064
153103	512	1998-05-09	VYDAJ	PREVOD NA UCET	9449	44230	SIPO	GH	88834064
153104	512	1998-06-09	VYDAJ	PREVOD NA UCET	9449	41221	SIPO	GH	88834064
153105	512	1998-07-09	VYDAJ	PREVOD NA UCET	9449	43231	SIPO	GH	88834064
153106	512	1998-08-09	VYDAJ	PREVOD NA UCET	9449	43526	SIPO	GH	88834064
153107	512	1998-09-09	VYDAJ	PREVOD NA UCET	9449	43818	SIPO	GH	88834064
153108	512	1998-10-09	VYDAJ	PREVOD NA UCET	9449	42311	SIPO	GH	88834064
153109	512	1998-11-09	VYDAJ	PREVOD NA UCET	9449	39900	SIPO	GH	88834064
153110	512	1998-12-09	VYDAJ	PREVOD NA UCET	9449	38880	SIPO	GH	88834064
153111	512	1997-06-19	VYDAJ	VYBER	13700	36264	\N	\N	\N
153112	512	1998-06-10	VYDAJ	VYBER KARTOU	3400	67801	\N	\N	0
153114	512	1998-01-24	VYDAJ	VYBER	2900	44662	\N	\N	\N
153115	512	1997-12-30	VYDAJ	VYBER	1500	43956	\N	\N	\N
153116	512	1998-12-15	VYDAJ	VYBER KARTOU	2600	68960	\N	\N	0
153123	512	1998-01-22	VYDAJ	VYBER	2500	47562	\N	\N	\N
153124	512	1998-01-30	VYDAJ	VYBER	2600	42062	\N	\N	\N
153125	512	1998-01-15	VYDAJ	VYBER	1900	52262	\N	\N	\N
153126	512	1998-01-02	VYDAJ	VYBER	1400	42724	\N	\N	\N
153127	512	1998-01-18	VYDAJ	VYBER	1700	50562	\N	\N	\N
153128	512	1998-01-20	VYDAJ	VYBER	500	50062	\N	\N	\N
153130	512	1997-07-26	VYDAJ	VYBER	800	37763	\N	\N	\N
153132	512	1997-12-26	VYDAJ	VYBER	1000	45456	\N	\N	\N
153133	512	1997-11-20	VYDAJ	VYBER	2600	38548	\N	\N	\N
153134	512	1998-03-08	VYDAJ	VYBER	3500	45665	\N	\N	\N
153135	512	1998-02-17	VYDAJ	VYBER	2900	48983	\N	\N	\N
153136	512	1998-06-10	VYDAJ	VYBER KARTOU	2700	71201	\N	\N	0
153143	512	1997-06-30	VYDAJ	VYBER	15	36425	SLUZBY	\N	\N
153144	512	1997-07-31	VYDAJ	VYBER	15	37910	SLUZBY	\N	\N
153145	512	1997-08-31	VYDAJ	VYBER	15	40902	SLUZBY	\N	\N
153146	512	1997-09-30	VYDAJ	VYBER	15	43304	SLUZBY	\N	\N
153147	512	1997-10-31	VYDAJ	VYBER	15	43810	SLUZBY	\N	\N
153148	512	1997-11-30	VYDAJ	VYBER	15	38725	SLUZBY	\N	\N
153149	512	1997-12-31	VYDAJ	VYBER	15	44124	SLUZBY	\N	\N
153150	512	1998-01-31	VYDAJ	VYBER	15	42245	SLUZBY	\N	\N
153151	512	1998-02-28	VYDAJ	VYBER	15	49165	SLUZBY	\N	\N
153152	512	1998-03-31	VYDAJ	VYBER	15	49116	SLUZBY	\N	\N
153153	512	1998-04-30	VYDAJ	VYBER	15	61379	SLUZBY	\N	\N
153154	512	1998-05-31	VYDAJ	VYBER	15	66270	SLUZBY	\N	\N
153155	512	1998-06-30	VYDAJ	VYBER	15	68080	SLUZBY	\N	\N
153156	512	1998-07-31	VYDAJ	VYBER	15	65275	SLUZBY	\N	\N
153157	512	1998-08-31	VYDAJ	VYBER	15	65567	SLUZBY	\N	\N
153158	512	1998-09-30	VYDAJ	VYBER	15	65860	SLUZBY	\N	\N
153159	512	1998-10-31	VYDAJ	VYBER	15	64349	SLUZBY	\N	\N
153160	512	1998-11-30	VYDAJ	VYBER	15	61929	SLUZBY	\N	\N
153161	512	1997-02-13	PRIJEM	VKLAD	1000	23587	\N	\N	\N
153162	512	1997-03-15	VYDAJ	VYBER	8400	37030	\N	\N	\N
153163	512	1997-04-14	VYDAJ	VYBER	15700	43246	\N	\N	\N
153164	512	1997-05-14	VYDAJ	VYBER	21300	43902	\N	\N	\N
153165	512	1997-06-13	VYDAJ	VYBER	26800	49964	\N	\N	\N
153166	512	1997-07-13	VYDAJ	VYBER	10200	38563	\N	\N	\N
153167	512	1997-08-12	VYDAJ	VYBER	9500	40748	\N	\N	\N
153168	512	1997-09-11	VYDAJ	VYBER	10100	43140	\N	\N	\N
153169	512	1997-10-11	VYDAJ	VYBER	12000	43642	\N	\N	\N
153170	512	1997-11-10	VYDAJ	VYBER	15000	41148	\N	\N	\N
153171	512	1997-12-10	VYDAJ	VYBER	15500	46456	\N	\N	\N
153172	512	1998-01-09	VYDAJ	VYBER	900	41824	\N	\N	\N
153173	512	1998-02-08	VYDAJ	VYBER	2700	39545	\N	\N	\N
153174	512	1998-03-10	VYDAJ	VYBER	9100	48903	\N	\N	\N
153175	512	1998-04-09	VYDAJ	VYBER	300	48816	\N	\N	\N
153176	512	1998-05-09	VYDAJ	VYBER	7700	53679	\N	\N	\N
153177	512	1998-06-08	VYDAJ	VYBER	15600	50670	\N	\N	\N
153178	512	1998-07-08	VYDAJ	VYBER	15400	52680	\N	\N	\N
153179	512	1998-08-07	VYDAJ	VYBER	12300	52975	\N	\N	\N
153180	512	1998-09-06	VYDAJ	VYBER	12300	53267	\N	\N	\N
153181	512	1998-10-06	VYDAJ	VYBER	14100	51760	\N	\N	\N
153182	512	1998-11-05	VYDAJ	VYBER	15000	49349	\N	\N	\N
153183	512	1998-12-05	VYDAJ	VYBER	13600	48329	\N	\N	\N
153207	513	1996-11-21	PRIJEM	VKLAD	400	400	\N	\N	\N
153219	513	1996-12-07	PRIJEM	VKLAD	17793	18193	\N	\N	\N
153220	513	1997-01-07	PRIJEM	VKLAD	11862	32285	\N	\N	\N
153221	513	1997-02-07	PRIJEM	VKLAD	11862	39043	\N	\N	\N
153222	513	1997-03-07	PRIJEM	VKLAD	11862	41521	\N	\N	\N
153223	513	1997-04-07	PRIJEM	VKLAD	11862	43810	\N	\N	\N
153224	513	1997-05-07	PRIJEM	VKLAD	11862	41182	\N	\N	\N
153225	513	1997-06-07	PRIJEM	VKLAD	17793	51886	\N	\N	\N
153226	513	1997-07-07	PRIJEM	VKLAD	11862	36149	\N	\N	\N
153227	513	1997-08-07	PRIJEM	VKLAD	11862	44307	\N	\N	\N
153228	513	1997-09-07	PRIJEM	VKLAD	11862	44489	\N	\N	\N
153229	513	1997-10-07	PRIJEM	VKLAD	11862	49888	\N	\N	\N
153230	513	1997-11-07	PRIJEM	VKLAD	11862	49788	\N	\N	\N
153231	513	1997-12-07	PRIJEM	VKLAD	17793	61630	\N	\N	\N
153232	513	1998-01-07	PRIJEM	VKLAD	11862	50551	\N	\N	\N
153233	513	1998-02-07	PRIJEM	VKLAD	11862	34544	\N	\N	\N
153234	513	1998-03-07	PRIJEM	VKLAD	11862	47807	\N	\N	\N
153235	513	1998-04-07	PRIJEM	VKLAD	11862	47310	\N	\N	\N
153236	513	1998-05-07	PRIJEM	VKLAD	11862	57022	\N	\N	\N
153237	513	1998-06-07	PRIJEM	VKLAD	17793	69596	\N	\N	\N
153238	513	1998-07-07	PRIJEM	VKLAD	11862	47219	\N	\N	\N
153239	513	1998-08-07	PRIJEM	VKLAD	11862	58934	\N	\N	\N
153240	513	1998-09-07	PRIJEM	VKLAD	11862	68696	\N	\N	\N
153241	513	1998-10-07	PRIJEM	VKLAD	11862	74688	\N	\N	\N
153242	513	1998-11-07	PRIJEM	VKLAD	11862	77598	\N	\N	\N
153243	513	1998-12-07	PRIJEM	VKLAD	17793	84949	\N	\N	\N
153259	513	1997-04-13	VYDAJ	PREVOD NA UCET	7908	35902	SIPO	EF	99257760
153260	513	1997-05-13	VYDAJ	PREVOD NA UCET	7908	33274	SIPO	EF	99257760
153261	513	1997-06-13	VYDAJ	PREVOD NA UCET	7908	43978	SIPO	EF	99257760
153262	513	1997-07-13	VYDAJ	PREVOD NA UCET	7908	28241	SIPO	EF	99257760
153263	513	1997-08-13	VYDAJ	PREVOD NA UCET	7908	36399	SIPO	EF	99257760
153264	513	1997-09-13	VYDAJ	PREVOD NA UCET	7908	36581	SIPO	EF	99257760
153265	513	1997-10-13	VYDAJ	PREVOD NA UCET	7908	41980	SIPO	EF	99257760
153266	513	1997-11-13	VYDAJ	PREVOD NA UCET	7908	41880	SIPO	EF	99257760
153267	513	1997-12-13	VYDAJ	PREVOD NA UCET	7908	53722	SIPO	EF	99257760
153268	513	1998-01-13	VYDAJ	PREVOD NA UCET	7908	35743	SIPO	EF	99257760
153269	513	1998-02-13	VYDAJ	PREVOD NA UCET	7908	26636	SIPO	EF	99257760
153270	513	1998-03-13	VYDAJ	PREVOD NA UCET	7908	39899	SIPO	EF	99257760
153271	513	1998-04-13	VYDAJ	PREVOD NA UCET	7908	37102	SIPO	EF	99257760
153272	513	1998-05-13	VYDAJ	PREVOD NA UCET	7908	49114	SIPO	EF	99257760
153273	513	1998-06-13	VYDAJ	PREVOD NA UCET	7908	61688	SIPO	EF	99257760
153274	513	1998-07-13	VYDAJ	PREVOD NA UCET	7908	39311	SIPO	EF	99257760
153275	513	1998-08-13	VYDAJ	PREVOD NA UCET	7908	58826	SIPO	EF	99257760
153276	513	1998-09-13	VYDAJ	PREVOD NA UCET	7908	62588	SIPO	EF	99257760
153277	513	1998-10-13	VYDAJ	PREVOD NA UCET	7908	67780	SIPO	EF	99257760
153278	513	1998-11-13	VYDAJ	PREVOD NA UCET	7908	67490	SIPO	EF	99257760
153279	513	1998-12-13	VYDAJ	PREVOD NA UCET	7908	67641	SIPO	EF	99257760
153281	513	1997-06-16	VYDAJ	VYBER	23900	20078	\N	\N	\N
153282	513	1998-06-16	VYDAJ	VYBER	22100	35188	\N	\N	\N
153285	513	1998-01-30	VYDAJ	VYBER	9700	23443	\N	\N	\N
153287	513	1997-12-19	VYDAJ	VYBER	2500	41522	\N	\N	\N
153288	513	1998-12-06	VYDAJ	VYBER	600	67156	\N	\N	\N
153301	513	1998-01-09	VYDAJ	VYBER	2500	43651	\N	\N	\N
153302	513	1998-01-08	VYDAJ	VYBER	2300	48251	\N	\N	\N
153303	513	1998-01-24	VYDAJ	VYBER	1800	33143	\N	\N	\N
153304	513	1998-01-09	VYDAJ	VYBER	2100	46151	\N	\N	\N
153305	513	1998-01-30	VYDAJ	VYBER	900	22543	\N	\N	\N
153306	513	1998-01-21	VYDAJ	VYBER	600	34943	\N	\N	\N
153310	513	1997-12-30	VYDAJ	VYBER	3000	38522	\N	\N	\N
153311	513	1997-08-27	VYDAJ	VYBER	1200	34399	\N	\N	\N
153312	513	1997-09-01	VYDAJ	VYBER	1900	32627	\N	\N	\N
153313	513	1998-03-29	VYDAJ	VYBER	3900	35299	\N	\N	\N
153314	513	1998-04-26	VYDAJ	VYBER	1400	45002	\N	\N	\N
153315	513	1998-01-20	VYDAJ	VYBER	3000	35543	\N	\N	\N
153316	513	1998-08-22	VYDAJ	VYBER	2200	56626	\N	\N	\N
153317	513	1998-04-12	VYDAJ	VYBER	2300	45010	\N	\N	\N
153318	513	1998-03-28	VYDAJ	VYBER	3900	39199	\N	\N	\N
153319	513	1998-10-16	VYDAJ	VYBER	2300	65480	\N	\N	\N
153336	513	1997-04-30	VYDAJ	VYBER	15	29320	SLUZBY	\N	\N
153337	513	1997-05-31	VYDAJ	VYBER	15	34093	SLUZBY	\N	\N
153338	513	1997-06-30	VYDAJ	VYBER	15	24287	SLUZBY	\N	\N
153339	513	1997-07-31	VYDAJ	VYBER	15	32445	SLUZBY	\N	\N
153340	513	1997-08-31	VYDAJ	VYBER	15	34527	SLUZBY	\N	\N
153341	513	1997-09-30	VYDAJ	VYBER	15	38026	SLUZBY	\N	\N
153342	513	1997-10-31	VYDAJ	VYBER	15	37926	SLUZBY	\N	\N
153343	513	1997-11-30	VYDAJ	VYBER	15	43837	SLUZBY	\N	\N
153344	513	1997-12-31	VYDAJ	VYBER	15	38689	SLUZBY	\N	\N
153345	513	1998-01-31	VYDAJ	VYBER	15	22682	SLUZBY	\N	\N
153346	513	1998-02-28	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
153347	513	1998-03-31	VYDAJ	VYBER	15	35448	SLUZBY	\N	\N
153348	513	1998-04-30	VYDAJ	VYBER	15	45160	SLUZBY	\N	\N
153349	513	1998-05-31	VYDAJ	VYBER	15	51803	SLUZBY	\N	\N
153350	513	1998-06-30	VYDAJ	VYBER	15	35357	SLUZBY	\N	\N
153351	513	1998-07-31	VYDAJ	VYBER	15	47072	SLUZBY	\N	\N
153352	513	1998-08-31	VYDAJ	VYBER	15	56834	SLUZBY	\N	\N
153353	513	1998-09-30	VYDAJ	VYBER	15	62826	SLUZBY	\N	\N
153354	513	1998-10-31	VYDAJ	VYBER	15	65736	SLUZBY	\N	\N
153355	513	1998-11-30	VYDAJ	VYBER	15	67756	SLUZBY	\N	\N
153356	513	1996-12-21	PRIJEM	VKLAD	2200	20393	\N	\N	\N
153357	513	1997-01-20	VYDAJ	VYBER	5200	27085	\N	\N	\N
153358	513	1997-02-19	VYDAJ	VYBER	9500	29543	\N	\N	\N
153359	513	1997-03-21	VYDAJ	VYBER	9700	31821	\N	\N	\N
153360	513	1997-04-20	VYDAJ	VYBER	6700	29202	\N	\N	\N
153361	513	1997-05-20	PRIJEM	VKLAD	700	33974	\N	\N	\N
153362	513	1997-06-19	PRIJEM	VKLAD	4100	24178	\N	\N	\N
153363	513	1997-07-19	PRIJEM	VKLAD	4100	32341	\N	\N	\N
153364	513	1997-08-18	VYDAJ	VYBER	800	35599	\N	\N	\N
153365	513	1997-09-17	PRIJEM	VKLAD	1300	37881	\N	\N	\N
153366	513	1997-10-17	VYDAJ	VYBER	4200	37780	\N	\N	\N
153367	513	1997-11-16	PRIJEM	VKLAD	1800	43680	\N	\N	\N
153368	513	1997-12-16	VYDAJ	VYBER	9700	44022	\N	\N	\N
153369	513	1998-01-15	PRIJEM	VKLAD	2800	38543	\N	\N	\N
153370	513	1998-02-14	PRIJEM	VKLAD	9200	35836	\N	\N	\N
153371	513	1998-03-16	PRIJEM	VKLAD	3200	43099	\N	\N	\N
153372	513	1998-04-15	PRIJEM	VKLAD	9300	46402	\N	\N	\N
153373	513	1998-05-15	PRIJEM	VKLAD	2500	51614	\N	\N	\N
153374	513	1998-06-14	VYDAJ	VYBER	4400	57288	\N	\N	\N
153375	513	1998-07-14	PRIJEM	VKLAD	7600	46911	\N	\N	\N
153376	513	1998-08-13	PRIJEM	VKLAD	7800	66734	\N	\N	\N
153377	513	1998-09-12	PRIJEM	VKLAD	1800	70496	\N	\N	\N
153378	513	1998-10-12	PRIJEM	VKLAD	1000	75688	\N	\N	\N
153379	513	1998-11-11	VYDAJ	VYBER	2200	75398	\N	\N	\N
153380	513	1998-12-11	VYDAJ	VYBER	9400	75549	\N	\N	\N
153406	514	1996-03-30	PRIJEM	VKLAD	900	900	\N	\N	\N
153410	514	1996-04-12	PRIJEM	VKLAD	12215	13115	\N	\N	\N
153411	514	1996-05-12	PRIJEM	VKLAD	12215	28735	\N	\N	\N
153412	514	1996-06-12	PRIJEM	VKLAD	18322	45530	\N	\N	\N
153413	514	1996-07-12	PRIJEM	VKLAD	12215	45060	\N	\N	\N
153414	514	1996-08-12	PRIJEM	VKLAD	12215	48213	\N	\N	\N
153415	514	1996-09-12	PRIJEM	VKLAD	12215	42478	\N	\N	\N
153416	514	1996-10-12	PRIJEM	VKLAD	12215	40179	\N	\N	\N
153417	514	1996-11-12	PRIJEM	VKLAD	12215	38531	\N	\N	\N
153418	514	1996-12-12	PRIJEM	VKLAD	18322	41421	\N	\N	\N
153419	514	1997-01-12	PRIJEM	VKLAD	12215	26484	\N	\N	\N
153420	514	1997-02-12	PRIJEM	VKLAD	12215	22736	\N	\N	\N
153421	514	1997-03-12	PRIJEM	VKLAD	12215	23756	\N	\N	\N
153422	514	1997-04-12	PRIJEM	VKLAD	12215	23318	\N	\N	\N
153423	514	1997-05-12	PRIJEM	VKLAD	12215	27543	\N	\N	\N
153424	514	1997-06-12	PRIJEM	VKLAD	18322	30229	\N	\N	\N
153425	514	1997-07-12	PRIJEM	VKLAD	12215	27066	\N	\N	\N
153426	514	1997-08-12	PRIJEM	VKLAD	12215	27001	\N	\N	\N
153427	514	1997-09-12	PRIJEM	VKLAD	12215	24232	\N	\N	\N
153428	514	1997-10-12	PRIJEM	VKLAD	12215	23954	\N	\N	\N
153429	514	1997-11-12	PRIJEM	VKLAD	12215	25176	\N	\N	\N
153430	514	1997-12-12	PRIJEM	VKLAD	18322	28504	\N	\N	\N
153431	514	1998-01-12	PRIJEM	VKLAD	12215	21347	\N	\N	\N
153432	514	1998-02-12	PRIJEM	VKLAD	12215	24615	\N	\N	\N
153433	514	1998-03-12	PRIJEM	VKLAD	12215	20229	\N	\N	\N
153434	514	1998-04-12	PRIJEM	VKLAD	12215	26744	\N	\N	\N
153435	514	1998-05-12	PRIJEM	VKLAD	12215	19662	\N	\N	\N
153436	514	1998-06-12	PRIJEM	VKLAD	18322	30000	\N	\N	\N
153437	514	1998-07-12	PRIJEM	VKLAD	12215	25486	\N	\N	\N
153438	514	1998-08-12	PRIJEM	VKLAD	12215	19699	\N	\N	\N
153439	514	1998-09-12	PRIJEM	VKLAD	12215	26212	\N	\N	\N
153440	514	1998-10-12	PRIJEM	VKLAD	12215	22229	\N	\N	\N
153441	514	1998-11-12	PRIJEM	VKLAD	12215	21336	\N	\N	\N
153442	514	1998-12-12	PRIJEM	VKLAD	18322	33961	\N	\N	\N
153451	514	1996-09-05	VYDAJ	PREVOD NA UCET	5760	30263	SIPO	KL	49346691
153452	514	1996-10-05	VYDAJ	PREVOD NA UCET	5760	27964	SIPO	KL	49346691
153453	514	1996-11-05	VYDAJ	PREVOD NA UCET	5760	26316	SIPO	KL	49346691
153454	514	1996-12-05	VYDAJ	PREVOD NA UCET	5760	23099	SIPO	KL	49346691
153455	514	1997-01-05	VYDAJ	PREVOD NA UCET	5760	21229	SIPO	KL	49346691
153456	514	1997-02-05	VYDAJ	PREVOD NA UCET	5760	10521	SIPO	KL	49346691
153457	514	1997-03-05	VYDAJ	PREVOD NA UCET	5760	11541	SIPO	KL	49346691
153458	514	1997-04-05	VYDAJ	PREVOD NA UCET	5760	11103	SIPO	KL	49346691
153459	514	1997-05-05	VYDAJ	PREVOD NA UCET	5760	15328	SIPO	KL	49346691
153460	514	1997-06-05	VYDAJ	PREVOD NA UCET	5760	11907	SIPO	KL	49346691
153461	514	1997-07-05	VYDAJ	PREVOD NA UCET	5760	14851	SIPO	KL	49346691
153462	514	1997-08-05	VYDAJ	PREVOD NA UCET	5760	14786	SIPO	KL	49346691
153463	514	1997-09-05	VYDAJ	PREVOD NA UCET	5760	12017	SIPO	KL	49346691
153464	514	1997-10-05	VYDAJ	PREVOD NA UCET	5760	11739	SIPO	KL	49346691
153465	514	1997-11-05	VYDAJ	PREVOD NA UCET	5760	12961	SIPO	KL	49346691
153466	514	1997-12-05	VYDAJ	PREVOD NA UCET	5760	10182	SIPO	KL	49346691
153467	514	1998-01-05	VYDAJ	PREVOD NA UCET	5760	9132	SIPO	KL	49346691
153468	514	1998-02-05	VYDAJ	PREVOD NA UCET	5760	12400	SIPO	KL	49346691
153469	514	1998-03-05	VYDAJ	PREVOD NA UCET	5760	8014	SIPO	KL	49346691
153470	514	1998-04-05	VYDAJ	PREVOD NA UCET	5760	14529	SIPO	KL	49346691
153471	514	1998-05-05	VYDAJ	PREVOD NA UCET	5760	7447	SIPO	KL	49346691
153472	514	1998-06-05	VYDAJ	PREVOD NA UCET	5760	11678	SIPO	KL	49346691
153473	514	1998-07-05	VYDAJ	PREVOD NA UCET	5760	13271	SIPO	KL	49346691
153474	514	1998-08-05	VYDAJ	PREVOD NA UCET	5760	7484	SIPO	KL	49346691
153475	514	1998-09-05	VYDAJ	PREVOD NA UCET	5760	13997	SIPO	KL	49346691
153476	514	1998-10-05	VYDAJ	PREVOD NA UCET	5760	10014	SIPO	KL	49346691
153477	514	1998-11-05	VYDAJ	PREVOD NA UCET	5760	9121	SIPO	KL	49346691
153478	514	1998-12-05	VYDAJ	PREVOD NA UCET	5760	15639	SIPO	KL	49346691
153481	514	1998-06-18	VYDAJ	VYBER	11040	18960	\N	\N	\N
153485	514	1996-12-23	VYDAJ	VYBER	800	40621	\N	\N	\N
153486	514	1997-12-18	VYDAJ	VYBER	3840	24664	\N	\N	\N
153494	514	1997-01-26	VYDAJ	VYBER	1920	17644	\N	\N	\N
153495	514	1997-01-12	VYDAJ	VYBER	1920	24564	\N	\N	\N
153496	514	1997-01-08	VYDAJ	VYBER	2640	14269	\N	\N	\N
153497	514	1997-01-19	VYDAJ	VYBER	1200	23364	\N	\N	\N
153498	514	1997-01-03	VYDAJ	VYBER	3360	26989	\N	\N	\N
153499	514	1997-01-27	VYDAJ	VYBER	1440	16204	\N	\N	\N
153500	514	1998-01-13	VYDAJ	VYBER	2640	18707	\N	\N	\N
153501	514	1998-01-04	VYDAJ	VYBER	3000	14892	\N	\N	\N
153502	514	1998-01-17	VYDAJ	VYBER	600	18107	\N	\N	\N
153506	514	1996-08-14	VYDAJ	VYBER	3840	44373	\N	\N	\N
153509	514	1996-10-27	VYDAJ	VYBER	840	31939	\N	\N	\N
153510	514	1997-05-30	VYDAJ	VYBER	5760	17583	\N	\N	\N
153511	514	1997-01-07	VYDAJ	VYBER	4320	16909	\N	\N	\N
153512	514	1997-03-22	VYDAJ	VYBER	2760	20996	\N	\N	\N
153514	514	1997-12-29	VYDAJ	VYBER	840	17824	\N	\N	\N
153518	514	1998-05-28	VYDAJ	VYBER	2280	17382	\N	\N	\N
153528	514	1996-08-31	VYDAJ	VYBER	15	36023	SLUZBY	\N	\N
153529	514	1996-09-30	VYDAJ	VYBER	15	33724	SLUZBY	\N	\N
153530	514	1996-10-31	VYDAJ	VYBER	15	32076	SLUZBY	\N	\N
153531	514	1996-11-30	VYDAJ	VYBER	15	28859	SLUZBY	\N	\N
153532	514	1996-12-31	VYDAJ	VYBER	15	30349	SLUZBY	\N	\N
153533	514	1997-01-31	VYDAJ	VYBER	15	16281	SLUZBY	\N	\N
153534	514	1997-02-28	VYDAJ	VYBER	15	17301	SLUZBY	\N	\N
153535	514	1997-03-31	VYDAJ	VYBER	15	16863	SLUZBY	\N	\N
153536	514	1997-04-30	VYDAJ	VYBER	15	21088	SLUZBY	\N	\N
153537	514	1997-05-31	VYDAJ	VYBER	15	17667	SLUZBY	\N	\N
153538	514	1997-06-30	VYDAJ	VYBER	15	20611	SLUZBY	\N	\N
153539	514	1997-07-31	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
153540	514	1997-08-31	VYDAJ	VYBER	15	17777	SLUZBY	\N	\N
153541	514	1997-09-30	VYDAJ	VYBER	15	17499	SLUZBY	\N	\N
153542	514	1997-10-31	VYDAJ	VYBER	15	18721	SLUZBY	\N	\N
153543	514	1997-11-30	VYDAJ	VYBER	15	15942	SLUZBY	\N	\N
153544	514	1997-12-31	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
153545	514	1998-01-31	VYDAJ	VYBER	15	18160	SLUZBY	\N	\N
153546	514	1998-02-28	VYDAJ	VYBER	15	13774	SLUZBY	\N	\N
153547	514	1998-03-31	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
153548	514	1998-04-30	VYDAJ	VYBER	15	13207	SLUZBY	\N	\N
153549	514	1998-05-31	VYDAJ	VYBER	15	17438	SLUZBY	\N	\N
153550	514	1998-06-30	VYDAJ	VYBER	15	19031	SLUZBY	\N	\N
153551	514	1998-07-31	VYDAJ	VYBER	15	13244	SLUZBY	\N	\N
153552	514	1998-08-31	VYDAJ	VYBER	15	19757	SLUZBY	\N	\N
153553	514	1998-09-30	VYDAJ	VYBER	15	15774	SLUZBY	\N	\N
153554	514	1998-10-31	VYDAJ	VYBER	15	14881	SLUZBY	\N	\N
153555	514	1998-11-30	VYDAJ	VYBER	15	21399	SLUZBY	\N	\N
153556	514	1996-04-29	PRIJEM	VKLAD	3400	16515	\N	\N	\N
153557	514	1996-05-29	VYDAJ	VYBER	1600	27135	\N	\N	\N
153558	514	1996-06-28	VYDAJ	VYBER	12800	32730	\N	\N	\N
153559	514	1996-07-28	VYDAJ	VYBER	9200	35860	\N	\N	\N
153560	514	1996-08-27	VYDAJ	VYBER	8500	35873	\N	\N	\N
153561	514	1996-09-26	VYDAJ	VYBER	8900	33578	\N	\N	\N
153562	514	1996-10-26	VYDAJ	VYBER	7400	32779	\N	\N	\N
153563	514	1996-11-25	VYDAJ	VYBER	9800	28731	\N	\N	\N
153564	514	1996-12-25	VYDAJ	VYBER	10400	30221	\N	\N	\N
153565	514	1997-01-24	VYDAJ	VYBER	3800	19564	\N	\N	\N
153566	514	1997-02-23	VYDAJ	VYBER	5500	17236	\N	\N	\N
153567	514	1997-03-25	VYDAJ	VYBER	4200	16796	\N	\N	\N
153568	514	1997-04-24	VYDAJ	VYBER	2300	21018	\N	\N	\N
153569	514	1997-05-24	VYDAJ	VYBER	4200	23343	\N	\N	\N
153570	514	1997-06-23	VYDAJ	VYBER	9700	20529	\N	\N	\N
153571	514	1997-07-23	VYDAJ	VYBER	6600	20466	\N	\N	\N
153572	514	1997-08-22	VYDAJ	VYBER	9300	17701	\N	\N	\N
153573	514	1997-09-21	VYDAJ	VYBER	6800	17432	\N	\N	\N
153574	514	1997-10-21	VYDAJ	VYBER	5300	18654	\N	\N	\N
153575	514	1997-11-20	VYDAJ	VYBER	9300	15876	\N	\N	\N
153576	514	1997-12-20	VYDAJ	VYBER	6000	18664	\N	\N	\N
153577	514	1998-02-18	VYDAJ	VYBER	10900	13715	\N	\N	\N
153578	514	1998-04-19	VYDAJ	VYBER	13600	13144	\N	\N	\N
153579	514	1998-07-18	VYDAJ	VYBER	12300	13186	\N	\N	\N
153580	514	1998-09-16	VYDAJ	VYBER	10500	15712	\N	\N	\N
153581	514	1998-10-16	VYDAJ	VYBER	7400	14829	\N	\N	\N
153615	515	1995-02-09	PRIJEM	VKLAD	200	200	\N	\N	\N
153617	515	1995-02-13	PRIJEM	PREVOD Z UCTU	4126	4326	DUCHOD	QR	25254559
153618	515	1995-03-13	PRIJEM	PREVOD Z UCTU	4126	8462	DUCHOD	QR	25254559
153619	515	1995-04-13	PRIJEM	PREVOD Z UCTU	4126	12606	DUCHOD	QR	25254559
153620	515	1995-05-13	PRIJEM	PREVOD Z UCTU	4126	16750	DUCHOD	QR	25254559
153621	515	1995-06-13	PRIJEM	PREVOD Z UCTU	4126	20894	DUCHOD	QR	25254559
153622	515	1995-07-13	PRIJEM	PREVOD Z UCTU	4126	16314	DUCHOD	QR	25254559
153623	515	1995-08-13	PRIJEM	PREVOD Z UCTU	4126	17742	DUCHOD	QR	25254559
153624	515	1995-09-13	PRIJEM	PREVOD Z UCTU	4126	19175	DUCHOD	QR	25254559
153625	515	1995-10-13	PRIJEM	PREVOD Z UCTU	4126	15892	DUCHOD	QR	25254559
153626	515	1995-11-13	PRIJEM	PREVOD Z UCTU	4126	17316	DUCHOD	QR	25254559
153627	515	1995-12-13	PRIJEM	PREVOD Z UCTU	4126	18747	DUCHOD	QR	25254559
153628	515	1996-01-13	PRIJEM	PREVOD Z UCTU	4126	16013	DUCHOD	QR	25254559
153629	515	1996-02-13	PRIJEM	PREVOD Z UCTU	4126	14634	DUCHOD	QR	25254559
153630	515	1996-03-13	PRIJEM	PREVOD Z UCTU	4126	16054	DUCHOD	QR	25254559
153631	515	1996-04-13	PRIJEM	PREVOD Z UCTU	4126	16880	DUCHOD	QR	25254559
153632	515	1996-05-13	PRIJEM	PREVOD Z UCTU	4126	18307	DUCHOD	QR	25254559
153633	515	1996-06-13	PRIJEM	PREVOD Z UCTU	4126	19743	DUCHOD	QR	25254559
153634	515	1996-07-13	PRIJEM	PREVOD Z UCTU	4126	18184	DUCHOD	QR	25254559
153635	515	1996-08-13	PRIJEM	PREVOD Z UCTU	4126	17315	DUCHOD	QR	25254559
153636	515	1996-09-13	PRIJEM	PREVOD Z UCTU	4126	13843	DUCHOD	QR	25254559
153637	515	1996-10-13	PRIJEM	PREVOD Z UCTU	4126	13460	DUCHOD	QR	25254559
153638	515	1996-11-13	PRIJEM	PREVOD Z UCTU	4126	14875	DUCHOD	QR	25254559
153639	515	1996-12-13	PRIJEM	PREVOD Z UCTU	4126	16296	DUCHOD	QR	25254559
153640	515	1997-01-13	PRIJEM	PREVOD Z UCTU	4126	14421	DUCHOD	QR	25254559
153641	515	1997-02-13	PRIJEM	PREVOD Z UCTU	4126	15278	DUCHOD	QR	25254559
153642	515	1997-03-13	PRIJEM	PREVOD Z UCTU	4126	13800	DUCHOD	QR	25254559
153643	515	1997-04-13	PRIJEM	PREVOD Z UCTU	4126	15217	DUCHOD	QR	25254559
153644	515	1997-05-13	PRIJEM	PREVOD Z UCTU	4126	16639	DUCHOD	QR	25254559
153645	515	1997-06-13	PRIJEM	PREVOD Z UCTU	4126	18067	DUCHOD	QR	25254559
153646	515	1997-07-13	PRIJEM	PREVOD Z UCTU	4126	17981	DUCHOD	QR	25254559
153647	515	1997-08-13	PRIJEM	PREVOD Z UCTU	4126	19414	DUCHOD	QR	25254559
153648	515	1997-09-13	PRIJEM	PREVOD Z UCTU	4126	16451	DUCHOD	QR	25254559
153649	515	1997-10-13	PRIJEM	PREVOD Z UCTU	4126	17878	DUCHOD	QR	25254559
153650	515	1997-11-13	PRIJEM	PREVOD Z UCTU	4126	19311	DUCHOD	QR	25254559
153651	515	1997-12-13	PRIJEM	PREVOD Z UCTU	4126	19600	DUCHOD	QR	25254559
153652	515	1998-01-13	PRIJEM	PREVOD Z UCTU	4126	18881	DUCHOD	QR	25254559
153653	515	1998-02-13	PRIJEM	PREVOD Z UCTU	4126	15190	DUCHOD	QR	25254559
153654	515	1998-03-13	PRIJEM	PREVOD Z UCTU	4126	16612	DUCHOD	QR	25254559
153655	515	1998-04-13	PRIJEM	PREVOD Z UCTU	4126	18039	DUCHOD	QR	25254559
153656	515	1998-05-13	PRIJEM	PREVOD Z UCTU	4126	19473	DUCHOD	QR	25254559
153657	515	1998-06-13	PRIJEM	PREVOD Z UCTU	4126	17953	DUCHOD	QR	25254559
153658	515	1998-07-13	PRIJEM	PREVOD Z UCTU	4126	16260	DUCHOD	QR	25254559
153659	515	1998-08-13	PRIJEM	PREVOD Z UCTU	4126	17686	DUCHOD	QR	25254559
153660	515	1998-09-13	PRIJEM	PREVOD Z UCTU	4126	19118	DUCHOD	QR	25254559
153661	515	1998-10-13	PRIJEM	PREVOD Z UCTU	4126	20556	DUCHOD	QR	25254559
153662	515	1998-11-13	PRIJEM	PREVOD Z UCTU	4126	19758	DUCHOD	QR	25254559
153663	515	1998-12-13	PRIJEM	PREVOD Z UCTU	4126	20749	DUCHOD	QR	25254559
153670	515	1995-07-07	VYDAJ	PREVOD NA UCET	2750	12188	SIPO	CD	6447190
153671	515	1995-08-07	VYDAJ	PREVOD NA UCET	2750	13616	SIPO	CD	6447190
153672	515	1995-09-07	VYDAJ	PREVOD NA UCET	2750	15049	SIPO	CD	6447190
153673	515	1995-10-07	VYDAJ	PREVOD NA UCET	2750	11766	SIPO	CD	6447190
153674	515	1995-11-07	VYDAJ	PREVOD NA UCET	2750	13190	SIPO	CD	6447190
153675	515	1995-12-07	VYDAJ	PREVOD NA UCET	2750	14621	SIPO	CD	6447190
153676	515	1996-01-07	VYDAJ	PREVOD NA UCET	2750	11887	SIPO	CD	6447190
153677	515	1996-02-07	VYDAJ	PREVOD NA UCET	2750	10508	SIPO	CD	6447190
153678	515	1996-03-07	VYDAJ	PREVOD NA UCET	2750	11928	SIPO	CD	6447190
153679	515	1996-04-07	VYDAJ	PREVOD NA UCET	2750	12754	SIPO	CD	6447190
153680	515	1996-05-07	VYDAJ	PREVOD NA UCET	2750	14181	SIPO	CD	6447190
153681	515	1996-06-07	VYDAJ	PREVOD NA UCET	2750	15617	SIPO	CD	6447190
153682	515	1996-07-07	VYDAJ	PREVOD NA UCET	2750	14058	SIPO	CD	6447190
153683	515	1996-08-07	VYDAJ	PREVOD NA UCET	2750	13189	SIPO	CD	6447190
153684	515	1996-09-07	VYDAJ	PREVOD NA UCET	2750	9717	SIPO	CD	6447190
153685	515	1996-10-07	VYDAJ	PREVOD NA UCET	2750	9334	SIPO	CD	6447190
153686	515	1996-11-07	VYDAJ	PREVOD NA UCET	2750	10749	SIPO	CD	6447190
153687	515	1996-12-07	VYDAJ	PREVOD NA UCET	2750	12170	SIPO	CD	6447190
153688	515	1997-01-07	VYDAJ	PREVOD NA UCET	2750	10295	SIPO	CD	6447190
153689	515	1997-02-07	VYDAJ	PREVOD NA UCET	2750	11152	SIPO	CD	6447190
153690	515	1997-03-07	VYDAJ	PREVOD NA UCET	2750	9674	SIPO	CD	6447190
153691	515	1997-04-07	VYDAJ	PREVOD NA UCET	2750	11091	SIPO	CD	6447190
153692	515	1997-05-07	VYDAJ	PREVOD NA UCET	2750	12513	SIPO	CD	6447190
153693	515	1997-06-07	VYDAJ	PREVOD NA UCET	2750	13941	SIPO	CD	6447190
153694	515	1997-07-07	VYDAJ	PREVOD NA UCET	2750	13855	SIPO	CD	6447190
153695	515	1997-08-07	VYDAJ	PREVOD NA UCET	2750	15288	SIPO	CD	6447190
153696	515	1997-09-07	VYDAJ	PREVOD NA UCET	2750	12325	SIPO	CD	6447190
153697	515	1997-10-07	VYDAJ	PREVOD NA UCET	2750	13752	SIPO	CD	6447190
153698	515	1997-11-07	VYDAJ	PREVOD NA UCET	2750	15185	SIPO	CD	6447190
153699	515	1997-12-07	VYDAJ	PREVOD NA UCET	2750	16624	SIPO	CD	6447190
153700	515	1998-01-07	VYDAJ	PREVOD NA UCET	2750	16915	SIPO	CD	6447190
153701	515	1998-02-07	VYDAJ	PREVOD NA UCET	2750	11064	SIPO	CD	6447190
153702	515	1998-03-07	VYDAJ	PREVOD NA UCET	2750	12486	SIPO	CD	6447190
153703	515	1998-04-07	VYDAJ	PREVOD NA UCET	2750	13913	SIPO	CD	6447190
153704	515	1998-05-07	VYDAJ	PREVOD NA UCET	2750	15347	SIPO	CD	6447190
153705	515	1998-06-07	VYDAJ	PREVOD NA UCET	2750	13827	SIPO	CD	6447190
153706	515	1998-07-07	VYDAJ	PREVOD NA UCET	2750	12134	SIPO	CD	6447190
153707	515	1998-08-07	VYDAJ	PREVOD NA UCET	2750	13560	SIPO	CD	6447190
153708	515	1998-09-07	VYDAJ	PREVOD NA UCET	2750	14992	SIPO	CD	6447190
153709	515	1998-10-07	VYDAJ	PREVOD NA UCET	2750	16430	SIPO	CD	6447190
153710	515	1998-11-07	VYDAJ	PREVOD NA UCET	2750	15632	SIPO	CD	6447190
153711	515	1998-12-07	VYDAJ	PREVOD NA UCET	2750	17073	SIPO	CD	6447190
153712	515	1995-06-13	VYDAJ	VYBER	6000	14894	\N	\N	\N
153716	515	1995-12-22	VYDAJ	VYBER	1450	17297	\N	\N	\N
153717	515	1996-12-16	VYDAJ	VYBER	600	15696	\N	\N	\N
153718	515	1997-12-10	VYDAJ	VYBER	1150	15474	\N	\N	\N
153719	515	1998-12-09	VYDAJ	VYBER	450	16623	\N	\N	\N
153726	515	1996-01-23	VYDAJ	VYBER	880	13213	\N	\N	\N
153727	515	1996-01-02	VYDAJ	VYBER	720	16637	\N	\N	\N
153728	515	1996-01-21	VYDAJ	VYBER	1920	14093	\N	\N	\N
153730	515	1996-01-07	VYDAJ	VYBER	880	14637	\N	\N	\N
153736	515	1997-01-16	VYDAJ	VYBER	560	13861	\N	\N	\N
153741	515	1998-01-18	VYDAJ	VYBER	2000	16881	\N	\N	\N
153742	515	1998-01-19	VYDAJ	VYBER	1280	15601	\N	\N	\N
153743	515	1998-01-19	VYDAJ	VYBER	1280	14321	\N	\N	\N
153744	515	1995-10-03	VYDAJ	VYBER	1440	14516	\N	\N	\N
153745	515	1995-09-27	VYDAJ	VYBER	3280	15895	\N	\N	\N
153748	515	1996-07-15	VYDAJ	VYBER	1600	16584	\N	\N	\N
153749	515	1996-08-20	VYDAJ	VYBER	1200	16115	\N	\N	\N
153750	515	1996-01-03	VYDAJ	VYBER	1120	15517	\N	\N	\N
153753	515	1997-07-06	VYDAJ	VYBER	1520	16605	\N	\N	\N
153754	515	1998-01-09	VYDAJ	VYBER	2160	14755	\N	\N	\N
153755	515	1998-10-26	VYDAJ	VYBER	2240	18316	\N	\N	\N
153756	515	1998-01-22	VYDAJ	VYBER	560	13761	\N	\N	\N
153757	515	1998-06-17	VYDAJ	VYBER	3120	14833	\N	\N	\N
153759	515	1998-06-03	VYDAJ	VYBER	2960	16577	\N	\N	\N
153767	515	1995-06-30	VYDAJ	VYBER	15	14938	SLUZBY	\N	\N
153768	515	1995-07-31	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
153769	515	1995-08-31	VYDAJ	VYBER	15	17799	SLUZBY	\N	\N
153770	515	1995-09-30	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
153771	515	1995-10-31	VYDAJ	VYBER	15	15940	SLUZBY	\N	\N
153772	515	1995-11-30	VYDAJ	VYBER	15	17371	SLUZBY	\N	\N
153773	515	1995-12-31	VYDAJ	VYBER	15	17357	SLUZBY	\N	\N
153774	515	1996-01-31	VYDAJ	VYBER	15	13258	SLUZBY	\N	\N
153775	515	1996-02-29	VYDAJ	VYBER	15	14678	SLUZBY	\N	\N
153776	515	1996-03-31	VYDAJ	VYBER	15	16104	SLUZBY	\N	\N
153777	515	1996-04-30	VYDAJ	VYBER	15	16931	SLUZBY	\N	\N
153778	515	1996-05-31	VYDAJ	VYBER	15	18367	SLUZBY	\N	\N
153779	515	1996-06-30	VYDAJ	VYBER	15	19808	SLUZBY	\N	\N
153780	515	1996-07-31	VYDAJ	VYBER	15	16639	SLUZBY	\N	\N
153781	515	1996-08-31	VYDAJ	VYBER	15	16167	SLUZBY	\N	\N
153782	515	1996-09-30	VYDAJ	VYBER	15	13884	SLUZBY	\N	\N
153783	515	1996-10-31	VYDAJ	VYBER	15	13499	SLUZBY	\N	\N
153784	515	1996-11-30	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
153785	515	1996-12-31	VYDAJ	VYBER	15	13045	SLUZBY	\N	\N
153786	515	1997-01-31	VYDAJ	VYBER	15	13902	SLUZBY	\N	\N
153787	515	1997-02-28	VYDAJ	VYBER	15	12424	SLUZBY	\N	\N
153788	515	1997-03-31	VYDAJ	VYBER	15	13841	SLUZBY	\N	\N
153789	515	1997-04-30	VYDAJ	VYBER	15	15263	SLUZBY	\N	\N
153790	515	1997-05-31	VYDAJ	VYBER	15	16691	SLUZBY	\N	\N
153791	515	1997-06-30	VYDAJ	VYBER	15	18125	SLUZBY	\N	\N
153792	515	1997-07-31	VYDAJ	VYBER	15	18038	SLUZBY	\N	\N
153793	515	1997-08-31	VYDAJ	VYBER	15	15075	SLUZBY	\N	\N
153794	515	1997-09-30	VYDAJ	VYBER	15	16502	SLUZBY	\N	\N
153795	515	1997-10-31	VYDAJ	VYBER	15	17935	SLUZBY	\N	\N
153796	515	1997-11-30	VYDAJ	VYBER	15	19374	SLUZBY	\N	\N
153797	515	1997-12-31	VYDAJ	VYBER	15	19665	SLUZBY	\N	\N
153798	515	1998-01-31	VYDAJ	VYBER	15	13814	SLUZBY	\N	\N
153799	515	1998-02-28	VYDAJ	VYBER	15	15236	SLUZBY	\N	\N
153800	515	1998-03-31	VYDAJ	VYBER	15	16663	SLUZBY	\N	\N
153801	515	1998-04-30	VYDAJ	VYBER	15	18097	SLUZBY	\N	\N
153802	515	1998-05-31	VYDAJ	VYBER	15	19537	SLUZBY	\N	\N
153803	515	1998-06-30	VYDAJ	VYBER	15	14884	SLUZBY	\N	\N
153804	515	1998-07-31	VYDAJ	VYBER	15	16310	SLUZBY	\N	\N
153805	515	1998-08-31	VYDAJ	VYBER	15	17742	SLUZBY	\N	\N
153806	515	1998-09-30	VYDAJ	VYBER	15	19180	SLUZBY	\N	\N
153807	515	1998-10-31	VYDAJ	VYBER	15	18382	SLUZBY	\N	\N
153808	515	1998-11-30	VYDAJ	VYBER	15	19823	SLUZBY	\N	\N
153809	515	1996-04-04	VYDAJ	VYBER	600	15504	\N	\N	\N
153810	515	1996-07-03	VYDAJ	VYBER	3000	16808	\N	\N	\N
153811	515	1996-08-02	VYDAJ	VYBER	700	15939	\N	\N	\N
153812	515	1996-09-01	VYDAJ	VYBER	3700	12467	\N	\N	\N
153813	515	1996-10-01	VYDAJ	VYBER	1800	12084	\N	\N	\N
153814	515	1996-12-30	VYDAJ	VYBER	2700	12996	\N	\N	\N
153815	515	1997-02-28	VYDAJ	VYBER	2900	12439	\N	\N	\N
153816	515	1997-08-27	VYDAJ	VYBER	4400	15014	\N	\N	\N
153864	516	1996-02-08	PRIJEM	VKLAD	500	500	\N	\N	\N
153866	516	1996-02-11	PRIJEM	PREVOD Z UCTU	6747	7247	DUCHOD	UV	64236706
153867	516	1996-03-11	PRIJEM	PREVOD Z UCTU	6747	14014	DUCHOD	UV	64236706
153868	516	1996-04-11	PRIJEM	PREVOD Z UCTU	6747	20791	DUCHOD	UV	64236706
153869	516	1996-05-11	PRIJEM	PREVOD Z UCTU	6747	27568	DUCHOD	UV	64236706
153870	516	1996-06-11	PRIJEM	PREVOD Z UCTU	6747	34345	DUCHOD	UV	64236706
153871	516	1996-07-11	PRIJEM	PREVOD Z UCTU	6747	35910	DUCHOD	UV	64236706
153872	516	1996-08-11	PRIJEM	PREVOD Z UCTU	6747	36236	DUCHOD	UV	64236706
153873	516	1996-09-11	PRIJEM	PREVOD Z UCTU	6747	33668	DUCHOD	UV	64236706
153874	516	1996-10-11	PRIJEM	PREVOD Z UCTU	6747	28329	DUCHOD	UV	64236706
153875	516	1996-11-11	PRIJEM	PREVOD Z UCTU	6747	29732	DUCHOD	UV	64236706
153876	516	1996-12-11	PRIJEM	PREVOD Z UCTU	6747	30585	DUCHOD	UV	64236706
153877	516	1997-01-11	PRIJEM	PREVOD Z UCTU	6747	31092	DUCHOD	UV	64236706
153878	516	1997-02-11	PRIJEM	PREVOD Z UCTU	6747	29901	DUCHOD	UV	64236706
153879	516	1997-03-11	PRIJEM	PREVOD Z UCTU	6747	28186	DUCHOD	UV	64236706
153880	516	1997-04-11	PRIJEM	PREVOD Z UCTU	6747	31287	DUCHOD	UV	64236706
153881	516	1997-05-11	PRIJEM	PREVOD Z UCTU	6747	32393	DUCHOD	UV	64236706
153882	516	1997-06-11	PRIJEM	PREVOD Z UCTU	6747	31308	DUCHOD	UV	64236706
153883	516	1997-07-11	PRIJEM	PREVOD Z UCTU	6747	32918	DUCHOD	UV	64236706
153884	516	1997-08-11	PRIJEM	PREVOD Z UCTU	6747	36031	DUCHOD	UV	64236706
153885	516	1997-09-11	PRIJEM	PREVOD Z UCTU	6747	39158	DUCHOD	UV	64236706
153886	516	1997-10-11	PRIJEM	PREVOD Z UCTU	6747	40897	DUCHOD	UV	64236706
153887	516	1997-11-11	PRIJEM	PREVOD Z UCTU	6747	44045	DUCHOD	UV	64236706
153888	516	1997-12-11	PRIJEM	PREVOD Z UCTU	6747	42101	DUCHOD	UV	64236706
153889	516	1998-01-11	PRIJEM	PREVOD Z UCTU	6747	40500	DUCHOD	UV	64236706
153890	516	1998-02-11	PRIJEM	PREVOD Z UCTU	6747	39470	DUCHOD	UV	64236706
153891	516	1998-03-11	PRIJEM	PREVOD Z UCTU	6747	38470	DUCHOD	UV	64236706
153892	516	1998-04-11	PRIJEM	PREVOD Z UCTU	6747	40090	DUCHOD	UV	64236706
153893	516	1998-05-11	PRIJEM	PREVOD Z UCTU	6747	39908	DUCHOD	UV	64236706
153894	516	1998-06-11	PRIJEM	PREVOD Z UCTU	6747	42449	DUCHOD	UV	64236706
153895	516	1998-07-11	PRIJEM	PREVOD Z UCTU	6747	36321	DUCHOD	UV	64236706
153896	516	1998-08-11	PRIJEM	PREVOD Z UCTU	6747	36346	DUCHOD	UV	64236706
153897	516	1998-09-11	PRIJEM	PREVOD Z UCTU	6747	35970	DUCHOD	UV	64236706
153898	516	1998-10-11	PRIJEM	PREVOD Z UCTU	6747	35893	DUCHOD	UV	64236706
153899	516	1998-11-11	PRIJEM	PREVOD Z UCTU	6747	32212	DUCHOD	UV	64236706
153900	516	1998-12-11	PRIJEM	PREVOD Z UCTU	6747	34220	DUCHOD	UV	64236706
153906	516	1996-06-12	VYDAJ	PREVOD NA UCET	3736	30609	SIPO	CD	22182691
153907	516	1996-07-12	VYDAJ	PREVOD NA UCET	3736	32174	SIPO	CD	22182691
153908	516	1996-08-12	VYDAJ	PREVOD NA UCET	3736	32500	SIPO	CD	22182691
153909	516	1996-09-12	VYDAJ	PREVOD NA UCET	3736	29932	SIPO	CD	22182691
153910	516	1996-10-12	VYDAJ	PREVOD NA UCET	3736	24593	SIPO	CD	22182691
153911	516	1996-11-12	VYDAJ	PREVOD NA UCET	3736	25996	SIPO	CD	22182691
153912	516	1996-12-12	VYDAJ	PREVOD NA UCET	3736	26849	SIPO	CD	22182691
153913	516	1997-01-12	VYDAJ	PREVOD NA UCET	3736	27356	SIPO	CD	22182691
153914	516	1997-02-12	VYDAJ	PREVOD NA UCET	3736	26165	SIPO	CD	22182691
153915	516	1997-03-12	VYDAJ	PREVOD NA UCET	3736	24450	SIPO	CD	22182691
153916	516	1997-04-12	VYDAJ	PREVOD NA UCET	3736	27551	SIPO	CD	22182691
153917	516	1997-05-12	VYDAJ	PREVOD NA UCET	3736	28657	SIPO	CD	22182691
153918	516	1997-06-12	VYDAJ	PREVOD NA UCET	3736	27572	SIPO	CD	22182691
153919	516	1997-07-12	VYDAJ	PREVOD NA UCET	3736	29182	SIPO	CD	22182691
153920	516	1997-08-12	VYDAJ	PREVOD NA UCET	3736	32295	SIPO	CD	22182691
153921	516	1997-09-12	VYDAJ	PREVOD NA UCET	3736	35422	SIPO	CD	22182691
153922	516	1997-10-12	VYDAJ	PREVOD NA UCET	3736	37161	SIPO	CD	22182691
153923	516	1997-11-12	VYDAJ	PREVOD NA UCET	3736	40309	SIPO	CD	22182691
153924	516	1997-12-12	VYDAJ	PREVOD NA UCET	3736	38365	SIPO	CD	22182691
153925	516	1998-01-12	VYDAJ	PREVOD NA UCET	3736	36764	SIPO	CD	22182691
153926	516	1998-02-12	VYDAJ	PREVOD NA UCET	3736	35734	SIPO	CD	22182691
153927	516	1998-03-12	VYDAJ	PREVOD NA UCET	3736	34734	SIPO	CD	22182691
153928	516	1998-04-12	VYDAJ	PREVOD NA UCET	3736	34034	SIPO	CD	22182691
153929	516	1998-05-12	VYDAJ	PREVOD NA UCET	3736	36172	SIPO	CD	22182691
153930	516	1998-06-12	VYDAJ	PREVOD NA UCET	3736	38713	SIPO	CD	22182691
153931	516	1998-07-12	VYDAJ	PREVOD NA UCET	3736	32585	SIPO	CD	22182691
153932	516	1998-08-12	VYDAJ	PREVOD NA UCET	3736	32610	SIPO	CD	22182691
153933	516	1998-09-12	VYDAJ	PREVOD NA UCET	3736	32234	SIPO	CD	22182691
153934	516	1998-10-12	VYDAJ	PREVOD NA UCET	3736	32157	SIPO	CD	22182691
153935	516	1998-11-12	VYDAJ	PREVOD NA UCET	3736	28476	SIPO	CD	22182691
153936	516	1998-12-12	VYDAJ	PREVOD NA UCET	3736	30484	SIPO	CD	22182691
153938	516	1997-06-14	VYDAJ	VYBER	1500	26072	\N	\N	\N
153939	516	1998-06-24	VYDAJ	VYBER	6150	29443	\N	\N	\N
153941	516	1997-01-28	VYDAJ	VYBER	1900	25456	\N	\N	\N
153942	516	1998-01-18	VYDAJ	VYBER	1350	35414	\N	\N	\N
153943	516	1996-12-09	VYDAJ	VYBER	950	23838	\N	\N	\N
153944	516	1997-12-22	VYDAJ	VYBER	550	37815	\N	\N	\N
153945	516	1998-12-21	VYDAJ	VYBER	450	30034	\N	\N	\N
153947	516	1996-09-22	VYDAJ	VYBER	3360	26572	\N	\N	\N
153948	516	1996-06-15	VYDAJ	VYBER	1520	29089	\N	\N	\N
153954	516	1997-03-10	VYDAJ	VYBER	3920	21439	\N	\N	\N
153955	516	1997-11-21	VYDAJ	VYBER	2000	38309	\N	\N	\N
153956	516	1997-05-08	VYDAJ	VYBER	2000	25646	\N	\N	\N
153957	516	1998-07-30	VYDAJ	VYBER	400	29485	\N	\N	\N
153958	516	1998-03-20	VYDAJ	VYBER	1120	33614	\N	\N	\N
153959	516	1998-03-05	VYDAJ	VYBER	3840	31723	\N	\N	\N
153960	516	1998-01-22	VYDAJ	VYBER	1120	34294	\N	\N	\N
153961	516	1998-06-19	VYDAJ	VYBER	3120	35593	\N	\N	\N
153962	516	1998-04-11	VYDAJ	VYBER	2320	37770	\N	\N	\N
153963	516	1998-07-30	VYDAJ	VYBER	400	29885	\N	\N	\N
153970	516	1996-06-30	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
153971	516	1996-07-31	VYDAJ	VYBER	15	32289	SLUZBY	\N	\N
153972	516	1996-08-31	VYDAJ	VYBER	15	32621	SLUZBY	\N	\N
153973	516	1996-09-30	VYDAJ	VYBER	15	26682	SLUZBY	\N	\N
153974	516	1996-10-31	VYDAJ	VYBER	15	24685	SLUZBY	\N	\N
153975	516	1996-11-30	VYDAJ	VYBER	15	26088	SLUZBY	\N	\N
153976	516	1996-12-31	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
153977	516	1997-01-31	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
153978	516	1997-02-28	VYDAJ	VYBER	15	26259	SLUZBY	\N	\N
153979	516	1997-03-31	VYDAJ	VYBER	15	24540	SLUZBY	\N	\N
153980	516	1997-04-30	VYDAJ	VYBER	15	27646	SLUZBY	\N	\N
153981	516	1997-05-31	VYDAJ	VYBER	15	28761	SLUZBY	\N	\N
153982	516	1997-06-30	VYDAJ	VYBER	15	26171	SLUZBY	\N	\N
153983	516	1997-07-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
153984	516	1997-08-31	VYDAJ	VYBER	15	32411	SLUZBY	\N	\N
153985	516	1997-09-30	VYDAJ	VYBER	15	35550	SLUZBY	\N	\N
153986	516	1997-10-31	VYDAJ	VYBER	15	37298	SLUZBY	\N	\N
153987	516	1997-11-30	VYDAJ	VYBER	15	35354	SLUZBY	\N	\N
153988	516	1997-12-31	VYDAJ	VYBER	15	33753	SLUZBY	\N	\N
153989	516	1998-01-31	VYDAJ	VYBER	15	32723	SLUZBY	\N	\N
153990	516	1998-02-28	VYDAJ	VYBER	15	35563	SLUZBY	\N	\N
153991	516	1998-03-31	VYDAJ	VYBER	15	33343	SLUZBY	\N	\N
153992	516	1998-04-30	VYDAJ	VYBER	15	33161	SLUZBY	\N	\N
153993	516	1998-05-31	VYDAJ	VYBER	15	35702	SLUZBY	\N	\N
153994	516	1998-06-30	VYDAJ	VYBER	15	29574	SLUZBY	\N	\N
153995	516	1998-07-31	VYDAJ	VYBER	15	29599	SLUZBY	\N	\N
153996	516	1998-08-31	VYDAJ	VYBER	15	29223	SLUZBY	\N	\N
153997	516	1998-09-30	VYDAJ	VYBER	15	29146	SLUZBY	\N	\N
153998	516	1998-10-31	VYDAJ	VYBER	15	25465	SLUZBY	\N	\N
153999	516	1998-11-30	VYDAJ	VYBER	15	27473	SLUZBY	\N	\N
154000	516	1996-08-06	VYDAJ	VYBER	2800	29489	\N	\N	\N
154001	516	1996-09-05	VYDAJ	VYBER	5700	26921	\N	\N	\N
154002	516	1996-10-05	VYDAJ	VYBER	5100	21582	\N	\N	\N
154003	516	1996-11-04	VYDAJ	VYBER	1700	22985	\N	\N	\N
154004	516	1996-12-04	VYDAJ	VYBER	1300	24788	\N	\N	\N
154005	516	1997-01-03	VYDAJ	VYBER	2600	24345	\N	\N	\N
154006	516	1997-02-02	VYDAJ	VYBER	2400	23154	\N	\N	\N
154007	516	1997-03-04	VYDAJ	VYBER	900	25359	\N	\N	\N
154008	516	1997-06-02	VYDAJ	VYBER	4200	24561	\N	\N	\N
154009	516	1997-09-30	VYDAJ	VYBER	1400	34150	\N	\N	\N
154010	516	1997-11-29	VYDAJ	VYBER	3100	35209	\N	\N	\N
154011	516	1997-12-29	VYDAJ	VYBER	4200	33615	\N	\N	\N
154012	516	1998-01-28	VYDAJ	VYBER	1700	32594	\N	\N	\N
154013	516	1998-02-27	VYDAJ	VYBER	300	35434	\N	\N	\N
154014	516	1998-03-29	VYDAJ	VYBER	400	33214	\N	\N	\N
154015	516	1998-04-28	VYDAJ	VYBER	1000	33034	\N	\N	\N
154016	516	1998-05-28	VYDAJ	VYBER	600	35572	\N	\N	\N
154017	516	1998-07-27	VYDAJ	VYBER	2300	30285	\N	\N	\N
154018	516	1998-08-26	VYDAJ	VYBER	3500	29110	\N	\N	\N
154019	516	1998-09-25	VYDAJ	VYBER	3200	29034	\N	\N	\N
154020	516	1998-10-25	VYDAJ	VYBER	6800	25357	\N	\N	\N
154021	516	1998-11-24	VYDAJ	VYBER	1100	27376	\N	\N	\N
154057	517	1993-09-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
154067	517	1993-10-11	PRIJEM	VKLAD	23755	24855	\N	\N	\N
154068	517	1993-11-11	PRIJEM	VKLAD	23755	47242	\N	\N	\N
154069	517	1993-12-11	PRIJEM	VKLAD	35632	69385	\N	\N	\N
154070	517	1994-01-11	PRIJEM	VKLAD	23755	71601	\N	\N	\N
154071	517	1994-02-11	PRIJEM	VKLAD	23755	73658	\N	\N	\N
154072	517	1994-03-11	PRIJEM	VKLAD	23755	69038	\N	\N	\N
154073	517	1994-04-11	PRIJEM	VKLAD	23755	63818	\N	\N	\N
154074	517	1994-05-11	PRIJEM	VKLAD	23755	65084	\N	\N	\N
154075	517	1994-06-11	PRIJEM	VKLAD	35632	74050	\N	\N	\N
154076	517	1994-07-11	PRIJEM	VKLAD	23755	70445	\N	\N	\N
154077	517	1994-08-11	PRIJEM	VKLAD	23755	67630	\N	\N	\N
154078	517	1994-09-11	PRIJEM	VKLAD	23755	62641	\N	\N	\N
154079	517	1994-10-11	PRIJEM	VKLAD	23755	63008	\N	\N	\N
154080	517	1994-11-11	PRIJEM	VKLAD	23755	63063	\N	\N	\N
154081	517	1994-12-11	PRIJEM	VKLAD	35632	77297	\N	\N	\N
154082	517	1995-01-11	PRIJEM	VKLAD	23755	60208	\N	\N	\N
154083	517	1995-02-11	PRIJEM	VKLAD	23755	56437	\N	\N	\N
154084	517	1995-03-11	PRIJEM	VKLAD	23755	61569	\N	\N	\N
154085	517	1995-04-11	PRIJEM	VKLAD	23755	64522	\N	\N	\N
154086	517	1995-05-11	PRIJEM	VKLAD	23755	63676	\N	\N	\N
154087	517	1995-06-11	PRIJEM	VKLAD	35632	78312	\N	\N	\N
154088	517	1995-07-11	PRIJEM	VKLAD	23755	48082	\N	\N	\N
154089	517	1995-08-11	PRIJEM	VKLAD	23755	56187	\N	\N	\N
154090	517	1995-09-11	PRIJEM	VKLAD	23755	55506	\N	\N	\N
154091	517	1995-10-11	PRIJEM	VKLAD	23755	50667	\N	\N	\N
154092	517	1995-11-11	PRIJEM	VKLAD	23755	50276	\N	\N	\N
154093	517	1995-12-11	PRIJEM	VKLAD	35632	61613	\N	\N	\N
154094	517	1996-01-11	PRIJEM	VKLAD	23755	47840	\N	\N	\N
154095	517	1996-02-11	PRIJEM	VKLAD	23755	55299	\N	\N	\N
154096	517	1996-03-11	PRIJEM	VKLAD	23755	55981	\N	\N	\N
154097	517	1996-04-11	PRIJEM	VKLAD	23755	61760	\N	\N	\N
154098	517	1996-05-11	PRIJEM	VKLAD	23755	61959	\N	\N	\N
154099	517	1996-06-11	PRIJEM	VKLAD	35632	77144	\N	\N	\N
154100	517	1996-07-11	PRIJEM	VKLAD	23755	73393	\N	\N	\N
154101	517	1996-08-11	PRIJEM	VKLAD	23755	68349	\N	\N	\N
154102	517	1996-09-11	PRIJEM	VKLAD	23755	70884	\N	\N	\N
154103	517	1996-10-11	PRIJEM	VKLAD	23755	68825	\N	\N	\N
154104	517	1996-11-11	PRIJEM	VKLAD	23755	69864	\N	\N	\N
154105	517	1996-12-11	PRIJEM	VKLAD	35632	82879	\N	\N	\N
154106	517	1997-01-11	PRIJEM	VKLAD	23755	70973	\N	\N	\N
154107	517	1997-02-11	PRIJEM	VKLAD	23755	71062	\N	\N	\N
154108	517	1997-03-11	PRIJEM	VKLAD	23755	71998	\N	\N	\N
154109	517	1997-04-11	PRIJEM	VKLAD	23755	74745	\N	\N	\N
154110	517	1997-05-11	PRIJEM	VKLAD	23755	74702	\N	\N	\N
154111	517	1997-06-11	PRIJEM	VKLAD	35632	68298	\N	\N	\N
154112	517	1997-07-11	PRIJEM	VKLAD	23755	76403	\N	\N	\N
154113	517	1997-08-11	PRIJEM	VKLAD	23755	76458	\N	\N	\N
154114	517	1997-09-11	PRIJEM	VKLAD	23755	73203	\N	\N	\N
154115	517	1997-10-11	PRIJEM	VKLAD	23755	77442	\N	\N	\N
154116	517	1997-11-11	PRIJEM	VKLAD	23755	81900	\N	\N	\N
154117	517	1997-12-11	PRIJEM	VKLAD	35632	91319	\N	\N	\N
154118	517	1998-01-11	PRIJEM	VKLAD	23755	79149	\N	\N	\N
154119	517	1998-02-11	PRIJEM	VKLAD	23755	74930	\N	\N	\N
154120	517	1998-03-11	PRIJEM	VKLAD	23755	74657	\N	\N	\N
154121	517	1998-04-11	PRIJEM	VKLAD	23755	76808	\N	\N	\N
154122	517	1998-05-11	PRIJEM	VKLAD	23755	73660	\N	\N	\N
154123	517	1998-06-11	PRIJEM	VKLAD	35632	87592	\N	\N	\N
154124	517	1998-07-11	PRIJEM	VKLAD	23755	70520	\N	\N	\N
154125	517	1998-08-11	PRIJEM	VKLAD	23755	80400	\N	\N	\N
154126	517	1998-09-11	PRIJEM	VKLAD	23755	85845	\N	\N	\N
154127	517	1998-10-11	PRIJEM	VKLAD	23755	91711	\N	\N	\N
154128	517	1998-11-11	PRIJEM	VKLAD	23755	91397	\N	\N	\N
154129	517	1998-12-11	PRIJEM	VKLAD	35632	97296	\N	\N	\N
154143	517	1994-02-14	VYDAJ	PREVOD NA UCET	9255	64403	SIPO	UV	82919829
154144	517	1994-03-14	VYDAJ	PREVOD NA UCET	9255	59783	SIPO	UV	82919829
154145	517	1994-04-14	VYDAJ	PREVOD NA UCET	9255	54563	SIPO	UV	82919829
154146	517	1994-05-14	VYDAJ	PREVOD NA UCET	9255	55829	SIPO	UV	82919829
154147	517	1994-06-14	VYDAJ	PREVOD NA UCET	9255	64795	SIPO	UV	82919829
154148	517	1994-07-14	VYDAJ	PREVOD NA UCET	9255	61190	SIPO	UV	82919829
154149	517	1994-08-14	VYDAJ	PREVOD NA UCET	9255	58375	SIPO	UV	82919829
154150	517	1994-09-14	VYDAJ	PREVOD NA UCET	9255	53386	SIPO	UV	82919829
154151	517	1994-10-14	VYDAJ	PREVOD NA UCET	9255	53753	SIPO	UV	82919829
154152	517	1994-11-14	VYDAJ	PREVOD NA UCET	9255	53808	SIPO	UV	82919829
154153	517	1994-12-14	VYDAJ	PREVOD NA UCET	9255	68042	SIPO	UV	82919829
154154	517	1995-01-14	VYDAJ	PREVOD NA UCET	9255	50953	SIPO	UV	82919829
154155	517	1995-02-14	VYDAJ	PREVOD NA UCET	9255	47182	SIPO	UV	82919829
154156	517	1995-03-14	VYDAJ	PREVOD NA UCET	9255	52314	SIPO	UV	82919829
154157	517	1995-04-14	VYDAJ	PREVOD NA UCET	9255	55267	SIPO	UV	82919829
154158	517	1995-05-14	VYDAJ	PREVOD NA UCET	9255	54421	SIPO	UV	82919829
154159	517	1995-06-14	VYDAJ	PREVOD NA UCET	9255	69057	SIPO	UV	82919829
154160	517	1995-07-14	VYDAJ	PREVOD NA UCET	9255	32327	SIPO	UV	82919829
154161	517	1995-08-14	VYDAJ	PREVOD NA UCET	9255	31632	SIPO	UV	82919829
154162	517	1995-09-14	VYDAJ	PREVOD NA UCET	9255	32551	SIPO	UV	82919829
154163	517	1995-10-14	VYDAJ	PREVOD NA UCET	9255	26412	SIPO	UV	82919829
154164	517	1995-11-14	VYDAJ	PREVOD NA UCET	9255	29721	SIPO	UV	82919829
154165	517	1995-12-14	VYDAJ	PREVOD NA UCET	9255	32258	SIPO	UV	82919829
154166	517	1996-01-14	VYDAJ	PREVOD NA UCET	9255	38585	SIPO	UV	82919829
154167	517	1996-02-14	VYDAJ	PREVOD NA UCET	9255	46044	SIPO	UV	82919829
154168	517	1996-03-14	VYDAJ	PREVOD NA UCET	9255	46726	SIPO	UV	82919829
154169	517	1996-04-14	VYDAJ	PREVOD NA UCET	9255	52505	SIPO	UV	82919829
154170	517	1996-05-14	VYDAJ	PREVOD NA UCET	9255	52704	SIPO	UV	82919829
154171	517	1996-06-14	VYDAJ	PREVOD NA UCET	9255	67889	SIPO	UV	82919829
154172	517	1996-07-14	VYDAJ	PREVOD NA UCET	9255	64138	SIPO	UV	82919829
154173	517	1996-08-14	VYDAJ	PREVOD NA UCET	9255	59094	SIPO	UV	82919829
154174	517	1996-09-14	VYDAJ	PREVOD NA UCET	9255	61629	SIPO	UV	82919829
154175	517	1996-10-14	VYDAJ	PREVOD NA UCET	9255	59570	SIPO	UV	82919829
154176	517	1996-11-14	VYDAJ	PREVOD NA UCET	9255	60609	SIPO	UV	82919829
154177	517	1996-12-14	VYDAJ	PREVOD NA UCET	9255	73624	SIPO	UV	82919829
154178	517	1997-01-14	VYDAJ	PREVOD NA UCET	9255	61718	SIPO	UV	82919829
154179	517	1997-02-14	VYDAJ	PREVOD NA UCET	9255	61807	SIPO	UV	82919829
154180	517	1997-03-14	VYDAJ	PREVOD NA UCET	9255	62743	SIPO	UV	82919829
154181	517	1997-04-14	VYDAJ	PREVOD NA UCET	9255	65490	SIPO	UV	82919829
154182	517	1997-05-14	VYDAJ	PREVOD NA UCET	9255	65447	SIPO	UV	82919829
154183	517	1997-06-14	VYDAJ	PREVOD NA UCET	9255	59043	SIPO	UV	82919829
154184	517	1997-07-14	VYDAJ	PREVOD NA UCET	9255	67148	SIPO	UV	82919829
154185	517	1997-08-14	VYDAJ	PREVOD NA UCET	9255	67203	SIPO	UV	82919829
154186	517	1997-09-14	VYDAJ	PREVOD NA UCET	9255	58548	SIPO	UV	82919829
154187	517	1997-10-14	VYDAJ	PREVOD NA UCET	9255	68187	SIPO	UV	82919829
154188	517	1997-11-14	VYDAJ	PREVOD NA UCET	9255	66525	SIPO	UV	82919829
154189	517	1997-12-14	VYDAJ	PREVOD NA UCET	9255	82064	SIPO	UV	82919829
154190	517	1998-01-14	VYDAJ	PREVOD NA UCET	9255	67854	SIPO	UV	82919829
154191	517	1998-02-14	VYDAJ	PREVOD NA UCET	9255	65675	SIPO	UV	82919829
154192	517	1998-03-14	VYDAJ	PREVOD NA UCET	9255	65402	SIPO	UV	82919829
154193	517	1998-04-14	VYDAJ	PREVOD NA UCET	9255	67553	SIPO	UV	82919829
154194	517	1998-05-14	VYDAJ	PREVOD NA UCET	9255	64405	SIPO	UV	82919829
154195	517	1998-06-14	VYDAJ	PREVOD NA UCET	9255	78337	SIPO	UV	82919829
154196	517	1998-07-14	VYDAJ	PREVOD NA UCET	9255	61265	SIPO	UV	82919829
154197	517	1998-08-14	VYDAJ	PREVOD NA UCET	9255	71145	SIPO	UV	82919829
154198	517	1998-09-14	VYDAJ	PREVOD NA UCET	9255	76590	SIPO	UV	82919829
154199	517	1998-10-14	VYDAJ	PREVOD NA UCET	9255	82456	SIPO	UV	82919829
154200	517	1998-11-14	VYDAJ	PREVOD NA UCET	9255	82142	SIPO	UV	82919829
154201	517	1998-12-14	VYDAJ	PREVOD NA UCET	9255	88041	SIPO	UV	82919829
154204	517	1995-06-27	VYDAJ	VYBER	19520	24137	\N	\N	\N
154206	517	1997-06-01	VYDAJ	VYBER	44640	21066	\N	\N	\N
154207	517	1998-06-29	VYDAJ	VYBER	13120	46517	\N	\N	\N
154209	517	1994-12-21	VYDAJ	VYBER	2080	43362	\N	\N	\N
154210	517	1995-12-16	VYDAJ	VYBER	3040	29218	\N	\N	\N
154211	517	1996-12-26	VYDAJ	VYBER	2720	70904	\N	\N	\N
154212	517	1997-12-19	VYDAJ	VYBER	1440	80624	\N	\N	\N
154213	517	1998-12-10	VYDAJ	VYBER	4160	61664	\N	\N	\N
154226	517	1995-01-05	VYDAJ	VYBER	2400	36453	\N	\N	\N
154227	517	1995-01-27	VYDAJ	VYBER	1440	32533	\N	\N	\N
154228	517	1995-01-27	VYDAJ	VYBER	1680	33973	\N	\N	\N
154229	517	1995-01-01	VYDAJ	VYBER	1680	41853	\N	\N	\N
154230	517	1995-01-22	VYDAJ	VYBER	1200	35653	\N	\N	\N
154231	517	1995-01-03	VYDAJ	VYBER	3000	38853	\N	\N	\N
154232	517	1996-01-02	VYDAJ	VYBER	3360	25965	\N	\N	\N
154233	517	1996-01-04	VYDAJ	VYBER	2640	21885	\N	\N	\N
154234	517	1996-01-02	VYDAJ	VYBER	1440	24525	\N	\N	\N
154235	517	1996-01-19	VYDAJ	VYBER	2880	34625	\N	\N	\N
154236	517	1996-01-25	VYDAJ	VYBER	1800	32825	\N	\N	\N
154237	517	1996-01-17	VYDAJ	VYBER	1080	37505	\N	\N	\N
154238	517	1997-01-25	VYDAJ	VYBER	1680	56078	\N	\N	\N
154239	517	1997-01-10	VYDAJ	VYBER	2880	47218	\N	\N	\N
154240	517	1997-01-19	VYDAJ	VYBER	3120	58598	\N	\N	\N
154241	517	1997-01-01	VYDAJ	VYBER	1080	66858	\N	\N	\N
154242	517	1997-01-24	VYDAJ	VYBER	840	57758	\N	\N	\N
154243	517	1997-01-08	VYDAJ	VYBER	3360	50098	\N	\N	\N
154244	517	1998-01-06	VYDAJ	VYBER	1920	58274	\N	\N	\N
154245	517	1998-01-20	VYDAJ	VYBER	2880	63174	\N	\N	\N
154246	517	1998-01-12	VYDAJ	VYBER	2040	77109	\N	\N	\N
154247	517	1998-01-08	VYDAJ	VYBER	1920	56354	\N	\N	\N
154248	517	1998-01-09	VYDAJ	VYBER	960	55394	\N	\N	\N
154249	517	1998-01-19	VYDAJ	VYBER	1800	66054	\N	\N	\N
154257	517	1994-02-19	VYDAJ	VYBER	2040	62363	\N	\N	\N
154258	517	1994-09-02	VYDAJ	VYBER	2760	38886	\N	\N	\N
154259	517	1994-06-02	VYDAJ	VYBER	2880	38418	\N	\N	\N
154260	517	1995-11-16	VYDAJ	VYBER	3840	25881	\N	\N	\N
154261	517	1995-06-24	VYDAJ	VYBER	1800	43657	\N	\N	\N
154262	517	1995-10-06	VYDAJ	VYBER	5760	26912	\N	\N	\N
154263	517	1996-07-24	VYDAJ	VYBER	4200	59938	\N	\N	\N
154264	517	1996-03-10	VYDAJ	VYBER	5280	40926	\N	\N	\N
154265	517	1996-12-30	VYDAJ	VYBER	3240	67664	\N	\N	\N
154266	517	1997-03-31	VYDAJ	VYBER	2400	60590	\N	\N	\N
154267	517	1997-09-14	VYDAJ	VYBER	5400	67803	\N	\N	\N
154268	517	1997-11-12	VYDAJ	VYBER	2640	75780	\N	\N	\N
154269	517	1997-11-12	VYDAJ	VYBER	3480	78420	\N	\N	\N
154270	517	1997-08-29	VYDAJ	VYBER	3720	63483	\N	\N	\N
154271	517	1998-05-09	VYDAJ	VYBER	4680	49905	\N	\N	\N
154272	517	1998-01-22	VYDAJ	VYBER	2640	60534	\N	\N	\N
154273	517	1998-05-30	VYDAJ	VYBER	1680	51725	\N	\N	\N
154274	517	1998-07-15	VYDAJ	VYBER	4320	56945	\N	\N	\N
154289	517	1994-02-28	VYDAJ	VYBER	15	45283	SLUZBY	\N	\N
154290	517	1994-03-31	VYDAJ	VYBER	15	40063	SLUZBY	\N	\N
154291	517	1994-04-30	VYDAJ	VYBER	15	41329	SLUZBY	\N	\N
154292	517	1994-05-31	VYDAJ	VYBER	15	41298	SLUZBY	\N	\N
154293	517	1994-06-30	VYDAJ	VYBER	15	46690	SLUZBY	\N	\N
154294	517	1994-07-31	VYDAJ	VYBER	15	43875	SLUZBY	\N	\N
154295	517	1994-08-31	VYDAJ	VYBER	15	41646	SLUZBY	\N	\N
154296	517	1994-09-30	VYDAJ	VYBER	15	39253	SLUZBY	\N	\N
154297	517	1994-10-31	VYDAJ	VYBER	15	39308	SLUZBY	\N	\N
154298	517	1994-11-30	VYDAJ	VYBER	15	41665	SLUZBY	\N	\N
154299	517	1994-12-31	VYDAJ	VYBER	15	43533	SLUZBY	\N	\N
154300	517	1995-01-31	VYDAJ	VYBER	15	32682	SLUZBY	\N	\N
154301	517	1995-02-28	VYDAJ	VYBER	15	37814	SLUZBY	\N	\N
154302	517	1995-03-31	VYDAJ	VYBER	15	40767	SLUZBY	\N	\N
154303	517	1995-04-30	VYDAJ	VYBER	15	39921	SLUZBY	\N	\N
154304	517	1995-05-31	VYDAJ	VYBER	15	42680	SLUZBY	\N	\N
154305	517	1995-06-30	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
154306	517	1995-07-31	VYDAJ	VYBER	15	32432	SLUZBY	\N	\N
154307	517	1995-08-31	VYDAJ	VYBER	15	31751	SLUZBY	\N	\N
154308	517	1995-09-30	VYDAJ	VYBER	15	32672	SLUZBY	\N	\N
154309	517	1995-10-31	VYDAJ	VYBER	15	26521	SLUZBY	\N	\N
154310	517	1995-11-30	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
154311	517	1995-12-31	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
154312	517	1996-01-31	VYDAJ	VYBER	15	32944	SLUZBY	\N	\N
154313	517	1996-02-29	VYDAJ	VYBER	15	46206	SLUZBY	\N	\N
154314	517	1996-03-31	VYDAJ	VYBER	15	46905	SLUZBY	\N	\N
154315	517	1996-04-30	VYDAJ	VYBER	15	52704	SLUZBY	\N	\N
154316	517	1996-05-31	VYDAJ	VYBER	15	52912	SLUZBY	\N	\N
154317	517	1996-06-30	VYDAJ	VYBER	15	68138	SLUZBY	\N	\N
154318	517	1996-07-31	VYDAJ	VYBER	15	60194	SLUZBY	\N	\N
154319	517	1996-08-31	VYDAJ	VYBER	15	59329	SLUZBY	\N	\N
154320	517	1996-09-30	VYDAJ	VYBER	15	61870	SLUZBY	\N	\N
154321	517	1996-10-31	VYDAJ	VYBER	15	59809	SLUZBY	\N	\N
154322	517	1996-11-30	VYDAJ	VYBER	15	60847	SLUZBY	\N	\N
154323	517	1996-12-31	VYDAJ	VYBER	15	67938	SLUZBY	\N	\N
154324	517	1997-01-31	VYDAJ	VYBER	15	56307	SLUZBY	\N	\N
154325	517	1997-02-28	VYDAJ	VYBER	15	62043	SLUZBY	\N	\N
154326	517	1997-03-31	VYDAJ	VYBER	15	62990	SLUZBY	\N	\N
154327	517	1997-04-30	VYDAJ	VYBER	15	65747	SLUZBY	\N	\N
154328	517	1997-05-31	VYDAJ	VYBER	15	65706	SLUZBY	\N	\N
154329	517	1997-06-30	VYDAJ	VYBER	15	59248	SLUZBY	\N	\N
154330	517	1997-07-31	VYDAJ	VYBER	15	67403	SLUZBY	\N	\N
154331	517	1997-08-31	VYDAJ	VYBER	15	63748	SLUZBY	\N	\N
154332	517	1997-09-30	VYDAJ	VYBER	15	58787	SLUZBY	\N	\N
154333	517	1997-10-31	VYDAJ	VYBER	15	68445	SLUZBY	\N	\N
154334	517	1997-11-30	VYDAJ	VYBER	15	55687	SLUZBY	\N	\N
154335	517	1997-12-31	VYDAJ	VYBER	15	60194	SLUZBY	\N	\N
154336	517	1998-01-31	VYDAJ	VYBER	15	51175	SLUZBY	\N	\N
154337	517	1998-02-28	VYDAJ	VYBER	15	65902	SLUZBY	\N	\N
154338	517	1998-03-31	VYDAJ	VYBER	15	53053	SLUZBY	\N	\N
154339	517	1998-04-30	VYDAJ	VYBER	15	54585	SLUZBY	\N	\N
154340	517	1998-05-31	VYDAJ	VYBER	15	51960	SLUZBY	\N	\N
154341	517	1998-06-30	VYDAJ	VYBER	15	46765	SLUZBY	\N	\N
154342	517	1998-07-31	VYDAJ	VYBER	15	56645	SLUZBY	\N	\N
154343	517	1998-08-31	VYDAJ	VYBER	15	62090	SLUZBY	\N	\N
154344	517	1998-09-30	VYDAJ	VYBER	15	67956	SLUZBY	\N	\N
154345	517	1998-10-31	VYDAJ	VYBER	15	67642	SLUZBY	\N	\N
154346	517	1998-11-30	VYDAJ	VYBER	15	65824	SLUZBY	\N	\N
154347	517	1993-10-22	VYDAJ	VYBER	1400	23455	\N	\N	\N
154348	517	1993-11-21	VYDAJ	VYBER	13600	33642	\N	\N	\N
154349	517	1993-12-21	VYDAJ	VYBER	21700	47685	\N	\N	\N
154350	517	1994-01-20	VYDAJ	VYBER	21900	49701	\N	\N	\N
154351	517	1994-02-19	VYDAJ	VYBER	17300	45063	\N	\N	\N
154352	517	1994-03-21	VYDAJ	VYBER	19900	39883	\N	\N	\N
154353	517	1994-04-20	VYDAJ	VYBER	13400	41163	\N	\N	\N
154354	517	1994-05-20	VYDAJ	VYBER	14700	41129	\N	\N	\N
154355	517	1994-06-19	VYDAJ	VYBER	18300	46495	\N	\N	\N
154356	517	1994-07-19	VYDAJ	VYBER	17500	43690	\N	\N	\N
154357	517	1994-08-18	VYDAJ	VYBER	16900	41475	\N	\N	\N
154358	517	1994-09-17	VYDAJ	VYBER	14300	39086	\N	\N	\N
154359	517	1994-10-17	VYDAJ	VYBER	14600	39153	\N	\N	\N
154360	517	1994-11-16	VYDAJ	VYBER	12300	41508	\N	\N	\N
154361	517	1994-12-16	VYDAJ	VYBER	22600	45442	\N	\N	\N
154362	517	1995-01-15	VYDAJ	VYBER	14100	36853	\N	\N	\N
154363	517	1995-02-14	VYDAJ	VYBER	9500	37682	\N	\N	\N
154364	517	1995-03-16	VYDAJ	VYBER	11700	40614	\N	\N	\N
154365	517	1995-04-15	VYDAJ	VYBER	15500	39767	\N	\N	\N
154366	517	1995-05-15	VYDAJ	VYBER	11900	42521	\N	\N	\N
154367	517	1995-06-14	VYDAJ	VYBER	23600	45457	\N	\N	\N
154368	517	1995-07-14	VYDAJ	VYBER	6500	41582	\N	\N	\N
154369	517	1995-08-13	VYDAJ	VYBER	15300	40887	\N	\N	\N
154370	517	1995-09-12	VYDAJ	VYBER	13700	41806	\N	\N	\N
154371	517	1995-10-12	VYDAJ	VYBER	15000	35667	\N	\N	\N
154372	517	1995-11-11	VYDAJ	VYBER	11300	38976	\N	\N	\N
154373	517	1995-12-11	VYDAJ	VYBER	20100	41513	\N	\N	\N
154374	517	1996-01-10	PRIJEM	VKLAD	2200	24085	\N	\N	\N
154375	517	1996-02-09	VYDAJ	VYBER	1400	31544	\N	\N	\N
154376	517	1996-03-10	VYDAJ	VYBER	8700	32226	\N	\N	\N
154377	517	1996-04-09	VYDAJ	VYBER	8900	38005	\N	\N	\N
154378	517	1996-05-09	VYDAJ	VYBER	14500	38204	\N	\N	\N
154379	517	1996-06-08	VYDAJ	VYBER	11400	41512	\N	\N	\N
154380	517	1996-07-08	VYDAJ	VYBER	18500	49638	\N	\N	\N
154381	517	1996-08-07	VYDAJ	VYBER	15600	44594	\N	\N	\N
154382	517	1996-09-06	VYDAJ	VYBER	12200	47129	\N	\N	\N
154383	517	1996-10-06	VYDAJ	VYBER	16800	45070	\N	\N	\N
154384	517	1996-11-05	VYDAJ	VYBER	13700	46109	\N	\N	\N
154385	517	1996-12-05	VYDAJ	VYBER	13600	47247	\N	\N	\N
154386	517	1997-01-04	VYDAJ	VYBER	13400	53458	\N	\N	\N
154387	517	1997-02-03	VYDAJ	VYBER	9000	47307	\N	\N	\N
154388	517	1997-03-05	VYDAJ	VYBER	13800	48243	\N	\N	\N
154389	517	1997-04-04	VYDAJ	VYBER	9600	50990	\N	\N	\N
154390	517	1997-05-04	VYDAJ	VYBER	14800	50947	\N	\N	\N
154391	517	1997-06-03	PRIJEM	VKLAD	11600	32666	\N	\N	\N
154392	517	1997-07-03	VYDAJ	VYBER	6600	52648	\N	\N	\N
154393	517	1997-08-02	VYDAJ	VYBER	14700	52703	\N	\N	\N
154394	517	1997-09-01	VYDAJ	VYBER	14300	49448	\N	\N	\N
154395	517	1997-10-01	VYDAJ	VYBER	5100	53687	\N	\N	\N
154396	517	1997-10-31	VYDAJ	VYBER	10300	58145	\N	\N	\N
154397	517	1997-11-30	VYDAJ	VYBER	11100	55702	\N	\N	\N
154398	517	1997-12-30	VYDAJ	VYBER	20700	59924	\N	\N	\N
154399	517	1998-01-29	VYDAJ	VYBER	9600	50934	\N	\N	\N
154400	517	1998-02-28	VYDAJ	VYBER	15000	50902	\N	\N	\N
154401	517	1998-03-30	VYDAJ	VYBER	12600	52802	\N	\N	\N
154402	517	1998-04-29	VYDAJ	VYBER	13200	54353	\N	\N	\N
154403	517	1998-05-29	VYDAJ	VYBER	11000	53405	\N	\N	\N
154404	517	1998-06-28	VYDAJ	VYBER	18700	59637	\N	\N	\N
154405	517	1998-07-28	VYDAJ	VYBER	500	56445	\N	\N	\N
154406	517	1998-08-27	VYDAJ	VYBER	9300	61845	\N	\N	\N
154407	517	1998-09-26	VYDAJ	VYBER	8900	67690	\N	\N	\N
154408	517	1998-10-26	VYDAJ	VYBER	15100	67356	\N	\N	\N
154409	517	1998-11-25	VYDAJ	VYBER	16600	65542	\N	\N	\N
154473	518	1994-09-09	PRIJEM	VKLAD	200	200	\N	\N	\N
154483	518	1994-10-07	PRIJEM	PREVOD Z UCTU	5836	6036	DUCHOD	MN	39158690
154484	518	1994-11-07	PRIJEM	PREVOD Z UCTU	5836	11872	DUCHOD	MN	39158690
154485	518	1994-12-07	PRIJEM	PREVOD Z UCTU	5836	17708	DUCHOD	MN	39158690
154486	518	1995-01-07	PRIJEM	PREVOD Z UCTU	5836	23544	DUCHOD	MN	39158690
154487	518	1995-02-07	PRIJEM	PREVOD Z UCTU	5836	27180	DUCHOD	MN	39158690
154488	518	1995-03-07	PRIJEM	PREVOD Z UCTU	5836	27090	DUCHOD	MN	39158690
154489	518	1995-04-07	PRIJEM	PREVOD Z UCTU	5836	29664	DUCHOD	MN	39158690
154490	518	1995-05-07	PRIJEM	PREVOD Z UCTU	5836	30643	DUCHOD	MN	39158690
154491	518	1995-06-07	PRIJEM	PREVOD Z UCTU	5836	27023	DUCHOD	MN	39158690
154492	518	1995-07-07	PRIJEM	PREVOD Z UCTU	5836	27116	DUCHOD	MN	39158690
154493	518	1995-08-07	PRIJEM	PREVOD Z UCTU	5836	27048	DUCHOD	MN	39158690
154494	518	1995-09-07	PRIJEM	PREVOD Z UCTU	5836	27222	DUCHOD	MN	39158690
154495	518	1995-10-07	PRIJEM	PREVOD Z UCTU	5836	25397	DUCHOD	MN	39158690
154496	518	1995-11-07	PRIJEM	PREVOD Z UCTU	5836	27966	DUCHOD	MN	39158690
154497	518	1995-12-07	PRIJEM	PREVOD Z UCTU	5836	29903	DUCHOD	MN	39158690
154498	518	1996-01-07	PRIJEM	PREVOD Z UCTU	5836	26798	DUCHOD	MN	39158690
154499	518	1996-02-07	PRIJEM	PREVOD Z UCTU	5836	18576	DUCHOD	MN	39158690
154500	518	1996-03-07	PRIJEM	PREVOD Z UCTU	5836	21114	DUCHOD	MN	39158690
154501	518	1996-04-07	PRIJEM	PREVOD Z UCTU	5836	19013	DUCHOD	MN	39158690
154502	518	1996-05-07	PRIJEM	PREVOD Z UCTU	5836	21553	DUCHOD	MN	39158690
154503	518	1996-06-07	PRIJEM	PREVOD Z UCTU	5836	24104	DUCHOD	MN	39158690
154504	518	1996-07-07	PRIJEM	PREVOD Z UCTU	5836	20807	DUCHOD	MN	39158690
154505	518	1996-08-07	PRIJEM	PREVOD Z UCTU	5836	23354	DUCHOD	MN	39158690
154506	518	1996-09-07	PRIJEM	PREVOD Z UCTU	5836	25913	DUCHOD	MN	39158690
154507	518	1996-10-07	PRIJEM	PREVOD Z UCTU	5836	28481	DUCHOD	MN	39158690
154508	518	1996-11-07	PRIJEM	PREVOD Z UCTU	5836	31061	DUCHOD	MN	39158690
154509	518	1996-12-07	PRIJEM	PREVOD Z UCTU	5836	29649	DUCHOD	MN	39158690
154510	518	1997-01-07	PRIJEM	PREVOD Z UCTU	5836	25680	DUCHOD	MN	39158690
154511	518	1997-02-07	PRIJEM	PREVOD Z UCTU	5836	17821	DUCHOD	MN	39158690
154512	518	1997-03-07	PRIJEM	PREVOD Z UCTU	5836	20356	DUCHOD	MN	39158690
154513	518	1997-04-07	PRIJEM	PREVOD Z UCTU	5836	22901	DUCHOD	MN	39158690
154514	518	1997-05-07	PRIJEM	PREVOD Z UCTU	5836	25457	DUCHOD	MN	39158690
154515	518	1997-06-07	PRIJEM	PREVOD Z UCTU	5836	24921	DUCHOD	MN	39158690
154516	518	1997-07-07	PRIJEM	PREVOD Z UCTU	5836	26685	DUCHOD	MN	39158690
154517	518	1997-08-07	PRIJEM	PREVOD Z UCTU	5836	26769	DUCHOD	MN	39158690
154518	518	1997-09-07	PRIJEM	PREVOD Z UCTU	5836	25937	DUCHOD	MN	39158690
154519	518	1997-10-07	PRIJEM	PREVOD Z UCTU	5836	28024	DUCHOD	MN	39158690
154520	518	1997-11-07	PRIJEM	PREVOD Z UCTU	5836	28999	DUCHOD	MN	39158690
154521	518	1997-12-07	PRIJEM	PREVOD Z UCTU	5836	27776	DUCHOD	MN	39158690
154522	518	1998-01-07	PRIJEM	PREVOD Z UCTU	5836	20090	DUCHOD	MN	39158690
154523	518	1998-02-07	PRIJEM	PREVOD Z UCTU	5836	19344	DUCHOD	MN	39158690
154524	518	1998-03-07	PRIJEM	PREVOD Z UCTU	5836	20365	DUCHOD	MN	39158690
154525	518	1998-04-07	PRIJEM	PREVOD Z UCTU	5836	22910	DUCHOD	MN	39158690
154526	518	1998-05-07	PRIJEM	PREVOD Z UCTU	5836	23062	DUCHOD	MN	39158690
154527	518	1998-06-07	PRIJEM	PREVOD Z UCTU	5836	21033	DUCHOD	MN	39158690
154528	518	1998-07-07	PRIJEM	PREVOD Z UCTU	5836	20376	DUCHOD	MN	39158690
154529	518	1998-08-07	PRIJEM	PREVOD Z UCTU	5836	22620	DUCHOD	MN	39158690
154530	518	1998-09-07	PRIJEM	PREVOD Z UCTU	5836	25174	DUCHOD	MN	39158690
154531	518	1998-10-07	PRIJEM	PREVOD Z UCTU	5836	24973	DUCHOD	MN	39158690
154532	518	1998-11-07	PRIJEM	PREVOD Z UCTU	5836	19121	DUCHOD	MN	39158690
154533	518	1998-12-07	PRIJEM	PREVOD Z UCTU	5836	21660	DUCHOD	MN	39158690
154547	518	1995-02-09	VYDAJ	PREVOD NA UCET	1338	25842	SIPO	GH	39075994
154548	518	1995-03-09	VYDAJ	PREVOD NA UCET	1338	25752	SIPO	GH	39075994
154549	518	1995-04-09	VYDAJ	PREVOD NA UCET	1338	26726	SIPO	GH	39075994
154550	518	1995-05-09	VYDAJ	PREVOD NA UCET	1338	26405	SIPO	GH	39075994
154551	518	1995-06-09	VYDAJ	PREVOD NA UCET	1338	25685	SIPO	GH	39075994
154552	518	1995-07-09	VYDAJ	PREVOD NA UCET	1338	25778	SIPO	GH	39075994
154553	518	1995-08-09	VYDAJ	PREVOD NA UCET	1338	25710	SIPO	GH	39075994
154554	518	1995-09-09	VYDAJ	PREVOD NA UCET	1338	25884	SIPO	GH	39075994
154555	518	1995-10-09	VYDAJ	PREVOD NA UCET	1338	24059	SIPO	GH	39075994
154556	518	1995-11-09	VYDAJ	PREVOD NA UCET	1338	26628	SIPO	GH	39075994
154557	518	1995-12-09	VYDAJ	PREVOD NA UCET	1338	28565	SIPO	GH	39075994
154558	518	1996-01-09	VYDAJ	PREVOD NA UCET	1338	25460	SIPO	GH	39075994
154559	518	1996-02-09	VYDAJ	PREVOD NA UCET	1338	17238	SIPO	GH	39075994
154560	518	1996-03-09	VYDAJ	PREVOD NA UCET	1338	19776	SIPO	GH	39075994
154561	518	1996-04-09	VYDAJ	PREVOD NA UCET	1338	17675	SIPO	GH	39075994
154562	518	1996-05-09	VYDAJ	PREVOD NA UCET	1338	20215	SIPO	GH	39075994
154563	518	1996-06-09	VYDAJ	PREVOD NA UCET	1338	22766	SIPO	GH	39075994
154564	518	1996-07-09	VYDAJ	PREVOD NA UCET	1338	19469	SIPO	GH	39075994
154565	518	1996-08-09	VYDAJ	PREVOD NA UCET	1338	22016	SIPO	GH	39075994
154566	518	1996-09-09	VYDAJ	PREVOD NA UCET	1338	24575	SIPO	GH	39075994
154567	518	1996-10-09	VYDAJ	PREVOD NA UCET	1338	27143	SIPO	GH	39075994
154568	518	1996-11-09	VYDAJ	PREVOD NA UCET	1338	29723	SIPO	GH	39075994
154569	518	1996-12-09	VYDAJ	PREVOD NA UCET	1338	28311	SIPO	GH	39075994
154570	518	1997-01-09	VYDAJ	PREVOD NA UCET	1338	19782	SIPO	GH	39075994
154571	518	1997-02-09	VYDAJ	PREVOD NA UCET	1338	16483	SIPO	GH	39075994
154572	518	1997-03-09	VYDAJ	PREVOD NA UCET	1338	19018	SIPO	GH	39075994
154573	518	1997-04-09	VYDAJ	PREVOD NA UCET	1338	21563	SIPO	GH	39075994
154574	518	1997-05-09	VYDAJ	PREVOD NA UCET	1338	24119	SIPO	GH	39075994
154575	518	1997-06-09	VYDAJ	PREVOD NA UCET	1338	23583	SIPO	GH	39075994
154576	518	1997-07-09	VYDAJ	PREVOD NA UCET	1338	22867	SIPO	GH	39075994
154577	518	1997-08-09	VYDAJ	PREVOD NA UCET	1338	25431	SIPO	GH	39075994
154578	518	1997-09-09	VYDAJ	PREVOD NA UCET	1338	24119	SIPO	GH	39075994
154579	518	1997-10-09	VYDAJ	PREVOD NA UCET	1338	26686	SIPO	GH	39075994
154580	518	1997-11-09	VYDAJ	PREVOD NA UCET	1338	27661	SIPO	GH	39075994
154581	518	1997-12-09	VYDAJ	PREVOD NA UCET	1338	26438	SIPO	GH	39075994
154582	518	1998-01-09	VYDAJ	PREVOD NA UCET	1338	18752	SIPO	GH	39075994
154583	518	1998-02-09	VYDAJ	PREVOD NA UCET	1338	18006	SIPO	GH	39075994
154584	518	1998-03-09	VYDAJ	PREVOD NA UCET	1338	19027	SIPO	GH	39075994
154585	518	1998-04-09	VYDAJ	PREVOD NA UCET	1338	21572	SIPO	GH	39075994
154586	518	1998-05-09	VYDAJ	PREVOD NA UCET	1338	21724	SIPO	GH	39075994
154587	518	1998-06-09	VYDAJ	PREVOD NA UCET	1338	19695	SIPO	GH	39075994
154588	518	1998-07-09	VYDAJ	PREVOD NA UCET	1338	19038	SIPO	GH	39075994
154589	518	1998-08-09	VYDAJ	PREVOD NA UCET	1338	21282	SIPO	GH	39075994
154590	518	1998-09-09	VYDAJ	PREVOD NA UCET	1338	23836	SIPO	GH	39075994
154591	518	1998-10-09	VYDAJ	PREVOD NA UCET	1338	23635	SIPO	GH	39075994
154592	518	1998-11-09	VYDAJ	PREVOD NA UCET	1338	17783	SIPO	GH	39075994
154593	518	1998-12-09	VYDAJ	PREVOD NA UCET	1338	20322	SIPO	GH	39075994
154608	518	1995-03-05	VYDAJ	PREVOD NA UCET	2015	21254	 	MN	13886338
154609	518	1995-04-05	VYDAJ	PREVOD NA UCET	2015	23828	 	MN	13886338
154610	518	1995-05-05	VYDAJ	PREVOD NA UCET	2015	24807	 	MN	13886338
154611	518	1995-06-05	VYDAJ	PREVOD NA UCET	2015	24487	 	MN	13886338
154612	518	1995-07-05	VYDAJ	PREVOD NA UCET	2015	21280	 	MN	13886338
154613	518	1995-08-05	VYDAJ	PREVOD NA UCET	2015	21212	 	MN	13886338
154614	518	1995-09-05	VYDAJ	PREVOD NA UCET	2015	21386	 	MN	13886338
154615	518	1995-10-05	VYDAJ	PREVOD NA UCET	2015	19561	 	MN	13886338
154616	518	1995-11-05	VYDAJ	PREVOD NA UCET	2015	22130	 	MN	13886338
154617	518	1995-12-05	VYDAJ	PREVOD NA UCET	2015	24067	 	MN	13886338
154618	518	1996-01-05	VYDAJ	PREVOD NA UCET	2015	20962	 	MN	13886338
154619	518	1996-02-05	VYDAJ	PREVOD NA UCET	2015	12740	 	MN	13886338
154620	518	1996-03-05	VYDAJ	PREVOD NA UCET	2015	15278	 	MN	13886338
154621	518	1996-04-05	VYDAJ	PREVOD NA UCET	2015	13177	 	MN	13886338
154622	518	1996-05-05	VYDAJ	PREVOD NA UCET	2015	15717	 	MN	13886338
154623	518	1996-06-05	VYDAJ	PREVOD NA UCET	2015	18268	 	MN	13886338
154624	518	1996-07-05	VYDAJ	PREVOD NA UCET	2015	14971	 	MN	13886338
154625	518	1996-08-05	VYDAJ	PREVOD NA UCET	2015	17518	 	MN	13886338
154626	518	1996-09-05	VYDAJ	PREVOD NA UCET	2015	20077	 	MN	13886338
154627	518	1996-10-05	VYDAJ	PREVOD NA UCET	2015	22645	 	MN	13886338
154628	518	1996-11-05	VYDAJ	PREVOD NA UCET	2015	25225	 	MN	13886338
154629	518	1996-12-05	VYDAJ	PREVOD NA UCET	2015	23813	 	MN	13886338
154630	518	1997-01-05	VYDAJ	PREVOD NA UCET	2015	19844	 	MN	13886338
154631	518	1997-02-05	VYDAJ	PREVOD NA UCET	2015	11985	 	MN	13886338
154632	518	1997-03-05	VYDAJ	PREVOD NA UCET	2015	14520	 	MN	13886338
154633	518	1997-04-05	VYDAJ	PREVOD NA UCET	2015	17065	 	MN	13886338
154634	518	1997-05-05	VYDAJ	PREVOD NA UCET	2015	19621	 	MN	13886338
154635	518	1997-06-05	VYDAJ	PREVOD NA UCET	2015	19085	 	MN	13886338
154636	518	1997-07-05	VYDAJ	PREVOD NA UCET	2015	20849	 	MN	13886338
154637	518	1997-08-05	VYDAJ	PREVOD NA UCET	2015	20933	 	MN	13886338
154638	518	1997-09-05	VYDAJ	PREVOD NA UCET	2015	20101	 	MN	13886338
154639	518	1997-10-05	VYDAJ	PREVOD NA UCET	2015	22188	 	MN	13886338
154640	518	1997-11-05	VYDAJ	PREVOD NA UCET	2015	23163	 	MN	13886338
154641	518	1997-12-05	VYDAJ	PREVOD NA UCET	2015	21940	 	MN	13886338
154642	518	1998-01-05	VYDAJ	PREVOD NA UCET	2015	14254	 	MN	13886338
154643	518	1998-02-05	VYDAJ	PREVOD NA UCET	2015	13508	 	MN	13886338
154644	518	1998-03-05	VYDAJ	PREVOD NA UCET	2015	14529	 	MN	13886338
154645	518	1998-04-05	VYDAJ	PREVOD NA UCET	2015	17074	 	MN	13886338
154646	518	1998-05-05	VYDAJ	PREVOD NA UCET	2015	17226	 	MN	13886338
154647	518	1998-06-05	VYDAJ	PREVOD NA UCET	2015	15197	 	MN	13886338
154648	518	1998-07-05	VYDAJ	PREVOD NA UCET	2015	14540	 	MN	13886338
154649	518	1998-08-05	VYDAJ	PREVOD NA UCET	2015	16784	 	MN	13886338
154650	518	1998-09-05	VYDAJ	PREVOD NA UCET	2015	19338	 	MN	13886338
154651	518	1998-10-05	VYDAJ	PREVOD NA UCET	2015	19137	 	MN	13886338
154652	518	1998-11-05	VYDAJ	PREVOD NA UCET	2015	13285	 	MN	13886338
154653	518	1998-12-05	VYDAJ	PREVOD NA UCET	2015	15824	 	MN	13886338
154656	518	1996-06-20	VYDAJ	VYBER	5850	16916	\N	\N	\N
154661	518	1996-01-20	VYDAJ	VYBER	1500	19720	\N	\N	\N
154665	518	1995-12-30	VYDAJ	VYBER	450	28115	\N	\N	\N
154666	518	1996-12-24	VYDAJ	VYBER	250	28061	\N	\N	\N
154667	518	1997-12-16	VYDAJ	VYBER	850	25588	\N	\N	\N
154668	518	1998-12-24	VYDAJ	VYBER	350	18172	\N	\N	\N
154681	518	1996-01-20	VYDAJ	VYBER	1040	21220	\N	\N	\N
154682	518	1996-01-01	VYDAJ	VYBER	1840	26377	\N	\N	\N
154683	518	1996-01-23	VYDAJ	VYBER	1200	18520	\N	\N	\N
154684	518	1996-01-25	VYDAJ	VYBER	1760	16760	\N	\N	\N
154685	518	1996-01-04	VYDAJ	VYBER	1200	22977	\N	\N	\N
154686	518	1996-01-27	VYDAJ	VYBER	2080	14680	\N	\N	\N
154687	518	1997-01-14	VYDAJ	VYBER	1920	15622	\N	\N	\N
154689	518	1997-01-14	VYDAJ	VYBER	2240	17542	\N	\N	\N
154690	518	1997-01-16	VYDAJ	VYBER	1680	13942	\N	\N	\N
154692	518	1997-01-09	VYDAJ	VYBER	1600	21120	\N	\N	\N
154693	518	1998-01-11	VYDAJ	VYBER	1360	15472	\N	\N	\N
154694	518	1998-01-01	VYDAJ	VYBER	1600	16269	\N	\N	\N
154697	518	1998-01-10	VYDAJ	VYBER	1920	16832	\N	\N	\N
154704	518	1995-11-24	VYDAJ	VYBER	640	25988	\N	\N	\N
154705	518	1995-07-27	VYDAJ	VYBER	2640	23138	\N	\N	\N
154706	518	1995-02-20	VYDAJ	VYBER	2640	23202	\N	\N	\N
154707	518	1995-06-21	VYDAJ	VYBER	2480	23205	\N	\N	\N
154708	518	1996-01-15	VYDAJ	VYBER	3200	22260	\N	\N	\N
154709	518	1996-03-12	VYDAJ	VYBER	3360	16416	\N	\N	\N
154710	518	1996-03-27	VYDAJ	VYBER	1280	15136	\N	\N	\N
154712	518	1997-01-07	VYDAJ	VYBER	2960	22720	\N	\N	\N
154713	518	1997-07-07	VYDAJ	VYBER	2480	24205	\N	\N	\N
154714	518	1997-01-03	VYDAJ	VYBER	1600	21859	\N	\N	\N
154715	518	1997-09-07	VYDAJ	VYBER	480	25457	\N	\N	\N
154716	518	1998-05-24	VYDAJ	VYBER	3280	17144	\N	\N	\N
154718	518	1998-09-09	VYDAJ	VYBER	560	23276	\N	\N	\N
154719	518	1998-04-23	VYDAJ	VYBER	2400	19172	\N	\N	\N
154720	518	1998-02-09	VYDAJ	VYBER	1520	16486	\N	\N	\N
154735	518	1995-02-28	VYDAJ	VYBER	15	23269	SLUZBY	\N	\N
154736	518	1995-03-31	VYDAJ	VYBER	15	25843	SLUZBY	\N	\N
154737	518	1995-04-30	VYDAJ	VYBER	15	26822	SLUZBY	\N	\N
154738	518	1995-05-31	VYDAJ	VYBER	15	26502	SLUZBY	\N	\N
154739	518	1995-06-30	VYDAJ	VYBER	15	23295	SLUZBY	\N	\N
154740	518	1995-07-31	VYDAJ	VYBER	15	23227	SLUZBY	\N	\N
154741	518	1995-08-31	VYDAJ	VYBER	15	25801	SLUZBY	\N	\N
154742	518	1995-09-30	VYDAJ	VYBER	15	25976	SLUZBY	\N	\N
154743	518	1995-10-31	VYDAJ	VYBER	15	24145	SLUZBY	\N	\N
154744	518	1995-11-30	VYDAJ	VYBER	15	26082	SLUZBY	\N	\N
154745	518	1995-12-31	VYDAJ	VYBER	15	28217	SLUZBY	\N	\N
154746	518	1996-01-31	VYDAJ	VYBER	15	14755	SLUZBY	\N	\N
154747	518	1996-02-29	VYDAJ	VYBER	15	17293	SLUZBY	\N	\N
154748	518	1996-03-31	VYDAJ	VYBER	15	15192	SLUZBY	\N	\N
154749	518	1996-04-30	VYDAJ	VYBER	15	17732	SLUZBY	\N	\N
154750	518	1996-05-31	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
154751	518	1996-06-30	VYDAJ	VYBER	15	16986	SLUZBY	\N	\N
154752	518	1996-07-31	VYDAJ	VYBER	15	19533	SLUZBY	\N	\N
154753	518	1996-08-31	VYDAJ	VYBER	15	22092	SLUZBY	\N	\N
154754	518	1996-09-30	VYDAJ	VYBER	15	24660	SLUZBY	\N	\N
154755	518	1996-10-31	VYDAJ	VYBER	15	27240	SLUZBY	\N	\N
154756	518	1996-11-30	VYDAJ	VYBER	15	25828	SLUZBY	\N	\N
154757	518	1996-12-31	VYDAJ	VYBER	15	23459	SLUZBY	\N	\N
154758	518	1997-01-31	VYDAJ	VYBER	15	14000	SLUZBY	\N	\N
154759	518	1997-02-28	VYDAJ	VYBER	15	16535	SLUZBY	\N	\N
154760	518	1997-03-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
154761	518	1997-04-30	VYDAJ	VYBER	15	21636	SLUZBY	\N	\N
154762	518	1997-05-31	VYDAJ	VYBER	15	21100	SLUZBY	\N	\N
154763	518	1997-06-30	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
154764	518	1997-07-31	VYDAJ	VYBER	15	22948	SLUZBY	\N	\N
154765	518	1997-08-31	VYDAJ	VYBER	15	22116	SLUZBY	\N	\N
154766	518	1997-09-30	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
154767	518	1997-10-31	VYDAJ	VYBER	15	25178	SLUZBY	\N	\N
154768	518	1997-11-30	VYDAJ	VYBER	15	23955	SLUZBY	\N	\N
154769	518	1997-12-31	VYDAJ	VYBER	15	17869	SLUZBY	\N	\N
154770	518	1998-01-31	VYDAJ	VYBER	15	15523	SLUZBY	\N	\N
154771	518	1998-02-28	VYDAJ	VYBER	15	16544	SLUZBY	\N	\N
154772	518	1998-03-31	VYDAJ	VYBER	15	19089	SLUZBY	\N	\N
154773	518	1998-04-30	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
154774	518	1998-05-31	VYDAJ	VYBER	15	17212	SLUZBY	\N	\N
154775	518	1998-06-30	VYDAJ	VYBER	15	16555	SLUZBY	\N	\N
154776	518	1998-07-31	VYDAJ	VYBER	15	18799	SLUZBY	\N	\N
154777	518	1998-08-31	VYDAJ	VYBER	15	21353	SLUZBY	\N	\N
154778	518	1998-09-30	VYDAJ	VYBER	15	21152	SLUZBY	\N	\N
154779	518	1998-10-31	VYDAJ	VYBER	15	15300	SLUZBY	\N	\N
154780	518	1998-11-30	VYDAJ	VYBER	15	17839	SLUZBY	\N	\N
154781	518	1995-02-06	VYDAJ	VYBER	2200	21344	\N	\N	\N
154782	518	1995-04-07	VYDAJ	VYBER	1600	28064	\N	\N	\N
154783	518	1995-05-07	VYDAJ	VYBER	2900	27743	\N	\N	\N
154784	518	1995-06-06	VYDAJ	VYBER	3300	21187	\N	\N	\N
154785	518	1995-09-04	VYDAJ	VYBER	2400	23401	\N	\N	\N
154786	518	1995-10-04	VYDAJ	VYBER	4400	21576	\N	\N	\N
154787	518	1996-01-02	VYDAJ	VYBER	2200	24177	\N	\N	\N
154788	518	1996-11-27	VYDAJ	VYBER	4000	25723	\N	\N	\N
154789	518	1996-12-27	VYDAJ	VYBER	4700	23361	\N	\N	\N
154790	518	1997-05-26	VYDAJ	VYBER	3100	21019	\N	\N	\N
154791	518	1997-06-25	VYDAJ	VYBER	800	22783	\N	\N	\N
154792	518	1997-08-24	VYDAJ	VYBER	3400	22031	\N	\N	\N
154793	518	1997-10-23	VYDAJ	VYBER	1600	25086	\N	\N	\N
154794	518	1997-11-22	VYDAJ	VYBER	3800	23861	\N	\N	\N
154795	518	1997-12-22	VYDAJ	VYBER	7800	17788	\N	\N	\N
154796	518	1998-05-21	VYDAJ	VYBER	1300	20424	\N	\N	\N
154797	518	1998-06-20	VYDAJ	VYBER	3200	16495	\N	\N	\N
154798	518	1998-07-20	VYDAJ	VYBER	300	18738	\N	\N	\N
154799	518	1998-09-18	VYDAJ	VYBER	2200	21076	\N	\N	\N
154800	518	1998-10-18	VYDAJ	VYBER	8400	15235	\N	\N	\N
154801	518	1998-12-17	VYDAJ	VYBER	1800	18522	\N	\N	\N
154849	519	1993-11-12	PRIJEM	VKLAD	200	200	\N	\N	\N
154861	519	1993-12-11	PRIJEM	PREVOD Z UCTU	6987	7187	DUCHOD	YZ	96366220
154862	519	1994-01-11	PRIJEM	PREVOD Z UCTU	6987	14174	DUCHOD	YZ	96366220
154863	519	1994-02-11	PRIJEM	PREVOD Z UCTU	6987	21161	DUCHOD	YZ	96366220
154864	519	1994-03-11	PRIJEM	PREVOD Z UCTU	6987	28148	DUCHOD	YZ	96366220
154865	519	1994-04-11	PRIJEM	PREVOD Z UCTU	6987	34108	DUCHOD	YZ	96366220
154866	519	1994-05-11	PRIJEM	PREVOD Z UCTU	6987	32487	DUCHOD	YZ	96366220
154867	519	1994-06-11	PRIJEM	PREVOD Z UCTU	6987	31844	DUCHOD	YZ	96366220
154868	519	1994-07-11	PRIJEM	PREVOD Z UCTU	6987	21212	DUCHOD	YZ	96366220
154869	519	1994-08-11	PRIJEM	PREVOD Z UCTU	6987	25023	DUCHOD	YZ	96366220
154870	519	1994-09-11	PRIJEM	PREVOD Z UCTU	6987	28850	DUCHOD	YZ	96366220
154871	519	1994-10-11	PRIJEM	PREVOD Z UCTU	6987	32692	DUCHOD	YZ	96366220
154872	519	1994-11-11	PRIJEM	PREVOD Z UCTU	6987	32550	DUCHOD	YZ	96366220
154873	519	1994-12-11	PRIJEM	PREVOD Z UCTU	6987	34110	DUCHOD	YZ	96366220
154874	519	1995-01-11	PRIJEM	PREVOD Z UCTU	6987	36854	DUCHOD	YZ	96366220
154875	519	1995-02-11	PRIJEM	PREVOD Z UCTU	6987	29936	DUCHOD	YZ	96366220
154876	519	1995-03-11	PRIJEM	PREVOD Z UCTU	6987	30281	DUCHOD	YZ	96366220
154877	519	1995-04-11	PRIJEM	PREVOD Z UCTU	6987	32030	DUCHOD	YZ	96366220
154878	519	1995-05-11	PRIJEM	PREVOD Z UCTU	6987	33720	DUCHOD	YZ	96366220
154879	519	1995-06-11	PRIJEM	PREVOD Z UCTU	6987	35783	DUCHOD	YZ	96366220
154880	519	1995-07-11	PRIJEM	PREVOD Z UCTU	6987	29527	DUCHOD	YZ	96366220
154881	519	1995-08-11	PRIJEM	PREVOD Z UCTU	6987	31372	DUCHOD	YZ	96366220
154882	519	1995-09-11	PRIJEM	PREVOD Z UCTU	6987	32243	DUCHOD	YZ	96366220
154883	519	1995-10-11	PRIJEM	PREVOD Z UCTU	6987	29397	DUCHOD	YZ	96366220
154884	519	1995-11-11	PRIJEM	PREVOD Z UCTU	6987	28143	DUCHOD	YZ	96366220
154885	519	1995-12-11	PRIJEM	PREVOD Z UCTU	6987	31282	DUCHOD	YZ	96366220
154886	519	1996-01-11	PRIJEM	PREVOD Z UCTU	6987	27048	DUCHOD	YZ	96366220
154887	519	1996-02-11	PRIJEM	PREVOD Z UCTU	6987	17888	DUCHOD	YZ	96366220
154888	519	1996-03-11	PRIJEM	PREVOD Z UCTU	6987	21684	DUCHOD	YZ	96366220
154889	519	1996-04-11	PRIJEM	PREVOD Z UCTU	6987	22896	DUCHOD	YZ	96366220
154890	519	1996-05-11	PRIJEM	PREVOD Z UCTU	6987	26713	DUCHOD	YZ	96366220
154891	519	1996-06-11	PRIJEM	PREVOD Z UCTU	6987	18845	DUCHOD	YZ	96366220
154892	519	1996-07-11	PRIJEM	PREVOD Z UCTU	6987	22657	DUCHOD	YZ	96366220
154893	519	1996-08-11	PRIJEM	PREVOD Z UCTU	6987	26473	DUCHOD	YZ	96366220
154894	519	1996-09-11	PRIJEM	PREVOD Z UCTU	6987	29004	DUCHOD	YZ	96366220
154895	519	1996-10-11	PRIJEM	PREVOD Z UCTU	6987	28924	DUCHOD	YZ	96366220
154896	519	1996-11-11	PRIJEM	PREVOD Z UCTU	6987	27882	DUCHOD	YZ	96366220
154897	519	1996-12-11	PRIJEM	PREVOD Z UCTU	6987	31718	DUCHOD	YZ	96366220
154898	519	1997-01-11	PRIJEM	PREVOD Z UCTU	6987	29369	DUCHOD	YZ	96366220
154899	519	1997-02-11	PRIJEM	PREVOD Z UCTU	6987	23675	DUCHOD	YZ	96366220
154900	519	1997-03-11	PRIJEM	PREVOD Z UCTU	6987	27494	DUCHOD	YZ	96366220
154901	519	1997-04-11	PRIJEM	PREVOD Z UCTU	6987	30769	DUCHOD	YZ	96366220
154902	519	1997-05-11	PRIJEM	PREVOD Z UCTU	6987	33077	DUCHOD	YZ	96366220
154903	519	1997-06-11	PRIJEM	PREVOD Z UCTU	6987	34914	DUCHOD	YZ	96366220
154904	519	1997-07-11	PRIJEM	PREVOD Z UCTU	6987	25170	DUCHOD	YZ	96366220
154905	519	1997-08-11	PRIJEM	PREVOD Z UCTU	6987	25550	DUCHOD	YZ	96366220
154906	519	1997-09-11	PRIJEM	PREVOD Z UCTU	6987	27474	DUCHOD	YZ	96366220
154907	519	1997-10-11	PRIJEM	PREVOD Z UCTU	6987	28005	DUCHOD	YZ	96366220
154908	519	1997-11-11	PRIJEM	PREVOD Z UCTU	6987	28037	DUCHOD	YZ	96366220
154909	519	1997-12-11	PRIJEM	PREVOD Z UCTU	6987	31874	DUCHOD	YZ	96366220
154910	519	1998-01-11	PRIJEM	PREVOD Z UCTU	6987	30407	DUCHOD	YZ	96366220
154911	519	1998-02-11	PRIJEM	PREVOD Z UCTU	6987	29426	DUCHOD	YZ	96366220
154912	519	1998-03-11	PRIJEM	PREVOD Z UCTU	6987	28361	DUCHOD	YZ	96366220
154913	519	1998-04-11	PRIJEM	PREVOD Z UCTU	6987	28253	DUCHOD	YZ	96366220
154914	519	1998-05-11	PRIJEM	PREVOD Z UCTU	6987	29587	DUCHOD	YZ	96366220
154915	519	1998-06-11	PRIJEM	PREVOD Z UCTU	6987	23814	DUCHOD	YZ	96366220
154916	519	1998-07-11	PRIJEM	PREVOD Z UCTU	6987	27633	DUCHOD	YZ	96366220
154917	519	1998-08-11	PRIJEM	PREVOD Z UCTU	6987	29445	DUCHOD	YZ	96366220
154918	519	1998-09-11	PRIJEM	PREVOD Z UCTU	6987	28779	DUCHOD	YZ	96366220
154919	519	1998-10-11	PRIJEM	PREVOD Z UCTU	6987	30915	DUCHOD	YZ	96366220
154920	519	1998-11-11	PRIJEM	PREVOD Z UCTU	6987	30917	DUCHOD	YZ	96366220
154921	519	1998-12-11	PRIJEM	PREVOD Z UCTU	6987	26346	DUCHOD	YZ	96366220
154938	519	1994-05-05	VYDAJ	PREVOD NA UCET	3245	25500	SIPO	AB	65870404
154939	519	1994-06-05	VYDAJ	PREVOD NA UCET	3245	24857	SIPO	AB	65870404
154940	519	1994-07-05	VYDAJ	PREVOD NA UCET	3245	14225	SIPO	AB	65870404
154941	519	1994-08-05	VYDAJ	PREVOD NA UCET	3245	18036	SIPO	AB	65870404
154942	519	1994-09-05	VYDAJ	PREVOD NA UCET	3245	21863	SIPO	AB	65870404
154943	519	1994-10-05	VYDAJ	PREVOD NA UCET	3245	25705	SIPO	AB	65870404
154944	519	1994-11-05	VYDAJ	PREVOD NA UCET	3245	29563	SIPO	AB	65870404
154945	519	1994-12-05	VYDAJ	PREVOD NA UCET	3245	29423	SIPO	AB	65870404
154946	519	1995-01-05	VYDAJ	PREVOD NA UCET	3245	30987	SIPO	AB	65870404
154947	519	1995-02-05	VYDAJ	PREVOD NA UCET	3245	25149	SIPO	AB	65870404
154948	519	1995-03-05	VYDAJ	PREVOD NA UCET	3245	26794	SIPO	AB	65870404
154949	519	1995-04-05	VYDAJ	PREVOD NA UCET	3245	27143	SIPO	AB	65870404
154950	519	1995-05-05	VYDAJ	PREVOD NA UCET	3245	26733	SIPO	AB	65870404
154951	519	1995-06-05	VYDAJ	PREVOD NA UCET	3245	30596	SIPO	AB	65870404
154952	519	1995-07-05	VYDAJ	PREVOD NA UCET	3245	22540	SIPO	AB	65870404
154953	519	1995-08-05	VYDAJ	PREVOD NA UCET	3245	24385	SIPO	AB	65870404
154954	519	1995-09-05	VYDAJ	PREVOD NA UCET	3245	25256	SIPO	AB	65870404
154955	519	1995-10-05	VYDAJ	PREVOD NA UCET	3245	22410	SIPO	AB	65870404
154956	519	1995-11-05	VYDAJ	PREVOD NA UCET	3245	21156	SIPO	AB	65870404
154957	519	1995-12-05	VYDAJ	PREVOD NA UCET	3245	24295	SIPO	AB	65870404
154958	519	1996-01-05	VYDAJ	PREVOD NA UCET	3245	20701	SIPO	AB	65870404
154959	519	1996-02-05	VYDAJ	PREVOD NA UCET	3245	10901	SIPO	AB	65870404
154960	519	1996-03-05	VYDAJ	PREVOD NA UCET	3245	14697	SIPO	AB	65870404
154961	519	1996-04-05	VYDAJ	PREVOD NA UCET	3245	15909	SIPO	AB	65870404
154962	519	1996-05-05	VYDAJ	PREVOD NA UCET	3245	19726	SIPO	AB	65870404
154963	519	1996-06-05	VYDAJ	PREVOD NA UCET	3245	22358	SIPO	AB	65870404
154964	519	1996-07-05	VYDAJ	PREVOD NA UCET	3245	15670	SIPO	AB	65870404
154965	519	1996-08-05	VYDAJ	PREVOD NA UCET	3245	19486	SIPO	AB	65870404
154966	519	1996-09-05	VYDAJ	PREVOD NA UCET	3245	22017	SIPO	AB	65870404
154967	519	1996-10-05	VYDAJ	PREVOD NA UCET	3245	21937	SIPO	AB	65870404
154968	519	1996-11-05	VYDAJ	PREVOD NA UCET	3245	20895	SIPO	AB	65870404
154969	519	1996-12-05	VYDAJ	PREVOD NA UCET	3245	24731	SIPO	AB	65870404
154970	519	1997-01-05	VYDAJ	PREVOD NA UCET	3245	22382	SIPO	AB	65870404
154971	519	1997-02-05	VYDAJ	PREVOD NA UCET	3245	16688	SIPO	AB	65870404
154972	519	1997-03-05	VYDAJ	PREVOD NA UCET	3245	20507	SIPO	AB	65870404
154973	519	1997-04-05	VYDAJ	PREVOD NA UCET	3245	23782	SIPO	AB	65870404
154974	519	1997-05-05	VYDAJ	PREVOD NA UCET	3245	26090	SIPO	AB	65870404
154975	519	1997-06-05	VYDAJ	PREVOD NA UCET	3245	28407	SIPO	AB	65870404
154976	519	1997-07-05	VYDAJ	PREVOD NA UCET	3245	18183	SIPO	AB	65870404
154977	519	1997-08-05	VYDAJ	PREVOD NA UCET	3245	18563	SIPO	AB	65870404
154978	519	1997-09-05	VYDAJ	PREVOD NA UCET	3245	20487	SIPO	AB	65870404
154979	519	1997-10-05	VYDAJ	PREVOD NA UCET	3245	21018	SIPO	AB	65870404
154980	519	1997-11-05	VYDAJ	PREVOD NA UCET	3245	21050	SIPO	AB	65870404
154981	519	1997-12-05	VYDAJ	PREVOD NA UCET	3245	24887	SIPO	AB	65870404
154982	519	1998-01-05	VYDAJ	PREVOD NA UCET	3245	25720	SIPO	AB	65870404
154983	519	1998-02-05	VYDAJ	PREVOD NA UCET	3245	22439	SIPO	AB	65870404
154984	519	1998-03-05	VYDAJ	PREVOD NA UCET	3245	21374	SIPO	AB	65870404
154985	519	1998-04-05	VYDAJ	PREVOD NA UCET	3245	21266	SIPO	AB	65870404
154986	519	1998-05-05	VYDAJ	PREVOD NA UCET	3245	22600	SIPO	AB	65870404
154987	519	1998-06-05	VYDAJ	PREVOD NA UCET	3245	16827	SIPO	AB	65870404
154988	519	1998-07-05	VYDAJ	PREVOD NA UCET	3245	20646	SIPO	AB	65870404
154989	519	1998-08-05	VYDAJ	PREVOD NA UCET	3245	22458	SIPO	AB	65870404
154990	519	1998-09-05	VYDAJ	PREVOD NA UCET	3245	21792	SIPO	AB	65870404
154991	519	1998-10-05	VYDAJ	PREVOD NA UCET	3245	23928	SIPO	AB	65870404
154992	519	1998-11-05	VYDAJ	PREVOD NA UCET	3245	23930	SIPO	AB	65870404
154993	519	1998-12-05	VYDAJ	PREVOD NA UCET	3245	19359	SIPO	AB	65870404
154995	519	1994-06-29	VYDAJ	VYBER	13600	17364	\N	\N	\N
154996	519	1995-06-12	VYDAJ	VYBER	10100	25683	\N	\N	\N
154997	519	1996-06-05	VYDAJ	VYBER	10500	11858	\N	\N	\N
154998	519	1997-06-20	VYDAJ	VYBER	12950	21964	\N	\N	\N
154999	519	1998-06-04	VYDAJ	VYBER	5350	20072	\N	\N	\N
155002	519	1995-01-13	VYDAJ	VYBER	500	36354	\N	\N	\N
155003	519	1996-01-26	VYDAJ	VYBER	4900	18228	\N	\N	\N
155004	519	1997-01-04	VYDAJ	VYBER	3800	25627	\N	\N	\N
155005	519	1998-01-07	VYDAJ	VYBER	2300	23420	\N	\N	\N
155018	519	1995-01-19	VYDAJ	VYBER	1440	34194	\N	\N	\N
155019	519	1995-01-18	VYDAJ	VYBER	720	35634	\N	\N	\N
155020	519	1995-01-24	VYDAJ	VYBER	1920	28274	\N	\N	\N
155021	519	1995-01-09	VYDAJ	VYBER	720	29867	\N	\N	\N
155022	519	1995-01-21	VYDAJ	VYBER	2000	30194	\N	\N	\N
155023	519	1995-01-21	VYDAJ	VYBER	2000	32194	\N	\N	\N
155024	519	1996-01-28	VYDAJ	VYBER	2080	16148	\N	\N	\N
155025	519	1996-01-02	VYDAJ	VYBER	880	23946	\N	\N	\N
155026	519	1996-01-30	VYDAJ	VYBER	2080	14068	\N	\N	\N
155027	519	1996-01-10	VYDAJ	VYBER	640	20061	\N	\N	\N
155028	519	1996-01-12	VYDAJ	VYBER	1120	25928	\N	\N	\N
155029	519	1996-01-17	VYDAJ	VYBER	480	25448	\N	\N	\N
155030	519	1997-01-29	VYDAJ	VYBER	2320	19849	\N	\N	\N
155031	519	1997-01-11	VYDAJ	VYBER	1200	28169	\N	\N	\N
155032	519	1997-01-21	VYDAJ	VYBER	1200	22169	\N	\N	\N
155033	519	1997-01-17	VYDAJ	VYBER	1360	23369	\N	\N	\N
155034	519	1997-01-12	VYDAJ	VYBER	1360	26809	\N	\N	\N
155035	519	1997-01-16	VYDAJ	VYBER	2080	24729	\N	\N	\N
155036	519	1998-01-29	VYDAJ	VYBER	400	25587	\N	\N	\N
155037	519	1998-01-01	VYDAJ	VYBER	1920	29765	\N	\N	\N
155038	519	1998-01-25	VYDAJ	VYBER	400	25987	\N	\N	\N
155039	519	1998-01-03	VYDAJ	VYBER	800	28965	\N	\N	\N
155040	519	1998-01-12	VYDAJ	VYBER	400	30007	\N	\N	\N
155041	519	1998-01-17	VYDAJ	VYBER	1920	28087	\N	\N	\N
155050	519	1994-04-11	VYDAJ	VYBER	2080	28628	\N	\N	\N
155051	519	1994-06-12	VYDAJ	VYBER	880	30964	\N	\N	\N
155053	519	1995-04-14	VYDAJ	VYBER	2160	29870	\N	\N	\N
155054	519	1995-08-27	VYDAJ	VYBER	480	30892	\N	\N	\N
155055	519	1995-12-22	VYDAJ	VYBER	2960	28322	\N	\N	\N
155057	519	1996-10-26	VYDAJ	VYBER	3760	25164	\N	\N	\N
155058	519	1996-09-22	VYDAJ	VYBER	720	28284	\N	\N	\N
155059	519	1996-11-02	VYDAJ	VYBER	1120	24140	\N	\N	\N
155060	519	1996-01-22	VYDAJ	VYBER	720	23128	\N	\N	\N
155061	519	1996-01-21	VYDAJ	VYBER	1600	23848	\N	\N	\N
155062	519	1997-04-30	VYDAJ	VYBER	640	29335	\N	\N	\N
155063	519	1997-05-19	VYDAJ	VYBER	640	32437	\N	\N	\N
155064	519	1997-06-10	VYDAJ	VYBER	480	27927	\N	\N	\N
155065	519	1997-06-24	VYDAJ	VYBER	640	21324	\N	\N	\N
155066	519	1997-07-18	VYDAJ	VYBER	3440	21730	\N	\N	\N
155067	519	1997-03-12	VYDAJ	VYBER	560	26934	\N	\N	\N
155068	519	1998-10-27	VYDAJ	VYBER	1040	27075	\N	\N	\N
155069	519	1998-07-21	VYDAJ	VYBER	1920	25613	\N	\N	\N
155070	519	1998-03-19	VYDAJ	VYBER	3040	25321	\N	\N	\N
155071	519	1998-05-24	VYDAJ	VYBER	1760	25327	\N	\N	\N
155072	519	1998-11-11	VYDAJ	VYBER	3200	27717	\N	\N	\N
155089	519	1994-04-30	VYDAJ	VYBER	15	28745	SLUZBY	\N	\N
155090	519	1994-05-31	VYDAJ	VYBER	15	28102	SLUZBY	\N	\N
155091	519	1994-06-30	VYDAJ	VYBER	15	17470	SLUZBY	\N	\N
155092	519	1994-07-31	VYDAJ	VYBER	15	21281	SLUZBY	\N	\N
155093	519	1994-08-31	VYDAJ	VYBER	15	25108	SLUZBY	\N	\N
155094	519	1994-09-30	VYDAJ	VYBER	15	28950	SLUZBY	\N	\N
155095	519	1994-10-31	VYDAJ	VYBER	15	32808	SLUZBY	\N	\N
155096	519	1994-11-30	VYDAJ	VYBER	15	32668	SLUZBY	\N	\N
155097	519	1994-12-31	VYDAJ	VYBER	15	34232	SLUZBY	\N	\N
155098	519	1995-01-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
155099	519	1995-02-28	VYDAJ	VYBER	15	30039	SLUZBY	\N	\N
155100	519	1995-03-31	VYDAJ	VYBER	15	30388	SLUZBY	\N	\N
155101	519	1995-04-30	VYDAJ	VYBER	15	29978	SLUZBY	\N	\N
155102	519	1995-05-31	VYDAJ	VYBER	15	33841	SLUZBY	\N	\N
155103	519	1995-06-30	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
155104	519	1995-07-31	VYDAJ	VYBER	15	29630	SLUZBY	\N	\N
155105	519	1995-08-31	VYDAJ	VYBER	15	31001	SLUZBY	\N	\N
155106	519	1995-09-30	VYDAJ	VYBER	15	32355	SLUZBY	\N	\N
155107	519	1995-10-31	VYDAJ	VYBER	15	29501	SLUZBY	\N	\N
155108	519	1995-11-30	VYDAJ	VYBER	15	28240	SLUZBY	\N	\N
155109	519	1995-12-31	VYDAJ	VYBER	15	28426	SLUZBY	\N	\N
155110	519	1996-01-31	VYDAJ	VYBER	15	14146	SLUZBY	\N	\N
155111	519	1996-02-29	VYDAJ	VYBER	15	17942	SLUZBY	\N	\N
155112	519	1996-03-31	VYDAJ	VYBER	15	19154	SLUZBY	\N	\N
155113	519	1996-04-30	VYDAJ	VYBER	15	22971	SLUZBY	\N	\N
155114	519	1996-05-31	VYDAJ	VYBER	15	25603	SLUZBY	\N	\N
155115	519	1996-06-30	VYDAJ	VYBER	15	18915	SLUZBY	\N	\N
155116	519	1996-07-31	VYDAJ	VYBER	15	22731	SLUZBY	\N	\N
155117	519	1996-08-31	VYDAJ	VYBER	15	25262	SLUZBY	\N	\N
155118	519	1996-09-30	VYDAJ	VYBER	15	25182	SLUZBY	\N	\N
155119	519	1996-10-31	VYDAJ	VYBER	15	25260	SLUZBY	\N	\N
155120	519	1996-11-30	VYDAJ	VYBER	15	27976	SLUZBY	\N	\N
155121	519	1996-12-31	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
155122	519	1997-01-31	VYDAJ	VYBER	15	19933	SLUZBY	\N	\N
155123	519	1997-02-28	VYDAJ	VYBER	15	23752	SLUZBY	\N	\N
155124	519	1997-03-31	VYDAJ	VYBER	15	27027	SLUZBY	\N	\N
155125	519	1997-04-30	VYDAJ	VYBER	15	29975	SLUZBY	\N	\N
155126	519	1997-05-31	VYDAJ	VYBER	15	31652	SLUZBY	\N	\N
155127	519	1997-06-30	VYDAJ	VYBER	15	21428	SLUZBY	\N	\N
155128	519	1997-07-31	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
155129	519	1997-08-31	VYDAJ	VYBER	15	23732	SLUZBY	\N	\N
155130	519	1997-09-30	VYDAJ	VYBER	15	24263	SLUZBY	\N	\N
155131	519	1997-10-31	VYDAJ	VYBER	15	24295	SLUZBY	\N	\N
155132	519	1997-11-30	VYDAJ	VYBER	15	28132	SLUZBY	\N	\N
155133	519	1997-12-31	VYDAJ	VYBER	15	31685	SLUZBY	\N	\N
155134	519	1998-01-31	VYDAJ	VYBER	15	25684	SLUZBY	\N	\N
155135	519	1998-02-28	VYDAJ	VYBER	15	24619	SLUZBY	\N	\N
155136	519	1998-03-31	VYDAJ	VYBER	15	24511	SLUZBY	\N	\N
155137	519	1998-04-30	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
155138	519	1998-05-31	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
155139	519	1998-06-30	VYDAJ	VYBER	15	23891	SLUZBY	\N	\N
155140	519	1998-07-31	VYDAJ	VYBER	15	25703	SLUZBY	\N	\N
155141	519	1998-08-31	VYDAJ	VYBER	15	25037	SLUZBY	\N	\N
155142	519	1998-09-30	VYDAJ	VYBER	15	27173	SLUZBY	\N	\N
155143	519	1998-10-31	VYDAJ	VYBER	15	27175	SLUZBY	\N	\N
155144	519	1998-11-30	VYDAJ	VYBER	15	22604	SLUZBY	\N	\N
155145	519	1994-03-12	VYDAJ	VYBER	1100	27048	\N	\N	\N
155146	519	1994-04-11	VYDAJ	VYBER	3400	30708	\N	\N	\N
155147	519	1994-05-11	VYDAJ	VYBER	4500	27987	\N	\N	\N
155148	519	1994-11-07	VYDAJ	VYBER	4000	25563	\N	\N	\N
155149	519	1994-12-07	VYDAJ	VYBER	2300	27123	\N	\N	\N
155150	519	1995-01-06	VYDAJ	VYBER	400	30587	\N	\N	\N
155151	519	1995-02-05	VYDAJ	VYBER	2200	22949	\N	\N	\N
155152	519	1995-03-07	VYDAJ	VYBER	3500	23294	\N	\N	\N
155153	519	1995-04-06	VYDAJ	VYBER	2100	25043	\N	\N	\N
155154	519	1995-06-05	VYDAJ	VYBER	1800	28796	\N	\N	\N
155155	519	1995-08-04	VYDAJ	VYBER	2000	27630	\N	\N	\N
155156	519	1995-09-03	VYDAJ	VYBER	2500	28501	\N	\N	\N
155157	519	1995-10-03	VYDAJ	VYBER	6700	25655	\N	\N	\N
155158	519	1995-11-02	VYDAJ	VYBER	5100	24401	\N	\N	\N
155159	519	1995-12-02	VYDAJ	VYBER	700	27540	\N	\N	\N
155160	519	1996-01-01	VYDAJ	VYBER	3600	24826	\N	\N	\N
155161	519	1996-03-31	VYDAJ	VYBER	2600	19169	\N	\N	\N
155162	519	1996-05-30	VYDAJ	VYBER	1200	25513	\N	\N	\N
155163	519	1996-08-28	VYDAJ	VYBER	1300	25173	\N	\N	\N
155164	519	1996-09-27	VYDAJ	VYBER	3200	25084	\N	\N	\N
155165	519	1996-12-26	VYDAJ	VYBER	2400	29318	\N	\N	\N
155166	519	1997-04-25	VYDAJ	VYBER	900	29869	\N	\N	\N
155167	519	1997-05-25	VYDAJ	VYBER	900	31537	\N	\N	\N
155168	519	1997-08-23	VYDAJ	VYBER	1900	23650	\N	\N	\N
155169	519	1997-09-22	VYDAJ	VYBER	3300	24174	\N	\N	\N
155170	519	1997-10-22	VYDAJ	VYBER	3800	24205	\N	\N	\N
155171	519	1997-12-21	VYDAJ	VYBER	300	31574	\N	\N	\N
155172	519	1998-01-20	VYDAJ	VYBER	1700	26387	\N	\N	\N
155173	519	1998-02-19	VYDAJ	VYBER	4900	24526	\N	\N	\N
155174	519	1998-03-21	VYDAJ	VYBER	900	24421	\N	\N	\N
155175	519	1998-04-20	VYDAJ	VYBER	2500	25753	\N	\N	\N
155176	519	1998-05-20	VYDAJ	VYBER	2500	27087	\N	\N	\N
155177	519	1998-07-19	VYDAJ	VYBER	100	27533	\N	\N	\N
155178	519	1998-08-18	VYDAJ	VYBER	4500	24945	\N	\N	\N
155179	519	1998-09-17	VYDAJ	VYBER	1700	27079	\N	\N	\N
155180	519	1998-10-17	VYDAJ	VYBER	2800	28115	\N	\N	\N
155181	519	1998-11-16	VYDAJ	VYBER	5200	22517	\N	\N	\N
155240	520	1993-11-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
155251	520	1993-11-11	PRIJEM	PREVOD Z UCTU	3498	4498	\N	YZ	5587023
155252	520	1993-12-11	PRIJEM	PREVOD Z UCTU	3498	8009	\N	YZ	5587023
155253	520	1994-01-11	PRIJEM	PREVOD Z UCTU	3498	11525	\N	YZ	5587023
155254	520	1994-02-11	PRIJEM	PREVOD Z UCTU	3498	15042	\N	YZ	5587023
155255	520	1994-03-11	PRIJEM	PREVOD Z UCTU	3498	18559	\N	YZ	5587023
155256	520	1994-04-11	PRIJEM	PREVOD Z UCTU	3498	19731	\N	YZ	5587023
155257	520	1994-05-11	PRIJEM	PREVOD Z UCTU	3498	20963	\N	YZ	5587023
155258	520	1994-06-11	PRIJEM	PREVOD Z UCTU	3498	13530	\N	YZ	5587023
155259	520	1994-07-11	PRIJEM	PREVOD Z UCTU	3498	14747	\N	YZ	5587023
155260	520	1994-08-11	PRIJEM	PREVOD Z UCTU	3498	15958	\N	YZ	5587023
155261	520	1994-09-11	PRIJEM	PREVOD Z UCTU	3498	17174	\N	YZ	5587023
155262	520	1994-10-11	PRIJEM	PREVOD Z UCTU	3498	17554	\N	YZ	5587023
155263	520	1994-11-11	PRIJEM	PREVOD Z UCTU	3498	18777	\N	YZ	5587023
155264	520	1994-12-11	PRIJEM	PREVOD Z UCTU	3498	20005	\N	YZ	5587023
155265	520	1995-01-11	PRIJEM	PREVOD Z UCTU	3498	21088	\N	YZ	5587023
155266	520	1995-02-11	PRIJEM	PREVOD Z UCTU	3498	22325	\N	YZ	5587023
155267	520	1995-03-11	PRIJEM	PREVOD Z UCTU	3498	22816	\N	YZ	5587023
155268	520	1995-04-11	PRIJEM	PREVOD Z UCTU	3498	23640	\N	YZ	5587023
155269	520	1995-05-11	PRIJEM	PREVOD Z UCTU	3498	24888	\N	YZ	5587023
155270	520	1995-06-11	PRIJEM	PREVOD Z UCTU	3498	25401	\N	YZ	5587023
155271	520	1995-07-11	PRIJEM	PREVOD Z UCTU	3498	18719	\N	YZ	5587023
155272	520	1995-08-11	PRIJEM	PREVOD Z UCTU	3498	19946	\N	YZ	5587023
155273	520	1995-09-11	PRIJEM	PREVOD Z UCTU	3498	21179	\N	YZ	5587023
155274	520	1995-10-11	PRIJEM	PREVOD Z UCTU	3498	22417	\N	YZ	5587023
155275	520	1995-11-11	PRIJEM	PREVOD Z UCTU	3498	23660	\N	YZ	5587023
155276	520	1995-12-11	PRIJEM	PREVOD Z UCTU	3498	24187	\N	YZ	5587023
155277	520	1996-01-11	PRIJEM	PREVOD Z UCTU	3498	23774	\N	YZ	5587023
155278	520	1996-02-11	PRIJEM	PREVOD Z UCTU	3498	23721	\N	YZ	5587023
155279	520	1996-03-11	PRIJEM	PREVOD Z UCTU	3498	23259	\N	YZ	5587023
155280	520	1996-04-11	PRIJEM	PREVOD Z UCTU	3498	23695	\N	YZ	5587023
155281	520	1996-05-11	PRIJEM	PREVOD Z UCTU	3498	24153	\N	YZ	5587023
155282	520	1996-06-11	PRIJEM	PREVOD Z UCTU	3498	25403	\N	YZ	5587023
155283	520	1996-07-11	PRIJEM	PREVOD Z UCTU	3498	16861	\N	YZ	5587023
155284	520	1996-08-11	PRIJEM	PREVOD Z UCTU	3498	17149	\N	YZ	5587023
155285	520	1996-09-11	PRIJEM	PREVOD Z UCTU	3498	18370	\N	YZ	5587023
155286	520	1996-10-11	PRIJEM	PREVOD Z UCTU	3498	18543	\N	YZ	5587023
155287	520	1996-11-11	PRIJEM	PREVOD Z UCTU	3498	18658	\N	YZ	5587023
155288	520	1996-12-11	PRIJEM	PREVOD Z UCTU	3498	19075	\N	YZ	5587023
155289	520	1997-01-11	PRIJEM	PREVOD Z UCTU	3498	20304	\N	YZ	5587023
155290	520	1997-02-11	PRIJEM	PREVOD Z UCTU	3498	20217	\N	YZ	5587023
155291	520	1997-03-11	PRIJEM	PREVOD Z UCTU	3498	21451	\N	YZ	5587023
155292	520	1997-04-11	PRIJEM	PREVOD Z UCTU	3498	21489	\N	YZ	5587023
155293	520	1997-05-11	PRIJEM	PREVOD Z UCTU	3498	22728	\N	YZ	5587023
155294	520	1997-06-11	PRIJEM	PREVOD Z UCTU	3498	23401	\N	YZ	5587023
155295	520	1997-07-11	PRIJEM	PREVOD Z UCTU	3498	24648	\N	YZ	5587023
155296	520	1997-08-11	PRIJEM	PREVOD Z UCTU	3498	25899	\N	YZ	5587023
155297	520	1997-09-11	PRIJEM	PREVOD Z UCTU	3498	27156	\N	YZ	5587023
155298	520	1997-10-11	PRIJEM	PREVOD Z UCTU	3498	28147	\N	YZ	5587023
155299	520	1997-11-11	PRIJEM	PREVOD Z UCTU	3498	28362	\N	YZ	5587023
155300	520	1997-12-11	PRIJEM	PREVOD Z UCTU	3498	28820	\N	YZ	5587023
155301	520	1998-01-11	PRIJEM	PREVOD Z UCTU	3498	29728	\N	YZ	5587023
155302	520	1998-02-11	PRIJEM	PREVOD Z UCTU	3498	31001	\N	YZ	5587023
155303	520	1998-03-11	PRIJEM	PREVOD Z UCTU	3498	30295	\N	YZ	5587023
155304	520	1998-04-11	PRIJEM	PREVOD Z UCTU	3498	31570	\N	YZ	5587023
155305	520	1998-05-11	PRIJEM	PREVOD Z UCTU	3498	31770	\N	YZ	5587023
155306	520	1998-06-11	PRIJEM	PREVOD Z UCTU	3498	33051	\N	YZ	5587023
155307	520	1998-07-11	PRIJEM	PREVOD Z UCTU	3498	31966	\N	YZ	5587023
155308	520	1998-08-11	PRIJEM	PREVOD Z UCTU	3498	33247	\N	YZ	5587023
155309	520	1998-09-11	PRIJEM	PREVOD Z UCTU	3498	34533	\N	YZ	5587023
155310	520	1998-10-11	PRIJEM	PREVOD Z UCTU	3498	33601	\N	YZ	5587023
155311	520	1998-11-11	PRIJEM	PREVOD Z UCTU	3498	33716	\N	YZ	5587023
155312	520	1998-12-11	PRIJEM	PREVOD Z UCTU	3498	34253	\N	YZ	5587023
155328	520	1994-04-10	VYDAJ	PREVOD NA UCET	2332	16233	SIPO	MN	67366206
155329	520	1994-05-10	VYDAJ	PREVOD NA UCET	2332	17465	SIPO	MN	67366206
155330	520	1994-06-10	VYDAJ	PREVOD NA UCET	2332	10032	SIPO	MN	67366206
155331	520	1994-07-10	VYDAJ	PREVOD NA UCET	2332	11249	SIPO	MN	67366206
155332	520	1994-08-10	VYDAJ	PREVOD NA UCET	2332	12460	SIPO	MN	67366206
155333	520	1994-09-10	VYDAJ	PREVOD NA UCET	2332	13676	SIPO	MN	67366206
155334	520	1994-10-10	VYDAJ	PREVOD NA UCET	2332	14056	SIPO	MN	67366206
155335	520	1994-11-10	VYDAJ	PREVOD NA UCET	2332	15279	SIPO	MN	67366206
155336	520	1994-12-10	VYDAJ	PREVOD NA UCET	2332	16507	SIPO	MN	67366206
155337	520	1995-01-10	VYDAJ	PREVOD NA UCET	2332	17590	SIPO	MN	67366206
155338	520	1995-02-10	VYDAJ	PREVOD NA UCET	2332	18827	SIPO	MN	67366206
155339	520	1995-03-10	VYDAJ	PREVOD NA UCET	2332	19318	SIPO	MN	67366206
155340	520	1995-04-10	VYDAJ	PREVOD NA UCET	2332	20142	SIPO	MN	67366206
155341	520	1995-05-10	VYDAJ	PREVOD NA UCET	2332	21390	SIPO	MN	67366206
155342	520	1995-06-10	VYDAJ	PREVOD NA UCET	2332	21903	SIPO	MN	67366206
155343	520	1995-07-10	VYDAJ	PREVOD NA UCET	2332	15221	SIPO	MN	67366206
155344	520	1995-08-10	VYDAJ	PREVOD NA UCET	2332	16448	SIPO	MN	67366206
155345	520	1995-09-10	VYDAJ	PREVOD NA UCET	2332	17681	SIPO	MN	67366206
155346	520	1995-10-10	VYDAJ	PREVOD NA UCET	2332	18919	SIPO	MN	67366206
155347	520	1995-11-10	VYDAJ	PREVOD NA UCET	2332	20162	SIPO	MN	67366206
155348	520	1995-12-10	VYDAJ	PREVOD NA UCET	2332	20689	SIPO	MN	67366206
155349	520	1996-01-10	VYDAJ	PREVOD NA UCET	2332	20276	SIPO	MN	67366206
155350	520	1996-02-10	VYDAJ	PREVOD NA UCET	2332	20223	SIPO	MN	67366206
155351	520	1996-03-10	VYDAJ	PREVOD NA UCET	2332	19761	SIPO	MN	67366206
155352	520	1996-04-10	VYDAJ	PREVOD NA UCET	2332	20197	SIPO	MN	67366206
155353	520	1996-05-10	VYDAJ	PREVOD NA UCET	2332	20655	SIPO	MN	67366206
155354	520	1996-06-10	VYDAJ	PREVOD NA UCET	2332	21905	SIPO	MN	67366206
155355	520	1996-07-10	VYDAJ	PREVOD NA UCET	2332	13363	SIPO	MN	67366206
155356	520	1996-08-10	VYDAJ	PREVOD NA UCET	2332	13651	SIPO	MN	67366206
155357	520	1996-09-10	VYDAJ	PREVOD NA UCET	2332	14872	SIPO	MN	67366206
155358	520	1996-10-10	VYDAJ	PREVOD NA UCET	2332	15045	SIPO	MN	67366206
155359	520	1996-11-10	VYDAJ	PREVOD NA UCET	2332	15160	SIPO	MN	67366206
155360	520	1996-12-10	VYDAJ	PREVOD NA UCET	2332	15577	SIPO	MN	67366206
155361	520	1997-01-10	VYDAJ	PREVOD NA UCET	2332	16806	SIPO	MN	67366206
155362	520	1997-02-10	VYDAJ	PREVOD NA UCET	2332	16719	SIPO	MN	67366206
155363	520	1997-03-10	VYDAJ	PREVOD NA UCET	2332	17953	SIPO	MN	67366206
155364	520	1997-04-10	VYDAJ	PREVOD NA UCET	2332	17991	SIPO	MN	67366206
155365	520	1997-05-10	VYDAJ	PREVOD NA UCET	2332	19230	SIPO	MN	67366206
155366	520	1997-06-10	VYDAJ	PREVOD NA UCET	2332	19903	SIPO	MN	67366206
155367	520	1997-07-10	VYDAJ	PREVOD NA UCET	2332	21150	SIPO	MN	67366206
155368	520	1997-08-10	VYDAJ	PREVOD NA UCET	2332	22401	SIPO	MN	67366206
155369	520	1997-09-10	VYDAJ	PREVOD NA UCET	2332	23658	SIPO	MN	67366206
155370	520	1997-10-10	VYDAJ	PREVOD NA UCET	2332	24649	SIPO	MN	67366206
155371	520	1997-11-10	VYDAJ	PREVOD NA UCET	2332	24864	SIPO	MN	67366206
155372	520	1997-12-10	VYDAJ	PREVOD NA UCET	2332	26132	SIPO	MN	67366206
155373	520	1998-01-10	VYDAJ	PREVOD NA UCET	2332	26230	SIPO	MN	67366206
155374	520	1998-02-10	VYDAJ	PREVOD NA UCET	2332	27503	SIPO	MN	67366206
155375	520	1998-03-10	VYDAJ	PREVOD NA UCET	2332	26797	SIPO	MN	67366206
155376	520	1998-04-10	VYDAJ	PREVOD NA UCET	2332	28072	SIPO	MN	67366206
155377	520	1998-05-10	VYDAJ	PREVOD NA UCET	2332	28272	SIPO	MN	67366206
155378	520	1998-06-10	VYDAJ	PREVOD NA UCET	2332	29553	SIPO	MN	67366206
155379	520	1998-07-10	VYDAJ	PREVOD NA UCET	2332	28468	SIPO	MN	67366206
155380	520	1998-08-10	VYDAJ	PREVOD NA UCET	2332	29749	SIPO	MN	67366206
155381	520	1998-09-10	VYDAJ	PREVOD NA UCET	2332	31035	SIPO	MN	67366206
155382	520	1998-10-10	VYDAJ	PREVOD NA UCET	2332	30103	SIPO	MN	67366206
155383	520	1998-11-10	VYDAJ	PREVOD NA UCET	2332	30218	SIPO	MN	67366206
155384	520	1998-12-10	VYDAJ	PREVOD NA UCET	2332	30755	SIPO	MN	67366206
155386	520	1994-06-02	VYDAJ	VYBER	8670	12364	\N	\N	\N
155387	520	1995-06-14	VYDAJ	VYBER	7350	18051	\N	\N	\N
155388	520	1996-06-19	VYDAJ	VYBER	8340	15623	\N	\N	\N
155390	520	1998-06-27	VYDAJ	VYBER	2370	30681	\N	\N	\N
155392	520	1994-12-17	VYDAJ	VYBER	150	19855	\N	\N	\N
155393	520	1995-12-18	VYDAJ	VYBER	780	22927	\N	\N	\N
155394	520	1996-12-05	VYDAJ	VYBER	810	17909	\N	\N	\N
155395	520	1997-12-10	VYDAJ	VYBER	810	25322	\N	\N	\N
155396	520	1998-12-15	VYDAJ	VYBER	480	33773	\N	\N	\N
155403	520	1994-09-17	VYDAJ	VYBER	840	16334	\N	\N	\N
155404	520	1995-06-18	VYDAJ	VYBER	570	17481	\N	\N	\N
155405	520	1995-11-16	VYDAJ	VYBER	720	22940	\N	\N	\N
155406	520	1995-12-18	VYDAJ	VYBER	480	23707	\N	\N	\N
155407	520	1995-03-11	VYDAJ	VYBER	420	22396	\N	\N	\N
155408	520	1995-02-13	VYDAJ	VYBER	750	21575	\N	\N	\N
155409	520	1995-06-01	VYDAJ	VYBER	540	24235	\N	\N	\N
155410	520	1996-06-11	VYDAJ	VYBER	1440	23963	\N	\N	\N
155411	520	1996-10-20	VYDAJ	VYBER	1110	17433	\N	\N	\N
155412	520	1996-02-26	VYDAJ	VYBER	1230	22491	\N	\N	\N
155413	520	1996-07-25	VYDAJ	VYBER	930	15931	\N	\N	\N
155414	520	1996-02-27	VYDAJ	VYBER	480	22011	\N	\N	\N
155415	520	1996-09-13	VYDAJ	VYBER	1050	17320	\N	\N	\N
155416	520	1996-04-03	VYDAJ	VYBER	810	22529	\N	\N	\N
155417	520	1996-04-29	VYDAJ	VYBER	690	22905	\N	\N	\N
155418	520	1997-04-03	VYDAJ	VYBER	1200	20323	\N	\N	\N
155419	520	1997-12-24	VYDAJ	VYBER	360	28460	\N	\N	\N
155420	520	1997-10-04	VYDAJ	VYBER	270	26981	\N	\N	\N
155421	520	1997-11-06	VYDAJ	VYBER	630	27196	\N	\N	\N
155422	520	1997-05-21	VYDAJ	VYBER	570	22158	\N	\N	\N
155423	520	1997-01-30	VYDAJ	VYBER	1320	18984	\N	\N	\N
155424	520	1997-10-15	VYDAJ	VYBER	420	27727	\N	\N	\N
155425	520	1998-05-02	VYDAJ	VYBER	1080	30604	\N	\N	\N
155426	520	1998-02-19	VYDAJ	VYBER	1410	29591	\N	\N	\N
155427	520	1998-11-19	VYDAJ	VYBER	750	32966	\N	\N	\N
155428	520	1998-10-17	VYDAJ	VYBER	1170	32431	\N	\N	\N
155429	520	1998-02-21	VYDAJ	VYBER	570	29021	\N	\N	\N
155430	520	1998-09-15	VYDAJ	VYBER	1410	33123	\N	\N	\N
155431	520	1998-09-21	VYDAJ	VYBER	810	32313	\N	\N	\N
155447	520	1994-03-31	VYDAJ	VYBER	15	18565	SLUZBY	\N	\N
155448	520	1994-04-30	VYDAJ	VYBER	15	19797	SLUZBY	\N	\N
155449	520	1994-05-31	VYDAJ	VYBER	15	21034	SLUZBY	\N	\N
155450	520	1994-06-30	VYDAJ	VYBER	15	13581	SLUZBY	\N	\N
155451	520	1994-07-31	VYDAJ	VYBER	15	14792	SLUZBY	\N	\N
155452	520	1994-08-31	VYDAJ	VYBER	15	16008	SLUZBY	\N	\N
155453	520	1994-09-30	VYDAJ	VYBER	15	16388	SLUZBY	\N	\N
155454	520	1994-10-31	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
155455	520	1994-11-30	VYDAJ	VYBER	15	18839	SLUZBY	\N	\N
155456	520	1994-12-31	VYDAJ	VYBER	15	19922	SLUZBY	\N	\N
155457	520	1995-01-31	VYDAJ	VYBER	15	21159	SLUZBY	\N	\N
155458	520	1995-02-28	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
155459	520	1995-03-31	VYDAJ	VYBER	15	22474	SLUZBY	\N	\N
155460	520	1995-04-30	VYDAJ	VYBER	15	23722	SLUZBY	\N	\N
155461	520	1995-05-31	VYDAJ	VYBER	15	24775	SLUZBY	\N	\N
155462	520	1995-06-30	VYDAJ	VYBER	15	17553	SLUZBY	\N	\N
155463	520	1995-07-31	VYDAJ	VYBER	15	18780	SLUZBY	\N	\N
155464	520	1995-08-31	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
155465	520	1995-09-30	VYDAJ	VYBER	15	21251	SLUZBY	\N	\N
155466	520	1995-10-31	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
155467	520	1995-11-30	VYDAJ	VYBER	15	23021	SLUZBY	\N	\N
155468	520	1995-12-31	VYDAJ	VYBER	15	22608	SLUZBY	\N	\N
155469	520	1996-01-31	VYDAJ	VYBER	15	22555	SLUZBY	\N	\N
155470	520	1996-02-29	VYDAJ	VYBER	15	22093	SLUZBY	\N	\N
155471	520	1996-03-31	VYDAJ	VYBER	15	23339	SLUZBY	\N	\N
155472	520	1996-04-30	VYDAJ	VYBER	15	22987	SLUZBY	\N	\N
155473	520	1996-05-31	VYDAJ	VYBER	15	24237	SLUZBY	\N	\N
155474	520	1996-06-30	VYDAJ	VYBER	15	15695	SLUZBY	\N	\N
155475	520	1996-07-31	VYDAJ	VYBER	15	15983	SLUZBY	\N	\N
155476	520	1996-08-31	VYDAJ	VYBER	15	17204	SLUZBY	\N	\N
155477	520	1996-09-30	VYDAJ	VYBER	15	17377	SLUZBY	\N	\N
155478	520	1996-10-31	VYDAJ	VYBER	15	17492	SLUZBY	\N	\N
155479	520	1996-11-30	VYDAJ	VYBER	15	18719	SLUZBY	\N	\N
155480	520	1996-12-31	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
155481	520	1997-01-31	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
155482	520	1997-02-28	VYDAJ	VYBER	15	20285	SLUZBY	\N	\N
155483	520	1997-03-31	VYDAJ	VYBER	15	21523	SLUZBY	\N	\N
155484	520	1997-04-30	VYDAJ	VYBER	15	21562	SLUZBY	\N	\N
155485	520	1997-05-31	VYDAJ	VYBER	15	22235	SLUZBY	\N	\N
155486	520	1997-06-30	VYDAJ	VYBER	15	23482	SLUZBY	\N	\N
155487	520	1997-07-31	VYDAJ	VYBER	15	24733	SLUZBY	\N	\N
155488	520	1997-08-31	VYDAJ	VYBER	15	25990	SLUZBY	\N	\N
155489	520	1997-09-30	VYDAJ	VYBER	15	27251	SLUZBY	\N	\N
155490	520	1997-10-31	VYDAJ	VYBER	15	27826	SLUZBY	\N	\N
155491	520	1997-11-30	VYDAJ	VYBER	15	28464	SLUZBY	\N	\N
155492	520	1997-12-31	VYDAJ	VYBER	15	28562	SLUZBY	\N	\N
155493	520	1998-01-31	VYDAJ	VYBER	15	29835	SLUZBY	\N	\N
155494	520	1998-02-28	VYDAJ	VYBER	15	29129	SLUZBY	\N	\N
155495	520	1998-03-31	VYDAJ	VYBER	15	30404	SLUZBY	\N	\N
155496	520	1998-04-30	VYDAJ	VYBER	15	31684	SLUZBY	\N	\N
155497	520	1998-05-31	VYDAJ	VYBER	15	31885	SLUZBY	\N	\N
155498	520	1998-06-30	VYDAJ	VYBER	15	30800	SLUZBY	\N	\N
155499	520	1998-07-31	VYDAJ	VYBER	15	32081	SLUZBY	\N	\N
155500	520	1998-08-31	VYDAJ	VYBER	15	33367	SLUZBY	\N	\N
155501	520	1998-09-30	VYDAJ	VYBER	15	32435	SLUZBY	\N	\N
155502	520	1998-10-31	VYDAJ	VYBER	15	32550	SLUZBY	\N	\N
155503	520	1998-11-30	VYDAJ	VYBER	15	33087	SLUZBY	\N	\N
155504	520	1995-05-28	VYDAJ	VYBER	200	24688	\N	\N	\N
155505	520	1995-12-24	VYDAJ	VYBER	400	22527	\N	\N	\N
155506	520	1996-01-23	VYDAJ	VYBER	1300	22474	\N	\N	\N
155507	520	1996-04-22	VYDAJ	VYBER	100	23595	\N	\N	\N
155570	521	1995-10-08	PRIJEM	VKLAD	800	800	\N	\N	\N
155571	521	1995-12-21	PRIJEM	VKLAD	35740	100350	\N	\N	\N
155573	521	1995-10-20	PRIJEM	VKLAD	44648	87080	\N	\N	\N
155580	521	1995-12-11	PRIJEM	VKLAD	19257	64610	\N	\N	\N
155585	521	1995-10-12	PRIJEM	VKLAD	41632	42432	\N	\N	\N
155588	521	1995-12-05	PRIJEM	VKLAD	24241	134014	\N	\N	\N
155590	521	1995-12-03	PRIJEM	VKLAD	25651	128273	\N	\N	\N
155592	521	1995-11-25	PRIJEM	VKLAD	44280	102246	\N	\N	\N
155600	521	1996-10-11	PRIJEM	VKLAD	17098	68656	\N	\N	\N
155601	521	1996-02-22	PRIJEM	VKLAD	37643	119930	\N	\N	\N
155602	521	1996-01-14	PRIJEM	VKLAD	7221	94202	\N	\N	\N
155603	521	1996-01-07	PRIJEM	VKLAD	23037	72395	\N	\N	\N
155604	521	1996-10-24	PRIJEM	VKLAD	49372	118028	\N	\N	\N
155605	521	1996-05-09	PRIJEM	VKLAD	29846	106516	\N	\N	\N
155606	521	1996-11-23	PRIJEM	VKLAD	42743	118437	\N	\N	\N
155607	521	1996-05-01	PRIJEM	VKLAD	33927	99446	\N	\N	\N
155608	521	1996-12-14	PRIJEM	VKLAD	23152	60177	\N	\N	\N
155609	521	1996-02-23	PRIJEM	VKLAD	25767	91997	\N	\N	\N
155610	521	1996-11-18	PRIJEM	VKLAD	23122	75694	\N	\N	\N
155611	521	1996-12-20	PRIJEM	VKLAD	11192	65369	\N	\N	\N
155612	521	1996-05-18	PRIJEM	VKLAD	33207	139723	\N	\N	\N
155613	521	1996-02-28	PRIJEM	VKLAD	23317	115314	\N	\N	\N
155614	521	1996-10-02	PRIJEM	VKLAD	19572	106992	\N	\N	\N
155615	521	1996-09-12	PRIJEM	VKLAD	10751	43795	\N	\N	\N
155616	521	1996-01-13	PRIJEM	VKLAD	42820	86981	\N	\N	\N
155617	521	1996-12-01	PRIJEM	VKLAD	7049	72651	\N	\N	\N
155618	521	1996-04-09	PRIJEM	VKLAD	28072	65292	\N	\N	\N
155619	521	1996-06-07	PRIJEM	VKLAD	41416	107286	\N	\N	\N
155620	521	1996-02-20	PRIJEM	VKLAD	41291	82287	\N	\N	\N
155621	521	1996-05-07	PRIJEM	VKLAD	15658	80904	\N	\N	\N
155622	521	1996-09-22	PRIJEM	VKLAD	36866	123050	\N	\N	\N
155623	521	1996-09-21	PRIJEM	VKLAD	42389	86184	\N	\N	\N
155624	521	1996-08-30	PRIJEM	VKLAD	21435	50059	\N	\N	\N
155625	521	1996-04-05	PRIJEM	VKLAD	29478	62054	\N	\N	\N
155626	521	1997-10-17	PRIJEM	VKLAD	23596	109526	\N	\N	\N
155627	521	1997-12-07	PRIJEM	VKLAD	17038	113445	\N	\N	\N
155628	521	1997-09-24	PRIJEM	VKLAD	43759	153181	\N	\N	\N
155629	521	1997-03-20	PRIJEM	VKLAD	43483	96911	\N	\N	\N
155630	521	1997-10-03	PRIJEM	VKLAD	11617	90164	\N	\N	\N
155631	521	1997-01-05	PRIJEM	VKLAD	22823	64297	\N	\N	\N
155632	521	1997-04-10	PRIJEM	VKLAD	38212	75450	\N	\N	\N
155633	521	1997-08-23	PRIJEM	VKLAD	15055	80949	\N	\N	\N
155634	521	1997-09-21	PRIJEM	VKLAD	39162	115992	\N	\N	\N
155635	521	1997-09-02	PRIJEM	VKLAD	31355	101877	\N	\N	\N
155636	521	1997-11-01	PRIJEM	VKLAD	30672	109259	\N	\N	\N
155637	521	1997-04-25	PRIJEM	VKLAD	43217	118667	\N	\N	\N
155638	521	1997-02-27	PRIJEM	VKLAD	31809	55551	\N	\N	\N
155639	521	1997-01-25	PRIJEM	VKLAD	47842	129456	\N	\N	\N
155640	521	1997-10-19	PRIJEM	VKLAD	23007	101433	\N	\N	\N
155641	521	1997-08-10	PRIJEM	VKLAD	9780	65894	\N	\N	\N
155642	521	1997-06-22	PRIJEM	VKLAD	5841	44154	\N	\N	\N
155643	521	1997-12-05	PRIJEM	VKLAD	38820	96407	\N	\N	\N
155644	521	1997-09-27	PRIJEM	VKLAD	29037	105018	\N	\N	\N
155645	521	1997-09-24	PRIJEM	VKLAD	39130	109422	\N	\N	\N
155646	521	1997-07-15	PRIJEM	VKLAD	45741	89434	\N	\N	\N
155647	521	1997-01-25	PRIJEM	VKLAD	44651	81614	\N	\N	\N
155648	521	1997-12-08	PRIJEM	VKLAD	7035	93046	\N	\N	\N
155649	521	1997-03-22	PRIJEM	VKLAD	25734	122645	\N	\N	\N
155650	521	1997-03-04	PRIJEM	VKLAD	11700	57662	\N	\N	\N
155651	521	1997-11-12	PRIJEM	VKLAD	22029	87482	\N	\N	\N
155652	521	1997-11-18	PRIJEM	VKLAD	17230	71604	\N	\N	\N
155653	521	1997-06-10	PRIJEM	VKLAD	16633	47313	\N	\N	\N
155654	521	1997-08-26	PRIJEM	VKLAD	12106	93055	\N	\N	\N
155655	521	1998-04-26	PRIJEM	VKLAD	40755	121772	\N	\N	\N
155656	521	1998-02-01	PRIJEM	VKLAD	39175	133418	\N	\N	\N
155657	521	1998-05-10	PRIJEM	VKLAD	8621	88601	\N	\N	\N
155658	521	1998-04-30	PRIJEM	VKLAD	14107	83879	\N	\N	\N
155659	521	1998-07-21	PRIJEM	VKLAD	45204	81125	\N	\N	\N
155660	521	1998-04-11	PRIJEM	VKLAD	48148	109917	\N	\N	\N
155661	521	1998-09-07	PRIJEM	VKLAD	34754	120761	\N	\N	\N
155662	521	1998-01-23	PRIJEM	VKLAD	27682	71178	\N	\N	\N
155663	521	1998-02-10	PRIJEM	VKLAD	17835	85804	\N	\N	\N
155664	521	1998-01-14	PRIJEM	VKLAD	30911	75850	\N	\N	\N
155665	521	1998-02-06	PRIJEM	VKLAD	6403	116203	\N	\N	\N
155666	521	1998-09-19	PRIJEM	VKLAD	13564	107291	\N	\N	\N
155667	521	1998-05-25	PRIJEM	VKLAD	35134	144235	\N	\N	\N
155668	521	1998-12-25	PRIJEM	VKLAD	45846	82373	\N	\N	\N
155669	521	1998-01-26	PRIJEM	VKLAD	44001	106679	\N	\N	\N
155670	521	1998-07-16	PRIJEM	VKLAD	20642	49867	\N	\N	\N
155671	521	1998-07-28	PRIJEM	VKLAD	42104	112129	\N	\N	\N
155672	521	1998-08-11	PRIJEM	VKLAD	47973	149198	\N	\N	\N
155673	521	1998-01-31	PRIJEM	VKLAD	12745	94257	\N	\N	\N
155674	521	1998-11-27	PRIJEM	VKLAD	5696	61559	\N	\N	\N
155675	521	1998-01-27	PRIJEM	VKLAD	9762	116441	\N	\N	\N
155676	521	1998-10-23	PRIJEM	VKLAD	46457	111216	\N	\N	\N
155677	521	1998-02-22	PRIJEM	VKLAD	40100	125904	\N	\N	\N
155678	521	1998-11-04	PRIJEM	VKLAD	35896	118397	\N	\N	\N
155679	521	1998-02-04	PRIJEM	VKLAD	47643	109800	\N	\N	\N
155680	521	1998-05-12	PRIJEM	VKLAD	37100	125701	\N	\N	\N
155681	521	1998-04-08	PRIJEM	VKLAD	43294	90910	\N	\N	\N
155693	521	1995-12-07	VYDAJ	PREVOD NA UCET	4234	45353	SIPO	IJ	98804980
155694	521	1996-01-07	VYDAJ	PREVOD NA UCET	4234	60361	SIPO	IJ	98804980
155695	521	1996-02-07	VYDAJ	PREVOD NA UCET	4234	40996	SIPO	IJ	98804980
155696	521	1996-03-07	VYDAJ	PREVOD NA UCET	4234	53537	SIPO	IJ	98804980
155697	521	1996-04-07	VYDAJ	PREVOD NA UCET	4234	37220	SIPO	IJ	98804980
155698	521	1996-05-07	VYDAJ	PREVOD NA UCET	4234	76670	SIPO	IJ	98804980
155699	521	1996-06-07	VYDAJ	PREVOD NA UCET	4234	103052	SIPO	IJ	98804980
155700	521	1996-07-07	VYDAJ	PREVOD NA UCET	4234	39191	SIPO	IJ	98804980
155701	521	1996-08-07	VYDAJ	PREVOD NA UCET	4234	28624	SIPO	IJ	98804980
155702	521	1996-09-07	VYDAJ	PREVOD NA UCET	4234	33044	SIPO	IJ	98804980
155703	521	1996-10-07	VYDAJ	PREVOD NA UCET	4234	51558	SIPO	IJ	98804980
155704	521	1996-11-07	VYDAJ	PREVOD NA UCET	4234	52572	SIPO	IJ	98804980
155705	521	1996-12-07	VYDAJ	PREVOD NA UCET	4234	37025	SIPO	IJ	98804980
155706	521	1997-01-07	VYDAJ	PREVOD NA UCET	4234	60063	SIPO	IJ	98804980
155707	521	1997-02-07	VYDAJ	PREVOD NA UCET	4234	23742	SIPO	IJ	98804980
155708	521	1997-03-07	VYDAJ	PREVOD NA UCET	4234	53428	SIPO	IJ	98804980
155709	521	1997-04-07	VYDAJ	PREVOD NA UCET	4234	37238	SIPO	IJ	98804980
155710	521	1997-05-07	VYDAJ	PREVOD NA UCET	4234	60679	SIPO	IJ	98804980
155711	521	1997-06-07	VYDAJ	PREVOD NA UCET	4234	49497	SIPO	IJ	98804980
155712	521	1997-07-07	VYDAJ	PREVOD NA UCET	4234	43693	SIPO	IJ	98804980
155713	521	1997-08-07	VYDAJ	PREVOD NA UCET	4234	56114	SIPO	IJ	98804980
155714	521	1997-09-07	VYDAJ	PREVOD NA UCET	4234	97643	SIPO	IJ	98804980
155715	521	1997-10-07	VYDAJ	PREVOD NA UCET	4234	85930	SIPO	IJ	98804980
155716	521	1997-11-07	VYDAJ	PREVOD NA UCET	4234	65453	SIPO	IJ	98804980
155717	521	1997-12-07	VYDAJ	PREVOD NA UCET	4234	86011	SIPO	IJ	98804980
155718	521	1998-01-07	VYDAJ	PREVOD NA UCET	4234	62039	SIPO	IJ	98804980
155719	521	1998-02-07	VYDAJ	PREVOD NA UCET	4234	67969	SIPO	IJ	98804980
155720	521	1998-03-07	VYDAJ	PREVOD NA UCET	4234	46953	SIPO	IJ	98804980
155721	521	1998-04-07	VYDAJ	PREVOD NA UCET	4234	47616	SIPO	IJ	98804980
155722	521	1998-05-07	VYDAJ	PREVOD NA UCET	4234	79980	SIPO	IJ	98804980
155723	521	1998-06-07	VYDAJ	PREVOD NA UCET	4234	23411	SIPO	IJ	98804980
155724	521	1998-07-07	VYDAJ	PREVOD NA UCET	4234	39425	SIPO	IJ	98804980
155725	521	1998-08-07	VYDAJ	PREVOD NA UCET	4234	101225	SIPO	IJ	98804980
155726	521	1998-09-07	VYDAJ	PREVOD NA UCET	4234	93727	SIPO	IJ	98804980
155727	521	1998-10-07	VYDAJ	PREVOD NA UCET	4234	63859	SIPO	IJ	98804980
155728	521	1998-11-07	VYDAJ	PREVOD NA UCET	4234	55363	SIPO	IJ	98804980
155729	521	1998-12-07	VYDAJ	PREVOD NA UCET	4234	57582	SIPO	IJ	98804980
155736	521	1995-12-07	VYBER	VYBER	22027	68687	\N	\N	\N
155740	521	1996-01-20	VYBER	VYBER	9080	81522	\N	\N	\N
155741	521	1996-03-23	VYBER	VYBER	17282	36255	\N	\N	\N
155742	521	1996-01-06	VYBER	VYBER	14537	68458	\N	\N	\N
155743	521	1996-09-28	VYBER	VYBER	2257	87193	\N	\N	\N
155744	521	1996-06-18	VYBER	VYBER	15075	62677	\N	\N	\N
155745	521	1996-12-02	VYBER	VYBER	9992	41259	\N	\N	\N
155746	521	1997-11-30	VYBER	VYBER	6089	57602	\N	\N	\N
155747	521	1997-04-30	VYBER	VYBER	9854	91828	\N	\N	\N
155748	521	1997-09-09	VYBER	VYBER	2377	95266	\N	\N	\N
155749	521	1997-04-01	VYBER	VYBER	11279	41472	\N	\N	\N
155750	521	1997-07-27	VYBER	VYBER	6630	68404	\N	\N	\N
155751	521	1997-09-19	VYBER	VYBER	18436	76830	\N	\N	\N
155752	521	1997-11-02	VYBER	VYBER	20972	69687	\N	\N	\N
155753	521	1997-06-08	VYBER	VYBER	18817	30680	\N	\N	\N
155754	521	1997-11-14	VYBER	VYBER	16192	71290	\N	\N	\N
155755	521	1997-11-16	VYBER	VYBER	16916	54374	\N	\N	\N
155756	521	1998-07-17	VYBER	VYBER	3913	45954	\N	\N	\N
155757	521	1998-02-28	VYBER	VYBER	22243	51202	\N	\N	\N
155758	521	1998-10-03	VYBER	VYBER	4864	78293	\N	\N	\N
155759	521	1998-12-12	VYBER	VYBER	12754	42728	\N	\N	\N
155760	521	1998-07-20	VYBER	VYBER	10033	35921	\N	\N	\N
155761	521	1998-04-08	VYBER	VYBER	23442	61769	\N	\N	\N
155762	521	1998-12-24	VYBER	VYBER	13701	36527	\N	\N	\N
155763	521	1998-04-08	VYBER	VYBER	5699	85211	\N	\N	\N
155764	521	1998-01-19	VYBER	VYBER	18254	43496	\N	\N	\N
155765	521	1998-07-31	VYBER	VYBER	6889	105474	\N	\N	\N
155766	521	1998-02-03	VYBER	VYBER	15861	62157	\N	\N	\N
155767	521	1998-11-03	VYBER	VYBER	5402	82501	\N	\N	\N
155768	521	1998-06-01	VYBER	VYBER	21893	69645	\N	\N	\N
155773	521	1998-06-06	VYDAJ	VYBER	42000	27645	\N	\N	\N
155774	521	1995-12-23	VYDAJ	VYBER	3900	96450	\N	\N	\N
155775	521	1996-12-19	VYDAJ	VYBER	6000	54177	\N	\N	\N
155776	521	1997-12-22	VYDAJ	VYBER KARTOU	2100	90946	\N	\N	0
155777	521	1998-12-12	VYDAJ	VYBER KARTOU	3300	39428	\N	\N	0
155784	521	1996-01-08	VYDAJ	VYBER	8100	52261	\N	\N	\N
155785	521	1996-01-07	VYDAJ	VYBER	7800	64595	\N	\N	\N
155786	521	1996-01-11	VYDAJ	VYBER	8100	44161	\N	\N	\N
155787	521	1996-01-26	VYDAJ	VYBER	6300	67422	\N	\N	\N
155788	521	1996-01-18	VYDAJ	VYBER	3600	90602	\N	\N	\N
155789	521	1996-01-26	VYDAJ	VYBER	7800	73722	\N	\N	\N
155790	521	1997-01-03	VYDAJ	VYBER	8400	41474	\N	\N	\N
155791	521	1997-01-12	VYDAJ	VYBER	4200	55863	\N	\N	\N
155792	521	1997-01-19	VYDAJ	VYBER	1800	46263	\N	\N	\N
155793	521	1997-01-16	VYDAJ	VYBER	3300	48063	\N	\N	\N
155794	521	1997-01-16	VYDAJ	VYBER	4500	51363	\N	\N	\N
155795	521	1997-01-21	VYDAJ	VYBER	6900	36963	\N	\N	\N
155796	521	1998-01-01	VYDAJ	VYBER	4800	66273	\N	\N	\N
155797	521	1998-01-18	VYDAJ	VYBER	5700	61750	\N	\N	\N
155798	521	1998-01-16	VYDAJ	VYBER	8400	67450	\N	\N	\N
155799	521	1998-01-07	VYDAJ	VYBER	7200	54839	\N	\N	\N
155800	521	1998-01-12	VYDAJ	VYBER	5100	44939	\N	\N	\N
155801	521	1998-01-10	VYDAJ	VYBER	4800	50039	\N	\N	\N
155807	521	1996-03-31	VYDAJ	VYBER	3900	32576	\N	\N	\N
155808	521	1996-01-04	VYDAJ	VYBER	13800	82995	\N	\N	\N
155809	521	1997-01-21	VYDAJ	VYBER KARTOU	2400	43863	\N	\N	0
155811	521	1997-07-18	VYDAJ	VYBER	14400	75034	\N	\N	\N
155812	521	1997-02-01	VYDAJ	VYBER	10200	41476	\N	\N	\N
155813	521	1997-02-05	VYDAJ	VYBER	13500	27976	\N	\N	\N
155814	521	1997-06-16	VYDAJ	VYBER	9000	38313	\N	\N	\N
155815	521	1998-10-04	VYDAJ	VYBER	10200	68093	\N	\N	\N
155816	521	1998-07-10	VYDAJ	VYBER	10200	29225	\N	\N	\N
155817	521	1998-12-09	VYDAJ	VYBER KARTOU	2100	55482	\N	\N	0
155830	521	1995-12-31	VYDAJ	VYBER	15	96795	SLUZBY	\N	\N
155831	521	1996-01-31	VYDAJ	VYBER	15	67730	SLUZBY	\N	\N
155832	521	1996-02-29	VYDAJ	VYBER	15	94971	SLUZBY	\N	\N
155833	521	1996-03-31	VYDAJ	VYBER	15	36476	SLUZBY	\N	\N
155834	521	1996-04-30	VYDAJ	VYBER	15	65519	SLUZBY	\N	\N
155835	521	1996-05-31	VYDAJ	VYBER	15	103370	SLUZBY	\N	\N
155836	521	1996-06-30	VYDAJ	VYBER	15	63025	SLUZBY	\N	\N
155837	521	1996-07-31	VYDAJ	VYBER	15	39358	SLUZBY	\N	\N
155838	521	1996-08-31	VYDAJ	VYBER	15	50178	SLUZBY	\N	\N
155839	521	1996-09-30	VYDAJ	VYBER	15	87420	SLUZBY	\N	\N
155840	521	1996-10-31	VYDAJ	VYBER	15	89906	SLUZBY	\N	\N
155841	521	1996-11-30	VYDAJ	VYBER	15	65602	SLUZBY	\N	\N
155842	521	1996-12-31	VYDAJ	VYBER	15	49874	SLUZBY	\N	\N
155843	521	1997-01-31	VYDAJ	VYBER	15	51676	SLUZBY	\N	\N
155844	521	1997-02-28	VYDAJ	VYBER	15	55662	SLUZBY	\N	\N
155845	521	1997-03-31	VYDAJ	VYBER	15	62051	SLUZBY	\N	\N
155846	521	1997-04-30	VYDAJ	VYBER	15	64913	SLUZBY	\N	\N
155847	521	1997-05-31	VYDAJ	VYBER	15	53731	SLUZBY	\N	\N
155848	521	1997-06-30	VYDAJ	VYBER	15	47927	SLUZBY	\N	\N
155849	521	1997-07-31	VYDAJ	VYBER	15	60348	SLUZBY	\N	\N
155850	521	1997-08-31	VYDAJ	VYBER	15	70522	SLUZBY	\N	\N
155851	521	1997-09-30	VYDAJ	VYBER	15	78547	SLUZBY	\N	\N
155852	521	1997-10-31	VYDAJ	VYBER	15	78587	SLUZBY	\N	\N
155853	521	1997-11-30	VYDAJ	VYBER	15	57587	SLUZBY	\N	\N
155854	521	1997-12-31	VYDAJ	VYBER	15	71073	SLUZBY	\N	\N
155855	521	1998-01-31	VYDAJ	VYBER	15	94243	SLUZBY	\N	\N
155856	521	1998-02-28	VYDAJ	VYBER	15	51187	SLUZBY	\N	\N
155857	521	1998-03-31	VYDAJ	VYBER	15	51850	SLUZBY	\N	\N
155858	521	1998-04-30	VYDAJ	VYBER	15	84214	SLUZBY	\N	\N
155859	521	1998-05-31	VYDAJ	VYBER	15	91538	SLUZBY	\N	\N
155860	521	1998-06-30	VYDAJ	VYBER	15	43659	SLUZBY	\N	\N
155861	521	1998-07-31	VYDAJ	VYBER	15	105459	SLUZBY	\N	\N
155862	521	1998-08-31	VYDAJ	VYBER	15	86007	SLUZBY	\N	\N
155863	521	1998-09-30	VYDAJ	VYBER	15	83157	SLUZBY	\N	\N
155864	521	1998-10-31	VYDAJ	VYBER	15	87903	SLUZBY	\N	\N
155865	521	1998-11-30	VYDAJ	VYBER	15	61816	SLUZBY	\N	\N
155866	521	1995-11-07	VYDAJ	VYBER	29300	57966	\N	\N	\N
155867	521	1995-12-03	VYDAJ	VYBER	18500	109773	\N	\N	\N
155868	521	1995-12-05	VYDAJ	VYBER	43300	90714	\N	\N	\N
155869	521	1995-12-07	VYDAJ	VYBER	19100	49587	\N	\N	\N
155870	521	1996-01-06	VYDAJ	VYBER	19100	49358	\N	\N	\N
155871	521	1996-02-05	VYDAJ	VYBER	22500	45230	\N	\N	\N
155872	521	1996-02-22	VYDAJ	VYBER	53700	66230	\N	\N	\N
155873	521	1996-02-28	VYDAJ	VYBER	20600	94714	\N	\N	\N
155874	521	1996-03-06	VYDAJ	VYBER	37200	57771	\N	\N	\N
155875	521	1996-04-05	VYDAJ	VYBER	20600	41454	\N	\N	\N
155876	521	1996-05-05	VYDAJ	VYBER	34200	65246	\N	\N	\N
155877	521	1996-05-18	VYDAJ	VYBER	36800	102923	\N	\N	\N
155878	521	1996-06-04	VYDAJ	VYBER	37500	65870	\N	\N	\N
155879	521	1996-06-07	VYDAJ	VYBER	25300	77752	\N	\N	\N
155880	521	1996-07-04	VYDAJ	VYBER	19600	43425	\N	\N	\N
155881	521	1996-08-03	VYDAJ	VYBER	6500	32858	\N	\N	\N
155882	521	1996-09-02	VYDAJ	VYBER	12900	37278	\N	\N	\N
155883	521	1996-09-22	VYDAJ	VYBER	33600	89450	\N	\N	\N
155884	521	1996-10-02	VYDAJ	VYBER	17400	55792	\N	\N	\N
155885	521	1996-10-02	VYDAJ	VYBER	33800	73192	\N	\N	\N
155886	521	1996-10-24	VYDAJ	VYBER	28400	89628	\N	\N	\N
155887	521	1996-11-01	VYDAJ	VYBER	33100	56806	\N	\N	\N
155888	521	1996-11-23	VYDAJ	VYBER	53100	65337	\N	\N	\N
155889	521	1996-12-01	VYDAJ	VYBER	21400	51251	\N	\N	\N
155890	521	1996-12-31	VYDAJ	VYBER	15700	49889	\N	\N	\N
155891	521	1997-01-25	VYDAJ	VYBER	60000	69456	\N	\N	\N
155892	521	1997-01-30	VYDAJ	VYBER	18000	51456	\N	\N	\N
155893	521	1997-03-01	VYDAJ	VYBER	9700	45962	\N	\N	\N
155894	521	1997-03-22	VYDAJ	VYBER	60900	61745	\N	\N	\N
155895	521	1997-03-31	VYDAJ	VYBER	9300	52751	\N	\N	\N
155896	521	1997-04-25	VYDAJ	VYBER	17300	101367	\N	\N	\N
155897	521	1997-04-30	VYDAJ	VYBER	26900	64928	\N	\N	\N
155898	521	1997-05-30	VYDAJ	VYBER	7200	53479	\N	\N	\N
155899	521	1997-06-29	PRIJEM	VKLAD	3600	47754	\N	\N	\N
155900	521	1997-07-29	VYDAJ	VYBER	8300	60104	\N	\N	\N
155901	521	1997-08-28	VYDAJ	VYBER	22800	70255	\N	\N	\N
155902	521	1997-09-21	VYDAJ	VYBER	45700	70292	\N	\N	\N
155903	521	1997-09-24	VYDAJ	VYBER	43300	109881	\N	\N	\N
155904	521	1997-09-24	VYDAJ	VYBER	33900	75981	\N	\N	\N
155905	521	1997-09-27	VYDAJ	VYBER	26800	78218	\N	\N	\N
155906	521	1997-10-17	VYDAJ	VYBER	31100	78426	\N	\N	\N
155907	521	1997-10-27	VYDAJ	VYBER	23200	78233	\N	\N	\N
155908	521	1997-11-01	VYDAJ	VYBER	18600	90659	\N	\N	\N
155909	521	1997-11-26	VYDAJ	VYBER	8200	63404	\N	\N	\N
155910	521	1997-12-07	VYDAJ	VYBER	23200	90245	\N	\N	\N
155911	521	1997-12-26	VYDAJ	VYBER	20200	70746	\N	\N	\N
155912	521	1998-01-25	VYDAJ	VYBER	8500	62678	\N	\N	\N
155913	521	1998-01-27	VYDAJ	VYBER	35200	81241	\N	\N	\N
155914	521	1998-02-01	VYDAJ	VYBER	55400	78018	\N	\N	\N
155915	521	1998-02-06	VYDAJ	VYBER	44000	72203	\N	\N	\N
155916	521	1998-02-22	VYDAJ	VYBER	39800	86104	\N	\N	\N
155917	521	1998-02-24	VYDAJ	VYBER	13000	73104	\N	\N	\N
155918	521	1998-03-26	PRIJEM	VKLAD	4700	51653	\N	\N	\N
155919	521	1998-04-25	VYDAJ	VYBER	28900	81017	\N	\N	\N
155920	521	1998-04-26	VYDAJ	VYBER	52000	69772	\N	\N	\N
155921	521	1998-05-12	VYDAJ	VYBER	16600	109101	\N	\N	\N
155922	521	1998-05-25	VYDAJ	VYBER	22000	91135	\N	\N	\N
155923	521	1998-05-25	VYDAJ	VYBER	31100	113135	\N	\N	\N
155924	521	1998-06-24	PRIJEM	VKLAD	20100	43511	\N	\N	\N
155925	521	1998-07-24	VYDAJ	VYBER	11100	70025	\N	\N	\N
155926	521	1998-08-11	VYDAJ	VYBER	37500	111698	\N	\N	\N
155927	521	1998-08-23	VYDAJ	VYBER	26100	85598	\N	\N	\N
155928	521	1998-09-07	VYDAJ	VYBER	22800	97961	\N	\N	\N
155929	521	1998-09-22	VYDAJ	VYBER	24500	82791	\N	\N	\N
155930	521	1998-10-22	PRIJEM	VKLAD	900	64759	\N	\N	\N
155931	521	1998-10-23	VYDAJ	VYBER	23600	87616	\N	\N	\N
155932	521	1998-11-04	VYDAJ	VYBER	58800	59597	\N	\N	\N
155933	521	1998-11-21	PRIJEM	VKLAD	500	55863	\N	\N	\N
155934	521	1998-12-21	PRIJEM	VKLAD	10800	50228	\N	\N	\N
155974	522	1995-12-20	PRIJEM	VKLAD	400	400	\N	\N	\N
155987	522	1996-01-06	PRIJEM	VKLAD	10816	11216	\N	\N	\N
155988	522	1996-02-06	PRIJEM	VKLAD	10816	27561	\N	\N	\N
155989	522	1996-03-06	PRIJEM	VKLAD	10816	36662	\N	\N	\N
155990	522	1996-04-06	PRIJEM	VKLAD	10816	41995	\N	\N	\N
155991	522	1996-05-06	PRIJEM	VKLAD	10816	45146	\N	\N	\N
155992	522	1996-06-06	PRIJEM	VKLAD	16224	50101	\N	\N	\N
155993	522	1996-07-06	PRIJEM	VKLAD	10816	46462	\N	\N	\N
155994	522	1996-08-06	PRIJEM	VKLAD	10816	39886	\N	\N	\N
155995	522	1996-09-06	PRIJEM	VKLAD	10816	39368	\N	\N	\N
155996	522	1996-10-06	PRIJEM	VKLAD	10816	38886	\N	\N	\N
155997	522	1996-11-06	PRIJEM	VKLAD	10816	26434	\N	\N	\N
155998	522	1996-12-06	PRIJEM	VKLAD	16224	34268	\N	\N	\N
155999	522	1997-01-06	PRIJEM	VKLAD	10816	39587	\N	\N	\N
156000	522	1997-02-06	PRIJEM	VKLAD	10816	27431	\N	\N	\N
156001	522	1997-03-06	PRIJEM	VKLAD	10816	30707	\N	\N	\N
156002	522	1997-04-06	PRIJEM	VKLAD	10816	38107	\N	\N	\N
156003	522	1997-05-06	PRIJEM	VKLAD	10816	38531	\N	\N	\N
156004	522	1997-06-06	PRIJEM	VKLAD	16224	39010	\N	\N	\N
156005	522	1997-07-06	PRIJEM	VKLAD	10816	36712	\N	\N	\N
156006	522	1997-08-06	PRIJEM	VKLAD	10816	32506	\N	\N	\N
156007	522	1997-09-06	PRIJEM	VKLAD	10816	29786	\N	\N	\N
156008	522	1997-10-06	PRIJEM	VKLAD	10816	28861	\N	\N	\N
156009	522	1997-11-06	PRIJEM	VKLAD	10816	26926	\N	\N	\N
156010	522	1997-12-06	PRIJEM	VKLAD	16224	30634	\N	\N	\N
156011	522	1998-01-06	PRIJEM	VKLAD	10816	25577	\N	\N	\N
156012	522	1998-02-06	PRIJEM	VKLAD	10816	24577	\N	\N	\N
156013	522	1998-03-06	PRIJEM	VKLAD	10816	26239	\N	\N	\N
156014	522	1998-04-06	PRIJEM	VKLAD	10816	23596	\N	\N	\N
156015	522	1998-05-06	PRIJEM	VKLAD	10816	21139	\N	\N	\N
156016	522	1998-06-06	PRIJEM	VKLAD	16224	24099	\N	\N	\N
156017	522	1998-07-06	PRIJEM	VKLAD	10816	20234	\N	\N	\N
156018	522	1998-08-06	PRIJEM	VKLAD	10816	19770	\N	\N	\N
156019	522	1998-09-06	PRIJEM	VKLAD	10816	18902	\N	\N	\N
156020	522	1998-10-06	PRIJEM	VKLAD	10816	24748	\N	\N	\N
156021	522	1998-11-06	PRIJEM	VKLAD	10816	30619	\N	\N	\N
156022	522	1998-12-06	PRIJEM	VKLAD	16224	31482	\N	\N	\N
156039	522	1996-05-10	VYDAJ	PREVOD NA UCET	77	45069	SIPO	WX	31764650
156040	522	1996-06-10	VYDAJ	PREVOD NA UCET	77	50024	SIPO	WX	31764650
156041	522	1996-07-10	VYDAJ	PREVOD NA UCET	77	46385	SIPO	WX	31764650
156042	522	1996-08-10	VYDAJ	PREVOD NA UCET	77	37169	SIPO	WX	31764650
156043	522	1996-09-10	VYDAJ	PREVOD NA UCET	77	39291	SIPO	WX	31764650
156044	522	1996-10-10	VYDAJ	PREVOD NA UCET	77	38809	SIPO	WX	31764650
156045	522	1996-11-10	VYDAJ	PREVOD NA UCET	77	26357	SIPO	WX	31764650
156046	522	1996-12-10	VYDAJ	PREVOD NA UCET	77	34191	SIPO	WX	31764650
156047	522	1997-01-10	VYDAJ	PREVOD NA UCET	77	38310	SIPO	WX	31764650
156048	522	1997-02-10	VYDAJ	PREVOD NA UCET	77	27354	SIPO	WX	31764650
156049	522	1997-03-10	VYDAJ	PREVOD NA UCET	77	30630	SIPO	WX	31764650
156050	522	1997-04-10	VYDAJ	PREVOD NA UCET	77	38030	SIPO	WX	31764650
156051	522	1997-05-10	VYDAJ	PREVOD NA UCET	77	38454	SIPO	WX	31764650
156052	522	1997-06-10	VYDAJ	PREVOD NA UCET	77	38933	SIPO	WX	31764650
156053	522	1997-07-10	VYDAJ	PREVOD NA UCET	77	36635	SIPO	WX	31764650
156054	522	1997-08-10	VYDAJ	PREVOD NA UCET	77	32429	SIPO	WX	31764650
156055	522	1997-09-10	VYDAJ	PREVOD NA UCET	77	29709	SIPO	WX	31764650
156056	522	1997-10-10	VYDAJ	PREVOD NA UCET	77	28784	SIPO	WX	31764650
156057	522	1997-11-10	VYDAJ	PREVOD NA UCET	77	20249	SIPO	WX	31764650
156058	522	1997-12-10	VYDAJ	PREVOD NA UCET	77	22157	SIPO	WX	31764650
156059	522	1998-01-10	VYDAJ	PREVOD NA UCET	77	19360	SIPO	WX	31764650
156060	522	1998-02-10	VYDAJ	PREVOD NA UCET	77	20900	SIPO	WX	31764650
156061	522	1998-03-10	VYDAJ	PREVOD NA UCET	77	17662	SIPO	WX	31764650
156062	522	1998-04-10	VYDAJ	PREVOD NA UCET	77	15219	SIPO	WX	31764650
156063	522	1998-05-10	VYDAJ	PREVOD NA UCET	77	12782	SIPO	WX	31764650
156064	522	1998-06-10	VYDAJ	PREVOD NA UCET	77	14322	SIPO	WX	31764650
156065	522	1998-07-10	VYDAJ	PREVOD NA UCET	77	13857	SIPO	WX	31764650
156066	522	1998-08-10	VYDAJ	PREVOD NA UCET	77	12993	SIPO	WX	31764650
156067	522	1998-09-10	VYDAJ	PREVOD NA UCET	77	18825	SIPO	WX	31764650
156068	522	1998-10-10	VYDAJ	PREVOD NA UCET	77	24671	SIPO	WX	31764650
156069	522	1998-11-10	VYDAJ	PREVOD NA UCET	77	30542	SIPO	WX	31764650
156070	522	1998-12-10	VYDAJ	PREVOD NA UCET	77	31405	SIPO	WX	31764650
156087	522	1996-05-13	VYDAJ	PREVOD NA UCET	4930	40139	 	GH	18812161
156088	522	1996-06-13	VYDAJ	PREVOD NA UCET	4930	45094	 	GH	18812161
156089	522	1996-07-13	VYDAJ	PREVOD NA UCET	4930	41455	 	GH	18812161
156090	522	1996-08-13	VYDAJ	PREVOD NA UCET	4930	32239	 	GH	18812161
156091	522	1996-09-13	VYDAJ	PREVOD NA UCET	4930	34361	 	GH	18812161
156092	522	1996-10-13	VYDAJ	PREVOD NA UCET	4930	33879	 	GH	18812161
156093	522	1996-11-13	VYDAJ	PREVOD NA UCET	4930	21427	 	GH	18812161
156094	522	1996-12-13	VYDAJ	PREVOD NA UCET	4930	29261	 	GH	18812161
156095	522	1997-01-13	VYDAJ	PREVOD NA UCET	4930	33380	 	GH	18812161
156096	522	1997-02-13	VYDAJ	PREVOD NA UCET	4930	19824	 	GH	18812161
156097	522	1997-03-13	VYDAJ	PREVOD NA UCET	4930	25700	 	GH	18812161
156098	522	1997-04-13	VYDAJ	PREVOD NA UCET	4930	27600	 	GH	18812161
156099	522	1997-05-13	VYDAJ	PREVOD NA UCET	4930	33524	 	GH	18812161
156100	522	1997-06-13	VYDAJ	PREVOD NA UCET	4930	25803	 	GH	18812161
156101	522	1997-07-13	VYDAJ	PREVOD NA UCET	4930	21605	 	GH	18812161
156102	522	1997-08-13	VYDAJ	PREVOD NA UCET	4930	18899	 	GH	18812161
156103	522	1997-09-13	VYDAJ	PREVOD NA UCET	4930	17979	 	GH	18812161
156104	522	1997-10-13	VYDAJ	PREVOD NA UCET	4930	16054	 	GH	18812161
156105	522	1997-11-13	VYDAJ	PREVOD NA UCET	4930	15319	 	GH	18812161
156106	522	1997-12-13	VYDAJ	PREVOD NA UCET	4930	17227	 	GH	18812161
156107	522	1998-01-13	VYDAJ	PREVOD NA UCET	4930	14430	 	GH	18812161
156108	522	1998-02-13	VYDAJ	PREVOD NA UCET	4930	15970	 	GH	18812161
156109	522	1998-03-13	VYDAJ	PREVOD NA UCET	4930	12732	 	GH	18812161
156110	522	1998-04-13	VYDAJ	PREVOD NA UCET	4930	10289	 	GH	18812161
156111	522	1998-05-13	VYDAJ	PREVOD NA UCET	4930	7852	 	GH	18812161
156112	522	1998-06-13	VYDAJ	PREVOD NA UCET	4930	9392	 	GH	18812161
156113	522	1998-07-13	VYDAJ	PREVOD NA UCET	4930	8927	 	GH	18812161
156114	522	1998-08-13	VYDAJ	PREVOD NA UCET	4930	8063	 	GH	18812161
156115	522	1998-09-13	VYDAJ	PREVOD NA UCET	4930	13895	 	GH	18812161
156116	522	1998-10-13	VYDAJ	PREVOD NA UCET	4930	19741	 	GH	18812161
156117	522	1998-11-13	VYDAJ	PREVOD NA UCET	4930	25612	 	GH	18812161
156118	522	1998-12-13	VYDAJ	PREVOD NA UCET	4930	26475	 	GH	18812161
156125	522	1997-01-15	VYDAJ	VYBER	5280	24200	\N	\N	\N
156128	522	1996-12-05	VYDAJ	VYBER	2560	18044	\N	\N	\N
156129	522	1997-12-21	VYDAJ	VYBER	1440	15787	\N	\N	\N
156130	522	1998-12-04	VYDAJ	VYBER	3840	15258	\N	\N	\N
156143	522	1997-01-27	VYDAJ	VYBER	1920	17360	\N	\N	\N
156144	522	1997-01-27	VYDAJ	VYBER	840	16520	\N	\N	\N
156145	522	1997-01-07	VYDAJ	VYBER	1200	38387	\N	\N	\N
156146	522	1997-01-17	VYDAJ	VYBER	1920	22280	\N	\N	\N
156147	522	1997-01-20	VYDAJ	VYBER	3000	19280	\N	\N	\N
156148	522	1997-01-02	VYDAJ	VYBER	2400	28771	\N	\N	\N
156150	522	1998-01-07	VYDAJ	VYBER	840	24737	\N	\N	\N
156154	522	1998-01-20	VYDAJ	VYBER	720	13710	\N	\N	\N
156160	522	1996-07-26	VYDAJ	VYBER	5520	28935	\N	\N	\N
156161	522	1996-08-07	VYDAJ	VYBER	2640	37246	\N	\N	\N
156162	522	1996-11-13	VYDAJ	VYBER	3000	18427	\N	\N	\N
156163	522	1996-10-24	VYDAJ	VYBER	5640	21039	\N	\N	\N
156165	522	1996-11-05	VYDAJ	VYBER	5520	15618	\N	\N	\N
156167	522	1996-06-03	VYDAJ	VYBER	1200	33877	\N	\N	\N
156168	522	1997-05-28	VYDAJ	VYBER	1800	22684	\N	\N	\N
156169	522	1997-05-18	VYDAJ	VYBER	2040	24484	\N	\N	\N
156170	522	1997-11-19	VYDAJ	VYBER	960	14359	\N	\N	\N
156173	522	1998-05-08	VYDAJ	VYBER	4680	12859	\N	\N	\N
156174	522	1998-03-01	VYDAJ	VYBER	600	15423	\N	\N	\N
156179	522	1998-01-03	VYDAJ	VYBER	1080	14761	\N	\N	\N
156198	522	1996-05-31	VYDAJ	VYBER	15	35077	SLUZBY	\N	\N
156199	522	1996-06-30	VYDAJ	VYBER	15	35646	SLUZBY	\N	\N
156200	522	1996-07-31	VYDAJ	VYBER	15	29070	SLUZBY	\N	\N
156201	522	1996-08-31	VYDAJ	VYBER	15	28552	SLUZBY	\N	\N
156202	522	1996-09-30	VYDAJ	VYBER	15	28070	SLUZBY	\N	\N
156203	522	1996-10-31	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
156204	522	1996-11-30	VYDAJ	VYBER	15	20604	SLUZBY	\N	\N
156205	522	1996-12-31	VYDAJ	VYBER	15	31171	SLUZBY	\N	\N
156206	522	1997-01-31	VYDAJ	VYBER	15	16615	SLUZBY	\N	\N
156207	522	1997-02-28	VYDAJ	VYBER	15	19891	SLUZBY	\N	\N
156208	522	1997-03-31	VYDAJ	VYBER	15	27291	SLUZBY	\N	\N
156209	522	1997-04-30	VYDAJ	VYBER	15	27715	SLUZBY	\N	\N
156210	522	1997-05-31	VYDAJ	VYBER	15	22786	SLUZBY	\N	\N
156211	522	1997-06-30	VYDAJ	VYBER	15	25896	SLUZBY	\N	\N
156212	522	1997-07-31	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
156213	522	1997-08-31	VYDAJ	VYBER	15	18970	SLUZBY	\N	\N
156214	522	1997-09-30	VYDAJ	VYBER	15	18045	SLUZBY	\N	\N
156215	522	1997-10-31	VYDAJ	VYBER	15	16110	SLUZBY	\N	\N
156216	522	1997-11-30	VYDAJ	VYBER	15	14410	SLUZBY	\N	\N
156217	522	1997-12-31	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
156218	522	1998-01-31	VYDAJ	VYBER	15	13761	SLUZBY	\N	\N
156219	522	1998-02-28	VYDAJ	VYBER	15	16023	SLUZBY	\N	\N
156220	522	1998-03-31	VYDAJ	VYBER	15	12780	SLUZBY	\N	\N
156221	522	1998-04-30	VYDAJ	VYBER	15	10323	SLUZBY	\N	\N
156222	522	1998-05-31	VYDAJ	VYBER	15	7875	SLUZBY	\N	\N
156223	522	1998-06-30	VYDAJ	VYBER	15	9418	SLUZBY	\N	\N
156224	522	1998-07-31	VYDAJ	VYBER	15	8954	SLUZBY	\N	\N
156225	522	1998-08-31	VYDAJ	VYBER	15	8086	SLUZBY	\N	\N
156226	522	1998-09-30	VYDAJ	VYBER	15	13932	SLUZBY	\N	\N
156227	522	1998-10-31	VYDAJ	VYBER	15	19803	SLUZBY	\N	\N
156228	522	1998-11-30	VYDAJ	VYBER	15	25698	SLUZBY	\N	\N
156229	522	1996-01-19	PRIJEM	VKLAD	5500	16716	\N	\N	\N
156230	522	1996-02-18	VYDAJ	VYBER	1800	25761	\N	\N	\N
156231	522	1996-03-19	VYDAJ	VYBER	5600	31062	\N	\N	\N
156232	522	1996-04-18	VYDAJ	VYBER	7800	34195	\N	\N	\N
156233	522	1996-05-18	VYDAJ	VYBER	5200	34939	\N	\N	\N
156234	522	1996-06-17	VYDAJ	VYBER	9600	35494	\N	\N	\N
156235	522	1996-07-17	VYDAJ	VYBER	7000	34455	\N	\N	\N
156236	522	1996-08-16	VYDAJ	VYBER	3800	28439	\N	\N	\N
156237	522	1996-09-15	VYDAJ	VYBER	6400	27961	\N	\N	\N
156238	522	1996-10-15	VYDAJ	VYBER	7200	26679	\N	\N	\N
156239	522	1996-11-14	PRIJEM	VKLAD	2100	20527	\N	\N	\N
156240	522	1996-12-14	PRIJEM	VKLAD	1800	31061	\N	\N	\N
156241	522	1997-01-13	VYDAJ	VYBER	3900	29480	\N	\N	\N
156242	522	1997-02-12	VYDAJ	VYBER	2600	24754	\N	\N	\N
156243	522	1997-03-14	PRIJEM	VKLAD	1500	27200	\N	\N	\N
156244	522	1997-04-13	VYDAJ	VYBER	5500	32530	\N	\N	\N
156245	522	1997-05-13	VYDAJ	VYBER	7000	26524	\N	\N	\N
156246	522	1997-06-12	VYDAJ	VYBER	8200	30733	\N	\N	\N
156247	522	1997-07-12	VYDAJ	VYBER	10100	26535	\N	\N	\N
156248	522	1997-08-11	VYDAJ	VYBER	8600	23829	\N	\N	\N
156249	522	1997-09-10	VYDAJ	VYBER	6800	22909	\N	\N	\N
156250	522	1997-10-10	VYDAJ	VYBER	7800	20984	\N	\N	\N
156251	522	1997-11-09	VYDAJ	VYBER	6600	20326	\N	\N	\N
156252	522	1997-12-09	VYDAJ	VYBER	8400	22234	\N	\N	\N
156253	522	1998-01-08	VYDAJ	VYBER	5300	19437	\N	\N	\N
156254	522	1998-02-07	VYDAJ	VYBER	3600	20977	\N	\N	\N
156255	522	1998-03-09	VYDAJ	VYBER	8500	17739	\N	\N	\N
156256	522	1998-04-08	VYDAJ	VYBER	8300	15296	\N	\N	\N
156257	522	1998-05-08	VYDAJ	VYBER	3600	17539	\N	\N	\N
156258	522	1998-06-07	VYDAJ	VYBER	9700	14399	\N	\N	\N
156259	522	1998-07-07	VYDAJ	VYBER	6300	13934	\N	\N	\N
156260	522	1998-08-06	VYDAJ	VYBER	6700	13070	\N	\N	\N
156261	522	1998-12-04	VYDAJ	VYBER	6600	19098	\N	\N	\N
156298	523	1993-08-11	PRIJEM	VKLAD	300	300	\N	\N	\N
156307	523	1993-09-09	PRIJEM	VKLAD	11841	12141	\N	\N	\N
156308	523	1993-10-09	PRIJEM	VKLAD	11841	30436	\N	\N	\N
156309	523	1993-11-09	PRIJEM	VKLAD	11841	39180	\N	\N	\N
156310	523	1993-12-09	PRIJEM	VKLAD	17762	48566	\N	\N	\N
156311	523	1994-01-09	PRIJEM	VKLAD	11841	42090	\N	\N	\N
156312	523	1994-02-09	PRIJEM	VKLAD	11841	42691	\N	\N	\N
156313	523	1994-03-09	PRIJEM	VKLAD	11841	54684	\N	\N	\N
156314	523	1994-04-09	PRIJEM	VKLAD	11841	42875	\N	\N	\N
156315	523	1994-05-09	PRIJEM	VKLAD	11841	46366	\N	\N	\N
156316	523	1994-06-09	PRIJEM	VKLAD	17762	55600	\N	\N	\N
156317	523	1994-07-09	PRIJEM	VKLAD	11841	40125	\N	\N	\N
156318	523	1994-08-09	PRIJEM	VKLAD	11841	46606	\N	\N	\N
156319	523	1994-09-09	PRIJEM	VKLAD	11841	50819	\N	\N	\N
156320	523	1994-10-09	PRIJEM	VKLAD	11841	48147	\N	\N	\N
156321	523	1994-11-09	PRIJEM	VKLAD	11841	49473	\N	\N	\N
156322	523	1994-12-09	PRIJEM	VKLAD	17762	55524	\N	\N	\N
156323	523	1995-01-09	PRIJEM	VKLAD	11841	48874	\N	\N	\N
156324	523	1995-02-09	PRIJEM	VKLAD	11841	45676	\N	\N	\N
156325	523	1995-03-09	PRIJEM	VKLAD	11841	49980	\N	\N	\N
156326	523	1995-04-09	PRIJEM	VKLAD	11841	54110	\N	\N	\N
156327	523	1995-05-09	PRIJEM	VKLAD	11841	53555	\N	\N	\N
156328	523	1995-06-09	PRIJEM	VKLAD	17762	47021	\N	\N	\N
156329	523	1995-07-09	PRIJEM	VKLAD	11841	52440	\N	\N	\N
156330	523	1995-08-09	PRIJEM	VKLAD	11841	54478	\N	\N	\N
156331	523	1995-09-09	PRIJEM	VKLAD	11841	55328	\N	\N	\N
156332	523	1995-10-09	PRIJEM	VKLAD	11841	58465	\N	\N	\N
156333	523	1995-11-09	PRIJEM	VKLAD	11841	62186	\N	\N	\N
156334	523	1995-12-09	PRIJEM	VKLAD	17762	67675	\N	\N	\N
156335	523	1996-01-09	PRIJEM	VKLAD	11841	57554	\N	\N	\N
156336	523	1996-02-09	PRIJEM	VKLAD	11841	59488	\N	\N	\N
156337	523	1996-03-09	PRIJEM	VKLAD	11841	59920	\N	\N	\N
156338	523	1996-04-09	PRIJEM	VKLAD	11841	63952	\N	\N	\N
156339	523	1996-05-09	PRIJEM	VKLAD	11841	67428	\N	\N	\N
156340	523	1996-06-09	PRIJEM	VKLAD	17762	78308	\N	\N	\N
156341	523	1996-07-09	PRIJEM	VKLAD	11841	58884	\N	\N	\N
156342	523	1996-08-09	PRIJEM	VKLAD	11841	68713	\N	\N	\N
156343	523	1996-09-09	PRIJEM	VKLAD	11841	72495	\N	\N	\N
156344	523	1996-10-09	PRIJEM	VKLAD	11841	73773	\N	\N	\N
156345	523	1996-11-09	PRIJEM	VKLAD	11841	76259	\N	\N	\N
156346	523	1996-12-09	PRIJEM	VKLAD	17762	86176	\N	\N	\N
156347	523	1997-01-09	PRIJEM	VKLAD	11841	80208	\N	\N	\N
156348	523	1997-02-09	PRIJEM	VKLAD	11841	75508	\N	\N	\N
156349	523	1997-03-09	PRIJEM	VKLAD	11841	83606	\N	\N	\N
156350	523	1997-04-09	PRIJEM	VKLAD	11841	85931	\N	\N	\N
156351	523	1997-05-09	PRIJEM	VKLAD	11841	88566	\N	\N	\N
156352	523	1997-06-09	PRIJEM	VKLAD	17762	69732	\N	\N	\N
156353	523	1997-07-09	PRIJEM	VKLAD	11841	84233	\N	\N	\N
156354	523	1997-08-09	PRIJEM	VKLAD	11841	87162	\N	\N	\N
156355	523	1997-09-09	PRIJEM	VKLAD	11841	87398	\N	\N	\N
156356	523	1997-10-09	PRIJEM	VKLAD	11841	80429	\N	\N	\N
156357	523	1997-11-09	PRIJEM	VKLAD	11841	81839	\N	\N	\N
156358	523	1997-12-09	PRIJEM	VKLAD	17762	86371	\N	\N	\N
156359	523	1998-01-09	PRIJEM	VKLAD	11841	80598	\N	\N	\N
156360	523	1998-02-09	PRIJEM	VKLAD	11841	74416	\N	\N	\N
156361	523	1998-03-09	PRIJEM	VKLAD	11841	78106	\N	\N	\N
156362	523	1998-04-09	PRIJEM	VKLAD	11841	77902	\N	\N	\N
156363	523	1998-05-09	PRIJEM	VKLAD	11841	81007	\N	\N	\N
156364	523	1998-06-09	PRIJEM	VKLAD	17762	80057	\N	\N	\N
156365	523	1998-07-09	PRIJEM	VKLAD	11841	69964	\N	\N	\N
156366	523	1998-08-09	PRIJEM	VKLAD	11841	72834	\N	\N	\N
156367	523	1998-09-09	PRIJEM	VKLAD	11841	74612	\N	\N	\N
156368	523	1998-10-09	PRIJEM	VKLAD	11841	75996	\N	\N	\N
156369	523	1998-11-09	PRIJEM	VKLAD	11841	76885	\N	\N	\N
156370	523	1998-12-09	PRIJEM	VKLAD	17762	88511	\N	\N	\N
156372	523	1994-06-27	VYDAJ	VYBER	23100	27800	\N	\N	\N
156373	523	1995-06-06	VYDAJ	VYBER	15000	29259	\N	\N	\N
156374	523	1996-06-29	VYDAJ	VYBER	21700	46808	\N	\N	\N
156375	523	1997-06-01	VYDAJ	VYBER	23000	55870	\N	\N	\N
156376	523	1998-06-06	VYDAJ	VYBER	10500	62295	\N	\N	\N
156378	523	1994-01-29	VYDAJ	VYBER	5300	33290	\N	\N	\N
156379	523	1995-01-07	VYDAJ	VYBER	4100	38933	\N	\N	\N
156380	523	1996-01-13	VYDAJ	VYBER KARTOU	1000	54154	\N	\N	0
156381	523	1997-01-09	VYDAJ	VYBER	9800	68208	\N	\N	\N
156382	523	1998-01-28	VYDAJ	VYBER KARTOU	2700	62298	\N	\N	0
156384	523	1994-12-13	VYDAJ	VYBER	500	55024	\N	\N	\N
156385	523	1995-12-25	VYDAJ	VYBER KARTOU	2400	62775	\N	\N	0
156386	523	1996-12-14	VYDAJ	VYBER KARTOU	1500	84676	\N	\N	0
156387	523	1997-12-11	VYDAJ	VYBER KARTOU	900	85471	\N	\N	0
156388	523	1998-12-30	VYDAJ	VYBER KARTOU	2300	70411	\N	\N	0
156399	523	1994-01-17	VYDAJ	VYBER	2300	39790	\N	\N	\N
156400	523	1994-01-25	VYDAJ	VYBER	1200	38590	\N	\N	\N
156401	523	1995-01-08	VYDAJ	VYBER	1900	37033	\N	\N	\N
156402	523	1995-01-25	VYDAJ	VYBER	2100	38274	\N	\N	\N
156403	523	1995-01-11	VYDAJ	VYBER	2400	46474	\N	\N	\N
156404	523	1995-01-15	VYDAJ	VYBER	1500	44974	\N	\N	\N
156405	523	1995-01-04	VYDAJ	VYBER	500	43033	\N	\N	\N
156406	523	1995-01-27	VYDAJ	VYBER	2700	35574	\N	\N	\N
156407	523	1996-01-14	VYDAJ	VYBER KARTOU	2400	51754	\N	\N	0
156408	523	1996-01-08	VYDAJ	VYBER KARTOU	1800	45713	\N	\N	0
156409	523	1996-01-11	VYDAJ	VYBER KARTOU	2400	55154	\N	\N	0
156410	523	1996-01-27	VYDAJ	VYBER KARTOU	1100	47454	\N	\N	0
156411	523	1996-01-03	VYDAJ	VYBER KARTOU	2300	49313	\N	\N	0
156412	523	1996-01-04	VYDAJ	VYBER KARTOU	1800	47513	\N	\N	0
156413	523	1997-01-01	VYDAJ	VYBER KARTOU	1200	69767	\N	\N	0
156414	523	1997-01-16	VYDAJ	VYBER KARTOU	700	66608	\N	\N	0
156415	523	1997-01-10	VYDAJ	VYBER KARTOU	900	67308	\N	\N	0
156416	523	1997-01-16	VYDAJ	VYBER KARTOU	2200	64408	\N	\N	0
156417	523	1997-01-09	VYDAJ	VYBER KARTOU	2200	78008	\N	\N	0
156418	523	1997-01-04	VYDAJ	VYBER KARTOU	1400	68367	\N	\N	0
156419	523	1998-01-15	VYDAJ	VYBER KARTOU	1600	77498	\N	\N	0
156420	523	1998-01-28	VYDAJ	VYBER KARTOU	1600	64998	\N	\N	0
156421	523	1998-01-26	VYDAJ	VYBER KARTOU	1100	67998	\N	\N	0
156422	523	1998-01-10	VYDAJ	VYBER KARTOU	1500	79098	\N	\N	0
156423	523	1998-01-26	VYDAJ	VYBER KARTOU	1400	66598	\N	\N	0
156424	523	1998-01-05	VYDAJ	VYBER KARTOU	2000	68757	\N	\N	0
156430	523	1994-10-15	VYDAJ	VYBER	500	47647	\N	\N	\N
156431	523	1994-03-12	VYDAJ	VYBER	800	38784	\N	\N	\N
156432	523	1994-03-17	VYDAJ	VYBER	3800	34984	\N	\N	\N
156433	523	1994-04-21	VYDAJ	VYBER	3200	39675	\N	\N	\N
156434	523	1994-09-18	VYDAJ	VYBER	2800	48019	\N	\N	\N
156435	523	1994-06-17	VYDAJ	VYBER	4700	50900	\N	\N	\N
156436	523	1995-08-30	VYDAJ	VYBER	3600	50878	\N	\N	\N
156437	523	1995-11-24	VYDAJ	VYBER	4900	57286	\N	\N	\N
156438	523	1995-11-04	VYDAJ	VYBER	3200	50345	\N	\N	\N
156439	523	1995-12-09	VYDAJ	VYBER KARTOU	2500	65175	\N	\N	0
156440	523	1995-04-28	VYDAJ	VYBER	4300	49810	\N	\N	\N
156441	523	1995-01-15	VYDAJ	VYBER	4600	40374	\N	\N	\N
156442	523	1996-04-01	VYDAJ	VYBER KARTOU	1900	52111	\N	\N	0
156443	523	1996-01-19	VYDAJ	VYBER KARTOU	3200	48554	\N	\N	0
156444	523	1996-08-12	VYDAJ	VYBER KARTOU	1600	67113	\N	\N	0
156445	523	1996-10-27	VYDAJ	VYBER KARTOU	3200	64173	\N	\N	0
156446	523	1996-03-24	VYDAJ	VYBER KARTOU	3500	56420	\N	\N	0
156447	523	1996-02-19	VYDAJ	VYBER	4600	54888	\N	\N	\N
156448	523	1997-09-12	VYDAJ	VYBER	4500	82898	\N	\N	\N
156449	523	1997-09-15	VYDAJ	VYBER KARTOU	2600	80298	\N	\N	0
156450	523	1997-01-18	VYDAJ	VYBER KARTOU	700	63708	\N	\N	0
156451	523	1997-06-02	VYDAJ	VYBER KARTOU	3900	51970	\N	\N	0
156452	523	1998-06-25	VYDAJ	VYBER KARTOU	2500	61257	\N	\N	0
156453	523	1998-05-06	VYDAJ	VYBER KARTOU	1100	69166	\N	\N	0
156454	523	1998-06-28	VYDAJ	VYBER KARTOU	3400	57857	\N	\N	0
156455	523	1998-06-10	VYDAJ	VYBER KARTOU	2400	77657	\N	\N	0
156456	523	1998-07-20	VYDAJ	VYBER KARTOU	1200	60764	\N	\N	0
156470	523	1994-01-31	VYDAJ	VYBER	15	33450	SLUZBY	\N	\N
156471	523	1994-02-28	VYDAJ	VYBER	15	42843	SLUZBY	\N	\N
156472	523	1994-03-31	VYDAJ	VYBER	15	35134	SLUZBY	\N	\N
156473	523	1994-04-30	VYDAJ	VYBER	15	39825	SLUZBY	\N	\N
156474	523	1994-05-31	VYDAJ	VYBER	15	46538	SLUZBY	\N	\N
156475	523	1994-06-30	VYDAJ	VYBER	15	27984	SLUZBY	\N	\N
156476	523	1994-07-31	VYDAJ	VYBER	15	40265	SLUZBY	\N	\N
156477	523	1994-08-31	VYDAJ	VYBER	15	46778	SLUZBY	\N	\N
156478	523	1994-09-30	VYDAJ	VYBER	15	48206	SLUZBY	\N	\N
156479	523	1994-10-31	VYDAJ	VYBER	15	47832	SLUZBY	\N	\N
156480	523	1994-11-30	VYDAJ	VYBER	15	49662	SLUZBY	\N	\N
156481	523	1994-12-31	VYDAJ	VYBER	15	55233	SLUZBY	\N	\N
156482	523	1995-01-31	VYDAJ	VYBER	15	35735	SLUZBY	\N	\N
156483	523	1995-02-28	VYDAJ	VYBER	15	45839	SLUZBY	\N	\N
156484	523	1995-03-31	VYDAJ	VYBER	15	50169	SLUZBY	\N	\N
156485	523	1995-04-30	VYDAJ	VYBER	15	50014	SLUZBY	\N	\N
156486	523	1995-05-31	VYDAJ	VYBER	15	53759	SLUZBY	\N	\N
156487	523	1995-06-30	VYDAJ	VYBER	15	47199	SLUZBY	\N	\N
156488	523	1995-07-31	VYDAJ	VYBER	15	52637	SLUZBY	\N	\N
156489	523	1995-08-31	VYDAJ	VYBER	15	51087	SLUZBY	\N	\N
156490	523	1995-09-30	VYDAJ	VYBER	15	55524	SLUZBY	\N	\N
156491	523	1995-10-31	VYDAJ	VYBER	15	53545	SLUZBY	\N	\N
156492	523	1995-11-30	VYDAJ	VYBER	15	49913	SLUZBY	\N	\N
156493	523	1995-12-31	VYDAJ	VYBER	15	51613	SLUZBY	\N	\N
156494	523	1996-01-31	VYDAJ	VYBER	15	47647	SLUZBY	\N	\N
156495	523	1996-02-29	VYDAJ	VYBER	15	48079	SLUZBY	\N	\N
156496	523	1996-03-31	VYDAJ	VYBER	15	54011	SLUZBY	\N	\N
156497	523	1996-04-30	VYDAJ	VYBER	15	55587	SLUZBY	\N	\N
156498	523	1996-05-31	VYDAJ	VYBER	15	60546	SLUZBY	\N	\N
156499	523	1996-06-30	VYDAJ	VYBER	15	47043	SLUZBY	\N	\N
156500	523	1996-07-31	VYDAJ	VYBER	15	56872	SLUZBY	\N	\N
156501	523	1996-08-31	VYDAJ	VYBER	15	60654	SLUZBY	\N	\N
156502	523	1996-09-30	VYDAJ	VYBER	15	61932	SLUZBY	\N	\N
156503	523	1996-10-31	VYDAJ	VYBER	15	64418	SLUZBY	\N	\N
156504	523	1996-11-30	VYDAJ	VYBER	15	68414	SLUZBY	\N	\N
156505	523	1996-12-31	VYDAJ	VYBER	15	70967	SLUZBY	\N	\N
156506	523	1997-01-31	VYDAJ	VYBER	15	63667	SLUZBY	\N	\N
156507	523	1997-02-28	VYDAJ	VYBER	15	71765	SLUZBY	\N	\N
156508	523	1997-03-31	VYDAJ	VYBER	15	74090	SLUZBY	\N	\N
156509	523	1997-04-30	VYDAJ	VYBER	15	76725	SLUZBY	\N	\N
156510	523	1997-05-31	VYDAJ	VYBER	15	78870	SLUZBY	\N	\N
156511	523	1997-06-30	VYDAJ	VYBER	15	72392	SLUZBY	\N	\N
156512	523	1997-07-31	VYDAJ	VYBER	15	75321	SLUZBY	\N	\N
156513	523	1997-08-31	VYDAJ	VYBER	15	75557	SLUZBY	\N	\N
156514	523	1997-09-30	VYDAJ	VYBER	15	68588	SLUZBY	\N	\N
156515	523	1997-10-31	VYDAJ	VYBER	15	69998	SLUZBY	\N	\N
156516	523	1997-11-30	VYDAJ	VYBER	15	68609	SLUZBY	\N	\N
156517	523	1997-12-31	VYDAJ	VYBER	15	70757	SLUZBY	\N	\N
156518	523	1998-01-31	VYDAJ	VYBER	15	62575	SLUZBY	\N	\N
156519	523	1998-02-28	VYDAJ	VYBER	15	66265	SLUZBY	\N	\N
156520	523	1998-03-31	VYDAJ	VYBER	15	66061	SLUZBY	\N	\N
156521	523	1998-04-30	VYDAJ	VYBER	15	70266	SLUZBY	\N	\N
156522	523	1998-05-31	VYDAJ	VYBER	15	72795	SLUZBY	\N	\N
156523	523	1998-06-30	VYDAJ	VYBER	15	58123	SLUZBY	\N	\N
156524	523	1998-07-31	VYDAJ	VYBER	15	60993	SLUZBY	\N	\N
156525	523	1998-08-31	VYDAJ	VYBER	15	62771	SLUZBY	\N	\N
156526	523	1998-09-30	VYDAJ	VYBER	15	64155	SLUZBY	\N	\N
156527	523	1998-10-31	VYDAJ	VYBER	15	65044	SLUZBY	\N	\N
156528	523	1998-11-30	VYDAJ	VYBER	15	70749	SLUZBY	\N	\N
156529	523	1993-09-10	PRIJEM	VKLAD	6400	18541	\N	\N	\N
156530	523	1993-10-10	VYDAJ	VYBER	3200	27236	\N	\N	\N
156531	523	1993-11-09	VYDAJ	VYBER	8500	30680	\N	\N	\N
156532	523	1993-12-09	VYDAJ	VYBER	14300	34266	\N	\N	\N
156533	523	1994-01-08	VYDAJ	VYBER	4200	30249	\N	\N	\N
156534	523	1994-02-07	VYDAJ	VYBER	2600	30850	\N	\N	\N
156535	523	1994-03-09	VYDAJ	VYBER	15100	39584	\N	\N	\N
156536	523	1994-04-08	VYDAJ	VYBER	4100	31034	\N	\N	\N
156537	523	1994-05-08	VYDAJ	VYBER	5300	34525	\N	\N	\N
156538	523	1994-06-07	VYDAJ	VYBER	8700	37838	\N	\N	\N
156539	523	1994-07-07	PRIJEM	VKLAD	300	28284	\N	\N	\N
156540	523	1994-08-06	VYDAJ	VYBER	5500	34765	\N	\N	\N
156541	523	1994-09-05	VYDAJ	VYBER	7800	38978	\N	\N	\N
156542	523	1994-10-05	VYDAJ	VYBER	11900	36306	\N	\N	\N
156543	523	1994-11-04	VYDAJ	VYBER	10200	37632	\N	\N	\N
156544	523	1994-12-04	VYDAJ	VYBER	11900	37762	\N	\N	\N
156545	523	1995-01-03	VYDAJ	VYBER	11700	43533	\N	\N	\N
156546	523	1995-02-02	VYDAJ	VYBER	1900	33835	\N	\N	\N
156547	523	1995-03-04	VYDAJ	VYBER	7700	38139	\N	\N	\N
156548	523	1995-04-03	VYDAJ	VYBER	7900	42269	\N	\N	\N
156549	523	1995-05-03	VYDAJ	VYBER	8300	41714	\N	\N	\N
156550	523	1995-06-02	VYDAJ	VYBER	9500	44259	\N	\N	\N
156551	523	1995-07-02	VYDAJ	VYBER	6600	40599	\N	\N	\N
156552	523	1995-08-01	VYDAJ	VYBER	10000	42637	\N	\N	\N
156553	523	1995-08-31	VYDAJ	VYBER	7600	43487	\N	\N	\N
156554	523	1995-09-30	VYDAJ	VYBER	8900	46624	\N	\N	\N
156555	523	1995-10-30	VYDAJ	VYBER	5100	53365	\N	\N	\N
156556	523	1995-11-29	VYDAJ	VYBER	7600	49686	\N	\N	\N
156557	523	1995-12-29	VYDAJ	VYBER	11400	51375	\N	\N	\N
156558	523	1996-02-27	VYDAJ	VYBER	7000	47888	\N	\N	\N
156559	523	1996-03-28	VYDAJ	VYBER KARTOU	2600	53820	\N	\N	0
156560	523	1996-04-27	VYDAJ	VYBER	8600	55352	\N	\N	\N
156561	523	1996-05-27	VYDAJ	VYBER	7100	60328	\N	\N	\N
156562	523	1996-06-26	VYDAJ	VYBER	9800	68508	\N	\N	\N
156563	523	1996-07-26	VYDAJ	VYBER KARTOU	2200	56684	\N	\N	0
156564	523	1996-08-25	VYDAJ	VYBER	6700	60413	\N	\N	\N
156565	523	1996-09-24	VYDAJ	VYBER	10800	61695	\N	\N	\N
156566	523	1996-10-24	VYDAJ	VYBER	6400	67373	\N	\N	\N
156567	523	1996-11-23	VYDAJ	VYBER	8100	68159	\N	\N	\N
156568	523	1996-12-23	VYDAJ	VYBER	14000	70676	\N	\N	\N
156569	523	1997-01-22	VYDAJ	VYBER KARTOU	300	63408	\N	\N	0
156570	523	1997-02-21	VYDAJ	VYBER KARTOU	4000	71508	\N	\N	0
156571	523	1997-03-23	VYDAJ	VYBER	9800	73806	\N	\N	\N
156572	523	1997-04-22	VYDAJ	VYBER	9500	76431	\N	\N	\N
156573	523	1997-05-22	VYDAJ	VYBER	10000	78566	\N	\N	\N
156574	523	1997-06-21	PRIJEM	VKLAD	2400	72132	\N	\N	\N
156575	523	1997-07-21	VYDAJ	VYBER	9200	75033	\N	\N	\N
156576	523	1997-08-20	VYDAJ	VYBER	11900	75262	\N	\N	\N
156577	523	1997-09-19	VYDAJ	VYBER	12000	68298	\N	\N	\N
156578	523	1997-10-19	VYDAJ	VYBER	10700	69729	\N	\N	\N
156579	523	1997-11-18	VYDAJ	VYBER	13500	68339	\N	\N	\N
156580	523	1997-12-18	VYDAJ	VYBER	15000	70471	\N	\N	\N
156581	523	1998-01-17	VYDAJ	VYBER	8400	69098	\N	\N	\N
156582	523	1998-02-16	VYDAJ	VYBER	8400	66016	\N	\N	\N
156583	523	1998-03-18	VYDAJ	VYBER	12300	65806	\N	\N	\N
156584	523	1998-04-17	VYDAJ	VYBER	7900	70002	\N	\N	\N
156585	523	1998-05-17	VYDAJ	VYBER	8500	72507	\N	\N	\N
156586	523	1998-06-16	VYDAJ	VYBER	13900	63757	\N	\N	\N
156587	523	1998-07-16	VYDAJ	VYBER	8000	61964	\N	\N	\N
156588	523	1998-08-15	VYDAJ	VYBER	10300	62534	\N	\N	\N
156589	523	1998-09-14	VYDAJ	VYBER	10700	63912	\N	\N	\N
156590	523	1998-10-14	VYDAJ	VYBER	11200	64796	\N	\N	\N
156591	523	1998-11-13	VYDAJ	VYBER	6400	70485	\N	\N	\N
156592	523	1998-12-13	VYDAJ	VYBER	15800	72711	\N	\N	\N
156657	524	1994-05-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
156662	524	1994-05-13	PRIJEM	VKLAD	19411	20411	\N	\N	\N
156663	524	1994-06-13	PRIJEM	VKLAD	29116	50579	\N	\N	\N
156664	524	1994-07-13	PRIJEM	VKLAD	19411	55451	\N	\N	\N
156665	524	1994-08-13	PRIJEM	VKLAD	19411	58385	\N	\N	\N
156666	524	1994-09-13	PRIJEM	VKLAD	19411	61332	\N	\N	\N
156667	524	1994-10-13	PRIJEM	VKLAD	19411	56148	\N	\N	\N
156668	524	1994-11-13	PRIJEM	VKLAD	19411	47284	\N	\N	\N
156669	524	1994-12-13	PRIJEM	VKLAD	29116	60995	\N	\N	\N
156670	524	1995-01-13	PRIJEM	VKLAD	19411	52128	\N	\N	\N
156671	524	1995-02-13	PRIJEM	VKLAD	19411	43624	\N	\N	\N
156672	524	1995-03-13	PRIJEM	VKLAD	19411	49309	\N	\N	\N
156673	524	1995-04-13	PRIJEM	VKLAD	19411	51010	\N	\N	\N
156674	524	1995-05-13	PRIJEM	VKLAD	19411	49024	\N	\N	\N
156675	524	1995-06-13	PRIJEM	VKLAD	29116	48538	\N	\N	\N
156676	524	1995-07-13	PRIJEM	VKLAD	19411	49337	\N	\N	\N
156677	524	1995-08-13	PRIJEM	VKLAD	19411	47941	\N	\N	\N
156678	524	1995-09-13	PRIJEM	VKLAD	19411	47339	\N	\N	\N
156679	524	1995-10-13	PRIJEM	VKLAD	19411	50633	\N	\N	\N
156680	524	1995-11-13	PRIJEM	VKLAD	19411	51638	\N	\N	\N
156681	524	1995-12-13	PRIJEM	VKLAD	29116	52144	\N	\N	\N
156682	524	1996-01-13	PRIJEM	VKLAD	19411	44639	\N	\N	\N
156683	524	1996-02-13	PRIJEM	VKLAD	19411	37504	\N	\N	\N
156684	524	1996-03-13	PRIJEM	VKLAD	19411	41355	\N	\N	\N
156685	524	1996-04-13	PRIJEM	VKLAD	19411	43319	\N	\N	\N
156686	524	1996-05-13	PRIJEM	VKLAD	19411	42486	\N	\N	\N
156687	524	1996-06-13	PRIJEM	VKLAD	29116	55660	\N	\N	\N
156688	524	1996-07-13	PRIJEM	VKLAD	19411	46137	\N	\N	\N
156689	524	1996-08-13	PRIJEM	VKLAD	19411	47917	\N	\N	\N
156690	524	1996-09-13	PRIJEM	VKLAD	19411	46598	\N	\N	\N
156691	524	1996-10-13	PRIJEM	VKLAD	19411	37466	\N	\N	\N
156692	524	1996-11-13	PRIJEM	VKLAD	19411	36407	\N	\N	\N
156693	524	1996-12-13	PRIJEM	VKLAD	29116	46145	\N	\N	\N
156694	524	1997-01-13	PRIJEM	VKLAD	19411	29490	\N	\N	\N
156695	524	1997-02-13	PRIJEM	VKLAD	19411	28693	\N	\N	\N
156696	524	1997-03-13	PRIJEM	VKLAD	19411	27186	\N	\N	\N
156697	524	1997-04-13	PRIJEM	VKLAD	19411	40904	\N	\N	\N
156698	524	1997-05-13	PRIJEM	VKLAD	19411	31033	\N	\N	\N
156699	524	1997-06-13	PRIJEM	VKLAD	29116	54472	\N	\N	\N
156700	524	1997-07-13	PRIJEM	VKLAD	19411	37222	\N	\N	\N
156701	524	1997-08-13	PRIJEM	VKLAD	19411	49781	\N	\N	\N
156702	524	1997-09-13	PRIJEM	VKLAD	19411	33226	\N	\N	\N
156703	524	1997-10-13	PRIJEM	VKLAD	19411	39758	\N	\N	\N
156704	524	1997-11-13	PRIJEM	VKLAD	19411	53532	\N	\N	\N
156705	524	1997-12-13	PRIJEM	VKLAD	29116	40458	\N	\N	\N
156706	524	1998-01-13	PRIJEM	VKLAD	19411	44216	\N	\N	\N
156707	524	1998-02-13	PRIJEM	VKLAD	19411	51798	\N	\N	\N
156708	524	1998-03-13	PRIJEM	VKLAD	19411	65615	\N	\N	\N
156709	524	1998-04-13	PRIJEM	VKLAD	19411	35486	\N	\N	\N
156710	524	1998-05-13	PRIJEM	VKLAD	19411	47533	\N	\N	\N
156711	524	1998-06-13	PRIJEM	VKLAD	29116	53239	\N	\N	\N
156712	524	1998-07-13	PRIJEM	VKLAD	19411	67073	\N	\N	\N
156713	524	1998-08-13	PRIJEM	VKLAD	19411	31055	\N	\N	\N
156714	524	1998-09-13	PRIJEM	VKLAD	19411	44860	\N	\N	\N
156715	524	1998-10-13	PRIJEM	VKLAD	19411	58649	\N	\N	\N
156716	524	1998-11-13	PRIJEM	VKLAD	19411	69990	\N	\N	\N
156717	524	1998-12-13	PRIJEM	VKLAD	29116	93588	\N	\N	\N
156727	524	1994-10-12	VYDAJ	PREVOD NA UCET	5768	36737	SIPO	AB	71994364
156728	524	1994-11-12	VYDAJ	PREVOD NA UCET	5768	27873	SIPO	AB	71994364
156729	524	1994-12-12	VYDAJ	PREVOD NA UCET	5768	31879	SIPO	AB	71994364
156730	524	1995-01-12	VYDAJ	PREVOD NA UCET	5768	32717	SIPO	AB	71994364
156731	524	1995-02-12	VYDAJ	PREVOD NA UCET	5768	24213	SIPO	AB	71994364
156732	524	1995-03-12	VYDAJ	PREVOD NA UCET	5768	29898	SIPO	AB	71994364
156733	524	1995-04-12	VYDAJ	PREVOD NA UCET	5768	31599	SIPO	AB	71994364
156734	524	1995-05-12	VYDAJ	PREVOD NA UCET	5768	29613	SIPO	AB	71994364
156735	524	1995-06-12	VYDAJ	PREVOD NA UCET	5768	19422	SIPO	AB	71994364
156736	524	1995-07-12	VYDAJ	PREVOD NA UCET	5768	29926	SIPO	AB	71994364
156737	524	1995-08-12	VYDAJ	PREVOD NA UCET	5768	28530	SIPO	AB	71994364
156738	524	1995-09-12	VYDAJ	PREVOD NA UCET	5768	27928	SIPO	AB	71994364
156739	524	1995-10-12	VYDAJ	PREVOD NA UCET	5768	31222	SIPO	AB	71994364
156740	524	1995-11-12	VYDAJ	PREVOD NA UCET	5768	32227	SIPO	AB	71994364
156741	524	1995-12-12	VYDAJ	PREVOD NA UCET	5768	23028	SIPO	AB	71994364
156742	524	1996-01-12	VYDAJ	PREVOD NA UCET	5768	25228	SIPO	AB	71994364
156743	524	1996-02-12	VYDAJ	PREVOD NA UCET	5768	18093	SIPO	AB	71994364
156744	524	1996-03-12	VYDAJ	PREVOD NA UCET	5768	21944	SIPO	AB	71994364
156745	524	1996-04-12	VYDAJ	PREVOD NA UCET	5768	23908	SIPO	AB	71994364
156746	524	1996-05-12	VYDAJ	PREVOD NA UCET	5768	23075	SIPO	AB	71994364
156747	524	1996-06-12	VYDAJ	PREVOD NA UCET	5768	26544	SIPO	AB	71994364
156748	524	1996-07-12	VYDAJ	PREVOD NA UCET	5768	26726	SIPO	AB	71994364
156749	524	1996-08-12	VYDAJ	PREVOD NA UCET	5768	28506	SIPO	AB	71994364
156750	524	1996-09-12	VYDAJ	PREVOD NA UCET	5768	27187	SIPO	AB	71994364
156751	524	1996-10-12	VYDAJ	PREVOD NA UCET	5768	18055	SIPO	AB	71994364
156752	524	1996-11-12	VYDAJ	PREVOD NA UCET	5768	16996	SIPO	AB	71994364
156753	524	1996-12-12	VYDAJ	PREVOD NA UCET	5768	17029	SIPO	AB	71994364
156754	524	1997-01-12	VYDAJ	PREVOD NA UCET	5768	10079	SIPO	AB	71994364
156755	524	1997-02-12	VYDAJ	PREVOD NA UCET	5768	9282	SIPO	AB	71994364
156756	524	1997-03-12	VYDAJ	PREVOD NA UCET	5768	7775	SIPO	AB	71994364
156757	524	1997-04-12	VYDAJ	PREVOD NA UCET	5768	21493	SIPO	AB	71994364
156758	524	1997-05-12	VYDAJ	PREVOD NA UCET	5768	11622	SIPO	AB	71994364
156759	524	1997-06-12	VYDAJ	PREVOD NA UCET	5768	25356	SIPO	AB	71994364
156760	524	1997-07-12	VYDAJ	PREVOD NA UCET	5768	17811	SIPO	AB	71994364
156761	524	1997-08-12	VYDAJ	PREVOD NA UCET	5768	30370	SIPO	AB	71994364
156762	524	1997-09-12	VYDAJ	PREVOD NA UCET	5768	13815	SIPO	AB	71994364
156763	524	1997-10-12	VYDAJ	PREVOD NA UCET	5768	20347	SIPO	AB	71994364
156764	524	1997-11-12	VYDAJ	PREVOD NA UCET	5768	34121	SIPO	AB	71994364
156765	524	1997-12-12	VYDAJ	PREVOD NA UCET	5768	11342	SIPO	AB	71994364
156766	524	1998-01-12	VYDAJ	PREVOD NA UCET	5768	24805	SIPO	AB	71994364
156767	524	1998-02-12	VYDAJ	PREVOD NA UCET	5768	32387	SIPO	AB	71994364
156768	524	1998-03-12	VYDAJ	PREVOD NA UCET	5768	46204	SIPO	AB	71994364
156769	524	1998-04-12	VYDAJ	PREVOD NA UCET	5768	16075	SIPO	AB	71994364
156770	524	1998-05-12	VYDAJ	PREVOD NA UCET	5768	28122	SIPO	AB	71994364
156771	524	1998-06-12	VYDAJ	PREVOD NA UCET	5768	24123	SIPO	AB	71994364
156772	524	1998-07-12	VYDAJ	PREVOD NA UCET	5768	47662	SIPO	AB	71994364
156773	524	1998-08-12	VYDAJ	PREVOD NA UCET	5768	11644	SIPO	AB	71994364
156774	524	1998-09-12	VYDAJ	PREVOD NA UCET	5768	25449	SIPO	AB	71994364
156775	524	1998-10-12	VYDAJ	PREVOD NA UCET	5768	39238	SIPO	AB	71994364
156776	524	1998-11-12	VYDAJ	PREVOD NA UCET	5768	50579	SIPO	AB	71994364
156777	524	1998-12-12	VYDAJ	PREVOD NA UCET	5768	64472	SIPO	AB	71994364
156779	524	1995-06-09	VYDAJ	VYBER	10400	25190	\N	\N	\N
156780	524	1996-06-14	VYDAJ	VYBER	11200	44460	\N	\N	\N
156782	524	1998-06-06	VYDAJ	VYBER	17800	29891	\N	\N	\N
156784	524	1995-01-13	VYDAJ	VYBER	8400	43728	\N	\N	\N
156785	524	1996-01-27	VYDAJ	VYBER	3200	25239	\N	\N	\N
156786	524	1997-01-01	VYDAJ	VYBER	8100	18547	\N	\N	\N
156787	524	1998-01-19	VYDAJ	VYBER	3400	40816	\N	\N	\N
156788	524	1994-12-15	VYDAJ	VYBER	2100	58895	\N	\N	\N
156789	524	1995-12-28	VYDAJ	VYBER	2300	35244	\N	\N	\N
156790	524	1996-12-10	VYDAJ	VYBER	600	22797	\N	\N	\N
156791	524	1997-12-30	VYDAJ	VYBER	1400	39058	\N	\N	\N
156792	524	1998-12-16	VYDAJ	VYBER	1700	91888	\N	\N	\N
156799	524	1995-01-19	VYDAJ	VYBER	2800	38828	\N	\N	\N
156800	524	1995-01-19	VYDAJ	VYBER	500	38328	\N	\N	\N
156801	524	1995-01-17	VYDAJ	VYBER	2100	41628	\N	\N	\N
156802	524	1995-01-30	VYDAJ	VYBER	1500	31528	\N	\N	\N
156803	524	1995-01-10	VYDAJ	VYBER	2900	38485	\N	\N	\N
156804	524	1995-01-23	VYDAJ	VYBER	900	37428	\N	\N	\N
156805	524	1996-01-16	VYDAJ	VYBER	2100	39939	\N	\N	\N
156806	524	1996-01-07	VYDAJ	VYBER	500	30996	\N	\N	\N
156807	524	1996-01-15	VYDAJ	VYBER	2600	42039	\N	\N	\N
156808	524	1996-01-24	VYDAJ	VYBER	1700	28439	\N	\N	\N
156809	524	1996-01-01	VYDAJ	VYBER	1200	31496	\N	\N	\N
156810	524	1996-01-01	VYDAJ	VYBER	2700	32696	\N	\N	\N
156816	524	1997-01-05	VYDAJ	VYBER	2700	15847	\N	\N	\N
156817	524	1998-01-08	VYDAJ	VYBER	900	31873	\N	\N	\N
156818	524	1998-01-09	VYDAJ	VYBER	1300	30573	\N	\N	\N
156819	524	1998-01-22	VYDAJ	VYBER	2800	38016	\N	\N	\N
156820	524	1998-01-03	VYDAJ	VYBER	2600	35073	\N	\N	\N
156821	524	1998-01-05	VYDAJ	VYBER	2300	32773	\N	\N	\N
156822	524	1998-01-02	VYDAJ	VYBER	1500	37673	\N	\N	\N
156824	524	1994-11-05	VYDAJ	VYBER	2700	33641	\N	\N	\N
156825	524	1994-09-29	VYDAJ	VYBER	3000	54832	\N	\N	\N
156827	524	1994-09-24	VYDAJ	VYBER	3500	57832	\N	\N	\N
156828	524	1994-11-05	VYDAJ	VYBER	4300	36341	\N	\N	\N
156829	524	1995-02-04	VYDAJ	VYBER	1700	29981	\N	\N	\N
156830	524	1995-05-08	VYDAJ	VYBER	4800	35381	\N	\N	\N
156831	524	1995-08-25	VYDAJ	VYBER	500	46441	\N	\N	\N
156832	524	1995-08-04	VYDAJ	VYBER	3500	34298	\N	\N	\N
156833	524	1995-08-23	VYDAJ	VYBER	1000	46941	\N	\N	\N
156834	524	1995-11-23	VYDAJ	VYBER	4700	46938	\N	\N	\N
156835	524	1995-12-08	VYDAJ	VYBER	3700	28796	\N	\N	\N
156836	524	1995-03-15	VYDAJ	VYBER	3100	46209	\N	\N	\N
156837	524	1996-02-10	VYDAJ	VYBER	1500	23861	\N	\N	\N
156838	524	1996-10-07	VYDAJ	VYBER	4600	23823	\N	\N	\N
156839	524	1996-10-20	VYDAJ	VYBER	1200	22666	\N	\N	\N
156840	524	1997-09-16	VYDAJ	VYBER	4600	28626	\N	\N	\N
156841	524	1997-12-07	VYDAJ	VYBER	900	17110	\N	\N	\N
156842	524	1997-08-22	VYDAJ	VYBER	900	19481	\N	\N	\N
156843	524	1997-08-07	VYDAJ	VYBER	1200	36138	\N	\N	\N
156844	524	1997-09-30	VYDAJ	VYBER	2600	26115	\N	\N	\N
156845	524	1998-10-15	VYDAJ	VYBER	2500	56149	\N	\N	\N
156846	524	1998-04-16	VYDAJ	VYBER	1700	33786	\N	\N	\N
156856	524	1994-09-30	VYDAJ	VYBER	15	55005	SLUZBY	\N	\N
156857	524	1994-10-31	VYDAJ	VYBER	15	40641	SLUZBY	\N	\N
156858	524	1994-11-30	VYDAJ	VYBER	15	37647	SLUZBY	\N	\N
156859	524	1994-12-31	VYDAJ	VYBER	15	41385	SLUZBY	\N	\N
156860	524	1995-01-31	VYDAJ	VYBER	15	31681	SLUZBY	\N	\N
156861	524	1995-02-28	VYDAJ	VYBER	15	35666	SLUZBY	\N	\N
156862	524	1995-03-31	VYDAJ	VYBER	15	37367	SLUZBY	\N	\N
156863	524	1995-04-30	VYDAJ	VYBER	15	40181	SLUZBY	\N	\N
156864	524	1995-05-31	VYDAJ	VYBER	15	35590	SLUZBY	\N	\N
156865	524	1995-06-30	VYDAJ	VYBER	15	35694	SLUZBY	\N	\N
156866	524	1995-07-31	VYDAJ	VYBER	15	37798	SLUZBY	\N	\N
156867	524	1995-08-31	VYDAJ	VYBER	15	33696	SLUZBY	\N	\N
156868	524	1995-09-30	VYDAJ	VYBER	15	36990	SLUZBY	\N	\N
156869	524	1995-10-31	VYDAJ	VYBER	15	37995	SLUZBY	\N	\N
156870	524	1995-11-30	VYDAJ	VYBER	15	32496	SLUZBY	\N	\N
156871	524	1995-12-31	VYDAJ	VYBER	15	35396	SLUZBY	\N	\N
156872	524	1996-01-31	VYDAJ	VYBER	15	25361	SLUZBY	\N	\N
156873	524	1996-02-29	VYDAJ	VYBER	15	27712	SLUZBY	\N	\N
156874	524	1996-03-31	VYDAJ	VYBER	15	29676	SLUZBY	\N	\N
156875	524	1996-04-30	VYDAJ	VYBER	15	28843	SLUZBY	\N	\N
156876	524	1996-05-31	VYDAJ	VYBER	15	32312	SLUZBY	\N	\N
156877	524	1996-06-30	VYDAJ	VYBER	15	32494	SLUZBY	\N	\N
156878	524	1996-07-31	VYDAJ	VYBER	15	34274	SLUZBY	\N	\N
156879	524	1996-08-31	VYDAJ	VYBER	15	32955	SLUZBY	\N	\N
156880	524	1996-09-30	VYDAJ	VYBER	15	28423	SLUZBY	\N	\N
156881	524	1996-10-31	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
156882	524	1996-11-30	VYDAJ	VYBER	15	23397	SLUZBY	\N	\N
156883	524	1996-12-31	VYDAJ	VYBER	15	26647	SLUZBY	\N	\N
156884	524	1997-01-31	VYDAJ	VYBER	15	15050	SLUZBY	\N	\N
156885	524	1997-02-28	VYDAJ	VYBER	15	13543	SLUZBY	\N	\N
156886	524	1997-03-31	VYDAJ	VYBER	15	27261	SLUZBY	\N	\N
156887	524	1997-04-30	VYDAJ	VYBER	15	17390	SLUZBY	\N	\N
156888	524	1997-05-31	VYDAJ	VYBER	15	31124	SLUZBY	\N	\N
156889	524	1997-06-30	VYDAJ	VYBER	15	23579	SLUZBY	\N	\N
156890	524	1997-07-31	VYDAJ	VYBER	15	37338	SLUZBY	\N	\N
156891	524	1997-08-31	VYDAJ	VYBER	15	19583	SLUZBY	\N	\N
156892	524	1997-09-30	VYDAJ	VYBER	15	28715	SLUZBY	\N	\N
156893	524	1997-10-31	VYDAJ	VYBER	15	39889	SLUZBY	\N	\N
156894	524	1997-11-30	VYDAJ	VYBER	15	18010	SLUZBY	\N	\N
156895	524	1997-12-31	VYDAJ	VYBER	15	39173	SLUZBY	\N	\N
156896	524	1998-01-31	VYDAJ	VYBER	15	38155	SLUZBY	\N	\N
156897	524	1998-02-28	VYDAJ	VYBER	15	51972	SLUZBY	\N	\N
156898	524	1998-03-31	VYDAJ	VYBER	15	21843	SLUZBY	\N	\N
156899	524	1998-04-30	VYDAJ	VYBER	15	33890	SLUZBY	\N	\N
156900	524	1998-05-31	VYDAJ	VYBER	15	47691	SLUZBY	\N	\N
156901	524	1998-06-30	VYDAJ	VYBER	15	53430	SLUZBY	\N	\N
156902	524	1998-07-31	VYDAJ	VYBER	15	67312	SLUZBY	\N	\N
156903	524	1998-08-31	VYDAJ	VYBER	15	31217	SLUZBY	\N	\N
156904	524	1998-09-30	VYDAJ	VYBER	15	45006	SLUZBY	\N	\N
156905	524	1998-10-31	VYDAJ	VYBER	15	56347	SLUZBY	\N	\N
156906	524	1998-11-30	VYDAJ	VYBER	15	70240	SLUZBY	\N	\N
156907	524	1994-06-02	PRIJEM	VKLAD	1000	21463	\N	\N	\N
156908	524	1994-07-02	VYDAJ	VYBER	14700	36040	\N	\N	\N
156909	524	1994-08-01	VYDAJ	VYBER	16700	38974	\N	\N	\N
156910	524	1994-08-31	VYDAJ	VYBER	16700	41921	\N	\N	\N
156911	524	1994-09-30	VYDAJ	VYBER	12500	42505	\N	\N	\N
156912	524	1994-10-30	VYDAJ	VYBER	15700	40448	\N	\N	\N
156913	524	1994-11-29	VYDAJ	VYBER	9800	37484	\N	\N	\N
156914	524	1994-12-29	VYDAJ	VYBER	17700	41195	\N	\N	\N
156915	524	1995-01-28	VYDAJ	VYBER	4400	33028	\N	\N	\N
156916	524	1995-02-27	VYDAJ	VYBER	8100	35524	\N	\N	\N
156917	524	1995-03-29	VYDAJ	VYBER	9000	37209	\N	\N	\N
156918	524	1995-04-28	VYDAJ	VYBER	11000	40010	\N	\N	\N
156919	524	1995-05-28	VYDAJ	VYBER	13600	35424	\N	\N	\N
156920	524	1995-06-27	VYDAJ	VYBER	13000	35538	\N	\N	\N
156921	524	1995-07-27	VYDAJ	VYBER	11700	37637	\N	\N	\N
156922	524	1995-08-26	VYDAJ	VYBER	12900	33541	\N	\N	\N
156923	524	1995-09-25	VYDAJ	VYBER	10500	36839	\N	\N	\N
156924	524	1995-10-25	VYDAJ	VYBER	12800	37833	\N	\N	\N
156925	524	1995-11-24	VYDAJ	VYBER	14600	32338	\N	\N	\N
156926	524	1995-12-24	VYDAJ	VYBER	14600	37544	\N	\N	\N
156927	524	1996-01-23	VYDAJ	VYBER	9800	30139	\N	\N	\N
156928	524	1996-02-22	VYDAJ	VYBER	9900	27604	\N	\N	\N
156929	524	1996-03-23	VYDAJ	VYBER	11800	29555	\N	\N	\N
156930	524	1996-04-22	VYDAJ	VYBER	14600	28719	\N	\N	\N
156931	524	1996-05-22	VYDAJ	VYBER	10300	32186	\N	\N	\N
156932	524	1996-06-21	VYDAJ	VYBER	12100	32360	\N	\N	\N
156933	524	1996-07-21	VYDAJ	VYBER	12000	34137	\N	\N	\N
156934	524	1996-08-20	VYDAJ	VYBER	15100	32817	\N	\N	\N
156935	524	1996-09-19	VYDAJ	VYBER	18300	28298	\N	\N	\N
156936	524	1996-10-19	VYDAJ	VYBER	13600	23866	\N	\N	\N
156937	524	1996-11-18	VYDAJ	VYBER	13100	23307	\N	\N	\N
156938	524	1996-12-18	VYDAJ	VYBER	19600	26545	\N	\N	\N
156939	524	1997-01-17	VYDAJ	VYBER	14500	14990	\N	\N	\N
156940	524	1997-02-16	VYDAJ	VYBER	15200	13493	\N	\N	\N
156941	524	1997-04-17	VYDAJ	VYBER	23600	17304	\N	\N	\N
156942	524	1997-06-16	VYDAJ	VYBER	31000	23472	\N	\N	\N
156943	524	1997-08-15	VYDAJ	VYBER	29400	20381	\N	\N	\N
156944	524	1997-11-13	VYDAJ	VYBER	35700	17832	\N	\N	\N
156945	524	1998-03-13	VYDAJ	VYBER	44000	21615	\N	\N	\N
156946	524	1998-08-10	VYDAJ	VYBER	49900	17412	\N	\N	\N
157003	525	1996-03-20	PRIJEM	VKLAD	300	300	\N	\N	\N
157005	525	1996-10-29	PRIJEM	VKLAD	26868	53101	\N	\N	\N
157006	525	1996-05-02	PRIJEM	VKLAD	20657	20957	\N	\N	\N
157007	525	1996-12-15	PRIJEM	VKLAD	12678	51628	\N	\N	\N
157008	525	1996-07-24	PRIJEM	VKLAD	34562	54948	\N	\N	\N
157009	525	1997-06-30	PRIJEM	VKLAD	29206	60346	\N	\N	\N
157010	525	1997-12-18	PRIJEM	VKLAD	30446	52928	\N	\N	\N
157011	525	1997-12-29	PRIJEM	VKLAD	33222	86150	\N	\N	\N
157012	525	1997-01-23	PRIJEM	VKLAD	5265	43887	\N	\N	\N
157013	525	1997-03-04	PRIJEM	VKLAD	19668	55007	\N	\N	\N
157014	525	1997-04-23	PRIJEM	VKLAD	45903	121135	\N	\N	\N
157015	525	1997-04-22	PRIJEM	VKLAD	48984	75232	\N	\N	\N
157016	525	1997-11-15	PRIJEM	VKLAD	26930	38823	\N	\N	\N
157017	525	1998-03-22	PRIJEM	VKLAD	31787	60574	\N	\N	\N
157018	525	1998-09-11	PRIJEM	VKLAD	11198	71515	\N	\N	\N
157019	525	1998-03-08	PRIJEM	VKLAD	6438	61523	\N	\N	\N
157020	525	1998-12-27	PRIJEM	VKLAD	35936	111718	\N	\N	\N
157021	525	1998-08-14	PRIJEM	VKLAD	30029	50087	\N	\N	\N
157022	525	1998-11-08	PRIJEM	VKLAD	31806	75904	\N	\N	\N
157023	525	1998-10-11	PRIJEM	VKLAD	24781	124731	\N	\N	\N
157024	525	1998-08-24	PRIJEM	VKLAD	46908	81257	\N	\N	\N
157025	525	1998-12-27	PRIJEM	VKLAD	46726	158444	\N	\N	\N
157026	525	1998-06-06	PRIJEM	VKLAD	28664	50331	\N	\N	\N
157027	525	1998-12-26	PRIJEM	VKLAD	10789	75782	\N	\N	\N
157028	525	1998-12-08	PRIJEM	VKLAD	49522	83460	\N	\N	\N
157029	525	1998-06-27	PRIJEM	VKLAD	12114	42409	\N	\N	\N
157030	525	1998-10-09	PRIJEM	VKLAD	48905	99950	\N	\N	\N
157031	525	1998-01-09	PRIJEM	VKLAD	28644	123623	\N	\N	\N
157032	525	1998-11-08	PRIJEM	VKLAD	36418	112322	\N	\N	\N
157033	525	1998-01-09	PRIJEM	VKLAD	39947	94979	\N	\N	\N
157034	525	1998-02-18	PRIJEM	VKLAD	36300	54942	\N	\N	\N
157048	525	1997-02-06	VYDAJ	VYBER	3100	40947	\N	\N	0
157049	525	1997-03-15	VYDAJ	VYBER	6300	35353	\N	\N	0
157050	525	1997-04-08	VYDAJ	VYBER	4700	30802	\N	\N	0
157051	525	1997-05-17	VYDAJ	VYBER	3900	57798	\N	\N	0
157052	525	1997-06-17	VYDAJ	VYBER	2900	42540	\N	\N	0
157053	525	1997-07-18	VYDAJ	VYBER	4000	42478	\N	\N	0
157054	525	1997-08-12	VYDAJ	PREVOD NA UCET	4383	34136	UVER	MN	88872944
157055	525	1997-09-12	VYDAJ	PREVOD NA UCET	4383	14639	UVER	MN	88872944
157056	525	1997-10-12	VYDAJ	PREVOD NA UCET	4383	12778	UVER	MN	88872944
157057	525	1997-11-12	VYDAJ	PREVOD NA UCET	4383	11893	UVER	MN	88872944
157058	525	1997-12-12	VYDAJ	PREVOD NA UCET	4383	28936	UVER	MN	88872944
157059	525	1998-01-12	VYDAJ	PREVOD NA UCET	4383	47940	UVER	MN	88872944
157060	525	1998-02-12	VYDAJ	PREVOD NA UCET	4383	25096	UVER	MN	88872944
157061	525	1998-03-12	VYDAJ	PREVOD NA UCET	4383	35241	UVER	MN	88872944
157062	525	1998-04-12	VYDAJ	PREVOD NA UCET	4383	40781	UVER	MN	88872944
157063	525	1998-05-12	VYDAJ	PREVOD NA UCET	4383	21574	UVER	MN	88872944
157064	525	1998-06-12	VYDAJ	PREVOD NA UCET	4383	36749	UVER	MN	88872944
157065	525	1998-07-12	VYDAJ	PREVOD NA UCET	4383	20787	UVER	MN	88872944
157066	525	1998-08-12	VYDAJ	PREVOD NA UCET	4383	20058	UVER	MN	88872944
157067	525	1998-09-12	VYDAJ	PREVOD NA UCET	4383	67132	UVER	MN	88872944
157068	525	1998-10-12	VYDAJ	PREVOD NA UCET	4383	83749	UVER	MN	88872944
157069	525	1998-11-12	VYDAJ	PREVOD NA UCET	4383	61739	UVER	MN	88872944
157070	525	1998-12-12	VYDAJ	PREVOD NA UCET	4383	72623	UVER	MN	88872944
157084	525	1997-02-12	VYDAJ	PREVOD NA UCET	6454	34493	SIPO	ST	67853247
157085	525	1997-03-12	VYDAJ	PREVOD NA UCET	6454	38353	SIPO	ST	67853247
157086	525	1997-04-12	VYDAJ	PREVOD NA UCET	6454	24348	SIPO	ST	67853247
157087	525	1997-05-12	VYDAJ	PREVOD NA UCET	6454	90098	SIPO	ST	67853247
157088	525	1997-06-12	VYDAJ	PREVOD NA UCET	6454	51640	SIPO	ST	67853247
157089	525	1997-07-12	VYDAJ	PREVOD NA UCET	6454	54078	SIPO	ST	67853247
157090	525	1997-08-12	VYDAJ	PREVOD NA UCET	6454	38518	SIPO	ST	67853247
157091	525	1997-09-12	VYDAJ	PREVOD NA UCET	6454	19022	SIPO	ST	67853247
157092	525	1997-10-12	VYDAJ	PREVOD NA UCET	6454	17160	SIPO	ST	67853247
157093	525	1997-11-12	VYDAJ	PREVOD NA UCET	6454	16276	SIPO	ST	67853247
157094	525	1997-12-12	VYDAJ	PREVOD NA UCET	6454	22482	SIPO	ST	67853247
157095	525	1998-01-12	VYDAJ	PREVOD NA UCET	6454	30086	SIPO	ST	67853247
157096	525	1998-02-12	VYDAJ	PREVOD NA UCET	6454	18642	SIPO	ST	67853247
157097	525	1998-03-12	VYDAJ	PREVOD NA UCET	6454	28787	SIPO	ST	67853247
157098	525	1998-04-12	VYDAJ	PREVOD NA UCET	6454	34327	SIPO	ST	67853247
157099	525	1998-05-12	VYDAJ	PREVOD NA UCET	6454	25957	SIPO	ST	67853247
157100	525	1998-06-12	VYDAJ	PREVOD NA UCET	6454	30295	SIPO	ST	67853247
157101	525	1998-07-12	VYDAJ	PREVOD NA UCET	6454	25170	SIPO	ST	67853247
157102	525	1998-08-12	VYDAJ	PREVOD NA UCET	6454	24441	SIPO	ST	67853247
157103	525	1998-09-12	VYDAJ	PREVOD NA UCET	6454	60678	SIPO	ST	67853247
157104	525	1998-10-12	VYDAJ	PREVOD NA UCET	6454	77295	SIPO	ST	67853247
157105	525	1998-11-12	VYDAJ	PREVOD NA UCET	6454	55285	SIPO	ST	67853247
157106	525	1998-12-12	VYDAJ	PREVOD NA UCET	6454	77006	SIPO	ST	67853247
157113	525	1998-11-22	VYBER	VYBER	17942	37343	\N	\N	\N
157114	525	1998-01-05	VYBER	VYBER	22592	55032	\N	\N	\N
157115	525	1998-12-29	VYBER	VYBER	13311	98433	\N	\N	\N
157116	525	1998-08-17	VYBER	VYBER	10038	34349	\N	\N	\N
157117	525	1998-10-30	VYBER	VYBER	24403	38492	\N	\N	\N
157118	525	1998-12-24	VYBER	VYBER	7630	64993	\N	\N	\N
157120	525	1997-06-26	VYDAJ	VYBER	11400	31140	\N	\N	\N
157137	525	1998-01-04	VYDAJ	VYBER	8700	77624	\N	\N	\N
157138	525	1998-01-12	VYDAJ	VYBER	6900	36540	\N	\N	\N
157140	525	1998-01-12	VYDAJ	VYBER	4500	43440	\N	\N	\N
157141	525	1998-01-17	VYDAJ	VYBER	1800	28286	\N	\N	\N
157150	525	1997-11-30	VYDAJ	VYBER	3300	35633	\N	\N	\N
157151	525	1997-03-11	VYDAJ	VYBER	10200	44807	\N	\N	\N
157152	525	1997-09-10	VYDAJ	VYBER	10500	23776	\N	\N	\N
157153	525	1998-08-15	VYDAJ	VYBER	5700	44387	\N	\N	\N
157154	525	1998-10-12	VYDAJ	VYBER	14400	62895	\N	\N	\N
157155	525	1998-07-03	VYDAJ	VYBER	14400	28124	\N	\N	\N
157156	525	1998-11-23	VYDAJ	VYBER	10800	26543	\N	\N	\N
157157	525	1998-03-08	VYDAJ	VYBER	8700	52823	\N	\N	\N
157172	525	1997-01-31	VYDAJ	VYBER	15	44047	SLUZBY	\N	\N
157173	525	1997-02-28	VYDAJ	VYBER	15	35339	SLUZBY	\N	\N
157174	525	1997-03-31	VYDAJ	VYBER	15	35502	SLUZBY	\N	\N
157175	525	1997-04-30	VYDAJ	VYBER	15	96552	SLUZBY	\N	\N
157176	525	1997-05-31	VYDAJ	VYBER	15	58094	SLUZBY	\N	\N
157177	525	1997-06-30	VYDAJ	VYBER	15	60532	SLUZBY	\N	\N
157178	525	1997-07-31	VYDAJ	VYBER	15	42672	SLUZBY	\N	\N
157179	525	1997-08-31	VYDAJ	VYBER	15	34276	SLUZBY	\N	\N
157180	525	1997-09-30	VYDAJ	VYBER	15	14714	SLUZBY	\N	\N
157181	525	1997-10-31	VYDAJ	VYBER	15	12830	SLUZBY	\N	\N
157182	525	1997-11-30	VYDAJ	VYBER	15	35619	SLUZBY	\N	\N
157183	525	1997-12-31	VYDAJ	VYBER	15	86324	SLUZBY	\N	\N
157184	525	1998-01-31	VYDAJ	VYBER	15	28478	SLUZBY	\N	\N
157185	525	1998-02-28	VYDAJ	VYBER	15	55085	SLUZBY	\N	\N
157186	525	1998-03-31	VYDAJ	VYBER	15	60764	SLUZBY	\N	\N
157187	525	1998-04-30	VYDAJ	VYBER	15	34511	SLUZBY	\N	\N
157188	525	1998-05-31	VYDAJ	VYBER	15	21667	SLUZBY	\N	\N
157189	525	1998-06-30	VYDAJ	VYBER	15	42524	SLUZBY	\N	\N
157190	525	1998-07-31	VYDAJ	VYBER	15	20895	SLUZBY	\N	\N
157191	525	1998-08-31	VYDAJ	VYBER	15	81417	SLUZBY	\N	\N
157192	525	1998-09-30	VYDAJ	VYBER	15	60945	SLUZBY	\N	\N
157193	525	1998-10-31	VYDAJ	VYBER	15	38798	SLUZBY	\N	\N
157194	525	1998-11-30	VYDAJ	VYBER	15	26738	SLUZBY	\N	\N
157195	525	1996-05-19	PRIJEM	VKLAD	900	21857	\N	\N	\N
157196	525	1996-06-18	PRIJEM	VKLAD	600	22495	\N	\N	\N
157197	525	1996-07-18	VYDAJ	VYBER	2200	20386	\N	\N	\N
157198	525	1996-08-17	VYDAJ	VYBER	17600	37475	\N	\N	\N
157199	525	1996-09-16	VYDAJ	VYBER	5300	32404	\N	\N	\N
157200	525	1996-10-16	VYDAJ	VYBER	6400	26233	\N	\N	\N
157201	525	1996-11-15	VYDAJ	VYBER	14600	38729	\N	\N	\N
157202	525	1996-12-15	VYDAJ	VYBER	10600	41028	\N	\N	\N
157203	525	1997-01-14	VYDAJ	VYBER	2600	38622	\N	\N	\N
157204	525	1997-02-13	PRIJEM	VKLAD	700	35193	\N	\N	\N
157205	525	1997-03-15	PRIJEM	VKLAD	3300	41653	\N	\N	\N
157206	525	1997-04-14	PRIJEM	VKLAD	1900	26248	\N	\N	\N
157207	525	1997-04-23	VYDAJ	VYBER	24800	96335	\N	\N	\N
157208	525	1997-05-14	VYDAJ	VYBER	28400	61698	\N	\N	\N
157209	525	1997-06-13	VYDAJ	VYBER	6200	45440	\N	\N	\N
157210	525	1997-07-13	VYDAJ	VYBER	7600	46478	\N	\N	\N
157211	525	1997-08-12	PRIJEM	VKLAD	2300	44972	\N	\N	\N
157212	525	1997-09-11	PRIJEM	VKLAD	1700	25476	\N	\N	\N
157213	525	1997-10-11	PRIJEM	VKLAD	8900	23614	\N	\N	\N
157214	525	1997-11-10	PRIJEM	VKLAD	9900	22730	\N	\N	\N
157215	525	1997-12-10	VYDAJ	VYBER	2300	33319	\N	\N	\N
157216	525	1998-01-09	VYDAJ	VYBER	46900	52323	\N	\N	\N
157217	525	1998-01-09	VYDAJ	VYBER	24400	99223	\N	\N	\N
157218	525	1998-02-08	PRIJEM	VKLAD	1000	29478	\N	\N	\N
157219	525	1998-03-10	VYDAJ	VYBER	13200	39623	\N	\N	\N
157220	525	1998-04-09	VYDAJ	VYBER	15600	45164	\N	\N	\N
157221	525	1998-05-09	VYDAJ	VYBER	2100	32411	\N	\N	\N
157222	525	1998-06-08	VYDAJ	VYBER	9200	41131	\N	\N	\N
157223	525	1998-07-08	PRIJEM	VKLAD	3500	31624	\N	\N	\N
157224	525	1998-08-07	PRIJEM	VKLAD	10000	30895	\N	\N	\N
157225	525	1998-09-06	VYDAJ	VYBER	21100	60317	\N	\N	\N
157226	525	1998-10-06	VYDAJ	VYBER	9900	51045	\N	\N	\N
157227	525	1998-10-11	VYDAJ	VYBER	36600	88131	\N	\N	\N
157228	525	1998-11-05	PRIJEM	VKLAD	5300	44098	\N	\N	\N
157229	525	1998-11-08	VYDAJ	VYBER	46200	66122	\N	\N	\N
157230	525	1998-12-05	PRIJEM	VKLAD	7200	33938	\N	\N	\N
157231	525	1998-12-27	VYDAJ	VYBER	46700	111744	\N	\N	\N
157264	526	1996-07-16	PRIJEM	VKLAD	400	400	\N	\N	\N
157272	526	1996-08-14	PRIJEM	VKLAD	16129	16529	\N	\N	\N
157273	526	1996-09-14	PRIJEM	VKLAD	16129	33798	\N	\N	\N
157274	526	1996-10-14	PRIJEM	VKLAD	16129	43423	\N	\N	\N
157275	526	1996-11-14	PRIJEM	VKLAD	16129	43185	\N	\N	\N
157276	526	1996-12-14	PRIJEM	VKLAD	24194	57745	\N	\N	\N
157277	526	1997-01-14	PRIJEM	VKLAD	16129	43620	\N	\N	\N
157278	526	1997-02-14	PRIJEM	VKLAD	16129	38521	\N	\N	\N
157279	526	1997-03-14	PRIJEM	VKLAD	16129	41618	\N	\N	\N
157280	526	1997-04-14	PRIJEM	VKLAD	16129	37805	\N	\N	\N
157281	526	1997-05-14	PRIJEM	VKLAD	16129	42505	\N	\N	\N
157282	526	1997-06-14	PRIJEM	VKLAD	24194	50598	\N	\N	\N
157283	526	1997-07-14	PRIJEM	VKLAD	16129	45934	\N	\N	\N
157284	526	1997-08-14	PRIJEM	VKLAD	16129	46571	\N	\N	\N
157285	526	1997-09-14	PRIJEM	VKLAD	16129	44603	\N	\N	\N
157286	526	1997-10-14	PRIJEM	VKLAD	16129	43830	\N	\N	\N
157287	526	1997-11-14	PRIJEM	VKLAD	16129	47230	\N	\N	\N
157288	526	1997-12-14	PRIJEM	VKLAD	24194	55423	\N	\N	\N
157289	526	1998-01-14	PRIJEM	VKLAD	16129	45747	\N	\N	\N
157290	526	1998-02-14	PRIJEM	VKLAD	16129	37296	\N	\N	\N
157291	526	1998-03-14	PRIJEM	VKLAD	16129	43870	\N	\N	\N
157292	526	1998-04-14	PRIJEM	VKLAD	16129	47280	\N	\N	\N
157293	526	1998-05-14	PRIJEM	VKLAD	16129	49409	\N	\N	\N
157294	526	1998-06-14	PRIJEM	VKLAD	24194	54115	\N	\N	\N
157295	526	1998-07-14	PRIJEM	VKLAD	16129	30641	\N	\N	\N
157296	526	1998-08-14	PRIJEM	VKLAD	16129	28923	\N	\N	\N
157297	526	1998-09-14	PRIJEM	VKLAD	16129	32974	\N	\N	\N
157298	526	1998-10-14	PRIJEM	VKLAD	16129	28601	\N	\N	\N
157299	526	1998-11-14	PRIJEM	VKLAD	16129	30360	\N	\N	\N
157300	526	1998-12-14	PRIJEM	VKLAD	24194	36486	\N	\N	\N
157313	526	1997-01-13	VYDAJ	PREVOD NA UCET	5074	27491	SIPO	MN	22128474
157314	526	1997-02-13	VYDAJ	PREVOD NA UCET	5074	22392	SIPO	MN	22128474
157315	526	1997-03-13	VYDAJ	PREVOD NA UCET	5074	33589	SIPO	MN	22128474
157316	526	1997-04-13	VYDAJ	PREVOD NA UCET	5074	21676	SIPO	MN	22128474
157317	526	1997-05-13	VYDAJ	PREVOD NA UCET	5074	26376	SIPO	MN	22128474
157318	526	1997-06-13	VYDAJ	PREVOD NA UCET	5074	30484	SIPO	MN	22128474
157319	526	1997-07-13	VYDAJ	PREVOD NA UCET	5074	29805	SIPO	MN	22128474
157320	526	1997-08-13	VYDAJ	PREVOD NA UCET	5074	30442	SIPO	MN	22128474
157321	526	1997-09-13	VYDAJ	PREVOD NA UCET	5074	28474	SIPO	MN	22128474
157322	526	1997-10-13	VYDAJ	PREVOD NA UCET	5074	27701	SIPO	MN	22128474
157323	526	1997-11-13	VYDAJ	PREVOD NA UCET	5074	31101	SIPO	MN	22128474
157324	526	1997-12-13	VYDAJ	PREVOD NA UCET	5074	31229	SIPO	MN	22128474
157325	526	1998-01-13	VYDAJ	PREVOD NA UCET	5074	29618	SIPO	MN	22128474
157326	526	1998-02-13	VYDAJ	PREVOD NA UCET	5074	21167	SIPO	MN	22128474
157327	526	1998-03-13	VYDAJ	PREVOD NA UCET	5074	27741	SIPO	MN	22128474
157328	526	1998-04-13	VYDAJ	PREVOD NA UCET	5074	31151	SIPO	MN	22128474
157329	526	1998-05-13	VYDAJ	PREVOD NA UCET	5074	33280	SIPO	MN	22128474
157330	526	1998-06-13	VYDAJ	PREVOD NA UCET	5074	29921	SIPO	MN	22128474
157331	526	1998-07-13	VYDAJ	PREVOD NA UCET	5074	14512	SIPO	MN	22128474
157332	526	1998-08-13	VYDAJ	PREVOD NA UCET	5074	12794	SIPO	MN	22128474
157333	526	1998-09-13	VYDAJ	PREVOD NA UCET	5074	16845	SIPO	MN	22128474
157334	526	1998-10-13	VYDAJ	PREVOD NA UCET	5074	12472	SIPO	MN	22128474
157335	526	1998-11-13	VYDAJ	PREVOD NA UCET	5074	14231	SIPO	MN	22128474
157336	526	1998-12-13	VYDAJ	PREVOD NA UCET	5074	12292	SIPO	MN	22128474
157339	526	1998-06-22	VYDAJ	VYBER	35040	16195	\N	\N	\N
157341	526	1997-01-03	VYDAJ	VYBER	11680	46265	\N	\N	\N
157342	526	1998-01-17	VYDAJ	VYBER	8640	34827	\N	\N	\N
157344	526	1997-12-14	VYDAJ	VYBER	4640	50783	\N	\N	\N
157345	526	1998-12-20	VYDAJ	VYBER	2720	33766	\N	\N	\N
157352	526	1997-01-07	VYDAJ	VYBER	2400	43865	\N	\N	\N
157353	526	1997-01-19	VYDAJ	VYBER	2520	40380	\N	\N	\N
157354	526	1997-01-29	VYDAJ	VYBER	960	37500	\N	\N	\N
157355	526	1997-01-09	VYDAJ	VYBER	600	43265	\N	\N	\N
157356	526	1997-01-16	VYDAJ	VYBER	720	42900	\N	\N	\N
157357	526	1997-01-20	VYDAJ	VYBER	1920	38460	\N	\N	\N
157358	526	1998-01-04	VYDAJ	VYBER	1440	46652	\N	\N	\N
157359	526	1998-01-13	VYDAJ	VYBER	960	34692	\N	\N	\N
157360	526	1998-01-23	VYDAJ	VYBER	2760	27267	\N	\N	\N
157361	526	1998-01-14	VYDAJ	VYBER	2280	43467	\N	\N	\N
157362	526	1998-01-18	VYDAJ	VYBER	3480	31347	\N	\N	\N
157363	526	1998-01-02	VYDAJ	VYBER	2880	48092	\N	\N	\N
157368	526	1997-10-14	VYDAJ	VYBER	720	43110	\N	\N	\N
157369	526	1997-06-13	VYDAJ	VYBER	4080	26404	\N	\N	\N
157370	526	1997-09-29	VYDAJ	VYBER	600	44003	\N	\N	\N
157371	526	1997-04-08	VYDAJ	VYBER	1920	39850	\N	\N	\N
157372	526	1998-01-22	VYDAJ	VYBER	1320	30027	\N	\N	\N
157373	526	1998-09-30	VYDAJ	VYBER	3240	29861	\N	\N	\N
157374	526	1998-02-01	VYDAJ	VYBER	2760	24641	\N	\N	\N
157375	526	1998-06-22	VYDAJ	VYBER	2880	51235	\N	\N	\N
157376	526	1998-08-07	VYDAJ	VYBER	5160	17868	\N	\N	\N
157389	526	1996-12-31	VYDAJ	VYBER	15	57945	SLUZBY	\N	\N
157390	526	1997-01-31	VYDAJ	VYBER	15	37666	SLUZBY	\N	\N
157391	526	1997-02-28	VYDAJ	VYBER	15	38663	SLUZBY	\N	\N
157392	526	1997-03-31	VYDAJ	VYBER	15	41770	SLUZBY	\N	\N
157393	526	1997-04-30	VYDAJ	VYBER	15	37950	SLUZBY	\N	\N
157394	526	1997-05-31	VYDAJ	VYBER	15	42658	SLUZBY	\N	\N
157395	526	1997-06-30	VYDAJ	VYBER	15	50779	SLUZBY	\N	\N
157396	526	1997-07-31	VYDAJ	VYBER	15	46116	SLUZBY	\N	\N
157397	526	1997-08-31	VYDAJ	VYBER	15	46748	SLUZBY	\N	\N
157398	526	1997-09-30	VYDAJ	VYBER	15	44175	SLUZBY	\N	\N
157399	526	1997-10-31	VYDAJ	VYBER	15	43275	SLUZBY	\N	\N
157400	526	1997-11-30	VYDAJ	VYBER	15	47403	SLUZBY	\N	\N
157401	526	1997-12-31	VYDAJ	VYBER	15	50972	SLUZBY	\N	\N
157402	526	1998-01-31	VYDAJ	VYBER	15	27401	SLUZBY	\N	\N
157403	526	1998-02-28	VYDAJ	VYBER	15	37415	SLUZBY	\N	\N
157404	526	1998-03-31	VYDAJ	VYBER	15	44025	SLUZBY	\N	\N
157405	526	1998-04-30	VYDAJ	VYBER	15	47454	SLUZBY	\N	\N
157406	526	1998-05-31	VYDAJ	VYBER	15	49595	SLUZBY	\N	\N
157407	526	1998-06-30	VYDAJ	VYBER	15	16386	SLUZBY	\N	\N
157408	526	1998-07-31	VYDAJ	VYBER	15	30728	SLUZBY	\N	\N
157409	526	1998-08-31	VYDAJ	VYBER	15	29019	SLUZBY	\N	\N
157410	526	1998-09-30	VYDAJ	VYBER	15	29846	SLUZBY	\N	\N
157411	526	1998-10-31	VYDAJ	VYBER	15	28705	SLUZBY	\N	\N
157412	526	1998-11-30	VYDAJ	VYBER	15	30466	SLUZBY	\N	\N
157413	526	1996-08-15	PRIJEM	VKLAD	1100	17629	\N	\N	\N
157414	526	1996-09-14	VYDAJ	VYBER	6600	27198	\N	\N	\N
157415	526	1996-10-14	VYDAJ	VYBER	8200	35223	\N	\N	\N
157416	526	1996-11-13	VYDAJ	VYBER	8300	27056	\N	\N	\N
157417	526	1996-12-13	VYDAJ	VYBER	9800	33551	\N	\N	\N
157418	526	1997-01-12	VYDAJ	VYBER	10700	32565	\N	\N	\N
157419	526	1997-02-11	VYDAJ	VYBER	10200	27466	\N	\N	\N
157420	526	1997-03-13	VYDAJ	VYBER	8100	25489	\N	\N	\N
157421	526	1997-04-12	VYDAJ	VYBER	13100	26750	\N	\N	\N
157422	526	1997-05-12	VYDAJ	VYBER	6500	31450	\N	\N	\N
157423	526	1997-06-11	VYDAJ	VYBER	7100	35558	\N	\N	\N
157424	526	1997-07-11	VYDAJ	VYBER	15900	34879	\N	\N	\N
157425	526	1997-08-10	VYDAJ	VYBER	10600	35516	\N	\N	\N
157426	526	1997-09-09	VYDAJ	VYBER	13200	33548	\N	\N	\N
157427	526	1997-10-09	VYDAJ	VYBER	11400	32775	\N	\N	\N
157428	526	1997-11-08	VYDAJ	VYBER	7100	36175	\N	\N	\N
157429	526	1997-12-08	VYDAJ	VYBER	11100	36303	\N	\N	\N
157430	526	1998-01-07	VYDAJ	VYBER	11000	35652	\N	\N	\N
157431	526	1998-02-06	PRIJEM	VKLAD	1600	26241	\N	\N	\N
157432	526	1998-03-08	VYDAJ	VYBER	4600	32815	\N	\N	\N
157433	526	1998-04-07	VYDAJ	VYBER	7800	36225	\N	\N	\N
157434	526	1998-05-07	VYDAJ	VYBER	9100	38354	\N	\N	\N
157435	526	1998-06-06	VYDAJ	VYBER	14600	34995	\N	\N	\N
157436	526	1998-07-06	PRIJEM	VKLAD	3200	19586	\N	\N	\N
157437	526	1998-08-05	VYDAJ	VYBER	7700	23028	\N	\N	\N
157438	526	1998-09-04	VYDAJ	VYBER	7100	21919	\N	\N	\N
157439	526	1998-10-04	VYDAJ	VYBER	12300	17546	\N	\N	\N
157440	526	1998-11-03	VYDAJ	VYBER	9400	19305	\N	\N	\N
157441	526	1998-12-03	VYDAJ	VYBER	13100	17366	\N	\N	\N
157971	528	1996-12-30	PRIJEM	VKLAD	300	300	\N	\N	\N
157984	528	1997-01-08	PRIJEM	PREVOD Z UCTU	4568	4868	DUCHOD	MN	50802421
157985	528	1997-02-08	PRIJEM	PREVOD Z UCTU	4568	9436	DUCHOD	MN	50802421
157986	528	1997-03-08	PRIJEM	PREVOD Z UCTU	4568	14004	DUCHOD	MN	50802421
157987	528	1997-04-08	PRIJEM	PREVOD Z UCTU	4568	18572	DUCHOD	MN	50802421
157988	528	1997-05-08	PRIJEM	PREVOD Z UCTU	4568	23140	DUCHOD	MN	50802421
157989	528	1997-06-08	PRIJEM	PREVOD Z UCTU	4568	23552	DUCHOD	MN	50802421
157990	528	1997-07-08	PRIJEM	PREVOD Z UCTU	4568	19912	DUCHOD	MN	50802421
157991	528	1997-08-08	PRIJEM	PREVOD Z UCTU	4568	21618	DUCHOD	MN	50802421
157992	528	1997-09-08	PRIJEM	PREVOD Z UCTU	4568	21030	DUCHOD	MN	50802421
157993	528	1997-10-08	PRIJEM	PREVOD Z UCTU	4568	22240	DUCHOD	MN	50802421
157994	528	1997-11-08	PRIJEM	PREVOD Z UCTU	4568	23956	DUCHOD	MN	50802421
157995	528	1997-12-08	PRIJEM	PREVOD Z UCTU	4568	25178	DUCHOD	MN	50802421
157996	528	1998-01-08	PRIJEM	PREVOD Z UCTU	4568	20023	DUCHOD	MN	50802421
157997	528	1998-02-08	PRIJEM	PREVOD Z UCTU	4568	17387	DUCHOD	MN	50802421
157998	528	1998-03-08	PRIJEM	PREVOD Z UCTU	4568	19082	DUCHOD	MN	50802421
157999	528	1998-04-08	PRIJEM	PREVOD Z UCTU	4568	19664	DUCHOD	MN	50802421
158000	528	1998-05-08	PRIJEM	PREVOD Z UCTU	4568	21369	DUCHOD	MN	50802421
158001	528	1998-06-08	PRIJEM	PREVOD Z UCTU	4568	20679	DUCHOD	MN	50802421
158002	528	1998-07-08	PRIJEM	PREVOD Z UCTU	4568	17728	DUCHOD	MN	50802421
158003	528	1998-08-08	PRIJEM	PREVOD Z UCTU	4568	19424	DUCHOD	MN	50802421
158004	528	1998-09-08	PRIJEM	PREVOD Z UCTU	4568	21128	DUCHOD	MN	50802421
158005	528	1998-10-08	PRIJEM	PREVOD Z UCTU	4568	20031	DUCHOD	MN	50802421
158006	528	1998-11-08	PRIJEM	PREVOD Z UCTU	4568	21738	DUCHOD	MN	50802421
158007	528	1998-12-08	PRIJEM	PREVOD Z UCTU	4568	23451	DUCHOD	MN	50802421
158024	528	1997-05-11	VYDAJ	PREVOD NA UCET	2916	20224	SIPO	IJ	11964172
158025	528	1997-06-11	VYDAJ	PREVOD NA UCET	2916	20636	SIPO	IJ	11964172
158026	528	1997-07-11	VYDAJ	PREVOD NA UCET	2916	16996	SIPO	IJ	11964172
158027	528	1997-08-11	VYDAJ	PREVOD NA UCET	2916	18702	SIPO	IJ	11964172
158028	528	1997-09-11	VYDAJ	PREVOD NA UCET	2916	18114	SIPO	IJ	11964172
158029	528	1997-10-11	VYDAJ	PREVOD NA UCET	2916	19324	SIPO	IJ	11964172
158030	528	1997-11-11	VYDAJ	PREVOD NA UCET	2916	21040	SIPO	IJ	11964172
158031	528	1997-12-11	VYDAJ	PREVOD NA UCET	2916	22262	SIPO	IJ	11964172
158032	528	1998-01-11	VYDAJ	PREVOD NA UCET	2916	17107	SIPO	IJ	11964172
158033	528	1998-02-11	VYDAJ	PREVOD NA UCET	2916	14471	SIPO	IJ	11964172
158034	528	1998-03-11	VYDAJ	PREVOD NA UCET	2916	16166	SIPO	IJ	11964172
158035	528	1998-04-11	VYDAJ	PREVOD NA UCET	2916	16748	SIPO	IJ	11964172
158036	528	1998-05-11	VYDAJ	PREVOD NA UCET	2916	18453	SIPO	IJ	11964172
158037	528	1998-06-11	VYDAJ	PREVOD NA UCET	2916	17763	SIPO	IJ	11964172
158038	528	1998-07-11	VYDAJ	PREVOD NA UCET	2916	14812	SIPO	IJ	11964172
158039	528	1998-08-11	VYDAJ	PREVOD NA UCET	2916	16508	SIPO	IJ	11964172
158040	528	1998-09-11	VYDAJ	PREVOD NA UCET	2916	18212	SIPO	IJ	11964172
158041	528	1998-10-11	VYDAJ	PREVOD NA UCET	2916	17115	SIPO	IJ	11964172
158042	528	1998-11-11	VYDAJ	PREVOD NA UCET	2916	18822	SIPO	IJ	11964172
158043	528	1998-12-11	VYDAJ	PREVOD NA UCET	2916	20535	SIPO	IJ	11964172
158045	528	1997-06-16	VYDAJ	VYBER	5350	15286	\N	\N	\N
158046	528	1998-06-15	VYDAJ	VYBER	4650	13113	\N	\N	\N
158049	528	1998-01-15	VYDAJ	VYBER	1300	14447	\N	\N	\N
158063	528	1998-01-13	VYDAJ	VYBER	1360	15747	\N	\N	\N
158065	528	1998-01-15	VYDAJ	VYBER	1680	12767	\N	\N	\N
158066	528	1998-01-07	VYDAJ	VYBER	960	15455	\N	\N	\N
158067	528	1998-01-04	VYDAJ	VYBER	2160	16415	\N	\N	\N
158073	528	1997-12-26	VYDAJ	VYBER	3760	18502	\N	\N	\N
158074	528	1997-05-18	VYDAJ	VYBER	1280	18944	\N	\N	\N
158075	528	1998-09-11	VYDAJ	VYBER	2800	15412	\N	\N	\N
158076	528	1998-05-26	VYDAJ	VYBER	2400	16053	\N	\N	\N
158077	528	1998-03-29	VYDAJ	VYBER	1120	15046	\N	\N	\N
158096	528	1997-05-31	VYDAJ	VYBER	15	18984	SLUZBY	\N	\N
158097	528	1997-06-30	VYDAJ	VYBER	15	15344	SLUZBY	\N	\N
158098	528	1997-07-31	VYDAJ	VYBER	15	17050	SLUZBY	\N	\N
158099	528	1997-08-31	VYDAJ	VYBER	15	16462	SLUZBY	\N	\N
158100	528	1997-09-30	VYDAJ	VYBER	15	17672	SLUZBY	\N	\N
158101	528	1997-10-31	VYDAJ	VYBER	15	19388	SLUZBY	\N	\N
158102	528	1997-11-30	VYDAJ	VYBER	15	20610	SLUZBY	\N	\N
158103	528	1997-12-31	VYDAJ	VYBER	15	18575	SLUZBY	\N	\N
158104	528	1998-01-31	VYDAJ	VYBER	15	12819	SLUZBY	\N	\N
158105	528	1998-02-28	VYDAJ	VYBER	15	14514	SLUZBY	\N	\N
158106	528	1998-03-31	VYDAJ	VYBER	15	15096	SLUZBY	\N	\N
158107	528	1998-04-30	VYDAJ	VYBER	15	16801	SLUZBY	\N	\N
158108	528	1998-05-31	VYDAJ	VYBER	15	16111	SLUZBY	\N	\N
158109	528	1998-06-30	VYDAJ	VYBER	15	13160	SLUZBY	\N	\N
158110	528	1998-07-31	VYDAJ	VYBER	15	14856	SLUZBY	\N	\N
158111	528	1998-08-31	VYDAJ	VYBER	15	16560	SLUZBY	\N	\N
158112	528	1998-09-30	VYDAJ	VYBER	15	15463	SLUZBY	\N	\N
158113	528	1998-10-31	VYDAJ	VYBER	15	17170	SLUZBY	\N	\N
158114	528	1998-11-30	VYDAJ	VYBER	15	18883	SLUZBY	\N	\N
158115	528	1997-08-27	VYDAJ	VYBER	2300	16402	\N	\N	\N
158116	528	1997-09-26	VYDAJ	VYBER	500	17614	\N	\N	\N
158117	528	1997-11-25	VYDAJ	VYBER	500	20540	\N	\N	\N
158138	529	1997-08-18	PRIJEM	VKLAD	700	700	\N	\N	\N
158147	529	1997-09-05	PRIJEM	VKLAD	5016	5716	\N	\N	\N
158148	529	1997-10-05	PRIJEM	VKLAD	5016	20161	\N	\N	\N
158149	529	1997-11-05	PRIJEM	VKLAD	5016	24750	\N	\N	\N
158150	529	1997-12-05	PRIJEM	VKLAD	7524	34370	\N	\N	\N
158151	529	1998-01-05	PRIJEM	VKLAD	5016	34102	\N	\N	\N
158152	529	1998-02-05	PRIJEM	VKLAD	5016	28007	\N	\N	\N
158153	529	1998-03-05	PRIJEM	VKLAD	5016	34576	\N	\N	\N
158154	529	1998-04-05	PRIJEM	VKLAD	5016	31596	\N	\N	\N
158155	529	1998-05-05	PRIJEM	VKLAD	5016	27905	\N	\N	\N
158156	529	1998-06-05	PRIJEM	VKLAD	7524	35181	\N	\N	\N
158157	529	1998-07-05	PRIJEM	VKLAD	5016	32297	\N	\N	\N
158158	529	1998-08-05	PRIJEM	VKLAD	5016	28024	\N	\N	\N
158159	529	1998-09-05	PRIJEM	VKLAD	5016	23314	\N	\N	\N
158160	529	1998-10-05	PRIJEM	VKLAD	5016	29064	\N	\N	\N
158161	529	1998-11-05	PRIJEM	VKLAD	5016	33463	\N	\N	\N
158162	529	1998-12-05	PRIJEM	VKLAD	7524	43869	\N	\N	\N
158175	529	1998-01-07	VYDAJ	PREVOD NA UCET	3344	27758	SIPO	MN	85919022
158176	529	1998-02-07	VYDAJ	PREVOD NA UCET	3344	24663	SIPO	MN	85919022
158177	529	1998-03-07	VYDAJ	PREVOD NA UCET	3344	31232	SIPO	MN	85919022
158178	529	1998-04-07	VYDAJ	PREVOD NA UCET	3344	28252	SIPO	MN	85919022
158179	529	1998-05-07	VYDAJ	PREVOD NA UCET	3344	24561	SIPO	MN	85919022
158180	529	1998-06-07	VYDAJ	PREVOD NA UCET	3344	29677	SIPO	MN	85919022
158181	529	1998-07-07	VYDAJ	PREVOD NA UCET	3344	28953	SIPO	MN	85919022
158182	529	1998-08-07	VYDAJ	PREVOD NA UCET	3344	24680	SIPO	MN	85919022
158183	529	1998-09-07	VYDAJ	PREVOD NA UCET	3344	19970	SIPO	MN	85919022
158184	529	1998-10-07	VYDAJ	PREVOD NA UCET	3344	25720	SIPO	MN	85919022
158185	529	1998-11-07	VYDAJ	PREVOD NA UCET	3344	30119	SIPO	MN	85919022
158186	529	1998-12-07	VYDAJ	PREVOD NA UCET	3344	40525	SIPO	MN	85919022
158190	529	1998-12-23	VYDAJ	VYBER	4000	32965	\N	\N	\N
158197	529	1998-01-14	VYDAJ	VYBER	3120	21878	\N	\N	\N
158198	529	1998-01-06	VYDAJ	VYBER	3000	31102	\N	\N	\N
158199	529	1998-01-13	VYDAJ	VYBER	2760	24998	\N	\N	\N
158200	529	1998-01-26	VYDAJ	VYBER	960	22898	\N	\N	\N
158201	529	1998-01-21	VYDAJ	VYBER	1320	23858	\N	\N	\N
158207	529	1998-05-03	VYDAJ	VYBER	3480	22889	\N	\N	\N
158208	529	1998-08-24	VYDAJ	VYBER	5160	18220	\N	\N	\N
158209	529	1998-07-22	VYDAJ	VYBER	5040	22913	\N	\N	\N
158210	529	1998-12-22	VYDAJ	VYBER	960	36965	\N	\N	\N
158211	529	1998-04-11	VYDAJ	VYBER	1680	26572	\N	\N	\N
158212	529	1998-10-12	VYDAJ	VYBER	3480	28340	\N	\N	\N
158213	529	1998-06-05	VYDAJ	VYBER	2160	33021	\N	\N	\N
158214	529	1998-03-30	VYDAJ	VYBER	2160	26472	\N	\N	\N
158228	529	1998-01-31	VYDAJ	VYBER	15	22991	SLUZBY	\N	\N
158229	529	1998-02-28	VYDAJ	VYBER	15	29560	SLUZBY	\N	\N
158230	529	1998-03-31	VYDAJ	VYBER	15	26580	SLUZBY	\N	\N
158231	529	1998-04-30	VYDAJ	VYBER	15	26369	SLUZBY	\N	\N
158232	529	1998-05-31	VYDAJ	VYBER	15	27657	SLUZBY	\N	\N
158233	529	1998-06-30	VYDAJ	VYBER	15	27281	SLUZBY	\N	\N
158234	529	1998-07-31	VYDAJ	VYBER	15	23008	SLUZBY	\N	\N
158235	529	1998-08-31	VYDAJ	VYBER	15	18298	SLUZBY	\N	\N
158236	529	1998-09-30	VYDAJ	VYBER	15	24048	SLUZBY	\N	\N
158237	529	1998-10-31	VYDAJ	VYBER	15	28447	SLUZBY	\N	\N
158238	529	1998-11-30	VYDAJ	VYBER	15	36345	SLUZBY	\N	\N
158239	529	1997-09-17	PRIJEM	VKLAD	9400	15116	\N	\N	\N
158240	529	1997-10-17	VYDAJ	VYBER	500	19661	\N	\N	\N
158241	529	1997-11-16	PRIJEM	VKLAD	2000	26750	\N	\N	\N
158242	529	1997-12-16	VYDAJ	VYBER	5400	28970	\N	\N	\N
158243	529	1998-01-15	PRIJEM	VKLAD	3300	25178	\N	\N	\N
158244	529	1998-02-14	PRIJEM	VKLAD	4800	29463	\N	\N	\N
158245	529	1998-03-16	VYDAJ	VYBER	2600	28632	\N	\N	\N
158246	529	1998-04-15	VYDAJ	VYBER	300	26272	\N	\N	\N
158247	529	1998-05-15	PRIJEM	VKLAD	3000	27561	\N	\N	\N
158248	529	1998-06-14	VYDAJ	VYBER	2500	27177	\N	\N	\N
158249	529	1998-07-14	VYDAJ	VYBER	1000	27953	\N	\N	\N
158250	529	1998-08-13	VYDAJ	VYBER	1300	23380	\N	\N	\N
158251	529	1998-09-12	PRIJEM	VKLAD	4000	23970	\N	\N	\N
158252	529	1998-10-12	PRIJEM	VKLAD	6100	31820	\N	\N	\N
158253	529	1998-11-11	PRIJEM	VKLAD	6100	36219	\N	\N	\N
158254	529	1998-12-11	VYDAJ	VYBER	2600	37925	\N	\N	\N
158271	530	1996-11-19	PRIJEM	VKLAD	600	600	\N	\N	\N
158283	530	1996-12-06	PRIJEM	PREVOD Z UCTU	37203	37803	\N	QR	62152212
158284	530	1997-01-06	PRIJEM	PREVOD Z UCTU	24802	56060	\N	QR	62152212
158285	530	1997-02-06	PRIJEM	PREVOD Z UCTU	24802	65409	\N	QR	62152212
158286	530	1997-03-06	PRIJEM	PREVOD Z UCTU	24802	67884	\N	QR	62152212
158287	530	1997-04-06	PRIJEM	PREVOD Z UCTU	24802	71170	\N	QR	62152212
158288	530	1997-05-06	PRIJEM	PREVOD Z UCTU	24802	68135	\N	QR	62152212
158289	530	1997-06-06	PRIJEM	PREVOD Z UCTU	37203	64390	\N	QR	62152212
158290	530	1997-07-06	PRIJEM	PREVOD Z UCTU	24802	56984	\N	QR	62152212
158291	530	1997-08-06	PRIJEM	PREVOD Z UCTU	24802	58872	\N	QR	62152212
158292	530	1997-09-06	PRIJEM	PREVOD Z UCTU	24802	51618	\N	QR	62152212
158293	530	1997-10-06	PRIJEM	PREVOD Z UCTU	24802	62641	\N	QR	62152212
158294	530	1997-11-06	PRIJEM	PREVOD Z UCTU	24802	64520	\N	QR	62152212
158295	530	1997-12-06	PRIJEM	PREVOD Z UCTU	37203	69581	\N	QR	62152212
158296	530	1998-01-06	PRIJEM	PREVOD Z UCTU	24802	47159	\N	QR	62152212
158297	530	1998-02-06	PRIJEM	PREVOD Z UCTU	24802	48165	\N	QR	62152212
158298	530	1998-03-06	PRIJEM	PREVOD Z UCTU	24802	63989	\N	QR	62152212
158299	530	1998-04-06	PRIJEM	PREVOD Z UCTU	24802	48443	\N	QR	62152212
158300	530	1998-05-06	PRIJEM	PREVOD Z UCTU	24802	61261	\N	QR	62152212
158301	530	1998-06-06	PRIJEM	PREVOD Z UCTU	37203	61773	\N	QR	62152212
158302	530	1998-07-06	PRIJEM	PREVOD Z UCTU	24802	59909	\N	QR	62152212
158303	530	1998-08-06	PRIJEM	PREVOD Z UCTU	24802	50864	\N	QR	62152212
158304	530	1998-09-06	PRIJEM	PREVOD Z UCTU	24802	50583	\N	QR	62152212
158305	530	1998-10-06	PRIJEM	PREVOD Z UCTU	24802	59519	\N	QR	62152212
158306	530	1998-11-06	PRIJEM	PREVOD Z UCTU	24802	54624	\N	QR	62152212
158307	530	1998-12-06	PRIJEM	PREVOD Z UCTU	37203	65446	\N	QR	62152212
158315	530	1997-06-02	VYBER	VYBER	17716	27187	\N	\N	\N
158316	530	1997-08-14	VYBER	VYBER	21372	37500	\N	\N	\N
158317	530	1997-07-03	VYBER	VYBER	9605	32182	\N	\N	\N
158319	530	1997-04-10	VYBER	VYBER	6131	65039	\N	\N	\N
158320	530	1997-12-16	VYBER	VYBER	19370	22211	\N	\N	\N
158321	530	1997-07-13	VYBER	VYBER	14972	42012	\N	\N	\N
158322	530	1998-10-08	VYBER	VYBER	12115	47404	\N	\N	\N
158323	530	1998-03-10	VYBER	VYBER	7259	21243	\N	\N	\N
158325	530	1998-08-01	VYBER	VYBER	12792	26062	\N	\N	\N
158327	530	1998-03-08	VYBER	VYBER	19781	28502	\N	\N	\N
158329	530	1998-03-08	VYBER	VYBER	15706	48283	\N	\N	\N
158330	530	1998-05-13	VYBER	VYBER	18732	42529	\N	\N	\N
158331	530	1998-09-05	VYBER	VYBER	4151	25781	\N	\N	\N
158332	530	1998-05-14	VYBER	VYBER	14067	24462	\N	\N	\N
158333	530	1998-08-13	VYBER	VYBER	5163	29801	\N	\N	\N
158343	530	1997-12-13	VYDAJ	VYBER	7800	61781	\N	\N	\N
158344	530	1998-12-22	VYDAJ	VYBER KARTOU	3600	32846	\N	\N	0
158358	530	1998-01-14	VYDAJ	VYBER	7500	25659	\N	\N	\N
158359	530	1998-01-24	VYDAJ	VYBER KARTOU	2400	23259	\N	\N	0
158360	530	1998-01-11	VYDAJ	VYBER KARTOU	3600	39359	\N	\N	0
158361	530	1998-01-06	VYDAJ	VYBER	4200	42959	\N	\N	\N
158371	530	1997-08-27	VYDAJ	VYBER KARTOU	2100	26700	\N	\N	0
158372	530	1997-06-09	VYDAJ	VYBER	2400	61990	\N	\N	\N
158373	530	1997-06-27	VYDAJ	VYBER	2700	41590	\N	\N	\N
158374	530	1997-12-04	VYDAJ	VYBER	10500	32378	\N	\N	\N
158375	530	1997-10-06	VYDAJ	VYBER	4200	58441	\N	\N	\N
158376	530	1998-11-24	VYDAJ	VYBER	7200	28124	\N	\N	\N
158377	530	1998-12-14	VYDAJ	VYBER KARTOU	3000	36446	\N	\N	0
158378	530	1998-06-08	VYDAJ	VYBER	14400	47373	\N	\N	\N
158379	530	1998-06-20	VYDAJ	VYBER	5100	34973	\N	\N	\N
158380	530	1998-07-10	VYDAJ	VYBER	7500	52409	\N	\N	\N
158399	530	1997-04-30	VYDAJ	VYBER	15	43333	SLUZBY	\N	\N
158400	530	1997-05-31	VYDAJ	VYBER	15	44903	SLUZBY	\N	\N
158401	530	1997-06-30	VYDAJ	VYBER	15	41787	SLUZBY	\N	\N
158402	530	1997-07-31	VYDAJ	VYBER	15	34070	SLUZBY	\N	\N
158403	530	1997-08-31	VYDAJ	VYBER	15	26816	SLUZBY	\N	\N
158404	530	1997-09-30	VYDAJ	VYBER	15	37839	SLUZBY	\N	\N
158405	530	1997-10-31	VYDAJ	VYBER	15	39718	SLUZBY	\N	\N
158406	530	1997-11-30	VYDAJ	VYBER	15	42878	SLUZBY	\N	\N
158407	530	1997-12-31	VYDAJ	VYBER	15	22357	SLUZBY	\N	\N
158408	530	1998-01-31	VYDAJ	VYBER	15	23363	SLUZBY	\N	\N
158409	530	1998-02-28	VYDAJ	VYBER	15	39187	SLUZBY	\N	\N
158410	530	1998-03-31	VYDAJ	VYBER	15	23641	SLUZBY	\N	\N
158411	530	1998-04-30	VYDAJ	VYBER	15	36459	SLUZBY	\N	\N
158412	530	1998-05-31	VYDAJ	VYBER	15	24570	SLUZBY	\N	\N
158413	530	1998-06-30	VYDAJ	VYBER	15	35107	SLUZBY	\N	\N
158414	530	1998-07-31	VYDAJ	VYBER	15	38854	SLUZBY	\N	\N
158415	530	1998-08-31	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
158416	530	1998-09-30	VYDAJ	VYBER	15	34717	SLUZBY	\N	\N
158417	530	1998-10-31	VYDAJ	VYBER	15	29822	SLUZBY	\N	\N
158418	530	1998-11-30	VYDAJ	VYBER	15	28243	SLUZBY	\N	\N
158419	530	1996-12-19	VYDAJ	VYBER	6600	31203	\N	\N	\N
158420	530	1997-01-18	VYDAJ	VYBER	15600	40460	\N	\N	\N
158421	530	1997-02-17	VYDAJ	VYBER	22500	42909	\N	\N	\N
158422	530	1997-03-19	VYDAJ	VYBER	21700	46184	\N	\N	\N
158423	530	1997-04-18	VYDAJ	VYBER	21900	43139	\N	\N	\N
158424	530	1997-05-18	VYDAJ	VYBER	23400	44735	\N	\N	\N
158425	530	1997-06-17	VYDAJ	VYBER	17700	44290	\N	\N	\N
158426	530	1997-07-17	VYDAJ	VYBER	8100	33912	\N	\N	\N
158427	530	1997-08-16	VYDAJ	VYBER	8700	28800	\N	\N	\N
158428	530	1997-09-15	VYDAJ	VYBER	13900	37718	\N	\N	\N
158429	530	1997-10-15	VYDAJ	VYBER	18900	39541	\N	\N	\N
158430	530	1997-11-14	VYDAJ	VYBER	21800	42720	\N	\N	\N
158431	530	1997-12-14	VYDAJ	VYBER	20200	41581	\N	\N	\N
158432	530	1998-01-13	VYDAJ	VYBER	6200	33159	\N	\N	\N
158433	530	1998-02-12	VYDAJ	VYBER	9100	39065	\N	\N	\N
158434	530	1998-03-14	PRIJEM	VKLAD	2300	23543	\N	\N	\N
158435	530	1998-04-13	VYDAJ	VYBER	12100	36343	\N	\N	\N
158436	530	1998-05-13	VYDAJ	VYBER KARTOU	4000	38529	\N	\N	0
158437	530	1998-06-12	VYDAJ	VYBER	7300	40073	\N	\N	\N
158438	530	1998-07-12	VYDAJ	VYBER	13700	38709	\N	\N	\N
158439	530	1998-08-11	VYDAJ	VYBER	15900	34964	\N	\N	\N
158440	530	1998-09-10	VYDAJ	VYBER	16000	34583	\N	\N	\N
158441	530	1998-10-10	VYDAJ	VYBER	17700	29704	\N	\N	\N
158442	530	1998-11-09	VYDAJ	VYBER	19300	35324	\N	\N	\N
158443	530	1998-12-09	VYDAJ	VYBER	26000	39446	\N	\N	\N
158469	531	1995-08-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
158478	531	1995-09-07	PRIJEM	PREVOD Z UCTU	3216	4216	\N	YZ	11388463
158479	531	1995-10-07	PRIJEM	PREVOD Z UCTU	3216	7432	\N	YZ	11388463
158480	531	1995-11-07	PRIJEM	PREVOD Z UCTU	3216	10648	\N	YZ	11388463
158481	531	1995-12-07	PRIJEM	PREVOD Z UCTU	3216	13864	\N	YZ	11388463
158482	531	1996-01-07	PRIJEM	PREVOD Z UCTU	3216	17080	\N	YZ	11388463
158483	531	1996-02-07	PRIJEM	PREVOD Z UCTU	3216	15693	\N	YZ	11388463
158484	531	1996-03-07	PRIJEM	PREVOD Z UCTU	3216	16806	\N	YZ	11388463
158485	531	1996-04-07	PRIJEM	PREVOD Z UCTU	3216	17923	\N	YZ	11388463
158486	531	1996-05-07	PRIJEM	PREVOD Z UCTU	3216	17843	\N	YZ	11388463
158487	531	1996-06-07	PRIJEM	PREVOD Z UCTU	3216	17553	\N	YZ	11388463
158488	531	1996-07-07	PRIJEM	PREVOD Z UCTU	3216	18674	\N	YZ	11388463
158489	531	1996-08-07	PRIJEM	PREVOD Z UCTU	3216	18388	\N	YZ	11388463
158490	531	1996-09-07	PRIJEM	PREVOD Z UCTU	3216	19513	\N	YZ	11388463
158491	531	1996-10-07	PRIJEM	PREVOD Z UCTU	3216	20641	\N	YZ	11388463
158492	531	1996-11-07	PRIJEM	PREVOD Z UCTU	3216	21775	\N	YZ	11388463
158493	531	1996-12-07	PRIJEM	PREVOD Z UCTU	3216	22522	\N	YZ	11388463
158494	531	1997-01-07	PRIJEM	PREVOD Z UCTU	3216	23091	\N	YZ	11388463
158495	531	1997-02-07	PRIJEM	PREVOD Z UCTU	3216	21079	\N	YZ	11388463
158496	531	1997-03-07	PRIJEM	PREVOD Z UCTU	3216	21733	\N	YZ	11388463
158497	531	1997-04-07	PRIJEM	PREVOD Z UCTU	3216	22331	\N	YZ	11388463
158498	531	1997-05-07	PRIJEM	PREVOD Z UCTU	3216	23472	\N	YZ	11388463
158499	531	1997-06-07	PRIJEM	PREVOD Z UCTU	3216	24617	\N	YZ	11388463
158500	531	1997-07-07	PRIJEM	PREVOD Z UCTU	3216	25046	\N	YZ	11388463
158501	531	1997-08-07	PRIJEM	PREVOD Z UCTU	3216	25506	\N	YZ	11388463
158502	531	1997-09-07	PRIJEM	PREVOD Z UCTU	3216	25457	\N	YZ	11388463
158503	531	1997-10-07	PRIJEM	PREVOD Z UCTU	3216	26610	\N	YZ	11388463
158504	531	1997-11-07	PRIJEM	PREVOD Z UCTU	3216	27768	\N	YZ	11388463
158505	531	1997-12-07	PRIJEM	PREVOD Z UCTU	3216	28930	\N	YZ	11388463
158506	531	1998-01-07	PRIJEM	PREVOD Z UCTU	3216	28957	\N	YZ	11388463
158507	531	1998-02-07	PRIJEM	PREVOD Z UCTU	3216	28202	\N	YZ	11388463
158508	531	1998-03-07	PRIJEM	PREVOD Z UCTU	3216	29096	\N	YZ	11388463
158509	531	1998-04-07	PRIJEM	PREVOD Z UCTU	3216	29964	\N	YZ	11388463
158510	531	1998-05-07	PRIJEM	PREVOD Z UCTU	3216	31135	\N	YZ	11388463
158511	531	1998-06-07	PRIJEM	PREVOD Z UCTU	3216	32312	\N	YZ	11388463
158512	531	1998-07-07	PRIJEM	PREVOD Z UCTU	3216	31661	\N	YZ	11388463
158513	531	1998-08-07	PRIJEM	PREVOD Z UCTU	3216	32840	\N	YZ	11388463
158514	531	1998-09-07	PRIJEM	PREVOD Z UCTU	3216	33151	\N	YZ	11388463
158515	531	1998-10-07	PRIJEM	PREVOD Z UCTU	3216	34335	\N	YZ	11388463
158516	531	1998-11-07	PRIJEM	PREVOD Z UCTU	3216	35525	\N	YZ	11388463
158517	531	1998-12-07	PRIJEM	PREVOD Z UCTU	3216	36029	\N	YZ	11388463
158530	531	1996-01-10	VYDAJ	PREVOD NA UCET	2144	14006	\N	OP	48101
158531	531	1996-02-10	VYDAJ	PREVOD NA UCET	2144	13549	\N	OP	48101
158532	531	1996-03-10	VYDAJ	PREVOD NA UCET	2144	14662	\N	OP	48101
158533	531	1996-04-10	VYDAJ	PREVOD NA UCET	2144	15779	\N	OP	48101
158534	531	1996-05-10	VYDAJ	PREVOD NA UCET	2144	15699	\N	OP	48101
158535	531	1996-06-10	VYDAJ	PREVOD NA UCET	2144	15409	\N	OP	48101
158536	531	1996-07-10	VYDAJ	PREVOD NA UCET	2144	16530	\N	OP	48101
158537	531	1996-08-10	VYDAJ	PREVOD NA UCET	2144	16244	\N	OP	48101
158538	531	1996-09-10	VYDAJ	PREVOD NA UCET	2144	17369	\N	OP	48101
158539	531	1996-10-10	VYDAJ	PREVOD NA UCET	2144	18497	\N	OP	48101
158540	531	1996-11-10	VYDAJ	PREVOD NA UCET	2144	19631	\N	OP	48101
158541	531	1996-12-10	VYDAJ	PREVOD NA UCET	2144	19808	\N	OP	48101
158542	531	1997-01-10	VYDAJ	PREVOD NA UCET	2144	20947	\N	OP	48101
158543	531	1997-02-10	VYDAJ	PREVOD NA UCET	2144	18935	\N	OP	48101
158544	531	1997-03-10	VYDAJ	PREVOD NA UCET	2144	19589	\N	OP	48101
158545	531	1997-04-10	VYDAJ	PREVOD NA UCET	2144	20187	\N	OP	48101
158546	531	1997-05-10	VYDAJ	PREVOD NA UCET	2144	21328	\N	OP	48101
158547	531	1997-06-10	VYDAJ	PREVOD NA UCET	2144	22473	\N	OP	48101
158548	531	1997-07-10	VYDAJ	PREVOD NA UCET	2144	22902	\N	OP	48101
158549	531	1997-08-10	VYDAJ	PREVOD NA UCET	2144	23362	\N	OP	48101
158550	531	1997-09-10	VYDAJ	PREVOD NA UCET	2144	23313	\N	OP	48101
158551	531	1997-10-10	VYDAJ	PREVOD NA UCET	2144	24466	\N	OP	48101
158552	531	1997-11-10	VYDAJ	PREVOD NA UCET	2144	25624	\N	OP	48101
158553	531	1997-12-10	VYDAJ	PREVOD NA UCET	2144	26786	\N	OP	48101
158554	531	1998-01-10	VYDAJ	PREVOD NA UCET	2144	26813	\N	OP	48101
158555	531	1998-02-10	VYDAJ	PREVOD NA UCET	2144	25788	\N	OP	48101
158556	531	1998-03-10	VYDAJ	PREVOD NA UCET	2144	26652	\N	OP	48101
158557	531	1998-04-10	VYDAJ	PREVOD NA UCET	2144	27820	\N	OP	48101
158558	531	1998-05-10	VYDAJ	PREVOD NA UCET	2144	28991	\N	OP	48101
158559	531	1998-06-10	VYDAJ	PREVOD NA UCET	2144	29448	\N	OP	48101
158560	531	1998-07-10	VYDAJ	PREVOD NA UCET	2144	29517	\N	OP	48101
158561	531	1998-08-10	VYDAJ	PREVOD NA UCET	2144	30696	\N	OP	48101
158562	531	1998-09-10	VYDAJ	PREVOD NA UCET	2144	31007	\N	OP	48101
158563	531	1998-10-10	VYDAJ	PREVOD NA UCET	2144	32191	\N	OP	48101
158564	531	1998-11-10	VYDAJ	PREVOD NA UCET	2144	33111	\N	OP	48101
158565	531	1998-12-10	VYDAJ	PREVOD NA UCET	2144	33885	\N	OP	48101
158567	531	1996-12-09	VYDAJ	VYBER	570	21952	\N	\N	\N
158568	531	1997-12-18	VYDAJ	VYBER	300	26486	\N	\N	\N
158569	531	1998-12-01	VYDAJ	VYBER	420	32813	\N	\N	\N
158576	531	1996-01-16	VYDAJ	VYBER	570	13436	\N	\N	\N
158577	531	1996-01-07	VYDAJ	VYBER	360	16150	\N	\N	\N
158579	531	1996-01-20	VYDAJ	VYBER	330	13106	\N	\N	\N
158580	531	1996-01-07	VYDAJ	VYBER	570	16510	\N	\N	\N
158581	531	1996-01-26	VYDAJ	VYBER	660	12446	\N	\N	\N
158582	531	1997-01-15	VYDAJ	VYBER	690	19387	\N	\N	\N
158583	531	1997-01-26	VYDAJ	VYBER	630	17797	\N	\N	\N
158584	531	1997-01-18	VYDAJ	VYBER	480	18697	\N	\N	\N
158585	531	1997-01-14	VYDAJ	VYBER	870	20077	\N	\N	\N
158586	531	1997-01-25	VYDAJ	VYBER	270	18427	\N	\N	\N
158587	531	1997-01-18	VYDAJ	VYBER	210	19177	\N	\N	\N
158588	531	1998-01-20	VYDAJ	VYBER	450	24893	\N	\N	\N
158589	531	1998-01-14	VYDAJ	VYBER	450	25763	\N	\N	\N
158590	531	1998-01-01	VYDAJ	VYBER	450	26131	\N	\N	\N
158591	531	1998-01-12	VYDAJ	VYBER	600	26213	\N	\N	\N
158592	531	1998-01-06	VYDAJ	VYBER	390	25741	\N	\N	\N
158593	531	1998-01-19	VYDAJ	VYBER	420	25343	\N	\N	\N
158600	531	1996-05-27	VYDAJ	VYBER	1410	14289	\N	\N	\N
158601	531	1996-04-19	VYDAJ	VYBER	1200	14579	\N	\N	\N
158602	531	1996-07-26	VYDAJ	VYBER	1050	15480	\N	\N	\N
158603	531	1996-11-18	VYDAJ	VYBER	390	19241	\N	\N	\N
158604	531	1996-08-04	VYDAJ	VYBER	360	15172	\N	\N	\N
158605	531	1997-04-04	VYDAJ	VYBER	540	19115	\N	\N	\N
158606	531	1997-02-13	VYDAJ	VYBER	480	18455	\N	\N	\N
158607	531	1997-07-11	VYDAJ	VYBER	690	22212	\N	\N	\N
158608	531	1997-06-27	VYDAJ	VYBER	720	21753	\N	\N	\N
158609	531	1997-08-18	VYDAJ	VYBER	1200	22162	\N	\N	\N
158610	531	1998-02-10	VYDAJ	VYBER	270	27932	\N	\N	\N
158611	531	1998-06-07	VYDAJ	VYBER	720	31592	\N	\N	\N
158612	531	1998-11-09	VYDAJ	VYBER	270	35255	\N	\N	\N
158613	531	1998-06-26	VYDAJ	VYBER	1110	28338	\N	\N	\N
158614	531	1998-12-16	VYDAJ	VYBER	360	33525	\N	\N	\N
158615	531	1998-08-12	VYDAJ	VYBER	870	29826	\N	\N	\N
158616	531	1998-03-08	VYDAJ	VYBER	300	28796	\N	\N	\N
158630	531	1996-01-31	VYDAJ	VYBER	15	12477	SLUZBY	\N	\N
158631	531	1996-02-29	VYDAJ	VYBER	15	13590	SLUZBY	\N	\N
158632	531	1996-03-31	VYDAJ	VYBER	15	14707	SLUZBY	\N	\N
158633	531	1996-04-30	VYDAJ	VYBER	15	14627	SLUZBY	\N	\N
158634	531	1996-05-31	VYDAJ	VYBER	15	14337	SLUZBY	\N	\N
158635	531	1996-06-30	VYDAJ	VYBER	15	15458	SLUZBY	\N	\N
158636	531	1996-07-31	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
158637	531	1996-08-31	VYDAJ	VYBER	15	16297	SLUZBY	\N	\N
158638	531	1996-09-30	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
158639	531	1996-10-31	VYDAJ	VYBER	15	18559	SLUZBY	\N	\N
158640	531	1996-11-30	VYDAJ	VYBER	15	19306	SLUZBY	\N	\N
158641	531	1996-12-31	VYDAJ	VYBER	15	19875	SLUZBY	\N	\N
158642	531	1997-01-31	VYDAJ	VYBER	15	17863	SLUZBY	\N	\N
158643	531	1997-02-28	VYDAJ	VYBER	15	18517	SLUZBY	\N	\N
158644	531	1997-03-31	VYDAJ	VYBER	15	19655	SLUZBY	\N	\N
158645	531	1997-04-30	VYDAJ	VYBER	15	20256	SLUZBY	\N	\N
158646	531	1997-05-31	VYDAJ	VYBER	15	21401	SLUZBY	\N	\N
158647	531	1997-06-30	VYDAJ	VYBER	15	21830	SLUZBY	\N	\N
158648	531	1997-07-31	VYDAJ	VYBER	15	22290	SLUZBY	\N	\N
158649	531	1997-08-31	VYDAJ	VYBER	15	22241	SLUZBY	\N	\N
158650	531	1997-09-30	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
158651	531	1997-10-31	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
158652	531	1997-11-30	VYDAJ	VYBER	15	25714	SLUZBY	\N	\N
158653	531	1997-12-31	VYDAJ	VYBER	15	26581	SLUZBY	\N	\N
158654	531	1998-01-31	VYDAJ	VYBER	15	24986	SLUZBY	\N	\N
158655	531	1998-02-28	VYDAJ	VYBER	15	25880	SLUZBY	\N	\N
158656	531	1998-03-31	VYDAJ	VYBER	15	26748	SLUZBY	\N	\N
158657	531	1998-04-30	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
158658	531	1998-05-31	VYDAJ	VYBER	15	29096	SLUZBY	\N	\N
158659	531	1998-06-30	VYDAJ	VYBER	15	28445	SLUZBY	\N	\N
158660	531	1998-07-31	VYDAJ	VYBER	15	29624	SLUZBY	\N	\N
158661	531	1998-08-31	VYDAJ	VYBER	15	29935	SLUZBY	\N	\N
158662	531	1998-09-30	VYDAJ	VYBER	15	31119	SLUZBY	\N	\N
158663	531	1998-10-31	VYDAJ	VYBER	15	32309	SLUZBY	\N	\N
158664	531	1998-11-30	VYDAJ	VYBER	15	33233	SLUZBY	\N	\N
158701	532	1995-09-02	PRIJEM	VKLAD	900	900	\N	\N	\N
158702	532	1995-10-28	PRIJEM	VKLAD	32246	46046	\N	\N	\N
158703	532	1996-04-01	PRIJEM	VKLAD	23696	51576	\N	\N	\N
158704	532	1996-07-17	PRIJEM	VKLAD	42197	74926	\N	\N	\N
158705	532	1997-03-29	PRIJEM	VKLAD	5858	75714	\N	\N	\N
158706	532	1997-06-05	PRIJEM	VKLAD	22648	79865	\N	\N	\N
158707	532	1997-07-05	PRIJEM	VKLAD	6562	97373	\N	\N	\N
158708	532	1997-05-01	PRIJEM	VKLAD	44480	99374	\N	\N	\N
158709	532	1997-11-04	PRIJEM	VKLAD	27464	88442	\N	\N	\N
158710	532	1997-03-11	PRIJEM	VKLAD	47344	141926	\N	\N	\N
158711	532	1997-03-25	PRIJEM	VKLAD	5976	132956	\N	\N	\N
158712	532	1997-06-29	PRIJEM	VKLAD	13588	64093	\N	\N	\N
158713	532	1997-09-08	PRIJEM	VKLAD	13854	88151	\N	\N	\N
158714	532	1997-02-16	PRIJEM	VKLAD	9627	59964	\N	\N	\N
158715	532	1997-10-24	PRIJEM	VKLAD	24458	60767	\N	\N	\N
158716	532	1997-01-06	PRIJEM	VKLAD	26334	49776	\N	\N	\N
158717	532	1997-07-09	PRIJEM	VKLAD	6271	103644	\N	\N	\N
158718	532	1997-12-30	PRIJEM	VKLAD	10681	99117	\N	\N	\N
158719	532	1997-01-23	PRIJEM	VKLAD	27664	77440	\N	\N	\N
158720	532	1997-12-29	PRIJEM	VKLAD	43629	88436	\N	\N	\N
158721	532	1997-04-18	PRIJEM	VKLAD	12911	84206	\N	\N	\N
158722	532	1997-05-19	PRIJEM	VKLAD	34269	87102	\N	\N	\N
158723	532	1997-03-17	PRIJEM	VKLAD	49454	152480	\N	\N	\N
158724	532	1997-08-16	PRIJEM	VKLAD	10213	35157	\N	\N	\N
158725	532	1997-09-01	PRIJEM	VKLAD	31422	74297	\N	\N	\N
158726	532	1997-03-10	PRIJEM	VKLAD	14232	94582	\N	\N	\N
158727	532	1997-06-14	PRIJEM	VKLAD	34391	107497	\N	\N	\N
158728	532	1997-08-30	PRIJEM	VKLAD	12150	42707	\N	\N	\N
158729	532	1997-07-02	PRIJEM	VKLAD	26406	90811	\N	\N	\N
158730	532	1997-02-27	PRIJEM	VKLAD	36986	80150	\N	\N	\N
158731	532	1997-06-11	PRIJEM	VKLAD	40241	120106	\N	\N	\N
158732	532	1997-12-12	PRIJEM	VKLAD	29338	83007	\N	\N	\N
158733	532	1997-05-10	PRIJEM	VKLAD	41919	116833	\N	\N	\N
158734	532	1998-09-04	PRIJEM	VKLAD	21100	110303	\N	\N	\N
158735	532	1998-12-14	PRIJEM	VKLAD	40284	127636	\N	\N	\N
158736	532	1998-11-12	PRIJEM	VKLAD	45606	100710	\N	\N	\N
158737	532	1998-03-18	PRIJEM	VKLAD	5010	83600	\N	\N	\N
158738	532	1998-02-24	PRIJEM	VKLAD	35692	75886	\N	\N	\N
158739	532	1998-09-26	PRIJEM	VKLAD	28739	87063	\N	\N	\N
158740	532	1998-08-15	PRIJEM	VKLAD	5905	53145	\N	\N	\N
158741	532	1998-06-30	PRIJEM	VKLAD	45534	124403	\N	\N	\N
158742	532	1998-01-12	PRIJEM	VKLAD	20936	108188	\N	\N	\N
158743	532	1998-05-12	PRIJEM	VKLAD	35731	113736	\N	\N	\N
158744	532	1998-05-14	PRIJEM	VKLAD	21946	97682	\N	\N	\N
158745	532	1998-04-28	PRIJEM	VKLAD	37897	64583	\N	\N	\N
158746	532	1998-09-02	PRIJEM	VKLAD	24142	89203	\N	\N	\N
158747	532	1998-12-10	PRIJEM	VKLAD	37025	87352	\N	\N	\N
158748	532	1998-02-20	PRIJEM	VKLAD	10607	40194	\N	\N	\N
158749	532	1998-01-23	PRIJEM	VKLAD	43996	108384	\N	\N	\N
158750	532	1998-06-05	PRIJEM	VKLAD	17380	78270	\N	\N	\N
158751	532	1998-09-27	PRIJEM	VKLAD	6275	93338	\N	\N	\N
158752	532	1998-03-31	PRIJEM	VKLAD	49781	80729	\N	\N	\N
158753	532	1998-06-23	PRIJEM	VKLAD	44869	78869	\N	\N	\N
158754	532	1998-03-06	PRIJEM	VKLAD	9990	78590	\N	\N	\N
158755	532	1998-08-24	PRIJEM	VKLAD	27527	64872	\N	\N	\N
158756	532	1998-10-05	PRIJEM	VKLAD	40877	129496	\N	\N	\N
158757	532	1998-03-22	PRIJEM	VKLAD	8195	58195	\N	\N	\N
158758	532	1998-10-25	PRIJEM	VKLAD	26077	54873	\N	\N	\N
158759	532	1998-09-14	PRIJEM	VKLAD	47717	151724	\N	\N	\N
158760	532	1998-01-09	PRIJEM	VKLAD	46319	145652	\N	\N	\N
158761	532	1998-05-06	PRIJEM	VKLAD	45791	110605	\N	\N	\N
158762	532	1998-10-02	PRIJEM	VKLAD	37008	130679	\N	\N	\N
158782	532	1997-06-24	VYBER	VYBER	19392	50505	\N	\N	\N
158783	532	1997-07-13	VYBER	VYBER	12471	91173	\N	\N	\N
158784	532	1997-08-15	VYBER	VYBER	24147	24944	\N	\N	\N
158785	532	1997-05-09	VYBER	VYBER	24460	74914	\N	\N	\N
158786	532	1998-03-23	VYBER	VYBER	17347	40848	\N	\N	\N
158787	532	1998-06-10	VYBER	VYBER	18470	59800	\N	\N	\N
158788	532	1998-04-09	VYBER	VYBER	15998	57886	\N	\N	\N
158789	532	1998-03-31	VYBER	VYBER	7104	73899	\N	\N	\N
158790	532	1998-02-14	VYBER	VYBER	12684	42987	\N	\N	\N
158793	532	1998-10-03	VYBER	VYBER	19160	88619	\N	\N	\N
158794	532	1998-09-12	VYBER	VYBER	6296	104007	\N	\N	\N
158798	532	1998-06-19	VYDAJ	VYBER	10200	34000	\N	\N	\N
158802	532	1998-01-09	VYDAJ	VYBER	7200	87252	\N	\N	\N
158805	532	1997-12-22	VYDAJ	VYBER	5100	44807	\N	\N	\N
158806	532	1998-12-02	VYDAJ	VYBER	7200	50327	\N	\N	\N
158817	532	1997-04-05	VYDAJ	VYBER	4800	71295	\N	\N	\N
158818	532	1997-08-06	VYDAJ	VYBER	7800	49091	\N	\N	\N
158819	532	1998-04-20	VYDAJ	VYBER	13200	26686	\N	\N	\N
158820	532	1998-03-04	VYDAJ	VYBER	7500	68600	\N	\N	\N
158821	532	1998-10-22	VYDAJ	VYBER	12600	28796	\N	\N	\N
158822	532	1998-10-12	VYDAJ	VYBER	4500	66196	\N	\N	\N
158823	532	1998-03-23	VYDAJ	VYBER	9900	30948	\N	\N	\N
158849	532	1997-01-31	VYDAJ	VYBER	15	50337	SLUZBY	\N	\N
158850	532	1997-02-28	VYDAJ	VYBER	15	80350	SLUZBY	\N	\N
158851	532	1997-03-31	VYDAJ	VYBER	15	76095	SLUZBY	\N	\N
158852	532	1997-04-30	VYDAJ	VYBER	15	54894	SLUZBY	\N	\N
158853	532	1997-05-31	VYDAJ	VYBER	15	57217	SLUZBY	\N	\N
158854	532	1997-06-30	VYDAJ	VYBER	15	64405	SLUZBY	\N	\N
158855	532	1997-07-31	VYDAJ	VYBER	15	56891	SLUZBY	\N	\N
158856	532	1997-08-31	VYDAJ	VYBER	15	42875	SLUZBY	\N	\N
158857	532	1997-09-30	VYDAJ	VYBER	15	52309	SLUZBY	\N	\N
158858	532	1997-10-31	VYDAJ	VYBER	15	60978	SLUZBY	\N	\N
158859	532	1997-11-30	VYDAJ	VYBER	15	53669	SLUZBY	\N	\N
158860	532	1997-12-31	VYDAJ	VYBER	15	99333	SLUZBY	\N	\N
158861	532	1998-01-31	VYDAJ	VYBER	15	55671	SLUZBY	\N	\N
158862	532	1998-02-28	VYDAJ	VYBER	15	76100	SLUZBY	\N	\N
158863	532	1998-03-31	VYDAJ	VYBER	15	73884	SLUZBY	\N	\N
158864	532	1998-04-30	VYDAJ	VYBER	15	64814	SLUZBY	\N	\N
158865	532	1998-05-31	VYDAJ	VYBER	15	60890	SLUZBY	\N	\N
158866	532	1998-06-30	VYDAJ	VYBER	15	124648	SLUZBY	\N	\N
158867	532	1998-07-31	VYDAJ	VYBER	15	47240	SLUZBY	\N	\N
158868	532	1998-08-31	VYDAJ	VYBER	15	65061	SLUZBY	\N	\N
158869	532	1998-09-30	VYDAJ	VYBER	15	93671	SLUZBY	\N	\N
158870	532	1998-10-31	VYDAJ	VYBER	15	55104	SLUZBY	\N	\N
158871	532	1998-11-30	VYDAJ	VYBER	15	57527	SLUZBY	\N	\N
158872	532	1995-10-02	PRIJEM	VKLAD	12900	13800	\N	\N	\N
158873	532	1995-11-01	VYDAJ	VYBER	11100	34971	\N	\N	\N
158874	532	1995-12-01	VYDAJ	VYBER	4300	30863	\N	\N	\N
158875	532	1995-12-31	VYDAJ	VYBER	5400	25652	\N	\N	\N
158876	532	1996-01-30	VYDAJ	VYBER	1800	23852	\N	\N	\N
158877	532	1996-02-29	PRIJEM	VKLAD	1700	25773	\N	\N	\N
158878	532	1996-03-30	PRIJEM	VKLAD	2000	27773	\N	\N	\N
158879	532	1996-04-29	VYDAJ	VYBER	10500	41076	\N	\N	\N
158880	532	1996-05-29	VYDAJ	VYBER	5200	35987	\N	\N	\N
158881	532	1996-06-28	VYDAJ	VYBER	3600	32558	\N	\N	\N
158882	532	1996-07-28	VYDAJ	VYBER	25000	49926	\N	\N	\N
158883	532	1996-08-27	VYDAJ	VYBER	11600	38502	\N	\N	\N
158884	532	1996-09-26	VYDAJ	VYBER	8800	29910	\N	\N	\N
158885	532	1996-10-26	VYDAJ	VYBER	4000	26118	\N	\N	\N
158886	532	1996-11-25	VYDAJ	VYBER	1600	24726	\N	\N	\N
158887	532	1996-12-25	VYDAJ	VYBER	1700	23234	\N	\N	\N
158888	532	1997-01-24	VYDAJ	VYBER	27300	50140	\N	\N	\N
158889	532	1997-02-23	VYDAJ	VYBER	16800	43164	\N	\N	\N
158890	532	1997-03-11	VYDAJ	VYBER	38900	103026	\N	\N	\N
158891	532	1997-03-17	VYDAJ	VYBER	25500	126980	\N	\N	\N
158892	532	1997-03-25	VYDAJ	VYBER	26700	69856	\N	\N	\N
158893	532	1997-03-25	VYDAJ	VYBER	36400	96556	\N	\N	\N
158894	532	1997-04-24	VYDAJ	VYBER	29600	54606	\N	\N	\N
158895	532	1997-05-10	VYDAJ	VYBER	64000	52833	\N	\N	\N
158896	532	1997-05-24	VYDAJ	VYBER	30200	56902	\N	\N	\N
158897	532	1997-06-11	VYDAJ	VYBER	47000	73106	\N	\N	\N
158898	532	1997-06-23	VYDAJ	VYBER	37600	69897	\N	\N	\N
158899	532	1997-07-23	VYDAJ	VYBER	34600	56573	\N	\N	\N
158900	532	1997-08-22	VYDAJ	VYBER	4600	30557	\N	\N	\N
158901	532	1997-09-21	VYDAJ	VYBER	36100	52051	\N	\N	\N
158902	532	1997-10-21	VYDAJ	VYBER	16000	36309	\N	\N	\N
158903	532	1997-11-20	VYDAJ	VYBER	35000	53442	\N	\N	\N
158904	532	1997-12-20	VYDAJ	VYBER	33100	49907	\N	\N	\N
158905	532	1998-01-09	VYDAJ	VYBER	51200	94452	\N	\N	\N
158906	532	1998-01-19	VYDAJ	VYBER	43800	64388	\N	\N	\N
158907	532	1998-01-23	VYDAJ	VYBER	53100	55284	\N	\N	\N
158908	532	1998-02-18	VYDAJ	VYBER	13400	29587	\N	\N	\N
158909	532	1998-03-20	VYDAJ	VYBER	33600	50000	\N	\N	\N
158910	532	1998-04-19	VYDAJ	VYBER	18000	39886	\N	\N	\N
158911	532	1998-05-06	VYDAJ	VYBER	32600	78005	\N	\N	\N
158912	532	1998-05-12	VYDAJ	VYBER	38000	75736	\N	\N	\N
158913	532	1998-05-19	VYDAJ	VYBER	37100	60582	\N	\N	\N
158914	532	1998-06-18	VYDAJ	VYBER	15600	44200	\N	\N	\N
158915	532	1998-06-30	VYDAJ	VYBER	51700	72948	\N	\N	\N
158916	532	1998-07-18	VYDAJ	VYBER	26200	46748	\N	\N	\N
158917	532	1998-08-17	VYDAJ	VYBER	15800	37345	\N	\N	\N
158918	532	1998-09-14	VYDAJ	VYBER	54000	97724	\N	\N	\N
158919	532	1998-09-16	VYDAJ	VYBER	39400	58324	\N	\N	\N
158920	532	1998-10-02	VYDAJ	VYBER	22900	107779	\N	\N	\N
158921	532	1998-10-05	VYDAJ	VYBER	58800	70696	\N	\N	\N
158922	532	1998-10-16	VYDAJ	VYBER	24800	41396	\N	\N	\N
158923	532	1998-11-15	VYDAJ	VYBER	43400	57310	\N	\N	\N
158924	532	1998-12-14	VYDAJ	VYBER	53700	73936	\N	\N	\N
158964	533	1995-05-07	PRIJEM	VKLAD	400	400	\N	\N	\N
158969	533	1995-05-10	PRIJEM	VKLAD	7811	8211	\N	\N	\N
158970	533	1995-06-10	PRIJEM	VKLAD	11716	26151	\N	\N	\N
158971	533	1995-07-10	PRIJEM	VKLAD	7811	34349	\N	\N	\N
158972	533	1995-08-10	PRIJEM	VKLAD	7811	35393	\N	\N	\N
158973	533	1995-09-10	PRIJEM	VKLAD	7811	39050	\N	\N	\N
158974	533	1995-10-10	PRIJEM	VKLAD	7811	30559	\N	\N	\N
158975	533	1995-11-10	PRIJEM	VKLAD	7811	27140	\N	\N	\N
158976	533	1995-12-10	PRIJEM	VKLAD	11716	29808	\N	\N	\N
158977	533	1996-01-10	PRIJEM	VKLAD	7811	20893	\N	\N	\N
158978	533	1996-02-10	PRIJEM	VKLAD	7811	18395	\N	\N	\N
158979	533	1996-03-10	PRIJEM	VKLAD	7811	22315	\N	\N	\N
158980	533	1996-04-10	PRIJEM	VKLAD	7811	22253	\N	\N	\N
158981	533	1996-05-10	PRIJEM	VKLAD	7811	18471	\N	\N	\N
158982	533	1996-06-10	PRIJEM	VKLAD	11716	21801	\N	\N	\N
158983	533	1996-07-10	PRIJEM	VKLAD	7811	23629	\N	\N	\N
158984	533	1996-08-10	PRIJEM	VKLAD	7811	23671	\N	\N	\N
158985	533	1996-09-10	PRIJEM	VKLAD	7811	19728	\N	\N	\N
158986	533	1996-10-10	PRIJEM	VKLAD	7811	18054	\N	\N	\N
158987	533	1996-11-10	PRIJEM	VKLAD	7811	17471	\N	\N	\N
158988	533	1996-12-10	PRIJEM	VKLAD	11716	20112	\N	\N	\N
158989	533	1997-01-10	PRIJEM	VKLAD	7811	14825	\N	\N	\N
158990	533	1997-02-10	PRIJEM	VKLAD	7811	17091	\N	\N	\N
158991	533	1997-03-10	PRIJEM	VKLAD	7811	17105	\N	\N	\N
158992	533	1997-04-10	PRIJEM	VKLAD	7811	17821	\N	\N	\N
158993	533	1997-05-10	PRIJEM	VKLAD	7811	20940	\N	\N	\N
158994	533	1997-06-10	PRIJEM	VKLAD	11716	27978	\N	\N	\N
158995	533	1997-07-10	PRIJEM	VKLAD	7811	16022	\N	\N	\N
158996	533	1997-08-10	PRIJEM	VKLAD	7811	19133	\N	\N	\N
158997	533	1997-09-10	PRIJEM	VKLAD	7811	22256	\N	\N	\N
158998	533	1997-10-10	PRIJEM	VKLAD	7811	23231	\N	\N	\N
158999	533	1997-11-10	PRIJEM	VKLAD	7811	26372	\N	\N	\N
159000	533	1997-12-10	PRIJEM	VKLAD	11716	33431	\N	\N	\N
159001	533	1998-01-10	PRIJEM	VKLAD	7811	30407	\N	\N	\N
159002	533	1998-02-10	PRIJEM	VKLAD	7811	17546	\N	\N	\N
159003	533	1998-03-10	PRIJEM	VKLAD	7811	20664	\N	\N	\N
159004	533	1998-04-10	PRIJEM	VKLAD	7811	23795	\N	\N	\N
159005	533	1998-05-10	PRIJEM	VKLAD	7811	26938	\N	\N	\N
159006	533	1998-06-10	PRIJEM	VKLAD	11716	33999	\N	\N	\N
159007	533	1998-07-10	PRIJEM	VKLAD	7811	16748	\N	\N	\N
159008	533	1998-08-10	PRIJEM	VKLAD	7811	19862	\N	\N	\N
159009	533	1998-09-10	PRIJEM	VKLAD	7811	18178	\N	\N	\N
159010	533	1998-10-10	PRIJEM	VKLAD	7811	21298	\N	\N	\N
159011	533	1998-11-10	PRIJEM	VKLAD	7811	24430	\N	\N	\N
159012	533	1998-12-10	PRIJEM	VKLAD	11716	29240	\N	\N	\N
159022	533	1995-10-07	VYDAJ	PREVOD NA UCET	1319	22748	SIPO	EF	5924845
159023	533	1995-11-07	VYDAJ	PREVOD NA UCET	1319	22756	SIPO	EF	5924845
159024	533	1995-12-07	VYDAJ	PREVOD NA UCET	1319	18092	SIPO	EF	5924845
159025	533	1996-01-07	VYDAJ	PREVOD NA UCET	1319	14642	SIPO	EF	5924845
159026	533	1996-02-07	VYDAJ	PREVOD NA UCET	1319	10584	SIPO	EF	5924845
159027	533	1996-03-07	VYDAJ	PREVOD NA UCET	1319	17931	SIPO	EF	5924845
159028	533	1996-04-07	VYDAJ	PREVOD NA UCET	1319	17869	SIPO	EF	5924845
159029	533	1996-05-07	VYDAJ	PREVOD NA UCET	1319	10660	SIPO	EF	5924845
159030	533	1996-06-07	VYDAJ	PREVOD NA UCET	1319	13512	SIPO	EF	5924845
159031	533	1996-07-07	VYDAJ	PREVOD NA UCET	1319	19245	SIPO	EF	5924845
159032	533	1996-08-07	VYDAJ	PREVOD NA UCET	1319	15860	SIPO	EF	5924845
159033	533	1996-09-07	VYDAJ	PREVOD NA UCET	1319	11917	SIPO	EF	5924845
159034	533	1996-10-07	VYDAJ	PREVOD NA UCET	1319	13670	SIPO	EF	5924845
159035	533	1996-11-07	VYDAJ	PREVOD NA UCET	1319	13087	SIPO	EF	5924845
159036	533	1996-12-07	VYDAJ	PREVOD NA UCET	1319	8396	SIPO	EF	5924845
159037	533	1997-01-07	VYDAJ	PREVOD NA UCET	1319	10441	SIPO	EF	5924845
159038	533	1997-02-07	VYDAJ	PREVOD NA UCET	1319	9280	SIPO	EF	5924845
159039	533	1997-03-07	VYDAJ	PREVOD NA UCET	1319	12721	SIPO	EF	5924845
159040	533	1997-04-07	VYDAJ	PREVOD NA UCET	1319	13437	SIPO	EF	5924845
159041	533	1997-05-07	VYDAJ	PREVOD NA UCET	1319	16556	SIPO	EF	5924845
159042	533	1997-06-07	VYDAJ	PREVOD NA UCET	1319	19689	SIPO	EF	5924845
159043	533	1997-07-07	VYDAJ	PREVOD NA UCET	1319	11638	SIPO	EF	5924845
159044	533	1997-08-07	VYDAJ	PREVOD NA UCET	1319	14749	SIPO	EF	5924845
159045	533	1997-09-07	VYDAJ	PREVOD NA UCET	1319	17872	SIPO	EF	5924845
159046	533	1997-10-07	VYDAJ	PREVOD NA UCET	1319	15420	SIPO	EF	5924845
159047	533	1997-11-07	VYDAJ	PREVOD NA UCET	1319	21988	SIPO	EF	5924845
159048	533	1997-12-07	VYDAJ	PREVOD NA UCET	1319	25142	SIPO	EF	5924845
159049	533	1998-01-07	VYDAJ	PREVOD NA UCET	1319	22596	SIPO	EF	5924845
159050	533	1998-02-07	VYDAJ	PREVOD NA UCET	1319	13162	SIPO	EF	5924845
159051	533	1998-03-07	VYDAJ	PREVOD NA UCET	1319	16280	SIPO	EF	5924845
159052	533	1998-04-07	VYDAJ	PREVOD NA UCET	1319	15984	SIPO	EF	5924845
159053	533	1998-05-07	VYDAJ	PREVOD NA UCET	1319	22554	SIPO	EF	5924845
159054	533	1998-06-07	VYDAJ	PREVOD NA UCET	1319	25710	SIPO	EF	5924845
159055	533	1998-07-07	VYDAJ	PREVOD NA UCET	1319	8937	SIPO	EF	5924845
159056	533	1998-08-07	VYDAJ	PREVOD NA UCET	1319	12051	SIPO	EF	5924845
159057	533	1998-09-07	VYDAJ	PREVOD NA UCET	1319	10367	SIPO	EF	5924845
159058	533	1998-10-07	VYDAJ	PREVOD NA UCET	1319	13487	SIPO	EF	5924845
159059	533	1998-11-07	VYDAJ	PREVOD NA UCET	1319	20046	SIPO	EF	5924845
159060	533	1998-12-07	VYDAJ	PREVOD NA UCET	1319	19764	SIPO	EF	5924845
159070	533	1995-10-07	VYDAJ	PREVOD NA UCET	3427	24067	 	IJ	31916600
159071	533	1995-11-07	VYDAJ	PREVOD NA UCET	3427	19329	 	IJ	31916600
159072	533	1995-12-07	VYDAJ	PREVOD NA UCET	3427	19411	 	IJ	31916600
159073	533	1996-01-07	VYDAJ	PREVOD NA UCET	3427	15961	 	IJ	31916600
159074	533	1996-02-07	VYDAJ	PREVOD NA UCET	3427	11903	 	IJ	31916600
159075	533	1996-03-07	VYDAJ	PREVOD NA UCET	3427	14504	 	IJ	31916600
159076	533	1996-04-07	VYDAJ	PREVOD NA UCET	3427	14442	 	IJ	31916600
159077	533	1996-05-07	VYDAJ	PREVOD NA UCET	3427	11979	 	IJ	31916600
159078	533	1996-06-07	VYDAJ	PREVOD NA UCET	3427	10085	 	IJ	31916600
159079	533	1996-07-07	VYDAJ	PREVOD NA UCET	3427	15818	 	IJ	31916600
159080	533	1996-08-07	VYDAJ	PREVOD NA UCET	3427	17179	 	IJ	31916600
159081	533	1996-09-07	VYDAJ	PREVOD NA UCET	3427	13236	 	IJ	31916600
159082	533	1996-10-07	VYDAJ	PREVOD NA UCET	3427	10243	 	IJ	31916600
159083	533	1996-11-07	VYDAJ	PREVOD NA UCET	3427	9660	 	IJ	31916600
159084	533	1996-12-07	VYDAJ	PREVOD NA UCET	3427	9715	 	IJ	31916600
159085	533	1997-01-07	VYDAJ	PREVOD NA UCET	3427	7014	 	IJ	31916600
159086	533	1997-02-07	VYDAJ	PREVOD NA UCET	3427	10599	 	IJ	31916600
159087	533	1997-03-07	VYDAJ	PREVOD NA UCET	3427	9294	 	IJ	31916600
159088	533	1997-04-07	VYDAJ	PREVOD NA UCET	3427	10010	 	IJ	31916600
159089	533	1997-05-07	VYDAJ	PREVOD NA UCET	3427	13129	 	IJ	31916600
159090	533	1997-06-07	VYDAJ	PREVOD NA UCET	3427	16262	 	IJ	31916600
159091	533	1997-07-07	VYDAJ	PREVOD NA UCET	3427	8211	 	IJ	31916600
159092	533	1997-08-07	VYDAJ	PREVOD NA UCET	3427	11322	 	IJ	31916600
159093	533	1997-09-07	VYDAJ	PREVOD NA UCET	3427	14445	 	IJ	31916600
159094	533	1997-10-07	VYDAJ	PREVOD NA UCET	3427	16739	 	IJ	31916600
159095	533	1997-11-07	VYDAJ	PREVOD NA UCET	3427	18561	 	IJ	31916600
159096	533	1997-12-07	VYDAJ	PREVOD NA UCET	3427	21715	 	IJ	31916600
159097	533	1998-01-07	VYDAJ	PREVOD NA UCET	3427	23915	 	IJ	31916600
159098	533	1998-02-07	VYDAJ	PREVOD NA UCET	3427	9735	 	IJ	31916600
159099	533	1998-03-07	VYDAJ	PREVOD NA UCET	3427	12853	 	IJ	31916600
159100	533	1998-04-07	VYDAJ	PREVOD NA UCET	3427	17303	 	IJ	31916600
159101	533	1998-05-07	VYDAJ	PREVOD NA UCET	3427	19127	 	IJ	31916600
159102	533	1998-06-07	VYDAJ	PREVOD NA UCET	3427	22283	 	IJ	31916600
159103	533	1998-07-07	VYDAJ	PREVOD NA UCET	3427	10256	 	IJ	31916600
159104	533	1998-08-07	VYDAJ	PREVOD NA UCET	3427	13370	 	IJ	31916600
159105	533	1998-09-07	VYDAJ	PREVOD NA UCET	3427	11686	 	IJ	31916600
159106	533	1998-10-07	VYDAJ	PREVOD NA UCET	3427	14806	 	IJ	31916600
159107	533	1998-11-07	VYDAJ	PREVOD NA UCET	3427	16619	 	IJ	31916600
159108	533	1998-12-07	VYDAJ	PREVOD NA UCET	3427	21083	 	IJ	31916600
159116	533	1998-01-15	VYDAJ	VYBER	10240	18487	\N	\N	\N
159117	533	1995-12-11	VYDAJ	VYBER	800	29008	\N	\N	\N
159119	533	1997-12-18	VYDAJ	VYBER	2240	31191	\N	\N	\N
159120	533	1998-12-09	VYDAJ	VYBER	2240	17524	\N	\N	\N
159127	533	1996-01-13	VYDAJ	VYBER	3480	17413	\N	\N	\N
159128	533	1996-01-18	VYDAJ	VYBER	1680	15733	\N	\N	\N
159129	533	1996-01-29	VYDAJ	VYBER	2160	13573	\N	\N	\N
159130	533	1996-01-08	VYDAJ	VYBER	1560	13082	\N	\N	\N
159131	533	1996-01-03	VYDAJ	VYBER	1320	21428	\N	\N	\N
159132	533	1996-01-06	VYDAJ	VYBER	2040	19388	\N	\N	\N
159138	533	1997-01-18	VYDAJ	VYBER	840	13985	\N	\N	\N
159139	533	1998-01-05	VYDAJ	VYBER	1200	30102	\N	\N	\N
159140	533	1998-01-11	VYDAJ	VYBER	1680	28727	\N	\N	\N
159142	533	1998-01-20	VYDAJ	VYBER	1800	15247	\N	\N	\N
159143	533	1998-01-05	VYDAJ	VYBER	2760	27342	\N	\N	\N
159144	533	1998-01-18	VYDAJ	VYBER	1440	17047	\N	\N	\N
159148	533	1995-12-30	VYDAJ	VYBER	5160	23848	\N	\N	\N
159150	533	1996-08-25	VYDAJ	VYBER	2280	19591	\N	\N	\N
159151	533	1996-12-16	VYDAJ	VYBER	4200	15912	\N	\N	\N
159152	533	1996-12-06	VYDAJ	VYBER	1680	13142	\N	\N	\N
159154	533	1996-04-23	VYDAJ	VYBER	3120	19133	\N	\N	\N
159155	533	1996-08-22	VYDAJ	VYBER	1800	21871	\N	\N	\N
159157	533	1996-06-22	VYDAJ	VYBER	1800	20001	\N	\N	\N
159159	533	1997-09-18	VYDAJ	VYBER	2160	20096	\N	\N	\N
159160	533	1997-03-31	VYDAJ	VYBER	2400	14756	\N	\N	\N
159161	533	1998-01-30	VYDAJ	VYBER	840	14407	\N	\N	\N
159162	533	1998-08-17	VYDAJ	VYBER	4800	15062	\N	\N	\N
159174	533	1995-09-30	VYDAJ	VYBER	15	39194	SLUZBY	\N	\N
159175	533	1995-10-31	VYDAJ	VYBER	15	30675	SLUZBY	\N	\N
159176	533	1995-11-30	VYDAJ	VYBER	15	27238	SLUZBY	\N	\N
159177	533	1995-12-31	VYDAJ	VYBER	15	23948	SLUZBY	\N	\N
159178	533	1996-01-31	VYDAJ	VYBER	15	13630	SLUZBY	\N	\N
159179	533	1996-02-29	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
159180	533	1996-03-31	VYDAJ	VYBER	15	22388	SLUZBY	\N	\N
159181	533	1996-04-30	VYDAJ	VYBER	15	19206	SLUZBY	\N	\N
159182	533	1996-05-31	VYDAJ	VYBER	15	14831	SLUZBY	\N	\N
159183	533	1996-06-30	VYDAJ	VYBER	15	20564	SLUZBY	\N	\N
159184	533	1996-07-31	VYDAJ	VYBER	15	20606	SLUZBY	\N	\N
159185	533	1996-08-31	VYDAJ	VYBER	15	16663	SLUZBY	\N	\N
159186	533	1996-09-30	VYDAJ	VYBER	15	14989	SLUZBY	\N	\N
159187	533	1996-10-31	VYDAJ	VYBER	15	14406	SLUZBY	\N	\N
159188	533	1996-11-30	VYDAJ	VYBER	15	14822	SLUZBY	\N	\N
159189	533	1996-12-31	VYDAJ	VYBER	15	11760	SLUZBY	\N	\N
159190	533	1997-01-31	VYDAJ	VYBER	15	14026	SLUZBY	\N	\N
159191	533	1997-02-28	VYDAJ	VYBER	15	14040	SLUZBY	\N	\N
159192	533	1997-03-31	VYDAJ	VYBER	15	17156	SLUZBY	\N	\N
159193	533	1997-04-30	VYDAJ	VYBER	15	17875	SLUZBY	\N	\N
159194	533	1997-05-31	VYDAJ	VYBER	15	21008	SLUZBY	\N	\N
159195	533	1997-06-30	VYDAJ	VYBER	15	12957	SLUZBY	\N	\N
159196	533	1997-07-31	VYDAJ	VYBER	15	16068	SLUZBY	\N	\N
159197	533	1997-08-31	VYDAJ	VYBER	15	19191	SLUZBY	\N	\N
159198	533	1997-09-30	VYDAJ	VYBER	15	20166	SLUZBY	\N	\N
159199	533	1997-10-31	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
159200	533	1997-11-30	VYDAJ	VYBER	15	26461	SLUZBY	\N	\N
159201	533	1997-12-31	VYDAJ	VYBER	15	31302	SLUZBY	\N	\N
159202	533	1998-01-31	VYDAJ	VYBER	15	14481	SLUZBY	\N	\N
159203	533	1998-02-28	VYDAJ	VYBER	15	17599	SLUZBY	\N	\N
159204	533	1998-03-31	VYDAJ	VYBER	15	20730	SLUZBY	\N	\N
159205	533	1998-04-30	VYDAJ	VYBER	15	23873	SLUZBY	\N	\N
159206	533	1998-05-31	VYDAJ	VYBER	15	27029	SLUZBY	\N	\N
159207	533	1998-06-30	VYDAJ	VYBER	15	13683	SLUZBY	\N	\N
159208	533	1998-07-31	VYDAJ	VYBER	15	16797	SLUZBY	\N	\N
159209	533	1998-08-31	VYDAJ	VYBER	15	15113	SLUZBY	\N	\N
159210	533	1998-09-30	VYDAJ	VYBER	15	18233	SLUZBY	\N	\N
159211	533	1998-10-31	VYDAJ	VYBER	15	21365	SLUZBY	\N	\N
159212	533	1998-11-30	VYDAJ	VYBER	15	24510	SLUZBY	\N	\N
159213	533	1995-06-06	PRIJEM	VKLAD	6200	14435	\N	\N	\N
159214	533	1995-07-06	PRIJEM	VKLAD	300	26538	\N	\N	\N
159215	533	1995-08-05	VYDAJ	VYBER	6900	27582	\N	\N	\N
159216	533	1995-09-04	VYDAJ	VYBER	4300	31239	\N	\N	\N
159217	533	1995-10-04	VYDAJ	VYBER	11700	27494	\N	\N	\N
159218	533	1995-11-03	VYDAJ	VYBER	6600	24075	\N	\N	\N
159219	533	1995-12-03	VYDAJ	VYBER	4400	22838	\N	\N	\N
159220	533	1996-01-02	VYDAJ	VYBER	1200	22748	\N	\N	\N
159221	533	1996-02-01	PRIJEM	VKLAD	1700	15330	\N	\N	\N
159222	533	1996-03-02	PRIJEM	VKLAD	800	19250	\N	\N	\N
159223	533	1996-04-01	VYDAJ	VYBER	3200	19188	\N	\N	\N
159224	533	1996-05-01	VYDAJ	VYBER	3800	15406	\N	\N	\N
159225	533	1996-05-31	VYDAJ	VYBER	3700	14845	\N	\N	\N
159226	533	1996-06-30	PRIJEM	VKLAD	500	20501	\N	\N	\N
159227	533	1996-07-30	VYDAJ	VYBER	3100	20529	\N	\N	\N
159228	533	1996-08-29	VYDAJ	VYBER	3000	16591	\N	\N	\N
159229	533	1996-09-28	VYDAJ	VYBER	4800	14928	\N	\N	\N
159230	533	1996-10-28	VYDAJ	VYBER	3700	14354	\N	\N	\N
159231	533	1996-11-27	VYDAJ	VYBER	2700	14771	\N	\N	\N
159232	533	1996-12-27	VYDAJ	VYBER	4200	11712	\N	\N	\N
159233	533	1997-02-25	VYDAJ	VYBER	3100	13991	\N	\N	\N
159234	533	1997-06-25	VYDAJ	VYBER	15100	12878	\N	\N	\N
159235	533	1998-06-20	VYDAJ	VYBER	20400	13599	\N	\N	\N
159280	534	1997-05-26	PRIJEM	VKLAD	800	800	\N	\N	\N
159286	534	1997-06-13	PRIJEM	VKLAD	20847	21647	\N	\N	\N
159287	534	1997-07-13	PRIJEM	VKLAD	13898	38165	\N	\N	\N
159288	534	1997-08-13	PRIJEM	VKLAD	13898	44570	\N	\N	\N
159289	534	1997-09-13	PRIJEM	VKLAD	13898	51603	\N	\N	\N
159290	534	1997-10-13	PRIJEM	VKLAD	13898	52859	\N	\N	\N
159291	534	1997-11-13	PRIJEM	VKLAD	13898	50805	\N	\N	\N
159292	534	1997-12-13	PRIJEM	VKLAD	20847	51498	\N	\N	\N
159293	534	1998-01-13	PRIJEM	VKLAD	13898	47180	\N	\N	\N
159294	534	1998-02-13	PRIJEM	VKLAD	13898	42088	\N	\N	\N
159295	534	1998-03-13	PRIJEM	VKLAD	13898	46576	\N	\N	\N
159296	534	1998-04-13	PRIJEM	VKLAD	13898	49724	\N	\N	\N
159297	534	1998-05-13	PRIJEM	VKLAD	13898	56589	\N	\N	\N
159298	534	1998-06-13	PRIJEM	VKLAD	20847	65425	\N	\N	\N
159299	534	1998-07-13	PRIJEM	VKLAD	13898	37702	\N	\N	\N
159300	534	1998-08-13	PRIJEM	VKLAD	13898	46121	\N	\N	\N
159301	534	1998-09-13	PRIJEM	VKLAD	13898	49087	\N	\N	\N
159302	534	1998-10-13	PRIJEM	VKLAD	13898	47572	\N	\N	\N
159303	534	1998-11-13	PRIJEM	VKLAD	13898	54427	\N	\N	\N
159304	534	1998-12-13	PRIJEM	VKLAD	20847	64551	\N	\N	\N
159315	534	1997-11-06	VYDAJ	PREVOD NA UCET	1747	38961	SIPO	KL	26713061
159316	534	1997-12-06	VYDAJ	PREVOD NA UCET	1747	37625	SIPO	KL	26713061
159317	534	1998-01-06	VYDAJ	PREVOD NA UCET	1747	38056	SIPO	KL	26713061
159318	534	1998-02-06	VYDAJ	PREVOD NA UCET	1747	30244	SIPO	KL	26713061
159319	534	1998-03-06	VYDAJ	PREVOD NA UCET	1747	34732	SIPO	KL	26713061
159320	534	1998-04-06	VYDAJ	PREVOD NA UCET	1747	37880	SIPO	KL	26713061
159321	534	1998-05-06	VYDAJ	PREVOD NA UCET	1747	44745	SIPO	KL	26713061
159322	534	1998-06-06	VYDAJ	PREVOD NA UCET	1747	46632	SIPO	KL	26713061
159323	534	1998-07-06	VYDAJ	PREVOD NA UCET	1747	28018	SIPO	KL	26713061
159324	534	1998-08-06	VYDAJ	PREVOD NA UCET	1747	34277	SIPO	KL	26713061
159325	534	1998-09-06	VYDAJ	PREVOD NA UCET	1747	38923	SIPO	KL	26713061
159326	534	1998-10-06	VYDAJ	PREVOD NA UCET	1747	35728	SIPO	KL	26713061
159327	534	1998-11-06	VYDAJ	PREVOD NA UCET	1747	42583	SIPO	KL	26713061
159328	534	1998-12-06	VYDAJ	PREVOD NA UCET	1747	45758	SIPO	KL	26713061
159339	534	1997-11-07	VYDAJ	PREVOD NA UCET	713	38248	 	KL	88319682
159340	534	1997-12-07	VYDAJ	PREVOD NA UCET	713	36912	 	KL	88319682
159341	534	1998-01-07	VYDAJ	PREVOD NA UCET	713	37343	 	KL	88319682
159342	534	1998-02-07	VYDAJ	PREVOD NA UCET	713	29531	 	KL	88319682
159343	534	1998-03-07	VYDAJ	PREVOD NA UCET	713	34019	 	KL	88319682
159344	534	1998-04-07	VYDAJ	PREVOD NA UCET	713	37167	 	KL	88319682
159345	534	1998-05-07	VYDAJ	PREVOD NA UCET	713	44032	 	KL	88319682
159346	534	1998-06-07	VYDAJ	PREVOD NA UCET	713	45919	 	KL	88319682
159347	534	1998-07-07	VYDAJ	PREVOD NA UCET	713	27305	 	KL	88319682
159348	534	1998-08-07	VYDAJ	PREVOD NA UCET	713	33564	 	KL	88319682
159349	534	1998-09-07	VYDAJ	PREVOD NA UCET	713	38210	 	KL	88319682
159350	534	1998-10-07	VYDAJ	PREVOD NA UCET	713	35015	 	KL	88319682
159351	534	1998-11-07	VYDAJ	PREVOD NA UCET	713	41870	 	KL	88319682
159352	534	1998-12-07	VYDAJ	PREVOD NA UCET	713	45045	 	KL	88319682
159363	534	1997-11-09	VYDAJ	PREVOD NA UCET	1341	36907	POJISTNE	OP	71464949
159364	534	1997-12-09	VYDAJ	PREVOD NA UCET	1341	30651	POJISTNE	OP	71464949
159365	534	1998-01-09	VYDAJ	PREVOD NA UCET	1341	33282	POJISTNE	OP	71464949
159366	534	1998-02-09	VYDAJ	PREVOD NA UCET	1341	28190	POJISTNE	OP	71464949
159367	534	1998-03-09	VYDAJ	PREVOD NA UCET	1341	32678	POJISTNE	OP	71464949
159368	534	1998-04-09	VYDAJ	PREVOD NA UCET	1341	35826	POJISTNE	OP	71464949
159369	534	1998-05-09	VYDAJ	PREVOD NA UCET	1341	42691	POJISTNE	OP	71464949
159370	534	1998-06-09	VYDAJ	PREVOD NA UCET	1341	44578	POJISTNE	OP	71464949
159371	534	1998-07-09	VYDAJ	PREVOD NA UCET	1341	23804	POJISTNE	OP	71464949
159372	534	1998-08-09	VYDAJ	PREVOD NA UCET	1341	32223	POJISTNE	OP	71464949
159373	534	1998-09-09	VYDAJ	PREVOD NA UCET	1341	35189	POJISTNE	OP	71464949
159374	534	1998-10-09	VYDAJ	PREVOD NA UCET	1341	33674	POJISTNE	OP	71464949
159375	534	1998-11-09	VYDAJ	PREVOD NA UCET	1341	40529	POJISTNE	OP	71464949
159376	534	1998-12-09	VYDAJ	PREVOD NA UCET	1341	43704	POJISTNE	OP	71464949
159378	534	1998-06-18	VYDAJ	VYBER	43520	21905	\N	\N	\N
159380	534	1998-01-07	VYDAJ	VYBER	2720	34623	\N	\N	\N
159381	534	1997-12-05	VYDAJ	VYBER	3200	39372	\N	\N	\N
159382	534	1998-12-21	VYDAJ	VYBER	3680	47671	\N	\N	\N
159389	534	1998-01-04	VYDAJ	VYBER	3360	39803	\N	\N	\N
159390	534	1998-01-29	VYDAJ	VYBER	2160	31840	\N	\N	\N
159391	534	1998-01-25	VYDAJ	VYBER	2040	34000	\N	\N	\N
159392	534	1998-01-24	VYDAJ	VYBER	1680	37960	\N	\N	\N
159393	534	1998-01-21	VYDAJ	VYBER	1560	39640	\N	\N	\N
159394	534	1998-01-20	VYDAJ	VYBER	3480	43700	\N	\N	\N
159398	534	1997-12-08	VYDAJ	VYBER	4920	31992	\N	\N	\N
159400	534	1998-07-08	VYDAJ	VYBER	2160	25145	\N	\N	\N
159401	534	1998-09-08	VYDAJ	VYBER	1680	36530	\N	\N	\N
159402	534	1998-02-18	VYDAJ	VYBER	2640	39448	\N	\N	\N
159403	534	1998-09-14	VYDAJ	VYBER	4560	44527	\N	\N	\N
159404	534	1998-01-25	VYDAJ	VYBER	1920	36040	\N	\N	\N
159415	534	1997-10-31	VYDAJ	VYBER	15	40708	SLUZBY	\N	\N
159416	534	1997-11-30	VYDAJ	VYBER	15	42572	SLUZBY	\N	\N
159417	534	1997-12-31	VYDAJ	VYBER	15	43163	SLUZBY	\N	\N
159418	534	1998-01-31	VYDAJ	VYBER	15	31991	SLUZBY	\N	\N
159419	534	1998-02-28	VYDAJ	VYBER	15	36479	SLUZBY	\N	\N
159420	534	1998-03-31	VYDAJ	VYBER	15	39627	SLUZBY	\N	\N
159421	534	1998-04-30	VYDAJ	VYBER	15	46492	SLUZBY	\N	\N
159422	534	1998-05-31	VYDAJ	VYBER	15	48379	SLUZBY	\N	\N
159423	534	1998-06-30	VYDAJ	VYBER	15	29765	SLUZBY	\N	\N
159424	534	1998-07-31	VYDAJ	VYBER	15	36024	SLUZBY	\N	\N
159425	534	1998-08-31	VYDAJ	VYBER	15	40670	SLUZBY	\N	\N
159426	534	1998-09-30	VYDAJ	VYBER	15	37475	SLUZBY	\N	\N
159427	534	1998-10-31	VYDAJ	VYBER	15	44330	SLUZBY	\N	\N
159428	534	1998-11-30	VYDAJ	VYBER	15	47505	SLUZBY	\N	\N
159429	534	1997-06-25	PRIJEM	VKLAD	2600	24247	\N	\N	\N
159430	534	1997-07-25	VYDAJ	VYBER	7600	30565	\N	\N	\N
159431	534	1997-08-24	VYDAJ	VYBER	7000	37570	\N	\N	\N
159432	534	1997-09-23	VYDAJ	VYBER	12800	38803	\N	\N	\N
159433	534	1997-10-23	VYDAJ	VYBER	12300	40559	\N	\N	\N
159434	534	1997-11-22	VYDAJ	VYBER	8400	42405	\N	\N	\N
159435	534	1997-12-22	VYDAJ	VYBER	8500	42998	\N	\N	\N
159436	534	1998-01-21	VYDAJ	VYBER	2500	41200	\N	\N	\N
159437	534	1998-02-20	VYDAJ	VYBER	3100	36348	\N	\N	\N
159438	534	1998-03-22	VYDAJ	VYBER	7100	39476	\N	\N	\N
159439	534	1998-04-21	VYDAJ	VYBER	3400	46324	\N	\N	\N
159440	534	1998-05-21	VYDAJ	VYBER	8400	48189	\N	\N	\N
159441	534	1998-06-20	PRIJEM	VKLAD	7700	29605	\N	\N	\N
159442	534	1998-07-20	VYDAJ	VYBER	1800	35902	\N	\N	\N
159443	534	1998-08-19	VYDAJ	VYBER	5600	40521	\N	\N	\N
159444	534	1998-09-18	VYDAJ	VYBER	7200	37327	\N	\N	\N
159445	534	1998-10-18	VYDAJ	VYBER	3400	44172	\N	\N	\N
159446	534	1998-11-17	VYDAJ	VYBER	7100	47327	\N	\N	\N
159447	534	1998-12-17	VYDAJ	VYBER	13200	51351	\N	\N	\N
159467	535	1994-05-24	PRIJEM	VKLAD	800	800	\N	\N	\N
159473	535	1994-06-11	PRIJEM	VKLAD	31010	31810	\N	\N	\N
159474	535	1994-07-11	PRIJEM	VKLAD	20673	50316	\N	\N	\N
159475	535	1994-08-11	PRIJEM	VKLAD	20673	58923	\N	\N	\N
159476	535	1994-09-11	PRIJEM	VKLAD	20673	63360	\N	\N	\N
159477	535	1994-10-11	PRIJEM	VKLAD	20673	67016	\N	\N	\N
159478	535	1994-11-11	PRIJEM	VKLAD	20673	63432	\N	\N	\N
159479	535	1994-12-11	PRIJEM	VKLAD	31010	72677	\N	\N	\N
159480	535	1995-01-11	PRIJEM	VKLAD	20673	63296	\N	\N	\N
159481	535	1995-02-11	PRIJEM	VKLAD	20673	51989	\N	\N	\N
159482	535	1995-03-11	PRIJEM	VKLAD	20673	53053	\N	\N	\N
159483	535	1995-04-11	PRIJEM	VKLAD	20673	51517	\N	\N	\N
159484	535	1995-05-11	PRIJEM	VKLAD	20673	52175	\N	\N	\N
159485	535	1995-06-11	PRIJEM	VKLAD	31010	64374	\N	\N	\N
159486	535	1995-07-11	PRIJEM	VKLAD	20673	55051	\N	\N	\N
159487	535	1995-08-11	PRIJEM	VKLAD	20673	57624	\N	\N	\N
159488	535	1995-09-11	PRIJEM	VKLAD	20673	53694	\N	\N	\N
159489	535	1995-10-11	PRIJEM	VKLAD	20673	56761	\N	\N	\N
159490	535	1995-11-11	PRIJEM	VKLAD	20673	58437	\N	\N	\N
159491	535	1995-12-11	PRIJEM	VKLAD	31010	67549	\N	\N	\N
159492	535	1996-01-11	PRIJEM	VKLAD	20673	57737	\N	\N	\N
159493	535	1996-02-11	PRIJEM	VKLAD	20673	48000	\N	\N	\N
159494	535	1996-03-11	PRIJEM	VKLAD	20673	52442	\N	\N	\N
159495	535	1996-04-11	PRIJEM	VKLAD	20673	44887	\N	\N	\N
159496	535	1996-05-11	PRIJEM	VKLAD	20673	45513	\N	\N	\N
159497	535	1996-06-11	PRIJEM	VKLAD	31010	57274	\N	\N	\N
159498	535	1996-07-11	PRIJEM	VKLAD	20673	34632	\N	\N	\N
159499	535	1996-08-11	PRIJEM	VKLAD	20673	41223	\N	\N	\N
159500	535	1996-09-11	PRIJEM	VKLAD	20673	40630	\N	\N	\N
159501	535	1996-10-11	PRIJEM	VKLAD	20673	45466	\N	\N	\N
159502	535	1996-11-11	PRIJEM	VKLAD	20673	45628	\N	\N	\N
159503	535	1996-12-11	PRIJEM	VKLAD	31010	57231	\N	\N	\N
159504	535	1997-01-11	PRIJEM	VKLAD	20673	53431	\N	\N	\N
159505	535	1997-02-11	PRIJEM	VKLAD	20673	49221	\N	\N	\N
159506	535	1997-03-11	PRIJEM	VKLAD	20673	53296	\N	\N	\N
159507	535	1997-04-11	PRIJEM	VKLAD	20673	50191	\N	\N	\N
159508	535	1997-05-11	PRIJEM	VKLAD	20673	55478	\N	\N	\N
159509	535	1997-06-11	PRIJEM	VKLAD	31010	66816	\N	\N	\N
159510	535	1997-07-11	PRIJEM	VKLAD	20673	53131	\N	\N	\N
159511	535	1997-08-11	PRIJEM	VKLAD	20673	55818	\N	\N	\N
159512	535	1997-09-11	PRIJEM	VKLAD	20673	56518	\N	\N	\N
159513	535	1997-10-11	PRIJEM	VKLAD	20673	54731	\N	\N	\N
159514	535	1997-11-11	PRIJEM	VKLAD	20673	52930	\N	\N	\N
159515	535	1997-12-11	PRIJEM	VKLAD	31010	61357	\N	\N	\N
159516	535	1998-01-11	PRIJEM	VKLAD	20673	49765	\N	\N	\N
159517	535	1998-02-11	PRIJEM	VKLAD	20673	40829	\N	\N	\N
159518	535	1998-03-11	PRIJEM	VKLAD	20673	39967	\N	\N	\N
159519	535	1998-04-11	PRIJEM	VKLAD	20673	39402	\N	\N	\N
159520	535	1998-05-11	PRIJEM	VKLAD	20673	41135	\N	\N	\N
159521	535	1998-06-11	PRIJEM	VKLAD	31010	47011	\N	\N	\N
159522	535	1998-07-11	PRIJEM	VKLAD	20673	41462	\N	\N	\N
159523	535	1998-08-11	PRIJEM	VKLAD	20673	54407	\N	\N	\N
159524	535	1998-09-11	PRIJEM	VKLAD	20673	44191	\N	\N	\N
159525	535	1998-10-11	PRIJEM	VKLAD	20673	44836	\N	\N	\N
159526	535	1998-11-11	PRIJEM	VKLAD	20673	46287	\N	\N	\N
159527	535	1998-12-11	PRIJEM	VKLAD	31010	51269	\N	\N	\N
159537	535	1994-10-12	VYDAJ	PREVOD NA UCET	7021	59995	SIPO	OP	26501775
159538	535	1994-11-12	VYDAJ	PREVOD NA UCET	7021	56411	SIPO	OP	26501775
159539	535	1994-12-12	VYDAJ	PREVOD NA UCET	7021	65656	SIPO	OP	26501775
159540	535	1995-01-12	VYDAJ	PREVOD NA UCET	7021	56275	SIPO	OP	26501775
159541	535	1995-02-12	VYDAJ	PREVOD NA UCET	7021	44968	SIPO	OP	26501775
159542	535	1995-03-12	VYDAJ	PREVOD NA UCET	7021	46032	SIPO	OP	26501775
159543	535	1995-04-12	VYDAJ	PREVOD NA UCET	7021	44496	SIPO	OP	26501775
159544	535	1995-05-12	VYDAJ	PREVOD NA UCET	7021	45154	SIPO	OP	26501775
159545	535	1995-06-12	VYDAJ	PREVOD NA UCET	7021	57353	SIPO	OP	26501775
159546	535	1995-07-12	VYDAJ	PREVOD NA UCET	7021	48030	SIPO	OP	26501775
159547	535	1995-08-12	VYDAJ	PREVOD NA UCET	7021	50603	SIPO	OP	26501775
159548	535	1995-09-12	VYDAJ	PREVOD NA UCET	7021	46673	SIPO	OP	26501775
159549	535	1995-10-12	VYDAJ	PREVOD NA UCET	7021	49740	SIPO	OP	26501775
159550	535	1995-11-12	VYDAJ	PREVOD NA UCET	7021	51416	SIPO	OP	26501775
159551	535	1995-12-12	VYDAJ	PREVOD NA UCET	7021	60528	SIPO	OP	26501775
159552	535	1996-01-12	VYDAJ	PREVOD NA UCET	7021	50716	SIPO	OP	26501775
159553	535	1996-02-12	VYDAJ	PREVOD NA UCET	7021	40979	SIPO	OP	26501775
159554	535	1996-03-12	VYDAJ	PREVOD NA UCET	7021	45421	SIPO	OP	26501775
159555	535	1996-04-12	VYDAJ	PREVOD NA UCET	7021	37866	SIPO	OP	26501775
159556	535	1996-05-12	VYDAJ	PREVOD NA UCET	7021	38492	SIPO	OP	26501775
159557	535	1996-06-12	VYDAJ	PREVOD NA UCET	7021	50253	SIPO	OP	26501775
159558	535	1996-07-12	VYDAJ	PREVOD NA UCET	7021	21311	SIPO	OP	26501775
159559	535	1996-08-12	VYDAJ	PREVOD NA UCET	7021	24002	SIPO	OP	26501775
159560	535	1996-09-12	VYDAJ	PREVOD NA UCET	7021	33609	SIPO	OP	26501775
159561	535	1996-10-12	VYDAJ	PREVOD NA UCET	7021	38445	SIPO	OP	26501775
159562	535	1996-11-12	VYDAJ	PREVOD NA UCET	7021	38607	SIPO	OP	26501775
159563	535	1996-12-12	VYDAJ	PREVOD NA UCET	7021	50210	SIPO	OP	26501775
159564	535	1997-01-12	VYDAJ	PREVOD NA UCET	7021	45910	SIPO	OP	26501775
159565	535	1997-02-12	VYDAJ	PREVOD NA UCET	7021	42200	SIPO	OP	26501775
159566	535	1997-03-12	VYDAJ	PREVOD NA UCET	7021	46275	SIPO	OP	26501775
159567	535	1997-04-12	VYDAJ	PREVOD NA UCET	7021	43170	SIPO	OP	26501775
159568	535	1997-05-12	VYDAJ	PREVOD NA UCET	7021	48457	SIPO	OP	26501775
159569	535	1997-06-12	VYDAJ	PREVOD NA UCET	7021	59795	SIPO	OP	26501775
159570	535	1997-07-12	VYDAJ	PREVOD NA UCET	7021	46110	SIPO	OP	26501775
159571	535	1997-08-12	VYDAJ	PREVOD NA UCET	7021	48797	SIPO	OP	26501775
159572	535	1997-09-12	VYDAJ	PREVOD NA UCET	7021	49497	SIPO	OP	26501775
159573	535	1997-10-12	VYDAJ	PREVOD NA UCET	7021	47710	SIPO	OP	26501775
159574	535	1997-11-12	VYDAJ	PREVOD NA UCET	7021	45909	SIPO	OP	26501775
159575	535	1997-12-12	VYDAJ	PREVOD NA UCET	7021	54336	SIPO	OP	26501775
159576	535	1998-01-12	VYDAJ	PREVOD NA UCET	7021	40544	SIPO	OP	26501775
159577	535	1998-02-12	VYDAJ	PREVOD NA UCET	7021	33808	SIPO	OP	26501775
159578	535	1998-03-12	VYDAJ	PREVOD NA UCET	7021	32946	SIPO	OP	26501775
159579	535	1998-04-12	VYDAJ	PREVOD NA UCET	7021	32381	SIPO	OP	26501775
159580	535	1998-05-12	VYDAJ	PREVOD NA UCET	7021	34114	SIPO	OP	26501775
159581	535	1998-06-12	VYDAJ	PREVOD NA UCET	7021	39990	SIPO	OP	26501775
159582	535	1998-07-12	VYDAJ	PREVOD NA UCET	7021	34441	SIPO	OP	26501775
159583	535	1998-08-12	VYDAJ	PREVOD NA UCET	7021	47386	SIPO	OP	26501775
159584	535	1998-09-12	VYDAJ	PREVOD NA UCET	7021	37170	SIPO	OP	26501775
159585	535	1998-10-12	VYDAJ	PREVOD NA UCET	7021	37815	SIPO	OP	26501775
159586	535	1998-11-12	VYDAJ	PREVOD NA UCET	7021	39266	SIPO	OP	26501775
159587	535	1998-12-12	VYDAJ	PREVOD NA UCET	7021	44248	SIPO	OP	26501775
159598	535	1994-11-05	VYDAJ	PREVOD NA UCET	62	43524	 	UV	15932035
159599	535	1994-12-05	VYDAJ	PREVOD NA UCET	62	42432	 	UV	15932035
159600	535	1995-01-05	VYDAJ	PREVOD NA UCET	62	43723	 	UV	15932035
159601	535	1995-02-05	VYDAJ	PREVOD NA UCET	62	32081	 	UV	15932035
159602	535	1995-03-05	VYDAJ	PREVOD NA UCET	62	33180	 	UV	15932035
159603	535	1995-04-05	VYDAJ	PREVOD NA UCET	62	31609	 	UV	15932035
159604	535	1995-05-05	VYDAJ	PREVOD NA UCET	62	32267	 	UV	15932035
159605	535	1995-06-05	VYDAJ	PREVOD NA UCET	62	33364	 	UV	15932035
159606	535	1995-07-05	VYDAJ	PREVOD NA UCET	62	34378	 	UV	15932035
159607	535	1995-08-05	VYDAJ	PREVOD NA UCET	62	36951	 	UV	15932035
159608	535	1995-09-05	VYDAJ	PREVOD NA UCET	62	33021	 	UV	15932035
159609	535	1995-10-05	VYDAJ	PREVOD NA UCET	62	36088	 	UV	15932035
159610	535	1995-11-05	VYDAJ	PREVOD NA UCET	62	38529	 	UV	15932035
159611	535	1995-12-05	VYDAJ	PREVOD NA UCET	62	36539	 	UV	15932035
159612	535	1996-01-05	VYDAJ	PREVOD NA UCET	62	37829	 	UV	15932035
159613	535	1996-02-05	VYDAJ	PREVOD NA UCET	62	27327	 	UV	15932035
159614	535	1996-03-05	VYDAJ	PREVOD NA UCET	62	32534	 	UV	15932035
159615	535	1996-04-05	VYDAJ	PREVOD NA UCET	62	29679	 	UV	15932035
159616	535	1996-05-05	VYDAJ	PREVOD NA UCET	62	26205	 	UV	15932035
159617	535	1996-06-05	VYDAJ	PREVOD NA UCET	62	27029	 	UV	15932035
159618	535	1996-07-05	VYDAJ	PREVOD NA UCET	62	13959	 	UV	15932035
159619	535	1996-08-05	VYDAJ	PREVOD NA UCET	62	21315	 	UV	15932035
159620	535	1996-09-05	VYDAJ	PREVOD NA UCET	62	24022	 	UV	15932035
159621	535	1996-10-05	VYDAJ	PREVOD NA UCET	62	32893	 	UV	15932035
159622	535	1996-11-05	VYDAJ	PREVOD NA UCET	62	36955	 	UV	15932035
159623	535	1996-12-05	VYDAJ	PREVOD NA UCET	62	38686	 	UV	15932035
159624	535	1997-01-05	VYDAJ	PREVOD NA UCET	62	47458	 	UV	15932035
159625	535	1997-02-05	VYDAJ	PREVOD NA UCET	62	39248	 	UV	15932035
159626	535	1997-03-05	VYDAJ	PREVOD NA UCET	62	42288	 	UV	15932035
159627	535	1997-04-05	VYDAJ	PREVOD NA UCET	62	45618	 	UV	15932035
159628	535	1997-05-05	VYDAJ	PREVOD NA UCET	62	42505	 	UV	15932035
159629	535	1997-06-05	VYDAJ	PREVOD NA UCET	62	47806	 	UV	15932035
159630	535	1997-07-05	VYDAJ	PREVOD NA UCET	62	42558	 	UV	15932035
159631	535	1997-08-05	VYDAJ	PREVOD NA UCET	62	43310	 	UV	15932035
159632	535	1997-09-05	VYDAJ	PREVOD NA UCET	62	48145	 	UV	15932035
159633	535	1997-10-05	VYDAJ	PREVOD NA UCET	62	34823	 	UV	15932035
159634	535	1997-11-05	VYDAJ	PREVOD NA UCET	62	32257	 	UV	15932035
159635	535	1997-12-05	VYDAJ	PREVOD NA UCET	62	30347	 	UV	15932035
159636	535	1998-01-05	VYDAJ	PREVOD NA UCET	62	29692	 	UV	15932035
159637	535	1998-02-05	VYDAJ	PREVOD NA UCET	62	20156	 	UV	15932035
159638	535	1998-03-05	VYDAJ	PREVOD NA UCET	62	20059	 	UV	15932035
159639	535	1998-04-05	VYDAJ	PREVOD NA UCET	62	18729	 	UV	15932035
159640	535	1998-05-05	VYDAJ	PREVOD NA UCET	62	21227	 	UV	15932035
159641	535	1998-06-05	VYDAJ	PREVOD NA UCET	62	16766	 	UV	15932035
159642	535	1998-07-05	VYDAJ	PREVOD NA UCET	62	21554	 	UV	15932035
159643	535	1998-08-05	VYDAJ	PREVOD NA UCET	62	33734	 	UV	15932035
159644	535	1998-09-05	VYDAJ	PREVOD NA UCET	62	23518	 	UV	15932035
159645	535	1998-10-05	VYDAJ	PREVOD NA UCET	62	24163	 	UV	15932035
159646	535	1998-11-05	VYDAJ	PREVOD NA UCET	62	26379	 	UV	15932035
159647	535	1998-12-05	VYDAJ	PREVOD NA UCET	62	22724	 	UV	15932035
159658	535	1994-11-05	VYDAJ	PREVOD NA UCET	765	42759	POJISTNE	MN	70218544
159659	535	1994-12-05	VYDAJ	PREVOD NA UCET	765	41667	POJISTNE	MN	70218544
159660	535	1995-01-05	VYDAJ	PREVOD NA UCET	765	43785	POJISTNE	MN	70218544
159661	535	1995-02-05	VYDAJ	PREVOD NA UCET	765	31316	POJISTNE	MN	70218544
159662	535	1995-03-05	VYDAJ	PREVOD NA UCET	765	33242	POJISTNE	MN	70218544
159663	535	1995-04-05	VYDAJ	PREVOD NA UCET	765	30844	POJISTNE	MN	70218544
159664	535	1995-05-05	VYDAJ	PREVOD NA UCET	765	31502	POJISTNE	MN	70218544
159665	535	1995-06-05	VYDAJ	PREVOD NA UCET	765	33426	POJISTNE	MN	70218544
159666	535	1995-07-05	VYDAJ	PREVOD NA UCET	765	34440	POJISTNE	MN	70218544
159667	535	1995-08-05	VYDAJ	PREVOD NA UCET	765	37013	POJISTNE	MN	70218544
159668	535	1995-09-05	VYDAJ	PREVOD NA UCET	765	33083	POJISTNE	MN	70218544
159669	535	1995-10-05	VYDAJ	PREVOD NA UCET	765	36150	POJISTNE	MN	70218544
159670	535	1995-11-05	VYDAJ	PREVOD NA UCET	765	37764	POJISTNE	MN	70218544
159671	535	1995-12-05	VYDAJ	PREVOD NA UCET	765	36601	POJISTNE	MN	70218544
159672	535	1996-01-05	VYDAJ	PREVOD NA UCET	765	37064	POJISTNE	MN	70218544
159673	535	1996-02-05	VYDAJ	PREVOD NA UCET	765	27389	POJISTNE	MN	70218544
159674	535	1996-03-05	VYDAJ	PREVOD NA UCET	765	31769	POJISTNE	MN	70218544
159675	535	1996-04-05	VYDAJ	PREVOD NA UCET	765	28914	POJISTNE	MN	70218544
159676	535	1996-05-05	VYDAJ	PREVOD NA UCET	765	25440	POJISTNE	MN	70218544
159677	535	1996-06-05	VYDAJ	PREVOD NA UCET	765	26264	POJISTNE	MN	70218544
159678	535	1996-07-05	VYDAJ	PREVOD NA UCET	765	14021	POJISTNE	MN	70218544
159679	535	1996-08-05	VYDAJ	PREVOD NA UCET	765	20550	POJISTNE	MN	70218544
159680	535	1996-09-05	VYDAJ	PREVOD NA UCET	765	23257	POJISTNE	MN	70218544
159681	535	1996-10-05	VYDAJ	PREVOD NA UCET	765	32955	POJISTNE	MN	70218544
159682	535	1996-11-05	VYDAJ	PREVOD NA UCET	765	37017	POJISTNE	MN	70218544
159683	535	1996-12-05	VYDAJ	PREVOD NA UCET	765	37921	POJISTNE	MN	70218544
159684	535	1997-01-05	VYDAJ	PREVOD NA UCET	765	48120	POJISTNE	MN	70218544
159685	535	1997-02-05	VYDAJ	PREVOD NA UCET	765	39310	POJISTNE	MN	70218544
159686	535	1997-03-05	VYDAJ	PREVOD NA UCET	765	41523	POJISTNE	MN	70218544
159687	535	1997-04-05	VYDAJ	PREVOD NA UCET	765	45680	POJISTNE	MN	70218544
159688	535	1997-05-05	VYDAJ	PREVOD NA UCET	765	42567	POJISTNE	MN	70218544
159689	535	1997-06-05	VYDAJ	PREVOD NA UCET	765	47868	POJISTNE	MN	70218544
159690	535	1997-07-05	VYDAJ	PREVOD NA UCET	765	42620	POJISTNE	MN	70218544
159691	535	1997-08-05	VYDAJ	PREVOD NA UCET	765	42545	POJISTNE	MN	70218544
159692	535	1997-09-05	VYDAJ	PREVOD NA UCET	765	48207	POJISTNE	MN	70218544
159693	535	1997-10-05	VYDAJ	PREVOD NA UCET	765	34058	POJISTNE	MN	70218544
159694	535	1997-11-05	VYDAJ	PREVOD NA UCET	765	32319	POJISTNE	MN	70218544
159695	535	1997-12-05	VYDAJ	PREVOD NA UCET	765	30409	POJISTNE	MN	70218544
159696	535	1998-01-05	VYDAJ	PREVOD NA UCET	765	29754	POJISTNE	MN	70218544
159697	535	1998-02-05	VYDAJ	PREVOD NA UCET	765	20218	POJISTNE	MN	70218544
159698	535	1998-03-05	VYDAJ	PREVOD NA UCET	765	19294	POJISTNE	MN	70218544
159699	535	1998-04-05	VYDAJ	PREVOD NA UCET	765	18791	POJISTNE	MN	70218544
159700	535	1998-05-05	VYDAJ	PREVOD NA UCET	765	20462	POJISTNE	MN	70218544
159701	535	1998-06-05	VYDAJ	PREVOD NA UCET	765	16001	POJISTNE	MN	70218544
159702	535	1998-07-05	VYDAJ	PREVOD NA UCET	765	20789	POJISTNE	MN	70218544
159703	535	1998-08-05	VYDAJ	PREVOD NA UCET	765	33796	POJISTNE	MN	70218544
159704	535	1998-09-05	VYDAJ	PREVOD NA UCET	765	23580	POJISTNE	MN	70218544
159705	535	1998-10-05	VYDAJ	PREVOD NA UCET	765	24225	POJISTNE	MN	70218544
159706	535	1998-11-05	VYDAJ	PREVOD NA UCET	765	25614	POJISTNE	MN	70218544
159707	535	1998-12-05	VYDAJ	PREVOD NA UCET	765	21959	POJISTNE	MN	70218544
159710	535	1996-06-25	VYDAJ	VYBER	19800	14653	\N	\N	\N
159711	535	1997-06-22	VYDAJ	VYBER	16600	43195	\N	\N	\N
159713	535	1994-12-20	VYDAJ	VYBER	2000	63656	\N	\N	\N
159714	535	1995-12-24	VYDAJ	VYBER	800	41428	\N	\N	\N
159715	535	1996-12-10	VYDAJ	VYBER	2500	26221	\N	\N	\N
159716	535	1997-12-18	VYDAJ	VYBER	1900	52436	\N	\N	\N
159717	535	1998-12-07	VYDAJ	VYBER	1700	20259	\N	\N	\N
159724	535	1995-01-22	VYDAJ	VYBER	700	37075	\N	\N	\N
159725	535	1995-01-05	VYDAJ	VYBER	1100	42623	\N	\N	\N
159726	535	1995-01-02	VYDAJ	VYBER	500	44550	\N	\N	\N
159727	535	1995-01-26	VYDAJ	VYBER	1400	33075	\N	\N	\N
159728	535	1995-01-24	VYDAJ	VYBER	2600	34475	\N	\N	\N
159729	535	1995-01-21	VYDAJ	VYBER	2100	37775	\N	\N	\N
159730	535	1996-01-02	VYDAJ	VYBER	1900	39091	\N	\N	\N
159731	535	1996-01-16	VYDAJ	VYBER	2100	35716	\N	\N	\N
159732	535	1996-01-25	VYDAJ	VYBER	2800	30816	\N	\N	\N
159733	535	1996-01-03	VYDAJ	VYBER	1200	37891	\N	\N	\N
159734	535	1996-01-29	VYDAJ	VYBER	2800	28016	\N	\N	\N
159735	535	1996-01-23	VYDAJ	VYBER	2100	33616	\N	\N	\N
159736	535	1997-01-22	VYDAJ	VYBER	2600	40510	\N	\N	\N
159737	535	1997-01-11	VYDAJ	VYBER	500	52931	\N	\N	\N
159738	535	1997-01-03	VYDAJ	VYBER	1500	48885	\N	\N	\N
159739	535	1997-01-17	VYDAJ	VYBER	2800	43110	\N	\N	\N
159740	535	1997-01-26	VYDAJ	VYBER	600	39910	\N	\N	\N
159741	535	1997-01-05	VYDAJ	VYBER	600	47520	\N	\N	\N
159742	535	1998-01-16	VYDAJ	VYBER	1900	38644	\N	\N	\N
159743	535	1998-01-28	VYDAJ	VYBER	2100	34344	\N	\N	\N
159744	535	1998-01-21	VYDAJ	VYBER	800	36444	\N	\N	\N
159745	535	1998-01-11	VYDAJ	VYBER	2200	47565	\N	\N	\N
159746	535	1998-01-20	VYDAJ	VYBER	1400	37244	\N	\N	\N
159747	535	1998-01-04	VYDAJ	VYBER	900	30519	\N	\N	\N
159752	535	1994-11-05	VYDAJ	VYBER	800	43586	\N	\N	\N
159753	535	1995-03-01	VYDAJ	VYBER	2000	34007	\N	\N	\N
159754	535	1995-12-24	VYDAJ	VYBER	600	40828	\N	\N	\N
159755	535	1995-06-16	VYDAJ	VYBER	3700	53653	\N	\N	\N
159756	535	1995-03-08	VYDAJ	VYBER	800	32380	\N	\N	\N
159757	535	1995-01-29	VYDAJ	VYBER	1100	31975	\N	\N	\N
159758	535	1996-04-09	VYDAJ	VYBER	4700	24214	\N	\N	\N
159759	535	1996-11-09	VYDAJ	VYBER	1000	24955	\N	\N	\N
159760	535	1996-10-30	VYDAJ	VYBER	800	37645	\N	\N	\N
159761	535	1996-05-06	VYDAJ	VYBER	600	24840	\N	\N	\N
159762	535	1996-07-11	VYDAJ	VYBER	700	33932	\N	\N	\N
159763	535	1997-09-23	VYDAJ	VYBER	500	48997	\N	\N	\N
159764	535	1997-07-19	VYDAJ	VYBER	2900	43210	\N	\N	\N
159765	535	1998-01-07	VYDAJ	VYBER	600	29092	\N	\N	\N
159766	535	1998-12-12	VYDAJ	VYBER	4000	40248	\N	\N	\N
159767	535	1998-01-04	VYDAJ	VYBER	3200	31419	\N	\N	\N
159768	535	1998-11-20	VYDAJ	VYBER	2500	36766	\N	\N	\N
159779	535	1994-10-31	VYDAJ	VYBER	15	44386	SLUZBY	\N	\N
159780	535	1994-11-30	VYDAJ	VYBER	15	42494	SLUZBY	\N	\N
159781	535	1994-12-31	VYDAJ	VYBER	15	45050	SLUZBY	\N	\N
159782	535	1995-01-31	VYDAJ	VYBER	15	32143	SLUZBY	\N	\N
159783	535	1995-02-28	VYDAJ	VYBER	15	36007	SLUZBY	\N	\N
159784	535	1995-03-31	VYDAJ	VYBER	15	31671	SLUZBY	\N	\N
159785	535	1995-04-30	VYDAJ	VYBER	15	32329	SLUZBY	\N	\N
159786	535	1995-05-31	VYDAJ	VYBER	15	34191	SLUZBY	\N	\N
159787	535	1995-06-30	VYDAJ	VYBER	15	35205	SLUZBY	\N	\N
159788	535	1995-07-31	VYDAJ	VYBER	15	37778	SLUZBY	\N	\N
159789	535	1995-08-31	VYDAJ	VYBER	15	33848	SLUZBY	\N	\N
159790	535	1995-09-30	VYDAJ	VYBER	15	36915	SLUZBY	\N	\N
159791	535	1995-10-31	VYDAJ	VYBER	15	38591	SLUZBY	\N	\N
159792	535	1995-11-30	VYDAJ	VYBER	15	37366	SLUZBY	\N	\N
159793	535	1995-12-31	VYDAJ	VYBER	15	40991	SLUZBY	\N	\N
159794	535	1996-01-31	VYDAJ	VYBER	15	28154	SLUZBY	\N	\N
159795	535	1996-02-29	VYDAJ	VYBER	15	32596	SLUZBY	\N	\N
159796	535	1996-03-31	VYDAJ	VYBER	15	29741	SLUZBY	\N	\N
159797	535	1996-04-30	VYDAJ	VYBER	15	26267	SLUZBY	\N	\N
159798	535	1996-05-31	VYDAJ	VYBER	15	27091	SLUZBY	\N	\N
159799	535	1996-06-30	VYDAJ	VYBER	15	14786	SLUZBY	\N	\N
159800	535	1996-07-31	VYDAJ	VYBER	15	21377	SLUZBY	\N	\N
159801	535	1996-08-31	VYDAJ	VYBER	15	24084	SLUZBY	\N	\N
159802	535	1996-09-30	VYDAJ	VYBER	15	33720	SLUZBY	\N	\N
159803	535	1996-10-31	VYDAJ	VYBER	15	37782	SLUZBY	\N	\N
159804	535	1996-11-30	VYDAJ	VYBER	15	38748	SLUZBY	\N	\N
159805	535	1996-12-31	VYDAJ	VYBER	15	50385	SLUZBY	\N	\N
159806	535	1997-01-31	VYDAJ	VYBER	15	40075	SLUZBY	\N	\N
159807	535	1997-02-28	VYDAJ	VYBER	15	42350	SLUZBY	\N	\N
159808	535	1997-03-31	VYDAJ	VYBER	15	46445	SLUZBY	\N	\N
159809	535	1997-04-30	VYDAJ	VYBER	15	43332	SLUZBY	\N	\N
159810	535	1997-05-31	VYDAJ	VYBER	15	48633	SLUZBY	\N	\N
159811	535	1997-06-30	VYDAJ	VYBER	15	43385	SLUZBY	\N	\N
159812	535	1997-07-31	VYDAJ	VYBER	15	43372	SLUZBY	\N	\N
159813	535	1997-08-31	VYDAJ	VYBER	15	48972	SLUZBY	\N	\N
159814	535	1997-09-30	VYDAJ	VYBER	15	49185	SLUZBY	\N	\N
159815	535	1997-10-31	VYDAJ	VYBER	15	47884	SLUZBY	\N	\N
159816	535	1997-11-30	VYDAJ	VYBER	15	46074	SLUZBY	\N	\N
159817	535	1997-12-31	VYDAJ	VYBER	15	52619	SLUZBY	\N	\N
159818	535	1998-01-31	VYDAJ	VYBER	15	34483	SLUZBY	\N	\N
159819	535	1998-02-28	VYDAJ	VYBER	15	33921	SLUZBY	\N	\N
159820	535	1998-03-31	VYDAJ	VYBER	15	33056	SLUZBY	\N	\N
159821	535	1998-04-30	VYDAJ	VYBER	15	32489	SLUZBY	\N	\N
159822	535	1998-05-31	VYDAJ	VYBER	15	34228	SLUZBY	\N	\N
159823	535	1998-06-30	VYDAJ	VYBER	15	40116	SLUZBY	\N	\N
159824	535	1998-07-31	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
159825	535	1998-08-31	VYDAJ	VYBER	15	24345	SLUZBY	\N	\N
159826	535	1998-09-30	VYDAJ	VYBER	15	37290	SLUZBY	\N	\N
159827	535	1998-10-31	VYDAJ	VYBER	15	26441	SLUZBY	\N	\N
159828	535	1998-11-30	VYDAJ	VYBER	15	22786	SLUZBY	\N	\N
159829	535	1994-06-23	VYDAJ	VYBER	2200	29610	\N	\N	\N
159830	535	1994-07-23	VYDAJ	VYBER	12200	38116	\N	\N	\N
159831	535	1994-08-22	VYDAJ	VYBER	16400	42523	\N	\N	\N
159832	535	1994-09-21	VYDAJ	VYBER	17200	46160	\N	\N	\N
159833	535	1994-10-21	VYDAJ	VYBER	15800	44195	\N	\N	\N
159834	535	1994-11-20	VYDAJ	VYBER	14100	42311	\N	\N	\N
159835	535	1994-12-20	VYDAJ	VYBER	18800	44856	\N	\N	\N
159836	535	1995-01-19	VYDAJ	VYBER	16400	39875	\N	\N	\N
159837	535	1995-02-18	VYDAJ	VYBER	9100	35868	\N	\N	\N
159838	535	1995-03-20	VYDAJ	VYBER	14500	31532	\N	\N	\N
159839	535	1995-04-19	VYDAJ	VYBER	12300	32196	\N	\N	\N
159840	535	1995-05-19	VYDAJ	VYBER	11100	34054	\N	\N	\N
159841	535	1995-06-18	VYDAJ	VYBER	18600	35053	\N	\N	\N
159842	535	1995-07-18	VYDAJ	VYBER	10400	37630	\N	\N	\N
159843	535	1995-08-17	VYDAJ	VYBER	16900	33703	\N	\N	\N
159844	535	1995-09-16	VYDAJ	VYBER	9900	36773	\N	\N	\N
159845	535	1995-10-16	VYDAJ	VYBER	11300	38440	\N	\N	\N
159846	535	1995-11-15	VYDAJ	VYBER	14200	37216	\N	\N	\N
159847	535	1995-12-15	VYDAJ	VYBER	18300	42228	\N	\N	\N
159848	535	1996-01-14	VYDAJ	VYBER	12900	37816	\N	\N	\N
159849	535	1996-02-13	VYDAJ	VYBER	8500	32479	\N	\N	\N
159850	535	1996-03-14	VYDAJ	VYBER	15800	29621	\N	\N	\N
159851	535	1996-04-13	VYDAJ	VYBER	11700	26166	\N	\N	\N
159852	535	1996-05-13	VYDAJ	VYBER	11500	26992	\N	\N	\N
159853	535	1996-06-12	VYDAJ	VYBER	15800	34453	\N	\N	\N
159854	535	1996-07-12	VYDAJ	VYBER	5600	28332	\N	\N	\N
159855	535	1996-08-11	VYDAJ	VYBER	10200	31023	\N	\N	\N
159856	535	1996-09-10	VYDAJ	VYBER	3300	19957	\N	\N	\N
159857	535	1996-10-10	VYDAJ	VYBER	8100	24793	\N	\N	\N
159858	535	1996-11-09	VYDAJ	VYBER	11000	25955	\N	\N	\N
159859	535	1996-12-09	VYDAJ	VYBER	9200	28721	\N	\N	\N
159860	535	1997-01-08	VYDAJ	VYBER	14700	32758	\N	\N	\N
159861	535	1997-02-07	VYDAJ	VYBER	10700	28548	\N	\N	\N
159862	535	1997-03-09	VYDAJ	VYBER	8900	32623	\N	\N	\N
159863	535	1997-04-08	VYDAJ	VYBER	16100	29518	\N	\N	\N
159864	535	1997-05-08	VYDAJ	VYBER	7700	34805	\N	\N	\N
159865	535	1997-06-07	VYDAJ	VYBER	12000	35806	\N	\N	\N
159866	535	1997-07-07	VYDAJ	VYBER	10100	32458	\N	\N	\N
159867	535	1997-08-06	VYDAJ	VYBER	7400	35145	\N	\N	\N
159868	535	1997-09-05	VYDAJ	VYBER	12300	35845	\N	\N	\N
159869	535	1997-10-05	VYDAJ	VYBER	14300	34885	\N	\N	\N
159870	535	1997-11-04	VYDAJ	VYBER	14800	33084	\N	\N	\N
159871	535	1997-12-04	VYDAJ	VYBER	14900	31174	\N	\N	\N
159872	535	1998-01-03	VYDAJ	VYBER	18000	34619	\N	\N	\N
159873	535	1998-02-02	VYDAJ	VYBER	13500	20983	\N	\N	\N
159874	535	1998-03-04	VYDAJ	VYBER	13800	20121	\N	\N	\N
159875	535	1998-04-03	VYDAJ	VYBER	13500	19556	\N	\N	\N
159876	535	1998-05-03	VYDAJ	VYBER	11200	21289	\N	\N	\N
159877	535	1998-06-02	VYDAJ	VYBER	17400	16828	\N	\N	\N
159878	535	1998-07-02	VYDAJ	VYBER	18500	21616	\N	\N	\N
159879	535	1998-08-31	VYDAJ	VYBER	23200	24360	\N	\N	\N
159880	535	1998-09-30	VYDAJ	VYBER	12300	24990	\N	\N	\N
159881	535	1998-10-30	VYDAJ	VYBER	11500	26315	\N	\N	\N
159882	535	1998-11-29	VYDAJ	VYBER	14100	22666	\N	\N	\N
159938	536	1996-10-13	PRIJEM	VKLAD	900	900	\N	\N	\N
159949	536	1996-11-06	PRIJEM	PREVOD Z UCTU	5012	5912	DUCHOD	YZ	41714489
159950	536	1996-12-06	PRIJEM	PREVOD Z UCTU	5012	10924	DUCHOD	YZ	41714489
159951	536	1997-01-06	PRIJEM	PREVOD Z UCTU	5012	15936	DUCHOD	YZ	41714489
159952	536	1997-02-06	PRIJEM	PREVOD Z UCTU	5012	20948	DUCHOD	YZ	41714489
159953	536	1997-03-06	PRIJEM	PREVOD Z UCTU	5012	25960	DUCHOD	YZ	41714489
159954	536	1997-04-06	PRIJEM	PREVOD Z UCTU	5012	28467	DUCHOD	YZ	41714489
159955	536	1997-05-06	PRIJEM	PREVOD Z UCTU	5012	30045	DUCHOD	YZ	41714489
159956	536	1997-06-06	PRIJEM	PREVOD Z UCTU	5012	31187	DUCHOD	YZ	41714489
159957	536	1997-07-06	PRIJEM	PREVOD Z UCTU	5012	30476	DUCHOD	YZ	41714489
159958	536	1997-08-06	PRIJEM	PREVOD Z UCTU	5012	28172	DUCHOD	YZ	41714489
159959	536	1997-09-06	PRIJEM	PREVOD Z UCTU	5012	29806	DUCHOD	YZ	41714489
159960	536	1997-10-06	PRIJEM	PREVOD Z UCTU	5012	30043	DUCHOD	YZ	41714489
159961	536	1997-11-06	PRIJEM	PREVOD Z UCTU	5012	32588	DUCHOD	YZ	41714489
159962	536	1997-12-06	PRIJEM	PREVOD Z UCTU	5012	27028	DUCHOD	YZ	41714489
159963	536	1998-01-06	PRIJEM	PREVOD Z UCTU	5012	28369	DUCHOD	YZ	41714489
159964	536	1998-02-06	PRIJEM	PREVOD Z UCTU	5012	17251	DUCHOD	YZ	41714489
159965	536	1998-03-06	PRIJEM	PREVOD Z UCTU	5012	19743	DUCHOD	YZ	41714489
159966	536	1998-04-06	PRIJEM	PREVOD Z UCTU	5012	22245	DUCHOD	YZ	41714489
159967	536	1998-05-06	PRIJEM	PREVOD Z UCTU	5012	17340	DUCHOD	YZ	41714489
159968	536	1998-06-06	PRIJEM	PREVOD Z UCTU	5012	17424	DUCHOD	YZ	41714489
159969	536	1998-07-06	PRIJEM	PREVOD Z UCTU	5012	19354	DUCHOD	YZ	41714489
159970	536	1998-08-06	PRIJEM	PREVOD Z UCTU	5012	18406	DUCHOD	YZ	41714489
159971	536	1998-09-06	PRIJEM	PREVOD Z UCTU	5012	20903	DUCHOD	YZ	41714489
159972	536	1998-10-06	PRIJEM	PREVOD Z UCTU	5012	23409	DUCHOD	YZ	41714489
159973	536	1998-11-06	PRIJEM	PREVOD Z UCTU	5012	25927	DUCHOD	YZ	41714489
159974	536	1998-12-06	PRIJEM	PREVOD Z UCTU	5012	28454	DUCHOD	YZ	41714489
159989	536	1997-03-08	VYDAJ	PREVOD NA UCET	1742	24218	SIPO	AB	84382724
159990	536	1997-04-08	VYDAJ	PREVOD NA UCET	1742	26725	SIPO	AB	84382724
159991	536	1997-05-08	VYDAJ	PREVOD NA UCET	1742	28303	SIPO	AB	84382724
159992	536	1997-06-08	VYDAJ	PREVOD NA UCET	1742	29445	SIPO	AB	84382724
159993	536	1997-07-08	VYDAJ	PREVOD NA UCET	1742	28734	SIPO	AB	84382724
159994	536	1997-08-08	VYDAJ	PREVOD NA UCET	1742	26430	SIPO	AB	84382724
159995	536	1997-09-08	VYDAJ	PREVOD NA UCET	1742	28064	SIPO	AB	84382724
159996	536	1997-10-08	VYDAJ	PREVOD NA UCET	1742	28301	SIPO	AB	84382724
159997	536	1997-11-08	VYDAJ	PREVOD NA UCET	1742	26346	SIPO	AB	84382724
159998	536	1997-12-08	VYDAJ	PREVOD NA UCET	1742	25086	SIPO	AB	84382724
159999	536	1998-01-08	VYDAJ	PREVOD NA UCET	1742	19887	SIPO	AB	84382724
160000	536	1998-02-08	VYDAJ	PREVOD NA UCET	1742	15509	SIPO	AB	84382724
160001	536	1998-03-08	VYDAJ	PREVOD NA UCET	1742	18001	SIPO	AB	84382724
160002	536	1998-04-08	VYDAJ	PREVOD NA UCET	1742	16623	SIPO	AB	84382724
160003	536	1998-05-08	VYDAJ	PREVOD NA UCET	1742	13198	SIPO	AB	84382724
160004	536	1998-06-08	VYDAJ	PREVOD NA UCET	1742	15122	SIPO	AB	84382724
160005	536	1998-07-08	VYDAJ	PREVOD NA UCET	1742	17612	SIPO	AB	84382724
160006	536	1998-08-08	VYDAJ	PREVOD NA UCET	1742	16664	SIPO	AB	84382724
160007	536	1998-09-08	VYDAJ	PREVOD NA UCET	1742	19161	SIPO	AB	84382724
160008	536	1998-10-08	VYDAJ	PREVOD NA UCET	1742	21667	SIPO	AB	84382724
160009	536	1998-11-08	VYDAJ	PREVOD NA UCET	1742	24185	SIPO	AB	84382724
160010	536	1998-12-08	VYDAJ	PREVOD NA UCET	1742	26712	SIPO	AB	84382724
160026	536	1997-04-05	VYDAJ	PREVOD NA UCET	827	23455	 	AB	56864386
160027	536	1997-05-05	VYDAJ	PREVOD NA UCET	827	25033	 	AB	56864386
160028	536	1997-06-05	VYDAJ	PREVOD NA UCET	827	26175	 	AB	56864386
160029	536	1997-07-05	VYDAJ	PREVOD NA UCET	827	25464	 	AB	56864386
160030	536	1997-08-05	VYDAJ	PREVOD NA UCET	827	23160	 	AB	56864386
160031	536	1997-09-05	VYDAJ	PREVOD NA UCET	827	24794	 	AB	56864386
160032	536	1997-10-05	VYDAJ	PREVOD NA UCET	827	25031	 	AB	56864386
160033	536	1997-11-05	VYDAJ	PREVOD NA UCET	827	27576	 	AB	56864386
160034	536	1997-12-05	VYDAJ	PREVOD NA UCET	827	22016	 	AB	56864386
160035	536	1998-01-05	VYDAJ	PREVOD NA UCET	827	23357	 	AB	56864386
160036	536	1998-02-05	VYDAJ	PREVOD NA UCET	827	12239	 	AB	56864386
160037	536	1998-03-05	VYDAJ	PREVOD NA UCET	827	14731	 	AB	56864386
160038	536	1998-04-05	VYDAJ	PREVOD NA UCET	827	17233	 	AB	56864386
160039	536	1998-05-05	VYDAJ	PREVOD NA UCET	827	12328	 	AB	56864386
160040	536	1998-06-05	VYDAJ	PREVOD NA UCET	827	12412	 	AB	56864386
160041	536	1998-07-05	VYDAJ	PREVOD NA UCET	827	14342	 	AB	56864386
160042	536	1998-08-05	VYDAJ	PREVOD NA UCET	827	13394	 	AB	56864386
160043	536	1998-09-05	VYDAJ	PREVOD NA UCET	827	15891	 	AB	56864386
160044	536	1998-10-05	VYDAJ	PREVOD NA UCET	827	18397	 	AB	56864386
160045	536	1998-11-05	VYDAJ	PREVOD NA UCET	827	20915	 	AB	56864386
160046	536	1998-12-05	VYDAJ	PREVOD NA UCET	827	23442	 	AB	56864386
160048	536	1997-06-08	VYDAJ	VYBER	3250	26195	\N	\N	\N
160054	536	1997-12-12	VYDAJ	VYBER	350	24736	\N	\N	\N
160055	536	1998-12-14	VYDAJ	VYBER	450	26262	\N	\N	\N
160068	536	1998-01-10	VYDAJ	VYBER	2000	17887	\N	\N	\N
160070	536	1998-01-06	VYDAJ	VYBER	1840	26529	\N	\N	\N
160071	536	1998-01-04	VYDAJ	VYBER	640	24184	\N	\N	\N
160072	536	1998-01-23	VYDAJ	VYBER	1600	13007	\N	\N	\N
160080	536	1997-11-29	VYDAJ	VYBER	3600	22746	\N	\N	\N
160082	536	1997-05-02	VYDAJ	VYBER	960	25860	\N	\N	\N
160083	536	1997-07-20	VYDAJ	VYBER	2240	23894	\N	\N	\N
160084	536	1998-01-18	VYDAJ	VYBER	3280	14607	\N	\N	\N
160085	536	1998-04-20	VYDAJ	VYBER	3520	13103	\N	\N	\N
160086	536	1998-07-14	VYDAJ	VYBER	3440	14172	\N	\N	\N
160087	536	1998-06-07	VYDAJ	VYBER	560	16864	\N	\N	\N
160090	536	1998-04-06	VYDAJ	VYBER	880	18365	\N	\N	\N
160106	536	1997-03-31	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
160107	536	1997-04-30	VYDAJ	VYBER	15	26820	SLUZBY	\N	\N
160108	536	1997-05-31	VYDAJ	VYBER	15	27002	SLUZBY	\N	\N
160109	536	1997-06-30	VYDAJ	VYBER	15	26291	SLUZBY	\N	\N
160110	536	1997-07-31	VYDAJ	VYBER	15	23987	SLUZBY	\N	\N
160111	536	1997-08-31	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
160112	536	1997-09-30	VYDAJ	VYBER	15	25858	SLUZBY	\N	\N
160113	536	1997-10-31	VYDAJ	VYBER	15	28403	SLUZBY	\N	\N
160114	536	1997-11-30	VYDAJ	VYBER	15	22843	SLUZBY	\N	\N
160115	536	1997-12-31	VYDAJ	VYBER	15	24824	SLUZBY	\N	\N
160116	536	1998-01-31	VYDAJ	VYBER	15	13066	SLUZBY	\N	\N
160117	536	1998-02-28	VYDAJ	VYBER	15	15558	SLUZBY	\N	\N
160118	536	1998-03-31	VYDAJ	VYBER	15	18060	SLUZBY	\N	\N
160119	536	1998-04-30	VYDAJ	VYBER	15	13155	SLUZBY	\N	\N
160120	536	1998-05-31	VYDAJ	VYBER	15	13239	SLUZBY	\N	\N
160121	536	1998-06-30	VYDAJ	VYBER	15	15169	SLUZBY	\N	\N
160122	536	1998-07-31	VYDAJ	VYBER	15	14221	SLUZBY	\N	\N
160123	536	1998-08-31	VYDAJ	VYBER	15	16718	SLUZBY	\N	\N
160124	536	1998-09-30	VYDAJ	VYBER	15	19224	SLUZBY	\N	\N
160125	536	1998-10-31	VYDAJ	VYBER	15	21742	SLUZBY	\N	\N
160126	536	1998-11-30	VYDAJ	VYBER	15	24269	SLUZBY	\N	\N
160127	536	1997-05-11	VYDAJ	VYBER	1400	26903	\N	\N	\N
160128	536	1997-07-10	VYDAJ	VYBER	2600	26134	\N	\N	\N
160129	536	1997-08-09	VYDAJ	VYBER	900	25530	\N	\N	\N
160130	536	1997-09-08	VYDAJ	VYBER	2300	25764	\N	\N	\N
160131	536	1997-11-07	VYDAJ	VYBER	4500	28088	\N	\N	\N
160132	536	1997-12-07	VYDAJ	VYBER	200	26828	\N	\N	\N
160133	536	1998-01-06	VYDAJ	VYBER	4900	21629	\N	\N	\N
160134	536	1998-04-06	VYDAJ	VYBER	3000	19245	\N	\N	\N
160135	536	1998-05-06	VYDAJ	VYBER	2400	14940	\N	\N	\N
160158	537	1997-01-08	PRIJEM	VKLAD	500	500	\N	\N	\N
160159	537	1997-01-11	PRIJEM	PREVOD Z UCTU	6080	6580	DUCHOD	KL	34919673
160160	537	1997-02-11	PRIJEM	PREVOD Z UCTU	6080	12679	DUCHOD	KL	34919673
160161	537	1997-03-11	PRIJEM	PREVOD Z UCTU	6080	18786	DUCHOD	KL	34919673
160162	537	1997-04-11	PRIJEM	PREVOD Z UCTU	6080	24893	DUCHOD	KL	34919673
160163	537	1997-05-11	PRIJEM	PREVOD Z UCTU	6080	29101	DUCHOD	KL	34919673
160164	537	1997-06-11	PRIJEM	PREVOD Z UCTU	6080	19509	DUCHOD	KL	34919673
160165	537	1997-07-11	PRIJEM	PREVOD Z UCTU	6080	23808	DUCHOD	KL	34919673
160166	537	1997-08-11	PRIJEM	PREVOD Z UCTU	6080	28119	DUCHOD	KL	34919673
160167	537	1997-09-11	PRIJEM	PREVOD Z UCTU	6080	32448	DUCHOD	KL	34919673
160168	537	1997-10-11	PRIJEM	PREVOD Z UCTU	6080	35195	DUCHOD	KL	34919673
160169	537	1997-11-11	PRIJEM	PREVOD Z UCTU	6080	39553	DUCHOD	KL	34919673
160170	537	1997-12-11	PRIJEM	PREVOD Z UCTU	6080	40829	DUCHOD	KL	34919673
160171	537	1998-01-11	PRIJEM	PREVOD Z UCTU	6080	41521	DUCHOD	KL	34919673
160172	537	1998-02-11	PRIJEM	PREVOD Z UCTU	6080	38296	DUCHOD	KL	34919673
160173	537	1998-03-11	PRIJEM	PREVOD Z UCTU	6080	42667	DUCHOD	KL	34919673
160174	537	1998-04-11	PRIJEM	PREVOD Z UCTU	6080	44332	DUCHOD	KL	34919673
160175	537	1998-05-11	PRIJEM	PREVOD Z UCTU	6080	48729	DUCHOD	KL	34919673
160176	537	1998-06-11	PRIJEM	PREVOD Z UCTU	6080	52123	DUCHOD	KL	34919673
160177	537	1998-07-11	PRIJEM	PREVOD Z UCTU	6080	51545	DUCHOD	KL	34919673
160178	537	1998-08-11	PRIJEM	PREVOD Z UCTU	6080	54611	DUCHOD	KL	34919673
160179	537	1998-09-11	PRIJEM	PREVOD Z UCTU	6080	59051	DUCHOD	KL	34919673
160180	537	1998-10-11	PRIJEM	PREVOD Z UCTU	6080	61428	DUCHOD	KL	34919673
160181	537	1998-11-11	PRIJEM	PREVOD Z UCTU	6080	64597	DUCHOD	KL	34919673
160182	537	1998-12-11	PRIJEM	PREVOD Z UCTU	6080	66877	DUCHOD	KL	34919673
160188	537	1997-06-05	VYDAJ	PREVOD NA UCET	1848	13429	SIPO	ST	79339456
160189	537	1997-07-05	VYDAJ	PREVOD NA UCET	1848	17728	SIPO	ST	79339456
160190	537	1997-08-05	VYDAJ	PREVOD NA UCET	1848	22039	SIPO	ST	79339456
160191	537	1997-09-05	VYDAJ	PREVOD NA UCET	1848	26368	SIPO	ST	79339456
160192	537	1997-10-05	VYDAJ	PREVOD NA UCET	1848	29115	SIPO	ST	79339456
160193	537	1997-11-05	VYDAJ	PREVOD NA UCET	1848	33473	SIPO	ST	79339456
160194	537	1997-12-05	VYDAJ	PREVOD NA UCET	1848	34749	SIPO	ST	79339456
160195	537	1998-01-05	VYDAJ	PREVOD NA UCET	1848	37281	SIPO	ST	79339456
160196	537	1998-02-05	VYDAJ	PREVOD NA UCET	1848	32216	SIPO	ST	79339456
160197	537	1998-03-05	VYDAJ	PREVOD NA UCET	1848	36587	SIPO	ST	79339456
160198	537	1998-04-05	VYDAJ	PREVOD NA UCET	1848	38252	SIPO	ST	79339456
160199	537	1998-05-05	VYDAJ	PREVOD NA UCET	1848	42649	SIPO	ST	79339456
160200	537	1998-06-05	VYDAJ	PREVOD NA UCET	1848	46043	SIPO	ST	79339456
160201	537	1998-07-05	VYDAJ	PREVOD NA UCET	1848	45465	SIPO	ST	79339456
160202	537	1998-08-05	VYDAJ	PREVOD NA UCET	1848	49891	SIPO	ST	79339456
160203	537	1998-09-05	VYDAJ	PREVOD NA UCET	1848	52971	SIPO	ST	79339456
160204	537	1998-10-05	VYDAJ	PREVOD NA UCET	1848	57428	SIPO	ST	79339456
160205	537	1998-11-05	VYDAJ	PREVOD NA UCET	1848	58517	SIPO	ST	79339456
160206	537	1998-12-05	VYDAJ	PREVOD NA UCET	1848	60797	SIPO	ST	79339456
160207	537	1997-06-02	VYDAJ	VYBER	13900	15277	\N	\N	\N
160208	537	1998-06-23	VYDAJ	VYBER	5000	47123	\N	\N	\N
160209	537	1997-12-27	VYDAJ	VYBER	850	39979	\N	\N	\N
160210	537	1998-12-03	VYDAJ	VYBER KARTOU	300	62645	\N	\N	0
160217	537	1998-01-23	VYDAJ	VYBER	1760	37441	\N	\N	\N
160218	537	1998-01-26	VYDAJ	VYBER	1040	35521	\N	\N	\N
160219	537	1998-01-15	VYDAJ	VYBER	2320	39201	\N	\N	\N
160220	537	1998-01-26	VYDAJ	VYBER	1600	33921	\N	\N	\N
160221	537	1998-01-10	VYDAJ	VYBER	1840	35441	\N	\N	\N
160222	537	1998-01-24	VYDAJ	VYBER	880	36561	\N	\N	\N
160225	537	1997-09-30	VYDAJ	VYBER	1600	30977	\N	\N	\N
160226	537	1998-10-09	VYDAJ	VYBER	2080	55348	\N	\N	\N
160227	537	1998-08-08	VYDAJ	VYBER	1360	48531	\N	\N	\N
160228	537	1998-06-03	VYDAJ	VYBER	720	47891	\N	\N	\N
160229	537	1998-03-22	VYDAJ	VYBER	2720	39947	\N	\N	\N
160235	537	1997-05-31	VYDAJ	VYBER	15	29177	SLUZBY	\N	\N
160236	537	1997-06-30	VYDAJ	VYBER	15	19576	SLUZBY	\N	\N
160237	537	1997-07-31	VYDAJ	VYBER	15	23887	SLUZBY	\N	\N
160238	537	1997-08-31	VYDAJ	VYBER	15	28216	SLUZBY	\N	\N
160239	537	1997-09-30	VYDAJ	VYBER	15	30963	SLUZBY	\N	\N
160240	537	1997-10-31	VYDAJ	VYBER	15	35321	SLUZBY	\N	\N
160241	537	1997-11-30	VYDAJ	VYBER	15	39697	SLUZBY	\N	\N
160242	537	1997-12-31	VYDAJ	VYBER	15	40129	SLUZBY	\N	\N
160243	537	1998-01-31	VYDAJ	VYBER	15	34064	SLUZBY	\N	\N
160244	537	1998-02-28	VYDAJ	VYBER	15	38435	SLUZBY	\N	\N
160245	537	1998-03-31	VYDAJ	VYBER	15	40100	SLUZBY	\N	\N
160246	537	1998-04-30	VYDAJ	VYBER	15	44497	SLUZBY	\N	\N
160247	537	1998-05-31	VYDAJ	VYBER	15	48911	SLUZBY	\N	\N
160248	537	1998-06-30	VYDAJ	VYBER	15	47313	SLUZBY	\N	\N
160249	537	1998-07-31	VYDAJ	VYBER	15	51739	SLUZBY	\N	\N
160250	537	1998-08-31	VYDAJ	VYBER	15	54819	SLUZBY	\N	\N
160251	537	1998-09-30	VYDAJ	VYBER	15	59276	SLUZBY	\N	\N
160252	537	1998-10-31	VYDAJ	VYBER	15	60365	SLUZBY	\N	\N
160253	537	1998-11-30	VYDAJ	VYBER	15	62945	SLUZBY	\N	\N
160254	537	1997-05-08	VYDAJ	VYBER	1900	23021	\N	\N	\N
160255	537	1997-12-04	VYDAJ	VYBER	3100	36597	\N	\N	\N
160256	537	1998-01-03	VYDAJ	VYBER	1000	39129	\N	\N	\N
160257	537	1998-06-02	VYDAJ	VYBER	300	48611	\N	\N	\N
160258	537	1998-10-30	VYDAJ	VYBER KARTOU	1300	60128	\N	\N	0
160259	537	1998-11-29	VYDAJ	VYBER KARTOU	1900	62697	\N	\N	0
160284	538	1994-06-07	PRIJEM	VKLAD	800	800	\N	\N	\N
160290	538	1994-06-11	PRIJEM	PREVOD Z UCTU	4039	4839	DUCHOD	GH	30588859
160291	538	1994-07-11	PRIJEM	PREVOD Z UCTU	4039	8891	DUCHOD	GH	30588859
160292	538	1994-08-11	PRIJEM	PREVOD Z UCTU	4039	12951	DUCHOD	GH	30588859
160293	538	1994-09-11	PRIJEM	PREVOD Z UCTU	4039	17010	DUCHOD	GH	30588859
160294	538	1994-10-11	PRIJEM	PREVOD Z UCTU	4039	21069	DUCHOD	GH	30588859
160295	538	1994-11-11	PRIJEM	PREVOD Z UCTU	4039	22124	DUCHOD	GH	30588859
160296	538	1994-12-11	PRIJEM	PREVOD Z UCTU	4039	23244	DUCHOD	GH	30588859
160297	538	1995-01-11	PRIJEM	PREVOD Z UCTU	4039	23170	DUCHOD	GH	30588859
160298	538	1995-02-11	PRIJEM	PREVOD Z UCTU	4039	14745	DUCHOD	GH	30588859
160299	538	1995-03-11	PRIJEM	PREVOD Z UCTU	4039	16137	DUCHOD	GH	30588859
160300	538	1995-04-11	PRIJEM	PREVOD Z UCTU	4039	17535	DUCHOD	GH	30588859
160301	538	1995-05-11	PRIJEM	PREVOD Z UCTU	4039	18938	DUCHOD	GH	30588859
160302	538	1995-06-11	PRIJEM	PREVOD Z UCTU	4039	17141	DUCHOD	GH	30588859
160303	538	1995-07-11	PRIJEM	PREVOD Z UCTU	4039	18543	DUCHOD	GH	30588859
160304	538	1995-08-11	PRIJEM	PREVOD Z UCTU	4039	16269	DUCHOD	GH	30588859
160305	538	1995-09-11	PRIJEM	PREVOD Z UCTU	4039	17667	DUCHOD	GH	30588859
160306	538	1995-10-11	PRIJEM	PREVOD Z UCTU	4039	15630	DUCHOD	GH	30588859
160307	538	1995-11-11	PRIJEM	PREVOD Z UCTU	4039	17026	DUCHOD	GH	30588859
160308	538	1995-12-11	PRIJEM	PREVOD Z UCTU	4039	18427	DUCHOD	GH	30588859
160309	538	1996-01-11	PRIJEM	PREVOD Z UCTU	4039	15131	DUCHOD	GH	30588859
160310	538	1996-02-11	PRIJEM	PREVOD Z UCTU	4039	14441	DUCHOD	GH	30588859
160311	538	1996-03-11	PRIJEM	PREVOD Z UCTU	4039	14130	DUCHOD	GH	30588859
160312	538	1996-04-11	PRIJEM	PREVOD Z UCTU	4039	15520	DUCHOD	GH	30588859
160313	538	1996-05-11	PRIJEM	PREVOD Z UCTU	4039	15472	DUCHOD	GH	30588859
160314	538	1996-06-11	PRIJEM	PREVOD Z UCTU	4039	12864	DUCHOD	GH	30588859
160315	538	1996-07-11	PRIJEM	PREVOD Z UCTU	4039	13247	DUCHOD	GH	30588859
160316	538	1996-08-11	PRIJEM	PREVOD Z UCTU	4039	14633	DUCHOD	GH	30588859
160317	538	1996-09-11	PRIJEM	PREVOD Z UCTU	4039	16024	DUCHOD	GH	30588859
160318	538	1996-10-11	PRIJEM	PREVOD Z UCTU	4039	17421	DUCHOD	GH	30588859
160319	538	1996-11-11	PRIJEM	PREVOD Z UCTU	4039	13518	DUCHOD	GH	30588859
160320	538	1996-12-11	PRIJEM	PREVOD Z UCTU	4039	14905	DUCHOD	GH	30588859
160321	538	1997-01-11	PRIJEM	PREVOD Z UCTU	4039	15095	DUCHOD	GH	30588859
160322	538	1997-02-11	PRIJEM	PREVOD Z UCTU	4039	15208	DUCHOD	GH	30588859
160323	538	1997-03-11	PRIJEM	PREVOD Z UCTU	4039	16602	DUCHOD	GH	30588859
160324	538	1997-04-11	PRIJEM	PREVOD Z UCTU	4039	18001	DUCHOD	GH	30588859
160325	538	1997-05-11	PRIJEM	PREVOD Z UCTU	4039	18124	DUCHOD	GH	30588859
160326	538	1997-06-11	PRIJEM	PREVOD Z UCTU	4039	19529	DUCHOD	GH	30588859
160327	538	1997-07-11	PRIJEM	PREVOD Z UCTU	4039	20941	DUCHOD	GH	30588859
160328	538	1997-08-11	PRIJEM	PREVOD Z UCTU	4039	21878	DUCHOD	GH	30588859
160329	538	1997-09-11	PRIJEM	PREVOD Z UCTU	4039	23297	DUCHOD	GH	30588859
160330	538	1997-10-11	PRIJEM	PREVOD Z UCTU	4039	24724	DUCHOD	GH	30588859
160331	538	1997-11-11	PRIJEM	PREVOD Z UCTU	4039	26157	DUCHOD	GH	30588859
160332	538	1997-12-11	PRIJEM	PREVOD Z UCTU	4039	24633	DUCHOD	GH	30588859
160333	538	1998-01-11	PRIJEM	PREVOD Z UCTU	4039	25715	DUCHOD	GH	30588859
160334	538	1998-02-11	PRIJEM	PREVOD Z UCTU	4039	16167	DUCHOD	GH	30588859
160335	538	1998-03-11	PRIJEM	PREVOD Z UCTU	4039	17564	DUCHOD	GH	30588859
160336	538	1998-04-11	PRIJEM	PREVOD Z UCTU	4039	18966	DUCHOD	GH	30588859
160337	538	1998-05-11	PRIJEM	PREVOD Z UCTU	4039	19253	DUCHOD	GH	30588859
160338	538	1998-06-11	PRIJEM	PREVOD Z UCTU	4039	20663	DUCHOD	GH	30588859
160339	538	1998-07-11	PRIJEM	PREVOD Z UCTU	4039	22078	DUCHOD	GH	30588859
160340	538	1998-08-11	PRIJEM	PREVOD Z UCTU	4039	20779	DUCHOD	GH	30588859
160341	538	1998-09-11	PRIJEM	PREVOD Z UCTU	4039	22198	DUCHOD	GH	30588859
160342	538	1998-10-11	PRIJEM	PREVOD Z UCTU	4039	23620	DUCHOD	GH	30588859
160343	538	1998-11-11	PRIJEM	PREVOD Z UCTU	4039	23368	DUCHOD	GH	30588859
160344	538	1998-12-11	PRIJEM	PREVOD Z UCTU	4039	24794	DUCHOD	GH	30588859
160355	538	1994-11-05	VYDAJ	PREVOD NA UCET	2692	18085	SIPO	OP	5225766
160356	538	1994-12-05	VYDAJ	PREVOD NA UCET	2692	19205	SIPO	OP	5225766
160357	538	1995-01-05	VYDAJ	PREVOD NA UCET	2692	19131	SIPO	OP	5225766
160358	538	1995-02-05	VYDAJ	PREVOD NA UCET	2692	10706	SIPO	OP	5225766
160359	538	1995-03-05	VYDAJ	PREVOD NA UCET	2692	12098	SIPO	OP	5225766
160360	538	1995-04-05	VYDAJ	PREVOD NA UCET	2692	13496	SIPO	OP	5225766
160361	538	1995-05-05	VYDAJ	PREVOD NA UCET	2692	14899	SIPO	OP	5225766
160362	538	1995-06-05	VYDAJ	PREVOD NA UCET	2692	13102	SIPO	OP	5225766
160363	538	1995-07-05	VYDAJ	PREVOD NA UCET	2692	14504	SIPO	OP	5225766
160364	538	1995-08-05	VYDAJ	PREVOD NA UCET	2692	12230	SIPO	OP	5225766
160365	538	1995-09-05	VYDAJ	PREVOD NA UCET	2692	13628	SIPO	OP	5225766
160366	538	1995-10-05	VYDAJ	PREVOD NA UCET	2692	11591	SIPO	OP	5225766
160367	538	1995-11-05	VYDAJ	PREVOD NA UCET	2692	12987	SIPO	OP	5225766
160368	538	1995-12-05	VYDAJ	PREVOD NA UCET	2692	14388	SIPO	OP	5225766
160369	538	1996-01-05	VYDAJ	PREVOD NA UCET	2692	11092	SIPO	OP	5225766
160370	538	1996-02-05	VYDAJ	PREVOD NA UCET	2692	10402	SIPO	OP	5225766
160371	538	1996-03-05	VYDAJ	PREVOD NA UCET	2692	10091	SIPO	OP	5225766
160372	538	1996-04-05	VYDAJ	PREVOD NA UCET	2692	11481	SIPO	OP	5225766
160373	538	1996-05-05	VYDAJ	PREVOD NA UCET	2692	11433	SIPO	OP	5225766
160374	538	1996-06-05	VYDAJ	PREVOD NA UCET	2692	8825	SIPO	OP	5225766
160375	538	1996-07-05	VYDAJ	PREVOD NA UCET	2692	9208	SIPO	OP	5225766
160376	538	1996-08-05	VYDAJ	PREVOD NA UCET	2692	10594	SIPO	OP	5225766
160377	538	1996-09-05	VYDAJ	PREVOD NA UCET	2692	11985	SIPO	OP	5225766
160378	538	1996-10-05	VYDAJ	PREVOD NA UCET	2692	13382	SIPO	OP	5225766
160379	538	1996-11-05	VYDAJ	PREVOD NA UCET	2692	9479	SIPO	OP	5225766
160380	538	1996-12-05	VYDAJ	PREVOD NA UCET	2692	10866	SIPO	OP	5225766
160381	538	1997-01-05	VYDAJ	PREVOD NA UCET	2692	11056	SIPO	OP	5225766
160382	538	1997-02-05	VYDAJ	PREVOD NA UCET	2692	11169	SIPO	OP	5225766
160383	538	1997-03-05	VYDAJ	PREVOD NA UCET	2692	12563	SIPO	OP	5225766
160384	538	1997-04-05	VYDAJ	PREVOD NA UCET	2692	13962	SIPO	OP	5225766
160385	538	1997-05-05	VYDAJ	PREVOD NA UCET	2692	14085	SIPO	OP	5225766
160386	538	1997-06-05	VYDAJ	PREVOD NA UCET	2692	15490	SIPO	OP	5225766
160387	538	1997-07-05	VYDAJ	PREVOD NA UCET	2692	16902	SIPO	OP	5225766
160388	538	1997-08-05	VYDAJ	PREVOD NA UCET	2692	17839	SIPO	OP	5225766
160389	538	1997-09-05	VYDAJ	PREVOD NA UCET	2692	19258	SIPO	OP	5225766
160390	538	1997-10-05	VYDAJ	PREVOD NA UCET	2692	20685	SIPO	OP	5225766
160391	538	1997-11-05	VYDAJ	PREVOD NA UCET	2692	22118	SIPO	OP	5225766
160392	538	1997-12-05	VYDAJ	PREVOD NA UCET	2692	20594	SIPO	OP	5225766
160393	538	1998-01-05	VYDAJ	PREVOD NA UCET	2692	21676	SIPO	OP	5225766
160394	538	1998-02-05	VYDAJ	PREVOD NA UCET	2692	12128	SIPO	OP	5225766
160395	538	1998-03-05	VYDAJ	PREVOD NA UCET	2692	13525	SIPO	OP	5225766
160396	538	1998-04-05	VYDAJ	PREVOD NA UCET	2692	14927	SIPO	OP	5225766
160397	538	1998-05-05	VYDAJ	PREVOD NA UCET	2692	15214	SIPO	OP	5225766
160398	538	1998-06-05	VYDAJ	PREVOD NA UCET	2692	16624	SIPO	OP	5225766
160399	538	1998-07-05	VYDAJ	PREVOD NA UCET	2692	18039	SIPO	OP	5225766
160400	538	1998-08-05	VYDAJ	PREVOD NA UCET	2692	19460	SIPO	OP	5225766
160401	538	1998-09-05	VYDAJ	PREVOD NA UCET	2692	18159	SIPO	OP	5225766
160402	538	1998-10-05	VYDAJ	PREVOD NA UCET	2692	19581	SIPO	OP	5225766
160403	538	1998-11-05	VYDAJ	PREVOD NA UCET	2692	19329	SIPO	OP	5225766
160404	538	1998-12-05	VYDAJ	PREVOD NA UCET	2692	20755	SIPO	OP	5225766
160415	538	1994-12-01	VYDAJ	VYBER	300	21897	\N	\N	\N
160416	538	1995-12-27	VYDAJ	VYBER	1100	15087	\N	\N	\N
160417	538	1996-12-23	VYDAJ	VYBER	1200	13705	\N	\N	\N
160418	538	1997-12-30	VYDAJ	VYBER	350	24283	\N	\N	\N
160419	538	1998-12-23	VYDAJ	VYBER	850	23944	\N	\N	\N
160426	538	1995-01-27	VYDAJ	VYBER	1360	13330	\N	\N	\N
160427	538	1995-01-20	VYDAJ	VYBER	1840	21330	\N	\N	\N
160428	538	1995-01-25	VYDAJ	VYBER	1040	16770	\N	\N	\N
160429	538	1995-01-26	VYDAJ	VYBER	2080	14690	\N	\N	\N
160430	538	1995-01-02	VYDAJ	VYBER	400	22923	\N	\N	\N
160431	538	1995-01-24	VYDAJ	VYBER	1440	19890	\N	\N	\N
160432	538	1996-01-02	VYDAJ	VYBER	1360	13784	\N	\N	\N
160434	538	1996-01-25	VYDAJ	VYBER	2080	13051	\N	\N	\N
160438	538	1997-01-11	VYDAJ	VYBER	1280	13815	\N	\N	\N
160444	538	1998-01-14	VYDAJ	VYBER	1520	17475	\N	\N	\N
160445	538	1998-01-13	VYDAJ	VYBER	2320	18995	\N	\N	\N
160446	538	1998-01-12	VYDAJ	VYBER	1600	24115	\N	\N	\N
160447	538	1998-01-21	VYDAJ	VYBER	880	14755	\N	\N	\N
160448	538	1998-01-21	VYDAJ	VYBER	480	15635	\N	\N	\N
160449	538	1998-01-18	VYDAJ	VYBER	1360	16115	\N	\N	\N
160452	538	1995-05-16	VYDAJ	VYBER	3200	15738	\N	\N	\N
160453	538	1995-07-28	VYDAJ	VYBER	3680	14863	\N	\N	\N
160454	538	1995-01-25	VYDAJ	VYBER	2080	17810	\N	\N	\N
160455	538	1995-09-29	VYDAJ	VYBER	3440	14227	\N	\N	\N
160456	538	1995-12-22	VYDAJ	VYBER	2240	16187	\N	\N	\N
160458	538	1996-04-16	VYDAJ	VYBER	1440	14080	\N	\N	\N
160464	538	1997-08-02	VYDAJ	VYBER	480	20531	\N	\N	\N
160465	538	1997-04-19	VYDAJ	VYBER	1280	16721	\N	\N	\N
160466	538	1997-11-25	VYDAJ	VYBER	2960	23197	\N	\N	\N
160467	538	1998-01-13	VYDAJ	VYBER	2800	21315	\N	\N	\N
160469	538	1998-04-17	VYDAJ	VYBER	1120	17846	\N	\N	\N
160470	538	1998-10-31	VYDAJ	VYBER	1680	22021	\N	\N	\N
160471	538	1998-08-10	VYDAJ	VYBER	2720	16740	\N	\N	\N
160482	538	1994-10-31	VYDAJ	VYBER	15	21077	SLUZBY	\N	\N
160483	538	1994-11-30	VYDAJ	VYBER	15	22197	SLUZBY	\N	\N
160484	538	1994-12-31	VYDAJ	VYBER	15	23323	SLUZBY	\N	\N
160485	538	1995-01-31	VYDAJ	VYBER	15	13398	SLUZBY	\N	\N
160486	538	1995-02-28	VYDAJ	VYBER	15	14790	SLUZBY	\N	\N
160487	538	1995-03-31	VYDAJ	VYBER	15	16188	SLUZBY	\N	\N
160488	538	1995-04-30	VYDAJ	VYBER	15	17591	SLUZBY	\N	\N
160489	538	1995-05-31	VYDAJ	VYBER	15	15794	SLUZBY	\N	\N
160490	538	1995-06-30	VYDAJ	VYBER	15	17196	SLUZBY	\N	\N
160491	538	1995-07-31	VYDAJ	VYBER	15	14922	SLUZBY	\N	\N
160492	538	1995-08-31	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
160493	538	1995-09-30	VYDAJ	VYBER	15	14283	SLUZBY	\N	\N
160494	538	1995-10-31	VYDAJ	VYBER	15	15679	SLUZBY	\N	\N
160495	538	1995-11-30	VYDAJ	VYBER	15	17080	SLUZBY	\N	\N
160496	538	1995-12-31	VYDAJ	VYBER	15	15144	SLUZBY	\N	\N
160497	538	1996-01-31	VYDAJ	VYBER	15	13094	SLUZBY	\N	\N
160498	538	1996-02-29	VYDAJ	VYBER	15	12783	SLUZBY	\N	\N
160499	538	1996-03-31	VYDAJ	VYBER	15	14173	SLUZBY	\N	\N
160500	538	1996-04-30	VYDAJ	VYBER	15	14125	SLUZBY	\N	\N
160501	538	1996-05-31	VYDAJ	VYBER	15	11517	SLUZBY	\N	\N
160502	538	1996-06-30	VYDAJ	VYBER	15	11900	SLUZBY	\N	\N
160503	538	1996-07-31	VYDAJ	VYBER	15	13286	SLUZBY	\N	\N
160504	538	1996-08-31	VYDAJ	VYBER	15	14677	SLUZBY	\N	\N
160505	538	1996-09-30	VYDAJ	VYBER	15	16074	SLUZBY	\N	\N
160506	538	1996-10-31	VYDAJ	VYBER	15	12171	SLUZBY	\N	\N
160507	538	1996-11-30	VYDAJ	VYBER	15	13558	SLUZBY	\N	\N
160508	538	1996-12-31	VYDAJ	VYBER	15	13748	SLUZBY	\N	\N
160509	538	1997-01-31	VYDAJ	VYBER	15	13861	SLUZBY	\N	\N
160510	538	1997-02-28	VYDAJ	VYBER	15	15255	SLUZBY	\N	\N
160511	538	1997-03-31	VYDAJ	VYBER	15	16654	SLUZBY	\N	\N
160512	538	1997-04-30	VYDAJ	VYBER	15	16777	SLUZBY	\N	\N
160513	538	1997-05-31	VYDAJ	VYBER	15	18182	SLUZBY	\N	\N
160514	538	1997-06-30	VYDAJ	VYBER	15	19594	SLUZBY	\N	\N
160515	538	1997-07-31	VYDAJ	VYBER	15	21011	SLUZBY	\N	\N
160516	538	1997-08-31	VYDAJ	VYBER	15	21950	SLUZBY	\N	\N
160517	538	1997-09-30	VYDAJ	VYBER	15	23377	SLUZBY	\N	\N
160518	538	1997-10-31	VYDAJ	VYBER	15	24810	SLUZBY	\N	\N
160519	538	1997-11-30	VYDAJ	VYBER	15	23286	SLUZBY	\N	\N
160520	538	1997-12-31	VYDAJ	VYBER	15	24368	SLUZBY	\N	\N
160521	538	1998-01-31	VYDAJ	VYBER	15	14820	SLUZBY	\N	\N
160522	538	1998-02-28	VYDAJ	VYBER	15	16217	SLUZBY	\N	\N
160523	538	1998-03-31	VYDAJ	VYBER	15	17619	SLUZBY	\N	\N
160524	538	1998-04-30	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
160525	538	1998-05-31	VYDAJ	VYBER	15	19316	SLUZBY	\N	\N
160526	538	1998-06-30	VYDAJ	VYBER	15	20731	SLUZBY	\N	\N
160527	538	1998-07-31	VYDAJ	VYBER	15	22152	SLUZBY	\N	\N
160528	538	1998-08-31	VYDAJ	VYBER	15	20851	SLUZBY	\N	\N
160529	538	1998-09-30	VYDAJ	VYBER	15	22273	SLUZBY	\N	\N
160530	538	1998-10-31	VYDAJ	VYBER	15	23701	SLUZBY	\N	\N
160531	538	1998-11-30	VYDAJ	VYBER	15	23447	SLUZBY	\N	\N
160532	538	1994-11-04	VYDAJ	VYBER	300	20777	\N	\N	\N
160533	538	1995-01-03	VYDAJ	VYBER	1100	21823	\N	\N	\N
160534	538	1996-02-27	VYDAJ	VYBER	1700	12741	\N	\N	\N
160535	538	1996-05-27	VYDAJ	VYBER	4000	11472	\N	\N	\N
160536	538	1996-06-26	VYDAJ	VYBER	1000	11864	\N	\N	\N
160537	538	1996-10-24	VYDAJ	VYBER	5300	12121	\N	\N	\N
160593	539	1993-02-16	PRIJEM	VKLAD	700	700	\N	\N	\N
160594	539	1994-11-01	PRIJEM	VKLAD	14161	67707	\N	\N	\N
160595	539	1994-09-03	PRIJEM	VKLAD	26019	61201	\N	\N	\N
160596	539	1994-12-06	PRIJEM	VKLAD	35895	109114	\N	\N	\N
160597	539	1994-02-08	PRIJEM	VKLAD	40675	129003	\N	\N	\N
160598	539	1994-11-11	PRIJEM	VKLAD	24298	70705	\N	\N	\N
160599	539	1994-02-03	PRIJEM	VKLAD	39773	124028	\N	\N	\N
160600	539	1994-02-27	PRIJEM	VKLAD	47401	117204	\N	\N	\N
160601	539	1994-07-03	PRIJEM	VKLAD	33708	79120	\N	\N	\N
160602	539	1994-10-06	PRIJEM	VKLAD	46891	81943	\N	\N	\N
160603	539	1994-01-07	PRIJEM	VKLAD	20791	46891	\N	\N	\N
160604	539	1994-11-19	PRIJEM	VKLAD	35691	106396	\N	\N	\N
160605	539	1994-07-26	PRIJEM	VKLAD	10452	49869	\N	\N	\N
160606	539	1994-01-18	PRIJEM	VKLAD	36787	84067	\N	\N	\N
160607	539	1994-01-17	PRIJEM	VKLAD	12689	47280	\N	\N	\N
160608	539	1994-06-11	PRIJEM	VKLAD	33306	64443	\N	\N	\N
160609	539	1994-04-08	PRIJEM	VKLAD	38779	61412	\N	\N	\N
160610	539	1995-05-28	PRIJEM	VKLAD	27072	58877	\N	\N	\N
160611	539	1995-05-02	PRIJEM	VKLAD	12223	40905	\N	\N	\N
160612	539	1995-06-27	PRIJEM	VKLAD	35515	81438	\N	\N	\N
160613	539	1995-06-15	PRIJEM	VKLAD	15101	54923	\N	\N	\N
160614	539	1995-12-05	PRIJEM	VKLAD	33491	63505	\N	\N	\N
160615	539	1995-09-04	PRIJEM	VKLAD	15546	48774	\N	\N	\N
160616	539	1995-04-01	PRIJEM	VKLAD	25389	44978	\N	\N	\N
160617	539	1995-04-24	PRIJEM	VKLAD	13659	28692	\N	\N	\N
160618	539	1995-10-26	PRIJEM	VKLAD	17746	30595	\N	\N	\N
160619	539	1996-02-22	PRIJEM	VKLAD	21503	26170	\N	\N	\N
160620	539	1996-07-26	PRIJEM	VKLAD	22863	52033	\N	\N	\N
160621	539	1996-01-05	PRIJEM	VKLAD	14366	52588	\N	\N	\N
160622	539	1996-03-16	PRIJEM	VKLAD	43817	83290	\N	\N	\N
160623	539	1996-02-23	PRIJEM	VKLAD	24648	50818	\N	\N	\N
160624	539	1996-11-21	PRIJEM	VKLAD	16575	52119	\N	\N	\N
160625	539	1996-08-29	PRIJEM	VKLAD	6515	37977	\N	\N	\N
160626	539	1996-10-21	PRIJEM	VKLAD	6773	36207	\N	\N	\N
160627	539	1996-05-14	PRIJEM	VKLAD	38809	109257	\N	\N	\N
160628	539	1996-05-02	PRIJEM	VKLAD	32099	70448	\N	\N	\N
160629	539	1996-10-31	PRIJEM	VKLAD	38871	74578	\N	\N	\N
160630	539	1996-10-06	PRIJEM	VKLAD	6755	42334	\N	\N	\N
160631	539	1996-09-23	PRIJEM	VKLAD	27623	41438	\N	\N	\N
160632	539	1996-03-23	PRIJEM	VKLAD	12152	95442	\N	\N	\N
160633	539	1996-05-25	PRIJEM	VKLAD	45891	153648	\N	\N	\N
160634	539	1997-09-16	PRIJEM	VKLAD	45938	131198	\N	\N	\N
160635	539	1997-02-09	PRIJEM	VKLAD	35463	58117	\N	\N	\N
160636	539	1997-02-14	PRIJEM	VKLAD	28257	86374	\N	\N	\N
160637	539	1997-10-09	PRIJEM	VKLAD	49504	165299	\N	\N	\N
160638	539	1997-09-21	PRIJEM	VKLAD	48122	160844	\N	\N	\N
160639	539	1997-07-31	PRIJEM	VKLAD	34778	84721	\N	\N	\N
160640	539	1997-08-05	PRIJEM	VKLAD	18975	103891	\N	\N	\N
160641	539	1997-11-25	PRIJEM	VKLAD	27885	84467	\N	\N	\N
160642	539	1997-09-19	PRIJEM	VKLAD	5824	112722	\N	\N	\N
160643	539	1997-03-02	PRIJEM	VKLAD	34528	92618	\N	\N	\N
160644	539	1997-08-09	PRIJEM	VKLAD	20636	124527	\N	\N	\N
160645	539	1997-08-20	PRIJEM	VKLAD	33035	97762	\N	\N	\N
160646	539	1997-03-14	PRIJEM	VKLAD	8977	101595	\N	\N	\N
160647	539	1997-05-27	PRIJEM	VKLAD	34120	74043	\N	\N	\N
160648	539	1997-01-03	PRIJEM	VKLAD	27901	56607	\N	\N	\N
160649	539	1997-09-04	PRIJEM	VKLAD	16900	85260	\N	\N	\N
160650	539	1997-06-30	PRIJEM	VKLAD	30093	71043	\N	\N	\N
160651	539	1997-04-14	PRIJEM	VKLAD	11162	118443	\N	\N	\N
160652	539	1997-09-24	PRIJEM	VKLAD	19258	81578	\N	\N	\N
160653	539	1997-06-09	PRIJEM	VKLAD	10878	85026	\N	\N	\N
160654	539	1997-04-10	PRIJEM	VKLAD	36763	107281	\N	\N	\N
160655	539	1997-10-02	PRIJEM	VKLAD	33969	115795	\N	\N	\N
160656	539	1998-03-09	PRIJEM	VKLAD	18424	107031	\N	\N	\N
160657	539	1998-03-16	PRIJEM	VKLAD	28527	78990	\N	\N	\N
160658	539	1998-03-15	PRIJEM	VKLAD	5732	112763	\N	\N	\N
160659	539	1998-03-01	PRIJEM	VKLAD	14602	60996	\N	\N	\N
160660	539	1998-02-26	PRIJEM	VKLAD	18157	46392	\N	\N	\N
160661	539	1998-08-11	PRIJEM	VKLAD	16145	80568	\N	\N	\N
160662	539	1998-11-09	PRIJEM	VKLAD	29510	71598	\N	\N	\N
160663	539	1998-12-12	PRIJEM	VKLAD	5581	19372	\N	\N	\N
160664	539	1998-01-15	PRIJEM	VKLAD	44760	76057	\N	\N	\N
160665	539	1998-11-17	PRIJEM	VKLAD	10753	94672	\N	\N	\N
160666	539	1998-03-07	PRIJEM	VKLAD	27611	88607	\N	\N	\N
160667	539	1998-11-15	PRIJEM	VKLAD	48121	119719	\N	\N	\N
160668	539	1998-08-05	PRIJEM	VKLAD	19330	64423	\N	\N	\N
160681	539	1994-07-15	VYBER	VYBER	5703	39417	\N	\N	\N
160682	539	1995-04-11	VYBER	VYBER	20745	15033	\N	\N	\N
160683	539	1995-10-09	VYBER	VYBER	16580	12849	\N	\N	\N
160684	539	1996-08-26	VYBER	VYBER	7693	31462	\N	\N	\N
160685	539	1996-02-12	VYBER	VYBER	5850	4667	\N	\N	\N
160686	539	1996-09-06	VYBER	VYBER	18822	13815	\N	\N	\N
160687	539	1996-10-31	VYBER	VYBER	22155	52564	\N	\N	\N
160689	539	1996-11-17	VYBER	VYBER	16920	35544	\N	\N	\N
160690	539	1997-06-13	VYBER	VYBER	20227	54299	\N	\N	\N
160692	539	1997-09-22	VYBER	VYBER	23624	97520	\N	\N	\N
160693	539	1997-04-22	VYBER	VYBER	6196	66447	\N	\N	\N
160694	539	1998-11-21	VYBER	VYBER	23233	43139	\N	\N	\N
160696	539	1998-12-27	VYBER	VYBER	7653	7820	\N	\N	\N
160697	539	1998-12-14	VYBER	VYBER	8799	10573	\N	\N	\N
160698	539	1998-02-01	VYBER	VYBER	17629	30835	\N	\N	\N
160699	539	1998-10-04	VYBER	VYBER	3311	44107	\N	\N	\N
160700	539	1998-08-28	VYBER	VYBER	7824	55744	\N	\N	\N
160701	539	1998-12-07	VYBER	VYBER	18352	13791	\N	\N	\N
160702	539	1998-07-02	VYBER	VYBER	14772	39488	\N	\N	\N
160706	539	1996-06-01	VYDAJ	VYBER	30600	34965	\N	\N	\N
160711	539	1995-01-07	VYDAJ	VYBER	15900	24460	\N	\N	\N
160712	539	1996-01-22	VYDAJ	VYBER	24000	18688	\N	\N	\N
160713	539	1997-01-17	VYDAJ	VYBER	12900	26307	\N	\N	\N
160714	539	1998-01-04	VYDAJ	VYBER	5100	42097	\N	\N	\N
160716	539	1994-12-03	VYDAJ	VYBER	2400	73219	\N	\N	\N
160717	539	1995-12-19	VYDAJ	VYBER	7800	55705	\N	\N	\N
160718	539	1996-12-26	VYDAJ	VYBER KARTOU	1500	36030	\N	\N	0
160719	539	1997-12-25	VYDAJ	VYBER	5100	55377	\N	\N	\N
160720	539	1998-12-24	VYDAJ	VYBER KARTOU	1800	15473	\N	\N	0
160733	539	1995-01-04	VYDAJ	VYBER	1500	44360	\N	\N	\N
160734	539	1995-01-05	VYDAJ	VYBER	4800	39560	\N	\N	\N
160735	539	1995-01-12	VYDAJ	VYBER	4500	19960	\N	\N	\N
160736	539	1995-01-19	VYDAJ	VYBER	3600	16360	\N	\N	\N
160737	539	1995-01-25	VYDAJ	VYBER	3000	13360	\N	\N	\N
160738	539	1995-01-26	VYDAJ	VYBER	1500	11860	\N	\N	\N
160739	539	1996-01-07	VYDAJ	VYBER	7800	44788	\N	\N	\N
160740	539	1996-01-27	VYDAJ	VYBER	2400	1588	\N	\N	\N
160741	539	1996-01-22	VYDAJ	VYBER	6900	11788	\N	\N	\N
160742	539	1996-01-29	VYDAJ	VYBER	3000	-1412	\N	\N	\N
160743	539	1996-01-24	VYDAJ	VYBER	7800	3988	\N	\N	\N
160744	539	1996-01-12	VYDAJ	VYBER	2100	42688	\N	\N	\N
160745	539	1997-01-06	VYDAJ	VYBER	6600	50007	\N	\N	\N
160746	539	1997-01-29	VYDAJ	VYBER	4500	22607	\N	\N	\N
160747	539	1997-01-16	VYDAJ	VYBER	5100	39207	\N	\N	\N
160748	539	1997-01-11	VYDAJ	VYBER	5700	44307	\N	\N	\N
160749	539	1997-01-22	VYDAJ	VYBER	6600	19707	\N	\N	\N
160750	539	1997-01-01	VYDAJ	VYBER	6900	28706	\N	\N	\N
160751	539	1998-01-02	VYDAJ	VYBER	6600	48997	\N	\N	\N
160752	539	1998-01-03	VYDAJ	VYBER KARTOU	1800	47197	\N	\N	0
160753	539	1998-01-09	VYDAJ	VYBER	6000	31297	\N	\N	\N
160754	539	1998-01-18	VYDAJ	VYBER	5100	70957	\N	\N	\N
160755	539	1998-01-29	VYDAJ	VYBER	7200	48357	\N	\N	\N
160756	539	1998-01-06	VYDAJ	VYBER	4800	37297	\N	\N	\N
160762	539	1994-07-04	VYDAJ	VYBER	8700	70420	\N	\N	\N
160763	539	1994-03-15	VYDAJ	VYBER	9300	36938	\N	\N	\N
160764	539	1994-03-24	VYDAJ	VYBER	14400	22538	\N	\N	\N
160765	539	1994-12-30	VYDAJ	VYBER	6300	45714	\N	\N	\N
160767	539	1994-09-13	VYDAJ	VYBER	8100	35001	\N	\N	\N
160768	539	1995-06-17	VYDAJ	VYBER	9000	45923	\N	\N	\N
160769	539	1995-09-03	VYDAJ	VYBER	8400	33228	\N	\N	\N
160770	539	1995-12-20	VYDAJ	VYBER	9600	46105	\N	\N	\N
160771	539	1996-04-17	VYDAJ	VYBER	9000	52037	\N	\N	\N
160772	539	1996-05-18	VYDAJ	VYBER	1500	107757	\N	\N	\N
160773	539	1996-10-11	VYDAJ	VYBER	12900	29434	\N	\N	\N
160774	539	1996-12-04	VYDAJ	VYBER	6900	37530	\N	\N	\N
160775	539	1997-06-21	VYDAJ	VYBER	4800	49499	\N	\N	\N
160776	539	1997-04-29	VYDAJ	VYBER KARTOU	3600	45247	\N	\N	0
160777	539	1997-06-25	VYDAJ	VYBER KARTOU	2100	47399	\N	\N	0
160778	539	1997-06-11	VYDAJ	VYBER	10500	74526	\N	\N	\N
160779	539	1997-02-24	VYDAJ	VYBER	7500	78874	\N	\N	\N
160780	539	1998-05-10	VYDAJ	VYBER	4800	49132	\N	\N	\N
160781	539	1998-11-21	VYDAJ	VYBER	11100	32039	\N	\N	\N
160782	539	1998-02-04	VYDAJ	VYBER	14100	16735	\N	\N	\N
160783	539	1998-12-19	VYDAJ	VYBER KARTOU	2100	17273	\N	\N	0
160798	539	1994-02-28	VYDAJ	VYBER	100	67038	SLUZBY	\N	\N
160799	539	1994-03-31	VYDAJ	VYBER	100	22633	SLUZBY	\N	\N
160800	539	1994-04-30	VYDAJ	VYBER	100	42860	SLUZBY	\N	\N
160801	539	1994-05-31	VYDAJ	VYBER	100	31137	SLUZBY	\N	\N
160802	539	1994-06-30	VYDAJ	VYBER	100	45412	SLUZBY	\N	\N
160803	539	1994-07-31	VYDAJ	VYBER	100	49976	SLUZBY	\N	\N
160804	539	1994-08-31	VYDAJ	VYBER	100	35182	SLUZBY	\N	\N
160805	539	1994-09-30	VYDAJ	VYBER	100	35052	SLUZBY	\N	\N
160806	539	1994-10-31	VYDAJ	VYBER	100	53546	SLUZBY	\N	\N
160807	539	1994-11-30	VYDAJ	VYBER	100	75619	SLUZBY	\N	\N
160808	539	1994-12-31	VYDAJ	VYBER	100	45860	SLUZBY	\N	\N
160809	539	1995-01-31	VYDAJ	VYBER	100	11865	SLUZBY	\N	\N
160810	539	1995-02-28	VYDAJ	VYBER	100	17715	SLUZBY	\N	\N
160811	539	1995-03-31	VYDAJ	VYBER	100	19589	SLUZBY	\N	\N
160812	539	1995-04-30	VYDAJ	VYBER	100	28682	SLUZBY	\N	\N
160813	539	1995-05-31	VYDAJ	VYBER	100	58922	SLUZBY	\N	\N
160814	539	1995-06-30	VYDAJ	VYBER	100	81576	SLUZBY	\N	\N
160815	539	1995-07-31	VYDAJ	VYBER	100	52411	SLUZBY	\N	\N
160816	539	1995-08-31	VYDAJ	VYBER	100	41628	SLUZBY	\N	\N
160817	539	1995-09-30	VYDAJ	VYBER	100	37029	SLUZBY	\N	\N
160818	539	1995-10-31	VYDAJ	VYBER	100	30588	SLUZBY	\N	\N
160819	539	1995-11-30	VYDAJ	VYBER	100	29514	SLUZBY	\N	\N
160820	539	1995-12-31	VYDAJ	VYBER	100	46222	SLUZBY	\N	\N
160822	539	1996-02-29	VYDAJ	VYBER	100	50779	SLUZBY	\N	\N
160823	539	1996-03-31	VYDAJ	VYBER	100	95637	SLUZBY	\N	\N
160824	539	1996-04-30	VYDAJ	VYBER	100	52249	SLUZBY	\N	\N
160825	539	1996-05-31	VYDAJ	VYBER	100	99865	SLUZBY	\N	\N
160826	539	1996-06-30	VYDAJ	VYBER	100	35270	SLUZBY	\N	\N
160827	539	1996-07-31	VYDAJ	VYBER	100	39155	SLUZBY	\N	\N
160828	539	1996-08-31	VYDAJ	VYBER	100	32637	SLUZBY	\N	\N
160829	539	1996-09-30	VYDAJ	VYBER	100	35579	SLUZBY	\N	\N
160830	539	1996-10-31	VYDAJ	VYBER	100	52464	SLUZBY	\N	\N
160831	539	1996-11-30	VYDAJ	VYBER	100	44430	SLUZBY	\N	\N
160832	539	1996-12-31	VYDAJ	VYBER	100	35606	SLUZBY	\N	\N
160833	539	1997-01-31	VYDAJ	VYBER	100	22654	SLUZBY	\N	\N
160834	539	1997-02-28	VYDAJ	VYBER	100	58090	SLUZBY	\N	\N
160835	539	1997-03-31	VYDAJ	VYBER	100	70518	SLUZBY	\N	\N
160836	539	1997-04-30	VYDAJ	VYBER	100	45423	SLUZBY	\N	\N
160837	539	1997-05-31	VYDAJ	VYBER	100	74148	SLUZBY	\N	\N
160838	539	1997-06-30	VYDAJ	VYBER	100	70943	SLUZBY	\N	\N
160839	539	1997-07-31	VYDAJ	VYBER	100	84916	SLUZBY	\N	\N
160840	539	1997-08-31	VYDAJ	VYBER	100	68360	SLUZBY	\N	\N
160841	539	1997-09-30	VYDAJ	VYBER	100	81826	SLUZBY	\N	\N
160842	539	1997-10-31	VYDAJ	VYBER	100	72982	SLUZBY	\N	\N
160843	539	1997-11-30	VYDAJ	VYBER	100	84677	SLUZBY	\N	\N
160844	539	1997-12-31	VYDAJ	VYBER	100	55597	SLUZBY	\N	\N
160845	539	1998-01-31	VYDAJ	VYBER	100	48464	SLUZBY	\N	\N
160846	539	1998-02-28	VYDAJ	VYBER	100	46394	SLUZBY	\N	\N
160847	539	1998-03-31	VYDAJ	VYBER	100	59391	SLUZBY	\N	\N
160848	539	1998-04-30	VYDAJ	VYBER	100	53932	SLUZBY	\N	\N
160849	539	1998-05-31	VYDAJ	VYBER	100	52049	SLUZBY	\N	\N
160850	539	1998-06-30	VYDAJ	VYBER	100	54260	SLUZBY	\N	\N
160851	539	1998-07-31	VYDAJ	VYBER	100	45093	SLUZBY	\N	\N
160852	539	1998-08-31	VYDAJ	VYBER	100	55892	SLUZBY	\N	\N
160853	539	1998-09-30	VYDAJ	VYBER	100	47418	SLUZBY	\N	\N
160854	539	1998-10-31	VYDAJ	VYBER	100	42088	SLUZBY	\N	\N
160855	539	1998-11-30	VYDAJ	VYBER	100	32143	SLUZBY	\N	\N
160856	539	1993-03-18	PRIJEM	VKLAD	13500	14200	\N	\N	\N
160857	539	1993-04-17	PRIJEM	VKLAD	3100	17300	\N	\N	\N
160858	539	1993-05-17	PRIJEM	VKLAD	3600	20900	\N	\N	\N
160859	539	1993-06-16	PRIJEM	VKLAD	1500	22400	\N	\N	\N
160860	539	1993-07-16	PRIJEM	VKLAD	2000	24400	\N	\N	\N
160861	539	1993-08-15	PRIJEM	VKLAD	2600	27000	\N	\N	\N
160862	539	1993-09-14	PRIJEM	VKLAD	200	27200	\N	\N	\N
160863	539	1993-10-14	VYDAJ	VYBER	2500	24700	\N	\N	\N
160864	539	1993-11-13	PRIJEM	VKLAD	2000	26700	\N	\N	\N
160865	539	1993-12-13	VYDAJ	VYBER	600	26100	\N	\N	\N
160866	539	1994-01-12	VYDAJ	VYBER	12300	34591	\N	\N	\N
160867	539	1994-02-03	VYDAJ	VYBER	35700	88328	\N	\N	\N
160868	539	1994-02-08	VYDAJ	VYBER	16800	112203	\N	\N	\N
160869	539	1994-02-11	VYDAJ	VYBER	42400	69803	\N	\N	\N
160870	539	1994-02-27	VYDAJ	VYBER	50400	66804	\N	\N	\N
160871	539	1994-03-13	VYDAJ	VYBER	20800	46238	\N	\N	\N
160872	539	1994-04-12	VYDAJ	VYBER	18600	42812	\N	\N	\N
160873	539	1994-05-12	VYDAJ	VYBER	11800	31060	\N	\N	\N
160874	539	1994-06-11	VYDAJ	VYBER	19100	45343	\N	\N	\N
160875	539	1994-07-11	VYDAJ	VYBER	25300	45120	\N	\N	\N
160876	539	1994-08-10	VYDAJ	VYBER	14900	35076	\N	\N	\N
160877	539	1994-09-09	VYDAJ	VYBER	18100	43101	\N	\N	\N
160878	539	1994-10-09	VYDAJ	VYBER	28500	53443	\N	\N	\N
160879	539	1994-11-08	VYDAJ	VYBER	21300	46407	\N	\N	\N
160880	539	1994-11-19	VYDAJ	VYBER	31000	75396	\N	\N	\N
160881	539	1994-12-06	VYDAJ	VYBER	27600	81514	\N	\N	\N
160882	539	1994-12-08	VYDAJ	VYBER	29500	52014	\N	\N	\N
160883	539	1995-01-07	PRIJEM	VKLAD	800	40360	\N	\N	\N
160884	539	1995-02-06	PRIJEM	VKLAD	5900	17765	\N	\N	\N
160885	539	1995-03-08	PRIJEM	VKLAD	1900	19615	\N	\N	\N
160886	539	1995-04-07	VYDAJ	VYBER	9200	35778	\N	\N	\N
160887	539	1995-05-07	VYDAJ	VYBER	9100	31805	\N	\N	\N
160888	539	1995-06-06	VYDAJ	VYBER	19100	39822	\N	\N	\N
160889	539	1995-07-06	VYDAJ	VYBER	29400	52176	\N	\N	\N
160890	539	1995-08-05	VYDAJ	VYBER	10900	41511	\N	\N	\N
160891	539	1995-09-04	VYDAJ	VYBER	11800	36974	\N	\N	\N
160892	539	1995-10-04	VYDAJ	VYBER	7600	29429	\N	\N	\N
160893	539	1995-11-03	VYDAJ	VYBER	1100	29488	\N	\N	\N
160894	539	1995-12-03	PRIJEM	VKLAD	500	30014	\N	\N	\N
160895	539	1996-01-02	VYDAJ	VYBER	8000	38222	\N	\N	\N
160896	539	1996-02-01	PRIJEM	VKLAD	11800	10517	\N	\N	\N
160897	539	1996-03-02	VYDAJ	VYBER	11300	39473	\N	\N	\N
160898	539	1996-04-01	VYDAJ	VYBER	34600	61037	\N	\N	\N
160899	539	1996-05-01	VYDAJ	VYBER	13900	38349	\N	\N	\N
160900	539	1996-05-25	VYDAJ	VYBER	54100	99548	\N	\N	\N
160901	539	1996-05-31	VYDAJ	VYBER	34300	65565	\N	\N	\N
160902	539	1996-06-30	VYDAJ	VYBER	6100	29170	\N	\N	\N
160903	539	1996-07-30	VYDAJ	VYBER	12900	39133	\N	\N	\N
160904	539	1996-08-29	VYDAJ	VYBER	5400	32577	\N	\N	\N
160905	539	1996-09-28	VYDAJ	VYBER	5900	35538	\N	\N	\N
160906	539	1996-10-28	VYDAJ	VYBER	500	35707	\N	\N	\N
160907	539	1996-11-27	VYDAJ	VYBER	7800	44319	\N	\N	\N
160908	539	1996-12-27	VYDAJ	VYBER KARTOU	500	35530	\N	\N	0
160909	539	1997-01-26	PRIJEM	VKLAD	7400	27107	\N	\N	\N
160910	539	1997-02-25	VYDAJ	VYBER	20900	57974	\N	\N	\N
160911	539	1997-03-27	VYDAJ	VYBER	31300	70295	\N	\N	\N
160912	539	1997-04-14	VYDAJ	VYBER	45800	72643	\N	\N	\N
160913	539	1997-04-26	VYDAJ	VYBER	17600	48847	\N	\N	\N
160914	539	1997-05-26	VYDAJ	VYBER	5500	39923	\N	\N	\N
160915	539	1997-06-25	VYDAJ	VYBER	6700	40699	\N	\N	\N
160916	539	1997-07-25	VYDAJ	VYBER	21000	49943	\N	\N	\N
160917	539	1997-08-09	VYDAJ	VYBER	59800	64727	\N	\N	\N
160918	539	1997-08-24	VYDAJ	VYBER	29700	68062	\N	\N	\N
160919	539	1997-09-16	VYDAJ	VYBER	24300	106898	\N	\N	\N
160920	539	1997-09-21	VYDAJ	VYBER	39700	121144	\N	\N	\N
160921	539	1997-09-23	VYDAJ	VYBER	35200	62320	\N	\N	\N
160922	539	1997-10-09	VYDAJ	VYBER	54100	111199	\N	\N	\N
160923	539	1997-10-23	VYDAJ	VYBER	38600	72599	\N	\N	\N
160924	539	1997-11-22	VYDAJ	VYBER	16400	56582	\N	\N	\N
160925	539	1997-12-22	VYDAJ	VYBER	24200	60477	\N	\N	\N
160926	539	1998-01-21	VYDAJ	VYBER	15400	55557	\N	\N	\N
160927	539	1998-02-20	PRIJEM	VKLAD	11500	28235	\N	\N	\N
160928	539	1998-03-15	VYDAJ	VYBER	62300	50463	\N	\N	\N
160929	539	1998-03-22	VYDAJ	VYBER	19800	59190	\N	\N	\N
160930	539	1998-04-21	VYDAJ	VYBER	5600	53791	\N	\N	\N
160931	539	1998-05-21	PRIJEM	VKLAD	2800	51932	\N	\N	\N
160932	539	1998-06-20	PRIJEM	VKLAD	2100	54149	\N	\N	\N
160933	539	1998-07-20	PRIJEM	VKLAD	5500	44988	\N	\N	\N
160934	539	1998-08-19	VYDAJ	VYBER	17000	63568	\N	\N	\N
160935	539	1998-09-18	VYDAJ	VYBER	8600	47292	\N	\N	\N
160936	539	1998-10-18	VYDAJ	VYBER KARTOU	2100	42007	\N	\N	0
160937	539	1998-11-15	VYDAJ	VYBER	35800	83919	\N	\N	\N
160938	539	1998-11-17	VYDAJ	VYBER	28300	66372	\N	\N	\N
160939	539	1998-12-17	PRIJEM	VKLAD	8800	19373	\N	\N	\N
161003	540	1993-10-16	PRIJEM	VKLAD	300	300	\N	\N	\N
161005	540	1993-12-16	PRIJEM	VKLAD	38461	60198	\N	\N	\N
161006	540	1994-09-29	PRIJEM	VKLAD	41178	70712	\N	\N	\N
161007	540	1994-12-14	PRIJEM	VKLAD	10745	45942	\N	\N	\N
161008	540	1995-07-05	PRIJEM	VKLAD	34940	62187	\N	\N	\N
161009	540	1995-02-13	PRIJEM	VKLAD	31503	56449	\N	\N	\N
161010	540	1996-09-06	PRIJEM	VKLAD	49850	67946	\N	\N	\N
161011	540	1996-12-07	PRIJEM	VKLAD	10470	32000	\N	\N	\N
161012	540	1997-03-23	PRIJEM	VKLAD	47509	75749	\N	\N	\N
161013	540	1997-08-12	PRIJEM	VKLAD	40050	62000	\N	\N	\N
161014	540	1998-08-31	PRIJEM	VKLAD	49565	83305	\N	\N	\N
161015	540	1998-08-12	PRIJEM	VKLAD	33070	63740	\N	\N	\N
161026	540	1993-11-13	PRIJEM	VKLAD	1500	3003	\N	\N	\N
161027	540	1993-12-15	PRIJEM	VKLAD	1500	15637	\N	\N	\N
161028	540	1994-01-16	PRIJEM	VKLAD	1500	41040	\N	\N	\N
161029	540	1994-02-15	PRIJEM	VKLAD	1500	27960	\N	\N	\N
161030	540	1994-03-15	PRIJEM	VKLAD	1500	29809	\N	\N	\N
161031	540	1994-04-14	PRIJEM	VKLAD	1500	31516	\N	\N	\N
161032	540	1994-05-14	PRIJEM	VKLAD	1500	29421	\N	\N	\N
161033	540	1994-06-16	PRIJEM	VKLAD	1500	28028	\N	\N	\N
161034	540	1994-07-14	PRIJEM	VKLAD	1500	27231	\N	\N	\N
161035	540	1994-08-14	PRIJEM	VKLAD	1500	30423	\N	\N	\N
161036	540	1994-09-16	PRIJEM	VKLAD	1500	28334	\N	\N	\N
161037	540	1994-10-14	PRIJEM	VKLAD	1500	49837	\N	\N	\N
161038	540	1994-11-16	PRIJEM	VKLAD	1500	41068	\N	\N	\N
161039	540	1994-12-17	PRIJEM	VKLAD	1500	47442	\N	\N	\N
161040	540	1995-01-17	PRIJEM	VKLAD	1500	35566	\N	\N	\N
161041	540	1995-02-16	PRIJEM	VKLAD	1500	57949	\N	\N	\N
161042	540	1995-03-15	PRIJEM	VKLAD	1500	43413	\N	\N	\N
161043	540	1995-04-13	PRIJEM	VKLAD	1500	36310	\N	\N	\N
161044	540	1995-05-15	PRIJEM	VKLAD	1500	32511	\N	\N	\N
161045	540	1995-06-16	PRIJEM	VKLAD	1500	25939	\N	\N	\N
161046	540	1995-07-15	PRIJEM	VKLAD	1500	41887	\N	\N	\N
161047	540	1995-08-17	PRIJEM	VKLAD	1500	30434	\N	\N	\N
161048	540	1995-09-14	PRIJEM	VKLAD	1500	23975	\N	\N	\N
161049	540	1995-10-14	PRIJEM	VKLAD	1500	23676	\N	\N	\N
161050	540	1995-11-15	PRIJEM	VKLAD	1500	22411	\N	\N	\N
161051	540	1995-12-17	PRIJEM	VKLAD	1500	19741	\N	\N	\N
161052	540	1996-01-16	PRIJEM	VKLAD	1500	17414	\N	\N	\N
161053	540	1996-02-14	PRIJEM	VKLAD	1500	17218	\N	\N	\N
161054	540	1996-03-16	PRIJEM	VKLAD	1500	19671	\N	\N	\N
161055	540	1996-04-15	PRIJEM	VKLAD	1500	17236	\N	\N	\N
161056	540	1996-05-15	PRIJEM	VKLAD	1500	16602	\N	\N	\N
161057	540	1996-06-17	PRIJEM	VKLAD	1500	19360	\N	\N	\N
161058	540	1996-07-17	PRIJEM	VKLAD	1500	16324	\N	\N	\N
161059	540	1996-08-17	PRIJEM	VKLAD	1500	16838	\N	\N	\N
161060	540	1996-09-14	PRIJEM	VKLAD	1500	69446	\N	\N	\N
161061	540	1996-10-15	PRIJEM	VKLAD	1500	37724	\N	\N	\N
161062	540	1996-11-13	PRIJEM	VKLAD	1500	21359	\N	\N	\N
161063	540	1996-12-16	PRIJEM	VKLAD	1500	32900	\N	\N	\N
161064	540	1997-01-16	PRIJEM	VKLAD	1500	23608	\N	\N	\N
161065	540	1997-02-15	PRIJEM	VKLAD	1500	24257	\N	\N	\N
161066	540	1997-03-17	PRIJEM	VKLAD	1500	27040	\N	\N	\N
161067	540	1997-04-13	PRIJEM	VKLAD	1500	42187	\N	\N	\N
161068	540	1997-05-15	PRIJEM	VKLAD	1500	23687	\N	\N	\N
161069	540	1997-06-14	PRIJEM	VKLAD	1500	23114	\N	\N	\N
161070	540	1997-07-13	PRIJEM	VKLAD	1500	20682	\N	\N	\N
161071	540	1997-08-17	PRIJEM	VKLAD	1500	63500	\N	\N	\N
161072	540	1997-09-14	PRIJEM	VKLAD	1500	33234	\N	\N	\N
161073	540	1997-10-15	PRIJEM	VKLAD	1500	17739	\N	\N	\N
161074	540	1997-11-13	PRIJEM	VKLAD	1500	20495	\N	\N	\N
161075	540	1997-12-13	PRIJEM	VKLAD	1500	21358	\N	\N	\N
161076	540	1998-01-17	PRIJEM	VKLAD	1500	18329	\N	\N	\N
161077	540	1998-02-15	PRIJEM	VKLAD	1500	18243	\N	\N	\N
161078	540	1998-03-17	PRIJEM	VKLAD	1500	19250	\N	\N	\N
161079	540	1998-04-14	PRIJEM	VKLAD	1500	22015	\N	\N	\N
161080	540	1998-05-15	PRIJEM	VKLAD	1500	24788	\N	\N	\N
161081	540	1998-06-17	PRIJEM	VKLAD	1500	26573	\N	\N	\N
161082	540	1998-07-15	PRIJEM	VKLAD	1500	29366	\N	\N	\N
161083	540	1998-08-16	PRIJEM	VKLAD	1500	65240	\N	\N	\N
161084	540	1998-09-16	PRIJEM	VKLAD	1500	84949	\N	\N	\N
161085	540	1998-10-14	PRIJEM	VKLAD	1500	40465	\N	\N	\N
161086	540	1998-11-14	PRIJEM	VKLAD	1500	21341	\N	\N	\N
161087	540	1998-12-13	PRIJEM	VKLAD	1500	24118	\N	\N	\N
161097	540	1993-10-18	PRIJEM	VKLAD	1200	1500	\N	\N	\N
161098	540	1993-11-18	PRIJEM	VKLAD	1200	14103	\N	\N	\N
161099	540	1993-12-18	PRIJEM	VKLAD	1200	60798	\N	\N	\N
161100	540	1994-01-18	PRIJEM	VKLAD	1200	34690	\N	\N	\N
161101	540	1994-02-18	PRIJEM	VKLAD	1200	29160	\N	\N	\N
161102	540	1994-03-18	PRIJEM	VKLAD	1200	29909	\N	\N	\N
161103	540	1994-04-18	PRIJEM	VKLAD	1200	27816	\N	\N	\N
161104	540	1994-05-18	PRIJEM	VKLAD	1200	30621	\N	\N	\N
161105	540	1994-06-18	PRIJEM	VKLAD	1200	29228	\N	\N	\N
161106	540	1994-07-18	PRIJEM	VKLAD	1200	28431	\N	\N	\N
161107	540	1994-08-18	PRIJEM	VKLAD	1200	31623	\N	\N	\N
161108	540	1994-09-18	PRIJEM	VKLAD	1200	29534	\N	\N	\N
161109	540	1994-10-18	PRIJEM	VKLAD	1200	51037	\N	\N	\N
161110	540	1994-11-18	PRIJEM	VKLAD	1200	42268	\N	\N	\N
161111	540	1994-12-18	PRIJEM	VKLAD	1200	48642	\N	\N	\N
161112	540	1995-01-18	PRIJEM	VKLAD	1200	36216	\N	\N	\N
161113	540	1995-02-18	PRIJEM	VKLAD	1200	59149	\N	\N	\N
161114	540	1995-03-18	PRIJEM	VKLAD	1200	44613	\N	\N	\N
161115	540	1995-04-18	PRIJEM	VKLAD	1200	37510	\N	\N	\N
161116	540	1995-05-18	PRIJEM	VKLAD	1200	33711	\N	\N	\N
161117	540	1995-06-18	PRIJEM	VKLAD	1200	27139	\N	\N	\N
161118	540	1995-07-18	PRIJEM	VKLAD	1200	43087	\N	\N	\N
161119	540	1995-08-18	PRIJEM	VKLAD	1200	31634	\N	\N	\N
161120	540	1995-09-18	PRIJEM	VKLAD	1200	25175	\N	\N	\N
161121	540	1995-10-18	PRIJEM	VKLAD	1200	23026	\N	\N	\N
161122	540	1995-11-18	PRIJEM	VKLAD	1200	23611	\N	\N	\N
161123	540	1995-12-18	PRIJEM	VKLAD	1200	20941	\N	\N	\N
161124	540	1996-01-18	PRIJEM	VKLAD	1200	17264	\N	\N	\N
161125	540	1996-02-18	PRIJEM	VKLAD	1200	18418	\N	\N	\N
161126	540	1996-03-18	PRIJEM	VKLAD	1200	20871	\N	\N	\N
161127	540	1996-04-18	PRIJEM	VKLAD	1200	18436	\N	\N	\N
161128	540	1996-05-18	PRIJEM	VKLAD	1200	17802	\N	\N	\N
161129	540	1996-06-18	PRIJEM	VKLAD	1200	20560	\N	\N	\N
161130	540	1996-07-18	PRIJEM	VKLAD	1200	17524	\N	\N	\N
161131	540	1996-08-18	PRIJEM	VKLAD	1200	18038	\N	\N	\N
161132	540	1996-09-18	PRIJEM	VKLAD	1200	70646	\N	\N	\N
161133	540	1996-10-18	PRIJEM	VKLAD	1200	38924	\N	\N	\N
161134	540	1996-11-18	PRIJEM	VKLAD	1200	22559	\N	\N	\N
161135	540	1996-12-18	PRIJEM	VKLAD	1200	34100	\N	\N	\N
161136	540	1997-01-18	PRIJEM	VKLAD	1200	24808	\N	\N	\N
161137	540	1997-02-18	PRIJEM	VKLAD	1200	25457	\N	\N	\N
161138	540	1997-03-18	PRIJEM	VKLAD	1200	28240	\N	\N	\N
161139	540	1997-04-18	PRIJEM	VKLAD	1200	43387	\N	\N	\N
161140	540	1997-05-18	PRIJEM	VKLAD	1200	21537	\N	\N	\N
161141	540	1997-06-18	PRIJEM	VKLAD	1200	19114	\N	\N	\N
161142	540	1997-07-18	PRIJEM	VKLAD	1200	21882	\N	\N	\N
161143	540	1997-08-18	PRIJEM	VKLAD	1200	64700	\N	\N	\N
161144	540	1997-09-18	PRIJEM	VKLAD	1200	34434	\N	\N	\N
161145	540	1997-10-18	PRIJEM	VKLAD	1200	18939	\N	\N	\N
161146	540	1997-11-18	PRIJEM	VKLAD	1200	19795	\N	\N	\N
161147	540	1997-12-18	PRIJEM	VKLAD	1200	22558	\N	\N	\N
161148	540	1998-01-18	PRIJEM	VKLAD	1200	18479	\N	\N	\N
161149	540	1998-02-18	PRIJEM	VKLAD	1200	19443	\N	\N	\N
161150	540	1998-03-18	PRIJEM	VKLAD	1200	20450	\N	\N	\N
161151	540	1998-04-18	PRIJEM	VKLAD	1200	23215	\N	\N	\N
161152	540	1998-05-18	PRIJEM	VKLAD	1200	25988	\N	\N	\N
161153	540	1998-06-18	PRIJEM	VKLAD	1200	27773	\N	\N	\N
161154	540	1998-07-18	PRIJEM	VKLAD	1200	30566	\N	\N	\N
161155	540	1998-08-18	PRIJEM	VKLAD	1200	66440	\N	\N	\N
161156	540	1998-09-18	PRIJEM	VKLAD	1200	86149	\N	\N	\N
161157	540	1998-10-18	PRIJEM	VKLAD	1200	41665	\N	\N	\N
161158	540	1998-11-18	PRIJEM	VKLAD	1200	22541	\N	\N	\N
161159	540	1998-12-18	PRIJEM	VKLAD	1200	25318	\N	\N	\N
161161	540	1994-06-24	VYDAJ	VYBER	7200	22028	\N	\N	\N
161167	540	1994-01-16	VYDAJ	VYBER	6900	34140	\N	\N	\N
161168	540	1995-01-20	VYDAJ	VYBER	7800	27266	\N	\N	\N
161170	540	1997-01-15	VYDAJ	VYBER	8300	22108	\N	\N	\N
161176	540	1997-06-15	VYDAJ	VYBER	5200	17914	\N	\N	\N
161179	540	1994-01-30	VYDAJ	VYBER	1900	26390	\N	\N	\N
161180	540	1995-01-22	VYDAJ	VYBER	3600	23166	\N	\N	\N
161182	540	1997-01-07	VYDAJ	VYBER	1500	31508	\N	\N	\N
161183	540	1998-01-16	VYDAJ	VYBER	2900	16829	\N	\N	\N
161184	540	1993-12-27	VYDAJ	VYBER	2900	57898	\N	\N	\N
161185	540	1994-12-30	VYDAJ	VYBER	500	48142	\N	\N	\N
161186	540	1995-12-16	VYDAJ	VYBER	500	18241	\N	\N	\N
161187	540	1996-12-10	VYDAJ	VYBER	600	31400	\N	\N	\N
161188	540	1997-12-29	VYDAJ	VYBER	500	22058	\N	\N	\N
161189	540	1998-12-25	VYDAJ	VYBER	2100	23218	\N	\N	\N
161196	540	1994-01-18	VYDAJ	VYBER	300	34390	\N	\N	\N
161197	540	1994-01-17	VYDAJ	VYBER	650	33490	\N	\N	\N
161198	540	1994-01-23	VYDAJ	VYBER	1300	29890	\N	\N	\N
161199	540	1994-01-26	VYDAJ	VYBER	900	28990	\N	\N	\N
161200	540	1994-01-30	VYDAJ	VYBER	700	28290	\N	\N	\N
161201	540	1994-01-23	VYDAJ	VYBER	750	31190	\N	\N	\N
161202	540	1995-01-14	VYDAJ	VYBER	900	34066	\N	\N	\N
161203	540	1995-01-25	VYDAJ	VYBER	1150	22016	\N	\N	\N
161204	540	1995-01-22	VYDAJ	VYBER	500	26766	\N	\N	\N
161205	540	1995-01-10	VYDAJ	VYBER	450	34966	\N	\N	\N
161206	540	1995-01-20	VYDAJ	VYBER	1150	35066	\N	\N	\N
161207	540	1995-01-17	VYDAJ	VYBER	550	35016	\N	\N	\N
161208	540	1996-01-23	VYDAJ	VYBER	1150	16114	\N	\N	\N
161210	540	1996-01-16	VYDAJ	VYBER	1350	16064	\N	\N	\N
161211	540	1996-01-27	VYDAJ	VYBER	1450	14664	\N	\N	\N
161212	540	1996-01-04	VYDAJ	VYBER	1150	16364	\N	\N	\N
161213	540	1996-01-10	VYDAJ	VYBER	450	15914	\N	\N	\N
161214	540	1997-01-14	VYDAJ	VYBER	750	30408	\N	\N	\N
161215	540	1997-01-01	VYDAJ	VYBER	650	33558	\N	\N	\N
161216	540	1997-01-06	VYDAJ	VYBER	550	33008	\N	\N	\N
161217	540	1997-01-21	VYDAJ	VYBER	850	23958	\N	\N	\N
161218	540	1997-01-12	VYDAJ	VYBER	350	31158	\N	\N	\N
161219	540	1997-01-26	VYDAJ	VYBER	1300	22658	\N	\N	\N
161220	540	1998-01-05	VYDAJ	VYBER	350	21779	\N	\N	\N
161221	540	1998-01-09	VYDAJ	VYBER	850	20929	\N	\N	\N
161222	540	1998-01-15	VYDAJ	VYBER	1200	19729	\N	\N	\N
161223	540	1998-01-17	VYDAJ	VYBER	1050	17279	\N	\N	\N
161224	540	1998-01-21	VYDAJ	VYBER	500	17979	\N	\N	\N
161225	540	1998-01-26	VYDAJ	VYBER	1300	16679	\N	\N	\N
161227	540	1993-12-17	VYDAJ	VYBER	600	59598	\N	\N	\N
161232	540	1994-02-18	VYDAJ	VYBER	950	28210	\N	\N	\N
161233	540	1994-11-24	VYDAJ	VYBER	1050	41218	\N	\N	\N
161234	540	1994-01-22	VYDAJ	VYBER	2450	31940	\N	\N	\N
161235	540	1994-07-05	VYDAJ	VYBER	600	21531	\N	\N	\N
161236	540	1995-10-16	VYDAJ	VYBER	1850	21826	\N	\N	\N
161237	540	1995-03-22	VYDAJ	VYBER	1200	43413	\N	\N	\N
161238	540	1995-11-27	VYDAJ	VYBER	2150	21461	\N	\N	\N
161239	540	1995-05-24	VYDAJ	VYBER	1700	32011	\N	\N	\N
161240	540	1995-04-30	VYDAJ	VYBER	1150	36525	\N	\N	\N
161241	540	1996-05-02	VYDAJ	VYBER	1700	16802	\N	\N	\N
161242	540	1996-02-24	VYDAJ	VYBER	300	18118	\N	\N	\N
161244	540	1996-11-26	VYDAJ	VYBER	1100	21459	\N	\N	\N
161245	540	1996-08-02	VYDAJ	VYBER	2250	15338	\N	\N	\N
161246	540	1996-05-13	VYDAJ	VYBER	1700	15102	\N	\N	\N
161248	540	1997-05-15	VYDAJ	VYBER	950	20337	\N	\N	\N
161249	540	1997-05-08	VYDAJ	VYBER	1050	22187	\N	\N	\N
161250	540	1997-11-15	VYDAJ	VYBER	1900	18595	\N	\N	\N
161251	540	1997-05-15	VYDAJ	VYBER	2400	21287	\N	\N	\N
161252	540	1998-10-02	VYDAJ	VYBER	2150	38965	\N	\N	\N
161253	540	1998-11-02	VYDAJ	VYBER	2300	21991	\N	\N	\N
161254	540	1998-11-12	VYDAJ	VYBER	2150	19841	\N	\N	\N
161255	540	1998-03-16	VYDAJ	VYBER	1750	17750	\N	\N	\N
161256	540	1998-06-14	VYDAJ	VYBER	700	25073	\N	\N	\N
161258	540	1998-06-09	VYDAJ	VYBER	300	25773	\N	\N	\N
161271	540	1993-12-31	VYDAJ	VYBER	15	58040	SLUZBY	\N	\N
161272	540	1994-01-31	VYDAJ	VYBER	15	26560	SLUZBY	\N	\N
161273	540	1994-02-28	VYDAJ	VYBER	15	28309	SLUZBY	\N	\N
161274	540	1994-03-31	VYDAJ	VYBER	15	30016	SLUZBY	\N	\N
161275	540	1994-04-30	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
161276	540	1994-05-31	VYDAJ	VYBER	15	30728	SLUZBY	\N	\N
161277	540	1994-06-30	VYDAJ	VYBER	15	22131	SLUZBY	\N	\N
161278	540	1994-07-31	VYDAJ	VYBER	15	28523	SLUZBY	\N	\N
161279	540	1994-08-31	VYDAJ	VYBER	15	31734	SLUZBY	\N	\N
161280	540	1994-09-30	VYDAJ	VYBER	15	70837	SLUZBY	\N	\N
161281	540	1994-10-31	VYDAJ	VYBER	15	51268	SLUZBY	\N	\N
161282	540	1994-11-30	VYDAJ	VYBER	15	41397	SLUZBY	\N	\N
161283	540	1994-12-31	VYDAJ	VYBER	15	48316	SLUZBY	\N	\N
161284	540	1995-01-31	VYDAJ	VYBER	15	22146	SLUZBY	\N	\N
161285	540	1995-02-28	VYDAJ	VYBER	15	59313	SLUZBY	\N	\N
161286	540	1995-03-31	VYDAJ	VYBER	15	43610	SLUZBY	\N	\N
161287	540	1995-04-30	VYDAJ	VYBER	15	36511	SLUZBY	\N	\N
161288	540	1995-05-31	VYDAJ	VYBER	15	32139	SLUZBY	\N	\N
161289	540	1995-06-30	VYDAJ	VYBER	15	27247	SLUZBY	\N	\N
161290	540	1995-07-31	VYDAJ	VYBER	15	43234	SLUZBY	\N	\N
161291	540	1995-08-31	VYDAJ	VYBER	15	31775	SLUZBY	\N	\N
161292	540	1995-09-30	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
161293	540	1995-10-31	VYDAJ	VYBER	15	23111	SLUZBY	\N	\N
161294	540	1995-11-30	VYDAJ	VYBER	15	21541	SLUZBY	\N	\N
161295	540	1995-12-31	VYDAJ	VYBER	15	21014	SLUZBY	\N	\N
161296	540	1996-01-31	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
161297	540	1996-02-29	VYDAJ	VYBER	15	18171	SLUZBY	\N	\N
161298	540	1996-03-31	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
161299	540	1996-04-30	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
161300	540	1996-05-31	VYDAJ	VYBER	15	17860	SLUZBY	\N	\N
161301	540	1996-06-30	VYDAJ	VYBER	15	20624	SLUZBY	\N	\N
161302	540	1996-07-31	VYDAJ	VYBER	15	17588	SLUZBY	\N	\N
161303	540	1996-08-31	VYDAJ	VYBER	15	18096	SLUZBY	\N	\N
161304	540	1996-09-30	VYDAJ	VYBER	15	70824	SLUZBY	\N	\N
161305	540	1996-10-31	VYDAJ	VYBER	15	19859	SLUZBY	\N	\N
161306	540	1996-11-30	VYDAJ	VYBER	15	21530	SLUZBY	\N	\N
161307	540	1996-12-31	VYDAJ	VYBER	15	34208	SLUZBY	\N	\N
161308	540	1997-01-31	VYDAJ	VYBER	15	22757	SLUZBY	\N	\N
161309	540	1997-02-28	VYDAJ	VYBER	15	25540	SLUZBY	\N	\N
161310	540	1997-03-31	VYDAJ	VYBER	15	40687	SLUZBY	\N	\N
161311	540	1997-04-30	VYDAJ	VYBER	15	23237	SLUZBY	\N	\N
161312	540	1997-05-31	VYDAJ	VYBER	15	21614	SLUZBY	\N	\N
161313	540	1997-06-30	VYDAJ	VYBER	15	19182	SLUZBY	\N	\N
161314	540	1997-07-31	VYDAJ	VYBER	15	21950	SLUZBY	\N	\N
161315	540	1997-08-31	VYDAJ	VYBER	15	31734	SLUZBY	\N	\N
161316	540	1997-09-30	VYDAJ	VYBER	15	16239	SLUZBY	\N	\N
161317	540	1997-10-31	VYDAJ	VYBER	15	18995	SLUZBY	\N	\N
161318	540	1997-11-30	VYDAJ	VYBER	15	19858	SLUZBY	\N	\N
161319	540	1997-12-31	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
161320	540	1998-01-31	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
161321	540	1998-02-28	VYDAJ	VYBER	15	19500	SLUZBY	\N	\N
161322	540	1998-03-31	VYDAJ	VYBER	15	20515	SLUZBY	\N	\N
161323	540	1998-04-30	VYDAJ	VYBER	15	23288	SLUZBY	\N	\N
161324	540	1998-05-31	VYDAJ	VYBER	15	26073	SLUZBY	\N	\N
161325	540	1998-06-30	VYDAJ	VYBER	15	27866	SLUZBY	\N	\N
161326	540	1998-07-31	VYDAJ	VYBER	15	30670	SLUZBY	\N	\N
161327	540	1998-08-31	VYDAJ	VYBER	15	83449	SLUZBY	\N	\N
161328	540	1998-09-30	VYDAJ	VYBER	15	41115	SLUZBY	\N	\N
161329	540	1998-10-31	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
161330	540	1998-11-30	VYDAJ	VYBER	15	22618	SLUZBY	\N	\N
161331	540	1993-11-15	PRIJEM	VKLAD	9900	12903	\N	\N	\N
161332	540	1993-12-15	PRIJEM	VKLAD	6100	21737	\N	\N	\N
161333	540	1994-01-14	VYDAJ	VYBER	18500	39540	\N	\N	\N
161334	540	1994-02-13	VYDAJ	VYBER	100	26460	\N	\N	\N
161335	540	1994-03-15	VYDAJ	VYBER	1100	28709	\N	\N	\N
161336	540	1994-04-14	VYDAJ	VYBER	4900	26616	\N	\N	\N
161337	540	1994-06-13	VYDAJ	VYBER	4200	26528	\N	\N	\N
161338	540	1994-07-13	PRIJEM	VKLAD	4200	25731	\N	\N	\N
161339	540	1994-08-12	PRIJEM	VKLAD	400	28923	\N	\N	\N
161340	540	1994-09-11	VYDAJ	VYBER	4900	26834	\N	\N	\N
161341	540	1994-10-11	VYDAJ	VYBER	22500	48337	\N	\N	\N
161342	540	1994-11-10	VYDAJ	VYBER	11700	39568	\N	\N	\N
161343	540	1994-12-10	VYDAJ	VYBER	6200	35197	\N	\N	\N
161344	540	1995-01-09	VYDAJ	VYBER	12900	35416	\N	\N	\N
161345	540	1995-02-08	PRIJEM	VKLAD	2800	24946	\N	\N	\N
161346	540	1995-03-10	VYDAJ	VYBER	17400	41913	\N	\N	\N
161347	540	1995-04-09	VYDAJ	VYBER	8800	34810	\N	\N	\N
161348	540	1995-05-09	VYDAJ	VYBER	5500	31011	\N	\N	\N
161349	540	1995-06-08	VYDAJ	VYBER	7700	24439	\N	\N	\N
161350	540	1995-07-08	VYDAJ	VYBER	21800	40387	\N	\N	\N
161351	540	1995-08-07	VYDAJ	VYBER	14300	28934	\N	\N	\N
161352	540	1995-09-06	VYDAJ	VYBER	9300	22475	\N	\N	\N
161353	540	1995-10-06	VYDAJ	VYBER	3100	22176	\N	\N	\N
161354	540	1995-11-05	VYDAJ	VYBER	2200	20911	\N	\N	\N
161355	540	1995-12-05	VYDAJ	VYBER	2800	18741	\N	\N	\N
161356	540	1996-01-04	VYDAJ	VYBER	3500	17514	\N	\N	\N
161357	540	1996-02-03	PRIJEM	VKLAD	1000	15718	\N	\N	\N
161358	540	1996-04-03	VYDAJ	VYBER	5200	15736	\N	\N	\N
161359	540	1996-07-02	VYDAJ	VYBER	5800	14824	\N	\N	\N
161360	540	1996-09-30	VYDAJ	VYBER	34600	36224	\N	\N	\N
161361	540	1996-10-30	VYDAJ	VYBER	19200	19724	\N	\N	\N
161362	540	1997-03-29	VYDAJ	VYBER	35200	40549	\N	\N	\N
161363	540	1997-04-28	VYDAJ	VYBER	20300	23087	\N	\N	\N
161364	540	1997-08-26	VYDAJ	VYBER	33100	31600	\N	\N	\N
161365	540	1997-09-25	VYDAJ	VYBER	18300	16134	\N	\N	\N
161366	540	1998-08-21	VYDAJ	VYBER	32700	33740	\N	\N	\N
161367	540	1998-09-20	VYDAJ	VYBER	45300	40849	\N	\N	\N
161368	540	1998-10-20	VYDAJ	VYBER	17500	24165	\N	\N	\N
161432	541	1993-08-12	PRIJEM	VKLAD	200	200	\N	\N	\N
161441	541	1993-09-08	PRIJEM	VKLAD	20106	20306	\N	\N	\N
161442	541	1993-10-08	PRIJEM	VKLAD	20106	40870	\N	\N	\N
161443	541	1993-11-08	PRIJEM	VKLAD	20106	50790	\N	\N	\N
161444	541	1993-12-08	PRIJEM	VKLAD	30159	67897	\N	\N	\N
161445	541	1994-01-08	PRIJEM	VKLAD	20106	65381	\N	\N	\N
161446	541	1994-02-08	PRIJEM	VKLAD	20106	46533	\N	\N	\N
161447	541	1994-03-08	PRIJEM	VKLAD	20106	45501	\N	\N	\N
161448	541	1994-04-08	PRIJEM	VKLAD	20106	45808	\N	\N	\N
161449	541	1994-05-08	PRIJEM	VKLAD	20106	43849	\N	\N	\N
161450	541	1994-06-08	PRIJEM	VKLAD	30159	54333	\N	\N	\N
161451	541	1994-07-08	PRIJEM	VKLAD	20106	41264	\N	\N	\N
161452	541	1994-08-08	PRIJEM	VKLAD	20106	43957	\N	\N	\N
161453	541	1994-09-08	PRIJEM	VKLAD	20106	51289	\N	\N	\N
161454	541	1994-10-08	PRIJEM	VKLAD	20106	54055	\N	\N	\N
161455	541	1994-11-08	PRIJEM	VKLAD	20106	50323	\N	\N	\N
161456	541	1994-12-08	PRIJEM	VKLAD	30159	61442	\N	\N	\N
161457	541	1995-01-08	PRIJEM	VKLAD	20106	47401	\N	\N	\N
161458	541	1995-02-08	PRIJEM	VKLAD	20106	37157	\N	\N	\N
161459	541	1995-03-08	PRIJEM	VKLAD	20106	42472	\N	\N	\N
161460	541	1995-04-08	PRIJEM	VKLAD	20106	44798	\N	\N	\N
161461	541	1995-05-08	PRIJEM	VKLAD	20106	43545	\N	\N	\N
161462	541	1995-06-08	PRIJEM	VKLAD	30159	54092	\N	\N	\N
161463	541	1995-07-08	PRIJEM	VKLAD	20106	47087	\N	\N	\N
161464	541	1995-08-08	PRIJEM	VKLAD	20106	46837	\N	\N	\N
161465	541	1995-09-08	PRIJEM	VKLAD	20106	45980	\N	\N	\N
161466	541	1995-10-08	PRIJEM	VKLAD	20106	43993	\N	\N	\N
161467	541	1995-11-08	PRIJEM	VKLAD	20106	46027	\N	\N	\N
161468	541	1995-12-08	PRIJEM	VKLAD	30159	53250	\N	\N	\N
161469	541	1996-01-08	PRIJEM	VKLAD	20106	44006	\N	\N	\N
161470	541	1996-02-08	PRIJEM	VKLAD	20106	34356	\N	\N	\N
161471	541	1996-03-08	PRIJEM	VKLAD	20106	43347	\N	\N	\N
161472	541	1996-04-08	PRIJEM	VKLAD	20106	46773	\N	\N	\N
161473	541	1996-05-08	PRIJEM	VKLAD	20106	43512	\N	\N	\N
161474	541	1996-06-08	PRIJEM	VKLAD	30159	56593	\N	\N	\N
161475	541	1996-07-08	PRIJEM	VKLAD	20106	43856	\N	\N	\N
161476	541	1996-08-08	PRIJEM	VKLAD	20106	39919	\N	\N	\N
161477	541	1996-09-08	PRIJEM	VKLAD	20106	43423	\N	\N	\N
161478	541	1996-10-08	PRIJEM	VKLAD	20106	44244	\N	\N	\N
161479	541	1996-11-08	PRIJEM	VKLAD	20106	42965	\N	\N	\N
161480	541	1996-12-08	PRIJEM	VKLAD	30159	52233	\N	\N	\N
161481	541	1997-01-08	PRIJEM	VKLAD	20106	31026	\N	\N	\N
161482	541	1997-02-08	PRIJEM	VKLAD	20106	28385	\N	\N	\N
161483	541	1997-03-08	PRIJEM	VKLAD	20106	30140	\N	\N	\N
161484	541	1997-04-08	PRIJEM	VKLAD	20106	29501	\N	\N	\N
161485	541	1997-05-08	PRIJEM	VKLAD	20106	30560	\N	\N	\N
161486	541	1997-06-08	PRIJEM	VKLAD	30159	42677	\N	\N	\N
161487	541	1997-07-08	PRIJEM	VKLAD	20106	33867	\N	\N	\N
161488	541	1997-08-08	PRIJEM	VKLAD	20106	32940	\N	\N	\N
161489	541	1997-09-08	PRIJEM	VKLAD	20106	29903	\N	\N	\N
161490	541	1997-10-08	PRIJEM	VKLAD	20106	31660	\N	\N	\N
161491	541	1997-11-08	PRIJEM	VKLAD	20106	29919	\N	\N	\N
161492	541	1997-12-08	PRIJEM	VKLAD	30159	40229	\N	\N	\N
161493	541	1998-01-08	PRIJEM	VKLAD	20106	29404	\N	\N	\N
161494	541	1998-02-08	PRIJEM	VKLAD	20106	28852	\N	\N	\N
161495	541	1998-03-08	PRIJEM	VKLAD	20106	32905	\N	\N	\N
161496	541	1998-04-08	PRIJEM	VKLAD	20106	30665	\N	\N	\N
161497	541	1998-05-08	PRIJEM	VKLAD	20106	29717	\N	\N	\N
161498	541	1998-06-08	PRIJEM	VKLAD	30159	39719	\N	\N	\N
161499	541	1998-07-08	PRIJEM	VKLAD	20106	34700	\N	\N	\N
161500	541	1998-08-08	PRIJEM	VKLAD	20106	28195	\N	\N	\N
161501	541	1998-09-08	PRIJEM	VKLAD	20106	39659	\N	\N	\N
161502	541	1998-10-08	PRIJEM	VKLAD	20106	32329	\N	\N	\N
161503	541	1998-11-08	PRIJEM	VKLAD	20106	28875	\N	\N	\N
161504	541	1998-12-08	PRIJEM	VKLAD	30159	37364	\N	\N	\N
161518	541	1994-02-05	VYDAJ	PREVOD NA UCET	3030	32053	SIPO	IJ	97866481
161519	541	1994-03-05	VYDAJ	PREVOD NA UCET	3030	31021	SIPO	IJ	97866481
161520	541	1994-04-05	VYDAJ	PREVOD NA UCET	3030	31328	SIPO	IJ	97866481
161521	541	1994-05-05	VYDAJ	PREVOD NA UCET	3030	29369	SIPO	IJ	97866481
161522	541	1994-06-05	VYDAJ	PREVOD NA UCET	3030	29800	SIPO	IJ	97866481
161523	541	1994-07-05	VYDAJ	PREVOD NA UCET	3030	26784	SIPO	IJ	97866481
161524	541	1994-08-05	VYDAJ	PREVOD NA UCET	3030	28777	SIPO	IJ	97866481
161525	541	1994-09-05	VYDAJ	PREVOD NA UCET	3030	41009	SIPO	IJ	97866481
161526	541	1994-10-05	VYDAJ	PREVOD NA UCET	3030	48375	SIPO	IJ	97866481
161527	541	1994-11-05	VYDAJ	PREVOD NA UCET	3030	46943	SIPO	IJ	97866481
161528	541	1994-12-05	VYDAJ	PREVOD NA UCET	3030	47409	SIPO	IJ	97866481
161529	541	1995-01-05	VYDAJ	PREVOD NA UCET	3030	36041	SIPO	IJ	97866481
161530	541	1995-02-05	VYDAJ	PREVOD NA UCET	3030	22677	SIPO	IJ	97866481
161531	541	1995-03-05	VYDAJ	PREVOD NA UCET	3030	27992	SIPO	IJ	97866481
161532	541	1995-04-05	VYDAJ	PREVOD NA UCET	3030	30318	SIPO	IJ	97866481
161533	541	1995-05-05	VYDAJ	PREVOD NA UCET	3030	29065	SIPO	IJ	97866481
161534	541	1995-06-05	VYDAJ	PREVOD NA UCET	3030	29559	SIPO	IJ	97866481
161833	541	1995-09-30	VYDAJ	VYBER	15	41143	SLUZBY	\N	\N
161535	541	1995-07-05	VYDAJ	PREVOD NA UCET	3030	32607	SIPO	IJ	97866481
161536	541	1995-08-05	VYDAJ	PREVOD NA UCET	3030	32357	SIPO	IJ	97866481
161537	541	1995-09-05	VYDAJ	PREVOD NA UCET	3030	31500	SIPO	IJ	97866481
161538	541	1995-10-05	VYDAJ	PREVOD NA UCET	3030	29513	SIPO	IJ	97866481
161539	541	1995-11-05	VYDAJ	PREVOD NA UCET	3030	31547	SIPO	IJ	97866481
161540	541	1995-12-05	VYDAJ	PREVOD NA UCET	3030	28717	SIPO	IJ	97866481
161541	541	1996-01-05	VYDAJ	PREVOD NA UCET	3030	32226	SIPO	IJ	97866481
161542	541	1996-02-05	VYDAJ	PREVOD NA UCET	3030	19876	SIPO	IJ	97866481
161543	541	1996-03-05	VYDAJ	PREVOD NA UCET	3030	28867	SIPO	IJ	97866481
161544	541	1996-04-05	VYDAJ	PREVOD NA UCET	3030	32293	SIPO	IJ	97866481
161545	541	1996-05-05	VYDAJ	PREVOD NA UCET	3030	32432	SIPO	IJ	97866481
161546	541	1996-06-05	VYDAJ	PREVOD NA UCET	3030	32060	SIPO	IJ	97866481
161547	541	1996-07-05	VYDAJ	PREVOD NA UCET	3030	29376	SIPO	IJ	97866481
161548	541	1996-08-05	VYDAJ	PREVOD NA UCET	3030	25439	SIPO	IJ	97866481
161549	541	1996-09-05	VYDAJ	PREVOD NA UCET	3030	28943	SIPO	IJ	97866481
161550	541	1996-10-05	VYDAJ	PREVOD NA UCET	3030	29764	SIPO	IJ	97866481
161551	541	1996-11-05	VYDAJ	PREVOD NA UCET	3030	28485	SIPO	IJ	97866481
161552	541	1996-12-05	VYDAJ	PREVOD NA UCET	3030	27700	SIPO	IJ	97866481
161553	541	1997-01-05	VYDAJ	PREVOD NA UCET	3030	16546	SIPO	IJ	97866481
161554	541	1997-02-05	VYDAJ	PREVOD NA UCET	3030	13905	SIPO	IJ	97866481
161555	541	1997-03-05	VYDAJ	PREVOD NA UCET	3030	15660	SIPO	IJ	97866481
161556	541	1997-04-05	VYDAJ	PREVOD NA UCET	3030	15021	SIPO	IJ	97866481
161557	541	1997-05-05	VYDAJ	PREVOD NA UCET	3030	16080	SIPO	IJ	97866481
161558	541	1997-06-05	VYDAJ	PREVOD NA UCET	3030	18144	SIPO	IJ	97866481
161559	541	1997-07-05	VYDAJ	PREVOD NA UCET	3030	19387	SIPO	IJ	97866481
161560	541	1997-08-05	VYDAJ	PREVOD NA UCET	3030	18460	SIPO	IJ	97866481
161561	541	1997-09-05	VYDAJ	PREVOD NA UCET	3030	15423	SIPO	IJ	97866481
161562	541	1997-10-05	VYDAJ	PREVOD NA UCET	3030	17180	SIPO	IJ	97866481
161563	541	1997-11-05	VYDAJ	PREVOD NA UCET	3030	15439	SIPO	IJ	97866481
161564	541	1997-12-05	VYDAJ	PREVOD NA UCET	3030	15696	SIPO	IJ	97866481
161565	541	1998-01-05	VYDAJ	PREVOD NA UCET	3030	14924	SIPO	IJ	97866481
161566	541	1998-02-05	VYDAJ	PREVOD NA UCET	3030	14372	SIPO	IJ	97866481
161567	541	1998-03-05	VYDAJ	PREVOD NA UCET	3030	18425	SIPO	IJ	97866481
161568	541	1998-04-05	VYDAJ	PREVOD NA UCET	3030	16185	SIPO	IJ	97866481
161569	541	1998-05-05	VYDAJ	PREVOD NA UCET	3030	15237	SIPO	IJ	97866481
161570	541	1998-06-05	VYDAJ	PREVOD NA UCET	3030	15186	SIPO	IJ	97866481
161571	541	1998-07-05	VYDAJ	PREVOD NA UCET	3030	20220	SIPO	IJ	97866481
161572	541	1998-08-05	VYDAJ	PREVOD NA UCET	3030	13715	SIPO	IJ	97866481
161573	541	1998-09-05	VYDAJ	PREVOD NA UCET	3030	25179	SIPO	IJ	97866481
161574	541	1998-10-05	VYDAJ	PREVOD NA UCET	3030	17849	SIPO	IJ	97866481
161575	541	1998-11-05	VYDAJ	PREVOD NA UCET	3030	14395	SIPO	IJ	97866481
161576	541	1998-12-05	VYDAJ	PREVOD NA UCET	3030	12831	SIPO	IJ	97866481
161589	541	1994-01-09	VYDAJ	PREVOD NA UCET	72	65309	 	WX	97620743
161590	541	1994-02-09	VYDAJ	PREVOD NA UCET	72	37161	 	WX	97620743
161591	541	1994-03-09	VYDAJ	PREVOD NA UCET	72	45429	 	WX	97620743
161592	541	1994-04-09	VYDAJ	PREVOD NA UCET	72	33836	 	WX	97620743
161593	541	1994-05-09	VYDAJ	PREVOD NA UCET	72	32677	 	WX	97620743
161594	541	1994-06-09	VYDAJ	PREVOD NA UCET	72	38161	 	WX	97620743
161595	541	1994-07-09	VYDAJ	PREVOD NA UCET	72	31692	 	WX	97620743
161596	541	1994-08-09	VYDAJ	PREVOD NA UCET	72	43885	 	WX	97620743
161597	541	1994-09-09	VYDAJ	PREVOD NA UCET	72	51217	 	WX	97620743
161598	541	1994-10-09	VYDAJ	PREVOD NA UCET	72	53983	 	WX	97620743
161599	541	1994-11-09	VYDAJ	PREVOD NA UCET	72	50251	 	WX	97620743
161600	541	1994-12-09	VYDAJ	PREVOD NA UCET	72	61370	 	WX	97620743
161601	541	1995-01-09	VYDAJ	PREVOD NA UCET	72	47329	 	WX	97620743
161602	541	1995-02-09	VYDAJ	PREVOD NA UCET	72	37085	 	WX	97620743
161603	541	1995-03-09	VYDAJ	PREVOD NA UCET	72	42400	 	WX	97620743
161604	541	1995-04-09	VYDAJ	PREVOD NA UCET	72	40046	 	WX	97620743
161605	541	1995-05-09	VYDAJ	PREVOD NA UCET	72	43473	 	WX	97620743
161606	541	1995-06-09	VYDAJ	PREVOD NA UCET	72	54020	 	WX	97620743
161607	541	1995-07-09	VYDAJ	PREVOD NA UCET	72	47015	 	WX	97620743
161608	541	1995-08-09	VYDAJ	PREVOD NA UCET	72	46765	 	WX	97620743
161609	541	1995-09-09	VYDAJ	PREVOD NA UCET	72	45908	 	WX	97620743
161610	541	1995-10-09	VYDAJ	PREVOD NA UCET	72	43921	 	WX	97620743
161611	541	1995-11-09	VYDAJ	PREVOD NA UCET	72	45955	 	WX	97620743
161612	541	1995-12-09	VYDAJ	PREVOD NA UCET	72	53178	 	WX	97620743
161613	541	1996-01-09	VYDAJ	PREVOD NA UCET	72	43934	 	WX	97620743
161614	541	1996-02-09	VYDAJ	PREVOD NA UCET	72	34284	 	WX	97620743
161615	541	1996-03-09	VYDAJ	PREVOD NA UCET	72	43275	 	WX	97620743
161616	541	1996-04-09	VYDAJ	PREVOD NA UCET	72	46701	 	WX	97620743
161617	541	1996-05-09	VYDAJ	PREVOD NA UCET	72	43440	 	WX	97620743
161618	541	1996-06-09	VYDAJ	PREVOD NA UCET	72	56521	 	WX	97620743
161619	541	1996-07-09	VYDAJ	PREVOD NA UCET	72	43784	 	WX	97620743
161620	541	1996-08-09	VYDAJ	PREVOD NA UCET	72	39847	 	WX	97620743
161621	541	1996-09-09	VYDAJ	PREVOD NA UCET	72	43351	 	WX	97620743
161622	541	1996-10-09	VYDAJ	PREVOD NA UCET	72	44172	 	WX	97620743
161623	541	1996-11-09	VYDAJ	PREVOD NA UCET	72	42893	 	WX	97620743
161624	541	1996-12-09	VYDAJ	PREVOD NA UCET	72	52161	 	WX	97620743
161625	541	1997-01-09	VYDAJ	PREVOD NA UCET	72	30954	 	WX	97620743
161626	541	1997-02-09	VYDAJ	PREVOD NA UCET	72	28313	 	WX	97620743
161627	541	1997-03-09	VYDAJ	PREVOD NA UCET	72	30068	 	WX	97620743
161628	541	1997-04-09	VYDAJ	PREVOD NA UCET	72	29429	 	WX	97620743
161629	541	1997-05-09	VYDAJ	PREVOD NA UCET	72	30488	 	WX	97620743
161630	541	1997-06-09	VYDAJ	PREVOD NA UCET	72	42605	 	WX	97620743
161631	541	1997-07-09	VYDAJ	PREVOD NA UCET	72	33795	 	WX	97620743
161632	541	1997-08-09	VYDAJ	PREVOD NA UCET	72	32868	 	WX	97620743
161633	541	1997-09-09	VYDAJ	PREVOD NA UCET	72	29831	 	WX	97620743
161634	541	1997-10-09	VYDAJ	PREVOD NA UCET	72	31588	 	WX	97620743
161635	541	1997-11-09	VYDAJ	PREVOD NA UCET	72	29847	 	WX	97620743
161636	541	1997-12-09	VYDAJ	PREVOD NA UCET	72	40157	 	WX	97620743
161637	541	1998-01-09	VYDAJ	PREVOD NA UCET	72	29332	 	WX	97620743
161638	541	1998-02-09	VYDAJ	PREVOD NA UCET	72	28780	 	WX	97620743
161639	541	1998-03-09	VYDAJ	PREVOD NA UCET	72	32833	 	WX	97620743
161640	541	1998-04-09	VYDAJ	PREVOD NA UCET	72	30593	 	WX	97620743
161641	541	1998-05-09	VYDAJ	PREVOD NA UCET	72	29645	 	WX	97620743
161642	541	1998-06-09	VYDAJ	PREVOD NA UCET	72	39647	 	WX	97620743
161643	541	1998-07-09	VYDAJ	PREVOD NA UCET	72	28868	 	WX	97620743
161644	541	1998-08-09	VYDAJ	PREVOD NA UCET	72	28123	 	WX	97620743
161645	541	1998-09-09	VYDAJ	PREVOD NA UCET	72	39587	 	WX	97620743
161646	541	1998-10-09	VYDAJ	PREVOD NA UCET	72	32257	 	WX	97620743
161647	541	1998-11-09	VYDAJ	PREVOD NA UCET	72	28803	 	WX	97620743
161648	541	1998-12-09	VYDAJ	PREVOD NA UCET	72	37292	 	WX	97620743
161662	541	1994-02-06	VYDAJ	PREVOD NA UCET	5626	26427	POJISTNE	AB	50762343
161663	541	1994-03-06	VYDAJ	PREVOD NA UCET	5626	25395	POJISTNE	AB	50762343
161664	541	1994-04-06	VYDAJ	PREVOD NA UCET	5626	25702	POJISTNE	AB	50762343
161665	541	1994-05-06	VYDAJ	PREVOD NA UCET	5626	23743	POJISTNE	AB	50762343
161666	541	1994-06-06	VYDAJ	PREVOD NA UCET	5626	24174	POJISTNE	AB	50762343
161667	541	1994-07-06	VYDAJ	PREVOD NA UCET	5626	21158	POJISTNE	AB	50762343
161668	541	1994-08-06	VYDAJ	PREVOD NA UCET	5626	23151	POJISTNE	AB	50762343
161669	541	1994-09-06	VYDAJ	PREVOD NA UCET	5626	35383	POJISTNE	AB	50762343
161670	541	1994-10-06	VYDAJ	PREVOD NA UCET	5626	42749	POJISTNE	AB	50762343
161671	541	1994-11-06	VYDAJ	PREVOD NA UCET	5626	30217	POJISTNE	AB	50762343
161672	541	1994-12-06	VYDAJ	PREVOD NA UCET	5626	31283	POJISTNE	AB	50762343
161673	541	1995-01-06	VYDAJ	PREVOD NA UCET	5626	30415	POJISTNE	AB	50762343
161674	541	1995-02-06	VYDAJ	PREVOD NA UCET	5626	17051	POJISTNE	AB	50762343
161675	541	1995-03-06	VYDAJ	PREVOD NA UCET	5626	22366	POJISTNE	AB	50762343
161676	541	1995-04-06	VYDAJ	PREVOD NA UCET	5626	24692	POJISTNE	AB	50762343
161677	541	1995-05-06	VYDAJ	PREVOD NA UCET	5626	23439	POJISTNE	AB	50762343
161678	541	1995-06-06	VYDAJ	PREVOD NA UCET	5626	23933	POJISTNE	AB	50762343
161679	541	1995-07-06	VYDAJ	PREVOD NA UCET	5626	26981	POJISTNE	AB	50762343
161680	541	1995-08-06	VYDAJ	PREVOD NA UCET	5626	26731	POJISTNE	AB	50762343
161681	541	1995-09-06	VYDAJ	PREVOD NA UCET	5626	25874	POJISTNE	AB	50762343
161682	541	1995-10-06	VYDAJ	PREVOD NA UCET	5626	23887	POJISTNE	AB	50762343
161683	541	1995-11-06	VYDAJ	PREVOD NA UCET	5626	25921	POJISTNE	AB	50762343
161684	541	1995-12-06	VYDAJ	PREVOD NA UCET	5626	23091	POJISTNE	AB	50762343
161685	541	1996-01-06	VYDAJ	PREVOD NA UCET	5626	25200	POJISTNE	AB	50762343
161686	541	1996-02-06	VYDAJ	PREVOD NA UCET	5626	14250	POJISTNE	AB	50762343
161687	541	1996-03-06	VYDAJ	PREVOD NA UCET	5626	23241	POJISTNE	AB	50762343
161688	541	1996-04-06	VYDAJ	PREVOD NA UCET	5626	26667	POJISTNE	AB	50762343
161689	541	1996-05-06	VYDAJ	PREVOD NA UCET	5626	26806	POJISTNE	AB	50762343
161690	541	1996-06-06	VYDAJ	PREVOD NA UCET	5626	26434	POJISTNE	AB	50762343
161691	541	1996-07-06	VYDAJ	PREVOD NA UCET	5626	23750	POJISTNE	AB	50762343
161692	541	1996-08-06	VYDAJ	PREVOD NA UCET	5626	19813	POJISTNE	AB	50762343
161693	541	1996-09-06	VYDAJ	PREVOD NA UCET	5626	23317	POJISTNE	AB	50762343
161694	541	1996-10-06	VYDAJ	PREVOD NA UCET	5626	24138	POJISTNE	AB	50762343
161695	541	1996-11-06	VYDAJ	PREVOD NA UCET	5626	22859	POJISTNE	AB	50762343
161696	541	1996-12-06	VYDAJ	PREVOD NA UCET	5626	22074	POJISTNE	AB	50762343
161697	541	1997-01-06	VYDAJ	PREVOD NA UCET	5626	10920	POJISTNE	AB	50762343
161698	541	1997-02-06	VYDAJ	PREVOD NA UCET	5626	8279	POJISTNE	AB	50762343
161699	541	1997-03-06	VYDAJ	PREVOD NA UCET	5626	10034	POJISTNE	AB	50762343
161700	541	1997-04-06	VYDAJ	PREVOD NA UCET	5626	9395	POJISTNE	AB	50762343
161701	541	1997-05-06	VYDAJ	PREVOD NA UCET	5626	10454	POJISTNE	AB	50762343
161702	541	1997-06-06	VYDAJ	PREVOD NA UCET	5626	12518	POJISTNE	AB	50762343
161703	541	1997-07-06	VYDAJ	PREVOD NA UCET	5626	13761	POJISTNE	AB	50762343
161704	541	1997-08-06	VYDAJ	PREVOD NA UCET	5626	12834	POJISTNE	AB	50762343
161705	541	1997-09-06	VYDAJ	PREVOD NA UCET	5626	9797	POJISTNE	AB	50762343
161706	541	1997-10-06	VYDAJ	PREVOD NA UCET	5626	11554	POJISTNE	AB	50762343
161707	541	1997-11-06	VYDAJ	PREVOD NA UCET	5626	9813	POJISTNE	AB	50762343
161708	541	1997-12-06	VYDAJ	PREVOD NA UCET	5626	10070	POJISTNE	AB	50762343
161709	541	1998-01-06	VYDAJ	PREVOD NA UCET	5626	9298	POJISTNE	AB	50762343
161710	541	1998-02-06	VYDAJ	PREVOD NA UCET	5626	8746	POJISTNE	AB	50762343
161711	541	1998-03-06	VYDAJ	PREVOD NA UCET	5626	12799	POJISTNE	AB	50762343
161712	541	1998-04-06	VYDAJ	PREVOD NA UCET	5626	10559	POJISTNE	AB	50762343
161713	541	1998-05-06	VYDAJ	PREVOD NA UCET	5626	9611	POJISTNE	AB	50762343
161714	541	1998-06-06	VYDAJ	PREVOD NA UCET	5626	9560	POJISTNE	AB	50762343
161715	541	1998-07-06	VYDAJ	PREVOD NA UCET	5626	14594	POJISTNE	AB	50762343
161716	541	1998-08-06	VYDAJ	PREVOD NA UCET	5626	8089	POJISTNE	AB	50762343
161717	541	1998-09-06	VYDAJ	PREVOD NA UCET	5626	19553	POJISTNE	AB	50762343
161718	541	1998-10-06	VYDAJ	PREVOD NA UCET	5626	12223	POJISTNE	AB	50762343
161719	541	1998-11-06	VYDAJ	PREVOD NA UCET	5626	8769	POJISTNE	AB	50762343
161720	541	1998-12-06	VYDAJ	PREVOD NA UCET	5626	7205	POJISTNE	AB	50762343
161722	541	1994-06-26	VYDAJ	VYBER	8480	29681	\N	\N	\N
161723	541	1995-06-10	VYDAJ	VYBER	11040	42980	\N	\N	\N
161724	541	1996-06-28	VYDAJ	VYBER	12000	32221	\N	\N	\N
161726	541	1998-06-13	VYDAJ	VYBER	16480	23167	\N	\N	\N
161729	541	1995-01-24	VYDAJ	VYBER	10080	34609	\N	\N	\N
161730	541	1996-01-14	VYDAJ	VYBER	15840	27094	\N	\N	\N
161731	541	1997-01-02	VYDAJ	VYBER	8640	21776	\N	\N	\N
161734	541	1994-12-23	VYDAJ	VYBER	2080	59290	\N	\N	\N
161735	541	1995-12-23	VYDAJ	VYBER KARTOU	1000	52178	\N	\N	0
161736	541	1996-12-23	VYDAJ	VYBER KARTOU	2400	49761	\N	\N	0
161737	541	1997-12-05	VYDAJ	VYBER KARTOU	2900	18726	\N	\N	0
161746	541	1994-01-13	VYDAJ	VYBER	3480	39729	\N	\N	\N
161747	541	1994-01-20	VYDAJ	VYBER	1200	37449	\N	\N	\N
161748	541	1994-01-29	VYDAJ	VYBER	1800	35649	\N	\N	\N
161749	541	1994-01-30	VYDAJ	VYBER	720	34929	\N	\N	\N
161750	541	1994-01-17	VYDAJ	VYBER	1080	38649	\N	\N	\N
161751	541	1995-01-27	VYDAJ	VYBER	2760	30049	\N	\N	\N
161752	541	1995-01-21	VYDAJ	VYBER	1200	44689	\N	\N	\N
161753	541	1995-01-07	VYDAJ	VYBER	3120	27295	\N	\N	\N
161754	541	1995-01-12	VYDAJ	VYBER	1440	45889	\N	\N	\N
161755	541	1995-01-25	VYDAJ	VYBER	1800	32809	\N	\N	\N
161756	541	1995-01-02	VYDAJ	VYBER	2640	56871	\N	\N	\N
161757	541	1996-01-07	VYDAJ	VYBER KARTOU	1300	23900	\N	\N	0
161758	541	1996-01-22	VYDAJ	VYBER KARTOU	1000	24794	\N	\N	0
161759	541	1996-01-06	VYDAJ	VYBER KARTOU	1400	30826	\N	\N	0
161760	541	1996-01-10	VYDAJ	VYBER KARTOU	1000	42934	\N	\N	0
161761	541	1996-01-01	VYDAJ	VYBER KARTOU	2900	35256	\N	\N	0
161762	541	1996-01-15	VYDAJ	VYBER KARTOU	1300	25794	\N	\N	0
161763	541	1997-01-13	VYDAJ	VYBER KARTOU	600	30354	\N	\N	0
161765	541	1997-01-15	VYDAJ	VYBER KARTOU	3400	26954	\N	\N	0
161767	541	1997-01-03	VYDAJ	VYBER KARTOU	2200	19576	\N	\N	0
161770	541	1998-01-16	VYDAJ	VYBER KARTOU	2400	22132	\N	\N	0
161771	541	1998-01-16	VYDAJ	VYBER KARTOU	2400	24532	\N	\N	0
161772	541	1998-01-03	VYDAJ	VYBER KARTOU	3500	17954	\N	\N	0
161774	541	1998-01-16	VYDAJ	VYBER KARTOU	2400	26932	\N	\N	0
161779	541	1994-10-09	VYDAJ	VYBER	4200	49783	\N	\N	\N
161780	541	1994-02-15	VYDAJ	VYBER	3240	33921	\N	\N	\N
161781	541	1994-04-19	VYDAJ	VYBER	1560	32276	\N	\N	\N
161782	541	1995-11-17	VYDAJ	VYBER	4560	41395	\N	\N	\N
161783	541	1995-09-14	VYDAJ	VYBER	4920	40988	\N	\N	\N
161784	541	1995-08-17	VYDAJ	VYBER	3600	43165	\N	\N	\N
161785	541	1995-01-28	VYDAJ	VYBER	2400	27649	\N	\N	\N
161786	541	1995-02-17	VYDAJ	VYBER	5280	31805	\N	\N	\N
161787	541	1995-06-02	VYDAJ	VYBER	840	42789	\N	\N	\N
161788	541	1995-10-26	VYDAJ	VYBER KARTOU	2900	41021	\N	\N	0
161789	541	1995-04-09	VYDAJ	VYBER	4680	40118	\N	\N	\N
161790	541	1996-08-11	VYDAJ	VYBER KARTOU	1900	37947	\N	\N	0
161791	541	1996-07-29	VYDAJ	VYBER	5760	28324	\N	\N	\N
161792	541	1996-05-24	VYDAJ	VYBER KARTOU	1200	42240	\N	\N	0
161793	541	1996-05-07	VYDAJ	VYBER KARTOU	3400	23406	\N	\N	0
161794	541	1996-11-02	VYDAJ	VYBER KARTOU	700	31515	\N	\N	0
161796	541	1998-07-09	VYDAJ	VYBER	5760	28940	\N	\N	\N
161813	541	1994-01-31	VYDAJ	VYBER	15	35083	SLUZBY	\N	\N
161814	541	1994-02-28	VYDAJ	VYBER	15	34051	SLUZBY	\N	\N
161815	541	1994-03-31	VYDAJ	VYBER	15	34358	SLUZBY	\N	\N
161816	541	1994-04-30	VYDAJ	VYBER	15	32399	SLUZBY	\N	\N
161817	541	1994-05-31	VYDAJ	VYBER	15	32830	SLUZBY	\N	\N
161818	541	1994-06-30	VYDAJ	VYBER	15	29814	SLUZBY	\N	\N
161819	541	1994-07-31	VYDAJ	VYBER	15	31807	SLUZBY	\N	\N
161820	541	1994-08-31	VYDAJ	VYBER	15	44039	SLUZBY	\N	\N
161821	541	1994-09-30	VYDAJ	VYBER	15	51405	SLUZBY	\N	\N
161822	541	1994-10-31	VYDAJ	VYBER	15	49973	SLUZBY	\N	\N
161823	541	1994-11-30	VYDAJ	VYBER	15	50439	SLUZBY	\N	\N
161824	541	1994-12-31	VYDAJ	VYBER	15	59511	SLUZBY	\N	\N
161825	541	1995-01-31	VYDAJ	VYBER	15	27807	SLUZBY	\N	\N
161826	541	1995-02-28	VYDAJ	VYBER	15	31922	SLUZBY	\N	\N
161827	541	1995-03-31	VYDAJ	VYBER	15	42548	SLUZBY	\N	\N
161828	541	1995-04-30	VYDAJ	VYBER	15	40195	SLUZBY	\N	\N
161829	541	1995-05-31	VYDAJ	VYBER	15	43629	SLUZBY	\N	\N
161830	541	1995-06-30	VYDAJ	VYBER	15	43137	SLUZBY	\N	\N
161831	541	1995-07-31	VYDAJ	VYBER	15	47187	SLUZBY	\N	\N
161832	541	1995-08-31	VYDAJ	VYBER	15	43330	SLUZBY	\N	\N
161834	541	1995-10-31	VYDAJ	VYBER	15	41177	SLUZBY	\N	\N
161835	541	1995-11-30	VYDAJ	VYBER	15	31747	SLUZBY	\N	\N
161836	541	1995-12-31	VYDAJ	VYBER	15	38156	SLUZBY	\N	\N
161837	541	1996-01-31	VYDAJ	VYBER	15	22906	SLUZBY	\N	\N
161838	541	1996-02-29	VYDAJ	VYBER	15	31897	SLUZBY	\N	\N
161839	541	1996-03-31	VYDAJ	VYBER	15	35323	SLUZBY	\N	\N
161840	541	1996-04-30	VYDAJ	VYBER	15	35462	SLUZBY	\N	\N
161841	541	1996-05-31	VYDAJ	VYBER	15	35090	SLUZBY	\N	\N
161842	541	1996-06-30	VYDAJ	VYBER	15	32406	SLUZBY	\N	\N
161843	541	1996-07-31	VYDAJ	VYBER	15	28469	SLUZBY	\N	\N
161844	541	1996-08-31	VYDAJ	VYBER	15	31973	SLUZBY	\N	\N
161845	541	1996-09-30	VYDAJ	VYBER	15	32794	SLUZBY	\N	\N
161846	541	1996-10-31	VYDAJ	VYBER	15	32215	SLUZBY	\N	\N
161847	541	1996-11-30	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
161848	541	1996-12-31	VYDAJ	VYBER	15	30416	SLUZBY	\N	\N
161849	541	1997-01-31	VYDAJ	VYBER	15	16935	SLUZBY	\N	\N
161850	541	1997-02-28	VYDAJ	VYBER	15	18690	SLUZBY	\N	\N
161851	541	1997-03-31	VYDAJ	VYBER	15	18051	SLUZBY	\N	\N
161852	541	1997-04-30	VYDAJ	VYBER	15	19110	SLUZBY	\N	\N
161853	541	1997-05-31	VYDAJ	VYBER	15	21174	SLUZBY	\N	\N
161854	541	1997-06-30	VYDAJ	VYBER	15	22417	SLUZBY	\N	\N
161855	541	1997-07-31	VYDAJ	VYBER	15	21490	SLUZBY	\N	\N
161856	541	1997-08-31	VYDAJ	VYBER	15	18453	SLUZBY	\N	\N
161857	541	1997-09-30	VYDAJ	VYBER	15	20210	SLUZBY	\N	\N
161858	541	1997-10-31	VYDAJ	VYBER	15	18469	SLUZBY	\N	\N
161859	541	1997-11-30	VYDAJ	VYBER	15	21626	SLUZBY	\N	\N
161860	541	1997-12-31	VYDAJ	VYBER	15	21454	SLUZBY	\N	\N
161861	541	1998-01-31	VYDAJ	VYBER	15	17402	SLUZBY	\N	\N
161862	541	1998-02-28	VYDAJ	VYBER	15	21455	SLUZBY	\N	\N
161863	541	1998-03-31	VYDAJ	VYBER	15	19215	SLUZBY	\N	\N
161864	541	1998-04-30	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
161865	541	1998-05-31	VYDAJ	VYBER	15	18216	SLUZBY	\N	\N
161866	541	1998-06-30	VYDAJ	VYBER	15	23250	SLUZBY	\N	\N
161867	541	1998-07-31	VYDAJ	VYBER	15	16745	SLUZBY	\N	\N
161868	541	1998-08-31	VYDAJ	VYBER	15	28209	SLUZBY	\N	\N
161869	541	1998-09-30	VYDAJ	VYBER	15	20879	SLUZBY	\N	\N
161870	541	1998-10-31	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
161871	541	1998-11-30	VYDAJ	VYBER	15	15861	SLUZBY	\N	\N
161872	541	1993-09-11	PRIJEM	VKLAD	400	20706	\N	\N	\N
161873	541	1993-10-11	VYDAJ	VYBER	10300	30570	\N	\N	\N
161874	541	1993-11-10	VYDAJ	VYBER	13200	37590	\N	\N	\N
161875	541	1993-12-10	VYDAJ	VYBER	22800	45097	\N	\N	\N
161876	541	1994-01-09	VYDAJ	VYBER	22100	43209	\N	\N	\N
161877	541	1994-02-08	VYDAJ	VYBER	9300	37233	\N	\N	\N
161878	541	1994-03-10	VYDAJ	VYBER	11200	34229	\N	\N	\N
161879	541	1994-04-09	VYDAJ	VYBER	11900	33908	\N	\N	\N
161880	541	1994-05-09	VYDAJ	VYBER	11100	32749	\N	\N	\N
161881	541	1994-06-08	VYDAJ	VYBER	16100	38233	\N	\N	\N
161882	541	1994-07-08	VYDAJ	VYBER	9500	31764	\N	\N	\N
161883	541	1994-08-07	PRIJEM	VKLAD	700	23851	\N	\N	\N
161884	541	1994-09-06	VYDAJ	VYBER	4200	31183	\N	\N	\N
161885	541	1994-10-06	VYDAJ	VYBER	8800	33949	\N	\N	\N
161886	541	1994-11-05	VYDAJ	VYBER	11100	35843	\N	\N	\N
161887	541	1994-12-05	VYDAJ	VYBER	10500	36909	\N	\N	\N
161888	541	1995-01-04	VYDAJ	VYBER	17800	39071	\N	\N	\N
161889	541	1995-02-03	VYDAJ	VYBER	2100	25707	\N	\N	\N
161890	541	1995-03-05	VYDAJ	VYBER	900	31022	\N	\N	\N
161891	541	1995-04-04	VYDAJ	VYBER	9200	33348	\N	\N	\N
161892	541	1995-05-04	VYDAJ	VYBER	8100	32095	\N	\N	\N
161893	541	1995-06-03	VYDAJ	VYBER	10200	32589	\N	\N	\N
161894	541	1995-07-03	VYDAJ	VYBER	7500	35637	\N	\N	\N
161895	541	1995-08-02	VYDAJ	VYBER	11800	35387	\N	\N	\N
161896	541	1995-09-01	VYDAJ	VYBER	8800	34530	\N	\N	\N
161897	541	1995-10-01	VYDAJ	VYBER	8600	32543	\N	\N	\N
161898	541	1995-10-31	VYDAJ	VYBER	6600	34577	\N	\N	\N
161899	541	1995-11-30	VYDAJ	VYBER	9800	31761	\N	\N	\N
161900	541	1995-12-30	VYDAJ	VYBER	14200	37978	\N	\N	\N
161901	541	1996-01-29	VYDAJ	VYBER KARTOU	2000	22794	\N	\N	0
161902	541	1996-02-28	VYDAJ	VYBER KARTOU	2500	31784	\N	\N	0
161903	541	1996-03-29	VYDAJ	VYBER	8100	35175	\N	\N	\N
161904	541	1996-04-28	VYDAJ	VYBER	11400	35301	\N	\N	\N
161905	541	1996-05-28	VYDAJ	VYBER	7300	34940	\N	\N	\N
161906	541	1996-06-27	VYDAJ	VYBER	12300	44221	\N	\N	\N
161907	541	1996-07-27	VYDAJ	VYBER	9700	34084	\N	\N	\N
161908	541	1996-08-26	VYDAJ	VYBER	6100	31847	\N	\N	\N
161909	541	1996-09-25	VYDAJ	VYBER	10700	32651	\N	\N	\N
161910	541	1996-10-25	VYDAJ	VYBER	12100	32072	\N	\N	\N
161911	541	1996-11-24	VYDAJ	VYBER	12300	30593	\N	\N	\N
161912	541	1996-12-24	VYDAJ	VYBER	19500	30261	\N	\N	\N
161913	541	1997-01-23	VYDAJ	VYBER	10100	16854	\N	\N	\N
161914	541	1997-02-22	VYDAJ	VYBER	9700	18613	\N	\N	\N
161915	541	1997-03-24	VYDAJ	VYBER	12100	17968	\N	\N	\N
161916	541	1997-04-23	VYDAJ	VYBER	10400	19029	\N	\N	\N
161917	541	1997-05-23	VYDAJ	VYBER	9400	21088	\N	\N	\N
161918	541	1997-06-22	VYDAJ	VYBER	20300	22305	\N	\N	\N
161919	541	1997-07-22	VYDAJ	VYBER	12400	21395	\N	\N	\N
161920	541	1997-08-21	VYDAJ	VYBER	14500	18368	\N	\N	\N
161921	541	1997-09-20	VYDAJ	VYBER	9700	20131	\N	\N	\N
161922	541	1997-10-20	VYDAJ	VYBER	13200	18388	\N	\N	\N
161923	541	1997-11-19	VYDAJ	VYBER	8300	21547	\N	\N	\N
161924	541	1997-12-19	VYDAJ	VYBER	18800	21357	\N	\N	\N
161925	541	1998-01-18	VYDAJ	VYBER	4800	17332	\N	\N	\N
161926	541	1998-02-17	VYDAJ	VYBER	7400	21380	\N	\N	\N
161927	541	1998-03-19	VYDAJ	VYBER	13700	19133	\N	\N	\N
161928	541	1998-04-18	VYDAJ	VYBER	12400	18193	\N	\N	\N
161929	541	1998-05-18	VYDAJ	VYBER	11500	18145	\N	\N	\N
161930	541	1998-07-17	VYDAJ	VYBER	12200	16668	\N	\N	\N
161931	541	1998-09-15	VYDAJ	VYBER	18800	20787	\N	\N	\N
161932	541	1998-10-15	VYDAJ	VYBER	14900	17357	\N	\N	\N
161933	541	1998-11-14	VYDAJ	VYBER	13000	15803	\N	\N	\N
161934	541	1998-12-14	VYDAJ	VYBER	17200	20092	\N	\N	\N
162001	542	1993-11-01	PRIJEM	VKLAD	900	900	\N	\N	\N
162012	542	1993-11-05	PRIJEM	PREVOD Z UCTU	4125	5025	DUCHOD	KL	11986261
162013	542	1993-12-05	PRIJEM	PREVOD Z UCTU	4125	9168	DUCHOD	KL	11986261
162014	542	1994-01-05	PRIJEM	PREVOD Z UCTU	4125	13314	DUCHOD	KL	11986261
162015	542	1994-02-05	PRIJEM	PREVOD Z UCTU	4125	17460	DUCHOD	KL	11986261
162016	542	1994-03-05	PRIJEM	PREVOD Z UCTU	4125	21606	DUCHOD	KL	11986261
162017	542	1994-04-05	PRIJEM	PREVOD Z UCTU	4125	23047	DUCHOD	KL	11986261
162018	542	1994-05-05	PRIJEM	PREVOD Z UCTU	4125	24501	DUCHOD	KL	11986261
162019	542	1994-06-05	PRIJEM	PREVOD Z UCTU	4125	25951	DUCHOD	KL	11986261
162020	542	1994-07-05	PRIJEM	PREVOD Z UCTU	4125	18854	DUCHOD	KL	11986261
162021	542	1994-08-05	PRIJEM	PREVOD Z UCTU	4125	20290	DUCHOD	KL	11986261
162022	542	1994-09-05	PRIJEM	PREVOD Z UCTU	4125	21733	DUCHOD	KL	11986261
162023	542	1994-10-05	PRIJEM	PREVOD Z UCTU	4125	23171	DUCHOD	KL	11986261
162024	542	1994-11-05	PRIJEM	PREVOD Z UCTU	4125	24626	DUCHOD	KL	11986261
162025	542	1994-12-05	PRIJEM	PREVOD Z UCTU	4125	26086	DUCHOD	KL	11986261
162026	542	1995-01-05	PRIJEM	PREVOD Z UCTU	4125	23821	DUCHOD	KL	11986261
162027	542	1995-02-05	PRIJEM	PREVOD Z UCTU	4125	17728	DUCHOD	KL	11986261
162028	542	1995-03-05	PRIJEM	PREVOD Z UCTU	4125	19159	DUCHOD	KL	11986261
162029	542	1995-04-05	PRIJEM	PREVOD Z UCTU	4125	18265	DUCHOD	KL	11986261
162030	542	1995-05-05	PRIJEM	PREVOD Z UCTU	4125	19690	DUCHOD	KL	11986261
162031	542	1995-06-05	PRIJEM	PREVOD Z UCTU	4125	21129	DUCHOD	KL	11986261
162032	542	1995-07-05	PRIJEM	PREVOD Z UCTU	4125	19159	DUCHOD	KL	11986261
162033	542	1995-08-05	PRIJEM	PREVOD Z UCTU	4125	20596	DUCHOD	KL	11986261
162034	542	1995-09-05	PRIJEM	PREVOD Z UCTU	4125	17707	DUCHOD	KL	11986261
162035	542	1995-10-05	PRIJEM	PREVOD Z UCTU	4125	18411	DUCHOD	KL	11986261
162036	542	1995-11-05	PRIJEM	PREVOD Z UCTU	4125	19845	DUCHOD	KL	11986261
162037	542	1995-12-05	PRIJEM	PREVOD Z UCTU	4125	20726	DUCHOD	KL	11986261
162038	542	1996-01-05	PRIJEM	PREVOD Z UCTU	4125	20880	DUCHOD	KL	11986261
162039	542	1996-02-05	PRIJEM	PREVOD Z UCTU	4125	18817	DUCHOD	KL	11986261
162040	542	1996-03-05	PRIJEM	PREVOD Z UCTU	4125	20243	DUCHOD	KL	11986261
162041	542	1996-04-05	PRIJEM	PREVOD Z UCTU	4125	18555	DUCHOD	KL	11986261
162042	542	1996-05-05	PRIJEM	PREVOD Z UCTU	4125	19980	DUCHOD	KL	11986261
162043	542	1996-06-05	PRIJEM	PREVOD Z UCTU	4125	21421	DUCHOD	KL	11986261
162044	542	1996-07-05	PRIJEM	PREVOD Z UCTU	4125	21204	DUCHOD	KL	11986261
162045	542	1996-08-05	PRIJEM	PREVOD Z UCTU	4125	22649	DUCHOD	KL	11986261
162046	542	1996-09-05	PRIJEM	PREVOD Z UCTU	4125	24101	DUCHOD	KL	11986261
162047	542	1996-10-05	PRIJEM	PREVOD Z UCTU	4125	23467	DUCHOD	KL	11986261
162048	542	1996-11-05	PRIJEM	PREVOD Z UCTU	4125	24511	DUCHOD	KL	11986261
162049	542	1996-12-05	PRIJEM	PREVOD Z UCTU	4125	24364	DUCHOD	KL	11986261
162050	542	1997-01-05	PRIJEM	PREVOD Z UCTU	4125	20759	DUCHOD	KL	11986261
162051	542	1997-02-05	PRIJEM	PREVOD Z UCTU	4125	18986	DUCHOD	KL	11986261
162052	542	1997-03-05	PRIJEM	PREVOD Z UCTU	4125	19452	DUCHOD	KL	11986261
162053	542	1997-04-05	PRIJEM	PREVOD Z UCTU	4125	20890	DUCHOD	KL	11986261
162054	542	1997-05-05	PRIJEM	PREVOD Z UCTU	4125	20974	DUCHOD	KL	11986261
162055	542	1997-06-05	PRIJEM	PREVOD Z UCTU	4125	22418	DUCHOD	KL	11986261
162056	542	1997-07-05	PRIJEM	PREVOD Z UCTU	4125	19494	DUCHOD	KL	11986261
162057	542	1997-08-05	PRIJEM	PREVOD Z UCTU	4125	20922	DUCHOD	KL	11986261
162058	542	1997-09-05	PRIJEM	PREVOD Z UCTU	4125	22356	DUCHOD	KL	11986261
162059	542	1997-10-05	PRIJEM	PREVOD Z UCTU	4125	20103	DUCHOD	KL	11986261
162060	542	1997-11-05	PRIJEM	PREVOD Z UCTU	4125	21543	DUCHOD	KL	11986261
162061	542	1997-12-05	PRIJEM	PREVOD Z UCTU	4125	22979	DUCHOD	KL	11986261
162062	542	1998-01-05	PRIJEM	PREVOD Z UCTU	4125	21378	DUCHOD	KL	11986261
162063	542	1998-02-05	PRIJEM	PREVOD Z UCTU	4125	20166	DUCHOD	KL	11986261
162064	542	1998-03-05	PRIJEM	PREVOD Z UCTU	4125	21597	DUCHOD	KL	11986261
162065	542	1998-04-05	PRIJEM	PREVOD Z UCTU	4125	20144	DUCHOD	KL	11986261
162066	542	1998-05-05	PRIJEM	PREVOD Z UCTU	4125	21584	DUCHOD	KL	11986261
162067	542	1998-06-05	PRIJEM	PREVOD Z UCTU	4125	23030	DUCHOD	KL	11986261
162068	542	1998-07-05	PRIJEM	PREVOD Z UCTU	4125	24482	DUCHOD	KL	11986261
162069	542	1998-08-05	PRIJEM	PREVOD Z UCTU	4125	23529	DUCHOD	KL	11986261
162070	542	1998-09-05	PRIJEM	PREVOD Z UCTU	4125	24973	DUCHOD	KL	11986261
162071	542	1998-10-05	PRIJEM	PREVOD Z UCTU	4125	22090	DUCHOD	KL	11986261
162072	542	1998-11-05	PRIJEM	PREVOD Z UCTU	4125	23538	DUCHOD	KL	11986261
162073	542	1998-12-05	PRIJEM	PREVOD Z UCTU	4125	21302	DUCHOD	KL	11986261
162088	542	1994-03-05	VYDAJ	PREVOD NA UCET	2750	18856	SIPO	WX	82309841
162209	542	1995-03-15	VYDAJ	VYBER	2320	14089	\N	\N	\N
162089	542	1994-04-05	VYDAJ	PREVOD NA UCET	2750	20297	SIPO	WX	82309841
162090	542	1994-05-05	VYDAJ	PREVOD NA UCET	2750	21751	SIPO	WX	82309841
162091	542	1994-06-05	VYDAJ	PREVOD NA UCET	2750	23201	SIPO	WX	82309841
162092	542	1994-07-05	VYDAJ	PREVOD NA UCET	2750	16104	SIPO	WX	82309841
162093	542	1994-08-05	VYDAJ	PREVOD NA UCET	2750	17540	SIPO	WX	82309841
162094	542	1994-09-05	VYDAJ	PREVOD NA UCET	2750	18983	SIPO	WX	82309841
162095	542	1994-10-05	VYDAJ	PREVOD NA UCET	2750	20421	SIPO	WX	82309841
162096	542	1994-11-05	VYDAJ	PREVOD NA UCET	2750	21876	SIPO	WX	82309841
162097	542	1994-12-05	VYDAJ	PREVOD NA UCET	2750	23336	SIPO	WX	82309841
162098	542	1995-01-05	VYDAJ	PREVOD NA UCET	2750	21071	SIPO	WX	82309841
162099	542	1995-02-05	VYDAJ	PREVOD NA UCET	2750	14978	SIPO	WX	82309841
162100	542	1995-03-05	VYDAJ	PREVOD NA UCET	2750	16409	SIPO	WX	82309841
162101	542	1995-04-05	VYDAJ	PREVOD NA UCET	2750	15515	SIPO	WX	82309841
162102	542	1995-05-05	VYDAJ	PREVOD NA UCET	2750	16940	SIPO	WX	82309841
162103	542	1995-06-05	VYDAJ	PREVOD NA UCET	2750	18379	SIPO	WX	82309841
162104	542	1995-07-05	VYDAJ	PREVOD NA UCET	2750	16409	SIPO	WX	82309841
162105	542	1995-08-05	VYDAJ	PREVOD NA UCET	2750	17846	SIPO	WX	82309841
162106	542	1995-09-05	VYDAJ	PREVOD NA UCET	2750	14957	SIPO	WX	82309841
162107	542	1995-10-05	VYDAJ	PREVOD NA UCET	2750	15661	SIPO	WX	82309841
162108	542	1995-11-05	VYDAJ	PREVOD NA UCET	2750	17095	SIPO	WX	82309841
162109	542	1995-12-05	VYDAJ	PREVOD NA UCET	2750	17976	SIPO	WX	82309841
162110	542	1996-01-05	VYDAJ	PREVOD NA UCET	2750	18130	SIPO	WX	82309841
162111	542	1996-02-05	VYDAJ	PREVOD NA UCET	2750	16067	SIPO	WX	82309841
162112	542	1996-03-05	VYDAJ	PREVOD NA UCET	2750	17493	SIPO	WX	82309841
162113	542	1996-04-05	VYDAJ	PREVOD NA UCET	2750	15805	SIPO	WX	82309841
162114	542	1996-05-05	VYDAJ	PREVOD NA UCET	2750	17230	SIPO	WX	82309841
162115	542	1996-06-05	VYDAJ	PREVOD NA UCET	2750	18671	SIPO	WX	82309841
162116	542	1996-07-05	VYDAJ	PREVOD NA UCET	2750	18454	SIPO	WX	82309841
162117	542	1996-08-05	VYDAJ	PREVOD NA UCET	2750	19899	SIPO	WX	82309841
162118	542	1996-09-05	VYDAJ	PREVOD NA UCET	2750	21351	SIPO	WX	82309841
162119	542	1996-10-05	VYDAJ	PREVOD NA UCET	2750	20717	SIPO	WX	82309841
162120	542	1996-11-05	VYDAJ	PREVOD NA UCET	2750	21761	SIPO	WX	82309841
162121	542	1996-12-05	VYDAJ	PREVOD NA UCET	2750	21614	SIPO	WX	82309841
162122	542	1997-01-05	VYDAJ	PREVOD NA UCET	2750	18009	SIPO	WX	82309841
162123	542	1997-02-05	VYDAJ	PREVOD NA UCET	2750	16236	SIPO	WX	82309841
162124	542	1997-03-05	VYDAJ	PREVOD NA UCET	2750	16702	SIPO	WX	82309841
162125	542	1997-04-05	VYDAJ	PREVOD NA UCET	2750	18140	SIPO	WX	82309841
162126	542	1997-05-05	VYDAJ	PREVOD NA UCET	2750	18224	SIPO	WX	82309841
162127	542	1997-06-05	VYDAJ	PREVOD NA UCET	2750	19668	SIPO	WX	82309841
162128	542	1997-07-05	VYDAJ	PREVOD NA UCET	2750	16744	SIPO	WX	82309841
162129	542	1997-08-05	VYDAJ	PREVOD NA UCET	2750	18172	SIPO	WX	82309841
162130	542	1997-09-05	VYDAJ	PREVOD NA UCET	2750	19606	SIPO	WX	82309841
162131	542	1997-10-05	VYDAJ	PREVOD NA UCET	2750	17353	SIPO	WX	82309841
162132	542	1997-11-05	VYDAJ	PREVOD NA UCET	2750	18793	SIPO	WX	82309841
162133	542	1997-12-05	VYDAJ	PREVOD NA UCET	2750	20229	SIPO	WX	82309841
162134	542	1998-01-05	VYDAJ	PREVOD NA UCET	2750	18628	SIPO	WX	82309841
162135	542	1998-02-05	VYDAJ	PREVOD NA UCET	2750	17416	SIPO	WX	82309841
162136	542	1998-03-05	VYDAJ	PREVOD NA UCET	2750	18847	SIPO	WX	82309841
162137	542	1998-04-05	VYDAJ	PREVOD NA UCET	2750	17394	SIPO	WX	82309841
162138	542	1998-05-05	VYDAJ	PREVOD NA UCET	2750	18834	SIPO	WX	82309841
162139	542	1998-06-05	VYDAJ	PREVOD NA UCET	2750	20280	SIPO	WX	82309841
162140	542	1998-07-05	VYDAJ	PREVOD NA UCET	2750	21732	SIPO	WX	82309841
162141	542	1998-08-05	VYDAJ	PREVOD NA UCET	2750	20779	SIPO	WX	82309841
162142	542	1998-09-05	VYDAJ	PREVOD NA UCET	2750	22223	SIPO	WX	82309841
162143	542	1998-10-05	VYDAJ	PREVOD NA UCET	2750	19340	SIPO	WX	82309841
162144	542	1998-11-05	VYDAJ	PREVOD NA UCET	2750	20788	SIPO	WX	82309841
162145	542	1998-12-05	VYDAJ	PREVOD NA UCET	2750	18552	SIPO	WX	82309841
162147	542	1994-06-28	VYDAJ	VYBER	8550	14651	\N	\N	\N
162148	542	1995-06-17	VYDAJ	VYBER	3400	14979	\N	\N	\N
162149	542	1996-06-13	VYDAJ	VYBER	1650	17021	\N	\N	\N
162150	542	1997-06-07	VYDAJ	VYBER	4350	15318	\N	\N	\N
162155	542	1996-01-11	VYDAJ	VYBER	2050	16080	\N	\N	\N
162159	542	1994-12-29	VYDAJ	VYBER	1000	21776	\N	\N	\N
162160	542	1995-12-04	VYDAJ	VYBER	550	16601	\N	\N	\N
162161	542	1996-12-26	VYDAJ	VYBER	500	21114	\N	\N	\N
162162	542	1997-12-13	VYDAJ	VYBER	1200	19029	\N	\N	\N
162163	542	1998-12-14	VYDAJ	VYBER	300	18252	\N	\N	\N
162177	542	1995-01-10	VYDAJ	VYBER	1920	17311	\N	\N	\N
162178	542	1995-01-07	VYDAJ	VYBER	1840	19231	\N	\N	\N
162180	542	1995-01-04	VYDAJ	VYBER	2160	19696	\N	\N	\N
162184	542	1996-01-15	VYDAJ	VYBER	1440	14640	\N	\N	\N
162187	542	1996-01-04	VYDAJ	VYBER	1280	16755	\N	\N	\N
162190	542	1997-01-08	VYDAJ	VYBER	1040	16969	\N	\N	\N
162191	542	1997-01-19	VYDAJ	VYBER	1280	14809	\N	\N	\N
162192	542	1997-01-01	VYDAJ	VYBER	1280	18154	\N	\N	\N
162194	542	1998-01-06	VYDAJ	VYBER	2000	16628	\N	\N	\N
162195	542	1998-01-23	VYDAJ	VYBER	640	15988	\N	\N	\N
162206	542	1994-12-13	VYDAJ	VYBER	560	22776	\N	\N	\N
162207	542	1995-08-30	VYDAJ	VYBER	1440	13526	\N	\N	\N
162208	542	1995-08-25	VYDAJ	VYBER	2880	14966	\N	\N	\N
162210	542	1995-01-13	VYDAJ	VYBER	3760	13551	\N	\N	\N
162211	542	1995-09-16	VYDAJ	VYBER	720	14237	\N	\N	\N
162212	542	1996-12-26	VYDAJ	VYBER	1760	19354	\N	\N	\N
162213	542	1996-10-08	VYDAJ	VYBER	400	20317	\N	\N	\N
162214	542	1996-03-20	VYDAJ	VYBER	3120	14373	\N	\N	\N
162215	542	1996-09-25	VYDAJ	VYBER	2080	19271	\N	\N	\N
162216	542	1996-11-21	VYDAJ	VYBER	1600	20161	\N	\N	\N
162217	542	1997-04-30	VYDAJ	VYBER	1360	16849	\N	\N	\N
162218	542	1997-12-28	VYDAJ	VYBER	1840	17189	\N	\N	\N
162221	542	1997-02-27	VYDAJ	VYBER	960	15276	\N	\N	\N
162222	542	1997-01-11	VYDAJ	VYBER	880	16089	\N	\N	\N
162223	542	1997-09-05	VYDAJ	VYBER	3680	15926	\N	\N	\N
162224	542	1997-01-01	VYDAJ	VYBER	1520	16634	\N	\N	\N
162225	542	1998-09-10	VYDAJ	VYBER	2880	17903	\N	\N	\N
162226	542	1998-03-08	VYDAJ	VYBER	2880	15967	\N	\N	\N
162228	542	1998-09-09	VYDAJ	VYBER	1440	20783	\N	\N	\N
162229	542	1998-12-04	VYDAJ	VYBER	3680	17177	\N	\N	\N
162230	542	1998-07-15	VYDAJ	VYBER	2400	19332	\N	\N	\N
162246	542	1994-03-31	VYDAJ	VYBER	15	18922	SLUZBY	\N	\N
162247	542	1994-04-30	VYDAJ	VYBER	15	20376	SLUZBY	\N	\N
162248	542	1994-05-31	VYDAJ	VYBER	15	21826	SLUZBY	\N	\N
162249	542	1994-06-30	VYDAJ	VYBER	15	14729	SLUZBY	\N	\N
162250	542	1994-07-31	VYDAJ	VYBER	15	16165	SLUZBY	\N	\N
162251	542	1994-08-31	VYDAJ	VYBER	15	17608	SLUZBY	\N	\N
162252	542	1994-09-30	VYDAJ	VYBER	15	19046	SLUZBY	\N	\N
162253	542	1994-10-31	VYDAJ	VYBER	15	20501	SLUZBY	\N	\N
162254	542	1994-11-30	VYDAJ	VYBER	15	21961	SLUZBY	\N	\N
162255	542	1994-12-31	VYDAJ	VYBER	15	21856	SLUZBY	\N	\N
162256	542	1995-01-31	VYDAJ	VYBER	15	13603	SLUZBY	\N	\N
162257	542	1995-02-28	VYDAJ	VYBER	15	15034	SLUZBY	\N	\N
162258	542	1995-03-31	VYDAJ	VYBER	15	14140	SLUZBY	\N	\N
162259	542	1995-04-30	VYDAJ	VYBER	15	15565	SLUZBY	\N	\N
162260	542	1995-05-31	VYDAJ	VYBER	15	17004	SLUZBY	\N	\N
162261	542	1995-06-30	VYDAJ	VYBER	15	15034	SLUZBY	\N	\N
162262	542	1995-07-31	VYDAJ	VYBER	15	16471	SLUZBY	\N	\N
162263	542	1995-08-31	VYDAJ	VYBER	15	13582	SLUZBY	\N	\N
162264	542	1995-09-30	VYDAJ	VYBER	15	14286	SLUZBY	\N	\N
162265	542	1995-10-31	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
162266	542	1995-11-30	VYDAJ	VYBER	15	17151	SLUZBY	\N	\N
162267	542	1995-12-31	VYDAJ	VYBER	15	18035	SLUZBY	\N	\N
162268	542	1996-01-31	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
162269	542	1996-02-29	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
162270	542	1996-03-31	VYDAJ	VYBER	15	14430	SLUZBY	\N	\N
162271	542	1996-04-30	VYDAJ	VYBER	15	15855	SLUZBY	\N	\N
162272	542	1996-05-31	VYDAJ	VYBER	15	17296	SLUZBY	\N	\N
162273	542	1996-06-30	VYDAJ	VYBER	15	17079	SLUZBY	\N	\N
162274	542	1996-07-31	VYDAJ	VYBER	15	18524	SLUZBY	\N	\N
162275	542	1996-08-31	VYDAJ	VYBER	15	19976	SLUZBY	\N	\N
162276	542	1996-09-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
162277	542	1996-10-31	VYDAJ	VYBER	15	20386	SLUZBY	\N	\N
162278	542	1996-11-30	VYDAJ	VYBER	15	20239	SLUZBY	\N	\N
162279	542	1996-12-31	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
162280	542	1997-01-31	VYDAJ	VYBER	15	14861	SLUZBY	\N	\N
162281	542	1997-02-28	VYDAJ	VYBER	15	15327	SLUZBY	\N	\N
162282	542	1997-03-31	VYDAJ	VYBER	15	16765	SLUZBY	\N	\N
162283	542	1997-04-30	VYDAJ	VYBER	15	18209	SLUZBY	\N	\N
162284	542	1997-05-31	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
162285	542	1997-06-30	VYDAJ	VYBER	15	15369	SLUZBY	\N	\N
162286	542	1997-07-31	VYDAJ	VYBER	15	16797	SLUZBY	\N	\N
162287	542	1997-08-31	VYDAJ	VYBER	15	18231	SLUZBY	\N	\N
162288	542	1997-09-30	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
162289	542	1997-10-31	VYDAJ	VYBER	15	17418	SLUZBY	\N	\N
162290	542	1997-11-30	VYDAJ	VYBER	15	18854	SLUZBY	\N	\N
162291	542	1997-12-31	VYDAJ	VYBER	15	17253	SLUZBY	\N	\N
162292	542	1998-01-31	VYDAJ	VYBER	15	16041	SLUZBY	\N	\N
162293	542	1998-02-28	VYDAJ	VYBER	15	17472	SLUZBY	\N	\N
162294	542	1998-03-31	VYDAJ	VYBER	15	16019	SLUZBY	\N	\N
162295	542	1998-04-30	VYDAJ	VYBER	15	17459	SLUZBY	\N	\N
162296	542	1998-05-31	VYDAJ	VYBER	15	18905	SLUZBY	\N	\N
162297	542	1998-06-30	VYDAJ	VYBER	15	20357	SLUZBY	\N	\N
162298	542	1998-07-31	VYDAJ	VYBER	15	19404	SLUZBY	\N	\N
162299	542	1998-08-31	VYDAJ	VYBER	15	20848	SLUZBY	\N	\N
162300	542	1998-09-30	VYDAJ	VYBER	15	17965	SLUZBY	\N	\N
162301	542	1998-10-31	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
162302	542	1998-11-30	VYDAJ	VYBER	15	20857	SLUZBY	\N	\N
162365	543	1994-05-03	PRIJEM	VKLAD	600	600	\N	\N	\N
162370	543	1994-05-12	PRIJEM	PREVOD Z UCTU	3583	4183	\N	YZ	44113671
162371	543	1994-06-12	PRIJEM	PREVOD Z UCTU	3583	17477	\N	YZ	44113671
162372	543	1994-07-12	PRIJEM	PREVOD Z UCTU	3583	26613	\N	YZ	44113671
162373	543	1994-08-12	PRIJEM	PREVOD Z UCTU	3583	26893	\N	YZ	44113671
162374	543	1994-09-12	PRIJEM	PREVOD Z UCTU	3583	27687	\N	YZ	44113671
162375	543	1994-10-12	PRIJEM	PREVOD Z UCTU	3583	26577	\N	YZ	44113671
162376	543	1994-11-12	PRIJEM	PREVOD Z UCTU	3583	24704	\N	YZ	44113671
162377	543	1994-12-12	PRIJEM	PREVOD Z UCTU	3583	22152	\N	YZ	44113671
162378	543	1995-01-12	PRIJEM	PREVOD Z UCTU	3583	24150	\N	YZ	44113671
162379	543	1995-02-12	PRIJEM	PREVOD Z UCTU	3583	22670	\N	YZ	44113671
162380	543	1995-03-12	PRIJEM	PREVOD Z UCTU	3583	22838	\N	YZ	44113671
162381	543	1995-04-12	PRIJEM	PREVOD Z UCTU	3583	24807	\N	YZ	44113671
162382	543	1995-05-12	PRIJEM	PREVOD Z UCTU	3583	26637	\N	YZ	44113671
162383	543	1995-06-12	PRIJEM	PREVOD Z UCTU	3583	25620	\N	YZ	44113671
162384	543	1995-07-12	PRIJEM	PREVOD Z UCTU	3583	20420	\N	YZ	44113671
162385	543	1995-08-12	PRIJEM	PREVOD Z UCTU	3583	19680	\N	YZ	44113671
162386	543	1995-09-12	PRIJEM	PREVOD Z UCTU	3583	21418	\N	YZ	44113671
162387	543	1995-10-12	PRIJEM	PREVOD Z UCTU	3583	23682	\N	YZ	44113671
162388	543	1995-11-12	PRIJEM	PREVOD Z UCTU	3583	23353	\N	YZ	44113671
162389	543	1995-12-12	PRIJEM	PREVOD Z UCTU	3583	21094	\N	YZ	44113671
162390	543	1996-01-12	PRIJEM	PREVOD Z UCTU	3583	20828	\N	YZ	44113671
162391	543	1996-02-12	PRIJEM	PREVOD Z UCTU	3583	17011	\N	YZ	44113671
162392	543	1996-03-12	PRIJEM	PREVOD Z UCTU	3583	21261	\N	YZ	44113671
162393	543	1996-04-12	PRIJEM	PREVOD Z UCTU	3583	20073	\N	YZ	44113671
162394	543	1996-05-12	PRIJEM	PREVOD Z UCTU	3583	23123	\N	YZ	44113671
162395	543	1996-06-12	PRIJEM	PREVOD Z UCTU	3583	21290	\N	YZ	44113671
162396	543	1996-07-12	PRIJEM	PREVOD Z UCTU	3583	20349	\N	YZ	44113671
162397	543	1996-08-12	PRIJEM	PREVOD Z UCTU	3583	17975	\N	YZ	44113671
162398	543	1996-09-12	PRIJEM	PREVOD Z UCTU	3583	18524	\N	YZ	44113671
162399	543	1996-10-12	PRIJEM	PREVOD Z UCTU	3583	14976	\N	YZ	44113671
162400	543	1996-11-12	PRIJEM	PREVOD Z UCTU	3583	16012	\N	YZ	44113671
162401	543	1996-12-12	PRIJEM	PREVOD Z UCTU	3583	14648	\N	YZ	44113671
162402	543	1997-01-12	PRIJEM	PREVOD Z UCTU	3583	17908	\N	YZ	44113671
162403	543	1997-02-12	PRIJEM	PREVOD Z UCTU	3583	15051	\N	YZ	44113671
162404	543	1997-03-12	PRIJEM	PREVOD Z UCTU	3583	19493	\N	YZ	44113671
162405	543	1997-04-12	PRIJEM	PREVOD Z UCTU	3583	18625	\N	YZ	44113671
162406	543	1997-05-12	PRIJEM	PREVOD Z UCTU	3583	16068	\N	YZ	44113671
162407	543	1997-06-12	PRIJEM	PREVOD Z UCTU	3583	20315	\N	YZ	44113671
162408	543	1997-07-12	PRIJEM	PREVOD Z UCTU	3583	16767	\N	YZ	44113671
162409	543	1997-08-12	PRIJEM	PREVOD Z UCTU	3583	18120	\N	YZ	44113671
162410	543	1997-09-12	PRIJEM	PREVOD Z UCTU	3583	15761	\N	YZ	44113671
162411	543	1997-10-12	PRIJEM	PREVOD Z UCTU	3583	15295	\N	YZ	44113671
162412	543	1997-11-12	PRIJEM	PREVOD Z UCTU	3583	16131	\N	YZ	44113671
162413	543	1997-12-12	PRIJEM	PREVOD Z UCTU	3583	15767	\N	YZ	44113671
162414	543	1998-01-12	PRIJEM	PREVOD Z UCTU	3583	16014	\N	YZ	44113671
162415	543	1998-02-12	PRIJEM	PREVOD Z UCTU	3583	15421	\N	YZ	44113671
162416	543	1998-03-12	PRIJEM	PREVOD Z UCTU	3583	16658	\N	YZ	44113671
162417	543	1998-04-12	PRIJEM	PREVOD Z UCTU	3583	17902	\N	YZ	44113671
162418	543	1998-05-12	PRIJEM	PREVOD Z UCTU	3583	19152	\N	YZ	44113671
162419	543	1998-06-12	PRIJEM	PREVOD Z UCTU	3583	19056	\N	YZ	44113671
162420	543	1998-07-12	PRIJEM	PREVOD Z UCTU	3583	16168	\N	YZ	44113671
162421	543	1998-08-12	PRIJEM	PREVOD Z UCTU	3583	15008	\N	YZ	44113671
162422	543	1998-09-12	PRIJEM	PREVOD Z UCTU	3583	15854	\N	YZ	44113671
162423	543	1998-10-12	PRIJEM	PREVOD Z UCTU	3583	17095	\N	YZ	44113671
162424	543	1998-11-12	PRIJEM	PREVOD Z UCTU	3583	16385	\N	YZ	44113671
162425	543	1998-12-12	PRIJEM	PREVOD Z UCTU	3583	17416	\N	YZ	44113671
162435	543	1994-10-06	VYDAJ	PREVOD NA UCET	647	23649	SIPO	EF	10095620
162436	543	1994-11-06	VYDAJ	PREVOD NA UCET	647	21776	SIPO	EF	10095620
162437	543	1994-12-06	VYDAJ	PREVOD NA UCET	647	19944	SIPO	EF	10095620
162438	543	1995-01-06	VYDAJ	PREVOD NA UCET	647	21882	SIPO	EF	10095620
162439	543	1995-02-06	VYDAJ	PREVOD NA UCET	647	19742	SIPO	EF	10095620
162440	543	1995-03-06	VYDAJ	PREVOD NA UCET	647	19910	SIPO	EF	10095620
162441	543	1995-04-06	VYDAJ	PREVOD NA UCET	647	21879	SIPO	EF	10095620
162442	543	1995-05-06	VYDAJ	PREVOD NA UCET	647	23709	SIPO	EF	10095620
162443	543	1995-06-06	VYDAJ	PREVOD NA UCET	647	22692	SIPO	EF	10095620
162444	543	1995-07-06	VYDAJ	PREVOD NA UCET	647	17492	SIPO	EF	10095620
162445	543	1995-08-06	VYDAJ	PREVOD NA UCET	647	16752	SIPO	EF	10095620
162446	543	1995-09-06	VYDAJ	PREVOD NA UCET	647	18490	SIPO	EF	10095620
162447	543	1995-10-06	VYDAJ	PREVOD NA UCET	647	20754	SIPO	EF	10095620
162448	543	1995-11-06	VYDAJ	PREVOD NA UCET	647	20425	SIPO	EF	10095620
162449	543	1995-12-06	VYDAJ	PREVOD NA UCET	647	19996	SIPO	EF	10095620
162450	543	1996-01-06	VYDAJ	PREVOD NA UCET	647	18800	SIPO	EF	10095620
162451	543	1996-02-06	VYDAJ	PREVOD NA UCET	647	14083	SIPO	EF	10095620
162452	543	1996-03-06	VYDAJ	PREVOD NA UCET	647	18333	SIPO	EF	10095620
162453	543	1996-04-06	VYDAJ	PREVOD NA UCET	647	17145	SIPO	EF	10095620
162454	543	1996-05-06	VYDAJ	PREVOD NA UCET	647	20195	SIPO	EF	10095620
162455	543	1996-06-06	VYDAJ	PREVOD NA UCET	647	18362	SIPO	EF	10095620
162456	543	1996-07-06	VYDAJ	PREVOD NA UCET	647	17421	SIPO	EF	10095620
162457	543	1996-08-06	VYDAJ	PREVOD NA UCET	647	15047	SIPO	EF	10095620
162458	543	1996-09-06	VYDAJ	PREVOD NA UCET	647	15596	SIPO	EF	10095620
162459	543	1996-10-06	VYDAJ	PREVOD NA UCET	647	12048	SIPO	EF	10095620
162460	543	1996-11-06	VYDAJ	PREVOD NA UCET	647	13084	SIPO	EF	10095620
162461	543	1996-12-06	VYDAJ	PREVOD NA UCET	647	11720	SIPO	EF	10095620
162462	543	1997-01-06	VYDAJ	PREVOD NA UCET	647	14980	SIPO	EF	10095620
162463	543	1997-02-06	VYDAJ	PREVOD NA UCET	647	12123	SIPO	EF	10095620
162464	543	1997-03-06	VYDAJ	PREVOD NA UCET	647	16565	SIPO	EF	10095620
162465	543	1997-04-06	VYDAJ	PREVOD NA UCET	647	15697	SIPO	EF	10095620
162466	543	1997-05-06	VYDAJ	PREVOD NA UCET	647	13140	SIPO	EF	10095620
162467	543	1997-06-06	VYDAJ	PREVOD NA UCET	647	17387	SIPO	EF	10095620
162468	543	1997-07-06	VYDAJ	PREVOD NA UCET	647	14769	SIPO	EF	10095620
162469	543	1997-08-06	VYDAJ	PREVOD NA UCET	647	15192	SIPO	EF	10095620
162470	543	1997-09-06	VYDAJ	PREVOD NA UCET	647	12833	SIPO	EF	10095620
162471	543	1997-10-06	VYDAJ	PREVOD NA UCET	647	12367	SIPO	EF	10095620
162472	543	1997-11-06	VYDAJ	PREVOD NA UCET	647	13203	SIPO	EF	10095620
162473	543	1997-12-06	VYDAJ	PREVOD NA UCET	647	12839	SIPO	EF	10095620
162474	543	1998-01-06	VYDAJ	PREVOD NA UCET	647	13236	SIPO	EF	10095620
162475	543	1998-02-06	VYDAJ	PREVOD NA UCET	647	12493	SIPO	EF	10095620
162476	543	1998-03-06	VYDAJ	PREVOD NA UCET	647	13730	SIPO	EF	10095620
162477	543	1998-04-06	VYDAJ	PREVOD NA UCET	647	14974	SIPO	EF	10095620
162478	543	1998-05-06	VYDAJ	PREVOD NA UCET	647	16224	SIPO	EF	10095620
162479	543	1998-06-06	VYDAJ	PREVOD NA UCET	647	16128	SIPO	EF	10095620
162480	543	1998-07-06	VYDAJ	PREVOD NA UCET	647	13240	SIPO	EF	10095620
162481	543	1998-08-06	VYDAJ	PREVOD NA UCET	647	14480	SIPO	EF	10095620
162482	543	1998-09-06	VYDAJ	PREVOD NA UCET	647	12926	SIPO	EF	10095620
162483	543	1998-10-06	VYDAJ	PREVOD NA UCET	647	14167	SIPO	EF	10095620
162484	543	1998-11-06	VYDAJ	PREVOD NA UCET	647	13457	SIPO	EF	10095620
162485	543	1998-12-06	VYDAJ	PREVOD NA UCET	647	14488	SIPO	EF	10095620
162494	543	1994-09-12	VYDAJ	PREVOD NA UCET	1086	26601	 	QR	32736635
162495	543	1994-10-12	VYDAJ	PREVOD NA UCET	1086	24831	 	QR	32736635
162496	543	1994-11-12	VYDAJ	PREVOD NA UCET	1086	23618	 	QR	32736635
162497	543	1994-12-12	VYDAJ	PREVOD NA UCET	1086	21066	 	QR	32736635
162498	543	1995-01-12	VYDAJ	PREVOD NA UCET	1086	23064	 	QR	32736635
162499	543	1995-02-12	VYDAJ	PREVOD NA UCET	1086	21584	 	QR	32736635
162500	543	1995-03-12	VYDAJ	PREVOD NA UCET	1086	21752	 	QR	32736635
162501	543	1995-04-12	VYDAJ	PREVOD NA UCET	1086	23721	 	QR	32736635
162502	543	1995-05-12	VYDAJ	PREVOD NA UCET	1086	25551	 	QR	32736635
162503	543	1995-06-12	VYDAJ	PREVOD NA UCET	1086	24534	 	QR	32736635
162504	543	1995-07-12	VYDAJ	PREVOD NA UCET	1086	19334	 	QR	32736635
162505	543	1995-08-12	VYDAJ	PREVOD NA UCET	1086	18594	 	QR	32736635
162506	543	1995-09-12	VYDAJ	PREVOD NA UCET	1086	20332	 	QR	32736635
162507	543	1995-10-12	VYDAJ	PREVOD NA UCET	1086	22596	 	QR	32736635
162508	543	1995-11-12	VYDAJ	PREVOD NA UCET	1086	22267	 	QR	32736635
162509	543	1995-12-12	VYDAJ	PREVOD NA UCET	1086	20008	 	QR	32736635
162510	543	1996-01-12	VYDAJ	PREVOD NA UCET	1086	19742	 	QR	32736635
162511	543	1996-02-12	VYDAJ	PREVOD NA UCET	1086	15925	 	QR	32736635
162512	543	1996-03-12	VYDAJ	PREVOD NA UCET	1086	20175	 	QR	32736635
162513	543	1996-04-12	VYDAJ	PREVOD NA UCET	1086	18987	 	QR	32736635
162514	543	1996-05-12	VYDAJ	PREVOD NA UCET	1086	22037	 	QR	32736635
162515	543	1996-06-12	VYDAJ	PREVOD NA UCET	1086	20204	 	QR	32736635
162516	543	1996-07-12	VYDAJ	PREVOD NA UCET	1086	19263	 	QR	32736635
162517	543	1996-08-12	VYDAJ	PREVOD NA UCET	1086	16889	 	QR	32736635
162518	543	1996-09-12	VYDAJ	PREVOD NA UCET	1086	17438	 	QR	32736635
162519	543	1996-10-12	VYDAJ	PREVOD NA UCET	1086	13890	 	QR	32736635
162520	543	1996-11-12	VYDAJ	PREVOD NA UCET	1086	14926	 	QR	32736635
162521	543	1996-12-12	VYDAJ	PREVOD NA UCET	1086	13562	 	QR	32736635
162522	543	1997-01-12	VYDAJ	PREVOD NA UCET	1086	16822	 	QR	32736635
162523	543	1997-02-12	VYDAJ	PREVOD NA UCET	1086	13965	 	QR	32736635
162524	543	1997-03-12	VYDAJ	PREVOD NA UCET	1086	18407	 	QR	32736635
162525	543	1997-04-12	VYDAJ	PREVOD NA UCET	1086	17539	 	QR	32736635
162526	543	1997-05-12	VYDAJ	PREVOD NA UCET	1086	14982	 	QR	32736635
162527	543	1997-06-12	VYDAJ	PREVOD NA UCET	1086	19229	 	QR	32736635
162528	543	1997-07-12	VYDAJ	PREVOD NA UCET	1086	14391	 	QR	32736635
162529	543	1997-08-12	VYDAJ	PREVOD NA UCET	1086	17034	 	QR	32736635
162530	543	1997-09-12	VYDAJ	PREVOD NA UCET	1086	14675	 	QR	32736635
162531	543	1997-10-12	VYDAJ	PREVOD NA UCET	1086	14209	 	QR	32736635
162532	543	1997-11-12	VYDAJ	PREVOD NA UCET	1086	15045	 	QR	32736635
162533	543	1997-12-12	VYDAJ	PREVOD NA UCET	1086	14681	 	QR	32736635
162534	543	1998-01-12	VYDAJ	PREVOD NA UCET	1086	14928	 	QR	32736635
162535	543	1998-02-12	VYDAJ	PREVOD NA UCET	1086	14335	 	QR	32736635
162536	543	1998-03-12	VYDAJ	PREVOD NA UCET	1086	15572	 	QR	32736635
162537	543	1998-04-12	VYDAJ	PREVOD NA UCET	1086	16816	 	QR	32736635
162538	543	1998-05-12	VYDAJ	PREVOD NA UCET	1086	18066	 	QR	32736635
162539	543	1998-06-12	VYDAJ	PREVOD NA UCET	1086	17970	 	QR	32736635
162540	543	1998-07-12	VYDAJ	PREVOD NA UCET	1086	15082	 	QR	32736635
162541	543	1998-08-12	VYDAJ	PREVOD NA UCET	1086	13922	 	QR	32736635
162542	543	1998-09-12	VYDAJ	PREVOD NA UCET	1086	14768	 	QR	32736635
162543	543	1998-10-12	VYDAJ	PREVOD NA UCET	1086	16009	 	QR	32736635
162544	543	1998-11-12	VYDAJ	PREVOD NA UCET	1086	15299	 	QR	32736635
162545	543	1998-12-12	VYDAJ	PREVOD NA UCET	1086	16330	 	QR	32736635
162555	543	1994-10-11	VYDAJ	PREVOD NA UCET	655	22994	POJISTNE	CD	41006070
162556	543	1994-11-11	VYDAJ	PREVOD NA UCET	655	21121	POJISTNE	CD	41006070
162557	543	1994-12-11	VYDAJ	PREVOD NA UCET	655	18569	POJISTNE	CD	41006070
162558	543	1995-01-11	VYDAJ	PREVOD NA UCET	655	20567	POJISTNE	CD	41006070
162559	543	1995-02-11	VYDAJ	PREVOD NA UCET	655	19087	POJISTNE	CD	41006070
162560	543	1995-03-11	VYDAJ	PREVOD NA UCET	655	19255	POJISTNE	CD	41006070
162561	543	1995-04-11	VYDAJ	PREVOD NA UCET	655	21224	POJISTNE	CD	41006070
162562	543	1995-05-11	VYDAJ	PREVOD NA UCET	655	23054	POJISTNE	CD	41006070
162563	543	1995-06-11	VYDAJ	PREVOD NA UCET	655	22037	POJISTNE	CD	41006070
162564	543	1995-07-11	VYDAJ	PREVOD NA UCET	655	16837	POJISTNE	CD	41006070
162565	543	1995-08-11	VYDAJ	PREVOD NA UCET	655	16097	POJISTNE	CD	41006070
162566	543	1995-09-11	VYDAJ	PREVOD NA UCET	655	17835	POJISTNE	CD	41006070
162567	543	1995-10-11	VYDAJ	PREVOD NA UCET	655	20099	POJISTNE	CD	41006070
162568	543	1995-11-11	VYDAJ	PREVOD NA UCET	655	19770	POJISTNE	CD	41006070
162569	543	1995-12-11	VYDAJ	PREVOD NA UCET	655	17511	POJISTNE	CD	41006070
162570	543	1996-01-11	VYDAJ	PREVOD NA UCET	655	17245	POJISTNE	CD	41006070
162571	543	1996-02-11	VYDAJ	PREVOD NA UCET	655	13428	POJISTNE	CD	41006070
162572	543	1996-03-11	VYDAJ	PREVOD NA UCET	655	17678	POJISTNE	CD	41006070
162573	543	1996-04-11	VYDAJ	PREVOD NA UCET	655	16490	POJISTNE	CD	41006070
162574	543	1996-05-11	VYDAJ	PREVOD NA UCET	655	19540	POJISTNE	CD	41006070
162575	543	1996-06-11	VYDAJ	PREVOD NA UCET	655	17707	POJISTNE	CD	41006070
162576	543	1996-07-11	VYDAJ	PREVOD NA UCET	655	16766	POJISTNE	CD	41006070
162577	543	1996-08-11	VYDAJ	PREVOD NA UCET	655	14392	POJISTNE	CD	41006070
162578	543	1996-09-11	VYDAJ	PREVOD NA UCET	655	14941	POJISTNE	CD	41006070
162579	543	1996-10-11	VYDAJ	PREVOD NA UCET	655	11393	POJISTNE	CD	41006070
162580	543	1996-11-11	VYDAJ	PREVOD NA UCET	655	12429	POJISTNE	CD	41006070
162581	543	1996-12-11	VYDAJ	PREVOD NA UCET	655	11065	POJISTNE	CD	41006070
162582	543	1997-01-11	VYDAJ	PREVOD NA UCET	655	14325	POJISTNE	CD	41006070
162583	543	1997-02-11	VYDAJ	PREVOD NA UCET	655	11468	POJISTNE	CD	41006070
162584	543	1997-03-11	VYDAJ	PREVOD NA UCET	655	15910	POJISTNE	CD	41006070
162585	543	1997-04-11	VYDAJ	PREVOD NA UCET	655	15042	POJISTNE	CD	41006070
162586	543	1997-05-11	VYDAJ	PREVOD NA UCET	655	12485	POJISTNE	CD	41006070
162587	543	1997-06-11	VYDAJ	PREVOD NA UCET	655	16732	POJISTNE	CD	41006070
162588	543	1997-07-11	VYDAJ	PREVOD NA UCET	655	13184	POJISTNE	CD	41006070
162589	543	1997-08-11	VYDAJ	PREVOD NA UCET	655	14537	POJISTNE	CD	41006070
162590	543	1997-09-11	VYDAJ	PREVOD NA UCET	655	12178	POJISTNE	CD	41006070
162591	543	1997-10-11	VYDAJ	PREVOD NA UCET	655	11712	POJISTNE	CD	41006070
162592	543	1997-11-11	VYDAJ	PREVOD NA UCET	655	12548	POJISTNE	CD	41006070
162593	543	1997-12-11	VYDAJ	PREVOD NA UCET	655	12184	POJISTNE	CD	41006070
162594	543	1998-01-11	VYDAJ	PREVOD NA UCET	655	12431	POJISTNE	CD	41006070
162595	543	1998-02-11	VYDAJ	PREVOD NA UCET	655	11838	POJISTNE	CD	41006070
162596	543	1998-03-11	VYDAJ	PREVOD NA UCET	655	13075	POJISTNE	CD	41006070
162597	543	1998-04-11	VYDAJ	PREVOD NA UCET	655	14319	POJISTNE	CD	41006070
162598	543	1998-05-11	VYDAJ	PREVOD NA UCET	655	15569	POJISTNE	CD	41006070
162599	543	1998-06-11	VYDAJ	PREVOD NA UCET	655	15473	POJISTNE	CD	41006070
162600	543	1998-07-11	VYDAJ	PREVOD NA UCET	655	12585	POJISTNE	CD	41006070
162601	543	1998-08-11	VYDAJ	PREVOD NA UCET	655	11425	POJISTNE	CD	41006070
162602	543	1998-09-11	VYDAJ	PREVOD NA UCET	655	12271	POJISTNE	CD	41006070
162603	543	1998-10-11	VYDAJ	PREVOD NA UCET	655	13512	POJISTNE	CD	41006070
162604	543	1998-11-11	VYDAJ	PREVOD NA UCET	655	12802	POJISTNE	CD	41006070
162605	543	1998-12-11	VYDAJ	PREVOD NA UCET	655	13833	POJISTNE	CD	41006070
162607	543	1995-06-28	VYDAJ	VYBER	4080	18054	\N	\N	\N
162609	543	1997-06-18	VYDAJ	VYBER	5670	15359	\N	\N	\N
162610	543	1998-06-29	VYDAJ	VYBER	3780	13830	\N	\N	\N
162612	543	1995-01-22	VYDAJ	VYBER	1950	19554	\N	\N	\N
162613	543	1996-01-07	VYDAJ	VYBER	720	18080	\N	\N	\N
162616	543	1994-12-03	VYDAJ	VYBER	510	20591	\N	\N	\N
162617	543	1995-12-09	VYDAJ	VYBER	390	18166	\N	\N	\N
162619	543	1997-12-22	VYDAJ	VYBER	840	13841	\N	\N	\N
162620	543	1998-12-01	VYDAJ	VYBER	210	15135	\N	\N	\N
162627	543	1995-01-17	VYDAJ	VYBER	690	21504	\N	\N	\N
162628	543	1995-01-23	VYDAJ	VYBER	420	19134	\N	\N	\N
162629	543	1995-01-15	VYDAJ	VYBER	870	22194	\N	\N	\N
162630	543	1995-01-11	VYDAJ	VYBER	660	21222	\N	\N	\N
162631	543	1995-01-04	VYDAJ	VYBER	510	22529	\N	\N	\N
162632	543	1995-01-29	VYDAJ	VYBER	420	20314	\N	\N	\N
162633	543	1996-01-07	VYDAJ	VYBER	180	17900	\N	\N	\N
162634	543	1996-01-27	VYDAJ	VYBER	720	14672	\N	\N	\N
162635	543	1996-01-06	VYDAJ	VYBER	330	19447	\N	\N	\N
162636	543	1996-01-20	VYDAJ	VYBER	570	17192	\N	\N	\N
162637	543	1996-01-17	VYDAJ	VYBER	540	17762	\N	\N	\N
162638	543	1996-01-15	VYDAJ	VYBER	810	18302	\N	\N	\N
162639	543	1997-01-28	VYDAJ	VYBER	720	13592	\N	\N	\N
162640	543	1997-01-17	VYDAJ	VYBER	810	15512	\N	\N	\N
162641	543	1997-01-27	VYDAJ	VYBER	720	14312	\N	\N	\N
162642	543	1997-01-21	VYDAJ	VYBER	480	15032	\N	\N	\N
162643	543	1997-01-16	VYDAJ	VYBER	270	16222	\N	\N	\N
162644	543	1997-01-14	VYDAJ	VYBER	330	16492	\N	\N	\N
162646	543	1998-01-08	VYDAJ	VYBER	150	13086	\N	\N	\N
162647	543	1998-01-22	VYDAJ	VYBER	390	14538	\N	\N	\N
162655	543	1994-10-12	VYDAJ	VYBER	660	25917	\N	\N	\N
162657	543	1994-12-08	VYDAJ	VYBER	720	19224	\N	\N	\N
162658	543	1995-12-08	VYDAJ	VYBER	1440	18556	\N	\N	\N
162659	543	1995-08-28	VYDAJ	VYBER	1020	19074	\N	\N	\N
162660	543	1995-04-28	VYDAJ	VYBER	150	24271	\N	\N	\N
162661	543	1996-08-05	VYDAJ	VYBER	1230	15694	\N	\N	\N
162662	543	1996-12-22	VYDAJ	VYBER	780	15582	\N	\N	\N
162663	543	1996-04-06	VYDAJ	VYBER	1050	17792	\N	\N	\N
162664	543	1996-01-12	VYDAJ	VYBER	630	19112	\N	\N	\N
162665	543	1996-04-16	VYDAJ	VYBER	810	18177	\N	\N	\N
162666	543	1996-09-13	VYDAJ	VYBER	390	17048	\N	\N	\N
162667	543	1997-02-02	VYDAJ	VYBER	870	12770	\N	\N	\N
162669	543	1997-07-12	VYDAJ	VYBER	1290	15477	\N	\N	\N
162670	543	1997-03-23	VYDAJ	VYBER	1320	16287	\N	\N	\N
162671	543	1997-07-06	VYDAJ	VYBER	930	13839	\N	\N	\N
162673	543	1998-10-27	VYDAJ	VYBER	1230	14059	\N	\N	\N
162674	543	1998-01-23	VYDAJ	VYBER	1440	13098	\N	\N	\N
162676	543	1998-10-12	VYDAJ	VYBER	720	15289	\N	\N	\N
162677	543	1998-06-24	VYDAJ	VYBER	360	17610	\N	\N	\N
162678	543	1998-08-12	VYDAJ	VYBER	390	13532	\N	\N	\N
162679	543	1998-05-28	VYDAJ	VYBER	1350	16716	\N	\N	\N
162689	543	1994-09-30	VYDAJ	VYBER	15	26696	SLUZBY	\N	\N
162690	543	1994-10-31	VYDAJ	VYBER	15	22423	SLUZBY	\N	\N
162691	543	1994-11-30	VYDAJ	VYBER	15	21101	SLUZBY	\N	\N
162692	543	1994-12-31	VYDAJ	VYBER	15	23039	SLUZBY	\N	\N
162693	543	1995-01-31	VYDAJ	VYBER	15	20389	SLUZBY	\N	\N
162694	543	1995-02-28	VYDAJ	VYBER	15	20557	SLUZBY	\N	\N
162695	543	1995-03-31	VYDAJ	VYBER	15	22526	SLUZBY	\N	\N
162696	543	1995-04-30	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
162697	543	1995-05-31	VYDAJ	VYBER	15	23339	SLUZBY	\N	\N
162698	543	1995-06-30	VYDAJ	VYBER	15	18139	SLUZBY	\N	\N
162699	543	1995-07-31	VYDAJ	VYBER	15	17399	SLUZBY	\N	\N
162700	543	1995-08-31	VYDAJ	VYBER	15	19137	SLUZBY	\N	\N
162701	543	1995-09-30	VYDAJ	VYBER	15	21401	SLUZBY	\N	\N
162702	543	1995-10-31	VYDAJ	VYBER	15	21072	SLUZBY	\N	\N
162703	543	1995-11-30	VYDAJ	VYBER	15	20643	SLUZBY	\N	\N
162704	543	1995-12-31	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
162705	543	1996-01-31	VYDAJ	VYBER	15	14730	SLUZBY	\N	\N
162706	543	1996-02-29	VYDAJ	VYBER	15	18980	SLUZBY	\N	\N
162707	543	1996-03-31	VYDAJ	VYBER	15	18842	SLUZBY	\N	\N
162708	543	1996-04-30	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
162709	543	1996-05-31	VYDAJ	VYBER	15	19009	SLUZBY	\N	\N
162710	543	1996-06-30	VYDAJ	VYBER	15	18068	SLUZBY	\N	\N
162711	543	1996-07-31	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
162712	543	1996-08-31	VYDAJ	VYBER	15	16243	SLUZBY	\N	\N
162713	543	1996-09-30	VYDAJ	VYBER	15	12695	SLUZBY	\N	\N
162714	543	1996-10-31	VYDAJ	VYBER	15	13731	SLUZBY	\N	\N
162715	543	1996-11-30	VYDAJ	VYBER	15	12367	SLUZBY	\N	\N
162716	543	1996-12-31	VYDAJ	VYBER	15	15627	SLUZBY	\N	\N
162717	543	1997-01-31	VYDAJ	VYBER	15	13640	SLUZBY	\N	\N
162718	543	1997-02-28	VYDAJ	VYBER	15	17212	SLUZBY	\N	\N
162719	543	1997-03-31	VYDAJ	VYBER	15	16344	SLUZBY	\N	\N
162720	543	1997-04-30	VYDAJ	VYBER	15	13787	SLUZBY	\N	\N
162721	543	1997-05-31	VYDAJ	VYBER	15	18034	SLUZBY	\N	\N
162722	543	1997-06-30	VYDAJ	VYBER	15	15416	SLUZBY	\N	\N
162723	543	1997-07-31	VYDAJ	VYBER	15	15839	SLUZBY	\N	\N
162724	543	1997-08-31	VYDAJ	VYBER	15	13480	SLUZBY	\N	\N
162725	543	1997-09-30	VYDAJ	VYBER	15	13014	SLUZBY	\N	\N
162726	543	1997-10-31	VYDAJ	VYBER	15	13850	SLUZBY	\N	\N
162727	543	1997-11-30	VYDAJ	VYBER	15	13486	SLUZBY	\N	\N
162728	543	1997-12-31	VYDAJ	VYBER	15	13883	SLUZBY	\N	\N
162729	543	1998-01-31	VYDAJ	VYBER	15	13140	SLUZBY	\N	\N
162730	543	1998-02-28	VYDAJ	VYBER	15	14377	SLUZBY	\N	\N
162731	543	1998-03-31	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
162732	543	1998-04-30	VYDAJ	VYBER	15	16871	SLUZBY	\N	\N
162733	543	1998-05-31	VYDAJ	VYBER	15	16775	SLUZBY	\N	\N
162734	543	1998-06-30	VYDAJ	VYBER	15	13887	SLUZBY	\N	\N
162735	543	1998-07-31	VYDAJ	VYBER	15	15127	SLUZBY	\N	\N
162736	543	1998-08-31	VYDAJ	VYBER	15	13573	SLUZBY	\N	\N
162737	543	1998-09-30	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
162738	543	1998-10-31	VYDAJ	VYBER	15	14104	SLUZBY	\N	\N
162739	543	1998-11-30	VYDAJ	VYBER	15	15345	SLUZBY	\N	\N
162740	543	1994-06-02	PRIJEM	VKLAD	9700	13894	\N	\N	\N
162741	543	1994-07-02	PRIJEM	VKLAD	5500	23030	\N	\N	\N
162742	543	1994-08-01	VYDAJ	VYBER	3400	23310	\N	\N	\N
162743	543	1994-08-31	VYDAJ	VYBER	2900	24104	\N	\N	\N
162744	543	1994-09-30	VYDAJ	VYBER	2400	24296	\N	\N	\N
162745	543	1994-10-30	VYDAJ	VYBER	2500	22331	\N	\N	\N
162746	543	1994-11-29	VYDAJ	VYBER	2600	21018	\N	\N	\N
162747	543	1994-12-29	PRIJEM	VKLAD	1900	22966	\N	\N	\N
162748	543	1995-01-28	PRIJEM	VKLAD	1600	20734	\N	\N	\N
162749	543	1995-02-27	VYDAJ	VYBER	1100	20484	\N	\N	\N
162750	543	1995-03-29	PRIJEM	VKLAD	700	22452	\N	\N	\N
162751	543	1995-04-28	PRIJEM	VKLAD	700	24421	\N	\N	\N
162752	543	1995-05-28	VYDAJ	VYBER	2300	23251	\N	\N	\N
162753	543	1995-06-27	VYDAJ	VYBER	2400	22134	\N	\N	\N
162754	543	1995-07-27	VYDAJ	VYBER	2000	17334	\N	\N	\N
162755	543	1995-08-26	PRIJEM	VKLAD	1500	20094	\N	\N	\N
162756	543	1995-09-25	PRIJEM	VKLAD	1000	21332	\N	\N	\N
162757	543	1995-10-25	VYDAJ	VYBER	1600	20996	\N	\N	\N
162758	543	1995-11-24	VYDAJ	VYBER	1700	20567	\N	\N	\N
162759	543	1995-12-24	VYDAJ	VYBER	300	19708	\N	\N	\N
162760	543	1996-01-23	VYDAJ	VYBER	1800	15392	\N	\N	\N
162761	543	1996-02-22	PRIJEM	VKLAD	3000	18925	\N	\N	\N
162762	543	1996-03-23	VYDAJ	VYBER	1400	18775	\N	\N	\N
162763	543	1996-04-22	PRIJEM	VKLAD	2600	20777	\N	\N	\N
162764	543	1996-05-22	VYDAJ	VYBER	3100	18937	\N	\N	\N
162765	543	1996-06-21	VYDAJ	VYBER	2200	18004	\N	\N	\N
162766	543	1996-07-21	VYDAJ	VYBER	2400	16863	\N	\N	\N
162767	543	1996-08-20	VYDAJ	VYBER	700	16189	\N	\N	\N
162768	543	1996-09-19	VYDAJ	VYBER	4400	12648	\N	\N	\N
162769	543	1996-10-19	VYDAJ	VYBER	200	13690	\N	\N	\N
162770	543	1996-11-18	VYDAJ	VYBER	2600	12326	\N	\N	\N
162771	543	1996-12-18	PRIJEM	VKLAD	2800	16362	\N	\N	\N
162772	543	1997-01-17	PRIJEM	VKLAD	100	16322	\N	\N	\N
162773	543	1997-02-16	PRIJEM	VKLAD	3200	17165	\N	\N	\N
162774	543	1997-03-18	VYDAJ	VYBER	800	17607	\N	\N	\N
162775	543	1997-04-17	VYDAJ	VYBER	3800	13739	\N	\N	\N
162776	543	1997-05-17	PRIJEM	VKLAD	3000	17982	\N	\N	\N
162777	543	1997-06-16	PRIJEM	VKLAD	1800	21029	\N	\N	\N
162778	543	1997-07-16	PRIJEM	VKLAD	1400	15791	\N	\N	\N
162779	543	1997-08-15	VYDAJ	VYBER	3600	13434	\N	\N	\N
162780	543	1997-09-14	VYDAJ	VYBER	1700	12975	\N	\N	\N
162781	543	1997-10-14	VYDAJ	VYBER	400	13809	\N	\N	\N
162782	543	1997-11-13	VYDAJ	VYBER	1600	13445	\N	\N	\N
162783	543	1998-08-10	VYDAJ	VYBER	2400	12080	\N	\N	\N
162840	544	1995-05-15	PRIJEM	VKLAD	400	400	\N	\N	\N
162846	544	1995-06-10	PRIJEM	PREVOD Z UCTU	34184	34584	\N	YZ	58388644
162847	544	1995-07-10	PRIJEM	PREVOD Z UCTU	22789	52343	\N	YZ	58388644
162848	544	1995-08-10	PRIJEM	PREVOD Z UCTU	22789	61877	\N	YZ	58388644
162849	544	1995-09-10	PRIJEM	PREVOD Z UCTU	22789	65137	\N	YZ	58388644
162850	544	1995-10-10	PRIJEM	PREVOD Z UCTU	22789	70014	\N	YZ	58388644
162851	544	1995-11-10	PRIJEM	PREVOD Z UCTU	22789	67379	\N	YZ	58388644
162852	544	1995-12-10	PRIJEM	PREVOD Z UCTU	34184	72328	\N	YZ	58388644
162853	544	1996-01-10	PRIJEM	PREVOD Z UCTU	22789	52984	\N	YZ	58388644
162854	544	1996-02-10	PRIJEM	PREVOD Z UCTU	22789	44706	\N	YZ	58388644
162855	544	1996-03-10	PRIJEM	PREVOD Z UCTU	22789	67635	\N	YZ	58388644
162856	544	1996-04-10	PRIJEM	PREVOD Z UCTU	22789	59808	\N	YZ	58388644
162857	544	1996-05-10	PRIJEM	PREVOD Z UCTU	22789	61620	\N	YZ	58388644
162858	544	1996-06-10	PRIJEM	PREVOD Z UCTU	34184	65919	\N	YZ	58388644
162859	544	1996-07-10	PRIJEM	PREVOD Z UCTU	22789	63176	\N	YZ	58388644
162860	544	1996-08-10	PRIJEM	PREVOD Z UCTU	22789	53979	\N	YZ	58388644
162861	544	1996-09-10	PRIJEM	PREVOD Z UCTU	22789	56948	\N	YZ	58388644
162862	544	1996-10-10	PRIJEM	PREVOD Z UCTU	22789	64229	\N	YZ	58388644
162863	544	1996-11-10	PRIJEM	PREVOD Z UCTU	22789	63880	\N	YZ	58388644
162864	544	1996-12-10	PRIJEM	PREVOD Z UCTU	34184	68235	\N	YZ	58388644
162865	544	1997-01-10	PRIJEM	PREVOD Z UCTU	22789	74948	\N	YZ	58388644
162866	544	1997-02-10	PRIJEM	PREVOD Z UCTU	22789	68686	\N	YZ	58388644
162867	544	1997-03-10	PRIJEM	PREVOD Z UCTU	22789	74319	\N	YZ	58388644
162868	544	1997-04-10	PRIJEM	PREVOD Z UCTU	22789	68011	\N	YZ	58388644
162869	544	1997-05-10	PRIJEM	PREVOD Z UCTU	22789	75836	\N	YZ	58388644
162870	544	1997-06-10	PRIJEM	PREVOD Z UCTU	34184	91597	\N	YZ	58388644
162871	544	1997-07-10	PRIJEM	PREVOD Z UCTU	22789	72226	\N	YZ	58388644
162872	544	1997-08-10	PRIJEM	PREVOD Z UCTU	22789	75685	\N	YZ	58388644
162873	544	1997-09-10	PRIJEM	PREVOD Z UCTU	22789	68833	\N	YZ	58388644
162874	544	1997-10-10	PRIJEM	PREVOD Z UCTU	22789	76148	\N	YZ	58388644
162875	544	1997-11-10	PRIJEM	PREVOD Z UCTU	22789	67883	\N	YZ	58388644
162876	544	1997-12-10	PRIJEM	PREVOD Z UCTU	34184	76639	\N	YZ	58388644
162877	544	1998-01-10	PRIJEM	PREVOD Z UCTU	22789	59627	\N	YZ	58388644
162878	544	1998-02-10	PRIJEM	PREVOD Z UCTU	22789	65077	\N	YZ	58388644
162879	544	1998-03-10	PRIJEM	PREVOD Z UCTU	22789	62617	\N	YZ	58388644
162880	544	1998-04-10	PRIJEM	PREVOD Z UCTU	22789	70660	\N	YZ	58388644
162881	544	1998-05-10	PRIJEM	PREVOD Z UCTU	22789	70758	\N	YZ	58388644
162882	544	1998-06-10	PRIJEM	PREVOD Z UCTU	34184	92973	\N	YZ	58388644
162883	544	1998-07-10	PRIJEM	PREVOD Z UCTU	22789	62408	\N	YZ	58388644
162884	544	1998-08-10	PRIJEM	PREVOD Z UCTU	22789	62066	\N	YZ	58388644
162885	544	1998-09-10	PRIJEM	PREVOD Z UCTU	22789	69180	\N	YZ	58388644
162886	544	1998-10-10	PRIJEM	PREVOD Z UCTU	22789	60936	\N	YZ	58388644
162887	544	1998-11-10	PRIJEM	PREVOD Z UCTU	22789	89448	\N	YZ	58388644
162888	544	1998-12-10	PRIJEM	PREVOD Z UCTU	34184	110818	\N	YZ	58388644
162898	544	1995-10-15	VYDAJ	VYBER	4100	44414	\N	\N	0
162899	544	1995-11-14	VYDAJ	VYBER	3800	42179	\N	\N	0
162900	544	1995-11-28	VYDAJ	VYBER	4200	37979	\N	\N	0
162901	544	1996-01-09	VYDAJ	VYBER	3500	30195	\N	\N	0
162902	544	1996-02-02	VYDAJ	VYBER	2400	17217	\N	\N	0
162903	544	1996-03-13	VYDAJ	VYBER	3100	46135	\N	\N	0
162904	544	1996-03-31	VYDAJ	VYBER	3100	43234	\N	\N	0
162905	544	1996-05-10	VYDAJ	VYBER	3200	58420	\N	\N	0
162906	544	1996-06-14	VYDAJ	VYBER	3300	62619	\N	\N	0
162907	544	1996-07-13	VYDAJ	VYBER	3200	59976	\N	\N	0
162908	544	1996-08-19	VYDAJ	VYBER	3800	39379	\N	\N	0
162909	544	1996-09-12	VYDAJ	PREVOD NA UCET	3798	53150	UVER	EF	24082440
162910	544	1996-10-12	VYDAJ	PREVOD NA UCET	3798	60431	UVER	EF	24082440
162911	544	1996-11-12	VYDAJ	PREVOD NA UCET	3798	60082	UVER	EF	24082440
162912	544	1996-12-12	VYDAJ	PREVOD NA UCET	3798	64437	UVER	EF	24082440
162913	544	1997-01-12	VYDAJ	PREVOD NA UCET	3798	71150	UVER	EF	24082440
162914	544	1997-02-12	VYDAJ	PREVOD NA UCET	3798	64888	UVER	EF	24082440
162915	544	1997-03-12	VYDAJ	PREVOD NA UCET	3798	63086	UVER	EF	24082440
162916	544	1997-04-12	VYDAJ	PREVOD NA UCET	3798	64212	UVER	EF	24082440
162917	544	1997-05-12	VYDAJ	PREVOD NA UCET	3798	72037	UVER	EF	24082440
162918	544	1997-06-12	VYDAJ	PREVOD NA UCET	3798	87799	UVER	EF	24082440
162919	544	1997-07-12	VYDAJ	PREVOD NA UCET	3798	68428	UVER	EF	24082440
162920	544	1997-08-12	VYDAJ	PREVOD NA UCET	3798	69814	UVER	EF	24082440
162921	544	1997-09-12	VYDAJ	PREVOD NA UCET	3798	65035	UVER	EF	24082440
162922	544	1997-10-12	VYDAJ	PREVOD NA UCET	3798	72350	UVER	EF	24082440
162923	544	1997-11-12	VYDAJ	PREVOD NA UCET	3798	64085	UVER	EF	24082440
162924	544	1997-12-12	VYDAJ	PREVOD NA UCET	3798	72840	UVER	EF	24082440
162925	544	1998-01-12	VYDAJ	PREVOD NA UCET	3798	55828	UVER	EF	24082440
162926	544	1998-02-12	VYDAJ	PREVOD NA UCET	3798	61278	UVER	EF	24082440
162927	544	1998-03-12	VYDAJ	PREVOD NA UCET	3798	45350	UVER	EF	24082440
162928	544	1998-04-12	VYDAJ	PREVOD NA UCET	3798	43598	UVER	EF	24082440
162929	544	1998-05-12	VYDAJ	PREVOD NA UCET	3798	66960	UVER	EF	24082440
162930	544	1998-06-12	VYDAJ	PREVOD NA UCET	3798	89175	UVER	EF	24082440
162931	544	1998-07-12	VYDAJ	PREVOD NA UCET	3798	58610	UVER	EF	24082440
162932	544	1998-08-12	VYDAJ	PREVOD NA UCET	3798	58268	UVER	EF	24082440
162933	544	1998-08-27	VYDAJ	VYBER	4100	46215	\N	\N	0
162934	544	1998-10-06	VYDAJ	VYBER	2700	46956	\N	\N	0
162935	544	1998-11-19	VYDAJ	VYBER	3300	86148	\N	\N	0
162936	544	1998-11-29	VYDAJ	VYBER	2600	78448	\N	\N	0
162939	544	1996-10-29	VYBER	VYBER	11064	49367	\N	\N	\N
162940	544	1996-11-21	VYBER	VYBER	17430	42652	\N	\N	\N
162942	544	1996-01-25	VYBER	VYBER	2491	37193	\N	\N	\N
162943	544	1996-04-18	VYBER	VYBER	12968	46840	\N	\N	\N
162944	544	1996-06-21	VYBER	VYBER	16344	46275	\N	\N	\N
162945	544	1997-11-22	VYBER	VYBER	14370	49715	\N	\N	\N
162946	544	1997-12-19	VYBER	VYBER	23288	33030	\N	\N	\N
162947	544	1997-10-13	VYBER	VYBER	4662	67688	\N	\N	\N
162948	544	1997-12-19	VYBER	VYBER	16522	56318	\N	\N	\N
162949	544	1997-09-03	VYBER	VYBER	2179	51744	\N	\N	\N
162950	544	1997-11-27	VYBER	VYBER	13859	35856	\N	\N	\N
162951	544	1997-07-05	VYBER	VYBER	17393	49437	\N	\N	\N
162953	544	1997-03-12	VYBER	VYBER	7435	66884	\N	\N	\N
162954	544	1997-10-14	VYBER	VYBER	21296	46392	\N	\N	\N
162956	544	1997-08-23	VYBER	VYBER	6163	63651	\N	\N	\N
162957	544	1997-08-12	VYBER	VYBER	2073	73612	\N	\N	\N
162958	544	1998-03-17	VYBER	VYBER	3247	42103	\N	\N	\N
162961	544	1998-04-10	VYBER	VYBER	23264	47396	\N	\N	\N
162962	544	1998-02-26	VYBER	VYBER	15946	39932	\N	\N	\N
162964	544	1998-09-21	VYBER	VYBER	13899	42381	\N	\N	\N
162965	544	1998-06-20	VYBER	VYBER	12136	29639	\N	\N	\N
162966	544	1998-10-08	VYBER	VYBER	8809	38147	\N	\N	\N
162967	544	1998-07-15	VYBER	VYBER	11210	47400	\N	\N	\N
162968	544	1998-03-11	VYBER	VYBER	13468	49149	\N	\N	\N
162969	544	1998-07-24	VYBER	VYBER	9088	38312	\N	\N	\N
162970	544	1998-08-20	VYBER	VYBER	11853	46415	\N	\N	\N
162972	544	1996-06-01	VYDAJ	VYBER	26700	31935	\N	\N	\N
162974	544	1998-06-14	VYDAJ	VYBER	47400	41775	\N	\N	\N
162976	544	1996-01-25	VYDAJ	VYBER	17700	19493	\N	\N	\N
162977	544	1997-01-16	VYDAJ	VYBER	10500	60650	\N	\N	\N
162978	544	1998-01-21	VYDAJ	VYBER	20700	35128	\N	\N	\N
162979	544	1995-12-24	VYDAJ	VYBER	4200	44628	\N	\N	\N
162980	544	1996-12-04	VYDAJ	VYBER	4200	38651	\N	\N	\N
162982	544	1998-12-03	VYDAJ	VYBER KARTOU	2100	76634	\N	\N	0
162984	544	1995-12-30	VYDAJ	VYBER	11100	33528	\N	\N	\N
162988	544	1996-08-18	VYDAJ	VYBER KARTOU	1800	52179	\N	\N	0
162989	544	1996-07-16	VYDAJ	VYBER	3000	56976	\N	\N	\N
162990	544	1996-08-08	VYDAJ	VYBER	13500	31190	\N	\N	\N
162991	544	1996-08-18	VYDAJ	VYBER	9000	43179	\N	\N	\N
162993	544	1997-09-09	VYDAJ	VYBER	5700	46044	\N	\N	\N
162994	544	1997-09-17	VYDAJ	VYBER	9000	56035	\N	\N	\N
162995	544	1997-03-23	VYDAJ	VYBER	13800	49286	\N	\N	\N
162996	544	1997-01-28	VYDAJ	VYBER	6600	54050	\N	\N	\N
162997	544	1998-07-30	VYDAJ	VYBER	7500	39112	\N	\N	\N
162998	544	1998-03-06	VYDAJ	VYBER	4800	39828	\N	\N	\N
162999	544	1998-02-23	VYDAJ	VYBER	5400	55878	\N	\N	\N
163000	544	1998-09-20	VYDAJ	VYBER	12900	56280	\N	\N	\N
163011	544	1995-10-31	VYDAJ	VYBER	15	44590	SLUZBY	\N	\N
163012	544	1995-11-30	VYDAJ	VYBER	15	38144	SLUZBY	\N	\N
163013	544	1995-12-31	VYDAJ	VYBER	15	33695	SLUZBY	\N	\N
163014	544	1996-01-31	VYDAJ	VYBER	15	19617	SLUZBY	\N	\N
163015	544	1996-02-29	VYDAJ	VYBER	15	44846	SLUZBY	\N	\N
163016	544	1996-03-31	VYDAJ	VYBER	15	43219	SLUZBY	\N	\N
163017	544	1996-04-30	VYDAJ	VYBER	15	47031	SLUZBY	\N	\N
163018	544	1996-05-31	VYDAJ	VYBER	15	58635	SLUZBY	\N	\N
163019	544	1996-06-30	VYDAJ	VYBER	15	46487	SLUZBY	\N	\N
163020	544	1996-07-31	VYDAJ	VYBER	15	57190	SLUZBY	\N	\N
163021	544	1996-08-31	VYDAJ	VYBER	15	39559	SLUZBY	\N	\N
163022	544	1996-09-30	VYDAJ	VYBER	15	53340	SLUZBY	\N	\N
163023	544	1996-10-31	VYDAJ	VYBER	15	49591	SLUZBY	\N	\N
163024	544	1996-11-30	VYDAJ	VYBER	15	42851	SLUZBY	\N	\N
163025	544	1996-12-31	VYDAJ	VYBER	15	64659	SLUZBY	\N	\N
163026	544	1997-01-31	VYDAJ	VYBER	15	54297	SLUZBY	\N	\N
163027	544	1997-02-28	VYDAJ	VYBER	15	65130	SLUZBY	\N	\N
163028	544	1997-03-31	VYDAJ	VYBER	15	49522	SLUZBY	\N	\N
163029	544	1997-04-30	VYDAJ	VYBER	15	64447	SLUZBY	\N	\N
163030	544	1997-05-31	VYDAJ	VYBER	15	72313	SLUZBY	\N	\N
163031	544	1997-06-30	VYDAJ	VYBER	15	88130	SLUZBY	\N	\N
163032	544	1997-07-31	VYDAJ	VYBER	15	68696	SLUZBY	\N	\N
163033	544	1997-08-31	VYDAJ	VYBER	15	63923	SLUZBY	\N	\N
163034	544	1997-09-30	VYDAJ	VYBER	15	56259	SLUZBY	\N	\N
163035	544	1997-10-31	VYDAJ	VYBER	15	46594	SLUZBY	\N	\N
163036	544	1997-11-30	VYDAJ	VYBER	15	42455	SLUZBY	\N	\N
163037	544	1997-12-31	VYDAJ	VYBER	15	36838	SLUZBY	\N	\N
163038	544	1998-01-31	VYDAJ	VYBER	15	42288	SLUZBY	\N	\N
163039	544	1998-02-28	VYDAJ	VYBER	15	44628	SLUZBY	\N	\N
163040	544	1998-03-31	VYDAJ	VYBER	15	47871	SLUZBY	\N	\N
163041	544	1998-04-30	VYDAJ	VYBER	15	47969	SLUZBY	\N	\N
163042	544	1998-05-31	VYDAJ	VYBER	15	58789	SLUZBY	\N	\N
163043	544	1998-06-30	VYDAJ	VYBER	15	39619	SLUZBY	\N	\N
163044	544	1998-07-31	VYDAJ	VYBER	15	39277	SLUZBY	\N	\N
163045	544	1998-08-31	VYDAJ	VYBER	15	46391	SLUZBY	\N	\N
163046	544	1998-09-30	VYDAJ	VYBER	15	49656	SLUZBY	\N	\N
163047	544	1998-10-31	VYDAJ	VYBER	15	66659	SLUZBY	\N	\N
163048	544	1998-11-30	VYDAJ	VYBER	15	78734	SLUZBY	\N	\N
163049	544	1995-06-14	VYDAJ	VYBER	5100	29484	\N	\N	\N
163050	544	1995-07-14	VYDAJ	VYBER	13400	38943	\N	\N	\N
163051	544	1995-08-13	VYDAJ	VYBER	19700	42177	\N	\N	\N
163052	544	1995-09-12	VYDAJ	VYBER	18100	47037	\N	\N	\N
163053	544	1995-10-12	VYDAJ	VYBER	21500	48514	\N	\N	\N
163054	544	1995-11-11	VYDAJ	VYBER	21400	45979	\N	\N	\N
163055	544	1995-12-11	VYDAJ	VYBER	23500	48828	\N	\N	\N
163056	544	1996-01-10	VYDAJ	VYBER	13300	39684	\N	\N	\N
163057	544	1996-02-09	PRIJEM	VKLAD	4700	21917	\N	\N	\N
163058	544	1996-03-10	VYDAJ	VYBER	18400	49235	\N	\N	\N
163059	544	1996-04-09	VYDAJ	VYBER	6200	37019	\N	\N	\N
163060	544	1996-05-09	VYDAJ	VYBER	8200	38831	\N	\N	\N
163061	544	1996-06-08	VYDAJ	VYBER	200	31735	\N	\N	\N
163062	544	1996-07-08	VYDAJ	VYBER	6100	40387	\N	\N	\N
163063	544	1996-08-07	VYDAJ	VYBER	12500	44690	\N	\N	\N
163064	544	1996-09-06	VYDAJ	VYBER	5400	34159	\N	\N	\N
163065	544	1996-10-06	VYDAJ	VYBER	11900	41440	\N	\N	\N
163066	544	1996-11-05	VYDAJ	VYBER	8500	41091	\N	\N	\N
163067	544	1996-12-05	VYDAJ	VYBER	4600	34051	\N	\N	\N
163068	544	1997-01-04	VYDAJ	VYBER	12500	52159	\N	\N	\N
163069	544	1997-02-03	VYDAJ	VYBER	8400	45897	\N	\N	\N
163070	544	1997-03-05	VYDAJ	VYBER	13600	51530	\N	\N	\N
163071	544	1997-04-04	VYDAJ	VYBER	4300	45222	\N	\N	\N
163072	544	1997-05-04	VYDAJ	VYBER	11400	53047	\N	\N	\N
163073	544	1997-06-03	VYDAJ	VYBER	14900	57413	\N	\N	\N
163074	544	1997-07-03	VYDAJ	VYBER	21300	66830	\N	\N	\N
163075	544	1997-08-02	VYDAJ	VYBER	15800	52896	\N	\N	\N
163076	544	1997-09-01	VYDAJ	VYBER	10000	53923	\N	\N	\N
163077	544	1997-10-01	VYDAJ	VYBER KARTOU	2900	53359	\N	\N	0
163078	544	1997-10-31	VYDAJ	VYBER KARTOU	1500	45094	\N	\N	0
163079	544	1997-11-30	PRIJEM	VKLAD	6400	42256	\N	\N	\N
163080	544	1997-12-30	PRIJEM	VKLAD	3600	36630	\N	\N	\N
163081	544	1998-01-29	PRIJEM	VKLAD	7000	42128	\N	\N	\N
163082	544	1998-02-28	PRIJEM	VKLAD	4500	44432	\N	\N	\N
163083	544	1998-03-30	PRIJEM	VKLAD	5600	47703	\N	\N	\N
163084	544	1998-04-29	PRIJEM	VKLAD	4200	47798	\N	\N	\N
163085	544	1998-05-29	VYDAJ	VYBER	8400	58560	\N	\N	\N
163086	544	1998-06-28	PRIJEM	VKLAD	9800	39439	\N	\N	\N
163087	544	1998-07-28	PRIJEM	VKLAD	8300	46612	\N	\N	\N
163088	544	1998-08-27	PRIJEM	VKLAD	3900	50315	\N	\N	\N
163089	544	1998-09-26	PRIJEM	VKLAD	7100	49481	\N	\N	\N
163090	544	1998-10-26	PRIJEM	VKLAD	5500	66436	\N	\N	\N
163091	544	1998-11-25	VYDAJ	VYBER	5100	81048	\N	\N	\N
163135	545	1993-11-24	PRIJEM	VKLAD	900	900	\N	\N	\N
163147	545	1993-12-07	PRIJEM	VKLAD	17169	18069	\N	\N	\N
163148	545	1994-01-07	PRIJEM	VKLAD	11446	34440	\N	\N	\N
163149	545	1994-02-07	PRIJEM	VKLAD	11446	41790	\N	\N	\N
163150	545	1994-03-07	PRIJEM	VKLAD	11446	42463	\N	\N	\N
163151	545	1994-04-07	PRIJEM	VKLAD	11446	45741	\N	\N	\N
163152	545	1994-05-07	PRIJEM	VKLAD	11446	43823	\N	\N	\N
163153	545	1994-06-07	PRIJEM	VKLAD	17169	50923	\N	\N	\N
163154	545	1994-07-07	PRIJEM	VKLAD	11446	34667	\N	\N	\N
163155	545	1994-08-07	PRIJEM	VKLAD	11446	41512	\N	\N	\N
163156	545	1994-09-07	PRIJEM	VKLAD	11446	42677	\N	\N	\N
163157	545	1994-10-07	PRIJEM	VKLAD	11446	41043	\N	\N	\N
163158	545	1994-11-07	PRIJEM	VKLAD	11446	40202	\N	\N	\N
163159	545	1994-12-07	PRIJEM	VKLAD	17169	42680	\N	\N	\N
163160	545	1995-01-07	PRIJEM	VKLAD	11446	38237	\N	\N	\N
163161	545	1995-02-07	PRIJEM	VKLAD	11446	41996	\N	\N	\N
163162	545	1995-03-07	PRIJEM	VKLAD	11446	42058	\N	\N	\N
163163	545	1995-04-07	PRIJEM	VKLAD	11446	44526	\N	\N	\N
163164	545	1995-05-07	PRIJEM	VKLAD	11446	43097	\N	\N	\N
163165	545	1995-06-07	PRIJEM	VKLAD	17169	48285	\N	\N	\N
163166	545	1995-07-07	PRIJEM	VKLAD	11446	37428	\N	\N	\N
163167	545	1995-08-07	PRIJEM	VKLAD	11446	40977	\N	\N	\N
163168	545	1995-09-07	PRIJEM	VKLAD	11446	36726	\N	\N	\N
163169	545	1995-10-07	PRIJEM	VKLAD	11446	38977	\N	\N	\N
163170	545	1995-11-07	PRIJEM	VKLAD	11446	41335	\N	\N	\N
163171	545	1995-12-07	PRIJEM	VKLAD	17169	51223	\N	\N	\N
163172	545	1996-01-07	PRIJEM	VKLAD	11446	47403	\N	\N	\N
163173	545	1996-02-07	PRIJEM	VKLAD	11446	38760	\N	\N	\N
163174	545	1996-03-07	PRIJEM	VKLAD	11446	35103	\N	\N	\N
163175	545	1996-04-07	PRIJEM	VKLAD	11446	40645	\N	\N	\N
163176	545	1996-05-07	PRIJEM	VKLAD	11446	40594	\N	\N	\N
163177	545	1996-06-07	PRIJEM	VKLAD	17169	49173	\N	\N	\N
163178	545	1996-07-07	PRIJEM	VKLAD	11446	31294	\N	\N	\N
163179	545	1996-08-07	PRIJEM	VKLAD	11446	37721	\N	\N	\N
163180	545	1996-09-07	PRIJEM	VKLAD	11446	42670	\N	\N	\N
163181	545	1996-10-07	PRIJEM	VKLAD	11446	45843	\N	\N	\N
163182	545	1996-11-07	PRIJEM	VKLAD	11446	52531	\N	\N	\N
163183	545	1996-12-07	PRIJEM	VKLAD	17169	57046	\N	\N	\N
163184	545	1997-01-07	PRIJEM	VKLAD	11446	44025	\N	\N	\N
163185	545	1997-02-07	PRIJEM	VKLAD	11446	38881	\N	\N	\N
163186	545	1997-03-07	PRIJEM	VKLAD	11446	43043	\N	\N	\N
163187	545	1997-04-07	PRIJEM	VKLAD	11446	45908	\N	\N	\N
163188	545	1997-05-07	PRIJEM	VKLAD	11446	45382	\N	\N	\N
163189	545	1997-06-07	PRIJEM	VKLAD	17169	41174	\N	\N	\N
163190	545	1997-07-07	PRIJEM	VKLAD	11446	47752	\N	\N	\N
163191	545	1997-08-07	PRIJEM	VKLAD	11446	50757	\N	\N	\N
163192	545	1997-09-07	PRIJEM	VKLAD	11446	52577	\N	\N	\N
163193	545	1997-10-07	PRIJEM	VKLAD	11446	53705	\N	\N	\N
163194	545	1997-11-07	PRIJEM	VKLAD	11446	57838	\N	\N	\N
163195	545	1997-12-07	PRIJEM	VKLAD	17169	62109	\N	\N	\N
163196	545	1998-01-07	PRIJEM	VKLAD	11446	61069	\N	\N	\N
163197	545	1998-02-07	PRIJEM	VKLAD	11446	57916	\N	\N	\N
163198	545	1998-03-07	PRIJEM	VKLAD	11446	62162	\N	\N	\N
163199	545	1998-04-07	PRIJEM	VKLAD	11446	58828	\N	\N	\N
163200	545	1998-05-07	PRIJEM	VKLAD	11446	68779	\N	\N	\N
163201	545	1998-06-07	PRIJEM	VKLAD	17169	76490	\N	\N	\N
163202	545	1998-07-07	PRIJEM	VKLAD	11446	74203	\N	\N	\N
163203	545	1998-08-07	PRIJEM	VKLAD	11446	73721	\N	\N	\N
163204	545	1998-09-07	PRIJEM	VKLAD	11446	73935	\N	\N	\N
163205	545	1998-10-07	PRIJEM	VKLAD	11446	79841	\N	\N	\N
163206	545	1998-11-07	PRIJEM	VKLAD	11446	79472	\N	\N	\N
163207	545	1998-12-07	PRIJEM	VKLAD	17169	89029	\N	\N	\N
163223	545	1994-04-09	VYDAJ	PREVOD NA UCET	3306	42435	SIPO	YZ	87724715
163224	545	1994-05-09	VYDAJ	PREVOD NA UCET	3306	40517	SIPO	YZ	87724715
163225	545	1994-06-09	VYDAJ	PREVOD NA UCET	3306	47617	SIPO	YZ	87724715
163226	545	1994-07-09	VYDAJ	PREVOD NA UCET	3306	31361	SIPO	YZ	87724715
163227	545	1994-08-09	VYDAJ	PREVOD NA UCET	3306	38206	SIPO	YZ	87724715
163228	545	1994-09-09	VYDAJ	PREVOD NA UCET	3306	39371	SIPO	YZ	87724715
163229	545	1994-10-09	VYDAJ	PREVOD NA UCET	3306	37737	SIPO	YZ	87724715
163230	545	1994-11-09	VYDAJ	PREVOD NA UCET	3306	36896	SIPO	YZ	87724715
163231	545	1994-12-09	VYDAJ	PREVOD NA UCET	3306	34574	SIPO	YZ	87724715
163232	545	1995-01-09	VYDAJ	PREVOD NA UCET	3306	34931	SIPO	YZ	87724715
163233	545	1995-02-09	VYDAJ	PREVOD NA UCET	3306	38690	SIPO	YZ	87724715
163234	545	1995-03-09	VYDAJ	PREVOD NA UCET	3306	38752	SIPO	YZ	87724715
163235	545	1995-04-09	VYDAJ	PREVOD NA UCET	3306	41220	SIPO	YZ	87724715
163236	545	1995-05-09	VYDAJ	PREVOD NA UCET	3306	39791	SIPO	YZ	87724715
163237	545	1995-06-09	VYDAJ	PREVOD NA UCET	3306	29079	SIPO	YZ	87724715
163238	545	1995-07-09	VYDAJ	PREVOD NA UCET	3306	34122	SIPO	YZ	87724715
163239	545	1995-08-09	VYDAJ	PREVOD NA UCET	3306	37671	SIPO	YZ	87724715
163240	545	1995-09-09	VYDAJ	PREVOD NA UCET	3306	33420	SIPO	YZ	87724715
163241	545	1995-10-09	VYDAJ	PREVOD NA UCET	3306	35671	SIPO	YZ	87724715
163242	545	1995-11-09	VYDAJ	PREVOD NA UCET	3306	38029	SIPO	YZ	87724715
163243	545	1995-12-09	VYDAJ	PREVOD NA UCET	3306	47917	SIPO	YZ	87724715
163244	545	1996-01-09	VYDAJ	PREVOD NA UCET	3306	40197	SIPO	YZ	87724715
163245	545	1996-02-09	VYDAJ	PREVOD NA UCET	3306	35454	SIPO	YZ	87724715
163246	545	1996-03-09	VYDAJ	PREVOD NA UCET	3306	31797	SIPO	YZ	87724715
163247	545	1996-04-09	VYDAJ	PREVOD NA UCET	3306	37339	SIPO	YZ	87724715
163248	545	1996-05-09	VYDAJ	PREVOD NA UCET	3306	37288	SIPO	YZ	87724715
163249	545	1996-06-09	VYDAJ	PREVOD NA UCET	3306	18667	SIPO	YZ	87724715
163250	545	1996-07-09	VYDAJ	PREVOD NA UCET	3306	27988	SIPO	YZ	87724715
163251	545	1996-08-09	VYDAJ	PREVOD NA UCET	3306	34415	SIPO	YZ	87724715
163252	545	1996-09-09	VYDAJ	PREVOD NA UCET	3306	34264	SIPO	YZ	87724715
163253	545	1996-10-09	VYDAJ	PREVOD NA UCET	3306	42537	SIPO	YZ	87724715
163254	545	1996-11-09	VYDAJ	PREVOD NA UCET	3306	39725	SIPO	YZ	87724715
163255	545	1996-12-09	VYDAJ	PREVOD NA UCET	3306	38240	SIPO	YZ	87724715
163256	545	1997-01-09	VYDAJ	PREVOD NA UCET	3306	36519	SIPO	YZ	87724715
163257	545	1997-02-09	VYDAJ	PREVOD NA UCET	3306	35575	SIPO	YZ	87724715
163258	545	1997-03-09	VYDAJ	PREVOD NA UCET	3306	34337	SIPO	YZ	87724715
163259	545	1997-04-09	VYDAJ	PREVOD NA UCET	3306	37802	SIPO	YZ	87724715
163260	545	1997-05-09	VYDAJ	PREVOD NA UCET	3306	34476	SIPO	YZ	87724715
163261	545	1997-06-09	VYDAJ	PREVOD NA UCET	3306	37868	SIPO	YZ	87724715
163262	545	1997-07-09	VYDAJ	PREVOD NA UCET	3306	44446	SIPO	YZ	87724715
163263	545	1997-08-09	VYDAJ	PREVOD NA UCET	3306	47451	SIPO	YZ	87724715
163264	545	1997-09-09	VYDAJ	PREVOD NA UCET	3306	49271	SIPO	YZ	87724715
163265	545	1997-10-09	VYDAJ	PREVOD NA UCET	3306	50399	SIPO	YZ	87724715
163266	545	1997-11-09	VYDAJ	PREVOD NA UCET	3306	54532	SIPO	YZ	87724715
163267	545	1997-12-09	VYDAJ	PREVOD NA UCET	3306	58803	SIPO	YZ	87724715
163268	545	1998-01-09	VYDAJ	PREVOD NA UCET	3306	57763	SIPO	YZ	87724715
163269	545	1998-02-09	VYDAJ	PREVOD NA UCET	3306	54610	SIPO	YZ	87724715
163270	545	1998-03-09	VYDAJ	PREVOD NA UCET	3306	58856	SIPO	YZ	87724715
163271	545	1998-04-09	VYDAJ	PREVOD NA UCET	3306	55522	SIPO	YZ	87724715
163272	545	1998-05-09	VYDAJ	PREVOD NA UCET	3306	65473	SIPO	YZ	87724715
163273	545	1998-06-09	VYDAJ	PREVOD NA UCET	3306	73184	SIPO	YZ	87724715
163274	545	1998-07-09	VYDAJ	PREVOD NA UCET	3306	70897	SIPO	YZ	87724715
163275	545	1998-08-09	VYDAJ	PREVOD NA UCET	3306	70415	SIPO	YZ	87724715
163276	545	1998-09-09	VYDAJ	PREVOD NA UCET	3306	70629	SIPO	YZ	87724715
163277	545	1998-10-09	VYDAJ	PREVOD NA UCET	3306	76535	SIPO	YZ	87724715
163278	545	1998-11-09	VYDAJ	PREVOD NA UCET	3306	76166	SIPO	YZ	87724715
163279	545	1998-12-09	VYDAJ	PREVOD NA UCET	3306	85723	SIPO	YZ	87724715
163281	545	1994-06-12	VYDAJ	VYBER	24500	23117	\N	\N	\N
163282	545	1995-06-08	VYDAJ	VYBER	15900	32385	\N	\N	\N
163283	545	1996-06-09	VYDAJ	VYBER	27200	21973	\N	\N	\N
163284	545	1997-06-05	VYDAJ	VYBER	17900	16705	\N	\N	\N
163285	545	1998-06-21	VYDAJ	VYBER	3000	70184	\N	\N	\N
163288	545	1995-01-04	VYDAJ	VYBER	2200	26791	\N	\N	\N
163289	545	1996-01-14	VYDAJ	VYBER	5800	27197	\N	\N	\N
163290	545	1997-01-23	VYDAJ	VYBER	5400	26819	\N	\N	\N
163291	545	1998-01-15	VYDAJ	VYBER	8000	49763	\N	\N	\N
163293	545	1994-12-27	VYDAJ	VYBER	2500	28874	\N	\N	\N
163294	545	1995-12-13	VYDAJ	VYBER	1600	46317	\N	\N	\N
163295	545	1996-12-21	VYDAJ	VYBER	1800	32440	\N	\N	\N
163296	545	1997-12-02	VYDAJ	VYBER	1400	53340	\N	\N	\N
163297	545	1998-12-12	VYDAJ	VYBER	600	85123	\N	\N	\N
163304	545	1994-12-07	VYDAJ	VYBER	4800	37880	\N	\N	\N
163305	545	1994-11-28	VYDAJ	VYBER	3500	25396	\N	\N	\N
163308	545	1995-08-24	VYDAJ	VYBER	3700	25171	\N	\N	\N
163309	545	1995-08-12	VYDAJ	VYBER	1500	36171	\N	\N	\N
163310	545	1995-10-05	VYDAJ	VYBER	4000	27531	\N	\N	\N
163311	545	1995-05-18	VYDAJ	VYBER	3900	30991	\N	\N	\N
163312	545	1995-10-19	VYDAJ	VYBER	900	29771	\N	\N	\N
163313	545	1995-01-23	VYDAJ	VYBER	1400	30431	\N	\N	\N
163314	545	1996-12-21	VYDAJ	VYBER	4000	34240	\N	\N	\N
163315	545	1996-12-09	VYDAJ	VYBER	3600	41546	\N	\N	\N
163316	545	1996-02-29	VYDAJ	VYBER	4400	23672	\N	\N	\N
163317	545	1996-01-07	VYDAJ	VYBER	3900	43503	\N	\N	\N
163318	545	1996-04-12	VYDAJ	VYBER	1600	35739	\N	\N	\N
163319	545	1997-02-23	VYDAJ	VYBER	4100	31475	\N	\N	\N
163320	545	1997-04-19	VYDAJ	VYBER	4000	33802	\N	\N	\N
163321	545	1997-01-12	VYDAJ	VYBER	4300	32219	\N	\N	\N
163322	545	1998-06-01	VYDAJ	VYBER	1900	63821	\N	\N	\N
163323	545	1998-11-03	VYDAJ	VYBER	3700	70826	\N	\N	\N
163324	545	1998-01-23	VYDAJ	VYBER	800	48963	\N	\N	\N
163325	545	1998-11-04	VYDAJ	VYBER	2800	68026	\N	\N	\N
163326	545	1998-04-03	VYDAJ	VYBER	4800	47382	\N	\N	\N
163343	545	1994-04-30	VYDAJ	VYBER	15	32377	SLUZBY	\N	\N
163344	545	1994-05-31	VYDAJ	VYBER	15	33754	SLUZBY	\N	\N
163345	545	1994-06-30	VYDAJ	VYBER	15	23221	SLUZBY	\N	\N
163346	545	1994-07-31	VYDAJ	VYBER	15	30066	SLUZBY	\N	\N
163347	545	1994-08-31	VYDAJ	VYBER	15	31231	SLUZBY	\N	\N
163348	545	1994-09-30	VYDAJ	VYBER	15	29597	SLUZBY	\N	\N
163349	545	1994-10-31	VYDAJ	VYBER	15	28756	SLUZBY	\N	\N
163350	545	1994-11-30	VYDAJ	VYBER	15	25511	SLUZBY	\N	\N
163351	545	1994-12-31	VYDAJ	VYBER	15	28991	SLUZBY	\N	\N
163352	545	1995-01-31	VYDAJ	VYBER	15	30550	SLUZBY	\N	\N
163353	545	1995-02-28	VYDAJ	VYBER	15	30612	SLUZBY	\N	\N
163354	545	1995-03-31	VYDAJ	VYBER	15	33080	SLUZBY	\N	\N
163355	545	1995-04-30	VYDAJ	VYBER	15	31651	SLUZBY	\N	\N
163356	545	1995-05-31	VYDAJ	VYBER	15	31116	SLUZBY	\N	\N
163357	545	1995-06-30	VYDAJ	VYBER	15	25982	SLUZBY	\N	\N
163358	545	1995-07-31	VYDAJ	VYBER	15	29531	SLUZBY	\N	\N
163359	545	1995-08-31	VYDAJ	VYBER	15	25280	SLUZBY	\N	\N
163360	545	1995-09-30	VYDAJ	VYBER	15	31531	SLUZBY	\N	\N
163361	545	1995-10-31	VYDAJ	VYBER	15	29889	SLUZBY	\N	\N
163362	545	1995-11-30	VYDAJ	VYBER	15	34054	SLUZBY	\N	\N
163363	545	1995-12-31	VYDAJ	VYBER	15	35957	SLUZBY	\N	\N
163364	545	1996-01-31	VYDAJ	VYBER	15	27314	SLUZBY	\N	\N
163365	545	1996-02-29	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
163366	545	1996-03-31	VYDAJ	VYBER	15	29199	SLUZBY	\N	\N
163367	545	1996-04-30	VYDAJ	VYBER	15	29148	SLUZBY	\N	\N
163368	545	1996-05-31	VYDAJ	VYBER	15	32004	SLUZBY	\N	\N
163369	545	1996-06-30	VYDAJ	VYBER	15	19848	SLUZBY	\N	\N
163370	545	1996-07-31	VYDAJ	VYBER	15	26275	SLUZBY	\N	\N
163371	545	1996-08-31	VYDAJ	VYBER	15	31224	SLUZBY	\N	\N
163372	545	1996-09-30	VYDAJ	VYBER	15	34397	SLUZBY	\N	\N
163373	545	1996-10-31	VYDAJ	VYBER	15	41085	SLUZBY	\N	\N
163374	545	1996-11-30	VYDAJ	VYBER	15	39877	SLUZBY	\N	\N
163375	545	1996-12-31	VYDAJ	VYBER	15	32579	SLUZBY	\N	\N
163376	545	1997-01-31	VYDAJ	VYBER	15	26935	SLUZBY	\N	\N
163377	545	1997-02-28	VYDAJ	VYBER	15	31597	SLUZBY	\N	\N
163378	545	1997-03-31	VYDAJ	VYBER	15	34462	SLUZBY	\N	\N
163379	545	1997-04-30	VYDAJ	VYBER	15	33936	SLUZBY	\N	\N
163380	545	1997-05-31	VYDAJ	VYBER	15	34605	SLUZBY	\N	\N
163381	545	1997-06-30	VYDAJ	VYBER	15	38006	SLUZBY	\N	\N
163382	545	1997-07-31	VYDAJ	VYBER	15	44611	SLUZBY	\N	\N
163383	545	1997-08-31	VYDAJ	VYBER	15	47631	SLUZBY	\N	\N
163384	545	1997-09-30	VYDAJ	VYBER	15	49459	SLUZBY	\N	\N
163385	545	1997-10-31	VYDAJ	VYBER	15	50592	SLUZBY	\N	\N
163386	545	1997-11-30	VYDAJ	VYBER	15	54740	SLUZBY	\N	\N
163387	545	1997-12-31	VYDAJ	VYBER	15	59023	SLUZBY	\N	\N
163388	545	1998-01-31	VYDAJ	VYBER	15	49170	SLUZBY	\N	\N
163389	545	1998-02-28	VYDAJ	VYBER	15	54816	SLUZBY	\N	\N
163390	545	1998-03-31	VYDAJ	VYBER	15	59082	SLUZBY	\N	\N
163391	545	1998-04-30	VYDAJ	VYBER	15	55733	SLUZBY	\N	\N
163392	545	1998-05-31	VYDAJ	VYBER	15	65721	SLUZBY	\N	\N
163393	545	1998-06-30	VYDAJ	VYBER	15	70457	SLUZBY	\N	\N
163394	545	1998-07-31	VYDAJ	VYBER	15	71175	SLUZBY	\N	\N
163395	545	1998-08-31	VYDAJ	VYBER	15	62489	SLUZBY	\N	\N
163396	545	1998-09-30	VYDAJ	VYBER	15	68395	SLUZBY	\N	\N
163397	545	1998-10-31	VYDAJ	VYBER	15	74526	SLUZBY	\N	\N
163398	545	1998-11-30	VYDAJ	VYBER	15	71860	SLUZBY	\N	\N
163399	545	1993-12-24	PRIJEM	VKLAD	4900	22969	\N	\N	\N
163400	545	1994-01-23	VYDAJ	VYBER	4200	30240	\N	\N	\N
163401	545	1994-02-22	VYDAJ	VYBER	10900	30890	\N	\N	\N
163402	545	1994-03-24	VYDAJ	VYBER	8300	34163	\N	\N	\N
163403	545	1994-04-23	VYDAJ	VYBER	10200	32235	\N	\N	\N
163404	545	1994-05-23	VYDAJ	VYBER	6900	33617	\N	\N	\N
163405	545	1994-07-22	VYDAJ	VYBER	1400	29961	\N	\N	\N
163406	545	1994-08-21	VYDAJ	VYBER	7100	31106	\N	\N	\N
163407	545	1994-09-20	VYDAJ	VYBER	9900	29471	\N	\N	\N
163408	545	1994-10-20	VYDAJ	VYBER	9100	28637	\N	\N	\N
163409	545	1994-11-19	VYDAJ	VYBER	8000	28896	\N	\N	\N
163410	545	1994-12-19	VYDAJ	VYBER	3200	31374	\N	\N	\N
163411	545	1995-01-18	VYDAJ	VYBER	3100	31831	\N	\N	\N
163412	545	1995-02-17	VYDAJ	VYBER	8200	30490	\N	\N	\N
163413	545	1995-03-19	VYDAJ	VYBER	5800	32952	\N	\N	\N
163414	545	1995-04-18	VYDAJ	VYBER	9700	31520	\N	\N	\N
163415	545	1995-05-18	VYDAJ	VYBER	4900	34891	\N	\N	\N
163416	545	1995-06-17	VYDAJ	VYBER	3200	25879	\N	\N	\N
163417	545	1995-07-17	VYDAJ	VYBER	4700	29422	\N	\N	\N
163418	545	1995-08-16	VYDAJ	VYBER	7300	28871	\N	\N	\N
163419	545	1995-09-15	VYDAJ	VYBER	2000	31420	\N	\N	\N
163420	545	1995-10-15	VYDAJ	VYBER	5000	30671	\N	\N	\N
163421	545	1995-11-14	VYDAJ	VYBER	4100	33929	\N	\N	\N
163422	545	1995-12-14	VYDAJ	VYBER	10500	35817	\N	\N	\N
163423	545	1996-01-13	VYDAJ	VYBER	7200	32997	\N	\N	\N
163424	545	1996-02-12	VYDAJ	VYBER	7500	27954	\N	\N	\N
163425	545	1996-03-13	VYDAJ	VYBER	2700	29097	\N	\N	\N
163426	545	1996-04-12	VYDAJ	VYBER	6700	29039	\N	\N	\N
163427	545	1996-05-12	VYDAJ	VYBER	5400	31888	\N	\N	\N
163428	545	1996-06-11	PRIJEM	VKLAD	1100	19767	\N	\N	\N
163429	545	1996-07-11	VYDAJ	VYBER	1800	26188	\N	\N	\N
163430	545	1996-08-10	VYDAJ	VYBER	3300	31115	\N	\N	\N
163431	545	1996-09-09	VYDAJ	VYBER	5100	37570	\N	\N	\N
163432	545	1996-10-09	VYDAJ	VYBER	1600	40937	\N	\N	\N
163433	545	1996-11-08	VYDAJ	VYBER	9500	43031	\N	\N	\N
163434	545	1996-12-08	VYDAJ	VYBER	11900	45146	\N	\N	\N
163435	545	1997-01-07	VYDAJ	VYBER	4200	39825	\N	\N	\N
163436	545	1997-02-06	PRIJEM	VKLAD	500	27435	\N	\N	\N
163437	545	1997-03-08	VYDAJ	VYBER	5400	37643	\N	\N	\N
163438	545	1997-04-07	VYDAJ	VYBER	4800	41108	\N	\N	\N
163439	545	1997-05-07	VYDAJ	VYBER	7600	37782	\N	\N	\N
163440	545	1997-06-06	PRIJEM	VKLAD	7300	24005	\N	\N	\N
163441	545	1997-07-06	VYDAJ	VYBER	1700	36306	\N	\N	\N
163442	545	1997-08-05	VYDAJ	VYBER	5300	39311	\N	\N	\N
163443	545	1997-09-04	VYDAJ	VYBER	6500	41131	\N	\N	\N
163444	545	1997-10-04	VYDAJ	VYBER	7200	42259	\N	\N	\N
163445	545	1997-11-03	VYDAJ	VYBER	4200	46392	\N	\N	\N
163446	545	1997-12-03	VYDAJ	VYBER	8400	44940	\N	\N	\N
163447	545	1998-01-02	VYDAJ	VYBER	9400	49623	\N	\N	\N
163448	545	1998-02-01	VYDAJ	VYBER	2700	46470	\N	\N	\N
163449	545	1998-03-03	VYDAJ	VYBER	4100	50716	\N	\N	\N
163450	545	1998-04-02	VYDAJ	VYBER	6900	52182	\N	\N	\N
163451	545	1998-05-02	PRIJEM	VKLAD	1600	57333	\N	\N	\N
163452	545	1998-06-01	VYDAJ	VYBER	4500	59321	\N	\N	\N
163453	545	1998-07-01	VYDAJ	VYBER	7700	62757	\N	\N	\N
163454	545	1998-07-31	VYDAJ	VYBER	8900	62275	\N	\N	\N
163455	545	1998-08-30	VYDAJ	VYBER	8200	62215	\N	\N	\N
163456	545	1998-09-29	VYDAJ	VYBER	2500	68129	\N	\N	\N
163457	545	1998-10-29	VYDAJ	VYBER	2300	74235	\N	\N	\N
163458	545	1998-11-28	VYDAJ	VYBER	4600	71566	\N	\N	\N
163520	546	1996-11-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
163532	546	1996-12-06	PRIJEM	PREVOD Z UCTU	4410	5510	DUCHOD	AB	26197439
163533	546	1997-01-06	PRIJEM	PREVOD Z UCTU	4410	9920	DUCHOD	AB	26197439
163534	546	1997-02-06	PRIJEM	PREVOD Z UCTU	4410	14330	DUCHOD	AB	26197439
163535	546	1997-03-06	PRIJEM	PREVOD Z UCTU	4410	18740	DUCHOD	AB	26197439
163536	546	1997-04-06	PRIJEM	PREVOD Z UCTU	4410	23150	DUCHOD	AB	26197439
163537	546	1997-05-06	PRIJEM	PREVOD Z UCTU	4410	21699	DUCHOD	AB	26197439
163538	546	1997-06-06	PRIJEM	PREVOD Z UCTU	4410	19709	DUCHOD	AB	26197439
163539	546	1997-07-06	PRIJEM	PREVOD Z UCTU	4410	21233	DUCHOD	AB	26197439
163540	546	1997-08-06	PRIJEM	PREVOD Z UCTU	4410	22763	DUCHOD	AB	26197439
163541	546	1997-09-06	PRIJEM	PREVOD Z UCTU	4410	22215	DUCHOD	AB	26197439
163542	546	1997-10-06	PRIJEM	PREVOD Z UCTU	4410	23749	DUCHOD	AB	26197439
163543	546	1997-11-06	PRIJEM	PREVOD Z UCTU	4410	25289	DUCHOD	AB	26197439
163544	546	1997-12-06	PRIJEM	PREVOD Z UCTU	4410	26836	DUCHOD	AB	26197439
163545	546	1998-01-06	PRIJEM	PREVOD Z UCTU	4410	25536	DUCHOD	AB	26197439
163546	546	1998-02-06	PRIJEM	PREVOD Z UCTU	4410	27084	DUCHOD	AB	26197439
163547	546	1998-03-06	PRIJEM	PREVOD Z UCTU	4410	22326	DUCHOD	AB	26197439
163548	546	1998-04-06	PRIJEM	PREVOD Z UCTU	4410	21556	DUCHOD	AB	26197439
163549	546	1998-05-06	PRIJEM	PREVOD Z UCTU	4410	18979	DUCHOD	AB	26197439
163550	546	1998-06-06	PRIJEM	PREVOD Z UCTU	4410	19497	DUCHOD	AB	26197439
163551	546	1998-07-06	PRIJEM	PREVOD Z UCTU	4410	16911	DUCHOD	AB	26197439
163552	546	1998-08-06	PRIJEM	PREVOD Z UCTU	4410	18422	DUCHOD	AB	26197439
163553	546	1998-09-06	PRIJEM	PREVOD Z UCTU	4410	17134	DUCHOD	AB	26197439
163554	546	1998-10-06	PRIJEM	PREVOD Z UCTU	4410	18647	DUCHOD	AB	26197439
163555	546	1998-11-06	PRIJEM	PREVOD Z UCTU	4410	20165	DUCHOD	AB	26197439
163556	546	1998-12-06	PRIJEM	PREVOD Z UCTU	4410	17602	DUCHOD	AB	26197439
163572	546	1997-04-10	VYDAJ	PREVOD NA UCET	2940	20210	SIPO	YZ	87099098
163573	546	1997-05-10	VYDAJ	PREVOD NA UCET	2940	18759	SIPO	YZ	87099098
163574	546	1997-06-10	VYDAJ	PREVOD NA UCET	2940	16769	SIPO	YZ	87099098
163575	546	1997-07-10	VYDAJ	PREVOD NA UCET	2940	18293	SIPO	YZ	87099098
163576	546	1997-08-10	VYDAJ	PREVOD NA UCET	2940	19823	SIPO	YZ	87099098
163577	546	1997-09-10	VYDAJ	PREVOD NA UCET	2940	19275	SIPO	YZ	87099098
163578	546	1997-10-10	VYDAJ	PREVOD NA UCET	2940	20809	SIPO	YZ	87099098
163579	546	1997-11-10	VYDAJ	PREVOD NA UCET	2940	22349	SIPO	YZ	87099098
163580	546	1997-12-10	VYDAJ	PREVOD NA UCET	2940	23446	SIPO	YZ	87099098
163581	546	1998-01-10	VYDAJ	PREVOD NA UCET	2940	22596	SIPO	YZ	87099098
163582	546	1998-02-10	VYDAJ	PREVOD NA UCET	2940	24144	SIPO	YZ	87099098
163583	546	1998-03-10	VYDAJ	PREVOD NA UCET	2940	19386	SIPO	YZ	87099098
163584	546	1998-04-10	VYDAJ	PREVOD NA UCET	2940	18616	SIPO	YZ	87099098
163585	546	1998-05-10	VYDAJ	PREVOD NA UCET	2940	16039	SIPO	YZ	87099098
163586	546	1998-06-10	VYDAJ	PREVOD NA UCET	2940	16557	SIPO	YZ	87099098
163587	546	1998-07-10	VYDAJ	PREVOD NA UCET	2940	13971	SIPO	YZ	87099098
163588	546	1998-08-10	VYDAJ	PREVOD NA UCET	2940	15482	SIPO	YZ	87099098
163589	546	1998-09-10	VYDAJ	PREVOD NA UCET	2940	14194	SIPO	YZ	87099098
163590	546	1998-10-10	VYDAJ	PREVOD NA UCET	2940	15707	SIPO	YZ	87099098
163591	546	1998-11-10	VYDAJ	PREVOD NA UCET	2940	15705	SIPO	YZ	87099098
163592	546	1998-12-10	VYDAJ	PREVOD NA UCET	2940	14662	SIPO	YZ	87099098
163594	546	1997-12-10	VYDAJ	VYBER	450	26386	\N	\N	\N
163595	546	1998-12-28	VYDAJ	VYBER	800	13862	\N	\N	\N
163602	546	1997-05-29	VYDAJ	VYBER	3520	15239	\N	\N	\N
163604	546	1997-08-17	VYDAJ	VYBER	2080	17743	\N	\N	\N
163605	546	1997-04-18	VYDAJ	VYBER	2960	17250	\N	\N	\N
163607	546	1998-11-10	VYDAJ	VYBER	1520	18645	\N	\N	\N
163611	546	1998-11-19	VYDAJ	VYBER	2560	13145	\N	\N	\N
163628	546	1997-04-30	VYDAJ	VYBER	15	17289	SLUZBY	\N	\N
163629	546	1997-05-31	VYDAJ	VYBER	15	15299	SLUZBY	\N	\N
163630	546	1997-06-30	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
163631	546	1997-07-31	VYDAJ	VYBER	15	18353	SLUZBY	\N	\N
163632	546	1997-08-31	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
163633	546	1997-09-30	VYDAJ	VYBER	15	19339	SLUZBY	\N	\N
163634	546	1997-10-31	VYDAJ	VYBER	15	20879	SLUZBY	\N	\N
163635	546	1997-11-30	VYDAJ	VYBER	15	22426	SLUZBY	\N	\N
163636	546	1997-12-31	VYDAJ	VYBER	15	21126	SLUZBY	\N	\N
163637	546	1998-01-31	VYDAJ	VYBER	15	22674	SLUZBY	\N	\N
163638	546	1998-02-28	VYDAJ	VYBER	15	17916	SLUZBY	\N	\N
163639	546	1998-03-31	VYDAJ	VYBER	15	17146	SLUZBY	\N	\N
163640	546	1998-04-30	VYDAJ	VYBER	15	14569	SLUZBY	\N	\N
163641	546	1998-05-31	VYDAJ	VYBER	15	15087	SLUZBY	\N	\N
163642	546	1998-06-30	VYDAJ	VYBER	15	12501	SLUZBY	\N	\N
163643	546	1998-07-31	VYDAJ	VYBER	15	14012	SLUZBY	\N	\N
163644	546	1998-08-31	VYDAJ	VYBER	15	12724	SLUZBY	\N	\N
163645	546	1998-09-30	VYDAJ	VYBER	15	14237	SLUZBY	\N	\N
163646	546	1998-10-31	VYDAJ	VYBER	15	15755	SLUZBY	\N	\N
163647	546	1998-11-30	VYDAJ	VYBER	15	13192	SLUZBY	\N	\N
163648	546	1997-12-18	VYDAJ	VYBER	2400	21046	\N	\N	\N
163649	546	1998-02-16	VYDAJ	VYBER	6300	17844	\N	\N	\N
163650	546	1998-03-18	VYDAJ	VYBER	2300	17086	\N	\N	\N
163651	546	1998-04-17	VYDAJ	VYBER	4100	14516	\N	\N	\N
163652	546	1998-05-17	VYDAJ	VYBER	1000	15039	\N	\N	\N
163653	546	1998-06-16	VYDAJ	VYBER	4100	12457	\N	\N	\N
163654	546	1998-08-15	VYDAJ	VYBER	2800	12682	\N	\N	\N
163676	547	1997-07-27	PRIJEM	VKLAD	900	900	\N	\N	\N
163684	547	1997-08-06	PRIJEM	PREVOD Z UCTU	3410	4310	\N	UV	29207426
163685	547	1997-09-06	PRIJEM	PREVOD Z UCTU	3410	7720	\N	UV	29207426
163686	547	1997-10-06	PRIJEM	PREVOD Z UCTU	3410	11130	\N	UV	29207426
163687	547	1997-11-06	PRIJEM	PREVOD Z UCTU	3410	14540	\N	UV	29207426
163688	547	1997-12-06	PRIJEM	PREVOD Z UCTU	3410	17950	\N	UV	29207426
163689	547	1998-01-06	PRIJEM	PREVOD Z UCTU	3410	17796	\N	UV	29207426
163690	547	1998-02-06	PRIJEM	PREVOD Z UCTU	3410	15825	\N	UV	29207426
163691	547	1998-03-06	PRIJEM	PREVOD Z UCTU	3410	15678	\N	UV	29207426
163692	547	1998-04-06	PRIJEM	PREVOD Z UCTU	3410	15863	\N	UV	29207426
163693	547	1998-05-06	PRIJEM	PREVOD Z UCTU	3410	17041	\N	UV	29207426
163694	547	1998-06-06	PRIJEM	PREVOD Z UCTU	3410	17623	\N	UV	29207426
163695	547	1998-07-06	PRIJEM	PREVOD Z UCTU	3410	17274	\N	UV	29207426
163696	547	1998-08-06	PRIJEM	PREVOD Z UCTU	3410	18458	\N	UV	29207426
163697	547	1998-09-06	PRIJEM	PREVOD Z UCTU	3410	18172	\N	UV	29207426
163698	547	1998-10-06	PRIJEM	PREVOD Z UCTU	3410	19359	\N	UV	29207426
163699	547	1998-11-06	PRIJEM	PREVOD Z UCTU	3410	20551	\N	UV	29207426
163700	547	1998-12-06	PRIJEM	PREVOD Z UCTU	3410	19824	\N	UV	29207426
163712	547	1997-12-10	VYDAJ	PREVOD NA UCET	2273	15677	\N	EF	48055100
163713	547	1998-01-10	VYDAJ	PREVOD NA UCET	2273	14353	\N	EF	48055100
163714	547	1998-02-10	VYDAJ	PREVOD NA UCET	2273	12232	\N	EF	48055100
163715	547	1998-03-10	VYDAJ	PREVOD NA UCET	2273	13405	\N	EF	48055100
163716	547	1998-04-10	VYDAJ	PREVOD NA UCET	2273	13590	\N	EF	48055100
163717	547	1998-05-10	VYDAJ	PREVOD NA UCET	2273	14768	\N	EF	48055100
163718	547	1998-06-10	VYDAJ	PREVOD NA UCET	2273	15350	\N	EF	48055100
163719	547	1998-07-10	VYDAJ	PREVOD NA UCET	2273	15001	\N	EF	48055100
163720	547	1998-08-10	VYDAJ	PREVOD NA UCET	2273	14715	\N	EF	48055100
163721	547	1998-09-10	VYDAJ	PREVOD NA UCET	2273	15899	\N	EF	48055100
163722	547	1998-10-10	VYDAJ	PREVOD NA UCET	2273	17086	\N	EF	48055100
163723	547	1998-11-10	VYDAJ	PREVOD NA UCET	2273	18278	\N	EF	48055100
163724	547	1998-12-10	VYDAJ	PREVOD NA UCET	2273	17551	\N	EF	48055100
163726	547	1998-06-15	VYDAJ	VYBER	1530	13820	\N	\N	\N
163730	547	1998-12-24	VYDAJ	VYBER	180	17371	\N	\N	\N
163737	547	1998-01-22	VYDAJ	VYBER	390	12373	\N	\N	\N
163738	547	1998-01-17	VYDAJ	VYBER	570	12763	\N	\N	\N
163739	547	1998-01-08	VYDAJ	VYBER	750	17046	\N	\N	\N
163740	547	1998-01-09	VYDAJ	VYBER	420	16626	\N	\N	\N
163741	547	1998-01-14	VYDAJ	VYBER	300	13333	\N	\N	\N
163742	547	1998-01-11	VYDAJ	VYBER	720	13633	\N	\N	\N
163743	547	1997-12-17	VYDAJ	VYBER	1320	14357	\N	\N	\N
163749	547	1998-11-12	VYDAJ	VYBER	720	17558	\N	\N	\N
163750	547	1998-05-19	VYDAJ	VYBER	600	14168	\N	\N	\N
163751	547	1998-03-20	VYDAJ	VYBER	990	12415	\N	\N	\N
163752	547	1998-11-20	VYDAJ	VYBER	1200	16358	\N	\N	\N
163753	547	1998-08-10	VYDAJ	VYBER	1470	16988	\N	\N	\N
163754	547	1998-02-10	VYDAJ	VYBER	1320	14505	\N	\N	\N
163768	547	1997-12-31	VYDAJ	VYBER	15	14386	SLUZBY	\N	\N
163769	547	1998-01-31	VYDAJ	VYBER	15	12415	SLUZBY	\N	\N
163770	547	1998-02-28	VYDAJ	VYBER	15	12268	SLUZBY	\N	\N
163771	547	1998-03-31	VYDAJ	VYBER	15	12453	SLUZBY	\N	\N
163772	547	1998-04-30	VYDAJ	VYBER	15	13631	SLUZBY	\N	\N
163773	547	1998-05-31	VYDAJ	VYBER	15	14213	SLUZBY	\N	\N
163774	547	1998-06-30	VYDAJ	VYBER	15	13864	SLUZBY	\N	\N
163775	547	1998-07-31	VYDAJ	VYBER	15	15048	SLUZBY	\N	\N
163776	547	1998-08-31	VYDAJ	VYBER	15	14762	SLUZBY	\N	\N
163777	547	1998-09-30	VYDAJ	VYBER	15	15949	SLUZBY	\N	\N
163778	547	1998-10-31	VYDAJ	VYBER	15	17141	SLUZBY	\N	\N
163779	547	1998-11-30	VYDAJ	VYBER	15	16414	SLUZBY	\N	\N
163793	548	1994-06-07	PRIJEM	VKLAD	200	200	\N	\N	\N
163799	548	1994-06-08	PRIJEM	PREVOD Z UCTU	6444	6644	DUCHOD	UV	54714143
163800	548	1994-07-08	PRIJEM	PREVOD Z UCTU	6444	13109	DUCHOD	UV	54714143
163801	548	1994-08-08	PRIJEM	PREVOD Z UCTU	6444	19581	DUCHOD	UV	54714143
163802	548	1994-09-08	PRIJEM	PREVOD Z UCTU	6444	26053	DUCHOD	UV	54714143
163803	548	1994-10-08	PRIJEM	PREVOD Z UCTU	6444	30224	DUCHOD	UV	54714143
163804	548	1994-11-08	PRIJEM	PREVOD Z UCTU	6444	31443	DUCHOD	UV	54714143
163805	548	1994-12-08	PRIJEM	PREVOD Z UCTU	6444	30925	DUCHOD	UV	54714143
163806	548	1995-01-08	PRIJEM	PREVOD Z UCTU	6444	31386	DUCHOD	UV	54714143
163807	548	1995-02-08	PRIJEM	PREVOD Z UCTU	6444	32524	DUCHOD	UV	54714143
163808	548	1995-03-08	PRIJEM	PREVOD Z UCTU	6444	32708	DUCHOD	UV	54714143
163809	548	1995-04-08	PRIJEM	PREVOD Z UCTU	6444	33255	DUCHOD	UV	54714143
163810	548	1995-05-08	PRIJEM	PREVOD Z UCTU	6444	33805	DUCHOD	UV	54714143
163811	548	1995-06-08	PRIJEM	PREVOD Z UCTU	6444	29712	DUCHOD	UV	54714143
163812	548	1995-07-08	PRIJEM	PREVOD Z UCTU	6444	24168	DUCHOD	UV	54714143
163813	548	1995-08-08	PRIJEM	PREVOD Z UCTU	6444	28878	DUCHOD	UV	54714143
163814	548	1995-09-08	PRIJEM	PREVOD Z UCTU	6444	29627	DUCHOD	UV	54714143
163815	548	1995-10-08	PRIJEM	PREVOD Z UCTU	6444	25822	DUCHOD	UV	54714143
163816	548	1995-11-08	PRIJEM	PREVOD Z UCTU	6444	24697	DUCHOD	UV	54714143
163817	548	1995-12-08	PRIJEM	PREVOD Z UCTU	6444	25985	DUCHOD	UV	54714143
163818	548	1996-01-08	PRIJEM	PREVOD Z UCTU	6444	24125	DUCHOD	UV	54714143
163819	548	1996-02-08	PRIJEM	PREVOD Z UCTU	6444	19381	DUCHOD	UV	54714143
163820	548	1996-03-08	PRIJEM	PREVOD Z UCTU	6444	20229	DUCHOD	UV	54714143
163821	548	1996-04-08	PRIJEM	PREVOD Z UCTU	6444	24923	DUCHOD	UV	54714143
163822	548	1996-05-08	PRIJEM	PREVOD Z UCTU	6444	26108	DUCHOD	UV	54714143
163823	548	1996-06-08	PRIJEM	PREVOD Z UCTU	6444	28663	DUCHOD	UV	54714143
163824	548	1996-07-08	PRIJEM	PREVOD Z UCTU	6444	26425	DUCHOD	UV	54714143
163825	548	1996-08-08	PRIJEM	PREVOD Z UCTU	6444	27442	DUCHOD	UV	54714143
163826	548	1996-09-08	PRIJEM	PREVOD Z UCTU	6444	26920	DUCHOD	UV	54714143
163827	548	1996-10-08	PRIJEM	PREVOD Z UCTU	6444	30358	DUCHOD	UV	54714143
163828	548	1996-11-08	PRIJEM	PREVOD Z UCTU	6444	35094	DUCHOD	UV	54714143
163829	548	1996-12-08	PRIJEM	PREVOD Z UCTU	6444	36948	DUCHOD	UV	54714143
163830	548	1997-01-08	PRIJEM	PREVOD Z UCTU	6444	32925	DUCHOD	UV	54714143
163831	548	1997-02-08	PRIJEM	PREVOD Z UCTU	6444	32863	DUCHOD	UV	54714143
163832	548	1997-03-08	PRIJEM	PREVOD Z UCTU	6444	35284	DUCHOD	UV	54714143
163833	548	1997-04-08	PRIJEM	PREVOD Z UCTU	6444	37337	DUCHOD	UV	54714143
163834	548	1997-05-08	PRIJEM	PREVOD Z UCTU	6444	31245	DUCHOD	UV	54714143
163835	548	1997-06-08	PRIJEM	PREVOD Z UCTU	6444	29275	DUCHOD	UV	54714143
163836	548	1997-07-08	PRIJEM	PREVOD Z UCTU	6444	24739	DUCHOD	UV	54714143
163837	548	1997-08-08	PRIJEM	PREVOD Z UCTU	6444	28851	DUCHOD	UV	54714143
163838	548	1997-09-08	PRIJEM	PREVOD Z UCTU	6444	26769	DUCHOD	UV	54714143
163839	548	1997-10-08	PRIJEM	PREVOD Z UCTU	6444	27707	DUCHOD	UV	54714143
163840	548	1997-11-08	PRIJEM	PREVOD Z UCTU	6444	24618	DUCHOD	UV	54714143
163841	548	1997-12-08	PRIJEM	PREVOD Z UCTU	6444	27626	DUCHOD	UV	54714143
163842	548	1998-01-08	PRIJEM	PREVOD Z UCTU	6444	26289	DUCHOD	UV	54714143
163843	548	1998-02-08	PRIJEM	PREVOD Z UCTU	6444	23914	DUCHOD	UV	54714143
163844	548	1998-03-08	PRIJEM	PREVOD Z UCTU	6444	21389	DUCHOD	UV	54714143
163845	548	1998-04-08	PRIJEM	PREVOD Z UCTU	6444	26087	DUCHOD	UV	54714143
163846	548	1998-05-08	PRIJEM	PREVOD Z UCTU	6444	25994	DUCHOD	UV	54714143
163847	548	1998-06-08	PRIJEM	PREVOD Z UCTU	6444	26407	DUCHOD	UV	54714143
163848	548	1998-07-08	PRIJEM	PREVOD Z UCTU	6444	23576	DUCHOD	UV	54714143
163849	548	1998-08-08	PRIJEM	PREVOD Z UCTU	6444	20126	DUCHOD	UV	54714143
163850	548	1998-09-08	PRIJEM	PREVOD Z UCTU	6444	19807	DUCHOD	UV	54714143
163851	548	1998-10-08	PRIJEM	PREVOD Z UCTU	6444	18483	DUCHOD	UV	54714143
163852	548	1998-11-08	PRIJEM	PREVOD Z UCTU	6444	23168	DUCHOD	UV	54714143
163853	548	1998-12-08	PRIJEM	PREVOD Z UCTU	6444	18148	DUCHOD	UV	54714143
163864	548	1994-11-05	VYDAJ	PREVOD NA UCET	1285	24999	SIPO	EF	87448715
163865	548	1994-12-05	VYDAJ	PREVOD NA UCET	1285	24481	SIPO	EF	87448715
163866	548	1995-01-05	VYDAJ	PREVOD NA UCET	1285	25822	SIPO	EF	87448715
163867	548	1995-02-05	VYDAJ	PREVOD NA UCET	1285	26080	SIPO	EF	87448715
163868	548	1995-03-05	VYDAJ	PREVOD NA UCET	1285	26264	SIPO	EF	87448715
163869	548	1995-04-05	VYDAJ	PREVOD NA UCET	1285	26811	SIPO	EF	87448715
163870	548	1995-05-05	VYDAJ	PREVOD NA UCET	1285	27361	SIPO	EF	87448715
163871	548	1995-06-05	VYDAJ	PREVOD NA UCET	1285	23268	SIPO	EF	87448715
163872	548	1995-07-05	VYDAJ	PREVOD NA UCET	1285	17724	SIPO	EF	87448715
163873	548	1995-08-05	VYDAJ	PREVOD NA UCET	1285	22434	SIPO	EF	87448715
163874	548	1995-09-05	VYDAJ	PREVOD NA UCET	1285	23183	SIPO	EF	87448715
163875	548	1995-10-05	VYDAJ	PREVOD NA UCET	1285	19378	SIPO	EF	87448715
163876	548	1995-11-05	VYDAJ	PREVOD NA UCET	1285	18253	SIPO	EF	87448715
163877	548	1995-12-05	VYDAJ	PREVOD NA UCET	1285	19541	SIPO	EF	87448715
163878	548	1996-01-05	VYDAJ	PREVOD NA UCET	1285	17681	SIPO	EF	87448715
163879	548	1996-02-05	VYDAJ	PREVOD NA UCET	1285	12937	SIPO	EF	87448715
163880	548	1996-03-05	VYDAJ	PREVOD NA UCET	1285	13785	SIPO	EF	87448715
163881	548	1996-04-05	VYDAJ	PREVOD NA UCET	1285	18479	SIPO	EF	87448715
163882	548	1996-05-05	VYDAJ	PREVOD NA UCET	1285	19664	SIPO	EF	87448715
163883	548	1996-06-05	VYDAJ	PREVOD NA UCET	1285	22219	SIPO	EF	87448715
163884	548	1996-07-05	VYDAJ	PREVOD NA UCET	1285	19981	SIPO	EF	87448715
163885	548	1996-08-05	VYDAJ	PREVOD NA UCET	1285	20998	SIPO	EF	87448715
163886	548	1996-09-05	VYDAJ	PREVOD NA UCET	1285	20476	SIPO	EF	87448715
163887	548	1996-10-05	VYDAJ	PREVOD NA UCET	1285	23914	SIPO	EF	87448715
163888	548	1996-11-05	VYDAJ	PREVOD NA UCET	1285	28650	SIPO	EF	87448715
163889	548	1996-12-05	VYDAJ	PREVOD NA UCET	1285	31604	SIPO	EF	87448715
163890	548	1997-01-05	VYDAJ	PREVOD NA UCET	1285	28001	SIPO	EF	87448715
163891	548	1997-02-05	VYDAJ	PREVOD NA UCET	1285	26419	SIPO	EF	87448715
163892	548	1997-03-05	VYDAJ	PREVOD NA UCET	1285	28840	SIPO	EF	87448715
163893	548	1997-04-05	VYDAJ	PREVOD NA UCET	1285	30893	SIPO	EF	87448715
163894	548	1997-05-05	VYDAJ	PREVOD NA UCET	1285	24801	SIPO	EF	87448715
163895	548	1997-06-05	VYDAJ	PREVOD NA UCET	1285	22831	SIPO	EF	87448715
163896	548	1997-07-05	VYDAJ	PREVOD NA UCET	1285	18295	SIPO	EF	87448715
163897	548	1997-08-05	VYDAJ	PREVOD NA UCET	1285	22407	SIPO	EF	87448715
163898	548	1997-09-05	VYDAJ	PREVOD NA UCET	1285	20325	SIPO	EF	87448715
163899	548	1997-10-05	VYDAJ	PREVOD NA UCET	1285	23343	SIPO	EF	87448715
163900	548	1997-11-05	VYDAJ	PREVOD NA UCET	1285	18174	SIPO	EF	87448715
163901	548	1997-12-05	VYDAJ	PREVOD NA UCET	1285	21182	SIPO	EF	87448715
163902	548	1998-01-05	VYDAJ	PREVOD NA UCET	1285	21285	SIPO	EF	87448715
163903	548	1998-02-05	VYDAJ	PREVOD NA UCET	1285	17470	SIPO	EF	87448715
163904	548	1998-03-05	VYDAJ	PREVOD NA UCET	1285	14945	SIPO	EF	87448715
163905	548	1998-04-05	VYDAJ	PREVOD NA UCET	1285	19643	SIPO	EF	87448715
163906	548	1998-05-05	VYDAJ	PREVOD NA UCET	1285	19550	SIPO	EF	87448715
163907	548	1998-06-05	VYDAJ	PREVOD NA UCET	1285	22263	SIPO	EF	87448715
163908	548	1998-07-05	VYDAJ	PREVOD NA UCET	1285	17132	SIPO	EF	87448715
163909	548	1998-08-05	VYDAJ	PREVOD NA UCET	1285	13682	SIPO	EF	87448715
163910	548	1998-09-05	VYDAJ	PREVOD NA UCET	1285	13363	SIPO	EF	87448715
163911	548	1998-10-05	VYDAJ	PREVOD NA UCET	1285	12039	SIPO	EF	87448715
163912	548	1998-11-05	VYDAJ	PREVOD NA UCET	1285	16724	SIPO	EF	87448715
163913	548	1998-12-05	VYDAJ	PREVOD NA UCET	1285	11704	SIPO	EF	87448715
163923	548	1994-10-12	VYDAJ	PREVOD NA UCET	528	29696	 	AB	56284767
163924	548	1994-11-12	VYDAJ	PREVOD NA UCET	528	30915	 	AB	56284767
163925	548	1994-12-12	VYDAJ	PREVOD NA UCET	528	30397	 	AB	56284767
163926	548	1995-01-12	VYDAJ	PREVOD NA UCET	528	30858	 	AB	56284767
163927	548	1995-02-12	VYDAJ	PREVOD NA UCET	528	31996	 	AB	56284767
163928	548	1995-03-12	VYDAJ	PREVOD NA UCET	528	32180	 	AB	56284767
163929	548	1995-04-12	VYDAJ	PREVOD NA UCET	528	32727	 	AB	56284767
163930	548	1995-05-12	VYDAJ	PREVOD NA UCET	528	33277	 	AB	56284767
163931	548	1995-06-12	VYDAJ	PREVOD NA UCET	528	19334	 	AB	56284767
163932	548	1995-07-12	VYDAJ	PREVOD NA UCET	528	23640	 	AB	56284767
163933	548	1995-08-12	VYDAJ	PREVOD NA UCET	528	28350	 	AB	56284767
163934	548	1995-09-12	VYDAJ	PREVOD NA UCET	528	29099	 	AB	56284767
163935	548	1995-10-12	VYDAJ	PREVOD NA UCET	528	25294	 	AB	56284767
163936	548	1995-11-12	VYDAJ	PREVOD NA UCET	528	23049	 	AB	56284767
163937	548	1995-12-12	VYDAJ	PREVOD NA UCET	528	23137	 	AB	56284767
163938	548	1996-01-12	VYDAJ	PREVOD NA UCET	528	21597	 	AB	56284767
163939	548	1996-02-12	VYDAJ	PREVOD NA UCET	528	18853	 	AB	56284767
163940	548	1996-03-12	VYDAJ	PREVOD NA UCET	528	19701	 	AB	56284767
163941	548	1996-04-12	VYDAJ	PREVOD NA UCET	528	24395	 	AB	56284767
163942	548	1996-05-12	VYDAJ	PREVOD NA UCET	528	25580	 	AB	56284767
163943	548	1996-06-12	VYDAJ	PREVOD NA UCET	528	22485	 	AB	56284767
163944	548	1996-07-12	VYDAJ	PREVOD NA UCET	528	25897	 	AB	56284767
163945	548	1996-08-12	VYDAJ	PREVOD NA UCET	528	26914	 	AB	56284767
163946	548	1996-09-12	VYDAJ	PREVOD NA UCET	528	26392	 	AB	56284767
163947	548	1996-10-12	VYDAJ	PREVOD NA UCET	528	29830	 	AB	56284767
163948	548	1996-11-12	VYDAJ	PREVOD NA UCET	528	34566	 	AB	56284767
163949	548	1996-12-12	VYDAJ	PREVOD NA UCET	528	36420	 	AB	56284767
163950	548	1997-01-12	VYDAJ	PREVOD NA UCET	528	32397	 	AB	56284767
163951	548	1997-02-12	VYDAJ	PREVOD NA UCET	528	32335	 	AB	56284767
163952	548	1997-03-12	VYDAJ	PREVOD NA UCET	528	34756	 	AB	56284767
163953	548	1997-04-12	VYDAJ	PREVOD NA UCET	528	33769	 	AB	56284767
163954	548	1997-05-12	VYDAJ	PREVOD NA UCET	528	30717	 	AB	56284767
163955	548	1997-06-12	VYDAJ	PREVOD NA UCET	528	28747	 	AB	56284767
163956	548	1997-07-12	VYDAJ	PREVOD NA UCET	528	24211	 	AB	56284767
163957	548	1997-08-12	VYDAJ	PREVOD NA UCET	528	28323	 	AB	56284767
163958	548	1997-09-12	VYDAJ	PREVOD NA UCET	528	26241	 	AB	56284767
163959	548	1997-10-12	VYDAJ	PREVOD NA UCET	528	27179	 	AB	56284767
163960	548	1997-11-12	VYDAJ	PREVOD NA UCET	528	24090	 	AB	56284767
163961	548	1997-12-12	VYDAJ	PREVOD NA UCET	528	27098	 	AB	56284767
163962	548	1998-01-12	VYDAJ	PREVOD NA UCET	528	25041	 	AB	56284767
163963	548	1998-02-12	VYDAJ	PREVOD NA UCET	528	23386	 	AB	56284767
163964	548	1998-03-12	VYDAJ	PREVOD NA UCET	528	20861	 	AB	56284767
163965	548	1998-04-12	VYDAJ	PREVOD NA UCET	528	25559	 	AB	56284767
163966	548	1998-05-12	VYDAJ	PREVOD NA UCET	528	25466	 	AB	56284767
163967	548	1998-06-12	VYDAJ	PREVOD NA UCET	528	25879	 	AB	56284767
163968	548	1998-07-12	VYDAJ	PREVOD NA UCET	528	23048	 	AB	56284767
163969	548	1998-08-12	VYDAJ	PREVOD NA UCET	528	19598	 	AB	56284767
163970	548	1998-09-12	VYDAJ	PREVOD NA UCET	528	19279	 	AB	56284767
163971	548	1998-10-12	VYDAJ	PREVOD NA UCET	528	17955	 	AB	56284767
163972	548	1998-11-12	VYDAJ	PREVOD NA UCET	528	22640	 	AB	56284767
163973	548	1998-12-12	VYDAJ	PREVOD NA UCET	528	17620	 	AB	56284767
163975	548	1995-06-09	VYDAJ	VYBER	9850	19862	\N	\N	\N
163976	548	1996-06-10	VYDAJ	VYBER	5650	23013	\N	\N	\N
163977	548	1997-06-18	VYDAJ	VYBER	9250	19497	\N	\N	\N
163978	548	1998-06-07	VYDAJ	VYBER	2300	19963	\N	\N	\N
163979	548	1994-12-25	VYDAJ	VYBER	500	29897	\N	\N	\N
163980	548	1995-12-18	VYDAJ	VYBER	850	22287	\N	\N	\N
163981	548	1996-12-06	VYDAJ	VYBER	1100	30504	\N	\N	\N
163982	548	1997-12-18	VYDAJ	VYBER	600	26498	\N	\N	\N
163983	548	1998-12-22	VYDAJ	VYBER	1000	16620	\N	\N	\N
163990	548	1995-01-18	VYDAJ	VYBER	560	27898	\N	\N	\N
163991	548	1995-01-18	VYDAJ	VYBER	720	28458	\N	\N	\N
163992	548	1995-01-12	VYDAJ	VYBER	480	30378	\N	\N	\N
163993	548	1995-01-06	VYDAJ	VYBER	880	24942	\N	\N	\N
163994	548	1995-01-29	VYDAJ	VYBER	640	27258	\N	\N	\N
163995	548	1995-01-12	VYDAJ	VYBER	1200	29178	\N	\N	\N
163996	548	1996-01-26	VYDAJ	VYBER	1680	16157	\N	\N	\N
163997	548	1996-01-16	VYDAJ	VYBER	880	18957	\N	\N	\N
163998	548	1996-01-10	VYDAJ	VYBER	2000	22125	\N	\N	\N
163999	548	1996-01-22	VYDAJ	VYBER	1120	17837	\N	\N	\N
164000	548	1996-01-15	VYDAJ	VYBER	1760	19837	\N	\N	\N
164001	548	1996-01-02	VYDAJ	VYBER	2000	18966	\N	\N	\N
164002	548	1997-01-22	VYDAJ	VYBER	400	28317	\N	\N	\N
164003	548	1997-01-13	VYDAJ	VYBER	1600	30797	\N	\N	\N
164004	548	1997-01-15	VYDAJ	VYBER	2080	28717	\N	\N	\N
164005	548	1997-01-01	VYDAJ	VYBER	1760	29286	\N	\N	\N
164006	548	1997-01-07	VYDAJ	VYBER	1520	26481	\N	\N	\N
164007	548	1997-01-23	VYDAJ	VYBER	720	27597	\N	\N	\N
164008	548	1998-01-16	VYDAJ	VYBER	640	24401	\N	\N	\N
164009	548	1998-01-06	VYDAJ	VYBER	1440	19845	\N	\N	\N
164010	548	1998-01-20	VYDAJ	VYBER	1680	18681	\N	\N	\N
164011	548	1998-01-18	VYDAJ	VYBER	1040	20361	\N	\N	\N
164012	548	1998-01-04	VYDAJ	VYBER	720	22570	\N	\N	\N
164013	548	1998-01-10	VYDAJ	VYBER	720	25569	\N	\N	\N
164018	548	1994-11-30	VYDAJ	VYBER	2560	28466	\N	\N	\N
164019	548	1995-08-27	VYDAJ	VYBER	2080	26270	\N	\N	\N
164020	548	1995-11-11	VYDAJ	VYBER	1120	23577	\N	\N	\N
164021	548	1995-12-10	VYDAJ	VYBER	2320	23665	\N	\N	\N
164022	548	1995-02-27	VYDAJ	VYBER	2960	29036	\N	\N	\N
164023	548	1995-10-24	VYDAJ	VYBER	3440	21854	\N	\N	\N
164024	548	1995-05-17	VYDAJ	VYBER	3040	30237	\N	\N	\N
164025	548	1995-10-04	VYDAJ	VYBER	3840	20663	\N	\N	\N
164026	548	1996-04-13	VYDAJ	VYBER	3520	20875	\N	\N	\N
164027	548	1996-09-12	VYDAJ	VYBER	1280	25112	\N	\N	\N
164028	548	1996-08-21	VYDAJ	VYBER	1440	25474	\N	\N	\N
164029	548	1996-02-27	VYDAJ	VYBER	3840	15013	\N	\N	\N
164030	548	1996-05-20	VYDAJ	VYBER	2160	23420	\N	\N	\N
164031	548	1996-01-31	VYDAJ	VYBER	2000	14222	\N	\N	\N
164032	548	1997-04-11	VYDAJ	VYBER	3040	34297	\N	\N	\N
164033	548	1997-02-14	VYDAJ	VYBER	2320	30015	\N	\N	\N
164034	548	1997-04-28	VYDAJ	VYBER	2000	25969	\N	\N	\N
164035	548	1997-10-06	VYDAJ	VYBER	2080	21263	\N	\N	\N
164036	548	1998-07-21	VYDAJ	VYBER	1840	14908	\N	\N	\N
164038	548	1998-02-19	VYDAJ	VYBER	3120	16166	\N	\N	\N
164040	548	1998-06-28	VYDAJ	VYBER	3040	18339	\N	\N	\N
164051	548	1994-10-31	VYDAJ	VYBER	15	29784	SLUZBY	\N	\N
164052	548	1994-11-30	VYDAJ	VYBER	15	31026	SLUZBY	\N	\N
164053	548	1994-12-31	VYDAJ	VYBER	15	30007	SLUZBY	\N	\N
164054	548	1995-01-31	VYDAJ	VYBER	15	27365	SLUZBY	\N	\N
164055	548	1995-02-28	VYDAJ	VYBER	15	29149	SLUZBY	\N	\N
164056	548	1995-03-31	VYDAJ	VYBER	15	32296	SLUZBY	\N	\N
164057	548	1995-04-30	VYDAJ	VYBER	15	32846	SLUZBY	\N	\N
164058	548	1995-05-31	VYDAJ	VYBER	15	30353	SLUZBY	\N	\N
164059	548	1995-06-30	VYDAJ	VYBER	15	19409	SLUZBY	\N	\N
164060	548	1995-07-31	VYDAJ	VYBER	15	23719	SLUZBY	\N	\N
164061	548	1995-08-31	VYDAJ	VYBER	15	26368	SLUZBY	\N	\N
164062	548	1995-09-30	VYDAJ	VYBER	15	24503	SLUZBY	\N	\N
164063	548	1995-10-31	VYDAJ	VYBER	15	19538	SLUZBY	\N	\N
164064	548	1995-11-30	VYDAJ	VYBER	15	20826	SLUZBY	\N	\N
164065	548	1995-12-31	VYDAJ	VYBER	15	20966	SLUZBY	\N	\N
164066	548	1996-01-31	VYDAJ	VYBER	15	16222	SLUZBY	\N	\N
164067	548	1996-02-29	VYDAJ	VYBER	15	15070	SLUZBY	\N	\N
164068	548	1996-03-31	VYDAJ	VYBER	15	19764	SLUZBY	\N	\N
164069	548	1996-04-30	VYDAJ	VYBER	15	20949	SLUZBY	\N	\N
164070	548	1996-05-31	VYDAJ	VYBER	15	23504	SLUZBY	\N	\N
164071	548	1996-06-30	VYDAJ	VYBER	15	21266	SLUZBY	\N	\N
164072	548	1996-07-31	VYDAJ	VYBER	15	22283	SLUZBY	\N	\N
164073	548	1996-08-31	VYDAJ	VYBER	15	21761	SLUZBY	\N	\N
164074	548	1996-09-30	VYDAJ	VYBER	15	25199	SLUZBY	\N	\N
164075	548	1996-10-31	VYDAJ	VYBER	15	29935	SLUZBY	\N	\N
164076	548	1996-11-30	VYDAJ	VYBER	15	32889	SLUZBY	\N	\N
164077	548	1996-12-31	VYDAJ	VYBER	15	31046	SLUZBY	\N	\N
164078	548	1997-01-31	VYDAJ	VYBER	15	27704	SLUZBY	\N	\N
164079	548	1997-02-28	VYDAJ	VYBER	15	30125	SLUZBY	\N	\N
164080	548	1997-03-31	VYDAJ	VYBER	15	32178	SLUZBY	\N	\N
164081	548	1997-04-30	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
164082	548	1997-05-31	VYDAJ	VYBER	15	24116	SLUZBY	\N	\N
164083	548	1997-06-30	VYDAJ	VYBER	15	19580	SLUZBY	\N	\N
164084	548	1997-07-31	VYDAJ	VYBER	15	23692	SLUZBY	\N	\N
164085	548	1997-08-31	VYDAJ	VYBER	15	21610	SLUZBY	\N	\N
164086	548	1997-09-30	VYDAJ	VYBER	15	24628	SLUZBY	\N	\N
164087	548	1997-10-31	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
164088	548	1997-11-30	VYDAJ	VYBER	15	22467	SLUZBY	\N	\N
164089	548	1997-12-31	VYDAJ	VYBER	15	23290	SLUZBY	\N	\N
164090	548	1998-01-31	VYDAJ	VYBER	15	18755	SLUZBY	\N	\N
164091	548	1998-02-28	VYDAJ	VYBER	15	16230	SLUZBY	\N	\N
164092	548	1998-03-31	VYDAJ	VYBER	15	20928	SLUZBY	\N	\N
164093	548	1998-04-30	VYDAJ	VYBER	15	20835	SLUZBY	\N	\N
164094	548	1998-05-31	VYDAJ	VYBER	15	23548	SLUZBY	\N	\N
164095	548	1998-06-30	VYDAJ	VYBER	15	18417	SLUZBY	\N	\N
164096	548	1998-07-31	VYDAJ	VYBER	15	14967	SLUZBY	\N	\N
164097	548	1998-08-31	VYDAJ	VYBER	15	14648	SLUZBY	\N	\N
164098	548	1998-09-30	VYDAJ	VYBER	15	13324	SLUZBY	\N	\N
164099	548	1998-10-31	VYDAJ	VYBER	15	18009	SLUZBY	\N	\N
164100	548	1998-11-30	VYDAJ	VYBER	15	12989	SLUZBY	\N	\N
164101	548	1994-10-05	VYDAJ	VYBER	2300	23780	\N	\N	\N
164102	548	1994-11-04	VYDAJ	VYBER	3500	26284	\N	\N	\N
164103	548	1994-12-04	VYDAJ	VYBER	2700	25766	\N	\N	\N
164104	548	1995-01-03	VYDAJ	VYBER	2900	27107	\N	\N	\N
164105	548	1995-03-04	VYDAJ	VYBER	1600	27549	\N	\N	\N
164106	548	1995-04-03	VYDAJ	VYBER	4200	28096	\N	\N	\N
164107	548	1995-05-03	VYDAJ	VYBER	4200	28646	\N	\N	\N
164108	548	1995-06-02	VYDAJ	VYBER	5800	24553	\N	\N	\N
164109	548	1995-07-02	VYDAJ	VYBER	400	19009	\N	\N	\N
164110	548	1995-08-31	VYDAJ	VYBER	1900	24468	\N	\N	\N
164111	548	1995-09-30	VYDAJ	VYBER	4700	24517	\N	\N	\N
164112	548	1995-10-30	VYDAJ	VYBER	2400	19454	\N	\N	\N
164113	548	1995-11-29	VYDAJ	VYBER	2300	20749	\N	\N	\N
164114	548	1995-12-29	VYDAJ	VYBER	1400	20887	\N	\N	\N
164115	548	1996-06-26	VYDAJ	VYBER	1300	21185	\N	\N	\N
164116	548	1996-07-26	VYDAJ	VYBER	3700	22197	\N	\N	\N
164117	548	1996-08-25	VYDAJ	VYBER	3800	21674	\N	\N	\N
164118	548	1996-11-23	VYDAJ	VYBER	1800	32766	\N	\N	\N
164119	548	1996-12-23	VYDAJ	VYBER	5500	30920	\N	\N	\N
164120	548	1997-03-23	VYDAJ	VYBER	2700	32056	\N	\N	\N
164121	548	1997-04-22	VYDAJ	VYBER	5800	27969	\N	\N	\N
164122	548	1997-05-22	VYDAJ	VYBER	6700	24017	\N	\N	\N
164123	548	1997-07-21	VYDAJ	VYBER	600	23611	\N	\N	\N
164124	548	1997-08-20	VYDAJ	VYBER	6800	21523	\N	\N	\N
164125	548	1997-09-19	VYDAJ	VYBER	1700	24541	\N	\N	\N
164126	548	1997-10-19	VYDAJ	VYBER	7800	19379	\N	\N	\N
164127	548	1997-11-18	VYDAJ	VYBER	1700	22390	\N	\N	\N
164128	548	1997-12-18	VYDAJ	VYBER	3300	23198	\N	\N	\N
164129	548	1998-01-17	VYDAJ	VYBER	3000	21401	\N	\N	\N
164130	548	1998-02-16	VYDAJ	VYBER	4100	19286	\N	\N	\N
164131	548	1998-04-17	VYDAJ	VYBER	4800	20759	\N	\N	\N
164132	548	1998-05-17	VYDAJ	VYBER	2000	23466	\N	\N	\N
164133	548	1998-06-16	VYDAJ	VYBER	4500	21379	\N	\N	\N
164134	548	1998-07-16	VYDAJ	VYBER	6300	16748	\N	\N	\N
164135	548	1998-08-15	VYDAJ	VYBER	5000	14598	\N	\N	\N
164136	548	1998-09-14	VYDAJ	VYBER	6000	13279	\N	\N	\N
164137	548	1998-11-13	VYDAJ	VYBER	9700	12940	\N	\N	\N
164193	549	1996-11-27	PRIJEM	VKLAD	500	500	\N	\N	\N
164205	549	1996-12-13	PRIJEM	VKLAD	21052	21552	\N	\N	\N
164206	549	1997-01-13	PRIJEM	VKLAD	14035	36802	\N	\N	\N
164207	549	1997-02-13	PRIJEM	VKLAD	14035	44138	\N	\N	\N
164208	549	1997-03-13	PRIJEM	VKLAD	14035	47500	\N	\N	\N
164209	549	1997-04-13	PRIJEM	VKLAD	14035	54278	\N	\N	\N
164210	549	1997-05-13	PRIJEM	VKLAD	14035	49049	\N	\N	\N
164211	549	1997-06-13	PRIJEM	VKLAD	21052	58365	\N	\N	\N
164212	549	1997-07-13	PRIJEM	VKLAD	14035	53202	\N	\N	\N
164213	549	1997-08-13	PRIJEM	VKLAD	14035	55918	\N	\N	\N
164214	549	1997-09-13	PRIJEM	VKLAD	14035	55741	\N	\N	\N
164215	549	1997-10-13	PRIJEM	VKLAD	14035	55562	\N	\N	\N
164216	549	1997-11-13	PRIJEM	VKLAD	14035	54581	\N	\N	\N
164217	549	1997-12-13	PRIJEM	VKLAD	21052	55208	\N	\N	\N
164218	549	1998-01-13	PRIJEM	VKLAD	14035	41008	\N	\N	\N
164219	549	1998-02-13	PRIJEM	VKLAD	14035	29150	\N	\N	\N
164220	549	1998-03-13	PRIJEM	VKLAD	14035	35667	\N	\N	\N
164221	549	1998-04-13	PRIJEM	VKLAD	14035	40209	\N	\N	\N
164222	549	1998-05-13	PRIJEM	VKLAD	14035	37145	\N	\N	\N
164223	549	1998-06-13	PRIJEM	VKLAD	21052	48309	\N	\N	\N
164224	549	1998-07-13	PRIJEM	VKLAD	14035	44077	\N	\N	\N
164225	549	1998-08-13	PRIJEM	VKLAD	14035	41842	\N	\N	\N
164226	549	1998-09-13	PRIJEM	VKLAD	14035	42901	\N	\N	\N
164227	549	1998-10-13	PRIJEM	VKLAD	14035	43964	\N	\N	\N
164228	549	1998-11-13	PRIJEM	VKLAD	14035	43130	\N	\N	\N
164229	549	1998-12-13	PRIJEM	VKLAD	21052	48007	\N	\N	\N
164246	549	1997-05-11	VYDAJ	PREVOD NA UCET	1067	35014	SIPO	OP	83005940
164247	549	1997-06-11	VYDAJ	PREVOD NA UCET	1067	37313	SIPO	OP	83005940
164248	549	1997-07-11	VYDAJ	PREVOD NA UCET	1067	39167	SIPO	OP	83005940
164249	549	1997-08-11	VYDAJ	PREVOD NA UCET	1067	41883	SIPO	OP	83005940
164250	549	1997-09-11	VYDAJ	PREVOD NA UCET	1067	41706	SIPO	OP	83005940
164251	549	1997-10-11	VYDAJ	PREVOD NA UCET	1067	41527	SIPO	OP	83005940
164252	549	1997-11-11	VYDAJ	PREVOD NA UCET	1067	40546	SIPO	OP	83005940
164253	549	1997-12-11	VYDAJ	PREVOD NA UCET	1067	34156	SIPO	OP	83005940
164254	549	1998-01-11	VYDAJ	PREVOD NA UCET	1067	31173	SIPO	OP	83005940
164255	549	1998-02-11	VYDAJ	PREVOD NA UCET	1067	15115	SIPO	OP	83005940
164256	549	1998-03-11	VYDAJ	PREVOD NA UCET	1067	21632	SIPO	OP	83005940
164257	549	1998-04-11	VYDAJ	PREVOD NA UCET	1067	26174	SIPO	OP	83005940
164258	549	1998-05-11	VYDAJ	PREVOD NA UCET	1067	23110	SIPO	OP	83005940
164259	549	1998-06-11	VYDAJ	PREVOD NA UCET	1067	27257	SIPO	OP	83005940
164260	549	1998-07-11	VYDAJ	PREVOD NA UCET	1067	30042	SIPO	OP	83005940
164261	549	1998-08-11	VYDAJ	PREVOD NA UCET	1067	27807	SIPO	OP	83005940
164262	549	1998-09-11	VYDAJ	PREVOD NA UCET	1067	28866	SIPO	OP	83005940
164263	549	1998-10-11	VYDAJ	PREVOD NA UCET	1067	29929	SIPO	OP	83005940
164264	549	1998-11-11	VYDAJ	PREVOD NA UCET	1067	29095	SIPO	OP	83005940
164265	549	1998-12-11	VYDAJ	PREVOD NA UCET	1067	29155	SIPO	OP	83005940
164281	549	1997-04-14	VYDAJ	PREVOD NA UCET	3024	51254	 	CD	87506788
164282	549	1997-05-14	VYDAJ	PREVOD NA UCET	3024	46025	 	CD	87506788
164283	549	1997-06-14	VYDAJ	PREVOD NA UCET	3024	55341	 	CD	87506788
164284	549	1997-07-14	VYDAJ	PREVOD NA UCET	3024	50178	 	CD	87506788
164285	549	1997-08-14	VYDAJ	PREVOD NA UCET	3024	52894	 	CD	87506788
164286	549	1997-09-14	VYDAJ	PREVOD NA UCET	3024	52717	 	CD	87506788
164287	549	1997-10-14	VYDAJ	PREVOD NA UCET	3024	52538	 	CD	87506788
164288	549	1997-11-14	VYDAJ	PREVOD NA UCET	3024	51557	 	CD	87506788
164289	549	1997-12-14	VYDAJ	PREVOD NA UCET	3024	52184	 	CD	87506788
164290	549	1998-01-14	VYDAJ	PREVOD NA UCET	3024	37984	 	CD	87506788
164291	549	1998-02-14	VYDAJ	PREVOD NA UCET	3024	26126	 	CD	87506788
164292	549	1998-03-14	VYDAJ	PREVOD NA UCET	3024	32643	 	CD	87506788
164293	549	1998-04-14	VYDAJ	PREVOD NA UCET	3024	37185	 	CD	87506788
164294	549	1998-05-14	VYDAJ	PREVOD NA UCET	3024	34121	 	CD	87506788
164295	549	1998-06-14	VYDAJ	PREVOD NA UCET	3024	45285	 	CD	87506788
164296	549	1998-07-14	VYDAJ	PREVOD NA UCET	3024	41053	 	CD	87506788
164297	549	1998-08-14	VYDAJ	PREVOD NA UCET	3024	38818	 	CD	87506788
164298	549	1998-09-14	VYDAJ	PREVOD NA UCET	3024	39877	 	CD	87506788
164299	549	1998-10-14	VYDAJ	PREVOD NA UCET	3024	40940	 	CD	87506788
164300	549	1998-11-14	VYDAJ	PREVOD NA UCET	3024	40106	 	CD	87506788
164301	549	1998-12-14	VYDAJ	PREVOD NA UCET	3024	44983	 	CD	87506788
164307	549	1998-01-28	VYDAJ	VYBER	10560	16064	\N	\N	\N
164309	549	1997-12-08	VYDAJ	VYBER KARTOU	1800	35223	\N	\N	0
164310	549	1998-12-11	VYDAJ	VYBER KARTOU	2200	26955	\N	\N	0
164323	549	1998-01-11	VYDAJ	VYBER KARTOU	1300	29873	\N	\N	0
164324	549	1998-01-25	VYDAJ	VYBER KARTOU	600	31184	\N	\N	0
164325	549	1998-01-02	VYDAJ	VYBER KARTOU	3500	32240	\N	\N	0
164326	549	1998-01-12	VYDAJ	VYBER KARTOU	2900	26973	\N	\N	0
164327	549	1998-01-21	VYDAJ	VYBER KARTOU	800	36084	\N	\N	0
164328	549	1998-01-20	VYDAJ	VYBER KARTOU	1100	36884	\N	\N	0
164334	549	1997-06-21	VYDAJ	VYBER	5280	50061	\N	\N	\N
164335	549	1997-04-24	VYDAJ	VYBER	3480	47774	\N	\N	\N
164336	549	1997-04-25	VYDAJ	VYBER	3360	44414	\N	\N	\N
164337	549	1998-12-27	VYDAJ	VYBER KARTOU	1900	33383	\N	\N	0
164338	549	1998-01-25	VYDAJ	VYBER	4560	26624	\N	\N	\N
164339	549	1998-10-31	VYDAJ	VYBER KARTOU	1400	30176	\N	\N	0
164340	549	1998-03-27	VYDAJ	VYBER KARTOU	600	27143	\N	\N	0
164341	549	1998-04-28	VYDAJ	VYBER	5520	24065	\N	\N	\N
164358	549	1997-04-30	VYDAJ	VYBER	15	36081	SLUZBY	\N	\N
164359	549	1997-05-31	VYDAJ	VYBER	15	38380	SLUZBY	\N	\N
164360	549	1997-06-30	VYDAJ	VYBER	15	40234	SLUZBY	\N	\N
164361	549	1997-07-31	VYDAJ	VYBER	15	42950	SLUZBY	\N	\N
164362	549	1997-08-31	VYDAJ	VYBER	15	42773	SLUZBY	\N	\N
164363	549	1997-09-30	VYDAJ	VYBER	15	42594	SLUZBY	\N	\N
164364	549	1997-10-31	VYDAJ	VYBER	15	41613	SLUZBY	\N	\N
164365	549	1997-11-30	VYDAJ	VYBER	15	37023	SLUZBY	\N	\N
164366	549	1997-12-31	VYDAJ	VYBER	15	35740	SLUZBY	\N	\N
164367	549	1998-01-31	VYDAJ	VYBER	15	16182	SLUZBY	\N	\N
164368	549	1998-02-28	VYDAJ	VYBER	15	22699	SLUZBY	\N	\N
164369	549	1998-03-31	VYDAJ	VYBER	15	27241	SLUZBY	\N	\N
164370	549	1998-04-30	VYDAJ	VYBER	15	24177	SLUZBY	\N	\N
164371	549	1998-05-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
164372	549	1998-06-30	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
164373	549	1998-07-31	VYDAJ	VYBER	15	28874	SLUZBY	\N	\N
164374	549	1998-08-31	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
164375	549	1998-09-30	VYDAJ	VYBER	15	30996	SLUZBY	\N	\N
164376	549	1998-10-31	VYDAJ	VYBER	15	30162	SLUZBY	\N	\N
164377	549	1998-11-30	VYDAJ	VYBER	15	30222	SLUZBY	\N	\N
164378	549	1996-12-27	PRIJEM	VKLAD	1200	22752	\N	\N	\N
164379	549	1997-01-26	VYDAJ	VYBER	6800	30002	\N	\N	\N
164380	549	1997-02-25	VYDAJ	VYBER	10800	33338	\N	\N	\N
164381	549	1997-03-27	VYDAJ	VYBER	7400	40100	\N	\N	\N
164382	549	1997-04-26	VYDAJ	VYBER	8500	35914	\N	\N	\N
164383	549	1997-05-26	VYDAJ	VYBER	7800	38225	\N	\N	\N
164384	549	1997-06-25	VYDAJ	VYBER	10000	40061	\N	\N	\N
164385	549	1997-07-25	VYDAJ	VYBER	7400	42778	\N	\N	\N
164386	549	1997-08-24	VYDAJ	VYBER	10300	42594	\N	\N	\N
164387	549	1997-09-23	VYDAJ	VYBER	10300	42417	\N	\N	\N
164388	549	1997-10-23	VYDAJ	VYBER	11100	41438	\N	\N	\N
164389	549	1997-11-22	VYDAJ	VYBER	14700	36857	\N	\N	\N
164390	549	1997-12-22	VYDAJ	VYBER	16600	35584	\N	\N	\N
164391	549	1998-01-21	VYDAJ	VYBER	4300	31784	\N	\N	\N
164392	549	1998-02-20	VYDAJ	VYBER KARTOU	3500	22626	\N	\N	0
164393	549	1998-03-22	VYDAJ	VYBER	4900	27743	\N	\N	\N
164394	549	1998-04-21	VYDAJ	VYBER	7600	29585	\N	\N	\N
164395	549	1998-05-21	VYDAJ	VYBER	5900	28221	\N	\N	\N
164396	549	1998-06-20	VYDAJ	VYBER	14300	30985	\N	\N	\N
164397	549	1998-07-20	VYDAJ	VYBER	12300	28753	\N	\N	\N
164398	549	1998-08-19	VYDAJ	VYBER	9000	29818	\N	\N	\N
164399	549	1998-09-18	VYDAJ	VYBER	9000	30877	\N	\N	\N
164400	549	1998-10-18	VYDAJ	VYBER	9500	31440	\N	\N	\N
164401	549	1998-11-17	VYDAJ	VYBER	10000	30106	\N	\N	\N
164402	549	1998-12-17	VYDAJ	VYBER	9700	35283	\N	\N	\N
164428	550	1997-10-17	PRIJEM	VKLAD	200	200	\N	\N	\N
164439	550	1997-11-08	PRIJEM	PREVOD Z UCTU	5880	6080	DUCHOD	ST	55781102
164440	550	1997-12-08	PRIJEM	PREVOD Z UCTU	5880	11960	DUCHOD	ST	55781102
164441	550	1998-01-08	PRIJEM	PREVOD Z UCTU	5880	17840	DUCHOD	ST	55781102
164442	550	1998-02-08	PRIJEM	PREVOD Z UCTU	5880	23720	DUCHOD	ST	55781102
164443	550	1998-03-08	PRIJEM	PREVOD Z UCTU	5880	29453	DUCHOD	ST	55781102
164444	550	1998-04-08	PRIJEM	PREVOD Z UCTU	5880	33732	DUCHOD	ST	55781102
164445	550	1998-05-08	PRIJEM	PREVOD Z UCTU	5880	28741	DUCHOD	ST	55781102
164446	550	1998-06-08	PRIJEM	PREVOD Z UCTU	5880	20263	DUCHOD	ST	55781102
164447	550	1998-07-08	PRIJEM	PREVOD Z UCTU	5880	21404	DUCHOD	ST	55781102
164448	550	1998-08-08	PRIJEM	PREVOD Z UCTU	5880	22932	DUCHOD	ST	55781102
164449	550	1998-09-08	PRIJEM	PREVOD Z UCTU	5880	23580	DUCHOD	ST	55781102
164450	550	1998-10-08	PRIJEM	PREVOD Z UCTU	5880	21538	DUCHOD	ST	55781102
164451	550	1998-11-08	PRIJEM	PREVOD Z UCTU	5880	17767	DUCHOD	ST	55781102
164452	550	1998-12-08	PRIJEM	PREVOD Z UCTU	5880	19856	DUCHOD	ST	55781102
164467	550	1998-03-12	VYDAJ	PREVOD NA UCET	1247	28206	SIPO	GH	71731483
164468	550	1998-04-12	VYDAJ	PREVOD NA UCET	1247	32485	SIPO	GH	71731483
164469	550	1998-05-12	VYDAJ	PREVOD NA UCET	1247	27494	SIPO	GH	71731483
164470	550	1998-06-12	VYDAJ	PREVOD NA UCET	1247	19016	SIPO	GH	71731483
164471	550	1998-07-12	VYDAJ	PREVOD NA UCET	1247	20157	SIPO	GH	71731483
164472	550	1998-08-12	VYDAJ	PREVOD NA UCET	1247	21685	SIPO	GH	71731483
164473	550	1998-09-12	VYDAJ	PREVOD NA UCET	1247	22333	SIPO	GH	71731483
164474	550	1998-10-12	VYDAJ	PREVOD NA UCET	1247	20291	SIPO	GH	71731483
164475	550	1998-11-12	VYDAJ	PREVOD NA UCET	1247	16520	SIPO	GH	71731483
164476	550	1998-12-12	VYDAJ	PREVOD NA UCET	1247	18609	SIPO	GH	71731483
164492	550	1998-04-05	VYDAJ	PREVOD NA UCET	349	27852	 	WX	49558728
164493	550	1998-05-05	VYDAJ	PREVOD NA UCET	349	26541	 	WX	49558728
164494	550	1998-06-05	VYDAJ	PREVOD NA UCET	349	14383	 	WX	49558728
164495	550	1998-07-05	VYDAJ	PREVOD NA UCET	349	15524	 	WX	49558728
164496	550	1998-08-05	VYDAJ	PREVOD NA UCET	349	17052	 	WX	49558728
164497	550	1998-09-05	VYDAJ	PREVOD NA UCET	349	17700	 	WX	49558728
164498	550	1998-10-05	VYDAJ	PREVOD NA UCET	349	15658	 	WX	49558728
164499	550	1998-11-05	VYDAJ	PREVOD NA UCET	349	11887	 	WX	49558728
164500	550	1998-12-05	VYDAJ	PREVOD NA UCET	349	13976	 	WX	49558728
164502	550	1998-06-03	VYDAJ	VYBER	6650	14732	\N	\N	\N
164506	550	1998-12-22	VYDAJ	VYBER	400	18209	\N	\N	\N
164523	550	1998-05-07	VYDAJ	VYBER	3680	22861	\N	\N	\N
164524	550	1998-11-14	VYDAJ	VYBER	2240	14280	\N	\N	\N
164525	550	1998-08-04	VYDAJ	VYBER	1920	17401	\N	\N	\N
164527	550	1998-05-28	VYDAJ	VYBER	1600	21294	\N	\N	\N
164544	550	1998-03-31	VYDAJ	VYBER	15	28201	SLUZBY	\N	\N
164545	550	1998-04-30	VYDAJ	VYBER	15	26890	SLUZBY	\N	\N
164546	550	1998-05-31	VYDAJ	VYBER	15	21382	SLUZBY	\N	\N
164547	550	1998-06-30	VYDAJ	VYBER	15	15873	SLUZBY	\N	\N
164548	550	1998-07-31	VYDAJ	VYBER	15	19321	SLUZBY	\N	\N
164549	550	1998-08-31	VYDAJ	VYBER	15	18049	SLUZBY	\N	\N
164550	550	1998-09-30	VYDAJ	VYBER	15	16007	SLUZBY	\N	\N
164551	550	1998-10-31	VYDAJ	VYBER	15	12236	SLUZBY	\N	\N
164552	550	1998-11-30	VYDAJ	VYBER	15	14325	SLUZBY	\N	\N
164553	550	1998-02-14	VYDAJ	VYBER	200	23520	\N	\N	\N
164554	550	1998-03-16	VYDAJ	VYBER	100	28106	\N	\N	\N
164555	550	1998-04-15	VYDAJ	VYBER	5700	26785	\N	\N	\N
164556	550	1998-05-15	VYDAJ	VYBER	4600	22894	\N	\N	\N
164557	550	1998-06-14	VYDAJ	VYBER	3200	15816	\N	\N	\N
164558	550	1998-07-14	VYDAJ	VYBER	900	19257	\N	\N	\N
164559	550	1998-08-13	VYDAJ	VYBER	3700	17985	\N	\N	\N
164560	550	1998-09-12	VYDAJ	VYBER	6400	15933	\N	\N	\N
164561	550	1998-10-12	VYDAJ	VYBER	8100	12191	\N	\N	\N
164573	551	1993-05-07	PRIJEM	VKLAD	800	800	\N	\N	\N
164576	551	1994-09-07	PRIJEM	VKLAD	15318	40935	\N	\N	\N
164577	551	1994-03-27	PRIJEM	VKLAD	42899	68033	\N	\N	\N
164578	551	1995-06-21	PRIJEM	VKLAD	20340	42777	\N	\N	\N
164579	551	1995-10-12	PRIJEM	VKLAD	44246	60149	\N	\N	\N
164580	551	1996-08-18	PRIJEM	VKLAD	21801	37548	\N	\N	\N
164581	551	1996-05-25	PRIJEM	VKLAD	9421	25484	\N	\N	\N
164582	551	1997-09-06	PRIJEM	VKLAD	44584	64127	\N	\N	\N
164583	551	1997-05-05	PRIJEM	VKLAD	24359	45466	\N	\N	\N
164584	551	1998-07-25	PRIJEM	VKLAD	4116	29420	\N	\N	\N
164585	551	1998-09-17	PRIJEM	VKLAD	5920	36633	\N	\N	\N
164590	551	1993-05-14	PRIJEM	VKLAD	1600	2400	\N	\N	\N
164591	551	1993-06-17	PRIJEM	VKLAD	1600	16606	\N	\N	\N
164592	551	1993-07-17	PRIJEM	VKLAD	1600	24143	\N	\N	\N
164593	551	1993-08-14	PRIJEM	VKLAD	1600	23928	\N	\N	\N
164594	551	1993-09-14	PRIJEM	VKLAD	1600	26628	\N	\N	\N
164595	551	1993-10-16	PRIJEM	VKLAD	1600	22569	\N	\N	\N
164596	551	1993-11-14	PRIJEM	VKLAD	1600	24349	\N	\N	\N
164597	551	1993-12-17	PRIJEM	VKLAD	1600	20032	\N	\N	\N
164598	551	1994-01-13	PRIJEM	VKLAD	1600	17307	\N	\N	\N
164599	551	1994-02-14	PRIJEM	VKLAD	1600	22067	\N	\N	\N
164600	551	1994-03-17	PRIJEM	VKLAD	1600	25134	\N	\N	\N
164601	551	1994-04-13	PRIJEM	VKLAD	1600	47046	\N	\N	\N
164602	551	1994-05-14	PRIJEM	VKLAD	1600	38611	\N	\N	\N
164603	551	1994-06-14	PRIJEM	VKLAD	1600	31569	\N	\N	\N
164604	551	1994-07-17	PRIJEM	VKLAD	1600	30799	\N	\N	\N
164605	551	1994-08-14	PRIJEM	VKLAD	1600	30014	\N	\N	\N
164606	551	1994-09-15	PRIJEM	VKLAD	1600	42535	\N	\N	\N
164607	551	1994-10-14	PRIJEM	VKLAD	1600	33912	\N	\N	\N
164608	551	1994-11-17	PRIJEM	VKLAD	1600	29437	\N	\N	\N
164609	551	1994-12-17	PRIJEM	VKLAD	1600	23537	\N	\N	\N
164610	551	1995-01-13	PRIJEM	VKLAD	1600	21921	\N	\N	\N
164611	551	1995-02-16	PRIJEM	VKLAD	1600	16284	\N	\N	\N
164612	551	1995-03-17	PRIJEM	VKLAD	1600	22336	\N	\N	\N
164613	551	1995-04-14	PRIJEM	VKLAD	1600	21807	\N	\N	\N
164614	551	1995-05-13	PRIJEM	VKLAD	1600	19675	\N	\N	\N
164615	551	1995-06-14	PRIJEM	VKLAD	1600	22437	\N	\N	\N
164616	551	1995-07-15	PRIJEM	VKLAD	1600	30470	\N	\N	\N
164617	551	1995-08-15	PRIJEM	VKLAD	1600	22019	\N	\N	\N
164618	551	1995-09-14	PRIJEM	VKLAD	1600	20891	\N	\N	\N
164619	551	1995-10-15	PRIJEM	VKLAD	1600	61749	\N	\N	\N
164620	551	1995-11-16	PRIJEM	VKLAD	1600	41181	\N	\N	\N
164621	551	1995-12-14	PRIJEM	VKLAD	1600	25713	\N	\N	\N
164622	551	1996-01-16	PRIJEM	VKLAD	1600	19290	\N	\N	\N
164623	551	1996-02-17	PRIJEM	VKLAD	1600	16645	\N	\N	\N
164624	551	1996-03-14	PRIJEM	VKLAD	1600	13989	\N	\N	\N
164625	551	1996-04-17	PRIJEM	VKLAD	1600	14425	\N	\N	\N
164626	551	1996-05-14	PRIJEM	VKLAD	1600	16063	\N	\N	\N
164627	551	1996-06-15	PRIJEM	VKLAD	1600	27139	\N	\N	\N
164628	551	1996-07-13	PRIJEM	VKLAD	1600	14110	\N	\N	\N
164629	551	1996-08-15	PRIJEM	VKLAD	1600	15747	\N	\N	\N
164630	551	1996-09-15	PRIJEM	VKLAD	1600	21053	\N	\N	\N
164631	551	1996-10-17	PRIJEM	VKLAD	1600	22719	\N	\N	\N
164632	551	1996-11-13	PRIJEM	VKLAD	1600	24391	\N	\N	\N
164633	551	1996-12-13	PRIJEM	VKLAD	1600	14450	\N	\N	\N
164634	551	1997-01-13	PRIJEM	VKLAD	1600	16088	\N	\N	\N
164635	551	1997-02-13	PRIJEM	VKLAD	1600	17733	\N	\N	\N
164636	551	1997-03-14	PRIJEM	VKLAD	1600	19384	\N	\N	\N
164637	551	1997-04-13	PRIJEM	VKLAD	1600	21042	\N	\N	\N
164638	551	1997-05-15	PRIJEM	VKLAD	1600	47066	\N	\N	\N
164639	551	1997-06-14	PRIJEM	VKLAD	1600	17329	\N	\N	\N
164640	551	1997-07-14	PRIJEM	VKLAD	1600	18978	\N	\N	\N
164641	551	1997-08-14	PRIJEM	VKLAD	1600	19485	\N	\N	\N
164642	551	1997-09-13	PRIJEM	VKLAD	1600	65727	\N	\N	\N
164643	551	1997-10-14	PRIJEM	VKLAD	1600	29113	\N	\N	\N
164644	551	1997-11-16	PRIJEM	VKLAD	1600	30567	\N	\N	\N
164645	551	1997-12-16	PRIJEM	VKLAD	1600	28921	\N	\N	\N
164646	551	1998-01-15	PRIJEM	VKLAD	1600	27024	\N	\N	\N
164647	551	1998-02-13	PRIJEM	VKLAD	1600	24820	\N	\N	\N
164648	551	1998-03-17	PRIJEM	VKLAD	1600	26500	\N	\N	\N
164649	551	1998-04-16	PRIJEM	VKLAD	1600	28187	\N	\N	\N
164650	551	1998-05-17	PRIJEM	VKLAD	1600	27880	\N	\N	\N
164651	551	1998-06-16	PRIJEM	VKLAD	1600	23623	\N	\N	\N
164652	551	1998-07-13	PRIJEM	VKLAD	1600	25304	\N	\N	\N
164653	551	1998-08-15	PRIJEM	VKLAD	1600	31107	\N	\N	\N
164654	551	1998-09-17	PRIJEM	VKLAD	1600	38233	\N	\N	\N
164655	551	1998-10-14	PRIJEM	VKLAD	1600	39355	\N	\N	\N
164656	551	1998-11-17	PRIJEM	VKLAD	1600	41095	\N	\N	\N
164657	551	1998-12-14	PRIJEM	VKLAD	1600	41342	\N	\N	\N
164663	551	1998-06-04	VYDAJ	VYBER	5200	22023	\N	\N	\N
164666	551	1995-01-14	VYDAJ	VYBER	3600	18321	\N	\N	\N
164669	551	1998-01-24	VYDAJ	VYBER	3900	23124	\N	\N	\N
164677	551	1994-01-12	VYDAJ	VYBER	8900	15707	\N	\N	\N
164681	551	1998-01-14	VYDAJ	VYBER	3600	25424	\N	\N	\N
164682	551	1993-12-15	VYDAJ	VYBER	2800	18432	\N	\N	\N
164683	551	1994-12-03	VYDAJ	VYBER	2700	21937	\N	\N	\N
164684	551	1995-12-24	VYDAJ	VYBER	600	17613	\N	\N	\N
164686	551	1997-12-06	VYDAJ	VYBER	1000	27321	\N	\N	\N
164687	551	1998-12-08	VYDAJ	VYBER	1500	39742	\N	\N	\N
164688	551	1993-12-10	VYDAJ	VYBER	1000	21232	\N	\N	\N
164691	551	1993-10-05	VYDAJ	VYBER	2350	20969	\N	\N	\N
164692	551	1994-04-26	VYDAJ	VYBER	1750	45296	\N	\N	\N
164693	551	1994-10-03	VYDAJ	VYBER	1950	32312	\N	\N	\N
164694	551	1994-01-15	VYDAJ	VYBER	600	16707	\N	\N	\N
164695	551	1995-12-21	VYDAJ	VYBER	1400	24313	\N	\N	\N
164696	551	1995-09-26	VYDAJ	VYBER	1350	15841	\N	\N	\N
164697	551	1995-08-10	VYDAJ	VYBER	650	20419	\N	\N	\N
164698	551	1995-02-05	VYDAJ	VYBER	350	14684	\N	\N	\N
164699	551	1995-01-31	VYDAJ	VYBER	1650	15049	\N	\N	\N
164701	551	1996-08-23	VYDAJ	VYBER	350	19398	\N	\N	\N
164704	551	1997-10-17	VYDAJ	VYBER	250	28863	\N	\N	\N
164705	551	1997-10-10	VYDAJ	VYBER	900	27513	\N	\N	\N
164706	551	1997-12-02	VYDAJ	VYBER	2350	28321	\N	\N	\N
164707	551	1997-07-27	VYDAJ	VYBER	1150	17828	\N	\N	\N
164708	551	1998-09-29	VYDAJ	VYBER	600	37633	\N	\N	\N
164709	551	1998-04-22	VYDAJ	VYBER	2000	26187	\N	\N	\N
164710	551	1998-08-31	VYDAJ	VYBER	500	30727	\N	\N	\N
164711	551	1998-06-02	VYDAJ	VYBER	750	27223	\N	\N	\N
164721	551	1993-09-30	VYDAJ	VYBER	15	26719	SLUZBY	\N	\N
164722	551	1993-10-31	VYDAJ	VYBER	15	22649	SLUZBY	\N	\N
164723	551	1993-11-30	VYDAJ	VYBER	15	24432	SLUZBY	\N	\N
164724	551	1993-12-31	VYDAJ	VYBER	15	20107	SLUZBY	\N	\N
164725	551	1994-01-31	VYDAJ	VYBER	15	16767	SLUZBY	\N	\N
164726	551	1994-02-28	VYDAJ	VYBER	15	22134	SLUZBY	\N	\N
164727	551	1994-03-31	VYDAJ	VYBER	15	68146	SLUZBY	\N	\N
164728	551	1994-04-30	VYDAJ	VYBER	15	45511	SLUZBY	\N	\N
164729	551	1994-05-31	VYDAJ	VYBER	15	38769	SLUZBY	\N	\N
164730	551	1994-06-30	VYDAJ	VYBER	15	31699	SLUZBY	\N	\N
164731	551	1994-07-31	VYDAJ	VYBER	15	30914	SLUZBY	\N	\N
164732	551	1994-08-31	VYDAJ	VYBER	15	25617	SLUZBY	\N	\N
164733	551	1994-09-30	VYDAJ	VYBER	15	34262	SLUZBY	\N	\N
164734	551	1994-10-31	VYDAJ	VYBER	15	27837	SLUZBY	\N	\N
164735	551	1994-11-30	VYDAJ	VYBER	15	24637	SLUZBY	\N	\N
164736	551	1994-12-31	VYDAJ	VYBER	15	20321	SLUZBY	\N	\N
164737	551	1995-01-31	VYDAJ	VYBER	15	15034	SLUZBY	\N	\N
164738	551	1995-02-28	VYDAJ	VYBER	15	20736	SLUZBY	\N	\N
164739	551	1995-03-31	VYDAJ	VYBER	15	20207	SLUZBY	\N	\N
164740	551	1995-04-30	VYDAJ	VYBER	15	18075	SLUZBY	\N	\N
164741	551	1995-05-31	VYDAJ	VYBER	15	20837	SLUZBY	\N	\N
164742	551	1995-06-30	VYDAJ	VYBER	15	28870	SLUZBY	\N	\N
164743	551	1995-07-31	VYDAJ	VYBER	15	21069	SLUZBY	\N	\N
164744	551	1995-08-31	VYDAJ	VYBER	15	19291	SLUZBY	\N	\N
164745	551	1995-09-30	VYDAJ	VYBER	15	15903	SLUZBY	\N	\N
164746	551	1995-10-31	VYDAJ	VYBER	15	39581	SLUZBY	\N	\N
164747	551	1995-11-30	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
164748	551	1995-12-31	VYDAJ	VYBER	15	17690	SLUZBY	\N	\N
164749	551	1996-01-31	VYDAJ	VYBER	15	15045	SLUZBY	\N	\N
164750	551	1996-02-29	VYDAJ	VYBER	15	12389	SLUZBY	\N	\N
164751	551	1996-03-31	VYDAJ	VYBER	15	12825	SLUZBY	\N	\N
164752	551	1996-04-30	VYDAJ	VYBER	15	14463	SLUZBY	\N	\N
164753	551	1996-05-31	VYDAJ	VYBER	15	25539	SLUZBY	\N	\N
164754	551	1996-06-30	VYDAJ	VYBER	15	12510	SLUZBY	\N	\N
164755	551	1996-07-31	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
164756	551	1996-08-31	VYDAJ	VYBER	15	19453	SLUZBY	\N	\N
164757	551	1996-09-30	VYDAJ	VYBER	15	21119	SLUZBY	\N	\N
164758	551	1996-10-31	VYDAJ	VYBER	15	22791	SLUZBY	\N	\N
164759	551	1996-11-30	VYDAJ	VYBER	15	12850	SLUZBY	\N	\N
164760	551	1996-12-31	VYDAJ	VYBER	15	14488	SLUZBY	\N	\N
164761	551	1997-01-31	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
164762	551	1997-02-28	VYDAJ	VYBER	15	17784	SLUZBY	\N	\N
164763	551	1997-03-31	VYDAJ	VYBER	15	19442	SLUZBY	\N	\N
164764	551	1997-04-30	VYDAJ	VYBER	15	21107	SLUZBY	\N	\N
164765	551	1997-05-31	VYDAJ	VYBER	15	15729	SLUZBY	\N	\N
164766	551	1997-06-30	VYDAJ	VYBER	15	17378	SLUZBY	\N	\N
164767	551	1997-07-31	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
164768	551	1997-08-31	VYDAJ	VYBER	15	19543	SLUZBY	\N	\N
164769	551	1997-09-30	VYDAJ	VYBER	15	28413	SLUZBY	\N	\N
164770	551	1997-10-31	VYDAJ	VYBER	15	28967	SLUZBY	\N	\N
164771	551	1997-11-30	VYDAJ	VYBER	15	30671	SLUZBY	\N	\N
164772	551	1997-12-31	VYDAJ	VYBER	15	29024	SLUZBY	\N	\N
164773	551	1998-01-31	VYDAJ	VYBER	15	23220	SLUZBY	\N	\N
164774	551	1998-02-28	VYDAJ	VYBER	15	24900	SLUZBY	\N	\N
164775	551	1998-03-31	VYDAJ	VYBER	15	26587	SLUZBY	\N	\N
164776	551	1998-04-30	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
164777	551	1998-05-31	VYDAJ	VYBER	15	27973	SLUZBY	\N	\N
164778	551	1998-06-30	VYDAJ	VYBER	15	23704	SLUZBY	\N	\N
164779	551	1998-07-31	VYDAJ	VYBER	15	29507	SLUZBY	\N	\N
164780	551	1998-08-31	VYDAJ	VYBER	15	30713	SLUZBY	\N	\N
164781	551	1998-09-30	VYDAJ	VYBER	15	37755	SLUZBY	\N	\N
164782	551	1998-10-31	VYDAJ	VYBER	15	39495	SLUZBY	\N	\N
164783	551	1998-11-30	VYDAJ	VYBER	15	41242	SLUZBY	\N	\N
164784	551	1993-06-06	PRIJEM	VKLAD	12600	15006	\N	\N	\N
164785	551	1993-07-06	PRIJEM	VKLAD	5900	22543	\N	\N	\N
164786	551	1993-08-05	VYDAJ	VYBER	1900	22328	\N	\N	\N
164787	551	1993-09-04	PRIJEM	VKLAD	1000	25028	\N	\N	\N
164788	551	1993-10-04	VYDAJ	VYBER	3400	23319	\N	\N	\N
164789	551	1993-11-03	PRIJEM	VKLAD	100	22749	\N	\N	\N
164790	551	1993-12-03	VYDAJ	VYBER	2200	22232	\N	\N	\N
164791	551	1994-01-02	PRIJEM	VKLAD	4500	24607	\N	\N	\N
164792	551	1994-02-01	PRIJEM	VKLAD	3700	20467	\N	\N	\N
164793	551	1994-03-03	PRIJEM	VKLAD	1400	23534	\N	\N	\N
164794	551	1994-04-02	VYDAJ	VYBER	22700	45446	\N	\N	\N
164795	551	1994-05-02	VYDAJ	VYBER	8500	37011	\N	\N	\N
164796	551	1994-06-01	VYDAJ	VYBER	8800	29969	\N	\N	\N
164797	551	1994-07-01	VYDAJ	VYBER	2500	29199	\N	\N	\N
164798	551	1994-07-31	VYDAJ	VYBER	2500	28414	\N	\N	\N
164799	551	1994-08-30	VYDAJ	VYBER	4500	25514	\N	\N	\N
164800	551	1994-09-29	VYDAJ	VYBER	8400	34135	\N	\N	\N
164801	551	1994-10-29	VYDAJ	VYBER	6200	27712	\N	\N	\N
164802	551	1994-11-28	VYDAJ	VYBER	4900	24537	\N	\N	\N
164803	551	1994-12-28	VYDAJ	VYBER	3300	20237	\N	\N	\N
164804	551	1995-01-27	VYDAJ	VYBER	1700	16621	\N	\N	\N
164805	551	1995-02-26	PRIJEM	VKLAD	4400	20684	\N	\N	\N
164806	551	1995-03-28	VYDAJ	VYBER	2200	20136	\N	\N	\N
164807	551	1995-04-27	VYDAJ	VYBER	3800	18007	\N	\N	\N
164808	551	1995-05-27	PRIJEM	VKLAD	1100	20775	\N	\N	\N
164809	551	1995-06-26	VYDAJ	VYBER	14000	28777	\N	\N	\N
164810	551	1995-07-26	VYDAJ	VYBER	9500	20970	\N	\N	\N
164811	551	1995-08-25	VYDAJ	VYBER	2800	19219	\N	\N	\N
164812	551	1995-09-24	VYDAJ	VYBER	3700	17191	\N	\N	\N
164813	551	1995-10-24	VYDAJ	VYBER	22300	39449	\N	\N	\N
164814	551	1995-11-23	VYDAJ	VYBER	17200	23981	\N	\N	\N
164815	551	1995-12-23	VYDAJ	VYBER	6100	18213	\N	\N	\N
164816	551	1996-01-22	VYDAJ	VYBER	4300	14990	\N	\N	\N
164817	551	1996-02-21	VYDAJ	VYBER	4300	12345	\N	\N	\N
164818	551	1996-03-22	VYDAJ	VYBER	1200	12789	\N	\N	\N
164819	551	1996-06-20	VYDAJ	VYBER	14700	12439	\N	\N	\N
164820	551	1996-08-19	VYDAJ	VYBER	17800	19748	\N	\N	\N
164821	551	1996-11-17	VYDAJ	VYBER	11600	12791	\N	\N	\N
164822	551	1997-05-16	VYDAJ	VYBER	31400	15666	\N	\N	\N
164823	551	1997-09-13	VYDAJ	VYBER	37400	28327	\N	\N	\N
164892	552	1993-08-20	PRIJEM	VKLAD	900	900	\N	\N	\N
164901	552	1993-09-07	PRIJEM	PREVOD Z UCTU	5145	6045	DUCHOD	MN	38287580
164902	552	1993-10-07	PRIJEM	PREVOD Z UCTU	5145	11190	DUCHOD	MN	38287580
164903	552	1993-11-07	PRIJEM	PREVOD Z UCTU	5145	16335	DUCHOD	MN	38287580
164904	552	1993-12-07	PRIJEM	PREVOD Z UCTU	5145	21480	DUCHOD	MN	38287580
164905	552	1994-01-07	PRIJEM	PREVOD Z UCTU	5145	26625	DUCHOD	MN	38287580
164906	552	1994-02-07	PRIJEM	PREVOD Z UCTU	5145	21307	DUCHOD	MN	38287580
164907	552	1994-03-07	PRIJEM	PREVOD Z UCTU	5145	24415	DUCHOD	MN	38287580
164908	552	1994-04-07	PRIJEM	PREVOD Z UCTU	5145	27436	DUCHOD	MN	38287580
164909	552	1994-05-07	PRIJEM	PREVOD Z UCTU	5145	30569	DUCHOD	MN	38287580
164910	552	1994-06-07	PRIJEM	PREVOD Z UCTU	5145	31311	DUCHOD	MN	38287580
164911	552	1994-07-07	PRIJEM	PREVOD Z UCTU	5145	27388	DUCHOD	MN	38287580
164912	552	1994-08-07	PRIJEM	PREVOD Z UCTU	5145	30521	DUCHOD	MN	38287580
164913	552	1994-09-07	PRIJEM	PREVOD Z UCTU	5145	30661	DUCHOD	MN	38287580
164914	552	1994-10-07	PRIJEM	PREVOD Z UCTU	5145	33808	DUCHOD	MN	38287580
164915	552	1994-11-07	PRIJEM	PREVOD Z UCTU	5145	29054	DUCHOD	MN	38287580
164916	552	1994-12-07	PRIJEM	PREVOD Z UCTU	5145	27784	DUCHOD	MN	38287580
164917	552	1995-01-07	PRIJEM	PREVOD Z UCTU	5145	25921	DUCHOD	MN	38287580
164918	552	1995-02-07	PRIJEM	PREVOD Z UCTU	5145	19655	DUCHOD	MN	38287580
164919	552	1995-03-07	PRIJEM	PREVOD Z UCTU	5145	22756	DUCHOD	MN	38287580
164920	552	1995-04-07	PRIJEM	PREVOD Z UCTU	5145	25870	DUCHOD	MN	38287580
164921	552	1995-05-07	PRIJEM	PREVOD Z UCTU	5145	27895	DUCHOD	MN	38287580
164922	552	1995-06-07	PRIJEM	PREVOD Z UCTU	5145	29127	DUCHOD	MN	38287580
164923	552	1995-07-07	PRIJEM	PREVOD Z UCTU	5145	21888	DUCHOD	MN	38287580
164924	552	1995-08-07	PRIJEM	PREVOD Z UCTU	5145	23396	DUCHOD	MN	38287580
164925	552	1995-09-07	PRIJEM	PREVOD Z UCTU	5145	24610	DUCHOD	MN	38287580
164926	552	1995-10-07	PRIJEM	PREVOD Z UCTU	5145	24131	DUCHOD	MN	38287580
164927	552	1995-11-07	PRIJEM	PREVOD Z UCTU	5145	25710	DUCHOD	MN	38287580
164928	552	1995-12-07	PRIJEM	PREVOD Z UCTU	5145	24628	DUCHOD	MN	38287580
164929	552	1996-01-07	PRIJEM	PREVOD Z UCTU	5145	22022	DUCHOD	MN	38287580
164930	552	1996-02-07	PRIJEM	PREVOD Z UCTU	5145	19041	DUCHOD	MN	38287580
164931	552	1996-03-07	PRIJEM	PREVOD Z UCTU	5145	18856	DUCHOD	MN	38287580
164932	552	1996-04-07	PRIJEM	PREVOD Z UCTU	5145	21954	DUCHOD	MN	38287580
164933	552	1996-05-07	PRIJEM	PREVOD Z UCTU	5145	23964	DUCHOD	MN	38287580
164934	552	1996-06-07	PRIJEM	PREVOD Z UCTU	5145	27088	DUCHOD	MN	38287580
164935	552	1996-07-07	PRIJEM	PREVOD Z UCTU	5145	27818	DUCHOD	MN	38287580
164936	552	1996-08-07	PRIJEM	PREVOD Z UCTU	5145	26855	DUCHOD	MN	38287580
164937	552	1996-09-07	PRIJEM	PREVOD Z UCTU	5145	24992	DUCHOD	MN	38287580
164938	552	1996-10-07	PRIJEM	PREVOD Z UCTU	5145	22804	DUCHOD	MN	38287580
164939	552	1996-11-07	PRIJEM	PREVOD Z UCTU	5145	22319	DUCHOD	MN	38287580
164940	552	1996-12-07	PRIJEM	PREVOD Z UCTU	5145	24530	DUCHOD	MN	38287580
164941	552	1997-01-07	PRIJEM	PREVOD Z UCTU	5145	23643	DUCHOD	MN	38287580
164942	552	1997-02-07	PRIJEM	PREVOD Z UCTU	5145	19720	DUCHOD	MN	38287580
164943	552	1997-03-07	PRIJEM	PREVOD Z UCTU	5145	22820	DUCHOD	MN	38287580
164944	552	1997-04-07	PRIJEM	PREVOD Z UCTU	5145	24732	DUCHOD	MN	38287580
164945	552	1997-05-07	PRIJEM	PREVOD Z UCTU	5145	27853	DUCHOD	MN	38287580
164946	552	1997-06-07	PRIJEM	PREVOD Z UCTU	5145	30987	DUCHOD	MN	38287580
164947	552	1997-07-07	PRIJEM	PREVOD Z UCTU	5145	28425	DUCHOD	MN	38287580
164948	552	1997-08-07	PRIJEM	PREVOD Z UCTU	5145	27761	DUCHOD	MN	38287580
164949	552	1997-09-07	PRIJEM	PREVOD Z UCTU	5145	23524	DUCHOD	MN	38287580
164950	552	1997-10-07	PRIJEM	PREVOD Z UCTU	5145	23880	DUCHOD	MN	38287580
164951	552	1997-11-07	PRIJEM	PREVOD Z UCTU	5145	27004	DUCHOD	MN	38287580
164952	552	1997-12-07	PRIJEM	PREVOD Z UCTU	5145	28334	DUCHOD	MN	38287580
164953	552	1998-01-07	PRIJEM	PREVOD Z UCTU	5145	20524	DUCHOD	MN	38287580
164954	552	1998-02-07	PRIJEM	PREVOD Z UCTU	5145	18584	DUCHOD	MN	38287580
164955	552	1998-03-07	PRIJEM	PREVOD Z UCTU	5145	19096	DUCHOD	MN	38287580
164956	552	1998-04-07	PRIJEM	PREVOD Z UCTU	5145	21293	DUCHOD	MN	38287580
164957	552	1998-05-07	PRIJEM	PREVOD Z UCTU	5145	20096	DUCHOD	MN	38287580
164958	552	1998-06-07	PRIJEM	PREVOD Z UCTU	5145	21896	DUCHOD	MN	38287580
164959	552	1998-07-07	PRIJEM	PREVOD Z UCTU	5145	21405	DUCHOD	MN	38287580
164960	552	1998-08-07	PRIJEM	PREVOD Z UCTU	5145	24519	DUCHOD	MN	38287580
164961	552	1998-09-07	PRIJEM	PREVOD Z UCTU	5145	25736	DUCHOD	MN	38287580
164962	552	1998-10-07	PRIJEM	PREVOD Z UCTU	5145	20848	DUCHOD	MN	38287580
164963	552	1998-11-07	PRIJEM	PREVOD Z UCTU	5145	18545	DUCHOD	MN	38287580
164964	552	1998-12-07	PRIJEM	PREVOD Z UCTU	5145	18836	DUCHOD	MN	38287580
164977	552	1994-01-14	VYDAJ	PREVOD NA UCET	2097	23888	SIPO	AB	68878775
164978	552	1994-02-14	VYDAJ	PREVOD NA UCET	2097	19210	SIPO	AB	68878775
164979	552	1994-03-14	VYDAJ	PREVOD NA UCET	2097	22318	SIPO	AB	68878775
164980	552	1994-04-14	VYDAJ	PREVOD NA UCET	2097	25339	SIPO	AB	68878775
164981	552	1994-05-14	VYDAJ	PREVOD NA UCET	2097	28472	SIPO	AB	68878775
164982	552	1994-06-14	VYDAJ	PREVOD NA UCET	2097	26254	SIPO	AB	68878775
164983	552	1994-07-14	VYDAJ	PREVOD NA UCET	2097	25291	SIPO	AB	68878775
164984	552	1994-08-14	VYDAJ	PREVOD NA UCET	2097	28424	SIPO	AB	68878775
164985	552	1994-09-14	VYDAJ	PREVOD NA UCET	2097	28564	SIPO	AB	68878775
164986	552	1994-10-14	VYDAJ	PREVOD NA UCET	2097	27331	SIPO	AB	68878775
164987	552	1994-11-14	VYDAJ	PREVOD NA UCET	2097	22957	SIPO	AB	68878775
164988	552	1994-12-14	VYDAJ	PREVOD NA UCET	2097	22587	SIPO	AB	68878775
164989	552	1995-01-14	VYDAJ	PREVOD NA UCET	2097	21164	SIPO	AB	68878775
164990	552	1995-02-14	VYDAJ	PREVOD NA UCET	2097	17558	SIPO	AB	68878775
164991	552	1995-03-14	VYDAJ	PREVOD NA UCET	2097	20659	SIPO	AB	68878775
164992	552	1995-04-14	VYDAJ	PREVOD NA UCET	2097	22673	SIPO	AB	68878775
164993	552	1995-05-14	VYDAJ	PREVOD NA UCET	2097	23898	SIPO	AB	68878775
164994	552	1995-06-14	VYDAJ	PREVOD NA UCET	2097	22930	SIPO	AB	68878775
164995	552	1995-07-14	VYDAJ	PREVOD NA UCET	2097	18191	SIPO	AB	68878775
164996	552	1995-08-14	VYDAJ	PREVOD NA UCET	2097	19399	SIPO	AB	68878775
164997	552	1995-09-14	VYDAJ	PREVOD NA UCET	2097	21313	SIPO	AB	68878775
164998	552	1995-10-14	VYDAJ	PREVOD NA UCET	2097	21134	SIPO	AB	68878775
164999	552	1995-11-14	VYDAJ	PREVOD NA UCET	2097	20613	SIPO	AB	68878775
165000	552	1995-12-14	VYDAJ	PREVOD NA UCET	2097	20031	SIPO	AB	68878775
165001	552	1996-01-14	VYDAJ	PREVOD NA UCET	2097	16245	SIPO	AB	68878775
165002	552	1996-02-14	VYDAJ	PREVOD NA UCET	2097	16944	SIPO	AB	68878775
165003	552	1996-03-14	VYDAJ	PREVOD NA UCET	2097	16759	SIPO	AB	68878775
165004	552	1996-04-14	VYDAJ	PREVOD NA UCET	2097	19857	SIPO	AB	68878775
165005	552	1996-05-14	VYDAJ	PREVOD NA UCET	2097	21867	SIPO	AB	68878775
165006	552	1996-06-14	VYDAJ	PREVOD NA UCET	2097	24991	SIPO	AB	68878775
165007	552	1996-07-14	VYDAJ	PREVOD NA UCET	2097	25721	SIPO	AB	68878775
165008	552	1996-08-14	VYDAJ	PREVOD NA UCET	2097	24758	SIPO	AB	68878775
165009	552	1996-09-14	VYDAJ	PREVOD NA UCET	2097	22895	SIPO	AB	68878775
165010	552	1996-10-14	VYDAJ	PREVOD NA UCET	2097	20707	SIPO	AB	68878775
165011	552	1996-11-14	VYDAJ	PREVOD NA UCET	2097	20222	SIPO	AB	68878775
165012	552	1996-12-14	VYDAJ	PREVOD NA UCET	2097	22433	SIPO	AB	68878775
165013	552	1997-01-14	VYDAJ	PREVOD NA UCET	2097	16436	SIPO	AB	68878775
165014	552	1997-02-14	VYDAJ	PREVOD NA UCET	2097	17623	SIPO	AB	68878775
165015	552	1997-03-14	VYDAJ	PREVOD NA UCET	2097	20723	SIPO	AB	68878775
165016	552	1997-04-14	VYDAJ	PREVOD NA UCET	2097	22635	SIPO	AB	68878775
165017	552	1997-05-14	VYDAJ	PREVOD NA UCET	2097	25756	SIPO	AB	68878775
165018	552	1997-06-14	VYDAJ	PREVOD NA UCET	2097	28890	SIPO	AB	68878775
165019	552	1997-07-14	VYDAJ	PREVOD NA UCET	2097	26328	SIPO	AB	68878775
165020	552	1997-08-14	VYDAJ	PREVOD NA UCET	2097	21904	SIPO	AB	68878775
165021	552	1997-09-14	VYDAJ	PREVOD NA UCET	2097	21427	SIPO	AB	68878775
165022	552	1997-10-14	VYDAJ	PREVOD NA UCET	2097	21783	SIPO	AB	68878775
165023	552	1997-11-14	VYDAJ	PREVOD NA UCET	2097	24907	SIPO	AB	68878775
165024	552	1997-12-14	VYDAJ	PREVOD NA UCET	2097	25137	SIPO	AB	68878775
165025	552	1998-01-14	VYDAJ	PREVOD NA UCET	2097	16667	SIPO	AB	68878775
165026	552	1998-02-14	VYDAJ	PREVOD NA UCET	2097	14807	SIPO	AB	68878775
165027	552	1998-03-14	VYDAJ	PREVOD NA UCET	2097	16999	SIPO	AB	68878775
165028	552	1998-04-14	VYDAJ	PREVOD NA UCET	2097	19196	SIPO	AB	68878775
165029	552	1998-05-14	VYDAJ	PREVOD NA UCET	2097	17999	SIPO	AB	68878775
165030	552	1998-06-14	VYDAJ	PREVOD NA UCET	2097	19799	SIPO	AB	68878775
165031	552	1998-07-14	VYDAJ	PREVOD NA UCET	2097	19308	SIPO	AB	68878775
165032	552	1998-08-14	VYDAJ	PREVOD NA UCET	2097	22422	SIPO	AB	68878775
165033	552	1998-09-14	VYDAJ	PREVOD NA UCET	2097	23639	SIPO	AB	68878775
165034	552	1998-10-14	VYDAJ	PREVOD NA UCET	2097	18751	SIPO	AB	68878775
165035	552	1998-11-14	VYDAJ	PREVOD NA UCET	2097	16448	SIPO	AB	68878775
165036	552	1998-12-14	VYDAJ	PREVOD NA UCET	2097	16239	SIPO	AB	68878775
165039	552	1995-06-19	VYDAJ	VYBER	4900	18030	\N	\N	\N
165040	552	1996-06-24	VYDAJ	VYBER	2200	22791	\N	\N	\N
165041	552	1997-06-20	VYDAJ	VYBER	5700	23190	\N	\N	\N
165044	552	1994-01-24	VYDAJ	VYBER	4250	17158	\N	\N	\N
165045	552	1995-01-01	VYDAJ	VYBER	800	21416	\N	\N	\N
165046	552	1996-01-29	VYDAJ	VYBER	800	13845	\N	\N	\N
165047	552	1997-01-14	VYDAJ	VYBER	950	20613	\N	\N	\N
165050	552	1994-12-19	VYDAJ	VYBER	450	22137	\N	\N	\N
165051	552	1995-12-30	VYDAJ	VYBER	1300	16811	\N	\N	\N
165052	552	1996-12-15	VYDAJ	VYBER	1050	21383	\N	\N	\N
165053	552	1997-12-10	VYDAJ	VYBER	1100	27234	\N	\N	\N
165054	552	1998-12-08	VYDAJ	VYBER	500	18336	\N	\N	\N
165063	552	1994-01-26	VYDAJ	VYBER	1040	16118	\N	\N	\N
165064	552	1994-01-20	VYDAJ	VYBER	1280	22608	\N	\N	\N
165065	552	1994-01-21	VYDAJ	VYBER	1200	21408	\N	\N	\N
165066	552	1994-01-11	VYDAJ	VYBER	640	25985	\N	\N	\N
165067	552	1995-01-11	VYDAJ	VYBER	880	23361	\N	\N	\N
165068	552	1995-01-11	VYDAJ	VYBER	1680	24241	\N	\N	\N
165070	552	1995-01-23	VYDAJ	VYBER	480	14444	\N	\N	\N
165071	552	1995-01-02	VYDAJ	VYBER	640	20776	\N	\N	\N
165072	552	1995-01-15	VYDAJ	VYBER	2320	18844	\N	\N	\N
165075	552	1996-01-12	VYDAJ	VYBER	1760	18342	\N	\N	\N
165076	552	1996-01-11	VYDAJ	VYBER	1920	20102	\N	\N	\N
165078	552	1996-01-19	VYDAJ	VYBER	1600	14645	\N	\N	\N
165079	552	1997-01-24	VYDAJ	VYBER	1440	14516	\N	\N	\N
165080	552	1997-01-15	VYDAJ	VYBER	480	15956	\N	\N	\N
165083	552	1997-01-14	VYDAJ	VYBER	2080	18533	\N	\N	\N
165084	552	1997-01-07	VYDAJ	VYBER	2080	21563	\N	\N	\N
165085	552	1998-01-08	VYDAJ	VYBER	1760	18764	\N	\N	\N
165087	552	1998-01-19	VYDAJ	VYBER	1680	14987	\N	\N	\N
165088	552	1998-01-05	VYDAJ	VYBER	2080	15379	\N	\N	\N
165090	552	1998-01-03	VYDAJ	VYBER	960	17459	\N	\N	\N
165095	552	1994-10-14	VYDAJ	VYBER	2080	29428	\N	\N	\N
165096	552	1994-11-22	VYDAJ	VYBER	400	22557	\N	\N	\N
165097	552	1994-11-13	VYDAJ	VYBER	2000	25054	\N	\N	\N
165098	552	1994-08-25	VYDAJ	VYBER	400	25424	\N	\N	\N
165099	552	1994-06-13	VYDAJ	VYBER	2960	28351	\N	\N	\N
165100	552	1994-10-20	VYDAJ	VYBER	3520	23811	\N	\N	\N
165101	552	1994-06-28	VYDAJ	VYBER	1200	22154	\N	\N	\N
165102	552	1995-09-29	VYDAJ	VYBER	2400	18913	\N	\N	\N
165103	552	1995-12-18	VYDAJ	VYBER	1920	18111	\N	\N	\N
165104	552	1995-06-25	VYDAJ	VYBER	1360	16670	\N	\N	\N
165105	552	1995-01-23	VYDAJ	VYBER	3920	14924	\N	\N	\N
165106	552	1995-10-17	VYDAJ	VYBER	640	20494	\N	\N	\N
165107	552	1995-11-19	VYDAJ	VYBER	1200	19413	\N	\N	\N
165108	552	1996-02-24	VYDAJ	VYBER	3280	13664	\N	\N	\N
165109	552	1996-10-20	VYDAJ	VYBER	3600	17107	\N	\N	\N
165110	552	1996-07-26	VYDAJ	VYBER	2400	23321	\N	\N	\N
165111	552	1996-12-30	VYDAJ	VYBER	2960	18423	\N	\N	\N
165112	552	1996-10-05	VYDAJ	VYBER	1520	17659	\N	\N	\N
165113	552	1997-10-03	VYDAJ	VYBER	2560	18735	\N	\N	\N
165114	552	1997-08-12	VYDAJ	VYBER	3760	24001	\N	\N	\N
165115	552	1997-03-20	VYDAJ	VYBER	1200	19523	\N	\N	\N
165116	552	1998-07-06	VYDAJ	VYBER	3600	16260	\N	\N	\N
165118	552	1998-09-15	VYDAJ	VYBER	3200	20439	\N	\N	\N
165119	552	1998-02-10	VYDAJ	VYBER	1680	16904	\N	\N	\N
165134	552	1994-01-31	VYDAJ	VYBER	15	16162	SLUZBY	\N	\N
165135	552	1994-02-28	VYDAJ	VYBER	15	19270	SLUZBY	\N	\N
165136	552	1994-03-31	VYDAJ	VYBER	15	22291	SLUZBY	\N	\N
165137	552	1994-04-30	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
165138	552	1994-05-31	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
165139	552	1994-06-30	VYDAJ	VYBER	15	22243	SLUZBY	\N	\N
165140	552	1994-07-31	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
165141	552	1994-08-31	VYDAJ	VYBER	15	25516	SLUZBY	\N	\N
165142	552	1994-09-30	VYDAJ	VYBER	15	28663	SLUZBY	\N	\N
165143	552	1994-10-31	VYDAJ	VYBER	15	23909	SLUZBY	\N	\N
165144	552	1994-11-30	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
165145	552	1994-12-31	VYDAJ	VYBER	15	22216	SLUZBY	\N	\N
165146	552	1995-01-31	VYDAJ	VYBER	15	14510	SLUZBY	\N	\N
165147	552	1995-02-28	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
165148	552	1995-03-31	VYDAJ	VYBER	15	20725	SLUZBY	\N	\N
165149	552	1995-04-30	VYDAJ	VYBER	15	22750	SLUZBY	\N	\N
165150	552	1995-05-31	VYDAJ	VYBER	15	23982	SLUZBY	\N	\N
165151	552	1995-06-30	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
165152	552	1995-07-31	VYDAJ	VYBER	15	18251	SLUZBY	\N	\N
165153	552	1995-08-31	VYDAJ	VYBER	15	19465	SLUZBY	\N	\N
165154	552	1995-09-30	VYDAJ	VYBER	15	18986	SLUZBY	\N	\N
165155	552	1995-10-31	VYDAJ	VYBER	15	20565	SLUZBY	\N	\N
165156	552	1995-11-30	VYDAJ	VYBER	15	19483	SLUZBY	\N	\N
165157	552	1995-12-31	VYDAJ	VYBER	15	16877	SLUZBY	\N	\N
165158	552	1996-01-31	VYDAJ	VYBER	15	13896	SLUZBY	\N	\N
165159	552	1996-02-29	VYDAJ	VYBER	15	13711	SLUZBY	\N	\N
165160	552	1996-03-31	VYDAJ	VYBER	15	16809	SLUZBY	\N	\N
165161	552	1996-04-30	VYDAJ	VYBER	15	19919	SLUZBY	\N	\N
165162	552	1996-05-31	VYDAJ	VYBER	15	21943	SLUZBY	\N	\N
165163	552	1996-06-30	VYDAJ	VYBER	15	22873	SLUZBY	\N	\N
165164	552	1996-07-31	VYDAJ	VYBER	15	23410	SLUZBY	\N	\N
165165	552	1996-08-31	VYDAJ	VYBER	15	24847	SLUZBY	\N	\N
165166	552	1996-09-30	VYDAJ	VYBER	15	22979	SLUZBY	\N	\N
165167	552	1996-10-31	VYDAJ	VYBER	15	17174	SLUZBY	\N	\N
165168	552	1996-11-30	VYDAJ	VYBER	15	20285	SLUZBY	\N	\N
165169	552	1996-12-31	VYDAJ	VYBER	15	18498	SLUZBY	\N	\N
165170	552	1997-01-31	VYDAJ	VYBER	15	14575	SLUZBY	\N	\N
165171	552	1997-02-28	VYDAJ	VYBER	15	17675	SLUZBY	\N	\N
165172	552	1997-03-31	VYDAJ	VYBER	15	19587	SLUZBY	\N	\N
165173	552	1997-04-30	VYDAJ	VYBER	15	22708	SLUZBY	\N	\N
165174	552	1997-05-31	VYDAJ	VYBER	15	25842	SLUZBY	\N	\N
165175	552	1997-06-30	VYDAJ	VYBER	15	23280	SLUZBY	\N	\N
165176	552	1997-07-31	VYDAJ	VYBER	15	22616	SLUZBY	\N	\N
165177	552	1997-08-31	VYDAJ	VYBER	15	18379	SLUZBY	\N	\N
165178	552	1997-09-30	VYDAJ	VYBER	15	21295	SLUZBY	\N	\N
165179	552	1997-10-31	VYDAJ	VYBER	15	21859	SLUZBY	\N	\N
165180	552	1997-11-30	VYDAJ	VYBER	15	23189	SLUZBY	\N	\N
165181	552	1997-12-31	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
165182	552	1998-01-31	VYDAJ	VYBER	15	13439	SLUZBY	\N	\N
165183	552	1998-02-28	VYDAJ	VYBER	15	13951	SLUZBY	\N	\N
165184	552	1998-03-31	VYDAJ	VYBER	15	16148	SLUZBY	\N	\N
165185	552	1998-04-30	VYDAJ	VYBER	15	14951	SLUZBY	\N	\N
165186	552	1998-05-31	VYDAJ	VYBER	15	16751	SLUZBY	\N	\N
165187	552	1998-06-30	VYDAJ	VYBER	15	19860	SLUZBY	\N	\N
165188	552	1998-07-31	VYDAJ	VYBER	15	19374	SLUZBY	\N	\N
165189	552	1998-08-31	VYDAJ	VYBER	15	20591	SLUZBY	\N	\N
165190	552	1998-09-30	VYDAJ	VYBER	15	15703	SLUZBY	\N	\N
165191	552	1998-10-31	VYDAJ	VYBER	15	13400	SLUZBY	\N	\N
165192	552	1998-11-30	VYDAJ	VYBER	15	13691	SLUZBY	\N	\N
165193	552	1994-03-18	VYDAJ	VYBER	100	22218	\N	\N	\N
165194	552	1994-05-17	VYDAJ	VYBER	2400	26072	\N	\N	\N
165195	552	1994-06-16	VYDAJ	VYBER	2900	23354	\N	\N	\N
165196	552	1994-08-15	VYDAJ	VYBER	2600	25824	\N	\N	\N
165197	552	1994-10-14	VYDAJ	VYBER	2300	31508	\N	\N	\N
165198	552	1994-11-13	VYDAJ	VYBER	2000	27054	\N	\N	\N
165199	552	1994-12-13	VYDAJ	VYBER	3100	24684	\N	\N	\N
165200	552	1995-01-12	VYDAJ	VYBER	100	23261	\N	\N	\N
165201	552	1995-04-12	VYDAJ	VYBER	1100	24770	\N	\N	\N
165202	552	1995-05-12	VYDAJ	VYBER	1900	25995	\N	\N	\N
165203	552	1995-06-11	VYDAJ	VYBER	4100	25027	\N	\N	\N
165204	552	1995-07-11	VYDAJ	VYBER	1600	20288	\N	\N	\N
165205	552	1995-08-10	VYDAJ	VYBER	1900	21496	\N	\N	\N
165206	552	1995-09-09	VYDAJ	VYBER	1200	23410	\N	\N	\N
165207	552	1995-10-09	VYDAJ	VYBER	900	23231	\N	\N	\N
165208	552	1995-11-08	VYDAJ	VYBER	3000	22710	\N	\N	\N
165209	552	1995-12-08	VYDAJ	VYBER	2500	22128	\N	\N	\N
165210	552	1996-05-06	VYDAJ	VYBER	1100	18819	\N	\N	\N
165211	552	1996-07-05	VYDAJ	VYBER	200	22673	\N	\N	\N
165212	552	1996-08-04	VYDAJ	VYBER	1700	21710	\N	\N	\N
165213	552	1996-09-03	VYDAJ	VYBER	5000	19847	\N	\N	\N
165214	552	1996-10-03	VYDAJ	VYBER	3800	19179	\N	\N	\N
165215	552	1996-12-02	VYDAJ	VYBER	900	19385	\N	\N	\N
165216	552	1997-07-30	VYDAJ	VYBER	3800	22528	\N	\N	\N
165217	552	1997-08-29	VYDAJ	VYBER	3600	18304	\N	\N	\N
165218	552	1997-09-28	VYDAJ	VYBER	200	21227	\N	\N	\N
165219	552	1997-11-27	VYDAJ	VYBER	1800	23107	\N	\N	\N
165220	552	1997-12-27	VYDAJ	VYBER	6800	18337	\N	\N	\N
165221	552	1998-01-26	VYDAJ	VYBER	1600	13387	\N	\N	\N
165222	552	1998-02-25	VYDAJ	VYBER	900	13907	\N	\N	\N
165223	552	1998-03-27	VYDAJ	VYBER	900	16099	\N	\N	\N
165224	552	1998-04-26	VYDAJ	VYBER	4300	14896	\N	\N	\N
165225	552	1998-05-26	VYDAJ	VYBER	1300	16699	\N	\N	\N
165226	552	1998-08-24	VYDAJ	VYBER	1900	20522	\N	\N	\N
165227	552	1998-09-23	VYDAJ	VYBER	4800	15639	\N	\N	\N
165228	552	1998-10-23	VYDAJ	VYBER	5400	13351	\N	\N	\N
165229	552	1998-11-22	VYDAJ	VYBER	2800	13648	\N	\N	\N
165290	553	1995-06-06	PRIJEM	VKLAD	300	300	\N	\N	\N
165291	553	1995-11-02	PRIJEM	VKLAD	24021	49064	\N	\N	\N
165292	553	1995-07-10	PRIJEM	VKLAD	13671	28274	\N	\N	\N
165293	553	1996-04-13	PRIJEM	VKLAD	37298	69214	\N	\N	\N
165294	553	1996-02-04	PRIJEM	VKLAD	28938	52970	\N	\N	\N
165295	553	1997-06-18	PRIJEM	VKLAD	4660	25105	\N	\N	\N
165296	553	1997-10-28	PRIJEM	VKLAD	28841	54687	\N	\N	\N
165297	553	1998-03-02	PRIJEM	VKLAD	6629	30631	\N	\N	\N
165298	553	1998-06-27	PRIJEM	VKLAD	24084	56432	\N	\N	\N
165304	553	1995-06-13	PRIJEM	VKLAD	200	500	\N	\N	\N
165305	553	1995-07-16	PRIJEM	VKLAD	200	28474	\N	\N	\N
165306	553	1995-08-14	PRIJEM	VKLAD	200	28046	\N	\N	\N
165307	553	1995-09-16	PRIJEM	VKLAD	200	26352	\N	\N	\N
165308	553	1995-10-14	PRIJEM	VKLAD	200	24150	\N	\N	\N
165309	553	1995-11-17	PRIJEM	VKLAD	200	37164	\N	\N	\N
165310	553	1995-12-16	PRIJEM	VKLAD	200	33002	\N	\N	\N
165311	553	1996-01-15	PRIJEM	VKLAD	200	27735	\N	\N	\N
165312	553	1996-02-15	PRIJEM	VKLAD	200	51370	\N	\N	\N
165313	553	1996-03-16	PRIJEM	VKLAD	200	35860	\N	\N	\N
165314	553	1996-04-14	PRIJEM	VKLAD	200	69414	\N	\N	\N
165315	553	1996-05-13	PRIJEM	VKLAD	200	49136	\N	\N	\N
165316	553	1996-06-14	PRIJEM	VKLAD	200	38460	\N	\N	\N
165317	553	1996-07-14	PRIJEM	VKLAD	200	18879	\N	\N	\N
165318	553	1996-08-17	PRIJEM	VKLAD	200	18590	\N	\N	\N
165319	553	1996-09-13	PRIJEM	VKLAD	200	17853	\N	\N	\N
165320	553	1996-10-17	PRIJEM	VKLAD	200	20314	\N	\N	\N
165321	553	1996-11-16	PRIJEM	VKLAD	200	22585	\N	\N	\N
165322	553	1996-12-14	PRIJEM	VKLAD	200	25266	\N	\N	\N
165323	553	1997-01-17	PRIJEM	VKLAD	200	24356	\N	\N	\N
165324	553	1997-02-17	PRIJEM	VKLAD	200	20636	\N	\N	\N
165325	553	1997-03-14	PRIJEM	VKLAD	200	22509	\N	\N	\N
165326	553	1997-04-17	PRIJEM	VKLAD	200	24190	\N	\N	\N
165327	553	1997-05-14	PRIJEM	VKLAD	200	20574	\N	\N	\N
165328	553	1997-06-17	PRIJEM	VKLAD	200	19645	\N	\N	\N
165329	553	1997-07-15	PRIJEM	VKLAD	200	25779	\N	\N	\N
165330	553	1997-08-13	PRIJEM	VKLAD	200	25472	\N	\N	\N
165331	553	1997-09-16	PRIJEM	VKLAD	200	23561	\N	\N	\N
165332	553	1997-10-16	PRIJEM	VKLAD	200	25246	\N	\N	\N
165333	553	1997-11-13	PRIJEM	VKLAD	200	53794	\N	\N	\N
165334	553	1997-12-17	PRIJEM	VKLAD	200	39889	\N	\N	\N
165335	553	1998-01-16	PRIJEM	VKLAD	200	23635	\N	\N	\N
165336	553	1998-02-17	PRIJEM	VKLAD	200	19230	\N	\N	\N
165337	553	1998-03-13	PRIJEM	VKLAD	200	30831	\N	\N	\N
165338	553	1998-04-16	PRIJEM	VKLAD	200	30033	\N	\N	\N
165339	553	1998-05-17	PRIJEM	VKLAD	200	28441	\N	\N	\N
165340	553	1998-06-13	PRIJEM	VKLAD	200	27048	\N	\N	\N
165341	553	1998-07-14	PRIJEM	VKLAD	200	33952	\N	\N	\N
165342	553	1998-08-16	PRIJEM	VKLAD	200	33979	\N	\N	\N
165343	553	1998-09-13	PRIJEM	VKLAD	200	34205	\N	\N	\N
165344	553	1998-10-13	PRIJEM	VKLAD	200	35435	\N	\N	\N
165345	553	1998-11-13	PRIJEM	VKLAD	200	42380	\N	\N	\N
165346	553	1998-12-14	PRIJEM	VKLAD	200	41143	\N	\N	\N
165352	553	1995-06-18	PRIJEM	VKLAD	800	1300	\N	\N	\N
165353	553	1995-07-18	PRIJEM	VKLAD	800	29274	\N	\N	\N
165354	553	1995-08-18	PRIJEM	VKLAD	800	28846	\N	\N	\N
165355	553	1995-09-18	PRIJEM	VKLAD	800	27152	\N	\N	\N
165356	553	1995-10-18	PRIJEM	VKLAD	800	24950	\N	\N	\N
165357	553	1995-11-18	PRIJEM	VKLAD	800	37964	\N	\N	\N
165358	553	1995-12-18	PRIJEM	VKLAD	800	33802	\N	\N	\N
165359	553	1996-01-18	PRIJEM	VKLAD	800	27385	\N	\N	\N
165360	553	1996-02-18	PRIJEM	VKLAD	800	52170	\N	\N	\N
165361	553	1996-03-18	PRIJEM	VKLAD	800	36660	\N	\N	\N
165362	553	1996-04-18	PRIJEM	VKLAD	800	70214	\N	\N	\N
165363	553	1996-05-18	PRIJEM	VKLAD	800	49936	\N	\N	\N
165364	553	1996-06-18	PRIJEM	VKLAD	800	27860	\N	\N	\N
165365	553	1996-07-18	PRIJEM	VKLAD	800	17729	\N	\N	\N
165366	553	1996-08-18	PRIJEM	VKLAD	800	19390	\N	\N	\N
165367	553	1996-09-18	PRIJEM	VKLAD	800	18653	\N	\N	\N
165368	553	1996-10-18	PRIJEM	VKLAD	800	21114	\N	\N	\N
165369	553	1996-11-18	PRIJEM	VKLAD	800	23385	\N	\N	\N
165370	553	1996-12-18	PRIJEM	VKLAD	800	25766	\N	\N	\N
165371	553	1997-01-18	PRIJEM	VKLAD	800	25156	\N	\N	\N
165372	553	1997-02-18	PRIJEM	VKLAD	800	21436	\N	\N	\N
165373	553	1997-03-18	PRIJEM	VKLAD	800	23309	\N	\N	\N
165374	553	1997-04-18	PRIJEM	VKLAD	800	24990	\N	\N	\N
165375	553	1997-05-18	PRIJEM	VKLAD	800	21374	\N	\N	\N
165376	553	1997-06-18	PRIJEM	VKLAD	800	20445	\N	\N	\N
165377	553	1997-07-18	PRIJEM	VKLAD	800	26579	\N	\N	\N
165378	553	1997-08-18	PRIJEM	VKLAD	800	26272	\N	\N	\N
165379	553	1997-09-18	PRIJEM	VKLAD	800	24361	\N	\N	\N
165380	553	1997-10-18	PRIJEM	VKLAD	800	26046	\N	\N	\N
165381	553	1997-11-18	PRIJEM	VKLAD	800	54594	\N	\N	\N
165382	553	1997-12-18	PRIJEM	VKLAD	800	40689	\N	\N	\N
165383	553	1998-01-18	PRIJEM	VKLAD	800	23535	\N	\N	\N
165384	553	1998-02-18	PRIJEM	VKLAD	800	20030	\N	\N	\N
165385	553	1998-03-18	PRIJEM	VKLAD	800	31631	\N	\N	\N
165386	553	1998-04-18	PRIJEM	VKLAD	800	30833	\N	\N	\N
165387	553	1998-05-18	PRIJEM	VKLAD	800	29241	\N	\N	\N
165388	553	1998-06-18	PRIJEM	VKLAD	800	27848	\N	\N	\N
165389	553	1998-07-18	PRIJEM	VKLAD	800	34752	\N	\N	\N
165390	553	1998-08-18	PRIJEM	VKLAD	800	34779	\N	\N	\N
165391	553	1998-09-18	PRIJEM	VKLAD	800	36705	\N	\N	\N
165392	553	1998-10-18	PRIJEM	VKLAD	800	42035	\N	\N	\N
165393	553	1998-11-18	PRIJEM	VKLAD	800	43180	\N	\N	\N
165394	553	1998-12-18	PRIJEM	VKLAD	800	42543	\N	\N	\N
165396	553	1996-06-29	VYDAJ	VYBER	9000	17560	\N	\N	\N
165398	553	1998-06-10	VYDAJ	VYBER KARTOU	3600	26848	\N	\N	0
165400	553	1996-01-26	VYDAJ	VYBER	4100	20935	\N	\N	\N
165401	553	1997-01-20	VYDAJ	VYBER	6100	19056	\N	\N	\N
165402	553	1998-01-11	VYDAJ	VYBER	8600	23435	\N	\N	\N
165404	553	1996-06-16	VYDAJ	VYBER	11400	27060	\N	\N	\N
165406	553	1998-06-29	VYDAJ	VYBER	22400	34032	\N	\N	\N
165409	553	1997-01-24	VYDAJ	VYBER KARTOU	1400	16456	\N	\N	0
165410	553	1998-01-19	VYDAJ	VYBER KARTOU	3000	20535	\N	\N	0
165411	553	1995-12-27	VYDAJ	VYBER	1800	31202	\N	\N	\N
165412	553	1996-12-19	VYDAJ	VYBER KARTOU	1100	24666	\N	\N	0
165413	553	1997-12-11	VYDAJ	VYBER KARTOU	800	39689	\N	\N	0
165414	553	1998-12-23	VYDAJ	VYBER KARTOU	1100	41443	\N	\N	0
165421	553	1996-01-15	VYDAJ	VYBER	1150	26585	\N	\N	\N
165422	553	1996-01-29	VYDAJ	VYBER	1100	19835	\N	\N	\N
165423	553	1996-01-19	VYDAJ	VYBER	1400	25985	\N	\N	\N
165424	553	1996-01-26	VYDAJ	VYBER	950	25035	\N	\N	\N
165425	553	1996-01-06	VYDAJ	VYBER	250	27535	\N	\N	\N
165426	553	1996-01-06	VYDAJ	VYBER	1150	27785	\N	\N	\N
165427	553	1997-01-28	VYDAJ	VYBER KARTOU	1400	20356	\N	\N	0
165428	553	1997-01-26	VYDAJ	VYBER KARTOU	500	21756	\N	\N	0
165429	553	1997-01-06	VYDAJ	VYBER KARTOU	1200	24156	\N	\N	0
165430	553	1997-01-01	VYDAJ	VYBER KARTOU	700	25356	\N	\N	0
165431	553	1997-01-25	VYDAJ	VYBER KARTOU	1200	15256	\N	\N	0
165432	553	1997-01-24	VYDAJ	VYBER KARTOU	1200	17856	\N	\N	0
165433	553	1998-01-16	VYDAJ	VYBER KARTOU	900	22735	\N	\N	0
165434	553	1998-01-27	VYDAJ	VYBER KARTOU	1400	22535	\N	\N	0
165435	553	1998-01-01	VYDAJ	VYBER KARTOU	1100	33435	\N	\N	0
165436	553	1998-01-25	VYDAJ	VYBER KARTOU	1100	23935	\N	\N	0
165437	553	1998-01-04	VYDAJ	VYBER KARTOU	900	32535	\N	\N	0
165438	553	1998-01-06	VYDAJ	VYBER KARTOU	500	32035	\N	\N	0
165440	553	1995-09-06	VYDAJ	VYBER	1000	26152	\N	\N	\N
165441	553	1995-12-18	VYDAJ	VYBER	800	33002	\N	\N	\N
165446	553	1996-06-21	VYDAJ	VYBER	1300	26560	\N	\N	\N
165447	553	1996-10-28	VYDAJ	VYBER KARTOU	1000	22314	\N	\N	0
165448	553	1996-10-22	VYDAJ	VYBER KARTOU	500	20614	\N	\N	0
165449	553	1996-07-17	VYDAJ	VYBER	1950	16929	\N	\N	\N
165450	553	1996-03-10	VYDAJ	VYBER	1700	35660	\N	\N	\N
165451	553	1996-02-14	VYDAJ	VYBER	1800	51170	\N	\N	\N
165452	553	1996-12-17	VYDAJ	VYBER KARTOU	300	24966	\N	\N	0
165453	553	1997-06-11	VYDAJ	VYBER KARTOU	1000	19445	\N	\N	0
165454	553	1997-08-22	VYDAJ	VYBER KARTOU	1200	25072	\N	\N	0
165455	553	1997-11-12	VYDAJ	VYBER KARTOU	1200	53594	\N	\N	0
165456	553	1998-01-31	VYDAJ	VYBER KARTOU	1900	19044	\N	\N	0
165457	553	1998-12-07	VYDAJ	VYBER KARTOU	2400	40943	\N	\N	0
165458	553	1998-01-29	VYDAJ	VYBER KARTOU	1700	20835	\N	\N	0
165459	553	1998-07-07	VYDAJ	VYBER KARTOU	400	33752	\N	\N	0
165460	553	1998-09-22	VYDAJ	VYBER KARTOU	1600	35105	\N	\N	0
165461	553	1998-03-25	VYDAJ	VYBER KARTOU	300	29731	\N	\N	0
165469	553	1995-07-31	VYDAJ	VYBER	15	29346	SLUZBY	\N	\N
165470	553	1995-08-31	VYDAJ	VYBER	15	28952	SLUZBY	\N	\N
165471	553	1995-09-30	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
165472	553	1995-10-31	VYDAJ	VYBER	15	25043	SLUZBY	\N	\N
165473	553	1995-11-30	VYDAJ	VYBER	15	38102	SLUZBY	\N	\N
165474	553	1995-12-31	VYDAJ	VYBER	15	31335	SLUZBY	\N	\N
165475	553	1996-01-31	VYDAJ	VYBER	15	19932	SLUZBY	\N	\N
165476	553	1996-02-29	VYDAJ	VYBER	15	52360	SLUZBY	\N	\N
165477	553	1996-03-31	VYDAJ	VYBER	15	36816	SLUZBY	\N	\N
165478	553	1996-04-30	VYDAJ	VYBER	15	70436	SLUZBY	\N	\N
165479	553	1996-05-31	VYDAJ	VYBER	15	50160	SLUZBY	\N	\N
165480	553	1996-06-30	VYDAJ	VYBER	15	18679	SLUZBY	\N	\N
165481	553	1996-07-31	VYDAJ	VYBER	15	18390	SLUZBY	\N	\N
165482	553	1996-08-31	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
165483	553	1996-09-30	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
165484	553	1996-10-31	VYDAJ	VYBER	15	22385	SLUZBY	\N	\N
165485	553	1996-11-30	VYDAJ	VYBER	15	25066	SLUZBY	\N	\N
165486	553	1996-12-31	VYDAJ	VYBER	15	26056	SLUZBY	\N	\N
165487	553	1997-01-31	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
165488	553	1997-02-28	VYDAJ	VYBER	15	22309	SLUZBY	\N	\N
165489	553	1997-03-31	VYDAJ	VYBER	15	23990	SLUZBY	\N	\N
165490	553	1997-04-30	VYDAJ	VYBER	15	20374	SLUZBY	\N	\N
165491	553	1997-05-31	VYDAJ	VYBER	15	20445	SLUZBY	\N	\N
165492	553	1997-06-30	VYDAJ	VYBER	15	25579	SLUZBY	\N	\N
165493	553	1997-07-31	VYDAJ	VYBER	15	25272	SLUZBY	\N	\N
165494	553	1997-08-31	VYDAJ	VYBER	15	23361	SLUZBY	\N	\N
165495	553	1997-09-30	VYDAJ	VYBER	15	25046	SLUZBY	\N	\N
165496	553	1997-10-31	VYDAJ	VYBER	15	54794	SLUZBY	\N	\N
165497	553	1997-11-30	VYDAJ	VYBER	15	40489	SLUZBY	\N	\N
165498	553	1997-12-31	VYDAJ	VYBER	15	34535	SLUZBY	\N	\N
165499	553	1998-01-31	VYDAJ	VYBER	15	19030	SLUZBY	\N	\N
165500	553	1998-02-28	VYDAJ	VYBER	15	24002	SLUZBY	\N	\N
165501	553	1998-03-31	VYDAJ	VYBER	15	29833	SLUZBY	\N	\N
165502	553	1998-04-30	VYDAJ	VYBER	15	28241	SLUZBY	\N	\N
165503	553	1998-05-31	VYDAJ	VYBER	15	30448	SLUZBY	\N	\N
165504	553	1998-06-30	VYDAJ	VYBER	15	34152	SLUZBY	\N	\N
165505	553	1998-07-31	VYDAJ	VYBER	15	33779	SLUZBY	\N	\N
165506	553	1998-08-31	VYDAJ	VYBER	15	34005	SLUZBY	\N	\N
165507	553	1998-09-30	VYDAJ	VYBER	15	35235	SLUZBY	\N	\N
165508	553	1998-10-31	VYDAJ	VYBER	15	42180	SLUZBY	\N	\N
165509	553	1998-11-30	VYDAJ	VYBER	15	43343	SLUZBY	\N	\N
165510	553	1995-07-06	PRIJEM	VKLAD	13300	14603	\N	\N	\N
165511	553	1995-08-05	VYDAJ	VYBER	1500	27846	\N	\N	\N
165512	553	1995-09-04	VYDAJ	VYBER	1800	27152	\N	\N	\N
165513	553	1995-10-04	VYDAJ	VYBER	3300	23950	\N	\N	\N
165514	553	1995-11-03	VYDAJ	VYBER	12100	36964	\N	\N	\N
165515	553	1995-12-03	VYDAJ	VYBER	5300	32802	\N	\N	\N
165516	553	1996-01-02	VYDAJ	VYBER	2400	28935	\N	\N	\N
165517	553	1996-02-01	PRIJEM	VKLAD	4100	24032	\N	\N	\N
165518	553	1996-03-02	VYDAJ	VYBER	15000	37360	\N	\N	\N
165519	553	1996-04-01	VYDAJ	VYBER	4900	31916	\N	\N	\N
165520	553	1996-05-01	VYDAJ	VYBER	21500	48936	\N	\N	\N
165521	553	1996-05-31	VYDAJ	VYBER	11900	38260	\N	\N	\N
165522	553	1996-06-30	PRIJEM	VKLAD	1000	18693	\N	\N	\N
165523	553	1996-07-30	PRIJEM	VKLAD	600	18329	\N	\N	\N
165524	553	1996-08-29	VYDAJ	VYBER KARTOU	1800	17590	\N	\N	0
165525	553	1996-09-28	PRIJEM	VKLAD	1400	20053	\N	\N	\N
165526	553	1996-10-28	PRIJEM	VKLAD	2700	23314	\N	\N	\N
165527	553	1996-11-27	PRIJEM	VKLAD	1600	24985	\N	\N	\N
165528	553	1996-12-27	PRIJEM	VKLAD	1300	25966	\N	\N	\N
165529	553	1997-01-26	PRIJEM	VKLAD	7000	22256	\N	\N	\N
165530	553	1997-02-25	PRIJEM	VKLAD	800	22236	\N	\N	\N
165531	553	1997-03-27	PRIJEM	VKLAD	600	23909	\N	\N	\N
165532	553	1997-04-26	VYDAJ	VYBER	4700	20290	\N	\N	\N
165533	553	1997-05-26	VYDAJ	VYBER KARTOU	1000	20374	\N	\N	0
165534	553	1997-06-25	PRIJEM	VKLAD	400	25505	\N	\N	\N
165535	553	1997-07-25	VYDAJ	VYBER KARTOU	1400	25179	\N	\N	0
165536	553	1997-08-24	VYDAJ	VYBER KARTOU	1800	23272	\N	\N	0
165537	553	1997-09-23	PRIJEM	VKLAD	600	24961	\N	\N	\N
165538	553	1997-10-23	VYDAJ	VYBER KARTOU	200	25846	\N	\N	0
165539	553	1997-11-22	VYDAJ	VYBER	14300	40294	\N	\N	\N
165540	553	1997-12-22	VYDAJ	VYBER	6300	34389	\N	\N	\N
165541	553	1998-01-21	PRIJEM	VKLAD	4500	25035	\N	\N	\N
165542	553	1998-02-20	PRIJEM	VKLAD	3900	23930	\N	\N	\N
165543	553	1998-03-22	VYDAJ	VYBER KARTOU	1600	30031	\N	\N	0
165544	553	1998-04-21	VYDAJ	VYBER KARTOU	2700	28133	\N	\N	0
165545	553	1998-05-21	PRIJEM	VKLAD	1100	30341	\N	\N	\N
165546	553	1998-06-20	PRIJEM	VKLAD	4500	32348	\N	\N	\N
165547	553	1998-07-20	VYDAJ	VYBER KARTOU	1100	33652	\N	\N	0
165548	553	1998-08-19	VYDAJ	VYBER KARTOU	900	33879	\N	\N	0
165549	553	1998-09-18	PRIJEM	VKLAD	1700	35905	\N	\N	\N
165550	553	1998-10-18	PRIJEM	VKLAD	5800	41235	\N	\N	\N
165551	553	1998-12-17	PRIJEM	VKLAD	600	41743	\N	\N	\N
165595	554	1996-01-26	PRIJEM	VKLAD	800	800	\N	\N	\N
165596	554	1996-12-16	PRIJEM	VKLAD	28644	60215	\N	\N	\N
165597	554	1996-03-21	PRIJEM	VKLAD	4688	18600	\N	\N	\N
165598	554	1997-06-28	PRIJEM	VKLAD	5140	35630	\N	\N	\N
165599	554	1997-08-24	PRIJEM	VKLAD	9736	41728	\N	\N	\N
165600	554	1998-04-13	PRIJEM	VKLAD	31848	70035	\N	\N	\N
165601	554	1998-06-09	PRIJEM	VKLAD	33568	81674	\N	\N	\N
165603	554	1996-02-17	PRIJEM	VKLAD	900	1700	\N	\N	\N
165604	554	1996-03-17	PRIJEM	VKLAD	900	12312	\N	\N	\N
165605	554	1996-04-16	PRIJEM	VKLAD	900	21245	\N	\N	\N
165606	554	1996-05-16	PRIJEM	VKLAD	900	23220	\N	\N	\N
165607	554	1996-06-13	PRIJEM	VKLAD	900	23200	\N	\N	\N
165608	554	1996-07-13	PRIJEM	VKLAD	900	17230	\N	\N	\N
165609	554	1996-08-13	PRIJEM	VKLAD	900	24599	\N	\N	\N
165610	554	1996-09-17	PRIJEM	VKLAD	900	28289	\N	\N	\N
165611	554	1996-10-16	PRIJEM	VKLAD	900	29391	\N	\N	\N
165612	554	1996-11-17	PRIJEM	VKLAD	900	32051	\N	\N	\N
165613	554	1996-12-14	PRIJEM	VKLAD	900	31571	\N	\N	\N
165614	554	1997-01-14	PRIJEM	VKLAD	900	42824	\N	\N	\N
165615	554	1997-02-17	PRIJEM	VKLAD	900	35578	\N	\N	\N
165616	554	1997-03-16	PRIJEM	VKLAD	900	36061	\N	\N	\N
165617	554	1997-04-13	PRIJEM	VKLAD	900	38403	\N	\N	\N
165618	554	1997-05-15	PRIJEM	VKLAD	900	38247	\N	\N	\N
165619	554	1997-06-15	PRIJEM	VKLAD	900	32490	\N	\N	\N
165620	554	1997-07-17	PRIJEM	VKLAD	900	36662	\N	\N	\N
165621	554	1997-08-13	PRIJEM	VKLAD	900	33792	\N	\N	\N
165622	554	1997-09-16	PRIJEM	VKLAD	900	42761	\N	\N	\N
165623	554	1997-10-17	PRIJEM	VKLAD	900	39013	\N	\N	\N
165624	554	1997-11-13	PRIJEM	VKLAD	900	35449	\N	\N	\N
165625	554	1997-12-16	PRIJEM	VKLAD	900	33874	\N	\N	\N
165626	554	1998-01-13	PRIJEM	VKLAD	900	33804	\N	\N	\N
165627	554	1998-02-16	PRIJEM	VKLAD	900	35428	\N	\N	\N
165628	554	1998-03-16	PRIJEM	VKLAD	900	38045	\N	\N	\N
165629	554	1998-04-17	PRIJEM	VKLAD	900	51435	\N	\N	\N
165630	554	1998-05-13	PRIJEM	VKLAD	900	54112	\N	\N	\N
165631	554	1998-06-13	PRIJEM	VKLAD	900	82574	\N	\N	\N
165632	554	1998-07-15	PRIJEM	VKLAD	900	37071	\N	\N	\N
165633	554	1998-08-14	PRIJEM	VKLAD	900	35615	\N	\N	\N
165634	554	1998-09-17	PRIJEM	VKLAD	900	34357	\N	\N	\N
165635	554	1998-10-15	PRIJEM	VKLAD	900	32595	\N	\N	\N
165636	554	1998-11-16	PRIJEM	VKLAD	900	32125	\N	\N	\N
165637	554	1998-12-17	PRIJEM	VKLAD	900	23652	\N	\N	\N
165639	554	1996-02-18	PRIJEM	VKLAD	1600	3300	\N	\N	\N
165640	554	1996-03-18	PRIJEM	VKLAD	1600	13912	\N	\N	\N
165641	554	1996-04-18	PRIJEM	VKLAD	1600	22845	\N	\N	\N
165642	554	1996-05-18	PRIJEM	VKLAD	1600	24820	\N	\N	\N
165643	554	1996-06-18	PRIJEM	VKLAD	1600	24800	\N	\N	\N
165644	554	1996-07-18	PRIJEM	VKLAD	1600	18830	\N	\N	\N
165645	554	1996-08-18	PRIJEM	VKLAD	1600	26199	\N	\N	\N
165646	554	1996-09-18	PRIJEM	VKLAD	1600	29889	\N	\N	\N
165647	554	1996-10-18	PRIJEM	VKLAD	1600	30991	\N	\N	\N
165648	554	1996-11-18	PRIJEM	VKLAD	1600	33651	\N	\N	\N
165649	554	1996-12-18	PRIJEM	VKLAD	1600	61815	\N	\N	\N
165650	554	1997-01-18	PRIJEM	VKLAD	1600	44424	\N	\N	\N
165651	554	1997-02-18	PRIJEM	VKLAD	1600	37178	\N	\N	\N
165652	554	1997-03-18	PRIJEM	VKLAD	1600	37661	\N	\N	\N
165653	554	1997-04-18	PRIJEM	VKLAD	1600	40003	\N	\N	\N
165654	554	1997-05-18	PRIJEM	VKLAD	1600	39847	\N	\N	\N
165655	554	1997-06-18	PRIJEM	VKLAD	1600	34090	\N	\N	\N
165656	554	1997-07-18	PRIJEM	VKLAD	1600	38262	\N	\N	\N
165657	554	1997-08-18	PRIJEM	VKLAD	1600	35392	\N	\N	\N
165658	554	1997-09-18	PRIJEM	VKLAD	1600	37961	\N	\N	\N
165659	554	1997-10-18	PRIJEM	VKLAD	1600	34413	\N	\N	\N
165660	554	1997-11-18	PRIJEM	VKLAD	1600	32849	\N	\N	\N
165661	554	1997-12-18	PRIJEM	VKLAD	1600	37274	\N	\N	\N
165662	554	1998-01-18	PRIJEM	VKLAD	1600	35304	\N	\N	\N
165663	554	1998-02-18	PRIJEM	VKLAD	1600	37028	\N	\N	\N
165664	554	1998-03-18	PRIJEM	VKLAD	1600	38045	\N	\N	\N
165665	554	1998-04-18	PRIJEM	VKLAD	1600	53035	\N	\N	\N
165666	554	1998-05-18	PRIJEM	VKLAD	1600	47912	\N	\N	\N
165667	554	1998-06-18	PRIJEM	VKLAD	1600	62074	\N	\N	\N
165668	554	1998-07-18	PRIJEM	VKLAD	1600	38671	\N	\N	\N
165669	554	1998-08-18	PRIJEM	VKLAD	1600	37215	\N	\N	\N
165670	554	1998-09-18	PRIJEM	VKLAD	1600	35957	\N	\N	\N
165671	554	1998-10-18	PRIJEM	VKLAD	1600	34195	\N	\N	\N
165672	554	1998-11-18	PRIJEM	VKLAD	1600	33725	\N	\N	\N
165673	554	1998-12-18	PRIJEM	VKLAD	1600	25252	\N	\N	\N
165676	554	1998-06-23	VYDAJ	VYBER	17000	45074	\N	\N	\N
165678	554	1997-01-09	VYDAJ	VYBER	2000	42574	\N	\N	\N
165679	554	1998-01-30	VYDAJ	VYBER	5700	26704	\N	\N	\N
165681	554	1997-06-01	VYDAJ	VYBER	7300	31590	\N	\N	\N
165682	554	1998-06-24	VYDAJ	VYBER	7200	37874	\N	\N	\N
165683	554	1996-12-05	VYDAJ	VYBER	2000	30671	\N	\N	\N
165684	554	1997-12-27	VYDAJ	VYBER KARTOU	1800	35474	\N	\N	0
165685	554	1998-12-23	VYDAJ	VYBER KARTOU	700	24552	\N	\N	0
165692	554	1997-01-21	VYDAJ	VYBER	350	35224	\N	\N	\N
165693	554	1997-01-01	VYDAJ	VYBER	700	45274	\N	\N	\N
165694	554	1997-01-04	VYDAJ	VYBER	700	44574	\N	\N	\N
165695	554	1997-01-13	VYDAJ	VYBER	650	41924	\N	\N	\N
165696	554	1997-01-23	VYDAJ	VYBER	700	34524	\N	\N	\N
165697	554	1997-01-20	VYDAJ	VYBER	1150	43274	\N	\N	\N
165698	554	1998-01-20	VYDAJ	VYBER KARTOU	1400	32904	\N	\N	0
165699	554	1998-01-06	VYDAJ	VYBER KARTOU	1100	33704	\N	\N	0
165700	554	1998-01-05	VYDAJ	VYBER KARTOU	800	34804	\N	\N	0
165701	554	1998-01-11	VYDAJ	VYBER KARTOU	800	32904	\N	\N	0
165702	554	1998-01-19	VYDAJ	VYBER KARTOU	1000	34304	\N	\N	0
165703	554	1998-01-24	VYDAJ	VYBER KARTOU	500	32404	\N	\N	0
165704	554	1996-11-03	VYDAJ	VYBER	550	31151	\N	\N	\N
165705	554	1996-07-10	VYDAJ	VYBER	2450	16330	\N	\N	\N
165706	554	1996-07-08	VYDAJ	VYBER	2400	18780	\N	\N	\N
165707	554	1996-08-22	VYDAJ	VYBER	1300	24899	\N	\N	\N
165709	554	1997-04-02	VYDAJ	VYBER	700	37503	\N	\N	\N
165710	554	1997-03-08	VYDAJ	VYBER	2050	35161	\N	\N	\N
165711	554	1998-12-12	VYDAJ	VYBER KARTOU	1200	22752	\N	\N	0
165712	554	1998-01-16	VYDAJ	VYBER KARTOU	900	33704	\N	\N	0
165713	554	1998-07-04	VYDAJ	VYBER KARTOU	2200	35871	\N	\N	0
165717	554	1996-03-31	VYDAJ	VYBER	15	20345	SLUZBY	\N	\N
165718	554	1996-04-30	VYDAJ	VYBER	15	22320	SLUZBY	\N	\N
165719	554	1996-05-31	VYDAJ	VYBER	15	22300	SLUZBY	\N	\N
165720	554	1996-06-30	VYDAJ	VYBER	15	21180	SLUZBY	\N	\N
165721	554	1996-07-31	VYDAJ	VYBER	15	23699	SLUZBY	\N	\N
165722	554	1996-08-31	VYDAJ	VYBER	15	27389	SLUZBY	\N	\N
165723	554	1996-09-30	VYDAJ	VYBER	15	28491	SLUZBY	\N	\N
165724	554	1996-10-31	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
165725	554	1996-11-30	VYDAJ	VYBER	15	32671	SLUZBY	\N	\N
165726	554	1996-12-31	VYDAJ	VYBER	15	45974	SLUZBY	\N	\N
165727	554	1997-01-31	VYDAJ	VYBER	15	34678	SLUZBY	\N	\N
165728	554	1997-02-28	VYDAJ	VYBER	15	37211	SLUZBY	\N	\N
165729	554	1997-03-31	VYDAJ	VYBER	15	38203	SLUZBY	\N	\N
165730	554	1997-04-30	VYDAJ	VYBER	15	37347	SLUZBY	\N	\N
165731	554	1997-05-31	VYDAJ	VYBER	15	38890	SLUZBY	\N	\N
165732	554	1997-06-30	VYDAJ	VYBER	15	35762	SLUZBY	\N	\N
165733	554	1997-07-31	VYDAJ	VYBER	15	32892	SLUZBY	\N	\N
165734	554	1997-08-31	VYDAJ	VYBER	15	41861	SLUZBY	\N	\N
165735	554	1997-09-30	VYDAJ	VYBER	15	38113	SLUZBY	\N	\N
165736	554	1997-10-31	VYDAJ	VYBER	15	34549	SLUZBY	\N	\N
165737	554	1997-11-30	VYDAJ	VYBER	15	32974	SLUZBY	\N	\N
165738	554	1997-12-31	VYDAJ	VYBER	15	35604	SLUZBY	\N	\N
165739	554	1998-01-31	VYDAJ	VYBER	15	26828	SLUZBY	\N	\N
165740	554	1998-02-28	VYDAJ	VYBER	15	37145	SLUZBY	\N	\N
165741	554	1998-03-31	VYDAJ	VYBER	15	38187	SLUZBY	\N	\N
165742	554	1998-04-30	VYDAJ	VYBER	15	53212	SLUZBY	\N	\N
165743	554	1998-05-31	VYDAJ	VYBER	15	48106	SLUZBY	\N	\N
165744	554	1998-06-30	VYDAJ	VYBER	15	38071	SLUZBY	\N	\N
165745	554	1998-07-31	VYDAJ	VYBER	15	38815	SLUZBY	\N	\N
165746	554	1998-08-31	VYDAJ	VYBER	15	37357	SLUZBY	\N	\N
165747	554	1998-09-30	VYDAJ	VYBER	15	36095	SLUZBY	\N	\N
165748	554	1998-10-31	VYDAJ	VYBER	15	34325	SLUZBY	\N	\N
165749	554	1998-11-30	VYDAJ	VYBER	15	33852	SLUZBY	\N	\N
165750	554	1996-02-25	PRIJEM	VKLAD	8100	11400	\N	\N	\N
165751	554	1996-03-26	PRIJEM	VKLAD	1700	20300	\N	\N	\N
165752	554	1996-04-25	VYDAJ	VYBER	600	22245	\N	\N	\N
165753	554	1996-05-25	VYDAJ	VYBER	2600	22220	\N	\N	\N
165754	554	1996-06-24	VYDAJ	VYBER	3700	21100	\N	\N	\N
165755	554	1996-07-24	PRIJEM	VKLAD	4800	23630	\N	\N	\N
165756	554	1996-08-23	PRIJEM	VKLAD	2400	27299	\N	\N	\N
165757	554	1996-09-22	VYDAJ	VYBER	1500	28389	\N	\N	\N
165758	554	1996-10-22	PRIJEM	VKLAD	600	31591	\N	\N	\N
165759	554	1996-11-21	VYDAJ	VYBER	1100	32551	\N	\N	\N
165760	554	1996-12-21	VYDAJ	VYBER	16000	45815	\N	\N	\N
165761	554	1997-01-20	VYDAJ	VYBER	7700	35574	\N	\N	\N
165762	554	1997-02-19	VYDAJ	VYBER	100	37078	\N	\N	\N
165763	554	1997-03-21	PRIJEM	VKLAD	400	38061	\N	\N	\N
165764	554	1997-04-20	VYDAJ	VYBER	2800	37203	\N	\N	\N
165765	554	1997-05-20	VYDAJ	VYBER	1100	38747	\N	\N	\N
165766	554	1997-06-19	VYDAJ	VYBER	3600	30490	\N	\N	\N
165767	554	1997-07-19	VYDAJ	VYBER	5500	32762	\N	\N	\N
165768	554	1997-08-18	VYDAJ	VYBER KARTOU	3400	31992	\N	\N	0
165769	554	1997-09-17	VYDAJ	VYBER	6400	36361	\N	\N	\N
165770	554	1997-10-17	VYDAJ	VYBER	6200	32813	\N	\N	\N
165771	554	1997-11-16	VYDAJ	VYBER	4200	31249	\N	\N	\N
165772	554	1997-12-16	PRIJEM	VKLAD	1800	35674	\N	\N	\N
165773	554	1998-01-15	PRIJEM	VKLAD	800	34604	\N	\N	\N
165774	554	1998-02-14	PRIJEM	VKLAD	7700	34528	\N	\N	\N
165775	554	1998-03-16	VYDAJ	VYBER KARTOU	1600	36445	\N	\N	0
165776	554	1998-04-15	VYDAJ	VYBER	19500	50535	\N	\N	\N
165777	554	1998-05-15	VYDAJ	VYBER	7800	46312	\N	\N	\N
165778	554	1998-06-14	VYDAJ	VYBER	22100	60474	\N	\N	\N
165779	554	1998-07-14	PRIJEM	VKLAD	300	36171	\N	\N	\N
165780	554	1998-08-13	VYDAJ	VYBER	4100	34715	\N	\N	\N
165781	554	1998-09-12	VYDAJ	VYBER KARTOU	3900	33457	\N	\N	0
165782	554	1998-10-12	VYDAJ	VYBER	4400	31695	\N	\N	\N
165783	554	1998-11-11	VYDAJ	VYBER KARTOU	3100	31225	\N	\N	0
165784	554	1998-12-11	VYDAJ	VYBER	9900	23952	\N	\N	\N
165820	555	1993-05-15	PRIJEM	VKLAD	300	300	\N	\N	\N
165826	555	1993-06-11	PRIJEM	VKLAD	34002	34302	\N	\N	\N
165827	555	1993-07-11	PRIJEM	VKLAD	22668	51839	\N	\N	\N
165828	555	1993-08-11	PRIJEM	VKLAD	22668	63356	\N	\N	\N
165829	555	1993-09-11	PRIJEM	VKLAD	22668	67403	\N	\N	\N
165830	555	1993-10-11	PRIJEM	VKLAD	22668	67958	\N	\N	\N
165831	555	1993-11-11	PRIJEM	VKLAD	22668	62137	\N	\N	\N
165832	555	1993-12-11	PRIJEM	VKLAD	34002	67934	\N	\N	\N
165833	555	1994-01-11	PRIJEM	VKLAD	22668	51597	\N	\N	\N
165834	555	1994-02-11	PRIJEM	VKLAD	22668	50563	\N	\N	\N
165835	555	1994-03-11	PRIJEM	VKLAD	22668	65637	\N	\N	\N
165836	555	1994-04-11	PRIJEM	VKLAD	22668	50618	\N	\N	\N
165837	555	1994-05-11	PRIJEM	VKLAD	22668	55202	\N	\N	\N
165838	555	1994-06-11	PRIJEM	VKLAD	34002	71341	\N	\N	\N
165839	555	1994-07-11	PRIJEM	VKLAD	22668	60472	\N	\N	\N
165840	555	1994-08-11	PRIJEM	VKLAD	22668	62303	\N	\N	\N
165841	555	1994-09-11	PRIJEM	VKLAD	22668	53144	\N	\N	\N
165842	555	1994-10-11	PRIJEM	VKLAD	22668	50746	\N	\N	\N
165843	555	1994-11-11	PRIJEM	VKLAD	22668	41324	\N	\N	\N
165844	555	1994-12-11	PRIJEM	VKLAD	34002	53710	\N	\N	\N
165845	555	1995-01-11	PRIJEM	VKLAD	22668	46792	\N	\N	\N
165846	555	1995-02-11	PRIJEM	VKLAD	22668	44756	\N	\N	\N
165847	555	1995-03-11	PRIJEM	VKLAD	22668	46614	\N	\N	\N
165848	555	1995-04-11	PRIJEM	VKLAD	22668	45282	\N	\N	\N
165849	555	1995-05-11	PRIJEM	VKLAD	22668	41738	\N	\N	\N
165850	555	1995-06-11	PRIJEM	VKLAD	34002	44525	\N	\N	\N
165851	555	1995-07-11	PRIJEM	VKLAD	22668	41465	\N	\N	\N
165852	555	1995-08-11	PRIJEM	VKLAD	22668	38000	\N	\N	\N
165853	555	1995-09-11	PRIJEM	VKLAD	22668	39929	\N	\N	\N
165854	555	1995-10-11	PRIJEM	VKLAD	22668	41168	\N	\N	\N
165855	555	1995-11-11	PRIJEM	VKLAD	22668	36015	\N	\N	\N
165856	555	1995-12-11	PRIJEM	VKLAD	34002	47876	\N	\N	\N
165857	555	1996-01-11	PRIJEM	VKLAD	22668	38132	\N	\N	\N
165858	555	1996-02-11	PRIJEM	VKLAD	22668	32238	\N	\N	\N
165859	555	1996-03-11	PRIJEM	VKLAD	22668	41426	\N	\N	\N
165860	555	1996-04-11	PRIJEM	VKLAD	22668	35353	\N	\N	\N
165861	555	1996-05-11	PRIJEM	VKLAD	22668	32355	\N	\N	\N
165862	555	1996-06-11	PRIJEM	VKLAD	34002	54176	\N	\N	\N
165863	555	1996-07-11	PRIJEM	VKLAD	22668	30512	\N	\N	\N
165864	555	1996-08-11	PRIJEM	VKLAD	22668	43499	\N	\N	\N
165865	555	1996-09-11	PRIJEM	VKLAD	22668	32424	\N	\N	\N
165866	555	1996-10-11	PRIJEM	VKLAD	22668	47418	\N	\N	\N
165867	555	1996-11-11	PRIJEM	VKLAD	22668	33255	\N	\N	\N
165868	555	1996-12-11	PRIJEM	VKLAD	34002	59586	\N	\N	\N
165869	555	1997-01-11	PRIJEM	VKLAD	22668	34443	\N	\N	\N
165870	555	1997-02-11	PRIJEM	VKLAD	22668	41036	\N	\N	\N
165871	555	1997-03-11	PRIJEM	VKLAD	22668	30244	\N	\N	\N
165872	555	1997-04-11	PRIJEM	VKLAD	22668	45232	\N	\N	\N
165873	555	1997-05-11	PRIJEM	VKLAD	22668	35956	\N	\N	\N
165874	555	1997-06-11	PRIJEM	VKLAD	34002	61698	\N	\N	\N
165875	555	1997-07-11	PRIJEM	VKLAD	22668	31543	\N	\N	\N
165876	555	1997-08-11	PRIJEM	VKLAD	22668	45635	\N	\N	\N
165877	555	1997-09-11	PRIJEM	VKLAD	22668	32741	\N	\N	\N
165878	555	1997-10-11	PRIJEM	VKLAD	22668	44037	\N	\N	\N
165879	555	1997-11-11	PRIJEM	VKLAD	22668	31137	\N	\N	\N
165880	555	1997-12-11	PRIJEM	VKLAD	34002	54557	\N	\N	\N
165881	555	1998-01-11	PRIJEM	VKLAD	22668	33475	\N	\N	\N
165882	555	1998-02-11	PRIJEM	VKLAD	22668	42169	\N	\N	\N
165883	555	1998-03-11	PRIJEM	VKLAD	22668	57200	\N	\N	\N
165884	555	1998-04-11	PRIJEM	VKLAD	22668	34938	\N	\N	\N
165885	555	1998-05-11	PRIJEM	VKLAD	22668	46640	\N	\N	\N
165886	555	1998-06-11	PRIJEM	VKLAD	34002	46583	\N	\N	\N
165887	555	1998-07-11	PRIJEM	VKLAD	22668	33971	\N	\N	\N
165888	555	1998-08-11	PRIJEM	VKLAD	22668	33640	\N	\N	\N
165889	555	1998-09-11	PRIJEM	VKLAD	22668	35110	\N	\N	\N
165890	555	1998-10-11	PRIJEM	VKLAD	22668	35684	\N	\N	\N
165891	555	1998-11-11	PRIJEM	VKLAD	22668	36760	\N	\N	\N
165892	555	1998-12-11	PRIJEM	VKLAD	34002	46871	\N	\N	\N
165903	555	1993-11-08	VYDAJ	PREVOD NA UCET	7218	39948	SIPO	ST	6209928
165904	555	1993-12-08	VYDAJ	PREVOD NA UCET	7218	34411	SIPO	ST	6209928
165905	555	1994-01-08	VYDAJ	PREVOD NA UCET	7218	36708	SIPO	ST	6209928
165906	555	1994-02-08	VYDAJ	PREVOD NA UCET	7218	30495	SIPO	ST	6209928
165907	555	1994-03-08	VYDAJ	PREVOD NA UCET	7218	42969	SIPO	ST	6209928
165908	555	1994-04-08	VYDAJ	PREVOD NA UCET	7218	36350	SIPO	ST	6209928
165909	555	1994-05-08	VYDAJ	PREVOD NA UCET	7218	43513	SIPO	ST	6209928
165910	555	1994-06-08	VYDAJ	PREVOD NA UCET	7218	48118	SIPO	ST	6209928
165911	555	1994-07-08	VYDAJ	PREVOD NA UCET	7218	52104	SIPO	ST	6209928
165912	555	1994-08-08	VYDAJ	PREVOD NA UCET	7218	39635	SIPO	ST	6209928
165913	555	1994-09-08	VYDAJ	PREVOD NA UCET	7218	30955	SIPO	ST	6209928
165914	555	1994-10-08	VYDAJ	PREVOD NA UCET	7218	28557	SIPO	ST	6209928
165915	555	1994-11-08	VYDAJ	PREVOD NA UCET	7218	23135	SIPO	ST	6209928
165916	555	1994-12-08	VYDAJ	PREVOD NA UCET	7218	19708	SIPO	ST	6209928
165917	555	1995-01-08	VYDAJ	PREVOD NA UCET	7218	24124	SIPO	ST	6209928
165918	555	1995-02-08	VYDAJ	PREVOD NA UCET	7218	22088	SIPO	ST	6209928
165919	555	1995-03-08	VYDAJ	PREVOD NA UCET	7218	23946	SIPO	ST	6209928
165920	555	1995-04-08	VYDAJ	PREVOD NA UCET	7218	22614	SIPO	ST	6209928
165921	555	1995-05-08	VYDAJ	PREVOD NA UCET	7218	19070	SIPO	ST	6209928
165922	555	1995-06-08	VYDAJ	PREVOD NA UCET	7218	11002	SIPO	ST	6209928
165923	555	1995-07-08	VYDAJ	PREVOD NA UCET	7218	19276	SIPO	ST	6209928
165924	555	1995-08-08	VYDAJ	PREVOD NA UCET	7218	15811	SIPO	ST	6209928
165925	555	1995-09-08	VYDAJ	PREVOD NA UCET	7218	17261	SIPO	ST	6209928
165926	555	1995-10-08	VYDAJ	PREVOD NA UCET	7218	18500	SIPO	ST	6209928
165927	555	1995-11-08	VYDAJ	PREVOD NA UCET	7218	13826	SIPO	ST	6209928
165928	555	1995-12-08	VYDAJ	PREVOD NA UCET	7218	13874	SIPO	ST	6209928
165929	555	1996-01-08	VYDAJ	PREVOD NA UCET	7218	15943	SIPO	ST	6209928
165930	555	1996-02-08	VYDAJ	PREVOD NA UCET	7218	9570	SIPO	ST	6209928
165931	555	1996-03-08	VYDAJ	PREVOD NA UCET	7218	19237	SIPO	ST	6209928
165932	555	1996-04-08	VYDAJ	PREVOD NA UCET	7218	12685	SIPO	ST	6209928
165933	555	1996-05-08	VYDAJ	PREVOD NA UCET	7218	10166	SIPO	ST	6209928
165934	555	1996-06-08	VYDAJ	PREVOD NA UCET	7218	20653	SIPO	ST	6209928
165935	555	1996-07-08	VYDAJ	PREVOD NA UCET	7218	7844	SIPO	ST	6209928
165936	555	1996-08-08	VYDAJ	PREVOD NA UCET	7218	21310	SIPO	ST	6209928
165937	555	1996-09-08	VYDAJ	PREVOD NA UCET	7218	10235	SIPO	ST	6209928
165938	555	1996-10-08	VYDAJ	PREVOD NA UCET	7218	24750	SIPO	ST	6209928
165939	555	1996-11-08	VYDAJ	PREVOD NA UCET	7218	11066	SIPO	ST	6209928
165940	555	1996-12-08	VYDAJ	PREVOD NA UCET	7218	25584	SIPO	ST	6209928
165941	555	1997-01-08	VYDAJ	PREVOD NA UCET	7218	12254	SIPO	ST	6209928
165942	555	1997-02-08	VYDAJ	PREVOD NA UCET	7218	18368	SIPO	ST	6209928
165943	555	1997-03-08	VYDAJ	PREVOD NA UCET	7218	7576	SIPO	ST	6209928
165944	555	1997-04-08	VYDAJ	PREVOD NA UCET	7218	22564	SIPO	ST	6209928
165945	555	1997-05-08	VYDAJ	PREVOD NA UCET	7218	13767	SIPO	ST	6209928
165946	555	1997-06-08	VYDAJ	PREVOD NA UCET	7218	27696	SIPO	ST	6209928
165947	555	1997-07-08	VYDAJ	PREVOD NA UCET	7218	8875	SIPO	ST	6209928
165948	555	1997-08-08	VYDAJ	PREVOD NA UCET	7218	23446	SIPO	ST	6209928
165949	555	1997-09-08	VYDAJ	PREVOD NA UCET	7218	10073	SIPO	ST	6209928
165950	555	1997-10-08	VYDAJ	PREVOD NA UCET	7218	21848	SIPO	ST	6209928
165951	555	1997-11-08	VYDAJ	PREVOD NA UCET	7218	8469	SIPO	ST	6209928
165952	555	1997-12-08	VYDAJ	PREVOD NA UCET	7218	20555	SIPO	ST	6209928
165953	555	1998-01-08	VYDAJ	PREVOD NA UCET	7218	10807	SIPO	ST	6209928
165954	555	1998-02-08	VYDAJ	PREVOD NA UCET	7218	19980	SIPO	ST	6209928
165955	555	1998-03-08	VYDAJ	PREVOD NA UCET	7218	34532	SIPO	ST	6209928
165956	555	1998-04-08	VYDAJ	PREVOD NA UCET	7218	12749	SIPO	ST	6209928
165957	555	1998-05-08	VYDAJ	PREVOD NA UCET	7218	23972	SIPO	ST	6209928
165958	555	1998-06-08	VYDAJ	PREVOD NA UCET	7218	12581	SIPO	ST	6209928
165959	555	1998-07-08	VYDAJ	PREVOD NA UCET	7218	11782	SIPO	ST	6209928
165960	555	1998-08-08	VYDAJ	PREVOD NA UCET	7218	11451	SIPO	ST	6209928
165961	555	1998-09-08	VYDAJ	PREVOD NA UCET	7218	12442	SIPO	ST	6209928
165962	555	1998-10-08	VYDAJ	PREVOD NA UCET	7218	13495	SIPO	ST	6209928
165963	555	1998-11-08	VYDAJ	PREVOD NA UCET	7218	14571	SIPO	ST	6209928
165964	555	1998-12-08	VYDAJ	PREVOD NA UCET	7218	12869	SIPO	ST	6209928
165975	555	1993-11-08	VYDAJ	PREVOD NA UCET	479	39469	 	YZ	19875437
165976	555	1993-12-08	VYDAJ	PREVOD NA UCET	479	33932	 	YZ	19875437
165977	555	1994-01-08	VYDAJ	PREVOD NA UCET	479	36229	 	YZ	19875437
165978	555	1994-02-08	VYDAJ	PREVOD NA UCET	479	37713	 	YZ	19875437
165979	555	1994-03-08	VYDAJ	PREVOD NA UCET	479	50187	 	YZ	19875437
165980	555	1994-04-08	VYDAJ	PREVOD NA UCET	479	43568	 	YZ	19875437
165981	555	1994-05-08	VYDAJ	PREVOD NA UCET	479	43034	 	YZ	19875437
165982	555	1994-06-08	VYDAJ	PREVOD NA UCET	479	47639	 	YZ	19875437
165983	555	1994-07-08	VYDAJ	PREVOD NA UCET	479	59322	 	YZ	19875437
165984	555	1994-08-08	VYDAJ	PREVOD NA UCET	479	60153	 	YZ	19875437
165985	555	1994-09-08	VYDAJ	PREVOD NA UCET	479	30476	 	YZ	19875437
165986	555	1994-10-08	VYDAJ	PREVOD NA UCET	479	28078	 	YZ	19875437
165987	555	1994-11-08	VYDAJ	PREVOD NA UCET	479	22656	 	YZ	19875437
165988	555	1994-12-08	VYDAJ	PREVOD NA UCET	479	26926	 	YZ	19875437
165989	555	1995-01-08	VYDAJ	PREVOD NA UCET	479	31342	 	YZ	19875437
165990	555	1995-02-08	VYDAJ	PREVOD NA UCET	479	29306	 	YZ	19875437
165991	555	1995-03-08	VYDAJ	PREVOD NA UCET	479	31164	 	YZ	19875437
165992	555	1995-04-08	VYDAJ	PREVOD NA UCET	479	29832	 	YZ	19875437
165993	555	1995-05-08	VYDAJ	PREVOD NA UCET	479	26288	 	YZ	19875437
165994	555	1995-06-08	VYDAJ	PREVOD NA UCET	479	10523	 	YZ	19875437
165995	555	1995-07-08	VYDAJ	PREVOD NA UCET	479	18797	 	YZ	19875437
165996	555	1995-08-08	VYDAJ	PREVOD NA UCET	479	15332	 	YZ	19875437
165997	555	1995-09-08	VYDAJ	PREVOD NA UCET	479	24479	 	YZ	19875437
165998	555	1995-10-08	VYDAJ	PREVOD NA UCET	479	25718	 	YZ	19875437
165999	555	1995-11-08	VYDAJ	PREVOD NA UCET	479	13347	 	YZ	19875437
166000	555	1995-12-08	VYDAJ	PREVOD NA UCET	479	21092	 	YZ	19875437
166001	555	1996-01-08	VYDAJ	PREVOD NA UCET	479	15464	 	YZ	19875437
166002	555	1996-02-08	VYDAJ	PREVOD NA UCET	479	16788	 	YZ	19875437
166003	555	1996-03-08	VYDAJ	PREVOD NA UCET	479	18758	 	YZ	19875437
166004	555	1996-04-08	VYDAJ	PREVOD NA UCET	479	19903	 	YZ	19875437
166005	555	1996-05-08	VYDAJ	PREVOD NA UCET	479	9687	 	YZ	19875437
166006	555	1996-06-08	VYDAJ	PREVOD NA UCET	479	20174	 	YZ	19875437
166007	555	1996-07-08	VYDAJ	PREVOD NA UCET	479	15062	 	YZ	19875437
166008	555	1996-08-08	VYDAJ	PREVOD NA UCET	479	20831	 	YZ	19875437
166009	555	1996-09-08	VYDAJ	PREVOD NA UCET	479	9756	 	YZ	19875437
166010	555	1996-10-08	VYDAJ	PREVOD NA UCET	479	31968	 	YZ	19875437
166011	555	1996-11-08	VYDAJ	PREVOD NA UCET	479	10587	 	YZ	19875437
166012	555	1996-12-08	VYDAJ	PREVOD NA UCET	479	32802	 	YZ	19875437
166013	555	1997-01-08	VYDAJ	PREVOD NA UCET	479	11775	 	YZ	19875437
166014	555	1997-02-08	VYDAJ	PREVOD NA UCET	479	25586	 	YZ	19875437
166015	555	1997-03-08	VYDAJ	PREVOD NA UCET	479	14794	 	YZ	19875437
166016	555	1997-04-08	VYDAJ	PREVOD NA UCET	479	29782	 	YZ	19875437
166017	555	1997-05-08	VYDAJ	PREVOD NA UCET	479	13288	 	YZ	19875437
166018	555	1997-06-08	VYDAJ	PREVOD NA UCET	479	34914	 	YZ	19875437
166019	555	1997-07-08	VYDAJ	PREVOD NA UCET	479	16093	 	YZ	19875437
166020	555	1997-08-08	VYDAJ	PREVOD NA UCET	479	22967	 	YZ	19875437
166021	555	1997-09-08	VYDAJ	PREVOD NA UCET	479	17291	 	YZ	19875437
166022	555	1997-10-08	VYDAJ	PREVOD NA UCET	479	21369	 	YZ	19875437
166023	555	1997-11-08	VYDAJ	PREVOD NA UCET	479	15687	 	YZ	19875437
166024	555	1997-12-08	VYDAJ	PREVOD NA UCET	479	27773	 	YZ	19875437
166025	555	1998-01-08	VYDAJ	PREVOD NA UCET	479	18025	 	YZ	19875437
166026	555	1998-02-08	VYDAJ	PREVOD NA UCET	479	19501	 	YZ	19875437
166027	555	1998-03-08	VYDAJ	PREVOD NA UCET	479	41750	 	YZ	19875437
166028	555	1998-04-08	VYDAJ	PREVOD NA UCET	479	12270	 	YZ	19875437
166029	555	1998-05-08	VYDAJ	PREVOD NA UCET	479	31190	 	YZ	19875437
166030	555	1998-06-08	VYDAJ	PREVOD NA UCET	479	19799	 	YZ	19875437
166031	555	1998-07-08	VYDAJ	PREVOD NA UCET	479	11303	 	YZ	19875437
166032	555	1998-08-08	VYDAJ	PREVOD NA UCET	479	10972	 	YZ	19875437
166033	555	1998-09-08	VYDAJ	PREVOD NA UCET	479	19660	 	YZ	19875437
166034	555	1998-10-08	VYDAJ	PREVOD NA UCET	479	13016	 	YZ	19875437
166035	555	1998-11-08	VYDAJ	PREVOD NA UCET	479	14092	 	YZ	19875437
166036	555	1998-12-08	VYDAJ	PREVOD NA UCET	479	20087	 	YZ	19875437
166046	555	1993-10-12	VYDAJ	PREVOD NA UCET	71	46987	POJISTNE	WX	3315794
166047	555	1993-11-12	VYDAJ	PREVOD NA UCET	71	41466	POJISTNE	WX	3315794
166048	555	1993-12-12	VYDAJ	PREVOD NA UCET	71	44863	POJISTNE	WX	3315794
166049	555	1994-01-12	VYDAJ	PREVOD NA UCET	71	50626	POJISTNE	WX	3315794
166050	555	1994-02-12	VYDAJ	PREVOD NA UCET	71	50492	POJISTNE	WX	3315794
166051	555	1994-03-12	VYDAJ	PREVOD NA UCET	71	45266	POJISTNE	WX	3315794
166052	555	1994-04-12	VYDAJ	PREVOD NA UCET	71	50547	POJISTNE	WX	3315794
166053	555	1994-05-12	VYDAJ	PREVOD NA UCET	71	55131	POJISTNE	WX	3315794
166054	555	1994-06-12	VYDAJ	PREVOD NA UCET	71	71270	POJISTNE	WX	3315794
166055	555	1994-07-12	VYDAJ	PREVOD NA UCET	71	60401	POJISTNE	WX	3315794
166056	555	1994-08-12	VYDAJ	PREVOD NA UCET	71	62232	POJISTNE	WX	3315794
166057	555	1994-09-12	VYDAJ	PREVOD NA UCET	71	53073	POJISTNE	WX	3315794
166058	555	1994-10-12	VYDAJ	PREVOD NA UCET	71	50675	POJISTNE	WX	3315794
166059	555	1994-11-12	VYDAJ	PREVOD NA UCET	71	41253	POJISTNE	WX	3315794
166060	555	1994-12-12	VYDAJ	PREVOD NA UCET	71	53639	POJISTNE	WX	3315794
166061	555	1995-01-12	VYDAJ	PREVOD NA UCET	71	46721	POJISTNE	WX	3315794
166062	555	1995-02-12	VYDAJ	PREVOD NA UCET	71	44685	POJISTNE	WX	3315794
166063	555	1995-03-12	VYDAJ	PREVOD NA UCET	71	46543	POJISTNE	WX	3315794
166064	555	1995-04-12	VYDAJ	PREVOD NA UCET	71	41911	POJISTNE	WX	3315794
166065	555	1995-05-12	VYDAJ	PREVOD NA UCET	71	41667	POJISTNE	WX	3315794
166066	555	1995-06-12	VYDAJ	PREVOD NA UCET	71	44454	POJISTNE	WX	3315794
166067	555	1995-07-12	VYDAJ	PREVOD NA UCET	71	36794	POJISTNE	WX	3315794
166068	555	1995-08-12	VYDAJ	PREVOD NA UCET	71	37929	POJISTNE	WX	3315794
166069	555	1995-09-12	VYDAJ	PREVOD NA UCET	71	39858	POJISTNE	WX	3315794
166070	555	1995-10-12	VYDAJ	PREVOD NA UCET	71	41097	POJISTNE	WX	3315794
166071	555	1995-11-12	VYDAJ	PREVOD NA UCET	71	35944	POJISTNE	WX	3315794
166072	555	1995-12-12	VYDAJ	PREVOD NA UCET	71	47805	POJISTNE	WX	3315794
166073	555	1996-01-12	VYDAJ	PREVOD NA UCET	71	35761	POJISTNE	WX	3315794
166074	555	1996-02-12	VYDAJ	PREVOD NA UCET	71	32167	POJISTNE	WX	3315794
166075	555	1996-03-12	VYDAJ	PREVOD NA UCET	71	41355	POJISTNE	WX	3315794
166076	555	1996-04-12	VYDAJ	PREVOD NA UCET	71	35282	POJISTNE	WX	3315794
166077	555	1996-05-12	VYDAJ	PREVOD NA UCET	71	32284	POJISTNE	WX	3315794
166078	555	1996-06-12	VYDAJ	PREVOD NA UCET	71	54105	POJISTNE	WX	3315794
166079	555	1996-07-12	VYDAJ	PREVOD NA UCET	71	30441	POJISTNE	WX	3315794
166080	555	1996-08-12	VYDAJ	PREVOD NA UCET	71	43428	POJISTNE	WX	3315794
166081	555	1996-09-12	VYDAJ	PREVOD NA UCET	71	32353	POJISTNE	WX	3315794
166082	555	1996-10-12	VYDAJ	PREVOD NA UCET	71	47347	POJISTNE	WX	3315794
166083	555	1996-11-12	VYDAJ	PREVOD NA UCET	71	33184	POJISTNE	WX	3315794
166084	555	1996-12-12	VYDAJ	PREVOD NA UCET	71	59515	POJISTNE	WX	3315794
166085	555	1997-01-12	VYDAJ	PREVOD NA UCET	71	34372	POJISTNE	WX	3315794
166086	555	1997-02-12	VYDAJ	PREVOD NA UCET	71	40965	POJISTNE	WX	3315794
166087	555	1997-03-12	VYDAJ	PREVOD NA UCET	71	30173	POJISTNE	WX	3315794
166088	555	1997-04-12	VYDAJ	PREVOD NA UCET	71	45161	POJISTNE	WX	3315794
166089	555	1997-05-12	VYDAJ	PREVOD NA UCET	71	35885	POJISTNE	WX	3315794
166090	555	1997-06-12	VYDAJ	PREVOD NA UCET	71	61627	POJISTNE	WX	3315794
166091	555	1997-07-12	VYDAJ	PREVOD NA UCET	71	31472	POJISTNE	WX	3315794
166092	555	1997-08-12	VYDAJ	PREVOD NA UCET	71	41364	POJISTNE	WX	3315794
166093	555	1997-09-12	VYDAJ	PREVOD NA UCET	71	32670	POJISTNE	WX	3315794
166094	555	1997-10-12	VYDAJ	PREVOD NA UCET	71	43966	POJISTNE	WX	3315794
166095	555	1997-11-12	VYDAJ	PREVOD NA UCET	71	31066	POJISTNE	WX	3315794
166096	555	1997-12-12	VYDAJ	PREVOD NA UCET	71	54486	POJISTNE	WX	3315794
166097	555	1998-01-12	VYDAJ	PREVOD NA UCET	71	33404	POJISTNE	WX	3315794
166098	555	1998-02-12	VYDAJ	PREVOD NA UCET	71	42098	POJISTNE	WX	3315794
166099	555	1998-03-12	VYDAJ	PREVOD NA UCET	71	57129	POJISTNE	WX	3315794
166100	555	1998-04-12	VYDAJ	PREVOD NA UCET	71	34867	POJISTNE	WX	3315794
166101	555	1998-05-12	VYDAJ	PREVOD NA UCET	71	46569	POJISTNE	WX	3315794
166102	555	1998-06-12	VYDAJ	PREVOD NA UCET	71	46512	POJISTNE	WX	3315794
166103	555	1998-07-12	VYDAJ	PREVOD NA UCET	71	33900	POJISTNE	WX	3315794
166104	555	1998-08-12	VYDAJ	PREVOD NA UCET	71	33569	POJISTNE	WX	3315794
166105	555	1998-09-12	VYDAJ	PREVOD NA UCET	71	35039	POJISTNE	WX	3315794
166106	555	1998-10-12	VYDAJ	PREVOD NA UCET	71	35613	POJISTNE	WX	3315794
166107	555	1998-11-12	VYDAJ	PREVOD NA UCET	71	36689	POJISTNE	WX	3315794
166108	555	1998-12-12	VYDAJ	PREVOD NA UCET	71	46800	POJISTNE	WX	3315794
166110	555	1994-06-17	VYDAJ	VYBER	11700	59570	\N	\N	\N
166111	555	1995-06-03	VYDAJ	VYBER	11400	30420	\N	\N	\N
166112	555	1996-06-22	VYDAJ	VYBER	12400	36805	\N	\N	\N
166113	555	1997-06-19	VYDAJ	VYBER	12500	49127	\N	\N	\N
166114	555	1998-06-18	VYDAJ	VYBER	27600	18912	\N	\N	\N
166115	555	1993-12-22	VYDAJ	VYBER	1100	43763	\N	\N	\N
166116	555	1994-12-25	VYDAJ	VYBER	1300	52339	\N	\N	\N
166118	555	1996-12-12	VYDAJ	VYBER	2300	57215	\N	\N	\N
166119	555	1997-12-26	VYDAJ	VYBER	2700	20886	\N	\N	\N
166120	555	1998-12-06	VYDAJ	VYBER	1800	20566	\N	\N	\N
166127	555	1994-01-17	VYDAJ	VYBER	2800	44826	\N	\N	\N
166128	555	1994-01-11	VYDAJ	VYBER	900	50697	\N	\N	\N
166129	555	1994-01-23	VYDAJ	VYBER	1200	42826	\N	\N	\N
166130	555	1994-01-29	VYDAJ	VYBER	2500	38026	\N	\N	\N
166131	555	1994-01-22	VYDAJ	VYBER	800	44026	\N	\N	\N
166132	555	1994-01-27	VYDAJ	VYBER	2300	40526	\N	\N	\N
166133	555	1995-01-24	VYDAJ	VYBER	1500	43421	\N	\N	\N
166134	555	1995-01-19	VYDAJ	VYBER	600	44921	\N	\N	\N
166135	555	1995-01-06	VYDAJ	VYBER	1700	31821	\N	\N	\N
166136	555	1995-01-29	VYDAJ	VYBER	700	41821	\N	\N	\N
166137	555	1995-01-16	VYDAJ	VYBER	1200	45521	\N	\N	\N
166138	555	1995-01-25	VYDAJ	VYBER	900	42521	\N	\N	\N
166139	555	1996-01-11	VYDAJ	VYBER	2300	35832	\N	\N	\N
166140	555	1996-01-26	VYDAJ	VYBER	2100	32361	\N	\N	\N
166141	555	1996-01-02	VYDAJ	VYBER	1500	25861	\N	\N	\N
166142	555	1996-01-15	VYDAJ	VYBER	1300	34461	\N	\N	\N
166143	555	1996-01-04	VYDAJ	VYBER	2200	23661	\N	\N	\N
166144	555	1996-01-06	VYDAJ	VYBER	500	23161	\N	\N	\N
166146	555	1997-01-29	VYDAJ	VYBER	1200	25972	\N	\N	\N
166147	555	1997-01-17	VYDAJ	VYBER	2500	29472	\N	\N	\N
166148	555	1997-01-06	VYDAJ	VYBER	2100	19472	\N	\N	\N
166149	555	1997-01-17	VYDAJ	VYBER	2300	27172	\N	\N	\N
166150	555	1997-01-16	VYDAJ	VYBER	2400	31972	\N	\N	\N
166151	555	1998-01-07	VYDAJ	VYBER	2500	18504	\N	\N	\N
166153	555	1998-01-26	VYDAJ	VYBER	2400	30304	\N	\N	\N
166154	555	1998-01-27	VYDAJ	VYBER	500	27104	\N	\N	\N
166155	555	1998-01-26	VYDAJ	VYBER	2700	27604	\N	\N	\N
166156	555	1998-01-20	VYDAJ	VYBER	700	32704	\N	\N	\N
166161	555	1994-08-28	VYDAJ	VYBER	3400	58832	\N	\N	\N
166162	555	1994-10-20	VYDAJ	VYBER	1700	45175	\N	\N	\N
166163	555	1994-03-18	VYDAJ	VYBER	1400	43866	\N	\N	\N
166164	555	1994-01-14	VYDAJ	VYBER	3000	47626	\N	\N	\N
166165	555	1994-10-15	VYDAJ	VYBER	3800	46875	\N	\N	\N
166166	555	1994-07-09	VYDAJ	VYBER	2900	37804	\N	\N	\N
166167	555	1994-11-09	VYDAJ	VYBER	4000	18656	\N	\N	\N
166168	555	1995-07-30	VYDAJ	VYBER	3400	32394	\N	\N	\N
166169	555	1995-10-29	VYDAJ	VYBER	2500	38597	\N	\N	\N
166170	555	1995-07-11	VYDAJ	VYBER	4600	36865	\N	\N	\N
166171	555	1995-04-11	VYDAJ	VYBER	3300	41982	\N	\N	\N
166172	555	1995-07-20	VYDAJ	VYBER	1000	35794	\N	\N	\N
166173	555	1996-05-29	VYDAJ	VYBER	1300	27784	\N	\N	\N
166174	555	1996-08-07	VYDAJ	VYBER	2000	28528	\N	\N	\N
166175	555	1996-06-18	VYDAJ	VYBER	4900	49205	\N	\N	\N
166176	555	1996-02-18	VYDAJ	VYBER	2200	29967	\N	\N	\N
166177	555	1996-05-14	VYDAJ	VYBER	3200	29084	\N	\N	\N
166178	555	1996-02-21	VYDAJ	VYBER	3600	26367	\N	\N	\N
166179	555	1997-09-29	VYDAJ	VYBER	3700	28970	\N	\N	\N
166180	555	1997-11-21	VYDAJ	VYBER	2900	28166	\N	\N	\N
166181	555	1997-08-11	VYDAJ	VYBER	4200	41435	\N	\N	\N
166182	555	1997-05-16	VYDAJ	VYBER	600	35285	\N	\N	\N
166183	555	1997-04-20	VYDAJ	VYBER	2900	42261	\N	\N	\N
166184	555	1997-07-30	VYDAJ	VYBER	900	30572	\N	\N	\N
166186	555	1998-12-25	VYDAJ	VYBER	3700	23400	\N	\N	\N
166187	555	1998-09-14	VYDAJ	VYBER	3700	31339	\N	\N	\N
166190	555	1998-03-19	VYDAJ	VYBER	4800	52329	\N	\N	\N
166191	555	1998-05-01	VYDAJ	VYBER	3300	31669	\N	\N	\N
166202	555	1993-10-31	VYDAJ	VYBER	15	47166	SLUZBY	\N	\N
166203	555	1993-11-30	VYDAJ	VYBER	15	41629	SLUZBY	\N	\N
166204	555	1993-12-31	VYDAJ	VYBER	15	43926	SLUZBY	\N	\N
166205	555	1994-01-31	VYDAJ	VYBER	15	38192	SLUZBY	\N	\N
166206	555	1994-02-28	VYDAJ	VYBER	15	50666	SLUZBY	\N	\N
166207	555	1994-03-31	VYDAJ	VYBER	15	44047	SLUZBY	\N	\N
166208	555	1994-04-30	VYDAJ	VYBER	15	50731	SLUZBY	\N	\N
166209	555	1994-05-31	VYDAJ	VYBER	15	55336	SLUZBY	\N	\N
166210	555	1994-06-30	VYDAJ	VYBER	15	59801	SLUZBY	\N	\N
166211	555	1994-07-31	VYDAJ	VYBER	15	60632	SLUZBY	\N	\N
166212	555	1994-08-31	VYDAJ	VYBER	15	59073	SLUZBY	\N	\N
166213	555	1994-09-30	VYDAJ	VYBER	15	53275	SLUZBY	\N	\N
166214	555	1994-10-31	VYDAJ	VYBER	15	45353	SLUZBY	\N	\N
166215	555	1994-11-30	VYDAJ	VYBER	15	41405	SLUZBY	\N	\N
166216	555	1994-12-31	VYDAJ	VYBER	15	52521	SLUZBY	\N	\N
166217	555	1995-01-31	VYDAJ	VYBER	15	41985	SLUZBY	\N	\N
166218	555	1995-02-28	VYDAJ	VYBER	15	44843	SLUZBY	\N	\N
166219	555	1995-03-31	VYDAJ	VYBER	15	46711	SLUZBY	\N	\N
166220	555	1995-04-30	VYDAJ	VYBER	15	42067	SLUZBY	\N	\N
166221	555	1995-05-31	VYDAJ	VYBER	15	41820	SLUZBY	\N	\N
166222	555	1995-06-30	VYDAJ	VYBER	15	44594	SLUZBY	\N	\N
166223	555	1995-07-31	VYDAJ	VYBER	15	32529	SLUZBY	\N	\N
166224	555	1995-08-31	VYDAJ	VYBER	15	38058	SLUZBY	\N	\N
166225	555	1995-09-30	VYDAJ	VYBER	15	39997	SLUZBY	\N	\N
166226	555	1995-10-31	VYDAJ	VYBER	15	38744	SLUZBY	\N	\N
166227	555	1995-11-30	VYDAJ	VYBER	15	36071	SLUZBY	\N	\N
166228	555	1995-12-31	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
166229	555	1996-01-31	VYDAJ	VYBER	15	17267	SLUZBY	\N	\N
166230	555	1996-02-29	VYDAJ	VYBER	15	26455	SLUZBY	\N	\N
166231	555	1996-03-31	VYDAJ	VYBER	15	20382	SLUZBY	\N	\N
166232	555	1996-04-30	VYDAJ	VYBER	15	17384	SLUZBY	\N	\N
166233	555	1996-05-31	VYDAJ	VYBER	15	27871	SLUZBY	\N	\N
166234	555	1996-06-30	VYDAJ	VYBER	15	15541	SLUZBY	\N	\N
166235	555	1996-07-31	VYDAJ	VYBER	15	30528	SLUZBY	\N	\N
166236	555	1996-08-31	VYDAJ	VYBER	15	17453	SLUZBY	\N	\N
166237	555	1996-09-30	VYDAJ	VYBER	15	32447	SLUZBY	\N	\N
166238	555	1996-10-31	VYDAJ	VYBER	15	18284	SLUZBY	\N	\N
166239	555	1996-11-30	VYDAJ	VYBER	15	33281	SLUZBY	\N	\N
166240	555	1996-12-31	VYDAJ	VYBER	15	21572	SLUZBY	\N	\N
166241	555	1997-01-31	VYDAJ	VYBER	15	26065	SLUZBY	\N	\N
166242	555	1997-02-28	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
166243	555	1997-03-31	VYDAJ	VYBER	15	30261	SLUZBY	\N	\N
166244	555	1997-04-30	VYDAJ	VYBER	15	20985	SLUZBY	\N	\N
166245	555	1997-05-31	VYDAJ	VYBER	15	35393	SLUZBY	\N	\N
166246	555	1997-06-30	VYDAJ	VYBER	15	16572	SLUZBY	\N	\N
166247	555	1997-07-31	VYDAJ	VYBER	15	30664	SLUZBY	\N	\N
166248	555	1997-08-31	VYDAJ	VYBER	15	17770	SLUZBY	\N	\N
166249	555	1997-09-30	VYDAJ	VYBER	15	29066	SLUZBY	\N	\N
166250	555	1997-10-31	VYDAJ	VYBER	15	16166	SLUZBY	\N	\N
166251	555	1997-11-30	VYDAJ	VYBER	15	28252	SLUZBY	\N	\N
166252	555	1997-12-31	VYDAJ	VYBER	15	21004	SLUZBY	\N	\N
166253	555	1998-01-31	VYDAJ	VYBER	15	27198	SLUZBY	\N	\N
166254	555	1998-02-28	VYDAJ	VYBER	15	42229	SLUZBY	\N	\N
166255	555	1998-03-31	VYDAJ	VYBER	15	19967	SLUZBY	\N	\N
166256	555	1998-04-30	VYDAJ	VYBER	15	34969	SLUZBY	\N	\N
166257	555	1998-05-31	VYDAJ	VYBER	15	20278	SLUZBY	\N	\N
166258	555	1998-06-30	VYDAJ	VYBER	15	19000	SLUZBY	\N	\N
166259	555	1998-07-31	VYDAJ	VYBER	15	18669	SLUZBY	\N	\N
166260	555	1998-08-31	VYDAJ	VYBER	15	20139	SLUZBY	\N	\N
166261	555	1998-09-30	VYDAJ	VYBER	15	20713	SLUZBY	\N	\N
166262	555	1998-10-31	VYDAJ	VYBER	15	21789	SLUZBY	\N	\N
166263	555	1998-11-30	VYDAJ	VYBER	15	22366	SLUZBY	\N	\N
166264	555	1993-06-14	VYDAJ	VYBER	5200	29102	\N	\N	\N
166265	555	1993-07-14	VYDAJ	VYBER	11300	40539	\N	\N	\N
166266	555	1993-08-13	VYDAJ	VYBER	18800	44556	\N	\N	\N
166267	555	1993-09-12	VYDAJ	VYBER	22300	45103	\N	\N	\N
166268	555	1993-10-12	VYDAJ	VYBER	20900	47058	\N	\N	\N
166269	555	1993-11-11	VYDAJ	VYBER	20600	41537	\N	\N	\N
166270	555	1993-12-11	VYDAJ	VYBER	23000	44934	\N	\N	\N
166271	555	1994-01-10	VYDAJ	VYBER	7300	28929	\N	\N	\N
166272	555	1994-02-09	VYDAJ	VYBER	2600	27895	\N	\N	\N
166273	555	1994-03-11	VYDAJ	VYBER	20300	45337	\N	\N	\N
166274	555	1994-04-10	VYDAJ	VYBER	8400	27950	\N	\N	\N
166275	555	1994-05-10	VYDAJ	VYBER	10500	32534	\N	\N	\N
166276	555	1994-06-09	VYDAJ	VYBER	10300	37339	\N	\N	\N
166277	555	1994-07-09	VYDAJ	VYBER	11400	40704	\N	\N	\N
166278	555	1994-08-08	VYDAJ	VYBER	13300	46853	\N	\N	\N
166279	555	1994-09-07	VYDAJ	VYBER	20900	38173	\N	\N	\N
166280	555	1994-10-07	VYDAJ	VYBER	17500	35775	\N	\N	\N
166281	555	1994-11-06	VYDAJ	VYBER	15000	30353	\N	\N	\N
166282	555	1994-12-06	VYDAJ	VYBER	14000	27405	\N	\N	\N
166283	555	1995-01-05	VYDAJ	VYBER	19000	33521	\N	\N	\N
166284	555	1995-02-04	VYDAJ	VYBER	12200	29785	\N	\N	\N
166285	555	1995-03-06	VYDAJ	VYBER	13200	31643	\N	\N	\N
166286	555	1995-04-05	VYDAJ	VYBER	16400	30311	\N	\N	\N
166287	555	1995-05-05	VYDAJ	VYBER	15300	26767	\N	\N	\N
166288	555	1995-06-04	VYDAJ	VYBER	12200	18220	\N	\N	\N
166289	555	1995-07-04	VYDAJ	VYBER	18100	26494	\N	\N	\N
166290	555	1995-08-03	VYDAJ	VYBER	9500	23029	\N	\N	\N
166291	555	1995-09-02	VYDAJ	VYBER	13100	24958	\N	\N	\N
166292	555	1995-10-02	VYDAJ	VYBER	13800	26197	\N	\N	\N
166293	555	1995-11-01	VYDAJ	VYBER	17700	21044	\N	\N	\N
166294	555	1995-12-01	VYDAJ	VYBER	14500	21571	\N	\N	\N
166295	555	1995-12-31	VYDAJ	VYBER	20600	27376	\N	\N	\N
166296	555	1996-01-30	VYDAJ	VYBER	15200	17161	\N	\N	\N
166297	555	1996-03-30	VYDAJ	VYBER	21100	20255	\N	\N	\N
166298	555	1996-04-29	VYDAJ	VYBER	18000	17282	\N	\N	\N
166299	555	1996-06-28	VYDAJ	VYBER	21400	15405	\N	\N	\N
166300	555	1996-08-27	VYDAJ	VYBER	26100	17328	\N	\N	\N
166301	555	1996-10-26	VYDAJ	VYBER	29200	18147	\N	\N	\N
166302	555	1996-12-25	VYDAJ	VYBER	35800	21415	\N	\N	\N
166303	555	1997-02-23	VYDAJ	VYBER	25800	15165	\N	\N	\N
166304	555	1997-04-24	VYDAJ	VYBER	21400	20861	\N	\N	\N
166305	555	1997-06-23	VYDAJ	VYBER	32700	16427	\N	\N	\N
166306	555	1997-08-22	VYDAJ	VYBER	23700	17664	\N	\N	\N
166307	555	1997-10-21	VYDAJ	VYBER	27900	16066	\N	\N	\N
166308	555	1997-12-20	VYDAJ	VYBER	30900	23586	\N	\N	\N
166309	555	1998-03-20	VYDAJ	VYBER	32500	19829	\N	\N	\N
166310	555	1998-05-19	VYDAJ	VYBER	26400	20169	\N	\N	\N
166311	555	1998-07-18	VYDAJ	VYBER	15300	18600	\N	\N	\N
166312	555	1998-08-17	VYDAJ	VYBER	13500	20069	\N	\N	\N
166313	555	1998-09-16	VYDAJ	VYBER	10700	20639	\N	\N	\N
166314	555	1998-10-16	VYDAJ	VYBER	13900	21713	\N	\N	\N
166315	555	1998-11-15	VYDAJ	VYBER	14400	22289	\N	\N	\N
166316	555	1998-12-15	VYDAJ	VYBER	19700	27100	\N	\N	\N
166384	556	1997-06-26	PRIJEM	VKLAD	500	500	\N	\N	\N
166391	556	1997-07-05	PRIJEM	VKLAD	18602	19102	\N	\N	\N
166392	556	1997-08-05	PRIJEM	VKLAD	18602	39921	\N	\N	\N
166393	556	1997-09-05	PRIJEM	VKLAD	18602	49221	\N	\N	\N
166394	556	1997-10-05	PRIJEM	VKLAD	18602	53554	\N	\N	\N
166395	556	1997-11-05	PRIJEM	VKLAD	18602	52300	\N	\N	\N
166396	556	1997-12-05	PRIJEM	VKLAD	27903	62028	\N	\N	\N
166397	556	1998-01-05	PRIJEM	VKLAD	18602	49569	\N	\N	\N
166398	556	1998-02-05	PRIJEM	VKLAD	18602	33990	\N	\N	\N
166399	556	1998-03-05	PRIJEM	VKLAD	18602	36810	\N	\N	\N
166400	556	1998-04-05	PRIJEM	VKLAD	18602	40625	\N	\N	\N
166401	556	1998-05-05	PRIJEM	VKLAD	18602	40310	\N	\N	\N
166402	556	1998-06-05	PRIJEM	VKLAD	27903	48080	\N	\N	\N
166403	556	1998-07-05	PRIJEM	VKLAD	18602	45324	\N	\N	\N
166404	556	1998-08-05	PRIJEM	VKLAD	18602	47826	\N	\N	\N
166405	556	1998-09-05	PRIJEM	VKLAD	18602	47706	\N	\N	\N
166406	556	1998-10-05	PRIJEM	VKLAD	18602	41385	\N	\N	\N
166407	556	1998-11-05	PRIJEM	VKLAD	18602	46163	\N	\N	\N
166408	556	1998-12-05	PRIJEM	VKLAD	27903	55753	\N	\N	\N
166410	556	1998-06-01	VYDAJ	VYBER	6560	20177	\N	\N	\N
166412	556	1998-01-20	VYDAJ	VYBER	10560	38049	\N	\N	\N
166413	556	1997-12-12	VYDAJ	VYBER	1920	60108	\N	\N	\N
166414	556	1998-12-04	VYDAJ	VYBER	3520	27850	\N	\N	\N
166421	556	1998-01-02	VYDAJ	VYBER	3120	30967	\N	\N	\N
166422	556	1998-01-29	VYDAJ	VYBER	3000	15249	\N	\N	\N
166423	556	1998-01-28	VYDAJ	VYBER	3360	18249	\N	\N	\N
166424	556	1998-01-24	VYDAJ	VYBER	1320	21609	\N	\N	\N
166425	556	1998-01-08	VYDAJ	VYBER	960	48609	\N	\N	\N
166426	556	1998-01-22	VYDAJ	VYBER	2520	35529	\N	\N	\N
166430	556	1997-12-14	VYDAJ	VYBER	5880	54228	\N	\N	\N
166432	556	1998-05-03	VYDAJ	VYBER	4800	21708	\N	\N	\N
166433	556	1998-06-20	VYDAJ	VYBER	1320	41480	\N	\N	\N
166434	556	1998-06-18	VYDAJ	VYBER	5280	42800	\N	\N	\N
166435	556	1998-03-02	VYDAJ	VYBER	4440	18208	\N	\N	\N
166436	556	1998-08-15	VYDAJ	VYBER	840	46986	\N	\N	\N
166437	556	1998-09-20	VYDAJ	VYBER	4920	22686	\N	\N	\N
166438	556	1998-10-15	VYDAJ	VYBER	3720	37665	\N	\N	\N
166450	556	1997-11-30	VYDAJ	VYBER	15	34125	SLUZBY	\N	\N
166451	556	1997-12-31	VYDAJ	VYBER	15	34087	SLUZBY	\N	\N
166452	556	1998-01-31	VYDAJ	VYBER	15	15388	SLUZBY	\N	\N
166453	556	1998-02-28	VYDAJ	VYBER	15	22648	SLUZBY	\N	\N
166454	556	1998-03-31	VYDAJ	VYBER	15	22023	SLUZBY	\N	\N
166455	556	1998-04-30	VYDAJ	VYBER	15	26508	SLUZBY	\N	\N
166456	556	1998-05-31	VYDAJ	VYBER	15	26737	SLUZBY	\N	\N
166457	556	1998-06-30	VYDAJ	VYBER	15	26722	SLUZBY	\N	\N
166458	556	1998-07-31	VYDAJ	VYBER	15	29224	SLUZBY	\N	\N
166459	556	1998-08-31	VYDAJ	VYBER	15	29104	SLUZBY	\N	\N
166460	556	1998-09-30	VYDAJ	VYBER	15	22783	SLUZBY	\N	\N
166461	556	1998-10-31	VYDAJ	VYBER	15	27561	SLUZBY	\N	\N
166462	556	1998-11-30	VYDAJ	VYBER	15	31370	SLUZBY	\N	\N
166463	556	1997-07-26	PRIJEM	VKLAD	2200	21302	\N	\N	\N
166464	556	1997-08-25	VYDAJ	VYBER	9400	30521	\N	\N	\N
166465	556	1997-09-24	VYDAJ	VYBER	14400	34821	\N	\N	\N
166466	556	1997-10-24	VYDAJ	VYBER	20000	33554	\N	\N	\N
166467	556	1997-11-23	VYDAJ	VYBER	18300	34000	\N	\N	\N
166468	556	1997-12-23	VYDAJ	VYBER	20300	33928	\N	\N	\N
166469	556	1998-01-22	VYDAJ	VYBER	12600	22929	\N	\N	\N
166470	556	1998-02-21	VYDAJ	VYBER	11400	22590	\N	\N	\N
166471	556	1998-03-23	VYDAJ	VYBER	14900	21910	\N	\N	\N
166472	556	1998-04-22	VYDAJ	VYBER	14200	26425	\N	\N	\N
166473	556	1998-05-22	VYDAJ	VYBER	13700	26610	\N	\N	\N
166474	556	1998-06-21	VYDAJ	VYBER	14900	26580	\N	\N	\N
166475	556	1998-07-21	VYDAJ	VYBER	16200	29124	\N	\N	\N
166476	556	1998-08-20	VYDAJ	VYBER	18000	28986	\N	\N	\N
166477	556	1998-09-19	VYDAJ	VYBER	20100	27606	\N	\N	\N
166478	556	1998-10-19	VYDAJ	VYBER	10200	27465	\N	\N	\N
166479	556	1998-11-18	VYDAJ	VYBER	14900	31263	\N	\N	\N
166498	557	1995-11-26	PRIJEM	VKLAD	600	600	\N	\N	\N
166510	557	1995-12-13	PRIJEM	PREVOD Z UCTU	3075	3675	\N	CD	17797619
166511	557	1996-01-13	PRIJEM	PREVOD Z UCTU	3075	6750	\N	CD	17797619
166512	557	1996-02-13	PRIJEM	PREVOD Z UCTU	3075	9825	\N	CD	17797619
166513	557	1996-03-13	PRIJEM	PREVOD Z UCTU	3075	12900	\N	CD	17797619
166514	557	1996-04-13	PRIJEM	PREVOD Z UCTU	3075	15975	\N	CD	17797619
166515	557	1996-05-13	PRIJEM	PREVOD Z UCTU	3075	16450	\N	CD	17797619
166516	557	1996-06-13	PRIJEM	PREVOD Z UCTU	3075	15335	\N	CD	17797619
166517	557	1996-07-13	PRIJEM	PREVOD Z UCTU	3075	16407	\N	CD	17797619
166518	557	1996-08-13	PRIJEM	PREVOD Z UCTU	3075	16485	\N	CD	17797619
166519	557	1996-09-13	PRIJEM	PREVOD Z UCTU	3075	16204	\N	CD	17797619
166520	557	1996-10-13	PRIJEM	PREVOD Z UCTU	3075	17271	\N	CD	17797619
166521	557	1996-11-13	PRIJEM	PREVOD Z UCTU	3075	18348	\N	CD	17797619
166522	557	1996-12-13	PRIJEM	PREVOD Z UCTU	3075	19430	\N	CD	17797619
166523	557	1997-01-13	PRIJEM	PREVOD Z UCTU	3075	18744	\N	CD	17797619
166524	557	1997-02-13	PRIJEM	PREVOD Z UCTU	3075	15828	\N	CD	17797619
166525	557	1997-03-13	PRIJEM	PREVOD Z UCTU	3075	16900	\N	CD	17797619
166526	557	1997-04-13	PRIJEM	PREVOD Z UCTU	3075	17976	\N	CD	17797619
166527	557	1997-05-13	PRIJEM	PREVOD Z UCTU	3075	19055	\N	CD	17797619
166528	557	1997-06-13	PRIJEM	PREVOD Z UCTU	3075	19895	\N	CD	17797619
166529	557	1997-07-13	PRIJEM	PREVOD Z UCTU	3075	20983	\N	CD	17797619
166530	557	1997-08-13	PRIJEM	PREVOD Z UCTU	3075	22075	\N	CD	17797619
166531	557	1997-09-13	PRIJEM	PREVOD Z UCTU	3075	22239	\N	CD	17797619
166532	557	1997-10-13	PRIJEM	PREVOD Z UCTU	3075	23337	\N	CD	17797619
166533	557	1997-11-13	PRIJEM	PREVOD Z UCTU	3075	24434	\N	CD	17797619
166534	557	1997-12-13	PRIJEM	PREVOD Z UCTU	3075	25086	\N	CD	17797619
166535	557	1998-01-13	PRIJEM	PREVOD Z UCTU	3075	24216	\N	CD	17797619
166536	557	1998-02-13	PRIJEM	PREVOD Z UCTU	3075	21983	\N	CD	17797619
166537	557	1998-03-13	PRIJEM	PREVOD Z UCTU	3075	23079	\N	CD	17797619
166538	557	1998-04-13	PRIJEM	PREVOD Z UCTU	3075	23696	\N	CD	17797619
166539	557	1998-05-13	PRIJEM	PREVOD Z UCTU	3075	24799	\N	CD	17797619
166540	557	1998-06-13	PRIJEM	PREVOD Z UCTU	3075	17835	\N	CD	17797619
166541	557	1998-07-13	PRIJEM	PREVOD Z UCTU	3075	18921	\N	CD	17797619
166542	557	1998-08-13	PRIJEM	PREVOD Z UCTU	3075	19999	\N	CD	17797619
166543	557	1998-09-13	PRIJEM	PREVOD Z UCTU	3075	19882	\N	CD	17797619
166544	557	1998-10-13	PRIJEM	PREVOD Z UCTU	3075	20965	\N	CD	17797619
166545	557	1998-11-13	PRIJEM	PREVOD Z UCTU	3075	20586	\N	CD	17797619
166546	557	1998-12-13	PRIJEM	PREVOD Z UCTU	3075	21466	\N	CD	17797619
166562	557	1996-04-13	VYDAJ	PREVOD NA UCET	2050	13925	SIPO	MN	88362860
166563	557	1996-05-13	VYDAJ	PREVOD NA UCET	2050	14400	SIPO	MN	88362860
166564	557	1996-06-13	VYDAJ	PREVOD NA UCET	2050	13285	SIPO	MN	88362860
166565	557	1996-07-13	VYDAJ	PREVOD NA UCET	2050	14357	SIPO	MN	88362860
166566	557	1996-08-13	VYDAJ	PREVOD NA UCET	2050	14435	SIPO	MN	88362860
166567	557	1996-09-13	VYDAJ	PREVOD NA UCET	2050	14154	SIPO	MN	88362860
166568	557	1996-10-13	VYDAJ	PREVOD NA UCET	2050	15221	SIPO	MN	88362860
166569	557	1996-11-13	VYDAJ	PREVOD NA UCET	2050	16298	SIPO	MN	88362860
166570	557	1996-12-13	VYDAJ	PREVOD NA UCET	2050	17380	SIPO	MN	88362860
166571	557	1997-01-13	VYDAJ	PREVOD NA UCET	2050	16694	SIPO	MN	88362860
166572	557	1997-02-13	VYDAJ	PREVOD NA UCET	2050	13778	SIPO	MN	88362860
166573	557	1997-03-13	VYDAJ	PREVOD NA UCET	2050	14850	SIPO	MN	88362860
166574	557	1997-04-13	VYDAJ	PREVOD NA UCET	2050	15926	SIPO	MN	88362860
166575	557	1997-05-13	VYDAJ	PREVOD NA UCET	2050	17005	SIPO	MN	88362860
166576	557	1997-06-13	VYDAJ	PREVOD NA UCET	2050	17845	SIPO	MN	88362860
166577	557	1997-07-13	VYDAJ	PREVOD NA UCET	2050	18933	SIPO	MN	88362860
166578	557	1997-08-13	VYDAJ	PREVOD NA UCET	2050	20025	SIPO	MN	88362860
166579	557	1997-09-13	VYDAJ	PREVOD NA UCET	2050	20189	SIPO	MN	88362860
166580	557	1997-10-13	VYDAJ	PREVOD NA UCET	2050	21287	SIPO	MN	88362860
166581	557	1997-11-13	VYDAJ	PREVOD NA UCET	2050	22384	SIPO	MN	88362860
166582	557	1997-12-13	VYDAJ	PREVOD NA UCET	2050	23036	SIPO	MN	88362860
166583	557	1998-01-13	VYDAJ	PREVOD NA UCET	2050	22166	SIPO	MN	88362860
166584	557	1998-02-13	VYDAJ	PREVOD NA UCET	2050	19933	SIPO	MN	88362860
166585	557	1998-03-13	VYDAJ	PREVOD NA UCET	2050	21029	SIPO	MN	88362860
166586	557	1998-04-13	VYDAJ	PREVOD NA UCET	2050	21646	SIPO	MN	88362860
166587	557	1998-05-13	VYDAJ	PREVOD NA UCET	2050	22749	SIPO	MN	88362860
166588	557	1998-06-13	VYDAJ	PREVOD NA UCET	2050	15785	SIPO	MN	88362860
166589	557	1998-07-13	VYDAJ	PREVOD NA UCET	2050	16871	SIPO	MN	88362860
166590	557	1998-08-13	VYDAJ	PREVOD NA UCET	2050	17949	SIPO	MN	88362860
166591	557	1998-09-13	VYDAJ	PREVOD NA UCET	2050	17832	SIPO	MN	88362860
166592	557	1998-10-13	VYDAJ	PREVOD NA UCET	2050	18915	SIPO	MN	88362860
166593	557	1998-11-13	VYDAJ	PREVOD NA UCET	2050	18536	SIPO	MN	88362860
166594	557	1998-12-13	VYDAJ	PREVOD NA UCET	2050	19416	SIPO	MN	88362860
166596	557	1996-06-04	VYDAJ	VYBER	1380	13070	\N	\N	\N
166598	557	1998-06-07	VYDAJ	VYBER	7200	14760	\N	\N	\N
166601	557	1997-01-16	VYDAJ	VYBER	540	15824	\N	\N	\N
166602	557	1998-01-18	VYDAJ	VYBER	2250	19676	\N	\N	\N
166604	557	1996-12-26	VYDAJ	VYBER	480	16900	\N	\N	\N
166605	557	1997-12-02	VYDAJ	VYBER	450	22011	\N	\N	\N
166606	557	1998-12-11	VYDAJ	VYBER	210	18391	\N	\N	\N
166619	557	1997-01-16	VYDAJ	VYBER	150	16364	\N	\N	\N
166620	557	1997-01-01	VYDAJ	VYBER	150	15669	\N	\N	\N
166621	557	1997-01-16	VYDAJ	VYBER	180	16514	\N	\N	\N
166622	557	1997-01-17	VYDAJ	VYBER	600	15224	\N	\N	\N
166623	557	1997-01-23	VYDAJ	VYBER	720	13664	\N	\N	\N
166624	557	1997-01-19	VYDAJ	VYBER	840	14384	\N	\N	\N
166625	557	1998-01-02	VYDAJ	VYBER	630	21861	\N	\N	\N
166626	557	1998-01-02	VYDAJ	VYBER	630	22491	\N	\N	\N
166627	557	1998-01-28	VYDAJ	VYBER	840	18836	\N	\N	\N
166628	557	1998-01-15	VYDAJ	VYBER	240	21926	\N	\N	\N
166629	557	1998-01-11	VYDAJ	VYBER	180	21681	\N	\N	\N
166630	557	1998-01-12	VYDAJ	VYBER	540	21141	\N	\N	\N
166636	557	1996-05-09	VYDAJ	VYBER	570	13375	\N	\N	\N
166637	557	1996-08-16	VYDAJ	VYBER	1350	13085	\N	\N	\N
166638	557	1996-12-30	VYDAJ	VYBER	1140	15760	\N	\N	\N
166639	557	1996-06-11	VYDAJ	VYBER	810	12260	\N	\N	\N
166643	557	1996-08-04	VYDAJ	VYBER	990	13410	\N	\N	\N
166644	557	1997-06-02	VYDAJ	VYBER	240	16820	\N	\N	\N
166645	557	1997-08-24	VYDAJ	VYBER	930	19095	\N	\N	\N
166646	557	1997-02-04	VYDAJ	VYBER	960	12753	\N	\N	\N
166647	557	1998-08-20	VYDAJ	VYBER	1200	16749	\N	\N	\N
166648	557	1998-05-24	VYDAJ	VYBER	870	21879	\N	\N	\N
166649	557	1998-03-21	VYDAJ	VYBER	480	20549	\N	\N	\N
166650	557	1998-10-29	VYDAJ	VYBER	1470	17445	\N	\N	\N
166667	557	1996-04-30	VYDAJ	VYBER	15	13945	SLUZBY	\N	\N
166668	557	1996-05-31	VYDAJ	VYBER	15	14450	SLUZBY	\N	\N
166669	557	1996-06-30	VYDAJ	VYBER	15	13332	SLUZBY	\N	\N
166670	557	1996-07-31	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
166671	557	1996-08-31	VYDAJ	VYBER	15	13129	SLUZBY	\N	\N
166672	557	1996-09-30	VYDAJ	VYBER	15	14196	SLUZBY	\N	\N
166673	557	1996-10-31	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
166674	557	1996-11-30	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
166675	557	1996-12-31	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
166676	557	1997-01-31	VYDAJ	VYBER	15	13713	SLUZBY	\N	\N
166677	557	1997-02-28	VYDAJ	VYBER	15	13825	SLUZBY	\N	\N
166678	557	1997-03-31	VYDAJ	VYBER	15	14901	SLUZBY	\N	\N
166679	557	1997-04-30	VYDAJ	VYBER	15	15980	SLUZBY	\N	\N
166680	557	1997-05-31	VYDAJ	VYBER	15	17060	SLUZBY	\N	\N
166681	557	1997-06-30	VYDAJ	VYBER	15	17908	SLUZBY	\N	\N
166682	557	1997-07-31	VYDAJ	VYBER	15	19000	SLUZBY	\N	\N
166683	557	1997-08-31	VYDAJ	VYBER	15	19164	SLUZBY	\N	\N
166684	557	1997-09-30	VYDAJ	VYBER	15	20262	SLUZBY	\N	\N
166685	557	1997-10-31	VYDAJ	VYBER	15	21359	SLUZBY	\N	\N
166686	557	1997-11-30	VYDAJ	VYBER	15	22461	SLUZBY	\N	\N
166687	557	1997-12-31	VYDAJ	VYBER	15	23121	SLUZBY	\N	\N
166688	557	1998-01-31	VYDAJ	VYBER	15	18908	SLUZBY	\N	\N
166689	557	1998-02-28	VYDAJ	VYBER	15	20004	SLUZBY	\N	\N
166690	557	1998-03-31	VYDAJ	VYBER	15	20621	SLUZBY	\N	\N
166691	557	1998-04-30	VYDAJ	VYBER	15	21724	SLUZBY	\N	\N
166692	557	1998-05-31	VYDAJ	VYBER	15	21960	SLUZBY	\N	\N
166693	557	1998-06-30	VYDAJ	VYBER	15	15846	SLUZBY	\N	\N
166694	557	1998-07-31	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
166695	557	1998-08-31	VYDAJ	VYBER	15	16807	SLUZBY	\N	\N
166696	557	1998-09-30	VYDAJ	VYBER	15	17890	SLUZBY	\N	\N
166697	557	1998-10-31	VYDAJ	VYBER	15	17511	SLUZBY	\N	\N
166698	557	1998-11-30	VYDAJ	VYBER	15	18601	SLUZBY	\N	\N
166732	558	1996-06-15	PRIJEM	VKLAD	900	900	\N	\N	\N
166739	558	1996-07-11	PRIJEM	VKLAD	8336	9236	\N	\N	\N
166740	558	1996-08-11	PRIJEM	VKLAD	8336	23507	\N	\N	\N
166741	558	1996-09-11	PRIJEM	VKLAD	8336	31324	\N	\N	\N
166742	558	1996-10-11	PRIJEM	VKLAD	8336	38373	\N	\N	\N
166743	558	1996-11-11	PRIJEM	VKLAD	8336	43146	\N	\N	\N
166744	558	1996-12-11	PRIJEM	VKLAD	12504	29946	\N	\N	\N
166745	558	1997-01-11	PRIJEM	VKLAD	8336	25736	\N	\N	\N
166746	558	1997-02-11	PRIJEM	VKLAD	8336	23749	\N	\N	\N
166747	558	1997-03-11	PRIJEM	VKLAD	8336	23952	\N	\N	\N
166748	558	1997-04-11	PRIJEM	VKLAD	8336	26607	\N	\N	\N
166749	558	1997-05-11	PRIJEM	VKLAD	8336	20255	\N	\N	\N
166750	558	1997-06-11	PRIJEM	VKLAD	12504	29856	\N	\N	\N
166751	558	1997-07-11	PRIJEM	VKLAD	8336	32081	\N	\N	\N
166752	558	1997-08-11	PRIJEM	VKLAD	8336	34367	\N	\N	\N
166753	558	1997-09-11	PRIJEM	VKLAD	8336	37065	\N	\N	\N
166754	558	1997-10-11	PRIJEM	VKLAD	8336	35972	\N	\N	\N
166755	558	1997-11-11	PRIJEM	VKLAD	8336	37679	\N	\N	\N
166756	558	1997-12-11	PRIJEM	VKLAD	12504	40657	\N	\N	\N
166757	558	1998-01-11	PRIJEM	VKLAD	8336	32255	\N	\N	\N
166758	558	1998-02-11	PRIJEM	VKLAD	8336	23816	\N	\N	\N
166759	558	1998-03-11	PRIJEM	VKLAD	8336	28636	\N	\N	\N
166760	558	1998-04-11	PRIJEM	VKLAD	8336	31358	\N	\N	\N
166761	558	1998-05-11	PRIJEM	VKLAD	8336	32140	\N	\N	\N
166762	558	1998-06-11	PRIJEM	VKLAD	12504	35998	\N	\N	\N
166763	558	1998-07-11	PRIJEM	VKLAD	8336	31627	\N	\N	\N
166764	558	1998-08-11	PRIJEM	VKLAD	8336	33410	\N	\N	\N
166765	558	1998-09-11	PRIJEM	VKLAD	8336	38602	\N	\N	\N
166766	558	1998-10-11	PRIJEM	VKLAD	8336	38670	\N	\N	\N
166767	558	1998-11-11	PRIJEM	VKLAD	8336	47482	\N	\N	\N
166768	558	1998-12-11	PRIJEM	VKLAD	12504	52831	\N	\N	\N
166780	558	1996-12-06	VYDAJ	PREVOD NA UCET	4081	23322	SIPO	CD	60158938
166781	558	1997-01-06	VYDAJ	PREVOD NA UCET	4081	20880	SIPO	CD	60158938
166782	558	1997-02-06	VYDAJ	PREVOD NA UCET	4081	8413	SIPO	CD	60158938
166783	558	1997-03-06	VYDAJ	PREVOD NA UCET	4081	18256	SIPO	CD	60158938
166784	558	1997-04-06	VYDAJ	PREVOD NA UCET	4081	18271	SIPO	CD	60158938
166785	558	1997-05-06	VYDAJ	PREVOD NA UCET	4081	11019	SIPO	CD	60158938
166786	558	1997-06-06	VYDAJ	PREVOD NA UCET	4081	12352	SIPO	CD	60158938
166787	558	1997-07-06	VYDAJ	PREVOD NA UCET	4081	22345	SIPO	CD	60158938
166788	558	1997-08-06	VYDAJ	PREVOD NA UCET	4081	26631	SIPO	CD	60158938
166789	558	1997-09-06	VYDAJ	PREVOD NA UCET	4081	28929	SIPO	CD	60158938
166790	558	1997-10-06	VYDAJ	PREVOD NA UCET	4081	31636	SIPO	CD	60158938
166791	558	1997-11-06	VYDAJ	PREVOD NA UCET	4081	30543	SIPO	CD	60158938
166792	558	1997-12-06	VYDAJ	PREVOD NA UCET	4081	32253	SIPO	CD	60158938
166793	558	1998-01-06	VYDAJ	PREVOD NA UCET	4081	23919	SIPO	CD	60158938
166794	558	1998-02-06	VYDAJ	PREVOD NA UCET	4081	15480	SIPO	CD	60158938
166795	558	1998-03-06	VYDAJ	PREVOD NA UCET	4081	14000	SIPO	CD	60158938
166796	558	1998-04-06	VYDAJ	PREVOD NA UCET	4081	23022	SIPO	CD	60158938
166797	558	1998-05-06	VYDAJ	PREVOD NA UCET	4081	23804	SIPO	CD	60158938
166798	558	1998-06-06	VYDAJ	PREVOD NA UCET	4081	23494	SIPO	CD	60158938
166799	558	1998-07-06	VYDAJ	PREVOD NA UCET	4081	23291	SIPO	CD	60158938
166800	558	1998-08-06	VYDAJ	PREVOD NA UCET	4081	25074	SIPO	CD	60158938
166924	558	1996-10-13	VYDAJ	VYBER	3700	34673	\N	\N	\N
166801	558	1998-09-06	VYDAJ	PREVOD NA UCET	4081	30266	SIPO	CD	60158938
166802	558	1998-10-06	VYDAJ	PREVOD NA UCET	4081	30334	SIPO	CD	60158938
166803	558	1998-11-06	VYDAJ	PREVOD NA UCET	4081	39146	SIPO	CD	60158938
166804	558	1998-12-06	VYDAJ	PREVOD NA UCET	4081	40327	SIPO	CD	60158938
166815	558	1996-11-13	VYDAJ	PREVOD NA UCET	1476	33170	 	WX	11205697
166816	558	1996-12-13	VYDAJ	PREVOD NA UCET	1476	24870	 	WX	11205697
166817	558	1997-01-13	VYDAJ	PREVOD NA UCET	1476	23860	 	WX	11205697
166818	558	1997-02-13	VYDAJ	PREVOD NA UCET	1476	22273	 	WX	11205697
166819	558	1997-03-13	VYDAJ	PREVOD NA UCET	1476	22276	 	WX	11205697
166820	558	1997-04-13	VYDAJ	PREVOD NA UCET	1476	20431	 	WX	11205697
166821	558	1997-05-13	VYDAJ	PREVOD NA UCET	1476	18779	 	WX	11205697
166822	558	1997-06-13	VYDAJ	PREVOD NA UCET	1476	28380	 	WX	11205697
166823	558	1997-07-13	VYDAJ	PREVOD NA UCET	1476	30605	 	WX	11205697
166824	558	1997-08-13	VYDAJ	PREVOD NA UCET	1476	32891	 	WX	11205697
166825	558	1997-09-13	VYDAJ	PREVOD NA UCET	1476	35589	 	WX	11205697
166826	558	1997-10-13	VYDAJ	PREVOD NA UCET	1476	34496	 	WX	11205697
166827	558	1997-11-13	VYDAJ	PREVOD NA UCET	1476	36203	 	WX	11205697
166828	558	1997-12-13	VYDAJ	PREVOD NA UCET	1476	39181	 	WX	11205697
166829	558	1998-01-13	VYDAJ	PREVOD NA UCET	1476	27299	 	WX	11205697
166830	558	1998-02-13	VYDAJ	PREVOD NA UCET	1476	22340	 	WX	11205697
166831	558	1998-03-13	VYDAJ	PREVOD NA UCET	1476	27160	 	WX	11205697
166832	558	1998-04-13	VYDAJ	PREVOD NA UCET	1476	29882	 	WX	11205697
166833	558	1998-05-13	VYDAJ	PREVOD NA UCET	1476	30664	 	WX	11205697
166834	558	1998-06-13	VYDAJ	PREVOD NA UCET	1476	34522	 	WX	11205697
166835	558	1998-07-13	VYDAJ	PREVOD NA UCET	1476	30151	 	WX	11205697
166836	558	1998-08-13	VYDAJ	PREVOD NA UCET	1476	31934	 	WX	11205697
166837	558	1998-09-13	VYDAJ	PREVOD NA UCET	1476	37126	 	WX	11205697
166838	558	1998-10-13	VYDAJ	PREVOD NA UCET	1476	37194	 	WX	11205697
166839	558	1998-11-13	VYDAJ	PREVOD NA UCET	1476	46006	 	WX	11205697
166840	558	1998-12-13	VYDAJ	PREVOD NA UCET	1476	46875	 	WX	11205697
166843	558	1998-06-22	VYDAJ	VYBER	7360	27162	\N	\N	\N
166845	558	1997-01-29	VYDAJ	VYBER	1600	15060	\N	\N	\N
166846	558	1998-01-21	VYDAJ	VYBER	7360	15979	\N	\N	\N
166847	558	1996-12-09	VYDAJ	VYBER	3360	19962	\N	\N	\N
166848	558	1997-12-26	VYDAJ	VYBER	2240	36941	\N	\N	\N
166849	558	1998-12-11	VYDAJ	VYBER	4480	48351	\N	\N	\N
166856	558	1997-01-25	VYDAJ	VYBER	2880	16660	\N	\N	\N
166857	558	1997-01-19	VYDAJ	VYBER	3120	20740	\N	\N	\N
166858	558	1997-01-21	VYDAJ	VYBER	1200	19540	\N	\N	\N
166859	558	1997-01-30	VYDAJ	VYBER	2640	12420	\N	\N	\N
166860	558	1997-01-09	VYDAJ	VYBER	3480	17400	\N	\N	\N
166862	558	1998-01-13	VYDAJ	VYBER	2040	25259	\N	\N	\N
166863	558	1998-01-14	VYDAJ	VYBER	1920	23339	\N	\N	\N
166864	558	1998-01-03	VYDAJ	VYBER	3240	33840	\N	\N	\N
166865	558	1998-01-11	VYDAJ	VYBER	3480	28775	\N	\N	\N
166866	558	1998-01-23	VYDAJ	VYBER	3000	12979	\N	\N	\N
166867	558	1998-01-03	VYDAJ	VYBER	840	33000	\N	\N	\N
166868	558	1996-11-15	VYDAJ	VYBER	5880	27290	\N	\N	\N
166870	558	1996-12-10	VYDAJ	VYBER	2520	17442	\N	\N	\N
166873	558	1997-05-17	VYDAJ	VYBER	2400	16379	\N	\N	\N
166874	558	1997-06-25	VYDAJ	VYBER	2040	26340	\N	\N	\N
166876	558	1997-04-23	VYDAJ	VYBER	5400	15031	\N	\N	\N
166878	558	1997-03-06	VYDAJ	VYBER	2640	15616	\N	\N	\N
166879	558	1998-09-28	VYDAJ	VYBER	4440	32686	\N	\N	\N
166880	558	1998-02-17	VYDAJ	VYBER	3000	19340	\N	\N	\N
166882	558	1998-03-24	VYDAJ	VYBER	4440	22720	\N	\N	\N
166883	558	1998-11-20	VYDAJ	VYBER	2760	43246	\N	\N	\N
166884	558	1998-03-03	VYDAJ	VYBER	1320	18081	\N	\N	\N
166896	558	1996-11-30	VYDAJ	VYBER	15	27403	SLUZBY	\N	\N
166897	558	1996-12-31	VYDAJ	VYBER	15	24961	SLUZBY	\N	\N
166898	558	1997-01-31	VYDAJ	VYBER	15	12494	SLUZBY	\N	\N
166899	558	1997-02-28	VYDAJ	VYBER	15	22337	SLUZBY	\N	\N
166900	558	1997-03-31	VYDAJ	VYBER	15	22352	SLUZBY	\N	\N
166901	558	1997-04-30	VYDAJ	VYBER	15	15100	SLUZBY	\N	\N
166902	558	1997-05-31	VYDAJ	VYBER	15	16433	SLUZBY	\N	\N
166903	558	1997-06-30	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
166904	558	1997-07-31	VYDAJ	VYBER	15	30712	SLUZBY	\N	\N
166905	558	1997-08-31	VYDAJ	VYBER	15	33010	SLUZBY	\N	\N
166906	558	1997-09-30	VYDAJ	VYBER	15	35717	SLUZBY	\N	\N
166907	558	1997-10-31	VYDAJ	VYBER	15	34624	SLUZBY	\N	\N
166908	558	1997-11-30	VYDAJ	VYBER	15	36334	SLUZBY	\N	\N
166909	558	1997-12-31	VYDAJ	VYBER	15	37080	SLUZBY	\N	\N
166910	558	1998-01-31	VYDAJ	VYBER	15	13061	SLUZBY	\N	\N
166911	558	1998-02-28	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
166912	558	1998-03-31	VYDAJ	VYBER	15	22803	SLUZBY	\N	\N
166913	558	1998-04-30	VYDAJ	VYBER	15	29985	SLUZBY	\N	\N
166914	558	1998-05-31	VYDAJ	VYBER	15	30775	SLUZBY	\N	\N
166915	558	1998-06-30	VYDAJ	VYBER	15	27272	SLUZBY	\N	\N
166916	558	1998-07-31	VYDAJ	VYBER	15	30255	SLUZBY	\N	\N
166917	558	1998-08-31	VYDAJ	VYBER	15	32047	SLUZBY	\N	\N
166918	558	1998-09-30	VYDAJ	VYBER	15	32815	SLUZBY	\N	\N
166919	558	1998-10-31	VYDAJ	VYBER	15	37327	SLUZBY	\N	\N
166920	558	1998-11-30	VYDAJ	VYBER	15	43408	SLUZBY	\N	\N
166921	558	1996-07-15	PRIJEM	VKLAD	5900	15136	\N	\N	\N
166922	558	1996-08-14	VYDAJ	VYBER	600	22907	\N	\N	\N
166923	558	1996-09-13	VYDAJ	VYBER	1400	29924	\N	\N	\N
166925	558	1996-11-12	VYDAJ	VYBER	8500	34646	\N	\N	\N
166926	558	1996-12-12	VYDAJ	VYBER	3600	26346	\N	\N	\N
166927	558	1997-01-11	VYDAJ	VYBER	400	25336	\N	\N	\N
166928	558	1997-02-10	PRIJEM	VKLAD	7000	15413	\N	\N	\N
166929	558	1997-03-12	VYDAJ	VYBER	200	23752	\N	\N	\N
166930	558	1997-04-11	VYDAJ	VYBER	4700	21907	\N	\N	\N
166931	558	1997-05-11	PRIJEM	VKLAD	900	11919	\N	\N	\N
166932	558	1997-06-10	PRIJEM	VKLAD	5000	17352	\N	\N	\N
166933	558	1997-07-10	PRIJEM	VKLAD	1400	23745	\N	\N	\N
166934	558	1997-08-09	VYDAJ	VYBER	600	26031	\N	\N	\N
166935	558	1997-09-08	VYDAJ	VYBER	200	28729	\N	\N	\N
166936	558	1997-10-08	VYDAJ	VYBER	4000	27636	\N	\N	\N
166937	558	1997-11-07	VYDAJ	VYBER	1200	29343	\N	\N	\N
166938	558	1997-12-07	VYDAJ	VYBER	4100	28153	\N	\N	\N
166939	558	1998-01-06	VYDAJ	VYBER	5000	28000	\N	\N	\N
166940	558	1998-02-05	PRIJEM	VKLAD	6500	19561	\N	\N	\N
166941	558	1998-03-07	PRIJEM	VKLAD	6300	20300	\N	\N	\N
166942	558	1998-04-06	PRIJEM	VKLAD	4300	27103	\N	\N	\N
166943	558	1998-05-06	VYDAJ	VYBER	2100	27885	\N	\N	\N
166944	558	1998-06-05	VYDAJ	VYBER	3200	27575	\N	\N	\N
166945	558	1998-07-05	PRIJEM	VKLAD	100	27372	\N	\N	\N
166946	558	1998-08-04	VYDAJ	VYBER	1100	29155	\N	\N	\N
166947	558	1998-09-03	PRIJEM	VKLAD	2300	34347	\N	\N	\N
166948	558	1998-10-03	PRIJEM	VKLAD	1600	34415	\N	\N	\N
166949	558	1998-11-02	PRIJEM	VKLAD	5900	43227	\N	\N	\N
166950	558	1998-12-02	PRIJEM	VKLAD	1000	44408	\N	\N	\N
166981	559	1993-03-05	PRIJEM	VKLAD	300	300	\N	\N	\N
166984	559	1993-03-14	PRIJEM	PREVOD Z UCTU	5672	5972	DUCHOD	OP	74414402
166985	559	1993-04-14	PRIJEM	PREVOD Z UCTU	5672	11658	DUCHOD	OP	74414402
166986	559	1993-05-14	PRIJEM	PREVOD Z UCTU	5672	17355	DUCHOD	OP	74414402
166987	559	1993-06-14	PRIJEM	PREVOD Z UCTU	5672	23052	DUCHOD	OP	74414402
166988	559	1993-07-14	PRIJEM	PREVOD Z UCTU	5672	28749	DUCHOD	OP	74414402
166989	559	1993-08-14	PRIJEM	PREVOD Z UCTU	5672	29859	DUCHOD	OP	74414402
166990	559	1993-09-14	PRIJEM	PREVOD Z UCTU	5672	30059	DUCHOD	OP	74414402
166991	559	1993-10-14	PRIJEM	PREVOD Z UCTU	5672	29661	DUCHOD	OP	74414402
166992	559	1993-11-14	PRIJEM	PREVOD Z UCTU	5672	32361	DUCHOD	OP	74414402
166993	559	1993-12-14	PRIJEM	PREVOD Z UCTU	5672	31721	DUCHOD	OP	74414402
166994	559	1994-01-14	PRIJEM	PREVOD Z UCTU	5672	26147	DUCHOD	OP	74414402
166995	559	1994-02-14	PRIJEM	PREVOD Z UCTU	5672	22295	DUCHOD	OP	74414402
166996	559	1994-03-14	PRIJEM	PREVOD Z UCTU	5672	24763	DUCHOD	OP	74414402
166997	559	1994-04-14	PRIJEM	PREVOD Z UCTU	5672	24900	DUCHOD	OP	74414402
166998	559	1994-05-14	PRIJEM	PREVOD Z UCTU	5672	28480	DUCHOD	OP	74414402
166999	559	1994-06-14	PRIJEM	PREVOD Z UCTU	5672	30974	DUCHOD	OP	74414402
167000	559	1994-07-14	PRIJEM	PREVOD Z UCTU	5672	30978	DUCHOD	OP	74414402
167001	559	1994-08-14	PRIJEM	PREVOD Z UCTU	5672	30458	DUCHOD	OP	74414402
167002	559	1994-09-14	PRIJEM	PREVOD Z UCTU	5672	30659	DUCHOD	OP	74414402
167003	559	1994-10-14	PRIJEM	PREVOD Z UCTU	5672	29459	DUCHOD	OP	74414402
167004	559	1994-11-14	PRIJEM	PREVOD Z UCTU	5672	32758	DUCHOD	OP	74414402
167005	559	1994-12-14	PRIJEM	PREVOD Z UCTU	5672	27295	DUCHOD	OP	74414402
167006	559	1995-01-14	PRIJEM	PREVOD Z UCTU	5672	23202	DUCHOD	OP	74414402
167007	559	1995-02-14	PRIJEM	PREVOD Z UCTU	5672	20850	DUCHOD	OP	74414402
167008	559	1995-03-14	PRIJEM	PREVOD Z UCTU	5672	24412	DUCHOD	OP	74414402
167009	559	1995-04-14	PRIJEM	PREVOD Z UCTU	5672	27990	DUCHOD	OP	74414402
167010	559	1995-05-14	PRIJEM	PREVOD Z UCTU	5672	30481	DUCHOD	OP	74414402
167011	559	1995-06-14	PRIJEM	PREVOD Z UCTU	5672	25897	DUCHOD	OP	74414402
167012	559	1995-07-14	PRIJEM	PREVOD Z UCTU	5672	24337	DUCHOD	OP	74414402
167013	559	1995-08-14	PRIJEM	PREVOD Z UCTU	5672	21888	DUCHOD	OP	74414402
167014	559	1995-09-14	PRIJEM	PREVOD Z UCTU	5672	23993	DUCHOD	OP	74414402
167015	559	1995-10-14	PRIJEM	PREVOD Z UCTU	5672	24465	DUCHOD	OP	74414402
167016	559	1995-11-14	PRIJEM	PREVOD Z UCTU	5672	27742	DUCHOD	OP	74414402
167017	559	1995-12-14	PRIJEM	PREVOD Z UCTU	5672	25625	DUCHOD	OP	74414402
167018	559	1996-01-14	PRIJEM	PREVOD Z UCTU	5672	21435	DUCHOD	OP	74414402
167019	559	1996-02-14	PRIJEM	PREVOD Z UCTU	5672	19640	DUCHOD	OP	74414402
167020	559	1996-03-14	PRIJEM	PREVOD Z UCTU	5672	20030	DUCHOD	OP	74414402
167021	559	1996-04-14	PRIJEM	PREVOD Z UCTU	5672	18681	DUCHOD	OP	74414402
167022	559	1996-05-14	PRIJEM	PREVOD Z UCTU	5672	19529	DUCHOD	OP	74414402
167023	559	1996-06-14	PRIJEM	PREVOD Z UCTU	5672	21983	DUCHOD	OP	74414402
167024	559	1996-07-14	PRIJEM	PREVOD Z UCTU	5672	20440	DUCHOD	OP	74414402
167025	559	1996-08-14	PRIJEM	PREVOD Z UCTU	5672	22157	DUCHOD	OP	74414402
167026	559	1996-09-14	PRIJEM	PREVOD Z UCTU	5672	22618	DUCHOD	OP	74414402
167027	559	1996-10-14	PRIJEM	PREVOD Z UCTU	5672	20775	DUCHOD	OP	74414402
167028	559	1996-11-14	PRIJEM	PREVOD Z UCTU	5672	20628	DUCHOD	OP	74414402
167029	559	1996-12-14	PRIJEM	PREVOD Z UCTU	5672	19068	DUCHOD	OP	74414402
167030	559	1997-01-14	PRIJEM	PREVOD Z UCTU	5672	16922	DUCHOD	OP	74414402
167031	559	1997-02-14	PRIJEM	PREVOD Z UCTU	5672	18384	DUCHOD	OP	74414402
167032	559	1997-03-14	PRIJEM	PREVOD Z UCTU	5672	21935	DUCHOD	OP	74414402
167240	559	1995-09-30	VYDAJ	VYBER	15	20968	SLUZBY	\N	\N
167033	559	1997-04-14	PRIJEM	PREVOD Z UCTU	5672	19000	DUCHOD	OP	74414402
167034	559	1997-05-14	PRIJEM	PREVOD Z UCTU	5672	20234	DUCHOD	OP	74414402
167035	559	1997-06-14	PRIJEM	PREVOD Z UCTU	5672	20692	DUCHOD	OP	74414402
167036	559	1997-07-14	PRIJEM	PREVOD Z UCTU	5672	24252	DUCHOD	OP	74414402
167037	559	1997-08-14	PRIJEM	PREVOD Z UCTU	5672	19727	DUCHOD	OP	74414402
167038	559	1997-09-14	PRIJEM	PREVOD Z UCTU	5672	21134	DUCHOD	OP	74414402
167039	559	1997-10-14	PRIJEM	PREVOD Z UCTU	5672	20695	DUCHOD	OP	74414402
167040	559	1997-11-14	PRIJEM	PREVOD Z UCTU	5672	19859	DUCHOD	OP	74414402
167041	559	1997-12-14	PRIJEM	PREVOD Z UCTU	5672	22967	DUCHOD	OP	74414402
167042	559	1998-01-14	PRIJEM	PREVOD Z UCTU	5672	21613	DUCHOD	OP	74414402
167043	559	1998-02-14	PRIJEM	PREVOD Z UCTU	5672	19249	DUCHOD	OP	74414402
167044	559	1998-03-14	PRIJEM	PREVOD Z UCTU	5672	20719	DUCHOD	OP	74414402
167045	559	1998-04-14	PRIJEM	PREVOD Z UCTU	5672	20511	DUCHOD	OP	74414402
167046	559	1998-05-14	PRIJEM	PREVOD Z UCTU	5672	24070	DUCHOD	OP	74414402
167047	559	1998-06-14	PRIJEM	PREVOD Z UCTU	5672	25044	DUCHOD	OP	74414402
167048	559	1998-07-14	PRIJEM	PREVOD Z UCTU	5672	22297	DUCHOD	OP	74414402
167049	559	1998-08-14	PRIJEM	PREVOD Z UCTU	5672	25864	DUCHOD	OP	74414402
167050	559	1998-09-14	PRIJEM	PREVOD Z UCTU	5672	17445	DUCHOD	OP	74414402
167051	559	1998-10-14	PRIJEM	PREVOD Z UCTU	5672	20996	DUCHOD	OP	74414402
167052	559	1998-11-14	PRIJEM	PREVOD Z UCTU	5672	24557	DUCHOD	OP	74414402
167053	559	1998-12-14	PRIJEM	PREVOD Z UCTU	5672	26682	DUCHOD	OP	74414402
167061	559	1993-08-06	VYDAJ	PREVOD NA UCET	2175	24187	SIPO	CD	77164244
167062	559	1993-09-06	VYDAJ	PREVOD NA UCET	2175	24387	SIPO	CD	77164244
167063	559	1993-10-06	VYDAJ	PREVOD NA UCET	2175	23989	SIPO	CD	77164244
167064	559	1993-11-06	VYDAJ	PREVOD NA UCET	2175	26689	SIPO	CD	77164244
167065	559	1993-12-06	VYDAJ	PREVOD NA UCET	2175	26049	SIPO	CD	77164244
167066	559	1994-01-06	VYDAJ	PREVOD NA UCET	2175	24955	SIPO	CD	77164244
167067	559	1994-02-06	VYDAJ	PREVOD NA UCET	2175	16623	SIPO	CD	77164244
167068	559	1994-03-06	VYDAJ	PREVOD NA UCET	2175	19091	SIPO	CD	77164244
167069	559	1994-04-06	VYDAJ	PREVOD NA UCET	2175	19228	SIPO	CD	77164244
167070	559	1994-05-06	VYDAJ	PREVOD NA UCET	2175	22808	SIPO	CD	77164244
167071	559	1994-06-06	VYDAJ	PREVOD NA UCET	2175	25302	SIPO	CD	77164244
167072	559	1994-07-06	VYDAJ	PREVOD NA UCET	2175	25306	SIPO	CD	77164244
167073	559	1994-08-06	VYDAJ	PREVOD NA UCET	2175	24786	SIPO	CD	77164244
167074	559	1994-09-06	VYDAJ	PREVOD NA UCET	2175	24987	SIPO	CD	77164244
167075	559	1994-10-06	VYDAJ	PREVOD NA UCET	2175	23787	SIPO	CD	77164244
167076	559	1994-11-06	VYDAJ	PREVOD NA UCET	2175	27086	SIPO	CD	77164244
167077	559	1994-12-06	VYDAJ	PREVOD NA UCET	2175	23073	SIPO	CD	77164244
167078	559	1995-01-06	VYDAJ	PREVOD NA UCET	2175	18010	SIPO	CD	77164244
167079	559	1995-02-06	VYDAJ	PREVOD NA UCET	2175	15178	SIPO	CD	77164244
167080	559	1995-03-06	VYDAJ	PREVOD NA UCET	2175	18740	SIPO	CD	77164244
167081	559	1995-04-06	VYDAJ	PREVOD NA UCET	2175	22318	SIPO	CD	77164244
167082	559	1995-05-06	VYDAJ	PREVOD NA UCET	2175	24809	SIPO	CD	77164244
167083	559	1995-06-06	VYDAJ	PREVOD NA UCET	2175	24325	SIPO	CD	77164244
167084	559	1995-07-06	VYDAJ	PREVOD NA UCET	2175	18665	SIPO	CD	77164244
167085	559	1995-08-06	VYDAJ	PREVOD NA UCET	2175	16216	SIPO	CD	77164244
167086	559	1995-09-06	VYDAJ	PREVOD NA UCET	2175	18321	SIPO	CD	77164244
167087	559	1995-10-06	VYDAJ	PREVOD NA UCET	2175	18793	SIPO	CD	77164244
167088	559	1995-11-06	VYDAJ	PREVOD NA UCET	2175	22070	SIPO	CD	77164244
167089	559	1995-12-06	VYDAJ	PREVOD NA UCET	2175	20553	SIPO	CD	77164244
167090	559	1996-01-06	VYDAJ	PREVOD NA UCET	2175	15763	SIPO	CD	77164244
167091	559	1996-02-06	VYDAJ	PREVOD NA UCET	2175	13968	SIPO	CD	77164244
167092	559	1996-03-06	VYDAJ	PREVOD NA UCET	2175	14358	SIPO	CD	77164244
167093	559	1996-04-06	VYDAJ	PREVOD NA UCET	2175	13009	SIPO	CD	77164244
167094	559	1996-05-06	VYDAJ	PREVOD NA UCET	2175	13857	SIPO	CD	77164244
167095	559	1996-06-06	VYDAJ	PREVOD NA UCET	2175	16311	SIPO	CD	77164244
167096	559	1996-07-06	VYDAJ	PREVOD NA UCET	2175	14768	SIPO	CD	77164244
167097	559	1996-08-06	VYDAJ	PREVOD NA UCET	2175	16485	SIPO	CD	77164244
167098	559	1996-09-06	VYDAJ	PREVOD NA UCET	2175	16946	SIPO	CD	77164244
167099	559	1996-10-06	VYDAJ	PREVOD NA UCET	2175	15103	SIPO	CD	77164244
167100	559	1996-11-06	VYDAJ	PREVOD NA UCET	2175	14956	SIPO	CD	77164244
167101	559	1996-12-06	VYDAJ	PREVOD NA UCET	2175	13396	SIPO	CD	77164244
167102	559	1997-01-06	VYDAJ	PREVOD NA UCET	2175	11250	SIPO	CD	77164244
167103	559	1997-02-06	VYDAJ	PREVOD NA UCET	2175	12712	SIPO	CD	77164244
167104	559	1997-03-06	VYDAJ	PREVOD NA UCET	2175	16263	SIPO	CD	77164244
167105	559	1997-04-06	VYDAJ	PREVOD NA UCET	2175	13328	SIPO	CD	77164244
167106	559	1997-05-06	VYDAJ	PREVOD NA UCET	2175	14562	SIPO	CD	77164244
167107	559	1997-06-06	VYDAJ	PREVOD NA UCET	2175	15020	SIPO	CD	77164244
167108	559	1997-07-06	VYDAJ	PREVOD NA UCET	2175	18580	SIPO	CD	77164244
167109	559	1997-08-06	VYDAJ	PREVOD NA UCET	2175	22155	SIPO	CD	77164244
167110	559	1997-09-06	VYDAJ	PREVOD NA UCET	2175	15462	SIPO	CD	77164244
167111	559	1997-10-06	VYDAJ	PREVOD NA UCET	2175	19023	SIPO	CD	77164244
167112	559	1997-11-06	VYDAJ	PREVOD NA UCET	2175	18587	SIPO	CD	77164244
167113	559	1997-12-06	VYDAJ	PREVOD NA UCET	2175	17745	SIPO	CD	77164244
167114	559	1998-01-06	VYDAJ	PREVOD NA UCET	2175	18141	SIPO	CD	77164244
167115	559	1998-02-06	VYDAJ	PREVOD NA UCET	2175	13577	SIPO	CD	77164244
167116	559	1998-03-06	VYDAJ	PREVOD NA UCET	2175	15047	SIPO	CD	77164244
167117	559	1998-04-06	VYDAJ	PREVOD NA UCET	2175	14839	SIPO	CD	77164244
167118	559	1998-05-06	VYDAJ	PREVOD NA UCET	2175	18398	SIPO	CD	77164244
167119	559	1998-06-06	VYDAJ	PREVOD NA UCET	2175	21972	SIPO	CD	77164244
167120	559	1998-07-06	VYDAJ	PREVOD NA UCET	2175	16625	SIPO	CD	77164244
167121	559	1998-08-06	VYDAJ	PREVOD NA UCET	2175	20192	SIPO	CD	77164244
167122	559	1998-09-06	VYDAJ	PREVOD NA UCET	2175	11773	SIPO	CD	77164244
167123	559	1998-10-06	VYDAJ	PREVOD NA UCET	2175	15324	SIPO	CD	77164244
167124	559	1998-11-06	VYDAJ	PREVOD NA UCET	2175	18885	SIPO	CD	77164244
167125	559	1998-12-06	VYDAJ	PREVOD NA UCET	2175	22460	SIPO	CD	77164244
167128	559	1995-06-10	VYDAJ	VYBER	4100	20225	\N	\N	\N
167130	559	1997-06-02	VYDAJ	VYBER	3100	17195	\N	\N	\N
167131	559	1998-06-13	VYDAJ	VYBER	2600	19372	\N	\N	\N
167133	559	1994-01-21	VYDAJ	VYBER	3750	20317	\N	\N	\N
167134	559	1995-01-05	VYDAJ	VYBER	1200	21945	\N	\N	\N
167135	559	1996-01-22	VYDAJ	VYBER	3350	16085	\N	\N	\N
167138	559	1993-12-02	VYDAJ	VYBER	1350	28224	\N	\N	\N
167139	559	1994-12-10	VYDAJ	VYBER	1450	21623	\N	\N	\N
167140	559	1995-12-07	VYDAJ	VYBER	600	19953	\N	\N	\N
167141	559	1996-12-06	VYDAJ	VYBER	1200	15571	\N	\N	\N
167142	559	1997-12-07	VYDAJ	VYBER	450	17295	\N	\N	\N
167143	559	1998-12-12	VYDAJ	VYBER	1450	21010	\N	\N	\N
167150	559	1994-01-08	VYDAJ	VYBER	1280	22315	\N	\N	\N
167151	559	1994-01-07	VYDAJ	VYBER	1360	23595	\N	\N	\N
167152	559	1994-01-30	VYDAJ	VYBER	720	18717	\N	\N	\N
167153	559	1994-01-10	VYDAJ	VYBER	1840	20475	\N	\N	\N
167154	559	1994-01-19	VYDAJ	VYBER	2080	24067	\N	\N	\N
167155	559	1994-01-25	VYDAJ	VYBER	880	19437	\N	\N	\N
167156	559	1995-01-03	VYDAJ	VYBER	1440	23145	\N	\N	\N
167157	559	1995-01-26	VYDAJ	VYBER	880	18802	\N	\N	\N
167158	559	1995-01-30	VYDAJ	VYBER	1520	17282	\N	\N	\N
167159	559	1995-01-10	VYDAJ	VYBER	480	17530	\N	\N	\N
167160	559	1995-01-05	VYDAJ	VYBER	1760	20185	\N	\N	\N
167161	559	1995-01-22	VYDAJ	VYBER	640	19682	\N	\N	\N
167162	559	1996-01-20	VYDAJ	VYBER	400	19435	\N	\N	\N
167163	559	1996-01-06	VYDAJ	VYBER	960	17938	\N	\N	\N
167165	559	1996-01-18	VYDAJ	VYBER	1600	19835	\N	\N	\N
167169	559	1997-01-20	VYDAJ	VYBER	2080	14842	\N	\N	\N
167174	559	1998-01-30	VYDAJ	VYBER	1040	15693	\N	\N	\N
167176	559	1998-01-22	VYDAJ	VYBER	1840	17853	\N	\N	\N
167177	559	1998-01-04	VYDAJ	VYBER	1520	20316	\N	\N	\N
167179	559	1998-01-23	VYDAJ	VYBER	1120	16733	\N	\N	\N
167182	559	1994-07-23	VYDAJ	VYBER	3920	27058	\N	\N	\N
167183	559	1994-06-28	VYDAJ	VYBER	3600	27374	\N	\N	\N
167184	559	1994-03-22	VYDAJ	VYBER	3440	21323	\N	\N	\N
167185	559	1994-12-03	VYDAJ	VYBER	1520	25248	\N	\N	\N
167186	559	1995-06-19	VYDAJ	VYBER	3840	22057	\N	\N	\N
167187	559	1995-08-26	VYDAJ	VYBER	560	20428	\N	\N	\N
167188	559	1995-05-17	VYDAJ	VYBER	2080	28401	\N	\N	\N
167189	559	1995-01-14	VYDAJ	VYBER	2880	20322	\N	\N	\N
167190	559	1995-07-26	VYDAJ	VYBER	3120	18317	\N	\N	\N
167191	559	1996-11-14	VYDAJ	VYBER	3920	16708	\N	\N	\N
167192	559	1996-02-16	VYDAJ	VYBER	2160	17480	\N	\N	\N
167193	559	1996-07-18	VYDAJ	VYBER	1840	18600	\N	\N	\N
167196	559	1997-09-02	VYDAJ	VYBER	2160	17637	\N	\N	\N
167197	559	1997-11-07	VYDAJ	VYBER	2000	16587	\N	\N	\N
167198	559	1997-12-14	VYDAJ	VYBER	1200	21767	\N	\N	\N
167199	559	1997-05-03	VYDAJ	VYBER	2320	16737	\N	\N	\N
167201	559	1998-02-19	VYDAJ	VYBER	2080	17169	\N	\N	\N
167202	559	1998-03-16	VYDAJ	VYBER	3760	16959	\N	\N	\N
167203	559	1998-01-15	VYDAJ	VYBER	1920	19693	\N	\N	\N
167205	559	1998-06-21	VYDAJ	VYBER	3920	21124	\N	\N	\N
167206	559	1998-06-22	VYDAJ	VYBER	2400	18724	\N	\N	\N
167214	559	1993-07-31	VYDAJ	VYBER	15	28762	SLUZBY	\N	\N
167215	559	1993-08-31	VYDAJ	VYBER	15	29962	SLUZBY	\N	\N
167216	559	1993-09-30	VYDAJ	VYBER	15	30164	SLUZBY	\N	\N
167217	559	1993-10-31	VYDAJ	VYBER	15	28864	SLUZBY	\N	\N
167218	559	1993-11-30	VYDAJ	VYBER	15	29574	SLUZBY	\N	\N
167219	559	1993-12-31	VYDAJ	VYBER	15	27130	SLUZBY	\N	\N
167220	559	1994-01-31	VYDAJ	VYBER	15	18798	SLUZBY	\N	\N
167221	559	1994-02-28	VYDAJ	VYBER	15	22366	SLUZBY	\N	\N
167222	559	1994-03-31	VYDAJ	VYBER	15	21403	SLUZBY	\N	\N
167223	559	1994-04-30	VYDAJ	VYBER	15	24983	SLUZBY	\N	\N
167224	559	1994-05-31	VYDAJ	VYBER	15	27477	SLUZBY	\N	\N
167225	559	1994-06-30	VYDAJ	VYBER	15	27481	SLUZBY	\N	\N
167226	559	1994-07-31	VYDAJ	VYBER	15	26961	SLUZBY	\N	\N
167227	559	1994-08-31	VYDAJ	VYBER	15	27162	SLUZBY	\N	\N
167228	559	1994-09-30	VYDAJ	VYBER	15	25962	SLUZBY	\N	\N
167229	559	1994-10-31	VYDAJ	VYBER	15	29261	SLUZBY	\N	\N
167230	559	1994-11-30	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
167231	559	1994-12-31	VYDAJ	VYBER	15	24585	SLUZBY	\N	\N
167232	559	1995-01-31	VYDAJ	VYBER	15	17353	SLUZBY	\N	\N
167233	559	1995-02-28	VYDAJ	VYBER	15	20915	SLUZBY	\N	\N
167234	559	1995-03-31	VYDAJ	VYBER	15	24493	SLUZBY	\N	\N
167235	559	1995-04-30	VYDAJ	VYBER	15	26984	SLUZBY	\N	\N
167236	559	1995-05-31	VYDAJ	VYBER	15	26500	SLUZBY	\N	\N
167237	559	1995-06-30	VYDAJ	VYBER	15	20840	SLUZBY	\N	\N
167238	559	1995-07-31	VYDAJ	VYBER	15	18391	SLUZBY	\N	\N
167239	559	1995-08-31	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
167241	559	1995-10-31	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
167242	559	1995-11-30	VYDAJ	VYBER	15	22728	SLUZBY	\N	\N
167243	559	1995-12-31	VYDAJ	VYBER	15	18898	SLUZBY	\N	\N
167244	559	1996-01-31	VYDAJ	VYBER	15	16143	SLUZBY	\N	\N
167245	559	1996-02-29	VYDAJ	VYBER	15	16533	SLUZBY	\N	\N
167246	559	1996-03-31	VYDAJ	VYBER	15	15184	SLUZBY	\N	\N
167247	559	1996-04-30	VYDAJ	VYBER	15	16032	SLUZBY	\N	\N
167248	559	1996-05-31	VYDAJ	VYBER	15	18486	SLUZBY	\N	\N
167249	559	1996-06-30	VYDAJ	VYBER	15	16943	SLUZBY	\N	\N
167250	559	1996-07-31	VYDAJ	VYBER	15	18660	SLUZBY	\N	\N
167251	559	1996-08-31	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
167252	559	1996-09-30	VYDAJ	VYBER	15	17278	SLUZBY	\N	\N
167253	559	1996-10-31	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
167254	559	1996-11-30	VYDAJ	VYBER	15	16771	SLUZBY	\N	\N
167255	559	1996-12-31	VYDAJ	VYBER	15	13425	SLUZBY	\N	\N
167256	559	1997-01-31	VYDAJ	VYBER	15	14887	SLUZBY	\N	\N
167257	559	1997-02-28	VYDAJ	VYBER	15	18438	SLUZBY	\N	\N
167258	559	1997-03-31	VYDAJ	VYBER	15	15503	SLUZBY	\N	\N
167259	559	1997-04-30	VYDAJ	VYBER	15	19057	SLUZBY	\N	\N
167260	559	1997-05-31	VYDAJ	VYBER	15	20295	SLUZBY	\N	\N
167261	559	1997-06-30	VYDAJ	VYBER	15	20755	SLUZBY	\N	\N
167262	559	1997-07-31	VYDAJ	VYBER	15	24330	SLUZBY	\N	\N
167263	559	1997-08-31	VYDAJ	VYBER	15	19797	SLUZBY	\N	\N
167264	559	1997-09-30	VYDAJ	VYBER	15	21198	SLUZBY	\N	\N
167265	559	1997-10-31	VYDAJ	VYBER	15	20762	SLUZBY	\N	\N
167266	559	1997-11-30	VYDAJ	VYBER	15	19920	SLUZBY	\N	\N
167267	559	1997-12-31	VYDAJ	VYBER	15	21836	SLUZBY	\N	\N
167268	559	1998-01-31	VYDAJ	VYBER	15	15752	SLUZBY	\N	\N
167269	559	1998-02-28	VYDAJ	VYBER	15	17222	SLUZBY	\N	\N
167270	559	1998-03-31	VYDAJ	VYBER	15	17014	SLUZBY	\N	\N
167271	559	1998-04-30	VYDAJ	VYBER	15	20573	SLUZBY	\N	\N
167272	559	1998-05-31	VYDAJ	VYBER	15	24147	SLUZBY	\N	\N
167273	559	1998-06-30	VYDAJ	VYBER	15	18800	SLUZBY	\N	\N
167274	559	1998-07-31	VYDAJ	VYBER	15	22367	SLUZBY	\N	\N
167275	559	1998-08-31	VYDAJ	VYBER	15	25948	SLUZBY	\N	\N
167276	559	1998-09-30	VYDAJ	VYBER	15	17499	SLUZBY	\N	\N
167277	559	1998-10-31	VYDAJ	VYBER	15	21060	SLUZBY	\N	\N
167278	559	1998-11-30	VYDAJ	VYBER	15	24635	SLUZBY	\N	\N
167279	559	1993-08-02	VYDAJ	VYBER	2400	26362	\N	\N	\N
167280	559	1993-09-01	VYDAJ	VYBER	3400	26562	\N	\N	\N
167281	559	1993-10-01	VYDAJ	VYBER	4000	26164	\N	\N	\N
167282	559	1993-10-31	VYDAJ	VYBER	900	28878	\N	\N	\N
167283	559	1993-11-30	VYDAJ	VYBER	2900	29589	\N	\N	\N
167284	559	1993-12-30	VYDAJ	VYBER	4700	27021	\N	\N	\N
167285	559	1994-02-28	VYDAJ	VYBER	1100	21266	\N	\N	\N
167286	559	1994-05-29	VYDAJ	VYBER	1100	27380	\N	\N	\N
167287	559	1994-07-28	VYDAJ	VYBER	200	26858	\N	\N	\N
167288	559	1994-08-27	VYDAJ	VYBER	3400	27058	\N	\N	\N
167289	559	1994-09-26	VYDAJ	VYBER	4800	25859	\N	\N	\N
167290	559	1994-10-26	VYDAJ	VYBER	300	29159	\N	\N	\N
167291	559	1994-11-25	VYDAJ	VYBER	6100	26658	\N	\N	\N
167292	559	1994-12-25	VYDAJ	VYBER	2800	24495	\N	\N	\N
167293	559	1995-04-24	VYDAJ	VYBER	1100	26890	\N	\N	\N
167294	559	1995-05-24	VYDAJ	VYBER	2000	26401	\N	\N	\N
167295	559	1995-06-23	VYDAJ	VYBER	1300	20757	\N	\N	\N
167296	559	1995-07-23	VYDAJ	VYBER	2900	21437	\N	\N	\N
167297	559	1995-08-22	VYDAJ	VYBER	900	20988	\N	\N	\N
167298	559	1995-09-21	VYDAJ	VYBER	3100	20893	\N	\N	\N
167299	559	1995-10-21	VYDAJ	VYBER	300	24165	\N	\N	\N
167300	559	1995-11-20	VYDAJ	VYBER	5100	22642	\N	\N	\N
167301	559	1995-12-20	VYDAJ	VYBER	6800	18825	\N	\N	\N
167302	559	1996-02-18	VYDAJ	VYBER	1000	16480	\N	\N	\N
167303	559	1996-03-19	VYDAJ	VYBER	4900	15130	\N	\N	\N
167304	559	1996-04-18	VYDAJ	VYBER	2700	15981	\N	\N	\N
167305	559	1996-05-18	VYDAJ	VYBER	1100	18429	\N	\N	\N
167306	559	1996-06-17	VYDAJ	VYBER	5100	16883	\N	\N	\N
167307	559	1996-08-16	VYDAJ	VYBER	3100	19057	\N	\N	\N
167308	559	1996-09-15	VYDAJ	VYBER	5400	17218	\N	\N	\N
167309	559	1996-10-15	VYDAJ	VYBER	3700	17075	\N	\N	\N
167310	559	1996-12-14	VYDAJ	VYBER	5700	13368	\N	\N	\N
167311	559	1997-03-14	VYDAJ	VYBER	6500	15435	\N	\N	\N
167312	559	1997-08-11	VYDAJ	VYBER	8100	14055	\N	\N	\N
167313	559	1997-10-10	VYDAJ	VYBER	4000	15023	\N	\N	\N
167314	559	1997-11-09	VYDAJ	VYBER	2400	14187	\N	\N	\N
167315	559	1998-01-08	VYDAJ	VYBER	2200	15941	\N	\N	\N
167316	559	1998-09-05	VYDAJ	VYBER	12000	13948	\N	\N	\N
167387	560	1995-08-20	PRIJEM	VKLAD	800	800	\N	\N	\N
167396	560	1995-09-07	PRIJEM	VKLAD	9629	10429	\N	\N	\N
167397	560	1995-10-07	PRIJEM	VKLAD	9629	30092	\N	\N	\N
167398	560	1995-11-07	PRIJEM	VKLAD	9629	37419	\N	\N	\N
167399	560	1995-12-07	PRIJEM	VKLAD	14444	45785	\N	\N	\N
167400	560	1996-01-07	PRIJEM	VKLAD	9629	45252	\N	\N	\N
167401	560	1996-02-07	PRIJEM	VKLAD	9629	36923	\N	\N	\N
167402	560	1996-03-07	PRIJEM	VKLAD	9629	37988	\N	\N	\N
167403	560	1996-04-07	PRIJEM	VKLAD	9629	38454	\N	\N	\N
167404	560	1996-05-07	PRIJEM	VKLAD	9629	43818	\N	\N	\N
167405	560	1996-06-07	PRIJEM	VKLAD	14444	50513	\N	\N	\N
167406	560	1996-07-07	PRIJEM	VKLAD	9629	39076	\N	\N	\N
167407	560	1996-08-07	PRIJEM	VKLAD	9629	44644	\N	\N	\N
167408	560	1996-09-07	PRIJEM	VKLAD	9629	47128	\N	\N	\N
167409	560	1996-10-07	PRIJEM	VKLAD	9629	44712	\N	\N	\N
167410	560	1996-11-07	PRIJEM	VKLAD	9629	43687	\N	\N	\N
167411	560	1996-12-07	PRIJEM	VKLAD	14444	49176	\N	\N	\N
167412	560	1997-01-07	PRIJEM	VKLAD	9629	42960	\N	\N	\N
167413	560	1997-02-07	PRIJEM	VKLAD	9629	27509	\N	\N	\N
167414	560	1997-03-07	PRIJEM	VKLAD	9629	34034	\N	\N	\N
167415	560	1997-04-07	PRIJEM	VKLAD	9629	41186	\N	\N	\N
167416	560	1997-05-07	PRIJEM	VKLAD	9629	36035	\N	\N	\N
167417	560	1997-06-07	PRIJEM	VKLAD	14444	36179	\N	\N	\N
167418	560	1997-07-07	PRIJEM	VKLAD	9629	30405	\N	\N	\N
167419	560	1997-08-07	PRIJEM	VKLAD	9629	30725	\N	\N	\N
167420	560	1997-09-07	PRIJEM	VKLAD	9629	30946	\N	\N	\N
167421	560	1997-10-07	PRIJEM	VKLAD	9629	33878	\N	\N	\N
167422	560	1997-11-07	PRIJEM	VKLAD	9629	34415	\N	\N	\N
167423	560	1997-12-07	PRIJEM	VKLAD	14444	42078	\N	\N	\N
167424	560	1998-01-07	PRIJEM	VKLAD	9629	31731	\N	\N	\N
167425	560	1998-02-07	PRIJEM	VKLAD	9629	30654	\N	\N	\N
167426	560	1998-03-07	PRIJEM	VKLAD	9629	33386	\N	\N	\N
167427	560	1998-04-07	PRIJEM	VKLAD	9629	29611	\N	\N	\N
167428	560	1998-05-07	PRIJEM	VKLAD	9629	33443	\N	\N	\N
167429	560	1998-06-07	PRIJEM	VKLAD	14444	42805	\N	\N	\N
167430	560	1998-07-07	PRIJEM	VKLAD	9629	28553	\N	\N	\N
167431	560	1998-08-07	PRIJEM	VKLAD	9629	27766	\N	\N	\N
167432	560	1998-09-07	PRIJEM	VKLAD	9629	32484	\N	\N	\N
167433	560	1998-10-07	PRIJEM	VKLAD	9629	36525	\N	\N	\N
167434	560	1998-11-07	PRIJEM	VKLAD	9629	34777	\N	\N	\N
167435	560	1998-12-07	PRIJEM	VKLAD	14444	40749	\N	\N	\N
167448	560	1996-01-12	VYDAJ	PREVOD NA UCET	5683	36869	SIPO	QR	17489135
167449	560	1996-02-12	VYDAJ	PREVOD NA UCET	5683	31240	SIPO	QR	17489135
167450	560	1996-03-12	VYDAJ	PREVOD NA UCET	5683	32305	SIPO	QR	17489135
167451	560	1996-04-12	VYDAJ	PREVOD NA UCET	5683	32771	SIPO	QR	17489135
167452	560	1996-05-12	VYDAJ	PREVOD NA UCET	5683	38135	SIPO	QR	17489135
167453	560	1996-06-12	VYDAJ	PREVOD NA UCET	5683	28130	SIPO	QR	17489135
167454	560	1996-07-12	VYDAJ	PREVOD NA UCET	5683	33393	SIPO	QR	17489135
167455	560	1996-08-12	VYDAJ	PREVOD NA UCET	5683	38961	SIPO	QR	17489135
167456	560	1996-09-12	VYDAJ	PREVOD NA UCET	5683	36645	SIPO	QR	17489135
167457	560	1996-10-12	VYDAJ	PREVOD NA UCET	5683	39029	SIPO	QR	17489135
167458	560	1996-11-12	VYDAJ	PREVOD NA UCET	5683	34604	SIPO	QR	17489135
167459	560	1996-12-12	VYDAJ	PREVOD NA UCET	5683	43493	SIPO	QR	17489135
167460	560	1997-01-12	VYDAJ	PREVOD NA UCET	5683	31177	SIPO	QR	17489135
167461	560	1997-02-12	VYDAJ	PREVOD NA UCET	5683	24326	SIPO	QR	17489135
167462	560	1997-03-12	VYDAJ	PREVOD NA UCET	5683	31451	SIPO	QR	17489135
167463	560	1997-04-12	VYDAJ	PREVOD NA UCET	5683	26303	SIPO	QR	17489135
167464	560	1997-05-12	VYDAJ	PREVOD NA UCET	5683	23452	SIPO	QR	17489135
167465	560	1997-06-12	VYDAJ	PREVOD NA UCET	5683	24696	SIPO	QR	17489135
167466	560	1997-07-12	VYDAJ	PREVOD NA UCET	5683	21022	SIPO	QR	17489135
167467	560	1997-08-12	VYDAJ	PREVOD NA UCET	5683	21242	SIPO	QR	17489135
167468	560	1997-09-12	VYDAJ	PREVOD NA UCET	5683	24163	SIPO	QR	17489135
167469	560	1997-10-12	VYDAJ	PREVOD NA UCET	5683	24695	SIPO	QR	17489135
167470	560	1997-11-12	VYDAJ	PREVOD NA UCET	5683	27532	SIPO	QR	17489135
167471	560	1997-12-12	VYDAJ	PREVOD NA UCET	5683	29695	SIPO	QR	17489135
167472	560	1998-01-12	VYDAJ	PREVOD NA UCET	5683	21648	SIPO	QR	17489135
167473	560	1998-02-12	VYDAJ	PREVOD NA UCET	5683	24971	SIPO	QR	17489135
167474	560	1998-03-12	VYDAJ	PREVOD NA UCET	5683	21503	SIPO	QR	17489135
167475	560	1998-04-12	VYDAJ	PREVOD NA UCET	5683	23928	SIPO	QR	17489135
167476	560	1998-05-12	VYDAJ	PREVOD NA UCET	5683	27760	SIPO	QR	17489135
167477	560	1998-06-12	VYDAJ	PREVOD NA UCET	5683	37122	SIPO	QR	17489135
167478	560	1998-07-12	VYDAJ	PREVOD NA UCET	5683	18970	SIPO	QR	17489135
167479	560	1998-08-12	VYDAJ	PREVOD NA UCET	5683	20583	SIPO	QR	17489135
167480	560	1998-09-12	VYDAJ	PREVOD NA UCET	5683	26801	SIPO	QR	17489135
167481	560	1998-10-12	VYDAJ	PREVOD NA UCET	5683	30842	SIPO	QR	17489135
167482	560	1998-11-12	VYDAJ	PREVOD NA UCET	5683	29094	SIPO	QR	17489135
167483	560	1998-12-12	VYDAJ	PREVOD NA UCET	5683	35066	SIPO	QR	17489135
167485	560	1996-06-11	VYDAJ	VYBER	16700	33813	\N	\N	\N
167486	560	1997-06-21	VYDAJ	VYBER	4000	20696	\N	\N	\N
167487	560	1998-06-17	VYDAJ	VYBER	17200	19922	\N	\N	\N
167489	560	1996-01-30	VYDAJ	VYBER	1000	28269	\N	\N	\N
167490	560	1997-01-27	VYDAJ	VYBER	4000	17777	\N	\N	\N
167491	560	1998-01-03	VYDAJ	VYBER	3200	23102	\N	\N	\N
167493	560	1996-12-17	VYDAJ	VYBER	2600	36993	\N	\N	\N
167494	560	1997-12-23	VYDAJ	VYBER	1100	26195	\N	\N	\N
167495	560	1998-12-18	VYDAJ	VYBER	1200	29466	\N	\N	\N
167502	560	1996-01-09	VYDAJ	VYBER	1900	43352	\N	\N	\N
167503	560	1996-01-13	VYDAJ	VYBER	1100	35769	\N	\N	\N
167504	560	1996-01-26	VYDAJ	VYBER	1500	29269	\N	\N	\N
167506	560	1996-01-11	VYDAJ	VYBER	800	42552	\N	\N	\N
167508	560	1997-01-13	VYDAJ	VYBER	1900	29277	\N	\N	\N
167509	560	1997-01-23	VYDAJ	VYBER	1200	25877	\N	\N	\N
167510	560	1997-01-23	VYDAJ	VYBER	2800	23077	\N	\N	\N
167511	560	1997-01-25	VYDAJ	VYBER	1300	21777	\N	\N	\N
167512	560	1997-01-22	VYDAJ	VYBER	1000	27077	\N	\N	\N
167513	560	1997-01-21	VYDAJ	VYBER	1200	28077	\N	\N	\N
167514	560	1998-01-12	VYDAJ	VYBER	2500	27331	\N	\N	\N
167515	560	1998-01-09	VYDAJ	VYBER	600	31131	\N	\N	\N
167516	560	1998-01-17	VYDAJ	VYBER	1900	19748	\N	\N	\N
167517	560	1998-01-10	VYDAJ	VYBER	1300	29831	\N	\N	\N
167518	560	1998-01-04	VYDAJ	VYBER	2900	20202	\N	\N	\N
167519	560	1998-01-24	VYDAJ	VYBER	1600	18148	\N	\N	\N
167525	560	1996-03-01	VYDAJ	VYBER	3700	28359	\N	\N	\N
167526	560	1996-02-05	VYDAJ	VYBER	1100	27294	\N	\N	\N
167527	560	1996-03-18	VYDAJ	VYBER	4300	30105	\N	\N	\N
167528	560	1996-03-31	VYDAJ	VYBER	1400	28839	\N	\N	\N
167529	560	1996-09-08	VYDAJ	VYBER	4800	42328	\N	\N	\N
167530	560	1996-12-27	VYDAJ	VYBER	3800	33193	\N	\N	\N
167531	560	1997-12-12	VYDAJ	VYBER	2400	27295	\N	\N	\N
167532	560	1997-05-14	VYDAJ	VYBER	1800	21652	\N	\N	\N
167533	560	1997-10-09	VYDAJ	VYBER	1700	30378	\N	\N	\N
167534	560	1998-08-09	VYDAJ	VYBER	1500	26266	\N	\N	\N
167535	560	1998-02-23	VYDAJ	VYBER	1300	23671	\N	\N	\N
167536	560	1998-12-03	VYDAJ	VYBER	2400	26305	\N	\N	\N
167537	560	1998-12-16	VYDAJ	VYBER	4400	30666	\N	\N	\N
167538	560	1998-07-26	VYDAJ	VYBER	1400	17570	\N	\N	\N
167539	560	1998-07-08	VYDAJ	VYBER	3900	24653	\N	\N	\N
167553	560	1996-01-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
167554	560	1996-02-29	VYDAJ	VYBER	15	32059	SLUZBY	\N	\N
167555	560	1996-03-31	VYDAJ	VYBER	15	28825	SLUZBY	\N	\N
167556	560	1996-04-30	VYDAJ	VYBER	15	34189	SLUZBY	\N	\N
167557	560	1996-05-31	VYDAJ	VYBER	15	36069	SLUZBY	\N	\N
167558	560	1996-06-30	VYDAJ	VYBER	15	29447	SLUZBY	\N	\N
167559	560	1996-07-31	VYDAJ	VYBER	15	35015	SLUZBY	\N	\N
167560	560	1996-08-31	VYDAJ	VYBER	15	37499	SLUZBY	\N	\N
167561	560	1996-09-30	VYDAJ	VYBER	15	35083	SLUZBY	\N	\N
167562	560	1996-10-31	VYDAJ	VYBER	15	34058	SLUZBY	\N	\N
167563	560	1996-11-30	VYDAJ	VYBER	15	34732	SLUZBY	\N	\N
167564	560	1996-12-31	VYDAJ	VYBER	15	33331	SLUZBY	\N	\N
167565	560	1997-01-31	VYDAJ	VYBER	15	17880	SLUZBY	\N	\N
167566	560	1997-02-28	VYDAJ	VYBER	15	24405	SLUZBY	\N	\N
167567	560	1997-03-31	VYDAJ	VYBER	15	31557	SLUZBY	\N	\N
167568	560	1997-04-30	VYDAJ	VYBER	15	26406	SLUZBY	\N	\N
167569	560	1997-05-31	VYDAJ	VYBER	15	21735	SLUZBY	\N	\N
167570	560	1997-06-30	VYDAJ	VYBER	15	20776	SLUZBY	\N	\N
167571	560	1997-07-31	VYDAJ	VYBER	15	21096	SLUZBY	\N	\N
167572	560	1997-08-31	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
167573	560	1997-09-30	VYDAJ	VYBER	15	24249	SLUZBY	\N	\N
167574	560	1997-10-31	VYDAJ	VYBER	15	24786	SLUZBY	\N	\N
167575	560	1997-11-30	VYDAJ	VYBER	15	27634	SLUZBY	\N	\N
167576	560	1997-12-31	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
167577	560	1998-01-31	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
167578	560	1998-02-28	VYDAJ	VYBER	15	23757	SLUZBY	\N	\N
167579	560	1998-03-31	VYDAJ	VYBER	15	21582	SLUZBY	\N	\N
167580	560	1998-04-30	VYDAJ	VYBER	15	24014	SLUZBY	\N	\N
167581	560	1998-05-31	VYDAJ	VYBER	15	27861	SLUZBY	\N	\N
167582	560	1998-06-30	VYDAJ	VYBER	15	20024	SLUZBY	\N	\N
167583	560	1998-07-31	VYDAJ	VYBER	15	17637	SLUZBY	\N	\N
167584	560	1998-08-31	VYDAJ	VYBER	15	20655	SLUZBY	\N	\N
167585	560	1998-09-30	VYDAJ	VYBER	15	26896	SLUZBY	\N	\N
167586	560	1998-10-31	VYDAJ	VYBER	15	30948	SLUZBY	\N	\N
167587	560	1998-11-30	VYDAJ	VYBER	15	29205	SLUZBY	\N	\N
167588	560	1995-09-19	PRIJEM	VKLAD	10000	20429	\N	\N	\N
167589	560	1995-10-19	VYDAJ	VYBER	2400	27692	\N	\N	\N
167590	560	1995-11-18	VYDAJ	VYBER	6200	31219	\N	\N	\N
167591	560	1995-12-18	VYDAJ	VYBER	10300	35485	\N	\N	\N
167592	560	1996-01-17	VYDAJ	VYBER	5000	30769	\N	\N	\N
167593	560	1996-02-16	PRIJEM	VKLAD	700	31940	\N	\N	\N
167594	560	1996-03-17	PRIJEM	VKLAD	2100	34405	\N	\N	\N
167595	560	1996-04-16	PRIJEM	VKLAD	1300	34071	\N	\N	\N
167596	560	1996-05-16	VYDAJ	VYBER	2200	35935	\N	\N	\N
167597	560	1996-06-15	PRIJEM	VKLAD	1200	29330	\N	\N	\N
167598	560	1996-07-15	PRIJEM	VKLAD	1500	34893	\N	\N	\N
167599	560	1996-08-14	VYDAJ	VYBER	1600	37361	\N	\N	\N
167600	560	1996-09-13	VYDAJ	VYBER	1700	34945	\N	\N	\N
167601	560	1996-10-13	VYDAJ	VYBER	5100	33929	\N	\N	\N
167602	560	1996-11-12	VYDAJ	VYBER	3400	40287	\N	\N	\N
167603	560	1996-12-12	VYDAJ	VYBER	3900	39593	\N	\N	\N
167604	560	1997-01-11	VYDAJ	VYBER	6100	36860	\N	\N	\N
167605	560	1997-02-10	PRIJEM	VKLAD	2500	30009	\N	\N	\N
167606	560	1997-03-12	PRIJEM	VKLAD	3100	37134	\N	\N	\N
167607	560	1997-04-11	VYDAJ	VYBER	9200	31986	\N	\N	\N
167608	560	1997-05-11	VYDAJ	VYBER	6900	29135	\N	\N	\N
167609	560	1997-06-10	VYDAJ	VYBER	5800	30379	\N	\N	\N
167610	560	1997-07-10	VYDAJ	VYBER	3700	26705	\N	\N	\N
167611	560	1997-08-09	VYDAJ	VYBER	3800	26925	\N	\N	\N
167612	560	1997-09-08	VYDAJ	VYBER	1100	29846	\N	\N	\N
167613	560	1997-10-08	VYDAJ	VYBER	1800	32078	\N	\N	\N
167614	560	1997-11-07	VYDAJ	VYBER	1200	33215	\N	\N	\N
167615	560	1997-12-07	VYDAJ	VYBER	6700	35378	\N	\N	\N
167616	560	1998-01-06	PRIJEM	VKLAD	1900	22102	\N	\N	\N
167617	560	1998-02-05	PRIJEM	VKLAD	2800	21025	\N	\N	\N
167618	560	1998-03-07	VYDAJ	VYBER	6200	27186	\N	\N	\N
167619	560	1998-04-06	VYDAJ	VYBER	1600	19982	\N	\N	\N
167620	560	1998-05-06	VYDAJ	VYBER	200	23814	\N	\N	\N
167621	560	1998-06-05	PRIJEM	VKLAD	500	28361	\N	\N	\N
167622	560	1998-07-05	VYDAJ	VYBER	1100	18924	\N	\N	\N
167623	560	1998-08-04	PRIJEM	VKLAD	500	18137	\N	\N	\N
167624	560	1998-09-03	PRIJEM	VKLAD	2200	22855	\N	\N	\N
167625	560	1998-11-02	VYDAJ	VYBER	5800	25148	\N	\N	\N
167626	560	1998-12-02	VYDAJ	VYBER	500	28705	\N	\N	\N
167667	561	1996-12-12	PRIJEM	VKLAD	400	400	\N	\N	\N
167680	561	1997-01-08	PRIJEM	PREVOD Z UCTU	6082	6482	DUCHOD	UV	9752291
167681	561	1997-02-08	PRIJEM	PREVOD Z UCTU	6082	12564	DUCHOD	UV	9752291
167682	561	1997-03-08	PRIJEM	PREVOD Z UCTU	6082	18646	DUCHOD	UV	9752291
167683	561	1997-04-08	PRIJEM	PREVOD Z UCTU	6082	24728	DUCHOD	UV	9752291
167684	561	1997-05-08	PRIJEM	PREVOD Z UCTU	6082	30810	DUCHOD	UV	9752291
167685	561	1997-06-08	PRIJEM	PREVOD Z UCTU	6082	35325	DUCHOD	UV	9752291
167686	561	1997-07-08	PRIJEM	PREVOD Z UCTU	6082	27102	DUCHOD	UV	9752291
167687	561	1997-08-08	PRIJEM	PREVOD Z UCTU	6082	29420	DUCHOD	UV	9752291
167688	561	1997-09-08	PRIJEM	PREVOD Z UCTU	6082	29640	DUCHOD	UV	9752291
167689	561	1997-10-08	PRIJEM	PREVOD Z UCTU	6082	28825	DUCHOD	UV	9752291
167690	561	1997-11-08	PRIJEM	PREVOD Z UCTU	6082	26044	DUCHOD	UV	9752291
167691	561	1997-12-08	PRIJEM	PREVOD Z UCTU	6082	30566	DUCHOD	UV	9752291
167692	561	1998-01-08	PRIJEM	PREVOD Z UCTU	6082	29094	DUCHOD	UV	9752291
167693	561	1998-02-08	PRIJEM	PREVOD Z UCTU	6082	23059	DUCHOD	UV	9752291
167694	561	1998-03-08	PRIJEM	PREVOD Z UCTU	6082	25647	DUCHOD	UV	9752291
167695	561	1998-04-08	PRIJEM	PREVOD Z UCTU	6082	29385	DUCHOD	UV	9752291
167696	561	1998-05-08	PRIJEM	PREVOD Z UCTU	6082	27755	DUCHOD	UV	9752291
167697	561	1998-06-08	PRIJEM	PREVOD Z UCTU	6082	30384	DUCHOD	UV	9752291
167698	561	1998-07-08	PRIJEM	PREVOD Z UCTU	6082	27955	DUCHOD	UV	9752291
167699	561	1998-08-08	PRIJEM	PREVOD Z UCTU	6082	29183	DUCHOD	UV	9752291
167700	561	1998-09-08	PRIJEM	PREVOD Z UCTU	6082	26995	DUCHOD	UV	9752291
167701	561	1998-10-08	PRIJEM	PREVOD Z UCTU	6082	27778	DUCHOD	UV	9752291
167702	561	1998-11-08	PRIJEM	PREVOD Z UCTU	6082	26060	DUCHOD	UV	9752291
167703	561	1998-12-08	PRIJEM	PREVOD Z UCTU	6082	25480	DUCHOD	UV	9752291
167720	561	1997-05-08	VYDAJ	PREVOD NA UCET	343	30467	SIPO	QR	37346130
167721	561	1997-06-08	VYDAJ	PREVOD NA UCET	343	34982	SIPO	QR	37346130
167722	561	1997-07-08	VYDAJ	PREVOD NA UCET	343	26759	SIPO	QR	37346130
167723	561	1997-08-08	VYDAJ	PREVOD NA UCET	343	29077	SIPO	QR	37346130
167724	561	1997-09-08	VYDAJ	PREVOD NA UCET	343	26197	SIPO	QR	37346130
167725	561	1997-10-08	VYDAJ	PREVOD NA UCET	343	24182	SIPO	QR	37346130
167726	561	1997-11-08	VYDAJ	PREVOD NA UCET	343	25701	SIPO	QR	37346130
167727	561	1997-12-08	VYDAJ	PREVOD NA UCET	343	30223	SIPO	QR	37346130
167728	561	1998-01-08	VYDAJ	PREVOD NA UCET	343	28751	SIPO	QR	37346130
167729	561	1998-02-08	VYDAJ	PREVOD NA UCET	343	22716	SIPO	QR	37346130
167730	561	1998-03-08	VYDAJ	PREVOD NA UCET	343	25304	SIPO	QR	37346130
167731	561	1998-04-08	VYDAJ	PREVOD NA UCET	343	29042	SIPO	QR	37346130
167732	561	1998-05-08	VYDAJ	PREVOD NA UCET	343	27412	SIPO	QR	37346130
167733	561	1998-06-08	VYDAJ	PREVOD NA UCET	343	24491	SIPO	QR	37346130
167734	561	1998-07-08	VYDAJ	PREVOD NA UCET	343	27612	SIPO	QR	37346130
167735	561	1998-08-08	VYDAJ	PREVOD NA UCET	343	28840	SIPO	QR	37346130
167736	561	1998-09-08	VYDAJ	PREVOD NA UCET	343	26652	SIPO	QR	37346130
167737	561	1998-10-08	VYDAJ	PREVOD NA UCET	343	27435	SIPO	QR	37346130
167738	561	1998-11-08	VYDAJ	PREVOD NA UCET	343	25717	SIPO	QR	37346130
167739	561	1998-12-08	VYDAJ	PREVOD NA UCET	343	25137	SIPO	QR	37346130
167757	561	1997-06-05	VYDAJ	PREVOD NA UCET	1308	29243	 	WX	77749645
167758	561	1997-07-05	VYDAJ	PREVOD NA UCET	1308	21020	 	WX	77749645
167759	561	1997-08-05	VYDAJ	PREVOD NA UCET	1308	23338	 	WX	77749645
167760	561	1997-09-05	VYDAJ	PREVOD NA UCET	1308	23558	 	WX	77749645
167761	561	1997-10-05	VYDAJ	PREVOD NA UCET	1308	24983	 	WX	77749645
167762	561	1997-11-05	VYDAJ	PREVOD NA UCET	1308	22962	 	WX	77749645
167763	561	1997-12-05	VYDAJ	PREVOD NA UCET	1308	24484	 	WX	77749645
167764	561	1998-01-05	VYDAJ	PREVOD NA UCET	1308	27632	 	WX	77749645
167765	561	1998-02-05	VYDAJ	PREVOD NA UCET	1308	16977	 	WX	77749645
167766	561	1998-03-05	VYDAJ	PREVOD NA UCET	1308	19565	 	WX	77749645
167767	561	1998-04-05	VYDAJ	PREVOD NA UCET	1308	23603	 	WX	77749645
167768	561	1998-05-05	VYDAJ	PREVOD NA UCET	1308	26473	 	WX	77749645
167769	561	1998-06-05	VYDAJ	PREVOD NA UCET	1308	24302	 	WX	77749645
167770	561	1998-07-05	VYDAJ	PREVOD NA UCET	1308	21873	 	WX	77749645
167771	561	1998-08-05	VYDAJ	PREVOD NA UCET	1308	23101	 	WX	77749645
167772	561	1998-09-05	VYDAJ	PREVOD NA UCET	1308	20913	 	WX	77749645
167773	561	1998-10-05	VYDAJ	PREVOD NA UCET	1308	21696	 	WX	77749645
167774	561	1998-11-05	VYDAJ	PREVOD NA UCET	1308	19978	 	WX	77749645
167775	561	1998-12-05	VYDAJ	PREVOD NA UCET	1308	19398	 	WX	77749645
167777	561	1997-06-16	VYDAJ	VYBER	8150	22232	\N	\N	\N
167778	561	1998-06-08	VYDAJ	VYBER	5550	24834	\N	\N	\N
167781	561	1998-01-15	VYDAJ	VYBER	4150	24601	\N	\N	\N
167783	561	1997-12-15	VYDAJ	VYBER	350	29873	\N	\N	\N
167784	561	1998-12-12	VYDAJ	VYBER	300	24837	\N	\N	\N
167797	561	1998-01-18	VYDAJ	VYBER	1760	20761	\N	\N	\N
167798	561	1998-01-06	VYDAJ	VYBER	1520	23012	\N	\N	\N
167799	561	1998-01-02	VYDAJ	VYBER	1040	28940	\N	\N	\N
167800	561	1998-01-25	VYDAJ	VYBER	1760	18201	\N	\N	\N
167801	561	1998-01-16	VYDAJ	VYBER	2080	22521	\N	\N	\N
167802	561	1998-01-18	VYDAJ	VYBER	800	19961	\N	\N	\N
167810	561	1997-10-05	VYDAJ	VYBER	2240	22743	\N	\N	\N
167811	561	1998-08-27	VYDAJ	VYBER	1520	27320	\N	\N	\N
167812	561	1998-03-24	VYDAJ	VYBER	480	24824	\N	\N	\N
167813	561	1998-03-03	VYDAJ	VYBER	1920	20873	\N	\N	\N
167814	561	1998-10-21	VYDAJ	VYBER	3840	23595	\N	\N	\N
167815	561	1998-04-16	VYDAJ	VYBER	1360	27682	\N	\N	\N
167816	561	1998-09-24	VYDAJ	VYBER	3040	23612	\N	\N	\N
167834	561	1997-05-31	VYDAJ	VYBER	15	30551	SLUZBY	\N	\N
167835	561	1997-06-30	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
167836	561	1997-07-31	VYDAJ	VYBER	15	24646	SLUZBY	\N	\N
167837	561	1997-08-31	VYDAJ	VYBER	15	24866	SLUZBY	\N	\N
167838	561	1997-09-30	VYDAJ	VYBER	15	26291	SLUZBY	\N	\N
167839	561	1997-10-31	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
167840	561	1997-11-30	VYDAJ	VYBER	15	25792	SLUZBY	\N	\N
167841	561	1997-12-31	VYDAJ	VYBER	15	29980	SLUZBY	\N	\N
167842	561	1998-01-31	VYDAJ	VYBER	15	18285	SLUZBY	\N	\N
167843	561	1998-02-28	VYDAJ	VYBER	15	22793	SLUZBY	\N	\N
167844	561	1998-03-31	VYDAJ	VYBER	15	24911	SLUZBY	\N	\N
167845	561	1998-04-30	VYDAJ	VYBER	15	27781	SLUZBY	\N	\N
167846	561	1998-05-31	VYDAJ	VYBER	15	27510	SLUZBY	\N	\N
167847	561	1998-06-30	VYDAJ	VYBER	15	24581	SLUZBY	\N	\N
167848	561	1998-07-31	VYDAJ	VYBER	15	27709	SLUZBY	\N	\N
167849	561	1998-08-31	VYDAJ	VYBER	15	27421	SLUZBY	\N	\N
167850	561	1998-09-30	VYDAJ	VYBER	15	23704	SLUZBY	\N	\N
167851	561	1998-10-31	VYDAJ	VYBER	15	23686	SLUZBY	\N	\N
167852	561	1998-11-30	VYDAJ	VYBER	15	25806	SLUZBY	\N	\N
167853	561	1997-06-10	VYDAJ	VYBER	4600	30382	\N	\N	\N
167854	561	1997-07-10	VYDAJ	VYBER	2200	24559	\N	\N	\N
167855	561	1997-08-09	VYDAJ	VYBER	4300	24777	\N	\N	\N
167856	561	1997-09-08	VYDAJ	VYBER	3100	26540	\N	\N	\N
167857	561	1997-10-08	VYDAJ	VYBER	4300	24525	\N	\N	\N
167858	561	1997-11-07	VYDAJ	VYBER	3000	19962	\N	\N	\N
167859	561	1998-01-06	VYDAJ	VYBER	3100	24532	\N	\N	\N
167860	561	1998-04-06	VYDAJ	VYBER	300	23303	\N	\N	\N
167861	561	1998-05-06	VYDAJ	VYBER	4800	21673	\N	\N	\N
167862	561	1998-06-05	VYDAJ	VYBER	1900	25610	\N	\N	\N
167863	561	1998-07-05	VYDAJ	VYBER	1400	23181	\N	\N	\N
167864	561	1998-08-04	VYDAJ	VYBER	3300	24409	\N	\N	\N
167865	561	1998-09-03	VYDAJ	VYBER	5200	22221	\N	\N	\N
167866	561	1998-10-03	VYDAJ	VYBER	700	23004	\N	\N	\N
167867	561	1998-11-02	VYDAJ	VYBER	2400	21286	\N	\N	\N
167868	561	1998-12-02	VYDAJ	VYBER	5100	20706	\N	\N	\N
167889	562	1993-02-25	PRIJEM	VKLAD	300	300	\N	\N	\N
167890	562	1993-06-08	PRIJEM	VKLAD	24465	49631	\N	\N	\N
167891	562	1993-07-08	PRIJEM	VKLAD	44285	67017	\N	\N	\N
167892	562	1994-06-12	PRIJEM	VKLAD	12393	44523	\N	\N	\N
167893	562	1994-03-13	PRIJEM	VKLAD	16943	40208	\N	\N	\N
167894	562	1995-12-26	PRIJEM	VKLAD	18064	56330	\N	\N	\N
167895	562	1995-11-06	PRIJEM	VKLAD	29665	60766	\N	\N	\N
167896	562	1996-10-06	PRIJEM	VKLAD	27677	54398	\N	\N	\N
167897	562	1996-11-25	PRIJEM	VKLAD	36234	69069	\N	\N	\N
167898	562	1997-09-23	PRIJEM	VKLAD	39289	77270	\N	\N	\N
167899	562	1997-01-14	PRIJEM	VKLAD	49169	78059	\N	\N	\N
167900	562	1998-02-27	PRIJEM	VKLAD	3566	29333	\N	\N	\N
167901	562	1998-11-23	PRIJEM	VKLAD	38472	82258	\N	\N	\N
167904	562	1993-03-14	PRIJEM	VKLAD	1900	2200	\N	\N	\N
167905	562	1993-04-16	PRIJEM	VKLAD	1900	16215	\N	\N	\N
167906	562	1993-05-13	PRIJEM	VKLAD	1900	23684	\N	\N	\N
167907	562	1993-06-17	PRIJEM	VKLAD	1900	51531	\N	\N	\N
167908	562	1993-07-17	PRIJEM	VKLAD	1900	68917	\N	\N	\N
167909	562	1993-08-14	PRIJEM	VKLAD	1900	50171	\N	\N	\N
167910	562	1993-09-13	PRIJEM	VKLAD	1900	37598	\N	\N	\N
167911	562	1993-10-15	PRIJEM	VKLAD	1900	35933	\N	\N	\N
167912	562	1993-11-16	PRIJEM	VKLAD	1900	33312	\N	\N	\N
167913	562	1993-12-17	PRIJEM	VKLAD	1900	32734	\N	\N	\N
167914	562	1994-01-13	PRIJEM	VKLAD	1900	25303	\N	\N	\N
167915	562	1994-02-15	PRIJEM	VKLAD	1900	21991	\N	\N	\N
167916	562	1994-03-16	PRIJEM	VKLAD	1900	42108	\N	\N	\N
167917	562	1994-04-15	PRIJEM	VKLAD	1900	38825	\N	\N	\N
167918	562	1994-05-15	PRIJEM	VKLAD	1900	32909	\N	\N	\N
167919	562	1994-06-17	PRIJEM	VKLAD	1900	46423	\N	\N	\N
167920	562	1994-07-17	PRIJEM	VKLAD	1900	20342	\N	\N	\N
167921	562	1994-08-13	PRIJEM	VKLAD	1900	23813	\N	\N	\N
167922	562	1994-09-16	PRIJEM	VKLAD	1900	29353	\N	\N	\N
167923	562	1994-10-15	PRIJEM	VKLAD	1900	31357	\N	\N	\N
167924	562	1994-11-15	PRIJEM	VKLAD	1900	31165	\N	\N	\N
167925	562	1994-12-13	PRIJEM	VKLAD	1900	31776	\N	\N	\N
167926	562	1995-01-16	PRIJEM	VKLAD	1900	29244	\N	\N	\N
167927	562	1995-02-15	PRIJEM	VKLAD	1900	31560	\N	\N	\N
167928	562	1995-03-16	PRIJEM	VKLAD	1900	31667	\N	\N	\N
167929	562	1995-04-15	PRIJEM	VKLAD	1900	31480	\N	\N	\N
167930	562	1995-05-13	PRIJEM	VKLAD	1900	32393	\N	\N	\N
167931	562	1995-06-13	PRIJEM	VKLAD	1900	34208	\N	\N	\N
167932	562	1995-07-16	PRIJEM	VKLAD	1900	24653	\N	\N	\N
167933	562	1995-08-16	PRIJEM	VKLAD	1900	25230	\N	\N	\N
167934	562	1995-09-14	PRIJEM	VKLAD	1900	30026	\N	\N	\N
167935	562	1995-10-14	PRIJEM	VKLAD	1900	29934	\N	\N	\N
167936	562	1995-11-17	PRIJEM	VKLAD	1900	43916	\N	\N	\N
167937	562	1995-12-14	PRIJEM	VKLAD	1900	36366	\N	\N	\N
167938	562	1996-01-16	PRIJEM	VKLAD	1900	31648	\N	\N	\N
167939	562	1996-02-16	PRIJEM	VKLAD	1900	30084	\N	\N	\N
167940	562	1996-03-13	PRIJEM	VKLAD	1900	32899	\N	\N	\N
167941	562	1996-04-14	PRIJEM	VKLAD	1900	34623	\N	\N	\N
167942	562	1996-05-14	PRIJEM	VKLAD	1900	32755	\N	\N	\N
167943	562	1996-06-15	PRIJEM	VKLAD	1900	31636	\N	\N	\N
167944	562	1996-07-17	PRIJEM	VKLAD	1900	25240	\N	\N	\N
167945	562	1996-08-17	PRIJEM	VKLAD	1900	27417	\N	\N	\N
167946	562	1996-09-14	PRIJEM	VKLAD	1900	26917	\N	\N	\N
167947	562	1996-10-16	PRIJEM	VKLAD	1900	37398	\N	\N	\N
167948	562	1996-11-15	PRIJEM	VKLAD	1900	30935	\N	\N	\N
167949	562	1996-12-13	PRIJEM	VKLAD	1900	48032	\N	\N	\N
167950	562	1997-01-14	PRIJEM	VKLAD	1900	28890	\N	\N	\N
167951	562	1997-02-13	PRIJEM	VKLAD	1900	52043	\N	\N	\N
167952	562	1997-03-13	PRIJEM	VKLAD	1900	46582	\N	\N	\N
167953	562	1997-04-15	PRIJEM	VKLAD	1900	42975	\N	\N	\N
167954	562	1997-05-14	PRIJEM	VKLAD	1900	41002	\N	\N	\N
167955	562	1997-06-14	PRIJEM	VKLAD	1900	39809	\N	\N	\N
167956	562	1997-07-14	PRIJEM	VKLAD	1900	29519	\N	\N	\N
167957	562	1997-08-16	PRIJEM	VKLAD	1900	34159	\N	\N	\N
167958	562	1997-09-17	PRIJEM	VKLAD	1900	36081	\N	\N	\N
167959	562	1997-10-14	PRIJEM	VKLAD	1900	54850	\N	\N	\N
167960	562	1997-11-17	PRIJEM	VKLAD	1900	48653	\N	\N	\N
167961	562	1997-12-14	PRIJEM	VKLAD	1900	39508	\N	\N	\N
167962	562	1998-01-13	PRIJEM	VKLAD	1900	26672	\N	\N	\N
167963	562	1998-02-16	PRIJEM	VKLAD	1900	23867	\N	\N	\N
167964	562	1998-03-15	PRIJEM	VKLAD	1900	29613	\N	\N	\N
167965	562	1998-04-15	PRIJEM	VKLAD	1900	27521	\N	\N	\N
167966	562	1998-05-17	PRIJEM	VKLAD	1900	26915	\N	\N	\N
167967	562	1998-06-16	PRIJEM	VKLAD	1900	26607	\N	\N	\N
167968	562	1998-07-16	PRIJEM	VKLAD	1900	23783	\N	\N	\N
167969	562	1998-08-15	PRIJEM	VKLAD	1900	28363	\N	\N	\N
167970	562	1998-09-17	PRIJEM	VKLAD	1900	33963	\N	\N	\N
167971	562	1998-10-17	PRIJEM	VKLAD	1900	40186	\N	\N	\N
167972	562	1998-11-15	PRIJEM	VKLAD	1900	43336	\N	\N	\N
167973	562	1998-12-15	PRIJEM	VKLAD	1900	64046	\N	\N	\N
167976	562	1993-03-18	PRIJEM	VKLAD	1900	4100	\N	\N	\N
167977	562	1993-04-18	PRIJEM	VKLAD	1900	18115	\N	\N	\N
167978	562	1993-05-18	PRIJEM	VKLAD	1900	25584	\N	\N	\N
167979	562	1993-06-18	PRIJEM	VKLAD	1900	39431	\N	\N	\N
167980	562	1993-07-18	PRIJEM	VKLAD	1900	70817	\N	\N	\N
167981	562	1993-08-18	PRIJEM	VKLAD	1900	52071	\N	\N	\N
167982	562	1993-09-18	PRIJEM	VKLAD	1900	39498	\N	\N	\N
167983	562	1993-10-18	PRIJEM	VKLAD	1900	37833	\N	\N	\N
167984	562	1993-11-18	PRIJEM	VKLAD	1900	35212	\N	\N	\N
167985	562	1993-12-18	PRIJEM	VKLAD	1900	34634	\N	\N	\N
167986	562	1994-01-18	PRIJEM	VKLAD	1900	27203	\N	\N	\N
167987	562	1994-02-18	PRIJEM	VKLAD	1900	23891	\N	\N	\N
167988	562	1994-03-18	PRIJEM	VKLAD	1900	44008	\N	\N	\N
167989	562	1994-04-18	PRIJEM	VKLAD	1900	40725	\N	\N	\N
167990	562	1994-05-18	PRIJEM	VKLAD	1900	34809	\N	\N	\N
167991	562	1994-06-18	PRIJEM	VKLAD	1900	48323	\N	\N	\N
167992	562	1994-07-18	PRIJEM	VKLAD	1900	22242	\N	\N	\N
167993	562	1994-08-18	PRIJEM	VKLAD	1900	25713	\N	\N	\N
167994	562	1994-09-18	PRIJEM	VKLAD	1900	31253	\N	\N	\N
167995	562	1994-10-18	PRIJEM	VKLAD	1900	33257	\N	\N	\N
167996	562	1994-11-18	PRIJEM	VKLAD	1900	31565	\N	\N	\N
167997	562	1994-12-18	PRIJEM	VKLAD	1900	32576	\N	\N	\N
167998	562	1995-01-18	PRIJEM	VKLAD	1900	32944	\N	\N	\N
167999	562	1995-02-18	PRIJEM	VKLAD	1900	29660	\N	\N	\N
168000	562	1995-03-18	PRIJEM	VKLAD	1900	31567	\N	\N	\N
168001	562	1995-04-18	PRIJEM	VKLAD	1900	30380	\N	\N	\N
168002	562	1995-05-18	PRIJEM	VKLAD	1900	32193	\N	\N	\N
168003	562	1995-06-18	PRIJEM	VKLAD	1900	29808	\N	\N	\N
168004	562	1995-07-18	PRIJEM	VKLAD	1900	26553	\N	\N	\N
168005	562	1995-08-18	PRIJEM	VKLAD	1900	27130	\N	\N	\N
168006	562	1995-09-18	PRIJEM	VKLAD	1900	31926	\N	\N	\N
168007	562	1995-10-18	PRIJEM	VKLAD	1900	31834	\N	\N	\N
168008	562	1995-11-18	PRIJEM	VKLAD	1900	45816	\N	\N	\N
168009	562	1995-12-18	PRIJEM	VKLAD	1900	38266	\N	\N	\N
168010	562	1996-01-18	PRIJEM	VKLAD	1900	33548	\N	\N	\N
168011	562	1996-02-18	PRIJEM	VKLAD	1900	31984	\N	\N	\N
168012	562	1996-03-18	PRIJEM	VKLAD	1900	34799	\N	\N	\N
168013	562	1996-04-18	PRIJEM	VKLAD	1900	36523	\N	\N	\N
168014	562	1996-05-18	PRIJEM	VKLAD	1900	34655	\N	\N	\N
168015	562	1996-06-18	PRIJEM	VKLAD	1900	33536	\N	\N	\N
168016	562	1996-07-18	PRIJEM	VKLAD	1900	27140	\N	\N	\N
168017	562	1996-08-18	PRIJEM	VKLAD	1900	29317	\N	\N	\N
168018	562	1996-09-18	PRIJEM	VKLAD	1900	28817	\N	\N	\N
168019	562	1996-10-18	PRIJEM	VKLAD	1900	39298	\N	\N	\N
168020	562	1996-11-18	PRIJEM	VKLAD	1900	32835	\N	\N	\N
168021	562	1996-12-18	PRIJEM	VKLAD	1900	49932	\N	\N	\N
168022	562	1997-01-18	PRIJEM	VKLAD	1900	78959	\N	\N	\N
168023	562	1997-02-18	PRIJEM	VKLAD	1900	53943	\N	\N	\N
168024	562	1997-03-18	PRIJEM	VKLAD	1900	48482	\N	\N	\N
168025	562	1997-04-18	PRIJEM	VKLAD	1900	44875	\N	\N	\N
168026	562	1997-05-18	PRIJEM	VKLAD	1900	42902	\N	\N	\N
168027	562	1997-06-18	PRIJEM	VKLAD	1900	18709	\N	\N	\N
168028	562	1997-07-18	PRIJEM	VKLAD	1900	31419	\N	\N	\N
168029	562	1997-08-18	PRIJEM	VKLAD	1900	36059	\N	\N	\N
168030	562	1997-09-18	PRIJEM	VKLAD	1900	37981	\N	\N	\N
168031	562	1997-10-18	PRIJEM	VKLAD	1900	56200	\N	\N	\N
168032	562	1997-11-18	PRIJEM	VKLAD	1900	50553	\N	\N	\N
168033	562	1997-12-18	PRIJEM	VKLAD	1900	39808	\N	\N	\N
168034	562	1998-01-18	PRIJEM	VKLAD	1900	26872	\N	\N	\N
168035	562	1998-02-18	PRIJEM	VKLAD	1900	25767	\N	\N	\N
168036	562	1998-03-18	PRIJEM	VKLAD	1900	31513	\N	\N	\N
168037	562	1998-04-18	PRIJEM	VKLAD	1900	29421	\N	\N	\N
168038	562	1998-05-18	PRIJEM	VKLAD	1900	28815	\N	\N	\N
168039	562	1998-06-18	PRIJEM	VKLAD	1900	20407	\N	\N	\N
168040	562	1998-07-18	PRIJEM	VKLAD	1900	25683	\N	\N	\N
168041	562	1998-08-18	PRIJEM	VKLAD	1900	30263	\N	\N	\N
168042	562	1998-09-18	PRIJEM	VKLAD	1900	35863	\N	\N	\N
168043	562	1998-10-18	PRIJEM	VKLAD	1900	42086	\N	\N	\N
168044	562	1998-11-18	PRIJEM	VKLAD	1900	43786	\N	\N	\N
168045	562	1998-12-18	PRIJEM	VKLAD	1900	65946	\N	\N	\N
168046	562	1993-06-23	VYDAJ	VYBER	19100	20331	\N	\N	\N
168047	562	1994-06-26	VYDAJ	VYBER	18400	18323	\N	\N	\N
168049	562	1996-06-23	VYDAJ	VYBER	18000	15536	\N	\N	\N
168051	562	1998-06-17	VYDAJ	VYBER	8100	18507	\N	\N	\N
168053	562	1994-01-21	VYDAJ	VYBER	5500	23653	\N	\N	\N
168054	562	1995-01-13	VYDAJ	VYBER	3200	27594	\N	\N	\N
168055	562	1996-01-02	VYDAJ	VYBER	7500	46948	\N	\N	\N
168056	562	1997-01-29	VYDAJ	VYBER	4000	72009	\N	\N	\N
168057	562	1998-01-21	VYDAJ	VYBER	1300	25572	\N	\N	\N
168058	562	1993-06-17	VYDAJ	VYBER	14000	37531	\N	\N	\N
168060	562	1995-06-20	VYDAJ	VYBER	10000	17858	\N	\N	\N
168062	562	1997-06-14	VYDAJ	VYBER	23000	16809	\N	\N	\N
168065	562	1994-01-03	VYDAJ	VYBER	7000	24203	\N	\N	\N
168066	562	1995-01-07	VYDAJ	VYBER	1100	31594	\N	\N	\N
168067	562	1996-01-11	VYDAJ	VYBER	4700	39748	\N	\N	\N
168068	562	1997-01-08	VYDAJ	VYBER	9700	29790	\N	\N	\N
168069	562	1998-01-06	VYDAJ	VYBER	7600	25272	\N	\N	\N
168070	562	1993-12-14	VYDAJ	VYBER	500	30834	\N	\N	\N
168071	562	1994-12-06	VYDAJ	VYBER	1800	29876	\N	\N	\N
168072	562	1995-12-02	VYDAJ	VYBER	2400	43566	\N	\N	\N
168073	562	1996-12-23	VYDAJ	VYBER	600	49332	\N	\N	\N
168074	562	1997-12-27	VYDAJ	VYBER	500	39308	\N	\N	\N
168075	562	1998-12-20	VYDAJ	VYBER	1000	64946	\N	\N	\N
168082	562	1994-01-26	VYDAJ	VYBER	1200	20003	\N	\N	\N
168083	562	1994-01-25	VYDAJ	VYBER	1250	22403	\N	\N	\N
168084	562	1994-01-01	VYDAJ	VYBER	950	31203	\N	\N	\N
168085	562	1994-01-25	VYDAJ	VYBER	1200	21203	\N	\N	\N
168086	562	1994-01-05	VYDAJ	VYBER	800	23403	\N	\N	\N
168087	562	1994-01-19	VYDAJ	VYBER	850	26353	\N	\N	\N
168088	562	1995-01-10	VYDAJ	VYBER	800	30794	\N	\N	\N
168089	562	1995-01-28	VYDAJ	VYBER	1100	29544	\N	\N	\N
168090	562	1995-01-20	VYDAJ	VYBER	1450	31494	\N	\N	\N
168091	562	1995-01-28	VYDAJ	VYBER	550	30644	\N	\N	\N
168092	562	1995-01-15	VYDAJ	VYBER	250	27344	\N	\N	\N
168093	562	1995-01-26	VYDAJ	VYBER	300	31194	\N	\N	\N
168094	562	1996-01-07	VYDAJ	VYBER	950	45398	\N	\N	\N
168095	562	1996-01-19	VYDAJ	VYBER	300	33248	\N	\N	\N
168096	562	1996-01-03	VYDAJ	VYBER	600	46348	\N	\N	\N
168097	562	1996-01-30	VYDAJ	VYBER	950	30848	\N	\N	\N
168098	562	1996-01-09	VYDAJ	VYBER	950	44448	\N	\N	\N
168099	562	1996-01-23	VYDAJ	VYBER	1450	31798	\N	\N	\N
168100	562	1997-01-16	VYDAJ	VYBER	1000	77059	\N	\N	\N
168101	562	1997-01-07	VYDAJ	VYBER	800	39490	\N	\N	\N
168102	562	1997-01-13	VYDAJ	VYBER	1450	26990	\N	\N	\N
168103	562	1997-01-02	VYDAJ	VYBER	1450	48090	\N	\N	\N
168104	562	1997-01-18	VYDAJ	VYBER	550	78409	\N	\N	\N
168105	562	1997-01-08	VYDAJ	VYBER	1350	28440	\N	\N	\N
168106	562	1998-01-21	VYDAJ	VYBER	1400	24172	\N	\N	\N
168107	562	1998-01-15	VYDAJ	VYBER	550	24972	\N	\N	\N
168108	562	1998-01-26	VYDAJ	VYBER	1250	21772	\N	\N	\N
168109	562	1998-01-13	VYDAJ	VYBER	1150	25522	\N	\N	\N
168110	562	1998-01-10	VYDAJ	VYBER	500	24772	\N	\N	\N
168111	562	1998-01-21	VYDAJ	VYBER	1150	23022	\N	\N	\N
168112	562	1993-11-02	VYDAJ	VYBER	1750	31412	\N	\N	\N
168113	562	1993-07-20	VYDAJ	VYBER	1600	69217	\N	\N	\N
168115	562	1993-08-28	VYDAJ	VYBER	2350	35521	\N	\N	\N
168116	562	1994-09-06	VYDAJ	VYBER	450	27453	\N	\N	\N
168117	562	1994-05-07	VYDAJ	VYBER	1350	31009	\N	\N	\N
168118	562	1994-08-04	VYDAJ	VYBER	1100	21913	\N	\N	\N
168119	562	1995-10-30	VYDAJ	VYBER	850	30984	\N	\N	\N
168120	562	1995-04-02	VYDAJ	VYBER	2100	29580	\N	\N	\N
168121	562	1995-11-15	VYDAJ	VYBER	850	42016	\N	\N	\N
168122	562	1995-06-19	VYDAJ	VYBER	1950	27858	\N	\N	\N
168123	562	1996-01-02	VYDAJ	VYBER	2050	54448	\N	\N	\N
168124	562	1996-06-13	VYDAJ	VYBER	1750	29736	\N	\N	\N
168125	562	1996-07-12	VYDAJ	VYBER	1200	23340	\N	\N	\N
168126	562	1996-07-29	VYDAJ	VYBER	400	26740	\N	\N	\N
168127	562	1996-10-02	VYDAJ	VYBER	2200	26721	\N	\N	\N
168128	562	1996-12-09	VYDAJ	VYBER	2100	46132	\N	\N	\N
168129	562	1997-10-17	VYDAJ	VYBER	550	54300	\N	\N	\N
168130	562	1997-05-01	VYDAJ	VYBER	1050	44002	\N	\N	\N
168131	562	1997-09-14	VYDAJ	VYBER	600	34181	\N	\N	\N
168132	562	1997-06-03	VYDAJ	VYBER	550	42509	\N	\N	\N
168133	562	1997-07-30	VYDAJ	VYBER	550	30869	\N	\N	\N
168134	562	1997-12-16	VYDAJ	VYBER	1600	37908	\N	\N	\N
168135	562	1997-01-22	VYDAJ	VYBER	1000	77409	\N	\N	\N
168136	562	1997-11-27	VYDAJ	VYBER	750	49803	\N	\N	\N
168137	562	1997-01-26	VYDAJ	VYBER	1400	76009	\N	\N	\N
168138	562	1998-12-12	VYDAJ	VYBER	1300	62146	\N	\N	\N
168139	562	1998-10-02	VYDAJ	VYBER	1400	38286	\N	\N	\N
168140	562	1998-11-15	VYDAJ	VYBER	1450	41886	\N	\N	\N
168146	562	1993-05-31	VYDAJ	VYBER	15	25166	SLUZBY	\N	\N
168147	562	1993-06-30	VYDAJ	VYBER	15	22732	SLUZBY	\N	\N
168148	562	1993-07-31	VYDAJ	VYBER	15	48271	SLUZBY	\N	\N
168149	562	1993-08-31	VYDAJ	VYBER	15	35698	SLUZBY	\N	\N
168150	562	1993-09-30	VYDAJ	VYBER	15	34033	SLUZBY	\N	\N
168151	562	1993-10-31	VYDAJ	VYBER	15	33162	SLUZBY	\N	\N
168152	562	1993-11-30	VYDAJ	VYBER	15	31334	SLUZBY	\N	\N
168153	562	1993-12-31	VYDAJ	VYBER	15	32153	SLUZBY	\N	\N
168154	562	1994-01-31	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
168155	562	1994-02-28	VYDAJ	VYBER	15	23265	SLUZBY	\N	\N
168156	562	1994-03-31	VYDAJ	VYBER	15	36925	SLUZBY	\N	\N
168157	562	1994-04-30	VYDAJ	VYBER	15	32359	SLUZBY	\N	\N
168158	562	1994-05-31	VYDAJ	VYBER	15	32130	SLUZBY	\N	\N
168159	562	1994-06-30	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
168160	562	1994-07-31	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
168161	562	1994-08-31	VYDAJ	VYBER	15	27903	SLUZBY	\N	\N
168162	562	1994-09-30	VYDAJ	VYBER	15	29457	SLUZBY	\N	\N
168163	562	1994-10-31	VYDAJ	VYBER	15	29265	SLUZBY	\N	\N
168164	562	1994-11-30	VYDAJ	VYBER	15	31676	SLUZBY	\N	\N
168165	562	1994-12-31	VYDAJ	VYBER	15	32694	SLUZBY	\N	\N
168166	562	1995-01-31	VYDAJ	VYBER	15	29660	SLUZBY	\N	\N
168167	562	1995-02-28	VYDAJ	VYBER	15	29767	SLUZBY	\N	\N
168168	562	1995-03-31	VYDAJ	VYBER	15	31680	SLUZBY	\N	\N
168169	562	1995-04-30	VYDAJ	VYBER	15	30493	SLUZBY	\N	\N
168170	562	1995-05-31	VYDAJ	VYBER	15	32308	SLUZBY	\N	\N
168171	562	1995-06-30	VYDAJ	VYBER	15	17953	SLUZBY	\N	\N
168172	562	1995-07-31	VYDAJ	VYBER	15	26630	SLUZBY	\N	\N
168173	562	1995-08-31	VYDAJ	VYBER	15	27226	SLUZBY	\N	\N
168174	562	1995-09-30	VYDAJ	VYBER	15	32034	SLUZBY	\N	\N
168175	562	1995-10-31	VYDAJ	VYBER	15	31101	SLUZBY	\N	\N
168176	562	1995-11-30	VYDAJ	VYBER	15	45966	SLUZBY	\N	\N
168177	562	1995-12-31	VYDAJ	VYBER	15	56498	SLUZBY	\N	\N
168178	562	1996-01-31	VYDAJ	VYBER	15	30984	SLUZBY	\N	\N
168179	562	1996-02-29	VYDAJ	VYBER	15	32099	SLUZBY	\N	\N
168180	562	1996-03-31	VYDAJ	VYBER	15	34923	SLUZBY	\N	\N
168181	562	1996-04-30	VYDAJ	VYBER	15	36655	SLUZBY	\N	\N
168182	562	1996-05-31	VYDAJ	VYBER	15	34786	SLUZBY	\N	\N
168183	562	1996-06-30	VYDAJ	VYBER	15	15640	SLUZBY	\N	\N
168184	562	1996-07-31	VYDAJ	VYBER	15	26817	SLUZBY	\N	\N
168185	562	1996-08-31	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
168186	562	1996-09-30	VYDAJ	VYBER	15	28921	SLUZBY	\N	\N
168187	562	1996-10-31	VYDAJ	VYBER	15	39435	SLUZBY	\N	\N
168188	562	1996-11-30	VYDAJ	VYBER	15	69232	SLUZBY	\N	\N
168189	562	1996-12-31	VYDAJ	VYBER	15	49540	SLUZBY	\N	\N
168190	562	1997-01-31	VYDAJ	VYBER	15	72243	SLUZBY	\N	\N
168191	562	1997-02-28	VYDAJ	VYBER	15	54182	SLUZBY	\N	\N
168192	562	1997-03-31	VYDAJ	VYBER	15	48675	SLUZBY	\N	\N
168193	562	1997-04-30	VYDAJ	VYBER	15	45052	SLUZBY	\N	\N
168194	562	1997-05-31	VYDAJ	VYBER	15	43059	SLUZBY	\N	\N
168195	562	1997-06-30	VYDAJ	VYBER	15	18819	SLUZBY	\N	\N
168196	562	1997-07-31	VYDAJ	VYBER	15	30959	SLUZBY	\N	\N
168197	562	1997-08-31	VYDAJ	VYBER	15	36181	SLUZBY	\N	\N
168198	562	1997-09-30	VYDAJ	VYBER	15	77450	SLUZBY	\N	\N
168199	562	1997-10-31	VYDAJ	VYBER	15	56453	SLUZBY	\N	\N
168200	562	1997-11-30	VYDAJ	VYBER	15	50008	SLUZBY	\N	\N
168201	562	1997-12-31	VYDAJ	VYBER	15	32872	SLUZBY	\N	\N
168202	562	1998-01-31	VYDAJ	VYBER	15	21967	SLUZBY	\N	\N
168203	562	1998-02-28	VYDAJ	VYBER	15	29413	SLUZBY	\N	\N
168204	562	1998-03-31	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
168205	562	1998-04-30	VYDAJ	VYBER	15	25015	SLUZBY	\N	\N
168206	562	1998-05-31	VYDAJ	VYBER	15	24707	SLUZBY	\N	\N
168207	562	1998-06-30	VYDAJ	VYBER	15	21883	SLUZBY	\N	\N
168208	562	1998-07-31	VYDAJ	VYBER	15	26463	SLUZBY	\N	\N
168209	562	1998-08-31	VYDAJ	VYBER	15	32063	SLUZBY	\N	\N
168210	562	1998-09-30	VYDAJ	VYBER	15	39686	SLUZBY	\N	\N
168211	562	1998-10-31	VYDAJ	VYBER	15	41436	SLUZBY	\N	\N
168212	562	1998-11-30	VYDAJ	VYBER	15	63446	SLUZBY	\N	\N
168213	562	1993-03-27	PRIJEM	VKLAD	10200	14300	\N	\N	\N
168214	562	1993-04-26	PRIJEM	VKLAD	3600	21715	\N	\N	\N
168215	562	1993-05-26	VYDAJ	VYBER	500	25084	\N	\N	\N
168216	562	1993-06-25	PRIJEM	VKLAD	2300	22631	\N	\N	\N
168217	562	1993-07-25	VYDAJ	VYBER	21100	48117	\N	\N	\N
168218	562	1993-08-24	VYDAJ	VYBER	14200	37871	\N	\N	\N
168219	562	1993-09-23	VYDAJ	VYBER	5600	33898	\N	\N	\N
168220	562	1993-10-23	VYDAJ	VYBER	4800	33033	\N	\N	\N
168221	562	1993-11-22	VYDAJ	VYBER	4000	31212	\N	\N	\N
168222	562	1993-12-22	VYDAJ	VYBER	2600	32034	\N	\N	\N
168223	562	1994-01-21	PRIJEM	VKLAD	2800	29153	\N	\N	\N
168224	562	1994-02-20	VYDAJ	VYBER	700	23191	\N	\N	\N
168225	562	1994-03-22	VYDAJ	VYBER	7200	36808	\N	\N	\N
168226	562	1994-04-21	VYDAJ	VYBER	8500	32225	\N	\N	\N
168227	562	1994-05-21	VYDAJ	VYBER	2800	32009	\N	\N	\N
168228	562	1994-06-20	VYDAJ	VYBER	11600	36723	\N	\N	\N
168229	562	1994-07-20	PRIJEM	VKLAD	700	22942	\N	\N	\N
168230	562	1994-08-19	PRIJEM	VKLAD	2100	27813	\N	\N	\N
168231	562	1994-09-18	VYDAJ	VYBER	1900	29353	\N	\N	\N
168232	562	1994-10-18	VYDAJ	VYBER	4100	29157	\N	\N	\N
168233	562	1994-11-17	VYDAJ	VYBER	1500	29665	\N	\N	\N
168234	562	1994-12-17	VYDAJ	VYBER	1100	30676	\N	\N	\N
168235	562	1995-01-16	PRIJEM	VKLAD	1800	31044	\N	\N	\N
168236	562	1995-02-15	VYDAJ	VYBER	3800	27760	\N	\N	\N
168237	562	1995-03-17	VYDAJ	VYBER	2000	29667	\N	\N	\N
168238	562	1995-04-16	VYDAJ	VYBER	3000	28480	\N	\N	\N
168239	562	1995-05-16	VYDAJ	VYBER	2100	30293	\N	\N	\N
168240	562	1995-06-15	VYDAJ	VYBER	6300	27908	\N	\N	\N
168241	562	1995-07-15	PRIJEM	VKLAD	4800	22753	\N	\N	\N
168242	562	1995-08-14	VYDAJ	VYBER	3300	23330	\N	\N	\N
168243	562	1995-09-13	PRIJEM	VKLAD	900	28126	\N	\N	\N
168244	562	1995-10-13	VYDAJ	VYBER	4000	28034	\N	\N	\N
168245	562	1995-11-12	VYDAJ	VYBER	17900	42866	\N	\N	\N
168246	562	1995-12-12	VYDAJ	VYBER	9100	34466	\N	\N	\N
168247	562	1996-01-11	VYDAJ	VYBER	10000	29748	\N	\N	\N
168248	562	1996-02-10	VYDAJ	VYBER	2800	28184	\N	\N	\N
168249	562	1996-03-11	VYDAJ	VYBER	1100	30999	\N	\N	\N
168250	562	1996-04-10	VYDAJ	VYBER	2200	32723	\N	\N	\N
168251	562	1996-05-10	VYDAJ	VYBER	5800	30855	\N	\N	\N
168252	562	1996-06-09	VYDAJ	VYBER	3300	31486	\N	\N	\N
168253	562	1996-07-09	PRIJEM	VKLAD	8900	24540	\N	\N	\N
168254	562	1996-08-08	VYDAJ	VYBER	1300	25517	\N	\N	\N
168255	562	1996-09-07	VYDAJ	VYBER	4400	25017	\N	\N	\N
168256	562	1996-10-07	VYDAJ	VYBER	18900	35498	\N	\N	\N
168257	562	1996-11-06	VYDAJ	VYBER	10400	29035	\N	\N	\N
168258	562	1996-12-06	VYDAJ	VYBER	21000	48232	\N	\N	\N
168259	562	1997-01-05	VYDAJ	VYBER	7800	40290	\N	\N	\N
168260	562	1997-02-04	VYDAJ	VYBER	22100	50143	\N	\N	\N
168261	562	1997-03-06	VYDAJ	VYBER	9500	44682	\N	\N	\N
168262	562	1997-04-05	VYDAJ	VYBER	7600	41075	\N	\N	\N
168263	562	1997-05-05	VYDAJ	VYBER	4900	39102	\N	\N	\N
168264	562	1997-06-04	VYDAJ	VYBER	4600	37909	\N	\N	\N
168265	562	1997-07-04	PRIJEM	VKLAD	8800	27619	\N	\N	\N
168266	562	1997-08-03	PRIJEM	VKLAD	1300	32259	\N	\N	\N
168267	562	1997-09-02	VYDAJ	VYBER	1400	34781	\N	\N	\N
168268	562	1997-10-02	VYDAJ	VYBER	24500	52950	\N	\N	\N
168269	562	1997-11-01	VYDAJ	VYBER	9700	46753	\N	\N	\N
168270	562	1997-12-01	VYDAJ	VYBER	12400	37608	\N	\N	\N
168271	562	1997-12-31	VYDAJ	VYBER	6600	32887	\N	\N	\N
168272	562	1998-01-30	PRIJEM	VKLAD	100	21872	\N	\N	\N
168273	562	1998-03-01	VYDAJ	VYBER	1700	27713	\N	\N	\N
168274	562	1998-03-31	VYDAJ	VYBER	6000	25635	\N	\N	\N
168275	562	1998-04-30	VYDAJ	VYBER	4500	25030	\N	\N	\N
168276	562	1998-05-30	VYDAJ	VYBER	4200	24615	\N	\N	\N
168277	562	1998-06-29	PRIJEM	VKLAD	1400	21807	\N	\N	\N
168278	562	1998-07-29	PRIJEM	VKLAD	700	26383	\N	\N	\N
168279	562	1998-08-28	PRIJEM	VKLAD	1700	31963	\N	\N	\N
168280	562	1998-09-27	PRIJEM	VKLAD	3700	39563	\N	\N	\N
168281	562	1998-10-27	VYDAJ	VYBER	800	41286	\N	\N	\N
168282	562	1998-11-26	VYDAJ	VYBER	19000	63258	\N	\N	\N
168353	563	1993-07-27	PRIJEM	VKLAD	500	500	\N	\N	\N
168361	563	1993-08-11	PRIJEM	VKLAD	9368	9868	\N	\N	\N
168362	563	1993-09-11	PRIJEM	VKLAD	9368	25249	\N	\N	\N
168363	563	1993-10-11	PRIJEM	VKLAD	9368	32089	\N	\N	\N
168364	563	1993-11-11	PRIJEM	VKLAD	9368	38157	\N	\N	\N
168365	563	1993-12-11	PRIJEM	VKLAD	14052	45731	\N	\N	\N
168366	563	1994-01-11	PRIJEM	VKLAD	9368	41284	\N	\N	\N
168367	563	1994-02-11	PRIJEM	VKLAD	9368	41530	\N	\N	\N
168368	563	1994-03-11	PRIJEM	VKLAD	9368	38574	\N	\N	\N
168369	563	1994-04-11	PRIJEM	VKLAD	9368	37508	\N	\N	\N
168370	563	1994-05-11	PRIJEM	VKLAD	9368	34735	\N	\N	\N
168371	563	1994-06-11	PRIJEM	VKLAD	14052	40437	\N	\N	\N
168372	563	1994-07-11	PRIJEM	VKLAD	9368	32064	\N	\N	\N
168373	563	1994-08-11	PRIJEM	VKLAD	9368	32478	\N	\N	\N
168374	563	1994-09-11	PRIJEM	VKLAD	9368	34389	\N	\N	\N
168375	563	1994-10-11	PRIJEM	VKLAD	9368	35508	\N	\N	\N
168376	563	1994-11-11	PRIJEM	VKLAD	9368	31626	\N	\N	\N
168377	563	1994-12-11	PRIJEM	VKLAD	14052	37022	\N	\N	\N
168378	563	1995-01-11	PRIJEM	VKLAD	9368	31433	\N	\N	\N
168379	563	1995-02-11	PRIJEM	VKLAD	9368	25931	\N	\N	\N
168380	563	1995-03-11	PRIJEM	VKLAD	9368	25517	\N	\N	\N
168381	563	1995-04-11	PRIJEM	VKLAD	9368	30811	\N	\N	\N
168382	563	1995-05-11	PRIJEM	VKLAD	9368	26810	\N	\N	\N
168383	563	1995-06-11	PRIJEM	VKLAD	14052	32579	\N	\N	\N
168384	563	1995-07-11	PRIJEM	VKLAD	9368	32579	\N	\N	\N
168385	563	1995-08-11	PRIJEM	VKLAD	9368	31386	\N	\N	\N
168386	563	1995-09-11	PRIJEM	VKLAD	9368	29884	\N	\N	\N
168387	563	1995-10-11	PRIJEM	VKLAD	9368	33387	\N	\N	\N
168388	563	1995-11-11	PRIJEM	VKLAD	9368	36703	\N	\N	\N
168389	563	1995-12-11	PRIJEM	VKLAD	14052	33292	\N	\N	\N
168390	563	1996-01-11	PRIJEM	VKLAD	9368	33193	\N	\N	\N
168391	563	1996-02-11	PRIJEM	VKLAD	9368	30504	\N	\N	\N
168392	563	1996-03-11	PRIJEM	VKLAD	9368	32327	\N	\N	\N
168393	563	1996-04-11	PRIJEM	VKLAD	9368	32731	\N	\N	\N
168394	563	1996-05-11	PRIJEM	VKLAD	9368	30456	\N	\N	\N
168395	563	1996-06-11	PRIJEM	VKLAD	14052	38544	\N	\N	\N
168396	563	1996-07-11	PRIJEM	VKLAD	9368	35359	\N	\N	\N
168397	563	1996-08-11	PRIJEM	VKLAD	9368	34270	\N	\N	\N
168398	563	1996-09-11	PRIJEM	VKLAD	9368	31783	\N	\N	\N
168399	563	1996-10-11	PRIJEM	VKLAD	9368	34297	\N	\N	\N
168400	563	1996-11-11	PRIJEM	VKLAD	9368	36619	\N	\N	\N
168401	563	1996-12-11	PRIJEM	VKLAD	14052	45935	\N	\N	\N
168402	563	1997-01-11	PRIJEM	VKLAD	9368	43782	\N	\N	\N
168403	563	1997-02-11	PRIJEM	VKLAD	9368	44441	\N	\N	\N
168404	563	1997-03-11	PRIJEM	VKLAD	9368	47507	\N	\N	\N
168405	563	1997-04-11	PRIJEM	VKLAD	9368	48083	\N	\N	\N
168406	563	1997-05-11	PRIJEM	VKLAD	9368	48060	\N	\N	\N
168407	563	1997-06-11	PRIJEM	VKLAD	14052	45921	\N	\N	\N
168408	563	1997-07-11	PRIJEM	VKLAD	9368	41292	\N	\N	\N
168409	563	1997-08-11	PRIJEM	VKLAD	9368	41341	\N	\N	\N
168410	563	1997-09-11	PRIJEM	VKLAD	9368	38690	\N	\N	\N
168411	563	1997-10-11	PRIJEM	VKLAD	9368	39533	\N	\N	\N
168412	563	1997-11-11	PRIJEM	VKLAD	9368	32378	\N	\N	\N
168413	563	1997-12-11	PRIJEM	VKLAD	14052	36874	\N	\N	\N
168414	563	1998-01-11	PRIJEM	VKLAD	9368	37495	\N	\N	\N
168415	563	1998-02-11	PRIJEM	VKLAD	9368	30229	\N	\N	\N
168416	563	1998-03-11	PRIJEM	VKLAD	9368	29841	\N	\N	\N
168417	563	1998-04-11	PRIJEM	VKLAD	9368	28145	\N	\N	\N
168418	563	1998-05-11	PRIJEM	VKLAD	9368	31737	\N	\N	\N
168419	563	1998-06-11	PRIJEM	VKLAD	14052	38123	\N	\N	\N
168420	563	1998-07-11	PRIJEM	VKLAD	9368	32052	\N	\N	\N
168421	563	1998-08-11	PRIJEM	VKLAD	9368	30264	\N	\N	\N
168422	563	1998-09-11	PRIJEM	VKLAD	9368	27263	\N	\N	\N
168423	563	1998-10-11	PRIJEM	VKLAD	9368	26950	\N	\N	\N
168424	563	1998-11-11	PRIJEM	VKLAD	9368	26936	\N	\N	\N
168425	563	1998-12-11	PRIJEM	VKLAD	14052	29804	\N	\N	\N
168437	563	1993-12-12	VYDAJ	PREVOD NA UCET	6245	39486	SIPO	QR	96173613
168438	563	1994-01-12	VYDAJ	PREVOD NA UCET	6245	35039	SIPO	QR	96173613
168439	563	1994-02-12	VYDAJ	PREVOD NA UCET	6245	35285	SIPO	QR	96173613
168440	563	1994-03-12	VYDAJ	PREVOD NA UCET	6245	32329	SIPO	QR	96173613
168441	563	1994-04-12	VYDAJ	PREVOD NA UCET	6245	31263	SIPO	QR	96173613
168442	563	1994-05-12	VYDAJ	PREVOD NA UCET	6245	28490	SIPO	QR	96173613
168443	563	1994-06-12	VYDAJ	PREVOD NA UCET	6245	34192	SIPO	QR	96173613
168444	563	1994-07-12	VYDAJ	PREVOD NA UCET	6245	25819	SIPO	QR	96173613
168445	563	1994-08-12	VYDAJ	PREVOD NA UCET	6245	26233	SIPO	QR	96173613
168446	563	1994-09-12	VYDAJ	PREVOD NA UCET	6245	28144	SIPO	QR	96173613
168447	563	1994-10-12	VYDAJ	PREVOD NA UCET	6245	29263	SIPO	QR	96173613
168448	563	1994-11-12	VYDAJ	PREVOD NA UCET	6245	25381	SIPO	QR	96173613
168449	563	1994-12-12	VYDAJ	PREVOD NA UCET	6245	30777	SIPO	QR	96173613
168450	563	1995-01-12	VYDAJ	PREVOD NA UCET	6245	25188	SIPO	QR	96173613
168451	563	1995-02-12	VYDAJ	PREVOD NA UCET	6245	19686	SIPO	QR	96173613
168452	563	1995-03-12	VYDAJ	PREVOD NA UCET	6245	19272	SIPO	QR	96173613
168453	563	1995-04-12	VYDAJ	PREVOD NA UCET	6245	24566	SIPO	QR	96173613
168454	563	1995-05-12	VYDAJ	PREVOD NA UCET	6245	20565	SIPO	QR	96173613
168455	563	1995-06-12	VYDAJ	PREVOD NA UCET	6245	26334	SIPO	QR	96173613
168456	563	1995-07-12	VYDAJ	PREVOD NA UCET	6245	26334	SIPO	QR	96173613
168457	563	1995-08-12	VYDAJ	PREVOD NA UCET	6245	25141	SIPO	QR	96173613
168458	563	1995-09-12	VYDAJ	PREVOD NA UCET	6245	23639	SIPO	QR	96173613
168459	563	1995-10-12	VYDAJ	PREVOD NA UCET	6245	27142	SIPO	QR	96173613
168460	563	1995-11-12	VYDAJ	PREVOD NA UCET	6245	30458	SIPO	QR	96173613
168461	563	1995-12-12	VYDAJ	PREVOD NA UCET	6245	27047	SIPO	QR	96173613
168462	563	1996-01-12	VYDAJ	PREVOD NA UCET	6245	26948	SIPO	QR	96173613
168463	563	1996-02-12	VYDAJ	PREVOD NA UCET	6245	22859	SIPO	QR	96173613
168464	563	1996-03-12	VYDAJ	PREVOD NA UCET	6245	26082	SIPO	QR	96173613
168465	563	1996-04-12	VYDAJ	PREVOD NA UCET	6245	25186	SIPO	QR	96173613
168466	563	1996-05-12	VYDAJ	PREVOD NA UCET	6245	24411	SIPO	QR	96173613
168467	563	1996-06-12	VYDAJ	PREVOD NA UCET	6245	25899	SIPO	QR	96173613
168468	563	1996-07-12	VYDAJ	PREVOD NA UCET	6245	24014	SIPO	QR	96173613
168469	563	1996-08-12	VYDAJ	PREVOD NA UCET	6245	28025	SIPO	QR	96173613
168470	563	1996-09-12	VYDAJ	PREVOD NA UCET	6245	25538	SIPO	QR	96173613
168471	563	1996-10-12	VYDAJ	PREVOD NA UCET	6245	28052	SIPO	QR	96173613
168472	563	1996-11-12	VYDAJ	PREVOD NA UCET	6245	30374	SIPO	QR	96173613
168473	563	1996-12-12	VYDAJ	PREVOD NA UCET	6245	39690	SIPO	QR	96173613
168474	563	1997-01-12	VYDAJ	PREVOD NA UCET	6245	37537	SIPO	QR	96173613
168475	563	1997-02-12	VYDAJ	PREVOD NA UCET	6245	38196	SIPO	QR	96173613
168476	563	1997-03-12	VYDAJ	PREVOD NA UCET	6245	41262	SIPO	QR	96173613
168477	563	1997-04-12	VYDAJ	PREVOD NA UCET	6245	41838	SIPO	QR	96173613
168478	563	1997-05-12	VYDAJ	PREVOD NA UCET	6245	41815	SIPO	QR	96173613
168479	563	1997-06-12	VYDAJ	PREVOD NA UCET	6245	39676	SIPO	QR	96173613
168480	563	1997-07-12	VYDAJ	PREVOD NA UCET	6245	35047	SIPO	QR	96173613
168481	563	1997-08-12	VYDAJ	PREVOD NA UCET	6245	35096	SIPO	QR	96173613
168482	563	1997-09-12	VYDAJ	PREVOD NA UCET	6245	32445	SIPO	QR	96173613
168483	563	1997-10-12	VYDAJ	PREVOD NA UCET	6245	33288	SIPO	QR	96173613
168484	563	1997-11-12	VYDAJ	PREVOD NA UCET	6245	26133	SIPO	QR	96173613
168485	563	1997-12-12	VYDAJ	PREVOD NA UCET	6245	30629	SIPO	QR	96173613
168486	563	1998-01-12	VYDAJ	PREVOD NA UCET	6245	31250	SIPO	QR	96173613
168487	563	1998-02-12	VYDAJ	PREVOD NA UCET	6245	23984	SIPO	QR	96173613
168488	563	1998-03-12	VYDAJ	PREVOD NA UCET	6245	23596	SIPO	QR	96173613
168489	563	1998-04-12	VYDAJ	PREVOD NA UCET	6245	21900	SIPO	QR	96173613
168490	563	1998-05-12	VYDAJ	PREVOD NA UCET	6245	25492	SIPO	QR	96173613
168491	563	1998-06-12	VYDAJ	PREVOD NA UCET	6245	31878	SIPO	QR	96173613
168492	563	1998-07-12	VYDAJ	PREVOD NA UCET	6245	25807	SIPO	QR	96173613
168493	563	1998-08-12	VYDAJ	PREVOD NA UCET	6245	24019	SIPO	QR	96173613
168494	563	1998-09-12	VYDAJ	PREVOD NA UCET	6245	21018	SIPO	QR	96173613
168495	563	1998-10-12	VYDAJ	PREVOD NA UCET	6245	20705	SIPO	QR	96173613
168496	563	1998-11-12	VYDAJ	PREVOD NA UCET	6245	20691	SIPO	QR	96173613
168497	563	1998-12-12	VYDAJ	PREVOD NA UCET	6245	23559	SIPO	QR	96173613
168499	563	1994-06-19	VYDAJ	VYBER	3500	30692	\N	\N	\N
168502	563	1997-06-07	VYDAJ	VYBER	6700	31869	\N	\N	\N
168503	563	1998-06-29	VYDAJ	VYBER	4500	27378	\N	\N	\N
168505	563	1994-12-25	VYDAJ	VYBER	1800	21977	\N	\N	\N
168506	563	1995-12-21	VYDAJ	VYBER	500	23747	\N	\N	\N
168507	563	1996-12-21	VYDAJ	VYBER	2100	32990	\N	\N	\N
168508	563	1997-12-28	VYDAJ	VYBER	600	30029	\N	\N	\N
168509	563	1998-12-15	VYDAJ	VYBER	600	22959	\N	\N	\N
168515	563	1994-05-13	VYDAJ	VYBER	1500	26990	\N	\N	\N
168516	563	1994-11-04	VYDAJ	VYBER	2400	22258	\N	\N	\N
168517	563	1994-07-04	VYDAJ	VYBER	3800	22696	\N	\N	\N
168518	563	1994-07-21	VYDAJ	VYBER	2600	23219	\N	\N	\N
168519	563	1994-09-29	VYDAJ	VYBER	800	26044	\N	\N	\N
168520	563	1994-11-19	VYDAJ	VYBER	700	24681	\N	\N	\N
168521	563	1995-04-28	VYDAJ	VYBER	4700	17366	\N	\N	\N
168522	563	1995-03-09	VYDAJ	VYBER	4000	16149	\N	\N	\N
168523	563	1995-11-16	VYDAJ	VYBER	2200	19158	\N	\N	\N
168524	563	1995-01-28	VYDAJ	VYBER	4400	16488	\N	\N	\N
168525	563	1995-11-15	VYDAJ	VYBER	4700	21358	\N	\N	\N
168526	563	1995-07-28	VYDAJ	VYBER	2400	21934	\N	\N	\N
168527	563	1996-04-30	VYDAJ	VYBER	4200	21088	\N	\N	\N
168528	563	1996-12-16	VYDAJ	VYBER	4600	35090	\N	\N	\N
168529	563	1996-08-16	VYDAJ	VYBER	2900	25125	\N	\N	\N
168530	563	1996-02-05	VYDAJ	VYBER	4200	21136	\N	\N	\N
168531	563	1997-11-05	VYDAJ	VYBER	3100	23010	\N	\N	\N
168532	563	1997-09-07	VYDAJ	VYBER	3700	29322	\N	\N	\N
168533	563	1997-04-23	VYDAJ	VYBER	3500	38338	\N	\N	\N
168534	563	1997-11-18	VYDAJ	VYBER	2800	23333	\N	\N	\N
168535	563	1997-07-08	VYDAJ	VYBER	4700	31924	\N	\N	\N
168536	563	1997-07-17	VYDAJ	VYBER	3600	31447	\N	\N	\N
168537	563	1997-11-30	VYDAJ	VYBER	2500	20936	\N	\N	\N
168538	563	1998-07-05	VYDAJ	VYBER	1300	22684	\N	\N	\N
168539	563	1998-12-15	VYDAJ	VYBER	4100	18859	\N	\N	\N
168540	563	1998-01-28	VYDAJ	VYBER	1400	29850	\N	\N	\N
168541	563	1998-09-30	VYDAJ	VYBER	900	17582	\N	\N	\N
168543	563	1998-02-08	VYDAJ	VYBER	3600	20861	\N	\N	\N
168544	563	1998-03-16	VYDAJ	VYBER	900	22096	\N	\N	\N
168545	563	1998-04-20	VYDAJ	VYBER	4200	17700	\N	\N	\N
168546	563	1998-03-16	VYDAJ	VYBER	600	22996	\N	\N	\N
168559	563	1993-12-31	VYDAJ	VYBER	15	31916	SLUZBY	\N	\N
168560	563	1994-01-31	VYDAJ	VYBER	15	32162	SLUZBY	\N	\N
168561	563	1994-02-28	VYDAJ	VYBER	15	29206	SLUZBY	\N	\N
168562	563	1994-03-31	VYDAJ	VYBER	15	28140	SLUZBY	\N	\N
168563	563	1994-04-30	VYDAJ	VYBER	15	25367	SLUZBY	\N	\N
168564	563	1994-05-31	VYDAJ	VYBER	15	26385	SLUZBY	\N	\N
168565	563	1994-06-30	VYDAJ	VYBER	15	26496	SLUZBY	\N	\N
168566	563	1994-07-31	VYDAJ	VYBER	15	23110	SLUZBY	\N	\N
168567	563	1994-08-31	VYDAJ	VYBER	15	25021	SLUZBY	\N	\N
168568	563	1994-09-30	VYDAJ	VYBER	15	26140	SLUZBY	\N	\N
168569	563	1994-10-31	VYDAJ	VYBER	15	24658	SLUZBY	\N	\N
168570	563	1994-11-30	VYDAJ	VYBER	15	22970	SLUZBY	\N	\N
168571	563	1994-12-31	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
168572	563	1995-01-31	VYDAJ	VYBER	15	16563	SLUZBY	\N	\N
168573	563	1995-02-28	VYDAJ	VYBER	15	20149	SLUZBY	\N	\N
168574	563	1995-03-31	VYDAJ	VYBER	15	21443	SLUZBY	\N	\N
168575	563	1995-04-30	VYDAJ	VYBER	15	17442	SLUZBY	\N	\N
168576	563	1995-05-31	VYDAJ	VYBER	15	18527	SLUZBY	\N	\N
168577	563	1995-06-30	VYDAJ	VYBER	15	23211	SLUZBY	\N	\N
168578	563	1995-07-31	VYDAJ	VYBER	15	22018	SLUZBY	\N	\N
168579	563	1995-08-31	VYDAJ	VYBER	15	20516	SLUZBY	\N	\N
168580	563	1995-09-30	VYDAJ	VYBER	15	24019	SLUZBY	\N	\N
168581	563	1995-10-31	VYDAJ	VYBER	15	27335	SLUZBY	\N	\N
168582	563	1995-11-30	VYDAJ	VYBER	15	19240	SLUZBY	\N	\N
168583	563	1995-12-31	VYDAJ	VYBER	15	23825	SLUZBY	\N	\N
168584	563	1996-01-31	VYDAJ	VYBER	15	25336	SLUZBY	\N	\N
168585	563	1996-02-29	VYDAJ	VYBER	15	22959	SLUZBY	\N	\N
168586	563	1996-03-31	VYDAJ	VYBER	15	23363	SLUZBY	\N	\N
168587	563	1996-04-30	VYDAJ	VYBER	15	25288	SLUZBY	\N	\N
168588	563	1996-05-31	VYDAJ	VYBER	15	24492	SLUZBY	\N	\N
168589	563	1996-06-30	VYDAJ	VYBER	15	25991	SLUZBY	\N	\N
168590	563	1996-07-31	VYDAJ	VYBER	15	24102	SLUZBY	\N	\N
168591	563	1996-08-31	VYDAJ	VYBER	15	25215	SLUZBY	\N	\N
168592	563	1996-09-30	VYDAJ	VYBER	15	25629	SLUZBY	\N	\N
168593	563	1996-10-31	VYDAJ	VYBER	15	28151	SLUZBY	\N	\N
168594	563	1996-11-30	VYDAJ	VYBER	15	30483	SLUZBY	\N	\N
168595	563	1996-12-31	VYDAJ	VYBER	15	33114	SLUZBY	\N	\N
168596	563	1997-01-31	VYDAJ	VYBER	15	37673	SLUZBY	\N	\N
168597	563	1997-02-28	VYDAJ	VYBER	15	38339	SLUZBY	\N	\N
168598	563	1997-03-31	VYDAJ	VYBER	15	41415	SLUZBY	\N	\N
168599	563	1997-04-30	VYDAJ	VYBER	15	38492	SLUZBY	\N	\N
168600	563	1997-05-31	VYDAJ	VYBER	15	41969	SLUZBY	\N	\N
168601	563	1997-06-30	VYDAJ	VYBER	15	39824	SLUZBY	\N	\N
168602	563	1997-07-31	VYDAJ	VYBER	15	31573	SLUZBY	\N	\N
168603	563	1997-08-31	VYDAJ	VYBER	15	35222	SLUZBY	\N	\N
168604	563	1997-09-30	VYDAJ	VYBER	15	32565	SLUZBY	\N	\N
168605	563	1997-10-31	VYDAJ	VYBER	15	33410	SLUZBY	\N	\N
168606	563	1997-11-30	VYDAJ	VYBER	15	20922	SLUZBY	\N	\N
168607	563	1997-12-31	VYDAJ	VYBER	15	30127	SLUZBY	\N	\N
168608	563	1998-01-31	VYDAJ	VYBER	15	29961	SLUZBY	\N	\N
168609	563	1998-02-28	VYDAJ	VYBER	15	24073	SLUZBY	\N	\N
168610	563	1998-03-31	VYDAJ	VYBER	15	22177	SLUZBY	\N	\N
168611	563	1998-04-30	VYDAJ	VYBER	15	17769	SLUZBY	\N	\N
168612	563	1998-05-31	VYDAJ	VYBER	15	25571	SLUZBY	\N	\N
168613	563	1998-06-30	VYDAJ	VYBER	15	27484	SLUZBY	\N	\N
168614	563	1998-07-31	VYDAJ	VYBER	15	25896	SLUZBY	\N	\N
168615	563	1998-08-31	VYDAJ	VYBER	15	17895	SLUZBY	\N	\N
168616	563	1998-09-30	VYDAJ	VYBER	15	18482	SLUZBY	\N	\N
168617	563	1998-10-31	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
168618	563	1998-11-30	VYDAJ	VYBER	15	15752	SLUZBY	\N	\N
168619	563	1993-08-26	PRIJEM	VKLAD	6000	15868	\N	\N	\N
168620	563	1993-09-25	VYDAJ	VYBER	2600	22649	\N	\N	\N
168621	563	1993-10-25	VYDAJ	VYBER	3400	28689	\N	\N	\N
168622	563	1993-11-24	VYDAJ	VYBER	6600	31557	\N	\N	\N
168623	563	1993-12-24	VYDAJ	VYBER	7700	31786	\N	\N	\N
168624	563	1994-01-23	VYDAJ	VYBER	3000	32039	\N	\N	\N
168625	563	1994-02-22	VYDAJ	VYBER	6200	29085	\N	\N	\N
168626	563	1994-03-24	VYDAJ	VYBER	4300	28029	\N	\N	\N
168627	563	1994-04-23	VYDAJ	VYBER	6000	25263	\N	\N	\N
168628	563	1994-05-23	VYDAJ	VYBER	700	26290	\N	\N	\N
168629	563	1994-06-22	VYDAJ	VYBER	4300	26392	\N	\N	\N
168630	563	1994-07-22	VYDAJ	VYBER	200	23019	\N	\N	\N
168631	563	1994-08-21	VYDAJ	VYBER	1300	24933	\N	\N	\N
168632	563	1994-09-20	VYDAJ	VYBER	1300	26844	\N	\N	\N
168633	563	1994-10-20	VYDAJ	VYBER	4700	24563	\N	\N	\N
168634	563	1994-11-19	VYDAJ	VYBER	1800	22881	\N	\N	\N
168635	563	1994-12-19	VYDAJ	VYBER	7000	23777	\N	\N	\N
168636	563	1995-01-18	VYDAJ	VYBER	4300	20888	\N	\N	\N
168637	563	1995-02-17	PRIJEM	VKLAD	400	20086	\N	\N	\N
168638	563	1995-03-19	PRIJEM	VKLAD	2100	21372	\N	\N	\N
168639	563	1995-04-18	VYDAJ	VYBER	2500	22066	\N	\N	\N
168640	563	1995-05-18	VYDAJ	VYBER	2100	18465	\N	\N	\N
168641	563	1995-06-17	VYDAJ	VYBER	3200	23134	\N	\N	\N
168642	563	1995-07-17	VYDAJ	VYBER	2000	24334	\N	\N	\N
168643	563	1995-08-16	VYDAJ	VYBER	4700	20441	\N	\N	\N
168644	563	1995-09-15	PRIJEM	VKLAD	300	23939	\N	\N	\N
168645	563	1995-10-15	PRIJEM	VKLAD	100	27242	\N	\N	\N
168646	563	1995-11-14	VYDAJ	VYBER	4400	26058	\N	\N	\N
168647	563	1995-12-14	VYDAJ	VYBER	2800	24247	\N	\N	\N
168648	563	1996-01-13	VYDAJ	VYBER	1700	25248	\N	\N	\N
168649	563	1996-02-12	VYDAJ	VYBER	1400	29104	\N	\N	\N
168650	563	1996-03-13	VYDAJ	VYBER	2800	23282	\N	\N	\N
168651	563	1996-04-12	VYDAJ	VYBER	1300	31431	\N	\N	\N
168652	563	1996-05-12	PRIJEM	VKLAD	200	30656	\N	\N	\N
168653	563	1996-06-11	VYDAJ	VYBER	6400	32144	\N	\N	\N
168654	563	1996-07-11	VYDAJ	VYBER	5100	30259	\N	\N	\N
168655	563	1996-08-10	PRIJEM	VKLAD	800	24902	\N	\N	\N
168656	563	1996-09-09	VYDAJ	VYBER	2800	22415	\N	\N	\N
168657	563	1996-10-09	VYDAJ	VYBER	700	24929	\N	\N	\N
168658	563	1996-11-08	VYDAJ	VYBER	900	27251	\N	\N	\N
168659	563	1996-12-08	PRIJEM	VKLAD	1400	31883	\N	\N	\N
168660	563	1997-01-07	PRIJEM	VKLAD	1300	34414	\N	\N	\N
168661	563	1997-02-06	VYDAJ	VYBER	2600	35073	\N	\N	\N
168662	563	1997-03-08	VYDAJ	VYBER	200	38139	\N	\N	\N
168663	563	1997-04-07	VYDAJ	VYBER	2700	38715	\N	\N	\N
168664	563	1997-05-07	PRIJEM	VKLAD	200	38692	\N	\N	\N
168665	563	1997-06-06	VYDAJ	VYBER	3400	38569	\N	\N	\N
168666	563	1997-07-06	VYDAJ	VYBER	3200	36624	\N	\N	\N
168667	563	1997-08-05	PRIJEM	VKLAD	400	31973	\N	\N	\N
168668	563	1997-09-04	VYDAJ	VYBER	2200	33022	\N	\N	\N
168669	563	1997-10-04	VYDAJ	VYBER	2400	30165	\N	\N	\N
168670	563	1997-11-03	VYDAJ	VYBER	7300	26110	\N	\N	\N
168671	563	1997-12-03	PRIJEM	VKLAD	1900	22822	\N	\N	\N
168672	563	1998-01-02	VYDAJ	VYBER	2000	28127	\N	\N	\N
168673	563	1998-02-01	VYDAJ	VYBER	5500	24461	\N	\N	\N
168674	563	1998-03-03	VYDAJ	VYBER	3600	20473	\N	\N	\N
168675	563	1998-04-02	VYDAJ	VYBER	3400	18777	\N	\N	\N
168676	563	1998-05-02	PRIJEM	VKLAD	4600	22369	\N	\N	\N
168677	563	1998-06-01	VYDAJ	VYBER	1500	24071	\N	\N	\N
168678	563	1998-07-01	VYDAJ	VYBER	3500	23984	\N	\N	\N
168679	563	1998-07-31	VYDAJ	VYBER	5000	20896	\N	\N	\N
168680	563	1998-08-30	VYDAJ	VYBER	6200	17819	\N	\N	\N
168681	563	1998-09-29	VYDAJ	VYBER	2600	18418	\N	\N	\N
168682	563	1998-10-29	VYDAJ	VYBER	3200	17505	\N	\N	\N
168683	563	1998-11-28	VYDAJ	VYBER	5000	15691	\N	\N	\N
168749	564	1997-12-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
168762	564	1998-01-12	PRIJEM	VKLAD	18983	20083	\N	\N	\N
168763	564	1998-02-12	PRIJEM	VKLAD	18983	39066	\N	\N	\N
168764	564	1998-03-12	PRIJEM	VKLAD	18983	50887	\N	\N	\N
168765	564	1998-04-12	PRIJEM	VKLAD	18983	52505	\N	\N	\N
168766	564	1998-05-12	PRIJEM	VKLAD	18983	58234	\N	\N	\N
168767	564	1998-06-12	PRIJEM	VKLAD	28475	39230	\N	\N	\N
168768	564	1998-07-12	PRIJEM	VKLAD	18983	47232	\N	\N	\N
168769	564	1998-08-12	PRIJEM	VKLAD	18983	44284	\N	\N	\N
168770	564	1998-09-12	PRIJEM	VKLAD	18983	44991	\N	\N	\N
168771	564	1998-10-12	PRIJEM	VKLAD	18983	38642	\N	\N	\N
168772	564	1998-11-12	PRIJEM	VKLAD	18983	40736	\N	\N	\N
168773	564	1998-12-12	PRIJEM	VKLAD	28475	51418	\N	\N	\N
168791	564	1998-06-05	VYDAJ	PREVOD NA UCET	295	19468	SIPO	YZ	8056086
169066	565	1998-10-31	VYDAJ	VYBER	15	39875	SLUZBY	\N	\N
168792	564	1998-07-05	VYDAJ	PREVOD NA UCET	295	28249	SIPO	YZ	8056086
168793	564	1998-08-05	VYDAJ	PREVOD NA UCET	295	25301	SIPO	YZ	8056086
168794	564	1998-09-05	VYDAJ	PREVOD NA UCET	295	34721	SIPO	YZ	8056086
168795	564	1998-10-05	VYDAJ	PREVOD NA UCET	295	28372	SIPO	YZ	8056086
168796	564	1998-11-05	VYDAJ	PREVOD NA UCET	295	30466	SIPO	YZ	8056086
168797	564	1998-12-05	VYDAJ	PREVOD NA UCET	295	31656	SIPO	YZ	8056086
168815	564	1998-06-05	VYDAJ	PREVOD NA UCET	8713	10755	 	IJ	56459259
168816	564	1998-07-05	VYDAJ	PREVOD NA UCET	8713	28544	 	IJ	56459259
168817	564	1998-08-05	VYDAJ	PREVOD NA UCET	8713	25596	 	IJ	56459259
168818	564	1998-09-05	VYDAJ	PREVOD NA UCET	8713	26008	 	IJ	56459259
168819	564	1998-10-05	VYDAJ	PREVOD NA UCET	8713	19659	 	IJ	56459259
168820	564	1998-11-05	VYDAJ	PREVOD NA UCET	8713	21753	 	IJ	56459259
168821	564	1998-12-05	VYDAJ	PREVOD NA UCET	8713	22943	 	IJ	56459259
168823	564	1998-06-04	VYDAJ	VYBER	20320	19763	\N	\N	\N
168827	564	1998-12-30	VYDAJ	VYBER	2240	32258	\N	\N	\N
168830	564	1998-12-16	VYDAJ	VYBER	1320	50098	\N	\N	\N
168831	564	1998-07-17	VYDAJ	VYBER	5760	41472	\N	\N	\N
168832	564	1998-10-03	VYDAJ	VYBER	3960	28667	\N	\N	\N
168850	564	1998-05-31	VYDAJ	VYBER	15	40083	SLUZBY	\N	\N
168851	564	1998-06-30	VYDAJ	VYBER	15	37257	SLUZBY	\N	\N
168852	564	1998-07-31	VYDAJ	VYBER	15	34309	SLUZBY	\N	\N
168853	564	1998-08-31	VYDAJ	VYBER	15	35016	SLUZBY	\N	\N
168854	564	1998-09-30	VYDAJ	VYBER	15	32627	SLUZBY	\N	\N
168855	564	1998-10-31	VYDAJ	VYBER	15	30761	SLUZBY	\N	\N
168856	564	1998-11-30	VYDAJ	VYBER	15	31951	SLUZBY	\N	\N
168857	564	1998-02-21	VYDAJ	VYBER	7200	31866	\N	\N	\N
168858	564	1998-03-23	VYDAJ	VYBER	17500	33387	\N	\N	\N
168859	564	1998-04-22	VYDAJ	VYBER	13400	39105	\N	\N	\N
168860	564	1998-05-22	VYDAJ	VYBER	18300	39934	\N	\N	\N
168861	564	1998-06-21	VYDAJ	VYBER	2100	37130	\N	\N	\N
168862	564	1998-07-21	VYDAJ	VYBER	7300	34172	\N	\N	\N
168863	564	1998-08-20	VYDAJ	VYBER	9400	34884	\N	\N	\N
168864	564	1998-09-19	VYDAJ	VYBER	12500	32491	\N	\N	\N
168865	564	1998-10-19	VYDAJ	VYBER	8000	30642	\N	\N	\N
168866	564	1998-11-18	VYDAJ	VYBER	8900	31836	\N	\N	\N
168867	564	1998-12-18	VYDAJ	VYBER	15600	34498	\N	\N	\N
168879	565	1995-11-25	PRIJEM	VKLAD	700	700	\N	\N	\N
168891	565	1995-12-11	PRIJEM	PREVOD Z UCTU	5264	5964	DUCHOD	UV	83957916
168892	565	1996-01-11	PRIJEM	PREVOD Z UCTU	5264	11228	DUCHOD	UV	83957916
168893	565	1996-02-11	PRIJEM	PREVOD Z UCTU	5264	16492	DUCHOD	UV	83957916
168894	565	1996-03-11	PRIJEM	PREVOD Z UCTU	5264	21756	DUCHOD	UV	83957916
168895	565	1996-04-11	PRIJEM	PREVOD Z UCTU	5264	27020	DUCHOD	UV	83957916
168896	565	1996-05-11	PRIJEM	PREVOD Z UCTU	5264	28816	DUCHOD	UV	83957916
168897	565	1996-06-11	PRIJEM	PREVOD Z UCTU	5264	30659	DUCHOD	UV	83957916
168898	565	1996-07-11	PRIJEM	PREVOD Z UCTU	5264	32509	DUCHOD	UV	83957916
168899	565	1996-08-11	PRIJEM	PREVOD Z UCTU	5264	34367	DUCHOD	UV	83957916
168900	565	1996-09-11	PRIJEM	PREVOD Z UCTU	5264	36233	DUCHOD	UV	83957916
168901	565	1996-10-11	PRIJEM	PREVOD Z UCTU	5264	35864	DUCHOD	UV	83957916
168902	565	1996-11-11	PRIJEM	PREVOD Z UCTU	5264	35493	DUCHOD	UV	83957916
168903	565	1996-12-11	PRIJEM	PREVOD Z UCTU	5264	37364	DUCHOD	UV	83957916
168904	565	1997-01-11	PRIJEM	PREVOD Z UCTU	5264	37051	DUCHOD	UV	83957916
168905	565	1997-02-11	PRIJEM	PREVOD Z UCTU	5264	30273	DUCHOD	UV	83957916
168906	565	1997-03-11	PRIJEM	PREVOD Z UCTU	5264	29881	DUCHOD	UV	83957916
168907	565	1997-04-11	PRIJEM	PREVOD Z UCTU	5264	31734	DUCHOD	UV	83957916
168908	565	1997-05-11	PRIJEM	PREVOD Z UCTU	5264	33588	DUCHOD	UV	83957916
168909	565	1997-06-11	PRIJEM	PREVOD Z UCTU	5264	35451	DUCHOD	UV	83957916
168910	565	1997-07-11	PRIJEM	PREVOD Z UCTU	5264	37321	DUCHOD	UV	83957916
168911	565	1997-08-11	PRIJEM	PREVOD Z UCTU	5264	34630	DUCHOD	UV	83957916
168912	565	1997-09-11	PRIJEM	PREVOD Z UCTU	5264	36497	DUCHOD	UV	83957916
168913	565	1997-10-11	PRIJEM	PREVOD Z UCTU	5264	38371	DUCHOD	UV	83957916
168914	565	1997-11-11	PRIJEM	PREVOD Z UCTU	5264	39953	DUCHOD	UV	83957916
168915	565	1997-12-11	PRIJEM	PREVOD Z UCTU	5264	39757	DUCHOD	UV	83957916
168916	565	1998-01-11	PRIJEM	PREVOD Z UCTU	5264	34551	DUCHOD	UV	83957916
168917	565	1998-02-11	PRIJEM	PREVOD Z UCTU	5264	33780	DUCHOD	UV	83957916
168918	565	1998-03-11	PRIJEM	PREVOD Z UCTU	5264	35643	DUCHOD	UV	83957916
168919	565	1998-04-11	PRIJEM	PREVOD Z UCTU	5264	31989	DUCHOD	UV	83957916
168920	565	1998-05-11	PRIJEM	PREVOD Z UCTU	5264	33844	DUCHOD	UV	83957916
168921	565	1998-06-11	PRIJEM	PREVOD Z UCTU	5264	35707	DUCHOD	UV	83957916
168922	565	1998-07-11	PRIJEM	PREVOD Z UCTU	5264	37578	DUCHOD	UV	83957916
168923	565	1998-08-11	PRIJEM	PREVOD Z UCTU	5264	39457	DUCHOD	UV	83957916
168924	565	1998-09-11	PRIJEM	PREVOD Z UCTU	5264	41343	DUCHOD	UV	83957916
168925	565	1998-10-11	PRIJEM	PREVOD Z UCTU	5264	43237	DUCHOD	UV	83957916
168926	565	1998-11-11	PRIJEM	PREVOD Z UCTU	5264	45139	DUCHOD	UV	83957916
168927	565	1998-12-11	PRIJEM	PREVOD Z UCTU	5264	47049	DUCHOD	UV	83957916
168943	565	1996-04-14	VYDAJ	PREVOD NA UCET	3509	23511	SIPO	KL	67758250
168944	565	1996-05-14	VYDAJ	PREVOD NA UCET	3509	25307	SIPO	KL	67758250
168945	565	1996-06-14	VYDAJ	PREVOD NA UCET	3509	27150	SIPO	KL	67758250
168946	565	1996-07-14	VYDAJ	PREVOD NA UCET	3509	29000	SIPO	KL	67758250
168947	565	1996-08-14	VYDAJ	PREVOD NA UCET	3509	30858	SIPO	KL	67758250
168948	565	1996-09-14	VYDAJ	PREVOD NA UCET	3509	32724	SIPO	KL	67758250
168949	565	1996-10-14	VYDAJ	PREVOD NA UCET	3509	32355	SIPO	KL	67758250
168950	565	1996-11-14	VYDAJ	PREVOD NA UCET	3509	31984	SIPO	KL	67758250
168951	565	1996-12-14	VYDAJ	PREVOD NA UCET	3509	33855	SIPO	KL	67758250
168952	565	1997-01-14	VYDAJ	PREVOD NA UCET	3509	27782	SIPO	KL	67758250
168953	565	1997-02-14	VYDAJ	PREVOD NA UCET	3509	26764	SIPO	KL	67758250
168954	565	1997-03-14	VYDAJ	PREVOD NA UCET	3509	26372	SIPO	KL	67758250
168955	565	1997-04-14	VYDAJ	PREVOD NA UCET	3509	28225	SIPO	KL	67758250
168956	565	1997-05-14	VYDAJ	PREVOD NA UCET	3509	30079	SIPO	KL	67758250
168957	565	1997-06-14	VYDAJ	PREVOD NA UCET	3509	31942	SIPO	KL	67758250
168958	565	1997-07-14	VYDAJ	PREVOD NA UCET	3509	33812	SIPO	KL	67758250
168959	565	1997-08-14	VYDAJ	PREVOD NA UCET	3509	31121	SIPO	KL	67758250
168960	565	1997-09-14	VYDAJ	PREVOD NA UCET	3509	32988	SIPO	KL	67758250
168961	565	1997-10-14	VYDAJ	PREVOD NA UCET	3509	34862	SIPO	KL	67758250
168962	565	1997-11-14	VYDAJ	PREVOD NA UCET	3509	36444	SIPO	KL	67758250
168963	565	1997-12-14	VYDAJ	PREVOD NA UCET	3509	36248	SIPO	KL	67758250
168964	565	1998-01-14	VYDAJ	PREVOD NA UCET	3509	30642	SIPO	KL	67758250
168965	565	1998-02-14	VYDAJ	PREVOD NA UCET	3509	30271	SIPO	KL	67758250
168966	565	1998-03-14	VYDAJ	PREVOD NA UCET	3509	32134	SIPO	KL	67758250
168967	565	1998-04-14	VYDAJ	PREVOD NA UCET	3509	28480	SIPO	KL	67758250
168968	565	1998-05-14	VYDAJ	PREVOD NA UCET	3509	30335	SIPO	KL	67758250
168969	565	1998-06-14	VYDAJ	PREVOD NA UCET	3509	32198	SIPO	KL	67758250
168970	565	1998-07-14	VYDAJ	PREVOD NA UCET	3509	34069	SIPO	KL	67758250
168971	565	1998-08-14	VYDAJ	PREVOD NA UCET	3509	35948	SIPO	KL	67758250
168972	565	1998-09-14	VYDAJ	PREVOD NA UCET	3509	37834	SIPO	KL	67758250
168973	565	1998-10-14	VYDAJ	PREVOD NA UCET	3509	39728	SIPO	KL	67758250
168974	565	1998-11-14	VYDAJ	PREVOD NA UCET	3509	41630	SIPO	KL	67758250
168975	565	1998-12-14	VYDAJ	PREVOD NA UCET	3509	43540	SIPO	KL	67758250
168977	565	1996-12-21	VYDAJ	VYBER	750	33105	\N	\N	\N
168978	565	1997-12-29	VYDAJ	VYBER	850	33478	\N	\N	\N
168979	565	1998-12-19	VYDAJ	VYBER	1300	42240	\N	\N	\N
168992	565	1997-01-11	VYDAJ	VYBER	2320	33611	\N	\N	\N
168993	565	1997-01-25	VYDAJ	VYBER	880	24902	\N	\N	\N
168994	565	1997-01-22	VYDAJ	VYBER	2000	25782	\N	\N	\N
168995	565	1997-01-04	VYDAJ	VYBER	1440	31787	\N	\N	\N
168996	565	1997-01-12	VYDAJ	VYBER	2320	31291	\N	\N	\N
168997	565	1997-01-11	VYDAJ	VYBER	1120	35931	\N	\N	\N
168998	565	1998-01-17	VYDAJ	VYBER	640	30002	\N	\N	\N
168999	565	1998-01-08	VYDAJ	VYBER	720	29287	\N	\N	\N
169000	565	1998-01-07	VYDAJ	VYBER	1840	31767	\N	\N	\N
169001	565	1998-01-13	VYDAJ	VYBER	400	34151	\N	\N	\N
169002	565	1998-01-25	VYDAJ	VYBER	1200	28402	\N	\N	\N
169003	565	1998-01-08	VYDAJ	VYBER	1760	30007	\N	\N	\N
169009	565	1996-09-21	VYDAJ	VYBER	2240	30484	\N	\N	\N
169010	565	1996-10-23	VYDAJ	VYBER	2240	30115	\N	\N	\N
169012	565	1997-11-16	VYDAJ	VYBER	2080	34364	\N	\N	\N
169013	565	1997-07-16	VYDAJ	VYBER	3760	30052	\N	\N	\N
169014	565	1997-03-02	VYDAJ	VYBER	2240	24617	\N	\N	\N
169015	565	1997-12-19	VYDAJ	VYBER	1920	34328	\N	\N	\N
169016	565	1997-07-22	VYDAJ	VYBER	800	29252	\N	\N	\N
169017	565	1998-01-23	VYDAJ	VYBER	400	29602	\N	\N	\N
169018	565	1998-03-17	VYDAJ	VYBER	1760	30374	\N	\N	\N
169019	565	1998-03-30	VYDAJ	VYBER	3760	26614	\N	\N	\N
169036	565	1996-04-30	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
169037	565	1996-05-31	VYDAJ	VYBER	15	25395	SLUZBY	\N	\N
169038	565	1996-06-30	VYDAJ	VYBER	15	27245	SLUZBY	\N	\N
169039	565	1996-07-31	VYDAJ	VYBER	15	29103	SLUZBY	\N	\N
169040	565	1996-08-31	VYDAJ	VYBER	15	30969	SLUZBY	\N	\N
169041	565	1996-09-30	VYDAJ	VYBER	15	30600	SLUZBY	\N	\N
169042	565	1996-10-31	VYDAJ	VYBER	15	30229	SLUZBY	\N	\N
169043	565	1996-11-30	VYDAJ	VYBER	15	32100	SLUZBY	\N	\N
169044	565	1996-12-31	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
169045	565	1997-01-31	VYDAJ	VYBER	15	25009	SLUZBY	\N	\N
169046	565	1997-02-28	VYDAJ	VYBER	15	26857	SLUZBY	\N	\N
169047	565	1997-03-31	VYDAJ	VYBER	15	26470	SLUZBY	\N	\N
169048	565	1997-04-30	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
169049	565	1997-05-31	VYDAJ	VYBER	15	30187	SLUZBY	\N	\N
169050	565	1997-06-30	VYDAJ	VYBER	15	32057	SLUZBY	\N	\N
169051	565	1997-07-31	VYDAJ	VYBER	15	29366	SLUZBY	\N	\N
169052	565	1997-08-31	VYDAJ	VYBER	15	31233	SLUZBY	\N	\N
169053	565	1997-09-30	VYDAJ	VYBER	15	33107	SLUZBY	\N	\N
169054	565	1997-10-31	VYDAJ	VYBER	15	34689	SLUZBY	\N	\N
169055	565	1997-11-30	VYDAJ	VYBER	15	34493	SLUZBY	\N	\N
169056	565	1997-12-31	VYDAJ	VYBER	15	33607	SLUZBY	\N	\N
169057	565	1998-01-31	VYDAJ	VYBER	15	28516	SLUZBY	\N	\N
169058	565	1998-02-28	VYDAJ	VYBER	15	30379	SLUZBY	\N	\N
169059	565	1998-03-31	VYDAJ	VYBER	15	26725	SLUZBY	\N	\N
169060	565	1998-04-30	VYDAJ	VYBER	15	28580	SLUZBY	\N	\N
169061	565	1998-05-31	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
169062	565	1998-06-30	VYDAJ	VYBER	15	32314	SLUZBY	\N	\N
169063	565	1998-07-31	VYDAJ	VYBER	15	34193	SLUZBY	\N	\N
169064	565	1998-08-31	VYDAJ	VYBER	15	36079	SLUZBY	\N	\N
169065	565	1998-09-30	VYDAJ	VYBER	15	37973	SLUZBY	\N	\N
169067	565	1998-11-30	VYDAJ	VYBER	15	41785	SLUZBY	\N	\N
169068	565	1997-10-15	VYDAJ	VYBER	300	34562	\N	\N	\N
169102	566	1997-11-13	PRIJEM	VKLAD	700	700	\N	\N	\N
169105	566	1997-12-29	PRIJEM	VKLAD	15763	47525	\N	\N	\N
169110	566	1997-11-30	PRIJEM	VKLAD	24193	62611	\N	\N	\N
169113	566	1997-12-10	PRIJEM	VKLAD	40051	102662	\N	\N	\N
169122	566	1997-11-28	PRIJEM	VKLAD	19316	38393	\N	\N	\N
169128	566	1997-11-26	PRIJEM	VKLAD	18377	19077	\N	\N	\N
169129	566	1998-02-05	PRIJEM	VKLAD	34660	56040	\N	\N	\N
169130	566	1998-04-21	PRIJEM	VKLAD	41235	97023	\N	\N	\N
169131	566	1998-02-25	PRIJEM	VKLAD	44338	92678	\N	\N	\N
169132	566	1998-03-09	PRIJEM	VKLAD	40198	116774	\N	\N	\N
169133	566	1998-06-20	PRIJEM	VKLAD	6820	75505	\N	\N	\N
169134	566	1998-06-11	PRIJEM	VKLAD	33821	102604	\N	\N	\N
169135	566	1998-07-08	PRIJEM	VKLAD	5958	26808	\N	\N	\N
169136	566	1998-06-14	PRIJEM	VKLAD	39881	112185	\N	\N	\N
169137	566	1998-10-25	PRIJEM	VKLAD	49883	121076	\N	\N	\N
169138	566	1998-01-09	PRIJEM	VKLAD	24696	86158	\N	\N	\N
169139	566	1998-10-06	PRIJEM	VKLAD	43590	108493	\N	\N	\N
169140	566	1998-11-05	PRIJEM	VKLAD	16330	92085	\N	\N	\N
169141	566	1998-09-18	PRIJEM	VKLAD	42759	64747	\N	\N	\N
169142	566	1998-03-15	PRIJEM	VKLAD	49040	80236	\N	\N	\N
169143	566	1998-04-18	PRIJEM	VKLAD	23839	65744	\N	\N	\N
169144	566	1998-11-27	PRIJEM	VKLAD	28983	77412	\N	\N	\N
169145	566	1998-12-30	PRIJEM	VKLAD	25372	79431	\N	\N	\N
169146	566	1998-07-10	PRIJEM	VKLAD	16170	42978	\N	\N	\N
169147	566	1998-01-04	PRIJEM	VKLAD	30573	63562	\N	\N	\N
169162	566	1998-03-03	VYBER	VYBER	16275	76576	\N	\N	\N
169163	566	1998-09-11	VYBER	VYBER	6919	21988	\N	\N	\N
169164	566	1998-04-19	VYBER	VYBER	9956	55788	\N	\N	\N
169165	566	1998-01-16	VYBER	VYBER	5991	45567	\N	\N	\N
169166	566	1998-04-05	VYBER	VYBER	22060	38705	\N	\N	\N
169167	566	1998-03-14	VYBER	VYBER	22978	31196	\N	\N	\N
169170	566	1998-01-16	VYBER	VYBER	8752	36815	\N	\N	\N
169172	566	1998-11-16	VYBER	VYBER	14856	48429	\N	\N	\N
169173	566	1998-03-23	VYBER	VYBER	19766	60470	\N	\N	\N
169175	566	1998-06-26	VYDAJ	VYBER	54900	20605	\N	\N	\N
169177	566	1998-01-24	VYDAJ	VYBER	7200	21215	\N	\N	\N
169179	566	1998-12-17	VYDAJ	VYBER KARTOU	3900	54059	\N	\N	0
169186	566	1998-01-17	VYDAJ	VYBER	8400	28415	\N	\N	\N
169187	566	1998-01-14	VYDAJ	VYBER	7200	51558	\N	\N	\N
169188	566	1998-01-04	VYDAJ	VYBER	2100	61462	\N	\N	\N
169189	566	1998-01-03	VYDAJ	VYBER	4200	35989	\N	\N	\N
169190	566	1998-01-03	VYDAJ	VYBER	3000	32989	\N	\N	\N
169191	566	1998-01-02	VYDAJ	VYBER	7500	40189	\N	\N	\N
169196	566	1998-08-11	VYDAJ	VYBER	13800	23403	\N	\N	\N
169197	566	1998-12-30	VYDAJ	VYBER	10200	69231	\N	\N	\N
169210	566	1997-12-31	VYDAJ	VYBER	15	47689	SLUZBY	\N	\N
169211	566	1998-01-31	VYDAJ	VYBER	15	21380	SLUZBY	\N	\N
169212	566	1998-02-28	VYDAJ	VYBER	15	92851	SLUZBY	\N	\N
169213	566	1998-03-31	VYDAJ	VYBER	15	60765	SLUZBY	\N	\N
169214	566	1998-04-30	VYDAJ	VYBER	15	97296	SLUZBY	\N	\N
169215	566	1998-05-31	VYDAJ	VYBER	15	68783	SLUZBY	\N	\N
169216	566	1998-06-30	VYDAJ	VYBER	15	20850	SLUZBY	\N	\N
169217	566	1998-07-31	VYDAJ	VYBER	15	38603	SLUZBY	\N	\N
169218	566	1998-08-31	VYDAJ	VYBER	15	23507	SLUZBY	\N	\N
169219	566	1998-09-30	VYDAJ	VYBER	15	64903	SLUZBY	\N	\N
169220	566	1998-10-31	VYDAJ	VYBER	15	75755	SLUZBY	\N	\N
169221	566	1998-11-30	VYDAJ	VYBER	15	77659	SLUZBY	\N	\N
169222	566	1997-12-10	VYDAJ	VYBER	64500	38162	\N	\N	\N
169223	566	1997-12-13	VYDAJ	VYBER	6400	31762	\N	\N	\N
169224	566	1998-01-12	VYDAJ	VYBER	27400	58758	\N	\N	\N
169225	566	1998-02-11	VYDAJ	VYBER	7700	48340	\N	\N	\N
169226	566	1998-03-09	VYDAJ	VYBER	44800	71974	\N	\N	\N
169227	566	1998-03-13	VYDAJ	VYBER	17800	54174	\N	\N	\N
169228	566	1998-04-12	PRIJEM	VKLAD	3200	41905	\N	\N	\N
169229	566	1998-05-12	VYDAJ	VYBER	28900	68396	\N	\N	\N
169230	566	1998-06-11	VYDAJ	VYBER	30300	72304	\N	\N	\N
169231	566	1998-06-14	VYDAJ	VYBER	43500	68685	\N	\N	\N
169232	566	1998-07-11	VYDAJ	VYBER	4500	38478	\N	\N	\N
169233	566	1998-08-10	VYDAJ	VYBER KARTOU	1400	37203	\N	\N	0
169234	566	1998-09-09	PRIJEM	VKLAD	5400	28907	\N	\N	\N
169235	566	1998-10-09	VYDAJ	VYBER	37300	71193	\N	\N	\N
169236	566	1998-10-25	VYDAJ	VYBER	45600	75476	\N	\N	\N
169237	566	1998-11-08	VYDAJ	VYBER	28800	63285	\N	\N	\N
169238	566	1998-12-08	VYDAJ	VYBER	19700	57959	\N	\N	\N
169253	567	1996-06-19	PRIJEM	VKLAD	900	900	\N	\N	\N
169256	567	1997-09-14	PRIJEM	VKLAD	37307	61700	\N	\N	\N
169257	567	1997-04-02	PRIJEM	VKLAD	41245	61246	\N	\N	\N
169258	567	1998-12-19	PRIJEM	VKLAD	21486	54114	\N	\N	\N
169259	567	1998-02-11	PRIJEM	VKLAD	42784	64586	\N	\N	\N
169266	567	1996-07-17	PRIJEM	VKLAD	600	1500	\N	\N	\N
169267	567	1996-08-13	PRIJEM	VKLAD	600	10618	\N	\N	\N
169268	567	1996-09-16	PRIJEM	VKLAD	600	18574	\N	\N	\N
169269	567	1996-10-15	PRIJEM	VKLAD	600	19751	\N	\N	\N
169270	567	1996-11-14	PRIJEM	VKLAD	600	23037	\N	\N	\N
169271	567	1996-12-16	PRIJEM	VKLAD	600	22611	\N	\N	\N
169272	567	1997-01-17	PRIJEM	VKLAD	600	15485	\N	\N	\N
169273	567	1997-02-15	PRIJEM	VKLAD	600	16593	\N	\N	\N
169274	567	1997-03-14	PRIJEM	VKLAD	600	17239	\N	\N	\N
169275	567	1997-04-14	PRIJEM	VKLAD	600	61846	\N	\N	\N
169276	567	1997-05-15	PRIJEM	VKLAD	600	38761	\N	\N	\N
169277	567	1997-06-14	PRIJEM	VKLAD	600	30285	\N	\N	\N
169278	567	1997-07-16	PRIJEM	VKLAD	600	20195	\N	\N	\N
169279	567	1997-08-14	PRIJEM	VKLAD	600	19970	\N	\N	\N
169280	567	1997-09-15	PRIJEM	VKLAD	600	62300	\N	\N	\N
169281	567	1997-10-16	PRIJEM	VKLAD	600	43374	\N	\N	\N
169282	567	1997-11-15	PRIJEM	VKLAD	600	31982	\N	\N	\N
169283	567	1997-12-16	PRIJEM	VKLAD	600	30327	\N	\N	\N
169284	567	1998-01-16	PRIJEM	VKLAD	600	22588	\N	\N	\N
169285	567	1998-02-15	PRIJEM	VKLAD	600	65186	\N	\N	\N
169286	567	1998-03-17	PRIJEM	VKLAD	600	43965	\N	\N	\N
169287	567	1998-04-16	PRIJEM	VKLAD	600	33280	\N	\N	\N
169288	567	1998-05-13	PRIJEM	VKLAD	600	27416	\N	\N	\N
169289	567	1998-06-15	PRIJEM	VKLAD	600	24225	\N	\N	\N
169290	567	1998-07-13	PRIJEM	VKLAD	600	24113	\N	\N	\N
169291	567	1998-08-13	PRIJEM	VKLAD	600	22847	\N	\N	\N
169292	567	1998-09-14	PRIJEM	VKLAD	600	25231	\N	\N	\N
169293	567	1998-10-16	PRIJEM	VKLAD	600	27820	\N	\N	\N
169294	567	1998-11-15	PRIJEM	VKLAD	600	29120	\N	\N	\N
169295	567	1998-12-13	PRIJEM	VKLAD	600	31628	\N	\N	\N
169302	567	1997-07-18	PRIJEM	VKLAD	1000	21195	\N	\N	\N
169303	567	1997-08-18	PRIJEM	VKLAD	1000	20970	\N	\N	\N
169304	567	1997-09-18	PRIJEM	VKLAD	1000	63300	\N	\N	\N
169305	567	1997-10-18	PRIJEM	VKLAD	1000	44374	\N	\N	\N
169306	567	1997-11-18	PRIJEM	VKLAD	1000	32982	\N	\N	\N
169307	567	1997-12-18	PRIJEM	VKLAD	1000	31327	\N	\N	\N
169308	567	1998-07-18	PRIJEM	VKLAD	1000	25113	\N	\N	\N
169309	567	1998-08-18	PRIJEM	VKLAD	1000	23847	\N	\N	\N
169310	567	1998-09-18	PRIJEM	VKLAD	1000	26231	\N	\N	\N
169311	567	1998-10-18	PRIJEM	VKLAD	1000	28820	\N	\N	\N
169312	567	1998-11-18	PRIJEM	VKLAD	1000	30120	\N	\N	\N
169313	567	1998-12-18	PRIJEM	VKLAD	1000	32628	\N	\N	\N
169319	567	1998-01-24	VYDAJ	VYBER	7500	14038	\N	\N	\N
169324	567	1997-01-02	VYDAJ	VYBER	9300	12785	\N	\N	\N
169325	567	1998-01-02	VYDAJ	VYBER	9100	18738	\N	\N	\N
169326	567	1996-12-30	VYDAJ	VYBER	600	22011	\N	\N	\N
169327	567	1997-12-19	VYDAJ	VYBER	2400	28927	\N	\N	\N
169328	567	1998-12-24	VYDAJ	VYBER	1100	53014	\N	\N	\N
169336	567	1997-01-24	VYDAJ	VYBER	1200	12835	\N	\N	\N
169337	567	1997-01-19	VYDAJ	VYBER	950	14035	\N	\N	\N
169339	567	1997-01-17	VYDAJ	VYBER	500	14985	\N	\N	\N
169340	567	1997-01-27	VYDAJ	VYBER	500	12335	\N	\N	\N
169341	567	1998-01-03	VYDAJ	VYBER	1000	17738	\N	\N	\N
169342	567	1998-01-08	VYDAJ	VYBER	1350	15888	\N	\N	\N
169343	567	1998-01-15	VYDAJ	VYBER	700	21988	\N	\N	\N
169344	567	1998-01-30	VYDAJ	VYBER	1100	12938	\N	\N	\N
169345	567	1998-01-05	VYDAJ	VYBER	500	17238	\N	\N	\N
169346	567	1998-01-16	VYDAJ	VYBER	1050	21538	\N	\N	\N
169351	567	1997-12-20	VYDAJ	VYBER	1200	27727	\N	\N	\N
169352	567	1997-12-06	VYDAJ	VYBER	2200	30927	\N	\N	\N
169353	567	1997-09-12	VYDAJ	VYBER	1450	24393	\N	\N	\N
169355	567	1998-08-02	VYDAJ	VYBER	250	24947	\N	\N	\N
169357	567	1998-04-03	VYDAJ	VYBER	2300	41880	\N	\N	\N
169358	567	1998-06-15	VYDAJ	VYBER	2200	22025	\N	\N	\N
169370	567	1996-11-30	VYDAJ	VYBER	15	20411	SLUZBY	\N	\N
169371	567	1996-12-31	VYDAJ	VYBER	15	22085	SLUZBY	\N	\N
169372	567	1997-01-31	VYDAJ	VYBER	15	12393	SLUZBY	\N	\N
169373	567	1997-02-28	VYDAJ	VYBER	15	16639	SLUZBY	\N	\N
169374	567	1997-03-31	VYDAJ	VYBER	15	20001	SLUZBY	\N	\N
169375	567	1997-04-30	VYDAJ	VYBER	15	38161	SLUZBY	\N	\N
169376	567	1997-05-31	VYDAJ	VYBER	15	29685	SLUZBY	\N	\N
169377	567	1997-06-30	VYDAJ	VYBER	15	22395	SLUZBY	\N	\N
169378	567	1997-07-31	VYDAJ	VYBER	15	21270	SLUZBY	\N	\N
169379	567	1997-08-31	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
169380	567	1997-09-30	VYDAJ	VYBER	15	63474	SLUZBY	\N	\N
169381	567	1997-10-31	VYDAJ	VYBER	15	44582	SLUZBY	\N	\N
169382	567	1997-11-30	VYDAJ	VYBER	15	33127	SLUZBY	\N	\N
169383	567	1997-12-31	VYDAJ	VYBER	15	27838	SLUZBY	\N	\N
169384	567	1998-01-31	VYDAJ	VYBER	15	13002	SLUZBY	\N	\N
169385	567	1998-02-28	VYDAJ	VYBER	15	65365	SLUZBY	\N	\N
169386	567	1998-03-31	VYDAJ	VYBER	15	44180	SLUZBY	\N	\N
169387	567	1998-04-30	VYDAJ	VYBER	15	33416	SLUZBY	\N	\N
169388	567	1998-05-31	VYDAJ	VYBER	15	27525	SLUZBY	\N	\N
169389	567	1998-06-30	VYDAJ	VYBER	15	22113	SLUZBY	\N	\N
169390	567	1998-07-31	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
169391	567	1998-08-31	VYDAJ	VYBER	15	23931	SLUZBY	\N	\N
169392	567	1998-09-30	VYDAJ	VYBER	15	26320	SLUZBY	\N	\N
169393	567	1998-10-31	VYDAJ	VYBER	15	28920	SLUZBY	\N	\N
169394	567	1998-11-30	VYDAJ	VYBER	15	30228	SLUZBY	\N	\N
169395	567	1996-07-19	PRIJEM	VKLAD	8500	10000	\N	\N	\N
169396	567	1996-08-18	PRIJEM	VKLAD	7300	17918	\N	\N	\N
169397	567	1996-09-17	PRIJEM	VKLAD	500	19074	\N	\N	\N
169398	567	1996-10-17	PRIJEM	VKLAD	2600	22351	\N	\N	\N
169399	567	1996-11-16	VYDAJ	VYBER	2700	20337	\N	\N	\N
169400	567	1996-12-16	PRIJEM	VKLAD	1600	22011	\N	\N	\N
169401	567	1997-01-15	PRIJEM	VKLAD	2100	14885	\N	\N	\N
169402	567	1997-02-14	PRIJEM	VKLAD	3600	15993	\N	\N	\N
169403	567	1997-03-16	PRIJEM	VKLAD	2700	19939	\N	\N	\N
169404	567	1997-04-15	VYDAJ	VYBER	23800	38046	\N	\N	\N
169405	567	1997-05-15	VYDAJ	VYBER	9200	29561	\N	\N	\N
169406	567	1997-06-14	VYDAJ	VYBER	8000	22285	\N	\N	\N
169407	567	1997-07-14	VYDAJ	VYBER	2800	19595	\N	\N	\N
169408	567	1997-08-13	VYDAJ	VYBER	1900	19370	\N	\N	\N
169409	567	1997-09-12	PRIJEM	VKLAD	4800	25843	\N	\N	\N
169410	567	1997-10-12	VYDAJ	VYBER	20700	42774	\N	\N	\N
169411	567	1997-11-11	VYDAJ	VYBER	13200	31382	\N	\N	\N
169412	567	1997-12-11	VYDAJ	VYBER	1200	29727	\N	\N	\N
169413	567	1998-01-10	PRIJEM	VKLAD	6800	22688	\N	\N	\N
169414	567	1998-02-09	PRIJEM	VKLAD	8800	21802	\N	\N	\N
169415	567	1998-03-11	VYDAJ	VYBER	22000	43365	\N	\N	\N
169416	567	1998-04-10	VYDAJ	VYBER	9200	32680	\N	\N	\N
169417	567	1998-05-10	VYDAJ	VYBER	6600	26816	\N	\N	\N
169418	567	1998-06-09	VYDAJ	VYBER	3900	23625	\N	\N	\N
169419	567	1998-07-09	PRIJEM	VKLAD	1400	23513	\N	\N	\N
169420	567	1998-08-08	VYDAJ	VYBER	2700	22247	\N	\N	\N
169421	567	1998-09-07	PRIJEM	VKLAD	700	24631	\N	\N	\N
169422	567	1998-10-07	PRIJEM	VKLAD	900	27220	\N	\N	\N
169423	567	1998-11-06	VYDAJ	VYBER	400	28520	\N	\N	\N
169424	567	1998-12-06	PRIJEM	VKLAD	800	31028	\N	\N	\N
169455	568	1995-03-28	PRIJEM	VKLAD	200	200	\N	\N	\N
169459	568	1995-04-09	PRIJEM	VKLAD	12297	12497	\N	\N	\N
169460	568	1995-05-09	PRIJEM	VKLAD	12297	30104	\N	\N	\N
169461	568	1995-06-09	PRIJEM	VKLAD	18446	45230	\N	\N	\N
169462	568	1995-07-09	PRIJEM	VKLAD	12297	46744	\N	\N	\N
169463	568	1995-08-09	PRIJEM	VKLAD	12297	46483	\N	\N	\N
169464	568	1995-09-09	PRIJEM	VKLAD	12297	45407	\N	\N	\N
169465	568	1995-10-09	PRIJEM	VKLAD	12297	47529	\N	\N	\N
169466	568	1995-11-09	PRIJEM	VKLAD	12297	50361	\N	\N	\N
169467	568	1995-12-09	PRIJEM	VKLAD	18446	56751	\N	\N	\N
169468	568	1996-01-09	PRIJEM	VKLAD	12297	52408	\N	\N	\N
169469	568	1996-02-09	PRIJEM	VKLAD	12297	42356	\N	\N	\N
169470	568	1996-03-09	PRIJEM	VKLAD	12297	45691	\N	\N	\N
169471	568	1996-04-09	PRIJEM	VKLAD	12297	41610	\N	\N	\N
169472	568	1996-05-09	PRIJEM	VKLAD	12297	37916	\N	\N	\N
169473	568	1996-06-09	PRIJEM	VKLAD	18446	22088	\N	\N	\N
169474	568	1996-07-09	PRIJEM	VKLAD	12297	34573	\N	\N	\N
169475	568	1996-08-09	PRIJEM	VKLAD	12297	39356	\N	\N	\N
169476	568	1996-09-09	PRIJEM	VKLAD	12297	43458	\N	\N	\N
169477	568	1996-10-09	PRIJEM	VKLAD	12297	47477	\N	\N	\N
169478	568	1996-11-09	PRIJEM	VKLAD	12297	43397	\N	\N	\N
169479	568	1996-12-09	PRIJEM	VKLAD	18446	48656	\N	\N	\N
169480	568	1997-01-09	PRIJEM	VKLAD	12297	29970	\N	\N	\N
169481	568	1997-02-09	PRIJEM	VKLAD	12297	33256	\N	\N	\N
169482	568	1997-03-09	PRIJEM	VKLAD	12297	41142	\N	\N	\N
169483	568	1997-04-09	PRIJEM	VKLAD	12297	40743	\N	\N	\N
169484	568	1997-05-09	PRIJEM	VKLAD	12297	41745	\N	\N	\N
169485	568	1997-06-09	PRIJEM	VKLAD	18446	30099	\N	\N	\N
169486	568	1997-07-09	PRIJEM	VKLAD	12297	40701	\N	\N	\N
169487	568	1997-08-09	PRIJEM	VKLAD	12297	43811	\N	\N	\N
169488	568	1997-09-09	PRIJEM	VKLAD	12297	47336	\N	\N	\N
169489	568	1997-10-09	PRIJEM	VKLAD	12297	50270	\N	\N	\N
169490	568	1997-11-09	PRIJEM	VKLAD	12297	46706	\N	\N	\N
169491	568	1997-12-09	PRIJEM	VKLAD	18446	52181	\N	\N	\N
169492	568	1998-01-09	PRIJEM	VKLAD	12297	45018	\N	\N	\N
169493	568	1998-02-09	PRIJEM	VKLAD	12297	33332	\N	\N	\N
169494	568	1998-03-09	PRIJEM	VKLAD	12297	39518	\N	\N	\N
169495	568	1998-04-09	PRIJEM	VKLAD	12297	43125	\N	\N	\N
169496	568	1998-05-09	PRIJEM	VKLAD	12297	48750	\N	\N	\N
169497	568	1998-06-09	PRIJEM	VKLAD	18446	56235	\N	\N	\N
169498	568	1998-07-09	PRIJEM	VKLAD	12297	35045	\N	\N	\N
169499	568	1998-08-09	PRIJEM	VKLAD	12297	45251	\N	\N	\N
169500	568	1998-09-09	PRIJEM	VKLAD	12297	39667	\N	\N	\N
169501	568	1998-10-09	PRIJEM	VKLAD	12297	50206	\N	\N	\N
169502	568	1998-11-09	PRIJEM	VKLAD	12297	57884	\N	\N	\N
169503	568	1998-12-09	PRIJEM	VKLAD	18446	65147	\N	\N	\N
169553	568	1996-06-02	VYDAJ	VYBER	28300	3642	\N	\N	\N
169554	568	1997-06-07	VYDAJ	VYBER	18000	11653	\N	\N	\N
169555	568	1998-06-16	VYDAJ	VYBER	19100	22635	\N	\N	\N
169557	568	1996-01-12	VYDAJ	VYBER	5400	44308	\N	\N	\N
169558	568	1997-01-04	VYDAJ	VYBER	9700	20273	\N	\N	\N
169559	568	1998-01-25	VYDAJ	VYBER	9400	21618	\N	\N	\N
169560	568	1995-12-17	VYDAJ	VYBER	2600	54151	\N	\N	\N
169561	568	1996-12-20	VYDAJ	VYBER	2800	32456	\N	\N	\N
169562	568	1997-12-20	VYDAJ	VYBER	1900	38681	\N	\N	\N
169563	568	1998-12-03	VYDAJ	VYBER	2800	55301	\N	\N	\N
169570	568	1996-01-28	VYDAJ	VYBER	700	32308	\N	\N	\N
169571	568	1996-01-23	VYDAJ	VYBER	600	33008	\N	\N	\N
169572	568	1996-01-14	VYDAJ	VYBER	900	43408	\N	\N	\N
169573	568	1996-01-09	VYDAJ	VYBER	1800	50608	\N	\N	\N
169574	568	1996-01-18	VYDAJ	VYBER	2800	40608	\N	\N	\N
169575	568	1996-01-12	VYDAJ	VYBER	900	49708	\N	\N	\N
169576	568	1997-01-22	VYDAJ	VYBER	1900	23770	\N	\N	\N
169577	568	1997-01-27	VYDAJ	VYBER	1900	20870	\N	\N	\N
169578	568	1997-01-24	VYDAJ	VYBER	1000	22770	\N	\N	\N
169579	568	1997-01-01	VYDAJ	VYBER	2600	29973	\N	\N	\N
169580	568	1997-01-08	VYDAJ	VYBER	1300	17673	\N	\N	\N
169581	568	1997-01-08	VYDAJ	VYBER	1300	18973	\N	\N	\N
169582	568	1998-01-15	VYDAJ	VYBER	2500	31018	\N	\N	\N
169583	568	1998-01-07	VYDAJ	VYBER	2200	32721	\N	\N	\N
169584	568	1998-01-12	VYDAJ	VYBER	700	33518	\N	\N	\N
169585	568	1998-01-28	VYDAJ	VYBER	700	20918	\N	\N	\N
169586	568	1998-01-05	VYDAJ	VYBER	1500	37321	\N	\N	\N
169587	568	1998-01-07	VYDAJ	VYBER	2400	34921	\N	\N	\N
169593	568	1996-05-03	VYDAJ	VYBER	4600	25619	\N	\N	\N
169594	568	1996-03-28	VYDAJ	VYBER	3800	29191	\N	\N	\N
169595	568	1996-02-03	VYDAJ	VYBER	2400	30059	\N	\N	\N
169596	568	1997-10-12	VYDAJ	VYBER	2500	45370	\N	\N	\N
169597	568	1997-10-09	VYDAJ	VYBER	2400	47870	\N	\N	\N
169598	568	1997-08-31	VYDAJ	VYBER	1400	35039	\N	\N	\N
169599	568	1997-11-19	VYDAJ	VYBER	2900	33606	\N	\N	\N
169600	568	1997-07-28	VYDAJ	VYBER	1800	31401	\N	\N	\N
169601	568	1997-01-15	VYDAJ	VYBER	4100	25870	\N	\N	\N
169602	568	1998-03-27	VYDAJ	VYBER	1300	30718	\N	\N	\N
169611	568	1995-08-31	VYDAJ	VYBER	15	33110	SLUZBY	\N	\N
169612	568	1995-09-30	VYDAJ	VYBER	15	35232	SLUZBY	\N	\N
169613	568	1995-10-31	VYDAJ	VYBER	15	38064	SLUZBY	\N	\N
169614	568	1995-11-30	VYDAJ	VYBER	15	38305	SLUZBY	\N	\N
169615	568	1995-12-31	VYDAJ	VYBER	15	40111	SLUZBY	\N	\N
169616	568	1996-01-31	VYDAJ	VYBER	15	32459	SLUZBY	\N	\N
169617	568	1996-02-29	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
169618	568	1996-03-31	VYDAJ	VYBER	15	29313	SLUZBY	\N	\N
169619	568	1996-04-30	VYDAJ	VYBER	15	30219	SLUZBY	\N	\N
169620	568	1996-05-31	VYDAJ	VYBER	15	31942	SLUZBY	\N	\N
169621	568	1996-06-30	VYDAJ	VYBER	15	22276	SLUZBY	\N	\N
169622	568	1996-07-31	VYDAJ	VYBER	15	27059	SLUZBY	\N	\N
169623	568	1996-08-31	VYDAJ	VYBER	15	31161	SLUZBY	\N	\N
169624	568	1996-09-30	VYDAJ	VYBER	15	35180	SLUZBY	\N	\N
169625	568	1996-10-31	VYDAJ	VYBER	15	31100	SLUZBY	\N	\N
169626	568	1996-11-30	VYDAJ	VYBER	15	30210	SLUZBY	\N	\N
169627	568	1996-12-31	VYDAJ	VYBER	15	32573	SLUZBY	\N	\N
169628	568	1997-01-31	VYDAJ	VYBER	15	20959	SLUZBY	\N	\N
169629	568	1997-02-28	VYDAJ	VYBER	15	28845	SLUZBY	\N	\N
169630	568	1997-03-31	VYDAJ	VYBER	15	28446	SLUZBY	\N	\N
169631	568	1997-04-30	VYDAJ	VYBER	15	29448	SLUZBY	\N	\N
169632	568	1997-05-31	VYDAJ	VYBER	15	29653	SLUZBY	\N	\N
169633	568	1997-06-30	VYDAJ	VYBER	15	28404	SLUZBY	\N	\N
169634	568	1997-07-31	VYDAJ	VYBER	15	31514	SLUZBY	\N	\N
169635	568	1997-08-31	VYDAJ	VYBER	15	36439	SLUZBY	\N	\N
169636	568	1997-09-30	VYDAJ	VYBER	15	37973	SLUZBY	\N	\N
169637	568	1997-10-31	VYDAJ	VYBER	15	34409	SLUZBY	\N	\N
169638	568	1997-11-30	VYDAJ	VYBER	15	33735	SLUZBY	\N	\N
169639	568	1997-12-31	VYDAJ	VYBER	15	38821	SLUZBY	\N	\N
169640	568	1998-01-31	VYDAJ	VYBER	15	21035	SLUZBY	\N	\N
169641	568	1998-02-28	VYDAJ	VYBER	15	27221	SLUZBY	\N	\N
169642	568	1998-03-31	VYDAJ	VYBER	15	30828	SLUZBY	\N	\N
169643	568	1998-04-30	VYDAJ	VYBER	15	36453	SLUZBY	\N	\N
169644	568	1998-05-31	VYDAJ	VYBER	15	37789	SLUZBY	\N	\N
169645	568	1998-06-30	VYDAJ	VYBER	15	22748	SLUZBY	\N	\N
169646	568	1998-07-31	VYDAJ	VYBER	15	32954	SLUZBY	\N	\N
169647	568	1998-08-31	VYDAJ	VYBER	15	32670	SLUZBY	\N	\N
169648	568	1998-09-30	VYDAJ	VYBER	15	39809	SLUZBY	\N	\N
169649	568	1998-10-31	VYDAJ	VYBER	15	50387	SLUZBY	\N	\N
169650	568	1998-11-30	VYDAJ	VYBER	15	58101	SLUZBY	\N	\N
169651	568	1995-04-27	PRIJEM	VKLAD	5300	17797	\N	\N	\N
169652	568	1995-05-27	VYDAJ	VYBER	3400	26704	\N	\N	\N
169653	568	1995-06-26	VYDAJ	VYBER	10900	34330	\N	\N	\N
169654	568	1995-07-26	VYDAJ	VYBER	12700	34044	\N	\N	\N
169655	568	1995-08-25	VYDAJ	VYBER	13500	32983	\N	\N	\N
169656	568	1995-09-24	VYDAJ	VYBER	10300	35107	\N	\N	\N
169657	568	1995-10-24	VYDAJ	VYBER	9600	37929	\N	\N	\N
169658	568	1995-11-23	VYDAJ	VYBER	12200	38161	\N	\N	\N
169659	568	1995-12-23	VYDAJ	VYBER	14200	39951	\N	\N	\N
169660	568	1996-01-22	VYDAJ	VYBER	7000	33608	\N	\N	\N
169661	568	1996-02-21	VYDAJ	VYBER	9100	33256	\N	\N	\N
169662	568	1996-03-22	VYDAJ	VYBER	12700	32991	\N	\N	\N
169663	568	1996-04-21	VYDAJ	VYBER	11500	30110	\N	\N	\N
169664	568	1996-05-21	VYDAJ	VYBER	6100	31816	\N	\N	\N
169665	568	1996-06-20	PRIJEM	VKLAD	100	22188	\N	\N	\N
169666	568	1996-07-20	VYDAJ	VYBER	7600	26973	\N	\N	\N
169667	568	1996-08-19	VYDAJ	VYBER	8300	31056	\N	\N	\N
169668	568	1996-09-18	VYDAJ	VYBER	8400	35058	\N	\N	\N
169669	568	1996-10-18	VYDAJ	VYBER	16500	30977	\N	\N	\N
169670	568	1996-11-17	VYDAJ	VYBER	13300	30097	\N	\N	\N
169671	568	1996-12-17	VYDAJ	VYBER	13400	35256	\N	\N	\N
169672	568	1997-01-16	VYDAJ	VYBER	200	25670	\N	\N	\N
169673	568	1997-02-15	VYDAJ	VYBER	4500	28756	\N	\N	\N
169674	568	1997-03-17	VYDAJ	VYBER	12800	28342	\N	\N	\N
169675	568	1997-04-16	VYDAJ	VYBER	11400	29343	\N	\N	\N
169676	568	1997-05-16	VYDAJ	VYBER	12200	29545	\N	\N	\N
169677	568	1997-06-15	VYDAJ	VYBER	1800	28299	\N	\N	\N
169678	568	1997-07-15	VYDAJ	VYBER	7500	33201	\N	\N	\N
169679	568	1997-08-14	VYDAJ	VYBER	7500	36311	\N	\N	\N
169680	568	1997-09-13	VYDAJ	VYBER	9500	37836	\N	\N	\N
169681	568	1997-10-13	VYDAJ	VYBER	11100	34270	\N	\N	\N
169682	568	1997-11-12	VYDAJ	VYBER	10200	36506	\N	\N	\N
169683	568	1997-12-12	VYDAJ	VYBER	11600	40581	\N	\N	\N
169684	568	1998-01-11	VYDAJ	VYBER	10800	34218	\N	\N	\N
169685	568	1998-02-10	VYDAJ	VYBER	6200	27132	\N	\N	\N
169686	568	1998-03-12	VYDAJ	VYBER	7500	32018	\N	\N	\N
169687	568	1998-04-11	VYDAJ	VYBER	6800	36325	\N	\N	\N
169688	568	1998-05-11	VYDAJ	VYBER	11100	37650	\N	\N	\N
169689	568	1998-06-10	VYDAJ	VYBER	14500	41735	\N	\N	\N
169690	568	1998-07-10	VYDAJ	VYBER	2200	32845	\N	\N	\N
169691	568	1998-08-09	VYDAJ	VYBER	12700	32551	\N	\N	\N
169692	568	1998-09-08	VYDAJ	VYBER	5300	27370	\N	\N	\N
169693	568	1998-10-08	VYDAJ	VYBER	1900	37909	\N	\N	\N
169694	568	1998-11-07	VYDAJ	VYBER	4800	45587	\N	\N	\N
169695	568	1998-12-07	VYDAJ	VYBER	8600	46701	\N	\N	\N
169741	569	1996-10-01	PRIJEM	VKLAD	300	300	\N	\N	\N
169751	569	1996-10-14	PRIJEM	PREVOD Z UCTU	3111	3411	\N	MN	63765591
169752	569	1996-11-14	PRIJEM	PREVOD Z UCTU	3111	21132	\N	MN	63765591
169753	569	1996-12-14	PRIJEM	PREVOD Z UCTU	3111	25519	\N	MN	63765591
169754	569	1997-01-14	PRIJEM	PREVOD Z UCTU	3111	28324	\N	MN	63765591
169755	569	1997-02-14	PRIJEM	PREVOD Z UCTU	3111	27839	\N	MN	63765591
169756	569	1997-03-14	PRIJEM	PREVOD Z UCTU	3111	24964	\N	MN	63765591
169757	569	1997-04-14	PRIJEM	PREVOD Z UCTU	3111	27789	\N	MN	63765591
169758	569	1997-05-14	PRIJEM	PREVOD Z UCTU	3111	25734	\N	MN	63765591
169759	569	1997-06-14	PRIJEM	PREVOD Z UCTU	3111	13950	\N	MN	63765591
169760	569	1997-07-14	PRIJEM	PREVOD Z UCTU	3111	19644	\N	MN	63765591
169761	569	1997-08-14	PRIJEM	PREVOD Z UCTU	3111	23648	\N	MN	63765591
169762	569	1997-09-14	PRIJEM	PREVOD Z UCTU	3111	21966	\N	MN	63765591
169763	569	1997-10-14	PRIJEM	PREVOD Z UCTU	3111	25082	\N	MN	63765591
169764	569	1997-11-14	PRIJEM	PREVOD Z UCTU	3111	31411	\N	MN	63765591
169765	569	1997-12-14	PRIJEM	PREVOD Z UCTU	3111	36866	\N	MN	63765591
169766	569	1998-01-14	PRIJEM	PREVOD Z UCTU	3111	33658	\N	MN	63765591
169767	569	1998-02-14	PRIJEM	PREVOD Z UCTU	3111	32977	\N	MN	63765591
169768	569	1998-03-14	PRIJEM	PREVOD Z UCTU	3111	29531	\N	MN	63765591
169769	569	1998-04-14	PRIJEM	PREVOD Z UCTU	3111	32576	\N	MN	63765591
169770	569	1998-05-14	PRIJEM	PREVOD Z UCTU	3111	35834	\N	MN	63765591
169771	569	1998-06-14	PRIJEM	PREVOD Z UCTU	3111	24579	\N	MN	63765591
169772	569	1998-07-14	PRIJEM	PREVOD Z UCTU	3111	26617	\N	MN	63765591
169773	569	1998-08-14	PRIJEM	PREVOD Z UCTU	3111	26918	\N	MN	63765591
169774	569	1998-09-14	PRIJEM	PREVOD Z UCTU	3111	25247	\N	MN	63765591
169775	569	1998-10-14	PRIJEM	PREVOD Z UCTU	3111	26272	\N	MN	63765591
169776	569	1998-11-14	PRIJEM	PREVOD Z UCTU	3111	26940	\N	MN	63765591
169777	569	1998-12-14	PRIJEM	PREVOD Z UCTU	3111	21313	\N	MN	63765591
169792	569	1997-03-13	VYDAJ	PREVOD NA UCET	2074	21853	SIPO	YZ	87054288
169793	569	1997-04-13	VYDAJ	PREVOD NA UCET	2074	24678	SIPO	YZ	87054288
169794	569	1997-05-13	VYDAJ	PREVOD NA UCET	2074	22623	SIPO	YZ	87054288
169795	569	1997-06-13	VYDAJ	PREVOD NA UCET	2074	10839	SIPO	YZ	87054288
169796	569	1997-07-13	VYDAJ	PREVOD NA UCET	2074	16533	SIPO	YZ	87054288
169797	569	1997-08-13	VYDAJ	PREVOD NA UCET	2074	20537	SIPO	YZ	87054288
169798	569	1997-09-13	VYDAJ	PREVOD NA UCET	2074	18855	SIPO	YZ	87054288
169799	569	1997-10-13	VYDAJ	PREVOD NA UCET	2074	21971	SIPO	YZ	87054288
169800	569	1997-11-13	VYDAJ	PREVOD NA UCET	2074	28300	SIPO	YZ	87054288
169801	569	1997-12-13	VYDAJ	PREVOD NA UCET	2074	33755	SIPO	YZ	87054288
169802	569	1998-01-13	VYDAJ	PREVOD NA UCET	2074	30547	SIPO	YZ	87054288
169803	569	1998-02-13	VYDAJ	PREVOD NA UCET	2074	29866	SIPO	YZ	87054288
169804	569	1998-03-13	VYDAJ	PREVOD NA UCET	2074	26420	SIPO	YZ	87054288
169805	569	1998-04-13	VYDAJ	PREVOD NA UCET	2074	29465	SIPO	YZ	87054288
169806	569	1998-05-13	VYDAJ	PREVOD NA UCET	2074	32723	SIPO	YZ	87054288
169807	569	1998-06-13	VYDAJ	PREVOD NA UCET	2074	29988	SIPO	YZ	87054288
169808	569	1998-07-13	VYDAJ	PREVOD NA UCET	2074	23506	SIPO	YZ	87054288
169809	569	1998-08-13	VYDAJ	PREVOD NA UCET	2074	23807	SIPO	YZ	87054288
169810	569	1998-09-13	VYDAJ	PREVOD NA UCET	2074	22136	SIPO	YZ	87054288
169811	569	1998-10-13	VYDAJ	PREVOD NA UCET	2074	23161	SIPO	YZ	87054288
169812	569	1998-11-13	VYDAJ	PREVOD NA UCET	2074	23829	SIPO	YZ	87054288
169813	569	1998-12-13	VYDAJ	PREVOD NA UCET	2074	18202	SIPO	YZ	87054288
169815	569	1997-06-01	VYDAJ	VYBER	8310	12913	\N	\N	\N
169816	569	1998-06-13	VYDAJ	VYBER	8520	21468	\N	\N	\N
169819	569	1998-01-16	VYDAJ	VYBER	1230	31858	\N	\N	\N
169821	569	1997-12-25	VYDAJ	VYBER	840	36026	\N	\N	\N
169822	569	1998-12-03	VYDAJ	VYBER	450	20276	\N	\N	\N
169835	569	1998-01-13	VYDAJ	VYBER	540	32621	\N	\N	\N
169836	569	1998-01-27	VYDAJ	VYBER	480	31818	\N	\N	\N
169837	569	1998-01-15	VYDAJ	VYBER	570	33088	\N	\N	\N
169838	569	1998-01-09	VYDAJ	VYBER	720	33161	\N	\N	\N
169839	569	1998-01-21	VYDAJ	VYBER	360	31498	\N	\N	\N
169840	569	1998-01-01	VYDAJ	VYBER	450	34811	\N	\N	\N
169845	569	1997-07-13	VYDAJ	VYBER	300	18607	\N	\N	\N
169846	569	1997-04-19	VYDAJ	VYBER	690	27099	\N	\N	\N
169847	569	1997-09-10	VYDAJ	VYBER	1200	20929	\N	\N	\N
169848	569	1998-10-17	VYDAJ	VYBER	1260	25012	\N	\N	\N
169849	569	1998-11-26	VYDAJ	VYBER	300	20640	\N	\N	\N
169850	569	1998-01-04	VYDAJ	VYBER	930	33881	\N	\N	\N
169851	569	1998-08-07	VYDAJ	VYBER	600	25881	\N	\N	\N
169852	569	1998-07-17	VYDAJ	VYBER	330	26287	\N	\N	\N
169867	569	1997-02-28	VYDAJ	VYBER	15	27927	SLUZBY	\N	\N
169868	569	1997-03-31	VYDAJ	VYBER	15	26752	SLUZBY	\N	\N
169869	569	1997-04-30	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
169870	569	1997-05-31	VYDAJ	VYBER	15	21223	SLUZBY	\N	\N
169871	569	1997-06-30	VYDAJ	VYBER	15	18907	SLUZBY	\N	\N
169872	569	1997-07-31	VYDAJ	VYBER	15	22611	SLUZBY	\N	\N
169873	569	1997-08-31	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
169874	569	1997-09-30	VYDAJ	VYBER	15	24045	SLUZBY	\N	\N
169875	569	1997-10-31	VYDAJ	VYBER	15	30374	SLUZBY	\N	\N
169876	569	1997-11-30	VYDAJ	VYBER	15	35829	SLUZBY	\N	\N
169877	569	1997-12-31	VYDAJ	VYBER	15	35261	SLUZBY	\N	\N
169878	569	1998-01-31	VYDAJ	VYBER	15	31940	SLUZBY	\N	\N
169879	569	1998-02-28	VYDAJ	VYBER	15	28494	SLUZBY	\N	\N
169880	569	1998-03-31	VYDAJ	VYBER	15	31539	SLUZBY	\N	\N
169881	569	1998-04-30	VYDAJ	VYBER	15	34797	SLUZBY	\N	\N
169882	569	1998-05-31	VYDAJ	VYBER	15	32062	SLUZBY	\N	\N
169883	569	1998-06-30	VYDAJ	VYBER	15	25580	SLUZBY	\N	\N
169884	569	1998-07-31	VYDAJ	VYBER	15	26481	SLUZBY	\N	\N
169885	569	1998-08-31	VYDAJ	VYBER	15	24210	SLUZBY	\N	\N
169886	569	1998-09-30	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
169887	569	1998-10-31	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
169888	569	1998-11-30	VYDAJ	VYBER	15	20726	SLUZBY	\N	\N
169889	569	1996-10-31	PRIJEM	VKLAD	14600	18011	\N	\N	\N
169890	569	1996-11-30	PRIJEM	VKLAD	1200	22408	\N	\N	\N
169891	569	1996-12-30	VYDAJ	VYBER	400	25119	\N	\N	\N
169892	569	1997-01-29	VYDAJ	VYBER	3700	24624	\N	\N	\N
169893	569	1997-02-28	VYDAJ	VYBER	4000	23927	\N	\N	\N
169894	569	1997-03-30	PRIJEM	VKLAD	1700	26664	\N	\N	\N
169895	569	1997-04-29	VYDAJ	VYBER	2500	24599	\N	\N	\N
169896	569	1997-05-29	VYDAJ	VYBER	4600	21134	\N	\N	\N
169897	569	1997-06-28	PRIJEM	VKLAD	4900	18850	\N	\N	\N
169898	569	1997-07-28	PRIJEM	VKLAD	2900	22544	\N	\N	\N
169899	569	1997-08-27	VYDAJ	VYBER	1600	22048	\N	\N	\N
169900	569	1997-09-26	PRIJEM	VKLAD	2000	23966	\N	\N	\N
169901	569	1997-10-26	PRIJEM	VKLAD	5200	30282	\N	\N	\N
169902	569	1997-11-25	PRIJEM	VKLAD	4300	35711	\N	\N	\N
169903	569	1997-12-25	VYDAJ	VYBER	900	35126	\N	\N	\N
169904	569	1998-01-24	PRIJEM	VKLAD	800	32298	\N	\N	\N
169905	569	1998-02-23	VYDAJ	VYBER	4600	28377	\N	\N	\N
169906	569	1998-03-25	PRIJEM	VKLAD	1900	31431	\N	\N	\N
169907	569	1998-04-24	PRIJEM	VKLAD	2100	34676	\N	\N	\N
169908	569	1998-05-24	VYDAJ	VYBER	3900	31934	\N	\N	\N
169909	569	1998-06-23	PRIJEM	VKLAD	900	25479	\N	\N	\N
169910	569	1998-07-23	PRIJEM	VKLAD	100	26387	\N	\N	\N
169911	569	1998-08-22	VYDAJ	VYBER	2800	24118	\N	\N	\N
169912	569	1998-09-21	VYDAJ	VYBER	100	25147	\N	\N	\N
169913	569	1998-10-21	PRIJEM	VKLAD	800	25812	\N	\N	\N
169914	569	1998-11-20	VYDAJ	VYBER	6000	20940	\N	\N	\N
169942	570	1996-11-14	PRIJEM	VKLAD	800	800	\N	\N	\N
169954	570	1996-12-05	PRIJEM	VKLAD	14115	14915	\N	\N	\N
169955	570	1997-01-05	PRIJEM	VKLAD	9410	26667	\N	\N	\N
169956	570	1997-02-05	PRIJEM	VKLAD	9410	34368	\N	\N	\N
169957	570	1997-03-05	PRIJEM	VKLAD	9410	37690	\N	\N	\N
169958	570	1997-04-05	PRIJEM	VKLAD	9410	40223	\N	\N	\N
169959	570	1997-05-05	PRIJEM	VKLAD	9410	33565	\N	\N	\N
169960	570	1997-06-05	PRIJEM	VKLAD	14115	38997	\N	\N	\N
169961	570	1997-07-05	PRIJEM	VKLAD	9410	37436	\N	\N	\N
169962	570	1997-08-05	PRIJEM	VKLAD	9410	37878	\N	\N	\N
169963	570	1997-09-05	PRIJEM	VKLAD	9410	37921	\N	\N	\N
169964	570	1997-10-05	PRIJEM	VKLAD	9410	42777	\N	\N	\N
169965	570	1997-11-05	PRIJEM	VKLAD	9410	41436	\N	\N	\N
169966	570	1997-12-05	PRIJEM	VKLAD	14115	42298	\N	\N	\N
169967	570	1998-01-05	PRIJEM	VKLAD	9410	40152	\N	\N	\N
169968	570	1998-02-05	PRIJEM	VKLAD	9410	33391	\N	\N	\N
169969	570	1998-03-05	PRIJEM	VKLAD	9410	38028	\N	\N	\N
169970	570	1998-04-05	PRIJEM	VKLAD	9410	40280	\N	\N	\N
169971	570	1998-05-05	PRIJEM	VKLAD	9410	38625	\N	\N	\N
169972	570	1998-06-05	PRIJEM	VKLAD	14115	42973	\N	\N	\N
169973	570	1998-07-05	PRIJEM	VKLAD	9410	37841	\N	\N	\N
169974	570	1998-08-05	PRIJEM	VKLAD	9410	34072	\N	\N	\N
169975	570	1998-09-05	PRIJEM	VKLAD	9410	24865	\N	\N	\N
169976	570	1998-10-05	PRIJEM	VKLAD	9410	21844	\N	\N	\N
169977	570	1998-11-05	PRIJEM	VKLAD	9410	16904	\N	\N	\N
169978	570	1998-12-05	PRIJEM	VKLAD	14115	24772	\N	\N	\N
169994	570	1997-04-07	VYDAJ	PREVOD NA UCET	6273	33950	SIPO	YZ	48868894
169995	570	1997-05-07	VYDAJ	PREVOD NA UCET	6273	27292	SIPO	YZ	48868894
169996	570	1997-06-07	VYDAJ	PREVOD NA UCET	6273	32724	SIPO	YZ	48868894
169997	570	1997-07-07	VYDAJ	PREVOD NA UCET	6273	31163	SIPO	YZ	48868894
169998	570	1997-08-07	VYDAJ	PREVOD NA UCET	6273	31605	SIPO	YZ	48868894
169999	570	1997-09-07	VYDAJ	PREVOD NA UCET	6273	31648	SIPO	YZ	48868894
170000	570	1997-10-07	VYDAJ	PREVOD NA UCET	6273	36504	SIPO	YZ	48868894
170001	570	1997-11-07	VYDAJ	PREVOD NA UCET	6273	35163	SIPO	YZ	48868894
170002	570	1997-12-07	VYDAJ	PREVOD NA UCET	6273	36025	SIPO	YZ	48868894
170003	570	1998-01-07	VYDAJ	PREVOD NA UCET	6273	33879	SIPO	YZ	48868894
170004	570	1998-02-07	VYDAJ	PREVOD NA UCET	6273	28518	SIPO	YZ	48868894
170005	570	1998-03-07	VYDAJ	PREVOD NA UCET	6273	31755	SIPO	YZ	48868894
170006	570	1998-04-07	VYDAJ	PREVOD NA UCET	6273	34007	SIPO	YZ	48868894
170007	570	1998-05-07	VYDAJ	PREVOD NA UCET	6273	32352	SIPO	YZ	48868894
170008	570	1998-06-07	VYDAJ	PREVOD NA UCET	6273	36700	SIPO	YZ	48868894
170009	570	1998-07-07	VYDAJ	PREVOD NA UCET	6273	31568	SIPO	YZ	48868894
170010	570	1998-08-07	VYDAJ	PREVOD NA UCET	6273	15399	SIPO	YZ	48868894
170011	570	1998-09-07	VYDAJ	PREVOD NA UCET	6273	12392	SIPO	YZ	48868894
170012	570	1998-10-07	VYDAJ	PREVOD NA UCET	6273	7471	SIPO	YZ	48868894
170013	570	1998-11-07	VYDAJ	PREVOD NA UCET	6273	10631	SIPO	YZ	48868894
170014	570	1998-12-07	VYDAJ	PREVOD NA UCET	6273	18499	SIPO	YZ	48868894
170020	570	1998-01-17	VYDAJ	VYBER	8800	23879	\N	\N	\N
170022	570	1997-12-03	VYDAJ	VYBER	2600	28183	\N	\N	\N
170023	570	1998-12-19	VYDAJ	VYBER	1500	16999	\N	\N	\N
170028	570	1997-11-21	VYDAJ	VYBER	2300	30663	\N	\N	\N
170029	570	1997-04-23	VYDAJ	VYBER	2500	24050	\N	\N	\N
170030	570	1997-04-17	VYDAJ	VYBER	2300	26550	\N	\N	\N
170031	570	1997-10-15	VYDAJ	VYBER	1100	31904	\N	\N	\N
170032	570	1998-07-03	VYDAJ	VYBER	1500	28431	\N	\N	\N
170033	570	1998-03-26	VYDAJ	VYBER	1000	30755	\N	\N	\N
170051	570	1997-04-30	VYDAJ	VYBER	15	24155	SLUZBY	\N	\N
170052	570	1997-05-31	VYDAJ	VYBER	15	24882	SLUZBY	\N	\N
170053	570	1997-06-30	VYDAJ	VYBER	15	28026	SLUZBY	\N	\N
170054	570	1997-07-31	VYDAJ	VYBER	15	28468	SLUZBY	\N	\N
170055	570	1997-08-31	VYDAJ	VYBER	15	28511	SLUZBY	\N	\N
170056	570	1997-09-30	VYDAJ	VYBER	15	33367	SLUZBY	\N	\N
170057	570	1997-10-31	VYDAJ	VYBER	15	32026	SLUZBY	\N	\N
170058	570	1997-11-30	VYDAJ	VYBER	15	30783	SLUZBY	\N	\N
170059	570	1997-12-31	VYDAJ	VYBER	15	30742	SLUZBY	\N	\N
170060	570	1998-01-31	VYDAJ	VYBER	15	23981	SLUZBY	\N	\N
170061	570	1998-02-28	VYDAJ	VYBER	15	28618	SLUZBY	\N	\N
170062	570	1998-03-31	VYDAJ	VYBER	15	30870	SLUZBY	\N	\N
170063	570	1998-04-30	VYDAJ	VYBER	15	29215	SLUZBY	\N	\N
170064	570	1998-05-31	VYDAJ	VYBER	15	28858	SLUZBY	\N	\N
170065	570	1998-06-30	VYDAJ	VYBER	15	29931	SLUZBY	\N	\N
170066	570	1998-07-31	VYDAJ	VYBER	15	24662	SLUZBY	\N	\N
170067	570	1998-08-31	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
170068	570	1998-09-30	VYDAJ	VYBER	15	12434	SLUZBY	\N	\N
170069	570	1998-10-31	VYDAJ	VYBER	15	7494	SLUZBY	\N	\N
170070	570	1998-11-30	VYDAJ	VYBER	15	10657	SLUZBY	\N	\N
170071	570	1996-12-14	PRIJEM	VKLAD	2300	17215	\N	\N	\N
170072	570	1997-01-13	VYDAJ	VYBER	1800	24867	\N	\N	\N
170073	570	1997-02-12	VYDAJ	VYBER	6200	28168	\N	\N	\N
170074	570	1997-03-14	VYDAJ	VYBER	7000	30690	\N	\N	\N
170075	570	1997-04-13	VYDAJ	VYBER	5100	28850	\N	\N	\N
170076	570	1997-05-13	VYDAJ	VYBER	2500	24792	\N	\N	\N
170077	570	1997-06-12	VYDAJ	VYBER	4800	27924	\N	\N	\N
170078	570	1997-07-12	VYDAJ	VYBER	2800	28363	\N	\N	\N
170079	570	1997-08-11	VYDAJ	VYBER	3200	28405	\N	\N	\N
170080	570	1997-09-10	PRIJEM	VKLAD	1600	33248	\N	\N	\N
170081	570	1997-10-10	VYDAJ	VYBER	3500	33004	\N	\N	\N
170082	570	1997-11-09	VYDAJ	VYBER	2200	32963	\N	\N	\N
170083	570	1997-12-09	VYDAJ	VYBER	5400	30625	\N	\N	\N
170084	570	1998-01-08	VYDAJ	VYBER	1200	32679	\N	\N	\N
170085	570	1998-02-07	PRIJEM	VKLAD	1400	34791	\N	\N	\N
170086	570	1998-04-08	VYDAJ	VYBER	4900	29107	\N	\N	\N
170087	570	1998-05-08	VYDAJ	VYBER	3600	28752	\N	\N	\N
170088	570	1998-06-07	VYDAJ	VYBER	6900	29800	\N	\N	\N
170089	570	1998-07-07	VYDAJ	VYBER	7000	24568	\N	\N	\N
170090	570	1998-08-06	VYDAJ	VYBER	12400	21672	\N	\N	\N
170091	570	1998-09-05	VYDAJ	VYBER	6200	18665	\N	\N	\N
170092	570	1998-10-05	VYDAJ	VYBER	8100	13744	\N	\N	\N
170118	571	1996-07-16	PRIJEM	VKLAD	200	200	\N	\N	\N
170126	571	1996-08-06	PRIJEM	PREVOD Z UCTU	4883	5083	DUCHOD	UV	10175401
170127	571	1996-09-06	PRIJEM	PREVOD Z UCTU	4883	9966	DUCHOD	UV	10175401
170128	571	1996-10-06	PRIJEM	PREVOD Z UCTU	4883	14849	DUCHOD	UV	10175401
170129	571	1996-11-06	PRIJEM	PREVOD Z UCTU	4883	19732	DUCHOD	UV	10175401
170130	571	1996-12-06	PRIJEM	PREVOD Z UCTU	4883	24615	DUCHOD	UV	10175401
170131	571	1997-01-06	PRIJEM	PREVOD Z UCTU	4883	18623	DUCHOD	UV	10175401
170132	571	1997-02-06	PRIJEM	PREVOD Z UCTU	4883	17256	DUCHOD	UV	10175401
170133	571	1997-03-06	PRIJEM	PREVOD Z UCTU	4883	18926	DUCHOD	UV	10175401
170134	571	1997-04-06	PRIJEM	PREVOD Z UCTU	4883	20603	DUCHOD	UV	10175401
170135	571	1997-05-06	PRIJEM	PREVOD Z UCTU	4883	22287	DUCHOD	UV	10175401
170136	571	1997-06-06	PRIJEM	PREVOD Z UCTU	4883	20931	DUCHOD	UV	10175401
170137	571	1997-07-06	PRIJEM	PREVOD Z UCTU	4883	17602	DUCHOD	UV	10175401
170138	571	1997-08-06	PRIJEM	PREVOD Z UCTU	4883	19275	DUCHOD	UV	10175401
170139	571	1997-09-06	PRIJEM	PREVOD Z UCTU	4883	20954	DUCHOD	UV	10175401
170140	571	1997-10-06	PRIJEM	PREVOD Z UCTU	4883	22640	DUCHOD	UV	10175401
170141	571	1997-11-06	PRIJEM	PREVOD Z UCTU	4883	24332	DUCHOD	UV	10175401
170142	571	1997-12-06	PRIJEM	PREVOD Z UCTU	4883	25182	DUCHOD	UV	10175401
170143	571	1998-01-06	PRIJEM	PREVOD Z UCTU	4883	24407	DUCHOD	UV	10175401
170144	571	1998-02-06	PRIJEM	PREVOD Z UCTU	4883	18310	DUCHOD	UV	10175401
170145	571	1998-03-06	PRIJEM	PREVOD Z UCTU	4883	19985	DUCHOD	UV	10175401
170146	571	1998-04-06	PRIJEM	PREVOD Z UCTU	4883	18782	DUCHOD	UV	10175401
170147	571	1998-05-06	PRIJEM	PREVOD Z UCTU	4883	20458	DUCHOD	UV	10175401
170148	571	1998-06-06	PRIJEM	PREVOD Z UCTU	4883	19980	DUCHOD	UV	10175401
170149	571	1998-07-06	PRIJEM	PREVOD Z UCTU	4883	21661	DUCHOD	UV	10175401
170150	571	1998-08-06	PRIJEM	PREVOD Z UCTU	4883	23349	DUCHOD	UV	10175401
170151	571	1998-09-06	PRIJEM	PREVOD Z UCTU	4883	25045	DUCHOD	UV	10175401
170152	571	1998-10-06	PRIJEM	PREVOD Z UCTU	4883	26747	DUCHOD	UV	10175401
170153	571	1998-11-06	PRIJEM	PREVOD Z UCTU	4883	28457	DUCHOD	UV	10175401
170154	571	1998-12-06	PRIJEM	PREVOD Z UCTU	4883	28723	DUCHOD	UV	10175401
170166	571	1996-12-08	VYDAJ	PREVOD NA UCET	3255	21360	SIPO	EF	93711280
170167	571	1997-01-08	VYDAJ	PREVOD NA UCET	3255	15368	SIPO	EF	93711280
170168	571	1997-02-08	VYDAJ	PREVOD NA UCET	3255	14001	SIPO	EF	93711280
170169	571	1997-03-08	VYDAJ	PREVOD NA UCET	3255	15671	SIPO	EF	93711280
170170	571	1997-04-08	VYDAJ	PREVOD NA UCET	3255	17348	SIPO	EF	93711280
170171	571	1997-05-08	VYDAJ	PREVOD NA UCET	3255	19032	SIPO	EF	93711280
170172	571	1997-06-08	VYDAJ	PREVOD NA UCET	3255	17676	SIPO	EF	93711280
170173	571	1997-07-08	VYDAJ	PREVOD NA UCET	3255	14347	SIPO	EF	93711280
170174	571	1997-08-08	VYDAJ	PREVOD NA UCET	3255	16020	SIPO	EF	93711280
170175	571	1997-09-08	VYDAJ	PREVOD NA UCET	3255	17699	SIPO	EF	93711280
170176	571	1997-10-08	VYDAJ	PREVOD NA UCET	3255	19385	SIPO	EF	93711280
170177	571	1997-11-08	VYDAJ	PREVOD NA UCET	3255	21077	SIPO	EF	93711280
170178	571	1997-12-08	VYDAJ	PREVOD NA UCET	3255	21927	SIPO	EF	93711280
170179	571	1998-01-08	VYDAJ	PREVOD NA UCET	3255	19072	SIPO	EF	93711280
170180	571	1998-02-08	VYDAJ	PREVOD NA UCET	3255	15055	SIPO	EF	93711280
170181	571	1998-03-08	VYDAJ	PREVOD NA UCET	3255	16730	SIPO	EF	93711280
170182	571	1998-04-08	VYDAJ	PREVOD NA UCET	3255	15527	SIPO	EF	93711280
170183	571	1998-05-08	VYDAJ	PREVOD NA UCET	3255	17203	SIPO	EF	93711280
170184	571	1998-06-08	VYDAJ	PREVOD NA UCET	3255	16725	SIPO	EF	93711280
170185	571	1998-07-08	VYDAJ	PREVOD NA UCET	3255	18406	SIPO	EF	93711280
170186	571	1998-08-08	VYDAJ	PREVOD NA UCET	3255	20094	SIPO	EF	93711280
170187	571	1998-09-08	VYDAJ	PREVOD NA UCET	3255	21790	SIPO	EF	93711280
170188	571	1998-10-08	VYDAJ	PREVOD NA UCET	3255	23492	SIPO	EF	93711280
170189	571	1998-11-08	VYDAJ	PREVOD NA UCET	3255	25202	SIPO	EF	93711280
170190	571	1998-12-08	VYDAJ	PREVOD NA UCET	3255	25468	SIPO	EF	93711280
170192	571	1997-06-21	VYDAJ	VYBER	3650	14026	\N	\N	\N
170196	571	1998-01-11	VYDAJ	VYBER	2500	15372	\N	\N	\N
170197	571	1996-12-17	VYDAJ	VYBER	950	20410	\N	\N	\N
170198	571	1997-12-05	VYDAJ	VYBER	850	20299	\N	\N	\N
170199	571	1998-12-01	VYDAJ	VYBER	1450	23840	\N	\N	\N
170206	571	1997-01-01	VYDAJ	VYBER	1600	17340	\N	\N	\N
170207	571	1997-01-16	VYDAJ	VYBER	1920	13448	\N	\N	\N
170208	571	1997-01-27	VYDAJ	VYBER	1120	12328	\N	\N	\N
170209	571	1997-01-03	VYDAJ	VYBER	1760	13740	\N	\N	\N
170210	571	1997-01-02	VYDAJ	VYBER	1840	15500	\N	\N	\N
170212	571	1998-01-30	VYDAJ	VYBER	480	13372	\N	\N	\N
170213	571	1998-01-05	VYDAJ	VYBER	1360	19524	\N	\N	\N
170214	571	1998-01-06	VYDAJ	VYBER	2080	22327	\N	\N	\N
170215	571	1998-01-02	VYDAJ	VYBER	1120	20884	\N	\N	\N
170216	571	1998-01-29	VYDAJ	VYBER	1520	13852	\N	\N	\N
170217	571	1998-01-09	VYDAJ	VYBER	1200	17872	\N	\N	\N
170218	571	1996-12-19	VYDAJ	VYBER	1520	18890	\N	\N	\N
170223	571	1997-07-04	VYDAJ	VYBER	1360	12719	\N	\N	\N
170225	571	1997-05-14	VYDAJ	VYBER	3040	15992	\N	\N	\N
170226	571	1998-03-18	VYDAJ	VYBER	1120	15610	\N	\N	\N
170227	571	1998-05-25	VYDAJ	VYBER	2160	15043	\N	\N	\N
170228	571	1998-03-23	VYDAJ	VYBER	1760	13850	\N	\N	\N
170241	571	1996-12-31	VYDAJ	VYBER	15	18940	SLUZBY	\N	\N
170242	571	1997-01-31	VYDAJ	VYBER	15	12373	SLUZBY	\N	\N
170243	571	1997-02-28	VYDAJ	VYBER	15	14043	SLUZBY	\N	\N
170244	571	1997-03-31	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
170245	571	1997-04-30	VYDAJ	VYBER	15	17404	SLUZBY	\N	\N
170246	571	1997-05-31	VYDAJ	VYBER	15	16048	SLUZBY	\N	\N
170247	571	1997-06-30	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
170248	571	1997-07-31	VYDAJ	VYBER	15	14392	SLUZBY	\N	\N
170249	571	1997-08-31	VYDAJ	VYBER	15	16071	SLUZBY	\N	\N
170250	571	1997-09-30	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
170251	571	1997-10-31	VYDAJ	VYBER	15	19449	SLUZBY	\N	\N
170252	571	1997-11-30	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
170253	571	1997-12-31	VYDAJ	VYBER	15	22004	SLUZBY	\N	\N
170254	571	1998-01-31	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
170255	571	1998-02-28	VYDAJ	VYBER	15	15102	SLUZBY	\N	\N
170256	571	1998-03-31	VYDAJ	VYBER	15	13899	SLUZBY	\N	\N
170257	571	1998-04-30	VYDAJ	VYBER	15	15575	SLUZBY	\N	\N
170258	571	1998-05-31	VYDAJ	VYBER	15	15097	SLUZBY	\N	\N
170259	571	1998-06-30	VYDAJ	VYBER	15	16778	SLUZBY	\N	\N
170260	571	1998-07-31	VYDAJ	VYBER	15	18466	SLUZBY	\N	\N
170261	571	1998-08-31	VYDAJ	VYBER	15	20162	SLUZBY	\N	\N
170262	571	1998-09-30	VYDAJ	VYBER	15	21864	SLUZBY	\N	\N
170263	571	1998-10-31	VYDAJ	VYBER	15	23574	SLUZBY	\N	\N
170264	571	1998-11-30	VYDAJ	VYBER	15	25290	SLUZBY	\N	\N
170290	572	1994-03-27	PRIJEM	VKLAD	700	700	\N	\N	\N
170294	572	1994-04-11	PRIJEM	VKLAD	19802	20502	\N	\N	\N
170295	572	1994-05-11	PRIJEM	VKLAD	19802	44121	\N	\N	\N
170296	572	1994-06-11	PRIJEM	VKLAD	29703	64233	\N	\N	\N
170297	572	1994-07-11	PRIJEM	VKLAD	19802	62686	\N	\N	\N
170298	572	1994-08-11	PRIJEM	VKLAD	19802	61465	\N	\N	\N
170299	572	1994-09-11	PRIJEM	VKLAD	19802	54644	\N	\N	\N
170300	572	1994-10-11	PRIJEM	VKLAD	19802	53042	\N	\N	\N
170301	572	1994-11-11	PRIJEM	VKLAD	19802	48970	\N	\N	\N
170302	572	1994-12-11	PRIJEM	VKLAD	29703	63353	\N	\N	\N
170303	572	1995-01-11	PRIJEM	VKLAD	19802	51067	\N	\N	\N
170304	572	1995-02-11	PRIJEM	VKLAD	19802	39219	\N	\N	\N
170305	572	1995-03-11	PRIJEM	VKLAD	19802	46200	\N	\N	\N
170306	572	1995-04-11	PRIJEM	VKLAD	19802	49366	\N	\N	\N
170307	572	1995-05-11	PRIJEM	VKLAD	19802	54648	\N	\N	\N
170308	572	1995-06-11	PRIJEM	VKLAD	29703	65746	\N	\N	\N
170309	572	1995-07-11	PRIJEM	VKLAD	19802	57606	\N	\N	\N
170310	572	1995-08-11	PRIJEM	VKLAD	19802	59916	\N	\N	\N
170311	572	1995-09-11	PRIJEM	VKLAD	19802	60531	\N	\N	\N
170312	572	1995-10-11	PRIJEM	VKLAD	19802	60846	\N	\N	\N
170313	572	1995-11-11	PRIJEM	VKLAD	19802	58720	\N	\N	\N
170314	572	1995-12-11	PRIJEM	VKLAD	29703	60969	\N	\N	\N
170315	572	1996-01-11	PRIJEM	VKLAD	19802	42531	\N	\N	\N
170316	572	1996-02-11	PRIJEM	VKLAD	19802	41889	\N	\N	\N
170317	572	1996-03-11	PRIJEM	VKLAD	19802	52143	\N	\N	\N
170318	572	1996-04-11	PRIJEM	VKLAD	19802	53541	\N	\N	\N
170319	572	1996-05-11	PRIJEM	VKLAD	19802	52450	\N	\N	\N
170320	572	1996-06-11	PRIJEM	VKLAD	29703	65338	\N	\N	\N
170321	572	1996-07-11	PRIJEM	VKLAD	19802	62745	\N	\N	\N
170322	572	1996-08-11	PRIJEM	VKLAD	19802	55014	\N	\N	\N
170323	572	1996-09-11	PRIJEM	VKLAD	19802	50639	\N	\N	\N
170324	572	1996-10-11	PRIJEM	VKLAD	19802	51604	\N	\N	\N
170325	572	1996-11-11	PRIJEM	VKLAD	19802	53976	\N	\N	\N
170326	572	1996-12-11	PRIJEM	VKLAD	29703	64686	\N	\N	\N
170327	572	1997-01-11	PRIJEM	VKLAD	19802	49447	\N	\N	\N
170328	572	1997-02-11	PRIJEM	VKLAD	19802	49303	\N	\N	\N
170329	572	1997-03-11	PRIJEM	VKLAD	19802	62593	\N	\N	\N
170330	572	1997-04-11	PRIJEM	VKLAD	19802	57097	\N	\N	\N
170331	572	1997-05-11	PRIJEM	VKLAD	19802	60225	\N	\N	\N
170332	572	1997-06-11	PRIJEM	VKLAD	29703	70676	\N	\N	\N
170333	572	1997-07-11	PRIJEM	VKLAD	19802	50129	\N	\N	\N
170334	572	1997-08-11	PRIJEM	VKLAD	19802	53028	\N	\N	\N
170335	572	1997-09-11	PRIJEM	VKLAD	19802	57645	\N	\N	\N
170336	572	1997-10-11	PRIJEM	VKLAD	19802	57278	\N	\N	\N
170337	572	1997-11-11	PRIJEM	VKLAD	19802	59955	\N	\N	\N
170338	572	1997-12-11	PRIJEM	VKLAD	29703	72400	\N	\N	\N
170339	572	1998-01-11	PRIJEM	VKLAD	19802	63755	\N	\N	\N
170340	572	1998-02-11	PRIJEM	VKLAD	19802	53553	\N	\N	\N
170341	572	1998-03-11	PRIJEM	VKLAD	19802	54363	\N	\N	\N
170342	572	1998-04-11	PRIJEM	VKLAD	19802	51985	\N	\N	\N
170343	572	1998-05-11	PRIJEM	VKLAD	19802	46117	\N	\N	\N
170344	572	1998-06-11	PRIJEM	VKLAD	29703	63202	\N	\N	\N
170345	572	1998-07-11	PRIJEM	VKLAD	19802	51044	\N	\N	\N
170346	572	1998-08-11	PRIJEM	VKLAD	19802	56810	\N	\N	\N
170347	572	1998-09-11	PRIJEM	VKLAD	19802	62633	\N	\N	\N
170348	572	1998-10-11	PRIJEM	VKLAD	19802	61056	\N	\N	\N
170349	572	1998-11-11	PRIJEM	VKLAD	19802	66004	\N	\N	\N
170350	572	1998-12-11	PRIJEM	VKLAD	29703	80871	\N	\N	\N
170359	572	1994-09-10	VYDAJ	PREVOD NA UCET	5372	34842	SIPO	WX	64459979
170360	572	1994-10-10	VYDAJ	PREVOD NA UCET	5372	33240	SIPO	WX	64459979
170361	572	1994-11-10	VYDAJ	PREVOD NA UCET	5372	29168	SIPO	WX	64459979
170362	572	1994-12-10	VYDAJ	PREVOD NA UCET	5372	33650	SIPO	WX	64459979
170363	572	1995-01-10	VYDAJ	PREVOD NA UCET	5372	31265	SIPO	WX	64459979
170364	572	1995-02-10	VYDAJ	PREVOD NA UCET	5372	19417	SIPO	WX	64459979
170365	572	1995-03-10	VYDAJ	PREVOD NA UCET	5372	26398	SIPO	WX	64459979
170366	572	1995-04-10	VYDAJ	PREVOD NA UCET	5372	29564	SIPO	WX	64459979
170367	572	1995-05-10	VYDAJ	PREVOD NA UCET	5372	34846	SIPO	WX	64459979
170368	572	1995-06-10	VYDAJ	PREVOD NA UCET	5372	36043	SIPO	WX	64459979
170369	572	1995-07-10	VYDAJ	PREVOD NA UCET	5372	37804	SIPO	WX	64459979
170370	572	1995-08-10	VYDAJ	PREVOD NA UCET	5372	40114	SIPO	WX	64459979
170371	572	1995-09-10	VYDAJ	PREVOD NA UCET	5372	40729	SIPO	WX	64459979
170372	572	1995-10-10	VYDAJ	PREVOD NA UCET	5372	41044	SIPO	WX	64459979
170373	572	1995-11-10	VYDAJ	PREVOD NA UCET	5372	38918	SIPO	WX	64459979
170374	572	1995-12-10	VYDAJ	PREVOD NA UCET	5372	31266	SIPO	WX	64459979
170375	572	1996-01-10	VYDAJ	PREVOD NA UCET	5372	22729	SIPO	WX	64459979
170376	572	1996-02-10	VYDAJ	PREVOD NA UCET	5372	22087	SIPO	WX	64459979
170377	572	1996-03-10	VYDAJ	PREVOD NA UCET	5372	32341	SIPO	WX	64459979
170378	572	1996-04-10	VYDAJ	PREVOD NA UCET	5372	33739	SIPO	WX	64459979
170379	572	1996-05-10	VYDAJ	PREVOD NA UCET	5372	32648	SIPO	WX	64459979
170380	572	1996-06-10	VYDAJ	PREVOD NA UCET	5372	35635	SIPO	WX	64459979
170381	572	1996-07-10	VYDAJ	PREVOD NA UCET	5372	42943	SIPO	WX	64459979
170382	572	1996-08-10	VYDAJ	PREVOD NA UCET	5372	35212	SIPO	WX	64459979
170383	572	1996-09-10	VYDAJ	PREVOD NA UCET	5372	30837	SIPO	WX	64459979
170384	572	1996-10-10	VYDAJ	PREVOD NA UCET	5372	31802	SIPO	WX	64459979
170385	572	1996-11-10	VYDAJ	PREVOD NA UCET	5372	34174	SIPO	WX	64459979
170386	572	1996-12-10	VYDAJ	PREVOD NA UCET	5372	34983	SIPO	WX	64459979
170387	572	1997-01-10	VYDAJ	PREVOD NA UCET	5372	29645	SIPO	WX	64459979
170388	572	1997-02-10	VYDAJ	PREVOD NA UCET	5372	29501	SIPO	WX	64459979
170389	572	1997-03-10	VYDAJ	PREVOD NA UCET	5372	42791	SIPO	WX	64459979
170390	572	1997-04-10	VYDAJ	PREVOD NA UCET	5372	37295	SIPO	WX	64459979
170391	572	1997-05-10	VYDAJ	PREVOD NA UCET	5372	40423	SIPO	WX	64459979
170392	572	1997-06-10	VYDAJ	PREVOD NA UCET	5372	40973	SIPO	WX	64459979
170393	572	1997-07-10	VYDAJ	PREVOD NA UCET	5372	30327	SIPO	WX	64459979
170394	572	1997-08-10	VYDAJ	PREVOD NA UCET	5372	33226	SIPO	WX	64459979
170395	572	1997-09-10	VYDAJ	PREVOD NA UCET	5372	37843	SIPO	WX	64459979
170396	572	1997-10-10	VYDAJ	PREVOD NA UCET	5372	37476	SIPO	WX	64459979
170397	572	1997-11-10	VYDAJ	PREVOD NA UCET	5372	40153	SIPO	WX	64459979
170398	572	1997-12-10	VYDAJ	PREVOD NA UCET	5372	42697	SIPO	WX	64459979
170399	572	1998-01-10	VYDAJ	PREVOD NA UCET	5372	43953	SIPO	WX	64459979
170400	572	1998-02-10	VYDAJ	PREVOD NA UCET	5372	33751	SIPO	WX	64459979
170401	572	1998-03-10	VYDAJ	PREVOD NA UCET	5372	34561	SIPO	WX	64459979
170402	572	1998-04-10	VYDAJ	PREVOD NA UCET	5372	32183	SIPO	WX	64459979
170403	572	1998-05-10	VYDAJ	PREVOD NA UCET	5372	26315	SIPO	WX	64459979
170404	572	1998-06-10	VYDAJ	PREVOD NA UCET	5372	33499	SIPO	WX	64459979
170405	572	1998-07-10	VYDAJ	PREVOD NA UCET	5372	31242	SIPO	WX	64459979
170406	572	1998-08-10	VYDAJ	PREVOD NA UCET	5372	37008	SIPO	WX	64459979
170407	572	1998-09-10	VYDAJ	PREVOD NA UCET	5372	42831	SIPO	WX	64459979
170408	572	1998-10-10	VYDAJ	PREVOD NA UCET	5372	41254	SIPO	WX	64459979
170409	572	1998-11-10	VYDAJ	PREVOD NA UCET	5372	46202	SIPO	WX	64459979
170410	572	1998-12-10	VYDAJ	PREVOD NA UCET	5372	51168	SIPO	WX	64459979
170419	572	1994-09-09	VYDAJ	PREVOD NA UCET	960	40214	 	EF	76923572
170420	572	1994-10-09	VYDAJ	PREVOD NA UCET	960	38612	 	EF	76923572
170421	572	1994-11-09	VYDAJ	PREVOD NA UCET	960	34540	 	EF	76923572
170422	572	1994-12-09	VYDAJ	PREVOD NA UCET	960	39022	 	EF	76923572
170423	572	1995-01-09	VYDAJ	PREVOD NA UCET	960	36637	 	EF	76923572
170424	572	1995-02-09	VYDAJ	PREVOD NA UCET	960	24789	 	EF	76923572
170425	572	1995-03-09	VYDAJ	PREVOD NA UCET	960	31770	 	EF	76923572
170426	572	1995-04-09	VYDAJ	PREVOD NA UCET	960	34936	 	EF	76923572
170427	572	1995-05-09	VYDAJ	PREVOD NA UCET	960	40218	 	EF	76923572
170428	572	1995-06-09	VYDAJ	PREVOD NA UCET	960	41415	 	EF	76923572
170429	572	1995-07-09	VYDAJ	PREVOD NA UCET	960	43176	 	EF	76923572
170430	572	1995-08-09	VYDAJ	PREVOD NA UCET	960	45486	 	EF	76923572
170431	572	1995-09-09	VYDAJ	PREVOD NA UCET	960	46101	 	EF	76923572
170432	572	1995-10-09	VYDAJ	PREVOD NA UCET	960	46416	 	EF	76923572
170433	572	1995-11-09	VYDAJ	PREVOD NA UCET	960	44290	 	EF	76923572
170434	572	1995-12-09	VYDAJ	PREVOD NA UCET	960	36638	 	EF	76923572
170435	572	1996-01-09	VYDAJ	PREVOD NA UCET	960	28101	 	EF	76923572
170436	572	1996-02-09	VYDAJ	PREVOD NA UCET	960	27459	 	EF	76923572
170437	572	1996-03-09	VYDAJ	PREVOD NA UCET	960	37713	 	EF	76923572
170438	572	1996-04-09	VYDAJ	PREVOD NA UCET	960	39111	 	EF	76923572
170439	572	1996-05-09	VYDAJ	PREVOD NA UCET	960	38020	 	EF	76923572
170440	572	1996-06-09	VYDAJ	PREVOD NA UCET	960	41007	 	EF	76923572
170441	572	1996-07-09	VYDAJ	PREVOD NA UCET	960	48315	 	EF	76923572
170442	572	1996-08-09	VYDAJ	PREVOD NA UCET	960	44304	 	EF	76923572
170443	572	1996-09-09	VYDAJ	PREVOD NA UCET	960	36209	 	EF	76923572
170444	572	1996-10-09	VYDAJ	PREVOD NA UCET	960	37174	 	EF	76923572
170445	572	1996-11-09	VYDAJ	PREVOD NA UCET	960	39546	 	EF	76923572
170446	572	1996-12-09	VYDAJ	PREVOD NA UCET	960	40355	 	EF	76923572
170447	572	1997-01-09	VYDAJ	PREVOD NA UCET	960	35717	 	EF	76923572
170448	572	1997-02-09	VYDAJ	PREVOD NA UCET	960	34873	 	EF	76923572
170449	572	1997-03-09	VYDAJ	PREVOD NA UCET	960	48163	 	EF	76923572
170450	572	1997-04-09	VYDAJ	PREVOD NA UCET	960	46367	 	EF	76923572
170451	572	1997-05-09	VYDAJ	PREVOD NA UCET	960	55995	 	EF	76923572
170452	572	1997-06-09	VYDAJ	PREVOD NA UCET	960	59145	 	EF	76923572
170453	572	1997-07-09	VYDAJ	PREVOD NA UCET	960	39099	 	EF	76923572
170454	572	1997-08-09	VYDAJ	PREVOD NA UCET	960	38598	 	EF	76923572
170455	572	1997-09-09	VYDAJ	PREVOD NA UCET	960	43215	 	EF	76923572
170456	572	1997-10-09	VYDAJ	PREVOD NA UCET	960	42848	 	EF	76923572
170457	572	1997-11-09	VYDAJ	PREVOD NA UCET	960	46485	 	EF	76923572
170458	572	1997-12-09	VYDAJ	PREVOD NA UCET	960	48069	 	EF	76923572
170459	572	1998-01-09	VYDAJ	PREVOD NA UCET	960	49325	 	EF	76923572
170460	572	1998-02-09	VYDAJ	PREVOD NA UCET	960	39123	 	EF	76923572
170461	572	1998-03-09	VYDAJ	PREVOD NA UCET	960	39933	 	EF	76923572
170462	572	1998-04-09	VYDAJ	PREVOD NA UCET	960	37555	 	EF	76923572
170463	572	1998-05-09	VYDAJ	PREVOD NA UCET	960	31687	 	EF	76923572
170464	572	1998-06-09	VYDAJ	PREVOD NA UCET	960	38871	 	EF	76923572
170465	572	1998-07-09	VYDAJ	PREVOD NA UCET	960	36614	 	EF	76923572
170466	572	1998-08-09	VYDAJ	PREVOD NA UCET	960	42380	 	EF	76923572
170467	572	1998-09-09	VYDAJ	PREVOD NA UCET	960	48203	 	EF	76923572
170468	572	1998-10-09	VYDAJ	PREVOD NA UCET	960	46626	 	EF	76923572
170469	572	1998-11-09	VYDAJ	PREVOD NA UCET	960	51574	 	EF	76923572
170470	572	1998-12-09	VYDAJ	PREVOD NA UCET	960	56540	 	EF	76923572
170479	572	1994-09-08	VYDAJ	PREVOD NA UCET	349	41174	POJISTNE	QR	5563730
170480	572	1994-10-08	VYDAJ	PREVOD NA UCET	349	39572	POJISTNE	QR	5563730
170481	572	1994-11-08	VYDAJ	PREVOD NA UCET	349	35500	POJISTNE	QR	5563730
170482	572	1994-12-08	VYDAJ	PREVOD NA UCET	349	39982	POJISTNE	QR	5563730
170483	572	1995-01-08	VYDAJ	PREVOD NA UCET	349	37597	POJISTNE	QR	5563730
170484	572	1995-02-08	VYDAJ	PREVOD NA UCET	349	25749	POJISTNE	QR	5563730
170485	572	1995-03-08	VYDAJ	PREVOD NA UCET	349	32730	POJISTNE	QR	5563730
170486	572	1995-04-08	VYDAJ	PREVOD NA UCET	349	35896	POJISTNE	QR	5563730
170487	572	1995-05-08	VYDAJ	PREVOD NA UCET	349	41178	POJISTNE	QR	5563730
170640	572	1994-10-19	VYDAJ	VYBER	1920	51122	\N	\N	\N
170488	572	1995-06-08	VYDAJ	PREVOD NA UCET	349	42375	POJISTNE	QR	5563730
170489	572	1995-07-08	VYDAJ	PREVOD NA UCET	349	44136	POJISTNE	QR	5563730
170490	572	1995-08-08	VYDAJ	PREVOD NA UCET	349	46446	POJISTNE	QR	5563730
170491	572	1995-09-08	VYDAJ	PREVOD NA UCET	349	47061	POJISTNE	QR	5563730
170492	572	1995-10-08	VYDAJ	PREVOD NA UCET	349	47376	POJISTNE	QR	5563730
170493	572	1995-11-08	VYDAJ	PREVOD NA UCET	349	45250	POJISTNE	QR	5563730
170494	572	1995-12-08	VYDAJ	PREVOD NA UCET	349	37598	POJISTNE	QR	5563730
170495	572	1996-01-08	VYDAJ	PREVOD NA UCET	349	29061	POJISTNE	QR	5563730
170496	572	1996-02-08	VYDAJ	PREVOD NA UCET	349	28419	POJISTNE	QR	5563730
170497	572	1996-03-08	VYDAJ	PREVOD NA UCET	349	38673	POJISTNE	QR	5563730
170498	572	1996-04-08	VYDAJ	PREVOD NA UCET	349	40071	POJISTNE	QR	5563730
170499	572	1996-05-08	VYDAJ	PREVOD NA UCET	349	44260	POJISTNE	QR	5563730
170500	572	1996-06-08	VYDAJ	PREVOD NA UCET	349	41967	POJISTNE	QR	5563730
170501	572	1996-07-08	VYDAJ	PREVOD NA UCET	349	49275	POJISTNE	QR	5563730
170502	572	1996-08-08	VYDAJ	PREVOD NA UCET	349	45264	POJISTNE	QR	5563730
170503	572	1996-09-08	VYDAJ	PREVOD NA UCET	349	37169	POJISTNE	QR	5563730
170504	572	1996-10-08	VYDAJ	PREVOD NA UCET	349	38134	POJISTNE	QR	5563730
170505	572	1996-11-08	VYDAJ	PREVOD NA UCET	349	40506	POJISTNE	QR	5563730
170506	572	1996-12-08	VYDAJ	PREVOD NA UCET	349	41315	POJISTNE	QR	5563730
170507	572	1997-01-08	VYDAJ	PREVOD NA UCET	349	36677	POJISTNE	QR	5563730
170508	572	1997-02-08	VYDAJ	PREVOD NA UCET	349	36733	POJISTNE	QR	5563730
170509	572	1997-03-08	VYDAJ	PREVOD NA UCET	349	49123	POJISTNE	QR	5563730
170510	572	1997-04-08	VYDAJ	PREVOD NA UCET	349	47327	POJISTNE	QR	5563730
170511	572	1997-05-08	VYDAJ	PREVOD NA UCET	349	56955	POJISTNE	QR	5563730
170512	572	1997-06-08	VYDAJ	PREVOD NA UCET	349	60105	POJISTNE	QR	5563730
170513	572	1997-07-08	VYDAJ	PREVOD NA UCET	349	40059	POJISTNE	QR	5563730
170514	572	1997-08-08	VYDAJ	PREVOD NA UCET	349	49958	POJISTNE	QR	5563730
170515	572	1997-09-08	VYDAJ	PREVOD NA UCET	349	44175	POJISTNE	QR	5563730
170516	572	1997-10-08	VYDAJ	PREVOD NA UCET	349	43808	POJISTNE	QR	5563730
170517	572	1997-11-08	VYDAJ	PREVOD NA UCET	349	47445	POJISTNE	QR	5563730
170518	572	1997-12-08	VYDAJ	PREVOD NA UCET	349	49029	POJISTNE	QR	5563730
170519	572	1998-01-08	VYDAJ	PREVOD NA UCET	349	50285	POJISTNE	QR	5563730
170520	572	1998-02-08	VYDAJ	PREVOD NA UCET	349	40083	POJISTNE	QR	5563730
170521	572	1998-03-08	VYDAJ	PREVOD NA UCET	349	40893	POJISTNE	QR	5563730
170522	572	1998-04-08	VYDAJ	PREVOD NA UCET	349	38515	POJISTNE	QR	5563730
170523	572	1998-05-08	VYDAJ	PREVOD NA UCET	349	32647	POJISTNE	QR	5563730
170524	572	1998-06-08	VYDAJ	PREVOD NA UCET	349	39831	POJISTNE	QR	5563730
170525	572	1998-07-08	VYDAJ	PREVOD NA UCET	349	37574	POJISTNE	QR	5563730
170526	572	1998-08-08	VYDAJ	PREVOD NA UCET	349	43340	POJISTNE	QR	5563730
170527	572	1998-09-08	VYDAJ	PREVOD NA UCET	349	49163	POJISTNE	QR	5563730
170528	572	1998-10-08	VYDAJ	PREVOD NA UCET	349	47586	POJISTNE	QR	5563730
170529	572	1998-11-08	VYDAJ	PREVOD NA UCET	349	52534	POJISTNE	QR	5563730
170530	572	1998-12-08	VYDAJ	PREVOD NA UCET	349	57500	POJISTNE	QR	5563730
170592	572	1995-06-27	VYDAJ	VYBER	5760	44286	\N	\N	\N
170594	572	1997-06-22	VYDAJ	VYBER	28480	40156	\N	\N	\N
170595	572	1998-06-12	VYDAJ	VYBER	29120	34082	\N	\N	\N
170597	572	1995-01-22	VYDAJ	VYBER	5280	30867	\N	\N	\N
170598	572	1996-01-06	VYDAJ	VYBER	10080	29410	\N	\N	\N
170599	572	1997-01-26	VYDAJ	VYBER	2560	36927	\N	\N	\N
170600	572	1998-01-24	VYDAJ	VYBER	10720	49195	\N	\N	\N
170601	572	1994-12-27	VYDAJ	VYBER	1920	44833	\N	\N	\N
170602	572	1995-12-05	VYDAJ	VYBER	3360	43347	\N	\N	\N
170603	572	1996-12-12	VYDAJ	VYBER	2880	46706	\N	\N	\N
170604	572	1997-12-15	VYDAJ	VYBER	3520	68880	\N	\N	\N
170605	572	1998-12-26	VYDAJ	VYBER	2880	77991	\N	\N	\N
170612	572	1995-01-26	VYDAJ	VYBER	600	30267	\N	\N	\N
170613	572	1995-01-30	VYDAJ	VYBER	3360	25947	\N	\N	\N
170614	572	1995-01-07	VYDAJ	VYBER	3360	37946	\N	\N	\N
170615	572	1995-01-13	VYDAJ	VYBER	2520	48547	\N	\N	\N
170616	572	1995-01-02	VYDAJ	VYBER	1080	43946	\N	\N	\N
170617	572	1995-01-05	VYDAJ	VYBER	2640	41306	\N	\N	\N
170618	572	1996-01-06	VYDAJ	VYBER	2880	39490	\N	\N	\N
170619	572	1996-01-26	VYDAJ	VYBER	3240	28631	\N	\N	\N
170620	572	1996-01-05	VYDAJ	VYBER	2880	42370	\N	\N	\N
170621	572	1996-01-23	VYDAJ	VYBER	1680	33911	\N	\N	\N
170622	572	1996-01-25	VYDAJ	VYBER	2040	31871	\N	\N	\N
170623	572	1996-01-19	VYDAJ	VYBER	3240	36791	\N	\N	\N
170624	572	1997-01-17	VYDAJ	VYBER	3000	43327	\N	\N	\N
170625	572	1997-01-25	VYDAJ	VYBER	960	39487	\N	\N	\N
170626	572	1997-01-09	VYDAJ	VYBER	2400	33317	\N	\N	\N
170627	572	1997-01-22	VYDAJ	VYBER	2880	40447	\N	\N	\N
170628	572	1997-01-06	VYDAJ	VYBER	3000	37986	\N	\N	\N
170629	572	1997-01-13	VYDAJ	VYBER	3120	46327	\N	\N	\N
170630	572	1998-01-12	VYDAJ	VYBER	1440	62315	\N	\N	\N
170631	572	1998-01-14	VYDAJ	VYBER	2400	59915	\N	\N	\N
170632	572	1998-01-27	VYDAJ	VYBER	1560	47635	\N	\N	\N
170633	572	1998-01-07	VYDAJ	VYBER	1680	50634	\N	\N	\N
170634	572	1998-01-03	VYDAJ	VYBER	720	68414	\N	\N	\N
170635	572	1998-01-30	VYDAJ	VYBER	3120	44515	\N	\N	\N
170637	572	1994-11-08	VYDAJ	VYBER	1440	35849	\N	\N	\N
170642	572	1995-12-06	VYDAJ	VYBER	5400	37947	\N	\N	\N
170643	572	1995-10-20	VYDAJ	VYBER	1440	46606	\N	\N	\N
170644	572	1995-10-29	VYDAJ	VYBER	1200	45406	\N	\N	\N
170645	572	1995-01-28	VYDAJ	VYBER	960	29307	\N	\N	\N
170646	572	1995-02-21	VYDAJ	VYBER	3360	32959	\N	\N	\N
170647	572	1996-08-10	VYDAJ	VYBER	3720	40584	\N	\N	\N
170648	572	1996-03-14	VYDAJ	VYBER	2880	49263	\N	\N	\N
170649	572	1996-12-14	VYDAJ	VYBER	4320	42386	\N	\N	\N
170650	572	1996-01-23	VYDAJ	VYBER	1200	35591	\N	\N	\N
170651	572	1996-05-08	VYDAJ	VYBER	5280	38980	\N	\N	\N
170652	572	1996-12-30	VYDAJ	VYBER	1560	40826	\N	\N	\N
170653	572	1996-08-27	VYDAJ	VYBER	5160	37354	\N	\N	\N
170654	572	1996-07-23	VYDAJ	VYBER	2520	45425	\N	\N	\N
170655	572	1997-11-09	VYDAJ	VYBER	960	45525	\N	\N	\N
170656	572	1997-01-07	VYDAJ	VYBER	960	37026	\N	\N	\N
170657	572	1997-06-22	VYDAJ	VYBER	2040	68636	\N	\N	\N
170658	572	1998-07-22	VYDAJ	VYBER	4920	46124	\N	\N	\N
170659	572	1998-04-26	VYDAJ	VYBER	840	46465	\N	\N	\N
170660	572	1998-04-26	VYDAJ	VYBER	4680	47305	\N	\N	\N
170661	572	1998-05-05	VYDAJ	VYBER	5760	32996	\N	\N	\N
170662	572	1998-09-18	VYDAJ	VYBER	4320	58313	\N	\N	\N
170671	572	1994-08-31	VYDAJ	VYBER	15	41523	SLUZBY	\N	\N
170672	572	1994-09-30	VYDAJ	VYBER	15	39921	SLUZBY	\N	\N
170673	572	1994-10-31	VYDAJ	VYBER	15	37289	SLUZBY	\N	\N
170674	572	1994-11-30	VYDAJ	VYBER	15	40331	SLUZBY	\N	\N
170675	572	1994-12-31	VYDAJ	VYBER	15	45026	SLUZBY	\N	\N
170676	572	1995-01-31	VYDAJ	VYBER	15	26098	SLUZBY	\N	\N
170677	572	1995-02-28	VYDAJ	VYBER	15	33079	SLUZBY	\N	\N
170678	572	1995-03-31	VYDAJ	VYBER	15	36245	SLUZBY	\N	\N
170679	572	1995-04-30	VYDAJ	VYBER	15	41527	SLUZBY	\N	\N
170680	572	1995-05-31	VYDAJ	VYBER	15	42724	SLUZBY	\N	\N
170681	572	1995-06-30	VYDAJ	VYBER	15	44485	SLUZBY	\N	\N
170682	572	1995-07-31	VYDAJ	VYBER	15	46795	SLUZBY	\N	\N
170683	572	1995-08-31	VYDAJ	VYBER	15	47410	SLUZBY	\N	\N
170684	572	1995-09-30	VYDAJ	VYBER	15	47725	SLUZBY	\N	\N
170685	572	1995-10-31	VYDAJ	VYBER	15	45599	SLUZBY	\N	\N
170686	572	1995-11-30	VYDAJ	VYBER	15	46707	SLUZBY	\N	\N
170687	572	1995-12-31	VYDAJ	VYBER	15	45250	SLUZBY	\N	\N
170688	572	1996-01-31	VYDAJ	VYBER	15	28768	SLUZBY	\N	\N
170689	572	1996-02-29	VYDAJ	VYBER	15	39022	SLUZBY	\N	\N
170690	572	1996-03-31	VYDAJ	VYBER	15	40420	SLUZBY	\N	\N
170691	572	1996-04-30	VYDAJ	VYBER	15	44609	SLUZBY	\N	\N
170692	572	1996-05-31	VYDAJ	VYBER	15	42316	SLUZBY	\N	\N
170693	572	1996-06-30	VYDAJ	VYBER	15	49624	SLUZBY	\N	\N
170694	572	1996-07-31	VYDAJ	VYBER	15	45613	SLUZBY	\N	\N
170695	572	1996-08-31	VYDAJ	VYBER	15	37518	SLUZBY	\N	\N
170696	572	1996-09-30	VYDAJ	VYBER	15	38483	SLUZBY	\N	\N
170697	572	1996-10-31	VYDAJ	VYBER	15	40855	SLUZBY	\N	\N
170698	572	1996-11-30	VYDAJ	VYBER	15	41664	SLUZBY	\N	\N
170699	572	1996-12-31	VYDAJ	VYBER	15	40986	SLUZBY	\N	\N
170700	572	1997-01-31	VYDAJ	VYBER	15	37082	SLUZBY	\N	\N
170701	572	1997-02-28	VYDAJ	VYBER	15	49472	SLUZBY	\N	\N
170702	572	1997-03-31	VYDAJ	VYBER	15	47676	SLUZBY	\N	\N
170703	572	1997-04-30	VYDAJ	VYBER	15	57304	SLUZBY	\N	\N
170704	572	1997-05-31	VYDAJ	VYBER	15	60454	SLUZBY	\N	\N
170705	572	1997-06-30	VYDAJ	VYBER	15	40408	SLUZBY	\N	\N
170706	572	1997-07-31	VYDAJ	VYBER	15	50307	SLUZBY	\N	\N
170707	572	1997-08-31	VYDAJ	VYBER	15	53224	SLUZBY	\N	\N
170708	572	1997-09-30	VYDAJ	VYBER	15	57857	SLUZBY	\N	\N
170709	572	1997-10-31	VYDAJ	VYBER	15	57494	SLUZBY	\N	\N
170710	572	1997-11-30	VYDAJ	VYBER	15	60178	SLUZBY	\N	\N
170711	572	1997-12-31	VYDAJ	VYBER	15	69134	SLUZBY	\N	\N
170712	572	1998-01-31	VYDAJ	VYBER	15	44732	SLUZBY	\N	\N
170713	572	1998-02-28	VYDAJ	VYBER	15	53742	SLUZBY	\N	\N
170714	572	1998-03-31	VYDAJ	VYBER	15	54564	SLUZBY	\N	\N
170715	572	1998-04-30	VYDAJ	VYBER	15	46656	SLUZBY	\N	\N
170716	572	1998-05-31	VYDAJ	VYBER	15	46280	SLUZBY	\N	\N
170717	572	1998-06-30	VYDAJ	VYBER	15	34223	SLUZBY	\N	\N
170718	572	1998-07-31	VYDAJ	VYBER	15	46289	SLUZBY	\N	\N
170719	572	1998-08-31	VYDAJ	VYBER	15	57012	SLUZBY	\N	\N
170720	572	1998-09-30	VYDAJ	VYBER	15	58535	SLUZBY	\N	\N
170721	572	1998-10-31	VYDAJ	VYBER	15	61283	SLUZBY	\N	\N
170722	572	1998-11-30	VYDAJ	VYBER	15	66249	SLUZBY	\N	\N
170723	572	1994-04-26	PRIJEM	VKLAD	3800	24302	\N	\N	\N
170724	572	1994-05-26	VYDAJ	VYBER	9700	34421	\N	\N	\N
170725	572	1994-06-25	VYDAJ	VYBER	21500	42733	\N	\N	\N
170726	572	1994-07-25	VYDAJ	VYBER	21200	41486	\N	\N	\N
170727	572	1994-08-24	VYDAJ	VYBER	20100	41365	\N	\N	\N
170728	572	1994-09-23	VYDAJ	VYBER	14900	39744	\N	\N	\N
170729	572	1994-10-23	VYDAJ	VYBER	14000	37122	\N	\N	\N
170730	572	1994-11-22	VYDAJ	VYBER	8800	40170	\N	\N	\N
170731	572	1994-12-22	VYDAJ	VYBER	16600	46753	\N	\N	\N
170732	572	1995-01-21	VYDAJ	VYBER	12400	36147	\N	\N	\N
170733	572	1995-02-20	VYDAJ	VYBER	2900	36319	\N	\N	\N
170734	572	1995-03-22	VYDAJ	VYBER	10100	36100	\N	\N	\N
170735	572	1995-04-21	VYDAJ	VYBER	8000	41366	\N	\N	\N
170736	572	1995-05-21	VYDAJ	VYBER	12100	42548	\N	\N	\N
170737	572	1995-06-20	VYDAJ	VYBER	15700	50046	\N	\N	\N
170738	572	1995-07-20	VYDAJ	VYBER	11000	46606	\N	\N	\N
170739	572	1995-08-19	VYDAJ	VYBER	12700	47216	\N	\N	\N
170740	572	1995-09-18	VYDAJ	VYBER	13000	47531	\N	\N	\N
170741	572	1995-10-18	VYDAJ	VYBER	12800	48046	\N	\N	\N
170742	572	1995-11-17	VYDAJ	VYBER	12200	46520	\N	\N	\N
170743	572	1995-12-17	VYDAJ	VYBER	15900	45069	\N	\N	\N
170744	572	1996-01-16	VYDAJ	VYBER	2500	40031	\N	\N	\N
170745	572	1996-02-15	VYDAJ	VYBER	3000	38889	\N	\N	\N
170746	572	1996-03-16	VYDAJ	VYBER	9000	40263	\N	\N	\N
170747	572	1996-04-15	VYDAJ	VYBER	9100	44441	\N	\N	\N
170748	572	1996-05-15	VYDAJ	VYBER	10300	42150	\N	\N	\N
170749	572	1996-06-14	VYDAJ	VYBER	15900	49438	\N	\N	\N
170750	572	1996-07-14	VYDAJ	VYBER	14800	47945	\N	\N	\N
170751	572	1996-08-13	VYDAJ	VYBER	12500	42514	\N	\N	\N
170752	572	1996-09-12	VYDAJ	VYBER	12300	38339	\N	\N	\N
170753	572	1996-10-12	VYDAJ	VYBER	10900	40704	\N	\N	\N
170754	572	1996-11-11	VYDAJ	VYBER	12500	41476	\N	\N	\N
170755	572	1996-12-11	VYDAJ	VYBER	15100	49586	\N	\N	\N
170756	572	1997-01-10	PRIJEM	VKLAD	1700	35017	\N	\N	\N
170757	572	1997-02-09	VYDAJ	VYBER	900	35833	\N	\N	\N
170758	572	1997-03-11	VYDAJ	VYBER	15100	47493	\N	\N	\N
170759	572	1997-04-10	VYDAJ	VYBER	3700	42667	\N	\N	\N
170760	572	1997-05-10	VYDAJ	VYBER	10200	45795	\N	\N	\N
170761	572	1997-06-09	VYDAJ	VYBER	12800	46345	\N	\N	\N
170762	572	1997-07-09	VYDAJ	VYBER	3400	35699	\N	\N	\N
170763	572	1997-08-08	VYDAJ	VYBER	10400	39558	\N	\N	\N
170764	572	1997-09-07	VYDAJ	VYBER	8700	44524	\N	\N	\N
170765	572	1997-10-07	VYDAJ	VYBER	13700	44157	\N	\N	\N
170766	572	1997-11-06	VYDAJ	VYBER	9700	47794	\N	\N	\N
170767	572	1997-12-06	VYDAJ	VYBER	10800	49378	\N	\N	\N
170768	572	1998-01-05	VYDAJ	VYBER	16100	52314	\N	\N	\N
170769	572	1998-02-04	VYDAJ	VYBER	4300	40432	\N	\N	\N
170770	572	1998-03-06	VYDAJ	VYBER	12500	41242	\N	\N	\N
170771	572	1998-04-05	VYDAJ	VYBER	15700	38864	\N	\N	\N
170772	572	1998-05-05	VYDAJ	VYBER	7900	38756	\N	\N	\N
170773	572	1998-06-04	VYDAJ	VYBER	6100	40180	\N	\N	\N
170774	572	1998-07-04	PRIJEM	VKLAD	3700	37923	\N	\N	\N
170775	572	1998-08-03	VYDAJ	VYBER	2600	43689	\N	\N	\N
170776	572	1998-09-02	VYDAJ	VYBER	7500	49512	\N	\N	\N
170777	572	1998-10-02	VYDAJ	VYBER	10600	47935	\N	\N	\N
170778	572	1998-11-01	VYDAJ	VYBER	8400	52883	\N	\N	\N
170779	572	1998-12-01	VYDAJ	VYBER	8400	57849	\N	\N	\N
170837	573	1996-07-11	PRIJEM	VKLAD	700	700	\N	\N	\N
170838	573	1996-11-26	PRIJEM	VKLAD	24417	47217	\N	\N	\N
170841	573	1997-09-21	PRIJEM	VKLAD	28353	107686	\N	\N	\N
170842	573	1997-12-12	PRIJEM	VKLAD	7118	37109	\N	\N	\N
170843	573	1997-11-09	PRIJEM	VKLAD	31172	58001	\N	\N	\N
170844	573	1997-09-17	PRIJEM	VKLAD	46661	79333	\N	\N	\N
170845	573	1997-10-02	PRIJEM	VKLAD	19609	93177	\N	\N	\N
170846	573	1997-09-23	PRIJEM	VKLAD	10558	73344	\N	\N	\N
170847	573	1997-08-16	PRIJEM	VKLAD	36338	50027	\N	\N	\N
170848	573	1997-01-30	PRIJEM	VKLAD	40998	65645	\N	\N	\N
170849	573	1997-05-07	PRIJEM	VKLAD	39175	67942	\N	\N	\N
170850	573	1998-10-30	PRIJEM	VKLAD	39295	56722	\N	\N	\N
170851	573	1998-08-20	PRIJEM	VKLAD	6511	43120	\N	\N	\N
170852	573	1998-11-15	PRIJEM	VKLAD	45137	101906	\N	\N	\N
170853	573	1998-07-26	PRIJEM	VKLAD	43463	56582	\N	\N	\N
170896	573	1997-10-18	VYBER	VYBER	6117	41760	\N	\N	\N
170900	573	1998-11-20	VYBER	VYBER	4750	97156	\N	\N	\N
170910	573	1997-10-05	VYDAJ	VYBER	6600	47877	\N	\N	\N
170912	573	1997-12-29	VYDAJ	VYBER KARTOU	3000	34109	\N	\N	0
170913	573	1997-11-29	VYDAJ	VYBER	12600	45401	\N	\N	\N
170915	573	1998-12-25	VYDAJ	VYBER	5100	44704	\N	\N	\N
170917	573	1998-11-28	VYDAJ	VYBER	6600	90556	\N	\N	\N
170939	573	1997-09-30	VYDAJ	VYBER	30	73568	SLUZBY	\N	\N
170940	573	1997-10-31	VYDAJ	VYBER	30	41929	SLUZBY	\N	\N
170941	573	1997-11-30	VYDAJ	VYBER	30	45591	SLUZBY	\N	\N
170942	573	1997-12-31	VYDAJ	VYBER	30	34245	SLUZBY	\N	\N
170943	573	1998-01-31	VYDAJ	VYBER	30	20455	SLUZBY	\N	\N
170944	573	1998-02-28	VYDAJ	VYBER	30	14309	SLUZBY	\N	\N
170945	573	1998-03-31	VYDAJ	VYBER	30	14279	SLUZBY	\N	\N
170946	573	1998-04-30	VYDAJ	VYBER	30	12970	SLUZBY	\N	\N
170947	573	1998-05-31	VYDAJ	VYBER	30	13493	SLUZBY	\N	\N
170948	573	1998-06-30	VYDAJ	VYBER	30	13119	SLUZBY	\N	\N
170949	573	1998-07-31	VYDAJ	VYBER	30	36609	SLUZBY	\N	\N
170950	573	1998-08-31	VYDAJ	VYBER	30	28840	SLUZBY	\N	\N
170951	573	1998-09-30	VYDAJ	VYBER	30	17427	SLUZBY	\N	\N
170952	573	1998-10-31	VYDAJ	VYBER	30	56769	SLUZBY	\N	\N
170953	573	1998-11-30	VYDAJ	VYBER	30	49804	SLUZBY	\N	\N
170954	573	1996-08-10	PRIJEM	VKLAD	9700	10400	\N	\N	\N
170955	573	1996-09-09	PRIJEM	VKLAD	9700	20100	\N	\N	\N
170956	573	1996-10-09	VYDAJ	VYBER	400	19700	\N	\N	\N
170957	573	1996-11-08	PRIJEM	VKLAD	3100	22800	\N	\N	\N
170958	573	1996-12-08	VYDAJ	VYBER	12400	34850	\N	\N	\N
170959	573	1997-01-07	VYDAJ	VYBER	10400	24647	\N	\N	\N
170960	573	1997-02-06	VYDAJ	VYBER	20900	44946	\N	\N	\N
170961	573	1997-03-08	VYDAJ	VYBER	11100	34120	\N	\N	\N
170962	573	1997-04-07	VYDAJ	VYBER	5900	28493	\N	\N	\N
170963	573	1997-05-07	VYDAJ	VYBER	24000	43942	\N	\N	\N
170964	573	1997-06-06	VYDAJ	VYBER	16100	28123	\N	\N	\N
170965	573	1997-07-06	VYDAJ	VYBER	7100	21306	\N	\N	\N
170966	573	1997-08-05	VYDAJ	VYBER	7900	13689	\N	\N	\N
170967	573	1997-09-04	VYDAJ	VYBER	17600	32672	\N	\N	\N
170968	573	1997-09-21	VYDAJ	VYBER	44900	62786	\N	\N	\N
170969	573	1997-10-04	VYDAJ	VYBER	38700	54477	\N	\N	\N
170970	573	1997-11-03	VYDAJ	VYBER	15100	26829	\N	\N	\N
170971	573	1997-12-03	VYDAJ	VYBER	15600	29991	\N	\N	\N
170972	573	1998-01-02	VYDAJ	VYBER	13900	20345	\N	\N	\N
170973	573	1998-02-01	VYDAJ	VYBER	6200	14255	\N	\N	\N
170974	573	1998-04-02	VYDAJ	VYBER KARTOU	1400	12879	\N	\N	0
170975	573	1998-05-02	PRIJEM	VKLAD	500	13470	\N	\N	\N
170976	573	1998-06-01	VYDAJ	VYBER KARTOU	400	13093	\N	\N	0
170977	573	1998-07-31	VYDAJ	VYBER	20000	36639	\N	\N	\N
170978	573	1998-08-30	VYDAJ	VYBER	14400	28720	\N	\N	\N
170979	573	1998-09-29	VYDAJ	VYBER	11500	17340	\N	\N	\N
170980	573	1998-11-28	VYDAJ	VYBER	41000	49556	\N	\N	\N
171006	574	1993-07-30	PRIJEM	VKLAD	900	900	\N	\N	\N
171014	574	1993-08-06	PRIJEM	PREVOD Z UCTU	40486	41386	\N	IJ	7372451
171015	574	1993-09-06	PRIJEM	PREVOD Z UCTU	40486	73886	\N	IJ	7372451
171016	574	1993-10-06	PRIJEM	PREVOD Z UCTU	40486	89317	\N	IJ	7372451
171017	574	1993-11-06	PRIJEM	PREVOD Z UCTU	40486	98811	\N	IJ	7372451
171018	574	1993-12-06	PRIJEM	PREVOD Z UCTU	60729	121984	\N	IJ	7372451
171019	574	1994-01-06	PRIJEM	PREVOD Z UCTU	40486	73540	\N	IJ	7372451
171020	574	1994-02-06	PRIJEM	PREVOD Z UCTU	40486	52411	\N	IJ	7372451
171021	574	1994-03-06	PRIJEM	PREVOD Z UCTU	40486	70315	\N	IJ	7372451
171022	574	1994-04-06	PRIJEM	PREVOD Z UCTU	40486	87822	\N	IJ	7372451
171023	574	1994-05-06	PRIJEM	PREVOD Z UCTU	40486	98500	\N	IJ	7372451
171024	574	1994-06-06	PRIJEM	PREVOD Z UCTU	60729	120931	\N	IJ	7372451
171025	574	1994-07-06	PRIJEM	PREVOD Z UCTU	40486	54081	\N	IJ	7372451
171026	574	1994-08-06	PRIJEM	PREVOD Z UCTU	40486	81635	\N	IJ	7372451
171027	574	1994-09-06	PRIJEM	PREVOD Z UCTU	40486	77932	\N	IJ	7372451
171028	574	1994-10-06	PRIJEM	PREVOD Z UCTU	40486	95778	\N	IJ	7372451
171029	574	1994-11-06	PRIJEM	PREVOD Z UCTU	40486	103989	\N	IJ	7372451
171030	574	1994-12-06	PRIJEM	PREVOD Z UCTU	60729	121601	\N	IJ	7372451
171031	574	1995-01-06	PRIJEM	PREVOD Z UCTU	40486	74979	\N	IJ	7372451
171032	574	1995-02-06	PRIJEM	PREVOD Z UCTU	40486	61805	\N	IJ	7372451
171033	574	1995-03-06	PRIJEM	PREVOD Z UCTU	40486	85743	\N	IJ	7372451
171034	574	1995-04-06	PRIJEM	PREVOD Z UCTU	40486	89717	\N	IJ	7372451
171035	574	1995-05-06	PRIJEM	PREVOD Z UCTU	40486	100397	\N	IJ	7372451
171036	574	1995-06-06	PRIJEM	PREVOD Z UCTU	60729	107257	\N	IJ	7372451
171037	574	1995-07-06	PRIJEM	PREVOD Z UCTU	40486	111057	\N	IJ	7372451
171038	574	1995-08-06	PRIJEM	PREVOD Z UCTU	40486	73314	\N	IJ	7372451
171039	574	1995-09-06	PRIJEM	PREVOD Z UCTU	40486	91257	\N	IJ	7372451
171040	574	1995-10-06	PRIJEM	PREVOD Z UCTU	40486	100555	\N	IJ	7372451
171041	574	1995-11-06	PRIJEM	PREVOD Z UCTU	40486	96381	\N	IJ	7372451
171042	574	1995-12-06	PRIJEM	PREVOD Z UCTU	60729	125511	\N	IJ	7372451
171043	574	1996-01-06	PRIJEM	PREVOD Z UCTU	40486	71959	\N	IJ	7372451
171044	574	1996-02-06	PRIJEM	PREVOD Z UCTU	40486	56999	\N	IJ	7372451
171045	574	1996-03-06	PRIJEM	PREVOD Z UCTU	40486	84296	\N	IJ	7372451
171046	574	1996-04-06	PRIJEM	PREVOD Z UCTU	40486	91355	\N	IJ	7372451
171047	574	1996-05-06	PRIJEM	PREVOD Z UCTU	40486	55903	\N	IJ	7372451
171048	574	1996-06-06	PRIJEM	PREVOD Z UCTU	60729	67933	\N	IJ	7372451
171049	574	1996-07-06	PRIJEM	PREVOD Z UCTU	40486	91536	\N	IJ	7372451
171050	574	1996-08-06	PRIJEM	PREVOD Z UCTU	40486	95726	\N	IJ	7372451
171051	574	1996-09-06	PRIJEM	PREVOD Z UCTU	40486	82982	\N	IJ	7372451
171052	574	1996-10-06	PRIJEM	PREVOD Z UCTU	40486	91470	\N	IJ	7372451
171053	574	1996-11-06	PRIJEM	PREVOD Z UCTU	40486	97217	\N	IJ	7372451
171054	574	1996-12-06	PRIJEM	PREVOD Z UCTU	60729	106577	\N	IJ	7372451
171055	574	1997-01-06	PRIJEM	PREVOD Z UCTU	40486	89606	\N	IJ	7372451
171056	574	1997-02-06	PRIJEM	PREVOD Z UCTU	40486	83729	\N	IJ	7372451
171057	574	1997-03-06	PRIJEM	PREVOD Z UCTU	40486	92647	\N	IJ	7372451
171058	574	1997-04-06	PRIJEM	PREVOD Z UCTU	40486	107506	\N	IJ	7372451
171059	574	1997-05-06	PRIJEM	PREVOD Z UCTU	40486	112968	\N	IJ	7372451
171060	574	1997-06-06	PRIJEM	PREVOD Z UCTU	60729	122692	\N	IJ	7372451
171061	574	1997-07-06	PRIJEM	PREVOD Z UCTU	40486	89208	\N	IJ	7372451
171062	574	1997-08-06	PRIJEM	PREVOD Z UCTU	40486	80091	\N	IJ	7372451
171063	574	1997-09-06	PRIJEM	PREVOD Z UCTU	40486	78051	\N	IJ	7372451
171064	574	1997-10-06	PRIJEM	PREVOD Z UCTU	40486	84344	\N	IJ	7372451
171065	574	1997-11-06	PRIJEM	PREVOD Z UCTU	40486	94660	\N	IJ	7372451
171066	574	1997-12-06	PRIJEM	PREVOD Z UCTU	60729	102560	\N	IJ	7372451
171067	574	1998-01-06	PRIJEM	PREVOD Z UCTU	40486	70542	\N	IJ	7372451
171068	574	1998-02-06	PRIJEM	PREVOD Z UCTU	40486	72055	\N	IJ	7372451
171069	574	1998-03-06	PRIJEM	PREVOD Z UCTU	40486	71961	\N	IJ	7372451
171070	574	1998-04-06	PRIJEM	PREVOD Z UCTU	40486	88497	\N	IJ	7372451
171071	574	1998-05-06	PRIJEM	PREVOD Z UCTU	40486	105788	\N	IJ	7372451
171072	574	1998-06-06	PRIJEM	PREVOD Z UCTU	60729	142918	\N	IJ	7372451
171073	574	1998-07-06	PRIJEM	PREVOD Z UCTU	40486	87479	\N	IJ	7372451
171074	574	1998-08-06	PRIJEM	PREVOD Z UCTU	40486	94168	\N	IJ	7372451
171075	574	1998-09-06	PRIJEM	PREVOD Z UCTU	40486	119281	\N	IJ	7372451
171076	574	1998-10-06	PRIJEM	PREVOD Z UCTU	40486	88750	\N	IJ	7372451
171077	574	1998-11-06	PRIJEM	PREVOD Z UCTU	40486	114351	\N	IJ	7372451
171078	574	1998-12-06	PRIJEM	PREVOD Z UCTU	60729	119338	\N	IJ	7372451
171082	574	1994-06-01	VYBER	VYBER	4931	60202	\N	\N	\N
171083	574	1994-06-29	VYBER	VYBER	11617	13214	\N	\N	\N
171084	574	1994-08-11	VYBER	VYBER	24361	57274	\N	\N	\N
171085	574	1994-02-10	VYBER	VYBER	22668	29743	\N	\N	\N
171086	574	1995-12-16	VYBER	VYBER	24494	65517	\N	\N	\N
171087	574	1995-05-27	VYBER	VYBER	17898	46299	\N	\N	\N
171088	574	1996-05-22	VYBER	VYBER	19005	19496	\N	\N	\N
171089	574	1996-05-30	VYBER	VYBER	12408	7088	\N	\N	\N
171090	574	1996-11-23	VYBER	VYBER	14089	45628	\N	\N	\N
171091	574	1996-05-09	VYBER	VYBER	15202	40701	\N	\N	\N
171092	574	1996-08-26	VYBER	VYBER	2632	42303	\N	\N	\N
171093	574	1996-08-16	VYBER	VYBER	19691	44935	\N	\N	\N
171094	574	1996-04-16	VYBER	VYBER	22427	39328	\N	\N	\N
171095	574	1996-01-19	VYBER	VYBER	12378	26281	\N	\N	\N
171096	574	1996-05-04	VYBER	VYBER	12371	15417	\N	\N	\N
171097	574	1996-07-18	VYBER	VYBER	9706	55030	\N	\N	\N
171098	574	1996-03-10	VYBER	VYBER	19824	64472	\N	\N	\N
171099	574	1997-11-24	VYBER	VYBER	18157	45203	\N	\N	\N
171100	574	1997-03-03	VYBER	VYBER	8381	52161	\N	\N	\N
171101	574	1997-05-14	VYBER	VYBER	16066	61702	\N	\N	\N
171102	574	1997-07-29	VYBER	VYBER	14730	49578	\N	\N	\N
171103	574	1997-12-20	VYBER	VYBER	23714	41146	\N	\N	\N
171104	574	1997-08-15	VYBER	VYBER	6129	50462	\N	\N	\N
171105	574	1997-10-17	VYBER	VYBER	8394	53950	\N	\N	\N
171106	574	1997-08-23	VYBER	VYBER	13086	37376	\N	\N	\N
171107	574	1998-02-26	VYBER	VYBER	12580	46780	\N	\N	\N
171108	574	1998-07-08	VYBER	VYBER	21983	65496	\N	\N	\N
171109	574	1998-09-18	VYBER	VYBER	16909	38554	\N	\N	\N
171110	574	1998-07-26	VYBER	VYBER	3410	44379	\N	\N	\N
171111	574	1998-03-16	VYBER	VYBER	21944	40117	\N	\N	\N
171112	574	1998-04-25	VYBER	VYBER	11500	76997	\N	\N	\N
171113	574	1998-02-20	VYBER	VYBER	12695	59360	\N	\N	\N
171114	574	1998-07-18	VYBER	VYBER	17707	47789	\N	\N	\N
171115	574	1998-09-18	VYBER	VYBER	22618	55463	\N	\N	\N
171116	574	1998-03-05	VYBER	VYBER	15520	31475	\N	\N	\N
171118	574	1994-06-28	VYDAJ	VYBER	34200	24831	\N	\N	\N
171122	574	1998-06-19	VYDAJ	VYBER	75900	43618	\N	\N	\N
171124	574	1994-01-27	VYDAJ	VYBER	20700	19540	\N	\N	\N
171125	574	1995-01-16	VYDAJ	VYBER	28500	29379	\N	\N	\N
171126	574	1996-01-10	VYDAJ	VYBER	25200	44359	\N	\N	\N
171127	574	1997-01-05	VYDAJ	VYBER	9900	49120	\N	\N	\N
171128	574	1998-01-16	VYDAJ	VYBER	12900	35742	\N	\N	\N
171129	574	1993-12-09	VYDAJ	VYBER	5700	74184	\N	\N	\N
171130	574	1994-12-25	VYDAJ	VYBER	4500	34301	\N	\N	\N
171131	574	1995-12-10	VYDAJ	VYBER	3000	90011	\N	\N	\N
171132	574	1996-12-23	VYDAJ	VYBER	6000	66877	\N	\N	\N
171133	574	1997-12-01	VYDAJ	VYBER	3600	41831	\N	\N	\N
171134	574	1998-12-05	VYDAJ	VYBER	3000	58609	\N	\N	\N
171141	574	1994-01-09	VYDAJ	VYBER	8700	64840	\N	\N	\N
171142	574	1994-01-10	VYDAJ	VYBER	8400	56440	\N	\N	\N
171143	574	1994-01-30	VYDAJ	VYBER	4200	13840	\N	\N	\N
171144	574	1994-01-16	VYDAJ	VYBER	4500	51940	\N	\N	\N
171145	574	1994-01-30	VYDAJ	VYBER	2100	11740	\N	\N	\N
171146	574	1994-01-27	VYDAJ	VYBER	1500	18040	\N	\N	\N
171147	574	1995-01-16	VYDAJ	VYBER	6600	57879	\N	\N	\N
171148	574	1995-01-12	VYDAJ	VYBER	7800	64479	\N	\N	\N
171149	574	1995-01-09	VYDAJ	VYBER	2700	72279	\N	\N	\N
171150	574	1995-01-25	VYDAJ	VYBER	2400	21179	\N	\N	\N
171151	574	1995-01-25	VYDAJ	VYBER	3600	25379	\N	\N	\N
171152	574	1995-01-25	VYDAJ	VYBER	1800	23579	\N	\N	\N
171153	574	1996-01-14	VYDAJ	VYBER	3300	38059	\N	\N	\N
171154	574	1996-01-09	VYDAJ	VYBER	2400	69559	\N	\N	\N
171155	574	1996-01-29	VYDAJ	VYBER	3900	16381	\N	\N	\N
171156	574	1996-01-01	VYDAJ	VYBER	4800	43473	\N	\N	\N
171157	574	1996-01-11	VYDAJ	VYBER	3000	41359	\N	\N	\N
171158	574	1996-01-21	VYDAJ	VYBER	6000	20281	\N	\N	\N
171159	574	1997-01-26	VYDAJ	VYBER	1500	51706	\N	\N	\N
171160	574	1997-01-25	VYDAJ	VYBER	5400	53206	\N	\N	\N
171161	574	1997-01-05	VYDAJ	VYBER	2400	59020	\N	\N	\N
171162	574	1997-01-09	VYDAJ	VYBER	6600	78806	\N	\N	\N
171163	574	1997-01-29	VYDAJ	VYBER	8700	43006	\N	\N	\N
171164	574	1997-01-01	VYDAJ	VYBER	5700	61420	\N	\N	\N
171165	574	1998-01-22	VYDAJ	VYBER	8700	18342	\N	\N	\N
171166	574	1998-01-22	VYDAJ	VYBER	4200	14142	\N	\N	\N
171167	574	1998-01-21	VYDAJ	VYBER	8700	27042	\N	\N	\N
171168	574	1998-01-05	VYDAJ	VYBER	8100	30056	\N	\N	\N
171169	574	1998-01-03	VYDAJ	VYBER	7500	25756	\N	\N	\N
171170	574	1998-01-12	VYDAJ	VYBER	8400	48642	\N	\N	\N
171176	574	1994-01-05	VYDAJ	VYBER	4200	33054	\N	\N	\N
171177	574	1994-11-13	VYDAJ	VYBER	11100	92889	\N	\N	\N
171178	574	1994-12-07	VYDAJ	VYBER	14400	50501	\N	\N	\N
171179	574	1994-04-07	VYDAJ	VYBER	1800	86022	\N	\N	\N
171180	574	1994-08-19	VYDAJ	VYBER	12600	44674	\N	\N	\N
171181	574	1994-01-03	VYDAJ	VYBER	10800	37254	\N	\N	\N
171182	574	1995-07-07	VYDAJ	VYBER	8700	40757	\N	\N	\N
171183	574	1995-08-18	VYDAJ	VYBER	3600	69714	\N	\N	\N
171184	574	1995-02-12	VYDAJ	VYBER	1800	60005	\N	\N	\N
171185	574	1995-04-03	VYDAJ	VYBER	7800	49231	\N	\N	\N
171186	574	1995-11-05	VYDAJ	VYBER	7800	55895	\N	\N	\N
171187	574	1996-11-20	VYDAJ	VYBER	6900	59717	\N	\N	\N
171188	574	1996-04-23	VYDAJ	VYBER	11700	27628	\N	\N	\N
171189	574	1996-10-28	VYDAJ	VYBER	6000	56470	\N	\N	\N
171190	574	1996-10-01	VYDAJ	VYBER	7800	50984	\N	\N	\N
171191	574	1996-01-03	VYDAJ	VYBER	12000	31473	\N	\N	\N
171192	574	1997-10-05	VYDAJ	VYBER	14700	43858	\N	\N	\N
171193	574	1997-11-14	VYDAJ	VYBER	6300	63360	\N	\N	\N
171194	574	1997-01-06	VYDAJ	VYBER	4200	85406	\N	\N	\N
171195	574	1997-08-04	VYDAJ	VYBER	10200	39605	\N	\N	\N
171196	574	1997-06-20	VYDAJ	VYBER	14700	48492	\N	\N	\N
171197	574	1997-12-14	VYDAJ	VYBER	9300	64860	\N	\N	\N
171198	574	1998-01-09	VYDAJ	VYBER	13500	57042	\N	\N	\N
171199	574	1998-06-22	VYDAJ	VYBER	7500	36118	\N	\N	\N
171200	574	1998-03-30	VYDAJ	VYBER	1500	38617	\N	\N	\N
171201	574	1998-01-02	VYDAJ	VYBER	8100	33256	\N	\N	\N
171202	574	1998-08-07	VYDAJ	VYBER	3300	90868	\N	\N	\N
171215	574	1993-12-31	VYDAJ	VYBER	15	48054	SLUZBY	\N	\N
171216	574	1994-01-31	VYDAJ	VYBER	15	11925	SLUZBY	\N	\N
171217	574	1994-02-28	VYDAJ	VYBER	15	29829	SLUZBY	\N	\N
171218	574	1994-03-31	VYDAJ	VYBER	15	47336	SLUZBY	\N	\N
171219	574	1994-04-30	VYDAJ	VYBER	15	58014	SLUZBY	\N	\N
171220	574	1994-05-31	VYDAJ	VYBER	15	65133	SLUZBY	\N	\N
171221	574	1994-06-30	VYDAJ	VYBER	15	13595	SLUZBY	\N	\N
171222	574	1994-07-31	VYDAJ	VYBER	15	41149	SLUZBY	\N	\N
171223	574	1994-08-31	VYDAJ	VYBER	15	37446	SLUZBY	\N	\N
171224	574	1994-09-30	VYDAJ	VYBER	15	55292	SLUZBY	\N	\N
171225	574	1994-10-31	VYDAJ	VYBER	15	63503	SLUZBY	\N	\N
171226	574	1994-11-30	VYDAJ	VYBER	15	60872	SLUZBY	\N	\N
171227	574	1994-12-31	VYDAJ	VYBER	15	34493	SLUZBY	\N	\N
171228	574	1995-01-31	VYDAJ	VYBER	15	21319	SLUZBY	\N	\N
171229	574	1995-02-28	VYDAJ	VYBER	15	45257	SLUZBY	\N	\N
171230	574	1995-03-31	VYDAJ	VYBER	15	57031	SLUZBY	\N	\N
171231	574	1995-04-30	VYDAJ	VYBER	15	59911	SLUZBY	\N	\N
171232	574	1995-05-31	VYDAJ	VYBER	15	46528	SLUZBY	\N	\N
171233	574	1995-06-30	VYDAJ	VYBER	15	70571	SLUZBY	\N	\N
171234	574	1995-07-31	VYDAJ	VYBER	15	32828	SLUZBY	\N	\N
171235	574	1995-08-31	VYDAJ	VYBER	15	50771	SLUZBY	\N	\N
171236	574	1995-09-30	VYDAJ	VYBER	15	60069	SLUZBY	\N	\N
171237	574	1995-10-31	VYDAJ	VYBER	15	63695	SLUZBY	\N	\N
171238	574	1995-11-30	VYDAJ	VYBER	15	64782	SLUZBY	\N	\N
171239	574	1995-12-31	VYDAJ	VYBER	15	48273	SLUZBY	\N	\N
171240	574	1996-01-31	VYDAJ	VYBER	15	16513	SLUZBY	\N	\N
171241	574	1996-02-29	VYDAJ	VYBER	15	43810	SLUZBY	\N	\N
171242	574	1996-03-31	VYDAJ	VYBER	15	50869	SLUZBY	\N	\N
171243	574	1996-04-30	VYDAJ	VYBER	15	27788	SLUZBY	\N	\N
171244	574	1996-05-31	VYDAJ	VYBER	15	7204	SLUZBY	\N	\N
171245	574	1996-06-30	VYDAJ	VYBER	15	51050	SLUZBY	\N	\N
171246	574	1996-07-31	VYDAJ	VYBER	15	55240	SLUZBY	\N	\N
171247	574	1996-08-31	VYDAJ	VYBER	15	42496	SLUZBY	\N	\N
171248	574	1996-09-30	VYDAJ	VYBER	15	58784	SLUZBY	\N	\N
171249	574	1996-10-31	VYDAJ	VYBER	15	56731	SLUZBY	\N	\N
171250	574	1996-11-30	VYDAJ	VYBER	15	45848	SLUZBY	\N	\N
171251	574	1996-12-31	VYDAJ	VYBER	15	67120	SLUZBY	\N	\N
171252	574	1997-01-31	VYDAJ	VYBER	15	43243	SLUZBY	\N	\N
171253	574	1997-02-28	VYDAJ	VYBER	15	60542	SLUZBY	\N	\N
171254	574	1997-03-31	VYDAJ	VYBER	15	67020	SLUZBY	\N	\N
171255	574	1997-04-30	VYDAJ	VYBER	15	72482	SLUZBY	\N	\N
171256	574	1997-05-31	VYDAJ	VYBER	15	61963	SLUZBY	\N	\N
171257	574	1997-06-30	VYDAJ	VYBER	15	48722	SLUZBY	\N	\N
171258	574	1997-07-31	VYDAJ	VYBER	15	49805	SLUZBY	\N	\N
171259	574	1997-08-31	VYDAJ	VYBER	15	37565	SLUZBY	\N	\N
171260	574	1997-09-30	VYDAJ	VYBER	15	58558	SLUZBY	\N	\N
171261	574	1997-10-31	VYDAJ	VYBER	15	54174	SLUZBY	\N	\N
171262	574	1997-11-30	VYDAJ	VYBER	15	45431	SLUZBY	\N	\N
171263	574	1997-12-31	VYDAJ	VYBER	15	41356	SLUZBY	\N	\N
171264	574	1998-01-31	VYDAJ	VYBER	15	14269	SLUZBY	\N	\N
171265	574	1998-02-28	VYDAJ	VYBER	15	46995	SLUZBY	\N	\N
171266	574	1998-03-31	VYDAJ	VYBER	15	38811	SLUZBY	\N	\N
171267	574	1998-04-30	VYDAJ	VYBER	15	77302	SLUZBY	\N	\N
171268	574	1998-05-31	VYDAJ	VYBER	15	106189	SLUZBY	\N	\N
171269	574	1998-06-30	VYDAJ	VYBER	15	36493	SLUZBY	\N	\N
171270	574	1998-07-31	VYDAJ	VYBER	15	44582	SLUZBY	\N	\N
171271	574	1998-08-31	VYDAJ	VYBER	15	91195	SLUZBY	\N	\N
171272	574	1998-09-30	VYDAJ	VYBER	15	38864	SLUZBY	\N	\N
171273	574	1998-10-31	VYDAJ	VYBER	15	89065	SLUZBY	\N	\N
171274	574	1998-11-30	VYDAJ	VYBER	15	62909	SLUZBY	\N	\N
171275	574	1993-08-29	VYDAJ	VYBER	8000	33386	\N	\N	\N
171276	574	1993-09-28	VYDAJ	VYBER	25200	48686	\N	\N	\N
171277	574	1993-10-28	VYDAJ	VYBER	31200	58117	\N	\N	\N
171278	574	1993-11-27	VYDAJ	VYBER	37800	61011	\N	\N	\N
171279	574	1993-12-06	VYDAJ	VYBER	42100	79884	\N	\N	\N
171280	574	1993-12-27	VYDAJ	VYBER	26400	47784	\N	\N	\N
171281	574	1994-01-26	VYDAJ	VYBER	11700	40240	\N	\N	\N
171282	574	1994-03-27	VYDAJ	VYBER	23100	47215	\N	\N	\N
171283	574	1994-04-26	VYDAJ	VYBER	28300	57722	\N	\N	\N
171284	574	1994-05-26	VYDAJ	VYBER	33600	64900	\N	\N	\N
171285	574	1994-06-06	VYDAJ	VYBER	33200	87731	\N	\N	\N
171286	574	1994-06-25	VYDAJ	VYBER	28700	59031	\N	\N	\N
171287	574	1994-07-25	VYDAJ	VYBER	13000	41081	\N	\N	\N
171288	574	1994-08-24	VYDAJ	VYBER	7400	37274	\N	\N	\N
171289	574	1994-09-23	VYDAJ	VYBER	22800	55132	\N	\N	\N
171290	574	1994-10-23	VYDAJ	VYBER	32500	63278	\N	\N	\N
171291	574	1994-11-22	VYDAJ	VYBER	32300	60589	\N	\N	\N
171292	574	1994-12-06	VYDAJ	VYBER	56700	64901	\N	\N	\N
171293	574	1994-12-22	VYDAJ	VYBER	11700	38801	\N	\N	\N
171294	574	1995-01-21	VYDAJ	VYBER	400	28979	\N	\N	\N
171295	574	1995-02-20	VYDAJ	VYBER	14900	45105	\N	\N	\N
171296	574	1995-03-22	VYDAJ	VYBER	28900	56843	\N	\N	\N
171297	574	1995-04-21	VYDAJ	VYBER	30100	59617	\N	\N	\N
171298	574	1995-05-21	VYDAJ	VYBER	36200	64197	\N	\N	\N
171299	574	1995-06-20	VYDAJ	VYBER	36900	70357	\N	\N	\N
171300	574	1995-07-06	VYDAJ	VYBER	61600	49457	\N	\N	\N
171301	574	1995-07-20	VYDAJ	VYBER	8100	32657	\N	\N	\N
171302	574	1995-08-19	VYDAJ	VYBER	19100	50614	\N	\N	\N
171303	574	1995-09-18	VYDAJ	VYBER	31400	59857	\N	\N	\N
171304	574	1995-10-18	VYDAJ	VYBER	37100	63455	\N	\N	\N
171305	574	1995-11-17	VYDAJ	VYBER	31900	64481	\N	\N	\N
171306	574	1995-12-06	VYDAJ	VYBER	32500	93011	\N	\N	\N
171307	574	1995-12-17	VYDAJ	VYBER	17500	48017	\N	\N	\N
171308	574	1996-01-16	PRIJEM	VKLAD	600	38659	\N	\N	\N
171309	574	1996-02-15	VYDAJ	VYBER	13300	43699	\N	\N	\N
171310	574	1996-03-16	VYDAJ	VYBER	13800	50672	\N	\N	\N
171311	574	1996-04-15	VYDAJ	VYBER	29600	61755	\N	\N	\N
171312	574	1996-05-15	VYDAJ	VYBER	2200	38501	\N	\N	\N
171313	574	1996-06-14	VYDAJ	VYBER	17000	50933	\N	\N	\N
171314	574	1996-07-14	VYDAJ	VYBER	26800	64736	\N	\N	\N
171315	574	1996-08-13	VYDAJ	VYBER	31100	64626	\N	\N	\N
171316	574	1996-09-12	VYDAJ	VYBER	24400	58582	\N	\N	\N
171317	574	1996-10-12	VYDAJ	VYBER	29000	62470	\N	\N	\N
171318	574	1996-11-11	VYDAJ	VYBER	30600	66617	\N	\N	\N
171319	574	1996-12-11	VYDAJ	VYBER	33700	72877	\N	\N	\N
171320	574	1997-01-10	VYDAJ	VYBER	20200	58606	\N	\N	\N
171321	574	1997-02-09	VYDAJ	VYBER	23400	60329	\N	\N	\N
171322	574	1997-03-11	VYDAJ	VYBER	25900	66747	\N	\N	\N
171323	574	1997-04-10	VYDAJ	VYBER	35300	72206	\N	\N	\N
171324	574	1997-05-10	VYDAJ	VYBER	35200	77768	\N	\N	\N
171325	574	1997-06-06	VYDAJ	VYBER	40000	82692	\N	\N	\N
171326	574	1997-06-09	VYDAJ	VYBER	19500	63192	\N	\N	\N
171327	574	1997-07-09	VYDAJ	VYBER	24900	64308	\N	\N	\N
171328	574	1997-08-08	VYDAJ	VYBER	23500	56591	\N	\N	\N
171329	574	1997-09-07	VYDAJ	VYBER	19700	58351	\N	\N	\N
171330	574	1997-10-07	VYDAJ	VYBER	22000	62344	\N	\N	\N
171331	574	1997-11-06	VYDAJ	VYBER	25000	69660	\N	\N	\N
171332	574	1997-12-06	VYDAJ	VYBER	28400	74160	\N	\N	\N
171333	574	1998-01-05	PRIJEM	VKLAD	12400	38156	\N	\N	\N
171334	574	1998-02-04	PRIJEM	VKLAD	17300	31569	\N	\N	\N
171335	574	1998-03-06	VYDAJ	VYBER	9900	62061	\N	\N	\N
171336	574	1998-04-05	PRIJEM	VKLAD	9200	48011	\N	\N	\N
171337	574	1998-05-05	VYDAJ	VYBER	12000	65302	\N	\N	\N
171338	574	1998-06-04	VYDAJ	VYBER	24000	82189	\N	\N	\N
171339	574	1998-06-06	VYDAJ	VYBER	23400	119518	\N	\N	\N
171340	574	1998-07-04	PRIJEM	VKLAD	10500	46993	\N	\N	\N
171341	574	1998-08-03	PRIJEM	VKLAD	9100	53682	\N	\N	\N
171342	574	1998-09-02	VYDAJ	VYBER	12400	78795	\N	\N	\N
171343	574	1998-09-06	VYDAJ	VYBER	41200	78081	\N	\N	\N
171344	574	1998-10-02	PRIJEM	VKLAD	9400	48264	\N	\N	\N
171345	574	1998-11-01	VYDAJ	VYBER	15200	73865	\N	\N	\N
171346	574	1998-11-06	VYDAJ	VYBER	51700	62651	\N	\N	\N
171347	574	1998-12-01	VYDAJ	VYBER	1300	61609	\N	\N	\N
171348	574	1998-12-06	VYDAJ	VYBER	16500	102838	\N	\N	\N
171414	575	1994-04-26	PRIJEM	VKLAD	200	200	\N	\N	\N
171419	575	1994-05-05	PRIJEM	VKLAD	9128	9328	\N	\N	\N
171420	575	1994-06-05	PRIJEM	VKLAD	13692	28332	\N	\N	\N
171421	575	1994-07-05	PRIJEM	VKLAD	9128	36631	\N	\N	\N
171422	575	1994-08-05	PRIJEM	VKLAD	9128	39877	\N	\N	\N
171423	575	1994-09-05	PRIJEM	VKLAD	9128	38731	\N	\N	\N
171424	575	1994-10-05	PRIJEM	VKLAD	9128	37190	\N	\N	\N
171425	575	1994-11-05	PRIJEM	VKLAD	9128	37644	\N	\N	\N
171426	575	1994-12-05	PRIJEM	VKLAD	13692	36658	\N	\N	\N
171427	575	1995-01-05	PRIJEM	VKLAD	9128	30505	\N	\N	\N
171428	575	1995-02-05	PRIJEM	VKLAD	9128	21862	\N	\N	\N
171429	575	1995-03-05	PRIJEM	VKLAD	9128	26457	\N	\N	\N
171430	575	1995-04-05	PRIJEM	VKLAD	9128	26660	\N	\N	\N
171431	575	1995-05-05	PRIJEM	VKLAD	9128	30452	\N	\N	\N
171432	575	1995-06-05	PRIJEM	VKLAD	13692	34139	\N	\N	\N
171433	575	1995-07-05	PRIJEM	VKLAD	9128	30765	\N	\N	\N
171434	575	1995-08-05	PRIJEM	VKLAD	9128	32293	\N	\N	\N
171435	575	1995-09-05	PRIJEM	VKLAD	9128	31222	\N	\N	\N
171436	575	1995-10-05	PRIJEM	VKLAD	9128	30648	\N	\N	\N
171437	575	1995-11-05	PRIJEM	VKLAD	9128	33978	\N	\N	\N
171438	575	1995-12-05	PRIJEM	VKLAD	13692	35055	\N	\N	\N
171439	575	1996-01-05	PRIJEM	VKLAD	9128	32516	\N	\N	\N
171440	575	1996-02-05	PRIJEM	VKLAD	9128	24654	\N	\N	\N
171441	575	1996-03-05	PRIJEM	VKLAD	9128	23774	\N	\N	\N
171442	575	1996-04-05	PRIJEM	VKLAD	9128	24169	\N	\N	\N
171443	575	1996-05-05	PRIJEM	VKLAD	9128	25908	\N	\N	\N
171444	575	1996-06-05	PRIJEM	VKLAD	13692	29673	\N	\N	\N
171445	575	1996-07-05	PRIJEM	VKLAD	9128	31492	\N	\N	\N
171446	575	1996-08-05	PRIJEM	VKLAD	9128	26286	\N	\N	\N
171447	575	1996-09-05	PRIJEM	VKLAD	9128	24185	\N	\N	\N
171448	575	1996-10-05	PRIJEM	VKLAD	9128	21873	\N	\N	\N
171449	575	1996-11-05	PRIJEM	VKLAD	9128	21356	\N	\N	\N
171450	575	1996-12-05	PRIJEM	VKLAD	13692	29011	\N	\N	\N
171451	575	1997-01-05	PRIJEM	VKLAD	9128	25410	\N	\N	\N
171452	575	1997-02-05	PRIJEM	VKLAD	9128	20655	\N	\N	\N
171453	575	1997-03-05	PRIJEM	VKLAD	9128	23742	\N	\N	\N
171454	575	1997-04-05	PRIJEM	VKLAD	9128	21227	\N	\N	\N
171455	575	1997-05-05	PRIJEM	VKLAD	9128	24317	\N	\N	\N
171456	575	1997-06-05	PRIJEM	VKLAD	13692	25765	\N	\N	\N
171457	575	1997-07-05	PRIJEM	VKLAD	9128	23454	\N	\N	\N
171458	575	1997-08-05	PRIJEM	VKLAD	9128	22833	\N	\N	\N
171459	575	1997-09-05	PRIJEM	VKLAD	9128	25929	\N	\N	\N
171460	575	1997-10-05	PRIJEM	VKLAD	9128	18202	\N	\N	\N
171461	575	1997-11-05	PRIJEM	VKLAD	9128	15460	\N	\N	\N
171462	575	1997-12-05	PRIJEM	VKLAD	13692	23089	\N	\N	\N
171463	575	1998-01-05	PRIJEM	VKLAD	9128	23183	\N	\N	\N
171464	575	1998-02-05	PRIJEM	VKLAD	9128	22915	\N	\N	\N
171465	575	1998-03-05	PRIJEM	VKLAD	9128	26011	\N	\N	\N
171466	575	1998-04-05	PRIJEM	VKLAD	9128	29121	\N	\N	\N
171467	575	1998-05-05	PRIJEM	VKLAD	9128	32243	\N	\N	\N
171468	575	1998-06-05	PRIJEM	VKLAD	13692	39942	\N	\N	\N
171469	575	1998-07-05	PRIJEM	VKLAD	9128	43106	\N	\N	\N
171470	575	1998-08-05	PRIJEM	VKLAD	9128	24086	\N	\N	\N
171471	575	1998-09-05	PRIJEM	VKLAD	9128	24196	\N	\N	\N
171472	575	1998-10-05	PRIJEM	VKLAD	9128	27297	\N	\N	\N
171473	575	1998-11-05	PRIJEM	VKLAD	9128	30412	\N	\N	\N
171474	575	1998-12-05	PRIJEM	VKLAD	13692	36298	\N	\N	\N
171483	575	1994-09-06	VYDAJ	PREVOD NA UCET	756	37975	SIPO	KL	32180041
171484	575	1994-10-06	VYDAJ	PREVOD NA UCET	756	36434	SIPO	KL	32180041
171485	575	1994-11-06	VYDAJ	PREVOD NA UCET	756	36888	SIPO	KL	32180041
171486	575	1994-12-06	VYDAJ	PREVOD NA UCET	756	35902	SIPO	KL	32180041
171487	575	1995-01-06	VYDAJ	PREVOD NA UCET	756	29749	SIPO	KL	32180041
171488	575	1995-02-06	VYDAJ	PREVOD NA UCET	756	21106	SIPO	KL	32180041
171489	575	1995-03-06	VYDAJ	PREVOD NA UCET	756	25701	SIPO	KL	32180041
171490	575	1995-04-06	VYDAJ	PREVOD NA UCET	756	25904	SIPO	KL	32180041
171491	575	1995-05-06	VYDAJ	PREVOD NA UCET	756	29696	SIPO	KL	32180041
171492	575	1995-06-06	VYDAJ	PREVOD NA UCET	756	33383	SIPO	KL	32180041
171493	575	1995-07-06	VYDAJ	PREVOD NA UCET	756	30009	SIPO	KL	32180041
171494	575	1995-08-06	VYDAJ	PREVOD NA UCET	756	31537	SIPO	KL	32180041
171495	575	1995-09-06	VYDAJ	PREVOD NA UCET	756	30466	SIPO	KL	32180041
171496	575	1995-10-06	VYDAJ	PREVOD NA UCET	756	29892	SIPO	KL	32180041
171497	575	1995-11-06	VYDAJ	PREVOD NA UCET	756	33222	SIPO	KL	32180041
171498	575	1995-12-06	VYDAJ	PREVOD NA UCET	756	34299	SIPO	KL	32180041
171499	575	1996-01-06	VYDAJ	PREVOD NA UCET	756	31760	SIPO	KL	32180041
171500	575	1996-02-06	VYDAJ	PREVOD NA UCET	756	23898	SIPO	KL	32180041
171501	575	1996-03-06	VYDAJ	PREVOD NA UCET	756	23018	SIPO	KL	32180041
171502	575	1996-04-06	VYDAJ	PREVOD NA UCET	756	23413	SIPO	KL	32180041
171503	575	1996-05-06	VYDAJ	PREVOD NA UCET	756	25152	SIPO	KL	32180041
171504	575	1996-06-06	VYDAJ	PREVOD NA UCET	756	28917	SIPO	KL	32180041
171505	575	1996-07-06	VYDAJ	PREVOD NA UCET	756	30736	SIPO	KL	32180041
171506	575	1996-08-06	VYDAJ	PREVOD NA UCET	756	25530	SIPO	KL	32180041
171507	575	1996-09-06	VYDAJ	PREVOD NA UCET	756	23429	SIPO	KL	32180041
171508	575	1996-10-06	VYDAJ	PREVOD NA UCET	756	21117	SIPO	KL	32180041
171509	575	1996-11-06	VYDAJ	PREVOD NA UCET	756	20600	SIPO	KL	32180041
171510	575	1996-12-06	VYDAJ	PREVOD NA UCET	756	28255	SIPO	KL	32180041
171511	575	1997-01-06	VYDAJ	PREVOD NA UCET	756	22014	SIPO	KL	32180041
171512	575	1997-02-06	VYDAJ	PREVOD NA UCET	756	19899	SIPO	KL	32180041
171513	575	1997-03-06	VYDAJ	PREVOD NA UCET	756	22986	SIPO	KL	32180041
171514	575	1997-04-06	VYDAJ	PREVOD NA UCET	756	20471	SIPO	KL	32180041
171515	575	1997-05-06	VYDAJ	PREVOD NA UCET	756	23561	SIPO	KL	32180041
171516	575	1997-06-06	VYDAJ	PREVOD NA UCET	756	25009	SIPO	KL	32180041
171517	575	1997-07-06	VYDAJ	PREVOD NA UCET	756	22698	SIPO	KL	32180041
171518	575	1997-08-06	VYDAJ	PREVOD NA UCET	756	22077	SIPO	KL	32180041
171519	575	1997-09-06	VYDAJ	PREVOD NA UCET	756	25173	SIPO	KL	32180041
171520	575	1997-10-06	VYDAJ	PREVOD NA UCET	756	17446	SIPO	KL	32180041
171521	575	1997-11-06	VYDAJ	PREVOD NA UCET	756	14704	SIPO	KL	32180041
171522	575	1997-12-06	VYDAJ	PREVOD NA UCET	756	22333	SIPO	KL	32180041
171523	575	1998-01-06	VYDAJ	PREVOD NA UCET	756	22427	SIPO	KL	32180041
171524	575	1998-02-06	VYDAJ	PREVOD NA UCET	756	22159	SIPO	KL	32180041
171525	575	1998-03-06	VYDAJ	PREVOD NA UCET	756	25255	SIPO	KL	32180041
171526	575	1998-04-06	VYDAJ	PREVOD NA UCET	756	28365	SIPO	KL	32180041
171527	575	1998-05-06	VYDAJ	PREVOD NA UCET	756	31487	SIPO	KL	32180041
171528	575	1998-06-06	VYDAJ	PREVOD NA UCET	756	39186	SIPO	KL	32180041
171529	575	1998-07-06	VYDAJ	PREVOD NA UCET	756	42350	SIPO	KL	32180041
171530	575	1998-08-06	VYDAJ	PREVOD NA UCET	756	23330	SIPO	KL	32180041
171531	575	1998-09-06	VYDAJ	PREVOD NA UCET	756	23440	SIPO	KL	32180041
171532	575	1998-10-06	VYDAJ	PREVOD NA UCET	756	26541	SIPO	KL	32180041
171533	575	1998-11-06	VYDAJ	PREVOD NA UCET	756	29656	SIPO	KL	32180041
171534	575	1998-12-06	VYDAJ	PREVOD NA UCET	756	35542	SIPO	KL	32180041
171543	575	1994-09-08	VYDAJ	PREVOD NA UCET	5329	32646	 	GH	62339043
171544	575	1994-10-08	VYDAJ	PREVOD NA UCET	5329	31105	 	GH	62339043
171545	575	1994-11-08	VYDAJ	PREVOD NA UCET	5329	31559	 	GH	62339043
171546	575	1994-12-08	VYDAJ	PREVOD NA UCET	5329	30573	 	GH	62339043
171547	575	1995-01-08	VYDAJ	PREVOD NA UCET	5329	22020	 	GH	62339043
171548	575	1995-02-08	VYDAJ	PREVOD NA UCET	5329	15777	 	GH	62339043
171549	575	1995-03-08	VYDAJ	PREVOD NA UCET	5329	20372	 	GH	62339043
171550	575	1995-04-08	VYDAJ	PREVOD NA UCET	5329	20575	 	GH	62339043
171551	575	1995-05-08	VYDAJ	PREVOD NA UCET	5329	24367	 	GH	62339043
171552	575	1995-06-08	VYDAJ	PREVOD NA UCET	5329	28054	 	GH	62339043
171553	575	1995-07-08	VYDAJ	PREVOD NA UCET	5329	23000	 	GH	62339043
171554	575	1995-08-08	VYDAJ	PREVOD NA UCET	5329	26208	 	GH	62339043
171555	575	1995-09-08	VYDAJ	PREVOD NA UCET	5329	25137	 	GH	62339043
171556	575	1995-10-08	VYDAJ	PREVOD NA UCET	5329	24563	 	GH	62339043
171557	575	1995-11-08	VYDAJ	PREVOD NA UCET	5329	27893	 	GH	62339043
171558	575	1995-12-08	VYDAJ	PREVOD NA UCET	5329	28970	 	GH	62339043
171559	575	1996-01-08	VYDAJ	PREVOD NA UCET	5329	26431	 	GH	62339043
171560	575	1996-02-08	VYDAJ	PREVOD NA UCET	5329	18569	 	GH	62339043
171561	575	1996-03-08	VYDAJ	PREVOD NA UCET	5329	17689	 	GH	62339043
171562	575	1996-04-08	VYDAJ	PREVOD NA UCET	5329	18084	 	GH	62339043
171563	575	1996-05-08	VYDAJ	PREVOD NA UCET	5329	19823	 	GH	62339043
171564	575	1996-06-08	VYDAJ	PREVOD NA UCET	5329	23588	 	GH	62339043
171565	575	1996-07-08	VYDAJ	PREVOD NA UCET	5329	25407	 	GH	62339043
171566	575	1996-08-08	VYDAJ	PREVOD NA UCET	5329	20201	 	GH	62339043
171567	575	1996-09-08	VYDAJ	PREVOD NA UCET	5329	18100	 	GH	62339043
171568	575	1996-10-08	VYDAJ	PREVOD NA UCET	5329	15788	 	GH	62339043
171569	575	1996-11-08	VYDAJ	PREVOD NA UCET	5329	15271	 	GH	62339043
171570	575	1996-12-08	VYDAJ	PREVOD NA UCET	5329	22926	 	GH	62339043
171571	575	1997-01-08	VYDAJ	PREVOD NA UCET	5329	16685	 	GH	62339043
171572	575	1997-02-08	VYDAJ	PREVOD NA UCET	5329	14570	 	GH	62339043
171573	575	1997-03-08	VYDAJ	PREVOD NA UCET	5329	17657	 	GH	62339043
171574	575	1997-04-08	VYDAJ	PREVOD NA UCET	5329	15142	 	GH	62339043
171575	575	1997-05-08	VYDAJ	PREVOD NA UCET	5329	18232	 	GH	62339043
171576	575	1997-06-08	VYDAJ	PREVOD NA UCET	5329	19680	 	GH	62339043
171577	575	1997-07-08	VYDAJ	PREVOD NA UCET	5329	17369	 	GH	62339043
171578	575	1997-08-08	VYDAJ	PREVOD NA UCET	5329	16748	 	GH	62339043
171579	575	1997-09-08	VYDAJ	PREVOD NA UCET	5329	9044	 	GH	62339043
171580	575	1997-10-08	VYDAJ	PREVOD NA UCET	5329	6317	 	GH	62339043
171581	575	1997-11-08	VYDAJ	PREVOD NA UCET	5329	9375	 	GH	62339043
171582	575	1997-12-08	VYDAJ	PREVOD NA UCET	5329	17004	 	GH	62339043
171583	575	1998-01-08	VYDAJ	PREVOD NA UCET	5329	14578	 	GH	62339043
171584	575	1998-02-08	VYDAJ	PREVOD NA UCET	5329	16830	 	GH	62339043
171585	575	1998-03-08	VYDAJ	PREVOD NA UCET	5329	19926	 	GH	62339043
171586	575	1998-04-08	VYDAJ	PREVOD NA UCET	5329	23036	 	GH	62339043
171587	575	1998-05-08	VYDAJ	PREVOD NA UCET	5329	26158	 	GH	62339043
171588	575	1998-06-08	VYDAJ	PREVOD NA UCET	5329	33857	 	GH	62339043
171589	575	1998-07-08	VYDAJ	PREVOD NA UCET	5329	37021	 	GH	62339043
171590	575	1998-08-08	VYDAJ	PREVOD NA UCET	5329	18001	 	GH	62339043
171591	575	1998-09-08	VYDAJ	PREVOD NA UCET	5329	18111	 	GH	62339043
171592	575	1998-10-08	VYDAJ	PREVOD NA UCET	5329	21212	 	GH	62339043
171593	575	1998-11-08	VYDAJ	PREVOD NA UCET	5329	24327	 	GH	62339043
171594	575	1998-12-08	VYDAJ	PREVOD NA UCET	5329	30213	 	GH	62339043
171600	575	1994-12-30	VYDAJ	VYBER	1280	24393	\N	\N	\N
171601	575	1995-12-02	VYDAJ	VYBER	1120	21363	\N	\N	\N
171602	575	1996-12-08	VYDAJ	VYBER	3360	19566	\N	\N	\N
171604	575	1998-12-26	VYDAJ	VYBER	1440	28773	\N	\N	\N
171611	575	1995-01-29	VYDAJ	VYBER	2280	16020	\N	\N	\N
171612	575	1995-01-07	VYDAJ	VYBER	2400	27349	\N	\N	\N
171613	575	1995-01-30	VYDAJ	VYBER	3360	12660	\N	\N	\N
171614	575	1995-01-03	VYDAJ	VYBER	3120	21377	\N	\N	\N
171615	575	1995-01-23	VYDAJ	VYBER	600	18300	\N	\N	\N
171616	575	1995-01-19	VYDAJ	VYBER	1920	20100	\N	\N	\N
171617	575	1996-01-11	VYDAJ	VYBER	2040	24391	\N	\N	\N
171619	575	1996-01-23	VYDAJ	VYBER	3360	15451	\N	\N	\N
171620	575	1996-01-13	VYDAJ	VYBER	2760	21631	\N	\N	\N
171621	575	1996-01-02	VYDAJ	VYBER	2280	23388	\N	\N	\N
171622	575	1996-01-23	VYDAJ	VYBER	1320	18811	\N	\N	\N
171623	575	1997-01-03	VYDAJ	VYBER	960	17002	\N	\N	\N
171625	575	1997-01-05	VYDAJ	VYBER	2640	22770	\N	\N	\N
171626	575	1997-01-01	VYDAJ	VYBER	1680	17962	\N	\N	\N
171628	575	1997-01-04	VYDAJ	VYBER	720	16282	\N	\N	\N
171630	575	1998-01-04	VYDAJ	VYBER	3000	14055	\N	\N	\N
171632	575	1998-01-29	VYDAJ	VYBER	840	13738	\N	\N	\N
171633	575	1998-01-07	VYDAJ	VYBER	2520	19907	\N	\N	\N
171639	575	1994-12-03	VYDAJ	VYBER	1200	22966	\N	\N	\N
171640	575	1995-07-12	VYDAJ	VYBER	720	22280	\N	\N	\N
171641	575	1995-06-12	VYDAJ	VYBER	4800	23254	\N	\N	\N
171642	575	1995-03-12	VYDAJ	VYBER	4800	15572	\N	\N	\N
171643	575	1995-07-08	VYDAJ	VYBER	1680	28329	\N	\N	\N
171644	575	1995-04-13	VYDAJ	VYBER	1920	18655	\N	\N	\N
171645	575	1996-02-19	VYDAJ	VYBER	1200	14589	\N	\N	\N
171646	575	1996-02-15	VYDAJ	VYBER	4680	15789	\N	\N	\N
171648	575	1996-04-10	VYDAJ	VYBER	960	17124	\N	\N	\N
171650	575	1996-07-16	VYDAJ	VYBER	4320	17087	\N	\N	\N
171654	575	1997-07-31	VYDAJ	VYBER	3720	13705	\N	\N	\N
171656	575	1998-08-17	VYDAJ	VYBER	1320	16681	\N	\N	\N
171657	575	1998-11-14	VYDAJ	VYBER	1800	22527	\N	\N	\N
171658	575	1998-08-25	VYDAJ	VYBER	1680	15001	\N	\N	\N
171668	575	1994-09-30	VYDAJ	VYBER	15	28062	SLUZBY	\N	\N
171669	575	1994-10-31	VYDAJ	VYBER	15	28516	SLUZBY	\N	\N
171670	575	1994-11-30	VYDAJ	VYBER	15	24166	SLUZBY	\N	\N
171671	575	1994-12-31	VYDAJ	VYBER	15	24497	SLUZBY	\N	\N
171672	575	1995-01-31	VYDAJ	VYBER	15	12734	SLUZBY	\N	\N
171673	575	1995-02-28	VYDAJ	VYBER	15	17329	SLUZBY	\N	\N
171674	575	1995-03-31	VYDAJ	VYBER	15	17532	SLUZBY	\N	\N
171675	575	1995-04-30	VYDAJ	VYBER	15	21324	SLUZBY	\N	\N
171676	575	1995-05-31	VYDAJ	VYBER	15	20447	SLUZBY	\N	\N
171677	575	1995-06-30	VYDAJ	VYBER	15	21637	SLUZBY	\N	\N
171678	575	1995-07-31	VYDAJ	VYBER	15	23165	SLUZBY	\N	\N
171679	575	1995-08-31	VYDAJ	VYBER	15	22094	SLUZBY	\N	\N
171680	575	1995-09-30	VYDAJ	VYBER	15	21520	SLUZBY	\N	\N
171681	575	1995-10-31	VYDAJ	VYBER	15	24850	SLUZBY	\N	\N
171682	575	1995-11-30	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
171683	575	1995-12-31	VYDAJ	VYBER	15	25668	SLUZBY	\N	\N
171684	575	1996-01-31	VYDAJ	VYBER	15	15526	SLUZBY	\N	\N
171685	575	1996-02-29	VYDAJ	VYBER	15	14646	SLUZBY	\N	\N
171686	575	1996-03-31	VYDAJ	VYBER	15	15041	SLUZBY	\N	\N
171687	575	1996-04-30	VYDAJ	VYBER	15	16780	SLUZBY	\N	\N
171688	575	1996-05-31	VYDAJ	VYBER	15	15981	SLUZBY	\N	\N
171689	575	1996-06-30	VYDAJ	VYBER	15	22364	SLUZBY	\N	\N
171690	575	1996-07-31	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
171691	575	1996-08-31	VYDAJ	VYBER	15	15057	SLUZBY	\N	\N
171692	575	1996-09-30	VYDAJ	VYBER	15	12745	SLUZBY	\N	\N
171693	575	1996-10-31	VYDAJ	VYBER	15	12228	SLUZBY	\N	\N
171694	575	1996-11-30	VYDAJ	VYBER	15	15319	SLUZBY	\N	\N
171695	575	1996-12-31	VYDAJ	VYBER	15	19642	SLUZBY	\N	\N
171696	575	1997-01-31	VYDAJ	VYBER	15	11527	SLUZBY	\N	\N
171697	575	1997-02-28	VYDAJ	VYBER	15	14614	SLUZBY	\N	\N
171698	575	1997-03-31	VYDAJ	VYBER	15	12099	SLUZBY	\N	\N
171699	575	1997-04-30	VYDAJ	VYBER	15	15189	SLUZBY	\N	\N
171700	575	1997-05-31	VYDAJ	VYBER	15	12073	SLUZBY	\N	\N
171701	575	1997-06-30	VYDAJ	VYBER	15	14326	SLUZBY	\N	\N
171702	575	1997-07-31	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
171703	575	1997-08-31	VYDAJ	VYBER	15	16801	SLUZBY	\N	\N
171704	575	1997-09-30	VYDAJ	VYBER	15	9074	SLUZBY	\N	\N
171705	575	1997-10-31	VYDAJ	VYBER	15	6332	SLUZBY	\N	\N
171706	575	1997-11-30	VYDAJ	VYBER	15	9397	SLUZBY	\N	\N
171707	575	1997-12-31	VYDAJ	VYBER	15	17055	SLUZBY	\N	\N
171708	575	1998-01-31	VYDAJ	VYBER	15	13787	SLUZBY	\N	\N
171709	575	1998-02-28	VYDAJ	VYBER	15	16883	SLUZBY	\N	\N
171710	575	1998-03-31	VYDAJ	VYBER	15	19993	SLUZBY	\N	\N
171711	575	1998-04-30	VYDAJ	VYBER	15	23115	SLUZBY	\N	\N
171712	575	1998-05-31	VYDAJ	VYBER	15	26250	SLUZBY	\N	\N
171713	575	1998-06-30	VYDAJ	VYBER	15	33978	SLUZBY	\N	\N
171714	575	1998-07-31	VYDAJ	VYBER	15	37158	SLUZBY	\N	\N
171715	575	1998-08-31	VYDAJ	VYBER	15	15068	SLUZBY	\N	\N
171716	575	1998-09-30	VYDAJ	VYBER	15	18169	SLUZBY	\N	\N
171717	575	1998-10-31	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
171718	575	1998-11-30	VYDAJ	VYBER	15	22606	SLUZBY	\N	\N
171719	575	1994-05-26	PRIJEM	VKLAD	5300	14628	\N	\N	\N
171720	575	1994-06-25	VYDAJ	VYBER	900	27432	\N	\N	\N
171721	575	1994-07-25	VYDAJ	VYBER	6000	30631	\N	\N	\N
171722	575	1994-08-24	VYDAJ	VYBER	10400	29477	\N	\N	\N
171723	575	1994-09-23	VYDAJ	VYBER	4700	27946	\N	\N	\N
171724	575	1994-10-23	VYDAJ	VYBER	2700	28405	\N	\N	\N
171725	575	1994-11-22	VYDAJ	VYBER	7500	24059	\N	\N	\N
171726	575	1994-12-22	VYDAJ	VYBER	4900	25673	\N	\N	\N
171727	575	1995-01-21	VYDAJ	VYBER	1200	18900	\N	\N	\N
171728	575	1995-02-20	PRIJEM	VKLAD	1500	17277	\N	\N	\N
171729	575	1995-03-22	PRIJEM	VKLAD	1900	17472	\N	\N	\N
171730	575	1995-04-21	PRIJEM	VKLAD	2600	21255	\N	\N	\N
171731	575	1995-05-21	VYDAJ	VYBER	4000	20367	\N	\N	\N
171732	575	1995-06-20	VYDAJ	VYBER	1700	21554	\N	\N	\N
171733	575	1995-07-20	PRIJEM	VKLAD	800	23080	\N	\N	\N
171734	575	1995-08-19	VYDAJ	VYBER	4200	22008	\N	\N	\N
171735	575	1995-09-18	VYDAJ	VYBER	3700	21437	\N	\N	\N
171736	575	1995-10-18	PRIJEM	VKLAD	200	24763	\N	\N	\N
171737	575	1995-11-17	VYDAJ	VYBER	5500	22393	\N	\N	\N
171738	575	1995-12-17	VYDAJ	VYBER	3400	25570	\N	\N	\N
171739	575	1996-01-16	VYDAJ	VYBER	1500	20131	\N	\N	\N
171740	575	1996-02-15	PRIJEM	VKLAD	1900	20469	\N	\N	\N
171741	575	1996-03-16	VYDAJ	VYBER	2700	14989	\N	\N	\N
171742	575	1996-04-15	VYDAJ	VYBER	400	16724	\N	\N	\N
171743	575	1996-05-15	VYDAJ	VYBER	3900	15923	\N	\N	\N
171744	575	1996-06-14	VYDAJ	VYBER	1300	22288	\N	\N	\N
171745	575	1996-07-14	VYDAJ	VYBER	4000	21407	\N	\N	\N
171746	575	1996-08-13	VYDAJ	VYBER	5200	15001	\N	\N	\N
171747	575	1996-09-12	VYDAJ	VYBER	5400	12700	\N	\N	\N
171748	575	1996-10-12	VYDAJ	VYBER	3600	12188	\N	\N	\N
171749	575	1997-01-10	VYDAJ	VYBER	5200	11485	\N	\N	\N
171750	575	1997-03-11	VYDAJ	VYBER	5600	12057	\N	\N	\N
171751	575	1997-05-10	VYDAJ	VYBER	6200	12032	\N	\N	\N
171752	575	1997-06-09	VYDAJ	VYBER	5400	14280	\N	\N	\N
171753	575	1997-09-07	VYDAJ	VYBER	10800	14373	\N	\N	\N
171754	575	1997-10-07	VYDAJ	VYBER	5800	11646	\N	\N	\N
171755	575	1998-08-03	VYDAJ	VYBER	22200	14958	\N	\N	\N
171812	576	1993-01-01	PRIJEM	VKLAD	900	900	\N	\N	\N
171813	576	1993-01-11	PRIJEM	PREVOD Z UCTU	6207	7107	DUCHOD	YZ	30300313
171814	576	1993-02-11	PRIJEM	PREVOD Z UCTU	6207	13334	DUCHOD	YZ	30300313
171815	576	1993-03-11	PRIJEM	PREVOD Z UCTU	6207	19571	DUCHOD	YZ	30300313
171816	576	1993-04-11	PRIJEM	PREVOD Z UCTU	6207	25807	DUCHOD	YZ	30300313
171817	576	1993-05-11	PRIJEM	PREVOD Z UCTU	6207	29244	DUCHOD	YZ	30300313
171818	576	1993-06-11	PRIJEM	PREVOD Z UCTU	6207	30557	DUCHOD	YZ	30300313
171819	576	1993-07-11	PRIJEM	PREVOD Z UCTU	6207	21540	DUCHOD	YZ	30300313
171820	576	1993-08-11	PRIJEM	PREVOD Z UCTU	6207	20213	DUCHOD	YZ	30300313
171821	576	1993-09-11	PRIJEM	PREVOD Z UCTU	6207	22808	DUCHOD	YZ	30300313
171822	576	1993-10-11	PRIJEM	PREVOD Z UCTU	6207	23492	DUCHOD	YZ	30300313
171823	576	1993-11-11	PRIJEM	PREVOD Z UCTU	6207	26101	DUCHOD	YZ	30300313
171824	576	1993-12-11	PRIJEM	PREVOD Z UCTU	6207	28720	DUCHOD	YZ	30300313
171825	576	1994-01-11	PRIJEM	PREVOD Z UCTU	6207	28090	DUCHOD	YZ	30300313
171826	576	1994-02-11	PRIJEM	PREVOD Z UCTU	6207	19568	DUCHOD	YZ	30300313
171827	576	1994-03-11	PRIJEM	PREVOD Z UCTU	6207	22160	DUCHOD	YZ	30300313
171828	576	1994-04-11	PRIJEM	PREVOD Z UCTU	6207	24763	DUCHOD	YZ	30300313
171829	576	1994-05-11	PRIJEM	PREVOD Z UCTU	6207	27377	DUCHOD	YZ	30300313
171830	576	1994-06-11	PRIJEM	PREVOD Z UCTU	6207	30002	DUCHOD	YZ	30300313
171831	576	1994-07-11	PRIJEM	PREVOD Z UCTU	6207	20126	DUCHOD	YZ	30300313
171832	576	1994-08-11	PRIJEM	PREVOD Z UCTU	6207	22721	DUCHOD	YZ	30300313
171833	576	1994-09-11	PRIJEM	PREVOD Z UCTU	6207	22286	DUCHOD	YZ	30300313
171834	576	1994-10-11	PRIJEM	PREVOD Z UCTU	6207	24896	DUCHOD	YZ	30300313
171835	576	1994-11-11	PRIJEM	PREVOD Z UCTU	6207	23588	DUCHOD	YZ	30300313
171836	576	1994-12-11	PRIJEM	PREVOD Z UCTU	6207	24272	DUCHOD	YZ	30300313
171837	576	1995-01-11	PRIJEM	PREVOD Z UCTU	6207	22282	DUCHOD	YZ	30300313
171838	576	1995-02-11	PRIJEM	PREVOD Z UCTU	6207	19957	DUCHOD	YZ	30300313
171839	576	1995-03-11	PRIJEM	PREVOD Z UCTU	6207	22550	DUCHOD	YZ	30300313
171840	576	1995-04-11	PRIJEM	PREVOD Z UCTU	6207	24035	DUCHOD	YZ	30300313
171841	576	1995-05-11	PRIJEM	PREVOD Z UCTU	6207	25366	DUCHOD	YZ	30300313
171842	576	1995-06-11	PRIJEM	PREVOD Z UCTU	6207	27982	DUCHOD	YZ	30300313
171843	576	1995-07-11	PRIJEM	PREVOD Z UCTU	6207	24148	DUCHOD	YZ	30300313
171844	576	1995-08-11	PRIJEM	PREVOD Z UCTU	6207	26762	DUCHOD	YZ	30300313
171845	576	1995-09-11	PRIJEM	PREVOD Z UCTU	6207	29384	DUCHOD	YZ	30300313
171846	576	1995-10-11	PRIJEM	PREVOD Z UCTU	6207	32017	DUCHOD	YZ	30300313
171847	576	1995-11-11	PRIJEM	PREVOD Z UCTU	6207	34661	DUCHOD	YZ	30300313
171848	576	1995-12-11	PRIJEM	PREVOD Z UCTU	6207	37315	DUCHOD	YZ	30300313
171849	576	1996-01-11	PRIJEM	PREVOD Z UCTU	6207	36310	DUCHOD	YZ	30300313
171850	576	1996-02-11	PRIJEM	PREVOD Z UCTU	6207	31184	DUCHOD	YZ	30300313
171851	576	1996-03-11	PRIJEM	PREVOD Z UCTU	6207	33824	DUCHOD	YZ	30300313
171852	576	1996-04-11	PRIJEM	PREVOD Z UCTU	6207	36475	DUCHOD	YZ	30300313
171853	576	1996-05-11	PRIJEM	PREVOD Z UCTU	6207	39137	DUCHOD	YZ	30300313
171854	576	1996-06-11	PRIJEM	PREVOD Z UCTU	6207	34261	DUCHOD	YZ	30300313
171855	576	1996-07-11	PRIJEM	PREVOD Z UCTU	6207	35486	DUCHOD	YZ	30300313
171856	576	1996-08-11	PRIJEM	PREVOD Z UCTU	6207	36947	DUCHOD	YZ	30300313
171857	576	1996-09-11	PRIJEM	PREVOD Z UCTU	6207	39614	DUCHOD	YZ	30300313
171858	576	1996-10-11	PRIJEM	PREVOD Z UCTU	6207	39683	DUCHOD	YZ	30300313
171859	576	1996-11-11	PRIJEM	PREVOD Z UCTU	6207	40095	DUCHOD	YZ	30300313
171860	576	1996-12-11	PRIJEM	PREVOD Z UCTU	6207	42772	DUCHOD	YZ	30300313
171861	576	1997-01-11	PRIJEM	PREVOD Z UCTU	6207	37039	DUCHOD	YZ	30300313
171862	576	1997-02-11	PRIJEM	PREVOD Z UCTU	6207	36667	DUCHOD	YZ	30300313
171863	576	1997-03-11	PRIJEM	PREVOD Z UCTU	6207	39329	DUCHOD	YZ	30300313
171864	576	1997-04-11	PRIJEM	PREVOD Z UCTU	6207	38996	DUCHOD	YZ	30300313
171865	576	1997-05-11	PRIJEM	PREVOD Z UCTU	6207	40070	DUCHOD	YZ	30300313
171866	576	1997-06-11	PRIJEM	PREVOD Z UCTU	6207	41950	DUCHOD	YZ	30300313
171867	576	1997-07-11	PRIJEM	PREVOD Z UCTU	6207	37892	DUCHOD	YZ	30300313
171868	576	1997-08-11	PRIJEM	PREVOD Z UCTU	6207	40565	DUCHOD	YZ	30300313
171869	576	1997-09-11	PRIJEM	PREVOD Z UCTU	6207	41479	DUCHOD	YZ	30300313
171870	576	1997-10-11	PRIJEM	PREVOD Z UCTU	6207	44161	DUCHOD	YZ	30300313
171871	576	1997-11-11	PRIJEM	PREVOD Z UCTU	6207	44854	DUCHOD	YZ	30300313
171872	576	1997-12-11	PRIJEM	PREVOD Z UCTU	6207	43634	DUCHOD	YZ	30300313
171873	576	1998-01-11	PRIJEM	PREVOD Z UCTU	6207	33010	DUCHOD	YZ	30300313
171874	576	1998-02-11	PRIJEM	PREVOD Z UCTU	6207	33662	DUCHOD	YZ	30300313
171875	576	1998-03-11	PRIJEM	PREVOD Z UCTU	6207	36311	DUCHOD	YZ	30300313
171876	576	1998-04-11	PRIJEM	PREVOD Z UCTU	6207	38970	DUCHOD	YZ	30300313
171877	576	1998-05-11	PRIJEM	PREVOD Z UCTU	6207	40841	DUCHOD	YZ	30300313
171878	576	1998-06-11	PRIJEM	PREVOD Z UCTU	6207	40019	DUCHOD	YZ	30300313
171879	576	1998-07-11	PRIJEM	PREVOD Z UCTU	6207	33334	DUCHOD	YZ	30300313
171880	576	1998-08-11	PRIJEM	PREVOD Z UCTU	6207	35981	DUCHOD	YZ	30300313
171881	576	1998-09-11	PRIJEM	PREVOD Z UCTU	6207	35274	DUCHOD	YZ	30300313
171882	576	1998-10-11	PRIJEM	PREVOD Z UCTU	6207	37928	DUCHOD	YZ	30300313
171883	576	1998-11-11	PRIJEM	PREVOD Z UCTU	6207	38094	DUCHOD	YZ	30300313
171884	576	1998-12-11	PRIJEM	PREVOD Z UCTU	6207	40466	DUCHOD	YZ	30300313
171889	576	1993-05-13	VYDAJ	PREVOD NA UCET	3662	25582	SIPO	OP	71033382
171890	576	1993-06-13	VYDAJ	PREVOD NA UCET	3662	26895	SIPO	OP	71033382
171891	576	1993-07-13	VYDAJ	PREVOD NA UCET	3662	17878	SIPO	OP	71033382
171892	576	1993-08-13	VYDAJ	PREVOD NA UCET	3662	16551	SIPO	OP	71033382
171893	576	1993-09-13	VYDAJ	PREVOD NA UCET	3662	19146	SIPO	OP	71033382
171894	576	1993-10-13	VYDAJ	PREVOD NA UCET	3662	19830	SIPO	OP	71033382
171895	576	1993-11-13	VYDAJ	PREVOD NA UCET	3662	22439	SIPO	OP	71033382
171896	576	1993-12-13	VYDAJ	PREVOD NA UCET	3662	25058	SIPO	OP	71033382
171897	576	1994-01-13	VYDAJ	PREVOD NA UCET	3662	19058	SIPO	OP	71033382
171898	576	1994-02-13	VYDAJ	PREVOD NA UCET	3662	15906	SIPO	OP	71033382
171899	576	1994-03-13	VYDAJ	PREVOD NA UCET	3662	18498	SIPO	OP	71033382
171900	576	1994-04-13	VYDAJ	PREVOD NA UCET	3662	21101	SIPO	OP	71033382
171901	576	1994-05-13	VYDAJ	PREVOD NA UCET	3662	23715	SIPO	OP	71033382
171902	576	1994-06-13	VYDAJ	PREVOD NA UCET	3662	26340	SIPO	OP	71033382
171903	576	1994-07-13	VYDAJ	PREVOD NA UCET	3662	16464	SIPO	OP	71033382
171904	576	1994-08-13	VYDAJ	PREVOD NA UCET	3662	19059	SIPO	OP	71033382
171905	576	1994-09-13	VYDAJ	PREVOD NA UCET	3662	18624	SIPO	OP	71033382
171906	576	1994-10-13	VYDAJ	PREVOD NA UCET	3662	21234	SIPO	OP	71033382
171907	576	1994-11-13	VYDAJ	PREVOD NA UCET	3662	18006	SIPO	OP	71033382
171908	576	1994-12-13	VYDAJ	PREVOD NA UCET	3662	20610	SIPO	OP	71033382
171909	576	1995-01-13	VYDAJ	PREVOD NA UCET	3662	14420	SIPO	OP	71033382
171910	576	1995-02-13	VYDAJ	PREVOD NA UCET	3662	16295	SIPO	OP	71033382
171911	576	1995-03-13	VYDAJ	PREVOD NA UCET	3662	18888	SIPO	OP	71033382
171912	576	1995-04-13	VYDAJ	PREVOD NA UCET	3662	20373	SIPO	OP	71033382
171913	576	1995-05-13	VYDAJ	PREVOD NA UCET	3662	21704	SIPO	OP	71033382
171914	576	1995-06-13	VYDAJ	PREVOD NA UCET	3662	20270	SIPO	OP	71033382
171915	576	1995-07-13	VYDAJ	PREVOD NA UCET	3662	20486	SIPO	OP	71033382
171916	576	1995-08-13	VYDAJ	PREVOD NA UCET	3662	23100	SIPO	OP	71033382
171917	576	1995-09-13	VYDAJ	PREVOD NA UCET	3662	25722	SIPO	OP	71033382
171918	576	1995-10-13	VYDAJ	PREVOD NA UCET	3662	28355	SIPO	OP	71033382
171919	576	1995-11-13	VYDAJ	PREVOD NA UCET	3662	30999	SIPO	OP	71033382
171920	576	1995-12-13	VYDAJ	PREVOD NA UCET	3662	33653	SIPO	OP	71033382
171921	576	1996-01-13	VYDAJ	PREVOD NA UCET	3662	32648	SIPO	OP	71033382
171922	576	1996-02-13	VYDAJ	PREVOD NA UCET	3662	27522	SIPO	OP	71033382
171923	576	1996-03-13	VYDAJ	PREVOD NA UCET	3662	30162	SIPO	OP	71033382
171924	576	1996-04-13	VYDAJ	PREVOD NA UCET	3662	32813	SIPO	OP	71033382
171925	576	1996-05-13	VYDAJ	PREVOD NA UCET	3662	35475	SIPO	OP	71033382
171926	576	1996-06-13	VYDAJ	PREVOD NA UCET	3662	30599	SIPO	OP	71033382
171927	576	1996-07-13	VYDAJ	PREVOD NA UCET	3662	31824	SIPO	OP	71033382
171928	576	1996-08-13	VYDAJ	PREVOD NA UCET	3662	33285	SIPO	OP	71033382
171929	576	1996-09-13	VYDAJ	PREVOD NA UCET	3662	33352	SIPO	OP	71033382
171930	576	1996-10-13	VYDAJ	PREVOD NA UCET	3662	35521	SIPO	OP	71033382
171931	576	1996-11-13	VYDAJ	PREVOD NA UCET	3662	36433	SIPO	OP	71033382
171932	576	1996-12-13	VYDAJ	PREVOD NA UCET	3662	39110	SIPO	OP	71033382
171933	576	1997-01-13	VYDAJ	PREVOD NA UCET	3662	32897	SIPO	OP	71033382
171934	576	1997-02-13	VYDAJ	PREVOD NA UCET	3662	33005	SIPO	OP	71033382
171935	576	1997-03-13	VYDAJ	PREVOD NA UCET	3662	32967	SIPO	OP	71033382
171936	576	1997-04-13	VYDAJ	PREVOD NA UCET	3662	35334	SIPO	OP	71033382
171937	576	1997-05-13	VYDAJ	PREVOD NA UCET	3662	36408	SIPO	OP	71033382
171938	576	1997-06-13	VYDAJ	PREVOD NA UCET	3662	38288	SIPO	OP	71033382
171939	576	1997-07-13	VYDAJ	PREVOD NA UCET	3662	34230	SIPO	OP	71033382
171940	576	1997-08-13	VYDAJ	PREVOD NA UCET	3662	36903	SIPO	OP	71033382
171941	576	1997-09-13	VYDAJ	PREVOD NA UCET	3662	37817	SIPO	OP	71033382
171942	576	1997-10-13	VYDAJ	PREVOD NA UCET	3662	40499	SIPO	OP	71033382
171943	576	1997-11-13	VYDAJ	PREVOD NA UCET	3662	41192	SIPO	OP	71033382
171944	576	1997-12-13	VYDAJ	PREVOD NA UCET	3662	39972	SIPO	OP	71033382
171945	576	1998-01-13	VYDAJ	PREVOD NA UCET	3662	29348	SIPO	OP	71033382
171946	576	1998-02-13	VYDAJ	PREVOD NA UCET	3662	30000	SIPO	OP	71033382
171947	576	1998-03-13	VYDAJ	PREVOD NA UCET	3662	32649	SIPO	OP	71033382
171948	576	1998-04-13	VYDAJ	PREVOD NA UCET	3662	35308	SIPO	OP	71033382
171949	576	1998-05-13	VYDAJ	PREVOD NA UCET	3662	37179	SIPO	OP	71033382
171950	576	1998-06-13	VYDAJ	PREVOD NA UCET	3662	36357	SIPO	OP	71033382
171951	576	1998-07-13	VYDAJ	PREVOD NA UCET	3662	29672	SIPO	OP	71033382
171952	576	1998-08-13	VYDAJ	PREVOD NA UCET	3662	32319	SIPO	OP	71033382
171953	576	1998-09-13	VYDAJ	PREVOD NA UCET	3662	31612	SIPO	OP	71033382
171954	576	1998-10-13	VYDAJ	PREVOD NA UCET	3662	34266	SIPO	OP	71033382
171955	576	1998-11-13	VYDAJ	PREVOD NA UCET	3662	34432	SIPO	OP	71033382
171956	576	1998-12-13	VYDAJ	PREVOD NA UCET	3662	36804	SIPO	OP	71033382
171957	576	1993-06-28	VYDAJ	VYBER	11650	15245	\N	\N	\N
171958	576	1994-06-24	VYDAJ	VYBER	12500	13840	\N	\N	\N
171959	576	1995-06-12	VYDAJ	VYBER	4050	23932	\N	\N	\N
171960	576	1996-06-07	VYDAJ	VYBER	7550	28054	\N	\N	\N
171961	576	1997-06-28	VYDAJ	VYBER	3700	34588	\N	\N	\N
171962	576	1998-06-20	VYDAJ	VYBER	9350	27007	\N	\N	\N
171964	576	1994-01-11	VYDAJ	VYBER	3050	25040	\N	\N	\N
171965	576	1995-01-11	VYDAJ	VYBER	4200	18082	\N	\N	\N
171966	576	1996-01-21	VYDAJ	VYBER	3700	27188	\N	\N	\N
171967	576	1997-01-05	VYDAJ	VYBER	3750	33632	\N	\N	\N
171968	576	1998-01-04	VYDAJ	VYBER	4900	32963	\N	\N	\N
171969	576	1993-12-28	VYDAJ	VYBER	1200	23558	\N	\N	\N
171970	576	1994-12-26	VYDAJ	VYBER	600	18090	\N	\N	\N
171971	576	1995-12-27	VYDAJ	VYBER	950	32703	\N	\N	\N
171972	576	1996-12-18	VYDAJ	VYBER	750	38360	\N	\N	\N
171973	576	1997-12-16	VYDAJ	VYBER	500	39472	\N	\N	\N
171974	576	1998-12-29	VYDAJ	VYBER	1400	35404	\N	\N	\N
171982	576	1994-01-22	VYDAJ	VYBER	400	15298	\N	\N	\N
171983	576	1994-01-11	VYDAJ	VYBER	2320	22720	\N	\N	\N
171984	576	1994-01-26	VYDAJ	VYBER	2000	13298	\N	\N	\N
171985	576	1994-01-01	VYDAJ	VYBER	720	22923	\N	\N	\N
171986	576	1994-01-04	VYDAJ	VYBER	1040	21883	\N	\N	\N
171987	576	1995-01-24	VYDAJ	VYBER	720	13700	\N	\N	\N
171991	576	1995-01-05	VYDAJ	VYBER	880	16075	\N	\N	\N
171992	576	1995-01-05	VYDAJ	VYBER	1200	16955	\N	\N	\N
171993	576	1996-01-06	VYDAJ	VYBER	480	30103	\N	\N	\N
171994	576	1996-01-13	VYDAJ	VYBER	1120	31528	\N	\N	\N
171995	576	1996-01-24	VYDAJ	VYBER	880	26308	\N	\N	\N
171996	576	1996-01-16	VYDAJ	VYBER	640	30888	\N	\N	\N
171997	576	1996-01-03	VYDAJ	VYBER	2240	30583	\N	\N	\N
171998	576	1996-01-29	VYDAJ	VYBER	1440	24868	\N	\N	\N
171999	576	1997-01-13	VYDAJ	VYBER	480	36559	\N	\N	\N
172000	576	1997-01-01	VYDAJ	VYBER	1120	37382	\N	\N	\N
172001	576	1997-01-22	VYDAJ	VYBER	1360	31057	\N	\N	\N
172002	576	1997-01-27	VYDAJ	VYBER	720	30337	\N	\N	\N
172003	576	1997-01-18	VYDAJ	VYBER	480	32417	\N	\N	\N
172004	576	1997-01-10	VYDAJ	VYBER	400	30832	\N	\N	\N
172005	576	1998-01-06	VYDAJ	VYBER	720	32243	\N	\N	\N
172006	576	1998-01-09	VYDAJ	VYBER	1280	29363	\N	\N	\N
172007	576	1998-01-02	VYDAJ	VYBER	1280	38343	\N	\N	\N
172008	576	1998-01-03	VYDAJ	VYBER	480	37863	\N	\N	\N
172009	576	1998-01-07	VYDAJ	VYBER	1600	30643	\N	\N	\N
172010	576	1998-01-15	VYDAJ	VYBER	2000	27348	\N	\N	\N
172012	576	1993-09-24	VYDAJ	VYBER	1920	17226	\N	\N	\N
172014	576	1993-07-16	VYDAJ	VYBER	3920	13958	\N	\N	\N
172015	576	1994-10-27	VYDAJ	VYBER	3920	17314	\N	\N	\N
172016	576	1994-12-24	VYDAJ	VYBER	1920	18690	\N	\N	\N
172017	576	1994-01-17	VYDAJ	VYBER	3360	15698	\N	\N	\N
172018	576	1994-11-12	VYDAJ	VYBER	1920	21668	\N	\N	\N
172019	576	1994-09-04	VYDAJ	VYBER	3040	16079	\N	\N	\N
172020	576	1995-04-02	VYDAJ	VYBER	1120	17828	\N	\N	\N
172021	576	1995-07-10	VYDAJ	VYBER	800	17941	\N	\N	\N
172022	576	1995-06-25	VYDAJ	VYBER	1600	18670	\N	\N	\N
172023	576	1995-04-15	VYDAJ	VYBER	1280	19093	\N	\N	\N
172025	576	1996-08-07	VYDAJ	VYBER	1200	30740	\N	\N	\N
172026	576	1996-10-22	VYDAJ	VYBER	1760	33761	\N	\N	\N
172027	576	1996-07-01	VYDAJ	VYBER	1440	29279	\N	\N	\N
172028	576	1997-05-24	VYDAJ	VYBER	800	35608	\N	\N	\N
172029	576	1997-07-08	VYDAJ	VYBER	3040	31685	\N	\N	\N
172030	576	1997-08-16	VYDAJ	VYBER	1760	35143	\N	\N	\N
172031	576	1997-01-06	VYDAJ	VYBER	2400	31232	\N	\N	\N
172032	576	1997-12-09	VYDAJ	VYBER	3920	37427	\N	\N	\N
172033	576	1998-08-22	VYDAJ	VYBER	3360	28959	\N	\N	\N
172034	576	1998-05-22	VYDAJ	VYBER	2000	35179	\N	\N	\N
172035	576	1998-01-10	VYDAJ	VYBER	2560	26803	\N	\N	\N
172041	576	1993-05-31	VYDAJ	VYBER	15	25650	SLUZBY	\N	\N
172042	576	1993-06-30	VYDAJ	VYBER	15	15333	SLUZBY	\N	\N
172043	576	1993-07-31	VYDAJ	VYBER	15	14006	SLUZBY	\N	\N
172044	576	1993-08-31	VYDAJ	VYBER	15	16601	SLUZBY	\N	\N
172045	576	1993-09-30	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
172046	576	1993-10-31	VYDAJ	VYBER	15	19894	SLUZBY	\N	\N
172047	576	1993-11-30	VYDAJ	VYBER	15	22513	SLUZBY	\N	\N
172048	576	1993-12-31	VYDAJ	VYBER	15	23643	SLUZBY	\N	\N
172049	576	1994-01-31	VYDAJ	VYBER	15	13361	SLUZBY	\N	\N
172050	576	1994-02-28	VYDAJ	VYBER	15	15953	SLUZBY	\N	\N
172051	576	1994-03-31	VYDAJ	VYBER	15	18556	SLUZBY	\N	\N
172052	576	1994-04-30	VYDAJ	VYBER	15	21170	SLUZBY	\N	\N
172053	576	1994-05-31	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
172054	576	1994-06-30	VYDAJ	VYBER	15	13919	SLUZBY	\N	\N
172055	576	1994-07-31	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
172056	576	1994-08-31	VYDAJ	VYBER	15	19119	SLUZBY	\N	\N
172057	576	1994-09-30	VYDAJ	VYBER	15	18689	SLUZBY	\N	\N
172058	576	1994-10-31	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
172059	576	1994-11-30	VYDAJ	VYBER	15	18065	SLUZBY	\N	\N
172060	576	1994-12-31	VYDAJ	VYBER	15	18155	SLUZBY	\N	\N
172061	576	1995-01-31	VYDAJ	VYBER	15	13750	SLUZBY	\N	\N
172062	576	1995-02-28	VYDAJ	VYBER	15	16343	SLUZBY	\N	\N
172063	576	1995-03-31	VYDAJ	VYBER	15	18948	SLUZBY	\N	\N
172064	576	1995-04-30	VYDAJ	VYBER	15	19159	SLUZBY	\N	\N
172065	576	1995-05-31	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
172066	576	1995-06-30	VYDAJ	VYBER	15	18741	SLUZBY	\N	\N
172067	576	1995-07-31	VYDAJ	VYBER	15	20555	SLUZBY	\N	\N
172068	576	1995-08-31	VYDAJ	VYBER	15	23177	SLUZBY	\N	\N
172069	576	1995-09-30	VYDAJ	VYBER	15	25810	SLUZBY	\N	\N
172070	576	1995-10-31	VYDAJ	VYBER	15	28454	SLUZBY	\N	\N
172071	576	1995-11-30	VYDAJ	VYBER	15	31108	SLUZBY	\N	\N
172072	576	1995-12-31	VYDAJ	VYBER	15	32823	SLUZBY	\N	\N
172073	576	1996-01-31	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
172074	576	1996-02-29	VYDAJ	VYBER	15	27617	SLUZBY	\N	\N
172075	576	1996-03-31	VYDAJ	VYBER	15	30268	SLUZBY	\N	\N
172076	576	1996-04-30	VYDAJ	VYBER	15	32930	SLUZBY	\N	\N
172077	576	1996-05-31	VYDAJ	VYBER	15	35604	SLUZBY	\N	\N
172078	576	1996-06-30	VYDAJ	VYBER	15	30719	SLUZBY	\N	\N
172079	576	1996-07-31	VYDAJ	VYBER	15	31940	SLUZBY	\N	\N
172080	576	1996-08-31	VYDAJ	VYBER	15	33407	SLUZBY	\N	\N
172081	576	1996-09-30	VYDAJ	VYBER	15	33476	SLUZBY	\N	\N
172082	576	1996-10-31	VYDAJ	VYBER	15	33888	SLUZBY	\N	\N
172083	576	1996-11-30	VYDAJ	VYBER	15	36565	SLUZBY	\N	\N
172084	576	1996-12-31	VYDAJ	VYBER	15	38502	SLUZBY	\N	\N
172085	576	1997-01-31	VYDAJ	VYBER	15	30460	SLUZBY	\N	\N
172086	576	1997-02-28	VYDAJ	VYBER	15	33122	SLUZBY	\N	\N
172087	576	1997-03-31	VYDAJ	VYBER	15	33089	SLUZBY	\N	\N
172088	576	1997-04-30	VYDAJ	VYBER	15	35463	SLUZBY	\N	\N
172089	576	1997-05-31	VYDAJ	VYBER	15	35743	SLUZBY	\N	\N
172090	576	1997-06-30	VYDAJ	VYBER	15	34725	SLUZBY	\N	\N
172091	576	1997-07-31	VYDAJ	VYBER	15	34358	SLUZBY	\N	\N
172092	576	1997-08-31	VYDAJ	VYBER	15	35272	SLUZBY	\N	\N
172093	576	1997-09-30	VYDAJ	VYBER	15	37954	SLUZBY	\N	\N
172094	576	1997-10-31	VYDAJ	VYBER	15	40647	SLUZBY	\N	\N
172095	576	1997-11-30	VYDAJ	VYBER	15	41347	SLUZBY	\N	\N
172096	576	1997-12-31	VYDAJ	VYBER	15	39623	SLUZBY	\N	\N
172097	576	1998-01-31	VYDAJ	VYBER	15	27455	SLUZBY	\N	\N
172098	576	1998-02-28	VYDAJ	VYBER	15	30104	SLUZBY	\N	\N
172099	576	1998-03-31	VYDAJ	VYBER	15	32763	SLUZBY	\N	\N
172100	576	1998-04-30	VYDAJ	VYBER	15	35434	SLUZBY	\N	\N
172101	576	1998-05-31	VYDAJ	VYBER	15	35312	SLUZBY	\N	\N
172102	576	1998-06-30	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
172103	576	1998-07-31	VYDAJ	VYBER	15	29774	SLUZBY	\N	\N
172104	576	1998-08-31	VYDAJ	VYBER	15	29067	SLUZBY	\N	\N
172105	576	1998-09-30	VYDAJ	VYBER	15	31721	SLUZBY	\N	\N
172106	576	1998-10-31	VYDAJ	VYBER	15	34387	SLUZBY	\N	\N
172107	576	1998-11-30	VYDAJ	VYBER	15	34559	SLUZBY	\N	\N
172108	576	1993-05-01	VYDAJ	VYBER	2800	23037	\N	\N	\N
172109	576	1993-05-31	VYDAJ	VYBER	1300	24350	\N	\N	\N
172110	576	1993-12-27	VYDAJ	VYBER	300	24758	\N	\N	\N
172111	576	1996-09-12	VYDAJ	VYBER	2600	37014	\N	\N	\N
172112	576	1996-10-12	VYDAJ	VYBER	500	39183	\N	\N	\N
172113	576	1997-03-11	VYDAJ	VYBER	2700	36629	\N	\N	\N
172114	576	1997-04-10	VYDAJ	VYBER	300	32789	\N	\N	\N
172115	576	1997-05-10	VYDAJ	VYBER	1600	33863	\N	\N	\N
172116	576	1997-11-06	VYDAJ	VYBER	2000	38647	\N	\N	\N
172117	576	1998-05-05	VYDAJ	VYBER	800	34634	\N	\N	\N
172118	576	1998-06-04	VYDAJ	VYBER	1500	33812	\N	\N	\N
172119	576	1998-11-01	VYDAJ	VYBER	2500	31887	\N	\N	\N
172120	576	1998-12-01	VYDAJ	VYBER	300	34259	\N	\N	\N
172193	577	1994-09-20	PRIJEM	VKLAD	400	400	\N	\N	\N
172203	577	1994-10-05	PRIJEM	VKLAD	11771	12171	\N	\N	\N
172204	577	1994-11-05	PRIJEM	VKLAD	11771	30773	\N	\N	\N
172205	577	1994-12-05	PRIJEM	VKLAD	17656	47626	\N	\N	\N
172206	577	1995-01-05	PRIJEM	VKLAD	11771	49835	\N	\N	\N
172207	577	1995-02-05	PRIJEM	VKLAD	11771	48762	\N	\N	\N
172208	577	1995-03-05	PRIJEM	VKLAD	11771	46157	\N	\N	\N
172209	577	1995-04-05	PRIJEM	VKLAD	11771	42640	\N	\N	\N
172210	577	1995-05-05	PRIJEM	VKLAD	11771	43315	\N	\N	\N
172211	577	1995-06-05	PRIJEM	VKLAD	17656	50679	\N	\N	\N
172212	577	1995-07-05	PRIJEM	VKLAD	11771	42747	\N	\N	\N
172213	577	1995-08-05	PRIJEM	VKLAD	11771	44783	\N	\N	\N
172214	577	1995-09-05	PRIJEM	VKLAD	11771	44020	\N	\N	\N
172215	577	1995-10-05	PRIJEM	VKLAD	11771	38051	\N	\N	\N
172216	577	1995-11-05	PRIJEM	VKLAD	11771	38704	\N	\N	\N
172217	577	1995-12-05	PRIJEM	VKLAD	17656	45327	\N	\N	\N
172218	577	1996-01-05	PRIJEM	VKLAD	11771	35956	\N	\N	\N
172219	577	1996-02-05	PRIJEM	VKLAD	11771	26978	\N	\N	\N
172220	577	1996-03-05	PRIJEM	VKLAD	11771	29368	\N	\N	\N
172221	577	1996-04-05	PRIJEM	VKLAD	11771	29462	\N	\N	\N
172222	577	1996-05-05	PRIJEM	VKLAD	11771	33385	\N	\N	\N
172223	577	1996-06-05	PRIJEM	VKLAD	17656	39706	\N	\N	\N
172224	577	1996-07-05	PRIJEM	VKLAD	11771	38752	\N	\N	\N
172225	577	1996-08-05	PRIJEM	VKLAD	11771	36798	\N	\N	\N
172226	577	1996-09-05	PRIJEM	VKLAD	11771	38845	\N	\N	\N
172227	577	1996-10-05	PRIJEM	VKLAD	11771	34697	\N	\N	\N
172228	577	1996-11-05	PRIJEM	VKLAD	11771	35438	\N	\N	\N
172229	577	1996-12-05	PRIJEM	VKLAD	17656	38643	\N	\N	\N
172230	577	1997-01-05	PRIJEM	VKLAD	11771	26400	\N	\N	\N
172231	577	1997-02-05	PRIJEM	VKLAD	11771	26549	\N	\N	\N
172232	577	1997-03-05	PRIJEM	VKLAD	11771	34117	\N	\N	\N
172233	577	1997-04-05	PRIJEM	VKLAD	11771	42092	\N	\N	\N
172234	577	1997-05-05	PRIJEM	VKLAD	11771	35529	\N	\N	\N
172235	577	1997-06-05	PRIJEM	VKLAD	17656	47168	\N	\N	\N
172236	577	1997-07-05	PRIJEM	VKLAD	11771	45709	\N	\N	\N
172237	577	1997-08-05	PRIJEM	VKLAD	11771	50183	\N	\N	\N
172238	577	1997-09-05	PRIJEM	VKLAD	11771	50493	\N	\N	\N
172239	577	1997-10-05	PRIJEM	VKLAD	11771	55518	\N	\N	\N
172240	577	1997-11-05	PRIJEM	VKLAD	11771	56962	\N	\N	\N
172241	577	1997-12-05	PRIJEM	VKLAD	17656	58860	\N	\N	\N
172242	577	1998-01-05	PRIJEM	VKLAD	11771	59778	\N	\N	\N
172243	577	1998-02-05	PRIJEM	VKLAD	11771	58231	\N	\N	\N
172244	577	1998-03-05	PRIJEM	VKLAD	11771	61685	\N	\N	\N
172245	577	1998-04-05	PRIJEM	VKLAD	11771	62663	\N	\N	\N
172246	577	1998-05-05	PRIJEM	VKLAD	11771	64304	\N	\N	\N
172247	577	1998-06-05	PRIJEM	VKLAD	17656	77269	\N	\N	\N
172248	577	1998-07-05	PRIJEM	VKLAD	11771	78799	\N	\N	\N
172249	577	1998-08-05	PRIJEM	VKLAD	11771	76540	\N	\N	\N
172250	577	1998-09-05	PRIJEM	VKLAD	11771	76244	\N	\N	\N
172251	577	1998-10-05	PRIJEM	VKLAD	11771	76134	\N	\N	\N
172252	577	1998-11-05	PRIJEM	VKLAD	11771	80357	\N	\N	\N
172253	577	1998-12-05	PRIJEM	VKLAD	17656	88795	\N	\N	\N
172267	577	1995-02-08	VYDAJ	PREVOD NA UCET	5120	43642	SIPO	QR	92529356
172268	577	1995-03-08	VYDAJ	PREVOD NA UCET	5120	41037	SIPO	QR	92529356
172269	577	1995-04-08	VYDAJ	PREVOD NA UCET	5120	37520	SIPO	QR	92529356
172270	577	1995-05-08	VYDAJ	PREVOD NA UCET	5120	38195	SIPO	QR	92529356
172271	577	1995-06-08	VYDAJ	PREVOD NA UCET	5120	45559	SIPO	QR	92529356
172272	577	1995-07-08	VYDAJ	PREVOD NA UCET	5120	37627	SIPO	QR	92529356
172273	577	1995-08-08	VYDAJ	PREVOD NA UCET	5120	36303	SIPO	QR	92529356
172274	577	1995-09-08	VYDAJ	PREVOD NA UCET	5120	38900	SIPO	QR	92529356
172275	577	1995-10-08	VYDAJ	PREVOD NA UCET	5120	32931	SIPO	QR	92529356
172276	577	1995-11-08	VYDAJ	PREVOD NA UCET	5120	33584	SIPO	QR	92529356
172277	577	1995-12-08	VYDAJ	PREVOD NA UCET	5120	40207	SIPO	QR	92529356
172278	577	1996-01-08	VYDAJ	PREVOD NA UCET	5120	30836	SIPO	QR	92529356
172279	577	1996-02-08	VYDAJ	PREVOD NA UCET	5120	21858	SIPO	QR	92529356
172280	577	1996-03-08	VYDAJ	PREVOD NA UCET	5120	24248	SIPO	QR	92529356
172281	577	1996-04-08	VYDAJ	PREVOD NA UCET	5120	24342	SIPO	QR	92529356
172282	577	1996-05-08	VYDAJ	PREVOD NA UCET	5120	28265	SIPO	QR	92529356
172283	577	1996-06-08	VYDAJ	PREVOD NA UCET	5120	34586	SIPO	QR	92529356
172284	577	1996-07-08	VYDAJ	PREVOD NA UCET	5120	33632	SIPO	QR	92529356
172285	577	1996-08-08	VYDAJ	PREVOD NA UCET	5120	31678	SIPO	QR	92529356
172286	577	1996-09-08	VYDAJ	PREVOD NA UCET	5120	33725	SIPO	QR	92529356
172287	577	1996-10-08	VYDAJ	PREVOD NA UCET	5120	29577	SIPO	QR	92529356
172288	577	1996-11-08	VYDAJ	PREVOD NA UCET	5120	25218	SIPO	QR	92529356
172289	577	1996-12-08	VYDAJ	PREVOD NA UCET	5120	33523	SIPO	QR	92529356
172290	577	1997-01-08	VYDAJ	PREVOD NA UCET	5120	19280	SIPO	QR	92529356
172291	577	1997-02-08	VYDAJ	PREVOD NA UCET	5120	23229	SIPO	QR	92529356
172292	577	1997-03-08	VYDAJ	PREVOD NA UCET	5120	30197	SIPO	QR	92529356
172293	577	1997-04-08	VYDAJ	PREVOD NA UCET	5120	32772	SIPO	QR	92529356
172294	577	1997-05-08	VYDAJ	PREVOD NA UCET	5120	29409	SIPO	QR	92529356
172295	577	1997-06-08	VYDAJ	PREVOD NA UCET	5120	37048	SIPO	QR	92529356
172296	577	1997-07-08	VYDAJ	PREVOD NA UCET	5120	38989	SIPO	QR	92529356
172297	577	1997-08-08	VYDAJ	PREVOD NA UCET	5120	41663	SIPO	QR	92529356
172298	577	1997-09-08	VYDAJ	PREVOD NA UCET	5120	45373	SIPO	QR	92529356
172299	577	1997-10-08	VYDAJ	PREVOD NA UCET	5120	50398	SIPO	QR	92529356
172300	577	1997-11-08	VYDAJ	PREVOD NA UCET	5120	51842	SIPO	QR	92529356
172301	577	1997-12-08	VYDAJ	PREVOD NA UCET	5120	53740	SIPO	QR	92529356
172302	577	1998-01-08	VYDAJ	PREVOD NA UCET	5120	54658	SIPO	QR	92529356
172303	577	1998-02-08	VYDAJ	PREVOD NA UCET	5120	53111	SIPO	QR	92529356
172304	577	1998-03-08	VYDAJ	PREVOD NA UCET	5120	53085	SIPO	QR	92529356
172305	577	1998-04-08	VYDAJ	PREVOD NA UCET	5120	57543	SIPO	QR	92529356
172306	577	1998-05-08	VYDAJ	PREVOD NA UCET	5120	59184	SIPO	QR	92529356
172307	577	1998-06-08	VYDAJ	PREVOD NA UCET	5120	72149	SIPO	QR	92529356
172308	577	1998-07-08	VYDAJ	PREVOD NA UCET	5120	73679	SIPO	QR	92529356
172309	577	1998-08-08	VYDAJ	PREVOD NA UCET	5120	71420	SIPO	QR	92529356
172310	577	1998-09-08	VYDAJ	PREVOD NA UCET	5120	71124	SIPO	QR	92529356
172311	577	1998-10-08	VYDAJ	PREVOD NA UCET	5120	71014	SIPO	QR	92529356
172312	577	1998-11-08	VYDAJ	PREVOD NA UCET	5120	75237	SIPO	QR	92529356
172313	577	1998-12-08	VYDAJ	PREVOD NA UCET	5120	83675	SIPO	QR	92529356
172315	577	1995-12-18	VYDAJ	VYBER	3680	29827	\N	\N	\N
172316	577	1996-12-03	VYDAJ	VYBER	4320	20987	\N	\N	\N
172317	577	1997-12-04	VYDAJ	VYBER	4640	41204	\N	\N	\N
172318	577	1998-12-21	VYDAJ	VYBER	3520	80155	\N	\N	\N
172331	577	1996-01-30	VYDAJ	VYBER	1800	15956	\N	\N	\N
172332	577	1996-01-23	VYDAJ	VYBER	600	18596	\N	\N	\N
172333	577	1996-01-30	VYDAJ	VYBER	840	15116	\N	\N	\N
172334	577	1996-01-21	VYDAJ	VYBER	1800	19196	\N	\N	\N
172335	577	1996-01-16	VYDAJ	VYBER	1560	26876	\N	\N	\N
172336	577	1996-01-26	VYDAJ	VYBER	840	17756	\N	\N	\N
172337	577	1997-01-23	VYDAJ	VYBER	1800	14720	\N	\N	\N
172338	577	1997-01-01	VYDAJ	VYBER	1320	16669	\N	\N	\N
172339	577	1997-01-01	VYDAJ	VYBER	960	17989	\N	\N	\N
172341	577	1997-01-04	VYDAJ	VYBER	2040	14629	\N	\N	\N
172342	577	1997-01-16	VYDAJ	VYBER	2760	16520	\N	\N	\N
172343	577	1998-01-27	VYDAJ	VYBER	2160	45658	\N	\N	\N
172344	577	1998-01-25	VYDAJ	VYBER	1320	49138	\N	\N	\N
172345	577	1998-01-27	VYDAJ	VYBER	1320	47818	\N	\N	\N
172346	577	1998-01-21	VYDAJ	VYBER	3000	50458	\N	\N	\N
172347	577	1998-01-15	VYDAJ	VYBER	1200	53458	\N	\N	\N
172348	577	1998-01-01	VYDAJ	VYBER	3240	50707	\N	\N	\N
172356	577	1995-08-05	VYDAJ	VYBER	3360	41423	\N	\N	\N
172357	577	1995-06-22	VYDAJ	VYBER	3720	30839	\N	\N	\N
172358	577	1995-08-12	VYDAJ	VYBER	3480	32823	\N	\N	\N
172359	577	1995-11-22	VYDAJ	VYBER	2520	27564	\N	\N	\N
172360	577	1995-09-27	VYDAJ	VYBER	4440	26160	\N	\N	\N
172362	577	1995-07-10	VYDAJ	VYBER	2040	35587	\N	\N	\N
172363	577	1996-05-09	VYDAJ	VYBER	2040	26225	\N	\N	\N
172365	577	1996-01-04	VYDAJ	VYBER	5760	24185	\N	\N	\N
172366	577	1996-03-13	VYDAJ	VYBER	5520	18728	\N	\N	\N
172367	577	1996-12-23	VYDAJ	VYBER	5760	18863	\N	\N	\N
172368	577	1996-01-16	VYDAJ	VYBER	2520	24356	\N	\N	\N
172369	577	1996-05-27	VYDAJ	VYBER	2760	21965	\N	\N	\N
172370	577	1996-02-14	VYDAJ	VYBER	3120	17538	\N	\N	\N
172371	577	1996-01-20	VYDAJ	VYBER	3360	20996	\N	\N	\N
172372	577	1996-10-02	VYDAJ	VYBER	4800	22926	\N	\N	\N
172373	577	1997-04-15	VYDAJ	VYBER	4440	28332	\N	\N	\N
172374	577	1997-04-25	VYDAJ	VYBER	4680	23652	\N	\N	\N
172375	577	1997-07-15	VYDAJ	VYBER	720	38269	\N	\N	\N
172376	577	1997-03-02	VYDAJ	VYBER	960	22346	\N	\N	\N
172377	577	1997-06-20	VYDAJ	VYBER	3240	33808	\N	\N	\N
172378	577	1998-08-09	VYDAJ	VYBER	5880	65540	\N	\N	\N
172379	577	1998-03-05	VYDAJ	VYBER	3480	58205	\N	\N	\N
172380	577	1998-04-12	VYDAJ	VYBER	4920	52623	\N	\N	\N
172381	577	1998-11-20	VYDAJ	VYBER	5280	69957	\N	\N	\N
172382	577	1998-09-11	VYDAJ	VYBER	4920	66204	\N	\N	\N
172383	577	1998-08-22	VYDAJ	VYBER	3120	62420	\N	\N	\N
172398	577	1995-02-28	VYDAJ	VYBER	15	34386	SLUZBY	\N	\N
172399	577	1995-03-31	VYDAJ	VYBER	15	30869	SLUZBY	\N	\N
172400	577	1995-04-30	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
172401	577	1995-05-31	VYDAJ	VYBER	15	33023	SLUZBY	\N	\N
172402	577	1995-06-30	VYDAJ	VYBER	15	30976	SLUZBY	\N	\N
172403	577	1995-07-31	VYDAJ	VYBER	15	33012	SLUZBY	\N	\N
172404	577	1995-08-31	VYDAJ	VYBER	15	32249	SLUZBY	\N	\N
172405	577	1995-09-30	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
172406	577	1995-10-31	VYDAJ	VYBER	15	26933	SLUZBY	\N	\N
172407	577	1995-11-30	VYDAJ	VYBER	15	27671	SLUZBY	\N	\N
172408	577	1995-12-31	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
172409	577	1996-01-31	VYDAJ	VYBER	15	15207	SLUZBY	\N	\N
172410	577	1996-02-29	VYDAJ	VYBER	15	17597	SLUZBY	\N	\N
172411	577	1996-03-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
172412	577	1996-04-30	VYDAJ	VYBER	15	21614	SLUZBY	\N	\N
172413	577	1996-05-31	VYDAJ	VYBER	15	22050	SLUZBY	\N	\N
172414	577	1996-06-30	VYDAJ	VYBER	15	26981	SLUZBY	\N	\N
172415	577	1996-07-31	VYDAJ	VYBER	15	25027	SLUZBY	\N	\N
172416	577	1996-08-31	VYDAJ	VYBER	15	27074	SLUZBY	\N	\N
172417	577	1996-09-30	VYDAJ	VYBER	15	27726	SLUZBY	\N	\N
172418	577	1996-10-31	VYDAJ	VYBER	15	23667	SLUZBY	\N	\N
172419	577	1996-11-30	VYDAJ	VYBER	15	25307	SLUZBY	\N	\N
172420	577	1996-12-31	VYDAJ	VYBER	15	18949	SLUZBY	\N	\N
172421	577	1997-01-31	VYDAJ	VYBER	15	14778	SLUZBY	\N	\N
172422	577	1997-02-28	VYDAJ	VYBER	15	23306	SLUZBY	\N	\N
172423	577	1997-03-31	VYDAJ	VYBER	15	30321	SLUZBY	\N	\N
172424	577	1997-04-30	VYDAJ	VYBER	15	23758	SLUZBY	\N	\N
172425	577	1997-05-31	VYDAJ	VYBER	15	29512	SLUZBY	\N	\N
172426	577	1997-06-30	VYDAJ	VYBER	15	33938	SLUZBY	\N	\N
172427	577	1997-07-31	VYDAJ	VYBER	15	38412	SLUZBY	\N	\N
172428	577	1997-08-31	VYDAJ	VYBER	15	41822	SLUZBY	\N	\N
172429	577	1997-09-30	VYDAJ	VYBER	15	45547	SLUZBY	\N	\N
172430	577	1997-10-31	VYDAJ	VYBER	15	50591	SLUZBY	\N	\N
172431	577	1997-11-30	VYDAJ	VYBER	15	52044	SLUZBY	\N	\N
172432	577	1997-12-31	VYDAJ	VYBER	15	53947	SLUZBY	\N	\N
172433	577	1998-01-31	VYDAJ	VYBER	15	45860	SLUZBY	\N	\N
172434	577	1998-02-28	VYDAJ	VYBER	15	53314	SLUZBY	\N	\N
172435	577	1998-03-31	VYDAJ	VYBER	15	53292	SLUZBY	\N	\N
172436	577	1998-04-30	VYDAJ	VYBER	15	52833	SLUZBY	\N	\N
172437	577	1998-05-31	VYDAJ	VYBER	15	59413	SLUZBY	\N	\N
172438	577	1998-06-30	VYDAJ	VYBER	15	72428	SLUZBY	\N	\N
172439	577	1998-07-31	VYDAJ	VYBER	15	64769	SLUZBY	\N	\N
172440	577	1998-08-31	VYDAJ	VYBER	15	64473	SLUZBY	\N	\N
172441	577	1998-09-30	VYDAJ	VYBER	15	64363	SLUZBY	\N	\N
172442	577	1998-10-31	VYDAJ	VYBER	15	68586	SLUZBY	\N	\N
172443	577	1998-11-30	VYDAJ	VYBER	15	71139	SLUZBY	\N	\N
172444	577	1994-10-20	PRIJEM	VKLAD	6800	18971	\N	\N	\N
172445	577	1994-11-19	VYDAJ	VYBER	900	29873	\N	\N	\N
172446	577	1994-12-19	VYDAJ	VYBER	9700	37926	\N	\N	\N
172447	577	1995-01-18	VYDAJ	VYBER	13000	36835	\N	\N	\N
172448	577	1995-02-17	VYDAJ	VYBER	9400	34242	\N	\N	\N
172449	577	1995-03-19	VYDAJ	VYBER	10300	30737	\N	\N	\N
172450	577	1995-04-18	VYDAJ	VYBER	6100	31420	\N	\N	\N
172451	577	1995-05-18	VYDAJ	VYBER	5300	32895	\N	\N	\N
172452	577	1995-06-17	VYDAJ	VYBER	11000	34559	\N	\N	\N
172453	577	1995-07-17	VYDAJ	VYBER	2700	32887	\N	\N	\N
172454	577	1995-08-16	VYDAJ	VYBER	700	32123	\N	\N	\N
172455	577	1995-09-15	VYDAJ	VYBER	8300	30600	\N	\N	\N
172456	577	1995-10-15	VYDAJ	VYBER	6100	26831	\N	\N	\N
172457	577	1995-11-14	VYDAJ	VYBER	3500	30084	\N	\N	\N
172458	577	1995-12-14	VYDAJ	VYBER	6700	33507	\N	\N	\N
172459	577	1996-01-13	VYDAJ	VYBER	2400	28436	\N	\N	\N
172460	577	1996-02-12	VYDAJ	VYBER	1200	20658	\N	\N	\N
172461	577	1996-03-13	VYDAJ	VYBER	1100	17628	\N	\N	\N
172462	577	1996-04-12	VYDAJ	VYBER	2800	21542	\N	\N	\N
172463	577	1996-05-12	VYDAJ	VYBER	1500	24725	\N	\N	\N
172464	577	1996-06-11	VYDAJ	VYBER	7700	26886	\N	\N	\N
172465	577	1996-07-11	VYDAJ	VYBER	8700	24932	\N	\N	\N
172466	577	1996-08-10	VYDAJ	VYBER	4700	26978	\N	\N	\N
172467	577	1996-09-09	VYDAJ	VYBER	6100	27625	\N	\N	\N
172468	577	1996-10-09	VYDAJ	VYBER	6000	23577	\N	\N	\N
172469	577	1996-11-08	VYDAJ	VYBER	5100	30338	\N	\N	\N
172470	577	1996-12-08	VYDAJ	VYBER	8900	24623	\N	\N	\N
172471	577	1997-01-07	VYDAJ	VYBER	2000	24400	\N	\N	\N
172472	577	1997-02-06	PRIJEM	VKLAD	1800	28349	\N	\N	\N
172473	577	1997-03-08	PRIJEM	VKLAD	1200	35317	\N	\N	\N
172474	577	1997-04-07	VYDAJ	VYBER	4200	37892	\N	\N	\N
172475	577	1997-05-07	VYDAJ	VYBER	1000	34529	\N	\N	\N
172476	577	1997-06-06	VYDAJ	VYBER	5000	42168	\N	\N	\N
172477	577	1997-07-06	VYDAJ	VYBER	1600	44109	\N	\N	\N
172478	577	1997-08-05	VYDAJ	VYBER	3400	46783	\N	\N	\N
172479	577	1997-09-04	VYDAJ	VYBER	3100	38722	\N	\N	\N
172480	577	1997-10-04	VYDAJ	VYBER	1800	43747	\N	\N	\N
172481	577	1997-11-03	VYDAJ	VYBER	5400	45191	\N	\N	\N
172482	577	1997-12-03	VYDAJ	VYBER	6200	45844	\N	\N	\N
172483	577	1998-01-02	VYDAJ	VYBER	2700	48007	\N	\N	\N
172484	577	1998-02-01	PRIJEM	VKLAD	600	46460	\N	\N	\N
172485	577	1998-03-03	VYDAJ	VYBER	3400	49914	\N	\N	\N
172486	577	1998-04-02	VYDAJ	VYBER	2400	50892	\N	\N	\N
172487	577	1998-05-02	VYDAJ	VYBER	300	52533	\N	\N	\N
172488	577	1998-06-01	PRIJEM	VKLAD	200	59613	\N	\N	\N
172489	577	1998-07-01	VYDAJ	VYBER	5400	67028	\N	\N	\N
172490	577	1998-07-31	VYDAJ	VYBER	9200	64784	\N	\N	\N
172491	577	1998-08-30	PRIJEM	VKLAD	1800	64220	\N	\N	\N
172492	577	1998-09-29	VYDAJ	VYBER	2100	64104	\N	\N	\N
172493	577	1998-10-29	VYDAJ	VYBER	2700	68314	\N	\N	\N
172494	577	1998-11-28	PRIJEM	VKLAD	900	70857	\N	\N	\N
172546	578	1997-03-21	PRIJEM	VKLAD	900	900	\N	\N	\N
172550	578	1997-04-11	PRIJEM	PREVOD Z UCTU	18987	19887	\N	CD	56264185
172551	578	1997-05-11	PRIJEM	PREVOD Z UCTU	18987	40807	\N	CD	56264185
172552	578	1997-06-11	PRIJEM	PREVOD Z UCTU	28480	60294	\N	CD	56264185
172553	578	1997-07-11	PRIJEM	PREVOD Z UCTU	18987	57324	\N	CD	56264185
172554	578	1997-08-11	PRIJEM	PREVOD Z UCTU	18987	57070	\N	CD	56264185
172555	578	1997-09-11	PRIJEM	PREVOD Z UCTU	18987	41296	\N	CD	56264185
172556	578	1997-10-11	PRIJEM	PREVOD Z UCTU	18987	47732	\N	CD	56264185
172557	578	1997-11-11	PRIJEM	PREVOD Z UCTU	18987	41543	\N	CD	56264185
172558	578	1997-12-11	PRIJEM	PREVOD Z UCTU	28480	51575	\N	CD	56264185
172559	578	1998-01-11	PRIJEM	PREVOD Z UCTU	18987	39335	\N	CD	56264185
172560	578	1998-02-11	PRIJEM	PREVOD Z UCTU	18987	33756	\N	CD	56264185
172561	578	1998-03-11	PRIJEM	PREVOD Z UCTU	18987	45269	\N	CD	56264185
172562	578	1998-04-11	PRIJEM	PREVOD Z UCTU	18987	50718	\N	CD	56264185
172563	578	1998-05-11	PRIJEM	PREVOD Z UCTU	18987	47384	\N	CD	56264185
172564	578	1998-06-11	PRIJEM	PREVOD Z UCTU	28480	52417	\N	CD	56264185
172565	578	1998-07-11	PRIJEM	PREVOD Z UCTU	18987	59986	\N	CD	56264185
172566	578	1998-08-11	PRIJEM	PREVOD Z UCTU	18987	60997	\N	CD	56264185
172567	578	1998-09-11	PRIJEM	PREVOD Z UCTU	18987	62202	\N	CD	56264185
172568	578	1998-10-11	PRIJEM	PREVOD Z UCTU	18987	59395	\N	CD	56264185
172569	578	1998-11-11	PRIJEM	PREVOD Z UCTU	18987	56175	\N	CD	56264185
172570	578	1998-12-11	PRIJEM	PREVOD Z UCTU	28480	57933	\N	CD	56264185
172579	578	1997-09-08	VYDAJ	PREVOD NA UCET	5484	22366	SIPO	ST	9104431
172580	578	1997-10-08	VYDAJ	PREVOD NA UCET	5484	28802	SIPO	ST	9104431
172581	578	1997-11-08	VYDAJ	PREVOD NA UCET	5484	22613	SIPO	ST	9104431
172582	578	1997-12-08	VYDAJ	PREVOD NA UCET	5484	28852	SIPO	ST	9104431
172583	578	1998-01-08	VYDAJ	PREVOD NA UCET	5484	23405	SIPO	ST	9104431
172584	578	1998-02-08	VYDAJ	PREVOD NA UCET	5484	14826	SIPO	ST	9104431
172585	578	1998-03-08	VYDAJ	PREVOD NA UCET	5484	26339	SIPO	ST	9104431
172586	578	1998-04-08	VYDAJ	PREVOD NA UCET	5484	31788	SIPO	ST	9104431
172587	578	1998-05-08	VYDAJ	PREVOD NA UCET	5484	28454	SIPO	ST	9104431
172588	578	1998-06-08	VYDAJ	PREVOD NA UCET	5484	23994	SIPO	ST	9104431
172589	578	1998-07-08	VYDAJ	PREVOD NA UCET	5484	41056	SIPO	ST	9104431
172590	578	1998-08-08	VYDAJ	PREVOD NA UCET	5484	42067	SIPO	ST	9104431
172591	578	1998-09-08	VYDAJ	PREVOD NA UCET	5484	43272	SIPO	ST	9104431
172592	578	1998-10-08	VYDAJ	PREVOD NA UCET	5484	40465	SIPO	ST	9104431
172593	578	1998-11-08	VYDAJ	PREVOD NA UCET	5484	37245	SIPO	ST	9104431
172594	578	1998-12-08	VYDAJ	PREVOD NA UCET	5484	31910	SIPO	ST	9104431
172602	578	1997-08-13	VYDAJ	PREVOD NA UCET	601	56469	 	KL	6721955
172603	578	1997-09-13	VYDAJ	PREVOD NA UCET	601	40695	 	KL	6721955
172604	578	1997-10-13	VYDAJ	PREVOD NA UCET	601	47131	 	KL	6721955
172605	578	1997-11-13	VYDAJ	PREVOD NA UCET	601	40942	 	KL	6721955
172606	578	1997-12-13	VYDAJ	PREVOD NA UCET	601	50974	 	KL	6721955
172607	578	1998-01-13	VYDAJ	PREVOD NA UCET	601	38734	 	KL	6721955
172608	578	1998-02-13	VYDAJ	PREVOD NA UCET	601	33155	 	KL	6721955
172609	578	1998-03-13	VYDAJ	PREVOD NA UCET	601	44668	 	KL	6721955
172610	578	1998-04-13	VYDAJ	PREVOD NA UCET	601	50117	 	KL	6721955
172611	578	1998-05-13	VYDAJ	PREVOD NA UCET	601	46783	 	KL	6721955
172612	578	1998-06-13	VYDAJ	PREVOD NA UCET	601	51816	 	KL	6721955
172613	578	1998-07-13	VYDAJ	PREVOD NA UCET	601	59385	 	KL	6721955
172614	578	1998-08-13	VYDAJ	PREVOD NA UCET	601	48596	 	KL	6721955
172615	578	1998-09-13	VYDAJ	PREVOD NA UCET	601	45801	 	KL	6721955
172616	578	1998-10-13	VYDAJ	PREVOD NA UCET	601	42594	 	KL	6721955
172617	578	1998-11-13	VYDAJ	PREVOD NA UCET	601	37274	 	KL	6721955
172618	578	1998-12-13	VYDAJ	PREVOD NA UCET	601	36332	 	KL	6721955
172626	578	1997-08-14	VYDAJ	PREVOD NA UCET	17	56452	POJISTNE	KL	88757896
172627	578	1997-09-14	VYDAJ	PREVOD NA UCET	17	40678	POJISTNE	KL	88757896
172628	578	1997-10-14	VYDAJ	PREVOD NA UCET	17	47114	POJISTNE	KL	88757896
172629	578	1997-11-14	VYDAJ	PREVOD NA UCET	17	40925	POJISTNE	KL	88757896
172630	578	1997-12-14	VYDAJ	PREVOD NA UCET	17	50957	POJISTNE	KL	88757896
172631	578	1998-01-14	VYDAJ	PREVOD NA UCET	17	38717	POJISTNE	KL	88757896
172632	578	1998-02-14	VYDAJ	PREVOD NA UCET	17	33138	POJISTNE	KL	88757896
172633	578	1998-03-14	VYDAJ	PREVOD NA UCET	17	44651	POJISTNE	KL	88757896
172634	578	1998-04-14	VYDAJ	PREVOD NA UCET	17	50100	POJISTNE	KL	88757896
172635	578	1998-05-14	VYDAJ	PREVOD NA UCET	17	46766	POJISTNE	KL	88757896
172636	578	1998-06-14	VYDAJ	PREVOD NA UCET	17	46399	POJISTNE	KL	88757896
172637	578	1998-07-14	VYDAJ	PREVOD NA UCET	17	52768	POJISTNE	KL	88757896
172638	578	1998-08-14	VYDAJ	PREVOD NA UCET	17	48579	POJISTNE	KL	88757896
172639	578	1998-09-14	VYDAJ	PREVOD NA UCET	17	45784	POJISTNE	KL	88757896
172640	578	1998-10-14	VYDAJ	PREVOD NA UCET	17	42577	POJISTNE	KL	88757896
172641	578	1998-11-14	VYDAJ	PREVOD NA UCET	17	37257	POJISTNE	KL	88757896
172642	578	1998-12-14	VYDAJ	PREVOD NA UCET	17	36315	POJISTNE	KL	88757896
172651	578	1997-09-09	VYDAJ	PREVOD NA UCET	57	22309	 	CD	84361481
172652	578	1997-10-09	VYDAJ	PREVOD NA UCET	57	28745	 	CD	84361481
172653	578	1997-11-09	VYDAJ	PREVOD NA UCET	57	22556	 	CD	84361481
172654	578	1997-12-09	VYDAJ	PREVOD NA UCET	57	28795	 	CD	84361481
172655	578	1998-01-09	VYDAJ	PREVOD NA UCET	57	23348	 	CD	84361481
172656	578	1998-02-09	VYDAJ	PREVOD NA UCET	57	14769	 	CD	84361481
172657	578	1998-03-09	VYDAJ	PREVOD NA UCET	57	26282	 	CD	84361481
172658	578	1998-04-09	VYDAJ	PREVOD NA UCET	57	31731	 	CD	84361481
172659	578	1998-05-09	VYDAJ	PREVOD NA UCET	57	28397	 	CD	84361481
172660	578	1998-06-09	VYDAJ	PREVOD NA UCET	57	23937	 	CD	84361481
172661	578	1998-07-09	VYDAJ	PREVOD NA UCET	57	40999	 	CD	84361481
172662	578	1998-08-09	VYDAJ	PREVOD NA UCET	57	42010	 	CD	84361481
172663	578	1998-09-09	VYDAJ	PREVOD NA UCET	57	43215	 	CD	84361481
172664	578	1998-10-09	VYDAJ	PREVOD NA UCET	57	40408	 	CD	84361481
172665	578	1998-11-09	VYDAJ	PREVOD NA UCET	57	37188	 	CD	84361481
172666	578	1998-12-09	VYDAJ	PREVOD NA UCET	57	29453	 	CD	84361481
172674	578	1997-10-26	VYBER	VYBER	5386	32228	\N	\N	\N
172675	578	1997-08-16	VYBER	VYBER	5115	37133	\N	\N	\N
172676	578	1997-08-16	VYBER	VYBER	14204	42248	\N	\N	\N
172677	578	1997-11-04	VYBER	VYBER	4255	28097	\N	\N	\N
172683	578	1997-12-10	VYDAJ	VYBER	5700	23095	\N	\N	\N
172684	578	1998-12-08	VYDAJ	VYBER	2400	29510	\N	\N	\N
172691	578	1998-01-01	VYDAJ	VYBER	5100	34289	\N	\N	\N
172692	578	1998-01-10	VYDAJ	VYBER	3000	20348	\N	\N	\N
172693	578	1998-01-29	VYDAJ	VYBER	8100	20217	\N	\N	\N
172694	578	1998-01-19	VYDAJ	VYBER	2400	28317	\N	\N	\N
172695	578	1998-01-16	VYDAJ	VYBER	1800	30717	\N	\N	\N
172696	578	1998-01-03	VYDAJ	VYBER	5400	28889	\N	\N	\N
172701	578	1998-04-30	VYDAJ	VYBER	6900	33968	\N	\N	\N
172702	578	1998-08-02	VYDAJ	VYBER	5400	47551	\N	\N	\N
172704	578	1998-05-20	VYDAJ	VYBER	9600	29366	\N	\N	\N
172713	578	1997-08-31	VYDAJ	VYBER	30	27850	SLUZBY	\N	\N
172714	578	1997-09-30	VYDAJ	VYBER	30	34286	SLUZBY	\N	\N
172715	578	1997-10-31	VYDAJ	VYBER	30	32352	SLUZBY	\N	\N
172716	578	1997-11-30	VYDAJ	VYBER	30	34336	SLUZBY	\N	\N
172717	578	1997-12-31	VYDAJ	VYBER	30	39389	SLUZBY	\N	\N
172718	578	1998-01-31	VYDAJ	VYBER	30	20310	SLUZBY	\N	\N
172719	578	1998-02-28	VYDAJ	VYBER	30	31823	SLUZBY	\N	\N
172720	578	1998-03-31	VYDAJ	VYBER	30	37272	SLUZBY	\N	\N
172721	578	1998-04-30	VYDAJ	VYBER	30	33938	SLUZBY	\N	\N
172722	578	1998-05-31	VYDAJ	VYBER	30	29478	SLUZBY	\N	\N
172723	578	1998-06-30	VYDAJ	VYBER	30	46540	SLUZBY	\N	\N
172724	578	1998-07-31	VYDAJ	VYBER	30	52951	SLUZBY	\N	\N
172725	578	1998-08-31	VYDAJ	VYBER	30	48756	SLUZBY	\N	\N
172726	578	1998-09-30	VYDAJ	VYBER	30	45949	SLUZBY	\N	\N
172727	578	1998-10-31	VYDAJ	VYBER	30	42729	SLUZBY	\N	\N
172728	578	1998-11-30	VYDAJ	VYBER	30	37394	SLUZBY	\N	\N
172729	578	1997-04-20	PRIJEM	VKLAD	1900	21787	\N	\N	\N
172730	578	1997-05-20	VYDAJ	VYBER	9100	31707	\N	\N	\N
172731	578	1997-06-19	VYDAJ	VYBER	22100	38194	\N	\N	\N
172732	578	1997-07-19	VYDAJ	VYBER	19400	37924	\N	\N	\N
172733	578	1997-08-18	VYDAJ	VYBER	9400	27733	\N	\N	\N
172734	578	1997-09-17	VYDAJ	VYBER	6500	34178	\N	\N	\N
172735	578	1997-10-17	VYDAJ	VYBER	9500	37614	\N	\N	\N
172736	578	1997-11-16	VYDAJ	VYBER	6700	34225	\N	\N	\N
172737	578	1997-12-16	VYDAJ	VYBER	11700	39257	\N	\N	\N
172738	578	1998-01-15	VYDAJ	VYBER	6200	32517	\N	\N	\N
172739	578	1998-02-14	VYDAJ	VYBER	1400	31738	\N	\N	\N
172740	578	1998-03-16	VYDAJ	VYBER	7500	37151	\N	\N	\N
172741	578	1998-04-15	VYDAJ	VYBER	9400	40700	\N	\N	\N
172742	578	1998-05-15	VYDAJ	VYBER	7800	38966	\N	\N	\N
172743	578	1998-06-14	VYDAJ	VYBER	5400	46416	\N	\N	\N
172744	578	1998-07-14	VYDAJ	VYBER	6600	52785	\N	\N	\N
172745	578	1998-08-13	VYDAJ	VYBER	11800	49197	\N	\N	\N
172746	578	1998-09-12	VYDAJ	VYBER	15800	46402	\N	\N	\N
172747	578	1998-10-12	VYDAJ	VYBER	16200	43195	\N	\N	\N
172748	578	1998-11-11	VYDAJ	VYBER	18300	37875	\N	\N	\N
172749	578	1998-12-11	VYDAJ	VYBER	21000	36933	\N	\N	\N
172771	579	1997-12-16	PRIJEM	VKLAD	900	900	\N	\N	\N
172784	579	1998-01-13	PRIJEM	VKLAD	5755	6655	\N	\N	\N
172785	579	1998-02-13	PRIJEM	VKLAD	5755	18038	\N	\N	\N
172786	579	1998-03-13	PRIJEM	VKLAD	5755	28668	\N	\N	\N
172787	579	1998-04-13	PRIJEM	VKLAD	5755	32927	\N	\N	\N
172788	579	1998-05-13	PRIJEM	VKLAD	5755	33897	\N	\N	\N
172789	579	1998-06-13	PRIJEM	VKLAD	8632	30890	\N	\N	\N
172790	579	1998-07-13	PRIJEM	VKLAD	5755	18882	\N	\N	\N
172791	579	1998-08-13	PRIJEM	VKLAD	5755	17750	\N	\N	\N
172792	579	1998-09-13	PRIJEM	VKLAD	5755	26022	\N	\N	\N
172793	579	1998-10-13	PRIJEM	VKLAD	5755	28917	\N	\N	\N
172794	579	1998-11-13	PRIJEM	VKLAD	5755	28831	\N	\N	\N
172795	579	1998-12-13	PRIJEM	VKLAD	8632	32130	\N	\N	\N
172813	579	1998-06-07	VYDAJ	PREVOD NA UCET	2771	22258	SIPO	OP	19994384
172814	579	1998-07-07	VYDAJ	PREVOD NA UCET	2771	13127	SIPO	OP	19994384
172815	579	1998-08-07	VYDAJ	PREVOD NA UCET	2771	11995	SIPO	OP	19994384
172816	579	1998-09-07	VYDAJ	PREVOD NA UCET	2771	13667	SIPO	OP	19994384
172817	579	1998-10-07	VYDAJ	PREVOD NA UCET	2771	21262	SIPO	OP	19994384
172818	579	1998-11-07	VYDAJ	PREVOD NA UCET	2771	25176	SIPO	OP	19994384
172819	579	1998-12-07	VYDAJ	PREVOD NA UCET	2771	25098	SIPO	OP	19994384
172836	579	1998-05-13	VYDAJ	PREVOD NA UCET	1065	32832	 	CD	61798560
172837	579	1998-06-13	VYDAJ	PREVOD NA UCET	1065	29825	 	CD	61798560
172838	579	1998-07-13	VYDAJ	PREVOD NA UCET	1065	17817	 	CD	61798560
172839	579	1998-08-13	VYDAJ	PREVOD NA UCET	1065	16385	 	CD	61798560
172840	579	1998-09-13	VYDAJ	PREVOD NA UCET	1065	24957	 	CD	61798560
172841	579	1998-10-13	VYDAJ	PREVOD NA UCET	1065	27852	 	CD	61798560
172842	579	1998-11-13	VYDAJ	PREVOD NA UCET	1065	27766	 	CD	61798560
172843	579	1998-12-13	VYDAJ	PREVOD NA UCET	1065	31065	 	CD	61798560
172849	579	1998-12-30	VYDAJ	VYBER	2900	28165	\N	\N	\N
172858	579	1998-09-30	VYDAJ	VYBER	1000	24048	\N	\N	\N
172860	579	1998-06-23	VYDAJ	VYBER	3500	15825	\N	\N	\N
172880	579	1998-05-31	VYDAJ	VYBER	15	25029	SLUZBY	\N	\N
172881	579	1998-06-30	VYDAJ	VYBER	15	15898	SLUZBY	\N	\N
172882	579	1998-07-31	VYDAJ	VYBER	15	14766	SLUZBY	\N	\N
172883	579	1998-08-31	VYDAJ	VYBER	15	16438	SLUZBY	\N	\N
172884	579	1998-09-30	VYDAJ	VYBER	15	24033	SLUZBY	\N	\N
172885	579	1998-10-31	VYDAJ	VYBER	15	27947	SLUZBY	\N	\N
172886	579	1998-11-30	VYDAJ	VYBER	15	27869	SLUZBY	\N	\N
172887	579	1998-01-15	PRIJEM	VKLAD	5600	12255	\N	\N	\N
172888	579	1998-02-14	PRIJEM	VKLAD	4800	22838	\N	\N	\N
172889	579	1998-03-16	VYDAJ	VYBER	1600	27068	\N	\N	\N
172890	579	1998-04-15	VYDAJ	VYBER	4900	28027	\N	\N	\N
172891	579	1998-05-15	VYDAJ	VYBER	7900	24932	\N	\N	\N
172892	579	1998-06-14	VYDAJ	VYBER	10500	19325	\N	\N	\N
172893	579	1998-07-14	VYDAJ	VYBER	3100	14717	\N	\N	\N
172894	579	1998-08-13	VYDAJ	VYBER	300	17450	\N	\N	\N
172895	579	1998-09-12	PRIJEM	VKLAD	6600	20267	\N	\N	\N
172896	579	1998-10-12	PRIJEM	VKLAD	1900	23162	\N	\N	\N
172897	579	1998-11-11	VYDAJ	VYBER	2100	23076	\N	\N	\N
172898	579	1998-12-11	VYDAJ	VYBER	1600	23498	\N	\N	\N
172911	580	1996-05-20	PRIJEM	VKLAD	500	500	\N	\N	\N
172917	580	1996-06-06	PRIJEM	VKLAD	11895	12395	\N	\N	\N
172918	580	1996-07-06	PRIJEM	VKLAD	7930	26656	\N	\N	\N
172919	580	1996-08-06	PRIJEM	VKLAD	7930	35179	\N	\N	\N
172920	580	1996-09-06	PRIJEM	VKLAD	7930	38128	\N	\N	\N
172921	580	1996-10-06	PRIJEM	VKLAD	7930	37281	\N	\N	\N
172922	580	1996-11-06	PRIJEM	VKLAD	7930	31627	\N	\N	\N
172923	580	1996-12-06	PRIJEM	VKLAD	11895	27967	\N	\N	\N
172924	580	1997-01-06	PRIJEM	VKLAD	7930	25788	\N	\N	\N
172925	580	1997-02-06	PRIJEM	VKLAD	7930	26507	\N	\N	\N
172926	580	1997-03-06	PRIJEM	VKLAD	7930	27831	\N	\N	\N
172927	580	1997-04-06	PRIJEM	VKLAD	7930	26717	\N	\N	\N
172928	580	1997-05-06	PRIJEM	VKLAD	7930	26438	\N	\N	\N
172929	580	1997-06-06	PRIJEM	VKLAD	11895	27782	\N	\N	\N
172930	580	1997-07-06	PRIJEM	VKLAD	7930	32115	\N	\N	\N
172931	580	1997-08-06	PRIJEM	VKLAD	7930	30454	\N	\N	\N
172932	580	1997-09-06	PRIJEM	VKLAD	7930	31401	\N	\N	\N
172933	580	1997-10-06	PRIJEM	VKLAD	7930	29837	\N	\N	\N
172934	580	1997-11-06	PRIJEM	VKLAD	7930	29168	\N	\N	\N
172935	580	1997-12-06	PRIJEM	VKLAD	11895	31926	\N	\N	\N
172936	580	1998-01-06	PRIJEM	VKLAD	7930	27607	\N	\N	\N
172937	580	1998-02-06	PRIJEM	VKLAD	7930	34252	\N	\N	\N
172938	580	1998-03-06	PRIJEM	VKLAD	7930	36710	\N	\N	\N
172939	580	1998-04-06	PRIJEM	VKLAD	7930	35367	\N	\N	\N
172940	580	1998-05-06	PRIJEM	VKLAD	7930	35121	\N	\N	\N
172941	580	1998-06-06	PRIJEM	VKLAD	11895	38639	\N	\N	\N
172942	580	1998-07-06	PRIJEM	VKLAD	7930	29819	\N	\N	\N
172943	580	1998-08-06	PRIJEM	VKLAD	7930	33670	\N	\N	\N
172944	580	1998-09-06	PRIJEM	VKLAD	7930	37470	\N	\N	\N
172945	580	1998-10-06	PRIJEM	VKLAD	7930	37333	\N	\N	\N
172946	580	1998-11-06	PRIJEM	VKLAD	7930	35890	\N	\N	\N
172947	580	1998-12-06	PRIJEM	VKLAD	11895	37009	\N	\N	\N
172957	580	1996-10-13	VYDAJ	PREVOD NA UCET	3571	33710	SIPO	KL	18037027
172958	580	1996-11-13	VYDAJ	PREVOD NA UCET	3571	28056	SIPO	KL	18037027
172959	580	1996-12-13	VYDAJ	PREVOD NA UCET	3571	24396	SIPO	KL	18037027
172960	580	1997-01-13	VYDAJ	PREVOD NA UCET	3571	22217	SIPO	KL	18037027
172961	580	1997-02-13	VYDAJ	PREVOD NA UCET	3571	22936	SIPO	KL	18037027
172962	580	1997-03-13	VYDAJ	PREVOD NA UCET	3571	24260	SIPO	KL	18037027
172963	580	1997-04-13	VYDAJ	PREVOD NA UCET	3571	23146	SIPO	KL	18037027
172964	580	1997-05-13	VYDAJ	PREVOD NA UCET	3571	22867	SIPO	KL	18037027
172965	580	1997-06-13	VYDAJ	PREVOD NA UCET	3571	24211	SIPO	KL	18037027
172966	580	1997-07-13	VYDAJ	PREVOD NA UCET	3571	28544	SIPO	KL	18037027
172967	580	1997-08-13	VYDAJ	PREVOD NA UCET	3571	25083	SIPO	KL	18037027
172968	580	1997-09-13	VYDAJ	PREVOD NA UCET	3571	23530	SIPO	KL	18037027
172969	580	1997-10-13	VYDAJ	PREVOD NA UCET	3571	22866	SIPO	KL	18037027
172970	580	1997-11-13	VYDAJ	PREVOD NA UCET	3571	24297	SIPO	KL	18037027
172971	580	1997-12-13	VYDAJ	PREVOD NA UCET	3571	26695	SIPO	KL	18037027
172972	580	1998-01-13	VYDAJ	PREVOD NA UCET	3571	27936	SIPO	KL	18037027
172973	580	1998-02-13	VYDAJ	PREVOD NA UCET	3571	30381	SIPO	KL	18037027
172974	580	1998-03-13	VYDAJ	PREVOD NA UCET	3571	29039	SIPO	KL	18037027
172975	580	1998-04-13	VYDAJ	PREVOD NA UCET	3571	28796	SIPO	KL	18037027
172976	580	1998-05-13	VYDAJ	PREVOD NA UCET	3571	28350	SIPO	KL	18037027
172977	580	1998-06-13	VYDAJ	PREVOD NA UCET	3571	24228	SIPO	KL	18037027
172978	580	1998-07-13	VYDAJ	PREVOD NA UCET	3571	31548	SIPO	KL	18037027
172979	580	1998-08-13	VYDAJ	PREVOD NA UCET	3571	31139	SIPO	KL	18037027
172980	580	1998-09-13	VYDAJ	PREVOD NA UCET	3571	30999	SIPO	KL	18037027
172981	580	1998-10-13	VYDAJ	PREVOD NA UCET	3571	29562	SIPO	KL	18037027
172982	580	1998-11-13	VYDAJ	PREVOD NA UCET	3571	29119	SIPO	KL	18037027
172983	580	1998-12-13	VYDAJ	PREVOD NA UCET	3571	29738	SIPO	KL	18037027
172994	580	1996-11-05	VYDAJ	PREVOD NA UCET	1715	23697	 	AB	27916240
172995	580	1996-12-05	VYDAJ	PREVOD NA UCET	1715	16072	 	AB	27916240
172996	580	1997-01-05	VYDAJ	PREVOD NA UCET	1715	17858	 	AB	27916240
172997	580	1997-02-05	VYDAJ	PREVOD NA UCET	1715	18577	 	AB	27916240
172998	580	1997-03-05	VYDAJ	PREVOD NA UCET	1715	19901	 	AB	27916240
172999	580	1997-04-05	VYDAJ	PREVOD NA UCET	1715	18787	 	AB	27916240
173000	580	1997-05-05	VYDAJ	PREVOD NA UCET	1715	18508	 	AB	27916240
173001	580	1997-06-05	VYDAJ	PREVOD NA UCET	1715	15887	 	AB	27916240
173002	580	1997-07-05	VYDAJ	PREVOD NA UCET	1715	24185	 	AB	27916240
173003	580	1997-08-05	VYDAJ	PREVOD NA UCET	1715	22524	 	AB	27916240
173004	580	1997-09-05	VYDAJ	PREVOD NA UCET	1715	23471	 	AB	27916240
173005	580	1997-10-05	VYDAJ	PREVOD NA UCET	1715	21907	 	AB	27916240
173006	580	1997-11-05	VYDAJ	PREVOD NA UCET	1715	21238	 	AB	27916240
173007	580	1997-12-05	VYDAJ	PREVOD NA UCET	1715	20031	 	AB	27916240
173008	580	1998-01-05	VYDAJ	PREVOD NA UCET	1715	19677	 	AB	27916240
173009	580	1998-02-05	VYDAJ	PREVOD NA UCET	1715	26322	 	AB	27916240
173010	580	1998-03-05	VYDAJ	PREVOD NA UCET	1715	28780	 	AB	27916240
173011	580	1998-04-05	VYDAJ	PREVOD NA UCET	1715	27437	 	AB	27916240
173012	580	1998-05-05	VYDAJ	PREVOD NA UCET	1715	27191	 	AB	27916240
173013	580	1998-06-05	VYDAJ	PREVOD NA UCET	1715	26744	 	AB	27916240
173014	580	1998-07-05	VYDAJ	PREVOD NA UCET	1715	21889	 	AB	27916240
173015	580	1998-08-05	VYDAJ	PREVOD NA UCET	1715	25740	 	AB	27916240
173016	580	1998-09-05	VYDAJ	PREVOD NA UCET	1715	29540	 	AB	27916240
173017	580	1998-10-05	VYDAJ	PREVOD NA UCET	1715	29403	 	AB	27916240
173018	580	1998-11-05	VYDAJ	PREVOD NA UCET	1715	27960	 	AB	27916240
173019	580	1998-12-05	VYDAJ	PREVOD NA UCET	1715	25114	 	AB	27916240
173022	580	1998-06-06	VYDAJ	VYBER	19040	19599	\N	\N	\N
173023	580	1996-12-03	VYDAJ	VYBER	4160	17787	\N	\N	\N
173024	580	1997-12-09	VYDAJ	VYBER	2560	29366	\N	\N	\N
173025	580	1998-12-01	VYDAJ	VYBER	2400	26829	\N	\N	\N
173029	580	1997-11-30	VYDAJ	VYBER	2640	21761	\N	\N	\N
173030	580	1997-05-22	VYDAJ	VYBER	5640	17527	\N	\N	\N
173031	580	1997-03-26	VYDAJ	VYBER	2040	20420	\N	\N	\N
173032	580	1998-07-24	VYDAJ	VYBER	4200	27348	\N	\N	\N
173033	580	1998-08-10	VYDAJ	VYBER	3360	34710	\N	\N	\N
173034	580	1998-01-05	VYDAJ	VYBER	5400	21392	\N	\N	\N
173035	580	1998-06-21	VYDAJ	VYBER	720	23508	\N	\N	\N
173036	580	1998-09-09	VYDAJ	VYBER	1800	34570	\N	\N	\N
173047	580	1996-10-31	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
173048	580	1996-11-30	VYDAJ	VYBER	15	21947	SLUZBY	\N	\N
173049	580	1996-12-31	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
173050	580	1997-01-31	VYDAJ	VYBER	15	20292	SLUZBY	\N	\N
173051	580	1997-02-28	VYDAJ	VYBER	15	21616	SLUZBY	\N	\N
173052	580	1997-03-31	VYDAJ	VYBER	15	20502	SLUZBY	\N	\N
173053	580	1997-04-30	VYDAJ	VYBER	15	20223	SLUZBY	\N	\N
173054	580	1997-05-31	VYDAJ	VYBER	15	17602	SLUZBY	\N	\N
173055	580	1997-06-30	VYDAJ	VYBER	15	25900	SLUZBY	\N	\N
173056	580	1997-07-31	VYDAJ	VYBER	15	24239	SLUZBY	\N	\N
173057	580	1997-08-31	VYDAJ	VYBER	15	25186	SLUZBY	\N	\N
173058	580	1997-09-30	VYDAJ	VYBER	15	23622	SLUZBY	\N	\N
173059	580	1997-10-31	VYDAJ	VYBER	15	22953	SLUZBY	\N	\N
173060	580	1997-11-30	VYDAJ	VYBER	15	21746	SLUZBY	\N	\N
173061	580	1997-12-31	VYDAJ	VYBER	15	26792	SLUZBY	\N	\N
173062	580	1998-01-31	VYDAJ	VYBER	15	28037	SLUZBY	\N	\N
173063	580	1998-02-28	VYDAJ	VYBER	15	30495	SLUZBY	\N	\N
173064	580	1998-03-31	VYDAJ	VYBER	15	29152	SLUZBY	\N	\N
173065	580	1998-04-30	VYDAJ	VYBER	15	28906	SLUZBY	\N	\N
173066	580	1998-05-31	VYDAJ	VYBER	15	28459	SLUZBY	\N	\N
173067	580	1998-06-30	VYDAJ	VYBER	15	23604	SLUZBY	\N	\N
173068	580	1998-07-31	VYDAJ	VYBER	15	27455	SLUZBY	\N	\N
173069	580	1998-08-31	VYDAJ	VYBER	15	31255	SLUZBY	\N	\N
173070	580	1998-09-30	VYDAJ	VYBER	15	31118	SLUZBY	\N	\N
173071	580	1998-10-31	VYDAJ	VYBER	15	29675	SLUZBY	\N	\N
173072	580	1998-11-30	VYDAJ	VYBER	15	29229	SLUZBY	\N	\N
173073	580	1996-06-19	PRIJEM	VKLAD	6300	18695	\N	\N	\N
173074	580	1996-07-19	PRIJEM	VKLAD	500	27156	\N	\N	\N
173075	580	1996-08-18	VYDAJ	VYBER	5100	30079	\N	\N	\N
173076	580	1996-09-17	VYDAJ	VYBER	8900	29228	\N	\N	\N
173077	580	1996-10-17	VYDAJ	VYBER	8400	25310	\N	\N	\N
173078	580	1996-11-16	VYDAJ	VYBER	6200	21856	\N	\N	\N
173079	580	1996-12-16	VYDAJ	VYBER	4900	19496	\N	\N	\N
173080	580	1997-01-15	VYDAJ	VYBER	2000	20217	\N	\N	\N
173081	580	1997-02-14	VYDAJ	VYBER	1400	21536	\N	\N	\N
173082	580	1997-03-16	VYDAJ	VYBER	1800	22460	\N	\N	\N
173083	580	1997-04-15	VYDAJ	VYBER	3000	20146	\N	\N	\N
173084	580	1997-05-15	PRIJEM	VKLAD	300	23167	\N	\N	\N
173085	580	1997-06-14	PRIJEM	VKLAD	1600	25811	\N	\N	\N
173086	580	1997-07-14	VYDAJ	VYBER	4400	24144	\N	\N	\N
173087	580	1997-08-13	VYDAJ	VYBER	1800	28654	\N	\N	\N
173088	580	1997-09-12	VYDAJ	VYBER	4300	27101	\N	\N	\N
173089	580	1997-10-12	VYDAJ	VYBER	3400	26437	\N	\N	\N
173090	580	1997-11-11	VYDAJ	VYBER	1300	27868	\N	\N	\N
173091	580	1997-12-11	PRIJEM	VKLAD	900	30266	\N	\N	\N
173092	580	1998-01-10	PRIJEM	VKLAD	3900	31507	\N	\N	\N
173093	580	1998-02-09	VYDAJ	VYBER	300	33952	\N	\N	\N
173094	580	1998-03-11	VYDAJ	VYBER	4100	32610	\N	\N	\N
173095	580	1998-04-10	VYDAJ	VYBER	3000	32367	\N	\N	\N
173096	580	1998-05-10	VYDAJ	VYBER	3200	31921	\N	\N	\N
173097	580	1998-06-09	PRIJEM	VKLAD	8200	27799	\N	\N	\N
173098	580	1998-07-09	PRIJEM	VKLAD	5300	35119	\N	\N	\N
173099	580	1998-08-08	PRIJEM	VKLAD	4400	38070	\N	\N	\N
173100	580	1998-09-07	VYDAJ	VYBER	1100	36370	\N	\N	\N
173101	580	1998-10-07	VYDAJ	VYBER	4200	33133	\N	\N	\N
173102	580	1998-11-06	VYDAJ	VYBER	3200	32690	\N	\N	\N
173103	580	1998-12-06	VYDAJ	VYBER	3700	33309	\N	\N	\N
173135	581	1996-10-13	PRIJEM	VKLAD	500	500	\N	\N	\N
173146	581	1996-11-07	PRIJEM	PREVOD Z UCTU	4890	5390	DUCHOD	WX	22331387
173147	581	1996-12-07	PRIJEM	PREVOD Z UCTU	4890	10280	DUCHOD	WX	22331387
173148	581	1997-01-07	PRIJEM	PREVOD Z UCTU	4890	15170	DUCHOD	WX	22331387
173149	581	1997-02-07	PRIJEM	PREVOD Z UCTU	4890	20060	DUCHOD	WX	22331387
173150	581	1997-03-07	PRIJEM	PREVOD Z UCTU	4890	24950	DUCHOD	WX	22331387
173151	581	1997-04-07	PRIJEM	PREVOD Z UCTU	4890	27789	DUCHOD	WX	22331387
173152	581	1997-05-07	PRIJEM	PREVOD Z UCTU	4890	28573	DUCHOD	WX	22331387
173153	581	1997-06-07	PRIJEM	PREVOD Z UCTU	4890	32064	DUCHOD	WX	22331387
173154	581	1997-07-07	PRIJEM	PREVOD Z UCTU	4890	19657	DUCHOD	WX	22331387
173155	581	1997-08-07	PRIJEM	PREVOD Z UCTU	4890	19909	DUCHOD	WX	22331387
173156	581	1997-09-07	PRIJEM	PREVOD Z UCTU	4890	23363	DUCHOD	WX	22331387
173157	581	1997-10-07	PRIJEM	PREVOD Z UCTU	4890	26831	DUCHOD	WX	22331387
173158	581	1997-11-07	PRIJEM	PREVOD Z UCTU	4890	30313	DUCHOD	WX	22331387
173159	581	1997-12-07	PRIJEM	PREVOD Z UCTU	4890	31405	DUCHOD	WX	22331387
173160	581	1998-01-07	PRIJEM	PREVOD Z UCTU	4890	33755	DUCHOD	WX	22331387
173161	581	1998-02-07	PRIJEM	PREVOD Z UCTU	4890	34610	DUCHOD	WX	22331387
173162	581	1998-03-07	PRIJEM	PREVOD Z UCTU	4890	38125	DUCHOD	WX	22331387
173163	581	1998-04-07	PRIJEM	PREVOD Z UCTU	4890	41173	DUCHOD	WX	22331387
173164	581	1998-05-07	PRIJEM	PREVOD Z UCTU	4890	44715	DUCHOD	WX	22331387
173165	581	1998-06-07	PRIJEM	PREVOD Z UCTU	4890	48272	DUCHOD	WX	22331387
173166	581	1998-07-07	PRIJEM	PREVOD Z UCTU	4890	43389	DUCHOD	WX	22331387
173167	581	1998-08-07	PRIJEM	PREVOD Z UCTU	4890	46940	DUCHOD	WX	22331387
173168	581	1998-09-07	PRIJEM	PREVOD Z UCTU	4890	48666	DUCHOD	WX	22331387
173169	581	1998-10-07	PRIJEM	PREVOD Z UCTU	4890	52239	DUCHOD	WX	22331387
173170	581	1998-11-07	PRIJEM	PREVOD Z UCTU	4890	55327	DUCHOD	WX	22331387
173171	581	1998-12-07	PRIJEM	PREVOD Z UCTU	4890	52228	DUCHOD	WX	22331387
173187	581	1997-04-05	VYDAJ	PREVOD NA UCET	1502	22899	SIPO	KL	62047934
173188	581	1997-05-05	VYDAJ	PREVOD NA UCET	1502	23683	SIPO	KL	62047934
173189	581	1997-06-05	VYDAJ	PREVOD NA UCET	1502	27174	SIPO	KL	62047934
173190	581	1997-07-05	VYDAJ	PREVOD NA UCET	1502	14767	SIPO	KL	62047934
173191	581	1997-08-05	VYDAJ	PREVOD NA UCET	1502	15019	SIPO	KL	62047934
173192	581	1997-09-05	VYDAJ	PREVOD NA UCET	1502	18473	SIPO	KL	62047934
173193	581	1997-10-05	VYDAJ	PREVOD NA UCET	1502	21941	SIPO	KL	62047934
173194	581	1997-11-05	VYDAJ	PREVOD NA UCET	1502	25423	SIPO	KL	62047934
173195	581	1997-12-05	VYDAJ	PREVOD NA UCET	1502	26515	SIPO	KL	62047934
173196	581	1998-01-05	VYDAJ	PREVOD NA UCET	1502	28865	SIPO	KL	62047934
173197	581	1998-02-05	VYDAJ	PREVOD NA UCET	1502	29720	SIPO	KL	62047934
173198	581	1998-03-05	VYDAJ	PREVOD NA UCET	1502	33235	SIPO	KL	62047934
173199	581	1998-04-05	VYDAJ	PREVOD NA UCET	1502	36283	SIPO	KL	62047934
173200	581	1998-05-05	VYDAJ	PREVOD NA UCET	1502	39825	SIPO	KL	62047934
173201	581	1998-06-05	VYDAJ	PREVOD NA UCET	1502	43382	SIPO	KL	62047934
173202	581	1998-07-05	VYDAJ	PREVOD NA UCET	1502	38499	SIPO	KL	62047934
173435	582	1996-01-19	VYDAJ	VYBER	720	13195	\N	\N	\N
173203	581	1998-08-05	VYDAJ	PREVOD NA UCET	1502	42050	SIPO	KL	62047934
173204	581	1998-09-05	VYDAJ	PREVOD NA UCET	1502	43776	SIPO	KL	62047934
173205	581	1998-10-05	VYDAJ	PREVOD NA UCET	1502	47349	SIPO	KL	62047934
173206	581	1998-11-05	VYDAJ	PREVOD NA UCET	1502	50437	SIPO	KL	62047934
173207	581	1998-12-05	VYDAJ	PREVOD NA UCET	1502	47338	SIPO	KL	62047934
173209	581	1997-06-12	VYDAJ	VYBER	12350	19714	\N	\N	\N
173210	581	1998-06-27	VYDAJ	VYBER	8450	39822	\N	\N	\N
173213	581	1998-01-15	VYDAJ	VYBER	2650	31105	\N	\N	\N
173215	581	1997-12-21	VYDAJ	VYBER	1150	30255	\N	\N	\N
173216	581	1998-12-12	VYDAJ	VYBER	750	51478	\N	\N	\N
173224	581	1997-06-13	VYDAJ	VYBER	3520	16194	\N	\N	\N
173225	581	1997-05-05	VYDAJ	VYBER	2000	25185	\N	\N	\N
173226	581	1997-11-17	VYDAJ	VYBER	2400	27913	\N	\N	\N
173227	581	1997-07-31	VYDAJ	VYBER	3200	16521	\N	\N	\N
173228	581	1998-08-30	VYDAJ	VYBER	1840	45100	\N	\N	\N
173229	581	1998-03-20	VYDAJ	VYBER	480	37645	\N	\N	\N
173245	581	1997-03-31	VYDAJ	VYBER	15	24401	SLUZBY	\N	\N
173246	581	1997-04-30	VYDAJ	VYBER	15	27185	SLUZBY	\N	\N
173247	581	1997-05-31	VYDAJ	VYBER	15	28676	SLUZBY	\N	\N
173248	581	1997-06-30	VYDAJ	VYBER	15	16269	SLUZBY	\N	\N
173249	581	1997-07-31	VYDAJ	VYBER	15	19721	SLUZBY	\N	\N
173250	581	1997-08-31	VYDAJ	VYBER	15	19975	SLUZBY	\N	\N
173251	581	1997-09-30	VYDAJ	VYBER	15	23443	SLUZBY	\N	\N
173252	581	1997-10-31	VYDAJ	VYBER	15	26925	SLUZBY	\N	\N
173253	581	1997-11-30	VYDAJ	VYBER	15	28017	SLUZBY	\N	\N
173254	581	1997-12-31	VYDAJ	VYBER	15	30367	SLUZBY	\N	\N
173255	581	1998-01-31	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
173256	581	1998-02-28	VYDAJ	VYBER	15	34737	SLUZBY	\N	\N
173257	581	1998-03-31	VYDAJ	VYBER	15	37785	SLUZBY	\N	\N
173258	581	1998-04-30	VYDAJ	VYBER	15	41327	SLUZBY	\N	\N
173259	581	1998-05-31	VYDAJ	VYBER	15	44884	SLUZBY	\N	\N
173260	581	1998-06-30	VYDAJ	VYBER	15	40001	SLUZBY	\N	\N
173261	581	1998-07-31	VYDAJ	VYBER	15	43552	SLUZBY	\N	\N
173262	581	1998-08-31	VYDAJ	VYBER	15	45278	SLUZBY	\N	\N
173263	581	1998-09-30	VYDAJ	VYBER	15	48851	SLUZBY	\N	\N
173264	581	1998-10-31	VYDAJ	VYBER	15	52439	SLUZBY	\N	\N
173265	581	1998-11-30	VYDAJ	VYBER	15	55540	SLUZBY	\N	\N
173266	581	1997-03-12	VYDAJ	VYBER	600	24350	\N	\N	\N
173267	581	1997-04-11	VYDAJ	VYBER	700	27089	\N	\N	\N
173268	581	1998-11-02	VYDAJ	VYBER	500	51939	\N	\N	\N
173269	581	1998-12-02	VYDAJ	VYBER	6700	48840	\N	\N	\N
173292	582	1994-08-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
173300	582	1994-08-09	PRIJEM	PREVOD Z UCTU	4218	5318	DUCHOD	ST	69371205
173301	582	1994-09-09	PRIJEM	PREVOD Z UCTU	4218	9552	DUCHOD	ST	69371205
173302	582	1994-10-09	PRIJEM	PREVOD Z UCTU	4218	13793	DUCHOD	ST	69371205
173303	582	1994-11-09	PRIJEM	PREVOD Z UCTU	4218	18033	DUCHOD	ST	69371205
173304	582	1994-12-09	PRIJEM	PREVOD Z UCTU	4218	22273	DUCHOD	ST	69371205
173305	582	1995-01-09	PRIJEM	PREVOD Z UCTU	4218	21138	DUCHOD	ST	69371205
173306	582	1995-02-09	PRIJEM	PREVOD Z UCTU	4218	17159	DUCHOD	ST	69371205
173307	582	1995-03-09	PRIJEM	PREVOD Z UCTU	4218	18608	DUCHOD	ST	69371205
173308	582	1995-04-09	PRIJEM	PREVOD Z UCTU	4218	20064	DUCHOD	ST	69371205
173309	582	1995-05-09	PRIJEM	PREVOD Z UCTU	4218	21525	DUCHOD	ST	69371205
173310	582	1995-06-09	PRIJEM	PREVOD Z UCTU	4218	22993	DUCHOD	ST	69371205
173311	582	1995-07-09	PRIJEM	PREVOD Z UCTU	4218	16795	DUCHOD	ST	69371205
173312	582	1995-08-09	PRIJEM	PREVOD Z UCTU	4218	18243	DUCHOD	ST	69371205
173313	582	1995-09-09	PRIJEM	PREVOD Z UCTU	4218	17196	DUCHOD	ST	69371205
173314	582	1995-10-09	PRIJEM	PREVOD Z UCTU	4218	16845	DUCHOD	ST	69371205
173315	582	1995-11-09	PRIJEM	PREVOD Z UCTU	4218	16693	DUCHOD	ST	69371205
173316	582	1995-12-09	PRIJEM	PREVOD Z UCTU	4218	17258	DUCHOD	ST	69371205
173317	582	1996-01-09	PRIJEM	PREVOD Z UCTU	4218	17607	DUCHOD	ST	69371205
173318	582	1996-02-09	PRIJEM	PREVOD Z UCTU	4218	17456	DUCHOD	ST	69371205
173319	582	1996-03-09	PRIJEM	PREVOD Z UCTU	4218	17406	DUCHOD	ST	69371205
173320	582	1996-04-09	PRIJEM	PREVOD Z UCTU	4218	17896	DUCHOD	ST	69371205
173321	582	1996-05-09	PRIJEM	PREVOD Z UCTU	4218	16648	DUCHOD	ST	69371205
173322	582	1996-06-09	PRIJEM	PREVOD Z UCTU	4218	18095	DUCHOD	ST	69371205
173323	582	1996-07-09	PRIJEM	PREVOD Z UCTU	4218	15345	DUCHOD	ST	69371205
173324	582	1996-08-09	PRIJEM	PREVOD Z UCTU	4218	16787	DUCHOD	ST	69371205
173325	582	1996-09-09	PRIJEM	PREVOD Z UCTU	4218	18234	DUCHOD	ST	69371205
173326	582	1996-10-09	PRIJEM	PREVOD Z UCTU	4218	15483	DUCHOD	ST	69371205
173327	582	1996-11-09	PRIJEM	PREVOD Z UCTU	4218	16926	DUCHOD	ST	69371205
173328	582	1996-12-09	PRIJEM	PREVOD Z UCTU	4218	18374	DUCHOD	ST	69371205
173329	582	1997-01-09	PRIJEM	PREVOD Z UCTU	4218	17708	DUCHOD	ST	69371205
173330	582	1997-02-09	PRIJEM	PREVOD Z UCTU	4218	16914	DUCHOD	ST	69371205
173331	582	1997-03-09	PRIJEM	PREVOD Z UCTU	4218	18362	DUCHOD	ST	69371205
173332	582	1997-04-09	PRIJEM	PREVOD Z UCTU	4218	19816	DUCHOD	ST	69371205
173333	582	1997-05-09	PRIJEM	PREVOD Z UCTU	4218	19913	DUCHOD	ST	69371205
173334	582	1997-06-09	PRIJEM	PREVOD Z UCTU	4218	21373	DUCHOD	ST	69371205
173335	582	1997-07-09	PRIJEM	PREVOD Z UCTU	4218	22840	DUCHOD	ST	69371205
173336	582	1997-08-09	PRIJEM	PREVOD Z UCTU	4218	24312	DUCHOD	ST	69371205
173337	582	1997-09-09	PRIJEM	PREVOD Z UCTU	4218	24589	DUCHOD	ST	69371205
173338	582	1997-10-09	PRIJEM	PREVOD Z UCTU	4218	26069	DUCHOD	ST	69371205
173339	582	1997-11-09	PRIJEM	PREVOD Z UCTU	4218	27555	DUCHOD	ST	69371205
173340	582	1997-12-09	PRIJEM	PREVOD Z UCTU	4218	23914	DUCHOD	ST	69371205
173341	582	1998-01-09	PRIJEM	PREVOD Z UCTU	4218	23792	DUCHOD	ST	69371205
173342	582	1998-02-09	PRIJEM	PREVOD Z UCTU	4218	19255	DUCHOD	ST	69371205
173343	582	1998-03-09	PRIJEM	PREVOD Z UCTU	4218	20712	DUCHOD	ST	69371205
173344	582	1998-04-09	PRIJEM	PREVOD Z UCTU	4218	22175	DUCHOD	ST	69371205
173345	582	1998-05-09	PRIJEM	PREVOD Z UCTU	4218	23645	DUCHOD	ST	69371205
173346	582	1998-06-09	PRIJEM	PREVOD Z UCTU	4218	22159	DUCHOD	ST	69371205
173347	582	1998-07-09	PRIJEM	PREVOD Z UCTU	4218	21376	DUCHOD	ST	69371205
173348	582	1998-08-09	PRIJEM	PREVOD Z UCTU	4218	19640	DUCHOD	ST	69371205
173349	582	1998-09-09	PRIJEM	PREVOD Z UCTU	4218	21099	DUCHOD	ST	69371205
173350	582	1998-10-09	PRIJEM	PREVOD Z UCTU	4218	22564	DUCHOD	ST	69371205
173351	582	1998-11-09	PRIJEM	PREVOD Z UCTU	4218	24035	DUCHOD	ST	69371205
173352	582	1998-12-09	PRIJEM	PREVOD Z UCTU	4218	23982	DUCHOD	ST	69371205
173364	582	1994-12-10	VYDAJ	PREVOD NA UCET	2812	19461	SIPO	KL	94775294
173365	582	1995-01-10	VYDAJ	PREVOD NA UCET	2812	18326	SIPO	KL	94775294
173366	582	1995-02-10	VYDAJ	PREVOD NA UCET	2812	14347	SIPO	KL	94775294
173367	582	1995-03-10	VYDAJ	PREVOD NA UCET	2812	15796	SIPO	KL	94775294
173368	582	1995-04-10	VYDAJ	PREVOD NA UCET	2812	17252	SIPO	KL	94775294
173369	582	1995-05-10	VYDAJ	PREVOD NA UCET	2812	18713	SIPO	KL	94775294
173370	582	1995-06-10	VYDAJ	PREVOD NA UCET	2812	12531	SIPO	KL	94775294
173371	582	1995-07-10	VYDAJ	PREVOD NA UCET	2812	13983	SIPO	KL	94775294
173372	582	1995-08-10	VYDAJ	PREVOD NA UCET	2812	15431	SIPO	KL	94775294
173373	582	1995-09-10	VYDAJ	PREVOD NA UCET	2812	14384	SIPO	KL	94775294
173374	582	1995-10-10	VYDAJ	PREVOD NA UCET	2812	14033	SIPO	KL	94775294
173375	582	1995-11-10	VYDAJ	PREVOD NA UCET	2812	13001	SIPO	KL	94775294
173376	582	1995-12-10	VYDAJ	PREVOD NA UCET	2812	14446	SIPO	KL	94775294
173377	582	1996-01-10	VYDAJ	PREVOD NA UCET	2812	13915	SIPO	KL	94775294
173378	582	1996-02-10	VYDAJ	PREVOD NA UCET	2812	14644	SIPO	KL	94775294
173379	582	1996-03-10	VYDAJ	PREVOD NA UCET	2812	14594	SIPO	KL	94775294
173380	582	1996-04-10	VYDAJ	PREVOD NA UCET	2812	15084	SIPO	KL	94775294
173381	582	1996-05-10	VYDAJ	PREVOD NA UCET	2812	13836	SIPO	KL	94775294
173382	582	1996-06-10	VYDAJ	PREVOD NA UCET	2812	15283	SIPO	KL	94775294
173383	582	1996-07-10	VYDAJ	PREVOD NA UCET	2812	12533	SIPO	KL	94775294
173384	582	1996-08-10	VYDAJ	PREVOD NA UCET	2812	13975	SIPO	KL	94775294
173385	582	1996-09-10	VYDAJ	PREVOD NA UCET	2812	15422	SIPO	KL	94775294
173386	582	1996-10-10	VYDAJ	PREVOD NA UCET	2812	12671	SIPO	KL	94775294
173387	582	1996-11-10	VYDAJ	PREVOD NA UCET	2812	14114	SIPO	KL	94775294
173388	582	1996-12-10	VYDAJ	PREVOD NA UCET	2812	15562	SIPO	KL	94775294
173389	582	1997-01-10	VYDAJ	PREVOD NA UCET	2812	12656	SIPO	KL	94775294
173390	582	1997-02-10	VYDAJ	PREVOD NA UCET	2812	14102	SIPO	KL	94775294
173391	582	1997-03-10	VYDAJ	PREVOD NA UCET	2812	15550	SIPO	KL	94775294
173392	582	1997-04-10	VYDAJ	PREVOD NA UCET	2812	17004	SIPO	KL	94775294
173393	582	1997-05-10	VYDAJ	PREVOD NA UCET	2812	17101	SIPO	KL	94775294
173394	582	1997-06-10	VYDAJ	PREVOD NA UCET	2812	18561	SIPO	KL	94775294
173395	582	1997-07-10	VYDAJ	PREVOD NA UCET	2812	20028	SIPO	KL	94775294
173396	582	1997-08-10	VYDAJ	PREVOD NA UCET	2812	21500	SIPO	KL	94775294
173397	582	1997-09-10	VYDAJ	PREVOD NA UCET	2812	21777	SIPO	KL	94775294
173398	582	1997-10-10	VYDAJ	PREVOD NA UCET	2812	23257	SIPO	KL	94775294
173399	582	1997-11-10	VYDAJ	PREVOD NA UCET	2812	24743	SIPO	KL	94775294
173400	582	1997-12-10	VYDAJ	PREVOD NA UCET	2812	21102	SIPO	KL	94775294
173401	582	1998-01-10	VYDAJ	PREVOD NA UCET	2812	19300	SIPO	KL	94775294
173402	582	1998-02-10	VYDAJ	PREVOD NA UCET	2812	16443	SIPO	KL	94775294
173403	582	1998-03-10	VYDAJ	PREVOD NA UCET	2812	17900	SIPO	KL	94775294
173404	582	1998-04-10	VYDAJ	PREVOD NA UCET	2812	19363	SIPO	KL	94775294
173405	582	1998-05-10	VYDAJ	PREVOD NA UCET	2812	20833	SIPO	KL	94775294
173406	582	1998-06-10	VYDAJ	PREVOD NA UCET	2812	19347	SIPO	KL	94775294
173407	582	1998-07-10	VYDAJ	PREVOD NA UCET	2812	18564	SIPO	KL	94775294
173408	582	1998-08-10	VYDAJ	PREVOD NA UCET	2812	16828	SIPO	KL	94775294
173409	582	1998-09-10	VYDAJ	PREVOD NA UCET	2812	18287	SIPO	KL	94775294
173410	582	1998-10-10	VYDAJ	PREVOD NA UCET	2812	19752	SIPO	KL	94775294
173411	582	1998-11-10	VYDAJ	PREVOD NA UCET	2812	21223	SIPO	KL	94775294
173412	582	1998-12-10	VYDAJ	PREVOD NA UCET	2812	21170	SIPO	KL	94775294
173414	582	1995-06-09	VYDAJ	VYBER	7650	15343	\N	\N	\N
173417	582	1998-06-22	VYDAJ	VYBER	2250	17097	\N	\N	\N
173418	582	1994-12-28	VYDAJ	VYBER	350	19111	\N	\N	\N
173419	582	1995-12-15	VYDAJ	VYBER	300	14146	\N	\N	\N
173420	582	1996-12-30	VYDAJ	VYBER	1000	14562	\N	\N	\N
173421	582	1997-12-01	VYDAJ	VYBER	250	19696	\N	\N	\N
173422	582	1998-12-05	VYDAJ	VYBER	1050	20244	\N	\N	\N
173429	582	1995-01-27	VYDAJ	VYBER	1040	12886	\N	\N	\N
173431	582	1995-01-05	VYDAJ	VYBER	2240	16920	\N	\N	\N
173432	582	1995-01-22	VYDAJ	VYBER	1360	13926	\N	\N	\N
173433	582	1995-01-19	VYDAJ	VYBER	1920	15286	\N	\N	\N
173434	582	1995-01-18	VYDAJ	VYBER	1120	17206	\N	\N	\N
173438	582	1996-01-06	VYDAJ	VYBER	800	13389	\N	\N	\N
173439	582	1996-01-09	VYDAJ	VYBER	880	16727	\N	\N	\N
173441	582	1997-01-09	VYDAJ	VYBER	2240	15468	\N	\N	\N
173445	582	1997-01-08	VYDAJ	VYBER	1120	13490	\N	\N	\N
173447	582	1998-01-09	VYDAJ	VYBER	1680	22112	\N	\N	\N
173448	582	1998-01-04	VYDAJ	VYBER	880	19574	\N	\N	\N
173449	582	1998-01-11	VYDAJ	VYBER	1760	17540	\N	\N	\N
173450	582	1998-01-13	VYDAJ	VYBER	1280	16260	\N	\N	\N
173451	582	1998-01-01	VYDAJ	VYBER	720	20454	\N	\N	\N
173452	582	1998-01-25	VYDAJ	VYBER	1280	14980	\N	\N	\N
173458	582	1995-11-09	VYDAJ	VYBER	880	15813	\N	\N	\N
173461	582	1996-04-08	VYDAJ	VYBER	960	13678	\N	\N	\N
173464	582	1997-04-11	VYDAJ	VYBER	1360	15644	\N	\N	\N
173465	582	1997-08-20	VYDAJ	VYBER	1200	20300	\N	\N	\N
173466	582	1997-11-25	VYDAJ	VYBER	3200	21543	\N	\N	\N
173467	582	1997-11-29	VYDAJ	VYBER	1680	19863	\N	\N	\N
173468	582	1998-12-08	VYDAJ	VYBER	480	19764	\N	\N	\N
173469	582	1998-07-29	VYDAJ	VYBER	3200	15364	\N	\N	\N
173470	582	1998-05-29	VYDAJ	VYBER	2960	17873	\N	\N	\N
173483	582	1994-12-31	VYDAJ	VYBER	15	19160	SLUZBY	\N	\N
173484	582	1995-01-31	VYDAJ	VYBER	15	12941	SLUZBY	\N	\N
173485	582	1995-02-28	VYDAJ	VYBER	15	14390	SLUZBY	\N	\N
173486	582	1995-03-31	VYDAJ	VYBER	15	15846	SLUZBY	\N	\N
173487	582	1995-04-30	VYDAJ	VYBER	15	17307	SLUZBY	\N	\N
173488	582	1995-05-31	VYDAJ	VYBER	15	18775	SLUZBY	\N	\N
173489	582	1995-06-30	VYDAJ	VYBER	15	12577	SLUZBY	\N	\N
173490	582	1995-07-31	VYDAJ	VYBER	15	14025	SLUZBY	\N	\N
173491	582	1995-08-31	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
173492	582	1995-09-30	VYDAJ	VYBER	15	12627	SLUZBY	\N	\N
173493	582	1995-10-31	VYDAJ	VYBER	15	12475	SLUZBY	\N	\N
173494	582	1995-11-30	VYDAJ	VYBER	15	13040	SLUZBY	\N	\N
173495	582	1995-12-31	VYDAJ	VYBER	15	14189	SLUZBY	\N	\N
173496	582	1996-01-31	VYDAJ	VYBER	15	13238	SLUZBY	\N	\N
173497	582	1996-02-29	VYDAJ	VYBER	15	13188	SLUZBY	\N	\N
173498	582	1996-03-31	VYDAJ	VYBER	15	14638	SLUZBY	\N	\N
173499	582	1996-04-30	VYDAJ	VYBER	15	12430	SLUZBY	\N	\N
173500	582	1996-05-31	VYDAJ	VYBER	15	13877	SLUZBY	\N	\N
173501	582	1996-06-30	VYDAJ	VYBER	15	11127	SLUZBY	\N	\N
173502	582	1996-07-31	VYDAJ	VYBER	15	12569	SLUZBY	\N	\N
173503	582	1996-08-31	VYDAJ	VYBER	15	14016	SLUZBY	\N	\N
173504	582	1996-09-30	VYDAJ	VYBER	15	11265	SLUZBY	\N	\N
173505	582	1996-10-31	VYDAJ	VYBER	15	12708	SLUZBY	\N	\N
173506	582	1996-11-30	VYDAJ	VYBER	15	14156	SLUZBY	\N	\N
173507	582	1996-12-31	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
173508	582	1997-01-31	VYDAJ	VYBER	15	12696	SLUZBY	\N	\N
173509	582	1997-02-28	VYDAJ	VYBER	15	14144	SLUZBY	\N	\N
173510	582	1997-03-31	VYDAJ	VYBER	15	15598	SLUZBY	\N	\N
173511	582	1997-04-30	VYDAJ	VYBER	15	15695	SLUZBY	\N	\N
173512	582	1997-05-31	VYDAJ	VYBER	15	17155	SLUZBY	\N	\N
173513	582	1997-06-30	VYDAJ	VYBER	15	18622	SLUZBY	\N	\N
173514	582	1997-07-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
173515	582	1997-08-31	VYDAJ	VYBER	15	20371	SLUZBY	\N	\N
173516	582	1997-09-30	VYDAJ	VYBER	15	21851	SLUZBY	\N	\N
173517	582	1997-10-31	VYDAJ	VYBER	15	23337	SLUZBY	\N	\N
173518	582	1997-11-30	VYDAJ	VYBER	15	19946	SLUZBY	\N	\N
173519	582	1997-12-31	VYDAJ	VYBER	15	21174	SLUZBY	\N	\N
173520	582	1998-01-31	VYDAJ	VYBER	15	15037	SLUZBY	\N	\N
173521	582	1998-02-28	VYDAJ	VYBER	15	16494	SLUZBY	\N	\N
173522	582	1998-03-31	VYDAJ	VYBER	15	17957	SLUZBY	\N	\N
173523	582	1998-04-30	VYDAJ	VYBER	15	19427	SLUZBY	\N	\N
173524	582	1998-05-31	VYDAJ	VYBER	15	17941	SLUZBY	\N	\N
173525	582	1998-06-30	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
173526	582	1998-07-31	VYDAJ	VYBER	15	15422	SLUZBY	\N	\N
173527	582	1998-08-31	VYDAJ	VYBER	15	16881	SLUZBY	\N	\N
173528	582	1998-09-30	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
173529	582	1998-10-31	VYDAJ	VYBER	15	19817	SLUZBY	\N	\N
173530	582	1998-11-30	VYDAJ	VYBER	15	21294	SLUZBY	\N	\N
173531	582	1995-08-30	VYDAJ	VYBER	2500	12931	\N	\N	\N
173532	582	1995-09-29	VYDAJ	VYBER	1800	12584	\N	\N	\N
173533	582	1995-10-29	VYDAJ	VYBER	1600	12433	\N	\N	\N
173534	582	1996-02-26	VYDAJ	VYBER	1500	13144	\N	\N	\N
173535	582	1996-04-26	VYDAJ	VYBER	2700	12384	\N	\N	\N
173536	582	1996-06-25	VYDAJ	VYBER	4200	11083	\N	\N	\N
173537	582	1996-09-23	VYDAJ	VYBER	4200	11222	\N	\N	\N
173986	584	1996-07-14	PRIJEM	VKLAD	200	200	\N	\N	\N
173994	584	1996-08-08	PRIJEM	PREVOD Z UCTU	3454	3654	\N	EF	51266139
173995	584	1996-09-08	PRIJEM	PREVOD Z UCTU	3454	16541	\N	EF	51266139
173996	584	1996-10-08	PRIJEM	PREVOD Z UCTU	3454	22566	\N	EF	51266139
173997	584	1996-11-08	PRIJEM	PREVOD Z UCTU	3454	24103	\N	EF	51266139
173998	584	1996-12-08	PRIJEM	PREVOD Z UCTU	3454	24444	\N	EF	51266139
173999	584	1997-01-08	PRIJEM	PREVOD Z UCTU	3454	22244	\N	EF	51266139
174000	584	1997-02-08	PRIJEM	PREVOD Z UCTU	3454	25068	\N	EF	51266139
174001	584	1997-03-08	PRIJEM	PREVOD Z UCTU	3454	23692	\N	EF	51266139
174002	584	1997-04-08	PRIJEM	PREVOD Z UCTU	3454	23269	\N	EF	51266139
174003	584	1997-05-08	PRIJEM	PREVOD Z UCTU	3454	20503	\N	EF	51266139
174004	584	1997-06-08	PRIJEM	PREVOD Z UCTU	3454	19709	\N	EF	51266139
174005	584	1997-07-08	PRIJEM	PREVOD Z UCTU	3454	14900	\N	EF	51266139
174006	584	1997-08-08	PRIJEM	PREVOD Z UCTU	3454	14756	\N	EF	51266139
174007	584	1997-09-08	PRIJEM	PREVOD Z UCTU	3454	13743	\N	EF	51266139
174008	584	1997-10-08	PRIJEM	PREVOD Z UCTU	3454	14929	\N	EF	51266139
174009	584	1997-11-08	PRIJEM	PREVOD Z UCTU	3454	15658	\N	EF	51266139
174010	584	1997-12-08	PRIJEM	PREVOD Z UCTU	3454	14581	\N	EF	51266139
174011	584	1998-01-08	PRIJEM	PREVOD Z UCTU	3454	15771	\N	EF	51266139
174012	584	1998-02-08	PRIJEM	PREVOD Z UCTU	3454	16963	\N	EF	51266139
174013	584	1998-03-08	PRIJEM	PREVOD Z UCTU	3454	16749	\N	EF	51266139
174014	584	1998-04-08	PRIJEM	PREVOD Z UCTU	3454	17948	\N	EF	51266139
174015	584	1998-05-08	PRIJEM	PREVOD Z UCTU	3454	19149	\N	EF	51266139
174016	584	1998-06-08	PRIJEM	PREVOD Z UCTU	3454	20354	\N	EF	51266139
174017	584	1998-07-08	PRIJEM	PREVOD Z UCTU	3454	18467	\N	EF	51266139
174018	584	1998-08-08	PRIJEM	PREVOD Z UCTU	3454	19130	\N	EF	51266139
174019	584	1998-09-08	PRIJEM	PREVOD Z UCTU	3454	15638	\N	EF	51266139
174020	584	1998-10-08	PRIJEM	PREVOD Z UCTU	3454	16835	\N	EF	51266139
174021	584	1998-11-08	PRIJEM	PREVOD Z UCTU	3454	17821	\N	EF	51266139
174022	584	1998-12-08	PRIJEM	PREVOD Z UCTU	3454	17519	\N	EF	51266139
174034	584	1996-12-12	VYDAJ	PREVOD NA UCET	2302	19742	SIPO	MN	76447403
174035	584	1997-01-12	VYDAJ	PREVOD NA UCET	2302	21542	SIPO	MN	76447403
174036	584	1997-02-12	VYDAJ	PREVOD NA UCET	2302	20166	SIPO	MN	76447403
174037	584	1997-03-12	VYDAJ	PREVOD NA UCET	2302	19740	SIPO	MN	76447403
174038	584	1997-04-12	VYDAJ	PREVOD NA UCET	2302	17467	SIPO	MN	76447403
174039	584	1997-05-12	VYDAJ	PREVOD NA UCET	2302	16201	SIPO	MN	76447403
174040	584	1997-06-12	VYDAJ	PREVOD NA UCET	2302	11407	SIPO	MN	76447403
174041	584	1997-07-12	VYDAJ	PREVOD NA UCET	2302	11268	SIPO	MN	76447403
174042	584	1997-08-12	VYDAJ	PREVOD NA UCET	2302	11654	SIPO	MN	76447403
174043	584	1997-09-12	VYDAJ	PREVOD NA UCET	2302	11441	SIPO	MN	76447403
174044	584	1997-10-12	VYDAJ	PREVOD NA UCET	2302	12267	SIPO	MN	76447403
174045	584	1997-11-12	VYDAJ	PREVOD NA UCET	2302	13356	SIPO	MN	76447403
174046	584	1997-12-12	VYDAJ	PREVOD NA UCET	2302	12279	SIPO	MN	76447403
174047	584	1998-01-12	VYDAJ	PREVOD NA UCET	2302	13469	SIPO	MN	76447403
174048	584	1998-02-12	VYDAJ	PREVOD NA UCET	2302	14661	SIPO	MN	76447403
174049	584	1998-03-12	VYDAJ	PREVOD NA UCET	2302	14447	SIPO	MN	76447403
174050	584	1998-04-12	VYDAJ	PREVOD NA UCET	2302	15646	SIPO	MN	76447403
174051	584	1998-05-12	VYDAJ	PREVOD NA UCET	2302	16847	SIPO	MN	76447403
174052	584	1998-06-12	VYDAJ	PREVOD NA UCET	2302	18052	SIPO	MN	76447403
174053	584	1998-07-12	VYDAJ	PREVOD NA UCET	2302	16165	SIPO	MN	76447403
174054	584	1998-08-12	VYDAJ	PREVOD NA UCET	2302	16828	SIPO	MN	76447403
174055	584	1998-09-12	VYDAJ	PREVOD NA UCET	2302	13336	SIPO	MN	76447403
174056	584	1998-10-12	VYDAJ	PREVOD NA UCET	2302	14533	SIPO	MN	76447403
174057	584	1998-11-12	VYDAJ	PREVOD NA UCET	2302	15519	SIPO	MN	76447403
174058	584	1998-12-12	VYDAJ	PREVOD NA UCET	2302	15217	SIPO	MN	76447403
174061	584	1998-06-13	VYDAJ	VYBER	3090	14962	\N	\N	\N
174064	584	1998-12-29	VYDAJ	VYBER	210	15007	\N	\N	\N
174067	584	1996-12-22	VYDAJ	VYBER	1020	18722	\N	\N	\N
174071	584	1997-07-09	VYDAJ	VYBER	930	13970	\N	\N	\N
174072	584	1997-11-24	VYDAJ	VYBER	270	13086	\N	\N	\N
174073	584	1997-04-30	VYDAJ	VYBER	480	17049	\N	\N	\N
174074	584	1997-10-09	VYDAJ	VYBER	360	14569	\N	\N	\N
174075	584	1997-03-12	VYDAJ	VYBER	1350	22042	\N	\N	\N
174076	584	1998-03-07	VYDAJ	VYBER	1410	13295	\N	\N	\N
174077	584	1998-11-04	VYDAJ	VYBER	210	14367	\N	\N	\N
174078	584	1998-11-13	VYDAJ	VYBER	1260	14259	\N	\N	\N
174079	584	1998-08-01	VYDAJ	VYBER	540	15676	\N	\N	\N
174080	584	1998-11-13	VYDAJ	VYBER	240	14019	\N	\N	\N
174093	584	1996-12-31	VYDAJ	VYBER	15	18790	SLUZBY	\N	\N
174094	584	1997-01-31	VYDAJ	VYBER	15	21614	SLUZBY	\N	\N
174095	584	1997-02-28	VYDAJ	VYBER	15	20238	SLUZBY	\N	\N
174096	584	1997-03-31	VYDAJ	VYBER	15	19815	SLUZBY	\N	\N
174097	584	1997-04-30	VYDAJ	VYBER	15	17529	SLUZBY	\N	\N
174098	584	1997-05-31	VYDAJ	VYBER	15	16255	SLUZBY	\N	\N
174099	584	1997-06-30	VYDAJ	VYBER	15	11446	SLUZBY	\N	\N
174100	584	1997-07-31	VYDAJ	VYBER	15	11302	SLUZBY	\N	\N
174101	584	1997-08-31	VYDAJ	VYBER	15	11689	SLUZBY	\N	\N
174102	584	1997-09-30	VYDAJ	VYBER	15	11475	SLUZBY	\N	\N
174103	584	1997-10-31	VYDAJ	VYBER	15	12304	SLUZBY	\N	\N
174104	584	1997-11-30	VYDAJ	VYBER	15	13127	SLUZBY	\N	\N
174105	584	1997-12-31	VYDAJ	VYBER	15	12317	SLUZBY	\N	\N
174106	584	1998-01-31	VYDAJ	VYBER	15	13509	SLUZBY	\N	\N
174107	584	1998-02-28	VYDAJ	VYBER	15	14705	SLUZBY	\N	\N
174108	584	1998-03-31	VYDAJ	VYBER	15	14494	SLUZBY	\N	\N
174109	584	1998-04-30	VYDAJ	VYBER	15	15695	SLUZBY	\N	\N
174110	584	1998-05-31	VYDAJ	VYBER	15	16900	SLUZBY	\N	\N
174111	584	1998-06-30	VYDAJ	VYBER	15	15013	SLUZBY	\N	\N
174112	584	1998-07-31	VYDAJ	VYBER	15	16216	SLUZBY	\N	\N
174113	584	1998-08-31	VYDAJ	VYBER	15	16884	SLUZBY	\N	\N
174114	584	1998-09-30	VYDAJ	VYBER	15	13381	SLUZBY	\N	\N
174115	584	1998-10-31	VYDAJ	VYBER	15	14577	SLUZBY	\N	\N
174116	584	1998-11-30	VYDAJ	VYBER	15	14065	SLUZBY	\N	\N
174117	584	1996-08-13	PRIJEM	VKLAD	9400	13054	\N	\N	\N
174118	584	1996-09-12	PRIJEM	VKLAD	2500	19041	\N	\N	\N
174119	584	1996-10-12	VYDAJ	VYBER	2000	20566	\N	\N	\N
174120	584	1996-11-11	VYDAJ	VYBER	3200	20903	\N	\N	\N
174121	584	1996-12-11	VYDAJ	VYBER	2400	22044	\N	\N	\N
174122	584	1997-01-10	PRIJEM	VKLAD	1600	23844	\N	\N	\N
174123	584	1997-02-09	VYDAJ	VYBER	2600	22468	\N	\N	\N
174124	584	1997-03-11	VYDAJ	VYBER	300	23392	\N	\N	\N
174125	584	1997-04-10	VYDAJ	VYBER	3500	19769	\N	\N	\N
174126	584	1997-05-10	VYDAJ	VYBER	2000	18503	\N	\N	\N
174127	584	1997-06-09	VYDAJ	VYBER	6000	13709	\N	\N	\N
174128	584	1997-07-09	VYDAJ	VYBER	400	13570	\N	\N	\N
174129	584	1997-08-08	VYDAJ	VYBER	800	13956	\N	\N	\N
174130	584	1997-09-07	VYDAJ	VYBER	1400	10289	\N	\N	\N
174131	584	1997-11-06	VYDAJ	VYBER	100	12204	\N	\N	\N
174132	584	1997-12-06	VYDAJ	VYBER	2000	11127	\N	\N	\N
174133	584	1998-09-02	VYDAJ	VYBER	4700	12184	\N	\N	\N
174163	585	1997-09-04	PRIJEM	VKLAD	400	400	\N	\N	\N
174202	585	1997-10-04	PRIJEM	VKLAD	12200	12600	\N	\N	\N
174203	585	1997-11-03	PRIJEM	VKLAD	9100	21700	\N	\N	\N
174204	585	1997-12-03	PRIJEM	VKLAD	5200	26900	\N	\N	\N
174205	585	1998-01-02	VYDAJ	VYBER	4300	22600	\N	\N	\N
174206	585	1998-02-01	VYDAJ	VYBER	600	22000	\N	\N	\N
174207	585	1998-03-03	PRIJEM	VKLAD	100	22100	\N	\N	\N
174208	585	1998-04-02	PRIJEM	VKLAD	2900	25000	\N	\N	\N
174209	585	1998-05-02	PRIJEM	VKLAD	2800	27800	\N	\N	\N
174210	585	1998-06-01	PRIJEM	VKLAD	300	28100	\N	\N	\N
174211	585	1998-07-01	VYDAJ	VYBER	2000	26100	\N	\N	\N
174212	585	1998-07-31	PRIJEM	VKLAD	2600	28700	\N	\N	\N
174213	585	1998-08-30	VYDAJ	VYBER	4500	24204	\N	\N	\N
174214	585	1998-09-29	VYDAJ	VYBER	4000	20323	\N	\N	\N
174215	585	1998-10-29	VYDAJ	VYBER	2400	18043	\N	\N	\N
174216	585	1998-11-28	VYDAJ	VYBER	2000	16163	\N	\N	\N
174221	586	1995-03-16	PRIJEM	VKLAD	900	900	\N	\N	\N
174222	586	1995-04-22	PRIJEM	VKLAD	40286	61102	\N	\N	\N
174223	586	1995-03-17	PRIJEM	VKLAD	14784	15684	\N	\N	\N
174224	586	1996-05-29	PRIJEM	VKLAD	23868	46078	\N	\N	\N
174225	586	1996-07-28	PRIJEM	VKLAD	21080	40559	\N	\N	\N
174226	586	1997-07-30	PRIJEM	VKLAD	27028	49920	\N	\N	\N
174227	586	1997-12-03	PRIJEM	VKLAD	47945	79752	\N	\N	\N
174228	586	1998-04-28	PRIJEM	VKLAD	14681	57282	\N	\N	\N
174229	586	1998-01-05	PRIJEM	VKLAD	49632	100260	\N	\N	\N
174233	586	1995-04-16	PRIJEM	VKLAD	1200	20816	\N	\N	\N
174234	586	1995-05-17	PRIJEM	VKLAD	1200	45928	\N	\N	\N
174235	586	1995-06-13	PRIJEM	VKLAD	1200	47352	\N	\N	\N
174236	586	1995-07-17	PRIJEM	VKLAD	1200	29892	\N	\N	\N
174237	586	1995-08-13	PRIJEM	VKLAD	1200	31203	\N	\N	\N
174238	586	1995-09-14	PRIJEM	VKLAD	1200	27411	\N	\N	\N
174239	586	1995-10-14	PRIJEM	VKLAD	1200	29014	\N	\N	\N
174240	586	1995-11-17	PRIJEM	VKLAD	1200	26166	\N	\N	\N
174241	586	1995-12-15	PRIJEM	VKLAD	1200	21315	\N	\N	\N
174242	586	1996-01-13	PRIJEM	VKLAD	1200	20793	\N	\N	\N
174243	586	1996-02-17	PRIJEM	VKLAD	1200	20060	\N	\N	\N
174244	586	1996-03-13	PRIJEM	VKLAD	1200	19876	\N	\N	\N
174245	586	1996-04-14	PRIJEM	VKLAD	1200	20440	\N	\N	\N
174246	586	1996-05-13	PRIJEM	VKLAD	1200	22210	\N	\N	\N
174247	586	1996-06-13	PRIJEM	VKLAD	1200	32663	\N	\N	\N
174248	586	1996-07-17	PRIJEM	VKLAD	1200	19479	\N	\N	\N
174249	586	1996-08-13	PRIJEM	VKLAD	1200	30629	\N	\N	\N
174250	586	1996-09-15	PRIJEM	VKLAD	1200	24657	\N	\N	\N
174251	586	1996-10-14	PRIJEM	VKLAD	1200	18957	\N	\N	\N
174252	586	1996-11-14	PRIJEM	VKLAD	1200	17623	\N	\N	\N
174253	586	1996-12-14	PRIJEM	VKLAD	1200	18434	\N	\N	\N
174254	586	1997-01-13	PRIJEM	VKLAD	1200	15491	\N	\N	\N
174255	586	1997-02-17	PRIJEM	VKLAD	1200	19391	\N	\N	\N
174256	586	1997-03-15	PRIJEM	VKLAD	1200	18899	\N	\N	\N
174257	586	1997-04-14	PRIJEM	VKLAD	1200	18464	\N	\N	\N
174258	586	1997-05-13	PRIJEM	VKLAD	1200	17127	\N	\N	\N
174259	586	1997-06-14	PRIJEM	VKLAD	1200	17834	\N	\N	\N
174260	586	1997-07-14	PRIJEM	VKLAD	1200	22892	\N	\N	\N
174261	586	1997-08-16	PRIJEM	VKLAD	1200	35998	\N	\N	\N
174262	586	1997-09-15	PRIJEM	VKLAD	1200	31261	\N	\N	\N
174263	586	1997-10-14	PRIJEM	VKLAD	1200	30685	\N	\N	\N
174264	586	1997-11-16	PRIJEM	VKLAD	1200	30799	\N	\N	\N
174265	586	1997-12-13	PRIJEM	VKLAD	1200	80952	\N	\N	\N
174266	586	1998-01-15	PRIJEM	VKLAD	1200	101460	\N	\N	\N
174267	586	1998-02-15	PRIJEM	VKLAD	1200	68006	\N	\N	\N
174268	586	1998-03-17	PRIJEM	VKLAD	1200	49269	\N	\N	\N
174269	586	1998-04-15	PRIJEM	VKLAD	1200	42601	\N	\N	\N
174270	586	1998-05-14	PRIJEM	VKLAD	1200	47742	\N	\N	\N
174271	586	1998-06-13	PRIJEM	VKLAD	1200	33517	\N	\N	\N
174272	586	1998-07-13	PRIJEM	VKLAD	1200	30482	\N	\N	\N
174273	586	1998-08-13	PRIJEM	VKLAD	1200	30588	\N	\N	\N
174274	586	1998-09-16	PRIJEM	VKLAD	1200	33697	\N	\N	\N
174275	586	1998-10-15	PRIJEM	VKLAD	1200	30415	\N	\N	\N
174276	586	1998-11-15	PRIJEM	VKLAD	1200	28322	\N	\N	\N
174277	586	1998-12-17	PRIJEM	VKLAD	1200	22516	\N	\N	\N
174279	586	1996-06-16	VYDAJ	VYBER	7100	25563	\N	\N	\N
174281	586	1998-06-05	VYDAJ	VYBER	7000	32317	\N	\N	\N
174282	586	1995-06-14	VYDAJ	VYBER	11200	36152	\N	\N	\N
174283	586	1996-06-22	VYDAJ	VYBER	10000	15563	\N	\N	\N
174285	586	1998-06-20	VYDAJ	VYBER	14800	18717	\N	\N	\N
174286	586	1995-12-19	VYDAJ	VYBER	1800	19515	\N	\N	\N
174287	586	1996-12-15	VYDAJ	VYBER	1600	16834	\N	\N	\N
174288	586	1997-12-17	VYDAJ	VYBER	2800	76502	\N	\N	\N
174289	586	1998-12-04	VYDAJ	VYBER	1800	22016	\N	\N	\N
174290	586	1995-12-12	VYDAJ	VYBER	1350	20115	\N	\N	\N
174293	586	1995-10-15	VYDAJ	VYBER	750	28264	\N	\N	\N
174295	586	1996-02-20	VYDAJ	VYBER	850	17310	\N	\N	\N
174296	586	1996-10-01	VYDAJ	VYBER	650	24107	\N	\N	\N
174297	586	1996-02-19	VYDAJ	VYBER	1900	18160	\N	\N	\N
174298	586	1996-12-09	VYDAJ	VYBER	950	17234	\N	\N	\N
174299	586	1996-10-04	VYDAJ	VYBER	2050	22057	\N	\N	\N
174300	586	1997-02-11	VYDAJ	VYBER	550	18191	\N	\N	\N
174301	586	1997-01-11	VYDAJ	VYBER	1200	14291	\N	\N	\N
174302	586	1997-01-05	VYDAJ	VYBER	300	15491	\N	\N	\N
174303	586	1997-05-16	VYDAJ	VYBER	350	16777	\N	\N	\N
174304	586	1997-03-14	VYDAJ	VYBER	1650	17699	\N	\N	\N
174305	586	1997-12-14	VYDAJ	VYBER	1650	79302	\N	\N	\N
174306	586	1997-12-30	VYDAJ	VYBER	700	50402	\N	\N	\N
174307	586	1998-01-16	VYDAJ	VYBER	900	100560	\N	\N	\N
174308	586	1998-02-06	VYDAJ	VYBER	250	66806	\N	\N	\N
174309	586	1998-12-09	VYDAJ	VYBER	700	21316	\N	\N	\N
174310	586	1998-06-28	VYDAJ	VYBER	250	29167	\N	\N	\N
174311	586	1998-03-23	VYDAJ	VYBER	1950	47319	\N	\N	\N
174312	586	1998-02-06	VYDAJ	VYBER	300	67056	\N	\N	\N
174313	586	1998-10-03	VYDAJ	VYBER	1300	29215	\N	\N	\N
174314	586	1998-09-21	VYDAJ	VYBER	1000	32697	\N	\N	\N
174321	586	1995-06-30	VYDAJ	VYBER	15	30492	SLUZBY	\N	\N
174322	586	1995-07-31	VYDAJ	VYBER	15	30003	SLUZBY	\N	\N
174323	586	1995-08-31	VYDAJ	VYBER	15	29111	SLUZBY	\N	\N
174324	586	1995-09-30	VYDAJ	VYBER	15	27514	SLUZBY	\N	\N
174325	586	1995-10-31	VYDAJ	VYBER	15	28366	SLUZBY	\N	\N
174326	586	1995-11-30	VYDAJ	VYBER	15	26265	SLUZBY	\N	\N
174327	586	1995-12-31	VYDAJ	VYBER	15	19593	SLUZBY	\N	\N
174328	586	1996-01-31	VYDAJ	VYBER	15	20860	SLUZBY	\N	\N
174329	586	1996-02-29	VYDAJ	VYBER	15	17376	SLUZBY	\N	\N
174330	586	1996-03-31	VYDAJ	VYBER	15	19940	SLUZBY	\N	\N
174331	586	1996-04-30	VYDAJ	VYBER	15	20510	SLUZBY	\N	\N
174332	586	1996-05-31	VYDAJ	VYBER	15	46163	SLUZBY	\N	\N
174333	586	1996-06-30	VYDAJ	VYBER	15	15679	SLUZBY	\N	\N
174334	586	1996-07-31	VYDAJ	VYBER	15	40629	SLUZBY	\N	\N
174335	586	1996-08-31	VYDAJ	VYBER	15	30757	SLUZBY	\N	\N
174336	586	1996-09-30	VYDAJ	VYBER	15	24757	SLUZBY	\N	\N
174337	586	1996-10-31	VYDAJ	VYBER	15	19023	SLUZBY	\N	\N
174338	586	1996-11-30	VYDAJ	VYBER	15	17684	SLUZBY	\N	\N
174339	586	1996-12-31	VYDAJ	VYBER	15	16891	SLUZBY	\N	\N
174340	586	1997-01-31	VYDAJ	VYBER	15	15541	SLUZBY	\N	\N
174341	586	1997-02-28	VYDAJ	VYBER	15	19449	SLUZBY	\N	\N
174342	586	1997-03-31	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
174343	586	1997-04-30	VYDAJ	VYBER	15	18527	SLUZBY	\N	\N
174344	586	1997-05-31	VYDAJ	VYBER	15	16834	SLUZBY	\N	\N
174345	586	1997-06-30	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
174346	586	1997-07-31	VYDAJ	VYBER	15	49998	SLUZBY	\N	\N
174347	586	1997-08-31	VYDAJ	VYBER	15	36161	SLUZBY	\N	\N
174348	586	1997-09-30	VYDAJ	VYBER	15	31385	SLUZBY	\N	\N
174349	586	1997-10-31	VYDAJ	VYBER	15	30799	SLUZBY	\N	\N
174350	586	1997-11-30	VYDAJ	VYBER	15	31807	SLUZBY	\N	\N
174351	586	1997-12-31	VYDAJ	VYBER	15	50628	SLUZBY	\N	\N
174352	586	1998-01-31	VYDAJ	VYBER	15	67356	SLUZBY	\N	\N
174353	586	1998-02-28	VYDAJ	VYBER	15	48069	SLUZBY	\N	\N
174354	586	1998-03-31	VYDAJ	VYBER	15	41401	SLUZBY	\N	\N
174355	586	1998-04-30	VYDAJ	VYBER	15	46542	SLUZBY	\N	\N
174356	586	1998-05-31	VYDAJ	VYBER	15	39317	SLUZBY	\N	\N
174357	586	1998-06-30	VYDAJ	VYBER	15	29282	SLUZBY	\N	\N
174358	586	1998-07-31	VYDAJ	VYBER	15	29388	SLUZBY	\N	\N
174359	586	1998-08-31	VYDAJ	VYBER	15	32497	SLUZBY	\N	\N
174360	586	1998-09-30	VYDAJ	VYBER	15	30515	SLUZBY	\N	\N
174361	586	1998-10-31	VYDAJ	VYBER	15	27122	SLUZBY	\N	\N
174362	586	1998-11-30	VYDAJ	VYBER	15	23816	SLUZBY	\N	\N
174363	586	1995-04-15	PRIJEM	VKLAD	3900	19616	\N	\N	\N
174364	586	1995-05-15	VYDAJ	VYBER	16500	44728	\N	\N	\N
174365	586	1995-06-14	VYDAJ	VYBER	5800	30352	\N	\N	\N
174366	586	1995-07-14	VYDAJ	VYBER	1800	28692	\N	\N	\N
174367	586	1995-08-13	VYDAJ	VYBER	2200	29003	\N	\N	\N
174368	586	1995-09-12	VYDAJ	VYBER	2900	26211	\N	\N	\N
174369	586	1995-10-12	PRIJEM	VKLAD	300	27814	\N	\N	\N
174370	586	1995-11-11	VYDAJ	VYBER	3400	24966	\N	\N	\N
174371	586	1995-12-11	VYDAJ	VYBER	4800	21465	\N	\N	\N
174372	586	1996-02-09	VYDAJ	VYBER	2000	18860	\N	\N	\N
174373	586	1996-03-10	PRIJEM	VKLAD	1300	18676	\N	\N	\N
174374	586	1996-04-09	VYDAJ	VYBER	700	19240	\N	\N	\N
174375	586	1996-05-09	PRIJEM	VKLAD	500	21010	\N	\N	\N
174376	586	1996-06-08	VYDAJ	VYBER	14700	31463	\N	\N	\N
174377	586	1996-07-08	PRIJEM	VKLAD	2600	18279	\N	\N	\N
174378	586	1996-08-07	VYDAJ	VYBER	11200	29429	\N	\N	\N
174379	586	1996-09-06	VYDAJ	VYBER	7300	23457	\N	\N	\N
174380	586	1996-10-06	VYDAJ	VYBER	4300	17757	\N	\N	\N
174381	586	1996-11-05	VYDAJ	VYBER	2600	16423	\N	\N	\N
174382	586	1996-12-05	PRIJEM	VKLAD	500	18184	\N	\N	\N
174383	586	1997-01-04	VYDAJ	VYBER	1100	15791	\N	\N	\N
174384	586	1997-02-03	PRIJEM	VKLAD	3200	18741	\N	\N	\N
174385	586	1997-03-05	VYDAJ	VYBER	100	19349	\N	\N	\N
174386	586	1997-04-04	VYDAJ	VYBER	1700	17264	\N	\N	\N
174387	586	1997-05-04	VYDAJ	VYBER	2600	15927	\N	\N	\N
174388	586	1997-06-03	VYDAJ	VYBER	200	16634	\N	\N	\N
174389	586	1997-07-03	PRIJEM	VKLAD	3800	21692	\N	\N	\N
174390	586	1997-08-02	VYDAJ	VYBER	15200	34798	\N	\N	\N
174391	586	1997-09-01	VYDAJ	VYBER	6100	30061	\N	\N	\N
174392	586	1997-10-01	VYDAJ	VYBER	1900	29485	\N	\N	\N
174393	586	1997-10-31	VYDAJ	VYBER	1200	29599	\N	\N	\N
174394	586	1997-11-30	PRIJEM	VKLAD	900	31822	\N	\N	\N
174395	586	1997-12-30	VYDAJ	VYBER	25400	51102	\N	\N	\N
174396	586	1998-01-29	VYDAJ	VYBER	33500	67060	\N	\N	\N
174397	586	1998-02-28	VYDAJ	VYBER	20200	48083	\N	\N	\N
174398	586	1998-03-30	VYDAJ	VYBER	6100	41219	\N	\N	\N
174399	586	1998-04-29	VYDAJ	VYBER	10900	46382	\N	\N	\N
174400	586	1998-05-29	VYDAJ	VYBER	8600	39142	\N	\N	\N
174401	586	1998-06-28	PRIJEM	VKLAD	10700	29417	\N	\N	\N
174402	586	1998-07-28	VYDAJ	VYBER	1200	29282	\N	\N	\N
174403	586	1998-08-27	PRIJEM	VKLAD	1800	32388	\N	\N	\N
174404	586	1998-09-26	VYDAJ	VYBER	2300	30397	\N	\N	\N
174405	586	1998-10-26	VYDAJ	VYBER	3400	27015	\N	\N	\N
174406	586	1998-11-25	VYDAJ	VYBER	4600	23722	\N	\N	\N
174453	587	1996-06-21	PRIJEM	VKLAD	400	400	\N	\N	\N
174535	587	1996-08-20	PRIJEM	VKLAD	11400	11800	\N	\N	\N
174536	587	1996-09-19	PRIJEM	VKLAD	3300	15100	\N	\N	\N
174537	587	1996-10-19	PRIJEM	VKLAD	4900	20000	\N	\N	\N
174538	587	1996-11-18	PRIJEM	VKLAD	1800	21800	\N	\N	\N
174539	587	1996-12-18	VYDAJ	VYBER	4300	17500	\N	\N	\N
174540	587	1997-01-17	VYDAJ	VYBER	2500	15000	\N	\N	\N
174541	587	1997-02-16	PRIJEM	VKLAD	700	15700	\N	\N	\N
174542	587	1997-03-18	VYDAJ	VYBER	2600	13100	\N	\N	\N
174543	587	1997-04-17	PRIJEM	VKLAD	1100	14200	\N	\N	\N
174544	587	1997-05-17	VYDAJ	VYBER	1100	13100	\N	\N	\N
174545	587	1997-06-16	PRIJEM	VKLAD	1400	14500	\N	\N	\N
174546	587	1997-07-16	VYDAJ	VYBER	600	13900	\N	\N	\N
174547	587	1997-09-14	VYDAJ	VYBER	800	13100	\N	\N	\N
174548	587	1997-10-14	PRIJEM	VKLAD	600	13700	\N	\N	\N
174549	587	1997-11-13	PRIJEM	VKLAD	800	14500	\N	\N	\N
174550	587	1997-12-13	PRIJEM	VKLAD	1200	15700	\N	\N	\N
174551	587	1998-01-12	PRIJEM	VKLAD	200	15900	\N	\N	\N
174552	587	1998-02-11	PRIJEM	VKLAD	1900	17800	\N	\N	\N
174553	587	1998-03-13	PRIJEM	VKLAD	1400	19200	\N	\N	\N
174554	587	1998-04-12	PRIJEM	VKLAD	5400	24600	\N	\N	\N
174555	587	1998-05-12	PRIJEM	VKLAD	3300	27900	\N	\N	\N
174556	587	1998-06-11	VYDAJ	VYBER	3300	24600	\N	\N	\N
174557	587	1998-07-11	PRIJEM	VKLAD	400	25000	\N	\N	\N
174558	587	1998-08-10	PRIJEM	VKLAD	3000	28000	\N	\N	\N
174559	587	1998-09-09	PRIJEM	VKLAD	4500	32500	\N	\N	\N
174560	587	1998-10-09	VYDAJ	VYBER	3200	29300	\N	\N	\N
174561	587	1998-12-08	PRIJEM	VKLAD	4600	33900	\N	\N	\N
174562	588	1993-03-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
174566	588	1993-04-11	PRIJEM	VKLAD	7634	8634	\N	\N	\N
174567	588	1993-05-11	PRIJEM	VKLAD	7634	24510	\N	\N	\N
174568	588	1993-06-11	PRIJEM	VKLAD	11451	35951	\N	\N	\N
174569	588	1993-07-11	PRIJEM	VKLAD	7634	38303	\N	\N	\N
174570	588	1993-08-11	PRIJEM	VKLAD	7634	40269	\N	\N	\N
174571	588	1993-09-11	PRIJEM	VKLAD	7634	33428	\N	\N	\N
174572	588	1993-10-11	PRIJEM	VKLAD	7634	34283	\N	\N	\N
174573	588	1993-11-11	PRIJEM	VKLAD	7634	33842	\N	\N	\N
174574	588	1993-12-11	PRIJEM	VKLAD	11451	39518	\N	\N	\N
174575	588	1994-01-11	PRIJEM	VKLAD	7634	33131	\N	\N	\N
174576	588	1994-02-11	PRIJEM	VKLAD	7634	33120	\N	\N	\N
174577	588	1994-03-11	PRIJEM	VKLAD	7634	34570	\N	\N	\N
174578	588	1994-04-11	PRIJEM	VKLAD	7634	34029	\N	\N	\N
174579	588	1994-05-11	PRIJEM	VKLAD	7634	36088	\N	\N	\N
174580	588	1994-06-11	PRIJEM	VKLAD	11451	37671	\N	\N	\N
174581	588	1994-07-11	PRIJEM	VKLAD	7634	38179	\N	\N	\N
174582	588	1994-08-11	PRIJEM	VKLAD	7634	38753	\N	\N	\N
174583	588	1994-09-11	PRIJEM	VKLAD	7634	38029	\N	\N	\N
174584	588	1994-10-11	PRIJEM	VKLAD	7634	38484	\N	\N	\N
174585	588	1994-11-11	PRIJEM	VKLAD	7634	36579	\N	\N	\N
174586	588	1994-12-11	PRIJEM	VKLAD	11451	38704	\N	\N	\N
174587	588	1995-01-11	PRIJEM	VKLAD	7634	35404	\N	\N	\N
174588	588	1995-02-11	PRIJEM	VKLAD	7634	32855	\N	\N	\N
174589	588	1995-03-11	PRIJEM	VKLAD	7634	31683	\N	\N	\N
174590	588	1995-04-11	PRIJEM	VKLAD	7634	35432	\N	\N	\N
174591	588	1995-05-11	PRIJEM	VKLAD	7634	36009	\N	\N	\N
174592	588	1995-06-11	PRIJEM	VKLAD	11451	37407	\N	\N	\N
174593	588	1995-07-11	PRIJEM	VKLAD	7634	34808	\N	\N	\N
174594	588	1995-08-11	PRIJEM	VKLAD	7634	36167	\N	\N	\N
174595	588	1995-09-11	PRIJEM	VKLAD	7634	34087	\N	\N	\N
174596	588	1995-10-11	PRIJEM	VKLAD	7634	31162	\N	\N	\N
174597	588	1995-11-11	PRIJEM	VKLAD	7634	34706	\N	\N	\N
174598	588	1995-12-11	PRIJEM	VKLAD	11451	36679	\N	\N	\N
174599	588	1996-01-11	PRIJEM	VKLAD	7634	25293	\N	\N	\N
174600	588	1996-02-11	PRIJEM	VKLAD	7634	25153	\N	\N	\N
174601	588	1996-03-11	PRIJEM	VKLAD	7634	26970	\N	\N	\N
174602	588	1996-04-11	PRIJEM	VKLAD	7634	24972	\N	\N	\N
174603	588	1996-05-11	PRIJEM	VKLAD	7634	27989	\N	\N	\N
174604	588	1996-06-11	PRIJEM	VKLAD	11451	28132	\N	\N	\N
174605	588	1996-07-11	PRIJEM	VKLAD	7634	26954	\N	\N	\N
174606	588	1996-08-11	PRIJEM	VKLAD	7634	22392	\N	\N	\N
174607	588	1996-09-11	PRIJEM	VKLAD	7634	24098	\N	\N	\N
174608	588	1996-10-11	PRIJEM	VKLAD	7634	25109	\N	\N	\N
174609	588	1996-11-11	PRIJEM	VKLAD	7634	22521	\N	\N	\N
174610	588	1996-12-11	PRIJEM	VKLAD	11451	29044	\N	\N	\N
174611	588	1997-01-11	PRIJEM	VKLAD	7634	21860	\N	\N	\N
174612	588	1997-02-11	PRIJEM	VKLAD	7634	21818	\N	\N	\N
174613	588	1997-03-11	PRIJEM	VKLAD	7634	23820	\N	\N	\N
174614	588	1997-04-11	PRIJEM	VKLAD	7634	20324	\N	\N	\N
174615	588	1997-05-11	PRIJEM	VKLAD	7634	20117	\N	\N	\N
174616	588	1997-06-11	PRIJEM	VKLAD	11451	23827	\N	\N	\N
174617	588	1997-07-11	PRIJEM	VKLAD	7634	22527	\N	\N	\N
174618	588	1997-08-11	PRIJEM	VKLAD	7634	19825	\N	\N	\N
174619	588	1997-09-11	PRIJEM	VKLAD	7634	22420	\N	\N	\N
174620	588	1997-10-11	PRIJEM	VKLAD	7634	25025	\N	\N	\N
174621	588	1997-11-11	PRIJEM	VKLAD	7634	26440	\N	\N	\N
174622	588	1997-12-11	PRIJEM	VKLAD	11451	25665	\N	\N	\N
174623	588	1998-01-11	PRIJEM	VKLAD	7634	23349	\N	\N	\N
174624	588	1998-02-11	PRIJEM	VKLAD	7634	21249	\N	\N	\N
174625	588	1998-03-11	PRIJEM	VKLAD	7634	21845	\N	\N	\N
174626	588	1998-04-11	PRIJEM	VKLAD	7634	26050	\N	\N	\N
174627	588	1998-05-11	PRIJEM	VKLAD	7634	26527	\N	\N	\N
174628	588	1998-06-11	PRIJEM	VKLAD	11451	30424	\N	\N	\N
174629	588	1998-07-11	PRIJEM	VKLAD	7634	29049	\N	\N	\N
174630	588	1998-08-11	PRIJEM	VKLAD	7634	28775	\N	\N	\N
174631	588	1998-09-11	PRIJEM	VKLAD	7634	31406	\N	\N	\N
174632	588	1998-10-11	PRIJEM	VKLAD	7634	27162	\N	\N	\N
174633	588	1998-11-11	PRIJEM	VKLAD	7634	24779	\N	\N	\N
174634	588	1998-12-11	PRIJEM	VKLAD	11451	29906	\N	\N	\N
174642	588	1993-08-14	VYDAJ	PREVOD NA UCET	3141	28528	SIPO	AB	29001635
174643	588	1993-09-14	VYDAJ	PREVOD NA UCET	3141	30287	SIPO	AB	29001635
174644	588	1993-10-14	VYDAJ	PREVOD NA UCET	3141	31142	SIPO	AB	29001635
174645	588	1993-11-14	VYDAJ	PREVOD NA UCET	3141	30701	SIPO	AB	29001635
174646	588	1993-12-14	VYDAJ	PREVOD NA UCET	3141	36377	SIPO	AB	29001635
174647	588	1994-01-14	VYDAJ	PREVOD NA UCET	3141	27710	SIPO	AB	29001635
174648	588	1994-02-14	VYDAJ	PREVOD NA UCET	3141	29979	SIPO	AB	29001635
174649	588	1994-03-14	VYDAJ	PREVOD NA UCET	3141	31429	SIPO	AB	29001635
174650	588	1994-04-14	VYDAJ	PREVOD NA UCET	3141	30888	SIPO	AB	29001635
174651	588	1994-05-14	VYDAJ	PREVOD NA UCET	3141	32947	SIPO	AB	29001635
174652	588	1994-06-14	VYDAJ	PREVOD NA UCET	3141	34530	SIPO	AB	29001635
174653	588	1994-07-14	VYDAJ	PREVOD NA UCET	3141	35038	SIPO	AB	29001635
174654	588	1994-08-14	VYDAJ	PREVOD NA UCET	3141	35612	SIPO	AB	29001635
174655	588	1994-09-14	VYDAJ	PREVOD NA UCET	3141	34888	SIPO	AB	29001635
174656	588	1994-10-14	VYDAJ	PREVOD NA UCET	3141	35343	SIPO	AB	29001635
174657	588	1994-11-14	VYDAJ	PREVOD NA UCET	3141	33438	SIPO	AB	29001635
174658	588	1994-12-14	VYDAJ	PREVOD NA UCET	3141	31563	SIPO	AB	29001635
174659	588	1995-01-14	VYDAJ	PREVOD NA UCET	3141	32263	SIPO	AB	29001635
174660	588	1995-02-14	VYDAJ	PREVOD NA UCET	3141	29714	SIPO	AB	29001635
174661	588	1995-03-14	VYDAJ	PREVOD NA UCET	3141	28542	SIPO	AB	29001635
174662	588	1995-04-14	VYDAJ	PREVOD NA UCET	3141	32291	SIPO	AB	29001635
174663	588	1995-05-14	VYDAJ	PREVOD NA UCET	3141	32868	SIPO	AB	29001635
174664	588	1995-06-14	VYDAJ	PREVOD NA UCET	3141	34266	SIPO	AB	29001635
174665	588	1995-07-14	VYDAJ	PREVOD NA UCET	3141	31667	SIPO	AB	29001635
174666	588	1995-08-14	VYDAJ	PREVOD NA UCET	3141	33026	SIPO	AB	29001635
174667	588	1995-09-14	VYDAJ	PREVOD NA UCET	3141	30946	SIPO	AB	29001635
174668	588	1995-10-14	VYDAJ	PREVOD NA UCET	3141	28021	SIPO	AB	29001635
174669	588	1995-11-14	VYDAJ	PREVOD NA UCET	3141	31565	SIPO	AB	29001635
174670	588	1995-12-14	VYDAJ	PREVOD NA UCET	3141	33538	SIPO	AB	29001635
174671	588	1996-01-14	VYDAJ	PREVOD NA UCET	3141	19392	SIPO	AB	29001635
174672	588	1996-02-14	VYDAJ	PREVOD NA UCET	3141	22012	SIPO	AB	29001635
174673	588	1996-03-14	VYDAJ	PREVOD NA UCET	3141	23829	SIPO	AB	29001635
174674	588	1996-04-14	VYDAJ	PREVOD NA UCET	3141	21831	SIPO	AB	29001635
174675	588	1996-05-14	VYDAJ	PREVOD NA UCET	3141	24848	SIPO	AB	29001635
174676	588	1996-06-14	VYDAJ	PREVOD NA UCET	3141	24991	SIPO	AB	29001635
174677	588	1996-07-14	VYDAJ	PREVOD NA UCET	3141	23813	SIPO	AB	29001635
174678	588	1996-08-14	VYDAJ	PREVOD NA UCET	3141	19251	SIPO	AB	29001635
174679	588	1996-09-14	VYDAJ	PREVOD NA UCET	3141	20957	SIPO	AB	29001635
174680	588	1996-10-14	VYDAJ	PREVOD NA UCET	3141	21968	SIPO	AB	29001635
174681	588	1996-11-14	VYDAJ	PREVOD NA UCET	3141	19380	SIPO	AB	29001635
174682	588	1996-12-14	VYDAJ	PREVOD NA UCET	3141	25903	SIPO	AB	29001635
174683	588	1997-01-14	VYDAJ	PREVOD NA UCET	3141	18119	SIPO	AB	29001635
174684	588	1997-02-14	VYDAJ	PREVOD NA UCET	3141	18677	SIPO	AB	29001635
174685	588	1997-03-14	VYDAJ	PREVOD NA UCET	3141	20679	SIPO	AB	29001635
174686	588	1997-04-14	VYDAJ	PREVOD NA UCET	3141	17183	SIPO	AB	29001635
174687	588	1997-05-14	VYDAJ	PREVOD NA UCET	3141	16976	SIPO	AB	29001635
174688	588	1997-06-14	VYDAJ	PREVOD NA UCET	3141	20686	SIPO	AB	29001635
174689	588	1997-07-14	VYDAJ	PREVOD NA UCET	3141	19386	SIPO	AB	29001635
174690	588	1997-08-14	VYDAJ	PREVOD NA UCET	3141	16684	SIPO	AB	29001635
174691	588	1997-09-14	VYDAJ	PREVOD NA UCET	3141	19279	SIPO	AB	29001635
174692	588	1997-10-14	VYDAJ	PREVOD NA UCET	3141	21884	SIPO	AB	29001635
174693	588	1997-11-14	VYDAJ	PREVOD NA UCET	3141	23299	SIPO	AB	29001635
174694	588	1997-12-14	VYDAJ	PREVOD NA UCET	3141	22524	SIPO	AB	29001635
174695	588	1998-01-14	VYDAJ	PREVOD NA UCET	3141	20208	SIPO	AB	29001635
174696	588	1998-02-14	VYDAJ	PREVOD NA UCET	3141	18108	SIPO	AB	29001635
174697	588	1998-03-14	VYDAJ	PREVOD NA UCET	3141	18704	SIPO	AB	29001635
174698	588	1998-04-14	VYDAJ	PREVOD NA UCET	3141	22909	SIPO	AB	29001635
174699	588	1998-05-14	VYDAJ	PREVOD NA UCET	3141	23386	SIPO	AB	29001635
174700	588	1998-06-14	VYDAJ	PREVOD NA UCET	3141	27283	SIPO	AB	29001635
174701	588	1998-07-14	VYDAJ	PREVOD NA UCET	3141	25908	SIPO	AB	29001635
174702	588	1998-08-14	VYDAJ	PREVOD NA UCET	3141	25634	SIPO	AB	29001635
174703	588	1998-09-14	VYDAJ	PREVOD NA UCET	3141	23065	SIPO	AB	29001635
174704	588	1998-10-14	VYDAJ	PREVOD NA UCET	3141	21021	SIPO	AB	29001635
174705	588	1998-11-14	VYDAJ	PREVOD NA UCET	3141	20338	SIPO	AB	29001635
174706	588	1998-12-14	VYDAJ	PREVOD NA UCET	3141	24665	SIPO	AB	29001635
174715	588	1993-09-06	VYDAJ	PREVOD NA UCET	1437	27205	 	MN	81579917
174716	588	1993-10-06	VYDAJ	PREVOD NA UCET	1437	28960	 	MN	81579917
174717	588	1993-11-06	VYDAJ	PREVOD NA UCET	1437	29819	 	MN	81579917
174718	588	1993-12-06	VYDAJ	PREVOD NA UCET	1437	29378	 	MN	81579917
174719	588	1994-01-06	VYDAJ	PREVOD NA UCET	1437	31388	 	MN	81579917
174720	588	1994-02-06	VYDAJ	PREVOD NA UCET	1437	23497	 	MN	81579917
174721	588	1994-03-06	VYDAJ	PREVOD NA UCET	1437	28647	 	MN	81579917
174722	588	1994-04-06	VYDAJ	PREVOD NA UCET	1437	30106	 	MN	81579917
174723	588	1994-05-06	VYDAJ	PREVOD NA UCET	1437	29565	 	MN	81579917
174724	588	1994-06-06	VYDAJ	PREVOD NA UCET	1437	31631	 	MN	81579917
174725	588	1994-07-06	VYDAJ	PREVOD NA UCET	1437	31656	 	MN	81579917
174726	588	1994-08-06	VYDAJ	PREVOD NA UCET	1437	31630	 	MN	81579917
174727	588	1994-09-06	VYDAJ	PREVOD NA UCET	1437	30906	 	MN	81579917
174728	588	1994-10-06	VYDAJ	PREVOD NA UCET	1437	31361	 	MN	81579917
174729	588	1994-11-06	VYDAJ	PREVOD NA UCET	1437	29456	 	MN	81579917
174730	588	1994-12-06	VYDAJ	PREVOD NA UCET	1437	27764	 	MN	81579917
174731	588	1995-01-06	VYDAJ	PREVOD NA UCET	1437	29481	 	MN	81579917
174732	588	1995-02-06	VYDAJ	PREVOD NA UCET	1437	26692	 	MN	81579917
174733	588	1995-03-06	VYDAJ	PREVOD NA UCET	1437	24560	 	MN	81579917
174734	588	1995-04-06	VYDAJ	PREVOD NA UCET	1437	28309	 	MN	81579917
174735	588	1995-05-06	VYDAJ	PREVOD NA UCET	1437	28886	 	MN	81579917
174736	588	1995-06-06	VYDAJ	PREVOD NA UCET	1437	31747	 	MN	81579917
174737	588	1995-07-06	VYDAJ	PREVOD NA UCET	1437	27685	 	MN	81579917
174738	588	1995-08-06	VYDAJ	PREVOD NA UCET	1437	29044	 	MN	81579917
174739	588	1995-09-06	VYDAJ	PREVOD NA UCET	1437	26964	 	MN	81579917
174740	588	1995-10-06	VYDAJ	PREVOD NA UCET	1437	24039	 	MN	81579917
174741	588	1995-11-06	VYDAJ	PREVOD NA UCET	1437	27583	 	MN	81579917
174742	588	1995-12-06	VYDAJ	PREVOD NA UCET	1437	25739	 	MN	81579917
174743	588	1996-01-06	VYDAJ	PREVOD NA UCET	1437	26570	 	MN	81579917
174744	588	1996-02-06	VYDAJ	PREVOD NA UCET	1437	18030	 	MN	81579917
174745	588	1996-03-06	VYDAJ	PREVOD NA UCET	1437	19847	 	MN	81579917
174746	588	1996-04-06	VYDAJ	PREVOD NA UCET	1437	17849	 	MN	81579917
174747	588	1996-05-06	VYDAJ	PREVOD NA UCET	1437	20866	 	MN	81579917
174748	588	1996-06-06	VYDAJ	PREVOD NA UCET	1437	17192	 	MN	81579917
174749	588	1996-07-06	VYDAJ	PREVOD NA UCET	1437	19831	 	MN	81579917
174750	588	1996-08-06	VYDAJ	PREVOD NA UCET	1437	15269	 	MN	81579917
174751	588	1996-09-06	VYDAJ	PREVOD NA UCET	1437	16975	 	MN	81579917
174752	588	1996-10-06	VYDAJ	PREVOD NA UCET	1437	17986	 	MN	81579917
174753	588	1996-11-06	VYDAJ	PREVOD NA UCET	1437	15398	 	MN	81579917
174754	588	1996-12-06	VYDAJ	PREVOD NA UCET	1437	18104	 	MN	81579917
174755	588	1997-01-06	VYDAJ	PREVOD NA UCET	1437	14737	 	MN	81579917
174756	588	1997-02-06	VYDAJ	PREVOD NA UCET	1437	14695	 	MN	81579917
174757	588	1997-03-06	VYDAJ	PREVOD NA UCET	1437	16697	 	MN	81579917
174758	588	1997-04-06	VYDAJ	PREVOD NA UCET	1437	13201	 	MN	81579917
174759	588	1997-05-06	VYDAJ	PREVOD NA UCET	1437	12994	 	MN	81579917
174760	588	1997-06-06	VYDAJ	PREVOD NA UCET	1437	12887	 	MN	81579917
174761	588	1997-07-06	VYDAJ	PREVOD NA UCET	1437	15404	 	MN	81579917
174762	588	1997-08-06	VYDAJ	PREVOD NA UCET	1437	12702	 	MN	81579917
174763	588	1997-09-06	VYDAJ	PREVOD NA UCET	1437	15297	 	MN	81579917
174764	588	1997-10-06	VYDAJ	PREVOD NA UCET	1437	17902	 	MN	81579917
174765	588	1997-11-06	VYDAJ	PREVOD NA UCET	1437	19317	 	MN	81579917
174766	588	1997-12-06	VYDAJ	PREVOD NA UCET	1437	14725	 	MN	81579917
174767	588	1998-01-06	VYDAJ	PREVOD NA UCET	1437	16226	 	MN	81579917
174768	588	1998-02-06	VYDAJ	PREVOD NA UCET	1437	14126	 	MN	81579917
174769	588	1998-03-06	VYDAJ	PREVOD NA UCET	1437	14722	 	MN	81579917
174770	588	1998-04-06	VYDAJ	PREVOD NA UCET	1437	18927	 	MN	81579917
174771	588	1998-05-06	VYDAJ	PREVOD NA UCET	1437	19404	 	MN	81579917
174772	588	1998-06-06	VYDAJ	PREVOD NA UCET	1437	20924	 	MN	81579917
174773	588	1998-07-06	VYDAJ	PREVOD NA UCET	1437	21926	 	MN	81579917
174774	588	1998-08-06	VYDAJ	PREVOD NA UCET	1437	21652	 	MN	81579917
174775	588	1998-09-06	VYDAJ	PREVOD NA UCET	1437	24283	 	MN	81579917
174776	588	1998-10-06	VYDAJ	PREVOD NA UCET	1437	21719	 	MN	81579917
174777	588	1998-11-06	VYDAJ	PREVOD NA UCET	1437	17656	 	MN	81579917
174778	588	1998-12-06	VYDAJ	PREVOD NA UCET	1437	18966	 	MN	81579917
174787	588	1993-09-08	VYDAJ	PREVOD NA UCET	511	26694	POJISTNE	KL	40627336
174788	588	1993-10-08	VYDAJ	PREVOD NA UCET	511	28449	POJISTNE	KL	40627336
174789	588	1993-11-08	VYDAJ	PREVOD NA UCET	511	29308	POJISTNE	KL	40627336
174790	588	1993-12-08	VYDAJ	PREVOD NA UCET	511	28867	POJISTNE	KL	40627336
174791	588	1994-01-08	VYDAJ	PREVOD NA UCET	511	30177	POJISTNE	KL	40627336
174792	588	1994-02-08	VYDAJ	PREVOD NA UCET	511	25486	POJISTNE	KL	40627336
174793	588	1994-03-08	VYDAJ	PREVOD NA UCET	511	28136	POJISTNE	KL	40627336
174794	588	1994-04-08	VYDAJ	PREVOD NA UCET	511	26395	POJISTNE	KL	40627336
174795	588	1994-05-08	VYDAJ	PREVOD NA UCET	511	29054	POJISTNE	KL	40627336
174796	588	1994-06-08	VYDAJ	PREVOD NA UCET	511	26220	POJISTNE	KL	40627336
174797	588	1994-07-08	VYDAJ	PREVOD NA UCET	511	30545	POJISTNE	KL	40627336
174798	588	1994-08-08	VYDAJ	PREVOD NA UCET	511	31119	POJISTNE	KL	40627336
174799	588	1994-09-08	VYDAJ	PREVOD NA UCET	511	30395	POJISTNE	KL	40627336
174800	588	1994-10-08	VYDAJ	PREVOD NA UCET	511	30850	POJISTNE	KL	40627336
174801	588	1994-11-08	VYDAJ	PREVOD NA UCET	511	28945	POJISTNE	KL	40627336
174802	588	1994-12-08	VYDAJ	PREVOD NA UCET	511	27253	POJISTNE	KL	40627336
174803	588	1995-01-08	VYDAJ	PREVOD NA UCET	511	28970	POJISTNE	KL	40627336
174804	588	1995-02-08	VYDAJ	PREVOD NA UCET	511	25221	POJISTNE	KL	40627336
174805	588	1995-03-08	VYDAJ	PREVOD NA UCET	511	24049	POJISTNE	KL	40627336
174806	588	1995-04-08	VYDAJ	PREVOD NA UCET	511	27798	POJISTNE	KL	40627336
174807	588	1995-05-08	VYDAJ	PREVOD NA UCET	511	28375	POJISTNE	KL	40627336
174808	588	1995-06-08	VYDAJ	PREVOD NA UCET	511	31236	POJISTNE	KL	40627336
174809	588	1995-07-08	VYDAJ	PREVOD NA UCET	511	27174	POJISTNE	KL	40627336
174810	588	1995-08-08	VYDAJ	PREVOD NA UCET	511	28533	POJISTNE	KL	40627336
174811	588	1995-09-08	VYDAJ	PREVOD NA UCET	511	26453	POJISTNE	KL	40627336
174812	588	1995-10-08	VYDAJ	PREVOD NA UCET	511	23528	POJISTNE	KL	40627336
174813	588	1995-11-08	VYDAJ	PREVOD NA UCET	511	27072	POJISTNE	KL	40627336
174814	588	1995-12-08	VYDAJ	PREVOD NA UCET	511	25228	POJISTNE	KL	40627336
174815	588	1996-01-08	VYDAJ	PREVOD NA UCET	511	23899	POJISTNE	KL	40627336
174816	588	1996-02-08	VYDAJ	PREVOD NA UCET	511	17519	POJISTNE	KL	40627336
174817	588	1996-03-08	VYDAJ	PREVOD NA UCET	511	19336	POJISTNE	KL	40627336
174818	588	1996-04-08	VYDAJ	PREVOD NA UCET	511	17338	POJISTNE	KL	40627336
174819	588	1996-05-08	VYDAJ	PREVOD NA UCET	511	20355	POJISTNE	KL	40627336
174820	588	1996-06-08	VYDAJ	PREVOD NA UCET	511	16681	POJISTNE	KL	40627336
174821	588	1996-07-08	VYDAJ	PREVOD NA UCET	511	19320	POJISTNE	KL	40627336
174822	588	1996-08-08	VYDAJ	PREVOD NA UCET	511	14758	POJISTNE	KL	40627336
174823	588	1996-09-08	VYDAJ	PREVOD NA UCET	511	16464	POJISTNE	KL	40627336
174824	588	1996-10-08	VYDAJ	PREVOD NA UCET	511	17475	POJISTNE	KL	40627336
174825	588	1996-11-08	VYDAJ	PREVOD NA UCET	511	14887	POJISTNE	KL	40627336
174826	588	1996-12-08	VYDAJ	PREVOD NA UCET	511	17593	POJISTNE	KL	40627336
174827	588	1997-01-08	VYDAJ	PREVOD NA UCET	511	14226	POJISTNE	KL	40627336
174828	588	1997-02-08	VYDAJ	PREVOD NA UCET	511	14184	POJISTNE	KL	40627336
174829	588	1997-03-08	VYDAJ	PREVOD NA UCET	511	16186	POJISTNE	KL	40627336
174830	588	1997-04-08	VYDAJ	PREVOD NA UCET	511	12690	POJISTNE	KL	40627336
174831	588	1997-05-08	VYDAJ	PREVOD NA UCET	511	12483	POJISTNE	KL	40627336
174832	588	1997-06-08	VYDAJ	PREVOD NA UCET	511	12376	POJISTNE	KL	40627336
174833	588	1997-07-08	VYDAJ	PREVOD NA UCET	511	14893	POJISTNE	KL	40627336
174834	588	1997-08-08	VYDAJ	PREVOD NA UCET	511	12191	POJISTNE	KL	40627336
174835	588	1997-09-08	VYDAJ	PREVOD NA UCET	511	14786	POJISTNE	KL	40627336
174836	588	1997-10-08	VYDAJ	PREVOD NA UCET	511	17391	POJISTNE	KL	40627336
174837	588	1997-11-08	VYDAJ	PREVOD NA UCET	511	18806	POJISTNE	KL	40627336
174838	588	1997-12-08	VYDAJ	PREVOD NA UCET	511	14214	POJISTNE	KL	40627336
174839	588	1998-01-08	VYDAJ	PREVOD NA UCET	511	15715	POJISTNE	KL	40627336
174840	588	1998-02-08	VYDAJ	PREVOD NA UCET	511	13615	POJISTNE	KL	40627336
174841	588	1998-03-08	VYDAJ	PREVOD NA UCET	511	14211	POJISTNE	KL	40627336
174842	588	1998-04-08	VYDAJ	PREVOD NA UCET	511	18416	POJISTNE	KL	40627336
174843	588	1998-05-08	VYDAJ	PREVOD NA UCET	511	18893	POJISTNE	KL	40627336
174844	588	1998-06-08	VYDAJ	PREVOD NA UCET	511	20413	POJISTNE	KL	40627336
174845	588	1998-07-08	VYDAJ	PREVOD NA UCET	511	21415	POJISTNE	KL	40627336
174846	588	1998-08-08	VYDAJ	PREVOD NA UCET	511	21141	POJISTNE	KL	40627336
174847	588	1998-09-08	VYDAJ	PREVOD NA UCET	511	23772	POJISTNE	KL	40627336
174848	588	1998-10-08	VYDAJ	PREVOD NA UCET	511	21208	POJISTNE	KL	40627336
174849	588	1998-11-08	VYDAJ	PREVOD NA UCET	511	17145	POJISTNE	KL	40627336
174850	588	1998-12-08	VYDAJ	PREVOD NA UCET	511	18455	POJISTNE	KL	40627336
174857	588	1993-12-15	VYDAJ	VYBER	800	35577	\N	\N	\N
174858	588	1994-12-11	VYDAJ	VYBER	4000	34704	\N	\N	\N
174859	588	1995-12-21	VYDAJ	VYBER	4640	28898	\N	\N	\N
174860	588	1996-12-17	VYDAJ	VYBER	1600	24303	\N	\N	\N
174861	588	1997-12-14	VYDAJ	VYBER	3840	18684	\N	\N	\N
174862	588	1998-12-22	VYDAJ	VYBER	3680	20985	\N	\N	\N
174869	588	1994-01-23	VYDAJ	VYBER	960	24830	\N	\N	\N
174870	588	1994-01-17	VYDAJ	VYBER	1920	25790	\N	\N	\N
174871	588	1994-01-04	VYDAJ	VYBER	2880	32825	\N	\N	\N
174872	588	1994-01-09	VYDAJ	VYBER	3000	27177	\N	\N	\N
174873	588	1994-01-10	VYDAJ	VYBER	1680	25497	\N	\N	\N
174874	588	1994-01-13	VYDAJ	VYBER	2280	30851	\N	\N	\N
174875	588	1995-01-09	VYDAJ	VYBER	1200	27770	\N	\N	\N
174876	588	1995-01-02	VYDAJ	VYBER	1800	29878	\N	\N	\N
174877	588	1995-01-19	VYDAJ	VYBER	720	29983	\N	\N	\N
174878	588	1995-01-16	VYDAJ	VYBER	600	30703	\N	\N	\N
174879	588	1995-01-14	VYDAJ	VYBER	960	31303	\N	\N	\N
174880	588	1995-01-03	VYDAJ	VYBER	2760	30918	\N	\N	\N
174881	588	1996-01-09	VYDAJ	VYBER	2040	21859	\N	\N	\N
174882	588	1996-01-09	VYDAJ	VYBER	2040	19819	\N	\N	\N
174883	588	1996-01-12	VYDAJ	VYBER	2760	22533	\N	\N	\N
174884	588	1996-01-07	VYDAJ	VYBER	600	24410	\N	\N	\N
174885	588	1996-01-10	VYDAJ	VYBER	2160	17659	\N	\N	\N
174886	588	1996-01-07	VYDAJ	VYBER	1560	25010	\N	\N	\N
174887	588	1997-01-19	VYDAJ	VYBER	720	16079	\N	\N	\N
174890	588	1997-01-12	VYDAJ	VYBER	600	21260	\N	\N	\N
174892	588	1997-01-18	VYDAJ	VYBER	1320	16799	\N	\N	\N
174893	588	1998-01-05	VYDAJ	VYBER	1080	17663	\N	\N	\N
174905	588	1994-10-01	VYDAJ	VYBER	720	34298	\N	\N	\N
174906	588	1994-11-03	VYDAJ	VYBER	2880	32593	\N	\N	\N
174907	588	1994-06-25	VYDAJ	VYBER	1560	32970	\N	\N	\N
174908	588	1994-12-04	VYDAJ	VYBER	5160	29201	\N	\N	\N
174909	588	1995-03-04	VYDAJ	VYBER	5520	25997	\N	\N	\N
174910	588	1995-11-22	VYDAJ	VYBER	1200	30365	\N	\N	\N
174911	588	1995-02-06	VYDAJ	VYBER	960	25732	\N	\N	\N
174912	588	1995-06-15	VYDAJ	VYBER	3960	30306	\N	\N	\N
174913	588	1995-08-22	VYDAJ	VYBER	3840	29186	\N	\N	\N
174914	588	1995-01-20	VYDAJ	VYBER	5160	24823	\N	\N	\N
174915	588	1995-06-10	VYDAJ	VYBER	5280	25956	\N	\N	\N
174916	588	1995-04-27	VYDAJ	VYBER	5880	26411	\N	\N	\N
174917	588	1995-10-05	VYDAJ	VYBER	2280	25476	\N	\N	\N
174918	588	1996-07-24	VYDAJ	VYBER	2280	21533	\N	\N	\N
174919	588	1996-03-26	VYDAJ	VYBER	4920	18909	\N	\N	\N
174920	588	1996-12-27	VYDAJ	VYBER	600	16103	\N	\N	\N
174922	588	1997-10-28	VYDAJ	VYBER	1200	20684	\N	\N	\N
174924	588	1998-10-12	VYDAJ	VYBER	3000	24162	\N	\N	\N
174926	588	1998-04-23	VYDAJ	VYBER	2640	20769	\N	\N	\N
174927	588	1998-06-10	VYDAJ	VYBER	1440	18973	\N	\N	\N
174928	588	1998-10-08	VYDAJ	VYBER	1680	19528	\N	\N	\N
174937	588	1993-08-31	VYDAJ	VYBER	15	28642	SLUZBY	\N	\N
174938	588	1993-09-30	VYDAJ	VYBER	15	30397	SLUZBY	\N	\N
174939	588	1993-10-31	VYDAJ	VYBER	15	31256	SLUZBY	\N	\N
174940	588	1993-11-30	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
174941	588	1993-12-31	VYDAJ	VYBER	15	35705	SLUZBY	\N	\N
174942	588	1994-01-31	VYDAJ	VYBER	15	24934	SLUZBY	\N	\N
174943	588	1994-02-28	VYDAJ	VYBER	15	30084	SLUZBY	\N	\N
174944	588	1994-03-31	VYDAJ	VYBER	15	31543	SLUZBY	\N	\N
174945	588	1994-04-30	VYDAJ	VYBER	15	31002	SLUZBY	\N	\N
174946	588	1994-05-31	VYDAJ	VYBER	15	33068	SLUZBY	\N	\N
174947	588	1994-06-30	VYDAJ	VYBER	15	33093	SLUZBY	\N	\N
174948	588	1994-07-31	VYDAJ	VYBER	15	35167	SLUZBY	\N	\N
174949	588	1994-08-31	VYDAJ	VYBER	15	35743	SLUZBY	\N	\N
174950	588	1994-09-30	VYDAJ	VYBER	15	35018	SLUZBY	\N	\N
174951	588	1994-10-31	VYDAJ	VYBER	15	35473	SLUZBY	\N	\N
174952	588	1994-11-30	VYDAJ	VYBER	15	33561	SLUZBY	\N	\N
174953	588	1994-12-31	VYDAJ	VYBER	15	31678	SLUZBY	\N	\N
174954	588	1995-01-31	VYDAJ	VYBER	15	24929	SLUZBY	\N	\N
174955	588	1995-02-28	VYDAJ	VYBER	15	29817	SLUZBY	\N	\N
174956	588	1995-03-31	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
174957	588	1995-04-30	VYDAJ	VYBER	15	26523	SLUZBY	\N	\N
174958	588	1995-05-31	VYDAJ	VYBER	15	32984	SLUZBY	\N	\N
174959	588	1995-06-30	VYDAJ	VYBER	15	30422	SLUZBY	\N	\N
174960	588	1995-07-31	VYDAJ	VYBER	15	31781	SLUZBY	\N	\N
174961	588	1995-08-31	VYDAJ	VYBER	15	28401	SLUZBY	\N	\N
174962	588	1995-09-30	VYDAJ	VYBER	15	31056	SLUZBY	\N	\N
174963	588	1995-10-31	VYDAJ	VYBER	15	29020	SLUZBY	\N	\N
174964	588	1995-11-30	VYDAJ	VYBER	15	27176	SLUZBY	\N	\N
174965	588	1995-12-31	VYDAJ	VYBER	15	28007	SLUZBY	\N	\N
174966	588	1996-01-31	VYDAJ	VYBER	15	19467	SLUZBY	\N	\N
174967	588	1996-02-29	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
174968	588	1996-03-31	VYDAJ	VYBER	15	19286	SLUZBY	\N	\N
174969	588	1996-04-30	VYDAJ	VYBER	15	22303	SLUZBY	\N	\N
174970	588	1996-05-31	VYDAJ	VYBER	15	18629	SLUZBY	\N	\N
174971	588	1996-06-30	VYDAJ	VYBER	15	21268	SLUZBY	\N	\N
174972	588	1996-07-31	VYDAJ	VYBER	15	16706	SLUZBY	\N	\N
174973	588	1996-08-31	VYDAJ	VYBER	15	18412	SLUZBY	\N	\N
174974	588	1996-09-30	VYDAJ	VYBER	15	19423	SLUZBY	\N	\N
174975	588	1996-10-31	VYDAJ	VYBER	15	16835	SLUZBY	\N	\N
174976	588	1996-11-30	VYDAJ	VYBER	15	19541	SLUZBY	\N	\N
174977	588	1996-12-31	VYDAJ	VYBER	15	16174	SLUZBY	\N	\N
174978	588	1997-01-31	VYDAJ	VYBER	15	16132	SLUZBY	\N	\N
174979	588	1997-02-28	VYDAJ	VYBER	15	18134	SLUZBY	\N	\N
174980	588	1997-03-31	VYDAJ	VYBER	15	14638	SLUZBY	\N	\N
174981	588	1997-04-30	VYDAJ	VYBER	15	14431	SLUZBY	\N	\N
174982	588	1997-05-31	VYDAJ	VYBER	15	14324	SLUZBY	\N	\N
174983	588	1997-06-30	VYDAJ	VYBER	15	16841	SLUZBY	\N	\N
174984	588	1997-07-31	VYDAJ	VYBER	15	14139	SLUZBY	\N	\N
174985	588	1997-08-31	VYDAJ	VYBER	15	16734	SLUZBY	\N	\N
174986	588	1997-09-30	VYDAJ	VYBER	15	19339	SLUZBY	\N	\N
174987	588	1997-10-31	VYDAJ	VYBER	15	20754	SLUZBY	\N	\N
174988	588	1997-11-30	VYDAJ	VYBER	15	16162	SLUZBY	\N	\N
174989	588	1997-12-31	VYDAJ	VYBER	15	18743	SLUZBY	\N	\N
174990	588	1998-01-31	VYDAJ	VYBER	15	15563	SLUZBY	\N	\N
174991	588	1998-02-28	VYDAJ	VYBER	15	16159	SLUZBY	\N	\N
174992	588	1998-03-31	VYDAJ	VYBER	15	20364	SLUZBY	\N	\N
174993	588	1998-04-30	VYDAJ	VYBER	15	20841	SLUZBY	\N	\N
174994	588	1998-05-31	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
174995	588	1998-06-30	VYDAJ	VYBER	15	23363	SLUZBY	\N	\N
174996	588	1998-07-31	VYDAJ	VYBER	15	23089	SLUZBY	\N	\N
174997	588	1998-08-31	VYDAJ	VYBER	15	25720	SLUZBY	\N	\N
174998	588	1998-09-30	VYDAJ	VYBER	15	23156	SLUZBY	\N	\N
174999	588	1998-10-31	VYDAJ	VYBER	15	19093	SLUZBY	\N	\N
175000	588	1998-11-30	VYDAJ	VYBER	15	20403	SLUZBY	\N	\N
175001	588	1993-04-13	PRIJEM	VKLAD	8200	16834	\N	\N	\N
175002	588	1993-05-13	VYDAJ	VYBER	100	24410	\N	\N	\N
175003	588	1993-06-12	VYDAJ	VYBER	5400	30551	\N	\N	\N
175004	588	1993-07-12	VYDAJ	VYBER	5800	32503	\N	\N	\N
175005	588	1993-08-11	VYDAJ	VYBER	8600	31669	\N	\N	\N
175006	588	1993-09-10	VYDAJ	VYBER	900	25794	\N	\N	\N
175007	588	1993-10-10	VYDAJ	VYBER	1800	26649	\N	\N	\N
175008	588	1993-11-09	VYDAJ	VYBER	3100	26208	\N	\N	\N
175009	588	1993-12-09	VYDAJ	VYBER	800	28067	\N	\N	\N
175010	588	1994-01-08	VYDAJ	VYBER	700	30688	\N	\N	\N
175011	588	1994-02-07	PRIJEM	VKLAD	2500	25997	\N	\N	\N
175012	588	1994-03-09	VYDAJ	VYBER	1200	26936	\N	\N	\N
175013	588	1994-04-08	VYDAJ	VYBER	3200	26906	\N	\N	\N
175014	588	1994-05-08	VYDAJ	VYBER	600	28454	\N	\N	\N
175015	588	1994-06-07	VYDAJ	VYBER	4900	26731	\N	\N	\N
175016	588	1994-07-07	VYDAJ	VYBER	600	31056	\N	\N	\N
175017	588	1994-08-06	VYDAJ	VYBER	2100	33067	\N	\N	\N
175018	588	1994-09-05	VYDAJ	VYBER	3400	32343	\N	\N	\N
175019	588	1994-10-05	VYDAJ	VYBER	1500	32798	\N	\N	\N
175020	588	1994-11-04	VYDAJ	VYBER	1700	30893	\N	\N	\N
175021	588	1994-12-04	PRIJEM	VKLAD	800	34361	\N	\N	\N
175022	588	1995-01-03	PRIJEM	VKLAD	3800	33678	\N	\N	\N
175023	588	1995-02-02	PRIJEM	VKLAD	3200	28129	\N	\N	\N
175024	588	1995-03-04	PRIJEM	VKLAD	1700	31517	\N	\N	\N
175025	588	1995-04-03	PRIJEM	VKLAD	1100	29746	\N	\N	\N
175026	588	1995-05-03	PRIJEM	VKLAD	3800	30323	\N	\N	\N
175027	588	1995-06-02	PRIJEM	VKLAD	200	33184	\N	\N	\N
175028	588	1995-07-02	VYDAJ	VYBER	1300	29122	\N	\N	\N
175029	588	1995-08-01	VYDAJ	VYBER	1300	30481	\N	\N	\N
175030	588	1995-08-31	VYDAJ	VYBER	900	28415	\N	\N	\N
175031	588	1995-09-30	VYDAJ	VYBER	3300	27756	\N	\N	\N
175032	588	1995-10-30	PRIJEM	VKLAD	900	28921	\N	\N	\N
175033	588	1995-11-29	VYDAJ	VYBER	3300	27065	\N	\N	\N
175034	588	1995-12-29	VYDAJ	VYBER	1000	27898	\N	\N	\N
175035	588	1996-02-27	VYDAJ	VYBER	800	21212	\N	\N	\N
175036	588	1996-03-28	PRIJEM	VKLAD	300	19209	\N	\N	\N
175037	588	1996-04-27	PRIJEM	VKLAD	400	22231	\N	\N	\N
175038	588	1996-05-27	VYDAJ	VYBER	6300	18548	\N	\N	\N
175039	588	1996-06-26	VYDAJ	VYBER	3800	21191	\N	\N	\N
175040	588	1996-07-26	VYDAJ	VYBER	4900	16633	\N	\N	\N
175041	588	1996-08-25	VYDAJ	VYBER	900	18351	\N	\N	\N
175042	588	1996-09-24	VYDAJ	VYBER	1600	19357	\N	\N	\N
175043	588	1996-10-24	VYDAJ	VYBER	5200	16768	\N	\N	\N
175044	588	1996-11-23	PRIJEM	VKLAD	100	19480	\N	\N	\N
175045	588	1996-12-23	VYDAJ	VYBER	7600	16703	\N	\N	\N
175046	588	1997-02-21	VYDAJ	VYBER	600	18077	\N	\N	\N
175047	588	1997-03-23	VYDAJ	VYBER	6100	14579	\N	\N	\N
175048	588	1997-04-22	VYDAJ	VYBER	2800	14383	\N	\N	\N
175049	588	1997-05-22	VYDAJ	VYBER	2700	14276	\N	\N	\N
175050	588	1997-06-21	VYDAJ	VYBER	3900	16786	\N	\N	\N
175051	588	1997-07-21	VYDAJ	VYBER	5300	14086	\N	\N	\N
175052	588	1997-11-18	VYDAJ	VYBER	7200	16099	\N	\N	\N
175053	588	1998-01-17	VYDAJ	VYBER	4700	15508	\N	\N	\N
175054	588	1998-02-16	VYDAJ	VYBER	2000	16108	\N	\N	\N
175055	588	1998-03-18	PRIJEM	VKLAD	1600	20304	\N	\N	\N
175056	588	1998-04-17	PRIJEM	VKLAD	500	23409	\N	\N	\N
175057	588	1998-05-17	VYDAJ	VYBER	1100	22286	\N	\N	\N
175058	588	1998-06-16	VYDAJ	VYBER	4000	23283	\N	\N	\N
175059	588	1998-07-16	VYDAJ	VYBER	2900	23008	\N	\N	\N
175060	588	1998-09-14	VYDAJ	VYBER	5200	26206	\N	\N	\N
175061	588	1998-10-14	VYDAJ	VYBER	2000	19021	\N	\N	\N
175062	588	1998-11-13	VYDAJ	VYBER	1300	23479	\N	\N	\N
175063	588	1998-12-13	VYDAJ	VYBER	2100	27806	\N	\N	\N
175133	589	1997-04-26	PRIJEM	VKLAD	700	700	\N	\N	\N
175138	589	1997-05-07	PRIJEM	VKLAD	20271	20971	\N	\N	\N
175139	589	1997-06-07	PRIJEM	VKLAD	30407	57099	\N	\N	\N
175140	589	1997-07-07	PRIJEM	VKLAD	20271	64896	\N	\N	\N
175141	589	1997-08-07	PRIJEM	VKLAD	20271	70858	\N	\N	\N
175142	589	1997-09-07	PRIJEM	VKLAD	20271	72741	\N	\N	\N
175143	589	1997-10-07	PRIJEM	VKLAD	20271	67886	\N	\N	\N
175144	589	1997-11-07	PRIJEM	VKLAD	20271	67316	\N	\N	\N
175145	589	1997-12-07	PRIJEM	VKLAD	30407	71496	\N	\N	\N
175146	589	1998-01-07	PRIJEM	VKLAD	20271	66923	\N	\N	\N
175147	589	1998-02-07	PRIJEM	VKLAD	20271	55422	\N	\N	\N
175148	589	1998-03-07	PRIJEM	VKLAD	20271	61141	\N	\N	\N
175149	589	1998-04-07	PRIJEM	VKLAD	20271	65347	\N	\N	\N
175150	589	1998-05-07	PRIJEM	VKLAD	20271	62574	\N	\N	\N
175151	589	1998-06-07	PRIJEM	VKLAD	30407	75918	\N	\N	\N
175152	589	1998-07-07	PRIJEM	VKLAD	20271	45321	\N	\N	\N
175153	589	1998-08-07	PRIJEM	VKLAD	20271	57771	\N	\N	\N
175154	589	1998-09-07	PRIJEM	VKLAD	20271	59754	\N	\N	\N
175155	589	1998-10-07	PRIJEM	VKLAD	20271	64950	\N	\N	\N
175156	589	1998-11-07	PRIJEM	VKLAD	20271	65358	\N	\N	\N
175157	589	1998-12-07	PRIJEM	VKLAD	30407	76603	\N	\N	\N
175166	589	1997-09-12	VYDAJ	PREVOD NA UCET	5746	66995	SIPO	GH	69257765
175167	589	1997-10-12	VYDAJ	PREVOD NA UCET	5746	62140	SIPO	GH	69257765
175168	589	1997-11-12	VYDAJ	PREVOD NA UCET	5746	61570	SIPO	GH	69257765
175169	589	1997-12-12	VYDAJ	PREVOD NA UCET	5746	65750	SIPO	GH	69257765
175170	589	1998-01-12	VYDAJ	PREVOD NA UCET	5746	59257	SIPO	GH	69257765
175171	589	1998-02-12	VYDAJ	PREVOD NA UCET	5746	49676	SIPO	GH	69257765
175172	589	1998-03-12	VYDAJ	PREVOD NA UCET	5746	55395	SIPO	GH	69257765
175173	589	1998-04-12	VYDAJ	PREVOD NA UCET	5746	59601	SIPO	GH	69257765
175174	589	1998-05-12	VYDAJ	PREVOD NA UCET	5746	56828	SIPO	GH	69257765
175175	589	1998-06-12	VYDAJ	PREVOD NA UCET	5746	70172	SIPO	GH	69257765
175176	589	1998-07-12	VYDAJ	PREVOD NA UCET	5746	39575	SIPO	GH	69257765
175177	589	1998-08-12	VYDAJ	PREVOD NA UCET	5746	52025	SIPO	GH	69257765
175178	589	1998-09-12	VYDAJ	PREVOD NA UCET	5746	54008	SIPO	GH	69257765
175179	589	1998-10-12	VYDAJ	PREVOD NA UCET	5746	59204	SIPO	GH	69257765
175180	589	1998-11-12	VYDAJ	PREVOD NA UCET	5746	59612	SIPO	GH	69257765
175181	589	1998-12-12	VYDAJ	PREVOD NA UCET	5746	70857	SIPO	GH	69257765
175183	589	1998-06-22	VYDAJ	VYBER	27200	24872	\N	\N	\N
175185	589	1998-01-23	VYDAJ	VYBER	6720	37117	\N	\N	\N
175186	589	1997-12-06	VYDAJ	VYBER	4480	41089	\N	\N	\N
175187	589	1998-12-19	VYDAJ	VYBER KARTOU	2200	50657	\N	\N	0
175194	589	1998-01-21	VYDAJ	VYBER	2040	43837	\N	\N	\N
175195	589	1998-01-16	VYDAJ	VYBER	840	58417	\N	\N	\N
175196	589	1998-01-05	VYDAJ	VYBER	1320	46652	\N	\N	\N
175197	589	1998-01-26	VYDAJ	VYBER	2160	34957	\N	\N	\N
175198	589	1998-01-08	VYDAJ	VYBER	1920	65003	\N	\N	\N
175199	589	1998-01-20	VYDAJ	VYBER	1440	56977	\N	\N	\N
175204	589	1998-02-17	VYDAJ	VYBER	5160	44516	\N	\N	\N
175205	589	1998-04-15	VYDAJ	VYBER	5880	53721	\N	\N	\N
175206	589	1998-08-18	VYDAJ	VYBER KARTOU	3200	48825	\N	\N	0
175216	589	1997-09-30	VYDAJ	VYBER	15	47615	SLUZBY	\N	\N
175217	589	1997-10-31	VYDAJ	VYBER	15	47045	SLUZBY	\N	\N
175218	589	1997-11-30	VYDAJ	VYBER	15	45569	SLUZBY	\N	\N
175219	589	1997-12-31	VYDAJ	VYBER	15	47972	SLUZBY	\N	\N
175220	589	1998-01-31	VYDAJ	VYBER	15	35151	SLUZBY	\N	\N
175221	589	1998-02-28	VYDAJ	VYBER	15	40870	SLUZBY	\N	\N
175222	589	1998-03-31	VYDAJ	VYBER	15	45076	SLUZBY	\N	\N
175223	589	1998-04-30	VYDAJ	VYBER	15	42303	SLUZBY	\N	\N
175224	589	1998-05-31	VYDAJ	VYBER	15	45512	SLUZBY	\N	\N
175225	589	1998-06-30	VYDAJ	VYBER	15	25050	SLUZBY	\N	\N
175226	589	1998-07-31	VYDAJ	VYBER	15	37500	SLUZBY	\N	\N
175227	589	1998-08-31	VYDAJ	VYBER	15	39483	SLUZBY	\N	\N
175228	589	1998-09-30	VYDAJ	VYBER	15	44679	SLUZBY	\N	\N
175229	589	1998-10-31	VYDAJ	VYBER	15	45087	SLUZBY	\N	\N
175230	589	1998-11-30	VYDAJ	VYBER	15	46196	SLUZBY	\N	\N
175231	589	1997-05-26	PRIJEM	VKLAD	5700	26671	\N	\N	\N
175232	589	1997-06-25	VYDAJ	VYBER	12600	44499	\N	\N	\N
175233	589	1997-07-25	VYDAJ	VYBER	14500	50396	\N	\N	\N
175234	589	1997-08-24	VYDAJ	VYBER	18600	52258	\N	\N	\N
175235	589	1997-09-23	VYDAJ	VYBER	19600	47395	\N	\N	\N
175236	589	1997-10-23	VYDAJ	VYBER	15300	46840	\N	\N	\N
175237	589	1997-11-22	VYDAJ	VYBER	16200	45370	\N	\N	\N
175238	589	1997-12-22	VYDAJ	VYBER	18000	47750	\N	\N	\N
175239	589	1998-01-21	VYDAJ	VYBER	11100	45877	\N	\N	\N
175240	589	1998-02-20	VYDAJ	VYBER	3800	40716	\N	\N	\N
175241	589	1998-03-22	VYDAJ	VYBER	10500	44895	\N	\N	\N
175242	589	1998-04-21	VYDAJ	VYBER	11600	42121	\N	\N	\N
175243	589	1998-05-21	VYDAJ	VYBER	11500	45328	\N	\N	\N
175244	589	1998-06-20	VYDAJ	VYBER	18100	52072	\N	\N	\N
175245	589	1998-07-20	VYDAJ	VYBER KARTOU	2200	37375	\N	\N	0
175246	589	1998-08-19	VYDAJ	VYBER	9500	39325	\N	\N	\N
175247	589	1998-09-18	VYDAJ	VYBER	9500	44508	\N	\N	\N
175248	589	1998-10-18	VYDAJ	VYBER	14300	44904	\N	\N	\N
175249	589	1998-11-17	VYDAJ	VYBER	13600	46012	\N	\N	\N
175250	589	1998-12-17	VYDAJ	VYBER	18000	52857	\N	\N	\N
175271	590	1996-02-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
175274	590	1996-03-06	PRIJEM	VKLAD	12088	13188	\N	\N	\N
175275	590	1996-04-06	PRIJEM	VKLAD	12088	31494	\N	\N	\N
175276	590	1996-05-06	PRIJEM	VKLAD	12088	41473	\N	\N	\N
175277	590	1996-06-06	PRIJEM	VKLAD	18132	49729	\N	\N	\N
175278	590	1996-07-06	PRIJEM	VKLAD	12088	50556	\N	\N	\N
175279	590	1996-08-06	PRIJEM	VKLAD	12088	49408	\N	\N	\N
175280	590	1996-09-06	PRIJEM	VKLAD	12088	52641	\N	\N	\N
175281	590	1996-10-06	PRIJEM	VKLAD	12088	51682	\N	\N	\N
175282	590	1996-11-06	PRIJEM	VKLAD	12088	45917	\N	\N	\N
175283	590	1996-12-06	PRIJEM	VKLAD	18132	53480	\N	\N	\N
175284	590	1997-01-06	PRIJEM	VKLAD	12088	51543	\N	\N	\N
175285	590	1997-02-06	PRIJEM	VKLAD	12088	52281	\N	\N	\N
175286	590	1997-03-06	PRIJEM	VKLAD	12088	49016	\N	\N	\N
175287	590	1997-04-06	PRIJEM	VKLAD	12088	48943	\N	\N	\N
175288	590	1997-05-06	PRIJEM	VKLAD	12088	49671	\N	\N	\N
175289	590	1997-06-06	PRIJEM	VKLAD	18132	52442	\N	\N	\N
175290	590	1997-07-06	PRIJEM	VKLAD	12088	37344	\N	\N	\N
175291	590	1997-08-06	PRIJEM	VKLAD	12088	39631	\N	\N	\N
175292	590	1997-09-06	PRIJEM	VKLAD	12088	45430	\N	\N	\N
175293	590	1997-10-06	PRIJEM	VKLAD	12088	49550	\N	\N	\N
175294	590	1997-11-06	PRIJEM	VKLAD	12088	50681	\N	\N	\N
175295	590	1997-12-06	PRIJEM	VKLAD	18132	58062	\N	\N	\N
175296	590	1998-01-06	PRIJEM	VKLAD	12088	54721	\N	\N	\N
175297	590	1998-02-06	PRIJEM	VKLAD	12088	47460	\N	\N	\N
175298	590	1998-03-06	PRIJEM	VKLAD	12088	43478	\N	\N	\N
175299	590	1998-04-06	PRIJEM	VKLAD	12088	44987	\N	\N	\N
175300	590	1998-05-06	PRIJEM	VKLAD	12088	47403	\N	\N	\N
175301	590	1998-06-06	PRIJEM	VKLAD	18132	56072	\N	\N	\N
175302	590	1998-07-06	PRIJEM	VKLAD	12088	53120	\N	\N	\N
175303	590	1998-08-06	PRIJEM	VKLAD	12088	53564	\N	\N	\N
175304	590	1998-09-06	PRIJEM	VKLAD	12088	52706	\N	\N	\N
175305	590	1998-10-06	PRIJEM	VKLAD	12088	53650	\N	\N	\N
175306	590	1998-11-06	PRIJEM	VKLAD	12088	54097	\N	\N	\N
175307	590	1998-12-06	PRIJEM	VKLAD	18132	61596	\N	\N	\N
175309	590	1997-06-19	VYDAJ	VYBER	17600	25142	\N	\N	\N
175310	590	1998-06-29	VYDAJ	VYBER	4200	40872	\N	\N	\N
175311	590	1996-12-22	VYDAJ	VYBER	2300	39280	\N	\N	\N
175312	590	1997-12-09	VYDAJ	VYBER	1200	56862	\N	\N	\N
175313	590	1998-12-07	VYDAJ	VYBER	2800	58796	\N	\N	\N
175314	590	1996-10-30	VYDAJ	VYBER	4500	33682	\N	\N	\N
175319	590	1996-07-10	VYDAJ	VYBER	700	49856	\N	\N	\N
175320	590	1996-12-01	VYDAJ	VYBER	1700	35348	\N	\N	\N
175321	590	1997-07-25	VYDAJ	VYBER	3800	27444	\N	\N	\N
175322	590	1997-05-27	VYDAJ	VYBER	3300	34171	\N	\N	\N
175323	590	1998-01-09	VYDAJ	VYBER	1700	53021	\N	\N	\N
175324	590	1998-11-16	VYDAJ	VYBER	4800	43297	\N	\N	\N
175325	590	1998-03-20	VYDAJ	VYBER	4300	32778	\N	\N	\N
175326	590	1998-02-22	VYDAJ	VYBER	3700	31260	\N	\N	\N
175327	590	1998-02-19	VYDAJ	VYBER	2400	34960	\N	\N	\N
175335	590	1996-07-31	VYDAJ	VYBER	15	37320	SLUZBY	\N	\N
175336	590	1996-08-31	VYDAJ	VYBER	15	40553	SLUZBY	\N	\N
175337	590	1996-09-30	VYDAJ	VYBER	15	39594	SLUZBY	\N	\N
175338	590	1996-10-31	VYDAJ	VYBER	15	33829	SLUZBY	\N	\N
175339	590	1996-11-30	VYDAJ	VYBER	15	37048	SLUZBY	\N	\N
175340	590	1996-12-31	VYDAJ	VYBER	15	39455	SLUZBY	\N	\N
175341	590	1997-01-31	VYDAJ	VYBER	15	40193	SLUZBY	\N	\N
175342	590	1997-02-28	VYDAJ	VYBER	15	36928	SLUZBY	\N	\N
175343	590	1997-03-31	VYDAJ	VYBER	15	36855	SLUZBY	\N	\N
175344	590	1997-04-30	VYDAJ	VYBER	15	37583	SLUZBY	\N	\N
175345	590	1997-05-31	VYDAJ	VYBER	15	34310	SLUZBY	\N	\N
175346	590	1997-06-30	VYDAJ	VYBER	15	25256	SLUZBY	\N	\N
175347	590	1997-07-31	VYDAJ	VYBER	15	27543	SLUZBY	\N	\N
175348	590	1997-08-31	VYDAJ	VYBER	15	33342	SLUZBY	\N	\N
175349	590	1997-09-30	VYDAJ	VYBER	15	37462	SLUZBY	\N	\N
175350	590	1997-10-31	VYDAJ	VYBER	15	38593	SLUZBY	\N	\N
175351	590	1997-11-30	VYDAJ	VYBER	15	39930	SLUZBY	\N	\N
175352	590	1997-12-31	VYDAJ	VYBER	15	42633	SLUZBY	\N	\N
175353	590	1998-01-31	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
175354	590	1998-02-28	VYDAJ	VYBER	15	31390	SLUZBY	\N	\N
175355	590	1998-03-31	VYDAJ	VYBER	15	32899	SLUZBY	\N	\N
175356	590	1998-04-30	VYDAJ	VYBER	15	35315	SLUZBY	\N	\N
175357	590	1998-05-31	VYDAJ	VYBER	15	37940	SLUZBY	\N	\N
175358	590	1998-06-30	VYDAJ	VYBER	15	41032	SLUZBY	\N	\N
175359	590	1998-07-31	VYDAJ	VYBER	15	41476	SLUZBY	\N	\N
175360	590	1998-08-31	VYDAJ	VYBER	15	40618	SLUZBY	\N	\N
175361	590	1998-09-30	VYDAJ	VYBER	15	41562	SLUZBY	\N	\N
175362	590	1998-10-31	VYDAJ	VYBER	15	42009	SLUZBY	\N	\N
175363	590	1998-11-30	VYDAJ	VYBER	15	43464	SLUZBY	\N	\N
175364	590	1996-03-25	PRIJEM	VKLAD	6200	19388	\N	\N	\N
175365	590	1996-04-24	VYDAJ	VYBER	2200	29294	\N	\N	\N
175366	590	1996-05-24	VYDAJ	VYBER	10000	31473	\N	\N	\N
175367	590	1996-06-23	VYDAJ	VYBER	11400	38329	\N	\N	\N
175368	590	1996-07-23	VYDAJ	VYBER	12700	37156	\N	\N	\N
175369	590	1996-08-22	VYDAJ	VYBER	9000	40408	\N	\N	\N
175370	590	1996-09-21	VYDAJ	VYBER	13200	39441	\N	\N	\N
175371	590	1996-10-21	VYDAJ	VYBER	13500	38182	\N	\N	\N
175372	590	1996-11-20	VYDAJ	VYBER	9000	36917	\N	\N	\N
175373	590	1996-12-20	VYDAJ	VYBER	11900	41580	\N	\N	\N
175374	590	1997-01-19	VYDAJ	VYBER	11500	40043	\N	\N	\N
175375	590	1997-02-18	VYDAJ	VYBER	15500	36781	\N	\N	\N
175376	590	1997-03-20	VYDAJ	VYBER	12300	36716	\N	\N	\N
175377	590	1997-04-19	VYDAJ	VYBER	11500	37443	\N	\N	\N
175378	590	1997-05-19	VYDAJ	VYBER	12200	37471	\N	\N	\N
175379	590	1997-06-18	VYDAJ	VYBER	9700	42742	\N	\N	\N
175380	590	1997-07-18	VYDAJ	VYBER	6100	31244	\N	\N	\N
175381	590	1997-08-17	VYDAJ	VYBER	6400	33231	\N	\N	\N
175382	590	1997-09-16	VYDAJ	VYBER	8100	37330	\N	\N	\N
175383	590	1997-10-16	VYDAJ	VYBER	11100	38450	\N	\N	\N
175384	590	1997-11-15	VYDAJ	VYBER	10900	39781	\N	\N	\N
175385	590	1997-12-15	VYDAJ	VYBER	14400	42462	\N	\N	\N
175386	590	1998-01-14	VYDAJ	VYBER	17800	35221	\N	\N	\N
175387	590	1998-02-13	VYDAJ	VYBER	10100	37360	\N	\N	\N
175388	590	1998-03-15	VYDAJ	VYBER	6400	37078	\N	\N	\N
175389	590	1998-04-14	VYDAJ	VYBER	9800	35187	\N	\N	\N
175390	590	1998-05-14	VYDAJ	VYBER	9600	37803	\N	\N	\N
175391	590	1998-06-13	VYDAJ	VYBER	11000	45072	\N	\N	\N
175392	590	1998-07-13	VYDAJ	VYBER	11800	41320	\N	\N	\N
175393	590	1998-08-12	VYDAJ	VYBER	13100	40464	\N	\N	\N
175394	590	1998-09-11	VYDAJ	VYBER	11300	41406	\N	\N	\N
175395	590	1998-10-11	VYDAJ	VYBER	11800	41850	\N	\N	\N
175396	590	1998-11-10	VYDAJ	VYBER	6000	48097	\N	\N	\N
175431	591	1997-08-12	PRIJEM	VKLAD	700	700	\N	\N	\N
175440	591	1997-09-08	PRIJEM	PREVOD Z UCTU	4182	4882	DUCHOD	GH	51453053
175441	591	1997-10-08	PRIJEM	PREVOD Z UCTU	4182	9064	DUCHOD	GH	51453053
175442	591	1997-11-08	PRIJEM	PREVOD Z UCTU	4182	13246	DUCHOD	GH	51453053
175443	591	1997-12-08	PRIJEM	PREVOD Z UCTU	4182	17428	DUCHOD	GH	51453053
175444	591	1998-01-08	PRIJEM	PREVOD Z UCTU	4182	21610	DUCHOD	GH	51453053
175445	591	1998-02-08	PRIJEM	PREVOD Z UCTU	4182	19356	DUCHOD	GH	51453053
175446	591	1998-03-08	PRIJEM	PREVOD Z UCTU	4182	20802	DUCHOD	GH	51453053
175447	591	1998-04-08	PRIJEM	PREVOD Z UCTU	4182	19688	DUCHOD	GH	51453053
175448	591	1998-05-08	PRIJEM	PREVOD Z UCTU	4182	19773	DUCHOD	GH	51453053
175449	591	1998-06-08	PRIJEM	PREVOD Z UCTU	4182	17621	DUCHOD	GH	51453053
175450	591	1998-07-08	PRIJEM	PREVOD Z UCTU	4182	19060	DUCHOD	GH	51453053
175451	591	1998-08-08	PRIJEM	PREVOD Z UCTU	4182	20505	DUCHOD	GH	51453053
175452	591	1998-09-08	PRIJEM	PREVOD Z UCTU	4182	21956	DUCHOD	GH	51453053
175453	591	1998-10-08	PRIJEM	PREVOD Z UCTU	4182	23414	DUCHOD	GH	51453053
175454	591	1998-11-08	PRIJEM	PREVOD Z UCTU	4182	24877	DUCHOD	GH	51453053
175455	591	1998-12-08	PRIJEM	PREVOD Z UCTU	4182	26347	DUCHOD	GH	51453053
175468	591	1998-01-11	VYDAJ	PREVOD NA UCET	2788	18822	SIPO	WX	33145171
175469	591	1998-02-11	VYDAJ	PREVOD NA UCET	2788	16568	SIPO	WX	33145171
175470	591	1998-03-11	VYDAJ	PREVOD NA UCET	2788	15454	SIPO	WX	33145171
175471	591	1998-04-11	VYDAJ	PREVOD NA UCET	2788	16900	SIPO	WX	33145171
175472	591	1998-05-11	VYDAJ	PREVOD NA UCET	2788	16985	SIPO	WX	33145171
175473	591	1998-06-11	VYDAJ	PREVOD NA UCET	2788	14833	SIPO	WX	33145171
175474	591	1998-07-11	VYDAJ	PREVOD NA UCET	2788	16272	SIPO	WX	33145171
175475	591	1998-08-11	VYDAJ	PREVOD NA UCET	2788	17717	SIPO	WX	33145171
175476	591	1998-09-11	VYDAJ	PREVOD NA UCET	2788	19168	SIPO	WX	33145171
175477	591	1998-10-11	VYDAJ	PREVOD NA UCET	2788	20626	SIPO	WX	33145171
175478	591	1998-11-11	VYDAJ	PREVOD NA UCET	2788	22089	SIPO	WX	33145171
175479	591	1998-12-11	VYDAJ	PREVOD NA UCET	2788	23559	SIPO	WX	33145171
175485	591	1998-12-16	VYDAJ	VYBER	900	22659	\N	\N	\N
175492	591	1998-01-17	VYDAJ	VYBER	1120	15542	\N	\N	\N
175493	591	1998-01-29	VYDAJ	VYBER	400	15142	\N	\N	\N
175497	591	1998-01-16	VYDAJ	VYBER	2160	16662	\N	\N	\N
175504	591	1998-04-16	VYDAJ	VYBER	1360	15540	\N	\N	\N
175505	591	1998-05-31	VYDAJ	VYBER	3600	13439	\N	\N	\N
175506	591	1998-03-09	VYDAJ	VYBER	2560	18242	\N	\N	\N
175520	591	1998-01-31	VYDAJ	VYBER	15	15174	SLUZBY	\N	\N
175521	591	1998-02-28	VYDAJ	VYBER	15	16620	SLUZBY	\N	\N
175522	591	1998-03-31	VYDAJ	VYBER	15	15506	SLUZBY	\N	\N
175523	591	1998-04-30	VYDAJ	VYBER	15	15591	SLUZBY	\N	\N
175524	591	1998-05-31	VYDAJ	VYBER	15	17039	SLUZBY	\N	\N
175525	591	1998-06-30	VYDAJ	VYBER	15	14878	SLUZBY	\N	\N
175526	591	1998-07-31	VYDAJ	VYBER	15	16323	SLUZBY	\N	\N
175527	591	1998-08-31	VYDAJ	VYBER	15	17774	SLUZBY	\N	\N
175528	591	1998-09-30	VYDAJ	VYBER	15	19232	SLUZBY	\N	\N
175529	591	1998-10-31	VYDAJ	VYBER	15	20695	SLUZBY	\N	\N
175530	591	1998-11-30	VYDAJ	VYBER	15	22165	SLUZBY	\N	\N
175543	592	1996-12-27	PRIJEM	VKLAD	300	300	\N	\N	\N
175556	592	1997-01-11	PRIJEM	PREVOD Z UCTU	5753	6053	DUCHOD	IJ	64612269
175557	592	1997-02-11	PRIJEM	PREVOD Z UCTU	5753	11806	DUCHOD	IJ	64612269
175558	592	1997-03-11	PRIJEM	PREVOD Z UCTU	5753	17559	DUCHOD	IJ	64612269
175559	592	1997-04-11	PRIJEM	PREVOD Z UCTU	5753	23312	DUCHOD	IJ	64612269
175560	592	1997-05-11	PRIJEM	PREVOD Z UCTU	5753	27180	DUCHOD	IJ	64612269
175561	592	1997-06-11	PRIJEM	PREVOD Z UCTU	5753	28902	DUCHOD	IJ	64612269
175562	592	1997-07-11	PRIJEM	PREVOD Z UCTU	5753	26118	DUCHOD	IJ	64612269
175563	592	1997-08-11	PRIJEM	PREVOD Z UCTU	5753	25146	DUCHOD	IJ	64612269
175564	592	1997-09-11	PRIJEM	PREVOD Z UCTU	5753	26072	DUCHOD	IJ	64612269
175565	592	1997-10-11	PRIJEM	PREVOD Z UCTU	5753	23937	DUCHOD	IJ	64612269
175566	592	1997-11-11	PRIJEM	PREVOD Z UCTU	5753	18653	DUCHOD	IJ	64612269
175567	592	1997-12-11	PRIJEM	PREVOD Z UCTU	5753	21557	DUCHOD	IJ	64612269
175568	592	1998-01-11	PRIJEM	PREVOD Z UCTU	5753	16984	DUCHOD	IJ	64612269
175569	592	1998-02-11	PRIJEM	PREVOD Z UCTU	5753	16721	DUCHOD	IJ	64612269
175570	592	1998-03-11	PRIJEM	PREVOD Z UCTU	5753	19813	DUCHOD	IJ	64612269
175571	592	1998-04-11	PRIJEM	PREVOD Z UCTU	5753	18648	DUCHOD	IJ	64612269
175572	592	1998-05-11	PRIJEM	PREVOD Z UCTU	5753	17543	DUCHOD	IJ	64612269
175573	592	1998-06-11	PRIJEM	PREVOD Z UCTU	5753	19337	DUCHOD	IJ	64612269
175574	592	1998-07-11	PRIJEM	PREVOD Z UCTU	5753	23542	DUCHOD	IJ	64612269
175575	592	1998-08-11	PRIJEM	PREVOD Z UCTU	5753	25461	DUCHOD	IJ	64612269
175576	592	1998-09-11	PRIJEM	PREVOD Z UCTU	5753	21477	DUCHOD	IJ	64612269
175577	592	1998-10-11	PRIJEM	PREVOD Z UCTU	5753	21283	DUCHOD	IJ	64612269
175578	592	1998-11-11	PRIJEM	PREVOD Z UCTU	5753	25396	DUCHOD	IJ	64612269
175579	592	1998-12-11	PRIJEM	PREVOD Z UCTU	5753	24215	DUCHOD	IJ	64612269
175597	592	1997-06-08	VYDAJ	PREVOD NA UCET	1148	23609	SIPO	WX	11703169
175598	592	1997-07-08	VYDAJ	PREVOD NA UCET	1148	20825	SIPO	WX	11703169
175599	592	1997-08-08	VYDAJ	PREVOD NA UCET	1148	19853	SIPO	WX	11703169
175600	592	1997-09-08	VYDAJ	PREVOD NA UCET	1148	20779	SIPO	WX	11703169
175601	592	1997-10-08	VYDAJ	PREVOD NA UCET	1148	18644	SIPO	WX	11703169
175602	592	1997-11-08	VYDAJ	PREVOD NA UCET	1148	13360	SIPO	WX	11703169
175603	592	1997-12-08	VYDAJ	PREVOD NA UCET	1148	17564	SIPO	WX	11703169
175604	592	1998-01-08	VYDAJ	PREVOD NA UCET	1148	11691	SIPO	WX	11703169
175605	592	1998-02-08	VYDAJ	PREVOD NA UCET	1148	11428	SIPO	WX	11703169
175606	592	1998-03-08	VYDAJ	PREVOD NA UCET	1148	14520	SIPO	WX	11703169
175607	592	1998-04-08	VYDAJ	PREVOD NA UCET	1148	13355	SIPO	WX	11703169
175608	592	1998-05-08	VYDAJ	PREVOD NA UCET	1148	12250	SIPO	WX	11703169
175609	592	1998-06-08	VYDAJ	PREVOD NA UCET	1148	14044	SIPO	WX	11703169
175610	592	1998-07-08	VYDAJ	PREVOD NA UCET	1148	18249	SIPO	WX	11703169
175611	592	1998-08-08	VYDAJ	PREVOD NA UCET	1148	20168	SIPO	WX	11703169
175612	592	1998-09-08	VYDAJ	PREVOD NA UCET	1148	16184	SIPO	WX	11703169
175613	592	1998-10-08	VYDAJ	PREVOD NA UCET	1148	15990	SIPO	WX	11703169
175614	592	1998-11-08	VYDAJ	PREVOD NA UCET	1148	20103	SIPO	WX	11703169
175615	592	1998-12-08	VYDAJ	PREVOD NA UCET	1148	18922	SIPO	WX	11703169
175633	592	1997-06-10	VYDAJ	PREVOD NA UCET	460	23149	 	MN	17637676
175634	592	1997-07-10	VYDAJ	PREVOD NA UCET	460	20365	 	MN	17637676
175635	592	1997-08-10	VYDAJ	PREVOD NA UCET	460	19393	 	MN	17637676
175636	592	1997-09-10	VYDAJ	PREVOD NA UCET	460	20319	 	MN	17637676
175637	592	1997-10-10	VYDAJ	PREVOD NA UCET	460	18184	 	MN	17637676
175638	592	1997-11-10	VYDAJ	PREVOD NA UCET	460	12900	 	MN	17637676
175639	592	1997-12-10	VYDAJ	PREVOD NA UCET	460	15804	 	MN	17637676
175640	592	1998-01-10	VYDAJ	PREVOD NA UCET	460	11231	 	MN	17637676
175641	592	1998-02-10	VYDAJ	PREVOD NA UCET	460	10968	 	MN	17637676
175642	592	1998-03-10	VYDAJ	PREVOD NA UCET	460	14060	 	MN	17637676
175643	592	1998-04-10	VYDAJ	PREVOD NA UCET	460	12895	 	MN	17637676
175644	592	1998-05-10	VYDAJ	PREVOD NA UCET	460	11790	 	MN	17637676
175645	592	1998-06-10	VYDAJ	PREVOD NA UCET	460	13584	 	MN	17637676
175646	592	1998-07-10	VYDAJ	PREVOD NA UCET	460	17789	 	MN	17637676
175647	592	1998-08-10	VYDAJ	PREVOD NA UCET	460	19708	 	MN	17637676
175648	592	1998-09-10	VYDAJ	PREVOD NA UCET	460	15724	 	MN	17637676
175649	592	1998-10-10	VYDAJ	PREVOD NA UCET	460	15530	 	MN	17637676
175650	592	1998-11-10	VYDAJ	PREVOD NA UCET	460	19643	 	MN	17637676
175651	592	1998-12-10	VYDAJ	PREVOD NA UCET	460	18462	 	MN	17637676
175653	592	1997-06-21	VYDAJ	VYBER	5900	23002	\N	\N	\N
175657	592	1998-01-15	VYDAJ	VYBER	2250	14734	\N	\N	\N
175659	592	1997-12-09	VYDAJ	VYBER	1300	16264	\N	\N	\N
175660	592	1998-12-25	VYDAJ	VYBER	250	19265	\N	\N	\N
175674	592	1998-01-01	VYDAJ	VYBER	1600	13319	\N	\N	\N
175675	592	1998-01-01	VYDAJ	VYBER	480	12839	\N	\N	\N
175678	592	1998-01-22	VYDAJ	VYBER	1600	12534	\N	\N	\N
175683	592	1997-06-25	VYDAJ	VYBER	1120	21882	\N	\N	\N
175686	592	1997-11-05	VYDAJ	VYBER	2400	14508	\N	\N	\N
175687	592	1997-09-13	VYDAJ	VYBER	560	25512	\N	\N	\N
175688	592	1998-03-11	VYDAJ	VYBER	3840	15973	\N	\N	\N
175691	592	1998-03-26	VYDAJ	VYBER	1520	14453	\N	\N	\N
175710	592	1997-05-31	VYDAJ	VYBER	15	24757	SLUZBY	\N	\N
175711	592	1997-06-30	VYDAJ	VYBER	15	21973	SLUZBY	\N	\N
175712	592	1997-07-31	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
175713	592	1997-08-31	VYDAJ	VYBER	15	21927	SLUZBY	\N	\N
175714	592	1997-09-30	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
175715	592	1997-10-31	VYDAJ	VYBER	15	16908	SLUZBY	\N	\N
175716	592	1997-11-30	VYDAJ	VYBER	15	18712	SLUZBY	\N	\N
175717	592	1997-12-31	VYDAJ	VYBER	15	14919	SLUZBY	\N	\N
175718	592	1998-01-31	VYDAJ	VYBER	15	12576	SLUZBY	\N	\N
175719	592	1998-02-28	VYDAJ	VYBER	15	15668	SLUZBY	\N	\N
175720	592	1998-03-31	VYDAJ	VYBER	15	14503	SLUZBY	\N	\N
175721	592	1998-04-30	VYDAJ	VYBER	15	13398	SLUZBY	\N	\N
175722	592	1998-05-31	VYDAJ	VYBER	15	15192	SLUZBY	\N	\N
175723	592	1998-06-30	VYDAJ	VYBER	15	19397	SLUZBY	\N	\N
175724	592	1998-07-31	VYDAJ	VYBER	15	21316	SLUZBY	\N	\N
175725	592	1998-08-31	VYDAJ	VYBER	15	17332	SLUZBY	\N	\N
175726	592	1998-09-30	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
175727	592	1998-10-31	VYDAJ	VYBER	15	21251	SLUZBY	\N	\N
175728	592	1998-11-30	VYDAJ	VYBER	15	20070	SLUZBY	\N	\N
175729	592	1997-04-26	VYDAJ	VYBER	1900	21412	\N	\N	\N
175730	592	1997-05-26	VYDAJ	VYBER	2500	24680	\N	\N	\N
175731	592	1997-07-25	VYDAJ	VYBER	5200	20918	\N	\N	\N
175732	592	1997-08-24	VYDAJ	VYBER	3300	21846	\N	\N	\N
175733	592	1997-09-23	VYDAJ	VYBER	5800	19712	\N	\N	\N
175734	592	1997-10-23	VYDAJ	VYBER	7100	16837	\N	\N	\N
175735	592	1997-12-22	VYDAJ	VYBER	6700	14857	\N	\N	\N
175736	592	1998-01-21	VYDAJ	VYBER	600	14134	\N	\N	\N
175737	592	1998-02-20	VYDAJ	VYBER	1100	15621	\N	\N	\N
175738	592	1998-04-21	VYDAJ	VYBER	5300	13348	\N	\N	\N
175739	592	1998-05-21	VYDAJ	VYBER	2400	15143	\N	\N	\N
175740	592	1998-07-20	VYDAJ	VYBER	2300	21242	\N	\N	\N
175741	592	1998-08-19	VYDAJ	VYBER	8200	17261	\N	\N	\N
175742	592	1998-09-18	VYDAJ	VYBER	4400	17077	\N	\N	\N
175743	592	1998-10-18	VYDAJ	VYBER	100	21183	\N	\N	\N
175744	592	1998-11-17	VYDAJ	VYBER	5400	19996	\N	\N	\N
175745	592	1998-12-17	VYDAJ	VYBER	4700	19515	\N	\N	\N
175767	593	1996-07-16	PRIJEM	VKLAD	800	800	\N	\N	\N
175775	593	1996-08-07	PRIJEM	VKLAD	13878	14678	\N	\N	\N
175776	593	1996-09-07	PRIJEM	VKLAD	13878	33300	\N	\N	\N
175777	593	1996-10-07	PRIJEM	VKLAD	13878	41378	\N	\N	\N
175778	593	1996-11-07	PRIJEM	VKLAD	13878	50492	\N	\N	\N
175779	593	1996-12-07	PRIJEM	VKLAD	20817	61070	\N	\N	\N
175780	593	1997-01-07	PRIJEM	VKLAD	13878	50007	\N	\N	\N
175781	593	1997-02-07	PRIJEM	VKLAD	13878	46031	\N	\N	\N
175782	593	1997-03-07	PRIJEM	VKLAD	13878	51342	\N	\N	\N
175783	593	1997-04-07	PRIJEM	VKLAD	13878	55973	\N	\N	\N
175784	593	1997-05-07	PRIJEM	VKLAD	13878	56412	\N	\N	\N
175785	593	1997-06-07	PRIJEM	VKLAD	20817	64394	\N	\N	\N
175786	593	1997-07-07	PRIJEM	VKLAD	13878	39696	\N	\N	\N
175787	593	1997-08-07	PRIJEM	VKLAD	13878	49494	\N	\N	\N
175788	593	1997-09-07	PRIJEM	VKLAD	13878	49605	\N	\N	\N
175789	593	1997-10-07	PRIJEM	VKLAD	13878	49417	\N	\N	\N
175790	593	1997-11-07	PRIJEM	VKLAD	13878	54242	\N	\N	\N
175791	593	1997-12-07	PRIJEM	VKLAD	20817	60410	\N	\N	\N
175792	593	1998-01-07	PRIJEM	VKLAD	13878	57355	\N	\N	\N
175793	593	1998-02-07	PRIJEM	VKLAD	13878	48479	\N	\N	\N
175794	593	1998-03-07	PRIJEM	VKLAD	13878	57919	\N	\N	\N
175795	593	1998-04-07	PRIJEM	VKLAD	13878	62379	\N	\N	\N
175796	593	1998-05-07	PRIJEM	VKLAD	13878	65489	\N	\N	\N
175797	593	1998-06-07	PRIJEM	VKLAD	20817	68125	\N	\N	\N
175798	593	1998-07-07	PRIJEM	VKLAD	13878	66434	\N	\N	\N
175799	593	1998-08-07	PRIJEM	VKLAD	13878	73165	\N	\N	\N
175800	593	1998-09-07	PRIJEM	VKLAD	13878	76327	\N	\N	\N
175801	593	1998-10-07	PRIJEM	VKLAD	13878	73406	\N	\N	\N
175802	593	1998-11-07	PRIJEM	VKLAD	13878	70577	\N	\N	\N
175803	593	1998-12-07	PRIJEM	VKLAD	20817	74575	\N	\N	\N
175805	593	1997-06-13	VYDAJ	VYBER	22400	25694	\N	\N	\N
175806	593	1998-06-16	VYDAJ	VYBER	13000	55125	\N	\N	\N
175808	593	1997-01-28	VYDAJ	VYBER	2400	32007	\N	\N	\N
175809	593	1998-01-15	VYDAJ	VYBER	4400	36155	\N	\N	\N
175810	593	1996-12-12	VYDAJ	VYBER	700	60370	\N	\N	\N
175811	593	1997-12-21	VYDAJ	VYBER	2900	43310	\N	\N	\N
175812	593	1998-12-19	VYDAJ	VYBER	1300	73275	\N	\N	\N
175819	593	1997-01-12	VYDAJ	VYBER	1800	48207	\N	\N	\N
175820	593	1997-01-14	VYDAJ	VYBER	2300	38207	\N	\N	\N
175821	593	1997-01-20	VYDAJ	VYBER	2900	35307	\N	\N	\N
175822	593	1997-01-23	VYDAJ	VYBER	900	34407	\N	\N	\N
175823	593	1997-01-04	VYDAJ	VYBER	1700	36129	\N	\N	\N
175824	593	1997-01-02	VYDAJ	VYBER	1300	37829	\N	\N	\N
175825	593	1998-01-23	VYDAJ	VYBER	2100	31355	\N	\N	\N
175826	593	1998-01-14	VYDAJ	VYBER	500	41755	\N	\N	\N
175827	593	1998-01-09	VYDAJ	VYBER	1300	42255	\N	\N	\N
175828	593	1998-01-15	VYDAJ	VYBER	2700	33455	\N	\N	\N
175829	593	1998-01-14	VYDAJ	VYBER	1200	40555	\N	\N	\N
175830	593	1998-01-30	VYDAJ	VYBER	2000	29355	\N	\N	\N
175833	593	1996-12-18	VYDAJ	VYBER	2400	40970	\N	\N	\N
175837	593	1997-11-09	VYDAJ	VYBER	2300	39442	\N	\N	\N
175838	593	1997-01-01	VYDAJ	VYBER	2000	39129	\N	\N	\N
175839	593	1998-12-01	VYDAJ	VYBER	3300	67558	\N	\N	\N
175840	593	1998-01-31	VYDAJ	VYBER	900	28615	\N	\N	\N
175841	593	1998-12-27	VYDAJ	VYBER	4400	68875	\N	\N	\N
175842	593	1998-05-13	VYDAJ	VYBER	1400	54989	\N	\N	\N
175843	593	1998-02-18	VYDAJ	VYBER	4600	43879	\N	\N	\N
175856	593	1996-12-31	VYDAJ	VYBER	15	41129	SLUZBY	\N	\N
175857	593	1997-01-31	VYDAJ	VYBER	15	32153	SLUZBY	\N	\N
175858	593	1997-02-28	VYDAJ	VYBER	15	37464	SLUZBY	\N	\N
175859	593	1997-03-31	VYDAJ	VYBER	15	42095	SLUZBY	\N	\N
175860	593	1997-04-30	VYDAJ	VYBER	15	42534	SLUZBY	\N	\N
175861	593	1997-05-31	VYDAJ	VYBER	15	43577	SLUZBY	\N	\N
175862	593	1997-06-30	VYDAJ	VYBER	15	25818	SLUZBY	\N	\N
175863	593	1997-07-31	VYDAJ	VYBER	15	35616	SLUZBY	\N	\N
175864	593	1997-08-31	VYDAJ	VYBER	15	35727	SLUZBY	\N	\N
175865	593	1997-09-30	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
175866	593	1997-10-31	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
175867	593	1997-11-30	VYDAJ	VYBER	15	39593	SLUZBY	\N	\N
175868	593	1997-12-31	VYDAJ	VYBER	15	43477	SLUZBY	\N	\N
175869	593	1998-01-31	VYDAJ	VYBER	15	28601	SLUZBY	\N	\N
175870	593	1998-02-28	VYDAJ	VYBER	15	44041	SLUZBY	\N	\N
175871	593	1998-03-31	VYDAJ	VYBER	15	48501	SLUZBY	\N	\N
175872	593	1998-04-30	VYDAJ	VYBER	15	51611	SLUZBY	\N	\N
175873	593	1998-05-31	VYDAJ	VYBER	15	55208	SLUZBY	\N	\N
175874	593	1998-06-30	VYDAJ	VYBER	15	55356	SLUZBY	\N	\N
175875	593	1998-07-31	VYDAJ	VYBER	15	66687	SLUZBY	\N	\N
175876	593	1998-08-31	VYDAJ	VYBER	15	73449	SLUZBY	\N	\N
175877	593	1998-09-30	VYDAJ	VYBER	15	76628	SLUZBY	\N	\N
175878	593	1998-10-31	VYDAJ	VYBER	15	73699	SLUZBY	\N	\N
175879	593	1998-11-30	VYDAJ	VYBER	15	70858	SLUZBY	\N	\N
175880	593	1996-08-15	PRIJEM	VKLAD	4700	19378	\N	\N	\N
175881	593	1996-09-14	VYDAJ	VYBER	5900	27400	\N	\N	\N
175882	593	1996-10-14	VYDAJ	VYBER	4900	36478	\N	\N	\N
175883	593	1996-11-13	VYDAJ	VYBER	10400	40092	\N	\N	\N
175884	593	1996-12-13	VYDAJ	VYBER	17000	43370	\N	\N	\N
175885	593	1997-01-12	VYDAJ	VYBER	7700	40507	\N	\N	\N
175886	593	1997-02-11	VYDAJ	VYBER	8700	37331	\N	\N	\N
175887	593	1997-03-13	VYDAJ	VYBER	9400	41942	\N	\N	\N
175888	593	1997-04-12	VYDAJ	VYBER	13600	42373	\N	\N	\N
175889	593	1997-05-12	VYDAJ	VYBER	13000	43412	\N	\N	\N
175890	593	1997-06-11	VYDAJ	VYBER	16300	48094	\N	\N	\N
175891	593	1997-07-11	VYDAJ	VYBER	4200	35496	\N	\N	\N
175892	593	1997-08-10	VYDAJ	VYBER	13900	35594	\N	\N	\N
175893	593	1997-09-09	VYDAJ	VYBER	14200	35405	\N	\N	\N
175894	593	1997-10-09	VYDAJ	VYBER	9200	40217	\N	\N	\N
175895	593	1997-11-08	VYDAJ	VYBER	12500	41742	\N	\N	\N
175896	593	1997-12-08	VYDAJ	VYBER	14200	46210	\N	\N	\N
175897	593	1998-01-07	VYDAJ	VYBER	13800	43555	\N	\N	\N
175898	593	1998-02-06	PRIJEM	VKLAD	6000	34601	\N	\N	\N
175899	593	1998-03-08	VYDAJ	VYBER	9600	48319	\N	\N	\N
175900	593	1998-04-07	VYDAJ	VYBER	11000	51379	\N	\N	\N
175901	593	1998-05-07	VYDAJ	VYBER	9100	56389	\N	\N	\N
175902	593	1998-06-06	VYDAJ	VYBER	7900	47308	\N	\N	\N
175903	593	1998-07-06	VYDAJ	VYBER	2800	52556	\N	\N	\N
175904	593	1998-08-05	VYDAJ	VYBER	7400	59287	\N	\N	\N
175905	593	1998-09-04	VYDAJ	VYBER	11000	62449	\N	\N	\N
175906	593	1998-10-04	VYDAJ	VYBER	17100	59528	\N	\N	\N
175907	593	1998-11-03	VYDAJ	VYBER	17000	56699	\N	\N	\N
175908	593	1998-12-03	VYDAJ	VYBER	13800	53758	\N	\N	\N
175938	594	1994-12-09	PRIJEM	VKLAD	500	500	\N	\N	\N
175950	594	1994-12-10	PRIJEM	PREVOD Z UCTU	3081	3581	\N	WX	51931703
175951	594	1995-01-10	PRIJEM	PREVOD Z UCTU	3081	6673	\N	WX	51931703
175952	594	1995-02-10	PRIJEM	PREVOD Z UCTU	3081	9769	\N	WX	51931703
175953	594	1995-03-10	PRIJEM	PREVOD Z UCTU	3081	12864	\N	WX	51931703
175954	594	1995-04-10	PRIJEM	PREVOD Z UCTU	3081	15960	\N	WX	51931703
175955	594	1995-05-10	PRIJEM	PREVOD Z UCTU	3081	17012	\N	WX	51931703
175956	594	1995-06-10	PRIJEM	PREVOD Z UCTU	3081	18085	\N	WX	51931703
175957	594	1995-07-10	PRIJEM	PREVOD Z UCTU	3081	15978	\N	WX	51931703
175958	594	1995-08-10	PRIJEM	PREVOD Z UCTU	3081	17047	\N	WX	51931703
175959	594	1995-09-10	PRIJEM	PREVOD Z UCTU	3081	18120	\N	WX	51931703
175960	594	1995-10-10	PRIJEM	PREVOD Z UCTU	3081	18807	\N	WX	51931703
175961	594	1995-11-10	PRIJEM	PREVOD Z UCTU	3081	18810	\N	WX	51931703
175962	594	1995-12-10	PRIJEM	PREVOD Z UCTU	3081	18692	\N	WX	51931703
175963	594	1996-01-10	PRIJEM	PREVOD Z UCTU	3081	16532	\N	WX	51931703
175964	594	1996-02-10	PRIJEM	PREVOD Z UCTU	3081	16766	\N	WX	51931703
175965	594	1996-03-10	PRIJEM	PREVOD Z UCTU	3081	16787	\N	WX	51931703
175966	594	1996-04-10	PRIJEM	PREVOD Z UCTU	3081	17862	\N	WX	51931703
175967	594	1996-05-10	PRIJEM	PREVOD Z UCTU	3081	18368	\N	WX	51931703
175968	594	1996-06-10	PRIJEM	PREVOD Z UCTU	3081	19446	\N	WX	51931703
175969	594	1996-07-10	PRIJEM	PREVOD Z UCTU	3081	20529	\N	WX	51931703
175970	594	1996-08-10	PRIJEM	PREVOD Z UCTU	3081	20266	\N	WX	51931703
175971	594	1996-09-10	PRIJEM	PREVOD Z UCTU	3081	21353	\N	WX	51931703
175972	594	1996-10-10	PRIJEM	PREVOD Z UCTU	3081	22443	\N	WX	51931703
175973	594	1996-11-10	PRIJEM	PREVOD Z UCTU	3081	23539	\N	WX	51931703
175974	594	1996-12-10	PRIJEM	PREVOD Z UCTU	3081	24639	\N	WX	51931703
175975	594	1997-01-10	PRIJEM	PREVOD Z UCTU	3081	20642	\N	WX	51931703
175976	594	1997-02-10	PRIJEM	PREVOD Z UCTU	3081	19813	\N	WX	51931703
175977	594	1997-03-10	PRIJEM	PREVOD Z UCTU	3081	20897	\N	WX	51931703
175978	594	1997-04-10	PRIJEM	PREVOD Z UCTU	3081	21986	\N	WX	51931703
175979	594	1997-05-10	PRIJEM	PREVOD Z UCTU	3081	22148	\N	WX	51931703
175980	594	1997-06-10	PRIJEM	PREVOD Z UCTU	3081	20821	\N	WX	51931703
175981	594	1997-07-10	PRIJEM	PREVOD Z UCTU	3081	21913	\N	WX	51931703
175982	594	1997-08-10	PRIJEM	PREVOD Z UCTU	3081	22795	\N	WX	51931703
175983	594	1997-09-10	PRIJEM	PREVOD Z UCTU	3081	23892	\N	WX	51931703
175984	594	1997-10-10	PRIJEM	PREVOD Z UCTU	3081	24993	\N	WX	51931703
175985	594	1997-11-10	PRIJEM	PREVOD Z UCTU	3081	26099	\N	WX	51931703
175986	594	1997-12-10	PRIJEM	PREVOD Z UCTU	3081	26908	\N	WX	51931703
175987	594	1998-01-10	PRIJEM	PREVOD Z UCTU	3081	27181	\N	WX	51931703
175988	594	1998-02-10	PRIJEM	PREVOD Z UCTU	3081	23850	\N	WX	51931703
175989	594	1998-03-10	PRIJEM	PREVOD Z UCTU	3081	24951	\N	WX	51931703
175990	594	1998-04-10	PRIJEM	PREVOD Z UCTU	3081	26056	\N	WX	51931703
175991	594	1998-05-10	PRIJEM	PREVOD Z UCTU	3081	27166	\N	WX	51931703
175992	594	1998-06-10	PRIJEM	PREVOD Z UCTU	3081	28280	\N	WX	51931703
175993	594	1998-07-10	PRIJEM	PREVOD Z UCTU	3081	22705	\N	WX	51931703
175994	594	1998-08-10	PRIJEM	PREVOD Z UCTU	3081	23801	\N	WX	51931703
175995	594	1998-09-10	PRIJEM	PREVOD Z UCTU	3081	24120	\N	WX	51931703
175996	594	1998-10-10	PRIJEM	PREVOD Z UCTU	3081	24621	\N	WX	51931703
175997	594	1998-11-10	PRIJEM	PREVOD Z UCTU	3081	25326	\N	WX	51931703
175998	594	1998-12-10	PRIJEM	PREVOD Z UCTU	3081	26433	\N	WX	51931703
176014	594	1995-04-14	VYDAJ	PREVOD NA UCET	2054	13906	SIPO	CD	76892024
176015	594	1995-05-14	VYDAJ	PREVOD NA UCET	2054	14958	SIPO	CD	76892024
176016	594	1995-06-14	VYDAJ	PREVOD NA UCET	2054	16031	SIPO	CD	76892024
176017	594	1995-07-14	VYDAJ	PREVOD NA UCET	2054	13924	SIPO	CD	76892024
176018	594	1995-08-14	VYDAJ	PREVOD NA UCET	2054	14993	SIPO	CD	76892024
176019	594	1995-09-14	VYDAJ	PREVOD NA UCET	2054	16066	SIPO	CD	76892024
176020	594	1995-10-14	VYDAJ	PREVOD NA UCET	2054	16753	SIPO	CD	76892024
176021	594	1995-11-14	VYDAJ	PREVOD NA UCET	2054	16756	SIPO	CD	76892024
176022	594	1995-12-14	VYDAJ	PREVOD NA UCET	2054	16638	SIPO	CD	76892024
176023	594	1996-01-14	VYDAJ	PREVOD NA UCET	2054	14268	SIPO	CD	76892024
176024	594	1996-02-14	VYDAJ	PREVOD NA UCET	2054	14712	SIPO	CD	76892024
176025	594	1996-03-14	VYDAJ	PREVOD NA UCET	2054	14733	SIPO	CD	76892024
176026	594	1996-04-14	VYDAJ	PREVOD NA UCET	2054	15808	SIPO	CD	76892024
176027	594	1996-05-14	VYDAJ	PREVOD NA UCET	2054	16314	SIPO	CD	76892024
176028	594	1996-06-14	VYDAJ	PREVOD NA UCET	2054	17392	SIPO	CD	76892024
176029	594	1996-07-14	VYDAJ	PREVOD NA UCET	2054	18475	SIPO	CD	76892024
176030	594	1996-08-14	VYDAJ	PREVOD NA UCET	2054	18212	SIPO	CD	76892024
176031	594	1996-09-14	VYDAJ	PREVOD NA UCET	2054	19299	SIPO	CD	76892024
176032	594	1996-10-14	VYDAJ	PREVOD NA UCET	2054	20389	SIPO	CD	76892024
176033	594	1996-11-14	VYDAJ	PREVOD NA UCET	2054	21485	SIPO	CD	76892024
176034	594	1996-12-14	VYDAJ	PREVOD NA UCET	2054	22585	SIPO	CD	76892024
176035	594	1997-01-14	VYDAJ	PREVOD NA UCET	2054	18048	SIPO	CD	76892024
176036	594	1997-02-14	VYDAJ	PREVOD NA UCET	2054	17759	SIPO	CD	76892024
176037	594	1997-03-14	VYDAJ	PREVOD NA UCET	2054	18843	SIPO	CD	76892024
176038	594	1997-04-14	VYDAJ	PREVOD NA UCET	2054	19932	SIPO	CD	76892024
176039	594	1997-05-14	VYDAJ	PREVOD NA UCET	2054	20094	SIPO	CD	76892024
176040	594	1997-06-14	VYDAJ	PREVOD NA UCET	2054	18767	SIPO	CD	76892024
176041	594	1997-07-14	VYDAJ	PREVOD NA UCET	2054	19649	SIPO	CD	76892024
176042	594	1997-08-14	VYDAJ	PREVOD NA UCET	2054	20741	SIPO	CD	76892024
176043	594	1997-09-14	VYDAJ	PREVOD NA UCET	2054	21838	SIPO	CD	76892024
176044	594	1997-10-14	VYDAJ	PREVOD NA UCET	2054	22939	SIPO	CD	76892024
176045	594	1997-11-14	VYDAJ	PREVOD NA UCET	2054	24045	SIPO	CD	76892024
176046	594	1997-12-14	VYDAJ	PREVOD NA UCET	2054	24314	SIPO	CD	76892024
176047	594	1998-01-14	VYDAJ	PREVOD NA UCET	2054	25127	SIPO	CD	76892024
176048	594	1998-02-14	VYDAJ	PREVOD NA UCET	2054	21796	SIPO	CD	76892024
176049	594	1998-03-14	VYDAJ	PREVOD NA UCET	2054	22897	SIPO	CD	76892024
176050	594	1998-04-14	VYDAJ	PREVOD NA UCET	2054	24002	SIPO	CD	76892024
176051	594	1998-05-14	VYDAJ	PREVOD NA UCET	2054	25112	SIPO	CD	76892024
176052	594	1998-06-14	VYDAJ	PREVOD NA UCET	2054	26226	SIPO	CD	76892024
176053	594	1998-07-14	VYDAJ	PREVOD NA UCET	2054	20651	SIPO	CD	76892024
176054	594	1998-08-14	VYDAJ	PREVOD NA UCET	2054	20967	SIPO	CD	76892024
176055	594	1998-09-14	VYDAJ	PREVOD NA UCET	2054	22066	SIPO	CD	76892024
176056	594	1998-10-14	VYDAJ	PREVOD NA UCET	2054	22567	SIPO	CD	76892024
176057	594	1998-11-14	VYDAJ	PREVOD NA UCET	2054	23272	SIPO	CD	76892024
176058	594	1998-12-14	VYDAJ	PREVOD NA UCET	2054	24379	SIPO	CD	76892024
176060	594	1995-06-21	VYDAJ	VYBER	3180	12851	\N	\N	\N
176062	594	1997-06-04	VYDAJ	VYBER	1230	17740	\N	\N	\N
176063	594	1998-06-26	VYDAJ	VYBER	6330	19896	\N	\N	\N
176066	594	1996-01-07	VYDAJ	VYBER	1470	14231	\N	\N	\N
176067	594	1997-01-08	VYDAJ	VYBER	2580	17561	\N	\N	\N
176068	594	1998-01-17	VYDAJ	VYBER	1920	23207	\N	\N	\N
176070	594	1995-12-23	VYDAJ	VYBER	150	16488	\N	\N	\N
176071	594	1996-12-15	VYDAJ	VYBER	270	22315	\N	\N	\N
176072	594	1997-12-13	VYDAJ	VYBER	540	26368	\N	\N	\N
176073	594	1998-12-28	VYDAJ	VYBER	750	23629	\N	\N	\N
176086	594	1996-01-06	VYDAJ	VYBER	570	15701	\N	\N	\N
176087	594	1996-01-07	VYDAJ	VYBER	780	13451	\N	\N	\N
176089	594	1996-01-11	VYDAJ	VYBER	210	16322	\N	\N	\N
176090	594	1996-01-04	VYDAJ	VYBER	270	16271	\N	\N	\N
176091	594	1996-01-19	VYDAJ	VYBER	630	13638	\N	\N	\N
176092	594	1997-01-06	VYDAJ	VYBER	870	20981	\N	\N	\N
176093	594	1997-01-28	VYDAJ	VYBER	150	17088	\N	\N	\N
176094	594	1997-01-06	VYDAJ	VYBER	840	20141	\N	\N	\N
176095	594	1997-01-27	VYDAJ	VYBER	810	17238	\N	\N	\N
176096	594	1997-01-29	VYDAJ	VYBER	420	16668	\N	\N	\N
176097	594	1997-01-10	VYDAJ	VYBER	540	20102	\N	\N	\N
176098	594	1998-01-18	VYDAJ	VYBER	360	22847	\N	\N	\N
176099	594	1998-01-25	VYDAJ	VYBER	570	20687	\N	\N	\N
176100	594	1998-01-19	VYDAJ	VYBER	330	21827	\N	\N	\N
176101	594	1998-01-24	VYDAJ	VYBER	180	21647	\N	\N	\N
176102	594	1998-01-24	VYDAJ	VYBER	390	21257	\N	\N	\N
176103	594	1998-01-19	VYDAJ	VYBER	690	22157	\N	\N	\N
176108	594	1995-11-06	VYDAJ	VYBER	510	15729	\N	\N	\N
176109	594	1995-11-30	VYDAJ	VYBER	1200	15626	\N	\N	\N
176111	594	1995-10-09	VYDAJ	VYBER	390	15726	\N	\N	\N
176112	594	1995-11-02	VYDAJ	VYBER	570	16239	\N	\N	\N
176113	594	1996-12-27	VYDAJ	VYBER	540	21775	\N	\N	\N
176114	594	1996-04-19	VYDAJ	VYBER	570	15238	\N	\N	\N
176115	594	1996-07-14	VYDAJ	VYBER	1350	17125	\N	\N	\N
176116	594	1996-03-08	VYDAJ	VYBER	1050	13706	\N	\N	\N
176117	594	1997-04-26	VYDAJ	VYBER	930	19002	\N	\N	\N
176118	594	1997-05-17	VYDAJ	VYBER	390	19704	\N	\N	\N
176119	594	1997-11-18	VYDAJ	VYBER	300	23745	\N	\N	\N
176120	594	1997-07-13	VYDAJ	VYBER	210	21703	\N	\N	\N
176121	594	1998-06-27	VYDAJ	VYBER	360	19536	\N	\N	\N
176122	594	1998-01-06	VYDAJ	VYBER	300	24100	\N	\N	\N
176123	594	1998-08-12	VYDAJ	VYBER	780	23021	\N	\N	\N
176124	594	1998-10-04	VYDAJ	VYBER	600	21540	\N	\N	\N
176141	594	1995-04-30	VYDAJ	VYBER	15	13931	SLUZBY	\N	\N
176142	594	1995-05-31	VYDAJ	VYBER	15	15004	SLUZBY	\N	\N
176143	594	1995-06-30	VYDAJ	VYBER	15	12897	SLUZBY	\N	\N
176144	594	1995-07-31	VYDAJ	VYBER	15	13966	SLUZBY	\N	\N
176145	594	1995-08-31	VYDAJ	VYBER	15	15039	SLUZBY	\N	\N
176146	594	1995-09-30	VYDAJ	VYBER	15	16116	SLUZBY	\N	\N
176147	594	1995-10-31	VYDAJ	VYBER	15	16809	SLUZBY	\N	\N
176148	594	1995-11-30	VYDAJ	VYBER	15	15611	SLUZBY	\N	\N
176149	594	1995-12-31	VYDAJ	VYBER	15	16541	SLUZBY	\N	\N
176150	594	1996-01-31	VYDAJ	VYBER	15	13685	SLUZBY	\N	\N
176151	594	1996-02-29	VYDAJ	VYBER	15	14756	SLUZBY	\N	\N
176152	594	1996-03-31	VYDAJ	VYBER	15	14781	SLUZBY	\N	\N
176153	594	1996-04-30	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
176154	594	1996-05-31	VYDAJ	VYBER	15	16365	SLUZBY	\N	\N
176155	594	1996-06-30	VYDAJ	VYBER	15	17448	SLUZBY	\N	\N
176156	594	1996-07-31	VYDAJ	VYBER	15	17185	SLUZBY	\N	\N
176157	594	1996-08-31	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
176158	594	1996-09-30	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
176159	594	1996-10-31	VYDAJ	VYBER	15	20458	SLUZBY	\N	\N
176160	594	1996-11-30	VYDAJ	VYBER	15	21558	SLUZBY	\N	\N
176161	594	1996-12-31	VYDAJ	VYBER	15	21851	SLUZBY	\N	\N
176162	594	1997-01-31	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
176163	594	1997-02-28	VYDAJ	VYBER	15	17816	SLUZBY	\N	\N
176164	594	1997-03-31	VYDAJ	VYBER	15	18905	SLUZBY	\N	\N
176165	594	1997-04-30	VYDAJ	VYBER	15	19067	SLUZBY	\N	\N
176166	594	1997-05-31	VYDAJ	VYBER	15	18970	SLUZBY	\N	\N
176167	594	1997-06-30	VYDAJ	VYBER	15	18832	SLUZBY	\N	\N
176168	594	1997-07-31	VYDAJ	VYBER	15	19714	SLUZBY	\N	\N
176169	594	1997-08-31	VYDAJ	VYBER	15	20811	SLUZBY	\N	\N
176170	594	1997-09-30	VYDAJ	VYBER	15	21912	SLUZBY	\N	\N
176171	594	1997-10-31	VYDAJ	VYBER	15	23018	SLUZBY	\N	\N
176172	594	1997-11-30	VYDAJ	VYBER	15	23827	SLUZBY	\N	\N
176173	594	1997-12-31	VYDAJ	VYBER	15	24400	SLUZBY	\N	\N
176174	594	1998-01-31	VYDAJ	VYBER	15	20769	SLUZBY	\N	\N
176175	594	1998-02-28	VYDAJ	VYBER	15	21870	SLUZBY	\N	\N
176176	594	1998-03-31	VYDAJ	VYBER	15	22975	SLUZBY	\N	\N
176177	594	1998-04-30	VYDAJ	VYBER	15	24085	SLUZBY	\N	\N
176178	594	1998-05-31	VYDAJ	VYBER	15	25199	SLUZBY	\N	\N
176179	594	1998-06-30	VYDAJ	VYBER	15	19624	SLUZBY	\N	\N
176180	594	1998-07-31	VYDAJ	VYBER	15	20720	SLUZBY	\N	\N
176181	594	1998-08-31	VYDAJ	VYBER	15	21039	SLUZBY	\N	\N
176182	594	1998-09-30	VYDAJ	VYBER	15	22140	SLUZBY	\N	\N
176183	594	1998-10-31	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
176184	594	1998-11-30	VYDAJ	VYBER	15	23352	SLUZBY	\N	\N
176185	594	1997-05-27	VYDAJ	VYBER	800	18904	\N	\N	\N
176186	594	1998-10-19	VYDAJ	VYBER	400	22167	\N	\N	\N
176236	595	1996-12-21	PRIJEM	VKLAD	200	200	\N	\N	\N
176243	595	1997-07-22	PRIJEM	VKLAD	6823	35444	\N	\N	\N
176244	595	1997-10-24	PRIJEM	VKLAD	10113	42670	\N	\N	\N
176245	595	1997-02-06	PRIJEM	VKLAD	29011	50583	\N	\N	\N
176246	595	1997-11-02	PRIJEM	VKLAD	35191	78081	\N	\N	\N
176247	595	1997-07-31	PRIJEM	VKLAD	33168	68612	\N	\N	\N
176248	595	1997-08-12	PRIJEM	VKLAD	13647	53625	\N	\N	\N
176249	595	1997-06-10	PRIJEM	VKLAD	28699	71009	\N	\N	\N
176250	595	1997-03-09	PRIJEM	VKLAD	13270	49765	\N	\N	\N
176251	595	1997-03-10	PRIJEM	VKLAD	23827	73592	\N	\N	\N
176252	595	1997-04-23	PRIJEM	VKLAD	46167	81684	\N	\N	\N
176253	595	1997-10-01	PRIJEM	VKLAD	20662	89645	\N	\N	\N
176254	595	1997-05-28	PRIJEM	VKLAD	24475	54353	\N	\N	\N
176255	595	1997-01-11	PRIJEM	VKLAD	21537	21737	\N	\N	\N
176256	595	1997-10-04	PRIJEM	VKLAD	42304	123756	\N	\N	\N
176257	595	1997-09-30	PRIJEM	VKLAD	46582	68998	\N	\N	\N
176258	595	1998-07-02	PRIJEM	VKLAD	49263	77710	\N	\N	\N
176259	595	1998-03-09	PRIJEM	VKLAD	28415	60503	\N	\N	\N
176260	595	1998-07-05	PRIJEM	VKLAD	37005	110215	\N	\N	\N
176261	595	1998-06-09	PRIJEM	VKLAD	12861	38276	\N	\N	\N
176262	595	1998-06-04	PRIJEM	VKLAD	29930	95817	\N	\N	\N
176263	595	1998-06-09	PRIJEM	VKLAD	20399	58675	\N	\N	\N
176264	595	1998-03-09	PRIJEM	VKLAD	18692	79195	\N	\N	\N
176265	595	1998-03-24	PRIJEM	VKLAD	17534	69329	\N	\N	\N
176266	595	1998-10-27	PRIJEM	VKLAD	22463	98544	\N	\N	\N
176267	595	1998-09-27	PRIJEM	VKLAD	47457	76843	\N	\N	\N
176268	595	1998-05-13	PRIJEM	VKLAD	30580	96201	\N	\N	\N
176269	595	1998-10-24	PRIJEM	VKLAD	19807	76081	\N	\N	\N
176270	595	1998-12-16	PRIJEM	VKLAD	45429	93003	\N	\N	\N
176271	595	1998-06-16	PRIJEM	VKLAD	6692	49967	\N	\N	\N
176272	595	1998-04-14	PRIJEM	VKLAD	46589	99876	\N	\N	\N
176273	595	1998-05-10	PRIJEM	VKLAD	9947	65621	\N	\N	\N
176274	595	1998-03-04	PRIJEM	VKLAD	11222	36790	\N	\N	\N
176275	595	1998-08-25	PRIJEM	VKLAD	9658	32131	\N	\N	\N
176276	595	1998-07-06	PRIJEM	VKLAD	35715	127630	\N	\N	\N
176277	595	1998-12-10	PRIJEM	VKLAD	23922	55974	\N	\N	\N
176278	595	1998-05-19	PRIJEM	VKLAD	18567	80668	\N	\N	\N
176279	595	1998-07-31	PRIJEM	VKLAD	44865	106927	\N	\N	\N
176296	595	1997-05-06	VYDAJ	PREVOD NA UCET	4702	54578	SIPO	WX	22432470
176297	595	1997-06-06	VYDAJ	PREVOD NA UCET	4702	42310	SIPO	WX	22432470
176298	595	1997-07-06	VYDAJ	PREVOD NA UCET	4702	42521	SIPO	WX	22432470
176299	595	1997-08-06	VYDAJ	PREVOD NA UCET	4702	39978	SIPO	WX	22432470
176300	595	1997-09-06	VYDAJ	PREVOD NA UCET	4702	27694	SIPO	WX	22432470
176301	595	1997-10-06	VYDAJ	PREVOD NA UCET	4702	75554	SIPO	WX	22432470
176302	595	1997-11-06	VYDAJ	PREVOD NA UCET	4702	65701	SIPO	WX	22432470
176303	595	1997-12-06	VYDAJ	PREVOD NA UCET	4702	41100	SIPO	WX	22432470
176304	595	1998-01-06	VYDAJ	PREVOD NA UCET	4702	17909	SIPO	WX	22432470
176305	595	1998-02-06	VYDAJ	PREVOD NA UCET	4702	17383	SIPO	WX	22432470
176306	595	1998-03-06	VYDAJ	PREVOD NA UCET	4702	32088	SIPO	WX	22432470
176307	595	1998-04-06	VYDAJ	PREVOD NA UCET	4702	64845	SIPO	WX	22432470
176308	595	1998-05-06	VYDAJ	PREVOD NA UCET	4702	55674	SIPO	WX	22432470
176309	595	1998-06-06	VYDAJ	PREVOD NA UCET	4702	25415	SIPO	WX	22432470
176310	595	1998-07-06	VYDAJ	PREVOD NA UCET	4702	91928	SIPO	WX	22432470
176311	595	1998-08-06	VYDAJ	PREVOD NA UCET	4702	40810	SIPO	WX	22432470
176312	595	1998-09-06	VYDAJ	PREVOD NA UCET	4702	20957	SIPO	WX	22432470
176313	595	1998-10-06	VYDAJ	PREVOD NA UCET	4702	67474	SIPO	WX	22432470
176314	595	1998-11-06	VYDAJ	PREVOD NA UCET	4702	81517	SIPO	WX	22432470
176315	595	1998-12-06	VYDAJ	PREVOD NA UCET	4702	32052	SIPO	WX	22432470
176327	595	1997-12-26	VYBER	VYBER	3730	28770	\N	\N	\N
176328	595	1997-08-06	VYBER	VYBER	24095	44680	\N	\N	\N
176330	595	1997-04-28	VYBER	VYBER	22620	59064	\N	\N	\N
176333	595	1997-10-16	VYBER	VYBER	20697	43157	\N	\N	\N
176334	595	1997-06-03	VYBER	VYBER	7526	47012	\N	\N	\N
176335	595	1997-11-06	VYBER	VYBER	7678	70403	\N	\N	\N
176337	595	1997-10-02	VYBER	VYBER	8193	81452	\N	\N	\N
176339	595	1998-04-20	VYBER	VYBER	3095	60126	\N	\N	\N
176340	595	1998-11-17	VYBER	VYBER	13866	36534	\N	\N	\N
176342	595	1998-11-13	VYBER	VYBER	9017	50400	\N	\N	\N
176343	595	1998-09-17	VYBER	VYBER	5971	29386	\N	\N	\N
176344	595	1998-04-09	VYBER	VYBER	11558	53287	\N	\N	\N
176345	595	1998-04-16	VYBER	VYBER	2355	63221	\N	\N	\N
176347	595	1998-08-14	VYBER	VYBER	17637	22473	\N	\N	\N
176349	595	1998-06-16	VYBER	VYBER	21650	28317	\N	\N	\N
176350	595	1998-05-31	VYBER	VYBER	15063	65902	\N	\N	\N
176353	595	1998-06-04	VYDAJ	VYBER	65700	30117	\N	\N	\N
176358	595	1997-12-14	VYDAJ	VYBER	7200	33900	\N	\N	\N
176359	595	1998-12-24	VYDAJ	VYBER	5700	87303	\N	\N	\N
176374	595	1998-01-01	VYDAJ	VYBER	2400	26511	\N	\N	\N
176376	595	1998-01-05	VYDAJ	VYBER	3900	22611	\N	\N	\N
176387	595	1997-10-15	VYDAJ	VYBER	9900	63854	\N	\N	\N
176388	595	1997-10-10	VYDAJ	VYBER	1800	73754	\N	\N	\N
176389	595	1997-05-11	VYDAJ	VYBER	6300	48278	\N	\N	\N
176390	595	1998-10-30	VYDAJ	VYBER	12600	85944	\N	\N	\N
176391	595	1998-03-13	VYDAJ	VYBER	4800	74395	\N	\N	\N
176393	595	1998-10-01	VYDAJ	VYBER	4800	72176	\N	\N	\N
176394	595	1998-07-02	VYDAJ	VYBER	4500	73210	\N	\N	\N
176395	595	1998-09-02	VYDAJ	VYBER	6600	25659	\N	\N	\N
176412	595	1997-04-30	VYDAJ	VYBER	15	59280	SLUZBY	\N	\N
176413	595	1997-05-31	VYDAJ	VYBER	15	54538	SLUZBY	\N	\N
176414	595	1997-06-30	VYDAJ	VYBER	15	47223	SLUZBY	\N	\N
176415	595	1997-07-31	VYDAJ	VYBER	15	68775	SLUZBY	\N	\N
176416	595	1997-08-31	VYDAJ	VYBER	15	32396	SLUZBY	\N	\N
176417	595	1997-09-30	VYDAJ	VYBER	15	68983	SLUZBY	\N	\N
176418	595	1997-10-31	VYDAJ	VYBER	15	42890	SLUZBY	\N	\N
176419	595	1997-11-30	VYDAJ	VYBER	15	45802	SLUZBY	\N	\N
176420	595	1997-12-31	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
176421	595	1998-01-31	VYDAJ	VYBER	15	22085	SLUZBY	\N	\N
176422	595	1998-02-28	VYDAJ	VYBER	15	25568	SLUZBY	\N	\N
176423	595	1998-03-31	VYDAJ	VYBER	15	69547	SLUZBY	\N	\N
176424	595	1998-04-30	VYDAJ	VYBER	15	60376	SLUZBY	\N	\N
176425	595	1998-05-31	VYDAJ	VYBER	15	65887	SLUZBY	\N	\N
176426	595	1998-06-30	VYDAJ	VYBER	15	28447	SLUZBY	\N	\N
176427	595	1998-07-31	VYDAJ	VYBER	15	106912	SLUZBY	\N	\N
176428	595	1998-08-31	VYDAJ	VYBER	15	32259	SLUZBY	\N	\N
176429	595	1998-09-30	VYDAJ	VYBER	15	76976	SLUZBY	\N	\N
176430	595	1998-10-31	VYDAJ	VYBER	15	86219	SLUZBY	\N	\N
176431	595	1998-11-30	VYDAJ	VYBER	15	36754	SLUZBY	\N	\N
176432	595	1997-01-20	VYDAJ	VYBER	200	21537	\N	\N	\N
176433	595	1997-02-19	VYDAJ	VYBER	14200	36383	\N	\N	\N
176434	595	1997-03-21	VYDAJ	VYBER	24700	48892	\N	\N	\N
176435	595	1997-04-20	VYDAJ	VYBER	13600	35517	\N	\N	\N
176436	595	1997-05-20	VYDAJ	VYBER	18400	29878	\N	\N	\N
176437	595	1997-06-19	VYDAJ	VYBER	24000	47009	\N	\N	\N
176438	595	1997-07-19	VYDAJ	VYBER	13900	28621	\N	\N	\N
176439	595	1997-08-18	VYDAJ	VYBER	21400	32225	\N	\N	\N
176440	595	1997-09-17	VYDAJ	VYBER	5400	22294	\N	\N	\N
176441	595	1997-10-04	VYDAJ	VYBER	43500	80256	\N	\N	\N
176442	595	1997-10-17	VYDAJ	VYBER	10600	32557	\N	\N	\N
176443	595	1997-11-16	VYDAJ	VYBER	20100	45601	\N	\N	\N
176444	595	1997-12-16	VYDAJ	VYBER	1400	32500	\N	\N	\N
176445	595	1998-01-15	PRIJEM	VKLAD	4100	22009	\N	\N	\N
176446	595	1998-02-14	PRIJEM	VKLAD	8100	25483	\N	\N	\N
176447	595	1998-03-16	VYDAJ	VYBER	22600	51795	\N	\N	\N
176448	595	1998-04-15	VYDAJ	VYBER	34300	65576	\N	\N	\N
176449	595	1998-05-15	VYDAJ	VYBER	34100	62101	\N	\N	\N
176450	595	1998-06-14	VYDAJ	VYBER	15400	43275	\N	\N	\N
176451	595	1998-07-05	VYDAJ	VYBER	18300	91915	\N	\N	\N
176452	595	1998-07-06	VYDAJ	VYBER	31000	96630	\N	\N	\N
176453	595	1998-07-14	VYDAJ	VYBER	30200	61728	\N	\N	\N
176454	595	1998-07-31	VYDAJ	VYBER	61400	45512	\N	\N	\N
176455	595	1998-08-13	VYDAJ	VYBER	700	40110	\N	\N	\N
176456	595	1998-09-12	PRIJEM	VKLAD	14400	35357	\N	\N	\N
176457	595	1998-10-12	VYDAJ	VYBER	11200	56274	\N	\N	\N
176458	595	1998-11-11	VYDAJ	VYBER	22100	59417	\N	\N	\N
176459	595	1998-12-11	VYDAJ	VYBER	8400	47574	\N	\N	\N
176484	596	1994-10-13	PRIJEM	VKLAD	700	700	\N	\N	\N
176495	596	1994-11-08	PRIJEM	VKLAD	16909	17609	\N	\N	\N
176496	596	1994-12-08	PRIJEM	VKLAD	25364	45024	\N	\N	\N
176497	596	1995-01-08	PRIJEM	VKLAD	16909	52959	\N	\N	\N
176498	596	1995-02-08	PRIJEM	VKLAD	16909	58734	\N	\N	\N
176499	596	1995-03-08	PRIJEM	VKLAD	16909	59518	\N	\N	\N
176500	596	1995-04-08	PRIJEM	VKLAD	16909	58186	\N	\N	\N
176501	596	1995-05-08	PRIJEM	VKLAD	16909	58854	\N	\N	\N
176502	596	1995-06-08	PRIJEM	VKLAD	25364	72191	\N	\N	\N
176503	596	1995-07-08	PRIJEM	VKLAD	16909	54749	\N	\N	\N
176504	596	1995-08-08	PRIJEM	VKLAD	16909	59716	\N	\N	\N
176505	596	1995-09-08	PRIJEM	VKLAD	16909	59278	\N	\N	\N
176506	596	1995-10-08	PRIJEM	VKLAD	16909	63265	\N	\N	\N
176507	596	1995-11-08	PRIJEM	VKLAD	16909	55615	\N	\N	\N
176508	596	1995-12-08	PRIJEM	VKLAD	25364	66442	\N	\N	\N
176509	596	1996-01-08	PRIJEM	VKLAD	16909	66702	\N	\N	\N
176510	596	1996-02-08	PRIJEM	VKLAD	16909	61256	\N	\N	\N
176511	596	1996-03-08	PRIJEM	VKLAD	16909	64999	\N	\N	\N
176512	596	1996-04-08	PRIJEM	VKLAD	16909	69461	\N	\N	\N
176513	596	1996-05-08	PRIJEM	VKLAD	16909	65598	\N	\N	\N
176514	596	1996-06-08	PRIJEM	VKLAD	25364	81210	\N	\N	\N
176515	596	1996-07-08	PRIJEM	VKLAD	16909	61024	\N	\N	\N
176516	596	1996-08-08	PRIJEM	VKLAD	16909	72059	\N	\N	\N
176517	596	1996-09-08	PRIJEM	VKLAD	16909	74436	\N	\N	\N
176518	596	1996-10-08	PRIJEM	VKLAD	16909	78235	\N	\N	\N
176519	596	1996-11-08	PRIJEM	VKLAD	16909	81952	\N	\N	\N
176520	596	1996-12-08	PRIJEM	VKLAD	25364	90938	\N	\N	\N
176521	596	1997-01-08	PRIJEM	VKLAD	16909	83952	\N	\N	\N
176522	596	1997-02-08	PRIJEM	VKLAD	16909	85057	\N	\N	\N
176523	596	1997-03-08	PRIJEM	VKLAD	16909	91236	\N	\N	\N
176524	596	1997-04-08	PRIJEM	VKLAD	16909	89035	\N	\N	\N
176525	596	1997-05-08	PRIJEM	VKLAD	16909	93591	\N	\N	\N
176526	596	1997-06-08	PRIJEM	VKLAD	25364	102611	\N	\N	\N
176527	596	1997-07-08	PRIJEM	VKLAD	16909	81521	\N	\N	\N
176528	596	1997-08-08	PRIJEM	VKLAD	16909	93339	\N	\N	\N
176529	596	1997-09-08	PRIJEM	VKLAD	16909	100865	\N	\N	\N
176530	596	1997-10-08	PRIJEM	VKLAD	16909	103010	\N	\N	\N
176531	596	1997-11-08	PRIJEM	VKLAD	16909	108811	\N	\N	\N
176532	596	1997-12-08	PRIJEM	VKLAD	25364	112700	\N	\N	\N
176533	596	1998-01-08	PRIJEM	VKLAD	16909	81453	\N	\N	\N
176534	596	1998-02-08	PRIJEM	VKLAD	16909	94049	\N	\N	\N
176535	596	1998-03-08	PRIJEM	VKLAD	16909	109072	\N	\N	\N
176536	596	1998-04-08	PRIJEM	VKLAD	16909	115152	\N	\N	\N
176537	596	1998-05-08	PRIJEM	VKLAD	16909	100571	\N	\N	\N
176538	596	1998-06-08	PRIJEM	VKLAD	25364	123380	\N	\N	\N
176539	596	1998-07-08	PRIJEM	VKLAD	16909	66068	\N	\N	\N
176540	596	1998-08-08	PRIJEM	VKLAD	16909	102903	\N	\N	\N
176541	596	1998-09-08	PRIJEM	VKLAD	16909	123076	\N	\N	\N
176542	596	1998-10-08	PRIJEM	VKLAD	16909	101254	\N	\N	\N
176543	596	1998-11-08	PRIJEM	VKLAD	16909	121755	\N	\N	\N
176544	596	1998-12-08	PRIJEM	VKLAD	25364	119151	\N	\N	\N
176546	596	1995-06-19	VYDAJ	VYBER	9760	37671	\N	\N	\N
176547	596	1996-06-18	VYDAJ	VYBER	35040	46170	\N	\N	\N
176548	596	1997-06-26	VYDAJ	VYBER	30880	71731	\N	\N	\N
176549	596	1998-06-28	VYDAJ	VYBER	45760	48780	\N	\N	\N
176551	596	1995-12-07	VYDAJ	VYBER	3040	52778	\N	\N	\N
176552	596	1996-12-18	VYDAJ	VYBER	4640	86298	\N	\N	\N
176553	596	1997-12-06	VYDAJ	VYBER	4640	87337	\N	\N	\N
176554	596	1998-12-26	VYDAJ	VYBER	4160	87491	\N	\N	\N
176567	596	1996-01-28	VYDAJ	VYBER	1200	59742	\N	\N	\N
176568	596	1996-01-09	VYDAJ	VYBER	3360	62262	\N	\N	\N
176569	596	1996-01-08	VYDAJ	VYBER	1080	65622	\N	\N	\N
176570	596	1996-01-20	VYDAJ	VYBER	1320	60942	\N	\N	\N
176571	596	1996-01-30	VYDAJ	VYBER	2160	54102	\N	\N	\N
176572	596	1996-01-29	VYDAJ	VYBER	3480	56262	\N	\N	\N
176573	596	1997-01-14	VYDAJ	VYBER KARTOU	1800	78952	\N	\N	0
176574	596	1997-01-05	VYDAJ	VYBER KARTOU	2400	67043	\N	\N	0
176575	596	1997-01-14	VYDAJ	VYBER KARTOU	2900	76052	\N	\N	0
176576	596	1997-01-20	VYDAJ	VYBER KARTOU	1800	74252	\N	\N	0
176577	596	1997-01-25	VYDAJ	VYBER KARTOU	2600	71652	\N	\N	0
176578	596	1997-01-01	VYDAJ	VYBER KARTOU	1600	69443	\N	\N	0
176579	596	1998-01-19	VYDAJ	VYBER KARTOU	1600	72653	\N	\N	0
176580	596	1998-01-09	VYDAJ	VYBER KARTOU	3000	77453	\N	\N	0
176581	596	1998-01-10	VYDAJ	VYBER KARTOU	3200	74253	\N	\N	0
176582	596	1998-01-05	VYDAJ	VYBER KARTOU	600	64544	\N	\N	0
176583	596	1998-01-09	VYDAJ	VYBER KARTOU	1000	80453	\N	\N	0
176584	596	1998-01-25	VYDAJ	VYBER KARTOU	1400	76853	\N	\N	0
176591	596	1995-06-19	VYDAJ	VYBER	2760	47431	\N	\N	\N
176593	596	1995-09-01	VYDAJ	VYBER	3720	42369	\N	\N	\N
176594	596	1995-10-19	VYDAJ	VYBER	3960	46605	\N	\N	\N
176595	596	1995-10-26	VYDAJ	VYBER	5280	41325	\N	\N	\N
176596	596	1996-04-14	VYDAJ	VYBER	4800	64661	\N	\N	\N
176597	596	1996-05-04	VYDAJ	VYBER	5400	53989	\N	\N	\N
176598	596	1996-08-12	VYDAJ	VYBER KARTOU	2500	69559	\N	\N	0
176599	596	1996-04-16	VYDAJ	VYBER	5520	59141	\N	\N	\N
176600	596	1997-08-22	VYDAJ	VYBER KARTOU	2600	90739	\N	\N	0
176601	596	1997-05-16	VYDAJ	VYBER KARTOU	2300	91291	\N	\N	0
176602	596	1997-07-01	VYDAJ	VYBER	4320	64612	\N	\N	\N
176603	596	1997-11-27	VYDAJ	VYBER KARTOU	1900	91611	\N	\N	0
176604	596	1997-10-03	VYDAJ	VYBER KARTOU	3700	86101	\N	\N	0
176605	596	1997-01-10	VYDAJ	VYBER KARTOU	3200	80752	\N	\N	0
176606	596	1997-03-17	VYDAJ	VYBER	4560	86676	\N	\N	\N
176607	596	1998-06-14	VYDAJ	VYBER	5040	89340	\N	\N	\N
176608	596	1998-06-02	VYDAJ	VYBER KARTOU	1600	98017	\N	\N	0
176609	596	1998-10-01	VYDAJ	VYBER	4560	85445	\N	\N	\N
176610	596	1998-10-02	VYDAJ	VYBER KARTOU	1100	84345	\N	\N	0
176626	596	1995-03-31	VYDAJ	VYBER	15	41277	SLUZBY	\N	\N
176627	596	1995-04-30	VYDAJ	VYBER	15	41945	SLUZBY	\N	\N
176628	596	1995-05-31	VYDAJ	VYBER	15	46827	SLUZBY	\N	\N
176629	596	1995-06-30	VYDAJ	VYBER	15	37840	SLUZBY	\N	\N
176630	596	1995-07-31	VYDAJ	VYBER	15	42807	SLUZBY	\N	\N
176631	596	1995-08-31	VYDAJ	VYBER	15	46089	SLUZBY	\N	\N
176632	596	1995-09-30	VYDAJ	VYBER	15	46356	SLUZBY	\N	\N
176633	596	1995-10-31	VYDAJ	VYBER	15	41506	SLUZBY	\N	\N
176634	596	1995-11-30	VYDAJ	VYBER	15	55818	SLUZBY	\N	\N
176635	596	1995-12-31	VYDAJ	VYBER	15	66693	SLUZBY	\N	\N
176636	596	1996-01-31	VYDAJ	VYBER	15	54347	SLUZBY	\N	\N
176637	596	1996-02-29	VYDAJ	VYBER	15	61490	SLUZBY	\N	\N
176638	596	1996-03-31	VYDAJ	VYBER	15	65252	SLUZBY	\N	\N
176639	596	1996-04-30	VYDAJ	VYBER	15	59389	SLUZBY	\N	\N
176640	596	1996-05-31	VYDAJ	VYBER	15	65846	SLUZBY	\N	\N
176641	596	1996-06-30	VYDAJ	VYBER	15	46415	SLUZBY	\N	\N
176642	596	1996-07-31	VYDAJ	VYBER	15	61250	SLUZBY	\N	\N
176643	596	1996-08-31	VYDAJ	VYBER	15	69827	SLUZBY	\N	\N
176644	596	1996-09-30	VYDAJ	VYBER	15	74726	SLUZBY	\N	\N
176645	596	1996-10-31	VYDAJ	VYBER	15	78543	SLUZBY	\N	\N
176646	596	1996-11-30	VYDAJ	VYBER	15	82275	SLUZBY	\N	\N
176647	596	1996-12-31	VYDAJ	VYBER	15	86643	SLUZBY	\N	\N
176648	596	1997-01-31	VYDAJ	VYBER	15	68148	SLUZBY	\N	\N
176649	596	1997-02-28	VYDAJ	VYBER	15	85327	SLUZBY	\N	\N
176650	596	1997-03-31	VYDAJ	VYBER	15	87026	SLUZBY	\N	\N
176651	596	1997-04-30	VYDAJ	VYBER	15	89382	SLUZBY	\N	\N
176652	596	1997-05-31	VYDAJ	VYBER	15	77248	SLUZBY	\N	\N
176653	596	1997-06-30	VYDAJ	VYBER	15	68932	SLUZBY	\N	\N
176654	596	1997-07-31	VYDAJ	VYBER	15	76430	SLUZBY	\N	\N
176655	596	1997-08-31	VYDAJ	VYBER	15	83956	SLUZBY	\N	\N
176656	596	1997-09-30	VYDAJ	VYBER	15	89801	SLUZBY	\N	\N
176657	596	1997-10-31	VYDAJ	VYBER	15	91902	SLUZBY	\N	\N
176658	596	1997-11-30	VYDAJ	VYBER	15	91977	SLUZBY	\N	\N
176659	596	1997-12-31	VYDAJ	VYBER	15	65144	SLUZBY	\N	\N
176660	596	1998-01-31	VYDAJ	VYBER	15	77140	SLUZBY	\N	\N
176661	596	1998-02-28	VYDAJ	VYBER	15	92163	SLUZBY	\N	\N
176662	596	1998-03-31	VYDAJ	VYBER	15	98243	SLUZBY	\N	\N
176663	596	1998-04-30	VYDAJ	VYBER	15	83662	SLUZBY	\N	\N
176664	596	1998-05-31	VYDAJ	VYBER	15	99617	SLUZBY	\N	\N
176665	596	1998-06-30	VYDAJ	VYBER	15	49159	SLUZBY	\N	\N
176666	596	1998-07-31	VYDAJ	VYBER	15	85994	SLUZBY	\N	\N
176667	596	1998-08-31	VYDAJ	VYBER	15	106167	SLUZBY	\N	\N
176668	596	1998-09-30	VYDAJ	VYBER	15	90005	SLUZBY	\N	\N
176669	596	1998-10-31	VYDAJ	VYBER	15	104846	SLUZBY	\N	\N
176670	596	1998-11-30	VYDAJ	VYBER	15	93788	SLUZBY	\N	\N
176671	596	1994-11-12	PRIJEM	VKLAD	2000	19609	\N	\N	\N
176672	596	1994-12-12	VYDAJ	VYBER	9100	35924	\N	\N	\N
176673	596	1995-01-11	VYDAJ	VYBER	11300	41659	\N	\N	\N
176674	596	1995-02-10	VYDAJ	VYBER	16300	42434	\N	\N	\N
176675	596	1995-03-12	VYDAJ	VYBER	18400	41118	\N	\N	\N
176676	596	1995-04-11	VYDAJ	VYBER	16400	41786	\N	\N	\N
176677	596	1995-05-11	VYDAJ	VYBER	12200	46654	\N	\N	\N
176678	596	1995-06-10	VYDAJ	VYBER	22000	50191	\N	\N	\N
176679	596	1995-07-10	VYDAJ	VYBER	12100	42649	\N	\N	\N
176680	596	1995-08-09	VYDAJ	VYBER	13800	45916	\N	\N	\N
176681	596	1995-09-08	VYDAJ	VYBER	13100	46178	\N	\N	\N
176682	596	1995-10-08	VYDAJ	VYBER	12700	50565	\N	\N	\N
176683	596	1995-11-07	VYDAJ	VYBER	2800	38706	\N	\N	\N
176684	596	1995-12-07	VYDAJ	VYBER	11700	41078	\N	\N	\N
176685	596	1996-01-06	VYDAJ	VYBER	16900	49793	\N	\N	\N
176686	596	1996-02-05	VYDAJ	VYBER	10000	44347	\N	\N	\N
176687	596	1996-03-06	VYDAJ	VYBER	13400	48090	\N	\N	\N
176688	596	1996-04-05	VYDAJ	VYBER	12700	52552	\N	\N	\N
176689	596	1996-05-05	VYDAJ	VYBER	5300	48689	\N	\N	\N
176690	596	1996-06-04	VYDAJ	VYBER	10000	55846	\N	\N	\N
176691	596	1996-07-04	VYDAJ	VYBER KARTOU	2300	44115	\N	\N	0
176692	596	1996-08-03	VYDAJ	VYBER	6100	55150	\N	\N	\N
176693	596	1996-09-02	VYDAJ	VYBER	12300	57527	\N	\N	\N
176694	596	1996-10-02	VYDAJ	VYBER	13400	61326	\N	\N	\N
176695	596	1996-11-01	VYDAJ	VYBER	13500	65043	\N	\N	\N
176696	596	1996-12-01	VYDAJ	VYBER	16700	65575	\N	\N	\N
176697	596	1996-12-31	VYDAJ	VYBER	15600	71043	\N	\N	\N
176698	596	1997-01-30	VYDAJ	VYBER KARTOU	3800	67852	\N	\N	0
176699	596	1997-03-01	VYDAJ	VYBER	11000	74327	\N	\N	\N
176700	596	1997-03-31	VYDAJ	VYBER	14900	72126	\N	\N	\N
176701	596	1997-04-30	VYDAJ	VYBER	12700	76682	\N	\N	\N
176702	596	1997-05-30	VYDAJ	VYBER	14400	76891	\N	\N	\N
176703	596	1997-06-29	VYDAJ	VYBER KARTOU	3100	68631	\N	\N	0
176704	596	1997-07-29	VYDAJ	VYBER	5400	76121	\N	\N	\N
176705	596	1997-08-28	VYDAJ	VYBER	7100	83639	\N	\N	\N
176706	596	1997-09-27	VYDAJ	VYBER	11400	89465	\N	\N	\N
176707	596	1997-10-27	VYDAJ	VYBER	11500	91510	\N	\N	\N
176708	596	1997-11-26	VYDAJ	VYBER	15300	93511	\N	\N	\N
176709	596	1997-12-08	VYDAJ	VYBER	62300	50400	\N	\N	\N
176710	596	1997-12-26	PRIJEM	VKLAD	14500	64900	\N	\N	\N
176711	596	1998-01-25	PRIJEM	VKLAD	5600	78253	\N	\N	\N
176712	596	1998-02-24	VYDAJ	VYBER KARTOU	2200	91849	\N	\N	0
176713	596	1998-03-26	VYDAJ	VYBER	11200	97872	\N	\N	\N
176714	596	1998-04-08	VYDAJ	VYBER	45800	69352	\N	\N	\N
176715	596	1998-04-25	PRIJEM	VKLAD	14000	83352	\N	\N	\N
176716	596	1998-05-25	VYDAJ	VYBER KARTOU	1300	99271	\N	\N	0
176717	596	1998-06-08	VYDAJ	VYBER	29000	94380	\N	\N	\N
176718	596	1998-06-24	PRIJEM	VKLAD	5200	94540	\N	\N	\N
176719	596	1998-07-24	PRIJEM	VKLAD	19700	85768	\N	\N	\N
176720	596	1998-08-23	PRIJEM	VKLAD	2900	105803	\N	\N	\N
176721	596	1998-09-08	VYDAJ	VYBER	55000	68076	\N	\N	\N
176722	596	1998-09-22	PRIJEM	VKLAD	21600	89676	\N	\N	\N
176723	596	1998-10-22	PRIJEM	VKLAD	3200	104454	\N	\N	\N
176724	596	1998-11-08	VYDAJ	VYBER	48300	73455	\N	\N	\N
176725	596	1998-11-21	PRIJEM	VKLAD	19900	93355	\N	\N	\N
176726	596	1998-12-08	VYDAJ	VYBER	54700	64451	\N	\N	\N
176727	596	1998-12-21	PRIJEM	VKLAD	27200	91651	\N	\N	\N
176778	597	1993-12-05	PRIJEM	VKLAD	300	300	\N	\N	\N
176791	597	1994-01-05	PRIJEM	VKLAD	19807	29907	\N	\N	\N
176792	597	1994-02-05	PRIJEM	VKLAD	19807	49223	\N	\N	\N
176793	597	1994-03-05	PRIJEM	VKLAD	19807	69223	\N	\N	\N
176794	597	1994-04-05	PRIJEM	VKLAD	19807	57508	\N	\N	\N
176795	597	1994-05-05	PRIJEM	VKLAD	19807	61561	\N	\N	\N
176796	597	1994-06-05	PRIJEM	VKLAD	29710	65144	\N	\N	\N
176797	597	1994-07-05	PRIJEM	VKLAD	19807	49909	\N	\N	\N
176798	597	1994-08-05	PRIJEM	VKLAD	19807	56150	\N	\N	\N
176799	597	1994-09-05	PRIJEM	VKLAD	19807	59117	\N	\N	\N
176800	597	1994-10-05	PRIJEM	VKLAD	19807	57397	\N	\N	\N
176801	597	1994-11-05	PRIJEM	VKLAD	19807	60071	\N	\N	\N
176802	597	1994-12-05	PRIJEM	VKLAD	29710	64036	\N	\N	\N
176803	597	1995-01-05	PRIJEM	VKLAD	19807	62122	\N	\N	\N
176804	597	1995-02-05	PRIJEM	VKLAD	19807	48452	\N	\N	\N
176805	597	1995-03-05	PRIJEM	VKLAD	19807	53172	\N	\N	\N
176806	597	1995-04-05	PRIJEM	VKLAD	19807	56305	\N	\N	\N
176807	597	1995-05-05	PRIJEM	VKLAD	19807	53450	\N	\N	\N
176808	597	1995-06-05	PRIJEM	VKLAD	29710	56901	\N	\N	\N
176809	597	1995-07-05	PRIJEM	VKLAD	19807	51355	\N	\N	\N
176810	597	1995-08-05	PRIJEM	VKLAD	19807	49991	\N	\N	\N
176811	597	1995-09-05	PRIJEM	VKLAD	19807	50117	\N	\N	\N
176812	597	1995-10-05	PRIJEM	VKLAD	19807	51331	\N	\N	\N
176813	597	1995-11-05	PRIJEM	VKLAD	19807	50347	\N	\N	\N
176814	597	1995-12-05	PRIJEM	VKLAD	29710	59463	\N	\N	\N
176815	597	1996-01-05	PRIJEM	VKLAD	19807	52794	\N	\N	\N
176816	597	1996-02-05	PRIJEM	VKLAD	19807	36697	\N	\N	\N
176817	597	1996-03-05	PRIJEM	VKLAD	19807	40153	\N	\N	\N
176818	597	1996-04-05	PRIJEM	VKLAD	19807	41320	\N	\N	\N
176819	597	1996-05-05	PRIJEM	VKLAD	19807	43399	\N	\N	\N
176820	597	1996-06-05	PRIJEM	VKLAD	29710	53179	\N	\N	\N
176821	597	1996-07-05	PRIJEM	VKLAD	19807	38157	\N	\N	\N
176822	597	1996-08-05	PRIJEM	VKLAD	19807	38510	\N	\N	\N
176823	597	1996-09-05	PRIJEM	VKLAD	19807	40771	\N	\N	\N
176824	597	1996-10-05	PRIJEM	VKLAD	19807	41533	\N	\N	\N
176825	597	1996-11-05	PRIJEM	VKLAD	19807	44602	\N	\N	\N
176826	597	1996-12-05	PRIJEM	VKLAD	29710	54287	\N	\N	\N
176827	597	1997-01-05	PRIJEM	VKLAD	19807	42595	\N	\N	\N
176828	597	1997-02-05	PRIJEM	VKLAD	19807	38271	\N	\N	\N
176829	597	1997-03-05	PRIJEM	VKLAD	19807	42124	\N	\N	\N
176830	597	1997-04-05	PRIJEM	VKLAD	19807	44894	\N	\N	\N
176831	597	1997-05-05	PRIJEM	VKLAD	19807	49276	\N	\N	\N
176832	597	1997-06-05	PRIJEM	VKLAD	29710	58770	\N	\N	\N
176833	597	1997-07-05	PRIJEM	VKLAD	19807	50973	\N	\N	\N
176834	597	1997-08-05	PRIJEM	VKLAD	19807	46861	\N	\N	\N
176835	597	1997-09-05	PRIJEM	VKLAD	19807	45537	\N	\N	\N
176836	597	1997-10-05	PRIJEM	VKLAD	19807	44906	\N	\N	\N
176837	597	1997-11-05	PRIJEM	VKLAD	19807	44473	\N	\N	\N
176838	597	1997-12-05	PRIJEM	VKLAD	29710	47733	\N	\N	\N
176839	597	1998-01-05	PRIJEM	VKLAD	19807	42193	\N	\N	\N
176840	597	1998-02-05	PRIJEM	VKLAD	19807	34739	\N	\N	\N
176841	597	1998-03-05	PRIJEM	VKLAD	19807	36162	\N	\N	\N
176842	597	1998-04-05	PRIJEM	VKLAD	19807	36993	\N	\N	\N
176843	597	1998-05-05	PRIJEM	VKLAD	19807	38427	\N	\N	\N
176844	597	1998-06-05	PRIJEM	VKLAD	29710	48868	\N	\N	\N
176845	597	1998-07-05	PRIJEM	VKLAD	19807	42818	\N	\N	\N
176846	597	1998-08-05	PRIJEM	VKLAD	19807	38859	\N	\N	\N
176847	597	1998-09-05	PRIJEM	VKLAD	19807	39299	\N	\N	\N
176848	597	1998-10-05	PRIJEM	VKLAD	19807	45472	\N	\N	\N
176849	597	1998-11-05	PRIJEM	VKLAD	19807	45437	\N	\N	\N
176850	597	1998-12-05	PRIJEM	VKLAD	29710	51291	\N	\N	\N
176867	597	1994-05-10	VYDAJ	PREVOD NA UCET	6135	55426	SIPO	EF	43030637
176868	597	1994-06-10	VYDAJ	PREVOD NA UCET	6135	59009	SIPO	EF	43030637
176869	597	1994-07-10	VYDAJ	PREVOD NA UCET	6135	43774	SIPO	EF	43030637
176870	597	1994-08-10	VYDAJ	PREVOD NA UCET	6135	50015	SIPO	EF	43030637
176871	597	1994-09-10	VYDAJ	PREVOD NA UCET	6135	52982	SIPO	EF	43030637
176872	597	1994-10-10	VYDAJ	PREVOD NA UCET	6135	51262	SIPO	EF	43030637
176873	597	1994-11-10	VYDAJ	PREVOD NA UCET	6135	53936	SIPO	EF	43030637
176874	597	1994-12-10	VYDAJ	PREVOD NA UCET	6135	57901	SIPO	EF	43030637
176875	597	1995-01-10	VYDAJ	PREVOD NA UCET	6135	55987	SIPO	EF	43030637
176876	597	1995-02-10	VYDAJ	PREVOD NA UCET	6135	41617	SIPO	EF	43030637
176877	597	1995-03-10	VYDAJ	PREVOD NA UCET	6135	47037	SIPO	EF	43030637
176878	597	1995-04-10	VYDAJ	PREVOD NA UCET	6135	50170	SIPO	EF	43030637
176879	597	1995-05-10	VYDAJ	PREVOD NA UCET	6135	47315	SIPO	EF	43030637
176880	597	1995-06-10	VYDAJ	PREVOD NA UCET	6135	50766	SIPO	EF	43030637
176881	597	1995-07-10	VYDAJ	PREVOD NA UCET	6135	45220	SIPO	EF	43030637
176882	597	1995-08-10	VYDAJ	PREVOD NA UCET	6135	43856	SIPO	EF	43030637
176883	597	1995-09-10	VYDAJ	PREVOD NA UCET	6135	43982	SIPO	EF	43030637
176884	597	1995-10-10	VYDAJ	PREVOD NA UCET	6135	45196	SIPO	EF	43030637
176885	597	1995-11-10	VYDAJ	PREVOD NA UCET	6135	44212	SIPO	EF	43030637
176886	597	1995-12-10	VYDAJ	PREVOD NA UCET	6135	53328	SIPO	EF	43030637
176887	597	1996-01-10	VYDAJ	PREVOD NA UCET	6135	44159	SIPO	EF	43030637
176888	597	1996-02-10	VYDAJ	PREVOD NA UCET	6135	30562	SIPO	EF	43030637
176889	597	1996-03-10	VYDAJ	PREVOD NA UCET	6135	34018	SIPO	EF	43030637
176890	597	1996-04-10	VYDAJ	PREVOD NA UCET	6135	34085	SIPO	EF	43030637
176891	597	1996-05-10	VYDAJ	PREVOD NA UCET	6135	37264	SIPO	EF	43030637
176892	597	1996-06-10	VYDAJ	PREVOD NA UCET	6135	47044	SIPO	EF	43030637
176893	597	1996-07-10	VYDAJ	PREVOD NA UCET	6135	32022	SIPO	EF	43030637
176894	597	1996-08-10	VYDAJ	PREVOD NA UCET	6135	28975	SIPO	EF	43030637
176895	597	1996-09-10	VYDAJ	PREVOD NA UCET	6135	34636	SIPO	EF	43030637
176896	597	1996-10-10	VYDAJ	PREVOD NA UCET	6135	35398	SIPO	EF	43030637
176897	597	1996-11-10	VYDAJ	PREVOD NA UCET	6135	37267	SIPO	EF	43030637
176898	597	1996-12-10	VYDAJ	PREVOD NA UCET	6135	46652	SIPO	EF	43030637
176899	597	1997-01-10	VYDAJ	PREVOD NA UCET	6135	36460	SIPO	EF	43030637
176900	597	1997-02-10	VYDAJ	PREVOD NA UCET	6135	32136	SIPO	EF	43030637
176901	597	1997-03-10	VYDAJ	PREVOD NA UCET	6135	35989	SIPO	EF	43030637
176902	597	1997-04-10	VYDAJ	PREVOD NA UCET	6135	38759	SIPO	EF	43030637
176903	597	1997-05-10	VYDAJ	PREVOD NA UCET	6135	43141	SIPO	EF	43030637
176904	597	1997-06-10	VYDAJ	PREVOD NA UCET	6135	52635	SIPO	EF	43030637
176905	597	1997-07-10	VYDAJ	PREVOD NA UCET	6135	44838	SIPO	EF	43030637
176906	597	1997-08-10	VYDAJ	PREVOD NA UCET	6135	40726	SIPO	EF	43030637
176907	597	1997-09-10	VYDAJ	PREVOD NA UCET	6135	39402	SIPO	EF	43030637
176908	597	1997-10-10	VYDAJ	PREVOD NA UCET	6135	38771	SIPO	EF	43030637
176909	597	1997-11-10	VYDAJ	PREVOD NA UCET	6135	34438	SIPO	EF	43030637
176910	597	1997-12-10	VYDAJ	PREVOD NA UCET	6135	41598	SIPO	EF	43030637
176911	597	1998-01-10	VYDAJ	PREVOD NA UCET	6135	30658	SIPO	EF	43030637
176912	597	1998-02-10	VYDAJ	PREVOD NA UCET	6135	28604	SIPO	EF	43030637
176913	597	1998-03-10	VYDAJ	PREVOD NA UCET	6135	30027	SIPO	EF	43030637
176914	597	1998-04-10	VYDAJ	PREVOD NA UCET	6135	30858	SIPO	EF	43030637
176915	597	1998-05-10	VYDAJ	PREVOD NA UCET	6135	32292	SIPO	EF	43030637
176916	597	1998-06-10	VYDAJ	PREVOD NA UCET	6135	42733	SIPO	EF	43030637
176917	597	1998-07-10	VYDAJ	PREVOD NA UCET	6135	36683	SIPO	EF	43030637
176918	597	1998-08-10	VYDAJ	PREVOD NA UCET	6135	32724	SIPO	EF	43030637
176919	597	1998-09-10	VYDAJ	PREVOD NA UCET	6135	33164	SIPO	EF	43030637
176920	597	1998-10-10	VYDAJ	PREVOD NA UCET	6135	34837	SIPO	EF	43030637
176921	597	1998-11-10	VYDAJ	PREVOD NA UCET	6135	22602	SIPO	EF	43030637
176922	597	1998-12-10	VYDAJ	PREVOD NA UCET	6135	19856	SIPO	EF	43030637
176924	597	1994-06-17	VYDAJ	VYBER	19500	39509	\N	\N	\N
176925	597	1995-06-03	VYDAJ	VYBER	7700	27191	\N	\N	\N
176926	597	1996-06-19	VYDAJ	VYBER	21200	25844	\N	\N	\N
176931	597	1995-01-17	VYDAJ	VYBER	4800	43387	\N	\N	\N
176932	597	1996-01-27	VYDAJ	VYBER	4600	16759	\N	\N	\N
176933	597	1997-01-12	VYDAJ	VYBER	2500	33960	\N	\N	\N
176936	597	1994-12-12	VYDAJ	VYBER	700	57201	\N	\N	\N
176937	597	1995-12-21	VYDAJ	VYBER	2200	51128	\N	\N	\N
176938	597	1996-12-05	VYDAJ	VYBER	1500	52787	\N	\N	\N
176939	597	1997-12-27	VYDAJ	VYBER	1400	24498	\N	\N	\N
176940	597	1998-12-12	VYDAJ	VYBER	1600	18256	\N	\N	\N
176953	597	1995-01-21	VYDAJ	VYBER	2800	39787	\N	\N	\N
176954	597	1995-01-16	VYDAJ	VYBER	1100	48187	\N	\N	\N
176955	597	1995-01-20	VYDAJ	VYBER	800	42587	\N	\N	\N
176956	597	1995-01-23	VYDAJ	VYBER	2800	34187	\N	\N	\N
176957	597	1995-01-12	VYDAJ	VYBER	2800	53187	\N	\N	\N
176958	597	1995-01-22	VYDAJ	VYBER	2800	36987	\N	\N	\N
176959	597	1996-01-10	VYDAJ	VYBER	1200	41059	\N	\N	\N
176960	597	1996-01-11	VYDAJ	VYBER	2800	38259	\N	\N	\N
176961	597	1996-01-10	VYDAJ	VYBER	1900	42259	\N	\N	\N
176962	597	1996-01-08	VYDAJ	VYBER	2500	50294	\N	\N	\N
176963	597	1996-01-01	VYDAJ	VYBER	2100	32987	\N	\N	\N
176964	597	1996-01-25	VYDAJ	VYBER	700	25459	\N	\N	\N
176965	597	1997-01-12	VYDAJ	VYBER	800	33160	\N	\N	\N
176966	597	1997-01-20	VYDAJ	VYBER	2700	21760	\N	\N	\N
176967	597	1997-01-30	VYDAJ	VYBER	2900	18360	\N	\N	\N
176968	597	1997-01-04	VYDAJ	VYBER	900	22788	\N	\N	\N
176969	597	1997-01-25	VYDAJ	VYBER	500	21260	\N	\N	\N
176970	597	1997-01-03	VYDAJ	VYBER	2900	23688	\N	\N	\N
176971	597	1998-01-03	VYDAJ	VYBER	1500	22386	\N	\N	\N
176972	597	1998-01-03	VYDAJ	VYBER	700	23886	\N	\N	\N
176975	597	1998-01-10	VYDAJ	VYBER	800	36793	\N	\N	\N
176982	597	1994-05-13	VYDAJ	VYBER	4900	50526	\N	\N	\N
176983	597	1994-12-02	VYDAJ	VYBER	3200	34326	\N	\N	\N
176985	597	1995-01-15	VYDAJ	VYBER	3900	49287	\N	\N	\N
176986	597	1995-11-28	VYDAJ	VYBER	2800	29612	\N	\N	\N
176987	597	1995-07-03	VYDAJ	VYBER	1900	31548	\N	\N	\N
176988	597	1995-05-01	VYDAJ	VYBER	3300	33643	\N	\N	\N
176989	597	1995-02-07	VYDAJ	VYBER	700	47752	\N	\N	\N
176990	597	1995-08-04	VYDAJ	VYBER	2300	30184	\N	\N	\N
176991	597	1995-06-22	VYDAJ	VYBER	1700	49066	\N	\N	\N
176992	597	1995-08-23	VYDAJ	VYBER	3300	40556	\N	\N	\N
176993	597	1996-01-25	VYDAJ	VYBER	4100	21359	\N	\N	\N
176994	597	1996-12-26	VYDAJ	VYBER	1100	26452	\N	\N	\N
176995	597	1996-11-07	VYDAJ	VYBER	1200	43402	\N	\N	\N
176996	597	1996-04-07	VYDAJ	VYBER	1100	40220	\N	\N	\N
176997	597	1996-08-06	VYDAJ	VYBER	3400	35110	\N	\N	\N
176998	597	1996-07-15	VYDAJ	VYBER	1500	30522	\N	\N	\N
176999	597	1997-03-31	VYDAJ	VYBER	800	25087	\N	\N	\N
177000	597	1997-07-16	VYDAJ	VYBER	1200	43638	\N	\N	\N
177001	597	1997-11-05	VYDAJ	VYBER	3900	40573	\N	\N	\N
177002	597	1998-08-29	VYDAJ	VYBER	1700	19424	\N	\N	\N
177003	597	1998-01-06	VYDAJ	VYBER	4600	37593	\N	\N	\N
177005	597	1998-10-07	VYDAJ	VYBER	4500	40972	\N	\N	\N
177008	597	1998-11-29	VYDAJ	VYBER	1100	21502	\N	\N	\N
177026	597	1994-05-31	VYDAJ	VYBER	15	50734	SLUZBY	\N	\N
177027	597	1994-06-30	VYDAJ	VYBER	15	39702	SLUZBY	\N	\N
177028	597	1994-07-31	VYDAJ	VYBER	15	43943	SLUZBY	\N	\N
177029	597	1994-08-31	VYDAJ	VYBER	15	50210	SLUZBY	\N	\N
177030	597	1994-09-30	VYDAJ	VYBER	15	53190	SLUZBY	\N	\N
177031	597	1994-10-31	VYDAJ	VYBER	15	40264	SLUZBY	\N	\N
177032	597	1994-11-30	VYDAJ	VYBER	15	37526	SLUZBY	\N	\N
177033	597	1994-12-31	VYDAJ	VYBER	15	42315	SLUZBY	\N	\N
177034	597	1995-01-31	VYDAJ	VYBER	15	28645	SLUZBY	\N	\N
177035	597	1995-02-28	VYDAJ	VYBER	15	41765	SLUZBY	\N	\N
177036	597	1995-03-31	VYDAJ	VYBER	15	36498	SLUZBY	\N	\N
177037	597	1995-04-30	VYDAJ	VYBER	15	36943	SLUZBY	\N	\N
177038	597	1995-05-31	VYDAJ	VYBER	15	34891	SLUZBY	\N	\N
177039	597	1995-06-30	VYDAJ	VYBER	15	33448	SLUZBY	\N	\N
177040	597	1995-07-31	VYDAJ	VYBER	15	32484	SLUZBY	\N	\N
177041	597	1995-08-31	VYDAJ	VYBER	15	30310	SLUZBY	\N	\N
177042	597	1995-09-30	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
177043	597	1995-10-31	VYDAJ	VYBER	15	30540	SLUZBY	\N	\N
177044	597	1995-11-30	VYDAJ	VYBER	15	29753	SLUZBY	\N	\N
177045	597	1995-12-31	VYDAJ	VYBER	15	35087	SLUZBY	\N	\N
177046	597	1996-01-31	VYDAJ	VYBER	15	16890	SLUZBY	\N	\N
177047	597	1996-02-29	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
177048	597	1996-03-31	VYDAJ	VYBER	15	21513	SLUZBY	\N	\N
177049	597	1996-04-30	VYDAJ	VYBER	15	23592	SLUZBY	\N	\N
177050	597	1996-05-31	VYDAJ	VYBER	15	23469	SLUZBY	\N	\N
177051	597	1996-06-30	VYDAJ	VYBER	15	18350	SLUZBY	\N	\N
177052	597	1996-07-31	VYDAJ	VYBER	15	18703	SLUZBY	\N	\N
177053	597	1996-08-31	VYDAJ	VYBER	15	20964	SLUZBY	\N	\N
177054	597	1996-09-30	VYDAJ	VYBER	15	21726	SLUZBY	\N	\N
177055	597	1996-10-31	VYDAJ	VYBER	15	24795	SLUZBY	\N	\N
177056	597	1996-11-30	VYDAJ	VYBER	15	24577	SLUZBY	\N	\N
177057	597	1996-12-31	VYDAJ	VYBER	15	26588	SLUZBY	\N	\N
177058	597	1997-01-31	VYDAJ	VYBER	15	18464	SLUZBY	\N	\N
177059	597	1997-02-28	VYDAJ	VYBER	15	22317	SLUZBY	\N	\N
177060	597	1997-03-31	VYDAJ	VYBER	15	25887	SLUZBY	\N	\N
177061	597	1997-04-30	VYDAJ	VYBER	15	29469	SLUZBY	\N	\N
177062	597	1997-05-31	VYDAJ	VYBER	15	29060	SLUZBY	\N	\N
177063	597	1997-06-30	VYDAJ	VYBER	15	31166	SLUZBY	\N	\N
177064	597	1997-07-31	VYDAJ	VYBER	15	27054	SLUZBY	\N	\N
177065	597	1997-08-31	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
177066	597	1997-09-30	VYDAJ	VYBER	15	25099	SLUZBY	\N	\N
177067	597	1997-10-31	VYDAJ	VYBER	15	24666	SLUZBY	\N	\N
177068	597	1997-11-30	VYDAJ	VYBER	15	18023	SLUZBY	\N	\N
177069	597	1997-12-31	VYDAJ	VYBER	15	24586	SLUZBY	\N	\N
177070	597	1998-01-31	VYDAJ	VYBER	15	14932	SLUZBY	\N	\N
177071	597	1998-02-28	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
177072	597	1998-03-31	VYDAJ	VYBER	15	17186	SLUZBY	\N	\N
177073	597	1998-04-30	VYDAJ	VYBER	15	18620	SLUZBY	\N	\N
177074	597	1998-05-31	VYDAJ	VYBER	15	19158	SLUZBY	\N	\N
177075	597	1998-06-30	VYDAJ	VYBER	15	23011	SLUZBY	\N	\N
177076	597	1998-07-31	VYDAJ	VYBER	15	19052	SLUZBY	\N	\N
177077	597	1998-08-31	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
177078	597	1998-09-30	VYDAJ	VYBER	15	25665	SLUZBY	\N	\N
177079	597	1998-10-31	VYDAJ	VYBER	15	25630	SLUZBY	\N	\N
177080	597	1998-11-30	VYDAJ	VYBER	15	21581	SLUZBY	\N	\N
177081	597	1994-01-04	PRIJEM	VKLAD	9800	10100	\N	\N	\N
177082	597	1994-02-03	VYDAJ	VYBER	600	29416	\N	\N	\N
177083	597	1994-03-05	VYDAJ	VYBER	21700	47523	\N	\N	\N
177084	597	1994-04-04	VYDAJ	VYBER	10100	37701	\N	\N	\N
177085	597	1994-05-04	VYDAJ	VYBER	16000	41754	\N	\N	\N
177086	597	1994-06-03	VYDAJ	VYBER	15300	35434	\N	\N	\N
177087	597	1994-07-03	VYDAJ	VYBER	9600	30102	\N	\N	\N
177088	597	1994-08-02	VYDAJ	VYBER	7600	36343	\N	\N	\N
177089	597	1994-09-01	VYDAJ	VYBER	10900	39310	\N	\N	\N
177090	597	1994-10-01	VYDAJ	VYBER	15600	37590	\N	\N	\N
177091	597	1994-10-31	VYDAJ	VYBER	11200	40279	\N	\N	\N
177092	597	1994-11-30	VYDAJ	VYBER	16600	37541	\N	\N	\N
177093	597	1994-12-30	VYDAJ	VYBER	15100	42101	\N	\N	\N
177094	597	1995-01-29	VYDAJ	VYBER	5700	28487	\N	\N	\N
177095	597	1995-02-28	VYDAJ	VYBER	8400	33365	\N	\N	\N
177096	597	1995-03-30	VYDAJ	VYBER	10700	36337	\N	\N	\N
177097	597	1995-04-29	VYDAJ	VYBER	13400	36770	\N	\N	\N
177098	597	1995-05-29	VYDAJ	VYBER	12600	34715	\N	\N	\N
177099	597	1995-06-28	VYDAJ	VYBER	15800	33266	\N	\N	\N
177100	597	1995-07-28	VYDAJ	VYBER	12900	32320	\N	\N	\N
177101	597	1995-08-27	VYDAJ	VYBER	10400	30156	\N	\N	\N
177102	597	1995-09-26	VYDAJ	VYBER	12600	31382	\N	\N	\N
177103	597	1995-10-26	VYDAJ	VYBER	14800	30396	\N	\N	\N
177104	597	1995-11-25	VYDAJ	VYBER	11800	32412	\N	\N	\N
177105	597	1995-12-25	VYDAJ	VYBER	16200	34928	\N	\N	\N
177106	597	1996-01-24	VYDAJ	VYBER	12100	26159	\N	\N	\N
177107	597	1996-02-23	VYDAJ	VYBER	10300	20262	\N	\N	\N
177108	597	1996-03-24	VYDAJ	VYBER	12600	21418	\N	\N	\N
177109	597	1996-04-23	VYDAJ	VYBER	10600	23485	\N	\N	\N
177110	597	1996-05-23	VYDAJ	VYBER	13900	23364	\N	\N	\N
177111	597	1996-06-22	VYDAJ	VYBER	7600	18244	\N	\N	\N
177112	597	1996-07-22	VYDAJ	VYBER	11900	18622	\N	\N	\N
177113	597	1996-08-21	VYDAJ	VYBER	8100	20875	\N	\N	\N
177114	597	1996-09-20	VYDAJ	VYBER	13000	21636	\N	\N	\N
177115	597	1996-10-20	VYDAJ	VYBER	10700	24698	\N	\N	\N
177116	597	1996-11-19	VYDAJ	VYBER	12800	24467	\N	\N	\N
177117	597	1996-12-19	VYDAJ	VYBER	19100	27552	\N	\N	\N
177118	597	1997-01-18	VYDAJ	VYBER	8700	24460	\N	\N	\N
177119	597	1997-02-17	VYDAJ	VYBER	9900	22236	\N	\N	\N
177120	597	1997-03-19	VYDAJ	VYBER	10200	25789	\N	\N	\N
177121	597	1997-04-18	VYDAJ	VYBER	9400	29359	\N	\N	\N
177122	597	1997-05-18	VYDAJ	VYBER	14200	28941	\N	\N	\N
177123	597	1997-06-17	VYDAJ	VYBER	21600	31035	\N	\N	\N
177124	597	1997-07-17	VYDAJ	VYBER	16700	26938	\N	\N	\N
177125	597	1997-08-16	VYDAJ	VYBER	15100	25626	\N	\N	\N
177126	597	1997-09-15	VYDAJ	VYBER	14400	25002	\N	\N	\N
177127	597	1997-10-15	VYDAJ	VYBER	14200	24571	\N	\N	\N
177128	597	1997-11-14	VYDAJ	VYBER	16500	17938	\N	\N	\N
177129	597	1997-12-14	VYDAJ	VYBER	15700	25898	\N	\N	\N
177130	597	1998-01-13	VYDAJ	VYBER	15800	14858	\N	\N	\N
177131	597	1998-02-12	VYDAJ	VYBER	12300	16304	\N	\N	\N
177132	597	1998-03-14	VYDAJ	VYBER	12900	17127	\N	\N	\N
177133	597	1998-04-13	VYDAJ	VYBER	12300	18558	\N	\N	\N
177134	597	1998-05-13	VYDAJ	VYBER	13200	19092	\N	\N	\N
177135	597	1998-06-12	VYDAJ	VYBER	19800	22933	\N	\N	\N
177136	597	1998-07-12	VYDAJ	VYBER	17700	18983	\N	\N	\N
177137	597	1998-08-11	VYDAJ	VYBER	11600	21124	\N	\N	\N
177138	597	1998-09-10	VYDAJ	VYBER	7600	25564	\N	\N	\N
177139	597	1998-10-10	VYDAJ	VYBER	9300	25537	\N	\N	\N
177140	597	1998-11-09	VYDAJ	VYBER	16700	28737	\N	\N	\N
177141	597	1998-12-09	VYDAJ	VYBER	25300	25991	\N	\N	\N
177202	598	1997-02-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
177205	598	1997-03-05	PRIJEM	VKLAD	11672	12772	\N	\N	\N
177206	598	1997-04-05	PRIJEM	VKLAD	11672	30399	\N	\N	\N
177207	598	1997-05-05	PRIJEM	VKLAD	11672	40078	\N	\N	\N
177208	598	1997-06-05	PRIJEM	VKLAD	17508	54631	\N	\N	\N
177209	598	1997-07-05	PRIJEM	VKLAD	11672	53873	\N	\N	\N
177210	598	1997-08-05	PRIJEM	VKLAD	11672	54628	\N	\N	\N
177211	598	1997-09-05	PRIJEM	VKLAD	11672	51096	\N	\N	\N
177212	598	1997-10-05	PRIJEM	VKLAD	11672	45016	\N	\N	\N
177213	598	1997-11-05	PRIJEM	VKLAD	11672	39737	\N	\N	\N
177214	598	1997-12-05	PRIJEM	VKLAD	17508	42356	\N	\N	\N
177215	598	1998-01-05	PRIJEM	VKLAD	11672	34383	\N	\N	\N
177216	598	1998-02-05	PRIJEM	VKLAD	11672	35070	\N	\N	\N
177217	598	1998-03-05	PRIJEM	VKLAD	11672	39056	\N	\N	\N
177218	598	1998-04-05	PRIJEM	VKLAD	11672	45462	\N	\N	\N
177219	598	1998-05-05	PRIJEM	VKLAD	11672	52093	\N	\N	\N
177220	598	1998-06-05	PRIJEM	VKLAD	17508	60089	\N	\N	\N
177221	598	1998-07-05	PRIJEM	VKLAD	11672	50259	\N	\N	\N
177222	598	1998-08-05	PRIJEM	VKLAD	11672	55142	\N	\N	\N
177223	598	1998-09-05	PRIJEM	VKLAD	11672	56887	\N	\N	\N
177224	598	1998-10-05	PRIJEM	VKLAD	11672	61364	\N	\N	\N
177225	598	1998-11-05	PRIJEM	VKLAD	11672	64363	\N	\N	\N
177226	598	1998-12-05	PRIJEM	VKLAD	17508	74408	\N	\N	\N
177233	598	1997-07-07	VYDAJ	PREVOD NA UCET	7781	46092	SIPO	IJ	36825537
177234	598	1997-08-07	VYDAJ	PREVOD NA UCET	7781	39247	SIPO	IJ	36825537
177235	598	1997-09-07	VYDAJ	PREVOD NA UCET	7781	33215	SIPO	IJ	36825537
177236	598	1997-10-07	VYDAJ	PREVOD NA UCET	7781	29035	SIPO	IJ	36825537
177237	598	1997-11-07	VYDAJ	PREVOD NA UCET	7781	24756	SIPO	IJ	36825537
177238	598	1997-12-07	VYDAJ	PREVOD NA UCET	7781	25775	SIPO	IJ	36825537
177239	598	1998-01-07	VYDAJ	PREVOD NA UCET	7781	26602	SIPO	IJ	36825537
177240	598	1998-02-07	VYDAJ	PREVOD NA UCET	7781	27289	SIPO	IJ	36825537
177241	598	1998-03-07	VYDAJ	PREVOD NA UCET	7781	31075	SIPO	IJ	36825537
177242	598	1998-04-07	VYDAJ	PREVOD NA UCET	7781	37681	SIPO	IJ	36825537
177243	598	1998-05-07	VYDAJ	PREVOD NA UCET	7781	44312	SIPO	IJ	36825537
177244	598	1998-06-07	VYDAJ	PREVOD NA UCET	7781	52308	SIPO	IJ	36825537
177245	598	1998-07-07	VYDAJ	PREVOD NA UCET	7781	37198	SIPO	IJ	36825537
177246	598	1998-08-07	VYDAJ	PREVOD NA UCET	7781	47361	SIPO	IJ	36825537
177247	598	1998-09-07	VYDAJ	PREVOD NA UCET	7781	49106	SIPO	IJ	36825537
177248	598	1998-10-07	VYDAJ	PREVOD NA UCET	7781	53583	SIPO	IJ	36825537
177249	598	1998-11-07	VYDAJ	PREVOD NA UCET	7781	56582	SIPO	IJ	36825537
177250	598	1998-12-07	VYDAJ	PREVOD NA UCET	7781	63927	SIPO	IJ	36825537
177252	598	1998-06-29	VYDAJ	VYBER	6240	46068	\N	\N	\N
177255	598	1997-12-29	VYDAJ	VYBER	1600	24175	\N	\N	\N
177256	598	1998-12-05	VYDAJ	VYBER KARTOU	2700	71708	\N	\N	0
177263	598	1998-01-16	VYDAJ	VYBER	2880	19042	\N	\N	\N
177264	598	1998-01-14	VYDAJ	VYBER	2880	21922	\N	\N	\N
177265	598	1998-01-21	VYDAJ	VYBER	840	18202	\N	\N	\N
177266	598	1998-01-02	VYDAJ	VYBER	3360	20911	\N	\N	\N
177267	598	1998-01-28	VYDAJ	VYBER	1680	16522	\N	\N	\N
177268	598	1998-01-10	VYDAJ	VYBER	1800	24802	\N	\N	\N
177271	598	1997-10-27	VYDAJ	VYBER	1080	27955	\N	\N	\N
177277	598	1998-07-04	VYDAJ	VYBER	5880	38587	\N	\N	\N
177278	598	1998-08-25	VYDAJ	VYBER	5520	41841	\N	\N	\N
177279	598	1998-12-29	VYDAJ	VYBER KARTOU	3800	60127	\N	\N	0
177280	598	1998-08-31	VYDAJ	VYBER KARTOU	2200	39829	\N	\N	0
177281	598	1998-07-07	VYDAJ	VYBER	5280	44979	\N	\N	\N
177289	598	1997-07-31	VYDAJ	VYBER	15	42956	SLUZBY	\N	\N
177290	598	1997-08-31	VYDAJ	VYBER	15	39424	SLUZBY	\N	\N
177291	598	1997-09-30	VYDAJ	VYBER	15	33344	SLUZBY	\N	\N
177292	598	1997-10-31	VYDAJ	VYBER	15	28065	SLUZBY	\N	\N
177293	598	1997-11-30	VYDAJ	VYBER	15	24848	SLUZBY	\N	\N
177294	598	1997-12-31	VYDAJ	VYBER	15	24271	SLUZBY	\N	\N
177295	598	1998-01-31	VYDAJ	VYBER	15	16598	SLUZBY	\N	\N
177296	598	1998-02-28	VYDAJ	VYBER	15	27384	SLUZBY	\N	\N
177297	598	1998-03-31	VYDAJ	VYBER	15	31190	SLUZBY	\N	\N
177298	598	1998-04-30	VYDAJ	VYBER	15	37821	SLUZBY	\N	\N
177299	598	1998-05-31	VYDAJ	VYBER	15	44481	SLUZBY	\N	\N
177300	598	1998-06-30	VYDAJ	VYBER	15	46267	SLUZBY	\N	\N
177301	598	1998-07-31	VYDAJ	VYBER	15	37370	SLUZBY	\N	\N
177302	598	1998-08-31	VYDAJ	VYBER	15	39815	SLUZBY	\N	\N
177303	598	1998-09-30	VYDAJ	VYBER	15	49292	SLUZBY	\N	\N
177304	598	1998-10-31	VYDAJ	VYBER	15	52691	SLUZBY	\N	\N
177305	598	1998-11-30	VYDAJ	VYBER	15	56900	SLUZBY	\N	\N
177306	598	1997-03-10	PRIJEM	VKLAD	5900	18672	\N	\N	\N
177307	598	1997-04-09	VYDAJ	VYBER	2100	28299	\N	\N	\N
177308	598	1997-05-09	VYDAJ	VYBER	3100	36978	\N	\N	\N
177309	598	1997-06-08	VYDAJ	VYBER	12600	42031	\N	\N	\N
177310	598	1997-07-08	VYDAJ	VYBER	3300	42792	\N	\N	\N
177311	598	1997-08-07	VYDAJ	VYBER	7600	47028	\N	\N	\N
177312	598	1997-09-06	VYDAJ	VYBER	10100	40996	\N	\N	\N
177313	598	1997-10-06	VYDAJ	VYBER	8200	36816	\N	\N	\N
177314	598	1997-11-05	VYDAJ	VYBER	7200	32537	\N	\N	\N
177315	598	1997-12-05	VYDAJ	VYBER	8800	33556	\N	\N	\N
177316	598	1998-01-04	PRIJEM	VKLAD	1800	22711	\N	\N	\N
177317	598	1998-02-03	PRIJEM	VKLAD	6800	23398	\N	\N	\N
177318	598	1998-03-05	VYDAJ	VYBER	200	38856	\N	\N	\N
177319	598	1998-04-04	PRIJEM	VKLAD	2600	33790	\N	\N	\N
177320	598	1998-05-04	PRIJEM	VKLAD	2600	40421	\N	\N	\N
177321	598	1998-06-03	VYDAJ	VYBER	1900	42581	\N	\N	\N
177322	598	1998-07-03	VYDAJ	VYBER	1800	44467	\N	\N	\N
177323	598	1998-08-02	PRIJEM	VKLAD	6100	43470	\N	\N	\N
177324	598	1998-09-01	PRIJEM	VKLAD	5400	45215	\N	\N	\N
177325	598	1998-10-01	PRIJEM	VKLAD	400	49692	\N	\N	\N
177326	598	1998-10-31	VYDAJ	VYBER KARTOU	1100	52706	\N	\N	0
177327	598	1998-11-30	PRIJEM	VKLAD	100	56682	\N	\N	\N
177350	599	1996-12-04	PRIJEM	VKLAD	600	600	\N	\N	\N
177362	599	1996-12-05	PRIJEM	VKLAD	17750	18350	\N	\N	\N
177363	599	1997-01-05	PRIJEM	VKLAD	11833	32150	\N	\N	\N
177364	599	1997-02-05	PRIJEM	VKLAD	11833	39509	\N	\N	\N
177365	599	1997-03-05	PRIJEM	VKLAD	11833	40302	\N	\N	\N
177366	599	1997-04-05	PRIJEM	VKLAD	11833	39403	\N	\N	\N
177367	599	1997-05-05	PRIJEM	VKLAD	11833	37089	\N	\N	\N
177368	599	1997-06-05	PRIJEM	VKLAD	17750	40081	\N	\N	\N
177369	599	1997-07-05	PRIJEM	VKLAD	11833	33864	\N	\N	\N
177370	599	1997-08-05	PRIJEM	VKLAD	11833	30327	\N	\N	\N
177371	599	1997-09-05	PRIJEM	VKLAD	11833	28973	\N	\N	\N
177372	599	1997-10-05	PRIJEM	VKLAD	11833	29777	\N	\N	\N
177373	599	1997-11-05	PRIJEM	VKLAD	11833	29211	\N	\N	\N
177374	599	1997-12-05	PRIJEM	VKLAD	17750	34959	\N	\N	\N
177375	599	1998-01-05	PRIJEM	VKLAD	11833	30704	\N	\N	\N
177376	599	1998-02-05	PRIJEM	VKLAD	11833	24501	\N	\N	\N
177377	599	1998-03-05	PRIJEM	VKLAD	11833	25112	\N	\N	\N
177378	599	1998-04-05	PRIJEM	VKLAD	11833	25225	\N	\N	\N
177379	599	1998-05-05	PRIJEM	VKLAD	11833	26679	\N	\N	\N
177380	599	1998-06-05	PRIJEM	VKLAD	17750	34415	\N	\N	\N
177381	599	1998-07-05	PRIJEM	VKLAD	11833	30658	\N	\N	\N
177382	599	1998-08-05	PRIJEM	VKLAD	11833	27290	\N	\N	\N
177383	599	1998-09-05	PRIJEM	VKLAD	11833	23105	\N	\N	\N
177384	599	1998-10-05	PRIJEM	VKLAD	11833	23807	\N	\N	\N
177385	599	1998-11-05	PRIJEM	VKLAD	11833	27164	\N	\N	\N
177386	599	1998-12-05	PRIJEM	VKLAD	17750	34499	\N	\N	\N
177402	599	1997-04-11	VYDAJ	PREVOD NA UCET	3118	35318	SIPO	OP	94891345
177403	599	1997-05-11	VYDAJ	PREVOD NA UCET	3118	33004	SIPO	OP	94891345
177404	599	1997-06-11	VYDAJ	PREVOD NA UCET	3118	35996	SIPO	OP	94891345
177405	599	1997-07-11	VYDAJ	PREVOD NA UCET	3118	29779	SIPO	OP	94891345
177406	599	1997-08-11	VYDAJ	PREVOD NA UCET	3118	26242	SIPO	OP	94891345
177407	599	1997-09-11	VYDAJ	PREVOD NA UCET	3118	22368	SIPO	OP	94891345
177408	599	1997-10-11	VYDAJ	PREVOD NA UCET	3118	25692	SIPO	OP	94891345
177409	599	1997-11-11	VYDAJ	PREVOD NA UCET	3118	25126	SIPO	OP	94891345
177410	599	1997-12-11	VYDAJ	PREVOD NA UCET	3118	30874	SIPO	OP	94891345
177411	599	1998-01-11	VYDAJ	PREVOD NA UCET	3118	25179	SIPO	OP	94891345
177412	599	1998-02-11	VYDAJ	PREVOD NA UCET	3118	20416	SIPO	OP	94891345
177413	599	1998-03-11	VYDAJ	PREVOD NA UCET	3118	21027	SIPO	OP	94891345
177414	599	1998-04-11	VYDAJ	PREVOD NA UCET	3118	21140	SIPO	OP	94891345
177415	599	1998-05-11	VYDAJ	PREVOD NA UCET	3118	22594	SIPO	OP	94891345
177416	599	1998-06-11	VYDAJ	PREVOD NA UCET	3118	30330	SIPO	OP	94891345
177417	599	1998-07-11	VYDAJ	PREVOD NA UCET	3118	26573	SIPO	OP	94891345
177418	599	1998-08-11	VYDAJ	PREVOD NA UCET	3118	23205	SIPO	OP	94891345
177419	599	1998-09-11	VYDAJ	PREVOD NA UCET	3118	19020	SIPO	OP	94891345
177420	599	1998-10-11	VYDAJ	PREVOD NA UCET	3118	15282	SIPO	OP	94891345
177421	599	1998-11-11	VYDAJ	PREVOD NA UCET	3118	23079	SIPO	OP	94891345
177422	599	1998-12-11	VYDAJ	PREVOD NA UCET	3118	25774	SIPO	OP	94891345
177438	599	1997-04-07	VYDAJ	PREVOD NA UCET	967	38436	 	MN	75048130
177439	599	1997-05-07	VYDAJ	PREVOD NA UCET	967	36122	 	MN	75048130
177440	599	1997-06-07	VYDAJ	PREVOD NA UCET	967	39114	 	MN	75048130
177441	599	1997-07-07	VYDAJ	PREVOD NA UCET	967	32897	 	MN	75048130
177442	599	1997-08-07	VYDAJ	PREVOD NA UCET	967	29360	 	MN	75048130
177443	599	1997-09-07	VYDAJ	PREVOD NA UCET	967	28006	 	MN	75048130
177444	599	1997-10-07	VYDAJ	PREVOD NA UCET	967	28810	 	MN	75048130
177445	599	1997-11-07	VYDAJ	PREVOD NA UCET	967	28244	 	MN	75048130
177446	599	1997-12-07	VYDAJ	PREVOD NA UCET	967	33992	 	MN	75048130
177447	599	1998-01-07	VYDAJ	PREVOD NA UCET	967	28297	 	MN	75048130
177448	599	1998-02-07	VYDAJ	PREVOD NA UCET	967	23534	 	MN	75048130
177449	599	1998-03-07	VYDAJ	PREVOD NA UCET	967	24145	 	MN	75048130
177450	599	1998-04-07	VYDAJ	PREVOD NA UCET	967	24258	 	MN	75048130
177451	599	1998-05-07	VYDAJ	PREVOD NA UCET	967	25712	 	MN	75048130
177452	599	1998-06-07	VYDAJ	PREVOD NA UCET	967	33448	 	MN	75048130
177453	599	1998-07-07	VYDAJ	PREVOD NA UCET	967	29691	 	MN	75048130
177454	599	1998-08-07	VYDAJ	PREVOD NA UCET	967	26323	 	MN	75048130
177455	599	1998-09-07	VYDAJ	PREVOD NA UCET	967	22138	 	MN	75048130
177456	599	1998-10-07	VYDAJ	PREVOD NA UCET	967	22840	 	MN	75048130
177457	599	1998-11-07	VYDAJ	PREVOD NA UCET	967	26197	 	MN	75048130
177458	599	1998-12-07	VYDAJ	PREVOD NA UCET	967	33532	 	MN	75048130
177466	599	1997-12-20	VYDAJ	VYBER	2400	28474	\N	\N	\N
177467	599	1998-12-08	VYDAJ	VYBER	800	32732	\N	\N	\N
177480	599	1998-01-24	VYDAJ	VYBER	2640	16899	\N	\N	\N
177481	599	1998-01-12	VYDAJ	VYBER	3120	22059	\N	\N	\N
177482	599	1998-01-15	VYDAJ	VYBER	2520	19539	\N	\N	\N
177485	599	1998-01-05	VYDAJ	VYBER	1440	29264	\N	\N	\N
177491	599	1997-06-19	VYDAJ	VYBER	1200	34796	\N	\N	\N
177492	599	1997-09-10	VYDAJ	VYBER	2520	25486	\N	\N	\N
177493	599	1998-01-24	VYDAJ	VYBER	2400	14499	\N	\N	\N
177494	599	1998-04-28	VYDAJ	VYBER	4560	14780	\N	\N	\N
177495	599	1998-10-09	VYDAJ	VYBER	4440	18400	\N	\N	\N
177496	599	1998-12-09	VYDAJ	VYBER	3840	28892	\N	\N	\N
177513	599	1997-04-30	VYDAJ	VYBER	15	35456	SLUZBY	\N	\N
177514	599	1997-05-31	VYDAJ	VYBER	15	33131	SLUZBY	\N	\N
177515	599	1997-06-30	VYDAJ	VYBER	15	34931	SLUZBY	\N	\N
177516	599	1997-07-31	VYDAJ	VYBER	15	29894	SLUZBY	\N	\N
177517	599	1997-08-31	VYDAJ	VYBER	15	17140	SLUZBY	\N	\N
177518	599	1997-09-30	VYDAJ	VYBER	15	17944	SLUZBY	\N	\N
177519	599	1997-10-31	VYDAJ	VYBER	15	17378	SLUZBY	\N	\N
177520	599	1997-11-30	VYDAJ	VYBER	15	17209	SLUZBY	\N	\N
177521	599	1997-12-31	VYDAJ	VYBER	15	18871	SLUZBY	\N	\N
177522	599	1998-01-31	VYDAJ	VYBER	15	12668	SLUZBY	\N	\N
177523	599	1998-02-28	VYDAJ	VYBER	15	13279	SLUZBY	\N	\N
177524	599	1998-03-31	VYDAJ	VYBER	15	13392	SLUZBY	\N	\N
177525	599	1998-04-30	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
177526	599	1998-05-31	VYDAJ	VYBER	15	16665	SLUZBY	\N	\N
177527	599	1998-06-30	VYDAJ	VYBER	15	18825	SLUZBY	\N	\N
177528	599	1998-07-31	VYDAJ	VYBER	15	15457	SLUZBY	\N	\N
177529	599	1998-08-31	VYDAJ	VYBER	15	11272	SLUZBY	\N	\N
177530	599	1998-09-30	VYDAJ	VYBER	15	11974	SLUZBY	\N	\N
177531	599	1998-10-31	VYDAJ	VYBER	15	15331	SLUZBY	\N	\N
177532	599	1998-11-30	VYDAJ	VYBER	15	16749	SLUZBY	\N	\N
177533	599	1997-01-03	PRIJEM	VKLAD	1900	20317	\N	\N	\N
177534	599	1997-02-02	VYDAJ	VYBER	4600	27676	\N	\N	\N
177535	599	1997-03-04	VYDAJ	VYBER	11200	28469	\N	\N	\N
177536	599	1997-04-03	VYDAJ	VYBER	12900	27570	\N	\N	\N
177537	599	1997-05-03	VYDAJ	VYBER	10200	25256	\N	\N	\N
177538	599	1997-06-02	VYDAJ	VYBER	10800	22331	\N	\N	\N
177539	599	1997-07-02	VYDAJ	VYBER	12900	22031	\N	\N	\N
177540	599	1997-08-01	VYDAJ	VYBER	11400	18494	\N	\N	\N
177541	599	1997-08-31	VYDAJ	VYBER	9200	17155	\N	\N	\N
177542	599	1997-09-30	VYDAJ	VYBER	4500	17959	\N	\N	\N
177543	599	1997-10-30	VYDAJ	VYBER	8400	17292	\N	\N	\N
177544	599	1997-11-29	VYDAJ	VYBER	8000	17126	\N	\N	\N
177545	599	1997-12-29	VYDAJ	VYBER	9700	18774	\N	\N	\N
177546	599	1998-01-28	VYDAJ	VYBER	1900	12599	\N	\N	\N
177547	599	1998-02-27	VYDAJ	VYBER	7200	13216	\N	\N	\N
177548	599	1998-03-29	VYDAJ	VYBER	7700	13327	\N	\N	\N
177549	599	1998-04-28	VYDAJ	VYBER	1800	19340	\N	\N	\N
177550	599	1998-05-28	VYDAJ	VYBER	6000	16594	\N	\N	\N
177551	599	1998-06-27	VYDAJ	VYBER	11600	18730	\N	\N	\N
177552	599	1998-07-27	VYDAJ	VYBER	11200	15373	\N	\N	\N
177553	599	1998-08-26	VYDAJ	VYBER	12000	11205	\N	\N	\N
177554	599	1998-09-25	VYDAJ	VYBER	7100	11920	\N	\N	\N
177555	599	1998-11-24	VYDAJ	VYBER	6400	16679	\N	\N	\N
177581	600	1997-03-13	PRIJEM	VKLAD	200	200	\N	\N	\N
177585	600	1997-04-12	PRIJEM	VKLAD	16997	17197	\N	\N	\N
177586	600	1997-05-12	PRIJEM	VKLAD	16997	40155	\N	\N	\N
177587	600	1997-06-12	PRIJEM	VKLAD	25496	55378	\N	\N	\N
177588	600	1997-07-12	PRIJEM	VKLAD	16997	61674	\N	\N	\N
177589	600	1997-08-12	PRIJEM	VKLAD	16997	60319	\N	\N	\N
177590	600	1997-09-12	PRIJEM	VKLAD	16997	58102	\N	\N	\N
177591	600	1997-10-12	PRIJEM	VKLAD	16997	55376	\N	\N	\N
177592	600	1997-11-12	PRIJEM	VKLAD	16997	51939	\N	\N	\N
177593	600	1997-12-12	PRIJEM	VKLAD	25496	59987	\N	\N	\N
177594	600	1998-01-12	PRIJEM	VKLAD	16997	50688	\N	\N	\N
177595	600	1998-02-12	PRIJEM	VKLAD	16997	36292	\N	\N	\N
177596	600	1998-03-12	PRIJEM	VKLAD	16997	45354	\N	\N	\N
177597	600	1998-04-12	PRIJEM	VKLAD	16997	45628	\N	\N	\N
177598	600	1998-05-12	PRIJEM	VKLAD	16997	41339	\N	\N	\N
177599	600	1998-06-12	PRIJEM	VKLAD	25496	45221	\N	\N	\N
177600	600	1998-07-12	PRIJEM	VKLAD	16997	48820	\N	\N	\N
177601	600	1998-08-12	PRIJEM	VKLAD	16997	48147	\N	\N	\N
177602	600	1998-09-12	PRIJEM	VKLAD	16997	47216	\N	\N	\N
177603	600	1998-10-12	PRIJEM	VKLAD	16997	43237	\N	\N	\N
177604	600	1998-11-12	PRIJEM	VKLAD	16997	42470	\N	\N	\N
177605	600	1998-12-12	PRIJEM	VKLAD	25496	50170	\N	\N	\N
177614	600	1997-09-11	VYDAJ	PREVOD NA UCET	5952	41105	SIPO	UV	6513369
177615	600	1997-10-11	VYDAJ	PREVOD NA UCET	5952	38379	SIPO	UV	6513369
177616	600	1997-11-11	VYDAJ	PREVOD NA UCET	5952	34942	SIPO	UV	6513369
177617	600	1997-12-11	VYDAJ	PREVOD NA UCET	5952	34492	SIPO	UV	6513369
177618	600	1998-01-11	VYDAJ	PREVOD NA UCET	5952	33691	SIPO	UV	6513369
177619	600	1998-02-11	VYDAJ	PREVOD NA UCET	5952	19295	SIPO	UV	6513369
177620	600	1998-03-11	VYDAJ	PREVOD NA UCET	5952	28357	SIPO	UV	6513369
177621	600	1998-04-11	VYDAJ	PREVOD NA UCET	5952	28631	SIPO	UV	6513369
177622	600	1998-05-11	VYDAJ	PREVOD NA UCET	5952	24342	SIPO	UV	6513369
177623	600	1998-06-11	VYDAJ	PREVOD NA UCET	5952	19726	SIPO	UV	6513369
177624	600	1998-07-11	VYDAJ	PREVOD NA UCET	5952	31823	SIPO	UV	6513369
177625	600	1998-08-11	VYDAJ	PREVOD NA UCET	5952	31150	SIPO	UV	6513369
177626	600	1998-09-11	VYDAJ	PREVOD NA UCET	5952	30219	SIPO	UV	6513369
177627	600	1998-10-11	VYDAJ	PREVOD NA UCET	5952	26240	SIPO	UV	6513369
177628	600	1998-11-11	VYDAJ	PREVOD NA UCET	5952	25473	SIPO	UV	6513369
177629	600	1998-12-11	VYDAJ	PREVOD NA UCET	5952	24675	SIPO	UV	6513369
177631	600	1998-06-03	VYDAJ	VYBER	17920	23578	\N	\N	\N
177633	600	1998-01-22	VYDAJ	VYBER	10080	31368	\N	\N	\N
177634	600	1997-12-21	VYDAJ	VYBER	4000	55987	\N	\N	\N
177635	600	1998-12-20	VYDAJ	VYBER KARTOU	3000	47170	\N	\N	0
177642	600	1998-01-29	VYDAJ	VYBER	3360	24888	\N	\N	\N
177643	600	1998-01-16	VYDAJ	VYBER	3360	47328	\N	\N	\N
177644	600	1998-01-05	VYDAJ	VYBER	2760	53443	\N	\N	\N
177645	600	1998-01-22	VYDAJ	VYBER	3000	41448	\N	\N	\N
177646	600	1998-01-26	VYDAJ	VYBER	3120	28248	\N	\N	\N
177647	600	1998-01-20	VYDAJ	VYBER	2880	44448	\N	\N	\N
177650	600	1998-03-22	VYDAJ	VYBER	960	40434	\N	\N	\N
177651	600	1998-05-10	VYDAJ	VYBER	4200	30294	\N	\N	\N
177652	600	1998-09-08	VYDAJ	VYBER	3360	36171	\N	\N	\N
177653	600	1998-03-12	VYDAJ	VYBER	3960	41394	\N	\N	\N
177654	600	1998-10-29	VYDAJ	VYBER	2880	40357	\N	\N	\N
177663	600	1997-08-31	VYDAJ	VYBER	15	60557	SLUZBY	\N	\N
177664	600	1997-09-30	VYDAJ	VYBER	15	58331	SLUZBY	\N	\N
177665	600	1997-10-31	VYDAJ	VYBER	15	55594	SLUZBY	\N	\N
177666	600	1997-11-30	VYDAJ	VYBER	15	52144	SLUZBY	\N	\N
177667	600	1997-12-31	VYDAJ	VYBER	15	56203	SLUZBY	\N	\N
177668	600	1998-01-31	VYDAJ	VYBER	15	25047	SLUZBY	\N	\N
177669	600	1998-02-28	VYDAJ	VYBER	15	36409	SLUZBY	\N	\N
177670	600	1998-03-31	VYDAJ	VYBER	15	40583	SLUZBY	\N	\N
177671	600	1998-04-30	VYDAJ	VYBER	15	45794	SLUZBY	\N	\N
177672	600	1998-05-31	VYDAJ	VYBER	15	41498	SLUZBY	\N	\N
177673	600	1998-06-30	VYDAJ	VYBER	15	45375	SLUZBY	\N	\N
177674	600	1998-07-31	VYDAJ	VYBER	15	49002	SLUZBY	\N	\N
177675	600	1998-08-31	VYDAJ	VYBER	15	48331	SLUZBY	\N	\N
177676	600	1998-09-30	VYDAJ	VYBER	15	47392	SLUZBY	\N	\N
177677	600	1998-10-31	VYDAJ	VYBER	15	40525	SLUZBY	\N	\N
177678	600	1998-11-30	VYDAJ	VYBER	15	42627	SLUZBY	\N	\N
177679	600	1997-04-12	PRIJEM	VKLAD	5900	23097	\N	\N	\N
177680	600	1997-05-12	VYDAJ	VYBER	5500	34655	\N	\N	\N
177681	600	1997-06-11	VYDAJ	VYBER	4900	29882	\N	\N	\N
177682	600	1997-07-11	VYDAJ	VYBER	10900	44677	\N	\N	\N
177683	600	1997-08-10	VYDAJ	VYBER	18600	43322	\N	\N	\N
177684	600	1997-09-09	VYDAJ	VYBER	13500	47057	\N	\N	\N
177685	600	1997-10-09	VYDAJ	VYBER	14000	44331	\N	\N	\N
177686	600	1997-11-08	VYDAJ	VYBER	14700	40894	\N	\N	\N
177687	600	1997-12-08	VYDAJ	VYBER	11700	40444	\N	\N	\N
177688	600	1998-01-07	VYDAJ	VYBER	13800	39643	\N	\N	\N
177689	600	1998-02-06	PRIJEM	VKLAD	200	25247	\N	\N	\N
177690	600	1998-03-08	VYDAJ	VYBER	2100	34309	\N	\N	\N
177691	600	1998-04-07	VYDAJ	VYBER	6000	34583	\N	\N	\N
177692	600	1998-05-07	VYDAJ	VYBER	11300	34494	\N	\N	\N
177693	600	1998-06-06	PRIJEM	VKLAD	2100	25678	\N	\N	\N
177694	600	1998-07-06	VYDAJ	VYBER	7600	37775	\N	\N	\N
177695	600	1998-08-05	VYDAJ	VYBER	11900	37102	\N	\N	\N
177696	600	1998-09-04	VYDAJ	VYBER	8800	39531	\N	\N	\N
177697	600	1998-10-04	VYDAJ	VYBER	15200	32192	\N	\N	\N
177698	600	1998-11-03	VYDAJ	VYBER	9100	31425	\N	\N	\N
177699	600	1998-12-03	VYDAJ	VYBER	12000	30627	\N	\N	\N
177721	601	1993-08-04	PRIJEM	VKLAD	300	300	\N	\N	\N
177729	601	1993-08-09	PRIJEM	PREVOD Z UCTU	3345	3645	\N	WX	1233965
177730	601	1993-09-09	PRIJEM	PREVOD Z UCTU	3345	7001	\N	WX	1233965
177731	601	1993-10-09	PRIJEM	PREVOD Z UCTU	3345	10361	\N	WX	1233965
177732	601	1993-11-09	PRIJEM	PREVOD Z UCTU	3345	13722	\N	WX	1233965
177733	601	1993-12-09	PRIJEM	PREVOD Z UCTU	3345	17082	\N	WX	1233965
177734	601	1994-01-09	PRIJEM	PREVOD Z UCTU	3345	16729	\N	WX	1233965
177735	601	1994-02-09	PRIJEM	PREVOD Z UCTU	3345	15697	\N	WX	1233965
177736	601	1994-03-09	PRIJEM	PREVOD Z UCTU	3345	16852	\N	WX	1233965
177737	601	1994-04-09	PRIJEM	PREVOD Z UCTU	3345	17261	\N	WX	1233965
177738	601	1994-05-09	PRIJEM	PREVOD Z UCTU	3345	17008	\N	WX	1233965
177739	601	1994-06-09	PRIJEM	PREVOD Z UCTU	3345	18169	\N	WX	1233965
177740	601	1994-07-09	PRIJEM	PREVOD Z UCTU	3345	18132	\N	WX	1233965
177741	601	1994-08-09	PRIJEM	PREVOD Z UCTU	3345	16896	\N	WX	1233965
177742	601	1994-09-09	PRIJEM	PREVOD Z UCTU	3345	18058	\N	WX	1233965
177743	601	1994-10-09	PRIJEM	PREVOD Z UCTU	3345	19223	\N	WX	1233965
177744	601	1994-11-09	PRIJEM	PREVOD Z UCTU	3345	20393	\N	WX	1233965
177745	601	1994-12-09	PRIJEM	PREVOD Z UCTU	3345	21567	\N	WX	1233965
177746	601	1995-01-09	PRIJEM	PREVOD Z UCTU	3345	21606	\N	WX	1233965
177747	601	1995-02-09	PRIJEM	PREVOD Z UCTU	3345	18246	\N	WX	1233965
177748	601	1995-03-09	PRIJEM	PREVOD Z UCTU	3345	18931	\N	WX	1233965
177749	601	1995-04-09	PRIJEM	PREVOD Z UCTU	3345	20099	\N	WX	1233965
177750	601	1995-05-09	PRIJEM	PREVOD Z UCTU	3345	21273	\N	WX	1233965
177751	601	1995-06-09	PRIJEM	PREVOD Z UCTU	3345	22451	\N	WX	1233965
177752	601	1995-07-09	PRIJEM	PREVOD Z UCTU	3345	23634	\N	WX	1233965
177753	601	1995-08-09	PRIJEM	PREVOD Z UCTU	3345	23682	\N	WX	1233965
177754	601	1995-09-09	PRIJEM	PREVOD Z UCTU	3345	24871	\N	WX	1233965
177755	601	1995-10-09	PRIJEM	PREVOD Z UCTU	3345	26064	\N	WX	1233965
177756	601	1995-11-09	PRIJEM	PREVOD Z UCTU	3345	26561	\N	WX	1233965
177757	601	1995-12-09	PRIJEM	PREVOD Z UCTU	3345	27251	\N	WX	1233965
177758	601	1996-01-09	PRIJEM	PREVOD Z UCTU	3345	23174	\N	WX	1233965
177759	601	1996-02-09	PRIJEM	PREVOD Z UCTU	3345	21475	\N	WX	1233965
177760	601	1996-03-09	PRIJEM	PREVOD Z UCTU	3345	22654	\N	WX	1233965
177761	601	1996-04-09	PRIJEM	PREVOD Z UCTU	3345	22876	\N	WX	1233965
177762	601	1996-05-09	PRIJEM	PREVOD Z UCTU	3345	24060	\N	WX	1233965
177763	601	1996-06-09	PRIJEM	PREVOD Z UCTU	3345	17979	\N	WX	1233965
177764	601	1996-07-09	PRIJEM	PREVOD Z UCTU	3345	19146	\N	WX	1233965
177765	601	1996-08-09	PRIJEM	PREVOD Z UCTU	3345	20315	\N	WX	1233965
177766	601	1996-09-09	PRIJEM	PREVOD Z UCTU	3345	20439	\N	WX	1233965
177767	601	1996-10-09	PRIJEM	PREVOD Z UCTU	3345	21015	\N	WX	1233965
177768	601	1996-11-09	PRIJEM	PREVOD Z UCTU	3345	22091	\N	WX	1233965
177769	601	1996-12-09	PRIJEM	PREVOD Z UCTU	3345	21382	\N	WX	1233965
177770	601	1997-01-09	PRIJEM	PREVOD Z UCTU	3345	19108	\N	WX	1233965
177771	601	1997-02-09	PRIJEM	PREVOD Z UCTU	3345	18235	\N	WX	1233965
177772	601	1997-03-09	PRIJEM	PREVOD Z UCTU	3345	19400	\N	WX	1233965
177773	601	1997-04-09	PRIJEM	PREVOD Z UCTU	3345	20269	\N	WX	1233965
177774	601	1997-05-09	PRIJEM	PREVOD Z UCTU	3345	18736	\N	WX	1233965
177775	601	1997-06-09	PRIJEM	PREVOD Z UCTU	3345	19903	\N	WX	1233965
177776	601	1997-07-09	PRIJEM	PREVOD Z UCTU	3345	18167	\N	WX	1233965
177777	601	1997-08-09	PRIJEM	PREVOD Z UCTU	3345	19331	\N	WX	1233965
177778	601	1997-09-09	PRIJEM	PREVOD Z UCTU	3345	20099	\N	WX	1233965
177779	601	1997-10-09	PRIJEM	PREVOD Z UCTU	3345	20641	\N	WX	1233965
177780	601	1997-11-09	PRIJEM	PREVOD Z UCTU	3345	21815	\N	WX	1233965
177781	601	1997-12-09	PRIJEM	PREVOD Z UCTU	3345	22994	\N	WX	1233965
177782	601	1998-01-09	PRIJEM	PREVOD Z UCTU	3345	19831	\N	WX	1233965
177783	601	1998-02-09	PRIJEM	PREVOD Z UCTU	3345	18538	\N	WX	1233965
177784	601	1998-03-09	PRIJEM	PREVOD Z UCTU	3345	19703	\N	WX	1233965
177785	601	1998-04-09	PRIJEM	PREVOD Z UCTU	3345	19643	\N	WX	1233965
177786	601	1998-05-09	PRIJEM	PREVOD Z UCTU	3345	20302	\N	WX	1233965
177787	601	1998-06-09	PRIJEM	PREVOD Z UCTU	3345	18567	\N	WX	1233965
177788	601	1998-07-09	PRIJEM	PREVOD Z UCTU	3345	19732	\N	WX	1233965
177789	601	1998-08-09	PRIJEM	PREVOD Z UCTU	3345	19100	\N	WX	1233965
177790	601	1998-09-09	PRIJEM	PREVOD Z UCTU	3345	19008	\N	WX	1233965
177791	601	1998-10-09	PRIJEM	PREVOD Z UCTU	3345	19092	\N	WX	1233965
177792	601	1998-11-09	PRIJEM	PREVOD Z UCTU	3345	19538	\N	WX	1233965
177793	601	1998-12-09	PRIJEM	PREVOD Z UCTU	3345	19307	\N	WX	1233965
177805	601	1993-12-11	VYDAJ	PREVOD NA UCET	2230	14852	SIPO	ST	62110066
177806	601	1994-01-11	VYDAJ	PREVOD NA UCET	2230	14499	SIPO	ST	62110066
177807	601	1994-02-11	VYDAJ	PREVOD NA UCET	2230	13467	SIPO	ST	62110066
177808	601	1994-03-11	VYDAJ	PREVOD NA UCET	2230	13872	SIPO	ST	62110066
177809	601	1994-04-11	VYDAJ	PREVOD NA UCET	2230	13621	SIPO	ST	62110066
177810	601	1994-05-11	VYDAJ	PREVOD NA UCET	2230	14778	SIPO	ST	62110066
177811	601	1994-06-11	VYDAJ	PREVOD NA UCET	2230	15939	SIPO	ST	62110066
177812	601	1994-07-11	VYDAJ	PREVOD NA UCET	2230	15902	SIPO	ST	62110066
177813	601	1994-08-11	VYDAJ	PREVOD NA UCET	2230	14666	SIPO	ST	62110066
177814	601	1994-09-11	VYDAJ	PREVOD NA UCET	2230	15828	SIPO	ST	62110066
177815	601	1994-10-11	VYDAJ	PREVOD NA UCET	2230	16993	SIPO	ST	62110066
177816	601	1994-11-11	VYDAJ	PREVOD NA UCET	2230	18163	SIPO	ST	62110066
177817	601	1994-12-11	VYDAJ	PREVOD NA UCET	2230	19337	SIPO	ST	62110066
177818	601	1995-01-11	VYDAJ	PREVOD NA UCET	2230	16796	SIPO	ST	62110066
177819	601	1995-02-11	VYDAJ	PREVOD NA UCET	2230	16016	SIPO	ST	62110066
177820	601	1995-03-11	VYDAJ	PREVOD NA UCET	2230	16701	SIPO	ST	62110066
177821	601	1995-04-11	VYDAJ	PREVOD NA UCET	2230	17869	SIPO	ST	62110066
177822	601	1995-05-11	VYDAJ	PREVOD NA UCET	2230	19043	SIPO	ST	62110066
177823	601	1995-06-11	VYDAJ	PREVOD NA UCET	2230	20221	SIPO	ST	62110066
177824	601	1995-07-11	VYDAJ	PREVOD NA UCET	2230	21104	SIPO	ST	62110066
177825	601	1995-08-11	VYDAJ	PREVOD NA UCET	2230	21452	SIPO	ST	62110066
177826	601	1995-09-11	VYDAJ	PREVOD NA UCET	2230	22641	SIPO	ST	62110066
177827	601	1995-10-11	VYDAJ	PREVOD NA UCET	2230	23834	SIPO	ST	62110066
177828	601	1995-11-11	VYDAJ	PREVOD NA UCET	2230	24331	SIPO	ST	62110066
177829	601	1995-12-11	VYDAJ	PREVOD NA UCET	2230	25021	SIPO	ST	62110066
177830	601	1996-01-11	VYDAJ	PREVOD NA UCET	2230	20944	SIPO	ST	62110066
177831	601	1996-02-11	VYDAJ	PREVOD NA UCET	2230	19245	SIPO	ST	62110066
177832	601	1996-03-11	VYDAJ	PREVOD NA UCET	2230	20424	SIPO	ST	62110066
177833	601	1996-04-11	VYDAJ	PREVOD NA UCET	2230	20646	SIPO	ST	62110066
177834	601	1996-05-11	VYDAJ	PREVOD NA UCET	2230	21830	SIPO	ST	62110066
177835	601	1996-06-11	VYDAJ	PREVOD NA UCET	2230	15749	SIPO	ST	62110066
177836	601	1996-07-11	VYDAJ	PREVOD NA UCET	2230	16916	SIPO	ST	62110066
177837	601	1996-08-11	VYDAJ	PREVOD NA UCET	2230	18085	SIPO	ST	62110066
177838	601	1996-09-11	VYDAJ	PREVOD NA UCET	2230	18209	SIPO	ST	62110066
177839	601	1996-10-11	VYDAJ	PREVOD NA UCET	2230	18785	SIPO	ST	62110066
177840	601	1996-11-11	VYDAJ	PREVOD NA UCET	2230	19861	SIPO	ST	62110066
177841	601	1996-12-11	VYDAJ	PREVOD NA UCET	2230	19152	SIPO	ST	62110066
177842	601	1997-01-11	VYDAJ	PREVOD NA UCET	2230	16878	SIPO	ST	62110066
177843	601	1997-02-11	VYDAJ	PREVOD NA UCET	2230	16005	SIPO	ST	62110066
177844	601	1997-03-11	VYDAJ	PREVOD NA UCET	2230	17170	SIPO	ST	62110066
177845	601	1997-04-11	VYDAJ	PREVOD NA UCET	2230	18039	SIPO	ST	62110066
177846	601	1997-05-11	VYDAJ	PREVOD NA UCET	2230	16506	SIPO	ST	62110066
177847	601	1997-06-11	VYDAJ	PREVOD NA UCET	2230	17673	SIPO	ST	62110066
177848	601	1997-07-11	VYDAJ	PREVOD NA UCET	2230	15937	SIPO	ST	62110066
177849	601	1997-08-11	VYDAJ	PREVOD NA UCET	2230	17101	SIPO	ST	62110066
177850	601	1997-09-11	VYDAJ	PREVOD NA UCET	2230	17869	SIPO	ST	62110066
177851	601	1997-10-11	VYDAJ	PREVOD NA UCET	2230	18411	SIPO	ST	62110066
177852	601	1997-11-11	VYDAJ	PREVOD NA UCET	2230	19585	SIPO	ST	62110066
177853	601	1997-12-11	VYDAJ	PREVOD NA UCET	2230	18164	SIPO	ST	62110066
177854	601	1998-01-11	VYDAJ	PREVOD NA UCET	2230	17601	SIPO	ST	62110066
177855	601	1998-02-11	VYDAJ	PREVOD NA UCET	2230	16308	SIPO	ST	62110066
177856	601	1998-03-11	VYDAJ	PREVOD NA UCET	2230	17473	SIPO	ST	62110066
177857	601	1998-04-11	VYDAJ	PREVOD NA UCET	2230	16903	SIPO	ST	62110066
177858	601	1998-05-11	VYDAJ	PREVOD NA UCET	2230	15172	SIPO	ST	62110066
177859	601	1998-06-11	VYDAJ	PREVOD NA UCET	2230	16337	SIPO	ST	62110066
177860	601	1998-07-11	VYDAJ	PREVOD NA UCET	2230	16302	SIPO	ST	62110066
177861	601	1998-08-11	VYDAJ	PREVOD NA UCET	2230	16870	SIPO	ST	62110066
177862	601	1998-09-11	VYDAJ	PREVOD NA UCET	2230	16778	SIPO	ST	62110066
177863	601	1998-10-11	VYDAJ	PREVOD NA UCET	2230	16862	SIPO	ST	62110066
177864	601	1998-11-11	VYDAJ	PREVOD NA UCET	2230	17308	SIPO	ST	62110066
177865	601	1998-12-11	VYDAJ	PREVOD NA UCET	2230	17077	SIPO	ST	62110066
177869	601	1996-06-03	VYDAJ	VYBER	5790	15714	\N	\N	\N
177873	601	1994-01-22	VYDAJ	VYBER	960	13539	\N	\N	\N
177874	601	1995-01-10	VYDAJ	VYBER	2580	19026	\N	\N	\N
177875	601	1996-01-02	VYDAJ	VYBER	2730	21299	\N	\N	\N
177876	601	1997-01-06	VYDAJ	VYBER	960	16453	\N	\N	\N
177877	601	1998-01-17	VYDAJ	VYBER	1410	15651	\N	\N	\N
177878	601	1993-12-17	VYDAJ	VYBER	180	14672	\N	\N	\N
177879	601	1994-12-23	VYDAJ	VYBER	300	19037	\N	\N	\N
177880	601	1995-12-17	VYDAJ	VYBER	150	24871	\N	\N	\N
177881	601	1996-12-07	VYDAJ	VYBER	660	18037	\N	\N	\N
177882	601	1997-12-28	VYDAJ	VYBER	480	16964	\N	\N	\N
177883	601	1998-12-22	VYDAJ	VYBER	690	16387	\N	\N	\N
177890	601	1994-01-24	VYDAJ	VYBER	300	13239	\N	\N	\N
177891	601	1994-01-24	VYDAJ	VYBER	180	13059	\N	\N	\N
177893	601	1994-01-27	VYDAJ	VYBER	750	12309	\N	\N	\N
177894	601	1994-01-04	VYDAJ	VYBER	510	13384	\N	\N	\N
177895	601	1994-01-04	VYDAJ	VYBER	810	13894	\N	\N	\N
177896	601	1995-01-21	VYDAJ	VYBER	570	14846	\N	\N	\N
177897	601	1995-01-18	VYDAJ	VYBER	270	15686	\N	\N	\N
177898	601	1995-01-15	VYDAJ	VYBER	360	16436	\N	\N	\N
177899	601	1995-01-21	VYDAJ	VYBER	270	15416	\N	\N	\N
177900	601	1995-01-01	VYDAJ	VYBER	840	18261	\N	\N	\N
177901	601	1995-01-16	VYDAJ	VYBER	480	15956	\N	\N	\N
177902	601	1996-01-24	VYDAJ	VYBER	720	18064	\N	\N	\N
177903	601	1996-01-11	VYDAJ	VYBER	510	20434	\N	\N	\N
177904	601	1996-01-01	VYDAJ	VYBER	510	24029	\N	\N	\N
177905	601	1996-01-14	VYDAJ	VYBER	780	18784	\N	\N	\N
177906	601	1996-01-13	VYDAJ	VYBER	870	19564	\N	\N	\N
177907	601	1996-01-01	VYDAJ	VYBER	420	24539	\N	\N	\N
177908	601	1997-01-13	VYDAJ	VYBER	270	16608	\N	\N	\N
177909	601	1997-01-15	VYDAJ	VYBER	780	15408	\N	\N	\N
177910	601	1997-01-15	VYDAJ	VYBER	420	16188	\N	\N	\N
177912	601	1997-01-27	VYDAJ	VYBER	570	14838	\N	\N	\N
177913	601	1997-01-08	VYDAJ	VYBER	690	15763	\N	\N	\N
177914	601	1998-01-15	VYDAJ	VYBER	360	17061	\N	\N	\N
177915	601	1998-01-15	VYDAJ	VYBER	180	17421	\N	\N	\N
177918	601	1998-01-21	VYDAJ	VYBER	510	15141	\N	\N	\N
177919	601	1998-01-07	VYDAJ	VYBER	540	16486	\N	\N	\N
177926	601	1994-08-05	VYDAJ	VYBER	1080	13551	\N	\N	\N
177927	601	1994-04-10	VYDAJ	VYBER	1410	15851	\N	\N	\N
177928	601	1994-07-27	VYDAJ	VYBER	1320	14582	\N	\N	\N
177929	601	1994-06-18	VYDAJ	VYBER	1200	14739	\N	\N	\N
177930	601	1994-03-09	VYDAJ	VYBER	750	16102	\N	\N	\N
177931	601	1995-07-09	VYDAJ	VYBER	300	23334	\N	\N	\N
177932	601	1995-02-20	VYDAJ	VYBER	480	15536	\N	\N	\N
177933	601	1995-11-27	VYDAJ	VYBER	510	23821	\N	\N	\N
177934	601	1995-08-01	VYDAJ	VYBER	840	20337	\N	\N	\N
177935	601	1996-09-08	VYDAJ	VYBER	1050	17094	\N	\N	\N
177936	601	1996-12-07	VYDAJ	VYBER	1230	18697	\N	\N	\N
177937	601	1996-01-04	VYDAJ	VYBER	1470	19829	\N	\N	\N
177938	601	1996-06-04	VYDAJ	VYBER	1080	14634	\N	\N	\N
177939	601	1996-03-18	VYDAJ	VYBER	960	19464	\N	\N	\N
177940	601	1996-09-24	VYDAJ	VYBER	600	17609	\N	\N	\N
177942	601	1997-12-16	VYDAJ	VYBER	720	17444	\N	\N	\N
177943	601	1997-09-24	VYDAJ	VYBER	300	17239	\N	\N	\N
177944	601	1997-09-18	VYDAJ	VYBER	330	17539	\N	\N	\N
177946	601	1998-09-11	VYDAJ	VYBER	1080	15698	\N	\N	\N
177947	601	1998-03-30	VYDAJ	VYBER	1230	16243	\N	\N	\N
177948	601	1998-04-09	VYDAJ	VYBER	510	19133	\N	\N	\N
177949	601	1998-08-29	VYDAJ	VYBER	1260	15610	\N	\N	\N
177950	601	1998-08-03	VYDAJ	VYBER	600	15755	\N	\N	\N
177951	601	1998-10-23	VYDAJ	VYBER	720	16142	\N	\N	\N
177965	601	1993-12-31	VYDAJ	VYBER	15	14704	SLUZBY	\N	\N
177966	601	1994-01-31	VYDAJ	VYBER	15	12352	SLUZBY	\N	\N
177967	601	1994-02-28	VYDAJ	VYBER	15	13507	SLUZBY	\N	\N
177968	601	1994-03-31	VYDAJ	VYBER	15	13916	SLUZBY	\N	\N
177969	601	1994-04-30	VYDAJ	VYBER	15	13663	SLUZBY	\N	\N
177970	601	1994-05-31	VYDAJ	VYBER	15	14824	SLUZBY	\N	\N
177971	601	1994-06-30	VYDAJ	VYBER	15	14787	SLUZBY	\N	\N
177972	601	1994-07-31	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
177973	601	1994-08-31	VYDAJ	VYBER	15	14713	SLUZBY	\N	\N
177974	601	1994-09-30	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
177975	601	1994-10-31	VYDAJ	VYBER	15	17048	SLUZBY	\N	\N
177976	601	1994-11-30	VYDAJ	VYBER	15	18222	SLUZBY	\N	\N
177977	601	1994-12-31	VYDAJ	VYBER	15	19101	SLUZBY	\N	\N
177978	601	1995-01-31	VYDAJ	VYBER	15	14901	SLUZBY	\N	\N
177979	601	1995-02-28	VYDAJ	VYBER	15	15586	SLUZBY	\N	\N
177980	601	1995-03-31	VYDAJ	VYBER	15	16754	SLUZBY	\N	\N
177981	601	1995-04-30	VYDAJ	VYBER	15	17928	SLUZBY	\N	\N
177982	601	1995-05-31	VYDAJ	VYBER	15	19106	SLUZBY	\N	\N
177983	601	1995-06-30	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
177984	601	1995-07-31	VYDAJ	VYBER	15	21177	SLUZBY	\N	\N
177985	601	1995-08-31	VYDAJ	VYBER	15	21526	SLUZBY	\N	\N
177986	601	1995-09-30	VYDAJ	VYBER	15	22719	SLUZBY	\N	\N
177987	601	1995-10-31	VYDAJ	VYBER	15	23216	SLUZBY	\N	\N
177988	601	1995-11-30	VYDAJ	VYBER	15	23906	SLUZBY	\N	\N
177989	601	1995-12-31	VYDAJ	VYBER	15	24959	SLUZBY	\N	\N
177990	601	1996-01-31	VYDAJ	VYBER	15	18130	SLUZBY	\N	\N
177991	601	1996-02-29	VYDAJ	VYBER	15	19309	SLUZBY	\N	\N
177992	601	1996-03-31	VYDAJ	VYBER	15	19531	SLUZBY	\N	\N
177993	601	1996-04-30	VYDAJ	VYBER	15	20715	SLUZBY	\N	\N
177994	601	1996-05-31	VYDAJ	VYBER	15	21504	SLUZBY	\N	\N
177995	601	1996-06-30	VYDAJ	VYBER	15	15801	SLUZBY	\N	\N
177996	601	1996-07-31	VYDAJ	VYBER	15	16970	SLUZBY	\N	\N
177997	601	1996-08-31	VYDAJ	VYBER	15	18144	SLUZBY	\N	\N
177998	601	1996-09-30	VYDAJ	VYBER	15	17670	SLUZBY	\N	\N
177999	601	1996-10-31	VYDAJ	VYBER	15	18746	SLUZBY	\N	\N
178000	601	1996-11-30	VYDAJ	VYBER	15	19927	SLUZBY	\N	\N
178001	601	1996-12-31	VYDAJ	VYBER	15	17413	SLUZBY	\N	\N
178002	601	1997-01-31	VYDAJ	VYBER	15	14890	SLUZBY	\N	\N
178003	601	1997-02-28	VYDAJ	VYBER	15	16055	SLUZBY	\N	\N
178004	601	1997-03-31	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
178005	601	1997-04-30	VYDAJ	VYBER	15	15391	SLUZBY	\N	\N
178006	601	1997-05-31	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
178007	601	1997-06-30	VYDAJ	VYBER	15	14822	SLUZBY	\N	\N
178008	601	1997-07-31	VYDAJ	VYBER	15	15986	SLUZBY	\N	\N
178009	601	1997-08-31	VYDAJ	VYBER	15	16754	SLUZBY	\N	\N
178010	601	1997-09-30	VYDAJ	VYBER	15	17296	SLUZBY	\N	\N
178011	601	1997-10-31	VYDAJ	VYBER	15	18470	SLUZBY	\N	\N
178012	601	1997-11-30	VYDAJ	VYBER	15	19649	SLUZBY	\N	\N
178013	601	1997-12-31	VYDAJ	VYBER	15	17026	SLUZBY	\N	\N
178014	601	1998-01-31	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
178015	601	1998-02-28	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
178016	601	1998-03-31	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
178017	601	1998-04-30	VYDAJ	VYBER	15	16957	SLUZBY	\N	\N
178018	601	1998-05-31	VYDAJ	VYBER	15	15222	SLUZBY	\N	\N
178019	601	1998-06-30	VYDAJ	VYBER	15	16387	SLUZBY	\N	\N
178020	601	1998-07-31	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
178021	601	1998-08-31	VYDAJ	VYBER	15	15663	SLUZBY	\N	\N
178022	601	1998-09-30	VYDAJ	VYBER	15	15747	SLUZBY	\N	\N
178023	601	1998-10-31	VYDAJ	VYBER	15	16193	SLUZBY	\N	\N
178024	601	1998-11-30	VYDAJ	VYBER	15	17362	SLUZBY	\N	\N
178025	601	1995-10-23	VYDAJ	VYBER	700	23134	\N	\N	\N
178026	601	1996-05-20	VYDAJ	VYBER	400	21430	\N	\N	\N
178027	601	1996-10-17	VYDAJ	VYBER	100	18685	\N	\N	\N
178028	601	1996-12-16	VYDAJ	VYBER	1800	17352	\N	\N	\N
178029	601	1997-03-16	VYDAJ	VYBER	300	16870	\N	\N	\N
178030	601	1997-04-15	VYDAJ	VYBER	2700	15339	\N	\N	\N
178031	601	1997-06-14	VYDAJ	VYBER	2900	14773	\N	\N	\N
178032	601	1997-08-13	VYDAJ	VYBER	400	16701	\N	\N	\N
178033	601	1997-12-11	VYDAJ	VYBER	2600	20394	\N	\N	\N
178034	601	1998-05-10	VYDAJ	VYBER	2900	17402	\N	\N	\N
178035	601	1998-07-09	VYDAJ	VYBER	1200	18532	\N	\N	\N
178036	601	1998-12-06	VYDAJ	VYBER	1400	15962	\N	\N	\N
178102	602	1995-10-27	PRIJEM	VKLAD	700	700	\N	\N	\N
178113	602	1995-11-05	PRIJEM	VKLAD	4787	5487	\N	\N	\N
178114	602	1995-12-05	PRIJEM	VKLAD	7180	21977	\N	\N	\N
178115	602	1996-01-05	PRIJEM	VKLAD	4787	27032	\N	\N	\N
178116	602	1996-02-05	PRIJEM	VKLAD	4787	28913	\N	\N	\N
178117	602	1996-03-05	PRIJEM	VKLAD	4787	26598	\N	\N	\N
178118	602	1996-04-05	PRIJEM	VKLAD	4787	24472	\N	\N	\N
178119	602	1996-05-05	PRIJEM	VKLAD	4787	24239	\N	\N	\N
178120	602	1996-06-05	PRIJEM	VKLAD	7180	27398	\N	\N	\N
178121	602	1996-07-05	PRIJEM	VKLAD	4787	21628	\N	\N	\N
178122	602	1996-08-05	PRIJEM	VKLAD	4787	18579	\N	\N	\N
178123	602	1996-09-05	PRIJEM	VKLAD	4787	17642	\N	\N	\N
178124	602	1996-10-05	PRIJEM	VKLAD	4787	18383	\N	\N	\N
178125	602	1996-11-05	PRIJEM	VKLAD	4787	20026	\N	\N	\N
178126	602	1996-12-05	PRIJEM	VKLAD	7180	24069	\N	\N	\N
178127	602	1997-01-05	PRIJEM	VKLAD	4787	16473	\N	\N	\N
178128	602	1997-02-05	PRIJEM	VKLAD	4787	17147	\N	\N	\N
178129	602	1997-03-05	PRIJEM	VKLAD	4787	16381	\N	\N	\N
178130	602	1997-04-05	PRIJEM	VKLAD	4787	15211	\N	\N	\N
178131	602	1997-05-05	PRIJEM	VKLAD	4787	16039	\N	\N	\N
178132	602	1997-06-05	PRIJEM	VKLAD	7180	19465	\N	\N	\N
178133	602	1997-07-05	PRIJEM	VKLAD	4787	19607	\N	\N	\N
178134	602	1997-08-05	PRIJEM	VKLAD	4787	19852	\N	\N	\N
178135	602	1997-09-05	PRIJEM	VKLAD	4787	15189	\N	\N	\N
178136	602	1997-10-05	PRIJEM	VKLAD	4787	18221	\N	\N	\N
178137	602	1997-11-05	PRIJEM	VKLAD	4787	16055	\N	\N	\N
178138	602	1997-12-05	PRIJEM	VKLAD	7180	17877	\N	\N	\N
178139	602	1998-01-05	PRIJEM	VKLAD	4787	17310	\N	\N	\N
178140	602	1998-02-05	PRIJEM	VKLAD	4787	17182	\N	\N	\N
178141	602	1998-03-05	PRIJEM	VKLAD	4787	16915	\N	\N	\N
178142	602	1998-04-05	PRIJEM	VKLAD	4787	18551	\N	\N	\N
178143	602	1998-05-05	PRIJEM	VKLAD	4787	16386	\N	\N	\N
178144	602	1998-06-05	PRIJEM	VKLAD	7180	20413	\N	\N	\N
178145	602	1998-07-05	PRIJEM	VKLAD	4787	17250	\N	\N	\N
178146	602	1998-08-05	PRIJEM	VKLAD	4787	15880	\N	\N	\N
178147	602	1998-09-05	PRIJEM	VKLAD	4787	15507	\N	\N	\N
178148	602	1998-10-05	PRIJEM	VKLAD	4787	17138	\N	\N	\N
178149	602	1998-11-05	PRIJEM	VKLAD	4787	18775	\N	\N	\N
178150	602	1998-12-05	PRIJEM	VKLAD	7180	21692	\N	\N	\N
178165	602	1996-03-08	VYDAJ	PREVOD NA UCET	3191	23407	SIPO	EF	11328745
178166	602	1996-04-08	VYDAJ	PREVOD NA UCET	3191	21281	SIPO	EF	11328745
178167	602	1996-05-08	VYDAJ	PREVOD NA UCET	3191	21048	SIPO	EF	11328745
178168	602	1996-06-08	VYDAJ	PREVOD NA UCET	3191	24207	SIPO	EF	11328745
178169	602	1996-07-08	VYDAJ	PREVOD NA UCET	3191	18437	SIPO	EF	11328745
178170	602	1996-08-08	VYDAJ	PREVOD NA UCET	3191	15388	SIPO	EF	11328745
178171	602	1996-09-08	VYDAJ	PREVOD NA UCET	3191	14451	SIPO	EF	11328745
178172	602	1996-10-08	VYDAJ	PREVOD NA UCET	3191	15192	SIPO	EF	11328745
178173	602	1996-11-08	VYDAJ	PREVOD NA UCET	3191	16835	SIPO	EF	11328745
178174	602	1996-12-08	VYDAJ	PREVOD NA UCET	3191	20878	SIPO	EF	11328745
178175	602	1997-01-08	VYDAJ	PREVOD NA UCET	3191	13282	SIPO	EF	11328745
178176	602	1997-02-08	VYDAJ	PREVOD NA UCET	3191	13956	SIPO	EF	11328745
178177	602	1997-03-08	VYDAJ	PREVOD NA UCET	3191	13190	SIPO	EF	11328745
178178	602	1997-04-08	VYDAJ	PREVOD NA UCET	3191	12020	SIPO	EF	11328745
178179	602	1997-05-08	VYDAJ	PREVOD NA UCET	3191	12848	SIPO	EF	11328745
178180	602	1997-06-08	VYDAJ	PREVOD NA UCET	3191	16274	SIPO	EF	11328745
178181	602	1997-07-08	VYDAJ	PREVOD NA UCET	3191	16416	SIPO	EF	11328745
178182	602	1997-08-08	VYDAJ	PREVOD NA UCET	3191	16661	SIPO	EF	11328745
178183	602	1997-09-08	VYDAJ	PREVOD NA UCET	3191	11998	SIPO	EF	11328745
178184	602	1997-10-08	VYDAJ	PREVOD NA UCET	3191	15030	SIPO	EF	11328745
178185	602	1997-11-08	VYDAJ	PREVOD NA UCET	3191	12864	SIPO	EF	11328745
178186	602	1997-12-08	VYDAJ	PREVOD NA UCET	3191	14686	SIPO	EF	11328745
178187	602	1998-01-08	VYDAJ	PREVOD NA UCET	3191	10159	SIPO	EF	11328745
178188	602	1998-02-08	VYDAJ	PREVOD NA UCET	3191	13991	SIPO	EF	11328745
178189	602	1998-03-08	VYDAJ	PREVOD NA UCET	3191	13724	SIPO	EF	11328745
178190	602	1998-04-08	VYDAJ	PREVOD NA UCET	3191	15360	SIPO	EF	11328745
178191	602	1998-05-08	VYDAJ	PREVOD NA UCET	3191	13195	SIPO	EF	11328745
178192	602	1998-06-08	VYDAJ	PREVOD NA UCET	3191	17222	SIPO	EF	11328745
178193	602	1998-07-08	VYDAJ	PREVOD NA UCET	3191	14059	SIPO	EF	11328745
178194	602	1998-08-08	VYDAJ	PREVOD NA UCET	3191	12689	SIPO	EF	11328745
178195	602	1998-09-08	VYDAJ	PREVOD NA UCET	3191	12316	SIPO	EF	11328745
178196	602	1998-10-08	VYDAJ	PREVOD NA UCET	3191	13947	SIPO	EF	11328745
178197	602	1998-11-08	VYDAJ	PREVOD NA UCET	3191	15584	SIPO	EF	11328745
178198	602	1998-12-08	VYDAJ	PREVOD NA UCET	3191	18501	SIPO	EF	11328745
178206	602	1998-12-04	VYDAJ	VYBER	1120	14512	\N	\N	\N
178219	602	1997-01-19	VYDAJ	VYBER	960	12322	\N	\N	\N
178226	602	1998-01-08	VYDAJ	VYBER	960	13350	\N	\N	\N
178228	602	1998-01-05	VYDAJ	VYBER	3000	14310	\N	\N	\N
178240	602	1996-08-31	VYDAJ	VYBER	1680	12855	\N	\N	\N
178241	602	1996-06-24	VYDAJ	VYBER	840	16767	\N	\N	\N
178243	602	1996-12-12	VYDAJ	VYBER	4440	16438	\N	\N	\N
178268	602	1996-03-31	VYDAJ	VYBER	15	19685	SLUZBY	\N	\N
178269	602	1996-04-30	VYDAJ	VYBER	15	19452	SLUZBY	\N	\N
178270	602	1996-05-31	VYDAJ	VYBER	15	20218	SLUZBY	\N	\N
178271	602	1996-06-30	VYDAJ	VYBER	15	16841	SLUZBY	\N	\N
178272	602	1996-07-31	VYDAJ	VYBER	15	13792	SLUZBY	\N	\N
178273	602	1996-08-31	VYDAJ	VYBER	15	14535	SLUZBY	\N	\N
178274	602	1996-09-30	VYDAJ	VYBER	15	13596	SLUZBY	\N	\N
178275	602	1996-10-31	VYDAJ	VYBER	15	15239	SLUZBY	\N	\N
178276	602	1996-11-30	VYDAJ	VYBER	15	16889	SLUZBY	\N	\N
178277	602	1996-12-31	VYDAJ	VYBER	15	11686	SLUZBY	\N	\N
178278	602	1997-01-31	VYDAJ	VYBER	15	12360	SLUZBY	\N	\N
178279	602	1997-02-28	VYDAJ	VYBER	15	11594	SLUZBY	\N	\N
178280	602	1997-03-31	VYDAJ	VYBER	15	10424	SLUZBY	\N	\N
178281	602	1997-04-30	VYDAJ	VYBER	15	11252	SLUZBY	\N	\N
178282	602	1997-05-31	VYDAJ	VYBER	15	12285	SLUZBY	\N	\N
178283	602	1997-06-30	VYDAJ	VYBER	15	14820	SLUZBY	\N	\N
178284	602	1997-07-31	VYDAJ	VYBER	15	15065	SLUZBY	\N	\N
178285	602	1997-08-31	VYDAJ	VYBER	15	10402	SLUZBY	\N	\N
178286	602	1997-09-30	VYDAJ	VYBER	15	13434	SLUZBY	\N	\N
178287	602	1997-10-31	VYDAJ	VYBER	15	11268	SLUZBY	\N	\N
178288	602	1997-11-30	VYDAJ	VYBER	15	10697	SLUZBY	\N	\N
178289	602	1997-12-31	VYDAJ	VYBER	15	12523	SLUZBY	\N	\N
178290	602	1998-01-31	VYDAJ	VYBER	15	12395	SLUZBY	\N	\N
178291	602	1998-02-28	VYDAJ	VYBER	15	12128	SLUZBY	\N	\N
178292	602	1998-03-31	VYDAJ	VYBER	15	13764	SLUZBY	\N	\N
178293	602	1998-04-30	VYDAJ	VYBER	15	11599	SLUZBY	\N	\N
178294	602	1998-05-31	VYDAJ	VYBER	15	13233	SLUZBY	\N	\N
178295	602	1998-06-30	VYDAJ	VYBER	15	12463	SLUZBY	\N	\N
178296	602	1998-07-31	VYDAJ	VYBER	15	11093	SLUZBY	\N	\N
178297	602	1998-08-31	VYDAJ	VYBER	15	10720	SLUZBY	\N	\N
178298	602	1998-09-30	VYDAJ	VYBER	15	12351	SLUZBY	\N	\N
178299	602	1998-10-31	VYDAJ	VYBER	15	13988	SLUZBY	\N	\N
178300	602	1998-11-30	VYDAJ	VYBER	15	15632	SLUZBY	\N	\N
178301	602	1995-11-26	PRIJEM	VKLAD	9300	14787	\N	\N	\N
178302	602	1995-12-26	PRIJEM	VKLAD	200	22177	\N	\N	\N
178303	602	1996-01-25	VYDAJ	VYBER	3000	24032	\N	\N	\N
178304	602	1996-02-24	VYDAJ	VYBER	7200	21713	\N	\N	\N
178305	602	1996-03-25	VYDAJ	VYBER	3800	19607	\N	\N	\N
178306	602	1996-04-24	VYDAJ	VYBER	1900	19381	\N	\N	\N
178307	602	1996-05-24	VYDAJ	VYBER	900	20148	\N	\N	\N
178308	602	1996-06-23	VYDAJ	VYBER	6600	17607	\N	\N	\N
178309	602	1996-07-23	VYDAJ	VYBER	4700	13737	\N	\N	\N
178310	602	1996-08-22	VYDAJ	VYBER	900	14488	\N	\N	\N
178311	602	1996-09-21	VYDAJ	VYBER	900	13551	\N	\N	\N
178312	602	1996-12-20	VYDAJ	VYBER	4800	11638	\N	\N	\N
178313	602	1997-02-18	VYDAJ	VYBER	2400	11556	\N	\N	\N
178314	602	1997-03-20	VYDAJ	VYBER	2800	10390	\N	\N	\N
178315	602	1997-04-19	VYDAJ	VYBER	800	11220	\N	\N	\N
178316	602	1997-05-19	VYDAJ	VYBER	600	12248	\N	\N	\N
178317	602	1997-06-18	VYDAJ	VYBER	1500	14774	\N	\N	\N
178318	602	1997-07-18	VYDAJ	VYBER	1400	15016	\N	\N	\N
178319	602	1997-08-17	VYDAJ	VYBER	6300	10361	\N	\N	\N
178320	602	1997-09-16	PRIJEM	VKLAD	1400	13398	\N	\N	\N
178321	602	1997-10-16	VYDAJ	VYBER	3800	11230	\N	\N	\N
178322	602	1997-11-15	VYDAJ	VYBER	2200	10664	\N	\N	\N
178323	602	1997-12-15	VYDAJ	VYBER	2200	12486	\N	\N	\N
178324	602	1998-01-14	PRIJEM	VKLAD	2200	12359	\N	\N	\N
178325	602	1998-02-13	VYDAJ	VYBER	1900	12091	\N	\N	\N
178326	602	1998-04-14	VYDAJ	VYBER	3800	11560	\N	\N	\N
178327	602	1998-06-13	VYDAJ	VYBER	4800	12422	\N	\N	\N
178328	602	1998-07-13	VYDAJ	VYBER	3000	11059	\N	\N	\N
178329	602	1998-08-12	VYDAJ	VYBER	2000	10689	\N	\N	\N
178368	603	1996-06-11	PRIJEM	VKLAD	500	500	\N	\N	\N
178374	603	1996-06-13	PRIJEM	VKLAD	18423	18923	\N	\N	\N
178375	603	1996-07-13	PRIJEM	VKLAD	12282	36352	\N	\N	\N
178376	603	1996-08-13	PRIJEM	VKLAD	12282	41858	\N	\N	\N
178377	603	1996-09-13	PRIJEM	VKLAD	12282	48005	\N	\N	\N
178378	603	1996-10-13	PRIJEM	VKLAD	12282	51077	\N	\N	\N
178379	603	1996-11-13	PRIJEM	VKLAD	12282	49891	\N	\N	\N
178380	603	1996-12-13	PRIJEM	VKLAD	18423	55243	\N	\N	\N
178381	603	1997-01-13	PRIJEM	VKLAD	12282	49762	\N	\N	\N
178382	603	1997-02-13	PRIJEM	VKLAD	12282	40813	\N	\N	\N
178383	603	1997-03-13	PRIJEM	VKLAD	12282	45171	\N	\N	\N
178384	603	1997-04-13	PRIJEM	VKLAD	12282	49493	\N	\N	\N
178385	603	1997-05-13	PRIJEM	VKLAD	12282	54794	\N	\N	\N
178386	603	1997-06-13	PRIJEM	VKLAD	18423	49039	\N	\N	\N
178387	603	1997-07-13	PRIJEM	VKLAD	12282	49278	\N	\N	\N
178388	603	1997-08-13	PRIJEM	VKLAD	12282	52181	\N	\N	\N
178389	603	1997-09-13	PRIJEM	VKLAD	12282	51651	\N	\N	\N
178390	603	1997-10-13	PRIJEM	VKLAD	12282	54264	\N	\N	\N
178391	603	1997-11-13	PRIJEM	VKLAD	12282	56288	\N	\N	\N
178392	603	1997-12-13	PRIJEM	VKLAD	18423	62162	\N	\N	\N
178393	603	1998-01-13	PRIJEM	VKLAD	12282	45011	\N	\N	\N
178394	603	1998-02-13	PRIJEM	VKLAD	12282	46900	\N	\N	\N
178395	603	1998-03-13	PRIJEM	VKLAD	12282	53985	\N	\N	\N
178396	603	1998-04-13	PRIJEM	VKLAD	12282	58203	\N	\N	\N
178397	603	1998-05-13	PRIJEM	VKLAD	12282	63641	\N	\N	\N
178398	603	1998-06-13	PRIJEM	VKLAD	18423	71241	\N	\N	\N
178399	603	1998-07-13	PRIJEM	VKLAD	12282	62965	\N	\N	\N
178400	603	1998-08-13	PRIJEM	VKLAD	12282	67725	\N	\N	\N
178401	603	1998-09-13	PRIJEM	VKLAD	12282	72799	\N	\N	\N
178402	603	1998-10-13	PRIJEM	VKLAD	12282	71393	\N	\N	\N
178403	603	1998-11-13	PRIJEM	VKLAD	12282	70980	\N	\N	\N
178404	603	1998-12-13	PRIJEM	VKLAD	18423	71903	\N	\N	\N
178415	603	1996-11-10	VYDAJ	PREVOD NA UCET	4361	37609	SIPO	KL	46360403
178416	603	1996-12-10	VYDAJ	PREVOD NA UCET	4361	36820	SIPO	KL	46360403
178417	603	1997-01-10	VYDAJ	PREVOD NA UCET	4361	37480	SIPO	KL	46360403
178418	603	1997-02-10	VYDAJ	PREVOD NA UCET	4361	28531	SIPO	KL	46360403
178419	603	1997-03-10	VYDAJ	PREVOD NA UCET	4361	32889	SIPO	KL	46360403
178420	603	1997-04-10	VYDAJ	PREVOD NA UCET	4361	37211	SIPO	KL	46360403
178421	603	1997-05-10	VYDAJ	PREVOD NA UCET	4361	42512	SIPO	KL	46360403
178422	603	1997-06-10	VYDAJ	PREVOD NA UCET	4361	30616	SIPO	KL	46360403
178423	603	1997-07-10	VYDAJ	PREVOD NA UCET	4361	36996	SIPO	KL	46360403
178424	603	1997-08-10	VYDAJ	PREVOD NA UCET	4361	39899	SIPO	KL	46360403
178425	603	1997-09-10	VYDAJ	PREVOD NA UCET	4361	39369	SIPO	KL	46360403
178426	603	1997-10-10	VYDAJ	PREVOD NA UCET	4361	41982	SIPO	KL	46360403
178427	603	1997-11-10	VYDAJ	PREVOD NA UCET	4361	44006	SIPO	KL	46360403
178428	603	1997-12-10	VYDAJ	PREVOD NA UCET	4361	43739	SIPO	KL	46360403
178429	603	1998-01-10	VYDAJ	PREVOD NA UCET	4361	35629	SIPO	KL	46360403
178430	603	1998-02-10	VYDAJ	PREVOD NA UCET	4361	34618	SIPO	KL	46360403
178431	603	1998-03-10	VYDAJ	PREVOD NA UCET	4361	41703	SIPO	KL	46360403
178432	603	1998-04-10	VYDAJ	PREVOD NA UCET	4361	45921	SIPO	KL	46360403
178433	603	1998-05-10	VYDAJ	PREVOD NA UCET	4361	51359	SIPO	KL	46360403
178434	603	1998-06-10	VYDAJ	PREVOD NA UCET	4361	52818	SIPO	KL	46360403
178435	603	1998-07-10	VYDAJ	PREVOD NA UCET	4361	50683	SIPO	KL	46360403
178436	603	1998-08-10	VYDAJ	PREVOD NA UCET	4361	55443	SIPO	KL	46360403
178437	603	1998-09-10	VYDAJ	PREVOD NA UCET	4361	60517	SIPO	KL	46360403
178438	603	1998-10-10	VYDAJ	PREVOD NA UCET	4361	59111	SIPO	KL	46360403
178439	603	1998-11-10	VYDAJ	PREVOD NA UCET	4361	58698	SIPO	KL	46360403
178440	603	1998-12-10	VYDAJ	PREVOD NA UCET	4361	53480	SIPO	KL	46360403
178442	603	1997-06-05	VYDAJ	VYBER	27520	27477	\N	\N	\N
178443	603	1998-06-20	VYDAJ	VYBER	7040	60601	\N	\N	\N
178445	603	1997-01-17	VYDAJ	VYBER	13120	33642	\N	\N	\N
178446	603	1998-01-27	VYDAJ	VYBER KARTOU	4000	41011	\N	\N	0
178447	603	1996-12-19	VYDAJ	VYBER	2240	53003	\N	\N	\N
178448	603	1997-12-23	VYDAJ	VYBER	800	61362	\N	\N	\N
178449	603	1998-12-20	VYDAJ	VYBER KARTOU	2600	63903	\N	\N	0
178456	603	1997-01-09	VYDAJ	VYBER	1200	41841	\N	\N	\N
178457	603	1997-01-15	VYDAJ	VYBER	1680	46762	\N	\N	\N
178458	603	1997-01-19	VYDAJ	VYBER	2400	31242	\N	\N	\N
178459	603	1997-01-13	VYDAJ	VYBER	1320	48442	\N	\N	\N
178460	603	1997-01-03	VYDAJ	VYBER	960	52241	\N	\N	\N
178461	603	1997-01-29	VYDAJ	VYBER	600	30642	\N	\N	\N
178462	603	1998-01-30	VYDAJ	VYBER KARTOU	1200	38511	\N	\N	0
178463	603	1998-01-08	VYDAJ	VYBER KARTOU	3500	39990	\N	\N	0
178464	603	1998-01-03	VYDAJ	VYBER KARTOU	1000	46590	\N	\N	0
178465	603	1998-01-28	VYDAJ	VYBER KARTOU	1300	39711	\N	\N	0
178466	603	1998-01-06	VYDAJ	VYBER KARTOU	3100	43490	\N	\N	0
178467	603	1998-01-12	VYDAJ	VYBER KARTOU	2900	32729	\N	\N	0
178473	603	1997-08-22	VYDAJ	VYBER	3840	48341	\N	\N	\N
178474	603	1997-07-07	VYDAJ	VYBER	3360	41357	\N	\N	\N
178475	603	1997-03-17	VYDAJ	VYBER	960	44211	\N	\N	\N
178476	603	1997-12-30	VYDAJ	VYBER KARTOU	2200	59162	\N	\N	0
178477	603	1998-05-29	VYDAJ	VYBER KARTOU	2900	60741	\N	\N	0
178478	603	1998-12-19	VYDAJ	VYBER	5400	66503	\N	\N	\N
178479	603	1998-06-15	VYDAJ	VYBER KARTOU	3600	67641	\N	\N	0
178490	603	1996-10-31	VYDAJ	VYBER	15	51270	SLUZBY	\N	\N
178491	603	1996-11-30	VYDAJ	VYBER	15	50081	SLUZBY	\N	\N
178492	603	1996-12-31	VYDAJ	VYBER	15	53201	SLUZBY	\N	\N
178493	603	1997-01-31	VYDAJ	VYBER	15	30792	SLUZBY	\N	\N
178494	603	1997-02-28	VYDAJ	VYBER	15	40950	SLUZBY	\N	\N
178495	603	1997-03-31	VYDAJ	VYBER	15	44372	SLUZBY	\N	\N
178496	603	1997-04-30	VYDAJ	VYBER	15	49673	SLUZBY	\N	\N
178497	603	1997-05-31	VYDAJ	VYBER	15	54997	SLUZBY	\N	\N
178498	603	1997-06-30	VYDAJ	VYBER	15	49217	SLUZBY	\N	\N
178499	603	1997-07-31	VYDAJ	VYBER	15	49460	SLUZBY	\N	\N
178500	603	1997-08-31	VYDAJ	VYBER	15	48530	SLUZBY	\N	\N
178501	603	1997-09-30	VYDAJ	VYBER	15	51843	SLUZBY	\N	\N
178502	603	1997-10-31	VYDAJ	VYBER	15	54467	SLUZBY	\N	\N
178503	603	1997-11-30	VYDAJ	VYBER	15	56500	SLUZBY	\N	\N
178504	603	1997-12-31	VYDAJ	VYBER	15	59390	SLUZBY	\N	\N
178505	603	1998-01-31	VYDAJ	VYBER	15	38679	SLUZBY	\N	\N
178506	603	1998-02-28	VYDAJ	VYBER	15	47064	SLUZBY	\N	\N
178507	603	1998-03-31	VYDAJ	VYBER	15	54182	SLUZBY	\N	\N
178508	603	1998-04-30	VYDAJ	VYBER	15	58420	SLUZBY	\N	\N
178509	603	1998-05-31	VYDAJ	VYBER	15	60979	SLUZBY	\N	\N
178510	603	1998-06-30	VYDAJ	VYBER	15	60844	SLUZBY	\N	\N
178511	603	1998-07-31	VYDAJ	VYBER	15	63204	SLUZBY	\N	\N
178512	603	1998-08-31	VYDAJ	VYBER	15	64878	SLUZBY	\N	\N
178513	603	1998-09-30	VYDAJ	VYBER	15	63472	SLUZBY	\N	\N
178514	603	1998-10-31	VYDAJ	VYBER	15	63059	SLUZBY	\N	\N
178515	603	1998-11-30	VYDAJ	VYBER	15	57841	SLUZBY	\N	\N
178516	603	1996-07-11	PRIJEM	VKLAD	5100	24070	\N	\N	\N
178517	603	1996-08-10	VYDAJ	VYBER	6900	29576	\N	\N	\N
178518	603	1996-09-09	VYDAJ	VYBER	6300	35723	\N	\N	\N
178519	603	1996-10-09	VYDAJ	VYBER	9400	38795	\N	\N	\N
178520	603	1996-11-08	VYDAJ	VYBER	9300	41970	\N	\N	\N
178521	603	1996-12-08	VYDAJ	VYBER	8900	41181	\N	\N	\N
178522	603	1997-01-07	VYDAJ	VYBER	9200	43041	\N	\N	\N
178523	603	1997-02-06	PRIJEM	VKLAD	2100	32892	\N	\N	\N
178524	603	1997-03-08	VYDAJ	VYBER	3700	37250	\N	\N	\N
178525	603	1997-04-07	VYDAJ	VYBER	2800	41572	\N	\N	\N
178526	603	1997-05-07	VYDAJ	VYBER	2800	46873	\N	\N	\N
178527	603	1997-06-06	PRIJEM	VKLAD	7500	34977	\N	\N	\N
178528	603	1997-07-06	VYDAJ	VYBER	4500	44717	\N	\N	\N
178529	603	1997-08-05	VYDAJ	VYBER	5200	44260	\N	\N	\N
178530	603	1997-09-04	VYDAJ	VYBER	4800	43730	\N	\N	\N
178531	603	1997-10-04	VYDAJ	VYBER	5500	46343	\N	\N	\N
178532	603	1997-11-03	VYDAJ	VYBER	6100	48367	\N	\N	\N
178533	603	1997-12-03	VYDAJ	VYBER	8400	48100	\N	\N	\N
178534	603	1998-01-02	VYDAJ	VYBER	11800	47590	\N	\N	\N
178535	603	1998-02-01	PRIJEM	VKLAD	300	38979	\N	\N	\N
178536	603	1998-03-03	VYDAJ	VYBER KARTOU	1000	46064	\N	\N	0
178537	603	1998-04-02	VYDAJ	VYBER KARTOU	3900	50282	\N	\N	0
178538	603	1998-05-02	VYDAJ	VYBER KARTOU	2700	55720	\N	\N	0
178539	603	1998-06-01	VYDAJ	VYBER KARTOU	3800	57179	\N	\N	0
178540	603	1998-07-01	VYDAJ	VYBER	5800	55044	\N	\N	\N
178541	603	1998-07-31	VYDAJ	VYBER KARTOU	3400	59804	\N	\N	0
178542	603	1998-08-30	VYDAJ	VYBER KARTOU	3100	64625	\N	\N	0
178543	603	1998-09-29	VYDAJ	VYBER	9600	63199	\N	\N	\N
178544	603	1998-10-29	VYDAJ	VYBER	8600	62793	\N	\N	\N
178545	603	1998-11-28	VYDAJ	VYBER	13400	57580	\N	\N	\N
178577	604	1993-11-26	PRIJEM	VKLAD	800	800	\N	\N	\N
178589	604	1993-12-08	PRIJEM	VKLAD	12618	13418	\N	\N	\N
178590	604	1994-01-08	PRIJEM	VKLAD	8412	29547	\N	\N	\N
178591	604	1994-02-08	PRIJEM	VKLAD	8412	37254	\N	\N	\N
178592	604	1994-03-08	PRIJEM	VKLAD	8412	39788	\N	\N	\N
178593	604	1994-04-08	PRIJEM	VKLAD	8412	43133	\N	\N	\N
178594	604	1994-05-08	PRIJEM	VKLAD	8412	43378	\N	\N	\N
178595	604	1994-06-08	PRIJEM	VKLAD	12618	41624	\N	\N	\N
178596	604	1994-07-08	PRIJEM	VKLAD	8412	32764	\N	\N	\N
178597	604	1994-08-08	PRIJEM	VKLAD	8412	36889	\N	\N	\N
178598	604	1994-09-08	PRIJEM	VKLAD	8412	40610	\N	\N	\N
178599	604	1994-10-08	PRIJEM	VKLAD	8412	42444	\N	\N	\N
178600	604	1994-11-08	PRIJEM	VKLAD	8412	40084	\N	\N	\N
178601	604	1994-12-08	PRIJEM	VKLAD	12618	44534	\N	\N	\N
178602	604	1995-01-08	PRIJEM	VKLAD	8412	41169	\N	\N	\N
178603	604	1995-02-08	PRIJEM	VKLAD	8412	36414	\N	\N	\N
178604	604	1995-03-08	PRIJEM	VKLAD	8412	36933	\N	\N	\N
178605	604	1995-04-08	PRIJEM	VKLAD	8412	38951	\N	\N	\N
178606	604	1995-05-08	PRIJEM	VKLAD	8412	41883	\N	\N	\N
178607	604	1995-06-08	PRIJEM	VKLAD	12618	48344	\N	\N	\N
178608	604	1995-07-08	PRIJEM	VKLAD	8412	35172	\N	\N	\N
178609	604	1995-08-08	PRIJEM	VKLAD	8412	35180	\N	\N	\N
178610	604	1995-09-08	PRIJEM	VKLAD	8412	37493	\N	\N	\N
178611	604	1995-10-08	PRIJEM	VKLAD	8412	32803	\N	\N	\N
178612	604	1995-11-08	PRIJEM	VKLAD	8412	37512	\N	\N	\N
178613	604	1995-12-08	PRIJEM	VKLAD	12618	38730	\N	\N	\N
178614	604	1996-01-08	PRIJEM	VKLAD	8412	35343	\N	\N	\N
178615	604	1996-02-08	PRIJEM	VKLAD	8412	32860	\N	\N	\N
178616	604	1996-03-08	PRIJEM	VKLAD	8412	38271	\N	\N	\N
178617	604	1996-04-08	PRIJEM	VKLAD	8412	39795	\N	\N	\N
178618	604	1996-05-08	PRIJEM	VKLAD	8412	42428	\N	\N	\N
178619	604	1996-06-08	PRIJEM	VKLAD	12618	49980	\N	\N	\N
178620	604	1996-07-08	PRIJEM	VKLAD	8412	44530	\N	\N	\N
178621	604	1996-08-08	PRIJEM	VKLAD	8412	43478	\N	\N	\N
178622	604	1996-09-08	PRIJEM	VKLAD	8412	46629	\N	\N	\N
178623	604	1996-10-08	PRIJEM	VKLAD	8412	45882	\N	\N	\N
178624	604	1996-11-08	PRIJEM	VKLAD	8412	47539	\N	\N	\N
178625	604	1996-12-08	PRIJEM	VKLAD	12618	52004	\N	\N	\N
178626	604	1997-01-08	PRIJEM	VKLAD	8412	48670	\N	\N	\N
178627	604	1997-02-08	PRIJEM	VKLAD	8412	41224	\N	\N	\N
178628	604	1997-03-08	PRIJEM	VKLAD	8412	45182	\N	\N	\N
178629	604	1997-04-08	PRIJEM	VKLAD	8412	49448	\N	\N	\N
178630	604	1997-05-08	PRIJEM	VKLAD	8412	52624	\N	\N	\N
178631	604	1997-06-08	PRIJEM	VKLAD	12618	36509	\N	\N	\N
178632	604	1997-07-08	PRIJEM	VKLAD	8412	43961	\N	\N	\N
178633	604	1997-08-08	PRIJEM	VKLAD	8412	47611	\N	\N	\N
178634	604	1997-09-08	PRIJEM	VKLAD	8412	50196	\N	\N	\N
178635	604	1997-10-08	PRIJEM	VKLAD	8412	51198	\N	\N	\N
178636	604	1997-11-08	PRIJEM	VKLAD	8412	55406	\N	\N	\N
178637	604	1997-12-08	PRIJEM	VKLAD	12618	58934	\N	\N	\N
178638	604	1998-01-08	PRIJEM	VKLAD	8412	53868	\N	\N	\N
178639	604	1998-02-08	PRIJEM	VKLAD	8412	50471	\N	\N	\N
178640	604	1998-03-08	PRIJEM	VKLAD	8412	52471	\N	\N	\N
178641	604	1998-04-08	PRIJEM	VKLAD	8412	55980	\N	\N	\N
178642	604	1998-05-08	PRIJEM	VKLAD	8412	54203	\N	\N	\N
178643	604	1998-06-08	PRIJEM	VKLAD	12618	55326	\N	\N	\N
178644	604	1998-07-08	PRIJEM	VKLAD	8412	39526	\N	\N	\N
178645	604	1998-08-08	PRIJEM	VKLAD	8412	45079	\N	\N	\N
178646	604	1998-09-08	PRIJEM	VKLAD	8412	49956	\N	\N	\N
178647	604	1998-10-08	PRIJEM	VKLAD	8412	49554	\N	\N	\N
178648	604	1998-11-08	PRIJEM	VKLAD	8412	46148	\N	\N	\N
178649	604	1998-12-08	PRIJEM	VKLAD	12618	50734	\N	\N	\N
178651	604	1994-06-19	VYDAJ	VYBER	13100	28524	\N	\N	\N
178652	604	1995-06-11	VYDAJ	VYBER	15300	33044	\N	\N	\N
178653	604	1996-06-14	VYDAJ	VYBER	4300	35980	\N	\N	\N
178654	604	1997-06-01	VYDAJ	VYBER	20200	23891	\N	\N	\N
178655	604	1998-06-24	VYDAJ	VYBER	22200	33126	\N	\N	\N
178668	604	1995-01-28	VYDAJ	VYBER	700	29469	\N	\N	\N
178669	604	1995-01-23	VYDAJ	VYBER	2200	30169	\N	\N	\N
178670	604	1995-01-06	VYDAJ	VYBER	2300	32757	\N	\N	\N
178671	604	1995-01-30	VYDAJ	VYBER	1600	27869	\N	\N	\N
178672	604	1995-01-21	VYDAJ	VYBER	2500	32369	\N	\N	\N
178673	604	1995-01-15	VYDAJ	VYBER	500	40669	\N	\N	\N
178674	604	1996-01-16	VYDAJ	VYBER	800	27143	\N	\N	\N
178675	604	1996-01-17	VYDAJ	VYBER	1100	26043	\N	\N	\N
178676	604	1996-01-27	VYDAJ	VYBER	1700	24343	\N	\N	\N
178677	604	1996-01-02	VYDAJ	VYBER	2900	26931	\N	\N	\N
178678	604	1996-01-16	VYDAJ	VYBER	900	27943	\N	\N	\N
178679	604	1996-01-13	VYDAJ	VYBER	1400	33943	\N	\N	\N
178680	604	1997-01-08	VYDAJ	VYBER	2300	45870	\N	\N	\N
178681	604	1997-01-28	VYDAJ	VYBER	600	32670	\N	\N	\N
178682	604	1997-01-08	VYDAJ	VYBER	500	48170	\N	\N	\N
178683	604	1997-01-14	VYDAJ	VYBER	500	38070	\N	\N	\N
178684	604	1997-01-27	VYDAJ	VYBER	1300	33270	\N	\N	\N
178685	604	1997-01-02	VYDAJ	VYBER	1300	40258	\N	\N	\N
178686	604	1998-01-15	VYDAJ	VYBER	1000	49968	\N	\N	\N
178687	604	1998-01-10	VYDAJ	VYBER	1600	52268	\N	\N	\N
178688	604	1998-01-24	VYDAJ	VYBER	2500	47468	\N	\N	\N
178689	604	1998-01-14	VYDAJ	VYBER	1300	50968	\N	\N	\N
178690	604	1998-01-03	VYDAJ	VYBER	1200	57956	\N	\N	\N
178691	604	1998-01-29	VYDAJ	VYBER	1800	45668	\N	\N	\N
178697	604	1994-04-21	VYDAJ	VYBER	3000	40133	\N	\N	\N
178699	604	1994-10-22	VYDAJ	VYBER	3500	31544	\N	\N	\N
178700	604	1994-06-07	VYDAJ	VYBER	3600	29006	\N	\N	\N
178701	604	1994-11-08	VYDAJ	VYBER	3300	36784	\N	\N	\N
178703	604	1994-07-02	VYDAJ	VYBER	3700	24352	\N	\N	\N
178704	604	1994-08-31	VYDAJ	VYBER	700	32212	\N	\N	\N
178705	604	1995-09-14	VYDAJ	VYBER	4200	33293	\N	\N	\N
178706	604	1995-02-15	VYDAJ	VYBER	2000	34414	\N	\N	\N
178707	604	1995-05-05	VYDAJ	VYBER	1600	33471	\N	\N	\N
178708	604	1995-10-16	VYDAJ	VYBER	500	32303	\N	\N	\N
178709	604	1996-07-27	VYDAJ	VYBER	2500	34930	\N	\N	\N
178710	604	1997-03-06	VYDAJ	VYBER	1200	36770	\N	\N	\N
178711	604	1997-03-08	VYDAJ	VYBER	1900	43282	\N	\N	\N
178712	604	1997-12-03	VYDAJ	VYBER	700	54916	\N	\N	\N
178713	604	1997-01-22	VYDAJ	VYBER	3500	34570	\N	\N	\N
178714	604	1997-03-25	VYDAJ	VYBER	900	40882	\N	\N	\N
178715	604	1998-03-21	VYDAJ	VYBER	1800	50671	\N	\N	\N
178716	604	1998-01-03	VYDAJ	VYBER	3300	54656	\N	\N	\N
178717	604	1998-11-06	VYDAJ	VYBER	3400	37736	\N	\N	\N
178718	604	1998-05-08	VYDAJ	VYBER	1600	52603	\N	\N	\N
178719	604	1998-10-24	VYDAJ	VYBER	1000	48554	\N	\N	\N
178720	604	1998-12-13	VYDAJ	VYBER	3400	47334	\N	\N	\N
178721	604	1998-10-04	VYDAJ	VYBER	1400	41142	\N	\N	\N
178738	604	1994-04-30	VYDAJ	VYBER	15	34966	SLUZBY	\N	\N
178739	604	1994-05-31	VYDAJ	VYBER	15	32606	SLUZBY	\N	\N
178740	604	1994-06-30	VYDAJ	VYBER	15	28052	SLUZBY	\N	\N
178741	604	1994-07-31	VYDAJ	VYBER	15	28477	SLUZBY	\N	\N
178742	604	1994-08-31	VYDAJ	VYBER	15	32198	SLUZBY	\N	\N
178743	604	1994-09-30	VYDAJ	VYBER	15	34032	SLUZBY	\N	\N
178744	604	1994-10-31	VYDAJ	VYBER	15	31672	SLUZBY	\N	\N
178745	604	1994-11-30	VYDAJ	VYBER	15	31916	SLUZBY	\N	\N
178746	604	1994-12-31	VYDAJ	VYBER	15	35057	SLUZBY	\N	\N
178747	604	1995-01-31	VYDAJ	VYBER	15	28002	SLUZBY	\N	\N
178748	604	1995-02-28	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
178749	604	1995-03-31	VYDAJ	VYBER	15	30539	SLUZBY	\N	\N
178750	604	1995-04-30	VYDAJ	VYBER	15	35071	SLUZBY	\N	\N
178751	604	1995-05-31	VYDAJ	VYBER	15	35726	SLUZBY	\N	\N
178752	604	1995-06-30	VYDAJ	VYBER	15	26760	SLUZBY	\N	\N
178753	604	1995-07-31	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
178754	604	1995-08-31	VYDAJ	VYBER	15	29081	SLUZBY	\N	\N
178755	604	1995-09-30	VYDAJ	VYBER	15	24391	SLUZBY	\N	\N
178756	604	1995-10-31	VYDAJ	VYBER	15	29100	SLUZBY	\N	\N
178757	604	1995-11-30	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
178758	604	1995-12-31	VYDAJ	VYBER	15	29831	SLUZBY	\N	\N
178759	604	1996-01-31	VYDAJ	VYBER	15	24448	SLUZBY	\N	\N
178760	604	1996-02-29	VYDAJ	VYBER	15	29859	SLUZBY	\N	\N
178761	604	1996-03-31	VYDAJ	VYBER	15	31383	SLUZBY	\N	\N
178762	604	1996-04-30	VYDAJ	VYBER	15	34016	SLUZBY	\N	\N
178763	604	1996-05-31	VYDAJ	VYBER	15	37362	SLUZBY	\N	\N
178764	604	1996-06-30	VYDAJ	VYBER	15	36118	SLUZBY	\N	\N
178765	604	1996-07-31	VYDAJ	VYBER	15	35066	SLUZBY	\N	\N
178766	604	1996-08-31	VYDAJ	VYBER	15	38217	SLUZBY	\N	\N
178767	604	1996-09-30	VYDAJ	VYBER	15	37470	SLUZBY	\N	\N
178768	604	1996-10-31	VYDAJ	VYBER	15	39127	SLUZBY	\N	\N
178769	604	1996-11-30	VYDAJ	VYBER	15	39386	SLUZBY	\N	\N
178770	604	1996-12-31	VYDAJ	VYBER	15	41558	SLUZBY	\N	\N
178771	604	1997-01-31	VYDAJ	VYBER	15	32812	SLUZBY	\N	\N
178772	604	1997-02-28	VYDAJ	VYBER	15	37970	SLUZBY	\N	\N
178773	604	1997-03-31	VYDAJ	VYBER	15	41036	SLUZBY	\N	\N
178774	604	1997-04-30	VYDAJ	VYBER	15	44212	SLUZBY	\N	\N
178775	604	1997-05-31	VYDAJ	VYBER	15	44091	SLUZBY	\N	\N
178776	604	1997-06-30	VYDAJ	VYBER	15	35549	SLUZBY	\N	\N
178777	604	1997-07-31	VYDAJ	VYBER	15	37799	SLUZBY	\N	\N
178778	604	1997-08-31	VYDAJ	VYBER	15	47784	SLUZBY	\N	\N
178779	604	1997-09-30	VYDAJ	VYBER	15	50386	SLUZBY	\N	\N
178780	604	1997-10-31	VYDAJ	VYBER	15	51394	SLUZBY	\N	\N
178781	604	1997-11-30	VYDAJ	VYBER	15	55616	SLUZBY	\N	\N
178782	604	1997-12-31	VYDAJ	VYBER	15	59156	SLUZBY	\N	\N
178783	604	1998-01-31	VYDAJ	VYBER	15	45859	SLUZBY	\N	\N
178784	604	1998-02-28	VYDAJ	VYBER	15	50659	SLUZBY	\N	\N
178785	604	1998-03-31	VYDAJ	VYBER	15	50868	SLUZBY	\N	\N
178786	604	1998-04-30	VYDAJ	VYBER	15	56191	SLUZBY	\N	\N
178787	604	1998-05-31	VYDAJ	VYBER	15	52808	SLUZBY	\N	\N
178788	604	1998-06-30	VYDAJ	VYBER	15	33314	SLUZBY	\N	\N
178789	604	1998-07-31	VYDAJ	VYBER	15	39667	SLUZBY	\N	\N
178790	604	1998-08-31	VYDAJ	VYBER	15	45244	SLUZBY	\N	\N
178791	604	1998-09-30	VYDAJ	VYBER	15	50142	SLUZBY	\N	\N
178792	604	1998-10-31	VYDAJ	VYBER	15	48736	SLUZBY	\N	\N
178793	604	1998-11-30	VYDAJ	VYBER	15	46316	SLUZBY	\N	\N
178794	604	1993-12-26	PRIJEM	VKLAD	7700	21118	\N	\N	\N
178795	604	1994-01-25	VYDAJ	VYBER	800	28747	\N	\N	\N
178796	604	1994-02-24	VYDAJ	VYBER	6000	31254	\N	\N	\N
178797	604	1994-03-26	VYDAJ	VYBER	5200	34588	\N	\N	\N
178798	604	1994-04-25	VYDAJ	VYBER	5300	34833	\N	\N	\N
178799	604	1994-05-25	VYDAJ	VYBER	10900	32478	\N	\N	\N
178800	604	1994-06-24	VYDAJ	VYBER	600	27924	\N	\N	\N
178801	604	1994-07-24	VYDAJ	VYBER	4400	28364	\N	\N	\N
178802	604	1994-08-23	VYDAJ	VYBER	4100	32789	\N	\N	\N
178803	604	1994-09-22	VYDAJ	VYBER	6700	33910	\N	\N	\N
178804	604	1994-10-22	VYDAJ	VYBER	7400	35044	\N	\N	\N
178805	604	1994-11-21	VYDAJ	VYBER	5000	31784	\N	\N	\N
178806	604	1994-12-21	VYDAJ	VYBER	9600	34934	\N	\N	\N
178807	604	1995-01-20	VYDAJ	VYBER	5800	34869	\N	\N	\N
178808	604	1995-02-19	VYDAJ	VYBER	6000	28414	\N	\N	\N
178809	604	1995-03-21	VYDAJ	VYBER	6500	30433	\N	\N	\N
178810	604	1995-04-20	VYDAJ	VYBER	4000	34951	\N	\N	\N
178811	604	1995-05-20	VYDAJ	VYBER	6300	35583	\N	\N	\N
178812	604	1995-06-19	VYDAJ	VYBER	6400	26644	\N	\N	\N
178813	604	1995-07-19	VYDAJ	VYBER	8500	26672	\N	\N	\N
178814	604	1995-08-18	VYDAJ	VYBER	6200	28980	\N	\N	\N
178815	604	1995-09-17	VYDAJ	VYBER	9000	24293	\N	\N	\N
178816	604	1995-10-17	VYDAJ	VYBER	3300	29003	\N	\N	\N
178817	604	1995-11-16	VYDAJ	VYBER	11500	26012	\N	\N	\N
178818	604	1995-12-16	VYDAJ	VYBER	9000	29730	\N	\N	\N
178819	604	1996-01-15	VYDAJ	VYBER	5100	28843	\N	\N	\N
178820	604	1996-02-14	VYDAJ	VYBER	3100	29760	\N	\N	\N
178821	604	1996-03-15	VYDAJ	VYBER	7000	31271	\N	\N	\N
178822	604	1996-04-14	VYDAJ	VYBER	5900	33895	\N	\N	\N
178823	604	1996-05-14	VYDAJ	VYBER	5200	37228	\N	\N	\N
178824	604	1996-06-13	VYDAJ	VYBER	9700	40280	\N	\N	\N
178825	604	1996-07-13	VYDAJ	VYBER	7100	37430	\N	\N	\N
178826	604	1996-08-12	VYDAJ	VYBER	5400	38078	\N	\N	\N
178827	604	1996-09-11	VYDAJ	VYBER	9300	37329	\N	\N	\N
178828	604	1996-10-11	VYDAJ	VYBER	6900	38982	\N	\N	\N
178829	604	1996-11-10	VYDAJ	VYBER	8300	39239	\N	\N	\N
178830	604	1996-12-10	VYDAJ	VYBER	10600	41404	\N	\N	\N
178831	604	1997-01-09	VYDAJ	VYBER	7300	38570	\N	\N	\N
178832	604	1997-02-08	VYDAJ	VYBER	3400	37824	\N	\N	\N
178833	604	1997-03-10	VYDAJ	VYBER	1500	41782	\N	\N	\N
178834	604	1997-04-09	VYDAJ	VYBER	5400	44048	\N	\N	\N
178835	604	1997-05-09	VYDAJ	VYBER	8700	43924	\N	\N	\N
178836	604	1997-06-08	VYDAJ	VYBER	1100	35409	\N	\N	\N
178837	604	1997-07-08	VYDAJ	VYBER	6300	37661	\N	\N	\N
178838	604	1997-08-07	PRIJEM	VKLAD	1400	39199	\N	\N	\N
178839	604	1997-09-06	VYDAJ	VYBER	6000	41784	\N	\N	\N
178840	604	1997-10-06	VYDAJ	VYBER	7600	42786	\N	\N	\N
178841	604	1997-11-05	VYDAJ	VYBER	4400	46994	\N	\N	\N
178842	604	1997-12-05	VYDAJ	VYBER	8600	46316	\N	\N	\N
178843	604	1998-01-04	VYDAJ	VYBER	9200	45456	\N	\N	\N
178844	604	1998-02-03	VYDAJ	VYBER	3800	42059	\N	\N	\N
178845	604	1998-03-05	VYDAJ	VYBER	6600	44059	\N	\N	\N
178846	604	1998-04-04	VYDAJ	VYBER	3300	47568	\N	\N	\N
178847	604	1998-05-04	VYDAJ	VYBER	10400	45791	\N	\N	\N
178848	604	1998-06-03	VYDAJ	VYBER	10100	42708	\N	\N	\N
178849	604	1998-07-03	VYDAJ	VYBER	2200	31114	\N	\N	\N
178850	604	1998-08-02	VYDAJ	VYBER	3000	36667	\N	\N	\N
178851	604	1998-09-01	VYDAJ	VYBER	3700	41544	\N	\N	\N
178852	604	1998-10-01	VYDAJ	VYBER	7600	42542	\N	\N	\N
178853	604	1998-10-31	VYDAJ	VYBER	7600	41136	\N	\N	\N
178854	604	1998-11-30	VYDAJ	VYBER	8200	38116	\N	\N	\N
178916	605	1997-02-04	PRIJEM	VKLAD	600	600	\N	\N	\N
178918	605	1997-02-12	PRIJEM	VKLAD	10315	10915	\N	\N	\N
178919	605	1997-03-12	PRIJEM	VKLAD	10315	27158	\N	\N	\N
178920	605	1997-04-12	PRIJEM	VKLAD	10315	33362	\N	\N	\N
178921	605	1997-05-12	PRIJEM	VKLAD	10315	36706	\N	\N	\N
178922	605	1997-06-12	PRIJEM	VKLAD	15473	41927	\N	\N	\N
178923	605	1997-07-12	PRIJEM	VKLAD	10315	35502	\N	\N	\N
178924	605	1997-08-12	PRIJEM	VKLAD	10315	28396	\N	\N	\N
178925	605	1997-09-12	PRIJEM	VKLAD	10315	25581	\N	\N	\N
178926	605	1997-10-12	PRIJEM	VKLAD	10315	29088	\N	\N	\N
178927	605	1997-11-12	PRIJEM	VKLAD	10315	23899	\N	\N	\N
178928	605	1997-12-12	PRIJEM	VKLAD	15473	27821	\N	\N	\N
178929	605	1998-01-12	PRIJEM	VKLAD	10315	25926	\N	\N	\N
178930	605	1998-02-12	PRIJEM	VKLAD	10315	23940	\N	\N	\N
178931	605	1998-03-12	PRIJEM	VKLAD	10315	22628	\N	\N	\N
178932	605	1998-04-12	PRIJEM	VKLAD	10315	23826	\N	\N	\N
178933	605	1998-05-12	PRIJEM	VKLAD	10315	21914	\N	\N	\N
178934	605	1998-06-12	PRIJEM	VKLAD	15473	28952	\N	\N	\N
178935	605	1998-07-12	PRIJEM	VKLAD	10315	22668	\N	\N	\N
178936	605	1998-08-12	PRIJEM	VKLAD	10315	21750	\N	\N	\N
178937	605	1998-09-12	PRIJEM	VKLAD	10315	25230	\N	\N	\N
178938	605	1998-10-12	PRIJEM	VKLAD	10315	28724	\N	\N	\N
178939	605	1998-11-12	PRIJEM	VKLAD	10315	23584	\N	\N	\N
178940	605	1998-12-12	PRIJEM	VKLAD	15473	32229	\N	\N	\N
178946	605	1997-06-14	VYDAJ	PREVOD NA UCET	6876	35051	SIPO	CD	93390070
178947	605	1997-07-14	VYDAJ	PREVOD NA UCET	6876	28626	SIPO	CD	93390070
178948	605	1997-08-14	VYDAJ	PREVOD NA UCET	6876	21520	SIPO	CD	93390070
178949	605	1997-09-14	VYDAJ	PREVOD NA UCET	6876	18705	SIPO	CD	93390070
178950	605	1997-10-14	VYDAJ	PREVOD NA UCET	6876	22212	SIPO	CD	93390070
178951	605	1997-11-14	VYDAJ	PREVOD NA UCET	6876	17023	SIPO	CD	93390070
178952	605	1997-12-14	VYDAJ	PREVOD NA UCET	6876	20945	SIPO	CD	93390070
178953	605	1998-01-14	VYDAJ	PREVOD NA UCET	6876	17970	SIPO	CD	93390070
178954	605	1998-02-14	VYDAJ	PREVOD NA UCET	6876	17064	SIPO	CD	93390070
178955	605	1998-03-14	VYDAJ	PREVOD NA UCET	6876	15752	SIPO	CD	93390070
178956	605	1998-04-14	VYDAJ	PREVOD NA UCET	6876	16950	SIPO	CD	93390070
178957	605	1998-05-14	VYDAJ	PREVOD NA UCET	6876	15038	SIPO	CD	93390070
178958	605	1998-06-14	VYDAJ	PREVOD NA UCET	6876	22076	SIPO	CD	93390070
178959	605	1998-07-14	VYDAJ	PREVOD NA UCET	6876	15792	SIPO	CD	93390070
178960	605	1998-08-14	VYDAJ	PREVOD NA UCET	6876	14874	SIPO	CD	93390070
178961	605	1998-09-14	VYDAJ	PREVOD NA UCET	6876	18354	SIPO	CD	93390070
178962	605	1998-10-14	VYDAJ	PREVOD NA UCET	6876	21848	SIPO	CD	93390070
178963	605	1998-11-14	VYDAJ	PREVOD NA UCET	6876	16708	SIPO	CD	93390070
178964	605	1998-12-14	VYDAJ	PREVOD NA UCET	6876	25353	SIPO	CD	93390070
178968	605	1998-01-19	VYDAJ	VYBER	2240	13570	\N	\N	\N
178977	605	1998-01-03	VYDAJ	VYBER	2520	18491	\N	\N	\N
178979	605	1998-01-09	VYDAJ	VYBER	840	15611	\N	\N	\N
178980	605	1998-01-13	VYDAJ	VYBER	1080	24846	\N	\N	\N
178981	605	1998-01-17	VYDAJ	VYBER	2160	15810	\N	\N	\N
178982	605	1998-01-07	VYDAJ	VYBER	2040	16451	\N	\N	\N
178985	605	1997-11-29	VYDAJ	VYBER	2040	14983	\N	\N	\N
178986	605	1997-07-26	VYDAJ	VYBER	960	27666	\N	\N	\N
178988	605	1997-09-10	VYDAJ	VYBER	1440	15266	\N	\N	\N
178989	605	1998-10-15	VYDAJ	VYBER	1320	20528	\N	\N	\N
178990	605	1998-02-14	VYDAJ	VYBER	4800	12264	\N	\N	\N
178991	605	1998-06-15	VYDAJ	VYBER	1080	20996	\N	\N	\N
178992	605	1998-10-15	VYDAJ	VYBER	720	19808	\N	\N	\N
178994	605	1998-03-14	VYDAJ	VYBER	2280	13472	\N	\N	\N
179001	605	1997-06-30	VYDAJ	VYBER	15	35187	SLUZBY	\N	\N
179002	605	1997-07-31	VYDAJ	VYBER	15	27781	SLUZBY	\N	\N
179003	605	1997-08-31	VYDAJ	VYBER	15	21606	SLUZBY	\N	\N
179004	605	1997-09-30	VYDAJ	VYBER	15	18773	SLUZBY	\N	\N
179005	605	1997-10-31	VYDAJ	VYBER	15	22284	SLUZBY	\N	\N
179006	605	1997-11-30	VYDAJ	VYBER	15	15049	SLUZBY	\N	\N
179007	605	1997-12-31	VYDAJ	VYBER	15	21011	SLUZBY	\N	\N
179008	605	1998-01-31	VYDAJ	VYBER	15	13625	SLUZBY	\N	\N
179009	605	1998-02-28	VYDAJ	VYBER	15	12313	SLUZBY	\N	\N
179010	605	1998-03-31	VYDAJ	VYBER	15	13511	SLUZBY	\N	\N
179011	605	1998-04-30	VYDAJ	VYBER	15	11599	SLUZBY	\N	\N
179012	605	1998-05-31	VYDAJ	VYBER	15	13480	SLUZBY	\N	\N
179013	605	1998-06-30	VYDAJ	VYBER	15	12353	SLUZBY	\N	\N
179014	605	1998-07-31	VYDAJ	VYBER	15	11435	SLUZBY	\N	\N
179015	605	1998-08-31	VYDAJ	VYBER	15	14915	SLUZBY	\N	\N
179016	605	1998-09-30	VYDAJ	VYBER	15	18409	SLUZBY	\N	\N
179017	605	1998-10-31	VYDAJ	VYBER	15	13269	SLUZBY	\N	\N
179018	605	1998-11-30	VYDAJ	VYBER	15	16757	SLUZBY	\N	\N
179019	605	1997-03-06	PRIJEM	VKLAD	5900	16843	\N	\N	\N
179020	605	1997-04-05	VYDAJ	VYBER	4200	23047	\N	\N	\N
179021	605	1997-05-05	VYDAJ	VYBER	7100	26391	\N	\N	\N
179022	605	1997-06-04	VYDAJ	VYBER	10400	26454	\N	\N	\N
179023	605	1997-07-04	VYDAJ	VYBER	10000	25187	\N	\N	\N
179024	605	1997-08-03	VYDAJ	VYBER	9700	18081	\N	\N	\N
179025	605	1997-09-02	VYDAJ	VYBER	4900	16706	\N	\N	\N
179026	605	1997-11-01	VYDAJ	VYBER	8700	13584	\N	\N	\N
179027	605	1997-12-01	VYDAJ	VYBER	2700	12349	\N	\N	\N
179028	605	1998-04-30	VYDAJ	VYBER	5400	11614	\N	\N	\N
179029	605	1998-05-30	VYDAJ	VYBER	1600	13438	\N	\N	\N
179030	605	1998-06-29	VYDAJ	VYBER	8700	12296	\N	\N	\N
179031	605	1998-07-29	VYDAJ	VYBER	4400	11392	\N	\N	\N
179032	605	1998-10-27	VYDAJ	VYBER	6600	13208	\N	\N	\N
179056	606	1997-11-04	PRIJEM	VKLAD	600	600	\N	\N	\N
179067	606	1997-11-06	PRIJEM	VKLAD	23024	23624	\N	\N	\N
179068	606	1997-12-06	PRIJEM	VKLAD	34536	59642	\N	\N	\N
179069	606	1998-01-06	PRIJEM	VKLAD	23024	66490	\N	\N	\N
179070	606	1998-02-06	PRIJEM	VKLAD	23024	67287	\N	\N	\N
179071	606	1998-03-06	PRIJEM	VKLAD	23024	68591	\N	\N	\N
179072	606	1998-04-06	PRIJEM	VKLAD	23024	63748	\N	\N	\N
179073	606	1998-05-06	PRIJEM	VKLAD	23024	57283	\N	\N	\N
179074	606	1998-06-06	PRIJEM	VKLAD	34536	68005	\N	\N	\N
179075	606	1998-07-06	PRIJEM	VKLAD	23024	58232	\N	\N	\N
179076	606	1998-08-06	PRIJEM	VKLAD	23024	60837	\N	\N	\N
179077	606	1998-09-06	PRIJEM	VKLAD	23024	60655	\N	\N	\N
179078	606	1998-10-06	PRIJEM	VKLAD	23024	59375	\N	\N	\N
179079	606	1998-11-06	PRIJEM	VKLAD	23024	63386	\N	\N	\N
179080	606	1998-12-06	PRIJEM	VKLAD	34536	79309	\N	\N	\N
179095	606	1998-03-08	VYDAJ	PREVOD NA UCET	7140	61451	SIPO	EF	87049013
179096	606	1998-04-08	VYDAJ	PREVOD NA UCET	7140	56608	SIPO	EF	87049013
179097	606	1998-05-08	VYDAJ	PREVOD NA UCET	7140	50143	SIPO	EF	87049013
179098	606	1998-06-08	VYDAJ	PREVOD NA UCET	7140	60865	SIPO	EF	87049013
179099	606	1998-07-08	VYDAJ	PREVOD NA UCET	7140	51092	SIPO	EF	87049013
179100	606	1998-08-08	VYDAJ	PREVOD NA UCET	7140	53697	SIPO	EF	87049013
179101	606	1998-09-08	VYDAJ	PREVOD NA UCET	7140	53515	SIPO	EF	87049013
179102	606	1998-10-08	VYDAJ	PREVOD NA UCET	7140	52235	SIPO	EF	87049013
179103	606	1998-11-08	VYDAJ	PREVOD NA UCET	7140	56246	SIPO	EF	87049013
179104	606	1998-12-08	VYDAJ	PREVOD NA UCET	7140	72169	SIPO	EF	87049013
179119	606	1998-03-09	VYDAJ	PREVOD NA UCET	1071	60380	 	GH	57793295
179120	606	1998-04-09	VYDAJ	PREVOD NA UCET	1071	55537	 	GH	57793295
179121	606	1998-05-09	VYDAJ	PREVOD NA UCET	1071	49072	 	GH	57793295
179122	606	1998-06-09	VYDAJ	PREVOD NA UCET	1071	59794	 	GH	57793295
179123	606	1998-07-09	VYDAJ	PREVOD NA UCET	1071	50021	 	GH	57793295
179124	606	1998-08-09	VYDAJ	PREVOD NA UCET	1071	52626	 	GH	57793295
179125	606	1998-09-09	VYDAJ	PREVOD NA UCET	1071	52444	 	GH	57793295
179126	606	1998-10-09	VYDAJ	PREVOD NA UCET	1071	51164	 	GH	57793295
179127	606	1998-11-09	VYDAJ	PREVOD NA UCET	1071	55175	 	GH	57793295
179128	606	1998-12-09	VYDAJ	PREVOD NA UCET	1071	71098	 	GH	57793295
179130	606	1998-06-24	VYDAJ	VYBER	16200	43594	\N	\N	\N
179134	606	1998-12-04	VYDAJ	VYBER	1400	44773	\N	\N	\N
179149	606	1998-09-02	VYDAJ	VYBER	1700	37631	\N	\N	\N
179151	606	1998-10-01	VYDAJ	VYBER	4800	36351	\N	\N	\N
179167	606	1998-03-31	VYDAJ	VYBER	15	60624	SLUZBY	\N	\N
179168	606	1998-04-30	VYDAJ	VYBER	15	55759	SLUZBY	\N	\N
179169	606	1998-05-31	VYDAJ	VYBER	15	49269	SLUZBY	\N	\N
179170	606	1998-06-30	VYDAJ	VYBER	15	43808	SLUZBY	\N	\N
179171	606	1998-07-31	VYDAJ	VYBER	15	50213	SLUZBY	\N	\N
179172	606	1998-08-31	VYDAJ	VYBER	15	52831	SLUZBY	\N	\N
179173	606	1998-09-30	VYDAJ	VYBER	15	52651	SLUZBY	\N	\N
179174	606	1998-10-31	VYDAJ	VYBER	15	40362	SLUZBY	\N	\N
179175	606	1998-11-30	VYDAJ	VYBER	15	46173	SLUZBY	\N	\N
179176	606	1997-12-04	PRIJEM	VKLAD	1400	25106	\N	\N	\N
179177	606	1998-01-03	VYDAJ	VYBER	16400	43466	\N	\N	\N
179178	606	1998-02-02	VYDAJ	VYBER	22500	44263	\N	\N	\N
179179	606	1998-03-04	VYDAJ	VYBER	22000	45567	\N	\N	\N
179180	606	1998-04-03	VYDAJ	VYBER	19900	40724	\N	\N	\N
179181	606	1998-05-03	VYDAJ	VYBER	21500	34259	\N	\N	\N
179182	606	1998-06-02	VYDAJ	VYBER	15800	33469	\N	\N	\N
179183	606	1998-07-02	VYDAJ	VYBER	8600	35208	\N	\N	\N
179184	606	1998-08-01	VYDAJ	VYBER	12400	37813	\N	\N	\N
179185	606	1998-08-31	VYDAJ	VYBER	13500	39331	\N	\N	\N
179186	606	1998-09-30	VYDAJ	VYBER	11500	41151	\N	\N	\N
179187	606	1998-10-30	VYDAJ	VYBER	11000	40164	\N	\N	\N
179188	606	1998-11-29	VYDAJ	VYBER	9200	45975	\N	\N	\N
179203	607	1995-02-17	PRIJEM	VKLAD	600	600	\N	\N	\N
179206	607	1995-03-14	PRIJEM	PREVOD Z UCTU	3124	3724	\N	AB	22049731
179207	607	1995-04-14	PRIJEM	PREVOD Z UCTU	3124	6848	\N	AB	22049731
179208	607	1995-05-14	PRIJEM	PREVOD Z UCTU	3124	9972	\N	AB	22049731
179209	607	1995-06-14	PRIJEM	PREVOD Z UCTU	3124	13096	\N	AB	22049731
179210	607	1995-07-14	PRIJEM	PREVOD Z UCTU	3124	16220	\N	AB	22049731
179211	607	1995-08-14	PRIJEM	PREVOD Z UCTU	3124	15990	\N	AB	22049731
179212	607	1995-09-14	PRIJEM	PREVOD Z UCTU	3124	17080	\N	AB	22049731
179213	607	1995-10-14	PRIJEM	PREVOD Z UCTU	3124	18177	\N	AB	22049731
179214	607	1995-11-14	PRIJEM	PREVOD Z UCTU	3124	19278	\N	AB	22049731
179215	607	1995-12-14	PRIJEM	PREVOD Z UCTU	3124	20384	\N	AB	22049731
179216	607	1996-01-14	PRIJEM	PREVOD Z UCTU	3124	19064	\N	AB	22049731
179217	607	1996-02-14	PRIJEM	PREVOD Z UCTU	3124	17856	\N	AB	22049731
179218	607	1996-03-14	PRIJEM	PREVOD Z UCTU	3124	18956	\N	AB	22049731
179219	607	1996-04-14	PRIJEM	PREVOD Z UCTU	3124	20060	\N	AB	22049731
179220	607	1996-05-14	PRIJEM	PREVOD Z UCTU	3124	20629	\N	AB	22049731
179221	607	1996-06-14	PRIJEM	PREVOD Z UCTU	3124	19371	\N	AB	22049731
179222	607	1996-07-14	PRIJEM	PREVOD Z UCTU	3124	19519	\N	AB	22049731
179223	607	1996-08-14	PRIJEM	PREVOD Z UCTU	3124	20627	\N	AB	22049731
179224	607	1996-09-14	PRIJEM	PREVOD Z UCTU	3124	21077	\N	AB	22049731
179225	607	1996-10-14	PRIJEM	PREVOD Z UCTU	3124	22191	\N	AB	22049731
179226	607	1996-11-14	PRIJEM	PREVOD Z UCTU	3124	23308	\N	AB	22049731
179227	607	1996-12-14	PRIJEM	PREVOD Z UCTU	3124	20831	\N	AB	22049731
179228	607	1997-01-14	PRIJEM	PREVOD Z UCTU	3124	21434	\N	AB	22049731
179229	607	1997-02-14	PRIJEM	PREVOD Z UCTU	3124	16512	\N	AB	22049731
179230	607	1997-03-14	PRIJEM	PREVOD Z UCTU	3124	16806	\N	AB	22049731
179231	607	1997-04-14	PRIJEM	PREVOD Z UCTU	3124	15568	\N	AB	22049731
179232	607	1997-05-14	PRIJEM	PREVOD Z UCTU	3124	16657	\N	AB	22049731
179233	607	1997-06-14	PRIJEM	PREVOD Z UCTU	3124	17751	\N	AB	22049731
179234	607	1997-07-14	PRIJEM	PREVOD Z UCTU	3124	16451	\N	AB	22049731
179235	607	1997-08-14	PRIJEM	PREVOD Z UCTU	3124	15844	\N	AB	22049731
179236	607	1997-09-14	PRIJEM	PREVOD Z UCTU	3124	14034	\N	AB	22049731
179237	607	1997-10-14	PRIJEM	PREVOD Z UCTU	3124	15117	\N	AB	22049731
179238	607	1997-11-14	PRIJEM	PREVOD Z UCTU	3124	14705	\N	AB	22049731
179239	607	1997-12-14	PRIJEM	PREVOD Z UCTU	3124	14859	\N	AB	22049731
179240	607	1998-01-14	PRIJEM	PREVOD Z UCTU	3124	15014	\N	AB	22049731
179241	607	1998-02-14	PRIJEM	PREVOD Z UCTU	3124	13278	\N	AB	22049731
179242	607	1998-03-14	PRIJEM	PREVOD Z UCTU	3124	14358	\N	AB	22049731
179243	607	1998-04-14	PRIJEM	PREVOD Z UCTU	3124	15442	\N	AB	22049731
179244	607	1998-05-14	PRIJEM	PREVOD Z UCTU	3124	16532	\N	AB	22049731
179245	607	1998-06-14	PRIJEM	PREVOD Z UCTU	3124	14843	\N	AB	22049731
179246	607	1998-07-14	PRIJEM	PREVOD Z UCTU	3124	15928	\N	AB	22049731
179247	607	1998-08-14	PRIJEM	PREVOD Z UCTU	3124	17020	\N	AB	22049731
179248	607	1998-09-14	PRIJEM	PREVOD Z UCTU	3124	18115	\N	AB	22049731
179249	607	1998-10-14	PRIJEM	PREVOD Z UCTU	3124	19215	\N	AB	22049731
179250	607	1998-11-14	PRIJEM	PREVOD Z UCTU	3124	13618	\N	AB	22049731
179251	607	1998-12-14	PRIJEM	PREVOD Z UCTU	3124	14699	\N	AB	22049731
179259	607	1995-08-06	VYDAJ	PREVOD NA UCET	2082	12866	SIPO	KL	5990779
179260	607	1995-09-06	VYDAJ	PREVOD NA UCET	2082	13956	SIPO	KL	5990779
179261	607	1995-10-06	VYDAJ	PREVOD NA UCET	2082	15053	SIPO	KL	5990779
179262	607	1995-11-06	VYDAJ	PREVOD NA UCET	2082	16154	SIPO	KL	5990779
179263	607	1995-12-06	VYDAJ	PREVOD NA UCET	2082	17260	SIPO	KL	5990779
179264	607	1996-01-06	VYDAJ	PREVOD NA UCET	2082	17200	SIPO	KL	5990779
179265	607	1996-02-06	VYDAJ	PREVOD NA UCET	2082	14732	SIPO	KL	5990779
179266	607	1996-03-06	VYDAJ	PREVOD NA UCET	2082	15832	SIPO	KL	5990779
179267	607	1996-04-06	VYDAJ	PREVOD NA UCET	2082	16936	SIPO	KL	5990779
179268	607	1996-05-06	VYDAJ	PREVOD NA UCET	2082	17505	SIPO	KL	5990779
179269	607	1996-06-06	VYDAJ	PREVOD NA UCET	2082	18617	SIPO	KL	5990779
179270	607	1996-07-06	VYDAJ	PREVOD NA UCET	2082	17355	SIPO	KL	5990779
179271	607	1996-08-06	VYDAJ	PREVOD NA UCET	2082	17503	SIPO	KL	5990779
179272	607	1996-09-06	VYDAJ	PREVOD NA UCET	2082	17953	SIPO	KL	5990779
179273	607	1996-10-06	VYDAJ	PREVOD NA UCET	2082	19067	SIPO	KL	5990779
179274	607	1996-11-06	VYDAJ	PREVOD NA UCET	2082	20184	SIPO	KL	5990779
179275	607	1996-12-06	VYDAJ	PREVOD NA UCET	2082	21307	SIPO	KL	5990779
179276	607	1997-01-06	VYDAJ	PREVOD NA UCET	2082	18310	SIPO	KL	5990779
179277	607	1997-02-06	VYDAJ	PREVOD NA UCET	2082	13388	SIPO	KL	5990779
179278	607	1997-03-06	VYDAJ	PREVOD NA UCET	2082	14482	SIPO	KL	5990779
179279	607	1997-04-06	VYDAJ	PREVOD NA UCET	2082	12944	SIPO	KL	5990779
179280	607	1997-05-06	VYDAJ	PREVOD NA UCET	2082	13533	SIPO	KL	5990779
179281	607	1997-06-06	VYDAJ	PREVOD NA UCET	2082	14627	SIPO	KL	5990779
179282	607	1997-07-06	VYDAJ	PREVOD NA UCET	2082	13327	SIPO	KL	5990779
179283	607	1997-08-06	VYDAJ	PREVOD NA UCET	2082	12720	SIPO	KL	5990779
179284	607	1997-09-06	VYDAJ	PREVOD NA UCET	2082	10910	SIPO	KL	5990779
179285	607	1997-10-06	VYDAJ	PREVOD NA UCET	2082	11993	SIPO	KL	5990779
179286	607	1997-11-06	VYDAJ	PREVOD NA UCET	2082	11581	SIPO	KL	5990779
179287	607	1997-12-06	VYDAJ	PREVOD NA UCET	2082	11735	SIPO	KL	5990779
179288	607	1998-01-06	VYDAJ	PREVOD NA UCET	2082	11890	SIPO	KL	5990779
179289	607	1998-02-06	VYDAJ	PREVOD NA UCET	2082	10154	SIPO	KL	5990779
179290	607	1998-03-06	VYDAJ	PREVOD NA UCET	2082	11234	SIPO	KL	5990779
179291	607	1998-04-06	VYDAJ	PREVOD NA UCET	2082	12318	SIPO	KL	5990779
179292	607	1998-05-06	VYDAJ	PREVOD NA UCET	2082	13408	SIPO	KL	5990779
179293	607	1998-06-06	VYDAJ	PREVOD NA UCET	2082	11719	SIPO	KL	5990779
179294	607	1998-07-06	VYDAJ	PREVOD NA UCET	2082	12804	SIPO	KL	5990779
179295	607	1998-08-06	VYDAJ	PREVOD NA UCET	2082	13896	SIPO	KL	5990779
179296	607	1998-09-06	VYDAJ	PREVOD NA UCET	2082	14991	SIPO	KL	5990779
179297	607	1998-10-06	VYDAJ	PREVOD NA UCET	2082	16091	SIPO	KL	5990779
179298	607	1998-11-06	VYDAJ	PREVOD NA UCET	2082	10494	SIPO	KL	5990779
179299	607	1998-12-06	VYDAJ	PREVOD NA UCET	2082	11575	SIPO	KL	5990779
179301	607	1996-06-10	VYDAJ	VYBER	2370	16247	\N	\N	\N
179305	607	1996-01-19	VYDAJ	VYBER	1470	17594	\N	\N	\N
179306	607	1997-01-27	VYDAJ	VYBER	2010	16664	\N	\N	\N
179308	607	1995-12-22	VYDAJ	VYBER	240	20144	\N	\N	\N
179309	607	1996-12-15	VYDAJ	VYBER	510	20321	\N	\N	\N
179310	607	1997-12-03	VYDAJ	VYBER	420	13817	\N	\N	\N
179318	607	1996-01-01	VYDAJ	VYBER	420	19792	\N	\N	\N
179319	607	1996-01-13	VYDAJ	VYBER	570	15940	\N	\N	\N
179320	607	1996-01-09	VYDAJ	VYBER	420	16510	\N	\N	\N
179321	607	1996-01-29	VYDAJ	VYBER	840	16754	\N	\N	\N
179322	607	1996-01-08	VYDAJ	VYBER	270	16930	\N	\N	\N
179323	607	1996-01-02	VYDAJ	VYBER	510	19282	\N	\N	\N
179324	607	1997-01-28	VYDAJ	VYBER	570	16094	\N	\N	\N
179325	607	1997-01-18	VYDAJ	VYBER	720	20054	\N	\N	\N
179326	607	1997-01-16	VYDAJ	VYBER	330	21104	\N	\N	\N
179327	607	1997-01-28	VYDAJ	VYBER	690	15404	\N	\N	\N
179328	607	1997-01-27	VYDAJ	VYBER	180	18674	\N	\N	\N
179329	607	1997-01-17	VYDAJ	VYBER	330	20774	\N	\N	\N
179331	607	1998-01-02	VYDAJ	VYBER	150	13972	\N	\N	\N
179332	607	1998-01-23	VYDAJ	VYBER	240	14294	\N	\N	\N
179334	607	1998-01-17	VYDAJ	VYBER	480	14534	\N	\N	\N
179336	607	1995-08-02	VYDAJ	VYBER	1260	14948	\N	\N	\N
179342	607	1996-08-19	VYDAJ	VYBER	660	19967	\N	\N	\N
179343	607	1996-04-14	VYDAJ	VYBER	540	19520	\N	\N	\N
179344	607	1996-07-13	VYDAJ	VYBER	960	16395	\N	\N	\N
179345	607	1997-11-17	VYDAJ	VYBER	510	14195	\N	\N	\N
179346	607	1997-01-22	VYDAJ	VYBER	1200	18854	\N	\N	\N
179347	607	1997-12-30	VYDAJ	VYBER	780	14079	\N	\N	\N
179348	607	1997-03-17	VYDAJ	VYBER	1200	15606	\N	\N	\N
179349	607	1997-03-31	VYDAJ	VYBER	630	15041	\N	\N	\N
179352	607	1998-05-19	VYDAJ	VYBER	1380	15152	\N	\N	\N
179361	607	1995-07-31	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
179362	607	1995-08-31	VYDAJ	VYBER	15	16038	SLUZBY	\N	\N
179363	607	1995-09-30	VYDAJ	VYBER	15	17135	SLUZBY	\N	\N
179364	607	1995-10-31	VYDAJ	VYBER	15	18236	SLUZBY	\N	\N
179365	607	1995-11-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
179366	607	1995-12-31	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
179367	607	1996-01-31	VYDAJ	VYBER	15	16814	SLUZBY	\N	\N
179368	607	1996-02-29	VYDAJ	VYBER	15	17914	SLUZBY	\N	\N
179369	607	1996-03-31	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
179370	607	1996-04-30	VYDAJ	VYBER	15	19587	SLUZBY	\N	\N
179371	607	1996-05-31	VYDAJ	VYBER	15	20699	SLUZBY	\N	\N
179372	607	1996-06-30	VYDAJ	VYBER	15	19437	SLUZBY	\N	\N
179373	607	1996-07-31	VYDAJ	VYBER	15	19585	SLUZBY	\N	\N
179374	607	1996-08-31	VYDAJ	VYBER	15	20035	SLUZBY	\N	\N
179375	607	1996-09-30	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
179376	607	1996-10-31	VYDAJ	VYBER	15	22266	SLUZBY	\N	\N
179377	607	1996-11-30	VYDAJ	VYBER	15	23389	SLUZBY	\N	\N
179378	607	1996-12-31	VYDAJ	VYBER	15	20392	SLUZBY	\N	\N
179379	607	1997-01-31	VYDAJ	VYBER	15	15470	SLUZBY	\N	\N
179380	607	1997-02-28	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
179381	607	1997-03-31	VYDAJ	VYBER	15	15026	SLUZBY	\N	\N
179382	607	1997-04-30	VYDAJ	VYBER	15	15615	SLUZBY	\N	\N
179383	607	1997-05-31	VYDAJ	VYBER	15	16709	SLUZBY	\N	\N
179384	607	1997-06-30	VYDAJ	VYBER	15	17809	SLUZBY	\N	\N
179385	607	1997-07-31	VYDAJ	VYBER	15	16502	SLUZBY	\N	\N
179386	607	1997-08-31	VYDAJ	VYBER	15	15892	SLUZBY	\N	\N
179387	607	1997-09-30	VYDAJ	VYBER	15	14075	SLUZBY	\N	\N
179388	607	1997-10-31	VYDAJ	VYBER	15	15163	SLUZBY	\N	\N
179389	607	1997-11-30	VYDAJ	VYBER	15	14237	SLUZBY	\N	\N
179390	607	1997-12-31	VYDAJ	VYBER	15	14122	SLUZBY	\N	\N
179391	607	1998-01-31	VYDAJ	VYBER	15	14336	SLUZBY	\N	\N
179392	607	1998-02-28	VYDAJ	VYBER	15	13316	SLUZBY	\N	\N
179393	607	1998-03-31	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
179394	607	1998-04-30	VYDAJ	VYBER	15	15490	SLUZBY	\N	\N
179395	607	1998-05-31	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
179396	607	1998-06-30	VYDAJ	VYBER	15	14886	SLUZBY	\N	\N
179397	607	1998-07-31	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
179398	607	1998-08-31	VYDAJ	VYBER	15	17073	SLUZBY	\N	\N
179399	607	1998-09-30	VYDAJ	VYBER	15	18173	SLUZBY	\N	\N
179400	607	1998-10-31	VYDAJ	VYBER	15	12576	SLUZBY	\N	\N
179401	607	1998-11-30	VYDAJ	VYBER	15	13657	SLUZBY	\N	\N
179402	607	1996-12-08	VYDAJ	VYBER	3600	17707	\N	\N	\N
179403	607	1997-03-08	VYDAJ	VYBER	800	13682	\N	\N	\N
179404	607	1997-04-07	VYDAJ	VYBER	500	12444	\N	\N	\N
179405	607	1997-07-06	VYDAJ	VYBER	2400	15409	\N	\N	\N
179406	607	1997-08-05	VYDAJ	VYBER	1700	14802	\N	\N	\N
179407	607	1997-09-04	VYDAJ	VYBER	2900	12992	\N	\N	\N
179408	607	1997-11-03	VYDAJ	VYBER	1500	13663	\N	\N	\N
179409	607	1998-02-01	VYDAJ	VYBER	2100	12236	\N	\N	\N
179410	607	1998-06-01	VYDAJ	VYBER	1400	13801	\N	\N	\N
179411	607	1998-10-29	VYDAJ	VYBER	6700	12515	\N	\N	\N
179454	608	1995-03-27	PRIJEM	VKLAD	600	600	\N	\N	\N
179458	608	1995-04-09	PRIJEM	PREVOD Z UCTU	4635	5235	DUCHOD	CD	16408968
179459	608	1995-05-09	PRIJEM	PREVOD Z UCTU	4635	9870	DUCHOD	CD	16408968
179460	608	1995-06-09	PRIJEM	PREVOD Z UCTU	4635	14505	DUCHOD	CD	16408968
179461	608	1995-07-09	PRIJEM	PREVOD Z UCTU	4635	19140	DUCHOD	CD	16408968
179462	608	1995-08-09	PRIJEM	PREVOD Z UCTU	4635	23775	DUCHOD	CD	16408968
179463	608	1995-09-09	PRIJEM	PREVOD Z UCTU	4635	25504	DUCHOD	CD	16408968
179464	608	1995-10-09	PRIJEM	PREVOD Z UCTU	4635	26733	DUCHOD	CD	16408968
179465	608	1995-11-09	PRIJEM	PREVOD Z UCTU	4635	25864	DUCHOD	CD	16408968
179466	608	1995-12-09	PRIJEM	PREVOD Z UCTU	4635	23306	DUCHOD	CD	16408968
179467	608	1996-01-09	PRIJEM	PREVOD Z UCTU	4635	21365	DUCHOD	CD	16408968
179468	608	1996-02-09	PRIJEM	PREVOD Z UCTU	4635	18361	DUCHOD	CD	16408968
179469	608	1996-03-09	PRIJEM	PREVOD Z UCTU	4635	19281	DUCHOD	CD	16408968
179470	608	1996-04-09	PRIJEM	PREVOD Z UCTU	4635	21084	DUCHOD	CD	16408968
179471	608	1996-05-09	PRIJEM	PREVOD Z UCTU	4635	22895	DUCHOD	CD	16408968
179472	608	1996-06-09	PRIJEM	PREVOD Z UCTU	4635	24614	DUCHOD	CD	16408968
179473	608	1996-07-09	PRIJEM	PREVOD Z UCTU	4635	23435	DUCHOD	CD	16408968
179474	608	1996-08-09	PRIJEM	PREVOD Z UCTU	4635	20751	DUCHOD	CD	16408968
179475	608	1996-09-09	PRIJEM	PREVOD Z UCTU	4635	21258	DUCHOD	CD	16408968
179476	608	1996-10-09	PRIJEM	PREVOD Z UCTU	4635	20907	DUCHOD	CD	16408968
179477	608	1996-11-09	PRIJEM	PREVOD Z UCTU	4635	19113	DUCHOD	CD	16408968
179478	608	1996-12-09	PRIJEM	PREVOD Z UCTU	4635	20315	DUCHOD	CD	16408968
179479	608	1997-01-09	PRIJEM	PREVOD Z UCTU	4635	15319	DUCHOD	CD	16408968
179480	608	1997-02-09	PRIJEM	PREVOD Z UCTU	4635	15422	DUCHOD	CD	16408968
179481	608	1997-03-09	PRIJEM	PREVOD Z UCTU	4635	12900	DUCHOD	CD	16408968
179482	608	1997-04-09	PRIJEM	PREVOD Z UCTU	4635	14075	DUCHOD	CD	16408968
179483	608	1997-05-09	PRIJEM	PREVOD Z UCTU	4635	15857	DUCHOD	CD	16408968
179484	608	1997-06-09	PRIJEM	PREVOD Z UCTU	4635	14239	DUCHOD	CD	16408968
179485	608	1997-07-09	PRIJEM	PREVOD Z UCTU	4635	16021	DUCHOD	CD	16408968
179486	608	1997-08-09	PRIJEM	PREVOD Z UCTU	4635	14704	DUCHOD	CD	16408968
179487	608	1997-09-09	PRIJEM	PREVOD Z UCTU	4635	16488	DUCHOD	CD	16408968
179488	608	1997-10-09	PRIJEM	PREVOD Z UCTU	4635	17799	DUCHOD	CD	16408968
179489	608	1997-11-09	PRIJEM	PREVOD Z UCTU	4635	19597	DUCHOD	CD	16408968
179490	608	1997-12-09	PRIJEM	PREVOD Z UCTU	4635	21401	DUCHOD	CD	16408968
179491	608	1998-01-09	PRIJEM	PREVOD Z UCTU	4635	16783	DUCHOD	CD	16408968
179492	608	1998-02-09	PRIJEM	PREVOD Z UCTU	4635	16813	DUCHOD	CD	16408968
179493	608	1998-03-09	PRIJEM	PREVOD Z UCTU	4635	16280	DUCHOD	CD	16408968
179494	608	1998-04-09	PRIJEM	PREVOD Z UCTU	4635	18071	DUCHOD	CD	16408968
179495	608	1998-05-09	PRIJEM	PREVOD Z UCTU	4635	13751	DUCHOD	CD	16408968
179496	608	1998-06-09	PRIJEM	PREVOD Z UCTU	4635	15531	DUCHOD	CD	16408968
179497	608	1998-07-09	PRIJEM	PREVOD Z UCTU	4635	17319	DUCHOD	CD	16408968
179498	608	1998-08-09	PRIJEM	PREVOD Z UCTU	4635	19114	DUCHOD	CD	16408968
179499	608	1998-09-09	PRIJEM	PREVOD Z UCTU	4635	18756	DUCHOD	CD	16408968
179500	608	1998-10-09	PRIJEM	PREVOD Z UCTU	4635	20556	DUCHOD	CD	16408968
179501	608	1998-11-09	PRIJEM	PREVOD Z UCTU	4635	22365	DUCHOD	CD	16408968
179502	608	1998-12-09	PRIJEM	PREVOD Z UCTU	4635	24181	DUCHOD	CD	16408968
179511	608	1995-09-05	VYDAJ	PREVOD NA UCET	2895	20869	SIPO	AB	57903474
179512	608	1995-10-05	VYDAJ	PREVOD NA UCET	2895	22098	SIPO	AB	57903474
179513	608	1995-11-05	VYDAJ	PREVOD NA UCET	2895	21229	SIPO	AB	57903474
179514	608	1995-12-05	VYDAJ	PREVOD NA UCET	2895	18671	SIPO	AB	57903474
179515	608	1996-01-05	VYDAJ	PREVOD NA UCET	2895	17530	SIPO	AB	57903474
179516	608	1996-02-05	VYDAJ	PREVOD NA UCET	2895	13726	SIPO	AB	57903474
179517	608	1996-03-05	VYDAJ	PREVOD NA UCET	2895	14646	SIPO	AB	57903474
179518	608	1996-04-05	VYDAJ	PREVOD NA UCET	2895	16449	SIPO	AB	57903474
179519	608	1996-05-05	VYDAJ	PREVOD NA UCET	2895	18260	SIPO	AB	57903474
179520	608	1996-06-05	VYDAJ	PREVOD NA UCET	2895	19979	SIPO	AB	57903474
179521	608	1996-07-05	VYDAJ	PREVOD NA UCET	2895	18800	SIPO	AB	57903474
179522	608	1996-08-05	VYDAJ	PREVOD NA UCET	2895	17716	SIPO	AB	57903474
179523	608	1996-09-05	VYDAJ	PREVOD NA UCET	2895	16623	SIPO	AB	57903474
179524	608	1996-10-05	VYDAJ	PREVOD NA UCET	2895	16272	SIPO	AB	57903474
179525	608	1996-11-05	VYDAJ	PREVOD NA UCET	2895	14478	SIPO	AB	57903474
179526	608	1996-12-05	VYDAJ	PREVOD NA UCET	2895	15680	SIPO	AB	57903474
179527	608	1997-01-05	VYDAJ	PREVOD NA UCET	2895	10684	SIPO	AB	57903474
179528	608	1997-02-05	VYDAJ	PREVOD NA UCET	2895	10787	SIPO	AB	57903474
179529	608	1997-03-05	VYDAJ	PREVOD NA UCET	2895	8265	SIPO	AB	57903474
179530	608	1997-04-05	VYDAJ	PREVOD NA UCET	2895	9440	SIPO	AB	57903474
179531	608	1997-05-05	VYDAJ	PREVOD NA UCET	2895	11222	SIPO	AB	57903474
179532	608	1997-06-05	VYDAJ	PREVOD NA UCET	2895	9604	SIPO	AB	57903474
179533	608	1997-07-05	VYDAJ	PREVOD NA UCET	2895	11386	SIPO	AB	57903474
179534	608	1997-08-05	VYDAJ	PREVOD NA UCET	2895	10069	SIPO	AB	57903474
179535	608	1997-09-05	VYDAJ	PREVOD NA UCET	2895	11853	SIPO	AB	57903474
179536	608	1997-10-05	VYDAJ	PREVOD NA UCET	2895	13164	SIPO	AB	57903474
179537	608	1997-11-05	VYDAJ	PREVOD NA UCET	2895	14962	SIPO	AB	57903474
179538	608	1997-12-05	VYDAJ	PREVOD NA UCET	2895	16766	SIPO	AB	57903474
179539	608	1998-01-05	VYDAJ	PREVOD NA UCET	2895	12148	SIPO	AB	57903474
179540	608	1998-02-05	VYDAJ	PREVOD NA UCET	2895	12178	SIPO	AB	57903474
179541	608	1998-03-05	VYDAJ	PREVOD NA UCET	2895	11645	SIPO	AB	57903474
179542	608	1998-04-05	VYDAJ	PREVOD NA UCET	2895	13436	SIPO	AB	57903474
179543	608	1998-05-05	VYDAJ	PREVOD NA UCET	2895	9116	SIPO	AB	57903474
179544	608	1998-06-05	VYDAJ	PREVOD NA UCET	2895	10896	SIPO	AB	57903474
179545	608	1998-07-05	VYDAJ	PREVOD NA UCET	2895	12684	SIPO	AB	57903474
179546	608	1998-08-05	VYDAJ	PREVOD NA UCET	2895	14479	SIPO	AB	57903474
179547	608	1998-09-05	VYDAJ	PREVOD NA UCET	2895	14121	SIPO	AB	57903474
179548	608	1998-10-05	VYDAJ	PREVOD NA UCET	2895	15921	SIPO	AB	57903474
179549	608	1998-11-05	VYDAJ	PREVOD NA UCET	2895	17730	SIPO	AB	57903474
179550	608	1998-12-05	VYDAJ	PREVOD NA UCET	2895	19546	SIPO	AB	57903474
179556	608	1996-01-22	VYDAJ	VYBER	3450	16555	\N	\N	\N
179557	608	1997-01-03	VYDAJ	VYBER	4500	13579	\N	\N	\N
179558	608	1998-01-02	VYDAJ	VYBER	1250	18963	\N	\N	\N
179559	608	1995-12-02	VYDAJ	VYBER	550	25406	\N	\N	\N
179560	608	1996-12-24	VYDAJ	VYBER	700	18015	\N	\N	\N
179561	608	1997-12-24	VYDAJ	VYBER	300	21101	\N	\N	\N
179562	608	1998-12-09	VYDAJ	VYBER	500	23681	\N	\N	\N
179569	608	1996-01-18	VYDAJ	VYBER	800	20005	\N	\N	\N
179570	608	1996-01-05	VYDAJ	VYBER	1120	21305	\N	\N	\N
179571	608	1996-01-15	VYDAJ	VYBER	560	20805	\N	\N	\N
179572	608	1996-01-08	VYDAJ	VYBER	800	16730	\N	\N	\N
179573	608	1996-01-05	VYDAJ	VYBER	880	20425	\N	\N	\N
179574	608	1996-01-02	VYDAJ	VYBER	960	22425	\N	\N	\N
179575	608	1997-01-10	VYDAJ	VYBER	480	14839	\N	\N	\N
179579	608	1997-01-11	VYDAJ	VYBER	1200	13639	\N	\N	\N
179581	608	1998-01-04	VYDAJ	VYBER	1760	17203	\N	\N	\N
179583	608	1998-01-17	VYDAJ	VYBER	1760	15023	\N	\N	\N
179585	608	1998-01-01	VYDAJ	VYBER	960	20213	\N	\N	\N
179586	608	1998-01-04	VYDAJ	VYBER	2160	15043	\N	\N	\N
179587	608	1995-12-02	VYDAJ	VYBER	3840	21566	\N	\N	\N
179592	608	1996-03-03	VYDAJ	VYBER	880	17541	\N	\N	\N
179593	608	1996-11-15	VYDAJ	VYBER	400	18713	\N	\N	\N
179594	608	1996-10-24	VYDAJ	VYBER	3600	17307	\N	\N	\N
179595	608	1996-08-06	VYDAJ	VYBER	1600	16116	\N	\N	\N
179596	608	1996-09-19	VYDAJ	VYBER	2160	19098	\N	\N	\N
179597	608	1997-09-22	VYDAJ	VYBER	480	16008	\N	\N	\N
179599	608	1998-09-02	VYDAJ	VYBER	2160	17016	\N	\N	\N
179600	608	1998-02-13	VYDAJ	VYBER	2320	14493	\N	\N	\N
179609	608	1995-08-31	VYDAJ	VYBER	15	23764	SLUZBY	\N	\N
179610	608	1995-09-30	VYDAJ	VYBER	15	24993	SLUZBY	\N	\N
179611	608	1995-10-31	VYDAJ	VYBER	15	24124	SLUZBY	\N	\N
179612	608	1995-11-30	VYDAJ	VYBER	15	25956	SLUZBY	\N	\N
179613	608	1995-12-31	VYDAJ	VYBER	15	23385	SLUZBY	\N	\N
179614	608	1996-01-31	VYDAJ	VYBER	15	16621	SLUZBY	\N	\N
179615	608	1996-02-29	VYDAJ	VYBER	15	18421	SLUZBY	\N	\N
179616	608	1996-03-31	VYDAJ	VYBER	15	19344	SLUZBY	\N	\N
179617	608	1996-04-30	VYDAJ	VYBER	15	21155	SLUZBY	\N	\N
179618	608	1996-05-31	VYDAJ	VYBER	15	22874	SLUZBY	\N	\N
179619	608	1996-06-30	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
179620	608	1996-07-31	VYDAJ	VYBER	15	20611	SLUZBY	\N	\N
179621	608	1996-08-31	VYDAJ	VYBER	15	19518	SLUZBY	\N	\N
179622	608	1996-09-30	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
179623	608	1996-10-31	VYDAJ	VYBER	15	17373	SLUZBY	\N	\N
179624	608	1996-11-30	VYDAJ	VYBER	15	18575	SLUZBY	\N	\N
179625	608	1996-12-31	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
179626	608	1997-01-31	VYDAJ	VYBER	15	13682	SLUZBY	\N	\N
179627	608	1997-02-28	VYDAJ	VYBER	15	11160	SLUZBY	\N	\N
179628	608	1997-03-31	VYDAJ	VYBER	15	12335	SLUZBY	\N	\N
179629	608	1997-04-30	VYDAJ	VYBER	15	14117	SLUZBY	\N	\N
179630	608	1997-05-31	VYDAJ	VYBER	15	12499	SLUZBY	\N	\N
179631	608	1997-06-30	VYDAJ	VYBER	15	14281	SLUZBY	\N	\N
179632	608	1997-07-31	VYDAJ	VYBER	15	12964	SLUZBY	\N	\N
179633	608	1997-08-31	VYDAJ	VYBER	15	14748	SLUZBY	\N	\N
179634	608	1997-09-30	VYDAJ	VYBER	15	16059	SLUZBY	\N	\N
179635	608	1997-10-31	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
179636	608	1997-11-30	VYDAJ	VYBER	15	19661	SLUZBY	\N	\N
179637	608	1997-12-31	VYDAJ	VYBER	15	21173	SLUZBY	\N	\N
179638	608	1998-01-31	VYDAJ	VYBER	15	15073	SLUZBY	\N	\N
179639	608	1998-02-28	VYDAJ	VYBER	15	14540	SLUZBY	\N	\N
179640	608	1998-03-31	VYDAJ	VYBER	15	16331	SLUZBY	\N	\N
179641	608	1998-04-30	VYDAJ	VYBER	15	12011	SLUZBY	\N	\N
179642	608	1998-05-31	VYDAJ	VYBER	15	13791	SLUZBY	\N	\N
179643	608	1998-06-30	VYDAJ	VYBER	15	15579	SLUZBY	\N	\N
179644	608	1998-07-31	VYDAJ	VYBER	15	17374	SLUZBY	\N	\N
179645	608	1998-08-31	VYDAJ	VYBER	15	19176	SLUZBY	\N	\N
179646	608	1998-09-30	VYDAJ	VYBER	15	18816	SLUZBY	\N	\N
179647	608	1998-10-31	VYDAJ	VYBER	15	20625	SLUZBY	\N	\N
179648	608	1998-11-30	VYDAJ	VYBER	15	22441	SLUZBY	\N	\N
179649	608	1995-09-23	VYDAJ	VYBER	600	24904	\N	\N	\N
179650	608	1995-10-23	VYDAJ	VYBER	2700	24033	\N	\N	\N
179651	608	1996-05-20	VYDAJ	VYBER	100	22795	\N	\N	\N
179652	608	1996-06-19	VYDAJ	VYBER	3000	21614	\N	\N	\N
179653	608	1996-07-19	VYDAJ	VYBER	2900	20535	\N	\N	\N
179654	608	1996-08-18	VYDAJ	VYBER	1300	19451	\N	\N	\N
179655	608	1996-11-16	VYDAJ	VYBER	200	18513	\N	\N	\N
179656	608	1996-12-16	VYDAJ	VYBER	1600	18715	\N	\N	\N
179657	608	1997-02-14	VYDAJ	VYBER	4300	11122	\N	\N	\N
179658	608	1997-03-16	VYDAJ	VYBER	600	12300	\N	\N	\N
179659	608	1997-05-15	VYDAJ	VYBER	3400	12457	\N	\N	\N
179660	608	1997-07-14	VYDAJ	VYBER	3100	12921	\N	\N	\N
179661	608	1998-04-10	VYDAJ	VYBER	6100	11971	\N	\N	\N
179703	609	1994-05-15	PRIJEM	VKLAD	700	700	\N	\N	\N
179709	609	1994-06-13	PRIJEM	PREVOD Z UCTU	2956	3656	\N	EF	46188896
179710	609	1994-07-13	PRIJEM	PREVOD Z UCTU	2956	6612	\N	EF	46188896
179711	609	1994-08-13	PRIJEM	PREVOD Z UCTU	2956	9568	\N	EF	46188896
179712	609	1994-09-13	PRIJEM	PREVOD Z UCTU	2956	12524	\N	EF	46188896
179713	609	1994-10-13	PRIJEM	PREVOD Z UCTU	2956	15480	\N	EF	46188896
179714	609	1994-11-13	PRIJEM	PREVOD Z UCTU	2956	16454	\N	EF	46188896
179715	609	1994-12-13	PRIJEM	PREVOD Z UCTU	2956	17491	\N	EF	46188896
179716	609	1995-01-13	PRIJEM	PREVOD Z UCTU	2956	17272	\N	EF	46188896
179972	609	1997-01-12	VYDAJ	VYBER	840	21015	\N	\N	\N
179717	609	1995-02-13	PRIJEM	PREVOD Z UCTU	2956	14980	\N	EF	46188896
179718	609	1995-03-13	PRIJEM	PREVOD Z UCTU	2956	16011	\N	EF	46188896
179719	609	1995-04-13	PRIJEM	PREVOD Z UCTU	2956	17046	\N	EF	46188896
179720	609	1995-05-13	PRIJEM	PREVOD Z UCTU	2956	17276	\N	EF	46188896
179721	609	1995-06-13	PRIJEM	PREVOD Z UCTU	2956	18317	\N	EF	46188896
179722	609	1995-07-13	PRIJEM	PREVOD Z UCTU	2956	17140	\N	EF	46188896
179723	609	1995-08-13	PRIJEM	PREVOD Z UCTU	2956	18181	\N	EF	46188896
179724	609	1995-09-13	PRIJEM	PREVOD Z UCTU	2956	18173	\N	EF	46188896
179725	609	1995-10-13	PRIJEM	PREVOD Z UCTU	2956	18257	\N	EF	46188896
179726	609	1995-11-13	PRIJEM	PREVOD Z UCTU	2956	19302	\N	EF	46188896
179727	609	1995-12-13	PRIJEM	PREVOD Z UCTU	2956	20351	\N	EF	46188896
179728	609	1996-01-13	PRIJEM	PREVOD Z UCTU	2956	20025	\N	EF	46188896
179729	609	1996-02-13	PRIJEM	PREVOD Z UCTU	2956	17382	\N	EF	46188896
179730	609	1996-03-13	PRIJEM	PREVOD Z UCTU	2956	18425	\N	EF	46188896
179731	609	1996-04-13	PRIJEM	PREVOD Z UCTU	2956	18869	\N	EF	46188896
179732	609	1996-05-13	PRIJEM	PREVOD Z UCTU	2956	19916	\N	EF	46188896
179733	609	1996-06-13	PRIJEM	PREVOD Z UCTU	2956	20968	\N	EF	46188896
179734	609	1996-07-13	PRIJEM	PREVOD Z UCTU	2956	22024	\N	EF	46188896
179735	609	1996-08-13	PRIJEM	PREVOD Z UCTU	2956	21793	\N	EF	46188896
179736	609	1996-09-13	PRIJEM	PREVOD Z UCTU	2956	22852	\N	EF	46188896
179737	609	1996-10-13	PRIJEM	PREVOD Z UCTU	2956	23916	\N	EF	46188896
179738	609	1996-11-13	PRIJEM	PREVOD Z UCTU	2956	24564	\N	EF	46188896
179739	609	1996-12-13	PRIJEM	PREVOD Z UCTU	2956	23893	\N	EF	46188896
179740	609	1997-01-13	PRIJEM	PREVOD Z UCTU	2956	23971	\N	EF	46188896
179741	609	1997-02-13	PRIJEM	PREVOD Z UCTU	2956	21647	\N	EF	46188896
179742	609	1997-03-13	PRIJEM	PREVOD Z UCTU	2956	22706	\N	EF	46188896
179743	609	1997-04-13	PRIJEM	PREVOD Z UCTU	2956	21695	\N	EF	46188896
179744	609	1997-05-13	PRIJEM	PREVOD Z UCTU	2956	21762	\N	EF	46188896
179745	609	1997-06-13	PRIJEM	PREVOD Z UCTU	2956	21621	\N	EF	46188896
179746	609	1997-07-13	PRIJEM	PREVOD Z UCTU	2956	22679	\N	EF	46188896
179747	609	1997-08-13	PRIJEM	PREVOD Z UCTU	2956	23742	\N	EF	46188896
179748	609	1997-09-13	PRIJEM	PREVOD Z UCTU	2956	24809	\N	EF	46188896
179749	609	1997-10-13	PRIJEM	PREVOD Z UCTU	2956	25880	\N	EF	46188896
179750	609	1997-11-13	PRIJEM	PREVOD Z UCTU	2956	26956	\N	EF	46188896
179751	609	1997-12-13	PRIJEM	PREVOD Z UCTU	2956	28037	\N	EF	46188896
179752	609	1998-01-13	PRIJEM	PREVOD Z UCTU	2956	26631	\N	EF	46188896
179753	609	1998-02-13	PRIJEM	PREVOD Z UCTU	2956	25939	\N	EF	46188896
179754	609	1998-03-13	PRIJEM	PREVOD Z UCTU	2956	27015	\N	EF	46188896
179755	609	1998-04-13	PRIJEM	PREVOD Z UCTU	2956	26865	\N	EF	46188896
179756	609	1998-05-13	PRIJEM	PREVOD Z UCTU	2956	27944	\N	EF	46188896
179757	609	1998-06-13	PRIJEM	PREVOD Z UCTU	2956	27767	\N	EF	46188896
179758	609	1998-07-13	PRIJEM	PREVOD Z UCTU	2956	23265	\N	EF	46188896
179759	609	1998-08-13	PRIJEM	PREVOD Z UCTU	2956	22929	\N	EF	46188896
179760	609	1998-09-13	PRIJEM	PREVOD Z UCTU	2956	23992	\N	EF	46188896
179761	609	1998-10-13	PRIJEM	PREVOD Z UCTU	2956	24669	\N	EF	46188896
179762	609	1998-11-13	PRIJEM	PREVOD Z UCTU	2956	25169	\N	EF	46188896
179763	609	1998-12-13	PRIJEM	PREVOD Z UCTU	2956	26032	\N	EF	46188896
179774	609	1994-11-07	VYDAJ	PREVOD NA UCET	1171	14297	\N	IJ	28244787
179775	609	1994-12-07	VYDAJ	PREVOD NA UCET	1171	15334	\N	IJ	28244787
179776	609	1995-01-07	VYDAJ	PREVOD NA UCET	1171	15115	\N	IJ	28244787
179777	609	1995-02-07	VYDAJ	PREVOD NA UCET	1171	12823	\N	IJ	28244787
179778	609	1995-03-07	VYDAJ	PREVOD NA UCET	1171	13854	\N	IJ	28244787
179779	609	1995-04-07	VYDAJ	PREVOD NA UCET	1171	14889	\N	IJ	28244787
179780	609	1995-05-07	VYDAJ	PREVOD NA UCET	1171	15119	\N	IJ	28244787
179781	609	1995-06-07	VYDAJ	PREVOD NA UCET	1171	16160	\N	IJ	28244787
179782	609	1995-07-07	VYDAJ	PREVOD NA UCET	1171	14983	\N	IJ	28244787
179783	609	1995-08-07	VYDAJ	PREVOD NA UCET	1171	16024	\N	IJ	28244787
179784	609	1995-09-07	VYDAJ	PREVOD NA UCET	1171	16016	\N	IJ	28244787
179785	609	1995-10-07	VYDAJ	PREVOD NA UCET	1171	16100	\N	IJ	28244787
179786	609	1995-11-07	VYDAJ	PREVOD NA UCET	1171	17145	\N	IJ	28244787
179787	609	1995-12-07	VYDAJ	PREVOD NA UCET	1171	18194	\N	IJ	28244787
179788	609	1996-01-07	VYDAJ	PREVOD NA UCET	1171	17868	\N	IJ	28244787
179789	609	1996-02-07	VYDAJ	PREVOD NA UCET	1171	16275	\N	IJ	28244787
179790	609	1996-03-07	VYDAJ	PREVOD NA UCET	1171	16268	\N	IJ	28244787
179791	609	1996-04-07	VYDAJ	PREVOD NA UCET	1171	16712	\N	IJ	28244787
179792	609	1996-05-07	VYDAJ	PREVOD NA UCET	1171	17759	\N	IJ	28244787
179793	609	1996-06-07	VYDAJ	PREVOD NA UCET	1171	18811	\N	IJ	28244787
179794	609	1996-07-07	VYDAJ	PREVOD NA UCET	1171	19867	\N	IJ	28244787
179795	609	1996-08-07	VYDAJ	PREVOD NA UCET	1171	19636	\N	IJ	28244787
179796	609	1996-09-07	VYDAJ	PREVOD NA UCET	1171	20695	\N	IJ	28244787
179797	609	1996-10-07	VYDAJ	PREVOD NA UCET	1171	21759	\N	IJ	28244787
179798	609	1996-11-07	VYDAJ	PREVOD NA UCET	1171	22827	\N	IJ	28244787
179799	609	1996-12-07	VYDAJ	PREVOD NA UCET	1171	21736	\N	IJ	28244787
179800	609	1997-01-07	VYDAJ	PREVOD NA UCET	1171	22804	\N	IJ	28244787
179801	609	1997-02-07	VYDAJ	PREVOD NA UCET	1171	19490	\N	IJ	28244787
179802	609	1997-03-07	VYDAJ	PREVOD NA UCET	1171	20549	\N	IJ	28244787
179803	609	1997-04-07	VYDAJ	PREVOD NA UCET	1171	19538	\N	IJ	28244787
179804	609	1997-05-07	VYDAJ	PREVOD NA UCET	1171	19605	\N	IJ	28244787
179805	609	1997-06-07	VYDAJ	PREVOD NA UCET	1171	19464	\N	IJ	28244787
179806	609	1997-07-07	VYDAJ	PREVOD NA UCET	1171	20522	\N	IJ	28244787
179807	609	1997-08-07	VYDAJ	PREVOD NA UCET	1171	21585	\N	IJ	28244787
179808	609	1997-09-07	VYDAJ	PREVOD NA UCET	1171	22652	\N	IJ	28244787
179809	609	1997-10-07	VYDAJ	PREVOD NA UCET	1171	23723	\N	IJ	28244787
179810	609	1997-11-07	VYDAJ	PREVOD NA UCET	1171	24799	\N	IJ	28244787
179811	609	1997-12-07	VYDAJ	PREVOD NA UCET	1171	25880	\N	IJ	28244787
179812	609	1998-01-07	VYDAJ	PREVOD NA UCET	1171	25764	\N	IJ	28244787
179813	609	1998-02-07	VYDAJ	PREVOD NA UCET	1171	23782	\N	IJ	28244787
179814	609	1998-03-07	VYDAJ	PREVOD NA UCET	1171	24858	\N	IJ	28244787
179815	609	1998-04-07	VYDAJ	PREVOD NA UCET	1171	24708	\N	IJ	28244787
179816	609	1998-05-07	VYDAJ	PREVOD NA UCET	1171	25787	\N	IJ	28244787
179817	609	1998-06-07	VYDAJ	PREVOD NA UCET	1171	25610	\N	IJ	28244787
179818	609	1998-07-07	VYDAJ	PREVOD NA UCET	1171	22008	\N	IJ	28244787
179819	609	1998-08-07	VYDAJ	PREVOD NA UCET	1171	20772	\N	IJ	28244787
179820	609	1998-09-07	VYDAJ	PREVOD NA UCET	1171	21835	\N	IJ	28244787
179821	609	1998-10-07	VYDAJ	PREVOD NA UCET	1171	22512	\N	IJ	28244787
179822	609	1998-11-07	VYDAJ	PREVOD NA UCET	1171	23012	\N	IJ	28244787
179823	609	1998-12-07	VYDAJ	PREVOD NA UCET	1171	24085	\N	IJ	28244787
179834	609	1994-11-10	VYDAJ	PREVOD NA UCET	732	13498	\N	CD	14562350
179835	609	1994-12-10	VYDAJ	PREVOD NA UCET	732	14535	\N	CD	14562350
179836	609	1995-01-10	VYDAJ	PREVOD NA UCET	732	14316	\N	CD	14562350
179837	609	1995-02-10	VYDAJ	PREVOD NA UCET	732	12024	\N	CD	14562350
179838	609	1995-03-10	VYDAJ	PREVOD NA UCET	732	13055	\N	CD	14562350
179839	609	1995-04-10	VYDAJ	PREVOD NA UCET	732	14090	\N	CD	14562350
179840	609	1995-05-10	VYDAJ	PREVOD NA UCET	732	14320	\N	CD	14562350
179841	609	1995-06-10	VYDAJ	PREVOD NA UCET	732	15361	\N	CD	14562350
179842	609	1995-07-10	VYDAJ	PREVOD NA UCET	732	14184	\N	CD	14562350
179843	609	1995-08-10	VYDAJ	PREVOD NA UCET	732	15225	\N	CD	14562350
179844	609	1995-09-10	VYDAJ	PREVOD NA UCET	732	15217	\N	CD	14562350
179845	609	1995-10-10	VYDAJ	PREVOD NA UCET	732	15301	\N	CD	14562350
179846	609	1995-11-10	VYDAJ	PREVOD NA UCET	732	16346	\N	CD	14562350
179847	609	1995-12-10	VYDAJ	PREVOD NA UCET	732	17395	\N	CD	14562350
179848	609	1996-01-10	VYDAJ	PREVOD NA UCET	732	17069	\N	CD	14562350
179849	609	1996-02-10	VYDAJ	PREVOD NA UCET	732	14426	\N	CD	14562350
179850	609	1996-03-10	VYDAJ	PREVOD NA UCET	732	15469	\N	CD	14562350
179851	609	1996-04-10	VYDAJ	PREVOD NA UCET	732	15913	\N	CD	14562350
179852	609	1996-05-10	VYDAJ	PREVOD NA UCET	732	16960	\N	CD	14562350
179853	609	1996-06-10	VYDAJ	PREVOD NA UCET	732	18012	\N	CD	14562350
179854	609	1996-07-10	VYDAJ	PREVOD NA UCET	732	19068	\N	CD	14562350
179855	609	1996-08-10	VYDAJ	PREVOD NA UCET	732	18837	\N	CD	14562350
179856	609	1996-09-10	VYDAJ	PREVOD NA UCET	732	19896	\N	CD	14562350
179857	609	1996-10-10	VYDAJ	PREVOD NA UCET	732	20960	\N	CD	14562350
179858	609	1996-11-10	VYDAJ	PREVOD NA UCET	732	22028	\N	CD	14562350
179859	609	1996-12-10	VYDAJ	PREVOD NA UCET	732	20937	\N	CD	14562350
179860	609	1997-01-10	VYDAJ	PREVOD NA UCET	732	21855	\N	CD	14562350
179861	609	1997-02-10	VYDAJ	PREVOD NA UCET	732	18691	\N	CD	14562350
179862	609	1997-03-10	VYDAJ	PREVOD NA UCET	732	19750	\N	CD	14562350
179863	609	1997-04-10	VYDAJ	PREVOD NA UCET	732	18739	\N	CD	14562350
179864	609	1997-05-10	VYDAJ	PREVOD NA UCET	732	18806	\N	CD	14562350
179865	609	1997-06-10	VYDAJ	PREVOD NA UCET	732	18665	\N	CD	14562350
179866	609	1997-07-10	VYDAJ	PREVOD NA UCET	732	19723	\N	CD	14562350
179867	609	1997-08-10	VYDAJ	PREVOD NA UCET	732	20786	\N	CD	14562350
179868	609	1997-09-10	VYDAJ	PREVOD NA UCET	732	21853	\N	CD	14562350
179869	609	1997-10-10	VYDAJ	PREVOD NA UCET	732	22924	\N	CD	14562350
179870	609	1997-11-10	VYDAJ	PREVOD NA UCET	732	24000	\N	CD	14562350
179871	609	1997-12-10	VYDAJ	PREVOD NA UCET	732	25081	\N	CD	14562350
179872	609	1998-01-10	VYDAJ	PREVOD NA UCET	732	24695	\N	CD	14562350
179873	609	1998-02-10	VYDAJ	PREVOD NA UCET	732	22983	\N	CD	14562350
179874	609	1998-03-10	VYDAJ	PREVOD NA UCET	732	24059	\N	CD	14562350
179875	609	1998-04-10	VYDAJ	PREVOD NA UCET	732	23909	\N	CD	14562350
179876	609	1998-05-10	VYDAJ	PREVOD NA UCET	732	24988	\N	CD	14562350
179877	609	1998-06-10	VYDAJ	PREVOD NA UCET	732	24811	\N	CD	14562350
179878	609	1998-07-10	VYDAJ	PREVOD NA UCET	732	21209	\N	CD	14562350
179879	609	1998-08-10	VYDAJ	PREVOD NA UCET	732	19973	\N	CD	14562350
179880	609	1998-09-10	VYDAJ	PREVOD NA UCET	732	21036	\N	CD	14562350
179881	609	1998-10-10	VYDAJ	PREVOD NA UCET	732	21713	\N	CD	14562350
179882	609	1998-11-10	VYDAJ	PREVOD NA UCET	732	22213	\N	CD	14562350
179883	609	1998-12-10	VYDAJ	PREVOD NA UCET	732	23076	\N	CD	14562350
179894	609	1994-11-09	VYDAJ	PREVOD NA UCET	67	14230	\N	IJ	59537684
179895	609	1994-12-09	VYDAJ	PREVOD NA UCET	67	15267	\N	IJ	59537684
179896	609	1995-01-09	VYDAJ	PREVOD NA UCET	67	15048	\N	IJ	59537684
179897	609	1995-02-09	VYDAJ	PREVOD NA UCET	67	12756	\N	IJ	59537684
179898	609	1995-03-09	VYDAJ	PREVOD NA UCET	67	13787	\N	IJ	59537684
179899	609	1995-04-09	VYDAJ	PREVOD NA UCET	67	14822	\N	IJ	59537684
179900	609	1995-05-09	VYDAJ	PREVOD NA UCET	67	15052	\N	IJ	59537684
179901	609	1995-06-09	VYDAJ	PREVOD NA UCET	67	16093	\N	IJ	59537684
179902	609	1995-07-09	VYDAJ	PREVOD NA UCET	67	14916	\N	IJ	59537684
179903	609	1995-08-09	VYDAJ	PREVOD NA UCET	67	15957	\N	IJ	59537684
179904	609	1995-09-09	VYDAJ	PREVOD NA UCET	67	15949	\N	IJ	59537684
179905	609	1995-10-09	VYDAJ	PREVOD NA UCET	67	16033	\N	IJ	59537684
179906	609	1995-11-09	VYDAJ	PREVOD NA UCET	67	17078	\N	IJ	59537684
179907	609	1995-12-09	VYDAJ	PREVOD NA UCET	67	18127	\N	IJ	59537684
179908	609	1996-01-09	VYDAJ	PREVOD NA UCET	67	17801	\N	IJ	59537684
179909	609	1996-02-09	VYDAJ	PREVOD NA UCET	67	16208	\N	IJ	59537684
179910	609	1996-03-09	VYDAJ	PREVOD NA UCET	67	16201	\N	IJ	59537684
179911	609	1996-04-09	VYDAJ	PREVOD NA UCET	67	16645	\N	IJ	59537684
179912	609	1996-05-09	VYDAJ	PREVOD NA UCET	67	17692	\N	IJ	59537684
179913	609	1996-06-09	VYDAJ	PREVOD NA UCET	67	18744	\N	IJ	59537684
179914	609	1996-07-09	VYDAJ	PREVOD NA UCET	67	19800	\N	IJ	59537684
179915	609	1996-08-09	VYDAJ	PREVOD NA UCET	67	19569	\N	IJ	59537684
179916	609	1996-09-09	VYDAJ	PREVOD NA UCET	67	20628	\N	IJ	59537684
179917	609	1996-10-09	VYDAJ	PREVOD NA UCET	67	21692	\N	IJ	59537684
179918	609	1996-11-09	VYDAJ	PREVOD NA UCET	67	22760	\N	IJ	59537684
179919	609	1996-12-09	VYDAJ	PREVOD NA UCET	67	21669	\N	IJ	59537684
179920	609	1997-01-09	VYDAJ	PREVOD NA UCET	67	22587	\N	IJ	59537684
179921	609	1997-02-09	VYDAJ	PREVOD NA UCET	67	19423	\N	IJ	59537684
179922	609	1997-03-09	VYDAJ	PREVOD NA UCET	67	20482	\N	IJ	59537684
179923	609	1997-04-09	VYDAJ	PREVOD NA UCET	67	19471	\N	IJ	59537684
179924	609	1997-05-09	VYDAJ	PREVOD NA UCET	67	19538	\N	IJ	59537684
179925	609	1997-06-09	VYDAJ	PREVOD NA UCET	67	19397	\N	IJ	59537684
179926	609	1997-07-09	VYDAJ	PREVOD NA UCET	67	20455	\N	IJ	59537684
179927	609	1997-08-09	VYDAJ	PREVOD NA UCET	67	21518	\N	IJ	59537684
179928	609	1997-09-09	VYDAJ	PREVOD NA UCET	67	22585	\N	IJ	59537684
179929	609	1997-10-09	VYDAJ	PREVOD NA UCET	67	23656	\N	IJ	59537684
179930	609	1997-11-09	VYDAJ	PREVOD NA UCET	67	24732	\N	IJ	59537684
179931	609	1997-12-09	VYDAJ	PREVOD NA UCET	67	25813	\N	IJ	59537684
179932	609	1998-01-09	VYDAJ	PREVOD NA UCET	67	25697	\N	IJ	59537684
179933	609	1998-02-09	VYDAJ	PREVOD NA UCET	67	23715	\N	IJ	59537684
179934	609	1998-03-09	VYDAJ	PREVOD NA UCET	67	24791	\N	IJ	59537684
179935	609	1998-04-09	VYDAJ	PREVOD NA UCET	67	24641	\N	IJ	59537684
179936	609	1998-05-09	VYDAJ	PREVOD NA UCET	67	25720	\N	IJ	59537684
179937	609	1998-06-09	VYDAJ	PREVOD NA UCET	67	25543	\N	IJ	59537684
179938	609	1998-07-09	VYDAJ	PREVOD NA UCET	67	21941	\N	IJ	59537684
179939	609	1998-08-09	VYDAJ	PREVOD NA UCET	67	20705	\N	IJ	59537684
179940	609	1998-09-09	VYDAJ	PREVOD NA UCET	67	21768	\N	IJ	59537684
179941	609	1998-10-09	VYDAJ	PREVOD NA UCET	67	22445	\N	IJ	59537684
179942	609	1998-11-09	VYDAJ	PREVOD NA UCET	67	22945	\N	IJ	59537684
179943	609	1998-12-09	VYDAJ	PREVOD NA UCET	67	24018	\N	IJ	59537684
179948	609	1998-06-22	VYDAJ	VYBER	4680	23087	\N	\N	\N
179949	609	1994-12-22	VYDAJ	VYBER	180	17311	\N	\N	\N
179950	609	1995-12-29	VYDAJ	VYBER	510	19841	\N	\N	\N
179951	609	1996-12-04	VYDAJ	VYBER	510	22907	\N	\N	\N
179952	609	1997-12-24	VYDAJ	VYBER	510	27527	\N	\N	\N
179953	609	1998-12-10	VYDAJ	VYBER	210	23808	\N	\N	\N
179960	609	1995-01-22	VYDAJ	VYBER	510	15832	\N	\N	\N
179961	609	1995-01-18	VYDAJ	VYBER	240	16342	\N	\N	\N
179962	609	1995-01-05	VYDAJ	VYBER	240	16286	\N	\N	\N
179963	609	1995-01-02	VYDAJ	VYBER	840	16526	\N	\N	\N
179964	609	1995-01-25	VYDAJ	VYBER	450	15382	\N	\N	\N
179965	609	1995-01-13	VYDAJ	VYBER	690	16582	\N	\N	\N
179966	609	1996-01-23	VYDAJ	VYBER	300	17835	\N	\N	\N
179967	609	1996-01-19	VYDAJ	VYBER	870	18135	\N	\N	\N
179968	609	1996-01-13	VYDAJ	VYBER	150	19875	\N	\N	\N
179969	609	1996-01-03	VYDAJ	VYBER	870	19039	\N	\N	\N
179970	609	1996-01-26	VYDAJ	VYBER	450	17385	\N	\N	\N
179971	609	1996-01-13	VYDAJ	VYBER	870	19005	\N	\N	\N
179973	609	1997-01-22	VYDAJ	VYBER	630	22741	\N	\N	\N
179974	609	1997-01-07	VYDAJ	VYBER	150	22654	\N	\N	\N
179975	609	1997-01-23	VYDAJ	VYBER	840	21901	\N	\N	\N
179976	609	1997-01-18	VYDAJ	VYBER	600	23371	\N	\N	\N
179977	609	1997-01-29	VYDAJ	VYBER	690	21211	\N	\N	\N
179978	609	1998-01-27	VYDAJ	VYBER	480	24861	\N	\N	\N
179979	609	1998-01-25	VYDAJ	VYBER	390	25341	\N	\N	\N
179980	609	1998-01-10	VYDAJ	VYBER	270	25427	\N	\N	\N
179981	609	1998-01-17	VYDAJ	VYBER	720	25911	\N	\N	\N
179982	609	1998-01-18	VYDAJ	VYBER	180	25731	\N	\N	\N
179983	609	1998-01-01	VYDAJ	VYBER	540	27085	\N	\N	\N
179987	609	1995-08-14	VYDAJ	VYBER	1050	17131	\N	\N	\N
179988	609	1995-01-31	VYDAJ	VYBER	1440	14008	\N	\N	\N
179989	609	1995-09-28	VYDAJ	VYBER	960	17213	\N	\N	\N
179990	609	1995-06-15	VYDAJ	VYBER	990	17327	\N	\N	\N
179991	609	1995-05-05	VYDAJ	VYBER	810	16290	\N	\N	\N
179992	609	1995-07-02	VYDAJ	VYBER	1230	16154	\N	\N	\N
179993	609	1996-03-21	VYDAJ	VYBER	600	17825	\N	\N	\N
179994	609	1996-11-11	VYDAJ	VYBER	420	21608	\N	\N	\N
179995	609	1996-02-10	VYDAJ	VYBER	1050	15158	\N	\N	\N
179996	609	1996-11-17	VYDAJ	VYBER	1230	23334	\N	\N	\N
179997	609	1996-07-23	VYDAJ	VYBER	1290	20734	\N	\N	\N
179998	609	1997-03-17	VYDAJ	VYBER	1380	21326	\N	\N	\N
179999	609	1997-05-31	VYDAJ	VYBER	1200	20649	\N	\N	\N
180000	609	1997-04-18	VYDAJ	VYBER	990	20705	\N	\N	\N
180001	609	1997-02-04	VYDAJ	VYBER	630	20661	\N	\N	\N
180002	609	1997-03-18	VYDAJ	VYBER	690	20636	\N	\N	\N
180003	609	1998-03-29	VYDAJ	VYBER	1230	25785	\N	\N	\N
180004	609	1998-01-04	VYDAJ	VYBER	150	26935	\N	\N	\N
180005	609	1998-09-30	VYDAJ	VYBER	390	23683	\N	\N	\N
180006	609	1998-01-11	VYDAJ	VYBER	1020	23675	\N	\N	\N
180007	609	1998-07-12	VYDAJ	VYBER	900	20309	\N	\N	\N
180008	609	1998-05-23	VYDAJ	VYBER	1260	26684	\N	\N	\N
180009	609	1998-11-03	VYDAJ	VYBER	570	24183	\N	\N	\N
180020	609	1994-10-31	VYDAJ	VYBER	15	15468	SLUZBY	\N	\N
180021	609	1994-11-30	VYDAJ	VYBER	15	16505	SLUZBY	\N	\N
180022	609	1994-12-31	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
180023	609	1995-01-31	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
180024	609	1995-02-28	VYDAJ	VYBER	15	15025	SLUZBY	\N	\N
180025	609	1995-03-31	VYDAJ	VYBER	15	16060	SLUZBY	\N	\N
180026	609	1995-04-30	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
180027	609	1995-05-31	VYDAJ	VYBER	15	17331	SLUZBY	\N	\N
180028	609	1995-06-30	VYDAJ	VYBER	15	17384	SLUZBY	\N	\N
180029	609	1995-07-31	VYDAJ	VYBER	15	17195	SLUZBY	\N	\N
180030	609	1995-08-31	VYDAJ	VYBER	15	17187	SLUZBY	\N	\N
180031	609	1995-09-30	VYDAJ	VYBER	15	17271	SLUZBY	\N	\N
180032	609	1995-10-31	VYDAJ	VYBER	15	18316	SLUZBY	\N	\N
180033	609	1995-11-30	VYDAJ	VYBER	15	19365	SLUZBY	\N	\N
180034	609	1995-12-31	VYDAJ	VYBER	15	19909	SLUZBY	\N	\N
180035	609	1996-01-31	VYDAJ	VYBER	15	17446	SLUZBY	\N	\N
180036	609	1996-02-29	VYDAJ	VYBER	15	17439	SLUZBY	\N	\N
180037	609	1996-03-31	VYDAJ	VYBER	15	17883	SLUZBY	\N	\N
180038	609	1996-04-30	VYDAJ	VYBER	15	18930	SLUZBY	\N	\N
180039	609	1996-05-31	VYDAJ	VYBER	15	19982	SLUZBY	\N	\N
180040	609	1996-06-30	VYDAJ	VYBER	15	21038	SLUZBY	\N	\N
180041	609	1996-07-31	VYDAJ	VYBER	15	20807	SLUZBY	\N	\N
180042	609	1996-08-31	VYDAJ	VYBER	15	21866	SLUZBY	\N	\N
180043	609	1996-09-30	VYDAJ	VYBER	15	22930	SLUZBY	\N	\N
180044	609	1996-10-31	VYDAJ	VYBER	15	23998	SLUZBY	\N	\N
180045	609	1996-11-30	VYDAJ	VYBER	15	23417	SLUZBY	\N	\N
180046	609	1996-12-31	VYDAJ	VYBER	15	23975	SLUZBY	\N	\N
180047	609	1997-01-31	VYDAJ	VYBER	15	21291	SLUZBY	\N	\N
180048	609	1997-02-28	VYDAJ	VYBER	15	21720	SLUZBY	\N	\N
180049	609	1997-03-31	VYDAJ	VYBER	15	20709	SLUZBY	\N	\N
180050	609	1997-04-30	VYDAJ	VYBER	15	20776	SLUZBY	\N	\N
180051	609	1997-05-31	VYDAJ	VYBER	15	20635	SLUZBY	\N	\N
180052	609	1997-06-30	VYDAJ	VYBER	15	21693	SLUZBY	\N	\N
180053	609	1997-07-31	VYDAJ	VYBER	15	22756	SLUZBY	\N	\N
180054	609	1997-08-31	VYDAJ	VYBER	15	23823	SLUZBY	\N	\N
180055	609	1997-09-30	VYDAJ	VYBER	15	24894	SLUZBY	\N	\N
180056	609	1997-10-31	VYDAJ	VYBER	15	25970	SLUZBY	\N	\N
180057	609	1997-11-30	VYDAJ	VYBER	15	27051	SLUZBY	\N	\N
180058	609	1997-12-31	VYDAJ	VYBER	15	27625	SLUZBY	\N	\N
180059	609	1998-01-31	VYDAJ	VYBER	15	24953	SLUZBY	\N	\N
180060	609	1998-02-28	VYDAJ	VYBER	15	26029	SLUZBY	\N	\N
180061	609	1998-03-31	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
180062	609	1998-04-30	VYDAJ	VYBER	15	26958	SLUZBY	\N	\N
180063	609	1998-05-31	VYDAJ	VYBER	15	26781	SLUZBY	\N	\N
180064	609	1998-06-30	VYDAJ	VYBER	15	23179	SLUZBY	\N	\N
180065	609	1998-07-31	VYDAJ	VYBER	15	21943	SLUZBY	\N	\N
180066	609	1998-08-31	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
180067	609	1998-09-30	VYDAJ	VYBER	15	24073	SLUZBY	\N	\N
180068	609	1998-10-31	VYDAJ	VYBER	15	24753	SLUZBY	\N	\N
180069	609	1998-11-30	VYDAJ	VYBER	15	25256	SLUZBY	\N	\N
180070	609	1998-07-23	VYDAJ	VYBER	1400	21865	\N	\N	\N
180122	610	1994-08-11	PRIJEM	VKLAD	800	800	\N	\N	\N
180131	610	1994-09-06	PRIJEM	PREVOD Z UCTU	26217	27017	\N	OP	91739892
180132	610	1994-10-06	PRIJEM	PREVOD Z UCTU	26217	51407	\N	OP	91739892
180133	610	1994-11-06	PRIJEM	PREVOD Z UCTU	26217	64969	\N	OP	91739892
180134	610	1994-12-06	PRIJEM	PREVOD Z UCTU	39326	86080	\N	OP	91739892
180135	610	1995-01-06	PRIJEM	PREVOD Z UCTU	26217	79311	\N	OP	91739892
180136	610	1995-02-06	PRIJEM	PREVOD Z UCTU	26217	68199	\N	OP	91739892
180137	610	1995-03-06	PRIJEM	PREVOD Z UCTU	26217	70396	\N	OP	91739892
180138	610	1995-04-06	PRIJEM	PREVOD Z UCTU	26217	76501	\N	OP	91739892
180139	610	1995-05-06	PRIJEM	PREVOD Z UCTU	26217	54887	\N	OP	91739892
180140	610	1995-06-06	PRIJEM	PREVOD Z UCTU	39326	82782	\N	OP	91739892
180141	610	1995-07-06	PRIJEM	PREVOD Z UCTU	26217	81805	\N	OP	91739892
180142	610	1995-08-06	PRIJEM	PREVOD Z UCTU	26217	75352	\N	OP	91739892
180143	610	1995-09-06	PRIJEM	PREVOD Z UCTU	26217	57095	\N	OP	91739892
180144	610	1995-10-06	PRIJEM	PREVOD Z UCTU	26217	69621	\N	OP	91739892
180145	610	1995-11-06	PRIJEM	PREVOD Z UCTU	26217	75199	\N	OP	91739892
180146	610	1995-12-06	PRIJEM	PREVOD Z UCTU	39326	82076	\N	OP	91739892
180147	610	1996-01-06	PRIJEM	PREVOD Z UCTU	26217	81094	\N	OP	91739892
180148	610	1996-02-06	PRIJEM	PREVOD Z UCTU	26217	76310	\N	OP	91739892
180149	610	1996-03-06	PRIJEM	PREVOD Z UCTU	26217	83918	\N	OP	91739892
180150	610	1996-04-06	PRIJEM	PREVOD Z UCTU	26217	89154	\N	OP	91739892
180151	610	1996-05-06	PRIJEM	PREVOD Z UCTU	26217	88920	\N	OP	91739892
180152	610	1996-06-06	PRIJEM	PREVOD Z UCTU	39326	100086	\N	OP	91739892
180153	610	1996-07-06	PRIJEM	PREVOD Z UCTU	26217	84984	\N	OP	91739892
180154	610	1996-08-06	PRIJEM	PREVOD Z UCTU	26217	88428	\N	OP	91739892
180155	610	1996-09-06	PRIJEM	PREVOD Z UCTU	26217	89789	\N	OP	91739892
180156	610	1996-10-06	PRIJEM	PREVOD Z UCTU	26217	89312	\N	OP	91739892
180157	610	1996-11-06	PRIJEM	PREVOD Z UCTU	26217	93978	\N	OP	91739892
180158	610	1996-12-06	PRIJEM	PREVOD Z UCTU	39326	99089	\N	OP	91739892
180159	610	1997-01-06	PRIJEM	PREVOD Z UCTU	26217	89075	\N	OP	91739892
180160	610	1997-02-06	PRIJEM	PREVOD Z UCTU	26217	73455	\N	OP	91739892
180161	610	1997-03-06	PRIJEM	PREVOD Z UCTU	26217	86758	\N	OP	91739892
180162	610	1997-04-06	PRIJEM	PREVOD Z UCTU	26217	91913	\N	OP	91739892
180163	610	1997-05-06	PRIJEM	PREVOD Z UCTU	26217	97190	\N	OP	91739892
180164	610	1997-06-06	PRIJEM	PREVOD Z UCTU	39326	90005	\N	OP	91739892
180165	610	1997-07-06	PRIJEM	PREVOD Z UCTU	26217	78515	\N	OP	91739892
180166	610	1997-08-06	PRIJEM	PREVOD Z UCTU	26217	66462	\N	OP	91739892
180167	610	1997-09-06	PRIJEM	PREVOD Z UCTU	26217	62088	\N	OP	91739892
180168	610	1997-10-06	PRIJEM	PREVOD Z UCTU	26217	80537	\N	OP	91739892
180169	610	1997-11-06	PRIJEM	PREVOD Z UCTU	26217	80881	\N	OP	91739892
180170	610	1997-12-06	PRIJEM	PREVOD Z UCTU	39326	104128	\N	OP	91739892
180171	610	1998-01-06	PRIJEM	PREVOD Z UCTU	26217	99257	\N	OP	91739892
180172	610	1998-02-06	PRIJEM	PREVOD Z UCTU	26217	81331	\N	OP	91739892
180173	610	1998-03-06	PRIJEM	PREVOD Z UCTU	26217	86282	\N	OP	91739892
180174	610	1998-04-06	PRIJEM	PREVOD Z UCTU	26217	92541	\N	OP	91739892
180175	610	1998-05-06	PRIJEM	PREVOD Z UCTU	26217	100325	\N	OP	91739892
180176	610	1998-06-06	PRIJEM	PREVOD Z UCTU	39326	116945	\N	OP	91739892
180177	610	1998-07-06	PRIJEM	PREVOD Z UCTU	26217	107006	\N	OP	91739892
180178	610	1998-08-06	PRIJEM	PREVOD Z UCTU	26217	108542	\N	OP	91739892
180179	610	1998-09-06	PRIJEM	PREVOD Z UCTU	26217	110385	\N	OP	91739892
180180	610	1998-10-06	PRIJEM	PREVOD Z UCTU	26217	111440	\N	OP	91739892
180181	610	1998-11-06	PRIJEM	PREVOD Z UCTU	26217	112694	\N	OP	91739892
180182	610	1998-12-06	PRIJEM	PREVOD Z UCTU	39326	103568	\N	OP	91739892
180194	610	1995-02-09	VYBER	VYBER	3888	44011	\N	\N	\N
180195	610	1995-12-08	VYBER	VYBER	11969	70107	\N	\N	\N
180196	610	1995-09-04	VYBER	VYBER	23159	30178	\N	\N	\N
180197	610	1995-05-04	VYBER	VYBER	18533	34370	\N	\N	\N
180198	610	1996-06-18	VYBER	VYBER	17873	82213	\N	\N	\N
180199	610	1996-09-27	VYBER	VYBER	2049	87740	\N	\N	\N
180200	610	1997-09-03	VYBER	VYBER	23728	35871	\N	\N	\N
180201	610	1997-06-03	VYBER	VYBER	16942	50679	\N	\N	\N
180202	610	1997-01-23	VYBER	VYBER	12165	46610	\N	\N	\N
180203	610	1997-06-25	VYBER	VYBER	4298	68307	\N	\N	\N
180204	610	1997-10-14	VYBER	VYBER	8210	72327	\N	\N	\N
180205	610	1997-07-30	VYBER	VYBER	14315	42800	\N	\N	\N
180206	610	1997-08-05	VYBER	VYBER	2826	40245	\N	\N	\N
180207	610	1997-07-02	VYBER	VYBER	3016	56498	\N	\N	\N
180208	610	1997-10-18	VYBER	VYBER	5592	66735	\N	\N	\N
180211	610	1996-06-28	VYDAJ	VYBER	10200	72013	\N	\N	\N
180215	610	1995-01-06	VYDAJ	VYBER	22500	56811	\N	\N	\N
180216	610	1996-01-26	VYDAJ	VYBER	21000	60094	\N	\N	\N
180217	610	1997-01-08	VYDAJ	VYBER	24300	58775	\N	\N	\N
180218	610	1998-01-13	VYDAJ	VYBER	25200	74057	\N	\N	\N
180220	610	1995-12-05	VYDAJ	VYBER	3300	42750	\N	\N	\N
180221	610	1996-12-21	VYDAJ	VYBER	7500	91589	\N	\N	\N
180222	610	1997-12-12	VYDAJ	VYBER	5100	99028	\N	\N	\N
180223	610	1998-12-14	VYDAJ	VYBER	5400	98168	\N	\N	\N
180229	610	1995-11-11	VYDAJ	VYBER	11100	64099	\N	\N	\N
180230	610	1995-05-04	VYDAJ	VYBER	5700	28670	\N	\N	\N
180231	610	1995-08-01	VYDAJ	VYBER	10500	49135	\N	\N	\N
180232	610	1995-10-27	VYDAJ	VYBER	6600	63021	\N	\N	\N
180233	610	1995-11-20	VYDAJ	VYBER	5400	58699	\N	\N	\N
180234	610	1995-09-06	VYDAJ	VYBER	2400	54695	\N	\N	\N
180235	610	1996-05-12	VYDAJ	VYBER	3600	85320	\N	\N	\N
180236	610	1996-04-06	VYDAJ	VYBER	8700	80454	\N	\N	\N
180237	610	1996-11-14	VYDAJ	VYBER	14400	79578	\N	\N	\N
180238	610	1996-03-08	VYDAJ	VYBER	3300	80618	\N	\N	\N
180239	610	1997-01-06	VYDAJ	VYBER	6000	83075	\N	\N	\N
180240	610	1997-07-23	VYDAJ	VYBER	8700	69815	\N	\N	\N
180241	610	1997-05-08	VYDAJ	VYBER	5400	91790	\N	\N	\N
180242	610	1997-01-02	VYDAJ	VYBER	7500	62858	\N	\N	\N
180243	610	1997-07-04	VYDAJ	VYBER	4200	52298	\N	\N	\N
180244	610	1997-06-17	VYDAJ	VYBER	5400	84605	\N	\N	\N
180245	610	1997-06-21	VYDAJ	VYBER	12000	72605	\N	\N	\N
180246	610	1997-05-31	VYDAJ	VYBER	2400	67621	\N	\N	\N
180247	610	1998-06-13	VYDAJ	VYBER	7800	109145	\N	\N	\N
180248	610	1998-02-23	VYDAJ	VYBER	9300	59831	\N	\N	\N
180249	610	1998-09-17	VYDAJ	VYBER	4500	105885	\N	\N	\N
180250	610	1998-01-17	VYDAJ	VYBER	9000	65057	\N	\N	\N
180251	610	1998-03-25	VYDAJ	VYBER	9600	66082	\N	\N	\N
180252	610	1998-02-17	VYDAJ	VYBER	2400	78931	\N	\N	\N
180266	610	1995-01-31	VYDAJ	VYBER	15	41982	SLUZBY	\N	\N
180267	610	1995-02-28	VYDAJ	VYBER	15	44179	SLUZBY	\N	\N
180268	610	1995-03-31	VYDAJ	VYBER	15	50284	SLUZBY	\N	\N
180269	610	1995-04-30	VYDAJ	VYBER	15	52903	SLUZBY	\N	\N
180270	610	1995-05-31	VYDAJ	VYBER	15	43456	SLUZBY	\N	\N
180271	610	1995-06-30	VYDAJ	VYBER	15	55588	SLUZBY	\N	\N
180272	610	1995-07-31	VYDAJ	VYBER	15	59635	SLUZBY	\N	\N
180273	610	1995-08-31	VYDAJ	VYBER	15	53337	SLUZBY	\N	\N
180274	610	1995-09-30	VYDAJ	VYBER	15	54904	SLUZBY	\N	\N
180275	610	1995-10-31	VYDAJ	VYBER	15	63282	SLUZBY	\N	\N
180276	610	1995-11-30	VYDAJ	VYBER	15	58950	SLUZBY	\N	\N
180277	610	1995-12-31	VYDAJ	VYBER	15	70377	SLUZBY	\N	\N
180278	610	1996-01-31	VYDAJ	VYBER	15	60393	SLUZBY	\N	\N
180279	610	1996-02-29	VYDAJ	VYBER	15	76601	SLUZBY	\N	\N
180280	610	1996-03-31	VYDAJ	VYBER	15	80937	SLUZBY	\N	\N
180281	610	1996-04-30	VYDAJ	VYBER	15	80803	SLUZBY	\N	\N
180282	610	1996-05-31	VYDAJ	VYBER	15	85660	SLUZBY	\N	\N
180283	610	1996-06-30	VYDAJ	VYBER	15	72367	SLUZBY	\N	\N
180284	610	1996-07-31	VYDAJ	VYBER	15	85311	SLUZBY	\N	\N
180285	610	1996-08-31	VYDAJ	VYBER	15	63572	SLUZBY	\N	\N
180286	610	1996-09-30	VYDAJ	VYBER	15	63095	SLUZBY	\N	\N
180287	610	1996-10-31	VYDAJ	VYBER	15	67761	SLUZBY	\N	\N
180288	610	1996-11-30	VYDAJ	VYBER	15	59763	SLUZBY	\N	\N
180289	610	1996-12-31	VYDAJ	VYBER	15	70358	SLUZBY	\N	\N
180290	610	1997-01-31	VYDAJ	VYBER	15	47238	SLUZBY	\N	\N
180291	610	1997-02-28	VYDAJ	VYBER	15	60541	SLUZBY	\N	\N
180292	610	1997-03-31	VYDAJ	VYBER	15	65696	SLUZBY	\N	\N
180293	610	1997-04-30	VYDAJ	VYBER	15	70973	SLUZBY	\N	\N
180294	610	1997-05-31	VYDAJ	VYBER	15	70021	SLUZBY	\N	\N
180295	610	1997-06-30	VYDAJ	VYBER	15	59514	SLUZBY	\N	\N
180296	610	1997-07-31	VYDAJ	VYBER	15	43071	SLUZBY	\N	\N
180297	610	1997-08-31	VYDAJ	VYBER	15	59599	SLUZBY	\N	\N
180298	610	1997-09-30	VYDAJ	VYBER	15	54320	SLUZBY	\N	\N
180299	610	1997-10-31	VYDAJ	VYBER	15	54664	SLUZBY	\N	\N
180300	610	1997-11-30	VYDAJ	VYBER	15	64802	SLUZBY	\N	\N
180301	610	1997-12-31	VYDAJ	VYBER	15	73040	SLUZBY	\N	\N
180302	610	1998-01-31	VYDAJ	VYBER	15	55114	SLUZBY	\N	\N
180303	610	1998-02-28	VYDAJ	VYBER	15	60065	SLUZBY	\N	\N
180304	610	1998-03-31	VYDAJ	VYBER	15	66324	SLUZBY	\N	\N
180305	610	1998-04-30	VYDAJ	VYBER	15	74108	SLUZBY	\N	\N
180306	610	1998-05-31	VYDAJ	VYBER	15	77619	SLUZBY	\N	\N
180307	610	1998-06-30	VYDAJ	VYBER	15	80789	SLUZBY	\N	\N
180308	610	1998-07-31	VYDAJ	VYBER	15	82325	SLUZBY	\N	\N
180309	610	1998-08-31	VYDAJ	VYBER	15	84168	SLUZBY	\N	\N
180310	610	1998-09-30	VYDAJ	VYBER	15	85223	SLUZBY	\N	\N
180311	610	1998-10-31	VYDAJ	VYBER	15	86477	SLUZBY	\N	\N
180312	610	1998-11-30	VYDAJ	VYBER	15	64242	SLUZBY	\N	\N
180313	610	1994-09-10	VYDAJ	VYBER	1900	25117	\N	\N	\N
180314	610	1994-10-10	VYDAJ	VYBER	12800	38607	\N	\N	\N
180315	610	1994-11-09	VYDAJ	VYBER	18400	46569	\N	\N	\N
180316	610	1994-12-09	VYDAJ	VYBER	33200	52880	\N	\N	\N
180317	610	1995-01-08	VYDAJ	VYBER	15000	41811	\N	\N	\N
180318	610	1995-02-07	VYDAJ	VYBER	20300	47899	\N	\N	\N
180319	610	1995-03-09	VYDAJ	VYBER	20300	50096	\N	\N	\N
180320	610	1995-04-08	VYDAJ	VYBER	23800	52701	\N	\N	\N
180321	610	1995-05-08	VYDAJ	VYBER	11600	43287	\N	\N	\N
180322	610	1995-06-07	VYDAJ	VYBER	27400	55382	\N	\N	\N
180323	610	1995-07-07	VYDAJ	VYBER	22400	59405	\N	\N	\N
180324	610	1995-08-06	VYDAJ	VYBER	22300	53052	\N	\N	\N
180325	610	1995-09-05	PRIJEM	VKLAD	700	30878	\N	\N	\N
180326	610	1995-10-05	VYDAJ	VYBER	11500	43404	\N	\N	\N
180327	610	1995-11-04	VYDAJ	VYBER	14300	48982	\N	\N	\N
180328	610	1995-12-04	VYDAJ	VYBER	12900	46050	\N	\N	\N
180329	610	1996-01-03	VYDAJ	VYBER	15500	54877	\N	\N	\N
180330	610	1996-02-02	VYDAJ	VYBER	10300	50093	\N	\N	\N
180331	610	1996-03-03	VYDAJ	VYBER	18900	57701	\N	\N	\N
180332	610	1996-04-02	VYDAJ	VYBER	18000	62937	\N	\N	\N
180333	610	1996-05-02	VYDAJ	VYBER	18100	62703	\N	\N	\N
180334	610	1996-06-01	VYDAJ	VYBER	24900	60760	\N	\N	\N
180335	610	1996-07-01	VYDAJ	VYBER	13600	58767	\N	\N	\N
180336	610	1996-07-31	VYDAJ	VYBER	23100	62211	\N	\N	\N
180337	610	1996-08-30	VYDAJ	VYBER	25100	63328	\N	\N	\N
180338	610	1996-09-29	VYDAJ	VYBER	24900	62840	\N	\N	\N
180339	610	1996-10-29	VYDAJ	VYBER	21800	67512	\N	\N	\N
180340	610	1996-11-28	VYDAJ	VYBER	20100	59478	\N	\N	\N
180341	610	1996-12-28	VYDAJ	VYBER	21500	70089	\N	\N	\N
180342	610	1997-01-27	PRIJEM	VKLAD	400	47010	\N	\N	\N
180343	610	1997-02-26	VYDAJ	VYBER	13100	60355	\N	\N	\N
180344	610	1997-03-28	VYDAJ	VYBER	21300	65458	\N	\N	\N
180345	610	1997-04-27	VYDAJ	VYBER	21200	70713	\N	\N	\N
180346	610	1997-05-27	VYDAJ	VYBER	22100	69690	\N	\N	\N
180347	610	1997-06-26	VYDAJ	VYBER	9100	59207	\N	\N	\N
180348	610	1997-07-26	VYDAJ	VYBER	12700	57115	\N	\N	\N
180349	610	1997-08-25	VYDAJ	VYBER	7100	59362	\N	\N	\N
180350	610	1997-09-24	VYDAJ	VYBER	8000	54088	\N	\N	\N
180351	610	1997-10-24	VYDAJ	VYBER	12300	54435	\N	\N	\N
180352	610	1997-11-23	VYDAJ	VYBER	16300	64581	\N	\N	\N
180353	610	1997-12-23	VYDAJ	VYBER	26300	72728	\N	\N	\N
180354	610	1998-01-22	VYDAJ	VYBER	10200	54857	\N	\N	\N
180355	610	1998-02-21	VYDAJ	VYBER	9800	69131	\N	\N	\N
180356	610	1998-03-23	VYDAJ	VYBER	10600	75682	\N	\N	\N
180357	610	1998-04-22	VYDAJ	VYBER	18700	73841	\N	\N	\N
180358	610	1998-05-22	VYDAJ	VYBER	23000	77325	\N	\N	\N
180359	610	1998-06-21	VYDAJ	VYBER	28700	80445	\N	\N	\N
180360	610	1998-07-21	VYDAJ	VYBER	25000	82006	\N	\N	\N
180361	610	1998-08-20	VYDAJ	VYBER	24700	83842	\N	\N	\N
180362	610	1998-09-19	VYDAJ	VYBER	21000	84885	\N	\N	\N
180363	610	1998-10-19	VYDAJ	VYBER	25300	86140	\N	\N	\N
180364	610	1998-11-06	VYDAJ	VYBER	57800	54894	\N	\N	\N
180365	610	1998-11-18	PRIJEM	VKLAD	9100	63994	\N	\N	\N
180418	611	1997-07-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
180426	611	1997-08-12	PRIJEM	PREVOD Z UCTU	3427	4427	\N	OP	46629828
180427	611	1997-09-12	PRIJEM	PREVOD Z UCTU	3427	7854	\N	OP	46629828
180428	611	1997-10-12	PRIJEM	PREVOD Z UCTU	3427	11281	\N	OP	46629828
180429	611	1997-11-12	PRIJEM	PREVOD Z UCTU	3427	14708	\N	OP	46629828
180430	611	1997-12-12	PRIJEM	PREVOD Z UCTU	3427	18135	\N	OP	46629828
180431	611	1998-01-12	PRIJEM	PREVOD Z UCTU	3427	17609	\N	OP	46629828
180432	611	1998-02-12	PRIJEM	PREVOD Z UCTU	3427	13761	\N	OP	46629828
180433	611	1998-03-12	PRIJEM	PREVOD Z UCTU	3427	13715	\N	OP	46629828
180434	611	1998-04-12	PRIJEM	PREVOD Z UCTU	3427	12193	\N	OP	46629828
180435	611	1998-05-12	PRIJEM	PREVOD Z UCTU	3427	13370	\N	OP	46629828
180436	611	1998-06-12	PRIJEM	PREVOD Z UCTU	3427	12749	\N	OP	46629828
180437	611	1998-07-12	PRIJEM	PREVOD Z UCTU	3427	13929	\N	OP	46629828
180438	611	1998-08-12	PRIJEM	PREVOD Z UCTU	3427	14482	\N	OP	46629828
180439	611	1998-09-12	PRIJEM	PREVOD Z UCTU	3427	12963	\N	OP	46629828
180440	611	1998-10-12	PRIJEM	PREVOD Z UCTU	3427	11537	\N	OP	46629828
180441	611	1998-11-12	PRIJEM	PREVOD Z UCTU	3427	12712	\N	OP	46629828
180442	611	1998-12-12	PRIJEM	PREVOD Z UCTU	3427	13891	\N	OP	46629828
180455	611	1998-01-06	VYDAJ	PREVOD NA UCET	2284	14422	\N	AB	98749815
180456	611	1998-02-06	VYDAJ	PREVOD NA UCET	2284	10334	\N	AB	98749815
180457	611	1998-03-06	VYDAJ	PREVOD NA UCET	2284	10288	\N	AB	98749815
180458	611	1998-04-06	VYDAJ	PREVOD NA UCET	2284	8766	\N	AB	98749815
180459	611	1998-05-06	VYDAJ	PREVOD NA UCET	2284	9943	\N	AB	98749815
180460	611	1998-06-06	VYDAJ	PREVOD NA UCET	2284	9322	\N	AB	98749815
180461	611	1998-07-06	VYDAJ	PREVOD NA UCET	2284	10502	\N	AB	98749815
180462	611	1998-08-06	VYDAJ	PREVOD NA UCET	2284	11055	\N	AB	98749815
180463	611	1998-09-06	VYDAJ	PREVOD NA UCET	2284	9536	\N	AB	98749815
180464	611	1998-10-06	VYDAJ	PREVOD NA UCET	2284	8110	\N	AB	98749815
180465	611	1998-11-06	VYDAJ	PREVOD NA UCET	2284	9285	\N	AB	98749815
180466	611	1998-12-06	VYDAJ	PREVOD NA UCET	2284	10464	\N	AB	98749815
180470	611	1998-01-16	VYDAJ	VYBER	2250	15359	\N	\N	\N
180471	611	1997-12-21	VYDAJ	VYBER	660	17475	\N	\N	\N
180479	611	1998-01-04	VYDAJ	VYBER	780	16706	\N	\N	\N
180480	611	1998-01-30	VYDAJ	VYBER	660	12569	\N	\N	\N
180481	611	1998-01-08	VYDAJ	VYBER	240	14182	\N	\N	\N
180482	611	1998-01-25	VYDAJ	VYBER	810	13229	\N	\N	\N
180483	611	1998-01-22	VYDAJ	VYBER	510	14849	\N	\N	\N
180484	611	1998-01-24	VYDAJ	VYBER	810	14039	\N	\N	\N
180490	611	1998-07-14	VYDAJ	VYBER	630	13299	\N	\N	\N
180491	611	1998-03-01	VYDAJ	VYBER	1230	12572	\N	\N	\N
180505	611	1997-12-31	VYDAJ	VYBER	15	17486	SLUZBY	\N	\N
180506	611	1998-01-31	VYDAJ	VYBER	15	12618	SLUZBY	\N	\N
180507	611	1998-02-28	VYDAJ	VYBER	15	13802	SLUZBY	\N	\N
180508	611	1998-03-31	VYDAJ	VYBER	15	11050	SLUZBY	\N	\N
180509	611	1998-04-30	VYDAJ	VYBER	15	12227	SLUZBY	\N	\N
180510	611	1998-05-31	VYDAJ	VYBER	15	11606	SLUZBY	\N	\N
180511	611	1998-06-30	VYDAJ	VYBER	15	12786	SLUZBY	\N	\N
180512	611	1998-07-31	VYDAJ	VYBER	15	13339	SLUZBY	\N	\N
180513	611	1998-08-31	VYDAJ	VYBER	15	11820	SLUZBY	\N	\N
180514	611	1998-09-30	VYDAJ	VYBER	15	10394	SLUZBY	\N	\N
180515	611	1998-10-31	VYDAJ	VYBER	15	11569	SLUZBY	\N	\N
180516	611	1998-11-30	VYDAJ	VYBER	15	12748	SLUZBY	\N	\N
180517	611	1998-03-18	VYDAJ	VYBER	2700	11015	\N	\N	\N
180518	611	1998-05-17	VYDAJ	VYBER	1800	11570	\N	\N	\N
180519	611	1998-08-15	VYDAJ	VYBER	2700	11782	\N	\N	\N
180520	611	1998-09-14	VYDAJ	VYBER	2600	10363	\N	\N	\N
180534	612	1996-05-27	PRIJEM	VKLAD	300	300	\N	\N	\N
180540	612	1996-06-06	PRIJEM	PREVOD Z UCTU	2904	3204	\N	CD	5646467
180541	612	1996-07-06	PRIJEM	PREVOD Z UCTU	2904	6108	\N	CD	5646467
180542	612	1996-08-06	PRIJEM	PREVOD Z UCTU	2904	9012	\N	CD	5646467
180543	612	1996-09-06	PRIJEM	PREVOD Z UCTU	2904	11916	\N	CD	5646467
180544	612	1996-10-06	PRIJEM	PREVOD Z UCTU	2904	14820	\N	CD	5646467
180545	612	1996-11-06	PRIJEM	PREVOD Z UCTU	2904	15214	\N	CD	5646467
180546	612	1996-12-06	PRIJEM	PREVOD Z UCTU	2904	16222	\N	CD	5646467
180547	612	1997-01-06	PRIJEM	PREVOD Z UCTU	2904	15011	\N	CD	5646467
180548	612	1997-02-06	PRIJEM	PREVOD Z UCTU	2904	13774	\N	CD	5646467
180549	612	1997-03-06	PRIJEM	PREVOD Z UCTU	2904	14776	\N	CD	5646467
180550	612	1997-04-06	PRIJEM	PREVOD Z UCTU	2904	15782	\N	CD	5646467
180551	612	1997-05-06	PRIJEM	PREVOD Z UCTU	2904	16792	\N	CD	5646467
180552	612	1997-06-06	PRIJEM	PREVOD Z UCTU	2904	16605	\N	CD	5646467
180553	612	1997-07-06	PRIJEM	PREVOD Z UCTU	2904	17228	\N	CD	5646467
180554	612	1997-08-06	PRIJEM	PREVOD Z UCTU	2904	13739	\N	CD	5646467
180555	612	1997-09-06	PRIJEM	PREVOD Z UCTU	2904	14741	\N	CD	5646467
180556	612	1997-10-06	PRIJEM	PREVOD Z UCTU	2904	15386	\N	CD	5646467
180557	612	1997-11-06	PRIJEM	PREVOD Z UCTU	2904	16394	\N	CD	5646467
180558	612	1997-12-06	PRIJEM	PREVOD Z UCTU	2904	17407	\N	CD	5646467
180559	612	1998-01-06	PRIJEM	PREVOD Z UCTU	2904	17223	\N	CD	5646467
180560	612	1998-02-06	PRIJEM	PREVOD Z UCTU	2904	15715	\N	CD	5646467
180561	612	1998-03-06	PRIJEM	PREVOD Z UCTU	2904	16724	\N	CD	5646467
180562	612	1998-04-06	PRIJEM	PREVOD Z UCTU	2904	17738	\N	CD	5646467
180563	612	1998-05-06	PRIJEM	PREVOD Z UCTU	2904	18275	\N	CD	5646467
180564	612	1998-06-06	PRIJEM	PREVOD Z UCTU	2904	16836	\N	CD	5646467
180565	612	1998-07-06	PRIJEM	PREVOD Z UCTU	2904	17853	\N	CD	5646467
180566	612	1998-08-06	PRIJEM	PREVOD Z UCTU	2904	17909	\N	CD	5646467
180567	612	1998-09-06	PRIJEM	PREVOD Z UCTU	2904	18928	\N	CD	5646467
180568	612	1998-10-06	PRIJEM	PREVOD Z UCTU	2904	19951	\N	CD	5646467
180569	612	1998-11-06	PRIJEM	PREVOD Z UCTU	2904	20978	\N	CD	5646467
180570	612	1998-12-06	PRIJEM	PREVOD Z UCTU	2904	20597	\N	CD	5646467
180580	612	1996-10-08	VYDAJ	PREVOD NA UCET	1936	12884	SIPO	YZ	28562253
180581	612	1996-11-08	VYDAJ	PREVOD NA UCET	1936	13278	SIPO	YZ	28562253
180582	612	1996-12-08	VYDAJ	PREVOD NA UCET	1936	14286	SIPO	YZ	28562253
180583	612	1997-01-08	VYDAJ	PREVOD NA UCET	1936	13075	SIPO	YZ	28562253
180584	612	1997-02-08	VYDAJ	PREVOD NA UCET	1936	11838	SIPO	YZ	28562253
180585	612	1997-03-08	VYDAJ	PREVOD NA UCET	1936	12840	SIPO	YZ	28562253
180586	612	1997-04-08	VYDAJ	PREVOD NA UCET	1936	13846	SIPO	YZ	28562253
180587	612	1997-05-08	VYDAJ	PREVOD NA UCET	1936	14856	SIPO	YZ	28562253
180588	612	1997-06-08	VYDAJ	PREVOD NA UCET	1936	14669	SIPO	YZ	28562253
180589	612	1997-07-08	VYDAJ	PREVOD NA UCET	1936	15292	SIPO	YZ	28562253
180590	612	1997-08-08	VYDAJ	PREVOD NA UCET	1936	11803	SIPO	YZ	28562253
180591	612	1997-09-08	VYDAJ	PREVOD NA UCET	1936	12445	SIPO	YZ	28562253
180592	612	1997-10-08	VYDAJ	PREVOD NA UCET	1936	13450	SIPO	YZ	28562253
180593	612	1997-11-08	VYDAJ	PREVOD NA UCET	1936	14458	SIPO	YZ	28562253
180594	612	1997-12-08	VYDAJ	PREVOD NA UCET	1936	15471	SIPO	YZ	28562253
180595	612	1998-01-08	VYDAJ	PREVOD NA UCET	1936	15287	SIPO	YZ	28562253
180596	612	1998-02-08	VYDAJ	PREVOD NA UCET	1936	13779	SIPO	YZ	28562253
180597	612	1998-03-08	VYDAJ	PREVOD NA UCET	1936	14788	SIPO	YZ	28562253
180598	612	1998-04-08	VYDAJ	PREVOD NA UCET	1936	15802	SIPO	YZ	28562253
180599	612	1998-05-08	VYDAJ	PREVOD NA UCET	1936	16339	SIPO	YZ	28562253
180600	612	1998-06-08	VYDAJ	PREVOD NA UCET	1936	14900	SIPO	YZ	28562253
180601	612	1998-07-08	VYDAJ	PREVOD NA UCET	1936	15917	SIPO	YZ	28562253
180602	612	1998-08-08	VYDAJ	PREVOD NA UCET	1936	15973	SIPO	YZ	28562253
180603	612	1998-09-08	VYDAJ	PREVOD NA UCET	1936	16992	SIPO	YZ	28562253
180604	612	1998-10-08	VYDAJ	PREVOD NA UCET	1936	18015	SIPO	YZ	28562253
180605	612	1998-11-08	VYDAJ	PREVOD NA UCET	1936	19042	SIPO	YZ	28562253
180606	612	1998-12-08	VYDAJ	PREVOD NA UCET	1936	18661	SIPO	YZ	28562253
180609	612	1998-06-02	VYDAJ	VYBER	2460	13932	\N	\N	\N
180611	612	1997-01-11	VYDAJ	VYBER	330	12385	\N	\N	\N
180613	612	1996-12-23	VYDAJ	VYBER	720	12066	\N	\N	\N
180614	612	1997-12-12	VYDAJ	VYBER	390	15081	\N	\N	\N
180615	612	1998-12-08	VYDAJ	VYBER	570	18091	\N	\N	\N
180622	612	1997-01-10	VYDAJ	VYBER	360	12715	\N	\N	\N
180627	612	1997-01-19	VYDAJ	VYBER	150	12235	\N	\N	\N
180628	612	1998-01-12	VYDAJ	VYBER	840	14447	\N	\N	\N
180629	612	1998-01-02	VYDAJ	VYBER	810	14319	\N	\N	\N
180630	612	1998-01-16	VYDAJ	VYBER	780	12977	\N	\N	\N
180632	612	1998-01-16	VYDAJ	VYBER	690	13757	\N	\N	\N
180637	612	1996-10-23	VYDAJ	VYBER	600	12284	\N	\N	\N
180640	612	1997-09-06	VYDAJ	VYBER	360	14381	\N	\N	\N
180643	612	1997-07-01	VYDAJ	VYBER	390	14324	\N	\N	\N
180644	612	1998-01-20	VYDAJ	VYBER	210	12767	\N	\N	\N
180645	612	1998-07-15	VYDAJ	VYBER	960	14957	\N	\N	\N
180646	612	1998-04-15	VYDAJ	VYBER	480	15322	\N	\N	\N
180647	612	1998-11-16	VYDAJ	VYBER	1410	17632	\N	\N	\N
180658	612	1996-10-31	VYDAJ	VYBER	15	12310	SLUZBY	\N	\N
180659	612	1996-11-30	VYDAJ	VYBER	15	13318	SLUZBY	\N	\N
180660	612	1996-12-31	VYDAJ	VYBER	15	12107	SLUZBY	\N	\N
180661	612	1997-01-31	VYDAJ	VYBER	15	10870	SLUZBY	\N	\N
180662	612	1997-02-28	VYDAJ	VYBER	15	11872	SLUZBY	\N	\N
180663	612	1997-03-31	VYDAJ	VYBER	15	12878	SLUZBY	\N	\N
180664	612	1997-04-30	VYDAJ	VYBER	15	13888	SLUZBY	\N	\N
180665	612	1997-05-31	VYDAJ	VYBER	15	13701	SLUZBY	\N	\N
180666	612	1997-06-30	VYDAJ	VYBER	15	14714	SLUZBY	\N	\N
180667	612	1997-07-31	VYDAJ	VYBER	15	10835	SLUZBY	\N	\N
180668	612	1997-08-31	VYDAJ	VYBER	15	11837	SLUZBY	\N	\N
180669	612	1997-09-30	VYDAJ	VYBER	15	12482	SLUZBY	\N	\N
180670	612	1997-10-31	VYDAJ	VYBER	15	13490	SLUZBY	\N	\N
180671	612	1997-11-30	VYDAJ	VYBER	15	14503	SLUZBY	\N	\N
180672	612	1997-12-31	VYDAJ	VYBER	15	15129	SLUZBY	\N	\N
180673	612	1998-01-31	VYDAJ	VYBER	15	12811	SLUZBY	\N	\N
180674	612	1998-02-28	VYDAJ	VYBER	15	13820	SLUZBY	\N	\N
180675	612	1998-03-31	VYDAJ	VYBER	15	14834	SLUZBY	\N	\N
180676	612	1998-04-30	VYDAJ	VYBER	15	15371	SLUZBY	\N	\N
180677	612	1998-05-31	VYDAJ	VYBER	15	16392	SLUZBY	\N	\N
180678	612	1998-06-30	VYDAJ	VYBER	15	14949	SLUZBY	\N	\N
180679	612	1998-07-31	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
180680	612	1998-08-31	VYDAJ	VYBER	15	16024	SLUZBY	\N	\N
180681	612	1998-09-30	VYDAJ	VYBER	15	17047	SLUZBY	\N	\N
180682	612	1998-10-31	VYDAJ	VYBER	15	18074	SLUZBY	\N	\N
180683	612	1998-11-30	VYDAJ	VYBER	15	17693	SLUZBY	\N	\N
180684	612	1996-12-23	VYDAJ	VYBER	1500	12786	\N	\N	\N
180685	612	1997-01-22	VYDAJ	VYBER	1400	10835	\N	\N	\N
180686	612	1997-05-22	VYDAJ	VYBER	1200	13656	\N	\N	\N
180687	612	1997-07-21	VYDAJ	VYBER	4500	10792	\N	\N	\N
180715	613	1996-08-10	PRIJEM	VKLAD	600	600	\N	\N	\N
180724	613	1996-09-07	PRIJEM	PREVOD Z UCTU	12586	13186	\N	WX	51243847
180725	613	1996-10-07	PRIJEM	PREVOD Z UCTU	12586	33536	\N	WX	51243847
180726	613	1996-11-07	PRIJEM	PREVOD Z UCTU	12586	45546	\N	WX	51243847
180727	613	1996-12-07	PRIJEM	PREVOD Z UCTU	18879	58784	\N	WX	51243847
180728	613	1997-01-07	PRIJEM	PREVOD Z UCTU	12586	57451	\N	WX	51243847
180729	613	1997-02-07	PRIJEM	PREVOD Z UCTU	12586	34794	\N	WX	51243847
180730	613	1997-03-07	PRIJEM	PREVOD Z UCTU	12586	45011	\N	WX	51243847
180731	613	1997-04-07	PRIJEM	PREVOD Z UCTU	12586	42725	\N	WX	51243847
180732	613	1997-05-07	PRIJEM	PREVOD Z UCTU	12586	39276	\N	WX	51243847
180733	613	1997-06-07	PRIJEM	PREVOD Z UCTU	18879	37557	\N	WX	51243847
180734	613	1997-07-07	PRIJEM	PREVOD Z UCTU	12586	34881	\N	WX	51243847
180735	613	1997-08-07	PRIJEM	PREVOD Z UCTU	12586	27690	\N	WX	51243847
180736	613	1997-09-07	PRIJEM	PREVOD Z UCTU	12586	34884	\N	WX	51243847
180737	613	1997-10-07	PRIJEM	PREVOD Z UCTU	12586	34810	\N	WX	51243847
180738	613	1997-11-07	PRIJEM	PREVOD Z UCTU	12586	38741	\N	WX	51243847
180739	613	1997-12-07	PRIJEM	PREVOD Z UCTU	18879	42378	\N	WX	51243847
180740	613	1998-01-07	PRIJEM	PREVOD Z UCTU	12586	37638	\N	WX	51243847
180741	613	1998-02-07	PRIJEM	PREVOD Z UCTU	12586	25935	\N	WX	51243847
180742	613	1998-03-07	PRIJEM	PREVOD Z UCTU	12586	28723	\N	WX	51243847
180743	613	1998-04-07	PRIJEM	PREVOD Z UCTU	12586	26423	\N	WX	51243847
180744	613	1998-05-07	PRIJEM	PREVOD Z UCTU	12586	24590	\N	WX	51243847
180745	613	1998-06-07	PRIJEM	PREVOD Z UCTU	18879	41114	\N	WX	51243847
180746	613	1998-07-07	PRIJEM	PREVOD Z UCTU	12586	27095	\N	WX	51243847
180747	613	1998-08-07	PRIJEM	PREVOD Z UCTU	12586	34892	\N	WX	51243847
180748	613	1998-09-07	PRIJEM	PREVOD Z UCTU	12586	47472	\N	WX	51243847
180749	613	1998-10-07	PRIJEM	PREVOD Z UCTU	12586	36379	\N	WX	51243847
180750	613	1998-11-07	PRIJEM	PREVOD Z UCTU	12586	31861	\N	WX	51243847
180751	613	1998-12-07	PRIJEM	PREVOD Z UCTU	18879	44085	\N	WX	51243847
180768	613	1998-05-09	VYBER	VYBER	2348	22242	\N	\N	\N
180774	613	1998-11-14	VYBER	VYBER	6649	25212	\N	\N	\N
180776	613	1998-12-08	VYBER	VYBER	6493	37592	\N	\N	\N
180779	613	1998-04-09	VYBER	VYBER	5213	21210	\N	\N	\N
180794	613	1997-01-16	VYDAJ	VYBER	6300	29451	\N	\N	\N
180797	613	1997-01-15	VYDAJ	VYBER	1500	41451	\N	\N	\N
180798	613	1997-01-22	VYDAJ	VYBER	7200	22251	\N	\N	\N
180799	613	1997-01-16	VYDAJ	VYBER	5700	35751	\N	\N	\N
180800	613	1998-01-15	VYDAJ	VYBER	1500	25338	\N	\N	\N
180801	613	1998-01-09	VYDAJ	VYBER	2700	26838	\N	\N	\N
180802	613	1998-01-18	VYDAJ	VYBER	3000	19638	\N	\N	\N
180803	613	1998-01-16	VYDAJ	VYBER	2700	22638	\N	\N	\N
180805	613	1998-01-08	VYDAJ	VYBER	8100	29538	\N	\N	\N
180811	613	1997-07-14	VYDAJ	VYBER	6300	28581	\N	\N	\N
180812	613	1997-07-28	VYDAJ	VYBER	9300	19281	\N	\N	\N
180813	613	1997-02-21	VYDAJ	VYBER	2400	32394	\N	\N	\N
180814	613	1997-06-21	VYDAJ	VYBER	5100	32457	\N	\N	\N
180815	613	1998-07-13	VYDAJ	VYBER	4800	22295	\N	\N	\N
180816	613	1998-09-08	VYDAJ	VYBER	10500	36972	\N	\N	\N
180817	613	1998-09-14	VYDAJ	VYBER	13200	23772	\N	\N	\N
180820	613	1998-03-19	VYDAJ	VYBER	1800	26923	\N	\N	\N
180835	613	1997-01-31	VYDAJ	VYBER	100	22308	SLUZBY	\N	\N
180836	613	1997-02-28	VYDAJ	VYBER	100	32425	SLUZBY	\N	\N
180837	613	1997-03-31	VYDAJ	VYBER	100	30139	SLUZBY	\N	\N
180838	613	1997-04-30	VYDAJ	VYBER	100	26690	SLUZBY	\N	\N
180839	613	1997-05-31	VYDAJ	VYBER	100	23878	SLUZBY	\N	\N
180840	613	1997-06-30	VYDAJ	VYBER	100	32495	SLUZBY	\N	\N
180841	613	1997-07-31	VYDAJ	VYBER	100	19304	SLUZBY	\N	\N
180842	613	1997-08-31	VYDAJ	VYBER	100	27698	SLUZBY	\N	\N
180843	613	1997-09-30	VYDAJ	VYBER	100	34924	SLUZBY	\N	\N
180844	613	1997-10-31	VYDAJ	VYBER	100	34855	SLUZBY	\N	\N
180845	613	1997-11-30	VYDAJ	VYBER	100	38799	SLUZBY	\N	\N
180846	613	1997-12-31	VYDAJ	VYBER	100	42452	SLUZBY	\N	\N
180847	613	1998-01-31	VYDAJ	VYBER	100	19649	SLUZBY	\N	\N
180848	613	1998-02-28	VYDAJ	VYBER	100	25937	SLUZBY	\N	\N
180849	613	1998-03-31	VYDAJ	VYBER	100	26937	SLUZBY	\N	\N
180850	613	1998-04-30	VYDAJ	VYBER	100	21204	SLUZBY	\N	\N
180851	613	1998-05-31	VYDAJ	VYBER	100	22235	SLUZBY	\N	\N
180852	613	1998-06-30	VYDAJ	VYBER	100	41109	SLUZBY	\N	\N
180853	613	1998-07-31	VYDAJ	VYBER	100	22306	SLUZBY	\N	\N
180854	613	1998-08-31	VYDAJ	VYBER	100	34886	SLUZBY	\N	\N
180855	613	1998-09-30	VYDAJ	VYBER	100	23793	SLUZBY	\N	\N
180856	613	1998-10-31	VYDAJ	VYBER	100	19275	SLUZBY	\N	\N
180857	613	1998-11-30	VYDAJ	VYBER	100	25206	SLUZBY	\N	\N
180858	613	1996-09-09	PRIJEM	VKLAD	7700	20886	\N	\N	\N
180859	613	1996-10-09	VYDAJ	VYBER	700	32836	\N	\N	\N
180860	613	1996-11-08	VYDAJ	VYBER	5800	39746	\N	\N	\N
180861	613	1996-12-08	VYDAJ	VYBER	14100	44684	\N	\N	\N
180862	613	1997-01-07	VYDAJ	VYBER	14500	42951	\N	\N	\N
180863	613	1997-02-06	VYDAJ	VYBER	100	22208	\N	\N	\N
180864	613	1997-03-08	VYDAJ	VYBER	14900	30111	\N	\N	\N
180865	613	1997-04-07	VYDAJ	VYBER	16100	26625	\N	\N	\N
180866	613	1997-05-07	VYDAJ	VYBER	15400	23876	\N	\N	\N
180867	613	1997-06-06	VYDAJ	VYBER	5200	18678	\N	\N	\N
180868	613	1997-07-06	VYDAJ	VYBER	10200	22295	\N	\N	\N
180869	613	1997-08-05	VYDAJ	VYBER	4200	15104	\N	\N	\N
180870	613	1997-09-04	VYDAJ	VYBER	5400	22298	\N	\N	\N
180871	613	1997-10-04	VYDAJ	VYBER	12700	22224	\N	\N	\N
180872	613	1997-11-03	VYDAJ	VYBER	8700	26155	\N	\N	\N
180873	613	1997-12-03	VYDAJ	VYBER	15300	23499	\N	\N	\N
180874	613	1998-01-02	VYDAJ	VYBER	17400	25052	\N	\N	\N
180875	613	1998-02-01	VYDAJ	VYBER	6300	13349	\N	\N	\N
180876	613	1998-03-03	VYDAJ	VYBER	9800	16137	\N	\N	\N
180877	613	1998-04-02	VYDAJ	VYBER	13100	13837	\N	\N	\N
180878	613	1998-05-02	VYDAJ	VYBER	9200	12004	\N	\N	\N
180879	613	1998-07-01	VYDAJ	VYBER	26600	14509	\N	\N	\N
180880	613	1998-10-29	VYDAJ	VYBER	17100	19279	\N	\N	\N
180909	614	1997-06-07	PRIJEM	VKLAD	200	200	\N	\N	\N
180915	614	1997-06-11	PRIJEM	PREVOD Z UCTU	5767	5967	DUCHOD	EF	57052653
180916	614	1997-07-11	PRIJEM	PREVOD Z UCTU	5767	11751	DUCHOD	EF	57052653
180917	614	1997-08-11	PRIJEM	PREVOD Z UCTU	5767	17542	DUCHOD	EF	57052653
180918	614	1997-09-11	PRIJEM	PREVOD Z UCTU	5767	23334	DUCHOD	EF	57052653
180919	614	1997-10-11	PRIJEM	PREVOD Z UCTU	5767	29126	DUCHOD	EF	57052653
180920	614	1997-11-11	PRIJEM	PREVOD Z UCTU	5767	29003	DUCHOD	EF	57052653
180921	614	1997-12-11	PRIJEM	PREVOD Z UCTU	5767	29763	DUCHOD	EF	57052653
180922	614	1998-01-11	PRIJEM	PREVOD Z UCTU	5767	27482	DUCHOD	EF	57052653
180923	614	1998-02-11	PRIJEM	PREVOD Z UCTU	5767	23620	DUCHOD	EF	57052653
180924	614	1998-03-11	PRIJEM	PREVOD Z UCTU	5767	27802	DUCHOD	EF	57052653
180925	614	1998-04-11	PRIJEM	PREVOD Z UCTU	5767	32001	DUCHOD	EF	57052653
180926	614	1998-05-11	PRIJEM	PREVOD Z UCTU	5767	36217	DUCHOD	EF	57052653
180927	614	1998-06-11	PRIJEM	PREVOD Z UCTU	5767	30236	DUCHOD	EF	57052653
180928	614	1998-07-11	PRIJEM	PREVOD Z UCTU	5767	34446	DUCHOD	EF	57052653
180929	614	1998-08-11	PRIJEM	PREVOD Z UCTU	5767	35392	DUCHOD	EF	57052653
180930	614	1998-09-11	PRIJEM	PREVOD Z UCTU	5767	37226	DUCHOD	EF	57052653
180931	614	1998-10-11	PRIJEM	PREVOD Z UCTU	5767	38663	DUCHOD	EF	57052653
180932	614	1998-11-11	PRIJEM	PREVOD Z UCTU	5767	42106	DUCHOD	EF	57052653
180933	614	1998-12-11	PRIJEM	PREVOD Z UCTU	5767	42081	DUCHOD	EF	57052653
180944	614	1997-11-05	VYDAJ	PREVOD NA UCET	1664	26996	SIPO	YZ	9777558
180945	614	1997-12-05	VYDAJ	PREVOD NA UCET	1664	23996	SIPO	YZ	9777558
180946	614	1998-01-05	VYDAJ	PREVOD NA UCET	1664	24755	SIPO	YZ	9777558
180947	614	1998-02-05	VYDAJ	PREVOD NA UCET	1664	20013	SIPO	YZ	9777558
180948	614	1998-03-05	VYDAJ	PREVOD NA UCET	1664	22035	SIPO	YZ	9777558
180949	614	1998-04-05	VYDAJ	PREVOD NA UCET	1664	26234	SIPO	YZ	9777558
180950	614	1998-05-05	VYDAJ	PREVOD NA UCET	1664	30450	SIPO	YZ	9777558
180951	614	1998-06-05	VYDAJ	PREVOD NA UCET	1664	24469	SIPO	YZ	9777558
180952	614	1998-07-05	VYDAJ	PREVOD NA UCET	1664	28679	SIPO	YZ	9777558
180953	614	1998-08-05	VYDAJ	PREVOD NA UCET	1664	32905	SIPO	YZ	9777558
180954	614	1998-09-05	VYDAJ	PREVOD NA UCET	1664	33859	SIPO	YZ	9777558
180955	614	1998-10-05	VYDAJ	PREVOD NA UCET	1664	32896	SIPO	YZ	9777558
180956	614	1998-11-05	VYDAJ	PREVOD NA UCET	1664	36339	SIPO	YZ	9777558
180957	614	1998-12-05	VYDAJ	PREVOD NA UCET	1664	36314	SIPO	YZ	9777558
180959	614	1998-06-03	VYDAJ	VYBER	3550	26133	\N	\N	\N
180961	614	1998-01-23	VYDAJ	VYBER	850	23752	\N	\N	\N
180968	614	1998-01-16	VYDAJ	VYBER	400	24602	\N	\N	\N
180969	614	1998-01-13	VYDAJ	VYBER	400	25002	\N	\N	\N
180970	614	1998-01-24	VYDAJ	VYBER	2160	21592	\N	\N	\N
180971	614	1998-01-11	VYDAJ	VYBER	2080	25402	\N	\N	\N
180972	614	1998-01-05	VYDAJ	VYBER	2320	22435	\N	\N	\N
180973	614	1998-01-10	VYDAJ	VYBER	720	21715	\N	\N	\N
180974	614	1997-11-20	VYDAJ	VYBER	3440	25563	\N	\N	\N
180976	614	1997-12-14	VYDAJ	VYBER	3440	26323	\N	\N	\N
180977	614	1997-11-03	VYDAJ	VYBER	480	28660	\N	\N	\N
180980	614	1997-11-08	VYDAJ	VYBER	3760	23236	\N	\N	\N
180981	614	1998-05-22	VYDAJ	VYBER	3360	32857	\N	\N	\N
180982	614	1998-12-23	VYDAJ	VYBER	2960	39121	\N	\N	\N
180983	614	1998-09-27	VYDAJ	VYBER	2800	34426	\N	\N	\N
180984	614	1998-02-09	VYDAJ	VYBER	2160	17853	\N	\N	\N
180985	614	1998-11-22	VYDAJ	VYBER	2480	39626	\N	\N	\N
180986	614	1998-08-10	VYDAJ	VYBER	3280	29625	\N	\N	\N
180987	614	1998-09-06	VYDAJ	VYBER	2400	31459	\N	\N	\N
180998	614	1997-10-31	VYDAJ	VYBER	15	29140	SLUZBY	\N	\N
180999	614	1997-11-30	VYDAJ	VYBER	15	25660	SLUZBY	\N	\N
181000	614	1997-12-31	VYDAJ	VYBER	15	26419	SLUZBY	\N	\N
181001	614	1998-01-31	VYDAJ	VYBER	15	21677	SLUZBY	\N	\N
181002	614	1998-02-28	VYDAJ	VYBER	15	23699	SLUZBY	\N	\N
181003	614	1998-03-31	VYDAJ	VYBER	15	27898	SLUZBY	\N	\N
181004	614	1998-04-30	VYDAJ	VYBER	15	32114	SLUZBY	\N	\N
181005	614	1998-05-31	VYDAJ	VYBER	15	32983	SLUZBY	\N	\N
181006	614	1998-06-30	VYDAJ	VYBER	15	30343	SLUZBY	\N	\N
181007	614	1998-07-31	VYDAJ	VYBER	15	34569	SLUZBY	\N	\N
181008	614	1998-08-31	VYDAJ	VYBER	15	35523	SLUZBY	\N	\N
181009	614	1998-09-30	VYDAJ	VYBER	15	34560	SLUZBY	\N	\N
181010	614	1998-10-31	VYDAJ	VYBER	15	38003	SLUZBY	\N	\N
181011	614	1998-11-30	VYDAJ	VYBER	15	37978	SLUZBY	\N	\N
181012	614	1998-06-02	VYDAJ	VYBER	3300	29683	\N	\N	\N
181013	614	1998-10-30	VYDAJ	VYBER	800	37863	\N	\N	\N
181014	614	1998-11-29	VYDAJ	VYBER	1800	37826	\N	\N	\N
181034	615	1996-04-09	PRIJEM	VKLAD	800	800	\N	\N	\N
181038	615	1996-04-12	PRIJEM	PREVOD Z UCTU	3144	3944	\N	EF	23401397
181039	615	1996-05-12	PRIJEM	PREVOD Z UCTU	3144	7098	\N	EF	23401397
181040	615	1996-06-12	PRIJEM	PREVOD Z UCTU	3144	10259	\N	EF	23401397
181041	615	1996-07-12	PRIJEM	PREVOD Z UCTU	3144	13419	\N	EF	23401397
181042	615	1996-08-12	PRIJEM	PREVOD Z UCTU	3144	16580	\N	EF	23401397
181043	615	1996-09-12	PRIJEM	PREVOD Z UCTU	3144	17658	\N	EF	23401397
181044	615	1996-10-12	PRIJEM	PREVOD Z UCTU	3144	17553	\N	EF	23401397
181045	615	1996-11-12	PRIJEM	PREVOD Z UCTU	3144	18650	\N	EF	23401397
181046	615	1996-12-12	PRIJEM	PREVOD Z UCTU	3144	19751	\N	EF	23401397
181047	615	1997-01-12	PRIJEM	PREVOD Z UCTU	3144	18756	\N	EF	23401397
181048	615	1997-02-12	PRIJEM	PREVOD Z UCTU	3144	18055	\N	EF	23401397
181049	615	1997-03-12	PRIJEM	PREVOD Z UCTU	3144	18674	\N	EF	23401397
181050	615	1997-04-12	PRIJEM	PREVOD Z UCTU	3144	19775	\N	EF	23401397
181051	615	1997-05-12	PRIJEM	PREVOD Z UCTU	3144	20041	\N	EF	23401397
181052	615	1997-06-12	PRIJEM	PREVOD Z UCTU	3144	21148	\N	EF	23401397
181053	615	1997-07-12	PRIJEM	PREVOD Z UCTU	3144	22260	\N	EF	23401397
181054	615	1997-08-12	PRIJEM	PREVOD Z UCTU	3144	23376	\N	EF	23401397
181055	615	1997-09-12	PRIJEM	PREVOD Z UCTU	3144	24227	\N	EF	23401397
181056	615	1997-10-12	PRIJEM	PREVOD Z UCTU	3144	24951	\N	EF	23401397
181057	615	1997-11-12	PRIJEM	PREVOD Z UCTU	3144	25419	\N	EF	23401397
181058	615	1997-12-12	PRIJEM	PREVOD Z UCTU	3144	25349	\N	EF	23401397
181059	615	1998-01-12	PRIJEM	PREVOD Z UCTU	3144	24917	\N	EF	23401397
181060	615	1998-02-12	PRIJEM	PREVOD Z UCTU	3144	22282	\N	EF	23401397
181061	615	1998-03-12	PRIJEM	PREVOD Z UCTU	3144	23398	\N	EF	23401397
181062	615	1998-04-12	PRIJEM	PREVOD Z UCTU	3144	23677	\N	EF	23401397
181063	615	1998-05-12	PRIJEM	PREVOD Z UCTU	3144	24078	\N	EF	23401397
181064	615	1998-06-12	PRIJEM	PREVOD Z UCTU	3144	25202	\N	EF	23401397
181065	615	1998-07-12	PRIJEM	PREVOD Z UCTU	3144	24029	\N	EF	23401397
181066	615	1998-08-12	PRIJEM	PREVOD Z UCTU	3144	25153	\N	EF	23401397
181067	615	1998-09-12	PRIJEM	PREVOD Z UCTU	3144	26281	\N	EF	23401397
181068	615	1998-10-12	PRIJEM	PREVOD Z UCTU	3144	26814	\N	EF	23401397
181069	615	1998-11-12	PRIJEM	PREVOD Z UCTU	3144	27949	\N	EF	23401397
181070	615	1998-12-12	PRIJEM	PREVOD Z UCTU	3144	27278	\N	EF	23401397
181078	615	1996-08-12	VYDAJ	PREVOD NA UCET	309	16271	SIPO	UV	30659657
181079	615	1996-09-12	VYDAJ	PREVOD NA UCET	309	17349	SIPO	UV	30659657
181080	615	1996-10-12	VYDAJ	PREVOD NA UCET	309	17244	SIPO	UV	30659657
181081	615	1996-11-12	VYDAJ	PREVOD NA UCET	309	18341	SIPO	UV	30659657
181082	615	1996-12-12	VYDAJ	PREVOD NA UCET	309	19442	SIPO	UV	30659657
181083	615	1997-01-12	VYDAJ	PREVOD NA UCET	309	18447	SIPO	UV	30659657
181084	615	1997-02-12	VYDAJ	PREVOD NA UCET	309	17746	SIPO	UV	30659657
181085	615	1997-03-12	VYDAJ	PREVOD NA UCET	309	18365	SIPO	UV	30659657
181086	615	1997-04-12	VYDAJ	PREVOD NA UCET	309	19466	SIPO	UV	30659657
181087	615	1997-05-12	VYDAJ	PREVOD NA UCET	309	19732	SIPO	UV	30659657
181088	615	1997-06-12	VYDAJ	PREVOD NA UCET	309	20839	SIPO	UV	30659657
181089	615	1997-07-12	VYDAJ	PREVOD NA UCET	309	21951	SIPO	UV	30659657
181090	615	1997-08-12	VYDAJ	PREVOD NA UCET	309	23067	SIPO	UV	30659657
181091	615	1997-09-12	VYDAJ	PREVOD NA UCET	309	23918	SIPO	UV	30659657
181092	615	1997-10-12	VYDAJ	PREVOD NA UCET	309	24642	SIPO	UV	30659657
181093	615	1997-11-12	VYDAJ	PREVOD NA UCET	309	25110	SIPO	UV	30659657
181094	615	1997-12-12	VYDAJ	PREVOD NA UCET	309	25040	SIPO	UV	30659657
181095	615	1998-01-12	VYDAJ	PREVOD NA UCET	309	24608	SIPO	UV	30659657
181096	615	1998-02-12	VYDAJ	PREVOD NA UCET	309	21973	SIPO	UV	30659657
181097	615	1998-03-12	VYDAJ	PREVOD NA UCET	309	22249	SIPO	UV	30659657
181098	615	1998-04-12	VYDAJ	PREVOD NA UCET	309	23368	SIPO	UV	30659657
181099	615	1998-05-12	VYDAJ	PREVOD NA UCET	309	23769	SIPO	UV	30659657
181100	615	1998-06-12	VYDAJ	PREVOD NA UCET	309	24893	SIPO	UV	30659657
181101	615	1998-07-12	VYDAJ	PREVOD NA UCET	309	23720	SIPO	UV	30659657
181102	615	1998-08-12	VYDAJ	PREVOD NA UCET	309	24844	SIPO	UV	30659657
181103	615	1998-09-12	VYDAJ	PREVOD NA UCET	309	25972	SIPO	UV	30659657
181104	615	1998-10-12	VYDAJ	PREVOD NA UCET	309	26505	SIPO	UV	30659657
181105	615	1998-11-12	VYDAJ	PREVOD NA UCET	309	27640	SIPO	UV	30659657
181106	615	1998-12-12	VYDAJ	PREVOD NA UCET	309	26969	SIPO	UV	30659657
181114	615	1996-08-14	VYDAJ	PREVOD NA UCET	1787	14484	 	OP	63728749
181115	615	1996-09-14	VYDAJ	PREVOD NA UCET	1787	15562	 	OP	63728749
181116	615	1996-10-14	VYDAJ	PREVOD NA UCET	1787	15457	 	OP	63728749
181117	615	1996-11-14	VYDAJ	PREVOD NA UCET	1787	16554	 	OP	63728749
181118	615	1996-12-14	VYDAJ	PREVOD NA UCET	1787	17655	 	OP	63728749
181119	615	1997-01-14	VYDAJ	PREVOD NA UCET	1787	16660	 	OP	63728749
181120	615	1997-02-14	VYDAJ	PREVOD NA UCET	1787	15959	 	OP	63728749
181121	615	1997-03-14	VYDAJ	PREVOD NA UCET	1787	16578	 	OP	63728749
181122	615	1997-04-14	VYDAJ	PREVOD NA UCET	1787	17679	 	OP	63728749
181123	615	1997-05-14	VYDAJ	PREVOD NA UCET	1787	17945	 	OP	63728749
181124	615	1997-06-14	VYDAJ	PREVOD NA UCET	1787	19052	 	OP	63728749
181125	615	1997-07-14	VYDAJ	PREVOD NA UCET	1787	20164	 	OP	63728749
181126	615	1997-08-14	VYDAJ	PREVOD NA UCET	1787	21280	 	OP	63728749
181127	615	1997-09-14	VYDAJ	PREVOD NA UCET	1787	22131	 	OP	63728749
181128	615	1997-10-14	VYDAJ	PREVOD NA UCET	1787	22855	 	OP	63728749
181129	615	1997-11-14	VYDAJ	PREVOD NA UCET	1787	23323	 	OP	63728749
181130	615	1997-12-14	VYDAJ	PREVOD NA UCET	1787	23253	 	OP	63728749
181131	615	1998-01-14	VYDAJ	PREVOD NA UCET	1787	22821	 	OP	63728749
181132	615	1998-02-14	VYDAJ	PREVOD NA UCET	1787	20186	 	OP	63728749
181133	615	1998-03-14	VYDAJ	PREVOD NA UCET	1787	20462	 	OP	63728749
181134	615	1998-04-14	VYDAJ	PREVOD NA UCET	1787	21581	 	OP	63728749
181135	615	1998-05-14	VYDAJ	PREVOD NA UCET	1787	21982	 	OP	63728749
181136	615	1998-06-14	VYDAJ	PREVOD NA UCET	1787	23106	 	OP	63728749
181137	615	1998-07-14	VYDAJ	PREVOD NA UCET	1787	21933	 	OP	63728749
181138	615	1998-08-14	VYDAJ	PREVOD NA UCET	1787	23057	 	OP	63728749
181139	615	1998-09-14	VYDAJ	PREVOD NA UCET	1787	24185	 	OP	63728749
181140	615	1998-10-14	VYDAJ	PREVOD NA UCET	1787	24718	 	OP	63728749
181141	615	1998-11-14	VYDAJ	PREVOD NA UCET	1787	25853	 	OP	63728749
181142	615	1998-12-14	VYDAJ	PREVOD NA UCET	1787	25182	 	OP	63728749
181143	615	1996-12-16	VYDAJ	VYBER	810	16845	\N	\N	\N
181144	615	1997-12-26	VYDAJ	VYBER	480	22773	\N	\N	\N
181145	615	1998-12-06	VYDAJ	VYBER	810	24134	\N	\N	\N
181152	615	1997-01-23	VYDAJ	VYBER	600	15280	\N	\N	\N
181153	615	1997-01-26	VYDAJ	VYBER	420	14860	\N	\N	\N
181154	615	1997-01-18	VYDAJ	VYBER	780	15880	\N	\N	\N
181155	615	1997-01-03	VYDAJ	VYBER	330	15822	\N	\N	\N
181156	615	1997-01-02	VYDAJ	VYBER	750	16152	\N	\N	\N
181157	615	1997-01-09	VYDAJ	VYBER	210	15612	\N	\N	\N
181158	615	1998-01-17	VYDAJ	VYBER	480	22341	\N	\N	\N
181159	615	1998-01-04	VYDAJ	VYBER	570	22283	\N	\N	\N
181160	615	1998-01-09	VYDAJ	VYBER	510	21773	\N	\N	\N
181161	615	1998-01-20	VYDAJ	VYBER	330	21171	\N	\N	\N
181162	615	1998-01-30	VYDAJ	VYBER	210	19061	\N	\N	\N
181163	615	1998-01-19	VYDAJ	VYBER	840	21501	\N	\N	\N
181165	615	1996-09-18	VYDAJ	VYBER	1200	14362	\N	\N	\N
181167	615	1997-04-25	VYDAJ	VYBER	840	16839	\N	\N	\N
181168	615	1997-11-10	VYDAJ	VYBER	450	22275	\N	\N	\N
181169	615	1997-11-28	VYDAJ	VYBER	1200	22123	\N	\N	\N
181170	615	1997-10-18	VYDAJ	VYBER	210	22645	\N	\N	\N
181171	615	1997-08-27	VYDAJ	VYBER	270	21010	\N	\N	\N
181172	615	1997-02-28	VYDAJ	VYBER	480	15545	\N	\N	\N
181173	615	1998-04-26	VYDAJ	VYBER	720	20861	\N	\N	\N
181174	615	1998-03-12	VYDAJ	VYBER	840	22558	\N	\N	\N
181175	615	1998-10-03	VYDAJ	VYBER	600	23670	\N	\N	\N
181184	615	1996-08-31	VYDAJ	VYBER	15	14514	SLUZBY	\N	\N
181185	615	1996-09-30	VYDAJ	VYBER	15	14409	SLUZBY	\N	\N
181186	615	1996-10-31	VYDAJ	VYBER	15	15506	SLUZBY	\N	\N
181187	615	1996-11-30	VYDAJ	VYBER	15	16607	SLUZBY	\N	\N
181188	615	1996-12-31	VYDAJ	VYBER	15	16902	SLUZBY	\N	\N
181189	615	1997-01-31	VYDAJ	VYBER	15	14911	SLUZBY	\N	\N
181190	615	1997-02-28	VYDAJ	VYBER	15	15530	SLUZBY	\N	\N
181191	615	1997-03-31	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
181192	615	1997-04-30	VYDAJ	VYBER	15	16897	SLUZBY	\N	\N
181193	615	1997-05-31	VYDAJ	VYBER	15	18004	SLUZBY	\N	\N
181194	615	1997-06-30	VYDAJ	VYBER	15	19116	SLUZBY	\N	\N
181195	615	1997-07-31	VYDAJ	VYBER	15	20232	SLUZBY	\N	\N
181196	615	1997-08-31	VYDAJ	VYBER	15	21083	SLUZBY	\N	\N
181197	615	1997-09-30	VYDAJ	VYBER	15	22207	SLUZBY	\N	\N
181198	615	1997-10-31	VYDAJ	VYBER	15	22725	SLUZBY	\N	\N
181199	615	1997-11-30	VYDAJ	VYBER	15	22205	SLUZBY	\N	\N
181200	615	1997-12-31	VYDAJ	VYBER	15	22853	SLUZBY	\N	\N
181201	615	1998-01-31	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
181202	615	1998-02-28	VYDAJ	VYBER	15	20254	SLUZBY	\N	\N
181203	615	1998-03-31	VYDAJ	VYBER	15	20533	SLUZBY	\N	\N
181204	615	1998-04-30	VYDAJ	VYBER	15	20934	SLUZBY	\N	\N
181205	615	1998-05-31	VYDAJ	VYBER	15	22058	SLUZBY	\N	\N
181206	615	1998-06-30	VYDAJ	VYBER	15	20885	SLUZBY	\N	\N
181207	615	1998-07-31	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
181208	615	1998-08-31	VYDAJ	VYBER	15	23137	SLUZBY	\N	\N
181209	615	1998-09-30	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
181210	615	1998-10-31	VYDAJ	VYBER	15	24805	SLUZBY	\N	\N
181211	615	1998-11-30	VYDAJ	VYBER	15	24944	SLUZBY	\N	\N
181212	615	1997-10-01	VYDAJ	VYBER	400	21807	\N	\N	\N
181213	615	1998-01-29	VYDAJ	VYBER	1900	19271	\N	\N	\N
181214	615	1998-06-28	VYDAJ	VYBER	2300	20806	\N	\N	\N
181215	615	1998-11-25	VYDAJ	VYBER	1000	24853	\N	\N	\N
181249	616	1993-10-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
181260	616	1993-11-10	PRIJEM	PREVOD Z UCTU	6846	7946	DUCHOD	WX	87446176
181261	616	1993-12-10	PRIJEM	PREVOD Z UCTU	6846	14792	DUCHOD	WX	87446176
181262	616	1994-01-10	PRIJEM	PREVOD Z UCTU	6846	21638	DUCHOD	WX	87446176
181263	616	1994-02-10	PRIJEM	PREVOD Z UCTU	6846	28484	DUCHOD	WX	87446176
181264	616	1994-03-10	PRIJEM	PREVOD Z UCTU	6846	31095	DUCHOD	WX	87446176
181265	616	1994-04-10	PRIJEM	PREVOD Z UCTU	6846	31649	DUCHOD	WX	87446176
181266	616	1994-05-10	PRIJEM	PREVOD Z UCTU	6846	32528	DUCHOD	WX	87446176
181267	616	1994-06-10	PRIJEM	PREVOD Z UCTU	6846	33007	DUCHOD	WX	87446176
181268	616	1994-07-10	PRIJEM	PREVOD Z UCTU	6846	22794	DUCHOD	WX	87446176
181269	616	1994-08-10	PRIJEM	PREVOD Z UCTU	6846	27846	DUCHOD	WX	87446176
181270	616	1994-09-10	PRIJEM	PREVOD Z UCTU	6846	27023	DUCHOD	WX	87446176
181271	616	1994-10-10	PRIJEM	PREVOD Z UCTU	6846	32092	DUCHOD	WX	87446176
181272	616	1994-11-10	PRIJEM	PREVOD Z UCTU	6846	33482	DUCHOD	WX	87446176
181273	616	1994-12-10	PRIJEM	PREVOD Z UCTU	6846	37881	DUCHOD	WX	87446176
181274	616	1995-01-10	PRIJEM	PREVOD Z UCTU	6846	35425	DUCHOD	WX	87446176
181275	616	1995-02-10	PRIJEM	PREVOD Z UCTU	6846	28116	DUCHOD	WX	87446176
181276	616	1995-03-10	PRIJEM	PREVOD Z UCTU	6846	32289	DUCHOD	WX	87446176
181277	616	1995-04-10	PRIJEM	PREVOD Z UCTU	6846	32880	DUCHOD	WX	87446176
181278	616	1995-05-10	PRIJEM	PREVOD Z UCTU	6846	31615	DUCHOD	WX	87446176
181279	616	1995-06-10	PRIJEM	PREVOD Z UCTU	6846	30606	DUCHOD	WX	87446176
181280	616	1995-07-10	PRIJEM	PREVOD Z UCTU	6846	33596	DUCHOD	WX	87446176
181281	616	1995-08-10	PRIJEM	PREVOD Z UCTU	6846	35394	DUCHOD	WX	87446176
181282	616	1995-09-10	PRIJEM	PREVOD Z UCTU	6846	33799	DUCHOD	WX	87446176
181283	616	1995-10-10	PRIJEM	PREVOD Z UCTU	6846	33899	DUCHOD	WX	87446176
181284	616	1995-11-10	PRIJEM	PREVOD Z UCTU	6846	31199	DUCHOD	WX	87446176
181285	616	1995-12-10	PRIJEM	PREVOD Z UCTU	6846	30649	DUCHOD	WX	87446176
181286	616	1996-01-10	PRIJEM	PREVOD Z UCTU	6846	24730	DUCHOD	WX	87446176
181287	616	1996-02-10	PRIJEM	PREVOD Z UCTU	6846	23708	DUCHOD	WX	87446176
181288	616	1996-03-10	PRIJEM	PREVOD Z UCTU	6846	28165	DUCHOD	WX	87446176
181289	616	1996-04-10	PRIJEM	PREVOD Z UCTU	6846	30938	DUCHOD	WX	87446176
181290	616	1996-05-10	PRIJEM	PREVOD Z UCTU	6846	30923	DUCHOD	WX	87446176
181291	616	1996-06-10	PRIJEM	PREVOD Z UCTU	6846	26509	DUCHOD	WX	87446176
181292	616	1996-07-10	PRIJEM	PREVOD Z UCTU	6846	25101	DUCHOD	WX	87446176
181293	616	1996-08-10	PRIJEM	PREVOD Z UCTU	6846	26093	DUCHOD	WX	87446176
181294	616	1996-09-10	PRIJEM	PREVOD Z UCTU	6846	26555	DUCHOD	WX	87446176
181295	616	1996-10-10	PRIJEM	PREVOD Z UCTU	6846	22979	DUCHOD	WX	87446176
181296	616	1996-11-10	PRIJEM	PREVOD Z UCTU	6846	26231	DUCHOD	WX	87446176
181297	616	1996-12-10	PRIJEM	PREVOD Z UCTU	6846	25292	DUCHOD	WX	87446176
181298	616	1997-01-10	PRIJEM	PREVOD Z UCTU	6846	21329	DUCHOD	WX	87446176
181299	616	1997-02-10	PRIJEM	PREVOD Z UCTU	6846	18320	DUCHOD	WX	87446176
181300	616	1997-03-10	PRIJEM	PREVOD Z UCTU	6846	18548	DUCHOD	WX	87446176
181301	616	1997-04-10	PRIJEM	PREVOD Z UCTU	6846	23580	DUCHOD	WX	87446176
181302	616	1997-05-10	PRIJEM	PREVOD Z UCTU	6846	24330	DUCHOD	WX	87446176
181303	616	1997-06-10	PRIJEM	PREVOD Z UCTU	6846	24783	DUCHOD	WX	87446176
181304	616	1997-07-10	PRIJEM	PREVOD Z UCTU	6846	22836	DUCHOD	WX	87446176
181305	616	1997-08-10	PRIJEM	PREVOD Z UCTU	6846	23885	DUCHOD	WX	87446176
181306	616	1997-09-10	PRIJEM	PREVOD Z UCTU	6846	26213	DUCHOD	WX	87446176
181307	616	1997-10-10	PRIJEM	PREVOD Z UCTU	6846	28273	DUCHOD	WX	87446176
181308	616	1997-11-10	PRIJEM	PREVOD Z UCTU	6846	23934	DUCHOD	WX	87446176
181309	616	1997-12-10	PRIJEM	PREVOD Z UCTU	6846	23756	DUCHOD	WX	87446176
181310	616	1998-01-10	PRIJEM	PREVOD Z UCTU	6846	23544	DUCHOD	WX	87446176
181311	616	1998-02-10	PRIJEM	PREVOD Z UCTU	6846	18685	DUCHOD	WX	87446176
181312	616	1998-03-10	PRIJEM	PREVOD Z UCTU	6846	23316	DUCHOD	WX	87446176
181313	616	1998-04-10	PRIJEM	PREVOD Z UCTU	6846	22323	DUCHOD	WX	87446176
181314	616	1998-05-10	PRIJEM	PREVOD Z UCTU	6846	22465	DUCHOD	WX	87446176
181315	616	1998-06-10	PRIJEM	PREVOD Z UCTU	6846	22305	DUCHOD	WX	87446176
181316	616	1998-07-10	PRIJEM	PREVOD Z UCTU	6846	23006	DUCHOD	WX	87446176
181317	616	1998-08-10	PRIJEM	PREVOD Z UCTU	6846	22546	DUCHOD	WX	87446176
181318	616	1998-09-10	PRIJEM	PREVOD Z UCTU	6846	18578	DUCHOD	WX	87446176
181319	616	1998-10-10	PRIJEM	PREVOD Z UCTU	6846	23609	DUCHOD	WX	87446176
181320	616	1998-11-10	PRIJEM	PREVOD Z UCTU	6846	28661	DUCHOD	WX	87446176
181321	616	1998-12-10	PRIJEM	PREVOD Z UCTU	6846	32534	DUCHOD	WX	87446176
181337	616	1994-04-06	VYDAJ	PREVOD NA UCET	1869	26723	SIPO	OP	38012558
181338	616	1994-05-06	VYDAJ	PREVOD NA UCET	1869	25682	SIPO	OP	38012558
181339	616	1994-06-06	VYDAJ	PREVOD NA UCET	1869	26161	SIPO	OP	38012558
181340	616	1994-07-06	VYDAJ	PREVOD NA UCET	1869	15948	SIPO	OP	38012558
181341	616	1994-08-06	VYDAJ	PREVOD NA UCET	1869	21000	SIPO	OP	38012558
181342	616	1994-09-06	VYDAJ	PREVOD NA UCET	1869	20177	SIPO	OP	38012558
181343	616	1994-10-06	VYDAJ	PREVOD NA UCET	1869	25246	SIPO	OP	38012558
181344	616	1994-11-06	VYDAJ	PREVOD NA UCET	1869	30336	SIPO	OP	38012558
181345	616	1994-12-06	VYDAJ	PREVOD NA UCET	1869	31735	SIPO	OP	38012558
181346	616	1995-01-06	VYDAJ	PREVOD NA UCET	1869	35599	SIPO	OP	38012558
181347	616	1995-02-06	VYDAJ	PREVOD NA UCET	1869	21270	SIPO	OP	38012558
181348	616	1995-03-06	VYDAJ	PREVOD NA UCET	1869	26343	SIPO	OP	38012558
181349	616	1995-04-06	VYDAJ	PREVOD NA UCET	1869	30534	SIPO	OP	38012558
181350	616	1995-05-06	VYDAJ	PREVOD NA UCET	1869	27369	SIPO	OP	38012558
181351	616	1995-06-06	VYDAJ	PREVOD NA UCET	1869	29860	SIPO	OP	38012558
181352	616	1995-07-06	VYDAJ	PREVOD NA UCET	1869	28850	SIPO	OP	38012558
181353	616	1995-08-06	VYDAJ	PREVOD NA UCET	1869	28548	SIPO	OP	38012558
181354	616	1995-09-06	VYDAJ	PREVOD NA UCET	1869	26953	SIPO	OP	38012558
181355	616	1995-10-06	VYDAJ	PREVOD NA UCET	1869	27053	SIPO	OP	38012558
181356	616	1995-11-06	VYDAJ	PREVOD NA UCET	1869	24353	SIPO	OP	38012558
181357	616	1995-12-06	VYDAJ	PREVOD NA UCET	1869	23803	SIPO	OP	38012558
181358	616	1996-01-06	VYDAJ	PREVOD NA UCET	1869	17884	SIPO	OP	38012558
181359	616	1996-02-06	VYDAJ	PREVOD NA UCET	1869	19342	SIPO	OP	38012558
181360	616	1996-03-06	VYDAJ	PREVOD NA UCET	1869	21319	SIPO	OP	38012558
181361	616	1996-04-06	VYDAJ	PREVOD NA UCET	1869	24092	SIPO	OP	38012558
181362	616	1996-05-06	VYDAJ	PREVOD NA UCET	1869	24077	SIPO	OP	38012558
181363	616	1996-06-06	VYDAJ	PREVOD NA UCET	1869	19663	SIPO	OP	38012558
181364	616	1996-07-06	VYDAJ	PREVOD NA UCET	1869	18255	SIPO	OP	38012558
181365	616	1996-08-06	VYDAJ	PREVOD NA UCET	1869	19247	SIPO	OP	38012558
181366	616	1996-09-06	VYDAJ	PREVOD NA UCET	1869	19709	SIPO	OP	38012558
181367	616	1996-10-06	VYDAJ	PREVOD NA UCET	1869	18373	SIPO	OP	38012558
181368	616	1996-11-06	VYDAJ	PREVOD NA UCET	1869	19385	SIPO	OP	38012558
181369	616	1996-12-06	VYDAJ	PREVOD NA UCET	1869	18446	SIPO	OP	38012558
181370	616	1997-01-06	VYDAJ	PREVOD NA UCET	1869	14483	SIPO	OP	38012558
181371	616	1997-02-06	VYDAJ	PREVOD NA UCET	1869	11474	SIPO	OP	38012558
181372	616	1997-03-06	VYDAJ	PREVOD NA UCET	1869	11702	SIPO	OP	38012558
181373	616	1997-04-06	VYDAJ	PREVOD NA UCET	1869	16734	SIPO	OP	38012558
181374	616	1997-05-06	VYDAJ	PREVOD NA UCET	1869	17484	SIPO	OP	38012558
181375	616	1997-06-06	VYDAJ	PREVOD NA UCET	1869	17937	SIPO	OP	38012558
181376	616	1997-07-06	VYDAJ	PREVOD NA UCET	1869	17990	SIPO	OP	38012558
181377	616	1997-08-06	VYDAJ	PREVOD NA UCET	1869	17039	SIPO	OP	38012558
181378	616	1997-09-06	VYDAJ	PREVOD NA UCET	1869	19367	SIPO	OP	38012558
181379	616	1997-10-06	VYDAJ	PREVOD NA UCET	1869	21427	SIPO	OP	38012558
181380	616	1997-11-06	VYDAJ	PREVOD NA UCET	1869	17088	SIPO	OP	38012558
181381	616	1997-12-06	VYDAJ	PREVOD NA UCET	1869	16910	SIPO	OP	38012558
181382	616	1998-01-06	VYDAJ	PREVOD NA UCET	1869	16698	SIPO	OP	38012558
181383	616	1998-02-06	VYDAJ	PREVOD NA UCET	1869	11839	SIPO	OP	38012558
181384	616	1998-03-06	VYDAJ	PREVOD NA UCET	1869	16470	SIPO	OP	38012558
181385	616	1998-04-06	VYDAJ	PREVOD NA UCET	1869	18117	SIPO	OP	38012558
181386	616	1998-05-06	VYDAJ	PREVOD NA UCET	1869	15619	SIPO	OP	38012558
181387	616	1998-06-06	VYDAJ	PREVOD NA UCET	1869	15459	SIPO	OP	38012558
181388	616	1998-07-06	VYDAJ	PREVOD NA UCET	1869	16160	SIPO	OP	38012558
181389	616	1998-08-06	VYDAJ	PREVOD NA UCET	1869	15700	SIPO	OP	38012558
181390	616	1998-09-06	VYDAJ	PREVOD NA UCET	1869	11732	SIPO	OP	38012558
181391	616	1998-10-06	VYDAJ	PREVOD NA UCET	1869	16763	SIPO	OP	38012558
181392	616	1998-11-06	VYDAJ	PREVOD NA UCET	1869	21815	SIPO	OP	38012558
181393	616	1998-12-06	VYDAJ	PREVOD NA UCET	1869	26888	SIPO	OP	38012558
181395	616	1994-06-12	VYDAJ	VYBER	8850	20057	\N	\N	\N
181396	616	1995-06-06	VYDAJ	VYBER	6100	23760	\N	\N	\N
181397	616	1996-06-21	VYDAJ	VYBER	2800	23709	\N	\N	\N
181402	616	1995-01-14	VYDAJ	VYBER	4950	25995	\N	\N	\N
181403	616	1996-01-03	VYDAJ	VYBER	2450	22793	\N	\N	\N
181404	616	1997-01-21	VYDAJ	VYBER	1500	16469	\N	\N	\N
181405	616	1998-01-12	VYDAJ	VYBER	750	19354	\N	\N	\N
181407	616	1994-12-26	VYDAJ	VYBER	550	37331	\N	\N	\N
181408	616	1995-12-11	VYDAJ	VYBER	1450	29199	\N	\N	\N
181409	616	1996-12-14	VYDAJ	VYBER	1250	20842	\N	\N	\N
181410	616	1997-12-04	VYDAJ	VYBER	850	18779	\N	\N	\N
181411	616	1998-12-07	VYDAJ	VYBER	1200	25688	\N	\N	\N
181424	616	1995-01-30	VYDAJ	VYBER	480	23035	\N	\N	\N
181425	616	1995-01-13	VYDAJ	VYBER	2160	30945	\N	\N	\N
181426	616	1995-01-24	VYDAJ	VYBER	1360	23515	\N	\N	\N
181427	616	1995-01-21	VYDAJ	VYBER	1120	24875	\N	\N	\N
181428	616	1995-01-07	VYDAJ	VYBER	2320	28579	\N	\N	\N
181429	616	1995-01-11	VYDAJ	VYBER	2320	33105	\N	\N	\N
181430	616	1996-01-05	VYDAJ	VYBER	1680	21113	\N	\N	\N
181431	616	1996-01-06	VYDAJ	VYBER	1360	19753	\N	\N	\N
181432	616	1996-01-26	VYDAJ	VYBER	1040	22090	\N	\N	\N
181433	616	1996-01-30	VYDAJ	VYBER	960	21130	\N	\N	\N
181434	616	1996-01-03	VYDAJ	VYBER	960	25243	\N	\N	\N
181435	616	1996-01-12	VYDAJ	VYBER	1600	23130	\N	\N	\N
181437	616	1997-01-14	VYDAJ	VYBER	1760	19569	\N	\N	\N
181438	616	1997-01-15	VYDAJ	VYBER	1600	17969	\N	\N	\N
181439	616	1997-01-01	VYDAJ	VYBER	1680	16352	\N	\N	\N
181441	616	1997-01-25	VYDAJ	VYBER	880	15589	\N	\N	\N
181442	616	1998-01-11	VYDAJ	VYBER	2000	20104	\N	\N	\N
181443	616	1998-01-06	VYDAJ	VYBER	560	18567	\N	\N	\N
181444	616	1998-01-19	VYDAJ	VYBER	1280	15754	\N	\N	\N
181446	616	1998-01-10	VYDAJ	VYBER	1440	22104	\N	\N	\N
181455	616	1994-06-25	VYDAJ	VYBER	2320	17737	\N	\N	\N
181456	616	1994-04-09	VYDAJ	VYBER	1920	24803	\N	\N	\N
181457	616	1994-08-13	VYDAJ	VYBER	3280	21966	\N	\N	\N
181458	616	1995-11-27	VYDAJ	VYBER	640	30559	\N	\N	\N
181459	616	1995-04-18	VYDAJ	VYBER	480	32400	\N	\N	\N
181460	616	1995-05-02	VYDAJ	VYBER	3280	29238	\N	\N	\N
181461	616	1996-07-13	VYDAJ	VYBER	3360	21741	\N	\N	\N
181462	616	1996-10-09	VYDAJ	VYBER	2240	16133	\N	\N	\N
181463	616	1996-12-13	VYDAJ	VYBER	3200	22092	\N	\N	\N
181464	616	1996-12-25	VYDAJ	VYBER	2880	17962	\N	\N	\N
181465	616	1996-02-09	VYDAJ	VYBER	2480	16862	\N	\N	\N
181466	616	1996-06-27	VYDAJ	VYBER	3680	20029	\N	\N	\N
181467	616	1996-08-29	VYDAJ	VYBER	3200	22893	\N	\N	\N
181468	616	1997-07-09	VYDAJ	VYBER	2000	15990	\N	\N	\N
181469	616	1997-08-15	VYDAJ	VYBER	2720	21165	\N	\N	\N
181470	616	1997-12-02	VYDAJ	VYBER	2880	19629	\N	\N	\N
181472	616	1998-01-19	VYDAJ	VYBER	2320	17034	\N	\N	\N
181473	616	1998-12-12	VYDAJ	VYBER	3760	28774	\N	\N	\N
181474	616	1998-04-08	VYDAJ	VYBER	2640	15477	\N	\N	\N
181475	616	1998-06-30	VYDAJ	VYBER	640	18029	\N	\N	\N
181492	616	1994-03-31	VYDAJ	VYBER	15	28592	SLUZBY	\N	\N
181493	616	1994-04-30	VYDAJ	VYBER	15	27551	SLUZBY	\N	\N
181494	616	1994-05-31	VYDAJ	VYBER	15	28030	SLUZBY	\N	\N
181495	616	1994-06-30	VYDAJ	VYBER	15	17817	SLUZBY	\N	\N
181496	616	1994-07-31	VYDAJ	VYBER	15	22869	SLUZBY	\N	\N
181497	616	1994-08-31	VYDAJ	VYBER	15	22046	SLUZBY	\N	\N
181498	616	1994-09-30	VYDAJ	VYBER	15	27115	SLUZBY	\N	\N
181499	616	1994-10-31	VYDAJ	VYBER	15	32205	SLUZBY	\N	\N
181500	616	1994-11-30	VYDAJ	VYBER	15	33604	SLUZBY	\N	\N
181501	616	1994-12-31	VYDAJ	VYBER	15	37468	SLUZBY	\N	\N
181502	616	1995-01-31	VYDAJ	VYBER	15	23139	SLUZBY	\N	\N
181503	616	1995-02-28	VYDAJ	VYBER	15	28212	SLUZBY	\N	\N
181504	616	1995-03-31	VYDAJ	VYBER	15	32403	SLUZBY	\N	\N
181505	616	1995-04-30	VYDAJ	VYBER	15	32518	SLUZBY	\N	\N
181506	616	1995-05-31	VYDAJ	VYBER	15	31729	SLUZBY	\N	\N
181507	616	1995-06-30	VYDAJ	VYBER	15	30719	SLUZBY	\N	\N
181508	616	1995-07-31	VYDAJ	VYBER	15	33717	SLUZBY	\N	\N
181509	616	1995-08-31	VYDAJ	VYBER	15	35522	SLUZBY	\N	\N
181510	616	1995-09-30	VYDAJ	VYBER	15	33922	SLUZBY	\N	\N
181511	616	1995-10-31	VYDAJ	VYBER	15	34022	SLUZBY	\N	\N
181512	616	1995-11-30	VYDAJ	VYBER	15	30672	SLUZBY	\N	\N
181513	616	1995-12-31	VYDAJ	VYBER	15	29303	SLUZBY	\N	\N
181514	616	1996-01-31	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
181515	616	1996-02-29	VYDAJ	VYBER	15	23788	SLUZBY	\N	\N
181516	616	1996-03-31	VYDAJ	VYBER	15	28261	SLUZBY	\N	\N
181517	616	1996-04-30	VYDAJ	VYBER	15	31046	SLUZBY	\N	\N
181518	616	1996-05-31	VYDAJ	VYBER	15	31032	SLUZBY	\N	\N
181519	616	1996-06-30	VYDAJ	VYBER	15	20124	SLUZBY	\N	\N
181520	616	1996-07-31	VYDAJ	VYBER	15	21116	SLUZBY	\N	\N
181521	616	1996-08-31	VYDAJ	VYBER	15	21578	SLUZBY	\N	\N
181522	616	1996-09-30	VYDAJ	VYBER	15	20242	SLUZBY	\N	\N
181523	616	1996-10-31	VYDAJ	VYBER	15	21254	SLUZBY	\N	\N
181524	616	1996-11-30	VYDAJ	VYBER	15	20315	SLUZBY	\N	\N
181525	616	1996-12-31	VYDAJ	VYBER	15	18032	SLUZBY	\N	\N
181526	616	1997-01-31	VYDAJ	VYBER	15	13343	SLUZBY	\N	\N
181527	616	1997-02-28	VYDAJ	VYBER	15	13571	SLUZBY	\N	\N
181528	616	1997-03-31	VYDAJ	VYBER	15	18603	SLUZBY	\N	\N
181529	616	1997-04-30	VYDAJ	VYBER	15	19353	SLUZBY	\N	\N
181530	616	1997-05-31	VYDAJ	VYBER	15	19806	SLUZBY	\N	\N
181531	616	1997-06-30	VYDAJ	VYBER	15	19859	SLUZBY	\N	\N
181532	616	1997-07-31	VYDAJ	VYBER	15	18908	SLUZBY	\N	\N
181533	616	1997-08-31	VYDAJ	VYBER	15	21236	SLUZBY	\N	\N
181534	616	1997-09-30	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
181535	616	1997-10-31	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
181536	616	1997-11-30	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
181537	616	1997-12-31	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
181538	616	1998-01-31	VYDAJ	VYBER	15	13708	SLUZBY	\N	\N
181539	616	1998-02-28	VYDAJ	VYBER	15	18339	SLUZBY	\N	\N
181540	616	1998-03-31	VYDAJ	VYBER	15	19986	SLUZBY	\N	\N
181541	616	1998-04-30	VYDAJ	VYBER	15	17488	SLUZBY	\N	\N
181542	616	1998-05-31	VYDAJ	VYBER	15	17328	SLUZBY	\N	\N
181543	616	1998-06-30	VYDAJ	VYBER	15	18669	SLUZBY	\N	\N
181544	616	1998-07-31	VYDAJ	VYBER	15	17569	SLUZBY	\N	\N
181545	616	1998-08-31	VYDAJ	VYBER	15	13601	SLUZBY	\N	\N
181546	616	1998-09-30	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
181547	616	1998-10-31	VYDAJ	VYBER	15	23684	SLUZBY	\N	\N
181548	616	1998-11-30	VYDAJ	VYBER	15	28757	SLUZBY	\N	\N
181549	616	1994-02-11	VYDAJ	VYBER	4300	24184	\N	\N	\N
181550	616	1994-03-13	VYDAJ	VYBER	2600	28495	\N	\N	\N
181551	616	1994-04-12	VYDAJ	VYBER	4200	27449	\N	\N	\N
181552	616	1994-05-12	VYDAJ	VYBER	4600	27928	\N	\N	\N
181553	616	1994-06-11	VYDAJ	VYBER	4100	28907	\N	\N	\N
181554	616	1994-08-10	VYDAJ	VYBER	2600	25246	\N	\N	\N
181555	616	1994-11-08	VYDAJ	VYBER	3700	26636	\N	\N	\N
181556	616	1994-12-08	VYDAJ	VYBER	700	31035	\N	\N	\N
181557	616	1995-01-07	VYDAJ	VYBER	4700	30899	\N	\N	\N
181558	616	1995-03-08	VYDAJ	VYBER	900	25443	\N	\N	\N
181559	616	1995-04-07	VYDAJ	VYBER	4500	26034	\N	\N	\N
181560	616	1995-05-07	VYDAJ	VYBER	2600	24769	\N	\N	\N
181561	616	1995-07-06	VYDAJ	VYBER	2100	26750	\N	\N	\N
181562	616	1995-08-05	VYDAJ	VYBER	3300	30417	\N	\N	\N
181563	616	1995-09-04	VYDAJ	VYBER	6700	28822	\N	\N	\N
181564	616	1995-10-04	VYDAJ	VYBER	5000	28922	\N	\N	\N
181565	616	1995-11-03	VYDAJ	VYBER	7800	26222	\N	\N	\N
181566	616	1995-12-03	VYDAJ	VYBER	5000	25672	\N	\N	\N
181567	616	1996-01-02	VYDAJ	VYBER	3100	26203	\N	\N	\N
181568	616	1996-03-02	VYDAJ	VYBER	600	23188	\N	\N	\N
181569	616	1996-04-01	VYDAJ	VYBER	2300	25961	\N	\N	\N
181570	616	1996-05-01	VYDAJ	VYBER	5100	25946	\N	\N	\N
181571	616	1996-05-31	VYDAJ	VYBER	9500	21532	\N	\N	\N
181572	616	1996-07-30	VYDAJ	VYBER	700	21041	\N	\N	\N
181573	616	1996-08-29	VYDAJ	VYBER	1400	21493	\N	\N	\N
181574	616	1996-09-28	VYDAJ	VYBER	6400	20155	\N	\N	\N
181575	616	1996-10-28	VYDAJ	VYBER	1800	21179	\N	\N	\N
181576	616	1996-11-27	VYDAJ	VYBER	6000	20231	\N	\N	\N
181577	616	1997-01-26	VYDAJ	VYBER	2300	13289	\N	\N	\N
181578	616	1997-02-25	VYDAJ	VYBER	4800	13520	\N	\N	\N
181579	616	1997-04-26	VYDAJ	VYBER	4300	19280	\N	\N	\N
181580	616	1997-05-26	VYDAJ	VYBER	4600	19730	\N	\N	\N
181581	616	1997-06-25	VYDAJ	VYBER	5000	19783	\N	\N	\N
181582	616	1997-07-25	VYDAJ	VYBER	4000	18836	\N	\N	\N
181583	616	1997-09-23	VYDAJ	VYBER	3000	23213	\N	\N	\N
181584	616	1997-10-23	VYDAJ	VYBER	9400	18873	\N	\N	\N
181585	616	1997-11-22	VYDAJ	VYBER	1500	22434	\N	\N	\N
181586	616	1997-12-22	VYDAJ	VYBER	4700	19056	\N	\N	\N
181587	616	1998-01-21	VYDAJ	VYBER	2100	13654	\N	\N	\N
181588	616	1998-02-20	VYDAJ	VYBER	400	18285	\N	\N	\N
181589	616	1998-03-22	VYDAJ	VYBER	3400	19916	\N	\N	\N
181590	616	1998-04-21	VYDAJ	VYBER	4900	17423	\N	\N	\N
181591	616	1998-05-21	VYDAJ	VYBER	5200	17265	\N	\N	\N
181592	616	1998-06-20	VYDAJ	VYBER	3700	18605	\N	\N	\N
181593	616	1998-07-20	VYDAJ	VYBER	5500	17506	\N	\N	\N
181594	616	1998-08-19	VYDAJ	VYBER	9000	13546	\N	\N	\N
181654	617	1996-08-23	PRIJEM	VKLAD	200	200	\N	\N	\N
181663	617	1996-09-05	PRIJEM	PREVOD Z UCTU	26072	26272	\N	EF	18655795
181664	617	1996-10-05	PRIJEM	PREVOD Z UCTU	26072	48772	\N	EF	18655795
181665	617	1996-11-05	PRIJEM	PREVOD Z UCTU	26072	64460	\N	EF	18655795
181666	617	1996-12-05	PRIJEM	PREVOD Z UCTU	39108	84237	\N	EF	18655795
181667	617	1997-01-05	PRIJEM	PREVOD Z UCTU	26072	76003	\N	EF	18655795
181668	617	1997-02-05	PRIJEM	PREVOD Z UCTU	26072	46947	\N	EF	18655795
181669	617	1997-03-05	PRIJEM	PREVOD Z UCTU	26072	48833	\N	EF	18655795
181670	617	1997-04-05	PRIJEM	PREVOD Z UCTU	26072	50125	\N	EF	18655795
181671	617	1997-05-05	PRIJEM	PREVOD Z UCTU	26072	54631	\N	EF	18655795
181672	617	1997-06-05	PRIJEM	PREVOD Z UCTU	39108	69489	\N	EF	18655795
181673	617	1997-07-05	PRIJEM	PREVOD Z UCTU	26072	63745	\N	EF	18655795
181674	617	1997-08-05	PRIJEM	PREVOD Z UCTU	26072	63197	\N	EF	18655795
181675	617	1997-09-05	PRIJEM	PREVOD Z UCTU	26072	58729	\N	EF	18655795
181676	617	1997-10-05	PRIJEM	PREVOD Z UCTU	26072	54725	\N	EF	18655795
181677	617	1997-11-05	PRIJEM	PREVOD Z UCTU	26072	57918	\N	EF	18655795
181678	617	1997-12-05	PRIJEM	PREVOD Z UCTU	39108	78594	\N	EF	18655795
181679	617	1998-01-05	PRIJEM	PREVOD Z UCTU	26072	68078	\N	EF	18655795
181680	617	1998-02-05	PRIJEM	PREVOD Z UCTU	26072	48349	\N	EF	18655795
181681	617	1998-03-05	PRIJEM	PREVOD Z UCTU	26072	50853	\N	EF	18655795
181682	617	1998-04-05	PRIJEM	PREVOD Z UCTU	26072	61084	\N	EF	18655795
181683	617	1998-05-05	PRIJEM	PREVOD Z UCTU	26072	58226	\N	EF	18655795
181684	617	1998-06-05	PRIJEM	PREVOD Z UCTU	39108	70689	\N	EF	18655795
181685	617	1998-07-05	PRIJEM	PREVOD Z UCTU	26072	53375	\N	EF	18655795
181686	617	1998-08-05	PRIJEM	PREVOD Z UCTU	26072	56803	\N	EF	18655795
181687	617	1998-09-05	PRIJEM	PREVOD Z UCTU	26072	48544	\N	EF	18655795
181688	617	1998-10-05	PRIJEM	PREVOD Z UCTU	26072	48020	\N	EF	18655795
181689	617	1998-11-05	PRIJEM	PREVOD Z UCTU	26072	47493	\N	EF	18655795
181690	617	1998-12-05	PRIJEM	PREVOD Z UCTU	39108	58796	\N	EF	18655795
181739	617	1997-01-08	VYDAJ	PREVOD NA UCET	13080	54523	SIPO	MN	8556467
181740	617	1997-02-08	VYDAJ	PREVOD NA UCET	13080	33867	SIPO	MN	8556467
181741	617	1997-03-08	VYDAJ	PREVOD NA UCET	13080	35753	SIPO	MN	8556467
181742	617	1997-04-08	VYDAJ	PREVOD NA UCET	13080	37045	SIPO	MN	8556467
181743	617	1997-05-08	VYDAJ	PREVOD NA UCET	13080	36451	SIPO	MN	8556467
181744	617	1997-06-08	VYDAJ	PREVOD NA UCET	13080	56409	SIPO	MN	8556467
181745	617	1997-07-08	VYDAJ	PREVOD NA UCET	13080	50665	SIPO	MN	8556467
181746	617	1997-08-08	VYDAJ	PREVOD NA UCET	13080	50117	SIPO	MN	8556467
181885	617	1998-08-13	VYDAJ	VYBER	7000	22377	\N	\N	\N
181747	617	1997-09-08	VYDAJ	PREVOD NA UCET	13080	45649	SIPO	MN	8556467
181748	617	1997-10-08	VYDAJ	PREVOD NA UCET	13080	41645	SIPO	MN	8556467
181749	617	1997-11-08	VYDAJ	PREVOD NA UCET	13080	44838	SIPO	MN	8556467
181750	617	1997-12-08	VYDAJ	PREVOD NA UCET	13080	65514	SIPO	MN	8556467
181751	617	1998-01-08	VYDAJ	PREVOD NA UCET	13080	51327	SIPO	MN	8556467
181752	617	1998-02-08	VYDAJ	PREVOD NA UCET	13080	35269	SIPO	MN	8556467
181753	617	1998-03-08	VYDAJ	PREVOD NA UCET	13080	37773	SIPO	MN	8556467
181754	617	1998-04-08	VYDAJ	PREVOD NA UCET	13080	38326	SIPO	MN	8556467
181755	617	1998-05-08	VYDAJ	PREVOD NA UCET	13080	45146	SIPO	MN	8556467
181756	617	1998-06-08	VYDAJ	PREVOD NA UCET	13080	57609	SIPO	MN	8556467
181757	617	1998-07-08	VYDAJ	PREVOD NA UCET	13080	40295	SIPO	MN	8556467
181758	617	1998-08-08	VYDAJ	PREVOD NA UCET	13080	29377	SIPO	MN	8556467
181759	617	1998-09-08	VYDAJ	PREVOD NA UCET	13080	35464	SIPO	MN	8556467
181760	617	1998-10-08	VYDAJ	PREVOD NA UCET	13080	34940	SIPO	MN	8556467
181761	617	1998-11-08	VYDAJ	PREVOD NA UCET	13080	34413	SIPO	MN	8556467
181762	617	1998-12-08	VYDAJ	PREVOD NA UCET	13080	31691	SIPO	MN	8556467
181769	617	1997-09-12	VYBER	VYBER	14316	31333	\N	\N	\N
181772	617	1997-10-15	VYBER	VYBER	14122	27523	\N	\N	\N
181775	617	1998-04-08	VYBER	VYBER	9678	51406	\N	\N	\N
181776	617	1998-01-08	VYBER	VYBER	3671	64407	\N	\N	\N
181777	617	1998-08-05	VYBER	VYBER	14346	42457	\N	\N	\N
181778	617	1998-07-03	VYBER	VYBER	14568	27303	\N	\N	\N
181783	617	1998-12-05	VYBER	VYBER	14025	44771	\N	\N	\N
181784	617	1998-01-23	VYBER	VYBER	11391	22136	\N	\N	\N
181790	617	1997-12-14	VYDAJ	VYBER	2700	62814	\N	\N	\N
181798	617	1997-01-07	VYDAJ	VYBER	8400	67603	\N	\N	\N
181799	617	1997-01-14	VYDAJ	VYBER	2400	42823	\N	\N	\N
181800	617	1997-01-11	VYDAJ	VYBER	2100	52423	\N	\N	\N
181801	617	1997-01-11	VYDAJ	VYBER	2700	49723	\N	\N	\N
181802	617	1997-01-23	VYDAJ	VYBER	4200	23123	\N	\N	\N
181803	617	1997-01-14	VYDAJ	VYBER	4500	45223	\N	\N	\N
181804	617	1998-01-21	VYDAJ	VYBER	2400	33527	\N	\N	\N
181806	617	1998-01-09	VYDAJ	VYBER	6900	37527	\N	\N	\N
181807	617	1998-01-01	VYDAJ	VYBER	4800	42006	\N	\N	\N
181808	617	1998-01-09	VYDAJ	VYBER	6900	44427	\N	\N	\N
181816	617	1997-01-30	VYDAJ	VYBER	2400	20723	\N	\N	\N
181817	617	1997-05-05	VYDAJ	VYBER	5100	49531	\N	\N	\N
181818	617	1997-02-13	VYDAJ	VYBER	3600	30267	\N	\N	\N
181819	617	1997-03-17	VYDAJ	VYBER	8100	27653	\N	\N	\N
181820	617	1997-08-13	VYDAJ	VYBER	12600	37517	\N	\N	\N
181821	617	1998-12-09	VYDAJ	VYBER	8700	22991	\N	\N	\N
181823	617	1998-03-01	VYDAJ	VYBER	8100	24781	\N	\N	\N
181824	617	1998-01-13	VYDAJ	VYBER	3000	34527	\N	\N	\N
181825	617	1998-05-29	VYDAJ	VYBER	3000	31446	\N	\N	\N
181839	617	1997-01-31	VYDAJ	VYBER	15	20875	SLUZBY	\N	\N
181840	617	1997-02-28	VYDAJ	VYBER	15	22761	SLUZBY	\N	\N
181841	617	1997-03-31	VYDAJ	VYBER	15	24053	SLUZBY	\N	\N
181842	617	1997-04-30	VYDAJ	VYBER	15	28559	SLUZBY	\N	\N
181843	617	1997-05-31	VYDAJ	VYBER	15	30381	SLUZBY	\N	\N
181844	617	1997-06-30	VYDAJ	VYBER	15	37673	SLUZBY	\N	\N
181845	617	1997-07-31	VYDAJ	VYBER	15	37125	SLUZBY	\N	\N
181846	617	1997-08-31	VYDAJ	VYBER	15	32657	SLUZBY	\N	\N
181847	617	1997-09-30	VYDAJ	VYBER	15	28653	SLUZBY	\N	\N
181848	617	1997-10-31	VYDAJ	VYBER	15	31846	SLUZBY	\N	\N
181849	617	1997-11-30	VYDAJ	VYBER	15	39486	SLUZBY	\N	\N
181850	617	1997-12-31	VYDAJ	VYBER	15	46806	SLUZBY	\N	\N
181851	617	1998-01-31	VYDAJ	VYBER	15	22277	SLUZBY	\N	\N
181852	617	1998-02-28	VYDAJ	VYBER	15	32881	SLUZBY	\N	\N
181853	617	1998-03-31	VYDAJ	VYBER	15	35012	SLUZBY	\N	\N
181854	617	1998-04-30	VYDAJ	VYBER	15	32154	SLUZBY	\N	\N
181855	617	1998-05-31	VYDAJ	VYBER	15	31581	SLUZBY	\N	\N
181856	617	1998-06-30	VYDAJ	VYBER	15	41871	SLUZBY	\N	\N
181857	617	1998-07-31	VYDAJ	VYBER	15	30731	SLUZBY	\N	\N
181858	617	1998-08-31	VYDAJ	VYBER	15	22472	SLUZBY	\N	\N
181859	617	1998-09-30	VYDAJ	VYBER	15	21948	SLUZBY	\N	\N
181860	617	1998-10-31	VYDAJ	VYBER	15	21421	SLUZBY	\N	\N
181861	617	1998-11-30	VYDAJ	VYBER	15	19688	SLUZBY	\N	\N
181862	617	1996-09-22	VYDAJ	VYBER	3600	22672	\N	\N	\N
181863	617	1996-10-22	VYDAJ	VYBER	10500	38272	\N	\N	\N
181864	617	1996-11-21	VYDAJ	VYBER	19500	44960	\N	\N	\N
181865	617	1996-12-21	VYDAJ	VYBER	34500	49737	\N	\N	\N
181866	617	1997-01-20	VYDAJ	VYBER	15500	27323	\N	\N	\N
181867	617	1997-02-19	VYDAJ	VYBER	7600	22667	\N	\N	\N
181868	617	1997-03-21	VYDAJ	VYBER	3700	23953	\N	\N	\N
181869	617	1997-04-20	VYDAJ	VYBER	8600	28445	\N	\N	\N
181870	617	1997-05-20	VYDAJ	VYBER	6200	30251	\N	\N	\N
181871	617	1997-06-19	VYDAJ	VYBER	18900	37509	\N	\N	\N
181872	617	1997-07-19	VYDAJ	VYBER	13700	36965	\N	\N	\N
181873	617	1997-08-18	VYDAJ	VYBER	5000	32517	\N	\N	\N
181874	617	1997-09-17	VYDAJ	VYBER	2800	28533	\N	\N	\N
181875	617	1997-10-17	PRIJEM	VKLAD	4200	31723	\N	\N	\N
181876	617	1997-11-16	VYDAJ	VYBER	5500	39338	\N	\N	\N
181877	617	1997-12-16	VYDAJ	VYBER	16200	46614	\N	\N	\N
181878	617	1998-01-15	PRIJEM	VKLAD	1400	35927	\N	\N	\N
181879	617	1998-02-14	VYDAJ	VYBER	2500	32769	\N	\N	\N
181880	617	1998-03-16	VYDAJ	VYBER	2900	34873	\N	\N	\N
181881	617	1998-04-15	VYDAJ	VYBER	6300	32026	\N	\N	\N
181882	617	1998-05-15	VYDAJ	VYBER	10700	34446	\N	\N	\N
181883	617	1998-06-14	VYDAJ	VYBER	15900	41709	\N	\N	\N
181884	617	1998-07-14	VYDAJ	VYBER	9700	30595	\N	\N	\N
181886	617	1998-09-12	VYDAJ	VYBER	13600	21864	\N	\N	\N
181887	617	1998-10-12	VYDAJ	VYBER	13600	21340	\N	\N	\N
181888	617	1998-11-11	VYDAJ	VYBER	14800	19613	\N	\N	\N
181889	617	1998-12-11	VYDAJ	VYBER	7900	15091	\N	\N	\N
181918	618	1996-10-02	PRIJEM	VKLAD	700	700	\N	\N	\N
181928	618	1996-10-05	PRIJEM	VKLAD	24896	25596	\N	\N	\N
181929	618	1996-11-05	PRIJEM	VKLAD	24896	50085	\N	\N	\N
181930	618	1996-12-05	PRIJEM	VKLAD	37344	76324	\N	\N	\N
181931	618	1997-01-05	PRIJEM	VKLAD	24896	75120	\N	\N	\N
181932	618	1997-02-05	PRIJEM	VKLAD	24896	75926	\N	\N	\N
181933	618	1997-03-05	PRIJEM	VKLAD	24896	73871	\N	\N	\N
181934	618	1997-04-05	PRIJEM	VKLAD	24896	73278	\N	\N	\N
181935	618	1997-05-05	PRIJEM	VKLAD	24896	69750	\N	\N	\N
181936	618	1997-06-05	PRIJEM	VKLAD	37344	82157	\N	\N	\N
181937	618	1997-07-05	PRIJEM	VKLAD	24896	78553	\N	\N	\N
181938	618	1997-08-05	PRIJEM	VKLAD	24896	75141	\N	\N	\N
181939	618	1997-09-05	PRIJEM	VKLAD	24896	72107	\N	\N	\N
181940	618	1997-10-05	PRIJEM	VKLAD	24896	71464	\N	\N	\N
181941	618	1997-11-05	PRIJEM	VKLAD	24896	68515	\N	\N	\N
181942	618	1997-12-05	PRIJEM	VKLAD	37344	80403	\N	\N	\N
181943	618	1998-01-05	PRIJEM	VKLAD	24896	71854	\N	\N	\N
181944	618	1998-02-05	PRIJEM	VKLAD	24896	67218	\N	\N	\N
181945	618	1998-03-05	PRIJEM	VKLAD	24896	69351	\N	\N	\N
181946	618	1998-04-05	PRIJEM	VKLAD	24896	73496	\N	\N	\N
181947	618	1998-05-05	PRIJEM	VKLAD	24896	72752	\N	\N	\N
181948	618	1998-06-05	PRIJEM	VKLAD	37344	82650	\N	\N	\N
181949	618	1998-07-05	PRIJEM	VKLAD	24896	71623	\N	\N	\N
181950	618	1998-08-05	PRIJEM	VKLAD	24896	64960	\N	\N	\N
181951	618	1998-09-05	PRIJEM	VKLAD	24896	60869	\N	\N	\N
181952	618	1998-10-05	PRIJEM	VKLAD	24896	57260	\N	\N	\N
181953	618	1998-11-05	PRIJEM	VKLAD	24896	55133	\N	\N	\N
181954	618	1998-12-05	PRIJEM	VKLAD	37344	59634	\N	\N	\N
181968	618	1997-02-13	VYDAJ	PREVOD NA UCET	747	72144	SIPO	ST	52253526
181969	618	1997-03-13	VYDAJ	PREVOD NA UCET	747	69009	SIPO	ST	52253526
181970	618	1997-04-13	VYDAJ	PREVOD NA UCET	747	69496	SIPO	ST	52253526
181971	618	1997-05-13	VYDAJ	PREVOD NA UCET	747	65968	SIPO	ST	52253526
181972	618	1997-06-13	VYDAJ	PREVOD NA UCET	747	78375	SIPO	ST	52253526
181973	618	1997-07-13	VYDAJ	PREVOD NA UCET	747	74771	SIPO	ST	52253526
181974	618	1997-08-13	VYDAJ	PREVOD NA UCET	747	71359	SIPO	ST	52253526
181975	618	1997-09-13	VYDAJ	PREVOD NA UCET	747	68325	SIPO	ST	52253526
181976	618	1997-10-13	VYDAJ	PREVOD NA UCET	747	67682	SIPO	ST	52253526
181977	618	1997-11-13	VYDAJ	PREVOD NA UCET	747	64733	SIPO	ST	52253526
181978	618	1997-12-13	VYDAJ	PREVOD NA UCET	747	76621	SIPO	ST	52253526
181979	618	1998-01-13	VYDAJ	PREVOD NA UCET	747	68072	SIPO	ST	52253526
181980	618	1998-02-13	VYDAJ	PREVOD NA UCET	747	63436	SIPO	ST	52253526
181981	618	1998-03-13	VYDAJ	PREVOD NA UCET	747	65569	SIPO	ST	52253526
181982	618	1998-04-13	VYDAJ	PREVOD NA UCET	747	69714	SIPO	ST	52253526
181983	618	1998-05-13	VYDAJ	PREVOD NA UCET	747	68970	SIPO	ST	52253526
181984	618	1998-06-13	VYDAJ	PREVOD NA UCET	747	78868	SIPO	ST	52253526
181985	618	1998-07-13	VYDAJ	PREVOD NA UCET	747	67841	SIPO	ST	52253526
181986	618	1998-08-13	VYDAJ	PREVOD NA UCET	747	61178	SIPO	ST	52253526
181987	618	1998-09-13	VYDAJ	PREVOD NA UCET	747	57087	SIPO	ST	52253526
181988	618	1998-10-13	VYDAJ	PREVOD NA UCET	747	53478	SIPO	ST	52253526
181989	618	1998-11-13	VYDAJ	PREVOD NA UCET	747	51351	SIPO	ST	52253526
181990	618	1998-12-13	VYDAJ	PREVOD NA UCET	747	55852	SIPO	ST	52253526
182004	618	1997-02-06	VYDAJ	PREVOD NA UCET	3035	72891	 	WX	93719195
182005	618	1997-03-06	VYDAJ	PREVOD NA UCET	3035	70836	 	WX	93719195
182006	618	1997-04-06	VYDAJ	PREVOD NA UCET	3035	70243	 	WX	93719195
182007	618	1997-05-06	VYDAJ	PREVOD NA UCET	3035	66715	 	WX	93719195
182008	618	1997-06-06	VYDAJ	PREVOD NA UCET	3035	79122	 	WX	93719195
182009	618	1997-07-06	VYDAJ	PREVOD NA UCET	3035	75518	 	WX	93719195
182010	618	1997-08-06	VYDAJ	PREVOD NA UCET	3035	72106	 	WX	93719195
182011	618	1997-09-06	VYDAJ	PREVOD NA UCET	3035	69072	 	WX	93719195
182012	618	1997-10-06	VYDAJ	PREVOD NA UCET	3035	68429	 	WX	93719195
182013	618	1997-11-06	VYDAJ	PREVOD NA UCET	3035	65480	 	WX	93719195
182014	618	1997-12-06	VYDAJ	PREVOD NA UCET	3035	77368	 	WX	93719195
182015	618	1998-01-06	VYDAJ	PREVOD NA UCET	3035	68819	 	WX	93719195
182016	618	1998-02-06	VYDAJ	PREVOD NA UCET	3035	64183	 	WX	93719195
182017	618	1998-03-06	VYDAJ	PREVOD NA UCET	3035	66316	 	WX	93719195
182018	618	1998-04-06	VYDAJ	PREVOD NA UCET	3035	70461	 	WX	93719195
182019	618	1998-05-06	VYDAJ	PREVOD NA UCET	3035	69717	 	WX	93719195
182020	618	1998-06-06	VYDAJ	PREVOD NA UCET	3035	79615	 	WX	93719195
182021	618	1998-07-06	VYDAJ	PREVOD NA UCET	3035	68588	 	WX	93719195
182022	618	1998-08-06	VYDAJ	PREVOD NA UCET	3035	61925	 	WX	93719195
182023	618	1998-09-06	VYDAJ	PREVOD NA UCET	3035	57834	 	WX	93719195
182024	618	1998-10-06	VYDAJ	PREVOD NA UCET	3035	54225	 	WX	93719195
182025	618	1998-11-06	VYDAJ	PREVOD NA UCET	3035	52098	 	WX	93719195
182026	618	1998-12-06	VYDAJ	PREVOD NA UCET	3035	56599	 	WX	93719195
182028	618	1997-12-25	VYDAJ	VYBER	4320	72301	\N	\N	\N
182029	618	1998-12-26	VYDAJ	VYBER KARTOU	1600	33452	\N	\N	0
182036	618	1997-05-03	VYDAJ	VYBER	1200	44854	\N	\N	\N
182037	618	1997-08-15	VYDAJ	VYBER KARTOU	1300	70059	\N	\N	0
182038	618	1997-08-20	VYDAJ	VYBER KARTOU	1400	68659	\N	\N	0
182039	618	1997-03-07	VYDAJ	VYBER	1080	69756	\N	\N	\N
182041	618	1997-02-28	VYDAJ	VYBER	840	71575	\N	\N	\N
182042	618	1998-11-14	VYDAJ	VYBER	5400	45951	\N	\N	\N
182043	618	1998-01-25	VYDAJ	VYBER KARTOU	2400	65672	\N	\N	0
182044	618	1998-10-15	VYDAJ	VYBER KARTOU	3200	50278	\N	\N	0
182045	618	1998-11-28	VYDAJ	VYBER KARTOU	1700	22151	\N	\N	0
182060	618	1997-02-28	VYDAJ	VYBER	15	72415	SLUZBY	\N	\N
182061	618	1997-03-31	VYDAJ	VYBER	15	69282	SLUZBY	\N	\N
182062	618	1997-04-30	VYDAJ	VYBER	15	69754	SLUZBY	\N	\N
182063	618	1997-05-31	VYDAJ	VYBER	15	44813	SLUZBY	\N	\N
182064	618	1997-06-30	VYDAJ	VYBER	15	53657	SLUZBY	\N	\N
182065	618	1997-07-31	VYDAJ	VYBER	15	50245	SLUZBY	\N	\N
182066	618	1997-08-31	VYDAJ	VYBER	15	47211	SLUZBY	\N	\N
182067	618	1997-09-30	VYDAJ	VYBER	15	46568	SLUZBY	\N	\N
182068	618	1997-10-31	VYDAJ	VYBER	15	43619	SLUZBY	\N	\N
182069	618	1997-11-30	VYDAJ	VYBER	15	43059	SLUZBY	\N	\N
182070	618	1997-12-31	VYDAJ	VYBER	15	46958	SLUZBY	\N	\N
182071	618	1998-01-31	VYDAJ	VYBER	15	42322	SLUZBY	\N	\N
182072	618	1998-02-28	VYDAJ	VYBER	15	44455	SLUZBY	\N	\N
182073	618	1998-03-31	VYDAJ	VYBER	15	48600	SLUZBY	\N	\N
182074	618	1998-04-30	VYDAJ	VYBER	15	47856	SLUZBY	\N	\N
182075	618	1998-05-31	VYDAJ	VYBER	15	45306	SLUZBY	\N	\N
182076	618	1998-06-30	VYDAJ	VYBER	15	46727	SLUZBY	\N	\N
182077	618	1998-07-31	VYDAJ	VYBER	15	40064	SLUZBY	\N	\N
182078	618	1998-08-31	VYDAJ	VYBER	15	35973	SLUZBY	\N	\N
182079	618	1998-09-30	VYDAJ	VYBER	15	32364	SLUZBY	\N	\N
182080	618	1998-10-31	VYDAJ	VYBER	15	30237	SLUZBY	\N	\N
182081	618	1998-11-30	VYDAJ	VYBER	15	22290	SLUZBY	\N	\N
182082	618	1996-11-01	VYDAJ	VYBER	500	25189	\N	\N	\N
182083	618	1996-12-01	VYDAJ	VYBER	11300	38980	\N	\N	\N
182084	618	1996-12-31	VYDAJ	VYBER	26400	50224	\N	\N	\N
182085	618	1997-01-30	VYDAJ	VYBER	24300	50820	\N	\N	\N
182086	618	1997-03-01	VYDAJ	VYBER	22600	48975	\N	\N	\N
182087	618	1997-03-31	VYDAJ	VYBER	20900	48382	\N	\N	\N
182088	618	1997-04-30	VYDAJ	VYBER	23700	46054	\N	\N	\N
182089	618	1997-05-30	VYDAJ	VYBER	21400	44568	\N	\N	\N
182090	618	1997-06-29	VYDAJ	VYBER	25000	53375	\N	\N	\N
182091	618	1997-07-29	VYDAJ	VYBER	24800	49971	\N	\N	\N
182092	618	1997-08-28	VYDAJ	VYBER	21700	46959	\N	\N	\N
182093	618	1997-09-27	VYDAJ	VYBER	22000	46325	\N	\N	\N
182094	618	1997-10-27	VYDAJ	VYBER	24300	43382	\N	\N	\N
182095	618	1997-11-26	VYDAJ	VYBER	21900	42833	\N	\N	\N
182096	618	1997-12-26	VYDAJ	VYBER	25600	46701	\N	\N	\N
182097	618	1998-01-25	VYDAJ	VYBER	23600	42072	\N	\N	\N
182098	618	1998-02-24	VYDAJ	VYBER	19200	44236	\N	\N	\N
182099	618	1998-03-26	VYDAJ	VYBER	17200	48369	\N	\N	\N
182100	618	1998-04-25	VYDAJ	VYBER	22100	47614	\N	\N	\N
182101	618	1998-05-25	VYDAJ	VYBER	23900	45070	\N	\N	\N
182102	618	1998-06-24	VYDAJ	VYBER	32400	46468	\N	\N	\N
182103	618	1998-07-24	VYDAJ	VYBER	28000	39841	\N	\N	\N
182104	618	1998-08-23	VYDAJ	VYBER	25400	35778	\N	\N	\N
182105	618	1998-09-22	VYDAJ	VYBER	24900	32187	\N	\N	\N
182106	618	1998-10-22	VYDAJ	VYBER	20200	30078	\N	\N	\N
182107	618	1998-11-21	VYDAJ	VYBER	22100	23851	\N	\N	\N
182108	618	1998-12-21	VYDAJ	VYBER	20800	35052	\N	\N	\N
182136	619	1995-09-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
182139	619	1995-12-29	PRIJEM	VKLAD	11474	46194	\N	\N	\N
182141	619	1995-10-31	PRIJEM	VKLAD	36291	101424	\N	\N	\N
182142	619	1995-10-17	PRIJEM	VKLAD	24343	65028	\N	\N	\N
182143	619	1995-10-03	PRIJEM	VKLAD	35744	60285	\N	\N	\N
182144	619	1995-10-26	PRIJEM	VKLAD	16191	81219	\N	\N	\N
182146	619	1995-10-27	PRIJEM	VKLAD	47614	128833	\N	\N	\N
182147	619	1995-11-30	PRIJEM	VKLAD	21455	52800	\N	\N	\N
182150	619	1995-09-19	PRIJEM	VKLAD	23400	24500	\N	\N	\N
182157	619	1995-11-03	PRIJEM	VKLAD	12076	113678	\N	\N	\N
182158	619	1995-12-02	PRIJEM	VKLAD	15417	68187	\N	\N	\N
182160	619	1996-05-22	PRIJEM	VKLAD	48636	60378	\N	\N	\N
182161	619	1996-07-26	PRIJEM	VKLAD	13313	30026	\N	\N	\N
182162	619	1996-11-23	PRIJEM	VKLAD	18452	109746	\N	\N	\N
182163	619	1996-10-01	PRIJEM	VKLAD	24686	57067	\N	\N	\N
182164	619	1996-03-21	PRIJEM	VKLAD	13082	42293	\N	\N	\N
182165	619	1996-10-21	PRIJEM	VKLAD	41770	78170	\N	\N	\N
182166	619	1996-12-21	PRIJEM	VKLAD	35551	72615	\N	\N	\N
182167	619	1996-11-09	PRIJEM	VKLAD	7405	72511	\N	\N	\N
182168	619	1996-11-20	PRIJEM	VKLAD	27050	91294	\N	\N	\N
182169	619	1996-02-17	PRIJEM	VKLAD	27953	44470	\N	\N	\N
182170	619	1996-08-02	PRIJEM	VKLAD	5458	35546	\N	\N	\N
182171	619	1996-10-29	PRIJEM	VKLAD	44936	123106	\N	\N	\N
182172	619	1996-08-04	PRIJEM	VKLAD	35102	70648	\N	\N	\N
182173	619	1996-04-18	PRIJEM	VKLAD	12928	39886	\N	\N	\N
182174	619	1996-08-06	PRIJEM	VKLAD	27776	73824	\N	\N	\N
182175	619	1996-05-25	PRIJEM	VKLAD	43696	104074	\N	\N	\N
182176	619	1996-12-24	PRIJEM	VKLAD	5005	70120	\N	\N	\N
182177	619	1997-02-23	PRIJEM	VKLAD	11870	33538	\N	\N	\N
182178	619	1997-10-12	PRIJEM	VKLAD	30581	151453	\N	\N	\N
182179	619	1997-10-12	PRIJEM	VKLAD	33578	120872	\N	\N	\N
182180	619	1997-10-12	PRIJEM	VKLAD	34459	87294	\N	\N	\N
182181	619	1997-03-05	PRIJEM	VKLAD	10052	50174	\N	\N	\N
182182	619	1997-11-08	PRIJEM	VKLAD	16895	81257	\N	\N	\N
182183	619	1997-10-30	PRIJEM	VKLAD	24527	64151	\N	\N	\N
182184	619	1997-09-30	PRIJEM	VKLAD	35130	59403	\N	\N	\N
182185	619	1997-08-07	PRIJEM	VKLAD	35301	52338	\N	\N	\N
182186	619	1997-03-04	PRIJEM	VKLAD	11979	40122	\N	\N	\N
182187	619	1997-12-23	PRIJEM	VKLAD	5816	44290	\N	\N	\N
182188	619	1998-11-28	PRIJEM	VKLAD	38572	64356	\N	\N	\N
182199	619	1995-11-14	VYDAJ	PREVOD NA UCET	1729	48311	SIPO	YZ	51829963
182200	619	1995-12-14	VYDAJ	PREVOD NA UCET	1729	34720	SIPO	YZ	51829963
182201	619	1996-01-14	VYDAJ	PREVOD NA UCET	1729	27174	SIPO	YZ	51829963
182202	619	1996-02-14	VYDAJ	PREVOD NA UCET	1729	16517	SIPO	YZ	51829963
182203	619	1996-03-14	VYDAJ	PREVOD NA UCET	1729	29211	SIPO	YZ	51829963
182204	619	1996-04-14	VYDAJ	PREVOD NA UCET	1729	26958	SIPO	YZ	51829963
182205	619	1996-05-14	VYDAJ	PREVOD NA UCET	1729	11742	SIPO	YZ	51829963
182206	619	1996-06-14	VYDAJ	PREVOD NA UCET	1729	37241	SIPO	YZ	51829963
182207	619	1996-07-14	VYDAJ	PREVOD NA UCET	1729	16713	SIPO	YZ	51829963
182208	619	1996-08-14	VYDAJ	PREVOD NA UCET	1729	65557	SIPO	YZ	51829963
182209	619	1996-09-14	VYDAJ	PREVOD NA UCET	1729	39720	SIPO	YZ	51829963
182210	619	1996-10-14	VYDAJ	PREVOD NA UCET	1729	36400	SIPO	YZ	51829963
182211	619	1996-11-14	VYDAJ	PREVOD NA UCET	1729	64244	SIPO	YZ	51829963
182212	619	1996-12-14	VYDAJ	PREVOD NA UCET	1729	37064	SIPO	YZ	51829963
182213	619	1997-01-14	VYDAJ	PREVOD NA UCET	1729	41255	SIPO	YZ	51829963
182214	619	1997-02-14	VYDAJ	PREVOD NA UCET	1729	21668	SIPO	YZ	51829963
182215	619	1997-03-14	VYDAJ	PREVOD NA UCET	1729	41907	SIPO	YZ	51829963
182216	619	1997-04-14	VYDAJ	PREVOD NA UCET	1729	24188	SIPO	YZ	51829963
182217	619	1997-05-14	VYDAJ	PREVOD NA UCET	1729	18117	SIPO	YZ	51829963
182218	619	1997-06-14	VYDAJ	PREVOD NA UCET	1729	17205	SIPO	YZ	51829963
182219	619	1997-07-14	VYDAJ	PREVOD NA UCET	1729	13595	SIPO	YZ	51829963
182220	619	1997-08-14	VYDAJ	PREVOD NA UCET	1729	44071	SIPO	YZ	51829963
182221	619	1997-09-14	VYDAJ	PREVOD NA UCET	1729	19268	SIPO	YZ	51829963
182222	619	1997-10-14	VYDAJ	PREVOD NA UCET	1729	49424	SIPO	YZ	51829963
182223	619	1997-11-14	VYDAJ	PREVOD NA UCET	1729	72990	SIPO	YZ	51829963
182224	619	1997-12-14	VYDAJ	PREVOD NA UCET	1729	44474	SIPO	YZ	51829963
182225	619	1998-01-14	VYDAJ	PREVOD NA UCET	1729	17871	SIPO	YZ	51829963
182226	619	1998-02-14	VYDAJ	PREVOD NA UCET	1729	21886	SIPO	YZ	51829963
182227	619	1998-03-14	VYDAJ	PREVOD NA UCET	1729	16788	SIPO	YZ	51829963
182228	619	1998-04-14	VYDAJ	PREVOD NA UCET	1729	16280	SIPO	YZ	51829963
182229	619	1998-05-14	VYDAJ	PREVOD NA UCET	1729	17471	SIPO	YZ	51829963
182230	619	1998-06-14	VYDAJ	PREVOD NA UCET	1729	15965	SIPO	YZ	51829963
182231	619	1998-07-14	VYDAJ	PREVOD NA UCET	1729	21560	SIPO	YZ	51829963
182232	619	1998-08-14	VYDAJ	PREVOD NA UCET	1729	23575	SIPO	YZ	51829963
182233	619	1998-09-14	VYDAJ	PREVOD NA UCET	1729	22597	SIPO	YZ	51829963
182234	619	1998-10-14	VYDAJ	PREVOD NA UCET	1729	17417	SIPO	YZ	51829963
182235	619	1998-11-14	VYDAJ	PREVOD NA UCET	1729	21820	SIPO	YZ	51829963
182236	619	1998-12-14	VYDAJ	PREVOD NA UCET	1729	38200	SIPO	YZ	51829963
182247	619	1995-11-11	VYDAJ	PREVOD NA UCET	6538	50040	 	AB	96250706
182248	619	1995-12-11	VYDAJ	PREVOD NA UCET	6538	36449	 	AB	96250706
182249	619	1996-01-11	VYDAJ	PREVOD NA UCET	6538	28903	 	AB	96250706
182250	619	1996-02-11	VYDAJ	PREVOD NA UCET	6538	18246	 	AB	96250706
182251	619	1996-03-11	VYDAJ	PREVOD NA UCET	6538	30940	 	AB	96250706
182252	619	1996-04-11	VYDAJ	PREVOD NA UCET	6538	28687	 	AB	96250706
182253	619	1996-05-11	VYDAJ	PREVOD NA UCET	6538	13471	 	AB	96250706
182254	619	1996-06-11	VYDAJ	PREVOD NA UCET	6538	38970	 	AB	96250706
182255	619	1996-07-11	VYDAJ	PREVOD NA UCET	6538	18442	 	AB	96250706
182256	619	1996-08-11	VYDAJ	PREVOD NA UCET	6538	67286	 	AB	96250706
182257	619	1996-09-11	VYDAJ	PREVOD NA UCET	6538	41449	 	AB	96250706
182258	619	1996-10-11	VYDAJ	PREVOD NA UCET	6538	38129	 	AB	96250706
182259	619	1996-11-11	VYDAJ	PREVOD NA UCET	6538	65973	 	AB	96250706
182260	619	1996-12-11	VYDAJ	PREVOD NA UCET	6538	38793	 	AB	96250706
182261	619	1997-01-11	VYDAJ	PREVOD NA UCET	6538	42984	 	AB	96250706
182262	619	1997-02-11	VYDAJ	PREVOD NA UCET	6538	23397	 	AB	96250706
182263	619	1997-03-11	VYDAJ	PREVOD NA UCET	6538	43636	 	AB	96250706
182264	619	1997-04-11	VYDAJ	PREVOD NA UCET	6538	25917	 	AB	96250706
182265	619	1997-05-11	VYDAJ	PREVOD NA UCET	6538	19846	 	AB	96250706
182266	619	1997-06-11	VYDAJ	PREVOD NA UCET	6538	18934	 	AB	96250706
182267	619	1997-07-11	VYDAJ	PREVOD NA UCET	6538	15324	 	AB	96250706
182268	619	1997-08-11	VYDAJ	PREVOD NA UCET	6538	45800	 	AB	96250706
182269	619	1997-09-11	VYDAJ	PREVOD NA UCET	6538	20997	 	AB	96250706
182270	619	1997-10-11	VYDAJ	PREVOD NA UCET	6538	52835	 	AB	96250706
182271	619	1997-11-11	VYDAJ	PREVOD NA UCET	6538	74719	 	AB	96250706
182272	619	1997-12-11	VYDAJ	PREVOD NA UCET	6538	46203	 	AB	96250706
182273	619	1998-01-11	VYDAJ	PREVOD NA UCET	6538	19600	 	AB	96250706
182274	619	1998-02-11	VYDAJ	PREVOD NA UCET	6538	23615	 	AB	96250706
182275	619	1998-03-11	VYDAJ	PREVOD NA UCET	6538	18517	 	AB	96250706
182276	619	1998-04-11	VYDAJ	PREVOD NA UCET	6538	18009	 	AB	96250706
182277	619	1998-05-11	VYDAJ	PREVOD NA UCET	6538	19200	 	AB	96250706
182278	619	1998-06-11	VYDAJ	PREVOD NA UCET	6538	17694	 	AB	96250706
182279	619	1998-07-11	VYDAJ	PREVOD NA UCET	6538	23289	 	AB	96250706
182280	619	1998-08-11	VYDAJ	PREVOD NA UCET	6538	25304	 	AB	96250706
182281	619	1998-09-11	VYDAJ	PREVOD NA UCET	6538	24326	 	AB	96250706
182282	619	1998-10-11	VYDAJ	PREVOD NA UCET	6538	19146	 	AB	96250706
182283	619	1998-11-11	VYDAJ	PREVOD NA UCET	6538	23549	 	AB	96250706
182284	619	1998-12-11	VYDAJ	PREVOD NA UCET	6538	43229	 	AB	96250706
182290	619	1995-11-20	VYBER	VYBER	17209	31102	\N	\N	\N
182292	619	1996-05-08	VYBER	VYBER	12505	20009	\N	\N	\N
182293	619	1997-12-23	VYBER	VYBER	6013	38277	\N	\N	\N
182295	619	1997-08-26	VYBER	VYBER	4453	39618	\N	\N	\N
182299	619	1997-09-05	VYBER	VYBER	4691	27535	\N	\N	\N
182303	619	1998-03-10	VYBER	VYBER	2011	25055	\N	\N	\N
182307	619	1998-11-24	VYBER	VYBER	6936	25784	\N	\N	\N
182308	619	1998-11-29	VYBER	VYBER	14682	49674	\N	\N	\N
182317	619	1995-12-02	VYDAJ	VYBER	6300	61887	\N	\N	\N
182318	619	1996-12-22	VYDAJ	VYBER	7500	65115	\N	\N	\N
182319	619	1997-12-19	VYDAJ	VYBER	6000	38474	\N	\N	\N
182320	619	1998-12-13	VYDAJ	VYBER	3300	39929	\N	\N	\N
182325	619	1996-06-01	VYDAJ	VYBER	12600	68108	\N	\N	\N
182327	619	1996-06-21	VYDAJ	VYBER	12600	24641	\N	\N	\N
182328	619	1996-09-20	VYDAJ	VYBER	7500	32220	\N	\N	\N
182330	619	1997-08-26	VYDAJ	VYBER	6600	33018	\N	\N	\N
182332	619	1997-01-23	VYDAJ	VYBER	1800	39455	\N	\N	\N
182334	619	1998-09-29	VYDAJ	VYBER	6900	25597	\N	\N	\N
182336	619	1998-01-04	VYDAJ	VYBER	12600	26138	\N	\N	\N
182338	619	1998-04-02	VYDAJ	VYBER	1500	24547	\N	\N	\N
182349	619	1995-10-31	VYDAJ	VYBER	30	101602	SLUZBY	\N	\N
182350	619	1995-11-30	VYDAJ	VYBER	30	52770	SLUZBY	\N	\N
182351	619	1995-12-31	VYDAJ	VYBER	30	46341	SLUZBY	\N	\N
182352	619	1996-01-31	VYDAJ	VYBER	30	27284	SLUZBY	\N	\N
182353	619	1996-02-29	VYDAJ	VYBER	30	44578	SLUZBY	\N	\N
182354	619	1996-03-31	VYDAJ	VYBER	30	42425	SLUZBY	\N	\N
182355	619	1996-04-30	VYDAJ	VYBER	30	40014	SLUZBY	\N	\N
182356	619	1996-05-31	VYDAJ	VYBER	30	80708	SLUZBY	\N	\N
182357	619	1996-06-30	VYDAJ	VYBER	30	24780	SLUZBY	\N	\N
182358	619	1996-07-31	VYDAJ	VYBER	30	30088	SLUZBY	\N	\N
182359	619	1996-08-31	VYDAJ	VYBER	30	65787	SLUZBY	\N	\N
182360	619	1996-09-30	VYDAJ	VYBER	30	32381	SLUZBY	\N	\N
182361	619	1996-10-31	VYDAJ	VYBER	30	99606	SLUZBY	\N	\N
182362	619	1996-11-30	VYDAJ	VYBER	30	58731	SLUZBY	\N	\N
182363	619	1996-12-31	VYDAJ	VYBER	30	70322	SLUZBY	\N	\N
182364	619	1997-01-31	VYDAJ	VYBER	30	39635	SLUZBY	\N	\N
182365	619	1997-02-28	VYDAJ	VYBER	30	33643	SLUZBY	\N	\N
182366	619	1997-03-31	VYDAJ	VYBER	30	42055	SLUZBY	\N	\N
182367	619	1997-04-30	VYDAJ	VYBER	30	24284	SLUZBY	\N	\N
182368	619	1997-05-31	VYDAJ	VYBER	30	25472	SLUZBY	\N	\N
182369	619	1997-06-30	VYDAJ	VYBER	30	21862	SLUZBY	\N	\N
182370	619	1997-07-31	VYDAJ	VYBER	30	17037	SLUZBY	\N	\N
182371	619	1997-08-31	VYDAJ	VYBER	30	32226	SLUZBY	\N	\N
182372	619	1997-09-30	VYDAJ	VYBER	30	59373	SLUZBY	\N	\N
182373	619	1997-10-31	VYDAJ	VYBER	30	64362	SLUZBY	\N	\N
182374	619	1997-11-30	VYDAJ	VYBER	30	52741	SLUZBY	\N	\N
182375	619	1997-12-31	VYDAJ	VYBER	30	38738	SLUZBY	\N	\N
182376	619	1998-01-31	VYDAJ	VYBER	30	30153	SLUZBY	\N	\N
182377	619	1998-02-28	VYDAJ	VYBER	30	27066	SLUZBY	\N	\N
182378	619	1998-03-31	VYDAJ	VYBER	30	26047	SLUZBY	\N	\N
182379	619	1998-04-30	VYDAJ	VYBER	30	25738	SLUZBY	\N	\N
182380	619	1998-05-31	VYDAJ	VYBER	30	24232	SLUZBY	\N	\N
182381	619	1998-06-30	VYDAJ	VYBER	30	29827	SLUZBY	\N	\N
182382	619	1998-07-31	VYDAJ	VYBER	30	31842	SLUZBY	\N	\N
182383	619	1998-08-31	VYDAJ	VYBER	30	30864	SLUZBY	\N	\N
182384	619	1998-09-30	VYDAJ	VYBER	30	25684	SLUZBY	\N	\N
182385	619	1998-10-31	VYDAJ	VYBER	30	30087	SLUZBY	\N	\N
182386	619	1998-11-30	VYDAJ	VYBER	30	49767	SLUZBY	\N	\N
182387	619	1995-10-09	VYDAJ	VYBER	19600	40685	\N	\N	\N
182388	619	1995-10-27	VYDAJ	VYBER	63700	65133	\N	\N	\N
182389	619	1995-11-03	VYDAJ	VYBER	29900	83778	\N	\N	\N
182390	619	1995-11-08	VYDAJ	VYBER	27200	56578	\N	\N	\N
182391	619	1995-12-08	VYDAJ	VYBER	18900	42987	\N	\N	\N
182392	619	1996-01-07	VYDAJ	VYBER	10900	35441	\N	\N	\N
182393	619	1996-02-06	VYDAJ	VYBER	2500	24784	\N	\N	\N
182394	619	1996-03-07	VYDAJ	VYBER	7100	37478	\N	\N	\N
182395	619	1996-04-06	VYDAJ	VYBER	7200	35225	\N	\N	\N
182396	619	1996-05-06	VYDAJ	VYBER	7500	32514	\N	\N	\N
182397	619	1996-05-25	VYDAJ	VYBER	23500	80574	\N	\N	\N
182398	619	1996-06-05	VYDAJ	VYBER	22600	45508	\N	\N	\N
182399	619	1996-07-05	PRIJEM	VKLAD	200	24980	\N	\N	\N
182400	619	1996-08-04	VYDAJ	VYBER	24600	46048	\N	\N	\N
182401	619	1996-09-03	VYDAJ	VYBER	17800	47987	\N	\N	\N
182402	619	1996-10-03	VYDAJ	VYBER	12400	44667	\N	\N	\N
182403	619	1996-10-29	VYDAJ	VYBER	23700	99406	\N	\N	\N
182404	619	1996-11-02	VYDAJ	VYBER	34500	65106	\N	\N	\N
182405	619	1996-11-23	VYDAJ	VYBER	51300	58446	\N	\N	\N
182406	619	1996-12-02	VYDAJ	VYBER	13400	45331	\N	\N	\N
182407	619	1997-01-01	VYDAJ	VYBER	20800	49522	\N	\N	\N
182408	619	1997-01-31	VYDAJ	VYBER	9700	29935	\N	\N	\N
182409	619	1997-03-02	VYDAJ	VYBER	5500	28143	\N	\N	\N
182410	619	1997-04-01	VYDAJ	VYBER	9600	32455	\N	\N	\N
182411	619	1997-05-01	PRIJEM	VKLAD	2100	26384	\N	\N	\N
182412	619	1997-05-31	PRIJEM	VKLAD	7300	25417	\N	\N	\N
182413	619	1997-06-30	PRIJEM	VKLAD	4600	21805	\N	\N	\N
182414	619	1997-07-30	PRIJEM	VKLAD	3400	16995	\N	\N	\N
182415	619	1997-08-29	VYDAJ	VYBER	900	32118	\N	\N	\N
182416	619	1997-09-28	PRIJEM	VKLAD	4900	24168	\N	\N	\N
182417	619	1997-10-12	VYDAJ	VYBER	36900	51153	\N	\N	\N
182418	619	1997-10-12	VYDAJ	VYBER	63400	88053	\N	\N	\N
182419	619	1997-10-28	VYDAJ	VYBER	9800	39624	\N	\N	\N
182420	619	1997-11-27	VYDAJ	VYBER	20500	52490	\N	\N	\N
182421	619	1997-12-27	PRIJEM	VKLAD	300	38577	\N	\N	\N
182422	619	1998-01-26	PRIJEM	VKLAD	12200	30071	\N	\N	\N
182423	619	1998-02-25	PRIJEM	VKLAD	5100	26986	\N	\N	\N
182424	619	1998-03-27	PRIJEM	VKLAD	9200	25988	\N	\N	\N
182425	619	1998-04-26	PRIJEM	VKLAD	9400	25680	\N	\N	\N
182426	619	1998-05-26	PRIJEM	VKLAD	6700	24171	\N	\N	\N
182427	619	1998-06-25	PRIJEM	VKLAD	13800	29765	\N	\N	\N
182428	619	1998-07-25	PRIJEM	VKLAD	10200	31760	\N	\N	\N
182429	619	1998-08-24	PRIJEM	VKLAD	7200	30775	\N	\N	\N
182430	619	1998-09-23	PRIJEM	VKLAD	9900	32497	\N	\N	\N
182431	619	1998-10-23	PRIJEM	VKLAD	12600	30017	\N	\N	\N
182432	619	1998-11-22	PRIJEM	VKLAD	10900	32720	\N	\N	\N
182473	620	1996-02-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
182527	620	1996-03-19	PRIJEM	VKLAD	10900	11900	\N	\N	\N
182528	620	1996-04-18	PRIJEM	VKLAD	8800	20700	\N	\N	\N
182529	620	1996-05-18	VYDAJ	VYBER	300	20400	\N	\N	\N
182530	620	1996-06-17	PRIJEM	VKLAD	2000	22400	\N	\N	\N
182531	620	1996-07-17	VYDAJ	VYBER	2100	20300	\N	\N	\N
182532	620	1996-08-16	VYDAJ	VYBER	3100	17200	\N	\N	\N
182533	620	1996-09-15	VYDAJ	VYBER	100	17100	\N	\N	\N
182534	620	1996-10-15	PRIJEM	VKLAD	2300	19400	\N	\N	\N
182535	620	1996-11-14	PRIJEM	VKLAD	600	20000	\N	\N	\N
182536	620	1996-12-14	PRIJEM	VKLAD	1800	21800	\N	\N	\N
182537	620	1997-01-13	PRIJEM	VKLAD	2700	24500	\N	\N	\N
182538	620	1997-02-12	VYDAJ	VYBER	3300	21200	\N	\N	\N
182539	620	1997-03-14	VYDAJ	VYBER	1400	19800	\N	\N	\N
182540	620	1997-04-13	PRIJEM	VKLAD	3100	22900	\N	\N	\N
182541	620	1997-05-13	PRIJEM	VKLAD	2800	25700	\N	\N	\N
182542	620	1997-06-12	VYDAJ	VYBER	2400	23300	\N	\N	\N
182543	620	1997-07-12	VYDAJ	VYBER	1500	21800	\N	\N	\N
182544	620	1997-08-11	VYDAJ	VYBER	4700	17100	\N	\N	\N
182545	620	1997-09-10	PRIJEM	VKLAD	300	17400	\N	\N	\N
182546	620	1997-10-10	PRIJEM	VKLAD	1100	18500	\N	\N	\N
182547	620	1997-11-09	VYDAJ	VYBER	400	18100	\N	\N	\N
182548	620	1997-12-09	VYDAJ	VYBER	4200	13900	\N	\N	\N
182549	620	1998-01-08	VYDAJ	VYBER	1500	12400	\N	\N	\N
182550	620	1998-02-07	PRIJEM	VKLAD	2400	14800	\N	\N	\N
182551	620	1998-03-09	PRIJEM	VKLAD	2000	16800	\N	\N	\N
182552	620	1998-04-08	PRIJEM	VKLAD	700	17500	\N	\N	\N
182553	620	1998-05-08	VYDAJ	VYBER	2100	15400	\N	\N	\N
182554	620	1998-06-07	PRIJEM	VKLAD	2300	17700	\N	\N	\N
182555	620	1998-07-07	PRIJEM	VKLAD	600	18300	\N	\N	\N
182556	620	1998-08-06	VYDAJ	VYBER	1900	16400	\N	\N	\N
182557	620	1998-09-05	PRIJEM	VKLAD	1200	17600	\N	\N	\N
182558	620	1998-10-05	PRIJEM	VKLAD	1100	18700	\N	\N	\N
182559	620	1998-11-04	VYDAJ	VYBER	3100	15600	\N	\N	\N
182560	620	1998-12-04	VYDAJ	VYBER	3500	12100	\N	\N	\N
182561	621	1996-06-01	PRIJEM	VKLAD	400	400	\N	\N	\N
182567	621	1996-06-06	PRIJEM	VKLAD	36849	37249	\N	\N	\N
182568	621	1996-07-06	PRIJEM	VKLAD	24566	53644	\N	\N	\N
182569	621	1996-08-06	PRIJEM	VKLAD	24566	63121	\N	\N	\N
182570	621	1996-09-06	PRIJEM	VKLAD	24566	68749	\N	\N	\N
182571	621	1996-10-06	PRIJEM	VKLAD	24566	70699	\N	\N	\N
182572	621	1996-11-06	PRIJEM	VKLAD	24566	66149	\N	\N	\N
182573	621	1996-12-06	PRIJEM	VKLAD	36849	80505	\N	\N	\N
182574	621	1997-01-06	PRIJEM	VKLAD	24566	72458	\N	\N	\N
182575	621	1997-02-06	PRIJEM	VKLAD	24566	56873	\N	\N	\N
182576	621	1997-03-06	PRIJEM	VKLAD	24566	57103	\N	\N	\N
182577	621	1997-04-06	PRIJEM	VKLAD	24566	60137	\N	\N	\N
182578	621	1997-05-06	PRIJEM	VKLAD	24566	59781	\N	\N	\N
182579	621	1997-06-06	PRIJEM	VKLAD	36849	69063	\N	\N	\N
182580	621	1997-07-06	PRIJEM	VKLAD	24566	63439	\N	\N	\N
182581	621	1997-08-06	PRIJEM	VKLAD	24566	62491	\N	\N	\N
182582	621	1997-09-06	PRIJEM	VKLAD	24566	59434	\N	\N	\N
182583	621	1997-10-06	PRIJEM	VKLAD	24566	50491	\N	\N	\N
182584	621	1997-11-06	PRIJEM	VKLAD	24566	49283	\N	\N	\N
182585	621	1997-12-06	PRIJEM	VKLAD	36849	59248	\N	\N	\N
182586	621	1998-01-06	PRIJEM	VKLAD	24566	50912	\N	\N	\N
182587	621	1998-02-06	PRIJEM	VKLAD	24566	43916	\N	\N	\N
182588	621	1998-03-06	PRIJEM	VKLAD	24566	39571	\N	\N	\N
182589	621	1998-04-06	PRIJEM	VKLAD	24566	53993	\N	\N	\N
182590	621	1998-05-06	PRIJEM	VKLAD	24566	39578	\N	\N	\N
182591	621	1998-06-06	PRIJEM	VKLAD	36849	73131	\N	\N	\N
182592	621	1998-07-06	PRIJEM	VKLAD	24566	61515	\N	\N	\N
182593	621	1998-08-06	PRIJEM	VKLAD	24566	42517	\N	\N	\N
182594	621	1998-09-06	PRIJEM	VKLAD	24566	63799	\N	\N	\N
182595	621	1998-10-06	PRIJEM	VKLAD	24566	41251	\N	\N	\N
182596	621	1998-11-06	PRIJEM	VKLAD	24566	62527	\N	\N	\N
182597	621	1998-12-06	PRIJEM	VKLAD	36849	54599	\N	\N	\N
182607	621	1996-10-14	VYDAJ	PREVOD NA UCET	366	67290	SIPO	GH	21300334
182608	621	1996-11-14	VYDAJ	PREVOD NA UCET	366	62740	SIPO	GH	21300334
182609	621	1996-12-14	VYDAJ	PREVOD NA UCET	366	77096	SIPO	GH	21300334
182610	621	1997-01-14	VYDAJ	PREVOD NA UCET	366	65809	SIPO	GH	21300334
182611	621	1997-02-14	VYDAJ	PREVOD NA UCET	366	53464	SIPO	GH	21300334
182612	621	1997-03-14	VYDAJ	PREVOD NA UCET	366	53694	SIPO	GH	21300334
182613	621	1997-04-14	VYDAJ	PREVOD NA UCET	366	56728	SIPO	GH	21300334
182614	621	1997-05-14	VYDAJ	PREVOD NA UCET	366	56372	SIPO	GH	21300334
182615	621	1997-06-14	VYDAJ	PREVOD NA UCET	366	65654	SIPO	GH	21300334
182616	621	1997-07-14	VYDAJ	PREVOD NA UCET	366	60030	SIPO	GH	21300334
182617	621	1997-08-14	VYDAJ	PREVOD NA UCET	366	59082	SIPO	GH	21300334
182618	621	1997-09-14	VYDAJ	PREVOD NA UCET	366	52065	SIPO	GH	21300334
182619	621	1997-10-14	VYDAJ	PREVOD NA UCET	366	47082	SIPO	GH	21300334
182620	621	1997-11-14	VYDAJ	PREVOD NA UCET	366	45874	SIPO	GH	21300334
182621	621	1997-12-14	VYDAJ	PREVOD NA UCET	366	55839	SIPO	GH	21300334
182622	621	1998-01-14	VYDAJ	PREVOD NA UCET	366	44863	SIPO	GH	21300334
182623	621	1998-02-14	VYDAJ	PREVOD NA UCET	366	40507	SIPO	GH	21300334
182624	621	1998-03-14	VYDAJ	PREVOD NA UCET	366	36162	SIPO	GH	21300334
182625	621	1998-04-14	VYDAJ	PREVOD NA UCET	366	50584	SIPO	GH	21300334
182626	621	1998-05-14	VYDAJ	PREVOD NA UCET	366	36169	SIPO	GH	21300334
182627	621	1998-06-14	VYDAJ	PREVOD NA UCET	366	69722	SIPO	GH	21300334
182628	621	1998-07-14	VYDAJ	PREVOD NA UCET	366	58106	SIPO	GH	21300334
182629	621	1998-08-14	VYDAJ	PREVOD NA UCET	366	39108	SIPO	GH	21300334
182630	621	1998-09-14	VYDAJ	PREVOD NA UCET	366	54750	SIPO	GH	21300334
182631	621	1998-10-14	VYDAJ	PREVOD NA UCET	366	37842	SIPO	GH	21300334
182632	621	1998-11-14	VYDAJ	PREVOD NA UCET	366	59118	SIPO	GH	21300334
182633	621	1998-12-14	VYDAJ	PREVOD NA UCET	366	51190	SIPO	GH	21300334
182643	621	1996-10-09	VYDAJ	PREVOD NA UCET	3043	67656	 	QR	32067704
182644	621	1996-11-09	VYDAJ	PREVOD NA UCET	3043	63106	 	QR	32067704
182645	621	1996-12-09	VYDAJ	PREVOD NA UCET	3043	77462	 	QR	32067704
182646	621	1997-01-09	VYDAJ	PREVOD NA UCET	3043	66175	 	QR	32067704
182647	621	1997-02-09	VYDAJ	PREVOD NA UCET	3043	53830	 	QR	32067704
182648	621	1997-03-09	VYDAJ	PREVOD NA UCET	3043	54060	 	QR	32067704
182649	621	1997-04-09	VYDAJ	PREVOD NA UCET	3043	57094	 	QR	32067704
182650	621	1997-05-09	VYDAJ	PREVOD NA UCET	3043	56738	 	QR	32067704
182651	621	1997-06-09	VYDAJ	PREVOD NA UCET	3043	66020	 	QR	32067704
182652	621	1997-07-09	VYDAJ	PREVOD NA UCET	3043	60396	 	QR	32067704
182653	621	1997-08-09	VYDAJ	PREVOD NA UCET	3043	59448	 	QR	32067704
182654	621	1997-09-09	VYDAJ	PREVOD NA UCET	3043	52431	 	QR	32067704
182655	621	1997-10-09	VYDAJ	PREVOD NA UCET	3043	47448	 	QR	32067704
182656	621	1997-11-09	VYDAJ	PREVOD NA UCET	3043	46240	 	QR	32067704
182657	621	1997-12-09	VYDAJ	PREVOD NA UCET	3043	56205	 	QR	32067704
182658	621	1998-01-09	VYDAJ	PREVOD NA UCET	3043	46909	 	QR	32067704
182659	621	1998-02-09	VYDAJ	PREVOD NA UCET	3043	40873	 	QR	32067704
182660	621	1998-03-09	VYDAJ	PREVOD NA UCET	3043	36528	 	QR	32067704
182661	621	1998-04-09	VYDAJ	PREVOD NA UCET	3043	50950	 	QR	32067704
182662	621	1998-05-09	VYDAJ	PREVOD NA UCET	3043	36535	 	QR	32067704
182663	621	1998-06-09	VYDAJ	PREVOD NA UCET	3043	70088	 	QR	32067704
182664	621	1998-07-09	VYDAJ	PREVOD NA UCET	3043	58472	 	QR	32067704
182665	621	1998-08-09	VYDAJ	PREVOD NA UCET	3043	39474	 	QR	32067704
182666	621	1998-09-09	VYDAJ	PREVOD NA UCET	3043	60756	 	QR	32067704
182667	621	1998-10-09	VYDAJ	PREVOD NA UCET	3043	38208	 	QR	32067704
182668	621	1998-11-09	VYDAJ	PREVOD NA UCET	3043	59484	 	QR	32067704
182669	621	1998-12-09	VYDAJ	PREVOD NA UCET	3043	51556	 	QR	32067704
182672	621	1998-06-20	VYDAJ	VYBER	32960	36762	\N	\N	\N
182674	621	1997-01-21	VYDAJ	VYBER	1600	57369	\N	\N	\N
182682	621	1997-01-20	VYDAJ	VYBER	3360	58969	\N	\N	\N
182683	621	1997-01-22	VYDAJ	VYBER	3360	54009	\N	\N	\N
182684	621	1997-01-07	VYDAJ	VYBER	2640	69818	\N	\N	\N
182685	621	1997-01-17	VYDAJ	VYBER	3480	62329	\N	\N	\N
182686	621	1997-01-05	VYDAJ	VYBER	1560	47892	\N	\N	\N
182687	621	1997-01-08	VYDAJ	VYBER	600	69218	\N	\N	\N
182688	621	1998-01-07	VYDAJ	VYBER	960	49952	\N	\N	\N
182689	621	1998-01-16	VYDAJ	VYBER	1200	43663	\N	\N	\N
182690	621	1998-01-24	VYDAJ	VYBER	600	19223	\N	\N	\N
182691	621	1998-01-18	VYDAJ	VYBER	1440	42223	\N	\N	\N
182692	621	1998-01-10	VYDAJ	VYBER	1680	45229	\N	\N	\N
182693	621	1998-01-01	VYDAJ	VYBER	840	26346	\N	\N	\N
182697	621	1996-10-30	VYDAJ	VYBER	4440	41350	\N	\N	\N
182698	621	1997-11-15	VYDAJ	VYBER	1200	44674	\N	\N	\N
182699	621	1997-06-05	VYDAJ	VYBER	1440	32214	\N	\N	\N
182700	621	1997-09-08	VYDAJ	VYBER	3960	55474	\N	\N	\N
182701	621	1997-01-24	VYDAJ	VYBER	1200	52809	\N	\N	\N
182702	621	1997-01-31	VYDAJ	VYBER	3720	32307	\N	\N	\N
182703	621	1998-09-13	VYDAJ	VYBER	5640	55116	\N	\N	\N
182704	621	1998-03-15	VYDAJ	VYBER	1560	34602	\N	\N	\N
182706	621	1998-03-27	VYDAJ	VYBER	5280	29322	\N	\N	\N
182717	621	1996-10-31	VYDAJ	VYBER	15	41583	SLUZBY	\N	\N
182718	621	1996-11-30	VYDAJ	VYBER	15	43656	SLUZBY	\N	\N
182719	621	1996-12-31	VYDAJ	VYBER	15	49452	SLUZBY	\N	\N
182720	621	1997-01-31	VYDAJ	VYBER	15	36027	SLUZBY	\N	\N
182721	621	1997-02-28	VYDAJ	VYBER	15	32537	SLUZBY	\N	\N
182722	621	1997-03-31	VYDAJ	VYBER	15	35571	SLUZBY	\N	\N
182723	621	1997-04-30	VYDAJ	VYBER	15	35215	SLUZBY	\N	\N
182724	621	1997-05-31	VYDAJ	VYBER	15	33654	SLUZBY	\N	\N
182725	621	1997-06-30	VYDAJ	VYBER	15	38873	SLUZBY	\N	\N
182726	621	1997-07-31	VYDAJ	VYBER	15	37925	SLUZBY	\N	\N
182727	621	1997-08-31	VYDAJ	VYBER	15	34868	SLUZBY	\N	\N
182728	621	1997-09-30	VYDAJ	VYBER	15	25925	SLUZBY	\N	\N
182729	621	1997-10-31	VYDAJ	VYBER	15	24717	SLUZBY	\N	\N
182730	621	1997-11-30	VYDAJ	VYBER	15	22399	SLUZBY	\N	\N
182731	621	1997-12-31	VYDAJ	VYBER	15	27186	SLUZBY	\N	\N
182732	621	1998-01-31	VYDAJ	VYBER	15	19350	SLUZBY	\N	\N
182733	621	1998-02-28	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
182734	621	1998-03-31	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
182735	621	1998-04-30	VYDAJ	VYBER	15	15012	SLUZBY	\N	\N
182736	621	1998-05-31	VYDAJ	VYBER	15	36282	SLUZBY	\N	\N
182737	621	1998-06-30	VYDAJ	VYBER	15	36949	SLUZBY	\N	\N
182738	621	1998-07-31	VYDAJ	VYBER	15	17951	SLUZBY	\N	\N
182739	621	1998-08-31	VYDAJ	VYBER	15	39233	SLUZBY	\N	\N
182740	621	1998-09-30	VYDAJ	VYBER	15	16685	SLUZBY	\N	\N
182741	621	1998-10-31	VYDAJ	VYBER	15	37961	SLUZBY	\N	\N
182742	621	1998-11-30	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
182743	621	1996-07-01	VYDAJ	VYBER	8300	29078	\N	\N	\N
182744	621	1996-07-31	VYDAJ	VYBER	15300	38555	\N	\N	\N
182745	621	1996-08-30	VYDAJ	VYBER	19100	44021	\N	\N	\N
182746	621	1996-09-29	VYDAJ	VYBER	22800	45949	\N	\N	\N
182747	621	1996-10-29	VYDAJ	VYBER	21500	45790	\N	\N	\N
182748	621	1996-11-28	VYDAJ	VYBER	19300	43440	\N	\N	\N
182749	621	1996-12-28	VYDAJ	VYBER	27900	49196	\N	\N	\N
182750	621	1997-01-27	VYDAJ	VYBER	17000	35809	\N	\N	\N
182751	621	1997-02-26	VYDAJ	VYBER	21100	32364	\N	\N	\N
182752	621	1997-03-28	VYDAJ	VYBER	18300	35394	\N	\N	\N
182753	621	1997-04-27	VYDAJ	VYBER	21700	35028	\N	\N	\N
182754	621	1997-05-27	VYDAJ	VYBER	22900	33472	\N	\N	\N
182755	621	1997-06-26	VYDAJ	VYBER	27000	38654	\N	\N	\N
182756	621	1997-07-26	VYDAJ	VYBER	22300	37730	\N	\N	\N
182757	621	1997-08-25	VYDAJ	VYBER	24400	34682	\N	\N	\N
182758	621	1997-09-24	VYDAJ	VYBER	26300	25765	\N	\N	\N
182759	621	1997-10-24	VYDAJ	VYBER	22500	24582	\N	\N	\N
182760	621	1997-11-23	VYDAJ	VYBER	22400	22274	\N	\N	\N
182761	621	1997-12-23	VYDAJ	VYBER	28800	27039	\N	\N	\N
182762	621	1998-01-22	VYDAJ	VYBER	22400	19823	\N	\N	\N
182763	621	1998-02-21	VYDAJ	VYBER	25600	14907	\N	\N	\N
182764	621	1998-04-22	VYDAJ	VYBER	35700	14884	\N	\N	\N
182765	621	1998-07-21	VYDAJ	VYBER	40300	17806	\N	\N	\N
182766	621	1998-09-19	VYDAJ	VYBER	38200	16550	\N	\N	\N
182767	621	1998-11-18	VYDAJ	VYBER	41500	17618	\N	\N	\N
182799	622	1997-06-22	PRIJEM	VKLAD	700	700	\N	\N	\N
182806	622	1997-07-14	PRIJEM	VKLAD	24425	25125	\N	\N	\N
182807	622	1997-08-14	PRIJEM	VKLAD	24425	49984	\N	\N	\N
182808	622	1997-09-14	PRIJEM	VKLAD	24425	61032	\N	\N	\N
182809	622	1997-10-14	PRIJEM	VKLAD	24425	63112	\N	\N	\N
182810	622	1997-11-14	PRIJEM	VKLAD	24425	66403	\N	\N	\N
182811	622	1997-12-14	PRIJEM	VKLAD	36638	64264	\N	\N	\N
182812	622	1998-01-14	PRIJEM	VKLAD	24425	46307	\N	\N	\N
182813	622	1998-02-14	PRIJEM	VKLAD	24425	30904	\N	\N	\N
182814	622	1998-03-14	PRIJEM	VKLAD	24425	35264	\N	\N	\N
182815	622	1998-04-14	PRIJEM	VKLAD	24425	37741	\N	\N	\N
182816	622	1998-05-14	PRIJEM	VKLAD	24425	41227	\N	\N	\N
182817	622	1998-06-14	PRIJEM	VKLAD	36638	51730	\N	\N	\N
182818	622	1998-07-14	PRIJEM	VKLAD	24425	43230	\N	\N	\N
182819	622	1998-08-14	PRIJEM	VKLAD	24425	41627	\N	\N	\N
182820	622	1998-09-14	PRIJEM	VKLAD	24425	43022	\N	\N	\N
182821	622	1998-10-14	PRIJEM	VKLAD	24425	47126	\N	\N	\N
182822	622	1998-11-14	PRIJEM	VKLAD	24425	48642	\N	\N	\N
182823	622	1998-12-14	PRIJEM	VKLAD	36638	59572	\N	\N	\N
182835	622	1997-12-09	VYDAJ	PREVOD NA UCET	6255	30788	SIPO	MN	57849115
182836	622	1998-01-09	VYDAJ	PREVOD NA UCET	6255	25044	SIPO	MN	57849115
182837	622	1998-02-09	VYDAJ	PREVOD NA UCET	6255	9641	SIPO	MN	57849115
182838	622	1998-03-09	VYDAJ	PREVOD NA UCET	6255	14001	SIPO	MN	57849115
182839	622	1998-04-09	VYDAJ	PREVOD NA UCET	6255	16478	SIPO	MN	57849115
182840	622	1998-05-09	VYDAJ	PREVOD NA UCET	6255	19964	SIPO	MN	57849115
182841	622	1998-06-09	VYDAJ	PREVOD NA UCET	6255	18254	SIPO	MN	57849115
182842	622	1998-07-09	VYDAJ	PREVOD NA UCET	6255	21967	SIPO	MN	57849115
182843	622	1998-08-09	VYDAJ	PREVOD NA UCET	6255	20364	SIPO	MN	57849115
182844	622	1998-09-09	VYDAJ	PREVOD NA UCET	6255	21759	SIPO	MN	57849115
182845	622	1998-10-09	VYDAJ	PREVOD NA UCET	6255	25863	SIPO	MN	57849115
182846	622	1998-11-09	VYDAJ	PREVOD NA UCET	6255	27379	SIPO	MN	57849115
182847	622	1998-12-09	VYDAJ	PREVOD NA UCET	6255	27896	SIPO	MN	57849115
182859	622	1997-12-10	VYDAJ	PREVOD NA UCET	594	30194	 	MN	53675001
182860	622	1998-01-10	VYDAJ	PREVOD NA UCET	594	24450	 	MN	53675001
182861	622	1998-02-10	VYDAJ	PREVOD NA UCET	594	9047	 	MN	53675001
182862	622	1998-03-10	VYDAJ	PREVOD NA UCET	594	13407	 	MN	53675001
182863	622	1998-04-10	VYDAJ	PREVOD NA UCET	594	15884	 	MN	53675001
182864	622	1998-05-10	VYDAJ	PREVOD NA UCET	594	19370	 	MN	53675001
182865	622	1998-06-10	VYDAJ	PREVOD NA UCET	594	17660	 	MN	53675001
182866	622	1998-07-10	VYDAJ	PREVOD NA UCET	594	21373	 	MN	53675001
182867	622	1998-08-10	VYDAJ	PREVOD NA UCET	594	19770	 	MN	53675001
182868	622	1998-09-10	VYDAJ	PREVOD NA UCET	594	21165	 	MN	53675001
182869	622	1998-10-10	VYDAJ	PREVOD NA UCET	594	25269	 	MN	53675001
182870	622	1998-11-10	VYDAJ	PREVOD NA UCET	594	26785	 	MN	53675001
182871	622	1998-12-10	VYDAJ	PREVOD NA UCET	594	27302	 	MN	53675001
182883	622	1997-12-11	VYDAJ	PREVOD NA UCET	2568	27626	POJISTNE	QR	46919482
182884	622	1998-01-11	VYDAJ	PREVOD NA UCET	2568	21882	POJISTNE	QR	46919482
182885	622	1998-02-11	VYDAJ	PREVOD NA UCET	2568	6479	POJISTNE	QR	46919482
182886	622	1998-03-11	VYDAJ	PREVOD NA UCET	2568	10839	POJISTNE	QR	46919482
182887	622	1998-04-11	VYDAJ	PREVOD NA UCET	2568	13316	POJISTNE	QR	46919482
182888	622	1998-05-11	VYDAJ	PREVOD NA UCET	2568	16802	POJISTNE	QR	46919482
182889	622	1998-06-11	VYDAJ	PREVOD NA UCET	2568	15092	POJISTNE	QR	46919482
182890	622	1998-07-11	VYDAJ	PREVOD NA UCET	2568	18805	POJISTNE	QR	46919482
182891	622	1998-08-11	VYDAJ	PREVOD NA UCET	2568	17202	POJISTNE	QR	46919482
182892	622	1998-09-11	VYDAJ	PREVOD NA UCET	2568	18597	POJISTNE	QR	46919482
182893	622	1998-10-11	VYDAJ	PREVOD NA UCET	2568	22701	POJISTNE	QR	46919482
182894	622	1998-11-11	VYDAJ	PREVOD NA UCET	2568	24217	POJISTNE	QR	46919482
182895	622	1998-12-11	VYDAJ	PREVOD NA UCET	2568	24734	POJISTNE	QR	46919482
182907	622	1997-12-08	VYDAJ	PREVOD NA UCET	11	37043	 	GH	23822355
182908	622	1998-01-08	VYDAJ	PREVOD NA UCET	11	31299	 	GH	23822355
182909	622	1998-02-08	VYDAJ	PREVOD NA UCET	11	15896	 	GH	23822355
182910	622	1998-03-08	VYDAJ	PREVOD NA UCET	11	20256	 	GH	23822355
182911	622	1998-04-08	VYDAJ	PREVOD NA UCET	11	22733	 	GH	23822355
182912	622	1998-05-08	VYDAJ	PREVOD NA UCET	11	26219	 	GH	23822355
182913	622	1998-06-08	VYDAJ	PREVOD NA UCET	11	24509	 	GH	23822355
182914	622	1998-07-08	VYDAJ	PREVOD NA UCET	11	28222	 	GH	23822355
182915	622	1998-08-08	VYDAJ	PREVOD NA UCET	11	26619	 	GH	23822355
182916	622	1998-09-08	VYDAJ	PREVOD NA UCET	11	28014	 	GH	23822355
182917	622	1998-10-08	VYDAJ	PREVOD NA UCET	11	32118	 	GH	23822355
182918	622	1998-11-08	VYDAJ	PREVOD NA UCET	11	33634	 	GH	23822355
182919	622	1998-12-08	VYDAJ	PREVOD NA UCET	11	34151	 	GH	23822355
182923	622	1998-01-25	VYDAJ	VYBER	5200	15807	\N	\N	\N
182924	622	1997-12-20	VYDAJ	VYBER	1900	33264	\N	\N	\N
182925	622	1998-12-11	VYDAJ	VYBER	1800	22934	\N	\N	\N
182932	622	1998-01-22	VYDAJ	VYBER	2700	23307	\N	\N	\N
182933	622	1998-01-15	VYDAJ	VYBER	2700	43607	\N	\N	\N
182934	622	1998-01-19	VYDAJ	VYBER	2200	27807	\N	\N	\N
182935	622	1998-01-01	VYDAJ	VYBER	2100	31310	\N	\N	\N
182936	622	1998-01-24	VYDAJ	VYBER	2300	21007	\N	\N	\N
182937	622	1998-01-19	VYDAJ	VYBER	1800	26007	\N	\N	\N
182943	622	1998-03-04	VYDAJ	VYBER	900	20267	\N	\N	\N
182944	622	1998-03-02	VYDAJ	VYBER	1100	21167	\N	\N	\N
182945	622	1998-06-29	VYDAJ	VYBER	1800	28130	\N	\N	\N
182957	622	1997-11-30	VYDAJ	VYBER	15	37054	SLUZBY	\N	\N
182958	622	1997-12-31	VYDAJ	VYBER	15	33410	SLUZBY	\N	\N
182959	622	1998-01-31	VYDAJ	VYBER	15	15907	SLUZBY	\N	\N
182960	622	1998-02-28	VYDAJ	VYBER	15	22267	SLUZBY	\N	\N
182961	622	1998-03-31	VYDAJ	VYBER	15	22744	SLUZBY	\N	\N
182962	622	1998-04-30	VYDAJ	VYBER	15	26230	SLUZBY	\N	\N
182963	622	1998-05-31	VYDAJ	VYBER	15	24520	SLUZBY	\N	\N
182964	622	1998-06-30	VYDAJ	VYBER	15	28233	SLUZBY	\N	\N
182965	622	1998-07-31	VYDAJ	VYBER	15	26630	SLUZBY	\N	\N
182966	622	1998-08-31	VYDAJ	VYBER	15	28025	SLUZBY	\N	\N
182967	622	1998-09-30	VYDAJ	VYBER	15	32129	SLUZBY	\N	\N
182968	622	1998-10-31	VYDAJ	VYBER	15	33645	SLUZBY	\N	\N
182969	622	1998-11-30	VYDAJ	VYBER	15	34162	SLUZBY	\N	\N
182970	622	1997-07-22	PRIJEM	VKLAD	400	25525	\N	\N	\N
182971	622	1997-08-21	VYDAJ	VYBER	13500	36484	\N	\N	\N
182972	622	1997-09-20	VYDAJ	VYBER	22500	38532	\N	\N	\N
182973	622	1997-10-20	VYDAJ	VYBER	21300	41812	\N	\N	\N
182974	622	1997-11-19	VYDAJ	VYBER	29500	36903	\N	\N	\N
182975	622	1997-12-19	VYDAJ	VYBER	29100	35164	\N	\N	\N
182976	622	1998-01-18	VYDAJ	VYBER	13600	30007	\N	\N	\N
182977	622	1998-02-17	VYDAJ	VYBER	8700	22204	\N	\N	\N
182978	622	1998-03-19	VYDAJ	VYBER	12600	22664	\N	\N	\N
182979	622	1998-04-18	VYDAJ	VYBER	11600	26141	\N	\N	\N
182980	622	1998-05-18	VYDAJ	VYBER	16800	24427	\N	\N	\N
182981	622	1998-06-17	VYDAJ	VYBER	21800	29930	\N	\N	\N
182982	622	1998-07-17	VYDAJ	VYBER	16700	26530	\N	\N	\N
182983	622	1998-08-16	VYDAJ	VYBER	13700	27927	\N	\N	\N
182984	622	1998-09-15	VYDAJ	VYBER	11000	32022	\N	\N	\N
182985	622	1998-10-15	VYDAJ	VYBER	13600	33526	\N	\N	\N
182986	622	1998-11-14	VYDAJ	VYBER	14600	34042	\N	\N	\N
183005	623	1993-03-24	PRIJEM	VKLAD	200	200	\N	\N	\N
183009	623	1993-04-08	PRIJEM	PREVOD Z UCTU	3108	3308	\N	WX	12306362
183010	623	1993-05-08	PRIJEM	PREVOD Z UCTU	3108	6416	\N	WX	12306362
183011	623	1993-06-08	PRIJEM	PREVOD Z UCTU	3108	9524	\N	WX	12306362
183012	623	1993-07-08	PRIJEM	PREVOD Z UCTU	3108	12632	\N	WX	12306362
183013	623	1993-08-08	PRIJEM	PREVOD Z UCTU	3108	15740	\N	WX	12306362
183014	623	1993-09-08	PRIJEM	PREVOD Z UCTU	3108	16796	\N	WX	12306362
183015	623	1993-10-08	PRIJEM	PREVOD Z UCTU	3108	17877	\N	WX	12306362
183016	623	1993-11-08	PRIJEM	PREVOD Z UCTU	3108	18963	\N	WX	12306362
183017	623	1993-12-08	PRIJEM	PREVOD Z UCTU	3108	20053	\N	WX	12306362
183018	623	1994-01-08	PRIJEM	PREVOD Z UCTU	3108	20037	\N	WX	12306362
183019	623	1994-02-08	PRIJEM	PREVOD Z UCTU	3108	18221	\N	WX	12306362
183020	623	1994-03-08	PRIJEM	PREVOD Z UCTU	3108	19311	\N	WX	12306362
183021	623	1994-04-08	PRIJEM	PREVOD Z UCTU	3108	20403	\N	WX	12306362
183022	623	1994-05-08	PRIJEM	PREVOD Z UCTU	3108	21499	\N	WX	12306362
183023	623	1994-06-08	PRIJEM	PREVOD Z UCTU	3108	22420	\N	WX	12306362
183024	623	1994-07-08	PRIJEM	PREVOD Z UCTU	3108	23524	\N	WX	12306362
183025	623	1994-08-08	PRIJEM	PREVOD Z UCTU	3108	24633	\N	WX	12306362
183026	623	1994-09-08	PRIJEM	PREVOD Z UCTU	3108	24394	\N	WX	12306362
183027	623	1994-10-08	PRIJEM	PREVOD Z UCTU	3108	25509	\N	WX	12306362
183028	623	1994-11-08	PRIJEM	PREVOD Z UCTU	3108	25224	\N	WX	12306362
183029	623	1994-12-08	PRIJEM	PREVOD Z UCTU	3108	26340	\N	WX	12306362
183030	623	1995-01-08	PRIJEM	PREVOD Z UCTU	3108	26770	\N	WX	12306362
183031	623	1995-02-08	PRIJEM	PREVOD Z UCTU	3108	26602	\N	WX	12306362
183032	623	1995-03-08	PRIJEM	PREVOD Z UCTU	3108	25118	\N	WX	12306362
183033	623	1995-04-08	PRIJEM	PREVOD Z UCTU	3108	26233	\N	WX	12306362
183034	623	1995-05-08	PRIJEM	PREVOD Z UCTU	3108	27354	\N	WX	12306362
183035	623	1995-06-08	PRIJEM	PREVOD Z UCTU	3108	27668	\N	WX	12306362
183036	623	1995-07-08	PRIJEM	PREVOD Z UCTU	3108	28797	\N	WX	12306362
183037	623	1995-08-08	PRIJEM	PREVOD Z UCTU	3108	25169	\N	WX	12306362
183038	623	1995-09-08	PRIJEM	PREVOD Z UCTU	3108	24932	\N	WX	12306362
183039	623	1995-10-08	PRIJEM	PREVOD Z UCTU	3108	26047	\N	WX	12306362
183040	623	1995-11-08	PRIJEM	PREVOD Z UCTU	3108	27166	\N	WX	12306362
183041	623	1995-12-08	PRIJEM	PREVOD Z UCTU	3108	28290	\N	WX	12306362
183042	623	1996-01-08	PRIJEM	PREVOD Z UCTU	3108	25562	\N	WX	12306362
183043	623	1996-02-08	PRIJEM	PREVOD Z UCTU	3108	23558	\N	WX	12306362
183044	623	1996-03-08	PRIJEM	PREVOD Z UCTU	3108	23587	\N	WX	12306362
183045	623	1996-04-08	PRIJEM	PREVOD Z UCTU	3108	23379	\N	WX	12306362
183046	623	1996-05-08	PRIJEM	PREVOD Z UCTU	3108	24490	\N	WX	12306362
183047	623	1996-06-08	PRIJEM	PREVOD Z UCTU	3108	25602	\N	WX	12306362
183048	623	1996-07-08	PRIJEM	PREVOD Z UCTU	3108	24519	\N	WX	12306362
183049	623	1996-08-08	PRIJEM	PREVOD Z UCTU	3108	23136	\N	WX	12306362
183050	623	1996-09-08	PRIJEM	PREVOD Z UCTU	3108	20636	\N	WX	12306362
183051	623	1996-10-08	PRIJEM	PREVOD Z UCTU	3108	21737	\N	WX	12306362
183052	623	1996-11-08	PRIJEM	PREVOD Z UCTU	3108	21728	\N	WX	12306362
183053	623	1996-12-08	PRIJEM	PREVOD Z UCTU	3108	21777	\N	WX	12306362
183054	623	1997-01-08	PRIJEM	PREVOD Z UCTU	3108	20386	\N	WX	12306362
183055	623	1997-02-08	PRIJEM	PREVOD Z UCTU	3108	19743	\N	WX	12306362
183056	623	1997-03-08	PRIJEM	PREVOD Z UCTU	3108	20354	\N	WX	12306362
183057	623	1997-04-08	PRIJEM	PREVOD Z UCTU	3108	20428	\N	WX	12306362
183058	623	1997-05-08	PRIJEM	PREVOD Z UCTU	3108	21123	\N	WX	12306362
183059	623	1997-06-08	PRIJEM	PREVOD Z UCTU	3108	21471	\N	WX	12306362
183060	623	1997-07-08	PRIJEM	PREVOD Z UCTU	3108	22270	\N	WX	12306362
183061	623	1997-08-08	PRIJEM	PREVOD Z UCTU	3108	22921	\N	WX	12306362
183062	623	1997-09-08	PRIJEM	PREVOD Z UCTU	3108	21365	\N	WX	12306362
183063	623	1997-10-08	PRIJEM	PREVOD Z UCTU	3108	21063	\N	WX	12306362
183064	623	1997-11-08	PRIJEM	PREVOD Z UCTU	3108	21049	\N	WX	12306362
183065	623	1997-12-08	PRIJEM	PREVOD Z UCTU	3108	21275	\N	WX	12306362
183066	623	1998-01-08	PRIJEM	PREVOD Z UCTU	3108	21032	\N	WX	12306362
183067	623	1998-02-08	PRIJEM	PREVOD Z UCTU	3108	19036	\N	WX	12306362
183068	623	1998-03-08	PRIJEM	PREVOD Z UCTU	3108	19944	\N	WX	12306362
183069	623	1998-04-08	PRIJEM	PREVOD Z UCTU	3108	21037	\N	WX	12306362
183070	623	1998-05-08	PRIJEM	PREVOD Z UCTU	3108	21352	\N	WX	12306362
183071	623	1998-06-08	PRIJEM	PREVOD Z UCTU	3108	21249	\N	WX	12306362
183072	623	1998-07-08	PRIJEM	PREVOD Z UCTU	3108	22346	\N	WX	12306362
183073	623	1998-08-08	PRIJEM	PREVOD Z UCTU	3108	19645	\N	WX	12306362
183074	623	1998-09-08	PRIJEM	PREVOD Z UCTU	3108	20736	\N	WX	12306362
183075	623	1998-10-08	PRIJEM	PREVOD Z UCTU	3108	21831	\N	WX	12306362
183076	623	1998-11-08	PRIJEM	PREVOD Z UCTU	3108	19026	\N	WX	12306362
183077	623	1998-12-08	PRIJEM	PREVOD Z UCTU	3108	18671	\N	WX	12306362
183085	623	1993-08-14	VYDAJ	PREVOD NA UCET	419	13668	SIPO	ST	73409360
183086	623	1993-09-14	VYDAJ	PREVOD NA UCET	419	14724	SIPO	ST	73409360
183087	623	1993-10-14	VYDAJ	PREVOD NA UCET	419	15805	SIPO	ST	73409360
183088	623	1993-11-14	VYDAJ	PREVOD NA UCET	419	16891	SIPO	ST	73409360
183089	623	1993-12-14	VYDAJ	PREVOD NA UCET	419	17981	SIPO	ST	73409360
183090	623	1994-01-14	VYDAJ	PREVOD NA UCET	419	17965	SIPO	ST	73409360
183091	623	1994-02-14	VYDAJ	PREVOD NA UCET	419	16149	SIPO	ST	73409360
183092	623	1994-03-14	VYDAJ	PREVOD NA UCET	419	17239	SIPO	ST	73409360
183093	623	1994-04-14	VYDAJ	PREVOD NA UCET	419	18331	SIPO	ST	73409360
183094	623	1994-05-14	VYDAJ	PREVOD NA UCET	419	19247	SIPO	ST	73409360
183095	623	1994-06-14	VYDAJ	PREVOD NA UCET	419	20348	SIPO	ST	73409360
183096	623	1994-07-14	VYDAJ	PREVOD NA UCET	419	21452	SIPO	ST	73409360
183097	623	1994-08-14	VYDAJ	PREVOD NA UCET	419	22561	SIPO	ST	73409360
183098	623	1994-09-14	VYDAJ	PREVOD NA UCET	419	22322	SIPO	ST	73409360
183099	623	1994-10-14	VYDAJ	PREVOD NA UCET	419	23437	SIPO	ST	73409360
183100	623	1994-11-14	VYDAJ	PREVOD NA UCET	419	23152	SIPO	ST	73409360
183101	623	1994-12-14	VYDAJ	PREVOD NA UCET	419	24268	SIPO	ST	73409360
183102	623	1995-01-14	VYDAJ	PREVOD NA UCET	419	24038	SIPO	ST	73409360
183103	623	1995-02-14	VYDAJ	PREVOD NA UCET	419	21930	SIPO	ST	73409360
183104	623	1995-03-14	VYDAJ	PREVOD NA UCET	419	23046	SIPO	ST	73409360
183105	623	1995-04-14	VYDAJ	PREVOD NA UCET	419	24161	SIPO	ST	73409360
183106	623	1995-05-14	VYDAJ	PREVOD NA UCET	419	25282	SIPO	ST	73409360
183107	623	1995-06-14	VYDAJ	PREVOD NA UCET	419	25596	SIPO	ST	73409360
183108	623	1995-07-14	VYDAJ	PREVOD NA UCET	419	23325	SIPO	ST	73409360
183109	623	1995-08-14	VYDAJ	PREVOD NA UCET	419	21747	SIPO	ST	73409360
183110	623	1995-09-14	VYDAJ	PREVOD NA UCET	419	22860	SIPO	ST	73409360
183111	623	1995-10-14	VYDAJ	PREVOD NA UCET	419	23975	SIPO	ST	73409360
183112	623	1995-11-14	VYDAJ	PREVOD NA UCET	419	25094	SIPO	ST	73409360
183113	623	1995-12-14	VYDAJ	PREVOD NA UCET	419	23688	SIPO	ST	73409360
183114	623	1996-01-14	VYDAJ	PREVOD NA UCET	419	22680	SIPO	ST	73409360
183115	623	1996-02-14	VYDAJ	PREVOD NA UCET	419	21486	SIPO	ST	73409360
183116	623	1996-03-14	VYDAJ	PREVOD NA UCET	419	21515	SIPO	ST	73409360
183117	623	1996-04-14	VYDAJ	PREVOD NA UCET	419	21307	SIPO	ST	73409360
183118	623	1996-05-14	VYDAJ	PREVOD NA UCET	419	22418	SIPO	ST	73409360
183119	623	1996-06-14	VYDAJ	PREVOD NA UCET	419	23530	SIPO	ST	73409360
183120	623	1996-07-14	VYDAJ	PREVOD NA UCET	419	22447	SIPO	ST	73409360
183121	623	1996-08-14	VYDAJ	PREVOD NA UCET	419	20554	SIPO	ST	73409360
183122	623	1996-09-14	VYDAJ	PREVOD NA UCET	419	18564	SIPO	ST	73409360
183123	623	1996-10-14	VYDAJ	PREVOD NA UCET	419	19665	SIPO	ST	73409360
183124	623	1996-11-14	VYDAJ	PREVOD NA UCET	419	18606	SIPO	ST	73409360
183125	623	1996-12-14	VYDAJ	PREVOD NA UCET	419	19135	SIPO	ST	73409360
183126	623	1997-01-14	VYDAJ	PREVOD NA UCET	419	18314	SIPO	ST	73409360
183127	623	1997-02-14	VYDAJ	PREVOD NA UCET	419	17671	SIPO	ST	73409360
183128	623	1997-03-14	VYDAJ	PREVOD NA UCET	419	18282	SIPO	ST	73409360
183129	623	1997-04-14	VYDAJ	PREVOD NA UCET	419	18356	SIPO	ST	73409360
183130	623	1997-05-14	VYDAJ	PREVOD NA UCET	419	18301	SIPO	ST	73409360
183131	623	1997-06-14	VYDAJ	PREVOD NA UCET	419	19399	SIPO	ST	73409360
183132	623	1997-07-14	VYDAJ	PREVOD NA UCET	419	20198	SIPO	ST	73409360
183133	623	1997-08-14	VYDAJ	PREVOD NA UCET	419	20849	SIPO	ST	73409360
183134	623	1997-09-14	VYDAJ	PREVOD NA UCET	419	19293	SIPO	ST	73409360
183135	623	1997-10-14	VYDAJ	PREVOD NA UCET	419	17881	SIPO	ST	73409360
183136	623	1997-11-14	VYDAJ	PREVOD NA UCET	419	18977	SIPO	ST	73409360
183137	623	1997-12-14	VYDAJ	PREVOD NA UCET	419	19203	SIPO	ST	73409360
183138	623	1998-01-14	VYDAJ	PREVOD NA UCET	419	18390	SIPO	ST	73409360
183139	623	1998-02-14	VYDAJ	PREVOD NA UCET	419	16964	SIPO	ST	73409360
183140	623	1998-03-14	VYDAJ	PREVOD NA UCET	419	17872	SIPO	ST	73409360
183141	623	1998-04-14	VYDAJ	PREVOD NA UCET	419	18965	SIPO	ST	73409360
183142	623	1998-05-14	VYDAJ	PREVOD NA UCET	419	19280	SIPO	ST	73409360
183143	623	1998-06-14	VYDAJ	PREVOD NA UCET	419	19177	SIPO	ST	73409360
183144	623	1998-07-14	VYDAJ	PREVOD NA UCET	419	20274	SIPO	ST	73409360
183145	623	1998-08-14	VYDAJ	PREVOD NA UCET	419	17573	SIPO	ST	73409360
183146	623	1998-09-14	VYDAJ	PREVOD NA UCET	419	18664	SIPO	ST	73409360
183147	623	1998-10-14	VYDAJ	PREVOD NA UCET	419	19759	SIPO	ST	73409360
183148	623	1998-11-14	VYDAJ	PREVOD NA UCET	419	15514	SIPO	ST	73409360
183149	623	1998-12-14	VYDAJ	PREVOD NA UCET	419	16599	SIPO	ST	73409360
183157	623	1993-08-13	VYDAJ	PREVOD NA UCET	1653	14087	 	IJ	34328079
183158	623	1993-09-13	VYDAJ	PREVOD NA UCET	1653	15143	 	IJ	34328079
183159	623	1993-10-13	VYDAJ	PREVOD NA UCET	1653	16224	 	IJ	34328079
183160	623	1993-11-13	VYDAJ	PREVOD NA UCET	1653	17310	 	IJ	34328079
183161	623	1993-12-13	VYDAJ	PREVOD NA UCET	1653	18400	 	IJ	34328079
183162	623	1994-01-13	VYDAJ	PREVOD NA UCET	1653	18384	 	IJ	34328079
183163	623	1994-02-13	VYDAJ	PREVOD NA UCET	1653	16568	 	IJ	34328079
183164	623	1994-03-13	VYDAJ	PREVOD NA UCET	1653	17658	 	IJ	34328079
183165	623	1994-04-13	VYDAJ	PREVOD NA UCET	1653	18750	 	IJ	34328079
183166	623	1994-05-13	VYDAJ	PREVOD NA UCET	1653	19666	 	IJ	34328079
183167	623	1994-06-13	VYDAJ	PREVOD NA UCET	1653	20767	 	IJ	34328079
183168	623	1994-07-13	VYDAJ	PREVOD NA UCET	1653	21871	 	IJ	34328079
183169	623	1994-08-13	VYDAJ	PREVOD NA UCET	1653	22980	 	IJ	34328079
183170	623	1994-09-13	VYDAJ	PREVOD NA UCET	1653	22741	 	IJ	34328079
183171	623	1994-10-13	VYDAJ	PREVOD NA UCET	1653	23856	 	IJ	34328079
183172	623	1994-11-13	VYDAJ	PREVOD NA UCET	1653	23571	 	IJ	34328079
183173	623	1994-12-13	VYDAJ	PREVOD NA UCET	1653	24687	 	IJ	34328079
183174	623	1995-01-13	VYDAJ	PREVOD NA UCET	1653	24457	 	IJ	34328079
183175	623	1995-02-13	VYDAJ	PREVOD NA UCET	1653	22349	 	IJ	34328079
183176	623	1995-03-13	VYDAJ	PREVOD NA UCET	1653	23465	 	IJ	34328079
183177	623	1995-04-13	VYDAJ	PREVOD NA UCET	1653	24580	 	IJ	34328079
183178	623	1995-05-13	VYDAJ	PREVOD NA UCET	1653	25701	 	IJ	34328079
183179	623	1995-06-13	VYDAJ	PREVOD NA UCET	1653	26015	 	IJ	34328079
183180	623	1995-07-13	VYDAJ	PREVOD NA UCET	1653	23744	 	IJ	34328079
183181	623	1995-08-13	VYDAJ	PREVOD NA UCET	1653	22166	 	IJ	34328079
183182	623	1995-09-13	VYDAJ	PREVOD NA UCET	1653	23279	 	IJ	34328079
183183	623	1995-10-13	VYDAJ	PREVOD NA UCET	1653	24394	 	IJ	34328079
183184	623	1995-11-13	VYDAJ	PREVOD NA UCET	1653	25513	 	IJ	34328079
183185	623	1995-12-13	VYDAJ	PREVOD NA UCET	1653	24107	 	IJ	34328079
183186	623	1996-01-13	VYDAJ	PREVOD NA UCET	1653	23549	 	IJ	34328079
183187	623	1996-02-13	VYDAJ	PREVOD NA UCET	1653	21905	 	IJ	34328079
183188	623	1996-03-13	VYDAJ	PREVOD NA UCET	1653	21934	 	IJ	34328079
183189	623	1996-04-13	VYDAJ	PREVOD NA UCET	1653	21726	 	IJ	34328079
183190	623	1996-05-13	VYDAJ	PREVOD NA UCET	1653	22837	 	IJ	34328079
183191	623	1996-06-13	VYDAJ	PREVOD NA UCET	1653	23949	 	IJ	34328079
183192	623	1996-07-13	VYDAJ	PREVOD NA UCET	1653	22866	 	IJ	34328079
183193	623	1996-08-13	VYDAJ	PREVOD NA UCET	1653	21483	 	IJ	34328079
183194	623	1996-09-13	VYDAJ	PREVOD NA UCET	1653	18983	 	IJ	34328079
183195	623	1996-10-13	VYDAJ	PREVOD NA UCET	1653	20084	 	IJ	34328079
183196	623	1996-11-13	VYDAJ	PREVOD NA UCET	1653	19025	 	IJ	34328079
183197	623	1996-12-13	VYDAJ	PREVOD NA UCET	1653	19554	 	IJ	34328079
183198	623	1997-01-13	VYDAJ	PREVOD NA UCET	1653	18733	 	IJ	34328079
183199	623	1997-02-13	VYDAJ	PREVOD NA UCET	1653	18090	 	IJ	34328079
183200	623	1997-03-13	VYDAJ	PREVOD NA UCET	1653	18701	 	IJ	34328079
183201	623	1997-04-13	VYDAJ	PREVOD NA UCET	1653	18775	 	IJ	34328079
183202	623	1997-05-13	VYDAJ	PREVOD NA UCET	1653	19470	 	IJ	34328079
183203	623	1997-06-13	VYDAJ	PREVOD NA UCET	1653	19818	 	IJ	34328079
183204	623	1997-07-13	VYDAJ	PREVOD NA UCET	1653	20617	 	IJ	34328079
183205	623	1997-08-13	VYDAJ	PREVOD NA UCET	1653	21268	 	IJ	34328079
183206	623	1997-09-13	VYDAJ	PREVOD NA UCET	1653	19712	 	IJ	34328079
183207	623	1997-10-13	VYDAJ	PREVOD NA UCET	1653	18300	 	IJ	34328079
183208	623	1997-11-13	VYDAJ	PREVOD NA UCET	1653	19396	 	IJ	34328079
183209	623	1997-12-13	VYDAJ	PREVOD NA UCET	1653	19622	 	IJ	34328079
183210	623	1998-01-13	VYDAJ	PREVOD NA UCET	1653	18809	 	IJ	34328079
183211	623	1998-02-13	VYDAJ	PREVOD NA UCET	1653	17383	 	IJ	34328079
183212	623	1998-03-13	VYDAJ	PREVOD NA UCET	1653	18291	 	IJ	34328079
183213	623	1998-04-13	VYDAJ	PREVOD NA UCET	1653	19384	 	IJ	34328079
183214	623	1998-05-13	VYDAJ	PREVOD NA UCET	1653	19699	 	IJ	34328079
183215	623	1998-06-13	VYDAJ	PREVOD NA UCET	1653	19596	 	IJ	34328079
183216	623	1998-07-13	VYDAJ	PREVOD NA UCET	1653	20693	 	IJ	34328079
183217	623	1998-08-13	VYDAJ	PREVOD NA UCET	1653	17992	 	IJ	34328079
183218	623	1998-09-13	VYDAJ	PREVOD NA UCET	1653	19083	 	IJ	34328079
183219	623	1998-10-13	VYDAJ	PREVOD NA UCET	1653	20178	 	IJ	34328079
183220	623	1998-11-13	VYDAJ	PREVOD NA UCET	1653	15933	 	IJ	34328079
183221	623	1998-12-13	VYDAJ	PREVOD NA UCET	1653	17018	 	IJ	34328079
183222	623	1993-12-26	VYDAJ	VYBER	630	17351	\N	\N	\N
183223	623	1994-12-18	VYDAJ	VYBER	270	23998	\N	\N	\N
183224	623	1995-12-10	VYDAJ	VYBER	630	25760	\N	\N	\N
183225	623	1996-12-09	VYDAJ	VYBER	570	21207	\N	\N	\N
183226	623	1997-12-16	VYDAJ	VYBER	210	18993	\N	\N	\N
183234	623	1994-01-16	VYDAJ	VYBER	510	17455	\N	\N	\N
183235	623	1994-01-23	VYDAJ	VYBER	390	16135	\N	\N	\N
183236	623	1994-01-30	VYDAJ	VYBER	390	15745	\N	\N	\N
183237	623	1994-01-19	VYDAJ	VYBER	300	17155	\N	\N	\N
183238	623	1994-01-21	VYDAJ	VYBER	630	16525	\N	\N	\N
183239	623	1994-01-01	VYDAJ	VYBER	480	16929	\N	\N	\N
183240	623	1995-01-01	VYDAJ	VYBER	420	23662	\N	\N	\N
183241	623	1995-01-29	VYDAJ	VYBER	150	23408	\N	\N	\N
183242	623	1995-01-28	VYDAJ	VYBER	150	23558	\N	\N	\N
183243	623	1995-01-19	VYDAJ	VYBER	180	23858	\N	\N	\N
183244	623	1995-01-09	VYDAJ	VYBER	660	26110	\N	\N	\N
183245	623	1995-01-22	VYDAJ	VYBER	150	23708	\N	\N	\N
183246	623	1996-01-20	VYDAJ	VYBER	630	22050	\N	\N	\N
183247	623	1996-01-14	VYDAJ	VYBER	450	23099	\N	\N	\N
183248	623	1996-01-30	VYDAJ	VYBER	180	20370	\N	\N	\N
183249	623	1996-01-12	VYDAJ	VYBER	360	25202	\N	\N	\N
183250	623	1996-01-28	VYDAJ	VYBER	690	20550	\N	\N	\N
183251	623	1996-01-21	VYDAJ	VYBER	810	21240	\N	\N	\N
183252	623	1997-01-02	VYDAJ	VYBER	600	18028	\N	\N	\N
183253	623	1997-01-25	VYDAJ	VYBER	420	17744	\N	\N	\N
183254	623	1997-01-23	VYDAJ	VYBER	150	18164	\N	\N	\N
183255	623	1997-01-04	VYDAJ	VYBER	750	17278	\N	\N	\N
183256	623	1997-01-26	VYDAJ	VYBER	450	17294	\N	\N	\N
183257	623	1997-01-28	VYDAJ	VYBER	720	16574	\N	\N	\N
183258	623	1998-01-27	VYDAJ	VYBER	480	16440	\N	\N	\N
183259	623	1998-01-23	VYDAJ	VYBER	600	16920	\N	\N	\N
183260	623	1998-01-15	VYDAJ	VYBER	870	17520	\N	\N	\N
183261	623	1998-01-28	VYDAJ	VYBER	570	15870	\N	\N	\N
183262	623	1998-01-01	VYDAJ	VYBER	630	17924	\N	\N	\N
183263	623	1998-01-09	VYDAJ	VYBER	570	20462	\N	\N	\N
183267	623	1994-09-03	VYDAJ	VYBER	150	21286	\N	\N	\N
183268	623	1994-02-01	VYDAJ	VYBER	690	15113	\N	\N	\N
183269	623	1994-05-12	VYDAJ	VYBER	180	21319	\N	\N	\N
183270	623	1995-07-31	VYDAJ	VYBER	1350	22076	\N	\N	\N
183271	623	1995-06-04	VYDAJ	VYBER	810	24560	\N	\N	\N
183272	623	1995-08-12	VYDAJ	VYBER	1350	23819	\N	\N	\N
183273	623	1995-12-30	VYDAJ	VYBER	210	23478	\N	\N	\N
183274	623	1996-08-14	VYDAJ	VYBER	510	20973	\N	\N	\N
183275	623	1996-12-16	VYDAJ	VYBER	570	18565	\N	\N	\N
183276	623	1996-04-04	VYDAJ	VYBER	1320	20271	\N	\N	\N
183277	623	1996-01-03	VYDAJ	VYBER	1110	22454	\N	\N	\N
183278	623	1996-10-29	VYDAJ	VYBER	1110	18555	\N	\N	\N
183279	623	1996-03-06	VYDAJ	VYBER	1080	20479	\N	\N	\N
183280	623	1996-11-09	VYDAJ	VYBER	1050	20678	\N	\N	\N
183281	623	1997-06-15	VYDAJ	VYBER	300	19099	\N	\N	\N
183282	623	1997-05-13	VYDAJ	VYBER	750	18720	\N	\N	\N
183283	623	1997-11-21	VYDAJ	VYBER	870	18107	\N	\N	\N
183284	623	1997-10-10	VYDAJ	VYBER	1110	19953	\N	\N	\N
183285	623	1997-08-25	VYDAJ	VYBER	660	20189	\N	\N	\N
183286	623	1997-03-22	VYDAJ	VYBER	1020	17262	\N	\N	\N
183287	623	1997-02-24	VYDAJ	VYBER	480	17191	\N	\N	\N
183288	623	1997-07-21	VYDAJ	VYBER	450	19748	\N	\N	\N
183289	623	1998-02-18	VYDAJ	VYBER	180	16784	\N	\N	\N
183290	623	1998-11-13	VYDAJ	VYBER	1440	17586	\N	\N	\N
183293	623	1998-04-18	VYDAJ	VYBER	780	18185	\N	\N	\N
183302	623	1993-08-31	VYDAJ	VYBER	15	13688	SLUZBY	\N	\N
183303	623	1993-09-30	VYDAJ	VYBER	15	14769	SLUZBY	\N	\N
183304	623	1993-10-31	VYDAJ	VYBER	15	15855	SLUZBY	\N	\N
183305	623	1993-11-30	VYDAJ	VYBER	15	16945	SLUZBY	\N	\N
183306	623	1993-12-31	VYDAJ	VYBER	15	17409	SLUZBY	\N	\N
183307	623	1994-01-31	VYDAJ	VYBER	15	15803	SLUZBY	\N	\N
183308	623	1994-02-28	VYDAJ	VYBER	15	16203	SLUZBY	\N	\N
183309	623	1994-03-31	VYDAJ	VYBER	15	17295	SLUZBY	\N	\N
183310	623	1994-04-30	VYDAJ	VYBER	15	18391	SLUZBY	\N	\N
183311	623	1994-05-31	VYDAJ	VYBER	15	19312	SLUZBY	\N	\N
183312	623	1994-06-30	VYDAJ	VYBER	15	20416	SLUZBY	\N	\N
183313	623	1994-07-31	VYDAJ	VYBER	15	21525	SLUZBY	\N	\N
183314	623	1994-08-31	VYDAJ	VYBER	15	21436	SLUZBY	\N	\N
183315	623	1994-09-30	VYDAJ	VYBER	15	22401	SLUZBY	\N	\N
183316	623	1994-10-31	VYDAJ	VYBER	15	22116	SLUZBY	\N	\N
183317	623	1994-11-30	VYDAJ	VYBER	15	23232	SLUZBY	\N	\N
183318	623	1994-12-31	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
183319	623	1995-01-31	VYDAJ	VYBER	15	23494	SLUZBY	\N	\N
183320	623	1995-02-28	VYDAJ	VYBER	15	22010	SLUZBY	\N	\N
183321	623	1995-03-31	VYDAJ	VYBER	15	23125	SLUZBY	\N	\N
183322	623	1995-04-30	VYDAJ	VYBER	15	24246	SLUZBY	\N	\N
183323	623	1995-05-31	VYDAJ	VYBER	15	25370	SLUZBY	\N	\N
183324	623	1995-06-30	VYDAJ	VYBER	15	25689	SLUZBY	\N	\N
183325	623	1995-07-31	VYDAJ	VYBER	15	22061	SLUZBY	\N	\N
183326	623	1995-08-31	VYDAJ	VYBER	15	21824	SLUZBY	\N	\N
183327	623	1995-09-30	VYDAJ	VYBER	15	22939	SLUZBY	\N	\N
183328	623	1995-10-31	VYDAJ	VYBER	15	24058	SLUZBY	\N	\N
183329	623	1995-11-30	VYDAJ	VYBER	15	25182	SLUZBY	\N	\N
183330	623	1995-12-31	VYDAJ	VYBER	15	23564	SLUZBY	\N	\N
183331	623	1996-01-31	VYDAJ	VYBER	15	20450	SLUZBY	\N	\N
183332	623	1996-02-29	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
183333	623	1996-03-31	VYDAJ	VYBER	15	21591	SLUZBY	\N	\N
183334	623	1996-04-30	VYDAJ	VYBER	15	21382	SLUZBY	\N	\N
183335	623	1996-05-31	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
183336	623	1996-06-30	VYDAJ	VYBER	15	23611	SLUZBY	\N	\N
183337	623	1996-07-31	VYDAJ	VYBER	15	22528	SLUZBY	\N	\N
183338	623	1996-08-31	VYDAJ	VYBER	15	20628	SLUZBY	\N	\N
183339	623	1996-09-30	VYDAJ	VYBER	15	18629	SLUZBY	\N	\N
183340	623	1996-10-31	VYDAJ	VYBER	15	18620	SLUZBY	\N	\N
183341	623	1996-11-30	VYDAJ	VYBER	15	18669	SLUZBY	\N	\N
183342	623	1996-12-31	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
183343	623	1997-01-31	VYDAJ	VYBER	15	16635	SLUZBY	\N	\N
183344	623	1997-02-28	VYDAJ	VYBER	15	17246	SLUZBY	\N	\N
183345	623	1997-03-31	VYDAJ	VYBER	15	17320	SLUZBY	\N	\N
183346	623	1997-04-30	VYDAJ	VYBER	15	18415	SLUZBY	\N	\N
183347	623	1997-05-31	VYDAJ	VYBER	15	18363	SLUZBY	\N	\N
183348	623	1997-06-30	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
183349	623	1997-07-31	VYDAJ	VYBER	15	19813	SLUZBY	\N	\N
183350	623	1997-08-31	VYDAJ	VYBER	15	18257	SLUZBY	\N	\N
183351	623	1997-09-30	VYDAJ	VYBER	15	17955	SLUZBY	\N	\N
183352	623	1997-10-31	VYDAJ	VYBER	15	17941	SLUZBY	\N	\N
183353	623	1997-11-30	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
183354	623	1997-12-31	VYDAJ	VYBER	15	18554	SLUZBY	\N	\N
183355	623	1998-01-31	VYDAJ	VYBER	15	15928	SLUZBY	\N	\N
183356	623	1998-02-28	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
183357	623	1998-03-31	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
183358	623	1998-04-30	VYDAJ	VYBER	15	18244	SLUZBY	\N	\N
183359	623	1998-05-31	VYDAJ	VYBER	15	18141	SLUZBY	\N	\N
183360	623	1998-06-30	VYDAJ	VYBER	15	19238	SLUZBY	\N	\N
183361	623	1998-07-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
183362	623	1998-08-31	VYDAJ	VYBER	15	17628	SLUZBY	\N	\N
183363	623	1998-09-30	VYDAJ	VYBER	15	18723	SLUZBY	\N	\N
183364	623	1998-10-31	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
183365	623	1998-11-30	VYDAJ	VYBER	15	15563	SLUZBY	\N	\N
183366	623	1994-08-16	VYDAJ	VYBER	1200	21361	\N	\N	\N
183367	623	1994-10-15	VYDAJ	VYBER	1400	22037	\N	\N	\N
183368	623	1995-02-12	VYDAJ	VYBER	2600	24002	\N	\N	\N
183369	623	1995-07-12	VYDAJ	VYBER	3400	25397	\N	\N	\N
183370	623	1995-12-09	VYDAJ	VYBER	1900	26390	\N	\N	\N
183371	623	1996-07-06	VYDAJ	VYBER	2200	21411	\N	\N	\N
183372	623	1996-08-05	VYDAJ	VYBER	2500	20028	\N	\N	\N
183373	623	1996-09-04	VYDAJ	VYBER	3100	17528	\N	\N	\N
183374	623	1997-05-02	VYDAJ	VYBER	400	18015	\N	\N	\N
183375	623	1997-08-30	VYDAJ	VYBER	2000	18189	\N	\N	\N
183376	623	1997-09-29	VYDAJ	VYBER	1400	17893	\N	\N	\N
183377	623	1997-12-28	VYDAJ	VYBER	500	18493	\N	\N	\N
183378	623	1998-05-27	VYDAJ	VYBER	1200	18080	\N	\N	\N
183379	623	1998-07-26	VYDAJ	VYBER	3800	16474	\N	\N	\N
183380	623	1998-10-24	VYDAJ	VYBER	3900	15859	\N	\N	\N
183446	624	1993-10-11	PRIJEM	VKLAD	900	900	\N	\N	\N
183449	624	1993-11-14	PRIJEM	VKLAD	18210	37948	\N	\N	\N
183454	624	1993-10-22	PRIJEM	VKLAD	15416	16316	\N	\N	\N
183462	624	1994-03-14	PRIJEM	VKLAD	13014	38597	\N	\N	\N
183463	624	1994-02-02	PRIJEM	VKLAD	28439	55837	\N	\N	\N
183464	624	1994-01-05	PRIJEM	VKLAD	37369	83800	\N	\N	\N
183465	624	1994-12-28	PRIJEM	VKLAD	6215	55799	\N	\N	\N
183466	624	1994-06-29	PRIJEM	VKLAD	49629	121389	\N	\N	\N
183467	624	1994-06-17	PRIJEM	VKLAD	47061	71760	\N	\N	\N
183468	624	1994-11-28	PRIJEM	VKLAD	16752	83264	\N	\N	\N
183469	624	1994-01-04	PRIJEM	VKLAD	16706	46431	\N	\N	\N
183470	624	1994-01-05	PRIJEM	VKLAD	18413	102213	\N	\N	\N
183471	624	1994-07-08	PRIJEM	VKLAD	30355	113336	\N	\N	\N
183472	624	1994-11-11	PRIJEM	VKLAD	39584	66512	\N	\N	\N
183473	624	1994-09-09	PRIJEM	VKLAD	25894	52913	\N	\N	\N
183474	624	1995-05-29	PRIJEM	VKLAD	46523	98924	\N	\N	\N
183475	624	1995-03-31	PRIJEM	VKLAD	38961	81672	\N	\N	\N
183476	624	1995-09-05	PRIJEM	VKLAD	21317	122630	\N	\N	\N
183477	624	1995-01-29	PRIJEM	VKLAD	23772	44020	\N	\N	\N
183478	624	1995-09-02	PRIJEM	VKLAD	34584	85531	\N	\N	\N
183479	624	1995-07-11	PRIJEM	VKLAD	7848	59752	\N	\N	\N
183480	624	1995-05-25	PRIJEM	VKLAD	23299	74983	\N	\N	\N
183481	624	1995-05-05	PRIJEM	VKLAD	14580	51684	\N	\N	\N
183482	624	1995-04-05	PRIJEM	VKLAD	23619	76876	\N	\N	\N
183483	624	1995-10-07	PRIJEM	VKLAD	15023	54832	\N	\N	\N
183484	624	1995-01-24	PRIJEM	VKLAD	5654	27703	\N	\N	\N
183485	624	1995-09-04	PRIJEM	VKLAD	15782	101313	\N	\N	\N
183486	624	1995-04-14	PRIJEM	VKLAD	34478	111354	\N	\N	\N
183487	624	1995-12-17	PRIJEM	VKLAD	23155	51084	\N	\N	\N
183488	624	1995-07-30	PRIJEM	VKLAD	37399	97747	\N	\N	\N
183489	624	1995-03-06	PRIJEM	VKLAD	18522	66382	\N	\N	\N
183490	624	1995-07-22	PRIJEM	VKLAD	32468	60348	\N	\N	\N
183491	624	1995-06-05	PRIJEM	VKLAD	34989	114377	\N	\N	\N
183492	624	1995-10-17	PRIJEM	VKLAD	8253	49280	\N	\N	\N
183493	624	1995-07-05	PRIJEM	VKLAD	20275	51904	\N	\N	\N
183494	624	1995-02-04	PRIJEM	VKLAD	39846	71293	\N	\N	\N
183495	624	1995-04-21	PRIJEM	VKLAD	25852	113306	\N	\N	\N
183496	624	1995-01-06	PRIJEM	VKLAD	11138	41218	\N	\N	\N
183497	624	1995-06-01	PRIJEM	VKLAD	47340	146488	\N	\N	\N
183498	624	1995-08-13	PRIJEM	VKLAD	23325	72552	\N	\N	\N
183499	624	1995-01-25	PRIJEM	VKLAD	11145	38848	\N	\N	\N
183500	624	1996-10-29	PRIJEM	VKLAD	27416	80124	\N	\N	\N
183501	624	1996-01-13	PRIJEM	VKLAD	15315	37731	\N	\N	\N
183502	624	1996-06-01	PRIJEM	VKLAD	7043	57477	\N	\N	\N
183503	624	1996-03-27	PRIJEM	VKLAD	5914	118787	\N	\N	\N
183504	624	1996-05-15	PRIJEM	VKLAD	48057	95996	\N	\N	\N
183505	624	1996-12-12	PRIJEM	VKLAD	20598	66368	\N	\N	\N
183506	624	1996-12-06	PRIJEM	VKLAD	5244	45770	\N	\N	\N
183507	624	1996-06-25	PRIJEM	VKLAD	40560	98037	\N	\N	\N
183508	624	1996-01-28	PRIJEM	VKLAD	7475	38006	\N	\N	\N
183509	624	1996-09-14	PRIJEM	VKLAD	38777	143039	\N	\N	\N
183510	624	1996-09-10	PRIJEM	VKLAD	19663	104262	\N	\N	\N
183511	624	1996-11-08	PRIJEM	VKLAD	42586	122950	\N	\N	\N
183512	624	1996-01-31	PRIJEM	VKLAD	45964	95827	\N	\N	\N
183513	624	1996-08-17	PRIJEM	VKLAD	27511	120118	\N	\N	\N
183514	624	1996-08-10	PRIJEM	VKLAD	29230	92607	\N	\N	\N
183515	624	1996-07-01	PRIJEM	VKLAD	47345	107795	\N	\N	\N
183516	624	1996-09-07	PRIJEM	VKLAD	31712	84599	\N	\N	\N
183517	624	1996-04-22	PRIJEM	VKLAD	15474	70247	\N	\N	\N
183518	624	1996-12-19	PRIJEM	VKLAD	22013	106103	\N	\N	\N
183519	624	1996-01-28	PRIJEM	VKLAD	37457	75463	\N	\N	\N
183520	624	1996-10-23	PRIJEM	VKLAD	33294	80608	\N	\N	\N
183521	624	1996-02-04	PRIJEM	VKLAD	34856	130809	\N	\N	\N
183522	624	1996-12-17	PRIJEM	VKLAD	17722	84090	\N	\N	\N
183523	624	1996-04-02	PRIJEM	VKLAD	10308	54773	\N	\N	\N
183524	624	1996-07-11	PRIJEM	VKLAD	27178	134973	\N	\N	\N
183525	624	1996-08-10	PRIJEM	VKLAD	8862	63377	\N	\N	\N
183526	624	1996-03-01	PRIJEM	VKLAD	45207	97425	\N	\N	\N
183527	624	1996-03-22	PRIJEM	VKLAD	45548	142973	\N	\N	\N
183528	624	1996-07-18	PRIJEM	VKLAD	10222	122395	\N	\N	\N
183529	624	1997-07-21	PRIJEM	VKLAD	15650	124451	\N	\N	\N
183530	624	1997-03-03	PRIJEM	VKLAD	7114	36086	\N	\N	\N
183531	624	1997-05-19	PRIJEM	VKLAD	13751	96240	\N	\N	\N
183532	624	1997-12-20	PRIJEM	VKLAD	37156	93192	\N	\N	\N
183533	624	1997-10-24	PRIJEM	VKLAD	33308	89941	\N	\N	\N
183534	624	1997-11-05	PRIJEM	VKLAD	25801	115964	\N	\N	\N
183535	624	1997-08-16	PRIJEM	VKLAD	44867	88341	\N	\N	\N
183536	624	1997-05-29	PRIJEM	VKLAD	28610	92950	\N	\N	\N
183537	624	1997-12-02	PRIJEM	VKLAD	14101	116236	\N	\N	\N
183538	624	1997-03-11	PRIJEM	VKLAD	12243	66948	\N	\N	\N
183539	624	1997-02-20	PRIJEM	VKLAD	6567	36267	\N	\N	\N
183540	624	1997-10-17	PRIJEM	VKLAD	32349	121624	\N	\N	\N
183541	624	1997-04-30	PRIJEM	VKLAD	33726	87659	\N	\N	\N
183542	624	1997-04-13	PRIJEM	VKLAD	17704	77833	\N	\N	\N
183543	624	1997-08-30	PRIJEM	VKLAD	45210	96951	\N	\N	\N
183544	624	1997-10-23	PRIJEM	VKLAD	15609	56633	\N	\N	\N
183545	624	1997-03-13	PRIJEM	VKLAD	22332	89280	\N	\N	\N
183546	624	1997-07-13	PRIJEM	VKLAD	43523	108801	\N	\N	\N
183547	624	1997-11-22	PRIJEM	VKLAD	37859	101736	\N	\N	\N
183548	624	1997-09-20	PRIJEM	VKLAD	41958	130585	\N	\N	\N
183549	624	1997-11-18	PRIJEM	VKLAD	12021	116377	\N	\N	\N
183550	624	1997-03-07	PRIJEM	VKLAD	18619	54705	\N	\N	\N
183551	624	1997-12-23	PRIJEM	VKLAD	19781	112973	\N	\N	\N
183552	624	1997-11-11	PRIJEM	VKLAD	23792	104356	\N	\N	\N
183553	624	1997-06-13	PRIJEM	VKLAD	24348	117613	\N	\N	\N
183554	624	1997-10-15	PRIJEM	VKLAD	46988	89275	\N	\N	\N
183555	624	1998-03-21	PRIJEM	VKLAD	6105	41901	\N	\N	\N
183556	624	1998-12-13	PRIJEM	VKLAD	12213	73345	\N	\N	\N
183557	624	1998-06-13	PRIJEM	VKLAD	12436	126891	\N	\N	\N
183558	624	1998-07-10	PRIJEM	VKLAD	39245	87059	\N	\N	\N
183559	624	1998-01-22	PRIJEM	VKLAD	31188	78536	\N	\N	\N
183560	624	1998-03-26	PRIJEM	VKLAD	32167	74068	\N	\N	\N
183561	624	1998-06-11	PRIJEM	VKLAD	49862	114455	\N	\N	\N
183562	624	1998-10-06	PRIJEM	VKLAD	41606	65366	\N	\N	\N
183563	624	1998-11-29	PRIJEM	VKLAD	12231	49413	\N	\N	\N
183564	624	1998-01-17	PRIJEM	VKLAD	39661	81648	\N	\N	\N
183565	624	1998-11-23	PRIJEM	VKLAD	10298	37182	\N	\N	\N
183566	624	1998-01-22	PRIJEM	VKLAD	27475	106011	\N	\N	\N
183567	624	1998-05-25	PRIJEM	VKLAD	37497	64422	\N	\N	\N
183568	624	1998-12-06	PRIJEM	VKLAD	19071	61132	\N	\N	\N
183571	624	1994-10-07	VYBER	VYBER	4705	31993	\N	\N	\N
183572	624	1995-07-11	VYBER	VYBER	23172	36580	\N	\N	\N
183574	624	1995-10-16	VYBER	VYBER	6905	41027	\N	\N	\N
183575	624	1995-03-19	VYBER	VYBER	23914	42468	\N	\N	\N
183576	624	1995-05-25	VYBER	VYBER	22582	52401	\N	\N	\N
183578	624	1995-08-03	VYBER	VYBER	16999	49227	\N	\N	\N
183580	624	1995-01-12	VYBER	VYBER	10469	30749	\N	\N	\N
183581	624	1995-04-23	VYBER	VYBER	21976	43030	\N	\N	\N
183582	624	1995-09-10	VYBER	VYBER	20990	52240	\N	\N	\N
183583	624	1995-08-21	VYBER	VYBER	2663	69889	\N	\N	\N
183584	624	1995-12-24	VYBER	VYBER	17168	33916	\N	\N	\N
183586	624	1997-08-30	VYBER	VYBER	8526	88425	\N	\N	\N
183588	624	1998-07-28	VYBER	VYBER	6464	36553	\N	\N	\N
183589	624	1998-12-13	VYBER	VYBER	7799	65546	\N	\N	\N
183591	624	1998-07-13	VYBER	VYBER	22242	64817	\N	\N	\N
183592	624	1998-12-21	VYBER	VYBER	6786	37260	\N	\N	\N
183593	624	1998-01-02	VYBER	VYBER	7216	60887	\N	\N	\N
183594	624	1998-03-28	VYBER	VYBER	13384	60684	\N	\N	\N
183599	624	1995-06-12	VYDAJ	VYBER	21300	41977	\N	\N	\N
183605	624	1995-01-25	VYDAJ	VYBER	14100	24748	\N	\N	\N
183606	624	1996-01-16	VYDAJ	VYBER	7200	30531	\N	\N	\N
183607	624	1997-01-04	VYDAJ	VYBER	14700	53963	\N	\N	\N
183608	624	1998-01-06	VYDAJ	VYBER	10200	50687	\N	\N	\N
183610	624	1994-12-20	VYDAJ	VYBER	4500	49584	\N	\N	\N
183611	624	1995-12-27	VYDAJ	VYBER	2100	24916	\N	\N	\N
183612	624	1996-12-04	VYDAJ	VYBER	2100	40526	\N	\N	\N
183613	624	1997-12-04	VYDAJ	VYBER	5700	91636	\N	\N	\N
183614	624	1998-12-05	VYDAJ	VYBER	7500	42061	\N	\N	\N
183621	624	1994-01-17	VYDAJ	VYBER	3300	46713	\N	\N	\N
183622	624	1994-01-11	VYDAJ	VYBER	3900	50013	\N	\N	\N
183623	624	1994-01-09	VYDAJ	VYBER	8400	53913	\N	\N	\N
183624	624	1994-01-06	VYDAJ	VYBER	8700	88113	\N	\N	\N
183625	624	1994-01-20	VYDAJ	VYBER	3600	43113	\N	\N	\N
183627	624	1995-01-01	VYDAJ	VYBER	6000	50080	\N	\N	\N
183628	624	1995-01-05	VYDAJ	VYBER	7200	30080	\N	\N	\N
183629	624	1995-01-20	VYDAJ	VYBER	8700	22049	\N	\N	\N
183630	624	1995-01-28	VYDAJ	VYBER	3000	20248	\N	\N	\N
183631	624	1995-01-29	VYDAJ	VYBER	3300	40720	\N	\N	\N
183632	624	1995-01-26	VYDAJ	VYBER	1500	23248	\N	\N	\N
183634	624	1996-01-29	VYDAJ	VYBER	4200	67063	\N	\N	\N
183635	624	1996-01-10	VYDAJ	VYBER	3300	22416	\N	\N	\N
183636	624	1996-01-28	VYDAJ	VYBER	4200	71263	\N	\N	\N
183639	624	1997-01-08	VYDAJ	VYBER	4500	41963	\N	\N	\N
183640	624	1997-01-11	VYDAJ	VYBER	8700	29663	\N	\N	\N
183641	624	1997-01-08	VYDAJ	VYBER	3600	38363	\N	\N	\N
183642	624	1997-01-04	VYDAJ	VYBER	1800	50663	\N	\N	\N
183643	624	1997-01-06	VYDAJ	VYBER	4200	46463	\N	\N	\N
183644	624	1997-01-04	VYDAJ	VYBER	1500	52463	\N	\N	\N
183645	624	1998-01-26	VYDAJ	VYBER	7200	92211	\N	\N	\N
183646	624	1998-01-10	VYDAJ	VYBER	5400	45287	\N	\N	\N
183647	624	1998-01-13	VYDAJ	VYBER	3300	41987	\N	\N	\N
183648	624	1998-01-20	VYDAJ	VYBER	2700	47348	\N	\N	\N
183649	624	1998-01-30	VYDAJ	VYBER	5400	86811	\N	\N	\N
183650	624	1998-01-26	VYDAJ	VYBER	6600	99411	\N	\N	\N
183657	624	1994-03-03	VYDAJ	VYBER	12600	29683	\N	\N	\N
183658	624	1994-01-24	VYDAJ	VYBER	13500	29613	\N	\N	\N
183659	624	1994-01-29	VYDAJ	VYBER	2400	27213	\N	\N	\N
183660	624	1994-07-06	VYDAJ	VYBER	1800	82981	\N	\N	\N
183661	624	1994-01-06	VYDAJ	VYBER	5400	96813	\N	\N	\N
183662	624	1995-10-15	VYDAJ	VYBER	6900	47932	\N	\N	\N
183663	624	1995-07-16	VYDAJ	VYBER	8700	27880	\N	\N	\N
183664	624	1995-06-25	VYDAJ	VYBER	14700	27277	\N	\N	\N
183665	624	1995-12-26	VYDAJ	VYBER	6900	27016	\N	\N	\N
183666	624	1995-11-02	VYDAJ	VYBER	12600	28576	\N	\N	\N
183667	624	1995-04-26	VYDAJ	VYBER	3900	39130	\N	\N	\N
183668	624	1996-07-26	VYDAJ	VYBER	12600	82695	\N	\N	\N
183669	624	1996-05-16	VYDAJ	VYBER	14700	81296	\N	\N	\N
183670	624	1996-08-19	VYDAJ	VYBER	6000	90318	\N	\N	\N
183671	624	1996-10-16	VYDAJ	VYBER	11700	47314	\N	\N	\N
183673	624	1997-04-30	VYDAJ	VYBER	5400	82503	\N	\N	\N
183674	624	1997-08-18	VYDAJ	VYBER	6000	82341	\N	\N	\N
183675	624	1997-12-08	VYDAJ	VYBER	1500	90136	\N	\N	\N
183676	624	1998-03-20	VYDAJ	VYBER	5700	35796	\N	\N	\N
183677	624	1998-05-12	VYDAJ	VYBER	9600	36425	\N	\N	\N
183691	624	1994-01-31	VYDAJ	VYBER	15	27398	SLUZBY	\N	\N
183692	624	1994-02-28	VYDAJ	VYBER	15	42283	SLUZBY	\N	\N
183693	624	1994-03-31	VYDAJ	VYBER	15	38740	SLUZBY	\N	\N
183694	624	1994-04-30	VYDAJ	VYBER	15	30686	SLUZBY	\N	\N
183695	624	1994-05-31	VYDAJ	VYBER	15	28599	SLUZBY	\N	\N
183696	624	1994-06-30	VYDAJ	VYBER	15	84781	SLUZBY	\N	\N
183697	624	1994-07-31	VYDAJ	VYBER	15	42757	SLUZBY	\N	\N
183698	624	1994-08-31	VYDAJ	VYBER	15	35119	SLUZBY	\N	\N
183699	624	1994-09-30	VYDAJ	VYBER	15	53098	SLUZBY	\N	\N
183700	624	1994-10-31	VYDAJ	VYBER	15	32128	SLUZBY	\N	\N
183701	624	1994-11-30	VYDAJ	VYBER	15	83484	SLUZBY	\N	\N
183702	624	1994-12-31	VYDAJ	VYBER	15	56080	SLUZBY	\N	\N
183703	624	1995-01-31	VYDAJ	VYBER	15	40847	SLUZBY	\N	\N
183704	624	1995-02-28	VYDAJ	VYBER	15	71560	SLUZBY	\N	\N
183705	624	1995-03-31	VYDAJ	VYBER	15	81657	SLUZBY	\N	\N
183706	624	1995-04-30	VYDAJ	VYBER	15	39404	SLUZBY	\N	\N
183707	624	1995-05-31	VYDAJ	VYBER	15	99148	SLUZBY	\N	\N
183708	624	1995-06-30	VYDAJ	VYBER	15	27529	SLUZBY	\N	\N
183709	624	1995-07-31	VYDAJ	VYBER	15	97926	SLUZBY	\N	\N
183710	624	1995-08-31	VYDAJ	VYBER	15	70147	SLUZBY	\N	\N
183711	624	1995-09-30	VYDAJ	VYBER	15	52509	SLUZBY	\N	\N
183712	624	1995-10-31	VYDAJ	VYBER	15	49476	SLUZBY	\N	\N
183713	624	1995-11-30	VYDAJ	VYBER	15	27929	SLUZBY	\N	\N
183714	624	1995-12-31	VYDAJ	VYBER	15	25716	SLUZBY	\N	\N
183715	624	1996-01-31	VYDAJ	VYBER	15	95953	SLUZBY	\N	\N
183716	624	1996-02-29	VYDAJ	VYBER	15	52218	SLUZBY	\N	\N
183717	624	1996-03-31	VYDAJ	VYBER	15	44465	SLUZBY	\N	\N
183718	624	1996-04-30	VYDAJ	VYBER	15	47939	SLUZBY	\N	\N
183719	624	1996-05-31	VYDAJ	VYBER	15	50434	SLUZBY	\N	\N
183720	624	1996-06-30	VYDAJ	VYBER	15	60450	SLUZBY	\N	\N
183721	624	1996-07-31	VYDAJ	VYBER	15	54515	SLUZBY	\N	\N
183722	624	1996-08-31	VYDAJ	VYBER	15	52887	SLUZBY	\N	\N
183723	624	1996-09-30	VYDAJ	VYBER	15	59014	SLUZBY	\N	\N
183724	624	1996-10-31	VYDAJ	VYBER	15	80364	SLUZBY	\N	\N
183725	624	1996-11-30	VYDAJ	VYBER	15	42626	SLUZBY	\N	\N
183726	624	1996-12-31	VYDAJ	VYBER	15	68663	SLUZBY	\N	\N
183727	624	1997-01-31	VYDAJ	VYBER	15	29700	SLUZBY	\N	\N
183728	624	1997-02-28	VYDAJ	VYBER	15	28972	SLUZBY	\N	\N
183729	624	1997-03-31	VYDAJ	VYBER	15	60129	SLUZBY	\N	\N
183730	624	1997-04-30	VYDAJ	VYBER	15	82489	SLUZBY	\N	\N
183731	624	1997-05-31	VYDAJ	VYBER	15	93265	SLUZBY	\N	\N
183732	624	1997-06-30	VYDAJ	VYBER	15	65278	SLUZBY	\N	\N
183733	624	1997-07-31	VYDAJ	VYBER	15	43474	SLUZBY	\N	\N
183734	624	1997-08-31	VYDAJ	VYBER	15	88627	SLUZBY	\N	\N
183735	624	1997-09-30	VYDAJ	VYBER	15	42287	SLUZBY	\N	\N
183736	624	1997-10-31	VYDAJ	VYBER	15	90163	SLUZBY	\N	\N
183737	624	1997-11-30	VYDAJ	VYBER	15	102135	SLUZBY	\N	\N
183738	624	1997-12-31	VYDAJ	VYBER	15	68103	SLUZBY	\N	\N
183739	624	1998-01-31	VYDAJ	VYBER	15	87058	SLUZBY	\N	\N
183740	624	1998-02-28	VYDAJ	VYBER	15	56096	SLUZBY	\N	\N
183741	624	1998-03-31	VYDAJ	VYBER	15	60893	SLUZBY	\N	\N
183742	624	1998-04-30	VYDAJ	VYBER	15	46025	SLUZBY	\N	\N
183743	624	1998-05-31	VYDAJ	VYBER	15	64593	SLUZBY	\N	\N
183744	624	1998-06-30	VYDAJ	VYBER	15	47814	SLUZBY	\N	\N
183745	624	1998-07-31	VYDAJ	VYBER	15	36728	SLUZBY	\N	\N
183746	624	1998-08-31	VYDAJ	VYBER	15	29459	SLUZBY	\N	\N
183747	624	1998-09-30	VYDAJ	VYBER	15	23760	SLUZBY	\N	\N
183748	624	1998-10-31	VYDAJ	VYBER	15	40984	SLUZBY	\N	\N
183749	624	1998-11-30	VYDAJ	VYBER	15	49561	SLUZBY	\N	\N
183750	624	1993-11-10	PRIJEM	VKLAD	3400	19738	\N	\N	\N
183751	624	1993-12-10	VYDAJ	VYBER	8500	29567	\N	\N	\N
183752	624	1994-01-09	VYDAJ	VYBER	25800	62313	\N	\N	\N
183753	624	1994-02-08	VYDAJ	VYBER	13700	42137	\N	\N	\N
183754	624	1994-03-10	VYDAJ	VYBER	4100	25583	\N	\N	\N
183755	624	1994-04-09	VYDAJ	VYBER	8200	30540	\N	\N	\N
183756	624	1994-05-09	VYDAJ	VYBER	2200	28486	\N	\N	\N
183757	624	1994-06-08	VYDAJ	VYBER	3900	24699	\N	\N	\N
183758	624	1994-06-29	VYDAJ	VYBER	36800	84589	\N	\N	\N
183759	624	1994-07-08	VYDAJ	VYBER	52100	42336	\N	\N	\N
183760	624	1994-07-08	VYDAJ	VYBER	18900	94436	\N	\N	\N
183761	624	1994-08-07	VYDAJ	VYBER	7800	34957	\N	\N	\N
183762	624	1994-09-06	VYDAJ	VYBER	8100	27019	\N	\N	\N
183763	624	1994-10-06	VYDAJ	VYBER	16400	36698	\N	\N	\N
183764	624	1994-11-05	VYDAJ	VYBER	5200	26928	\N	\N	\N
183765	624	1994-12-05	VYDAJ	VYBER	29400	54084	\N	\N	\N
183766	624	1995-01-04	VYDAJ	VYBER	12800	37280	\N	\N	\N
183767	624	1995-02-03	VYDAJ	VYBER	9400	31447	\N	\N	\N
183768	624	1995-03-05	VYDAJ	VYBER	23700	47860	\N	\N	\N
183769	624	1995-04-04	VYDAJ	VYBER	28400	53257	\N	\N	\N
183770	624	1995-04-14	VYDAJ	VYBER	23900	87454	\N	\N	\N
183771	624	1995-04-21	VYDAJ	VYBER	48300	65006	\N	\N	\N
183772	624	1995-05-04	VYDAJ	VYBER	2300	37104	\N	\N	\N
183773	624	1995-06-01	VYDAJ	VYBER	16600	129888	\N	\N	\N
183774	624	1995-06-03	VYDAJ	VYBER	50500	79388	\N	\N	\N
183775	624	1995-06-05	VYDAJ	VYBER	51100	63277	\N	\N	\N
183776	624	1995-07-03	PRIJEM	VKLAD	4100	31629	\N	\N	\N
183777	624	1995-08-02	VYDAJ	VYBER	31700	66226	\N	\N	\N
183778	624	1995-09-01	VYDAJ	VYBER	19200	50947	\N	\N	\N
183779	624	1995-09-05	VYDAJ	VYBER	49400	73230	\N	\N	\N
183780	624	1995-10-01	VYDAJ	VYBER	12700	39809	\N	\N	\N
183781	624	1995-10-31	VYDAJ	VYBER	8300	41176	\N	\N	\N
183782	624	1995-11-30	VYDAJ	VYBER	800	27944	\N	\N	\N
183783	624	1995-12-30	PRIJEM	VKLAD	700	25616	\N	\N	\N
183784	624	1996-01-29	VYDAJ	VYBER	17200	49863	\N	\N	\N
183785	624	1996-02-04	VYDAJ	VYBER	52600	78209	\N	\N	\N
183786	624	1996-02-28	VYDAJ	VYBER	26300	51909	\N	\N	\N
183787	624	1996-03-22	VYDAJ	VYBER	30100	112873	\N	\N	\N
183788	624	1996-03-27	VYDAJ	VYBER	60900	57887	\N	\N	\N
183789	624	1996-03-29	VYDAJ	VYBER	13700	44187	\N	\N	\N
183790	624	1996-04-28	VYDAJ	VYBER	22500	47747	\N	\N	\N
183791	624	1996-05-28	VYDAJ	VYBER	31100	50196	\N	\N	\N
183792	624	1996-06-27	VYDAJ	VYBER	37800	60237	\N	\N	\N
183793	624	1996-07-11	VYDAJ	VYBER	22800	112173	\N	\N	\N
183794	624	1996-07-18	VYDAJ	VYBER	27100	95295	\N	\N	\N
183795	624	1996-07-27	VYDAJ	VYBER	28500	54195	\N	\N	\N
183796	624	1996-08-17	VYDAJ	VYBER	23800	96318	\N	\N	\N
183797	624	1996-08-26	VYDAJ	VYBER	37700	52618	\N	\N	\N
183798	624	1996-09-14	VYDAJ	VYBER	44600	98439	\N	\N	\N
183799	624	1996-09-25	VYDAJ	VYBER	39800	58639	\N	\N	\N
183800	624	1996-10-25	VYDAJ	VYBER	27900	52708	\N	\N	\N
183801	624	1996-11-08	VYDAJ	VYBER	58100	64850	\N	\N	\N
183802	624	1996-11-24	VYDAJ	VYBER	22600	42250	\N	\N	\N
183803	624	1996-12-24	VYDAJ	VYBER	37700	68403	\N	\N	\N
183804	624	1997-01-23	VYDAJ	VYBER	100	29563	\N	\N	\N
183805	624	1997-02-22	VYDAJ	VYBER	7400	28867	\N	\N	\N
183806	624	1997-03-24	VYDAJ	VYBER	29400	59880	\N	\N	\N
183807	624	1997-04-23	VYDAJ	VYBER	23900	53933	\N	\N	\N
183808	624	1997-05-23	VYDAJ	VYBER	31900	64340	\N	\N	\N
183809	624	1997-06-13	VYDAJ	VYBER	15500	102113	\N	\N	\N
183810	624	1997-06-22	VYDAJ	VYBER	37200	64913	\N	\N	\N
183811	624	1997-07-21	VYDAJ	VYBER	63300	61151	\N	\N	\N
183812	624	1997-07-22	VYDAJ	VYBER	17900	43251	\N	\N	\N
183813	624	1997-08-21	VYDAJ	VYBER	30600	51741	\N	\N	\N
183814	624	1997-09-20	VYDAJ	VYBER	63800	41885	\N	\N	\N
183815	624	1997-09-20	VYDAJ	VYBER	24900	105685	\N	\N	\N
183816	624	1997-10-17	VYDAJ	VYBER	49500	72124	\N	\N	\N
183817	624	1997-10-20	VYDAJ	VYBER	31100	41024	\N	\N	\N
183818	624	1997-11-05	VYDAJ	VYBER	35400	80564	\N	\N	\N
183819	624	1997-11-19	VYDAJ	VYBER	52500	63877	\N	\N	\N
183820	624	1997-12-02	VYDAJ	VYBER	18900	97336	\N	\N	\N
183821	624	1997-12-19	VYDAJ	VYBER	34100	56036	\N	\N	\N
183822	624	1997-12-23	VYDAJ	VYBER	45200	67773	\N	\N	\N
183823	624	1998-01-18	VYDAJ	VYBER	31600	50048	\N	\N	\N
183824	624	1998-02-17	VYDAJ	VYBER	31300	55758	\N	\N	\N
183825	624	1998-03-19	VYDAJ	VYBER	14600	41496	\N	\N	\N
183826	624	1998-04-18	VYDAJ	VYBER	15100	45793	\N	\N	\N
183827	624	1998-05-18	VYDAJ	VYBER	9500	26925	\N	\N	\N
183828	624	1998-06-13	VYDAJ	VYBER	50000	76891	\N	\N	\N
183829	624	1998-06-17	VYDAJ	VYBER	29300	47591	\N	\N	\N
183830	624	1998-07-17	VYDAJ	VYBER	21800	43017	\N	\N	\N
183831	624	1998-08-16	VYDAJ	VYBER	7400	29328	\N	\N	\N
183832	624	1998-09-15	VYDAJ	VYBER	5800	23659	\N	\N	\N
183833	624	1998-10-15	VYDAJ	VYBER	24500	40866	\N	\N	\N
183834	624	1998-11-14	VYDAJ	VYBER	14100	26884	\N	\N	\N
183835	624	1998-12-14	VYDAJ	VYBER	21500	44046	\N	\N	\N
183899	625	1995-07-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
183904	625	1995-11-14	PRIJEM	VKLAD	25804	62822	\N	\N	\N
183905	625	1995-10-10	PRIJEM	VKLAD	40571	117062	\N	\N	\N
183907	625	1995-09-12	PRIJEM	VKLAD	34525	76278	\N	\N	\N
183908	625	1995-09-07	PRIJEM	VKLAD	48253	62653	\N	\N	\N
183910	625	1996-03-07	PRIJEM	VKLAD	12952	40410	\N	\N	\N
183911	625	1996-04-12	PRIJEM	VKLAD	24766	35200	\N	\N	\N
183912	625	1997-12-13	PRIJEM	VKLAD	49402	74339	\N	\N	\N
183913	625	1997-08-15	PRIJEM	VKLAD	14778	29003	\N	\N	\N
183914	625	1997-06-28	PRIJEM	VKLAD	39096	90806	\N	\N	\N
183915	625	1997-07-02	PRIJEM	VKLAD	18816	62337	\N	\N	\N
183916	625	1997-10-30	PRIJEM	VKLAD	46541	63210	\N	\N	\N
183917	625	1997-05-31	PRIJEM	VKLAD	5773	32990	\N	\N	\N
183918	625	1997-07-29	PRIJEM	VKLAD	18741	62479	\N	\N	\N
183919	625	1997-11-04	PRIJEM	VKLAD	21818	85112	\N	\N	\N
183920	625	1997-03-16	PRIJEM	VKLAD	39327	40253	\N	\N	\N
183921	625	1997-04-20	PRIJEM	VKLAD	37751	85161	\N	\N	\N
183922	625	1997-06-05	PRIJEM	VKLAD	8634	63167	\N	\N	\N
183923	625	1997-04-10	PRIJEM	VKLAD	39710	47410	\N	\N	\N
183924	625	1997-10-01	PRIJEM	VKLAD	10029	27782	\N	\N	\N
183925	625	1997-06-04	PRIJEM	VKLAD	41124	54533	\N	\N	\N
183926	625	1997-04-21	PRIJEM	VKLAD	12489	97650	\N	\N	\N
183927	625	1997-01-22	PRIJEM	VKLAD	15912	19271	\N	\N	\N
183928	625	1997-12-02	PRIJEM	VKLAD	34430	67343	\N	\N	\N
183929	625	1997-10-24	PRIJEM	VKLAD	22944	39269	\N	\N	\N
183930	625	1998-06-25	PRIJEM	VKLAD	26205	116337	\N	\N	\N
183931	625	1998-08-26	PRIJEM	VKLAD	32700	56119	\N	\N	\N
183932	625	1998-11-15	PRIJEM	VKLAD	24318	89079	\N	\N	\N
183933	625	1998-09-27	PRIJEM	VKLAD	44912	126330	\N	\N	\N
183934	625	1998-08-22	PRIJEM	VKLAD	37043	60419	\N	\N	\N
183935	625	1998-06-12	PRIJEM	VKLAD	49777	121132	\N	\N	\N
183936	625	1998-04-18	PRIJEM	VKLAD	38842	145041	\N	\N	\N
183937	625	1998-01-12	PRIJEM	VKLAD	48057	66000	\N	\N	\N
183938	625	1998-10-26	PRIJEM	VKLAD	42186	75860	\N	\N	\N
183939	625	1998-12-14	PRIJEM	VKLAD	22625	73835	\N	\N	\N
183940	625	1998-12-04	PRIJEM	VKLAD	33575	69267	\N	\N	\N
183941	625	1998-03-31	PRIJEM	VKLAD	37612	80027	\N	\N	\N
183942	625	1998-07-29	PRIJEM	VKLAD	10805	34725	\N	\N	\N
183943	625	1998-03-04	PRIJEM	VKLAD	33793	73407	\N	\N	\N
183944	625	1998-09-26	PRIJEM	VKLAD	31478	81418	\N	\N	\N
183945	625	1998-02-08	PRIJEM	VKLAD	40230	62081	\N	\N	\N
183946	625	1998-05-31	PRIJEM	VKLAD	47775	82628	\N	\N	\N
183947	625	1998-09-04	PRIJEM	VKLAD	37162	93438	\N	\N	\N
183948	625	1998-11-24	PRIJEM	VKLAD	22466	49445	\N	\N	\N
183949	625	1998-02-28	PRIJEM	VKLAD	10143	50248	\N	\N	\N
183950	625	1998-04-19	PRIJEM	VKLAD	11177	113018	\N	\N	\N
183951	625	1998-02-13	PRIJEM	VKLAD	15439	58014	\N	\N	\N
183952	625	1998-04-16	PRIJEM	VKLAD	30907	74539	\N	\N	\N
183953	625	1998-04-16	PRIJEM	VKLAD	31660	106199	\N	\N	\N
183954	625	1998-02-21	PRIJEM	VKLAD	29791	80005	\N	\N	\N
183955	625	1998-09-24	PRIJEM	VKLAD	47659	129640	\N	\N	\N
183956	625	1998-12-24	PRIJEM	VKLAD	48121	79256	\N	\N	\N
183957	625	1998-03-16	PRIJEM	VKLAD	26667	88617	\N	\N	\N
183958	625	1998-04-24	PRIJEM	VKLAD	30603	101921	\N	\N	\N
184021	625	1996-03-08	VYDAJ	PREVOD NA UCET	11457	28953	SIPO	QR	50207537
184022	625	1996-04-08	VYDAJ	PREVOD NA UCET	11457	10434	SIPO	QR	50207537
184023	625	1996-05-08	VYDAJ	PREVOD NA UCET	11457	12945	SIPO	QR	50207537
184024	625	1996-06-08	VYDAJ	PREVOD NA UCET	11457	3345	SIPO	QR	50207537
184032	625	1997-02-08	VYDAJ	PREVOD NA UCET	11457	917	SIPO	QR	50207537
184034	625	1997-04-08	VYDAJ	PREVOD NA UCET	11457	7700	SIPO	QR	50207537
184035	625	1997-05-08	VYDAJ	PREVOD NA UCET	11457	27217	SIPO	QR	50207537
184036	625	1997-06-08	VYDAJ	PREVOD NA UCET	11457	51710	SIPO	QR	50207537
184037	625	1997-07-08	VYDAJ	PREVOD NA UCET	11457	50880	SIPO	QR	50207537
184038	625	1997-08-08	VYDAJ	PREVOD NA UCET	11457	14225	SIPO	QR	50207537
184039	625	1997-09-08	VYDAJ	PREVOD NA UCET	11457	17647	SIPO	QR	50207537
184040	625	1997-10-08	VYDAJ	PREVOD NA UCET	11457	16325	SIPO	QR	50207537
184041	625	1997-11-08	VYDAJ	PREVOD NA UCET	11457	73655	SIPO	QR	50207537
184042	625	1997-12-08	VYDAJ	PREVOD NA UCET	11457	33637	SIPO	QR	50207537
184043	625	1998-01-08	VYDAJ	PREVOD NA UCET	11457	17943	SIPO	QR	50207537
184044	625	1998-02-08	VYDAJ	PREVOD NA UCET	11457	50624	SIPO	QR	50207537
184045	625	1998-03-08	VYDAJ	PREVOD NA UCET	11457	61950	SIPO	QR	50207537
184046	625	1998-04-08	VYDAJ	PREVOD NA UCET	11457	68555	SIPO	QR	50207537
184047	625	1998-05-08	VYDAJ	PREVOD NA UCET	11457	34853	SIPO	QR	50207537
184048	625	1998-06-08	VYDAJ	PREVOD NA UCET	11457	71355	SIPO	QR	50207537
184049	625	1998-07-08	VYDAJ	PREVOD NA UCET	11457	23920	SIPO	QR	50207537
184050	625	1998-08-08	VYDAJ	PREVOD NA UCET	11457	23376	SIPO	QR	50207537
184051	625	1998-09-08	VYDAJ	PREVOD NA UCET	11457	81981	SIPO	QR	50207537
184052	625	1998-10-08	VYDAJ	PREVOD NA UCET	11457	86274	SIPO	QR	50207537
184053	625	1998-11-08	VYDAJ	PREVOD NA UCET	11457	64761	SIPO	QR	50207537
184054	625	1998-12-08	VYDAJ	PREVOD NA UCET	11457	57810	SIPO	QR	50207537
184075	625	1997-07-19	VYBER	VYBER	7142	43738	\N	\N	\N
184076	625	1997-12-28	VYBER	VYBER	2282	60488	\N	\N	\N
184077	625	1997-12-02	VYBER	VYBER	22249	45094	\N	\N	\N
184078	625	1997-03-30	VYBER	VYBER	4796	35457	\N	\N	\N
184079	625	1997-05-02	VYBER	VYBER	16812	81074	\N	\N	\N
184082	625	1997-12-24	VYBER	VYBER	3169	62770	\N	\N	\N
184083	625	1998-04-11	VYBER	VYBER	24923	43632	\N	\N	\N
184084	625	1998-03-01	VYBER	VYBER	10827	39614	\N	\N	\N
184086	625	1998-11-25	VYBER	VYBER	14013	35432	\N	\N	\N
184087	625	1998-02-11	VYBER	VYBER	8049	42575	\N	\N	\N
184091	625	1998-06-17	VYDAJ	VYBER	12900	90132	\N	\N	\N
184095	625	1998-01-17	VYDAJ	VYBER	10800	55200	\N	\N	\N
184098	625	1997-12-09	VYDAJ	VYBER	8700	24937	\N	\N	\N
184099	625	1998-12-11	VYDAJ	VYBER	6600	51210	\N	\N	\N
184108	625	1996-04-18	VYDAJ	VYBER	4200	31000	\N	\N	\N
184111	625	1997-12-19	VYDAJ	VYBER	8400	65939	\N	\N	\N
184112	625	1997-11-23	VYDAJ	VYBER	10500	63155	\N	\N	\N
184114	625	1998-01-24	VYDAJ	VYBER	4800	39000	\N	\N	\N
184115	625	1998-02-17	VYDAJ	VYBER	7800	50214	\N	\N	\N
184116	625	1998-01-21	VYDAJ	VYBER	11400	43800	\N	\N	\N
184117	625	1998-07-01	VYDAJ	VYBER	8100	35377	\N	\N	\N
184118	625	1998-11-17	VYDAJ	VYBER	12600	76479	\N	\N	\N
184119	625	1998-11-18	VYDAJ	VYBER	3300	73179	\N	\N	\N
184135	625	1996-03-31	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
184136	625	1996-04-30	VYDAJ	VYBER	15	31102	SLUZBY	\N	\N
184137	625	1996-05-31	VYDAJ	VYBER	15	13002	SLUZBY	\N	\N
184138	625	1996-06-30	VYDAJ	VYBER	15	3355	SLUZBY	\N	\N
184139	625	1996-07-31	VYDAJ	VYBER	15	3356	SLUZBY	\N	\N
184140	625	1996-08-31	VYDAJ	VYBER	15	3341	SLUZBY	\N	\N
184141	625	1996-09-30	VYDAJ	VYBER	15	3357	SLUZBY	\N	\N
184142	625	1996-10-31	VYDAJ	VYBER	15	3343	SLUZBY	\N	\N
184143	625	1996-11-30	VYDAJ	VYBER	15	3359	SLUZBY	\N	\N
184144	625	1996-12-31	VYDAJ	VYBER	15	3359	SLUZBY	\N	\N
184145	625	1997-01-31	VYDAJ	VYBER	15	19274	SLUZBY	\N	\N
184146	625	1997-02-28	VYDAJ	VYBER	15	926	SLUZBY	\N	\N
184147	625	1997-03-31	VYDAJ	VYBER	15	35457	SLUZBY	\N	\N
184148	625	1997-04-30	VYDAJ	VYBER	15	97886	SLUZBY	\N	\N
184149	625	1997-05-31	VYDAJ	VYBER	15	33109	SLUZBY	\N	\N
184150	625	1997-06-30	VYDAJ	VYBER	15	91021	SLUZBY	\N	\N
184151	625	1997-07-31	VYDAJ	VYBER	15	25682	SLUZBY	\N	\N
184152	625	1997-08-31	VYDAJ	VYBER	15	29104	SLUZBY	\N	\N
184153	625	1997-09-30	VYDAJ	VYBER	15	17753	SLUZBY	\N	\N
184154	625	1997-10-31	VYDAJ	VYBER	15	63294	SLUZBY	\N	\N
184155	625	1997-11-30	VYDAJ	VYBER	15	32913	SLUZBY	\N	\N
184156	625	1997-12-31	VYDAJ	VYBER	15	29400	SLUZBY	\N	\N
184157	625	1998-01-31	VYDAJ	VYBER	15	21851	SLUZBY	\N	\N
184158	625	1998-02-28	VYDAJ	VYBER	15	50441	SLUZBY	\N	\N
184159	625	1998-03-31	VYDAJ	VYBER	15	80012	SLUZBY	\N	\N
184160	625	1998-04-30	VYDAJ	VYBER	15	46310	SLUZBY	\N	\N
184161	625	1998-05-31	VYDAJ	VYBER	15	82812	SLUZBY	\N	\N
184162	625	1998-06-30	VYDAJ	VYBER	15	43477	SLUZBY	\N	\N
184163	625	1998-07-31	VYDAJ	VYBER	15	34833	SLUZBY	\N	\N
184164	625	1998-08-31	VYDAJ	VYBER	15	56276	SLUZBY	\N	\N
184165	625	1998-09-30	VYDAJ	VYBER	15	97731	SLUZBY	\N	\N
184166	625	1998-10-31	VYDAJ	VYBER	15	76218	SLUZBY	\N	\N
184167	625	1998-11-30	VYDAJ	VYBER	15	35692	SLUZBY	\N	\N
184168	625	1995-08-11	PRIJEM	VKLAD	13400	14400	\N	\N	\N
184169	625	1995-09-10	VYDAJ	VYBER	20900	41753	\N	\N	\N
184170	625	1995-10-10	VYDAJ	VYBER	32400	84662	\N	\N	\N
184171	625	1995-10-10	VYDAJ	VYBER	29300	55362	\N	\N	\N
184172	625	1995-11-09	VYDAJ	VYBER	18600	37018	\N	\N	\N
184173	625	1995-12-09	VYDAJ	VYBER	23600	39471	\N	\N	\N
184174	625	1996-01-08	VYDAJ	VYBER	8800	30933	\N	\N	\N
184175	625	1996-02-07	VYDAJ	VYBER	4000	27196	\N	\N	\N
184176	625	1996-03-08	VYDAJ	VYBER	4800	24153	\N	\N	\N
184177	625	1996-04-07	VYDAJ	VYBER	2400	21891	\N	\N	\N
184178	625	1996-05-07	VYDAJ	VYBER	6700	24402	\N	\N	\N
184179	625	1996-06-06	PRIJEM	VKLAD	1800	14802	\N	\N	\N
184180	625	1997-02-01	VYDAJ	VYBER	6900	12374	\N	\N	\N
184181	625	1997-04-02	VYDAJ	VYBER	16300	19157	\N	\N	\N
184182	625	1997-05-02	VYDAJ	VYBER	42400	38674	\N	\N	\N
184183	625	1997-06-01	VYDAJ	VYBER	19700	13409	\N	\N	\N
184184	625	1997-07-01	VYDAJ	VYBER	47500	43521	\N	\N	\N
184185	625	1997-07-31	VYDAJ	VYBER	37000	25697	\N	\N	\N
184186	625	1997-10-29	VYDAJ	VYBER	22600	16669	\N	\N	\N
184187	625	1997-11-28	VYDAJ	VYBER	30500	32655	\N	\N	\N
184188	625	1997-12-28	VYDAJ	VYBER	31300	29188	\N	\N	\N
184189	625	1998-01-27	VYDAJ	VYBER	17300	21700	\N	\N	\N
184190	625	1998-02-26	VYDAJ	VYBER	39900	40105	\N	\N	\N
184191	625	1998-03-28	VYDAJ	VYBER	46500	42117	\N	\N	\N
184192	625	1998-04-18	VYDAJ	VYBER	43200	101841	\N	\N	\N
184193	625	1998-04-19	VYDAJ	VYBER	41700	71318	\N	\N	\N
184194	625	1998-04-27	VYDAJ	VYBER	55900	46021	\N	\N	\N
184195	625	1998-06-12	VYDAJ	VYBER	18100	103032	\N	\N	\N
184196	625	1998-06-25	VYDAJ	VYBER	18600	97737	\N	\N	\N
184197	625	1998-06-26	VYDAJ	VYBER	54600	43137	\N	\N	\N
184198	625	1998-08-25	VYDAJ	VYBER	37000	23419	\N	\N	\N
184199	625	1998-09-24	VYDAJ	VYBER	16800	49940	\N	\N	\N
184200	625	1998-09-24	VYDAJ	VYBER	62900	66740	\N	\N	\N
184201	625	1998-09-27	VYDAJ	VYBER	28900	97430	\N	\N	\N
184202	625	1998-10-24	VYDAJ	VYBER	52600	33674	\N	\N	\N
184203	625	1998-11-23	VYDAJ	VYBER	46200	26979	\N	\N	\N
184204	625	1998-12-23	VYDAJ	VYBER	42700	31135	\N	\N	\N
184247	626	1993-11-11	PRIJEM	VKLAD	200	200	\N	\N	\N
184259	626	1993-12-08	PRIJEM	VKLAD	8189	8389	\N	\N	\N
184260	626	1994-01-08	PRIJEM	VKLAD	5459	20089	\N	\N	\N
184261	626	1994-02-08	PRIJEM	VKLAD	5459	29035	\N	\N	\N
184262	626	1994-03-08	PRIJEM	VKLAD	5459	32000	\N	\N	\N
184263	626	1994-04-08	PRIJEM	VKLAD	5459	31468	\N	\N	\N
184264	626	1994-05-08	PRIJEM	VKLAD	5459	26747	\N	\N	\N
184265	626	1994-06-08	PRIJEM	VKLAD	8189	31682	\N	\N	\N
184266	626	1994-07-08	PRIJEM	VKLAD	5459	30891	\N	\N	\N
184267	626	1994-08-08	PRIJEM	VKLAD	5459	28395	\N	\N	\N
184268	626	1994-09-08	PRIJEM	VKLAD	5459	30101	\N	\N	\N
184269	626	1994-10-08	PRIJEM	VKLAD	5459	28955	\N	\N	\N
184270	626	1994-11-08	PRIJEM	VKLAD	5459	30259	\N	\N	\N
184271	626	1994-12-08	PRIJEM	VKLAD	8189	30194	\N	\N	\N
184272	626	1995-01-08	PRIJEM	VKLAD	5459	32407	\N	\N	\N
184273	626	1995-02-08	PRIJEM	VKLAD	5459	28588	\N	\N	\N
184274	626	1995-03-08	PRIJEM	VKLAD	5459	32886	\N	\N	\N
184275	626	1995-04-08	PRIJEM	VKLAD	5459	37110	\N	\N	\N
184276	626	1995-05-08	PRIJEM	VKLAD	5459	37750	\N	\N	\N
184277	626	1995-06-08	PRIJEM	VKLAD	8189	42464	\N	\N	\N
184278	626	1995-07-08	PRIJEM	VKLAD	5459	37125	\N	\N	\N
184279	626	1995-08-08	PRIJEM	VKLAD	5459	41974	\N	\N	\N
184280	626	1995-09-08	PRIJEM	VKLAD	5459	41056	\N	\N	\N
184281	626	1995-10-08	PRIJEM	VKLAD	5459	43034	\N	\N	\N
184282	626	1995-11-08	PRIJEM	VKLAD	5459	42499	\N	\N	\N
184283	626	1995-12-08	PRIJEM	VKLAD	8189	45797	\N	\N	\N
184284	626	1996-01-08	PRIJEM	VKLAD	5459	44756	\N	\N	\N
184285	626	1996-02-08	PRIJEM	VKLAD	5459	36799	\N	\N	\N
184286	626	1996-03-08	PRIJEM	VKLAD	5459	40755	\N	\N	\N
184287	626	1996-04-08	PRIJEM	VKLAD	5459	42612	\N	\N	\N
184288	626	1996-05-08	PRIJEM	VKLAD	5459	39420	\N	\N	\N
184289	626	1996-06-08	PRIJEM	VKLAD	8189	45102	\N	\N	\N
184290	626	1996-07-08	PRIJEM	VKLAD	5459	35896	\N	\N	\N
184291	626	1996-08-08	PRIJEM	VKLAD	5459	39933	\N	\N	\N
184292	626	1996-09-08	PRIJEM	VKLAD	5459	46390	\N	\N	\N
184293	626	1996-10-08	PRIJEM	VKLAD	5459	47069	\N	\N	\N
184294	626	1996-11-08	PRIJEM	VKLAD	5459	47746	\N	\N	\N
184295	626	1996-12-08	PRIJEM	VKLAD	8189	46393	\N	\N	\N
184296	626	1997-01-08	PRIJEM	VKLAD	5459	31160	\N	\N	\N
184297	626	1997-02-08	PRIJEM	VKLAD	5459	30929	\N	\N	\N
184298	626	1997-03-08	PRIJEM	VKLAD	5459	31835	\N	\N	\N
184299	626	1997-04-08	PRIJEM	VKLAD	5459	36657	\N	\N	\N
184300	626	1997-05-08	PRIJEM	VKLAD	5459	44402	\N	\N	\N
184301	626	1997-06-08	PRIJEM	VKLAD	8189	49003	\N	\N	\N
184302	626	1997-07-08	PRIJEM	VKLAD	5459	35981	\N	\N	\N
184303	626	1997-08-08	PRIJEM	VKLAD	5459	44325	\N	\N	\N
184304	626	1997-09-08	PRIJEM	VKLAD	5459	46497	\N	\N	\N
184305	626	1997-10-08	PRIJEM	VKLAD	5459	44746	\N	\N	\N
184306	626	1997-11-08	PRIJEM	VKLAD	5459	31910	\N	\N	\N
184307	626	1997-12-08	PRIJEM	VKLAD	8189	33728	\N	\N	\N
184308	626	1998-01-08	PRIJEM	VKLAD	5459	28994	\N	\N	\N
184309	626	1998-02-08	PRIJEM	VKLAD	5459	30960	\N	\N	\N
184310	626	1998-03-08	PRIJEM	VKLAD	5459	33034	\N	\N	\N
184311	626	1998-04-08	PRIJEM	VKLAD	5459	38263	\N	\N	\N
184312	626	1998-05-08	PRIJEM	VKLAD	5459	43113	\N	\N	\N
184313	626	1998-06-08	PRIJEM	VKLAD	8189	45303	\N	\N	\N
184314	626	1998-07-08	PRIJEM	VKLAD	5459	28020	\N	\N	\N
184315	626	1998-08-08	PRIJEM	VKLAD	5459	36034	\N	\N	\N
184316	626	1998-09-08	PRIJEM	VKLAD	5459	37291	\N	\N	\N
184317	626	1998-10-08	PRIJEM	VKLAD	5459	41698	\N	\N	\N
184318	626	1998-11-08	PRIJEM	VKLAD	5459	43959	\N	\N	\N
184319	626	1998-12-08	PRIJEM	VKLAD	8189	39022	\N	\N	\N
184335	626	1994-04-10	VYDAJ	PREVOD NA UCET	3639	27829	SIPO	WX	22472965
184336	626	1994-05-10	VYDAJ	PREVOD NA UCET	3639	23408	SIPO	WX	22472965
184337	626	1994-06-10	VYDAJ	PREVOD NA UCET	3639	25343	SIPO	WX	22472965
184338	626	1994-07-10	VYDAJ	PREVOD NA UCET	3639	22852	SIPO	WX	22472965
184339	626	1994-08-10	VYDAJ	PREVOD NA UCET	3639	24156	SIPO	WX	22472965
184340	626	1994-09-10	VYDAJ	PREVOD NA UCET	3639	26462	SIPO	WX	22472965
184341	626	1994-10-10	VYDAJ	PREVOD NA UCET	3639	25316	SIPO	WX	22472965
184342	626	1994-11-10	VYDAJ	PREVOD NA UCET	3639	25420	SIPO	WX	22472965
184343	626	1994-12-10	VYDAJ	PREVOD NA UCET	3639	26555	SIPO	WX	22472965
184344	626	1995-01-10	VYDAJ	PREVOD NA UCET	3639	28768	SIPO	WX	22472965
184345	626	1995-02-10	VYDAJ	PREVOD NA UCET	3639	24949	SIPO	WX	22472965
184346	626	1995-03-10	VYDAJ	PREVOD NA UCET	3639	29247	SIPO	WX	22472965
184347	626	1995-04-10	VYDAJ	PREVOD NA UCET	3639	33471	SIPO	WX	22472965
184348	626	1995-05-10	VYDAJ	PREVOD NA UCET	3639	34111	SIPO	WX	22472965
184349	626	1995-06-10	VYDAJ	PREVOD NA UCET	3639	38825	SIPO	WX	22472965
184350	626	1995-07-10	VYDAJ	PREVOD NA UCET	3639	33486	SIPO	WX	22472965
184351	626	1995-08-10	VYDAJ	PREVOD NA UCET	3639	38335	SIPO	WX	22472965
184352	626	1995-09-10	VYDAJ	PREVOD NA UCET	3639	37417	SIPO	WX	22472965
184353	626	1995-10-10	VYDAJ	PREVOD NA UCET	3639	39395	SIPO	WX	22472965
184354	626	1995-11-10	VYDAJ	PREVOD NA UCET	3639	38860	SIPO	WX	22472965
184355	626	1995-12-10	VYDAJ	PREVOD NA UCET	3639	42158	SIPO	WX	22472965
184356	626	1996-01-10	VYDAJ	PREVOD NA UCET	3639	35717	SIPO	WX	22472965
184357	626	1996-02-10	VYDAJ	PREVOD NA UCET	3639	33160	SIPO	WX	22472965
184358	626	1996-03-10	VYDAJ	PREVOD NA UCET	3639	37116	SIPO	WX	22472965
184359	626	1996-04-10	VYDAJ	PREVOD NA UCET	3639	38973	SIPO	WX	22472965
184360	626	1996-05-10	VYDAJ	PREVOD NA UCET	3639	35781	SIPO	WX	22472965
184361	626	1996-06-10	VYDAJ	PREVOD NA UCET	3639	41463	SIPO	WX	22472965
184362	626	1996-07-10	VYDAJ	PREVOD NA UCET	3639	32257	SIPO	WX	22472965
184363	626	1996-08-10	VYDAJ	PREVOD NA UCET	3639	36294	SIPO	WX	22472965
184364	626	1996-09-10	VYDAJ	PREVOD NA UCET	3639	42751	SIPO	WX	22472965
184365	626	1996-10-10	VYDAJ	PREVOD NA UCET	3639	43430	SIPO	WX	22472965
184366	626	1996-11-10	VYDAJ	PREVOD NA UCET	3639	44107	SIPO	WX	22472965
184367	626	1996-12-10	VYDAJ	PREVOD NA UCET	3639	42754	SIPO	WX	22472965
184368	626	1997-01-10	VYDAJ	PREVOD NA UCET	3639	27521	SIPO	WX	22472965
184369	626	1997-02-10	VYDAJ	PREVOD NA UCET	3639	27290	SIPO	WX	22472965
184370	626	1997-03-10	VYDAJ	PREVOD NA UCET	3639	28196	SIPO	WX	22472965
184371	626	1997-04-10	VYDAJ	PREVOD NA UCET	3639	33018	SIPO	WX	22472965
184372	626	1997-05-10	VYDAJ	PREVOD NA UCET	3639	40763	SIPO	WX	22472965
184373	626	1997-06-10	VYDAJ	PREVOD NA UCET	3639	45364	SIPO	WX	22472965
184374	626	1997-07-10	VYDAJ	PREVOD NA UCET	3639	32342	SIPO	WX	22472965
184375	626	1997-08-10	VYDAJ	PREVOD NA UCET	3639	40686	SIPO	WX	22472965
184376	626	1997-09-10	VYDAJ	PREVOD NA UCET	3639	37938	SIPO	WX	22472965
184377	626	1997-10-10	VYDAJ	PREVOD NA UCET	3639	41107	SIPO	WX	22472965
184378	626	1997-11-10	VYDAJ	PREVOD NA UCET	3639	28271	SIPO	WX	22472965
184379	626	1997-12-10	VYDAJ	PREVOD NA UCET	3639	30089	SIPO	WX	22472965
184380	626	1998-01-10	VYDAJ	PREVOD NA UCET	3639	21035	SIPO	WX	22472965
184381	626	1998-02-10	VYDAJ	PREVOD NA UCET	3639	27321	SIPO	WX	22472965
184382	626	1998-03-10	VYDAJ	PREVOD NA UCET	3639	29395	SIPO	WX	22472965
184383	626	1998-04-10	VYDAJ	PREVOD NA UCET	3639	34624	SIPO	WX	22472965
184384	626	1998-05-10	VYDAJ	PREVOD NA UCET	3639	39474	SIPO	WX	22472965
184385	626	1998-06-10	VYDAJ	PREVOD NA UCET	3639	41664	SIPO	WX	22472965
184386	626	1998-07-10	VYDAJ	PREVOD NA UCET	3639	24381	SIPO	WX	22472965
184387	626	1998-08-10	VYDAJ	PREVOD NA UCET	3639	32395	SIPO	WX	22472965
184388	626	1998-09-10	VYDAJ	PREVOD NA UCET	3639	33652	SIPO	WX	22472965
184389	626	1998-10-10	VYDAJ	PREVOD NA UCET	3639	38059	SIPO	WX	22472965
184390	626	1998-11-10	VYDAJ	PREVOD NA UCET	3639	40320	SIPO	WX	22472965
184391	626	1998-12-10	VYDAJ	PREVOD NA UCET	3639	35383	SIPO	WX	22472965
184395	626	1996-06-22	VYDAJ	VYBER	16160	25303	\N	\N	\N
184396	626	1997-06-20	VYDAJ	VYBER	30080	15284	\N	\N	\N
184397	626	1998-06-28	VYDAJ	VYBER	15840	22424	\N	\N	\N
184400	626	1995-01-10	VYDAJ	VYBER	3200	25568	\N	\N	\N
184401	626	1996-01-26	VYDAJ	VYBER	2080	24517	\N	\N	\N
184402	626	1997-01-02	VYDAJ	VYBER	10560	26301	\N	\N	\N
184405	626	1994-12-05	VYDAJ	VYBER	3840	20105	\N	\N	\N
184406	626	1995-12-01	VYDAJ	VYBER	1600	37609	\N	\N	\N
184407	626	1996-12-14	VYDAJ	VYBER	3040	39714	\N	\N	\N
184408	626	1997-12-02	VYDAJ	VYBER	2560	25540	\N	\N	\N
184409	626	1998-12-21	VYDAJ	VYBER	2080	34463	\N	\N	\N
184422	626	1995-01-05	VYDAJ	VYBER	2400	26948	\N	\N	\N
184423	626	1995-01-22	VYDAJ	VYBER	1680	16088	\N	\N	\N
184424	626	1995-01-28	VYDAJ	VYBER	1320	13448	\N	\N	\N
184425	626	1995-01-28	VYDAJ	VYBER	1320	14768	\N	\N	\N
184426	626	1995-01-21	VYDAJ	VYBER	2160	17768	\N	\N	\N
184427	626	1995-01-03	VYDAJ	VYBER	1800	24848	\N	\N	\N
184428	626	1996-01-11	VYDAJ	VYBER	1200	34517	\N	\N	\N
184429	626	1996-01-23	VYDAJ	VYBER	1560	26597	\N	\N	\N
184430	626	1996-01-21	VYDAJ	VYBER	1200	30437	\N	\N	\N
184431	626	1996-01-13	VYDAJ	VYBER	2880	31637	\N	\N	\N
184432	626	1996-01-22	VYDAJ	VYBER	2280	28157	\N	\N	\N
184433	626	1996-01-01	VYDAJ	VYBER	2520	39297	\N	\N	\N
184434	626	1997-01-12	VYDAJ	VYBER	840	26681	\N	\N	\N
184435	626	1997-01-21	VYDAJ	VYBER	1320	19361	\N	\N	\N
184436	626	1997-01-14	VYDAJ	VYBER	3360	23321	\N	\N	\N
184437	626	1997-01-23	VYDAJ	VYBER	1680	17681	\N	\N	\N
184438	626	1997-01-17	VYDAJ	VYBER	2640	20681	\N	\N	\N
184439	626	1997-01-02	VYDAJ	VYBER	600	25701	\N	\N	\N
184440	626	1998-01-24	VYDAJ	VYBER	1920	25415	\N	\N	\N
184441	626	1998-01-11	VYDAJ	VYBER	1200	19835	\N	\N	\N
184442	626	1998-01-03	VYDAJ	VYBER	1560	26535	\N	\N	\N
184443	626	1998-01-09	VYDAJ	VYBER	3480	25514	\N	\N	\N
184444	626	1998-01-10	VYDAJ	VYBER	840	24674	\N	\N	\N
184445	626	1998-01-06	VYDAJ	VYBER	3000	23535	\N	\N	\N
184453	626	1994-10-19	VYDAJ	VYBER	4800	20516	\N	\N	\N
184454	626	1994-11-16	VYDAJ	VYBER	1560	23860	\N	\N	\N
184455	626	1994-11-08	VYDAJ	VYBER	1200	29059	\N	\N	\N
184456	626	1994-05-02	VYDAJ	VYBER	3840	21288	\N	\N	\N
184457	626	1994-10-01	VYDAJ	VYBER	5760	20796	\N	\N	\N
184458	626	1995-09-06	VYDAJ	VYBER	1080	35597	\N	\N	\N
184459	626	1995-01-21	VYDAJ	VYBER	5640	19928	\N	\N	\N
184460	626	1995-06-21	VYDAJ	VYBER	960	37865	\N	\N	\N
184461	626	1995-07-07	VYDAJ	VYBER	5640	31666	\N	\N	\N
184462	626	1995-05-13	VYDAJ	VYBER	960	33151	\N	\N	\N
184463	626	1995-09-23	VYDAJ	VYBER	3480	33937	\N	\N	\N
184464	626	1995-04-22	VYDAJ	VYBER	1200	32271	\N	\N	\N
184465	626	1996-10-18	VYDAJ	VYBER	4800	38630	\N	\N	\N
184466	626	1996-04-13	VYDAJ	VYBER	5880	33093	\N	\N	\N
184467	626	1996-02-13	VYDAJ	VYBER	2280	30880	\N	\N	\N
184468	626	1996-11-14	VYDAJ	VYBER	2160	41947	\N	\N	\N
184469	626	1996-01-08	VYDAJ	VYBER	5400	39356	\N	\N	\N
184470	626	1996-04-20	VYDAJ	VYBER	1560	31533	\N	\N	\N
184471	626	1997-09-04	VYDAJ	VYBER	600	41038	\N	\N	\N
184472	626	1997-12-22	VYDAJ	VYBER	3360	31229	\N	\N	\N
184473	626	1997-02-13	VYDAJ	VYBER	5400	21890	\N	\N	\N
184474	626	1997-09-08	VYDAJ	VYBER	4920	41577	\N	\N	\N
184475	626	1997-11-05	VYDAJ	VYBER	5640	26451	\N	\N	\N
184476	626	1997-12-23	VYDAJ	VYBER	3240	27989	\N	\N	\N
184477	626	1997-11-26	VYDAJ	VYBER	3480	27991	\N	\N	\N
184478	626	1997-10-28	VYDAJ	VYBER	5760	31947	\N	\N	\N
184479	626	1998-02-17	VYDAJ	VYBER	4440	22881	\N	\N	\N
184480	626	1998-08-29	VYDAJ	VYBER	2280	31715	\N	\N	\N
184481	626	1998-11-16	VYDAJ	VYBER	4800	36220	\N	\N	\N
184482	626	1998-10-07	VYDAJ	VYBER	840	36239	\N	\N	\N
184483	626	1998-08-10	VYDAJ	VYBER	5400	26995	\N	\N	\N
184484	626	1998-11-23	VYDAJ	VYBER	5520	30700	\N	\N	\N
184485	626	1998-12-16	VYDAJ	VYBER	3840	36543	\N	\N	\N
184502	626	1994-04-30	VYDAJ	VYBER	15	25128	SLUZBY	\N	\N
184503	626	1994-05-31	VYDAJ	VYBER	15	23493	SLUZBY	\N	\N
184504	626	1994-06-30	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
184505	626	1994-07-31	VYDAJ	VYBER	15	22936	SLUZBY	\N	\N
184506	626	1994-08-31	VYDAJ	VYBER	15	24242	SLUZBY	\N	\N
184507	626	1994-09-30	VYDAJ	VYBER	15	26556	SLUZBY	\N	\N
184508	626	1994-10-31	VYDAJ	VYBER	15	20600	SLUZBY	\N	\N
184509	626	1994-11-30	VYDAJ	VYBER	15	23945	SLUZBY	\N	\N
184510	626	1994-12-31	VYDAJ	VYBER	15	26648	SLUZBY	\N	\N
184511	626	1995-01-31	VYDAJ	VYBER	15	13529	SLUZBY	\N	\N
184512	626	1995-02-28	VYDAJ	VYBER	15	25027	SLUZBY	\N	\N
184513	626	1995-03-31	VYDAJ	VYBER	15	29351	SLUZBY	\N	\N
184514	626	1995-04-30	VYDAJ	VYBER	15	32391	SLUZBY	\N	\N
184515	626	1995-05-31	VYDAJ	VYBER	15	33276	SLUZBY	\N	\N
184516	626	1995-06-30	VYDAJ	VYBER	15	38006	SLUZBY	\N	\N
184517	626	1995-07-31	VYDAJ	VYBER	15	33615	SLUZBY	\N	\N
184518	626	1995-08-31	VYDAJ	VYBER	15	38477	SLUZBY	\N	\N
184519	626	1995-09-30	VYDAJ	VYBER	15	34075	SLUZBY	\N	\N
184520	626	1995-10-31	VYDAJ	VYBER	15	39540	SLUZBY	\N	\N
184521	626	1995-11-30	VYDAJ	VYBER	15	39009	SLUZBY	\N	\N
184522	626	1995-12-31	VYDAJ	VYBER	15	41817	SLUZBY	\N	\N
184523	626	1996-01-31	VYDAJ	VYBER	15	31340	SLUZBY	\N	\N
184524	626	1996-02-29	VYDAJ	VYBER	15	35296	SLUZBY	\N	\N
184525	626	1996-03-31	VYDAJ	VYBER	15	37153	SLUZBY	\N	\N
184526	626	1996-04-30	VYDAJ	VYBER	15	33961	SLUZBY	\N	\N
184527	626	1996-05-31	VYDAJ	VYBER	15	36913	SLUZBY	\N	\N
184528	626	1996-06-30	VYDAJ	VYBER	15	30437	SLUZBY	\N	\N
184529	626	1996-07-31	VYDAJ	VYBER	15	34474	SLUZBY	\N	\N
184530	626	1996-08-31	VYDAJ	VYBER	15	40931	SLUZBY	\N	\N
184531	626	1996-09-30	VYDAJ	VYBER	15	41610	SLUZBY	\N	\N
184532	626	1996-10-31	VYDAJ	VYBER	15	42287	SLUZBY	\N	\N
184533	626	1996-11-30	VYDAJ	VYBER	15	38205	SLUZBY	\N	\N
184534	626	1996-12-31	VYDAJ	VYBER	15	36861	SLUZBY	\N	\N
184535	626	1997-01-31	VYDAJ	VYBER	15	25470	SLUZBY	\N	\N
184536	626	1997-02-28	VYDAJ	VYBER	15	26376	SLUZBY	\N	\N
184537	626	1997-03-31	VYDAJ	VYBER	15	31198	SLUZBY	\N	\N
184538	626	1997-04-30	VYDAJ	VYBER	15	38943	SLUZBY	\N	\N
184539	626	1997-05-31	VYDAJ	VYBER	15	40814	SLUZBY	\N	\N
184540	626	1997-06-30	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
184541	626	1997-07-31	VYDAJ	VYBER	15	38866	SLUZBY	\N	\N
184542	626	1997-08-31	VYDAJ	VYBER	15	41638	SLUZBY	\N	\N
184543	626	1997-09-30	VYDAJ	VYBER	15	39287	SLUZBY	\N	\N
184544	626	1997-10-31	VYDAJ	VYBER	15	32091	SLUZBY	\N	\N
184545	626	1997-11-30	VYDAJ	VYBER	15	28100	SLUZBY	\N	\N
184546	626	1997-12-31	VYDAJ	VYBER	15	28095	SLUZBY	\N	\N
184547	626	1998-01-31	VYDAJ	VYBER	15	25501	SLUZBY	\N	\N
184548	626	1998-02-28	VYDAJ	VYBER	15	27575	SLUZBY	\N	\N
184549	626	1998-03-31	VYDAJ	VYBER	15	32804	SLUZBY	\N	\N
184550	626	1998-04-30	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
184551	626	1998-05-31	VYDAJ	VYBER	15	37114	SLUZBY	\N	\N
184552	626	1998-06-30	VYDAJ	VYBER	15	22561	SLUZBY	\N	\N
184553	626	1998-07-31	VYDAJ	VYBER	15	30575	SLUZBY	\N	\N
184554	626	1998-08-31	VYDAJ	VYBER	15	31832	SLUZBY	\N	\N
184555	626	1998-09-30	VYDAJ	VYBER	15	37079	SLUZBY	\N	\N
184556	626	1998-10-31	VYDAJ	VYBER	15	38500	SLUZBY	\N	\N
184557	626	1998-11-30	VYDAJ	VYBER	15	30834	SLUZBY	\N	\N
184558	626	1993-12-11	PRIJEM	VKLAD	6200	14589	\N	\N	\N
184559	626	1994-01-10	PRIJEM	VKLAD	3400	23489	\N	\N	\N
184560	626	1994-02-09	VYDAJ	VYBER	2600	26435	\N	\N	\N
184561	626	1994-03-11	VYDAJ	VYBER	6100	25900	\N	\N	\N
184562	626	1994-04-10	VYDAJ	VYBER	2800	25029	\N	\N	\N
184563	626	1994-05-10	PRIJEM	VKLAD	300	27047	\N	\N	\N
184564	626	1994-06-09	VYDAJ	VYBER	2700	28982	\N	\N	\N
184565	626	1994-07-09	VYDAJ	VYBER	4400	26491	\N	\N	\N
184566	626	1994-08-08	VYDAJ	VYBER	600	27795	\N	\N	\N
184567	626	1994-09-07	PRIJEM	VKLAD	400	24642	\N	\N	\N
184568	626	1994-10-07	PRIJEM	VKLAD	2700	23496	\N	\N	\N
184569	626	1994-11-06	PRIJEM	VKLAD	4200	24800	\N	\N	\N
184570	626	1994-12-06	PRIJEM	VKLAD	1900	22005	\N	\N	\N
184571	626	1995-01-05	PRIJEM	VKLAD	4500	29348	\N	\N	\N
184572	626	1995-02-04	PRIJEM	VKLAD	9600	23129	\N	\N	\N
184573	626	1995-03-06	PRIJEM	VKLAD	2400	27427	\N	\N	\N
184574	626	1995-04-05	PRIJEM	VKLAD	2300	31651	\N	\N	\N
184575	626	1995-05-05	VYDAJ	VYBER	100	32291	\N	\N	\N
184576	626	1995-06-04	PRIJEM	VKLAD	1000	34276	\N	\N	\N
184577	626	1995-07-04	VYDAJ	VYBER	700	37306	\N	\N	\N
184578	626	1995-08-03	PRIJEM	VKLAD	2900	36515	\N	\N	\N
184579	626	1995-09-02	VYDAJ	VYBER	1800	36677	\N	\N	\N
184580	626	1995-10-02	PRIJEM	VKLAD	3500	37575	\N	\N	\N
184581	626	1995-11-01	VYDAJ	VYBER	2500	37040	\N	\N	\N
184582	626	1995-12-01	PRIJEM	VKLAD	200	39209	\N	\N	\N
184583	626	1995-12-31	VYDAJ	VYBER	500	41832	\N	\N	\N
184584	626	1996-01-30	PRIJEM	VKLAD	6700	31217	\N	\N	\N
184585	626	1996-02-29	PRIJEM	VKLAD	4300	35310	\N	\N	\N
184586	626	1996-03-30	VYDAJ	VYBER	100	37016	\N	\N	\N
184587	626	1996-04-29	PRIJEM	VKLAD	2300	33833	\N	\N	\N
184588	626	1996-05-29	PRIJEM	VKLAD	1000	36781	\N	\N	\N
184589	626	1996-06-28	PRIJEM	VKLAD	5000	30303	\N	\N	\N
184590	626	1996-07-28	PRIJEM	VKLAD	2100	34357	\N	\N	\N
184591	626	1996-08-27	PRIJEM	VKLAD	4500	40794	\N	\N	\N
184592	626	1996-09-26	VYDAJ	VYBER	1300	41451	\N	\N	\N
184593	626	1996-10-26	PRIJEM	VKLAD	3500	42130	\N	\N	\N
184594	626	1996-11-25	VYDAJ	VYBER	3900	38047	\N	\N	\N
184595	626	1996-12-25	VYDAJ	VYBER	3000	36714	\N	\N	\N
184596	626	1997-01-24	PRIJEM	VKLAD	7700	25381	\N	\N	\N
184597	626	1997-02-23	PRIJEM	VKLAD	4400	26290	\N	\N	\N
184598	626	1997-03-25	PRIJEM	VKLAD	2900	31096	\N	\N	\N
184599	626	1997-04-24	PRIJEM	VKLAD	5800	38818	\N	\N	\N
184600	626	1997-05-24	VYDAJ	VYBER	100	40663	\N	\N	\N
184601	626	1997-06-23	PRIJEM	VKLAD	15100	30384	\N	\N	\N
184602	626	1997-07-23	PRIJEM	VKLAD	6400	38742	\N	\N	\N
184603	626	1997-08-22	PRIJEM	VKLAD	800	41486	\N	\N	\N
184604	626	1997-09-21	PRIJEM	VKLAD	1200	39138	\N	\N	\N
184605	626	1997-10-21	VYDAJ	VYBER	3400	37707	\N	\N	\N
184606	626	1997-11-20	PRIJEM	VKLAD	3200	31471	\N	\N	\N
184607	626	1997-12-20	PRIJEM	VKLAD	4500	34589	\N	\N	\N
184608	626	1998-01-19	PRIJEM	VKLAD	7500	27335	\N	\N	\N
184609	626	1998-02-18	PRIJEM	VKLAD	4600	27481	\N	\N	\N
184610	626	1998-03-20	PRIJEM	VKLAD	3300	32695	\N	\N	\N
184611	626	1998-04-19	PRIJEM	VKLAD	2900	37524	\N	\N	\N
184612	626	1998-05-19	VYDAJ	VYBER	2500	36974	\N	\N	\N
184613	626	1998-06-18	VYDAJ	VYBER	3400	38264	\N	\N	\N
184614	626	1998-07-18	PRIJEM	VKLAD	6100	30481	\N	\N	\N
184615	626	1998-08-17	PRIJEM	VKLAD	7000	33995	\N	\N	\N
184616	626	1998-09-16	PRIJEM	VKLAD	3300	36952	\N	\N	\N
184617	626	1998-10-16	PRIJEM	VKLAD	300	38359	\N	\N	\N
184618	626	1998-11-15	PRIJEM	VKLAD	700	41020	\N	\N	\N
184619	626	1998-12-15	PRIJEM	VKLAD	5000	40383	\N	\N	\N
184681	627	1993-02-05	PRIJEM	VKLAD	600	600	\N	\N	\N
184683	627	1993-02-11	PRIJEM	VKLAD	22349	22949	\N	\N	\N
184684	627	1993-03-11	PRIJEM	VKLAD	22349	46060	\N	\N	\N
184685	627	1993-04-11	PRIJEM	VKLAD	22349	57769	\N	\N	\N
184686	627	1993-05-11	PRIJEM	VKLAD	22349	62643	\N	\N	\N
184687	627	1993-06-11	PRIJEM	VKLAD	33524	77921	\N	\N	\N
184688	627	1993-07-11	PRIJEM	VKLAD	22349	60618	\N	\N	\N
184689	627	1993-08-11	PRIJEM	VKLAD	22349	56362	\N	\N	\N
184690	627	1993-09-11	PRIJEM	VKLAD	22349	57590	\N	\N	\N
184691	627	1993-10-11	PRIJEM	VKLAD	22349	58420	\N	\N	\N
184692	627	1993-11-11	PRIJEM	VKLAD	22349	55754	\N	\N	\N
184693	627	1993-12-11	PRIJEM	VKLAD	33524	67851	\N	\N	\N
184694	627	1994-01-11	PRIJEM	VKLAD	22349	61104	\N	\N	\N
184695	627	1994-02-11	PRIJEM	VKLAD	22349	55438	\N	\N	\N
184696	627	1994-03-11	PRIJEM	VKLAD	22349	54854	\N	\N	\N
184697	627	1994-04-11	PRIJEM	VKLAD	22349	54674	\N	\N	\N
184698	627	1994-05-11	PRIJEM	VKLAD	22349	52393	\N	\N	\N
184699	627	1994-06-11	PRIJEM	VKLAD	33524	61276	\N	\N	\N
184700	627	1994-07-11	PRIJEM	VKLAD	22349	45177	\N	\N	\N
184701	627	1994-08-11	PRIJEM	VKLAD	22349	49148	\N	\N	\N
184702	627	1994-09-11	PRIJEM	VKLAD	22349	51235	\N	\N	\N
184703	627	1994-10-11	PRIJEM	VKLAD	22349	54130	\N	\N	\N
184704	627	1994-11-11	PRIJEM	VKLAD	22349	52336	\N	\N	\N
184705	627	1994-12-11	PRIJEM	VKLAD	33524	60200	\N	\N	\N
184706	627	1995-01-11	PRIJEM	VKLAD	22349	51311	\N	\N	\N
184707	627	1995-02-11	PRIJEM	VKLAD	22349	51289	\N	\N	\N
184708	627	1995-03-11	PRIJEM	VKLAD	22349	54881	\N	\N	\N
184709	627	1995-04-11	PRIJEM	VKLAD	22349	50090	\N	\N	\N
184710	627	1995-05-11	PRIJEM	VKLAD	22349	56481	\N	\N	\N
184711	627	1995-06-11	PRIJEM	VKLAD	33524	69968	\N	\N	\N
184712	627	1995-07-11	PRIJEM	VKLAD	22349	53266	\N	\N	\N
184713	627	1995-08-11	PRIJEM	VKLAD	22349	57263	\N	\N	\N
184714	627	1995-09-11	PRIJEM	VKLAD	22349	62178	\N	\N	\N
184715	627	1995-10-11	PRIJEM	VKLAD	22349	62006	\N	\N	\N
184716	627	1995-11-11	PRIJEM	VKLAD	22349	62133	\N	\N	\N
184717	627	1995-12-11	PRIJEM	VKLAD	33524	69132	\N	\N	\N
184718	627	1996-01-11	PRIJEM	VKLAD	22349	66964	\N	\N	\N
184719	627	1996-02-11	PRIJEM	VKLAD	22349	55495	\N	\N	\N
184720	627	1996-03-11	PRIJEM	VKLAD	22349	61795	\N	\N	\N
184721	627	1996-04-11	PRIJEM	VKLAD	22349	69027	\N	\N	\N
184722	627	1996-05-11	PRIJEM	VKLAD	22349	68581	\N	\N	\N
184723	627	1996-06-11	PRIJEM	VKLAD	33524	63500	\N	\N	\N
184724	627	1996-07-11	PRIJEM	VKLAD	22349	59322	\N	\N	\N
184725	627	1996-08-11	PRIJEM	VKLAD	22349	63238	\N	\N	\N
184726	627	1996-09-11	PRIJEM	VKLAD	22349	61663	\N	\N	\N
184727	627	1996-10-11	PRIJEM	VKLAD	22349	65781	\N	\N	\N
184728	627	1996-11-11	PRIJEM	VKLAD	22349	70921	\N	\N	\N
184729	627	1996-12-11	PRIJEM	VKLAD	33524	83752	\N	\N	\N
184730	627	1997-01-11	PRIJEM	VKLAD	22349	73630	\N	\N	\N
184731	627	1997-02-11	PRIJEM	VKLAD	22349	66582	\N	\N	\N
184732	627	1997-03-11	PRIJEM	VKLAD	22349	71219	\N	\N	\N
184733	627	1997-04-11	PRIJEM	VKLAD	22349	62657	\N	\N	\N
184734	627	1997-05-11	PRIJEM	VKLAD	22349	70083	\N	\N	\N
184735	627	1997-06-11	PRIJEM	VKLAD	33524	77505	\N	\N	\N
184736	627	1997-07-11	PRIJEM	VKLAD	22349	72449	\N	\N	\N
184737	627	1997-08-11	PRIJEM	VKLAD	22349	60189	\N	\N	\N
184738	627	1997-09-11	PRIJEM	VKLAD	22349	67503	\N	\N	\N
184739	627	1997-10-11	PRIJEM	VKLAD	22349	70837	\N	\N	\N
184740	627	1997-11-11	PRIJEM	VKLAD	22349	67573	\N	\N	\N
184741	627	1997-12-11	PRIJEM	VKLAD	33524	84085	\N	\N	\N
184742	627	1998-01-11	PRIJEM	VKLAD	22349	81083	\N	\N	\N
184743	627	1998-02-11	PRIJEM	VKLAD	22349	84989	\N	\N	\N
184744	627	1998-03-11	PRIJEM	VKLAD	22349	99425	\N	\N	\N
184745	627	1998-04-11	PRIJEM	VKLAD	22349	87418	\N	\N	\N
184746	627	1998-05-11	PRIJEM	VKLAD	22349	89472	\N	\N	\N
184747	627	1998-06-11	PRIJEM	VKLAD	33524	102114	\N	\N	\N
184748	627	1998-07-11	PRIJEM	VKLAD	22349	83581	\N	\N	\N
184749	627	1998-08-11	PRIJEM	VKLAD	22349	87420	\N	\N	\N
184750	627	1998-09-11	PRIJEM	VKLAD	22349	88271	\N	\N	\N
184751	627	1998-10-11	PRIJEM	VKLAD	22349	88424	\N	\N	\N
184752	627	1998-11-11	PRIJEM	VKLAD	22349	87574	\N	\N	\N
184753	627	1998-12-11	PRIJEM	VKLAD	33524	100896	\N	\N	\N
184760	627	1993-07-06	VYDAJ	PREVOD NA UCET	8228	38269	SIPO	KL	23483765
184761	627	1993-08-06	VYDAJ	PREVOD NA UCET	8228	34013	SIPO	KL	23483765
184762	627	1993-09-06	VYDAJ	PREVOD NA UCET	8228	35241	SIPO	KL	23483765
184763	627	1993-10-06	VYDAJ	PREVOD NA UCET	8228	36071	SIPO	KL	23483765
184764	627	1993-11-06	VYDAJ	PREVOD NA UCET	8228	33405	SIPO	KL	23483765
184765	627	1993-12-06	VYDAJ	PREVOD NA UCET	8228	34327	SIPO	KL	23483765
184766	627	1994-01-06	VYDAJ	PREVOD NA UCET	8228	40655	SIPO	KL	23483765
184767	627	1994-02-06	VYDAJ	PREVOD NA UCET	8228	33089	SIPO	KL	23483765
184768	627	1994-03-06	VYDAJ	PREVOD NA UCET	8228	32505	SIPO	KL	23483765
184769	627	1994-04-06	VYDAJ	PREVOD NA UCET	8228	32325	SIPO	KL	23483765
184770	627	1994-05-06	VYDAJ	PREVOD NA UCET	8228	30044	SIPO	KL	23483765
184771	627	1994-06-06	VYDAJ	PREVOD NA UCET	8228	27752	SIPO	KL	23483765
184772	627	1994-07-06	VYDAJ	PREVOD NA UCET	8228	22828	SIPO	KL	23483765
184773	627	1994-08-06	VYDAJ	PREVOD NA UCET	8228	26799	SIPO	KL	23483765
184774	627	1994-09-06	VYDAJ	PREVOD NA UCET	8228	28886	SIPO	KL	23483765
184775	627	1994-10-06	VYDAJ	PREVOD NA UCET	8228	31781	SIPO	KL	23483765
184776	627	1994-11-06	VYDAJ	PREVOD NA UCET	8228	33387	SIPO	KL	23483765
184777	627	1994-12-06	VYDAJ	PREVOD NA UCET	8228	26676	SIPO	KL	23483765
184778	627	1995-01-06	VYDAJ	PREVOD NA UCET	8228	31162	SIPO	KL	23483765
184779	627	1995-02-06	VYDAJ	PREVOD NA UCET	8228	28940	SIPO	KL	23483765
184780	627	1995-03-06	VYDAJ	PREVOD NA UCET	8228	33832	SIPO	KL	23483765
184781	627	1995-04-06	VYDAJ	PREVOD NA UCET	8228	31741	SIPO	KL	23483765
184782	627	1995-05-06	VYDAJ	PREVOD NA UCET	8228	34132	SIPO	KL	23483765
184783	627	1995-06-06	VYDAJ	PREVOD NA UCET	8228	36444	SIPO	KL	23483765
184784	627	1995-07-06	VYDAJ	PREVOD NA UCET	8228	30917	SIPO	KL	23483765
184785	627	1995-08-06	VYDAJ	PREVOD NA UCET	8228	34914	SIPO	KL	23483765
184786	627	1995-09-06	VYDAJ	PREVOD NA UCET	8228	39829	SIPO	KL	23483765
184787	627	1995-10-06	VYDAJ	PREVOD NA UCET	8228	39657	SIPO	KL	23483765
184788	627	1995-11-06	VYDAJ	PREVOD NA UCET	8228	39784	SIPO	KL	23483765
184789	627	1995-12-06	VYDAJ	PREVOD NA UCET	8228	35608	SIPO	KL	23483765
184790	627	1996-01-06	VYDAJ	PREVOD NA UCET	8228	44615	SIPO	KL	23483765
184791	627	1996-02-06	VYDAJ	PREVOD NA UCET	8228	33146	SIPO	KL	23483765
184792	627	1996-03-06	VYDAJ	PREVOD NA UCET	8228	39446	SIPO	KL	23483765
184793	627	1996-04-06	VYDAJ	PREVOD NA UCET	8228	46678	SIPO	KL	23483765
184794	627	1996-05-06	VYDAJ	PREVOD NA UCET	8228	46232	SIPO	KL	23483765
184795	627	1996-06-06	VYDAJ	PREVOD NA UCET	8228	46676	SIPO	KL	23483765
184796	627	1996-07-06	VYDAJ	PREVOD NA UCET	8228	42773	SIPO	KL	23483765
184797	627	1996-08-06	VYDAJ	PREVOD NA UCET	8228	40889	SIPO	KL	23483765
184798	627	1996-09-06	VYDAJ	PREVOD NA UCET	8228	43414	SIPO	KL	23483765
184799	627	1996-10-06	VYDAJ	PREVOD NA UCET	8228	43432	SIPO	KL	23483765
184800	627	1996-11-06	VYDAJ	PREVOD NA UCET	8228	48572	SIPO	KL	23483765
184801	627	1996-12-06	VYDAJ	PREVOD NA UCET	8228	50228	SIPO	KL	23483765
184802	627	1997-01-06	VYDAJ	PREVOD NA UCET	8228	55481	SIPO	KL	23483765
184803	627	1997-02-06	VYDAJ	PREVOD NA UCET	8228	44233	SIPO	KL	23483765
184804	627	1997-03-06	VYDAJ	PREVOD NA UCET	8228	48870	SIPO	KL	23483765
184805	627	1997-04-06	VYDAJ	PREVOD NA UCET	8228	40308	SIPO	KL	23483765
184806	627	1997-05-06	VYDAJ	PREVOD NA UCET	8228	47734	SIPO	KL	23483765
184807	627	1997-06-06	VYDAJ	PREVOD NA UCET	8228	48681	SIPO	KL	23483765
184808	627	1997-07-06	VYDAJ	PREVOD NA UCET	8228	50100	SIPO	KL	23483765
184809	627	1997-08-06	VYDAJ	PREVOD NA UCET	8228	37840	SIPO	KL	23483765
184810	627	1997-09-06	VYDAJ	PREVOD NA UCET	8228	45154	SIPO	KL	23483765
184811	627	1997-10-06	VYDAJ	PREVOD NA UCET	8228	48488	SIPO	KL	23483765
184812	627	1997-11-06	VYDAJ	PREVOD NA UCET	8228	46624	SIPO	KL	23483765
184813	627	1997-12-06	VYDAJ	PREVOD NA UCET	8228	50561	SIPO	KL	23483765
184814	627	1998-01-06	VYDAJ	PREVOD NA UCET	8228	60234	SIPO	KL	23483765
184815	627	1998-02-06	VYDAJ	PREVOD NA UCET	8228	67940	SIPO	KL	23483765
184816	627	1998-03-06	VYDAJ	PREVOD NA UCET	8228	77076	SIPO	KL	23483765
184817	627	1998-04-06	VYDAJ	PREVOD NA UCET	8228	73369	SIPO	KL	23483765
184818	627	1998-05-06	VYDAJ	PREVOD NA UCET	8228	79523	SIPO	KL	23483765
184819	627	1998-06-06	VYDAJ	PREVOD NA UCET	8228	81590	SIPO	KL	23483765
184820	627	1998-07-06	VYDAJ	PREVOD NA UCET	8228	72932	SIPO	KL	23483765
184821	627	1998-08-06	VYDAJ	PREVOD NA UCET	8228	75671	SIPO	KL	23483765
184822	627	1998-09-06	VYDAJ	PREVOD NA UCET	8228	79522	SIPO	KL	23483765
184823	627	1998-10-06	VYDAJ	PREVOD NA UCET	8228	75775	SIPO	KL	23483765
184824	627	1998-11-06	VYDAJ	PREVOD NA UCET	8228	76925	SIPO	KL	23483765
184825	627	1998-12-06	VYDAJ	PREVOD NA UCET	8228	79672	SIPO	KL	23483765
184898	627	1993-06-23	VYDAJ	VYBER	12100	65821	\N	\N	\N
184899	627	1994-06-27	VYDAJ	VYBER	13400	41876	\N	\N	\N
184900	627	1995-06-14	VYDAJ	VYBER	24100	44968	\N	\N	\N
184901	627	1996-06-07	VYDAJ	VYBER	16700	29976	\N	\N	\N
184902	627	1997-06-07	VYDAJ	VYBER	4700	43981	\N	\N	\N
184903	627	1998-06-19	VYDAJ	VYBER	21300	80814	\N	\N	\N
184904	627	1993-12-03	VYDAJ	VYBER	700	42555	\N	\N	\N
184905	627	1994-12-29	VYDAJ	VYBER	2000	41200	\N	\N	\N
184906	627	1995-12-01	VYDAJ	VYBER	2400	43836	\N	\N	\N
184907	627	1996-12-02	VYDAJ	VYBER	1600	58456	\N	\N	\N
184908	627	1997-12-22	VYDAJ	VYBER	1000	69785	\N	\N	\N
184909	627	1998-12-22	VYDAJ	VYBER	1200	99696	\N	\N	\N
184916	627	1994-01-17	VYDAJ	VYBER	1700	56704	\N	\N	\N
184917	627	1994-01-19	VYDAJ	VYBER	1300	53904	\N	\N	\N
184918	627	1994-01-27	VYDAJ	VYBER	2300	51604	\N	\N	\N
184919	627	1994-01-19	VYDAJ	VYBER	1500	55204	\N	\N	\N
184920	627	1994-01-08	VYDAJ	VYBER	1900	38755	\N	\N	\N
184921	627	1994-01-15	VYDAJ	VYBER	2700	58404	\N	\N	\N
184922	627	1995-01-11	VYDAJ	VYBER	700	50611	\N	\N	\N
184923	627	1995-01-08	VYDAJ	VYBER	2200	28962	\N	\N	\N
184924	627	1995-01-14	VYDAJ	VYBER	2000	45911	\N	\N	\N
184925	627	1995-01-27	VYDAJ	VYBER	2000	37011	\N	\N	\N
184926	627	1995-01-04	VYDAJ	VYBER	2000	39390	\N	\N	\N
184927	627	1995-01-13	VYDAJ	VYBER	2700	47911	\N	\N	\N
184928	627	1996-01-30	VYDAJ	VYBER	1100	41164	\N	\N	\N
184929	627	1996-01-14	VYDAJ	VYBER	1700	65264	\N	\N	\N
184930	627	1996-01-23	VYDAJ	VYBER	2800	46664	\N	\N	\N
184931	627	1996-01-28	VYDAJ	VYBER	2900	43764	\N	\N	\N
184932	627	1996-01-21	VYDAJ	VYBER	1100	60164	\N	\N	\N
184933	627	1996-01-29	VYDAJ	VYBER	1500	42264	\N	\N	\N
184934	627	1997-01-02	VYDAJ	VYBER	1000	66409	\N	\N	\N
184935	627	1997-01-02	VYDAJ	VYBER	2700	63709	\N	\N	\N
184936	627	1997-01-30	VYDAJ	VYBER	1500	52230	\N	\N	\N
184937	627	1997-01-23	VYDAJ	VYBER	2400	55530	\N	\N	\N
184938	627	1997-01-18	VYDAJ	VYBER	2600	57930	\N	\N	\N
184939	627	1997-01-30	VYDAJ	VYBER	1800	53730	\N	\N	\N
184940	627	1998-01-08	VYDAJ	VYBER	2300	55734	\N	\N	\N
184941	627	1998-01-12	VYDAJ	VYBER	2600	77783	\N	\N	\N
184942	627	1998-01-07	VYDAJ	VYBER	2200	58034	\N	\N	\N
184943	627	1998-01-08	VYDAJ	VYBER	2500	53234	\N	\N	\N
184944	627	1998-01-12	VYDAJ	VYBER	700	80383	\N	\N	\N
184945	627	1998-01-03	VYDAJ	VYBER	1600	68462	\N	\N	\N
184949	627	1993-07-24	VYDAJ	VYBER	2700	57918	\N	\N	\N
184951	627	1993-10-31	VYDAJ	VYBER	4100	54547	\N	\N	\N
184953	627	1994-06-14	VYDAJ	VYBER	2500	55276	\N	\N	\N
184954	627	1994-11-23	VYDAJ	VYBER	4900	43436	\N	\N	\N
184955	627	1994-07-20	VYDAJ	VYBER	800	44377	\N	\N	\N
184956	627	1994-11-27	VYDAJ	VYBER	4700	34736	\N	\N	\N
184957	627	1994-12-29	VYDAJ	VYBER	800	43200	\N	\N	\N
184958	627	1994-11-09	VYDAJ	VYBER	3400	29987	\N	\N	\N
184959	627	1994-05-29	VYDAJ	VYBER	2600	49793	\N	\N	\N
184960	627	1994-06-29	VYDAJ	VYBER	1900	39976	\N	\N	\N
184961	627	1994-11-21	VYDAJ	VYBER	4000	48336	\N	\N	\N
184962	627	1994-06-11	VYDAJ	VYBER	3500	57776	\N	\N	\N
184963	627	1995-03-10	VYDAJ	VYBER	1300	32532	\N	\N	\N
184964	627	1995-07-11	VYDAJ	VYBER	2000	51266	\N	\N	\N
184965	627	1995-05-28	VYDAJ	VYBER	1500	44481	\N	\N	\N
184966	627	1995-04-01	VYDAJ	VYBER	4800	39969	\N	\N	\N
184967	627	1995-07-24	VYDAJ	VYBER	3300	47966	\N	\N	\N
184968	627	1995-04-09	VYDAJ	VYBER	4000	27741	\N	\N	\N
184969	627	1995-06-11	VYDAJ	VYBER	900	69068	\N	\N	\N
184970	627	1996-09-06	VYDAJ	VYBER	4100	39314	\N	\N	\N
184971	627	1996-05-03	VYDAJ	VYBER	2600	54460	\N	\N	\N
184972	627	1996-07-10	VYDAJ	VYBER	1100	36973	\N	\N	\N
184973	627	1996-02-13	VYDAJ	VYBER	1200	54295	\N	\N	\N
184974	627	1996-01-16	VYDAJ	VYBER	4000	61264	\N	\N	\N
184975	627	1996-07-08	VYDAJ	VYBER	4700	38073	\N	\N	\N
184976	627	1996-02-15	VYDAJ	VYBER	3600	50695	\N	\N	\N
184977	627	1997-03-13	VYDAJ	VYBER	3700	67519	\N	\N	\N
184978	627	1997-08-01	VYDAJ	VYBER	4000	49968	\N	\N	\N
184979	627	1997-11-09	VYDAJ	VYBER	1400	45224	\N	\N	\N
184980	627	1997-04-05	VYDAJ	VYBER	3900	48536	\N	\N	\N
184981	627	1997-10-15	VYDAJ	VYBER	4300	54637	\N	\N	\N
184982	627	1997-06-06	VYDAJ	VYBER	1300	56909	\N	\N	\N
184983	627	1997-01-10	VYDAJ	VYBER	4200	51281	\N	\N	\N
184984	627	1997-08-05	VYDAJ	VYBER	3900	46068	\N	\N	\N
184985	627	1997-03-17	VYDAJ	VYBER	3100	52219	\N	\N	\N
184986	627	1998-02-03	VYDAJ	VYBER	1900	76168	\N	\N	\N
184987	627	1998-09-30	VYDAJ	VYBER	4600	84018	\N	\N	\N
184988	627	1998-10-29	VYDAJ	VYBER	3600	84824	\N	\N	\N
184995	627	1993-06-30	VYDAJ	VYBER	15	66097	SLUZBY	\N	\N
184996	627	1993-07-31	VYDAJ	VYBER	15	58141	SLUZBY	\N	\N
184997	627	1993-08-31	VYDAJ	VYBER	15	56569	SLUZBY	\N	\N
184998	627	1993-09-30	VYDAJ	VYBER	15	57799	SLUZBY	\N	\N
184999	627	1993-10-31	VYDAJ	VYBER	15	54533	SLUZBY	\N	\N
185000	627	1993-11-30	VYDAJ	VYBER	15	55955	SLUZBY	\N	\N
185001	627	1993-12-31	VYDAJ	VYBER	15	68083	SLUZBY	\N	\N
185002	627	1994-01-31	VYDAJ	VYBER	15	51817	SLUZBY	\N	\N
185003	627	1994-02-28	VYDAJ	VYBER	15	55633	SLUZBY	\N	\N
185004	627	1994-03-31	VYDAJ	VYBER	15	55053	SLUZBY	\N	\N
185005	627	1994-04-30	VYDAJ	VYBER	15	54872	SLUZBY	\N	\N
185006	627	1994-05-31	VYDAJ	VYBER	15	49980	SLUZBY	\N	\N
185007	627	1994-06-30	VYDAJ	VYBER	15	31056	SLUZBY	\N	\N
185008	627	1994-07-31	VYDAJ	VYBER	15	35027	SLUZBY	\N	\N
185009	627	1994-08-31	VYDAJ	VYBER	15	37114	SLUZBY	\N	\N
185010	627	1994-09-30	VYDAJ	VYBER	15	40009	SLUZBY	\N	\N
185011	627	1994-10-31	VYDAJ	VYBER	15	41615	SLUZBY	\N	\N
185012	627	1994-11-30	VYDAJ	VYBER	15	34904	SLUZBY	\N	\N
185013	627	1994-12-31	VYDAJ	VYBER	15	41390	SLUZBY	\N	\N
185014	627	1995-01-31	VYDAJ	VYBER	15	37168	SLUZBY	\N	\N
185015	627	1995-02-28	VYDAJ	VYBER	15	42060	SLUZBY	\N	\N
185016	627	1995-03-31	VYDAJ	VYBER	15	44769	SLUZBY	\N	\N
185017	627	1995-04-30	VYDAJ	VYBER	15	42360	SLUZBY	\N	\N
185018	627	1995-05-31	VYDAJ	VYBER	15	44672	SLUZBY	\N	\N
185019	627	1995-06-30	VYDAJ	VYBER	15	39145	SLUZBY	\N	\N
185020	627	1995-07-31	VYDAJ	VYBER	15	43142	SLUZBY	\N	\N
185021	627	1995-08-31	VYDAJ	VYBER	15	48057	SLUZBY	\N	\N
185022	627	1995-09-30	VYDAJ	VYBER	15	47885	SLUZBY	\N	\N
185023	627	1995-10-31	VYDAJ	VYBER	15	48012	SLUZBY	\N	\N
185024	627	1995-11-30	VYDAJ	VYBER	15	46236	SLUZBY	\N	\N
185025	627	1995-12-31	VYDAJ	VYBER	15	52843	SLUZBY	\N	\N
185026	627	1996-01-31	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
185027	627	1996-02-29	VYDAJ	VYBER	15	47674	SLUZBY	\N	\N
185028	627	1996-03-31	VYDAJ	VYBER	15	54906	SLUZBY	\N	\N
185029	627	1996-04-30	VYDAJ	VYBER	15	57060	SLUZBY	\N	\N
185030	627	1996-05-31	VYDAJ	VYBER	15	54904	SLUZBY	\N	\N
185031	627	1996-06-30	VYDAJ	VYBER	15	51001	SLUZBY	\N	\N
185032	627	1996-07-31	VYDAJ	VYBER	15	49117	SLUZBY	\N	\N
185033	627	1996-08-31	VYDAJ	VYBER	15	51642	SLUZBY	\N	\N
185034	627	1996-09-30	VYDAJ	VYBER	15	51660	SLUZBY	\N	\N
185035	627	1996-10-31	VYDAJ	VYBER	15	56800	SLUZBY	\N	\N
185036	627	1996-11-30	VYDAJ	VYBER	15	60056	SLUZBY	\N	\N
185037	627	1996-12-31	VYDAJ	VYBER	15	67409	SLUZBY	\N	\N
185038	627	1997-01-31	VYDAJ	VYBER	15	52461	SLUZBY	\N	\N
185039	627	1997-02-28	VYDAJ	VYBER	15	57098	SLUZBY	\N	\N
185040	627	1997-03-31	VYDAJ	VYBER	15	52436	SLUZBY	\N	\N
185041	627	1997-04-30	VYDAJ	VYBER	15	55962	SLUZBY	\N	\N
185042	627	1997-05-31	VYDAJ	VYBER	15	58209	SLUZBY	\N	\N
185043	627	1997-06-30	VYDAJ	VYBER	15	58328	SLUZBY	\N	\N
185044	627	1997-07-31	VYDAJ	VYBER	15	53968	SLUZBY	\N	\N
185045	627	1997-08-31	VYDAJ	VYBER	15	53382	SLUZBY	\N	\N
185046	627	1997-09-30	VYDAJ	VYBER	15	56716	SLUZBY	\N	\N
185047	627	1997-10-31	VYDAJ	VYBER	15	54852	SLUZBY	\N	\N
185048	627	1997-11-30	VYDAJ	VYBER	15	58789	SLUZBY	\N	\N
185049	627	1997-12-31	VYDAJ	VYBER	15	70062	SLUZBY	\N	\N
185050	627	1998-01-31	VYDAJ	VYBER	15	78068	SLUZBY	\N	\N
185051	627	1998-02-28	VYDAJ	VYBER	15	85304	SLUZBY	\N	\N
185052	627	1998-03-31	VYDAJ	VYBER	15	81597	SLUZBY	\N	\N
185053	627	1998-04-30	VYDAJ	VYBER	15	87751	SLUZBY	\N	\N
185054	627	1998-05-31	VYDAJ	VYBER	15	89818	SLUZBY	\N	\N
185055	627	1998-06-30	VYDAJ	VYBER	15	81160	SLUZBY	\N	\N
185056	627	1998-07-31	VYDAJ	VYBER	15	83899	SLUZBY	\N	\N
185057	627	1998-08-31	VYDAJ	VYBER	15	87750	SLUZBY	\N	\N
185058	627	1998-09-30	VYDAJ	VYBER	15	84003	SLUZBY	\N	\N
185059	627	1998-10-31	VYDAJ	VYBER	15	85153	SLUZBY	\N	\N
185060	627	1998-11-30	VYDAJ	VYBER	15	87900	SLUZBY	\N	\N
185061	627	1993-03-07	PRIJEM	VKLAD	700	23711	\N	\N	\N
185062	627	1993-04-06	VYDAJ	VYBER	10800	35420	\N	\N	\N
185063	627	1993-05-06	VYDAJ	VYBER	17700	40294	\N	\N	\N
185064	627	1993-06-05	VYDAJ	VYBER	18500	44397	\N	\N	\N
185065	627	1993-07-05	VYDAJ	VYBER	19600	46497	\N	\N	\N
185066	627	1993-08-04	VYDAJ	VYBER	15900	42241	\N	\N	\N
185067	627	1993-09-03	VYDAJ	VYBER	13100	43469	\N	\N	\N
185068	627	1993-10-03	VYDAJ	VYBER	13500	44299	\N	\N	\N
185069	627	1993-11-02	VYDAJ	VYBER	12900	41633	\N	\N	\N
185070	627	1993-12-02	VYDAJ	VYBER	12700	43255	\N	\N	\N
185071	627	1994-01-01	VYDAJ	VYBER	19200	48883	\N	\N	\N
185072	627	1994-01-31	VYDAJ	VYBER	10500	41317	\N	\N	\N
185073	627	1994-03-02	VYDAJ	VYBER	14900	40733	\N	\N	\N
185074	627	1994-04-01	VYDAJ	VYBER	14500	40553	\N	\N	\N
185075	627	1994-05-01	VYDAJ	VYBER	16600	38272	\N	\N	\N
185076	627	1994-05-31	VYDAJ	VYBER	14000	35980	\N	\N	\N
185077	627	1994-06-30	VYDAJ	VYBER	9100	31071	\N	\N	\N
185078	627	1994-07-30	VYDAJ	VYBER	9500	34877	\N	\N	\N
185079	627	1994-08-29	VYDAJ	VYBER	12200	36948	\N	\N	\N
185080	627	1994-09-28	VYDAJ	VYBER	11400	39835	\N	\N	\N
185081	627	1994-10-28	VYDAJ	VYBER	12700	41430	\N	\N	\N
185082	627	1994-11-27	VYDAJ	VYBER	4000	39436	\N	\N	\N
185083	627	1994-12-27	VYDAJ	VYBER	16200	44000	\N	\N	\N
185084	627	1995-01-26	VYDAJ	VYBER	6900	39011	\N	\N	\N
185085	627	1995-02-25	VYDAJ	VYBER	9400	41889	\N	\N	\N
185086	627	1995-03-27	VYDAJ	VYBER	10300	44581	\N	\N	\N
185087	627	1995-04-26	VYDAJ	VYBER	7900	42190	\N	\N	\N
185088	627	1995-05-26	VYDAJ	VYBER	10500	45981	\N	\N	\N
185089	627	1995-06-25	VYDAJ	VYBER	6000	38968	\N	\N	\N
185090	627	1995-07-25	VYDAJ	VYBER	5000	42966	\N	\N	\N
185091	627	1995-08-24	VYDAJ	VYBER	9400	47863	\N	\N	\N
185092	627	1995-09-23	VYDAJ	VYBER	14500	47678	\N	\N	\N
185093	627	1995-10-23	VYDAJ	VYBER	14200	47806	\N	\N	\N
185094	627	1995-11-22	VYDAJ	VYBER	16100	46033	\N	\N	\N
185095	627	1995-12-22	VYDAJ	VYBER	16500	52632	\N	\N	\N
185096	627	1996-01-21	VYDAJ	VYBER	10700	49464	\N	\N	\N
185097	627	1996-02-20	VYDAJ	VYBER	3200	47495	\N	\N	\N
185098	627	1996-03-21	VYDAJ	VYBER	7100	54695	\N	\N	\N
185099	627	1996-04-20	VYDAJ	VYBER	12200	56827	\N	\N	\N
185100	627	1996-05-20	VYDAJ	VYBER	13900	54681	\N	\N	\N
185101	627	1996-06-19	VYDAJ	VYBER	12700	50800	\N	\N	\N
185102	627	1996-07-19	VYDAJ	VYBER	10400	48922	\N	\N	\N
185103	627	1996-08-18	VYDAJ	VYBER	11800	51438	\N	\N	\N
185104	627	1996-09-17	VYDAJ	VYBER	10200	51463	\N	\N	\N
185105	627	1996-10-17	VYDAJ	VYBER	9200	56581	\N	\N	\N
185106	627	1996-11-16	VYDAJ	VYBER	11100	59821	\N	\N	\N
185107	627	1996-12-16	VYDAJ	VYBER	16600	67152	\N	\N	\N
185108	627	1997-01-15	VYDAJ	VYBER	13100	60530	\N	\N	\N
185109	627	1997-02-14	VYDAJ	VYBER	9700	56882	\N	\N	\N
185110	627	1997-03-16	VYDAJ	VYBER	12200	55319	\N	\N	\N
185111	627	1997-04-15	VYDAJ	VYBER	6900	55757	\N	\N	\N
185112	627	1997-05-15	VYDAJ	VYBER	12100	57983	\N	\N	\N
185113	627	1997-06-14	VYDAJ	VYBER	19400	58105	\N	\N	\N
185114	627	1997-07-14	VYDAJ	VYBER	18700	53749	\N	\N	\N
185115	627	1997-08-13	VYDAJ	VYBER	7000	53189	\N	\N	\N
185116	627	1997-09-12	VYDAJ	VYBER	11000	56503	\N	\N	\N
185117	627	1997-10-12	VYDAJ	VYBER	11900	58937	\N	\N	\N
185118	627	1997-11-11	VYDAJ	VYBER	9000	58573	\N	\N	\N
185119	627	1997-12-11	VYDAJ	VYBER	13300	70785	\N	\N	\N
185120	627	1998-01-10	PRIJEM	VKLAD	5500	58734	\N	\N	\N
185121	627	1998-02-09	VYDAJ	VYBER	5300	62640	\N	\N	\N
185122	627	1998-03-11	VYDAJ	VYBER	18200	81225	\N	\N	\N
185123	627	1998-04-10	VYDAJ	VYBER	8300	65069	\N	\N	\N
185124	627	1998-05-10	VYDAJ	VYBER	12400	67123	\N	\N	\N
185125	627	1998-06-09	VYDAJ	VYBER	13000	68590	\N	\N	\N
185126	627	1998-07-09	VYDAJ	VYBER	11700	61232	\N	\N	\N
185127	627	1998-08-08	VYDAJ	VYBER	10600	65071	\N	\N	\N
185128	627	1998-09-07	VYDAJ	VYBER	13600	65922	\N	\N	\N
185129	627	1998-10-07	VYDAJ	VYBER	9700	66075	\N	\N	\N
185130	627	1998-11-06	VYDAJ	VYBER	11700	65225	\N	\N	\N
185131	627	1998-12-06	VYDAJ	VYBER	12300	67372	\N	\N	\N
185203	628	1994-01-03	PRIJEM	VKLAD	700	700	\N	\N	\N
185204	628	1994-01-08	PRIJEM	VKLAD	4543	5243	\N	\N	\N
185205	628	1994-02-08	PRIJEM	VKLAD	4543	17203	\N	\N	\N
185206	628	1994-03-08	PRIJEM	VKLAD	4543	24705	\N	\N	\N
185207	628	1994-04-08	PRIJEM	VKLAD	4543	31544	\N	\N	\N
185208	628	1994-05-08	PRIJEM	VKLAD	4543	34512	\N	\N	\N
185209	628	1994-06-08	PRIJEM	VKLAD	6815	36274	\N	\N	\N
185210	628	1994-07-08	PRIJEM	VKLAD	4543	33513	\N	\N	\N
185211	628	1994-08-08	PRIJEM	VKLAD	4543	33545	\N	\N	\N
185212	628	1994-09-08	PRIJEM	VKLAD	4543	34874	\N	\N	\N
185213	628	1994-10-08	PRIJEM	VKLAD	4543	33103	\N	\N	\N
185214	628	1994-11-08	PRIJEM	VKLAD	4543	32120	\N	\N	\N
185215	628	1994-12-08	PRIJEM	VKLAD	6815	35714	\N	\N	\N
185216	628	1995-01-08	PRIJEM	VKLAD	4543	28666	\N	\N	\N
185217	628	1995-02-08	PRIJEM	VKLAD	4543	30470	\N	\N	\N
185218	628	1995-03-08	PRIJEM	VKLAD	4543	26902	\N	\N	\N
185219	628	1995-04-08	PRIJEM	VKLAD	4543	28307	\N	\N	\N
185220	628	1995-05-08	PRIJEM	VKLAD	4543	29610	\N	\N	\N
185221	628	1995-06-08	PRIJEM	VKLAD	6815	34891	\N	\N	\N
185222	628	1995-07-08	PRIJEM	VKLAD	4543	33815	\N	\N	\N
185223	628	1995-08-08	PRIJEM	VKLAD	4543	32959	\N	\N	\N
185224	628	1995-09-08	PRIJEM	VKLAD	4543	32980	\N	\N	\N
185225	628	1995-10-08	PRIJEM	VKLAD	4543	32020	\N	\N	\N
185226	628	1995-11-08	PRIJEM	VKLAD	4543	37542	\N	\N	\N
185227	628	1995-12-08	PRIJEM	VKLAD	6815	39152	\N	\N	\N
185228	628	1996-01-08	PRIJEM	VKLAD	4543	39534	\N	\N	\N
185229	628	1996-02-08	PRIJEM	VKLAD	4543	40483	\N	\N	\N
185230	628	1996-03-08	PRIJEM	VKLAD	4543	38932	\N	\N	\N
185231	628	1996-04-08	PRIJEM	VKLAD	4543	33214	\N	\N	\N
185232	628	1996-05-08	PRIJEM	VKLAD	4543	31115	\N	\N	\N
185233	628	1996-06-08	PRIJEM	VKLAD	6815	38105	\N	\N	\N
185234	628	1996-07-08	PRIJEM	VKLAD	4543	36940	\N	\N	\N
185235	628	1996-08-08	PRIJEM	VKLAD	4543	39580	\N	\N	\N
185236	628	1996-09-08	PRIJEM	VKLAD	4543	34357	\N	\N	\N
185237	628	1996-10-08	PRIJEM	VKLAD	4543	38229	\N	\N	\N
185238	628	1996-11-08	PRIJEM	VKLAD	4543	37368	\N	\N	\N
185239	628	1996-12-08	PRIJEM	VKLAD	6815	40879	\N	\N	\N
185240	628	1997-01-08	PRIJEM	VKLAD	4543	39081	\N	\N	\N
185241	628	1997-02-08	PRIJEM	VKLAD	4543	36398	\N	\N	\N
185242	628	1997-03-08	PRIJEM	VKLAD	4543	36130	\N	\N	\N
185243	628	1997-04-08	PRIJEM	VKLAD	4543	40570	\N	\N	\N
185244	628	1997-05-08	PRIJEM	VKLAD	4543	37112	\N	\N	\N
185245	628	1997-06-08	PRIJEM	VKLAD	6815	35030	\N	\N	\N
185246	628	1997-07-08	PRIJEM	VKLAD	4543	32792	\N	\N	\N
185247	628	1997-08-08	PRIJEM	VKLAD	4543	31325	\N	\N	\N
185248	628	1997-09-08	PRIJEM	VKLAD	4543	35589	\N	\N	\N
185249	628	1997-10-08	PRIJEM	VKLAD	4543	39733	\N	\N	\N
185250	628	1997-11-08	PRIJEM	VKLAD	4543	45592	\N	\N	\N
185251	628	1997-12-08	PRIJEM	VKLAD	6815	49638	\N	\N	\N
185252	628	1998-01-08	PRIJEM	VKLAD	4543	46440	\N	\N	\N
185253	628	1998-02-08	PRIJEM	VKLAD	4543	42137	\N	\N	\N
185254	628	1998-03-08	PRIJEM	VKLAD	4543	43503	\N	\N	\N
185255	628	1998-04-08	PRIJEM	VKLAD	4543	40060	\N	\N	\N
185256	628	1998-05-08	PRIJEM	VKLAD	4543	44718	\N	\N	\N
185257	628	1998-06-08	PRIJEM	VKLAD	6815	45552	\N	\N	\N
185258	628	1998-07-08	PRIJEM	VKLAD	4543	38641	\N	\N	\N
185259	628	1998-08-08	PRIJEM	VKLAD	4543	40788	\N	\N	\N
185260	628	1998-09-08	PRIJEM	VKLAD	4543	38312	\N	\N	\N
185261	628	1998-10-08	PRIJEM	VKLAD	4543	36548	\N	\N	\N
185262	628	1998-11-08	PRIJEM	VKLAD	4543	37784	\N	\N	\N
185263	628	1998-12-08	PRIJEM	VKLAD	6815	35464	\N	\N	\N
185268	628	1994-05-14	VYDAJ	PREVOD NA UCET	3028	31484	SIPO	YZ	24106633
185269	628	1994-06-14	VYDAJ	PREVOD NA UCET	3028	33246	SIPO	YZ	24106633
185270	628	1994-07-14	VYDAJ	PREVOD NA UCET	3028	30485	SIPO	YZ	24106633
185271	628	1994-08-14	VYDAJ	PREVOD NA UCET	3028	30517	SIPO	YZ	24106633
185272	628	1994-09-14	VYDAJ	PREVOD NA UCET	3028	31846	SIPO	YZ	24106633
185273	628	1994-10-14	VYDAJ	PREVOD NA UCET	3028	30075	SIPO	YZ	24106633
185274	628	1994-11-14	VYDAJ	PREVOD NA UCET	3028	29092	SIPO	YZ	24106633
185275	628	1994-12-14	VYDAJ	PREVOD NA UCET	3028	24926	SIPO	YZ	24106633
185276	628	1995-01-14	VYDAJ	PREVOD NA UCET	3028	25638	SIPO	YZ	24106633
185277	628	1995-02-14	VYDAJ	PREVOD NA UCET	3028	27442	SIPO	YZ	24106633
185278	628	1995-03-14	VYDAJ	PREVOD NA UCET	3028	23874	SIPO	YZ	24106633
185279	628	1995-04-14	VYDAJ	PREVOD NA UCET	3028	25279	SIPO	YZ	24106633
185280	628	1995-05-14	VYDAJ	PREVOD NA UCET	3028	26582	SIPO	YZ	24106633
185281	628	1995-06-14	VYDAJ	PREVOD NA UCET	3028	31863	SIPO	YZ	24106633
185282	628	1995-07-14	VYDAJ	PREVOD NA UCET	3028	30787	SIPO	YZ	24106633
185283	628	1995-08-14	VYDAJ	PREVOD NA UCET	3028	29931	SIPO	YZ	24106633
185284	628	1995-09-14	VYDAJ	PREVOD NA UCET	3028	29952	SIPO	YZ	24106633
185285	628	1995-10-14	VYDAJ	PREVOD NA UCET	3028	28992	SIPO	YZ	24106633
185286	628	1995-11-14	VYDAJ	PREVOD NA UCET	3028	34514	SIPO	YZ	24106633
185287	628	1995-12-14	VYDAJ	PREVOD NA UCET	3028	36124	SIPO	YZ	24106633
185288	628	1996-01-14	VYDAJ	PREVOD NA UCET	3028	36506	SIPO	YZ	24106633
185289	628	1996-02-14	VYDAJ	PREVOD NA UCET	3028	37455	SIPO	YZ	24106633
185290	628	1996-03-14	VYDAJ	PREVOD NA UCET	3028	35904	SIPO	YZ	24106633
185291	628	1996-04-14	VYDAJ	PREVOD NA UCET	3028	30186	SIPO	YZ	24106633
185292	628	1996-05-14	VYDAJ	PREVOD NA UCET	3028	28087	SIPO	YZ	24106633
185293	628	1996-06-14	VYDAJ	PREVOD NA UCET	3028	35077	SIPO	YZ	24106633
185294	628	1996-07-14	VYDAJ	PREVOD NA UCET	3028	33912	SIPO	YZ	24106633
185295	628	1996-08-14	VYDAJ	PREVOD NA UCET	3028	30792	SIPO	YZ	24106633
185296	628	1996-09-14	VYDAJ	PREVOD NA UCET	3028	29769	SIPO	YZ	24106633
185297	628	1996-10-14	VYDAJ	PREVOD NA UCET	3028	35201	SIPO	YZ	24106633
185298	628	1996-11-14	VYDAJ	PREVOD NA UCET	3028	34340	SIPO	YZ	24106633
185299	628	1996-12-14	VYDAJ	PREVOD NA UCET	3028	35451	SIPO	YZ	24106633
185300	628	1997-01-14	VYDAJ	PREVOD NA UCET	3028	32933	SIPO	YZ	24106633
185301	628	1997-02-14	VYDAJ	PREVOD NA UCET	3028	33370	SIPO	YZ	24106633
185302	628	1997-03-14	VYDAJ	PREVOD NA UCET	3028	33102	SIPO	YZ	24106633
185303	628	1997-04-14	VYDAJ	PREVOD NA UCET	3028	37542	SIPO	YZ	24106633
185304	628	1997-05-14	VYDAJ	PREVOD NA UCET	3028	31204	SIPO	YZ	24106633
185305	628	1997-06-14	VYDAJ	PREVOD NA UCET	3028	32002	SIPO	YZ	24106633
185306	628	1997-07-14	VYDAJ	PREVOD NA UCET	3028	22684	SIPO	YZ	24106633
185307	628	1997-08-14	VYDAJ	PREVOD NA UCET	3028	28297	SIPO	YZ	24106633
185308	628	1997-09-14	VYDAJ	PREVOD NA UCET	3028	35061	SIPO	YZ	24106633
185309	628	1997-10-14	VYDAJ	PREVOD NA UCET	3028	40905	SIPO	YZ	24106633
185310	628	1997-11-14	VYDAJ	PREVOD NA UCET	3028	42664	SIPO	YZ	24106633
185311	628	1997-12-14	VYDAJ	PREVOD NA UCET	3028	45410	SIPO	YZ	24106633
185312	628	1998-01-14	VYDAJ	PREVOD NA UCET	3028	41512	SIPO	YZ	24106633
185313	628	1998-02-14	VYDAJ	PREVOD NA UCET	3028	38809	SIPO	YZ	24106633
185314	628	1998-03-14	VYDAJ	PREVOD NA UCET	3028	38975	SIPO	YZ	24106633
185315	628	1998-04-14	VYDAJ	PREVOD NA UCET	3028	40032	SIPO	YZ	24106633
185316	628	1998-05-14	VYDAJ	PREVOD NA UCET	3028	38590	SIPO	YZ	24106633
185317	628	1998-06-14	VYDAJ	PREVOD NA UCET	3028	39724	SIPO	YZ	24106633
185318	628	1998-07-14	VYDAJ	PREVOD NA UCET	3028	36113	SIPO	YZ	24106633
185319	628	1998-08-14	VYDAJ	PREVOD NA UCET	3028	34360	SIPO	YZ	24106633
185320	628	1998-09-14	VYDAJ	PREVOD NA UCET	3028	31884	SIPO	YZ	24106633
185321	628	1998-10-14	VYDAJ	PREVOD NA UCET	3028	33120	SIPO	YZ	24106633
185322	628	1998-11-14	VYDAJ	PREVOD NA UCET	3028	28536	SIPO	YZ	24106633
185323	628	1998-12-14	VYDAJ	PREVOD NA UCET	3028	33236	SIPO	YZ	24106633
185324	628	1994-12-08	VYDAJ	VYBER	2720	32994	\N	\N	\N
185325	628	1995-12-19	VYDAJ	VYBER	960	35164	\N	\N	\N
185326	628	1996-12-12	VYDAJ	VYBER	2400	38479	\N	\N	\N
185327	628	1997-12-25	VYDAJ	VYBER	1760	43650	\N	\N	\N
185328	628	1998-12-16	VYDAJ	VYBER	4640	28596	\N	\N	\N
185330	628	1994-08-15	VYDAJ	VYBER	600	29917	\N	\N	\N
185331	628	1994-12-09	VYDAJ	VYBER	5040	27954	\N	\N	\N
185333	628	1994-09-28	VYDAJ	VYBER	4200	27646	\N	\N	\N
185334	628	1994-10-17	VYDAJ	VYBER	3240	26835	\N	\N	\N
185335	628	1994-05-15	VYDAJ	VYBER	1440	30044	\N	\N	\N
185336	628	1994-11-03	VYDAJ	VYBER	960	27577	\N	\N	\N
185337	628	1995-07-24	VYDAJ	VYBER	1080	29707	\N	\N	\N
185338	628	1995-03-03	VYDAJ	VYBER	5280	22359	\N	\N	\N
185339	628	1995-09-26	VYDAJ	VYBER	1680	27372	\N	\N	\N
185340	628	1996-04-03	VYDAJ	VYBER	3360	28671	\N	\N	\N
185341	628	1996-12-14	VYDAJ	VYBER	2640	32811	\N	\N	\N
185342	628	1996-08-29	VYDAJ	VYBER	4200	29692	\N	\N	\N
185343	628	1996-08-09	VYDAJ	VYBER	5760	33820	\N	\N	\N
185344	628	1996-04-16	VYDAJ	VYBER	4920	25266	\N	\N	\N
185345	628	1996-09-10	VYDAJ	VYBER	1560	32797	\N	\N	\N
185346	628	1997-05-10	VYDAJ	VYBER	2880	34232	\N	\N	\N
185347	628	1997-07-13	VYDAJ	VYBER	1920	25712	\N	\N	\N
185348	628	1997-07-08	VYDAJ	VYBER	5160	27632	\N	\N	\N
185349	628	1997-08-27	VYDAJ	VYBER	2760	30937	\N	\N	\N
185350	628	1997-07-04	VYDAJ	VYBER	2160	28249	\N	\N	\N
185351	628	1997-01-11	VYDAJ	VYBER	3120	35961	\N	\N	\N
185352	628	1998-03-24	VYDAJ	VYBER	3600	35375	\N	\N	\N
185353	628	1998-01-07	VYDAJ	VYBER	1920	41897	\N	\N	\N
185354	628	1998-02-03	VYDAJ	VYBER	4080	37594	\N	\N	\N
185355	628	1998-09-04	VYDAJ	VYBER	720	33769	\N	\N	\N
185356	628	1998-11-08	VYDAJ	VYBER	5520	31564	\N	\N	\N
185357	628	1998-06-14	VYDAJ	VYBER	5760	33964	\N	\N	\N
185363	628	1994-05-31	VYDAJ	VYBER	15	30160	SLUZBY	\N	\N
185364	628	1994-06-30	VYDAJ	VYBER	15	33370	SLUZBY	\N	\N
185365	628	1994-07-31	VYDAJ	VYBER	15	30602	SLUZBY	\N	\N
185366	628	1994-08-31	VYDAJ	VYBER	15	30331	SLUZBY	\N	\N
185367	628	1994-09-30	VYDAJ	VYBER	15	28560	SLUZBY	\N	\N
185368	628	1994-10-31	VYDAJ	VYBER	15	28537	SLUZBY	\N	\N
185369	628	1994-11-30	VYDAJ	VYBER	15	28900	SLUZBY	\N	\N
185370	628	1994-12-31	VYDAJ	VYBER	15	24123	SLUZBY	\N	\N
185371	628	1995-01-31	VYDAJ	VYBER	15	25927	SLUZBY	\N	\N
185372	628	1995-02-28	VYDAJ	VYBER	15	27639	SLUZBY	\N	\N
185373	628	1995-03-31	VYDAJ	VYBER	15	23764	SLUZBY	\N	\N
185374	628	1995-04-30	VYDAJ	VYBER	15	25067	SLUZBY	\N	\N
185375	628	1995-05-31	VYDAJ	VYBER	15	28076	SLUZBY	\N	\N
185376	628	1995-06-30	VYDAJ	VYBER	15	29272	SLUZBY	\N	\N
185377	628	1995-07-31	VYDAJ	VYBER	15	28416	SLUZBY	\N	\N
185378	628	1995-08-31	VYDAJ	VYBER	15	28437	SLUZBY	\N	\N
185379	628	1995-09-30	VYDAJ	VYBER	15	27477	SLUZBY	\N	\N
185380	628	1995-10-31	VYDAJ	VYBER	15	32999	SLUZBY	\N	\N
185381	628	1995-11-30	VYDAJ	VYBER	15	32338	SLUZBY	\N	\N
185382	628	1995-12-31	VYDAJ	VYBER	15	34991	SLUZBY	\N	\N
185383	628	1996-01-31	VYDAJ	VYBER	15	35940	SLUZBY	\N	\N
185384	628	1996-02-29	VYDAJ	VYBER	15	34389	SLUZBY	\N	\N
185385	628	1996-03-31	VYDAJ	VYBER	15	32031	SLUZBY	\N	\N
185386	628	1996-04-30	VYDAJ	VYBER	15	26572	SLUZBY	\N	\N
185387	628	1996-05-31	VYDAJ	VYBER	15	31290	SLUZBY	\N	\N
185388	628	1996-06-30	VYDAJ	VYBER	15	32397	SLUZBY	\N	\N
185389	628	1996-07-31	VYDAJ	VYBER	15	35037	SLUZBY	\N	\N
185390	628	1996-08-31	VYDAJ	VYBER	15	29814	SLUZBY	\N	\N
185391	628	1996-09-30	VYDAJ	VYBER	15	33686	SLUZBY	\N	\N
185392	628	1996-10-31	VYDAJ	VYBER	15	32825	SLUZBY	\N	\N
185393	628	1996-11-30	VYDAJ	VYBER	15	34064	SLUZBY	\N	\N
185394	628	1996-12-31	VYDAJ	VYBER	15	34538	SLUZBY	\N	\N
185395	628	1997-01-31	VYDAJ	VYBER	15	31855	SLUZBY	\N	\N
185396	628	1997-02-28	VYDAJ	VYBER	15	31587	SLUZBY	\N	\N
185397	628	1997-03-31	VYDAJ	VYBER	15	36027	SLUZBY	\N	\N
185398	628	1997-04-30	VYDAJ	VYBER	15	32569	SLUZBY	\N	\N
185399	628	1997-05-31	VYDAJ	VYBER	15	28215	SLUZBY	\N	\N
185400	628	1997-06-30	VYDAJ	VYBER	15	30409	SLUZBY	\N	\N
185401	628	1997-07-31	VYDAJ	VYBER	15	26782	SLUZBY	\N	\N
185402	628	1997-08-31	VYDAJ	VYBER	15	31046	SLUZBY	\N	\N
185403	628	1997-09-30	VYDAJ	VYBER	15	35190	SLUZBY	\N	\N
185404	628	1997-10-31	VYDAJ	VYBER	15	41049	SLUZBY	\N	\N
185405	628	1997-11-30	VYDAJ	VYBER	15	42823	SLUZBY	\N	\N
185406	628	1997-12-31	VYDAJ	VYBER	15	43817	SLUZBY	\N	\N
185407	628	1998-01-31	VYDAJ	VYBER	15	41674	SLUZBY	\N	\N
185408	628	1998-02-28	VYDAJ	VYBER	15	38960	SLUZBY	\N	\N
185409	628	1998-03-31	VYDAJ	VYBER	15	35517	SLUZBY	\N	\N
185410	628	1998-04-30	VYDAJ	VYBER	15	40175	SLUZBY	\N	\N
185411	628	1998-05-31	VYDAJ	VYBER	15	38737	SLUZBY	\N	\N
185412	628	1998-06-30	VYDAJ	VYBER	15	34098	SLUZBY	\N	\N
185413	628	1998-07-31	VYDAJ	VYBER	15	36245	SLUZBY	\N	\N
185414	628	1998-08-31	VYDAJ	VYBER	15	34489	SLUZBY	\N	\N
185415	628	1998-09-30	VYDAJ	VYBER	15	32005	SLUZBY	\N	\N
185416	628	1998-10-31	VYDAJ	VYBER	15	33241	SLUZBY	\N	\N
185417	628	1998-11-30	VYDAJ	VYBER	15	28649	SLUZBY	\N	\N
185418	628	1994-02-02	PRIJEM	VKLAD	7400	12660	\N	\N	\N
185419	628	1994-03-04	PRIJEM	VKLAD	2900	20162	\N	\N	\N
185420	628	1994-04-03	PRIJEM	VKLAD	2200	27001	\N	\N	\N
185421	628	1994-05-03	VYDAJ	VYBER	1700	29969	\N	\N	\N
185422	628	1994-06-02	VYDAJ	VYBER	700	29460	\N	\N	\N
185423	628	1994-07-02	VYDAJ	VYBER	4400	28970	\N	\N	\N
185424	628	1994-08-01	VYDAJ	VYBER	1600	29002	\N	\N	\N
185425	628	1994-08-31	PRIJEM	VKLAD	300	30345	\N	\N	\N
185426	628	1994-09-30	PRIJEM	VKLAD	800	28574	\N	\N	\N
185427	628	1994-10-30	PRIJEM	VKLAD	1600	28435	\N	\N	\N
185428	628	1994-11-29	VYDAJ	VYBER	300	28792	\N	\N	\N
185429	628	1994-12-29	VYDAJ	VYBER	900	24026	\N	\N	\N
185430	628	1995-01-28	PRIJEM	VKLAD	200	25838	\N	\N	\N
185431	628	1995-02-27	PRIJEM	VKLAD	100	27542	\N	\N	\N
185432	628	1995-03-29	VYDAJ	VYBER	200	23674	\N	\N	\N
185433	628	1995-04-28	VYDAJ	VYBER	300	24979	\N	\N	\N
185434	628	1995-05-28	PRIJEM	VKLAD	1400	27982	\N	\N	\N
185435	628	1995-06-27	VYDAJ	VYBER	2700	29163	\N	\N	\N
185436	628	1995-07-27	VYDAJ	VYBER	1400	28307	\N	\N	\N
185437	628	1995-08-26	VYDAJ	VYBER	1600	28331	\N	\N	\N
185438	628	1995-09-25	VYDAJ	VYBER	900	29052	\N	\N	\N
185439	628	1995-10-25	PRIJEM	VKLAD	3900	32892	\N	\N	\N
185440	628	1995-11-24	VYDAJ	VYBER	2300	32214	\N	\N	\N
185441	628	1995-12-24	VYDAJ	VYBER	300	34864	\N	\N	\N
185442	628	1996-01-23	VYDAJ	VYBER	700	35806	\N	\N	\N
185443	628	1996-02-22	VYDAJ	VYBER	3200	34255	\N	\N	\N
185444	628	1996-03-23	VYDAJ	VYBER	4000	31904	\N	\N	\N
185445	628	1996-04-22	PRIJEM	VKLAD	1200	26466	\N	\N	\N
185446	628	1996-05-22	PRIJEM	VKLAD	3100	31187	\N	\N	\N
185447	628	1996-06-21	VYDAJ	VYBER	2800	32277	\N	\N	\N
185448	628	1996-07-21	PRIJEM	VKLAD	1000	34912	\N	\N	\N
185449	628	1996-08-20	PRIJEM	VKLAD	3100	33892	\N	\N	\N
185450	628	1996-09-19	PRIJEM	VKLAD	3800	33569	\N	\N	\N
185451	628	1996-10-19	VYDAJ	VYBER	2500	32701	\N	\N	\N
185452	628	1996-11-18	VYDAJ	VYBER	400	33940	\N	\N	\N
185453	628	1996-12-18	PRIJEM	VKLAD	1600	34411	\N	\N	\N
185454	628	1997-01-17	VYDAJ	VYBER	1200	31733	\N	\N	\N
185455	628	1997-02-16	VYDAJ	VYBER	1900	31470	\N	\N	\N
185456	628	1997-03-18	PRIJEM	VKLAD	2800	35902	\N	\N	\N
185457	628	1997-04-17	VYDAJ	VYBER	5100	32442	\N	\N	\N
185458	628	1997-05-17	VYDAJ	VYBER	3100	28104	\N	\N	\N
185459	628	1997-06-16	VYDAJ	VYBER	1700	30302	\N	\N	\N
185460	628	1997-07-16	PRIJEM	VKLAD	4000	26684	\N	\N	\N
185461	628	1997-08-15	PRIJEM	VKLAD	5400	33697	\N	\N	\N
185462	628	1997-09-14	PRIJEM	VKLAD	2500	38089	\N	\N	\N
185463	628	1997-10-14	PRIJEM	VKLAD	4200	43933	\N	\N	\N
185464	628	1997-11-13	PRIJEM	VKLAD	100	45692	\N	\N	\N
185465	628	1997-12-13	VYDAJ	VYBER	1200	48438	\N	\N	\N
185466	628	1998-01-12	VYDAJ	VYBER	1900	44540	\N	\N	\N
185467	628	1998-02-11	VYDAJ	VYBER	300	41837	\N	\N	\N
185468	628	1998-03-13	VYDAJ	VYBER	1500	42003	\N	\N	\N
185469	628	1998-04-12	PRIJEM	VKLAD	3000	43060	\N	\N	\N
185470	628	1998-05-12	VYDAJ	VYBER	3100	41618	\N	\N	\N
185471	628	1998-06-11	VYDAJ	VYBER	2800	42752	\N	\N	\N
185472	628	1998-07-11	PRIJEM	VKLAD	500	39141	\N	\N	\N
185473	628	1998-08-10	VYDAJ	VYBER	3400	37388	\N	\N	\N
185474	628	1998-09-09	VYDAJ	VYBER	3400	34912	\N	\N	\N
185475	628	1998-10-09	VYDAJ	VYBER	400	36148	\N	\N	\N
185476	628	1998-11-08	VYDAJ	VYBER	700	37084	\N	\N	\N
185477	628	1998-12-08	PRIJEM	VKLAD	800	36264	\N	\N	\N
185538	629	1994-07-25	PRIJEM	VKLAD	500	500	\N	\N	\N
185546	629	1994-08-10	PRIJEM	PREVOD Z UCTU	4721	5221	DUCHOD	QR	21938950
185547	629	1994-09-10	PRIJEM	PREVOD Z UCTU	4721	9942	DUCHOD	QR	21938950
185548	629	1994-10-10	PRIJEM	PREVOD Z UCTU	4721	14663	DUCHOD	QR	21938950
185549	629	1994-11-10	PRIJEM	PREVOD Z UCTU	4721	19384	DUCHOD	QR	21938950
185550	629	1994-12-10	PRIJEM	PREVOD Z UCTU	4721	24105	DUCHOD	QR	21938950
185551	629	1995-01-10	PRIJEM	PREVOD Z UCTU	4721	18644	DUCHOD	QR	21938950
185552	629	1995-02-10	PRIJEM	PREVOD Z UCTU	4721	14552	DUCHOD	QR	21938950
185553	629	1995-03-10	PRIJEM	PREVOD Z UCTU	4721	16609	DUCHOD	QR	21938950
185554	629	1995-04-10	PRIJEM	PREVOD Z UCTU	4721	18675	DUCHOD	QR	21938950
185555	629	1995-05-10	PRIJEM	PREVOD Z UCTU	4721	20148	DUCHOD	QR	21938950
185556	629	1995-06-10	PRIJEM	PREVOD Z UCTU	4721	22229	DUCHOD	QR	21938950
185557	629	1995-07-10	PRIJEM	PREVOD Z UCTU	4721	14495	DUCHOD	QR	21938950
185558	629	1995-08-10	PRIJEM	PREVOD Z UCTU	4721	15107	DUCHOD	QR	21938950
185559	629	1995-09-10	PRIJEM	PREVOD Z UCTU	4721	17167	DUCHOD	QR	21938950
185560	629	1995-10-10	PRIJEM	PREVOD Z UCTU	4721	17311	DUCHOD	QR	21938950
185561	629	1995-11-10	PRIJEM	PREVOD Z UCTU	4721	19379	DUCHOD	QR	21938950
185562	629	1995-12-10	PRIJEM	PREVOD Z UCTU	4721	20555	DUCHOD	QR	21938950
185563	629	1996-01-10	PRIJEM	PREVOD Z UCTU	4721	17183	DUCHOD	QR	21938950
185564	629	1996-02-10	PRIJEM	PREVOD Z UCTU	4721	14680	DUCHOD	QR	21938950
185565	629	1996-03-10	PRIJEM	PREVOD Z UCTU	4721	14032	DUCHOD	QR	21938950
185566	629	1996-04-10	PRIJEM	PREVOD Z UCTU	4721	16087	DUCHOD	QR	21938950
185567	629	1996-05-10	PRIJEM	PREVOD Z UCTU	4721	16547	DUCHOD	QR	21938950
185568	629	1996-06-10	PRIJEM	PREVOD Z UCTU	4721	16307	DUCHOD	QR	21938950
185569	629	1996-07-10	PRIJEM	PREVOD Z UCTU	4721	14763	DUCHOD	QR	21938950
185570	629	1996-08-10	PRIJEM	PREVOD Z UCTU	4721	12911	DUCHOD	QR	21938950
185571	629	1996-09-10	PRIJEM	PREVOD Z UCTU	4721	14561	DUCHOD	QR	21938950
185572	629	1996-10-10	PRIJEM	PREVOD Z UCTU	4721	15615	DUCHOD	QR	21938950
185573	629	1996-11-10	PRIJEM	PREVOD Z UCTU	4721	15833	DUCHOD	QR	21938950
185574	629	1996-12-10	PRIJEM	PREVOD Z UCTU	4721	14185	DUCHOD	QR	21938950
185575	629	1997-01-10	PRIJEM	PREVOD Z UCTU	4721	13834	DUCHOD	QR	21938950
185576	629	1997-02-10	PRIJEM	PREVOD Z UCTU	4721	15388	DUCHOD	QR	21938950
185577	629	1997-03-10	PRIJEM	PREVOD Z UCTU	4721	17448	DUCHOD	QR	21938950
185578	629	1997-04-10	PRIJEM	PREVOD Z UCTU	4721	18313	DUCHOD	QR	21938950
185579	629	1997-05-10	PRIJEM	PREVOD Z UCTU	4721	19282	DUCHOD	QR	21938950
185580	629	1997-06-10	PRIJEM	PREVOD Z UCTU	4721	20259	DUCHOD	QR	21938950
185581	629	1997-07-10	PRIJEM	PREVOD Z UCTU	4721	20258	DUCHOD	QR	21938950
185582	629	1997-08-10	PRIJEM	PREVOD Z UCTU	4721	22339	DUCHOD	QR	21938950
185583	629	1997-09-10	PRIJEM	PREVOD Z UCTU	4721	22828	DUCHOD	QR	21938950
185584	629	1997-10-10	PRIJEM	PREVOD Z UCTU	4721	24038	DUCHOD	QR	21938950
185585	629	1997-11-10	PRIJEM	PREVOD Z UCTU	4721	26135	DUCHOD	QR	21938950
185586	629	1997-12-10	PRIJEM	PREVOD Z UCTU	4721	22699	DUCHOD	QR	21938950
185587	629	1998-01-10	PRIJEM	PREVOD Z UCTU	4721	22552	DUCHOD	QR	21938950
185588	629	1998-02-10	PRIJEM	PREVOD Z UCTU	4721	16972	DUCHOD	QR	21938950
185589	629	1998-03-10	PRIJEM	PREVOD Z UCTU	4721	17538	DUCHOD	QR	21938950
185590	629	1998-04-10	PRIJEM	PREVOD Z UCTU	4721	18008	DUCHOD	QR	21938950
185591	629	1998-05-10	PRIJEM	PREVOD Z UCTU	4721	18680	DUCHOD	QR	21938950
185592	629	1998-06-10	PRIJEM	PREVOD Z UCTU	4721	16188	DUCHOD	QR	21938950
185593	629	1998-07-10	PRIJEM	PREVOD Z UCTU	4721	18252	DUCHOD	QR	21938950
185594	629	1998-08-10	PRIJEM	PREVOD Z UCTU	4721	19844	DUCHOD	QR	21938950
185595	629	1998-09-10	PRIJEM	PREVOD Z UCTU	4721	21521	DUCHOD	QR	21938950
185596	629	1998-10-10	PRIJEM	PREVOD Z UCTU	4721	23606	DUCHOD	QR	21938950
185597	629	1998-11-10	PRIJEM	PREVOD Z UCTU	4721	25700	DUCHOD	QR	21938950
185598	629	1998-12-10	PRIJEM	PREVOD Z UCTU	4721	27803	DUCHOD	QR	21938950
185611	629	1995-01-09	VYDAJ	PREVOD NA UCET	1207	13923	SIPO	QR	91464036
185612	629	1995-02-09	VYDAJ	PREVOD NA UCET	1207	9831	SIPO	QR	91464036
185613	629	1995-03-09	VYDAJ	PREVOD NA UCET	1207	11888	SIPO	QR	91464036
185614	629	1995-04-09	VYDAJ	PREVOD NA UCET	1207	13954	SIPO	QR	91464036
185615	629	1995-05-09	VYDAJ	PREVOD NA UCET	1207	15427	SIPO	QR	91464036
185616	629	1995-06-09	VYDAJ	PREVOD NA UCET	1207	17508	SIPO	QR	91464036
185617	629	1995-07-09	VYDAJ	PREVOD NA UCET	1207	9774	SIPO	QR	91464036
185618	629	1995-08-09	VYDAJ	PREVOD NA UCET	1207	10386	SIPO	QR	91464036
185619	629	1995-09-09	VYDAJ	PREVOD NA UCET	1207	12446	SIPO	QR	91464036
185620	629	1995-10-09	VYDAJ	PREVOD NA UCET	1207	12590	SIPO	QR	91464036
185621	629	1995-11-09	VYDAJ	PREVOD NA UCET	1207	14658	SIPO	QR	91464036
185622	629	1995-12-09	VYDAJ	PREVOD NA UCET	1207	15834	SIPO	QR	91464036
185623	629	1996-01-09	VYDAJ	PREVOD NA UCET	1207	12462	SIPO	QR	91464036
185624	629	1996-02-09	VYDAJ	PREVOD NA UCET	1207	9959	SIPO	QR	91464036
185625	629	1996-03-09	VYDAJ	PREVOD NA UCET	1207	9311	SIPO	QR	91464036
185626	629	1996-04-09	VYDAJ	PREVOD NA UCET	1207	11366	SIPO	QR	91464036
185627	629	1996-05-09	VYDAJ	PREVOD NA UCET	1207	11826	SIPO	QR	91464036
185628	629	1996-06-09	VYDAJ	PREVOD NA UCET	1207	11586	SIPO	QR	91464036
185629	629	1996-07-09	VYDAJ	PREVOD NA UCET	1207	10042	SIPO	QR	91464036
185630	629	1996-08-09	VYDAJ	PREVOD NA UCET	1207	8190	SIPO	QR	91464036
185631	629	1996-09-09	VYDAJ	PREVOD NA UCET	1207	9840	SIPO	QR	91464036
185632	629	1996-10-09	VYDAJ	PREVOD NA UCET	1207	10894	SIPO	QR	91464036
185633	629	1996-11-09	VYDAJ	PREVOD NA UCET	1207	11112	SIPO	QR	91464036
185634	629	1996-12-09	VYDAJ	PREVOD NA UCET	1207	9464	SIPO	QR	91464036
185635	629	1997-01-09	VYDAJ	PREVOD NA UCET	1207	9113	SIPO	QR	91464036
185636	629	1997-02-09	VYDAJ	PREVOD NA UCET	1207	10667	SIPO	QR	91464036
185637	629	1997-03-09	VYDAJ	PREVOD NA UCET	1207	12727	SIPO	QR	91464036
185638	629	1997-04-09	VYDAJ	PREVOD NA UCET	1207	13592	SIPO	QR	91464036
185639	629	1997-05-09	VYDAJ	PREVOD NA UCET	1207	14561	SIPO	QR	91464036
185640	629	1997-06-09	VYDAJ	PREVOD NA UCET	1207	15538	SIPO	QR	91464036
185641	629	1997-07-09	VYDAJ	PREVOD NA UCET	1207	15537	SIPO	QR	91464036
185642	629	1997-08-09	VYDAJ	PREVOD NA UCET	1207	17618	SIPO	QR	91464036
185643	629	1997-09-09	VYDAJ	PREVOD NA UCET	1207	18107	SIPO	QR	91464036
185644	629	1997-10-09	VYDAJ	PREVOD NA UCET	1207	19317	SIPO	QR	91464036
185645	629	1997-11-09	VYDAJ	PREVOD NA UCET	1207	21414	SIPO	QR	91464036
185646	629	1997-12-09	VYDAJ	PREVOD NA UCET	1207	17978	SIPO	QR	91464036
185647	629	1998-01-09	VYDAJ	PREVOD NA UCET	1207	17831	SIPO	QR	91464036
185648	629	1998-02-09	VYDAJ	PREVOD NA UCET	1207	12251	SIPO	QR	91464036
185649	629	1998-03-09	VYDAJ	PREVOD NA UCET	1207	12817	SIPO	QR	91464036
185650	629	1998-04-09	VYDAJ	PREVOD NA UCET	1207	13287	SIPO	QR	91464036
185651	629	1998-05-09	VYDAJ	PREVOD NA UCET	1207	13959	SIPO	QR	91464036
185652	629	1998-06-09	VYDAJ	PREVOD NA UCET	1207	11467	SIPO	QR	91464036
185653	629	1998-07-09	VYDAJ	PREVOD NA UCET	1207	13531	SIPO	QR	91464036
185654	629	1998-08-09	VYDAJ	PREVOD NA UCET	1207	15123	SIPO	QR	91464036
185655	629	1998-09-09	VYDAJ	PREVOD NA UCET	1207	16800	SIPO	QR	91464036
185656	629	1998-10-09	VYDAJ	PREVOD NA UCET	1207	18885	SIPO	QR	91464036
185657	629	1998-11-09	VYDAJ	PREVOD NA UCET	1207	20979	SIPO	QR	91464036
185658	629	1998-12-09	VYDAJ	PREVOD NA UCET	1207	23082	SIPO	QR	91464036
185671	629	1995-01-07	VYDAJ	PREVOD NA UCET	1500	15130	 	WX	2222919
185672	629	1995-02-07	VYDAJ	PREVOD NA UCET	1500	11038	 	WX	2222919
185673	629	1995-03-07	VYDAJ	PREVOD NA UCET	1500	13095	 	WX	2222919
185674	629	1995-04-07	VYDAJ	PREVOD NA UCET	1500	15161	 	WX	2222919
185675	629	1995-05-07	VYDAJ	PREVOD NA UCET	1500	16634	 	WX	2222919
185676	629	1995-06-07	VYDAJ	PREVOD NA UCET	1500	18715	 	WX	2222919
185677	629	1995-07-07	VYDAJ	PREVOD NA UCET	1500	10981	 	WX	2222919
185678	629	1995-08-07	VYDAJ	PREVOD NA UCET	1500	11593	 	WX	2222919
185679	629	1995-09-07	VYDAJ	PREVOD NA UCET	1500	13653	 	WX	2222919
185680	629	1995-10-07	VYDAJ	PREVOD NA UCET	1500	13797	 	WX	2222919
185681	629	1995-11-07	VYDAJ	PREVOD NA UCET	1500	15865	 	WX	2222919
185682	629	1995-12-07	VYDAJ	PREVOD NA UCET	1500	17041	 	WX	2222919
185683	629	1996-01-07	VYDAJ	PREVOD NA UCET	1500	13669	 	WX	2222919
185684	629	1996-02-07	VYDAJ	PREVOD NA UCET	1500	11166	 	WX	2222919
185685	629	1996-03-07	VYDAJ	PREVOD NA UCET	1500	10518	 	WX	2222919
185686	629	1996-04-07	VYDAJ	PREVOD NA UCET	1500	12573	 	WX	2222919
185687	629	1996-05-07	VYDAJ	PREVOD NA UCET	1500	13033	 	WX	2222919
185688	629	1996-06-07	VYDAJ	PREVOD NA UCET	1500	12793	 	WX	2222919
185689	629	1996-07-07	VYDAJ	PREVOD NA UCET	1500	11249	 	WX	2222919
185690	629	1996-08-07	VYDAJ	PREVOD NA UCET	1500	9397	 	WX	2222919
185691	629	1996-09-07	VYDAJ	PREVOD NA UCET	1500	11047	 	WX	2222919
185692	629	1996-10-07	VYDAJ	PREVOD NA UCET	1500	12101	 	WX	2222919
185693	629	1996-11-07	VYDAJ	PREVOD NA UCET	1500	12319	 	WX	2222919
185694	629	1996-12-07	VYDAJ	PREVOD NA UCET	1500	10671	 	WX	2222919
185695	629	1997-01-07	VYDAJ	PREVOD NA UCET	1500	10320	 	WX	2222919
185696	629	1997-02-07	VYDAJ	PREVOD NA UCET	1500	11874	 	WX	2222919
185697	629	1997-03-07	VYDAJ	PREVOD NA UCET	1500	13934	 	WX	2222919
185698	629	1997-04-07	VYDAJ	PREVOD NA UCET	1500	14799	 	WX	2222919
185699	629	1997-05-07	VYDAJ	PREVOD NA UCET	1500	15768	 	WX	2222919
185700	629	1997-06-07	VYDAJ	PREVOD NA UCET	1500	16745	 	WX	2222919
185701	629	1997-07-07	VYDAJ	PREVOD NA UCET	1500	16744	 	WX	2222919
185702	629	1997-08-07	VYDAJ	PREVOD NA UCET	1500	18825	 	WX	2222919
185703	629	1997-09-07	VYDAJ	PREVOD NA UCET	1500	19314	 	WX	2222919
185704	629	1997-10-07	VYDAJ	PREVOD NA UCET	1500	20524	 	WX	2222919
185705	629	1997-11-07	VYDAJ	PREVOD NA UCET	1500	22621	 	WX	2222919
185706	629	1997-12-07	VYDAJ	PREVOD NA UCET	1500	19185	 	WX	2222919
185707	629	1998-01-07	VYDAJ	PREVOD NA UCET	1500	19038	 	WX	2222919
185708	629	1998-02-07	VYDAJ	PREVOD NA UCET	1500	13458	 	WX	2222919
185709	629	1998-03-07	VYDAJ	PREVOD NA UCET	1500	14024	 	WX	2222919
185710	629	1998-04-07	VYDAJ	PREVOD NA UCET	1500	14494	 	WX	2222919
185711	629	1998-05-07	VYDAJ	PREVOD NA UCET	1500	15166	 	WX	2222919
185712	629	1998-06-07	VYDAJ	PREVOD NA UCET	1500	12674	 	WX	2222919
185713	629	1998-07-07	VYDAJ	PREVOD NA UCET	1500	14738	 	WX	2222919
185714	629	1998-08-07	VYDAJ	PREVOD NA UCET	1500	16810	 	WX	2222919
185715	629	1998-09-07	VYDAJ	PREVOD NA UCET	1500	18007	 	WX	2222919
185716	629	1998-10-07	VYDAJ	PREVOD NA UCET	1500	20092	 	WX	2222919
185717	629	1998-11-07	VYDAJ	PREVOD NA UCET	1500	22186	 	WX	2222919
185718	629	1998-12-07	VYDAJ	PREVOD NA UCET	1500	24289	 	WX	2222919
185720	629	1995-06-14	VYDAJ	VYBER	9800	12429	\N	\N	\N
185725	629	1995-01-05	VYDAJ	VYBER	4850	18950	\N	\N	\N
185726	629	1996-01-06	VYDAJ	VYBER	2300	15169	\N	\N	\N
185728	629	1998-01-26	VYDAJ	VYBER	1100	16732	\N	\N	\N
185729	629	1994-12-29	VYDAJ	VYBER	300	23805	\N	\N	\N
185730	629	1995-12-19	VYDAJ	VYBER	550	18605	\N	\N	\N
185732	629	1997-12-07	VYDAJ	VYBER	700	20685	\N	\N	\N
185733	629	1998-12-16	VYDAJ	VYBER	750	27053	\N	\N	\N
185740	629	1995-01-07	VYDAJ	VYBER	720	16630	\N	\N	\N
185741	629	1995-01-17	VYDAJ	VYBER	800	16084	\N	\N	\N
185742	629	1995-01-11	VYDAJ	VYBER	1760	16884	\N	\N	\N
185743	629	1995-01-26	VYDAJ	VYBER	2080	12484	\N	\N	\N
185744	629	1995-01-19	VYDAJ	VYBER	1520	14564	\N	\N	\N
185745	629	1995-01-06	VYDAJ	VYBER	1600	17350	\N	\N	\N
185747	629	1996-01-03	VYDAJ	VYBER	1200	17469	\N	\N	\N
185748	629	1996-01-10	VYDAJ	VYBER	1440	15743	\N	\N	\N
185749	629	1996-01-11	VYDAJ	VYBER	1280	12623	\N	\N	\N
185751	629	1996-01-10	VYDAJ	VYBER	1840	13903	\N	\N	\N
185758	629	1998-01-19	VYDAJ	VYBER	2160	18232	\N	\N	\N
185759	629	1998-01-30	VYDAJ	VYBER	880	14892	\N	\N	\N
185760	629	1998-01-23	VYDAJ	VYBER	400	17832	\N	\N	\N
185761	629	1998-01-16	VYDAJ	VYBER	2160	20392	\N	\N	\N
185762	629	1998-01-04	VYDAJ	VYBER	1440	21338	\N	\N	\N
185763	629	1998-01-26	VYDAJ	VYBER	960	15772	\N	\N	\N
185767	629	1995-09-15	VYDAJ	VYBER	1920	15247	\N	\N	\N
185768	629	1995-07-10	VYDAJ	VYBER	1440	13055	\N	\N	\N
185771	629	1996-10-20	VYDAJ	VYBER	1440	13775	\N	\N	\N
185777	629	1997-11-10	VYDAJ	VYBER	3040	23095	\N	\N	\N
185778	629	1997-06-28	VYDAJ	VYBER	2080	18179	\N	\N	\N
185779	629	1997-09-17	VYDAJ	VYBER	880	21948	\N	\N	\N
185780	629	1998-08-07	VYDAJ	VYBER	480	16330	\N	\N	\N
185781	629	1998-05-10	VYDAJ	VYBER	2160	16520	\N	\N	\N
185782	629	1998-08-15	VYDAJ	VYBER	400	19444	\N	\N	\N
185795	629	1994-12-31	VYDAJ	VYBER	15	23800	SLUZBY	\N	\N
185796	629	1995-01-31	VYDAJ	VYBER	15	12538	SLUZBY	\N	\N
185797	629	1995-02-28	VYDAJ	VYBER	15	14595	SLUZBY	\N	\N
185798	629	1995-03-31	VYDAJ	VYBER	15	16661	SLUZBY	\N	\N
185799	629	1995-04-30	VYDAJ	VYBER	15	18134	SLUZBY	\N	\N
185800	629	1995-05-31	VYDAJ	VYBER	15	20215	SLUZBY	\N	\N
185801	629	1995-06-30	VYDAJ	VYBER	15	12481	SLUZBY	\N	\N
185802	629	1995-07-31	VYDAJ	VYBER	15	13093	SLUZBY	\N	\N
185803	629	1995-08-31	VYDAJ	VYBER	15	15153	SLUZBY	\N	\N
185804	629	1995-09-30	VYDAJ	VYBER	15	15297	SLUZBY	\N	\N
185805	629	1995-10-31	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
185806	629	1995-11-30	VYDAJ	VYBER	15	18541	SLUZBY	\N	\N
185807	629	1995-12-31	VYDAJ	VYBER	15	18669	SLUZBY	\N	\N
185808	629	1996-01-31	VYDAJ	VYBER	15	12666	SLUZBY	\N	\N
185809	629	1996-02-29	VYDAJ	VYBER	15	12018	SLUZBY	\N	\N
185810	629	1996-03-31	VYDAJ	VYBER	15	14073	SLUZBY	\N	\N
185811	629	1996-04-30	VYDAJ	VYBER	15	14533	SLUZBY	\N	\N
185812	629	1996-05-31	VYDAJ	VYBER	15	14293	SLUZBY	\N	\N
185813	629	1996-06-30	VYDAJ	VYBER	15	12749	SLUZBY	\N	\N
185814	629	1996-07-31	VYDAJ	VYBER	15	10897	SLUZBY	\N	\N
185815	629	1996-08-31	VYDAJ	VYBER	15	12547	SLUZBY	\N	\N
185816	629	1996-09-30	VYDAJ	VYBER	15	13601	SLUZBY	\N	\N
185817	629	1996-10-31	VYDAJ	VYBER	15	13819	SLUZBY	\N	\N
185818	629	1996-11-30	VYDAJ	VYBER	15	12171	SLUZBY	\N	\N
185819	629	1996-12-31	VYDAJ	VYBER	15	11820	SLUZBY	\N	\N
185820	629	1997-01-31	VYDAJ	VYBER	15	13374	SLUZBY	\N	\N
185821	629	1997-02-28	VYDAJ	VYBER	15	15434	SLUZBY	\N	\N
185822	629	1997-03-31	VYDAJ	VYBER	15	16299	SLUZBY	\N	\N
185823	629	1997-04-30	VYDAJ	VYBER	15	17268	SLUZBY	\N	\N
185824	629	1997-05-31	VYDAJ	VYBER	15	18245	SLUZBY	\N	\N
185825	629	1997-06-30	VYDAJ	VYBER	15	18244	SLUZBY	\N	\N
185826	629	1997-07-31	VYDAJ	VYBER	15	20325	SLUZBY	\N	\N
185827	629	1997-08-31	VYDAJ	VYBER	15	22414	SLUZBY	\N	\N
185828	629	1997-09-30	VYDAJ	VYBER	15	22024	SLUZBY	\N	\N
185829	629	1997-10-31	VYDAJ	VYBER	15	24121	SLUZBY	\N	\N
185830	629	1997-11-30	VYDAJ	VYBER	15	23185	SLUZBY	\N	\N
185831	629	1997-12-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
185832	629	1998-01-31	VYDAJ	VYBER	15	14958	SLUZBY	\N	\N
185833	629	1998-02-28	VYDAJ	VYBER	15	17024	SLUZBY	\N	\N
185834	629	1998-03-31	VYDAJ	VYBER	15	17594	SLUZBY	\N	\N
185835	629	1998-04-30	VYDAJ	VYBER	15	18066	SLUZBY	\N	\N
185836	629	1998-05-31	VYDAJ	VYBER	15	16574	SLUZBY	\N	\N
185837	629	1998-06-30	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
185838	629	1998-07-31	VYDAJ	VYBER	15	18310	SLUZBY	\N	\N
185839	629	1998-08-31	VYDAJ	VYBER	15	19507	SLUZBY	\N	\N
185840	629	1998-09-30	VYDAJ	VYBER	15	21592	SLUZBY	\N	\N
185841	629	1998-10-31	VYDAJ	VYBER	15	23686	SLUZBY	\N	\N
185842	629	1998-11-30	VYDAJ	VYBER	15	25789	SLUZBY	\N	\N
185843	629	1995-04-21	VYDAJ	VYBER	600	18075	\N	\N	\N
185844	629	1995-11-17	VYDAJ	VYBER	900	18479	\N	\N	\N
185845	629	1995-12-17	VYDAJ	VYBER	1400	19155	\N	\N	\N
185846	629	1996-02-15	VYDAJ	VYBER	2700	11980	\N	\N	\N
185847	629	1996-04-15	VYDAJ	VYBER	1600	14487	\N	\N	\N
185848	629	1996-05-15	VYDAJ	VYBER	2300	14247	\N	\N	\N
185849	629	1996-06-14	VYDAJ	VYBER	3600	12707	\N	\N	\N
185850	629	1996-07-14	VYDAJ	VYBER	3900	10863	\N	\N	\N
185851	629	1996-08-13	VYDAJ	VYBER	400	12511	\N	\N	\N
185852	629	1996-09-12	VYDAJ	VYBER	1000	13561	\N	\N	\N
185853	629	1996-10-12	VYDAJ	VYBER	400	15215	\N	\N	\N
185854	629	1996-11-11	VYDAJ	VYBER	3700	12133	\N	\N	\N
185855	629	1996-12-11	VYDAJ	VYBER	2400	11785	\N	\N	\N
185856	629	1997-01-10	VYDAJ	VYBER	500	13334	\N	\N	\N
185857	629	1997-03-11	VYDAJ	VYBER	1200	16248	\N	\N	\N
185858	629	1997-04-10	VYDAJ	VYBER	1100	17213	\N	\N	\N
185859	629	1997-05-10	VYDAJ	VYBER	1100	18182	\N	\N	\N
185860	629	1997-09-07	VYDAJ	VYBER	1600	20814	\N	\N	\N
185861	629	1997-12-06	VYDAJ	VYBER	1800	21385	\N	\N	\N
185862	629	1998-01-05	VYDAJ	VYBER	800	20538	\N	\N	\N
185863	629	1998-03-06	VYDAJ	VYBER	1500	15524	\N	\N	\N
185864	629	1998-04-05	VYDAJ	VYBER	1600	15994	\N	\N	\N
185865	629	1998-05-05	VYDAJ	VYBER	1400	16666	\N	\N	\N
185866	629	1998-06-04	VYDAJ	VYBER	2400	14174	\N	\N	\N
185916	630	1993-06-29	PRIJEM	VKLAD	400	400	\N	\N	\N
185923	630	1993-07-10	PRIJEM	PREVOD Z UCTU	3542	3942	\N	YZ	62620174
185924	630	1993-08-10	PRIJEM	PREVOD Z UCTU	3542	20091	\N	YZ	62620174
185925	630	1993-09-10	PRIJEM	PREVOD Z UCTU	3542	26505	\N	YZ	62620174
185926	630	1993-10-10	PRIJEM	PREVOD Z UCTU	3542	27443	\N	YZ	62620174
185927	630	1993-11-10	PRIJEM	PREVOD Z UCTU	3542	29485	\N	YZ	62620174
185928	630	1993-12-10	PRIJEM	PREVOD Z UCTU	3542	26500	\N	YZ	62620174
185929	630	1994-01-10	PRIJEM	PREVOD Z UCTU	3542	25433	\N	YZ	62620174
185930	630	1994-02-10	PRIJEM	PREVOD Z UCTU	3542	25791	\N	YZ	62620174
185931	630	1994-03-10	PRIJEM	PREVOD Z UCTU	3542	27964	\N	YZ	62620174
185932	630	1994-04-10	PRIJEM	PREVOD Z UCTU	3542	28845	\N	YZ	62620174
185933	630	1994-05-10	PRIJEM	PREVOD Z UCTU	3542	24085	\N	YZ	62620174
185934	630	1994-06-10	PRIJEM	PREVOD Z UCTU	3542	22748	\N	YZ	62620174
185935	630	1994-07-10	PRIJEM	PREVOD Z UCTU	3542	24608	\N	YZ	62620174
185936	630	1994-08-10	PRIJEM	PREVOD Z UCTU	3542	22172	\N	YZ	62620174
185937	630	1994-09-10	PRIJEM	PREVOD Z UCTU	3542	20785	\N	YZ	62620174
185938	630	1994-10-10	PRIJEM	PREVOD Z UCTU	3542	20246	\N	YZ	62620174
185939	630	1994-11-10	PRIJEM	PREVOD Z UCTU	3542	21194	\N	YZ	62620174
185940	630	1994-12-10	PRIJEM	PREVOD Z UCTU	3542	20344	\N	YZ	62620174
185941	630	1995-01-10	PRIJEM	PREVOD Z UCTU	3542	16728	\N	YZ	62620174
185942	630	1995-02-10	PRIJEM	PREVOD Z UCTU	3542	15939	\N	YZ	62620174
185943	630	1995-03-10	PRIJEM	PREVOD Z UCTU	3542	16359	\N	YZ	62620174
185944	630	1995-04-10	PRIJEM	PREVOD Z UCTU	3542	17492	\N	YZ	62620174
185945	630	1995-05-10	PRIJEM	PREVOD Z UCTU	3542	17498	\N	YZ	62620174
185946	630	1995-06-10	PRIJEM	PREVOD Z UCTU	3542	17604	\N	YZ	62620174
185947	630	1995-07-10	PRIJEM	PREVOD Z UCTU	3542	15435	\N	YZ	62620174
185948	630	1995-08-10	PRIJEM	PREVOD Z UCTU	3542	16664	\N	YZ	62620174
185949	630	1995-09-10	PRIJEM	PREVOD Z UCTU	3542	14992	\N	YZ	62620174
185950	630	1995-10-10	PRIJEM	PREVOD Z UCTU	3542	14917	\N	YZ	62620174
185951	630	1995-11-10	PRIJEM	PREVOD Z UCTU	3542	14540	\N	YZ	62620174
185952	630	1995-12-10	PRIJEM	PREVOD Z UCTU	3542	13160	\N	YZ	62620174
185953	630	1996-01-10	PRIJEM	PREVOD Z UCTU	3542	14379	\N	YZ	62620174
185954	630	1996-02-10	PRIJEM	PREVOD Z UCTU	3542	14491	\N	YZ	62620174
185955	630	1996-03-10	PRIJEM	PREVOD Z UCTU	3542	15084	\N	YZ	62620174
185956	630	1996-04-10	PRIJEM	PREVOD Z UCTU	3542	15500	\N	YZ	62620174
185957	630	1996-05-10	PRIJEM	PREVOD Z UCTU	3542	16728	\N	YZ	62620174
185958	630	1996-06-10	PRIJEM	PREVOD Z UCTU	3542	17962	\N	YZ	62620174
185959	630	1996-07-10	PRIJEM	PREVOD Z UCTU	3542	19201	\N	YZ	62620174
185960	630	1996-08-10	PRIJEM	PREVOD Z UCTU	3542	20445	\N	YZ	62620174
185961	630	1996-09-10	PRIJEM	PREVOD Z UCTU	3542	21695	\N	YZ	62620174
185962	630	1996-10-10	PRIJEM	PREVOD Z UCTU	3542	15528	\N	YZ	62620174
185963	630	1996-11-10	PRIJEM	PREVOD Z UCTU	3542	16757	\N	YZ	62620174
185964	630	1996-12-10	PRIJEM	PREVOD Z UCTU	3542	17991	\N	YZ	62620174
185965	630	1997-01-10	PRIJEM	PREVOD Z UCTU	3542	18359	\N	YZ	62620174
185966	630	1997-02-10	PRIJEM	PREVOD Z UCTU	3542	17706	\N	YZ	62620174
185967	630	1997-03-10	PRIJEM	PREVOD Z UCTU	3542	18073	\N	YZ	62620174
185968	630	1997-04-10	PRIJEM	PREVOD Z UCTU	3542	13512	\N	YZ	62620174
185969	630	1997-05-10	PRIJEM	PREVOD Z UCTU	3542	14731	\N	YZ	62620174
185970	630	1997-06-10	PRIJEM	PREVOD Z UCTU	3542	15956	\N	YZ	62620174
185971	630	1997-07-10	PRIJEM	PREVOD Z UCTU	3542	17186	\N	YZ	62620174
185972	630	1997-08-10	PRIJEM	PREVOD Z UCTU	3542	18421	\N	YZ	62620174
185973	630	1997-09-10	PRIJEM	PREVOD Z UCTU	3542	19661	\N	YZ	62620174
185974	630	1997-10-10	PRIJEM	PREVOD Z UCTU	3542	20306	\N	YZ	62620174
185975	630	1997-11-10	PRIJEM	PREVOD Z UCTU	3542	18811	\N	YZ	62620174
185976	630	1997-12-10	PRIJEM	PREVOD Z UCTU	3542	17841	\N	YZ	62620174
185977	630	1998-01-10	PRIJEM	PREVOD Z UCTU	3542	18598	\N	YZ	62620174
185978	630	1998-02-10	PRIJEM	PREVOD Z UCTU	3542	18936	\N	YZ	62620174
185979	630	1998-03-10	PRIJEM	PREVOD Z UCTU	3542	19276	\N	YZ	62620174
185980	630	1998-04-10	PRIJEM	PREVOD Z UCTU	3542	20918	\N	YZ	62620174
185981	630	1998-05-10	PRIJEM	PREVOD Z UCTU	3542	20567	\N	YZ	62620174
185982	630	1998-06-10	PRIJEM	PREVOD Z UCTU	3542	17635	\N	YZ	62620174
185983	630	1998-07-10	PRIJEM	PREVOD Z UCTU	3542	17012	\N	YZ	62620174
185984	630	1998-08-10	PRIJEM	PREVOD Z UCTU	3542	22645	\N	YZ	62620174
185985	630	1998-09-10	PRIJEM	PREVOD Z UCTU	3542	25128	\N	YZ	62620174
185986	630	1998-10-10	PRIJEM	PREVOD Z UCTU	3542	29203	\N	YZ	62620174
185987	630	1998-11-10	PRIJEM	PREVOD Z UCTU	3542	32184	\N	YZ	62620174
185988	630	1998-12-10	PRIJEM	PREVOD Z UCTU	3542	32321	\N	YZ	62620174
186000	630	1993-12-06	VYDAJ	PREVOD NA UCET	2361	22958	SIPO	IJ	662714
186001	630	1994-01-06	VYDAJ	PREVOD NA UCET	2361	21891	SIPO	IJ	662714
186002	630	1994-02-06	VYDAJ	PREVOD NA UCET	2361	22249	SIPO	IJ	662714
186003	630	1994-03-06	VYDAJ	PREVOD NA UCET	2361	24422	SIPO	IJ	662714
186004	630	1994-04-06	VYDAJ	PREVOD NA UCET	2361	25303	SIPO	IJ	662714
186005	630	1994-05-06	VYDAJ	PREVOD NA UCET	2361	20543	SIPO	IJ	662714
186006	630	1994-06-06	VYDAJ	PREVOD NA UCET	2361	19206	SIPO	IJ	662714
186007	630	1994-07-06	VYDAJ	PREVOD NA UCET	2361	21066	SIPO	IJ	662714
186008	630	1994-08-06	VYDAJ	PREVOD NA UCET	2361	18630	SIPO	IJ	662714
186009	630	1994-09-06	VYDAJ	PREVOD NA UCET	2361	17243	SIPO	IJ	662714
186010	630	1994-10-06	VYDAJ	PREVOD NA UCET	2361	16704	SIPO	IJ	662714
186011	630	1994-11-06	VYDAJ	PREVOD NA UCET	2361	17652	SIPO	IJ	662714
186012	630	1994-12-06	VYDAJ	PREVOD NA UCET	2361	16802	SIPO	IJ	662714
186013	630	1995-01-06	VYDAJ	PREVOD NA UCET	2361	14056	SIPO	IJ	662714
186014	630	1995-02-06	VYDAJ	PREVOD NA UCET	2361	12397	SIPO	IJ	662714
186015	630	1995-03-06	VYDAJ	PREVOD NA UCET	2361	12817	SIPO	IJ	662714
186016	630	1995-04-06	VYDAJ	PREVOD NA UCET	2361	13950	SIPO	IJ	662714
186017	630	1995-05-06	VYDAJ	PREVOD NA UCET	2361	13956	SIPO	IJ	662714
186018	630	1995-06-06	VYDAJ	PREVOD NA UCET	2361	14062	SIPO	IJ	662714
186019	630	1995-07-06	VYDAJ	PREVOD NA UCET	2361	11893	SIPO	IJ	662714
186020	630	1995-08-06	VYDAJ	PREVOD NA UCET	2361	13122	SIPO	IJ	662714
186021	630	1995-09-06	VYDAJ	PREVOD NA UCET	2361	11450	SIPO	IJ	662714
186022	630	1995-10-06	VYDAJ	PREVOD NA UCET	2361	11375	SIPO	IJ	662714
186023	630	1995-11-06	VYDAJ	PREVOD NA UCET	2361	10998	SIPO	IJ	662714
186024	630	1995-12-06	VYDAJ	PREVOD NA UCET	2361	9618	SIPO	IJ	662714
186025	630	1996-01-06	VYDAJ	PREVOD NA UCET	2361	10837	SIPO	IJ	662714
186026	630	1996-02-06	VYDAJ	PREVOD NA UCET	2361	10949	SIPO	IJ	662714
186027	630	1996-03-06	VYDAJ	PREVOD NA UCET	2361	11542	SIPO	IJ	662714
186028	630	1996-04-06	VYDAJ	PREVOD NA UCET	2361	11958	SIPO	IJ	662714
186029	630	1996-05-06	VYDAJ	PREVOD NA UCET	2361	13186	SIPO	IJ	662714
186030	630	1996-06-06	VYDAJ	PREVOD NA UCET	2361	14420	SIPO	IJ	662714
186031	630	1996-07-06	VYDAJ	PREVOD NA UCET	2361	15659	SIPO	IJ	662714
186032	630	1996-08-06	VYDAJ	PREVOD NA UCET	2361	16903	SIPO	IJ	662714
186033	630	1996-09-06	VYDAJ	PREVOD NA UCET	2361	18153	SIPO	IJ	662714
186034	630	1996-10-06	VYDAJ	PREVOD NA UCET	2361	11986	SIPO	IJ	662714
186035	630	1996-11-06	VYDAJ	PREVOD NA UCET	2361	13215	SIPO	IJ	662714
186036	630	1996-12-06	VYDAJ	PREVOD NA UCET	2361	14449	SIPO	IJ	662714
186037	630	1997-01-06	VYDAJ	PREVOD NA UCET	2361	15417	SIPO	IJ	662714
186038	630	1997-02-06	VYDAJ	PREVOD NA UCET	2361	14164	SIPO	IJ	662714
186039	630	1997-03-06	VYDAJ	PREVOD NA UCET	2361	15401	SIPO	IJ	662714
186040	630	1997-04-06	VYDAJ	PREVOD NA UCET	2361	9970	SIPO	IJ	662714
186041	630	1997-05-06	VYDAJ	PREVOD NA UCET	2361	11189	SIPO	IJ	662714
186042	630	1997-06-06	VYDAJ	PREVOD NA UCET	2361	12414	SIPO	IJ	662714
186043	630	1997-07-06	VYDAJ	PREVOD NA UCET	2361	13644	SIPO	IJ	662714
186044	630	1997-08-06	VYDAJ	PREVOD NA UCET	2361	14879	SIPO	IJ	662714
186045	630	1997-09-06	VYDAJ	PREVOD NA UCET	2361	16119	SIPO	IJ	662714
186046	630	1997-10-06	VYDAJ	PREVOD NA UCET	2361	16764	SIPO	IJ	662714
186047	630	1997-11-06	VYDAJ	PREVOD NA UCET	2361	15269	SIPO	IJ	662714
186048	630	1997-12-06	VYDAJ	PREVOD NA UCET	2361	14299	SIPO	IJ	662714
186049	630	1998-01-06	VYDAJ	PREVOD NA UCET	2361	17036	SIPO	IJ	662714
186050	630	1998-02-06	VYDAJ	PREVOD NA UCET	2361	15394	SIPO	IJ	662714
186051	630	1998-03-06	VYDAJ	PREVOD NA UCET	2361	15734	SIPO	IJ	662714
186052	630	1998-04-06	VYDAJ	PREVOD NA UCET	2361	17376	SIPO	IJ	662714
186053	630	1998-05-06	VYDAJ	PREVOD NA UCET	2361	17025	SIPO	IJ	662714
186054	630	1998-06-06	VYDAJ	PREVOD NA UCET	2361	14093	SIPO	IJ	662714
186055	630	1998-07-06	VYDAJ	PREVOD NA UCET	2361	13470	SIPO	IJ	662714
186056	630	1998-08-06	VYDAJ	PREVOD NA UCET	2361	19103	SIPO	IJ	662714
186057	630	1998-09-06	VYDAJ	PREVOD NA UCET	2361	22156	SIPO	IJ	662714
186058	630	1998-10-06	VYDAJ	PREVOD NA UCET	2361	26651	SIPO	IJ	662714
186059	630	1998-11-06	VYDAJ	PREVOD NA UCET	2361	28642	SIPO	IJ	662714
186060	630	1998-12-06	VYDAJ	PREVOD NA UCET	2361	28779	SIPO	IJ	662714
186061	630	1993-12-03	VYDAJ	VYBER	660	25319	\N	\N	\N
186062	630	1994-12-17	VYDAJ	VYBER	630	19714	\N	\N	\N
186064	630	1996-12-21	VYDAJ	VYBER	270	17721	\N	\N	\N
186065	630	1997-12-04	VYDAJ	VYBER	870	17460	\N	\N	\N
186066	630	1998-12-01	VYDAJ	VYBER	360	31140	\N	\N	\N
186073	630	1994-01-03	VYDAJ	VYBER	180	24762	\N	\N	\N
186074	630	1994-01-10	VYDAJ	VYBER	600	24833	\N	\N	\N
186075	630	1994-01-19	VYDAJ	VYBER	690	24143	\N	\N	\N
186076	630	1994-01-02	VYDAJ	VYBER	450	24942	\N	\N	\N
186077	630	1994-01-21	VYDAJ	VYBER	510	23633	\N	\N	\N
186078	630	1994-01-06	VYDAJ	VYBER	510	24252	\N	\N	\N
186079	630	1995-01-26	VYDAJ	VYBER	870	14708	\N	\N	\N
186080	630	1995-01-10	VYDAJ	VYBER	450	16278	\N	\N	\N
186081	630	1995-01-17	VYDAJ	VYBER	300	15978	\N	\N	\N
186082	630	1995-01-04	VYDAJ	VYBER	360	16417	\N	\N	\N
186083	630	1995-01-06	VYDAJ	VYBER	870	13186	\N	\N	\N
186085	630	1996-01-16	VYDAJ	VYBER	210	13779	\N	\N	\N
186086	630	1996-01-10	VYDAJ	VYBER	180	14199	\N	\N	\N
186087	630	1996-01-19	VYDAJ	VYBER	510	13269	\N	\N	\N
186088	630	1996-01-11	VYDAJ	VYBER	210	13989	\N	\N	\N
186091	630	1997-01-21	VYDAJ	VYBER	600	16739	\N	\N	\N
186092	630	1997-01-23	VYDAJ	VYBER	270	16469	\N	\N	\N
186093	630	1997-01-06	VYDAJ	VYBER	300	15117	\N	\N	\N
186094	630	1997-01-09	VYDAJ	VYBER	300	14817	\N	\N	\N
186095	630	1997-01-21	VYDAJ	VYBER	150	17339	\N	\N	\N
186096	630	1997-01-16	VYDAJ	VYBER	870	17489	\N	\N	\N
186097	630	1998-01-06	VYDAJ	VYBER	870	16166	\N	\N	\N
186098	630	1998-01-26	VYDAJ	VYBER	690	17278	\N	\N	\N
186099	630	1998-01-11	VYDAJ	VYBER	630	17968	\N	\N	\N
186100	630	1998-01-07	VYDAJ	VYBER	720	15446	\N	\N	\N
186101	630	1998-01-27	VYDAJ	VYBER	180	17098	\N	\N	\N
186102	630	1998-01-08	VYDAJ	VYBER	390	15056	\N	\N	\N
186108	630	1994-08-13	VYDAJ	VYBER	240	21932	\N	\N	\N
186109	630	1994-01-23	VYDAJ	VYBER	1410	22223	\N	\N	\N
186110	630	1994-04-18	VYDAJ	VYBER	870	27975	\N	\N	\N
186111	630	1994-10-02	VYDAJ	VYBER	990	19065	\N	\N	\N
186112	630	1994-05-02	VYDAJ	VYBER	1470	22904	\N	\N	\N
186115	630	1995-06-02	VYDAJ	VYBER	630	16423	\N	\N	\N
186116	630	1995-02-23	VYDAJ	VYBER	810	15129	\N	\N	\N
186117	630	1995-05-01	VYDAJ	VYBER	330	16317	\N	\N	\N
186118	630	1996-02-20	VYDAJ	VYBER	630	13861	\N	\N	\N
186120	630	1996-03-14	VYDAJ	VYBER	810	14274	\N	\N	\N
186123	630	1997-11-13	VYDAJ	VYBER	540	18271	\N	\N	\N
186124	630	1997-09-21	VYDAJ	VYBER	600	19061	\N	\N	\N
186125	630	1997-10-15	VYDAJ	VYBER	1140	19166	\N	\N	\N
186126	630	1997-03-08	VYDAJ	VYBER	870	14531	\N	\N	\N
186127	630	1998-07-04	VYDAJ	VYBER	1050	15831	\N	\N	\N
186128	630	1998-09-08	VYDAJ	VYBER	570	21586	\N	\N	\N
186129	630	1998-06-19	VYDAJ	VYBER	210	17425	\N	\N	\N
186130	630	1998-10-09	VYDAJ	VYBER	990	25661	\N	\N	\N
186131	630	1998-06-03	VYDAJ	VYBER	1380	19254	\N	\N	\N
186143	630	1993-11-30	VYDAJ	VYBER	15	25979	SLUZBY	\N	\N
186144	630	1993-12-31	VYDAJ	VYBER	15	25392	SLUZBY	\N	\N
186145	630	1994-01-31	VYDAJ	VYBER	15	24610	SLUZBY	\N	\N
186146	630	1994-02-28	VYDAJ	VYBER	15	26783	SLUZBY	\N	\N
186147	630	1994-03-31	VYDAJ	VYBER	15	27664	SLUZBY	\N	\N
186148	630	1994-04-30	VYDAJ	VYBER	15	24374	SLUZBY	\N	\N
186149	630	1994-05-31	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
186150	630	1994-06-30	VYDAJ	VYBER	15	23427	SLUZBY	\N	\N
186151	630	1994-07-31	VYDAJ	VYBER	15	20991	SLUZBY	\N	\N
186152	630	1994-08-31	VYDAJ	VYBER	15	19604	SLUZBY	\N	\N
186153	630	1994-09-30	VYDAJ	VYBER	15	20055	SLUZBY	\N	\N
186154	630	1994-10-31	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
186155	630	1994-11-30	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
186156	630	1994-12-31	VYDAJ	VYBER	15	16777	SLUZBY	\N	\N
186157	630	1995-01-31	VYDAJ	VYBER	15	14758	SLUZBY	\N	\N
186158	630	1995-02-28	VYDAJ	VYBER	15	15178	SLUZBY	\N	\N
186159	630	1995-03-31	VYDAJ	VYBER	15	16311	SLUZBY	\N	\N
186160	630	1995-04-30	VYDAJ	VYBER	15	16647	SLUZBY	\N	\N
186161	630	1995-05-31	VYDAJ	VYBER	15	17053	SLUZBY	\N	\N
186162	630	1995-06-30	VYDAJ	VYBER	15	14254	SLUZBY	\N	\N
186163	630	1995-07-31	VYDAJ	VYBER	15	15483	SLUZBY	\N	\N
186164	630	1995-08-31	VYDAJ	VYBER	15	13811	SLUZBY	\N	\N
186165	630	1995-09-30	VYDAJ	VYBER	15	13736	SLUZBY	\N	\N
186166	630	1995-10-31	VYDAJ	VYBER	15	13359	SLUZBY	\N	\N
186167	630	1995-11-30	VYDAJ	VYBER	15	11979	SLUZBY	\N	\N
186168	630	1995-12-31	VYDAJ	VYBER	15	13198	SLUZBY	\N	\N
186169	630	1996-01-31	VYDAJ	VYBER	15	13310	SLUZBY	\N	\N
186170	630	1996-02-29	VYDAJ	VYBER	15	13903	SLUZBY	\N	\N
186171	630	1996-03-31	VYDAJ	VYBER	15	14319	SLUZBY	\N	\N
186172	630	1996-04-30	VYDAJ	VYBER	15	15547	SLUZBY	\N	\N
186173	630	1996-05-31	VYDAJ	VYBER	15	16781	SLUZBY	\N	\N
186174	630	1996-06-30	VYDAJ	VYBER	15	18020	SLUZBY	\N	\N
186175	630	1996-07-31	VYDAJ	VYBER	15	19264	SLUZBY	\N	\N
186176	630	1996-08-31	VYDAJ	VYBER	15	20514	SLUZBY	\N	\N
186177	630	1996-09-30	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
186178	630	1996-10-31	VYDAJ	VYBER	15	15576	SLUZBY	\N	\N
186179	630	1996-11-30	VYDAJ	VYBER	15	16810	SLUZBY	\N	\N
186180	630	1996-12-31	VYDAJ	VYBER	15	17778	SLUZBY	\N	\N
186181	630	1997-01-31	VYDAJ	VYBER	15	16525	SLUZBY	\N	\N
186182	630	1997-02-28	VYDAJ	VYBER	15	17762	SLUZBY	\N	\N
186183	630	1997-03-31	VYDAJ	VYBER	15	12331	SLUZBY	\N	\N
186184	630	1997-04-30	VYDAJ	VYBER	15	13550	SLUZBY	\N	\N
186185	630	1997-05-31	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
186186	630	1997-06-30	VYDAJ	VYBER	15	16005	SLUZBY	\N	\N
186187	630	1997-07-31	VYDAJ	VYBER	15	17240	SLUZBY	\N	\N
186188	630	1997-08-31	VYDAJ	VYBER	15	18480	SLUZBY	\N	\N
186189	630	1997-09-30	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
186190	630	1997-10-31	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
186191	630	1997-11-30	VYDAJ	VYBER	15	18330	SLUZBY	\N	\N
186192	630	1997-12-31	VYDAJ	VYBER	15	17897	SLUZBY	\N	\N
186193	630	1998-01-31	VYDAJ	VYBER	15	17155	SLUZBY	\N	\N
186194	630	1998-02-28	VYDAJ	VYBER	15	18995	SLUZBY	\N	\N
186195	630	1998-03-31	VYDAJ	VYBER	15	19337	SLUZBY	\N	\N
186196	630	1998-04-30	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
186197	630	1998-05-31	VYDAJ	VYBER	15	20634	SLUZBY	\N	\N
186198	630	1998-06-30	VYDAJ	VYBER	15	17481	SLUZBY	\N	\N
186199	630	1998-07-31	VYDAJ	VYBER	15	17064	SLUZBY	\N	\N
186200	630	1998-08-31	VYDAJ	VYBER	15	22717	SLUZBY	\N	\N
186201	630	1998-09-30	VYDAJ	VYBER	15	25212	SLUZBY	\N	\N
186202	630	1998-10-31	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
186203	630	1998-11-30	VYDAJ	VYBER	15	31500	SLUZBY	\N	\N
186204	630	1993-07-29	PRIJEM	VKLAD	12600	16542	\N	\N	\N
186205	630	1993-08-28	PRIJEM	VKLAD	2800	22891	\N	\N	\N
186206	630	1993-09-27	VYDAJ	VYBER	2700	23805	\N	\N	\N
186207	630	1993-10-27	VYDAJ	VYBER	1600	25843	\N	\N	\N
186208	630	1993-11-26	VYDAJ	VYBER	3600	25885	\N	\N	\N
186209	630	1993-12-26	VYDAJ	VYBER	1200	25300	\N	\N	\N
186210	630	1994-01-25	PRIJEM	VKLAD	2300	24523	\N	\N	\N
186211	630	1994-02-24	PRIJEM	VKLAD	900	26691	\N	\N	\N
186212	630	1994-03-26	VYDAJ	VYBER	400	27564	\N	\N	\N
186213	630	1994-04-25	VYDAJ	VYBER	3700	24275	\N	\N	\N
186214	630	1994-05-25	VYDAJ	VYBER	2600	21485	\N	\N	\N
186215	630	1994-06-24	PRIJEM	VKLAD	600	23348	\N	\N	\N
186216	630	1994-07-24	VYDAJ	VYBER	3700	20908	\N	\N	\N
186217	630	1994-08-23	VYDAJ	VYBER	2400	19532	\N	\N	\N
186218	630	1994-09-22	VYDAJ	VYBER	800	19985	\N	\N	\N
186219	630	1994-10-22	VYDAJ	VYBER	300	19946	\N	\N	\N
186220	630	1994-11-21	VYDAJ	VYBER	2100	19094	\N	\N	\N
186221	630	1994-12-21	VYDAJ	VYBER	3000	16714	\N	\N	\N
186222	630	1995-01-20	VYDAJ	VYBER	400	15578	\N	\N	\N
186223	630	1995-03-21	VYDAJ	VYBER	100	16259	\N	\N	\N
186224	630	1995-04-20	VYDAJ	VYBER	900	16592	\N	\N	\N
186225	630	1995-05-20	VYDAJ	VYBER	500	16998	\N	\N	\N
186226	630	1995-06-19	VYDAJ	VYBER	3400	14204	\N	\N	\N
186227	630	1995-08-18	VYDAJ	VYBER	2900	13764	\N	\N	\N
186228	630	1995-09-17	VYDAJ	VYBER	1300	13692	\N	\N	\N
186229	630	1995-10-17	VYDAJ	VYBER	1600	13317	\N	\N	\N
186230	630	1995-11-16	VYDAJ	VYBER	2600	11940	\N	\N	\N
186231	630	1996-09-11	VYDAJ	VYBER	7400	14295	\N	\N	\N
186232	630	1997-03-10	VYDAJ	VYBER	5800	12273	\N	\N	\N
186233	630	1997-11-05	VYDAJ	VYBER	1600	17630	\N	\N	\N
186234	630	1997-12-05	VYDAJ	VYBER	800	16660	\N	\N	\N
186235	630	1998-01-04	PRIJEM	VKLAD	1500	19397	\N	\N	\N
186236	630	1998-02-03	PRIJEM	VKLAD	600	17755	\N	\N	\N
186237	630	1998-03-05	VYDAJ	VYBER	900	18095	\N	\N	\N
186238	630	1998-04-04	PRIJEM	VKLAD	400	19737	\N	\N	\N
186239	630	1998-05-04	VYDAJ	VYBER	1600	19386	\N	\N	\N
186240	630	1998-06-03	VYDAJ	VYBER	2800	16454	\N	\N	\N
186241	630	1998-07-03	VYDAJ	VYBER	600	16881	\N	\N	\N
186242	630	1998-08-02	PRIJEM	VKLAD	4400	21464	\N	\N	\N
186243	630	1998-09-01	PRIJEM	VKLAD	1800	24517	\N	\N	\N
186244	630	1998-10-01	PRIJEM	VKLAD	3800	29012	\N	\N	\N
186245	630	1998-10-31	PRIJEM	VKLAD	1700	31018	\N	\N	\N
186246	630	1998-11-30	VYDAJ	VYBER	800	31514	\N	\N	\N
186313	631	1996-03-25	PRIJEM	VKLAD	500	500	\N	\N	\N
186317	631	1996-04-08	PRIJEM	PREVOD Z UCTU	3592	4092	\N	AB	81947511
186318	631	1996-05-08	PRIJEM	PREVOD Z UCTU	3592	17397	\N	AB	81947511
186319	631	1996-06-08	PRIJEM	PREVOD Z UCTU	3592	21651	\N	AB	81947511
186320	631	1996-07-08	PRIJEM	PREVOD Z UCTU	3592	26123	\N	AB	81947511
186321	631	1996-08-08	PRIJEM	PREVOD Z UCTU	3592	28312	\N	AB	81947511
186322	631	1996-09-08	PRIJEM	PREVOD Z UCTU	3592	23775	\N	AB	81947511
186323	631	1996-10-08	PRIJEM	PREVOD Z UCTU	3592	19449	\N	AB	81947511
186324	631	1996-11-08	PRIJEM	PREVOD Z UCTU	3592	16706	\N	AB	81947511
186325	631	1996-12-08	PRIJEM	PREVOD Z UCTU	3592	18539	\N	AB	81947511
186326	631	1997-01-08	PRIJEM	PREVOD Z UCTU	3592	17827	\N	AB	81947511
186327	631	1997-02-08	PRIJEM	PREVOD Z UCTU	3592	18315	\N	AB	81947511
186328	631	1997-03-08	PRIJEM	PREVOD Z UCTU	3592	24282	\N	AB	81947511
186329	631	1997-04-08	PRIJEM	PREVOD Z UCTU	3592	25766	\N	AB	81947511
186330	631	1997-05-08	PRIJEM	PREVOD Z UCTU	3592	22848	\N	AB	81947511
186331	631	1997-06-08	PRIJEM	PREVOD Z UCTU	3592	24527	\N	AB	81947511
186332	631	1997-07-08	PRIJEM	PREVOD Z UCTU	3592	20944	\N	AB	81947511
186333	631	1997-08-08	PRIJEM	PREVOD Z UCTU	3592	24818	\N	AB	81947511
186334	631	1997-09-08	PRIJEM	PREVOD Z UCTU	3592	29411	\N	AB	81947511
186335	631	1997-10-08	PRIJEM	PREVOD Z UCTU	3592	27529	\N	AB	81947511
186336	631	1997-11-08	PRIJEM	PREVOD Z UCTU	3592	31130	\N	AB	81947511
186337	631	1997-12-08	PRIJEM	PREVOD Z UCTU	3592	33106	\N	AB	81947511
186338	631	1998-01-08	PRIJEM	PREVOD Z UCTU	3592	33255	\N	AB	81947511
186339	631	1998-02-08	PRIJEM	PREVOD Z UCTU	3592	27355	\N	AB	81947511
186340	631	1998-03-08	PRIJEM	PREVOD Z UCTU	3592	28551	\N	AB	81947511
186341	631	1998-04-08	PRIJEM	PREVOD Z UCTU	3592	26344	\N	AB	81947511
186342	631	1998-05-08	PRIJEM	PREVOD Z UCTU	3592	25330	\N	AB	81947511
186343	631	1998-06-08	PRIJEM	PREVOD Z UCTU	3592	28072	\N	AB	81947511
186344	631	1998-07-08	PRIJEM	PREVOD Z UCTU	3592	25508	\N	AB	81947511
186345	631	1998-08-08	PRIJEM	PREVOD Z UCTU	3592	32711	\N	AB	81947511
186346	631	1998-09-08	PRIJEM	PREVOD Z UCTU	3592	36335	\N	AB	81947511
186347	631	1998-10-08	PRIJEM	PREVOD Z UCTU	3592	35963	\N	AB	81947511
186348	631	1998-11-08	PRIJEM	PREVOD Z UCTU	3592	37846	\N	AB	81947511
186349	631	1998-12-08	PRIJEM	PREVOD Z UCTU	3592	42908	\N	AB	81947511
186358	631	1996-09-07	VYDAJ	PREVOD NA UCET	2394	20183	SIPO	GH	89184629
186359	631	1996-10-07	VYDAJ	PREVOD NA UCET	2394	15857	SIPO	GH	89184629
186360	631	1996-11-07	VYDAJ	PREVOD NA UCET	2394	13114	SIPO	GH	89184629
186361	631	1996-12-07	VYDAJ	PREVOD NA UCET	2394	14947	SIPO	GH	89184629
186362	631	1997-01-07	VYDAJ	PREVOD NA UCET	2394	14235	SIPO	GH	89184629
186363	631	1997-02-07	VYDAJ	PREVOD NA UCET	2394	14723	SIPO	GH	89184629
186364	631	1997-03-07	VYDAJ	PREVOD NA UCET	2394	20690	SIPO	GH	89184629
186365	631	1997-04-07	VYDAJ	PREVOD NA UCET	2394	22174	SIPO	GH	89184629
186366	631	1997-05-07	VYDAJ	PREVOD NA UCET	2394	19256	SIPO	GH	89184629
186367	631	1997-06-07	VYDAJ	PREVOD NA UCET	2394	20935	SIPO	GH	89184629
186368	631	1997-07-07	VYDAJ	PREVOD NA UCET	2394	17352	SIPO	GH	89184629
186369	631	1997-08-07	VYDAJ	PREVOD NA UCET	2394	21226	SIPO	GH	89184629
186370	631	1997-09-07	VYDAJ	PREVOD NA UCET	2394	25819	SIPO	GH	89184629
186371	631	1997-10-07	VYDAJ	PREVOD NA UCET	2394	23937	SIPO	GH	89184629
186372	631	1997-11-07	VYDAJ	PREVOD NA UCET	2394	27538	SIPO	GH	89184629
186373	631	1997-12-07	VYDAJ	PREVOD NA UCET	2394	29514	SIPO	GH	89184629
186374	631	1998-01-07	VYDAJ	PREVOD NA UCET	2394	29663	SIPO	GH	89184629
186375	631	1998-02-07	VYDAJ	PREVOD NA UCET	2394	23763	SIPO	GH	89184629
186376	631	1998-03-07	VYDAJ	PREVOD NA UCET	2394	24959	SIPO	GH	89184629
186377	631	1998-04-07	VYDAJ	PREVOD NA UCET	2394	22752	SIPO	GH	89184629
186378	631	1998-05-07	VYDAJ	PREVOD NA UCET	2394	21738	SIPO	GH	89184629
186379	631	1998-06-07	VYDAJ	PREVOD NA UCET	2394	24480	SIPO	GH	89184629
186380	631	1998-07-07	VYDAJ	PREVOD NA UCET	2394	21916	SIPO	GH	89184629
186381	631	1998-08-07	VYDAJ	PREVOD NA UCET	2394	29119	SIPO	GH	89184629
186382	631	1998-09-07	VYDAJ	PREVOD NA UCET	2394	32743	SIPO	GH	89184629
186383	631	1998-10-07	VYDAJ	PREVOD NA UCET	2394	32371	SIPO	GH	89184629
186384	631	1998-11-07	VYDAJ	PREVOD NA UCET	2394	34254	SIPO	GH	89184629
186385	631	1998-12-07	VYDAJ	PREVOD NA UCET	2394	39316	SIPO	GH	89184629
186387	631	1997-06-09	VYDAJ	VYBER	5520	19007	\N	\N	\N
186388	631	1998-06-09	VYDAJ	VYBER	5550	22522	\N	\N	\N
186390	631	1997-01-23	VYDAJ	VYBER	1440	19067	\N	\N	\N
186391	631	1998-01-29	VYDAJ	VYBER	1950	26435	\N	\N	\N
186392	631	1996-12-02	VYDAJ	VYBER	420	17341	\N	\N	\N
186393	631	1997-12-05	VYDAJ	VYBER	840	31908	\N	\N	\N
186394	631	1998-12-08	VYDAJ	VYBER	720	42188	\N	\N	\N
186401	631	1997-01-15	VYDAJ	VYBER	150	17137	\N	\N	\N
186402	631	1997-01-25	VYDAJ	VYBER	330	18737	\N	\N	\N
186403	631	1997-01-17	VYDAJ	VYBER	330	16807	\N	\N	\N
186404	631	1997-01-02	VYDAJ	VYBER	870	16629	\N	\N	\N
186405	631	1997-01-26	VYDAJ	VYBER	570	18167	\N	\N	\N
186406	631	1997-01-10	VYDAJ	VYBER	540	17287	\N	\N	\N
186407	631	1998-01-13	VYDAJ	VYBER	210	33045	\N	\N	\N
186408	631	1998-01-19	VYDAJ	VYBER	810	29135	\N	\N	\N
186409	631	1998-01-05	VYDAJ	VYBER	570	32057	\N	\N	\N
186410	631	1998-01-01	VYDAJ	VYBER	300	32627	\N	\N	\N
186411	631	1998-01-26	VYDAJ	VYBER	300	28835	\N	\N	\N
186412	631	1998-01-27	VYDAJ	VYBER	450	28385	\N	\N	\N
186415	631	1996-08-21	VYDAJ	VYBER	390	27922	\N	\N	\N
186416	631	1996-08-25	VYDAJ	VYBER	330	22492	\N	\N	\N
186418	631	1997-06-12	VYDAJ	VYBER	960	17777	\N	\N	\N
186419	631	1997-09-12	VYDAJ	VYBER	180	29231	\N	\N	\N
186420	631	1997-02-05	VYDAJ	VYBER	1110	17117	\N	\N	\N
186421	631	1997-11-22	VYDAJ	VYBER	300	32630	\N	\N	\N
186422	631	1997-06-10	VYDAJ	VYBER	270	18737	\N	\N	\N
186423	631	1998-12-04	VYDAJ	VYBER	390	41710	\N	\N	\N
186424	631	1998-02-03	VYDAJ	VYBER	390	26157	\N	\N	\N
186425	631	1998-10-12	VYDAJ	VYBER	750	36513	\N	\N	\N
186426	631	1998-05-27	VYDAJ	VYBER	450	26780	\N	\N	\N
186435	631	1996-08-31	VYDAJ	VYBER	15	22577	SLUZBY	\N	\N
186436	631	1996-09-30	VYDAJ	VYBER	15	18251	SLUZBY	\N	\N
186437	631	1996-10-31	VYDAJ	VYBER	15	15508	SLUZBY	\N	\N
186438	631	1996-11-30	VYDAJ	VYBER	15	17761	SLUZBY	\N	\N
186439	631	1996-12-31	VYDAJ	VYBER	15	17499	SLUZBY	\N	\N
186440	631	1997-01-31	VYDAJ	VYBER	15	18227	SLUZBY	\N	\N
186441	631	1997-02-28	VYDAJ	VYBER	15	23084	SLUZBY	\N	\N
186442	631	1997-03-31	VYDAJ	VYBER	15	24568	SLUZBY	\N	\N
186443	631	1997-04-30	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
186444	631	1997-05-31	VYDAJ	VYBER	15	23329	SLUZBY	\N	\N
186445	631	1997-06-30	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
186446	631	1997-07-31	VYDAJ	VYBER	15	23620	SLUZBY	\N	\N
186447	631	1997-08-31	VYDAJ	VYBER	15	28213	SLUZBY	\N	\N
186448	631	1997-09-30	VYDAJ	VYBER	15	26331	SLUZBY	\N	\N
186449	631	1997-10-31	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
186450	631	1997-11-30	VYDAJ	VYBER	15	32748	SLUZBY	\N	\N
186451	631	1997-12-31	VYDAJ	VYBER	15	32927	SLUZBY	\N	\N
186452	631	1998-01-31	VYDAJ	VYBER	15	26547	SLUZBY	\N	\N
186453	631	1998-02-28	VYDAJ	VYBER	15	27353	SLUZBY	\N	\N
186454	631	1998-03-31	VYDAJ	VYBER	15	25146	SLUZBY	\N	\N
186455	631	1998-04-30	VYDAJ	VYBER	15	24132	SLUZBY	\N	\N
186456	631	1998-05-31	VYDAJ	VYBER	15	26874	SLUZBY	\N	\N
186457	631	1998-06-30	VYDAJ	VYBER	15	24310	SLUZBY	\N	\N
186458	631	1998-07-31	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
186459	631	1998-08-31	VYDAJ	VYBER	15	35137	SLUZBY	\N	\N
186460	631	1998-09-30	VYDAJ	VYBER	15	34765	SLUZBY	\N	\N
186461	631	1998-10-31	VYDAJ	VYBER	15	36648	SLUZBY	\N	\N
186462	631	1998-11-30	VYDAJ	VYBER	15	42100	SLUZBY	\N	\N
186463	631	1996-04-24	PRIJEM	VKLAD	9700	13792	\N	\N	\N
186464	631	1996-05-24	PRIJEM	VKLAD	600	17997	\N	\N	\N
186465	631	1996-06-23	PRIJEM	VKLAD	800	22451	\N	\N	\N
186466	631	1996-07-23	VYDAJ	VYBER	1500	24623	\N	\N	\N
186467	631	1996-08-22	VYDAJ	VYBER	5100	22822	\N	\N	\N
186468	631	1996-09-21	VYDAJ	VYBER	5600	18175	\N	\N	\N
186469	631	1996-10-21	VYDAJ	VYBER	4000	15449	\N	\N	\N
186470	631	1996-11-20	PRIJEM	VKLAD	1000	17706	\N	\N	\N
186471	631	1996-12-20	VYDAJ	VYBER	1100	17439	\N	\N	\N
186472	631	1997-01-19	PRIJEM	VKLAD	3700	20507	\N	\N	\N
186473	631	1997-02-18	PRIJEM	VKLAD	4700	23015	\N	\N	\N
186474	631	1997-03-20	PRIJEM	VKLAD	200	24482	\N	\N	\N
186475	631	1997-04-19	VYDAJ	VYBER	4200	21566	\N	\N	\N
186476	631	1997-05-19	PRIJEM	VKLAD	400	23248	\N	\N	\N
186477	631	1997-06-18	PRIJEM	VKLAD	1900	19677	\N	\N	\N
186478	631	1997-07-18	PRIJEM	VKLAD	2600	23544	\N	\N	\N
186479	631	1997-08-17	PRIJEM	VKLAD	3300	28118	\N	\N	\N
186480	631	1997-09-16	VYDAJ	VYBER	3000	26231	\N	\N	\N
186481	631	1997-10-16	PRIJEM	VKLAD	2300	29829	\N	\N	\N
186482	631	1997-11-15	PRIJEM	VKLAD	1800	32930	\N	\N	\N
186483	631	1997-12-15	VYDAJ	VYBER	300	32806	\N	\N	\N
186484	631	1998-01-14	VYDAJ	VYBER	3100	29945	\N	\N	\N
186485	631	1998-02-13	VYDAJ	VYBER	100	27255	\N	\N	\N
186486	631	1998-03-15	VYDAJ	VYBER	3500	25051	\N	\N	\N
186487	631	1998-04-14	VYDAJ	VYBER	2300	24044	\N	\N	\N
186488	631	1998-05-14	PRIJEM	VKLAD	1900	27230	\N	\N	\N
186489	631	1998-06-13	PRIJEM	VKLAD	1700	24222	\N	\N	\N
186490	631	1998-07-13	PRIJEM	VKLAD	5900	31408	\N	\N	\N
186491	631	1998-08-12	PRIJEM	VKLAD	2300	35011	\N	\N	\N
186492	631	1998-09-11	VYDAJ	VYBER	1700	34635	\N	\N	\N
186493	631	1998-10-11	PRIJEM	VKLAD	1300	37263	\N	\N	\N
186494	631	1998-11-10	PRIJEM	VKLAD	4100	41946	\N	\N	\N
186528	632	1996-05-14	PRIJEM	VKLAD	400	400	\N	\N	\N
186534	632	1996-06-10	PRIJEM	PREVOD Z UCTU	3200	3600	\N	WX	12723666
186535	632	1996-07-10	PRIJEM	PREVOD Z UCTU	3200	6800	\N	WX	12723666
186536	632	1996-08-10	PRIJEM	PREVOD Z UCTU	3200	10000	\N	WX	12723666
186537	632	1996-09-10	PRIJEM	PREVOD Z UCTU	3200	13200	\N	WX	12723666
186538	632	1996-10-10	PRIJEM	PREVOD Z UCTU	3200	16400	\N	WX	12723666
186539	632	1996-11-10	PRIJEM	PREVOD Z UCTU	3200	17498	\N	WX	12723666
186540	632	1996-12-10	PRIJEM	PREVOD Z UCTU	3200	17820	\N	WX	12723666
186541	632	1997-01-10	PRIJEM	PREVOD Z UCTU	3200	15598	\N	WX	12723666
186542	632	1997-02-10	PRIJEM	PREVOD Z UCTU	3200	15116	\N	WX	12723666
186543	632	1997-03-10	PRIJEM	PREVOD Z UCTU	3200	16228	\N	WX	12723666
186544	632	1997-04-10	PRIJEM	PREVOD Z UCTU	3200	17345	\N	WX	12723666
186545	632	1997-05-10	PRIJEM	PREVOD Z UCTU	3200	18463	\N	WX	12723666
186546	632	1997-06-10	PRIJEM	PREVOD Z UCTU	3200	19589	\N	WX	12723666
186547	632	1997-07-10	PRIJEM	PREVOD Z UCTU	3200	19335	\N	WX	12723666
186548	632	1997-08-10	PRIJEM	PREVOD Z UCTU	3200	20465	\N	WX	12723666
186549	632	1997-09-10	PRIJEM	PREVOD Z UCTU	3200	21116	\N	WX	12723666
186550	632	1997-10-10	PRIJEM	PREVOD Z UCTU	3200	20988	\N	WX	12723666
186551	632	1997-11-10	PRIJEM	PREVOD Z UCTU	3200	22125	\N	WX	12723666
186552	632	1997-12-10	PRIJEM	PREVOD Z UCTU	3200	22153	\N	WX	12723666
186553	632	1998-01-10	PRIJEM	PREVOD Z UCTU	3200	22332	\N	WX	12723666
186554	632	1998-02-10	PRIJEM	PREVOD Z UCTU	3200	19148	\N	WX	12723666
186555	632	1998-03-10	PRIJEM	PREVOD Z UCTU	3200	20275	\N	WX	12723666
186556	632	1998-04-10	PRIJEM	PREVOD Z UCTU	3200	21405	\N	WX	12723666
186557	632	1998-05-10	PRIJEM	PREVOD Z UCTU	3200	21192	\N	WX	12723666
186558	632	1998-06-10	PRIJEM	PREVOD Z UCTU	3200	21550	\N	WX	12723666
186559	632	1998-07-10	PRIJEM	PREVOD Z UCTU	3200	18725	\N	WX	12723666
186560	632	1998-08-10	PRIJEM	PREVOD Z UCTU	3200	19852	\N	WX	12723666
186561	632	1998-09-10	PRIJEM	PREVOD Z UCTU	3200	20981	\N	WX	12723666
186562	632	1998-10-10	PRIJEM	PREVOD Z UCTU	3200	22117	\N	WX	12723666
186563	632	1998-11-10	PRIJEM	PREVOD Z UCTU	3200	21785	\N	WX	12723666
186564	632	1998-12-10	PRIJEM	PREVOD Z UCTU	3200	22293	\N	WX	12723666
186575	632	1996-11-06	VYDAJ	PREVOD NA UCET	842	14497	\N	OP	31188458
186576	632	1996-12-06	VYDAJ	PREVOD NA UCET	842	14819	\N	OP	31188458
186577	632	1997-01-06	VYDAJ	PREVOD NA UCET	842	12597	\N	OP	31188458
186578	632	1997-02-06	VYDAJ	PREVOD NA UCET	842	12115	\N	OP	31188458
186579	632	1997-03-06	VYDAJ	PREVOD NA UCET	842	13227	\N	OP	31188458
186580	632	1997-04-06	VYDAJ	PREVOD NA UCET	842	14344	\N	OP	31188458
186581	632	1997-05-06	VYDAJ	PREVOD NA UCET	842	15462	\N	OP	31188458
186582	632	1997-06-06	VYDAJ	PREVOD NA UCET	842	16588	\N	OP	31188458
186583	632	1997-07-06	VYDAJ	PREVOD NA UCET	842	16334	\N	OP	31188458
186584	632	1997-08-06	VYDAJ	PREVOD NA UCET	842	17464	\N	OP	31188458
186585	632	1997-09-06	VYDAJ	PREVOD NA UCET	842	18115	\N	OP	31188458
186586	632	1997-10-06	VYDAJ	PREVOD NA UCET	842	17987	\N	OP	31188458
186587	632	1997-11-06	VYDAJ	PREVOD NA UCET	842	19124	\N	OP	31188458
186588	632	1997-12-06	VYDAJ	PREVOD NA UCET	842	19152	\N	OP	31188458
186589	632	1998-01-06	VYDAJ	PREVOD NA UCET	842	19661	\N	OP	31188458
186590	632	1998-02-06	VYDAJ	PREVOD NA UCET	842	17107	\N	OP	31188458
186591	632	1998-03-06	VYDAJ	PREVOD NA UCET	842	17274	\N	OP	31188458
186592	632	1998-04-06	VYDAJ	PREVOD NA UCET	842	18404	\N	OP	31188458
186593	632	1998-05-06	VYDAJ	PREVOD NA UCET	842	18191	\N	OP	31188458
186594	632	1998-06-06	VYDAJ	PREVOD NA UCET	842	19329	\N	OP	31188458
186595	632	1998-07-06	VYDAJ	PREVOD NA UCET	842	15724	\N	OP	31188458
186596	632	1998-08-06	VYDAJ	PREVOD NA UCET	842	16851	\N	OP	31188458
186597	632	1998-09-06	VYDAJ	PREVOD NA UCET	842	17980	\N	OP	31188458
186598	632	1998-10-06	VYDAJ	PREVOD NA UCET	842	19116	\N	OP	31188458
186599	632	1998-11-06	VYDAJ	PREVOD NA UCET	842	20254	\N	OP	31188458
186600	632	1998-12-06	VYDAJ	PREVOD NA UCET	842	19292	\N	OP	31188458
186611	632	1996-11-07	VYDAJ	PREVOD NA UCET	199	14298	\N	CD	54220384
186612	632	1996-12-07	VYDAJ	PREVOD NA UCET	199	14620	\N	CD	54220384
186613	632	1997-01-07	VYDAJ	PREVOD NA UCET	199	12398	\N	CD	54220384
186614	632	1997-02-07	VYDAJ	PREVOD NA UCET	199	11916	\N	CD	54220384
186615	632	1997-03-07	VYDAJ	PREVOD NA UCET	199	13028	\N	CD	54220384
186616	632	1997-04-07	VYDAJ	PREVOD NA UCET	199	14145	\N	CD	54220384
186617	632	1997-05-07	VYDAJ	PREVOD NA UCET	199	15263	\N	CD	54220384
186618	632	1997-06-07	VYDAJ	PREVOD NA UCET	199	16389	\N	CD	54220384
186619	632	1997-07-07	VYDAJ	PREVOD NA UCET	199	16135	\N	CD	54220384
186620	632	1997-08-07	VYDAJ	PREVOD NA UCET	199	17265	\N	CD	54220384
186621	632	1997-09-07	VYDAJ	PREVOD NA UCET	199	17916	\N	CD	54220384
186622	632	1997-10-07	VYDAJ	PREVOD NA UCET	199	17788	\N	CD	54220384
186623	632	1997-11-07	VYDAJ	PREVOD NA UCET	199	18925	\N	CD	54220384
186624	632	1997-12-07	VYDAJ	PREVOD NA UCET	199	18953	\N	CD	54220384
186625	632	1998-01-07	VYDAJ	PREVOD NA UCET	199	19462	\N	CD	54220384
186626	632	1998-02-07	VYDAJ	PREVOD NA UCET	199	16908	\N	CD	54220384
186627	632	1998-03-07	VYDAJ	PREVOD NA UCET	199	17075	\N	CD	54220384
186628	632	1998-04-07	VYDAJ	PREVOD NA UCET	199	18205	\N	CD	54220384
186629	632	1998-05-07	VYDAJ	PREVOD NA UCET	199	17992	\N	CD	54220384
186630	632	1998-06-07	VYDAJ	PREVOD NA UCET	199	19130	\N	CD	54220384
186631	632	1998-07-07	VYDAJ	PREVOD NA UCET	199	15525	\N	CD	54220384
186632	632	1998-08-07	VYDAJ	PREVOD NA UCET	199	16652	\N	CD	54220384
186633	632	1998-09-07	VYDAJ	PREVOD NA UCET	199	17781	\N	CD	54220384
186634	632	1998-10-07	VYDAJ	PREVOD NA UCET	199	18917	\N	CD	54220384
186635	632	1998-11-07	VYDAJ	PREVOD NA UCET	199	20055	\N	CD	54220384
186636	632	1998-12-07	VYDAJ	PREVOD NA UCET	199	19093	\N	CD	54220384
186646	632	1996-10-10	VYDAJ	PREVOD NA UCET	1092	15308	\N	ST	95301532
186647	632	1996-11-10	VYDAJ	PREVOD NA UCET	1092	16406	\N	ST	95301532
186648	632	1996-12-10	VYDAJ	PREVOD NA UCET	1092	16728	\N	ST	95301532
186649	632	1997-01-10	VYDAJ	PREVOD NA UCET	1092	14506	\N	ST	95301532
186650	632	1997-02-10	VYDAJ	PREVOD NA UCET	1092	14024	\N	ST	95301532
186651	632	1997-03-10	VYDAJ	PREVOD NA UCET	1092	15136	\N	ST	95301532
186652	632	1997-04-10	VYDAJ	PREVOD NA UCET	1092	16253	\N	ST	95301532
186653	632	1997-05-10	VYDAJ	PREVOD NA UCET	1092	17371	\N	ST	95301532
186654	632	1997-06-10	VYDAJ	PREVOD NA UCET	1092	18497	\N	ST	95301532
186655	632	1997-07-10	VYDAJ	PREVOD NA UCET	1092	18243	\N	ST	95301532
186656	632	1997-08-10	VYDAJ	PREVOD NA UCET	1092	19373	\N	ST	95301532
186657	632	1997-09-10	VYDAJ	PREVOD NA UCET	1092	20024	\N	ST	95301532
186658	632	1997-10-10	VYDAJ	PREVOD NA UCET	1092	19896	\N	ST	95301532
186659	632	1997-11-10	VYDAJ	PREVOD NA UCET	1092	21033	\N	ST	95301532
186660	632	1997-12-10	VYDAJ	PREVOD NA UCET	1092	21061	\N	ST	95301532
186661	632	1998-01-10	VYDAJ	PREVOD NA UCET	1092	21240	\N	ST	95301532
186662	632	1998-02-10	VYDAJ	PREVOD NA UCET	1092	18056	\N	ST	95301532
186663	632	1998-03-10	VYDAJ	PREVOD NA UCET	1092	19183	\N	ST	95301532
186664	632	1998-04-10	VYDAJ	PREVOD NA UCET	1092	20313	\N	ST	95301532
186665	632	1998-05-10	VYDAJ	PREVOD NA UCET	1092	20100	\N	ST	95301532
186666	632	1998-06-10	VYDAJ	PREVOD NA UCET	1092	20458	\N	ST	95301532
186667	632	1998-07-10	VYDAJ	PREVOD NA UCET	1092	17633	\N	ST	95301532
186668	632	1998-08-10	VYDAJ	PREVOD NA UCET	1092	18760	\N	ST	95301532
186669	632	1998-09-10	VYDAJ	PREVOD NA UCET	1092	19889	\N	ST	95301532
186670	632	1998-10-10	VYDAJ	PREVOD NA UCET	1092	21025	\N	ST	95301532
186671	632	1998-11-10	VYDAJ	PREVOD NA UCET	1092	20693	\N	ST	95301532
186672	632	1998-12-10	VYDAJ	PREVOD NA UCET	1092	21201	\N	ST	95301532
186674	632	1997-06-22	VYDAJ	VYBER	1380	17117	\N	\N	\N
186675	632	1998-06-25	VYDAJ	VYBER	3960	16498	\N	\N	\N
186677	632	1997-01-10	VYDAJ	VYBER	720	13786	\N	\N	\N
186678	632	1998-01-24	VYDAJ	VYBER	1170	18540	\N	\N	\N
186679	632	1996-12-19	VYDAJ	VYBER	210	14918	\N	\N	\N
186680	632	1997-12-18	VYDAJ	VYBER	270	20791	\N	\N	\N
186681	632	1998-12-03	VYDAJ	VYBER	630	20134	\N	\N	\N
186688	632	1997-01-02	VYDAJ	VYBER	600	14009	\N	\N	\N
186689	632	1997-01-05	VYDAJ	VYBER	330	13439	\N	\N	\N
186690	632	1997-01-17	VYDAJ	VYBER	270	13516	\N	\N	\N
186691	632	1997-01-25	VYDAJ	VYBER	600	12916	\N	\N	\N
186692	632	1997-01-01	VYDAJ	VYBER	360	14609	\N	\N	\N
186694	632	1998-01-24	VYDAJ	VYBER	510	18030	\N	\N	\N
186695	632	1998-01-23	VYDAJ	VYBER	660	19710	\N	\N	\N
186696	632	1998-01-08	VYDAJ	VYBER	330	19132	\N	\N	\N
186697	632	1998-01-03	VYDAJ	VYBER	360	20503	\N	\N	\N
186698	632	1998-01-27	VYDAJ	VYBER	150	17880	\N	\N	\N
186699	632	1998-01-22	VYDAJ	VYBER	870	20370	\N	\N	\N
186704	632	1997-09-17	VYDAJ	VYBER	1260	18764	\N	\N	\N
186705	632	1997-11-20	VYDAJ	VYBER	720	20313	\N	\N	\N
186706	632	1997-09-01	VYDAJ	VYBER	480	18957	\N	\N	\N
186707	632	1997-01-03	VYDAJ	VYBER	240	13769	\N	\N	\N
186708	632	1997-12-04	VYDAJ	VYBER	390	19994	\N	\N	\N
186709	632	1998-11-09	VYDAJ	VYBER	1470	18585	\N	\N	\N
186710	632	1998-04-27	VYDAJ	VYBER	1350	18963	\N	\N	\N
186711	632	1998-02-09	VYDAJ	VYBER	960	15948	\N	\N	\N
186712	632	1998-06-09	VYDAJ	VYBER	780	18350	\N	\N	\N
186713	632	1998-12-20	VYDAJ	VYBER	240	20961	\N	\N	\N
186724	632	1996-10-31	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
186725	632	1996-11-30	VYDAJ	VYBER	15	15661	SLUZBY	\N	\N
186726	632	1996-12-31	VYDAJ	VYBER	15	14969	SLUZBY	\N	\N
186727	632	1997-01-31	VYDAJ	VYBER	15	12957	SLUZBY	\N	\N
186728	632	1997-02-28	VYDAJ	VYBER	15	14069	SLUZBY	\N	\N
186729	632	1997-03-31	VYDAJ	VYBER	15	15186	SLUZBY	\N	\N
186730	632	1997-04-30	VYDAJ	VYBER	15	16304	SLUZBY	\N	\N
186731	632	1997-05-31	VYDAJ	VYBER	15	17430	SLUZBY	\N	\N
186732	632	1997-06-30	VYDAJ	VYBER	15	17176	SLUZBY	\N	\N
186733	632	1997-07-31	VYDAJ	VYBER	15	18306	SLUZBY	\N	\N
186734	632	1997-08-31	VYDAJ	VYBER	15	19437	SLUZBY	\N	\N
186735	632	1997-09-30	VYDAJ	VYBER	15	18829	SLUZBY	\N	\N
186736	632	1997-10-31	VYDAJ	VYBER	15	19966	SLUZBY	\N	\N
186737	632	1997-11-30	VYDAJ	VYBER	15	20384	SLUZBY	\N	\N
186738	632	1997-12-31	VYDAJ	VYBER	15	20863	SLUZBY	\N	\N
186739	632	1998-01-31	VYDAJ	VYBER	15	17949	SLUZBY	\N	\N
186740	632	1998-02-28	VYDAJ	VYBER	15	18116	SLUZBY	\N	\N
186741	632	1998-03-31	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
186742	632	1998-04-30	VYDAJ	VYBER	15	19033	SLUZBY	\N	\N
186743	632	1998-05-31	VYDAJ	VYBER	15	20171	SLUZBY	\N	\N
186744	632	1998-06-30	VYDAJ	VYBER	15	16566	SLUZBY	\N	\N
186745	632	1998-07-31	VYDAJ	VYBER	15	17693	SLUZBY	\N	\N
186746	632	1998-08-31	VYDAJ	VYBER	15	18822	SLUZBY	\N	\N
186747	632	1998-09-30	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
186748	632	1998-10-31	VYDAJ	VYBER	15	21096	SLUZBY	\N	\N
186749	632	1998-11-30	VYDAJ	VYBER	15	20764	SLUZBY	\N	\N
186750	632	1996-11-10	VYDAJ	VYBER	800	15606	\N	\N	\N
186751	632	1996-12-10	VYDAJ	VYBER	1600	15128	\N	\N	\N
186779	633	1995-12-06	PRIJEM	VKLAD	700	700	\N	\N	\N
186791	633	1995-12-13	PRIJEM	PREVOD Z UCTU	5036	5736	DUCHOD	IJ	23016327
186792	633	1996-01-13	PRIJEM	PREVOD Z UCTU	5036	10787	DUCHOD	IJ	23016327
186793	633	1996-02-13	PRIJEM	PREVOD Z UCTU	5036	15847	DUCHOD	IJ	23016327
186794	633	1996-03-13	PRIJEM	PREVOD Z UCTU	5036	20906	DUCHOD	IJ	23016327
186795	633	1996-04-13	PRIJEM	PREVOD Z UCTU	5036	25966	DUCHOD	IJ	23016327
186796	633	1996-05-13	PRIJEM	PREVOD Z UCTU	5036	27837	DUCHOD	IJ	23016327
186797	633	1996-06-13	PRIJEM	PREVOD Z UCTU	5036	29795	DUCHOD	IJ	23016327
186798	633	1996-07-13	PRIJEM	PREVOD Z UCTU	5036	16605	DUCHOD	IJ	23016327
186799	633	1996-08-13	PRIJEM	PREVOD Z UCTU	5036	15231	DUCHOD	IJ	23016327
186800	633	1996-09-13	PRIJEM	PREVOD Z UCTU	5036	17136	DUCHOD	IJ	23016327
186801	633	1996-10-13	PRIJEM	PREVOD Z UCTU	5036	19049	DUCHOD	IJ	23016327
186802	633	1996-11-13	PRIJEM	PREVOD Z UCTU	5036	20969	DUCHOD	IJ	23016327
186803	633	1996-12-13	PRIJEM	PREVOD Z UCTU	5036	22898	DUCHOD	IJ	23016327
186804	633	1997-01-13	PRIJEM	PREVOD Z UCTU	5036	23794	DUCHOD	IJ	23016327
186805	633	1997-02-13	PRIJEM	PREVOD Z UCTU	5036	18447	DUCHOD	IJ	23016327
186806	633	1997-03-13	PRIJEM	PREVOD Z UCTU	5036	18743	DUCHOD	IJ	23016327
186807	633	1997-04-13	PRIJEM	PREVOD Z UCTU	5036	17938	DUCHOD	IJ	23016327
186808	633	1997-05-13	PRIJEM	PREVOD Z UCTU	5036	17294	DUCHOD	IJ	23016327
186809	633	1997-06-13	PRIJEM	PREVOD Z UCTU	5036	19208	DUCHOD	IJ	23016327
186810	633	1997-07-13	PRIJEM	PREVOD Z UCTU	5036	19428	DUCHOD	IJ	23016327
186811	633	1997-08-13	PRIJEM	PREVOD Z UCTU	5036	19849	DUCHOD	IJ	23016327
186812	633	1997-09-13	PRIJEM	PREVOD Z UCTU	5036	20673	DUCHOD	IJ	23016327
186813	633	1997-10-13	PRIJEM	PREVOD Z UCTU	5036	21499	DUCHOD	IJ	23016327
186814	633	1997-11-13	PRIJEM	PREVOD Z UCTU	5036	21228	DUCHOD	IJ	23016327
186815	633	1997-12-13	PRIJEM	PREVOD Z UCTU	5036	17994	DUCHOD	IJ	23016327
186816	633	1998-01-13	PRIJEM	PREVOD Z UCTU	5036	15687	DUCHOD	IJ	23016327
186817	633	1998-02-13	PRIJEM	PREVOD Z UCTU	5036	15988	DUCHOD	IJ	23016327
186818	633	1998-03-13	PRIJEM	PREVOD Z UCTU	5036	16595	DUCHOD	IJ	23016327
186819	633	1998-04-13	PRIJEM	PREVOD Z UCTU	5036	17704	DUCHOD	IJ	23016327
186820	633	1998-05-13	PRIJEM	PREVOD Z UCTU	5036	16176	DUCHOD	IJ	23016327
186821	633	1998-06-13	PRIJEM	PREVOD Z UCTU	5036	18084	DUCHOD	IJ	23016327
186822	633	1998-07-13	PRIJEM	PREVOD Z UCTU	5036	14654	DUCHOD	IJ	23016327
186823	633	1998-08-13	PRIJEM	PREVOD Z UCTU	5036	16556	DUCHOD	IJ	23016327
186824	633	1998-09-13	PRIJEM	PREVOD Z UCTU	5036	17865	DUCHOD	IJ	23016327
186825	633	1998-10-13	PRIJEM	PREVOD Z UCTU	5036	17877	DUCHOD	IJ	23016327
186826	633	1998-11-13	PRIJEM	PREVOD Z UCTU	5036	18352	DUCHOD	IJ	23016327
186827	633	1998-12-13	PRIJEM	PREVOD Z UCTU	5036	19019	DUCHOD	IJ	23016327
186844	633	1996-05-08	VYDAJ	PREVOD NA UCET	3177	22801	SIPO	KL	56019914
186845	633	1996-06-08	VYDAJ	PREVOD NA UCET	3177	24759	SIPO	KL	56019914
186846	633	1996-07-08	VYDAJ	PREVOD NA UCET	3177	14769	SIPO	KL	56019914
186847	633	1996-08-08	VYDAJ	PREVOD NA UCET	3177	10195	SIPO	KL	56019914
186848	633	1996-09-08	VYDAJ	PREVOD NA UCET	3177	12100	SIPO	KL	56019914
186849	633	1996-10-08	VYDAJ	PREVOD NA UCET	3177	14013	SIPO	KL	56019914
186850	633	1996-11-08	VYDAJ	PREVOD NA UCET	3177	15933	SIPO	KL	56019914
186851	633	1996-12-08	VYDAJ	PREVOD NA UCET	3177	17862	SIPO	KL	56019914
186852	633	1997-01-08	VYDAJ	PREVOD NA UCET	3177	19398	SIPO	KL	56019914
186853	633	1997-02-08	VYDAJ	PREVOD NA UCET	3177	13411	SIPO	KL	56019914
186854	633	1997-03-08	VYDAJ	PREVOD NA UCET	3177	13707	SIPO	KL	56019914
186855	633	1997-04-08	VYDAJ	PREVOD NA UCET	3177	12902	SIPO	KL	56019914
186856	633	1997-05-08	VYDAJ	PREVOD NA UCET	3177	12258	SIPO	KL	56019914
186857	633	1997-06-08	VYDAJ	PREVOD NA UCET	3177	14172	SIPO	KL	56019914
186858	633	1997-07-08	VYDAJ	PREVOD NA UCET	3177	14392	SIPO	KL	56019914
186859	633	1997-08-08	VYDAJ	PREVOD NA UCET	3177	14813	SIPO	KL	56019914
186860	633	1997-09-08	VYDAJ	PREVOD NA UCET	3177	15637	SIPO	KL	56019914
186861	633	1997-10-08	VYDAJ	PREVOD NA UCET	3177	16463	SIPO	KL	56019914
186862	633	1997-11-08	VYDAJ	PREVOD NA UCET	3177	16192	SIPO	KL	56019914
186863	633	1997-12-08	VYDAJ	PREVOD NA UCET	3177	12958	SIPO	KL	56019914
186864	633	1998-01-08	VYDAJ	PREVOD NA UCET	3177	10651	SIPO	KL	56019914
186865	633	1998-02-08	VYDAJ	PREVOD NA UCET	3177	10952	SIPO	KL	56019914
186866	633	1998-03-08	VYDAJ	PREVOD NA UCET	3177	11559	SIPO	KL	56019914
186867	633	1998-04-08	VYDAJ	PREVOD NA UCET	3177	12668	SIPO	KL	56019914
186868	633	1998-05-08	VYDAJ	PREVOD NA UCET	3177	11140	SIPO	KL	56019914
186869	633	1998-06-08	VYDAJ	PREVOD NA UCET	3177	13048	SIPO	KL	56019914
186870	633	1998-07-08	VYDAJ	PREVOD NA UCET	3177	9618	SIPO	KL	56019914
186871	633	1998-08-08	VYDAJ	PREVOD NA UCET	3177	11520	SIPO	KL	56019914
186872	633	1998-09-08	VYDAJ	PREVOD NA UCET	3177	12829	SIPO	KL	56019914
186873	633	1998-10-08	VYDAJ	PREVOD NA UCET	3177	12841	SIPO	KL	56019914
186874	633	1998-11-08	VYDAJ	PREVOD NA UCET	3177	13316	SIPO	KL	56019914
186875	633	1998-12-08	VYDAJ	PREVOD NA UCET	3177	13983	SIPO	KL	56019914
186877	633	1996-06-28	VYDAJ	VYBER	11950	17845	\N	\N	\N
186881	633	1996-12-24	VYDAJ	VYBER	400	22498	\N	\N	\N
186882	633	1997-12-14	VYDAJ	VYBER	900	17094	\N	\N	\N
186883	633	1998-12-06	VYDAJ	VYBER	1250	17160	\N	\N	\N
186896	633	1997-01-12	VYDAJ	VYBER	640	18758	\N	\N	\N
186897	633	1997-01-29	VYDAJ	VYBER	1120	18194	\N	\N	\N
186898	633	1997-01-29	VYDAJ	VYBER	1680	16514	\N	\N	\N
186899	633	1997-01-20	VYDAJ	VYBER	1280	21634	\N	\N	\N
186900	633	1997-01-21	VYDAJ	VYBER	2320	19314	\N	\N	\N
186901	633	1997-01-18	VYDAJ	VYBER	880	22914	\N	\N	\N
186902	633	1998-01-03	VYDAJ	VYBER	1520	14228	\N	\N	\N
186904	633	1998-01-05	VYDAJ	VYBER	400	13828	\N	\N	\N
186905	633	1998-01-13	VYDAJ	VYBER	1600	14087	\N	\N	\N
186915	633	1996-07-08	VYDAJ	VYBER	3200	11569	\N	\N	\N
186918	633	1996-07-14	VYDAJ	VYBER	3280	13325	\N	\N	\N
186919	633	1997-12-07	VYDAJ	VYBER	2880	16135	\N	\N	\N
186920	633	1997-02-16	VYDAJ	VYBER	1120	17327	\N	\N	\N
186921	633	1997-05-05	VYDAJ	VYBER	2560	15435	\N	\N	\N
186922	633	1997-03-20	VYDAJ	VYBER	2720	16023	\N	\N	\N
186923	633	1997-11-15	VYDAJ	VYBER	1280	19948	\N	\N	\N
186925	633	1998-10-13	VYDAJ	VYBER	1440	16437	\N	\N	\N
186927	633	1998-04-25	VYDAJ	VYBER	2640	14264	\N	\N	\N
186928	633	1998-06-16	VYDAJ	VYBER	640	17444	\N	\N	\N
186946	633	1996-04-30	VYDAJ	VYBER	15	25978	SLUZBY	\N	\N
186947	633	1996-05-31	VYDAJ	VYBER	15	27936	SLUZBY	\N	\N
186948	633	1996-06-30	VYDAJ	VYBER	15	17946	SLUZBY	\N	\N
186949	633	1996-07-31	VYDAJ	VYBER	15	13372	SLUZBY	\N	\N
186950	633	1996-08-31	VYDAJ	VYBER	15	15277	SLUZBY	\N	\N
186951	633	1996-09-30	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
186952	633	1996-10-31	VYDAJ	VYBER	15	19110	SLUZBY	\N	\N
186953	633	1996-11-30	VYDAJ	VYBER	15	21039	SLUZBY	\N	\N
186954	633	1996-12-31	VYDAJ	VYBER	15	22575	SLUZBY	\N	\N
186955	633	1997-01-31	VYDAJ	VYBER	15	16588	SLUZBY	\N	\N
186956	633	1997-02-28	VYDAJ	VYBER	15	17384	SLUZBY	\N	\N
186957	633	1997-03-31	VYDAJ	VYBER	15	16079	SLUZBY	\N	\N
186958	633	1997-04-30	VYDAJ	VYBER	15	17995	SLUZBY	\N	\N
186959	633	1997-05-31	VYDAJ	VYBER	15	17349	SLUZBY	\N	\N
186960	633	1997-06-30	VYDAJ	VYBER	15	17569	SLUZBY	\N	\N
186961	633	1997-07-31	VYDAJ	VYBER	15	17990	SLUZBY	\N	\N
186962	633	1997-08-31	VYDAJ	VYBER	15	18814	SLUZBY	\N	\N
186963	633	1997-09-30	VYDAJ	VYBER	15	19640	SLUZBY	\N	\N
186964	633	1997-10-31	VYDAJ	VYBER	15	19369	SLUZBY	\N	\N
186965	633	1997-11-30	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
186966	633	1997-12-31	VYDAJ	VYBER	15	15748	SLUZBY	\N	\N
186967	633	1998-01-31	VYDAJ	VYBER	15	14129	SLUZBY	\N	\N
186968	633	1998-02-28	VYDAJ	VYBER	15	14736	SLUZBY	\N	\N
186969	633	1998-03-31	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
186970	633	1998-04-30	VYDAJ	VYBER	15	14317	SLUZBY	\N	\N
186971	633	1998-05-31	VYDAJ	VYBER	15	16225	SLUZBY	\N	\N
186972	633	1998-06-30	VYDAJ	VYBER	15	12795	SLUZBY	\N	\N
186973	633	1998-07-31	VYDAJ	VYBER	15	14697	SLUZBY	\N	\N
186974	633	1998-08-31	VYDAJ	VYBER	15	16006	SLUZBY	\N	\N
186975	633	1998-09-30	VYDAJ	VYBER	15	16018	SLUZBY	\N	\N
186976	633	1998-10-31	VYDAJ	VYBER	15	16493	SLUZBY	\N	\N
186977	633	1998-11-30	VYDAJ	VYBER	15	18410	SLUZBY	\N	\N
186978	633	1997-02-28	VYDAJ	VYBER	500	16884	\N	\N	\N
186979	633	1997-06-28	VYDAJ	VYBER	1700	17508	\N	\N	\N
186980	633	1997-07-28	VYDAJ	VYBER	1500	17928	\N	\N	\N
186981	633	1997-08-27	VYDAJ	VYBER	1100	18749	\N	\N	\N
186982	633	1997-09-26	VYDAJ	VYBER	1100	19573	\N	\N	\N
186983	633	1997-10-26	VYDAJ	VYBER	2200	19299	\N	\N	\N
186984	633	1997-11-25	VYDAJ	VYBER	1000	18948	\N	\N	\N
186985	633	1997-12-25	VYDAJ	VYBER	1400	15694	\N	\N	\N
186986	633	1998-02-23	VYDAJ	VYBER	1300	14688	\N	\N	\N
186987	633	1998-03-25	VYDAJ	VYBER	800	15795	\N	\N	\N
186988	633	1998-04-24	VYDAJ	VYBER	800	16904	\N	\N	\N
186989	633	1998-06-23	VYDAJ	VYBER	4700	12744	\N	\N	\N
186990	633	1998-08-22	VYDAJ	VYBER	600	15956	\N	\N	\N
186991	633	1998-09-21	VYDAJ	VYBER	1900	15965	\N	\N	\N
187501	635	1994-08-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
187509	635	1994-11-23	PRIJEM	VKLAD	40311	80534	\N	\N	\N
187511	635	1994-10-11	PRIJEM	VKLAD	43256	69972	\N	\N	\N
187513	635	1994-09-19	PRIJEM	VKLAD	18158	19158	\N	\N	\N
187519	635	1994-10-12	PRIJEM	VKLAD	18425	88397	\N	\N	\N
187520	635	1994-10-01	PRIJEM	VKLAD	5225	26716	\N	\N	\N
187526	635	1995-07-25	PRIJEM	VKLAD	27048	46349	\N	\N	\N
187527	635	1995-12-08	PRIJEM	VKLAD	22681	68122	\N	\N	\N
187528	635	1995-02-20	PRIJEM	VKLAD	34447	53438	\N	\N	\N
187529	635	1995-01-18	PRIJEM	VKLAD	37523	85912	\N	\N	\N
187530	635	1995-09-05	PRIJEM	VKLAD	17314	47189	\N	\N	\N
187531	635	1995-11-03	PRIJEM	VKLAD	11932	25606	\N	\N	\N
187532	635	1995-03-01	PRIJEM	VKLAD	44449	88108	\N	\N	\N
187533	635	1995-03-25	PRIJEM	VKLAD	8225	52150	\N	\N	\N
187534	635	1995-11-20	PRIJEM	VKLAD	29830	45339	\N	\N	\N
187535	635	1995-01-03	PRIJEM	VKLAD	45346	91886	\N	\N	\N
187536	635	1995-03-05	PRIJEM	VKLAD	37073	125181	\N	\N	\N
187537	635	1995-03-12	PRIJEM	VKLAD	48941	126062	\N	\N	\N
187538	635	1996-09-22	PRIJEM	VKLAD	19553	17927	\N	\N	\N
187539	635	1996-02-12	PRIJEM	VKLAD	32472	54214	\N	\N	\N
187540	635	1996-01-08	PRIJEM	VKLAD	41570	75868	\N	\N	\N
187541	635	1997-10-03	PRIJEM	VKLAD	14125	79083	\N	\N	\N
187542	635	1997-08-08	PRIJEM	VKLAD	42250	56079	\N	\N	\N
187543	635	1997-08-09	PRIJEM	VKLAD	38483	92402	\N	\N	\N
187544	635	1997-07-04	PRIJEM	VKLAD	10034	47762	\N	\N	\N
187545	635	1997-02-06	PRIJEM	VKLAD	5635	52438	\N	\N	\N
187546	635	1997-03-14	PRIJEM	VKLAD	48324	111232	\N	\N	\N
187547	635	1997-06-22	PRIJEM	VKLAD	25514	46612	\N	\N	\N
187548	635	1997-11-27	PRIJEM	VKLAD	49634	82458	\N	\N	\N
187549	635	1997-11-27	PRIJEM	VKLAD	13858	96316	\N	\N	\N
187550	635	1997-05-17	PRIJEM	VKLAD	48727	60010	\N	\N	\N
187551	635	1997-03-25	PRIJEM	VKLAD	41663	130645	\N	\N	\N
187552	635	1997-03-13	PRIJEM	VKLAD	37695	64455	\N	\N	\N
187553	635	1997-11-14	PRIJEM	VKLAD	20888	35531	\N	\N	\N
187554	635	1997-05-18	PRIJEM	VKLAD	17289	77299	\N	\N	\N
187555	635	1997-01-28	PRIJEM	VKLAD	31405	30966	\N	\N	\N
187556	635	1997-03-10	PRIJEM	VKLAD	14493	28443	\N	\N	\N
187557	635	1997-05-01	PRIJEM	VKLAD	29206	51982	\N	\N	\N
187558	635	1997-03-21	PRIJEM	VKLAD	21357	88982	\N	\N	\N
187559	635	1997-02-06	PRIJEM	VKLAD	15854	46803	\N	\N	\N
187560	635	1997-09-18	PRIJEM	VKLAD	35070	68613	\N	\N	\N
187561	635	1998-04-26	PRIJEM	VKLAD	39030	109428	\N	\N	\N
187562	635	1998-06-13	PRIJEM	VKLAD	12563	99928	\N	\N	\N
187563	635	1998-02-24	PRIJEM	VKLAD	40543	145877	\N	\N	\N
187564	635	1998-06-24	PRIJEM	VKLAD	10557	84931	\N	\N	\N
187565	635	1998-04-15	PRIJEM	VKLAD	16890	70398	\N	\N	\N
187566	635	1998-08-03	PRIJEM	VKLAD	17246	66010	\N	\N	\N
187567	635	1998-01-13	PRIJEM	VKLAD	28244	49402	\N	\N	\N
187568	635	1998-02-11	PRIJEM	VKLAD	39828	67449	\N	\N	\N
187569	635	1998-01-03	PRIJEM	VKLAD	10020	41201	\N	\N	\N
187570	635	1998-03-28	PRIJEM	VKLAD	42656	99426	\N	\N	\N
187571	635	1998-07-13	PRIJEM	VKLAD	7013	70901	\N	\N	\N
187572	635	1998-07-11	PRIJEM	VKLAD	29500	70286	\N	\N	\N
187573	635	1998-04-13	PRIJEM	VKLAD	13787	57762	\N	\N	\N
187574	635	1998-09-04	PRIJEM	VKLAD	47066	84823	\N	\N	\N
187575	635	1998-03-05	PRIJEM	VKLAD	6317	64867	\N	\N	\N
187576	635	1998-07-17	PRIJEM	VKLAD	19759	86406	\N	\N	\N
187577	635	1998-07-01	PRIJEM	VKLAD	29880	115146	\N	\N	\N
187578	635	1998-05-23	PRIJEM	VKLAD	45703	97215	\N	\N	\N
187579	635	1998-04-29	PRIJEM	VKLAD	28198	137626	\N	\N	\N
187580	635	1998-06-07	PRIJEM	VKLAD	28999	91208	\N	\N	\N
187581	635	1998-02-16	PRIJEM	VKLAD	43822	105334	\N	\N	\N
187582	635	1998-07-27	PRIJEM	VKLAD	43248	129654	\N	\N	\N
187594	635	1994-12-12	VYDAJ	PREVOD NA UCET	1683	75142	SIPO	OP	12794989
187595	635	1995-01-12	VYDAJ	PREVOD NA UCET	1683	55643	SIPO	OP	12794989
187596	635	1995-02-12	VYDAJ	PREVOD NA UCET	1683	23045	SIPO	OP	12794989
187597	635	1995-03-12	VYDAJ	PREVOD NA UCET	1683	71879	SIPO	OP	12794989
187598	635	1995-04-12	VYDAJ	PREVOD NA UCET	1683	48558	SIPO	OP	12794989
187599	635	1995-05-12	VYDAJ	PREVOD NA UCET	1683	24597	SIPO	OP	12794989
187600	635	1995-06-12	VYDAJ	PREVOD NA UCET	1683	17089	SIPO	OP	12794989
187601	635	1995-07-12	VYDAJ	PREVOD NA UCET	1683	13855	SIPO	OP	12794989
187602	635	1995-08-12	VYDAJ	PREVOD NA UCET	1683	42590	SIPO	OP	12794989
187603	635	1995-09-12	VYDAJ	PREVOD NA UCET	1683	43346	SIPO	OP	12794989
187604	635	1995-10-12	VYDAJ	PREVOD NA UCET	1683	16869	SIPO	OP	12794989
187605	635	1995-11-12	VYDAJ	PREVOD NA UCET	1683	21763	SIPO	OP	12794989
187606	635	1995-12-12	VYDAJ	PREVOD NA UCET	1683	64279	SIPO	OP	12794989
187607	635	1996-01-12	VYDAJ	PREVOD NA UCET	1683	57925	SIPO	OP	12794989
187608	635	1996-02-12	VYDAJ	PREVOD NA UCET	1683	52531	SIPO	OP	12794989
187609	635	1996-03-12	VYDAJ	PREVOD NA UCET	1683	24534	SIPO	OP	12794989
187610	635	1996-04-12	VYDAJ	PREVOD NA UCET	1683	12910	SIPO	OP	12794989
187611	635	1996-05-12	VYDAJ	PREVOD NA UCET	1683	4848	SIPO	OP	12794989
187616	635	1996-10-12	VYDAJ	PREVOD NA UCET	1683	14038	SIPO	OP	12794989
187617	635	1996-11-12	VYDAJ	PREVOD NA UCET	1683	5979	SIPO	OP	12794989
187620	635	1997-02-12	VYDAJ	PREVOD NA UCET	1683	20295	SIPO	OP	12794989
187621	635	1997-03-12	VYDAJ	PREVOD NA UCET	1683	26760	SIPO	OP	12794989
187622	635	1997-04-12	VYDAJ	PREVOD NA UCET	1683	34380	SIPO	OP	12794989
187623	635	1997-05-12	VYDAJ	PREVOD NA UCET	1683	15537	SIPO	OP	12794989
187624	635	1997-06-12	VYDAJ	PREVOD NA UCET	1683	25352	SIPO	OP	12794989
187625	635	1997-07-12	VYDAJ	PREVOD NA UCET	1683	18019	SIPO	OP	12794989
187626	635	1997-08-12	VYDAJ	PREVOD NA UCET	1683	90719	SIPO	OP	12794989
187627	635	1997-09-12	VYDAJ	PREVOD NA UCET	1683	40197	SIPO	OP	12794989
187628	635	1997-10-12	VYDAJ	PREVOD NA UCET	1683	38540	SIPO	OP	12794989
187629	635	1997-11-12	VYDAJ	PREVOD NA UCET	1683	16190	SIPO	OP	12794989
187630	635	1997-12-12	VYDAJ	PREVOD NA UCET	1683	51112	SIPO	OP	12794989
187631	635	1998-01-12	VYDAJ	PREVOD NA UCET	1683	21158	SIPO	OP	12794989
187632	635	1998-02-12	VYDAJ	PREVOD NA UCET	1683	65766	SIPO	OP	12794989
187633	635	1998-03-12	VYDAJ	PREVOD NA UCET	1683	61024	SIPO	OP	12794989
187634	635	1998-04-12	VYDAJ	PREVOD NA UCET	1683	43975	SIPO	OP	12794989
187635	635	1998-05-12	VYDAJ	PREVOD NA UCET	1683	55766	SIPO	OP	12794989
187636	635	1998-06-12	VYDAJ	PREVOD NA UCET	1683	87365	SIPO	OP	12794989
187637	635	1998-07-12	VYDAJ	PREVOD NA UCET	1683	63888	SIPO	OP	12794989
187638	635	1998-08-12	VYDAJ	PREVOD NA UCET	1683	62167	SIPO	OP	12794989
187639	635	1998-09-12	VYDAJ	PREVOD NA UCET	1683	67496	SIPO	OP	12794989
187640	635	1998-10-12	VYDAJ	PREVOD NA UCET	1683	27736	SIPO	OP	12794989
187641	635	1998-11-12	VYDAJ	PREVOD NA UCET	1683	19732	SIPO	OP	12794989
187642	635	1998-12-12	VYDAJ	PREVOD NA UCET	1683	11695	SIPO	OP	12794989
187654	635	1994-12-14	VYDAJ	PREVOD NA UCET	2707	70888	 	GH	86240660
187655	635	1995-01-14	VYDAJ	PREVOD NA UCET	2707	51389	 	GH	86240660
187656	635	1995-02-14	VYDAJ	PREVOD NA UCET	2707	18791	 	GH	86240660
187657	635	1995-03-14	VYDAJ	PREVOD NA UCET	2707	67625	 	GH	86240660
187658	635	1995-04-14	VYDAJ	PREVOD NA UCET	2707	36189	 	GH	86240660
187659	635	1995-05-14	VYDAJ	PREVOD NA UCET	2707	20343	 	GH	86240660
187660	635	1995-06-14	VYDAJ	PREVOD NA UCET	2707	12835	 	GH	86240660
187661	635	1995-07-14	VYDAJ	PREVOD NA UCET	2707	9601	 	GH	86240660
187662	635	1995-08-14	VYDAJ	PREVOD NA UCET	2707	38336	 	GH	86240660
187663	635	1995-09-14	VYDAJ	PREVOD NA UCET	2707	39092	 	GH	86240660
187664	635	1995-10-14	VYDAJ	PREVOD NA UCET	2707	12615	 	GH	86240660
187665	635	1995-11-14	VYDAJ	PREVOD NA UCET	2707	17509	 	GH	86240660
187666	635	1995-12-14	VYDAJ	PREVOD NA UCET	2707	60025	 	GH	86240660
187667	635	1996-01-14	VYDAJ	PREVOD NA UCET	2707	32771	 	GH	86240660
187668	635	1996-02-14	VYDAJ	PREVOD NA UCET	2707	28277	 	GH	86240660
187669	635	1996-03-14	VYDAJ	PREVOD NA UCET	2707	16680	 	GH	86240660
187670	635	1996-04-14	VYDAJ	PREVOD NA UCET	2707	8656	 	GH	86240660
187671	635	1996-05-14	VYDAJ	PREVOD NA UCET	2707	594	 	GH	86240660
187676	635	1996-10-14	VYDAJ	PREVOD NA UCET	2707	9784	 	GH	86240660
187677	635	1996-11-14	VYDAJ	PREVOD NA UCET	2707	1725	 	GH	86240660
187680	635	1997-02-14	VYDAJ	PREVOD NA UCET	2707	16041	 	GH	86240660
187681	635	1997-03-14	VYDAJ	PREVOD NA UCET	2707	108525	 	GH	86240660
187682	635	1997-04-14	VYDAJ	PREVOD NA UCET	2707	30126	 	GH	86240660
187683	635	1997-05-14	VYDAJ	PREVOD NA UCET	2707	11283	 	GH	86240660
187684	635	1997-06-14	VYDAJ	PREVOD NA UCET	2707	21098	 	GH	86240660
187685	635	1997-07-14	VYDAJ	PREVOD NA UCET	2707	13765	 	GH	86240660
187686	635	1997-08-14	VYDAJ	PREVOD NA UCET	2707	86465	 	GH	86240660
187687	635	1997-09-14	VYDAJ	PREVOD NA UCET	2707	35943	 	GH	86240660
187688	635	1997-10-14	VYDAJ	PREVOD NA UCET	2707	34286	 	GH	86240660
187689	635	1997-11-14	VYDAJ	PREVOD NA UCET	2707	32824	 	GH	86240660
187690	635	1997-12-14	VYDAJ	PREVOD NA UCET	2707	46858	 	GH	86240660
187691	635	1998-01-14	VYDAJ	PREVOD NA UCET	2707	45148	 	GH	86240660
187692	635	1998-02-14	VYDAJ	PREVOD NA UCET	2707	61512	 	GH	86240660
187693	635	1998-03-14	VYDAJ	PREVOD NA UCET	2707	56770	 	GH	86240660
187694	635	1998-04-14	VYDAJ	PREVOD NA UCET	2707	53508	 	GH	86240660
187695	635	1998-05-14	VYDAJ	PREVOD NA UCET	2707	51512	 	GH	86240660
187696	635	1998-06-14	VYDAJ	PREVOD NA UCET	2707	74374	 	GH	86240660
187697	635	1998-07-14	VYDAJ	PREVOD NA UCET	2707	66647	 	GH	86240660
187698	635	1998-08-14	VYDAJ	PREVOD NA UCET	2707	57913	 	GH	86240660
187699	635	1998-09-14	VYDAJ	PREVOD NA UCET	2707	63242	 	GH	86240660
187700	635	1998-10-14	VYDAJ	PREVOD NA UCET	2707	23482	 	GH	86240660
187701	635	1998-11-14	VYDAJ	PREVOD NA UCET	2707	15478	 	GH	86240660
187702	635	1998-12-14	VYDAJ	PREVOD NA UCET	2707	7441	 	GH	86240660
187714	635	1994-12-08	VYDAJ	PREVOD NA UCET	2160	76825	POJISTNE	KL	117952
187715	635	1995-01-08	VYDAJ	PREVOD NA UCET	2160	70826	POJISTNE	KL	117952
187716	635	1995-02-08	VYDAJ	PREVOD NA UCET	2160	24728	POJISTNE	KL	117952
187717	635	1995-03-08	VYDAJ	PREVOD NA UCET	2160	77121	POJISTNE	KL	117952
187718	635	1995-04-08	VYDAJ	PREVOD NA UCET	2160	50241	POJISTNE	KL	117952
187719	635	1995-05-08	VYDAJ	PREVOD NA UCET	2160	26280	POJISTNE	KL	117952
187720	635	1995-06-08	VYDAJ	PREVOD NA UCET	2160	21472	POJISTNE	KL	117952
187721	635	1995-07-08	VYDAJ	PREVOD NA UCET	2160	15538	POJISTNE	KL	117952
187722	635	1995-08-08	VYDAJ	PREVOD NA UCET	2160	44273	POJISTNE	KL	117952
187723	635	1995-09-08	VYDAJ	PREVOD NA UCET	2160	45029	POJISTNE	KL	117952
187724	635	1995-10-08	VYDAJ	PREVOD NA UCET	2160	18552	POJISTNE	KL	117952
187725	635	1995-11-08	VYDAJ	PREVOD NA UCET	2160	23446	POJISTNE	KL	117952
187726	635	1995-12-08	VYDAJ	PREVOD NA UCET	2160	65962	POJISTNE	KL	117952
187727	635	1996-01-08	VYDAJ	PREVOD NA UCET	2160	73708	POJISTNE	KL	117952
187728	635	1996-02-08	VYDAJ	PREVOD NA UCET	2160	21742	POJISTNE	KL	117952
187729	635	1996-03-08	VYDAJ	PREVOD NA UCET	2160	26217	POJISTNE	KL	117952
187730	635	1996-04-08	VYDAJ	PREVOD NA UCET	2160	14593	POJISTNE	KL	117952
187731	635	1996-05-08	VYDAJ	PREVOD NA UCET	2160	6531	POJISTNE	KL	117952
187732	635	1996-06-08	VYDAJ	PREVOD NA UCET	2160	-1566	POJISTNE	KL	117952
187736	635	1996-10-08	VYDAJ	PREVOD NA UCET	2160	15721	POJISTNE	KL	117952
187737	635	1996-11-08	VYDAJ	PREVOD NA UCET	2160	7662	POJISTNE	KL	117952
187738	635	1996-12-08	VYDAJ	PREVOD NA UCET	2160	-430	POJISTNE	KL	117952
187740	635	1997-02-08	VYDAJ	PREVOD NA UCET	2160	21978	POJISTNE	KL	117952
187741	635	1997-03-08	VYDAJ	PREVOD NA UCET	2160	13950	POJISTNE	KL	117952
187742	635	1997-04-08	VYDAJ	PREVOD NA UCET	2160	36063	POJISTNE	KL	117952
187743	635	1997-05-08	VYDAJ	PREVOD NA UCET	2160	17220	POJISTNE	KL	117952
187744	635	1997-06-08	VYDAJ	PREVOD NA UCET	2160	27035	POJISTNE	KL	117952
187745	635	1997-07-08	VYDAJ	PREVOD NA UCET	2160	19702	POJISTNE	KL	117952
187746	635	1997-08-08	VYDAJ	PREVOD NA UCET	2160	53919	POJISTNE	KL	117952
187747	635	1997-09-08	VYDAJ	PREVOD NA UCET	2160	41880	POJISTNE	KL	117952
187748	635	1997-10-08	VYDAJ	PREVOD NA UCET	2160	40223	POJISTNE	KL	117952
187749	635	1997-11-08	VYDAJ	PREVOD NA UCET	2160	17873	POJISTNE	KL	117952
187750	635	1997-12-08	VYDAJ	PREVOD NA UCET	2160	52795	POJISTNE	KL	117952
187751	635	1998-01-08	VYDAJ	PREVOD NA UCET	2160	27641	POJISTNE	KL	117952
187752	635	1998-02-08	VYDAJ	PREVOD NA UCET	2160	27621	POJISTNE	KL	117952
187753	635	1998-03-08	VYDAJ	PREVOD NA UCET	2160	62707	POJISTNE	KL	117952
187754	635	1998-04-08	VYDAJ	PREVOD NA UCET	2160	45658	POJISTNE	KL	117952
187755	635	1998-05-08	VYDAJ	PREVOD NA UCET	2160	57449	POJISTNE	KL	117952
187756	635	1998-06-08	VYDAJ	PREVOD NA UCET	2160	89048	POJISTNE	KL	117952
187757	635	1998-07-08	VYDAJ	PREVOD NA UCET	2160	40786	POJISTNE	KL	117952
187758	635	1998-08-08	VYDAJ	PREVOD NA UCET	2160	63850	POJISTNE	KL	117952
187759	635	1998-09-08	VYDAJ	PREVOD NA UCET	2160	69179	POJISTNE	KL	117952
187760	635	1998-10-08	VYDAJ	PREVOD NA UCET	2160	29419	POJISTNE	KL	117952
187761	635	1998-11-08	VYDAJ	PREVOD NA UCET	2160	21415	POJISTNE	KL	117952
187762	635	1998-12-08	VYDAJ	PREVOD NA UCET	2160	13378	POJISTNE	KL	117952
187774	635	1994-12-13	VYDAJ	PREVOD NA UCET	1547	73595	 	UV	56503492
187775	635	1995-01-13	VYDAJ	PREVOD NA UCET	1547	54096	 	UV	56503492
187776	635	1995-02-13	VYDAJ	PREVOD NA UCET	1547	21498	 	UV	56503492
187777	635	1995-03-13	VYDAJ	PREVOD NA UCET	1547	70332	 	UV	56503492
187778	635	1995-04-13	VYDAJ	PREVOD NA UCET	1547	47011	 	UV	56503492
187779	635	1995-05-13	VYDAJ	PREVOD NA UCET	1547	23050	 	UV	56503492
187780	635	1995-06-13	VYDAJ	PREVOD NA UCET	1547	15542	 	UV	56503492
187781	635	1995-07-13	VYDAJ	PREVOD NA UCET	1547	12308	 	UV	56503492
187782	635	1995-08-13	VYDAJ	PREVOD NA UCET	1547	41043	 	UV	56503492
187783	635	1995-09-13	VYDAJ	PREVOD NA UCET	1547	41799	 	UV	56503492
187784	635	1995-10-13	VYDAJ	PREVOD NA UCET	1547	15322	 	UV	56503492
187785	635	1995-11-13	VYDAJ	PREVOD NA UCET	1547	20216	 	UV	56503492
187786	635	1995-12-13	VYDAJ	PREVOD NA UCET	1547	62732	 	UV	56503492
187787	635	1996-01-13	VYDAJ	PREVOD NA UCET	1547	35478	 	UV	56503492
187788	635	1996-02-13	VYDAJ	PREVOD NA UCET	1547	30984	 	UV	56503492
187789	635	1996-03-13	VYDAJ	PREVOD NA UCET	1547	22987	 	UV	56503492
187790	635	1996-04-13	VYDAJ	PREVOD NA UCET	1547	11363	 	UV	56503492
187791	635	1996-05-13	VYDAJ	PREVOD NA UCET	1547	3301	 	UV	56503492
187796	635	1996-10-13	VYDAJ	PREVOD NA UCET	1547	12491	 	UV	56503492
187797	635	1996-11-13	VYDAJ	PREVOD NA UCET	1547	4432	 	UV	56503492
187800	635	1997-02-13	VYDAJ	PREVOD NA UCET	1547	18748	 	UV	56503492
187801	635	1997-03-13	VYDAJ	PREVOD NA UCET	1547	62908	 	UV	56503492
187802	635	1997-04-13	VYDAJ	PREVOD NA UCET	1547	32833	 	UV	56503492
187803	635	1997-05-13	VYDAJ	PREVOD NA UCET	1547	13990	 	UV	56503492
187804	635	1997-06-13	VYDAJ	PREVOD NA UCET	1547	23805	 	UV	56503492
187805	635	1997-07-13	VYDAJ	PREVOD NA UCET	1547	16472	 	UV	56503492
187806	635	1997-08-13	VYDAJ	PREVOD NA UCET	1547	89172	 	UV	56503492
187807	635	1997-09-13	VYDAJ	PREVOD NA UCET	1547	38650	 	UV	56503492
187808	635	1997-10-13	VYDAJ	PREVOD NA UCET	1547	36993	 	UV	56503492
187809	635	1997-11-13	VYDAJ	PREVOD NA UCET	1547	14643	 	UV	56503492
187810	635	1997-12-13	VYDAJ	PREVOD NA UCET	1547	49565	 	UV	56503492
187811	635	1998-01-13	VYDAJ	PREVOD NA UCET	1547	47855	 	UV	56503492
187812	635	1998-02-13	VYDAJ	PREVOD NA UCET	1547	64219	 	UV	56503492
187813	635	1998-03-13	VYDAJ	PREVOD NA UCET	1547	59477	 	UV	56503492
187814	635	1998-04-13	VYDAJ	PREVOD NA UCET	1547	56215	 	UV	56503492
187815	635	1998-05-13	VYDAJ	PREVOD NA UCET	1547	54219	 	UV	56503492
187816	635	1998-06-13	VYDAJ	PREVOD NA UCET	1547	77081	 	UV	56503492
187817	635	1998-07-13	VYDAJ	PREVOD NA UCET	1547	69354	 	UV	56503492
187818	635	1998-08-13	VYDAJ	PREVOD NA UCET	1547	60620	 	UV	56503492
187819	635	1998-09-13	VYDAJ	PREVOD NA UCET	1547	65949	 	UV	56503492
187820	635	1998-10-13	VYDAJ	PREVOD NA UCET	1547	26189	 	UV	56503492
187821	635	1998-11-13	VYDAJ	PREVOD NA UCET	1547	18185	 	UV	56503492
187822	635	1998-12-13	VYDAJ	PREVOD NA UCET	1547	10148	 	UV	56503492
187823	635	1995-01-31	VYBER	VYBER	20238	26902	\N	\N	\N
187825	635	1995-04-14	VYBER	VYBER	8115	38896	\N	\N	\N
187831	635	1997-05-22	VYBER	VYBER	11572	65727	\N	\N	\N
187832	635	1997-06-28	VYBER	VYBER	9032	37580	\N	\N	\N
187834	635	1997-05-04	VYBER	VYBER	11002	40980	\N	\N	\N
187836	635	1997-03-28	VYBER	VYBER	9035	79210	\N	\N	\N
187839	635	1998-09-04	VYBER	VYBER	13484	71339	\N	\N	\N
187841	635	1998-07-12	VYBER	VYBER	4715	65571	\N	\N	\N
187844	635	1998-04-05	VYBER	VYBER	15576	47818	\N	\N	\N
187849	635	1998-06-13	VYDAJ	VYBER	21300	78628	\N	\N	\N
187851	635	1995-01-07	VYDAJ	VYBER	10500	79286	\N	\N	\N
187854	635	1998-01-18	VYDAJ	VYBER	7500	37648	\N	\N	\N
187855	635	1994-12-03	VYDAJ	VYBER	1800	78985	\N	\N	\N
187856	635	1995-12-30	VYDAJ	VYBER	4800	34125	\N	\N	\N
187858	635	1997-12-21	VYDAJ	VYBER	4500	42358	\N	\N	\N
187866	635	1995-01-08	VYDAJ	VYBER	6300	72986	\N	\N	\N
187867	635	1995-01-26	VYDAJ	VYBER	6300	46912	\N	\N	\N
187868	635	1995-01-17	VYDAJ	VYBER	3000	48389	\N	\N	\N
187869	635	1995-01-11	VYDAJ	VYBER	7500	57326	\N	\N	\N
187870	635	1995-01-05	VYDAJ	VYBER	2100	89786	\N	\N	\N
187871	635	1995-01-09	VYDAJ	VYBER	6000	64826	\N	\N	\N
187872	635	1996-01-25	VYDAJ	VYBER	3300	23771	\N	\N	\N
187873	635	1996-01-10	VYDAJ	VYBER	3900	69808	\N	\N	\N
187875	635	1996-01-12	VYDAJ	VYBER	6900	59608	\N	\N	\N
187876	635	1996-01-12	VYDAJ	VYBER	3300	66508	\N	\N	\N
187877	635	1996-01-14	VYDAJ	VYBER	5700	27071	\N	\N	\N
187884	635	1998-01-10	VYDAJ	VYBER	4800	22841	\N	\N	\N
187885	635	1998-01-01	VYDAJ	VYBER	3000	39581	\N	\N	\N
187886	635	1998-01-04	VYDAJ	VYBER	4500	29801	\N	\N	\N
187889	635	1998-01-03	VYDAJ	VYBER	6900	34301	\N	\N	\N
187896	635	1995-06-08	VYDAJ	VYBER	2700	18772	\N	\N	\N
187897	635	1995-02-27	VYDAJ	VYBER	9900	43538	\N	\N	\N
187898	635	1995-10-05	VYDAJ	VYBER	7800	20712	\N	\N	\N
187906	635	1997-09-17	VYDAJ	VYBER	2400	33543	\N	\N	\N
187907	635	1997-04-20	VYDAJ	VYBER	7500	22626	\N	\N	\N
187910	635	1997-09-29	VYDAJ	VYBER	3900	64713	\N	\N	\N
187913	635	1998-09-24	VYDAJ	VYBER	8700	54542	\N	\N	\N
187927	635	1994-11-30	VYDAJ	VYBER	15	80785	SLUZBY	\N	\N
187928	635	1994-12-31	VYDAJ	VYBER	15	46540	SLUZBY	\N	\N
187929	635	1995-01-31	VYDAJ	VYBER	15	26888	SLUZBY	\N	\N
187930	635	1995-02-28	VYDAJ	VYBER	15	43659	SLUZBY	\N	\N
187931	635	1995-03-31	VYDAJ	VYBER	15	52401	SLUZBY	\N	\N
187932	635	1995-04-30	VYDAJ	VYBER	15	28440	SLUZBY	\N	\N
187933	635	1995-05-31	VYDAJ	VYBER	15	23632	SLUZBY	\N	\N
187934	635	1995-06-30	VYDAJ	VYBER	15	17698	SLUZBY	\N	\N
187935	635	1995-07-31	VYDAJ	VYBER	15	46433	SLUZBY	\N	\N
187936	635	1995-08-31	VYDAJ	VYBER	15	29875	SLUZBY	\N	\N
187937	635	1995-09-30	VYDAJ	VYBER	15	28512	SLUZBY	\N	\N
187938	635	1995-10-31	VYDAJ	VYBER	15	13674	SLUZBY	\N	\N
187939	635	1995-11-30	VYDAJ	VYBER	15	45441	SLUZBY	\N	\N
187940	635	1995-12-31	VYDAJ	VYBER	15	34298	SLUZBY	\N	\N
187941	635	1996-01-31	VYDAJ	VYBER	15	23902	SLUZBY	\N	\N
187942	635	1996-02-29	VYDAJ	VYBER	15	28377	SLUZBY	\N	\N
187943	635	1996-03-31	VYDAJ	VYBER	15	16753	SLUZBY	\N	\N
187944	635	1996-04-30	VYDAJ	VYBER	15	8691	SLUZBY	\N	\N
187945	635	1996-05-31	VYDAJ	VYBER	15	594	SLUZBY	\N	\N
187946	635	1996-06-30	VYDAJ	VYBER	15	-1579	SLUZBY	\N	\N
187947	635	1996-07-31	VYDAJ	VYBER	15	-1594	SLUZBY	\N	\N
187948	635	1996-08-31	VYDAJ	VYBER	15	-1626	SLUZBY	\N	\N
187949	635	1996-09-30	VYDAJ	VYBER	15	17899	SLUZBY	\N	\N
187950	635	1996-10-31	VYDAJ	VYBER	15	9822	SLUZBY	\N	\N
187951	635	1996-11-30	VYDAJ	VYBER	15	1730	SLUZBY	\N	\N
187952	635	1996-12-31	VYDAJ	VYBER	15	-439	SLUZBY	\N	\N
187953	635	1997-01-31	VYDAJ	VYBER	15	30955	SLUZBY	\N	\N
187954	635	1997-02-28	VYDAJ	VYBER	15	16110	SLUZBY	\N	\N
187955	635	1997-03-31	VYDAJ	VYBER	15	79423	SLUZBY	\N	\N
187956	635	1997-04-30	VYDAJ	VYBER	15	22776	SLUZBY	\N	\N
187957	635	1997-05-31	VYDAJ	VYBER	15	65895	SLUZBY	\N	\N
187958	635	1997-06-30	VYDAJ	VYBER	15	37728	SLUZBY	\N	\N
187959	635	1997-07-31	VYDAJ	VYBER	15	13829	SLUZBY	\N	\N
187960	635	1997-08-31	VYDAJ	VYBER	15	86740	SLUZBY	\N	\N
187961	635	1997-09-30	VYDAJ	VYBER	15	64958	SLUZBY	\N	\N
187962	635	1997-10-31	VYDAJ	VYBER	15	34433	SLUZBY	\N	\N
187963	635	1997-11-30	VYDAJ	VYBER	15	96455	SLUZBY	\N	\N
187964	635	1997-12-31	VYDAJ	VYBER	15	42581	SLUZBY	\N	\N
187965	635	1998-01-31	VYDAJ	VYBER	15	37781	SLUZBY	\N	\N
187966	635	1998-02-28	VYDAJ	VYBER	15	88050	SLUZBY	\N	\N
187967	635	1998-03-31	VYDAJ	VYBER	15	99694	SLUZBY	\N	\N
187968	635	1998-04-30	VYDAJ	VYBER	15	90009	SLUZBY	\N	\N
187969	635	1998-05-31	VYDAJ	VYBER	15	97509	SLUZBY	\N	\N
187970	635	1998-06-30	VYDAJ	VYBER	15	85266	SLUZBY	\N	\N
187971	635	1998-07-31	VYDAJ	VYBER	15	48764	SLUZBY	\N	\N
187972	635	1998-08-31	VYDAJ	VYBER	15	37757	SLUZBY	\N	\N
187973	635	1998-09-30	VYDAJ	VYBER	15	31579	SLUZBY	\N	\N
187974	635	1998-10-31	VYDAJ	VYBER	15	23575	SLUZBY	\N	\N
187975	635	1998-11-30	VYDAJ	VYBER	15	15538	SLUZBY	\N	\N
187976	635	1994-09-20	PRIJEM	VKLAD	2300	21458	\N	\N	\N
187977	635	1994-10-20	VYDAJ	VYBER	30700	57697	\N	\N	\N
187978	635	1994-11-19	VYDAJ	VYBER	17700	40223	\N	\N	\N
187979	635	1994-12-19	VYDAJ	VYBER	24600	46288	\N	\N	\N
187980	635	1995-01-18	VYDAJ	VYBER	32700	53212	\N	\N	\N
187981	635	1995-02-17	PRIJEM	VKLAD	200	18991	\N	\N	\N
187982	635	1995-03-05	VYDAJ	VYBER	45900	79281	\N	\N	\N
187983	635	1995-03-12	VYDAJ	VYBER	52500	73562	\N	\N	\N
187984	635	1995-03-19	VYDAJ	VYBER	23700	43925	\N	\N	\N
187985	635	1995-04-18	VYDAJ	VYBER	7900	28289	\N	\N	\N
187986	635	1995-05-18	PRIJEM	VKLAD	3200	23543	\N	\N	\N
187987	635	1995-06-17	PRIJEM	VKLAD	4800	17635	\N	\N	\N
187988	635	1995-07-17	PRIJEM	VKLAD	9700	19301	\N	\N	\N
187989	635	1995-08-16	VYDAJ	VYBER	8600	29736	\N	\N	\N
187990	635	1995-09-15	VYDAJ	VYBER	10700	28392	\N	\N	\N
187991	635	1995-10-15	PRIJEM	VKLAD	1000	13615	\N	\N	\N
187992	635	1995-11-14	VYDAJ	VYBER	2000	15509	\N	\N	\N
187993	635	1995-12-14	VYDAJ	VYBER	21100	38925	\N	\N	\N
187994	635	1996-01-13	VYDAJ	VYBER	20900	37025	\N	\N	\N
187995	635	1996-02-12	VYDAJ	VYBER	20000	32531	\N	\N	\N
187996	635	1996-03-13	VYDAJ	VYBER	3600	19387	\N	\N	\N
187997	635	1997-02-06	VYDAJ	VYBER	28300	24138	\N	\N	\N
187998	635	1997-03-14	VYDAJ	VYBER	40900	67625	\N	\N	\N
187999	635	1997-03-25	VYDAJ	VYBER	42400	88245	\N	\N	\N
188000	635	1997-04-07	VYDAJ	VYBER	41200	38223	\N	\N	\N
188001	635	1997-05-07	VYDAJ	VYBER	21600	19380	\N	\N	\N
188002	635	1997-06-06	VYDAJ	VYBER	36700	29195	\N	\N	\N
188003	635	1997-07-06	VYDAJ	VYBER	25900	21862	\N	\N	\N
188004	635	1997-09-04	VYDAJ	VYBER	42700	44040	\N	\N	\N
188005	635	1997-10-04	VYDAJ	VYBER	36700	42383	\N	\N	\N
188006	635	1997-11-03	VYDAJ	VYBER	14400	20033	\N	\N	\N
188007	635	1997-12-03	VYDAJ	VYBER	41500	54955	\N	\N	\N
188008	635	1998-01-02	VYDAJ	VYBER	8400	31181	\N	\N	\N
188009	635	1998-02-01	VYDAJ	VYBER	8000	29781	\N	\N	\N
188010	635	1998-02-24	VYDAJ	VYBER	58100	87777	\N	\N	\N
188011	635	1998-03-03	VYDAJ	VYBER	29500	58550	\N	\N	\N
188012	635	1998-04-02	VYDAJ	VYBER	36300	63394	\N	\N	\N
188013	635	1998-04-29	VYDAJ	VYBER	47900	89726	\N	\N	\N
188014	635	1998-05-02	VYDAJ	VYBER	30400	59609	\N	\N	\N
188015	635	1998-06-01	VYDAJ	VYBER	35300	62209	\N	\N	\N
188016	635	1998-07-01	VYDAJ	VYBER	48900	66246	\N	\N	\N
188017	635	1998-07-01	VYDAJ	VYBER	23300	42946	\N	\N	\N
188018	635	1998-07-27	VYDAJ	VYBER	50200	79454	\N	\N	\N
188019	635	1998-07-31	VYDAJ	VYBER	31000	48779	\N	\N	\N
188020	635	1998-08-30	VYDAJ	VYBER	20400	37513	\N	\N	\N
188021	635	1998-09-29	VYDAJ	VYBER	23200	31342	\N	\N	\N
188079	636	1997-04-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
188084	636	1997-05-07	PRIJEM	PREVOD Z UCTU	4584	5584	DUCHOD	ST	52728754
188085	636	1997-06-07	PRIJEM	PREVOD Z UCTU	4584	10168	DUCHOD	ST	52728754
188086	636	1997-07-07	PRIJEM	PREVOD Z UCTU	4584	14752	DUCHOD	ST	52728754
188087	636	1997-08-07	PRIJEM	PREVOD Z UCTU	4584	19336	DUCHOD	ST	52728754
188088	636	1997-09-07	PRIJEM	PREVOD Z UCTU	4584	23920	DUCHOD	ST	52728754
188089	636	1997-10-07	PRIJEM	PREVOD Z UCTU	4584	25197	DUCHOD	ST	52728754
188090	636	1997-11-07	PRIJEM	PREVOD Z UCTU	4584	19027	DUCHOD	ST	52728754
188091	636	1997-12-07	PRIJEM	PREVOD Z UCTU	4584	20606	DUCHOD	ST	52728754
188092	636	1998-01-07	PRIJEM	PREVOD Z UCTU	4584	21339	DUCHOD	ST	52728754
188093	636	1998-02-07	PRIJEM	PREVOD Z UCTU	4584	17622	DUCHOD	ST	52728754
188094	636	1998-03-07	PRIJEM	PREVOD Z UCTU	4584	19194	DUCHOD	ST	52728754
188095	636	1998-04-07	PRIJEM	PREVOD Z UCTU	4584	18289	DUCHOD	ST	52728754
188096	636	1998-05-07	PRIJEM	PREVOD Z UCTU	4584	17218	DUCHOD	ST	52728754
188097	636	1998-06-07	PRIJEM	PREVOD Z UCTU	4584	17787	DUCHOD	ST	52728754
188098	636	1998-07-07	PRIJEM	PREVOD Z UCTU	4584	16632	DUCHOD	ST	52728754
188099	636	1998-08-07	PRIJEM	PREVOD Z UCTU	4584	18200	DUCHOD	ST	52728754
188100	636	1998-09-07	PRIJEM	PREVOD Z UCTU	4584	19775	DUCHOD	ST	52728754
188101	636	1998-10-07	PRIJEM	PREVOD Z UCTU	4584	19431	DUCHOD	ST	52728754
188102	636	1998-11-07	PRIJEM	PREVOD Z UCTU	4584	20370	DUCHOD	ST	52728754
188103	636	1998-12-07	PRIJEM	PREVOD Z UCTU	4584	18947	DUCHOD	ST	52728754
188112	636	1997-09-09	VYDAJ	PREVOD NA UCET	3056	20864	SIPO	YZ	33446622
188113	636	1997-10-09	VYDAJ	PREVOD NA UCET	3056	22141	SIPO	YZ	33446622
188114	636	1997-11-09	VYDAJ	PREVOD NA UCET	3056	15971	SIPO	YZ	33446622
188115	636	1997-12-09	VYDAJ	PREVOD NA UCET	3056	17550	SIPO	YZ	33446622
188116	636	1998-01-09	VYDAJ	PREVOD NA UCET	3056	18283	SIPO	YZ	33446622
188117	636	1998-02-09	VYDAJ	PREVOD NA UCET	3056	14566	SIPO	YZ	33446622
188118	636	1998-03-09	VYDAJ	PREVOD NA UCET	3056	16138	SIPO	YZ	33446622
188119	636	1998-04-09	VYDAJ	PREVOD NA UCET	3056	15233	SIPO	YZ	33446622
188120	636	1998-05-09	VYDAJ	PREVOD NA UCET	3056	14162	SIPO	YZ	33446622
188121	636	1998-06-09	VYDAJ	PREVOD NA UCET	3056	12011	SIPO	YZ	33446622
188122	636	1998-07-09	VYDAJ	PREVOD NA UCET	3056	13576	SIPO	YZ	33446622
188123	636	1998-08-09	VYDAJ	PREVOD NA UCET	3056	15144	SIPO	YZ	33446622
188124	636	1998-09-09	VYDAJ	PREVOD NA UCET	3056	16719	SIPO	YZ	33446622
188125	636	1998-10-09	VYDAJ	PREVOD NA UCET	3056	16375	SIPO	YZ	33446622
188126	636	1998-11-09	VYDAJ	PREVOD NA UCET	3056	17314	SIPO	YZ	33446622
188127	636	1998-12-09	VYDAJ	PREVOD NA UCET	3056	15891	SIPO	YZ	33446622
188131	636	1998-01-14	VYDAJ	VYBER	1700	16583	\N	\N	\N
188132	636	1997-12-19	VYDAJ	VYBER	850	16700	\N	\N	\N
188137	636	1997-10-12	VYDAJ	VYBER	2080	20061	\N	\N	\N
188139	636	1997-10-23	VYDAJ	VYBER	1680	14381	\N	\N	\N
188140	636	1998-01-30	VYDAJ	VYBER	3600	12983	\N	\N	\N
188141	636	1998-09-12	VYDAJ	VYBER	1920	14799	\N	\N	\N
188142	636	1998-04-15	VYDAJ	VYBER	2640	12593	\N	\N	\N
188143	636	1998-10-18	VYDAJ	VYBER	640	15735	\N	\N	\N
188144	636	1998-03-19	VYDAJ	VYBER	2480	13658	\N	\N	\N
188145	636	1998-06-09	VYDAJ	VYBER	2720	15067	\N	\N	\N
188155	636	1997-09-30	VYDAJ	VYBER	15	20613	SLUZBY	\N	\N
188156	636	1997-10-31	VYDAJ	VYBER	15	14443	SLUZBY	\N	\N
188157	636	1997-11-30	VYDAJ	VYBER	15	16022	SLUZBY	\N	\N
188158	636	1997-12-31	VYDAJ	VYBER	15	16755	SLUZBY	\N	\N
188159	636	1998-01-31	VYDAJ	VYBER	15	13038	SLUZBY	\N	\N
188160	636	1998-02-28	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
188161	636	1998-03-31	VYDAJ	VYBER	15	13705	SLUZBY	\N	\N
188162	636	1998-04-30	VYDAJ	VYBER	15	12634	SLUZBY	\N	\N
188163	636	1998-05-31	VYDAJ	VYBER	15	13203	SLUZBY	\N	\N
188164	636	1998-06-30	VYDAJ	VYBER	15	12048	SLUZBY	\N	\N
188165	636	1998-07-31	VYDAJ	VYBER	15	13616	SLUZBY	\N	\N
188166	636	1998-08-31	VYDAJ	VYBER	15	15191	SLUZBY	\N	\N
188167	636	1998-09-30	VYDAJ	VYBER	15	14847	SLUZBY	\N	\N
188168	636	1998-10-31	VYDAJ	VYBER	15	15786	SLUZBY	\N	\N
188169	636	1998-11-30	VYDAJ	VYBER	15	14363	SLUZBY	\N	\N
188170	636	1997-09-21	VYDAJ	VYBER	300	20564	\N	\N	\N
188171	636	1997-10-21	VYDAJ	VYBER	4000	16061	\N	\N	\N
188172	636	1998-05-19	VYDAJ	VYBER	1000	13162	\N	\N	\N
188173	636	1998-11-15	VYDAJ	VYBER	3000	14314	\N	\N	\N
188174	636	1998-12-15	VYDAJ	VYBER	1800	14091	\N	\N	\N
188191	637	1996-08-27	PRIJEM	VKLAD	800	800	\N	\N	\N
188200	637	1996-09-13	PRIJEM	PREVOD Z UCTU	2902	3702	\N	ST	94098281
188201	637	1996-10-13	PRIJEM	PREVOD Z UCTU	2902	16013	\N	ST	94098281
188202	637	1996-11-13	PRIJEM	PREVOD Z UCTU	2902	24977	\N	ST	94098281
188203	637	1996-12-13	PRIJEM	PREVOD Z UCTU	2902	26872	\N	ST	94098281
188204	637	1997-01-13	PRIJEM	PREVOD Z UCTU	2902	23470	\N	ST	94098281
188205	637	1997-02-13	PRIJEM	PREVOD Z UCTU	2902	19250	\N	ST	94098281
188206	637	1997-03-13	PRIJEM	PREVOD Z UCTU	2902	15078	\N	ST	94098281
188207	637	1997-04-13	PRIJEM	PREVOD Z UCTU	2902	13890	\N	ST	94098281
188208	637	1997-05-13	PRIJEM	PREVOD Z UCTU	2902	13999	\N	ST	94098281
188209	637	1997-06-13	PRIJEM	PREVOD Z UCTU	2902	13708	\N	ST	94098281
188210	637	1997-07-13	PRIJEM	PREVOD Z UCTU	2902	13315	\N	ST	94098281
188211	637	1997-08-13	PRIJEM	PREVOD Z UCTU	2902	11178	\N	ST	94098281
188212	637	1997-09-13	PRIJEM	PREVOD Z UCTU	2902	13679	\N	ST	94098281
188213	637	1997-10-13	PRIJEM	PREVOD Z UCTU	2902	13886	\N	ST	94098281
188214	637	1997-11-13	PRIJEM	PREVOD Z UCTU	2902	13234	\N	ST	94098281
188344	637	1997-03-25	VYDAJ	VYBER	2200	12878	\N	\N	\N
188215	637	1997-12-13	PRIJEM	PREVOD Z UCTU	2902	19189	\N	ST	94098281
188216	637	1998-01-13	PRIJEM	PREVOD Z UCTU	2902	16178	\N	ST	94098281
188217	637	1998-02-13	PRIJEM	PREVOD Z UCTU	2902	18650	\N	ST	94098281
188218	637	1998-03-13	PRIJEM	PREVOD Z UCTU	2902	13870	\N	ST	94098281
188219	637	1998-04-13	PRIJEM	PREVOD Z UCTU	2902	14219	\N	ST	94098281
188220	637	1998-05-13	PRIJEM	PREVOD Z UCTU	2902	15230	\N	ST	94098281
188221	637	1998-06-13	PRIJEM	PREVOD Z UCTU	2902	12338	\N	ST	94098281
188222	637	1998-07-13	PRIJEM	PREVOD Z UCTU	2902	12039	\N	ST	94098281
188223	637	1998-08-13	PRIJEM	PREVOD Z UCTU	2902	13041	\N	ST	94098281
188224	637	1998-09-13	PRIJEM	PREVOD Z UCTU	2902	12744	\N	ST	94098281
188225	637	1998-10-13	PRIJEM	PREVOD Z UCTU	2902	13748	\N	ST	94098281
188226	637	1998-11-13	PRIJEM	PREVOD Z UCTU	2902	14757	\N	ST	94098281
188227	637	1998-12-13	PRIJEM	PREVOD Z UCTU	2902	15770	\N	ST	94098281
188241	637	1997-02-05	VYDAJ	PREVOD NA UCET	1934	16348	SIPO	AB	34624809
188242	637	1997-03-05	VYDAJ	PREVOD NA UCET	1934	12176	SIPO	AB	34624809
188243	637	1997-04-05	VYDAJ	PREVOD NA UCET	1934	10988	SIPO	AB	34624809
188244	637	1997-05-05	VYDAJ	PREVOD NA UCET	1934	11097	SIPO	AB	34624809
188245	637	1997-06-05	VYDAJ	PREVOD NA UCET	1934	10806	SIPO	AB	34624809
188246	637	1997-07-05	VYDAJ	PREVOD NA UCET	1934	10413	SIPO	AB	34624809
188247	637	1997-08-05	VYDAJ	PREVOD NA UCET	1934	8276	SIPO	AB	34624809
188248	637	1997-09-05	VYDAJ	PREVOD NA UCET	1934	10777	SIPO	AB	34624809
188249	637	1997-10-05	VYDAJ	PREVOD NA UCET	1934	10984	SIPO	AB	34624809
188250	637	1997-11-05	VYDAJ	PREVOD NA UCET	1934	10332	SIPO	AB	34624809
188251	637	1997-12-05	VYDAJ	PREVOD NA UCET	1934	16647	SIPO	AB	34624809
188252	637	1998-01-05	VYDAJ	PREVOD NA UCET	1934	14776	SIPO	AB	34624809
188253	637	1998-02-05	VYDAJ	PREVOD NA UCET	1934	15748	SIPO	AB	34624809
188254	637	1998-03-05	VYDAJ	PREVOD NA UCET	1934	10968	SIPO	AB	34624809
188255	637	1998-04-05	VYDAJ	PREVOD NA UCET	1934	11317	SIPO	AB	34624809
188256	637	1998-05-05	VYDAJ	PREVOD NA UCET	1934	12328	SIPO	AB	34624809
188257	637	1998-06-05	VYDAJ	PREVOD NA UCET	1934	9436	SIPO	AB	34624809
188258	637	1998-07-05	VYDAJ	PREVOD NA UCET	1934	9137	SIPO	AB	34624809
188259	637	1998-08-05	VYDAJ	PREVOD NA UCET	1934	10139	SIPO	AB	34624809
188260	637	1998-09-05	VYDAJ	PREVOD NA UCET	1934	9842	SIPO	AB	34624809
188261	637	1998-10-05	VYDAJ	PREVOD NA UCET	1934	10846	SIPO	AB	34624809
188262	637	1998-11-05	VYDAJ	PREVOD NA UCET	1934	11855	SIPO	AB	34624809
188263	637	1998-12-05	VYDAJ	PREVOD NA UCET	1934	12868	SIPO	AB	34624809
188268	637	1997-12-12	VYDAJ	VYBER	360	16287	\N	\N	\N
188269	637	1998-12-14	VYDAJ	VYBER	210	15560	\N	\N	\N
188276	637	1997-01-25	VYDAJ	VYBER	240	19290	\N	\N	\N
188278	637	1997-01-28	VYDAJ	VYBER	510	18210	\N	\N	\N
188280	637	1997-01-28	VYDAJ	VYBER	570	18720	\N	\N	\N
188281	637	1997-01-16	VYDAJ	VYBER	240	23230	\N	\N	\N
188282	637	1998-01-08	VYDAJ	VYBER	390	13846	\N	\N	\N
188283	637	1998-01-25	VYDAJ	VYBER	750	17628	\N	\N	\N
188284	637	1998-01-12	VYDAJ	VYBER	570	13276	\N	\N	\N
188285	637	1998-01-04	VYDAJ	VYBER	210	16710	\N	\N	\N
188286	637	1998-01-04	VYDAJ	VYBER	690	16920	\N	\N	\N
188287	637	1998-01-05	VYDAJ	VYBER	540	14236	\N	\N	\N
188290	637	1997-12-13	VYDAJ	VYBER	1170	18019	\N	\N	\N
188292	637	1997-10-28	VYDAJ	VYBER	360	12226	\N	\N	\N
188294	637	1997-11-19	VYDAJ	VYBER	300	12934	\N	\N	\N
188295	637	1997-07-18	VYDAJ	VYBER	240	13075	\N	\N	\N
188296	637	1997-12-26	VYDAJ	VYBER	1170	17549	\N	\N	\N
188299	637	1998-03-30	VYDAJ	VYBER	660	13210	\N	\N	\N
188315	637	1997-01-31	VYDAJ	VYBER	15	18282	SLUZBY	\N	\N
188316	637	1997-02-28	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
188317	637	1997-03-31	VYDAJ	VYBER	15	12922	SLUZBY	\N	\N
188318	637	1997-04-30	VYDAJ	VYBER	15	13031	SLUZBY	\N	\N
188319	637	1997-05-31	VYDAJ	VYBER	15	12740	SLUZBY	\N	\N
188320	637	1997-06-30	VYDAJ	VYBER	15	12347	SLUZBY	\N	\N
188321	637	1997-07-31	VYDAJ	VYBER	15	10210	SLUZBY	\N	\N
188322	637	1997-08-31	VYDAJ	VYBER	15	12711	SLUZBY	\N	\N
188323	637	1997-09-30	VYDAJ	VYBER	15	12918	SLUZBY	\N	\N
188324	637	1997-10-31	VYDAJ	VYBER	15	12266	SLUZBY	\N	\N
188325	637	1997-11-30	VYDAJ	VYBER	15	18581	SLUZBY	\N	\N
188326	637	1997-12-31	VYDAJ	VYBER	15	17610	SLUZBY	\N	\N
188327	637	1998-01-31	VYDAJ	VYBER	15	17682	SLUZBY	\N	\N
188328	637	1998-02-28	VYDAJ	VYBER	15	12902	SLUZBY	\N	\N
188329	637	1998-03-31	VYDAJ	VYBER	15	13251	SLUZBY	\N	\N
188330	637	1998-04-30	VYDAJ	VYBER	15	14262	SLUZBY	\N	\N
188331	637	1998-05-31	VYDAJ	VYBER	15	11370	SLUZBY	\N	\N
188332	637	1998-06-30	VYDAJ	VYBER	15	11071	SLUZBY	\N	\N
188333	637	1998-07-31	VYDAJ	VYBER	15	12073	SLUZBY	\N	\N
188334	637	1998-08-31	VYDAJ	VYBER	15	11776	SLUZBY	\N	\N
188335	637	1998-09-30	VYDAJ	VYBER	15	12780	SLUZBY	\N	\N
188336	637	1998-10-31	VYDAJ	VYBER	15	13789	SLUZBY	\N	\N
188337	637	1998-11-30	VYDAJ	VYBER	15	14802	SLUZBY	\N	\N
188338	637	1996-09-26	PRIJEM	VKLAD	9400	13102	\N	\N	\N
188339	637	1996-10-26	PRIJEM	VKLAD	6000	22013	\N	\N	\N
188340	637	1996-11-25	VYDAJ	VYBER	1100	23877	\N	\N	\N
188341	637	1996-12-25	VYDAJ	VYBER	6400	20472	\N	\N	\N
188342	637	1997-01-24	VYDAJ	VYBER	3700	19530	\N	\N	\N
188343	637	1997-02-23	VYDAJ	VYBER	5200	14050	\N	\N	\N
188345	637	1997-04-24	VYDAJ	VYBER	900	12990	\N	\N	\N
188346	637	1997-05-24	VYDAJ	VYBER	1300	12699	\N	\N	\N
188347	637	1997-06-23	VYDAJ	VYBER	1400	12308	\N	\N	\N
188348	637	1997-07-23	VYDAJ	VYBER	2900	10175	\N	\N	\N
188349	637	1997-08-22	PRIJEM	VKLAD	1500	12678	\N	\N	\N
188350	637	1997-09-21	VYDAJ	VYBER	800	12879	\N	\N	\N
188351	637	1997-10-21	VYDAJ	VYBER	1300	12586	\N	\N	\N
188352	637	1997-11-20	PRIJEM	VKLAD	5600	18534	\N	\N	\N
188353	637	1997-12-20	PRIJEM	VKLAD	700	18719	\N	\N	\N
188354	637	1998-01-19	PRIJEM	VKLAD	2200	18378	\N	\N	\N
188355	637	1998-02-18	VYDAJ	VYBER	5800	12850	\N	\N	\N
188356	637	1998-05-19	VYDAJ	VYBER	3900	11330	\N	\N	\N
188357	637	1998-06-18	VYDAJ	VYBER	1300	11038	\N	\N	\N
188358	637	1998-08-17	VYDAJ	VYBER	1300	11741	\N	\N	\N
188387	638	1995-06-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
188394	638	1995-07-11	PRIJEM	VKLAD	17314	18314	\N	\N	\N
188395	638	1995-08-11	PRIJEM	VKLAD	17314	38039	\N	\N	\N
188396	638	1995-09-11	PRIJEM	VKLAD	17314	46745	\N	\N	\N
188397	638	1995-10-11	PRIJEM	VKLAD	17314	53786	\N	\N	\N
188398	638	1995-11-11	PRIJEM	VKLAD	17314	56354	\N	\N	\N
188399	638	1995-12-11	PRIJEM	VKLAD	25971	59771	\N	\N	\N
188400	638	1996-01-11	PRIJEM	VKLAD	17314	50157	\N	\N	\N
188401	638	1996-02-11	PRIJEM	VKLAD	17314	45252	\N	\N	\N
188402	638	1996-03-11	PRIJEM	VKLAD	17314	46477	\N	\N	\N
188403	638	1996-04-11	PRIJEM	VKLAD	17314	48107	\N	\N	\N
188404	638	1996-05-11	PRIJEM	VKLAD	17314	48342	\N	\N	\N
188405	638	1996-06-11	PRIJEM	VKLAD	25971	39852	\N	\N	\N
188406	638	1996-07-11	PRIJEM	VKLAD	17314	41960	\N	\N	\N
188407	638	1996-08-11	PRIJEM	VKLAD	17314	44771	\N	\N	\N
188408	638	1996-09-11	PRIJEM	VKLAD	17314	41484	\N	\N	\N
188409	638	1996-10-11	PRIJEM	VKLAD	17314	43789	\N	\N	\N
188410	638	1996-11-11	PRIJEM	VKLAD	17314	42499	\N	\N	\N
188411	638	1996-12-11	PRIJEM	VKLAD	25971	52264	\N	\N	\N
188412	638	1997-01-11	PRIJEM	VKLAD	17314	43846	\N	\N	\N
188413	638	1997-02-11	PRIJEM	VKLAD	17314	38327	\N	\N	\N
188414	638	1997-03-11	PRIJEM	VKLAD	17314	35069	\N	\N	\N
188415	638	1997-04-11	PRIJEM	VKLAD	17314	30735	\N	\N	\N
188416	638	1997-05-11	PRIJEM	VKLAD	17314	31792	\N	\N	\N
188417	638	1997-06-11	PRIJEM	VKLAD	25971	35850	\N	\N	\N
188418	638	1997-07-11	PRIJEM	VKLAD	17314	32653	\N	\N	\N
188419	638	1997-08-11	PRIJEM	VKLAD	17314	30009	\N	\N	\N
188420	638	1997-09-11	PRIJEM	VKLAD	17314	30158	\N	\N	\N
188421	638	1997-10-11	PRIJEM	VKLAD	17314	26499	\N	\N	\N
188422	638	1997-11-11	PRIJEM	VKLAD	17314	27435	\N	\N	\N
188423	638	1997-12-11	PRIJEM	VKLAD	25971	35427	\N	\N	\N
188424	638	1998-01-11	PRIJEM	VKLAD	17314	29470	\N	\N	\N
188425	638	1998-02-11	PRIJEM	VKLAD	17314	28210	\N	\N	\N
188426	638	1998-03-11	PRIJEM	VKLAD	17314	29850	\N	\N	\N
188427	638	1998-04-11	PRIJEM	VKLAD	17314	26187	\N	\N	\N
188428	638	1998-05-11	PRIJEM	VKLAD	17314	35540	\N	\N	\N
188429	638	1998-06-11	PRIJEM	VKLAD	25971	36265	\N	\N	\N
188430	638	1998-07-11	PRIJEM	VKLAD	17314	45647	\N	\N	\N
188431	638	1998-08-11	PRIJEM	VKLAD	17314	31219	\N	\N	\N
188432	638	1998-09-11	PRIJEM	VKLAD	17314	40593	\N	\N	\N
188433	638	1998-10-11	PRIJEM	VKLAD	17314	34345	\N	\N	\N
188434	638	1998-11-11	PRIJEM	VKLAD	17314	30549	\N	\N	\N
188435	638	1998-12-11	PRIJEM	VKLAD	25971	38600	\N	\N	\N
188446	638	1995-11-11	VYDAJ	PREVOD NA UCET	2487	53867	SIPO	QR	41244357
188447	638	1995-12-11	VYDAJ	PREVOD NA UCET	2487	57284	SIPO	QR	41244357
188448	638	1996-01-11	VYDAJ	PREVOD NA UCET	2487	47670	SIPO	QR	41244357
188449	638	1996-02-11	VYDAJ	PREVOD NA UCET	2487	42765	SIPO	QR	41244357
188450	638	1996-03-11	VYDAJ	PREVOD NA UCET	2487	43990	SIPO	QR	41244357
188451	638	1996-04-11	VYDAJ	PREVOD NA UCET	2487	45620	SIPO	QR	41244357
188452	638	1996-05-11	VYDAJ	PREVOD NA UCET	2487	45855	SIPO	QR	41244357
188453	638	1996-06-11	VYDAJ	PREVOD NA UCET	2487	37365	SIPO	QR	41244357
188454	638	1996-07-11	VYDAJ	PREVOD NA UCET	2487	39473	SIPO	QR	41244357
188455	638	1996-08-11	VYDAJ	PREVOD NA UCET	2487	42284	SIPO	QR	41244357
188456	638	1996-09-11	VYDAJ	PREVOD NA UCET	2487	38997	SIPO	QR	41244357
188457	638	1996-10-11	VYDAJ	PREVOD NA UCET	2487	41302	SIPO	QR	41244357
188458	638	1996-11-11	VYDAJ	PREVOD NA UCET	2487	40012	SIPO	QR	41244357
188459	638	1996-12-11	VYDAJ	PREVOD NA UCET	2487	49777	SIPO	QR	41244357
188460	638	1997-01-11	VYDAJ	PREVOD NA UCET	2487	41359	SIPO	QR	41244357
188461	638	1997-02-11	VYDAJ	PREVOD NA UCET	2487	35840	SIPO	QR	41244357
188462	638	1997-03-11	VYDAJ	PREVOD NA UCET	2487	32582	SIPO	QR	41244357
188463	638	1997-04-11	VYDAJ	PREVOD NA UCET	2487	28248	SIPO	QR	41244357
188464	638	1997-05-11	VYDAJ	PREVOD NA UCET	2487	29305	SIPO	QR	41244357
188465	638	1997-06-11	VYDAJ	PREVOD NA UCET	2487	33363	SIPO	QR	41244357
188466	638	1997-07-11	VYDAJ	PREVOD NA UCET	2487	30166	SIPO	QR	41244357
188467	638	1997-08-11	VYDAJ	PREVOD NA UCET	2487	27522	SIPO	QR	41244357
188468	638	1997-09-11	VYDAJ	PREVOD NA UCET	2487	27671	SIPO	QR	41244357
188469	638	1997-10-11	VYDAJ	PREVOD NA UCET	2487	24012	SIPO	QR	41244357
188470	638	1997-11-11	VYDAJ	PREVOD NA UCET	2487	24948	SIPO	QR	41244357
188471	638	1997-12-11	VYDAJ	PREVOD NA UCET	2487	32940	SIPO	QR	41244357
188472	638	1998-01-11	VYDAJ	PREVOD NA UCET	2487	26983	SIPO	QR	41244357
188473	638	1998-02-11	VYDAJ	PREVOD NA UCET	2487	25723	SIPO	QR	41244357
188474	638	1998-03-11	VYDAJ	PREVOD NA UCET	2487	27363	SIPO	QR	41244357
188475	638	1998-04-11	VYDAJ	PREVOD NA UCET	2487	23700	SIPO	QR	41244357
188476	638	1998-05-11	VYDAJ	PREVOD NA UCET	2487	33053	SIPO	QR	41244357
188477	638	1998-06-11	VYDAJ	PREVOD NA UCET	2487	33778	SIPO	QR	41244357
188478	638	1998-07-11	VYDAJ	PREVOD NA UCET	2487	43160	SIPO	QR	41244357
188479	638	1998-08-11	VYDAJ	PREVOD NA UCET	2487	28732	SIPO	QR	41244357
188480	638	1998-09-11	VYDAJ	PREVOD NA UCET	2487	38106	SIPO	QR	41244357
188481	638	1998-10-11	VYDAJ	PREVOD NA UCET	2487	31858	SIPO	QR	41244357
188482	638	1998-11-11	VYDAJ	PREVOD NA UCET	2487	28062	SIPO	QR	41244357
188483	638	1998-12-11	VYDAJ	PREVOD NA UCET	2487	36113	SIPO	QR	41244357
188495	638	1995-12-10	VYDAJ	PREVOD NA UCET	4668	33800	 	AB	77634972
188496	638	1996-01-10	VYDAJ	PREVOD NA UCET	4668	32843	 	AB	77634972
188497	638	1996-02-10	VYDAJ	PREVOD NA UCET	4668	27938	 	AB	77634972
188498	638	1996-03-10	VYDAJ	PREVOD NA UCET	4668	29163	 	AB	77634972
188499	638	1996-04-10	VYDAJ	PREVOD NA UCET	4668	30793	 	AB	77634972
188500	638	1996-05-10	VYDAJ	PREVOD NA UCET	4668	31028	 	AB	77634972
188501	638	1996-06-10	VYDAJ	PREVOD NA UCET	4668	13881	 	AB	77634972
188502	638	1996-07-10	VYDAJ	PREVOD NA UCET	4668	24646	 	AB	77634972
188503	638	1996-08-10	VYDAJ	PREVOD NA UCET	4668	27457	 	AB	77634972
188504	638	1996-09-10	VYDAJ	PREVOD NA UCET	4668	24170	 	AB	77634972
188505	638	1996-10-10	VYDAJ	PREVOD NA UCET	4668	26475	 	AB	77634972
188506	638	1996-11-10	VYDAJ	PREVOD NA UCET	4668	25185	 	AB	77634972
188507	638	1996-12-10	VYDAJ	PREVOD NA UCET	4668	26293	 	AB	77634972
188508	638	1997-01-10	VYDAJ	PREVOD NA UCET	4668	26532	 	AB	77634972
188509	638	1997-02-10	VYDAJ	PREVOD NA UCET	4668	21013	 	AB	77634972
188510	638	1997-03-10	VYDAJ	PREVOD NA UCET	4668	17755	 	AB	77634972
188511	638	1997-04-10	VYDAJ	PREVOD NA UCET	4668	13421	 	AB	77634972
188512	638	1997-05-10	VYDAJ	PREVOD NA UCET	4668	14478	 	AB	77634972
188513	638	1997-06-10	VYDAJ	PREVOD NA UCET	4668	9879	 	AB	77634972
188514	638	1997-07-10	VYDAJ	PREVOD NA UCET	4668	15339	 	AB	77634972
188515	638	1997-08-10	VYDAJ	PREVOD NA UCET	4668	12695	 	AB	77634972
188516	638	1997-09-10	VYDAJ	PREVOD NA UCET	4668	12844	 	AB	77634972
188517	638	1997-10-10	VYDAJ	PREVOD NA UCET	4668	9185	 	AB	77634972
188518	638	1997-11-10	VYDAJ	PREVOD NA UCET	4668	10121	 	AB	77634972
188519	638	1997-12-10	VYDAJ	PREVOD NA UCET	4668	9456	 	AB	77634972
188520	638	1998-01-10	VYDAJ	PREVOD NA UCET	4668	12156	 	AB	77634972
188521	638	1998-02-10	VYDAJ	PREVOD NA UCET	4668	10896	 	AB	77634972
188522	638	1998-03-10	VYDAJ	PREVOD NA UCET	4668	12536	 	AB	77634972
188523	638	1998-04-10	VYDAJ	PREVOD NA UCET	4668	8873	 	AB	77634972
188524	638	1998-05-10	VYDAJ	PREVOD NA UCET	4668	18226	 	AB	77634972
188525	638	1998-06-10	VYDAJ	PREVOD NA UCET	4668	10294	 	AB	77634972
188526	638	1998-07-10	VYDAJ	PREVOD NA UCET	4668	28333	 	AB	77634972
188527	638	1998-08-10	VYDAJ	PREVOD NA UCET	4668	13905	 	AB	77634972
188528	638	1998-09-10	VYDAJ	PREVOD NA UCET	4668	23279	 	AB	77634972
188529	638	1998-10-10	VYDAJ	PREVOD NA UCET	4668	31731	 	AB	77634972
188530	638	1998-11-10	VYDAJ	PREVOD NA UCET	4668	13235	 	AB	77634972
188531	638	1998-12-10	VYDAJ	PREVOD NA UCET	4668	12629	 	AB	77634972
188542	638	1995-11-12	VYDAJ	PREVOD NA UCET	873	52994	POJISTNE	GH	45651602
188543	638	1995-12-12	VYDAJ	PREVOD NA UCET	873	56411	POJISTNE	GH	45651602
188544	638	1996-01-12	VYDAJ	PREVOD NA UCET	873	46797	POJISTNE	GH	45651602
188545	638	1996-02-12	VYDAJ	PREVOD NA UCET	873	41892	POJISTNE	GH	45651602
188546	638	1996-03-12	VYDAJ	PREVOD NA UCET	873	43117	POJISTNE	GH	45651602
188547	638	1996-04-12	VYDAJ	PREVOD NA UCET	873	44747	POJISTNE	GH	45651602
188548	638	1996-05-12	VYDAJ	PREVOD NA UCET	873	44982	POJISTNE	GH	45651602
188549	638	1996-06-12	VYDAJ	PREVOD NA UCET	873	36492	POJISTNE	GH	45651602
188550	638	1996-07-12	VYDAJ	PREVOD NA UCET	873	38600	POJISTNE	GH	45651602
188551	638	1996-08-12	VYDAJ	PREVOD NA UCET	873	41411	POJISTNE	GH	45651602
188552	638	1996-09-12	VYDAJ	PREVOD NA UCET	873	38124	POJISTNE	GH	45651602
188553	638	1996-10-12	VYDAJ	PREVOD NA UCET	873	40429	POJISTNE	GH	45651602
188554	638	1996-11-12	VYDAJ	PREVOD NA UCET	873	39139	POJISTNE	GH	45651602
188555	638	1996-12-12	VYDAJ	PREVOD NA UCET	873	46504	POJISTNE	GH	45651602
188556	638	1997-01-12	VYDAJ	PREVOD NA UCET	873	40486	POJISTNE	GH	45651602
188557	638	1997-02-12	VYDAJ	PREVOD NA UCET	873	34967	POJISTNE	GH	45651602
188558	638	1997-03-12	VYDAJ	PREVOD NA UCET	873	31709	POJISTNE	GH	45651602
188559	638	1997-04-12	VYDAJ	PREVOD NA UCET	873	27375	POJISTNE	GH	45651602
188560	638	1997-05-12	VYDAJ	PREVOD NA UCET	873	28432	POJISTNE	GH	45651602
188561	638	1997-06-12	VYDAJ	PREVOD NA UCET	873	32490	POJISTNE	GH	45651602
188562	638	1997-07-12	VYDAJ	PREVOD NA UCET	873	29293	POJISTNE	GH	45651602
188563	638	1997-08-12	VYDAJ	PREVOD NA UCET	873	26649	POJISTNE	GH	45651602
188564	638	1997-09-12	VYDAJ	PREVOD NA UCET	873	26798	POJISTNE	GH	45651602
188565	638	1997-10-12	VYDAJ	PREVOD NA UCET	873	23139	POJISTNE	GH	45651602
188566	638	1997-11-12	VYDAJ	PREVOD NA UCET	873	24075	POJISTNE	GH	45651602
188567	638	1997-12-12	VYDAJ	PREVOD NA UCET	873	32067	POJISTNE	GH	45651602
188568	638	1998-01-12	VYDAJ	PREVOD NA UCET	873	26110	POJISTNE	GH	45651602
188569	638	1998-02-12	VYDAJ	PREVOD NA UCET	873	17150	POJISTNE	GH	45651602
188570	638	1998-03-12	VYDAJ	PREVOD NA UCET	873	26490	POJISTNE	GH	45651602
188571	638	1998-04-12	VYDAJ	PREVOD NA UCET	873	22827	POJISTNE	GH	45651602
188572	638	1998-05-12	VYDAJ	PREVOD NA UCET	873	29900	POJISTNE	GH	45651602
188573	638	1998-06-12	VYDAJ	PREVOD NA UCET	873	32905	POJISTNE	GH	45651602
188574	638	1998-07-12	VYDAJ	PREVOD NA UCET	873	18487	POJISTNE	GH	45651602
188575	638	1998-08-12	VYDAJ	PREVOD NA UCET	873	27859	POJISTNE	GH	45651602
188576	638	1998-09-12	VYDAJ	PREVOD NA UCET	873	37233	POJISTNE	GH	45651602
188577	638	1998-10-12	VYDAJ	PREVOD NA UCET	873	30985	POJISTNE	GH	45651602
188578	638	1998-11-12	VYDAJ	PREVOD NA UCET	873	27189	POJISTNE	GH	45651602
188579	638	1998-12-12	VYDAJ	PREVOD NA UCET	873	35240	POJISTNE	GH	45651602
188581	638	1996-06-07	VYDAJ	VYBER	15680	18549	\N	\N	\N
188584	638	1995-12-30	VYDAJ	VYBER	3680	37331	\N	\N	\N
188585	638	1996-12-11	VYDAJ	VYBER	2400	47377	\N	\N	\N
188587	638	1998-12-16	VYDAJ	VYBER	4640	30600	\N	\N	\N
188592	638	1995-12-20	VYDAJ	VYBER	2400	54011	\N	\N	\N
188594	638	1996-09-17	VYDAJ	VYBER	1680	34524	\N	\N	\N
188595	638	1996-04-23	VYDAJ	VYBER	600	35547	\N	\N	\N
188596	638	1996-09-15	VYDAJ	VYBER	1920	36204	\N	\N	\N
188597	638	1996-06-18	VYDAJ	VYBER	600	35892	\N	\N	\N
188598	638	1996-01-14	VYDAJ	VYBER	2640	44157	\N	\N	\N
188599	638	1997-02-20	VYDAJ	VYBER	2040	22327	\N	\N	\N
188600	638	1997-01-10	VYDAJ	VYBER	2640	31200	\N	\N	\N
188601	638	1997-06-10	VYDAJ	VYBER	5160	14547	\N	\N	\N
188602	638	1997-06-15	VYDAJ	VYBER	2760	29730	\N	\N	\N
188603	638	1997-03-14	VYDAJ	VYBER	1800	29909	\N	\N	\N
188604	638	1997-01-14	VYDAJ	VYBER	720	39766	\N	\N	\N
188607	638	1998-11-16	VYDAJ	VYBER	5880	21309	\N	\N	\N
188608	638	1998-09-23	VYDAJ	VYBER	960	36273	\N	\N	\N
188609	638	1998-05-12	VYDAJ	VYBER	2280	30773	\N	\N	\N
188610	638	1998-12-30	VYDAJ	VYBER	4440	26160	\N	\N	\N
188622	638	1995-11-30	VYDAJ	VYBER	15	38468	SLUZBY	\N	\N
188623	638	1995-12-31	VYDAJ	VYBER	15	37511	SLUZBY	\N	\N
188624	638	1996-01-31	VYDAJ	VYBER	15	32606	SLUZBY	\N	\N
188625	638	1996-02-29	VYDAJ	VYBER	15	33831	SLUZBY	\N	\N
188626	638	1996-03-31	VYDAJ	VYBER	15	35461	SLUZBY	\N	\N
188627	638	1996-04-30	VYDAJ	VYBER	15	35696	SLUZBY	\N	\N
188628	638	1996-05-31	VYDAJ	VYBER	15	34229	SLUZBY	\N	\N
188629	638	1996-06-30	VYDAJ	VYBER	15	29314	SLUZBY	\N	\N
188630	638	1996-07-31	VYDAJ	VYBER	15	32125	SLUZBY	\N	\N
188631	638	1996-08-31	VYDAJ	VYBER	15	28838	SLUZBY	\N	\N
188632	638	1996-09-30	VYDAJ	VYBER	15	31143	SLUZBY	\N	\N
188633	638	1996-10-31	VYDAJ	VYBER	15	29853	SLUZBY	\N	\N
188634	638	1996-11-30	VYDAJ	VYBER	15	30961	SLUZBY	\N	\N
188635	638	1996-12-31	VYDAJ	VYBER	15	33840	SLUZBY	\N	\N
188636	638	1997-01-31	VYDAJ	VYBER	15	25681	SLUZBY	\N	\N
188637	638	1997-02-28	VYDAJ	VYBER	15	22423	SLUZBY	\N	\N
188638	638	1997-03-31	VYDAJ	VYBER	15	18089	SLUZBY	\N	\N
188639	638	1997-04-30	VYDAJ	VYBER	15	19146	SLUZBY	\N	\N
188640	638	1997-05-31	VYDAJ	VYBER	15	19707	SLUZBY	\N	\N
188641	638	1997-06-30	VYDAJ	VYBER	15	20007	SLUZBY	\N	\N
188642	638	1997-07-31	VYDAJ	VYBER	15	17363	SLUZBY	\N	\N
188643	638	1997-08-31	VYDAJ	VYBER	15	17512	SLUZBY	\N	\N
188644	638	1997-09-30	VYDAJ	VYBER	15	13853	SLUZBY	\N	\N
188645	638	1997-10-31	VYDAJ	VYBER	15	14789	SLUZBY	\N	\N
188646	638	1997-11-30	VYDAJ	VYBER	15	14124	SLUZBY	\N	\N
188647	638	1997-12-31	VYDAJ	VYBER	15	16824	SLUZBY	\N	\N
188648	638	1998-01-31	VYDAJ	VYBER	15	15564	SLUZBY	\N	\N
188649	638	1998-02-28	VYDAJ	VYBER	15	17204	SLUZBY	\N	\N
188650	638	1998-03-31	VYDAJ	VYBER	15	13541	SLUZBY	\N	\N
188651	638	1998-04-30	VYDAJ	VYBER	15	22894	SLUZBY	\N	\N
188652	638	1998-05-31	VYDAJ	VYBER	15	14962	SLUZBY	\N	\N
188653	638	1998-06-30	VYDAJ	VYBER	15	33001	SLUZBY	\N	\N
188654	638	1998-07-31	VYDAJ	VYBER	15	18573	SLUZBY	\N	\N
188655	638	1998-08-31	VYDAJ	VYBER	15	27947	SLUZBY	\N	\N
188656	638	1998-09-30	VYDAJ	VYBER	15	36399	SLUZBY	\N	\N
188657	638	1998-10-31	VYDAJ	VYBER	15	31103	SLUZBY	\N	\N
188658	638	1998-11-30	VYDAJ	VYBER	15	21397	SLUZBY	\N	\N
188659	638	1995-07-28	PRIJEM	VKLAD	2400	20714	\N	\N	\N
188660	638	1995-08-27	VYDAJ	VYBER	8700	29339	\N	\N	\N
188661	638	1995-09-26	VYDAJ	VYBER	10400	36345	\N	\N	\N
188662	638	1995-10-26	VYDAJ	VYBER	14900	38886	\N	\N	\N
188663	638	1995-11-25	VYDAJ	VYBER	14700	38294	\N	\N	\N
188664	638	1995-12-25	VYDAJ	VYBER	13000	41011	\N	\N	\N
188665	638	1996-01-24	VYDAJ	VYBER	11700	32457	\N	\N	\N
188666	638	1996-02-23	VYDAJ	VYBER	8200	33692	\N	\N	\N
188667	638	1996-03-24	VYDAJ	VYBER	7800	35317	\N	\N	\N
188668	638	1996-04-23	VYDAJ	VYBER	8600	36147	\N	\N	\N
188669	638	1996-05-23	VYDAJ	VYBER	10900	34082	\N	\N	\N
188670	638	1996-06-22	VYDAJ	VYBER	6700	29192	\N	\N	\N
188671	638	1996-07-22	VYDAJ	VYBER	6600	32000	\N	\N	\N
188672	638	1996-08-21	VYDAJ	VYBER	12700	28711	\N	\N	\N
188673	638	1996-09-20	VYDAJ	VYBER	3500	31024	\N	\N	\N
188674	638	1996-10-20	VYDAJ	VYBER	10700	29729	\N	\N	\N
188675	638	1996-11-19	VYDAJ	VYBER	8300	30839	\N	\N	\N
188676	638	1996-12-19	VYDAJ	VYBER	12800	33704	\N	\N	\N
188677	638	1997-01-18	VYDAJ	VYBER	14200	25566	\N	\N	\N
188678	638	1997-02-17	VYDAJ	VYBER	10600	24367	\N	\N	\N
188679	638	1997-03-19	VYDAJ	VYBER	11900	18009	\N	\N	\N
188680	638	1997-04-18	VYDAJ	VYBER	8300	19075	\N	\N	\N
188681	638	1997-05-18	VYDAJ	VYBER	8800	19632	\N	\N	\N
188682	638	1997-06-17	VYDAJ	VYBER	9800	19930	\N	\N	\N
188683	638	1997-07-17	VYDAJ	VYBER	12000	17293	\N	\N	\N
188684	638	1997-08-16	VYDAJ	VYBER	9200	17449	\N	\N	\N
188685	638	1997-09-15	VYDAJ	VYBER	13000	13798	\N	\N	\N
188686	638	1997-10-15	VYDAJ	VYBER	8400	14739	\N	\N	\N
188687	638	1997-11-14	VYDAJ	VYBER	10000	14075	\N	\N	\N
188688	638	1997-12-14	VYDAJ	VYBER	15300	16767	\N	\N	\N
188689	638	1998-01-13	VYDAJ	VYBER	10600	15510	\N	\N	\N
188690	638	1998-02-12	VYDAJ	VYBER	7700	18023	\N	\N	\N
188691	638	1998-03-14	VYDAJ	VYBER	13000	13490	\N	\N	\N
188692	638	1998-05-13	VYDAJ	VYBER	15000	14900	\N	\N	\N
188693	638	1998-07-12	VYDAJ	VYBER	23800	19360	\N	\N	\N
188694	638	1998-10-10	VYDAJ	VYBER	14700	17031	\N	\N	\N
188695	638	1998-11-09	VYDAJ	VYBER	13200	17903	\N	\N	\N
188696	638	1998-12-09	VYDAJ	VYBER	4100	17297	\N	\N	\N
188739	639	1997-11-03	PRIJEM	VKLAD	500	500	\N	\N	\N
188750	639	1997-11-09	PRIJEM	PREVOD Z UCTU	4373	4873	DUCHOD	KL	3005147
188751	639	1997-12-09	PRIJEM	PREVOD Z UCTU	4373	9261	DUCHOD	KL	3005147
188752	639	1998-01-09	PRIJEM	PREVOD Z UCTU	4373	13654	DUCHOD	KL	3005147
188753	639	1998-02-09	PRIJEM	PREVOD Z UCTU	4373	18048	DUCHOD	KL	3005147
188754	639	1998-03-09	PRIJEM	PREVOD Z UCTU	4373	22441	DUCHOD	KL	3005147
188755	639	1998-04-09	PRIJEM	PREVOD Z UCTU	4373	19686	DUCHOD	KL	3005147
188756	639	1998-05-09	PRIJEM	PREVOD Z UCTU	4373	20548	DUCHOD	KL	3005147
188757	639	1998-06-09	PRIJEM	PREVOD Z UCTU	4373	22938	DUCHOD	KL	3005147
188758	639	1998-07-09	PRIJEM	PREVOD Z UCTU	4373	23013	DUCHOD	KL	3005147
188759	639	1998-08-09	PRIJEM	PREVOD Z UCTU	4373	25409	DUCHOD	KL	3005147
188760	639	1998-09-09	PRIJEM	PREVOD Z UCTU	4373	27815	DUCHOD	KL	3005147
188761	639	1998-10-09	PRIJEM	PREVOD Z UCTU	4373	28150	DUCHOD	KL	3005147
188762	639	1998-11-09	PRIJEM	PREVOD Z UCTU	4373	29472	DUCHOD	KL	3005147
188763	639	1998-12-09	PRIJEM	PREVOD Z UCTU	4373	26592	DUCHOD	KL	3005147
188778	639	1998-03-13	VYDAJ	PREVOD NA UCET	2046	20395	SIPO	ST	77312248
188779	639	1998-04-13	VYDAJ	PREVOD NA UCET	2046	17640	SIPO	ST	77312248
188780	639	1998-05-13	VYDAJ	PREVOD NA UCET	2046	18502	SIPO	ST	77312248
188781	639	1998-06-13	VYDAJ	PREVOD NA UCET	2046	18572	SIPO	ST	77312248
188782	639	1998-07-13	VYDAJ	PREVOD NA UCET	2046	20967	SIPO	ST	77312248
188783	639	1998-08-13	VYDAJ	PREVOD NA UCET	2046	23363	SIPO	ST	77312248
188784	639	1998-09-13	VYDAJ	PREVOD NA UCET	2046	25769	SIPO	ST	77312248
188785	639	1998-10-13	VYDAJ	PREVOD NA UCET	2046	26104	SIPO	ST	77312248
188786	639	1998-11-13	VYDAJ	PREVOD NA UCET	2046	27426	SIPO	ST	77312248
188787	639	1998-12-13	VYDAJ	PREVOD NA UCET	2046	24546	SIPO	ST	77312248
188793	639	1998-12-26	VYDAJ	VYBER	450	24096	\N	\N	\N
188809	639	1998-05-06	VYDAJ	VYBER	1520	16175	\N	\N	\N
188811	639	1998-03-25	VYDAJ	VYBER	2560	15275	\N	\N	\N
188812	639	1998-06-13	VYDAJ	VYBER	2320	20618	\N	\N	\N
188813	639	1998-10-08	VYDAJ	VYBER	2080	23777	\N	\N	\N
188814	639	1998-03-19	VYDAJ	VYBER	2560	17835	\N	\N	\N
188830	639	1998-03-31	VYDAJ	VYBER	15	15313	SLUZBY	\N	\N
188831	639	1998-04-30	VYDAJ	VYBER	15	17695	SLUZBY	\N	\N
188832	639	1998-05-31	VYDAJ	VYBER	15	18565	SLUZBY	\N	\N
188833	639	1998-06-30	VYDAJ	VYBER	15	18640	SLUZBY	\N	\N
188834	639	1998-07-31	VYDAJ	VYBER	15	21036	SLUZBY	\N	\N
188835	639	1998-08-31	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
188836	639	1998-09-30	VYDAJ	VYBER	15	25857	SLUZBY	\N	\N
188837	639	1998-10-31	VYDAJ	VYBER	15	25099	SLUZBY	\N	\N
188838	639	1998-11-30	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
188839	639	1998-10-29	VYDAJ	VYBER	1100	25004	\N	\N	\N
188840	639	1998-11-28	VYDAJ	VYBER	5300	22126	\N	\N	\N
188855	640	1993-06-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
188861	640	1993-06-10	PRIJEM	PREVOD Z UCTU	4337	5437	DUCHOD	EF	41213739
188862	640	1993-07-10	PRIJEM	PREVOD Z UCTU	4337	9790	DUCHOD	EF	41213739
188863	640	1993-08-10	PRIJEM	PREVOD Z UCTU	4337	14150	DUCHOD	EF	41213739
188864	640	1993-09-10	PRIJEM	PREVOD Z UCTU	4337	18509	DUCHOD	EF	41213739
188865	640	1993-10-10	PRIJEM	PREVOD Z UCTU	4337	22869	DUCHOD	EF	41213739
188866	640	1993-11-10	PRIJEM	PREVOD Z UCTU	4337	24358	DUCHOD	EF	41213739
188867	640	1993-12-10	PRIJEM	PREVOD Z UCTU	4337	19193	DUCHOD	EF	41213739
188868	640	1994-01-10	PRIJEM	PREVOD Z UCTU	4337	20694	DUCHOD	EF	41213739
188869	640	1994-02-10	PRIJEM	PREVOD Z UCTU	4337	19557	DUCHOD	EF	41213739
188870	640	1994-03-10	PRIJEM	PREVOD Z UCTU	4337	21061	DUCHOD	EF	41213739
188871	640	1994-04-10	PRIJEM	PREVOD Z UCTU	4337	22565	DUCHOD	EF	41213739
188872	640	1994-05-10	PRIJEM	PREVOD Z UCTU	4337	24076	DUCHOD	EF	41213739
188873	640	1994-06-10	PRIJEM	PREVOD Z UCTU	4337	25593	DUCHOD	EF	41213739
188874	640	1994-07-10	PRIJEM	PREVOD Z UCTU	4337	25196	DUCHOD	EF	41213739
188875	640	1994-08-10	PRIJEM	PREVOD Z UCTU	4337	26723	DUCHOD	EF	41213739
188876	640	1994-09-10	PRIJEM	PREVOD Z UCTU	4337	28251	DUCHOD	EF	41213739
188877	640	1994-10-10	PRIJEM	PREVOD Z UCTU	4337	29785	DUCHOD	EF	41213739
188878	640	1994-11-10	PRIJEM	PREVOD Z UCTU	4337	29925	DUCHOD	EF	41213739
188879	640	1994-12-10	PRIJEM	PREVOD Z UCTU	4337	31466	DUCHOD	EF	41213739
188880	640	1995-01-10	PRIJEM	PREVOD Z UCTU	4337	26498	DUCHOD	EF	41213739
188881	640	1995-02-10	PRIJEM	PREVOD Z UCTU	4337	26727	DUCHOD	EF	41213739
188882	640	1995-03-10	PRIJEM	PREVOD Z UCTU	4337	28255	DUCHOD	EF	41213739
188883	640	1995-04-10	PRIJEM	PREVOD Z UCTU	4337	29389	DUCHOD	EF	41213739
188884	640	1995-05-10	PRIJEM	PREVOD Z UCTU	4337	29807	DUCHOD	EF	41213739
188885	640	1995-06-10	PRIJEM	PREVOD Z UCTU	4337	31352	DUCHOD	EF	41213739
188886	640	1995-07-10	PRIJEM	PREVOD Z UCTU	4337	28378	DUCHOD	EF	41213739
188887	640	1995-08-10	PRIJEM	PREVOD Z UCTU	4337	28957	DUCHOD	EF	41213739
188888	640	1995-09-10	PRIJEM	PREVOD Z UCTU	4337	30494	DUCHOD	EF	41213739
188889	640	1995-10-10	PRIJEM	PREVOD Z UCTU	4337	26915	DUCHOD	EF	41213739
188890	640	1995-11-10	PRIJEM	PREVOD Z UCTU	4337	28451	DUCHOD	EF	41213739
188891	640	1995-12-10	PRIJEM	PREVOD Z UCTU	4337	29985	DUCHOD	EF	41213739
188892	640	1996-01-10	PRIJEM	PREVOD Z UCTU	4337	27370	DUCHOD	EF	41213739
188893	640	1996-02-10	PRIJEM	PREVOD Z UCTU	4337	27798	DUCHOD	EF	41213739
188894	640	1996-03-10	PRIJEM	PREVOD Z UCTU	4337	29029	DUCHOD	EF	41213739
188895	640	1996-04-10	PRIJEM	PREVOD Z UCTU	4337	28241	DUCHOD	EF	41213739
188896	640	1996-05-10	PRIJEM	PREVOD Z UCTU	4337	26669	DUCHOD	EF	41213739
188897	640	1996-06-10	PRIJEM	PREVOD Z UCTU	4337	28196	DUCHOD	EF	41213739
188898	640	1996-07-10	PRIJEM	PREVOD Z UCTU	4337	29730	DUCHOD	EF	41213739
188899	640	1996-08-10	PRIJEM	PREVOD Z UCTU	4337	30548	DUCHOD	EF	41213739
188900	640	1996-09-10	PRIJEM	PREVOD Z UCTU	4337	30811	DUCHOD	EF	41213739
188901	640	1996-10-10	PRIJEM	PREVOD Z UCTU	4337	32359	DUCHOD	EF	41213739
188902	640	1996-11-10	PRIJEM	PREVOD Z UCTU	4337	33910	DUCHOD	EF	41213739
188903	640	1996-12-10	PRIJEM	PREVOD Z UCTU	4337	33064	DUCHOD	EF	41213739
188904	640	1997-01-10	PRIJEM	PREVOD Z UCTU	4337	32345	DUCHOD	EF	41213739
188905	640	1997-02-10	PRIJEM	PREVOD Z UCTU	4337	33895	DUCHOD	EF	41213739
188906	640	1997-03-10	PRIJEM	PREVOD Z UCTU	4337	33248	DUCHOD	EF	41213739
188907	640	1997-04-10	PRIJEM	PREVOD Z UCTU	4337	28910	DUCHOD	EF	41213739
188908	640	1997-05-10	PRIJEM	PREVOD Z UCTU	4337	28445	DUCHOD	EF	41213739
188909	640	1997-06-10	PRIJEM	PREVOD Z UCTU	4337	29982	DUCHOD	EF	41213739
188910	640	1997-07-10	PRIJEM	PREVOD Z UCTU	4337	31522	DUCHOD	EF	41213739
188911	640	1997-08-10	PRIJEM	PREVOD Z UCTU	4337	29661	DUCHOD	EF	41213739
188912	640	1997-09-10	PRIJEM	PREVOD Z UCTU	4337	31200	DUCHOD	EF	41213739
188913	640	1997-10-10	PRIJEM	PREVOD Z UCTU	4337	32745	DUCHOD	EF	41213739
188914	640	1997-11-10	PRIJEM	PREVOD Z UCTU	4337	34296	DUCHOD	EF	41213739
188915	640	1997-12-10	PRIJEM	PREVOD Z UCTU	4337	35854	DUCHOD	EF	41213739
188916	640	1998-01-10	PRIJEM	PREVOD Z UCTU	4337	36316	DUCHOD	EF	41213739
188917	640	1998-02-10	PRIJEM	PREVOD Z UCTU	4337	37882	DUCHOD	EF	41213739
188918	640	1998-03-10	PRIJEM	PREVOD Z UCTU	4337	35155	DUCHOD	EF	41213739
188919	640	1998-04-10	PRIJEM	PREVOD Z UCTU	4337	36323	DUCHOD	EF	41213739
188920	640	1998-05-10	PRIJEM	PREVOD Z UCTU	4337	36392	DUCHOD	EF	41213739
188921	640	1998-06-10	PRIJEM	PREVOD Z UCTU	4337	37321	DUCHOD	EF	41213739
188922	640	1998-07-10	PRIJEM	PREVOD Z UCTU	4337	35051	DUCHOD	EF	41213739
188923	640	1998-08-10	PRIJEM	PREVOD Z UCTU	4337	36618	DUCHOD	EF	41213739
188924	640	1998-09-10	PRIJEM	PREVOD Z UCTU	4337	36745	DUCHOD	EF	41213739
188925	640	1998-10-10	PRIJEM	PREVOD Z UCTU	4337	37115	DUCHOD	EF	41213739
188926	640	1998-11-10	PRIJEM	PREVOD Z UCTU	4337	38684	DUCHOD	EF	41213739
188927	640	1998-12-10	PRIJEM	PREVOD Z UCTU	4337	38909	DUCHOD	EF	41213739
188937	640	1993-10-14	VYDAJ	PREVOD NA UCET	2891	19978	SIPO	MN	49130755
188938	640	1993-11-14	VYDAJ	PREVOD NA UCET	2891	21467	SIPO	MN	49130755
188939	640	1993-12-14	VYDAJ	PREVOD NA UCET	2891	16302	SIPO	MN	49130755
188940	640	1994-01-14	VYDAJ	PREVOD NA UCET	2891	17803	SIPO	MN	49130755
188941	640	1994-02-14	VYDAJ	PREVOD NA UCET	2891	16666	SIPO	MN	49130755
188942	640	1994-03-14	VYDAJ	PREVOD NA UCET	2891	18170	SIPO	MN	49130755
188943	640	1994-04-14	VYDAJ	PREVOD NA UCET	2891	19674	SIPO	MN	49130755
188944	640	1994-05-14	VYDAJ	PREVOD NA UCET	2891	21185	SIPO	MN	49130755
188945	640	1994-06-14	VYDAJ	PREVOD NA UCET	2891	22702	SIPO	MN	49130755
188946	640	1994-07-14	VYDAJ	PREVOD NA UCET	2891	22305	SIPO	MN	49130755
188947	640	1994-08-14	VYDAJ	PREVOD NA UCET	2891	23832	SIPO	MN	49130755
188948	640	1994-09-14	VYDAJ	PREVOD NA UCET	2891	25360	SIPO	MN	49130755
188949	640	1994-10-14	VYDAJ	PREVOD NA UCET	2891	26894	SIPO	MN	49130755
188950	640	1994-11-14	VYDAJ	PREVOD NA UCET	2891	27034	SIPO	MN	49130755
188951	640	1994-12-14	VYDAJ	PREVOD NA UCET	2891	27825	SIPO	MN	49130755
188952	640	1995-01-14	VYDAJ	PREVOD NA UCET	2891	23607	SIPO	MN	49130755
188953	640	1995-02-14	VYDAJ	PREVOD NA UCET	2891	23836	SIPO	MN	49130755
188954	640	1995-03-14	VYDAJ	PREVOD NA UCET	2891	25364	SIPO	MN	49130755
188955	640	1995-04-14	VYDAJ	PREVOD NA UCET	2891	26498	SIPO	MN	49130755
188956	640	1995-05-14	VYDAJ	PREVOD NA UCET	2891	26916	SIPO	MN	49130755
188957	640	1995-06-14	VYDAJ	PREVOD NA UCET	2891	28461	SIPO	MN	49130755
188958	640	1995-07-14	VYDAJ	PREVOD NA UCET	2891	24527	SIPO	MN	49130755
188959	640	1995-08-14	VYDAJ	PREVOD NA UCET	2891	26066	SIPO	MN	49130755
188960	640	1995-09-14	VYDAJ	PREVOD NA UCET	2891	27603	SIPO	MN	49130755
188961	640	1995-10-14	VYDAJ	PREVOD NA UCET	2891	24024	SIPO	MN	49130755
188962	640	1995-11-14	VYDAJ	PREVOD NA UCET	2891	25560	SIPO	MN	49130755
188963	640	1995-12-14	VYDAJ	PREVOD NA UCET	2891	27094	SIPO	MN	49130755
188964	640	1996-01-14	VYDAJ	PREVOD NA UCET	2891	24479	SIPO	MN	49130755
188965	640	1996-02-14	VYDAJ	PREVOD NA UCET	2891	24907	SIPO	MN	49130755
188966	640	1996-03-14	VYDAJ	PREVOD NA UCET	2891	23818	SIPO	MN	49130755
188967	640	1996-04-14	VYDAJ	PREVOD NA UCET	2891	25350	SIPO	MN	49130755
188968	640	1996-05-14	VYDAJ	PREVOD NA UCET	2891	23778	SIPO	MN	49130755
188969	640	1996-06-14	VYDAJ	PREVOD NA UCET	2891	25305	SIPO	MN	49130755
188970	640	1996-07-14	VYDAJ	PREVOD NA UCET	2891	26839	SIPO	MN	49130755
188971	640	1996-08-14	VYDAJ	PREVOD NA UCET	2891	27657	SIPO	MN	49130755
188972	640	1996-09-14	VYDAJ	PREVOD NA UCET	2891	27920	SIPO	MN	49130755
188973	640	1996-10-14	VYDAJ	PREVOD NA UCET	2891	29468	SIPO	MN	49130755
188974	640	1996-11-14	VYDAJ	PREVOD NA UCET	2891	31019	SIPO	MN	49130755
188975	640	1996-12-14	VYDAJ	PREVOD NA UCET	2891	29423	SIPO	MN	49130755
188976	640	1997-01-14	VYDAJ	PREVOD NA UCET	2891	29454	SIPO	MN	49130755
188977	640	1997-02-14	VYDAJ	PREVOD NA UCET	2891	28804	SIPO	MN	49130755
188978	640	1997-03-14	VYDAJ	PREVOD NA UCET	2891	26957	SIPO	MN	49130755
188979	640	1997-04-14	VYDAJ	PREVOD NA UCET	2891	26019	SIPO	MN	49130755
188980	640	1997-05-14	VYDAJ	PREVOD NA UCET	2891	25554	SIPO	MN	49130755
188981	640	1997-06-14	VYDAJ	PREVOD NA UCET	2891	27091	SIPO	MN	49130755
188982	640	1997-07-14	VYDAJ	PREVOD NA UCET	2891	25231	SIPO	MN	49130755
188983	640	1997-08-14	VYDAJ	PREVOD NA UCET	2891	26770	SIPO	MN	49130755
188984	640	1997-09-14	VYDAJ	PREVOD NA UCET	2891	28309	SIPO	MN	49130755
188985	640	1997-10-14	VYDAJ	PREVOD NA UCET	2891	29854	SIPO	MN	49130755
188986	640	1997-11-14	VYDAJ	PREVOD NA UCET	2891	31405	SIPO	MN	49130755
188987	640	1997-12-14	VYDAJ	PREVOD NA UCET	2891	32963	SIPO	MN	49130755
188988	640	1998-01-14	VYDAJ	PREVOD NA UCET	2891	33425	SIPO	MN	49130755
188989	640	1998-02-14	VYDAJ	PREVOD NA UCET	2891	34991	SIPO	MN	49130755
188990	640	1998-03-14	VYDAJ	PREVOD NA UCET	2891	32264	SIPO	MN	49130755
188991	640	1998-04-14	VYDAJ	PREVOD NA UCET	2891	33432	SIPO	MN	49130755
188992	640	1998-05-14	VYDAJ	PREVOD NA UCET	2891	33501	SIPO	MN	49130755
188993	640	1998-06-14	VYDAJ	PREVOD NA UCET	2891	34430	SIPO	MN	49130755
188994	640	1998-07-14	VYDAJ	PREVOD NA UCET	2891	32160	SIPO	MN	49130755
188995	640	1998-08-14	VYDAJ	PREVOD NA UCET	2891	33727	SIPO	MN	49130755
188996	640	1998-09-14	VYDAJ	PREVOD NA UCET	2891	33854	SIPO	MN	49130755
188997	640	1998-10-14	VYDAJ	PREVOD NA UCET	2891	34224	SIPO	MN	49130755
188998	640	1998-11-14	VYDAJ	PREVOD NA UCET	2891	35793	SIPO	MN	49130755
188999	640	1998-12-14	VYDAJ	PREVOD NA UCET	2891	36018	SIPO	MN	49130755
189000	640	1993-12-02	VYDAJ	VYBER	600	18696	\N	\N	\N
189001	640	1994-12-14	VYDAJ	VYBER	750	30716	\N	\N	\N
189002	640	1995-12-30	VYDAJ	VYBER	450	22944	\N	\N	\N
189003	640	1996-12-12	VYDAJ	VYBER	750	32314	\N	\N	\N
189004	640	1997-12-19	VYDAJ	VYBER	1100	31863	\N	\N	\N
189005	640	1998-12-02	VYDAJ	VYBER	1350	34572	\N	\N	\N
189007	640	1993-11-19	VYDAJ	VYBER	2240	19227	\N	\N	\N
189008	640	1993-12-04	VYDAJ	VYBER	3840	14856	\N	\N	\N
189009	640	1994-07-03	VYDAJ	VYBER	1920	20859	\N	\N	\N
189010	640	1994-02-09	VYDAJ	VYBER	2640	15220	\N	\N	\N
189011	640	1994-12-27	VYDAJ	VYBER	2480	22945	\N	\N	\N
189012	640	1995-01-02	VYDAJ	VYBER	880	22161	\N	\N	\N
189013	640	1995-07-13	VYDAJ	VYBER	960	27418	\N	\N	\N
189014	640	1995-05-01	VYDAJ	VYBER	1120	25470	\N	\N	\N
189015	640	1995-10-06	VYDAJ	VYBER	3760	22578	\N	\N	\N
189016	640	1995-09-20	VYDAJ	VYBER	1360	26243	\N	\N	\N
189017	640	1995-07-03	VYDAJ	VYBER	3520	24041	\N	\N	\N
189018	640	1996-03-13	VYDAJ	VYBER	2320	26709	\N	\N	\N
189019	640	1996-07-15	VYDAJ	VYBER	720	26119	\N	\N	\N
189020	640	1996-01-16	VYDAJ	VYBER	800	23679	\N	\N	\N
189021	640	1996-09-07	VYDAJ	VYBER	1280	26474	\N	\N	\N
189022	640	1996-12-20	VYDAJ	VYBER	1520	27903	\N	\N	\N
189023	640	1996-11-24	VYDAJ	VYBER	2400	28619	\N	\N	\N
189024	640	1997-03-21	VYDAJ	VYBER	2480	24477	\N	\N	\N
189025	640	1997-04-25	VYDAJ	VYBER	1120	24899	\N	\N	\N
189026	640	1997-05-04	VYDAJ	VYBER	880	24108	\N	\N	\N
189027	640	1998-09-04	VYDAJ	VYBER	1440	32408	\N	\N	\N
189028	640	1998-07-05	VYDAJ	VYBER	3840	30714	\N	\N	\N
189029	640	1998-05-20	VYDAJ	VYBER	640	32861	\N	\N	\N
189030	640	1998-09-26	VYDAJ	VYBER	1200	32654	\N	\N	\N
189041	640	1993-10-31	VYDAJ	VYBER	15	20021	SLUZBY	\N	\N
189042	640	1993-11-30	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
189043	640	1993-12-31	VYDAJ	VYBER	15	16357	SLUZBY	\N	\N
189044	640	1994-01-31	VYDAJ	VYBER	15	17860	SLUZBY	\N	\N
189045	640	1994-02-28	VYDAJ	VYBER	15	16724	SLUZBY	\N	\N
189046	640	1994-03-31	VYDAJ	VYBER	15	18228	SLUZBY	\N	\N
189047	640	1994-04-30	VYDAJ	VYBER	15	19739	SLUZBY	\N	\N
189048	640	1994-05-31	VYDAJ	VYBER	15	21256	SLUZBY	\N	\N
189049	640	1994-06-30	VYDAJ	VYBER	15	22779	SLUZBY	\N	\N
189050	640	1994-07-31	VYDAJ	VYBER	15	22386	SLUZBY	\N	\N
189051	640	1994-08-31	VYDAJ	VYBER	15	23914	SLUZBY	\N	\N
189052	640	1994-09-30	VYDAJ	VYBER	15	25448	SLUZBY	\N	\N
189053	640	1994-10-31	VYDAJ	VYBER	15	25588	SLUZBY	\N	\N
189054	640	1994-11-30	VYDAJ	VYBER	15	27129	SLUZBY	\N	\N
189055	640	1994-12-31	VYDAJ	VYBER	15	23041	SLUZBY	\N	\N
189056	640	1995-01-31	VYDAJ	VYBER	15	22390	SLUZBY	\N	\N
189057	640	1995-02-28	VYDAJ	VYBER	15	23918	SLUZBY	\N	\N
189058	640	1995-03-31	VYDAJ	VYBER	15	25052	SLUZBY	\N	\N
189059	640	1995-04-30	VYDAJ	VYBER	15	26590	SLUZBY	\N	\N
189060	640	1995-05-31	VYDAJ	VYBER	15	27015	SLUZBY	\N	\N
189061	640	1995-06-30	VYDAJ	VYBER	15	27561	SLUZBY	\N	\N
189062	640	1995-07-31	VYDAJ	VYBER	15	24620	SLUZBY	\N	\N
189063	640	1995-08-31	VYDAJ	VYBER	15	26157	SLUZBY	\N	\N
189064	640	1995-09-30	VYDAJ	VYBER	15	26338	SLUZBY	\N	\N
189065	640	1995-10-31	VYDAJ	VYBER	15	24114	SLUZBY	\N	\N
189066	640	1995-11-30	VYDAJ	VYBER	15	25648	SLUZBY	\N	\N
189067	640	1995-12-31	VYDAJ	VYBER	15	23033	SLUZBY	\N	\N
189068	640	1996-01-31	VYDAJ	VYBER	15	23461	SLUZBY	\N	\N
189069	640	1996-02-29	VYDAJ	VYBER	15	24692	SLUZBY	\N	\N
189070	640	1996-03-31	VYDAJ	VYBER	15	23904	SLUZBY	\N	\N
189071	640	1996-04-30	VYDAJ	VYBER	15	22332	SLUZBY	\N	\N
189072	640	1996-05-31	VYDAJ	VYBER	15	23859	SLUZBY	\N	\N
189073	640	1996-06-30	VYDAJ	VYBER	15	25393	SLUZBY	\N	\N
189074	640	1996-07-31	VYDAJ	VYBER	15	26211	SLUZBY	\N	\N
189075	640	1996-08-31	VYDAJ	VYBER	15	27754	SLUZBY	\N	\N
189076	640	1996-09-30	VYDAJ	VYBER	15	28022	SLUZBY	\N	\N
189077	640	1996-10-31	VYDAJ	VYBER	15	29573	SLUZBY	\N	\N
189078	640	1996-11-30	VYDAJ	VYBER	15	28727	SLUZBY	\N	\N
189079	640	1996-12-31	VYDAJ	VYBER	15	28008	SLUZBY	\N	\N
189080	640	1997-01-31	VYDAJ	VYBER	15	29558	SLUZBY	\N	\N
189081	640	1997-02-28	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
189082	640	1997-03-31	VYDAJ	VYBER	15	24573	SLUZBY	\N	\N
189083	640	1997-04-30	VYDAJ	VYBER	15	24988	SLUZBY	\N	\N
189084	640	1997-05-31	VYDAJ	VYBER	15	25645	SLUZBY	\N	\N
189085	640	1997-06-30	VYDAJ	VYBER	15	27185	SLUZBY	\N	\N
189086	640	1997-07-31	VYDAJ	VYBER	15	25324	SLUZBY	\N	\N
189087	640	1997-08-31	VYDAJ	VYBER	15	26863	SLUZBY	\N	\N
189088	640	1997-09-30	VYDAJ	VYBER	15	28408	SLUZBY	\N	\N
189089	640	1997-10-31	VYDAJ	VYBER	15	29959	SLUZBY	\N	\N
189090	640	1997-11-30	VYDAJ	VYBER	15	31517	SLUZBY	\N	\N
189091	640	1997-12-31	VYDAJ	VYBER	15	31979	SLUZBY	\N	\N
189092	640	1998-01-31	VYDAJ	VYBER	15	33545	SLUZBY	\N	\N
189093	640	1998-02-28	VYDAJ	VYBER	15	35118	SLUZBY	\N	\N
189094	640	1998-03-31	VYDAJ	VYBER	15	32386	SLUZBY	\N	\N
189095	640	1998-04-30	VYDAJ	VYBER	15	33555	SLUZBY	\N	\N
189096	640	1998-05-31	VYDAJ	VYBER	15	32984	SLUZBY	\N	\N
189097	640	1998-06-30	VYDAJ	VYBER	15	34554	SLUZBY	\N	\N
189098	640	1998-07-31	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
189099	640	1998-08-31	VYDAJ	VYBER	15	33848	SLUZBY	\N	\N
189100	640	1998-09-30	VYDAJ	VYBER	15	32778	SLUZBY	\N	\N
189101	640	1998-10-31	VYDAJ	VYBER	15	34347	SLUZBY	\N	\N
189102	640	1998-11-30	VYDAJ	VYBER	15	35922	SLUZBY	\N	\N
189103	640	1994-10-25	VYDAJ	VYBER	1400	25494	\N	\N	\N
189104	640	1994-12-24	VYDAJ	VYBER	2400	25425	\N	\N	\N
189105	640	1995-01-23	VYDAJ	VYBER	1300	22307	\N	\N	\N
189106	640	1995-03-24	VYDAJ	VYBER	400	24964	\N	\N	\N
189107	640	1995-06-22	VYDAJ	VYBER	1000	27461	\N	\N	\N
189108	640	1995-12-19	VYDAJ	VYBER	3700	23394	\N	\N	\N
189109	640	1996-01-18	VYDAJ	VYBER	300	23379	\N	\N	\N
189110	640	1996-02-17	VYDAJ	VYBER	300	24607	\N	\N	\N
189111	640	1996-04-17	VYDAJ	VYBER	3100	22250	\N	\N	\N
189112	640	1997-02-11	VYDAJ	VYBER	2200	31695	\N	\N	\N
189113	640	1997-03-13	VYDAJ	VYBER	3400	29848	\N	\N	\N
189114	640	1997-07-11	VYDAJ	VYBER	3400	28122	\N	\N	\N
189115	640	1998-03-08	VYDAJ	VYBER	4300	30818	\N	\N	\N
189116	640	1998-04-07	VYDAJ	VYBER	400	31986	\N	\N	\N
189117	640	1998-05-07	VYDAJ	VYBER	1500	32055	\N	\N	\N
189185	641	1997-06-22	PRIJEM	VKLAD	800	800	\N	\N	\N
189192	641	1997-07-13	PRIJEM	VKLAD	24577	25377	\N	\N	\N
189193	641	1997-08-13	PRIJEM	VKLAD	24577	51791	\N	\N	\N
189194	641	1997-09-13	PRIJEM	VKLAD	24577	62396	\N	\N	\N
189195	641	1997-10-13	PRIJEM	VKLAD	24577	68840	\N	\N	\N
189196	641	1997-11-13	PRIJEM	VKLAD	24577	67499	\N	\N	\N
189197	641	1997-12-13	PRIJEM	VKLAD	36866	75871	\N	\N	\N
189198	641	1998-01-13	PRIJEM	VKLAD	24577	67715	\N	\N	\N
189199	641	1998-02-13	PRIJEM	VKLAD	24577	51433	\N	\N	\N
189200	641	1998-03-13	PRIJEM	VKLAD	24577	61508	\N	\N	\N
189201	641	1998-04-13	PRIJEM	VKLAD	24577	67324	\N	\N	\N
189202	641	1998-05-13	PRIJEM	VKLAD	24577	60295	\N	\N	\N
189203	641	1998-06-13	PRIJEM	VKLAD	36866	78501	\N	\N	\N
189204	641	1998-07-13	PRIJEM	VKLAD	24577	73782	\N	\N	\N
189205	641	1998-08-13	PRIJEM	VKLAD	24577	69211	\N	\N	\N
189206	641	1998-09-13	PRIJEM	VKLAD	24577	69446	\N	\N	\N
189207	641	1998-10-13	PRIJEM	VKLAD	24577	74182	\N	\N	\N
189208	641	1998-11-13	PRIJEM	VKLAD	24577	72622	\N	\N	\N
189209	641	1998-12-13	PRIJEM	VKLAD	36866	83442	\N	\N	\N
189220	641	1997-11-13	VYDAJ	PREVOD NA UCET	3330	64169	SIPO	WX	41606414
189221	641	1997-12-13	VYDAJ	PREVOD NA UCET	3330	72541	SIPO	WX	41606414
189222	641	1998-01-13	VYDAJ	PREVOD NA UCET	3330	64385	SIPO	WX	41606414
189223	641	1998-02-13	VYDAJ	PREVOD NA UCET	3330	48103	SIPO	WX	41606414
189224	641	1998-03-13	VYDAJ	PREVOD NA UCET	3330	58178	SIPO	WX	41606414
189225	641	1998-04-13	VYDAJ	PREVOD NA UCET	3330	63994	SIPO	WX	41606414
189226	641	1998-05-13	VYDAJ	PREVOD NA UCET	3330	56965	SIPO	WX	41606414
189227	641	1998-06-13	VYDAJ	PREVOD NA UCET	3330	75171	SIPO	WX	41606414
189228	641	1998-07-13	VYDAJ	PREVOD NA UCET	3330	70452	SIPO	WX	41606414
189229	641	1998-08-13	VYDAJ	PREVOD NA UCET	3330	65881	SIPO	WX	41606414
189230	641	1998-09-13	VYDAJ	PREVOD NA UCET	3330	66116	SIPO	WX	41606414
189231	641	1998-10-13	VYDAJ	PREVOD NA UCET	3330	70852	SIPO	WX	41606414
189232	641	1998-11-13	VYDAJ	PREVOD NA UCET	3330	69292	SIPO	WX	41606414
189233	641	1998-12-13	VYDAJ	PREVOD NA UCET	3330	80112	SIPO	WX	41606414
189237	641	1998-01-26	VYDAJ	VYBER	8640	29925	\N	\N	\N
189238	641	1997-12-09	VYDAJ	VYBER	1440	39006	\N	\N	\N
189239	641	1998-12-17	VYDAJ	VYBER KARTOU	3500	46312	\N	\N	0
189246	641	1998-01-22	VYDAJ	VYBER	3000	40485	\N	\N	\N
189247	641	1998-01-30	VYDAJ	VYBER	3240	26685	\N	\N	\N
189248	641	1998-01-25	VYDAJ	VYBER	1920	38565	\N	\N	\N
189249	641	1998-01-05	VYDAJ	VYBER	2280	44098	\N	\N	\N
189250	641	1998-01-04	VYDAJ	VYBER	2160	46378	\N	\N	\N
189251	641	1998-01-09	VYDAJ	VYBER	960	43138	\N	\N	\N
189256	641	1998-05-03	VYDAJ	VYBER	5880	35718	\N	\N	\N
189257	641	1998-06-26	VYDAJ	VYBER	1560	49011	\N	\N	\N
189258	641	1998-01-17	VYDAJ	VYBER	4560	59825	\N	\N	\N
189259	641	1998-04-28	VYDAJ	VYBER	5880	41414	\N	\N	\N
189260	641	1998-08-05	VYDAJ	VYBER	4920	44634	\N	\N	\N
189261	641	1998-01-20	VYDAJ	VYBER	1440	43485	\N	\N	\N
189273	641	1997-11-30	VYDAJ	VYBER	15	40446	SLUZBY	\N	\N
189274	641	1997-12-31	VYDAJ	VYBER	15	48538	SLUZBY	\N	\N
189275	641	1998-01-31	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
189276	641	1998-02-28	VYDAJ	VYBER	15	36931	SLUZBY	\N	\N
189277	641	1998-03-31	VYDAJ	VYBER	15	42747	SLUZBY	\N	\N
189278	641	1998-04-30	VYDAJ	VYBER	15	41598	SLUZBY	\N	\N
189279	641	1998-05-31	VYDAJ	VYBER	15	41636	SLUZBY	\N	\N
189280	641	1998-06-30	VYDAJ	VYBER	15	49205	SLUZBY	\N	\N
189281	641	1998-07-31	VYDAJ	VYBER	15	49554	SLUZBY	\N	\N
189282	641	1998-08-31	VYDAJ	VYBER	15	44869	SLUZBY	\N	\N
189283	641	1998-09-30	VYDAJ	VYBER	15	49605	SLUZBY	\N	\N
189284	641	1998-10-31	VYDAJ	VYBER	15	48045	SLUZBY	\N	\N
189285	641	1998-11-30	VYDAJ	VYBER	15	46577	SLUZBY	\N	\N
189286	641	1997-07-22	PRIJEM	VKLAD	1800	27177	\N	\N	\N
189287	641	1997-08-21	VYDAJ	VYBER	14100	37691	\N	\N	\N
189288	641	1997-09-20	VYDAJ	VYBER	18300	44096	\N	\N	\N
189289	641	1997-10-20	VYDAJ	VYBER	26100	42740	\N	\N	\N
189290	641	1997-11-19	VYDAJ	VYBER	23900	40269	\N	\N	\N
189291	641	1997-12-19	VYDAJ	VYBER	24200	48341	\N	\N	\N
189292	641	1998-01-18	VYDAJ	VYBER	14900	44925	\N	\N	\N
189293	641	1998-02-17	VYDAJ	VYBER	11300	36803	\N	\N	\N
189294	641	1998-03-19	VYDAJ	VYBER	15600	42578	\N	\N	\N
189295	641	1998-04-18	VYDAJ	VYBER	16700	47294	\N	\N	\N
189296	641	1998-05-18	VYDAJ	VYBER	15500	41465	\N	\N	\N
189297	641	1998-06-17	VYDAJ	VYBER	24600	50571	\N	\N	\N
189298	641	1998-07-17	VYDAJ	VYBER	21100	49352	\N	\N	\N
189299	641	1998-08-16	VYDAJ	VYBER	21200	44681	\N	\N	\N
189300	641	1998-09-15	VYDAJ	VYBER	16700	49416	\N	\N	\N
189301	641	1998-10-15	VYDAJ	VYBER	23000	47852	\N	\N	\N
189302	641	1998-11-14	VYDAJ	VYBER	22900	46392	\N	\N	\N
189303	641	1998-12-14	VYDAJ	VYBER	30300	49812	\N	\N	\N
189785	643	1997-10-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
189796	643	1997-11-10	PRIJEM	VKLAD	7101	8201	\N	\N	\N
189797	643	1997-12-10	PRIJEM	VKLAD	10652	25761	\N	\N	\N
189798	643	1998-01-10	PRIJEM	VKLAD	7101	35134	\N	\N	\N
189799	643	1998-02-10	PRIJEM	VKLAD	7101	41957	\N	\N	\N
189800	643	1998-03-10	PRIJEM	VKLAD	7101	39001	\N	\N	\N
189801	643	1998-04-10	PRIJEM	VKLAD	7101	39382	\N	\N	\N
189802	643	1998-05-10	PRIJEM	VKLAD	7101	43305	\N	\N	\N
189803	643	1998-06-10	PRIJEM	VKLAD	10652	44255	\N	\N	\N
189804	643	1998-07-10	PRIJEM	VKLAD	7101	37299	\N	\N	\N
189805	643	1998-08-10	PRIJEM	VKLAD	7101	40514	\N	\N	\N
189806	643	1998-09-10	PRIJEM	VKLAD	7101	37236	\N	\N	\N
189807	643	1998-10-10	PRIJEM	VKLAD	7101	38949	\N	\N	\N
189808	643	1998-11-10	PRIJEM	VKLAD	7101	38209	\N	\N	\N
189809	643	1998-12-10	PRIJEM	VKLAD	10652	41578	\N	\N	\N
189811	643	1998-06-11	VYDAJ	VYBER	10880	33375	\N	\N	\N
189815	643	1998-12-28	VYDAJ	VYBER	1760	35818	\N	\N	\N
189833	643	1998-03-25	VYDAJ	VYBER	840	38161	\N	\N	\N
189834	643	1998-11-13	VYDAJ	VYBER	5400	32809	\N	\N	\N
189835	643	1998-10-18	VYDAJ	VYBER	4560	34389	\N	\N	\N
189836	643	1998-05-14	VYDAJ	VYBER	4440	38865	\N	\N	\N
189852	643	1998-03-31	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
189853	643	1998-04-30	VYDAJ	VYBER	15	36204	SLUZBY	\N	\N
189854	643	1998-05-31	VYDAJ	VYBER	15	33603	SLUZBY	\N	\N
189855	643	1998-06-30	VYDAJ	VYBER	15	30198	SLUZBY	\N	\N
189856	643	1998-07-31	VYDAJ	VYBER	15	33413	SLUZBY	\N	\N
189857	643	1998-08-31	VYDAJ	VYBER	15	30135	SLUZBY	\N	\N
189858	643	1998-09-30	VYDAJ	VYBER	15	31848	SLUZBY	\N	\N
189859	643	1998-10-31	VYDAJ	VYBER	15	31108	SLUZBY	\N	\N
189860	643	1998-11-30	VYDAJ	VYBER	15	30926	SLUZBY	\N	\N
189861	643	1997-11-27	PRIJEM	VKLAD	6900	15101	\N	\N	\N
189862	643	1997-12-27	PRIJEM	VKLAD	2200	27961	\N	\N	\N
189863	643	1998-01-26	VYDAJ	VYBER	400	34734	\N	\N	\N
189864	643	1998-02-25	VYDAJ	VYBER	10200	31757	\N	\N	\N
189865	643	1998-03-27	VYDAJ	VYBER	6000	32161	\N	\N	\N
189866	643	1998-04-26	VYDAJ	VYBER	3300	36082	\N	\N	\N
189867	643	1998-05-26	VYDAJ	VYBER	5400	33465	\N	\N	\N
189868	643	1998-06-25	VYDAJ	VYBER	3300	30075	\N	\N	\N
189869	643	1998-07-25	VYDAJ	VYBER	4000	33299	\N	\N	\N
189870	643	1998-08-24	VYDAJ	VYBER	10500	30014	\N	\N	\N
189871	643	1998-09-23	VYDAJ	VYBER	5500	31736	\N	\N	\N
189872	643	1998-10-23	VYDAJ	VYBER	3400	30989	\N	\N	\N
189873	643	1998-11-22	VYDAJ	VYBER	2000	30809	\N	\N	\N
189874	643	1998-12-22	VYDAJ	VYBER	4000	37578	\N	\N	\N
189889	644	1997-11-06	PRIJEM	VKLAD	300	300	\N	\N	\N
189900	644	1997-11-09	PRIJEM	PREVOD Z UCTU	2958	3258	\N	GH	32629674
189901	644	1997-12-09	PRIJEM	PREVOD Z UCTU	2958	6226	\N	GH	32629674
189902	644	1998-01-09	PRIJEM	PREVOD Z UCTU	2958	9198	\N	GH	32629674
189903	644	1998-02-09	PRIJEM	PREVOD Z UCTU	2958	12169	\N	GH	32629674
189904	644	1998-03-09	PRIJEM	PREVOD Z UCTU	2958	15141	\N	GH	32629674
189905	644	1998-04-09	PRIJEM	PREVOD Z UCTU	2958	15197	\N	GH	32629674
189906	644	1998-05-09	PRIJEM	PREVOD Z UCTU	2958	13255	\N	GH	32629674
189907	644	1998-06-09	PRIJEM	PREVOD Z UCTU	2958	14277	\N	GH	32629674
189908	644	1998-07-09	PRIJEM	PREVOD Z UCTU	2958	14403	\N	GH	32629674
189909	644	1998-08-09	PRIJEM	PREVOD Z UCTU	2958	14859	\N	GH	32629674
189910	644	1998-09-09	PRIJEM	PREVOD Z UCTU	2958	15888	\N	GH	32629674
189911	644	1998-10-09	PRIJEM	PREVOD Z UCTU	2958	16920	\N	GH	32629674
189912	644	1998-11-09	PRIJEM	PREVOD Z UCTU	2958	16517	\N	GH	32629674
189913	644	1998-12-09	PRIJEM	PREVOD Z UCTU	2958	16743	\N	GH	32629674
189929	644	1998-04-06	VYDAJ	PREVOD NA UCET	946	12239	SIPO	YZ	15593272
189930	644	1998-05-06	VYDAJ	PREVOD NA UCET	946	10297	SIPO	YZ	15593272
189931	644	1998-06-06	VYDAJ	PREVOD NA UCET	946	11319	SIPO	YZ	15593272
189932	644	1998-07-06	VYDAJ	PREVOD NA UCET	946	11445	SIPO	YZ	15593272
189933	644	1998-08-06	VYDAJ	PREVOD NA UCET	946	11901	SIPO	YZ	15593272
189934	644	1998-09-06	VYDAJ	PREVOD NA UCET	946	12930	SIPO	YZ	15593272
189935	644	1998-10-06	VYDAJ	PREVOD NA UCET	946	13962	SIPO	YZ	15593272
189936	644	1998-11-06	VYDAJ	PREVOD NA UCET	946	13559	SIPO	YZ	15593272
189937	644	1998-12-06	VYDAJ	PREVOD NA UCET	946	13785	SIPO	YZ	15593272
189952	644	1998-03-12	VYDAJ	PREVOD NA UCET	1026	13155	 	YZ	19007480
189953	644	1998-04-12	VYDAJ	PREVOD NA UCET	1026	14171	 	YZ	19007480
189954	644	1998-05-12	VYDAJ	PREVOD NA UCET	1026	12229	 	YZ	19007480
189955	644	1998-06-12	VYDAJ	PREVOD NA UCET	1026	13251	 	YZ	19007480
189956	644	1998-07-12	VYDAJ	PREVOD NA UCET	1026	13377	 	YZ	19007480
189957	644	1998-08-12	VYDAJ	PREVOD NA UCET	1026	13833	 	YZ	19007480
189958	644	1998-09-12	VYDAJ	PREVOD NA UCET	1026	14862	 	YZ	19007480
189959	644	1998-10-12	VYDAJ	PREVOD NA UCET	1026	15894	 	YZ	19007480
189960	644	1998-11-12	VYDAJ	PREVOD NA UCET	1026	15491	 	YZ	19007480
189961	644	1998-12-12	VYDAJ	PREVOD NA UCET	1026	15717	 	YZ	19007480
189967	644	1998-12-01	VYDAJ	VYBER	810	14731	\N	\N	\N
189984	644	1998-07-21	VYDAJ	VYBER	570	12807	\N	\N	\N
189985	644	1998-04-24	VYDAJ	VYBER	1470	12701	\N	\N	\N
189986	644	1998-11-05	VYDAJ	VYBER	1440	14505	\N	\N	\N
189987	644	1998-03-09	VYDAJ	VYBER	960	14181	\N	\N	\N
190003	644	1998-03-31	VYDAJ	VYBER	15	13185	SLUZBY	\N	\N
190004	644	1998-04-30	VYDAJ	VYBER	15	12743	SLUZBY	\N	\N
190005	644	1998-05-31	VYDAJ	VYBER	15	12265	SLUZBY	\N	\N
190006	644	1998-06-30	VYDAJ	VYBER	15	13291	SLUZBY	\N	\N
190007	644	1998-07-31	VYDAJ	VYBER	15	12847	SLUZBY	\N	\N
190008	644	1998-08-31	VYDAJ	VYBER	15	13876	SLUZBY	\N	\N
190009	644	1998-09-30	VYDAJ	VYBER	15	14908	SLUZBY	\N	\N
190010	644	1998-10-31	VYDAJ	VYBER	15	15945	SLUZBY	\N	\N
190011	644	1998-11-30	VYDAJ	VYBER	15	15541	SLUZBY	\N	\N
190012	644	1998-05-05	VYDAJ	VYBER	1500	11243	\N	\N	\N
190013	644	1998-07-04	VYDAJ	VYBER	900	12391	\N	\N	\N
190028	645	1997-08-21	PRIJEM	VKLAD	900	900	\N	\N	\N
190029	645	1997-08-30	PRIJEM	VKLAD	12197	13097	\N	\N	\N
190030	645	1997-12-03	PRIJEM	VKLAD	33898	61262	\N	\N	\N
190032	645	1998-01-02	PRIJEM	VKLAD	14047	63427	\N	\N	\N
190033	645	1998-10-01	PRIJEM	VKLAD	18358	102882	\N	\N	\N
190034	645	1998-12-18	PRIJEM	VKLAD	8522	97114	\N	\N	\N
190035	645	1998-10-29	PRIJEM	VKLAD	44769	131915	\N	\N	\N
190036	645	1998-06-21	PRIJEM	VKLAD	31435	89661	\N	\N	\N
190037	645	1998-10-04	PRIJEM	VKLAD	27944	130826	\N	\N	\N
190038	645	1998-03-08	PRIJEM	VKLAD	32615	94340	\N	\N	\N
190039	645	1998-02-01	PRIJEM	VKLAD	16963	107083	\N	\N	\N
190040	645	1998-08-01	PRIJEM	VKLAD	9394	98332	\N	\N	\N
190041	645	1998-11-04	PRIJEM	VKLAD	38448	122066	\N	\N	\N
190042	645	1998-08-23	PRIJEM	VKLAD	27002	89068	\N	\N	\N
190043	645	1998-05-04	PRIJEM	VKLAD	10082	39816	\N	\N	\N
190044	645	1998-09-08	PRIJEM	VKLAD	25202	110320	\N	\N	\N
190045	645	1998-02-23	PRIJEM	VKLAD	25371	85983	\N	\N	\N
190046	645	1998-07-21	PRIJEM	VKLAD	41187	88621	\N	\N	\N
190047	645	1998-05-21	PRIJEM	VKLAD	19664	50114	\N	\N	\N
190048	645	1998-12-17	PRIJEM	VKLAD	38714	88592	\N	\N	\N
190049	645	1998-03-31	PRIJEM	VKLAD	32416	63364	\N	\N	\N
190050	645	1998-03-09	PRIJEM	VKLAD	18502	112842	\N	\N	\N
190051	645	1998-09-22	PRIJEM	VKLAD	30703	84223	\N	\N	\N
190052	645	1998-11-28	PRIJEM	VKLAD	49865	117832	\N	\N	\N
190053	645	1998-09-06	PRIJEM	VKLAD	13990	98584	\N	\N	\N
190054	645	1998-05-25	PRIJEM	VKLAD	43609	93723	\N	\N	\N
190055	645	1998-01-24	PRIJEM	VKLAD	40144	89871	\N	\N	\N
190056	645	1998-11-10	PRIJEM	VKLAD	31167	116467	\N	\N	\N
190057	645	1998-06-14	PRIJEM	VKLAD	37702	105226	\N	\N	\N
190058	645	1998-02-14	PRIJEM	VKLAD	49995	128612	\N	\N	\N
190059	645	1998-10-21	PRIJEM	VKLAD	34386	87146	\N	\N	\N
190060	645	1998-06-24	PRIJEM	VKLAD	40210	129871	\N	\N	\N
190074	645	1998-02-06	VYDAJ	PREVOD NA UCET	13466	78617	SIPO	GH	25328028
190075	645	1998-03-06	VYDAJ	PREVOD NA UCET	13466	61725	SIPO	GH	25328028
190076	645	1998-04-06	VYDAJ	PREVOD NA UCET	13466	25808	SIPO	GH	25328028
190077	645	1998-05-06	VYDAJ	PREVOD NA UCET	13466	26350	SIPO	GH	25328028
190078	645	1998-06-06	VYDAJ	PREVOD NA UCET	13466	67524	SIPO	GH	25328028
190079	645	1998-07-06	VYDAJ	PREVOD NA UCET	13466	73934	SIPO	GH	25328028
190080	645	1998-08-06	VYDAJ	PREVOD NA UCET	13466	84866	SIPO	GH	25328028
190081	645	1998-09-06	VYDAJ	PREVOD NA UCET	13466	85118	SIPO	GH	25328028
190082	645	1998-10-06	VYDAJ	PREVOD NA UCET	13466	65460	SIPO	GH	25328028
190083	645	1998-11-06	VYDAJ	PREVOD NA UCET	13466	85300	SIPO	GH	25328028
190084	645	1998-12-06	VYDAJ	PREVOD NA UCET	13466	48478	SIPO	GH	25328028
190088	645	1998-04-05	VYBER	VYBER	24357	39274	\N	\N	\N
190089	645	1998-03-16	VYBER	VYBER	10994	58548	\N	\N	\N
190091	645	1998-06-17	VYDAJ	VYBER	32700	58226	\N	\N	\N
190095	645	1998-12-18	VYDAJ	VYBER	6900	90214	\N	\N	\N
190112	645	1998-08-31	VYDAJ	VYBER	4800	84594	\N	\N	\N
190113	645	1998-05-27	VYDAJ	VYBER	12900	80823	\N	\N	\N
190114	645	1998-02-24	VYDAJ	VYBER	11100	74883	\N	\N	\N
190115	645	1998-07-13	VYDAJ	VYBER	10800	63134	\N	\N	\N
190116	645	1998-03-25	VYDAJ	VYBER	12600	30948	\N	\N	\N
190131	645	1998-02-28	VYDAJ	VYBER	15	75191	SLUZBY	\N	\N
190132	645	1998-03-31	VYDAJ	VYBER	15	63631	SLUZBY	\N	\N
190133	645	1998-04-30	VYDAJ	VYBER	15	29734	SLUZBY	\N	\N
190134	645	1998-05-31	VYDAJ	VYBER	15	80990	SLUZBY	\N	\N
190135	645	1998-06-30	VYDAJ	VYBER	15	87400	SLUZBY	\N	\N
190136	645	1998-07-31	VYDAJ	VYBER	15	88938	SLUZBY	\N	\N
190137	645	1998-08-31	VYDAJ	VYBER	15	89394	SLUZBY	\N	\N
190138	645	1998-09-30	VYDAJ	VYBER	15	84524	SLUZBY	\N	\N
190139	645	1998-10-31	VYDAJ	VYBER	15	83618	SLUZBY	\N	\N
190140	645	1998-11-30	VYDAJ	VYBER	15	61944	SLUZBY	\N	\N
190141	645	1997-09-20	PRIJEM	VKLAD	9200	22301	\N	\N	\N
190142	645	1997-10-20	PRIJEM	VKLAD	4300	26655	\N	\N	\N
190143	645	1997-11-19	PRIJEM	VKLAD	600	27310	\N	\N	\N
190144	645	1997-12-19	VYDAJ	VYBER	12000	49262	\N	\N	\N
190145	645	1998-01-18	VYDAJ	VYBER	13700	49727	\N	\N	\N
190146	645	1998-02-01	VYDAJ	VYBER	15000	92083	\N	\N	\N
190147	645	1998-02-14	VYDAJ	VYBER	44900	83712	\N	\N	\N
190148	645	1998-02-17	VYDAJ	VYBER	23100	60612	\N	\N	\N
190149	645	1998-03-09	VYDAJ	VYBER	43300	69542	\N	\N	\N
190150	645	1998-03-19	VYDAJ	VYBER	15000	43548	\N	\N	\N
190151	645	1998-04-18	PRIJEM	VKLAD	3800	29608	\N	\N	\N
190152	645	1998-05-18	PRIJEM	VKLAD	4100	30450	\N	\N	\N
190153	645	1998-06-17	VYDAJ	VYBER	14300	90926	\N	\N	\N
190154	645	1998-06-24	VYDAJ	VYBER	42800	87071	\N	\N	\N
190155	645	1998-07-17	VYDAJ	VYBER	15700	47434	\N	\N	\N
190156	645	1998-08-16	VYDAJ	VYBER	22800	62066	\N	\N	\N
190157	645	1998-09-08	VYDAJ	VYBER	40000	70320	\N	\N	\N
190158	645	1998-09-15	VYDAJ	VYBER	16800	53520	\N	\N	\N
190159	645	1998-10-04	VYDAJ	VYBER	51900	78926	\N	\N	\N
190160	645	1998-10-15	VYDAJ	VYBER	12700	52760	\N	\N	\N
190161	645	1998-10-29	VYDAJ	VYBER	48600	83315	\N	\N	\N
190162	645	1998-11-04	VYDAJ	VYBER	23300	98766	\N	\N	\N
190163	645	1998-11-10	VYDAJ	VYBER	23200	93267	\N	\N	\N
190164	645	1998-11-14	VYDAJ	VYBER	25300	67967	\N	\N	\N
190165	645	1998-11-28	VYDAJ	VYBER	56200	61632	\N	\N	\N
190166	645	1998-12-14	PRIJEM	VKLAD	1400	49878	\N	\N	\N
190184	646	1996-01-06	PRIJEM	VKLAD	400	400	\N	\N	\N
190185	646	1996-01-11	PRIJEM	VKLAD	9303	9703	\N	\N	\N
190186	646	1996-02-11	PRIJEM	VKLAD	9303	27433	\N	\N	\N
190187	646	1996-03-11	PRIJEM	VKLAD	9303	36925	\N	\N	\N
190188	646	1996-04-11	PRIJEM	VKLAD	9303	39769	\N	\N	\N
190189	646	1996-05-11	PRIJEM	VKLAD	9303	44134	\N	\N	\N
190190	646	1996-06-11	PRIJEM	VKLAD	13954	44876	\N	\N	\N
190191	646	1996-07-11	PRIJEM	VKLAD	9303	40870	\N	\N	\N
190192	646	1996-08-11	PRIJEM	VKLAD	9303	38055	\N	\N	\N
190193	646	1996-09-11	PRIJEM	VKLAD	9303	33527	\N	\N	\N
190194	646	1996-10-11	PRIJEM	VKLAD	9303	30474	\N	\N	\N
190195	646	1996-11-11	PRIJEM	VKLAD	9303	32410	\N	\N	\N
190196	646	1996-12-11	PRIJEM	VKLAD	13954	32704	\N	\N	\N
190197	646	1997-01-11	PRIJEM	VKLAD	9303	24744	\N	\N	\N
190198	646	1997-02-11	PRIJEM	VKLAD	9303	23756	\N	\N	\N
190199	646	1997-03-11	PRIJEM	VKLAD	9303	22961	\N	\N	\N
190200	646	1997-04-11	PRIJEM	VKLAD	9303	22267	\N	\N	\N
190201	646	1997-05-11	PRIJEM	VKLAD	9303	23972	\N	\N	\N
190202	646	1997-06-11	PRIJEM	VKLAD	13954	29529	\N	\N	\N
190203	646	1997-07-11	PRIJEM	VKLAD	9303	27353	\N	\N	\N
190204	646	1997-08-11	PRIJEM	VKLAD	9303	27272	\N	\N	\N
190205	646	1997-09-11	PRIJEM	VKLAD	9303	27190	\N	\N	\N
190206	646	1997-10-11	PRIJEM	VKLAD	9303	27907	\N	\N	\N
190207	646	1997-11-11	PRIJEM	VKLAD	9303	27125	\N	\N	\N
190208	646	1997-12-11	PRIJEM	VKLAD	13954	32392	\N	\N	\N
190209	646	1998-01-11	PRIJEM	VKLAD	9303	29324	\N	\N	\N
190210	646	1998-02-11	PRIJEM	VKLAD	9303	22735	\N	\N	\N
190211	646	1998-03-11	PRIJEM	VKLAD	9303	25734	\N	\N	\N
190212	646	1998-04-11	PRIJEM	VKLAD	9303	26044	\N	\N	\N
190213	646	1998-05-11	PRIJEM	VKLAD	9303	29157	\N	\N	\N
190214	646	1998-06-11	PRIJEM	VKLAD	13954	26432	\N	\N	\N
190215	646	1998-07-11	PRIJEM	VKLAD	9303	22435	\N	\N	\N
190216	646	1998-08-11	PRIJEM	VKLAD	9303	23224	\N	\N	\N
190217	646	1998-09-11	PRIJEM	VKLAD	9303	19420	\N	\N	\N
190218	646	1998-10-11	PRIJEM	VKLAD	9303	20402	\N	\N	\N
190219	646	1998-11-11	PRIJEM	VKLAD	9303	24692	\N	\N	\N
190220	646	1998-12-11	PRIJEM	VKLAD	13954	30546	\N	\N	\N
190226	646	1996-06-09	VYDAJ	PREVOD NA UCET	4876	30922	SIPO	AB	34125185
190227	646	1996-07-09	VYDAJ	PREVOD NA UCET	4876	31567	SIPO	AB	34125185
190228	646	1996-08-09	VYDAJ	PREVOD NA UCET	4876	28752	SIPO	AB	34125185
190229	646	1996-09-09	VYDAJ	PREVOD NA UCET	4876	24224	SIPO	AB	34125185
190230	646	1996-10-09	VYDAJ	PREVOD NA UCET	4876	21171	SIPO	AB	34125185
190231	646	1996-11-09	VYDAJ	PREVOD NA UCET	4876	23107	SIPO	AB	34125185
190232	646	1996-12-09	VYDAJ	PREVOD NA UCET	4876	19850	SIPO	AB	34125185
190233	646	1997-01-09	VYDAJ	PREVOD NA UCET	4876	15441	SIPO	AB	34125185
190234	646	1997-02-09	VYDAJ	PREVOD NA UCET	4876	14453	SIPO	AB	34125185
190235	646	1997-03-09	VYDAJ	PREVOD NA UCET	4876	13658	SIPO	AB	34125185
190236	646	1997-04-09	VYDAJ	PREVOD NA UCET	4876	12964	SIPO	AB	34125185
190237	646	1997-05-09	VYDAJ	PREVOD NA UCET	4876	14669	SIPO	AB	34125185
190238	646	1997-06-09	VYDAJ	PREVOD NA UCET	4876	15575	SIPO	AB	34125185
190239	646	1997-07-09	VYDAJ	PREVOD NA UCET	4876	18050	SIPO	AB	34125185
190240	646	1997-08-09	VYDAJ	PREVOD NA UCET	4876	17969	SIPO	AB	34125185
190241	646	1997-09-09	VYDAJ	PREVOD NA UCET	4876	17887	SIPO	AB	34125185
190242	646	1997-10-09	VYDAJ	PREVOD NA UCET	4876	18604	SIPO	AB	34125185
190243	646	1997-11-09	VYDAJ	PREVOD NA UCET	4876	17822	SIPO	AB	34125185
190244	646	1997-12-09	VYDAJ	PREVOD NA UCET	4876	18438	SIPO	AB	34125185
190245	646	1998-01-09	VYDAJ	PREVOD NA UCET	4876	24121	SIPO	AB	34125185
190246	646	1998-02-09	VYDAJ	PREVOD NA UCET	4876	13432	SIPO	AB	34125185
190247	646	1998-03-09	VYDAJ	PREVOD NA UCET	4876	16431	SIPO	AB	34125185
190248	646	1998-04-09	VYDAJ	PREVOD NA UCET	4876	16741	SIPO	AB	34125185
190249	646	1998-05-09	VYDAJ	PREVOD NA UCET	4876	19854	SIPO	AB	34125185
190250	646	1998-06-09	VYDAJ	PREVOD NA UCET	4876	12478	SIPO	AB	34125185
190251	646	1998-07-09	VYDAJ	PREVOD NA UCET	4876	13132	SIPO	AB	34125185
190252	646	1998-08-09	VYDAJ	PREVOD NA UCET	4876	13921	SIPO	AB	34125185
190253	646	1998-09-09	VYDAJ	PREVOD NA UCET	4876	10117	SIPO	AB	34125185
190254	646	1998-10-09	VYDAJ	PREVOD NA UCET	4876	11099	SIPO	AB	34125185
190255	646	1998-11-09	VYDAJ	PREVOD NA UCET	4876	15389	SIPO	AB	34125185
190256	646	1998-12-09	VYDAJ	PREVOD NA UCET	4876	16592	SIPO	AB	34125185
190258	646	1997-06-08	VYDAJ	VYBER	4200	20451	\N	\N	\N
190259	646	1998-06-03	VYDAJ	VYBER	5800	19354	\N	\N	\N
190261	646	1997-01-03	VYDAJ	VYBER	5100	20317	\N	\N	\N
190262	646	1998-01-15	VYDAJ	VYBER	7900	21424	\N	\N	\N
190263	646	1996-12-10	VYDAJ	VYBER	1100	18750	\N	\N	\N
190264	646	1997-12-25	VYDAJ	VYBER	500	31892	\N	\N	\N
190265	646	1998-12-22	VYDAJ	VYBER	1600	19346	\N	\N	\N
190269	646	1996-09-04	VYDAJ	VYBER	4400	29100	\N	\N	\N
190270	646	1996-09-28	VYDAJ	VYBER	3300	30227	\N	\N	\N
190271	646	1996-12-18	VYDAJ	VYBER	2000	30704	\N	\N	\N
190272	646	1997-04-29	VYDAJ	VYBER	3200	17467	\N	\N	\N
190274	646	1997-04-28	VYDAJ	VYBER	1600	20667	\N	\N	\N
190275	646	1997-08-06	VYDAJ	VYBER	1500	22845	\N	\N	\N
190276	646	1998-08-23	VYDAJ	VYBER	3200	14924	\N	\N	\N
190277	646	1998-10-11	VYDAJ	VYBER	1100	19302	\N	\N	\N
190279	646	1998-01-10	VYDAJ	VYBER	4100	20021	\N	\N	\N
190280	646	1998-05-25	VYDAJ	VYBER	2600	26557	\N	\N	\N
190281	646	1998-06-04	VYDAJ	VYBER	2000	17354	\N	\N	\N
190282	646	1998-07-13	VYDAJ	VYBER	3700	18735	\N	\N	\N
190288	646	1996-05-31	VYDAJ	VYBER	15	44298	SLUZBY	\N	\N
190289	646	1996-06-30	VYDAJ	VYBER	15	45043	SLUZBY	\N	\N
190290	646	1996-07-31	VYDAJ	VYBER	15	41028	SLUZBY	\N	\N
190291	646	1996-08-31	VYDAJ	VYBER	15	38200	SLUZBY	\N	\N
190292	646	1996-09-30	VYDAJ	VYBER	15	30347	SLUZBY	\N	\N
190293	646	1996-10-31	VYDAJ	VYBER	15	30583	SLUZBY	\N	\N
190294	646	1996-11-30	VYDAJ	VYBER	15	32526	SLUZBY	\N	\N
190295	646	1996-12-31	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
190296	646	1997-01-31	VYDAJ	VYBER	15	19329	SLUZBY	\N	\N
190297	646	1997-02-28	VYDAJ	VYBER	15	23834	SLUZBY	\N	\N
190298	646	1997-03-31	VYDAJ	VYBER	15	23040	SLUZBY	\N	\N
190299	646	1997-04-30	VYDAJ	VYBER	15	19545	SLUZBY	\N	\N
190300	646	1997-05-31	VYDAJ	VYBER	15	24651	SLUZBY	\N	\N
190301	646	1997-06-30	VYDAJ	VYBER	15	22926	SLUZBY	\N	\N
190302	646	1997-07-31	VYDAJ	VYBER	15	24345	SLUZBY	\N	\N
190303	646	1997-08-31	VYDAJ	VYBER	15	22763	SLUZBY	\N	\N
190304	646	1997-09-30	VYDAJ	VYBER	15	23480	SLUZBY	\N	\N
190305	646	1997-10-31	VYDAJ	VYBER	15	22698	SLUZBY	\N	\N
190306	646	1997-11-30	VYDAJ	VYBER	15	23314	SLUZBY	\N	\N
190307	646	1997-12-31	VYDAJ	VYBER	15	28997	SLUZBY	\N	\N
190308	646	1998-01-31	VYDAJ	VYBER	15	18308	SLUZBY	\N	\N
190309	646	1998-02-28	VYDAJ	VYBER	15	21307	SLUZBY	\N	\N
190310	646	1998-03-31	VYDAJ	VYBER	15	21617	SLUZBY	\N	\N
190311	646	1998-04-30	VYDAJ	VYBER	15	24730	SLUZBY	\N	\N
190312	646	1998-05-31	VYDAJ	VYBER	15	25154	SLUZBY	\N	\N
190313	646	1998-06-30	VYDAJ	VYBER	15	18008	SLUZBY	\N	\N
190314	646	1998-07-31	VYDAJ	VYBER	15	18797	SLUZBY	\N	\N
190315	646	1998-08-31	VYDAJ	VYBER	15	14993	SLUZBY	\N	\N
190316	646	1998-09-30	VYDAJ	VYBER	15	15975	SLUZBY	\N	\N
190317	646	1998-10-31	VYDAJ	VYBER	15	20265	SLUZBY	\N	\N
190318	646	1998-11-30	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
190319	646	1996-02-05	PRIJEM	VKLAD	8400	18130	\N	\N	\N
190320	646	1996-03-06	PRIJEM	VKLAD	100	27622	\N	\N	\N
190321	646	1996-04-05	VYDAJ	VYBER	6600	30466	\N	\N	\N
190322	646	1996-05-05	VYDAJ	VYBER	5100	34831	\N	\N	\N
190323	646	1996-06-04	VYDAJ	VYBER	8500	35798	\N	\N	\N
190324	646	1996-07-04	VYDAJ	VYBER	8600	36443	\N	\N	\N
190325	646	1996-08-03	VYDAJ	VYBER	7400	33628	\N	\N	\N
190326	646	1996-09-02	VYDAJ	VYBER	4700	33500	\N	\N	\N
190327	646	1996-10-02	VYDAJ	VYBER	4300	26047	\N	\N	\N
190328	646	1996-11-01	VYDAJ	VYBER	2600	27983	\N	\N	\N
190329	646	1996-12-01	VYDAJ	VYBER	7800	24726	\N	\N	\N
190330	646	1996-12-31	VYDAJ	VYBER	5400	25432	\N	\N	\N
190331	646	1997-01-30	VYDAJ	VYBER	5500	19244	\N	\N	\N
190332	646	1997-03-01	VYDAJ	VYBER	5300	18534	\N	\N	\N
190333	646	1997-03-31	VYDAJ	VYBER	5200	17840	\N	\N	\N
190334	646	1997-04-30	PRIJEM	VKLAD	2000	19560	\N	\N	\N
190335	646	1997-05-30	PRIJEM	VKLAD	600	24572	\N	\N	\N
190336	646	1997-06-29	VYDAJ	VYBER	6700	22829	\N	\N	\N
190337	646	1997-07-29	VYDAJ	VYBER	3100	24253	\N	\N	\N
190338	646	1997-08-28	VYDAJ	VYBER	4600	22672	\N	\N	\N
190339	646	1997-09-27	VYDAJ	VYBER	3800	23390	\N	\N	\N
190340	646	1997-10-27	VYDAJ	VYBER	5300	22607	\N	\N	\N
190341	646	1997-11-26	VYDAJ	VYBER	3900	23225	\N	\N	\N
190342	646	1997-12-26	VYDAJ	VYBER	3000	28892	\N	\N	\N
190343	646	1998-01-25	VYDAJ	VYBER	3200	18224	\N	\N	\N
190344	646	1998-02-24	VYDAJ	VYBER	1500	21235	\N	\N	\N
190345	646	1998-03-26	VYDAJ	VYBER	4200	21534	\N	\N	\N
190346	646	1998-04-25	VYDAJ	VYBER	1400	24644	\N	\N	\N
190347	646	1998-05-25	VYDAJ	VYBER	1500	25057	\N	\N	\N
190348	646	1998-06-24	VYDAJ	VYBER	8500	17932	\N	\N	\N
190349	646	1998-08-23	VYDAJ	VYBER	5100	18124	\N	\N	\N
190350	646	1998-09-22	VYDAJ	VYBER	3500	15920	\N	\N	\N
190351	646	1998-10-22	PRIJEM	VKLAD	900	20202	\N	\N	\N
190352	646	1998-11-21	VYDAJ	VYBER	3300	21392	\N	\N	\N
190353	646	1998-12-21	VYDAJ	VYBER	9600	20946	\N	\N	\N
190390	647	1997-04-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
190395	647	1997-05-09	PRIJEM	VKLAD	13193	14293	\N	\N	\N
190396	647	1997-06-09	PRIJEM	VKLAD	19790	37792	\N	\N	\N
190397	647	1997-07-09	PRIJEM	VKLAD	13193	44768	\N	\N	\N
190398	647	1997-08-09	PRIJEM	VKLAD	13193	46793	\N	\N	\N
190399	647	1997-09-09	PRIJEM	VKLAD	13193	52130	\N	\N	\N
190400	647	1997-10-09	PRIJEM	VKLAD	13193	53118	\N	\N	\N
190401	647	1997-11-09	PRIJEM	VKLAD	13193	54807	\N	\N	\N
190402	647	1997-12-09	PRIJEM	VKLAD	19790	59900	\N	\N	\N
190403	647	1998-01-09	PRIJEM	VKLAD	13193	52260	\N	\N	\N
190404	647	1998-02-09	PRIJEM	VKLAD	13193	43358	\N	\N	\N
190405	647	1998-03-09	PRIJEM	VKLAD	13193	48211	\N	\N	\N
190406	647	1998-04-09	PRIJEM	VKLAD	13193	49783	\N	\N	\N
190407	647	1998-05-09	PRIJEM	VKLAD	13193	41655	\N	\N	\N
190408	647	1998-06-09	PRIJEM	VKLAD	19790	49905	\N	\N	\N
190409	647	1998-07-09	PRIJEM	VKLAD	13193	47167	\N	\N	\N
190410	647	1998-08-09	PRIJEM	VKLAD	13193	45628	\N	\N	\N
190411	647	1998-09-09	PRIJEM	VKLAD	13193	44669	\N	\N	\N
190412	647	1998-10-09	PRIJEM	VKLAD	13193	48927	\N	\N	\N
190413	647	1998-11-09	PRIJEM	VKLAD	13193	55206	\N	\N	\N
190414	647	1998-12-09	PRIJEM	VKLAD	19790	62078	\N	\N	\N
190423	647	1997-09-12	VYDAJ	PREVOD NA UCET	6465	45665	SIPO	UV	41266620
190424	647	1997-10-12	VYDAJ	PREVOD NA UCET	6465	46653	SIPO	UV	41266620
190425	647	1997-11-12	VYDAJ	PREVOD NA UCET	6465	48342	SIPO	UV	41266620
190426	647	1997-12-12	VYDAJ	PREVOD NA UCET	6465	53435	SIPO	UV	41266620
190427	647	1998-01-12	VYDAJ	PREVOD NA UCET	6465	44955	SIPO	UV	41266620
190428	647	1998-02-12	VYDAJ	PREVOD NA UCET	6465	36893	SIPO	UV	41266620
190429	647	1998-03-12	VYDAJ	PREVOD NA UCET	6465	41746	SIPO	UV	41266620
190430	647	1998-04-12	VYDAJ	PREVOD NA UCET	6465	43318	SIPO	UV	41266620
190431	647	1998-05-12	VYDAJ	PREVOD NA UCET	6465	35190	SIPO	UV	41266620
190432	647	1998-06-12	VYDAJ	PREVOD NA UCET	6465	43440	SIPO	UV	41266620
190433	647	1998-07-12	VYDAJ	PREVOD NA UCET	6465	40702	SIPO	UV	41266620
190434	647	1998-08-12	VYDAJ	PREVOD NA UCET	6465	39163	SIPO	UV	41266620
190435	647	1998-09-12	VYDAJ	PREVOD NA UCET	6465	38204	SIPO	UV	41266620
190436	647	1998-10-12	VYDAJ	PREVOD NA UCET	6465	42462	SIPO	UV	41266620
190437	647	1998-11-12	VYDAJ	PREVOD NA UCET	6465	48741	SIPO	UV	41266620
190438	647	1998-12-12	VYDAJ	PREVOD NA UCET	6465	55613	SIPO	UV	41266620
190439	647	1997-12-24	VYDAJ	VYBER	3040	38895	\N	\N	\N
190440	647	1998-12-21	VYDAJ	VYBER	3360	40253	\N	\N	\N
190447	647	1998-01-17	VYDAJ	VYBER	1920	43035	\N	\N	\N
190448	647	1998-01-22	VYDAJ	VYBER	2400	40635	\N	\N	\N
190449	647	1998-01-22	VYDAJ	VYBER	960	39675	\N	\N	\N
190450	647	1998-01-25	VYDAJ	VYBER	2760	33015	\N	\N	\N
190451	647	1998-01-30	VYDAJ	VYBER	3000	30015	\N	\N	\N
190452	647	1998-01-11	VYDAJ	VYBER	840	51420	\N	\N	\N
190453	647	1997-10-18	VYDAJ	VYBER	4800	41853	\N	\N	\N
190454	647	1998-05-03	VYDAJ	VYBER	4200	28462	\N	\N	\N
190455	647	1998-08-31	VYDAJ	VYBER	4320	31491	\N	\N	\N
190456	647	1998-04-24	VYDAJ	VYBER	1800	32518	\N	\N	\N
190457	647	1998-11-20	VYDAJ	VYBER	3120	42121	\N	\N	\N
190467	647	1997-09-30	VYDAJ	VYBER	15	39925	SLUZBY	\N	\N
190468	647	1997-10-31	VYDAJ	VYBER	15	41614	SLUZBY	\N	\N
190469	647	1997-11-30	VYDAJ	VYBER	15	40110	SLUZBY	\N	\N
190470	647	1997-12-31	VYDAJ	VYBER	15	39067	SLUZBY	\N	\N
190471	647	1998-01-31	VYDAJ	VYBER	15	30165	SLUZBY	\N	\N
190472	647	1998-02-28	VYDAJ	VYBER	15	35018	SLUZBY	\N	\N
190473	647	1998-03-31	VYDAJ	VYBER	15	36590	SLUZBY	\N	\N
190474	647	1998-04-30	VYDAJ	VYBER	15	32662	SLUZBY	\N	\N
190475	647	1998-05-31	VYDAJ	VYBER	15	30115	SLUZBY	\N	\N
190476	647	1998-06-30	VYDAJ	VYBER	15	33974	SLUZBY	\N	\N
190477	647	1998-07-31	VYDAJ	VYBER	15	32435	SLUZBY	\N	\N
190478	647	1998-08-31	VYDAJ	VYBER	15	31476	SLUZBY	\N	\N
190479	647	1998-09-30	VYDAJ	VYBER	15	35734	SLUZBY	\N	\N
190480	647	1998-10-31	VYDAJ	VYBER	15	42013	SLUZBY	\N	\N
190481	647	1998-11-30	VYDAJ	VYBER	15	42288	SLUZBY	\N	\N
190482	647	1997-05-28	PRIJEM	VKLAD	3700	17993	\N	\N	\N
190483	647	1997-06-27	VYDAJ	VYBER	6300	31492	\N	\N	\N
190484	647	1997-07-27	VYDAJ	VYBER	11300	33468	\N	\N	\N
190485	647	1997-08-26	VYDAJ	VYBER	8000	38793	\N	\N	\N
190486	647	1997-09-25	VYDAJ	VYBER	5900	39765	\N	\N	\N
190487	647	1997-10-25	VYDAJ	VYBER	400	41453	\N	\N	\N
190488	647	1997-11-24	VYDAJ	VYBER	8400	39942	\N	\N	\N
190489	647	1997-12-24	VYDAJ	VYBER	11500	41935	\N	\N	\N
190490	647	1998-01-23	VYDAJ	VYBER	3900	35775	\N	\N	\N
190491	647	1998-02-22	VYDAJ	VYBER	2000	34893	\N	\N	\N
190492	647	1998-03-24	VYDAJ	VYBER	5300	36446	\N	\N	\N
190493	647	1998-04-23	VYDAJ	VYBER	9000	34318	\N	\N	\N
190494	647	1998-05-23	VYDAJ	VYBER	5200	29990	\N	\N	\N
190495	647	1998-06-22	VYDAJ	VYBER	9600	33840	\N	\N	\N
190496	647	1998-07-22	VYDAJ	VYBER	8400	32302	\N	\N	\N
190497	647	1998-08-21	VYDAJ	VYBER	3500	35663	\N	\N	\N
190498	647	1998-09-20	VYDAJ	VYBER	2600	35604	\N	\N	\N
190499	647	1998-10-20	VYDAJ	VYBER	600	41862	\N	\N	\N
190500	647	1998-11-19	VYDAJ	VYBER	3500	45241	\N	\N	\N
190501	647	1998-12-19	VYDAJ	VYBER	12000	43613	\N	\N	\N
190522	648	1993-11-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
190534	648	1993-12-06	PRIJEM	VKLAD	26544	27644	\N	\N	\N
190535	648	1994-01-06	PRIJEM	VKLAD	17696	46027	\N	\N	\N
190536	648	1994-02-06	PRIJEM	VKLAD	17696	53365	\N	\N	\N
190537	648	1994-03-06	PRIJEM	VKLAD	17696	56118	\N	\N	\N
190538	648	1994-04-06	PRIJEM	VKLAD	17696	56775	\N	\N	\N
190539	648	1994-05-06	PRIJEM	VKLAD	17696	51867	\N	\N	\N
190540	648	1994-06-06	PRIJEM	VKLAD	26544	56088	\N	\N	\N
190541	648	1994-07-06	PRIJEM	VKLAD	17696	48060	\N	\N	\N
190542	648	1994-08-06	PRIJEM	VKLAD	17696	48534	\N	\N	\N
190543	648	1994-09-06	PRIJEM	VKLAD	17696	45407	\N	\N	\N
190544	648	1994-10-06	PRIJEM	VKLAD	17696	50798	\N	\N	\N
190545	648	1994-11-06	PRIJEM	VKLAD	17696	52006	\N	\N	\N
190546	648	1994-12-06	PRIJEM	VKLAD	26544	64075	\N	\N	\N
190547	648	1995-01-06	PRIJEM	VKLAD	17696	61140	\N	\N	\N
190548	648	1995-02-06	PRIJEM	VKLAD	17696	53179	\N	\N	\N
190549	648	1995-03-06	PRIJEM	VKLAD	17696	54206	\N	\N	\N
190550	648	1995-04-06	PRIJEM	VKLAD	17696	59839	\N	\N	\N
190551	648	1995-05-06	PRIJEM	VKLAD	17696	60294	\N	\N	\N
190552	648	1995-06-06	PRIJEM	VKLAD	26544	71302	\N	\N	\N
190553	648	1995-07-06	PRIJEM	VKLAD	17696	63892	\N	\N	\N
190554	648	1995-08-06	PRIJEM	VKLAD	17696	64368	\N	\N	\N
190555	648	1995-09-06	PRIJEM	VKLAD	17696	66144	\N	\N	\N
190556	648	1995-10-06	PRIJEM	VKLAD	17696	63410	\N	\N	\N
190557	648	1995-11-06	PRIJEM	VKLAD	17696	65976	\N	\N	\N
190558	648	1995-12-06	PRIJEM	VKLAD	26544	77187	\N	\N	\N
190559	648	1996-01-06	PRIJEM	VKLAD	17696	68982	\N	\N	\N
190560	648	1996-02-06	PRIJEM	VKLAD	17696	60951	\N	\N	\N
190561	648	1996-03-06	PRIJEM	VKLAD	17696	60292	\N	\N	\N
190562	648	1996-04-06	PRIJEM	VKLAD	17696	68949	\N	\N	\N
190563	648	1996-05-06	PRIJEM	VKLAD	17696	75525	\N	\N	\N
190564	648	1996-06-06	PRIJEM	VKLAD	26544	85168	\N	\N	\N
190565	648	1996-07-06	PRIJEM	VKLAD	17696	65681	\N	\N	\N
190566	648	1996-08-06	PRIJEM	VKLAD	17696	72243	\N	\N	\N
190567	648	1996-09-06	PRIJEM	VKLAD	17696	70917	\N	\N	\N
190568	648	1996-10-06	PRIJEM	VKLAD	17696	71193	\N	\N	\N
190569	648	1996-11-06	PRIJEM	VKLAD	17696	73973	\N	\N	\N
190570	648	1996-12-06	PRIJEM	VKLAD	26544	86113	\N	\N	\N
190571	648	1997-01-06	PRIJEM	VKLAD	17696	86040	\N	\N	\N
190572	648	1997-02-06	PRIJEM	VKLAD	17696	77974	\N	\N	\N
190573	648	1997-03-06	PRIJEM	VKLAD	17696	80580	\N	\N	\N
190574	648	1997-04-06	PRIJEM	VKLAD	17696	82396	\N	\N	\N
190575	648	1997-05-06	PRIJEM	VKLAD	17696	89125	\N	\N	\N
190576	648	1997-06-06	PRIJEM	VKLAD	26544	101727	\N	\N	\N
190577	648	1997-07-06	PRIJEM	VKLAD	17696	83810	\N	\N	\N
190578	648	1997-08-06	PRIJEM	VKLAD	17696	93449	\N	\N	\N
190579	648	1997-09-06	PRIJEM	VKLAD	17696	96418	\N	\N	\N
190580	648	1997-10-06	PRIJEM	VKLAD	17696	98395	\N	\N	\N
190581	648	1997-11-06	PRIJEM	VKLAD	17696	104688	\N	\N	\N
190582	648	1997-12-06	PRIJEM	VKLAD	26544	116449	\N	\N	\N
190583	648	1998-01-06	PRIJEM	VKLAD	17696	101134	\N	\N	\N
190584	648	1998-02-06	PRIJEM	VKLAD	17696	90624	\N	\N	\N
190585	648	1998-03-06	PRIJEM	VKLAD	17696	103798	\N	\N	\N
190586	648	1998-04-06	PRIJEM	VKLAD	17696	114521	\N	\N	\N
190587	648	1998-05-06	PRIJEM	VKLAD	17696	124587	\N	\N	\N
190588	648	1998-06-06	PRIJEM	VKLAD	26544	129112	\N	\N	\N
190589	648	1998-07-06	PRIJEM	VKLAD	17696	103608	\N	\N	\N
190590	648	1998-08-06	PRIJEM	VKLAD	17696	120959	\N	\N	\N
190591	648	1998-09-06	PRIJEM	VKLAD	17696	119635	\N	\N	\N
190592	648	1998-10-06	PRIJEM	VKLAD	17696	117767	\N	\N	\N
190593	648	1998-11-06	PRIJEM	VKLAD	17696	117898	\N	\N	\N
190594	648	1998-12-06	PRIJEM	VKLAD	26544	113365	\N	\N	\N
190610	648	1994-04-11	VYDAJ	PREVOD NA UCET	9240	34035	SIPO	OP	81294440
190611	648	1994-05-11	VYDAJ	PREVOD NA UCET	9240	30727	SIPO	OP	81294440
190612	648	1994-06-11	VYDAJ	PREVOD NA UCET	9240	30248	SIPO	OP	81294440
190613	648	1994-07-11	VYDAJ	PREVOD NA UCET	9240	30720	SIPO	OP	81294440
190614	648	1994-08-11	VYDAJ	PREVOD NA UCET	9240	29394	SIPO	OP	81294440
190615	648	1994-09-11	VYDAJ	PREVOD NA UCET	9240	36167	SIPO	OP	81294440
190616	648	1994-10-11	VYDAJ	PREVOD NA UCET	9240	38858	SIPO	OP	81294440
190617	648	1994-11-11	VYDAJ	PREVOD NA UCET	9240	42766	SIPO	OP	81294440
190618	648	1994-12-11	VYDAJ	PREVOD NA UCET	9240	54835	SIPO	OP	81294440
190619	648	1995-01-11	VYDAJ	PREVOD NA UCET	9240	51900	SIPO	OP	81294440
190620	648	1995-02-11	VYDAJ	PREVOD NA UCET	9240	43939	SIPO	OP	81294440
190621	648	1995-03-11	VYDAJ	PREVOD NA UCET	9240	44966	SIPO	OP	81294440
190622	648	1995-04-11	VYDAJ	PREVOD NA UCET	9240	50599	SIPO	OP	81294440
190623	648	1995-05-11	VYDAJ	PREVOD NA UCET	9240	51054	SIPO	OP	81294440
190624	648	1995-06-11	VYDAJ	PREVOD NA UCET	9240	62062	SIPO	OP	81294440
190625	648	1995-07-11	VYDAJ	PREVOD NA UCET	9240	54652	SIPO	OP	81294440
190626	648	1995-08-11	VYDAJ	PREVOD NA UCET	9240	55128	SIPO	OP	81294440
190627	648	1995-09-11	VYDAJ	PREVOD NA UCET	9240	54104	SIPO	OP	81294440
190628	648	1995-10-11	VYDAJ	PREVOD NA UCET	9240	54170	SIPO	OP	81294440
190629	648	1995-11-11	VYDAJ	PREVOD NA UCET	9240	56736	SIPO	OP	81294440
190630	648	1995-12-11	VYDAJ	PREVOD NA UCET	9240	67947	SIPO	OP	81294440
190631	648	1996-01-11	VYDAJ	PREVOD NA UCET	9240	57742	SIPO	OP	81294440
190632	648	1996-02-11	VYDAJ	PREVOD NA UCET	9240	51711	SIPO	OP	81294440
190633	648	1996-03-11	VYDAJ	PREVOD NA UCET	9240	51052	SIPO	OP	81294440
190634	648	1996-04-11	VYDAJ	PREVOD NA UCET	9240	59709	SIPO	OP	81294440
190635	648	1996-05-11	VYDAJ	PREVOD NA UCET	9240	66285	SIPO	OP	81294440
190636	648	1996-06-11	VYDAJ	PREVOD NA UCET	9240	75928	SIPO	OP	81294440
190637	648	1996-07-11	VYDAJ	PREVOD NA UCET	9240	56441	SIPO	OP	81294440
190638	648	1996-08-11	VYDAJ	PREVOD NA UCET	9240	63003	SIPO	OP	81294440
190639	648	1996-09-11	VYDAJ	PREVOD NA UCET	9240	61677	SIPO	OP	81294440
190640	648	1996-10-11	VYDAJ	PREVOD NA UCET	9240	61953	SIPO	OP	81294440
190641	648	1996-11-11	VYDAJ	PREVOD NA UCET	9240	63833	SIPO	OP	81294440
190642	648	1996-12-11	VYDAJ	PREVOD NA UCET	9240	76873	SIPO	OP	81294440
190643	648	1997-01-11	VYDAJ	PREVOD NA UCET	9240	76800	SIPO	OP	81294440
190644	648	1997-02-11	VYDAJ	PREVOD NA UCET	9240	68734	SIPO	OP	81294440
190645	648	1997-03-11	VYDAJ	PREVOD NA UCET	9240	71340	SIPO	OP	81294440
190646	648	1997-04-11	VYDAJ	PREVOD NA UCET	9240	73156	SIPO	OP	81294440
190647	648	1997-05-11	VYDAJ	PREVOD NA UCET	9240	79885	SIPO	OP	81294440
190648	648	1997-06-11	VYDAJ	PREVOD NA UCET	9240	92487	SIPO	OP	81294440
190649	648	1997-07-11	VYDAJ	PREVOD NA UCET	9240	74570	SIPO	OP	81294440
190650	648	1997-08-11	VYDAJ	PREVOD NA UCET	9240	84209	SIPO	OP	81294440
190651	648	1997-09-11	VYDAJ	PREVOD NA UCET	9240	87178	SIPO	OP	81294440
190652	648	1997-10-11	VYDAJ	PREVOD NA UCET	9240	89155	SIPO	OP	81294440
190653	648	1997-11-11	VYDAJ	PREVOD NA UCET	9240	95448	SIPO	OP	81294440
190654	648	1997-12-11	VYDAJ	PREVOD NA UCET	9240	77009	SIPO	OP	81294440
190655	648	1998-01-11	VYDAJ	PREVOD NA UCET	9240	91894	SIPO	OP	81294440
190656	648	1998-02-11	VYDAJ	PREVOD NA UCET	9240	81384	SIPO	OP	81294440
190657	648	1998-03-11	VYDAJ	PREVOD NA UCET	9240	94558	SIPO	OP	81294440
190658	648	1998-04-11	VYDAJ	PREVOD NA UCET	9240	105281	SIPO	OP	81294440
190659	648	1998-05-11	VYDAJ	PREVOD NA UCET	9240	96947	SIPO	OP	81294440
190660	648	1998-06-11	VYDAJ	PREVOD NA UCET	9240	71972	SIPO	OP	81294440
190661	648	1998-07-11	VYDAJ	PREVOD NA UCET	9240	94368	SIPO	OP	81294440
190662	648	1998-08-11	VYDAJ	PREVOD NA UCET	9240	96519	SIPO	OP	81294440
190663	648	1998-09-11	VYDAJ	PREVOD NA UCET	9240	75195	SIPO	OP	81294440
190664	648	1998-10-11	VYDAJ	PREVOD NA UCET	9240	74927	SIPO	OP	81294440
190665	648	1998-11-11	VYDAJ	PREVOD NA UCET	9240	54558	SIPO	OP	81294440
190666	648	1998-12-11	VYDAJ	PREVOD NA UCET	9240	104125	SIPO	OP	81294440
190669	648	1995-06-22	VYDAJ	VYBER	6400	55662	\N	\N	\N
190670	648	1996-06-11	VYDAJ	VYBER	29800	46128	\N	\N	\N
190671	648	1997-06-29	VYDAJ	VYBER	17800	66387	\N	\N	\N
190672	648	1998-06-12	VYDAJ	VYBER KARTOU	3100	68872	\N	\N	0
190675	648	1995-01-13	VYDAJ	VYBER	4700	45800	\N	\N	\N
190676	648	1996-01-05	VYDAJ	VYBER KARTOU	2400	51286	\N	\N	0
190677	648	1997-01-17	VYDAJ	VYBER KARTOU	1700	71100	\N	\N	0
190678	648	1998-01-25	VYDAJ	VYBER	5900	79594	\N	\N	\N
190691	648	1995-01-13	VYDAJ	VYBER	1400	50500	\N	\N	\N
190692	648	1995-01-29	VYDAJ	VYBER	2500	40700	\N	\N	\N
190693	648	1995-01-30	VYDAJ	VYBER	2400	37700	\N	\N	\N
190694	648	1995-01-20	VYDAJ	VYBER	2600	43200	\N	\N	\N
190695	648	1995-01-30	VYDAJ	VYBER	600	40100	\N	\N	\N
190696	648	1995-01-03	VYDAJ	VYBER	1700	52144	\N	\N	\N
190697	648	1996-01-27	VYDAJ	VYBER KARTOU	1300	51042	\N	\N	0
190698	648	1996-01-21	VYDAJ	VYBER KARTOU	2700	52342	\N	\N	0
190699	648	1996-01-29	VYDAJ	VYBER KARTOU	700	43042	\N	\N	0
190700	648	1996-01-14	VYDAJ	VYBER KARTOU	2700	55042	\N	\N	0
190701	648	1996-01-07	VYDAJ	VYBER KARTOU	2000	66982	\N	\N	0
190702	648	1996-01-27	VYDAJ	VYBER KARTOU	2500	48542	\N	\N	0
190703	648	1997-01-29	VYDAJ	VYBER KARTOU	1500	60900	\N	\N	0
190704	648	1997-01-13	VYDAJ	VYBER KARTOU	1700	75100	\N	\N	0
190705	648	1997-01-29	VYDAJ	VYBER KARTOU	900	60000	\N	\N	0
190706	648	1997-01-04	VYDAJ	VYBER KARTOU	700	68344	\N	\N	0
190707	648	1997-01-13	VYDAJ	VYBER KARTOU	2300	72800	\N	\N	0
190708	648	1997-01-18	VYDAJ	VYBER KARTOU	1800	69300	\N	\N	0
190709	648	1998-01-30	VYDAJ	VYBER KARTOU	1700	73494	\N	\N	0
190710	648	1998-01-29	VYDAJ	VYBER KARTOU	1600	77994	\N	\N	0
190711	648	1998-01-29	VYDAJ	VYBER KARTOU	2800	75194	\N	\N	0
190712	648	1998-01-15	VYDAJ	VYBER KARTOU	2000	89894	\N	\N	0
190713	648	1998-01-24	VYDAJ	VYBER KARTOU	1900	85494	\N	\N	0
190714	648	1998-01-30	VYDAJ	VYBER KARTOU	900	72594	\N	\N	0
190718	648	1994-08-21	VYDAJ	VYBER	3600	25794	\N	\N	\N
190719	648	1994-11-21	VYDAJ	VYBER	1800	40966	\N	\N	\N
190720	648	1994-12-21	VYDAJ	VYBER	1200	53635	\N	\N	\N
190721	648	1994-05-16	VYDAJ	VYBER	1300	29427	\N	\N	\N
190722	648	1994-10-08	VYDAJ	VYBER	2700	48098	\N	\N	\N
190723	648	1995-09-07	VYDAJ	VYBER KARTOU	2800	63344	\N	\N	0
190724	648	1995-03-05	VYDAJ	VYBER	3100	36510	\N	\N	\N
190725	648	1996-11-10	VYDAJ	VYBER KARTOU	900	73073	\N	\N	0
190726	648	1996-05-15	VYDAJ	VYBER KARTOU	2600	63685	\N	\N	0
190727	648	1996-03-02	VYDAJ	VYBER KARTOU	4000	42596	\N	\N	0
190728	648	1996-08-13	VYDAJ	VYBER	4900	58103	\N	\N	\N
190729	648	1997-06-29	VYDAJ	VYBER KARTOU	600	65787	\N	\N	0
190730	648	1997-09-16	VYDAJ	VYBER KARTOU	800	84778	\N	\N	0
190731	648	1997-09-16	VYDAJ	VYBER KARTOU	1600	85578	\N	\N	0
190732	648	1998-07-01	VYDAJ	VYBER KARTOU	2800	85912	\N	\N	0
190733	648	1998-12-30	VYDAJ	VYBER KARTOU	3700	108625	\N	\N	0
190734	648	1998-08-30	VYDAJ	VYBER KARTOU	2600	101519	\N	\N	0
190735	648	1998-02-23	VYDAJ	VYBER KARTOU	1300	85784	\N	\N	0
190752	648	1994-04-30	VYDAJ	VYBER	15	34171	SLUZBY	\N	\N
190753	648	1994-05-31	VYDAJ	VYBER	15	29544	SLUZBY	\N	\N
190754	648	1994-06-30	VYDAJ	VYBER	15	30364	SLUZBY	\N	\N
190755	648	1994-07-31	VYDAJ	VYBER	15	30838	SLUZBY	\N	\N
190756	648	1994-08-31	VYDAJ	VYBER	15	25911	SLUZBY	\N	\N
190757	648	1994-09-30	VYDAJ	VYBER	15	36302	SLUZBY	\N	\N
190758	648	1994-10-31	VYDAJ	VYBER	15	39010	SLUZBY	\N	\N
190759	648	1994-11-30	VYDAJ	VYBER	15	41131	SLUZBY	\N	\N
190760	648	1994-12-31	VYDAJ	VYBER	15	53844	SLUZBY	\N	\N
190761	648	1995-01-31	VYDAJ	VYBER	15	37883	SLUZBY	\N	\N
190762	648	1995-02-28	VYDAJ	VYBER	15	44110	SLUZBY	\N	\N
190763	648	1995-03-31	VYDAJ	VYBER	15	45143	SLUZBY	\N	\N
190764	648	1995-04-30	VYDAJ	VYBER	15	50798	SLUZBY	\N	\N
190765	648	1995-05-31	VYDAJ	VYBER	15	51258	SLUZBY	\N	\N
190766	648	1995-06-30	VYDAJ	VYBER	15	55896	SLUZBY	\N	\N
190767	648	1995-07-31	VYDAJ	VYBER	15	54872	SLUZBY	\N	\N
190768	648	1995-08-31	VYDAJ	VYBER	15	48448	SLUZBY	\N	\N
190769	648	1995-09-30	VYDAJ	VYBER	15	54314	SLUZBY	\N	\N
190770	648	1995-10-31	VYDAJ	VYBER	15	48280	SLUZBY	\N	\N
190771	648	1995-11-30	VYDAJ	VYBER	15	50643	SLUZBY	\N	\N
190772	648	1995-12-31	VYDAJ	VYBER	15	53686	SLUZBY	\N	\N
190773	648	1996-01-31	VYDAJ	VYBER	15	43255	SLUZBY	\N	\N
190774	648	1996-02-29	VYDAJ	VYBER	15	46596	SLUZBY	\N	\N
190775	648	1996-03-31	VYDAJ	VYBER	15	51253	SLUZBY	\N	\N
190776	648	1996-04-30	VYDAJ	VYBER	15	57829	SLUZBY	\N	\N
190777	648	1996-05-31	VYDAJ	VYBER	15	58624	SLUZBY	\N	\N
190778	648	1996-06-30	VYDAJ	VYBER	15	47985	SLUZBY	\N	\N
190779	648	1996-07-31	VYDAJ	VYBER	15	54547	SLUZBY	\N	\N
190780	648	1996-08-31	VYDAJ	VYBER	15	53221	SLUZBY	\N	\N
190781	648	1996-09-30	VYDAJ	VYBER	15	53497	SLUZBY	\N	\N
190782	648	1996-10-31	VYDAJ	VYBER	15	56277	SLUZBY	\N	\N
190783	648	1996-11-30	VYDAJ	VYBER	15	59569	SLUZBY	\N	\N
190784	648	1996-12-31	VYDAJ	VYBER	15	69044	SLUZBY	\N	\N
190785	648	1997-01-31	VYDAJ	VYBER	15	60278	SLUZBY	\N	\N
190786	648	1997-02-28	VYDAJ	VYBER	15	62884	SLUZBY	\N	\N
190787	648	1997-03-31	VYDAJ	VYBER	15	64700	SLUZBY	\N	\N
190788	648	1997-04-30	VYDAJ	VYBER	15	71429	SLUZBY	\N	\N
190789	648	1997-05-31	VYDAJ	VYBER	15	75183	SLUZBY	\N	\N
190790	648	1997-06-30	VYDAJ	VYBER	15	66114	SLUZBY	\N	\N
190791	648	1997-07-31	VYDAJ	VYBER	15	75753	SLUZBY	\N	\N
190792	648	1997-08-31	VYDAJ	VYBER	15	78722	SLUZBY	\N	\N
190793	648	1997-09-30	VYDAJ	VYBER	15	80699	SLUZBY	\N	\N
190794	648	1997-10-31	VYDAJ	VYBER	15	86992	SLUZBY	\N	\N
190795	648	1997-11-30	VYDAJ	VYBER	15	89905	SLUZBY	\N	\N
190796	648	1997-12-31	VYDAJ	VYBER	15	83438	SLUZBY	\N	\N
190797	648	1998-01-31	VYDAJ	VYBER	15	72928	SLUZBY	\N	\N
190798	648	1998-02-28	VYDAJ	VYBER	15	86102	SLUZBY	\N	\N
190799	648	1998-03-31	VYDAJ	VYBER	15	96825	SLUZBY	\N	\N
190800	648	1998-04-30	VYDAJ	VYBER	15	106891	SLUZBY	\N	\N
190801	648	1998-05-31	VYDAJ	VYBER	15	102568	SLUZBY	\N	\N
190802	648	1998-06-30	VYDAJ	VYBER	15	88712	SLUZBY	\N	\N
190803	648	1998-07-31	VYDAJ	VYBER	15	103263	SLUZBY	\N	\N
190804	648	1998-08-31	VYDAJ	VYBER	15	101939	SLUZBY	\N	\N
190805	648	1998-09-30	VYDAJ	VYBER	15	100071	SLUZBY	\N	\N
190806	648	1998-10-31	VYDAJ	VYBER	15	100202	SLUZBY	\N	\N
190807	648	1998-11-30	VYDAJ	VYBER	15	86821	SLUZBY	\N	\N
190808	648	1993-12-09	PRIJEM	VKLAD	600	28244	\N	\N	\N
190809	648	1994-01-08	VYDAJ	VYBER	10500	35527	\N	\N	\N
190810	648	1994-02-07	VYDAJ	VYBER	15100	38265	\N	\N	\N
190811	648	1994-03-09	VYDAJ	VYBER	17200	38918	\N	\N	\N
190812	648	1994-04-08	VYDAJ	VYBER	13500	43275	\N	\N	\N
190813	648	1994-05-08	VYDAJ	VYBER	11900	39967	\N	\N	\N
190814	648	1994-06-07	VYDAJ	VYBER	16600	39488	\N	\N	\N
190815	648	1994-07-07	VYDAJ	VYBER	8100	39960	\N	\N	\N
190816	648	1994-08-06	VYDAJ	VYBER	9900	38634	\N	\N	\N
190817	648	1994-09-05	PRIJEM	VKLAD	1800	27711	\N	\N	\N
190818	648	1994-10-05	VYDAJ	VYBER	3200	33102	\N	\N	\N
190819	648	1994-11-04	VYDAJ	VYBER	4700	34310	\N	\N	\N
190820	648	1994-12-04	VYDAJ	VYBER	3600	37531	\N	\N	\N
190821	648	1995-01-03	VYDAJ	VYBER	8700	43444	\N	\N	\N
190822	648	1995-02-02	VYDAJ	VYBER	2400	35483	\N	\N	\N
190823	648	1995-03-04	VYDAJ	VYBER	4500	39610	\N	\N	\N
190824	648	1995-04-03	VYDAJ	VYBER	3000	42143	\N	\N	\N
190825	648	1995-05-03	VYDAJ	VYBER	8200	42598	\N	\N	\N
190826	648	1995-06-02	VYDAJ	VYBER	6500	44758	\N	\N	\N
190827	648	1995-07-02	VYDAJ	VYBER	9700	46196	\N	\N	\N
190828	648	1995-08-01	VYDAJ	VYBER	8200	46672	\N	\N	\N
190829	648	1995-08-31	VYDAJ	VYBER	6900	48462	\N	\N	\N
190830	648	1995-09-30	VYDAJ	VYBER	8600	45714	\N	\N	\N
190831	648	1995-10-30	VYDAJ	VYBER	6100	48070	\N	\N	\N
190832	648	1995-11-29	VYDAJ	VYBER	6300	50436	\N	\N	\N
190833	648	1995-12-29	VYDAJ	VYBER	14500	53447	\N	\N	\N
190834	648	1996-01-28	VYDAJ	VYBER	4800	43742	\N	\N	\N
190835	648	1996-02-27	VYDAJ	VYBER	5300	46411	\N	\N	\N
190836	648	1996-04-27	VYDAJ	VYBER KARTOU	2100	57609	\N	\N	0
190837	648	1996-05-27	VYDAJ	VYBER	5300	58385	\N	\N	\N
190838	648	1996-06-26	PRIJEM	VKLAD	1600	47728	\N	\N	\N
190839	648	1996-07-26	VYDAJ	VYBER KARTOU	2100	54341	\N	\N	0
190840	648	1996-08-25	VYDAJ	VYBER	5100	53003	\N	\N	\N
190841	648	1996-09-24	VYDAJ	VYBER	8400	53277	\N	\N	\N
190842	648	1996-10-24	VYDAJ	VYBER	5900	56053	\N	\N	\N
190843	648	1996-11-23	VYDAJ	VYBER	4500	59333	\N	\N	\N
190844	648	1996-12-23	VYDAJ	VYBER	8100	68773	\N	\N	\N
190845	648	1997-01-22	VYDAJ	VYBER	6900	62400	\N	\N	\N
190846	648	1997-02-21	VYDAJ	VYBER	6100	62634	\N	\N	\N
190847	648	1997-03-23	VYDAJ	VYBER	6900	64440	\N	\N	\N
190848	648	1997-04-22	VYDAJ	VYBER KARTOU	2000	71156	\N	\N	0
190849	648	1997-05-22	VYDAJ	VYBER	5000	74885	\N	\N	\N
190850	648	1997-06-21	VYDAJ	VYBER	8300	84187	\N	\N	\N
190851	648	1997-07-21	PRIJEM	VKLAD	900	75470	\N	\N	\N
190852	648	1997-08-20	VYDAJ	VYBER	5800	78409	\N	\N	\N
190853	648	1997-09-19	VYDAJ	VYBER	4400	80378	\N	\N	\N
190854	648	1997-10-19	VYDAJ	VYBER KARTOU	2500	86655	\N	\N	0
190855	648	1997-11-18	VYDAJ	VYBER	5900	89548	\N	\N	\N
190856	648	1997-12-06	VYDAJ	VYBER	30200	86249	\N	\N	\N
190857	648	1997-12-18	PRIJEM	VKLAD	6100	83109	\N	\N	\N
190858	648	1998-01-17	VYDAJ	VYBER KARTOU	2500	87394	\N	\N	0
190859	648	1998-02-16	PRIJEM	VKLAD	5700	87084	\N	\N	\N
190860	648	1998-03-18	PRIJEM	VKLAD	1900	96458	\N	\N	\N
190861	648	1998-04-17	PRIJEM	VKLAD	1200	106481	\N	\N	\N
190862	648	1998-05-06	VYDAJ	VYBER	18400	106187	\N	\N	\N
190863	648	1998-05-17	PRIJEM	VKLAD	5200	102147	\N	\N	\N
190864	648	1998-06-06	VYDAJ	VYBER	47900	81212	\N	\N	\N
190865	648	1998-06-16	PRIJEM	VKLAD	19500	88372	\N	\N	\N
190866	648	1998-07-16	PRIJEM	VKLAD	8500	102868	\N	\N	\N
190867	648	1998-08-06	VYDAJ	VYBER	15200	105759	\N	\N	\N
190868	648	1998-08-15	PRIJEM	VKLAD	7600	104119	\N	\N	\N
190869	648	1998-09-06	VYDAJ	VYBER	35200	84435	\N	\N	\N
190870	648	1998-09-14	PRIJEM	VKLAD	24500	99695	\N	\N	\N
190871	648	1998-10-06	VYDAJ	VYBER	33600	84167	\N	\N	\N
190872	648	1998-10-14	PRIJEM	VKLAD	24900	99827	\N	\N	\N
190873	648	1998-11-06	VYDAJ	VYBER	54100	63798	\N	\N	\N
190874	648	1998-11-13	PRIJEM	VKLAD	31900	86458	\N	\N	\N
190875	648	1998-12-13	PRIJEM	VKLAD	8200	112325	\N	\N	\N
190937	649	1994-05-17	PRIJEM	VKLAD	700	700	\N	\N	\N
190938	649	1994-11-14	PRIJEM	VKLAD	48374	71097	\N	\N	\N
190939	649	1994-12-24	PRIJEM	VKLAD	32158	36127	\N	\N	\N
190940	649	1994-05-19	PRIJEM	VKLAD	18893	58803	\N	\N	\N
190942	649	1994-06-23	PRIJEM	VKLAD	48638	118016	\N	\N	\N
190944	649	1994-06-28	PRIJEM	VKLAD	24836	117652	\N	\N	\N
190945	649	1994-09-19	PRIJEM	VKLAD	20422	67908	\N	\N	\N
190946	649	1994-06-14	PRIJEM	VKLAD	49215	137678	\N	\N	\N
190947	649	1994-09-11	PRIJEM	VKLAD	47543	70886	\N	\N	\N
190949	649	1994-06-07	PRIJEM	VKLAD	29552	88463	\N	\N	\N
190952	649	1994-11-30	PRIJEM	VKLAD	39961	104794	\N	\N	\N
190953	649	1994-05-18	PRIJEM	VKLAD	39210	39910	\N	\N	\N
190954	649	1994-10-12	PRIJEM	VKLAD	17296	77936	\N	\N	\N
190955	649	1995-11-16	PRIJEM	VKLAD	16310	60342	\N	\N	\N
190956	649	1995-08-02	PRIJEM	VKLAD	29601	43874	\N	\N	\N
190957	649	1995-02-01	PRIJEM	VKLAD	16344	50277	\N	\N	\N
190958	649	1995-01-26	PRIJEM	VKLAD	28616	38940	\N	\N	\N
190959	649	1995-09-20	PRIJEM	VKLAD	40812	53817	\N	\N	\N
190960	649	1995-04-07	PRIJEM	VKLAD	8818	66253	\N	\N	\N
190961	649	1995-12-23	PRIJEM	VKLAD	42562	84118	\N	\N	\N
190962	649	1995-02-24	PRIJEM	VKLAD	23976	59387	\N	\N	\N
190963	649	1995-10-17	PRIJEM	VKLAD	38648	75769	\N	\N	\N
190964	649	1995-03-07	PRIJEM	VKLAD	30698	90223	\N	\N	\N
190965	649	1996-09-03	PRIJEM	VKLAD	22332	106143	\N	\N	\N
190966	649	1996-12-08	PRIJEM	VKLAD	26950	59454	\N	\N	\N
190967	649	1996-06-30	PRIJEM	VKLAD	9596	45710	\N	\N	\N
190968	649	1996-08-16	PRIJEM	VKLAD	20631	83463	\N	\N	\N
190969	649	1996-03-11	PRIJEM	VKLAD	27450	64781	\N	\N	\N
190970	649	1996-07-13	PRIJEM	VKLAD	43881	103266	\N	\N	\N
190971	649	1996-04-23	PRIJEM	VKLAD	34754	133026	\N	\N	\N
190972	649	1996-04-12	PRIJEM	VKLAD	47057	98272	\N	\N	\N
190973	649	1996-01-30	PRIJEM	VKLAD	40331	44971	\N	\N	\N
190974	649	1996-07-06	PRIJEM	VKLAD	25206	59385	\N	\N	\N
190975	649	1996-11-28	PRIJEM	VKLAD	5239	41649	\N	\N	\N
190976	649	1996-07-14	PRIJEM	VKLAD	38460	141726	\N	\N	\N
190977	649	1996-02-27	PRIJEM	VKLAD	26280	48705	\N	\N	\N
190978	649	1996-03-14	PRIJEM	VKLAD	18672	83453	\N	\N	\N
190979	649	1997-09-19	PRIJEM	VKLAD	11620	113799	\N	\N	\N
190980	649	1997-01-21	PRIJEM	VKLAD	7705	32555	\N	\N	\N
190981	649	1997-11-17	PRIJEM	VKLAD	24603	83717	\N	\N	\N
190982	649	1997-10-05	PRIJEM	VKLAD	38357	104889	\N	\N	\N
190983	649	1997-06-11	PRIJEM	VKLAD	19685	51490	\N	\N	\N
190984	649	1997-10-18	PRIJEM	VKLAD	31999	136888	\N	\N	\N
190985	649	1997-07-09	PRIJEM	VKLAD	33585	52378	\N	\N	\N
190986	649	1997-04-27	PRIJEM	VKLAD	32226	115974	\N	\N	\N
190987	649	1997-08-22	PRIJEM	VKLAD	36796	78532	\N	\N	\N
190988	649	1997-03-21	PRIJEM	VKLAD	26606	57042	\N	\N	\N
190989	649	1997-12-15	PRIJEM	VKLAD	35539	102622	\N	\N	\N
190990	649	1997-12-13	PRIJEM	VKLAD	9251	67083	\N	\N	\N
190991	649	1997-09-06	PRIJEM	VKLAD	49966	104279	\N	\N	\N
190992	649	1997-08-13	PRIJEM	VKLAD	9653	41736	\N	\N	\N
190993	649	1997-10-24	PRIJEM	VKLAD	13612	102100	\N	\N	\N
190994	649	1997-04-10	PRIJEM	VKLAD	42755	83748	\N	\N	\N
190995	649	1997-01-26	PRIJEM	VKLAD	44100	45755	\N	\N	\N
190996	649	1997-07-17	PRIJEM	VKLAD	25283	64496	\N	\N	\N
190997	649	1997-02-08	PRIJEM	VKLAD	5092	36138	\N	\N	\N
190998	649	1997-05-30	PRIJEM	VKLAD	18325	38942	\N	\N	\N
190999	649	1998-07-31	PRIJEM	VKLAD	47842	89834	\N	\N	\N
191000	649	1998-08-22	PRIJEM	VKLAD	19578	107882	\N	\N	\N
191001	649	1998-04-02	PRIJEM	VKLAD	38070	60335	\N	\N	\N
191002	649	1998-10-05	PRIJEM	VKLAD	27807	68844	\N	\N	\N
191003	649	1998-02-18	PRIJEM	VKLAD	32702	70864	\N	\N	\N
191004	649	1998-11-05	PRIJEM	VKLAD	29608	104392	\N	\N	\N
191005	649	1998-04-27	PRIJEM	VKLAD	49987	85316	\N	\N	\N
191006	649	1998-05-20	PRIJEM	VKLAD	14865	76318	\N	\N	\N
191007	649	1998-10-26	PRIJEM	VKLAD	49510	116190	\N	\N	\N
191008	649	1998-01-20	PRIJEM	VKLAD	30460	51378	\N	\N	\N
191009	649	1998-06-10	PRIJEM	VKLAD	8829	59940	\N	\N	\N
191010	649	1998-10-07	PRIJEM	VKLAD	15036	83880	\N	\N	\N
191071	649	1994-09-29	VYBER	VYBER	7425	60483	\N	\N	\N
191073	649	1994-07-06	VYBER	VYBER	22244	38290	\N	\N	\N
191074	649	1994-07-08	VYBER	VYBER	19506	18784	\N	\N	\N
191078	649	1994-12-17	VYBER	VYBER	15093	3969	\N	\N	\N
191080	649	1994-10-14	VYBER	VYBER	14073	63863	\N	\N	\N
191081	649	1994-11-15	VYBER	VYBER	6264	64833	\N	\N	\N
191082	649	1994-10-16	VYBER	VYBER	21272	20991	\N	\N	\N
191083	649	1995-09-03	VYBER	VYBER	17585	16275	\N	\N	\N
191084	649	1995-04-23	VYBER	VYBER	20177	27676	\N	\N	\N
191085	649	1995-11-02	VYBER	VYBER	15975	60032	\N	\N	\N
191086	649	1995-09-08	VYBER	VYBER	17870	-1595	\N	\N	\N
191088	649	1995-02-04	VYBER	VYBER	10966	39311	\N	\N	\N
191089	649	1995-12-25	VYBER	VYBER	24652	59466	\N	\N	\N
191091	649	1997-05-02	VYBER	VYBER	20953	20617	\N	\N	\N
191092	649	1997-04-30	VYBER	VYBER	5574	54900	\N	\N	\N
191093	649	1997-07-06	VYBER	VYBER	20798	18793	\N	\N	\N
191094	649	1997-07-16	VYBER	VYBER	11065	39213	\N	\N	\N
191095	649	1998-03-22	VYBER	VYBER	20812	14316	\N	\N	\N
191096	649	1998-04-22	VYBER	VYBER	3514	35629	\N	\N	\N
191097	649	1998-11-06	VYBER	VYBER	12413	91979	\N	\N	\N
191098	649	1998-04-17	VYBER	VYBER	21192	39143	\N	\N	\N
191099	649	1998-09-26	VYBER	VYBER	21933	40781	\N	\N	\N
191100	649	1998-05-19	VYBER	VYBER	2664	61453	\N	\N	\N
191101	649	1998-05-11	VYBER	VYBER	21314	64117	\N	\N	\N
191102	649	1998-06-11	VYBER	VYBER	20284	39656	\N	\N	\N
191103	649	1998-03-19	VYBER	VYBER	20614	35128	\N	\N	\N
191105	649	1995-06-12	VYDAJ	VYBER	16500	10522	\N	\N	\N
191112	649	1997-01-23	VYDAJ	VYBER	23400	9155	\N	\N	\N
191113	649	1998-01-14	VYDAJ	VYBER	28500	30518	\N	\N	\N
191114	649	1994-12-09	VYDAJ	VYBER	1800	42962	\N	\N	\N
191115	649	1995-12-07	VYDAJ	VYBER	3300	54556	\N	\N	\N
191116	649	1996-12-28	VYDAJ	VYBER	7800	51654	\N	\N	\N
191117	649	1997-12-06	VYDAJ	VYBER	3600	57832	\N	\N	\N
191118	649	1998-12-07	VYDAJ	VYBER	6300	61488	\N	\N	\N
191125	649	1995-01-22	VYDAJ	VYBER	2100	17224	\N	\N	\N
191126	649	1995-01-23	VYDAJ	VYBER	6900	10324	\N	\N	\N
191127	649	1995-01-20	VYDAJ	VYBER	4500	19324	\N	\N	\N
191128	649	1995-01-28	VYDAJ	VYBER	5100	33840	\N	\N	\N
191129	649	1995-01-15	VYDAJ	VYBER	6600	23824	\N	\N	\N
191130	649	1995-01-13	VYDAJ	VYBER	3000	30424	\N	\N	\N
191131	649	1996-01-26	VYDAJ	VYBER	4500	4640	\N	\N	\N
191132	649	1996-01-13	VYDAJ	VYBER	6900	16940	\N	\N	\N
191133	649	1996-01-11	VYDAJ	VYBER	4500	23840	\N	\N	\N
191134	649	1996-01-06	VYDAJ	VYBER	1800	36540	\N	\N	\N
191135	649	1996-01-02	VYDAJ	VYBER	1500	38340	\N	\N	\N
191136	649	1996-01-14	VYDAJ	VYBER	7800	9140	\N	\N	\N
191137	649	1997-01-09	VYDAJ	VYBER	4800	24850	\N	\N	\N
191138	649	1997-01-23	VYDAJ	VYBER	7500	1655	\N	\N	\N
191139	649	1997-01-27	VYDAJ	VYBER	4800	40955	\N	\N	\N
191140	649	1997-01-03	VYDAJ	VYBER	4500	32950	\N	\N	\N
191141	649	1997-01-09	VYDAJ	VYBER	3300	29650	\N	\N	\N
191142	649	1997-01-01	VYDAJ	VYBER	1500	37450	\N	\N	\N
191143	649	1998-01-10	VYDAJ	VYBER	5700	59018	\N	\N	\N
191144	649	1998-01-21	VYDAJ	VYBER	1800	49578	\N	\N	\N
191145	649	1998-01-26	VYDAJ	VYBER	2700	40978	\N	\N	\N
191146	649	1998-01-14	VYDAJ	VYBER	6300	24218	\N	\N	\N
191147	649	1998-01-02	VYDAJ	VYBER	4200	64718	\N	\N	\N
191148	649	1998-01-16	VYDAJ	VYBER	3300	20918	\N	\N	\N
191149	649	1994-08-11	VYDAJ	VYBER	1500	20678	\N	\N	\N
191151	649	1994-12-16	VYDAJ	VYBER	14400	19062	\N	\N	\N
191154	649	1995-11-22	VYDAJ	VYBER	2700	57642	\N	\N	\N
191155	649	1995-07-17	VYDAJ	VYBER	5100	14255	\N	\N	\N
191156	649	1995-06-17	VYDAJ	VYBER	1500	9022	\N	\N	\N
191157	649	1995-12-26	VYDAJ	VYBER	14700	44766	\N	\N	\N
191158	649	1996-02-17	VYDAJ	VYBER	8700	22425	\N	\N	\N
191159	649	1996-01-01	VYDAJ	VYBER	5100	39840	\N	\N	\N
191160	649	1997-08-07	VYDAJ	VYBER	9600	32083	\N	\N	\N
191161	649	1997-09-10	VYDAJ	VYBER	2100	102179	\N	\N	\N
191162	649	1997-09-28	VYDAJ	VYBER	8400	105399	\N	\N	\N
191163	649	1997-10-26	VYDAJ	VYBER	12300	89800	\N	\N	\N
191164	649	1997-07-09	VYDAJ	VYBER	2100	50278	\N	\N	\N
191165	649	1997-07-27	VYDAJ	VYBER	1800	62696	\N	\N	\N
191166	649	1998-12-17	VYDAJ	VYBER	9600	51888	\N	\N	\N
191167	649	1998-06-08	VYDAJ	VYBER	10800	51111	\N	\N	\N
191168	649	1998-11-25	VYDAJ	VYBER	6000	67479	\N	\N	\N
191169	649	1998-08-10	VYDAJ	VYBER	1500	88304	\N	\N	\N
191170	649	1998-02-01	VYDAJ	VYBER	3000	38162	\N	\N	\N
191171	649	1998-09-23	VYDAJ	VYBER	3300	62714	\N	\N	\N
191178	649	1994-06-30	VYDAJ	VYBER	30	60534	SLUZBY	\N	\N
191179	649	1994-07-31	VYDAJ	VYBER	30	22178	SLUZBY	\N	\N
191180	649	1994-08-31	VYDAJ	VYBER	30	23343	SLUZBY	\N	\N
191181	649	1994-09-30	VYDAJ	VYBER	30	60640	SLUZBY	\N	\N
191182	649	1994-10-31	VYDAJ	VYBER	30	21123	SLUZBY	\N	\N
191183	649	1994-11-30	VYDAJ	VYBER	30	104962	SLUZBY	\N	\N
191184	649	1994-12-31	VYDAJ	VYBER	30	36324	SLUZBY	\N	\N
191185	649	1995-01-31	VYDAJ	VYBER	30	33933	SLUZBY	\N	\N
191186	649	1995-02-28	VYDAJ	VYBER	30	59525	SLUZBY	\N	\N
191187	649	1995-03-31	VYDAJ	VYBER	30	57435	SLUZBY	\N	\N
191188	649	1995-04-30	VYDAJ	VYBER	30	27837	SLUZBY	\N	\N
191189	649	1995-05-31	VYDAJ	VYBER	30	25622	SLUZBY	\N	\N
191190	649	1995-06-30	VYDAJ	VYBER	30	9055	SLUZBY	\N	\N
191191	649	1995-07-31	VYDAJ	VYBER	30	14273	SLUZBY	\N	\N
191192	649	1995-08-31	VYDAJ	VYBER	30	33860	SLUZBY	\N	\N
191193	649	1995-09-30	VYDAJ	VYBER	30	53922	SLUZBY	\N	\N
191194	649	1995-10-31	VYDAJ	VYBER	30	76007	SLUZBY	\N	\N
191195	649	1995-11-30	VYDAJ	VYBER	30	57856	SLUZBY	\N	\N
191196	649	1995-12-31	VYDAJ	VYBER	30	44940	SLUZBY	\N	\N
191197	649	1996-01-31	VYDAJ	VYBER	30	45025	SLUZBY	\N	\N
191198	649	1996-02-29	VYDAJ	VYBER	30	48831	SLUZBY	\N	\N
191199	649	1996-03-31	VYDAJ	VYBER	30	83715	SLUZBY	\N	\N
191200	649	1996-04-30	VYDAJ	VYBER	30	70952	SLUZBY	\N	\N
191201	649	1996-05-31	VYDAJ	VYBER	30	48114	SLUZBY	\N	\N
191202	649	1996-06-30	VYDAJ	VYBER	30	45879	SLUZBY	\N	\N
191203	649	1996-07-31	VYDAJ	VYBER	30	99332	SLUZBY	\N	\N
191204	649	1996-08-31	VYDAJ	VYBER	30	83811	SLUZBY	\N	\N
191205	649	1996-09-30	VYDAJ	VYBER	30	63280	SLUZBY	\N	\N
191206	649	1996-10-31	VYDAJ	VYBER	30	45010	SLUZBY	\N	\N
191207	649	1996-11-30	VYDAJ	VYBER	30	41804	SLUZBY	\N	\N
191208	649	1996-12-31	VYDAJ	VYBER	30	51850	SLUZBY	\N	\N
191209	649	1997-01-31	VYDAJ	VYBER	30	31046	SLUZBY	\N	\N
191210	649	1997-02-28	VYDAJ	VYBER	30	36236	SLUZBY	\N	\N
191211	649	1997-03-31	VYDAJ	VYBER	30	57193	SLUZBY	\N	\N
191212	649	1997-04-30	VYDAJ	VYBER	30	54870	SLUZBY	\N	\N
191213	649	1997-05-31	VYDAJ	VYBER	30	31805	SLUZBY	\N	\N
191214	649	1997-06-30	VYDAJ	VYBER	30	51591	SLUZBY	\N	\N
191215	649	1997-07-31	VYDAJ	VYBER	30	41683	SLUZBY	\N	\N
191216	649	1997-08-31	VYDAJ	VYBER	30	54313	SLUZBY	\N	\N
191217	649	1997-09-30	VYDAJ	VYBER	30	66532	SLUZBY	\N	\N
191218	649	1997-10-31	VYDAJ	VYBER	30	59114	SLUZBY	\N	\N
191219	649	1997-11-30	VYDAJ	VYBER	30	61432	SLUZBY	\N	\N
191220	649	1997-12-31	VYDAJ	VYBER	30	68918	SLUZBY	\N	\N
191221	649	1998-01-31	VYDAJ	VYBER	30	41162	SLUZBY	\N	\N
191222	649	1998-02-28	VYDAJ	VYBER	30	55742	SLUZBY	\N	\N
191223	649	1998-03-31	VYDAJ	VYBER	30	22265	SLUZBY	\N	\N
191224	649	1998-04-30	VYDAJ	VYBER	30	85431	SLUZBY	\N	\N
191225	649	1998-05-31	VYDAJ	VYBER	30	61911	SLUZBY	\N	\N
191226	649	1998-06-30	VYDAJ	VYBER	30	40919	SLUZBY	\N	\N
191227	649	1998-07-31	VYDAJ	VYBER	30	89804	SLUZBY	\N	\N
191228	649	1998-08-31	VYDAJ	VYBER	30	77314	SLUZBY	\N	\N
191229	649	1998-09-30	VYDAJ	VYBER	30	41037	SLUZBY	\N	\N
191230	649	1998-10-31	VYDAJ	VYBER	30	116484	SLUZBY	\N	\N
191231	649	1998-11-30	VYDAJ	VYBER	30	67788	SLUZBY	\N	\N
191232	649	1994-06-14	VYDAJ	VYBER	26600	111078	\N	\N	\N
191233	649	1994-06-16	VYDAJ	VYBER	41700	69378	\N	\N	\N
191234	649	1994-06-23	VYDAJ	VYBER	25200	92816	\N	\N	\N
191235	649	1994-06-28	VYDAJ	VYBER	57400	60252	\N	\N	\N
191236	649	1994-07-16	PRIJEM	VKLAD	3300	22084	\N	\N	\N
191237	649	1994-08-15	PRIJEM	VKLAD	2600	23278	\N	\N	\N
191238	649	1994-09-14	VYDAJ	VYBER	23400	47486	\N	\N	\N
191239	649	1994-10-14	VYDAJ	VYBER	21600	42263	\N	\N	\N
191240	649	1994-11-13	PRIJEM	VKLAD	1600	22723	\N	\N	\N
191241	649	1994-11-30	VYDAJ	VYBER	60200	44762	\N	\N	\N
191242	649	1994-12-13	VYDAJ	VYBER	9500	33462	\N	\N	\N
191243	649	1995-01-12	VYDAJ	VYBER	2900	33424	\N	\N	\N
191244	649	1995-02-11	VYDAJ	VYBER	3900	35411	\N	\N	\N
191245	649	1995-03-13	VYDAJ	VYBER	33000	57223	\N	\N	\N
191246	649	1995-04-12	VYDAJ	VYBER	18400	47853	\N	\N	\N
191247	649	1995-05-12	VYDAJ	VYBER	2300	25537	\N	\N	\N
191248	649	1995-06-11	PRIJEM	VKLAD	1400	27022	\N	\N	\N
191249	649	1995-07-11	PRIJEM	VKLAD	10300	19355	\N	\N	\N
191250	649	1995-08-10	VYDAJ	VYBER	10100	33774	\N	\N	\N
191251	649	1995-09-09	PRIJEM	VKLAD	14600	13005	\N	\N	\N
191252	649	1995-10-09	VYDAJ	VYBER	16800	37121	\N	\N	\N
191253	649	1995-11-08	VYDAJ	VYBER	16000	44032	\N	\N	\N
191254	649	1995-12-08	VYDAJ	VYBER	13000	41556	\N	\N	\N
191255	649	1996-01-07	VYDAJ	VYBER	8200	28340	\N	\N	\N
191256	649	1996-02-06	VYDAJ	VYBER	13900	31125	\N	\N	\N
191257	649	1996-03-07	VYDAJ	VYBER	11500	37331	\N	\N	\N
191258	649	1996-04-06	VYDAJ	VYBER	32500	51215	\N	\N	\N
191259	649	1996-04-23	VYDAJ	VYBER	62400	70626	\N	\N	\N
191260	649	1996-05-06	VYDAJ	VYBER	23100	47852	\N	\N	\N
191261	649	1996-06-05	VYDAJ	VYBER	12000	36114	\N	\N	\N
191262	649	1996-07-05	VYDAJ	VYBER	11700	34179	\N	\N	\N
191263	649	1996-07-14	VYDAJ	VYBER	42800	98926	\N	\N	\N
191264	649	1996-08-04	VYDAJ	VYBER	36500	62832	\N	\N	\N
191265	649	1996-09-03	VYDAJ	VYBER	43100	63043	\N	\N	\N
191266	649	1996-10-03	VYDAJ	VYBER	18500	44780	\N	\N	\N
191267	649	1996-11-02	VYDAJ	VYBER	8600	36410	\N	\N	\N
191268	649	1996-12-02	VYDAJ	VYBER	9300	32504	\N	\N	\N
191269	649	1997-01-01	VYDAJ	VYBER	12900	38950	\N	\N	\N
191270	649	1997-01-31	VYDAJ	VYBER	10000	31076	\N	\N	\N
191271	649	1997-03-02	VYDAJ	VYBER	5800	30436	\N	\N	\N
191272	649	1997-04-01	VYDAJ	VYBER	16200	40993	\N	\N	\N
191273	649	1997-04-27	VYDAJ	VYBER	55800	60174	\N	\N	\N
191274	649	1997-05-01	VYDAJ	VYBER	13300	41570	\N	\N	\N
191275	649	1997-05-31	VYDAJ	VYBER	7200	31835	\N	\N	\N
191276	649	1997-06-30	VYDAJ	VYBER	12000	39591	\N	\N	\N
191277	649	1997-07-30	VYDAJ	VYBER	21200	41496	\N	\N	\N
191278	649	1997-08-29	VYDAJ	VYBER	24400	54132	\N	\N	\N
191279	649	1997-09-28	VYDAJ	VYBER	39200	66199	\N	\N	\N
191280	649	1997-10-18	VYDAJ	VYBER	48400	88488	\N	\N	\N
191281	649	1997-10-28	VYDAJ	VYBER	31000	58800	\N	\N	\N
191282	649	1997-11-27	VYDAJ	VYBER	22500	61217	\N	\N	\N
191283	649	1997-12-27	VYDAJ	VYBER	34000	68622	\N	\N	\N
191284	649	1998-01-26	VYDAJ	VYBER	5900	43678	\N	\N	\N
191285	649	1998-02-25	VYDAJ	VYBER	15300	55564	\N	\N	\N
191286	649	1998-03-27	PRIJEM	VKLAD	7800	22116	\N	\N	\N
191287	649	1998-04-26	VYDAJ	VYBER	300	35329	\N	\N	\N
191288	649	1998-05-26	VYDAJ	VYBER	14700	61618	\N	\N	\N
191289	649	1998-06-25	PRIJEM	VKLAD	1100	40756	\N	\N	\N
191290	649	1998-07-25	PRIJEM	VKLAD	900	41819	\N	\N	\N
191291	649	1998-08-24	VYDAJ	VYBER	30900	76982	\N	\N	\N
191292	649	1998-09-23	VYDAJ	VYBER	11300	66014	\N	\N	\N
191293	649	1998-10-23	VYDAJ	VYBER	17200	66680	\N	\N	\N
191294	649	1998-10-31	VYDAJ	VYBER	41700	74784	\N	\N	\N
191295	649	1998-11-22	VYDAJ	VYBER	18500	73479	\N	\N	\N
191354	650	1995-01-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
191356	650	1995-02-10	PRIJEM	PREVOD Z UCTU	6914	8014	DUCHOD	WX	36090457
191357	650	1995-03-10	PRIJEM	PREVOD Z UCTU	6914	14928	DUCHOD	WX	36090457
191358	650	1995-04-10	PRIJEM	PREVOD Z UCTU	6914	21842	DUCHOD	WX	36090457
191359	650	1995-05-10	PRIJEM	PREVOD Z UCTU	6914	28756	DUCHOD	WX	36090457
191360	650	1995-06-10	PRIJEM	PREVOD Z UCTU	6914	32284	DUCHOD	WX	36090457
191361	650	1995-07-10	PRIJEM	PREVOD Z UCTU	6914	29791	DUCHOD	WX	36090457
191362	650	1995-08-10	PRIJEM	PREVOD Z UCTU	6914	31349	DUCHOD	WX	36090457
191363	650	1995-09-10	PRIJEM	PREVOD Z UCTU	6914	33473	DUCHOD	WX	36090457
191364	650	1995-10-10	PRIJEM	PREVOD Z UCTU	6914	34105	DUCHOD	WX	36090457
191365	650	1995-11-10	PRIJEM	PREVOD Z UCTU	6914	26374	DUCHOD	WX	36090457
191366	650	1995-12-10	PRIJEM	PREVOD Z UCTU	6914	28181	DUCHOD	WX	36090457
191367	650	1996-01-10	PRIJEM	PREVOD Z UCTU	6914	30331	DUCHOD	WX	36090457
191368	650	1996-02-10	PRIJEM	PREVOD Z UCTU	6914	27244	DUCHOD	WX	36090457
191369	650	1996-03-10	PRIJEM	PREVOD Z UCTU	6914	29470	DUCHOD	WX	36090457
191370	650	1996-04-10	PRIJEM	PREVOD Z UCTU	6914	30984	DUCHOD	WX	36090457
191371	650	1996-05-10	PRIJEM	PREVOD Z UCTU	6914	26299	DUCHOD	WX	36090457
191372	650	1996-06-10	PRIJEM	PREVOD Z UCTU	6914	29101	DUCHOD	WX	36090457
191373	650	1996-07-10	PRIJEM	PREVOD Z UCTU	6914	31615	DUCHOD	WX	36090457
191374	650	1996-08-10	PRIJEM	PREVOD Z UCTU	6914	28752	DUCHOD	WX	36090457
191375	650	1996-09-10	PRIJEM	PREVOD Z UCTU	6914	28560	DUCHOD	WX	36090457
191376	650	1996-10-10	PRIJEM	PREVOD Z UCTU	6914	28607	DUCHOD	WX	36090457
191377	650	1996-11-10	PRIJEM	PREVOD Z UCTU	6914	27711	DUCHOD	WX	36090457
191378	650	1996-12-10	PRIJEM	PREVOD Z UCTU	6914	28513	DUCHOD	WX	36090457
191379	650	1997-01-10	PRIJEM	PREVOD Z UCTU	6914	21475	DUCHOD	WX	36090457
191380	650	1997-02-10	PRIJEM	PREVOD Z UCTU	6914	20598	DUCHOD	WX	36090457
191381	650	1997-03-10	PRIJEM	PREVOD Z UCTU	6914	23097	DUCHOD	WX	36090457
191382	650	1997-04-10	PRIJEM	PREVOD Z UCTU	6914	28389	DUCHOD	WX	36090457
191383	650	1997-05-10	PRIJEM	PREVOD Z UCTU	6914	29896	DUCHOD	WX	36090457
191384	650	1997-06-10	PRIJEM	PREVOD Z UCTU	6914	29905	DUCHOD	WX	36090457
191385	650	1997-07-10	PRIJEM	PREVOD Z UCTU	6914	26918	DUCHOD	WX	36090457
191386	650	1997-08-10	PRIJEM	PREVOD Z UCTU	6914	30784	DUCHOD	WX	36090457
191387	650	1997-09-10	PRIJEM	PREVOD Z UCTU	6914	33602	DUCHOD	WX	36090457
191388	650	1997-10-10	PRIJEM	PREVOD Z UCTU	6914	35429	DUCHOD	WX	36090457
191389	650	1997-11-10	PRIJEM	PREVOD Z UCTU	6914	33758	DUCHOD	WX	36090457
191390	650	1997-12-10	PRIJEM	PREVOD Z UCTU	6914	36187	DUCHOD	WX	36090457
191391	650	1998-01-10	PRIJEM	PREVOD Z UCTU	6914	30272	DUCHOD	WX	36090457
191392	650	1998-02-10	PRIJEM	PREVOD Z UCTU	6914	26636	DUCHOD	WX	36090457
191393	650	1998-03-10	PRIJEM	PREVOD Z UCTU	6914	31941	DUCHOD	WX	36090457
191394	650	1998-04-10	PRIJEM	PREVOD Z UCTU	6914	29519	DUCHOD	WX	36090457
191395	650	1998-05-10	PRIJEM	PREVOD Z UCTU	6914	32435	DUCHOD	WX	36090457
191396	650	1998-06-10	PRIJEM	PREVOD Z UCTU	6914	29985	DUCHOD	WX	36090457
191397	650	1998-07-10	PRIJEM	PREVOD Z UCTU	6914	23926	DUCHOD	WX	36090457
191398	650	1998-08-10	PRIJEM	PREVOD Z UCTU	6914	28659	DUCHOD	WX	36090457
191399	650	1998-09-10	PRIJEM	PREVOD Z UCTU	6914	29673	DUCHOD	WX	36090457
191400	650	1998-10-10	PRIJEM	PREVOD Z UCTU	6914	31694	DUCHOD	WX	36090457
191401	650	1998-11-10	PRIJEM	PREVOD Z UCTU	6914	29624	DUCHOD	WX	36090457
191402	650	1998-12-10	PRIJEM	PREVOD Z UCTU	6914	30749	DUCHOD	WX	36090457
191409	650	1995-07-06	VYDAJ	PREVOD NA UCET	1697	22877	SIPO	YZ	70699482
191410	650	1995-08-06	VYDAJ	PREVOD NA UCET	1697	24435	SIPO	YZ	70699482
191411	650	1995-09-06	VYDAJ	PREVOD NA UCET	1697	26559	SIPO	YZ	70699482
191412	650	1995-10-06	VYDAJ	PREVOD NA UCET	1697	27191	SIPO	YZ	70699482
191413	650	1995-11-06	VYDAJ	PREVOD NA UCET	1697	23220	SIPO	YZ	70699482
191414	650	1995-12-06	VYDAJ	PREVOD NA UCET	1697	21867	SIPO	YZ	70699482
191415	650	1996-01-06	VYDAJ	PREVOD NA UCET	1697	23977	SIPO	YZ	70699482
191416	650	1996-02-06	VYDAJ	PREVOD NA UCET	1697	20330	SIPO	YZ	70699482
191417	650	1996-03-06	VYDAJ	PREVOD NA UCET	1697	22556	SIPO	YZ	70699482
191418	650	1996-04-06	VYDAJ	PREVOD NA UCET	1697	24070	SIPO	YZ	70699482
191419	650	1996-05-06	VYDAJ	PREVOD NA UCET	1697	19385	SIPO	YZ	70699482
191420	650	1996-06-06	VYDAJ	PREVOD NA UCET	1697	22187	SIPO	YZ	70699482
191421	650	1996-07-06	VYDAJ	PREVOD NA UCET	1697	24701	SIPO	YZ	70699482
191422	650	1996-08-06	VYDAJ	PREVOD NA UCET	1697	21838	SIPO	YZ	70699482
191423	650	1996-09-06	VYDAJ	PREVOD NA UCET	1697	21646	SIPO	YZ	70699482
191424	650	1996-10-06	VYDAJ	PREVOD NA UCET	1697	21693	SIPO	YZ	70699482
191425	650	1996-11-06	VYDAJ	PREVOD NA UCET	1697	20797	SIPO	YZ	70699482
191426	650	1996-12-06	VYDAJ	PREVOD NA UCET	1697	21599	SIPO	YZ	70699482
191427	650	1997-01-06	VYDAJ	PREVOD NA UCET	1697	14561	SIPO	YZ	70699482
191428	650	1997-02-06	VYDAJ	PREVOD NA UCET	1697	13684	SIPO	YZ	70699482
191429	650	1997-03-06	VYDAJ	PREVOD NA UCET	1697	16183	SIPO	YZ	70699482
191430	650	1997-04-06	VYDAJ	PREVOD NA UCET	1697	21475	SIPO	YZ	70699482
191431	650	1997-05-06	VYDAJ	PREVOD NA UCET	1697	22982	SIPO	YZ	70699482
191432	650	1997-06-06	VYDAJ	PREVOD NA UCET	1697	22991	SIPO	YZ	70699482
191433	650	1997-07-06	VYDAJ	PREVOD NA UCET	1697	20004	SIPO	YZ	70699482
191434	650	1997-08-06	VYDAJ	PREVOD NA UCET	1697	23870	SIPO	YZ	70699482
191435	650	1997-09-06	VYDAJ	PREVOD NA UCET	1697	26688	SIPO	YZ	70699482
191436	650	1997-10-06	VYDAJ	PREVOD NA UCET	1697	28515	SIPO	YZ	70699482
191437	650	1997-11-06	VYDAJ	PREVOD NA UCET	1697	26844	SIPO	YZ	70699482
191438	650	1997-12-06	VYDAJ	PREVOD NA UCET	1697	29273	SIPO	YZ	70699482
191439	650	1998-01-06	VYDAJ	PREVOD NA UCET	1697	23998	SIPO	YZ	70699482
191440	650	1998-02-06	VYDAJ	PREVOD NA UCET	1697	19722	SIPO	YZ	70699482
191441	650	1998-03-06	VYDAJ	PREVOD NA UCET	1697	25027	SIPO	YZ	70699482
191442	650	1998-04-06	VYDAJ	PREVOD NA UCET	1697	26445	SIPO	YZ	70699482
191443	650	1998-05-06	VYDAJ	PREVOD NA UCET	1697	25521	SIPO	YZ	70699482
191444	650	1998-06-06	VYDAJ	PREVOD NA UCET	1697	23071	SIPO	YZ	70699482
191445	650	1998-07-06	VYDAJ	PREVOD NA UCET	1697	17012	SIPO	YZ	70699482
191446	650	1998-08-06	VYDAJ	PREVOD NA UCET	1697	21745	SIPO	YZ	70699482
191447	650	1998-09-06	VYDAJ	PREVOD NA UCET	1697	25159	SIPO	YZ	70699482
191448	650	1998-10-06	VYDAJ	PREVOD NA UCET	1697	28080	SIPO	YZ	70699482
191449	650	1998-11-06	VYDAJ	PREVOD NA UCET	1697	30110	SIPO	YZ	70699482
191450	650	1998-12-06	VYDAJ	PREVOD NA UCET	1697	28035	SIPO	YZ	70699482
191453	650	1997-06-25	VYDAJ	VYBER	7700	21605	\N	\N	\N
191454	650	1998-06-15	VYDAJ	VYBER	6350	18635	\N	\N	\N
191456	650	1996-01-11	VYDAJ	VYBER	800	29531	\N	\N	\N
191457	650	1997-01-04	VYDAJ	VYBER	3750	17938	\N	\N	\N
191458	650	1998-01-04	VYDAJ	VYBER	3850	27055	\N	\N	\N
191459	650	1995-12-07	VYDAJ	VYBER	600	21267	\N	\N	\N
191460	650	1996-12-16	VYDAJ	VYBER	1350	27163	\N	\N	\N
191461	650	1997-12-30	VYDAJ	VYBER	1300	30787	\N	\N	\N
191462	650	1998-12-20	VYDAJ	VYBER	1250	29499	\N	\N	\N
191469	650	1996-01-23	VYDAJ	VYBER	2000	25611	\N	\N	\N
191470	650	1996-01-29	VYDAJ	VYBER	1200	21931	\N	\N	\N
191471	650	1996-01-07	VYDAJ	VYBER	560	23417	\N	\N	\N
191472	650	1996-01-21	VYDAJ	VYBER	720	28811	\N	\N	\N
191473	650	1996-01-26	VYDAJ	VYBER	1280	23131	\N	\N	\N
191474	650	1996-01-25	VYDAJ	VYBER	1200	24411	\N	\N	\N
191475	650	1997-01-30	VYDAJ	VYBER	1600	15315	\N	\N	\N
191476	650	1997-01-24	VYDAJ	VYBER	1200	19315	\N	\N	\N
191477	650	1997-01-18	VYDAJ	VYBER	560	20515	\N	\N	\N
191478	650	1997-01-05	VYDAJ	VYBER	1680	16258	\N	\N	\N
191479	650	1997-01-27	VYDAJ	VYBER	480	18835	\N	\N	\N
191480	650	1997-01-29	VYDAJ	VYBER	1920	16915	\N	\N	\N
191481	650	1998-01-09	VYDAJ	VYBER	640	23358	\N	\N	\N
191482	650	1998-01-10	VYDAJ	VYBER	2080	28192	\N	\N	\N
191483	650	1998-01-21	VYDAJ	VYBER	2240	22452	\N	\N	\N
191484	650	1998-01-04	VYDAJ	VYBER	1360	25695	\N	\N	\N
191485	650	1998-01-25	VYDAJ	VYBER	1120	21332	\N	\N	\N
191486	650	1998-01-10	VYDAJ	VYBER	2000	26192	\N	\N	\N
191488	650	1995-07-27	VYDAJ	VYBER	3760	26031	\N	\N	\N
191489	650	1995-11-09	VYDAJ	VYBER	3760	19460	\N	\N	\N
191493	650	1996-12-19	VYDAJ	VYBER	1760	21603	\N	\N	\N
191494	650	1996-05-02	VYDAJ	VYBER	2320	21082	\N	\N	\N
191495	650	1996-02-26	VYDAJ	VYBER	480	24164	\N	\N	\N
191496	650	1996-07-25	VYDAJ	VYBER	880	24635	\N	\N	\N
191497	650	1996-10-04	VYDAJ	VYBER	560	23390	\N	\N	\N
191498	650	1996-08-06	VYDAJ	VYBER	1200	23535	\N	\N	\N
191499	650	1996-04-20	VYDAJ	VYBER	3680	27304	\N	\N	\N
191500	650	1997-10-27	VYDAJ	VYBER	2000	28429	\N	\N	\N
191501	650	1997-07-24	VYDAJ	VYBER	1440	25478	\N	\N	\N
191502	650	1997-03-04	VYDAJ	VYBER	2080	17880	\N	\N	\N
191503	650	1998-12-26	VYDAJ	VYBER	2160	27339	\N	\N	\N
191504	650	1998-05-16	VYDAJ	VYBER	1520	24675	\N	\N	\N
191505	650	1998-07-11	VYDAJ	VYBER	560	23366	\N	\N	\N
191506	650	1998-05-11	VYDAJ	VYBER	1840	30595	\N	\N	\N
191507	650	1998-04-06	VYDAJ	VYBER	3840	22605	\N	\N	\N
191514	650	1995-06-30	VYDAJ	VYBER	15	24574	SLUZBY	\N	\N
191515	650	1995-07-31	VYDAJ	VYBER	15	26132	SLUZBY	\N	\N
191516	650	1995-08-31	VYDAJ	VYBER	15	28256	SLUZBY	\N	\N
191517	650	1995-09-30	VYDAJ	VYBER	15	28888	SLUZBY	\N	\N
191518	650	1995-10-31	VYDAJ	VYBER	15	24917	SLUZBY	\N	\N
191519	650	1995-11-30	VYDAJ	VYBER	15	23564	SLUZBY	\N	\N
191520	650	1995-12-31	VYDAJ	VYBER	15	25674	SLUZBY	\N	\N
191521	650	1996-01-31	VYDAJ	VYBER	15	22027	SLUZBY	\N	\N
191522	650	1996-02-29	VYDAJ	VYBER	15	24253	SLUZBY	\N	\N
191523	650	1996-03-31	VYDAJ	VYBER	15	25767	SLUZBY	\N	\N
191524	650	1996-04-30	VYDAJ	VYBER	15	23402	SLUZBY	\N	\N
191525	650	1996-05-31	VYDAJ	VYBER	15	23884	SLUZBY	\N	\N
191526	650	1996-06-30	VYDAJ	VYBER	15	26398	SLUZBY	\N	\N
191527	650	1996-07-31	VYDAJ	VYBER	15	24735	SLUZBY	\N	\N
191528	650	1996-08-31	VYDAJ	VYBER	15	23343	SLUZBY	\N	\N
191529	650	1996-09-30	VYDAJ	VYBER	15	23950	SLUZBY	\N	\N
191530	650	1996-10-31	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
191531	650	1996-11-30	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
191532	650	1996-12-31	VYDAJ	VYBER	15	21688	SLUZBY	\N	\N
191533	650	1997-01-31	VYDAJ	VYBER	15	15381	SLUZBY	\N	\N
191534	650	1997-02-28	VYDAJ	VYBER	15	19960	SLUZBY	\N	\N
191535	650	1997-03-31	VYDAJ	VYBER	15	23172	SLUZBY	\N	\N
191536	650	1997-04-30	VYDAJ	VYBER	15	24679	SLUZBY	\N	\N
191537	650	1997-05-31	VYDAJ	VYBER	15	24688	SLUZBY	\N	\N
191538	650	1997-06-30	VYDAJ	VYBER	15	21701	SLUZBY	\N	\N
191539	650	1997-07-31	VYDAJ	VYBER	15	25567	SLUZBY	\N	\N
191540	650	1997-08-31	VYDAJ	VYBER	15	28385	SLUZBY	\N	\N
191541	650	1997-09-30	VYDAJ	VYBER	15	30212	SLUZBY	\N	\N
191542	650	1997-10-31	VYDAJ	VYBER	15	28541	SLUZBY	\N	\N
191543	650	1997-11-30	VYDAJ	VYBER	15	30970	SLUZBY	\N	\N
191544	650	1997-12-31	VYDAJ	VYBER	15	30905	SLUZBY	\N	\N
191545	650	1998-01-31	VYDAJ	VYBER	15	21419	SLUZBY	\N	\N
191546	650	1998-02-28	VYDAJ	VYBER	15	26724	SLUZBY	\N	\N
191547	650	1998-03-31	VYDAJ	VYBER	15	28142	SLUZBY	\N	\N
191548	650	1998-04-30	VYDAJ	VYBER	15	27218	SLUZBY	\N	\N
191549	650	1998-05-31	VYDAJ	VYBER	15	24768	SLUZBY	\N	\N
191550	650	1998-06-30	VYDAJ	VYBER	15	18709	SLUZBY	\N	\N
191551	650	1998-07-31	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
191552	650	1998-08-31	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
191553	650	1998-09-30	VYDAJ	VYBER	15	29777	SLUZBY	\N	\N
191554	650	1998-10-31	VYDAJ	VYBER	15	31807	SLUZBY	\N	\N
191555	650	1998-11-30	VYDAJ	VYBER	15	29732	SLUZBY	\N	\N
191556	650	1995-05-28	VYDAJ	VYBER	3400	25356	\N	\N	\N
191557	650	1995-06-27	VYDAJ	VYBER	7800	24484	\N	\N	\N
191558	650	1995-08-26	VYDAJ	VYBER	3200	28149	\N	\N	\N
191559	650	1995-09-25	VYDAJ	VYBER	4700	28773	\N	\N	\N
191560	650	1995-10-25	VYDAJ	VYBER	9300	24805	\N	\N	\N
191561	650	1995-11-24	VYDAJ	VYBER	2900	23474	\N	\N	\N
191562	650	1995-12-24	VYDAJ	VYBER	2600	25581	\N	\N	\N
191563	650	1996-01-23	VYDAJ	VYBER	1200	27611	\N	\N	\N
191564	650	1996-02-22	VYDAJ	VYBER	2600	24644	\N	\N	\N
191565	650	1996-03-23	VYDAJ	VYBER	3800	25670	\N	\N	\N
191566	650	1996-04-22	VYDAJ	VYBER	4000	23304	\N	\N	\N
191567	650	1996-05-22	VYDAJ	VYBER	2500	23799	\N	\N	\N
191568	650	1996-06-21	VYDAJ	VYBER	2800	26301	\N	\N	\N
191569	650	1996-07-21	VYDAJ	VYBER	6100	25515	\N	\N	\N
191570	650	1996-08-20	VYDAJ	VYBER	5500	23252	\N	\N	\N
191571	650	1996-09-19	VYDAJ	VYBER	4700	23860	\N	\N	\N
191572	650	1996-10-19	VYDAJ	VYBER	6200	22407	\N	\N	\N
191573	650	1996-11-18	VYDAJ	VYBER	4500	23211	\N	\N	\N
191574	650	1996-12-18	VYDAJ	VYBER	3800	23363	\N	\N	\N
191575	650	1997-01-17	VYDAJ	VYBER	400	21075	\N	\N	\N
191576	650	1997-02-16	VYDAJ	VYBER	700	19898	\N	\N	\N
191577	650	1997-04-17	VYDAJ	VYBER	3800	24589	\N	\N	\N
191578	650	1997-05-17	VYDAJ	VYBER	5300	24596	\N	\N	\N
191579	650	1997-06-16	VYDAJ	VYBER	600	29305	\N	\N	\N
191580	650	1997-08-15	VYDAJ	VYBER	2500	28284	\N	\N	\N
191581	650	1997-09-14	VYDAJ	VYBER	3500	30102	\N	\N	\N
191582	650	1997-10-14	VYDAJ	VYBER	5000	30429	\N	\N	\N
191583	650	1997-11-13	VYDAJ	VYBER	2900	30858	\N	\N	\N
191584	650	1997-12-13	VYDAJ	VYBER	4100	32087	\N	\N	\N
191585	650	1998-01-12	VYDAJ	VYBER	1500	24692	\N	\N	\N
191586	650	1998-03-13	VYDAJ	VYBER	3900	28041	\N	\N	\N
191587	650	1998-04-12	VYDAJ	VYBER	2400	27119	\N	\N	\N
191588	650	1998-05-12	VYDAJ	VYBER	4400	26195	\N	\N	\N
191589	650	1998-06-11	VYDAJ	VYBER	5000	24985	\N	\N	\N
191590	650	1998-08-10	VYDAJ	VYBER	1900	26759	\N	\N	\N
191591	650	1998-09-09	VYDAJ	VYBER	2400	22759	\N	\N	\N
191592	650	1998-10-09	VYDAJ	VYBER	3300	24780	\N	\N	\N
191593	650	1998-11-08	VYDAJ	VYBER	7400	22710	\N	\N	\N
191594	650	1998-12-08	VYDAJ	VYBER	4200	23835	\N	\N	\N
191639	651	1993-11-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
191651	651	1993-12-13	PRIJEM	VKLAD	30182	31282	\N	\N	\N
191652	651	1994-01-13	PRIJEM	VKLAD	20121	46217	\N	\N	\N
191653	651	1994-02-13	PRIJEM	VKLAD	20121	53351	\N	\N	\N
191654	651	1994-03-13	PRIJEM	VKLAD	20121	59613	\N	\N	\N
191655	651	1994-04-13	PRIJEM	VKLAD	20121	61799	\N	\N	\N
191656	651	1994-05-13	PRIJEM	VKLAD	20121	58899	\N	\N	\N
191657	651	1994-06-13	PRIJEM	VKLAD	30182	66154	\N	\N	\N
191658	651	1994-07-13	PRIJEM	VKLAD	20121	59079	\N	\N	\N
191659	651	1994-08-13	PRIJEM	VKLAD	20121	55876	\N	\N	\N
191660	651	1994-09-13	PRIJEM	VKLAD	20121	55055	\N	\N	\N
191661	651	1994-10-13	PRIJEM	VKLAD	20121	52998	\N	\N	\N
191662	651	1994-11-13	PRIJEM	VKLAD	20121	51750	\N	\N	\N
191663	651	1994-12-13	PRIJEM	VKLAD	30182	59272	\N	\N	\N
191664	651	1995-01-13	PRIJEM	VKLAD	20121	62053	\N	\N	\N
191665	651	1995-02-13	PRIJEM	VKLAD	20121	54673	\N	\N	\N
191666	651	1995-03-13	PRIJEM	VKLAD	20121	56723	\N	\N	\N
191667	651	1995-04-13	PRIJEM	VKLAD	20121	58140	\N	\N	\N
191668	651	1995-05-13	PRIJEM	VKLAD	20121	60009	\N	\N	\N
191669	651	1995-06-13	PRIJEM	VKLAD	30182	74567	\N	\N	\N
191670	651	1995-07-13	PRIJEM	VKLAD	20121	67991	\N	\N	\N
191671	651	1995-08-13	PRIJEM	VKLAD	20121	68317	\N	\N	\N
191672	651	1995-09-13	PRIJEM	VKLAD	20121	61032	\N	\N	\N
191673	651	1995-10-13	PRIJEM	VKLAD	20121	64528	\N	\N	\N
191674	651	1995-11-13	PRIJEM	VKLAD	20121	62829	\N	\N	\N
191675	651	1995-12-13	PRIJEM	VKLAD	30182	71730	\N	\N	\N
191676	651	1996-01-13	PRIJEM	VKLAD	20121	68543	\N	\N	\N
191677	651	1996-02-13	PRIJEM	VKLAD	20121	59798	\N	\N	\N
191678	651	1996-03-13	PRIJEM	VKLAD	20121	57763	\N	\N	\N
191679	651	1996-04-13	PRIJEM	VKLAD	20121	60809	\N	\N	\N
191680	651	1996-05-13	PRIJEM	VKLAD	20121	61340	\N	\N	\N
191681	651	1996-06-13	PRIJEM	VKLAD	30182	74091	\N	\N	\N
191682	651	1996-07-13	PRIJEM	VKLAD	20121	66114	\N	\N	\N
191683	651	1996-08-13	PRIJEM	VKLAD	20121	60594	\N	\N	\N
191684	651	1996-09-13	PRIJEM	VKLAD	20121	64584	\N	\N	\N
191685	651	1996-10-13	PRIJEM	VKLAD	20121	65886	\N	\N	\N
191686	651	1996-11-13	PRIJEM	VKLAD	20121	59223	\N	\N	\N
191687	651	1996-12-13	PRIJEM	VKLAD	30182	72322	\N	\N	\N
191688	651	1997-01-13	PRIJEM	VKLAD	20121	72677	\N	\N	\N
191689	651	1997-02-13	PRIJEM	VKLAD	20121	63406	\N	\N	\N
191690	651	1997-03-13	PRIJEM	VKLAD	20121	66572	\N	\N	\N
191691	651	1997-04-13	PRIJEM	VKLAD	20121	69617	\N	\N	\N
191692	651	1997-05-13	PRIJEM	VKLAD	20121	64122	\N	\N	\N
191693	651	1997-06-13	PRIJEM	VKLAD	30182	71859	\N	\N	\N
191694	651	1997-07-13	PRIJEM	VKLAD	20121	74322	\N	\N	\N
191695	651	1997-08-13	PRIJEM	VKLAD	20121	76207	\N	\N	\N
191696	651	1997-09-13	PRIJEM	VKLAD	20121	79992	\N	\N	\N
191697	651	1997-10-13	PRIJEM	VKLAD	20121	75897	\N	\N	\N
191698	651	1997-11-13	PRIJEM	VKLAD	20121	74446	\N	\N	\N
191699	651	1997-12-13	PRIJEM	VKLAD	30182	87171	\N	\N	\N
191700	651	1998-01-13	PRIJEM	VKLAD	20121	87691	\N	\N	\N
191701	651	1998-02-13	PRIJEM	VKLAD	20121	82563	\N	\N	\N
191702	651	1998-03-13	PRIJEM	VKLAD	20121	84779	\N	\N	\N
191703	651	1998-04-13	PRIJEM	VKLAD	20121	89705	\N	\N	\N
191704	651	1998-05-13	PRIJEM	VKLAD	20121	91547	\N	\N	\N
191705	651	1998-06-13	PRIJEM	VKLAD	30182	91868	\N	\N	\N
191706	651	1998-07-13	PRIJEM	VKLAD	20121	93596	\N	\N	\N
191707	651	1998-08-13	PRIJEM	VKLAD	20121	99358	\N	\N	\N
191708	651	1998-09-13	PRIJEM	VKLAD	20121	101033	\N	\N	\N
191709	651	1998-10-13	PRIJEM	VKLAD	20121	104877	\N	\N	\N
191710	651	1998-11-13	PRIJEM	VKLAD	20121	108779	\N	\N	\N
191711	651	1998-12-13	PRIJEM	VKLAD	30182	120861	\N	\N	\N
191727	651	1994-04-13	VYDAJ	PREVOD NA UCET	2652	59147	SIPO	QR	14427155
191728	651	1994-05-13	VYDAJ	PREVOD NA UCET	2652	56247	SIPO	QR	14427155
191729	651	1994-06-13	VYDAJ	PREVOD NA UCET	2652	63502	SIPO	QR	14427155
191730	651	1994-07-13	VYDAJ	PREVOD NA UCET	2652	56427	SIPO	QR	14427155
191731	651	1994-08-13	VYDAJ	PREVOD NA UCET	2652	53224	SIPO	QR	14427155
191732	651	1994-09-13	VYDAJ	PREVOD NA UCET	2652	52403	SIPO	QR	14427155
191733	651	1994-10-13	VYDAJ	PREVOD NA UCET	2652	50346	SIPO	QR	14427155
191734	651	1994-11-13	VYDAJ	PREVOD NA UCET	2652	49098	SIPO	QR	14427155
191735	651	1994-12-13	VYDAJ	PREVOD NA UCET	2652	56620	SIPO	QR	14427155
191736	651	1995-01-13	VYDAJ	PREVOD NA UCET	2652	59401	SIPO	QR	14427155
191737	651	1995-02-13	VYDAJ	PREVOD NA UCET	2652	52021	SIPO	QR	14427155
191738	651	1995-03-13	VYDAJ	PREVOD NA UCET	2652	54071	SIPO	QR	14427155
191739	651	1995-04-13	VYDAJ	PREVOD NA UCET	2652	55488	SIPO	QR	14427155
191740	651	1995-05-13	VYDAJ	PREVOD NA UCET	2652	57357	SIPO	QR	14427155
191741	651	1995-06-13	VYDAJ	PREVOD NA UCET	2652	71915	SIPO	QR	14427155
191742	651	1995-07-13	VYDAJ	PREVOD NA UCET	2652	65339	SIPO	QR	14427155
191743	651	1995-08-13	VYDAJ	PREVOD NA UCET	2652	65665	SIPO	QR	14427155
191744	651	1995-09-13	VYDAJ	PREVOD NA UCET	2652	58380	SIPO	QR	14427155
191745	651	1995-10-13	VYDAJ	PREVOD NA UCET	2652	61876	SIPO	QR	14427155
191746	651	1995-11-13	VYDAJ	PREVOD NA UCET	2652	60177	SIPO	QR	14427155
191747	651	1995-12-13	VYDAJ	PREVOD NA UCET	2652	69078	SIPO	QR	14427155
191748	651	1996-01-13	VYDAJ	PREVOD NA UCET	2652	65891	SIPO	QR	14427155
191749	651	1996-02-13	VYDAJ	PREVOD NA UCET	2652	57146	SIPO	QR	14427155
191750	651	1996-03-13	VYDAJ	PREVOD NA UCET	2652	55111	SIPO	QR	14427155
191751	651	1996-04-13	VYDAJ	PREVOD NA UCET	2652	58157	SIPO	QR	14427155
191752	651	1996-05-13	VYDAJ	PREVOD NA UCET	2652	58688	SIPO	QR	14427155
191753	651	1996-06-13	VYDAJ	PREVOD NA UCET	2652	71439	SIPO	QR	14427155
191754	651	1996-07-13	VYDAJ	PREVOD NA UCET	2652	63462	SIPO	QR	14427155
191755	651	1996-08-13	VYDAJ	PREVOD NA UCET	2652	57942	SIPO	QR	14427155
191756	651	1996-09-13	VYDAJ	PREVOD NA UCET	2652	49632	SIPO	QR	14427155
191757	651	1996-10-13	VYDAJ	PREVOD NA UCET	2652	48834	SIPO	QR	14427155
191758	651	1996-11-13	VYDAJ	PREVOD NA UCET	2652	56571	SIPO	QR	14427155
191759	651	1996-12-13	VYDAJ	PREVOD NA UCET	2652	69670	SIPO	QR	14427155
191760	651	1997-01-13	VYDAJ	PREVOD NA UCET	2652	70025	SIPO	QR	14427155
191761	651	1997-02-13	VYDAJ	PREVOD NA UCET	2652	60754	SIPO	QR	14427155
191762	651	1997-03-13	VYDAJ	PREVOD NA UCET	2652	63920	SIPO	QR	14427155
191763	651	1997-04-13	VYDAJ	PREVOD NA UCET	2652	66965	SIPO	QR	14427155
191764	651	1997-05-13	VYDAJ	PREVOD NA UCET	2652	61470	SIPO	QR	14427155
191765	651	1997-06-13	VYDAJ	PREVOD NA UCET	2652	69207	SIPO	QR	14427155
191766	651	1997-07-13	VYDAJ	PREVOD NA UCET	2652	71670	SIPO	QR	14427155
191767	651	1997-08-13	VYDAJ	PREVOD NA UCET	2652	73555	SIPO	QR	14427155
191768	651	1997-09-13	VYDAJ	PREVOD NA UCET	2652	77340	SIPO	QR	14427155
191769	651	1997-10-13	VYDAJ	PREVOD NA UCET	2652	73245	SIPO	QR	14427155
191770	651	1997-11-13	VYDAJ	PREVOD NA UCET	2652	71794	SIPO	QR	14427155
191771	651	1997-12-13	VYDAJ	PREVOD NA UCET	2652	84519	SIPO	QR	14427155
191772	651	1998-01-13	VYDAJ	PREVOD NA UCET	2652	85039	SIPO	QR	14427155
191773	651	1998-02-13	VYDAJ	PREVOD NA UCET	2652	79911	SIPO	QR	14427155
191774	651	1998-03-13	VYDAJ	PREVOD NA UCET	2652	82127	SIPO	QR	14427155
191775	651	1998-04-13	VYDAJ	PREVOD NA UCET	2652	87053	SIPO	QR	14427155
191776	651	1998-05-13	VYDAJ	PREVOD NA UCET	2652	88895	SIPO	QR	14427155
191777	651	1998-06-13	VYDAJ	PREVOD NA UCET	2652	89216	SIPO	QR	14427155
191778	651	1998-07-13	VYDAJ	PREVOD NA UCET	2652	90944	SIPO	QR	14427155
191779	651	1998-08-13	VYDAJ	PREVOD NA UCET	2652	96706	SIPO	QR	14427155
191780	651	1998-09-13	VYDAJ	PREVOD NA UCET	2652	98381	SIPO	QR	14427155
191781	651	1998-10-13	VYDAJ	PREVOD NA UCET	2652	102225	SIPO	QR	14427155
191782	651	1998-11-13	VYDAJ	PREVOD NA UCET	2652	106127	SIPO	QR	14427155
191783	651	1998-12-13	VYDAJ	PREVOD NA UCET	2652	118209	SIPO	QR	14427155
191800	651	1994-05-09	VYDAJ	PREVOD NA UCET	4062	38778	 	CD	54411101
191801	651	1994-06-09	VYDAJ	PREVOD NA UCET	4062	35972	 	CD	54411101
191802	651	1994-07-09	VYDAJ	PREVOD NA UCET	4062	38958	 	CD	54411101
191803	651	1994-08-09	VYDAJ	PREVOD NA UCET	4062	35755	 	CD	54411101
191804	651	1994-09-09	VYDAJ	PREVOD NA UCET	4062	34934	 	CD	54411101
191805	651	1994-10-09	VYDAJ	PREVOD NA UCET	4062	37917	 	CD	54411101
191806	651	1994-11-09	VYDAJ	PREVOD NA UCET	4062	31629	 	CD	54411101
191807	651	1994-12-09	VYDAJ	PREVOD NA UCET	4062	33090	 	CD	54411101
191808	651	1995-01-09	VYDAJ	PREVOD NA UCET	4062	41932	 	CD	54411101
191809	651	1995-02-09	VYDAJ	PREVOD NA UCET	4062	34552	 	CD	54411101
191810	651	1995-03-09	VYDAJ	PREVOD NA UCET	4062	36602	 	CD	54411101
191811	651	1995-04-09	VYDAJ	PREVOD NA UCET	4062	38019	 	CD	54411101
191812	651	1995-05-09	VYDAJ	PREVOD NA UCET	4062	39888	 	CD	54411101
191813	651	1995-06-09	VYDAJ	PREVOD NA UCET	4062	44385	 	CD	54411101
191814	651	1995-07-09	VYDAJ	PREVOD NA UCET	4062	47870	 	CD	54411101
191815	651	1995-08-09	VYDAJ	PREVOD NA UCET	4062	48196	 	CD	54411101
191816	651	1995-09-09	VYDAJ	PREVOD NA UCET	4062	40911	 	CD	54411101
191817	651	1995-10-09	VYDAJ	PREVOD NA UCET	4062	44407	 	CD	54411101
191818	651	1995-11-09	VYDAJ	PREVOD NA UCET	4062	42708	 	CD	54411101
191819	651	1995-12-09	VYDAJ	PREVOD NA UCET	4062	41548	 	CD	54411101
191820	651	1996-01-09	VYDAJ	PREVOD NA UCET	4062	48422	 	CD	54411101
191821	651	1996-02-09	VYDAJ	PREVOD NA UCET	4062	39677	 	CD	54411101
191822	651	1996-03-09	VYDAJ	PREVOD NA UCET	4062	37642	 	CD	54411101
191823	651	1996-04-09	VYDAJ	PREVOD NA UCET	4062	42728	 	CD	54411101
191824	651	1996-05-09	VYDAJ	PREVOD NA UCET	4062	41219	 	CD	54411101
191825	651	1996-06-09	VYDAJ	PREVOD NA UCET	4062	43910	 	CD	54411101
191826	651	1996-07-09	VYDAJ	PREVOD NA UCET	4062	45993	 	CD	54411101
191827	651	1996-08-09	VYDAJ	PREVOD NA UCET	4062	40473	 	CD	54411101
191828	651	1996-09-09	VYDAJ	PREVOD NA UCET	4062	44463	 	CD	54411101
191829	651	1996-10-09	VYDAJ	PREVOD NA UCET	4062	45765	 	CD	54411101
191830	651	1996-11-09	VYDAJ	PREVOD NA UCET	4062	45002	 	CD	54411101
191831	651	1996-12-09	VYDAJ	PREVOD NA UCET	4062	48241	 	CD	54411101
191832	651	1997-01-09	VYDAJ	PREVOD NA UCET	4062	65856	 	CD	54411101
191833	651	1997-02-09	VYDAJ	PREVOD NA UCET	4062	49585	 	CD	54411101
191834	651	1997-03-09	VYDAJ	PREVOD NA UCET	4062	53551	 	CD	54411101
191835	651	1997-04-09	VYDAJ	PREVOD NA UCET	4062	60096	 	CD	54411101
191836	651	1997-05-09	VYDAJ	PREVOD NA UCET	4062	53301	 	CD	54411101
191837	651	1997-06-09	VYDAJ	PREVOD NA UCET	4062	57637	 	CD	54411101
191838	651	1997-07-09	VYDAJ	PREVOD NA UCET	4062	65401	 	CD	54411101
191839	651	1997-08-09	VYDAJ	PREVOD NA UCET	4062	67886	 	CD	54411101
191840	651	1997-09-09	VYDAJ	PREVOD NA UCET	4062	59871	 	CD	54411101
191841	651	1997-10-09	VYDAJ	PREVOD NA UCET	4062	55776	 	CD	54411101
191842	651	1997-11-09	VYDAJ	PREVOD NA UCET	4062	54325	 	CD	54411101
191843	651	1997-12-09	VYDAJ	PREVOD NA UCET	4062	58109	 	CD	54411101
191844	651	1998-01-09	VYDAJ	PREVOD NA UCET	4062	67570	 	CD	54411101
191845	651	1998-02-09	VYDAJ	PREVOD NA UCET	4062	62442	 	CD	54411101
191846	651	1998-03-09	VYDAJ	PREVOD NA UCET	4062	64658	 	CD	54411101
191847	651	1998-04-09	VYDAJ	PREVOD NA UCET	4062	69584	 	CD	54411101
191848	651	1998-05-09	VYDAJ	PREVOD NA UCET	4062	71426	 	CD	54411101
191849	651	1998-06-09	VYDAJ	PREVOD NA UCET	4062	61687	 	CD	54411101
191850	651	1998-07-09	VYDAJ	PREVOD NA UCET	4062	73475	 	CD	54411101
191851	651	1998-08-09	VYDAJ	PREVOD NA UCET	4062	79237	 	CD	54411101
191852	651	1998-09-09	VYDAJ	PREVOD NA UCET	4062	80912	 	CD	54411101
191853	651	1998-10-09	VYDAJ	PREVOD NA UCET	4062	84756	 	CD	54411101
191854	651	1998-11-09	VYDAJ	PREVOD NA UCET	4062	88658	 	CD	54411101
191855	651	1998-12-09	VYDAJ	PREVOD NA UCET	4062	90679	 	CD	54411101
191857	651	1994-06-24	VYDAJ	VYBER	6880	56622	\N	\N	\N
191859	651	1996-06-15	VYDAJ	VYBER	6080	49859	\N	\N	\N
191860	651	1997-06-10	VYDAJ	VYBER	16960	41677	\N	\N	\N
191861	651	1998-06-04	VYDAJ	VYBER	12480	71949	\N	\N	\N
191864	651	1995-01-15	VYDAJ	VYBER	10560	48841	\N	\N	\N
191865	651	1996-01-30	VYDAJ	VYBER	8960	43531	\N	\N	\N
191866	651	1997-01-27	VYDAJ	VYBER	12320	57705	\N	\N	\N
191867	651	1998-01-26	VYDAJ	VYBER	6560	78479	\N	\N	\N
191869	651	1994-12-09	VYDAJ	VYBER	4000	29090	\N	\N	\N
191870	651	1995-12-08	VYDAJ	VYBER	3360	45610	\N	\N	\N
191871	651	1996-12-08	VYDAJ	VYBER	4480	52303	\N	\N	\N
191872	651	1997-12-12	VYDAJ	VYBER	1120	56989	\N	\N	\N
191873	651	1998-12-24	VYDAJ	VYBER	2720	43929	\N	\N	\N
191879	651	1994-10-12	VYDAJ	VYBER	5040	32877	\N	\N	\N
191880	651	1994-10-26	VYDAJ	VYBER	4320	35526	\N	\N	\N
191882	651	1995-05-04	VYDAJ	VYBER	1920	43950	\N	\N	\N
191883	651	1995-02-20	VYDAJ	VYBER	2880	45901	\N	\N	\N
191884	651	1995-08-27	VYDAJ	VYBER	5400	44765	\N	\N	\N
191885	651	1995-02-19	VYDAJ	VYBER	3240	48781	\N	\N	\N
191886	651	1995-03-15	VYDAJ	VYBER	4560	49511	\N	\N	\N
191887	651	1996-03-05	VYDAJ	VYBER	4320	41704	\N	\N	\N
191888	651	1996-05-08	VYDAJ	VYBER	2160	45281	\N	\N	\N
191889	651	1996-08-03	VYDAJ	VYBER	4320	44535	\N	\N	\N
191890	651	1996-04-10	VYDAJ	VYBER	2040	40688	\N	\N	\N
191891	651	1997-02-06	VYDAJ	VYBER	4320	53647	\N	\N	\N
191892	651	1997-10-30	VYDAJ	VYBER	2040	71205	\N	\N	\N
191893	651	1997-04-17	VYDAJ	VYBER	4080	62885	\N	\N	\N
191894	651	1997-02-17	VYDAJ	VYBER	3360	57394	\N	\N	\N
191895	651	1997-04-22	VYDAJ	VYBER	5760	57125	\N	\N	\N
191896	651	1998-12-14	VYDAJ	VYBER	3720	50489	\N	\N	\N
191897	651	1998-06-01	VYDAJ	VYBER	1800	84429	\N	\N	\N
191898	651	1998-09-21	VYDAJ	VYBER	3840	94541	\N	\N	\N
191899	651	1998-12-16	VYDAJ	VYBER	3840	46649	\N	\N	\N
191900	651	1998-05-15	VYDAJ	VYBER	3000	85895	\N	\N	\N
191917	651	1994-04-30	VYDAJ	VYBER	15	42840	SLUZBY	\N	\N
191918	651	1994-05-31	VYDAJ	VYBER	15	40034	SLUZBY	\N	\N
191919	651	1994-06-30	VYDAJ	VYBER	15	43020	SLUZBY	\N	\N
191920	651	1994-07-31	VYDAJ	VYBER	15	39817	SLUZBY	\N	\N
191921	651	1994-08-31	VYDAJ	VYBER	15	38996	SLUZBY	\N	\N
191922	651	1994-09-30	VYDAJ	VYBER	15	41979	SLUZBY	\N	\N
191923	651	1994-10-31	VYDAJ	VYBER	15	35691	SLUZBY	\N	\N
191924	651	1994-11-30	VYDAJ	VYBER	15	37152	SLUZBY	\N	\N
191925	651	1994-12-31	VYDAJ	VYBER	15	45994	SLUZBY	\N	\N
191926	651	1995-01-31	VYDAJ	VYBER	15	38614	SLUZBY	\N	\N
191927	651	1995-02-28	VYDAJ	VYBER	15	40664	SLUZBY	\N	\N
191928	651	1995-03-31	VYDAJ	VYBER	15	42081	SLUZBY	\N	\N
191929	651	1995-04-30	VYDAJ	VYBER	15	45870	SLUZBY	\N	\N
191930	651	1995-05-31	VYDAJ	VYBER	15	48447	SLUZBY	\N	\N
191931	651	1995-06-30	VYDAJ	VYBER	15	51932	SLUZBY	\N	\N
191932	651	1995-07-31	VYDAJ	VYBER	15	52258	SLUZBY	\N	\N
191933	651	1995-08-31	VYDAJ	VYBER	15	44973	SLUZBY	\N	\N
191934	651	1995-09-30	VYDAJ	VYBER	15	48469	SLUZBY	\N	\N
191935	651	1995-10-31	VYDAJ	VYBER	15	46770	SLUZBY	\N	\N
191936	651	1995-11-30	VYDAJ	VYBER	15	48970	SLUZBY	\N	\N
191937	651	1995-12-31	VYDAJ	VYBER	15	52484	SLUZBY	\N	\N
191938	651	1996-01-31	VYDAJ	VYBER	15	43739	SLUZBY	\N	\N
191939	651	1996-02-29	VYDAJ	VYBER	15	46024	SLUZBY	\N	\N
191940	651	1996-03-31	VYDAJ	VYBER	15	46790	SLUZBY	\N	\N
191941	651	1996-04-30	VYDAJ	VYBER	15	47441	SLUZBY	\N	\N
191942	651	1996-05-31	VYDAJ	VYBER	15	47972	SLUZBY	\N	\N
191943	651	1996-06-30	VYDAJ	VYBER	15	50055	SLUZBY	\N	\N
191944	651	1996-07-31	VYDAJ	VYBER	15	48855	SLUZBY	\N	\N
191945	651	1996-08-31	VYDAJ	VYBER	15	48525	SLUZBY	\N	\N
191946	651	1996-09-30	VYDAJ	VYBER	15	49827	SLUZBY	\N	\N
191947	651	1996-10-31	VYDAJ	VYBER	15	49064	SLUZBY	\N	\N
191948	651	1996-11-30	VYDAJ	VYBER	15	56783	SLUZBY	\N	\N
191949	651	1996-12-31	VYDAJ	VYBER	15	69918	SLUZBY	\N	\N
191950	651	1997-01-31	VYDAJ	VYBER	15	57967	SLUZBY	\N	\N
191951	651	1997-02-28	VYDAJ	VYBER	15	57613	SLUZBY	\N	\N
191952	651	1997-03-31	VYDAJ	VYBER	15	64158	SLUZBY	\N	\N
191953	651	1997-04-30	VYDAJ	VYBER	15	57363	SLUZBY	\N	\N
191954	651	1997-05-31	VYDAJ	VYBER	15	61699	SLUZBY	\N	\N
191955	651	1997-06-30	VYDAJ	VYBER	15	69463	SLUZBY	\N	\N
191956	651	1997-07-31	VYDAJ	VYBER	15	71948	SLUZBY	\N	\N
191957	651	1997-08-31	VYDAJ	VYBER	15	73833	SLUZBY	\N	\N
191958	651	1997-09-30	VYDAJ	VYBER	15	77638	SLUZBY	\N	\N
191959	651	1997-10-31	VYDAJ	VYBER	15	71487	SLUZBY	\N	\N
191960	651	1997-11-30	VYDAJ	VYBER	15	72071	SLUZBY	\N	\N
191961	651	1997-12-31	VYDAJ	VYBER	15	84832	SLUZBY	\N	\N
191962	651	1998-01-31	VYDAJ	VYBER	15	78804	SLUZBY	\N	\N
191963	651	1998-02-28	VYDAJ	VYBER	15	80220	SLUZBY	\N	\N
191964	651	1998-03-31	VYDAJ	VYBER	15	82446	SLUZBY	\N	\N
191965	651	1998-04-30	VYDAJ	VYBER	15	87388	SLUZBY	\N	\N
191966	651	1998-05-31	VYDAJ	VYBER	15	86229	SLUZBY	\N	\N
191967	651	1998-06-30	VYDAJ	VYBER	15	89537	SLUZBY	\N	\N
191968	651	1998-07-31	VYDAJ	VYBER	15	91299	SLUZBY	\N	\N
191969	651	1998-08-31	VYDAJ	VYBER	15	97074	SLUZBY	\N	\N
191970	651	1998-09-30	VYDAJ	VYBER	15	94918	SLUZBY	\N	\N
191971	651	1998-10-31	VYDAJ	VYBER	15	102620	SLUZBY	\N	\N
191972	651	1998-11-30	VYDAJ	VYBER	15	106541	SLUZBY	\N	\N
191973	651	1993-12-28	VYDAJ	VYBER	5200	26082	\N	\N	\N
191974	651	1994-01-27	VYDAJ	VYBER	13100	33117	\N	\N	\N
191975	651	1994-02-26	VYDAJ	VYBER	14000	39351	\N	\N	\N
191976	651	1994-03-28	VYDAJ	VYBER	18100	41513	\N	\N	\N
191977	651	1994-04-27	VYDAJ	VYBER	16500	42647	\N	\N	\N
191978	651	1994-05-27	VYDAJ	VYBER	16400	39847	\N	\N	\N
191979	651	1994-06-26	VYDAJ	VYBER	13800	42822	\N	\N	\N
191980	651	1994-07-26	VYDAJ	VYBER	16800	39627	\N	\N	\N
191981	651	1994-08-25	VYDAJ	VYBER	14400	38824	\N	\N	\N
191982	651	1994-09-24	VYDAJ	VYBER	10600	41803	\N	\N	\N
191983	651	1994-10-24	VYDAJ	VYBER	10500	39846	\N	\N	\N
191984	651	1994-11-23	VYDAJ	VYBER	12100	36998	\N	\N	\N
191985	651	1994-12-23	VYDAJ	VYBER	10800	45820	\N	\N	\N
191986	651	1995-01-22	VYDAJ	VYBER	10400	38441	\N	\N	\N
191987	651	1995-02-21	VYDAJ	VYBER	5400	40501	\N	\N	\N
191988	651	1995-03-23	VYDAJ	VYBER	7600	41911	\N	\N	\N
191989	651	1995-04-22	VYDAJ	VYBER	9800	45688	\N	\N	\N
191990	651	1995-05-22	VYDAJ	VYBER	9100	48257	\N	\N	\N
191991	651	1995-06-21	VYDAJ	VYBER	20200	51715	\N	\N	\N
191992	651	1995-07-21	VYDAJ	VYBER	13300	52039	\N	\N	\N
191993	651	1995-08-20	VYDAJ	VYBER	15500	50165	\N	\N	\N
191994	651	1995-09-19	VYDAJ	VYBER	10100	48280	\N	\N	\N
191995	651	1995-10-19	VYDAJ	VYBER	15300	46576	\N	\N	\N
191996	651	1995-11-18	VYDAJ	VYBER	11400	48777	\N	\N	\N
191997	651	1995-12-18	VYDAJ	VYBER	16800	52278	\N	\N	\N
191998	651	1996-01-17	VYDAJ	VYBER	13400	52491	\N	\N	\N
191999	651	1996-02-16	VYDAJ	VYBER	11300	45846	\N	\N	\N
192000	651	1996-03-17	VYDAJ	VYBER	8500	46611	\N	\N	\N
192001	651	1996-04-16	VYDAJ	VYBER	10900	47257	\N	\N	\N
192002	651	1996-05-16	VYDAJ	VYBER	10900	47788	\N	\N	\N
192003	651	1996-06-15	VYDAJ	VYBER	15500	55939	\N	\N	\N
192004	651	1996-07-15	VYDAJ	VYBER	14800	48662	\N	\N	\N
192005	651	1996-08-14	VYDAJ	VYBER	9600	48342	\N	\N	\N
192006	651	1996-09-13	VYDAJ	VYBER	12300	52284	\N	\N	\N
192007	651	1996-10-13	VYDAJ	VYBER	14400	51486	\N	\N	\N
192008	651	1996-11-12	VYDAJ	VYBER	5900	39102	\N	\N	\N
192009	651	1996-12-12	VYDAJ	VYBER	6100	42141	\N	\N	\N
192010	651	1997-01-11	VYDAJ	VYBER	13300	52556	\N	\N	\N
192011	651	1997-02-10	VYDAJ	VYBER	6300	43285	\N	\N	\N
192012	651	1997-03-12	VYDAJ	VYBER	7100	46451	\N	\N	\N
192013	651	1997-04-11	VYDAJ	VYBER	10600	49496	\N	\N	\N
192014	651	1997-05-11	VYDAJ	VYBER	9300	44001	\N	\N	\N
192015	651	1997-06-10	PRIJEM	VKLAD	1000	58637	\N	\N	\N
192016	651	1997-07-10	VYDAJ	VYBER	11200	54201	\N	\N	\N
192017	651	1997-08-09	VYDAJ	VYBER	11800	56086	\N	\N	\N
192018	651	1997-09-08	VYDAJ	VYBER	9900	63933	\N	\N	\N
192019	651	1997-10-08	VYDAJ	VYBER	17800	59838	\N	\N	\N
192020	651	1997-11-07	VYDAJ	VYBER	13100	58387	\N	\N	\N
192021	651	1997-12-07	VYDAJ	VYBER	9900	62171	\N	\N	\N
192022	651	1998-01-06	VYDAJ	VYBER	13200	71632	\N	\N	\N
192023	651	1998-02-05	VYDAJ	VYBER	12300	66504	\N	\N	\N
192024	651	1998-03-07	VYDAJ	VYBER	11500	68720	\N	\N	\N
192025	651	1998-04-06	VYDAJ	VYBER	8800	73646	\N	\N	\N
192026	651	1998-05-06	VYDAJ	VYBER	11900	75488	\N	\N	\N
192027	651	1998-06-05	VYDAJ	VYBER	6200	65749	\N	\N	\N
192028	651	1998-07-05	VYDAJ	VYBER	12000	77537	\N	\N	\N
192029	651	1998-08-04	VYDAJ	VYBER	8000	83299	\N	\N	\N
192030	651	1998-09-03	VYDAJ	VYBER	12100	84974	\N	\N	\N
192031	651	1998-10-03	VYDAJ	VYBER	6100	88818	\N	\N	\N
192032	651	1998-11-02	VYDAJ	VYBER	9900	92720	\N	\N	\N
192033	651	1998-12-02	VYDAJ	VYBER	11800	94741	\N	\N	\N
192034	651	1998-12-13	VYDAJ	VYBER	64000	54209	\N	\N	\N
192096	652	1993-01-05	PRIJEM	VKLAD	700	700	\N	\N	\N
192097	652	1993-01-09	PRIJEM	VKLAD	13851	14551	\N	\N	\N
192098	652	1993-02-09	PRIJEM	VKLAD	13851	31347	\N	\N	\N
192099	652	1993-03-09	PRIJEM	VKLAD	13851	40509	\N	\N	\N
192100	652	1993-04-09	PRIJEM	VKLAD	13851	46719	\N	\N	\N
192101	652	1993-05-09	PRIJEM	VKLAD	13851	50457	\N	\N	\N
192102	652	1993-06-09	PRIJEM	VKLAD	20776	54113	\N	\N	\N
192103	652	1993-07-09	PRIJEM	VKLAD	13851	49270	\N	\N	\N
192104	652	1993-08-09	PRIJEM	VKLAD	13851	45243	\N	\N	\N
192105	652	1993-09-09	PRIJEM	VKLAD	13851	46648	\N	\N	\N
192106	652	1993-10-09	PRIJEM	VKLAD	13851	45957	\N	\N	\N
192107	652	1993-11-09	PRIJEM	VKLAD	13851	42718	\N	\N	\N
192108	652	1993-12-09	PRIJEM	VKLAD	20776	47448	\N	\N	\N
192109	652	1994-01-09	PRIJEM	VKLAD	13851	41410	\N	\N	\N
192110	652	1994-02-09	PRIJEM	VKLAD	13851	43634	\N	\N	\N
192111	652	1994-03-09	PRIJEM	VKLAD	13851	45121	\N	\N	\N
192112	652	1994-04-09	PRIJEM	VKLAD	13851	45522	\N	\N	\N
192113	652	1994-05-09	PRIJEM	VKLAD	13851	45916	\N	\N	\N
192114	652	1994-06-09	PRIJEM	VKLAD	20776	49373	\N	\N	\N
192115	652	1994-07-09	PRIJEM	VKLAD	13851	35044	\N	\N	\N
192116	652	1994-08-09	PRIJEM	VKLAD	13851	42395	\N	\N	\N
192117	652	1994-09-09	PRIJEM	VKLAD	13851	44365	\N	\N	\N
192118	652	1994-10-09	PRIJEM	VKLAD	13851	44210	\N	\N	\N
192119	652	1994-11-09	PRIJEM	VKLAD	13851	47998	\N	\N	\N
192120	652	1994-12-09	PRIJEM	VKLAD	20776	55823	\N	\N	\N
192121	652	1995-01-09	PRIJEM	VKLAD	13851	41944	\N	\N	\N
192122	652	1995-02-09	PRIJEM	VKLAD	13851	48438	\N	\N	\N
192123	652	1995-03-09	PRIJEM	VKLAD	13851	49638	\N	\N	\N
192124	652	1995-04-09	PRIJEM	VKLAD	13851	52647	\N	\N	\N
192125	652	1995-05-09	PRIJEM	VKLAD	13851	50519	\N	\N	\N
192126	652	1995-06-09	PRIJEM	VKLAD	20776	59862	\N	\N	\N
192127	652	1995-07-09	PRIJEM	VKLAD	13851	48879	\N	\N	\N
192128	652	1995-08-09	PRIJEM	VKLAD	13851	51483	\N	\N	\N
192129	652	1995-09-09	PRIJEM	VKLAD	13851	48838	\N	\N	\N
192130	652	1995-10-09	PRIJEM	VKLAD	13851	55957	\N	\N	\N
192131	652	1995-11-09	PRIJEM	VKLAD	13851	57865	\N	\N	\N
192132	652	1995-12-09	PRIJEM	VKLAD	20776	66128	\N	\N	\N
192133	652	1996-01-09	PRIJEM	VKLAD	13851	60952	\N	\N	\N
192134	652	1996-02-09	PRIJEM	VKLAD	13851	60410	\N	\N	\N
192135	652	1996-03-09	PRIJEM	VKLAD	13851	64361	\N	\N	\N
192136	652	1996-04-09	PRIJEM	VKLAD	13851	66325	\N	\N	\N
192137	652	1996-05-09	PRIJEM	VKLAD	13851	66138	\N	\N	\N
192138	652	1996-06-09	PRIJEM	VKLAD	20776	74038	\N	\N	\N
192139	652	1996-07-09	PRIJEM	VKLAD	13851	61805	\N	\N	\N
192140	652	1996-08-09	PRIJEM	VKLAD	13851	65259	\N	\N	\N
192141	652	1996-09-09	PRIJEM	VKLAD	13851	65722	\N	\N	\N
192142	652	1996-10-09	PRIJEM	VKLAD	13851	61540	\N	\N	\N
192143	652	1996-11-09	PRIJEM	VKLAD	13851	63188	\N	\N	\N
192144	652	1996-12-09	PRIJEM	VKLAD	20776	72972	\N	\N	\N
192145	652	1997-01-09	PRIJEM	VKLAD	13851	60346	\N	\N	\N
192146	652	1997-02-09	PRIJEM	VKLAD	13851	67514	\N	\N	\N
192147	652	1997-03-09	PRIJEM	VKLAD	13851	65014	\N	\N	\N
192148	652	1997-04-09	PRIJEM	VKLAD	13851	67278	\N	\N	\N
192149	652	1997-05-09	PRIJEM	VKLAD	13851	63618	\N	\N	\N
192150	652	1997-06-09	PRIJEM	VKLAD	20776	61479	\N	\N	\N
192151	652	1997-07-09	PRIJEM	VKLAD	13851	63540	\N	\N	\N
192152	652	1997-08-09	PRIJEM	VKLAD	13851	63130	\N	\N	\N
192153	652	1997-09-09	PRIJEM	VKLAD	13851	64786	\N	\N	\N
192154	652	1997-10-09	PRIJEM	VKLAD	13851	66470	\N	\N	\N
192155	652	1997-11-09	PRIJEM	VKLAD	13851	60728	\N	\N	\N
192156	652	1997-12-09	PRIJEM	VKLAD	20776	68492	\N	\N	\N
192157	652	1998-01-09	PRIJEM	VKLAD	13851	67071	\N	\N	\N
192158	652	1998-02-09	PRIJEM	VKLAD	13851	65028	\N	\N	\N
192159	652	1998-03-09	PRIJEM	VKLAD	13851	71496	\N	\N	\N
192160	652	1998-04-09	PRIJEM	VKLAD	13851	65053	\N	\N	\N
192161	652	1998-05-09	PRIJEM	VKLAD	13851	65315	\N	\N	\N
192162	652	1998-06-09	PRIJEM	VKLAD	20776	68044	\N	\N	\N
192163	652	1998-07-09	PRIJEM	VKLAD	13851	52941	\N	\N	\N
192164	652	1998-08-09	PRIJEM	VKLAD	13851	63247	\N	\N	\N
192165	652	1998-09-09	PRIJEM	VKLAD	13851	66009	\N	\N	\N
192166	652	1998-10-09	PRIJEM	VKLAD	13851	65391	\N	\N	\N
192167	652	1998-11-09	PRIJEM	VKLAD	13851	67994	\N	\N	\N
192168	652	1998-12-09	PRIJEM	VKLAD	20776	77207	\N	\N	\N
192173	652	1993-05-11	VYDAJ	PREVOD NA UCET	7591	42866	SIPO	YZ	56959491
192174	652	1993-06-11	VYDAJ	PREVOD NA UCET	7591	46522	SIPO	YZ	56959491
192175	652	1993-07-11	VYDAJ	PREVOD NA UCET	7591	41679	SIPO	YZ	56959491
192176	652	1993-08-11	VYDAJ	PREVOD NA UCET	7591	37652	SIPO	YZ	56959491
192177	652	1993-09-11	VYDAJ	PREVOD NA UCET	7591	39057	SIPO	YZ	56959491
192178	652	1993-10-11	VYDAJ	PREVOD NA UCET	7591	38366	SIPO	YZ	56959491
192179	652	1993-11-11	VYDAJ	PREVOD NA UCET	7591	35127	SIPO	YZ	56959491
192180	652	1993-12-11	VYDAJ	PREVOD NA UCET	7591	39857	SIPO	YZ	56959491
192181	652	1994-01-11	VYDAJ	PREVOD NA UCET	7591	33819	SIPO	YZ	56959491
192182	652	1994-02-11	VYDAJ	PREVOD NA UCET	7591	36043	SIPO	YZ	56959491
192183	652	1994-03-11	VYDAJ	PREVOD NA UCET	7591	37530	SIPO	YZ	56959491
192184	652	1994-04-11	VYDAJ	PREVOD NA UCET	7591	37931	SIPO	YZ	56959491
192185	652	1994-05-11	VYDAJ	PREVOD NA UCET	7591	38325	SIPO	YZ	56959491
192186	652	1994-06-11	VYDAJ	PREVOD NA UCET	7591	41782	SIPO	YZ	56959491
192187	652	1994-07-11	VYDAJ	PREVOD NA UCET	7591	27453	SIPO	YZ	56959491
192188	652	1994-08-11	VYDAJ	PREVOD NA UCET	7591	34804	SIPO	YZ	56959491
192189	652	1994-09-11	VYDAJ	PREVOD NA UCET	7591	36774	SIPO	YZ	56959491
192190	652	1994-10-11	VYDAJ	PREVOD NA UCET	7591	36619	SIPO	YZ	56959491
192191	652	1994-11-11	VYDAJ	PREVOD NA UCET	7591	40407	SIPO	YZ	56959491
192192	652	1994-12-11	VYDAJ	PREVOD NA UCET	7591	48232	SIPO	YZ	56959491
192193	652	1995-01-11	VYDAJ	PREVOD NA UCET	7591	34353	SIPO	YZ	56959491
192194	652	1995-02-11	VYDAJ	PREVOD NA UCET	7591	40847	SIPO	YZ	56959491
192195	652	1995-03-11	VYDAJ	PREVOD NA UCET	7591	42047	SIPO	YZ	56959491
192196	652	1995-04-11	VYDAJ	PREVOD NA UCET	7591	45056	SIPO	YZ	56959491
192197	652	1995-05-11	VYDAJ	PREVOD NA UCET	7591	42928	SIPO	YZ	56959491
192198	652	1995-06-11	VYDAJ	PREVOD NA UCET	7591	52271	SIPO	YZ	56959491
192199	652	1995-07-11	VYDAJ	PREVOD NA UCET	7591	41288	SIPO	YZ	56959491
192200	652	1995-08-11	VYDAJ	PREVOD NA UCET	7591	43892	SIPO	YZ	56959491
192201	652	1995-09-11	VYDAJ	PREVOD NA UCET	7591	41247	SIPO	YZ	56959491
192202	652	1995-10-11	VYDAJ	PREVOD NA UCET	7591	48366	SIPO	YZ	56959491
192203	652	1995-11-11	VYDAJ	PREVOD NA UCET	7591	50274	SIPO	YZ	56959491
192204	652	1995-12-11	VYDAJ	PREVOD NA UCET	7591	58537	SIPO	YZ	56959491
192205	652	1996-01-11	VYDAJ	PREVOD NA UCET	7591	42481	SIPO	YZ	56959491
192206	652	1996-02-11	VYDAJ	PREVOD NA UCET	7591	52819	SIPO	YZ	56959491
192207	652	1996-03-11	VYDAJ	PREVOD NA UCET	7591	56770	SIPO	YZ	56959491
192208	652	1996-04-11	VYDAJ	PREVOD NA UCET	7591	58734	SIPO	YZ	56959491
192209	652	1996-05-11	VYDAJ	PREVOD NA UCET	7591	58547	SIPO	YZ	56959491
192210	652	1996-06-11	VYDAJ	PREVOD NA UCET	7591	66447	SIPO	YZ	56959491
192211	652	1996-07-11	VYDAJ	PREVOD NA UCET	7591	54214	SIPO	YZ	56959491
192212	652	1996-08-11	VYDAJ	PREVOD NA UCET	7591	57668	SIPO	YZ	56959491
192213	652	1996-09-11	VYDAJ	PREVOD NA UCET	7591	58131	SIPO	YZ	56959491
192214	652	1996-10-11	VYDAJ	PREVOD NA UCET	7591	53949	SIPO	YZ	56959491
192215	652	1996-11-11	VYDAJ	PREVOD NA UCET	7591	55597	SIPO	YZ	56959491
192216	652	1996-12-11	VYDAJ	PREVOD NA UCET	7591	65381	SIPO	YZ	56959491
192217	652	1997-01-11	VYDAJ	PREVOD NA UCET	7591	52755	SIPO	YZ	56959491
192218	652	1997-02-11	VYDAJ	PREVOD NA UCET	7591	59923	SIPO	YZ	56959491
192219	652	1997-03-11	VYDAJ	PREVOD NA UCET	7591	57423	SIPO	YZ	56959491
192220	652	1997-04-11	VYDAJ	PREVOD NA UCET	7591	59687	SIPO	YZ	56959491
192221	652	1997-05-11	VYDAJ	PREVOD NA UCET	7591	56027	SIPO	YZ	56959491
192222	652	1997-06-11	VYDAJ	PREVOD NA UCET	7591	53888	SIPO	YZ	56959491
192223	652	1997-07-11	VYDAJ	PREVOD NA UCET	7591	55949	SIPO	YZ	56959491
192224	652	1997-08-11	VYDAJ	PREVOD NA UCET	7591	55539	SIPO	YZ	56959491
192225	652	1997-09-11	VYDAJ	PREVOD NA UCET	7591	52395	SIPO	YZ	56959491
192226	652	1997-10-11	VYDAJ	PREVOD NA UCET	7591	58879	SIPO	YZ	56959491
192227	652	1997-11-11	VYDAJ	PREVOD NA UCET	7591	47537	SIPO	YZ	56959491
192228	652	1997-12-11	VYDAJ	PREVOD NA UCET	7591	54301	SIPO	YZ	56959491
192229	652	1998-01-11	VYDAJ	PREVOD NA UCET	7591	51880	SIPO	YZ	56959491
192230	652	1998-02-11	VYDAJ	PREVOD NA UCET	7591	57437	SIPO	YZ	56959491
192231	652	1998-03-11	VYDAJ	PREVOD NA UCET	7591	55905	SIPO	YZ	56959491
192232	652	1998-04-11	VYDAJ	PREVOD NA UCET	7591	51262	SIPO	YZ	56959491
192233	652	1998-05-11	VYDAJ	PREVOD NA UCET	7591	47124	SIPO	YZ	56959491
192234	652	1998-06-11	VYDAJ	PREVOD NA UCET	7591	60453	SIPO	YZ	56959491
192235	652	1998-07-11	VYDAJ	PREVOD NA UCET	7591	45350	SIPO	YZ	56959491
192236	652	1998-08-11	VYDAJ	PREVOD NA UCET	7591	55656	SIPO	YZ	56959491
192237	652	1998-09-11	VYDAJ	PREVOD NA UCET	7591	58418	SIPO	YZ	56959491
192238	652	1998-10-11	VYDAJ	PREVOD NA UCET	7591	57800	SIPO	YZ	56959491
192239	652	1998-11-11	VYDAJ	PREVOD NA UCET	7591	60403	SIPO	YZ	56959491
192240	652	1998-12-11	VYDAJ	PREVOD NA UCET	7591	69616	SIPO	YZ	56959491
192242	652	1994-06-28	VYDAJ	VYBER	20480	18062	\N	\N	\N
192243	652	1995-06-20	VYDAJ	VYBER	16800	35471	\N	\N	\N
192244	652	1996-06-18	VYDAJ	VYBER	23040	47707	\N	\N	\N
192245	652	1997-06-01	VYDAJ	VYBER	10720	40703	\N	\N	\N
192246	652	1998-06-16	VYDAJ	VYBER	37600	22853	\N	\N	\N
192248	652	1994-01-27	VYDAJ	VYBER	1760	32059	\N	\N	\N
192249	652	1995-01-03	VYDAJ	VYBER	10560	28093	\N	\N	\N
192250	652	1996-01-10	VYDAJ	VYBER	10880	50072	\N	\N	\N
192251	652	1997-01-08	VYDAJ	VYBER	8160	46495	\N	\N	\N
192252	652	1998-01-29	VYDAJ	VYBER	6400	45480	\N	\N	\N
192253	652	1993-12-18	VYDAJ	VYBER	1440	38417	\N	\N	\N
192254	652	1994-12-11	VYDAJ	VYBER	1440	46792	\N	\N	\N
192255	652	1995-12-21	VYDAJ	VYBER	3040	55497	\N	\N	\N
192256	652	1996-12-21	VYDAJ	VYBER	2240	54441	\N	\N	\N
192257	652	1997-12-22	VYDAJ	VYBER	1280	53021	\N	\N	\N
192258	652	1998-12-22	VYDAJ	VYBER	1440	68176	\N	\N	\N
192259	652	1993-10-29	VYDAJ	VYBER	2880	32726	\N	\N	\N
192262	652	1993-07-14	VYDAJ	VYBER	2640	39039	\N	\N	\N
192263	652	1993-07-03	VYDAJ	VYBER	4680	42019	\N	\N	\N
192264	652	1993-10-16	VYDAJ	VYBER	2760	35606	\N	\N	\N
192265	652	1993-11-14	VYDAJ	VYBER	2880	32247	\N	\N	\N
192266	652	1994-05-31	VYDAJ	VYBER	4680	28611	\N	\N	\N
192267	652	1994-09-24	VYDAJ	VYBER	840	35934	\N	\N	\N
192268	652	1994-06-26	VYDAJ	VYBER	3240	38542	\N	\N	\N
192269	652	1994-05-23	VYDAJ	VYBER	2280	36045	\N	\N	\N
192270	652	1994-01-03	VYDAJ	VYBER	4800	27559	\N	\N	\N
192271	652	1994-08-13	VYDAJ	VYBER	4800	30004	\N	\N	\N
192272	652	1995-04-15	VYDAJ	VYBER	4080	40976	\N	\N	\N
192273	652	1995-09-24	VYDAJ	VYBER	1800	41947	\N	\N	\N
192274	652	1995-10-13	VYDAJ	VYBER	2520	45846	\N	\N	\N
192275	652	1995-02-17	VYDAJ	VYBER	1800	39047	\N	\N	\N
192276	652	1995-05-05	VYDAJ	VYBER	2160	36668	\N	\N	\N
192277	652	1995-09-01	VYDAJ	VYBER	5760	34987	\N	\N	\N
192278	652	1996-01-03	VYDAJ	VYBER	1800	47101	\N	\N	\N
192279	652	1996-05-01	VYDAJ	VYBER	2160	52287	\N	\N	\N
192280	652	1996-11-21	VYDAJ	VYBER	1200	51997	\N	\N	\N
192281	652	1996-10-16	VYDAJ	VYBER	1200	52749	\N	\N	\N
192282	652	1996-09-21	VYDAJ	VYBER	4440	47491	\N	\N	\N
192283	652	1997-07-15	VYDAJ	VYBER	5160	49089	\N	\N	\N
192284	652	1997-04-22	VYDAJ	VYBER	2160	49567	\N	\N	\N
192285	652	1997-06-22	VYDAJ	VYBER	5400	49488	\N	\N	\N
192286	652	1997-02-12	VYDAJ	VYBER	5160	54763	\N	\N	\N
192287	652	1997-09-06	VYDAJ	VYBER	1800	50935	\N	\N	\N
192288	652	1997-10-20	VYDAJ	VYBER	3600	46679	\N	\N	\N
192289	652	1997-04-14	VYDAJ	VYBER	3360	56327	\N	\N	\N
192290	652	1998-04-01	VYDAJ	VYBER	4920	51202	\N	\N	\N
192291	652	1998-10-11	VYDAJ	VYBER	1080	56720	\N	\N	\N
192292	652	1998-05-28	VYDAJ	VYBER	3840	43284	\N	\N	\N
192299	652	1993-05-31	VYDAJ	VYBER	15	43037	SLUZBY	\N	\N
192300	652	1993-06-30	VYDAJ	VYBER	15	46699	SLUZBY	\N	\N
192301	652	1993-07-31	VYDAJ	VYBER	15	39192	SLUZBY	\N	\N
192302	652	1993-08-31	VYDAJ	VYBER	15	37797	SLUZBY	\N	\N
192303	652	1993-09-30	VYDAJ	VYBER	15	39206	SLUZBY	\N	\N
192304	652	1993-10-31	VYDAJ	VYBER	15	32867	SLUZBY	\N	\N
192305	652	1993-11-30	VYDAJ	VYBER	15	32372	SLUZBY	\N	\N
192306	652	1993-12-31	VYDAJ	VYBER	15	32359	SLUZBY	\N	\N
192307	652	1994-01-31	VYDAJ	VYBER	15	29783	SLUZBY	\N	\N
192308	652	1994-02-28	VYDAJ	VYBER	15	36170	SLUZBY	\N	\N
192309	652	1994-03-31	VYDAJ	VYBER	15	31671	SLUZBY	\N	\N
192310	652	1994-04-30	VYDAJ	VYBER	15	32065	SLUZBY	\N	\N
192311	652	1994-05-31	VYDAJ	VYBER	15	28597	SLUZBY	\N	\N
192312	652	1994-06-30	VYDAJ	VYBER	15	21193	SLUZBY	\N	\N
192313	652	1994-07-31	VYDAJ	VYBER	15	28544	SLUZBY	\N	\N
192314	652	1994-08-31	VYDAJ	VYBER	15	30514	SLUZBY	\N	\N
192315	652	1994-09-30	VYDAJ	VYBER	15	30359	SLUZBY	\N	\N
192316	652	1994-10-31	VYDAJ	VYBER	15	34147	SLUZBY	\N	\N
192317	652	1994-11-30	VYDAJ	VYBER	15	35047	SLUZBY	\N	\N
192318	652	1994-12-31	VYDAJ	VYBER	15	38653	SLUZBY	\N	\N
192319	652	1995-01-31	VYDAJ	VYBER	15	34587	SLUZBY	\N	\N
192320	652	1995-02-28	VYDAJ	VYBER	15	35787	SLUZBY	\N	\N
192321	652	1995-03-31	VYDAJ	VYBER	15	38796	SLUZBY	\N	\N
192322	652	1995-04-30	VYDAJ	VYBER	15	38828	SLUZBY	\N	\N
192323	652	1995-05-31	VYDAJ	VYBER	15	39086	SLUZBY	\N	\N
192324	652	1995-06-30	VYDAJ	VYBER	15	35028	SLUZBY	\N	\N
192325	652	1995-07-31	VYDAJ	VYBER	15	37632	SLUZBY	\N	\N
192326	652	1995-08-31	VYDAJ	VYBER	15	40747	SLUZBY	\N	\N
192327	652	1995-09-30	VYDAJ	VYBER	15	42106	SLUZBY	\N	\N
192328	652	1995-10-31	VYDAJ	VYBER	15	44014	SLUZBY	\N	\N
192329	652	1995-11-30	VYDAJ	VYBER	15	45352	SLUZBY	\N	\N
192330	652	1995-12-31	VYDAJ	VYBER	15	48901	SLUZBY	\N	\N
192331	652	1996-01-31	VYDAJ	VYBER	15	46559	SLUZBY	\N	\N
192332	652	1996-02-29	VYDAJ	VYBER	15	50510	SLUZBY	\N	\N
192333	652	1996-03-31	VYDAJ	VYBER	15	52474	SLUZBY	\N	\N
192334	652	1996-04-30	VYDAJ	VYBER	15	54447	SLUZBY	\N	\N
192335	652	1996-05-31	VYDAJ	VYBER	15	53262	SLUZBY	\N	\N
192336	652	1996-06-30	VYDAJ	VYBER	15	47954	SLUZBY	\N	\N
192337	652	1996-07-31	VYDAJ	VYBER	15	51408	SLUZBY	\N	\N
192338	652	1996-08-31	VYDAJ	VYBER	15	51871	SLUZBY	\N	\N
192339	652	1996-09-30	VYDAJ	VYBER	15	47689	SLUZBY	\N	\N
192340	652	1996-10-31	VYDAJ	VYBER	15	49337	SLUZBY	\N	\N
192341	652	1996-11-30	VYDAJ	VYBER	15	52196	SLUZBY	\N	\N
192342	652	1996-12-31	VYDAJ	VYBER	15	54655	SLUZBY	\N	\N
192343	652	1997-01-31	VYDAJ	VYBER	15	53663	SLUZBY	\N	\N
192344	652	1997-02-28	VYDAJ	VYBER	15	51163	SLUZBY	\N	\N
192345	652	1997-03-31	VYDAJ	VYBER	15	53427	SLUZBY	\N	\N
192346	652	1997-04-30	VYDAJ	VYBER	15	49767	SLUZBY	\N	\N
192347	652	1997-05-31	VYDAJ	VYBER	15	51423	SLUZBY	\N	\N
192348	652	1997-06-30	VYDAJ	VYBER	15	49689	SLUZBY	\N	\N
192349	652	1997-07-31	VYDAJ	VYBER	15	49279	SLUZBY	\N	\N
192350	652	1997-08-31	VYDAJ	VYBER	15	52735	SLUZBY	\N	\N
192351	652	1997-09-30	VYDAJ	VYBER	15	52619	SLUZBY	\N	\N
192352	652	1997-10-31	VYDAJ	VYBER	15	46877	SLUZBY	\N	\N
192353	652	1997-11-30	VYDAJ	VYBER	15	47716	SLUZBY	\N	\N
192354	652	1997-12-31	VYDAJ	VYBER	15	53220	SLUZBY	\N	\N
192355	652	1998-01-31	VYDAJ	VYBER	15	45677	SLUZBY	\N	\N
192356	652	1998-02-28	VYDAJ	VYBER	15	57645	SLUZBY	\N	\N
192357	652	1998-03-31	VYDAJ	VYBER	15	56122	SLUZBY	\N	\N
192358	652	1998-04-30	VYDAJ	VYBER	15	51464	SLUZBY	\N	\N
192359	652	1998-05-31	VYDAJ	VYBER	15	43468	SLUZBY	\N	\N
192360	652	1998-06-30	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
192361	652	1998-07-31	VYDAJ	VYBER	15	45496	SLUZBY	\N	\N
192362	652	1998-08-31	VYDAJ	VYBER	15	55858	SLUZBY	\N	\N
192363	652	1998-09-30	VYDAJ	VYBER	15	58640	SLUZBY	\N	\N
192364	652	1998-10-31	VYDAJ	VYBER	15	56943	SLUZBY	\N	\N
192365	652	1998-11-30	VYDAJ	VYBER	15	60631	SLUZBY	\N	\N
192366	652	1993-02-04	PRIJEM	VKLAD	2900	17496	\N	\N	\N
192367	652	1993-03-06	VYDAJ	VYBER	4800	26658	\N	\N	\N
192368	652	1993-04-05	VYDAJ	VYBER	7800	32868	\N	\N	\N
192369	652	1993-05-05	VYDAJ	VYBER	10300	36606	\N	\N	\N
192370	652	1993-06-04	VYDAJ	VYBER	9700	33337	\N	\N	\N
192371	652	1993-07-04	VYDAJ	VYBER	6600	35419	\N	\N	\N
192372	652	1993-08-03	VYDAJ	VYBER	7800	31392	\N	\N	\N
192373	652	1993-09-02	VYDAJ	VYBER	5000	32797	\N	\N	\N
192374	652	1993-10-02	VYDAJ	VYBER	7100	32106	\N	\N	\N
192375	652	1993-11-01	VYDAJ	VYBER	4000	28867	\N	\N	\N
192376	652	1993-12-01	VYDAJ	VYBER	5700	26672	\N	\N	\N
192377	652	1993-12-31	VYDAJ	VYBER	6200	32373	\N	\N	\N
192378	652	1994-01-30	VYDAJ	VYBER	2400	29659	\N	\N	\N
192379	652	1994-03-01	VYDAJ	VYBER	4900	31270	\N	\N	\N
192380	652	1994-03-31	VYDAJ	VYBER	6000	31685	\N	\N	\N
192381	652	1994-04-30	VYDAJ	VYBER	6000	32079	\N	\N	\N
192382	652	1994-05-30	VYDAJ	VYBER	2900	33145	\N	\N	\N
192383	652	1994-06-29	PRIJEM	VKLAD	3000	21062	\N	\N	\N
192384	652	1994-07-29	PRIJEM	VKLAD	1000	28453	\N	\N	\N
192385	652	1994-08-28	PRIJEM	VKLAD	400	30404	\N	\N	\N
192386	652	1994-09-27	VYDAJ	VYBER	5700	30234	\N	\N	\N
192387	652	1994-10-27	VYDAJ	VYBER	2600	34019	\N	\N	\N
192388	652	1994-11-26	VYDAJ	VYBER	5500	34907	\N	\N	\N
192389	652	1994-12-26	VYDAJ	VYBER	8300	38492	\N	\N	\N
192390	652	1995-01-25	PRIJEM	VKLAD	100	34453	\N	\N	\N
192391	652	1995-02-24	VYDAJ	VYBER	3400	35647	\N	\N	\N
192392	652	1995-03-26	VYDAJ	VYBER	3400	38647	\N	\N	\N
192393	652	1995-04-25	VYDAJ	VYBER	2300	38676	\N	\N	\N
192394	652	1995-05-25	VYDAJ	VYBER	4000	38928	\N	\N	\N
192395	652	1995-06-24	VYDAJ	VYBER	600	34871	\N	\N	\N
192396	652	1995-07-24	VYDAJ	VYBER	3800	37488	\N	\N	\N
192397	652	1995-08-23	VYDAJ	VYBER	3300	40592	\N	\N	\N
192398	652	1995-09-22	PRIJEM	VKLAD	2500	43747	\N	\N	\N
192399	652	1995-10-22	VYDAJ	VYBER	2000	43846	\N	\N	\N
192400	652	1995-11-21	VYDAJ	VYBER	5100	45174	\N	\N	\N
192401	652	1995-12-21	VYDAJ	VYBER	6800	48697	\N	\N	\N
192402	652	1996-01-20	PRIJEM	VKLAD	3900	46381	\N	\N	\N
192403	652	1996-02-19	VYDAJ	VYBER	2500	50319	\N	\N	\N
192404	652	1996-03-20	VYDAJ	VYBER	4500	52270	\N	\N	\N
192405	652	1996-04-19	VYDAJ	VYBER	4500	54234	\N	\N	\N
192406	652	1996-05-19	VYDAJ	VYBER	5500	53047	\N	\N	\N
192407	652	1996-06-18	PRIJEM	VKLAD	4300	70747	\N	\N	\N
192408	652	1996-07-18	VYDAJ	VYBER	3000	51214	\N	\N	\N
192409	652	1996-08-17	VYDAJ	VYBER	6000	51668	\N	\N	\N
192410	652	1996-09-16	VYDAJ	VYBER	6200	51931	\N	\N	\N
192411	652	1996-10-16	VYDAJ	VYBER	3600	49149	\N	\N	\N
192412	652	1996-11-15	VYDAJ	VYBER	2400	53197	\N	\N	\N
192413	652	1996-12-15	VYDAJ	VYBER	8700	56681	\N	\N	\N
192414	652	1997-01-14	PRIJEM	VKLAD	700	53455	\N	\N	\N
192415	652	1997-02-13	VYDAJ	VYBER	3800	50963	\N	\N	\N
192416	652	1997-03-15	VYDAJ	VYBER	4200	53223	\N	\N	\N
192417	652	1997-04-14	VYDAJ	VYBER	4600	51727	\N	\N	\N
192418	652	1997-05-14	VYDAJ	VYBER	4800	51227	\N	\N	\N
192419	652	1997-06-13	PRIJEM	VKLAD	1000	54888	\N	\N	\N
192420	652	1997-07-13	VYDAJ	VYBER	1700	54249	\N	\N	\N
192421	652	1997-08-12	VYDAJ	VYBER	3000	52539	\N	\N	\N
192422	652	1997-09-11	VYDAJ	VYBER	4800	59986	\N	\N	\N
192423	652	1997-10-11	VYDAJ	VYBER	8600	50279	\N	\N	\N
192424	652	1997-11-10	VYDAJ	VYBER	5600	55128	\N	\N	\N
192425	652	1997-12-10	VYDAJ	VYBER	6600	61892	\N	\N	\N
192426	652	1998-01-09	VYDAJ	VYBER	7600	59471	\N	\N	\N
192427	652	1998-02-08	PRIJEM	VKLAD	5500	51177	\N	\N	\N
192428	652	1998-03-10	VYDAJ	VYBER	8000	63496	\N	\N	\N
192429	652	1998-04-09	VYDAJ	VYBER	6200	58853	\N	\N	\N
192430	652	1998-05-09	VYDAJ	VYBER	10600	54715	\N	\N	\N
192431	652	1998-06-08	PRIJEM	VKLAD	3800	47268	\N	\N	\N
192432	652	1998-07-08	PRIJEM	VKLAD	16100	39090	\N	\N	\N
192433	652	1998-08-07	PRIJEM	VKLAD	3900	49396	\N	\N	\N
192434	652	1998-09-06	VYDAJ	VYBER	3700	52158	\N	\N	\N
192435	652	1998-10-06	VYDAJ	VYBER	7100	51540	\N	\N	\N
192436	652	1998-11-05	VYDAJ	VYBER	2800	54143	\N	\N	\N
192437	652	1998-12-05	VYDAJ	VYBER	4200	56431	\N	\N	\N
192510	653	1997-08-19	PRIJEM	VKLAD	500	500	\N	\N	\N
192519	653	1997-09-12	PRIJEM	VKLAD	15172	15672	\N	\N	\N
192520	653	1997-10-12	PRIJEM	VKLAD	15172	33477	\N	\N	\N
192521	653	1997-11-12	PRIJEM	VKLAD	15172	42041	\N	\N	\N
192522	653	1997-12-12	PRIJEM	VKLAD	22758	56224	\N	\N	\N
192523	653	1998-01-12	PRIJEM	VKLAD	15172	53344	\N	\N	\N
192524	653	1998-02-12	PRIJEM	VKLAD	15172	46660	\N	\N	\N
192525	653	1998-03-12	PRIJEM	VKLAD	15172	44975	\N	\N	\N
192526	653	1998-04-12	PRIJEM	VKLAD	15172	45489	\N	\N	\N
192527	653	1998-05-12	PRIJEM	VKLAD	15172	48209	\N	\N	\N
192528	653	1998-06-12	PRIJEM	VKLAD	22758	57524	\N	\N	\N
192529	653	1998-07-12	PRIJEM	VKLAD	15172	56573	\N	\N	\N
192530	653	1998-08-12	PRIJEM	VKLAD	15172	45671	\N	\N	\N
192531	653	1998-09-12	PRIJEM	VKLAD	15172	50108	\N	\N	\N
192532	653	1998-10-12	PRIJEM	VKLAD	15172	45756	\N	\N	\N
192533	653	1998-11-12	PRIJEM	VKLAD	15172	48674	\N	\N	\N
192534	653	1998-12-12	PRIJEM	VKLAD	22758	52673	\N	\N	\N
192548	653	1998-02-05	VYDAJ	PREVOD NA UCET	5397	31488	SIPO	IJ	52822631
192549	653	1998-03-05	VYDAJ	PREVOD NA UCET	5397	29803	SIPO	IJ	52822631
192550	653	1998-04-05	VYDAJ	PREVOD NA UCET	5397	30317	SIPO	IJ	52822631
192551	653	1998-05-05	VYDAJ	PREVOD NA UCET	5397	33037	SIPO	IJ	52822631
192552	653	1998-06-05	VYDAJ	PREVOD NA UCET	5397	34766	SIPO	IJ	52822631
192553	653	1998-07-05	VYDAJ	PREVOD NA UCET	5397	41401	SIPO	IJ	52822631
192554	653	1998-08-05	VYDAJ	PREVOD NA UCET	5397	41059	SIPO	IJ	52822631
192555	653	1998-09-05	VYDAJ	PREVOD NA UCET	5397	34936	SIPO	IJ	52822631
192556	653	1998-10-05	VYDAJ	PREVOD NA UCET	5397	30584	SIPO	IJ	52822631
192557	653	1998-11-05	VYDAJ	PREVOD NA UCET	5397	33502	SIPO	IJ	52822631
192558	653	1998-12-05	VYDAJ	PREVOD NA UCET	5397	29915	SIPO	IJ	52822631
192560	653	1998-12-23	VYDAJ	VYBER	4000	30473	\N	\N	\N
192567	653	1998-08-11	VYDAJ	VYBER	5520	30499	\N	\N	\N
192568	653	1998-08-11	VYDAJ	VYBER	5040	36019	\N	\N	\N
192569	653	1998-09-30	VYDAJ	VYBER	4080	35995	\N	\N	\N
192583	653	1998-01-31	VYDAJ	VYBER	15	36885	SLUZBY	\N	\N
192584	653	1998-02-28	VYDAJ	VYBER	15	35200	SLUZBY	\N	\N
192585	653	1998-03-31	VYDAJ	VYBER	15	35714	SLUZBY	\N	\N
192586	653	1998-04-30	VYDAJ	VYBER	15	38434	SLUZBY	\N	\N
192587	653	1998-05-31	VYDAJ	VYBER	15	40163	SLUZBY	\N	\N
192588	653	1998-06-30	VYDAJ	VYBER	15	46798	SLUZBY	\N	\N
192589	653	1998-07-31	VYDAJ	VYBER	15	46456	SLUZBY	\N	\N
192590	653	1998-08-31	VYDAJ	VYBER	15	40333	SLUZBY	\N	\N
192591	653	1998-09-30	VYDAJ	VYBER	15	35981	SLUZBY	\N	\N
192592	653	1998-10-31	VYDAJ	VYBER	15	38899	SLUZBY	\N	\N
192593	653	1998-11-30	VYDAJ	VYBER	15	35312	SLUZBY	\N	\N
192594	653	1997-09-18	PRIJEM	VKLAD	2600	18272	\N	\N	\N
192595	653	1997-10-18	VYDAJ	VYBER	6700	26777	\N	\N	\N
192596	653	1997-11-17	VYDAJ	VYBER	8700	33341	\N	\N	\N
192597	653	1997-12-17	VYDAJ	VYBER	18200	38024	\N	\N	\N
192598	653	1998-01-16	VYDAJ	VYBER	16600	36744	\N	\N	\N
192599	653	1998-02-15	VYDAJ	VYBER	11600	35060	\N	\N	\N
192600	653	1998-03-17	VYDAJ	VYBER	9400	35575	\N	\N	\N
192601	653	1998-04-16	VYDAJ	VYBER	7200	38289	\N	\N	\N
192602	653	1998-05-16	VYDAJ	VYBER	8200	40009	\N	\N	\N
192603	653	1998-06-15	VYDAJ	VYBER	10900	46624	\N	\N	\N
192604	653	1998-07-15	VYDAJ	VYBER	10300	46273	\N	\N	\N
192605	653	1998-08-14	VYDAJ	VYBER	5500	40171	\N	\N	\N
192606	653	1998-09-13	VYDAJ	VYBER	10200	39908	\N	\N	\N
192607	653	1998-10-13	VYDAJ	VYBER	7000	38756	\N	\N	\N
192608	653	1998-11-12	VYDAJ	VYBER	13500	35174	\N	\N	\N
192609	653	1998-12-12	VYDAJ	VYBER	18200	34473	\N	\N	\N
192626	654	1994-10-16	PRIJEM	VKLAD	200	200	\N	\N	\N
192637	654	1994-11-11	PRIJEM	PREVOD Z UCTU	6092	6292	DUCHOD	KL	79278325
192638	654	1994-12-11	PRIJEM	PREVOD Z UCTU	6092	12384	DUCHOD	KL	79278325
192639	654	1995-01-11	PRIJEM	PREVOD Z UCTU	6092	18476	DUCHOD	KL	79278325
192640	654	1995-02-11	PRIJEM	PREVOD Z UCTU	6092	24568	DUCHOD	KL	79278325
192641	654	1995-03-11	PRIJEM	PREVOD Z UCTU	6092	28914	DUCHOD	KL	79278325
192642	654	1995-04-11	PRIJEM	PREVOD Z UCTU	6092	29509	DUCHOD	KL	79278325
192643	654	1995-05-11	PRIJEM	PREVOD Z UCTU	6092	30715	DUCHOD	KL	79278325
192644	654	1995-06-11	PRIJEM	PREVOD Z UCTU	6092	30924	DUCHOD	KL	79278325
192645	654	1995-07-11	PRIJEM	PREVOD Z UCTU	6092	16609	DUCHOD	KL	79278325
192646	654	1995-08-11	PRIJEM	PREVOD Z UCTU	6092	19867	DUCHOD	KL	79278325
192647	654	1995-09-11	PRIJEM	PREVOD Z UCTU	6092	23138	DUCHOD	KL	79278325
192648	654	1995-10-11	PRIJEM	PREVOD Z UCTU	6092	25862	DUCHOD	KL	79278325
192649	654	1995-11-11	PRIJEM	PREVOD Z UCTU	6092	29158	DUCHOD	KL	79278325
192650	654	1995-12-11	PRIJEM	PREVOD Z UCTU	6092	31217	DUCHOD	KL	79278325
192651	654	1996-01-11	PRIJEM	PREVOD Z UCTU	6092	27331	DUCHOD	KL	79278325
192652	654	1996-02-11	PRIJEM	PREVOD Z UCTU	6092	30637	DUCHOD	KL	79278325
192653	654	1996-03-11	PRIJEM	PREVOD Z UCTU	6092	33852	DUCHOD	KL	79278325
192654	654	1996-04-11	PRIJEM	PREVOD Z UCTU	6092	32617	DUCHOD	KL	79278325
192655	654	1996-05-11	PRIJEM	PREVOD Z UCTU	6092	33241	DUCHOD	KL	79278325
192656	654	1996-06-11	PRIJEM	PREVOD Z UCTU	6092	26719	DUCHOD	KL	79278325
192657	654	1996-07-11	PRIJEM	PREVOD Z UCTU	6092	30028	DUCHOD	KL	79278325
192658	654	1996-08-11	PRIJEM	PREVOD Z UCTU	6092	31241	DUCHOD	KL	79278325
192659	654	1996-09-11	PRIJEM	PREVOD Z UCTU	6092	29832	DUCHOD	KL	79278325
192660	654	1996-10-11	PRIJEM	PREVOD Z UCTU	6092	33145	DUCHOD	KL	79278325
192661	654	1996-11-11	PRIJEM	PREVOD Z UCTU	6092	29145	DUCHOD	KL	79278325
192662	654	1996-12-11	PRIJEM	PREVOD Z UCTU	6092	31956	DUCHOD	KL	79278325
192663	654	1997-01-11	PRIJEM	PREVOD Z UCTU	6092	31826	DUCHOD	KL	79278325
192664	654	1997-02-11	PRIJEM	PREVOD Z UCTU	6092	35149	DUCHOD	KL	79278325
192665	654	1997-03-11	PRIJEM	PREVOD Z UCTU	6092	36081	DUCHOD	KL	79278325
192666	654	1997-04-11	PRIJEM	PREVOD Z UCTU	6092	39018	DUCHOD	KL	79278325
192667	654	1997-05-11	PRIJEM	PREVOD Z UCTU	6092	39448	DUCHOD	KL	79278325
192668	654	1997-06-11	PRIJEM	PREVOD Z UCTU	6092	39301	DUCHOD	KL	79278325
192669	654	1997-07-11	PRIJEM	PREVOD Z UCTU	6092	28506	DUCHOD	KL	79278325
192670	654	1997-08-11	PRIJEM	PREVOD Z UCTU	6092	31813	DUCHOD	KL	79278325
192671	654	1997-09-11	PRIJEM	PREVOD Z UCTU	6092	27597	DUCHOD	KL	79278325
192672	654	1997-10-11	PRIJEM	PREVOD Z UCTU	6092	30899	DUCHOD	KL	79278325
192673	654	1997-11-11	PRIJEM	PREVOD Z UCTU	6092	34215	DUCHOD	KL	79278325
192674	654	1997-12-11	PRIJEM	PREVOD Z UCTU	6092	36234	DUCHOD	KL	79278325
192675	654	1998-01-11	PRIJEM	PREVOD Z UCTU	6092	38472	DUCHOD	KL	79278325
192676	654	1998-02-11	PRIJEM	PREVOD Z UCTU	6092	41819	DUCHOD	KL	79278325
192677	654	1998-03-11	PRIJEM	PREVOD Z UCTU	6092	44179	DUCHOD	KL	79278325
192678	654	1998-04-11	PRIJEM	PREVOD Z UCTU	6092	41448	DUCHOD	KL	79278325
192679	654	1998-05-11	PRIJEM	PREVOD Z UCTU	6092	43207	DUCHOD	KL	79278325
192680	654	1998-06-11	PRIJEM	PREVOD Z UCTU	6092	46573	DUCHOD	KL	79278325
192681	654	1998-07-11	PRIJEM	PREVOD Z UCTU	6092	47151	DUCHOD	KL	79278325
192682	654	1998-08-11	PRIJEM	PREVOD Z UCTU	6092	47472	DUCHOD	KL	79278325
192683	654	1998-09-11	PRIJEM	PREVOD Z UCTU	6092	42925	DUCHOD	KL	79278325
192684	654	1998-10-11	PRIJEM	PREVOD Z UCTU	6092	43804	DUCHOD	KL	79278325
192685	654	1998-11-11	PRIJEM	PREVOD Z UCTU	6092	43733	DUCHOD	KL	79278325
192686	654	1998-12-11	PRIJEM	PREVOD Z UCTU	6092	45903	DUCHOD	KL	79278325
192702	654	1995-04-09	VYDAJ	PREVOD NA UCET	2885	23417	SIPO	AB	49887746
192703	654	1995-05-09	VYDAJ	PREVOD NA UCET	2885	24623	SIPO	AB	49887746
192704	654	1995-06-09	VYDAJ	PREVOD NA UCET	2885	24832	SIPO	AB	49887746
192705	654	1995-07-09	VYDAJ	PREVOD NA UCET	2885	10517	SIPO	AB	49887746
192706	654	1995-08-09	VYDAJ	PREVOD NA UCET	2885	13775	SIPO	AB	49887746
192707	654	1995-09-09	VYDAJ	PREVOD NA UCET	2885	17046	SIPO	AB	49887746
192708	654	1995-10-09	VYDAJ	PREVOD NA UCET	2885	19770	SIPO	AB	49887746
192709	654	1995-11-09	VYDAJ	PREVOD NA UCET	2885	23066	SIPO	AB	49887746
192710	654	1995-12-09	VYDAJ	PREVOD NA UCET	2885	26125	SIPO	AB	49887746
192711	654	1996-01-09	VYDAJ	PREVOD NA UCET	2885	23559	SIPO	AB	49887746
192712	654	1996-02-09	VYDAJ	PREVOD NA UCET	2885	24545	SIPO	AB	49887746
192713	654	1996-03-09	VYDAJ	PREVOD NA UCET	2885	27760	SIPO	AB	49887746
192714	654	1996-04-09	VYDAJ	PREVOD NA UCET	2885	26525	SIPO	AB	49887746
192715	654	1996-05-09	VYDAJ	PREVOD NA UCET	2885	27149	SIPO	AB	49887746
192716	654	1996-06-09	VYDAJ	PREVOD NA UCET	2885	20627	SIPO	AB	49887746
192717	654	1996-07-09	VYDAJ	PREVOD NA UCET	2885	23936	SIPO	AB	49887746
192718	654	1996-08-09	VYDAJ	PREVOD NA UCET	2885	25149	SIPO	AB	49887746
192719	654	1996-09-09	VYDAJ	PREVOD NA UCET	2885	23740	SIPO	AB	49887746
192720	654	1996-10-09	VYDAJ	PREVOD NA UCET	2885	27053	SIPO	AB	49887746
192721	654	1996-11-09	VYDAJ	PREVOD NA UCET	2885	23053	SIPO	AB	49887746
192722	654	1996-12-09	VYDAJ	PREVOD NA UCET	2885	25864	SIPO	AB	49887746
192723	654	1997-01-09	VYDAJ	PREVOD NA UCET	2885	25734	SIPO	AB	49887746
192724	654	1997-02-09	VYDAJ	PREVOD NA UCET	2885	29057	SIPO	AB	49887746
192725	654	1997-03-09	VYDAJ	PREVOD NA UCET	2885	29989	SIPO	AB	49887746
192726	654	1997-04-09	VYDAJ	PREVOD NA UCET	2885	32926	SIPO	AB	49887746
192727	654	1997-05-09	VYDAJ	PREVOD NA UCET	2885	33356	SIPO	AB	49887746
192728	654	1997-06-09	VYDAJ	PREVOD NA UCET	2885	33209	SIPO	AB	49887746
192729	654	1997-07-09	VYDAJ	PREVOD NA UCET	2885	22414	SIPO	AB	49887746
192730	654	1997-08-09	VYDAJ	PREVOD NA UCET	2885	25721	SIPO	AB	49887746
192731	654	1997-09-09	VYDAJ	PREVOD NA UCET	2885	21505	SIPO	AB	49887746
192732	654	1997-10-09	VYDAJ	PREVOD NA UCET	2885	24807	SIPO	AB	49887746
192733	654	1997-11-09	VYDAJ	PREVOD NA UCET	2885	28123	SIPO	AB	49887746
192734	654	1997-12-09	VYDAJ	PREVOD NA UCET	2885	30142	SIPO	AB	49887746
192735	654	1998-01-09	VYDAJ	PREVOD NA UCET	2885	32380	SIPO	AB	49887746
192736	654	1998-02-09	VYDAJ	PREVOD NA UCET	2885	35727	SIPO	AB	49887746
192737	654	1998-03-09	VYDAJ	PREVOD NA UCET	2885	38087	SIPO	AB	49887746
192738	654	1998-04-09	VYDAJ	PREVOD NA UCET	2885	35356	SIPO	AB	49887746
192739	654	1998-05-09	VYDAJ	PREVOD NA UCET	2885	37115	SIPO	AB	49887746
192740	654	1998-06-09	VYDAJ	PREVOD NA UCET	2885	40481	SIPO	AB	49887746
192741	654	1998-07-09	VYDAJ	PREVOD NA UCET	2885	41059	SIPO	AB	49887746
192742	654	1998-08-09	VYDAJ	PREVOD NA UCET	2885	41380	SIPO	AB	49887746
192743	654	1998-09-09	VYDAJ	PREVOD NA UCET	2885	36833	SIPO	AB	49887746
192744	654	1998-10-09	VYDAJ	PREVOD NA UCET	2885	37712	SIPO	AB	49887746
192745	654	1998-11-09	VYDAJ	PREVOD NA UCET	2885	37641	SIPO	AB	49887746
192746	654	1998-12-09	VYDAJ	PREVOD NA UCET	2885	39811	SIPO	AB	49887746
192748	654	1995-06-21	VYDAJ	VYBER	11500	13324	\N	\N	\N
192749	654	1996-06-05	VYDAJ	VYBER	9850	23512	\N	\N	\N
192750	654	1997-06-21	VYDAJ	VYBER	11250	28051	\N	\N	\N
192751	654	1998-06-23	VYDAJ	VYBER	2400	44173	\N	\N	\N
192753	654	1995-12-03	VYDAJ	VYBER	250	29010	\N	\N	\N
192754	654	1996-12-28	VYDAJ	VYBER	350	31606	\N	\N	\N
192755	654	1997-12-03	VYDAJ	VYBER	750	33027	\N	\N	\N
192756	654	1998-12-08	VYDAJ	VYBER	1200	42696	\N	\N	\N
192766	654	1995-12-23	VYDAJ	VYBER	3680	27537	\N	\N	\N
192767	654	1995-09-29	VYDAJ	VYBER	560	22578	\N	\N	\N
192768	654	1996-01-10	VYDAJ	VYBER	2320	21239	\N	\N	\N
192769	654	1996-10-21	VYDAJ	VYBER	3840	29305	\N	\N	\N
192770	654	1996-03-31	VYDAJ	VYBER	2000	29425	\N	\N	\N
192771	654	1996-11-06	VYDAJ	VYBER	3280	25938	\N	\N	\N
192772	654	1996-03-22	VYDAJ	VYBER	2560	31292	\N	\N	\N
192773	654	1996-09-06	VYDAJ	VYBER	1200	26625	\N	\N	\N
192774	654	1996-08-14	VYDAJ	VYBER	3520	27721	\N	\N	\N
192775	654	1997-11-21	VYDAJ	VYBER	560	33655	\N	\N	\N
192776	654	1997-08-20	VYDAJ	VYBER	3680	24293	\N	\N	\N
192777	654	1997-08-14	VYDAJ	VYBER	3840	27973	\N	\N	\N
192778	654	1997-02-23	VYDAJ	VYBER	2400	32749	\N	\N	\N
192779	654	1997-05-05	VYDAJ	VYBER	2720	36241	\N	\N	\N
192780	654	1997-06-24	VYDAJ	VYBER	2880	25171	\N	\N	\N
192781	654	1998-09-15	VYDAJ	VYBER	2480	40445	\N	\N	\N
192782	654	1998-11-06	VYDAJ	VYBER	800	40526	\N	\N	\N
192783	654	1998-08-31	VYDAJ	VYBER	1920	39718	\N	\N	\N
192784	654	1998-12-17	VYDAJ	VYBER	1680	44223	\N	\N	\N
192785	654	1998-08-26	VYDAJ	VYBER	2800	41472	\N	\N	\N
192786	654	1998-11-01	VYDAJ	VYBER	2640	41326	\N	\N	\N
192787	654	1998-08-11	VYDAJ	VYBER	3200	44272	\N	\N	\N
192788	654	1998-07-27	VYDAJ	VYBER	2960	44091	\N	\N	\N
192804	654	1995-03-31	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
192805	654	1995-04-30	VYDAJ	VYBER	15	27508	SLUZBY	\N	\N
192806	654	1995-05-31	VYDAJ	VYBER	15	27717	SLUZBY	\N	\N
192807	654	1995-06-30	VYDAJ	VYBER	15	13402	SLUZBY	\N	\N
192808	654	1995-07-31	VYDAJ	VYBER	15	16660	SLUZBY	\N	\N
192809	654	1995-08-31	VYDAJ	VYBER	15	19931	SLUZBY	\N	\N
192810	654	1995-09-30	VYDAJ	VYBER	15	22655	SLUZBY	\N	\N
192811	654	1995-10-31	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
192812	654	1995-11-30	VYDAJ	VYBER	15	29260	SLUZBY	\N	\N
192813	654	1995-12-31	VYDAJ	VYBER	15	27644	SLUZBY	\N	\N
192814	654	1996-01-31	VYDAJ	VYBER	15	27430	SLUZBY	\N	\N
192815	654	1996-02-29	VYDAJ	VYBER	15	30745	SLUZBY	\N	\N
192816	654	1996-03-31	VYDAJ	VYBER	15	29410	SLUZBY	\N	\N
192817	654	1996-04-30	VYDAJ	VYBER	15	32734	SLUZBY	\N	\N
192818	654	1996-05-31	VYDAJ	VYBER	15	33362	SLUZBY	\N	\N
192819	654	1996-06-30	VYDAJ	VYBER	15	26821	SLUZBY	\N	\N
192820	654	1996-07-31	VYDAJ	VYBER	15	30134	SLUZBY	\N	\N
192821	654	1996-08-31	VYDAJ	VYBER	15	27825	SLUZBY	\N	\N
192822	654	1996-09-30	VYDAJ	VYBER	15	29938	SLUZBY	\N	\N
192823	654	1996-10-31	VYDAJ	VYBER	15	29418	SLUZBY	\N	\N
192824	654	1996-11-30	VYDAJ	VYBER	15	29249	SLUZBY	\N	\N
192825	654	1996-12-31	VYDAJ	VYBER	15	31719	SLUZBY	\N	\N
192826	654	1997-01-31	VYDAJ	VYBER	15	31942	SLUZBY	\N	\N
192827	654	1997-02-28	VYDAJ	VYBER	15	32874	SLUZBY	\N	\N
192828	654	1997-03-31	VYDAJ	VYBER	15	36211	SLUZBY	\N	\N
192829	654	1997-04-30	VYDAJ	VYBER	15	39161	SLUZBY	\N	\N
192830	654	1997-05-31	VYDAJ	VYBER	15	39594	SLUZBY	\N	\N
192831	654	1997-06-30	VYDAJ	VYBER	15	25299	SLUZBY	\N	\N
192832	654	1997-07-31	VYDAJ	VYBER	15	28606	SLUZBY	\N	\N
192833	654	1997-08-31	VYDAJ	VYBER	15	24390	SLUZBY	\N	\N
192834	654	1997-09-30	VYDAJ	VYBER	15	27692	SLUZBY	\N	\N
192835	654	1997-10-31	VYDAJ	VYBER	15	31008	SLUZBY	\N	\N
192836	654	1997-11-30	VYDAJ	VYBER	15	33777	SLUZBY	\N	\N
192837	654	1997-12-31	VYDAJ	VYBER	15	35265	SLUZBY	\N	\N
192838	654	1998-01-31	VYDAJ	VYBER	15	38612	SLUZBY	\N	\N
192839	654	1998-02-28	VYDAJ	VYBER	15	40972	SLUZBY	\N	\N
192840	654	1998-03-31	VYDAJ	VYBER	15	38241	SLUZBY	\N	\N
192841	654	1998-04-30	VYDAJ	VYBER	15	40000	SLUZBY	\N	\N
192842	654	1998-05-31	VYDAJ	VYBER	15	43366	SLUZBY	\N	\N
192843	654	1998-06-30	VYDAJ	VYBER	15	43944	SLUZBY	\N	\N
192844	654	1998-07-31	VYDAJ	VYBER	15	44265	SLUZBY	\N	\N
192845	654	1998-08-31	VYDAJ	VYBER	15	41638	SLUZBY	\N	\N
192846	654	1998-09-30	VYDAJ	VYBER	15	40597	SLUZBY	\N	\N
192847	654	1998-10-31	VYDAJ	VYBER	15	43966	SLUZBY	\N	\N
192848	654	1998-11-30	VYDAJ	VYBER	15	43896	SLUZBY	\N	\N
192849	654	1995-02-13	VYDAJ	VYBER	1800	22768	\N	\N	\N
192850	654	1995-03-15	VYDAJ	VYBER	2700	26214	\N	\N	\N
192851	654	1995-04-14	VYDAJ	VYBER	2100	27409	\N	\N	\N
192852	654	1995-05-14	VYDAJ	VYBER	3100	27615	\N	\N	\N
192853	654	1995-06-13	VYDAJ	VYBER	6100	24824	\N	\N	\N
192854	654	1995-12-10	VYDAJ	VYBER	1000	25125	\N	\N	\N
192855	654	1996-01-09	VYDAJ	VYBER	1200	26444	\N	\N	\N
192856	654	1996-03-09	VYDAJ	VYBER	100	30645	\N	\N	\N
192857	654	1996-05-08	VYDAJ	VYBER	2700	30034	\N	\N	\N
192858	654	1996-08-06	VYDAJ	VYBER	2100	28034	\N	\N	\N
192859	654	1996-11-04	VYDAJ	VYBER	200	29218	\N	\N	\N
192860	654	1996-12-04	VYDAJ	VYBER	500	28749	\N	\N	\N
192861	654	1997-01-03	VYDAJ	VYBER	3100	28619	\N	\N	\N
192862	654	1997-04-03	VYDAJ	VYBER	400	35811	\N	\N	\N
192863	654	1997-05-03	VYDAJ	VYBER	200	38961	\N	\N	\N
192864	654	1997-06-02	VYDAJ	VYBER	3500	36094	\N	\N	\N
192865	654	1997-12-29	VYDAJ	VYBER	1100	35134	\N	\N	\N
192866	654	1998-02-27	VYDAJ	VYBER	1000	40819	\N	\N	\N
192867	654	1998-03-29	VYDAJ	VYBER	6100	38079	\N	\N	\N
192868	654	1998-04-28	VYDAJ	VYBER	1600	39848	\N	\N	\N
192869	654	1998-06-27	VYDAJ	VYBER	400	43773	\N	\N	\N
192870	654	1998-07-27	VYDAJ	VYBER	100	47051	\N	\N	\N
192918	655	1993-03-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
192922	655	1993-04-06	PRIJEM	VKLAD	23625	24625	\N	\N	\N
192923	655	1993-05-06	PRIJEM	VKLAD	23625	47577	\N	\N	\N
192924	655	1993-06-06	PRIJEM	VKLAD	35438	70428	\N	\N	\N
192925	655	1993-07-06	PRIJEM	VKLAD	23625	71013	\N	\N	\N
192926	655	1993-08-06	PRIJEM	VKLAD	23625	69233	\N	\N	\N
192927	655	1993-09-06	PRIJEM	VKLAD	23625	66891	\N	\N	\N
192928	655	1993-10-06	PRIJEM	VKLAD	23625	65552	\N	\N	\N
192929	655	1993-11-06	PRIJEM	VKLAD	23625	66106	\N	\N	\N
192930	655	1993-12-06	PRIJEM	VKLAD	35438	73073	\N	\N	\N
192931	655	1994-01-06	PRIJEM	VKLAD	23625	66543	\N	\N	\N
192932	655	1994-02-06	PRIJEM	VKLAD	23625	59885	\N	\N	\N
192933	655	1994-03-06	PRIJEM	VKLAD	23625	62718	\N	\N	\N
192934	655	1994-04-06	PRIJEM	VKLAD	23625	61560	\N	\N	\N
192935	655	1994-05-06	PRIJEM	VKLAD	23625	67707	\N	\N	\N
192936	655	1994-06-06	PRIJEM	VKLAD	35438	78176	\N	\N	\N
192937	655	1994-07-06	PRIJEM	VKLAD	23625	65531	\N	\N	\N
192938	655	1994-08-06	PRIJEM	VKLAD	23625	64981	\N	\N	\N
192939	655	1994-09-06	PRIJEM	VKLAD	23625	66429	\N	\N	\N
192940	655	1994-10-06	PRIJEM	VKLAD	23625	66279	\N	\N	\N
192941	655	1994-11-06	PRIJEM	VKLAD	23625	71537	\N	\N	\N
192942	655	1994-12-06	PRIJEM	VKLAD	35438	83317	\N	\N	\N
192943	655	1995-01-06	PRIJEM	VKLAD	23625	65907	\N	\N	\N
192944	655	1995-02-06	PRIJEM	VKLAD	23625	64554	\N	\N	\N
192945	655	1995-03-06	PRIJEM	VKLAD	23625	70001	\N	\N	\N
192946	655	1995-04-06	PRIJEM	VKLAD	23625	69759	\N	\N	\N
192947	655	1995-05-06	PRIJEM	VKLAD	23625	75129	\N	\N	\N
192948	655	1995-06-06	PRIJEM	VKLAD	35438	79229	\N	\N	\N
192949	655	1995-07-06	PRIJEM	VKLAD	23625	77716	\N	\N	\N
192950	655	1995-08-06	PRIJEM	VKLAD	23625	73548	\N	\N	\N
192951	655	1995-09-06	PRIJEM	VKLAD	23625	72116	\N	\N	\N
192952	655	1995-10-06	PRIJEM	VKLAD	23625	75683	\N	\N	\N
192953	655	1995-11-06	PRIJEM	VKLAD	23625	78367	\N	\N	\N
192954	655	1995-12-06	PRIJEM	VKLAD	35438	90461	\N	\N	\N
192955	655	1996-01-06	PRIJEM	VKLAD	23625	68848	\N	\N	\N
192956	655	1996-02-06	PRIJEM	VKLAD	23625	64691	\N	\N	\N
192957	655	1996-03-06	PRIJEM	VKLAD	23625	69223	\N	\N	\N
192958	655	1996-04-06	PRIJEM	VKLAD	23625	65164	\N	\N	\N
192959	655	1996-05-06	PRIJEM	VKLAD	23625	68796	\N	\N	\N
192960	655	1996-06-06	PRIJEM	VKLAD	35438	84857	\N	\N	\N
192961	655	1996-07-06	PRIJEM	VKLAD	23625	52668	\N	\N	\N
192962	655	1996-08-06	PRIJEM	VKLAD	23625	59772	\N	\N	\N
192963	655	1996-09-06	PRIJEM	VKLAD	23625	70235	\N	\N	\N
192964	655	1996-10-06	PRIJEM	VKLAD	23625	75345	\N	\N	\N
192965	655	1996-11-06	PRIJEM	VKLAD	23625	73478	\N	\N	\N
192966	655	1996-12-06	PRIJEM	VKLAD	35438	83920	\N	\N	\N
192967	655	1997-01-06	PRIJEM	VKLAD	23625	79484	\N	\N	\N
192968	655	1997-02-06	PRIJEM	VKLAD	23625	68511	\N	\N	\N
192969	655	1997-03-06	PRIJEM	VKLAD	23625	69514	\N	\N	\N
192970	655	1997-04-06	PRIJEM	VKLAD	23625	70923	\N	\N	\N
192971	655	1997-05-06	PRIJEM	VKLAD	23625	74139	\N	\N	\N
192972	655	1997-06-06	PRIJEM	VKLAD	35438	88880	\N	\N	\N
192973	655	1997-07-06	PRIJEM	VKLAD	23625	69787	\N	\N	\N
192974	655	1997-08-06	PRIJEM	VKLAD	23625	74792	\N	\N	\N
192975	655	1997-09-06	PRIJEM	VKLAD	23625	74709	\N	\N	\N
192976	655	1997-10-06	PRIJEM	VKLAD	23625	76828	\N	\N	\N
192977	655	1997-11-06	PRIJEM	VKLAD	23625	81351	\N	\N	\N
192978	655	1997-12-06	PRIJEM	VKLAD	35438	98506	\N	\N	\N
192979	655	1998-01-06	PRIJEM	VKLAD	23625	93106	\N	\N	\N
192980	655	1998-02-06	PRIJEM	VKLAD	23625	84957	\N	\N	\N
192981	655	1998-03-06	PRIJEM	VKLAD	23625	86011	\N	\N	\N
192982	655	1998-04-06	PRIJEM	VKLAD	23625	83465	\N	\N	\N
192983	655	1998-05-06	PRIJEM	VKLAD	23625	86911	\N	\N	\N
192984	655	1998-06-06	PRIJEM	VKLAD	35438	103584	\N	\N	\N
192985	655	1998-07-06	PRIJEM	VKLAD	23625	94288	\N	\N	\N
192986	655	1998-08-06	PRIJEM	VKLAD	23625	94073	\N	\N	\N
192987	655	1998-09-06	PRIJEM	VKLAD	23625	93454	\N	\N	\N
192988	655	1998-10-06	PRIJEM	VKLAD	23625	87923	\N	\N	\N
192989	655	1998-11-06	PRIJEM	VKLAD	23625	84075	\N	\N	\N
192990	655	1998-12-06	PRIJEM	VKLAD	35438	98027	\N	\N	\N
192998	655	1993-08-10	VYDAJ	PREVOD NA UCET	1899	67334	SIPO	CD	91412663
192999	655	1993-09-10	VYDAJ	PREVOD NA UCET	1899	63992	SIPO	CD	91412663
193000	655	1993-10-10	VYDAJ	PREVOD NA UCET	1899	61353	SIPO	CD	91412663
193001	655	1993-11-10	VYDAJ	PREVOD NA UCET	1899	64207	SIPO	CD	91412663
193002	655	1993-12-10	VYDAJ	PREVOD NA UCET	1899	71174	SIPO	CD	91412663
193003	655	1994-01-10	VYDAJ	PREVOD NA UCET	1899	58644	SIPO	CD	91412663
193004	655	1994-02-10	VYDAJ	PREVOD NA UCET	1899	57986	SIPO	CD	91412663
193005	655	1994-03-10	VYDAJ	PREVOD NA UCET	1899	60819	SIPO	CD	91412663
193006	655	1994-04-10	VYDAJ	PREVOD NA UCET	1899	59661	SIPO	CD	91412663
193007	655	1994-05-10	VYDAJ	PREVOD NA UCET	1899	65808	SIPO	CD	91412663
193008	655	1994-06-10	VYDAJ	PREVOD NA UCET	1899	76277	SIPO	CD	91412663
193009	655	1994-07-10	VYDAJ	PREVOD NA UCET	1899	63632	SIPO	CD	91412663
193010	655	1994-08-10	VYDAJ	PREVOD NA UCET	1899	63082	SIPO	CD	91412663
193011	655	1994-09-10	VYDAJ	PREVOD NA UCET	1899	64530	SIPO	CD	91412663
193012	655	1994-10-10	VYDAJ	PREVOD NA UCET	1899	64380	SIPO	CD	91412663
193013	655	1994-11-10	VYDAJ	PREVOD NA UCET	1899	69638	SIPO	CD	91412663
193014	655	1994-12-10	VYDAJ	PREVOD NA UCET	1899	81418	SIPO	CD	91412663
193015	655	1995-01-10	VYDAJ	PREVOD NA UCET	1899	64008	SIPO	CD	91412663
193016	655	1995-02-10	VYDAJ	PREVOD NA UCET	1899	62655	SIPO	CD	91412663
193017	655	1995-03-10	VYDAJ	PREVOD NA UCET	1899	68102	SIPO	CD	91412663
193018	655	1995-04-10	VYDAJ	PREVOD NA UCET	1899	67860	SIPO	CD	91412663
193019	655	1995-05-10	VYDAJ	PREVOD NA UCET	1899	73230	SIPO	CD	91412663
193020	655	1995-06-10	VYDAJ	PREVOD NA UCET	1899	77330	SIPO	CD	91412663
193021	655	1995-07-10	VYDAJ	PREVOD NA UCET	1899	74817	SIPO	CD	91412663
193022	655	1995-08-10	VYDAJ	PREVOD NA UCET	1899	71649	SIPO	CD	91412663
193023	655	1995-09-10	VYDAJ	PREVOD NA UCET	1899	54417	SIPO	CD	91412663
193024	655	1995-10-10	VYDAJ	PREVOD NA UCET	1899	73784	SIPO	CD	91412663
193025	655	1995-11-10	VYDAJ	PREVOD NA UCET	1899	57368	SIPO	CD	91412663
193026	655	1995-12-10	VYDAJ	PREVOD NA UCET	1899	58762	SIPO	CD	91412663
193027	655	1996-01-10	VYDAJ	PREVOD NA UCET	1899	51849	SIPO	CD	91412663
193028	655	1996-02-10	VYDAJ	PREVOD NA UCET	1899	47992	SIPO	CD	91412663
193029	655	1996-03-10	VYDAJ	PREVOD NA UCET	1899	49624	SIPO	CD	91412663
193030	655	1996-04-10	VYDAJ	PREVOD NA UCET	1899	47565	SIPO	CD	91412663
193031	655	1996-05-10	VYDAJ	PREVOD NA UCET	1899	51797	SIPO	CD	91412663
193032	655	1996-06-10	VYDAJ	PREVOD NA UCET	1899	58258	SIPO	CD	91412663
193033	655	1996-07-10	VYDAJ	PREVOD NA UCET	1899	42969	SIPO	CD	91412663
193034	655	1996-08-10	VYDAJ	PREVOD NA UCET	1899	57873	SIPO	CD	91412663
193035	655	1996-09-10	VYDAJ	PREVOD NA UCET	1899	68336	SIPO	CD	91412663
193036	655	1996-10-10	VYDAJ	PREVOD NA UCET	1899	73446	SIPO	CD	91412663
193037	655	1996-11-10	VYDAJ	PREVOD NA UCET	1899	71579	SIPO	CD	91412663
193038	655	1996-12-10	VYDAJ	PREVOD NA UCET	1899	82021	SIPO	CD	91412663
193039	655	1997-01-10	VYDAJ	PREVOD NA UCET	1899	72885	SIPO	CD	91412663
193040	655	1997-02-10	VYDAJ	PREVOD NA UCET	1899	66612	SIPO	CD	91412663
193041	655	1997-03-10	VYDAJ	PREVOD NA UCET	1899	67615	SIPO	CD	91412663
193042	655	1997-04-10	VYDAJ	PREVOD NA UCET	1899	69024	SIPO	CD	91412663
193043	655	1997-05-10	VYDAJ	PREVOD NA UCET	1899	72240	SIPO	CD	91412663
193044	655	1997-06-10	VYDAJ	PREVOD NA UCET	1899	61281	SIPO	CD	91412663
193045	655	1997-07-10	VYDAJ	PREVOD NA UCET	1899	67888	SIPO	CD	91412663
193046	655	1997-08-10	VYDAJ	PREVOD NA UCET	1899	72893	SIPO	CD	91412663
193047	655	1997-09-10	VYDAJ	PREVOD NA UCET	1899	72810	SIPO	CD	91412663
193048	655	1997-10-10	VYDAJ	PREVOD NA UCET	1899	74929	SIPO	CD	91412663
193049	655	1997-11-10	VYDAJ	PREVOD NA UCET	1899	79452	SIPO	CD	91412663
193050	655	1997-12-10	VYDAJ	PREVOD NA UCET	1899	96607	SIPO	CD	91412663
193051	655	1998-01-10	VYDAJ	PREVOD NA UCET	1899	82107	SIPO	CD	91412663
193052	655	1998-02-10	VYDAJ	PREVOD NA UCET	1899	83058	SIPO	CD	91412663
193053	655	1998-03-10	VYDAJ	PREVOD NA UCET	1899	84112	SIPO	CD	91412663
193054	655	1998-04-10	VYDAJ	PREVOD NA UCET	1899	81566	SIPO	CD	91412663
193055	655	1998-05-10	VYDAJ	PREVOD NA UCET	1899	85012	SIPO	CD	91412663
193056	655	1998-06-10	VYDAJ	PREVOD NA UCET	1899	101685	SIPO	CD	91412663
193057	655	1998-07-10	VYDAJ	PREVOD NA UCET	1899	92389	SIPO	CD	91412663
193058	655	1998-08-10	VYDAJ	PREVOD NA UCET	1899	92174	SIPO	CD	91412663
193059	655	1998-09-10	VYDAJ	PREVOD NA UCET	1899	91555	SIPO	CD	91412663
193060	655	1998-10-10	VYDAJ	PREVOD NA UCET	1899	86024	SIPO	CD	91412663
193061	655	1998-11-10	VYDAJ	PREVOD NA UCET	1899	82176	SIPO	CD	91412663
193062	655	1998-12-10	VYDAJ	PREVOD NA UCET	1899	96128	SIPO	CD	91412663
193070	655	1993-08-12	VYDAJ	PREVOD NA UCET	2036	65298	 	WX	48714017
193071	655	1993-09-12	VYDAJ	PREVOD NA UCET	2036	61956	 	WX	48714017
193072	655	1993-10-12	VYDAJ	PREVOD NA UCET	2036	59317	 	WX	48714017
193073	655	1993-11-12	VYDAJ	PREVOD NA UCET	2036	62171	 	WX	48714017
193074	655	1993-12-12	VYDAJ	PREVOD NA UCET	2036	69138	 	WX	48714017
193075	655	1994-01-12	VYDAJ	PREVOD NA UCET	2036	56608	 	WX	48714017
193076	655	1994-02-12	VYDAJ	PREVOD NA UCET	2036	55950	 	WX	48714017
193077	655	1994-03-12	VYDAJ	PREVOD NA UCET	2036	58783	 	WX	48714017
193078	655	1994-04-12	VYDAJ	PREVOD NA UCET	2036	57625	 	WX	48714017
193079	655	1994-05-12	VYDAJ	PREVOD NA UCET	2036	62572	 	WX	48714017
193080	655	1994-06-12	VYDAJ	PREVOD NA UCET	2036	74241	 	WX	48714017
193081	655	1994-07-12	VYDAJ	PREVOD NA UCET	2036	61596	 	WX	48714017
193082	655	1994-08-12	VYDAJ	PREVOD NA UCET	2036	61046	 	WX	48714017
193083	655	1994-09-12	VYDAJ	PREVOD NA UCET	2036	62494	 	WX	48714017
193084	655	1994-10-12	VYDAJ	PREVOD NA UCET	2036	62344	 	WX	48714017
193085	655	1994-11-12	VYDAJ	PREVOD NA UCET	2036	67602	 	WX	48714017
193086	655	1994-12-12	VYDAJ	PREVOD NA UCET	2036	79382	 	WX	48714017
193087	655	1995-01-12	VYDAJ	PREVOD NA UCET	2036	60472	 	WX	48714017
193088	655	1995-02-12	VYDAJ	PREVOD NA UCET	2036	60619	 	WX	48714017
193089	655	1995-03-12	VYDAJ	PREVOD NA UCET	2036	66066	 	WX	48714017
193090	655	1995-04-12	VYDAJ	PREVOD NA UCET	2036	65824	 	WX	48714017
193091	655	1995-05-12	VYDAJ	PREVOD NA UCET	2036	71194	 	WX	48714017
193092	655	1995-06-12	VYDAJ	PREVOD NA UCET	2036	75294	 	WX	48714017
193093	655	1995-07-12	VYDAJ	PREVOD NA UCET	2036	72781	 	WX	48714017
193094	655	1995-08-12	VYDAJ	PREVOD NA UCET	2036	52013	 	WX	48714017
193095	655	1995-09-12	VYDAJ	PREVOD NA UCET	2036	52381	 	WX	48714017
193096	655	1995-10-12	VYDAJ	PREVOD NA UCET	2036	55048	 	WX	48714017
193097	655	1995-11-12	VYDAJ	PREVOD NA UCET	2036	55332	 	WX	48714017
193098	655	1995-12-12	VYDAJ	PREVOD NA UCET	2036	56726	 	WX	48714017
193099	655	1996-01-12	VYDAJ	PREVOD NA UCET	2036	48213	 	WX	48714017
193100	655	1996-02-12	VYDAJ	PREVOD NA UCET	2036	45956	 	WX	48714017
193101	655	1996-03-12	VYDAJ	PREVOD NA UCET	2036	47588	 	WX	48714017
193102	655	1996-04-12	VYDAJ	PREVOD NA UCET	2036	45529	 	WX	48714017
193103	655	1996-05-12	VYDAJ	PREVOD NA UCET	2036	49761	 	WX	48714017
193104	655	1996-06-12	VYDAJ	PREVOD NA UCET	2036	29422	 	WX	48714017
193105	655	1996-07-12	VYDAJ	PREVOD NA UCET	2036	40933	 	WX	48714017
193106	655	1996-08-12	VYDAJ	PREVOD NA UCET	2036	55837	 	WX	48714017
193107	655	1996-09-12	VYDAJ	PREVOD NA UCET	2036	66300	 	WX	48714017
193108	655	1996-10-12	VYDAJ	PREVOD NA UCET	2036	71410	 	WX	48714017
193109	655	1996-11-12	VYDAJ	PREVOD NA UCET	2036	69543	 	WX	48714017
193110	655	1996-12-12	VYDAJ	PREVOD NA UCET	2036	79985	 	WX	48714017
193111	655	1997-01-12	VYDAJ	PREVOD NA UCET	2036	70849	 	WX	48714017
193112	655	1997-02-12	VYDAJ	PREVOD NA UCET	2036	64576	 	WX	48714017
193113	655	1997-03-12	VYDAJ	PREVOD NA UCET	2036	65579	 	WX	48714017
193114	655	1997-04-12	VYDAJ	PREVOD NA UCET	2036	66988	 	WX	48714017
193115	655	1997-05-12	VYDAJ	PREVOD NA UCET	2036	70204	 	WX	48714017
193116	655	1997-06-12	VYDAJ	PREVOD NA UCET	2036	59245	 	WX	48714017
193117	655	1997-07-12	VYDAJ	PREVOD NA UCET	2036	65852	 	WX	48714017
193118	655	1997-08-12	VYDAJ	PREVOD NA UCET	2036	70857	 	WX	48714017
193119	655	1997-09-12	VYDAJ	PREVOD NA UCET	2036	70774	 	WX	48714017
193120	655	1997-10-12	VYDAJ	PREVOD NA UCET	2036	72893	 	WX	48714017
193121	655	1997-11-12	VYDAJ	PREVOD NA UCET	2036	77416	 	WX	48714017
193122	655	1997-12-12	VYDAJ	PREVOD NA UCET	2036	92471	 	WX	48714017
193123	655	1998-01-12	VYDAJ	PREVOD NA UCET	2036	79271	 	WX	48714017
193124	655	1998-02-12	VYDAJ	PREVOD NA UCET	2036	81022	 	WX	48714017
193125	655	1998-03-12	VYDAJ	PREVOD NA UCET	2036	82076	 	WX	48714017
193126	655	1998-04-12	VYDAJ	PREVOD NA UCET	2036	79530	 	WX	48714017
193127	655	1998-05-12	VYDAJ	PREVOD NA UCET	2036	82976	 	WX	48714017
193128	655	1998-06-12	VYDAJ	PREVOD NA UCET	2036	99649	 	WX	48714017
193129	655	1998-07-12	VYDAJ	PREVOD NA UCET	2036	90353	 	WX	48714017
193130	655	1998-08-12	VYDAJ	PREVOD NA UCET	2036	90138	 	WX	48714017
193131	655	1998-09-12	VYDAJ	PREVOD NA UCET	2036	89519	 	WX	48714017
193132	655	1998-10-12	VYDAJ	PREVOD NA UCET	2036	83988	 	WX	48714017
193133	655	1998-11-12	VYDAJ	PREVOD NA UCET	2036	80140	 	WX	48714017
193134	655	1998-12-12	VYDAJ	PREVOD NA UCET	2036	94092	 	WX	48714017
193143	655	1993-09-05	VYDAJ	PREVOD NA UCET	193	43266	POJISTNE	KL	32799506
193144	655	1993-10-05	VYDAJ	PREVOD NA UCET	193	42268	POJISTNE	KL	32799506
193145	655	1993-11-05	VYDAJ	PREVOD NA UCET	193	42822	POJISTNE	KL	32799506
193146	655	1993-12-05	VYDAJ	PREVOD NA UCET	193	37976	POJISTNE	KL	32799506
193147	655	1994-01-05	VYDAJ	PREVOD NA UCET	193	43259	POJISTNE	KL	32799506
193148	655	1994-02-05	VYDAJ	PREVOD NA UCET	193	36260	POJISTNE	KL	32799506
193149	655	1994-03-05	VYDAJ	PREVOD NA UCET	193	39434	POJISTNE	KL	32799506
193150	655	1994-04-05	VYDAJ	PREVOD NA UCET	193	38276	POJISTNE	KL	32799506
193151	655	1994-05-05	VYDAJ	PREVOD NA UCET	193	44082	POJISTNE	KL	32799506
193152	655	1994-06-05	VYDAJ	PREVOD NA UCET	193	42738	POJISTNE	KL	32799506
193153	655	1994-07-05	VYDAJ	PREVOD NA UCET	193	41906	POJISTNE	KL	32799506
193154	655	1994-08-05	VYDAJ	PREVOD NA UCET	193	41697	POJISTNE	KL	32799506
193155	655	1994-09-05	VYDAJ	PREVOD NA UCET	193	43145	POJISTNE	KL	32799506
193156	655	1994-10-05	VYDAJ	PREVOD NA UCET	193	42654	POJISTNE	KL	32799506
193157	655	1994-11-05	VYDAJ	PREVOD NA UCET	193	47912	POJISTNE	KL	32799506
193158	655	1994-12-05	VYDAJ	PREVOD NA UCET	193	48220	POJISTNE	KL	32799506
193159	655	1995-01-05	VYDAJ	PREVOD NA UCET	193	42623	POJISTNE	KL	32799506
193160	655	1995-02-05	VYDAJ	PREVOD NA UCET	193	40929	POJISTNE	KL	32799506
193161	655	1995-03-05	VYDAJ	PREVOD NA UCET	193	46717	POJISTNE	KL	32799506
193162	655	1995-04-05	VYDAJ	PREVOD NA UCET	193	46134	POJISTNE	KL	32799506
193163	655	1995-05-05	VYDAJ	PREVOD NA UCET	193	51504	POJISTNE	KL	32799506
193164	655	1995-06-05	VYDAJ	PREVOD NA UCET	193	43791	POJISTNE	KL	32799506
193165	655	1995-07-05	VYDAJ	PREVOD NA UCET	193	54432	POJISTNE	KL	32799506
193166	655	1995-08-05	VYDAJ	PREVOD NA UCET	193	49923	POJISTNE	KL	32799506
193167	655	1995-09-05	VYDAJ	PREVOD NA UCET	193	48491	POJISTNE	KL	32799506
193168	655	1995-10-05	VYDAJ	PREVOD NA UCET	193	52399	POJISTNE	KL	32799506
193169	655	1995-11-05	VYDAJ	PREVOD NA UCET	193	54742	POJISTNE	KL	32799506
193170	655	1995-12-05	VYDAJ	PREVOD NA UCET	193	55023	POJISTNE	KL	32799506
193171	655	1996-01-05	VYDAJ	PREVOD NA UCET	193	45223	POJISTNE	KL	32799506
193172	655	1996-02-05	VYDAJ	PREVOD NA UCET	193	41066	POJISTNE	KL	32799506
193173	655	1996-03-05	VYDAJ	PREVOD NA UCET	193	45939	POJISTNE	KL	32799506
193174	655	1996-04-05	VYDAJ	PREVOD NA UCET	193	41539	POJISTNE	KL	32799506
193175	655	1996-05-05	VYDAJ	PREVOD NA UCET	193	45512	POJISTNE	KL	32799506
193176	655	1996-06-05	VYDAJ	PREVOD NA UCET	193	49419	POJISTNE	KL	32799506
193177	655	1996-07-05	VYDAJ	PREVOD NA UCET	193	29384	POJISTNE	KL	32799506
193178	655	1996-08-05	VYDAJ	PREVOD NA UCET	193	36147	POJISTNE	KL	32799506
193179	655	1996-09-05	VYDAJ	PREVOD NA UCET	193	46951	POJISTNE	KL	32799506
193180	655	1996-10-05	VYDAJ	PREVOD NA UCET	193	51720	POJISTNE	KL	32799506
193181	655	1996-11-05	VYDAJ	PREVOD NA UCET	193	49853	POJISTNE	KL	32799506
193182	655	1996-12-05	VYDAJ	PREVOD NA UCET	193	48823	POJISTNE	KL	32799506
193183	655	1997-01-05	VYDAJ	PREVOD NA UCET	193	56200	POJISTNE	KL	32799506
193184	655	1997-02-05	VYDAJ	PREVOD NA UCET	193	45227	POJISTNE	KL	32799506
193185	655	1997-03-05	VYDAJ	PREVOD NA UCET	193	46230	POJISTNE	KL	32799506
193186	655	1997-04-05	VYDAJ	PREVOD NA UCET	193	47298	POJISTNE	KL	32799506
193187	655	1997-05-05	VYDAJ	PREVOD NA UCET	193	50855	POJISTNE	KL	32799506
193188	655	1997-06-05	VYDAJ	PREVOD NA UCET	193	53783	POJISTNE	KL	32799506
193189	655	1997-07-05	VYDAJ	PREVOD NA UCET	193	46162	POJISTNE	KL	32799506
193190	655	1997-08-05	VYDAJ	PREVOD NA UCET	193	51508	POJISTNE	KL	32799506
193191	655	1997-09-05	VYDAJ	PREVOD NA UCET	193	51425	POJISTNE	KL	32799506
193192	655	1997-10-05	VYDAJ	PREVOD NA UCET	193	53203	POJISTNE	KL	32799506
193193	655	1997-11-05	VYDAJ	PREVOD NA UCET	193	57726	POJISTNE	KL	32799506
193194	655	1997-12-05	VYDAJ	PREVOD NA UCET	193	63409	POJISTNE	KL	32799506
193195	655	1998-01-05	VYDAJ	PREVOD NA UCET	193	69822	POJISTNE	KL	32799506
193196	655	1998-02-05	VYDAJ	PREVOD NA UCET	193	61332	POJISTNE	KL	32799506
193197	655	1998-03-05	VYDAJ	PREVOD NA UCET	193	62727	POJISTNE	KL	32799506
193198	655	1998-04-05	VYDAJ	PREVOD NA UCET	193	59840	POJISTNE	KL	32799506
193199	655	1998-05-05	VYDAJ	PREVOD NA UCET	193	63627	POJISTNE	KL	32799506
193200	655	1998-06-05	VYDAJ	PREVOD NA UCET	193	68487	POJISTNE	KL	32799506
193201	655	1998-07-05	VYDAJ	PREVOD NA UCET	193	70663	POJISTNE	KL	32799506
193202	655	1998-08-05	VYDAJ	PREVOD NA UCET	193	70448	POJISTNE	KL	32799506
193203	655	1998-09-05	VYDAJ	PREVOD NA UCET	193	69829	POJISTNE	KL	32799506
193204	655	1998-10-05	VYDAJ	PREVOD NA UCET	193	64298	POJISTNE	KL	32799506
193205	655	1998-11-05	VYDAJ	PREVOD NA UCET	193	60450	POJISTNE	KL	32799506
193206	655	1998-12-05	VYDAJ	PREVOD NA UCET	193	62589	POJISTNE	KL	32799506
193215	655	1993-09-05	VYDAJ	PREVOD NA UCET	341	43459	 	IJ	19362265
193216	655	1993-10-05	VYDAJ	PREVOD NA UCET	341	41927	 	IJ	19362265
193217	655	1993-11-05	VYDAJ	PREVOD NA UCET	341	42481	 	IJ	19362265
193218	655	1993-12-05	VYDAJ	PREVOD NA UCET	341	37635	 	IJ	19362265
193219	655	1994-01-05	VYDAJ	PREVOD NA UCET	341	42918	 	IJ	19362265
193220	655	1994-02-05	VYDAJ	PREVOD NA UCET	341	36453	 	IJ	19362265
193221	655	1994-03-05	VYDAJ	PREVOD NA UCET	341	39093	 	IJ	19362265
193222	655	1994-04-05	VYDAJ	PREVOD NA UCET	341	37935	 	IJ	19362265
193223	655	1994-05-05	VYDAJ	PREVOD NA UCET	341	44275	 	IJ	19362265
193224	655	1994-06-05	VYDAJ	PREVOD NA UCET	341	42931	 	IJ	19362265
193225	655	1994-07-05	VYDAJ	PREVOD NA UCET	341	42099	 	IJ	19362265
193226	655	1994-08-05	VYDAJ	PREVOD NA UCET	341	41356	 	IJ	19362265
193227	655	1994-09-05	VYDAJ	PREVOD NA UCET	341	42804	 	IJ	19362265
193228	655	1994-10-05	VYDAJ	PREVOD NA UCET	341	42847	 	IJ	19362265
193229	655	1994-11-05	VYDAJ	PREVOD NA UCET	341	48105	 	IJ	19362265
193230	655	1994-12-05	VYDAJ	PREVOD NA UCET	341	47879	 	IJ	19362265
193231	655	1995-01-05	VYDAJ	PREVOD NA UCET	341	42282	 	IJ	19362265
193232	655	1995-02-05	VYDAJ	PREVOD NA UCET	341	41122	 	IJ	19362265
193233	655	1995-03-05	VYDAJ	PREVOD NA UCET	341	46376	 	IJ	19362265
193234	655	1995-04-05	VYDAJ	PREVOD NA UCET	341	46327	 	IJ	19362265
193235	655	1995-05-05	VYDAJ	PREVOD NA UCET	341	51697	 	IJ	19362265
193236	655	1995-06-05	VYDAJ	PREVOD NA UCET	341	43984	 	IJ	19362265
193237	655	1995-07-05	VYDAJ	PREVOD NA UCET	341	54091	 	IJ	19362265
193238	655	1995-08-05	VYDAJ	PREVOD NA UCET	341	50116	 	IJ	19362265
193239	655	1995-09-05	VYDAJ	PREVOD NA UCET	341	48684	 	IJ	19362265
193240	655	1995-10-05	VYDAJ	PREVOD NA UCET	341	52058	 	IJ	19362265
193241	655	1995-11-05	VYDAJ	PREVOD NA UCET	341	54935	 	IJ	19362265
193242	655	1995-12-05	VYDAJ	PREVOD NA UCET	341	55216	 	IJ	19362265
193243	655	1996-01-05	VYDAJ	PREVOD NA UCET	341	45416	 	IJ	19362265
193244	655	1996-02-05	VYDAJ	PREVOD NA UCET	341	41259	 	IJ	19362265
193245	655	1996-03-05	VYDAJ	PREVOD NA UCET	341	45598	 	IJ	19362265
193246	655	1996-04-05	VYDAJ	PREVOD NA UCET	341	41732	 	IJ	19362265
193247	655	1996-05-05	VYDAJ	PREVOD NA UCET	341	45171	 	IJ	19362265
193248	655	1996-06-05	VYDAJ	PREVOD NA UCET	341	49612	 	IJ	19362265
193249	655	1996-07-05	VYDAJ	PREVOD NA UCET	341	29043	 	IJ	19362265
193250	655	1996-08-05	VYDAJ	PREVOD NA UCET	341	40740	 	IJ	19362265
193251	655	1996-09-05	VYDAJ	PREVOD NA UCET	341	46610	 	IJ	19362265
193252	655	1996-10-05	VYDAJ	PREVOD NA UCET	341	51913	 	IJ	19362265
193253	655	1996-11-05	VYDAJ	PREVOD NA UCET	341	50046	 	IJ	19362265
193254	655	1996-12-05	VYDAJ	PREVOD NA UCET	341	48482	 	IJ	19362265
193255	655	1997-01-05	VYDAJ	PREVOD NA UCET	341	55859	 	IJ	19362265
193256	655	1997-02-05	VYDAJ	PREVOD NA UCET	341	44886	 	IJ	19362265
193257	655	1997-03-05	VYDAJ	PREVOD NA UCET	341	45889	 	IJ	19362265
193258	655	1997-04-05	VYDAJ	PREVOD NA UCET	341	47491	 	IJ	19362265
193259	655	1997-05-05	VYDAJ	PREVOD NA UCET	341	50514	 	IJ	19362265
193260	655	1997-06-05	VYDAJ	PREVOD NA UCET	341	53442	 	IJ	19362265
193261	655	1997-07-05	VYDAJ	PREVOD NA UCET	341	46355	 	IJ	19362265
193262	655	1997-08-05	VYDAJ	PREVOD NA UCET	341	51167	 	IJ	19362265
193263	655	1997-09-05	VYDAJ	PREVOD NA UCET	341	51084	 	IJ	19362265
193264	655	1997-10-05	VYDAJ	PREVOD NA UCET	341	53396	 	IJ	19362265
193373	655	1993-08-31	VYDAJ	VYBER	15	43800	SLUZBY	\N	\N
193265	655	1997-11-05	VYDAJ	PREVOD NA UCET	341	57919	 	IJ	19362265
193266	655	1997-12-05	VYDAJ	PREVOD NA UCET	341	63068	 	IJ	19362265
193267	655	1998-01-05	VYDAJ	PREVOD NA UCET	341	69481	 	IJ	19362265
193268	655	1998-02-05	VYDAJ	PREVOD NA UCET	341	61525	 	IJ	19362265
193269	655	1998-03-05	VYDAJ	PREVOD NA UCET	341	62386	 	IJ	19362265
193270	655	1998-04-05	VYDAJ	PREVOD NA UCET	341	60033	 	IJ	19362265
193271	655	1998-05-05	VYDAJ	PREVOD NA UCET	341	63286	 	IJ	19362265
193272	655	1998-06-05	VYDAJ	PREVOD NA UCET	341	68146	 	IJ	19362265
193273	655	1998-07-05	VYDAJ	PREVOD NA UCET	341	70856	 	IJ	19362265
193274	655	1998-08-05	VYDAJ	PREVOD NA UCET	341	70641	 	IJ	19362265
193275	655	1998-09-05	VYDAJ	PREVOD NA UCET	341	70022	 	IJ	19362265
193276	655	1998-10-05	VYDAJ	PREVOD NA UCET	341	64491	 	IJ	19362265
193277	655	1998-11-05	VYDAJ	PREVOD NA UCET	341	60643	 	IJ	19362265
193278	655	1998-12-05	VYDAJ	PREVOD NA UCET	341	62782	 	IJ	19362265
193280	655	1994-06-12	VYDAJ	VYBER	21500	52741	\N	\N	\N
193281	655	1995-06-04	VYDAJ	VYBER	11700	44325	\N	\N	\N
193282	655	1996-06-11	VYDAJ	VYBER	26800	31458	\N	\N	\N
193283	655	1997-06-10	VYDAJ	VYBER	25700	63180	\N	\N	\N
193284	655	1998-06-20	VYDAJ	VYBER	9000	90649	\N	\N	\N
193286	655	1994-01-06	VYDAJ	VYBER	4800	61743	\N	\N	\N
193287	655	1995-01-02	VYDAJ	VYBER	6300	45816	\N	\N	\N
193288	655	1996-01-03	VYDAJ	VYBER	5100	45757	\N	\N	\N
193289	655	1997-01-24	VYDAJ	VYBER KARTOU	2300	66849	\N	\N	0
193290	655	1998-01-09	VYDAJ	VYBER	4200	84006	\N	\N	\N
193291	655	1993-12-14	VYDAJ	VYBER	2500	66638	\N	\N	\N
193292	655	1994-12-24	VYDAJ	VYBER	2700	51882	\N	\N	\N
193293	655	1995-12-22	VYDAJ	VYBER	900	55826	\N	\N	\N
193294	655	1996-12-20	VYDAJ	VYBER	600	79385	\N	\N	\N
193295	655	1997-12-12	VYDAJ	VYBER KARTOU	2100	94507	\N	\N	0
193296	655	1998-12-16	VYDAJ	VYBER KARTOU	800	93292	\N	\N	0
193303	655	1994-01-28	VYDAJ	VYBER	500	36608	\N	\N	\N
193304	655	1994-01-23	VYDAJ	VYBER	1100	39808	\N	\N	\N
193305	655	1994-01-03	VYDAJ	VYBER	2500	43452	\N	\N	\N
193306	655	1994-01-06	VYDAJ	VYBER	1200	60543	\N	\N	\N
193307	655	1994-01-27	VYDAJ	VYBER	2700	37108	\N	\N	\N
193308	655	1994-01-02	VYDAJ	VYBER	500	45952	\N	\N	\N
193309	655	1995-01-24	VYDAJ	VYBER	1600	43472	\N	\N	\N
193310	655	1995-01-29	VYDAJ	VYBER	2200	41272	\N	\N	\N
193311	655	1995-01-03	VYDAJ	VYBER	700	45116	\N	\N	\N
193312	655	1995-01-11	VYDAJ	VYBER	1500	62508	\N	\N	\N
193313	655	1995-01-04	VYDAJ	VYBER	2300	42816	\N	\N	\N
193314	655	1995-01-17	VYDAJ	VYBER	2600	45072	\N	\N	\N
193315	655	1996-01-28	VYDAJ	VYBER	2100	43913	\N	\N	\N
193316	655	1996-01-29	VYDAJ	VYBER	2500	41413	\N	\N	\N
193317	655	1996-01-01	VYDAJ	VYBER	700	52057	\N	\N	\N
193318	655	1996-01-12	VYDAJ	VYBER	1600	50249	\N	\N	\N
193319	655	1996-01-16	VYDAJ	VYBER	2200	46013	\N	\N	\N
193320	655	1996-01-02	VYDAJ	VYBER	1200	50857	\N	\N	\N
193321	655	1997-01-14	VYDAJ	VYBER KARTOU	1700	69149	\N	\N	0
193322	655	1997-01-04	VYDAJ	VYBER	800	56393	\N	\N	\N
193323	655	1997-01-09	VYDAJ	VYBER	2800	74784	\N	\N	\N
193324	655	1997-01-08	VYDAJ	VYBER	1000	77584	\N	\N	\N
193325	655	1997-01-26	VYDAJ	VYBER KARTOU	1700	65149	\N	\N	0
193326	655	1997-01-28	VYDAJ	VYBER KARTOU	2800	62349	\N	\N	0
193327	655	1998-01-11	VYDAJ	VYBER KARTOU	800	81307	\N	\N	0
193328	655	1998-01-03	VYDAJ	VYBER KARTOU	1800	70015	\N	\N	0
193329	655	1998-01-23	VYDAJ	VYBER KARTOU	900	76771	\N	\N	0
193330	655	1998-01-07	VYDAJ	VYBER KARTOU	2900	90206	\N	\N	0
193331	655	1998-01-07	VYDAJ	VYBER KARTOU	2000	88206	\N	\N	0
193332	655	1998-01-14	VYDAJ	VYBER KARTOU	1600	77671	\N	\N	0
193333	655	1993-09-09	VYDAJ	VYBER	1000	65891	\N	\N	\N
193337	655	1993-11-29	VYDAJ	VYBER	3300	37971	\N	\N	\N
193338	655	1993-09-24	VYDAJ	VYBER	2400	42256	\N	\N	\N
193339	655	1993-10-09	VYDAJ	VYBER	2300	63252	\N	\N	\N
193340	655	1994-03-17	VYDAJ	VYBER	2300	56483	\N	\N	\N
193341	655	1994-05-11	VYDAJ	VYBER	1200	64608	\N	\N	\N
193342	655	1994-07-24	VYDAJ	VYBER	3000	41696	\N	\N	\N
193343	655	1994-09-30	VYDAJ	VYBER	1100	43203	\N	\N	\N
193344	655	1994-08-24	VYDAJ	VYBER	1600	43146	\N	\N	\N
193345	655	1994-03-24	VYDAJ	VYBER	3100	38283	\N	\N	\N
193346	655	1995-08-23	VYDAJ	VYBER	3200	48813	\N	\N	\N
193347	655	1995-03-16	VYDAJ	VYBER	2200	46466	\N	\N	\N
193348	655	1995-08-02	VYDAJ	VYBER	4000	50457	\N	\N	\N
193349	655	1995-12-06	VYDAJ	VYBER	2300	88161	\N	\N	\N
193350	655	1995-07-08	VYDAJ	VYBER	1000	76716	\N	\N	\N
193351	655	1996-01-01	VYDAJ	VYBER	3300	52757	\N	\N	\N
193352	655	1996-03-24	VYDAJ	VYBER	1800	45788	\N	\N	\N
193353	655	1996-03-30	VYDAJ	VYBER	3900	41888	\N	\N	\N
193354	655	1997-10-28	VYDAJ	VYBER KARTOU	3800	69093	\N	\N	0
193355	655	1997-02-21	VYDAJ	VYBER KARTOU	2800	61776	\N	\N	0
193356	655	1997-09-02	VYDAJ	VYBER KARTOU	4000	51618	\N	\N	0
193357	655	1997-01-06	VYDAJ	VYBER	900	78584	\N	\N	\N
193358	655	1997-07-18	VYDAJ	VYBER KARTOU	500	65352	\N	\N	0
193359	655	1998-09-17	VYDAJ	VYBER KARTOU	3000	86519	\N	\N	0
193360	655	1998-03-27	VYDAJ	VYBER	4200	77876	\N	\N	\N
193361	655	1998-04-20	VYDAJ	VYBER KARTOU	1800	77730	\N	\N	0
193362	655	1998-12-25	VYDAJ	VYBER	4400	63692	\N	\N	\N
193363	655	1998-11-04	VYDAJ	VYBER KARTOU	3100	60984	\N	\N	0
193364	655	1998-12-30	VYDAJ	VYBER	4500	59192	\N	\N	\N
193374	655	1993-09-30	VYDAJ	VYBER	15	42461	SLUZBY	\N	\N
193375	655	1993-10-31	VYDAJ	VYBER	15	43015	SLUZBY	\N	\N
193376	655	1993-11-30	VYDAJ	VYBER	15	38169	SLUZBY	\N	\N
193377	655	1993-12-31	VYDAJ	VYBER	15	46452	SLUZBY	\N	\N
193378	655	1994-01-31	VYDAJ	VYBER	15	36794	SLUZBY	\N	\N
193379	655	1994-02-28	VYDAJ	VYBER	15	39627	SLUZBY	\N	\N
193380	655	1994-03-31	VYDAJ	VYBER	15	38469	SLUZBY	\N	\N
193381	655	1994-04-30	VYDAJ	VYBER	15	44616	SLUZBY	\N	\N
193382	655	1994-05-31	VYDAJ	VYBER	15	43272	SLUZBY	\N	\N
193383	655	1994-06-30	VYDAJ	VYBER	15	42440	SLUZBY	\N	\N
193384	655	1994-07-31	VYDAJ	VYBER	15	41890	SLUZBY	\N	\N
193385	655	1994-08-31	VYDAJ	VYBER	15	43338	SLUZBY	\N	\N
193386	655	1994-09-30	VYDAJ	VYBER	15	43188	SLUZBY	\N	\N
193387	655	1994-10-31	VYDAJ	VYBER	15	48446	SLUZBY	\N	\N
193388	655	1994-11-30	VYDAJ	VYBER	15	48413	SLUZBY	\N	\N
193389	655	1994-12-31	VYDAJ	VYBER	15	52116	SLUZBY	\N	\N
193390	655	1995-01-31	VYDAJ	VYBER	15	41463	SLUZBY	\N	\N
193391	655	1995-02-28	VYDAJ	VYBER	15	46910	SLUZBY	\N	\N
193392	655	1995-03-31	VYDAJ	VYBER	15	46668	SLUZBY	\N	\N
193393	655	1995-04-30	VYDAJ	VYBER	15	52038	SLUZBY	\N	\N
193394	655	1995-05-31	VYDAJ	VYBER	15	56025	SLUZBY	\N	\N
193395	655	1995-06-30	VYDAJ	VYBER	15	54625	SLUZBY	\N	\N
193396	655	1995-07-31	VYDAJ	VYBER	15	54457	SLUZBY	\N	\N
193397	655	1995-08-31	VYDAJ	VYBER	15	49025	SLUZBY	\N	\N
193398	655	1995-09-30	VYDAJ	VYBER	15	52592	SLUZBY	\N	\N
193399	655	1995-10-31	VYDAJ	VYBER	15	55276	SLUZBY	\N	\N
193400	655	1995-11-30	VYDAJ	VYBER	15	55557	SLUZBY	\N	\N
193401	655	1995-12-31	VYDAJ	VYBER	15	56057	SLUZBY	\N	\N
193402	655	1996-01-31	VYDAJ	VYBER	15	41600	SLUZBY	\N	\N
193403	655	1996-02-29	VYDAJ	VYBER	15	46132	SLUZBY	\N	\N
193404	655	1996-03-31	VYDAJ	VYBER	15	42073	SLUZBY	\N	\N
193405	655	1996-04-30	VYDAJ	VYBER	15	45705	SLUZBY	\N	\N
193406	655	1996-05-31	VYDAJ	VYBER	15	49953	SLUZBY	\N	\N
193407	655	1996-06-30	VYDAJ	VYBER	15	29577	SLUZBY	\N	\N
193408	655	1996-07-31	VYDAJ	VYBER	15	41081	SLUZBY	\N	\N
193409	655	1996-08-31	VYDAJ	VYBER	15	56044	SLUZBY	\N	\N
193410	655	1996-09-30	VYDAJ	VYBER	15	66554	SLUZBY	\N	\N
193411	655	1996-10-31	VYDAJ	VYBER	15	71687	SLUZBY	\N	\N
193412	655	1996-11-30	VYDAJ	VYBER	15	69816	SLUZBY	\N	\N
193413	655	1996-12-31	VYDAJ	VYBER	15	79693	SLUZBY	\N	\N
193414	655	1997-01-31	VYDAJ	VYBER	15	62620	SLUZBY	\N	\N
193415	655	1997-02-28	VYDAJ	VYBER	15	62023	SLUZBY	\N	\N
193416	655	1997-03-31	VYDAJ	VYBER	15	65832	SLUZBY	\N	\N
193417	655	1997-04-30	VYDAJ	VYBER	15	67248	SLUZBY	\N	\N
193418	655	1997-05-31	VYDAJ	VYBER	15	70476	SLUZBY	\N	\N
193419	655	1997-06-30	VYDAJ	VYBER	15	59496	SLUZBY	\N	\N
193420	655	1997-07-31	VYDAJ	VYBER	15	65601	SLUZBY	\N	\N
193421	655	1997-08-31	VYDAJ	VYBER	15	55618	SLUZBY	\N	\N
193422	655	1997-09-30	VYDAJ	VYBER	15	53737	SLUZBY	\N	\N
193423	655	1997-10-31	VYDAJ	VYBER	15	58260	SLUZBY	\N	\N
193424	655	1997-11-30	VYDAJ	VYBER	15	63602	SLUZBY	\N	\N
193425	655	1997-12-31	VYDAJ	VYBER	15	71815	SLUZBY	\N	\N
193426	655	1998-01-31	VYDAJ	VYBER	15	61866	SLUZBY	\N	\N
193427	655	1998-02-28	VYDAJ	VYBER	15	62920	SLUZBY	\N	\N
193428	655	1998-03-31	VYDAJ	VYBER	15	60374	SLUZBY	\N	\N
193429	655	1998-04-30	VYDAJ	VYBER	15	63820	SLUZBY	\N	\N
193430	655	1998-05-31	VYDAJ	VYBER	15	68680	SLUZBY	\N	\N
193431	655	1998-06-30	VYDAJ	VYBER	15	71197	SLUZBY	\N	\N
193432	655	1998-07-31	VYDAJ	VYBER	15	70982	SLUZBY	\N	\N
193433	655	1998-08-31	VYDAJ	VYBER	15	70363	SLUZBY	\N	\N
193434	655	1998-09-30	VYDAJ	VYBER	15	64832	SLUZBY	\N	\N
193435	655	1998-10-31	VYDAJ	VYBER	15	64084	SLUZBY	\N	\N
193436	655	1998-11-30	VYDAJ	VYBER	15	63123	SLUZBY	\N	\N
193437	655	1993-04-23	VYDAJ	VYBER	700	23925	\N	\N	\N
193438	655	1993-05-23	VYDAJ	VYBER	12700	34877	\N	\N	\N
193439	655	1993-06-22	VYDAJ	VYBER	23200	47228	\N	\N	\N
193440	655	1993-07-22	VYDAJ	VYBER	25600	45413	\N	\N	\N
193441	655	1993-08-21	VYDAJ	VYBER	21700	43598	\N	\N	\N
193442	655	1993-09-20	VYDAJ	VYBER	17300	44656	\N	\N	\N
193443	655	1993-10-20	VYDAJ	VYBER	16500	42817	\N	\N	\N
193444	655	1993-11-19	VYDAJ	VYBER	20900	41271	\N	\N	\N
193445	655	1993-12-19	VYDAJ	VYBER	20400	46238	\N	\N	\N
193446	655	1994-01-18	VYDAJ	VYBER	15700	40908	\N	\N	\N
193447	655	1994-02-17	VYDAJ	VYBER	16500	39450	\N	\N	\N
193448	655	1994-03-19	VYDAJ	VYBER	15100	41383	\N	\N	\N
193449	655	1994-04-18	VYDAJ	VYBER	13200	44425	\N	\N	\N
193450	655	1994-05-18	VYDAJ	VYBER	19500	43072	\N	\N	\N
193451	655	1994-06-17	VYDAJ	VYBER	10500	42241	\N	\N	\N
193452	655	1994-07-17	VYDAJ	VYBER	16900	44696	\N	\N	\N
193453	655	1994-08-16	VYDAJ	VYBER	16300	44746	\N	\N	\N
193454	655	1994-09-15	VYDAJ	VYBER	18400	44094	\N	\N	\N
193455	655	1994-10-15	VYDAJ	VYBER	14100	48244	\N	\N	\N
193456	655	1994-11-14	VYDAJ	VYBER	19400	48202	\N	\N	\N
193457	655	1994-12-14	VYDAJ	VYBER	24800	54582	\N	\N	\N
193458	655	1995-01-13	VYDAJ	VYBER	12800	47672	\N	\N	\N
193459	655	1995-02-12	VYDAJ	VYBER	13900	46719	\N	\N	\N
193460	655	1995-03-14	VYDAJ	VYBER	17400	48666	\N	\N	\N
193461	655	1995-04-13	VYDAJ	VYBER	14000	51824	\N	\N	\N
193462	655	1995-05-13	VYDAJ	VYBER	15400	55794	\N	\N	\N
193463	655	1995-06-12	VYDAJ	VYBER	20900	54394	\N	\N	\N
193464	655	1995-07-12	VYDAJ	VYBER	18600	54181	\N	\N	\N
193465	655	1995-08-11	VYDAJ	VYBER	17600	54049	\N	\N	\N
193466	655	1995-09-10	VYDAJ	VYBER	15800	56316	\N	\N	\N
193467	655	1995-10-10	VYDAJ	VYBER	16700	57084	\N	\N	\N
193468	655	1995-11-09	VYDAJ	VYBER	19100	59267	\N	\N	\N
193469	655	1995-12-09	VYDAJ	VYBER	27500	60661	\N	\N	\N
193470	655	1996-01-08	VYDAJ	VYBER	15100	53748	\N	\N	\N
193471	655	1996-02-07	VYDAJ	VYBER	14800	49891	\N	\N	\N
193472	655	1996-03-08	VYDAJ	VYBER	17700	51523	\N	\N	\N
193473	655	1996-04-07	VYDAJ	VYBER	15700	49464	\N	\N	\N
193474	655	1996-05-07	VYDAJ	VYBER	15100	53696	\N	\N	\N
193475	655	1996-06-06	VYDAJ	VYBER	24700	60157	\N	\N	\N
193476	655	1996-07-06	VYDAJ	VYBER	7800	44868	\N	\N	\N
193477	655	1996-08-05	VYDAJ	VYBER	4400	36340	\N	\N	\N
193478	655	1996-09-04	VYDAJ	VYBER	8900	47144	\N	\N	\N
193479	655	1996-10-04	VYDAJ	VYBER	14300	52254	\N	\N	\N
193480	655	1996-11-03	VYDAJ	VYBER	21300	50387	\N	\N	\N
193481	655	1996-12-03	VYDAJ	VYBER	20800	49016	\N	\N	\N
193482	655	1997-01-02	VYDAJ	VYBER	22500	57193	\N	\N	\N
193483	655	1997-02-01	VYDAJ	VYBER	17200	45420	\N	\N	\N
193484	655	1997-03-03	VYDAJ	VYBER	15600	46423	\N	\N	\N
193485	655	1997-04-02	VYDAJ	VYBER	18000	47832	\N	\N	\N
193486	655	1997-05-02	VYDAJ	VYBER	16200	51048	\N	\N	\N
193487	655	1997-06-01	VYDAJ	VYBER	16500	53976	\N	\N	\N
193488	655	1997-07-01	VYDAJ	VYBER	12800	46696	\N	\N	\N
193489	655	1997-07-31	VYDAJ	VYBER	13900	51701	\N	\N	\N
193490	655	1997-08-30	VYDAJ	VYBER	15500	55357	\N	\N	\N
193491	655	1997-09-29	VYDAJ	VYBER	17300	53474	\N	\N	\N
193492	655	1997-10-29	VYDAJ	VYBER	11100	57993	\N	\N	\N
193493	655	1997-11-28	VYDAJ	VYBER	14100	63316	\N	\N	\N
193494	655	1997-12-28	VYDAJ	VYBER	21000	71471	\N	\N	\N
193495	655	1998-01-27	VYDAJ	VYBER	15200	61571	\N	\N	\N
193496	655	1998-02-26	VYDAJ	VYBER	18400	62622	\N	\N	\N
193497	655	1998-03-28	VYDAJ	VYBER	17800	60076	\N	\N	\N
193498	655	1998-04-27	VYDAJ	VYBER	14200	63530	\N	\N	\N
193499	655	1998-05-27	VYDAJ	VYBER	14600	68376	\N	\N	\N
193500	655	1998-06-26	VYDAJ	VYBER	19800	70849	\N	\N	\N
193501	655	1998-07-26	VYDAJ	VYBER	19700	70653	\N	\N	\N
193502	655	1998-08-25	VYDAJ	VYBER	20100	70038	\N	\N	\N
193503	655	1998-09-24	VYDAJ	VYBER	22000	64519	\N	\N	\N
193504	655	1998-10-24	VYDAJ	VYBER	20200	63788	\N	\N	\N
193505	655	1998-11-23	VYDAJ	VYBER	17300	62840	\N	\N	\N
193506	655	1998-12-23	VYDAJ	VYBER	25200	68092	\N	\N	\N
193576	656	1996-08-18	PRIJEM	VKLAD	500	500	\N	\N	\N
193585	656	1996-09-13	PRIJEM	VKLAD	13384	13884	\N	\N	\N
193586	656	1996-10-13	PRIJEM	VKLAD	13384	30100	\N	\N	\N
193587	656	1996-11-13	PRIJEM	VKLAD	13384	38471	\N	\N	\N
193588	656	1996-12-13	PRIJEM	VKLAD	20076	51264	\N	\N	\N
193589	656	1997-01-13	PRIJEM	VKLAD	13384	54398	\N	\N	\N
193590	656	1997-02-13	PRIJEM	VKLAD	13384	41952	\N	\N	\N
193591	656	1997-03-13	PRIJEM	VKLAD	13384	41486	\N	\N	\N
193592	656	1997-04-13	PRIJEM	VKLAD	13384	43025	\N	\N	\N
193593	656	1997-05-13	PRIJEM	VKLAD	13384	47275	\N	\N	\N
193594	656	1997-06-13	PRIJEM	VKLAD	20076	53424	\N	\N	\N
193595	656	1997-07-13	PRIJEM	VKLAD	13384	46607	\N	\N	\N
193596	656	1997-08-13	PRIJEM	VKLAD	13384	47664	\N	\N	\N
193597	656	1997-09-13	PRIJEM	VKLAD	13384	52211	\N	\N	\N
193598	656	1997-10-13	PRIJEM	VKLAD	13384	57402	\N	\N	\N
193599	656	1997-11-13	PRIJEM	VKLAD	13384	57325	\N	\N	\N
193600	656	1997-12-13	PRIJEM	VKLAD	20076	58960	\N	\N	\N
193601	656	1998-01-13	PRIJEM	VKLAD	13384	46423	\N	\N	\N
193602	656	1998-02-13	PRIJEM	VKLAD	13384	44477	\N	\N	\N
193603	656	1998-03-13	PRIJEM	VKLAD	13384	48636	\N	\N	\N
193604	656	1998-04-13	PRIJEM	VKLAD	13384	49622	\N	\N	\N
193605	656	1998-05-13	PRIJEM	VKLAD	13384	48354	\N	\N	\N
193606	656	1998-06-13	PRIJEM	VKLAD	20076	49593	\N	\N	\N
193607	656	1998-07-13	PRIJEM	VKLAD	13384	45695	\N	\N	\N
193608	656	1998-08-13	PRIJEM	VKLAD	13384	47673	\N	\N	\N
193609	656	1998-09-13	PRIJEM	VKLAD	13384	45553	\N	\N	\N
193610	656	1998-10-13	PRIJEM	VKLAD	13384	50126	\N	\N	\N
193611	656	1998-11-13	PRIJEM	VKLAD	13384	46613	\N	\N	\N
193612	656	1998-12-13	PRIJEM	VKLAD	20076	50286	\N	\N	\N
193626	656	1997-02-08	VYDAJ	PREVOD NA UCET	5477	28568	SIPO	KL	74315947
193627	656	1997-03-08	VYDAJ	PREVOD NA UCET	5477	28102	SIPO	KL	74315947
193628	656	1997-04-08	VYDAJ	PREVOD NA UCET	5477	29641	SIPO	KL	74315947
193629	656	1997-05-08	VYDAJ	PREVOD NA UCET	5477	33891	SIPO	KL	74315947
193630	656	1997-06-08	VYDAJ	PREVOD NA UCET	5477	33348	SIPO	KL	74315947
193631	656	1997-07-08	VYDAJ	PREVOD NA UCET	5477	33223	SIPO	KL	74315947
193632	656	1997-08-08	VYDAJ	PREVOD NA UCET	5477	34280	SIPO	KL	74315947
193633	656	1997-09-08	VYDAJ	PREVOD NA UCET	5477	37847	SIPO	KL	74315947
193634	656	1997-10-08	VYDAJ	PREVOD NA UCET	5477	46918	SIPO	KL	74315947
193635	656	1997-11-08	VYDAJ	PREVOD NA UCET	5477	52141	SIPO	KL	74315947
193636	656	1997-12-08	VYDAJ	PREVOD NA UCET	5477	44784	SIPO	KL	74315947
193637	656	1998-01-08	VYDAJ	PREVOD NA UCET	5477	38339	SIPO	KL	74315947
193638	656	1998-02-08	VYDAJ	PREVOD NA UCET	5477	25993	SIPO	KL	74315947
193639	656	1998-03-08	VYDAJ	PREVOD NA UCET	5477	39152	SIPO	KL	74315947
193640	656	1998-04-08	VYDAJ	PREVOD NA UCET	5477	43338	SIPO	KL	74315947
193641	656	1998-05-08	VYDAJ	PREVOD NA UCET	5477	42170	SIPO	KL	74315947
193642	656	1998-06-08	VYDAJ	PREVOD NA UCET	5477	30017	SIPO	KL	74315947
193643	656	1998-07-08	VYDAJ	PREVOD NA UCET	5477	39011	SIPO	KL	74315947
193644	656	1998-08-08	VYDAJ	PREVOD NA UCET	5477	40389	SIPO	KL	74315947
193645	656	1998-09-08	VYDAJ	PREVOD NA UCET	5477	32169	SIPO	KL	74315947
193646	656	1998-10-08	VYDAJ	PREVOD NA UCET	5477	36742	SIPO	KL	74315947
193647	656	1998-11-08	VYDAJ	PREVOD NA UCET	5477	33229	SIPO	KL	74315947
193648	656	1998-12-08	VYDAJ	PREVOD NA UCET	5477	33410	SIPO	KL	74315947
193651	656	1998-06-03	VYDAJ	VYBER	11840	35494	\N	\N	\N
193654	656	1998-01-05	VYDAJ	VYBER	15360	43816	\N	\N	\N
193656	656	1997-12-06	VYDAJ	VYBER	3680	50261	\N	\N	\N
193657	656	1998-12-09	VYDAJ	VYBER	3200	30210	\N	\N	\N
193666	656	1997-01-30	VYDAJ	VYBER	2520	33898	\N	\N	\N
193667	656	1997-01-16	VYDAJ	VYBER	1200	38698	\N	\N	\N
193668	656	1997-01-22	VYDAJ	VYBER	2280	36418	\N	\N	\N
193670	656	1998-01-27	VYDAJ	VYBER	600	36463	\N	\N	\N
193671	656	1998-01-23	VYDAJ	VYBER	720	39703	\N	\N	\N
193672	656	1998-01-17	VYDAJ	VYBER	600	42343	\N	\N	\N
193673	656	1998-01-22	VYDAJ	VYBER	1920	40423	\N	\N	\N
193674	656	1998-01-13	VYDAJ	VYBER	3480	42943	\N	\N	\N
193675	656	1998-01-23	VYDAJ	VYBER	2640	37063	\N	\N	\N
193683	656	1997-06-28	VYDAJ	VYBER	4080	38544	\N	\N	\N
193684	656	1997-09-09	VYDAJ	VYBER	1320	36527	\N	\N	\N
193687	656	1997-11-23	VYDAJ	VYBER	3600	53725	\N	\N	\N
193688	656	1998-02-06	VYDAJ	VYBER	5160	31470	\N	\N	\N
193689	656	1998-05-03	VYDAJ	VYBER	2160	47647	\N	\N	\N
193690	656	1998-09-05	VYDAJ	VYBER	1200	46646	\N	\N	\N
193691	656	1998-05-26	VYDAJ	VYBER	1200	47154	\N	\N	\N
193692	656	1998-07-07	VYDAJ	VYBER	5280	44488	\N	\N	\N
193706	656	1997-01-31	VYDAJ	VYBER	15	34045	SLUZBY	\N	\N
193707	656	1997-02-28	VYDAJ	VYBER	15	33579	SLUZBY	\N	\N
193708	656	1997-03-31	VYDAJ	VYBER	15	35118	SLUZBY	\N	\N
193709	656	1997-04-30	VYDAJ	VYBER	15	39368	SLUZBY	\N	\N
193710	656	1997-05-31	VYDAJ	VYBER	15	38825	SLUZBY	\N	\N
193711	656	1997-06-30	VYDAJ	VYBER	15	38700	SLUZBY	\N	\N
193712	656	1997-07-31	VYDAJ	VYBER	15	39757	SLUZBY	\N	\N
193713	656	1997-08-31	VYDAJ	VYBER	15	43324	SLUZBY	\N	\N
193714	656	1997-09-30	VYDAJ	VYBER	15	52395	SLUZBY	\N	\N
193715	656	1997-10-31	VYDAJ	VYBER	15	57618	SLUZBY	\N	\N
193716	656	1997-11-30	VYDAJ	VYBER	15	53941	SLUZBY	\N	\N
193717	656	1997-12-31	VYDAJ	VYBER	15	59176	SLUZBY	\N	\N
193718	656	1998-01-31	VYDAJ	VYBER	15	36630	SLUZBY	\N	\N
193719	656	1998-02-28	VYDAJ	VYBER	15	44629	SLUZBY	\N	\N
193720	656	1998-03-31	VYDAJ	VYBER	15	48815	SLUZBY	\N	\N
193721	656	1998-04-30	VYDAJ	VYBER	15	49807	SLUZBY	\N	\N
193722	656	1998-05-31	VYDAJ	VYBER	15	47334	SLUZBY	\N	\N
193723	656	1998-06-30	VYDAJ	VYBER	15	49768	SLUZBY	\N	\N
193724	656	1998-07-31	VYDAJ	VYBER	15	45866	SLUZBY	\N	\N
193725	656	1998-08-31	VYDAJ	VYBER	15	47846	SLUZBY	\N	\N
193726	656	1998-09-30	VYDAJ	VYBER	15	45719	SLUZBY	\N	\N
193727	656	1998-10-31	VYDAJ	VYBER	15	50306	SLUZBY	\N	\N
193728	656	1998-11-30	VYDAJ	VYBER	15	46787	SLUZBY	\N	\N
193729	656	1996-09-17	PRIJEM	VKLAD	2800	16684	\N	\N	\N
193730	656	1996-10-17	VYDAJ	VYBER	5100	25000	\N	\N	\N
193731	656	1996-11-16	VYDAJ	VYBER	7400	31071	\N	\N	\N
193732	656	1996-12-16	VYDAJ	VYBER	10400	40864	\N	\N	\N
193733	656	1997-01-15	VYDAJ	VYBER	14500	39898	\N	\N	\N
193734	656	1997-02-14	VYDAJ	VYBER	8500	33452	\N	\N	\N
193735	656	1997-03-16	VYDAJ	VYBER	6500	34986	\N	\N	\N
193736	656	1997-04-15	VYDAJ	VYBER	3800	39225	\N	\N	\N
193737	656	1997-05-15	VYDAJ	VYBER	8600	38675	\N	\N	\N
193738	656	1997-06-14	VYDAJ	VYBER	10800	42624	\N	\N	\N
193739	656	1997-07-14	VYDAJ	VYBER	7000	39607	\N	\N	\N
193740	656	1997-08-13	VYDAJ	VYBER	4500	43164	\N	\N	\N
193741	656	1997-09-12	PRIJEM	VKLAD	2300	38827	\N	\N	\N
193742	656	1997-10-12	VYDAJ	VYBER	2900	44018	\N	\N	\N
193743	656	1997-11-11	VYDAJ	VYBER	8200	43941	\N	\N	\N
193744	656	1997-12-11	VYDAJ	VYBER	5900	38884	\N	\N	\N
193745	656	1998-01-10	VYDAJ	VYBER	5300	33039	\N	\N	\N
193746	656	1998-02-09	PRIJEM	VKLAD	5100	31093	\N	\N	\N
193747	656	1998-03-11	VYDAJ	VYBER	3900	35252	\N	\N	\N
193748	656	1998-04-10	VYDAJ	VYBER	7100	36238	\N	\N	\N
193749	656	1998-05-10	VYDAJ	VYBER	7200	34970	\N	\N	\N
193750	656	1998-06-09	VYDAJ	VYBER	500	29517	\N	\N	\N
193751	656	1998-07-09	VYDAJ	VYBER	6700	32311	\N	\N	\N
193752	656	1998-08-08	VYDAJ	VYBER	6100	34289	\N	\N	\N
193753	656	1998-09-07	VYDAJ	VYBER	9000	37646	\N	\N	\N
193754	656	1998-10-07	VYDAJ	VYBER	3500	42219	\N	\N	\N
193755	656	1998-11-06	VYDAJ	VYBER	11600	38706	\N	\N	\N
193756	656	1998-12-06	VYDAJ	VYBER	7900	38887	\N	\N	\N
193785	657	1993-08-08	PRIJEM	VKLAD	500	500	\N	\N	\N
193793	657	1993-08-11	PRIJEM	VKLAD	4393	4893	\N	\N	\N
193794	657	1993-09-11	PRIJEM	VKLAD	4393	17600	\N	\N	\N
193795	657	1993-10-11	PRIJEM	VKLAD	4393	26049	\N	\N	\N
193796	657	1993-11-11	PRIJEM	VKLAD	4393	27439	\N	\N	\N
193797	657	1993-12-11	PRIJEM	VKLAD	6590	32941	\N	\N	\N
193798	657	1994-01-11	PRIJEM	VKLAD	4393	26858	\N	\N	\N
193799	657	1994-02-11	PRIJEM	VKLAD	4393	24418	\N	\N	\N
193800	657	1994-03-11	PRIJEM	VKLAD	4393	26657	\N	\N	\N
193801	657	1994-04-11	PRIJEM	VKLAD	4393	27911	\N	\N	\N
193802	657	1994-05-11	PRIJEM	VKLAD	4393	21939	\N	\N	\N
193803	657	1994-06-11	PRIJEM	VKLAD	6590	26569	\N	\N	\N
193804	657	1994-07-11	PRIJEM	VKLAD	4393	24731	\N	\N	\N
193805	657	1994-08-11	PRIJEM	VKLAD	4393	26155	\N	\N	\N
193806	657	1994-09-11	PRIJEM	VKLAD	4393	26408	\N	\N	\N
193807	657	1994-10-11	PRIJEM	VKLAD	4393	25061	\N	\N	\N
193808	657	1994-11-11	PRIJEM	VKLAD	4393	25988	\N	\N	\N
193809	657	1994-12-11	PRIJEM	VKLAD	6590	27233	\N	\N	\N
193810	657	1995-01-11	PRIJEM	VKLAD	4393	19285	\N	\N	\N
193811	657	1995-02-11	PRIJEM	VKLAD	4393	17764	\N	\N	\N
193812	657	1995-03-11	PRIJEM	VKLAD	4393	25083	\N	\N	\N
193813	657	1995-04-11	PRIJEM	VKLAD	4393	27707	\N	\N	\N
193814	657	1995-05-11	PRIJEM	VKLAD	4393	27446	\N	\N	\N
193815	657	1995-06-11	PRIJEM	VKLAD	6590	31501	\N	\N	\N
193816	657	1995-07-11	PRIJEM	VKLAD	4393	27953	\N	\N	\N
193817	657	1995-08-11	PRIJEM	VKLAD	4393	33515	\N	\N	\N
193818	657	1995-09-11	PRIJEM	VKLAD	4393	36399	\N	\N	\N
193819	657	1995-10-11	PRIJEM	VKLAD	4393	38595	\N	\N	\N
193820	657	1995-11-11	PRIJEM	VKLAD	4393	38199	\N	\N	\N
193821	657	1995-12-11	PRIJEM	VKLAD	6590	35595	\N	\N	\N
193822	657	1996-01-11	PRIJEM	VKLAD	4393	32582	\N	\N	\N
193823	657	1996-02-11	PRIJEM	VKLAD	4393	29338	\N	\N	\N
193824	657	1996-03-11	PRIJEM	VKLAD	4393	30322	\N	\N	\N
193825	657	1996-04-11	PRIJEM	VKLAD	4393	33393	\N	\N	\N
193826	657	1996-05-11	PRIJEM	VKLAD	4393	38980	\N	\N	\N
193827	657	1996-06-11	PRIJEM	VKLAD	6590	40239	\N	\N	\N
193828	657	1996-07-11	PRIJEM	VKLAD	4393	43407	\N	\N	\N
193829	657	1996-08-11	PRIJEM	VKLAD	4393	43230	\N	\N	\N
193830	657	1996-09-11	PRIJEM	VKLAD	4393	41014	\N	\N	\N
193831	657	1996-10-11	PRIJEM	VKLAD	4393	39629	\N	\N	\N
193832	657	1996-11-11	PRIJEM	VKLAD	4393	42841	\N	\N	\N
193833	657	1996-12-11	PRIJEM	VKLAD	6590	44955	\N	\N	\N
193834	657	1997-01-11	PRIJEM	VKLAD	4393	33273	\N	\N	\N
193835	657	1997-02-11	PRIJEM	VKLAD	4393	35300	\N	\N	\N
193836	657	1997-03-11	PRIJEM	VKLAD	4393	42399	\N	\N	\N
193837	657	1997-04-11	PRIJEM	VKLAD	4393	42155	\N	\N	\N
193838	657	1997-05-11	PRIJEM	VKLAD	4393	43398	\N	\N	\N
193839	657	1997-06-11	PRIJEM	VKLAD	6590	52931	\N	\N	\N
193840	657	1997-07-11	PRIJEM	VKLAD	4393	42392	\N	\N	\N
193841	657	1997-08-11	PRIJEM	VKLAD	4393	46817	\N	\N	\N
193842	657	1997-09-11	PRIJEM	VKLAD	4393	47533	\N	\N	\N
193843	657	1997-10-11	PRIJEM	VKLAD	4393	45390	\N	\N	\N
193844	657	1997-11-11	PRIJEM	VKLAD	4393	47022	\N	\N	\N
193845	657	1997-12-11	PRIJEM	VKLAD	6590	50756	\N	\N	\N
193846	657	1998-01-11	PRIJEM	VKLAD	4393	47862	\N	\N	\N
193847	657	1998-02-11	PRIJEM	VKLAD	4393	35054	\N	\N	\N
193848	657	1998-03-11	PRIJEM	VKLAD	4393	39348	\N	\N	\N
193849	657	1998-04-11	PRIJEM	VKLAD	4393	40853	\N	\N	\N
193850	657	1998-05-11	PRIJEM	VKLAD	4393	40284	\N	\N	\N
193851	657	1998-06-11	PRIJEM	VKLAD	6590	43781	\N	\N	\N
193852	657	1998-07-11	PRIJEM	VKLAD	4393	52422	\N	\N	\N
193853	657	1998-08-11	PRIJEM	VKLAD	4393	55687	\N	\N	\N
193854	657	1998-09-11	PRIJEM	VKLAD	4393	61071	\N	\N	\N
193855	657	1998-10-11	PRIJEM	VKLAD	4393	59380	\N	\N	\N
193856	657	1998-11-11	PRIJEM	VKLAD	4393	65370	\N	\N	\N
193857	657	1998-12-11	PRIJEM	VKLAD	6590	63114	\N	\N	\N
193869	657	1993-12-14	VYDAJ	PREVOD NA UCET	1066	31875	SIPO	AB	72237545
193870	657	1994-01-14	VYDAJ	PREVOD NA UCET	1066	24712	SIPO	AB	72237545
193871	657	1994-02-14	VYDAJ	PREVOD NA UCET	1066	23352	SIPO	AB	72237545
193872	657	1994-03-14	VYDAJ	PREVOD NA UCET	1066	25591	SIPO	AB	72237545
193873	657	1994-04-14	VYDAJ	PREVOD NA UCET	1066	26845	SIPO	AB	72237545
193874	657	1994-05-14	VYDAJ	PREVOD NA UCET	1066	20873	SIPO	AB	72237545
193875	657	1994-06-14	VYDAJ	PREVOD NA UCET	1066	25503	SIPO	AB	72237545
193876	657	1994-07-14	VYDAJ	PREVOD NA UCET	1066	23665	SIPO	AB	72237545
193877	657	1994-08-14	VYDAJ	PREVOD NA UCET	1066	25089	SIPO	AB	72237545
193878	657	1994-09-14	VYDAJ	PREVOD NA UCET	1066	25342	SIPO	AB	72237545
193879	657	1994-10-14	VYDAJ	PREVOD NA UCET	1066	23995	SIPO	AB	72237545
193880	657	1994-11-14	VYDAJ	PREVOD NA UCET	1066	24922	SIPO	AB	72237545
193881	657	1994-12-14	VYDAJ	PREVOD NA UCET	1066	23927	SIPO	AB	72237545
193882	657	1995-01-14	VYDAJ	PREVOD NA UCET	1066	18219	SIPO	AB	72237545
193883	657	1995-02-14	VYDAJ	PREVOD NA UCET	1066	16698	SIPO	AB	72237545
193884	657	1995-03-14	VYDAJ	PREVOD NA UCET	1066	24017	SIPO	AB	72237545
193885	657	1995-04-14	VYDAJ	PREVOD NA UCET	1066	26641	SIPO	AB	72237545
193886	657	1995-05-14	VYDAJ	PREVOD NA UCET	1066	26380	SIPO	AB	72237545
193887	657	1995-06-14	VYDAJ	PREVOD NA UCET	1066	30435	SIPO	AB	72237545
193888	657	1995-07-14	VYDAJ	PREVOD NA UCET	1066	26887	SIPO	AB	72237545
193889	657	1995-08-14	VYDAJ	PREVOD NA UCET	1066	32449	SIPO	AB	72237545
193890	657	1995-09-14	VYDAJ	PREVOD NA UCET	1066	35333	SIPO	AB	72237545
193891	657	1995-10-14	VYDAJ	PREVOD NA UCET	1066	37529	SIPO	AB	72237545
193892	657	1995-11-14	VYDAJ	PREVOD NA UCET	1066	37133	SIPO	AB	72237545
193893	657	1995-12-14	VYDAJ	PREVOD NA UCET	1066	34529	SIPO	AB	72237545
193894	657	1996-01-14	VYDAJ	PREVOD NA UCET	1066	31516	SIPO	AB	72237545
193895	657	1996-02-14	VYDAJ	PREVOD NA UCET	1066	28272	SIPO	AB	72237545
193896	657	1996-03-14	VYDAJ	PREVOD NA UCET	1066	29256	SIPO	AB	72237545
193897	657	1996-04-14	VYDAJ	PREVOD NA UCET	1066	32327	SIPO	AB	72237545
193898	657	1996-05-14	VYDAJ	PREVOD NA UCET	1066	37914	SIPO	AB	72237545
193899	657	1996-06-14	VYDAJ	PREVOD NA UCET	1066	39173	SIPO	AB	72237545
193900	657	1996-07-14	VYDAJ	PREVOD NA UCET	1066	42341	SIPO	AB	72237545
193901	657	1996-08-14	VYDAJ	PREVOD NA UCET	1066	42164	SIPO	AB	72237545
193902	657	1996-09-14	VYDAJ	PREVOD NA UCET	1066	39948	SIPO	AB	72237545
193903	657	1996-10-14	VYDAJ	PREVOD NA UCET	1066	38563	SIPO	AB	72237545
193904	657	1996-11-14	VYDAJ	PREVOD NA UCET	1066	41775	SIPO	AB	72237545
193905	657	1996-12-14	VYDAJ	PREVOD NA UCET	1066	43889	SIPO	AB	72237545
193906	657	1997-01-14	VYDAJ	PREVOD NA UCET	1066	32207	SIPO	AB	72237545
193907	657	1997-02-14	VYDAJ	PREVOD NA UCET	1066	34234	SIPO	AB	72237545
193908	657	1997-03-14	VYDAJ	PREVOD NA UCET	1066	41333	SIPO	AB	72237545
193909	657	1997-04-14	VYDAJ	PREVOD NA UCET	1066	41089	SIPO	AB	72237545
193910	657	1997-05-14	VYDAJ	PREVOD NA UCET	1066	42332	SIPO	AB	72237545
193911	657	1997-06-14	VYDAJ	PREVOD NA UCET	1066	34905	SIPO	AB	72237545
193912	657	1997-07-14	VYDAJ	PREVOD NA UCET	1066	41326	SIPO	AB	72237545
193913	657	1997-08-14	VYDAJ	PREVOD NA UCET	1066	45751	SIPO	AB	72237545
193914	657	1997-09-14	VYDAJ	PREVOD NA UCET	1066	46467	SIPO	AB	72237545
193915	657	1997-10-14	VYDAJ	PREVOD NA UCET	1066	44324	SIPO	AB	72237545
193916	657	1997-11-14	VYDAJ	PREVOD NA UCET	1066	45956	SIPO	AB	72237545
193917	657	1997-12-14	VYDAJ	PREVOD NA UCET	1066	47610	SIPO	AB	72237545
193918	657	1998-01-14	VYDAJ	PREVOD NA UCET	1066	40556	SIPO	AB	72237545
193919	657	1998-02-14	VYDAJ	PREVOD NA UCET	1066	36688	SIPO	AB	72237545
193920	657	1998-03-14	VYDAJ	PREVOD NA UCET	1066	38282	SIPO	AB	72237545
193921	657	1998-04-14	VYDAJ	PREVOD NA UCET	1066	41687	SIPO	AB	72237545
193922	657	1998-05-14	VYDAJ	PREVOD NA UCET	1066	45018	SIPO	AB	72237545
193923	657	1998-06-14	VYDAJ	PREVOD NA UCET	1066	50915	SIPO	AB	72237545
193924	657	1998-07-14	VYDAJ	PREVOD NA UCET	1066	52956	SIPO	AB	72237545
193925	657	1998-08-14	VYDAJ	PREVOD NA UCET	1066	58321	SIPO	AB	72237545
193926	657	1998-09-14	VYDAJ	PREVOD NA UCET	1066	58905	SIPO	AB	72237545
193927	657	1998-10-14	VYDAJ	PREVOD NA UCET	1066	58714	SIPO	AB	72237545
193928	657	1998-11-14	VYDAJ	PREVOD NA UCET	1066	64304	SIPO	AB	72237545
193929	657	1998-12-14	VYDAJ	PREVOD NA UCET	1066	62048	SIPO	AB	72237545
193942	657	1994-01-06	VYDAJ	PREVOD NA UCET	1862	23185	 	MN	15075981
193943	657	1994-02-06	VYDAJ	PREVOD NA UCET	1862	20025	 	MN	15075981
193944	657	1994-03-06	VYDAJ	PREVOD NA UCET	1862	22264	 	MN	15075981
193945	657	1994-04-06	VYDAJ	PREVOD NA UCET	1862	23518	 	MN	15075981
193946	657	1994-05-06	VYDAJ	PREVOD NA UCET	1862	17546	 	MN	15075981
193947	657	1994-06-06	VYDAJ	PREVOD NA UCET	1862	19980	 	MN	15075981
193948	657	1994-07-06	VYDAJ	PREVOD NA UCET	1862	20338	 	MN	15075981
193949	657	1994-08-06	VYDAJ	PREVOD NA UCET	1862	21762	 	MN	15075981
193950	657	1994-09-06	VYDAJ	PREVOD NA UCET	1862	22015	 	MN	15075981
193951	657	1994-10-06	VYDAJ	PREVOD NA UCET	1862	20668	 	MN	15075981
193952	657	1994-11-06	VYDAJ	PREVOD NA UCET	1862	21595	 	MN	15075981
193953	657	1994-12-06	VYDAJ	PREVOD NA UCET	1862	20643	 	MN	15075981
193954	657	1995-01-06	VYDAJ	PREVOD NA UCET	1862	14892	 	MN	15075981
193955	657	1995-02-06	VYDAJ	PREVOD NA UCET	1862	13371	 	MN	15075981
193956	657	1995-03-06	VYDAJ	PREVOD NA UCET	1862	20690	 	MN	15075981
193957	657	1995-04-06	VYDAJ	PREVOD NA UCET	1862	23314	 	MN	15075981
193958	657	1995-05-06	VYDAJ	PREVOD NA UCET	1862	23053	 	MN	15075981
193959	657	1995-06-06	VYDAJ	PREVOD NA UCET	1862	24911	 	MN	15075981
193960	657	1995-07-06	VYDAJ	PREVOD NA UCET	1862	23560	 	MN	15075981
193961	657	1995-08-06	VYDAJ	PREVOD NA UCET	1862	29122	 	MN	15075981
193962	657	1995-09-06	VYDAJ	PREVOD NA UCET	1862	32006	 	MN	15075981
193963	657	1995-10-06	VYDAJ	PREVOD NA UCET	1862	34202	 	MN	15075981
193964	657	1995-11-06	VYDAJ	PREVOD NA UCET	1862	33806	 	MN	15075981
193965	657	1995-12-06	VYDAJ	PREVOD NA UCET	1862	31406	 	MN	15075981
193966	657	1996-01-06	VYDAJ	PREVOD NA UCET	1862	29509	 	MN	15075981
193967	657	1996-02-06	VYDAJ	PREVOD NA UCET	1862	24945	 	MN	15075981
193968	657	1996-03-06	VYDAJ	PREVOD NA UCET	1862	25929	 	MN	15075981
193969	657	1996-04-06	VYDAJ	PREVOD NA UCET	1862	29000	 	MN	15075981
193970	657	1996-05-06	VYDAJ	PREVOD NA UCET	1862	34587	 	MN	15075981
193971	657	1996-06-06	VYDAJ	PREVOD NA UCET	1862	33650	 	MN	15075981
193972	657	1996-07-06	VYDAJ	PREVOD NA UCET	1862	39014	 	MN	15075981
193973	657	1996-08-06	VYDAJ	PREVOD NA UCET	1862	38837	 	MN	15075981
193974	657	1996-09-06	VYDAJ	PREVOD NA UCET	1862	41061	 	MN	15075981
193975	657	1996-10-06	VYDAJ	PREVOD NA UCET	1862	35236	 	MN	15075981
193976	657	1996-11-06	VYDAJ	PREVOD NA UCET	1862	38448	 	MN	15075981
193977	657	1996-12-06	VYDAJ	PREVOD NA UCET	1862	38366	 	MN	15075981
193978	657	1997-01-06	VYDAJ	PREVOD NA UCET	1862	34040	 	MN	15075981
193979	657	1997-02-06	VYDAJ	PREVOD NA UCET	1862	30907	 	MN	15075981
193980	657	1997-03-06	VYDAJ	PREVOD NA UCET	1862	38006	 	MN	15075981
193981	657	1997-04-06	VYDAJ	PREVOD NA UCET	1862	37762	 	MN	15075981
193982	657	1997-05-06	VYDAJ	PREVOD NA UCET	1862	41885	 	MN	15075981
193983	657	1997-06-06	VYDAJ	PREVOD NA UCET	1862	46341	 	MN	15075981
193984	657	1997-07-06	VYDAJ	PREVOD NA UCET	1862	37999	 	MN	15075981
193985	657	1997-08-06	VYDAJ	PREVOD NA UCET	1862	42424	 	MN	15075981
193986	657	1997-09-06	VYDAJ	PREVOD NA UCET	1862	43140	 	MN	15075981
193987	657	1997-10-06	VYDAJ	PREVOD NA UCET	1862	40997	 	MN	15075981
193988	657	1997-11-06	VYDAJ	PREVOD NA UCET	1862	42629	 	MN	15075981
193989	657	1997-12-06	VYDAJ	PREVOD NA UCET	1862	44167	 	MN	15075981
193990	657	1998-01-06	VYDAJ	PREVOD NA UCET	1862	43469	 	MN	15075981
193991	657	1998-02-06	VYDAJ	PREVOD NA UCET	1862	30661	 	MN	15075981
193992	657	1998-03-06	VYDAJ	PREVOD NA UCET	1862	34955	 	MN	15075981
193993	657	1998-04-06	VYDAJ	PREVOD NA UCET	1862	36460	 	MN	15075981
193994	657	1998-05-06	VYDAJ	PREVOD NA UCET	1862	35891	 	MN	15075981
193995	657	1998-06-06	VYDAJ	PREVOD NA UCET	1862	37192	 	MN	15075981
193996	657	1998-07-06	VYDAJ	PREVOD NA UCET	1862	49229	 	MN	15075981
193997	657	1998-08-06	VYDAJ	PREVOD NA UCET	1862	51294	 	MN	15075981
193998	657	1998-09-06	VYDAJ	PREVOD NA UCET	1862	56678	 	MN	15075981
193999	657	1998-10-06	VYDAJ	PREVOD NA UCET	1862	54987	 	MN	15075981
194000	657	1998-11-06	VYDAJ	PREVOD NA UCET	1862	57077	 	MN	15075981
194001	657	1998-12-06	VYDAJ	PREVOD NA UCET	1862	54725	 	MN	15075981
194004	657	1995-06-17	VYDAJ	VYBER	11200	19235	\N	\N	\N
194006	657	1997-06-11	VYDAJ	VYBER	16960	35971	\N	\N	\N
194009	657	1994-12-14	VYDAJ	VYBER	2240	24993	\N	\N	\N
194010	657	1995-12-26	VYDAJ	VYBER	800	31249	\N	\N	\N
194011	657	1996-12-26	VYDAJ	VYBER	3840	35749	\N	\N	\N
194012	657	1997-12-11	VYDAJ	VYBER	2080	48676	\N	\N	\N
194013	657	1998-12-05	VYDAJ	VYBER	4000	56587	\N	\N	\N
194020	657	1994-01-08	VYDAJ	VYBER	720	22465	\N	\N	\N
194021	657	1994-01-25	VYDAJ	VYBER	1920	17152	\N	\N	\N
194022	657	1994-01-01	VYDAJ	VYBER	2040	29947	\N	\N	\N
194024	657	1994-01-27	VYDAJ	VYBER	2640	14512	\N	\N	\N
194025	657	1994-01-12	VYDAJ	VYBER	1080	25778	\N	\N	\N
194026	657	1995-01-15	VYDAJ	VYBER	1080	17139	\N	\N	\N
194028	657	1995-01-20	VYDAJ	VYBER	840	13899	\N	\N	\N
194029	657	1995-01-06	VYDAJ	VYBER	2400	16754	\N	\N	\N
194030	657	1995-01-05	VYDAJ	VYBER	3360	19154	\N	\N	\N
194031	657	1995-01-25	VYDAJ	VYBER	960	12939	\N	\N	\N
194032	657	1996-01-27	VYDAJ	VYBER	2280	26696	\N	\N	\N
194033	657	1996-01-18	VYDAJ	VYBER	1920	29596	\N	\N	\N
194034	657	1996-01-08	VYDAJ	VYBER	1320	28189	\N	\N	\N
194035	657	1996-01-27	VYDAJ	VYBER	1800	28976	\N	\N	\N
194036	657	1996-01-26	VYDAJ	VYBER	1200	30776	\N	\N	\N
194037	657	1996-01-20	VYDAJ	VYBER	1320	28276	\N	\N	\N
194038	657	1997-01-10	VYDAJ	VYBER	1680	28880	\N	\N	\N
194039	657	1997-01-06	VYDAJ	VYBER	960	33080	\N	\N	\N
194040	657	1997-01-16	VYDAJ	VYBER	1200	31007	\N	\N	\N
194041	657	1997-01-20	VYDAJ	VYBER	2640	33367	\N	\N	\N
194042	657	1997-01-25	VYDAJ	VYBER	720	32647	\N	\N	\N
194043	657	1997-01-09	VYDAJ	VYBER	2520	30560	\N	\N	\N
194044	657	1998-01-26	VYDAJ	VYBER	1920	32376	\N	\N	\N
194045	657	1998-01-16	VYDAJ	VYBER	1320	35736	\N	\N	\N
194046	657	1998-01-12	VYDAJ	VYBER	3240	44622	\N	\N	\N
194047	657	1998-01-22	VYDAJ	VYBER	1440	34296	\N	\N	\N
194048	657	1998-01-14	VYDAJ	VYBER	3000	41622	\N	\N	\N
194049	657	1998-01-15	VYDAJ	VYBER	3000	37056	\N	\N	\N
194055	657	1994-04-16	VYDAJ	VYBER	4200	22645	\N	\N	\N
194056	657	1994-10-30	VYDAJ	VYBER	3240	18475	\N	\N	\N
194057	657	1994-06-19	VYDAJ	VYBER	5280	20223	\N	\N	\N
194058	657	1994-08-05	VYDAJ	VYBER	1320	23624	\N	\N	\N
194059	657	1994-10-27	VYDAJ	VYBER	2280	21715	\N	\N	\N
194060	657	1994-04-28	VYDAJ	VYBER	4920	17725	\N	\N	\N
194061	657	1994-01-14	VYDAJ	VYBER	5640	19072	\N	\N	\N
194062	657	1995-12-24	VYDAJ	VYBER	4080	30449	\N	\N	\N
194063	657	1995-12-08	VYDAJ	VYBER	2400	29006	\N	\N	\N
194064	657	1995-04-29	VYDAJ	VYBER	4920	21721	\N	\N	\N
194065	657	1995-04-01	VYDAJ	VYBER	1920	25176	\N	\N	\N
194066	657	1995-02-03	VYDAJ	VYBER	2760	15233	\N	\N	\N
194067	657	1995-01-15	VYDAJ	VYBER	2400	14739	\N	\N	\N
194068	657	1996-09-22	VYDAJ	VYBER	5400	36948	\N	\N	\N
194069	657	1996-09-09	VYDAJ	VYBER	4440	36621	\N	\N	\N
194070	657	1996-06-15	VYDAJ	VYBER	1440	37733	\N	\N	\N
194071	657	1996-02-17	VYDAJ	VYBER	1080	27192	\N	\N	\N
194072	657	1996-05-18	VYDAJ	VYBER	840	37074	\N	\N	\N
194073	657	1996-11-01	VYDAJ	VYBER	600	40310	\N	\N	\N
194074	657	1997-05-06	VYDAJ	VYBER	2880	39005	\N	\N	\N
194075	657	1997-09-25	VYDAJ	VYBER	3480	42687	\N	\N	\N
194076	657	1997-08-19	VYDAJ	VYBER	3720	44831	\N	\N	\N
194077	657	1997-12-24	VYDAJ	VYBER	5160	45150	\N	\N	\N
194078	657	1997-03-18	VYDAJ	VYBER	2160	39173	\N	\N	\N
194079	657	1998-04-21	VYDAJ	VYBER	4080	37607	\N	\N	\N
194080	657	1998-12-01	VYDAJ	VYBER	3960	60587	\N	\N	\N
194081	657	1998-09-22	VYDAJ	VYBER	2280	56625	\N	\N	\N
194082	657	1998-07-10	VYDAJ	VYBER	1200	48029	\N	\N	\N
194083	657	1998-05-26	VYDAJ	VYBER	840	44178	\N	\N	\N
194084	657	1998-05-29	VYDAJ	VYBER	5280	38898	\N	\N	\N
194097	657	1993-12-31	VYDAJ	VYBER	15	31987	SLUZBY	\N	\N
194098	657	1994-01-31	VYDAJ	VYBER	15	14587	SLUZBY	\N	\N
194099	657	1994-02-28	VYDAJ	VYBER	15	23426	SLUZBY	\N	\N
194100	657	1994-03-31	VYDAJ	VYBER	15	25680	SLUZBY	\N	\N
194101	657	1994-04-30	VYDAJ	VYBER	15	17808	SLUZBY	\N	\N
194102	657	1994-05-31	VYDAJ	VYBER	15	20942	SLUZBY	\N	\N
194103	657	1994-06-30	VYDAJ	VYBER	15	20300	SLUZBY	\N	\N
194104	657	1994-07-31	VYDAJ	VYBER	15	23744	SLUZBY	\N	\N
194105	657	1994-08-31	VYDAJ	VYBER	15	25177	SLUZBY	\N	\N
194106	657	1994-09-30	VYDAJ	VYBER	15	25430	SLUZBY	\N	\N
194107	657	1994-10-31	VYDAJ	VYBER	15	18557	SLUZBY	\N	\N
194108	657	1994-11-30	VYDAJ	VYBER	15	25005	SLUZBY	\N	\N
194109	657	1994-12-31	VYDAJ	VYBER	15	24014	SLUZBY	\N	\N
194110	657	1995-01-31	VYDAJ	VYBER	15	17993	SLUZBY	\N	\N
194111	657	1995-02-28	VYDAJ	VYBER	15	16752	SLUZBY	\N	\N
194112	657	1995-03-31	VYDAJ	VYBER	15	27096	SLUZBY	\N	\N
194113	657	1995-04-30	VYDAJ	VYBER	15	24915	SLUZBY	\N	\N
194114	657	1995-05-31	VYDAJ	VYBER	15	26773	SLUZBY	\N	\N
194115	657	1995-06-30	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
194116	657	1995-07-31	VYDAJ	VYBER	15	30984	SLUZBY	\N	\N
194117	657	1995-08-31	VYDAJ	VYBER	15	33868	SLUZBY	\N	\N
194118	657	1995-09-30	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
194119	657	1995-10-31	VYDAJ	VYBER	15	35668	SLUZBY	\N	\N
194120	657	1995-11-30	VYDAJ	VYBER	15	33268	SLUZBY	\N	\N
194121	657	1995-12-31	VYDAJ	VYBER	15	31371	SLUZBY	\N	\N
194122	657	1996-01-31	VYDAJ	VYBER	15	26807	SLUZBY	\N	\N
194123	657	1996-02-29	VYDAJ	VYBER	15	27791	SLUZBY	\N	\N
194124	657	1996-03-31	VYDAJ	VYBER	15	30862	SLUZBY	\N	\N
194125	657	1996-04-30	VYDAJ	VYBER	15	36449	SLUZBY	\N	\N
194126	657	1996-05-31	VYDAJ	VYBER	15	35512	SLUZBY	\N	\N
194127	657	1996-06-30	VYDAJ	VYBER	15	40876	SLUZBY	\N	\N
194128	657	1996-07-31	VYDAJ	VYBER	15	40699	SLUZBY	\N	\N
194129	657	1996-08-31	VYDAJ	VYBER	15	42923	SLUZBY	\N	\N
194130	657	1996-09-30	VYDAJ	VYBER	15	37098	SLUZBY	\N	\N
194131	657	1996-10-31	VYDAJ	VYBER	15	40910	SLUZBY	\N	\N
194132	657	1996-11-30	VYDAJ	VYBER	15	40228	SLUZBY	\N	\N
194133	657	1996-12-31	VYDAJ	VYBER	15	35902	SLUZBY	\N	\N
194134	657	1997-01-31	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
194135	657	1997-02-28	VYDAJ	VYBER	15	39868	SLUZBY	\N	\N
194136	657	1997-03-31	VYDAJ	VYBER	15	39624	SLUZBY	\N	\N
194137	657	1997-04-30	VYDAJ	VYBER	15	43747	SLUZBY	\N	\N
194138	657	1997-05-31	VYDAJ	VYBER	15	48203	SLUZBY	\N	\N
194139	657	1997-06-30	VYDAJ	VYBER	15	39861	SLUZBY	\N	\N
194140	657	1997-07-31	VYDAJ	VYBER	15	44286	SLUZBY	\N	\N
194141	657	1997-08-31	VYDAJ	VYBER	15	45002	SLUZBY	\N	\N
194142	657	1997-09-30	VYDAJ	VYBER	15	42859	SLUZBY	\N	\N
194143	657	1997-10-31	VYDAJ	VYBER	15	44491	SLUZBY	\N	\N
194144	657	1997-11-30	VYDAJ	VYBER	15	46029	SLUZBY	\N	\N
194145	657	1997-12-31	VYDAJ	VYBER	15	45331	SLUZBY	\N	\N
194146	657	1998-01-31	VYDAJ	VYBER	15	32523	SLUZBY	\N	\N
194147	657	1998-02-28	VYDAJ	VYBER	15	36817	SLUZBY	\N	\N
194148	657	1998-03-31	VYDAJ	VYBER	15	38322	SLUZBY	\N	\N
194149	657	1998-04-30	VYDAJ	VYBER	15	37753	SLUZBY	\N	\N
194150	657	1998-05-31	VYDAJ	VYBER	15	39054	SLUZBY	\N	\N
194151	657	1998-06-30	VYDAJ	VYBER	15	51091	SLUZBY	\N	\N
194152	657	1998-07-31	VYDAJ	VYBER	15	53156	SLUZBY	\N	\N
194153	657	1998-08-31	VYDAJ	VYBER	15	58540	SLUZBY	\N	\N
194154	657	1998-09-30	VYDAJ	VYBER	15	56849	SLUZBY	\N	\N
194155	657	1998-10-31	VYDAJ	VYBER	15	58939	SLUZBY	\N	\N
194156	657	1998-11-30	VYDAJ	VYBER	15	64547	SLUZBY	\N	\N
194157	657	1993-09-07	PRIJEM	VKLAD	8300	13207	\N	\N	\N
194158	657	1993-10-07	PRIJEM	VKLAD	4000	21656	\N	\N	\N
194159	657	1993-11-06	VYDAJ	VYBER	3100	23046	\N	\N	\N
194160	657	1993-12-06	VYDAJ	VYBER	1200	26351	\N	\N	\N
194161	657	1994-01-05	VYDAJ	VYBER	4900	25047	\N	\N	\N
194162	657	1994-02-04	PRIJEM	VKLAD	7300	21887	\N	\N	\N
194163	657	1994-03-06	PRIJEM	VKLAD	700	24126	\N	\N	\N
194164	657	1994-04-05	VYDAJ	VYBER	300	25380	\N	\N	\N
194165	657	1994-05-05	PRIJEM	VKLAD	1600	19408	\N	\N	\N
194166	657	1994-06-04	PRIJEM	VKLAD	900	21842	\N	\N	\N
194167	657	1994-07-04	PRIJEM	VKLAD	1900	22200	\N	\N	\N
194168	657	1994-08-03	PRIJEM	VKLAD	1200	24944	\N	\N	\N
194169	657	1994-09-02	VYDAJ	VYBER	1300	23877	\N	\N	\N
194170	657	1994-10-02	VYDAJ	VYBER	2900	22530	\N	\N	\N
194171	657	1994-11-01	PRIJEM	VKLAD	4900	23457	\N	\N	\N
194172	657	1994-12-01	VYDAJ	VYBER	2500	22505	\N	\N	\N
194173	657	1994-12-31	VYDAJ	VYBER	1500	22514	\N	\N	\N
194174	657	1995-01-30	PRIJEM	VKLAD	5000	17939	\N	\N	\N
194175	657	1995-03-01	PRIJEM	VKLAD	5800	22552	\N	\N	\N
194176	657	1995-03-31	PRIJEM	VKLAD	3000	27111	\N	\N	\N
194177	657	1995-04-30	PRIJEM	VKLAD	3100	24929	\N	\N	\N
194178	657	1995-05-30	PRIJEM	VKLAD	300	26680	\N	\N	\N
194179	657	1995-06-29	PRIJEM	VKLAD	6100	25335	\N	\N	\N
194180	657	1995-07-29	PRIJEM	VKLAD	4000	30887	\N	\N	\N
194181	657	1995-08-28	PRIJEM	VKLAD	1300	33749	\N	\N	\N
194182	657	1995-09-27	PRIJEM	VKLAD	600	35933	\N	\N	\N
194183	657	1995-10-27	VYDAJ	VYBER	2000	35529	\N	\N	\N
194184	657	1995-11-26	VYDAJ	VYBER	4000	33133	\N	\N	\N
194185	657	1995-12-26	PRIJEM	VKLAD	1600	32049	\N	\N	\N
194186	657	1996-01-25	PRIJEM	VKLAD	3700	31976	\N	\N	\N
194187	657	1996-02-24	PRIJEM	VKLAD	500	27692	\N	\N	\N
194188	657	1996-03-25	PRIJEM	VKLAD	1500	30756	\N	\N	\N
194189	657	1996-04-24	PRIJEM	VKLAD	4000	36327	\N	\N	\N
194190	657	1996-05-24	VYDAJ	VYBER	1700	35374	\N	\N	\N
194191	657	1996-06-23	PRIJEM	VKLAD	3000	40733	\N	\N	\N
194192	657	1996-07-23	VYDAJ	VYBER	1800	40541	\N	\N	\N
194193	657	1996-08-22	PRIJEM	VKLAD	600	42764	\N	\N	\N
194194	657	1996-09-21	PRIJEM	VKLAD	2400	42348	\N	\N	\N
194195	657	1996-10-21	PRIJEM	VKLAD	2200	40763	\N	\N	\N
194196	657	1996-11-20	VYDAJ	VYBER	1700	40075	\N	\N	\N
194197	657	1996-12-20	VYDAJ	VYBER	4300	39589	\N	\N	\N
194198	657	1997-01-19	PRIJEM	VKLAD	5000	36007	\N	\N	\N
194199	657	1997-02-18	PRIJEM	VKLAD	5500	39734	\N	\N	\N
194200	657	1997-03-20	PRIJEM	VKLAD	300	39473	\N	\N	\N
194201	657	1997-04-19	PRIJEM	VKLAD	2500	43589	\N	\N	\N
194202	657	1997-05-19	PRIJEM	VKLAD	5700	48032	\N	\N	\N
194203	657	1997-06-18	PRIJEM	VKLAD	4800	39705	\N	\N	\N
194204	657	1997-07-18	PRIJEM	VKLAD	2800	44126	\N	\N	\N
194205	657	1997-08-17	PRIJEM	VKLAD	2800	48551	\N	\N	\N
194206	657	1997-09-16	VYDAJ	VYBER	300	46167	\N	\N	\N
194207	657	1997-11-15	VYDAJ	VYBER	100	45856	\N	\N	\N
194208	657	1997-12-15	PRIJEM	VKLAD	2700	50310	\N	\N	\N
194209	657	1998-01-14	VYDAJ	VYBER	500	40056	\N	\N	\N
194210	657	1998-02-13	PRIJEM	VKLAD	2700	37754	\N	\N	\N
194211	657	1998-03-15	VYDAJ	VYBER	100	38182	\N	\N	\N
194212	657	1998-04-14	PRIJEM	VKLAD	1900	42753	\N	\N	\N
194213	657	1998-05-14	PRIJEM	VKLAD	5800	46084	\N	\N	\N
194214	657	1998-06-13	PRIJEM	VKLAD	8200	51981	\N	\N	\N
194215	657	1998-07-13	PRIJEM	VKLAD	1600	54022	\N	\N	\N
194216	657	1998-08-12	PRIJEM	VKLAD	3700	59387	\N	\N	\N
194217	657	1998-09-11	VYDAJ	VYBER	1100	59971	\N	\N	\N
194218	657	1998-10-11	PRIJEM	VKLAD	400	59780	\N	\N	\N
194219	657	1998-11-10	PRIJEM	VKLAD	3900	60977	\N	\N	\N
194220	657	1998-12-10	PRIJEM	VKLAD	1800	56525	\N	\N	\N
194286	658	1996-01-10	PRIJEM	VKLAD	600	600	\N	\N	\N
194287	658	1996-01-12	PRIJEM	PREVOD Z UCTU	4655	5255	DUCHOD	YZ	25846690
194288	658	1996-02-12	PRIJEM	PREVOD Z UCTU	4655	9924	DUCHOD	YZ	25846690
194289	658	1996-03-12	PRIJEM	PREVOD Z UCTU	4655	14601	DUCHOD	YZ	25846690
194290	658	1996-04-12	PRIJEM	PREVOD Z UCTU	4655	19278	DUCHOD	YZ	25846690
194291	658	1996-05-12	PRIJEM	PREVOD Z UCTU	4655	23955	DUCHOD	YZ	25846690
194292	658	1996-06-12	PRIJEM	PREVOD Z UCTU	4655	25917	DUCHOD	YZ	25846690
194293	658	1996-07-12	PRIJEM	PREVOD Z UCTU	4655	20109	DUCHOD	YZ	25846690
194294	658	1996-08-12	PRIJEM	PREVOD Z UCTU	4655	17720	DUCHOD	YZ	25846690
194295	658	1996-09-12	PRIJEM	PREVOD Z UCTU	4655	19727	DUCHOD	YZ	25846690
194296	658	1996-10-12	PRIJEM	PREVOD Z UCTU	4655	21743	DUCHOD	YZ	25846690
194297	658	1996-11-12	PRIJEM	PREVOD Z UCTU	4655	23769	DUCHOD	YZ	25846690
194298	658	1996-12-12	PRIJEM	PREVOD Z UCTU	4655	25802	DUCHOD	YZ	25846690
194299	658	1997-01-12	PRIJEM	PREVOD Z UCTU	4655	23344	DUCHOD	YZ	25846690
194300	658	1997-02-12	PRIJEM	PREVOD Z UCTU	4655	19688	DUCHOD	YZ	25846690
194301	658	1997-03-12	PRIJEM	PREVOD Z UCTU	4655	18025	DUCHOD	YZ	25846690
194302	658	1997-04-12	PRIJEM	PREVOD Z UCTU	4655	16507	DUCHOD	YZ	25846690
194303	658	1997-05-12	PRIJEM	PREVOD Z UCTU	4655	18510	DUCHOD	YZ	25846690
194304	658	1997-06-12	PRIJEM	PREVOD Z UCTU	4655	20522	DUCHOD	YZ	25846690
194305	658	1997-07-12	PRIJEM	PREVOD Z UCTU	4655	22061	DUCHOD	YZ	25846690
194306	658	1997-08-12	PRIJEM	PREVOD Z UCTU	4655	24088	DUCHOD	YZ	25846690
194307	658	1997-09-12	PRIJEM	PREVOD Z UCTU	4655	23556	DUCHOD	YZ	25846690
194308	658	1997-10-12	PRIJEM	PREVOD Z UCTU	4655	25588	DUCHOD	YZ	25846690
194309	658	1997-11-12	PRIJEM	PREVOD Z UCTU	4655	27629	DUCHOD	YZ	25846690
194310	658	1997-12-12	PRIJEM	PREVOD Z UCTU	4655	29678	DUCHOD	YZ	25846690
194311	658	1998-01-12	PRIJEM	PREVOD Z UCTU	4655	28545	DUCHOD	YZ	25846690
194312	658	1998-02-12	PRIJEM	PREVOD Z UCTU	4655	21626	DUCHOD	YZ	25846690
194313	658	1998-03-12	PRIJEM	PREVOD Z UCTU	4655	16367	DUCHOD	YZ	25846690
194314	658	1998-04-12	PRIJEM	PREVOD Z UCTU	4655	18369	DUCHOD	YZ	25846690
194315	658	1998-05-12	PRIJEM	PREVOD Z UCTU	4655	20379	DUCHOD	YZ	25846690
194316	658	1998-06-12	PRIJEM	PREVOD Z UCTU	4655	22398	DUCHOD	YZ	25846690
194317	658	1998-07-12	PRIJEM	PREVOD Z UCTU	4655	23945	DUCHOD	YZ	25846690
194318	658	1998-08-12	PRIJEM	PREVOD Z UCTU	4655	25979	DUCHOD	YZ	25846690
194319	658	1998-09-12	PRIJEM	PREVOD Z UCTU	4655	26497	DUCHOD	YZ	25846690
194320	658	1998-10-12	PRIJEM	PREVOD Z UCTU	4655	28541	DUCHOD	YZ	25846690
194321	658	1998-11-12	PRIJEM	PREVOD Z UCTU	4655	30594	DUCHOD	YZ	25846690
194322	658	1998-12-12	PRIJEM	PREVOD Z UCTU	4655	28681	DUCHOD	YZ	25846690
194328	658	1996-06-05	VYDAJ	PREVOD NA UCET	2703	21262	SIPO	ST	92509448
194329	658	1996-07-05	VYDAJ	PREVOD NA UCET	2703	17294	SIPO	ST	92509448
194330	658	1996-08-05	VYDAJ	PREVOD NA UCET	2703	13065	SIPO	ST	92509448
194331	658	1996-09-05	VYDAJ	PREVOD NA UCET	2703	15072	SIPO	ST	92509448
194332	658	1996-10-05	VYDAJ	PREVOD NA UCET	2703	17088	SIPO	ST	92509448
194333	658	1996-11-05	VYDAJ	PREVOD NA UCET	2703	19114	SIPO	ST	92509448
194334	658	1996-12-05	VYDAJ	PREVOD NA UCET	2703	21147	SIPO	ST	92509448
194335	658	1997-01-05	VYDAJ	PREVOD NA UCET	2703	22089	SIPO	ST	92509448
194336	658	1997-02-05	VYDAJ	PREVOD NA UCET	2703	15033	SIPO	ST	92509448
194337	658	1997-03-05	VYDAJ	PREVOD NA UCET	2703	13370	SIPO	ST	92509448
194338	658	1997-04-05	VYDAJ	PREVOD NA UCET	2703	11852	SIPO	ST	92509448
194339	658	1997-05-05	VYDAJ	PREVOD NA UCET	2703	13855	SIPO	ST	92509448
194340	658	1997-06-05	VYDAJ	PREVOD NA UCET	2703	15867	SIPO	ST	92509448
194341	658	1997-07-05	VYDAJ	PREVOD NA UCET	2703	17406	SIPO	ST	92509448
194342	658	1997-08-05	VYDAJ	PREVOD NA UCET	2703	19433	SIPO	ST	92509448
194343	658	1997-09-05	VYDAJ	PREVOD NA UCET	2703	18901	SIPO	ST	92509448
194344	658	1997-10-05	VYDAJ	PREVOD NA UCET	2703	20933	SIPO	ST	92509448
194345	658	1997-11-05	VYDAJ	PREVOD NA UCET	2703	22974	SIPO	ST	92509448
194346	658	1997-12-05	VYDAJ	PREVOD NA UCET	2703	25023	SIPO	ST	92509448
194347	658	1998-01-05	VYDAJ	PREVOD NA UCET	2703	23890	SIPO	ST	92509448
194348	658	1998-02-05	VYDAJ	PREVOD NA UCET	2703	16971	SIPO	ST	92509448
194349	658	1998-03-05	VYDAJ	PREVOD NA UCET	2703	11712	SIPO	ST	92509448
194350	658	1998-04-05	VYDAJ	PREVOD NA UCET	2703	13714	SIPO	ST	92509448
194351	658	1998-05-05	VYDAJ	PREVOD NA UCET	2703	15724	SIPO	ST	92509448
194352	658	1998-06-05	VYDAJ	PREVOD NA UCET	2703	17743	SIPO	ST	92509448
194353	658	1998-07-05	VYDAJ	PREVOD NA UCET	2703	19290	SIPO	ST	92509448
194354	658	1998-08-05	VYDAJ	PREVOD NA UCET	2703	21324	SIPO	ST	92509448
194355	658	1998-09-05	VYDAJ	PREVOD NA UCET	2703	21842	SIPO	ST	92509448
194356	658	1998-10-05	VYDAJ	PREVOD NA UCET	2703	23886	SIPO	ST	92509448
194357	658	1998-11-05	VYDAJ	PREVOD NA UCET	2703	25939	SIPO	ST	92509448
194358	658	1998-12-05	VYDAJ	PREVOD NA UCET	2703	24026	SIPO	ST	92509448
194359	658	1996-06-16	VYDAJ	VYBER	2800	21037	\N	\N	\N
194363	658	1997-01-06	VYDAJ	VYBER	3400	18689	\N	\N	\N
194364	658	1998-01-02	VYDAJ	VYBER	1100	27633	\N	\N	\N
194365	658	1996-12-23	VYDAJ	VYBER	300	25502	\N	\N	\N
194366	658	1997-12-25	VYDAJ	VYBER	1050	28628	\N	\N	\N
194367	658	1998-12-04	VYDAJ	VYBER	850	26729	\N	\N	\N
194374	658	1997-01-28	VYDAJ	VYBER	560	17664	\N	\N	\N
194375	658	1997-01-16	VYDAJ	VYBER	800	22544	\N	\N	\N
194376	658	1997-01-26	VYDAJ	VYBER	1360	18224	\N	\N	\N
194377	658	1997-01-25	VYDAJ	VYBER	640	19584	\N	\N	\N
194378	658	1997-01-21	VYDAJ	VYBER	2320	20224	\N	\N	\N
194379	658	1997-01-05	VYDAJ	VYBER	800	24792	\N	\N	\N
194380	658	1998-01-18	VYDAJ	VYBER	1440	24785	\N	\N	\N
194381	658	1998-01-24	VYDAJ	VYBER	2320	19585	\N	\N	\N
194382	658	1998-01-17	VYDAJ	VYBER	2320	26225	\N	\N	\N
194383	658	1998-01-23	VYDAJ	VYBER	1120	21905	\N	\N	\N
194384	658	1998-01-21	VYDAJ	VYBER	1760	23025	\N	\N	\N
194385	658	1998-01-05	VYDAJ	VYBER	1040	26593	\N	\N	\N
194386	658	1996-07-11	VYDAJ	VYBER	1840	15454	\N	\N	\N
194387	658	1996-08-01	VYDAJ	VYBER	1200	15768	\N	\N	\N
194388	658	1996-07-15	VYDAJ	VYBER	3200	16909	\N	\N	\N
194389	658	1996-07-03	VYDAJ	VYBER	1120	19997	\N	\N	\N
194390	658	1996-06-12	VYDAJ	VYBER	2080	23837	\N	\N	\N
194394	658	1997-06-28	VYDAJ	VYBER	480	20042	\N	\N	\N
194395	658	1997-03-13	VYDAJ	VYBER	3520	14505	\N	\N	\N
194396	658	1997-03-05	VYDAJ	VYBER	3680	16073	\N	\N	\N
194398	658	1997-08-13	VYDAJ	VYBER	2560	21528	\N	\N	\N
194399	658	1998-06-21	VYDAJ	VYBER	480	21918	\N	\N	\N
194400	658	1998-02-25	VYDAJ	VYBER	3680	17946	\N	\N	\N
194401	658	1998-11-21	VYDAJ	VYBER	3120	27474	\N	\N	\N
194402	658	1998-08-12	VYDAJ	VYBER	1520	24459	\N	\N	\N
194403	658	1998-02-27	VYDAJ	VYBER	3600	14346	\N	\N	\N
194409	658	1996-05-31	VYDAJ	VYBER	15	23965	SLUZBY	\N	\N
194410	658	1996-06-30	VYDAJ	VYBER	15	21117	SLUZBY	\N	\N
194411	658	1996-07-31	VYDAJ	VYBER	15	16968	SLUZBY	\N	\N
194412	658	1996-08-31	VYDAJ	VYBER	15	17775	SLUZBY	\N	\N
194413	658	1996-09-30	VYDAJ	VYBER	15	19791	SLUZBY	\N	\N
194414	658	1996-10-31	VYDAJ	VYBER	15	21817	SLUZBY	\N	\N
194415	658	1996-11-30	VYDAJ	VYBER	15	23850	SLUZBY	\N	\N
194416	658	1996-12-31	VYDAJ	VYBER	15	25592	SLUZBY	\N	\N
194417	658	1997-01-31	VYDAJ	VYBER	15	17736	SLUZBY	\N	\N
194418	658	1997-02-28	VYDAJ	VYBER	15	19753	SLUZBY	\N	\N
194419	658	1997-03-31	VYDAJ	VYBER	15	14555	SLUZBY	\N	\N
194420	658	1997-04-30	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
194421	658	1997-05-31	VYDAJ	VYBER	15	18570	SLUZBY	\N	\N
194422	658	1997-06-30	VYDAJ	VYBER	15	20109	SLUZBY	\N	\N
194423	658	1997-07-31	VYDAJ	VYBER	15	22136	SLUZBY	\N	\N
194424	658	1997-08-31	VYDAJ	VYBER	15	21604	SLUZBY	\N	\N
194425	658	1997-09-30	VYDAJ	VYBER	15	23636	SLUZBY	\N	\N
194426	658	1997-10-31	VYDAJ	VYBER	15	25677	SLUZBY	\N	\N
194427	658	1997-11-30	VYDAJ	VYBER	15	27726	SLUZBY	\N	\N
194428	658	1997-12-31	VYDAJ	VYBER	15	28733	SLUZBY	\N	\N
194429	658	1998-01-31	VYDAJ	VYBER	15	19674	SLUZBY	\N	\N
194430	658	1998-02-28	VYDAJ	VYBER	15	14415	SLUZBY	\N	\N
194431	658	1998-03-31	VYDAJ	VYBER	15	16417	SLUZBY	\N	\N
194432	658	1998-04-30	VYDAJ	VYBER	15	18427	SLUZBY	\N	\N
194433	658	1998-05-31	VYDAJ	VYBER	15	20446	SLUZBY	\N	\N
194434	658	1998-06-30	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
194435	658	1998-07-31	VYDAJ	VYBER	15	24027	SLUZBY	\N	\N
194436	658	1998-08-31	VYDAJ	VYBER	15	24545	SLUZBY	\N	\N
194437	658	1998-09-30	VYDAJ	VYBER	15	26589	SLUZBY	\N	\N
194438	658	1998-10-31	VYDAJ	VYBER	15	28642	SLUZBY	\N	\N
194439	658	1998-11-30	VYDAJ	VYBER	15	27579	SLUZBY	\N	\N
194476	659	1996-12-14	PRIJEM	VKLAD	900	900	\N	\N	\N
194489	659	1997-01-13	PRIJEM	PREVOD Z UCTU	2911	16211	\N	IJ	27175820
194490	659	1997-02-13	PRIJEM	PREVOD Z UCTU	2911	22156	\N	IJ	27175820
194491	659	1997-03-13	PRIJEM	PREVOD Z UCTU	2911	25144	\N	IJ	27175820
194492	659	1997-04-13	PRIJEM	PREVOD Z UCTU	2911	26650	\N	IJ	27175820
194493	659	1997-05-13	PRIJEM	PREVOD Z UCTU	2911	28968	\N	IJ	27175820
194494	659	1997-06-13	PRIJEM	PREVOD Z UCTU	2911	27902	\N	IJ	27175820
194495	659	1997-07-13	PRIJEM	PREVOD Z UCTU	2911	33544	\N	IJ	27175820
194648	659	1997-08-31	VYDAJ	VYBER	15	38968	SLUZBY	\N	\N
194496	659	1997-08-13	PRIJEM	PREVOD Z UCTU	2911	38829	\N	IJ	27175820
194497	659	1997-09-13	PRIJEM	PREVOD Z UCTU	2911	38739	\N	IJ	27175820
194498	659	1997-10-13	PRIJEM	PREVOD Z UCTU	2911	42055	\N	IJ	27175820
194499	659	1997-11-13	PRIJEM	PREVOD Z UCTU	2911	41282	\N	IJ	27175820
194500	659	1997-12-13	PRIJEM	PREVOD Z UCTU	2911	40668	\N	IJ	27175820
194501	659	1998-01-13	PRIJEM	PREVOD Z UCTU	2911	38140	\N	IJ	27175820
194502	659	1998-02-13	PRIJEM	PREVOD Z UCTU	2911	36790	\N	IJ	27175820
194503	659	1998-03-13	PRIJEM	PREVOD Z UCTU	2911	32397	\N	IJ	27175820
194504	659	1998-04-13	PRIJEM	PREVOD Z UCTU	2911	34592	\N	IJ	27175820
194505	659	1998-05-13	PRIJEM	PREVOD Z UCTU	2911	35888	\N	IJ	27175820
194506	659	1998-06-13	PRIJEM	PREVOD Z UCTU	2911	31281	\N	IJ	27175820
194507	659	1998-07-13	PRIJEM	PREVOD Z UCTU	2911	28759	\N	IJ	27175820
194508	659	1998-08-13	PRIJEM	PREVOD Z UCTU	2911	29035	\N	IJ	27175820
194509	659	1998-09-13	PRIJEM	PREVOD Z UCTU	2911	31410	\N	IJ	27175820
194510	659	1998-10-13	PRIJEM	PREVOD Z UCTU	2911	31093	\N	IJ	27175820
194511	659	1998-11-13	PRIJEM	PREVOD Z UCTU	2911	29777	\N	IJ	27175820
194512	659	1998-12-13	PRIJEM	PREVOD Z UCTU	2911	24506	\N	IJ	27175820
194530	659	1997-06-08	VYDAJ	PREVOD NA UCET	1833	18998	SIPO	EF	43700408
194531	659	1997-07-08	VYDAJ	PREVOD NA UCET	1833	24840	SIPO	EF	43700408
194532	659	1997-08-08	VYDAJ	PREVOD NA UCET	1833	31825	SIPO	EF	43700408
194533	659	1997-09-08	VYDAJ	PREVOD NA UCET	1833	36805	SIPO	EF	43700408
194534	659	1997-10-08	VYDAJ	PREVOD NA UCET	1833	37051	SIPO	EF	43700408
194535	659	1997-11-08	VYDAJ	PREVOD NA UCET	1833	40378	SIPO	EF	43700408
194536	659	1997-12-08	VYDAJ	PREVOD NA UCET	1833	38464	SIPO	EF	43700408
194537	659	1998-01-08	VYDAJ	PREVOD NA UCET	1833	35536	SIPO	EF	43700408
194538	659	1998-02-08	VYDAJ	PREVOD NA UCET	1833	33986	SIPO	EF	43700408
194539	659	1998-03-08	VYDAJ	PREVOD NA UCET	1833	35093	SIPO	EF	43700408
194540	659	1998-04-08	VYDAJ	PREVOD NA UCET	1833	31788	SIPO	EF	43700408
194541	659	1998-05-08	VYDAJ	PREVOD NA UCET	1833	33084	SIPO	EF	43700408
194542	659	1998-06-08	VYDAJ	PREVOD NA UCET	1833	28477	SIPO	EF	43700408
194543	659	1998-07-08	VYDAJ	PREVOD NA UCET	1833	25955	SIPO	EF	43700408
194544	659	1998-08-08	VYDAJ	PREVOD NA UCET	1833	26231	SIPO	EF	43700408
194545	659	1998-09-08	VYDAJ	PREVOD NA UCET	1833	28606	SIPO	EF	43700408
194546	659	1998-10-08	VYDAJ	PREVOD NA UCET	1833	28289	SIPO	EF	43700408
194547	659	1998-11-08	VYDAJ	PREVOD NA UCET	1833	26973	SIPO	EF	43700408
194548	659	1998-12-08	VYDAJ	PREVOD NA UCET	1833	21702	SIPO	EF	43700408
194566	659	1997-06-09	VYDAJ	PREVOD NA UCET	107	18891	 	CD	72181445
194567	659	1997-07-09	VYDAJ	PREVOD NA UCET	107	24733	 	CD	72181445
194568	659	1997-08-09	VYDAJ	PREVOD NA UCET	107	31718	 	CD	72181445
194569	659	1997-09-09	VYDAJ	PREVOD NA UCET	107	36698	 	CD	72181445
194570	659	1997-10-09	VYDAJ	PREVOD NA UCET	107	36944	 	CD	72181445
194571	659	1997-11-09	VYDAJ	PREVOD NA UCET	107	38371	 	CD	72181445
194572	659	1997-12-09	VYDAJ	PREVOD NA UCET	107	38357	 	CD	72181445
194573	659	1998-01-09	VYDAJ	PREVOD NA UCET	107	35229	 	CD	72181445
194574	659	1998-02-09	VYDAJ	PREVOD NA UCET	107	33879	 	CD	72181445
194575	659	1998-03-09	VYDAJ	PREVOD NA UCET	107	29486	 	CD	72181445
194576	659	1998-04-09	VYDAJ	PREVOD NA UCET	107	31681	 	CD	72181445
194577	659	1998-05-09	VYDAJ	PREVOD NA UCET	107	32977	 	CD	72181445
194578	659	1998-06-09	VYDAJ	PREVOD NA UCET	107	28370	 	CD	72181445
194579	659	1998-07-09	VYDAJ	PREVOD NA UCET	107	25848	 	CD	72181445
194580	659	1998-08-09	VYDAJ	PREVOD NA UCET	107	26124	 	CD	72181445
194581	659	1998-09-09	VYDAJ	PREVOD NA UCET	107	28499	 	CD	72181445
194582	659	1998-10-09	VYDAJ	PREVOD NA UCET	107	28182	 	CD	72181445
194583	659	1998-11-09	VYDAJ	PREVOD NA UCET	107	26866	 	CD	72181445
194584	659	1998-12-09	VYDAJ	PREVOD NA UCET	107	21595	 	CD	72181445
194586	659	1997-06-08	VYDAJ	VYBER	4830	20831	\N	\N	\N
194587	659	1998-06-03	VYDAJ	VYBER	5310	30710	\N	\N	\N
194590	659	1998-01-18	VYDAJ	VYBER	750	37180	\N	\N	\N
194592	659	1997-12-23	VYDAJ	VYBER	720	39948	\N	\N	\N
194593	659	1998-12-07	VYDAJ	VYBER	750	23535	\N	\N	\N
194606	659	1998-01-02	VYDAJ	VYBER	570	38119	\N	\N	\N
194607	659	1998-01-19	VYDAJ	VYBER	270	36760	\N	\N	\N
194608	659	1998-01-03	VYDAJ	VYBER	750	37369	\N	\N	\N
194609	659	1998-01-18	VYDAJ	VYBER	150	37030	\N	\N	\N
194610	659	1998-01-29	VYDAJ	VYBER	810	35950	\N	\N	\N
194611	659	1998-01-17	VYDAJ	VYBER	210	37930	\N	\N	\N
194618	659	1997-11-18	VYDAJ	VYBER	1140	40142	\N	\N	\N
194619	659	1997-06-13	VYDAJ	VYBER	1320	26582	\N	\N	\N
194620	659	1997-09-09	VYDAJ	VYBER	1170	35528	\N	\N	\N
194621	659	1997-09-03	VYDAJ	VYBER	330	38638	\N	\N	\N
194622	659	1997-12-27	VYDAJ	VYBER	1410	38538	\N	\N	\N
194623	659	1998-07-07	VYDAJ	VYBER	150	30888	\N	\N	\N
194624	659	1998-12-29	VYDAJ	VYBER	1230	22226	\N	\N	\N
194625	659	1998-06-23	VYDAJ	VYBER	360	30921	\N	\N	\N
194626	659	1998-01-31	VYDAJ	VYBER	270	35819	\N	\N	\N
194627	659	1998-12-21	VYDAJ	VYBER	1050	23456	\N	\N	\N
194645	659	1997-05-31	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
194646	659	1997-06-30	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
194647	659	1997-07-31	VYDAJ	VYBER	15	33658	SLUZBY	\N	\N
194649	659	1997-09-30	VYDAJ	VYBER	15	38884	SLUZBY	\N	\N
194650	659	1997-10-31	VYDAJ	VYBER	15	42211	SLUZBY	\N	\N
194651	659	1997-11-30	VYDAJ	VYBER	15	40297	SLUZBY	\N	\N
194652	659	1997-12-31	VYDAJ	VYBER	15	38689	SLUZBY	\N	\N
194653	659	1998-01-31	VYDAJ	VYBER	15	36089	SLUZBY	\N	\N
194654	659	1998-02-28	VYDAJ	VYBER	15	36926	SLUZBY	\N	\N
194655	659	1998-03-31	VYDAJ	VYBER	15	32521	SLUZBY	\N	\N
194656	659	1998-04-30	VYDAJ	VYBER	15	34717	SLUZBY	\N	\N
194657	659	1998-05-31	VYDAJ	VYBER	15	36020	SLUZBY	\N	\N
194658	659	1998-06-30	VYDAJ	VYBER	15	31038	SLUZBY	\N	\N
194659	659	1998-07-31	VYDAJ	VYBER	15	28864	SLUZBY	\N	\N
194660	659	1998-08-31	VYDAJ	VYBER	15	29139	SLUZBY	\N	\N
194661	659	1998-09-30	VYDAJ	VYBER	15	31522	SLUZBY	\N	\N
194662	659	1998-10-31	VYDAJ	VYBER	15	31206	SLUZBY	\N	\N
194663	659	1998-11-30	VYDAJ	VYBER	15	29885	SLUZBY	\N	\N
194664	659	1997-01-13	PRIJEM	VKLAD	12400	13300	\N	\N	\N
194665	659	1997-02-12	PRIJEM	VKLAD	3000	19245	\N	\N	\N
194666	659	1997-03-14	VYDAJ	VYBER	1500	23644	\N	\N	\N
194667	659	1997-04-13	VYDAJ	VYBER	700	25950	\N	\N	\N
194668	659	1997-05-13	VYDAJ	VYBER	3400	25568	\N	\N	\N
194669	659	1997-06-12	PRIJEM	VKLAD	6100	24991	\N	\N	\N
194670	659	1997-07-12	PRIJEM	VKLAD	5900	30633	\N	\N	\N
194671	659	1997-08-11	PRIJEM	VKLAD	4200	35918	\N	\N	\N
194672	659	1997-09-10	PRIJEM	VKLAD	300	35828	\N	\N	\N
194673	659	1997-10-10	PRIJEM	VKLAD	2200	39144	\N	\N	\N
194674	659	1997-11-09	VYDAJ	VYBER	1900	38478	\N	\N	\N
194675	659	1997-12-09	VYDAJ	VYBER	600	37757	\N	\N	\N
194676	659	1998-01-08	VYDAJ	VYBER	200	35336	\N	\N	\N
194677	659	1998-03-09	VYDAJ	VYBER	5500	29593	\N	\N	\N
194678	659	1998-04-08	PRIJEM	VKLAD	1100	33621	\N	\N	\N
194679	659	1998-05-08	PRIJEM	VKLAD	200	34917	\N	\N	\N
194680	659	1998-06-07	VYDAJ	VYBER	400	30310	\N	\N	\N
194681	659	1998-07-07	VYDAJ	VYBER	3100	27788	\N	\N	\N
194682	659	1998-08-06	VYDAJ	VYBER	800	28064	\N	\N	\N
194683	659	1998-09-05	PRIJEM	VKLAD	1300	30439	\N	\N	\N
194684	659	1998-10-05	VYDAJ	VYBER	1400	30122	\N	\N	\N
194685	659	1998-11-04	VYDAJ	VYBER	2400	28806	\N	\N	\N
194686	659	1998-12-04	VYDAJ	VYBER	5600	24285	\N	\N	\N
194711	660	1996-01-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
194713	660	1996-02-11	PRIJEM	VKLAD	16293	17393	\N	\N	\N
194714	660	1996-03-11	PRIJEM	VKLAD	16293	39022	\N	\N	\N
194715	660	1996-04-11	PRIJEM	VKLAD	16293	47423	\N	\N	\N
194716	660	1996-05-11	PRIJEM	VKLAD	16293	53155	\N	\N	\N
194717	660	1996-06-11	PRIJEM	VKLAD	24440	65555	\N	\N	\N
194718	660	1996-07-11	PRIJEM	VKLAD	16293	47884	\N	\N	\N
194719	660	1996-08-11	PRIJEM	VKLAD	16293	45950	\N	\N	\N
194720	660	1996-09-11	PRIJEM	VKLAD	16293	39784	\N	\N	\N
194721	660	1996-10-11	PRIJEM	VKLAD	16293	40719	\N	\N	\N
194722	660	1996-11-11	PRIJEM	VKLAD	16293	41658	\N	\N	\N
194723	660	1996-12-11	PRIJEM	VKLAD	24440	50445	\N	\N	\N
194724	660	1997-01-11	PRIJEM	VKLAD	16293	37591	\N	\N	\N
194725	660	1997-02-11	PRIJEM	VKLAD	16293	24926	\N	\N	\N
194726	660	1997-03-11	PRIJEM	VKLAD	16293	32511	\N	\N	\N
194727	660	1997-04-11	PRIJEM	VKLAD	16293	36221	\N	\N	\N
194728	660	1997-05-11	PRIJEM	VKLAD	16293	34303	\N	\N	\N
194729	660	1997-06-11	PRIJEM	VKLAD	24440	43090	\N	\N	\N
194730	660	1997-07-11	PRIJEM	VKLAD	16293	38932	\N	\N	\N
194731	660	1997-08-11	PRIJEM	VKLAD	16293	44070	\N	\N	\N
194732	660	1997-09-11	PRIJEM	VKLAD	16293	47324	\N	\N	\N
194733	660	1997-10-11	PRIJEM	VKLAD	16293	54408	\N	\N	\N
194734	660	1997-11-11	PRIJEM	VKLAD	16293	54044	\N	\N	\N
194735	660	1997-12-11	PRIJEM	VKLAD	24440	60394	\N	\N	\N
194736	660	1998-01-11	PRIJEM	VKLAD	16293	46408	\N	\N	\N
194737	660	1998-02-11	PRIJEM	VKLAD	16293	42659	\N	\N	\N
194738	660	1998-03-11	PRIJEM	VKLAD	16293	51821	\N	\N	\N
194739	660	1998-04-11	PRIJEM	VKLAD	16293	56929	\N	\N	\N
194740	660	1998-05-11	PRIJEM	VKLAD	16293	57488	\N	\N	\N
194741	660	1998-06-11	PRIJEM	VKLAD	24440	67307	\N	\N	\N
194742	660	1998-07-11	PRIJEM	VKLAD	16293	43259	\N	\N	\N
194743	660	1998-08-11	PRIJEM	VKLAD	16293	58178	\N	\N	\N
194744	660	1998-09-11	PRIJEM	VKLAD	16293	63539	\N	\N	\N
194745	660	1998-10-11	PRIJEM	VKLAD	16293	69196	\N	\N	\N
194746	660	1998-11-11	PRIJEM	VKLAD	16293	69919	\N	\N	\N
194747	660	1998-12-11	PRIJEM	VKLAD	24440	83650	\N	\N	\N
194753	660	1996-06-11	VYDAJ	PREVOD NA UCET	1234	64321	SIPO	EF	56245785
194754	660	1996-07-11	VYDAJ	PREVOD NA UCET	1234	46650	SIPO	EF	56245785
194755	660	1996-08-11	VYDAJ	PREVOD NA UCET	1234	44716	SIPO	EF	56245785
194756	660	1996-09-11	VYDAJ	PREVOD NA UCET	1234	38550	SIPO	EF	56245785
194757	660	1996-10-11	VYDAJ	PREVOD NA UCET	1234	39485	SIPO	EF	56245785
194758	660	1996-11-11	VYDAJ	PREVOD NA UCET	1234	40424	SIPO	EF	56245785
194759	660	1996-12-11	VYDAJ	PREVOD NA UCET	1234	49211	SIPO	EF	56245785
194760	660	1997-01-11	VYDAJ	PREVOD NA UCET	1234	34677	SIPO	EF	56245785
194761	660	1997-02-11	VYDAJ	PREVOD NA UCET	1234	23692	SIPO	EF	56245785
194762	660	1997-03-11	VYDAJ	PREVOD NA UCET	1234	31277	SIPO	EF	56245785
194763	660	1997-04-11	VYDAJ	PREVOD NA UCET	1234	34987	SIPO	EF	56245785
194764	660	1997-05-11	VYDAJ	PREVOD NA UCET	1234	33069	SIPO	EF	56245785
194765	660	1997-06-11	VYDAJ	PREVOD NA UCET	1234	41856	SIPO	EF	56245785
194766	660	1997-07-11	VYDAJ	PREVOD NA UCET	1234	37698	SIPO	EF	56245785
194767	660	1997-08-11	VYDAJ	PREVOD NA UCET	1234	42836	SIPO	EF	56245785
194768	660	1997-09-11	VYDAJ	PREVOD NA UCET	1234	46090	SIPO	EF	56245785
194769	660	1997-10-11	VYDAJ	PREVOD NA UCET	1234	44374	SIPO	EF	56245785
194770	660	1997-11-11	VYDAJ	PREVOD NA UCET	1234	48010	SIPO	EF	56245785
194771	660	1997-12-11	VYDAJ	PREVOD NA UCET	1234	59160	SIPO	EF	56245785
194772	660	1998-01-11	VYDAJ	PREVOD NA UCET	1234	45174	SIPO	EF	56245785
194773	660	1998-02-11	VYDAJ	PREVOD NA UCET	1234	41425	SIPO	EF	56245785
194774	660	1998-03-11	VYDAJ	PREVOD NA UCET	1234	50587	SIPO	EF	56245785
194775	660	1998-04-11	VYDAJ	PREVOD NA UCET	1234	55695	SIPO	EF	56245785
194776	660	1998-05-11	VYDAJ	PREVOD NA UCET	1234	56254	SIPO	EF	56245785
194777	660	1998-06-11	VYDAJ	PREVOD NA UCET	1234	66073	SIPO	EF	56245785
194778	660	1998-07-11	VYDAJ	PREVOD NA UCET	1234	42025	SIPO	EF	56245785
194779	660	1998-08-11	VYDAJ	PREVOD NA UCET	1234	56944	SIPO	EF	56245785
194780	660	1998-09-11	VYDAJ	PREVOD NA UCET	1234	62305	SIPO	EF	56245785
194781	660	1998-10-11	VYDAJ	PREVOD NA UCET	1234	67962	SIPO	EF	56245785
194782	660	1998-11-11	VYDAJ	PREVOD NA UCET	1234	68685	SIPO	EF	56245785
194783	660	1998-12-11	VYDAJ	PREVOD NA UCET	1234	82416	SIPO	EF	56245785
194790	660	1996-07-10	VYDAJ	PREVOD NA UCET	5338	31591	 	WX	50051724
194791	660	1996-08-10	VYDAJ	PREVOD NA UCET	5338	29657	 	WX	50051724
194792	660	1996-09-10	VYDAJ	PREVOD NA UCET	5338	23491	 	WX	50051724
194793	660	1996-10-10	VYDAJ	PREVOD NA UCET	5338	24426	 	WX	50051724
194794	660	1996-11-10	VYDAJ	PREVOD NA UCET	5338	25365	 	WX	50051724
194795	660	1996-12-10	VYDAJ	PREVOD NA UCET	5338	26006	 	WX	50051724
194796	660	1997-01-10	VYDAJ	PREVOD NA UCET	5338	24178	 	WX	50051724
194797	660	1997-02-10	VYDAJ	PREVOD NA UCET	5338	8633	 	WX	50051724
194798	660	1997-03-10	VYDAJ	PREVOD NA UCET	5338	16218	 	WX	50051724
194799	660	1997-04-10	VYDAJ	PREVOD NA UCET	5338	19928	 	WX	50051724
194800	660	1997-05-10	VYDAJ	PREVOD NA UCET	5338	18010	 	WX	50051724
194801	660	1997-06-10	VYDAJ	PREVOD NA UCET	5338	18651	 	WX	50051724
194802	660	1997-07-10	VYDAJ	PREVOD NA UCET	5338	22639	 	WX	50051724
194803	660	1997-08-10	VYDAJ	PREVOD NA UCET	5338	27777	 	WX	50051724
194804	660	1997-09-10	VYDAJ	PREVOD NA UCET	5338	31031	 	WX	50051724
194805	660	1997-10-10	VYDAJ	PREVOD NA UCET	5338	38115	 	WX	50051724
194806	660	1997-11-10	VYDAJ	PREVOD NA UCET	5338	37751	 	WX	50051724
194807	660	1997-12-10	VYDAJ	PREVOD NA UCET	5338	35955	 	WX	50051724
194808	660	1998-01-10	VYDAJ	PREVOD NA UCET	5338	30115	 	WX	50051724
194809	660	1998-02-10	VYDAJ	PREVOD NA UCET	5338	26366	 	WX	50051724
194810	660	1998-03-10	VYDAJ	PREVOD NA UCET	5338	35528	 	WX	50051724
194811	660	1998-04-10	VYDAJ	PREVOD NA UCET	5338	40636	 	WX	50051724
194812	660	1998-05-10	VYDAJ	PREVOD NA UCET	5338	41195	 	WX	50051724
194813	660	1998-06-10	VYDAJ	PREVOD NA UCET	5338	42867	 	WX	50051724
194814	660	1998-07-10	VYDAJ	PREVOD NA UCET	5338	26966	 	WX	50051724
194815	660	1998-08-10	VYDAJ	PREVOD NA UCET	5338	41885	 	WX	50051724
194816	660	1998-09-10	VYDAJ	PREVOD NA UCET	5338	49406	 	WX	50051724
194817	660	1998-10-10	VYDAJ	PREVOD NA UCET	5338	52903	 	WX	50051724
194818	660	1998-11-10	VYDAJ	PREVOD NA UCET	5338	53626	 	WX	50051724
194819	660	1998-12-10	VYDAJ	PREVOD NA UCET	5338	59210	 	WX	50051724
194820	660	1996-06-17	VYDAJ	VYBER	17760	46561	\N	\N	\N
194821	660	1997-06-13	VYDAJ	VYBER	8800	27856	\N	\N	\N
194822	660	1998-06-22	VYDAJ	VYBER	41120	24953	\N	\N	\N
194824	660	1997-01-14	VYDAJ	VYBER	15200	19777	\N	\N	\N
194825	660	1998-01-04	VYDAJ	VYBER	10240	40853	\N	\N	\N
194826	660	1996-12-14	VYDAJ	VYBER	2880	46331	\N	\N	\N
194827	660	1997-12-26	VYDAJ	VYBER	2880	56280	\N	\N	\N
194828	660	1998-12-18	VYDAJ	VYBER KARTOU	3400	79016	\N	\N	0
194835	660	1997-01-11	VYDAJ	VYBER	1680	35911	\N	\N	\N
194836	660	1997-01-17	VYDAJ	VYBER	2280	14617	\N	\N	\N
194837	660	1997-01-22	VYDAJ	VYBER	720	13897	\N	\N	\N
194838	660	1997-01-10	VYDAJ	VYBER	2880	21298	\N	\N	\N
194839	660	1997-01-16	VYDAJ	VYBER	2880	16897	\N	\N	\N
194841	660	1998-01-16	VYDAJ	VYBER	1560	40134	\N	\N	\N
194842	660	1998-01-04	VYDAJ	VYBER	600	51093	\N	\N	\N
194843	660	1998-01-13	VYDAJ	VYBER	3480	41694	\N	\N	\N
194844	660	1998-01-22	VYDAJ	VYBER	2880	30654	\N	\N	\N
194845	660	1998-01-20	VYDAJ	VYBER	3360	36774	\N	\N	\N
194846	660	1998-01-01	VYDAJ	VYBER	840	51693	\N	\N	\N
194851	660	1996-08-28	VYDAJ	VYBER	4320	28696	\N	\N	\N
194852	660	1996-12-19	VYDAJ	VYBER	5640	29391	\N	\N	\N
194853	660	1997-12-27	VYDAJ	VYBER	3360	52320	\N	\N	\N
194854	660	1997-11-07	VYDAJ	VYBER	3480	41089	\N	\N	\N
194855	660	1997-05-09	VYDAJ	VYBER	4440	23348	\N	\N	\N
194856	660	1997-05-27	VYDAJ	VYBER	4080	23889	\N	\N	\N
194857	660	1997-11-11	VYDAJ	VYBER	4800	49244	\N	\N	\N
194858	660	1997-12-26	VYDAJ	VYBER	600	55680	\N	\N	\N
194859	660	1998-04-12	VYDAJ	VYBER	3960	51735	\N	\N	\N
194860	660	1998-11-26	VYDAJ	VYBER KARTOU	2300	66385	\N	\N	0
194861	660	1998-09-10	VYDAJ	VYBER	2160	47246	\N	\N	\N
194862	660	1998-07-04	VYDAJ	VYBER	840	24304	\N	\N	\N
194863	660	1998-07-23	VYDAJ	VYBER	840	41185	\N	\N	\N
194864	660	1998-06-05	VYDAJ	VYBER	4560	51905	\N	\N	\N
194865	660	1998-10-31	VYDAJ	VYBER	2160	66064	\N	\N	\N
194866	660	1998-01-20	VYDAJ	VYBER	3240	33534	\N	\N	\N
194867	660	1998-03-08	VYDAJ	VYBER	3600	37966	\N	\N	\N
194874	660	1996-06-30	VYDAJ	VYBER	15	36929	SLUZBY	\N	\N
194875	660	1996-07-31	VYDAJ	VYBER	15	34995	SLUZBY	\N	\N
194876	660	1996-08-31	VYDAJ	VYBER	15	28829	SLUZBY	\N	\N
194877	660	1996-09-30	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
194878	660	1996-10-31	VYDAJ	VYBER	15	30703	SLUZBY	\N	\N
194879	660	1996-11-30	VYDAJ	VYBER	15	31344	SLUZBY	\N	\N
194880	660	1996-12-31	VYDAJ	VYBER	15	29516	SLUZBY	\N	\N
194881	660	1997-01-31	VYDAJ	VYBER	15	13971	SLUZBY	\N	\N
194882	660	1997-02-28	VYDAJ	VYBER	15	21556	SLUZBY	\N	\N
194883	660	1997-03-31	VYDAJ	VYBER	15	25266	SLUZBY	\N	\N
194884	660	1997-04-30	VYDAJ	VYBER	15	27788	SLUZBY	\N	\N
194885	660	1997-05-31	VYDAJ	VYBER	15	23989	SLUZBY	\N	\N
194886	660	1997-06-30	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
194887	660	1997-07-31	VYDAJ	VYBER	15	33115	SLUZBY	\N	\N
194888	660	1997-08-31	VYDAJ	VYBER	15	36369	SLUZBY	\N	\N
194889	660	1997-09-30	VYDAJ	VYBER	15	43453	SLUZBY	\N	\N
194890	660	1997-10-31	VYDAJ	VYBER	15	44569	SLUZBY	\N	\N
194891	660	1997-11-30	VYDAJ	VYBER	15	48193	SLUZBY	\N	\N
194892	660	1997-12-31	VYDAJ	VYBER	15	52533	SLUZBY	\N	\N
194893	660	1998-01-31	VYDAJ	VYBER	15	30804	SLUZBY	\N	\N
194894	660	1998-02-28	VYDAJ	VYBER	15	41566	SLUZBY	\N	\N
194895	660	1998-03-31	VYDAJ	VYBER	15	50774	SLUZBY	\N	\N
194896	660	1998-04-30	VYDAJ	VYBER	15	51933	SLUZBY	\N	\N
194897	660	1998-05-31	VYDAJ	VYBER	15	56465	SLUZBY	\N	\N
194898	660	1998-06-30	VYDAJ	VYBER	15	25144	SLUZBY	\N	\N
194899	660	1998-07-31	VYDAJ	VYBER	15	41323	SLUZBY	\N	\N
194900	660	1998-08-31	VYDAJ	VYBER	15	57144	SLUZBY	\N	\N
194901	660	1998-09-30	VYDAJ	VYBER	15	62541	SLUZBY	\N	\N
194902	660	1998-10-31	VYDAJ	VYBER	15	68224	SLUZBY	\N	\N
194903	660	1998-11-30	VYDAJ	VYBER	15	66648	SLUZBY	\N	\N
194904	660	1996-02-19	PRIJEM	VKLAD	5300	22693	\N	\N	\N
194905	660	1996-03-20	VYDAJ	VYBER	8000	31022	\N	\N	\N
194906	660	1996-04-19	VYDAJ	VYBER	10700	36723	\N	\N	\N
194907	660	1996-05-19	VYDAJ	VYBER	12200	40955	\N	\N	\N
194908	660	1996-06-18	VYDAJ	VYBER	9800	36761	\N	\N	\N
194909	660	1996-07-18	VYDAJ	VYBER	11800	34850	\N	\N	\N
194910	660	1996-08-17	VYDAJ	VYBER	11700	33016	\N	\N	\N
194911	660	1996-09-16	VYDAJ	VYBER	8900	29650	\N	\N	\N
194912	660	1996-10-16	VYDAJ	VYBER	8900	30585	\N	\N	\N
194913	660	1996-11-15	VYDAJ	VYBER	9200	31224	\N	\N	\N
194914	660	1996-12-15	VYDAJ	VYBER	11300	35031	\N	\N	\N
194915	660	1997-01-14	PRIJEM	VKLAD	300	34977	\N	\N	\N
194916	660	1997-02-13	VYDAJ	VYBER	2200	21492	\N	\N	\N
194917	660	1997-03-15	VYDAJ	VYBER	6100	25177	\N	\N	\N
194918	660	1997-04-14	VYDAJ	VYBER	7300	27687	\N	\N	\N
194919	660	1997-05-14	VYDAJ	VYBER	5100	27969	\N	\N	\N
194920	660	1997-06-13	VYDAJ	VYBER	5200	36656	\N	\N	\N
194921	660	1997-07-13	VYDAJ	VYBER	4700	32998	\N	\N	\N
194922	660	1997-08-12	VYDAJ	VYBER	6600	36236	\N	\N	\N
194923	660	1997-09-11	VYDAJ	VYBER	2800	43290	\N	\N	\N
194924	660	1997-10-11	VYDAJ	VYBER	8800	45608	\N	\N	\N
194925	660	1997-11-10	PRIJEM	VKLAD	2000	43089	\N	\N	\N
194926	660	1997-12-10	VYDAJ	VYBER	6900	41293	\N	\N	\N
194927	660	1998-01-09	VYDAJ	VYBER	5400	35453	\N	\N	\N
194928	660	1998-02-08	PRIJEM	VKLAD	900	31704	\N	\N	\N
194929	660	1998-03-10	PRIJEM	VKLAD	2900	40866	\N	\N	\N
194930	660	1998-04-09	VYDAJ	VYBER	4800	45974	\N	\N	\N
194931	660	1998-05-09	VYDAJ	VYBER	5400	46533	\N	\N	\N
194932	660	1998-06-08	VYDAJ	VYBER	3700	48205	\N	\N	\N
194933	660	1998-07-08	PRIJEM	VKLAD	8000	32304	\N	\N	\N
194934	660	1998-08-07	PRIJEM	VKLAD	5900	47223	\N	\N	\N
194935	660	1998-09-06	VYDAJ	VYBER	2400	54744	\N	\N	\N
194936	660	1998-10-06	VYDAJ	VYBER	4300	58241	\N	\N	\N
194937	660	1998-11-05	VYDAJ	VYBER	7100	58964	\N	\N	\N
194938	660	1998-12-05	VYDAJ	VYBER KARTOU	2100	64548	\N	\N	0
195302	662	1994-07-18	PRIJEM	VKLAD	200	200	\N	\N	\N
195310	662	1994-08-05	PRIJEM	VKLAD	5015	5215	\N	\N	\N
195311	662	1994-09-05	PRIJEM	VKLAD	5015	19459	\N	\N	\N
195312	662	1994-10-05	PRIJEM	VKLAD	5015	27651	\N	\N	\N
195313	662	1994-11-05	PRIJEM	VKLAD	5015	29965	\N	\N	\N
195314	662	1994-12-05	PRIJEM	VKLAD	7522	33292	\N	\N	\N
195315	662	1995-01-05	PRIJEM	VKLAD	5015	32296	\N	\N	\N
195316	662	1995-02-05	PRIJEM	VKLAD	5015	34988	\N	\N	\N
195317	662	1995-03-05	PRIJEM	VKLAD	5015	32579	\N	\N	\N
195318	662	1995-04-05	PRIJEM	VKLAD	5015	32064	\N	\N	\N
195319	662	1995-05-05	PRIJEM	VKLAD	5015	32650	\N	\N	\N
195320	662	1995-06-05	PRIJEM	VKLAD	7522	29082	\N	\N	\N
195321	662	1995-07-05	PRIJEM	VKLAD	5015	26118	\N	\N	\N
195322	662	1995-08-05	PRIJEM	VKLAD	5015	33200	\N	\N	\N
195323	662	1995-09-05	PRIJEM	VKLAD	5015	35695	\N	\N	\N
195324	662	1995-10-05	PRIJEM	VKLAD	5015	37700	\N	\N	\N
195325	662	1995-11-05	PRIJEM	VKLAD	5015	30922	\N	\N	\N
195326	662	1995-12-05	PRIJEM	VKLAD	7522	33307	\N	\N	\N
195327	662	1996-01-05	PRIJEM	VKLAD	5015	31589	\N	\N	\N
195328	662	1996-02-05	PRIJEM	VKLAD	5015	34278	\N	\N	\N
195329	662	1996-03-05	PRIJEM	VKLAD	5015	32665	\N	\N	\N
195330	662	1996-04-05	PRIJEM	VKLAD	5015	32049	\N	\N	\N
195331	662	1996-05-05	PRIJEM	VKLAD	5015	33637	\N	\N	\N
195332	662	1996-06-05	PRIJEM	VKLAD	7522	36276	\N	\N	\N
195333	662	1996-07-05	PRIJEM	VKLAD	5015	31368	\N	\N	\N
195334	662	1996-08-05	PRIJEM	VKLAD	5015	29452	\N	\N	\N
195335	662	1996-09-05	PRIJEM	VKLAD	5015	25052	\N	\N	\N
195336	662	1996-10-05	PRIJEM	VKLAD	5015	22698	\N	\N	\N
195337	662	1996-11-05	PRIJEM	VKLAD	5015	22139	\N	\N	\N
195338	662	1996-12-05	PRIJEM	VKLAD	7522	22081	\N	\N	\N
195339	662	1997-01-05	PRIJEM	VKLAD	5015	20767	\N	\N	\N
195340	662	1997-02-05	PRIJEM	VKLAD	5015	20110	\N	\N	\N
195341	662	1997-03-05	PRIJEM	VKLAD	5015	20269	\N	\N	\N
195342	662	1997-04-05	PRIJEM	VKLAD	5015	20109	\N	\N	\N
195343	662	1997-05-05	PRIJEM	VKLAD	5015	19350	\N	\N	\N
195344	662	1997-06-05	PRIJEM	VKLAD	7522	19494	\N	\N	\N
195345	662	1997-07-05	PRIJEM	VKLAD	5015	21232	\N	\N	\N
195346	662	1997-08-05	PRIJEM	VKLAD	5015	22974	\N	\N	\N
195347	662	1997-09-05	PRIJEM	VKLAD	5015	24724	\N	\N	\N
195348	662	1997-10-05	PRIJEM	VKLAD	5015	22759	\N	\N	\N
195349	662	1997-11-05	PRIJEM	VKLAD	5015	24508	\N	\N	\N
195350	662	1997-12-05	PRIJEM	VKLAD	7522	28771	\N	\N	\N
195351	662	1998-01-05	PRIJEM	VKLAD	5015	29580	\N	\N	\N
195352	662	1998-02-05	PRIJEM	VKLAD	5015	31357	\N	\N	\N
195353	662	1998-03-05	PRIJEM	VKLAD	5015	25456	\N	\N	\N
195354	662	1998-04-05	PRIJEM	VKLAD	5015	27220	\N	\N	\N
195355	662	1998-05-05	PRIJEM	VKLAD	5015	28987	\N	\N	\N
195356	662	1998-06-05	PRIJEM	VKLAD	7522	33268	\N	\N	\N
195357	662	1998-07-05	PRIJEM	VKLAD	5015	20299	\N	\N	\N
195358	662	1998-08-05	PRIJEM	VKLAD	5015	22037	\N	\N	\N
195359	662	1998-09-05	PRIJEM	VKLAD	5015	23782	\N	\N	\N
195360	662	1998-10-05	PRIJEM	VKLAD	5015	25534	\N	\N	\N
195361	662	1998-11-05	PRIJEM	VKLAD	5015	22719	\N	\N	\N
195362	662	1998-12-05	PRIJEM	VKLAD	7522	26973	\N	\N	\N
195374	662	1994-12-07	VYDAJ	PREVOD NA UCET	3330	29962	SIPO	UV	32952279
195375	662	1995-01-07	VYDAJ	PREVOD NA UCET	3330	28966	SIPO	UV	32952279
195376	662	1995-02-07	VYDAJ	PREVOD NA UCET	3330	31658	SIPO	UV	32952279
195377	662	1995-03-07	VYDAJ	PREVOD NA UCET	3330	29249	SIPO	UV	32952279
195378	662	1995-04-07	VYDAJ	PREVOD NA UCET	3330	28734	SIPO	UV	32952279
195379	662	1995-05-07	VYDAJ	PREVOD NA UCET	3330	29320	SIPO	UV	32952279
195380	662	1995-06-07	VYDAJ	PREVOD NA UCET	3330	25752	SIPO	UV	32952279
195381	662	1995-07-07	VYDAJ	PREVOD NA UCET	3330	22788	SIPO	UV	32952279
195382	662	1995-08-07	VYDAJ	PREVOD NA UCET	3330	29870	SIPO	UV	32952279
195383	662	1995-09-07	VYDAJ	PREVOD NA UCET	3330	32365	SIPO	UV	32952279
195384	662	1995-10-07	VYDAJ	PREVOD NA UCET	3330	34370	SIPO	UV	32952279
195385	662	1995-11-07	VYDAJ	PREVOD NA UCET	3330	27592	SIPO	UV	32952279
195386	662	1995-12-07	VYDAJ	PREVOD NA UCET	3330	29977	SIPO	UV	32952279
195387	662	1996-01-07	VYDAJ	PREVOD NA UCET	3330	28259	SIPO	UV	32952279
195388	662	1996-02-07	VYDAJ	PREVOD NA UCET	3330	30948	SIPO	UV	32952279
195389	662	1996-03-07	VYDAJ	PREVOD NA UCET	3330	29335	SIPO	UV	32952279
195390	662	1996-04-07	VYDAJ	PREVOD NA UCET	3330	28719	SIPO	UV	32952279
195391	662	1996-05-07	VYDAJ	PREVOD NA UCET	3330	30307	SIPO	UV	32952279
195392	662	1996-06-07	VYDAJ	PREVOD NA UCET	3330	26246	SIPO	UV	32952279
195393	662	1996-07-07	VYDAJ	PREVOD NA UCET	3330	28038	SIPO	UV	32952279
195394	662	1996-08-07	VYDAJ	PREVOD NA UCET	3330	22122	SIPO	UV	32952279
195395	662	1996-09-07	VYDAJ	PREVOD NA UCET	3330	17622	SIPO	UV	32952279
195396	662	1996-10-07	VYDAJ	PREVOD NA UCET	3330	16468	SIPO	UV	32952279
195397	662	1996-11-07	VYDAJ	PREVOD NA UCET	3330	18809	SIPO	UV	32952279
195398	662	1996-12-07	VYDAJ	PREVOD NA UCET	3330	18751	SIPO	UV	32952279
195399	662	1997-01-07	VYDAJ	PREVOD NA UCET	3330	17437	SIPO	UV	32952279
195400	662	1997-02-07	VYDAJ	PREVOD NA UCET	3330	16780	SIPO	UV	32952279
195401	662	1997-03-07	VYDAJ	PREVOD NA UCET	3330	16939	SIPO	UV	32952279
195402	662	1997-04-07	VYDAJ	PREVOD NA UCET	3330	16779	SIPO	UV	32952279
195403	662	1997-05-07	VYDAJ	PREVOD NA UCET	3330	16020	SIPO	UV	32952279
195404	662	1997-06-07	VYDAJ	PREVOD NA UCET	3330	16164	SIPO	UV	32952279
195405	662	1997-07-07	VYDAJ	PREVOD NA UCET	3330	17902	SIPO	UV	32952279
195406	662	1997-08-07	VYDAJ	PREVOD NA UCET	3330	19644	SIPO	UV	32952279
195407	662	1997-09-07	VYDAJ	PREVOD NA UCET	3330	21394	SIPO	UV	32952279
195408	662	1997-10-07	VYDAJ	PREVOD NA UCET	3330	19429	SIPO	UV	32952279
195409	662	1997-11-07	VYDAJ	PREVOD NA UCET	3330	21178	SIPO	UV	32952279
195410	662	1997-12-07	VYDAJ	PREVOD NA UCET	3330	25441	SIPO	UV	32952279
195411	662	1998-01-07	VYDAJ	PREVOD NA UCET	3330	26250	SIPO	UV	32952279
195412	662	1998-02-07	VYDAJ	PREVOD NA UCET	3330	28027	SIPO	UV	32952279
195413	662	1998-03-07	VYDAJ	PREVOD NA UCET	3330	22126	SIPO	UV	32952279
195414	662	1998-04-07	VYDAJ	PREVOD NA UCET	3330	23890	SIPO	UV	32952279
195415	662	1998-05-07	VYDAJ	PREVOD NA UCET	3330	25657	SIPO	UV	32952279
195416	662	1998-06-07	VYDAJ	PREVOD NA UCET	3330	29938	SIPO	UV	32952279
195417	662	1998-07-07	VYDAJ	PREVOD NA UCET	3330	16969	SIPO	UV	32952279
195418	662	1998-08-07	VYDAJ	PREVOD NA UCET	3330	18707	SIPO	UV	32952279
195419	662	1998-09-07	VYDAJ	PREVOD NA UCET	3330	20452	SIPO	UV	32952279
195420	662	1998-10-07	VYDAJ	PREVOD NA UCET	3330	22204	SIPO	UV	32952279
195421	662	1998-11-07	VYDAJ	PREVOD NA UCET	3330	19389	SIPO	UV	32952279
195422	662	1998-12-07	VYDAJ	PREVOD NA UCET	3330	23643	SIPO	UV	32952279
195427	662	1998-06-12	VYDAJ	VYBER	14720	15218	\N	\N	\N
195428	662	1994-12-09	VYDAJ	VYBER	2080	27882	\N	\N	\N
195429	662	1995-12-17	VYDAJ	VYBER	800	26477	\N	\N	\N
195431	662	1997-12-10	VYDAJ	VYBER	960	24481	\N	\N	\N
195432	662	1998-12-27	VYDAJ	VYBER	2880	18003	\N	\N	\N
195439	662	1995-07-04	VYDAJ	VYBER	5640	21103	\N	\N	\N
195440	662	1995-05-28	VYDAJ	VYBER	2280	24940	\N	\N	\N
195441	662	1995-05-31	VYDAJ	VYBER	3480	21560	\N	\N	\N
195442	662	1995-10-29	VYDAJ	VYBER	5880	25790	\N	\N	\N
195443	662	1996-05-26	VYDAJ	VYBER	960	28647	\N	\N	\N
195445	662	1996-11-09	VYDAJ	VYBER	4200	14609	\N	\N	\N
195446	662	1996-08-15	VYDAJ	VYBER	2160	19962	\N	\N	\N
195448	662	1996-12-29	VYDAJ	VYBER	1560	17191	\N	\N	\N
195450	662	1997-02-21	VYDAJ	VYBER	1080	15700	\N	\N	\N
195451	662	1997-09-28	VYDAJ	VYBER	3720	17674	\N	\N	\N
195452	662	1998-03-01	VYDAJ	VYBER	5400	20441	\N	\N	\N
195454	662	1998-02-14	VYDAJ	VYBER	2280	25747	\N	\N	\N
195456	662	1998-10-08	VYDAJ	VYBER	4560	17644	\N	\N	\N
195458	662	1998-12-11	VYDAJ	VYBER	2760	20883	\N	\N	\N
195471	662	1994-12-31	VYDAJ	VYBER	15	27281	SLUZBY	\N	\N
195472	662	1995-01-31	VYDAJ	VYBER	15	29973	SLUZBY	\N	\N
195473	662	1995-02-28	VYDAJ	VYBER	15	27564	SLUZBY	\N	\N
195474	662	1995-03-31	VYDAJ	VYBER	15	27049	SLUZBY	\N	\N
195475	662	1995-04-30	VYDAJ	VYBER	15	27635	SLUZBY	\N	\N
195476	662	1995-05-31	VYDAJ	VYBER	15	25040	SLUZBY	\N	\N
195477	662	1995-06-30	VYDAJ	VYBER	15	26743	SLUZBY	\N	\N
195478	662	1995-07-31	VYDAJ	VYBER	15	28185	SLUZBY	\N	\N
195479	662	1995-08-31	VYDAJ	VYBER	15	30680	SLUZBY	\N	\N
195480	662	1995-09-30	VYDAJ	VYBER	15	32685	SLUZBY	\N	\N
195481	662	1995-10-31	VYDAJ	VYBER	15	25907	SLUZBY	\N	\N
195482	662	1995-11-30	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
195483	662	1995-12-31	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
195484	662	1996-01-31	VYDAJ	VYBER	15	29263	SLUZBY	\N	\N
195485	662	1996-02-29	VYDAJ	VYBER	15	27650	SLUZBY	\N	\N
195486	662	1996-03-31	VYDAJ	VYBER	15	27034	SLUZBY	\N	\N
195487	662	1996-04-30	VYDAJ	VYBER	15	28622	SLUZBY	\N	\N
195488	662	1996-05-31	VYDAJ	VYBER	15	28754	SLUZBY	\N	\N
195489	662	1996-06-30	VYDAJ	VYBER	15	26353	SLUZBY	\N	\N
195490	662	1996-07-31	VYDAJ	VYBER	15	24437	SLUZBY	\N	\N
195491	662	1996-08-31	VYDAJ	VYBER	15	20037	SLUZBY	\N	\N
195492	662	1996-09-30	VYDAJ	VYBER	15	17683	SLUZBY	\N	\N
195493	662	1996-10-31	VYDAJ	VYBER	15	16524	SLUZBY	\N	\N
195494	662	1996-11-30	VYDAJ	VYBER	15	14659	SLUZBY	\N	\N
195495	662	1996-12-31	VYDAJ	VYBER	15	17252	SLUZBY	\N	\N
195496	662	1997-01-31	VYDAJ	VYBER	15	17495	SLUZBY	\N	\N
195497	662	1997-02-28	VYDAJ	VYBER	15	15754	SLUZBY	\N	\N
195498	662	1997-03-31	VYDAJ	VYBER	15	16994	SLUZBY	\N	\N
195499	662	1997-04-30	VYDAJ	VYBER	15	16835	SLUZBY	\N	\N
195500	662	1997-05-31	VYDAJ	VYBER	15	16072	SLUZBY	\N	\N
195501	662	1997-06-30	VYDAJ	VYBER	15	16217	SLUZBY	\N	\N
195502	662	1997-07-31	VYDAJ	VYBER	15	17959	SLUZBY	\N	\N
195503	662	1997-08-31	VYDAJ	VYBER	15	19709	SLUZBY	\N	\N
195504	662	1997-09-30	VYDAJ	VYBER	15	17744	SLUZBY	\N	\N
195505	662	1997-10-31	VYDAJ	VYBER	15	19493	SLUZBY	\N	\N
195506	662	1997-11-30	VYDAJ	VYBER	15	21249	SLUZBY	\N	\N
195507	662	1997-12-31	VYDAJ	VYBER	15	24565	SLUZBY	\N	\N
195508	662	1998-01-31	VYDAJ	VYBER	15	26342	SLUZBY	\N	\N
195509	662	1998-02-28	VYDAJ	VYBER	15	25841	SLUZBY	\N	\N
195510	662	1998-03-31	VYDAJ	VYBER	15	22205	SLUZBY	\N	\N
195511	662	1998-04-30	VYDAJ	VYBER	15	23972	SLUZBY	\N	\N
195512	662	1998-05-31	VYDAJ	VYBER	15	25746	SLUZBY	\N	\N
195513	662	1998-06-30	VYDAJ	VYBER	15	15284	SLUZBY	\N	\N
195514	662	1998-07-31	VYDAJ	VYBER	15	17022	SLUZBY	\N	\N
195515	662	1998-08-31	VYDAJ	VYBER	15	18767	SLUZBY	\N	\N
195516	662	1998-09-30	VYDAJ	VYBER	15	20519	SLUZBY	\N	\N
195517	662	1998-10-31	VYDAJ	VYBER	15	17704	SLUZBY	\N	\N
195518	662	1998-11-30	VYDAJ	VYBER	15	19451	SLUZBY	\N	\N
195519	662	1994-08-17	PRIJEM	VKLAD	9200	14415	\N	\N	\N
195520	662	1994-09-16	PRIJEM	VKLAD	3100	22559	\N	\N	\N
195521	662	1994-10-16	VYDAJ	VYBER	2800	24851	\N	\N	\N
195522	662	1994-11-15	VYDAJ	VYBER	4300	25665	\N	\N	\N
195523	662	1994-12-15	VYDAJ	VYBER	700	27182	\N	\N	\N
195524	662	1995-01-14	PRIJEM	VKLAD	900	29866	\N	\N	\N
195525	662	1995-02-13	VYDAJ	VYBER	4200	27458	\N	\N	\N
195526	662	1995-03-15	VYDAJ	VYBER	2300	26949	\N	\N	\N
195527	662	1995-04-14	VYDAJ	VYBER	1200	27534	\N	\N	\N
195528	662	1995-05-14	VYDAJ	VYBER	2100	27220	\N	\N	\N
195529	662	1995-06-13	PRIJEM	VKLAD	900	26652	\N	\N	\N
195530	662	1995-07-13	PRIJEM	VKLAD	5300	28088	\N	\N	\N
195531	662	1995-08-12	PRIJEM	VKLAD	700	30570	\N	\N	\N
195532	662	1995-09-11	PRIJEM	VKLAD	200	32565	\N	\N	\N
195533	662	1995-10-11	VYDAJ	VYBER	2700	31670	\N	\N	\N
195534	662	1995-11-10	VYDAJ	VYBER	1900	25692	\N	\N	\N
195535	662	1995-12-10	VYDAJ	VYBER	2700	27277	\N	\N	\N
195536	662	1996-01-09	PRIJEM	VKLAD	900	29159	\N	\N	\N
195537	662	1996-02-08	VYDAJ	VYBER	3400	27548	\N	\N	\N
195538	662	1996-03-09	VYDAJ	VYBER	2400	26935	\N	\N	\N
195539	662	1996-04-08	VYDAJ	VYBER	200	28519	\N	\N	\N
195540	662	1996-05-08	VYDAJ	VYBER	700	29607	\N	\N	\N
195541	662	1996-06-07	VYDAJ	VYBER	6700	29576	\N	\N	\N
195542	662	1996-07-07	VYDAJ	VYBER	3700	24338	\N	\N	\N
195543	662	1996-08-06	VYDAJ	VYBER	4000	25452	\N	\N	\N
195544	662	1996-09-05	VYDAJ	VYBER	4100	20952	\N	\N	\N
195545	662	1996-10-05	VYDAJ	VYBER	2900	19798	\N	\N	\N
195546	662	1996-11-04	PRIJEM	VKLAD	600	17124	\N	\N	\N
195547	662	1996-12-04	VYDAJ	VYBER	100	14559	\N	\N	\N
195548	662	1997-01-03	VYDAJ	VYBER	1500	15752	\N	\N	\N
195549	662	1997-02-02	VYDAJ	VYBER	2400	15095	\N	\N	\N
195550	662	1997-03-04	VYDAJ	VYBER	500	15254	\N	\N	\N
195551	662	1997-04-03	VYDAJ	VYBER	1900	15094	\N	\N	\N
195552	662	1997-05-03	VYDAJ	VYBER	2500	14335	\N	\N	\N
195553	662	1997-06-02	VYDAJ	VYBER	4100	11972	\N	\N	\N
195868	664	1996-12-08	PRIJEM	VKLAD	200	200	\N	\N	\N
195881	664	1997-01-07	PRIJEM	PREVOD Z UCTU	6559	6759	DUCHOD	KL	24625432
195882	664	1997-02-07	PRIJEM	PREVOD Z UCTU	6559	13318	DUCHOD	KL	24625432
195883	664	1997-03-07	PRIJEM	PREVOD Z UCTU	6559	19877	DUCHOD	KL	24625432
195884	664	1997-04-07	PRIJEM	PREVOD Z UCTU	6559	26436	DUCHOD	KL	24625432
195885	664	1997-05-07	PRIJEM	PREVOD Z UCTU	6559	32995	DUCHOD	KL	24625432
195886	664	1997-06-07	PRIJEM	PREVOD Z UCTU	6559	34439	DUCHOD	KL	24625432
195887	664	1997-07-07	PRIJEM	PREVOD Z UCTU	6559	29652	DUCHOD	KL	24625432
195888	664	1997-08-07	PRIJEM	PREVOD Z UCTU	6559	29542	DUCHOD	KL	24625432
195889	664	1997-09-07	PRIJEM	PREVOD Z UCTU	6559	29515	DUCHOD	KL	24625432
195890	664	1997-10-07	PRIJEM	PREVOD Z UCTU	6559	32675	DUCHOD	KL	24625432
195891	664	1997-11-07	PRIJEM	PREVOD Z UCTU	6559	33880	DUCHOD	KL	24625432
195892	664	1997-12-07	PRIJEM	PREVOD Z UCTU	6559	34056	DUCHOD	KL	24625432
195893	664	1998-01-07	PRIJEM	PREVOD Z UCTU	6559	31351	DUCHOD	KL	24625432
195894	664	1998-02-07	PRIJEM	PREVOD Z UCTU	6559	19181	DUCHOD	KL	24625432
195895	664	1998-03-07	PRIJEM	PREVOD Z UCTU	6559	21597	DUCHOD	KL	24625432
195896	664	1998-04-07	PRIJEM	PREVOD Z UCTU	6559	24579	DUCHOD	KL	24625432
195897	664	1998-05-07	PRIJEM	PREVOD Z UCTU	6559	24212	DUCHOD	KL	24625432
195898	664	1998-06-07	PRIJEM	PREVOD Z UCTU	6559	24188	DUCHOD	KL	24625432
195899	664	1998-07-07	PRIJEM	PREVOD Z UCTU	6559	21380	DUCHOD	KL	24625432
195900	664	1998-08-07	PRIJEM	PREVOD Z UCTU	6559	23303	DUCHOD	KL	24625432
195901	664	1998-09-07	PRIJEM	PREVOD Z UCTU	6559	24209	DUCHOD	KL	24625432
195902	664	1998-10-07	PRIJEM	PREVOD Z UCTU	6559	25844	DUCHOD	KL	24625432
195903	664	1998-11-07	PRIJEM	PREVOD Z UCTU	6559	25380	DUCHOD	KL	24625432
195904	664	1998-12-07	PRIJEM	PREVOD Z UCTU	6559	25714	DUCHOD	KL	24625432
195921	664	1997-05-11	VYDAJ	PREVOD NA UCET	2997	27798	SIPO	OP	7335311
195922	664	1997-06-11	VYDAJ	PREVOD NA UCET	2997	24442	SIPO	OP	7335311
195923	664	1997-07-11	VYDAJ	PREVOD NA UCET	2997	26655	SIPO	OP	7335311
195924	664	1997-08-11	VYDAJ	PREVOD NA UCET	2997	26545	SIPO	OP	7335311
195925	664	1997-09-11	VYDAJ	PREVOD NA UCET	2997	26518	SIPO	OP	7335311
195926	664	1997-10-11	VYDAJ	PREVOD NA UCET	2997	28318	SIPO	OP	7335311
195927	664	1997-11-11	VYDAJ	PREVOD NA UCET	2997	30883	SIPO	OP	7335311
195928	664	1997-12-11	VYDAJ	PREVOD NA UCET	2997	31059	SIPO	OP	7335311
195929	664	1998-01-11	VYDAJ	PREVOD NA UCET	2997	27394	SIPO	OP	7335311
195930	664	1998-02-11	VYDAJ	PREVOD NA UCET	2997	16184	SIPO	OP	7335311
195931	664	1998-03-11	VYDAJ	PREVOD NA UCET	2997	17960	SIPO	OP	7335311
195932	664	1998-04-11	VYDAJ	PREVOD NA UCET	2997	21582	SIPO	OP	7335311
195933	664	1998-05-11	VYDAJ	PREVOD NA UCET	2997	21215	SIPO	OP	7335311
195934	664	1998-06-11	VYDAJ	PREVOD NA UCET	2997	17911	SIPO	OP	7335311
195935	664	1998-07-11	VYDAJ	PREVOD NA UCET	2997	18383	SIPO	OP	7335311
195936	664	1998-08-11	VYDAJ	PREVOD NA UCET	2997	20306	SIPO	OP	7335311
195937	664	1998-09-11	VYDAJ	PREVOD NA UCET	2997	21212	SIPO	OP	7335311
195938	664	1998-10-11	VYDAJ	PREVOD NA UCET	2997	22847	SIPO	OP	7335311
195939	664	1998-11-11	VYDAJ	PREVOD NA UCET	2997	22383	SIPO	OP	7335311
195940	664	1998-12-11	VYDAJ	PREVOD NA UCET	2997	22717	SIPO	OP	7335311
195942	664	1997-06-08	VYDAJ	VYBER	7000	27439	\N	\N	\N
195943	664	1998-06-17	VYDAJ	VYBER	2850	15061	\N	\N	\N
195946	664	1998-01-23	VYDAJ	VYBER	4450	15344	\N	\N	\N
195948	664	1997-12-12	VYDAJ	VYBER	1200	29859	\N	\N	\N
195949	664	1998-12-14	VYDAJ	VYBER	250	22467	\N	\N	\N
195962	664	1998-01-15	VYDAJ	VYBER	720	22194	\N	\N	\N
195963	664	1998-01-10	VYDAJ	VYBER	960	30391	\N	\N	\N
195964	664	1998-01-14	VYDAJ	VYBER	1680	22914	\N	\N	\N
195965	664	1998-01-03	VYDAJ	VYBER	480	24792	\N	\N	\N
195966	664	1998-01-12	VYDAJ	VYBER	1520	24594	\N	\N	\N
195967	664	1998-01-12	VYDAJ	VYBER	1280	26114	\N	\N	\N
195972	664	1997-07-14	VYDAJ	VYBER	3760	22895	\N	\N	\N
195974	664	1997-07-03	VYDAJ	VYBER	1440	23093	\N	\N	\N
195975	664	1997-09-06	VYDAJ	VYBER	3680	22956	\N	\N	\N
195977	664	1997-10-08	VYDAJ	VYBER	1360	31315	\N	\N	\N
195979	664	1998-01-18	VYDAJ	VYBER	2400	19794	\N	\N	\N
195980	664	1998-03-07	VYDAJ	VYBER	640	20957	\N	\N	\N
195981	664	1998-09-02	VYDAJ	VYBER	1120	17650	\N	\N	\N
195982	664	1998-05-23	VYDAJ	VYBER	960	20255	\N	\N	\N
195983	664	1998-06-11	VYDAJ	VYBER	3280	20908	\N	\N	\N
196001	664	1997-05-31	VYDAJ	VYBER	15	27880	SLUZBY	\N	\N
196002	664	1997-06-30	VYDAJ	VYBER	15	24533	SLUZBY	\N	\N
196003	664	1997-07-31	VYDAJ	VYBER	15	22983	SLUZBY	\N	\N
196004	664	1997-08-31	VYDAJ	VYBER	15	26636	SLUZBY	\N	\N
196005	664	1997-09-30	VYDAJ	VYBER	15	26616	SLUZBY	\N	\N
196006	664	1997-10-31	VYDAJ	VYBER	15	28421	SLUZBY	\N	\N
196007	664	1997-11-30	VYDAJ	VYBER	15	30997	SLUZBY	\N	\N
196008	664	1997-12-31	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
196009	664	1998-01-31	VYDAJ	VYBER	15	15422	SLUZBY	\N	\N
196010	664	1998-02-28	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
196011	664	1998-03-31	VYDAJ	VYBER	15	18020	SLUZBY	\N	\N
196012	664	1998-04-30	VYDAJ	VYBER	15	21653	SLUZBY	\N	\N
196013	664	1998-05-31	VYDAJ	VYBER	15	20329	SLUZBY	\N	\N
196014	664	1998-06-30	VYDAJ	VYBER	15	15121	SLUZBY	\N	\N
196015	664	1998-07-31	VYDAJ	VYBER	15	16744	SLUZBY	\N	\N
196016	664	1998-08-31	VYDAJ	VYBER	15	18770	SLUZBY	\N	\N
196017	664	1998-09-30	VYDAJ	VYBER	15	19285	SLUZBY	\N	\N
196018	664	1998-10-31	VYDAJ	VYBER	15	18821	SLUZBY	\N	\N
196019	664	1998-11-30	VYDAJ	VYBER	15	19155	SLUZBY	\N	\N
196020	664	1997-05-07	VYDAJ	VYBER	2200	30795	\N	\N	\N
196021	664	1997-10-04	VYDAJ	VYBER	500	26116	\N	\N	\N
196022	664	1997-11-03	VYDAJ	VYBER	1100	27321	\N	\N	\N
196023	664	1997-12-03	VYDAJ	VYBER	3500	27497	\N	\N	\N
196024	664	1998-01-02	VYDAJ	VYBER	4700	25272	\N	\N	\N
196025	664	1998-02-01	VYDAJ	VYBER	2800	12622	\N	\N	\N
196026	664	1998-03-03	VYDAJ	VYBER	1200	15038	\N	\N	\N
196027	664	1998-05-02	VYDAJ	VYBER	4000	17653	\N	\N	\N
196028	664	1998-06-01	VYDAJ	VYBER	2700	17629	\N	\N	\N
196029	664	1998-07-01	VYDAJ	VYBER	300	14821	\N	\N	\N
196030	664	1998-07-31	VYDAJ	VYBER	1700	16758	\N	\N	\N
196031	664	1998-08-30	VYDAJ	VYBER	1600	18706	\N	\N	\N
196032	664	1998-09-29	VYDAJ	VYBER	2000	19212	\N	\N	\N
196033	664	1998-10-29	VYDAJ	VYBER	4100	18747	\N	\N	\N
196034	664	1998-11-28	VYDAJ	VYBER	3300	19083	\N	\N	\N
196055	665	1995-09-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
196064	665	1995-09-08	PRIJEM	VKLAD	8844	9944	\N	\N	\N
196065	665	1995-10-08	PRIJEM	VKLAD	8844	27020	\N	\N	\N
196066	665	1995-11-08	PRIJEM	VKLAD	8844	35460	\N	\N	\N
196067	665	1995-12-08	PRIJEM	VKLAD	13266	45566	\N	\N	\N
196068	665	1996-01-08	PRIJEM	VKLAD	8844	43790	\N	\N	\N
196069	665	1996-02-08	PRIJEM	VKLAD	8844	39726	\N	\N	\N
196070	665	1996-03-08	PRIJEM	VKLAD	8844	39046	\N	\N	\N
196071	665	1996-04-08	PRIJEM	VKLAD	8844	40069	\N	\N	\N
196072	665	1996-05-08	PRIJEM	VKLAD	8844	45091	\N	\N	\N
196073	665	1996-06-08	PRIJEM	VKLAD	13266	52855	\N	\N	\N
196074	665	1996-07-08	PRIJEM	VKLAD	8844	42982	\N	\N	\N
196075	665	1996-08-08	PRIJEM	VKLAD	8844	46216	\N	\N	\N
196076	665	1996-09-08	PRIJEM	VKLAD	8844	50455	\N	\N	\N
196077	665	1996-10-08	PRIJEM	VKLAD	8844	52718	\N	\N	\N
196078	665	1996-11-08	PRIJEM	VKLAD	8844	52587	\N	\N	\N
196079	665	1996-12-08	PRIJEM	VKLAD	13266	60581	\N	\N	\N
196080	665	1997-01-08	PRIJEM	VKLAD	8844	56875	\N	\N	\N
196081	665	1997-02-08	PRIJEM	VKLAD	8844	47449	\N	\N	\N
196082	665	1997-03-08	PRIJEM	VKLAD	8844	52901	\N	\N	\N
196083	665	1997-04-08	PRIJEM	VKLAD	8844	56975	\N	\N	\N
196084	665	1997-05-08	PRIJEM	VKLAD	8844	55561	\N	\N	\N
196085	665	1997-06-08	PRIJEM	VKLAD	13266	59465	\N	\N	\N
196086	665	1997-07-08	PRIJEM	VKLAD	8844	45017	\N	\N	\N
196087	665	1997-08-08	PRIJEM	VKLAD	8844	53465	\N	\N	\N
196088	665	1997-09-08	PRIJEM	VKLAD	8844	63056	\N	\N	\N
196089	665	1997-10-08	PRIJEM	VKLAD	8844	71777	\N	\N	\N
196090	665	1997-11-08	PRIJEM	VKLAD	8844	76430	\N	\N	\N
196091	665	1997-12-08	PRIJEM	VKLAD	13266	79716	\N	\N	\N
196092	665	1998-01-08	PRIJEM	VKLAD	8844	71082	\N	\N	\N
196093	665	1998-02-08	PRIJEM	VKLAD	8844	63128	\N	\N	\N
196094	665	1998-03-08	PRIJEM	VKLAD	8844	74754	\N	\N	\N
196095	665	1998-04-08	PRIJEM	VKLAD	8844	79519	\N	\N	\N
196096	665	1998-05-08	PRIJEM	VKLAD	8844	81602	\N	\N	\N
196097	665	1998-06-08	PRIJEM	VKLAD	13266	91318	\N	\N	\N
196098	665	1998-07-08	PRIJEM	VKLAD	8844	82127	\N	\N	\N
196099	665	1998-08-08	PRIJEM	VKLAD	8844	89327	\N	\N	\N
196100	665	1998-09-08	PRIJEM	VKLAD	8844	96255	\N	\N	\N
196101	665	1998-10-08	PRIJEM	VKLAD	8844	100307	\N	\N	\N
196102	665	1998-11-08	PRIJEM	VKLAD	8844	94557	\N	\N	\N
196103	665	1998-12-08	PRIJEM	VKLAD	13266	102021	\N	\N	\N
196116	665	1996-01-14	VYDAJ	PREVOD NA UCET	4149	34241	SIPO	ST	69178992
196117	665	1996-02-14	VYDAJ	PREVOD NA UCET	4149	35577	SIPO	ST	69178992
196118	665	1996-03-14	VYDAJ	PREVOD NA UCET	4149	32397	SIPO	ST	69178992
196119	665	1996-04-14	VYDAJ	PREVOD NA UCET	4149	35920	SIPO	ST	69178992
196120	665	1996-05-14	VYDAJ	PREVOD NA UCET	4149	40942	SIPO	ST	69178992
196121	665	1996-06-14	VYDAJ	PREVOD NA UCET	4149	32606	SIPO	ST	69178992
196122	665	1996-07-14	VYDAJ	PREVOD NA UCET	4149	38833	SIPO	ST	69178992
196123	665	1996-08-14	VYDAJ	PREVOD NA UCET	4149	42067	SIPO	ST	69178992
196124	665	1996-09-14	VYDAJ	PREVOD NA UCET	4149	46306	SIPO	ST	69178992
196125	665	1996-10-14	VYDAJ	PREVOD NA UCET	4149	48569	SIPO	ST	69178992
196126	665	1996-11-14	VYDAJ	PREVOD NA UCET	4149	48438	SIPO	ST	69178992
196127	665	1996-12-14	VYDAJ	PREVOD NA UCET	4149	56432	SIPO	ST	69178992
196128	665	1997-01-14	VYDAJ	PREVOD NA UCET	4149	50326	SIPO	ST	69178992
196129	665	1997-02-14	VYDAJ	PREVOD NA UCET	4149	43300	SIPO	ST	69178992
196130	665	1997-03-14	VYDAJ	PREVOD NA UCET	4149	48752	SIPO	ST	69178992
196131	665	1997-04-14	VYDAJ	PREVOD NA UCET	4149	52026	SIPO	ST	69178992
196132	665	1997-05-14	VYDAJ	PREVOD NA UCET	4149	49912	SIPO	ST	69178992
196133	665	1997-06-14	VYDAJ	PREVOD NA UCET	4149	55316	SIPO	ST	69178992
196134	665	1997-07-14	VYDAJ	PREVOD NA UCET	4149	40868	SIPO	ST	69178992
196135	665	1997-08-14	VYDAJ	PREVOD NA UCET	4149	49316	SIPO	ST	69178992
196136	665	1997-09-14	VYDAJ	PREVOD NA UCET	4149	58907	SIPO	ST	69178992
196137	665	1997-10-14	VYDAJ	PREVOD NA UCET	4149	67628	SIPO	ST	69178992
196138	665	1997-11-14	VYDAJ	PREVOD NA UCET	4149	72281	SIPO	ST	69178992
196139	665	1997-12-14	VYDAJ	PREVOD NA UCET	4149	75567	SIPO	ST	69178992
196140	665	1998-01-14	VYDAJ	PREVOD NA UCET	4149	65933	SIPO	ST	69178992
196141	665	1998-02-14	VYDAJ	PREVOD NA UCET	4149	58979	SIPO	ST	69178992
196142	665	1998-03-14	VYDAJ	PREVOD NA UCET	4149	70605	SIPO	ST	69178992
196143	665	1998-04-14	VYDAJ	PREVOD NA UCET	4149	75370	SIPO	ST	69178992
196144	665	1998-05-14	VYDAJ	PREVOD NA UCET	4149	77453	SIPO	ST	69178992
196145	665	1998-06-14	VYDAJ	PREVOD NA UCET	4149	87169	SIPO	ST	69178992
196146	665	1998-07-14	VYDAJ	PREVOD NA UCET	4149	77978	SIPO	ST	69178992
196147	665	1998-08-14	VYDAJ	PREVOD NA UCET	4149	85178	SIPO	ST	69178992
196148	665	1998-09-14	VYDAJ	PREVOD NA UCET	4149	92106	SIPO	ST	69178992
196149	665	1998-10-14	VYDAJ	PREVOD NA UCET	4149	92558	SIPO	ST	69178992
196150	665	1998-11-14	VYDAJ	PREVOD NA UCET	4149	90408	SIPO	ST	69178992
196151	665	1998-12-14	VYDAJ	PREVOD NA UCET	4149	94372	SIPO	ST	69178992
196153	665	1996-06-09	VYDAJ	VYBER	16100	36755	\N	\N	\N
196154	665	1997-06-15	VYDAJ	VYBER	28400	26916	\N	\N	\N
196155	665	1998-06-25	VYDAJ	VYBER	10300	72969	\N	\N	\N
196157	665	1996-01-13	VYDAJ	VYBER	1500	38390	\N	\N	\N
196158	665	1997-01-17	VYDAJ	VYBER	5300	42126	\N	\N	\N
196159	665	1998-01-27	VYDAJ	VYBER	6300	54033	\N	\N	\N
196161	665	1996-12-29	VYDAJ	VYBER	1600	48832	\N	\N	\N
196162	665	1997-12-29	VYDAJ	VYBER KARTOU	2600	65867	\N	\N	0
196163	665	1998-12-18	VYDAJ	VYBER KARTOU	1800	90672	\N	\N	0
196170	665	1996-01-08	VYDAJ	VYBER	1900	41890	\N	\N	\N
196172	665	1996-01-10	VYDAJ	VYBER	1500	40390	\N	\N	\N
196173	665	1996-01-12	VYDAJ	VYBER	500	39890	\N	\N	\N
196174	665	1996-01-23	VYDAJ	VYBER	2100	32141	\N	\N	\N
196175	665	1996-01-29	VYDAJ	VYBER	1300	30841	\N	\N	\N
196176	665	1997-01-12	VYDAJ	VYBER	2400	54475	\N	\N	\N
196177	665	1997-01-17	VYDAJ	VYBER	2900	47426	\N	\N	\N
196178	665	1997-01-23	VYDAJ	VYBER	1700	40426	\N	\N	\N
196179	665	1997-01-02	VYDAJ	VYBER	1000	48031	\N	\N	\N
196180	665	1997-01-27	VYDAJ	VYBER	2000	38426	\N	\N	\N
196181	665	1997-01-26	VYDAJ	VYBER	2400	40426	\N	\N	\N
196182	665	1998-01-12	VYDAJ	VYBER KARTOU	1000	70082	\N	\N	0
196183	665	1998-01-17	VYDAJ	VYBER KARTOU	1900	64033	\N	\N	0
196184	665	1998-01-24	VYDAJ	VYBER KARTOU	2500	63233	\N	\N	0
196185	665	1998-01-27	VYDAJ	VYBER KARTOU	2900	60333	\N	\N	0
196186	665	1998-01-02	VYDAJ	VYBER KARTOU	1600	62238	\N	\N	0
196187	665	1998-01-01	VYDAJ	VYBER KARTOU	2300	63838	\N	\N	0
196194	665	1996-08-15	VYDAJ	VYBER	4400	37667	\N	\N	\N
196195	665	1996-04-24	VYDAJ	VYBER	2200	33720	\N	\N	\N
196196	665	1996-03-12	VYDAJ	VYBER	2500	36546	\N	\N	\N
196197	665	1996-10-21	VYDAJ	VYBER	3300	45269	\N	\N	\N
196198	665	1997-04-19	VYDAJ	VYBER	500	51526	\N	\N	\N
196199	665	1997-04-13	VYDAJ	VYBER	800	56175	\N	\N	\N
196200	665	1997-12-20	VYDAJ	VYBER KARTOU	3600	71967	\N	\N	0
196201	665	1997-05-11	VYDAJ	VYBER	1500	54061	\N	\N	\N
196202	665	1997-06-06	VYDAJ	VYBER	1000	46199	\N	\N	\N
196203	665	1997-08-04	VYDAJ	VYBER KARTOU	1500	44621	\N	\N	0
196204	665	1998-12-10	VYDAJ	VYBER KARTOU	3500	98521	\N	\N	0
196205	665	1998-12-22	VYDAJ	VYBER	4300	86372	\N	\N	\N
196206	665	1998-06-15	VYDAJ	VYBER KARTOU	1900	85269	\N	\N	0
196207	665	1998-04-26	VYDAJ	VYBER KARTOU	3400	72470	\N	\N	0
196208	665	1998-08-17	VYDAJ	VYBER KARTOU	3600	81578	\N	\N	0
196209	665	1998-10-12	VYDAJ	VYBER KARTOU	3600	96707	\N	\N	0
196223	665	1996-01-31	VYDAJ	VYBER	15	30882	SLUZBY	\N	\N
196224	665	1996-02-29	VYDAJ	VYBER	15	35702	SLUZBY	\N	\N
196225	665	1996-03-31	VYDAJ	VYBER	15	32525	SLUZBY	\N	\N
196226	665	1996-04-30	VYDAJ	VYBER	15	36247	SLUZBY	\N	\N
196227	665	1996-05-31	VYDAJ	VYBER	15	39589	SLUZBY	\N	\N
196228	665	1996-06-30	VYDAJ	VYBER	15	34138	SLUZBY	\N	\N
196229	665	1996-07-31	VYDAJ	VYBER	15	37372	SLUZBY	\N	\N
196230	665	1996-08-31	VYDAJ	VYBER	15	41611	SLUZBY	\N	\N
196231	665	1996-09-30	VYDAJ	VYBER	15	43874	SLUZBY	\N	\N
196232	665	1996-10-31	VYDAJ	VYBER	15	43743	SLUZBY	\N	\N
196233	665	1996-11-30	VYDAJ	VYBER	15	47315	SLUZBY	\N	\N
196234	665	1996-12-31	VYDAJ	VYBER	15	49031	SLUZBY	\N	\N
196235	665	1997-01-31	VYDAJ	VYBER	15	38605	SLUZBY	\N	\N
196236	665	1997-02-28	VYDAJ	VYBER	15	44057	SLUZBY	\N	\N
196237	665	1997-03-31	VYDAJ	VYBER	15	48131	SLUZBY	\N	\N
196238	665	1997-04-30	VYDAJ	VYBER	15	46717	SLUZBY	\N	\N
196239	665	1997-05-31	VYDAJ	VYBER	15	47199	SLUZBY	\N	\N
196240	665	1997-06-30	VYDAJ	VYBER	15	36173	SLUZBY	\N	\N
196241	665	1997-07-31	VYDAJ	VYBER	15	46121	SLUZBY	\N	\N
196242	665	1997-08-31	VYDAJ	VYBER	15	54212	SLUZBY	\N	\N
196243	665	1997-09-30	VYDAJ	VYBER	15	62933	SLUZBY	\N	\N
196244	665	1997-10-31	VYDAJ	VYBER	15	67586	SLUZBY	\N	\N
196245	665	1997-11-30	VYDAJ	VYBER	15	66450	SLUZBY	\N	\N
196246	665	1997-12-31	VYDAJ	VYBER	15	66138	SLUZBY	\N	\N
196247	665	1998-01-31	VYDAJ	VYBER	15	54284	SLUZBY	\N	\N
196248	665	1998-02-28	VYDAJ	VYBER	15	65910	SLUZBY	\N	\N
196249	665	1998-03-31	VYDAJ	VYBER	15	70675	SLUZBY	\N	\N
196250	665	1998-04-30	VYDAJ	VYBER	15	72758	SLUZBY	\N	\N
196251	665	1998-05-31	VYDAJ	VYBER	15	78052	SLUZBY	\N	\N
196252	665	1998-06-30	VYDAJ	VYBER	15	73283	SLUZBY	\N	\N
196253	665	1998-07-31	VYDAJ	VYBER	15	80483	SLUZBY	\N	\N
196254	665	1998-08-31	VYDAJ	VYBER	15	87411	SLUZBY	\N	\N
196255	665	1998-09-30	VYDAJ	VYBER	15	91463	SLUZBY	\N	\N
196256	665	1998-10-31	VYDAJ	VYBER	15	85713	SLUZBY	\N	\N
196257	665	1998-11-30	VYDAJ	VYBER	15	88755	SLUZBY	\N	\N
196258	665	1995-10-03	PRIJEM	VKLAD	8200	18176	\N	\N	\N
196259	665	1995-11-02	VYDAJ	VYBER	500	26616	\N	\N	\N
196260	665	1995-12-02	VYDAJ	VYBER	3300	32300	\N	\N	\N
196261	665	1996-01-01	VYDAJ	VYBER	10800	34946	\N	\N	\N
196262	665	1996-01-31	VYDAJ	VYBER	100	30896	\N	\N	\N
196263	665	1996-03-01	VYDAJ	VYBER	5500	30202	\N	\N	\N
196264	665	1996-03-31	VYDAJ	VYBER	1300	31225	\N	\N	\N
196265	665	1996-04-30	PRIJEM	VKLAD	2400	36120	\N	\N	\N
196266	665	1996-05-30	VYDAJ	VYBER	1500	39442	\N	\N	\N
196267	665	1996-06-29	PRIJEM	VKLAD	1400	34006	\N	\N	\N
196268	665	1996-07-29	VYDAJ	VYBER	1600	37233	\N	\N	\N
196269	665	1996-08-28	PRIJEM	VKLAD	3800	41467	\N	\N	\N
196270	665	1996-09-27	VYDAJ	VYBER	2600	43706	\N	\N	\N
196271	665	1996-10-27	VYDAJ	VYBER	1700	43569	\N	\N	\N
196272	665	1996-11-26	VYDAJ	VYBER	1300	47138	\N	\N	\N
196273	665	1996-12-26	VYDAJ	VYBER	6000	50432	\N	\N	\N
196274	665	1997-01-25	PRIJEM	VKLAD	2400	42826	\N	\N	\N
196275	665	1997-02-24	PRIJEM	VKLAD	600	43900	\N	\N	\N
196276	665	1997-03-26	VYDAJ	VYBER	800	47952	\N	\N	\N
196277	665	1997-04-25	VYDAJ	VYBER	5000	46526	\N	\N	\N
196278	665	1997-05-25	VYDAJ	VYBER	2900	47012	\N	\N	\N
196279	665	1997-06-24	PRIJEM	VKLAD	9100	36016	\N	\N	\N
196280	665	1997-07-24	PRIJEM	VKLAD	5100	45968	\N	\N	\N
196281	665	1997-08-23	PRIJEM	VKLAD	4700	54016	\N	\N	\N
196282	665	1997-09-22	PRIJEM	VKLAD	3800	62707	\N	\N	\N
196283	665	1997-10-22	VYDAJ	VYBER KARTOU	300	67328	\N	\N	0
196284	665	1997-11-21	VYDAJ	VYBER	6100	66181	\N	\N	\N
196285	665	1997-12-21	VYDAJ	VYBER KARTOU	3500	68467	\N	\N	0
196286	665	1998-01-20	PRIJEM	VKLAD	1700	65733	\N	\N	\N
196287	665	1998-02-19	PRIJEM	VKLAD	6700	65679	\N	\N	\N
196288	665	1998-03-21	VYDAJ	VYBER KARTOU	200	70405	\N	\N	0
196289	665	1998-04-20	PRIJEM	VKLAD	500	75870	\N	\N	\N
196290	665	1998-05-20	PRIJEM	VKLAD	300	77753	\N	\N	\N
196291	665	1998-06-19	VYDAJ	VYBER KARTOU	2000	83269	\N	\N	0
196292	665	1998-07-19	PRIJEM	VKLAD	2200	80178	\N	\N	\N
196293	665	1998-08-18	PRIJEM	VKLAD	5500	87078	\N	\N	\N
196294	665	1998-09-17	VYDAJ	VYBER KARTOU	1000	91106	\N	\N	0
196295	665	1998-10-17	VYDAJ	VYBER	7200	85358	\N	\N	\N
196296	665	1998-11-16	VYDAJ	VYBER KARTOU	2000	88408	\N	\N	0
196297	665	1998-12-16	VYDAJ	VYBER KARTOU	1900	92472	\N	\N	0
196338	666	1996-03-15	PRIJEM	VKLAD	200	200	\N	\N	\N
196342	666	1996-04-10	PRIJEM	VKLAD	14658	14858	\N	\N	\N
196343	666	1996-05-10	PRIJEM	VKLAD	14658	35265	\N	\N	\N
196344	666	1996-06-10	PRIJEM	VKLAD	21987	53062	\N	\N	\N
196345	666	1996-07-10	PRIJEM	VKLAD	14658	57779	\N	\N	\N
196346	666	1996-08-10	PRIJEM	VKLAD	14658	56714	\N	\N	\N
196347	666	1996-09-10	PRIJEM	VKLAD	14658	45106	\N	\N	\N
196348	666	1996-10-10	PRIJEM	VKLAD	14658	46641	\N	\N	\N
196349	666	1996-11-10	PRIJEM	VKLAD	14658	45372	\N	\N	\N
196350	666	1996-12-10	PRIJEM	VKLAD	21987	52509	\N	\N	\N
196351	666	1997-01-10	PRIJEM	VKLAD	14658	43896	\N	\N	\N
196352	666	1997-02-10	PRIJEM	VKLAD	14658	44817	\N	\N	\N
196353	666	1997-03-10	PRIJEM	VKLAD	14658	52460	\N	\N	\N
196354	666	1997-04-10	PRIJEM	VKLAD	14658	52011	\N	\N	\N
196355	666	1997-05-10	PRIJEM	VKLAD	14658	56484	\N	\N	\N
196356	666	1997-06-10	PRIJEM	VKLAD	21987	56149	\N	\N	\N
196357	666	1997-07-10	PRIJEM	VKLAD	14658	56845	\N	\N	\N
196358	666	1997-08-10	PRIJEM	VKLAD	14658	55005	\N	\N	\N
196359	666	1997-09-10	PRIJEM	VKLAD	14658	52499	\N	\N	\N
196360	666	1997-10-10	PRIJEM	VKLAD	14658	53379	\N	\N	\N
196361	666	1997-11-10	PRIJEM	VKLAD	14658	54562	\N	\N	\N
196362	666	1997-12-10	PRIJEM	VKLAD	21987	63480	\N	\N	\N
196363	666	1998-01-10	PRIJEM	VKLAD	14658	58249	\N	\N	\N
196364	666	1998-02-10	PRIJEM	VKLAD	14658	48876	\N	\N	\N
196365	666	1998-03-10	PRIJEM	VKLAD	14658	54094	\N	\N	\N
196366	666	1998-04-10	PRIJEM	VKLAD	14658	50922	\N	\N	\N
196367	666	1998-05-10	PRIJEM	VKLAD	14658	55148	\N	\N	\N
196368	666	1998-06-10	PRIJEM	VKLAD	21987	64959	\N	\N	\N
196369	666	1998-07-10	PRIJEM	VKLAD	14658	57336	\N	\N	\N
196370	666	1998-08-10	PRIJEM	VKLAD	14658	65080	\N	\N	\N
196371	666	1998-09-10	PRIJEM	VKLAD	14658	72560	\N	\N	\N
196372	666	1998-10-10	PRIJEM	VKLAD	14658	74571	\N	\N	\N
196373	666	1998-11-10	PRIJEM	VKLAD	14658	72070	\N	\N	\N
196374	666	1998-12-10	PRIJEM	VKLAD	21987	85808	\N	\N	\N
196383	666	1996-09-07	VYDAJ	PREVOD NA UCET	3936	35485	SIPO	AB	85506128
196384	666	1996-10-07	VYDAJ	PREVOD NA UCET	3936	35220	SIPO	AB	85506128
196385	666	1996-11-07	VYDAJ	PREVOD NA UCET	3936	33951	SIPO	AB	85506128
196386	666	1996-12-07	VYDAJ	PREVOD NA UCET	3936	33759	SIPO	AB	85506128
196387	666	1997-01-07	VYDAJ	PREVOD NA UCET	3936	20875	SIPO	AB	85506128
196388	666	1997-02-07	VYDAJ	PREVOD NA UCET	3936	31396	SIPO	AB	85506128
196389	666	1997-03-07	VYDAJ	PREVOD NA UCET	3936	41039	SIPO	AB	85506128
196390	666	1997-04-07	VYDAJ	PREVOD NA UCET	3936	37790	SIPO	AB	85506128
196391	666	1997-05-07	VYDAJ	PREVOD NA UCET	3936	46463	SIPO	AB	85506128
196392	666	1997-06-07	VYDAJ	PREVOD NA UCET	3936	51659	SIPO	AB	85506128
196393	666	1997-07-07	VYDAJ	PREVOD NA UCET	3936	51224	SIPO	AB	85506128
196394	666	1997-08-07	VYDAJ	PREVOD NA UCET	3936	43584	SIPO	AB	85506128
196395	666	1997-09-07	VYDAJ	PREVOD NA UCET	3936	41078	SIPO	AB	85506128
196396	666	1997-10-07	VYDAJ	PREVOD NA UCET	3936	41958	SIPO	AB	85506128
196397	666	1997-11-07	VYDAJ	PREVOD NA UCET	3936	43141	SIPO	AB	85506128
196398	666	1997-12-07	VYDAJ	PREVOD NA UCET	3936	44730	SIPO	AB	85506128
196399	666	1998-01-07	VYDAJ	PREVOD NA UCET	3936	47628	SIPO	AB	85506128
196400	666	1998-02-07	VYDAJ	PREVOD NA UCET	3936	37455	SIPO	AB	85506128
196401	666	1998-03-07	VYDAJ	PREVOD NA UCET	3936	42673	SIPO	AB	85506128
196402	666	1998-04-07	VYDAJ	PREVOD NA UCET	3936	39501	SIPO	AB	85506128
196403	666	1998-05-07	VYDAJ	PREVOD NA UCET	3936	43727	SIPO	AB	85506128
196404	666	1998-06-07	VYDAJ	PREVOD NA UCET	3936	46209	SIPO	AB	85506128
196405	666	1998-07-07	VYDAJ	PREVOD NA UCET	3936	45915	SIPO	AB	85506128
196406	666	1998-08-07	VYDAJ	PREVOD NA UCET	3936	53659	SIPO	AB	85506128
196407	666	1998-09-07	VYDAJ	PREVOD NA UCET	3936	61139	SIPO	AB	85506128
196408	666	1998-10-07	VYDAJ	PREVOD NA UCET	3936	63150	SIPO	AB	85506128
196409	666	1998-11-07	VYDAJ	PREVOD NA UCET	3936	60649	SIPO	AB	85506128
196410	666	1998-12-07	VYDAJ	PREVOD NA UCET	3936	67058	SIPO	AB	85506128
196419	666	1996-09-08	VYDAJ	PREVOD NA UCET	2282	33203	 	ST	70089435
196420	666	1996-10-08	VYDAJ	PREVOD NA UCET	2282	32938	 	ST	70089435
196421	666	1996-11-08	VYDAJ	PREVOD NA UCET	2282	31669	 	ST	70089435
196422	666	1996-12-08	VYDAJ	PREVOD NA UCET	2282	31477	 	ST	70089435
196423	666	1997-01-08	VYDAJ	PREVOD NA UCET	2282	18593	 	ST	70089435
196424	666	1997-02-08	VYDAJ	PREVOD NA UCET	2282	31114	 	ST	70089435
196425	666	1997-03-08	VYDAJ	PREVOD NA UCET	2282	38757	 	ST	70089435
196426	666	1997-04-08	VYDAJ	PREVOD NA UCET	2282	35508	 	ST	70089435
196427	666	1997-05-08	VYDAJ	PREVOD NA UCET	2282	44181	 	ST	70089435
196428	666	1997-06-08	VYDAJ	PREVOD NA UCET	2282	35117	 	ST	70089435
196429	666	1997-07-08	VYDAJ	PREVOD NA UCET	2282	48942	 	ST	70089435
196430	666	1997-08-08	VYDAJ	PREVOD NA UCET	2282	41302	 	ST	70089435
196431	666	1997-09-08	VYDAJ	PREVOD NA UCET	2282	38796	 	ST	70089435
196432	666	1997-10-08	VYDAJ	PREVOD NA UCET	2282	39676	 	ST	70089435
196433	666	1997-11-08	VYDAJ	PREVOD NA UCET	2282	40859	 	ST	70089435
196434	666	1997-12-08	VYDAJ	PREVOD NA UCET	2282	42448	 	ST	70089435
196435	666	1998-01-08	VYDAJ	PREVOD NA UCET	2282	45346	 	ST	70089435
196436	666	1998-02-08	VYDAJ	PREVOD NA UCET	2282	35173	 	ST	70089435
196437	666	1998-03-08	VYDAJ	PREVOD NA UCET	2282	40391	 	ST	70089435
196438	666	1998-04-08	VYDAJ	PREVOD NA UCET	2282	37219	 	ST	70089435
196439	666	1998-05-08	VYDAJ	PREVOD NA UCET	2282	41445	 	ST	70089435
196440	666	1998-06-08	VYDAJ	PREVOD NA UCET	2282	43927	 	ST	70089435
196441	666	1998-07-08	VYDAJ	PREVOD NA UCET	2282	43633	 	ST	70089435
196442	666	1998-08-08	VYDAJ	PREVOD NA UCET	2282	51377	 	ST	70089435
196443	666	1998-09-08	VYDAJ	PREVOD NA UCET	2282	58857	 	ST	70089435
196444	666	1998-10-08	VYDAJ	PREVOD NA UCET	2282	60868	 	ST	70089435
196445	666	1998-11-08	VYDAJ	PREVOD NA UCET	2282	58367	 	ST	70089435
196446	666	1998-12-08	VYDAJ	PREVOD NA UCET	2282	64776	 	ST	70089435
196455	666	1996-09-09	VYDAJ	PREVOD NA UCET	955	31648	POJISTNE	GH	93173819
196456	666	1996-10-09	VYDAJ	PREVOD NA UCET	955	31983	POJISTNE	GH	93173819
196457	666	1996-11-09	VYDAJ	PREVOD NA UCET	955	30714	POJISTNE	GH	93173819
196458	666	1996-12-09	VYDAJ	PREVOD NA UCET	955	30522	POJISTNE	GH	93173819
196459	666	1997-01-09	VYDAJ	PREVOD NA UCET	955	29238	POJISTNE	GH	93173819
196460	666	1997-02-09	VYDAJ	PREVOD NA UCET	955	30159	POJISTNE	GH	93173819
196461	666	1997-03-09	VYDAJ	PREVOD NA UCET	955	37802	POJISTNE	GH	93173819
196462	666	1997-04-09	VYDAJ	PREVOD NA UCET	955	37353	POJISTNE	GH	93173819
196463	666	1997-05-09	VYDAJ	PREVOD NA UCET	955	43226	POJISTNE	GH	93173819
196464	666	1997-06-09	VYDAJ	PREVOD NA UCET	955	34162	POJISTNE	GH	93173819
196465	666	1997-07-09	VYDAJ	PREVOD NA UCET	955	42187	POJISTNE	GH	93173819
196466	666	1997-08-09	VYDAJ	PREVOD NA UCET	955	40347	POJISTNE	GH	93173819
196467	666	1997-09-09	VYDAJ	PREVOD NA UCET	955	37841	POJISTNE	GH	93173819
196468	666	1997-10-09	VYDAJ	PREVOD NA UCET	955	38721	POJISTNE	GH	93173819
196469	666	1997-11-09	VYDAJ	PREVOD NA UCET	955	39904	POJISTNE	GH	93173819
196470	666	1997-12-09	VYDAJ	PREVOD NA UCET	955	41493	POJISTNE	GH	93173819
196471	666	1998-01-09	VYDAJ	PREVOD NA UCET	955	43591	POJISTNE	GH	93173819
196472	666	1998-02-09	VYDAJ	PREVOD NA UCET	955	34218	POJISTNE	GH	93173819
196473	666	1998-03-09	VYDAJ	PREVOD NA UCET	955	39436	POJISTNE	GH	93173819
196474	666	1998-04-09	VYDAJ	PREVOD NA UCET	955	36264	POJISTNE	GH	93173819
196475	666	1998-05-09	VYDAJ	PREVOD NA UCET	955	40490	POJISTNE	GH	93173819
196476	666	1998-06-09	VYDAJ	PREVOD NA UCET	955	42972	POJISTNE	GH	93173819
196588	666	1997-11-30	VYDAJ	VYBER	15	53366	SLUZBY	\N	\N
196477	666	1998-07-09	VYDAJ	PREVOD NA UCET	955	42678	POJISTNE	GH	93173819
196478	666	1998-08-09	VYDAJ	PREVOD NA UCET	955	50422	POJISTNE	GH	93173819
196479	666	1998-09-09	VYDAJ	PREVOD NA UCET	955	57902	POJISTNE	GH	93173819
196480	666	1998-10-09	VYDAJ	PREVOD NA UCET	955	59913	POJISTNE	GH	93173819
196481	666	1998-11-09	VYDAJ	PREVOD NA UCET	955	57412	POJISTNE	GH	93173819
196482	666	1998-12-09	VYDAJ	PREVOD NA UCET	955	63821	POJISTNE	GH	93173819
196490	666	1996-08-11	VYDAJ	VYBER	1100	55614	\N	\N	0
196491	666	1996-09-09	VYDAJ	VYBER	1200	30448	\N	\N	0
196492	666	1996-10-16	VYDAJ	VYBER	1000	38441	\N	\N	0
196493	666	1996-11-04	VYDAJ	VYBER	700	37887	\N	\N	0
196494	666	1996-12-11	VYDAJ	VYBER	1200	45209	\N	\N	0
196495	666	1997-01-22	VYDAJ	VYBER	700	35996	\N	\N	0
196496	666	1997-02-01	VYDAJ	VYBER	800	35332	\N	\N	0
196497	666	1997-03-12	VYDAJ	VYBER	1300	42460	\N	\N	0
196498	666	1997-03-31	VYDAJ	VYBER	900	41741	\N	\N	0
196499	666	1997-05-23	VYDAJ	VYBER	1100	55384	\N	\N	0
196500	666	1997-06-15	VYDAJ	VYBER	1200	54949	\N	\N	0
196501	666	1997-07-23	VYDAJ	VYBER	800	56045	\N	\N	0
196502	666	1997-08-16	VYDAJ	VYBER	700	54305	\N	\N	0
196503	666	1997-09-05	VYDAJ	VYBER	900	53614	\N	\N	0
196504	666	1997-10-29	VYDAJ	VYBER	700	52679	\N	\N	0
196505	666	1997-11-05	VYDAJ	VYBER	900	47077	\N	\N	0
196506	666	1997-12-12	VYDAJ	PREVOD NA UCET	1045	62435	UVER	UV	65873688
196507	666	1998-01-12	VYDAJ	PREVOD NA UCET	1045	57204	UVER	UV	65873688
196508	666	1998-02-12	VYDAJ	PREVOD NA UCET	1045	47831	UVER	UV	65873688
196509	666	1998-03-12	VYDAJ	PREVOD NA UCET	1045	53049	UVER	UV	65873688
196510	666	1998-04-12	VYDAJ	PREVOD NA UCET	1045	49877	UVER	UV	65873688
196511	666	1998-05-12	VYDAJ	PREVOD NA UCET	1045	54103	UVER	UV	65873688
196512	666	1998-06-12	VYDAJ	PREVOD NA UCET	1045	63914	UVER	UV	65873688
196513	666	1998-07-12	VYDAJ	PREVOD NA UCET	1045	56291	UVER	UV	65873688
196514	666	1998-08-12	VYDAJ	PREVOD NA UCET	1045	64035	UVER	UV	65873688
196515	666	1998-09-12	VYDAJ	PREVOD NA UCET	1045	71515	UVER	UV	65873688
196516	666	1998-10-12	VYDAJ	PREVOD NA UCET	1045	73526	UVER	UV	65873688
196517	666	1998-11-12	VYDAJ	PREVOD NA UCET	1045	71025	UVER	UV	65873688
196518	666	1998-12-12	VYDAJ	VYBER	1300	84508	\N	\N	0
196520	666	1997-06-08	VYDAJ	VYBER	20160	37399	\N	\N	\N
196521	666	1998-06-24	VYDAJ	VYBER	18880	45034	\N	\N	\N
196523	666	1997-01-01	VYDAJ	VYBER	10720	32731	\N	\N	\N
196524	666	1998-01-30	VYDAJ	VYBER	10720	38784	\N	\N	\N
196525	666	1996-12-25	VYDAJ	VYBER	1920	43289	\N	\N	\N
196526	666	1997-12-06	VYDAJ	VYBER KARTOU	2900	48666	\N	\N	0
196527	666	1998-12-22	VYDAJ	VYBER KARTOU	3700	80808	\N	\N	0
196534	666	1997-01-15	VYDAJ	VYBER	1440	41736	\N	\N	\N
196535	666	1997-01-03	VYDAJ	VYBER	1440	31291	\N	\N	\N
196536	666	1997-01-03	VYDAJ	VYBER	3120	28171	\N	\N	\N
196537	666	1997-01-06	VYDAJ	VYBER	3360	24811	\N	\N	\N
196538	666	1997-01-18	VYDAJ	VYBER	3000	38736	\N	\N	\N
196539	666	1997-01-19	VYDAJ	VYBER	2040	36696	\N	\N	\N
196540	666	1998-01-29	VYDAJ	VYBER KARTOU	1400	49504	\N	\N	0
196541	666	1998-01-26	VYDAJ	VYBER KARTOU	1000	53104	\N	\N	0
196542	666	1998-01-26	VYDAJ	VYBER KARTOU	2200	50904	\N	\N	0
196543	666	1998-01-16	VYDAJ	VYBER KARTOU	3100	54104	\N	\N	0
196544	666	1998-01-02	VYDAJ	VYBER KARTOU	700	61964	\N	\N	0
196545	666	1998-01-03	VYDAJ	VYBER KARTOU	2000	59964	\N	\N	0
196546	666	1996-09-08	VYDAJ	VYBER	600	32603	\N	\N	\N
196547	666	1996-11-15	VYDAJ	VYBER	2520	37552	\N	\N	\N
196550	666	1996-09-02	VYDAJ	VYBER	4560	39421	\N	\N	\N
196552	666	1997-05-07	VYDAJ	VYBER	1800	50399	\N	\N	\N
196553	666	1997-11-29	VYDAJ	VYBER KARTOU	1400	53162	\N	\N	0
196554	666	1997-01-11	VYDAJ	VYBER	720	43176	\N	\N	\N
196555	666	1997-08-04	VYDAJ	VYBER	1440	54820	\N	\N	\N
196556	666	1997-09-22	VYDAJ	VYBER KARTOU	3400	49099	\N	\N	0
196557	666	1997-12-01	VYDAJ	VYBER KARTOU	700	52666	\N	\N	0
196558	666	1998-03-29	VYDAJ	VYBER KARTOU	3400	48349	\N	\N	0
196559	666	1998-02-14	VYDAJ	VYBER	5880	41951	\N	\N	\N
196560	666	1998-01-08	VYDAJ	VYBER KARTOU	800	44546	\N	\N	0
196561	666	1998-03-22	VYDAJ	VYBER KARTOU	1300	51749	\N	\N	0
196562	666	1998-01-07	VYDAJ	VYBER KARTOU	3600	51564	\N	\N	0
196563	666	1998-10-25	VYDAJ	VYBER	4920	68606	\N	\N	\N
196564	666	1998-06-03	VYDAJ	VYBER	5160	50145	\N	\N	\N
196573	666	1996-08-31	VYDAJ	VYBER	15	43981	SLUZBY	\N	\N
196574	666	1996-09-30	VYDAJ	VYBER	15	39156	SLUZBY	\N	\N
196575	666	1996-10-31	VYDAJ	VYBER	15	38587	SLUZBY	\N	\N
196576	666	1996-11-30	VYDAJ	VYBER	15	37695	SLUZBY	\N	\N
196577	666	1996-12-31	VYDAJ	VYBER	15	43451	SLUZBY	\N	\N
196578	666	1997-01-31	VYDAJ	VYBER	15	36132	SLUZBY	\N	\N
196579	666	1997-02-28	VYDAJ	VYBER	15	44975	SLUZBY	\N	\N
196580	666	1997-03-31	VYDAJ	VYBER	15	41726	SLUZBY	\N	\N
196581	666	1997-04-30	VYDAJ	VYBER	15	52199	SLUZBY	\N	\N
196582	666	1997-05-31	VYDAJ	VYBER	15	55595	SLUZBY	\N	\N
196583	666	1997-06-30	VYDAJ	VYBER	15	55160	SLUZBY	\N	\N
196584	666	1997-07-31	VYDAJ	VYBER	15	56260	SLUZBY	\N	\N
196585	666	1997-08-31	VYDAJ	VYBER	15	54514	SLUZBY	\N	\N
196586	666	1997-09-30	VYDAJ	VYBER	15	49294	SLUZBY	\N	\N
196587	666	1997-10-31	VYDAJ	VYBER	15	52877	SLUZBY	\N	\N
196589	666	1997-12-31	VYDAJ	VYBER	15	62664	SLUZBY	\N	\N
196590	666	1998-01-31	VYDAJ	VYBER	15	38991	SLUZBY	\N	\N
196591	666	1998-02-28	VYDAJ	VYBER	15	42109	SLUZBY	\N	\N
196592	666	1998-03-31	VYDAJ	VYBER	15	48537	SLUZBY	\N	\N
196593	666	1998-04-30	VYDAJ	VYBER	15	50063	SLUZBY	\N	\N
196594	666	1998-05-31	VYDAJ	VYBER	15	54305	SLUZBY	\N	\N
196595	666	1998-06-30	VYDAJ	VYBER	15	45251	SLUZBY	\N	\N
196596	666	1998-07-31	VYDAJ	VYBER	15	56495	SLUZBY	\N	\N
196597	666	1998-08-31	VYDAJ	VYBER	15	64275	SLUZBY	\N	\N
196598	666	1998-09-30	VYDAJ	VYBER	15	71786	SLUZBY	\N	\N
196599	666	1998-10-31	VYDAJ	VYBER	15	64585	SLUZBY	\N	\N
196600	666	1998-11-30	VYDAJ	VYBER	15	70994	SLUZBY	\N	\N
196601	666	1996-04-14	PRIJEM	VKLAD	5700	20558	\N	\N	\N
196602	666	1996-05-14	VYDAJ	VYBER	4300	30965	\N	\N	\N
196603	666	1996-06-13	VYDAJ	VYBER	10100	42962	\N	\N	\N
196604	666	1996-07-13	VYDAJ	VYBER	15900	41879	\N	\N	\N
196605	666	1996-08-12	VYDAJ	VYBER	11800	43814	\N	\N	\N
196606	666	1996-09-11	VYDAJ	VYBER	6100	39006	\N	\N	\N
196607	666	1996-10-11	VYDAJ	VYBER	7200	39441	\N	\N	\N
196608	666	1996-11-10	VYDAJ	VYBER	5300	40072	\N	\N	\N
196609	666	1996-12-10	VYDAJ	VYBER	6100	46409	\N	\N	\N
196610	666	1997-01-09	PRIJEM	VKLAD	11600	30193	\N	\N	\N
196611	666	1997-02-08	PRIJEM	VKLAD	2000	33396	\N	\N	\N
196612	666	1997-03-10	VYDAJ	VYBER	8700	43760	\N	\N	\N
196613	666	1997-04-09	PRIJEM	VKLAD	2800	38308	\N	\N	\N
196614	666	1997-05-09	VYDAJ	VYBER	1400	41826	\N	\N	\N
196615	666	1997-06-08	PRIJEM	VKLAD	5900	57559	\N	\N	\N
196616	666	1997-07-08	VYDAJ	VYBER	5800	43142	\N	\N	\N
196617	666	1997-08-07	VYDAJ	VYBER	7300	47520	\N	\N	\N
196618	666	1997-09-06	VYDAJ	VYBER	8600	45014	\N	\N	\N
196619	666	1997-10-06	VYDAJ	VYBER KARTOU	3400	45894	\N	\N	0
196620	666	1997-11-05	VYDAJ	VYBER	4900	47977	\N	\N	\N
196621	666	1997-12-05	VYDAJ	VYBER KARTOU	1100	51566	\N	\N	0
196622	666	1998-01-04	VYDAJ	VYBER	4800	55164	\N	\N	\N
196623	666	1998-02-03	PRIJEM	VKLAD	2400	41391	\N	\N	\N
196624	666	1998-03-05	PRIJEM	VKLAD	4500	46609	\N	\N	\N
196625	666	1998-04-04	VYDAJ	VYBER	5100	43437	\N	\N	\N
196626	666	1998-05-04	VYDAJ	VYBER KARTOU	2400	47663	\N	\N	0
196627	666	1998-06-03	PRIJEM	VKLAD	1000	55305	\N	\N	\N
196628	666	1998-07-03	PRIJEM	VKLAD	4600	49851	\N	\N	\N
196629	666	1998-08-02	PRIJEM	VKLAD	1100	57595	\N	\N	\N
196630	666	1998-09-01	PRIJEM	VKLAD	800	65075	\N	\N	\N
196631	666	1998-10-01	VYDAJ	VYBER	4700	67086	\N	\N	\N
196632	666	1998-10-31	VYDAJ	VYBER	4300	64599	\N	\N	\N
196633	666	1998-11-30	VYDAJ	VYBER KARTOU	300	71009	\N	\N	0
197411	669	1996-06-07	PRIJEM	VKLAD	700	700	\N	\N	\N
197417	669	1996-06-13	PRIJEM	PREVOD Z UCTU	2921	3621	\N	KL	30906254
197418	669	1996-07-13	PRIJEM	PREVOD Z UCTU	2921	6551	\N	KL	30906254
197419	669	1996-08-13	PRIJEM	PREVOD Z UCTU	2921	9487	\N	KL	30906254
197420	669	1996-09-13	PRIJEM	PREVOD Z UCTU	2921	12423	\N	KL	30906254
197421	669	1996-10-13	PRIJEM	PREVOD Z UCTU	2921	15359	\N	KL	30906254
197422	669	1996-11-13	PRIJEM	PREVOD Z UCTU	2921	16364	\N	KL	30906254
197423	669	1996-12-13	PRIJEM	PREVOD Z UCTU	2921	17381	\N	KL	30906254
197424	669	1997-01-13	PRIJEM	PREVOD Z UCTU	2921	15733	\N	KL	30906254
197425	669	1997-02-13	PRIJEM	PREVOD Z UCTU	2921	15250	\N	KL	30906254
197426	669	1997-03-13	PRIJEM	PREVOD Z UCTU	2921	16263	\N	KL	30906254
197427	669	1997-04-13	PRIJEM	PREVOD Z UCTU	2921	17286	\N	KL	30906254
197428	669	1997-05-13	PRIJEM	PREVOD Z UCTU	2921	18307	\N	KL	30906254
197429	669	1997-06-13	PRIJEM	PREVOD Z UCTU	2921	19037	\N	KL	30906254
197430	669	1997-07-13	PRIJEM	PREVOD Z UCTU	2921	17365	\N	KL	30906254
197431	669	1997-08-13	PRIJEM	PREVOD Z UCTU	2921	17907	\N	KL	30906254
197432	669	1997-09-13	PRIJEM	PREVOD Z UCTU	2921	17940	\N	KL	30906254
197433	669	1997-10-13	PRIJEM	PREVOD Z UCTU	2921	18965	\N	KL	30906254
197434	669	1997-11-13	PRIJEM	PREVOD Z UCTU	2921	19993	\N	KL	30906254
197435	669	1997-12-13	PRIJEM	PREVOD Z UCTU	2921	19106	\N	KL	30906254
197436	669	1998-01-13	PRIJEM	PREVOD Z UCTU	2921	17074	\N	KL	30906254
197437	669	1998-02-13	PRIJEM	PREVOD Z UCTU	2921	16083	\N	KL	30906254
197438	669	1998-03-13	PRIJEM	PREVOD Z UCTU	2921	16079	\N	KL	30906254
197439	669	1998-04-13	PRIJEM	PREVOD Z UCTU	2921	17101	\N	KL	30906254
197440	669	1998-05-13	PRIJEM	PREVOD Z UCTU	2921	18122	\N	KL	30906254
197441	669	1998-06-13	PRIJEM	PREVOD Z UCTU	2921	19147	\N	KL	30906254
197442	669	1998-07-13	PRIJEM	PREVOD Z UCTU	2921	18071	\N	KL	30906254
197443	669	1998-08-13	PRIJEM	PREVOD Z UCTU	2921	19100	\N	KL	30906254
197444	669	1998-09-13	PRIJEM	PREVOD Z UCTU	2921	20130	\N	KL	30906254
197445	669	1998-10-13	PRIJEM	PREVOD Z UCTU	2921	20627	\N	KL	30906254
197446	669	1998-11-13	PRIJEM	PREVOD Z UCTU	2921	21663	\N	KL	30906254
197447	669	1998-12-13	PRIJEM	PREVOD Z UCTU	2921	21952	\N	KL	30906254
197457	669	1996-10-13	VYDAJ	PREVOD NA UCET	1947	13412	SIPO	WX	12925506
197458	669	1996-11-13	VYDAJ	PREVOD NA UCET	1947	14417	SIPO	WX	12925506
197459	669	1996-12-13	VYDAJ	PREVOD NA UCET	1947	15434	SIPO	WX	12925506
197460	669	1997-01-13	VYDAJ	PREVOD NA UCET	1947	13786	SIPO	WX	12925506
197461	669	1997-02-13	VYDAJ	PREVOD NA UCET	1947	13303	SIPO	WX	12925506
197462	669	1997-03-13	VYDAJ	PREVOD NA UCET	1947	14316	SIPO	WX	12925506
197463	669	1997-04-13	VYDAJ	PREVOD NA UCET	1947	15339	SIPO	WX	12925506
197464	669	1997-05-13	VYDAJ	PREVOD NA UCET	1947	16360	SIPO	WX	12925506
197465	669	1997-06-13	VYDAJ	PREVOD NA UCET	1947	17090	SIPO	WX	12925506
197466	669	1997-07-13	VYDAJ	PREVOD NA UCET	1947	15418	SIPO	WX	12925506
197467	669	1997-08-13	VYDAJ	PREVOD NA UCET	1947	15960	SIPO	WX	12925506
197468	669	1997-09-13	VYDAJ	PREVOD NA UCET	1947	15993	SIPO	WX	12925506
197469	669	1997-10-13	VYDAJ	PREVOD NA UCET	1947	17018	SIPO	WX	12925506
197470	669	1997-11-13	VYDAJ	PREVOD NA UCET	1947	18046	SIPO	WX	12925506
197471	669	1997-12-13	VYDAJ	PREVOD NA UCET	1947	17159	SIPO	WX	12925506
197472	669	1998-01-13	VYDAJ	PREVOD NA UCET	1947	15127	SIPO	WX	12925506
197473	669	1998-02-13	VYDAJ	PREVOD NA UCET	1947	14136	SIPO	WX	12925506
197474	669	1998-03-13	VYDAJ	PREVOD NA UCET	1947	14132	SIPO	WX	12925506
197475	669	1998-04-13	VYDAJ	PREVOD NA UCET	1947	15154	SIPO	WX	12925506
197476	669	1998-05-13	VYDAJ	PREVOD NA UCET	1947	16175	SIPO	WX	12925506
197477	669	1998-06-13	VYDAJ	PREVOD NA UCET	1947	17200	SIPO	WX	12925506
197478	669	1998-07-13	VYDAJ	PREVOD NA UCET	1947	16124	SIPO	WX	12925506
197479	669	1998-08-13	VYDAJ	PREVOD NA UCET	1947	17153	SIPO	WX	12925506
197480	669	1998-09-13	VYDAJ	PREVOD NA UCET	1947	18183	SIPO	WX	12925506
197481	669	1998-10-13	VYDAJ	PREVOD NA UCET	1947	18680	SIPO	WX	12925506
197482	669	1998-11-13	VYDAJ	PREVOD NA UCET	1947	19716	SIPO	WX	12925506
197483	669	1998-12-13	VYDAJ	PREVOD NA UCET	1947	20005	SIPO	WX	12925506
197485	669	1997-06-27	VYDAJ	VYBER	2250	14840	\N	\N	\N
197486	669	1998-06-13	VYDAJ	VYBER	2100	15100	\N	\N	\N
197488	669	1997-01-09	VYDAJ	VYBER	510	13652	\N	\N	\N
197489	669	1998-01-08	VYDAJ	VYBER	600	14423	\N	\N	\N
197490	669	1996-12-14	VYDAJ	VYBER	510	14924	\N	\N	\N
197491	669	1997-12-12	VYDAJ	VYBER	570	16185	\N	\N	\N
197492	669	1998-12-15	VYDAJ	VYBER	780	19225	\N	\N	\N
197499	669	1997-01-23	VYDAJ	VYBER	330	13096	\N	\N	\N
197500	669	1997-01-12	VYDAJ	VYBER	840	12812	\N	\N	\N
197501	669	1997-01-06	VYDAJ	VYBER	240	14162	\N	\N	\N
197502	669	1997-01-28	VYDAJ	VYBER	810	12286	\N	\N	\N
197503	669	1997-01-01	VYDAJ	VYBER	570	14402	\N	\N	\N
197504	669	1997-01-19	VYDAJ	VYBER	360	13426	\N	\N	\N
197505	669	1998-01-04	VYDAJ	VYBER	330	16013	\N	\N	\N
197507	669	1998-01-22	VYDAJ	VYBER	630	13117	\N	\N	\N
197508	669	1998-01-06	VYDAJ	VYBER	540	15473	\N	\N	\N
197510	669	1998-01-11	VYDAJ	VYBER	270	14153	\N	\N	\N
197513	669	1997-07-10	VYDAJ	VYBER	450	14444	\N	\N	\N
197514	669	1997-08-26	VYDAJ	VYBER	990	14970	\N	\N	\N
197515	669	1997-12-16	VYDAJ	VYBER	870	16289	\N	\N	\N
197516	669	1997-11-29	VYDAJ	VYBER	1350	16696	\N	\N	\N
197517	669	1997-07-18	VYDAJ	VYBER	480	14938	\N	\N	\N
197518	669	1997-05-28	VYDAJ	VYBER	300	16060	\N	\N	\N
197520	669	1998-09-30	VYDAJ	VYBER	540	17721	\N	\N	\N
197521	669	1998-01-08	VYDAJ	VYBER	450	15023	\N	\N	\N
197523	669	1998-02-19	VYDAJ	VYBER	1020	13116	\N	\N	\N
197524	669	1998-11-25	VYDAJ	VYBER	750	18966	\N	\N	\N
197525	669	1998-01-14	VYDAJ	VYBER	1380	13747	\N	\N	\N
197537	669	1996-10-31	VYDAJ	VYBER	15	13443	SLUZBY	\N	\N
197538	669	1996-11-30	VYDAJ	VYBER	15	14460	SLUZBY	\N	\N
197539	669	1996-12-31	VYDAJ	VYBER	15	14972	SLUZBY	\N	\N
197540	669	1997-01-31	VYDAJ	VYBER	15	12329	SLUZBY	\N	\N
197541	669	1997-02-28	VYDAJ	VYBER	15	13342	SLUZBY	\N	\N
197542	669	1997-03-31	VYDAJ	VYBER	15	14365	SLUZBY	\N	\N
197543	669	1997-04-30	VYDAJ	VYBER	15	15386	SLUZBY	\N	\N
197544	669	1997-05-31	VYDAJ	VYBER	15	16116	SLUZBY	\N	\N
197545	669	1997-06-30	VYDAJ	VYBER	15	14894	SLUZBY	\N	\N
197546	669	1997-07-31	VYDAJ	VYBER	15	14986	SLUZBY	\N	\N
197547	669	1997-08-31	VYDAJ	VYBER	15	15019	SLUZBY	\N	\N
197548	669	1997-09-30	VYDAJ	VYBER	15	16044	SLUZBY	\N	\N
197549	669	1997-10-31	VYDAJ	VYBER	15	17072	SLUZBY	\N	\N
197550	669	1997-11-30	VYDAJ	VYBER	15	16755	SLUZBY	\N	\N
197551	669	1997-12-31	VYDAJ	VYBER	15	16343	SLUZBY	\N	\N
197552	669	1998-01-31	VYDAJ	VYBER	15	13162	SLUZBY	\N	\N
197553	669	1998-02-28	VYDAJ	VYBER	15	13158	SLUZBY	\N	\N
197554	669	1998-03-31	VYDAJ	VYBER	15	14180	SLUZBY	\N	\N
197555	669	1998-04-30	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
197556	669	1998-05-31	VYDAJ	VYBER	15	16226	SLUZBY	\N	\N
197557	669	1998-06-30	VYDAJ	VYBER	15	15150	SLUZBY	\N	\N
197558	669	1998-07-31	VYDAJ	VYBER	15	16179	SLUZBY	\N	\N
197559	669	1998-08-31	VYDAJ	VYBER	15	17209	SLUZBY	\N	\N
197560	669	1998-09-30	VYDAJ	VYBER	15	17706	SLUZBY	\N	\N
197561	669	1998-10-31	VYDAJ	VYBER	15	18742	SLUZBY	\N	\N
197562	669	1998-11-30	VYDAJ	VYBER	15	19031	SLUZBY	\N	\N
198249	671	1997-10-29	PRIJEM	VKLAD	300	300	\N	\N	\N
198252	671	1998-08-15	PRIJEM	VKLAD	37522	50215	\N	\N	\N
198253	671	1998-08-28	PRIJEM	VKLAD	14984	40699	\N	\N	\N
198264	671	1997-11-14	PRIJEM	VKLAD	1500	1800	\N	\N	\N
198265	671	1997-12-17	PRIJEM	VKLAD	1500	3300	\N	\N	\N
198266	671	1998-01-14	PRIJEM	VKLAD	1500	12006	\N	\N	\N
198267	671	1998-02-15	PRIJEM	VKLAD	1500	17453	\N	\N	\N
198268	671	1998-03-15	PRIJEM	VKLAD	1500	21621	\N	\N	\N
198269	671	1998-04-16	PRIJEM	VKLAD	1500	18488	\N	\N	\N
198270	671	1998-05-14	PRIJEM	VKLAD	1500	17744	\N	\N	\N
198271	671	1998-06-17	PRIJEM	VKLAD	1500	17199	\N	\N	\N
198272	671	1998-07-13	PRIJEM	VKLAD	1500	15751	\N	\N	\N
198273	671	1998-08-13	PRIJEM	VKLAD	1500	12693	\N	\N	\N
198274	671	1998-09-17	PRIJEM	VKLAD	1500	42306	\N	\N	\N
198275	671	1998-10-16	PRIJEM	VKLAD	1500	25845	\N	\N	\N
198276	671	1998-11-17	PRIJEM	VKLAD	1500	19825	\N	\N	\N
198277	671	1998-12-15	PRIJEM	VKLAD	1500	14081	\N	\N	\N
198306	671	1998-05-14	VYDAJ	VYBER	550	17194	\N	\N	\N
198308	671	1998-06-06	VYDAJ	VYBER	350	15699	\N	\N	\N
198309	671	1998-12-11	VYDAJ	VYBER	300	12581	\N	\N	\N
198325	671	1998-03-31	VYDAJ	VYBER	15	16988	SLUZBY	\N	\N
198326	671	1998-04-30	VYDAJ	VYBER	15	16244	SLUZBY	\N	\N
198327	671	1998-05-31	VYDAJ	VYBER	15	16049	SLUZBY	\N	\N
198328	671	1998-06-30	VYDAJ	VYBER	15	14251	SLUZBY	\N	\N
198329	671	1998-07-31	VYDAJ	VYBER	15	11193	SLUZBY	\N	\N
198330	671	1998-08-31	VYDAJ	VYBER	15	40806	SLUZBY	\N	\N
198331	671	1998-09-30	VYDAJ	VYBER	15	24345	SLUZBY	\N	\N
198332	671	1998-10-31	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
198333	671	1998-11-30	VYDAJ	VYBER	15	12881	SLUZBY	\N	\N
198334	671	1997-12-28	PRIJEM	VKLAD	7200	10500	\N	\N	\N
198335	671	1998-01-27	PRIJEM	VKLAD	3900	15906	\N	\N	\N
198336	671	1998-02-26	PRIJEM	VKLAD	2600	20053	\N	\N	\N
198337	671	1998-03-28	VYDAJ	VYBER	4700	16921	\N	\N	\N
198338	671	1998-04-27	VYDAJ	VYBER	2300	16188	\N	\N	\N
198339	671	1998-05-27	VYDAJ	VYBER	1200	15994	\N	\N	\N
198340	671	1998-06-26	VYDAJ	VYBER	3000	14199	\N	\N	\N
198341	671	1998-07-26	VYDAJ	VYBER	4600	11151	\N	\N	\N
198342	671	1998-08-25	VYDAJ	VYBER	24500	25715	\N	\N	\N
198343	671	1998-09-24	VYDAJ	VYBER	18100	24206	\N	\N	\N
198344	671	1998-10-24	VYDAJ	VYBER	7600	18245	\N	\N	\N
198345	671	1998-11-23	VYDAJ	VYBER	7000	12825	\N	\N	\N
198346	671	1998-12-23	VYDAJ	VYBER	1900	12181	\N	\N	\N
198360	672	1997-06-23	PRIJEM	VKLAD	400	400	\N	\N	\N
198413	672	1997-07-23	PRIJEM	VKLAD	15900	16300	\N	\N	\N
198414	672	1997-08-22	PRIJEM	VKLAD	6300	22600	\N	\N	\N
198415	672	1997-09-21	PRIJEM	VKLAD	4400	27000	\N	\N	\N
198416	672	1997-10-21	PRIJEM	VKLAD	2900	29900	\N	\N	\N
198417	672	1997-11-20	VYDAJ	VYBER	1800	28100	\N	\N	\N
198418	672	1997-12-20	VYDAJ	VYBER	2200	25900	\N	\N	\N
198419	672	1998-01-19	VYDAJ	VYBER	3300	22600	\N	\N	\N
198420	672	1998-02-18	PRIJEM	VKLAD	300	22900	\N	\N	\N
198421	672	1998-03-20	PRIJEM	VKLAD	2000	24900	\N	\N	\N
198422	672	1998-04-19	PRIJEM	VKLAD	3900	28800	\N	\N	\N
198423	672	1998-05-19	PRIJEM	VKLAD	5700	34500	\N	\N	\N
198424	672	1998-06-18	PRIJEM	VKLAD	1200	35700	\N	\N	\N
198425	672	1998-07-18	PRIJEM	VKLAD	800	36500	\N	\N	\N
198426	672	1998-08-17	VYDAJ	VYBER	700	35800	\N	\N	\N
198427	672	1998-09-16	VYDAJ	VYBER	2500	33300	\N	\N	\N
198428	672	1998-10-16	PRIJEM	VKLAD	1100	34400	\N	\N	\N
198429	672	1998-11-15	PRIJEM	VKLAD	2600	37000	\N	\N	\N
198430	673	1997-12-08	PRIJEM	VKLAD	900	900	\N	\N	\N
198442	673	1997-12-10	PRIJEM	VKLAD	22437	23337	\N	\N	\N
198443	673	1998-01-10	PRIJEM	VKLAD	14958	40664	\N	\N	\N
198444	673	1998-02-10	PRIJEM	VKLAD	14958	45971	\N	\N	\N
198445	673	1998-03-10	PRIJEM	VKLAD	14958	49913	\N	\N	\N
198446	673	1998-04-10	PRIJEM	VKLAD	14958	54274	\N	\N	\N
198447	673	1998-05-10	PRIJEM	VKLAD	14958	51552	\N	\N	\N
198448	673	1998-06-10	PRIJEM	VKLAD	22437	42322	\N	\N	\N
198449	673	1998-07-10	PRIJEM	VKLAD	14958	45451	\N	\N	\N
198450	673	1998-08-10	PRIJEM	VKLAD	14958	42091	\N	\N	\N
198451	673	1998-09-10	PRIJEM	VKLAD	14958	34003	\N	\N	\N
198452	673	1998-10-10	PRIJEM	VKLAD	14958	36995	\N	\N	\N
198453	673	1998-11-10	PRIJEM	VKLAD	14958	41400	\N	\N	\N
198454	673	1998-12-10	PRIJEM	VKLAD	22437	45400	\N	\N	\N
198471	673	1998-05-08	VYDAJ	PREVOD NA UCET	4586	36594	SIPO	KL	71669763
198472	673	1998-06-08	VYDAJ	PREVOD NA UCET	4586	19885	SIPO	KL	71669763
198473	673	1998-07-08	VYDAJ	PREVOD NA UCET	4586	30493	SIPO	KL	71669763
198474	673	1998-08-08	VYDAJ	PREVOD NA UCET	4586	27133	SIPO	KL	71669763
198475	673	1998-09-08	VYDAJ	PREVOD NA UCET	4586	19045	SIPO	KL	71669763
198476	673	1998-10-08	VYDAJ	PREVOD NA UCET	4586	22037	SIPO	KL	71669763
198477	673	1998-11-08	VYDAJ	PREVOD NA UCET	4586	26442	SIPO	KL	71669763
198478	673	1998-12-08	VYDAJ	PREVOD NA UCET	4586	22963	SIPO	KL	71669763
198480	673	1998-06-06	VYDAJ	VYBER	30880	24471	\N	\N	\N
198482	673	1998-12-15	VYDAJ	VYBER	4320	39880	\N	\N	\N
198498	673	1998-12-11	VYDAJ	VYBER KARTOU	1200	44200	\N	\N	0
198499	673	1998-08-28	VYDAJ	VYBER	600	41491	\N	\N	\N
198500	673	1998-09-01	VYDAJ	VYBER	4320	37331	\N	\N	\N
198518	673	1998-04-30	VYDAJ	VYBER	15	54480	SLUZBY	\N	\N
198519	673	1998-05-31	VYDAJ	VYBER	15	51751	SLUZBY	\N	\N
198520	673	1998-06-30	VYDAJ	VYBER	15	42479	SLUZBY	\N	\N
198521	673	1998-07-31	VYDAJ	VYBER	15	45619	SLUZBY	\N	\N
198522	673	1998-08-31	VYDAJ	VYBER	15	41651	SLUZBY	\N	\N
198523	673	1998-09-30	VYDAJ	VYBER	15	34123	SLUZBY	\N	\N
198524	673	1998-10-31	VYDAJ	VYBER	15	37128	SLUZBY	\N	\N
198525	673	1998-11-30	VYDAJ	VYBER	15	41549	SLUZBY	\N	\N
198526	673	1998-01-07	PRIJEM	VKLAD	2300	25706	\N	\N	\N
198527	673	1998-02-06	VYDAJ	VYBER	9800	31013	\N	\N	\N
198528	673	1998-03-08	VYDAJ	VYBER	11200	34955	\N	\N	\N
198529	673	1998-04-07	VYDAJ	VYBER	10800	39316	\N	\N	\N
198530	673	1998-05-07	VYDAJ	VYBER	13300	41180	\N	\N	\N
198531	673	1998-06-06	PRIJEM	VKLAD	3600	55351	\N	\N	\N
198532	673	1998-07-06	VYDAJ	VYBER	7400	35079	\N	\N	\N
198533	673	1998-08-05	VYDAJ	VYBER	13900	31719	\N	\N	\N
198534	673	1998-09-04	VYDAJ	VYBER	13700	23631	\N	\N	\N
198535	673	1998-10-04	VYDAJ	VYBER	7500	26623	\N	\N	\N
198536	673	1998-11-03	VYDAJ	VYBER	6100	31028	\N	\N	\N
198537	673	1998-12-03	VYDAJ	VYBER	14000	27549	\N	\N	\N
198551	674	1995-09-02	PRIJEM	VKLAD	300	300	\N	\N	\N
198560	674	1995-09-13	PRIJEM	PREVOD Z UCTU	4675	4975	DUCHOD	AB	14958382
198561	674	1995-10-13	PRIJEM	PREVOD Z UCTU	4675	9662	DUCHOD	AB	14958382
198562	674	1995-11-13	PRIJEM	PREVOD Z UCTU	4675	14358	DUCHOD	AB	14958382
198563	674	1995-12-13	PRIJEM	PREVOD Z UCTU	4675	19054	DUCHOD	AB	14958382
198564	674	1996-01-13	PRIJEM	PREVOD Z UCTU	4675	23750	DUCHOD	AB	14958382
198565	674	1996-02-13	PRIJEM	PREVOD Z UCTU	4675	24494	DUCHOD	AB	14958382
198566	674	1996-03-13	PRIJEM	PREVOD Z UCTU	4675	27185	DUCHOD	AB	14958382
198567	674	1996-04-13	PRIJEM	PREVOD Z UCTU	4675	29888	DUCHOD	AB	14958382
198568	674	1996-05-13	PRIJEM	PREVOD Z UCTU	4675	30901	DUCHOD	AB	14958382
198569	674	1996-06-13	PRIJEM	PREVOD Z UCTU	4675	30418	DUCHOD	AB	14958382
198570	674	1996-07-13	PRIJEM	PREVOD Z UCTU	4675	22417	DUCHOD	AB	14958382
198571	674	1996-08-13	PRIJEM	PREVOD Z UCTU	4675	25105	DUCHOD	AB	14958382
198572	674	1996-09-13	PRIJEM	PREVOD Z UCTU	4675	27800	DUCHOD	AB	14958382
198573	674	1996-10-13	PRIJEM	PREVOD Z UCTU	4675	27703	DUCHOD	AB	14958382
198574	674	1996-11-13	PRIJEM	PREVOD Z UCTU	4675	29533	DUCHOD	AB	14958382
198575	674	1996-12-13	PRIJEM	PREVOD Z UCTU	4675	30886	DUCHOD	AB	14958382
198576	674	1997-01-13	PRIJEM	PREVOD Z UCTU	4675	29294	DUCHOD	AB	14958382
198577	674	1997-02-13	PRIJEM	PREVOD Z UCTU	4675	28325	DUCHOD	AB	14958382
198578	674	1997-03-13	PRIJEM	PREVOD Z UCTU	4675	29037	DUCHOD	AB	14958382
198579	674	1997-04-13	PRIJEM	PREVOD Z UCTU	4675	29829	DUCHOD	AB	14958382
198580	674	1997-05-13	PRIJEM	PREVOD Z UCTU	4675	32548	DUCHOD	AB	14958382
198581	674	1997-06-13	PRIJEM	PREVOD Z UCTU	4675	35278	DUCHOD	AB	14958382
198582	674	1997-07-13	PRIJEM	PREVOD Z UCTU	4675	30015	DUCHOD	AB	14958382
198583	674	1997-08-13	PRIJEM	PREVOD Z UCTU	4675	32734	DUCHOD	AB	14958382
198584	674	1997-09-13	PRIJEM	PREVOD Z UCTU	4675	34261	DUCHOD	AB	14958382
198585	674	1997-10-13	PRIJEM	PREVOD Z UCTU	4675	32950	DUCHOD	AB	14958382
198586	674	1997-11-13	PRIJEM	PREVOD Z UCTU	4675	31973	DUCHOD	AB	14958382
198587	674	1997-12-13	PRIJEM	PREVOD Z UCTU	4675	31230	DUCHOD	AB	14958382
198588	674	1998-01-13	PRIJEM	PREVOD Z UCTU	4675	29424	DUCHOD	AB	14958382
198589	674	1998-02-13	PRIJEM	PREVOD Z UCTU	4675	25448	DUCHOD	AB	14958382
198590	674	1998-03-13	PRIJEM	PREVOD Z UCTU	4675	25961	DUCHOD	AB	14958382
198591	674	1998-04-13	PRIJEM	PREVOD Z UCTU	4675	25455	DUCHOD	AB	14958382
198592	674	1998-05-13	PRIJEM	PREVOD Z UCTU	4675	22743	DUCHOD	AB	14958382
198593	674	1998-06-13	PRIJEM	PREVOD Z UCTU	4675	23824	DUCHOD	AB	14958382
198594	674	1998-07-13	PRIJEM	PREVOD Z UCTU	4675	20200	DUCHOD	AB	14958382
198595	674	1998-08-13	PRIJEM	PREVOD Z UCTU	4675	20669	DUCHOD	AB	14958382
198596	674	1998-09-13	PRIJEM	PREVOD Z UCTU	4675	23145	DUCHOD	AB	14958382
198597	674	1998-10-13	PRIJEM	PREVOD Z UCTU	4675	23224	DUCHOD	AB	14958382
198598	674	1998-11-13	PRIJEM	PREVOD Z UCTU	4675	23224	DUCHOD	AB	14958382
198599	674	1998-12-13	PRIJEM	PREVOD Z UCTU	4675	22553	DUCHOD	AB	14958382
198612	674	1996-01-13	VYDAJ	PREVOD NA UCET	2058	21692	SIPO	EF	63081496
198613	674	1996-02-13	VYDAJ	PREVOD NA UCET	2058	22436	SIPO	EF	63081496
198614	674	1996-03-13	VYDAJ	PREVOD NA UCET	2058	25127	SIPO	EF	63081496
198615	674	1996-04-13	VYDAJ	PREVOD NA UCET	2058	27830	SIPO	EF	63081496
198616	674	1996-05-13	VYDAJ	PREVOD NA UCET	2058	28843	SIPO	EF	63081496
198617	674	1996-06-13	VYDAJ	PREVOD NA UCET	2058	28360	SIPO	EF	63081496
198618	674	1996-07-13	VYDAJ	PREVOD NA UCET	2058	20359	SIPO	EF	63081496
198619	674	1996-08-13	VYDAJ	PREVOD NA UCET	2058	23047	SIPO	EF	63081496
198620	674	1996-09-13	VYDAJ	PREVOD NA UCET	2058	25742	SIPO	EF	63081496
198621	674	1996-10-13	VYDAJ	PREVOD NA UCET	2058	25645	SIPO	EF	63081496
198622	674	1996-11-13	VYDAJ	PREVOD NA UCET	2058	27475	SIPO	EF	63081496
198623	674	1996-12-13	VYDAJ	PREVOD NA UCET	2058	28828	SIPO	EF	63081496
198624	674	1997-01-13	VYDAJ	PREVOD NA UCET	2058	27236	SIPO	EF	63081496
198625	674	1997-02-13	VYDAJ	PREVOD NA UCET	2058	26267	SIPO	EF	63081496
198626	674	1997-03-13	VYDAJ	PREVOD NA UCET	2058	26979	SIPO	EF	63081496
198627	674	1997-04-13	VYDAJ	PREVOD NA UCET	2058	27771	SIPO	EF	63081496
198628	674	1997-05-13	VYDAJ	PREVOD NA UCET	2058	30490	SIPO	EF	63081496
198629	674	1997-06-13	VYDAJ	PREVOD NA UCET	2058	33220	SIPO	EF	63081496
198630	674	1997-07-13	VYDAJ	PREVOD NA UCET	2058	27957	SIPO	EF	63081496
198631	674	1997-08-13	VYDAJ	PREVOD NA UCET	2058	30676	SIPO	EF	63081496
198632	674	1997-09-13	VYDAJ	PREVOD NA UCET	2058	32203	SIPO	EF	63081496
198633	674	1997-10-13	VYDAJ	PREVOD NA UCET	2058	30892	SIPO	EF	63081496
198634	674	1997-11-13	VYDAJ	PREVOD NA UCET	2058	29915	SIPO	EF	63081496
198635	674	1997-12-13	VYDAJ	PREVOD NA UCET	2058	29172	SIPO	EF	63081496
198636	674	1998-01-13	VYDAJ	PREVOD NA UCET	2058	27366	SIPO	EF	63081496
198637	674	1998-02-13	VYDAJ	PREVOD NA UCET	2058	23390	SIPO	EF	63081496
198638	674	1998-03-13	VYDAJ	PREVOD NA UCET	2058	23903	SIPO	EF	63081496
198639	674	1998-04-13	VYDAJ	PREVOD NA UCET	2058	23397	SIPO	EF	63081496
198640	674	1998-05-13	VYDAJ	PREVOD NA UCET	2058	20685	SIPO	EF	63081496
198641	674	1998-06-13	VYDAJ	PREVOD NA UCET	2058	21766	SIPO	EF	63081496
198642	674	1998-07-13	VYDAJ	PREVOD NA UCET	2058	18142	SIPO	EF	63081496
198643	674	1998-08-13	VYDAJ	PREVOD NA UCET	2058	18611	SIPO	EF	63081496
198644	674	1998-09-13	VYDAJ	PREVOD NA UCET	2058	21087	SIPO	EF	63081496
198645	674	1998-10-13	VYDAJ	PREVOD NA UCET	2058	21166	SIPO	EF	63081496
198646	674	1998-11-13	VYDAJ	PREVOD NA UCET	2058	21166	SIPO	EF	63081496
198647	674	1998-12-13	VYDAJ	PREVOD NA UCET	2058	20495	SIPO	EF	63081496
198649	674	1996-06-29	VYDAJ	VYBER	6950	17650	\N	\N	\N
198650	674	1997-06-28	VYDAJ	VYBER	8000	25220	\N	\N	\N
198653	674	1996-12-28	VYDAJ	VYBER	550	28278	\N	\N	\N
198654	674	1997-12-29	VYDAJ	VYBER	850	28322	\N	\N	\N
198655	674	1998-12-07	VYDAJ	VYBER	250	17878	\N	\N	\N
198665	674	1996-01-25	VYDAJ	VYBER	1920	19772	\N	\N	\N
198668	674	1997-01-02	VYDAJ	VYBER	720	25659	\N	\N	\N
198669	674	1997-01-21	VYDAJ	VYBER	2080	25156	\N	\N	\N
198670	674	1997-01-28	VYDAJ	VYBER	800	23556	\N	\N	\N
198671	674	1997-01-09	VYDAJ	VYBER	1040	24619	\N	\N	\N
198672	674	1997-01-02	VYDAJ	VYBER	2000	26379	\N	\N	\N
198673	674	1997-01-27	VYDAJ	VYBER	800	24356	\N	\N	\N
198674	674	1998-01-05	VYDAJ	VYBER	1280	27149	\N	\N	\N
198675	674	1998-01-25	VYDAJ	VYBER	960	20686	\N	\N	\N
198676	674	1998-01-07	VYDAJ	VYBER	1280	24749	\N	\N	\N
198677	674	1998-01-06	VYDAJ	VYBER	1120	26029	\N	\N	\N
198678	674	1998-01-18	VYDAJ	VYBER	1760	25606	\N	\N	\N
198679	674	1998-01-21	VYDAJ	VYBER	560	21646	\N	\N	\N
198685	674	1996-11-27	VYDAJ	VYBER	1360	26115	\N	\N	\N
198686	674	1996-06-18	VYDAJ	VYBER	3760	24600	\N	\N	\N
198687	674	1996-11-08	VYDAJ	VYBER	880	24858	\N	\N	\N
198688	674	1997-03-12	VYDAJ	VYBER	2000	24362	\N	\N	\N
198689	674	1997-09-30	VYDAJ	VYBER	2240	28275	\N	\N	\N
198690	674	1997-11-23	VYDAJ	VYBER	560	26455	\N	\N	\N
198691	674	1997-03-28	VYDAJ	VYBER	1920	25059	\N	\N	\N
198692	674	1998-12-26	VYDAJ	VYBER	2560	16935	\N	\N	\N
198693	674	1998-02-20	VYDAJ	VYBER	1280	21210	\N	\N	\N
198694	674	1998-10-19	VYDAJ	VYBER	480	18486	\N	\N	\N
198709	674	1996-01-31	VYDAJ	VYBER	15	19819	SLUZBY	\N	\N
198710	674	1996-02-29	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
198711	674	1996-03-31	VYDAJ	VYBER	15	25213	SLUZBY	\N	\N
198712	674	1996-04-30	VYDAJ	VYBER	15	26226	SLUZBY	\N	\N
198713	674	1996-05-31	VYDAJ	VYBER	15	25743	SLUZBY	\N	\N
198714	674	1996-06-30	VYDAJ	VYBER	15	17742	SLUZBY	\N	\N
198715	674	1996-07-31	VYDAJ	VYBER	15	20430	SLUZBY	\N	\N
198716	674	1996-08-31	VYDAJ	VYBER	15	23125	SLUZBY	\N	\N
198717	674	1996-09-30	VYDAJ	VYBER	15	23028	SLUZBY	\N	\N
198718	674	1996-10-31	VYDAJ	VYBER	15	25738	SLUZBY	\N	\N
198719	674	1996-11-30	VYDAJ	VYBER	15	26211	SLUZBY	\N	\N
198720	674	1996-12-31	VYDAJ	VYBER	15	28379	SLUZBY	\N	\N
198721	674	1997-01-31	VYDAJ	VYBER	15	23650	SLUZBY	\N	\N
198722	674	1997-02-28	VYDAJ	VYBER	15	26362	SLUZBY	\N	\N
198723	674	1997-03-31	VYDAJ	VYBER	15	25154	SLUZBY	\N	\N
198724	674	1997-04-30	VYDAJ	VYBER	15	27873	SLUZBY	\N	\N
198725	674	1997-05-31	VYDAJ	VYBER	15	30603	SLUZBY	\N	\N
198726	674	1997-06-30	VYDAJ	VYBER	15	25340	SLUZBY	\N	\N
198727	674	1997-07-31	VYDAJ	VYBER	15	28059	SLUZBY	\N	\N
198728	674	1997-08-31	VYDAJ	VYBER	15	29586	SLUZBY	\N	\N
198729	674	1997-09-30	VYDAJ	VYBER	15	30515	SLUZBY	\N	\N
198730	674	1997-10-31	VYDAJ	VYBER	15	27298	SLUZBY	\N	\N
198731	674	1997-11-30	VYDAJ	VYBER	15	26555	SLUZBY	\N	\N
198732	674	1997-12-31	VYDAJ	VYBER	15	28429	SLUZBY	\N	\N
198733	674	1998-01-31	VYDAJ	VYBER	15	20773	SLUZBY	\N	\N
198734	674	1998-02-28	VYDAJ	VYBER	15	21286	SLUZBY	\N	\N
198735	674	1998-03-31	VYDAJ	VYBER	15	20780	SLUZBY	\N	\N
198736	674	1998-04-30	VYDAJ	VYBER	15	18068	SLUZBY	\N	\N
198737	674	1998-05-31	VYDAJ	VYBER	15	19149	SLUZBY	\N	\N
198738	674	1998-06-30	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
198739	674	1998-07-31	VYDAJ	VYBER	15	15994	SLUZBY	\N	\N
198740	674	1998-08-31	VYDAJ	VYBER	15	18470	SLUZBY	\N	\N
198741	674	1998-09-30	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
198742	674	1998-10-31	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
198743	674	1998-11-30	VYDAJ	VYBER	15	18128	SLUZBY	\N	\N
198744	674	1996-04-29	VYDAJ	VYBER	1700	26130	\N	\N	\N
198745	674	1996-05-29	VYDAJ	VYBER	3200	25643	\N	\N	\N
198746	674	1996-09-26	VYDAJ	VYBER	2800	22942	\N	\N	\N
198747	674	1997-08-22	VYDAJ	VYBER	1200	29476	\N	\N	\N
198748	674	1997-09-21	VYDAJ	VYBER	1800	30403	\N	\N	\N
198749	674	1997-10-21	VYDAJ	VYBER	3700	27192	\N	\N	\N
198750	674	1997-11-20	VYDAJ	VYBER	2900	27015	\N	\N	\N
198751	674	1998-01-19	VYDAJ	VYBER	3400	22206	\N	\N	\N
198752	674	1998-02-18	VYDAJ	VYBER	900	22490	\N	\N	\N
198753	674	1998-03-20	VYDAJ	VYBER	3200	20703	\N	\N	\N
198754	674	1998-04-19	VYDAJ	VYBER	5400	17997	\N	\N	\N
198755	674	1998-05-19	VYDAJ	VYBER	1600	19085	\N	\N	\N
198756	674	1998-06-18	VYDAJ	VYBER	6300	15466	\N	\N	\N
198757	674	1998-07-18	VYDAJ	VYBER	2200	15942	\N	\N	\N
198758	674	1998-08-17	VYDAJ	VYBER	200	18411	\N	\N	\N
198759	674	1998-09-16	VYDAJ	VYBER	2600	18487	\N	\N	\N
198760	674	1998-10-16	VYDAJ	VYBER	2200	18966	\N	\N	\N
198761	674	1998-11-15	VYDAJ	VYBER	3100	18066	\N	\N	\N
198762	674	1998-12-15	VYDAJ	VYBER	1000	19495	\N	\N	\N
198803	675	1995-08-03	PRIJEM	VKLAD	900	900	\N	\N	\N
198811	675	1995-08-14	PRIJEM	VKLAD	9538	10438	\N	\N	\N
198812	675	1995-09-14	PRIJEM	VKLAD	9538	26401	\N	\N	\N
198813	675	1995-10-14	PRIJEM	VKLAD	9538	36120	\N	\N	\N
198814	675	1995-11-14	PRIJEM	VKLAD	9538	38692	\N	\N	\N
198815	675	1995-12-14	PRIJEM	VKLAD	14307	43456	\N	\N	\N
198816	675	1996-01-14	PRIJEM	VKLAD	9538	20993	\N	\N	\N
198817	675	1996-02-14	PRIJEM	VKLAD	9538	23386	\N	\N	\N
198818	675	1996-03-14	PRIJEM	VKLAD	9538	29941	\N	\N	\N
198819	675	1996-04-14	PRIJEM	VKLAD	9538	33326	\N	\N	\N
198820	675	1996-05-14	PRIJEM	VKLAD	9538	36527	\N	\N	\N
198821	675	1996-06-14	PRIJEM	VKLAD	14307	33782	\N	\N	\N
198822	675	1996-07-14	PRIJEM	VKLAD	9538	36574	\N	\N	\N
198823	675	1996-08-14	PRIJEM	VKLAD	9538	40585	\N	\N	\N
198824	675	1996-09-14	PRIJEM	VKLAD	9538	31629	\N	\N	\N
198825	675	1996-10-14	PRIJEM	VKLAD	9538	30603	\N	\N	\N
198826	675	1996-11-14	PRIJEM	VKLAD	9538	38094	\N	\N	\N
198827	675	1996-12-14	PRIJEM	VKLAD	14307	40620	\N	\N	\N
198828	675	1997-01-14	PRIJEM	VKLAD	9538	29721	\N	\N	\N
198829	675	1997-02-14	PRIJEM	VKLAD	9538	30246	\N	\N	\N
198830	675	1997-03-14	PRIJEM	VKLAD	9538	39834	\N	\N	\N
198831	675	1997-04-14	PRIJEM	VKLAD	9538	36244	\N	\N	\N
198832	675	1997-05-14	PRIJEM	VKLAD	9538	34442	\N	\N	\N
198833	675	1997-06-14	PRIJEM	VKLAD	14307	42713	\N	\N	\N
198834	675	1997-07-14	PRIJEM	VKLAD	9538	40516	\N	\N	\N
198835	675	1997-08-14	PRIJEM	VKLAD	9538	43644	\N	\N	\N
198836	675	1997-09-14	PRIJEM	VKLAD	9538	47985	\N	\N	\N
198837	675	1997-10-14	PRIJEM	VKLAD	9538	44778	\N	\N	\N
198838	675	1997-11-14	PRIJEM	VKLAD	9538	45020	\N	\N	\N
198839	675	1997-12-14	PRIJEM	VKLAD	14307	52555	\N	\N	\N
198840	675	1998-01-14	PRIJEM	VKLAD	9538	37153	\N	\N	\N
198841	675	1998-02-14	PRIJEM	VKLAD	9538	30410	\N	\N	\N
198842	675	1998-03-14	PRIJEM	VKLAD	9538	43411	\N	\N	\N
198843	675	1998-04-14	PRIJEM	VKLAD	9538	55764	\N	\N	\N
198844	675	1998-05-14	PRIJEM	VKLAD	9538	61157	\N	\N	\N
198845	675	1998-06-14	PRIJEM	VKLAD	14307	65131	\N	\N	\N
198846	675	1998-07-14	PRIJEM	VKLAD	9538	61339	\N	\N	\N
198847	675	1998-08-14	PRIJEM	VKLAD	9538	58941	\N	\N	\N
198848	675	1998-09-14	PRIJEM	VKLAD	9538	56934	\N	\N	\N
198849	675	1998-10-14	PRIJEM	VKLAD	9538	55819	\N	\N	\N
198850	675	1998-11-14	PRIJEM	VKLAD	9538	59410	\N	\N	\N
198851	675	1998-12-14	PRIJEM	VKLAD	14307	69589	\N	\N	\N
198864	675	1996-01-09	VYDAJ	PREVOD NA UCET	6358	13855	SIPO	MN	74623369
198865	675	1996-02-09	VYDAJ	PREVOD NA UCET	6358	15448	SIPO	MN	74623369
198866	675	1996-03-09	VYDAJ	PREVOD NA UCET	6358	21703	SIPO	MN	74623369
198867	675	1996-04-09	VYDAJ	PREVOD NA UCET	6358	25288	SIPO	MN	74623369
198868	675	1996-05-09	VYDAJ	PREVOD NA UCET	6358	26989	SIPO	MN	74623369
198869	675	1996-06-09	VYDAJ	PREVOD NA UCET	6358	19475	SIPO	MN	74623369
198870	675	1996-07-09	VYDAJ	PREVOD NA UCET	6358	27036	SIPO	MN	74623369
198871	675	1996-08-09	VYDAJ	PREVOD NA UCET	6358	31047	SIPO	MN	74623369
198872	675	1996-09-09	VYDAJ	PREVOD NA UCET	6358	22091	SIPO	MN	74623369
198873	675	1996-10-09	VYDAJ	PREVOD NA UCET	6358	21065	SIPO	MN	74623369
198874	675	1996-11-09	VYDAJ	PREVOD NA UCET	6358	28556	SIPO	MN	74623369
198875	675	1996-12-09	VYDAJ	PREVOD NA UCET	6358	26313	SIPO	MN	74623369
198876	675	1997-01-09	VYDAJ	PREVOD NA UCET	6358	23543	SIPO	MN	74623369
198877	675	1997-02-09	VYDAJ	PREVOD NA UCET	6358	20708	SIPO	MN	74623369
198878	675	1997-03-09	VYDAJ	PREVOD NA UCET	6358	30296	SIPO	MN	74623369
198879	675	1997-04-09	VYDAJ	PREVOD NA UCET	6358	28410	SIPO	MN	74623369
198880	675	1997-05-09	VYDAJ	PREVOD NA UCET	6358	26608	SIPO	MN	74623369
198881	675	1997-06-09	VYDAJ	PREVOD NA UCET	6358	30110	SIPO	MN	74623369
198882	675	1997-07-09	VYDAJ	PREVOD NA UCET	6358	34602	SIPO	MN	74623369
198883	675	1997-08-09	VYDAJ	PREVOD NA UCET	6358	35810	SIPO	MN	74623369
198884	675	1997-09-09	VYDAJ	PREVOD NA UCET	6358	40151	SIPO	MN	74623369
198885	675	1997-10-09	VYDAJ	PREVOD NA UCET	6358	36944	SIPO	MN	74623369
198886	675	1997-11-09	VYDAJ	PREVOD NA UCET	6358	37186	SIPO	MN	74623369
198887	675	1997-12-09	VYDAJ	PREVOD NA UCET	6358	39952	SIPO	MN	74623369
198888	675	1998-01-09	VYDAJ	PREVOD NA UCET	6358	34839	SIPO	MN	74623369
198889	675	1998-02-09	VYDAJ	PREVOD NA UCET	6358	22576	SIPO	MN	74623369
198890	675	1998-03-09	VYDAJ	PREVOD NA UCET	6358	35577	SIPO	MN	74623369
198891	675	1998-04-09	VYDAJ	PREVOD NA UCET	6358	47930	SIPO	MN	74623369
198892	675	1998-05-09	VYDAJ	PREVOD NA UCET	6358	53323	SIPO	MN	74623369
198893	675	1998-06-09	VYDAJ	PREVOD NA UCET	6358	52528	SIPO	MN	74623369
198894	675	1998-07-09	VYDAJ	PREVOD NA UCET	6358	53505	SIPO	MN	74623369
198895	675	1998-08-09	VYDAJ	PREVOD NA UCET	6358	51107	SIPO	MN	74623369
198896	675	1998-09-09	VYDAJ	PREVOD NA UCET	6358	49100	SIPO	MN	74623369
198897	675	1998-10-09	VYDAJ	PREVOD NA UCET	6358	47985	SIPO	MN	74623369
198898	675	1998-11-09	VYDAJ	PREVOD NA UCET	6358	51576	SIPO	MN	74623369
198899	675	1998-12-09	VYDAJ	PREVOD NA UCET	6358	56986	SIPO	MN	74623369
198912	675	1996-01-07	VYDAJ	VYBER	1900	34613	\N	\N	0
198913	675	1996-02-09	VYDAJ	VYBER	1600	13848	\N	\N	0
198914	675	1996-03-12	VYDAJ	VYBER	1300	20403	\N	\N	0
198915	675	1996-04-13	VYDAJ	VYBER	1500	23788	\N	\N	0
198916	675	1996-05-16	VYDAJ	VYBER	2000	34527	\N	\N	0
198917	675	1996-06-06	VYDAJ	VYBER	1900	29553	\N	\N	0
198918	675	1996-07-18	VYDAJ	VYBER	1300	35274	\N	\N	0
198919	675	1996-08-18	VYDAJ	VYBER	1200	39385	\N	\N	0
198920	675	1996-09-07	VYDAJ	VYBER	1900	28449	\N	\N	0
198921	675	1996-10-04	VYDAJ	VYBER	1200	31743	\N	\N	0
198922	675	1996-11-17	VYDAJ	VYBER	1600	36494	\N	\N	0
198923	675	1996-12-09	VYDAJ	VYBER	1300	32671	\N	\N	0
198924	675	1997-01-14	VYDAJ	VYBER	2000	27721	\N	\N	0
198925	675	1997-02-04	VYDAJ	VYBER	1600	27066	\N	\N	0
198926	675	1997-03-21	VYDAJ	VYBER	900	33534	\N	\N	0
198927	675	1997-04-12	VYDAJ	PREVOD NA UCET	1704	26706	UVER	MN	56463271
198928	675	1997-05-12	VYDAJ	PREVOD NA UCET	1704	24904	UVER	MN	56463271
198929	675	1997-06-12	VYDAJ	PREVOD NA UCET	1704	28406	UVER	MN	56463271
198930	675	1997-07-12	VYDAJ	PREVOD NA UCET	1704	30978	UVER	MN	56463271
198931	675	1997-08-12	VYDAJ	PREVOD NA UCET	1704	34106	UVER	MN	56463271
198932	675	1997-09-12	VYDAJ	PREVOD NA UCET	1704	38447	UVER	MN	56463271
198933	675	1997-10-12	VYDAJ	PREVOD NA UCET	1704	35240	UVER	MN	56463271
198934	675	1997-11-12	VYDAJ	PREVOD NA UCET	1704	35482	UVER	MN	56463271
198935	675	1997-12-12	VYDAJ	PREVOD NA UCET	1704	38248	UVER	MN	56463271
198936	675	1998-01-12	VYDAJ	PREVOD NA UCET	1704	27615	UVER	MN	56463271
198937	675	1998-02-12	VYDAJ	PREVOD NA UCET	1704	20872	UVER	MN	56463271
198938	675	1998-03-12	VYDAJ	PREVOD NA UCET	1704	33873	UVER	MN	56463271
198939	675	1998-04-12	VYDAJ	PREVOD NA UCET	1704	46226	UVER	MN	56463271
198940	675	1998-05-12	VYDAJ	PREVOD NA UCET	1704	51619	UVER	MN	56463271
198941	675	1998-06-12	VYDAJ	PREVOD NA UCET	1704	50824	UVER	MN	56463271
198942	675	1998-07-12	VYDAJ	PREVOD NA UCET	1704	51801	UVER	MN	56463271
198943	675	1998-08-12	VYDAJ	PREVOD NA UCET	1704	49403	UVER	MN	56463271
198944	675	1998-09-12	VYDAJ	PREVOD NA UCET	1704	47396	UVER	MN	56463271
198945	675	1998-10-12	VYDAJ	PREVOD NA UCET	1704	46281	UVER	MN	56463271
198946	675	1998-11-12	VYDAJ	PREVOD NA UCET	1704	49872	UVER	MN	56463271
198947	675	1998-12-12	VYDAJ	PREVOD NA UCET	1704	55282	UVER	MN	56463271
198953	675	1996-01-07	VYDAJ	VYBER	14400	20213	\N	\N	\N
198955	675	1998-01-24	VYDAJ	VYBER	14560	31793	\N	\N	\N
198957	675	1996-12-20	VYDAJ	VYBER	3840	36780	\N	\N	\N
198958	675	1997-12-03	VYDAJ	VYBER	1280	46310	\N	\N	\N
198959	675	1998-12-16	VYDAJ	VYBER KARTOU	1100	66689	\N	\N	0
198967	675	1996-01-23	VYDAJ	VYBER	3000	16673	\N	\N	\N
198968	675	1996-01-28	VYDAJ	VYBER	1200	13433	\N	\N	\N
198970	675	1996-01-26	VYDAJ	VYBER	2040	14633	\N	\N	\N
198971	675	1996-01-11	VYDAJ	VYBER	2400	11455	\N	\N	\N
198972	675	1997-01-06	VYDAJ	VYBER	2520	29901	\N	\N	\N
198973	675	1997-01-26	VYDAJ	VYBER	1800	31201	\N	\N	\N
198974	675	1997-01-13	VYDAJ	VYBER	3360	20183	\N	\N	\N
198975	675	1997-01-01	VYDAJ	VYBER	2760	33861	\N	\N	\N
198976	675	1997-01-02	VYDAJ	VYBER	1440	32421	\N	\N	\N
198977	675	1997-01-22	VYDAJ	VYBER	1320	26401	\N	\N	\N
198978	675	1998-01-03	VYDAJ	VYBER	2880	45757	\N	\N	\N
198979	675	1998-01-05	VYDAJ	VYBER	3000	41197	\N	\N	\N
198980	675	1998-01-04	VYDAJ	VYBER	1560	44197	\N	\N	\N
198981	675	1998-01-28	VYDAJ	VYBER	3000	28793	\N	\N	\N
198982	675	1998-01-11	VYDAJ	VYBER	2520	29319	\N	\N	\N
198983	675	1998-01-11	VYDAJ	VYBER	3000	31839	\N	\N	\N
198986	675	1996-10-07	VYDAJ	VYBER	4320	27423	\N	\N	\N
198987	675	1996-12-06	VYDAJ	VYBER	5160	33971	\N	\N	\N
198988	675	1996-06-07	VYDAJ	VYBER	3720	25833	\N	\N	\N
198989	675	1996-09-03	VYDAJ	VYBER	5880	30349	\N	\N	\N
198990	675	1996-01-20	VYDAJ	VYBER	1320	19673	\N	\N	\N
198991	675	1997-04-15	VYDAJ	VYBER	4800	31444	\N	\N	\N
198992	675	1997-10-02	VYDAJ	VYBER	3360	43302	\N	\N	\N
198993	675	1997-01-30	VYDAJ	VYBER	2640	28561	\N	\N	\N
198994	675	1997-03-18	VYDAJ	VYBER	5400	34434	\N	\N	\N
198995	675	1997-07-11	VYDAJ	VYBER	1920	32682	\N	\N	\N
199008	675	1995-12-31	VYDAJ	VYBER	15	43613	SLUZBY	\N	\N
199009	675	1996-01-31	VYDAJ	VYBER	15	21806	SLUZBY	\N	\N
199010	675	1996-02-29	VYDAJ	VYBER	15	28061	SLUZBY	\N	\N
199011	675	1996-03-31	VYDAJ	VYBER	15	31646	SLUZBY	\N	\N
199012	675	1996-04-30	VYDAJ	VYBER	15	33347	SLUZBY	\N	\N
199013	675	1996-05-31	VYDAJ	VYBER	15	31453	SLUZBY	\N	\N
199014	675	1996-06-30	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
199015	675	1996-07-31	VYDAJ	VYBER	15	37405	SLUZBY	\N	\N
199016	675	1996-08-31	VYDAJ	VYBER	15	36229	SLUZBY	\N	\N
199017	675	1996-09-30	VYDAJ	VYBER	15	32943	SLUZBY	\N	\N
199018	675	1996-10-31	VYDAJ	VYBER	15	34914	SLUZBY	\N	\N
199019	675	1996-11-30	VYDAJ	VYBER	15	39131	SLUZBY	\N	\N
199020	675	1996-12-31	VYDAJ	VYBER	15	36621	SLUZBY	\N	\N
199021	675	1997-01-31	VYDAJ	VYBER	15	28666	SLUZBY	\N	\N
199022	675	1997-02-28	VYDAJ	VYBER	15	36654	SLUZBY	\N	\N
199023	675	1997-03-31	VYDAJ	VYBER	15	34768	SLUZBY	\N	\N
199024	675	1997-04-30	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
199025	675	1997-05-31	VYDAJ	VYBER	15	36468	SLUZBY	\N	\N
199026	675	1997-06-30	VYDAJ	VYBER	15	40960	SLUZBY	\N	\N
199027	675	1997-07-31	VYDAJ	VYBER	15	42168	SLUZBY	\N	\N
199028	675	1997-08-31	VYDAJ	VYBER	15	46509	SLUZBY	\N	\N
199029	675	1997-09-30	VYDAJ	VYBER	15	46662	SLUZBY	\N	\N
199030	675	1997-10-31	VYDAJ	VYBER	15	43544	SLUZBY	\N	\N
199031	675	1997-11-30	VYDAJ	VYBER	15	47590	SLUZBY	\N	\N
199032	675	1997-12-31	VYDAJ	VYBER	15	48637	SLUZBY	\N	\N
199033	675	1998-01-31	VYDAJ	VYBER	15	28934	SLUZBY	\N	\N
199034	675	1998-02-28	VYDAJ	VYBER	15	41935	SLUZBY	\N	\N
199035	675	1998-03-31	VYDAJ	VYBER	15	54288	SLUZBY	\N	\N
199036	675	1998-04-30	VYDAJ	VYBER	15	59681	SLUZBY	\N	\N
199037	675	1998-05-31	VYDAJ	VYBER	15	58886	SLUZBY	\N	\N
199038	675	1998-06-30	VYDAJ	VYBER	15	59863	SLUZBY	\N	\N
199039	675	1998-07-31	VYDAJ	VYBER	15	57465	SLUZBY	\N	\N
199040	675	1998-08-31	VYDAJ	VYBER	15	55458	SLUZBY	\N	\N
199041	675	1998-09-30	VYDAJ	VYBER	15	54343	SLUZBY	\N	\N
199042	675	1998-10-31	VYDAJ	VYBER	15	57934	SLUZBY	\N	\N
199043	675	1998-11-30	VYDAJ	VYBER	15	63344	SLUZBY	\N	\N
199044	675	1995-09-02	PRIJEM	VKLAD	6400	16863	\N	\N	\N
199045	675	1995-10-02	PRIJEM	VKLAD	100	26582	\N	\N	\N
199046	675	1995-11-01	VYDAJ	VYBER	7100	29154	\N	\N	\N
199047	675	1995-12-01	VYDAJ	VYBER	9700	29149	\N	\N	\N
199048	675	1995-12-31	VYDAJ	VYBER	7100	36513	\N	\N	\N
199049	675	1996-01-30	PRIJEM	VKLAD	8300	21733	\N	\N	\N
199050	675	1996-02-29	PRIJEM	VKLAD	4600	27986	\N	\N	\N
199051	675	1996-03-30	PRIJEM	VKLAD	1600	31541	\N	\N	\N
199052	675	1996-04-29	VYDAJ	VYBER	100	33226	\N	\N	\N
199053	675	1996-05-29	VYDAJ	VYBER	3200	31327	\N	\N	\N
199054	675	1996-06-28	VYDAJ	VYBER	500	33282	\N	\N	\N
199055	675	1996-07-28	PRIJEM	VKLAD	2000	37274	\N	\N	\N
199056	675	1996-08-27	VYDAJ	VYBER	3300	36085	\N	\N	\N
199057	675	1996-09-26	PRIJEM	VKLAD	1200	32829	\N	\N	\N
199058	675	1996-10-26	PRIJEM	VKLAD	4200	34803	\N	\N	\N
199059	675	1996-11-25	PRIJEM	VKLAD	2500	38994	\N	\N	\N
199060	675	1996-12-25	VYDAJ	VYBER	300	36480	\N	\N	\N
199061	675	1997-01-24	PRIJEM	VKLAD	6600	33001	\N	\N	\N
199062	675	1997-02-23	PRIJEM	VKLAD	6300	36546	\N	\N	\N
199063	675	1997-03-25	PRIJEM	VKLAD	1100	34634	\N	\N	\N
199064	675	1997-04-24	PRIJEM	VKLAD	1400	32844	\N	\N	\N
199065	675	1997-05-24	PRIJEM	VKLAD	1900	36342	\N	\N	\N
199066	675	1997-06-23	VYDAJ	VYBER	1900	40813	\N	\N	\N
199067	675	1997-07-23	PRIJEM	VKLAD	1500	42016	\N	\N	\N
199068	675	1997-08-22	PRIJEM	VKLAD	2700	46344	\N	\N	\N
199069	675	1997-09-21	VYDAJ	VYBER	1500	46485	\N	\N	\N
199070	675	1997-10-21	VYDAJ	VYBER	1400	43378	\N	\N	\N
199071	675	1997-11-20	PRIJEM	VKLAD	2400	47420	\N	\N	\N
199072	675	1997-12-20	VYDAJ	VYBER	4100	48455	\N	\N	\N
199073	675	1998-01-19	PRIJEM	VKLAD	9200	46353	\N	\N	\N
199074	675	1998-02-18	PRIJEM	VKLAD	11400	41810	\N	\N	\N
199075	675	1998-03-20	PRIJEM	VKLAD	10700	54111	\N	\N	\N
199076	675	1998-04-19	PRIJEM	VKLAD	3700	59464	\N	\N	\N
199077	675	1998-05-19	VYDAJ	VYBER	2500	58657	\N	\N	\N
199078	675	1998-06-18	VYDAJ	VYBER	5500	59631	\N	\N	\N
199079	675	1998-07-18	VYDAJ	VYBER	4100	57239	\N	\N	\N
199080	675	1998-08-17	VYDAJ	VYBER KARTOU	3700	55241	\N	\N	0
199081	675	1998-09-16	VYDAJ	VYBER KARTOU	2800	54134	\N	\N	0
199082	675	1998-10-16	PRIJEM	VKLAD	1900	57719	\N	\N	\N
199083	675	1998-11-15	PRIJEM	VKLAD	3700	63110	\N	\N	\N
199084	675	1998-12-15	VYDAJ	VYBER KARTOU	1800	67789	\N	\N	0
199126	676	1995-09-22	PRIJEM	VKLAD	500	500	\N	\N	\N
199136	676	1995-10-12	PRIJEM	VKLAD	4689	5189	\N	\N	\N
199137	676	1995-11-12	PRIJEM	VKLAD	4689	19598	\N	\N	\N
199138	676	1995-12-12	PRIJEM	VKLAD	7034	27502	\N	\N	\N
199139	676	1996-01-12	PRIJEM	VKLAD	4689	32386	\N	\N	\N
199140	676	1996-02-12	PRIJEM	VKLAD	4689	34394	\N	\N	\N
199141	676	1996-03-12	PRIJEM	VKLAD	4689	36780	\N	\N	\N
199142	676	1996-04-12	PRIJEM	VKLAD	4689	25281	\N	\N	\N
199143	676	1996-05-12	PRIJEM	VKLAD	4689	27935	\N	\N	\N
199144	676	1996-06-12	PRIJEM	VKLAD	7034	37548	\N	\N	\N
199145	676	1996-07-12	PRIJEM	VKLAD	4689	35034	\N	\N	\N
199146	676	1996-08-12	PRIJEM	VKLAD	4689	34618	\N	\N	\N
199147	676	1996-09-12	PRIJEM	VKLAD	4689	33599	\N	\N	\N
199148	676	1996-10-12	PRIJEM	VKLAD	4689	28573	\N	\N	\N
199149	676	1996-11-12	PRIJEM	VKLAD	4689	23230	\N	\N	\N
199150	676	1996-12-12	PRIJEM	VKLAD	7034	30521	\N	\N	\N
199151	676	1997-01-12	PRIJEM	VKLAD	4689	18958	\N	\N	\N
199152	676	1997-02-12	PRIJEM	VKLAD	4689	17623	\N	\N	\N
199153	676	1997-03-12	PRIJEM	VKLAD	4689	19918	\N	\N	\N
199154	676	1997-04-12	PRIJEM	VKLAD	4689	22853	\N	\N	\N
199155	676	1997-05-12	PRIJEM	VKLAD	4689	29903	\N	\N	\N
199156	676	1997-06-12	PRIJEM	VKLAD	7034	32410	\N	\N	\N
199157	676	1997-07-12	PRIJEM	VKLAD	4689	26553	\N	\N	\N
199158	676	1997-08-12	PRIJEM	VKLAD	4689	28205	\N	\N	\N
199159	676	1997-09-12	PRIJEM	VKLAD	4689	29265	\N	\N	\N
199160	676	1997-10-12	PRIJEM	VKLAD	4689	32830	\N	\N	\N
199161	676	1997-11-12	PRIJEM	VKLAD	4689	31558	\N	\N	\N
199162	676	1997-12-12	PRIJEM	VKLAD	7034	29097	\N	\N	\N
199163	676	1998-01-12	PRIJEM	VKLAD	4689	27866	\N	\N	\N
199164	676	1998-02-12	PRIJEM	VKLAD	4689	27569	\N	\N	\N
199165	676	1998-03-12	PRIJEM	VKLAD	4689	35711	\N	\N	\N
199166	676	1998-04-12	PRIJEM	VKLAD	4689	39893	\N	\N	\N
199167	676	1998-05-12	PRIJEM	VKLAD	4689	41512	\N	\N	\N
199168	676	1998-06-12	PRIJEM	VKLAD	7034	52365	\N	\N	\N
199169	676	1998-07-12	PRIJEM	VKLAD	4689	54212	\N	\N	\N
199170	676	1998-08-12	PRIJEM	VKLAD	4689	52859	\N	\N	\N
199171	676	1998-09-12	PRIJEM	VKLAD	4689	52327	\N	\N	\N
199172	676	1998-10-12	PRIJEM	VKLAD	4689	49290	\N	\N	\N
199173	676	1998-11-12	PRIJEM	VKLAD	4689	44863	\N	\N	\N
199174	676	1998-12-12	PRIJEM	VKLAD	7034	46443	\N	\N	\N
199188	676	1996-02-13	VYDAJ	PREVOD NA UCET	3017	31377	SIPO	GH	72221982
199189	676	1996-03-13	VYDAJ	PREVOD NA UCET	3017	33763	SIPO	GH	72221982
199190	676	1996-04-13	VYDAJ	PREVOD NA UCET	3017	22264	SIPO	GH	72221982
199191	676	1996-05-13	VYDAJ	PREVOD NA UCET	3017	24918	SIPO	GH	72221982
199192	676	1996-06-13	VYDAJ	PREVOD NA UCET	3017	34531	SIPO	GH	72221982
199193	676	1996-07-13	VYDAJ	PREVOD NA UCET	3017	32017	SIPO	GH	72221982
199194	676	1996-08-13	VYDAJ	PREVOD NA UCET	3017	31601	SIPO	GH	72221982
199195	676	1996-09-13	VYDAJ	PREVOD NA UCET	3017	30582	SIPO	GH	72221982
199196	676	1996-10-13	VYDAJ	PREVOD NA UCET	3017	25556	SIPO	GH	72221982
199197	676	1996-11-13	VYDAJ	PREVOD NA UCET	3017	20213	SIPO	GH	72221982
199198	676	1996-12-13	VYDAJ	PREVOD NA UCET	3017	27504	SIPO	GH	72221982
199199	676	1997-01-13	VYDAJ	PREVOD NA UCET	3017	15941	SIPO	GH	72221982
199200	676	1997-02-13	VYDAJ	PREVOD NA UCET	3017	20206	SIPO	GH	72221982
199201	676	1997-03-13	VYDAJ	PREVOD NA UCET	3017	16901	SIPO	GH	72221982
199202	676	1997-04-13	VYDAJ	PREVOD NA UCET	3017	19836	SIPO	GH	72221982
199203	676	1997-05-13	VYDAJ	PREVOD NA UCET	3017	26886	SIPO	GH	72221982
199204	676	1997-06-13	VYDAJ	PREVOD NA UCET	3017	23093	SIPO	GH	72221982
199205	676	1997-07-13	VYDAJ	PREVOD NA UCET	3017	23536	SIPO	GH	72221982
199206	676	1997-08-13	VYDAJ	PREVOD NA UCET	3017	25188	SIPO	GH	72221982
199207	676	1997-09-13	VYDAJ	PREVOD NA UCET	3017	26248	SIPO	GH	72221982
199208	676	1997-10-13	VYDAJ	PREVOD NA UCET	3017	29813	SIPO	GH	72221982
199209	676	1997-11-13	VYDAJ	PREVOD NA UCET	3017	28541	SIPO	GH	72221982
199210	676	1997-12-13	VYDAJ	PREVOD NA UCET	3017	26080	SIPO	GH	72221982
199211	676	1998-01-13	VYDAJ	PREVOD NA UCET	3017	24849	SIPO	GH	72221982
199212	676	1998-02-13	VYDAJ	PREVOD NA UCET	3017	24552	SIPO	GH	72221982
199213	676	1998-03-13	VYDAJ	PREVOD NA UCET	3017	32694	SIPO	GH	72221982
199214	676	1998-04-13	VYDAJ	PREVOD NA UCET	3017	36876	SIPO	GH	72221982
199215	676	1998-05-13	VYDAJ	PREVOD NA UCET	3017	38495	SIPO	GH	72221982
199216	676	1998-06-13	VYDAJ	PREVOD NA UCET	3017	49348	SIPO	GH	72221982
199217	676	1998-07-13	VYDAJ	PREVOD NA UCET	3017	51195	SIPO	GH	72221982
199218	676	1998-08-13	VYDAJ	PREVOD NA UCET	3017	49842	SIPO	GH	72221982
199219	676	1998-09-13	VYDAJ	PREVOD NA UCET	3017	49310	SIPO	GH	72221982
199220	676	1998-10-13	VYDAJ	PREVOD NA UCET	3017	46273	SIPO	GH	72221982
199221	676	1998-11-13	VYDAJ	PREVOD NA UCET	3017	41846	SIPO	GH	72221982
199222	676	1998-12-13	VYDAJ	PREVOD NA UCET	3017	43426	SIPO	GH	72221982
199232	676	1996-12-22	VYDAJ	VYBER	2720	23184	\N	\N	\N
199233	676	1997-12-29	VYDAJ	VYBER	1440	24640	\N	\N	\N
199234	676	1998-12-15	VYDAJ	VYBER	1120	42306	\N	\N	\N
199247	676	1997-01-16	VYDAJ	VYBER	720	15521	\N	\N	\N
199248	676	1997-01-28	VYDAJ	VYBER	2640	12881	\N	\N	\N
199249	676	1997-01-15	VYDAJ	VYBER	2400	16241	\N	\N	\N
199250	676	1997-01-09	VYDAJ	VYBER	720	14269	\N	\N	\N
199253	676	1998-01-13	VYDAJ	VYBER	3360	21489	\N	\N	\N
199254	676	1998-01-03	VYDAJ	VYBER	960	23777	\N	\N	\N
199255	676	1998-01-26	VYDAJ	VYBER	1800	14529	\N	\N	\N
199256	676	1998-01-14	VYDAJ	VYBER	1800	19689	\N	\N	\N
199257	676	1998-01-26	VYDAJ	VYBER	3360	16329	\N	\N	\N
199258	676	1998-01-30	VYDAJ	VYBER	720	13809	\N	\N	\N
199264	676	1996-10-26	VYDAJ	VYBER	4800	18456	\N	\N	\N
199267	676	1996-04-03	VYDAJ	VYBER	2400	20592	\N	\N	\N
199268	676	1996-12-29	VYDAJ	VYBER	4200	18984	\N	\N	\N
199269	676	1996-10-10	VYDAJ	VYBER	3000	23884	\N	\N	\N
199270	676	1996-03-25	VYDAJ	VYBER	5880	22883	\N	\N	\N
199272	676	1997-06-28	VYDAJ	VYBER	1320	21773	\N	\N	\N
199273	676	1997-01-03	VYDAJ	VYBER	4080	14989	\N	\N	\N
199274	676	1997-10-14	VYDAJ	VYBER	2040	26573	\N	\N	\N
199275	676	1997-10-13	VYDAJ	VYBER	1200	28613	\N	\N	\N
199276	676	1997-03-06	VYDAJ	VYBER	5040	15229	\N	\N	\N
199277	676	1997-11-30	VYDAJ	VYBER	4680	23963	\N	\N	\N
199278	676	1998-04-23	VYDAJ	VYBER	4680	32196	\N	\N	\N
199279	676	1998-08-07	VYDAJ	VYBER	4920	48170	\N	\N	\N
199280	676	1998-10-22	VYDAJ	VYBER	1080	45193	\N	\N	\N
199281	676	1998-11-10	VYDAJ	VYBER	1200	40174	\N	\N	\N
199296	676	1996-02-29	VYDAJ	VYBER	15	32091	SLUZBY	\N	\N
199297	676	1996-03-31	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
199298	676	1996-04-30	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
199299	676	1996-05-31	VYDAJ	VYBER	15	30514	SLUZBY	\N	\N
199300	676	1996-06-30	VYDAJ	VYBER	15	30345	SLUZBY	\N	\N
199301	676	1996-07-31	VYDAJ	VYBER	15	29929	SLUZBY	\N	\N
199302	676	1996-08-31	VYDAJ	VYBER	15	28910	SLUZBY	\N	\N
199303	676	1996-09-30	VYDAJ	VYBER	15	26884	SLUZBY	\N	\N
199304	676	1996-10-31	VYDAJ	VYBER	15	18541	SLUZBY	\N	\N
199305	676	1996-11-30	VYDAJ	VYBER	15	23487	SLUZBY	\N	\N
199306	676	1996-12-31	VYDAJ	VYBER	15	19069	SLUZBY	\N	\N
199307	676	1997-01-31	VYDAJ	VYBER	15	12934	SLUZBY	\N	\N
199308	676	1997-02-28	VYDAJ	VYBER	15	20269	SLUZBY	\N	\N
199309	676	1997-03-31	VYDAJ	VYBER	15	18164	SLUZBY	\N	\N
199310	676	1997-04-30	VYDAJ	VYBER	15	25214	SLUZBY	\N	\N
199311	676	1997-05-31	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
199312	676	1997-06-30	VYDAJ	VYBER	15	21864	SLUZBY	\N	\N
199313	676	1997-07-31	VYDAJ	VYBER	15	23516	SLUZBY	\N	\N
199314	676	1997-08-31	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
199315	676	1997-09-30	VYDAJ	VYBER	15	26341	SLUZBY	\N	\N
199316	676	1997-10-31	VYDAJ	VYBER	15	26669	SLUZBY	\N	\N
199317	676	1997-11-30	VYDAJ	VYBER	15	28643	SLUZBY	\N	\N
199318	676	1997-12-31	VYDAJ	VYBER	15	24737	SLUZBY	\N	\N
199319	676	1998-01-31	VYDAJ	VYBER	15	13880	SLUZBY	\N	\N
199320	676	1998-02-28	VYDAJ	VYBER	15	24622	SLUZBY	\N	\N
199321	676	1998-03-31	VYDAJ	VYBER	15	32804	SLUZBY	\N	\N
199322	676	1998-04-30	VYDAJ	VYBER	15	32323	SLUZBY	\N	\N
199323	676	1998-05-31	VYDAJ	VYBER	15	38631	SLUZBY	\N	\N
199324	676	1998-06-30	VYDAJ	VYBER	15	49523	SLUZBY	\N	\N
199325	676	1998-07-31	VYDAJ	VYBER	15	51390	SLUZBY	\N	\N
199326	676	1998-08-31	VYDAJ	VYBER	15	50038	SLUZBY	\N	\N
199327	676	1998-09-30	VYDAJ	VYBER	15	49501	SLUZBY	\N	\N
199328	676	1998-10-31	VYDAJ	VYBER	15	45374	SLUZBY	\N	\N
199329	676	1998-11-30	VYDAJ	VYBER	15	42009	SLUZBY	\N	\N
199330	676	1995-10-22	PRIJEM	VKLAD	9700	14889	\N	\N	\N
199331	676	1995-11-21	PRIJEM	VKLAD	800	20398	\N	\N	\N
199332	676	1995-12-21	PRIJEM	VKLAD	100	27602	\N	\N	\N
199333	676	1996-01-20	VYDAJ	VYBER	2800	29586	\N	\N	\N
199334	676	1996-02-19	PRIJEM	VKLAD	600	31977	\N	\N	\N
199335	676	1996-03-20	VYDAJ	VYBER	5000	28763	\N	\N	\N
199336	676	1996-04-19	PRIJEM	VKLAD	900	23164	\N	\N	\N
199337	676	1996-05-19	PRIJEM	VKLAD	5500	30418	\N	\N	\N
199338	676	1996-06-18	VYDAJ	VYBER	4300	30231	\N	\N	\N
199339	676	1996-07-18	VYDAJ	VYBER	2200	29817	\N	\N	\N
199340	676	1996-08-17	VYDAJ	VYBER	2800	28801	\N	\N	\N
199341	676	1996-09-16	VYDAJ	VYBER	3800	26782	\N	\N	\N
199342	676	1996-10-16	VYDAJ	VYBER	2300	23256	\N	\N	\N
199343	676	1996-11-15	PRIJEM	VKLAD	3200	23413	\N	\N	\N
199344	676	1996-12-15	VYDAJ	VYBER	1600	25904	\N	\N	\N
199345	676	1997-01-14	PRIJEM	VKLAD	2700	18641	\N	\N	\N
199346	676	1997-02-13	PRIJEM	VKLAD	5600	23223	\N	\N	\N
199347	676	1997-03-15	PRIJEM	VKLAD	1200	18101	\N	\N	\N
199348	676	1997-04-14	PRIJEM	VKLAD	5300	25136	\N	\N	\N
199349	676	1997-05-14	VYDAJ	VYBER	1600	25286	\N	\N	\N
199350	676	1997-06-13	VYDAJ	VYBER	6300	26110	\N	\N	\N
199351	676	1997-07-13	VYDAJ	VYBER	100	23436	\N	\N	\N
199352	676	1997-09-11	VYDAJ	VYBER	700	24576	\N	\N	\N
199353	676	1997-10-11	PRIJEM	VKLAD	1800	28141	\N	\N	\N
199354	676	1997-11-10	PRIJEM	VKLAD	200	26869	\N	\N	\N
199355	676	1997-12-10	VYDAJ	VYBER	1900	22063	\N	\N	\N
199356	676	1998-01-09	VYDAJ	VYBER	600	23177	\N	\N	\N
199357	676	1998-02-08	PRIJEM	VKLAD	9000	22880	\N	\N	\N
199358	676	1998-03-10	PRIJEM	VKLAD	6400	31022	\N	\N	\N
199359	676	1998-04-09	PRIJEM	VKLAD	2400	35204	\N	\N	\N
199360	676	1998-05-09	PRIJEM	VKLAD	4500	36823	\N	\N	\N
199361	676	1998-06-08	PRIJEM	VKLAD	6700	45331	\N	\N	\N
199362	676	1998-08-07	PRIJEM	VKLAD	1700	53090	\N	\N	\N
199363	676	1998-09-06	VYDAJ	VYBER	2400	47638	\N	\N	\N
199364	676	1998-10-06	VYDAJ	VYBER	4900	44601	\N	\N	\N
199365	676	1998-11-05	VYDAJ	VYBER	4000	41374	\N	\N	\N
199366	676	1998-12-05	VYDAJ	VYBER	2600	39409	\N	\N	\N
199406	677	1997-09-13	PRIJEM	VKLAD	400	400	\N	\N	\N
199416	677	1997-10-08	PRIJEM	VKLAD	21994	22394	\N	\N	\N
199417	677	1997-11-08	PRIJEM	VKLAD	21994	45749	\N	\N	\N
199418	677	1997-12-08	PRIJEM	VKLAD	32991	67366	\N	\N	\N
199419	677	1998-01-08	PRIJEM	VKLAD	21994	66229	\N	\N	\N
199420	677	1998-02-08	PRIJEM	VKLAD	21994	63599	\N	\N	\N
199421	677	1998-03-08	PRIJEM	VKLAD	21994	65858	\N	\N	\N
199422	677	1998-04-08	PRIJEM	VKLAD	21994	68828	\N	\N	\N
199423	677	1998-05-08	PRIJEM	VKLAD	21994	68701	\N	\N	\N
199424	677	1998-06-08	PRIJEM	VKLAD	32991	77967	\N	\N	\N
199425	677	1998-07-08	PRIJEM	VKLAD	21994	49122	\N	\N	\N
199426	677	1998-08-08	PRIJEM	VKLAD	21994	54931	\N	\N	\N
199427	677	1998-09-08	PRIJEM	VKLAD	21994	57254	\N	\N	\N
199428	677	1998-10-08	PRIJEM	VKLAD	21994	54847	\N	\N	\N
199429	677	1998-11-08	PRIJEM	VKLAD	21994	33631	\N	\N	\N
199430	677	1998-12-08	PRIJEM	VKLAD	32991	50344	\N	\N	\N
199432	677	1998-06-29	VYDAJ	VYBER	14100	26967	\N	\N	\N
199436	677	1998-12-03	VYDAJ	VYBER	1400	32353	\N	\N	\N
199451	677	1998-03-16	VYDAJ	VYBER	600	46658	\N	\N	\N
199452	677	1998-06-15	VYDAJ	VYBER	4900	41067	\N	\N	\N
199453	677	1998-12-30	VYDAJ	VYBER	3600	46744	\N	\N	\N
199454	677	1998-12-04	VYDAJ	VYBER	1300	31053	\N	\N	\N
199471	677	1998-02-28	VYDAJ	VYBER	15	43864	SLUZBY	\N	\N
199472	677	1998-03-31	VYDAJ	VYBER	15	46834	SLUZBY	\N	\N
199473	677	1998-04-30	VYDAJ	VYBER	15	46707	SLUZBY	\N	\N
199474	677	1998-05-31	VYDAJ	VYBER	15	44976	SLUZBY	\N	\N
199475	677	1998-06-30	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
199476	677	1998-07-31	VYDAJ	VYBER	15	32937	SLUZBY	\N	\N
199477	677	1998-08-31	VYDAJ	VYBER	15	35260	SLUZBY	\N	\N
199478	677	1998-09-30	VYDAJ	VYBER	15	32853	SLUZBY	\N	\N
199479	677	1998-10-31	VYDAJ	VYBER	15	30037	SLUZBY	\N	\N
199480	677	1998-11-30	VYDAJ	VYBER	15	33753	SLUZBY	\N	\N
199481	677	1997-10-13	PRIJEM	VKLAD	1300	23694	\N	\N	\N
199482	677	1997-11-12	VYDAJ	VYBER	11500	34249	\N	\N	\N
199483	677	1997-12-12	VYDAJ	VYBER	23300	44066	\N	\N	\N
199484	677	1998-01-11	VYDAJ	VYBER	24800	41429	\N	\N	\N
199485	677	1998-02-10	VYDAJ	VYBER	19900	43699	\N	\N	\N
199486	677	1998-03-12	VYDAJ	VYBER	18600	47258	\N	\N	\N
199487	677	1998-04-11	VYDAJ	VYBER	22300	46528	\N	\N	\N
199488	677	1998-05-11	VYDAJ	VYBER	23900	44801	\N	\N	\N
199489	677	1998-06-10	VYDAJ	VYBER	32000	45967	\N	\N	\N
199490	677	1998-07-10	VYDAJ	VYBER	16300	32822	\N	\N	\N
199491	677	1998-08-09	VYDAJ	VYBER	19800	35131	\N	\N	\N
199492	677	1998-09-08	VYDAJ	VYBER	24600	32654	\N	\N	\N
199493	677	1998-10-08	VYDAJ	VYBER	25000	29847	\N	\N	\N
199494	677	1998-11-07	VYDAJ	VYBER	18400	11637	\N	\N	\N
199495	677	1998-12-07	VYDAJ	VYBER	13700	17353	\N	\N	\N
199511	678	1993-10-08	PRIJEM	VKLAD	700	700	\N	\N	\N
199522	678	1993-11-07	PRIJEM	VKLAD	7632	15632	\N	\N	\N
199523	678	1993-12-07	PRIJEM	VKLAD	11448	27107	\N	\N	\N
199524	678	1994-01-07	PRIJEM	VKLAD	7632	31626	\N	\N	\N
199525	678	1994-02-07	PRIJEM	VKLAD	7632	35984	\N	\N	\N
199526	678	1994-03-07	PRIJEM	VKLAD	7632	43762	\N	\N	\N
199527	678	1994-04-07	PRIJEM	VKLAD	7632	30220	\N	\N	\N
199528	678	1994-05-07	PRIJEM	VKLAD	7632	30762	\N	\N	\N
199529	678	1994-06-07	PRIJEM	VKLAD	11448	37626	\N	\N	\N
199530	678	1994-07-07	PRIJEM	VKLAD	7632	36183	\N	\N	\N
199531	678	1994-08-07	PRIJEM	VKLAD	7632	33244	\N	\N	\N
199532	678	1994-09-07	PRIJEM	VKLAD	7632	32801	\N	\N	\N
199533	678	1994-10-07	PRIJEM	VKLAD	7632	30847	\N	\N	\N
199534	678	1994-11-07	PRIJEM	VKLAD	7632	33788	\N	\N	\N
199535	678	1994-12-07	PRIJEM	VKLAD	11448	37955	\N	\N	\N
199536	678	1995-01-07	PRIJEM	VKLAD	7632	30925	\N	\N	\N
199537	678	1995-02-07	PRIJEM	VKLAD	7632	25250	\N	\N	\N
199538	678	1995-03-07	PRIJEM	VKLAD	7632	23462	\N	\N	\N
199539	678	1995-04-07	PRIJEM	VKLAD	7632	26372	\N	\N	\N
199540	678	1995-05-07	PRIJEM	VKLAD	7632	25577	\N	\N	\N
199541	678	1995-06-07	PRIJEM	VKLAD	11448	32909	\N	\N	\N
199542	678	1995-07-07	PRIJEM	VKLAD	7632	24033	\N	\N	\N
199543	678	1995-08-07	PRIJEM	VKLAD	7632	22740	\N	\N	\N
199544	678	1995-09-07	PRIJEM	VKLAD	7632	20331	\N	\N	\N
199545	678	1995-10-07	PRIJEM	VKLAD	7632	21225	\N	\N	\N
199546	678	1995-11-07	PRIJEM	VKLAD	7632	24025	\N	\N	\N
199547	678	1995-12-07	PRIJEM	VKLAD	11448	27743	\N	\N	\N
199548	678	1996-01-07	PRIJEM	VKLAD	7632	25365	\N	\N	\N
199549	678	1996-02-07	PRIJEM	VKLAD	7632	18962	\N	\N	\N
199550	678	1996-03-07	PRIJEM	VKLAD	7632	21347	\N	\N	\N
199551	678	1996-04-07	PRIJEM	VKLAD	7632	23947	\N	\N	\N
199552	678	1996-05-07	PRIJEM	VKLAD	7632	26555	\N	\N	\N
199553	678	1996-06-07	PRIJEM	VKLAD	11448	28280	\N	\N	\N
199554	678	1996-07-07	PRIJEM	VKLAD	7632	26190	\N	\N	\N
199555	678	1996-08-07	PRIJEM	VKLAD	7632	24300	\N	\N	\N
199556	678	1996-09-07	PRIJEM	VKLAD	7632	24902	\N	\N	\N
199557	678	1996-10-07	PRIJEM	VKLAD	7632	25810	\N	\N	\N
199558	678	1996-11-07	PRIJEM	VKLAD	7632	25021	\N	\N	\N
199559	678	1996-12-07	PRIJEM	VKLAD	11448	26940	\N	\N	\N
199560	678	1997-01-07	PRIJEM	VKLAD	7632	22341	\N	\N	\N
199561	678	1997-02-07	PRIJEM	VKLAD	7632	20541	\N	\N	\N
199562	678	1997-03-07	PRIJEM	VKLAD	7632	21226	\N	\N	\N
199563	678	1997-04-07	PRIJEM	VKLAD	7632	20916	\N	\N	\N
199564	678	1997-05-07	PRIJEM	VKLAD	7632	23506	\N	\N	\N
199565	678	1997-06-07	PRIJEM	VKLAD	11448	29932	\N	\N	\N
199566	678	1997-07-07	PRIJEM	VKLAD	7632	22435	\N	\N	\N
199567	678	1997-08-07	PRIJEM	VKLAD	7632	19523	\N	\N	\N
199568	678	1997-09-07	PRIJEM	VKLAD	7632	22110	\N	\N	\N
199569	678	1997-10-07	PRIJEM	VKLAD	7632	22909	\N	\N	\N
199570	678	1997-11-07	PRIJEM	VKLAD	7632	23110	\N	\N	\N
199571	678	1997-12-07	PRIJEM	VKLAD	11448	24515	\N	\N	\N
199572	678	1998-01-07	PRIJEM	VKLAD	7632	22508	\N	\N	\N
199573	678	1998-02-07	PRIJEM	VKLAD	7632	20995	\N	\N	\N
199574	678	1998-03-07	PRIJEM	VKLAD	7632	20278	\N	\N	\N
199575	678	1998-04-07	PRIJEM	VKLAD	7632	22864	\N	\N	\N
199576	678	1998-05-07	PRIJEM	VKLAD	7632	22755	\N	\N	\N
199577	678	1998-06-07	PRIJEM	VKLAD	11448	24757	\N	\N	\N
199578	678	1998-07-07	PRIJEM	VKLAD	7632	26456	\N	\N	\N
199579	678	1998-08-07	PRIJEM	VKLAD	7632	26061	\N	\N	\N
199580	678	1998-09-07	PRIJEM	VKLAD	7632	26972	\N	\N	\N
199581	678	1998-10-07	PRIJEM	VKLAD	7632	20471	\N	\N	\N
199582	678	1998-11-07	PRIJEM	VKLAD	7632	17945	\N	\N	\N
199583	678	1998-12-07	PRIJEM	VKLAD	11448	20230	\N	\N	\N
199598	678	1994-03-13	VYDAJ	PREVOD NA UCET	1192	28803	SIPO	YZ	20567107
199599	678	1994-04-13	VYDAJ	PREVOD NA UCET	1192	29028	SIPO	YZ	20567107
199600	678	1994-05-13	VYDAJ	PREVOD NA UCET	1192	27603	SIPO	YZ	20567107
199601	678	1994-06-13	VYDAJ	PREVOD NA UCET	1192	30705	SIPO	YZ	20567107
199602	678	1994-07-13	VYDAJ	PREVOD NA UCET	1192	31095	SIPO	YZ	20567107
199603	678	1994-08-13	VYDAJ	PREVOD NA UCET	1192	30123	SIPO	YZ	20567107
199604	678	1994-09-13	VYDAJ	PREVOD NA UCET	1192	26613	SIPO	YZ	20567107
199605	678	1994-10-13	VYDAJ	PREVOD NA UCET	1192	27726	SIPO	YZ	20567107
199606	678	1994-11-13	VYDAJ	PREVOD NA UCET	1192	32596	SIPO	YZ	20567107
199607	678	1994-12-13	VYDAJ	PREVOD NA UCET	1192	31167	SIPO	YZ	20567107
199608	678	1995-01-13	VYDAJ	PREVOD NA UCET	1192	25233	SIPO	YZ	20567107
199609	678	1995-02-13	VYDAJ	PREVOD NA UCET	1192	22091	SIPO	YZ	20567107
199610	678	1995-03-13	VYDAJ	PREVOD NA UCET	1192	22270	SIPO	YZ	20567107
199611	678	1995-04-13	VYDAJ	PREVOD NA UCET	1192	20680	SIPO	YZ	20567107
199612	678	1995-05-13	VYDAJ	PREVOD NA UCET	1192	22418	SIPO	YZ	20567107
199613	678	1995-06-13	VYDAJ	PREVOD NA UCET	1192	25817	SIPO	YZ	20567107
199614	678	1995-07-13	VYDAJ	PREVOD NA UCET	1192	20912	SIPO	YZ	20567107
199615	678	1995-08-13	VYDAJ	PREVOD NA UCET	1192	17652	SIPO	YZ	20567107
199616	678	1995-09-13	VYDAJ	PREVOD NA UCET	1192	15243	SIPO	YZ	20567107
199617	678	1995-10-13	VYDAJ	PREVOD NA UCET	1192	20033	SIPO	YZ	20567107
199618	678	1995-11-13	VYDAJ	PREVOD NA UCET	1192	20904	SIPO	YZ	20567107
199619	678	1995-12-13	VYDAJ	PREVOD NA UCET	1192	23651	SIPO	YZ	20567107
199620	678	1996-01-13	VYDAJ	PREVOD NA UCET	1192	20073	SIPO	YZ	20567107
199621	678	1996-02-13	VYDAJ	PREVOD NA UCET	1192	17770	SIPO	YZ	20567107
199622	678	1996-03-13	VYDAJ	PREVOD NA UCET	1192	16259	SIPO	YZ	20567107
199623	678	1996-04-13	VYDAJ	PREVOD NA UCET	1192	20788	SIPO	YZ	20567107
199624	678	1996-05-13	VYDAJ	PREVOD NA UCET	1192	21467	SIPO	YZ	20567107
199625	678	1996-06-13	VYDAJ	PREVOD NA UCET	1192	25159	SIPO	YZ	20567107
199626	678	1996-07-13	VYDAJ	PREVOD NA UCET	1192	24998	SIPO	YZ	20567107
199627	678	1996-08-13	VYDAJ	PREVOD NA UCET	1192	19212	SIPO	YZ	20567107
199628	678	1996-09-13	VYDAJ	PREVOD NA UCET	1192	21781	SIPO	YZ	20567107
199629	678	1996-10-13	VYDAJ	PREVOD NA UCET	1192	24618	SIPO	YZ	20567107
199630	678	1996-11-13	VYDAJ	PREVOD NA UCET	1192	23829	SIPO	YZ	20567107
199631	678	1996-12-13	VYDAJ	PREVOD NA UCET	1192	25748	SIPO	YZ	20567107
199632	678	1997-01-13	VYDAJ	PREVOD NA UCET	1192	21149	SIPO	YZ	20567107
199633	678	1997-02-13	VYDAJ	PREVOD NA UCET	1192	17382	SIPO	YZ	20567107
199634	678	1997-03-13	VYDAJ	PREVOD NA UCET	1192	18105	SIPO	YZ	20567107
199635	678	1997-04-13	VYDAJ	PREVOD NA UCET	1192	17757	SIPO	YZ	20567107
199636	678	1997-05-13	VYDAJ	PREVOD NA UCET	1192	22314	SIPO	YZ	20567107
199637	678	1997-06-13	VYDAJ	PREVOD NA UCET	1192	24844	SIPO	YZ	20567107
199638	678	1997-07-13	VYDAJ	PREVOD NA UCET	1192	17347	SIPO	YZ	20567107
199639	678	1997-08-13	VYDAJ	PREVOD NA UCET	1192	14435	SIPO	YZ	20567107
199640	678	1997-09-13	VYDAJ	PREVOD NA UCET	1192	20918	SIPO	YZ	20567107
199641	678	1997-10-13	VYDAJ	PREVOD NA UCET	1192	19750	SIPO	YZ	20567107
199642	678	1997-11-13	VYDAJ	PREVOD NA UCET	1192	18022	SIPO	YZ	20567107
199643	678	1997-12-13	VYDAJ	PREVOD NA UCET	1192	16627	SIPO	YZ	20567107
199644	678	1998-01-13	VYDAJ	PREVOD NA UCET	1192	15249	SIPO	YZ	20567107
199645	678	1998-02-13	VYDAJ	PREVOD NA UCET	1192	17203	SIPO	YZ	20567107
199646	678	1998-03-13	VYDAJ	PREVOD NA UCET	1192	17157	SIPO	YZ	20567107
199647	678	1998-04-13	VYDAJ	PREVOD NA UCET	1192	21672	SIPO	YZ	20567107
199648	678	1998-05-13	VYDAJ	PREVOD NA UCET	1192	21563	SIPO	YZ	20567107
199649	678	1998-06-13	VYDAJ	PREVOD NA UCET	1192	17869	SIPO	YZ	20567107
199650	678	1998-07-13	VYDAJ	PREVOD NA UCET	1192	21368	SIPO	YZ	20567107
199651	678	1998-08-13	VYDAJ	PREVOD NA UCET	1192	22940	SIPO	YZ	20567107
199652	678	1998-09-13	VYDAJ	PREVOD NA UCET	1192	16680	SIPO	YZ	20567107
199653	678	1998-10-13	VYDAJ	PREVOD NA UCET	1192	10283	SIPO	YZ	20567107
199654	678	1998-11-13	VYDAJ	PREVOD NA UCET	1192	8757	SIPO	YZ	20567107
199655	678	1998-12-13	VYDAJ	PREVOD NA UCET	1192	16338	SIPO	YZ	20567107
199670	678	1994-03-13	VYDAJ	PREVOD NA UCET	1929	26874	 	WX	52606773
199671	678	1994-04-13	VYDAJ	PREVOD NA UCET	1929	25132	 	WX	52606773
199672	678	1994-05-13	VYDAJ	PREVOD NA UCET	1929	25674	 	WX	52606773
199673	678	1994-06-13	VYDAJ	PREVOD NA UCET	1929	31897	 	WX	52606773
199674	678	1994-07-13	VYDAJ	PREVOD NA UCET	1929	34254	 	WX	52606773
199675	678	1994-08-13	VYDAJ	PREVOD NA UCET	1929	31315	 	WX	52606773
199676	678	1994-09-13	VYDAJ	PREVOD NA UCET	1929	29772	 	WX	52606773
199677	678	1994-10-13	VYDAJ	PREVOD NA UCET	1929	28918	 	WX	52606773
199678	678	1994-11-13	VYDAJ	PREVOD NA UCET	1929	30667	 	WX	52606773
199679	678	1994-12-13	VYDAJ	PREVOD NA UCET	1929	34326	 	WX	52606773
199680	678	1995-01-13	VYDAJ	PREVOD NA UCET	1929	23304	 	WX	52606773
199681	678	1995-02-13	VYDAJ	PREVOD NA UCET	1929	20162	 	WX	52606773
199682	678	1995-03-13	VYDAJ	PREVOD NA UCET	1929	18374	 	WX	52606773
199683	678	1995-04-13	VYDAJ	PREVOD NA UCET	1929	18751	 	WX	52606773
199684	678	1995-05-13	VYDAJ	PREVOD NA UCET	1929	20489	 	WX	52606773
199685	678	1995-06-13	VYDAJ	PREVOD NA UCET	1929	23888	 	WX	52606773
199686	678	1995-07-13	VYDAJ	PREVOD NA UCET	1929	22104	 	WX	52606773
199687	678	1995-08-13	VYDAJ	PREVOD NA UCET	1929	20811	 	WX	52606773
199688	678	1995-09-13	VYDAJ	PREVOD NA UCET	1929	16435	 	WX	52606773
199689	678	1995-10-13	VYDAJ	PREVOD NA UCET	1929	18104	 	WX	52606773
199690	678	1995-11-13	VYDAJ	PREVOD NA UCET	1929	22096	 	WX	52606773
199691	678	1995-12-13	VYDAJ	PREVOD NA UCET	1929	19755	 	WX	52606773
199692	678	1996-01-13	VYDAJ	PREVOD NA UCET	1929	16177	 	WX	52606773
199693	678	1996-02-13	VYDAJ	PREVOD NA UCET	1929	13874	 	WX	52606773
199694	678	1996-03-13	VYDAJ	PREVOD NA UCET	1929	19418	 	WX	52606773
199695	678	1996-04-13	VYDAJ	PREVOD NA UCET	1929	18859	 	WX	52606773
199696	678	1996-05-13	VYDAJ	PREVOD NA UCET	1929	24626	 	WX	52606773
199697	678	1996-06-13	VYDAJ	PREVOD NA UCET	1929	26351	 	WX	52606773
199698	678	1996-07-13	VYDAJ	PREVOD NA UCET	1929	23069	 	WX	52606773
199699	678	1996-08-13	VYDAJ	PREVOD NA UCET	1929	20404	 	WX	52606773
199700	678	1996-09-13	VYDAJ	PREVOD NA UCET	1929	22973	 	WX	52606773
199701	678	1996-10-13	VYDAJ	PREVOD NA UCET	1929	22689	 	WX	52606773
199702	678	1996-11-13	VYDAJ	PREVOD NA UCET	1929	21900	 	WX	52606773
199703	678	1996-12-13	VYDAJ	PREVOD NA UCET	1929	21852	 	WX	52606773
199704	678	1997-01-13	VYDAJ	PREVOD NA UCET	1929	19220	 	WX	52606773
199705	678	1997-02-13	VYDAJ	PREVOD NA UCET	1929	15453	 	WX	52606773
199706	678	1997-03-13	VYDAJ	PREVOD NA UCET	1929	19297	 	WX	52606773
199707	678	1997-04-13	VYDAJ	PREVOD NA UCET	1929	15828	 	WX	52606773
199708	678	1997-05-13	VYDAJ	PREVOD NA UCET	1929	20385	 	WX	52606773
199709	678	1997-06-13	VYDAJ	PREVOD NA UCET	1929	28003	 	WX	52606773
199710	678	1997-07-13	VYDAJ	PREVOD NA UCET	1929	18539	 	WX	52606773
199711	678	1997-08-13	VYDAJ	PREVOD NA UCET	1929	15627	 	WX	52606773
199712	678	1997-09-13	VYDAJ	PREVOD NA UCET	1929	17022	 	WX	52606773
199713	678	1997-10-13	VYDAJ	PREVOD NA UCET	1929	17821	 	WX	52606773
199714	678	1997-11-13	VYDAJ	PREVOD NA UCET	1929	21181	 	WX	52606773
199715	678	1997-12-13	VYDAJ	PREVOD NA UCET	1929	19786	 	WX	52606773
199716	678	1998-01-13	VYDAJ	PREVOD NA UCET	1929	13320	 	WX	52606773
199717	678	1998-02-13	VYDAJ	PREVOD NA UCET	1929	13307	 	WX	52606773
199718	678	1998-03-13	VYDAJ	PREVOD NA UCET	1929	18349	 	WX	52606773
199719	678	1998-04-13	VYDAJ	PREVOD NA UCET	1929	19743	 	WX	52606773
199720	678	1998-05-13	VYDAJ	PREVOD NA UCET	1929	19634	 	WX	52606773
199721	678	1998-06-13	VYDAJ	PREVOD NA UCET	1929	19061	 	WX	52606773
199722	678	1998-07-13	VYDAJ	PREVOD NA UCET	1929	24527	 	WX	52606773
199723	678	1998-08-13	VYDAJ	PREVOD NA UCET	1929	24132	 	WX	52606773
199724	678	1998-09-13	VYDAJ	PREVOD NA UCET	1929	12784	 	WX	52606773
199725	678	1998-10-13	VYDAJ	PREVOD NA UCET	1929	11475	 	WX	52606773
199726	678	1998-11-13	VYDAJ	PREVOD NA UCET	1929	9949	 	WX	52606773
199727	678	1998-12-13	VYDAJ	PREVOD NA UCET	1929	12442	 	WX	52606773
199742	678	1994-03-13	VYDAJ	PREVOD NA UCET	1967	29995	POJISTNE	CD	77998667
199743	678	1994-04-13	VYDAJ	PREVOD NA UCET	1967	27061	POJISTNE	CD	77998667
199744	678	1994-05-13	VYDAJ	PREVOD NA UCET	1967	28795	POJISTNE	CD	77998667
199745	678	1994-06-13	VYDAJ	PREVOD NA UCET	1967	28738	POJISTNE	CD	77998667
199746	678	1994-07-13	VYDAJ	PREVOD NA UCET	1967	32287	POJISTNE	CD	77998667
199747	678	1994-08-13	VYDAJ	PREVOD NA UCET	1967	28156	POJISTNE	CD	77998667
199748	678	1994-09-13	VYDAJ	PREVOD NA UCET	1967	27805	POJISTNE	CD	77998667
199749	678	1994-10-13	VYDAJ	PREVOD NA UCET	1967	25759	POJISTNE	CD	77998667
199750	678	1994-11-13	VYDAJ	PREVOD NA UCET	1967	28700	POJISTNE	CD	77998667
199751	678	1994-12-13	VYDAJ	PREVOD NA UCET	1967	32359	POJISTNE	CD	77998667
199752	678	1995-01-13	VYDAJ	PREVOD NA UCET	1967	21337	POJISTNE	CD	77998667
199753	678	1995-02-13	VYDAJ	PREVOD NA UCET	1967	23283	POJISTNE	CD	77998667
199754	678	1995-03-13	VYDAJ	PREVOD NA UCET	1967	20303	POJISTNE	CD	77998667
199755	678	1995-04-13	VYDAJ	PREVOD NA UCET	1967	16784	POJISTNE	CD	77998667
199756	678	1995-05-13	VYDAJ	PREVOD NA UCET	1967	23610	POJISTNE	CD	77998667
199757	678	1995-06-13	VYDAJ	PREVOD NA UCET	1967	21921	POJISTNE	CD	77998667
199758	678	1995-07-13	VYDAJ	PREVOD NA UCET	1967	18945	POJISTNE	CD	77998667
199759	678	1995-08-13	VYDAJ	PREVOD NA UCET	1967	18844	POJISTNE	CD	77998667
199760	678	1995-09-13	VYDAJ	PREVOD NA UCET	1967	18364	POJISTNE	CD	77998667
199761	678	1995-10-13	VYDAJ	PREVOD NA UCET	1967	16137	POJISTNE	CD	77998667
199762	678	1995-11-13	VYDAJ	PREVOD NA UCET	1967	18937	POJISTNE	CD	77998667
199763	678	1995-12-13	VYDAJ	PREVOD NA UCET	1967	21684	POJISTNE	CD	77998667
199764	678	1996-01-13	VYDAJ	PREVOD NA UCET	1967	18106	POJISTNE	CD	77998667
199765	678	1996-02-13	VYDAJ	PREVOD NA UCET	1967	15803	POJISTNE	CD	77998667
199766	678	1996-03-13	VYDAJ	PREVOD NA UCET	1967	17451	POJISTNE	CD	77998667
199767	678	1996-04-13	VYDAJ	PREVOD NA UCET	1967	21980	POJISTNE	CD	77998667
199768	678	1996-05-13	VYDAJ	PREVOD NA UCET	1967	22659	POJISTNE	CD	77998667
199769	678	1996-06-13	VYDAJ	PREVOD NA UCET	1967	23192	POJISTNE	CD	77998667
199770	678	1996-07-13	VYDAJ	PREVOD NA UCET	1967	21102	POJISTNE	CD	77998667
199771	678	1996-08-13	VYDAJ	PREVOD NA UCET	1967	22333	POJISTNE	CD	77998667
199772	678	1996-09-13	VYDAJ	PREVOD NA UCET	1967	19814	POJISTNE	CD	77998667
199773	678	1996-10-13	VYDAJ	PREVOD NA UCET	1967	20722	POJISTNE	CD	77998667
199774	678	1996-11-13	VYDAJ	PREVOD NA UCET	1967	19933	POJISTNE	CD	77998667
199775	678	1996-12-13	VYDAJ	PREVOD NA UCET	1967	23781	POJISTNE	CD	77998667
199776	678	1997-01-13	VYDAJ	PREVOD NA UCET	1967	17253	POJISTNE	CD	77998667
199777	678	1997-02-13	VYDAJ	PREVOD NA UCET	1967	18574	POJISTNE	CD	77998667
199778	678	1997-03-13	VYDAJ	PREVOD NA UCET	1967	16138	POJISTNE	CD	77998667
199779	678	1997-04-13	VYDAJ	PREVOD NA UCET	1967	18949	POJISTNE	CD	77998667
199780	678	1997-05-13	VYDAJ	PREVOD NA UCET	1967	18418	POJISTNE	CD	77998667
199781	678	1997-06-13	VYDAJ	PREVOD NA UCET	1967	26036	POJISTNE	CD	77998667
199782	678	1997-07-13	VYDAJ	PREVOD NA UCET	1967	20468	POJISTNE	CD	77998667
199783	678	1997-08-13	VYDAJ	PREVOD NA UCET	1967	17556	POJISTNE	CD	77998667
199784	678	1997-09-13	VYDAJ	PREVOD NA UCET	1967	18951	POJISTNE	CD	77998667
199785	678	1997-10-13	VYDAJ	PREVOD NA UCET	1967	20942	POJISTNE	CD	77998667
199786	678	1997-11-13	VYDAJ	PREVOD NA UCET	1967	19214	POJISTNE	CD	77998667
199787	678	1997-12-13	VYDAJ	PREVOD NA UCET	1967	17819	POJISTNE	CD	77998667
199788	678	1998-01-13	VYDAJ	PREVOD NA UCET	1967	16441	POJISTNE	CD	77998667
199789	678	1998-02-13	VYDAJ	PREVOD NA UCET	1967	15236	POJISTNE	CD	77998667
199790	678	1998-03-13	VYDAJ	PREVOD NA UCET	1967	15190	POJISTNE	CD	77998667
199791	678	1998-04-13	VYDAJ	PREVOD NA UCET	1967	17776	POJISTNE	CD	77998667
199792	678	1998-05-13	VYDAJ	PREVOD NA UCET	1967	17667	POJISTNE	CD	77998667
199793	678	1998-06-13	VYDAJ	PREVOD NA UCET	1967	20990	POJISTNE	CD	77998667
199794	678	1998-07-13	VYDAJ	PREVOD NA UCET	1967	22560	POJISTNE	CD	77998667
199795	678	1998-08-13	VYDAJ	PREVOD NA UCET	1967	19273	POJISTNE	CD	77998667
199796	678	1998-09-13	VYDAJ	PREVOD NA UCET	1967	14713	POJISTNE	CD	77998667
199797	678	1998-10-13	VYDAJ	PREVOD NA UCET	1967	13404	POJISTNE	CD	77998667
199798	678	1998-11-13	VYDAJ	PREVOD NA UCET	1967	11878	POJISTNE	CD	77998667
199799	678	1998-12-13	VYDAJ	PREVOD NA UCET	1967	14371	POJISTNE	CD	77998667
199801	678	1994-12-12	VYDAJ	VYBER	1700	36255	\N	\N	\N
199802	678	1995-12-07	VYDAJ	VYBER	2900	24843	\N	\N	\N
199804	678	1997-12-09	VYDAJ	VYBER	2800	21715	\N	\N	\N
199818	678	1995-01-09	VYDAJ	VYBER	900	27125	\N	\N	\N
199819	678	1995-01-16	VYDAJ	VYBER	800	18837	\N	\N	\N
199820	678	1995-01-15	VYDAJ	VYBER	1700	19637	\N	\N	\N
199821	678	1995-01-11	VYDAJ	VYBER	700	26425	\N	\N	\N
199822	678	1995-01-05	VYDAJ	VYBER	2900	23293	\N	\N	\N
199823	678	1995-01-07	VYDAJ	VYBER	2900	28025	\N	\N	\N
199824	678	1996-01-18	VYDAJ	VYBER	900	14177	\N	\N	\N
199827	678	1996-01-04	VYDAJ	VYBER	1000	17733	\N	\N	\N
199828	678	1996-01-14	VYDAJ	VYBER	1100	15077	\N	\N	\N
199832	678	1997-01-20	VYDAJ	VYBER	1400	12853	\N	\N	\N
199833	678	1997-01-05	VYDAJ	VYBER	2000	14709	\N	\N	\N
199835	678	1997-01-13	VYDAJ	VYBER	1700	15553	\N	\N	\N
199836	678	1998-01-11	VYDAJ	VYBER	2900	18408	\N	\N	\N
199841	678	1998-01-10	VYDAJ	VYBER	1200	21308	\N	\N	\N
199849	678	1994-06-09	VYDAJ	VYBER	3800	33826	\N	\N	\N
199850	678	1994-07-31	VYDAJ	VYBER	4900	26326	\N	\N	\N
199851	678	1994-03-14	VYDAJ	VYBER	2100	24774	\N	\N	\N
199852	678	1994-09-08	VYDAJ	VYBER	1100	31701	\N	\N	\N
199853	678	1995-06-08	VYDAJ	VYBER	1300	27009	\N	\N	\N
199854	678	1995-02-28	VYDAJ	VYBER	2800	17445	\N	\N	\N
199856	678	1995-04-09	VYDAJ	VYBER	4500	21872	\N	\N	\N
199857	678	1995-08-17	VYDAJ	VYBER	3200	14452	\N	\N	\N
199858	678	1995-06-07	VYDAJ	VYBER	4600	28309	\N	\N	\N
199859	678	1996-01-10	VYDAJ	VYBER	4100	21265	\N	\N	\N
199861	678	1997-06-18	VYDAJ	VYBER	3900	20944	\N	\N	\N
199862	678	1997-10-01	VYDAJ	VYBER	1800	15277	\N	\N	\N
199863	678	1998-02-11	VYDAJ	VYBER	2600	18395	\N	\N	\N
199866	678	1998-06-11	VYDAJ	VYBER	1800	22957	\N	\N	\N
199869	678	1998-07-14	VYDAJ	VYBER	2800	18568	\N	\N	\N
199885	678	1994-03-31	VYDAJ	VYBER	15	24888	SLUZBY	\N	\N
199886	678	1994-04-30	VYDAJ	VYBER	15	25230	SLUZBY	\N	\N
199887	678	1994-05-31	VYDAJ	VYBER	15	25778	SLUZBY	\N	\N
199888	678	1994-06-30	VYDAJ	VYBER	15	28851	SLUZBY	\N	\N
199889	678	1994-07-31	VYDAJ	VYBER	15	26312	SLUZBY	\N	\N
199890	678	1994-08-31	VYDAJ	VYBER	15	28269	SLUZBY	\N	\N
199891	678	1994-09-30	VYDAJ	VYBER	15	26715	SLUZBY	\N	\N
199892	678	1994-10-31	VYDAJ	VYBER	15	25856	SLUZBY	\N	\N
199893	678	1994-11-30	VYDAJ	VYBER	15	28807	SLUZBY	\N	\N
199894	678	1994-12-31	VYDAJ	VYBER	15	31293	SLUZBY	\N	\N
199895	678	1995-01-31	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
199896	678	1995-02-28	VYDAJ	VYBER	15	17430	SLUZBY	\N	\N
199897	678	1995-03-31	VYDAJ	VYBER	15	18440	SLUZBY	\N	\N
199898	678	1995-04-30	VYDAJ	VYBER	15	16845	SLUZBY	\N	\N
199899	678	1995-05-31	VYDAJ	VYBER	15	21461	SLUZBY	\N	\N
199900	678	1995-06-30	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
199901	678	1995-07-31	VYDAJ	VYBER	15	15108	SLUZBY	\N	\N
199902	678	1995-08-31	VYDAJ	VYBER	15	12699	SLUZBY	\N	\N
199903	678	1995-09-30	VYDAJ	VYBER	15	13593	SLUZBY	\N	\N
199904	678	1995-10-31	VYDAJ	VYBER	15	16393	SLUZBY	\N	\N
199905	678	1995-11-30	VYDAJ	VYBER	15	16295	SLUZBY	\N	\N
199906	678	1995-12-31	VYDAJ	VYBER	15	18733	SLUZBY	\N	\N
199907	678	1996-01-31	VYDAJ	VYBER	15	11330	SLUZBY	\N	\N
199908	678	1996-02-29	VYDAJ	VYBER	15	13715	SLUZBY	\N	\N
199909	678	1996-03-31	VYDAJ	VYBER	15	16315	SLUZBY	\N	\N
199910	678	1996-04-30	VYDAJ	VYBER	15	18923	SLUZBY	\N	\N
199911	678	1996-05-31	VYDAJ	VYBER	15	16832	SLUZBY	\N	\N
199912	678	1996-06-30	VYDAJ	VYBER	15	18558	SLUZBY	\N	\N
199913	678	1996-07-31	VYDAJ	VYBER	15	16668	SLUZBY	\N	\N
199914	678	1996-08-31	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
199915	678	1996-09-30	VYDAJ	VYBER	15	18178	SLUZBY	\N	\N
199916	678	1996-10-31	VYDAJ	VYBER	15	17389	SLUZBY	\N	\N
199917	678	1996-11-30	VYDAJ	VYBER	15	15492	SLUZBY	\N	\N
199918	678	1996-12-31	VYDAJ	VYBER	15	16709	SLUZBY	\N	\N
199919	678	1997-01-31	VYDAJ	VYBER	15	12909	SLUZBY	\N	\N
199920	678	1997-02-28	VYDAJ	VYBER	15	13594	SLUZBY	\N	\N
199921	678	1997-03-31	VYDAJ	VYBER	15	13284	SLUZBY	\N	\N
199922	678	1997-04-30	VYDAJ	VYBER	15	15874	SLUZBY	\N	\N
199923	678	1997-05-31	VYDAJ	VYBER	15	18484	SLUZBY	\N	\N
199924	678	1997-06-30	VYDAJ	VYBER	15	14803	SLUZBY	\N	\N
199925	678	1997-07-31	VYDAJ	VYBER	15	11891	SLUZBY	\N	\N
199926	678	1997-08-31	VYDAJ	VYBER	15	14478	SLUZBY	\N	\N
199927	678	1997-09-30	VYDAJ	VYBER	15	17077	SLUZBY	\N	\N
199928	678	1997-10-31	VYDAJ	VYBER	15	15478	SLUZBY	\N	\N
199929	678	1997-11-30	VYDAJ	VYBER	15	13067	SLUZBY	\N	\N
199930	678	1997-12-31	VYDAJ	VYBER	15	14876	SLUZBY	\N	\N
199931	678	1998-01-31	VYDAJ	VYBER	15	13363	SLUZBY	\N	\N
199932	678	1998-02-28	VYDAJ	VYBER	15	12646	SLUZBY	\N	\N
199933	678	1998-03-31	VYDAJ	VYBER	15	15232	SLUZBY	\N	\N
199934	678	1998-04-30	VYDAJ	VYBER	15	15123	SLUZBY	\N	\N
199935	678	1998-05-31	VYDAJ	VYBER	15	13309	SLUZBY	\N	\N
199936	678	1998-06-30	VYDAJ	VYBER	15	18824	SLUZBY	\N	\N
199937	678	1998-07-31	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
199938	678	1998-08-31	VYDAJ	VYBER	15	19340	SLUZBY	\N	\N
199939	678	1998-09-30	VYDAJ	VYBER	15	12839	SLUZBY	\N	\N
199940	678	1998-10-31	VYDAJ	VYBER	15	10313	SLUZBY	\N	\N
199941	678	1998-11-30	VYDAJ	VYBER	15	8782	SLUZBY	\N	\N
199942	678	1993-11-07	PRIJEM	VKLAD	7300	8000	\N	\N	\N
199943	678	1993-12-07	VYDAJ	VYBER	3100	24007	\N	\N	\N
199944	678	1994-01-06	VYDAJ	VYBER	100	23994	\N	\N	\N
199945	678	1994-02-05	VYDAJ	VYBER	3400	28352	\N	\N	\N
199946	678	1994-03-07	VYDAJ	VYBER	11800	31962	\N	\N	\N
199947	678	1994-04-06	VYDAJ	VYBER	2300	22588	\N	\N	\N
199948	678	1994-05-06	VYDAJ	VYBER	2100	23130	\N	\N	\N
199949	678	1994-06-05	PRIJEM	VKLAD	400	26178	\N	\N	\N
199950	678	1994-07-05	VYDAJ	VYBER	300	28551	\N	\N	\N
199951	678	1994-08-04	VYDAJ	VYBER	700	25612	\N	\N	\N
199952	678	1994-09-03	VYDAJ	VYBER	3100	25169	\N	\N	\N
199953	678	1994-10-03	VYDAJ	VYBER	3500	23215	\N	\N	\N
199954	678	1994-11-02	PRIJEM	VKLAD	300	26156	\N	\N	\N
199955	678	1994-12-02	VYDAJ	VYBER	2300	26507	\N	\N	\N
199956	678	1995-01-01	VYDAJ	VYBER	5100	26193	\N	\N	\N
199957	678	1995-01-31	VYDAJ	VYBER	1300	17632	\N	\N	\N
199958	678	1995-03-02	VYDAJ	VYBER	1600	15830	\N	\N	\N
199959	678	1995-04-01	PRIJEM	VKLAD	300	18740	\N	\N	\N
199960	678	1995-05-01	PRIJEM	VKLAD	1100	17945	\N	\N	\N
199961	678	1995-05-31	PRIJEM	VKLAD	900	21389	\N	\N	\N
199962	678	1995-06-30	VYDAJ	VYBER	5600	16415	\N	\N	\N
199963	678	1995-07-30	VYDAJ	VYBER	3900	15045	\N	\N	\N
199964	678	1995-08-29	VYDAJ	VYBER	1800	12652	\N	\N	\N
199965	678	1995-09-28	VYDAJ	VYBER	1700	13543	\N	\N	\N
199966	678	1995-10-28	PRIJEM	VKLAD	200	16337	\N	\N	\N
199967	678	1995-11-27	VYDAJ	VYBER	2700	16237	\N	\N	\N
199968	678	1995-12-27	VYDAJ	VYBER	1100	18655	\N	\N	\N
199969	678	1996-01-26	VYDAJ	VYBER	2900	11277	\N	\N	\N
199970	678	1996-02-25	VYDAJ	VYBER	200	13674	\N	\N	\N
199971	678	1996-05-25	VYDAJ	VYBER	4700	16767	\N	\N	\N
199972	678	1996-06-24	VYDAJ	VYBER	4700	18492	\N	\N	\N
199973	678	1996-07-24	VYDAJ	VYBER	4500	16602	\N	\N	\N
199974	678	1996-08-23	VYDAJ	VYBER	2000	17212	\N	\N	\N
199975	678	1996-09-22	VYDAJ	VYBER	1700	18114	\N	\N	\N
199976	678	1996-10-22	VYDAJ	VYBER	3400	17322	\N	\N	\N
199977	678	1996-11-21	VYDAJ	VYBER	4500	15433	\N	\N	\N
199978	678	1996-12-21	VYDAJ	VYBER	5200	16652	\N	\N	\N
199979	678	1997-01-20	VYDAJ	VYBER	1300	14253	\N	\N	\N
199980	678	1997-02-19	VYDAJ	VYBER	1900	13553	\N	\N	\N
199981	678	1997-03-21	VYDAJ	VYBER	2900	13238	\N	\N	\N
199982	678	1997-06-19	VYDAJ	VYBER	6200	14744	\N	\N	\N
199983	678	1997-07-19	VYDAJ	VYBER	5500	11847	\N	\N	\N
199984	678	1997-10-17	VYDAJ	VYBER	2400	15421	\N	\N	\N
199985	678	1997-11-16	VYDAJ	VYBER	5000	13022	\N	\N	\N
199986	678	1997-12-16	VYDAJ	VYBER	1800	14827	\N	\N	\N
199987	678	1998-02-14	VYDAJ	VYBER	700	12607	\N	\N	\N
199988	678	1998-04-15	VYDAJ	VYBER	2700	15076	\N	\N	\N
199989	678	1998-05-15	VYDAJ	VYBER	4400	13267	\N	\N	\N
199990	678	1998-06-14	PRIJEM	VKLAD	900	18769	\N	\N	\N
199991	678	1998-07-14	VYDAJ	VYBER	200	18368	\N	\N	\N
199992	678	1998-08-13	VYDAJ	VYBER	1700	21240	\N	\N	\N
199993	678	1998-09-12	VYDAJ	VYBER	9100	17872	\N	\N	\N
199994	678	1998-10-12	VYDAJ	VYBER	5100	15371	\N	\N	\N
199995	678	1998-11-11	VYDAJ	VYBER	4100	13845	\N	\N	\N
199996	678	1998-12-11	VYDAJ	VYBER	2700	17530	\N	\N	\N
200059	679	1997-07-12	PRIJEM	VKLAD	800	800	\N	\N	\N
200067	679	1997-08-09	PRIJEM	VKLAD	16528	17328	\N	\N	\N
200068	679	1997-09-09	PRIJEM	VKLAD	16528	37114	\N	\N	\N
200069	679	1997-10-09	PRIJEM	VKLAD	16528	45953	\N	\N	\N
200070	679	1997-11-09	PRIJEM	VKLAD	16528	50918	\N	\N	\N
200071	679	1997-12-09	PRIJEM	VKLAD	24792	65171	\N	\N	\N
200072	679	1998-01-09	PRIJEM	VKLAD	16528	46382	\N	\N	\N
200073	679	1998-02-09	PRIJEM	VKLAD	16528	43352	\N	\N	\N
200074	679	1998-03-09	PRIJEM	VKLAD	16528	55229	\N	\N	\N
200075	679	1998-04-09	PRIJEM	VKLAD	16528	42517	\N	\N	\N
200076	679	1998-05-09	PRIJEM	VKLAD	16528	46807	\N	\N	\N
200077	679	1998-06-09	PRIJEM	VKLAD	24792	62178	\N	\N	\N
200078	679	1998-07-09	PRIJEM	VKLAD	16528	49469	\N	\N	\N
200079	679	1998-08-09	PRIJEM	VKLAD	16528	58980	\N	\N	\N
200080	679	1998-09-09	PRIJEM	VKLAD	16528	59932	\N	\N	\N
200081	679	1998-10-09	PRIJEM	VKLAD	16528	59897	\N	\N	\N
200082	679	1998-11-09	PRIJEM	VKLAD	16528	58646	\N	\N	\N
200083	679	1998-12-09	PRIJEM	VKLAD	24792	68659	\N	\N	\N
200095	679	1997-12-14	VYDAJ	PREVOD NA UCET	4049	43191	SIPO	OP	91457056
200096	679	1998-01-14	VYDAJ	PREVOD NA UCET	4049	36402	SIPO	OP	91457056
200097	679	1998-02-14	VYDAJ	PREVOD NA UCET	4049	38572	SIPO	OP	91457056
200098	679	1998-03-14	VYDAJ	PREVOD NA UCET	4049	34149	SIPO	OP	91457056
200099	679	1998-04-14	VYDAJ	PREVOD NA UCET	4049	37737	SIPO	OP	91457056
200100	679	1998-05-14	VYDAJ	PREVOD NA UCET	4049	42027	SIPO	OP	91457056
200101	679	1998-06-14	VYDAJ	PREVOD NA UCET	4049	33098	SIPO	OP	91457056
200102	679	1998-07-14	VYDAJ	PREVOD NA UCET	4049	44689	SIPO	OP	91457056
200103	679	1998-08-14	VYDAJ	PREVOD NA UCET	4049	54200	SIPO	OP	91457056
200104	679	1998-09-14	VYDAJ	PREVOD NA UCET	4049	55152	SIPO	OP	91457056
200105	679	1998-10-14	VYDAJ	PREVOD NA UCET	4049	50917	SIPO	OP	91457056
200106	679	1998-11-14	VYDAJ	PREVOD NA UCET	4049	53866	SIPO	OP	91457056
200107	679	1998-12-14	VYDAJ	PREVOD NA UCET	4049	61979	SIPO	OP	91457056
200119	679	1997-12-11	VYDAJ	PREVOD NA UCET	450	47240	 	KL	27114582
200120	679	1998-01-11	VYDAJ	PREVOD NA UCET	450	45651	 	KL	27114582
200121	679	1998-02-11	VYDAJ	PREVOD NA UCET	450	42621	 	KL	27114582
200122	679	1998-03-11	VYDAJ	PREVOD NA UCET	450	38198	 	KL	27114582
200123	679	1998-04-11	VYDAJ	PREVOD NA UCET	450	41786	 	KL	27114582
200124	679	1998-05-11	VYDAJ	PREVOD NA UCET	450	46076	 	KL	27114582
200125	679	1998-06-11	VYDAJ	PREVOD NA UCET	450	37147	 	KL	27114582
200126	679	1998-07-11	VYDAJ	PREVOD NA UCET	450	48738	 	KL	27114582
200127	679	1998-08-11	VYDAJ	PREVOD NA UCET	450	58249	 	KL	27114582
200128	679	1998-09-11	VYDAJ	PREVOD NA UCET	450	59201	 	KL	27114582
200129	679	1998-10-11	VYDAJ	PREVOD NA UCET	450	59166	 	KL	27114582
200130	679	1998-11-11	VYDAJ	PREVOD NA UCET	450	57915	 	KL	27114582
200131	679	1998-12-11	VYDAJ	PREVOD NA UCET	450	66028	 	KL	27114582
200143	679	1997-12-09	VYDAJ	PREVOD NA UCET	281	47690	POJISTNE	UV	84744864
200144	679	1998-01-09	VYDAJ	PREVOD NA UCET	281	46101	POJISTNE	UV	84744864
200145	679	1998-02-09	VYDAJ	PREVOD NA UCET	281	43071	POJISTNE	UV	84744864
200146	679	1998-03-09	VYDAJ	PREVOD NA UCET	281	54948	POJISTNE	UV	84744864
200147	679	1998-04-09	VYDAJ	PREVOD NA UCET	281	42236	POJISTNE	UV	84744864
200148	679	1998-05-09	VYDAJ	PREVOD NA UCET	281	46526	POJISTNE	UV	84744864
200149	679	1998-06-09	VYDAJ	PREVOD NA UCET	281	61897	POJISTNE	UV	84744864
200150	679	1998-07-09	VYDAJ	PREVOD NA UCET	281	49188	POJISTNE	UV	84744864
200151	679	1998-08-09	VYDAJ	PREVOD NA UCET	281	58699	POJISTNE	UV	84744864
200152	679	1998-09-09	VYDAJ	PREVOD NA UCET	281	59651	POJISTNE	UV	84744864
200153	679	1998-10-09	VYDAJ	PREVOD NA UCET	281	59616	POJISTNE	UV	84744864
200154	679	1998-11-09	VYDAJ	PREVOD NA UCET	281	58365	POJISTNE	UV	84744864
200155	679	1998-12-09	VYDAJ	PREVOD NA UCET	281	66478	POJISTNE	UV	84744864
200157	679	1998-06-11	VYDAJ	VYBER	24300	37597	\N	\N	\N
200159	679	1998-01-21	VYDAJ	VYBER	9200	21502	\N	\N	\N
200160	679	1997-12-17	VYDAJ	VYBER	800	42391	\N	\N	\N
200161	679	1998-12-09	VYDAJ	VYBER	1900	66759	\N	\N	\N
200168	679	1998-01-18	VYDAJ	VYBER	800	30702	\N	\N	\N
200169	679	1998-01-13	VYDAJ	VYBER	2300	40451	\N	\N	\N
200170	679	1998-01-14	VYDAJ	VYBER	2600	33802	\N	\N	\N
200171	679	1998-01-02	VYDAJ	VYBER	1900	40654	\N	\N	\N
200172	679	1998-01-13	VYDAJ	VYBER	2900	42751	\N	\N	\N
200173	679	1998-01-16	VYDAJ	VYBER	2300	31502	\N	\N	\N
200178	679	1998-12-20	VYDAJ	VYBER	1000	60079	\N	\N	\N
200179	679	1998-10-14	VYDAJ	VYBER	4200	46717	\N	\N	\N
200180	679	1998-12-15	VYDAJ	VYBER	900	61079	\N	\N	\N
200181	679	1998-10-01	VYDAJ	VYBER	4400	50969	\N	\N	\N
200182	679	1998-10-11	VYDAJ	VYBER	4200	54966	\N	\N	\N
200183	679	1998-11-24	VYDAJ	VYBER	3500	50366	\N	\N	\N
200184	679	1998-11-26	VYDAJ	VYBER	1400	48966	\N	\N	\N
200197	679	1997-12-31	VYDAJ	VYBER	15	42554	SLUZBY	\N	\N
200198	679	1998-01-31	VYDAJ	VYBER	15	21624	SLUZBY	\N	\N
200199	679	1998-02-28	VYDAJ	VYBER	15	38701	SLUZBY	\N	\N
200200	679	1998-03-31	VYDAJ	VYBER	15	34289	SLUZBY	\N	\N
200201	679	1998-04-30	VYDAJ	VYBER	15	37879	SLUZBY	\N	\N
200202	679	1998-05-31	VYDAJ	VYBER	15	42186	SLUZBY	\N	\N
200203	679	1998-06-30	VYDAJ	VYBER	15	33241	SLUZBY	\N	\N
200204	679	1998-07-31	VYDAJ	VYBER	15	44852	SLUZBY	\N	\N
200205	679	1998-08-31	VYDAJ	VYBER	15	54404	SLUZBY	\N	\N
200206	679	1998-09-30	VYDAJ	VYBER	15	55369	SLUZBY	\N	\N
200207	679	1998-10-31	VYDAJ	VYBER	15	46918	SLUZBY	\N	\N
200208	679	1998-11-30	VYDAJ	VYBER	15	49167	SLUZBY	\N	\N
200209	679	1997-08-11	PRIJEM	VKLAD	3200	20528	\N	\N	\N
200210	679	1997-09-10	VYDAJ	VYBER	7800	29314	\N	\N	\N
200211	679	1997-10-10	VYDAJ	VYBER	11700	34253	\N	\N	\N
200212	679	1997-11-09	VYDAJ	VYBER	10700	40218	\N	\N	\N
200213	679	1997-12-09	VYDAJ	VYBER	17200	47971	\N	\N	\N
200214	679	1998-01-08	VYDAJ	VYBER	10800	29854	\N	\N	\N
200215	679	1998-02-07	PRIJEM	VKLAD	5200	26824	\N	\N	\N
200216	679	1998-03-09	VYDAJ	VYBER	16300	38648	\N	\N	\N
200217	679	1998-04-08	VYDAJ	VYBER	8300	25989	\N	\N	\N
200218	679	1998-05-08	VYDAJ	VYBER	7600	30279	\N	\N	\N
200219	679	1998-06-07	VYDAJ	VYBER	4800	37386	\N	\N	\N
200220	679	1998-07-07	VYDAJ	VYBER	300	32941	\N	\N	\N
200221	679	1998-08-06	VYDAJ	VYBER	2400	42452	\N	\N	\N
200222	679	1998-09-05	VYDAJ	VYBER	11000	43404	\N	\N	\N
200223	679	1998-10-05	VYDAJ	VYBER	7600	43369	\N	\N	\N
200224	679	1998-11-04	VYDAJ	VYBER	4800	42118	\N	\N	\N
200225	679	1998-12-04	VYDAJ	VYBER	5300	43867	\N	\N	\N
200243	680	1997-07-18	PRIJEM	VKLAD	300	300	\N	\N	\N
200251	680	1997-08-06	PRIJEM	VKLAD	14333	14633	\N	\N	\N
200252	680	1997-09-06	PRIJEM	VKLAD	14333	35809	\N	\N	\N
200253	680	1997-10-06	PRIJEM	VKLAD	14333	44750	\N	\N	\N
200254	680	1997-11-06	PRIJEM	VKLAD	14333	54430	\N	\N	\N
200255	680	1997-12-06	PRIJEM	VKLAD	21500	67610	\N	\N	\N
200256	680	1998-01-06	PRIJEM	VKLAD	14333	54436	\N	\N	\N
200257	680	1998-02-06	PRIJEM	VKLAD	14333	55728	\N	\N	\N
200258	680	1998-03-06	PRIJEM	VKLAD	14333	61383	\N	\N	\N
200259	680	1998-04-06	PRIJEM	VKLAD	14333	59752	\N	\N	\N
200260	680	1998-05-06	PRIJEM	VKLAD	14333	55010	\N	\N	\N
200261	680	1998-06-06	PRIJEM	VKLAD	21500	59811	\N	\N	\N
200262	680	1998-07-06	PRIJEM	VKLAD	14333	42379	\N	\N	\N
200263	680	1998-08-06	PRIJEM	VKLAD	14333	47177	\N	\N	\N
200264	680	1998-09-06	PRIJEM	VKLAD	14333	45377	\N	\N	\N
200265	680	1998-10-06	PRIJEM	VKLAD	14333	42665	\N	\N	\N
200266	680	1998-11-06	PRIJEM	VKLAD	14333	39741	\N	\N	\N
200267	680	1998-12-06	PRIJEM	VKLAD	21500	41685	\N	\N	\N
200279	680	1997-12-10	VYDAJ	PREVOD NA UCET	4853	62757	SIPO	UV	98674255
200280	680	1998-01-10	VYDAJ	PREVOD NA UCET	4853	46703	SIPO	UV	98674255
200281	680	1998-02-10	VYDAJ	PREVOD NA UCET	4853	50875	SIPO	UV	98674255
200282	680	1998-03-10	VYDAJ	PREVOD NA UCET	4853	56530	SIPO	UV	98674255
200283	680	1998-04-10	VYDAJ	PREVOD NA UCET	4853	54899	SIPO	UV	98674255
200284	680	1998-05-10	VYDAJ	PREVOD NA UCET	4853	50157	SIPO	UV	98674255
200285	680	1998-06-10	VYDAJ	PREVOD NA UCET	4853	23438	SIPO	UV	98674255
200286	680	1998-07-10	VYDAJ	PREVOD NA UCET	4853	37526	SIPO	UV	98674255
200287	680	1998-08-10	VYDAJ	PREVOD NA UCET	4853	42324	SIPO	UV	98674255
200288	680	1998-09-10	VYDAJ	PREVOD NA UCET	4853	40524	SIPO	UV	98674255
200289	680	1998-10-10	VYDAJ	PREVOD NA UCET	4853	37812	SIPO	UV	98674255
200290	680	1998-11-10	VYDAJ	PREVOD NA UCET	4853	23088	SIPO	UV	98674255
200291	680	1998-12-10	VYDAJ	PREVOD NA UCET	4853	32152	SIPO	UV	98674255
200293	680	1998-06-07	VYDAJ	VYBER	31520	28291	\N	\N	\N
200294	680	1997-12-11	VYDAJ	VYBER	4480	58277	\N	\N	\N
200295	680	1998-12-03	VYDAJ	VYBER KARTOU	3000	20185	\N	\N	0
200302	680	1998-01-05	VYDAJ	VYBER	2280	40103	\N	\N	\N
200303	680	1998-01-13	VYDAJ	VYBER	2280	44423	\N	\N	\N
200304	680	1998-01-02	VYDAJ	VYBER	1800	44663	\N	\N	\N
200305	680	1998-01-10	VYDAJ	VYBER	2880	51556	\N	\N	\N
200306	680	1998-01-04	VYDAJ	VYBER	2280	42383	\N	\N	\N
200307	680	1998-01-18	VYDAJ	VYBER	600	41223	\N	\N	\N
200311	680	1998-04-04	VYDAJ	VYBER	2400	45419	\N	\N	\N
200312	680	1998-12-07	VYDAJ	VYBER	4680	37005	\N	\N	\N
200325	680	1997-12-31	VYDAJ	VYBER	15	46463	SLUZBY	\N	\N
200326	680	1998-01-31	VYDAJ	VYBER	15	41395	SLUZBY	\N	\N
200327	680	1998-02-28	VYDAJ	VYBER	15	47050	SLUZBY	\N	\N
200328	680	1998-03-31	VYDAJ	VYBER	15	47819	SLUZBY	\N	\N
200329	680	1998-04-30	VYDAJ	VYBER	15	40677	SLUZBY	\N	\N
200330	680	1998-05-31	VYDAJ	VYBER	15	38311	SLUZBY	\N	\N
200331	680	1998-06-30	VYDAJ	VYBER	15	28046	SLUZBY	\N	\N
200332	680	1998-07-31	VYDAJ	VYBER	15	32844	SLUZBY	\N	\N
200333	680	1998-08-31	VYDAJ	VYBER	15	31044	SLUZBY	\N	\N
200334	680	1998-09-30	VYDAJ	VYBER	15	28332	SLUZBY	\N	\N
200335	680	1998-10-31	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
200336	680	1998-11-30	VYDAJ	VYBER	15	23185	SLUZBY	\N	\N
200337	680	1997-08-17	PRIJEM	VKLAD	6800	21433	\N	\N	\N
200338	680	1997-09-16	VYDAJ	VYBER	5500	30309	\N	\N	\N
200339	680	1997-10-16	VYDAJ	VYBER	4800	39950	\N	\N	\N
200340	680	1997-11-15	VYDAJ	VYBER	8500	45930	\N	\N	\N
200341	680	1997-12-15	VYDAJ	VYBER	12000	46277	\N	\N	\N
200342	680	1998-01-14	VYDAJ	VYBER	2600	41823	\N	\N	\N
200343	680	1998-02-13	VYDAJ	VYBER	4000	46875	\N	\N	\N
200344	680	1998-03-15	VYDAJ	VYBER	8900	47630	\N	\N	\N
200345	680	1998-04-14	VYDAJ	VYBER	14400	40499	\N	\N	\N
200346	680	1998-05-14	VYDAJ	VYBER	12000	38157	\N	\N	\N
200347	680	1998-06-13	PRIJEM	VKLAD	4500	27938	\N	\N	\N
200348	680	1998-07-13	VYDAJ	VYBER	4800	32726	\N	\N	\N
200349	680	1998-08-12	VYDAJ	VYBER	11400	30924	\N	\N	\N
200350	680	1998-09-11	VYDAJ	VYBER	12300	28224	\N	\N	\N
200351	680	1998-10-11	VYDAJ	VYBER	12500	25312	\N	\N	\N
200352	680	1998-11-10	VYDAJ	VYBER	11800	27941	\N	\N	\N
200914	682	1997-06-08	PRIJEM	VKLAD	800	800	\N	\N	\N
200920	682	1997-06-13	PRIJEM	PREVOD Z UCTU	3021	3821	\N	QR	65946370
200921	682	1997-07-13	PRIJEM	PREVOD Z UCTU	3021	6852	\N	QR	65946370
200922	682	1997-08-13	PRIJEM	PREVOD Z UCTU	3021	9889	\N	QR	65946370
200923	682	1997-09-13	PRIJEM	PREVOD Z UCTU	3021	12925	\N	QR	65946370
200924	682	1997-10-13	PRIJEM	PREVOD Z UCTU	3021	15962	\N	QR	65946370
200925	682	1997-11-13	PRIJEM	PREVOD Z UCTU	3021	16972	\N	QR	65946370
200926	682	1997-12-13	PRIJEM	PREVOD Z UCTU	3021	17233	\N	QR	65946370
200927	682	1998-01-13	PRIJEM	PREVOD Z UCTU	3021	14653	\N	QR	65946370
200928	682	1998-02-13	PRIJEM	PREVOD Z UCTU	3021	13210	\N	QR	65946370
200929	682	1998-03-13	PRIJEM	PREVOD Z UCTU	3021	14255	\N	QR	65946370
200930	682	1998-04-13	PRIJEM	PREVOD Z UCTU	3021	13904	\N	QR	65946370
200931	682	1998-05-13	PRIJEM	PREVOD Z UCTU	3021	14953	\N	QR	65946370
200932	682	1998-06-13	PRIJEM	PREVOD Z UCTU	3021	16005	\N	QR	65946370
200933	682	1998-07-13	PRIJEM	PREVOD Z UCTU	3021	17062	\N	QR	65946370
200934	682	1998-08-13	PRIJEM	PREVOD Z UCTU	3021	18123	\N	QR	65946370
200935	682	1998-09-13	PRIJEM	PREVOD Z UCTU	3021	19188	\N	QR	65946370
200936	682	1998-10-13	PRIJEM	PREVOD Z UCTU	3021	20258	\N	QR	65946370
200937	682	1998-11-13	PRIJEM	PREVOD Z UCTU	3021	20251	\N	QR	65946370
200938	682	1998-12-13	PRIJEM	PREVOD Z UCTU	3021	21325	\N	QR	65946370
200949	682	1997-11-10	VYDAJ	PREVOD NA UCET	1477	13951	SIPO	QR	39035719
200950	682	1997-12-10	VYDAJ	PREVOD NA UCET	1477	14212	SIPO	QR	39035719
200951	682	1998-01-10	VYDAJ	PREVOD NA UCET	1477	11632	SIPO	QR	39035719
200952	682	1998-02-10	VYDAJ	PREVOD NA UCET	1477	10189	SIPO	QR	39035719
200953	682	1998-03-10	VYDAJ	PREVOD NA UCET	1477	11234	SIPO	QR	39035719
200954	682	1998-04-10	VYDAJ	PREVOD NA UCET	1477	10883	SIPO	QR	39035719
200955	682	1998-05-10	VYDAJ	PREVOD NA UCET	1477	11932	SIPO	QR	39035719
200956	682	1998-06-10	VYDAJ	PREVOD NA UCET	1477	12984	SIPO	QR	39035719
200957	682	1998-07-10	VYDAJ	PREVOD NA UCET	1477	14041	SIPO	QR	39035719
200958	682	1998-08-10	VYDAJ	PREVOD NA UCET	1477	15102	SIPO	QR	39035719
200959	682	1998-09-10	VYDAJ	PREVOD NA UCET	1477	16167	SIPO	QR	39035719
200960	682	1998-10-10	VYDAJ	PREVOD NA UCET	1477	17237	SIPO	QR	39035719
200961	682	1998-11-10	VYDAJ	PREVOD NA UCET	1477	17230	SIPO	QR	39035719
200962	682	1998-12-10	VYDAJ	PREVOD NA UCET	1477	18304	SIPO	QR	39035719
200973	682	1997-11-09	VYDAJ	PREVOD NA UCET	537	15428	 	CD	62099003
200974	682	1997-12-09	VYDAJ	PREVOD NA UCET	537	15689	 	CD	62099003
200975	682	1998-01-09	VYDAJ	PREVOD NA UCET	537	13109	 	CD	62099003
200976	682	1998-02-09	VYDAJ	PREVOD NA UCET	537	11666	 	CD	62099003
200977	682	1998-03-09	VYDAJ	PREVOD NA UCET	537	12711	 	CD	62099003
200978	682	1998-04-09	VYDAJ	PREVOD NA UCET	537	12360	 	CD	62099003
200979	682	1998-05-09	VYDAJ	PREVOD NA UCET	537	13409	 	CD	62099003
200980	682	1998-06-09	VYDAJ	PREVOD NA UCET	537	14461	 	CD	62099003
200981	682	1998-07-09	VYDAJ	PREVOD NA UCET	537	15518	 	CD	62099003
200982	682	1998-08-09	VYDAJ	PREVOD NA UCET	537	16579	 	CD	62099003
200983	682	1998-09-09	VYDAJ	PREVOD NA UCET	537	17644	 	CD	62099003
200984	682	1998-10-09	VYDAJ	PREVOD NA UCET	537	18714	 	CD	62099003
200985	682	1998-11-09	VYDAJ	PREVOD NA UCET	537	18707	 	CD	62099003
200986	682	1998-12-09	VYDAJ	PREVOD NA UCET	537	19781	 	CD	62099003
200990	682	1998-01-18	VYDAJ	VYBER	480	12913	\N	\N	\N
200991	682	1997-12-13	VYDAJ	VYBER	810	16423	\N	\N	\N
200992	682	1998-12-19	VYDAJ	VYBER	480	20845	\N	\N	\N
200999	682	1998-01-16	VYDAJ	VYBER	180	13873	\N	\N	\N
201000	682	1998-01-19	VYDAJ	VYBER	420	12493	\N	\N	\N
201001	682	1998-01-06	VYDAJ	VYBER	180	13646	\N	\N	\N
201002	682	1998-01-14	VYDAJ	VYBER	600	14053	\N	\N	\N
201003	682	1998-01-30	VYDAJ	VYBER	330	12163	\N	\N	\N
201004	682	1998-01-01	VYDAJ	VYBER	390	14826	\N	\N	\N
201005	682	1997-12-22	VYDAJ	VYBER	1260	15163	\N	\N	\N
201010	682	1998-10-21	VYDAJ	VYBER	1080	19178	\N	\N	\N
201011	682	1998-01-17	VYDAJ	VYBER	480	13393	\N	\N	\N
201022	682	1997-10-31	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
201023	682	1997-11-30	VYDAJ	VYBER	15	17026	SLUZBY	\N	\N
201024	682	1997-12-31	VYDAJ	VYBER	15	15216	SLUZBY	\N	\N
201025	682	1998-01-31	VYDAJ	VYBER	15	12203	SLUZBY	\N	\N
201026	682	1998-02-28	VYDAJ	VYBER	15	13248	SLUZBY	\N	\N
201027	682	1998-03-31	VYDAJ	VYBER	15	14297	SLUZBY	\N	\N
201028	682	1998-04-30	VYDAJ	VYBER	15	13946	SLUZBY	\N	\N
201029	682	1998-05-31	VYDAJ	VYBER	15	14998	SLUZBY	\N	\N
201030	682	1998-06-30	VYDAJ	VYBER	15	16055	SLUZBY	\N	\N
201031	682	1998-07-31	VYDAJ	VYBER	15	17116	SLUZBY	\N	\N
201032	682	1998-08-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
201033	682	1998-09-30	VYDAJ	VYBER	15	19251	SLUZBY	\N	\N
201034	682	1998-10-31	VYDAJ	VYBER	15	19244	SLUZBY	\N	\N
201035	682	1998-11-30	VYDAJ	VYBER	15	20318	SLUZBY	\N	\N
201036	682	1997-12-05	VYDAJ	VYBER	800	16226	\N	\N	\N
201037	682	1998-01-04	VYDAJ	VYBER	1000	13826	\N	\N	\N
201038	682	1998-04-04	VYDAJ	VYBER	1400	12897	\N	\N	\N
201058	683	1996-07-22	PRIJEM	VKLAD	700	700	\N	\N	\N
201066	683	1996-08-12	PRIJEM	VKLAD	23263	23963	\N	\N	\N
201067	683	1996-09-12	PRIJEM	VKLAD	23263	47562	\N	\N	\N
201068	683	1996-10-12	PRIJEM	VKLAD	23263	58843	\N	\N	\N
201069	683	1996-11-12	PRIJEM	VKLAD	23263	66566	\N	\N	\N
201070	683	1996-12-12	PRIJEM	VKLAD	34895	83249	\N	\N	\N
201071	683	1997-01-12	PRIJEM	VKLAD	23263	61638	\N	\N	\N
201072	683	1997-02-12	PRIJEM	VKLAD	23263	53993	\N	\N	\N
201073	683	1997-03-12	PRIJEM	VKLAD	23263	58309	\N	\N	\N
201074	683	1997-04-12	PRIJEM	VKLAD	23263	61353	\N	\N	\N
201075	683	1997-05-12	PRIJEM	VKLAD	23263	61101	\N	\N	\N
201076	683	1997-06-12	PRIJEM	VKLAD	34895	74775	\N	\N	\N
201077	683	1997-07-12	PRIJEM	VKLAD	23263	58175	\N	\N	\N
201078	683	1997-08-12	PRIJEM	VKLAD	23263	61708	\N	\N	\N
201079	683	1997-09-12	PRIJEM	VKLAD	23263	57041	\N	\N	\N
201080	683	1997-10-12	PRIJEM	VKLAD	23263	54753	\N	\N	\N
201081	683	1997-11-12	PRIJEM	VKLAD	23263	54760	\N	\N	\N
201082	683	1997-12-12	PRIJEM	VKLAD	34895	70008	\N	\N	\N
201083	683	1998-01-12	PRIJEM	VKLAD	23263	53049	\N	\N	\N
201084	683	1998-02-12	PRIJEM	VKLAD	23263	39826	\N	\N	\N
201085	683	1998-03-12	PRIJEM	VKLAD	23263	42301	\N	\N	\N
201086	683	1998-04-12	PRIJEM	VKLAD	23263	39452	\N	\N	\N
201087	683	1998-05-12	PRIJEM	VKLAD	23263	37889	\N	\N	\N
201088	683	1998-06-12	PRIJEM	VKLAD	34895	48651	\N	\N	\N
201089	683	1998-07-12	PRIJEM	VKLAD	23263	44319	\N	\N	\N
201090	683	1998-08-12	PRIJEM	VKLAD	23263	38013	\N	\N	\N
201091	683	1998-09-12	PRIJEM	VKLAD	23263	52806	\N	\N	\N
201092	683	1998-10-12	PRIJEM	VKLAD	23263	39218	\N	\N	\N
201093	683	1998-11-12	PRIJEM	VKLAD	23263	54029	\N	\N	\N
201094	683	1998-12-12	PRIJEM	VKLAD	34895	54297	\N	\N	\N
201106	683	1996-12-12	VYDAJ	PREVOD NA UCET	8578	74671	SIPO	QR	19231844
201107	683	1997-01-12	VYDAJ	PREVOD NA UCET	8578	50420	SIPO	QR	19231844
201108	683	1997-02-12	VYDAJ	PREVOD NA UCET	8578	45415	SIPO	QR	19231844
201109	683	1997-03-12	VYDAJ	PREVOD NA UCET	8578	49731	SIPO	QR	19231844
201110	683	1997-04-12	VYDAJ	PREVOD NA UCET	8578	52775	SIPO	QR	19231844
201111	683	1997-05-12	VYDAJ	PREVOD NA UCET	8578	52523	SIPO	QR	19231844
201112	683	1997-06-12	VYDAJ	PREVOD NA UCET	8578	66197	SIPO	QR	19231844
201113	683	1997-07-12	VYDAJ	PREVOD NA UCET	8578	49597	SIPO	QR	19231844
201114	683	1997-08-12	VYDAJ	PREVOD NA UCET	8578	53130	SIPO	QR	19231844
201115	683	1997-09-12	VYDAJ	PREVOD NA UCET	8578	48463	SIPO	QR	19231844
201116	683	1997-10-12	VYDAJ	PREVOD NA UCET	8578	46175	SIPO	QR	19231844
201117	683	1997-11-12	VYDAJ	PREVOD NA UCET	8578	46182	SIPO	QR	19231844
201118	683	1997-12-12	VYDAJ	PREVOD NA UCET	8578	61430	SIPO	QR	19231844
201119	683	1998-01-12	VYDAJ	PREVOD NA UCET	8578	44471	SIPO	QR	19231844
201120	683	1998-02-12	VYDAJ	PREVOD NA UCET	8578	31248	SIPO	QR	19231844
201121	683	1998-03-12	VYDAJ	PREVOD NA UCET	8578	33723	SIPO	QR	19231844
201122	683	1998-04-12	VYDAJ	PREVOD NA UCET	8578	30874	SIPO	QR	19231844
201123	683	1998-05-12	VYDAJ	PREVOD NA UCET	8578	29311	SIPO	QR	19231844
201124	683	1998-06-12	VYDAJ	PREVOD NA UCET	8578	20973	SIPO	QR	19231844
201125	683	1998-07-12	VYDAJ	PREVOD NA UCET	8578	35741	SIPO	QR	19231844
201126	683	1998-08-12	VYDAJ	PREVOD NA UCET	8578	29435	SIPO	QR	19231844
201127	683	1998-09-12	VYDAJ	PREVOD NA UCET	8578	44228	SIPO	QR	19231844
201128	683	1998-10-12	VYDAJ	PREVOD NA UCET	8578	30640	SIPO	QR	19231844
201129	683	1998-11-12	VYDAJ	PREVOD NA UCET	8578	45451	SIPO	QR	19231844
201130	683	1998-12-12	VYDAJ	PREVOD NA UCET	8578	45719	SIPO	QR	19231844
201132	683	1997-06-23	VYDAJ	VYBER	5760	38237	\N	\N	\N
201135	683	1997-01-16	VYDAJ	VYBER	6080	44340	\N	\N	\N
201137	683	1996-12-14	VYDAJ	VYBER	3200	71471	\N	\N	\N
201138	683	1997-12-15	VYDAJ	VYBER KARTOU	3700	37530	\N	\N	0
201139	683	1998-12-30	VYDAJ	VYBER KARTOU	1800	43919	\N	\N	0
201146	683	1997-01-12	VYDAJ	VYBER	2640	58998	\N	\N	\N
201147	683	1997-01-29	VYDAJ	VYBER	1440	30580	\N	\N	\N
201148	683	1997-01-06	VYDAJ	VYBER	2160	43415	\N	\N	\N
201149	683	1997-01-16	VYDAJ	VYBER	1320	43020	\N	\N	\N
201150	683	1997-01-10	VYDAJ	VYBER	3240	40175	\N	\N	\N
201151	683	1997-01-10	VYDAJ	VYBER	1800	38375	\N	\N	\N
201152	683	1998-01-09	VYDAJ	VYBER KARTOU	2600	29786	\N	\N	0
201153	683	1998-01-24	VYDAJ	VYBER KARTOU	2400	18471	\N	\N	0
201154	683	1998-01-25	VYDAJ	VYBER KARTOU	2000	16471	\N	\N	0
201155	683	1998-01-19	VYDAJ	VYBER KARTOU	2200	20871	\N	\N	0
201156	683	1998-01-16	VYDAJ	VYBER KARTOU	2000	25271	\N	\N	0
201157	683	1998-01-17	VYDAJ	VYBER KARTOU	2200	23071	\N	\N	0
201162	683	1997-08-28	VYDAJ	VYBER KARTOU	2900	33630	\N	\N	0
201163	683	1997-06-26	VYDAJ	VYBER KARTOU	3500	34737	\N	\N	0
201164	683	1997-12-16	VYDAJ	VYBER	5280	32250	\N	\N	\N
201165	683	1998-10-03	VYDAJ	VYBER	4320	40055	\N	\N	\N
201168	683	1998-03-19	VYDAJ	VYBER KARTOU	3400	16123	\N	\N	0
201182	683	1996-12-31	VYDAJ	VYBER	15	45575	SLUZBY	\N	\N
201183	683	1997-01-31	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
201184	683	1997-02-28	VYDAJ	VYBER	15	35046	SLUZBY	\N	\N
201185	683	1997-03-31	VYDAJ	VYBER	15	38090	SLUZBY	\N	\N
201186	683	1997-04-30	VYDAJ	VYBER	15	37838	SLUZBY	\N	\N
201187	683	1997-05-31	VYDAJ	VYBER	15	39881	SLUZBY	\N	\N
201188	683	1997-06-30	VYDAJ	VYBER	15	34912	SLUZBY	\N	\N
201189	683	1997-07-31	VYDAJ	VYBER	15	38445	SLUZBY	\N	\N
201190	683	1997-08-31	VYDAJ	VYBER	15	33778	SLUZBY	\N	\N
201191	683	1997-09-30	VYDAJ	VYBER	15	31490	SLUZBY	\N	\N
201192	683	1997-10-31	VYDAJ	VYBER	15	31497	SLUZBY	\N	\N
201193	683	1997-11-30	VYDAJ	VYBER	15	35113	SLUZBY	\N	\N
201194	683	1997-12-31	VYDAJ	VYBER	15	32386	SLUZBY	\N	\N
201195	683	1998-01-31	VYDAJ	VYBER	15	16563	SLUZBY	\N	\N
201196	683	1998-02-28	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
201197	683	1998-03-31	VYDAJ	VYBER	15	16189	SLUZBY	\N	\N
201198	683	1998-04-30	VYDAJ	VYBER	15	14626	SLUZBY	\N	\N
201199	683	1998-05-31	VYDAJ	VYBER	15	13757	SLUZBY	\N	\N
201200	683	1998-06-30	VYDAJ	VYBER	15	21056	SLUZBY	\N	\N
201201	683	1998-07-31	VYDAJ	VYBER	15	14750	SLUZBY	\N	\N
201202	683	1998-08-31	VYDAJ	VYBER	15	29543	SLUZBY	\N	\N
201203	683	1998-09-30	VYDAJ	VYBER	15	44375	SLUZBY	\N	\N
201204	683	1998-10-31	VYDAJ	VYBER	15	30766	SLUZBY	\N	\N
201205	683	1998-11-30	VYDAJ	VYBER	15	45603	SLUZBY	\N	\N
201206	683	1996-08-21	PRIJEM	VKLAD	300	24263	\N	\N	\N
201207	683	1996-09-20	VYDAJ	VYBER	12100	35462	\N	\N	\N
201208	683	1996-10-20	VYDAJ	VYBER	15700	43143	\N	\N	\N
201209	683	1996-11-19	VYDAJ	VYBER	18400	48166	\N	\N	\N
201210	683	1996-12-19	VYDAJ	VYBER	26100	45371	\N	\N	\N
201211	683	1997-01-18	VYDAJ	VYBER	11000	32020	\N	\N	\N
201212	683	1997-02-17	VYDAJ	VYBER	10500	34915	\N	\N	\N
201213	683	1997-03-19	VYDAJ	VYBER	11800	37931	\N	\N	\N
201214	683	1997-04-18	VYDAJ	VYBER	15100	37675	\N	\N	\N
201215	683	1997-05-18	VYDAJ	VYBER	12800	39723	\N	\N	\N
201216	683	1997-06-17	VYDAJ	VYBER	22200	43997	\N	\N	\N
201217	683	1997-07-17	VYDAJ	VYBER	11300	38297	\N	\N	\N
201218	683	1997-08-16	VYDAJ	VYBER	16600	36530	\N	\N	\N
201219	683	1997-09-15	VYDAJ	VYBER	17100	31363	\N	\N	\N
201220	683	1997-10-15	VYDAJ	VYBER	14800	31375	\N	\N	\N
201221	683	1997-11-14	VYDAJ	VYBER	11200	34982	\N	\N	\N
201222	683	1997-12-14	VYDAJ	VYBER	20200	41230	\N	\N	\N
201223	683	1998-01-13	VYDAJ	VYBER	17200	27271	\N	\N	\N
201224	683	1998-02-12	VYDAJ	VYBER	12300	18948	\N	\N	\N
201225	683	1998-03-14	VYDAJ	VYBER	14200	19523	\N	\N	\N
201226	683	1998-04-13	VYDAJ	VYBER	16300	14574	\N	\N	\N
201227	683	1998-05-13	VYDAJ	VYBER	15600	13711	\N	\N	\N
201228	683	1998-06-12	VYDAJ	VYBER	19100	29551	\N	\N	\N
201229	683	1998-07-12	VYDAJ	VYBER	21100	14641	\N	\N	\N
201230	683	1998-10-10	VYDAJ	VYBER	24100	15955	\N	\N	\N
201231	683	1998-12-09	VYDAJ	VYBER	26200	19403	\N	\N	\N
201261	684	1996-05-12	PRIJEM	VKLAD	200	200	\N	\N	\N
201267	684	1996-06-05	PRIJEM	PREVOD Z UCTU	2904	3104	\N	AB	48218899
201268	684	1996-07-05	PRIJEM	PREVOD Z UCTU	2904	6008	\N	AB	48218899
201269	684	1996-08-05	PRIJEM	PREVOD Z UCTU	2904	8912	\N	AB	48218899
201270	684	1996-09-05	PRIJEM	PREVOD Z UCTU	2904	11816	\N	AB	48218899
201271	684	1996-10-05	PRIJEM	PREVOD Z UCTU	2904	13653	\N	AB	48218899
201272	684	1996-11-05	PRIJEM	PREVOD Z UCTU	2904	14054	\N	AB	48218899
201273	684	1996-12-05	PRIJEM	PREVOD Z UCTU	2904	15064	\N	AB	48218899
201274	684	1997-01-05	PRIJEM	PREVOD Z UCTU	2904	15741	\N	AB	48218899
201275	684	1997-02-05	PRIJEM	PREVOD Z UCTU	2904	13803	\N	AB	48218899
201276	684	1997-03-05	PRIJEM	PREVOD Z UCTU	2904	14805	\N	AB	48218899
201277	684	1997-04-05	PRIJEM	PREVOD Z UCTU	2904	15428	\N	AB	48218899
201278	684	1997-05-05	PRIJEM	PREVOD Z UCTU	2904	15183	\N	AB	48218899
201279	684	1997-06-05	PRIJEM	PREVOD Z UCTU	2904	16191	\N	AB	48218899
201280	684	1997-07-05	PRIJEM	PREVOD Z UCTU	2904	15738	\N	AB	48218899
201281	684	1997-08-05	PRIJEM	PREVOD Z UCTU	2904	16748	\N	AB	48218899
201282	684	1997-09-05	PRIJEM	PREVOD Z UCTU	2904	14569	\N	AB	48218899
201283	684	1997-10-05	PRIJEM	PREVOD Z UCTU	2904	15576	\N	AB	48218899
201284	684	1997-11-05	PRIJEM	PREVOD Z UCTU	2904	16137	\N	AB	48218899
201285	684	1997-12-05	PRIJEM	PREVOD Z UCTU	2904	15155	\N	AB	48218899
201286	684	1998-01-05	PRIJEM	PREVOD Z UCTU	2904	13795	\N	AB	48218899
201287	684	1998-02-05	PRIJEM	PREVOD Z UCTU	2904	14805	\N	AB	48218899
201288	684	1998-03-05	PRIJEM	PREVOD Z UCTU	2904	14818	\N	AB	48218899
201289	684	1998-04-05	PRIJEM	PREVOD Z UCTU	2904	15825	\N	AB	48218899
201290	684	1998-05-05	PRIJEM	PREVOD Z UCTU	2904	15752	\N	AB	48218899
201291	684	1998-06-05	PRIJEM	PREVOD Z UCTU	2904	16371	\N	AB	48218899
201292	684	1998-07-05	PRIJEM	PREVOD Z UCTU	2904	17384	\N	AB	48218899
201293	684	1998-08-05	PRIJEM	PREVOD Z UCTU	2904	16958	\N	AB	48218899
201294	684	1998-09-05	PRIJEM	PREVOD Z UCTU	2904	17980	\N	AB	48218899
201295	684	1998-10-05	PRIJEM	PREVOD Z UCTU	2904	17587	\N	AB	48218899
201296	684	1998-11-05	PRIJEM	PREVOD Z UCTU	2904	18605	\N	AB	48218899
201297	684	1998-12-05	PRIJEM	PREVOD Z UCTU	2904	18726	\N	AB	48218899
201307	684	1996-10-05	VYDAJ	PREVOD NA UCET	1936	11717	SIPO	QR	66230869
201308	684	1996-11-05	VYDAJ	PREVOD NA UCET	1936	12118	SIPO	QR	66230869
201309	684	1996-12-05	VYDAJ	PREVOD NA UCET	1936	13128	SIPO	QR	66230869
201310	684	1997-01-05	VYDAJ	PREVOD NA UCET	1936	13805	SIPO	QR	66230869
201311	684	1997-02-05	VYDAJ	PREVOD NA UCET	1936	11867	SIPO	QR	66230869
201312	684	1997-03-05	VYDAJ	PREVOD NA UCET	1936	12869	SIPO	QR	66230869
201313	684	1997-04-05	VYDAJ	PREVOD NA UCET	1936	13492	SIPO	QR	66230869
201314	684	1997-05-05	VYDAJ	PREVOD NA UCET	1936	13247	SIPO	QR	66230869
201315	684	1997-06-05	VYDAJ	PREVOD NA UCET	1936	14255	SIPO	QR	66230869
201316	684	1997-07-05	VYDAJ	PREVOD NA UCET	1936	13802	SIPO	QR	66230869
201317	684	1997-08-05	VYDAJ	PREVOD NA UCET	1936	14812	SIPO	QR	66230869
201318	684	1997-09-05	VYDAJ	PREVOD NA UCET	1936	12633	SIPO	QR	66230869
201319	684	1997-10-05	VYDAJ	PREVOD NA UCET	1936	13640	SIPO	QR	66230869
201320	684	1997-11-05	VYDAJ	PREVOD NA UCET	1936	14201	SIPO	QR	66230869
201321	684	1997-12-05	VYDAJ	PREVOD NA UCET	1936	13219	SIPO	QR	66230869
201322	684	1998-01-05	VYDAJ	PREVOD NA UCET	1936	11859	SIPO	QR	66230869
201323	684	1998-02-05	VYDAJ	PREVOD NA UCET	1936	12869	SIPO	QR	66230869
201324	684	1998-03-05	VYDAJ	PREVOD NA UCET	1936	12882	SIPO	QR	66230869
201325	684	1998-04-05	VYDAJ	PREVOD NA UCET	1936	13889	SIPO	QR	66230869
201326	684	1998-05-05	VYDAJ	PREVOD NA UCET	1936	13816	SIPO	QR	66230869
201327	684	1998-06-05	VYDAJ	PREVOD NA UCET	1936	14435	SIPO	QR	66230869
201328	684	1998-07-05	VYDAJ	PREVOD NA UCET	1936	15448	SIPO	QR	66230869
201329	684	1998-08-05	VYDAJ	PREVOD NA UCET	1936	15022	SIPO	QR	66230869
201330	684	1998-09-05	VYDAJ	PREVOD NA UCET	1936	16044	SIPO	QR	66230869
201331	684	1998-10-05	VYDAJ	PREVOD NA UCET	1936	15651	SIPO	QR	66230869
201332	684	1998-11-05	VYDAJ	PREVOD NA UCET	1936	16669	SIPO	QR	66230869
201333	684	1998-12-05	VYDAJ	PREVOD NA UCET	1936	16790	SIPO	QR	66230869
201340	684	1996-12-22	VYDAJ	VYBER	180	12798	\N	\N	\N
201341	684	1997-12-12	VYDAJ	VYBER	270	12949	\N	\N	\N
201342	684	1998-12-20	VYDAJ	VYBER	540	16250	\N	\N	\N
201350	684	1997-01-07	VYDAJ	VYBER	240	10865	\N	\N	\N
201363	684	1996-12-06	VYDAJ	VYBER	150	12978	\N	\N	\N
201365	684	1997-05-03	VYDAJ	VYBER	150	12279	\N	\N	\N
201366	684	1997-06-26	VYDAJ	VYBER	1470	12785	\N	\N	\N
201368	684	1997-03-30	VYDAJ	VYBER	390	12479	\N	\N	\N
201369	684	1997-10-12	VYDAJ	VYBER	450	13190	\N	\N	\N
201370	684	1998-09-17	VYDAJ	VYBER	900	15144	\N	\N	\N
201371	684	1998-04-06	VYDAJ	VYBER	1080	12809	\N	\N	\N
201373	684	1998-10-04	VYDAJ	VYBER	510	14683	\N	\N	\N
201374	684	1998-11-20	VYDAJ	VYBER	900	15769	\N	\N	\N
201375	684	1998-05-10	VYDAJ	VYBER	390	13426	\N	\N	\N
201376	684	1998-07-15	VYDAJ	VYBER	1440	14008	\N	\N	\N
201387	684	1996-10-31	VYDAJ	VYBER	15	11150	SLUZBY	\N	\N
201388	684	1996-11-30	VYDAJ	VYBER	15	12160	SLUZBY	\N	\N
201389	684	1996-12-31	VYDAJ	VYBER	15	12837	SLUZBY	\N	\N
201390	684	1997-01-31	VYDAJ	VYBER	15	10899	SLUZBY	\N	\N
201391	684	1997-02-28	VYDAJ	VYBER	15	11901	SLUZBY	\N	\N
201392	684	1997-03-31	VYDAJ	VYBER	15	12524	SLUZBY	\N	\N
201393	684	1997-04-30	VYDAJ	VYBER	15	12429	SLUZBY	\N	\N
201394	684	1997-05-31	VYDAJ	VYBER	15	13287	SLUZBY	\N	\N
201395	684	1997-06-30	VYDAJ	VYBER	15	12834	SLUZBY	\N	\N
201396	684	1997-07-31	VYDAJ	VYBER	15	13844	SLUZBY	\N	\N
201397	684	1997-08-31	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
201398	684	1997-09-30	VYDAJ	VYBER	15	12672	SLUZBY	\N	\N
201399	684	1997-10-31	VYDAJ	VYBER	15	13233	SLUZBY	\N	\N
201400	684	1997-11-30	VYDAJ	VYBER	15	14251	SLUZBY	\N	\N
201401	684	1997-12-31	VYDAJ	VYBER	15	12991	SLUZBY	\N	\N
201402	684	1998-01-31	VYDAJ	VYBER	15	11901	SLUZBY	\N	\N
201403	684	1998-02-28	VYDAJ	VYBER	15	12914	SLUZBY	\N	\N
201404	684	1998-03-31	VYDAJ	VYBER	15	12921	SLUZBY	\N	\N
201405	684	1998-04-30	VYDAJ	VYBER	15	12848	SLUZBY	\N	\N
201406	684	1998-05-31	VYDAJ	VYBER	15	13467	SLUZBY	\N	\N
201407	684	1998-06-30	VYDAJ	VYBER	15	14480	SLUZBY	\N	\N
201408	684	1998-07-31	VYDAJ	VYBER	15	14054	SLUZBY	\N	\N
201409	684	1998-08-31	VYDAJ	VYBER	15	15076	SLUZBY	\N	\N
201410	684	1998-09-30	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
201411	684	1998-10-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
201412	684	1998-11-30	VYDAJ	VYBER	15	15822	SLUZBY	\N	\N
201413	684	1996-09-09	VYDAJ	VYBER	1100	10716	\N	\N	\N
201414	684	1996-10-09	VYDAJ	VYBER	600	11117	\N	\N	\N
201415	684	1997-01-07	VYDAJ	VYBER	2700	11105	\N	\N	\N
201416	684	1997-04-07	VYDAJ	VYBER	1100	12392	\N	\N	\N
201417	684	1997-08-05	VYDAJ	VYBER	400	14412	\N	\N	\N
201418	684	1997-09-04	VYDAJ	VYBER	2800	11665	\N	\N	\N
201419	684	1997-12-03	VYDAJ	VYBER	2000	12251	\N	\N	\N
201420	684	1998-01-02	VYDAJ	VYBER	2100	10891	\N	\N	\N
201421	684	1998-03-03	VYDAJ	VYBER	1000	11914	\N	\N	\N
201450	685	1995-01-04	PRIJEM	VKLAD	200	200	\N	\N	\N
201451	685	1995-09-25	PRIJEM	VKLAD	40210	66610	\N	\N	\N
201452	685	1996-03-25	PRIJEM	VKLAD	41874	92215	\N	\N	\N
201453	685	1996-05-22	PRIJEM	VKLAD	16060	72462	\N	\N	\N
201454	685	1996-08-15	PRIJEM	VKLAD	30672	71888	\N	\N	\N
201455	685	1996-04-18	PRIJEM	VKLAD	22146	83357	\N	\N	\N
201456	685	1996-02-20	PRIJEM	VKLAD	12521	46442	\N	\N	\N
201457	685	1996-03-13	PRIJEM	VKLAD	12439	50341	\N	\N	\N
201458	685	1996-07-19	PRIJEM	VKLAD	48056	90335	\N	\N	\N
201459	685	1997-05-02	PRIJEM	VKLAD	34150	114680	\N	\N	\N
201460	685	1997-02-13	PRIJEM	VKLAD	26530	81848	\N	\N	\N
201461	685	1997-07-28	PRIJEM	VKLAD	46028	78274	\N	\N	\N
201462	685	1997-07-17	PRIJEM	VKLAD	46706	69206	\N	\N	\N
201463	685	1997-11-22	PRIJEM	VKLAD	32079	84069	\N	\N	\N
201464	685	1997-04-08	PRIJEM	VKLAD	6357	83338	\N	\N	\N
201465	685	1997-10-23	PRIJEM	VKLAD	30627	72399	\N	\N	\N
201466	685	1997-12-27	PRIJEM	VKLAD	8514	46685	\N	\N	\N
201467	685	1997-09-07	PRIJEM	VKLAD	7089	93553	\N	\N	\N
201468	685	1997-02-24	PRIJEM	VKLAD	40064	94512	\N	\N	\N
201469	685	1997-07-31	PRIJEM	VKLAD	6556	84967	\N	\N	\N
201470	685	1997-05-17	PRIJEM	VKLAD	39946	91626	\N	\N	\N
201471	685	1997-04-25	PRIJEM	VKLAD	47619	102857	\N	\N	\N
201472	685	1997-03-16	PRIJEM	VKLAD	23611	112953	\N	\N	\N
201473	685	1997-10-20	PRIJEM	VKLAD	27450	62372	\N	\N	\N
201474	685	1997-01-07	PRIJEM	VKLAD	38719	58921	\N	\N	\N
201475	685	1997-08-23	PRIJEM	VKLAD	43126	99063	\N	\N	\N
201476	685	1997-04-04	PRIJEM	VKLAD	42098	133281	\N	\N	\N
201477	685	1997-12-03	PRIJEM	VKLAD	49210	108885	\N	\N	\N
201478	685	1997-11-14	PRIJEM	VKLAD	12942	72890	\N	\N	\N
201479	685	1997-04-26	PRIJEM	VKLAD	21579	124436	\N	\N	\N
201480	685	1997-01-10	PRIJEM	VKLAD	32266	88187	\N	\N	\N
201481	685	1997-05-25	PRIJEM	VKLAD	42502	103828	\N	\N	\N
201482	685	1997-01-16	PRIJEM	VKLAD	13611	84698	\N	\N	\N
201483	685	1997-03-25	PRIJEM	VKLAD	36966	90836	\N	\N	\N
201484	685	1998-03-24	PRIJEM	VKLAD	32864	81747	\N	\N	\N
201485	685	1998-05-19	PRIJEM	VKLAD	13514	78546	\N	\N	\N
201486	685	1998-02-24	PRIJEM	VKLAD	17134	57788	\N	\N	\N
201487	685	1998-03-05	PRIJEM	VKLAD	7143	102231	\N	\N	\N
201488	685	1998-09-02	PRIJEM	VKLAD	6573	58598	\N	\N	\N
201489	685	1998-04-14	PRIJEM	VKLAD	18115	98387	\N	\N	\N
201490	685	1998-07-18	PRIJEM	VKLAD	24487	76855	\N	\N	\N
201491	685	1998-03-01	PRIJEM	VKLAD	36799	119888	\N	\N	\N
201492	685	1998-06-29	PRIJEM	VKLAD	34809	74114	\N	\N	\N
201493	685	1998-11-21	PRIJEM	VKLAD	14230	42139	\N	\N	\N
201494	685	1998-10-30	PRIJEM	VKLAD	7495	33915	\N	\N	\N
201495	685	1998-12-06	PRIJEM	VKLAD	45631	87891	\N	\N	\N
201496	685	1998-05-11	PRIJEM	VKLAD	40160	103232	\N	\N	\N
201497	685	1998-02-25	PRIJEM	VKLAD	25172	82960	\N	\N	\N
201498	685	1998-07-07	PRIJEM	VKLAD	40974	115368	\N	\N	\N
201499	685	1998-02-03	PRIJEM	VKLAD	31991	56854	\N	\N	\N
201555	685	1996-08-15	VYBER	VYBER	23283	48605	\N	\N	\N
201559	685	1996-10-30	VYBER	VYBER	10967	21398	\N	\N	\N
201560	685	1996-05-17	VYBER	VYBER	3479	56402	\N	\N	\N
201562	685	1996-09-13	VYBER	VYBER	8331	31244	\N	\N	\N
201564	685	1996-08-22	VYBER	VYBER	12936	35669	\N	\N	\N
201568	685	1996-08-07	VYBER	VYBER	21479	41216	\N	\N	\N
201569	685	1997-12-18	VYBER	VYBER	6614	51671	\N	\N	\N
201570	685	1997-04-26	VYBER	VYBER	22840	101596	\N	\N	\N
201571	685	1997-09-30	VYBER	VYBER	15318	34952	\N	\N	\N
201572	685	1997-08-31	VYBER	VYBER	3077	96356	\N	\N	\N
201573	685	1997-07-25	VYBER	VYBER	12560	32246	\N	\N	\N
201574	685	1997-12-02	VYBER	VYBER	13309	59675	\N	\N	\N
201575	685	1997-03-17	VYBER	VYBER	6109	89044	\N	\N	\N
201576	685	1997-11-24	VYBER	VYBER	11319	72750	\N	\N	\N
201577	685	1997-09-05	VYBER	VYBER	9862	86464	\N	\N	\N
201578	685	1997-03-22	VYBER	VYBER	10074	78970	\N	\N	\N
201579	685	1997-03-13	VYBER	VYBER	5399	89342	\N	\N	\N
201580	685	1997-06-13	VYBER	VYBER	7647	46747	\N	\N	\N
201581	685	1997-06-15	VYBER	VYBER	24272	22475	\N	\N	\N
201583	685	1998-10-10	VYBER	VYBER	5412	28020	\N	\N	\N
201584	685	1998-03-23	VYBER	VYBER	6448	48883	\N	\N	\N
201588	685	1998-06-17	VYDAJ	VYBER	30000	39305	\N	\N	\N
201590	685	1996-12-29	VYDAJ	VYBER	8400	23416	\N	\N	\N
201591	685	1997-12-30	VYDAJ	VYBER	2400	44285	\N	\N	\N
201592	685	1998-12-13	VYDAJ	VYBER	6600	81291	\N	\N	\N
201605	685	1997-01-08	VYDAJ	VYBER	3000	55921	\N	\N	\N
201606	685	1997-01-10	VYDAJ	VYBER	8400	79787	\N	\N	\N
201607	685	1997-01-26	VYDAJ	VYBER	1500	58698	\N	\N	\N
201608	685	1997-01-28	VYDAJ	VYBER	3600	55098	\N	\N	\N
201609	685	1997-01-02	VYDAJ	VYBER	3300	20202	\N	\N	\N
201610	685	1997-01-12	VYDAJ	VYBER	8700	71087	\N	\N	\N
201612	685	1998-01-01	VYDAJ	VYBER	8400	36070	\N	\N	\N
201614	685	1998-01-12	VYDAJ	VYBER	4800	24370	\N	\N	\N
201616	685	1998-01-08	VYDAJ	VYBER	6900	29170	\N	\N	\N
201623	685	1996-09-26	VYDAJ	VYBER	14700	20944	\N	\N	\N
201625	685	1996-12-28	VYDAJ	VYBER	1500	31816	\N	\N	\N
201626	685	1997-10-24	VYDAJ	VYBER	12600	59799	\N	\N	\N
201627	685	1997-09-17	VYDAJ	VYBER	13200	80353	\N	\N	\N
201628	685	1997-04-30	VYDAJ	VYBER	1800	80560	\N	\N	\N
201629	685	1998-04-11	VYDAJ	VYBER	1800	80272	\N	\N	\N
201632	685	1998-09-06	VYDAJ	VYBER	13800	44798	\N	\N	\N
201633	685	1998-03-06	VYDAJ	VYBER	6900	95331	\N	\N	\N
201650	685	1996-04-30	VYDAJ	VYBER	30	59881	SLUZBY	\N	\N
201651	685	1996-05-31	VYDAJ	VYBER	30	53488	SLUZBY	\N	\N
201652	685	1996-06-30	VYDAJ	VYBER	30	42279	SLUZBY	\N	\N
201653	685	1996-07-31	VYDAJ	VYBER	30	62695	SLUZBY	\N	\N
201654	685	1996-08-31	VYDAJ	VYBER	30	39575	SLUZBY	\N	\N
201655	685	1996-09-30	VYDAJ	VYBER	30	21065	SLUZBY	\N	\N
201656	685	1996-10-31	VYDAJ	VYBER	30	21456	SLUZBY	\N	\N
201657	685	1996-11-30	VYDAJ	VYBER	30	28216	SLUZBY	\N	\N
201658	685	1996-12-31	VYDAJ	VYBER	30	23502	SLUZBY	\N	\N
201659	685	1997-01-31	VYDAJ	VYBER	30	55318	SLUZBY	\N	\N
201660	685	1997-02-28	VYDAJ	VYBER	30	94741	SLUZBY	\N	\N
201661	685	1997-03-31	VYDAJ	VYBER	30	91183	SLUZBY	\N	\N
201662	685	1997-04-30	VYDAJ	VYBER	30	80530	SLUZBY	\N	\N
201663	685	1997-05-31	VYDAJ	VYBER	30	104094	SLUZBY	\N	\N
201664	685	1997-06-30	VYDAJ	VYBER	30	22500	SLUZBY	\N	\N
201665	685	1997-07-31	VYDAJ	VYBER	30	84937	SLUZBY	\N	\N
201666	685	1997-08-31	VYDAJ	VYBER	30	96326	SLUZBY	\N	\N
201667	685	1997-09-30	VYDAJ	VYBER	30	34922	SLUZBY	\N	\N
201668	685	1997-10-31	VYDAJ	VYBER	30	59948	SLUZBY	\N	\N
201669	685	1997-11-30	VYDAJ	VYBER	30	72984	SLUZBY	\N	\N
201670	685	1997-12-31	VYDAJ	VYBER	30	44470	SLUZBY	\N	\N
201671	685	1998-01-31	VYDAJ	VYBER	30	24863	SLUZBY	\N	\N
201672	685	1998-02-28	VYDAJ	VYBER	30	83089	SLUZBY	\N	\N
201673	685	1998-03-31	VYDAJ	VYBER	30	82072	SLUZBY	\N	\N
201674	685	1998-04-30	VYDAJ	VYBER	30	63072	SLUZBY	\N	\N
201675	685	1998-05-31	VYDAJ	VYBER	30	78805	SLUZBY	\N	\N
201676	685	1998-06-30	VYDAJ	VYBER	30	74394	SLUZBY	\N	\N
201677	685	1998-07-31	VYDAJ	VYBER	30	77138	SLUZBY	\N	\N
201678	685	1998-08-31	VYDAJ	VYBER	30	52025	SLUZBY	\N	\N
201679	685	1998-09-30	VYDAJ	VYBER	30	33432	SLUZBY	\N	\N
201680	685	1998-10-31	VYDAJ	VYBER	30	34009	SLUZBY	\N	\N
201681	685	1998-11-30	VYDAJ	VYBER	30	42260	SLUZBY	\N	\N
201682	685	1995-02-03	PRIJEM	VKLAD	12400	12600	\N	\N	\N
201683	685	1995-03-05	PRIJEM	VKLAD	5600	18200	\N	\N	\N
201684	685	1995-04-04	PRIJEM	VKLAD	4700	22900	\N	\N	\N
201685	685	1995-05-04	PRIJEM	VKLAD	5000	27900	\N	\N	\N
201686	685	1995-06-03	VYDAJ	VYBER	800	27100	\N	\N	\N
201687	685	1995-07-03	VYDAJ	VYBER	1600	25500	\N	\N	\N
201688	685	1995-08-02	VYDAJ	VYBER	500	25000	\N	\N	\N
201689	685	1995-09-01	PRIJEM	VKLAD	1400	26400	\N	\N	\N
201690	685	1995-10-01	VYDAJ	VYBER	16900	49766	\N	\N	\N
201691	685	1995-10-31	VYDAJ	VYBER	11500	38539	\N	\N	\N
201692	685	1995-11-30	VYDAJ	VYBER	1500	37200	\N	\N	\N
201693	685	1995-12-30	VYDAJ	VYBER	2900	34300	\N	\N	\N
201694	685	1996-01-29	VYDAJ	VYBER	700	33760	\N	\N	\N
201695	685	1996-02-28	VYDAJ	VYBER	8700	37742	\N	\N	\N
201696	685	1996-03-29	VYDAJ	VYBER	31200	61015	\N	\N	\N
201697	685	1996-04-28	VYDAJ	VYBER	23700	59657	\N	\N	\N
201698	685	1996-05-28	VYDAJ	VYBER	19200	53262	\N	\N	\N
201699	685	1996-06-27	VYDAJ	VYBER	11400	42088	\N	\N	\N
201700	685	1996-07-27	VYDAJ	VYBER	27800	62535	\N	\N	\N
201701	685	1996-08-26	PRIJEM	VKLAD	3700	39369	\N	\N	\N
201702	685	1996-09-25	PRIJEM	VKLAD	4400	35644	\N	\N	\N
201703	685	1996-10-25	PRIJEM	VKLAD	11300	32365	\N	\N	\N
201704	685	1996-11-24	PRIJEM	VKLAD	6700	28156	\N	\N	\N
201705	685	1996-12-24	PRIJEM	VKLAD	5100	33316	\N	\N	\N
201706	685	1997-01-23	VYDAJ	VYBER	24500	60198	\N	\N	\N
201707	685	1997-02-22	VYDAJ	VYBER	27400	54448	\N	\N	\N
201708	685	1997-03-16	VYDAJ	VYBER	17800	95153	\N	\N	\N
201709	685	1997-03-24	VYDAJ	VYBER	25100	53870	\N	\N	\N
201710	685	1997-04-04	VYDAJ	VYBER	56300	76981	\N	\N	\N
201711	685	1997-04-23	VYDAJ	VYBER	28100	55238	\N	\N	\N
201712	685	1997-04-26	VYDAJ	VYBER	19600	81996	\N	\N	\N
201713	685	1997-05-02	VYDAJ	VYBER	63000	51680	\N	\N	\N
201714	685	1997-05-23	VYDAJ	VYBER	30300	61326	\N	\N	\N
201715	685	1997-05-31	VYDAJ	VYBER	49700	54394	\N	\N	\N
201716	685	1997-06-22	VYDAJ	VYBER	100	22375	\N	\N	\N
201717	685	1997-07-22	VYDAJ	VYBER	24400	44806	\N	\N	\N
201718	685	1997-08-21	VYDAJ	VYBER	29000	55937	\N	\N	\N
201719	685	1997-09-20	VYDAJ	VYBER	30400	49953	\N	\N	\N
201720	685	1997-10-20	VYDAJ	VYBER	20600	41772	\N	\N	\N
201721	685	1997-11-19	VYDAJ	VYBER	20900	51990	\N	\N	\N
201722	685	1997-12-03	VYDAJ	VYBER	50600	58285	\N	\N	\N
201723	685	1997-12-19	VYDAJ	VYBER	13500	38171	\N	\N	\N
201724	685	1998-01-18	PRIJEM	VKLAD	400	24770	\N	\N	\N
201725	685	1998-02-17	VYDAJ	VYBER	16200	40654	\N	\N	\N
201726	685	1998-03-01	VYDAJ	VYBER	24800	95088	\N	\N	\N
201727	685	1998-03-19	VYDAJ	VYBER	40000	55331	\N	\N	\N
201728	685	1998-04-18	VYDAJ	VYBER	35600	62787	\N	\N	\N
201729	685	1998-05-18	VYDAJ	VYBER	38200	65032	\N	\N	\N
201730	685	1998-06-17	VYDAJ	VYBER	9500	69305	\N	\N	\N
201731	685	1998-07-07	VYDAJ	VYBER	38600	76768	\N	\N	\N
201732	685	1998-07-17	VYDAJ	VYBER	24400	52368	\N	\N	\N
201733	685	1998-08-16	VYDAJ	VYBER	25400	51738	\N	\N	\N
201734	685	1998-09-15	VYDAJ	VYBER	11500	33298	\N	\N	\N
201735	685	1998-10-15	VYDAJ	VYBER KARTOU	1600	26420	\N	\N	0
201736	685	1998-11-14	VYDAJ	VYBER	6100	27909	\N	\N	\N
201777	686	1993-04-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
201781	686	1993-04-08	PRIJEM	VKLAD	10533	11633	\N	\N	\N
201782	686	1993-05-08	PRIJEM	VKLAD	10533	29203	\N	\N	\N
201783	686	1993-06-08	PRIJEM	VKLAD	15800	44308	\N	\N	\N
201784	686	1993-07-08	PRIJEM	VKLAD	10533	45911	\N	\N	\N
201785	686	1993-08-08	PRIJEM	VKLAD	10533	44034	\N	\N	\N
201786	686	1993-09-08	PRIJEM	VKLAD	10533	39577	\N	\N	\N
201787	686	1993-10-08	PRIJEM	VKLAD	10533	37115	\N	\N	\N
201788	686	1993-11-08	PRIJEM	VKLAD	10533	38980	\N	\N	\N
201789	686	1993-12-08	PRIJEM	VKLAD	15800	45039	\N	\N	\N
201790	686	1994-01-08	PRIJEM	VKLAD	10533	41569	\N	\N	\N
201791	686	1994-02-08	PRIJEM	VKLAD	10533	27643	\N	\N	\N
201792	686	1994-03-08	PRIJEM	VKLAD	10533	33989	\N	\N	\N
201793	686	1994-04-08	PRIJEM	VKLAD	10533	33155	\N	\N	\N
201794	686	1994-05-08	PRIJEM	VKLAD	10533	33121	\N	\N	\N
201795	686	1994-06-08	PRIJEM	VKLAD	15800	39755	\N	\N	\N
201796	686	1994-07-08	PRIJEM	VKLAD	10533	35108	\N	\N	\N
201797	686	1994-08-08	PRIJEM	VKLAD	10533	36004	\N	\N	\N
201798	686	1994-09-08	PRIJEM	VKLAD	10533	35581	\N	\N	\N
201799	686	1994-10-08	PRIJEM	VKLAD	10533	35356	\N	\N	\N
201800	686	1994-11-08	PRIJEM	VKLAD	10533	33098	\N	\N	\N
201801	686	1994-12-08	PRIJEM	VKLAD	15800	39812	\N	\N	\N
201802	686	1995-01-08	PRIJEM	VKLAD	10533	34718	\N	\N	\N
201803	686	1995-02-08	PRIJEM	VKLAD	10533	24195	\N	\N	\N
201804	686	1995-03-08	PRIJEM	VKLAD	10533	27359	\N	\N	\N
201805	686	1995-04-08	PRIJEM	VKLAD	10533	26357	\N	\N	\N
201806	686	1995-05-08	PRIJEM	VKLAD	10533	29395	\N	\N	\N
201807	686	1995-06-08	PRIJEM	VKLAD	15800	34509	\N	\N	\N
201808	686	1995-07-08	PRIJEM	VKLAD	10533	34534	\N	\N	\N
201809	686	1995-08-08	PRIJEM	VKLAD	10533	34703	\N	\N	\N
201810	686	1995-09-08	PRIJEM	VKLAD	10533	33369	\N	\N	\N
201811	686	1995-10-08	PRIJEM	VKLAD	10533	33032	\N	\N	\N
201812	686	1995-11-08	PRIJEM	VKLAD	10533	31290	\N	\N	\N
201813	686	1995-12-08	PRIJEM	VKLAD	15800	30625	\N	\N	\N
201814	686	1996-01-08	PRIJEM	VKLAD	10533	28888	\N	\N	\N
201815	686	1996-02-08	PRIJEM	VKLAD	10533	23276	\N	\N	\N
201816	686	1996-03-08	PRIJEM	VKLAD	10533	28103	\N	\N	\N
201817	686	1996-04-08	PRIJEM	VKLAD	10533	23560	\N	\N	\N
201818	686	1996-05-08	PRIJEM	VKLAD	10533	25884	\N	\N	\N
201819	686	1996-06-08	PRIJEM	VKLAD	15800	31179	\N	\N	\N
201820	686	1996-07-08	PRIJEM	VKLAD	10533	31325	\N	\N	\N
201821	686	1996-08-08	PRIJEM	VKLAD	10533	32778	\N	\N	\N
201822	686	1996-09-08	PRIJEM	VKLAD	10533	27950	\N	\N	\N
201823	686	1996-10-08	PRIJEM	VKLAD	10533	30692	\N	\N	\N
201824	686	1996-11-08	PRIJEM	VKLAD	10533	30538	\N	\N	\N
201825	686	1996-12-08	PRIJEM	VKLAD	15800	34647	\N	\N	\N
201826	686	1997-01-08	PRIJEM	VKLAD	10533	26897	\N	\N	\N
201827	686	1997-02-08	PRIJEM	VKLAD	10533	23842	\N	\N	\N
201828	686	1997-03-08	PRIJEM	VKLAD	10533	20951	\N	\N	\N
201829	686	1997-04-08	PRIJEM	VKLAD	10533	25467	\N	\N	\N
201830	686	1997-05-08	PRIJEM	VKLAD	10533	18473	\N	\N	\N
201831	686	1997-06-08	PRIJEM	VKLAD	15800	28245	\N	\N	\N
201832	686	1997-07-08	PRIJEM	VKLAD	10533	20754	\N	\N	\N
201833	686	1997-08-08	PRIJEM	VKLAD	10533	25269	\N	\N	\N
201834	686	1997-09-08	PRIJEM	VKLAD	10533	21379	\N	\N	\N
201835	686	1997-10-08	PRIJEM	VKLAD	10533	18074	\N	\N	\N
201836	686	1997-11-08	PRIJEM	VKLAD	10533	22978	\N	\N	\N
201837	686	1997-12-08	PRIJEM	VKLAD	15800	25747	\N	\N	\N
201838	686	1998-01-08	PRIJEM	VKLAD	10533	23657	\N	\N	\N
201839	686	1998-02-08	PRIJEM	VKLAD	10533	21544	\N	\N	\N
201840	686	1998-03-08	PRIJEM	VKLAD	10533	26061	\N	\N	\N
201841	686	1998-04-08	PRIJEM	VKLAD	10533	24679	\N	\N	\N
201842	686	1998-05-08	PRIJEM	VKLAD	10533	19780	\N	\N	\N
201843	686	1998-06-08	PRIJEM	VKLAD	15800	25042	\N	\N	\N
201844	686	1998-07-08	PRIJEM	VKLAD	10533	26768	\N	\N	\N
201845	686	1998-08-08	PRIJEM	VKLAD	10533	25909	\N	\N	\N
201846	686	1998-09-08	PRIJEM	VKLAD	10533	23649	\N	\N	\N
201847	686	1998-10-08	PRIJEM	VKLAD	10533	21978	\N	\N	\N
201848	686	1998-11-08	PRIJEM	VKLAD	10533	23700	\N	\N	\N
201849	686	1998-12-08	PRIJEM	VKLAD	15800	30494	\N	\N	\N
201858	686	1993-09-06	VYDAJ	PREVOD NA UCET	2212	29044	SIPO	ST	30570674
201859	686	1993-10-06	VYDAJ	PREVOD NA UCET	2212	26582	SIPO	ST	30570674
201860	686	1993-11-06	VYDAJ	PREVOD NA UCET	2212	28447	SIPO	ST	30570674
201861	686	1993-12-06	VYDAJ	PREVOD NA UCET	2212	29240	SIPO	ST	30570674
201862	686	1994-01-06	VYDAJ	PREVOD NA UCET	2212	32356	SIPO	ST	30570674
201863	686	1994-02-06	VYDAJ	PREVOD NA UCET	2212	17110	SIPO	ST	30570674
201864	686	1994-03-06	VYDAJ	PREVOD NA UCET	2212	23456	SIPO	ST	30570674
201865	686	1994-04-06	VYDAJ	PREVOD NA UCET	2212	22622	SIPO	ST	30570674
201866	686	1994-05-06	VYDAJ	PREVOD NA UCET	2212	22588	SIPO	ST	30570674
201867	686	1994-06-06	VYDAJ	PREVOD NA UCET	2212	23955	SIPO	ST	30570674
201868	686	1994-07-06	VYDAJ	PREVOD NA UCET	2212	24575	SIPO	ST	30570674
201869	686	1994-08-06	VYDAJ	PREVOD NA UCET	2212	25471	SIPO	ST	30570674
201870	686	1994-09-06	VYDAJ	PREVOD NA UCET	2212	25048	SIPO	ST	30570674
201871	686	1994-10-06	VYDAJ	PREVOD NA UCET	2212	24823	SIPO	ST	30570674
201872	686	1994-11-06	VYDAJ	PREVOD NA UCET	2212	22565	SIPO	ST	30570674
201873	686	1994-12-06	VYDAJ	PREVOD NA UCET	2212	25932	SIPO	ST	30570674
201874	686	1995-01-06	VYDAJ	PREVOD NA UCET	2212	24185	SIPO	ST	30570674
201875	686	1995-02-06	VYDAJ	PREVOD NA UCET	2212	13662	SIPO	ST	30570674
201876	686	1995-03-06	VYDAJ	PREVOD NA UCET	2212	16826	SIPO	ST	30570674
201877	686	1995-04-06	VYDAJ	PREVOD NA UCET	2212	15824	SIPO	ST	30570674
201878	686	1995-05-06	VYDAJ	PREVOD NA UCET	2212	18862	SIPO	ST	30570674
201879	686	1995-06-06	VYDAJ	PREVOD NA UCET	2212	18710	SIPO	ST	30570674
201880	686	1995-07-06	VYDAJ	PREVOD NA UCET	2212	24001	SIPO	ST	30570674
201881	686	1995-08-06	VYDAJ	PREVOD NA UCET	2212	24170	SIPO	ST	30570674
201882	686	1995-09-06	VYDAJ	PREVOD NA UCET	2212	22836	SIPO	ST	30570674
201883	686	1995-10-06	VYDAJ	PREVOD NA UCET	2212	22499	SIPO	ST	30570674
201884	686	1995-11-06	VYDAJ	PREVOD NA UCET	2212	20757	SIPO	ST	30570674
201885	686	1995-12-06	VYDAJ	PREVOD NA UCET	2212	14826	SIPO	ST	30570674
201886	686	1996-01-06	VYDAJ	PREVOD NA UCET	2212	18355	SIPO	ST	30570674
201887	686	1996-02-06	VYDAJ	PREVOD NA UCET	2212	12743	SIPO	ST	30570674
201888	686	1996-03-06	VYDAJ	PREVOD NA UCET	2212	17570	SIPO	ST	30570674
201889	686	1996-04-06	VYDAJ	PREVOD NA UCET	2212	13027	SIPO	ST	30570674
201890	686	1996-05-06	VYDAJ	PREVOD NA UCET	2212	15351	SIPO	ST	30570674
201891	686	1996-06-06	VYDAJ	PREVOD NA UCET	2212	15380	SIPO	ST	30570674
201892	686	1996-07-06	VYDAJ	PREVOD NA UCET	2212	20792	SIPO	ST	30570674
201893	686	1996-08-06	VYDAJ	PREVOD NA UCET	2212	22245	SIPO	ST	30570674
201894	686	1996-09-06	VYDAJ	PREVOD NA UCET	2212	17417	SIPO	ST	30570674
201895	686	1996-10-06	VYDAJ	PREVOD NA UCET	2212	20159	SIPO	ST	30570674
201896	686	1996-11-06	VYDAJ	PREVOD NA UCET	2212	20005	SIPO	ST	30570674
201897	686	1996-12-06	VYDAJ	PREVOD NA UCET	2212	18848	SIPO	ST	30570674
201898	686	1997-01-06	VYDAJ	PREVOD NA UCET	2212	16364	SIPO	ST	30570674
201899	686	1997-02-06	VYDAJ	PREVOD NA UCET	2212	13309	SIPO	ST	30570674
201900	686	1997-03-06	VYDAJ	PREVOD NA UCET	2212	10418	SIPO	ST	30570674
201901	686	1997-04-06	VYDAJ	PREVOD NA UCET	2212	14934	SIPO	ST	30570674
201902	686	1997-05-06	VYDAJ	PREVOD NA UCET	2212	7940	SIPO	ST	30570674
201903	686	1997-06-06	VYDAJ	PREVOD NA UCET	2212	12446	SIPO	ST	30570674
201904	686	1997-07-06	VYDAJ	PREVOD NA UCET	2212	10221	SIPO	ST	30570674
201905	686	1997-08-06	VYDAJ	PREVOD NA UCET	2212	14736	SIPO	ST	30570674
201906	686	1997-09-06	VYDAJ	PREVOD NA UCET	2212	10846	SIPO	ST	30570674
201907	686	1997-10-06	VYDAJ	PREVOD NA UCET	2212	7541	SIPO	ST	30570674
201908	686	1997-11-06	VYDAJ	PREVOD NA UCET	2212	12445	SIPO	ST	30570674
201909	686	1997-12-06	VYDAJ	PREVOD NA UCET	2212	9948	SIPO	ST	30570674
201910	686	1998-01-06	VYDAJ	PREVOD NA UCET	2212	13124	SIPO	ST	30570674
201911	686	1998-02-06	VYDAJ	PREVOD NA UCET	2212	11011	SIPO	ST	30570674
201912	686	1998-03-06	VYDAJ	PREVOD NA UCET	2212	15528	SIPO	ST	30570674
201913	686	1998-04-06	VYDAJ	PREVOD NA UCET	2212	14146	SIPO	ST	30570674
201914	686	1998-05-06	VYDAJ	PREVOD NA UCET	2212	9247	SIPO	ST	30570674
201915	686	1998-06-06	VYDAJ	PREVOD NA UCET	2212	9242	SIPO	ST	30570674
201916	686	1998-07-06	VYDAJ	PREVOD NA UCET	2212	19035	SIPO	ST	30570674
201917	686	1998-08-06	VYDAJ	PREVOD NA UCET	2212	15376	SIPO	ST	30570674
201918	686	1998-09-06	VYDAJ	PREVOD NA UCET	2212	13116	SIPO	ST	30570674
201919	686	1998-10-06	VYDAJ	PREVOD NA UCET	2212	11445	SIPO	ST	30570674
201920	686	1998-11-06	VYDAJ	PREVOD NA UCET	2212	13167	SIPO	ST	30570674
201921	686	1998-12-06	VYDAJ	PREVOD NA UCET	2212	14694	SIPO	ST	30570674
201929	686	1993-08-14	VYDAJ	PREVOD NA UCET	2875	40176	 	OP	92192554
201930	686	1993-09-14	VYDAJ	PREVOD NA UCET	2875	35719	 	OP	92192554
201931	686	1993-10-14	VYDAJ	PREVOD NA UCET	2875	33257	 	OP	92192554
201932	686	1993-11-14	VYDAJ	PREVOD NA UCET	2875	35122	 	OP	92192554
201933	686	1993-12-14	VYDAJ	PREVOD NA UCET	2875	40221	 	OP	92192554
201934	686	1994-01-14	VYDAJ	PREVOD NA UCET	2875	34351	 	OP	92192554
201935	686	1994-02-14	VYDAJ	PREVOD NA UCET	2875	23785	 	OP	92192554
201936	686	1994-03-14	VYDAJ	PREVOD NA UCET	2875	30131	 	OP	92192554
201937	686	1994-04-14	VYDAJ	PREVOD NA UCET	2875	29297	 	OP	92192554
201938	686	1994-05-14	VYDAJ	PREVOD NA UCET	2875	29263	 	OP	92192554
201939	686	1994-06-14	VYDAJ	PREVOD NA UCET	2875	30377	 	OP	92192554
201940	686	1994-07-14	VYDAJ	PREVOD NA UCET	2875	31250	 	OP	92192554
201941	686	1994-08-14	VYDAJ	PREVOD NA UCET	2875	32146	 	OP	92192554
201942	686	1994-09-14	VYDAJ	PREVOD NA UCET	2875	31723	 	OP	92192554
201943	686	1994-10-14	VYDAJ	PREVOD NA UCET	2875	27178	 	OP	92192554
201944	686	1994-11-14	VYDAJ	PREVOD NA UCET	2875	29240	 	OP	92192554
201945	686	1994-12-14	VYDAJ	PREVOD NA UCET	2875	35954	 	OP	92192554
201946	686	1995-01-14	VYDAJ	PREVOD NA UCET	2875	29060	 	OP	92192554
201947	686	1995-02-14	VYDAJ	PREVOD NA UCET	2875	16977	 	OP	92192554
201948	686	1995-03-14	VYDAJ	PREVOD NA UCET	2875	23501	 	OP	92192554
201949	686	1995-04-14	VYDAJ	PREVOD NA UCET	2875	22499	 	OP	92192554
201950	686	1995-05-14	VYDAJ	PREVOD NA UCET	2875	25537	 	OP	92192554
201951	686	1995-06-14	VYDAJ	PREVOD NA UCET	2875	30651	 	OP	92192554
201952	686	1995-07-14	VYDAJ	PREVOD NA UCET	2875	30676	 	OP	92192554
201953	686	1995-08-14	VYDAJ	PREVOD NA UCET	2875	30845	 	OP	92192554
201954	686	1995-09-14	VYDAJ	PREVOD NA UCET	2875	29511	 	OP	92192554
201955	686	1995-10-14	VYDAJ	PREVOD NA UCET	2875	29174	 	OP	92192554
201956	686	1995-11-14	VYDAJ	PREVOD NA UCET	2875	27432	 	OP	92192554
201957	686	1995-12-14	VYDAJ	PREVOD NA UCET	2875	23767	 	OP	92192554
201958	686	1996-01-14	VYDAJ	PREVOD NA UCET	2875	20950	 	OP	92192554
201959	686	1996-02-14	VYDAJ	PREVOD NA UCET	2875	19418	 	OP	92192554
201960	686	1996-03-14	VYDAJ	PREVOD NA UCET	2875	24245	 	OP	92192554
201961	686	1996-04-14	VYDAJ	PREVOD NA UCET	2875	19702	 	OP	92192554
201962	686	1996-05-14	VYDAJ	PREVOD NA UCET	2875	22026	 	OP	92192554
201963	686	1996-06-14	VYDAJ	PREVOD NA UCET	2875	27321	 	OP	92192554
201964	686	1996-07-14	VYDAJ	PREVOD NA UCET	2875	27467	 	OP	92192554
201965	686	1996-08-14	VYDAJ	PREVOD NA UCET	2875	28920	 	OP	92192554
201966	686	1996-09-14	VYDAJ	PREVOD NA UCET	2875	24092	 	OP	92192554
201967	686	1996-10-14	VYDAJ	PREVOD NA UCET	2875	26834	 	OP	92192554
201968	686	1996-11-14	VYDAJ	PREVOD NA UCET	2875	20980	 	OP	92192554
201969	686	1996-12-14	VYDAJ	PREVOD NA UCET	2875	23049	 	OP	92192554
201970	686	1997-01-14	VYDAJ	PREVOD NA UCET	2875	17499	 	OP	92192554
201971	686	1997-02-14	VYDAJ	PREVOD NA UCET	2875	12584	 	OP	92192554
201972	686	1997-03-14	VYDAJ	PREVOD NA UCET	2875	17093	 	OP	92192554
201973	686	1997-04-14	VYDAJ	PREVOD NA UCET	2875	10109	 	OP	92192554
201974	686	1997-05-14	VYDAJ	PREVOD NA UCET	2875	14615	 	OP	92192554
201975	686	1997-06-14	VYDAJ	PREVOD NA UCET	2875	12387	 	OP	92192554
201976	686	1997-07-14	VYDAJ	PREVOD NA UCET	2875	16896	 	OP	92192554
201977	686	1997-08-14	VYDAJ	PREVOD NA UCET	2875	13011	 	OP	92192554
201978	686	1997-09-14	VYDAJ	PREVOD NA UCET	2875	9721	 	OP	92192554
201979	686	1997-10-14	VYDAJ	PREVOD NA UCET	2875	14616	 	OP	92192554
201980	686	1997-11-14	VYDAJ	PREVOD NA UCET	2875	12120	 	OP	92192554
201981	686	1997-12-14	VYDAJ	PREVOD NA UCET	2875	15289	 	OP	92192554
201982	686	1998-01-14	VYDAJ	PREVOD NA UCET	2875	13179	 	OP	92192554
201983	686	1998-02-14	VYDAJ	PREVOD NA UCET	2875	17686	 	OP	92192554
201984	686	1998-03-14	VYDAJ	PREVOD NA UCET	2875	16303	 	OP	92192554
201985	686	1998-04-14	VYDAJ	PREVOD NA UCET	2875	11421	 	OP	92192554
201986	686	1998-05-14	VYDAJ	PREVOD NA UCET	2875	11422	 	OP	92192554
201987	686	1998-06-14	VYDAJ	PREVOD NA UCET	2875	21184	 	OP	92192554
201988	686	1998-07-14	VYDAJ	PREVOD NA UCET	2875	22910	 	OP	92192554
201989	686	1998-08-14	VYDAJ	PREVOD NA UCET	2875	22051	 	OP	92192554
201990	686	1998-09-14	VYDAJ	PREVOD NA UCET	2875	19791	 	OP	92192554
201991	686	1998-10-14	VYDAJ	PREVOD NA UCET	2875	18120	 	OP	92192554
201992	686	1998-11-14	VYDAJ	PREVOD NA UCET	2875	19842	 	OP	92192554
201993	686	1998-12-14	VYDAJ	PREVOD NA UCET	2875	26636	 	OP	92192554
202001	686	1993-08-11	VYDAJ	PREVOD NA UCET	983	43051	POJISTNE	AB	65920859
202002	686	1993-09-11	VYDAJ	PREVOD NA UCET	983	38594	POJISTNE	AB	65920859
202003	686	1993-10-11	VYDAJ	PREVOD NA UCET	983	36132	POJISTNE	AB	65920859
202004	686	1993-11-11	VYDAJ	PREVOD NA UCET	983	37997	POJISTNE	AB	65920859
202005	686	1993-12-11	VYDAJ	PREVOD NA UCET	983	44056	POJISTNE	AB	65920859
202006	686	1994-01-11	VYDAJ	PREVOD NA UCET	983	37226	POJISTNE	AB	65920859
202007	686	1994-02-11	VYDAJ	PREVOD NA UCET	983	26660	POJISTNE	AB	65920859
202008	686	1994-03-11	VYDAJ	PREVOD NA UCET	983	33006	POJISTNE	AB	65920859
202009	686	1994-04-11	VYDAJ	PREVOD NA UCET	983	32172	POJISTNE	AB	65920859
202010	686	1994-05-11	VYDAJ	PREVOD NA UCET	983	32138	POJISTNE	AB	65920859
202011	686	1994-06-11	VYDAJ	PREVOD NA UCET	983	38772	POJISTNE	AB	65920859
202012	686	1994-07-11	VYDAJ	PREVOD NA UCET	983	34125	POJISTNE	AB	65920859
202013	686	1994-08-11	VYDAJ	PREVOD NA UCET	983	35021	POJISTNE	AB	65920859
202014	686	1994-09-11	VYDAJ	PREVOD NA UCET	983	34598	POJISTNE	AB	65920859
202015	686	1994-10-11	VYDAJ	PREVOD NA UCET	983	30053	POJISTNE	AB	65920859
202016	686	1994-11-11	VYDAJ	PREVOD NA UCET	983	32115	POJISTNE	AB	65920859
202017	686	1994-12-11	VYDAJ	PREVOD NA UCET	983	38829	POJISTNE	AB	65920859
202018	686	1995-01-11	VYDAJ	PREVOD NA UCET	983	32655	POJISTNE	AB	65920859
202019	686	1995-02-11	VYDAJ	PREVOD NA UCET	983	23212	POJISTNE	AB	65920859
202020	686	1995-03-11	VYDAJ	PREVOD NA UCET	983	26376	POJISTNE	AB	65920859
202021	686	1995-04-11	VYDAJ	PREVOD NA UCET	983	25374	POJISTNE	AB	65920859
202022	686	1995-05-11	VYDAJ	PREVOD NA UCET	983	28412	POJISTNE	AB	65920859
202023	686	1995-06-11	VYDAJ	PREVOD NA UCET	983	33526	POJISTNE	AB	65920859
202024	686	1995-07-11	VYDAJ	PREVOD NA UCET	983	33551	POJISTNE	AB	65920859
202025	686	1995-08-11	VYDAJ	PREVOD NA UCET	983	33720	POJISTNE	AB	65920859
202026	686	1995-09-11	VYDAJ	PREVOD NA UCET	983	32386	POJISTNE	AB	65920859
202027	686	1995-10-11	VYDAJ	PREVOD NA UCET	983	32049	POJISTNE	AB	65920859
202028	686	1995-11-11	VYDAJ	PREVOD NA UCET	983	30307	POJISTNE	AB	65920859
202029	686	1995-12-11	VYDAJ	PREVOD NA UCET	983	26642	POJISTNE	AB	65920859
202030	686	1996-01-11	VYDAJ	PREVOD NA UCET	983	23825	POJISTNE	AB	65920859
202031	686	1996-02-11	VYDAJ	PREVOD NA UCET	983	22293	POJISTNE	AB	65920859
202032	686	1996-03-11	VYDAJ	PREVOD NA UCET	983	27120	POJISTNE	AB	65920859
202033	686	1996-04-11	VYDAJ	PREVOD NA UCET	983	22577	POJISTNE	AB	65920859
202034	686	1996-05-11	VYDAJ	PREVOD NA UCET	983	24901	POJISTNE	AB	65920859
202035	686	1996-06-11	VYDAJ	PREVOD NA UCET	983	30196	POJISTNE	AB	65920859
202036	686	1996-07-11	VYDAJ	PREVOD NA UCET	983	30342	POJISTNE	AB	65920859
202037	686	1996-08-11	VYDAJ	PREVOD NA UCET	983	31795	POJISTNE	AB	65920859
202038	686	1996-09-11	VYDAJ	PREVOD NA UCET	983	26967	POJISTNE	AB	65920859
202039	686	1996-10-11	VYDAJ	PREVOD NA UCET	983	29709	POJISTNE	AB	65920859
202040	686	1996-11-11	VYDAJ	PREVOD NA UCET	983	29555	POJISTNE	AB	65920859
202041	686	1996-12-11	VYDAJ	PREVOD NA UCET	983	33664	POJISTNE	AB	65920859
202042	686	1997-01-11	VYDAJ	PREVOD NA UCET	983	25914	POJISTNE	AB	65920859
202043	686	1997-02-11	VYDAJ	PREVOD NA UCET	983	22859	POJISTNE	AB	65920859
202044	686	1997-03-11	VYDAJ	PREVOD NA UCET	983	19968	POJISTNE	AB	65920859
202045	686	1997-04-11	VYDAJ	PREVOD NA UCET	983	24484	POJISTNE	AB	65920859
202046	686	1997-05-11	VYDAJ	PREVOD NA UCET	983	17490	POJISTNE	AB	65920859
202047	686	1997-06-11	VYDAJ	PREVOD NA UCET	983	27262	POJISTNE	AB	65920859
202048	686	1997-07-11	VYDAJ	PREVOD NA UCET	983	19771	POJISTNE	AB	65920859
202049	686	1997-08-11	VYDAJ	PREVOD NA UCET	983	15886	POJISTNE	AB	65920859
202050	686	1997-09-11	VYDAJ	PREVOD NA UCET	983	12596	POJISTNE	AB	65920859
202051	686	1997-10-11	VYDAJ	PREVOD NA UCET	983	17491	POJISTNE	AB	65920859
202052	686	1997-11-11	VYDAJ	PREVOD NA UCET	983	14995	POJISTNE	AB	65920859
202053	686	1997-12-11	VYDAJ	PREVOD NA UCET	983	18164	POJISTNE	AB	65920859
202054	686	1998-01-11	VYDAJ	PREVOD NA UCET	983	16054	POJISTNE	AB	65920859
202055	686	1998-02-11	VYDAJ	PREVOD NA UCET	983	20561	POJISTNE	AB	65920859
202056	686	1998-03-11	VYDAJ	PREVOD NA UCET	983	19178	POJISTNE	AB	65920859
202057	686	1998-04-11	VYDAJ	PREVOD NA UCET	983	14296	POJISTNE	AB	65920859
202058	686	1998-05-11	VYDAJ	PREVOD NA UCET	983	14297	POJISTNE	AB	65920859
202059	686	1998-06-11	VYDAJ	PREVOD NA UCET	983	24059	POJISTNE	AB	65920859
202060	686	1998-07-11	VYDAJ	PREVOD NA UCET	983	25785	POJISTNE	AB	65920859
202061	686	1998-08-11	VYDAJ	PREVOD NA UCET	983	24926	POJISTNE	AB	65920859
202062	686	1998-09-11	VYDAJ	PREVOD NA UCET	983	22666	POJISTNE	AB	65920859
202063	686	1998-10-11	VYDAJ	PREVOD NA UCET	983	20995	POJISTNE	AB	65920859
202064	686	1998-11-11	VYDAJ	PREVOD NA UCET	983	22717	POJISTNE	AB	65920859
202065	686	1998-12-11	VYDAJ	PREVOD NA UCET	983	29511	POJISTNE	AB	65920859
202073	686	1994-01-27	VYDAJ	VYBER	11360	14711	\N	\N	\N
202074	686	1995-01-26	VYDAJ	VYBER	8320	15780	\N	\N	\N
202078	686	1993-12-12	VYDAJ	VYBER	960	43096	\N	\N	\N
202079	686	1994-12-07	VYDAJ	VYBER	1920	24012	\N	\N	\N
202080	686	1995-12-02	VYDAJ	VYBER	1600	17038	\N	\N	\N
202081	686	1996-12-11	VYDAJ	VYBER	1440	32224	\N	\N	\N
202083	686	1998-12-24	VYDAJ	VYBER	1440	25196	\N	\N	\N
202090	686	1994-01-10	VYDAJ	VYBER	3360	38209	\N	\N	\N
202092	686	1994-01-15	VYDAJ	VYBER	2520	31831	\N	\N	\N
202093	686	1994-01-30	VYDAJ	VYBER	2400	19211	\N	\N	\N
202094	686	1994-01-21	VYDAJ	VYBER	2400	26071	\N	\N	\N
202095	686	1994-01-19	VYDAJ	VYBER	3360	28471	\N	\N	\N
202096	686	1995-01-11	VYDAJ	VYBER	720	31935	\N	\N	\N
202097	686	1995-01-09	VYDAJ	VYBER	1080	33638	\N	\N	\N
202098	686	1995-01-20	VYDAJ	VYBER	1320	25700	\N	\N	\N
202099	686	1995-01-04	VYDAJ	VYBER	2880	26397	\N	\N	\N
202101	686	1995-01-18	VYDAJ	VYBER	2040	27020	\N	\N	\N
202102	686	1996-01-19	VYDAJ	VYBER	3240	14890	\N	\N	\N
202103	686	1996-01-17	VYDAJ	VYBER	3120	17830	\N	\N	\N
202104	686	1996-01-08	VYDAJ	VYBER	600	24808	\N	\N	\N
202105	686	1996-01-08	VYDAJ	VYBER	3480	25408	\N	\N	\N
202107	686	1996-01-05	VYDAJ	VYBER	2280	20567	\N	\N	\N
202108	686	1997-01-19	VYDAJ	VYBER	2040	15459	\N	\N	\N
202109	686	1997-01-03	VYDAJ	VYBER	1200	21936	\N	\N	\N
202110	686	1997-01-13	VYDAJ	VYBER	2040	23874	\N	\N	\N
202112	686	1997-01-04	VYDAJ	VYBER	3360	18576	\N	\N	\N
202119	686	1998-01-08	VYDAJ	VYBER	1920	21737	\N	\N	\N
202122	686	1993-10-28	VYDAJ	VYBER	720	32537	\N	\N	\N
202123	686	1993-09-25	VYDAJ	VYBER	5160	30559	\N	\N	\N
202124	686	1993-08-31	VYDAJ	VYBER	4080	36256	\N	\N	\N
202125	686	1994-06-13	VYDAJ	VYBER	5520	33252	\N	\N	\N
202126	686	1994-10-08	VYDAJ	VYBER	4320	31036	\N	\N	\N
202127	686	1994-01-07	VYDAJ	VYBER	1320	31036	\N	\N	\N
202128	686	1994-06-24	VYDAJ	VYBER	3600	26777	\N	\N	\N
202129	686	1994-03-15	VYDAJ	VYBER	2400	27731	\N	\N	\N
202130	686	1994-04-27	VYDAJ	VYBER	5400	23897	\N	\N	\N
202131	686	1994-07-31	VYDAJ	VYBER	1080	27683	\N	\N	\N
202133	686	1995-02-12	VYDAJ	VYBER	3360	19852	\N	\N	\N
202134	686	1995-07-02	VYDAJ	VYBER	840	26213	\N	\N	\N
202135	686	1995-03-17	VYDAJ	VYBER	1440	22061	\N	\N	\N
202136	686	1995-11-23	VYDAJ	VYBER	5280	18552	\N	\N	\N
202137	686	1995-12-08	VYDAJ	VYBER	3000	27625	\N	\N	\N
202139	686	1996-08-26	VYDAJ	VYBER	4680	19540	\N	\N	\N
202140	686	1996-03-30	VYDAJ	VYBER	4080	15165	\N	\N	\N
202148	686	1998-09-01	VYDAJ	VYBER	3000	19128	\N	\N	\N
202150	686	1998-07-31	VYDAJ	VYBER	5400	17588	\N	\N	\N
202159	686	1993-08-31	VYDAJ	VYBER	15	40336	SLUZBY	\N	\N
202160	686	1993-09-30	VYDAJ	VYBER	15	30694	SLUZBY	\N	\N
202161	686	1993-10-31	VYDAJ	VYBER	15	32659	SLUZBY	\N	\N
202162	686	1993-11-30	VYDAJ	VYBER	15	31452	SLUZBY	\N	\N
202163	686	1993-12-31	VYDAJ	VYBER	15	34568	SLUZBY	\N	\N
202164	686	1994-01-31	VYDAJ	VYBER	15	19322	SLUZBY	\N	\N
202165	686	1994-02-28	VYDAJ	VYBER	15	25668	SLUZBY	\N	\N
202166	686	1994-03-31	VYDAJ	VYBER	15	24834	SLUZBY	\N	\N
202167	686	1994-04-30	VYDAJ	VYBER	15	24800	SLUZBY	\N	\N
202168	686	1994-05-31	VYDAJ	VYBER	15	26167	SLUZBY	\N	\N
202169	686	1994-06-30	VYDAJ	VYBER	15	26787	SLUZBY	\N	\N
202170	686	1994-07-31	VYDAJ	VYBER	15	28763	SLUZBY	\N	\N
202171	686	1994-08-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
202172	686	1994-09-30	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
202173	686	1994-10-31	VYDAJ	VYBER	15	24777	SLUZBY	\N	\N
202174	686	1994-11-30	VYDAJ	VYBER	15	28144	SLUZBY	\N	\N
202175	686	1994-12-31	VYDAJ	VYBER	15	29277	SLUZBY	\N	\N
202176	686	1995-01-31	VYDAJ	VYBER	15	15874	SLUZBY	\N	\N
202177	686	1995-02-28	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
202178	686	1995-03-31	VYDAJ	VYBER	15	18036	SLUZBY	\N	\N
202179	686	1995-04-30	VYDAJ	VYBER	15	21074	SLUZBY	\N	\N
202180	686	1995-05-31	VYDAJ	VYBER	15	20922	SLUZBY	\N	\N
202181	686	1995-06-30	VYDAJ	VYBER	15	27053	SLUZBY	\N	\N
202182	686	1995-07-31	VYDAJ	VYBER	15	26382	SLUZBY	\N	\N
202183	686	1995-08-31	VYDAJ	VYBER	15	25048	SLUZBY	\N	\N
202184	686	1995-09-30	VYDAJ	VYBER	15	24711	SLUZBY	\N	\N
202185	686	1995-10-31	VYDAJ	VYBER	15	22969	SLUZBY	\N	\N
202186	686	1995-11-30	VYDAJ	VYBER	15	18638	SLUZBY	\N	\N
202187	686	1995-12-31	VYDAJ	VYBER	15	22847	SLUZBY	\N	\N
202188	686	1996-01-31	VYDAJ	VYBER	15	14955	SLUZBY	\N	\N
202189	686	1996-02-29	VYDAJ	VYBER	15	19782	SLUZBY	\N	\N
202190	686	1996-03-31	VYDAJ	VYBER	15	15239	SLUZBY	\N	\N
202191	686	1996-04-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
202192	686	1996-05-31	VYDAJ	VYBER	15	17592	SLUZBY	\N	\N
202193	686	1996-06-30	VYDAJ	VYBER	15	23004	SLUZBY	\N	\N
202194	686	1996-07-31	VYDAJ	VYBER	15	24457	SLUZBY	\N	\N
202195	686	1996-08-31	VYDAJ	VYBER	15	19629	SLUZBY	\N	\N
202196	686	1996-09-30	VYDAJ	VYBER	15	22371	SLUZBY	\N	\N
202197	686	1996-10-31	VYDAJ	VYBER	15	22217	SLUZBY	\N	\N
202198	686	1996-11-30	VYDAJ	VYBER	15	21060	SLUZBY	\N	\N
202199	686	1996-12-31	VYDAJ	VYBER	15	23136	SLUZBY	\N	\N
202200	686	1997-01-31	VYDAJ	VYBER	15	15521	SLUZBY	\N	\N
202201	686	1997-02-28	VYDAJ	VYBER	15	12630	SLUZBY	\N	\N
202202	686	1997-03-31	VYDAJ	VYBER	15	17146	SLUZBY	\N	\N
202203	686	1997-04-30	VYDAJ	VYBER	15	10152	SLUZBY	\N	\N
202204	686	1997-05-31	VYDAJ	VYBER	15	14658	SLUZBY	\N	\N
202205	686	1997-06-30	VYDAJ	VYBER	15	12433	SLUZBY	\N	\N
202206	686	1997-07-31	VYDAJ	VYBER	15	16948	SLUZBY	\N	\N
202207	686	1997-08-31	VYDAJ	VYBER	15	13058	SLUZBY	\N	\N
202208	686	1997-09-30	VYDAJ	VYBER	15	9753	SLUZBY	\N	\N
202209	686	1997-10-31	VYDAJ	VYBER	15	14657	SLUZBY	\N	\N
202210	686	1997-11-30	VYDAJ	VYBER	15	12160	SLUZBY	\N	\N
202211	686	1997-12-31	VYDAJ	VYBER	15	15336	SLUZBY	\N	\N
202212	686	1998-01-31	VYDAJ	VYBER	15	13223	SLUZBY	\N	\N
202213	686	1998-02-28	VYDAJ	VYBER	15	17740	SLUZBY	\N	\N
202214	686	1998-03-31	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
202215	686	1998-04-30	VYDAJ	VYBER	15	11459	SLUZBY	\N	\N
202216	686	1998-05-31	VYDAJ	VYBER	15	11454	SLUZBY	\N	\N
202217	686	1998-06-30	VYDAJ	VYBER	15	21247	SLUZBY	\N	\N
202218	686	1998-07-31	VYDAJ	VYBER	15	22988	SLUZBY	\N	\N
202219	686	1998-08-31	VYDAJ	VYBER	15	22128	SLUZBY	\N	\N
202220	686	1998-09-30	VYDAJ	VYBER	15	19857	SLUZBY	\N	\N
202221	686	1998-10-31	VYDAJ	VYBER	15	18179	SLUZBY	\N	\N
202222	686	1998-11-30	VYDAJ	VYBER	15	19906	SLUZBY	\N	\N
202223	686	1993-05-04	PRIJEM	VKLAD	7000	18670	\N	\N	\N
202224	686	1993-06-03	VYDAJ	VYBER	800	28508	\N	\N	\N
202225	686	1993-07-03	VYDAJ	VYBER	9100	35378	\N	\N	\N
202226	686	1993-08-02	VYDAJ	VYBER	12600	33501	\N	\N	\N
202227	686	1993-09-01	VYDAJ	VYBER	5000	31256	\N	\N	\N
202228	686	1993-10-01	VYDAJ	VYBER	1900	28794	\N	\N	\N
202229	686	1993-10-31	VYDAJ	VYBER	2000	30659	\N	\N	\N
202230	686	1993-11-30	VYDAJ	VYBER	3800	31466	\N	\N	\N
202231	686	1993-12-30	VYDAJ	VYBER	5800	34421	\N	\N	\N
202232	686	1994-01-29	PRIJEM	VKLAD	6900	21611	\N	\N	\N
202233	686	1994-02-28	PRIJEM	VKLAD	1800	25682	\N	\N	\N
202234	686	1994-03-30	VYDAJ	VYBER	3000	24731	\N	\N	\N
202235	686	1994-04-29	PRIJEM	VKLAD	800	24697	\N	\N	\N
202236	686	1994-05-29	VYDAJ	VYBER	3200	26063	\N	\N	\N
202237	686	1994-06-28	VYDAJ	VYBER	100	26677	\N	\N	\N
202238	686	1994-07-28	VYDAJ	VYBER	2600	28650	\N	\N	\N
202239	686	1994-08-27	VYDAJ	VYBER	5000	27146	\N	\N	\N
202240	686	1994-09-26	VYDAJ	VYBER	4800	26923	\N	\N	\N
202241	686	1994-10-26	VYDAJ	VYBER	2500	24678	\N	\N	\N
202242	686	1994-11-25	VYDAJ	VYBER	1200	28040	\N	\N	\N
202243	686	1994-12-25	VYDAJ	VYBER	6800	29154	\N	\N	\N
202244	686	1995-01-24	VYDAJ	VYBER	1600	24100	\N	\N	\N
202245	686	1995-02-23	PRIJEM	VKLAD	2000	18977	\N	\N	\N
202246	686	1995-03-25	VYDAJ	VYBER	4100	17961	\N	\N	\N
202247	686	1995-04-24	VYDAJ	VYBER	1500	20999	\N	\N	\N
202248	686	1995-05-24	VYDAJ	VYBER	4700	20837	\N	\N	\N
202249	686	1995-06-23	VYDAJ	VYBER	3700	26951	\N	\N	\N
202250	686	1995-07-23	VYDAJ	VYBER	4400	26276	\N	\N	\N
202251	686	1995-08-22	VYDAJ	VYBER	5900	24945	\N	\N	\N
202252	686	1995-09-21	VYDAJ	VYBER	4900	24611	\N	\N	\N
202253	686	1995-10-21	VYDAJ	VYBER	6300	22874	\N	\N	\N
202254	686	1995-11-20	VYDAJ	VYBER	3600	23832	\N	\N	\N
202255	686	1995-12-20	VYDAJ	VYBER	1000	22767	\N	\N	\N
202256	686	1996-01-19	PRIJEM	VKLAD	300	18130	\N	\N	\N
202257	686	1996-02-18	PRIJEM	VKLAD	300	19718	\N	\N	\N
202258	686	1996-03-19	VYDAJ	VYBER	5000	19245	\N	\N	\N
202259	686	1996-04-18	VYDAJ	VYBER	2200	17502	\N	\N	\N
202260	686	1996-05-18	VYDAJ	VYBER	4500	17526	\N	\N	\N
202261	686	1996-06-17	VYDAJ	VYBER	4400	22921	\N	\N	\N
202262	686	1996-07-17	VYDAJ	VYBER	3100	24367	\N	\N	\N
202263	686	1996-08-16	VYDAJ	VYBER	4700	24220	\N	\N	\N
202264	686	1996-09-15	VYDAJ	VYBER	1800	22292	\N	\N	\N
202265	686	1996-10-15	VYDAJ	VYBER	4700	22134	\N	\N	\N
202266	686	1996-11-14	VYDAJ	VYBER	5700	23855	\N	\N	\N
202267	686	1996-12-14	VYDAJ	VYBER	6300	25924	\N	\N	\N
202268	686	1997-01-13	VYDAJ	VYBER	3500	20374	\N	\N	\N
202269	686	1997-02-12	VYDAJ	VYBER	7400	15459	\N	\N	\N
202270	686	1997-04-13	VYDAJ	VYBER	11500	12984	\N	\N	\N
202271	686	1997-06-12	VYDAJ	VYBER	12000	15262	\N	\N	\N
202272	686	1997-08-11	VYDAJ	VYBER	8400	16869	\N	\N	\N
202273	686	1997-09-10	VYDAJ	VYBER	7800	13579	\N	\N	\N
202274	686	1997-10-10	PRIJEM	VKLAD	400	18474	\N	\N	\N
202275	686	1997-11-09	VYDAJ	VYBER	7000	15978	\N	\N	\N
202276	686	1997-12-09	VYDAJ	VYBER	6600	19147	\N	\N	\N
202277	686	1998-01-08	VYDAJ	VYBER	4700	17037	\N	\N	\N
202278	686	1998-03-09	VYDAJ	VYBER	5900	20161	\N	\N	\N
202279	686	1998-04-08	VYDAJ	VYBER	9400	15279	\N	\N	\N
202280	686	1998-05-08	VYDAJ	VYBER	4500	15280	\N	\N	\N
202281	686	1998-07-07	VYDAJ	VYBER	2800	16235	\N	\N	\N
202282	686	1998-09-05	VYDAJ	VYBER	3800	15328	\N	\N	\N
202283	686	1998-10-05	VYDAJ	VYBER	6200	13657	\N	\N	\N
202284	686	1998-11-04	VYDAJ	VYBER	2800	15379	\N	\N	\N
202285	686	1998-12-04	VYDAJ	VYBER	3000	16906	\N	\N	\N
202355	687	1996-06-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
202361	687	1996-06-14	PRIJEM	VKLAD	18947	20047	\N	\N	\N
202362	687	1996-07-14	PRIJEM	VKLAD	12631	36525	\N	\N	\N
202363	687	1996-08-14	PRIJEM	VKLAD	12631	42479	\N	\N	\N
202364	687	1996-09-14	PRIJEM	VKLAD	12631	45376	\N	\N	\N
202365	687	1996-10-14	PRIJEM	VKLAD	12631	45143	\N	\N	\N
202366	687	1996-11-14	PRIJEM	VKLAD	12631	39193	\N	\N	\N
202367	687	1996-12-14	PRIJEM	VKLAD	18947	40429	\N	\N	\N
202368	687	1997-01-14	PRIJEM	VKLAD	12631	28675	\N	\N	\N
202369	687	1997-02-14	PRIJEM	VKLAD	12631	27383	\N	\N	\N
202370	687	1997-03-14	PRIJEM	VKLAD	12631	26036	\N	\N	\N
202371	687	1997-04-14	PRIJEM	VKLAD	12631	29409	\N	\N	\N
202372	687	1997-05-14	PRIJEM	VKLAD	12631	28588	\N	\N	\N
202373	687	1997-06-14	PRIJEM	VKLAD	18947	36281	\N	\N	\N
202374	687	1997-07-14	PRIJEM	VKLAD	12631	22530	\N	\N	\N
202375	687	1997-08-14	PRIJEM	VKLAD	12631	24481	\N	\N	\N
202376	687	1997-09-14	PRIJEM	VKLAD	12631	23737	\N	\N	\N
202377	687	1997-10-14	PRIJEM	VKLAD	12631	22089	\N	\N	\N
202378	687	1997-11-14	PRIJEM	VKLAD	12631	23837	\N	\N	\N
202379	687	1997-12-14	PRIJEM	VKLAD	18947	27903	\N	\N	\N
202380	687	1998-01-14	PRIJEM	VKLAD	12631	20973	\N	\N	\N
202381	687	1998-02-14	PRIJEM	VKLAD	12631	24495	\N	\N	\N
202382	687	1998-03-14	PRIJEM	VKLAD	12631	24148	\N	\N	\N
202383	687	1998-04-14	PRIJEM	VKLAD	12631	24602	\N	\N	\N
202384	687	1998-05-14	PRIJEM	VKLAD	12631	23155	\N	\N	\N
202385	687	1998-06-14	PRIJEM	VKLAD	18947	27417	\N	\N	\N
202386	687	1998-07-14	PRIJEM	VKLAD	12631	21421	\N	\N	\N
202387	687	1998-08-14	PRIJEM	VKLAD	12631	21562	\N	\N	\N
202388	687	1998-09-14	PRIJEM	VKLAD	12631	22302	\N	\N	\N
202389	687	1998-10-14	PRIJEM	VKLAD	12631	24548	\N	\N	\N
202390	687	1998-11-14	PRIJEM	VKLAD	12631	27103	\N	\N	\N
202391	687	1998-12-14	PRIJEM	VKLAD	18947	33479	\N	\N	\N
202402	687	1996-11-06	VYDAJ	PREVOD NA UCET	1444	30560	SIPO	UV	3712326
202403	687	1996-12-06	VYDAJ	PREVOD NA UCET	1444	25481	SIPO	UV	3712326
202404	687	1997-01-06	VYDAJ	PREVOD NA UCET	1444	20042	SIPO	UV	3712326
202405	687	1997-02-06	VYDAJ	PREVOD NA UCET	1444	18750	SIPO	UV	3712326
202406	687	1997-03-06	VYDAJ	PREVOD NA UCET	1444	19683	SIPO	UV	3712326
202407	687	1997-04-06	VYDAJ	PREVOD NA UCET	1444	20776	SIPO	UV	3712326
202408	687	1997-05-06	VYDAJ	PREVOD NA UCET	1444	19955	SIPO	UV	3712326
202409	687	1997-06-06	VYDAJ	PREVOD NA UCET	1444	21332	SIPO	UV	3712326
202410	687	1997-07-06	VYDAJ	PREVOD NA UCET	1444	13897	SIPO	UV	3712326
202411	687	1997-08-06	VYDAJ	PREVOD NA UCET	1444	15848	SIPO	UV	3712326
202412	687	1997-09-06	VYDAJ	PREVOD NA UCET	1444	15104	SIPO	UV	3712326
202413	687	1997-10-06	VYDAJ	PREVOD NA UCET	1444	13456	SIPO	UV	3712326
202414	687	1997-11-06	VYDAJ	PREVOD NA UCET	1444	15204	SIPO	UV	3712326
202415	687	1997-12-06	VYDAJ	PREVOD NA UCET	1444	12955	SIPO	UV	3712326
202416	687	1998-01-06	VYDAJ	PREVOD NA UCET	1444	12340	SIPO	UV	3712326
202417	687	1998-02-06	VYDAJ	PREVOD NA UCET	1444	15862	SIPO	UV	3712326
202418	687	1998-03-06	VYDAJ	PREVOD NA UCET	1444	15515	SIPO	UV	3712326
202419	687	1998-04-06	VYDAJ	PREVOD NA UCET	1444	15969	SIPO	UV	3712326
202420	687	1998-05-06	VYDAJ	PREVOD NA UCET	1444	14522	SIPO	UV	3712326
202421	687	1998-06-06	VYDAJ	PREVOD NA UCET	1444	12468	SIPO	UV	3712326
202422	687	1998-07-06	VYDAJ	PREVOD NA UCET	1444	12788	SIPO	UV	3712326
202423	687	1998-08-06	VYDAJ	PREVOD NA UCET	1444	12929	SIPO	UV	3712326
202424	687	1998-09-06	VYDAJ	PREVOD NA UCET	1444	13669	SIPO	UV	3712326
202425	687	1998-10-06	VYDAJ	PREVOD NA UCET	1444	15915	SIPO	UV	3712326
202426	687	1998-11-06	VYDAJ	PREVOD NA UCET	1444	18470	SIPO	UV	3712326
202427	687	1998-12-06	VYDAJ	PREVOD NA UCET	1444	18531	SIPO	UV	3712326
202438	687	1996-11-13	VYDAJ	PREVOD NA UCET	3998	26562	 	EF	84690487
202439	687	1996-12-13	VYDAJ	PREVOD NA UCET	3998	21483	 	EF	84690487
202440	687	1997-01-13	VYDAJ	PREVOD NA UCET	3998	16044	 	EF	84690487
202441	687	1997-02-13	VYDAJ	PREVOD NA UCET	3998	14752	 	EF	84690487
202442	687	1997-03-13	VYDAJ	PREVOD NA UCET	3998	13405	 	EF	84690487
202443	687	1997-04-13	VYDAJ	PREVOD NA UCET	3998	16778	 	EF	84690487
202444	687	1997-05-13	VYDAJ	PREVOD NA UCET	3998	15957	 	EF	84690487
202445	687	1997-06-13	VYDAJ	PREVOD NA UCET	3998	17334	 	EF	84690487
202446	687	1997-07-13	VYDAJ	PREVOD NA UCET	3998	9899	 	EF	84690487
202447	687	1997-08-13	VYDAJ	PREVOD NA UCET	3998	11850	 	EF	84690487
202448	687	1997-09-13	VYDAJ	PREVOD NA UCET	3998	11106	 	EF	84690487
202449	687	1997-10-13	VYDAJ	PREVOD NA UCET	3998	9458	 	EF	84690487
202450	687	1997-11-13	VYDAJ	PREVOD NA UCET	3998	11206	 	EF	84690487
202451	687	1997-12-13	VYDAJ	PREVOD NA UCET	3998	8957	 	EF	84690487
202452	687	1998-01-13	VYDAJ	PREVOD NA UCET	3998	8342	 	EF	84690487
202453	687	1998-02-13	VYDAJ	PREVOD NA UCET	3998	11864	 	EF	84690487
202454	687	1998-03-13	VYDAJ	PREVOD NA UCET	3998	11517	 	EF	84690487
202455	687	1998-04-13	VYDAJ	PREVOD NA UCET	3998	11971	 	EF	84690487
202456	687	1998-05-13	VYDAJ	PREVOD NA UCET	3998	10524	 	EF	84690487
202457	687	1998-06-13	VYDAJ	PREVOD NA UCET	3998	8470	 	EF	84690487
202458	687	1998-07-13	VYDAJ	PREVOD NA UCET	3998	8790	 	EF	84690487
202459	687	1998-08-13	VYDAJ	PREVOD NA UCET	3998	8931	 	EF	84690487
202460	687	1998-09-13	VYDAJ	PREVOD NA UCET	3998	9671	 	EF	84690487
202461	687	1998-10-13	VYDAJ	PREVOD NA UCET	3998	11917	 	EF	84690487
202462	687	1998-11-13	VYDAJ	PREVOD NA UCET	3998	14472	 	EF	84690487
202463	687	1998-12-13	VYDAJ	PREVOD NA UCET	3998	14533	 	EF	84690487
202465	687	1997-06-19	VYDAJ	VYBER	17920	18361	\N	\N	\N
202468	687	1997-01-06	VYDAJ	VYBER	3040	21486	\N	\N	\N
202470	687	1996-12-14	VYDAJ	VYBER	3520	36909	\N	\N	\N
202471	687	1997-12-19	VYDAJ	VYBER	2880	25023	\N	\N	\N
202472	687	1998-12-17	VYDAJ	VYBER	4000	29479	\N	\N	\N
202479	687	1997-01-27	VYDAJ	VYBER	3360	19915	\N	\N	\N
202480	687	1997-01-21	VYDAJ	VYBER	1080	23275	\N	\N	\N
202481	687	1997-01-02	VYDAJ	VYBER	1200	24526	\N	\N	\N
202482	687	1997-01-14	VYDAJ	VYBER	600	26395	\N	\N	\N
202483	687	1997-01-14	VYDAJ	VYBER	1680	26995	\N	\N	\N
202484	687	1997-01-17	VYDAJ	VYBER	2040	24355	\N	\N	\N
202485	687	1998-01-03	VYDAJ	VYBER	600	13784	\N	\N	\N
202487	687	1998-01-23	VYDAJ	VYBER	3120	17253	\N	\N	\N
202490	687	1998-01-19	VYDAJ	VYBER	600	20373	\N	\N	\N
202492	687	1996-10-26	VYDAJ	VYBER	1080	43463	\N	\N	\N
202494	687	1996-10-17	VYDAJ	VYBER	600	44543	\N	\N	\N
202498	687	1997-03-01	VYDAJ	VYBER	3840	21127	\N	\N	\N
202499	687	1997-03-12	VYDAJ	VYBER	2280	17403	\N	\N	\N
202501	687	1998-12-22	VYDAJ	VYBER	1680	19899	\N	\N	\N
202503	687	1998-06-19	VYDAJ	VYBER	4440	22977	\N	\N	\N
202514	687	1996-10-31	VYDAJ	VYBER	15	32004	SLUZBY	\N	\N
202515	687	1996-11-30	VYDAJ	VYBER	15	26925	SLUZBY	\N	\N
202516	687	1996-12-31	VYDAJ	VYBER	15	25726	SLUZBY	\N	\N
202517	687	1997-01-31	VYDAJ	VYBER	15	20194	SLUZBY	\N	\N
202518	687	1997-02-28	VYDAJ	VYBER	15	24967	SLUZBY	\N	\N
202519	687	1997-03-31	VYDAJ	VYBER	15	22220	SLUZBY	\N	\N
202520	687	1997-04-30	VYDAJ	VYBER	15	21399	SLUZBY	\N	\N
202521	687	1997-05-31	VYDAJ	VYBER	15	22776	SLUZBY	\N	\N
202522	687	1997-06-30	VYDAJ	VYBER	15	15341	SLUZBY	\N	\N
202523	687	1997-07-31	VYDAJ	VYBER	15	17292	SLUZBY	\N	\N
202524	687	1997-08-31	VYDAJ	VYBER	15	16548	SLUZBY	\N	\N
202525	687	1997-09-30	VYDAJ	VYBER	15	14900	SLUZBY	\N	\N
202526	687	1997-10-31	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
202527	687	1997-11-30	VYDAJ	VYBER	15	14399	SLUZBY	\N	\N
202528	687	1997-12-31	VYDAJ	VYBER	15	14384	SLUZBY	\N	\N
202529	687	1998-01-31	VYDAJ	VYBER	15	17306	SLUZBY	\N	\N
202530	687	1998-02-28	VYDAJ	VYBER	15	16959	SLUZBY	\N	\N
202531	687	1998-03-31	VYDAJ	VYBER	15	17413	SLUZBY	\N	\N
202532	687	1998-04-30	VYDAJ	VYBER	15	15966	SLUZBY	\N	\N
202533	687	1998-05-31	VYDAJ	VYBER	15	13912	SLUZBY	\N	\N
202534	687	1998-06-30	VYDAJ	VYBER	15	14232	SLUZBY	\N	\N
202535	687	1998-07-31	VYDAJ	VYBER	15	14373	SLUZBY	\N	\N
202536	687	1998-08-31	VYDAJ	VYBER	15	15113	SLUZBY	\N	\N
202537	687	1998-09-30	VYDAJ	VYBER	15	17359	SLUZBY	\N	\N
202538	687	1998-10-31	VYDAJ	VYBER	15	19914	SLUZBY	\N	\N
202539	687	1998-11-30	VYDAJ	VYBER	15	19975	SLUZBY	\N	\N
202540	687	1996-07-02	PRIJEM	VKLAD	3800	23894	\N	\N	\N
202541	687	1996-08-01	VYDAJ	VYBER	6800	29848	\N	\N	\N
202542	687	1996-08-31	VYDAJ	VYBER	9900	32745	\N	\N	\N
202543	687	1996-09-30	VYDAJ	VYBER	13000	32512	\N	\N	\N
202544	687	1996-10-30	VYDAJ	VYBER	11600	31863	\N	\N	\N
202545	687	1996-11-29	VYDAJ	VYBER	12400	26793	\N	\N	\N
202546	687	1996-12-29	VYDAJ	VYBER	11300	25609	\N	\N	\N
202547	687	1997-01-28	PRIJEM	VKLAD	200	20115	\N	\N	\N
202548	687	1997-02-27	VYDAJ	VYBER	2500	24883	\N	\N	\N
202549	687	1997-03-29	VYDAJ	VYBER	3900	22136	\N	\N	\N
202550	687	1997-04-28	VYDAJ	VYBER	8100	21309	\N	\N	\N
202551	687	1997-05-28	VYDAJ	VYBER	5900	22688	\N	\N	\N
202552	687	1997-06-27	VYDAJ	VYBER	3100	15261	\N	\N	\N
202553	687	1997-07-27	VYDAJ	VYBER	5300	17230	\N	\N	\N
202554	687	1997-08-26	VYDAJ	VYBER	8000	16481	\N	\N	\N
202555	687	1997-09-25	VYDAJ	VYBER	8900	14837	\N	\N	\N
202556	687	1997-10-25	VYDAJ	VYBER	5500	16589	\N	\N	\N
202557	687	1997-11-24	VYDAJ	VYBER	9500	14337	\N	\N	\N
202558	687	1997-12-24	VYDAJ	VYBER	10700	14323	\N	\N	\N
202559	687	1998-02-22	VYDAJ	VYBER	7600	16895	\N	\N	\N
202560	687	1998-03-24	VYDAJ	VYBER	6800	17348	\N	\N	\N
202561	687	1998-04-23	VYDAJ	VYBER	8700	15902	\N	\N	\N
202562	687	1998-05-23	VYDAJ	VYBER	9300	13855	\N	\N	\N
202563	687	1998-06-22	VYDAJ	VYBER	8800	14177	\N	\N	\N
202564	687	1998-07-22	VYDAJ	VYBER	7100	14321	\N	\N	\N
202565	687	1998-08-21	VYDAJ	VYBER	6500	15062	\N	\N	\N
202566	687	1998-09-20	VYDAJ	VYBER	5000	17302	\N	\N	\N
202567	687	1998-10-20	VYDAJ	VYBER	4700	19848	\N	\N	\N
202568	687	1998-11-19	VYDAJ	VYBER	7200	19903	\N	\N	\N
202569	687	1998-12-19	VYDAJ	VYBER	7900	21579	\N	\N	\N
202601	688	1993-11-25	PRIJEM	VKLAD	400	400	\N	\N	\N
202613	688	1993-12-07	PRIJEM	PREVOD Z UCTU	3764	4164	\N	UV	1255870
202614	688	1994-01-07	PRIJEM	PREVOD Z UCTU	3764	19843	\N	UV	1255870
202615	688	1994-02-07	PRIJEM	PREVOD Z UCTU	3764	23674	\N	UV	1255870
202616	688	1994-03-07	PRIJEM	PREVOD Z UCTU	3764	27505	\N	UV	1255870
202617	688	1994-04-07	PRIJEM	PREVOD Z UCTU	3764	27944	\N	UV	1255870
202618	688	1994-05-07	PRIJEM	PREVOD Z UCTU	3764	29989	\N	UV	1255870
202619	688	1994-06-07	PRIJEM	PREVOD Z UCTU	3764	30542	\N	UV	1255870
202620	688	1994-07-07	PRIJEM	PREVOD Z UCTU	3764	24657	\N	UV	1255870
202621	688	1994-08-07	PRIJEM	PREVOD Z UCTU	3764	25287	\N	UV	1255870
202622	688	1994-09-07	PRIJEM	PREVOD Z UCTU	3764	25238	\N	UV	1255870
202623	688	1994-10-07	PRIJEM	PREVOD Z UCTU	3764	27674	\N	UV	1255870
202624	688	1994-11-07	PRIJEM	PREVOD Z UCTU	3764	28217	\N	UV	1255870
202625	688	1994-12-07	PRIJEM	PREVOD Z UCTU	3764	27460	\N	UV	1255870
202626	688	1995-01-07	PRIJEM	PREVOD Z UCTU	3764	28936	\N	UV	1255870
202627	688	1995-02-07	PRIJEM	PREVOD Z UCTU	3764	23285	\N	UV	1255870
202628	688	1995-03-07	PRIJEM	PREVOD Z UCTU	3764	27415	\N	UV	1255870
202629	688	1995-04-07	PRIJEM	PREVOD Z UCTU	3764	28358	\N	UV	1255870
202630	688	1995-05-07	PRIJEM	PREVOD Z UCTU	3764	29704	\N	UV	1255870
202631	688	1995-06-07	PRIJEM	PREVOD Z UCTU	3764	30656	\N	UV	1255870
202632	688	1995-07-07	PRIJEM	PREVOD Z UCTU	3764	30295	\N	UV	1255870
202633	688	1995-08-07	PRIJEM	PREVOD Z UCTU	3764	29065	\N	UV	1255870
202634	688	1995-09-07	PRIJEM	PREVOD Z UCTU	3764	32171	\N	UV	1255870
202635	688	1995-10-07	PRIJEM	PREVOD Z UCTU	3764	31639	\N	UV	1255870
202636	688	1995-11-07	PRIJEM	PREVOD Z UCTU	3764	32340	\N	UV	1255870
202637	688	1995-12-07	PRIJEM	PREVOD Z UCTU	3764	29854	\N	UV	1255870
202638	688	1996-01-07	PRIJEM	PREVOD Z UCTU	3764	30517	\N	UV	1255870
202639	688	1996-02-07	PRIJEM	PREVOD Z UCTU	3764	28516	\N	UV	1255870
202640	688	1996-03-07	PRIJEM	PREVOD Z UCTU	3764	30336	\N	UV	1255870
202641	688	1996-04-07	PRIJEM	PREVOD Z UCTU	3764	30087	\N	UV	1255870
202642	688	1996-05-07	PRIJEM	PREVOD Z UCTU	3764	32644	\N	UV	1255870
202643	688	1996-06-07	PRIJEM	PREVOD Z UCTU	3764	34910	\N	UV	1255870
202644	688	1996-07-07	PRIJEM	PREVOD Z UCTU	3764	31657	\N	UV	1255870
202645	688	1996-08-07	PRIJEM	PREVOD Z UCTU	3764	32566	\N	UV	1255870
202646	688	1996-09-07	PRIJEM	PREVOD Z UCTU	3764	33300	\N	UV	1255870
202647	688	1996-10-07	PRIJEM	PREVOD Z UCTU	3764	35169	\N	UV	1255870
202648	688	1996-11-07	PRIJEM	PREVOD Z UCTU	3764	36714	\N	UV	1255870
202649	688	1996-12-07	PRIJEM	PREVOD Z UCTU	3764	37504	\N	UV	1255870
202650	688	1997-01-07	PRIJEM	PREVOD Z UCTU	3764	31546	\N	UV	1255870
202651	688	1997-02-07	PRIJEM	PREVOD Z UCTU	3764	28376	\N	UV	1255870
202652	688	1997-03-07	PRIJEM	PREVOD Z UCTU	3764	26072	\N	UV	1255870
202653	688	1997-04-07	PRIJEM	PREVOD Z UCTU	3764	29013	\N	UV	1255870
202654	688	1997-05-07	PRIJEM	PREVOD Z UCTU	3764	29459	\N	UV	1255870
202655	688	1997-06-07	PRIJEM	PREVOD Z UCTU	3764	28354	\N	UV	1255870
202656	688	1997-07-07	PRIJEM	PREVOD Z UCTU	3764	21244	\N	UV	1255870
202657	688	1997-08-07	PRIJEM	PREVOD Z UCTU	3764	25088	\N	UV	1255870
202658	688	1997-09-07	PRIJEM	PREVOD Z UCTU	3764	22820	\N	UV	1255870
202659	688	1997-10-07	PRIJEM	PREVOD Z UCTU	3764	23496	\N	UV	1255870
202660	688	1997-11-07	PRIJEM	PREVOD Z UCTU	3764	26321	\N	UV	1255870
202661	688	1997-12-07	PRIJEM	PREVOD Z UCTU	3764	21357	\N	UV	1255870
202662	688	1998-01-07	PRIJEM	PREVOD Z UCTU	3764	17889	\N	UV	1255870
202663	688	1998-02-07	PRIJEM	PREVOD Z UCTU	3764	17652	\N	UV	1255870
202664	688	1998-03-07	PRIJEM	PREVOD Z UCTU	3764	17653	\N	UV	1255870
202665	688	1998-04-07	PRIJEM	PREVOD Z UCTU	3764	17855	\N	UV	1255870
202666	688	1998-05-07	PRIJEM	PREVOD Z UCTU	3764	18315	\N	UV	1255870
202667	688	1998-06-07	PRIJEM	PREVOD Z UCTU	3764	19696	\N	UV	1255870
202668	688	1998-07-07	PRIJEM	PREVOD Z UCTU	3764	17104	\N	UV	1255870
202669	688	1998-08-07	PRIJEM	PREVOD Z UCTU	3764	18205	\N	UV	1255870
202670	688	1998-09-07	PRIJEM	PREVOD Z UCTU	3764	18108	\N	UV	1255870
202671	688	1998-10-07	PRIJEM	PREVOD Z UCTU	3764	19229	\N	UV	1255870
202672	688	1998-11-07	PRIJEM	PREVOD Z UCTU	3764	20055	\N	UV	1255870
202673	688	1998-12-07	PRIJEM	PREVOD Z UCTU	3764	20071	\N	UV	1255870
202689	688	1994-04-08	VYDAJ	PREVOD NA UCET	2509	25435	SIPO	GH	38275259
202690	688	1994-05-08	VYDAJ	PREVOD NA UCET	2509	27480	SIPO	GH	38275259
202691	688	1994-06-08	VYDAJ	PREVOD NA UCET	2509	28033	SIPO	GH	38275259
202692	688	1994-07-08	VYDAJ	PREVOD NA UCET	2509	22148	SIPO	GH	38275259
202693	688	1994-08-08	VYDAJ	PREVOD NA UCET	2509	22778	SIPO	GH	38275259
202694	688	1994-09-08	VYDAJ	PREVOD NA UCET	2509	22729	SIPO	GH	38275259
202695	688	1994-10-08	VYDAJ	PREVOD NA UCET	2509	25165	SIPO	GH	38275259
202696	688	1994-11-08	VYDAJ	PREVOD NA UCET	2509	25708	SIPO	GH	38275259
202697	688	1994-12-08	VYDAJ	PREVOD NA UCET	2509	24951	SIPO	GH	38275259
202698	688	1995-01-08	VYDAJ	PREVOD NA UCET	2509	26427	SIPO	GH	38275259
202699	688	1995-02-08	VYDAJ	PREVOD NA UCET	2509	20776	SIPO	GH	38275259
202700	688	1995-03-08	VYDAJ	PREVOD NA UCET	2509	24906	SIPO	GH	38275259
202701	688	1995-04-08	VYDAJ	PREVOD NA UCET	2509	25849	SIPO	GH	38275259
202702	688	1995-05-08	VYDAJ	PREVOD NA UCET	2509	27195	SIPO	GH	38275259
202703	688	1995-06-08	VYDAJ	PREVOD NA UCET	2509	28147	SIPO	GH	38275259
202704	688	1995-07-08	VYDAJ	PREVOD NA UCET	2509	27786	SIPO	GH	38275259
202705	688	1995-08-08	VYDAJ	PREVOD NA UCET	2509	26556	SIPO	GH	38275259
202706	688	1995-09-08	VYDAJ	PREVOD NA UCET	2509	28372	SIPO	GH	38275259
202707	688	1995-10-08	VYDAJ	PREVOD NA UCET	2509	29130	SIPO	GH	38275259
202708	688	1995-11-08	VYDAJ	PREVOD NA UCET	2509	29831	SIPO	GH	38275259
202709	688	1995-12-08	VYDAJ	PREVOD NA UCET	2509	27345	SIPO	GH	38275259
202710	688	1996-01-08	VYDAJ	PREVOD NA UCET	2509	26838	SIPO	GH	38275259
202711	688	1996-02-08	VYDAJ	PREVOD NA UCET	2509	26007	SIPO	GH	38275259
202712	688	1996-03-08	VYDAJ	PREVOD NA UCET	2509	27827	SIPO	GH	38275259
202713	688	1996-04-08	VYDAJ	PREVOD NA UCET	2509	27578	SIPO	GH	38275259
202714	688	1996-05-08	VYDAJ	PREVOD NA UCET	2509	30135	SIPO	GH	38275259
202715	688	1996-06-08	VYDAJ	PREVOD NA UCET	2509	32401	SIPO	GH	38275259
202716	688	1996-07-08	VYDAJ	PREVOD NA UCET	2509	28698	SIPO	GH	38275259
202717	688	1996-08-08	VYDAJ	PREVOD NA UCET	2509	30057	SIPO	GH	38275259
202718	688	1996-09-08	VYDAJ	PREVOD NA UCET	2509	30791	SIPO	GH	38275259
202719	688	1996-10-08	VYDAJ	PREVOD NA UCET	2509	31430	SIPO	GH	38275259
202720	688	1996-11-08	VYDAJ	PREVOD NA UCET	2509	34205	SIPO	GH	38275259
202721	688	1996-12-08	VYDAJ	PREVOD NA UCET	2509	34995	SIPO	GH	38275259
202722	688	1997-01-08	VYDAJ	PREVOD NA UCET	2509	26737	SIPO	GH	38275259
202723	688	1997-02-08	VYDAJ	PREVOD NA UCET	2509	23667	SIPO	GH	38275259
202724	688	1997-03-08	VYDAJ	PREVOD NA UCET	2509	23563	SIPO	GH	38275259
202725	688	1997-04-08	VYDAJ	PREVOD NA UCET	2509	25604	SIPO	GH	38275259
202726	688	1997-05-08	VYDAJ	PREVOD NA UCET	2509	26950	SIPO	GH	38275259
202727	688	1997-06-08	VYDAJ	PREVOD NA UCET	2509	23745	SIPO	GH	38275259
202728	688	1997-07-08	VYDAJ	PREVOD NA UCET	2509	21035	SIPO	GH	38275259
202729	688	1997-08-08	VYDAJ	PREVOD NA UCET	2509	22579	SIPO	GH	38275259
202730	688	1997-09-08	VYDAJ	PREVOD NA UCET	2509	20311	SIPO	GH	38275259
202731	688	1997-10-08	VYDAJ	PREVOD NA UCET	2509	20987	SIPO	GH	38275259
202732	688	1997-11-08	VYDAJ	PREVOD NA UCET	2509	23812	SIPO	GH	38275259
202733	688	1997-12-08	VYDAJ	PREVOD NA UCET	2509	18848	SIPO	GH	38275259
202734	688	1998-01-08	VYDAJ	PREVOD NA UCET	2509	15380	SIPO	GH	38275259
202735	688	1998-02-08	VYDAJ	PREVOD NA UCET	2509	15143	SIPO	GH	38275259
202736	688	1998-03-08	VYDAJ	PREVOD NA UCET	2509	15144	SIPO	GH	38275259
202737	688	1998-04-08	VYDAJ	PREVOD NA UCET	2509	15346	SIPO	GH	38275259
202738	688	1998-05-08	VYDAJ	PREVOD NA UCET	2509	15806	SIPO	GH	38275259
202739	688	1998-06-08	VYDAJ	PREVOD NA UCET	2509	17187	SIPO	GH	38275259
202740	688	1998-07-08	VYDAJ	PREVOD NA UCET	2509	14595	SIPO	GH	38275259
202741	688	1998-08-08	VYDAJ	PREVOD NA UCET	2509	15696	SIPO	GH	38275259
202742	688	1998-09-08	VYDAJ	PREVOD NA UCET	2509	15599	SIPO	GH	38275259
202743	688	1998-10-08	VYDAJ	PREVOD NA UCET	2509	16720	SIPO	GH	38275259
202744	688	1998-11-08	VYDAJ	PREVOD NA UCET	2509	17546	SIPO	GH	38275259
202745	688	1998-12-08	VYDAJ	PREVOD NA UCET	2509	17562	SIPO	GH	38275259
202747	688	1994-06-12	VYDAJ	VYBER	8250	19783	\N	\N	\N
202748	688	1995-06-09	VYDAJ	VYBER	3210	24937	\N	\N	\N
202749	688	1996-06-28	VYDAJ	VYBER	2520	27781	\N	\N	\N
202750	688	1997-06-10	VYDAJ	VYBER	6330	17415	\N	\N	\N
202754	688	1995-01-24	VYDAJ	VYBER	2280	19437	\N	\N	\N
202755	688	1996-01-22	VYDAJ	VYBER	2310	24658	\N	\N	\N
202756	688	1997-01-04	VYDAJ	VYBER	2520	27992	\N	\N	\N
202759	688	1994-12-09	VYDAJ	VYBER	150	24801	\N	\N	\N
202760	688	1995-12-04	VYDAJ	VYBER	300	26090	\N	\N	\N
202761	688	1996-12-28	VYDAJ	VYBER	600	30395	\N	\N	\N
202762	688	1997-12-27	VYDAJ	VYBER	390	18458	\N	\N	\N
202763	688	1998-12-11	VYDAJ	VYBER	810	16752	\N	\N	\N
202776	688	1995-01-05	VYDAJ	VYBER	720	25982	\N	\N	\N
202777	688	1995-01-12	VYDAJ	VYBER	570	25857	\N	\N	\N
202778	688	1995-01-20	VYDAJ	VYBER	540	22467	\N	\N	\N
202779	688	1995-01-06	VYDAJ	VYBER	810	25172	\N	\N	\N
202780	688	1995-01-02	VYDAJ	VYBER	390	26702	\N	\N	\N
202781	688	1995-01-13	VYDAJ	VYBER	750	25107	\N	\N	\N
202782	688	1996-01-13	VYDAJ	VYBER	720	24768	\N	\N	\N
202783	688	1996-01-12	VYDAJ	VYBER	750	25488	\N	\N	\N
202784	688	1996-01-07	VYDAJ	VYBER	450	29347	\N	\N	\N
202785	688	1996-01-03	VYDAJ	VYBER	390	26753	\N	\N	\N
202786	688	1996-01-09	VYDAJ	VYBER	420	26418	\N	\N	\N
202787	688	1996-01-07	VYDAJ	VYBER	720	29797	\N	\N	\N
202788	688	1997-01-05	VYDAJ	VYBER	210	27782	\N	\N	\N
202789	688	1997-01-24	VYDAJ	VYBER	330	24757	\N	\N	\N
202790	688	1997-01-21	VYDAJ	VYBER	630	25087	\N	\N	\N
202791	688	1997-01-18	VYDAJ	VYBER	150	25717	\N	\N	\N
202792	688	1997-01-26	VYDAJ	VYBER	240	24517	\N	\N	\N
202793	688	1997-01-16	VYDAJ	VYBER	870	25867	\N	\N	\N
202795	688	1998-01-09	VYDAJ	VYBER	450	14930	\N	\N	\N
202797	688	1998-01-14	VYDAJ	VYBER	150	14780	\N	\N	\N
202799	688	1998-01-15	VYDAJ	VYBER	240	14540	\N	\N	\N
202803	688	1994-08-30	VYDAJ	VYBER	330	21398	\N	\N	\N
202805	688	1994-06-13	VYDAJ	VYBER	570	19213	\N	\N	\N
202807	688	1994-08-13	VYDAJ	VYBER	1350	21428	\N	\N	\N
202808	688	1995-10-24	VYDAJ	VYBER	1260	28470	\N	\N	\N
202809	688	1995-09-05	VYDAJ	VYBER	810	28407	\N	\N	\N
202810	688	1995-08-05	VYDAJ	VYBER	180	25301	\N	\N	\N
202811	688	1995-09-07	VYDAJ	VYBER	1290	30881	\N	\N	\N
202812	688	1995-01-23	VYDAJ	VYBER	750	21717	\N	\N	\N
202813	688	1995-08-22	VYDAJ	VYBER	240	29116	\N	\N	\N
202814	688	1995-11-10	VYDAJ	VYBER	1140	28691	\N	\N	\N
202815	688	1996-11-22	VYDAJ	VYBER	990	33615	\N	\N	\N
202816	688	1996-02-26	VYDAJ	VYBER	1230	26477	\N	\N	\N
202817	688	1996-08-23	VYDAJ	VYBER	1110	29847	\N	\N	\N
202818	688	1996-07-07	VYDAJ	VYBER	450	31207	\N	\N	\N
202819	688	1996-01-11	VYDAJ	VYBER	180	26238	\N	\N	\N
202820	688	1996-10-07	VYDAJ	VYBER	1230	33939	\N	\N	\N
202821	688	1996-08-26	VYDAJ	VYBER	420	29427	\N	\N	\N
202822	688	1997-05-16	VYDAJ	VYBER	750	24500	\N	\N	\N
202823	688	1997-02-16	VYDAJ	VYBER	1440	22227	\N	\N	\N
202824	688	1997-08-01	VYDAJ	VYBER	1380	19724	\N	\N	\N
202825	688	1997-09-28	VYDAJ	VYBER	450	19861	\N	\N	\N
202826	688	1998-10-09	VYDAJ	VYBER	180	16540	\N	\N	\N
202827	688	1998-11-17	VYDAJ	VYBER	330	16256	\N	\N	\N
202828	688	1998-09-25	VYDAJ	VYBER	180	15419	\N	\N	\N
202829	688	1998-05-15	VYDAJ	VYBER	1020	14786	\N	\N	\N
202830	688	1998-11-11	VYDAJ	VYBER	960	16586	\N	\N	\N
202831	688	1998-04-09	VYDAJ	VYBER	600	14746	\N	\N	\N
202833	688	1998-04-22	VYDAJ	VYBER	240	14506	\N	\N	\N
202850	688	1994-04-30	VYDAJ	VYBER	15	26225	SLUZBY	\N	\N
202851	688	1994-05-31	VYDAJ	VYBER	15	26778	SLUZBY	\N	\N
202852	688	1994-06-30	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
202853	688	1994-07-31	VYDAJ	VYBER	15	21523	SLUZBY	\N	\N
202854	688	1994-08-31	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
202855	688	1994-09-30	VYDAJ	VYBER	15	23910	SLUZBY	\N	\N
202856	688	1994-10-31	VYDAJ	VYBER	15	24453	SLUZBY	\N	\N
202857	688	1994-11-30	VYDAJ	VYBER	15	23696	SLUZBY	\N	\N
202858	688	1994-12-31	VYDAJ	VYBER	15	27092	SLUZBY	\N	\N
202859	688	1995-01-31	VYDAJ	VYBER	15	19521	SLUZBY	\N	\N
202860	688	1995-02-28	VYDAJ	VYBER	15	23651	SLUZBY	\N	\N
202861	688	1995-03-31	VYDAJ	VYBER	15	24594	SLUZBY	\N	\N
202862	688	1995-04-30	VYDAJ	VYBER	15	25940	SLUZBY	\N	\N
202863	688	1995-05-31	VYDAJ	VYBER	15	26892	SLUZBY	\N	\N
202864	688	1995-06-30	VYDAJ	VYBER	15	26531	SLUZBY	\N	\N
202865	688	1995-07-31	VYDAJ	VYBER	15	25481	SLUZBY	\N	\N
202866	688	1995-08-31	VYDAJ	VYBER	15	29217	SLUZBY	\N	\N
202867	688	1995-09-30	VYDAJ	VYBER	15	27875	SLUZBY	\N	\N
202868	688	1995-10-31	VYDAJ	VYBER	15	28576	SLUZBY	\N	\N
202869	688	1995-11-30	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
202870	688	1995-12-31	VYDAJ	VYBER	15	27143	SLUZBY	\N	\N
202871	688	1996-01-31	VYDAJ	VYBER	15	24752	SLUZBY	\N	\N
202872	688	1996-02-29	VYDAJ	VYBER	15	26572	SLUZBY	\N	\N
202873	688	1996-03-31	VYDAJ	VYBER	15	26323	SLUZBY	\N	\N
202874	688	1996-04-30	VYDAJ	VYBER	15	28880	SLUZBY	\N	\N
202875	688	1996-05-31	VYDAJ	VYBER	15	31146	SLUZBY	\N	\N
202876	688	1996-06-30	VYDAJ	VYBER	15	27893	SLUZBY	\N	\N
202877	688	1996-07-31	VYDAJ	VYBER	15	28802	SLUZBY	\N	\N
202878	688	1996-08-31	VYDAJ	VYBER	15	29536	SLUZBY	\N	\N
202879	688	1996-09-30	VYDAJ	VYBER	15	31405	SLUZBY	\N	\N
202880	688	1996-10-31	VYDAJ	VYBER	15	32950	SLUZBY	\N	\N
202881	688	1996-11-30	VYDAJ	VYBER	15	33740	SLUZBY	\N	\N
202882	688	1996-12-31	VYDAJ	VYBER	15	30512	SLUZBY	\N	\N
202883	688	1997-01-31	VYDAJ	VYBER	15	24612	SLUZBY	\N	\N
202884	688	1997-02-28	VYDAJ	VYBER	15	22308	SLUZBY	\N	\N
202885	688	1997-03-31	VYDAJ	VYBER	15	25249	SLUZBY	\N	\N
202886	688	1997-04-30	VYDAJ	VYBER	15	25695	SLUZBY	\N	\N
202887	688	1997-05-31	VYDAJ	VYBER	15	24590	SLUZBY	\N	\N
202888	688	1997-06-30	VYDAJ	VYBER	15	17480	SLUZBY	\N	\N
202889	688	1997-07-31	VYDAJ	VYBER	15	21104	SLUZBY	\N	\N
202890	688	1997-08-31	VYDAJ	VYBER	15	22656	SLUZBY	\N	\N
202891	688	1997-09-30	VYDAJ	VYBER	15	19932	SLUZBY	\N	\N
202892	688	1997-10-31	VYDAJ	VYBER	15	21057	SLUZBY	\N	\N
202893	688	1997-11-30	VYDAJ	VYBER	15	23893	SLUZBY	\N	\N
202894	688	1997-12-31	VYDAJ	VYBER	15	18525	SLUZBY	\N	\N
202895	688	1998-01-31	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
202896	688	1998-02-28	VYDAJ	VYBER	15	15189	SLUZBY	\N	\N
202897	688	1998-03-31	VYDAJ	VYBER	15	15191	SLUZBY	\N	\N
202898	688	1998-04-30	VYDAJ	VYBER	15	14551	SLUZBY	\N	\N
202899	688	1998-05-31	VYDAJ	VYBER	15	14832	SLUZBY	\N	\N
202900	688	1998-06-30	VYDAJ	VYBER	15	17240	SLUZBY	\N	\N
202901	688	1998-07-31	VYDAJ	VYBER	15	14641	SLUZBY	\N	\N
202902	688	1998-08-31	VYDAJ	VYBER	15	15744	SLUZBY	\N	\N
202903	688	1998-09-30	VYDAJ	VYBER	15	15465	SLUZBY	\N	\N
202904	688	1998-10-31	VYDAJ	VYBER	15	16291	SLUZBY	\N	\N
202905	688	1998-11-30	VYDAJ	VYBER	15	16307	SLUZBY	\N	\N
202906	688	1993-12-25	PRIJEM	VKLAD	11900	16064	\N	\N	\N
202907	688	1994-03-25	VYDAJ	VYBER	3400	24105	\N	\N	\N
202908	688	1994-04-24	PRIJEM	VKLAD	700	26135	\N	\N	\N
202909	688	1994-05-24	VYDAJ	VYBER	800	26680	\N	\N	\N
202910	688	1994-06-23	PRIJEM	VKLAD	1600	20813	\N	\N	\N
202911	688	1994-07-23	VYDAJ	VYBER	700	21448	\N	\N	\N
202912	688	1994-08-22	PRIJEM	VKLAD	300	21728	\N	\N	\N
202913	688	1994-09-21	PRIJEM	VKLAD	1100	23829	\N	\N	\N
202914	688	1994-10-21	VYDAJ	VYBER	800	24365	\N	\N	\N
202915	688	1994-11-20	VYDAJ	VYBER	2100	23608	\N	\N	\N
202916	688	1994-12-20	PRIJEM	VKLAD	2200	27001	\N	\N	\N
202917	688	1995-01-19	VYDAJ	VYBER	2100	23007	\N	\N	\N
202918	688	1995-02-18	PRIJEM	VKLAD	2800	23576	\N	\N	\N
202919	688	1995-03-20	VYDAJ	VYBER	400	24506	\N	\N	\N
202920	688	1995-05-19	VYDAJ	VYBER	400	26795	\N	\N	\N
202921	688	1995-06-18	PRIJEM	VKLAD	1500	26437	\N	\N	\N
202922	688	1995-07-18	VYDAJ	VYBER	2400	25386	\N	\N	\N
202923	688	1995-08-17	PRIJEM	VKLAD	2800	29356	\N	\N	\N
202924	688	1995-09-16	VYDAJ	VYBER	600	27772	\N	\N	\N
202925	688	1995-10-16	PRIJEM	VKLAD	600	29730	\N	\N	\N
202926	688	1995-11-15	VYDAJ	VYBER	2400	26291	\N	\N	\N
202927	688	1995-12-15	VYDAJ	VYBER	300	27045	\N	\N	\N
202928	688	1996-01-14	PRIJEM	VKLAD	2200	26968	\N	\N	\N
202929	688	1996-02-13	PRIJEM	VKLAD	1700	27707	\N	\N	\N
202930	688	1996-03-14	VYDAJ	VYBER	1600	26227	\N	\N	\N
202931	688	1996-04-13	PRIJEM	VKLAD	1200	28778	\N	\N	\N
202932	688	1996-05-13	PRIJEM	VKLAD	900	31035	\N	\N	\N
202933	688	1996-06-12	VYDAJ	VYBER	2100	30301	\N	\N	\N
202934	688	1996-08-11	PRIJEM	VKLAD	900	30957	\N	\N	\N
202935	688	1996-09-10	PRIJEM	VKLAD	500	31291	\N	\N	\N
202936	688	1996-10-10	PRIJEM	VKLAD	1400	32830	\N	\N	\N
202937	688	1996-11-09	PRIJEM	VKLAD	400	34605	\N	\N	\N
202938	688	1996-12-09	VYDAJ	VYBER	4000	30995	\N	\N	\N
202939	688	1997-01-08	VYDAJ	VYBER	2300	29246	\N	\N	\N
202940	688	1997-02-07	VYDAJ	VYBER	2200	26176	\N	\N	\N
202941	688	1997-03-09	PRIJEM	VKLAD	1600	25163	\N	\N	\N
202942	688	1997-04-08	VYDAJ	VYBER	900	28113	\N	\N	\N
202943	688	1997-05-08	VYDAJ	VYBER	1700	25250	\N	\N	\N
202944	688	1997-06-07	VYDAJ	VYBER	2100	26254	\N	\N	\N
202945	688	1997-07-07	PRIJEM	VKLAD	2300	23544	\N	\N	\N
202946	688	1997-08-06	PRIJEM	VKLAD	1600	21324	\N	\N	\N
202947	688	1997-09-05	VYDAJ	VYBER	3600	19056	\N	\N	\N
202948	688	1997-10-05	VYDAJ	VYBER	200	19732	\N	\N	\N
202949	688	1997-11-04	PRIJEM	VKLAD	1500	22557	\N	\N	\N
202950	688	1997-12-04	VYDAJ	VYBER	6300	17593	\N	\N	\N
202951	688	1998-01-03	VYDAJ	VYBER	4400	14125	\N	\N	\N
202952	688	1998-02-02	VYDAJ	VYBER	700	13888	\N	\N	\N
202953	688	1998-03-04	VYDAJ	VYBER	1300	13889	\N	\N	\N
202954	688	1998-04-03	VYDAJ	VYBER	1100	14091	\N	\N	\N
202955	688	1998-06-02	PRIJEM	VKLAD	1100	15932	\N	\N	\N
202956	688	1998-07-02	VYDAJ	VYBER	3900	13340	\N	\N	\N
202957	688	1998-08-01	VYDAJ	VYBER	200	14441	\N	\N	\N
202958	688	1998-08-31	VYDAJ	VYBER	1400	14344	\N	\N	\N
202959	688	1998-10-30	VYDAJ	VYBER	300	16240	\N	\N	\N
203021	689	1996-04-24	PRIJEM	VKLAD	400	400	\N	\N	\N
203022	689	1996-10-26	PRIJEM	VKLAD	8032	43784	\N	\N	\N
203023	689	1996-08-04	PRIJEM	VKLAD	31902	79857	\N	\N	\N
203024	689	1996-12-05	PRIJEM	VKLAD	19504	78801	\N	\N	\N
203026	689	1996-07-22	PRIJEM	VKLAD	7318	66868	\N	\N	\N
203030	689	1996-05-12	PRIJEM	VKLAD	35817	36217	\N	\N	\N
203031	689	1996-08-06	PRIJEM	VKLAD	40177	114934	\N	\N	\N
203034	689	1996-11-23	PRIJEM	VKLAD	16119	59119	\N	\N	\N
203035	689	1996-11-21	PRIJEM	VKLAD	5679	43000	\N	\N	\N
203037	689	1996-07-15	PRIJEM	VKLAD	16849	59550	\N	\N	\N
203038	689	1996-08-25	PRIJEM	VKLAD	23394	106507	\N	\N	\N
203039	689	1996-06-02	PRIJEM	VKLAD	29712	59962	\N	\N	\N
203040	689	1996-08-24	PRIJEM	VKLAD	40746	83113	\N	\N	\N
203041	689	1997-09-24	PRIJEM	VKLAD	48104	103400	\N	\N	\N
203042	689	1997-06-07	PRIJEM	VKLAD	24643	49119	\N	\N	\N
203043	689	1997-08-14	PRIJEM	VKLAD	29278	80203	\N	\N	\N
203044	689	1997-07-27	PRIJEM	VKLAD	10538	57193	\N	\N	\N
203045	689	1997-03-02	PRIJEM	VKLAD	40251	62860	\N	\N	\N
203046	689	1997-03-26	PRIJEM	VKLAD	45595	87345	\N	\N	\N
203047	689	1997-10-31	PRIJEM	VKLAD	7483	69234	\N	\N	\N
203048	689	1997-09-22	PRIJEM	VKLAD	36084	55296	\N	\N	\N
203049	689	1997-07-21	PRIJEM	VKLAD	15505	46655	\N	\N	\N
203050	689	1997-07-11	PRIJEM	VKLAD	5912	29350	\N	\N	\N
203051	689	1998-03-06	PRIJEM	VKLAD	34931	85517	\N	\N	\N
203052	689	1998-09-23	PRIJEM	VKLAD	42463	143234	\N	\N	\N
203053	689	1998-08-04	PRIJEM	VKLAD	10818	81462	\N	\N	\N
203054	689	1998-10-04	PRIJEM	VKLAD	23577	117922	\N	\N	\N
203055	689	1998-06-26	PRIJEM	VKLAD	48990	94935	\N	\N	\N
203056	689	1998-05-26	PRIJEM	VKLAD	35446	55759	\N	\N	\N
203057	689	1998-09-30	PRIJEM	VKLAD	5715	112754	\N	\N	\N
203058	689	1998-04-29	PRIJEM	VKLAD	5112	44425	\N	\N	\N
203059	689	1998-02-04	PRIJEM	VKLAD	40000	100061	\N	\N	\N
203060	689	1998-07-27	PRIJEM	VKLAD	19272	84129	\N	\N	\N
203061	689	1998-06-11	PRIJEM	VKLAD	37735	120776	\N	\N	\N
203062	689	1998-01-15	PRIJEM	VKLAD	46540	83008	\N	\N	\N
203063	689	1998-07-25	PRIJEM	VKLAD	37076	64857	\N	\N	\N
203064	689	1998-04-10	PRIJEM	VKLAD	30966	65634	\N	\N	\N
203065	689	1998-12-18	PRIJEM	VKLAD	35094	61788	\N	\N	\N
203066	689	1998-06-21	PRIJEM	VKLAD	41799	107675	\N	\N	\N
203067	689	1998-01-13	PRIJEM	VKLAD	30659	46668	\N	\N	\N
203068	689	1998-09-29	PRIJEM	VKLAD	29505	137639	\N	\N	\N
203069	689	1998-06-05	PRIJEM	VKLAD	33585	89451	\N	\N	\N
203070	689	1998-08-23	PRIJEM	VKLAD	43029	93581	\N	\N	\N
203071	689	1998-09-19	PRIJEM	VKLAD	40019	100771	\N	\N	\N
203115	689	1996-08-06	VYDAJ	PREVOD NA UCET	4989	64045	SIPO	MN	58262753
203116	689	1996-09-06	VYDAJ	PREVOD NA UCET	4989	101822	SIPO	MN	58262753
203117	689	1996-10-06	VYDAJ	PREVOD NA UCET	4989	36873	SIPO	MN	58262753
203118	689	1996-11-06	VYDAJ	PREVOD NA UCET	4989	38942	SIPO	MN	58262753
203119	689	1996-12-06	VYDAJ	PREVOD NA UCET	4989	73812	SIPO	MN	58262753
203120	689	1997-01-06	VYDAJ	PREVOD NA UCET	4989	24324	SIPO	MN	58262753
203121	689	1997-02-06	VYDAJ	PREVOD NA UCET	4989	14565	SIPO	MN	58262753
203122	689	1997-03-06	VYDAJ	PREVOD NA UCET	4989	57871	SIPO	MN	58262753
203123	689	1997-04-06	VYDAJ	PREVOD NA UCET	4989	82563	SIPO	MN	58262753
203124	689	1997-05-06	VYDAJ	PREVOD NA UCET	4989	40441	SIPO	MN	58262753
203125	689	1997-06-06	VYDAJ	PREVOD NA UCET	4989	24476	SIPO	MN	58262753
203126	689	1997-07-06	VYDAJ	PREVOD NA UCET	4989	24859	SIPO	MN	58262753
203127	689	1997-08-06	VYDAJ	PREVOD NA UCET	4989	52346	SIPO	MN	58262753
203128	689	1997-09-06	VYDAJ	PREVOD NA UCET	4989	18333	SIPO	MN	58262753
203129	689	1997-10-06	VYDAJ	PREVOD NA UCET	4989	98572	SIPO	MN	58262753
203130	689	1997-11-06	VYDAJ	PREVOD NA UCET	4989	64568	SIPO	MN	58262753
203131	689	1997-12-06	VYDAJ	PREVOD NA UCET	4989	33830	SIPO	MN	58262753
203132	689	1998-01-06	VYDAJ	PREVOD NA UCET	4989	17430	SIPO	MN	58262753
203133	689	1998-02-06	VYDAJ	PREVOD NA UCET	4989	89072	SIPO	MN	58262753
203134	689	1998-03-06	VYDAJ	PREVOD NA UCET	4989	80528	SIPO	MN	58262753
203135	689	1998-04-06	VYDAJ	PREVOD NA UCET	4989	34668	SIPO	MN	58262753
203136	689	1998-05-06	VYDAJ	PREVOD NA UCET	4989	22334	SIPO	MN	58262753
203137	689	1998-06-06	VYDAJ	PREVOD NA UCET	4989	84462	SIPO	MN	58262753
203138	689	1998-07-06	VYDAJ	PREVOD NA UCET	4989	27202	SIPO	MN	58262753
203139	689	1998-08-06	VYDAJ	PREVOD NA UCET	4989	76473	SIPO	MN	58262753
203140	689	1998-09-06	VYDAJ	PREVOD NA UCET	4989	88873	SIPO	MN	58262753
203141	689	1998-10-06	VYDAJ	PREVOD NA UCET	4989	68633	SIPO	MN	58262753
203142	689	1998-11-06	VYDAJ	PREVOD NA UCET	4989	44056	SIPO	MN	58262753
203143	689	1998-12-06	VYDAJ	PREVOD NA UCET	4989	31815	SIPO	MN	58262753
203151	689	1996-08-10	VYDAJ	PREVOD NA UCET	1388	62641	 	QR	99909179
203152	689	1996-09-10	VYDAJ	PREVOD NA UCET	1388	56901	 	QR	99909179
203153	689	1996-10-10	VYDAJ	PREVOD NA UCET	1388	35485	 	QR	99909179
203154	689	1996-11-10	VYDAJ	PREVOD NA UCET	1388	37537	 	QR	99909179
203155	689	1996-12-10	VYDAJ	PREVOD NA UCET	1388	72391	 	QR	99909179
203156	689	1997-01-10	VYDAJ	PREVOD NA UCET	1388	22936	 	QR	99909179
203157	689	1997-02-10	VYDAJ	PREVOD NA UCET	1388	13144	 	QR	99909179
203158	689	1997-03-10	VYDAJ	PREVOD NA UCET	1388	56450	 	QR	99909179
203159	689	1997-04-10	VYDAJ	PREVOD NA UCET	1388	81142	 	QR	99909179
203160	689	1997-05-10	VYDAJ	PREVOD NA UCET	1388	39020	 	QR	99909179
203161	689	1997-06-10	VYDAJ	PREVOD NA UCET	1388	47714	 	QR	99909179
203162	689	1997-07-10	VYDAJ	PREVOD NA UCET	1388	23455	 	QR	99909179
203163	689	1997-08-10	VYDAJ	PREVOD NA UCET	1388	50958	 	QR	99909179
203164	689	1997-09-10	VYDAJ	PREVOD NA UCET	1388	16945	 	QR	99909179
203165	689	1997-10-10	VYDAJ	PREVOD NA UCET	1388	97168	 	QR	99909179
203166	689	1997-11-10	VYDAJ	PREVOD NA UCET	1388	63180	 	QR	99909179
203167	689	1997-12-10	VYDAJ	PREVOD NA UCET	1388	32425	 	QR	99909179
203168	689	1998-01-10	VYDAJ	PREVOD NA UCET	1388	16042	 	QR	99909179
203169	689	1998-02-10	VYDAJ	PREVOD NA UCET	1388	87684	 	QR	99909179
203170	689	1998-03-10	VYDAJ	PREVOD NA UCET	1388	61161	 	QR	99909179
203171	689	1998-04-10	VYDAJ	PREVOD NA UCET	1388	64213	 	QR	99909179
203172	689	1998-05-10	VYDAJ	PREVOD NA UCET	1388	20913	 	QR	99909179
203173	689	1998-06-10	VYDAJ	PREVOD NA UCET	1388	83041	 	QR	99909179
203174	689	1998-07-10	VYDAJ	PREVOD NA UCET	1388	25814	 	QR	99909179
203175	689	1998-08-10	VYDAJ	PREVOD NA UCET	1388	75085	 	QR	99909179
203176	689	1998-09-10	VYDAJ	PREVOD NA UCET	1388	87485	 	QR	99909179
203177	689	1998-10-10	VYDAJ	PREVOD NA UCET	1388	67245	 	QR	99909179
203178	689	1998-11-10	VYDAJ	PREVOD NA UCET	1388	42668	 	QR	99909179
203179	689	1998-12-10	VYDAJ	PREVOD NA UCET	1388	26694	 	QR	99909179
203187	689	1996-08-10	VYDAJ	PREVOD NA UCET	17	62624	POJISTNE	WX	87462937
203188	689	1996-09-10	VYDAJ	PREVOD NA UCET	17	58289	POJISTNE	WX	87462937
203189	689	1996-10-10	VYDAJ	PREVOD NA UCET	17	35452	POJISTNE	WX	87462937
203190	689	1996-11-10	VYDAJ	PREVOD NA UCET	17	38925	POJISTNE	WX	87462937
203191	689	1996-12-10	VYDAJ	PREVOD NA UCET	17	73795	POJISTNE	WX	87462937
203192	689	1997-01-10	VYDAJ	PREVOD NA UCET	17	22903	POJISTNE	WX	87462937
203193	689	1997-02-10	VYDAJ	PREVOD NA UCET	17	14548	POJISTNE	WX	87462937
203194	689	1997-03-10	VYDAJ	PREVOD NA UCET	17	57854	POJISTNE	WX	87462937
203195	689	1997-04-10	VYDAJ	PREVOD NA UCET	17	82546	POJISTNE	WX	87462937
203196	689	1997-05-10	VYDAJ	PREVOD NA UCET	17	40424	POJISTNE	WX	87462937
203197	689	1997-06-10	VYDAJ	PREVOD NA UCET	17	49102	POJISTNE	WX	87462937
203198	689	1997-07-10	VYDAJ	PREVOD NA UCET	17	23438	POJISTNE	WX	87462937
203199	689	1997-08-10	VYDAJ	PREVOD NA UCET	17	50925	POJISTNE	WX	87462937
203200	689	1997-09-10	VYDAJ	PREVOD NA UCET	17	16928	POJISTNE	WX	87462937
203201	689	1997-10-10	VYDAJ	PREVOD NA UCET	17	97151	POJISTNE	WX	87462937
203202	689	1997-11-10	VYDAJ	PREVOD NA UCET	17	63163	POJISTNE	WX	87462937
203203	689	1997-12-10	VYDAJ	PREVOD NA UCET	17	33813	POJISTNE	WX	87462937
203204	689	1998-01-10	VYDAJ	PREVOD NA UCET	17	16009	POJISTNE	WX	87462937
203205	689	1998-02-10	VYDAJ	PREVOD NA UCET	17	87651	POJISTNE	WX	87462937
203206	689	1998-03-10	VYDAJ	PREVOD NA UCET	17	62565	POJISTNE	WX	87462937
203207	689	1998-04-10	VYDAJ	PREVOD NA UCET	17	65601	POJISTNE	WX	87462937
203208	689	1998-05-10	VYDAJ	PREVOD NA UCET	17	22301	POJISTNE	WX	87462937
203209	689	1998-06-10	VYDAJ	PREVOD NA UCET	17	84429	POJISTNE	WX	87462937
203210	689	1998-07-10	VYDAJ	PREVOD NA UCET	17	25781	POJISTNE	WX	87462937
203211	689	1998-08-10	VYDAJ	PREVOD NA UCET	17	75052	POJISTNE	WX	87462937
203212	689	1998-09-10	VYDAJ	PREVOD NA UCET	17	87452	POJISTNE	WX	87462937
203213	689	1998-10-10	VYDAJ	PREVOD NA UCET	17	67212	POJISTNE	WX	87462937
203214	689	1998-11-10	VYDAJ	PREVOD NA UCET	17	36635	POJISTNE	WX	87462937
203215	689	1998-12-10	VYDAJ	PREVOD NA UCET	17	29098	POJISTNE	WX	87462937
203223	689	1996-08-10	VYDAJ	PREVOD NA UCET	16	64029	 	IJ	93874132
203224	689	1996-09-10	VYDAJ	PREVOD NA UCET	16	58306	 	IJ	93874132
203225	689	1996-10-10	VYDAJ	PREVOD NA UCET	16	35469	 	IJ	93874132
203226	689	1996-11-10	VYDAJ	PREVOD NA UCET	16	37521	 	IJ	93874132
203227	689	1996-12-10	VYDAJ	PREVOD NA UCET	16	73779	 	IJ	93874132
203228	689	1997-01-10	VYDAJ	PREVOD NA UCET	16	22920	 	IJ	93874132
203229	689	1997-02-10	VYDAJ	PREVOD NA UCET	16	14532	 	IJ	93874132
203230	689	1997-03-10	VYDAJ	PREVOD NA UCET	16	57838	 	IJ	93874132
203231	689	1997-04-10	VYDAJ	PREVOD NA UCET	16	82530	 	IJ	93874132
203232	689	1997-05-10	VYDAJ	PREVOD NA UCET	16	40408	 	IJ	93874132
203233	689	1997-06-10	VYDAJ	PREVOD NA UCET	16	47698	 	IJ	93874132
203234	689	1997-07-10	VYDAJ	PREVOD NA UCET	16	24843	 	IJ	93874132
203235	689	1997-08-10	VYDAJ	PREVOD NA UCET	16	50942	 	IJ	93874132
203236	689	1997-09-10	VYDAJ	PREVOD NA UCET	16	16912	 	IJ	93874132
203237	689	1997-10-10	VYDAJ	PREVOD NA UCET	16	98556	 	IJ	93874132
203238	689	1997-11-10	VYDAJ	PREVOD NA UCET	16	63147	 	IJ	93874132
203239	689	1997-12-10	VYDAJ	PREVOD NA UCET	16	32409	 	IJ	93874132
203240	689	1998-01-10	VYDAJ	PREVOD NA UCET	16	16026	 	IJ	93874132
203241	689	1998-02-10	VYDAJ	PREVOD NA UCET	16	87668	 	IJ	93874132
203242	689	1998-03-10	VYDAJ	PREVOD NA UCET	16	62549	 	IJ	93874132
203243	689	1998-04-10	VYDAJ	PREVOD NA UCET	16	65618	 	IJ	93874132
203244	689	1998-05-10	VYDAJ	PREVOD NA UCET	16	22318	 	IJ	93874132
203245	689	1998-06-10	VYDAJ	PREVOD NA UCET	16	84446	 	IJ	93874132
203246	689	1998-07-10	VYDAJ	PREVOD NA UCET	16	25798	 	IJ	93874132
203247	689	1998-08-10	VYDAJ	PREVOD NA UCET	16	75069	 	IJ	93874132
203248	689	1998-09-10	VYDAJ	PREVOD NA UCET	16	87469	 	IJ	93874132
203249	689	1998-10-10	VYDAJ	PREVOD NA UCET	16	67229	 	IJ	93874132
203250	689	1998-11-10	VYDAJ	PREVOD NA UCET	16	36652	 	IJ	93874132
203251	689	1998-12-10	VYDAJ	PREVOD NA UCET	16	29082	 	IJ	93874132
203252	689	1996-08-17	VYBER	VYBER	4357	58267	\N	\N	\N
203253	689	1997-01-11	VYBER	VYBER	3229	19674	\N	\N	\N
203254	689	1997-08-14	VYBER	VYBER	20233	59970	\N	\N	\N
203255	689	1997-11-27	VYBER	VYBER	6841	38606	\N	\N	\N
203256	689	1997-08-17	VYBER	VYBER	9946	50024	\N	\N	\N
203258	689	1997-08-26	VYBER	VYBER	17183	23141	\N	\N	\N
203260	689	1997-05-03	VYBER	VYBER	6796	45430	\N	\N	\N
203262	689	1997-05-13	VYBER	VYBER	12386	26634	\N	\N	\N
203263	689	1998-12-23	VYBER	VYBER	14717	47071	\N	\N	\N
203266	689	1998-03-04	VYBER	VYBER	2930	50586	\N	\N	\N
203268	689	1998-04-30	VYBER	VYBER	17264	27338	\N	\N	\N
203269	689	1998-02-02	VYBER	VYBER	15059	60061	\N	\N	\N
203271	689	1998-03-10	VYBER	VYBER	17946	62582	\N	\N	\N
203272	689	1998-07-31	VYBER	VYBER	13640	70658	\N	\N	\N
203274	689	1998-06-22	VYBER	VYBER	2030	45945	\N	\N	\N
203277	689	1998-06-27	VYDAJ	VYBER	53700	41235	\N	\N	\N
203280	689	1998-01-28	VYDAJ	VYBER	3600	74908	\N	\N	\N
203281	689	1996-12-27	VYDAJ	VYBER	2100	43191	\N	\N	\N
203282	689	1997-12-19	VYDAJ	VYBER	8400	22309	\N	\N	\N
203283	689	1998-12-09	VYDAJ	VYBER	2700	29115	\N	\N	\N
203295	689	1997-01-20	VYDAJ	VYBER	6300	19474	\N	\N	\N
203299	689	1998-01-23	VYDAJ	VYBER	4500	78508	\N	\N	\N
203302	689	1996-12-28	VYDAJ	VYBER	14100	29091	\N	\N	\N
203303	689	1996-08-05	VYDAJ	VYBER	5100	74757	\N	\N	\N
203304	689	1996-12-18	VYDAJ	VYBER	14100	58291	\N	\N	\N
203305	689	1997-07-03	VYDAJ	VYBER	6300	29848	\N	\N	\N
203307	689	1997-03-13	VYDAJ	VYBER	5700	50750	\N	\N	\N
203309	689	1998-07-04	VYDAJ	VYBER	9300	32191	\N	\N	\N
203310	689	1998-02-04	VYDAJ	VYBER	6000	94061	\N	\N	\N
203319	689	1996-08-31	VYDAJ	VYBER	15	106811	SLUZBY	\N	\N
203320	689	1996-09-30	VYDAJ	VYBER	15	41862	SLUZBY	\N	\N
203321	689	1996-10-31	VYDAJ	VYBER	15	43931	SLUZBY	\N	\N
203322	689	1996-11-30	VYDAJ	VYBER	15	59297	SLUZBY	\N	\N
203323	689	1996-12-31	VYDAJ	VYBER	15	29313	SLUZBY	\N	\N
203324	689	1997-01-31	VYDAJ	VYBER	15	19554	SLUZBY	\N	\N
203325	689	1997-02-28	VYDAJ	VYBER	15	22609	SLUZBY	\N	\N
203326	689	1997-03-31	VYDAJ	VYBER	15	87552	SLUZBY	\N	\N
203327	689	1997-04-30	VYDAJ	VYBER	15	52226	SLUZBY	\N	\N
203328	689	1997-05-31	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
203329	689	1997-06-30	VYDAJ	VYBER	15	36148	SLUZBY	\N	\N
203330	689	1997-07-31	VYDAJ	VYBER	15	57335	SLUZBY	\N	\N
203331	689	1997-08-31	VYDAJ	VYBER	15	23322	SLUZBY	\N	\N
203332	689	1997-09-30	VYDAJ	VYBER	15	103561	SLUZBY	\N	\N
203333	689	1997-10-31	VYDAJ	VYBER	15	69557	SLUZBY	\N	\N
203334	689	1997-11-30	VYDAJ	VYBER	15	38819	SLUZBY	\N	\N
203335	689	1997-12-31	VYDAJ	VYBER	15	22419	SLUZBY	\N	\N
203336	689	1998-01-31	VYDAJ	VYBER	15	75120	SLUZBY	\N	\N
203337	689	1998-02-28	VYDAJ	VYBER	15	53516	SLUZBY	\N	\N
203338	689	1998-03-31	VYDAJ	VYBER	15	39657	SLUZBY	\N	\N
203339	689	1998-04-30	VYDAJ	VYBER	15	27323	SLUZBY	\N	\N
203340	689	1998-05-31	VYDAJ	VYBER	15	55866	SLUZBY	\N	\N
203341	689	1998-06-30	VYDAJ	VYBER	15	41491	SLUZBY	\N	\N
203342	689	1998-07-31	VYDAJ	VYBER	15	70644	SLUZBY	\N	\N
203343	689	1998-08-31	VYDAJ	VYBER	15	93862	SLUZBY	\N	\N
203344	689	1998-09-30	VYDAJ	VYBER	15	94345	SLUZBY	\N	\N
203345	689	1998-10-31	VYDAJ	VYBER	15	49045	SLUZBY	\N	\N
203346	689	1998-11-30	VYDAJ	VYBER	15	36804	SLUZBY	\N	\N
203347	689	1996-05-24	VYDAJ	VYBER	6000	30217	\N	\N	\N
203348	689	1996-06-23	VYDAJ	VYBER	17400	42562	\N	\N	\N
203349	689	1996-07-23	VYDAJ	VYBER	19100	47768	\N	\N	\N
203350	689	1996-08-06	VYDAJ	VYBER	45900	69034	\N	\N	\N
203351	689	1996-08-22	VYDAJ	VYBER	15900	42367	\N	\N	\N
203352	689	1996-09-06	VYDAJ	VYBER	43500	58322	\N	\N	\N
203353	689	1996-09-21	VYDAJ	VYBER	15300	41601	\N	\N	\N
203354	689	1996-10-21	PRIJEM	VKLAD	300	35752	\N	\N	\N
203355	689	1996-11-20	VYDAJ	VYBER	200	37321	\N	\N	\N
203356	689	1996-12-20	VYDAJ	VYBER	13000	45291	\N	\N	\N
203357	689	1997-01-19	PRIJEM	VKLAD	6100	25774	\N	\N	\N
203358	689	1997-02-18	PRIJEM	VKLAD	9400	22544	\N	\N	\N
203359	689	1997-03-20	VYDAJ	VYBER	9000	41750	\N	\N	\N
203360	689	1997-04-19	VYDAJ	VYBER	29200	51942	\N	\N	\N
203361	689	1997-05-19	PRIJEM	VKLAD	2700	29334	\N	\N	\N
203362	689	1997-06-18	VYDAJ	VYBER	11700	35998	\N	\N	\N
203363	689	1997-07-18	PRIJEM	VKLAD	1800	31150	\N	\N	\N
203364	689	1997-08-17	VYDAJ	VYBER	9700	40324	\N	\N	\N
203365	689	1997-09-16	PRIJEM	VKLAD	2300	19212	\N	\N	\N
203366	689	1997-10-16	VYDAJ	VYBER	35400	61751	\N	\N	\N
203367	689	1997-11-15	VYDAJ	VYBER	17700	45447	\N	\N	\N
203368	689	1997-12-15	VYDAJ	VYBER	1700	30709	\N	\N	\N
203369	689	1998-01-14	VYDAJ	VYBER	10200	36468	\N	\N	\N
203370	689	1998-02-13	VYDAJ	VYBER	34400	53251	\N	\N	\N
203371	689	1998-03-15	VYDAJ	VYBER	21700	39461	\N	\N	\N
203372	689	1998-04-14	VYDAJ	VYBER	24900	39313	\N	\N	\N
203373	689	1998-05-14	VYDAJ	VYBER	600	20313	\N	\N	\N
203374	689	1998-06-11	VYDAJ	VYBER	23500	97276	\N	\N	\N
203375	689	1998-06-13	VYDAJ	VYBER	31400	65876	\N	\N	\N
203376	689	1998-06-21	VYDAJ	VYBER	59700	47975	\N	\N	\N
203377	689	1998-07-13	PRIJEM	VKLAD	2000	27781	\N	\N	\N
203378	689	1998-08-12	VYDAJ	VYBER	24500	50552	\N	\N	\N
203379	689	1998-09-11	VYDAJ	VYBER	26700	60752	\N	\N	\N
203380	689	1998-09-23	VYDAJ	VYBER	35100	108134	\N	\N	\N
203381	689	1998-09-29	VYDAJ	VYBER	30600	107039	\N	\N	\N
203382	689	1998-09-30	VYDAJ	VYBER	18800	94359	\N	\N	\N
203383	689	1998-10-04	VYDAJ	VYBER	44300	73622	\N	\N	\N
203384	689	1998-10-11	VYDAJ	VYBER	18400	48812	\N	\N	\N
203385	689	1998-11-10	VYDAJ	VYBER	6000	36668	\N	\N	\N
203386	689	1998-12-10	VYDAJ	VYBER	1000	28082	\N	\N	\N
203419	690	1996-07-11	PRIJEM	VKLAD	500	500	\N	\N	\N
203427	690	1996-08-07	PRIJEM	VKLAD	18859	19359	\N	\N	\N
203428	690	1996-09-07	PRIJEM	VKLAD	18859	41384	\N	\N	\N
203429	690	1996-10-07	PRIJEM	VKLAD	18859	49662	\N	\N	\N
203430	690	1996-11-07	PRIJEM	VKLAD	18859	54664	\N	\N	\N
203431	690	1996-12-07	PRIJEM	VKLAD	28288	66509	\N	\N	\N
203432	690	1997-01-07	PRIJEM	VKLAD	18859	44032	\N	\N	\N
203433	690	1997-02-07	PRIJEM	VKLAD	18859	35155	\N	\N	\N
203434	690	1997-03-07	PRIJEM	VKLAD	18859	46954	\N	\N	\N
203435	690	1997-04-07	PRIJEM	VKLAD	18859	44155	\N	\N	\N
203436	690	1997-05-07	PRIJEM	VKLAD	18859	44254	\N	\N	\N
203437	690	1997-06-07	PRIJEM	VKLAD	28288	49585	\N	\N	\N
203438	690	1997-07-07	PRIJEM	VKLAD	18859	41289	\N	\N	\N
203439	690	1997-08-07	PRIJEM	VKLAD	18859	43215	\N	\N	\N
203440	690	1997-09-07	PRIJEM	VKLAD	18859	45358	\N	\N	\N
203441	690	1997-10-07	PRIJEM	VKLAD	18859	42641	\N	\N	\N
203442	690	1997-11-07	PRIJEM	VKLAD	18859	40681	\N	\N	\N
203443	690	1997-12-07	PRIJEM	VKLAD	28288	51586	\N	\N	\N
203444	690	1998-01-07	PRIJEM	VKLAD	18859	40831	\N	\N	\N
203445	690	1998-02-07	PRIJEM	VKLAD	18859	32583	\N	\N	\N
203446	690	1998-03-07	PRIJEM	VKLAD	18859	31467	\N	\N	\N
203447	690	1998-04-07	PRIJEM	VKLAD	18859	43264	\N	\N	\N
203448	690	1998-05-07	PRIJEM	VKLAD	18859	33893	\N	\N	\N
203449	690	1998-06-07	PRIJEM	VKLAD	28288	55135	\N	\N	\N
203450	690	1998-07-07	PRIJEM	VKLAD	18859	33703	\N	\N	\N
203451	690	1998-08-07	PRIJEM	VKLAD	18859	45525	\N	\N	\N
203452	690	1998-09-07	PRIJEM	VKLAD	18859	57364	\N	\N	\N
203453	690	1998-10-07	PRIJEM	VKLAD	18859	69252	\N	\N	\N
203454	690	1998-11-07	PRIJEM	VKLAD	18859	34972	\N	\N	\N
203455	690	1998-12-07	PRIJEM	VKLAD	28288	56195	\N	\N	\N
203467	690	1996-12-09	VYDAJ	PREVOD NA UCET	7152	36357	SIPO	ST	19503748
203468	690	1997-01-09	VYDAJ	PREVOD NA UCET	7152	25480	SIPO	ST	19503748
203469	690	1997-02-09	VYDAJ	PREVOD NA UCET	7152	28003	SIPO	ST	19503748
203470	690	1997-03-09	VYDAJ	PREVOD NA UCET	7152	25202	SIPO	ST	19503748
203471	690	1997-04-09	VYDAJ	PREVOD NA UCET	7152	25303	SIPO	ST	19503748
203472	690	1997-05-09	VYDAJ	PREVOD NA UCET	7152	24702	SIPO	ST	19503748
203473	690	1997-06-09	VYDAJ	PREVOD NA UCET	7152	42433	SIPO	ST	19503748
203474	690	1997-07-09	VYDAJ	PREVOD NA UCET	7152	34137	SIPO	ST	19503748
203475	690	1997-08-09	VYDAJ	PREVOD NA UCET	7152	36063	SIPO	ST	19503748
203476	690	1997-09-09	VYDAJ	PREVOD NA UCET	7152	38206	SIPO	ST	19503748
203477	690	1997-10-09	VYDAJ	PREVOD NA UCET	7152	35489	SIPO	ST	19503748
203478	690	1997-11-09	VYDAJ	PREVOD NA UCET	7152	33529	SIPO	ST	19503748
203479	690	1997-12-09	VYDAJ	PREVOD NA UCET	7152	44434	SIPO	ST	19503748
203480	690	1998-01-09	VYDAJ	PREVOD NA UCET	7152	33679	SIPO	ST	19503748
203481	690	1998-02-09	VYDAJ	PREVOD NA UCET	7152	25431	SIPO	ST	19503748
203482	690	1998-03-09	VYDAJ	PREVOD NA UCET	7152	24315	SIPO	ST	19503748
203483	690	1998-04-09	VYDAJ	PREVOD NA UCET	7152	36112	SIPO	ST	19503748
203484	690	1998-05-09	VYDAJ	PREVOD NA UCET	7152	26741	SIPO	ST	19503748
203485	690	1998-06-09	VYDAJ	PREVOD NA UCET	7152	47983	SIPO	ST	19503748
203486	690	1998-07-09	VYDAJ	PREVOD NA UCET	7152	26551	SIPO	ST	19503748
203487	690	1998-08-09	VYDAJ	PREVOD NA UCET	7152	38373	SIPO	ST	19503748
203488	690	1998-09-09	VYDAJ	PREVOD NA UCET	7152	50212	SIPO	ST	19503748
203489	690	1998-10-09	VYDAJ	PREVOD NA UCET	7152	62100	SIPO	ST	19503748
203490	690	1998-11-09	VYDAJ	PREVOD NA UCET	7152	27820	SIPO	ST	19503748
203491	690	1998-12-09	VYDAJ	PREVOD NA UCET	7152	49043	SIPO	ST	19503748
203529	690	1997-06-21	VYDAJ	VYBER	19520	21113	\N	\N	\N
203532	690	1997-01-20	VYDAJ	VYBER	7680	14800	\N	\N	\N
203533	690	1998-01-19	VYDAJ	VYBER	8640	15919	\N	\N	\N
203534	690	1996-12-26	VYDAJ	VYBER	4480	31877	\N	\N	\N
203535	690	1997-12-02	VYDAJ	VYBER	960	32698	\N	\N	\N
203536	690	1998-12-15	VYDAJ	VYBER	1280	47763	\N	\N	\N
203543	690	1997-01-20	VYDAJ	VYBER	1080	22480	\N	\N	\N
203544	690	1997-01-27	VYDAJ	VYBER	1080	13720	\N	\N	\N
203545	690	1997-01-05	VYDAJ	VYBER	2040	25173	\N	\N	\N
203547	690	1997-01-11	VYDAJ	VYBER	1920	23560	\N	\N	\N
203549	690	1998-01-11	VYDAJ	VYBER	2400	30679	\N	\N	\N
203551	690	1998-01-10	VYDAJ	VYBER	600	33079	\N	\N	\N
203552	690	1998-01-22	VYDAJ	VYBER	2280	13639	\N	\N	\N
203554	690	1998-01-02	VYDAJ	VYBER	3120	41472	\N	\N	\N
203561	690	1997-09-20	VYDAJ	VYBER	5760	32446	\N	\N	\N
203562	690	1997-01-03	VYDAJ	VYBER	4800	27213	\N	\N	\N
203563	690	1997-06-13	VYDAJ	VYBER	1800	40633	\N	\N	\N
203564	690	1998-01-19	VYDAJ	VYBER	3960	24559	\N	\N	\N
203565	690	1998-01-13	VYDAJ	VYBER	2160	28519	\N	\N	\N
203567	690	1998-12-17	VYDAJ	VYBER	2880	44883	\N	\N	\N
203580	690	1996-12-31	VYDAJ	VYBER	15	32013	SLUZBY	\N	\N
203581	690	1997-01-31	VYDAJ	VYBER	15	13796	SLUZBY	\N	\N
203582	690	1997-02-28	VYDAJ	VYBER	15	28095	SLUZBY	\N	\N
203583	690	1997-03-31	VYDAJ	VYBER	15	25296	SLUZBY	\N	\N
203584	690	1997-04-30	VYDAJ	VYBER	15	25395	SLUZBY	\N	\N
203585	690	1997-05-31	VYDAJ	VYBER	15	24797	SLUZBY	\N	\N
203586	690	1997-06-30	VYDAJ	VYBER	15	21230	SLUZBY	\N	\N
203587	690	1997-07-31	VYDAJ	VYBER	15	34256	SLUZBY	\N	\N
203588	690	1997-08-31	VYDAJ	VYBER	15	36199	SLUZBY	\N	\N
203589	690	1997-09-30	VYDAJ	VYBER	15	32582	SLUZBY	\N	\N
203590	690	1997-10-31	VYDAJ	VYBER	15	35622	SLUZBY	\N	\N
203591	690	1997-11-30	VYDAJ	VYBER	15	33658	SLUZBY	\N	\N
203592	690	1997-12-31	VYDAJ	VYBER	15	44592	SLUZBY	\N	\N
203593	690	1998-01-31	VYDAJ	VYBER	15	13724	SLUZBY	\N	\N
203594	690	1998-02-28	VYDAJ	VYBER	15	25508	SLUZBY	\N	\N
203595	690	1998-03-31	VYDAJ	VYBER	15	24405	SLUZBY	\N	\N
203596	690	1998-04-30	VYDAJ	VYBER	15	36234	SLUZBY	\N	\N
203597	690	1998-05-31	VYDAJ	VYBER	15	26847	SLUZBY	\N	\N
203598	690	1998-06-30	VYDAJ	VYBER	15	48144	SLUZBY	\N	\N
203599	690	1998-07-31	VYDAJ	VYBER	15	26666	SLUZBY	\N	\N
203600	690	1998-08-31	VYDAJ	VYBER	15	38505	SLUZBY	\N	\N
203601	690	1998-09-30	VYDAJ	VYBER	15	50393	SLUZBY	\N	\N
203602	690	1998-10-31	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
203603	690	1998-11-30	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
203604	690	1996-08-10	PRIJEM	VKLAD	3100	22459	\N	\N	\N
203605	690	1996-09-09	VYDAJ	VYBER	10700	30684	\N	\N	\N
203606	690	1996-10-09	VYDAJ	VYBER	14000	35662	\N	\N	\N
203607	690	1996-11-08	VYDAJ	VYBER	16600	38064	\N	\N	\N
203608	690	1996-12-08	VYDAJ	VYBER	23000	43509	\N	\N	\N
203609	690	1997-01-07	VYDAJ	VYBER	11400	32632	\N	\N	\N
203610	690	1997-02-06	PRIJEM	VKLAD	2500	16296	\N	\N	\N
203611	690	1997-03-08	VYDAJ	VYBER	14600	32354	\N	\N	\N
203612	690	1997-04-07	VYDAJ	VYBER	11700	32455	\N	\N	\N
203613	690	1997-05-07	VYDAJ	VYBER	12400	31854	\N	\N	\N
203614	690	1997-06-06	VYDAJ	VYBER	3500	21297	\N	\N	\N
203615	690	1997-07-06	PRIJEM	VKLAD	1200	22430	\N	\N	\N
203616	690	1997-08-05	VYDAJ	VYBER	9900	24356	\N	\N	\N
203617	690	1997-09-04	VYDAJ	VYBER	9700	26499	\N	\N	\N
203618	690	1997-10-04	VYDAJ	VYBER	8800	23782	\N	\N	\N
203619	690	1997-11-03	VYDAJ	VYBER	13800	21822	\N	\N	\N
203620	690	1997-12-03	VYDAJ	VYBER	9400	23298	\N	\N	\N
203621	690	1998-01-02	VYDAJ	VYBER	19500	21972	\N	\N	\N
203622	690	1998-03-03	VYDAJ	VYBER	12900	12608	\N	\N	\N
203623	690	1998-05-02	VYDAJ	VYBER	21200	15034	\N	\N	\N
203624	690	1998-07-01	VYDAJ	VYBER	33300	14844	\N	\N	\N
203625	690	1998-10-29	VYDAJ	VYBER	46200	15900	\N	\N	\N
203655	691	1996-02-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
203658	691	1996-03-14	PRIJEM	VKLAD	5013	6113	\N	\N	\N
203659	691	1996-04-14	PRIJEM	VKLAD	5013	16441	\N	\N	\N
203660	691	1996-05-14	PRIJEM	VKLAD	5013	26516	\N	\N	\N
203661	691	1996-06-14	PRIJEM	VKLAD	7520	31228	\N	\N	\N
203662	691	1996-07-14	PRIJEM	VKLAD	5013	27238	\N	\N	\N
203663	691	1996-08-14	PRIJEM	VKLAD	5013	24487	\N	\N	\N
203664	691	1996-09-14	PRIJEM	VKLAD	5013	20833	\N	\N	\N
203665	691	1996-10-14	PRIJEM	VKLAD	5013	18366	\N	\N	\N
203666	691	1996-11-14	PRIJEM	VKLAD	5013	18192	\N	\N	\N
203667	691	1996-12-14	PRIJEM	VKLAD	7520	18120	\N	\N	\N
203668	691	1997-01-14	PRIJEM	VKLAD	5013	13331	\N	\N	\N
203669	691	1997-02-14	PRIJEM	VKLAD	5013	14200	\N	\N	\N
203670	691	1997-03-14	PRIJEM	VKLAD	5013	15912	\N	\N	\N
203671	691	1997-04-14	PRIJEM	VKLAD	5013	17632	\N	\N	\N
203672	691	1997-05-14	PRIJEM	VKLAD	5013	19359	\N	\N	\N
203673	691	1997-06-14	PRIJEM	VKLAD	7520	16585	\N	\N	\N
203674	691	1997-07-14	PRIJEM	VKLAD	5013	13392	\N	\N	\N
203675	691	1997-08-14	PRIJEM	VKLAD	5013	13397	\N	\N	\N
203676	691	1997-09-14	PRIJEM	VKLAD	5013	15106	\N	\N	\N
203677	691	1997-10-14	PRIJEM	VKLAD	5013	16822	\N	\N	\N
203678	691	1997-11-14	PRIJEM	VKLAD	5013	18545	\N	\N	\N
203679	691	1997-12-14	PRIJEM	VKLAD	7520	22783	\N	\N	\N
203680	691	1998-01-14	PRIJEM	VKLAD	5013	19244	\N	\N	\N
203681	691	1998-02-14	PRIJEM	VKLAD	5013	15452	\N	\N	\N
203682	691	1998-03-14	PRIJEM	VKLAD	5013	17169	\N	\N	\N
203683	691	1998-04-14	PRIJEM	VKLAD	5013	18894	\N	\N	\N
203684	691	1998-05-14	PRIJEM	VKLAD	5013	20025	\N	\N	\N
203685	691	1998-06-14	PRIJEM	VKLAD	7520	24268	\N	\N	\N
203686	691	1998-07-14	PRIJEM	VKLAD	5013	25178	\N	\N	\N
203687	691	1998-08-14	PRIJEM	VKLAD	5013	22133	\N	\N	\N
203688	691	1998-09-14	PRIJEM	VKLAD	5013	23879	\N	\N	\N
203689	691	1998-10-14	PRIJEM	VKLAD	5013	25631	\N	\N	\N
203690	691	1998-11-14	PRIJEM	VKLAD	5013	22107	\N	\N	\N
203691	691	1998-12-14	PRIJEM	VKLAD	7520	26357	\N	\N	\N
203699	691	1996-08-07	VYDAJ	PREVOD NA UCET	3342	19474	SIPO	YZ	42897981
203700	691	1996-09-07	VYDAJ	PREVOD NA UCET	3342	15820	SIPO	YZ	42897981
203701	691	1996-10-07	VYDAJ	PREVOD NA UCET	3342	13353	SIPO	YZ	42897981
203702	691	1996-11-07	VYDAJ	PREVOD NA UCET	3342	13179	SIPO	YZ	42897981
203703	691	1996-12-07	VYDAJ	PREVOD NA UCET	3342	10600	SIPO	YZ	42897981
203704	691	1997-01-07	VYDAJ	PREVOD NA UCET	3342	8318	SIPO	YZ	42897981
203705	691	1997-02-07	VYDAJ	PREVOD NA UCET	3342	9187	SIPO	YZ	42897981
203706	691	1997-03-07	VYDAJ	PREVOD NA UCET	3342	10899	SIPO	YZ	42897981
203707	691	1997-04-07	VYDAJ	PREVOD NA UCET	3342	12619	SIPO	YZ	42897981
203708	691	1997-05-07	VYDAJ	PREVOD NA UCET	3342	14346	SIPO	YZ	42897981
203709	691	1997-06-07	VYDAJ	PREVOD NA UCET	3342	9065	SIPO	YZ	42897981
203710	691	1997-07-07	VYDAJ	PREVOD NA UCET	3342	8379	SIPO	YZ	42897981
203711	691	1997-08-07	VYDAJ	PREVOD NA UCET	3342	8384	SIPO	YZ	42897981
203712	691	1997-09-07	VYDAJ	PREVOD NA UCET	3342	10093	SIPO	YZ	42897981
203713	691	1997-10-07	VYDAJ	PREVOD NA UCET	3342	11809	SIPO	YZ	42897981
203714	691	1997-11-07	VYDAJ	PREVOD NA UCET	3342	13532	SIPO	YZ	42897981
203715	691	1997-12-07	VYDAJ	PREVOD NA UCET	3342	15263	SIPO	YZ	42897981
203716	691	1998-01-07	VYDAJ	PREVOD NA UCET	3342	17471	SIPO	YZ	42897981
203717	691	1998-02-07	VYDAJ	PREVOD NA UCET	3342	10439	SIPO	YZ	42897981
203718	691	1998-03-07	VYDAJ	PREVOD NA UCET	3342	12156	SIPO	YZ	42897981
203719	691	1998-04-07	VYDAJ	PREVOD NA UCET	3342	13881	SIPO	YZ	42897981
203720	691	1998-05-07	VYDAJ	PREVOD NA UCET	3342	15612	SIPO	YZ	42897981
203721	691	1998-06-07	VYDAJ	PREVOD NA UCET	3342	16748	SIPO	YZ	42897981
203722	691	1998-07-07	VYDAJ	PREVOD NA UCET	3342	20165	SIPO	YZ	42897981
203723	691	1998-08-07	VYDAJ	PREVOD NA UCET	3342	17120	SIPO	YZ	42897981
203724	691	1998-09-07	VYDAJ	PREVOD NA UCET	3342	18866	SIPO	YZ	42897981
203725	691	1998-10-07	VYDAJ	PREVOD NA UCET	3342	20618	SIPO	YZ	42897981
203726	691	1998-11-07	VYDAJ	PREVOD NA UCET	3342	17094	SIPO	YZ	42897981
203727	691	1998-12-07	VYDAJ	PREVOD NA UCET	3342	18837	SIPO	YZ	42897981
203732	691	1997-12-17	VYDAJ	VYBER	1440	21343	\N	\N	\N
203733	691	1998-12-26	VYDAJ	VYBER	4000	22357	\N	\N	\N
203744	691	1997-01-27	VYDAJ	VYBER	840	12491	\N	\N	\N
203746	691	1998-01-19	VYDAJ	VYBER	1440	17084	\N	\N	\N
203747	691	1998-01-18	VYDAJ	VYBER	720	18524	\N	\N	\N
203748	691	1998-01-26	VYDAJ	VYBER	3360	13724	\N	\N	\N
203749	691	1998-01-13	VYDAJ	VYBER	1440	14231	\N	\N	\N
203750	691	1998-01-02	VYDAJ	VYBER	600	20813	\N	\N	\N
203751	691	1998-01-07	VYDAJ	VYBER	1800	15671	\N	\N	\N
203762	691	1998-07-02	VYDAJ	VYBER	840	23507	\N	\N	\N
203763	691	1998-10-25	VYDAJ	VYBER	4080	21551	\N	\N	\N
203764	691	1998-11-02	VYDAJ	VYBER	1200	20436	\N	\N	\N
203765	691	1998-05-10	VYDAJ	VYBER	600	15012	\N	\N	\N
203767	691	1998-08-04	VYDAJ	VYBER	4800	20462	\N	\N	\N
203775	691	1996-07-31	VYDAJ	VYBER	15	22816	SLUZBY	\N	\N
203776	691	1996-08-31	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
203777	691	1996-09-30	VYDAJ	VYBER	15	16695	SLUZBY	\N	\N
203778	691	1996-10-31	VYDAJ	VYBER	15	16521	SLUZBY	\N	\N
203779	691	1996-11-30	VYDAJ	VYBER	15	13942	SLUZBY	\N	\N
203780	691	1996-12-31	VYDAJ	VYBER	15	11660	SLUZBY	\N	\N
203781	691	1997-01-31	VYDAJ	VYBER	15	12529	SLUZBY	\N	\N
203782	691	1997-02-28	VYDAJ	VYBER	15	14241	SLUZBY	\N	\N
203783	691	1997-03-31	VYDAJ	VYBER	15	15961	SLUZBY	\N	\N
203784	691	1997-04-30	VYDAJ	VYBER	15	17688	SLUZBY	\N	\N
203785	691	1997-05-31	VYDAJ	VYBER	15	12407	SLUZBY	\N	\N
203786	691	1997-06-30	VYDAJ	VYBER	15	11721	SLUZBY	\N	\N
203787	691	1997-07-31	VYDAJ	VYBER	15	11726	SLUZBY	\N	\N
203788	691	1997-08-31	VYDAJ	VYBER	15	13435	SLUZBY	\N	\N
203789	691	1997-09-30	VYDAJ	VYBER	15	15151	SLUZBY	\N	\N
203790	691	1997-10-31	VYDAJ	VYBER	15	16874	SLUZBY	\N	\N
203791	691	1997-11-30	VYDAJ	VYBER	15	18605	SLUZBY	\N	\N
203792	691	1997-12-31	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
203793	691	1998-01-31	VYDAJ	VYBER	15	13781	SLUZBY	\N	\N
203794	691	1998-02-28	VYDAJ	VYBER	15	15498	SLUZBY	\N	\N
203795	691	1998-03-31	VYDAJ	VYBER	15	17223	SLUZBY	\N	\N
203796	691	1998-04-30	VYDAJ	VYBER	15	18954	SLUZBY	\N	\N
203797	691	1998-05-31	VYDAJ	VYBER	15	20090	SLUZBY	\N	\N
203798	691	1998-06-30	VYDAJ	VYBER	15	24347	SLUZBY	\N	\N
203799	691	1998-07-31	VYDAJ	VYBER	15	25262	SLUZBY	\N	\N
203800	691	1998-08-31	VYDAJ	VYBER	15	22208	SLUZBY	\N	\N
203801	691	1998-09-30	VYDAJ	VYBER	15	23960	SLUZBY	\N	\N
203802	691	1998-10-31	VYDAJ	VYBER	15	21636	SLUZBY	\N	\N
203803	691	1998-11-30	VYDAJ	VYBER	15	22179	SLUZBY	\N	\N
203804	691	1996-03-22	PRIJEM	VKLAD	5300	11413	\N	\N	\N
203805	691	1996-04-21	PRIJEM	VKLAD	5000	21441	\N	\N	\N
203806	691	1996-05-21	VYDAJ	VYBER	2900	23616	\N	\N	\N
203807	691	1996-06-20	VYDAJ	VYBER	9100	22128	\N	\N	\N
203808	691	1996-07-20	VYDAJ	VYBER	4500	22738	\N	\N	\N
203809	691	1996-08-19	VYDAJ	VYBER	5400	19087	\N	\N	\N
203810	691	1996-09-18	VYDAJ	VYBER	4200	16633	\N	\N	\N
203811	691	1996-10-18	VYDAJ	VYBER	1900	16466	\N	\N	\N
203812	691	1996-11-17	VYDAJ	VYBER	4300	13892	\N	\N	\N
203813	691	1996-12-17	VYDAJ	VYBER	6500	11620	\N	\N	\N
203814	691	1997-05-16	VYDAJ	VYBER	7000	12359	\N	\N	\N
203815	691	1997-06-15	VYDAJ	VYBER	4900	11685	\N	\N	\N
203816	691	1997-07-15	VYDAJ	VYBER	1700	11692	\N	\N	\N
203851	692	1996-10-02	PRIJEM	VKLAD	800	800	\N	\N	\N
203861	692	1996-10-11	PRIJEM	VKLAD	17771	18571	\N	\N	\N
203862	692	1996-11-11	PRIJEM	VKLAD	17771	42394	\N	\N	\N
203863	692	1996-12-11	PRIJEM	VKLAD	26656	61494	\N	\N	\N
203864	692	1997-01-11	PRIJEM	VKLAD	17771	57793	\N	\N	\N
203865	692	1997-02-11	PRIJEM	VKLAD	17771	57230	\N	\N	\N
203866	692	1997-03-11	PRIJEM	VKLAD	17771	55984	\N	\N	\N
203867	692	1997-04-11	PRIJEM	VKLAD	17771	49032	\N	\N	\N
203868	692	1997-05-11	PRIJEM	VKLAD	17771	45440	\N	\N	\N
203869	692	1997-06-11	PRIJEM	VKLAD	26656	54534	\N	\N	\N
203870	692	1997-07-11	PRIJEM	VKLAD	17771	34603	\N	\N	\N
203871	692	1997-08-11	PRIJEM	VKLAD	17771	36781	\N	\N	\N
203872	692	1997-09-11	PRIJEM	VKLAD	17771	36446	\N	\N	\N
203873	692	1997-10-11	PRIJEM	VKLAD	17771	35207	\N	\N	\N
203874	692	1997-11-11	PRIJEM	VKLAD	17771	33861	\N	\N	\N
203875	692	1997-12-11	PRIJEM	VKLAD	26656	40749	\N	\N	\N
203876	692	1998-01-11	PRIJEM	VKLAD	17771	32270	\N	\N	\N
203877	692	1998-02-11	PRIJEM	VKLAD	17771	31445	\N	\N	\N
203878	692	1998-03-11	PRIJEM	VKLAD	17771	37100	\N	\N	\N
203879	692	1998-04-11	PRIJEM	VKLAD	17771	33058	\N	\N	\N
203880	692	1998-05-11	PRIJEM	VKLAD	17771	32500	\N	\N	\N
203881	692	1998-06-11	PRIJEM	VKLAD	26656	39623	\N	\N	\N
203882	692	1998-07-11	PRIJEM	VKLAD	17771	32573	\N	\N	\N
203883	692	1998-08-11	PRIJEM	VKLAD	17771	31710	\N	\N	\N
203884	692	1998-09-11	PRIJEM	VKLAD	17771	31142	\N	\N	\N
203885	692	1998-10-11	PRIJEM	VKLAD	17771	31572	\N	\N	\N
203886	692	1998-11-11	PRIJEM	VKLAD	17771	30801	\N	\N	\N
203887	692	1998-12-11	PRIJEM	VKLAD	26656	38911	\N	\N	\N
203901	692	1997-02-12	VYDAJ	PREVOD NA UCET	4366	52727	SIPO	QR	82628667
203902	692	1997-03-12	VYDAJ	PREVOD NA UCET	4366	51481	SIPO	QR	82628667
203903	692	1997-04-12	VYDAJ	PREVOD NA UCET	4366	44529	SIPO	QR	82628667
203904	692	1997-05-12	VYDAJ	PREVOD NA UCET	4366	40937	SIPO	QR	82628667
203905	692	1997-06-12	VYDAJ	PREVOD NA UCET	4366	50031	SIPO	QR	82628667
203906	692	1997-07-12	VYDAJ	PREVOD NA UCET	4366	30100	SIPO	QR	82628667
203907	692	1997-08-12	VYDAJ	PREVOD NA UCET	4366	32278	SIPO	QR	82628667
203908	692	1997-09-12	VYDAJ	PREVOD NA UCET	4366	31943	SIPO	QR	82628667
203909	692	1997-10-12	VYDAJ	PREVOD NA UCET	4366	30704	SIPO	QR	82628667
203910	692	1997-11-12	VYDAJ	PREVOD NA UCET	4366	29358	SIPO	QR	82628667
203911	692	1997-12-12	VYDAJ	PREVOD NA UCET	4366	36246	SIPO	QR	82628667
203912	692	1998-01-12	VYDAJ	PREVOD NA UCET	4366	27767	SIPO	QR	82628667
203913	692	1998-02-12	VYDAJ	PREVOD NA UCET	4366	26942	SIPO	QR	82628667
203914	692	1998-03-12	VYDAJ	PREVOD NA UCET	4366	32597	SIPO	QR	82628667
203915	692	1998-04-12	VYDAJ	PREVOD NA UCET	4366	28555	SIPO	QR	82628667
203916	692	1998-05-12	VYDAJ	PREVOD NA UCET	4366	27997	SIPO	QR	82628667
203917	692	1998-06-12	VYDAJ	PREVOD NA UCET	4366	35120	SIPO	QR	82628667
203918	692	1998-07-12	VYDAJ	PREVOD NA UCET	4366	28070	SIPO	QR	82628667
203919	692	1998-08-12	VYDAJ	PREVOD NA UCET	4366	27207	SIPO	QR	82628667
203920	692	1998-09-12	VYDAJ	PREVOD NA UCET	4366	26639	SIPO	QR	82628667
203921	692	1998-10-12	VYDAJ	PREVOD NA UCET	4366	27069	SIPO	QR	82628667
203922	692	1998-11-12	VYDAJ	PREVOD NA UCET	4366	26298	SIPO	QR	82628667
203923	692	1998-12-12	VYDAJ	PREVOD NA UCET	4366	34408	SIPO	QR	82628667
203937	692	1997-02-11	VYDAJ	PREVOD NA UCET	137	57093	 	OP	98083799
203938	692	1997-03-11	VYDAJ	PREVOD NA UCET	137	55847	 	OP	98083799
203939	692	1997-04-11	VYDAJ	PREVOD NA UCET	137	48895	 	OP	98083799
203940	692	1997-05-11	VYDAJ	PREVOD NA UCET	137	45303	 	OP	98083799
203941	692	1997-06-11	VYDAJ	PREVOD NA UCET	137	54397	 	OP	98083799
203942	692	1997-07-11	VYDAJ	PREVOD NA UCET	137	34466	 	OP	98083799
203943	692	1997-08-11	VYDAJ	PREVOD NA UCET	137	36644	 	OP	98083799
203944	692	1997-09-11	VYDAJ	PREVOD NA UCET	137	36309	 	OP	98083799
203945	692	1997-10-11	VYDAJ	PREVOD NA UCET	137	35070	 	OP	98083799
203946	692	1997-11-11	VYDAJ	PREVOD NA UCET	137	33724	 	OP	98083799
203947	692	1997-12-11	VYDAJ	PREVOD NA UCET	137	40612	 	OP	98083799
203948	692	1998-01-11	VYDAJ	PREVOD NA UCET	137	32133	 	OP	98083799
203949	692	1998-02-11	VYDAJ	PREVOD NA UCET	137	31308	 	OP	98083799
203950	692	1998-03-11	VYDAJ	PREVOD NA UCET	137	36963	 	OP	98083799
203951	692	1998-04-11	VYDAJ	PREVOD NA UCET	137	32921	 	OP	98083799
203952	692	1998-05-11	VYDAJ	PREVOD NA UCET	137	32363	 	OP	98083799
203953	692	1998-06-11	VYDAJ	PREVOD NA UCET	137	39486	 	OP	98083799
203954	692	1998-07-11	VYDAJ	PREVOD NA UCET	137	32436	 	OP	98083799
203955	692	1998-08-11	VYDAJ	PREVOD NA UCET	137	31573	 	OP	98083799
203956	692	1998-09-11	VYDAJ	PREVOD NA UCET	137	31005	 	OP	98083799
203957	692	1998-10-11	VYDAJ	PREVOD NA UCET	137	31435	 	OP	98083799
203958	692	1998-11-11	VYDAJ	PREVOD NA UCET	137	30664	 	OP	98083799
203959	692	1998-12-11	VYDAJ	PREVOD NA UCET	137	38774	 	OP	98083799
203961	692	1997-06-26	VYDAJ	VYBER	32640	17391	\N	\N	\N
203965	692	1998-01-02	VYDAJ	VYBER	2240	14499	\N	\N	\N
203982	692	1998-01-01	VYDAJ	VYBER	1800	16739	\N	\N	\N
203984	692	1998-01-21	VYDAJ	VYBER	3360	21407	\N	\N	\N
203985	692	1998-01-20	VYDAJ	VYBER	3000	24767	\N	\N	\N
203994	692	1997-04-03	VYDAJ	VYBER	5520	31261	\N	\N	\N
203996	692	1997-05-07	VYDAJ	VYBER	4920	27669	\N	\N	\N
203997	692	1997-07-31	VYDAJ	VYBER	1680	19010	\N	\N	\N
203998	692	1997-11-16	VYDAJ	VYBER	2640	26718	\N	\N	\N
204000	692	1998-02-20	VYDAJ	VYBER	2880	19262	\N	\N	\N
204001	692	1998-02-19	VYDAJ	VYBER	4800	22142	\N	\N	\N
204016	692	1997-02-28	VYDAJ	VYBER	15	52913	SLUZBY	\N	\N
204017	692	1997-03-31	VYDAJ	VYBER	15	36781	SLUZBY	\N	\N
204018	692	1997-04-30	VYDAJ	VYBER	15	44689	SLUZBY	\N	\N
204019	692	1997-05-31	VYDAJ	VYBER	15	27878	SLUZBY	\N	\N
204020	692	1997-06-30	VYDAJ	VYBER	15	16832	SLUZBY	\N	\N
204021	692	1997-07-31	VYDAJ	VYBER	15	20690	SLUZBY	\N	\N
204022	692	1997-08-31	VYDAJ	VYBER	15	18675	SLUZBY	\N	\N
204023	692	1997-09-30	VYDAJ	VYBER	15	17436	SLUZBY	\N	\N
204024	692	1997-10-31	VYDAJ	VYBER	15	16090	SLUZBY	\N	\N
204025	692	1997-11-30	VYDAJ	VYBER	15	14093	SLUZBY	\N	\N
204026	692	1997-12-31	VYDAJ	VYBER	15	18539	SLUZBY	\N	\N
204027	692	1998-01-31	VYDAJ	VYBER	15	13674	SLUZBY	\N	\N
204028	692	1998-02-28	VYDAJ	VYBER	15	19329	SLUZBY	\N	\N
204029	692	1998-03-31	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
204030	692	1998-04-30	VYDAJ	VYBER	15	14729	SLUZBY	\N	\N
204031	692	1998-05-31	VYDAJ	VYBER	15	12967	SLUZBY	\N	\N
204032	692	1998-06-30	VYDAJ	VYBER	15	14802	SLUZBY	\N	\N
204033	692	1998-07-31	VYDAJ	VYBER	15	13939	SLUZBY	\N	\N
204034	692	1998-08-31	VYDAJ	VYBER	15	13371	SLUZBY	\N	\N
204035	692	1998-09-30	VYDAJ	VYBER	15	13801	SLUZBY	\N	\N
204036	692	1998-10-31	VYDAJ	VYBER	15	13030	SLUZBY	\N	\N
204037	692	1998-11-30	VYDAJ	VYBER	15	12255	SLUZBY	\N	\N
204038	692	1996-11-01	PRIJEM	VKLAD	6000	24623	\N	\N	\N
204039	692	1996-12-01	VYDAJ	VYBER	7700	34838	\N	\N	\N
204040	692	1996-12-31	VYDAJ	VYBER	21700	40022	\N	\N	\N
204041	692	1997-01-30	VYDAJ	VYBER	18500	39293	\N	\N	\N
204042	692	1997-03-01	VYDAJ	VYBER	14700	38213	\N	\N	\N
204043	692	1997-03-31	VYDAJ	VYBER	14900	36796	\N	\N	\N
204044	692	1997-04-30	VYDAJ	VYBER	12100	32589	\N	\N	\N
204045	692	1997-05-30	VYDAJ	VYBER	13200	27737	\N	\N	\N
204046	692	1997-06-29	VYDAJ	VYBER	700	16691	\N	\N	\N
204047	692	1997-07-29	VYDAJ	VYBER	9500	20600	\N	\N	\N
204048	692	1997-08-28	VYDAJ	VYBER	13700	18578	\N	\N	\N
204049	692	1997-09-27	VYDAJ	VYBER	14600	17343	\N	\N	\N
204050	692	1997-10-27	VYDAJ	VYBER	14700	16004	\N	\N	\N
204051	692	1997-11-26	VYDAJ	VYBER	12700	14018	\N	\N	\N
204052	692	1997-12-26	VYDAJ	VYBER	17800	18446	\N	\N	\N
204053	692	1998-01-25	VYDAJ	VYBER	7800	13607	\N	\N	\N
204054	692	1998-03-26	VYDAJ	VYBER	17400	15197	\N	\N	\N
204055	692	1998-04-25	VYDAJ	VYBER	13900	14655	\N	\N	\N
204056	692	1998-05-25	VYDAJ	VYBER	15100	12897	\N	\N	\N
204057	692	1998-06-24	VYDAJ	VYBER	20400	14720	\N	\N	\N
204058	692	1998-07-24	VYDAJ	VYBER	14200	13870	\N	\N	\N
204059	692	1998-08-23	VYDAJ	VYBER	13900	13307	\N	\N	\N
204060	692	1998-09-22	VYDAJ	VYBER	12900	13739	\N	\N	\N
204061	692	1998-10-22	VYDAJ	VYBER	14100	12969	\N	\N	\N
204062	692	1998-11-21	VYDAJ	VYBER	14100	12198	\N	\N	\N
204063	692	1998-12-21	VYDAJ	VYBER	21400	13008	\N	\N	\N
204091	693	1994-06-06	PRIJEM	VKLAD	200	200	\N	\N	\N
204098	693	1994-07-05	PRIJEM	VKLAD	17623	17823	\N	\N	\N
204099	693	1994-08-05	PRIJEM	VKLAD	17623	40927	\N	\N	\N
204100	693	1994-09-05	PRIJEM	VKLAD	17623	47990	\N	\N	\N
204101	693	1994-10-05	PRIJEM	VKLAD	17623	51806	\N	\N	\N
204102	693	1994-11-05	PRIJEM	VKLAD	17623	56043	\N	\N	\N
204103	693	1994-12-05	PRIJEM	VKLAD	26434	64661	\N	\N	\N
204104	693	1995-01-05	PRIJEM	VKLAD	17623	56257	\N	\N	\N
204105	693	1995-02-05	PRIJEM	VKLAD	17623	43201	\N	\N	\N
204106	693	1995-03-05	PRIJEM	VKLAD	17623	47927	\N	\N	\N
204107	693	1995-04-05	PRIJEM	VKLAD	17623	51269	\N	\N	\N
204108	693	1995-05-05	PRIJEM	VKLAD	17623	56233	\N	\N	\N
204109	693	1995-06-05	PRIJEM	VKLAD	26434	67731	\N	\N	\N
204110	693	1995-07-05	PRIJEM	VKLAD	17623	61861	\N	\N	\N
204111	693	1995-08-05	PRIJEM	VKLAD	17623	63277	\N	\N	\N
204112	693	1995-09-05	PRIJEM	VKLAD	17623	54780	\N	\N	\N
204113	693	1995-10-05	PRIJEM	VKLAD	17623	58757	\N	\N	\N
204114	693	1995-11-05	PRIJEM	VKLAD	17623	54575	\N	\N	\N
204115	693	1995-12-05	PRIJEM	VKLAD	26434	63652	\N	\N	\N
204116	693	1996-01-05	PRIJEM	VKLAD	17623	55001	\N	\N	\N
204117	693	1996-02-05	PRIJEM	VKLAD	17623	50496	\N	\N	\N
204118	693	1996-03-05	PRIJEM	VKLAD	17623	51117	\N	\N	\N
204119	693	1996-04-05	PRIJEM	VKLAD	17623	55269	\N	\N	\N
204120	693	1996-05-05	PRIJEM	VKLAD	17623	55434	\N	\N	\N
204121	693	1996-06-05	PRIJEM	VKLAD	26434	66512	\N	\N	\N
204122	693	1996-07-05	PRIJEM	VKLAD	17623	43576	\N	\N	\N
204123	693	1996-08-05	PRIJEM	VKLAD	17623	51197	\N	\N	\N
204124	693	1996-09-05	PRIJEM	VKLAD	17623	54600	\N	\N	\N
204125	693	1996-10-05	PRIJEM	VKLAD	17623	55759	\N	\N	\N
204126	693	1996-11-05	PRIJEM	VKLAD	17623	55720	\N	\N	\N
204127	693	1996-12-05	PRIJEM	VKLAD	26434	58795	\N	\N	\N
204128	693	1997-01-05	PRIJEM	VKLAD	17623	53377	\N	\N	\N
204129	693	1997-02-05	PRIJEM	VKLAD	17623	42192	\N	\N	\N
204130	693	1997-03-05	PRIJEM	VKLAD	17623	47201	\N	\N	\N
204131	693	1997-04-05	PRIJEM	VKLAD	17623	47424	\N	\N	\N
204132	693	1997-05-05	PRIJEM	VKLAD	17623	46146	\N	\N	\N
204133	693	1997-06-05	PRIJEM	VKLAD	26434	51952	\N	\N	\N
204134	693	1997-07-05	PRIJEM	VKLAD	17623	33374	\N	\N	\N
204135	693	1997-08-05	PRIJEM	VKLAD	17623	33307	\N	\N	\N
204136	693	1997-09-05	PRIJEM	VKLAD	17623	37876	\N	\N	\N
204137	693	1997-10-05	PRIJEM	VKLAD	17623	37603	\N	\N	\N
204138	693	1997-11-05	PRIJEM	VKLAD	17623	38306	\N	\N	\N
204139	693	1997-12-05	PRIJEM	VKLAD	26434	46695	\N	\N	\N
204140	693	1998-01-05	PRIJEM	VKLAD	17623	40163	\N	\N	\N
204141	693	1998-02-05	PRIJEM	VKLAD	17623	35156	\N	\N	\N
204142	693	1998-03-05	PRIJEM	VKLAD	17623	34618	\N	\N	\N
204143	693	1998-04-05	PRIJEM	VKLAD	17623	32376	\N	\N	\N
204144	693	1998-05-05	PRIJEM	VKLAD	17623	43751	\N	\N	\N
204145	693	1998-06-05	PRIJEM	VKLAD	26434	48334	\N	\N	\N
204146	693	1998-07-05	PRIJEM	VKLAD	17623	39924	\N	\N	\N
204147	693	1998-08-05	PRIJEM	VKLAD	17623	40106	\N	\N	\N
204148	693	1998-09-05	PRIJEM	VKLAD	17623	36377	\N	\N	\N
204149	693	1998-10-05	PRIJEM	VKLAD	17623	36340	\N	\N	\N
204150	693	1998-11-05	PRIJEM	VKLAD	17623	32894	\N	\N	\N
204151	693	1998-12-05	PRIJEM	VKLAD	26434	42254	\N	\N	\N
204162	693	1994-11-07	VYDAJ	PREVOD NA UCET	6329	49714	SIPO	IJ	37686020
204163	693	1994-12-07	VYDAJ	PREVOD NA UCET	6329	58332	SIPO	IJ	37686020
204164	693	1995-01-07	VYDAJ	PREVOD NA UCET	6329	47528	SIPO	IJ	37686020
204165	693	1995-02-07	VYDAJ	PREVOD NA UCET	6329	36872	SIPO	IJ	37686020
204166	693	1995-03-07	VYDAJ	PREVOD NA UCET	6329	41598	SIPO	IJ	37686020
204167	693	1995-04-07	VYDAJ	PREVOD NA UCET	6329	44940	SIPO	IJ	37686020
204168	693	1995-05-07	VYDAJ	PREVOD NA UCET	6329	49904	SIPO	IJ	37686020
204169	693	1995-06-07	VYDAJ	PREVOD NA UCET	6329	61402	SIPO	IJ	37686020
204170	693	1995-07-07	VYDAJ	PREVOD NA UCET	6329	55532	SIPO	IJ	37686020
204171	693	1995-08-07	VYDAJ	PREVOD NA UCET	6329	54548	SIPO	IJ	37686020
204172	693	1995-09-07	VYDAJ	PREVOD NA UCET	6329	48451	SIPO	IJ	37686020
204173	693	1995-10-07	VYDAJ	PREVOD NA UCET	6329	52428	SIPO	IJ	37686020
204174	693	1995-11-07	VYDAJ	PREVOD NA UCET	6329	48246	SIPO	IJ	37686020
204175	693	1995-12-07	VYDAJ	PREVOD NA UCET	6329	57323	SIPO	IJ	37686020
204176	693	1996-01-07	VYDAJ	PREVOD NA UCET	6329	48672	SIPO	IJ	37686020
204177	693	1996-02-07	VYDAJ	PREVOD NA UCET	6329	44167	SIPO	IJ	37686020
204178	693	1996-03-07	VYDAJ	PREVOD NA UCET	6329	44788	SIPO	IJ	37686020
204179	693	1996-04-07	VYDAJ	PREVOD NA UCET	6329	48940	SIPO	IJ	37686020
204180	693	1996-05-07	VYDAJ	PREVOD NA UCET	6329	49105	SIPO	IJ	37686020
204181	693	1996-06-07	VYDAJ	PREVOD NA UCET	6329	21943	SIPO	IJ	37686020
204182	693	1996-07-07	VYDAJ	PREVOD NA UCET	6329	37247	SIPO	IJ	37686020
204183	693	1996-08-07	VYDAJ	PREVOD NA UCET	6329	44868	SIPO	IJ	37686020
204184	693	1996-09-07	VYDAJ	PREVOD NA UCET	6329	48271	SIPO	IJ	37686020
204185	693	1996-10-07	VYDAJ	PREVOD NA UCET	6329	49430	SIPO	IJ	37686020
204186	693	1996-11-07	VYDAJ	PREVOD NA UCET	6329	49391	SIPO	IJ	37686020
204187	693	1996-12-07	VYDAJ	PREVOD NA UCET	6329	52466	SIPO	IJ	37686020
204188	693	1997-01-07	VYDAJ	PREVOD NA UCET	6329	47048	SIPO	IJ	37686020
204189	693	1997-02-07	VYDAJ	PREVOD NA UCET	6329	35863	SIPO	IJ	37686020
204190	693	1997-03-07	VYDAJ	PREVOD NA UCET	6329	40872	SIPO	IJ	37686020
204191	693	1997-04-07	VYDAJ	PREVOD NA UCET	6329	41095	SIPO	IJ	37686020
204192	693	1997-05-07	VYDAJ	PREVOD NA UCET	6329	39817	SIPO	IJ	37686020
204193	693	1997-06-07	VYDAJ	PREVOD NA UCET	6329	11703	SIPO	IJ	37686020
204194	693	1997-07-07	VYDAJ	PREVOD NA UCET	6329	27045	SIPO	IJ	37686020
204195	693	1997-08-07	VYDAJ	PREVOD NA UCET	6329	26978	SIPO	IJ	37686020
204196	693	1997-09-07	VYDAJ	PREVOD NA UCET	6329	31547	SIPO	IJ	37686020
204197	693	1997-10-07	VYDAJ	PREVOD NA UCET	6329	31274	SIPO	IJ	37686020
204198	693	1997-11-07	VYDAJ	PREVOD NA UCET	6329	31977	SIPO	IJ	37686020
204199	693	1997-12-07	VYDAJ	PREVOD NA UCET	6329	40366	SIPO	IJ	37686020
204200	693	1998-01-07	VYDAJ	PREVOD NA UCET	6329	33834	SIPO	IJ	37686020
204201	693	1998-02-07	VYDAJ	PREVOD NA UCET	6329	28827	SIPO	IJ	37686020
204202	693	1998-03-07	VYDAJ	PREVOD NA UCET	6329	28289	SIPO	IJ	37686020
204203	693	1998-04-07	VYDAJ	PREVOD NA UCET	6329	26047	SIPO	IJ	37686020
204204	693	1998-05-07	VYDAJ	PREVOD NA UCET	6329	37422	SIPO	IJ	37686020
204205	693	1998-06-07	VYDAJ	PREVOD NA UCET	6329	42005	SIPO	IJ	37686020
204206	693	1998-07-07	VYDAJ	PREVOD NA UCET	6329	33595	SIPO	IJ	37686020
204207	693	1998-08-07	VYDAJ	PREVOD NA UCET	6329	33777	SIPO	IJ	37686020
204208	693	1998-09-07	VYDAJ	PREVOD NA UCET	6329	30048	SIPO	IJ	37686020
204209	693	1998-10-07	VYDAJ	PREVOD NA UCET	6329	30011	SIPO	IJ	37686020
204210	693	1998-11-07	VYDAJ	PREVOD NA UCET	6329	26565	SIPO	IJ	37686020
204211	693	1998-12-07	VYDAJ	PREVOD NA UCET	6329	35925	SIPO	IJ	37686020
204214	693	1996-06-07	VYDAJ	VYBER	38240	28272	\N	\N	\N
204215	693	1997-06-05	VYDAJ	VYBER	33920	18032	\N	\N	\N
204218	693	1995-01-25	VYDAJ	VYBER	15200	22368	\N	\N	\N
204219	693	1996-01-01	VYDAJ	VYBER	2400	38578	\N	\N	\N
204220	693	1997-01-12	VYDAJ	VYBER	6560	31488	\N	\N	\N
204222	693	1994-12-24	VYDAJ	VYBER	1920	56412	\N	\N	\N
204223	693	1995-12-20	VYDAJ	VYBER	3840	53483	\N	\N	\N
204224	693	1996-12-22	VYDAJ	VYBER	1760	50706	\N	\N	\N
204225	693	1997-12-08	VYDAJ	VYBER	3520	36846	\N	\N	\N
204233	693	1995-01-15	VYDAJ	VYBER	3480	40928	\N	\N	\N
204234	693	1995-01-10	VYDAJ	VYBER	3120	44408	\N	\N	\N
204235	693	1995-01-06	VYDAJ	VYBER	2400	53857	\N	\N	\N
204236	693	1995-01-19	VYDAJ	VYBER	3360	37568	\N	\N	\N
204237	693	1995-01-27	VYDAJ	VYBER	840	21528	\N	\N	\N
204238	693	1995-01-04	VYDAJ	VYBER	3000	38634	\N	\N	\N
204239	693	1996-01-08	VYDAJ	VYBER	1440	47232	\N	\N	\N
204240	693	1996-01-24	VYDAJ	VYBER	3120	38592	\N	\N	\N
204241	693	1996-01-03	VYDAJ	VYBER	1200	37378	\N	\N	\N
204242	693	1996-01-28	VYDAJ	VYBER	3480	32712	\N	\N	\N
204243	693	1996-01-09	VYDAJ	VYBER	2640	44592	\N	\N	\N
204244	693	1996-01-23	VYDAJ	VYBER	2880	41712	\N	\N	\N
204245	693	1997-01-01	VYDAJ	VYBER	3120	35754	\N	\N	\N
204246	693	1997-01-08	VYDAJ	VYBER	3360	43688	\N	\N	\N
204247	693	1997-01-10	VYDAJ	VYBER	2400	38048	\N	\N	\N
204248	693	1997-01-08	VYDAJ	VYBER	3240	40448	\N	\N	\N
204249	693	1997-01-17	VYDAJ	VYBER	1320	30168	\N	\N	\N
204250	693	1997-01-22	VYDAJ	VYBER	2520	24448	\N	\N	\N
204252	693	1998-01-10	VYDAJ	VYBER	720	33114	\N	\N	\N
204254	693	1998-01-12	VYDAJ	VYBER	3480	29634	\N	\N	\N
204256	693	1998-01-24	VYDAJ	VYBER	1080	17454	\N	\N	\N
204262	693	1994-11-22	VYDAJ	VYBER	2280	47434	\N	\N	\N
204263	693	1995-08-24	VYDAJ	VYBER	3000	51548	\N	\N	\N
204264	693	1995-03-10	VYDAJ	VYBER	1680	39918	\N	\N	\N
204265	693	1995-10-23	VYDAJ	VYBER	5160	47268	\N	\N	\N
204266	693	1995-03-23	VYDAJ	VYBER	1680	36798	\N	\N	\N
204267	693	1995-08-05	VYDAJ	VYBER	2400	60877	\N	\N	\N
204268	693	1995-03-17	VYDAJ	VYBER	1440	38478	\N	\N	\N
204269	693	1995-09-01	VYDAJ	VYBER	4800	37157	\N	\N	\N
204270	693	1996-11-09	VYDAJ	VYBER	5280	44111	\N	\N	\N
204271	693	1996-08-10	VYDAJ	VYBER	2640	42228	\N	\N	\N
204272	693	1996-02-12	VYDAJ	VYBER	3120	41047	\N	\N	\N
204273	693	1997-07-17	VYDAJ	VYBER	840	20925	\N	\N	\N
204274	693	1997-05-08	VYDAJ	VYBER	4800	35017	\N	\N	\N
204275	693	1997-05-21	VYDAJ	VYBER	1920	33097	\N	\N	\N
204276	693	1997-10-01	VYDAJ	VYBER	5160	19980	\N	\N	\N
204277	693	1997-10-13	VYDAJ	VYBER	4680	26594	\N	\N	\N
204278	693	1997-03-17	VYDAJ	VYBER	1800	39072	\N	\N	\N
204279	693	1997-07-07	VYDAJ	VYBER	5280	21765	\N	\N	\N
204281	693	1998-05-21	VYDAJ	VYBER	2520	21802	\N	\N	\N
204295	693	1994-11-30	VYDAJ	VYBER	15	47627	SLUZBY	\N	\N
204296	693	1994-12-31	VYDAJ	VYBER	15	56634	SLUZBY	\N	\N
204297	693	1995-01-31	VYDAJ	VYBER	15	21678	SLUZBY	\N	\N
204298	693	1995-02-28	VYDAJ	VYBER	15	37004	SLUZBY	\N	\N
204299	693	1995-03-31	VYDAJ	VYBER	15	36946	SLUZBY	\N	\N
204300	693	1995-04-30	VYDAJ	VYBER	15	45110	SLUZBY	\N	\N
204301	693	1995-05-31	VYDAJ	VYBER	15	50097	SLUZBY	\N	\N
204302	693	1995-06-30	VYDAJ	VYBER	15	61638	SLUZBY	\N	\N
204303	693	1995-07-31	VYDAJ	VYBER	15	55754	SLUZBY	\N	\N
204304	693	1995-08-31	VYDAJ	VYBER	15	41957	SLUZBY	\N	\N
204305	693	1995-09-30	VYDAJ	VYBER	15	41134	SLUZBY	\N	\N
204306	693	1995-10-31	VYDAJ	VYBER	15	36952	SLUZBY	\N	\N
204307	693	1995-11-30	VYDAJ	VYBER	15	37218	SLUZBY	\N	\N
204308	693	1995-12-31	VYDAJ	VYBER	15	40978	SLUZBY	\N	\N
204309	693	1996-01-31	VYDAJ	VYBER	15	32873	SLUZBY	\N	\N
204310	693	1996-02-29	VYDAJ	VYBER	15	33494	SLUZBY	\N	\N
204311	693	1996-03-31	VYDAJ	VYBER	15	37646	SLUZBY	\N	\N
204312	693	1996-04-30	VYDAJ	VYBER	15	37811	SLUZBY	\N	\N
204313	693	1996-05-31	VYDAJ	VYBER	15	40078	SLUZBY	\N	\N
204314	693	1996-06-30	VYDAJ	VYBER	15	25953	SLUZBY	\N	\N
204315	693	1996-07-31	VYDAJ	VYBER	15	33574	SLUZBY	\N	\N
204316	693	1996-08-31	VYDAJ	VYBER	15	36977	SLUZBY	\N	\N
204317	693	1996-09-30	VYDAJ	VYBER	15	38136	SLUZBY	\N	\N
204318	693	1996-10-31	VYDAJ	VYBER	15	38097	SLUZBY	\N	\N
204319	693	1996-11-30	VYDAJ	VYBER	15	32361	SLUZBY	\N	\N
204320	693	1996-12-31	VYDAJ	VYBER	15	38874	SLUZBY	\N	\N
204321	693	1997-01-31	VYDAJ	VYBER	15	24569	SLUZBY	\N	\N
204322	693	1997-02-28	VYDAJ	VYBER	15	29578	SLUZBY	\N	\N
204323	693	1997-03-31	VYDAJ	VYBER	15	29801	SLUZBY	\N	\N
204324	693	1997-04-30	VYDAJ	VYBER	15	28523	SLUZBY	\N	\N
204325	693	1997-05-31	VYDAJ	VYBER	15	25518	SLUZBY	\N	\N
204326	693	1997-06-30	VYDAJ	VYBER	15	15751	SLUZBY	\N	\N
204327	693	1997-07-31	VYDAJ	VYBER	15	15684	SLUZBY	\N	\N
204328	693	1997-08-31	VYDAJ	VYBER	15	20253	SLUZBY	\N	\N
204329	693	1997-09-30	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
204330	693	1997-10-31	VYDAJ	VYBER	15	20683	SLUZBY	\N	\N
204331	693	1997-11-30	VYDAJ	VYBER	15	20261	SLUZBY	\N	\N
204332	693	1997-12-31	VYDAJ	VYBER	15	22540	SLUZBY	\N	\N
204333	693	1998-01-31	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
204334	693	1998-02-28	VYDAJ	VYBER	15	16995	SLUZBY	\N	\N
204335	693	1998-03-31	VYDAJ	VYBER	15	14753	SLUZBY	\N	\N
204336	693	1998-04-30	VYDAJ	VYBER	15	26128	SLUZBY	\N	\N
204337	693	1998-05-31	VYDAJ	VYBER	15	21900	SLUZBY	\N	\N
204338	693	1998-06-30	VYDAJ	VYBER	15	22301	SLUZBY	\N	\N
204339	693	1998-07-31	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
204340	693	1998-08-31	VYDAJ	VYBER	15	18754	SLUZBY	\N	\N
204341	693	1998-09-30	VYDAJ	VYBER	15	18717	SLUZBY	\N	\N
204342	693	1998-10-31	VYDAJ	VYBER	15	15271	SLUZBY	\N	\N
204343	693	1998-11-30	VYDAJ	VYBER	15	15820	SLUZBY	\N	\N
204344	693	1994-07-06	PRIJEM	VKLAD	5400	23223	\N	\N	\N
204345	693	1994-08-05	VYDAJ	VYBER	5800	35127	\N	\N	\N
204346	693	1994-09-04	VYDAJ	VYBER	4900	30367	\N	\N	\N
204347	693	1994-10-04	VYDAJ	VYBER	14000	34183	\N	\N	\N
204348	693	1994-11-03	VYDAJ	VYBER	13600	38420	\N	\N	\N
204349	693	1994-12-03	VYDAJ	VYBER	9400	38227	\N	\N	\N
204350	693	1995-01-02	VYDAJ	VYBER	15000	41634	\N	\N	\N
204351	693	1995-02-01	PRIJEM	VKLAD	3900	25578	\N	\N	\N
204352	693	1995-03-03	VYDAJ	VYBER	6700	30304	\N	\N	\N
204353	693	1995-04-02	VYDAJ	VYBER	3300	33646	\N	\N	\N
204354	693	1995-05-02	VYDAJ	VYBER	6500	38610	\N	\N	\N
204355	693	1995-06-01	VYDAJ	VYBER	8800	41297	\N	\N	\N
204356	693	1995-07-01	VYDAJ	VYBER	17400	44238	\N	\N	\N
204357	693	1995-07-31	VYDAJ	VYBER	10100	45654	\N	\N	\N
204358	693	1995-08-30	VYDAJ	VYBER	9800	41748	\N	\N	\N
204359	693	1995-09-29	VYDAJ	VYBER	7500	40951	\N	\N	\N
204360	693	1995-10-29	VYDAJ	VYBER	10500	36768	\N	\N	\N
204361	693	1995-11-28	VYDAJ	VYBER	11200	37046	\N	\N	\N
204362	693	1995-12-28	VYDAJ	VYBER	12700	40783	\N	\N	\N
204363	693	1996-01-27	VYDAJ	VYBER	2400	36192	\N	\N	\N
204364	693	1996-02-26	VYDAJ	VYBER	7700	33347	\N	\N	\N
204365	693	1996-03-27	VYDAJ	VYBER	7300	37488	\N	\N	\N
204366	693	1996-04-26	VYDAJ	VYBER	11300	37640	\N	\N	\N
204367	693	1996-05-26	VYDAJ	VYBER	9200	39905	\N	\N	\N
204368	693	1996-06-25	PRIJEM	VKLAD	3900	25843	\N	\N	\N
204369	693	1996-07-25	VYDAJ	VYBER	3800	33447	\N	\N	\N
204370	693	1996-08-24	VYDAJ	VYBER	5400	36828	\N	\N	\N
204371	693	1996-09-23	VYDAJ	VYBER	10300	37971	\N	\N	\N
204372	693	1996-10-23	VYDAJ	VYBER	11500	37930	\N	\N	\N
204373	693	1996-11-22	VYDAJ	VYBER	11900	32211	\N	\N	\N
204374	693	1996-12-22	VYDAJ	VYBER	12000	38706	\N	\N	\N
204375	693	1997-01-21	VYDAJ	VYBER	3200	26968	\N	\N	\N
204376	693	1997-02-20	VYDAJ	VYBER	6400	29463	\N	\N	\N
204377	693	1997-03-22	VYDAJ	VYBER	9400	29672	\N	\N	\N
204378	693	1997-04-21	VYDAJ	VYBER	12700	28395	\N	\N	\N
204379	693	1997-05-21	VYDAJ	VYBER	7700	25397	\N	\N	\N
204380	693	1997-06-20	PRIJEM	VKLAD	4000	15703	\N	\N	\N
204381	693	1997-07-20	VYDAJ	VYBER	5300	15625	\N	\N	\N
204382	693	1997-08-19	VYDAJ	VYBER	6800	20178	\N	\N	\N
204383	693	1997-09-18	VYDAJ	VYBER	6500	25047	\N	\N	\N
204384	693	1997-10-18	VYDAJ	VYBER	6000	20594	\N	\N	\N
204385	693	1997-11-17	VYDAJ	VYBER	11800	20177	\N	\N	\N
204386	693	1997-12-17	VYDAJ	VYBER	14400	22446	\N	\N	\N
204387	693	1998-01-16	VYDAJ	VYBER	11100	18534	\N	\N	\N
204388	693	1998-02-15	VYDAJ	VYBER	11900	16927	\N	\N	\N
204389	693	1998-03-17	VYDAJ	VYBER	13600	14689	\N	\N	\N
204390	693	1998-05-16	VYDAJ	VYBER	13100	24322	\N	\N	\N
204391	693	1998-06-15	VYDAJ	VYBER	19800	22205	\N	\N	\N
204392	693	1998-07-15	VYDAJ	VYBER	11200	22395	\N	\N	\N
204393	693	1998-08-14	VYDAJ	VYBER	15100	18677	\N	\N	\N
204394	693	1998-09-13	VYDAJ	VYBER	11400	18648	\N	\N	\N
204395	693	1998-10-13	VYDAJ	VYBER	14800	15211	\N	\N	\N
204396	693	1998-11-12	VYDAJ	VYBER	10800	15765	\N	\N	\N
204397	693	1998-12-12	VYDAJ	VYBER	17800	18125	\N	\N	\N
204452	694	1996-09-04	PRIJEM	VKLAD	500	500	\N	\N	\N
204461	694	1996-09-13	PRIJEM	PREVOD Z UCTU	6318	6818	DUCHOD	IJ	35888862
204462	694	1996-10-13	PRIJEM	PREVOD Z UCTU	6318	13153	DUCHOD	IJ	35888862
204463	694	1996-11-13	PRIJEM	PREVOD Z UCTU	6318	19499	DUCHOD	IJ	35888862
204464	694	1996-12-13	PRIJEM	PREVOD Z UCTU	6318	25846	DUCHOD	IJ	35888862
204465	694	1997-01-13	PRIJEM	PREVOD Z UCTU	6318	30192	DUCHOD	IJ	35888862
204466	694	1997-02-13	PRIJEM	PREVOD Z UCTU	6318	29808	DUCHOD	IJ	35888862
204467	694	1997-03-13	PRIJEM	PREVOD Z UCTU	6318	33139	DUCHOD	IJ	35888862
204468	694	1997-04-13	PRIJEM	PREVOD Z UCTU	6318	35279	DUCHOD	IJ	35888862
204469	694	1997-05-13	PRIJEM	PREVOD Z UCTU	6318	31928	DUCHOD	IJ	35888862
204470	694	1997-06-13	PRIJEM	PREVOD Z UCTU	6318	29216	DUCHOD	IJ	35888862
204471	694	1997-07-13	PRIJEM	PREVOD Z UCTU	6318	30445	DUCHOD	IJ	35888862
204472	694	1997-08-13	PRIJEM	PREVOD Z UCTU	6318	29234	DUCHOD	IJ	35888862
204473	694	1997-09-13	PRIJEM	PREVOD Z UCTU	6318	26076	DUCHOD	IJ	35888862
204474	694	1997-10-13	PRIJEM	PREVOD Z UCTU	6318	29387	DUCHOD	IJ	35888862
204475	694	1997-11-13	PRIJEM	PREVOD Z UCTU	6318	31811	DUCHOD	IJ	35888862
204476	694	1997-12-13	PRIJEM	PREVOD Z UCTU	6318	34845	DUCHOD	IJ	35888862
204477	694	1998-01-13	PRIJEM	PREVOD Z UCTU	6318	29050	DUCHOD	IJ	35888862
204478	694	1998-02-13	PRIJEM	PREVOD Z UCTU	6318	30373	DUCHOD	IJ	35888862
204479	694	1998-03-13	PRIJEM	PREVOD Z UCTU	6318	33702	DUCHOD	IJ	35888862
204480	694	1998-04-13	PRIJEM	PREVOD Z UCTU	6318	31199	DUCHOD	IJ	35888862
204481	694	1998-05-13	PRIJEM	PREVOD Z UCTU	6318	34530	DUCHOD	IJ	35888862
204482	694	1998-06-13	PRIJEM	PREVOD Z UCTU	6318	37476	DUCHOD	IJ	35888862
204483	694	1998-07-13	PRIJEM	PREVOD Z UCTU	6318	33806	DUCHOD	IJ	35888862
204484	694	1998-08-13	PRIJEM	PREVOD Z UCTU	6318	36549	DUCHOD	IJ	35888862
204485	694	1998-09-13	PRIJEM	PREVOD Z UCTU	6318	37601	DUCHOD	IJ	35888862
204486	694	1998-10-13	PRIJEM	PREVOD Z UCTU	6318	39658	DUCHOD	IJ	35888862
204487	694	1998-11-13	PRIJEM	PREVOD Z UCTU	6318	42524	DUCHOD	IJ	35888862
204488	694	1998-12-13	PRIJEM	PREVOD Z UCTU	6318	41999	DUCHOD	IJ	35888862
204502	694	1997-02-10	VYDAJ	PREVOD NA UCET	3096	23490	SIPO	QR	91037123
204503	694	1997-03-10	VYDAJ	PREVOD NA UCET	3096	26821	SIPO	QR	91037123
204504	694	1997-04-10	VYDAJ	PREVOD NA UCET	3096	28961	SIPO	QR	91037123
204505	694	1997-05-10	VYDAJ	PREVOD NA UCET	3096	25610	SIPO	QR	91037123
204506	694	1997-06-10	VYDAJ	PREVOD NA UCET	3096	22898	SIPO	QR	91037123
204507	694	1997-07-10	VYDAJ	PREVOD NA UCET	3096	24127	SIPO	QR	91037123
204508	694	1997-08-10	VYDAJ	PREVOD NA UCET	3096	22916	SIPO	QR	91037123
204509	694	1997-09-10	VYDAJ	PREVOD NA UCET	3096	19758	SIPO	QR	91037123
204510	694	1997-10-10	VYDAJ	PREVOD NA UCET	3096	23069	SIPO	QR	91037123
204511	694	1997-11-10	VYDAJ	PREVOD NA UCET	3096	25493	SIPO	QR	91037123
204512	694	1997-12-10	VYDAJ	PREVOD NA UCET	3096	28527	SIPO	QR	91037123
204513	694	1998-01-10	VYDAJ	PREVOD NA UCET	3096	22732	SIPO	QR	91037123
204514	694	1998-02-10	VYDAJ	PREVOD NA UCET	3096	24055	SIPO	QR	91037123
204515	694	1998-03-10	VYDAJ	PREVOD NA UCET	3096	27384	SIPO	QR	91037123
204516	694	1998-04-10	VYDAJ	PREVOD NA UCET	3096	24881	SIPO	QR	91037123
204517	694	1998-05-10	VYDAJ	PREVOD NA UCET	3096	28212	SIPO	QR	91037123
204518	694	1998-06-10	VYDAJ	PREVOD NA UCET	3096	31158	SIPO	QR	91037123
204519	694	1998-07-10	VYDAJ	PREVOD NA UCET	3096	27488	SIPO	QR	91037123
204520	694	1998-08-10	VYDAJ	PREVOD NA UCET	3096	30231	SIPO	QR	91037123
204521	694	1998-09-10	VYDAJ	PREVOD NA UCET	3096	31283	SIPO	QR	91037123
204522	694	1998-10-10	VYDAJ	PREVOD NA UCET	3096	33340	SIPO	QR	91037123
204523	694	1998-11-10	VYDAJ	PREVOD NA UCET	3096	36206	SIPO	QR	91037123
204524	694	1998-12-10	VYDAJ	PREVOD NA UCET	3096	36581	SIPO	QR	91037123
204526	694	1997-06-01	VYDAJ	VYBER	5550	25994	\N	\N	\N
204527	694	1998-06-22	VYDAJ	VYBER	5900	31576	\N	\N	\N
204530	694	1998-01-03	VYDAJ	VYBER	2100	25828	\N	\N	\N
204532	694	1997-12-24	VYDAJ	VYBER	1100	33745	\N	\N	\N
204533	694	1998-12-11	VYDAJ	VYBER	900	35681	\N	\N	\N
204534	694	1997-02-10	VYDAJ	VYBER	880	26586	\N	\N	\N
204535	694	1997-07-30	VYDAJ	VYBER	3840	26605	\N	\N	\N
204536	694	1997-08-30	VYDAJ	VYBER	3680	25554	\N	\N	\N
204537	694	1997-05-05	VYDAJ	VYBER	2400	28706	\N	\N	\N
204538	694	1998-01-01	VYDAJ	VYBER	3040	27928	\N	\N	\N
204539	694	1998-03-22	VYDAJ	VYBER	3840	29862	\N	\N	\N
204540	694	1998-07-07	VYDAJ	VYBER	1120	30584	\N	\N	\N
204541	694	1998-02-04	VYDAJ	VYBER	2000	27151	\N	\N	\N
204555	694	1997-01-31	VYDAJ	VYBER	15	30266	SLUZBY	\N	\N
204556	694	1997-02-28	VYDAJ	VYBER	15	29917	SLUZBY	\N	\N
204557	694	1997-03-31	VYDAJ	VYBER	15	33257	SLUZBY	\N	\N
204558	694	1997-04-30	VYDAJ	VYBER	15	35406	SLUZBY	\N	\N
204559	694	1997-05-31	VYDAJ	VYBER	15	32044	SLUZBY	\N	\N
204560	694	1997-06-30	VYDAJ	VYBER	15	29323	SLUZBY	\N	\N
204561	694	1997-07-31	VYDAJ	VYBER	15	26712	SLUZBY	\N	\N
204562	694	1997-08-31	VYDAJ	VYBER	15	22854	SLUZBY	\N	\N
204563	694	1997-09-30	VYDAJ	VYBER	15	26165	SLUZBY	\N	\N
204564	694	1997-10-31	VYDAJ	VYBER	15	28589	SLUZBY	\N	\N
204565	694	1997-11-30	VYDAJ	VYBER	15	31623	SLUZBY	\N	\N
204566	694	1997-12-31	VYDAJ	VYBER	15	30968	SLUZBY	\N	\N
204567	694	1998-01-31	VYDAJ	VYBER	15	29151	SLUZBY	\N	\N
204568	694	1998-02-28	VYDAJ	VYBER	15	30480	SLUZBY	\N	\N
204569	694	1998-03-31	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
204570	694	1998-04-30	VYDAJ	VYBER	15	31308	SLUZBY	\N	\N
204571	694	1998-05-31	VYDAJ	VYBER	15	34254	SLUZBY	\N	\N
204572	694	1998-06-30	VYDAJ	VYBER	15	31704	SLUZBY	\N	\N
204573	694	1998-07-31	VYDAJ	VYBER	15	33327	SLUZBY	\N	\N
204574	694	1998-08-31	VYDAJ	VYBER	15	34379	SLUZBY	\N	\N
204575	694	1998-09-30	VYDAJ	VYBER	15	36436	SLUZBY	\N	\N
204576	694	1998-10-31	VYDAJ	VYBER	15	39302	SLUZBY	\N	\N
204577	694	1998-11-30	VYDAJ	VYBER	15	39677	SLUZBY	\N	\N
204578	694	1997-01-02	VYDAJ	VYBER	2000	23874	\N	\N	\N
204579	694	1997-02-01	VYDAJ	VYBER	2800	27466	\N	\N	\N
204580	694	1997-04-02	VYDAJ	VYBER	1200	32057	\N	\N	\N
204581	694	1997-05-02	VYDAJ	VYBER	4300	31106	\N	\N	\N
204582	694	1997-06-01	VYDAJ	VYBER	500	31544	\N	\N	\N
204583	694	1997-07-01	VYDAJ	VYBER	2100	27223	\N	\N	\N
204584	694	1997-07-31	VYDAJ	VYBER	700	26012	\N	\N	\N
204585	694	1997-08-30	VYDAJ	VYBER	2800	22754	\N	\N	\N
204586	694	1997-10-29	VYDAJ	VYBER	900	28487	\N	\N	\N
204587	694	1997-11-28	VYDAJ	VYBER	300	31511	\N	\N	\N
204588	694	1997-12-28	VYDAJ	VYBER	2900	30845	\N	\N	\N
204589	694	1998-03-28	VYDAJ	VYBER	2000	27862	\N	\N	\N
204590	694	1998-05-27	VYDAJ	VYBER	400	34130	\N	\N	\N
204591	694	1998-07-26	VYDAJ	VYBER	600	33206	\N	\N	\N
204592	694	1998-08-25	VYDAJ	VYBER	2300	34249	\N	\N	\N
204593	694	1998-09-24	VYDAJ	VYBER	1300	36301	\N	\N	\N
204594	694	1998-10-24	VYDAJ	VYBER	500	39158	\N	\N	\N
204595	694	1998-11-23	VYDAJ	VYBER	3000	39524	\N	\N	\N
204624	695	1996-04-21	PRIJEM	VKLAD	900	900	\N	\N	\N
204629	695	1996-05-05	PRIJEM	VKLAD	23122	24022	\N	\N	\N
204630	695	1996-06-05	PRIJEM	VKLAD	34683	59341	\N	\N	\N
204631	695	1996-07-05	PRIJEM	VKLAD	23122	63690	\N	\N	\N
204632	695	1996-08-05	PRIJEM	VKLAD	23122	67086	\N	\N	\N
204633	695	1996-09-05	PRIJEM	VKLAD	23122	70396	\N	\N	\N
204634	695	1996-10-05	PRIJEM	VKLAD	23122	68287	\N	\N	\N
204635	695	1996-11-05	PRIJEM	VKLAD	23122	64667	\N	\N	\N
204636	695	1996-12-05	PRIJEM	VKLAD	34683	73893	\N	\N	\N
204637	695	1997-01-05	PRIJEM	VKLAD	23122	59755	\N	\N	\N
204638	695	1997-02-05	PRIJEM	VKLAD	23122	50820	\N	\N	\N
204639	695	1997-03-05	PRIJEM	VKLAD	23122	51635	\N	\N	\N
204640	695	1997-04-05	PRIJEM	VKLAD	23122	56890	\N	\N	\N
204641	695	1997-05-05	PRIJEM	VKLAD	23122	60233	\N	\N	\N
204642	695	1997-06-05	PRIJEM	VKLAD	34683	74069	\N	\N	\N
204643	695	1997-07-05	PRIJEM	VKLAD	23122	65040	\N	\N	\N
204644	695	1997-08-05	PRIJEM	VKLAD	23122	65709	\N	\N	\N
204645	695	1997-09-05	PRIJEM	VKLAD	23122	60285	\N	\N	\N
204646	695	1997-10-05	PRIJEM	VKLAD	23122	49606	\N	\N	\N
204647	695	1997-11-05	PRIJEM	VKLAD	23122	44096	\N	\N	\N
204648	695	1997-12-05	PRIJEM	VKLAD	34683	51226	\N	\N	\N
204649	695	1998-01-05	PRIJEM	VKLAD	23122	42396	\N	\N	\N
204650	695	1998-02-05	PRIJEM	VKLAD	23122	37160	\N	\N	\N
204651	695	1998-03-05	PRIJEM	VKLAD	23122	38618	\N	\N	\N
204652	695	1998-04-05	PRIJEM	VKLAD	23122	34574	\N	\N	\N
204653	695	1998-05-05	PRIJEM	VKLAD	23122	33614	\N	\N	\N
204654	695	1998-06-05	PRIJEM	VKLAD	34683	43909	\N	\N	\N
204655	695	1998-07-05	PRIJEM	VKLAD	23122	31752	\N	\N	\N
204656	695	1998-08-05	PRIJEM	VKLAD	23122	27771	\N	\N	\N
204657	695	1998-09-05	PRIJEM	VKLAD	23122	31298	\N	\N	\N
204658	695	1998-10-05	PRIJEM	VKLAD	23122	34140	\N	\N	\N
204659	695	1998-11-05	PRIJEM	VKLAD	23122	33784	\N	\N	\N
204660	695	1998-12-05	PRIJEM	VKLAD	34683	46593	\N	\N	\N
204669	695	1996-09-14	VYDAJ	PREVOD NA UCET	9516	59380	SIPO	CD	38325697
204670	695	1996-10-14	VYDAJ	PREVOD NA UCET	9516	58771	SIPO	CD	38325697
204671	695	1996-11-14	VYDAJ	PREVOD NA UCET	9516	55151	SIPO	CD	38325697
204672	695	1996-12-14	VYDAJ	PREVOD NA UCET	9516	64377	SIPO	CD	38325697
204673	695	1997-01-14	VYDAJ	PREVOD NA UCET	9516	48939	SIPO	CD	38325697
204674	695	1997-02-14	VYDAJ	PREVOD NA UCET	9516	41304	SIPO	CD	38325697
204675	695	1997-03-14	VYDAJ	PREVOD NA UCET	9516	42119	SIPO	CD	38325697
204676	695	1997-04-14	VYDAJ	PREVOD NA UCET	9516	47374	SIPO	CD	38325697
204677	695	1997-05-14	VYDAJ	PREVOD NA UCET	9516	48317	SIPO	CD	38325697
204678	695	1997-06-14	VYDAJ	PREVOD NA UCET	9516	64553	SIPO	CD	38325697
204679	695	1997-07-14	VYDAJ	PREVOD NA UCET	9516	55524	SIPO	CD	38325697
204680	695	1997-08-14	VYDAJ	PREVOD NA UCET	9516	36993	SIPO	CD	38325697
204681	695	1997-09-14	VYDAJ	PREVOD NA UCET	9516	26369	SIPO	CD	38325697
204682	695	1997-10-14	VYDAJ	PREVOD NA UCET	9516	23290	SIPO	CD	38325697
204683	695	1997-11-14	VYDAJ	PREVOD NA UCET	9516	16480	SIPO	CD	38325697
204684	695	1997-12-14	VYDAJ	PREVOD NA UCET	9516	21210	SIPO	CD	38325697
204685	695	1998-01-14	VYDAJ	PREVOD NA UCET	9516	13980	SIPO	CD	38325697
204686	695	1998-02-14	VYDAJ	PREVOD NA UCET	9516	15444	SIPO	CD	38325697
204687	695	1998-03-14	VYDAJ	PREVOD NA UCET	9516	11402	SIPO	CD	38325697
204688	695	1998-04-14	VYDAJ	PREVOD NA UCET	9516	10458	SIPO	CD	38325697
204689	695	1998-05-14	VYDAJ	PREVOD NA UCET	9516	9198	SIPO	CD	38325697
204690	695	1998-06-14	VYDAJ	PREVOD NA UCET	9516	8593	SIPO	CD	38325697
204691	695	1998-07-14	VYDAJ	PREVOD NA UCET	9516	4636	SIPO	CD	38325697
204692	695	1998-08-14	VYDAJ	PREVOD NA UCET	9516	8155	SIPO	CD	38325697
204693	695	1998-09-14	VYDAJ	PREVOD NA UCET	9516	10982	SIPO	CD	38325697
204694	695	1998-10-14	VYDAJ	PREVOD NA UCET	9516	10624	SIPO	CD	38325697
204695	695	1998-11-14	VYDAJ	PREVOD NA UCET	9516	11868	SIPO	CD	38325697
204696	695	1998-12-14	VYDAJ	PREVOD NA UCET	9516	18177	SIPO	CD	38325697
204699	695	1998-06-10	VYDAJ	VYBER	8500	35409	\N	\N	\N
204701	695	1997-01-26	VYDAJ	VYBER	3300	29539	\N	\N	\N
204702	695	1998-01-10	VYDAJ	VYBER	2100	40296	\N	\N	\N
204703	695	1996-12-15	VYDAJ	VYBER	2800	57277	\N	\N	\N
204704	695	1997-12-17	VYDAJ	VYBER	2000	19210	\N	\N	\N
204705	695	1998-12-18	VYDAJ	VYBER	1500	16677	\N	\N	\N
204712	695	1997-01-27	VYDAJ	VYBER	2000	27539	\N	\N	\N
204713	695	1997-01-12	VYDAJ	VYBER	1300	58455	\N	\N	\N
204714	695	1997-01-20	VYDAJ	VYBER	1000	34439	\N	\N	\N
204715	695	1997-01-02	VYDAJ	VYBER	2000	36633	\N	\N	\N
204716	695	1997-01-15	VYDAJ	VYBER	800	48139	\N	\N	\N
204717	695	1997-01-22	VYDAJ	VYBER	1600	32839	\N	\N	\N
204722	695	1998-01-13	VYDAJ	VYBER	900	23496	\N	\N	\N
204724	695	1996-12-15	VYDAJ	VYBER	4300	60077	\N	\N	\N
204725	695	1996-09-14	VYDAJ	VYBER	1500	68896	\N	\N	\N
204726	695	1997-03-01	VYDAJ	VYBER	2400	28513	\N	\N	\N
204727	695	1997-10-18	VYDAJ	VYBER	2400	20890	\N	\N	\N
204728	695	1997-06-25	VYDAJ	VYBER	4600	41753	\N	\N	\N
204729	695	1997-03-16	VYDAJ	VYBER	2300	39819	\N	\N	\N
204730	695	1997-05-06	VYDAJ	VYBER	2400	57833	\N	\N	\N
204731	695	1998-03-09	VYDAJ	VYBER	600	38018	\N	\N	\N
204732	695	1998-10-13	VYDAJ	VYBER	2300	20140	\N	\N	\N
204744	695	1996-09-30	VYDAJ	VYBER	15	45165	SLUZBY	\N	\N
204745	695	1996-10-31	VYDAJ	VYBER	15	41545	SLUZBY	\N	\N
204746	695	1996-11-30	VYDAJ	VYBER	15	39210	SLUZBY	\N	\N
204747	695	1996-12-31	VYDAJ	VYBER	15	38633	SLUZBY	\N	\N
204748	695	1997-01-31	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
204749	695	1997-02-28	VYDAJ	VYBER	15	30913	SLUZBY	\N	\N
204750	695	1997-03-31	VYDAJ	VYBER	15	33768	SLUZBY	\N	\N
204751	695	1997-04-30	VYDAJ	VYBER	15	37111	SLUZBY	\N	\N
204752	695	1997-05-31	VYDAJ	VYBER	15	39386	SLUZBY	\N	\N
204753	695	1997-06-30	VYDAJ	VYBER	15	41918	SLUZBY	\N	\N
204754	695	1997-07-31	VYDAJ	VYBER	15	42587	SLUZBY	\N	\N
204755	695	1997-08-31	VYDAJ	VYBER	15	37163	SLUZBY	\N	\N
204756	695	1997-09-30	VYDAJ	VYBER	15	26484	SLUZBY	\N	\N
204757	695	1997-10-31	VYDAJ	VYBER	15	20974	SLUZBY	\N	\N
204758	695	1997-11-30	VYDAJ	VYBER	15	16543	SLUZBY	\N	\N
204759	695	1997-12-31	VYDAJ	VYBER	15	19274	SLUZBY	\N	\N
204760	695	1998-01-31	VYDAJ	VYBER	15	14038	SLUZBY	\N	\N
204761	695	1998-02-28	VYDAJ	VYBER	15	15496	SLUZBY	\N	\N
204762	695	1998-03-31	VYDAJ	VYBER	15	11452	SLUZBY	\N	\N
204763	695	1998-04-30	VYDAJ	VYBER	15	10492	SLUZBY	\N	\N
204764	695	1998-05-31	VYDAJ	VYBER	15	9226	SLUZBY	\N	\N
204765	695	1998-06-30	VYDAJ	VYBER	15	8630	SLUZBY	\N	\N
204766	695	1998-07-31	VYDAJ	VYBER	15	4649	SLUZBY	\N	\N
204767	695	1998-08-31	VYDAJ	VYBER	15	8176	SLUZBY	\N	\N
204768	695	1998-09-30	VYDAJ	VYBER	15	11018	SLUZBY	\N	\N
204769	695	1998-10-31	VYDAJ	VYBER	15	10662	SLUZBY	\N	\N
204770	695	1998-11-30	VYDAJ	VYBER	15	11910	SLUZBY	\N	\N
204771	695	1996-05-21	PRIJEM	VKLAD	600	24622	\N	\N	\N
204772	695	1996-06-20	VYDAJ	VYBER	18900	40441	\N	\N	\N
204773	695	1996-07-20	VYDAJ	VYBER	19900	43790	\N	\N	\N
204774	695	1996-08-19	VYDAJ	VYBER	20000	47086	\N	\N	\N
204775	695	1996-09-18	VYDAJ	VYBER	14400	44980	\N	\N	\N
204776	695	1996-10-18	VYDAJ	VYBER	17400	41371	\N	\N	\N
204777	695	1996-11-17	VYDAJ	VYBER	16100	39051	\N	\N	\N
204778	695	1996-12-17	VYDAJ	VYBER	18800	38477	\N	\N	\N
204779	695	1997-01-16	VYDAJ	VYBER	12700	35439	\N	\N	\N
204780	695	1997-02-15	VYDAJ	VYBER	10500	30804	\N	\N	\N
204781	695	1997-03-17	VYDAJ	VYBER	6200	33619	\N	\N	\N
204782	695	1997-04-16	VYDAJ	VYBER	10400	36974	\N	\N	\N
204783	695	1997-05-16	VYDAJ	VYBER	9100	39217	\N	\N	\N
204784	695	1997-06-15	VYDAJ	VYBER	18200	46353	\N	\N	\N
204785	695	1997-07-15	VYDAJ	VYBER	13100	42424	\N	\N	\N
204786	695	1997-08-14	VYDAJ	VYBER	19200	46509	\N	\N	\N
204787	695	1997-09-13	VYDAJ	VYBER	24400	35885	\N	\N	\N
204788	695	1997-10-13	VYDAJ	VYBER	16800	32806	\N	\N	\N
204789	695	1997-11-12	VYDAJ	VYBER	18100	25996	\N	\N	\N
204790	695	1997-12-12	VYDAJ	VYBER	20500	30726	\N	\N	\N
204791	695	1998-01-11	VYDAJ	VYBER	15900	24396	\N	\N	\N
204792	695	1998-02-10	VYDAJ	VYBER	12200	24960	\N	\N	\N
204793	695	1998-03-12	VYDAJ	VYBER	17100	20918	\N	\N	\N
204794	695	1998-04-11	VYDAJ	VYBER	14600	19974	\N	\N	\N
204795	695	1998-05-11	VYDAJ	VYBER	14900	18714	\N	\N	\N
204796	695	1998-06-10	VYDAJ	VYBER	17300	18109	\N	\N	\N
204797	695	1998-07-10	VYDAJ	VYBER	17600	14152	\N	\N	\N
204798	695	1998-08-09	VYDAJ	VYBER	10100	17671	\N	\N	\N
204799	695	1998-09-08	VYDAJ	VYBER	10800	20498	\N	\N	\N
204800	695	1998-10-08	VYDAJ	VYBER	11700	22440	\N	\N	\N
204801	695	1998-11-07	VYDAJ	VYBER	12400	21384	\N	\N	\N
204802	695	1998-12-07	VYDAJ	VYBER	18900	27693	\N	\N	\N
204835	696	1997-11-09	PRIJEM	VKLAD	700	700	\N	\N	\N
204847	696	1997-12-06	PRIJEM	PREVOD Z UCTU	6904	7604	DUCHOD	AB	3723478
204848	696	1998-01-06	PRIJEM	PREVOD Z UCTU	6904	14508	DUCHOD	AB	3723478
204849	696	1998-02-06	PRIJEM	PREVOD Z UCTU	6904	21412	DUCHOD	AB	3723478
204850	696	1998-03-06	PRIJEM	PREVOD Z UCTU	6904	27885	DUCHOD	AB	3723478
204851	696	1998-04-06	PRIJEM	PREVOD Z UCTU	6904	33794	DUCHOD	AB	3723478
204852	696	1998-05-06	PRIJEM	PREVOD Z UCTU	6904	39033	DUCHOD	AB	3723478
204853	696	1998-06-06	PRIJEM	PREVOD Z UCTU	6904	32890	DUCHOD	AB	3723478
204854	696	1998-07-06	PRIJEM	PREVOD Z UCTU	6904	38335	DUCHOD	AB	3723478
204855	696	1998-08-06	PRIJEM	PREVOD Z UCTU	6904	43794	DUCHOD	AB	3723478
204856	696	1998-09-06	PRIJEM	PREVOD Z UCTU	6904	49077	DUCHOD	AB	3723478
204857	696	1998-10-06	PRIJEM	PREVOD Z UCTU	6904	54580	DUCHOD	AB	3723478
204858	696	1998-11-06	PRIJEM	PREVOD Z UCTU	6904	57806	DUCHOD	AB	3723478
204859	696	1998-12-06	PRIJEM	PREVOD Z UCTU	6904	60447	DUCHOD	AB	3723478
204875	696	1998-04-08	VYDAJ	PREVOD NA UCET	1299	32495	SIPO	IJ	2534234
204876	696	1998-05-08	VYDAJ	PREVOD NA UCET	1299	37734	SIPO	IJ	2534234
204877	696	1998-06-08	VYDAJ	PREVOD NA UCET	1299	31591	SIPO	IJ	2534234
204878	696	1998-07-08	VYDAJ	PREVOD NA UCET	1299	37036	SIPO	IJ	2534234
204879	696	1998-08-08	VYDAJ	PREVOD NA UCET	1299	42295	SIPO	IJ	2534234
204880	696	1998-09-08	VYDAJ	PREVOD NA UCET	1299	47778	SIPO	IJ	2534234
204881	696	1998-10-08	VYDAJ	PREVOD NA UCET	1299	53281	SIPO	IJ	2534234
204882	696	1998-11-08	VYDAJ	PREVOD NA UCET	1299	56507	SIPO	IJ	2534234
204883	696	1998-12-08	VYDAJ	PREVOD NA UCET	1299	59148	SIPO	IJ	2534234
204899	696	1998-04-11	VYDAJ	PREVOD NA UCET	280	32015	 	AB	64442080
204900	696	1998-05-11	VYDAJ	PREVOD NA UCET	280	36254	 	AB	64442080
204901	696	1998-06-11	VYDAJ	PREVOD NA UCET	280	31311	 	AB	64442080
204902	696	1998-07-11	VYDAJ	PREVOD NA UCET	280	36756	 	AB	64442080
204903	696	1998-08-11	VYDAJ	PREVOD NA UCET	280	42015	 	AB	64442080
204904	696	1998-09-11	VYDAJ	PREVOD NA UCET	280	47498	 	AB	64442080
204905	696	1998-10-11	VYDAJ	PREVOD NA UCET	280	53001	 	AB	64442080
204906	696	1998-11-11	VYDAJ	PREVOD NA UCET	280	56227	 	AB	64442080
204907	696	1998-12-11	VYDAJ	PREVOD NA UCET	280	55868	 	AB	64442080
204909	696	1998-06-05	VYDAJ	VYBER	10400	25986	\N	\N	\N
204913	696	1998-12-09	VYDAJ	VYBER KARTOU	400	58748	\N	\N	0
204918	696	1998-11-25	VYDAJ	VYBER KARTOU	2600	53627	\N	\N	0
204920	696	1998-12-11	VYDAJ	VYBER KARTOU	2600	56148	\N	\N	0
204937	696	1998-04-30	VYDAJ	VYBER	15	32129	SLUZBY	\N	\N
204938	696	1998-05-31	VYDAJ	VYBER	15	36386	SLUZBY	\N	\N
204939	696	1998-06-30	VYDAJ	VYBER	15	31431	SLUZBY	\N	\N
204940	696	1998-07-31	VYDAJ	VYBER	15	36890	SLUZBY	\N	\N
204941	696	1998-08-31	VYDAJ	VYBER	15	42173	SLUZBY	\N	\N
204942	696	1998-09-30	VYDAJ	VYBER	15	47676	SLUZBY	\N	\N
204943	696	1998-10-31	VYDAJ	VYBER	15	53202	SLUZBY	\N	\N
204944	696	1998-11-30	VYDAJ	VYBER	15	53843	SLUZBY	\N	\N
204945	696	1998-02-07	VYDAJ	VYBER	500	20912	\N	\N	\N
204946	696	1998-03-09	VYDAJ	VYBER	1100	26785	\N	\N	\N
204947	696	1998-04-08	VYDAJ	VYBER	200	32295	\N	\N	\N
204948	696	1998-05-08	VYDAJ	VYBER	1200	36534	\N	\N	\N
204949	696	1998-08-06	VYDAJ	VYBER	200	43594	\N	\N	\N
204950	696	1998-11-04	VYDAJ	VYBER	2300	50902	\N	\N	\N
204951	696	1998-12-04	VYDAJ	VYBER KARTOU	300	53543	\N	\N	0
204963	697	1993-02-23	PRIJEM	VKLAD	200	200	\N	\N	\N
204966	697	1993-03-11	PRIJEM	VKLAD	22067	22267	\N	\N	\N
204967	697	1993-04-11	PRIJEM	VKLAD	22067	46357	\N	\N	\N
204968	697	1993-05-11	PRIJEM	VKLAD	22067	60038	\N	\N	\N
204969	697	1993-06-11	PRIJEM	VKLAD	33101	73099	\N	\N	\N
204970	697	1993-07-11	PRIJEM	VKLAD	22067	72743	\N	\N	\N
204971	697	1993-08-11	PRIJEM	VKLAD	22067	63230	\N	\N	\N
204972	697	1993-09-11	PRIJEM	VKLAD	22067	61830	\N	\N	\N
204973	697	1993-10-11	PRIJEM	VKLAD	22067	55102	\N	\N	\N
204974	697	1993-11-11	PRIJEM	VKLAD	22067	54373	\N	\N	\N
204975	697	1993-12-11	PRIJEM	VKLAD	33101	61939	\N	\N	\N
204976	697	1994-01-11	PRIJEM	VKLAD	22067	48903	\N	\N	\N
204977	697	1994-02-11	PRIJEM	VKLAD	22067	51328	\N	\N	\N
204978	697	1994-03-11	PRIJEM	VKLAD	22067	45215	\N	\N	\N
204979	697	1994-04-11	PRIJEM	VKLAD	22067	51852	\N	\N	\N
204980	697	1994-05-11	PRIJEM	VKLAD	22067	54505	\N	\N	\N
204981	697	1994-06-11	PRIJEM	VKLAD	33101	65797	\N	\N	\N
204982	697	1994-07-11	PRIJEM	VKLAD	22067	53338	\N	\N	\N
204983	697	1994-08-11	PRIJEM	VKLAD	22067	56479	\N	\N	\N
204984	697	1994-09-11	PRIJEM	VKLAD	22067	59950	\N	\N	\N
204985	697	1994-10-11	PRIJEM	VKLAD	22067	58822	\N	\N	\N
204986	697	1994-11-11	PRIJEM	VKLAD	22067	60496	\N	\N	\N
204987	697	1994-12-11	PRIJEM	VKLAD	33101	72105	\N	\N	\N
204988	697	1995-01-11	PRIJEM	VKLAD	22067	56315	\N	\N	\N
204989	697	1995-02-11	PRIJEM	VKLAD	22067	49665	\N	\N	\N
204990	697	1995-03-11	PRIJEM	VKLAD	22067	53600	\N	\N	\N
204991	697	1995-04-11	PRIJEM	VKLAD	22067	57655	\N	\N	\N
204992	697	1995-05-11	PRIJEM	VKLAD	22067	62026	\N	\N	\N
204993	697	1995-06-11	PRIJEM	VKLAD	33101	71534	\N	\N	\N
204994	697	1995-07-11	PRIJEM	VKLAD	22067	37157	\N	\N	\N
204995	697	1995-08-11	PRIJEM	VKLAD	22067	50163	\N	\N	\N
204996	697	1995-09-11	PRIJEM	VKLAD	22067	57006	\N	\N	\N
204997	697	1995-10-11	PRIJEM	VKLAD	22067	63199	\N	\N	\N
204998	697	1995-11-11	PRIJEM	VKLAD	22067	57618	\N	\N	\N
204999	697	1995-12-11	PRIJEM	VKLAD	33101	78356	\N	\N	\N
205000	697	1996-01-11	PRIJEM	VKLAD	22067	68408	\N	\N	\N
205001	697	1996-02-11	PRIJEM	VKLAD	22067	62501	\N	\N	\N
205002	697	1996-03-11	PRIJEM	VKLAD	22067	63039	\N	\N	\N
205003	697	1996-04-11	PRIJEM	VKLAD	22067	62513	\N	\N	\N
205004	697	1996-05-11	PRIJEM	VKLAD	22067	65748	\N	\N	\N
205005	697	1996-06-11	PRIJEM	VKLAD	33101	80227	\N	\N	\N
205006	697	1996-07-11	PRIJEM	VKLAD	22067	61117	\N	\N	\N
205007	697	1996-08-11	PRIJEM	VKLAD	22067	68038	\N	\N	\N
205008	697	1996-09-11	PRIJEM	VKLAD	22067	71588	\N	\N	\N
205009	697	1996-10-11	PRIJEM	VKLAD	22067	74657	\N	\N	\N
205010	697	1996-11-11	PRIJEM	VKLAD	22067	74754	\N	\N	\N
205011	697	1996-12-11	PRIJEM	VKLAD	33101	88367	\N	\N	\N
205012	697	1997-01-11	PRIJEM	VKLAD	22067	85731	\N	\N	\N
205013	697	1997-02-11	PRIJEM	VKLAD	22067	76408	\N	\N	\N
205014	697	1997-03-11	PRIJEM	VKLAD	22067	80000	\N	\N	\N
205015	697	1997-04-11	PRIJEM	VKLAD	22067	79503	\N	\N	\N
205016	697	1997-05-11	PRIJEM	VKLAD	22067	74080	\N	\N	\N
205017	697	1997-06-11	PRIJEM	VKLAD	33101	57016	\N	\N	\N
205018	697	1997-07-11	PRIJEM	VKLAD	22067	63302	\N	\N	\N
205019	697	1997-08-11	PRIJEM	VKLAD	22067	70832	\N	\N	\N
205020	697	1997-09-11	PRIJEM	VKLAD	22067	69689	\N	\N	\N
205021	697	1997-10-11	PRIJEM	VKLAD	22067	69152	\N	\N	\N
205022	697	1997-11-11	PRIJEM	VKLAD	22067	66408	\N	\N	\N
205023	697	1997-12-11	PRIJEM	VKLAD	33101	80569	\N	\N	\N
205024	697	1998-01-11	PRIJEM	VKLAD	22067	68671	\N	\N	\N
205025	697	1998-02-11	PRIJEM	VKLAD	22067	63016	\N	\N	\N
205026	697	1998-03-11	PRIJEM	VKLAD	22067	70028	\N	\N	\N
205027	697	1998-04-11	PRIJEM	VKLAD	22067	75369	\N	\N	\N
205028	697	1998-05-11	PRIJEM	VKLAD	22067	76629	\N	\N	\N
205029	697	1998-06-11	PRIJEM	VKLAD	33101	91063	\N	\N	\N
205030	697	1998-07-11	PRIJEM	VKLAD	22067	84129	\N	\N	\N
205031	697	1998-08-11	PRIJEM	VKLAD	22067	83324	\N	\N	\N
205032	697	1998-09-11	PRIJEM	VKLAD	22067	88515	\N	\N	\N
205033	697	1998-10-11	PRIJEM	VKLAD	22067	93727	\N	\N	\N
205034	697	1998-11-11	PRIJEM	VKLAD	22067	93554	\N	\N	\N
205035	697	1998-12-11	PRIJEM	VKLAD	33101	101510	\N	\N	\N
205043	697	1993-08-10	VYDAJ	PREVOD NA UCET	6372	41163	SIPO	ST	77658992
205044	697	1993-09-10	VYDAJ	PREVOD NA UCET	6372	39763	SIPO	ST	77658992
205045	697	1993-10-10	VYDAJ	PREVOD NA UCET	6372	33035	SIPO	ST	77658992
205046	697	1993-11-10	VYDAJ	PREVOD NA UCET	6372	32306	SIPO	ST	77658992
205047	697	1993-12-10	VYDAJ	PREVOD NA UCET	6372	28839	SIPO	ST	77658992
205048	697	1994-01-10	VYDAJ	PREVOD NA UCET	6372	26836	SIPO	ST	77658992
205049	697	1994-02-10	VYDAJ	PREVOD NA UCET	6372	29261	SIPO	ST	77658992
205050	697	1994-03-10	VYDAJ	PREVOD NA UCET	6372	23148	SIPO	ST	77658992
205051	697	1994-04-10	VYDAJ	PREVOD NA UCET	6372	29785	SIPO	ST	77658992
205052	697	1994-05-10	VYDAJ	PREVOD NA UCET	6372	32438	SIPO	ST	77658992
205053	697	1994-06-10	VYDAJ	PREVOD NA UCET	6372	32697	SIPO	ST	77658992
205054	697	1994-07-10	VYDAJ	PREVOD NA UCET	6372	31271	SIPO	ST	77658992
205055	697	1994-08-10	VYDAJ	PREVOD NA UCET	6372	34412	SIPO	ST	77658992
205056	697	1994-09-10	VYDAJ	PREVOD NA UCET	6372	37883	SIPO	ST	77658992
205057	697	1994-10-10	VYDAJ	PREVOD NA UCET	6372	36755	SIPO	ST	77658992
205058	697	1994-11-10	VYDAJ	PREVOD NA UCET	6372	38429	SIPO	ST	77658992
205059	697	1994-12-10	VYDAJ	PREVOD NA UCET	6372	39005	SIPO	ST	77658992
205060	697	1995-01-10	VYDAJ	PREVOD NA UCET	6372	34248	SIPO	ST	77658992
205061	697	1995-02-10	VYDAJ	PREVOD NA UCET	6372	27598	SIPO	ST	77658992
205062	697	1995-03-10	VYDAJ	PREVOD NA UCET	6372	31533	SIPO	ST	77658992
205063	697	1995-04-10	VYDAJ	PREVOD NA UCET	6372	35588	SIPO	ST	77658992
205064	697	1995-05-10	VYDAJ	PREVOD NA UCET	6372	39959	SIPO	ST	77658992
205065	697	1995-06-10	VYDAJ	PREVOD NA UCET	6372	38434	SIPO	ST	77658992
205066	697	1995-07-10	VYDAJ	PREVOD NA UCET	6372	15090	SIPO	ST	77658992
205067	697	1995-08-10	VYDAJ	PREVOD NA UCET	6372	28096	SIPO	ST	77658992
205068	697	1995-09-10	VYDAJ	PREVOD NA UCET	6372	34939	SIPO	ST	77658992
205069	697	1995-10-10	VYDAJ	PREVOD NA UCET	6372	41132	SIPO	ST	77658992
205070	697	1995-11-10	VYDAJ	PREVOD NA UCET	6372	41651	SIPO	ST	77658992
205071	697	1995-12-10	VYDAJ	PREVOD NA UCET	6372	45255	SIPO	ST	77658992
205072	697	1996-01-10	VYDAJ	PREVOD NA UCET	6372	46341	SIPO	ST	77658992
205073	697	1996-02-10	VYDAJ	PREVOD NA UCET	6372	40434	SIPO	ST	77658992
205074	697	1996-03-10	VYDAJ	PREVOD NA UCET	6372	40972	SIPO	ST	77658992
205075	697	1996-04-10	VYDAJ	PREVOD NA UCET	6372	40446	SIPO	ST	77658992
205076	697	1996-05-10	VYDAJ	PREVOD NA UCET	6372	43681	SIPO	ST	77658992
205077	697	1996-06-10	VYDAJ	PREVOD NA UCET	6372	47126	SIPO	ST	77658992
205078	697	1996-07-10	VYDAJ	PREVOD NA UCET	6372	39050	SIPO	ST	77658992
205079	697	1996-08-10	VYDAJ	PREVOD NA UCET	6372	45971	SIPO	ST	77658992
205080	697	1996-09-10	VYDAJ	PREVOD NA UCET	6372	49521	SIPO	ST	77658992
205081	697	1996-10-10	VYDAJ	PREVOD NA UCET	6372	52590	SIPO	ST	77658992
205082	697	1996-11-10	VYDAJ	PREVOD NA UCET	6372	52687	SIPO	ST	77658992
205083	697	1996-12-10	VYDAJ	PREVOD NA UCET	6372	55267	SIPO	ST	77658992
205084	697	1997-01-10	VYDAJ	PREVOD NA UCET	6372	63664	SIPO	ST	77658992
205085	697	1997-02-10	VYDAJ	PREVOD NA UCET	6372	54341	SIPO	ST	77658992
205086	697	1997-03-10	VYDAJ	PREVOD NA UCET	6372	57933	SIPO	ST	77658992
205087	697	1997-04-10	VYDAJ	PREVOD NA UCET	6372	57436	SIPO	ST	77658992
205088	697	1997-05-10	VYDAJ	PREVOD NA UCET	6372	52013	SIPO	ST	77658992
205089	697	1997-06-10	VYDAJ	PREVOD NA UCET	6372	23915	SIPO	ST	77658992
205090	697	1997-07-10	VYDAJ	PREVOD NA UCET	6372	41235	SIPO	ST	77658992
205091	697	1997-08-10	VYDAJ	PREVOD NA UCET	6372	48765	SIPO	ST	77658992
205092	697	1997-09-10	VYDAJ	PREVOD NA UCET	6372	47622	SIPO	ST	77658992
205093	697	1997-10-10	VYDAJ	PREVOD NA UCET	6372	47085	SIPO	ST	77658992
205094	697	1997-11-10	VYDAJ	PREVOD NA UCET	6372	44341	SIPO	ST	77658992
205095	697	1997-12-10	VYDAJ	PREVOD NA UCET	6372	47469	SIPO	ST	77658992
205096	697	1998-01-10	VYDAJ	PREVOD NA UCET	6372	46604	SIPO	ST	77658992
205097	697	1998-02-10	VYDAJ	PREVOD NA UCET	6372	40949	SIPO	ST	77658992
205098	697	1998-03-10	VYDAJ	PREVOD NA UCET	6372	47961	SIPO	ST	77658992
205099	697	1998-04-10	VYDAJ	PREVOD NA UCET	6372	53302	SIPO	ST	77658992
205100	697	1998-05-10	VYDAJ	PREVOD NA UCET	6372	54562	SIPO	ST	77658992
205101	697	1998-06-10	VYDAJ	PREVOD NA UCET	6372	57963	SIPO	ST	77658992
205102	697	1998-07-10	VYDAJ	PREVOD NA UCET	6372	62062	SIPO	ST	77658992
205103	697	1998-08-10	VYDAJ	PREVOD NA UCET	6372	61257	SIPO	ST	77658992
205104	697	1998-09-10	VYDAJ	PREVOD NA UCET	6372	66448	SIPO	ST	77658992
205105	697	1998-10-10	VYDAJ	PREVOD NA UCET	6372	71660	SIPO	ST	77658992
205106	697	1998-11-10	VYDAJ	PREVOD NA UCET	6372	71487	SIPO	ST	77658992
205107	697	1998-12-10	VYDAJ	PREVOD NA UCET	6372	68409	SIPO	ST	77658992
205109	697	1994-06-17	VYDAJ	VYBER	16160	43877	\N	\N	\N
205110	697	1995-06-24	VYDAJ	VYBER	26720	21274	\N	\N	\N
205111	697	1996-06-26	VYDAJ	VYBER	25760	53747	\N	\N	\N
205112	697	1997-06-02	VYDAJ	VYBER	42560	35807	\N	\N	\N
205114	697	1993-12-15	VYDAJ	VYBER	3840	58099	\N	\N	\N
205115	697	1994-12-30	VYDAJ	VYBER	4000	44505	\N	\N	\N
205116	697	1995-12-20	VYDAJ	VYBER	2720	75636	\N	\N	\N
205117	697	1996-12-28	VYDAJ	VYBER	1760	86607	\N	\N	\N
205118	697	1997-12-18	VYDAJ	VYBER	2240	78329	\N	\N	\N
205119	697	1998-12-15	VYDAJ	VYBER	2080	99430	\N	\N	\N
205126	697	1994-01-15	VYDAJ	VYBER	1560	47343	\N	\N	\N
205127	697	1994-01-24	VYDAJ	VYBER	2160	35483	\N	\N	\N
205128	697	1994-01-08	VYDAJ	VYBER	2520	35968	\N	\N	\N
205129	697	1994-01-03	VYDAJ	VYBER	1080	38488	\N	\N	\N
205130	697	1994-01-17	VYDAJ	VYBER	1200	46143	\N	\N	\N
205131	697	1994-01-09	VYDAJ	VYBER	2760	33208	\N	\N	\N
205132	697	1995-01-18	VYDAJ	VYBER	1320	39095	\N	\N	\N
205133	697	1995-01-09	VYDAJ	VYBER	1800	40620	\N	\N	\N
205134	697	1995-01-05	VYDAJ	VYBER	2280	42420	\N	\N	\N
205135	697	1995-01-16	VYDAJ	VYBER	2160	40415	\N	\N	\N
205136	697	1995-01-24	VYDAJ	VYBER	3480	35615	\N	\N	\N
205137	697	1995-01-26	VYDAJ	VYBER	1800	33815	\N	\N	\N
205138	697	1996-01-01	VYDAJ	VYBER	1440	74473	\N	\N	\N
205139	697	1996-01-12	VYDAJ	VYBER	1080	67328	\N	\N	\N
205140	697	1996-01-02	VYDAJ	VYBER	2160	72313	\N	\N	\N
205141	697	1996-01-23	VYDAJ	VYBER	960	63848	\N	\N	\N
205142	697	1996-01-14	VYDAJ	VYBER	1080	64808	\N	\N	\N
205143	697	1996-01-14	VYDAJ	VYBER	1440	65888	\N	\N	\N
205144	697	1997-01-11	VYDAJ	VYBER	3120	82611	\N	\N	\N
205145	697	1997-01-22	VYDAJ	VYBER	840	79851	\N	\N	\N
205146	697	1997-01-22	VYDAJ	VYBER	1320	78531	\N	\N	\N
205147	697	1997-01-11	VYDAJ	VYBER	1920	80691	\N	\N	\N
205148	697	1997-01-29	VYDAJ	VYBER	1320	77211	\N	\N	\N
205149	697	1997-01-30	VYDAJ	VYBER	720	76491	\N	\N	\N
205150	697	1998-01-21	VYDAJ	VYBER	1800	63991	\N	\N	\N
205151	697	1998-01-15	VYDAJ	VYBER	2880	65791	\N	\N	\N
205152	697	1998-01-27	VYDAJ	VYBER	1560	60391	\N	\N	\N
205153	697	1998-01-21	VYDAJ	VYBER	2040	61951	\N	\N	\N
205154	697	1998-01-05	VYDAJ	VYBER	3240	54056	\N	\N	\N
205155	697	1998-01-10	VYDAJ	VYBER	1080	52976	\N	\N	\N
205158	697	1993-10-01	VYDAJ	VYBER	5520	39407	\N	\N	\N
205161	697	1993-11-17	VYDAJ	VYBER	5520	48853	\N	\N	\N
205162	697	1994-08-07	VYDAJ	VYBER	1920	40784	\N	\N	\N
205163	697	1994-03-06	VYDAJ	VYBER	5520	29520	\N	\N	\N
205164	697	1994-06-14	VYDAJ	VYBER	5760	60037	\N	\N	\N
205165	697	1994-03-03	VYDAJ	VYBER	2040	35040	\N	\N	\N
205166	697	1995-01-13	VYDAJ	VYBER	5640	50675	\N	\N	\N
205167	697	1995-06-13	VYDAJ	VYBER	5640	65894	\N	\N	\N
205168	697	1996-06-14	VYDAJ	VYBER	720	79507	\N	\N	\N
205169	697	1996-10-23	VYDAJ	VYBER	4680	69977	\N	\N	\N
205170	697	1996-03-17	VYDAJ	VYBER	1560	61479	\N	\N	\N
205171	697	1997-06-08	VYDAJ	VYBER	5520	30287	\N	\N	\N
205172	697	1997-04-19	VYDAJ	VYBER	5520	73983	\N	\N	\N
205173	697	1997-10-31	VYDAJ	VYBER	600	50713	\N	\N	\N
205174	697	1997-09-27	VYDAJ	VYBER	2880	66809	\N	\N	\N
205175	697	1998-05-15	VYDAJ	VYBER	2760	73869	\N	\N	\N
205176	697	1998-07-04	VYDAJ	VYBER	3600	68434	\N	\N	\N
205177	697	1998-06-28	VYDAJ	VYBER	840	71723	\N	\N	\N
205185	697	1993-07-31	VYDAJ	VYBER	15	47535	SLUZBY	\N	\N
205186	697	1993-08-31	VYDAJ	VYBER	15	46135	SLUZBY	\N	\N
205187	697	1993-09-30	VYDAJ	VYBER	15	44927	SLUZBY	\N	\N
205188	697	1993-10-31	VYDAJ	VYBER	15	38678	SLUZBY	\N	\N
205189	697	1993-11-30	VYDAJ	VYBER	15	35211	SLUZBY	\N	\N
205190	697	1993-12-31	VYDAJ	VYBER	15	39568	SLUZBY	\N	\N
205191	697	1994-01-31	VYDAJ	VYBER	15	35633	SLUZBY	\N	\N
205192	697	1994-02-28	VYDAJ	VYBER	15	37080	SLUZBY	\N	\N
205193	697	1994-03-31	VYDAJ	VYBER	15	36157	SLUZBY	\N	\N
205194	697	1994-04-30	VYDAJ	VYBER	15	38810	SLUZBY	\N	\N
205195	697	1994-05-31	VYDAJ	VYBER	15	39069	SLUZBY	\N	\N
205196	697	1994-06-30	VYDAJ	VYBER	15	37643	SLUZBY	\N	\N
205197	697	1994-07-31	VYDAJ	VYBER	15	42704	SLUZBY	\N	\N
205198	697	1994-08-31	VYDAJ	VYBER	15	44255	SLUZBY	\N	\N
205199	697	1994-09-30	VYDAJ	VYBER	15	43127	SLUZBY	\N	\N
205200	697	1994-10-31	VYDAJ	VYBER	15	44801	SLUZBY	\N	\N
205201	697	1994-11-30	VYDAJ	VYBER	15	45377	SLUZBY	\N	\N
205202	697	1994-12-31	VYDAJ	VYBER	15	44700	SLUZBY	\N	\N
205203	697	1995-01-31	VYDAJ	VYBER	15	33970	SLUZBY	\N	\N
205204	697	1995-02-28	VYDAJ	VYBER	15	37905	SLUZBY	\N	\N
205205	697	1995-03-31	VYDAJ	VYBER	15	41960	SLUZBY	\N	\N
205206	697	1995-04-30	VYDAJ	VYBER	15	46331	SLUZBY	\N	\N
205207	697	1995-05-31	VYDAJ	VYBER	15	44806	SLUZBY	\N	\N
205208	697	1995-06-30	VYDAJ	VYBER	15	21462	SLUZBY	\N	\N
205209	697	1995-07-31	VYDAJ	VYBER	15	34468	SLUZBY	\N	\N
205210	697	1995-08-31	VYDAJ	VYBER	15	41311	SLUZBY	\N	\N
205211	697	1995-09-30	VYDAJ	VYBER	15	47504	SLUZBY	\N	\N
205212	697	1995-10-31	VYDAJ	VYBER	15	48023	SLUZBY	\N	\N
205213	697	1995-11-30	VYDAJ	VYBER	15	57827	SLUZBY	\N	\N
205214	697	1995-12-31	VYDAJ	VYBER	15	75913	SLUZBY	\N	\N
205215	697	1996-01-31	VYDAJ	VYBER	15	64106	SLUZBY	\N	\N
205216	697	1996-02-29	VYDAJ	VYBER	15	62744	SLUZBY	\N	\N
205217	697	1996-03-31	VYDAJ	VYBER	15	61718	SLUZBY	\N	\N
205218	697	1996-04-30	VYDAJ	VYBER	15	62753	SLUZBY	\N	\N
205219	697	1996-05-31	VYDAJ	VYBER	15	65998	SLUZBY	\N	\N
205220	697	1996-06-30	VYDAJ	VYBER	15	54022	SLUZBY	\N	\N
205221	697	1996-07-31	VYDAJ	VYBER	15	61343	SLUZBY	\N	\N
205222	697	1996-08-31	VYDAJ	VYBER	15	68293	SLUZBY	\N	\N
205223	697	1996-09-30	VYDAJ	VYBER	15	71862	SLUZBY	\N	\N
205224	697	1996-10-31	VYDAJ	VYBER	15	70259	SLUZBY	\N	\N
205225	697	1996-11-30	VYDAJ	VYBER	15	75039	SLUZBY	\N	\N
205226	697	1996-12-31	VYDAJ	VYBER	15	86936	SLUZBY	\N	\N
205227	697	1997-01-31	VYDAJ	VYBER	15	76813	SLUZBY	\N	\N
205228	697	1997-02-28	VYDAJ	VYBER	15	76705	SLUZBY	\N	\N
205229	697	1997-03-31	VYDAJ	VYBER	15	80308	SLUZBY	\N	\N
205230	697	1997-04-30	VYDAJ	VYBER	15	74285	SLUZBY	\N	\N
205231	697	1997-05-31	VYDAJ	VYBER	15	74367	SLUZBY	\N	\N
205232	697	1997-06-30	VYDAJ	VYBER	15	57207	SLUZBY	\N	\N
205233	697	1997-07-31	VYDAJ	VYBER	15	63537	SLUZBY	\N	\N
205234	697	1997-08-31	VYDAJ	VYBER	15	71094	SLUZBY	\N	\N
205235	697	1997-09-30	VYDAJ	VYBER	15	67057	SLUZBY	\N	\N
205236	697	1997-10-31	VYDAJ	VYBER	15	51313	SLUZBY	\N	\N
205237	697	1997-11-30	VYDAJ	VYBER	15	53841	SLUZBY	\N	\N
205238	697	1997-12-31	VYDAJ	VYBER	15	57296	SLUZBY	\N	\N
205239	697	1998-01-31	VYDAJ	VYBER	15	47321	SLUZBY	\N	\N
205240	697	1998-02-28	VYDAJ	VYBER	15	54333	SLUZBY	\N	\N
205241	697	1998-03-31	VYDAJ	VYBER	15	59674	SLUZBY	\N	\N
205242	697	1998-04-30	VYDAJ	VYBER	15	60934	SLUZBY	\N	\N
205243	697	1998-05-31	VYDAJ	VYBER	15	64335	SLUZBY	\N	\N
205244	697	1998-06-30	VYDAJ	VYBER	15	72034	SLUZBY	\N	\N
205245	697	1998-07-31	VYDAJ	VYBER	15	67629	SLUZBY	\N	\N
205246	697	1998-08-31	VYDAJ	VYBER	15	72820	SLUZBY	\N	\N
205247	697	1998-09-30	VYDAJ	VYBER	15	78032	SLUZBY	\N	\N
205248	697	1998-10-31	VYDAJ	VYBER	15	77859	SLUZBY	\N	\N
205249	697	1998-11-30	VYDAJ	VYBER	15	74781	SLUZBY	\N	\N
205250	697	1993-03-25	PRIJEM	VKLAD	2000	24267	\N	\N	\N
205251	697	1993-04-24	VYDAJ	VYBER	8500	37857	\N	\N	\N
205252	697	1993-05-24	VYDAJ	VYBER	20200	39838	\N	\N	\N
205253	697	1993-06-23	VYDAJ	VYBER	22600	50499	\N	\N	\N
205254	697	1993-07-23	VYDAJ	VYBER	25400	47343	\N	\N	\N
205255	697	1993-08-22	VYDAJ	VYBER	17300	45930	\N	\N	\N
205256	697	1993-09-21	VYDAJ	VYBER	17100	44730	\N	\N	\N
205257	697	1993-10-21	VYDAJ	VYBER	16600	38502	\N	\N	\N
205258	697	1993-11-20	VYDAJ	VYBER	13800	35053	\N	\N	\N
205259	697	1993-12-20	VYDAJ	VYBER	18700	39399	\N	\N	\N
205260	697	1994-01-19	VYDAJ	VYBER	8500	37643	\N	\N	\N
205261	697	1994-02-18	VYDAJ	VYBER	14400	36928	\N	\N	\N
205262	697	1994-03-20	VYDAJ	VYBER	9200	36015	\N	\N	\N
205263	697	1994-04-19	VYDAJ	VYBER	13200	38652	\N	\N	\N
205264	697	1994-05-19	VYDAJ	VYBER	15600	38905	\N	\N	\N
205265	697	1994-06-18	VYDAJ	VYBER	6400	37477	\N	\N	\N
205266	697	1994-07-18	VYDAJ	VYBER	10800	42538	\N	\N	\N
205267	697	1994-08-17	VYDAJ	VYBER	12400	44079	\N	\N	\N
205268	697	1994-09-16	VYDAJ	VYBER	17000	42950	\N	\N	\N
205269	697	1994-10-16	VYDAJ	VYBER	14200	44622	\N	\N	\N
205270	697	1994-11-15	VYDAJ	VYBER	15300	45196	\N	\N	\N
205271	697	1994-12-15	VYDAJ	VYBER	23600	48505	\N	\N	\N
205272	697	1995-01-14	VYDAJ	VYBER	8100	42575	\N	\N	\N
205273	697	1995-02-13	VYDAJ	VYBER	11900	37765	\N	\N	\N
205274	697	1995-03-15	VYDAJ	VYBER	11800	41800	\N	\N	\N
205275	697	1995-04-14	VYDAJ	VYBER	11500	46155	\N	\N	\N
205276	697	1995-05-14	VYDAJ	VYBER	17400	44626	\N	\N	\N
205277	697	1995-06-13	VYDAJ	VYBER	17900	47994	\N	\N	\N
205278	697	1995-07-13	VYDAJ	VYBER	2800	34357	\N	\N	\N
205279	697	1995-08-12	VYDAJ	VYBER	9000	41163	\N	\N	\N
205280	697	1995-09-11	VYDAJ	VYBER	9700	47306	\N	\N	\N
205281	697	1995-10-11	VYDAJ	VYBER	15400	47799	\N	\N	\N
205282	697	1995-11-10	VYDAJ	VYBER	6100	35551	\N	\N	\N
205283	697	1995-12-10	VYDAJ	VYBER	6200	51627	\N	\N	\N
205284	697	1996-01-09	VYDAJ	VYBER	19600	52713	\N	\N	\N
205285	697	1996-02-08	VYDAJ	VYBER	17300	46806	\N	\N	\N
205286	697	1996-03-09	VYDAJ	VYBER	15400	47344	\N	\N	\N
205287	697	1996-04-08	VYDAJ	VYBER	14900	46818	\N	\N	\N
205288	697	1996-05-08	VYDAJ	VYBER	12700	50053	\N	\N	\N
205289	697	1996-06-07	VYDAJ	VYBER	12500	53498	\N	\N	\N
205290	697	1996-07-07	VYDAJ	VYBER	8600	45422	\N	\N	\N
205291	697	1996-08-06	VYDAJ	VYBER	9000	52343	\N	\N	\N
205292	697	1996-09-05	VYDAJ	VYBER	12400	55893	\N	\N	\N
205293	697	1996-10-05	VYDAJ	VYBER	12900	58962	\N	\N	\N
205294	697	1996-11-04	VYDAJ	VYBER	11200	59059	\N	\N	\N
205295	697	1996-12-04	VYDAJ	VYBER	13400	61639	\N	\N	\N
205296	697	1997-01-03	VYDAJ	VYBER	16900	70036	\N	\N	\N
205297	697	1997-02-02	VYDAJ	VYBER	16100	60713	\N	\N	\N
205298	697	1997-03-04	VYDAJ	VYBER	12400	64305	\N	\N	\N
205299	697	1997-04-03	VYDAJ	VYBER	16500	63808	\N	\N	\N
205300	697	1997-05-03	VYDAJ	VYBER	15900	58385	\N	\N	\N
205301	697	1997-06-02	PRIJEM	VKLAD	4000	78367	\N	\N	\N
205302	697	1997-07-02	VYDAJ	VYBER	9600	47607	\N	\N	\N
205303	697	1997-08-01	VYDAJ	VYBER	8400	55137	\N	\N	\N
205304	697	1997-08-31	VYDAJ	VYBER	17100	53994	\N	\N	\N
205305	697	1997-09-30	VYDAJ	VYBER	13600	53457	\N	\N	\N
205306	697	1997-10-30	VYDAJ	VYBER	18100	51052	\N	\N	\N
205307	697	1997-11-29	VYDAJ	VYBER	12800	53608	\N	\N	\N
205308	697	1997-12-29	VYDAJ	VYBER	21300	57029	\N	\N	\N
205309	697	1998-01-28	VYDAJ	VYBER	13300	47091	\N	\N	\N
205310	697	1998-02-27	VYDAJ	VYBER	8900	54116	\N	\N	\N
205311	697	1998-03-29	VYDAJ	VYBER	10600	59428	\N	\N	\N
205312	697	1998-04-28	VYDAJ	VYBER	14700	60669	\N	\N	\N
205313	697	1998-05-28	VYDAJ	VYBER	9800	64069	\N	\N	\N
205314	697	1998-06-27	VYDAJ	VYBER	18500	72563	\N	\N	\N
205315	697	1998-07-27	VYDAJ	VYBER	16800	67329	\N	\N	\N
205316	697	1998-08-26	VYDAJ	VYBER	10800	72524	\N	\N	\N
205317	697	1998-09-25	VYDAJ	VYBER	10800	77715	\N	\N	\N
205318	697	1998-10-25	VYDAJ	VYBER	16200	77527	\N	\N	\N
205319	697	1998-11-24	VYDAJ	VYBER	19100	74454	\N	\N	\N
205390	698	1996-09-29	PRIJEM	VKLAD	800	800	\N	\N	\N
205400	698	1996-10-13	PRIJEM	VKLAD	15236	16036	\N	\N	\N
205401	698	1996-11-13	PRIJEM	VKLAD	15236	33679	\N	\N	\N
205402	698	1996-12-13	PRIJEM	VKLAD	22854	52915	\N	\N	\N
205403	698	1997-01-13	PRIJEM	VKLAD	15236	53981	\N	\N	\N
205404	698	1997-02-13	PRIJEM	VKLAD	15236	52376	\N	\N	\N
205405	698	1997-03-13	PRIJEM	VKLAD	15236	46521	\N	\N	\N
205406	698	1997-04-13	PRIJEM	VKLAD	15236	41355	\N	\N	\N
205407	698	1997-05-13	PRIJEM	VKLAD	15236	43453	\N	\N	\N
205408	698	1997-06-13	PRIJEM	VKLAD	22854	48715	\N	\N	\N
205409	698	1997-07-13	PRIJEM	VKLAD	15236	25735	\N	\N	\N
205410	698	1997-08-13	PRIJEM	VKLAD	15236	33271	\N	\N	\N
205411	698	1997-09-13	PRIJEM	VKLAD	15236	39636	\N	\N	\N
205412	698	1997-10-13	PRIJEM	VKLAD	15236	41924	\N	\N	\N
205413	698	1997-11-13	PRIJEM	VKLAD	15236	47224	\N	\N	\N
205414	698	1997-12-13	PRIJEM	VKLAD	22854	50478	\N	\N	\N
205415	698	1998-01-13	PRIJEM	VKLAD	15236	47336	\N	\N	\N
205416	698	1998-02-13	PRIJEM	VKLAD	15236	36092	\N	\N	\N
205417	698	1998-03-13	PRIJEM	VKLAD	15236	46472	\N	\N	\N
205418	698	1998-04-13	PRIJEM	VKLAD	15236	51990	\N	\N	\N
205419	698	1998-05-13	PRIJEM	VKLAD	15236	52725	\N	\N	\N
205420	698	1998-06-13	PRIJEM	VKLAD	22854	54041	\N	\N	\N
205421	698	1998-07-13	PRIJEM	VKLAD	15236	54367	\N	\N	\N
205422	698	1998-08-13	PRIJEM	VKLAD	15236	55411	\N	\N	\N
205423	698	1998-09-13	PRIJEM	VKLAD	15236	52295	\N	\N	\N
205424	698	1998-10-13	PRIJEM	VKLAD	15236	51018	\N	\N	\N
205425	698	1998-11-13	PRIJEM	VKLAD	15236	50643	\N	\N	\N
205426	698	1998-12-13	PRIJEM	VKLAD	22854	52019	\N	\N	\N
205441	698	1997-03-05	VYDAJ	PREVOD NA UCET	6177	31285	SIPO	EF	98754322
205442	698	1997-04-05	VYDAJ	PREVOD NA UCET	6177	26119	SIPO	EF	98754322
205443	698	1997-05-05	VYDAJ	PREVOD NA UCET	6177	28217	SIPO	EF	98754322
205444	698	1997-06-05	VYDAJ	PREVOD NA UCET	6177	27421	SIPO	EF	98754322
205445	698	1997-07-05	VYDAJ	PREVOD NA UCET	6177	10499	SIPO	EF	98754322
205446	698	1997-08-05	VYDAJ	PREVOD NA UCET	6177	18035	SIPO	EF	98754322
205447	698	1997-09-05	VYDAJ	PREVOD NA UCET	6177	24400	SIPO	EF	98754322
205448	698	1997-10-05	VYDAJ	PREVOD NA UCET	6177	26688	SIPO	EF	98754322
205449	698	1997-11-05	VYDAJ	PREVOD NA UCET	6177	31988	SIPO	EF	98754322
205450	698	1997-12-05	VYDAJ	PREVOD NA UCET	6177	32304	SIPO	EF	98754322
205451	698	1998-01-05	VYDAJ	PREVOD NA UCET	6177	32100	SIPO	EF	98754322
205452	698	1998-02-05	VYDAJ	PREVOD NA UCET	6177	20856	SIPO	EF	98754322
205453	698	1998-03-05	VYDAJ	PREVOD NA UCET	6177	31236	SIPO	EF	98754322
205454	698	1998-04-05	VYDAJ	PREVOD NA UCET	6177	36754	SIPO	EF	98754322
205455	698	1998-05-05	VYDAJ	PREVOD NA UCET	6177	37489	SIPO	EF	98754322
205456	698	1998-06-05	VYDAJ	PREVOD NA UCET	6177	31187	SIPO	EF	98754322
205457	698	1998-07-05	VYDAJ	PREVOD NA UCET	6177	39131	SIPO	EF	98754322
205458	698	1998-08-05	VYDAJ	PREVOD NA UCET	6177	40175	SIPO	EF	98754322
205459	698	1998-09-05	VYDAJ	PREVOD NA UCET	6177	37059	SIPO	EF	98754322
205460	698	1998-10-05	VYDAJ	PREVOD NA UCET	6177	35782	SIPO	EF	98754322
205461	698	1998-11-05	VYDAJ	PREVOD NA UCET	6177	35407	SIPO	EF	98754322
205462	698	1998-12-05	VYDAJ	PREVOD NA UCET	6177	32525	SIPO	EF	98754322
205464	698	1997-06-27	VYDAJ	VYBER	22080	16535	\N	\N	\N
205465	698	1998-06-03	VYDAJ	VYBER	7040	37364	\N	\N	\N
205468	698	1998-01-15	VYDAJ	VYBER	14560	32776	\N	\N	\N
205470	698	1997-12-23	VYDAJ	VYBER	800	39678	\N	\N	\N
205471	698	1998-12-08	VYDAJ	VYBER	3360	29165	\N	\N	\N
205484	698	1998-01-20	VYDAJ	VYBER	1920	23176	\N	\N	\N
205485	698	1998-01-15	VYDAJ	VYBER	3240	29536	\N	\N	\N
205486	698	1998-01-26	VYDAJ	VYBER	3000	27876	\N	\N	\N
205487	698	1998-01-17	VYDAJ	VYBER	1920	25096	\N	\N	\N
205488	698	1998-01-16	VYDAJ	VYBER	2520	27016	\N	\N	\N
205489	698	1998-01-29	VYDAJ	VYBER	960	26916	\N	\N	\N
205495	698	1997-03-18	VYDAJ	VYBER	1080	45441	\N	\N	\N
205496	698	1997-02-23	VYDAJ	VYBER	2160	50216	\N	\N	\N
205497	698	1997-12-10	VYDAJ	VYBER	4680	27624	\N	\N	\N
205499	698	1997-06-10	VYDAJ	VYBER	1560	25861	\N	\N	\N
205501	698	1998-09-02	VYDAJ	VYBER	2160	43236	\N	\N	\N
205502	698	1998-01-03	VYDAJ	VYBER	1560	38277	\N	\N	\N
205517	698	1997-02-28	VYDAJ	VYBER	15	37462	SLUZBY	\N	\N
205518	698	1997-03-31	VYDAJ	VYBER	15	32296	SLUZBY	\N	\N
205519	698	1997-04-30	VYDAJ	VYBER	15	34394	SLUZBY	\N	\N
205520	698	1997-05-31	VYDAJ	VYBER	15	33598	SLUZBY	\N	\N
205521	698	1997-06-30	VYDAJ	VYBER	15	16676	SLUZBY	\N	\N
205522	698	1997-07-31	VYDAJ	VYBER	15	24212	SLUZBY	\N	\N
205523	698	1997-08-31	VYDAJ	VYBER	15	30577	SLUZBY	\N	\N
205524	698	1997-09-30	VYDAJ	VYBER	15	32865	SLUZBY	\N	\N
205525	698	1997-10-31	VYDAJ	VYBER	15	38165	SLUZBY	\N	\N
205526	698	1997-11-30	VYDAJ	VYBER	15	38481	SLUZBY	\N	\N
205527	698	1997-12-31	VYDAJ	VYBER	15	39837	SLUZBY	\N	\N
205528	698	1998-01-31	VYDAJ	VYBER	15	27033	SLUZBY	\N	\N
205529	698	1998-02-28	VYDAJ	VYBER	15	37413	SLUZBY	\N	\N
205530	698	1998-03-31	VYDAJ	VYBER	15	42931	SLUZBY	\N	\N
205531	698	1998-04-30	VYDAJ	VYBER	15	43666	SLUZBY	\N	\N
205532	698	1998-05-31	VYDAJ	VYBER	15	44404	SLUZBY	\N	\N
205533	698	1998-06-30	VYDAJ	VYBER	15	45308	SLUZBY	\N	\N
205534	698	1998-07-31	VYDAJ	VYBER	15	46352	SLUZBY	\N	\N
205535	698	1998-08-31	VYDAJ	VYBER	15	45396	SLUZBY	\N	\N
205536	698	1998-09-30	VYDAJ	VYBER	15	41959	SLUZBY	\N	\N
205537	698	1998-10-31	VYDAJ	VYBER	15	41584	SLUZBY	\N	\N
205538	698	1998-11-30	VYDAJ	VYBER	15	38702	SLUZBY	\N	\N
205539	698	1996-10-29	PRIJEM	VKLAD	2400	18436	\N	\N	\N
205540	698	1996-11-28	VYDAJ	VYBER	3700	29979	\N	\N	\N
205541	698	1996-12-28	VYDAJ	VYBER	14300	38615	\N	\N	\N
205542	698	1997-01-27	VYDAJ	VYBER	17000	36981	\N	\N	\N
205543	698	1997-02-26	VYDAJ	VYBER	12900	37316	\N	\N	\N
205544	698	1997-03-28	VYDAJ	VYBER	13300	32141	\N	\N	\N
205545	698	1997-04-27	VYDAJ	VYBER	7100	34255	\N	\N	\N
205546	698	1997-05-27	VYDAJ	VYBER	10000	33453	\N	\N	\N
205547	698	1997-06-26	VYDAJ	VYBER	10100	38615	\N	\N	\N
205548	698	1997-07-26	VYDAJ	VYBER	1600	24135	\N	\N	\N
205549	698	1997-08-25	VYDAJ	VYBER	2800	30471	\N	\N	\N
205550	698	1997-09-24	VYDAJ	VYBER	6900	32736	\N	\N	\N
205551	698	1997-10-24	VYDAJ	VYBER	3900	38024	\N	\N	\N
205552	698	1997-11-23	VYDAJ	VYBER	8900	38324	\N	\N	\N
205553	698	1997-12-23	VYDAJ	VYBER	10000	40478	\N	\N	\N
205554	698	1998-01-22	PRIJEM	VKLAD	7700	30876	\N	\N	\N
205555	698	1998-02-21	PRIJEM	VKLAD	1200	37292	\N	\N	\N
205556	698	1998-03-23	VYDAJ	VYBER	3700	42772	\N	\N	\N
205557	698	1998-04-22	VYDAJ	VYBER	8500	43490	\N	\N	\N
205558	698	1998-05-22	VYDAJ	VYBER	8500	44225	\N	\N	\N
205559	698	1998-06-21	VYDAJ	VYBER	8900	45141	\N	\N	\N
205560	698	1998-07-21	VYDAJ	VYBER	8200	46167	\N	\N	\N
205561	698	1998-08-20	VYDAJ	VYBER	10200	45211	\N	\N	\N
205562	698	1998-09-19	VYDAJ	VYBER	10500	41795	\N	\N	\N
205563	698	1998-10-19	VYDAJ	VYBER	9600	41418	\N	\N	\N
205564	698	1998-11-18	VYDAJ	VYBER	12100	38543	\N	\N	\N
205592	699	1993-09-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
205598	699	1993-09-21	PRIJEM	VKLAD	46805	47805	\N	\N	\N
205599	699	1994-09-10	PRIJEM	VKLAD	25901	72314	\N	\N	\N
205600	699	1994-09-24	PRIJEM	VKLAD	34724	70138	\N	\N	\N
205601	699	1994-03-31	PRIJEM	VKLAD	40446	117910	\N	\N	\N
205602	699	1994-10-25	PRIJEM	VKLAD	36278	123699	\N	\N	\N
205603	699	1994-02-08	PRIJEM	VKLAD	15258	73290	\N	\N	\N
205604	699	1994-07-25	PRIJEM	VKLAD	41991	132505	\N	\N	\N
205605	699	1994-11-20	PRIJEM	VKLAD	43317	111377	\N	\N	\N
205606	699	1994-02-15	PRIJEM	VKLAD	39308	88898	\N	\N	\N
205607	699	1994-07-25	PRIJEM	VKLAD	17256	90514	\N	\N	\N
205608	699	1994-11-08	PRIJEM	VKLAD	12553	113417	\N	\N	\N
205609	699	1994-12-22	PRIJEM	VKLAD	26627	168651	\N	\N	\N
205610	699	1994-12-18	PRIJEM	VKLAD	8324	95754	\N	\N	\N
205611	699	1994-08-08	PRIJEM	VKLAD	46418	89845	\N	\N	\N
205612	699	1994-05-25	PRIJEM	VKLAD	32127	79793	\N	\N	\N
205613	699	1994-07-30	PRIJEM	VKLAD	41815	119440	\N	\N	\N
205614	699	1994-12-22	PRIJEM	VKLAD	46270	142024	\N	\N	\N
205615	699	1994-12-15	PRIJEM	VKLAD	39221	87430	\N	\N	\N
205616	699	1994-10-19	PRIJEM	VKLAD	24004	111521	\N	\N	\N
205617	699	1994-03-22	PRIJEM	VKLAD	28521	81230	\N	\N	\N
205618	699	1994-11-15	PRIJEM	VKLAD	14914	77231	\N	\N	\N
205619	699	1994-01-23	PRIJEM	VKLAD	11596	57822	\N	\N	\N
205620	699	1994-01-04	PRIJEM	VKLAD	41557	69926	\N	\N	\N
205621	699	1994-05-19	PRIJEM	VKLAD	17091	47666	\N	\N	\N
205622	699	1994-12-13	PRIJEM	VKLAD	7356	48209	\N	\N	\N
205623	699	1994-07-24	PRIJEM	VKLAD	36426	73258	\N	\N	\N
205624	699	1994-10-15	PRIJEM	VKLAD	20736	72969	\N	\N	\N
205625	699	1994-12-26	PRIJEM	VKLAD	16070	120921	\N	\N	\N
205626	699	1994-07-30	PRIJEM	VKLAD	10520	77625	\N	\N	\N
205627	699	1994-10-18	PRIJEM	VKLAD	41048	114017	\N	\N	\N
205628	699	1995-08-29	PRIJEM	VKLAD	15920	52437	\N	\N	\N
205629	699	1995-04-13	PRIJEM	VKLAD	46485	119055	\N	\N	\N
205630	699	1995-02-08	PRIJEM	VKLAD	36812	127989	\N	\N	\N
205631	699	1995-02-15	PRIJEM	VKLAD	19468	79657	\N	\N	\N
205632	699	1995-03-26	PRIJEM	VKLAD	18241	122133	\N	\N	\N
205633	699	1995-01-08	PRIJEM	VKLAD	28569	100003	\N	\N	\N
205634	699	1995-01-11	PRIJEM	VKLAD	21337	90840	\N	\N	\N
205635	699	1995-12-20	PRIJEM	VKLAD	22090	67881	\N	\N	\N
205636	699	1995-09-12	PRIJEM	VKLAD	13935	61106	\N	\N	\N
205637	699	1995-12-19	PRIJEM	VKLAD	8668	45791	\N	\N	\N
205638	699	1995-04-02	PRIJEM	VKLAD	11902	112070	\N	\N	\N
205639	699	1995-03-06	PRIJEM	VKLAD	24232	104201	\N	\N	\N
205640	699	1995-04-25	PRIJEM	VKLAD	6716	100871	\N	\N	\N
205641	699	1995-05-25	PRIJEM	VKLAD	20203	90555	\N	\N	\N
205642	699	1995-03-23	PRIJEM	VKLAD	39291	103892	\N	\N	\N
205643	699	1996-03-22	PRIJEM	VKLAD	39719	110302	\N	\N	\N
205644	699	1996-12-26	PRIJEM	VKLAD	20498	67609	\N	\N	\N
205645	699	1996-06-13	PRIJEM	VKLAD	37583	79543	\N	\N	\N
205646	699	1996-04-27	PRIJEM	VKLAD	34519	90883	\N	\N	\N
205647	699	1996-12-28	PRIJEM	VKLAD	12969	80578	\N	\N	\N
205648	699	1996-03-07	PRIJEM	VKLAD	30809	92395	\N	\N	\N
205649	699	1996-07-23	PRIJEM	VKLAD	49915	68105	\N	\N	\N
205650	699	1996-08-03	PRIJEM	VKLAD	6328	55215	\N	\N	\N
205651	699	1996-11-30	PRIJEM	VKLAD	36680	85126	\N	\N	\N
205652	699	1996-01-08	PRIJEM	VKLAD	41049	98147	\N	\N	\N
205653	699	1996-01-04	PRIJEM	VKLAD	23641	83298	\N	\N	\N
205654	699	1996-09-09	PRIJEM	VKLAD	8971	61380	\N	\N	\N
205655	699	1996-05-20	PRIJEM	VKLAD	7427	69843	\N	\N	\N
205656	699	1996-01-23	PRIJEM	VKLAD	20390	118537	\N	\N	\N
205657	699	1996-10-17	PRIJEM	VKLAD	41313	61965	\N	\N	\N
205658	699	1996-08-07	PRIJEM	VKLAD	20410	75625	\N	\N	\N
205659	699	1996-02-14	PRIJEM	VKLAD	41862	99929	\N	\N	\N
205660	699	1996-10-22	PRIJEM	VKLAD	28709	90674	\N	\N	\N
205661	699	1997-07-26	PRIJEM	VKLAD	27123	51068	\N	\N	\N
205662	699	1997-12-24	PRIJEM	VKLAD	26830	47159	\N	\N	\N
205663	699	1997-03-15	PRIJEM	VKLAD	35635	74593	\N	\N	\N
205664	699	1997-01-23	PRIJEM	VKLAD	15313	64063	\N	\N	\N
205665	699	1998-03-22	PRIJEM	VKLAD	18783	82357	\N	\N	\N
205666	699	1998-12-09	PRIJEM	VKLAD	23799	107839	\N	\N	\N
205667	699	1998-03-26	PRIJEM	VKLAD	15295	81852	\N	\N	\N
205668	699	1998-10-20	PRIJEM	VKLAD	18441	116871	\N	\N	\N
205669	699	1998-11-20	PRIJEM	VKLAD	21407	114436	\N	\N	\N
205670	699	1998-08-10	PRIJEM	VKLAD	22498	98693	\N	\N	\N
205671	699	1998-03-10	PRIJEM	VKLAD	49329	111046	\N	\N	\N
205672	699	1998-12-17	PRIJEM	VKLAD	16472	112911	\N	\N	\N
205673	699	1998-04-08	PRIJEM	VKLAD	19204	101317	\N	\N	\N
205674	699	1998-09-19	PRIJEM	VKLAD	7277	71491	\N	\N	\N
205675	699	1998-06-02	PRIJEM	VKLAD	43874	124028	\N	\N	\N
205676	699	1998-02-09	PRIJEM	VKLAD	26128	80779	\N	\N	\N
205677	699	1998-05-06	PRIJEM	VKLAD	49899	105119	\N	\N	\N
205678	699	1998-02-19	PRIJEM	VKLAD	47681	128460	\N	\N	\N
205679	699	1998-09-10	PRIJEM	VKLAD	39820	120814	\N	\N	\N
205680	699	1998-03-19	PRIJEM	VKLAD	10428	121474	\N	\N	\N
205681	699	1998-10-22	PRIJEM	VKLAD	5674	67545	\N	\N	\N
205682	699	1998-01-20	PRIJEM	VKLAD	28331	53089	\N	\N	\N
205683	699	1998-09-29	PRIJEM	VKLAD	33761	98152	\N	\N	\N
205684	699	1998-10-25	PRIJEM	VKLAD	28720	96265	\N	\N	\N
205685	699	1998-07-19	PRIJEM	VKLAD	15661	93662	\N	\N	\N
205686	699	1998-06-28	PRIJEM	VKLAD	31427	87655	\N	\N	\N
205691	699	1994-02-21	VYBER	VYBER	13063	75835	\N	\N	\N
205692	699	1994-08-11	VYBER	VYBER	23747	66098	\N	\N	\N
205693	699	1994-03-25	VYBER	VYBER	3766	77464	\N	\N	\N
205694	699	1994-11-17	VYBER	VYBER	9171	68060	\N	\N	\N
205696	699	1994-08-04	VYBER	VYBER	17833	43427	\N	\N	\N
205697	699	1996-03-13	VYBER	VYBER	21812	70583	\N	\N	\N
205698	699	1996-10-24	VYBER	VYBER	3276	64841	\N	\N	\N
205699	699	1996-10-11	VYBER	VYBER	19082	20652	\N	\N	\N
205700	699	1996-10-24	VYBER	VYBER	22557	68117	\N	\N	\N
205701	699	1997-09-09	VYBER	VYBER	20323	26870	\N	\N	\N
205702	699	1997-08-17	VYBER	VYBER	5040	41120	\N	\N	\N
205703	699	1997-05-27	VYBER	VYBER	4733	26072	\N	\N	\N
205704	699	1997-01-14	VYBER	VYBER	6650	48750	\N	\N	\N
205705	699	1997-12-26	VYBER	VYBER	8501	40558	\N	\N	\N
205706	699	1997-05-16	VYBER	VYBER	13033	30805	\N	\N	\N
205709	699	1995-06-01	VYDAJ	VYBER	63600	16544	\N	\N	\N
205710	699	1996-06-19	VYDAJ	VYBER	73800	5743	\N	\N	\N
205712	699	1998-06-06	VYDAJ	VYBER	39300	54528	\N	\N	\N
205714	699	1994-12-02	VYDAJ	VYBER	8100	42853	\N	\N	\N
205715	699	1995-12-22	VYDAJ	VYBER	8400	59481	\N	\N	\N
205716	699	1996-12-16	VYDAJ	VYBER	8100	47111	\N	\N	\N
205717	699	1997-12-09	VYDAJ	VYBER	4200	20329	\N	\N	\N
205718	699	1998-12-08	VYDAJ	VYBER	7500	84040	\N	\N	\N
205724	699	1994-07-27	VYDAJ	VYBER	9000	67105	\N	\N	\N
205725	699	1994-09-18	VYDAJ	VYBER	14100	35414	\N	\N	\N
205726	699	1994-12-23	VYDAJ	VYBER	11700	104851	\N	\N	\N
205727	699	1994-07-16	VYDAJ	VYBER	6600	36832	\N	\N	\N
205728	699	1994-05-17	VYDAJ	VYBER	9900	30575	\N	\N	\N
205729	699	1994-04-17	VYDAJ	VYBER	6900	54221	\N	\N	\N
205732	699	1995-03-30	VYDAJ	VYBER	3300	99833	\N	\N	\N
205733	699	1995-10-20	VYDAJ	VYBER	14400	31623	\N	\N	\N
205734	699	1995-03-09	VYDAJ	VYBER	8700	95501	\N	\N	\N
205735	699	1995-09-13	VYDAJ	VYBER	3300	57806	\N	\N	\N
205736	699	1995-05-27	VYDAJ	VYBER	10800	79755	\N	\N	\N
205737	699	1996-05-28	VYDAJ	VYBER	11700	52743	\N	\N	\N
205739	699	1996-05-25	VYDAJ	VYBER	5400	64443	\N	\N	\N
205740	699	1996-10-01	VYDAJ	VYBER	6300	39734	\N	\N	\N
205741	699	1996-03-05	VYDAJ	VYBER	8400	61586	\N	\N	\N
205742	699	1997-06-29	VYDAJ	VYBER	12600	23826	\N	\N	\N
205743	699	1997-11-17	VYDAJ	VYBER	11100	18208	\N	\N	\N
205744	699	1997-09-09	VYDAJ	VYBER	12600	14270	\N	\N	\N
205745	699	1997-11-10	VYDAJ	VYBER	13500	29308	\N	\N	\N
205746	699	1997-06-18	VYDAJ	VYBER	2100	31726	\N	\N	\N
205747	699	1997-12-30	VYDAJ	VYBER	3000	37558	\N	\N	\N
205748	699	1997-11-30	VYDAJ	VYBER	7800	24529	\N	\N	\N
205749	699	1998-12-14	VYDAJ	VYBER	11400	96439	\N	\N	\N
205750	699	1998-01-02	VYDAJ	VYBER	12900	24758	\N	\N	\N
205751	699	1998-11-08	VYDAJ	VYBER	3600	93029	\N	\N	\N
205752	699	1998-04-27	VYDAJ	VYBER	10500	62717	\N	\N	\N
205753	699	1998-07-02	VYDAJ	VYBER	9900	78001	\N	\N	\N
205754	699	1998-04-28	VYDAJ	VYBER	7800	54917	\N	\N	\N
205769	699	1994-02-28	VYDAJ	VYBER	15	76109	SLUZBY	\N	\N
205770	699	1994-03-31	VYDAJ	VYBER	15	118221	SLUZBY	\N	\N
205771	699	1994-04-30	VYDAJ	VYBER	15	54575	SLUZBY	\N	\N
205772	699	1994-05-31	VYDAJ	VYBER	15	80017	SLUZBY	\N	\N
205773	699	1994-06-30	VYDAJ	VYBER	15	54032	SLUZBY	\N	\N
205774	699	1994-07-31	VYDAJ	VYBER	15	61260	SLUZBY	\N	\N
205775	699	1994-08-31	VYDAJ	VYBER	15	46413	SLUZBY	\N	\N
205776	699	1994-09-30	VYDAJ	VYBER	15	70333	SLUZBY	\N	\N
205777	699	1994-10-31	VYDAJ	VYBER	15	100864	SLUZBY	\N	\N
205778	699	1994-11-30	VYDAJ	VYBER	15	50953	SLUZBY	\N	\N
205779	699	1994-12-31	VYDAJ	VYBER	15	71434	SLUZBY	\N	\N
205780	699	1995-01-31	VYDAJ	VYBER	15	91177	SLUZBY	\N	\N
205781	699	1995-02-28	VYDAJ	VYBER	15	79969	SLUZBY	\N	\N
205782	699	1995-03-31	VYDAJ	VYBER	15	100168	SLUZBY	\N	\N
205783	699	1995-04-30	VYDAJ	VYBER	15	101252	SLUZBY	\N	\N
205784	699	1995-05-31	VYDAJ	VYBER	15	80144	SLUZBY	\N	\N
205785	699	1995-06-30	VYDAJ	VYBER	15	29908	SLUZBY	\N	\N
205786	699	1995-07-31	VYDAJ	VYBER	15	34017	SLUZBY	\N	\N
205787	699	1995-08-31	VYDAJ	VYBER	15	52571	SLUZBY	\N	\N
205788	699	1995-09-30	VYDAJ	VYBER	15	58023	SLUZBY	\N	\N
205789	699	1995-10-31	VYDAJ	VYBER	15	31806	SLUZBY	\N	\N
205790	699	1995-11-30	VYDAJ	VYBER	15	36523	SLUZBY	\N	\N
205791	699	1995-12-31	VYDAJ	VYBER	15	59657	SLUZBY	\N	\N
205792	699	1996-01-31	VYDAJ	VYBER	15	77167	SLUZBY	\N	\N
205793	699	1996-02-29	VYDAJ	VYBER	15	100286	SLUZBY	\N	\N
205794	699	1996-03-31	VYDAJ	VYBER	15	79464	SLUZBY	\N	\N
205795	699	1996-04-30	VYDAJ	VYBER	15	91316	SLUZBY	\N	\N
205796	699	1996-05-31	VYDAJ	VYBER	15	53060	SLUZBY	\N	\N
205797	699	1996-06-30	VYDAJ	VYBER	15	5890	SLUZBY	\N	\N
205798	699	1996-07-31	VYDAJ	VYBER	15	68187	SLUZBY	\N	\N
205799	699	1996-08-31	VYDAJ	VYBER	15	75909	SLUZBY	\N	\N
205800	699	1996-09-30	VYDAJ	VYBER	15	61634	SLUZBY	\N	\N
205801	699	1996-10-31	VYDAJ	VYBER	15	65048	SLUZBY	\N	\N
205802	699	1996-11-30	VYDAJ	VYBER	15	55211	SLUZBY	\N	\N
205803	699	1996-12-31	VYDAJ	VYBER	15	55400	SLUZBY	\N	\N
205804	699	1997-01-31	VYDAJ	VYBER	15	48078	SLUZBY	\N	\N
205805	699	1997-02-28	VYDAJ	VYBER	15	38958	SLUZBY	\N	\N
205806	699	1997-03-31	VYDAJ	VYBER	15	52440	SLUZBY	\N	\N
205807	699	1997-04-30	VYDAJ	VYBER	15	43838	SLUZBY	\N	\N
205808	699	1997-05-31	VYDAJ	VYBER	15	33826	SLUZBY	\N	\N
205809	699	1997-06-30	VYDAJ	VYBER	15	23945	SLUZBY	\N	\N
205810	699	1997-07-31	VYDAJ	VYBER	15	46160	SLUZBY	\N	\N
205811	699	1997-08-31	VYDAJ	VYBER	15	47193	SLUZBY	\N	\N
205812	699	1997-09-30	VYDAJ	VYBER	15	33389	SLUZBY	\N	\N
205813	699	1997-10-31	VYDAJ	VYBER	15	42808	SLUZBY	\N	\N
205814	699	1997-11-30	VYDAJ	VYBER	15	32329	SLUZBY	\N	\N
205815	699	1997-12-31	VYDAJ	VYBER	15	37658	SLUZBY	\N	\N
205816	699	1998-01-31	VYDAJ	VYBER	15	54651	SLUZBY	\N	\N
205817	699	1998-02-28	VYDAJ	VYBER	15	61717	SLUZBY	\N	\N
205818	699	1998-03-31	VYDAJ	VYBER	15	82113	SLUZBY	\N	\N
205819	699	1998-04-30	VYDAJ	VYBER	15	55220	SLUZBY	\N	\N
205820	699	1998-05-31	VYDAJ	VYBER	15	80154	SLUZBY	\N	\N
205821	699	1998-06-30	VYDAJ	VYBER	15	87901	SLUZBY	\N	\N
205822	699	1998-07-31	VYDAJ	VYBER	15	76195	SLUZBY	\N	\N
205823	699	1998-08-31	VYDAJ	VYBER	15	80994	SLUZBY	\N	\N
205824	699	1998-09-30	VYDAJ	VYBER	15	98430	SLUZBY	\N	\N
205825	699	1998-10-31	VYDAJ	VYBER	15	96629	SLUZBY	\N	\N
205826	699	1998-11-30	VYDAJ	VYBER	15	91540	SLUZBY	\N	\N
205827	699	1993-10-17	VYDAJ	VYBER	13400	34471	\N	\N	\N
205828	699	1993-11-16	VYDAJ	VYBER	6800	27871	\N	\N	\N
205829	699	1993-12-16	PRIJEM	VKLAD	100	28170	\N	\N	\N
205830	699	1994-01-15	VYDAJ	VYBER	23700	46226	\N	\N	\N
205831	699	1994-02-14	VYDAJ	VYBER	23700	49590	\N	\N	\N
205832	699	1994-03-16	VYDAJ	VYBER	23400	52709	\N	\N	\N
205833	699	1994-03-31	VYDAJ	VYBER	17800	100421	\N	\N	\N
205834	699	1994-04-15	VYDAJ	VYBER	39300	61121	\N	\N	\N
205835	699	1994-05-15	VYDAJ	VYBER	14100	40475	\N	\N	\N
205836	699	1994-06-14	VYDAJ	VYBER	26300	53717	\N	\N	\N
205837	699	1994-07-14	VYDAJ	VYBER	10600	43432	\N	\N	\N
205838	699	1994-07-25	VYDAJ	VYBER	56400	76105	\N	\N	\N
205839	699	1994-07-30	VYDAJ	VYBER	58400	61040	\N	\N	\N
205840	699	1994-08-13	VYDAJ	VYBER	19900	46198	\N	\N	\N
205841	699	1994-09-12	VYDAJ	VYBER	22800	49514	\N	\N	\N
205842	699	1994-10-12	VYDAJ	VYBER	18100	52233	\N	\N	\N
205843	699	1994-10-18	VYDAJ	VYBER	26500	87517	\N	\N	\N
205844	699	1994-10-19	VYDAJ	VYBER	24100	87421	\N	\N	\N
205845	699	1994-10-25	VYDAJ	VYBER	23200	100499	\N	\N	\N
205846	699	1994-11-08	VYDAJ	VYBER	20600	92817	\N	\N	\N
205847	699	1994-11-11	VYDAJ	VYBER	30500	62317	\N	\N	\N
205848	699	1994-11-30	VYDAJ	VYBER	60800	50968	\N	\N	\N
205849	699	1994-12-11	VYDAJ	VYBER	2000	40853	\N	\N	\N
205850	699	1994-12-22	VYDAJ	VYBER	37000	131651	\N	\N	\N
205851	699	1994-12-22	VYDAJ	VYBER	15100	116551	\N	\N	\N
205852	699	1994-12-26	VYDAJ	VYBER	49800	71121	\N	\N	\N
205853	699	1995-01-10	VYDAJ	VYBER	30500	69503	\N	\N	\N
205854	699	1995-02-08	VYDAJ	VYBER	38100	89889	\N	\N	\N
205855	699	1995-02-09	VYDAJ	VYBER	29700	60189	\N	\N	\N
205856	699	1995-03-11	VYDAJ	VYBER	30900	64601	\N	\N	\N
205857	699	1995-03-26	VYDAJ	VYBER	19000	103133	\N	\N	\N
205858	699	1995-04-10	VYDAJ	VYBER	39500	72570	\N	\N	\N
205859	699	1995-04-13	VYDAJ	VYBER	24900	94155	\N	\N	\N
205860	699	1995-05-10	VYDAJ	VYBER	30900	70352	\N	\N	\N
205861	699	1995-06-09	PRIJEM	VKLAD	13200	29744	\N	\N	\N
205862	699	1995-07-09	PRIJEM	VKLAD	4000	33908	\N	\N	\N
205863	699	1995-08-08	PRIJEM	VKLAD	2500	36517	\N	\N	\N
205864	699	1995-09-07	VYDAJ	VYBER	5400	47171	\N	\N	\N
205865	699	1995-10-07	VYDAJ	VYBER	12000	46023	\N	\N	\N
205866	699	1995-11-06	PRIJEM	VKLAD	4600	36406	\N	\N	\N
205867	699	1995-12-06	PRIJEM	VKLAD	600	37123	\N	\N	\N
205868	699	1996-01-05	VYDAJ	VYBER	26200	57098	\N	\N	\N
205869	699	1996-01-23	VYDAJ	VYBER	41700	76837	\N	\N	\N
205870	699	1996-02-04	VYDAJ	VYBER	19100	58067	\N	\N	\N
205871	699	1996-03-05	VYDAJ	VYBER	30300	69986	\N	\N	\N
205872	699	1996-03-31	VYDAJ	VYBER	31200	79479	\N	\N	\N
205873	699	1996-04-04	VYDAJ	VYBER	23100	56364	\N	\N	\N
205874	699	1996-05-04	VYDAJ	VYBER	28900	62416	\N	\N	\N
205875	699	1996-06-03	VYDAJ	VYBER	11100	41960	\N	\N	\N
205876	699	1996-07-03	PRIJEM	VKLAD	12300	18190	\N	\N	\N
205877	699	1996-08-02	VYDAJ	VYBER	19300	48887	\N	\N	\N
205878	699	1996-09-01	VYDAJ	VYBER	23500	52409	\N	\N	\N
205879	699	1996-10-01	VYDAJ	VYBER	15600	46034	\N	\N	\N
205880	699	1996-10-31	VYDAJ	VYBER	16800	48248	\N	\N	\N
205881	699	1996-11-30	VYDAJ	VYBER	29900	55226	\N	\N	\N
205882	699	1996-12-30	VYDAJ	VYBER	25400	55178	\N	\N	\N
205883	699	1997-01-29	VYDAJ	VYBER	16200	47863	\N	\N	\N
205884	699	1997-02-28	VYDAJ	VYBER	9300	38973	\N	\N	\N
205885	699	1997-03-30	VYDAJ	VYBER	22300	52293	\N	\N	\N
205886	699	1997-04-29	VYDAJ	VYBER	8800	43640	\N	\N	\N
205887	699	1997-05-29	PRIJEM	VKLAD	7600	33672	\N	\N	\N
205888	699	1997-06-28	PRIJEM	VKLAD	4700	36426	\N	\N	\N
205889	699	1997-07-28	VYDAJ	VYBER	5000	46068	\N	\N	\N
205890	699	1997-08-27	PRIJEM	VKLAD	5900	47020	\N	\N	\N
205891	699	1997-09-26	PRIJEM	VKLAD	19000	33270	\N	\N	\N
205892	699	1997-10-26	PRIJEM	VKLAD	9300	42689	\N	\N	\N
205893	699	1997-11-25	PRIJEM	VKLAD	14000	32208	\N	\N	\N
205894	699	1997-12-25	PRIJEM	VKLAD	1900	49059	\N	\N	\N
205895	699	1998-01-24	PRIJEM	VKLAD	1400	54489	\N	\N	\N
205896	699	1998-02-19	VYDAJ	VYBER	59200	69260	\N	\N	\N
205897	699	1998-02-23	VYDAJ	VYBER	7800	61460	\N	\N	\N
205898	699	1998-03-19	VYDAJ	VYBER	57900	63574	\N	\N	\N
205899	699	1998-03-25	VYDAJ	VYBER	15800	66557	\N	\N	\N
205900	699	1998-04-24	VYDAJ	VYBER	28100	73217	\N	\N	\N
205901	699	1998-05-24	VYDAJ	VYBER	25200	79919	\N	\N	\N
205902	699	1998-06-02	VYDAJ	VYBER	30200	93828	\N	\N	\N
205903	699	1998-06-23	PRIJEM	VKLAD	1700	56228	\N	\N	\N
205904	699	1998-07-23	VYDAJ	VYBER	17800	75862	\N	\N	\N
205905	699	1998-08-22	VYDAJ	VYBER	18000	80693	\N	\N	\N
205906	699	1998-09-10	VYDAJ	VYBER	56600	64214	\N	\N	\N
205907	699	1998-09-21	VYDAJ	VYBER	7100	64391	\N	\N	\N
205908	699	1998-10-20	VYDAJ	VYBER	50500	66371	\N	\N	\N
205909	699	1998-10-21	VYDAJ	VYBER	4500	61871	\N	\N	\N
205910	699	1998-11-20	VYDAJ	VYBER	23300	91136	\N	\N	\N
205977	700	1994-06-01	PRIJEM	VKLAD	300	300	\N	\N	\N
205983	700	1994-06-13	PRIJEM	VKLAD	6216	6516	\N	\N	\N
205984	700	1994-07-13	PRIJEM	VKLAD	4144	19776	\N	\N	\N
205985	700	1994-08-13	PRIJEM	VKLAD	4144	27882	\N	\N	\N
205986	700	1994-09-13	PRIJEM	VKLAD	4144	30525	\N	\N	\N
205987	700	1994-10-13	PRIJEM	VKLAD	4144	32079	\N	\N	\N
205988	700	1994-11-13	PRIJEM	VKLAD	4144	28971	\N	\N	\N
205989	700	1994-12-13	PRIJEM	VKLAD	6216	30525	\N	\N	\N
205990	700	1995-01-13	PRIJEM	VKLAD	4144	28105	\N	\N	\N
205991	700	1995-02-13	PRIJEM	VKLAD	4144	23371	\N	\N	\N
205992	700	1995-03-13	PRIJEM	VKLAD	4144	24122	\N	\N	\N
205993	700	1995-04-13	PRIJEM	VKLAD	4144	26685	\N	\N	\N
205994	700	1995-05-13	PRIJEM	VKLAD	4144	22545	\N	\N	\N
205995	700	1995-06-13	PRIJEM	VKLAD	6216	24970	\N	\N	\N
205996	700	1995-07-13	PRIJEM	VKLAD	4144	21729	\N	\N	\N
205997	700	1995-08-13	PRIJEM	VKLAD	4144	26981	\N	\N	\N
205998	700	1995-09-13	PRIJEM	VKLAD	4144	25348	\N	\N	\N
205999	700	1995-10-13	PRIJEM	VKLAD	4144	24712	\N	\N	\N
206000	700	1995-11-13	PRIJEM	VKLAD	4144	22770	\N	\N	\N
206001	700	1995-12-13	PRIJEM	VKLAD	6216	21693	\N	\N	\N
206002	700	1996-01-13	PRIJEM	VKLAD	4144	16336	\N	\N	\N
206003	700	1996-02-13	PRIJEM	VKLAD	4144	16262	\N	\N	\N
206004	700	1996-03-13	PRIJEM	VKLAD	4144	19791	\N	\N	\N
206005	700	1996-04-13	PRIJEM	VKLAD	4144	18930	\N	\N	\N
206006	700	1996-05-13	PRIJEM	VKLAD	4144	18266	\N	\N	\N
206007	700	1996-06-13	PRIJEM	VKLAD	6216	20370	\N	\N	\N
206008	700	1996-07-13	PRIJEM	VKLAD	4144	15902	\N	\N	\N
206009	700	1996-08-13	PRIJEM	VKLAD	4144	16224	\N	\N	\N
206010	700	1996-09-13	PRIJEM	VKLAD	4144	18051	\N	\N	\N
206011	700	1996-10-13	PRIJEM	VKLAD	4144	19886	\N	\N	\N
206012	700	1996-11-13	PRIJEM	VKLAD	4144	19424	\N	\N	\N
206013	700	1996-12-13	PRIJEM	VKLAD	6216	19934	\N	\N	\N
206014	700	1997-01-13	PRIJEM	VKLAD	4144	20177	\N	\N	\N
206015	700	1997-02-13	PRIJEM	VKLAD	4144	22227	\N	\N	\N
206016	700	1997-03-13	PRIJEM	VKLAD	4144	23377	\N	\N	\N
206017	700	1997-04-13	PRIJEM	VKLAD	4144	22029	\N	\N	\N
206018	700	1997-05-13	PRIJEM	VKLAD	4144	24382	\N	\N	\N
206019	700	1997-06-13	PRIJEM	VKLAD	6216	32322	\N	\N	\N
206020	700	1997-07-13	PRIJEM	VKLAD	4144	28800	\N	\N	\N
206021	700	1997-08-13	PRIJEM	VKLAD	4144	27571	\N	\N	\N
206022	700	1997-09-13	PRIJEM	VKLAD	4144	26638	\N	\N	\N
206023	700	1997-10-13	PRIJEM	VKLAD	4144	31013	\N	\N	\N
206024	700	1997-11-13	PRIJEM	VKLAD	4144	29490	\N	\N	\N
206025	700	1997-12-13	PRIJEM	VKLAD	6216	32244	\N	\N	\N
206026	700	1998-01-13	PRIJEM	VKLAD	4144	31428	\N	\N	\N
206027	700	1998-02-13	PRIJEM	VKLAD	4144	35007	\N	\N	\N
206028	700	1998-03-13	PRIJEM	VKLAD	4144	39300	\N	\N	\N
206029	700	1998-04-13	PRIJEM	VKLAD	4144	41915	\N	\N	\N
206030	700	1998-05-13	PRIJEM	VKLAD	4144	38542	\N	\N	\N
206031	700	1998-06-13	PRIJEM	VKLAD	6216	46437	\N	\N	\N
206032	700	1998-07-13	PRIJEM	VKLAD	4144	42662	\N	\N	\N
206033	700	1998-08-13	PRIJEM	VKLAD	4144	40594	\N	\N	\N
206034	700	1998-09-13	PRIJEM	VKLAD	4144	42127	\N	\N	\N
206035	700	1998-10-13	PRIJEM	VKLAD	4144	42159	\N	\N	\N
206036	700	1998-11-13	PRIJEM	VKLAD	4144	49096	\N	\N	\N
206037	700	1998-12-13	PRIJEM	VKLAD	6216	53122	\N	\N	\N
206048	700	1994-11-09	VYDAJ	PREVOD NA UCET	1116	24827	SIPO	WX	21956253
206049	700	1994-12-09	VYDAJ	PREVOD NA UCET	1116	24309	SIPO	WX	21956253
206050	700	1995-01-09	VYDAJ	PREVOD NA UCET	1116	23961	SIPO	WX	21956253
206051	700	1995-02-09	VYDAJ	PREVOD NA UCET	1116	19227	SIPO	WX	21956253
206052	700	1995-03-09	VYDAJ	PREVOD NA UCET	1116	19978	SIPO	WX	21956253
206053	700	1995-04-09	VYDAJ	PREVOD NA UCET	1116	22541	SIPO	WX	21956253
206054	700	1995-05-09	VYDAJ	PREVOD NA UCET	1116	18401	SIPO	WX	21956253
206055	700	1995-06-09	VYDAJ	PREVOD NA UCET	1116	21854	SIPO	WX	21956253
206056	700	1995-07-09	VYDAJ	PREVOD NA UCET	1116	17585	SIPO	WX	21956253
206057	700	1995-08-09	VYDAJ	PREVOD NA UCET	1116	22837	SIPO	WX	21956253
206058	700	1995-09-09	VYDAJ	PREVOD NA UCET	1116	21204	SIPO	WX	21956253
206059	700	1995-10-09	VYDAJ	PREVOD NA UCET	1116	20568	SIPO	WX	21956253
206060	700	1995-11-09	VYDAJ	PREVOD NA UCET	1116	18626	SIPO	WX	21956253
206061	700	1995-12-09	VYDAJ	PREVOD NA UCET	1116	16377	SIPO	WX	21956253
206062	700	1996-01-09	VYDAJ	PREVOD NA UCET	1116	12192	SIPO	WX	21956253
206063	700	1996-02-09	VYDAJ	PREVOD NA UCET	1116	12118	SIPO	WX	21956253
206064	700	1996-03-09	VYDAJ	PREVOD NA UCET	1116	15647	SIPO	WX	21956253
206065	700	1996-04-09	VYDAJ	PREVOD NA UCET	1116	14786	SIPO	WX	21956253
206066	700	1996-05-09	VYDAJ	PREVOD NA UCET	1116	14122	SIPO	WX	21956253
206067	700	1996-06-09	VYDAJ	PREVOD NA UCET	1116	14154	SIPO	WX	21956253
206068	700	1996-07-09	VYDAJ	PREVOD NA UCET	1116	11758	SIPO	WX	21956253
206069	700	1996-08-09	VYDAJ	PREVOD NA UCET	1116	12080	SIPO	WX	21956253
206070	700	1996-09-09	VYDAJ	PREVOD NA UCET	1116	13907	SIPO	WX	21956253
206071	700	1996-10-09	VYDAJ	PREVOD NA UCET	1116	15742	SIPO	WX	21956253
206072	700	1996-11-09	VYDAJ	PREVOD NA UCET	1116	15280	SIPO	WX	21956253
206073	700	1996-12-09	VYDAJ	PREVOD NA UCET	1116	13718	SIPO	WX	21956253
206074	700	1997-01-09	VYDAJ	PREVOD NA UCET	1116	16033	SIPO	WX	21956253
206075	700	1997-02-09	VYDAJ	PREVOD NA UCET	1116	18083	SIPO	WX	21956253
206076	700	1997-03-09	VYDAJ	PREVOD NA UCET	1116	19233	SIPO	WX	21956253
206077	700	1997-04-09	VYDAJ	PREVOD NA UCET	1116	18585	SIPO	WX	21956253
206078	700	1997-05-09	VYDAJ	PREVOD NA UCET	1116	20238	SIPO	WX	21956253
206079	700	1997-06-09	VYDAJ	PREVOD NA UCET	1116	26106	SIPO	WX	21956253
206080	700	1997-07-09	VYDAJ	PREVOD NA UCET	1116	24656	SIPO	WX	21956253
206081	700	1997-08-09	VYDAJ	PREVOD NA UCET	1116	23427	SIPO	WX	21956253
206082	700	1997-09-09	VYDAJ	PREVOD NA UCET	1116	22494	SIPO	WX	21956253
206083	700	1997-10-09	VYDAJ	PREVOD NA UCET	1116	26869	SIPO	WX	21956253
206084	700	1997-11-09	VYDAJ	PREVOD NA UCET	1116	24046	SIPO	WX	21956253
206085	700	1997-12-09	VYDAJ	PREVOD NA UCET	1116	22328	SIPO	WX	21956253
206086	700	1998-01-09	VYDAJ	PREVOD NA UCET	1116	23884	SIPO	WX	21956253
206087	700	1998-02-09	VYDAJ	PREVOD NA UCET	1116	21163	SIPO	WX	21956253
206088	700	1998-03-09	VYDAJ	PREVOD NA UCET	1116	32356	SIPO	WX	21956253
206089	700	1998-04-09	VYDAJ	PREVOD NA UCET	1116	34471	SIPO	WX	21956253
206090	700	1998-05-09	VYDAJ	PREVOD NA UCET	1116	39298	SIPO	WX	21956253
206091	700	1998-06-09	VYDAJ	PREVOD NA UCET	1116	35921	SIPO	WX	21956253
206092	700	1998-07-09	VYDAJ	PREVOD NA UCET	1116	33218	SIPO	WX	21956253
206093	700	1998-08-09	VYDAJ	PREVOD NA UCET	1116	40050	SIPO	WX	21956253
206094	700	1998-09-09	VYDAJ	PREVOD NA UCET	1116	37983	SIPO	WX	21956253
206095	700	1998-10-09	VYDAJ	PREVOD NA UCET	1116	38015	SIPO	WX	21956253
206096	700	1998-11-09	VYDAJ	PREVOD NA UCET	1116	44952	SIPO	WX	21956253
206097	700	1998-12-09	VYDAJ	PREVOD NA UCET	1116	46906	SIPO	WX	21956253
206107	700	1994-10-13	VYDAJ	PREVOD NA UCET	1646	30433	 	YZ	83101778
206108	700	1994-11-13	VYDAJ	PREVOD NA UCET	1646	27325	 	YZ	83101778
206109	700	1994-12-13	VYDAJ	PREVOD NA UCET	1646	28879	 	YZ	83101778
206110	700	1995-01-13	VYDAJ	PREVOD NA UCET	1646	26459	 	YZ	83101778
206111	700	1995-02-13	VYDAJ	PREVOD NA UCET	1646	21725	 	YZ	83101778
206112	700	1995-03-13	VYDAJ	PREVOD NA UCET	1646	22476	 	YZ	83101778
206113	700	1995-04-13	VYDAJ	PREVOD NA UCET	1646	25039	 	YZ	83101778
206114	700	1995-05-13	VYDAJ	PREVOD NA UCET	1646	20899	 	YZ	83101778
206115	700	1995-06-13	VYDAJ	PREVOD NA UCET	1646	23324	 	YZ	83101778
206116	700	1995-07-13	VYDAJ	PREVOD NA UCET	1646	20083	 	YZ	83101778
206117	700	1995-08-13	VYDAJ	PREVOD NA UCET	1646	25335	 	YZ	83101778
206118	700	1995-09-13	VYDAJ	PREVOD NA UCET	1646	23702	 	YZ	83101778
206119	700	1995-10-13	VYDAJ	PREVOD NA UCET	1646	23066	 	YZ	83101778
206120	700	1995-11-13	VYDAJ	PREVOD NA UCET	1646	21124	 	YZ	83101778
206121	700	1995-12-13	VYDAJ	PREVOD NA UCET	1646	20047	 	YZ	83101778
206122	700	1996-01-13	VYDAJ	PREVOD NA UCET	1646	14690	 	YZ	83101778
206123	700	1996-02-13	VYDAJ	PREVOD NA UCET	1646	14616	 	YZ	83101778
206124	700	1996-03-13	VYDAJ	PREVOD NA UCET	1646	18145	 	YZ	83101778
206125	700	1996-04-13	VYDAJ	PREVOD NA UCET	1646	17284	 	YZ	83101778
206126	700	1996-05-13	VYDAJ	PREVOD NA UCET	1646	16620	 	YZ	83101778
206127	700	1996-06-13	VYDAJ	PREVOD NA UCET	1646	18724	 	YZ	83101778
206128	700	1996-07-13	VYDAJ	PREVOD NA UCET	1646	14256	 	YZ	83101778
206129	700	1996-08-13	VYDAJ	PREVOD NA UCET	1646	14578	 	YZ	83101778
206130	700	1996-09-13	VYDAJ	PREVOD NA UCET	1646	16405	 	YZ	83101778
206131	700	1996-10-13	VYDAJ	PREVOD NA UCET	1646	18240	 	YZ	83101778
206132	700	1996-11-13	VYDAJ	PREVOD NA UCET	1646	17778	 	YZ	83101778
206133	700	1996-12-13	VYDAJ	PREVOD NA UCET	1646	18288	 	YZ	83101778
206134	700	1997-01-13	VYDAJ	PREVOD NA UCET	1646	18531	 	YZ	83101778
206135	700	1997-02-13	VYDAJ	PREVOD NA UCET	1646	20581	 	YZ	83101778
206136	700	1997-03-13	VYDAJ	PREVOD NA UCET	1646	21731	 	YZ	83101778
206137	700	1997-04-13	VYDAJ	PREVOD NA UCET	1646	20383	 	YZ	83101778
206138	700	1997-05-13	VYDAJ	PREVOD NA UCET	1646	22736	 	YZ	83101778
206139	700	1997-06-13	VYDAJ	PREVOD NA UCET	1646	30676	 	YZ	83101778
206140	700	1997-07-13	VYDAJ	PREVOD NA UCET	1646	27154	 	YZ	83101778
206141	700	1997-08-13	VYDAJ	PREVOD NA UCET	1646	25925	 	YZ	83101778
206142	700	1997-09-13	VYDAJ	PREVOD NA UCET	1646	27892	 	YZ	83101778
206143	700	1997-10-13	VYDAJ	PREVOD NA UCET	1646	29367	 	YZ	83101778
206144	700	1997-11-13	VYDAJ	PREVOD NA UCET	1646	27844	 	YZ	83101778
206145	700	1997-12-13	VYDAJ	PREVOD NA UCET	1646	30598	 	YZ	83101778
206146	700	1998-01-13	VYDAJ	PREVOD NA UCET	1646	29782	 	YZ	83101778
206147	700	1998-02-13	VYDAJ	PREVOD NA UCET	1646	33361	 	YZ	83101778
206148	700	1998-03-13	VYDAJ	PREVOD NA UCET	1646	37654	 	YZ	83101778
206149	700	1998-04-13	VYDAJ	PREVOD NA UCET	1646	40269	 	YZ	83101778
206150	700	1998-05-13	VYDAJ	PREVOD NA UCET	1646	36896	 	YZ	83101778
206151	700	1998-06-13	VYDAJ	PREVOD NA UCET	1646	44791	 	YZ	83101778
206152	700	1998-07-13	VYDAJ	PREVOD NA UCET	1646	41016	 	YZ	83101778
206153	700	1998-08-13	VYDAJ	PREVOD NA UCET	1646	38948	 	YZ	83101778
206154	700	1998-09-13	VYDAJ	PREVOD NA UCET	1646	40481	 	YZ	83101778
206155	700	1998-10-13	VYDAJ	PREVOD NA UCET	1646	40513	 	YZ	83101778
206156	700	1998-11-13	VYDAJ	PREVOD NA UCET	1646	47450	 	YZ	83101778
206157	700	1998-12-13	VYDAJ	PREVOD NA UCET	1646	51476	 	YZ	83101778
206162	700	1998-06-20	VYDAJ	VYBER	9700	34191	\N	\N	\N
206163	700	1994-12-29	VYDAJ	VYBER	2000	24979	\N	\N	\N
206164	700	1995-12-21	VYDAJ	VYBER	500	19547	\N	\N	\N
206165	700	1996-12-22	VYDAJ	VYBER	800	20788	\N	\N	\N
206166	700	1997-12-24	VYDAJ	VYBER	2600	27998	\N	\N	\N
206167	700	1998-12-19	VYDAJ	VYBER	600	50876	\N	\N	\N
206174	700	1995-01-24	VYDAJ	VYBER	500	20859	\N	\N	\N
206175	700	1995-01-25	VYDAJ	VYBER	800	20059	\N	\N	\N
206176	700	1995-01-23	VYDAJ	VYBER	2000	21359	\N	\N	\N
206177	700	1995-01-15	VYDAJ	VYBER	700	25759	\N	\N	\N
206178	700	1995-01-19	VYDAJ	VYBER	600	23359	\N	\N	\N
206179	700	1995-01-18	VYDAJ	VYBER	1800	23959	\N	\N	\N
206180	700	1996-01-05	VYDAJ	VYBER	500	15208	\N	\N	\N
206182	700	1996-01-23	VYDAJ	VYBER	2400	13190	\N	\N	\N
206185	700	1996-01-08	VYDAJ	VYBER	1900	13308	\N	\N	\N
206186	700	1997-01-22	VYDAJ	VYBER	1000	23131	\N	\N	\N
206187	700	1997-01-26	VYDAJ	VYBER	1200	21931	\N	\N	\N
206188	700	1997-01-28	VYDAJ	VYBER	1300	19131	\N	\N	\N
206189	700	1997-01-26	VYDAJ	VYBER	1500	20431	\N	\N	\N
206190	700	1997-01-03	VYDAJ	VYBER	2100	17149	\N	\N	\N
206191	700	1997-01-03	VYDAJ	VYBER	1600	19249	\N	\N	\N
206192	700	1998-01-30	VYDAJ	VYBER	500	22182	\N	\N	\N
206193	700	1998-01-22	VYDAJ	VYBER	1100	27282	\N	\N	\N
206194	700	1998-01-29	VYDAJ	VYBER	1200	22682	\N	\N	\N
206195	700	1998-01-20	VYDAJ	VYBER	1400	28382	\N	\N	\N
206196	700	1998-01-08	VYDAJ	VYBER	600	25000	\N	\N	\N
206197	700	1998-01-07	VYDAJ	VYBER	2500	25600	\N	\N	\N
206201	700	1995-12-10	VYDAJ	VYBER	900	15477	\N	\N	\N
206202	700	1995-12-29	VYDAJ	VYBER	1500	15647	\N	\N	\N
206203	700	1995-04-15	VYDAJ	VYBER	4000	21039	\N	\N	\N
206204	700	1995-02-17	VYDAJ	VYBER	2600	19125	\N	\N	\N
206205	700	1995-06-23	VYDAJ	VYBER	3000	20324	\N	\N	\N
206206	700	1995-06-12	VYDAJ	VYBER	3100	18754	\N	\N	\N
206207	700	1996-11-27	VYDAJ	VYBER	2700	14778	\N	\N	\N
206210	700	1997-10-27	VYDAJ	VYBER	900	25067	\N	\N	\N
206211	700	1997-12-08	VYDAJ	VYBER	4500	23444	\N	\N	\N
206212	700	1997-03-19	VYDAJ	VYBER	1700	19631	\N	\N	\N
206213	700	1997-04-11	VYDAJ	VYBER	700	17885	\N	\N	\N
206214	700	1998-06-19	VYDAJ	VYBER	900	43891	\N	\N	\N
206215	700	1998-03-22	VYDAJ	VYBER	2200	35454	\N	\N	\N
206216	700	1998-01-26	VYDAJ	VYBER	3400	23882	\N	\N	\N
206227	700	1994-10-31	VYDAJ	VYBER	15	25943	SLUZBY	\N	\N
206228	700	1994-11-30	VYDAJ	VYBER	15	25425	SLUZBY	\N	\N
206229	700	1994-12-31	VYDAJ	VYBER	15	25077	SLUZBY	\N	\N
206230	700	1995-01-31	VYDAJ	VYBER	15	20343	SLUZBY	\N	\N
206231	700	1995-02-28	VYDAJ	VYBER	15	21094	SLUZBY	\N	\N
206232	700	1995-03-31	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
206233	700	1995-04-30	VYDAJ	VYBER	15	19517	SLUZBY	\N	\N
206234	700	1995-05-31	VYDAJ	VYBER	15	22970	SLUZBY	\N	\N
206235	700	1995-06-30	VYDAJ	VYBER	15	18701	SLUZBY	\N	\N
206236	700	1995-07-31	VYDAJ	VYBER	15	23953	SLUZBY	\N	\N
206237	700	1995-08-31	VYDAJ	VYBER	15	22320	SLUZBY	\N	\N
206238	700	1995-09-30	VYDAJ	VYBER	15	21684	SLUZBY	\N	\N
206239	700	1995-10-31	VYDAJ	VYBER	15	19742	SLUZBY	\N	\N
206240	700	1995-11-30	VYDAJ	VYBER	15	17493	SLUZBY	\N	\N
206241	700	1995-12-31	VYDAJ	VYBER	15	15708	SLUZBY	\N	\N
206242	700	1996-01-31	VYDAJ	VYBER	15	13234	SLUZBY	\N	\N
206243	700	1996-02-29	VYDAJ	VYBER	15	16763	SLUZBY	\N	\N
206244	700	1996-03-31	VYDAJ	VYBER	15	15902	SLUZBY	\N	\N
206245	700	1996-04-30	VYDAJ	VYBER	15	15238	SLUZBY	\N	\N
206246	700	1996-05-31	VYDAJ	VYBER	15	15270	SLUZBY	\N	\N
206247	700	1996-06-30	VYDAJ	VYBER	15	12874	SLUZBY	\N	\N
206248	700	1996-07-31	VYDAJ	VYBER	15	13196	SLUZBY	\N	\N
206249	700	1996-08-31	VYDAJ	VYBER	15	15023	SLUZBY	\N	\N
206250	700	1996-09-30	VYDAJ	VYBER	15	16858	SLUZBY	\N	\N
206251	700	1996-10-31	VYDAJ	VYBER	15	16396	SLUZBY	\N	\N
206252	700	1996-11-30	VYDAJ	VYBER	15	14834	SLUZBY	\N	\N
206253	700	1996-12-31	VYDAJ	VYBER	15	20849	SLUZBY	\N	\N
206254	700	1997-01-31	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
206255	700	1997-02-28	VYDAJ	VYBER	15	20349	SLUZBY	\N	\N
206256	700	1997-03-31	VYDAJ	VYBER	15	19701	SLUZBY	\N	\N
206257	700	1997-04-30	VYDAJ	VYBER	15	21354	SLUZBY	\N	\N
206258	700	1997-05-31	VYDAJ	VYBER	15	27222	SLUZBY	\N	\N
206259	700	1997-06-30	VYDAJ	VYBER	15	25772	SLUZBY	\N	\N
206260	700	1997-07-31	VYDAJ	VYBER	15	24543	SLUZBY	\N	\N
206261	700	1997-08-31	VYDAJ	VYBER	15	23610	SLUZBY	\N	\N
206262	700	1997-09-30	VYDAJ	VYBER	15	27985	SLUZBY	\N	\N
206263	700	1997-10-31	VYDAJ	VYBER	15	25162	SLUZBY	\N	\N
206264	700	1997-11-30	VYDAJ	VYBER	15	27944	SLUZBY	\N	\N
206265	700	1997-12-31	VYDAJ	VYBER	15	28100	SLUZBY	\N	\N
206266	700	1998-01-31	VYDAJ	VYBER	15	22279	SLUZBY	\N	\N
206267	700	1998-02-28	VYDAJ	VYBER	15	33472	SLUZBY	\N	\N
206268	700	1998-03-31	VYDAJ	VYBER	15	35587	SLUZBY	\N	\N
206269	700	1998-04-30	VYDAJ	VYBER	15	40414	SLUZBY	\N	\N
206270	700	1998-05-31	VYDAJ	VYBER	15	37037	SLUZBY	\N	\N
206271	700	1998-06-30	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
206272	700	1998-07-31	VYDAJ	VYBER	15	41166	SLUZBY	\N	\N
206273	700	1998-08-31	VYDAJ	VYBER	15	39099	SLUZBY	\N	\N
206274	700	1998-09-30	VYDAJ	VYBER	15	40631	SLUZBY	\N	\N
206275	700	1998-10-31	VYDAJ	VYBER	15	40668	SLUZBY	\N	\N
206276	700	1998-11-30	VYDAJ	VYBER	15	47622	SLUZBY	\N	\N
206277	700	1994-07-01	PRIJEM	VKLAD	9100	15632	\N	\N	\N
206278	700	1994-07-31	PRIJEM	VKLAD	3900	23738	\N	\N	\N
206279	700	1994-08-30	VYDAJ	VYBER	1600	26282	\N	\N	\N
206280	700	1994-09-29	VYDAJ	VYBER	2700	27825	\N	\N	\N
206281	700	1994-10-29	VYDAJ	VYBER	4600	25833	\N	\N	\N
206282	700	1994-11-28	VYDAJ	VYBER	2000	25325	\N	\N	\N
206283	700	1994-12-28	VYDAJ	VYBER	1900	26979	\N	\N	\N
206284	700	1995-01-27	PRIJEM	VKLAD	200	20259	\N	\N	\N
206285	700	1995-02-26	PRIJEM	VKLAD	1900	21025	\N	\N	\N
206286	700	1995-03-28	PRIJEM	VKLAD	1100	23576	\N	\N	\N
206287	700	1995-04-27	VYDAJ	VYBER	1600	19439	\N	\N	\N
206288	700	1995-05-27	PRIJEM	VKLAD	2000	22899	\N	\N	\N
206289	700	1995-06-26	VYDAJ	VYBER	1700	18624	\N	\N	\N
206290	700	1995-07-26	PRIJEM	VKLAD	3800	23883	\N	\N	\N
206291	700	1995-08-25	VYDAJ	VYBER	3100	22235	\N	\N	\N
206292	700	1995-09-24	VYDAJ	VYBER	2100	21602	\N	\N	\N
206293	700	1995-10-24	VYDAJ	VYBER	3400	19666	\N	\N	\N
206294	700	1995-11-23	VYDAJ	VYBER	3700	17424	\N	\N	\N
206295	700	1995-12-23	VYDAJ	VYBER	2400	17147	\N	\N	\N
206296	700	1996-01-22	PRIJEM	VKLAD	900	15590	\N	\N	\N
206297	700	1996-02-21	PRIJEM	VKLAD	2100	16716	\N	\N	\N
206298	700	1996-03-22	VYDAJ	VYBER	2300	15845	\N	\N	\N
206299	700	1996-04-21	VYDAJ	VYBER	2100	15184	\N	\N	\N
206300	700	1996-05-21	VYDAJ	VYBER	1400	15220	\N	\N	\N
206301	700	1996-06-20	VYDAJ	VYBER	5900	12824	\N	\N	\N
206302	700	1996-07-20	VYDAJ	VYBER	1100	13156	\N	\N	\N
206303	700	1996-08-19	PRIJEM	VKLAD	400	14978	\N	\N	\N
206304	700	1996-09-18	PRIJEM	VKLAD	400	16805	\N	\N	\N
206305	700	1996-10-18	VYDAJ	VYBER	1900	16340	\N	\N	\N
206306	700	1996-11-17	VYDAJ	VYBER	300	17478	\N	\N	\N
206307	700	1996-12-17	PRIJEM	VKLAD	3300	21588	\N	\N	\N
206308	700	1997-01-16	PRIJEM	VKLAD	5600	24131	\N	\N	\N
206309	700	1997-02-15	VYDAJ	VYBER	300	20281	\N	\N	\N
206310	700	1997-03-17	VYDAJ	VYBER	400	21331	\N	\N	\N
206311	700	1997-04-16	PRIJEM	VKLAD	900	21283	\N	\N	\N
206312	700	1997-05-16	PRIJEM	VKLAD	4400	27136	\N	\N	\N
206313	700	1997-06-15	VYDAJ	VYBER	5000	25676	\N	\N	\N
206314	700	1997-07-15	VYDAJ	VYBER	2700	24454	\N	\N	\N
206315	700	1997-08-14	VYDAJ	VYBER	2400	23525	\N	\N	\N
206316	700	1997-09-13	PRIJEM	VKLAD	2900	29538	\N	\N	\N
206317	700	1997-10-13	VYDAJ	VYBER	3400	25967	\N	\N	\N
206318	700	1997-11-12	PRIJEM	VKLAD	1300	25346	\N	\N	\N
206319	700	1997-12-12	PRIJEM	VKLAD	3700	26028	\N	\N	\N
206320	700	1998-01-11	PRIJEM	VKLAD	3400	27284	\N	\N	\N
206321	700	1998-02-10	PRIJEM	VKLAD	9700	30863	\N	\N	\N
206322	700	1998-03-12	PRIJEM	VKLAD	2800	35156	\N	\N	\N
206323	700	1998-04-11	PRIJEM	VKLAD	3300	37771	\N	\N	\N
206324	700	1998-05-11	VYDAJ	VYBER	4900	34398	\N	\N	\N
206325	700	1998-06-10	PRIJEM	VKLAD	4300	40221	\N	\N	\N
206326	700	1998-07-10	PRIJEM	VKLAD	5300	38518	\N	\N	\N
206327	700	1998-08-09	VYDAJ	VYBER	3600	36450	\N	\N	\N
206328	700	1998-10-08	VYDAJ	VYBER	1500	39131	\N	\N	\N
206329	700	1998-11-07	PRIJEM	VKLAD	5400	46068	\N	\N	\N
206330	700	1998-12-07	PRIJEM	VKLAD	400	48022	\N	\N	\N
206386	701	1993-06-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
206389	701	1994-09-19	PRIJEM	VKLAD	16240	46425	\N	\N	\N
206390	701	1994-01-25	PRIJEM	VKLAD	46345	59192	\N	\N	\N
206391	701	1995-10-12	PRIJEM	VKLAD	7693	35842	\N	\N	\N
206392	701	1995-10-23	PRIJEM	VKLAD	17449	55491	\N	\N	\N
206393	701	1996-12-17	PRIJEM	VKLAD	35843	92897	\N	\N	\N
206394	701	1996-12-01	PRIJEM	VKLAD	32693	56754	\N	\N	\N
206395	701	1997-04-29	PRIJEM	VKLAD	46117	72307	\N	\N	\N
206396	701	1997-08-14	PRIJEM	VKLAD	38933	71114	\N	\N	\N
206397	701	1998-07-04	PRIJEM	VKLAD	46241	67988	\N	\N	\N
206398	701	1998-03-28	PRIJEM	VKLAD	15701	47349	\N	\N	\N
206404	701	1993-06-15	PRIJEM	VKLAD	300	1400	\N	\N	\N
206405	701	1993-07-17	PRIJEM	VKLAD	300	13507	\N	\N	\N
206406	701	1993-08-14	PRIJEM	VKLAD	300	21841	\N	\N	\N
206407	701	1993-09-13	PRIJEM	VKLAD	300	24517	\N	\N	\N
206408	701	1993-10-17	PRIJEM	VKLAD	300	24700	\N	\N	\N
206409	701	1993-11-16	PRIJEM	VKLAD	300	24189	\N	\N	\N
206410	701	1993-12-14	PRIJEM	VKLAD	300	19376	\N	\N	\N
206411	701	1994-01-13	PRIJEM	VKLAD	300	23547	\N	\N	\N
206412	701	1994-02-17	PRIJEM	VKLAD	300	41094	\N	\N	\N
206413	701	1994-03-13	PRIJEM	VKLAD	300	34794	\N	\N	\N
206414	701	1994-04-14	PRIJEM	VKLAD	300	31835	\N	\N	\N
206415	701	1994-05-15	PRIJEM	VKLAD	300	27059	\N	\N	\N
206416	701	1994-06-17	PRIJEM	VKLAD	300	29566	\N	\N	\N
206417	701	1994-07-15	PRIJEM	VKLAD	300	23064	\N	\N	\N
206418	701	1994-08-14	PRIJEM	VKLAD	300	23898	\N	\N	\N
206419	701	1994-09-16	PRIJEM	VKLAD	300	28285	\N	\N	\N
206420	701	1994-10-15	PRIJEM	VKLAD	300	35054	\N	\N	\N
206421	701	1994-11-17	PRIJEM	VKLAD	300	33205	\N	\N	\N
206422	701	1994-12-13	PRIJEM	VKLAD	300	27831	\N	\N	\N
206423	701	1995-01-17	PRIJEM	VKLAD	300	28439	\N	\N	\N
206424	701	1995-02-17	PRIJEM	VKLAD	300	23039	\N	\N	\N
206425	701	1995-03-14	PRIJEM	VKLAD	300	23770	\N	\N	\N
206426	701	1995-04-17	PRIJEM	VKLAD	300	24356	\N	\N	\N
206427	701	1995-05-13	PRIJEM	VKLAD	300	29243	\N	\N	\N
206428	701	1995-06-16	PRIJEM	VKLAD	300	29448	\N	\N	\N
206429	701	1995-07-14	PRIJEM	VKLAD	300	25854	\N	\N	\N
206430	701	1995-08-17	PRIJEM	VKLAD	300	26196	\N	\N	\N
206431	701	1995-09-16	PRIJEM	VKLAD	300	28993	\N	\N	\N
206432	701	1995-10-13	PRIJEM	VKLAD	300	36142	\N	\N	\N
206433	701	1995-11-17	PRIJEM	VKLAD	300	40425	\N	\N	\N
206434	701	1995-12-17	PRIJEM	VKLAD	300	32425	\N	\N	\N
206435	701	1996-01-16	PRIJEM	VKLAD	300	23000	\N	\N	\N
206436	701	1996-02-14	PRIJEM	VKLAD	300	23386	\N	\N	\N
206437	701	1996-03-15	PRIJEM	VKLAD	300	24017	\N	\N	\N
206438	701	1996-04-13	PRIJEM	VKLAD	300	24201	\N	\N	\N
206439	701	1996-05-16	PRIJEM	VKLAD	300	27789	\N	\N	\N
206440	701	1996-06-16	PRIJEM	VKLAD	300	26185	\N	\N	\N
206441	701	1996-07-13	PRIJEM	VKLAD	300	23925	\N	\N	\N
206442	701	1996-08-13	PRIJEM	VKLAD	300	24562	\N	\N	\N
206443	701	1996-09-13	PRIJEM	VKLAD	300	23749	\N	\N	\N
206444	701	1996-10-13	PRIJEM	VKLAD	300	25435	\N	\N	\N
206445	701	1996-11-14	PRIJEM	VKLAD	300	24825	\N	\N	\N
206446	701	1996-12-16	PRIJEM	VKLAD	300	57054	\N	\N	\N
206447	701	1997-01-15	PRIJEM	VKLAD	300	54659	\N	\N	\N
206448	701	1997-02-16	PRIJEM	VKLAD	300	30087	\N	\N	\N
206449	701	1997-03-13	PRIJEM	VKLAD	300	28593	\N	\N	\N
206450	701	1997-04-13	PRIJEM	VKLAD	300	25790	\N	\N	\N
206451	701	1997-05-17	PRIJEM	VKLAD	300	72711	\N	\N	\N
206452	701	1997-06-16	PRIJEM	VKLAD	300	34897	\N	\N	\N
206453	701	1997-07-15	PRIJEM	VKLAD	300	34455	\N	\N	\N
206454	701	1997-08-15	PRIJEM	VKLAD	300	71414	\N	\N	\N
206455	701	1997-09-13	PRIJEM	VKLAD	300	50484	\N	\N	\N
206456	701	1997-10-15	PRIJEM	VKLAD	300	45966	\N	\N	\N
206457	701	1997-11-17	PRIJEM	VKLAD	300	40139	\N	\N	\N
206458	701	1997-12-17	PRIJEM	VKLAD	300	40592	\N	\N	\N
206459	701	1998-01-16	PRIJEM	VKLAD	300	30638	\N	\N	\N
206460	701	1998-02-17	PRIJEM	VKLAD	300	28851	\N	\N	\N
206461	701	1998-03-15	PRIJEM	VKLAD	300	31648	\N	\N	\N
206462	701	1998-04-15	PRIJEM	VKLAD	300	38066	\N	\N	\N
206463	701	1998-05-17	PRIJEM	VKLAD	300	35322	\N	\N	\N
206464	701	1998-06-17	PRIJEM	VKLAD	300	23458	\N	\N	\N
206465	701	1998-07-16	PRIJEM	VKLAD	300	54688	\N	\N	\N
206466	701	1998-08-14	PRIJEM	VKLAD	300	48903	\N	\N	\N
206467	701	1998-09-17	PRIJEM	VKLAD	300	44206	\N	\N	\N
206468	701	1998-10-16	PRIJEM	VKLAD	300	45490	\N	\N	\N
206469	701	1998-11-17	PRIJEM	VKLAD	300	41166	\N	\N	\N
206470	701	1998-12-16	PRIJEM	VKLAD	300	41935	\N	\N	\N
206476	701	1993-06-18	PRIJEM	VKLAD	1900	3300	\N	\N	\N
206477	701	1994-07-18	PRIJEM	VKLAD	1900	24964	\N	\N	\N
206478	701	1994-08-18	PRIJEM	VKLAD	1900	25798	\N	\N	\N
206479	701	1994-09-18	PRIJEM	VKLAD	1900	30185	\N	\N	\N
206480	701	1994-10-18	PRIJEM	VKLAD	1900	36954	\N	\N	\N
206481	701	1994-11-18	PRIJEM	VKLAD	1900	35105	\N	\N	\N
206482	701	1994-12-18	PRIJEM	VKLAD	1900	29731	\N	\N	\N
206483	701	1995-07-18	PRIJEM	VKLAD	1900	27754	\N	\N	\N
206484	701	1995-08-18	PRIJEM	VKLAD	1900	28096	\N	\N	\N
206485	701	1995-09-18	PRIJEM	VKLAD	1900	30893	\N	\N	\N
206486	701	1995-10-18	PRIJEM	VKLAD	1900	38042	\N	\N	\N
206487	701	1995-11-18	PRIJEM	VKLAD	1900	42325	\N	\N	\N
206488	701	1995-12-18	PRIJEM	VKLAD	1900	34325	\N	\N	\N
206489	701	1997-01-18	PRIJEM	VKLAD	1900	55309	\N	\N	\N
206490	701	1997-02-18	PRIJEM	VKLAD	1900	28587	\N	\N	\N
206491	701	1997-03-18	PRIJEM	VKLAD	1900	30493	\N	\N	\N
206492	701	1997-04-18	PRIJEM	VKLAD	1900	27690	\N	\N	\N
206493	701	1997-05-18	PRIJEM	VKLAD	1900	74611	\N	\N	\N
206494	701	1997-06-18	PRIJEM	VKLAD	1900	33997	\N	\N	\N
206495	701	1998-07-18	PRIJEM	VKLAD	1900	56588	\N	\N	\N
206496	701	1998-08-18	PRIJEM	VKLAD	1900	50803	\N	\N	\N
206497	701	1998-09-18	PRIJEM	VKLAD	1900	46106	\N	\N	\N
206498	701	1998-10-18	PRIJEM	VKLAD	1900	47390	\N	\N	\N
206499	701	1998-11-18	PRIJEM	VKLAD	1900	43066	\N	\N	\N
206500	701	1998-12-18	PRIJEM	VKLAD	1900	43835	\N	\N	\N
206503	701	1995-06-29	VYDAJ	VYBER	4400	25448	\N	\N	\N
206505	701	1997-06-07	VYDAJ	VYBER	15600	34597	\N	\N	\N
206506	701	1998-06-09	VYDAJ	VYBER	17500	16408	\N	\N	\N
206508	701	1994-01-18	VYDAJ	VYBER	8500	15047	\N	\N	\N
206509	701	1995-01-30	VYDAJ	VYBER	4200	22639	\N	\N	\N
206510	701	1996-01-24	VYDAJ	VYBER	6300	23000	\N	\N	\N
206511	701	1997-01-21	VYDAJ	VYBER	6700	33309	\N	\N	\N
206512	701	1998-01-02	VYDAJ	VYBER	9900	25538	\N	\N	\N
206514	701	1994-06-24	VYDAJ	VYBER	5400	24166	\N	\N	\N
206520	701	1994-01-24	VYDAJ	VYBER	2200	12847	\N	\N	\N
206521	701	1995-01-29	VYDAJ	VYBER	1200	27239	\N	\N	\N
206522	701	1996-01-02	VYDAJ	VYBER	6400	22700	\N	\N	\N
206523	701	1997-01-29	VYDAJ	VYBER	3700	29609	\N	\N	\N
206524	701	1998-01-24	VYDAJ	VYBER	4200	26438	\N	\N	\N
206525	701	1993-12-09	VYDAJ	VYBER	2500	19676	\N	\N	\N
206526	701	1994-12-05	VYDAJ	VYBER	2600	27531	\N	\N	\N
206527	701	1995-12-14	VYDAJ	VYBER	1500	32125	\N	\N	\N
206528	701	1996-12-21	VYDAJ	VYBER	1800	54197	\N	\N	\N
206529	701	1997-12-18	VYDAJ	VYBER	800	39792	\N	\N	\N
206530	701	1998-12-12	VYDAJ	VYBER	1000	41635	\N	\N	\N
206531	701	1993-12-10	VYDAJ	VYBER	600	19076	\N	\N	\N
206534	701	1994-07-30	VYDAJ	VYBER	1950	23014	\N	\N	\N
206535	701	1994-10-12	VYDAJ	VYBER	800	34754	\N	\N	\N
206536	701	1994-07-02	VYDAJ	VYBER	800	23464	\N	\N	\N
206537	701	1995-12-02	VYDAJ	VYBER	2150	33625	\N	\N	\N
206538	701	1995-09-18	VYDAJ	VYBER	1150	29743	\N	\N	\N
206539	701	1995-07-20	VYDAJ	VYBER	2350	25404	\N	\N	\N
206540	701	1995-08-31	VYDAJ	VYBER	900	28693	\N	\N	\N
206541	701	1995-03-02	VYDAJ	VYBER	1750	23470	\N	\N	\N
206542	701	1996-10-04	VYDAJ	VYBER	1300	25135	\N	\N	\N
206543	701	1996-11-30	VYDAJ	VYBER	850	24061	\N	\N	\N
206544	701	1996-07-05	VYDAJ	VYBER	350	23625	\N	\N	\N
206545	701	1996-01-01	VYDAJ	VYBER	350	29100	\N	\N	\N
206546	701	1996-08-01	VYDAJ	VYBER	1850	24262	\N	\N	\N
206547	701	1996-02-19	VYDAJ	VYBER	850	22536	\N	\N	\N
206548	701	1997-01-17	VYDAJ	VYBER	1250	53409	\N	\N	\N
206549	701	1997-12-24	VYDAJ	VYBER	2250	37542	\N	\N	\N
206550	701	1997-12-26	VYDAJ	VYBER	2250	35292	\N	\N	\N
206551	701	1997-08-07	VYDAJ	VYBER	2300	32181	\N	\N	\N
206552	701	1997-03-02	VYDAJ	VYBER	400	28293	\N	\N	\N
206553	701	1998-07-02	VYDAJ	VYBER	1800	21747	\N	\N	\N
206554	701	1998-06-14	VYDAJ	VYBER	450	23158	\N	\N	\N
206555	701	1998-06-07	VYDAJ	VYBER	1550	33908	\N	\N	\N
206556	701	1998-03-30	VYDAJ	VYBER	1400	45949	\N	\N	\N
206557	701	1998-12-10	VYDAJ	VYBER	1050	42635	\N	\N	\N
206558	701	1998-11-23	VYDAJ	VYBER	2050	41016	\N	\N	\N
206568	701	1993-09-30	VYDAJ	VYBER	15	24600	SLUZBY	\N	\N
206569	701	1993-10-31	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
206570	701	1993-11-30	VYDAJ	VYBER	15	24276	SLUZBY	\N	\N
206571	701	1993-12-31	VYDAJ	VYBER	15	19447	SLUZBY	\N	\N
206572	701	1994-01-31	VYDAJ	VYBER	15	59294	SLUZBY	\N	\N
206573	701	1994-02-28	VYDAJ	VYBER	15	41294	SLUZBY	\N	\N
206574	701	1994-03-31	VYDAJ	VYBER	15	34935	SLUZBY	\N	\N
206575	701	1994-04-30	VYDAJ	VYBER	15	31959	SLUZBY	\N	\N
206576	701	1994-05-31	VYDAJ	VYBER	15	27166	SLUZBY	\N	\N
206577	701	1994-06-30	VYDAJ	VYBER	15	24264	SLUZBY	\N	\N
206578	701	1994-07-31	VYDAJ	VYBER	15	23098	SLUZBY	\N	\N
206579	701	1994-08-31	VYDAJ	VYBER	15	25885	SLUZBY	\N	\N
206580	701	1994-09-30	VYDAJ	VYBER	15	46554	SLUZBY	\N	\N
206581	701	1994-10-31	VYDAJ	VYBER	15	37105	SLUZBY	\N	\N
206582	701	1994-11-30	VYDAJ	VYBER	15	35231	SLUZBY	\N	\N
206583	701	1994-12-31	VYDAJ	VYBER	15	28139	SLUZBY	\N	\N
206584	701	1995-01-31	VYDAJ	VYBER	15	22739	SLUZBY	\N	\N
206585	701	1995-02-28	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
206586	701	1995-03-31	VYDAJ	VYBER	15	24056	SLUZBY	\N	\N
206587	701	1995-04-30	VYDAJ	VYBER	15	28943	SLUZBY	\N	\N
206588	701	1995-05-31	VYDAJ	VYBER	15	29148	SLUZBY	\N	\N
206589	701	1995-06-30	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
206590	701	1995-07-31	VYDAJ	VYBER	15	25896	SLUZBY	\N	\N
206591	701	1995-08-31	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
206592	701	1995-09-30	VYDAJ	VYBER	15	28149	SLUZBY	\N	\N
206593	701	1995-10-31	VYDAJ	VYBER	15	40125	SLUZBY	\N	\N
206594	701	1995-11-30	VYDAJ	VYBER	15	35775	SLUZBY	\N	\N
206595	701	1995-12-31	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
206596	701	1996-01-31	VYDAJ	VYBER	15	23086	SLUZBY	\N	\N
206597	701	1996-02-29	VYDAJ	VYBER	15	23717	SLUZBY	\N	\N
206598	701	1996-03-31	VYDAJ	VYBER	15	23901	SLUZBY	\N	\N
206599	701	1996-04-30	VYDAJ	VYBER	15	27489	SLUZBY	\N	\N
206600	701	1996-05-31	VYDAJ	VYBER	15	25885	SLUZBY	\N	\N
206601	701	1996-06-30	VYDAJ	VYBER	15	23975	SLUZBY	\N	\N
206602	701	1996-07-31	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
206603	701	1996-08-31	VYDAJ	VYBER	15	23449	SLUZBY	\N	\N
206604	701	1996-09-30	VYDAJ	VYBER	15	26435	SLUZBY	\N	\N
206605	701	1996-10-31	VYDAJ	VYBER	15	24525	SLUZBY	\N	\N
206606	701	1996-11-30	VYDAJ	VYBER	15	24911	SLUZBY	\N	\N
206607	701	1996-12-31	VYDAJ	VYBER	15	54359	SLUZBY	\N	\N
206608	701	1997-01-31	VYDAJ	VYBER	15	29787	SLUZBY	\N	\N
206609	701	1997-02-28	VYDAJ	VYBER	15	28693	SLUZBY	\N	\N
206610	701	1997-03-31	VYDAJ	VYBER	15	25490	SLUZBY	\N	\N
206611	701	1997-04-30	VYDAJ	VYBER	15	72411	SLUZBY	\N	\N
206612	701	1997-05-31	VYDAJ	VYBER	15	50197	SLUZBY	\N	\N
206613	701	1997-06-30	VYDAJ	VYBER	15	34155	SLUZBY	\N	\N
206614	701	1997-07-31	VYDAJ	VYBER	15	34481	SLUZBY	\N	\N
206615	701	1997-08-31	VYDAJ	VYBER	15	50184	SLUZBY	\N	\N
206616	701	1997-09-30	VYDAJ	VYBER	15	45666	SLUZBY	\N	\N
206617	701	1997-10-31	VYDAJ	VYBER	15	41739	SLUZBY	\N	\N
206618	701	1997-11-30	VYDAJ	VYBER	15	40292	SLUZBY	\N	\N
206619	701	1997-12-31	VYDAJ	VYBER	15	35438	SLUZBY	\N	\N
206620	701	1998-01-31	VYDAJ	VYBER	15	26551	SLUZBY	\N	\N
206621	701	1998-02-28	VYDAJ	VYBER	15	28948	SLUZBY	\N	\N
206622	701	1998-03-31	VYDAJ	VYBER	15	46066	SLUZBY	\N	\N
206623	701	1998-04-30	VYDAJ	VYBER	15	38222	SLUZBY	\N	\N
206624	701	1998-05-31	VYDAJ	VYBER	15	35458	SLUZBY	\N	\N
206625	701	1998-06-30	VYDAJ	VYBER	15	23547	SLUZBY	\N	\N
206626	701	1998-07-31	VYDAJ	VYBER	15	56803	SLUZBY	\N	\N
206627	701	1998-08-31	VYDAJ	VYBER	15	51006	SLUZBY	\N	\N
206628	701	1998-09-30	VYDAJ	VYBER	15	46290	SLUZBY	\N	\N
206629	701	1998-10-31	VYDAJ	VYBER	15	47566	SLUZBY	\N	\N
206630	701	1998-11-30	VYDAJ	VYBER	15	41185	SLUZBY	\N	\N
206631	701	1993-07-08	PRIJEM	VKLAD	9900	13207	\N	\N	\N
206632	701	1993-08-07	PRIJEM	VKLAD	8000	21541	\N	\N	\N
206633	701	1993-09-06	PRIJEM	VKLAD	2300	24217	\N	\N	\N
206634	701	1993-10-06	VYDAJ	VYBER	200	24400	\N	\N	\N
206635	701	1993-11-05	VYDAJ	VYBER	900	23889	\N	\N	\N
206636	701	1993-12-05	VYDAJ	VYBER	2100	22176	\N	\N	\N
206637	701	1994-01-04	PRIJEM	VKLAD	3800	23247	\N	\N	\N
206638	701	1994-02-03	VYDAJ	VYBER	18500	40794	\N	\N	\N
206639	701	1994-03-05	VYDAJ	VYBER	6800	34494	\N	\N	\N
206640	701	1994-04-04	VYDAJ	VYBER	3400	31535	\N	\N	\N
206641	701	1994-05-04	VYDAJ	VYBER	5200	26759	\N	\N	\N
206642	701	1994-06-03	PRIJEM	VKLAD	2100	29266	\N	\N	\N
206643	701	1994-07-03	VYDAJ	VYBER	700	22764	\N	\N	\N
206644	701	1994-08-02	PRIJEM	VKLAD	500	23598	\N	\N	\N
206645	701	1994-09-01	PRIJEM	VKLAD	2100	27985	\N	\N	\N
206646	701	1994-10-01	VYDAJ	VYBER	11000	35554	\N	\N	\N
206647	701	1994-10-31	VYDAJ	VYBER	4200	32905	\N	\N	\N
206648	701	1994-11-30	VYDAJ	VYBER	5100	30131	\N	\N	\N
206649	701	1994-12-30	VYDAJ	VYBER	1700	28031	\N	\N	\N
206650	701	1995-01-29	VYDAJ	VYBER	400	26839	\N	\N	\N
206651	701	1995-02-28	PRIJEM	VKLAD	2100	25139	\N	\N	\N
206652	701	1995-03-30	PRIJEM	VKLAD	200	23970	\N	\N	\N
206653	701	1995-04-29	PRIJEM	VKLAD	4500	28856	\N	\N	\N
206654	701	1995-05-29	VYDAJ	VYBER	200	29043	\N	\N	\N
206655	701	1995-06-28	PRIJEM	VKLAD	400	29848	\N	\N	\N
206656	701	1995-07-28	PRIJEM	VKLAD	400	25804	\N	\N	\N
206657	701	1995-08-27	PRIJEM	VKLAD	1400	29496	\N	\N	\N
206658	701	1995-09-26	VYDAJ	VYBER	1700	28043	\N	\N	\N
206659	701	1995-10-26	VYDAJ	VYBER	15500	39991	\N	\N	\N
206660	701	1995-11-25	VYDAJ	VYBER	6700	35625	\N	\N	\N
206661	701	1995-12-25	VYDAJ	VYBER	5000	29325	\N	\N	\N
206662	701	1996-01-24	PRIJEM	VKLAD	6300	29300	\N	\N	\N
206663	701	1996-02-23	PRIJEM	VKLAD	1100	23636	\N	\N	\N
206664	701	1996-03-24	VYDAJ	VYBER	200	23817	\N	\N	\N
206665	701	1996-04-23	PRIJEM	VKLAD	3200	27401	\N	\N	\N
206666	701	1996-05-23	VYDAJ	VYBER	2000	25789	\N	\N	\N
206667	701	1996-06-22	VYDAJ	VYBER	2300	23885	\N	\N	\N
206668	701	1996-07-22	PRIJEM	VKLAD	2100	26025	\N	\N	\N
206669	701	1996-08-21	VYDAJ	VYBER	1200	23362	\N	\N	\N
206670	701	1996-09-20	PRIJEM	VKLAD	2600	26349	\N	\N	\N
206671	701	1996-10-20	VYDAJ	VYBER	1000	24435	\N	\N	\N
206672	701	1996-12-19	VYDAJ	VYBER	36900	55997	\N	\N	\N
206673	701	1997-01-18	VYDAJ	VYBER	15300	40009	\N	\N	\N
206674	701	1997-02-17	VYDAJ	VYBER	3400	26687	\N	\N	\N
206675	701	1997-03-19	VYDAJ	VYBER	5100	25393	\N	\N	\N
206676	701	1997-04-18	VYDAJ	VYBER	1500	26190	\N	\N	\N
206677	701	1997-05-18	VYDAJ	VYBER	24700	49911	\N	\N	\N
206678	701	1997-06-17	VYDAJ	VYBER	2800	32097	\N	\N	\N
206679	701	1997-07-17	VYDAJ	VYBER	100	34355	\N	\N	\N
206680	701	1997-08-16	VYDAJ	VYBER	21400	50014	\N	\N	\N
206681	701	1997-09-15	VYDAJ	VYBER	5000	45484	\N	\N	\N
206682	701	1997-10-15	VYDAJ	VYBER	4400	41566	\N	\N	\N
206683	701	1997-11-14	VYDAJ	VYBER	1900	39839	\N	\N	\N
206684	701	1998-01-13	PRIJEM	VKLAD	4800	30338	\N	\N	\N
206685	701	1998-02-12	PRIJEM	VKLAD	2000	28551	\N	\N	\N
206686	701	1998-03-14	PRIJEM	VKLAD	2400	31348	\N	\N	\N
206687	701	1998-04-13	VYDAJ	VYBER	8300	37766	\N	\N	\N
206688	701	1998-05-13	VYDAJ	VYBER	3200	35022	\N	\N	\N
206689	701	1998-06-12	PRIJEM	VKLAD	7200	23608	\N	\N	\N
206690	701	1998-07-12	VYDAJ	VYBER	13600	54388	\N	\N	\N
206691	701	1998-08-11	VYDAJ	VYBER	8200	48603	\N	\N	\N
206692	701	1998-09-10	VYDAJ	VYBER	7100	43906	\N	\N	\N
206693	701	1998-10-10	VYDAJ	VYBER	1100	45190	\N	\N	\N
206694	701	1998-11-09	VYDAJ	VYBER	6700	40866	\N	\N	\N
206695	701	1998-12-09	PRIJEM	VKLAD	2500	43685	\N	\N	\N
206763	702	1993-06-23	PRIJEM	VKLAD	800	800	\N	\N	\N
206770	702	1993-07-07	PRIJEM	PREVOD Z UCTU	4220	5020	DUCHOD	EF	40635764
206771	702	1993-08-07	PRIJEM	PREVOD Z UCTU	4220	9240	DUCHOD	EF	40635764
206772	702	1993-09-07	PRIJEM	PREVOD Z UCTU	4220	13460	DUCHOD	EF	40635764
206773	702	1993-10-07	PRIJEM	PREVOD Z UCTU	4220	17680	DUCHOD	EF	40635764
206774	702	1993-11-07	PRIJEM	PREVOD Z UCTU	4220	21900	DUCHOD	EF	40635764
206775	702	1993-12-07	PRIJEM	PREVOD Z UCTU	4220	23338	DUCHOD	EF	40635764
206776	702	1994-01-07	PRIJEM	PREVOD Z UCTU	4220	17479	DUCHOD	EF	40635764
206777	702	1994-02-07	PRIJEM	PREVOD Z UCTU	4220	14974	DUCHOD	EF	40635764
206778	702	1994-03-07	PRIJEM	PREVOD Z UCTU	4220	16415	DUCHOD	EF	40635764
206779	702	1994-04-07	PRIJEM	PREVOD Z UCTU	4220	17861	DUCHOD	EF	40635764
206780	702	1994-05-07	PRIJEM	PREVOD Z UCTU	4220	17074	DUCHOD	EF	40635764
206781	702	1994-06-07	PRIJEM	PREVOD Z UCTU	4220	18049	DUCHOD	EF	40635764
206782	702	1994-07-07	PRIJEM	PREVOD Z UCTU	4220	19507	DUCHOD	EF	40635764
206783	702	1994-08-07	PRIJEM	PREVOD Z UCTU	4220	20966	DUCHOD	EF	40635764
206784	702	1994-09-07	PRIJEM	PREVOD Z UCTU	4220	22432	DUCHOD	EF	40635764
206785	702	1994-10-07	PRIJEM	PREVOD Z UCTU	4220	21258	DUCHOD	EF	40635764
206786	702	1994-11-07	PRIJEM	PREVOD Z UCTU	4220	19437	DUCHOD	EF	40635764
206787	702	1994-12-07	PRIJEM	PREVOD Z UCTU	4220	20896	DUCHOD	EF	40635764
206788	702	1995-01-07	PRIJEM	PREVOD Z UCTU	4220	18530	DUCHOD	EF	40635764
206789	702	1995-02-07	PRIJEM	PREVOD Z UCTU	4220	16058	DUCHOD	EF	40635764
206790	702	1995-03-07	PRIJEM	PREVOD Z UCTU	4220	17503	DUCHOD	EF	40635764
206791	702	1995-04-07	PRIJEM	PREVOD Z UCTU	4220	18954	DUCHOD	EF	40635764
206792	702	1995-05-07	PRIJEM	PREVOD Z UCTU	4220	20411	DUCHOD	EF	40635764
206793	702	1995-06-07	PRIJEM	PREVOD Z UCTU	4220	21874	DUCHOD	EF	40635764
206794	702	1995-07-07	PRIJEM	PREVOD Z UCTU	4220	20236	DUCHOD	EF	40635764
206795	702	1995-08-07	PRIJEM	PREVOD Z UCTU	4220	18090	DUCHOD	EF	40635764
206796	702	1995-09-07	PRIJEM	PREVOD Z UCTU	4220	19543	DUCHOD	EF	40635764
206797	702	1995-10-07	PRIJEM	PREVOD Z UCTU	4220	16993	DUCHOD	EF	40635764
206798	702	1995-11-07	PRIJEM	PREVOD Z UCTU	4220	16338	DUCHOD	EF	40635764
206799	702	1995-12-07	PRIJEM	PREVOD Z UCTU	4220	17784	DUCHOD	EF	40635764
206800	702	1996-01-07	PRIJEM	PREVOD Z UCTU	4220	15126	DUCHOD	EF	40635764
206801	702	1996-02-07	PRIJEM	PREVOD Z UCTU	4220	14313	DUCHOD	EF	40635764
206802	702	1996-03-07	PRIJEM	PREVOD Z UCTU	4220	15751	DUCHOD	EF	40635764
206803	702	1996-04-07	PRIJEM	PREVOD Z UCTU	4220	14388	DUCHOD	EF	40635764
206804	702	1996-05-07	PRIJEM	PREVOD Z UCTU	4220	15826	DUCHOD	EF	40635764
206805	702	1996-06-07	PRIJEM	PREVOD Z UCTU	4220	17270	DUCHOD	EF	40635764
206806	702	1996-07-07	PRIJEM	PREVOD Z UCTU	4220	16919	DUCHOD	EF	40635764
206807	702	1996-08-07	PRIJEM	PREVOD Z UCTU	4220	17245	DUCHOD	EF	40635764
206808	702	1996-09-07	PRIJEM	PREVOD Z UCTU	4220	16295	DUCHOD	EF	40635764
206809	702	1996-10-07	PRIJEM	PREVOD Z UCTU	4220	17746	DUCHOD	EF	40635764
206810	702	1996-11-07	PRIJEM	PREVOD Z UCTU	4220	17898	DUCHOD	EF	40635764
206811	702	1996-12-07	PRIJEM	PREVOD Z UCTU	4220	18455	DUCHOD	EF	40635764
206812	702	1997-01-07	PRIJEM	PREVOD Z UCTU	4220	18162	DUCHOD	EF	40635764
206813	702	1997-02-07	PRIJEM	PREVOD Z UCTU	4220	15298	DUCHOD	EF	40635764
206814	702	1997-03-07	PRIJEM	PREVOD Z UCTU	4220	16739	DUCHOD	EF	40635764
206815	702	1997-04-07	PRIJEM	PREVOD Z UCTU	4220	18186	DUCHOD	EF	40635764
206816	702	1997-05-07	PRIJEM	PREVOD Z UCTU	4220	19639	DUCHOD	EF	40635764
206817	702	1997-06-07	PRIJEM	PREVOD Z UCTU	4220	17398	DUCHOD	EF	40635764
206818	702	1997-07-07	PRIJEM	PREVOD Z UCTU	4220	18855	DUCHOD	EF	40635764
206819	702	1997-08-07	PRIJEM	PREVOD Z UCTU	4220	17731	DUCHOD	EF	40635764
206820	702	1997-09-07	PRIJEM	PREVOD Z UCTU	4220	19187	DUCHOD	EF	40635764
206821	702	1997-10-07	PRIJEM	PREVOD Z UCTU	4220	19524	DUCHOD	EF	40635764
206822	702	1997-11-07	PRIJEM	PREVOD Z UCTU	4220	19787	DUCHOD	EF	40635764
206823	702	1997-12-07	PRIJEM	PREVOD Z UCTU	4220	17863	DUCHOD	EF	40635764
206824	702	1998-01-07	PRIJEM	PREVOD Z UCTU	4220	19214	DUCHOD	EF	40635764
206825	702	1998-02-07	PRIJEM	PREVOD Z UCTU	4220	18988	DUCHOD	EF	40635764
206826	702	1998-03-07	PRIJEM	PREVOD Z UCTU	4220	20444	DUCHOD	EF	40635764
206827	702	1998-04-07	PRIJEM	PREVOD Z UCTU	4220	21906	DUCHOD	EF	40635764
206828	702	1998-05-07	PRIJEM	PREVOD Z UCTU	4220	23374	DUCHOD	EF	40635764
206829	702	1998-06-07	PRIJEM	PREVOD Z UCTU	4220	19846	DUCHOD	EF	40635764
206830	702	1998-07-07	PRIJEM	PREVOD Z UCTU	4220	20267	DUCHOD	EF	40635764
206831	702	1998-08-07	PRIJEM	PREVOD Z UCTU	4220	17025	DUCHOD	EF	40635764
206832	702	1998-09-07	PRIJEM	PREVOD Z UCTU	4220	18472	DUCHOD	EF	40635764
206833	702	1998-10-07	PRIJEM	PREVOD Z UCTU	4220	19926	DUCHOD	EF	40635764
206834	702	1998-11-07	PRIJEM	PREVOD Z UCTU	4220	19705	DUCHOD	EF	40635764
206835	702	1998-12-07	PRIJEM	PREVOD Z UCTU	4220	21164	DUCHOD	EF	40635764
206846	702	1993-11-14	VYDAJ	PREVOD NA UCET	2813	19087	SIPO	EF	53787499
206847	702	1993-12-14	VYDAJ	PREVOD NA UCET	2813	18605	SIPO	EF	53787499
206848	702	1994-01-14	VYDAJ	PREVOD NA UCET	2813	10716	SIPO	EF	53787499
206849	702	1994-02-14	VYDAJ	PREVOD NA UCET	2813	12161	SIPO	EF	53787499
206850	702	1994-03-14	VYDAJ	PREVOD NA UCET	2813	13602	SIPO	EF	53787499
206851	702	1994-04-14	VYDAJ	PREVOD NA UCET	2813	15048	SIPO	EF	53787499
206852	702	1994-05-14	VYDAJ	PREVOD NA UCET	2813	14261	SIPO	EF	53787499
206853	702	1994-06-14	VYDAJ	PREVOD NA UCET	2813	15236	SIPO	EF	53787499
206854	702	1994-07-14	VYDAJ	PREVOD NA UCET	2813	16694	SIPO	EF	53787499
206855	702	1994-08-14	VYDAJ	PREVOD NA UCET	2813	18153	SIPO	EF	53787499
206856	702	1994-09-14	VYDAJ	PREVOD NA UCET	2813	16979	SIPO	EF	53787499
206857	702	1994-10-14	VYDAJ	PREVOD NA UCET	2813	15165	SIPO	EF	53787499
206858	702	1994-11-14	VYDAJ	PREVOD NA UCET	2813	16624	SIPO	EF	53787499
206859	702	1994-12-14	VYDAJ	PREVOD NA UCET	2813	18083	SIPO	EF	53787499
206860	702	1995-01-14	VYDAJ	PREVOD NA UCET	2813	11797	SIPO	EF	53787499
206861	702	1995-02-14	VYDAJ	PREVOD NA UCET	2813	13245	SIPO	EF	53787499
206862	702	1995-03-14	VYDAJ	PREVOD NA UCET	2813	14690	SIPO	EF	53787499
206863	702	1995-04-14	VYDAJ	PREVOD NA UCET	2813	16141	SIPO	EF	53787499
206864	702	1995-05-14	VYDAJ	PREVOD NA UCET	2813	17598	SIPO	EF	53787499
206865	702	1995-06-14	VYDAJ	PREVOD NA UCET	2813	15961	SIPO	EF	53787499
206866	702	1995-07-14	VYDAJ	PREVOD NA UCET	2813	13823	SIPO	EF	53787499
206867	702	1995-08-14	VYDAJ	PREVOD NA UCET	2813	15277	SIPO	EF	53787499
206868	702	1995-09-14	VYDAJ	PREVOD NA UCET	2813	12730	SIPO	EF	53787499
206869	702	1995-10-14	VYDAJ	PREVOD NA UCET	2813	12080	SIPO	EF	53787499
206870	702	1995-11-14	VYDAJ	PREVOD NA UCET	2813	13525	SIPO	EF	53787499
206871	702	1995-12-14	VYDAJ	PREVOD NA UCET	2813	10871	SIPO	EF	53787499
206872	702	1996-01-14	VYDAJ	PREVOD NA UCET	2813	10063	SIPO	EF	53787499
206873	702	1996-02-14	VYDAJ	PREVOD NA UCET	2813	11500	SIPO	EF	53787499
206874	702	1996-03-14	VYDAJ	PREVOD NA UCET	2813	10138	SIPO	EF	53787499
206875	702	1996-04-14	VYDAJ	PREVOD NA UCET	2813	11575	SIPO	EF	53787499
206876	702	1996-05-14	VYDAJ	PREVOD NA UCET	2813	13013	SIPO	EF	53787499
206877	702	1996-06-14	VYDAJ	PREVOD NA UCET	2813	12657	SIPO	EF	53787499
206878	702	1996-07-14	VYDAJ	PREVOD NA UCET	2813	12986	SIPO	EF	53787499
206879	702	1996-08-14	VYDAJ	PREVOD NA UCET	2813	14432	SIPO	EF	53787499
206880	702	1996-09-14	VYDAJ	PREVOD NA UCET	2813	13482	SIPO	EF	53787499
206881	702	1996-10-14	VYDAJ	PREVOD NA UCET	2813	14933	SIPO	EF	53787499
206882	702	1996-11-14	VYDAJ	PREVOD NA UCET	2813	15085	SIPO	EF	53787499
206883	702	1996-12-14	VYDAJ	PREVOD NA UCET	2813	15642	SIPO	EF	53787499
206884	702	1997-01-14	VYDAJ	PREVOD NA UCET	2813	11039	SIPO	EF	53787499
206885	702	1997-02-14	VYDAJ	PREVOD NA UCET	2813	12485	SIPO	EF	53787499
206886	702	1997-03-14	VYDAJ	PREVOD NA UCET	2813	13926	SIPO	EF	53787499
206887	702	1997-04-14	VYDAJ	PREVOD NA UCET	2813	15373	SIPO	EF	53787499
206888	702	1997-05-14	VYDAJ	PREVOD NA UCET	2813	16826	SIPO	EF	53787499
206889	702	1997-06-14	VYDAJ	PREVOD NA UCET	2813	14585	SIPO	EF	53787499
206890	702	1997-07-14	VYDAJ	PREVOD NA UCET	2813	14762	SIPO	EF	53787499
206891	702	1997-08-14	VYDAJ	PREVOD NA UCET	2813	14918	SIPO	EF	53787499
206892	702	1997-09-14	VYDAJ	PREVOD NA UCET	2813	16374	SIPO	EF	53787499
206893	702	1997-10-14	VYDAJ	PREVOD NA UCET	2813	16711	SIPO	EF	53787499
206894	702	1997-11-14	VYDAJ	PREVOD NA UCET	2813	16974	SIPO	EF	53787499
206895	702	1997-12-14	VYDAJ	PREVOD NA UCET	2813	15050	SIPO	EF	53787499
206896	702	1998-01-14	VYDAJ	PREVOD NA UCET	2813	14721	SIPO	EF	53787499
206897	702	1998-02-14	VYDAJ	PREVOD NA UCET	2813	16175	SIPO	EF	53787499
206898	702	1998-03-14	VYDAJ	PREVOD NA UCET	2813	17631	SIPO	EF	53787499
206899	702	1998-04-14	VYDAJ	PREVOD NA UCET	2813	19093	SIPO	EF	53787499
206900	702	1998-05-14	VYDAJ	PREVOD NA UCET	2813	20561	SIPO	EF	53787499
206901	702	1998-06-14	VYDAJ	PREVOD NA UCET	2813	15993	SIPO	EF	53787499
206902	702	1998-07-14	VYDAJ	PREVOD NA UCET	2813	17454	SIPO	EF	53787499
206903	702	1998-08-14	VYDAJ	PREVOD NA UCET	2813	14212	SIPO	EF	53787499
206904	702	1998-09-14	VYDAJ	PREVOD NA UCET	2813	15659	SIPO	EF	53787499
206905	702	1998-10-14	VYDAJ	PREVOD NA UCET	2813	15433	SIPO	EF	53787499
206906	702	1998-11-14	VYDAJ	PREVOD NA UCET	2813	16892	SIPO	EF	53787499
206907	702	1998-12-14	VYDAJ	PREVOD NA UCET	2813	17051	SIPO	EF	53787499
206911	702	1996-06-07	VYDAJ	VYBER	1800	15470	\N	\N	\N
206915	702	1994-01-09	VYDAJ	VYBER	3950	13529	\N	\N	\N
206916	702	1995-01-05	VYDAJ	VYBER	550	14310	\N	\N	\N
206917	702	1996-01-07	VYDAJ	VYBER	1550	13576	\N	\N	\N
206918	702	1997-01-12	VYDAJ	VYBER	2550	13852	\N	\N	\N
206920	702	1993-12-21	VYDAJ	VYBER	450	18155	\N	\N	\N
206921	702	1994-12-21	VYDAJ	VYBER	1200	16883	\N	\N	\N
206923	702	1996-12-17	VYDAJ	VYBER	950	14692	\N	\N	\N
206925	702	1998-12-13	VYDAJ	VYBER	1300	19864	\N	\N	\N
206935	702	1994-01-05	VYDAJ	VYBER	1040	13259	\N	\N	\N
206936	702	1994-01-01	VYDAJ	VYBER	2080	16139	\N	\N	\N
206941	702	1995-01-04	VYDAJ	VYBER	2080	14860	\N	\N	\N
206951	702	1997-01-10	VYDAJ	VYBER	1760	16402	\N	\N	\N
206956	702	1998-01-12	VYDAJ	VYBER	1680	17534	\N	\N	\N
206963	702	1993-12-11	VYDAJ	VYBER	1920	21418	\N	\N	\N
206964	702	1994-06-06	VYDAJ	VYBER	480	13829	\N	\N	\N
206965	702	1994-01-05	VYDAJ	VYBER	1840	14299	\N	\N	\N
206966	702	1994-09-11	VYDAJ	VYBER	2640	19792	\N	\N	\N
206967	702	1994-05-04	VYDAJ	VYBER	2240	12854	\N	\N	\N
206968	702	1994-10-10	VYDAJ	VYBER	3280	17978	\N	\N	\N
206969	702	1995-10-13	VYDAJ	VYBER	800	14893	\N	\N	\N
206970	702	1995-01-09	VYDAJ	VYBER	3920	14610	\N	\N	\N
206977	702	1996-07-13	VYDAJ	VYBER	1120	15799	\N	\N	\N
206981	702	1997-07-07	VYDAJ	VYBER	1280	17575	\N	\N	\N
206982	702	1997-11-17	VYDAJ	VYBER	1680	15294	\N	\N	\N
206983	702	1997-10-06	VYDAJ	VYBER	1120	15304	\N	\N	\N
206988	702	1998-06-07	VYDAJ	VYBER	1040	18806	\N	\N	\N
206989	702	1998-10-07	VYDAJ	VYBER	1680	18246	\N	\N	\N
207002	702	1993-11-30	VYDAJ	VYBER	15	19118	SLUZBY	\N	\N
207003	702	1993-12-31	VYDAJ	VYBER	15	18219	SLUZBY	\N	\N
207004	702	1994-01-31	VYDAJ	VYBER	15	10754	SLUZBY	\N	\N
207005	702	1994-02-28	VYDAJ	VYBER	15	12195	SLUZBY	\N	\N
207006	702	1994-03-31	VYDAJ	VYBER	15	13641	SLUZBY	\N	\N
207007	702	1994-04-30	VYDAJ	VYBER	15	15094	SLUZBY	\N	\N
207008	702	1994-05-31	VYDAJ	VYBER	15	14309	SLUZBY	\N	\N
207009	702	1994-06-30	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
207010	702	1994-07-31	VYDAJ	VYBER	15	16746	SLUZBY	\N	\N
207011	702	1994-08-31	VYDAJ	VYBER	15	18212	SLUZBY	\N	\N
207012	702	1994-09-30	VYDAJ	VYBER	15	17038	SLUZBY	\N	\N
207013	702	1994-10-31	VYDAJ	VYBER	15	15217	SLUZBY	\N	\N
207014	702	1994-11-30	VYDAJ	VYBER	15	16676	SLUZBY	\N	\N
207015	702	1994-12-31	VYDAJ	VYBER	15	16940	SLUZBY	\N	\N
207016	702	1995-01-31	VYDAJ	VYBER	15	11838	SLUZBY	\N	\N
207017	702	1995-02-28	VYDAJ	VYBER	15	13283	SLUZBY	\N	\N
207018	702	1995-03-31	VYDAJ	VYBER	15	14734	SLUZBY	\N	\N
207019	702	1995-04-30	VYDAJ	VYBER	15	16191	SLUZBY	\N	\N
207020	702	1995-05-31	VYDAJ	VYBER	15	17654	SLUZBY	\N	\N
207021	702	1995-06-30	VYDAJ	VYBER	15	16016	SLUZBY	\N	\N
207022	702	1995-07-31	VYDAJ	VYBER	15	13870	SLUZBY	\N	\N
207023	702	1995-08-31	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
207024	702	1995-09-30	VYDAJ	VYBER	15	12773	SLUZBY	\N	\N
207025	702	1995-10-31	VYDAJ	VYBER	15	12118	SLUZBY	\N	\N
207026	702	1995-11-30	VYDAJ	VYBER	15	13564	SLUZBY	\N	\N
207027	702	1995-12-31	VYDAJ	VYBER	15	10906	SLUZBY	\N	\N
207028	702	1996-01-31	VYDAJ	VYBER	15	10093	SLUZBY	\N	\N
207029	702	1996-02-29	VYDAJ	VYBER	15	11531	SLUZBY	\N	\N
207030	702	1996-03-31	VYDAJ	VYBER	15	10168	SLUZBY	\N	\N
207031	702	1996-04-30	VYDAJ	VYBER	15	11606	SLUZBY	\N	\N
207032	702	1996-05-31	VYDAJ	VYBER	15	13050	SLUZBY	\N	\N
207033	702	1996-06-30	VYDAJ	VYBER	15	12699	SLUZBY	\N	\N
207034	702	1996-07-31	VYDAJ	VYBER	15	13025	SLUZBY	\N	\N
207035	702	1996-08-31	VYDAJ	VYBER	15	14475	SLUZBY	\N	\N
207036	702	1996-09-30	VYDAJ	VYBER	15	13526	SLUZBY	\N	\N
207037	702	1996-10-31	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
207038	702	1996-11-30	VYDAJ	VYBER	15	15135	SLUZBY	\N	\N
207039	702	1996-12-31	VYDAJ	VYBER	15	14742	SLUZBY	\N	\N
207040	702	1997-01-31	VYDAJ	VYBER	15	11078	SLUZBY	\N	\N
207041	702	1997-02-28	VYDAJ	VYBER	15	12519	SLUZBY	\N	\N
207042	702	1997-03-31	VYDAJ	VYBER	15	13966	SLUZBY	\N	\N
207043	702	1997-04-30	VYDAJ	VYBER	15	15419	SLUZBY	\N	\N
207044	702	1997-05-31	VYDAJ	VYBER	15	16878	SLUZBY	\N	\N
207045	702	1997-06-30	VYDAJ	VYBER	15	14635	SLUZBY	\N	\N
207046	702	1997-07-31	VYDAJ	VYBER	15	14811	SLUZBY	\N	\N
207047	702	1997-08-31	VYDAJ	VYBER	15	14967	SLUZBY	\N	\N
207048	702	1997-09-30	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
207049	702	1997-10-31	VYDAJ	VYBER	15	15567	SLUZBY	\N	\N
207050	702	1997-11-30	VYDAJ	VYBER	15	13643	SLUZBY	\N	\N
207051	702	1997-12-31	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
207052	702	1998-01-31	VYDAJ	VYBER	15	14768	SLUZBY	\N	\N
207053	702	1998-02-28	VYDAJ	VYBER	15	16224	SLUZBY	\N	\N
207054	702	1998-03-31	VYDAJ	VYBER	15	17686	SLUZBY	\N	\N
207055	702	1998-04-30	VYDAJ	VYBER	15	19154	SLUZBY	\N	\N
207056	702	1998-05-31	VYDAJ	VYBER	15	15626	SLUZBY	\N	\N
207057	702	1998-06-30	VYDAJ	VYBER	15	16047	SLUZBY	\N	\N
207058	702	1998-07-31	VYDAJ	VYBER	15	12805	SLUZBY	\N	\N
207059	702	1998-08-31	VYDAJ	VYBER	15	14252	SLUZBY	\N	\N
207060	702	1998-09-30	VYDAJ	VYBER	15	15706	SLUZBY	\N	\N
207061	702	1998-10-31	VYDAJ	VYBER	15	15485	SLUZBY	\N	\N
207062	702	1998-11-30	VYDAJ	VYBER	15	16944	SLUZBY	\N	\N
207063	702	1995-06-13	VYDAJ	VYBER	3100	18774	\N	\N	\N
207064	702	1995-07-13	VYDAJ	VYBER	3600	16636	\N	\N	\N
207065	702	1995-09-11	VYDAJ	VYBER	4000	15543	\N	\N	\N
207066	702	1995-10-11	VYDAJ	VYBER	1300	15693	\N	\N	\N
207067	702	1995-12-10	VYDAJ	VYBER	4100	13684	\N	\N	\N
207068	702	1996-01-09	VYDAJ	VYBER	700	12876	\N	\N	\N
207069	702	1996-03-09	VYDAJ	VYBER	2800	12951	\N	\N	\N
207070	702	1996-09-05	VYDAJ	VYBER	2400	12075	\N	\N	\N
207071	702	1996-11-04	VYDAJ	VYBER	1300	13678	\N	\N	\N
207072	702	1996-12-04	VYDAJ	VYBER	900	14235	\N	\N	\N
207073	702	1997-01-03	VYDAJ	VYBER	800	13942	\N	\N	\N
207074	702	1997-06-02	VYDAJ	VYBER	3700	13178	\N	\N	\N
207075	702	1997-08-01	VYDAJ	VYBER	1300	13511	\N	\N	\N
207076	702	1997-10-30	VYDAJ	VYBER	1200	15511	\N	\N	\N
207077	702	1997-11-29	VYDAJ	VYBER	1700	13594	\N	\N	\N
207078	702	1997-12-29	VYDAJ	VYBER	100	14950	\N	\N	\N
207079	702	1998-05-28	VYDAJ	VYBER	5000	15561	\N	\N	\N
207080	702	1998-07-27	VYDAJ	VYBER	4700	12754	\N	\N	\N
207143	703	1997-12-21	PRIJEM	VKLAD	300	300	\N	\N	\N
207156	703	1998-01-14	PRIJEM	PREVOD Z UCTU	3459	3759	\N	OP	15965026
207157	703	1998-02-14	PRIJEM	PREVOD Z UCTU	3459	17040	\N	OP	15965026
207158	703	1998-03-14	PRIJEM	PREVOD Z UCTU	3459	25468	\N	OP	15965026
207159	703	1998-04-14	PRIJEM	PREVOD Z UCTU	3459	33931	\N	OP	15965026
207160	703	1998-05-14	PRIJEM	PREVOD Z UCTU	3459	33916	\N	OP	15965026
207161	703	1998-06-14	PRIJEM	PREVOD Z UCTU	3459	32583	\N	OP	15965026
207162	703	1998-07-14	PRIJEM	PREVOD Z UCTU	3459	35017	\N	OP	15965026
207163	703	1998-08-14	PRIJEM	PREVOD Z UCTU	3459	32493	\N	OP	15965026
207164	703	1998-09-14	PRIJEM	PREVOD Z UCTU	3459	31872	\N	OP	15965026
207165	703	1998-10-14	PRIJEM	PREVOD Z UCTU	3459	36346	\N	OP	15965026
207166	703	1998-11-14	PRIJEM	PREVOD Z UCTU	3459	38836	\N	OP	15965026
207167	703	1998-12-14	PRIJEM	PREVOD Z UCTU	3459	35145	\N	OP	15965026
207185	703	1998-06-07	VYDAJ	PREVOD NA UCET	2306	29124	SIPO	QR	41043675
207186	703	1998-07-07	VYDAJ	PREVOD NA UCET	2306	31558	SIPO	QR	41043675
207187	703	1998-08-07	VYDAJ	PREVOD NA UCET	2306	29034	SIPO	QR	41043675
207188	703	1998-09-07	VYDAJ	PREVOD NA UCET	2306	28803	SIPO	QR	41043675
207189	703	1998-10-07	VYDAJ	PREVOD NA UCET	2306	32887	SIPO	QR	41043675
207190	703	1998-11-07	VYDAJ	PREVOD NA UCET	2306	35377	SIPO	QR	41043675
207191	703	1998-12-07	VYDAJ	PREVOD NA UCET	2306	31686	SIPO	QR	41043675
207193	703	1998-06-21	VYDAJ	VYBER	1140	33743	\N	\N	\N
207195	703	1998-12-06	VYDAJ	VYBER	780	33992	\N	\N	\N
207214	703	1998-09-09	VYDAJ	VYBER	390	28413	\N	\N	\N
207215	703	1998-11-15	VYDAJ	VYBER	300	38536	\N	\N	\N
207216	703	1998-08-24	VYDAJ	VYBER	300	30993	\N	\N	\N
207234	703	1998-05-31	VYDAJ	VYBER	15	31430	SLUZBY	\N	\N
207235	703	1998-06-30	VYDAJ	VYBER	15	33864	SLUZBY	\N	\N
207236	703	1998-07-31	VYDAJ	VYBER	15	31340	SLUZBY	\N	\N
207237	703	1998-08-31	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
207238	703	1998-09-30	VYDAJ	VYBER	15	35193	SLUZBY	\N	\N
207239	703	1998-10-31	VYDAJ	VYBER	15	37683	SLUZBY	\N	\N
207240	703	1998-11-30	VYDAJ	VYBER	15	34772	SLUZBY	\N	\N
207241	703	1998-01-20	PRIJEM	VKLAD	9800	13559	\N	\N	\N
207242	703	1998-02-19	PRIJEM	VKLAD	4900	21940	\N	\N	\N
207243	703	1998-03-21	PRIJEM	VKLAD	4900	30368	\N	\N	\N
207244	703	1998-04-20	VYDAJ	VYBER	3600	30331	\N	\N	\N
207245	703	1998-05-20	VYDAJ	VYBER	2600	31316	\N	\N	\N
207246	703	1998-06-19	PRIJEM	VKLAD	2300	34883	\N	\N	\N
207247	703	1998-07-19	VYDAJ	VYBER	3800	31217	\N	\N	\N
207248	703	1998-08-18	VYDAJ	VYBER	1200	31293	\N	\N	\N
207249	703	1998-09-17	PRIJEM	VKLAD	3200	35072	\N	\N	\N
207250	703	1998-10-17	PRIJEM	VKLAD	1200	37546	\N	\N	\N
207251	703	1998-11-16	VYDAJ	VYBER	3900	34636	\N	\N	\N
207264	704	1993-01-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
207265	704	1993-01-12	PRIJEM	VKLAD	17477	18477	\N	\N	\N
207266	704	1993-02-12	PRIJEM	VKLAD	17477	38904	\N	\N	\N
207267	704	1993-03-12	PRIJEM	VKLAD	17477	47570	\N	\N	\N
207268	704	1993-04-12	PRIJEM	VKLAD	17477	52307	\N	\N	\N
207269	704	1993-05-12	PRIJEM	VKLAD	17477	57395	\N	\N	\N
207270	704	1993-06-12	PRIJEM	VKLAD	26216	41750	\N	\N	\N
207271	704	1993-07-12	PRIJEM	VKLAD	17477	46647	\N	\N	\N
207272	704	1993-08-12	PRIJEM	VKLAD	17477	50341	\N	\N	\N
207273	704	1993-09-12	PRIJEM	VKLAD	17477	51888	\N	\N	\N
207274	704	1993-10-12	PRIJEM	VKLAD	17477	51901	\N	\N	\N
207275	704	1993-11-12	PRIJEM	VKLAD	17477	54513	\N	\N	\N
207276	704	1993-12-12	PRIJEM	VKLAD	26216	61133	\N	\N	\N
207277	704	1994-01-12	PRIJEM	VKLAD	17477	51587	\N	\N	\N
207278	704	1994-02-12	PRIJEM	VKLAD	17477	41773	\N	\N	\N
207279	704	1994-03-12	PRIJEM	VKLAD	17477	46562	\N	\N	\N
207280	704	1994-04-12	PRIJEM	VKLAD	17477	47911	\N	\N	\N
207281	704	1994-05-12	PRIJEM	VKLAD	17477	52906	\N	\N	\N
207282	704	1994-06-12	PRIJEM	VKLAD	26216	59277	\N	\N	\N
207283	704	1994-07-12	PRIJEM	VKLAD	17477	56300	\N	\N	\N
207284	704	1994-08-12	PRIJEM	VKLAD	17477	57624	\N	\N	\N
207285	704	1994-09-12	PRIJEM	VKLAD	17477	55748	\N	\N	\N
207286	704	1994-10-12	PRIJEM	VKLAD	17477	56666	\N	\N	\N
207287	704	1994-11-12	PRIJEM	VKLAD	17477	53841	\N	\N	\N
207288	704	1994-12-12	PRIJEM	VKLAD	26216	62186	\N	\N	\N
207289	704	1995-01-12	PRIJEM	VKLAD	17477	52081	\N	\N	\N
207290	704	1995-02-12	PRIJEM	VKLAD	17477	39585	\N	\N	\N
207291	704	1995-03-12	PRIJEM	VKLAD	17477	41557	\N	\N	\N
207292	704	1995-04-12	PRIJEM	VKLAD	17477	45618	\N	\N	\N
207293	704	1995-05-12	PRIJEM	VKLAD	17477	49794	\N	\N	\N
207294	704	1995-06-12	PRIJEM	VKLAD	26216	56640	\N	\N	\N
207295	704	1995-07-12	PRIJEM	VKLAD	17477	55239	\N	\N	\N
207296	704	1995-08-12	PRIJEM	VKLAD	17477	49400	\N	\N	\N
207297	704	1995-09-12	PRIJEM	VKLAD	17477	49684	\N	\N	\N
207298	704	1995-10-12	PRIJEM	VKLAD	17477	42396	\N	\N	\N
207299	704	1995-11-12	PRIJEM	VKLAD	17477	44851	\N	\N	\N
207300	704	1995-12-12	PRIJEM	VKLAD	26216	50944	\N	\N	\N
207301	704	1996-01-12	PRIJEM	VKLAD	17477	37244	\N	\N	\N
207302	704	1996-02-12	PRIJEM	VKLAD	17477	32267	\N	\N	\N
207303	704	1996-03-12	PRIJEM	VKLAD	17477	38984	\N	\N	\N
207304	704	1996-04-12	PRIJEM	VKLAD	17477	38615	\N	\N	\N
207305	704	1996-05-12	PRIJEM	VKLAD	17477	38042	\N	\N	\N
207306	704	1996-06-12	PRIJEM	VKLAD	26216	44990	\N	\N	\N
207307	704	1996-07-12	PRIJEM	VKLAD	17477	41624	\N	\N	\N
207308	704	1996-08-12	PRIJEM	VKLAD	17477	37353	\N	\N	\N
207309	704	1996-09-12	PRIJEM	VKLAD	17477	38575	\N	\N	\N
207310	704	1996-10-12	PRIJEM	VKLAD	17477	32224	\N	\N	\N
207311	704	1996-11-12	PRIJEM	VKLAD	17477	33461	\N	\N	\N
207312	704	1996-12-12	PRIJEM	VKLAD	26216	47343	\N	\N	\N
207313	704	1997-01-12	PRIJEM	VKLAD	17477	35408	\N	\N	\N
207314	704	1997-02-12	PRIJEM	VKLAD	17477	33550	\N	\N	\N
207315	704	1997-03-12	PRIJEM	VKLAD	17477	34594	\N	\N	\N
207316	704	1997-04-12	PRIJEM	VKLAD	17477	35755	\N	\N	\N
207317	704	1997-05-12	PRIJEM	VKLAD	17477	32918	\N	\N	\N
207318	704	1997-06-12	PRIJEM	VKLAD	26216	55914	\N	\N	\N
207319	704	1997-07-12	PRIJEM	VKLAD	17477	36619	\N	\N	\N
207320	704	1997-08-12	PRIJEM	VKLAD	17477	31694	\N	\N	\N
207321	704	1997-09-12	PRIJEM	VKLAD	17477	45942	\N	\N	\N
207322	704	1997-10-12	PRIJEM	VKLAD	17477	37131	\N	\N	\N
207323	704	1997-11-12	PRIJEM	VKLAD	17477	33163	\N	\N	\N
207324	704	1997-12-12	PRIJEM	VKLAD	26216	54708	\N	\N	\N
207325	704	1998-01-12	PRIJEM	VKLAD	17477	38238	\N	\N	\N
207326	704	1998-02-12	PRIJEM	VKLAD	17477	33165	\N	\N	\N
207327	704	1998-03-12	PRIJEM	VKLAD	17477	47398	\N	\N	\N
207328	704	1998-04-12	PRIJEM	VKLAD	17477	35328	\N	\N	\N
207329	704	1998-05-12	PRIJEM	VKLAD	17477	49592	\N	\N	\N
207330	704	1998-06-12	PRIJEM	VKLAD	26216	42634	\N	\N	\N
207331	704	1998-07-12	PRIJEM	VKLAD	17477	56919	\N	\N	\N
207332	704	1998-08-12	PRIJEM	VKLAD	17477	33453	\N	\N	\N
207333	704	1998-09-12	PRIJEM	VKLAD	17477	44480	\N	\N	\N
207334	704	1998-10-12	PRIJEM	VKLAD	17477	54561	\N	\N	\N
207335	704	1998-11-12	PRIJEM	VKLAD	17477	64674	\N	\N	\N
207336	704	1998-12-12	PRIJEM	VKLAD	26216	82977	\N	\N	\N
207342	704	1993-06-09	VYDAJ	PREVOD NA UCET	2141	15534	SIPO	IJ	15132719
207343	704	1993-07-09	VYDAJ	PREVOD NA UCET	2141	29170	SIPO	IJ	15132719
207344	704	1993-08-09	VYDAJ	PREVOD NA UCET	2141	32864	SIPO	IJ	15132719
207345	704	1993-09-09	VYDAJ	PREVOD NA UCET	2141	34411	SIPO	IJ	15132719
207346	704	1993-10-09	VYDAJ	PREVOD NA UCET	2141	34424	SIPO	IJ	15132719
207347	704	1993-11-09	VYDAJ	PREVOD NA UCET	2141	37036	SIPO	IJ	15132719
207348	704	1993-12-09	VYDAJ	PREVOD NA UCET	2141	34917	SIPO	IJ	15132719
207349	704	1994-01-09	VYDAJ	PREVOD NA UCET	2141	34110	SIPO	IJ	15132719
207350	704	1994-02-09	VYDAJ	PREVOD NA UCET	2141	24296	SIPO	IJ	15132719
207351	704	1994-03-09	VYDAJ	PREVOD NA UCET	2141	29085	SIPO	IJ	15132719
207352	704	1994-04-09	VYDAJ	PREVOD NA UCET	2141	30434	SIPO	IJ	15132719
207353	704	1994-05-09	VYDAJ	PREVOD NA UCET	2141	35429	SIPO	IJ	15132719
207354	704	1994-06-09	VYDAJ	PREVOD NA UCET	2141	33061	SIPO	IJ	15132719
207355	704	1994-07-09	VYDAJ	PREVOD NA UCET	2141	38823	SIPO	IJ	15132719
207356	704	1994-08-09	VYDAJ	PREVOD NA UCET	2141	40147	SIPO	IJ	15132719
207357	704	1994-09-09	VYDAJ	PREVOD NA UCET	2141	38271	SIPO	IJ	15132719
207358	704	1994-10-09	VYDAJ	PREVOD NA UCET	2141	39189	SIPO	IJ	15132719
207359	704	1994-11-09	VYDAJ	PREVOD NA UCET	2141	36364	SIPO	IJ	15132719
207360	704	1994-12-09	VYDAJ	PREVOD NA UCET	2141	35970	SIPO	IJ	15132719
207361	704	1995-01-09	VYDAJ	PREVOD NA UCET	2141	34604	SIPO	IJ	15132719
207362	704	1995-02-09	VYDAJ	PREVOD NA UCET	2141	22108	SIPO	IJ	15132719
207363	704	1995-03-09	VYDAJ	PREVOD NA UCET	2141	24080	SIPO	IJ	15132719
207364	704	1995-04-09	VYDAJ	PREVOD NA UCET	2141	28141	SIPO	IJ	15132719
207365	704	1995-05-09	VYDAJ	PREVOD NA UCET	2141	32317	SIPO	IJ	15132719
207366	704	1995-06-09	VYDAJ	PREVOD NA UCET	2141	30424	SIPO	IJ	15132719
207367	704	1995-07-09	VYDAJ	PREVOD NA UCET	2141	37762	SIPO	IJ	15132719
207368	704	1995-08-09	VYDAJ	PREVOD NA UCET	2141	31923	SIPO	IJ	15132719
207369	704	1995-09-09	VYDAJ	PREVOD NA UCET	2141	32207	SIPO	IJ	15132719
207370	704	1995-10-09	VYDAJ	PREVOD NA UCET	2141	24919	SIPO	IJ	15132719
207371	704	1995-11-09	VYDAJ	PREVOD NA UCET	2141	27374	SIPO	IJ	15132719
207372	704	1995-12-09	VYDAJ	PREVOD NA UCET	2141	24728	SIPO	IJ	15132719
207373	704	1996-01-09	VYDAJ	PREVOD NA UCET	2141	19767	SIPO	IJ	15132719
207374	704	1996-02-09	VYDAJ	PREVOD NA UCET	2141	14790	SIPO	IJ	15132719
207375	704	1996-03-09	VYDAJ	PREVOD NA UCET	2141	21507	SIPO	IJ	15132719
207376	704	1996-04-09	VYDAJ	PREVOD NA UCET	2141	21138	SIPO	IJ	15132719
207377	704	1996-05-09	VYDAJ	PREVOD NA UCET	2141	20565	SIPO	IJ	15132719
207378	704	1996-06-09	VYDAJ	PREVOD NA UCET	2141	18774	SIPO	IJ	15132719
207379	704	1996-07-09	VYDAJ	PREVOD NA UCET	2141	24147	SIPO	IJ	15132719
207380	704	1996-08-09	VYDAJ	PREVOD NA UCET	2141	19876	SIPO	IJ	15132719
207381	704	1996-09-09	VYDAJ	PREVOD NA UCET	2141	21098	SIPO	IJ	15132719
207382	704	1996-10-09	VYDAJ	PREVOD NA UCET	2141	14747	SIPO	IJ	15132719
207383	704	1996-11-09	VYDAJ	PREVOD NA UCET	2141	19284	SIPO	IJ	15132719
207384	704	1996-12-09	VYDAJ	PREVOD NA UCET	2141	30227	SIPO	IJ	15132719
207385	704	1997-01-09	VYDAJ	PREVOD NA UCET	2141	20631	SIPO	IJ	15132719
207386	704	1997-02-09	VYDAJ	PREVOD NA UCET	2141	22573	SIPO	IJ	15132719
207387	704	1997-03-09	VYDAJ	PREVOD NA UCET	2141	30317	SIPO	IJ	15132719
207388	704	1997-04-09	VYDAJ	PREVOD NA UCET	2141	31378	SIPO	IJ	15132719
207389	704	1997-05-09	VYDAJ	PREVOD NA UCET	2141	32541	SIPO	IJ	15132719
207390	704	1997-06-09	VYDAJ	PREVOD NA UCET	2141	29698	SIPO	IJ	15132719
207391	704	1997-07-09	VYDAJ	PREVOD NA UCET	2141	40742	SIPO	IJ	15132719
207392	704	1997-08-09	VYDAJ	PREVOD NA UCET	2141	14217	SIPO	IJ	15132719
207393	704	1997-09-09	VYDAJ	PREVOD NA UCET	2141	28465	SIPO	IJ	15132719
207394	704	1997-10-09	VYDAJ	PREVOD NA UCET	2141	19654	SIPO	IJ	15132719
207395	704	1997-11-09	VYDAJ	PREVOD NA UCET	2141	15686	SIPO	IJ	15132719
207396	704	1997-12-09	VYDAJ	PREVOD NA UCET	2141	28492	SIPO	IJ	15132719
207397	704	1998-01-09	VYDAJ	PREVOD NA UCET	2141	20761	SIPO	IJ	15132719
207398	704	1998-02-09	VYDAJ	PREVOD NA UCET	2141	15688	SIPO	IJ	15132719
207399	704	1998-03-09	VYDAJ	PREVOD NA UCET	2141	29921	SIPO	IJ	15132719
207400	704	1998-04-09	VYDAJ	PREVOD NA UCET	2141	17851	SIPO	IJ	15132719
207401	704	1998-05-09	VYDAJ	PREVOD NA UCET	2141	32115	SIPO	IJ	15132719
207402	704	1998-06-09	VYDAJ	PREVOD NA UCET	2141	16418	SIPO	IJ	15132719
207403	704	1998-07-09	VYDAJ	PREVOD NA UCET	2141	39442	SIPO	IJ	15132719
207404	704	1998-08-09	VYDAJ	PREVOD NA UCET	2141	15976	SIPO	IJ	15132719
207405	704	1998-09-09	VYDAJ	PREVOD NA UCET	2141	27003	SIPO	IJ	15132719
207406	704	1998-10-09	VYDAJ	PREVOD NA UCET	2141	37084	SIPO	IJ	15132719
207407	704	1998-11-09	VYDAJ	PREVOD NA UCET	2141	47197	SIPO	IJ	15132719
207408	704	1998-12-09	VYDAJ	PREVOD NA UCET	2141	56761	SIPO	IJ	15132719
207414	704	1993-06-07	VYDAJ	PREVOD NA UCET	1197	42315	 	UV	96896516
207415	704	1993-07-07	VYDAJ	PREVOD NA UCET	1197	31311	 	UV	96896516
207416	704	1993-08-07	VYDAJ	PREVOD NA UCET	1197	35005	 	UV	96896516
207417	704	1993-09-07	VYDAJ	PREVOD NA UCET	1197	38112	 	UV	96896516
207418	704	1993-10-07	VYDAJ	PREVOD NA UCET	1197	36565	 	UV	96896516
207419	704	1993-11-07	VYDAJ	PREVOD NA UCET	1197	39177	 	UV	96896516
207420	704	1993-12-07	VYDAJ	PREVOD NA UCET	1197	39778	 	UV	96896516
207421	704	1994-01-07	VYDAJ	PREVOD NA UCET	1197	37091	 	UV	96896516
207422	704	1994-02-07	VYDAJ	PREVOD NA UCET	1197	26437	 	UV	96896516
207423	704	1994-03-07	VYDAJ	PREVOD NA UCET	1197	31226	 	UV	96896516
207424	704	1994-04-07	VYDAJ	PREVOD NA UCET	1197	32575	 	UV	96896516
207425	704	1994-05-07	VYDAJ	PREVOD NA UCET	1197	37570	 	UV	96896516
207426	704	1994-06-07	VYDAJ	PREVOD NA UCET	1197	35202	 	UV	96896516
207427	704	1994-07-07	VYDAJ	PREVOD NA UCET	1197	40964	 	UV	96896516
207428	704	1994-08-07	VYDAJ	PREVOD NA UCET	1197	42288	 	UV	96896516
207429	704	1994-09-07	VYDAJ	PREVOD NA UCET	1197	40412	 	UV	96896516
207430	704	1994-10-07	VYDAJ	PREVOD NA UCET	1197	41330	 	UV	96896516
207431	704	1994-11-07	VYDAJ	PREVOD NA UCET	1197	38505	 	UV	96896516
207432	704	1994-12-07	VYDAJ	PREVOD NA UCET	1197	38111	 	UV	96896516
207433	704	1995-01-07	VYDAJ	PREVOD NA UCET	1197	37345	 	UV	96896516
207434	704	1995-02-07	VYDAJ	PREVOD NA UCET	1197	24249	 	UV	96896516
207435	704	1995-03-07	VYDAJ	PREVOD NA UCET	1197	26221	 	UV	96896516
207436	704	1995-04-07	VYDAJ	PREVOD NA UCET	1197	30282	 	UV	96896516
207437	704	1995-05-07	VYDAJ	PREVOD NA UCET	1197	34458	 	UV	96896516
207438	704	1995-06-07	VYDAJ	PREVOD NA UCET	1197	32565	 	UV	96896516
207439	704	1995-07-07	VYDAJ	PREVOD NA UCET	1197	39903	 	UV	96896516
207440	704	1995-08-07	VYDAJ	PREVOD NA UCET	1197	34064	 	UV	96896516
207441	704	1995-09-07	VYDAJ	PREVOD NA UCET	1197	34348	 	UV	96896516
207442	704	1995-10-07	VYDAJ	PREVOD NA UCET	1197	27060	 	UV	96896516
207443	704	1995-11-07	VYDAJ	PREVOD NA UCET	1197	29515	 	UV	96896516
207444	704	1995-12-07	VYDAJ	PREVOD NA UCET	1197	26869	 	UV	96896516
207445	704	1996-01-07	VYDAJ	PREVOD NA UCET	1197	21908	 	UV	96896516
207446	704	1996-02-07	VYDAJ	PREVOD NA UCET	1197	16931	 	UV	96896516
207447	704	1996-03-07	VYDAJ	PREVOD NA UCET	1197	23648	 	UV	96896516
207448	704	1996-04-07	VYDAJ	PREVOD NA UCET	1197	23279	 	UV	96896516
207449	704	1996-05-07	VYDAJ	PREVOD NA UCET	1197	22706	 	UV	96896516
207450	704	1996-06-07	VYDAJ	PREVOD NA UCET	1197	20915	 	UV	96896516
207451	704	1996-07-07	VYDAJ	PREVOD NA UCET	1197	26288	 	UV	96896516
207452	704	1996-08-07	VYDAJ	PREVOD NA UCET	1197	22017	 	UV	96896516
207453	704	1996-09-07	VYDAJ	PREVOD NA UCET	1197	23239	 	UV	96896516
207454	704	1996-10-07	VYDAJ	PREVOD NA UCET	1197	16888	 	UV	96896516
207455	704	1996-11-07	VYDAJ	PREVOD NA UCET	1197	21425	 	UV	96896516
207456	704	1996-12-07	VYDAJ	PREVOD NA UCET	1197	32368	 	UV	96896516
207457	704	1997-01-07	VYDAJ	PREVOD NA UCET	1197	26132	 	UV	96896516
207458	704	1997-02-07	VYDAJ	PREVOD NA UCET	1197	24714	 	UV	96896516
207459	704	1997-03-07	VYDAJ	PREVOD NA UCET	1197	32458	 	UV	96896516
207460	704	1997-04-07	VYDAJ	PREVOD NA UCET	1197	33519	 	UV	96896516
207461	704	1997-05-07	VYDAJ	PREVOD NA UCET	1197	34682	 	UV	96896516
207462	704	1997-06-07	VYDAJ	PREVOD NA UCET	1197	31839	 	UV	96896516
207463	704	1997-07-07	VYDAJ	PREVOD NA UCET	1197	42883	 	UV	96896516
207464	704	1997-08-07	VYDAJ	PREVOD NA UCET	1197	35558	 	UV	96896516
207465	704	1997-09-07	VYDAJ	PREVOD NA UCET	1197	30606	 	UV	96896516
207466	704	1997-10-07	VYDAJ	PREVOD NA UCET	1197	44895	 	UV	96896516
207467	704	1997-11-07	VYDAJ	PREVOD NA UCET	1197	17827	 	UV	96896516
207468	704	1997-12-07	VYDAJ	PREVOD NA UCET	1197	30633	 	UV	96896516
207469	704	1998-01-07	VYDAJ	PREVOD NA UCET	1197	22902	 	UV	96896516
207470	704	1998-02-07	VYDAJ	PREVOD NA UCET	1197	17829	 	UV	96896516
207471	704	1998-03-07	VYDAJ	PREVOD NA UCET	1197	32062	 	UV	96896516
207472	704	1998-04-07	VYDAJ	PREVOD NA UCET	1197	19992	 	UV	96896516
207473	704	1998-05-07	VYDAJ	PREVOD NA UCET	1197	34256	 	UV	96896516
207474	704	1998-06-07	VYDAJ	PREVOD NA UCET	1197	18559	 	UV	96896516
207475	704	1998-07-07	VYDAJ	PREVOD NA UCET	1197	41583	 	UV	96896516
207476	704	1998-08-07	VYDAJ	PREVOD NA UCET	1197	18117	 	UV	96896516
207477	704	1998-09-07	VYDAJ	PREVOD NA UCET	1197	29144	 	UV	96896516
207478	704	1998-10-07	VYDAJ	PREVOD NA UCET	1197	39225	 	UV	96896516
207479	704	1998-11-07	VYDAJ	PREVOD NA UCET	1197	49338	 	UV	96896516
207480	704	1998-12-07	VYDAJ	PREVOD NA UCET	1197	58902	 	UV	96896516
207481	704	1993-06-08	VYDAJ	VYBER	24640	17675	\N	\N	\N
207485	704	1997-06-23	VYDAJ	VYBER	11040	44874	\N	\N	\N
207488	704	1994-01-21	VYDAJ	VYBER	14080	34747	\N	\N	\N
207489	704	1995-01-19	VYDAJ	VYBER	9120	42961	\N	\N	\N
207491	704	1997-01-03	VYDAJ	VYBER	12480	28289	\N	\N	\N
207492	704	1998-01-23	VYDAJ	VYBER	6720	25038	\N	\N	\N
207493	704	1993-12-08	VYDAJ	VYBER	2720	37058	\N	\N	\N
207494	704	1994-12-15	VYDAJ	VYBER	4320	57866	\N	\N	\N
207495	704	1995-12-20	VYDAJ	VYBER	3680	30664	\N	\N	\N
207496	704	1996-12-16	VYDAJ	VYBER	3360	43983	\N	\N	\N
207497	704	1997-12-29	VYDAJ	VYBER	4160	48868	\N	\N	\N
207498	704	1998-12-25	VYDAJ	VYBER	1600	81377	\N	\N	\N
207505	704	1994-01-05	VYDAJ	VYBER	2760	38288	\N	\N	\N
207506	704	1994-01-23	VYDAJ	VYBER	1080	32587	\N	\N	\N
207507	704	1994-01-12	VYDAJ	VYBER	2760	48827	\N	\N	\N
207508	704	1994-01-04	VYDAJ	VYBER	2880	41048	\N	\N	\N
207509	704	1994-01-23	VYDAJ	VYBER	1080	33667	\N	\N	\N
207510	704	1994-01-08	VYDAJ	VYBER	840	36251	\N	\N	\N
207511	704	1995-01-29	VYDAJ	VYBER	3120	25301	\N	\N	\N
207512	704	1995-01-09	VYDAJ	VYBER	600	36745	\N	\N	\N
207513	704	1995-01-20	VYDAJ	VYBER	2640	38281	\N	\N	\N
207514	704	1995-01-27	VYDAJ	VYBER	2160	28421	\N	\N	\N
207515	704	1995-01-19	VYDAJ	VYBER	2040	40921	\N	\N	\N
207516	704	1995-01-06	VYDAJ	VYBER	2400	38542	\N	\N	\N
207517	704	1996-01-30	VYDAJ	VYBER	1680	18044	\N	\N	\N
207518	704	1996-01-14	VYDAJ	VYBER	2760	34484	\N	\N	\N
207519	704	1996-01-02	VYDAJ	VYBER	3480	27305	\N	\N	\N
207520	704	1996-01-28	VYDAJ	VYBER	720	19724	\N	\N	\N
207521	704	1996-01-04	VYDAJ	VYBER	1560	25745	\N	\N	\N
207522	704	1996-01-20	VYDAJ	VYBER	3240	20444	\N	\N	\N
207523	704	1997-01-17	VYDAJ	VYBER	2760	29888	\N	\N	\N
207524	704	1997-01-27	VYDAJ	VYBER	840	25808	\N	\N	\N
207525	704	1997-01-09	VYDAJ	VYBER	3360	22772	\N	\N	\N
207526	704	1997-01-18	VYDAJ	VYBER	3240	26648	\N	\N	\N
207527	704	1997-01-14	VYDAJ	VYBER	2760	32648	\N	\N	\N
207528	704	1997-01-05	VYDAJ	VYBER	960	27329	\N	\N	\N
207529	704	1998-01-04	VYDAJ	VYBER	2040	46999	\N	\N	\N
207530	704	1998-01-13	VYDAJ	VYBER	1920	36318	\N	\N	\N
207531	704	1998-01-19	VYDAJ	VYBER	1200	35118	\N	\N	\N
207532	704	1998-01-29	VYDAJ	VYBER	3360	18918	\N	\N	\N
207533	704	1998-01-28	VYDAJ	VYBER	2760	22278	\N	\N	\N
207534	704	1998-01-20	VYDAJ	VYBER	3360	31758	\N	\N	\N
207536	704	1993-06-27	VYDAJ	VYBER	1800	39950	\N	\N	\N
207540	704	1993-11-29	VYDAJ	VYBER	720	40793	\N	\N	\N
207541	704	1993-09-08	VYDAJ	VYBER	1560	36552	\N	\N	\N
207542	704	1994-03-01	VYDAJ	VYBER	1680	32423	\N	\N	\N
207543	704	1994-04-05	VYDAJ	VYBER	1920	33772	\N	\N	\N
207544	704	1994-10-19	VYDAJ	VYBER	5040	51626	\N	\N	\N
207545	704	1994-03-23	VYDAJ	VYBER	720	45842	\N	\N	\N
207546	704	1994-06-01	VYDAJ	VYBER	3480	36399	\N	\N	\N
207547	704	1995-03-02	VYDAJ	VYBER	600	27418	\N	\N	\N
207548	704	1995-02-20	VYDAJ	VYBER	5160	27905	\N	\N	\N
207549	704	1995-05-30	VYDAJ	VYBER	1680	33614	\N	\N	\N
207550	704	1995-08-03	VYDAJ	VYBER	2040	35261	\N	\N	\N
207551	704	1995-09-28	VYDAJ	VYBER	4320	28124	\N	\N	\N
207552	704	1995-09-15	VYDAJ	VYBER	4440	45244	\N	\N	\N
207553	704	1995-02-12	VYDAJ	VYBER	1920	37665	\N	\N	\N
207554	704	1996-09-30	VYDAJ	VYBER	3840	23725	\N	\N	\N
207555	704	1996-10-06	VYDAJ	VYBER	5640	18085	\N	\N	\N
207556	704	1996-01-05	VYDAJ	VYBER	2640	23105	\N	\N	\N
207557	704	1996-12-24	VYDAJ	VYBER	3360	40623	\N	\N	\N
207558	704	1996-06-01	VYDAJ	VYBER	3120	22112	\N	\N	\N
207559	704	1997-12-29	VYDAJ	VYBER	1680	53028	\N	\N	\N
207560	704	1997-11-18	VYDAJ	VYBER	1440	31723	\N	\N	\N
207561	704	1997-10-12	VYDAJ	VYBER	2040	35091	\N	\N	\N
207562	704	1997-07-06	VYDAJ	VYBER	960	44080	\N	\N	\N
207564	704	1998-03-20	VYDAJ	VYBER	2760	44638	\N	\N	\N
207565	704	1998-12-06	VYDAJ	VYBER	1200	60099	\N	\N	\N
207566	704	1998-10-13	VYDAJ	VYBER	4200	50361	\N	\N	\N
207567	704	1998-11-28	VYDAJ	VYBER	3600	61074	\N	\N	\N
207568	704	1998-09-28	VYDAJ	VYBER	4200	40280	\N	\N	\N
207569	704	1998-09-03	VYDAJ	VYBER	3240	30341	\N	\N	\N
207575	704	1993-05-31	VYDAJ	VYBER	15	57612	SLUZBY	\N	\N
207576	704	1993-06-30	VYDAJ	VYBER	15	32508	SLUZBY	\N	\N
207577	704	1993-07-31	VYDAJ	VYBER	15	36202	SLUZBY	\N	\N
207578	704	1993-08-31	VYDAJ	VYBER	15	39309	SLUZBY	\N	\N
207579	704	1993-09-30	VYDAJ	VYBER	15	37762	SLUZBY	\N	\N
207580	704	1993-10-31	VYDAJ	VYBER	15	40374	SLUZBY	\N	\N
207581	704	1993-11-30	VYDAJ	VYBER	15	40975	SLUZBY	\N	\N
207582	704	1993-12-31	VYDAJ	VYBER	15	43928	SLUZBY	\N	\N
207583	704	1994-01-31	VYDAJ	VYBER	15	27634	SLUZBY	\N	\N
207584	704	1994-02-28	VYDAJ	VYBER	15	34103	SLUZBY	\N	\N
207585	704	1994-03-31	VYDAJ	VYBER	15	35692	SLUZBY	\N	\N
207586	704	1994-04-30	VYDAJ	VYBER	15	38767	SLUZBY	\N	\N
207587	704	1994-05-31	VYDAJ	VYBER	15	39879	SLUZBY	\N	\N
207588	704	1994-06-30	VYDAJ	VYBER	15	42161	SLUZBY	\N	\N
207589	704	1994-07-31	VYDAJ	VYBER	15	43485	SLUZBY	\N	\N
207590	704	1994-08-31	VYDAJ	VYBER	15	41609	SLUZBY	\N	\N
207591	704	1994-09-30	VYDAJ	VYBER	15	42527	SLUZBY	\N	\N
207592	704	1994-10-31	VYDAJ	VYBER	15	39702	SLUZBY	\N	\N
207593	704	1994-11-30	VYDAJ	VYBER	15	39308	SLUZBY	\N	\N
207594	704	1994-12-31	VYDAJ	VYBER	15	40942	SLUZBY	\N	\N
207595	704	1995-01-31	VYDAJ	VYBER	15	25446	SLUZBY	\N	\N
207596	704	1995-02-28	VYDAJ	VYBER	15	28018	SLUZBY	\N	\N
207597	704	1995-03-31	VYDAJ	VYBER	15	31479	SLUZBY	\N	\N
207598	704	1995-04-30	VYDAJ	VYBER	15	35655	SLUZBY	\N	\N
207599	704	1995-05-31	VYDAJ	VYBER	15	33762	SLUZBY	\N	\N
207600	704	1995-06-30	VYDAJ	VYBER	15	41100	SLUZBY	\N	\N
207601	704	1995-07-31	VYDAJ	VYBER	15	37301	SLUZBY	\N	\N
207602	704	1995-08-31	VYDAJ	VYBER	15	35545	SLUZBY	\N	\N
207603	704	1995-09-30	VYDAJ	VYBER	15	28257	SLUZBY	\N	\N
207604	704	1995-10-31	VYDAJ	VYBER	15	30712	SLUZBY	\N	\N
207605	704	1995-11-30	VYDAJ	VYBER	15	28066	SLUZBY	\N	\N
207606	704	1995-12-31	VYDAJ	VYBER	15	30785	SLUZBY	\N	\N
207607	704	1996-01-31	VYDAJ	VYBER	15	18128	SLUZBY	\N	\N
207608	704	1996-02-29	VYDAJ	VYBER	15	24845	SLUZBY	\N	\N
207609	704	1996-03-31	VYDAJ	VYBER	15	24476	SLUZBY	\N	\N
207610	704	1996-04-30	VYDAJ	VYBER	15	23903	SLUZBY	\N	\N
207611	704	1996-05-31	VYDAJ	VYBER	15	25232	SLUZBY	\N	\N
207612	704	1996-06-30	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
207613	704	1996-07-31	VYDAJ	VYBER	15	23214	SLUZBY	\N	\N
207614	704	1996-08-31	VYDAJ	VYBER	15	24436	SLUZBY	\N	\N
207615	704	1996-09-30	VYDAJ	VYBER	15	27565	SLUZBY	\N	\N
207616	704	1996-10-31	VYDAJ	VYBER	15	22622	SLUZBY	\N	\N
207617	704	1996-11-30	VYDAJ	VYBER	15	33565	SLUZBY	\N	\N
207618	704	1996-12-31	VYDAJ	VYBER	15	40769	SLUZBY	\N	\N
207619	704	1997-01-31	VYDAJ	VYBER	15	25911	SLUZBY	\N	\N
207620	704	1997-02-28	VYDAJ	VYBER	15	33655	SLUZBY	\N	\N
207621	704	1997-03-31	VYDAJ	VYBER	15	34716	SLUZBY	\N	\N
207622	704	1997-04-30	VYDAJ	VYBER	15	35879	SLUZBY	\N	\N
207623	704	1997-05-31	VYDAJ	VYBER	15	33036	SLUZBY	\N	\N
207624	704	1997-06-30	VYDAJ	VYBER	15	45040	SLUZBY	\N	\N
207625	704	1997-07-31	VYDAJ	VYBER	15	36755	SLUZBY	\N	\N
207626	704	1997-08-31	VYDAJ	VYBER	15	31803	SLUZBY	\N	\N
207627	704	1997-09-30	VYDAJ	VYBER	15	46092	SLUZBY	\N	\N
207628	704	1997-10-31	VYDAJ	VYBER	15	35224	SLUZBY	\N	\N
207629	704	1997-11-30	VYDAJ	VYBER	15	31830	SLUZBY	\N	\N
207630	704	1997-12-31	VYDAJ	VYBER	15	49039	SLUZBY	\N	\N
207631	704	1998-01-31	VYDAJ	VYBER	15	19026	SLUZBY	\N	\N
207632	704	1998-02-28	VYDAJ	VYBER	15	33259	SLUZBY	\N	\N
207633	704	1998-03-31	VYDAJ	VYBER	15	44789	SLUZBY	\N	\N
207634	704	1998-04-30	VYDAJ	VYBER	15	35453	SLUZBY	\N	\N
207635	704	1998-05-31	VYDAJ	VYBER	15	49756	SLUZBY	\N	\N
207636	704	1998-06-30	VYDAJ	VYBER	15	42780	SLUZBY	\N	\N
207637	704	1998-07-31	VYDAJ	VYBER	15	57114	SLUZBY	\N	\N
207638	704	1998-08-31	VYDAJ	VYBER	15	33581	SLUZBY	\N	\N
207639	704	1998-09-30	VYDAJ	VYBER	15	40422	SLUZBY	\N	\N
207640	704	1998-10-31	VYDAJ	VYBER	15	50535	SLUZBY	\N	\N
207641	704	1998-11-30	VYDAJ	VYBER	15	61299	SLUZBY	\N	\N
207642	704	1993-01-31	PRIJEM	VKLAD	2900	21427	\N	\N	\N
207643	704	1993-03-02	VYDAJ	VYBER	8900	30093	\N	\N	\N
207644	704	1993-04-01	VYDAJ	VYBER	12900	34830	\N	\N	\N
207645	704	1993-05-01	VYDAJ	VYBER	12600	39918	\N	\N	\N
207646	704	1993-05-31	VYDAJ	VYBER	14100	43512	\N	\N	\N
207647	704	1993-06-30	VYDAJ	VYBER	7600	32523	\N	\N	\N
207648	704	1993-07-30	VYDAJ	VYBER	10600	36047	\N	\N	\N
207649	704	1993-08-29	VYDAJ	VYBER	11200	39141	\N	\N	\N
207650	704	1993-09-28	VYDAJ	VYBER	14300	37588	\N	\N	\N
207651	704	1993-10-28	VYDAJ	VYBER	11700	40201	\N	\N	\N
207652	704	1993-11-27	VYDAJ	VYBER	13000	41513	\N	\N	\N
207653	704	1993-12-27	VYDAJ	VYBER	17400	43733	\N	\N	\N
207654	704	1994-01-26	VYDAJ	VYBER	5100	27487	\N	\N	\N
207655	704	1994-02-25	VYDAJ	VYBER	7800	33973	\N	\N	\N
207656	704	1994-03-27	VYDAJ	VYBER	10300	35542	\N	\N	\N
207657	704	1994-04-26	VYDAJ	VYBER	9300	38611	\N	\N	\N
207658	704	1994-05-26	VYDAJ	VYBER	13200	39706	\N	\N	\N
207659	704	1994-06-25	VYDAJ	VYBER	17300	41977	\N	\N	\N
207660	704	1994-07-25	VYDAJ	VYBER	13000	43300	\N	\N	\N
207661	704	1994-08-24	VYDAJ	VYBER	16200	41424	\N	\N	\N
207662	704	1994-09-23	VYDAJ	VYBER	13400	42348	\N	\N	\N
207663	704	1994-10-23	VYDAJ	VYBER	12100	39526	\N	\N	\N
207664	704	1994-11-22	VYDAJ	VYBER	14700	39141	\N	\N	\N
207665	704	1994-12-22	VYDAJ	VYBER	17100	40766	\N	\N	\N
207666	704	1995-01-21	VYDAJ	VYBER	7700	30581	\N	\N	\N
207667	704	1995-02-20	VYDAJ	VYBER	4600	33065	\N	\N	\N
207668	704	1995-03-22	VYDAJ	VYBER	10200	31357	\N	\N	\N
207669	704	1995-04-21	VYDAJ	VYBER	10100	35518	\N	\N	\N
207670	704	1995-05-21	VYDAJ	VYBER	14500	35294	\N	\N	\N
207671	704	1995-06-20	VYDAJ	VYBER	15700	40940	\N	\N	\N
207672	704	1995-07-20	VYDAJ	VYBER	18100	37139	\N	\N	\N
207673	704	1995-08-19	VYDAJ	VYBER	14000	35400	\N	\N	\N
207674	704	1995-09-18	VYDAJ	VYBER	12800	32444	\N	\N	\N
207675	704	1995-10-18	VYDAJ	VYBER	11800	30596	\N	\N	\N
207676	704	1995-11-17	VYDAJ	VYBER	16900	27951	\N	\N	\N
207677	704	1995-12-17	VYDAJ	VYBER	16600	34344	\N	\N	\N
207678	704	1996-01-16	VYDAJ	VYBER	10800	23684	\N	\N	\N
207679	704	1996-02-15	VYDAJ	VYBER	7500	24767	\N	\N	\N
207680	704	1996-03-16	VYDAJ	VYBER	14600	24384	\N	\N	\N
207681	704	1996-04-15	VYDAJ	VYBER	14800	23815	\N	\N	\N
207682	704	1996-05-15	VYDAJ	VYBER	12900	25142	\N	\N	\N
207683	704	1996-06-14	VYDAJ	VYBER	17600	27390	\N	\N	\N
207684	704	1996-07-14	VYDAJ	VYBER	18500	23124	\N	\N	\N
207685	704	1996-08-13	VYDAJ	VYBER	13000	24353	\N	\N	\N
207686	704	1996-09-12	VYDAJ	VYBER	11100	27475	\N	\N	\N
207687	704	1996-10-12	VYDAJ	VYBER	9700	22524	\N	\N	\N
207688	704	1996-11-11	VYDAJ	VYBER	3300	15984	\N	\N	\N
207689	704	1996-12-11	VYDAJ	VYBER	9100	21127	\N	\N	\N
207690	704	1997-01-10	VYDAJ	VYBER	2700	17931	\N	\N	\N
207691	704	1997-02-09	VYDAJ	VYBER	6500	16073	\N	\N	\N
207692	704	1997-03-11	VYDAJ	VYBER	13200	17117	\N	\N	\N
207693	704	1997-04-10	VYDAJ	VYBER	13100	18278	\N	\N	\N
207694	704	1997-05-10	VYDAJ	VYBER	17100	15441	\N	\N	\N
207695	704	1997-07-09	VYDAJ	VYBER	21600	19142	\N	\N	\N
207696	704	1997-08-08	VYDAJ	VYBER	19200	16358	\N	\N	\N
207697	704	1997-10-07	VYDAJ	VYBER	23100	21795	\N	\N	\N
207698	704	1997-11-06	VYDAJ	VYBER	16200	19024	\N	\N	\N
207699	704	1998-01-05	VYDAJ	VYBER	22900	24099	\N	\N	\N
207700	704	1998-04-05	VYDAJ	VYBER	23600	21189	\N	\N	\N
207701	704	1998-06-04	VYDAJ	VYBER	30000	19756	\N	\N	\N
207702	704	1998-08-03	VYDAJ	VYBER	37800	19314	\N	\N	\N
207775	705	1997-07-14	PRIJEM	VKLAD	600	600	\N	\N	\N
207783	705	1997-08-13	PRIJEM	VKLAD	6242	6842	\N	\N	\N
207784	705	1997-09-13	PRIJEM	VKLAD	6242	21420	\N	\N	\N
207785	705	1997-10-13	PRIJEM	VKLAD	6242	26138	\N	\N	\N
207786	705	1997-11-13	PRIJEM	VKLAD	6242	30682	\N	\N	\N
207787	705	1997-12-13	PRIJEM	VKLAD	9363	35265	\N	\N	\N
207788	705	1998-01-13	PRIJEM	VKLAD	6242	30070	\N	\N	\N
207789	705	1998-02-13	PRIJEM	VKLAD	6242	22658	\N	\N	\N
207790	705	1998-03-13	PRIJEM	VKLAD	6242	24917	\N	\N	\N
207791	705	1998-04-13	PRIJEM	VKLAD	6242	26780	\N	\N	\N
207792	705	1998-05-13	PRIJEM	VKLAD	6242	30551	\N	\N	\N
207793	705	1998-06-13	PRIJEM	VKLAD	9363	32561	\N	\N	\N
207794	705	1998-07-13	PRIJEM	VKLAD	6242	23447	\N	\N	\N
207795	705	1998-08-13	PRIJEM	VKLAD	6242	20906	\N	\N	\N
207796	705	1998-09-13	PRIJEM	VKLAD	6242	14860	\N	\N	\N
207797	705	1998-10-13	PRIJEM	VKLAD	6242	16993	\N	\N	\N
207798	705	1998-11-13	PRIJEM	VKLAD	6242	13627	\N	\N	\N
207799	705	1998-12-13	PRIJEM	VKLAD	9363	18869	\N	\N	\N
207812	705	1998-01-10	VYDAJ	PREVOD NA UCET	4161	25328	SIPO	KL	67101108
207813	705	1998-02-10	VYDAJ	PREVOD NA UCET	4161	16416	SIPO	KL	67101108
207814	705	1998-03-10	VYDAJ	PREVOD NA UCET	4161	16975	SIPO	KL	67101108
207815	705	1998-04-10	VYDAJ	PREVOD NA UCET	4161	20538	SIPO	KL	67101108
207816	705	1998-05-10	VYDAJ	PREVOD NA UCET	4161	24309	SIPO	KL	67101108
207817	705	1998-06-10	VYDAJ	PREVOD NA UCET	4161	23198	SIPO	KL	67101108
207818	705	1998-07-10	VYDAJ	PREVOD NA UCET	4161	17205	SIPO	KL	67101108
207819	705	1998-08-10	VYDAJ	PREVOD NA UCET	4161	14664	SIPO	KL	67101108
207820	705	1998-09-10	VYDAJ	PREVOD NA UCET	4161	8618	SIPO	KL	67101108
207821	705	1998-10-10	VYDAJ	PREVOD NA UCET	4161	10751	SIPO	KL	67101108
207822	705	1998-11-10	VYDAJ	PREVOD NA UCET	4161	7385	SIPO	KL	67101108
207823	705	1998-12-10	VYDAJ	PREVOD NA UCET	4161	9506	SIPO	KL	67101108
207825	705	1998-06-29	VYDAJ	VYBER	7400	21461	\N	\N	\N
207827	705	1998-01-01	VYDAJ	VYBER	5000	29289	\N	\N	\N
207828	705	1997-12-28	VYDAJ	VYBER	1100	34165	\N	\N	\N
207836	705	1998-01-15	VYDAJ	VYBER	800	29270	\N	\N	\N
207837	705	1998-01-10	VYDAJ	VYBER	1500	23828	\N	\N	\N
207838	705	1998-01-17	VYDAJ	VYBER	500	26770	\N	\N	\N
207839	705	1998-01-26	VYDAJ	VYBER	1100	24770	\N	\N	\N
207840	705	1998-01-17	VYDAJ	VYBER	2000	27270	\N	\N	\N
207841	705	1998-01-23	VYDAJ	VYBER	900	25870	\N	\N	\N
207849	705	1998-02-06	VYDAJ	VYBER	2600	22277	\N	\N	\N
207850	705	1998-06-20	VYDAJ	VYBER	800	28861	\N	\N	\N
207851	705	1998-04-04	VYDAJ	VYBER	3300	21699	\N	\N	\N
207852	705	1998-02-23	VYDAJ	VYBER	1600	21058	\N	\N	\N
207853	705	1998-04-07	VYDAJ	VYBER	1800	19899	\N	\N	\N
207854	705	1998-06-15	VYDAJ	VYBER	2900	29661	\N	\N	\N
207855	705	1998-11-06	VYDAJ	VYBER	2900	14146	\N	\N	\N
207868	705	1997-12-31	VYDAJ	VYBER	15	34289	SLUZBY	\N	\N
207869	705	1998-01-31	VYDAJ	VYBER	15	24877	SLUZBY	\N	\N
207870	705	1998-02-28	VYDAJ	VYBER	15	21136	SLUZBY	\N	\N
207871	705	1998-03-31	VYDAJ	VYBER	15	24999	SLUZBY	\N	\N
207872	705	1998-04-30	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
207873	705	1998-05-31	VYDAJ	VYBER	15	30659	SLUZBY	\N	\N
207874	705	1998-06-30	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
207875	705	1998-07-31	VYDAJ	VYBER	15	23525	SLUZBY	\N	\N
207876	705	1998-08-31	VYDAJ	VYBER	15	20979	SLUZBY	\N	\N
207877	705	1998-09-30	VYDAJ	VYBER	15	14912	SLUZBY	\N	\N
207878	705	1998-10-31	VYDAJ	VYBER	15	17046	SLUZBY	\N	\N
207879	705	1998-11-30	VYDAJ	VYBER	15	13667	SLUZBY	\N	\N
207880	705	1997-08-13	PRIJEM	VKLAD	7100	13942	\N	\N	\N
207881	705	1997-09-12	PRIJEM	VKLAD	1200	15178	\N	\N	\N
207882	705	1997-10-12	VYDAJ	VYBER	1600	19896	\N	\N	\N
207883	705	1997-11-11	VYDAJ	VYBER	1800	24440	\N	\N	\N
207884	705	1997-12-11	VYDAJ	VYBER	4900	25902	\N	\N	\N
207885	705	1998-01-10	PRIJEM	VKLAD	200	29489	\N	\N	\N
207886	705	1998-02-09	VYDAJ	VYBER	1700	20577	\N	\N	\N
207887	705	1998-03-11	PRIJEM	VKLAD	1700	18675	\N	\N	\N
207888	705	1998-04-10	PRIJEM	VKLAD	4800	24699	\N	\N	\N
207889	705	1998-05-10	PRIJEM	VKLAD	1600	28470	\N	\N	\N
207890	705	1998-06-09	VYDAJ	VYBER	3300	27359	\N	\N	\N
207891	705	1998-07-09	VYDAJ	VYBER	200	21366	\N	\N	\N
207892	705	1998-08-08	VYDAJ	VYBER	4700	18825	\N	\N	\N
207893	705	1998-09-07	VYDAJ	VYBER	8200	12779	\N	\N	\N
207894	705	1998-11-06	VYDAJ	VYBER	2600	11546	\N	\N	\N
207912	706	1996-05-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
207917	706	1996-05-11	PRIJEM	VKLAD	18182	19182	\N	\N	\N
207918	706	1996-06-11	PRIJEM	VKLAD	27273	46009	\N	\N	\N
207919	706	1996-07-11	PRIJEM	VKLAD	18182	49546	\N	\N	\N
207920	706	1996-08-11	PRIJEM	VKLAD	18182	52329	\N	\N	\N
207921	706	1996-09-11	PRIJEM	VKLAD	18182	54426	\N	\N	\N
207922	706	1996-10-11	PRIJEM	VKLAD	18182	55717	\N	\N	\N
207923	706	1996-11-11	PRIJEM	VKLAD	18182	54113	\N	\N	\N
207924	706	1996-12-11	PRIJEM	VKLAD	27273	62899	\N	\N	\N
207925	706	1997-01-11	PRIJEM	VKLAD	18182	56876	\N	\N	\N
207926	706	1997-02-11	PRIJEM	VKLAD	18182	48676	\N	\N	\N
207927	706	1997-03-11	PRIJEM	VKLAD	18182	48834	\N	\N	\N
207928	706	1997-04-11	PRIJEM	VKLAD	18182	49904	\N	\N	\N
207929	706	1997-05-11	PRIJEM	VKLAD	18182	49978	\N	\N	\N
207930	706	1997-06-11	PRIJEM	VKLAD	27273	57080	\N	\N	\N
207931	706	1997-07-11	PRIJEM	VKLAD	18182	49270	\N	\N	\N
207932	706	1997-08-11	PRIJEM	VKLAD	18182	40630	\N	\N	\N
207933	706	1997-09-11	PRIJEM	VKLAD	18182	32752	\N	\N	\N
207934	706	1997-10-11	PRIJEM	VKLAD	18182	37681	\N	\N	\N
207935	706	1997-11-11	PRIJEM	VKLAD	18182	41031	\N	\N	\N
207936	706	1997-12-11	PRIJEM	VKLAD	27273	52885	\N	\N	\N
207937	706	1998-01-11	PRIJEM	VKLAD	18182	49962	\N	\N	\N
207938	706	1998-02-11	PRIJEM	VKLAD	18182	42940	\N	\N	\N
207939	706	1998-03-11	PRIJEM	VKLAD	18182	43610	\N	\N	\N
207940	706	1998-04-11	PRIJEM	VKLAD	18182	42782	\N	\N	\N
207941	706	1998-05-11	PRIJEM	VKLAD	18182	41671	\N	\N	\N
207942	706	1998-06-11	PRIJEM	VKLAD	27273	50927	\N	\N	\N
207943	706	1998-07-11	PRIJEM	VKLAD	18182	37337	\N	\N	\N
207944	706	1998-08-11	PRIJEM	VKLAD	18182	33402	\N	\N	\N
207945	706	1998-09-11	PRIJEM	VKLAD	18182	34232	\N	\N	\N
207946	706	1998-10-11	PRIJEM	VKLAD	18182	32564	\N	\N	\N
207947	706	1998-11-11	PRIJEM	VKLAD	18182	50792	\N	\N	\N
207948	706	1998-12-11	PRIJEM	VKLAD	27273	50775	\N	\N	\N
207951	706	1998-06-22	VYDAJ	VYBER	27200	19047	\N	\N	\N
207953	706	1997-01-27	VYDAJ	VYBER	13760	39876	\N	\N	\N
207954	706	1998-01-16	VYDAJ	VYBER	6880	43082	\N	\N	\N
207955	706	1996-12-24	VYDAJ	VYBER	840	62059	\N	\N	\N
207959	706	1996-10-10	VYDAJ	VYBER	1200	37535	\N	\N	\N
207960	706	1997-01-11	VYDAJ	VYBER	3240	53636	\N	\N	\N
207961	706	1997-08-08	VYDAJ	VYBER	4320	22448	\N	\N	\N
207962	706	1997-05-23	VYDAJ	VYBER	3960	46018	\N	\N	\N
207963	706	1997-08-21	VYDAJ	VYBER	3360	37270	\N	\N	\N
207964	706	1997-08-23	VYDAJ	VYBER	4920	32350	\N	\N	\N
207965	706	1998-04-27	VYDAJ	VYBER	3480	39302	\N	\N	\N
207966	706	1998-05-16	VYDAJ	VYBER	4320	37351	\N	\N	\N
207967	706	1998-01-27	VYDAJ	VYBER	5160	37922	\N	\N	\N
207969	706	1998-06-12	VYDAJ	VYBER	4680	46247	\N	\N	\N
207970	706	1998-07-17	VYDAJ	VYBER	600	36737	\N	\N	\N
207980	706	1996-09-30	VYDAJ	VYBER	15	54635	SLUZBY	\N	\N
207981	706	1996-10-31	VYDAJ	VYBER	15	55931	SLUZBY	\N	\N
207982	706	1996-11-30	VYDAJ	VYBER	15	54326	SLUZBY	\N	\N
207983	706	1996-12-31	VYDAJ	VYBER	15	62294	SLUZBY	\N	\N
207984	706	1997-01-31	VYDAJ	VYBER	15	40094	SLUZBY	\N	\N
207985	706	1997-02-28	VYDAJ	VYBER	15	48852	SLUZBY	\N	\N
207986	706	1997-03-31	VYDAJ	VYBER	15	49022	SLUZBY	\N	\N
207987	706	1997-04-30	VYDAJ	VYBER	15	50096	SLUZBY	\N	\N
207988	706	1997-05-31	VYDAJ	VYBER	15	46207	SLUZBY	\N	\N
207989	706	1997-06-30	VYDAJ	VYBER	15	57288	SLUZBY	\N	\N
207990	706	1997-07-31	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
207991	706	1997-08-31	VYDAJ	VYBER	15	14570	SLUZBY	\N	\N
207992	706	1997-09-30	VYDAJ	VYBER	15	19499	SLUZBY	\N	\N
207993	706	1997-10-31	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
207994	706	1997-11-30	VYDAJ	VYBER	15	25612	SLUZBY	\N	\N
207995	706	1997-12-31	VYDAJ	VYBER	15	31780	SLUZBY	\N	\N
207996	706	1998-01-31	VYDAJ	VYBER	15	24758	SLUZBY	\N	\N
207997	706	1998-02-28	VYDAJ	VYBER	15	25428	SLUZBY	\N	\N
207998	706	1998-03-31	VYDAJ	VYBER	15	24600	SLUZBY	\N	\N
207999	706	1998-04-30	VYDAJ	VYBER	15	23489	SLUZBY	\N	\N
208000	706	1998-05-31	VYDAJ	VYBER	15	23654	SLUZBY	\N	\N
208001	706	1998-06-30	VYDAJ	VYBER	15	19155	SLUZBY	\N	\N
208002	706	1998-07-31	VYDAJ	VYBER	15	15220	SLUZBY	\N	\N
208003	706	1998-08-31	VYDAJ	VYBER	15	16050	SLUZBY	\N	\N
208004	706	1998-09-30	VYDAJ	VYBER	15	14382	SLUZBY	\N	\N
208005	706	1998-10-31	VYDAJ	VYBER	15	32610	SLUZBY	\N	\N
208006	706	1998-11-30	VYDAJ	VYBER	15	23502	SLUZBY	\N	\N
208007	706	1996-06-06	VYDAJ	VYBER	500	18736	\N	\N	\N
208008	706	1996-07-06	VYDAJ	VYBER	14800	31364	\N	\N	\N
208009	706	1996-08-05	VYDAJ	VYBER	15600	34147	\N	\N	\N
208010	706	1996-09-04	VYDAJ	VYBER	16300	36244	\N	\N	\N
208011	706	1996-10-04	VYDAJ	VYBER	15900	38735	\N	\N	\N
208012	706	1996-11-03	VYDAJ	VYBER	20000	35931	\N	\N	\N
208013	706	1996-12-03	VYDAJ	VYBER	18700	35626	\N	\N	\N
208014	706	1997-01-02	VYDAJ	VYBER	23600	38694	\N	\N	\N
208015	706	1997-02-01	VYDAJ	VYBER	9600	30494	\N	\N	\N
208016	706	1997-03-03	VYDAJ	VYBER	18200	30652	\N	\N	\N
208017	706	1997-04-02	VYDAJ	VYBER	17300	31722	\N	\N	\N
208018	706	1997-05-02	VYDAJ	VYBER	18300	31796	\N	\N	\N
208019	706	1997-06-01	VYDAJ	VYBER	16400	29807	\N	\N	\N
208020	706	1997-07-01	VYDAJ	VYBER	26200	31088	\N	\N	\N
208021	706	1997-07-31	VYDAJ	VYBER	22700	26783	\N	\N	\N
208022	706	1997-08-30	VYDAJ	VYBER	17900	14450	\N	\N	\N
208023	706	1997-09-29	VYDAJ	VYBER	13300	19452	\N	\N	\N
208024	706	1997-10-29	VYDAJ	VYBER	14900	22781	\N	\N	\N
208025	706	1997-11-28	VYDAJ	VYBER	15500	25531	\N	\N	\N
208026	706	1997-12-28	VYDAJ	VYBER	21200	31685	\N	\N	\N
208027	706	1998-01-27	VYDAJ	VYBER	13300	24622	\N	\N	\N
208028	706	1998-02-26	VYDAJ	VYBER	17600	25340	\N	\N	\N
208029	706	1998-03-28	VYDAJ	VYBER	19100	24510	\N	\N	\N
208030	706	1998-04-27	VYDAJ	VYBER	15900	23402	\N	\N	\N
208031	706	1998-05-27	VYDAJ	VYBER	13800	23551	\N	\N	\N
208032	706	1998-07-26	VYDAJ	VYBER	21600	15137	\N	\N	\N
208033	706	1998-08-25	VYDAJ	VYBER	17400	16002	\N	\N	\N
208034	706	1998-09-24	VYDAJ	VYBER	19900	14332	\N	\N	\N
208035	706	1998-11-23	VYDAJ	VYBER	27400	23392	\N	\N	\N
208641	708	1996-03-30	PRIJEM	VKLAD	800	800	\N	\N	\N
208715	708	1996-04-29	PRIJEM	VKLAD	10300	11100	\N	\N	\N
208716	708	1996-05-29	PRIJEM	VKLAD	9300	20400	\N	\N	\N
208717	708	1996-06-28	PRIJEM	VKLAD	1900	22300	\N	\N	\N
208718	708	1996-07-28	VYDAJ	VYBER	200	22100	\N	\N	\N
208719	708	1996-08-27	PRIJEM	VKLAD	5600	27700	\N	\N	\N
208720	708	1996-09-26	PRIJEM	VKLAD	1100	28800	\N	\N	\N
208721	708	1996-10-26	VYDAJ	VYBER	100	28700	\N	\N	\N
208722	708	1996-11-25	VYDAJ	VYBER	2600	26100	\N	\N	\N
208723	708	1996-12-25	VYDAJ	VYBER	1600	24500	\N	\N	\N
208724	708	1997-01-24	VYDAJ	VYBER	2000	22500	\N	\N	\N
208725	708	1997-02-23	VYDAJ	VYBER	2000	20500	\N	\N	\N
208726	708	1997-03-25	PRIJEM	VKLAD	1600	22100	\N	\N	\N
208727	708	1997-04-24	PRIJEM	VKLAD	600	22700	\N	\N	\N
208728	708	1997-05-24	PRIJEM	VKLAD	800	23500	\N	\N	\N
208729	708	1997-06-23	PRIJEM	VKLAD	2500	26000	\N	\N	\N
208730	708	1997-07-23	VYDAJ	VYBER	2000	24000	\N	\N	\N
208731	708	1997-08-22	VYDAJ	VYBER	1400	22600	\N	\N	\N
208732	708	1997-09-21	VYDAJ	VYBER	1400	21200	\N	\N	\N
208733	708	1997-10-21	VYDAJ	VYBER	5300	15900	\N	\N	\N
208734	708	1997-11-20	VYDAJ	VYBER	6700	9200	\N	\N	\N
208735	708	1997-12-20	PRIJEM	VKLAD	500	9700	\N	\N	\N
208736	708	1998-02-18	VYDAJ	VYBER	600	9100	\N	\N	\N
208737	708	1998-04-19	PRIJEM	VKLAD	1200	10300	\N	\N	\N
208738	708	1998-06-18	PRIJEM	VKLAD	1800	12100	\N	\N	\N
208739	708	1998-07-18	PRIJEM	VKLAD	300	12400	\N	\N	\N
208740	708	1998-08-17	PRIJEM	VKLAD	1500	13900	\N	\N	\N
208741	708	1998-09-16	VYDAJ	VYBER	3400	10500	\N	\N	\N
208742	708	1998-10-16	VYDAJ	VYBER	800	9700	\N	\N	\N
208743	708	1998-11-15	VYDAJ	VYBER	900	8800	\N	\N	\N
208744	709	1994-07-25	PRIJEM	VKLAD	900	900	\N	\N	\N
208746	709	1994-08-29	PRIJEM	VKLAD	9504	25734	\N	\N	\N
208748	709	1994-09-18	PRIJEM	VKLAD	18540	44295	\N	\N	\N
208752	709	1994-08-16	PRIJEM	VKLAD	11030	11930	\N	\N	\N
208756	709	1994-10-04	PRIJEM	VKLAD	48167	81978	\N	\N	\N
208757	709	1994-11-15	PRIJEM	VKLAD	33551	90375	\N	\N	\N
208758	709	1994-10-30	PRIJEM	VKLAD	26999	80677	\N	\N	\N
208760	709	1995-10-13	PRIJEM	VKLAD	45270	104460	\N	\N	\N
208761	709	1995-06-12	PRIJEM	VKLAD	15687	56035	\N	\N	\N
208762	709	1995-09-09	PRIJEM	VKLAD	18886	69394	\N	\N	\N
208763	709	1995-12-17	PRIJEM	VKLAD	20126	36656	\N	\N	\N
208764	709	1995-09-10	PRIJEM	VKLAD	30903	100297	\N	\N	\N
208765	709	1995-04-06	PRIJEM	VKLAD	11935	13208	\N	\N	\N
208766	709	1995-09-10	PRIJEM	VKLAD	35083	135380	\N	\N	\N
208767	709	1995-01-10	PRIJEM	VKLAD	30593	31981	\N	\N	\N
208768	709	1995-06-10	PRIJEM	VKLAD	32340	40348	\N	\N	\N
208769	709	1995-08-22	PRIJEM	VKLAD	44955	60506	\N	\N	\N
208770	709	1996-04-20	PRIJEM	VKLAD	7623	39471	\N	\N	\N
208771	709	1996-07-24	PRIJEM	VKLAD	43149	106525	\N	\N	\N
208772	709	1996-08-04	PRIJEM	VKLAD	41300	93773	\N	\N	\N
208773	709	1996-07-24	PRIJEM	VKLAD	32930	63376	\N	\N	\N
208774	709	1996-01-29	PRIJEM	VKLAD	9554	15902	\N	\N	\N
208775	709	1996-04-12	PRIJEM	VKLAD	19258	42048	\N	\N	\N
208776	709	1996-10-25	PRIJEM	VKLAD	39895	80493	\N	\N	\N
208777	709	1996-05-26	PRIJEM	VKLAD	7848	42234	\N	\N	\N
208778	709	1997-05-25	PRIJEM	VKLAD	8122	48819	\N	\N	\N
208779	709	1997-01-14	PRIJEM	VKLAD	21484	43479	\N	\N	\N
208780	709	1997-02-28	PRIJEM	VKLAD	49690	71107	\N	\N	\N
208781	709	1997-04-10	PRIJEM	VKLAD	37553	70804	\N	\N	\N
208782	709	1997-08-20	PRIJEM	VKLAD	31908	89457	\N	\N	\N
208783	709	1997-06-24	PRIJEM	VKLAD	35910	108783	\N	\N	\N
208784	709	1997-12-07	PRIJEM	VKLAD	47732	112309	\N	\N	\N
208785	709	1997-04-24	PRIJEM	VKLAD	48804	101108	\N	\N	\N
208786	709	1997-08-25	PRIJEM	VKLAD	33018	138433	\N	\N	\N
208787	709	1997-09-12	PRIJEM	VKLAD	44542	105233	\N	\N	\N
208788	709	1997-09-24	PRIJEM	VKLAD	23154	97999	\N	\N	\N
208789	709	1997-11-03	PRIJEM	VKLAD	32255	98031	\N	\N	\N
208790	709	1997-08-22	PRIJEM	VKLAD	15958	105415	\N	\N	\N
208791	709	1997-06-29	PRIJEM	VKLAD	42918	102501	\N	\N	\N
208792	709	1997-09-23	PRIJEM	VKLAD	25812	131045	\N	\N	\N
208793	709	1997-06-15	PRIJEM	VKLAD	31610	72873	\N	\N	\N
208794	709	1997-11-19	PRIJEM	VKLAD	14059	81390	\N	\N	\N
208795	709	1998-02-15	PRIJEM	VKLAD	21298	78278	\N	\N	\N
208796	709	1998-11-30	PRIJEM	VKLAD	24385	74358	\N	\N	\N
208797	709	1998-05-18	PRIJEM	VKLAD	35919	76554	\N	\N	\N
208798	709	1998-01-07	PRIJEM	VKLAD	15985	76009	\N	\N	\N
208799	709	1998-10-12	PRIJEM	VKLAD	5433	44313	\N	\N	\N
208800	709	1998-02-01	PRIJEM	VKLAD	12606	65780	\N	\N	\N
208801	709	1998-04-17	PRIJEM	VKLAD	28919	71943	\N	\N	\N
208802	709	1994-12-07	VYBER	VYBER	16146	28022	\N	\N	\N
208809	709	1994-11-07	VYBER	VYBER	24011	56824	\N	\N	\N
208810	709	1994-12-18	VYBER	VYBER	22842	5180	\N	\N	\N
208811	709	1995-10-04	VYBER	VYBER	5071	59190	\N	\N	\N
208812	709	1995-10-15	VYBER	VYBER	14996	40664	\N	\N	\N
208813	709	1995-04-13	VYBER	VYBER	4875	8333	\N	\N	\N
208814	709	1995-03-23	VYBER	VYBER	19215	3678	\N	\N	\N
208815	709	1995-08-30	VYBER	VYBER	4719	55787	\N	\N	\N
208817	709	1995-04-01	VYBER	VYBER	2448	1273	\N	\N	\N
208818	709	1995-02-03	VYBER	VYBER	11329	7829	\N	\N	\N
208820	709	1995-07-30	VYBER	VYBER	7446	18832	\N	\N	\N
208821	709	1995-11-24	VYBER	VYBER	9741	16422	\N	\N	\N
208822	709	1995-04-15	VYBER	VYBER	5381	2952	\N	\N	\N
208825	709	1997-10-23	VYBER	VYBER	5157	65422	\N	\N	\N
208826	709	1997-01-23	VYBER	VYBER	15448	20831	\N	\N	\N
208827	709	1997-05-18	VYBER	VYBER	17557	40697	\N	\N	\N
208828	709	1997-03-21	VYBER	VYBER	15435	33057	\N	\N	\N
208829	709	1997-04-26	VYBER	VYBER	24863	76245	\N	\N	\N
208830	709	1998-01-03	VYBER	VYBER	12281	76124	\N	\N	\N
208831	709	1998-10-03	VYBER	VYBER	12026	38880	\N	\N	\N
208832	709	1998-04-15	VYBER	VYBER	5677	43024	\N	\N	\N
208833	709	1998-07-30	VYBER	VYBER	15498	21675	\N	\N	\N
208834	709	1998-04-29	VYBER	VYBER	5042	66901	\N	\N	\N
208836	709	1995-06-02	VYDAJ	VYBER	12300	8008	\N	\N	\N
208839	709	1998-06-26	VYDAJ	VYBER	30900	36798	\N	\N	\N
208840	709	1994-12-27	VYDAJ	VYBER	3300	12380	\N	\N	\N
208841	709	1995-12-27	VYDAJ	VYBER	2100	31656	\N	\N	\N
208842	709	1996-12-10	VYDAJ	VYBER	8400	51711	\N	\N	\N
208843	709	1997-12-09	VYDAJ	VYBER	5400	106909	\N	\N	\N
208844	709	1998-12-19	VYDAJ	VYBER	5100	58129	\N	\N	\N
208851	709	1995-01-26	VYDAJ	VYBER	1500	22681	\N	\N	\N
208852	709	1995-01-24	VYDAJ	VYBER	1500	24181	\N	\N	\N
208853	709	1995-01-22	VYDAJ	VYBER	2400	25681	\N	\N	\N
208854	709	1995-01-07	VYDAJ	VYBER	7500	1388	\N	\N	\N
208855	709	1995-01-04	VYDAJ	VYBER	3600	8888	\N	\N	\N
208856	709	1995-01-30	VYDAJ	VYBER	3600	19081	\N	\N	\N
208857	709	1996-01-28	VYDAJ	VYBER	6600	6348	\N	\N	\N
208858	709	1996-01-29	VYDAJ	VYBER	2400	13502	\N	\N	\N
208859	709	1996-01-19	VYDAJ	VYBER	6600	12948	\N	\N	\N
208860	709	1996-01-18	VYDAJ	VYBER	3000	19548	\N	\N	\N
208861	709	1996-01-01	VYDAJ	VYBER	5400	26348	\N	\N	\N
208862	709	1996-01-14	VYDAJ	VYBER	3900	22448	\N	\N	\N
208863	709	1997-01-08	VYDAJ	VYBER	4500	29595	\N	\N	\N
208864	709	1997-01-22	VYDAJ	VYBER	5100	36279	\N	\N	\N
208865	709	1997-01-28	VYDAJ	VYBER	5700	15131	\N	\N	\N
208866	709	1997-01-01	VYDAJ	VYBER	2400	34095	\N	\N	\N
208867	709	1997-01-17	VYDAJ	VYBER	2100	41379	\N	\N	\N
208868	709	1997-01-13	VYDAJ	VYBER	8700	21995	\N	\N	\N
208869	709	1998-01-13	VYDAJ	VYBER	4200	67909	\N	\N	\N
208870	709	1998-01-29	VYDAJ	VYBER	6300	52909	\N	\N	\N
208871	709	1998-01-08	VYDAJ	VYBER	3900	72109	\N	\N	\N
208872	709	1998-01-28	VYDAJ	VYBER	2400	59209	\N	\N	\N
208873	709	1998-01-22	VYDAJ	VYBER	6300	61609	\N	\N	\N
208874	709	1998-01-02	VYDAJ	VYBER	7200	88405	\N	\N	\N
208876	709	1994-11-26	VYDAJ	VYBER	13800	43875	\N	\N	\N
208881	709	1995-08-19	VYDAJ	VYBER	9000	15551	\N	\N	\N
208882	709	1995-09-07	VYDAJ	VYBER	5400	50508	\N	\N	\N
208883	709	1995-11-19	VYDAJ	VYBER	8100	26163	\N	\N	\N
208884	709	1995-06-28	VYDAJ	VYBER	7500	32835	\N	\N	\N
208885	709	1996-09-11	VYDAJ	VYBER	12900	50403	\N	\N	\N
208886	709	1996-12-27	VYDAJ	VYBER	7500	36311	\N	\N	\N
208887	709	1996-04-15	VYDAJ	VYBER	5700	36348	\N	\N	\N
208888	709	1997-03-02	VYDAJ	VYBER	8400	62692	\N	\N	\N
208889	709	1997-12-23	VYDAJ	VYBER	11700	95209	\N	\N	\N
208890	709	1998-05-07	VYDAJ	VYBER	13500	45735	\N	\N	\N
208891	709	1998-08-10	VYDAJ	VYBER	12000	28808	\N	\N	\N
208892	709	1998-05-11	VYDAJ	VYBER	5100	40635	\N	\N	\N
208893	709	1998-03-16	VYDAJ	VYBER	3900	62041	\N	\N	\N
208894	709	1998-03-21	VYDAJ	VYBER	10500	51541	\N	\N	\N
208895	709	1998-07-01	VYDAJ	VYBER	12600	24473	\N	\N	\N
208906	709	1994-10-31	VYDAJ	VYBER	15	80835	SLUZBY	\N	\N
208907	709	1994-11-30	VYDAJ	VYBER	15	44168	SLUZBY	\N	\N
208908	709	1994-12-31	VYDAJ	VYBER	15	12488	SLUZBY	\N	\N
208909	709	1995-01-31	VYDAJ	VYBER	15	19158	SLUZBY	\N	\N
208910	709	1995-02-28	VYDAJ	VYBER	15	18093	SLUZBY	\N	\N
208911	709	1995-03-31	VYDAJ	VYBER	15	3721	SLUZBY	\N	\N
208912	709	1995-04-30	VYDAJ	VYBER	15	11474	SLUZBY	\N	\N
208913	709	1995-05-31	VYDAJ	VYBER	15	20308	SLUZBY	\N	\N
208914	709	1995-06-30	VYDAJ	VYBER	15	32978	SLUZBY	\N	\N
208915	709	1995-07-31	VYDAJ	VYBER	15	18951	SLUZBY	\N	\N
208916	709	1995-08-31	VYDAJ	VYBER	15	55908	SLUZBY	\N	\N
208917	709	1995-09-30	VYDAJ	VYBER	15	64261	SLUZBY	\N	\N
208918	709	1995-10-31	VYDAJ	VYBER	15	35363	SLUZBY	\N	\N
208919	709	1995-11-30	VYDAJ	VYBER	15	16530	SLUZBY	\N	\N
208920	709	1995-12-31	VYDAJ	VYBER	15	31748	SLUZBY	\N	\N
208921	709	1996-01-31	VYDAJ	VYBER	15	13579	SLUZBY	\N	\N
208922	709	1996-02-29	VYDAJ	VYBER	15	19722	SLUZBY	\N	\N
208923	709	1996-03-31	VYDAJ	VYBER	15	22790	SLUZBY	\N	\N
208924	709	1996-04-30	VYDAJ	VYBER	15	39586	SLUZBY	\N	\N
208925	709	1996-05-31	VYDAJ	VYBER	15	42386	SLUZBY	\N	\N
208926	709	1996-06-30	VYDAJ	VYBER	15	34346	SLUZBY	\N	\N
208927	709	1996-07-31	VYDAJ	VYBER	15	52473	SLUZBY	\N	\N
208928	709	1996-08-31	VYDAJ	VYBER	15	63303	SLUZBY	\N	\N
208929	709	1996-09-30	VYDAJ	VYBER	15	43098	SLUZBY	\N	\N
208930	709	1996-10-31	VYDAJ	VYBER	15	80693	SLUZBY	\N	\N
208931	709	1996-11-30	VYDAJ	VYBER	15	60111	SLUZBY	\N	\N
208932	709	1996-12-31	VYDAJ	VYBER	15	36495	SLUZBY	\N	\N
208933	709	1997-01-31	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
208934	709	1997-02-28	VYDAJ	VYBER	15	71092	SLUZBY	\N	\N
208935	709	1997-03-31	VYDAJ	VYBER	15	33251	SLUZBY	\N	\N
208936	709	1997-04-30	VYDAJ	VYBER	15	76454	SLUZBY	\N	\N
208937	709	1997-05-31	VYDAJ	VYBER	15	49063	SLUZBY	\N	\N
208938	709	1997-06-30	VYDAJ	VYBER	15	102741	SLUZBY	\N	\N
208939	709	1997-07-31	VYDAJ	VYBER	15	72249	SLUZBY	\N	\N
208940	709	1997-08-31	VYDAJ	VYBER	15	80091	SLUZBY	\N	\N
208941	709	1997-09-30	VYDAJ	VYBER	15	98379	SLUZBY	\N	\N
208942	709	1997-10-31	VYDAJ	VYBER	15	65776	SLUZBY	\N	\N
208943	709	1997-11-30	VYDAJ	VYBER	15	81677	SLUZBY	\N	\N
208944	709	1997-12-31	VYDAJ	VYBER	15	95605	SLUZBY	\N	\N
208945	709	1998-01-31	VYDAJ	VYBER	15	53174	SLUZBY	\N	\N
208946	709	1998-02-28	VYDAJ	VYBER	15	78541	SLUZBY	\N	\N
208947	709	1998-03-31	VYDAJ	VYBER	15	51801	SLUZBY	\N	\N
208948	709	1998-04-30	VYDAJ	VYBER	15	67135	SLUZBY	\N	\N
208949	709	1998-05-31	VYDAJ	VYBER	15	76798	SLUZBY	\N	\N
208950	709	1998-06-30	VYDAJ	VYBER	15	37073	SLUZBY	\N	\N
208951	709	1998-07-31	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
208952	709	1998-08-31	VYDAJ	VYBER	15	28902	SLUZBY	\N	\N
208953	709	1998-09-30	VYDAJ	VYBER	15	43006	SLUZBY	\N	\N
208954	709	1998-10-31	VYDAJ	VYBER	15	44473	SLUZBY	\N	\N
208955	709	1998-11-30	VYDAJ	VYBER	15	74529	SLUZBY	\N	\N
208956	709	1994-08-24	PRIJEM	VKLAD	4300	16230	\N	\N	\N
208957	709	1994-09-23	VYDAJ	VYBER	10600	33695	\N	\N	\N
208958	709	1994-10-23	VYDAJ	VYBER	28300	53678	\N	\N	\N
208959	709	1994-11-22	VYDAJ	VYBER	32700	57675	\N	\N	\N
208960	709	1994-12-22	PRIJEM	VKLAD	10500	15680	\N	\N	\N
208961	709	1995-01-21	VYDAJ	VYBER	3900	28081	\N	\N	\N
208962	709	1995-02-20	PRIJEM	VKLAD	10200	18029	\N	\N	\N
208963	709	1995-03-22	PRIJEM	VKLAD	4800	22893	\N	\N	\N
208964	709	1995-04-21	PRIJEM	VKLAD	8500	11452	\N	\N	\N
208965	709	1995-05-21	PRIJEM	VKLAD	8800	20274	\N	\N	\N
208966	709	1995-06-20	VYDAJ	VYBER	15700	40335	\N	\N	\N
208967	709	1995-07-20	VYDAJ	VYBER	6700	26278	\N	\N	\N
208968	709	1995-08-19	PRIJEM	VKLAD	5600	24551	\N	\N	\N
208969	709	1995-09-10	VYDAJ	VYBER	37800	97580	\N	\N	\N
208970	709	1995-09-18	VYDAJ	VYBER	33600	63980	\N	\N	\N
208971	709	1995-10-13	VYDAJ	VYBER	48800	55660	\N	\N	\N
208972	709	1995-10-18	VYDAJ	VYBER	5500	35164	\N	\N	\N
208973	709	1995-11-17	VYDAJ	VYBER	1100	34263	\N	\N	\N
208974	709	1995-12-17	VYDAJ	VYBER	2900	33756	\N	\N	\N
208975	709	1996-01-16	PRIJEM	VKLAD	100	22548	\N	\N	\N
208976	709	1996-02-15	PRIJEM	VKLAD	6100	19679	\N	\N	\N
208977	709	1996-03-16	PRIJEM	VKLAD	3000	22722	\N	\N	\N
208978	709	1996-04-15	VYDAJ	VYBER	4500	31848	\N	\N	\N
208979	709	1996-05-15	VYDAJ	VYBER	5200	34386	\N	\N	\N
208980	709	1996-06-14	VYDAJ	VYBER	8200	34186	\N	\N	\N
208981	709	1996-07-14	VYDAJ	VYBER	3900	30446	\N	\N	\N
208982	709	1996-07-24	VYDAJ	VYBER	54200	52325	\N	\N	\N
208983	709	1996-08-13	VYDAJ	VYBER	30700	63073	\N	\N	\N
208984	709	1996-09-12	VYDAJ	VYBER	7500	42903	\N	\N	\N
208985	709	1996-10-12	VYDAJ	VYBER	2500	40598	\N	\N	\N
208986	709	1996-11-11	VYDAJ	VYBER	20900	59793	\N	\N	\N
208987	709	1996-12-11	VYDAJ	VYBER	7900	43811	\N	\N	\N
208988	709	1997-01-10	PRIJEM	VKLAD	1100	30695	\N	\N	\N
208989	709	1997-02-09	PRIJEM	VKLAD	6100	21346	\N	\N	\N
208990	709	1997-03-11	VYDAJ	VYBER	14200	48492	\N	\N	\N
208991	709	1997-04-10	VYDAJ	VYBER	18500	52304	\N	\N	\N
208992	709	1997-05-10	VYDAJ	VYBER	18200	58254	\N	\N	\N
208993	709	1997-06-09	VYDAJ	VYBER	7800	41263	\N	\N	\N
208994	709	1997-06-24	VYDAJ	VYBER	49200	59583	\N	\N	\N
208995	709	1997-07-09	VYDAJ	VYBER	30900	71841	\N	\N	\N
208996	709	1997-08-08	VYDAJ	VYBER	14700	57549	\N	\N	\N
208997	709	1997-08-25	VYDAJ	VYBER	58700	79733	\N	\N	\N
208998	709	1997-09-07	VYDAJ	VYBER	19400	60691	\N	\N	\N
208999	709	1997-09-23	VYDAJ	VYBER	56200	74845	\N	\N	\N
209000	709	1997-10-07	VYDAJ	VYBER	27800	70579	\N	\N	\N
209001	709	1997-11-06	VYDAJ	VYBER	30700	67331	\N	\N	\N
209002	709	1997-12-06	VYDAJ	VYBER	17100	64577	\N	\N	\N
209003	709	1998-01-05	VYDAJ	VYBER	16100	60024	\N	\N	\N
209004	709	1998-02-04	VYDAJ	VYBER	8800	56980	\N	\N	\N
209005	709	1998-03-06	VYDAJ	VYBER	12600	65941	\N	\N	\N
209006	709	1998-04-05	VYDAJ	VYBER	3100	48701	\N	\N	\N
209007	709	1998-05-05	VYDAJ	VYBER	7900	59235	\N	\N	\N
209008	709	1998-06-04	VYDAJ	VYBER	9100	67698	\N	\N	\N
209009	709	1998-07-04	PRIJEM	VKLAD	12700	37173	\N	\N	\N
209010	709	1998-08-03	PRIJEM	VKLAD	19000	40808	\N	\N	\N
209011	709	1998-09-02	PRIJEM	VKLAD	14000	42902	\N	\N	\N
209012	709	1998-10-02	PRIJEM	VKLAD	7900	50906	\N	\N	\N
209013	709	1998-11-01	PRIJEM	VKLAD	5500	49973	\N	\N	\N
209014	709	1998-12-01	VYDAJ	VYBER	11300	63229	\N	\N	\N
209068	710	1994-09-02	PRIJEM	VKLAD	200	200	\N	\N	\N
209077	710	1994-09-10	PRIJEM	PREVOD Z UCTU	4800	5000	DUCHOD	UV	26865166
209078	710	1994-10-10	PRIJEM	PREVOD Z UCTU	4800	9815	DUCHOD	UV	26865166
209079	710	1994-11-10	PRIJEM	PREVOD Z UCTU	4800	14635	DUCHOD	UV	26865166
209080	710	1994-12-10	PRIJEM	PREVOD Z UCTU	4800	19456	DUCHOD	UV	26865166
209081	710	1995-01-10	PRIJEM	PREVOD Z UCTU	4800	24277	DUCHOD	UV	26865166
209082	710	1995-02-10	PRIJEM	PREVOD Z UCTU	4800	19368	DUCHOD	UV	26865166
209083	710	1995-03-10	PRIJEM	PREVOD Z UCTU	4800	20231	DUCHOD	UV	26865166
209084	710	1995-04-10	PRIJEM	PREVOD Z UCTU	4800	18450	DUCHOD	UV	26865166
209085	710	1995-05-10	PRIJEM	PREVOD Z UCTU	4800	20110	DUCHOD	UV	26865166
209086	710	1995-06-10	PRIJEM	PREVOD Z UCTU	4800	21777	DUCHOD	UV	26865166
209087	710	1995-07-10	PRIJEM	PREVOD Z UCTU	4800	18720	DUCHOD	UV	26865166
209088	710	1995-08-10	PRIJEM	PREVOD Z UCTU	4800	20381	DUCHOD	UV	26865166
209089	710	1995-09-10	PRIJEM	PREVOD Z UCTU	4800	22050	DUCHOD	UV	26865166
209090	710	1995-10-10	PRIJEM	PREVOD Z UCTU	4800	22524	DUCHOD	UV	26865166
209091	710	1995-11-10	PRIJEM	PREVOD Z UCTU	4800	22419	DUCHOD	UV	26865166
209092	710	1995-12-10	PRIJEM	PREVOD Z UCTU	4800	24096	DUCHOD	UV	26865166
209093	710	1996-01-10	PRIJEM	PREVOD Z UCTU	4800	18537	DUCHOD	UV	26865166
209094	710	1996-02-10	PRIJEM	PREVOD Z UCTU	4800	17558	DUCHOD	UV	26865166
209095	710	1996-03-10	PRIJEM	PREVOD Z UCTU	4800	19215	DUCHOD	UV	26865166
209096	710	1996-04-10	PRIJEM	PREVOD Z UCTU	4800	20878	DUCHOD	UV	26865166
209097	710	1996-05-10	PRIJEM	PREVOD Z UCTU	4800	20307	DUCHOD	UV	26865166
209098	710	1996-06-10	PRIJEM	PREVOD Z UCTU	4800	21975	DUCHOD	UV	26865166
209099	710	1996-07-10	PRIJEM	PREVOD Z UCTU	4800	22849	DUCHOD	UV	26865166
209100	710	1996-08-10	PRIJEM	PREVOD Z UCTU	4800	24527	DUCHOD	UV	26865166
209101	710	1996-09-10	PRIJEM	PREVOD Z UCTU	4800	25211	DUCHOD	UV	26865166
209102	710	1996-10-10	PRIJEM	PREVOD Z UCTU	4800	24095	DUCHOD	UV	26865166
209103	710	1996-11-10	PRIJEM	PREVOD Z UCTU	4800	25779	DUCHOD	UV	26865166
209104	710	1996-12-10	PRIJEM	PREVOD Z UCTU	4800	24127	DUCHOD	UV	26865166
209105	710	1997-01-10	PRIJEM	PREVOD Z UCTU	4800	18573	DUCHOD	UV	26865166
209106	710	1997-02-10	PRIJEM	PREVOD Z UCTU	4800	15906	DUCHOD	UV	26865166
209107	710	1997-03-10	PRIJEM	PREVOD Z UCTU	4800	17555	DUCHOD	UV	26865166
209108	710	1997-04-10	PRIJEM	PREVOD Z UCTU	4800	18491	DUCHOD	UV	26865166
209109	710	1997-05-10	PRIJEM	PREVOD Z UCTU	4800	20151	DUCHOD	UV	26865166
209110	710	1997-06-10	PRIJEM	PREVOD Z UCTU	4800	21818	DUCHOD	UV	26865166
209111	710	1997-07-10	PRIJEM	PREVOD Z UCTU	4800	18185	DUCHOD	UV	26865166
209112	710	1997-08-10	PRIJEM	PREVOD Z UCTU	4800	16537	DUCHOD	UV	26865166
209113	710	1997-09-10	PRIJEM	PREVOD Z UCTU	4800	15483	DUCHOD	UV	26865166
209114	710	1997-10-10	PRIJEM	PREVOD Z UCTU	4800	17130	DUCHOD	UV	26865166
209115	710	1997-11-10	PRIJEM	PREVOD Z UCTU	4800	16479	DUCHOD	UV	26865166
209116	710	1997-12-10	PRIJEM	PREVOD Z UCTU	4800	15828	DUCHOD	UV	26865166
209117	710	1998-01-10	PRIJEM	PREVOD Z UCTU	4800	14570	DUCHOD	UV	26865166
209118	710	1998-02-10	PRIJEM	PREVOD Z UCTU	4800	16213	DUCHOD	UV	26865166
209119	710	1998-03-10	PRIJEM	PREVOD Z UCTU	4800	17863	DUCHOD	UV	26865166
209120	710	1998-04-10	PRIJEM	PREVOD Z UCTU	4800	14208	DUCHOD	UV	26865166
209121	710	1998-05-10	PRIJEM	PREVOD Z UCTU	4800	15849	DUCHOD	UV	26865166
209122	710	1998-06-10	PRIJEM	PREVOD Z UCTU	4800	16615	DUCHOD	UV	26865166
209123	710	1998-07-10	PRIJEM	PREVOD Z UCTU	4800	18267	DUCHOD	UV	26865166
209124	710	1998-08-10	PRIJEM	PREVOD Z UCTU	4800	19925	DUCHOD	UV	26865166
209125	710	1998-09-10	PRIJEM	PREVOD Z UCTU	4800	21590	DUCHOD	UV	26865166
209126	710	1998-10-10	PRIJEM	PREVOD Z UCTU	4800	22141	DUCHOD	UV	26865166
209127	710	1998-11-10	PRIJEM	PREVOD Z UCTU	4800	23815	DUCHOD	UV	26865166
209128	710	1998-12-10	PRIJEM	PREVOD Z UCTU	4800	25147	DUCHOD	UV	26865166
209142	710	1995-02-06	VYDAJ	PREVOD NA UCET	3200	17448	SIPO	KL	95556771
209143	710	1995-03-06	VYDAJ	PREVOD NA UCET	3200	15431	SIPO	KL	95556771
209144	710	1995-04-06	VYDAJ	PREVOD NA UCET	3200	13650	SIPO	KL	95556771
209145	710	1995-05-06	VYDAJ	PREVOD NA UCET	3200	15310	SIPO	KL	95556771
209146	710	1995-06-06	VYDAJ	PREVOD NA UCET	3200	16977	SIPO	KL	95556771
209147	710	1995-07-06	VYDAJ	PREVOD NA UCET	3200	13920	SIPO	KL	95556771
209148	710	1995-08-06	VYDAJ	PREVOD NA UCET	3200	15581	SIPO	KL	95556771
209149	710	1995-09-06	VYDAJ	PREVOD NA UCET	3200	17250	SIPO	KL	95556771
209150	710	1995-10-06	VYDAJ	PREVOD NA UCET	3200	17724	SIPO	KL	95556771
209151	710	1995-11-06	VYDAJ	PREVOD NA UCET	3200	17619	SIPO	KL	95556771
209152	710	1995-12-06	VYDAJ	PREVOD NA UCET	3200	19296	SIPO	KL	95556771
209153	710	1996-01-06	VYDAJ	PREVOD NA UCET	3200	15897	SIPO	KL	95556771
209154	710	1996-02-06	VYDAJ	PREVOD NA UCET	3200	12758	SIPO	KL	95556771
209155	710	1996-03-06	VYDAJ	PREVOD NA UCET	3200	14415	SIPO	KL	95556771
209156	710	1996-04-06	VYDAJ	PREVOD NA UCET	3200	16078	SIPO	KL	95556771
209157	710	1996-05-06	VYDAJ	PREVOD NA UCET	3200	15507	SIPO	KL	95556771
209158	710	1996-06-06	VYDAJ	PREVOD NA UCET	3200	17175	SIPO	KL	95556771
209159	710	1996-07-06	VYDAJ	PREVOD NA UCET	3200	18049	SIPO	KL	95556771
209160	710	1996-08-06	VYDAJ	PREVOD NA UCET	3200	19727	SIPO	KL	95556771
209161	710	1996-09-06	VYDAJ	PREVOD NA UCET	3200	20411	SIPO	KL	95556771
209162	710	1996-10-06	VYDAJ	PREVOD NA UCET	3200	19295	SIPO	KL	95556771
209163	710	1996-11-06	VYDAJ	PREVOD NA UCET	3200	20979	SIPO	KL	95556771
209164	710	1996-12-06	VYDAJ	PREVOD NA UCET	3200	19327	SIPO	KL	95556771
209165	710	1997-01-06	VYDAJ	PREVOD NA UCET	3200	13773	SIPO	KL	95556771
209166	710	1997-02-06	VYDAJ	PREVOD NA UCET	3200	11106	SIPO	KL	95556771
209167	710	1997-03-06	VYDAJ	PREVOD NA UCET	3200	12755	SIPO	KL	95556771
209168	710	1997-04-06	VYDAJ	PREVOD NA UCET	3200	13691	SIPO	KL	95556771
209169	710	1997-05-06	VYDAJ	PREVOD NA UCET	3200	15351	SIPO	KL	95556771
209170	710	1997-06-06	VYDAJ	PREVOD NA UCET	3200	17018	SIPO	KL	95556771
209171	710	1997-07-06	VYDAJ	PREVOD NA UCET	3200	13385	SIPO	KL	95556771
209172	710	1997-08-06	VYDAJ	PREVOD NA UCET	3200	11737	SIPO	KL	95556771
209173	710	1997-09-06	VYDAJ	PREVOD NA UCET	3200	10683	SIPO	KL	95556771
209174	710	1997-10-06	VYDAJ	PREVOD NA UCET	3200	12330	SIPO	KL	95556771
209175	710	1997-11-06	VYDAJ	PREVOD NA UCET	3200	11679	SIPO	KL	95556771
209176	710	1997-12-06	VYDAJ	PREVOD NA UCET	3200	11028	SIPO	KL	95556771
209177	710	1998-01-06	VYDAJ	PREVOD NA UCET	3200	9770	SIPO	KL	95556771
209178	710	1998-02-06	VYDAJ	PREVOD NA UCET	3200	11413	SIPO	KL	95556771
209179	710	1998-03-06	VYDAJ	PREVOD NA UCET	3200	13063	SIPO	KL	95556771
209180	710	1998-04-06	VYDAJ	PREVOD NA UCET	3200	9408	SIPO	KL	95556771
209181	710	1998-05-06	VYDAJ	PREVOD NA UCET	3200	11049	SIPO	KL	95556771
209182	710	1998-06-06	VYDAJ	PREVOD NA UCET	3200	11815	SIPO	KL	95556771
209183	710	1998-07-06	VYDAJ	PREVOD NA UCET	3200	13467	SIPO	KL	95556771
209184	710	1998-08-06	VYDAJ	PREVOD NA UCET	3200	15125	SIPO	KL	95556771
209185	710	1998-09-06	VYDAJ	PREVOD NA UCET	3200	16790	SIPO	KL	95556771
209186	710	1998-10-06	VYDAJ	PREVOD NA UCET	3200	17341	SIPO	KL	95556771
209187	710	1998-11-06	VYDAJ	PREVOD NA UCET	3200	19015	SIPO	KL	95556771
209188	710	1998-12-06	VYDAJ	PREVOD NA UCET	3200	20697	SIPO	KL	95556771
209192	710	1997-06-23	VYDAJ	VYBER	3600	16518	\N	\N	\N
209195	710	1995-12-19	VYDAJ	VYBER	1400	22696	\N	\N	\N
209196	710	1996-12-23	VYDAJ	VYBER	550	20177	\N	\N	\N
209198	710	1998-12-07	VYDAJ	VYBER	350	20347	\N	\N	\N
209205	710	1995-01-13	VYDAJ	VYBER	1120	23157	\N	\N	\N
209209	710	1995-01-25	VYDAJ	VYBER	1360	21797	\N	\N	\N
209210	710	1995-01-27	VYDAJ	VYBER	1200	20597	\N	\N	\N
209211	710	1996-01-01	VYDAJ	VYBER	2160	20617	\N	\N	\N
209212	710	1996-01-08	VYDAJ	VYBER	2160	13737	\N	\N	\N
209213	710	1996-01-27	VYDAJ	VYBER	1200	15897	\N	\N	\N
209214	710	1996-01-06	VYDAJ	VYBER	720	19097	\N	\N	\N
209215	710	1996-01-27	VYDAJ	VYBER	1440	17097	\N	\N	\N
209216	710	1996-01-03	VYDAJ	VYBER	800	19817	\N	\N	\N
209217	710	1997-01-01	VYDAJ	VYBER	800	16973	\N	\N	\N
209220	710	1997-01-25	VYDAJ	VYBER	1440	14253	\N	\N	\N
209222	710	1997-01-10	VYDAJ	VYBER	2080	16493	\N	\N	\N
209232	710	1995-06-11	VYDAJ	VYBER	3040	18737	\N	\N	\N
209233	710	1995-10-21	VYDAJ	VYBER	1680	20844	\N	\N	\N
209234	710	1995-03-12	VYDAJ	VYBER	3440	16791	\N	\N	\N
209235	710	1995-06-19	VYDAJ	VYBER	1680	17057	\N	\N	\N
209236	710	1995-02-07	VYDAJ	VYBER	2880	14568	\N	\N	\N
209237	710	1995-02-15	VYDAJ	VYBER	800	18568	\N	\N	\N
209238	710	1996-06-22	VYDAJ	VYBER	800	21175	\N	\N	\N
209239	710	1996-04-26	VYDAJ	VYBER	2240	18638	\N	\N	\N
209240	710	1996-11-25	VYDAJ	VYBER	640	23639	\N	\N	\N
209241	710	1996-11-30	VYDAJ	VYBER	1200	22527	\N	\N	\N
209242	710	1996-12-26	VYDAJ	VYBER	2480	17697	\N	\N	\N
209243	710	1997-03-28	VYDAJ	VYBER	720	16835	\N	\N	\N
209246	710	1997-11-24	VYDAJ	VYBER	2000	14179	\N	\N	\N
209248	710	1998-05-11	VYDAJ	VYBER	880	14969	\N	\N	\N
209254	710	1998-09-22	VYDAJ	VYBER	1120	20470	\N	\N	\N
209268	710	1995-01-31	VYDAJ	VYBER	15	20648	SLUZBY	\N	\N
209269	710	1995-02-28	VYDAJ	VYBER	15	18631	SLUZBY	\N	\N
209270	710	1995-03-31	VYDAJ	VYBER	15	16850	SLUZBY	\N	\N
209271	710	1995-04-30	VYDAJ	VYBER	15	18510	SLUZBY	\N	\N
209272	710	1995-05-31	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
209273	710	1995-06-30	VYDAJ	VYBER	15	17120	SLUZBY	\N	\N
209274	710	1995-07-31	VYDAJ	VYBER	15	18781	SLUZBY	\N	\N
209275	710	1995-08-31	VYDAJ	VYBER	15	20450	SLUZBY	\N	\N
209276	710	1995-09-30	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
209277	710	1995-10-31	VYDAJ	VYBER	15	20819	SLUZBY	\N	\N
209278	710	1995-11-30	VYDAJ	VYBER	15	22496	SLUZBY	\N	\N
209279	710	1995-12-31	VYDAJ	VYBER	15	22777	SLUZBY	\N	\N
209280	710	1996-01-31	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
209281	710	1996-02-29	VYDAJ	VYBER	15	17615	SLUZBY	\N	\N
209282	710	1996-03-31	VYDAJ	VYBER	15	19278	SLUZBY	\N	\N
209283	710	1996-04-30	VYDAJ	VYBER	15	18707	SLUZBY	\N	\N
209284	710	1996-05-31	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
209285	710	1996-06-30	VYDAJ	VYBER	15	21249	SLUZBY	\N	\N
209286	710	1996-07-31	VYDAJ	VYBER	15	22927	SLUZBY	\N	\N
209287	710	1996-08-31	VYDAJ	VYBER	15	23611	SLUZBY	\N	\N
209288	710	1996-09-30	VYDAJ	VYBER	15	22495	SLUZBY	\N	\N
209289	710	1996-10-31	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
209290	710	1996-11-30	VYDAJ	VYBER	15	23727	SLUZBY	\N	\N
209291	710	1996-12-31	VYDAJ	VYBER	15	17773	SLUZBY	\N	\N
209292	710	1997-01-31	VYDAJ	VYBER	15	14306	SLUZBY	\N	\N
209293	710	1997-02-28	VYDAJ	VYBER	15	15955	SLUZBY	\N	\N
209294	710	1997-03-31	VYDAJ	VYBER	15	16891	SLUZBY	\N	\N
209295	710	1997-04-30	VYDAJ	VYBER	15	18551	SLUZBY	\N	\N
209296	710	1997-05-31	VYDAJ	VYBER	15	20218	SLUZBY	\N	\N
209297	710	1997-06-30	VYDAJ	VYBER	15	16585	SLUZBY	\N	\N
209298	710	1997-07-31	VYDAJ	VYBER	15	14937	SLUZBY	\N	\N
209299	710	1997-08-31	VYDAJ	VYBER	15	13883	SLUZBY	\N	\N
209300	710	1997-09-30	VYDAJ	VYBER	15	15530	SLUZBY	\N	\N
209301	710	1997-10-31	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
209302	710	1997-11-30	VYDAJ	VYBER	15	14228	SLUZBY	\N	\N
209303	710	1997-12-31	VYDAJ	VYBER	15	12970	SLUZBY	\N	\N
209304	710	1998-01-31	VYDAJ	VYBER	15	14613	SLUZBY	\N	\N
209305	710	1998-02-28	VYDAJ	VYBER	15	16263	SLUZBY	\N	\N
209306	710	1998-03-31	VYDAJ	VYBER	15	12608	SLUZBY	\N	\N
209307	710	1998-04-30	VYDAJ	VYBER	15	14249	SLUZBY	\N	\N
209308	710	1998-05-31	VYDAJ	VYBER	15	15015	SLUZBY	\N	\N
209309	710	1998-06-30	VYDAJ	VYBER	15	16667	SLUZBY	\N	\N
209310	710	1998-07-31	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
209311	710	1998-08-31	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
209312	710	1998-09-30	VYDAJ	VYBER	15	20541	SLUZBY	\N	\N
209313	710	1998-10-31	VYDAJ	VYBER	15	22215	SLUZBY	\N	\N
209314	710	1998-11-30	VYDAJ	VYBER	15	23897	SLUZBY	\N	\N
209315	710	1995-09-27	VYDAJ	VYBER	1200	20850	\N	\N	\N
209316	710	1995-10-27	VYDAJ	VYBER	100	20744	\N	\N	\N
209317	710	1996-08-22	VYDAJ	VYBER	1000	23527	\N	\N	\N
209318	710	1996-09-21	VYDAJ	VYBER	2800	22411	\N	\N	\N
209319	710	1996-11-20	VYDAJ	VYBER	1500	24279	\N	\N	\N
209320	710	1996-12-20	VYDAJ	VYBER	3400	20727	\N	\N	\N
209321	710	1997-01-19	VYDAJ	VYBER	800	15693	\N	\N	\N
209322	710	1997-06-18	VYDAJ	VYBER	1700	20118	\N	\N	\N
209323	710	1997-07-18	VYDAJ	VYBER	3300	14885	\N	\N	\N
209324	710	1997-08-17	VYDAJ	VYBER	2700	13837	\N	\N	\N
209325	710	1997-10-16	VYDAJ	VYBER	2300	14830	\N	\N	\N
209326	710	1997-11-15	VYDAJ	VYBER	300	16179	\N	\N	\N
209327	710	1997-12-15	VYDAJ	VYBER	2900	12928	\N	\N	\N
209328	710	1998-03-15	VYDAJ	VYBER	5300	12563	\N	\N	\N
209381	711	1994-07-06	PRIJEM	VKLAD	300	300	\N	\N	\N
209388	711	1994-07-11	PRIJEM	VKLAD	10564	10864	\N	\N	\N
209389	711	1994-08-11	PRIJEM	VKLAD	10564	26259	\N	\N	\N
209390	711	1994-09-11	PRIJEM	VKLAD	10564	34411	\N	\N	\N
209391	711	1994-10-11	PRIJEM	VKLAD	10564	37907	\N	\N	\N
209392	711	1994-11-11	PRIJEM	VKLAD	10564	39725	\N	\N	\N
209393	711	1994-12-11	PRIJEM	VKLAD	15846	43616	\N	\N	\N
209394	711	1995-01-11	PRIJEM	VKLAD	10564	37669	\N	\N	\N
209395	711	1995-02-11	PRIJEM	VKLAD	10564	24987	\N	\N	\N
209396	711	1995-03-11	PRIJEM	VKLAD	10564	33081	\N	\N	\N
209397	711	1995-04-11	PRIJEM	VKLAD	10564	33563	\N	\N	\N
209398	711	1995-05-11	PRIJEM	VKLAD	10564	36101	\N	\N	\N
209399	711	1995-06-11	PRIJEM	VKLAD	15846	40733	\N	\N	\N
209400	711	1995-07-11	PRIJEM	VKLAD	10564	38798	\N	\N	\N
209401	711	1995-08-11	PRIJEM	VKLAD	10564	39262	\N	\N	\N
209402	711	1995-09-11	PRIJEM	VKLAD	10564	37946	\N	\N	\N
209403	711	1995-10-11	PRIJEM	VKLAD	10564	36898	\N	\N	\N
209404	711	1995-11-11	PRIJEM	VKLAD	10564	38246	\N	\N	\N
209405	711	1995-12-11	PRIJEM	VKLAD	15846	41900	\N	\N	\N
209406	711	1996-01-11	PRIJEM	VKLAD	10564	24316	\N	\N	\N
209407	711	1996-02-11	PRIJEM	VKLAD	10564	28648	\N	\N	\N
209408	711	1996-03-11	PRIJEM	VKLAD	10564	31760	\N	\N	\N
209409	711	1996-04-11	PRIJEM	VKLAD	10564	35286	\N	\N	\N
209410	711	1996-05-11	PRIJEM	VKLAD	10564	36725	\N	\N	\N
209411	711	1996-06-11	PRIJEM	VKLAD	15846	43851	\N	\N	\N
209412	711	1996-07-11	PRIJEM	VKLAD	10564	29662	\N	\N	\N
209413	711	1996-08-11	PRIJEM	VKLAD	10564	36581	\N	\N	\N
209414	711	1996-09-11	PRIJEM	VKLAD	10564	41727	\N	\N	\N
209415	711	1996-10-11	PRIJEM	VKLAD	10564	40182	\N	\N	\N
209416	711	1996-11-11	PRIJEM	VKLAD	10564	42939	\N	\N	\N
209417	711	1996-12-11	PRIJEM	VKLAD	15846	47868	\N	\N	\N
209418	711	1997-01-11	PRIJEM	VKLAD	10564	33990	\N	\N	\N
209419	711	1997-02-11	PRIJEM	VKLAD	10564	31088	\N	\N	\N
209420	711	1997-03-11	PRIJEM	VKLAD	10564	39513	\N	\N	\N
209421	711	1997-04-11	PRIJEM	VKLAD	10564	43669	\N	\N	\N
209422	711	1997-05-11	PRIJEM	VKLAD	10564	45217	\N	\N	\N
209423	711	1997-06-11	PRIJEM	VKLAD	15846	51673	\N	\N	\N
209424	711	1997-07-11	PRIJEM	VKLAD	10564	29696	\N	\N	\N
209425	711	1997-08-11	PRIJEM	VKLAD	10564	37522	\N	\N	\N
209426	711	1997-09-11	PRIJEM	VKLAD	10564	46578	\N	\N	\N
209427	711	1997-10-11	PRIJEM	VKLAD	10564	48858	\N	\N	\N
209428	711	1997-11-11	PRIJEM	VKLAD	10564	51347	\N	\N	\N
209429	711	1997-12-11	PRIJEM	VKLAD	15846	56063	\N	\N	\N
209430	711	1998-01-11	PRIJEM	VKLAD	10564	52467	\N	\N	\N
209431	711	1998-02-11	PRIJEM	VKLAD	10564	39187	\N	\N	\N
209432	711	1998-03-11	PRIJEM	VKLAD	10564	52656	\N	\N	\N
209433	711	1998-04-11	PRIJEM	VKLAD	10564	62174	\N	\N	\N
209434	711	1998-05-11	PRIJEM	VKLAD	10564	68325	\N	\N	\N
209435	711	1998-06-11	PRIJEM	VKLAD	15846	70162	\N	\N	\N
209436	711	1998-07-11	PRIJEM	VKLAD	10564	68921	\N	\N	\N
209437	711	1998-08-11	PRIJEM	VKLAD	10564	64759	\N	\N	\N
209438	711	1998-09-11	PRIJEM	VKLAD	10564	66710	\N	\N	\N
209439	711	1998-10-11	PRIJEM	VKLAD	10564	65359	\N	\N	\N
209440	711	1998-11-11	PRIJEM	VKLAD	10564	57887	\N	\N	\N
209441	711	1998-12-11	PRIJEM	VKLAD	15846	56353	\N	\N	\N
209453	711	1994-12-08	VYDAJ	PREVOD NA UCET	3243	27770	SIPO	AB	97111349
209454	711	1995-01-08	VYDAJ	PREVOD NA UCET	3243	27105	SIPO	AB	97111349
209455	711	1995-02-08	VYDAJ	PREVOD NA UCET	3243	14423	SIPO	AB	97111349
209456	711	1995-03-08	VYDAJ	PREVOD NA UCET	3243	22517	SIPO	AB	97111349
209457	711	1995-04-08	VYDAJ	PREVOD NA UCET	3243	22999	SIPO	AB	97111349
209458	711	1995-05-08	VYDAJ	PREVOD NA UCET	3243	25537	SIPO	AB	97111349
209459	711	1995-06-08	VYDAJ	PREVOD NA UCET	3243	24887	SIPO	AB	97111349
209460	711	1995-07-08	VYDAJ	PREVOD NA UCET	3243	28234	SIPO	AB	97111349
209461	711	1995-08-08	VYDAJ	PREVOD NA UCET	3243	28698	SIPO	AB	97111349
209462	711	1995-09-08	VYDAJ	PREVOD NA UCET	3243	27382	SIPO	AB	97111349
209463	711	1995-10-08	VYDAJ	PREVOD NA UCET	3243	26334	SIPO	AB	97111349
209464	711	1995-11-08	VYDAJ	PREVOD NA UCET	3243	27682	SIPO	AB	97111349
209465	711	1995-12-08	VYDAJ	PREVOD NA UCET	3243	26054	SIPO	AB	97111349
209466	711	1996-01-08	VYDAJ	PREVOD NA UCET	3243	13752	SIPO	AB	97111349
209467	711	1996-02-08	VYDAJ	PREVOD NA UCET	3243	18084	SIPO	AB	97111349
209468	711	1996-03-08	VYDAJ	PREVOD NA UCET	3243	21196	SIPO	AB	97111349
209469	711	1996-04-08	VYDAJ	PREVOD NA UCET	3243	24722	SIPO	AB	97111349
209470	711	1996-05-08	VYDAJ	PREVOD NA UCET	3243	26161	SIPO	AB	97111349
209471	711	1996-06-08	VYDAJ	PREVOD NA UCET	3243	28005	SIPO	AB	97111349
209472	711	1996-07-08	VYDAJ	PREVOD NA UCET	3243	19098	SIPO	AB	97111349
209473	711	1996-08-08	VYDAJ	PREVOD NA UCET	3243	26017	SIPO	AB	97111349
209474	711	1996-09-08	VYDAJ	PREVOD NA UCET	3243	31163	SIPO	AB	97111349
209475	711	1996-10-08	VYDAJ	PREVOD NA UCET	3243	29618	SIPO	AB	97111349
209476	711	1996-11-08	VYDAJ	PREVOD NA UCET	3243	32375	SIPO	AB	97111349
209477	711	1996-12-08	VYDAJ	PREVOD NA UCET	3243	32022	SIPO	AB	97111349
209478	711	1997-01-08	VYDAJ	PREVOD NA UCET	3243	26186	SIPO	AB	97111349
209479	711	1997-02-08	VYDAJ	PREVOD NA UCET	3243	20524	SIPO	AB	97111349
209480	711	1997-03-08	VYDAJ	PREVOD NA UCET	3243	28949	SIPO	AB	97111349
209481	711	1997-04-08	VYDAJ	PREVOD NA UCET	3243	33105	SIPO	AB	97111349
209482	711	1997-05-08	VYDAJ	PREVOD NA UCET	3243	34653	SIPO	AB	97111349
209483	711	1997-06-08	VYDAJ	PREVOD NA UCET	3243	35827	SIPO	AB	97111349
209484	711	1997-07-08	VYDAJ	PREVOD NA UCET	3243	19132	SIPO	AB	97111349
209485	711	1997-08-08	VYDAJ	PREVOD NA UCET	3243	26958	SIPO	AB	97111349
209486	711	1997-09-08	VYDAJ	PREVOD NA UCET	3243	36014	SIPO	AB	97111349
209487	711	1997-10-08	VYDAJ	PREVOD NA UCET	3243	38294	SIPO	AB	97111349
209488	711	1997-11-08	VYDAJ	PREVOD NA UCET	3243	40783	SIPO	AB	97111349
209489	711	1997-12-08	VYDAJ	PREVOD NA UCET	3243	40217	SIPO	AB	97111349
209490	711	1998-01-08	VYDAJ	PREVOD NA UCET	3243	41903	SIPO	AB	97111349
209491	711	1998-02-08	VYDAJ	PREVOD NA UCET	3243	28623	SIPO	AB	97111349
209492	711	1998-03-08	VYDAJ	PREVOD NA UCET	3243	42092	SIPO	AB	97111349
209493	711	1998-04-08	VYDAJ	PREVOD NA UCET	3243	51610	SIPO	AB	97111349
209494	711	1998-05-08	VYDAJ	PREVOD NA UCET	3243	57761	SIPO	AB	97111349
209495	711	1998-06-08	VYDAJ	PREVOD NA UCET	3243	54316	SIPO	AB	97111349
209496	711	1998-07-08	VYDAJ	PREVOD NA UCET	3243	58357	SIPO	AB	97111349
209497	711	1998-08-08	VYDAJ	PREVOD NA UCET	3243	54195	SIPO	AB	97111349
209498	711	1998-09-08	VYDAJ	PREVOD NA UCET	3243	56146	SIPO	AB	97111349
209499	711	1998-10-08	VYDAJ	PREVOD NA UCET	3243	54795	SIPO	AB	97111349
209500	711	1998-11-08	VYDAJ	PREVOD NA UCET	3243	47323	SIPO	AB	97111349
209501	711	1998-12-08	VYDAJ	PREVOD NA UCET	3243	40507	SIPO	AB	97111349
209504	711	1996-06-17	VYDAJ	VYBER	18720	23931	\N	\N	\N
209505	711	1997-06-22	VYDAJ	VYBER	19040	22233	\N	\N	\N
209508	711	1995-01-18	VYDAJ	VYBER	8800	19629	\N	\N	\N
209509	711	1996-01-02	VYDAJ	VYBER	4320	19875	\N	\N	\N
209510	711	1997-01-03	VYDAJ	VYBER	13600	29429	\N	\N	\N
209511	711	1998-01-26	VYDAJ	VYBER	6080	31707	\N	\N	\N
209512	711	1994-12-21	VYDAJ	VYBER	1920	41696	\N	\N	\N
209513	711	1995-12-07	VYDAJ	VYBER	1280	29297	\N	\N	\N
209514	711	1996-12-04	VYDAJ	VYBER	1920	35265	\N	\N	\N
209515	711	1997-12-30	VYDAJ	VYBER	3200	44963	\N	\N	\N
209516	711	1998-12-15	VYDAJ	VYBER	4640	36033	\N	\N	\N
209523	711	1995-01-19	VYDAJ	VYBER	1920	17709	\N	\N	\N
209524	711	1995-01-19	VYDAJ	VYBER	1200	16509	\N	\N	\N
209525	711	1995-01-27	VYDAJ	VYBER	1560	13269	\N	\N	\N
209526	711	1995-01-16	VYDAJ	VYBER	3120	29989	\N	\N	\N
209527	711	1995-01-24	VYDAJ	VYBER	1680	14829	\N	\N	\N
209528	711	1995-01-17	VYDAJ	VYBER	1560	28429	\N	\N	\N
209530	711	1996-01-06	VYDAJ	VYBER	1320	18555	\N	\N	\N
209531	711	1996-01-14	VYDAJ	VYBER	600	23716	\N	\N	\N
209532	711	1996-01-07	VYDAJ	VYBER	1560	16995	\N	\N	\N
209533	711	1996-01-17	VYDAJ	VYBER	2160	21556	\N	\N	\N
209534	711	1996-01-01	VYDAJ	VYBER	1920	24195	\N	\N	\N
209535	711	1997-01-18	VYDAJ	VYBER	3000	29790	\N	\N	\N
209536	711	1997-01-10	VYDAJ	VYBER	2760	23426	\N	\N	\N
209537	711	1997-01-22	VYDAJ	VYBER	2760	30130	\N	\N	\N
209538	711	1997-01-25	VYDAJ	VYBER	3480	23650	\N	\N	\N
209539	711	1997-01-23	VYDAJ	VYBER	3000	27130	\N	\N	\N
209540	711	1997-01-14	VYDAJ	VYBER	1200	32790	\N	\N	\N
209541	711	1998-01-21	VYDAJ	VYBER	1440	41027	\N	\N	\N
209542	711	1998-01-16	VYDAJ	VYBER	2640	44907	\N	\N	\N
209543	711	1998-01-23	VYDAJ	VYBER	3240	37787	\N	\N	\N
209544	711	1998-01-12	VYDAJ	VYBER	3480	48987	\N	\N	\N
209545	711	1998-01-20	VYDAJ	VYBER	1440	42467	\N	\N	\N
209546	711	1998-01-12	VYDAJ	VYBER	1440	47547	\N	\N	\N
209548	711	1994-11-29	VYDAJ	VYBER	2160	37565	\N	\N	\N
209549	711	1995-08-12	VYDAJ	VYBER	5760	33502	\N	\N	\N
209550	711	1995-03-16	VYDAJ	VYBER	4440	28641	\N	\N	\N
209551	711	1995-01-14	VYDAJ	VYBER	4560	33109	\N	\N	\N
209552	711	1995-12-30	VYDAJ	VYBER	5520	25980	\N	\N	\N
209553	711	1996-09-17	VYDAJ	VYBER	2880	38847	\N	\N	\N
209554	711	1996-09-19	VYDAJ	VYBER	4320	34527	\N	\N	\N
209555	711	1996-06-17	VYDAJ	VYBER	1200	42651	\N	\N	\N
209556	711	1996-01-21	VYDAJ	VYBER	2400	19156	\N	\N	\N
209557	711	1997-08-03	VYDAJ	VYBER	3600	30201	\N	\N	\N
209558	711	1997-11-25	VYDAJ	VYBER	960	43287	\N	\N	\N
209559	711	1997-03-27	VYDAJ	VYBER	600	36213	\N	\N	\N
209560	711	1997-04-13	VYDAJ	VYBER	1320	42349	\N	\N	\N
209561	711	1998-11-21	VYDAJ	VYBER	600	46687	\N	\N	\N
209562	711	1998-11-28	VYDAJ	VYBER	3120	43567	\N	\N	\N
209563	711	1998-07-21	VYDAJ	VYBER	4320	57201	\N	\N	\N
209564	711	1998-12-11	VYDAJ	VYBER	5880	50473	\N	\N	\N
209576	711	1994-11-30	VYDAJ	VYBER	15	37713	SLUZBY	\N	\N
209577	711	1994-12-31	VYDAJ	VYBER	15	41848	SLUZBY	\N	\N
209578	711	1995-01-31	VYDAJ	VYBER	15	13366	SLUZBY	\N	\N
209579	711	1995-02-28	VYDAJ	VYBER	15	25060	SLUZBY	\N	\N
209580	711	1995-03-31	VYDAJ	VYBER	15	28742	SLUZBY	\N	\N
209581	711	1995-04-30	VYDAJ	VYBER	15	33680	SLUZBY	\N	\N
209582	711	1995-05-31	VYDAJ	VYBER	15	36230	SLUZBY	\N	\N
209583	711	1995-06-30	VYDAJ	VYBER	15	40877	SLUZBY	\N	\N
209584	711	1995-07-31	VYDAJ	VYBER	15	38941	SLUZBY	\N	\N
209585	711	1995-08-31	VYDAJ	VYBER	15	30625	SLUZBY	\N	\N
209586	711	1995-09-30	VYDAJ	VYBER	15	29577	SLUZBY	\N	\N
209587	711	1995-10-31	VYDAJ	VYBER	15	30925	SLUZBY	\N	\N
209588	711	1995-11-30	VYDAJ	VYBER	15	30577	SLUZBY	\N	\N
209589	711	1995-12-31	VYDAJ	VYBER	15	26115	SLUZBY	\N	\N
209590	711	1996-01-31	VYDAJ	VYBER	15	21327	SLUZBY	\N	\N
209591	711	1996-02-29	VYDAJ	VYBER	15	24439	SLUZBY	\N	\N
209592	711	1996-03-31	VYDAJ	VYBER	15	27965	SLUZBY	\N	\N
209593	711	1996-04-30	VYDAJ	VYBER	15	29404	SLUZBY	\N	\N
209594	711	1996-05-31	VYDAJ	VYBER	15	31248	SLUZBY	\N	\N
209595	711	1996-06-30	VYDAJ	VYBER	15	22341	SLUZBY	\N	\N
209596	711	1996-07-31	VYDAJ	VYBER	15	29260	SLUZBY	\N	\N
209597	711	1996-08-31	VYDAJ	VYBER	15	34406	SLUZBY	\N	\N
209598	711	1996-09-30	VYDAJ	VYBER	15	32861	SLUZBY	\N	\N
209599	711	1996-10-31	VYDAJ	VYBER	15	35618	SLUZBY	\N	\N
209600	711	1996-11-30	VYDAJ	VYBER	15	37185	SLUZBY	\N	\N
209601	711	1996-12-31	VYDAJ	VYBER	15	43029	SLUZBY	\N	\N
209602	711	1997-01-31	VYDAJ	VYBER	15	23767	SLUZBY	\N	\N
209603	711	1997-02-28	VYDAJ	VYBER	15	32192	SLUZBY	\N	\N
209604	711	1997-03-31	VYDAJ	VYBER	15	36348	SLUZBY	\N	\N
209605	711	1997-04-30	VYDAJ	VYBER	15	37896	SLUZBY	\N	\N
209606	711	1997-05-31	VYDAJ	VYBER	15	39070	SLUZBY	\N	\N
209607	711	1997-06-30	VYDAJ	VYBER	15	22375	SLUZBY	\N	\N
209608	711	1997-07-31	VYDAJ	VYBER	15	33801	SLUZBY	\N	\N
209609	711	1997-08-31	VYDAJ	VYBER	15	39257	SLUZBY	\N	\N
209610	711	1997-09-30	VYDAJ	VYBER	15	41537	SLUZBY	\N	\N
209611	711	1997-10-31	VYDAJ	VYBER	15	44026	SLUZBY	\N	\N
209612	711	1997-11-30	VYDAJ	VYBER	15	43460	SLUZBY	\N	\N
209613	711	1997-12-31	VYDAJ	VYBER	15	45146	SLUZBY	\N	\N
209614	711	1998-01-31	VYDAJ	VYBER	15	31866	SLUZBY	\N	\N
209615	711	1998-02-28	VYDAJ	VYBER	15	45335	SLUZBY	\N	\N
209616	711	1998-03-31	VYDAJ	VYBER	15	54853	SLUZBY	\N	\N
209617	711	1998-04-30	VYDAJ	VYBER	15	61004	SLUZBY	\N	\N
209618	711	1998-05-31	VYDAJ	VYBER	15	57559	SLUZBY	\N	\N
209619	711	1998-06-30	VYDAJ	VYBER	15	61600	SLUZBY	\N	\N
209620	711	1998-07-31	VYDAJ	VYBER	15	57438	SLUZBY	\N	\N
209621	711	1998-08-31	VYDAJ	VYBER	15	59389	SLUZBY	\N	\N
209622	711	1998-09-30	VYDAJ	VYBER	15	58038	SLUZBY	\N	\N
209623	711	1998-10-31	VYDAJ	VYBER	15	50566	SLUZBY	\N	\N
209624	711	1998-11-30	VYDAJ	VYBER	15	43750	SLUZBY	\N	\N
209625	711	1994-08-05	PRIJEM	VKLAD	4800	15695	\N	\N	\N
209626	711	1994-09-04	VYDAJ	VYBER	2500	23847	\N	\N	\N
209627	711	1994-10-04	VYDAJ	VYBER	7200	27343	\N	\N	\N
209628	711	1994-11-03	VYDAJ	VYBER	8900	29161	\N	\N	\N
209629	711	1994-12-03	VYDAJ	VYBER	6700	31013	\N	\N	\N
209630	711	1995-01-02	VYDAJ	VYBER	11500	30348	\N	\N	\N
209631	711	1995-02-01	PRIJEM	VKLAD	4300	17666	\N	\N	\N
209632	711	1995-03-03	PRIJEM	VKLAD	700	25760	\N	\N	\N
209633	711	1995-04-02	VYDAJ	VYBER	2500	26242	\N	\N	\N
209634	711	1995-05-02	VYDAJ	VYBER	4900	28780	\N	\N	\N
209635	711	1995-06-01	VYDAJ	VYBER	8100	28130	\N	\N	\N
209636	711	1995-07-01	VYDAJ	VYBER	9400	31477	\N	\N	\N
209637	711	1995-07-31	VYDAJ	VYBER	7000	31941	\N	\N	\N
209638	711	1995-08-30	VYDAJ	VYBER	3000	30502	\N	\N	\N
209639	711	1995-09-29	VYDAJ	VYBER	8500	29446	\N	\N	\N
209640	711	1995-10-29	VYDAJ	VYBER	6100	30798	\N	\N	\N
209641	711	1995-11-28	VYDAJ	VYBER	7800	30446	\N	\N	\N
209642	711	1995-12-28	VYDAJ	VYBER	10400	31500	\N	\N	\N
209643	711	1996-01-27	PRIJEM	VKLAD	2100	21256	\N	\N	\N
209644	711	1996-02-26	VYDAJ	VYBER	4300	24348	\N	\N	\N
209645	711	1996-03-27	VYDAJ	VYBER	3900	27860	\N	\N	\N
209646	711	1996-04-26	VYDAJ	VYBER	6000	29286	\N	\N	\N
209647	711	1996-05-26	VYDAJ	VYBER	5600	31125	\N	\N	\N
209648	711	1996-06-25	VYDAJ	VYBER	1700	22231	\N	\N	\N
209649	711	1996-07-25	VYDAJ	VYBER	500	29162	\N	\N	\N
209650	711	1996-08-24	VYDAJ	VYBER	2300	34281	\N	\N	\N
209651	711	1996-09-23	VYDAJ	VYBER	1800	32727	\N	\N	\N
209652	711	1996-10-23	VYDAJ	VYBER	4700	35482	\N	\N	\N
209653	711	1996-11-22	VYDAJ	VYBER	5900	37039	\N	\N	\N
209654	711	1996-12-22	VYDAJ	VYBER	5000	42868	\N	\N	\N
209655	711	1997-01-21	PRIJEM	VKLAD	3100	32890	\N	\N	\N
209656	711	1997-02-20	PRIJEM	VKLAD	1000	32088	\N	\N	\N
209657	711	1997-03-22	VYDAJ	VYBER	2700	36813	\N	\N	\N
209658	711	1997-04-21	VYDAJ	VYBER	4600	37749	\N	\N	\N
209659	711	1997-05-21	VYDAJ	VYBER	6300	38917	\N	\N	\N
209660	711	1997-06-20	VYDAJ	VYBER	10400	41273	\N	\N	\N
209661	711	1997-07-20	PRIJEM	VKLAD	4000	33696	\N	\N	\N
209662	711	1997-08-19	PRIJEM	VKLAD	1600	39122	\N	\N	\N
209663	711	1997-09-18	VYDAJ	VYBER	5200	41378	\N	\N	\N
209664	711	1997-10-18	VYDAJ	VYBER	5000	43858	\N	\N	\N
209665	711	1997-11-17	VYDAJ	VYBER	7100	44247	\N	\N	\N
209666	711	1997-12-17	VYDAJ	VYBER	7900	48163	\N	\N	\N
209667	711	1998-01-16	VYDAJ	VYBER	1000	43907	\N	\N	\N
209668	711	1998-02-15	PRIJEM	VKLAD	6000	45187	\N	\N	\N
209669	711	1998-03-17	PRIJEM	VKLAD	2000	54656	\N	\N	\N
209670	711	1998-04-16	VYDAJ	VYBER	1400	60774	\N	\N	\N
209671	711	1998-05-16	VYDAJ	VYBER	11000	57325	\N	\N	\N
209672	711	1998-06-15	VYDAJ	VYBER	8800	61362	\N	\N	\N
209673	711	1998-07-15	VYDAJ	VYBER	7400	61521	\N	\N	\N
209674	711	1998-08-14	VYDAJ	VYBER	5600	59159	\N	\N	\N
209675	711	1998-09-13	VYDAJ	VYBER	8900	57810	\N	\N	\N
209676	711	1998-10-13	VYDAJ	VYBER	15000	50359	\N	\N	\N
209677	711	1998-11-12	VYDAJ	VYBER	10600	47287	\N	\N	\N
209678	711	1998-12-12	VYDAJ	VYBER	9800	40673	\N	\N	\N
209733	712	1996-12-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
209749	712	1996-12-10	PRIJEM	VKLAD	44594	45694	\N	\N	\N
209750	712	1996-12-25	PRIJEM	VKLAD	43587	89281	\N	\N	\N
209753	712	1997-03-06	PRIJEM	VKLAD	33111	68171	\N	\N	\N
209754	712	1997-05-03	PRIJEM	VKLAD	24703	90728	\N	\N	\N
209755	712	1997-05-15	PRIJEM	VKLAD	18517	100377	\N	\N	\N
209756	712	1997-09-23	PRIJEM	VKLAD	25741	119228	\N	\N	\N
209757	712	1997-12-21	PRIJEM	VKLAD	49324	83392	\N	\N	\N
209758	712	1997-10-18	PRIJEM	VKLAD	46209	95802	\N	\N	\N
209759	712	1997-03-08	PRIJEM	VKLAD	37392	105563	\N	\N	\N
209760	712	1997-11-13	PRIJEM	VKLAD	18469	90060	\N	\N	\N
209761	712	1997-07-08	PRIJEM	VKLAD	9584	73094	\N	\N	\N
209762	712	1997-04-04	PRIJEM	VKLAD	9923	71199	\N	\N	\N
209763	712	1997-06-21	PRIJEM	VKLAD	38161	87937	\N	\N	\N
209764	712	1997-01-16	PRIJEM	VKLAD	46535	101988	\N	\N	\N
209765	712	1997-05-27	PRIJEM	VKLAD	47419	121413	\N	\N	\N
209766	712	1997-02-02	PRIJEM	VKLAD	37594	98692	\N	\N	\N
209767	712	1997-09-05	PRIJEM	VKLAD	36581	98587	\N	\N	\N
209768	712	1997-04-19	PRIJEM	VKLAD	26729	97928	\N	\N	\N
209769	712	1997-01-22	PRIJEM	VKLAD	43936	145924	\N	\N	\N
209770	712	1997-02-19	PRIJEM	VKLAD	49176	147868	\N	\N	\N
209771	712	1997-05-04	PRIJEM	VKLAD	32232	122960	\N	\N	\N
209772	712	1997-05-22	PRIJEM	VKLAD	45293	126094	\N	\N	\N
209773	712	1997-03-29	PRIJEM	VKLAD	10317	85606	\N	\N	\N
209774	712	1997-03-09	PRIJEM	VKLAD	10326	75289	\N	\N	\N
209775	712	1997-07-22	PRIJEM	VKLAD	31027	104121	\N	\N	\N
209776	712	1998-05-04	PRIJEM	VKLAD	16846	48902	\N	\N	\N
209777	712	1998-11-19	PRIJEM	VKLAD	28833	65876	\N	\N	\N
209778	712	1998-05-24	PRIJEM	VKLAD	26604	57506	\N	\N	\N
209779	712	1998-10-09	PRIJEM	VKLAD	28000	51719	\N	\N	\N
209780	712	1998-01-23	PRIJEM	VKLAD	31164	106001	\N	\N	\N
209781	712	1998-01-21	PRIJEM	VKLAD	42607	74837	\N	\N	\N
209782	712	1998-12-17	PRIJEM	VKLAD	14730	103212	\N	\N	\N
209783	712	1998-05-26	PRIJEM	VKLAD	48619	102625	\N	\N	\N
209784	712	1998-03-16	PRIJEM	VKLAD	14109	71905	\N	\N	\N
209785	712	1998-11-27	PRIJEM	VKLAD	45425	95201	\N	\N	\N
209833	712	1997-12-10	VYBER	VYBER	22948	46195	\N	\N	\N
209834	712	1997-03-01	VYBER	VYBER	14163	42660	\N	\N	\N
209835	712	1997-05-21	VYBER	VYBER	19576	80801	\N	\N	\N
209836	712	1997-12-15	VYBER	VYBER	12127	34068	\N	\N	\N
209837	712	1997-10-17	VYBER	VYBER	3063	49593	\N	\N	\N
209839	712	1998-03-24	VYBER	VYBER	22156	37749	\N	\N	\N
209840	712	1998-04-06	VYBER	VYBER	9529	35631	\N	\N	\N
209841	712	1998-12-20	VYBER	VYBER	17537	81475	\N	\N	\N
209842	712	1998-04-16	VYBER	VYBER	22996	12635	\N	\N	\N
209843	712	1998-02-12	VYBER	VYBER	13106	57925	\N	\N	\N
209844	712	1998-08-05	VYBER	VYBER	2396	37131	\N	\N	\N
209845	712	1998-09-20	VYBER	VYBER	24249	11701	\N	\N	\N
209846	712	1998-10-18	VYBER	VYBER	8588	43131	\N	\N	\N
209847	712	1998-07-11	VYBER	VYBER	15077	43818	\N	\N	\N
209849	712	1997-06-10	VYDAJ	VYBER	12000	49776	\N	\N	\N
209850	712	1998-06-24	VYDAJ	VYBER	16200	75211	\N	\N	\N
209853	712	1998-01-15	VYDAJ	VYBER	10800	40330	\N	\N	\N
209855	712	1997-12-09	VYDAJ	VYBER	1500	69143	\N	\N	\N
209856	712	1998-12-19	VYDAJ	VYBER	4200	99012	\N	\N	\N
209869	712	1998-01-26	VYDAJ	VYBER	4200	77101	\N	\N	\N
209870	712	1998-01-28	VYDAJ	VYBER	6300	70801	\N	\N	\N
209871	712	1998-01-15	VYDAJ	VYBER	8100	32230	\N	\N	\N
209872	712	1998-01-04	VYDAJ	VYBER	3000	51130	\N	\N	\N
209873	712	1998-01-02	VYDAJ	VYBER	7800	58630	\N	\N	\N
209874	712	1998-01-03	VYDAJ	VYBER	4500	54130	\N	\N	\N
209883	712	1997-09-24	VYDAJ	VYBER	6900	72228	\N	\N	\N
209884	712	1997-10-10	VYDAJ	VYBER	9300	52656	\N	\N	\N
209885	712	1997-09-05	VYDAJ	VYBER	5100	93487	\N	\N	\N
209886	712	1998-12-12	VYDAJ	VYBER	6900	88482	\N	\N	\N
209887	712	1998-05-11	VYDAJ	VYBER	6300	42602	\N	\N	\N
209888	712	1998-05-15	VYDAJ	VYBER	11700	30902	\N	\N	\N
209889	712	1998-08-05	VYDAJ	VYBER	8100	29031	\N	\N	\N
209890	712	1998-06-19	VYDAJ	VYBER	11400	91411	\N	\N	\N
209891	712	1998-03-22	VYDAJ	VYBER	12000	59905	\N	\N	\N
209906	712	1997-02-28	VYDAJ	VYBER	15	56823	SLUZBY	\N	\N
209907	712	1997-03-31	VYDAJ	VYBER	15	61276	SLUZBY	\N	\N
209908	712	1997-04-30	VYDAJ	VYBER	15	98225	SLUZBY	\N	\N
209909	712	1997-05-31	VYDAJ	VYBER	15	61776	SLUZBY	\N	\N
209910	712	1997-06-30	VYDAJ	VYBER	15	63510	SLUZBY	\N	\N
209911	712	1997-07-31	VYDAJ	VYBER	15	74213	SLUZBY	\N	\N
209912	712	1997-08-31	VYDAJ	VYBER	15	62006	SLUZBY	\N	\N
209913	712	1997-09-30	VYDAJ	VYBER	15	61956	SLUZBY	\N	\N
209914	712	1997-10-31	VYDAJ	VYBER	15	71591	SLUZBY	\N	\N
209915	712	1997-11-30	VYDAJ	VYBER	15	70643	SLUZBY	\N	\N
209916	712	1997-12-31	VYDAJ	VYBER	15	66430	SLUZBY	\N	\N
209917	712	1998-01-31	VYDAJ	VYBER	15	71031	SLUZBY	\N	\N
209918	712	1998-02-28	VYDAJ	VYBER	15	57796	SLUZBY	\N	\N
209919	712	1998-03-31	VYDAJ	VYBER	15	45160	SLUZBY	\N	\N
209920	712	1998-04-30	VYDAJ	VYBER	15	32056	SLUZBY	\N	\N
209921	712	1998-05-31	VYDAJ	VYBER	15	102811	SLUZBY	\N	\N
209922	712	1998-06-30	VYDAJ	VYBER	15	58895	SLUZBY	\N	\N
209923	712	1998-07-31	VYDAJ	VYBER	15	39527	SLUZBY	\N	\N
209924	712	1998-08-31	VYDAJ	VYBER	15	35950	SLUZBY	\N	\N
209925	712	1998-09-30	VYDAJ	VYBER	15	23719	SLUZBY	\N	\N
209926	712	1998-10-31	VYDAJ	VYBER	15	37043	SLUZBY	\N	\N
209927	712	1998-11-30	VYDAJ	VYBER	15	95382	SLUZBY	\N	\N
209928	712	1996-12-31	VYDAJ	VYBER	34000	55453	\N	\N	\N
209929	712	1997-01-22	VYDAJ	VYBER	51200	94724	\N	\N	\N
209930	712	1997-01-30	VYDAJ	VYBER	33900	60824	\N	\N	\N
209931	712	1997-02-19	VYDAJ	VYBER	28000	119868	\N	\N	\N
209932	712	1997-02-28	VYDAJ	VYBER	63400	56838	\N	\N	\N
209933	712	1997-03-01	VYDAJ	VYBER	7600	35060	\N	\N	\N
209934	712	1997-03-08	VYDAJ	VYBER	40600	64963	\N	\N	\N
209935	712	1997-03-31	VYDAJ	VYBER	24600	61291	\N	\N	\N
209936	712	1997-04-30	VYDAJ	VYBER	32200	66025	\N	\N	\N
209937	712	1997-05-04	VYDAJ	VYBER	41100	81860	\N	\N	\N
209938	712	1997-05-22	VYDAJ	VYBER	52100	73994	\N	\N	\N
209939	712	1997-05-27	VYDAJ	VYBER	30200	91213	\N	\N	\N
209940	712	1997-05-30	VYDAJ	VYBER	29800	61413	\N	\N	\N
209941	712	1997-06-29	VYDAJ	VYBER	24700	63237	\N	\N	\N
209942	712	1997-07-29	VYDAJ	VYBER	30200	73921	\N	\N	\N
209943	712	1997-08-28	VYDAJ	VYBER	12500	61713	\N	\N	\N
209944	712	1997-09-23	VYDAJ	VYBER	40100	79128	\N	\N	\N
209945	712	1997-09-27	VYDAJ	VYBER	10600	61628	\N	\N	\N
209946	712	1997-10-27	VYDAJ	VYBER	24500	71302	\N	\N	\N
209947	712	1997-11-26	VYDAJ	VYBER	19700	70360	\N	\N	\N
209948	712	1997-12-26	VYDAJ	VYBER	17200	66192	\N	\N	\N
209949	712	1998-01-25	VYDAJ	VYBER	24700	81301	\N	\N	\N
209950	712	1998-02-24	VYDAJ	VYBER	400	57525	\N	\N	\N
209951	712	1998-03-26	PRIJEM	VKLAD	7200	44949	\N	\N	\N
209952	712	1998-04-25	PRIJEM	VKLAD	19300	31935	\N	\N	\N
209953	712	1998-05-25	VYDAJ	VYBER	3500	54006	\N	\N	\N
209954	712	1998-06-24	VYDAJ	VYBER	16700	58511	\N	\N	\N
209955	712	1998-07-24	VYDAJ	VYBER	4500	39318	\N	\N	\N
209956	712	1998-08-23	PRIJEM	VKLAD	6800	35831	\N	\N	\N
209957	712	1998-09-22	PRIJEM	VKLAD	11900	23601	\N	\N	\N
209958	712	1998-10-22	VYDAJ	VYBER	6200	36931	\N	\N	\N
209959	712	1998-11-21	VYDAJ	VYBER	16100	49776	\N	\N	\N
209985	713	1996-10-15	PRIJEM	VKLAD	500	500	\N	\N	\N
209996	713	1996-11-05	PRIJEM	PREVOD Z UCTU	5670	6170	DUCHOD	EF	63406675
209997	713	1996-12-05	PRIJEM	PREVOD Z UCTU	5670	11840	DUCHOD	EF	63406675
209998	713	1997-01-05	PRIJEM	PREVOD Z UCTU	5670	17510	DUCHOD	EF	63406675
209999	713	1997-02-05	PRIJEM	PREVOD Z UCTU	5670	23180	DUCHOD	EF	63406675
210000	713	1997-03-05	PRIJEM	PREVOD Z UCTU	5670	23495	DUCHOD	EF	63406675
210001	713	1997-04-05	PRIJEM	PREVOD Z UCTU	5670	21600	DUCHOD	EF	63406675
210002	713	1997-05-05	PRIJEM	PREVOD Z UCTU	5670	19837	DUCHOD	EF	63406675
210003	713	1997-06-05	PRIJEM	PREVOD Z UCTU	5670	20271	DUCHOD	EF	63406675
210004	713	1997-07-05	PRIJEM	PREVOD Z UCTU	5670	16195	DUCHOD	EF	63406675
210005	713	1997-08-05	PRIJEM	PREVOD Z UCTU	5670	16819	DUCHOD	EF	63406675
210006	713	1997-09-05	PRIJEM	PREVOD Z UCTU	5670	17943	DUCHOD	EF	63406675
210007	713	1997-10-05	PRIJEM	PREVOD Z UCTU	5670	18672	DUCHOD	EF	63406675
210008	713	1997-11-05	PRIJEM	PREVOD Z UCTU	5670	16276	DUCHOD	EF	63406675
210009	713	1997-12-05	PRIJEM	PREVOD Z UCTU	5670	14189	DUCHOD	EF	63406675
210010	713	1998-01-05	PRIJEM	PREVOD Z UCTU	5670	16305	DUCHOD	EF	63406675
210011	713	1998-02-05	PRIJEM	PREVOD Z UCTU	5670	14582	DUCHOD	EF	63406675
210012	713	1998-03-05	PRIJEM	PREVOD Z UCTU	5670	14376	DUCHOD	EF	63406675
210013	713	1998-04-05	PRIJEM	PREVOD Z UCTU	5670	16492	DUCHOD	EF	63406675
210014	713	1998-05-05	PRIJEM	PREVOD Z UCTU	5670	13203	DUCHOD	EF	63406675
210015	713	1998-06-05	PRIJEM	PREVOD Z UCTU	5670	15314	DUCHOD	EF	63406675
210016	713	1998-07-05	PRIJEM	PREVOD Z UCTU	5670	17434	DUCHOD	EF	63406675
210017	713	1998-08-05	PRIJEM	PREVOD Z UCTU	5670	15653	DUCHOD	EF	63406675
210018	713	1998-09-05	PRIJEM	PREVOD Z UCTU	5670	12260	DUCHOD	EF	63406675
210019	713	1998-10-05	PRIJEM	PREVOD Z UCTU	5670	13670	DUCHOD	EF	63406675
210020	713	1998-11-05	PRIJEM	PREVOD Z UCTU	5670	15784	DUCHOD	EF	63406675
210021	713	1998-12-05	PRIJEM	PREVOD Z UCTU	5670	16105	DUCHOD	EF	63406675
210036	713	1997-03-12	VYDAJ	PREVOD NA UCET	3581	17274	SIPO	QR	13186729
210037	713	1997-04-12	VYDAJ	PREVOD NA UCET	3581	18019	SIPO	QR	13186729
210038	713	1997-05-12	VYDAJ	PREVOD NA UCET	3581	16256	SIPO	QR	13186729
210039	713	1997-06-12	VYDAJ	PREVOD NA UCET	3581	10490	SIPO	QR	13186729
210040	713	1997-07-12	VYDAJ	PREVOD NA UCET	3581	12614	SIPO	QR	13186729
210041	713	1997-08-12	VYDAJ	PREVOD NA UCET	3581	12238	SIPO	QR	13186729
210042	713	1997-09-12	VYDAJ	PREVOD NA UCET	3581	12962	SIPO	QR	13186729
210043	713	1997-10-12	VYDAJ	PREVOD NA UCET	3581	10571	SIPO	QR	13186729
210044	713	1997-11-12	VYDAJ	PREVOD NA UCET	3581	8495	SIPO	QR	13186729
210045	713	1997-12-12	VYDAJ	PREVOD NA UCET	3581	10608	SIPO	QR	13186729
210046	713	1998-01-12	VYDAJ	PREVOD NA UCET	3581	8884	SIPO	QR	13186729
210047	713	1998-02-12	VYDAJ	PREVOD NA UCET	3581	8681	SIPO	QR	13186729
210048	713	1998-03-12	VYDAJ	PREVOD NA UCET	3581	10795	SIPO	QR	13186729
210049	713	1998-04-12	VYDAJ	PREVOD NA UCET	3581	7511	SIPO	QR	13186729
210050	713	1998-05-12	VYDAJ	PREVOD NA UCET	3581	9622	SIPO	QR	13186729
210051	713	1998-06-12	VYDAJ	PREVOD NA UCET	3581	11733	SIPO	QR	13186729
210052	713	1998-07-12	VYDAJ	PREVOD NA UCET	3581	9953	SIPO	QR	13186729
210053	713	1998-08-12	VYDAJ	PREVOD NA UCET	3581	6572	SIPO	QR	13186729
210054	713	1998-09-12	VYDAJ	PREVOD NA UCET	3581	7979	SIPO	QR	13186729
210055	713	1998-10-12	VYDAJ	PREVOD NA UCET	3581	10089	SIPO	QR	13186729
210056	713	1998-11-12	VYDAJ	PREVOD NA UCET	3581	12203	SIPO	QR	13186729
210057	713	1998-12-12	VYDAJ	PREVOD NA UCET	3581	12524	SIPO	QR	13186729
210059	713	1997-06-08	VYDAJ	VYBER	6200	14071	\N	\N	\N
210082	713	1998-01-06	VYDAJ	VYBER	1840	12465	\N	\N	\N
210084	713	1998-01-06	VYDAJ	VYBER	2000	14305	\N	\N	\N
210094	713	1997-03-09	VYDAJ	VYBER	2640	20855	\N	\N	\N
210095	713	1997-10-07	VYDAJ	VYBER	1520	17152	\N	\N	\N
210097	713	1998-02-06	VYDAJ	VYBER	2320	12262	\N	\N	\N
210117	713	1997-03-31	VYDAJ	VYBER	15	15930	SLUZBY	\N	\N
210118	713	1997-04-30	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
210119	713	1997-05-31	VYDAJ	VYBER	15	14601	SLUZBY	\N	\N
210120	713	1997-06-30	VYDAJ	VYBER	15	10525	SLUZBY	\N	\N
210121	713	1997-07-31	VYDAJ	VYBER	15	11149	SLUZBY	\N	\N
210122	713	1997-08-31	VYDAJ	VYBER	15	12273	SLUZBY	\N	\N
210123	713	1997-09-30	VYDAJ	VYBER	15	13002	SLUZBY	\N	\N
210124	713	1997-10-31	VYDAJ	VYBER	15	10606	SLUZBY	\N	\N
210125	713	1997-11-30	VYDAJ	VYBER	15	8519	SLUZBY	\N	\N
210126	713	1997-12-31	VYDAJ	VYBER	15	10635	SLUZBY	\N	\N
210127	713	1998-01-31	VYDAJ	VYBER	15	8912	SLUZBY	\N	\N
210128	713	1998-02-28	VYDAJ	VYBER	15	8706	SLUZBY	\N	\N
210129	713	1998-03-31	VYDAJ	VYBER	15	10822	SLUZBY	\N	\N
210130	713	1998-04-30	VYDAJ	VYBER	15	7533	SLUZBY	\N	\N
210131	713	1998-05-31	VYDAJ	VYBER	15	9644	SLUZBY	\N	\N
210132	713	1998-06-30	VYDAJ	VYBER	15	11764	SLUZBY	\N	\N
210133	713	1998-07-31	VYDAJ	VYBER	15	9983	SLUZBY	\N	\N
210134	713	1998-08-31	VYDAJ	VYBER	15	6590	SLUZBY	\N	\N
210135	713	1998-09-30	VYDAJ	VYBER	15	8000	SLUZBY	\N	\N
210136	713	1998-10-31	VYDAJ	VYBER	15	10114	SLUZBY	\N	\N
210137	713	1998-11-30	VYDAJ	VYBER	15	12235	SLUZBY	\N	\N
210138	713	1997-02-12	VYDAJ	VYBER	5400	17780	\N	\N	\N
210139	713	1997-03-14	VYDAJ	VYBER	1400	15874	\N	\N	\N
210140	713	1997-04-13	VYDAJ	VYBER	3900	14119	\N	\N	\N
210141	713	1997-05-13	VYDAJ	VYBER	1700	14556	\N	\N	\N
210142	713	1997-07-12	VYDAJ	VYBER	1500	11114	\N	\N	\N
210143	713	1997-08-11	VYDAJ	VYBER	1000	15819	\N	\N	\N
210144	713	1997-09-10	VYDAJ	VYBER	1400	16543	\N	\N	\N
210145	713	1997-10-10	VYDAJ	VYBER	3000	14152	\N	\N	\N
210146	713	1997-11-09	VYDAJ	VYBER	4200	12076	\N	\N	\N
210147	713	1998-04-08	VYDAJ	VYBER	5400	11092	\N	\N	\N
210148	713	1998-07-07	VYDAJ	VYBER	3900	13534	\N	\N	\N
210149	713	1998-08-06	VYDAJ	VYBER	5500	10153	\N	\N	\N
210150	713	1998-09-05	VYDAJ	VYBER	700	11560	\N	\N	\N
210151	713	1998-12-04	VYDAJ	VYBER	1800	10435	\N	\N	\N
210175	714	1996-11-04	PRIJEM	VKLAD	600	600	\N	\N	\N
210186	714	1996-11-05	PRIJEM	PREVOD Z UCTU	5674	6274	DUCHOD	ST	14832181
210187	714	1996-12-05	PRIJEM	PREVOD Z UCTU	5674	11971	DUCHOD	ST	14832181
210188	714	1997-01-05	PRIJEM	PREVOD Z UCTU	5674	17671	DUCHOD	ST	14832181
210189	714	1997-02-05	PRIJEM	PREVOD Z UCTU	5674	23371	DUCHOD	ST	14832181
210190	714	1997-03-05	PRIJEM	PREVOD Z UCTU	5674	28071	DUCHOD	ST	14832181
210191	714	1997-04-05	PRIJEM	PREVOD Z UCTU	5674	30043	DUCHOD	ST	14832181
210192	714	1997-05-05	PRIJEM	PREVOD Z UCTU	5674	28245	DUCHOD	ST	14832181
210193	714	1997-06-05	PRIJEM	PREVOD Z UCTU	5674	24026	DUCHOD	ST	14832181
210194	714	1997-07-05	PRIJEM	PREVOD Z UCTU	5674	25990	DUCHOD	ST	14832181
210195	714	1997-08-05	PRIJEM	PREVOD Z UCTU	5674	23958	DUCHOD	ST	14832181
210196	714	1997-09-05	PRIJEM	PREVOD Z UCTU	5674	24723	DUCHOD	ST	14832181
210197	714	1997-10-05	PRIJEM	PREVOD Z UCTU	5674	20686	DUCHOD	ST	14832181
210198	714	1997-11-05	PRIJEM	PREVOD Z UCTU	5674	18862	DUCHOD	ST	14832181
210199	714	1997-12-05	PRIJEM	PREVOD Z UCTU	5674	16899	DUCHOD	ST	14832181
210200	714	1998-01-05	PRIJEM	PREVOD Z UCTU	5674	18828	DUCHOD	ST	14832181
210201	714	1998-02-05	PRIJEM	PREVOD Z UCTU	5674	19004	DUCHOD	ST	14832181
210202	714	1998-03-05	PRIJEM	PREVOD Z UCTU	5674	20942	DUCHOD	ST	14832181
210203	714	1998-04-05	PRIJEM	PREVOD Z UCTU	5674	22888	DUCHOD	ST	14832181
210204	714	1998-05-05	PRIJEM	PREVOD Z UCTU	5674	19899	DUCHOD	ST	14832181
210205	714	1998-06-05	PRIJEM	PREVOD Z UCTU	5674	17039	DUCHOD	ST	14832181
210206	714	1998-07-05	PRIJEM	PREVOD Z UCTU	5674	18969	DUCHOD	ST	14832181
210207	714	1998-08-05	PRIJEM	PREVOD Z UCTU	5674	18105	DUCHOD	ST	14832181
210208	714	1998-09-05	PRIJEM	PREVOD Z UCTU	5674	17337	DUCHOD	ST	14832181
210209	714	1998-10-05	PRIJEM	PREVOD Z UCTU	5674	19269	DUCHOD	ST	14832181
210210	714	1998-11-05	PRIJEM	PREVOD Z UCTU	5674	19465	DUCHOD	ST	14832181
210211	714	1998-12-05	PRIJEM	PREVOD Z UCTU	5674	18102	DUCHOD	ST	14832181
210226	714	1997-03-10	VYDAJ	PREVOD NA UCET	3782	24289	SIPO	UV	88810574
210227	714	1997-04-10	VYDAJ	PREVOD NA UCET	3782	26261	SIPO	UV	88810574
210228	714	1997-05-10	VYDAJ	PREVOD NA UCET	3782	24463	SIPO	UV	88810574
210229	714	1997-06-10	VYDAJ	PREVOD NA UCET	3782	20244	SIPO	UV	88810574
210230	714	1997-07-10	VYDAJ	PREVOD NA UCET	3782	22208	SIPO	UV	88810574
210231	714	1997-08-10	VYDAJ	PREVOD NA UCET	3782	20176	SIPO	UV	88810574
210232	714	1997-09-10	VYDAJ	PREVOD NA UCET	3782	20941	SIPO	UV	88810574
210233	714	1997-10-10	VYDAJ	PREVOD NA UCET	3782	16904	SIPO	UV	88810574
210234	714	1997-11-10	VYDAJ	PREVOD NA UCET	3782	15080	SIPO	UV	88810574
210235	714	1997-12-10	VYDAJ	PREVOD NA UCET	3782	13117	SIPO	UV	88810574
210236	714	1998-01-10	VYDAJ	PREVOD NA UCET	3782	14406	SIPO	UV	88810574
210237	714	1998-02-10	VYDAJ	PREVOD NA UCET	3782	15222	SIPO	UV	88810574
210238	714	1998-03-10	VYDAJ	PREVOD NA UCET	3782	17160	SIPO	UV	88810574
210239	714	1998-04-10	VYDAJ	PREVOD NA UCET	3782	19106	SIPO	UV	88810574
210240	714	1998-05-10	VYDAJ	PREVOD NA UCET	3782	16117	SIPO	UV	88810574
210241	714	1998-06-10	VYDAJ	PREVOD NA UCET	3782	13257	SIPO	UV	88810574
210242	714	1998-07-10	VYDAJ	PREVOD NA UCET	3782	15187	SIPO	UV	88810574
210243	714	1998-08-10	VYDAJ	PREVOD NA UCET	3782	14323	SIPO	UV	88810574
210244	714	1998-09-10	VYDAJ	PREVOD NA UCET	3782	13555	SIPO	UV	88810574
210245	714	1998-10-10	VYDAJ	PREVOD NA UCET	3782	15487	SIPO	UV	88810574
210246	714	1998-11-10	VYDAJ	PREVOD NA UCET	3782	15683	SIPO	UV	88810574
210247	714	1998-12-10	VYDAJ	PREVOD NA UCET	3782	14320	SIPO	UV	88810574
210249	714	1997-06-03	VYDAJ	VYBER	2400	18352	\N	\N	\N
210269	714	1998-01-11	VYDAJ	VYBER	1120	13286	\N	\N	\N
210274	714	1998-01-06	VYDAJ	VYBER	640	18188	\N	\N	\N
210281	714	1997-10-13	VYDAJ	VYBER	3760	13144	\N	\N	\N
210283	714	1997-04-26	VYDAJ	VYBER	2880	23381	\N	\N	\N
210285	714	1997-05-31	VYDAJ	VYBER	2800	21752	\N	\N	\N
210286	714	1998-04-16	VYDAJ	VYBER	1040	18066	\N	\N	\N
210289	714	1998-10-20	VYDAJ	VYBER	1440	14047	\N	\N	\N
210307	714	1997-03-31	VYDAJ	VYBER	15	24369	SLUZBY	\N	\N
210308	714	1997-04-30	VYDAJ	VYBER	15	23471	SLUZBY	\N	\N
210309	714	1997-05-31	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
210310	714	1997-06-30	VYDAJ	VYBER	15	20316	SLUZBY	\N	\N
210311	714	1997-07-31	VYDAJ	VYBER	15	22284	SLUZBY	\N	\N
210312	714	1997-08-31	VYDAJ	VYBER	15	20249	SLUZBY	\N	\N
210313	714	1997-09-30	VYDAJ	VYBER	15	15012	SLUZBY	\N	\N
210314	714	1997-10-31	VYDAJ	VYBER	15	13188	SLUZBY	\N	\N
210315	714	1997-11-30	VYDAJ	VYBER	15	11225	SLUZBY	\N	\N
210316	714	1997-12-31	VYDAJ	VYBER	15	13154	SLUZBY	\N	\N
210317	714	1998-01-31	VYDAJ	VYBER	15	13330	SLUZBY	\N	\N
210318	714	1998-02-28	VYDAJ	VYBER	15	15268	SLUZBY	\N	\N
210319	714	1998-03-31	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
210320	714	1998-04-30	VYDAJ	VYBER	15	14225	SLUZBY	\N	\N
210321	714	1998-05-31	VYDAJ	VYBER	15	11365	SLUZBY	\N	\N
210322	714	1998-06-30	VYDAJ	VYBER	15	13295	SLUZBY	\N	\N
210323	714	1998-07-31	VYDAJ	VYBER	15	12431	SLUZBY	\N	\N
210324	714	1998-08-31	VYDAJ	VYBER	15	11663	SLUZBY	\N	\N
210325	714	1998-09-30	VYDAJ	VYBER	15	13595	SLUZBY	\N	\N
210326	714	1998-10-31	VYDAJ	VYBER	15	13791	SLUZBY	\N	\N
210327	714	1998-11-30	VYDAJ	VYBER	15	12428	SLUZBY	\N	\N
210328	714	1997-03-04	VYDAJ	VYBER	1000	22397	\N	\N	\N
210329	714	1997-05-03	VYDAJ	VYBER	900	22571	\N	\N	\N
210330	714	1997-06-02	VYDAJ	VYBER	1000	20752	\N	\N	\N
210331	714	1997-08-01	VYDAJ	VYBER	4000	18284	\N	\N	\N
210332	714	1997-08-31	VYDAJ	VYBER	1200	19049	\N	\N	\N
210333	714	1997-09-30	VYDAJ	VYBER	6000	15027	\N	\N	\N
210334	714	1997-11-29	VYDAJ	VYBER	3900	11180	\N	\N	\N
210335	714	1998-04-28	VYDAJ	VYBER	3900	14166	\N	\N	\N
210336	714	1998-05-28	VYDAJ	VYBER	4800	11317	\N	\N	\N
210337	714	1998-07-27	VYDAJ	VYBER	2800	12387	\N	\N	\N
210338	714	1998-08-26	VYDAJ	VYBER	2700	11623	\N	\N	\N
210339	714	1998-10-25	VYDAJ	VYBER	300	13747	\N	\N	\N
210340	714	1998-11-24	VYDAJ	VYBER	3300	12383	\N	\N	\N
210367	715	1996-08-08	PRIJEM	VKLAD	500	500	\N	\N	\N
210376	715	1996-09-07	PRIJEM	VKLAD	16115	16615	\N	\N	\N
210377	715	1996-10-07	PRIJEM	VKLAD	16115	34485	\N	\N	\N
210378	715	1996-11-07	PRIJEM	VKLAD	16115	41430	\N	\N	\N
210379	715	1996-12-07	PRIJEM	VKLAD	24172	56369	\N	\N	\N
210380	715	1997-01-07	PRIJEM	VKLAD	16115	51006	\N	\N	\N
210381	715	1997-02-07	PRIJEM	VKLAD	16115	45029	\N	\N	\N
210382	715	1997-03-07	PRIJEM	VKLAD	16115	39828	\N	\N	\N
210383	715	1997-04-07	PRIJEM	VKLAD	16115	43204	\N	\N	\N
210384	715	1997-05-07	PRIJEM	VKLAD	16115	46596	\N	\N	\N
210385	715	1997-06-07	PRIJEM	VKLAD	24172	53251	\N	\N	\N
210386	715	1997-07-07	PRIJEM	VKLAD	16115	31722	\N	\N	\N
210387	715	1997-08-07	PRIJEM	VKLAD	16115	34666	\N	\N	\N
210388	715	1997-09-07	PRIJEM	VKLAD	16115	35323	\N	\N	\N
210389	715	1997-10-07	PRIJEM	VKLAD	16115	36584	\N	\N	\N
210390	715	1997-11-07	PRIJEM	VKLAD	16115	39950	\N	\N	\N
210391	715	1997-12-07	PRIJEM	VKLAD	24172	42976	\N	\N	\N
210392	715	1998-01-07	PRIJEM	VKLAD	16115	37662	\N	\N	\N
210393	715	1998-02-07	PRIJEM	VKLAD	16115	38620	\N	\N	\N
210394	715	1998-03-07	PRIJEM	VKLAD	16115	36986	\N	\N	\N
210395	715	1998-04-07	PRIJEM	VKLAD	16115	39155	\N	\N	\N
210396	715	1998-05-07	PRIJEM	VKLAD	16115	40623	\N	\N	\N
210397	715	1998-06-07	PRIJEM	VKLAD	24172	46353	\N	\N	\N
210398	715	1998-07-07	PRIJEM	VKLAD	16115	48843	\N	\N	\N
210399	715	1998-08-07	PRIJEM	VKLAD	16115	44146	\N	\N	\N
210400	715	1998-09-07	PRIJEM	VKLAD	16115	42626	\N	\N	\N
210401	715	1998-10-07	PRIJEM	VKLAD	16115	39002	\N	\N	\N
210402	715	1998-11-07	PRIJEM	VKLAD	16115	39664	\N	\N	\N
210403	715	1998-12-07	PRIJEM	VKLAD	24172	41173	\N	\N	\N
210416	715	1997-01-09	VYDAJ	PREVOD NA UCET	2877	46751	SIPO	CD	61029869
210417	715	1997-02-09	VYDAJ	PREVOD NA UCET	2877	40774	SIPO	CD	61029869
210418	715	1997-03-09	VYDAJ	PREVOD NA UCET	2877	35573	SIPO	CD	61029869
210419	715	1997-04-09	VYDAJ	PREVOD NA UCET	2877	38949	SIPO	CD	61029869
210420	715	1997-05-09	VYDAJ	PREVOD NA UCET	2877	42341	SIPO	CD	61029869
210421	715	1997-06-09	VYDAJ	PREVOD NA UCET	2877	48996	SIPO	CD	61029869
210422	715	1997-07-09	VYDAJ	PREVOD NA UCET	2877	27467	SIPO	CD	61029869
210423	715	1997-08-09	VYDAJ	PREVOD NA UCET	2877	30411	SIPO	CD	61029869
210424	715	1997-09-09	VYDAJ	PREVOD NA UCET	2877	31068	SIPO	CD	61029869
210425	715	1997-10-09	VYDAJ	PREVOD NA UCET	2877	32329	SIPO	CD	61029869
210426	715	1997-11-09	VYDAJ	PREVOD NA UCET	2877	35695	SIPO	CD	61029869
210427	715	1997-12-09	VYDAJ	PREVOD NA UCET	2877	38721	SIPO	CD	61029869
210428	715	1998-01-09	VYDAJ	PREVOD NA UCET	2877	33407	SIPO	CD	61029869
210429	715	1998-02-09	VYDAJ	PREVOD NA UCET	2877	34365	SIPO	CD	61029869
210430	715	1998-03-09	VYDAJ	PREVOD NA UCET	2877	32731	SIPO	CD	61029869
210431	715	1998-04-09	VYDAJ	PREVOD NA UCET	2877	34900	SIPO	CD	61029869
210432	715	1998-05-09	VYDAJ	PREVOD NA UCET	2877	36368	SIPO	CD	61029869
210433	715	1998-06-09	VYDAJ	PREVOD NA UCET	2877	42098	SIPO	CD	61029869
210434	715	1998-07-09	VYDAJ	PREVOD NA UCET	2877	44588	SIPO	CD	61029869
210435	715	1998-08-09	VYDAJ	PREVOD NA UCET	2877	39891	SIPO	CD	61029869
210436	715	1998-09-09	VYDAJ	PREVOD NA UCET	2877	38371	SIPO	CD	61029869
210437	715	1998-10-09	VYDAJ	PREVOD NA UCET	2877	34747	SIPO	CD	61029869
210438	715	1998-11-09	VYDAJ	PREVOD NA UCET	2877	35409	SIPO	CD	61029869
210439	715	1998-12-09	VYDAJ	PREVOD NA UCET	2877	36918	SIPO	CD	61029869
210452	715	1997-01-14	VYDAJ	PREVOD NA UCET	1808	43543	 	IJ	30505544
210453	715	1997-02-14	VYDAJ	PREVOD NA UCET	1808	38966	 	IJ	30505544
210454	715	1997-03-14	VYDAJ	PREVOD NA UCET	1808	33765	 	IJ	30505544
210455	715	1997-04-14	VYDAJ	PREVOD NA UCET	1808	37141	 	IJ	30505544
210456	715	1997-05-14	VYDAJ	PREVOD NA UCET	1808	40533	 	IJ	30505544
210457	715	1997-06-14	VYDAJ	PREVOD NA UCET	1808	25188	 	IJ	30505544
210458	715	1997-07-14	VYDAJ	PREVOD NA UCET	1808	25659	 	IJ	30505544
210459	715	1997-08-14	VYDAJ	PREVOD NA UCET	1808	28603	 	IJ	30505544
210460	715	1997-09-14	VYDAJ	PREVOD NA UCET	1808	29260	 	IJ	30505544
210461	715	1997-10-14	VYDAJ	PREVOD NA UCET	1808	30521	 	IJ	30505544
210462	715	1997-11-14	VYDAJ	PREVOD NA UCET	1808	33887	 	IJ	30505544
210463	715	1997-12-14	VYDAJ	PREVOD NA UCET	1808	36913	 	IJ	30505544
210464	715	1998-01-14	VYDAJ	PREVOD NA UCET	1808	28999	 	IJ	30505544
210465	715	1998-02-14	VYDAJ	PREVOD NA UCET	1808	32557	 	IJ	30505544
210466	715	1998-03-14	VYDAJ	PREVOD NA UCET	1808	30923	 	IJ	30505544
210467	715	1998-04-14	VYDAJ	PREVOD NA UCET	1808	33092	 	IJ	30505544
210468	715	1998-05-14	VYDAJ	PREVOD NA UCET	1808	34560	 	IJ	30505544
210469	715	1998-06-14	VYDAJ	PREVOD NA UCET	1808	40290	 	IJ	30505544
210470	715	1998-07-14	VYDAJ	PREVOD NA UCET	1808	42780	 	IJ	30505544
210471	715	1998-08-14	VYDAJ	PREVOD NA UCET	1808	38083	 	IJ	30505544
210472	715	1998-09-14	VYDAJ	PREVOD NA UCET	1808	36563	 	IJ	30505544
210473	715	1998-10-14	VYDAJ	PREVOD NA UCET	1808	32939	 	IJ	30505544
210474	715	1998-11-14	VYDAJ	PREVOD NA UCET	1808	33601	 	IJ	30505544
210475	715	1998-12-14	VYDAJ	PREVOD NA UCET	1808	35110	 	IJ	30505544
210488	715	1997-01-07	VYDAJ	PREVOD NA UCET	1378	49628	POJISTNE	MN	31952321
210489	715	1997-02-07	VYDAJ	PREVOD NA UCET	1378	43651	POJISTNE	MN	31952321
210490	715	1997-03-07	VYDAJ	PREVOD NA UCET	1378	38450	POJISTNE	MN	31952321
210491	715	1997-04-07	VYDAJ	PREVOD NA UCET	1378	41826	POJISTNE	MN	31952321
210492	715	1997-05-07	VYDAJ	PREVOD NA UCET	1378	45218	POJISTNE	MN	31952321
210493	715	1997-06-07	VYDAJ	PREVOD NA UCET	1378	51873	POJISTNE	MN	31952321
210494	715	1997-07-07	VYDAJ	PREVOD NA UCET	1378	30344	POJISTNE	MN	31952321
210495	715	1997-08-07	VYDAJ	PREVOD NA UCET	1378	33288	POJISTNE	MN	31952321
210496	715	1997-09-07	VYDAJ	PREVOD NA UCET	1378	33945	POJISTNE	MN	31952321
210497	715	1997-10-07	VYDAJ	PREVOD NA UCET	1378	35206	POJISTNE	MN	31952321
210498	715	1997-11-07	VYDAJ	PREVOD NA UCET	1378	38572	POJISTNE	MN	31952321
210499	715	1997-12-07	VYDAJ	PREVOD NA UCET	1378	41598	POJISTNE	MN	31952321
210500	715	1998-01-07	VYDAJ	PREVOD NA UCET	1378	36284	POJISTNE	MN	31952321
210501	715	1998-02-07	VYDAJ	PREVOD NA UCET	1378	37242	POJISTNE	MN	31952321
210502	715	1998-03-07	VYDAJ	PREVOD NA UCET	1378	35608	POJISTNE	MN	31952321
210503	715	1998-04-07	VYDAJ	PREVOD NA UCET	1378	37777	POJISTNE	MN	31952321
210504	715	1998-05-07	VYDAJ	PREVOD NA UCET	1378	39245	POJISTNE	MN	31952321
210505	715	1998-06-07	VYDAJ	PREVOD NA UCET	1378	44975	POJISTNE	MN	31952321
210506	715	1998-07-07	VYDAJ	PREVOD NA UCET	1378	47465	POJISTNE	MN	31952321
210507	715	1998-08-07	VYDAJ	PREVOD NA UCET	1378	42768	POJISTNE	MN	31952321
210508	715	1998-09-07	VYDAJ	PREVOD NA UCET	1378	41248	POJISTNE	MN	31952321
210509	715	1998-10-07	VYDAJ	PREVOD NA UCET	1378	37624	POJISTNE	MN	31952321
210510	715	1998-11-07	VYDAJ	PREVOD NA UCET	1378	38286	POJISTNE	MN	31952321
210511	715	1998-12-07	VYDAJ	PREVOD NA UCET	1378	39795	POJISTNE	MN	31952321
210513	715	1997-06-13	VYDAJ	VYBER	22000	26996	\N	\N	\N
210517	715	1998-01-13	VYDAJ	VYBER	2600	30807	\N	\N	\N
210519	715	1997-12-05	VYDAJ	VYBER	1900	18804	\N	\N	\N
210520	715	1998-12-23	VYDAJ	VYBER	1400	33710	\N	\N	\N
210527	715	1997-01-12	VYDAJ	VYBER	1400	45351	\N	\N	\N
210530	715	1997-01-16	VYDAJ	VYBER	1700	41843	\N	\N	\N
210531	715	1997-01-20	VYDAJ	VYBER	2900	38943	\N	\N	\N
210532	715	1997-01-22	VYDAJ	VYBER	900	38043	\N	\N	\N
210533	715	1998-01-21	VYDAJ	VYBER	2500	24799	\N	\N	\N
210534	715	1998-01-01	VYDAJ	VYBER	1100	26447	\N	\N	\N
210535	715	1998-01-06	VYDAJ	VYBER	1700	21547	\N	\N	\N
210536	715	1998-01-18	VYDAJ	VYBER	1700	27299	\N	\N	\N
210537	715	1998-01-05	VYDAJ	VYBER	1900	24547	\N	\N	\N
210538	715	1998-01-06	VYDAJ	VYBER	1300	23247	\N	\N	\N
210543	715	1997-11-01	VYDAJ	VYBER	2700	27935	\N	\N	\N
210544	715	1997-03-15	VYDAJ	VYBER	1000	32765	\N	\N	\N
210545	715	1997-11-22	VYDAJ	VYBER	3100	30787	\N	\N	\N
210546	715	1997-02-20	VYDAJ	VYBER	1100	37866	\N	\N	\N
210547	715	1997-05-18	VYDAJ	VYBER	4100	36433	\N	\N	\N
210548	715	1997-02-25	VYDAJ	VYBER	4400	31366	\N	\N	\N
210549	715	1997-02-25	VYDAJ	VYBER	2100	35766	\N	\N	\N
210550	715	1997-06-25	VYDAJ	VYBER	2800	22388	\N	\N	\N
210551	715	1998-11-18	VYDAJ	VYBER	4900	28701	\N	\N	\N
210552	715	1998-11-23	VYDAJ	VYBER	4600	24101	\N	\N	\N
210553	715	1998-08-16	VYDAJ	VYBER	2200	35883	\N	\N	\N
210567	715	1997-01-31	VYDAJ	VYBER	15	38214	SLUZBY	\N	\N
210568	715	1997-02-28	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
210569	715	1997-03-31	VYDAJ	VYBER	15	32889	SLUZBY	\N	\N
210570	715	1997-04-30	VYDAJ	VYBER	15	37281	SLUZBY	\N	\N
210571	715	1997-05-31	VYDAJ	VYBER	15	36579	SLUZBY	\N	\N
210572	715	1997-06-30	VYDAJ	VYBER	15	22507	SLUZBY	\N	\N
210573	715	1997-07-31	VYDAJ	VYBER	15	25751	SLUZBY	\N	\N
210574	715	1997-08-31	VYDAJ	VYBER	15	28708	SLUZBY	\N	\N
210575	715	1997-09-30	VYDAJ	VYBER	15	29369	SLUZBY	\N	\N
210576	715	1997-10-31	VYDAJ	VYBER	15	30635	SLUZBY	\N	\N
210577	715	1997-11-30	VYDAJ	VYBER	15	30904	SLUZBY	\N	\N
210578	715	1997-12-31	VYDAJ	VYBER	15	37047	SLUZBY	\N	\N
210579	715	1998-01-31	VYDAJ	VYBER	15	22505	SLUZBY	\N	\N
210580	715	1998-02-28	VYDAJ	VYBER	15	32671	SLUZBY	\N	\N
210581	715	1998-03-31	VYDAJ	VYBER	15	23040	SLUZBY	\N	\N
210582	715	1998-04-30	VYDAJ	VYBER	15	33208	SLUZBY	\N	\N
210583	715	1998-05-31	VYDAJ	VYBER	15	22181	SLUZBY	\N	\N
210584	715	1998-06-30	VYDAJ	VYBER	15	32728	SLUZBY	\N	\N
210585	715	1998-07-31	VYDAJ	VYBER	15	28031	SLUZBY	\N	\N
210586	715	1998-08-31	VYDAJ	VYBER	15	26511	SLUZBY	\N	\N
210587	715	1998-09-30	VYDAJ	VYBER	15	22887	SLUZBY	\N	\N
210588	715	1998-10-31	VYDAJ	VYBER	15	23549	SLUZBY	\N	\N
210589	715	1998-11-30	VYDAJ	VYBER	15	17001	SLUZBY	\N	\N
210590	715	1996-09-07	PRIJEM	VKLAD	1700	18315	\N	\N	\N
210591	715	1996-10-07	VYDAJ	VYBER	4700	29785	\N	\N	\N
210592	715	1996-11-06	VYDAJ	VYBER	4600	25315	\N	\N	\N
210593	715	1996-12-06	VYDAJ	VYBER	9400	32197	\N	\N	\N
210594	715	1997-01-05	VYDAJ	VYBER	21700	34891	\N	\N	\N
210595	715	1997-02-04	VYDAJ	VYBER	9300	28914	\N	\N	\N
210596	715	1997-03-06	VYDAJ	VYBER	7800	23713	\N	\N	\N
210597	715	1997-04-05	VYDAJ	VYBER	5800	27089	\N	\N	\N
210598	715	1997-05-05	VYDAJ	VYBER	6800	30481	\N	\N	\N
210599	715	1997-06-04	VYDAJ	VYBER	7500	29079	\N	\N	\N
210600	715	1997-07-04	VYDAJ	VYBER	6900	15607	\N	\N	\N
210601	715	1997-08-03	VYDAJ	VYBER	7200	18551	\N	\N	\N
210602	715	1997-09-02	VYDAJ	VYBER	9500	19208	\N	\N	\N
210603	715	1997-10-02	VYDAJ	VYBER	8900	20469	\N	\N	\N
210604	715	1997-11-01	VYDAJ	VYBER	4100	23835	\N	\N	\N
210605	715	1997-12-01	VYDAJ	VYBER	10200	20704	\N	\N	\N
210606	715	1997-12-31	VYDAJ	VYBER	9500	27547	\N	\N	\N
210607	715	1998-01-30	VYDAJ	VYBER	2400	22399	\N	\N	\N
210608	715	1998-03-01	VYDAJ	VYBER	11800	20871	\N	\N	\N
210609	715	1998-03-31	VYDAJ	VYBER	8000	23055	\N	\N	\N
210610	715	1998-04-30	VYDAJ	VYBER	8700	24508	\N	\N	\N
210611	715	1998-05-30	VYDAJ	VYBER	12500	22060	\N	\N	\N
210612	715	1998-06-29	VYDAJ	VYBER	7700	32590	\N	\N	\N
210613	715	1998-07-29	VYDAJ	VYBER	14900	27880	\N	\N	\N
210614	715	1998-08-28	VYDAJ	VYBER	9500	26383	\N	\N	\N
210615	715	1998-09-27	VYDAJ	VYBER	13800	22763	\N	\N	\N
210616	715	1998-10-27	VYDAJ	VYBER	9500	23439	\N	\N	\N
210617	715	1998-11-26	VYDAJ	VYBER	7200	16901	\N	\N	\N
210646	716	1994-09-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
210656	716	1994-10-14	PRIJEM	VKLAD	19652	20652	\N	\N	\N
210657	716	1994-11-14	PRIJEM	VKLAD	19652	39523	\N	\N	\N
210658	716	1994-12-14	PRIJEM	VKLAD	29478	59493	\N	\N	\N
210659	716	1995-01-14	PRIJEM	VKLAD	19652	62584	\N	\N	\N
210660	716	1995-02-14	PRIJEM	VKLAD	19652	61413	\N	\N	\N
210661	716	1995-03-14	PRIJEM	VKLAD	19652	59647	\N	\N	\N
210662	716	1995-04-14	PRIJEM	VKLAD	19652	60087	\N	\N	\N
210663	716	1995-05-14	PRIJEM	VKLAD	19652	57558	\N	\N	\N
210664	716	1995-06-14	PRIJEM	VKLAD	29478	70783	\N	\N	\N
210665	716	1995-07-14	PRIJEM	VKLAD	19652	55829	\N	\N	\N
210666	716	1995-08-14	PRIJEM	VKLAD	19652	60022	\N	\N	\N
210667	716	1995-09-14	PRIJEM	VKLAD	19652	57246	\N	\N	\N
210668	716	1995-10-14	PRIJEM	VKLAD	19652	58141	\N	\N	\N
210669	716	1995-11-14	PRIJEM	VKLAD	19652	59806	\N	\N	\N
210670	716	1995-12-14	PRIJEM	VKLAD	29478	71658	\N	\N	\N
210671	716	1996-01-14	PRIJEM	VKLAD	19652	54749	\N	\N	\N
210672	716	1996-02-14	PRIJEM	VKLAD	19652	33386	\N	\N	\N
210673	716	1996-03-14	PRIJEM	VKLAD	19652	45603	\N	\N	\N
210674	716	1996-04-14	PRIJEM	VKLAD	19652	53462	\N	\N	\N
210675	716	1996-05-14	PRIJEM	VKLAD	19652	53240	\N	\N	\N
210676	716	1996-06-14	PRIJEM	VKLAD	29478	64345	\N	\N	\N
210677	716	1996-07-14	PRIJEM	VKLAD	19652	48576	\N	\N	\N
210678	716	1996-08-14	PRIJEM	VKLAD	19652	51681	\N	\N	\N
210679	716	1996-09-14	PRIJEM	VKLAD	19652	53154	\N	\N	\N
210680	716	1996-10-14	PRIJEM	VKLAD	19652	53932	\N	\N	\N
210681	716	1996-11-14	PRIJEM	VKLAD	19652	50357	\N	\N	\N
210682	716	1996-12-14	PRIJEM	VKLAD	29478	58465	\N	\N	\N
210683	716	1997-01-14	PRIJEM	VKLAD	19652	58785	\N	\N	\N
210684	716	1997-02-14	PRIJEM	VKLAD	19652	48665	\N	\N	\N
210685	716	1997-03-14	PRIJEM	VKLAD	19652	51979	\N	\N	\N
210686	716	1997-04-14	PRIJEM	VKLAD	19652	56626	\N	\N	\N
210687	716	1997-05-14	PRIJEM	VKLAD	19652	56827	\N	\N	\N
210688	716	1997-06-14	PRIJEM	VKLAD	29478	64815	\N	\N	\N
210689	716	1997-07-14	PRIJEM	VKLAD	19652	63536	\N	\N	\N
210690	716	1997-08-14	PRIJEM	VKLAD	19652	61438	\N	\N	\N
210691	716	1997-09-14	PRIJEM	VKLAD	19652	59132	\N	\N	\N
210692	716	1997-10-14	PRIJEM	VKLAD	19652	60915	\N	\N	\N
210693	716	1997-11-14	PRIJEM	VKLAD	19652	59902	\N	\N	\N
210694	716	1997-12-14	PRIJEM	VKLAD	29478	67216	\N	\N	\N
210695	716	1998-01-14	PRIJEM	VKLAD	19652	33111	\N	\N	\N
210696	716	1998-02-14	PRIJEM	VKLAD	19652	40984	\N	\N	\N
210697	716	1998-03-14	PRIJEM	VKLAD	19652	46663	\N	\N	\N
210698	716	1998-04-14	PRIJEM	VKLAD	19652	48983	\N	\N	\N
210699	716	1998-05-14	PRIJEM	VKLAD	19652	51019	\N	\N	\N
210700	716	1998-06-14	PRIJEM	VKLAD	29478	63089	\N	\N	\N
210701	716	1998-07-14	PRIJEM	VKLAD	19652	44331	\N	\N	\N
210702	716	1998-08-14	PRIJEM	VKLAD	19652	51539	\N	\N	\N
210703	716	1998-09-14	PRIJEM	VKLAD	19652	57060	\N	\N	\N
210704	716	1998-10-14	PRIJEM	VKLAD	19652	61123	\N	\N	\N
210705	716	1998-11-14	PRIJEM	VKLAD	19652	59601	\N	\N	\N
210706	716	1998-12-14	PRIJEM	VKLAD	29478	66908	\N	\N	\N
210708	716	1995-06-16	VYDAJ	VYBER	26560	44223	\N	\N	\N
210709	716	1996-06-17	VYDAJ	VYBER	11840	28805	\N	\N	\N
210710	716	1997-06-08	VYDAJ	VYBER	8800	48237	\N	\N	\N
210711	716	1998-06-24	VYDAJ	VYBER	36480	26609	\N	\N	\N
210714	716	1996-01-25	VYDAJ	VYBER	15360	18649	\N	\N	\N
210715	716	1997-01-27	VYDAJ	VYBER	15200	36505	\N	\N	\N
210716	716	1998-01-08	VYDAJ	VYBER	15040	18059	\N	\N	\N
210718	716	1995-12-29	VYDAJ	VYBER	3840	37098	\N	\N	\N
210719	716	1996-12-06	VYDAJ	VYBER	3840	46687	\N	\N	\N
210720	716	1997-12-29	VYDAJ	VYBER	1120	62256	\N	\N	\N
210721	716	1998-12-04	VYDAJ	VYBER KARTOU	1400	37430	\N	\N	0
210734	716	1996-01-17	VYDAJ	VYBER	2400	47909	\N	\N	\N
210735	716	1996-01-17	VYDAJ	VYBER	1920	50309	\N	\N	\N
210736	716	1996-01-26	VYDAJ	VYBER	3000	15649	\N	\N	\N
210737	716	1996-01-21	VYDAJ	VYBER	600	34009	\N	\N	\N
210738	716	1996-01-28	VYDAJ	VYBER	2040	13609	\N	\N	\N
210739	716	1996-01-14	VYDAJ	VYBER	2520	52229	\N	\N	\N
210740	716	1997-01-30	VYDAJ	VYBER	1200	35305	\N	\N	\N
210741	716	1997-01-27	VYDAJ	VYBER	1200	51705	\N	\N	\N
210742	716	1997-01-19	VYDAJ	VYBER	600	54945	\N	\N	\N
210743	716	1997-01-23	VYDAJ	VYBER	2040	52905	\N	\N	\N
210744	716	1997-01-15	VYDAJ	VYBER	2400	56385	\N	\N	\N
210745	716	1997-01-15	VYDAJ	VYBER	840	55545	\N	\N	\N
210746	716	1998-01-10	VYDAJ	VYBER KARTOU	2800	15259	\N	\N	0
210747	716	1998-01-13	VYDAJ	VYBER KARTOU	1800	13459	\N	\N	0
210748	716	1998-01-06	VYDAJ	VYBER	2280	53499	\N	\N	\N
210749	716	1998-01-30	VYDAJ	VYBER KARTOU	2800	26711	\N	\N	0
210750	716	1998-01-03	VYDAJ	VYBER	2880	55779	\N	\N	\N
210751	716	1998-01-16	VYDAJ	VYBER KARTOU	2500	30611	\N	\N	0
210757	716	1995-04-19	VYDAJ	VYBER	4440	55647	\N	\N	\N
210758	716	1995-08-28	VYDAJ	VYBER	2880	37442	\N	\N	\N
210759	716	1995-12-22	VYDAJ	VYBER	5520	40938	\N	\N	\N
210760	716	1995-11-09	VYDAJ	VYBER	2640	40154	\N	\N	\N
210761	716	1995-03-09	VYDAJ	VYBER	5280	39995	\N	\N	\N
210762	716	1996-07-20	VYDAJ	VYBER	960	31916	\N	\N	\N
210763	716	1996-01-04	VYDAJ	VYBER	2160	35097	\N	\N	\N
210764	716	1996-12-10	VYDAJ	VYBER	4800	41887	\N	\N	\N
210765	716	1997-01-08	VYDAJ	VYBER	3840	54833	\N	\N	\N
210766	716	1997-08-23	VYDAJ	VYBER	1800	59638	\N	\N	\N
210767	716	1997-06-15	VYDAJ	VYBER	960	63855	\N	\N	\N
210768	716	1997-04-26	VYDAJ	VYBER	4200	52426	\N	\N	\N
210769	716	1997-12-17	VYDAJ	VYBER	3840	63376	\N	\N	\N
210770	716	1997-05-08	VYDAJ	VYBER	1560	51075	\N	\N	\N
210771	716	1998-01-02	VYDAJ	VYBER	3840	58659	\N	\N	\N
210772	716	1998-11-30	VYDAJ	VYBER KARTOU	2200	57630	\N	\N	0
210773	716	1998-01-28	VYDAJ	VYBER KARTOU	1100	29511	\N	\N	0
210774	716	1998-06-01	VYDAJ	VYBER KARTOU	2500	48711	\N	\N	0
210775	716	1998-10-19	VYDAJ	VYBER KARTOU	3000	58123	\N	\N	0
210776	716	1998-08-06	VYDAJ	VYBER KARTOU	1600	31887	\N	\N	0
210777	716	1998-07-30	VYDAJ	VYBER	4080	40251	\N	\N	\N
210792	716	1995-02-28	VYDAJ	VYBER	15	45275	SLUZBY	\N	\N
210793	716	1995-03-31	VYDAJ	VYBER	15	40435	SLUZBY	\N	\N
210794	716	1995-04-30	VYDAJ	VYBER	15	37906	SLUZBY	\N	\N
210795	716	1995-05-31	VYDAJ	VYBER	15	41305	SLUZBY	\N	\N
210796	716	1995-06-30	VYDAJ	VYBER	15	36177	SLUZBY	\N	\N
210797	716	1995-07-31	VYDAJ	VYBER	15	40370	SLUZBY	\N	\N
210798	716	1995-08-31	VYDAJ	VYBER	15	37594	SLUZBY	\N	\N
210799	716	1995-09-30	VYDAJ	VYBER	15	38489	SLUZBY	\N	\N
210800	716	1995-10-31	VYDAJ	VYBER	15	42794	SLUZBY	\N	\N
210801	716	1995-11-30	VYDAJ	VYBER	15	42180	SLUZBY	\N	\N
210802	716	1995-12-31	VYDAJ	VYBER	15	37257	SLUZBY	\N	\N
210803	716	1996-01-31	VYDAJ	VYBER	15	13734	SLUZBY	\N	\N
210804	716	1996-02-29	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
210805	716	1996-03-31	VYDAJ	VYBER	15	33810	SLUZBY	\N	\N
210806	716	1996-04-30	VYDAJ	VYBER	15	33588	SLUZBY	\N	\N
210807	716	1996-05-31	VYDAJ	VYBER	15	34867	SLUZBY	\N	\N
210808	716	1996-06-30	VYDAJ	VYBER	15	28924	SLUZBY	\N	\N
210809	716	1996-07-31	VYDAJ	VYBER	15	32029	SLUZBY	\N	\N
210810	716	1996-08-31	VYDAJ	VYBER	15	33502	SLUZBY	\N	\N
210811	716	1996-09-30	VYDAJ	VYBER	15	34280	SLUZBY	\N	\N
210812	716	1996-10-31	VYDAJ	VYBER	15	36905	SLUZBY	\N	\N
210813	716	1996-11-30	VYDAJ	VYBER	15	50527	SLUZBY	\N	\N
210814	716	1996-12-31	VYDAJ	VYBER	15	58673	SLUZBY	\N	\N
210815	716	1997-01-31	VYDAJ	VYBER	15	35513	SLUZBY	\N	\N
210816	716	1997-02-28	VYDAJ	VYBER	15	48827	SLUZBY	\N	\N
210817	716	1997-03-31	VYDAJ	VYBER	15	52174	SLUZBY	\N	\N
210818	716	1997-04-30	VYDAJ	VYBER	15	52635	SLUZBY	\N	\N
210819	716	1997-05-31	VYDAJ	VYBER	15	57037	SLUZBY	\N	\N
210820	716	1997-06-30	VYDAJ	VYBER	15	64084	SLUZBY	\N	\N
210821	716	1997-07-31	VYDAJ	VYBER	15	63786	SLUZBY	\N	\N
210822	716	1997-08-31	VYDAJ	VYBER	15	59880	SLUZBY	\N	\N
210823	716	1997-09-30	VYDAJ	VYBER	15	59363	SLUZBY	\N	\N
210824	716	1997-10-31	VYDAJ	VYBER	15	61150	SLUZBY	\N	\N
210825	716	1997-11-30	VYDAJ	VYBER	15	60138	SLUZBY	\N	\N
210826	716	1997-12-31	VYDAJ	VYBER	15	62499	SLUZBY	\N	\N
210827	716	1998-01-31	VYDAJ	VYBER	15	26832	SLUZBY	\N	\N
210828	716	1998-02-28	VYDAJ	VYBER	15	41111	SLUZBY	\N	\N
210829	716	1998-03-31	VYDAJ	VYBER	15	46831	SLUZBY	\N	\N
210830	716	1998-04-30	VYDAJ	VYBER	15	49167	SLUZBY	\N	\N
210831	716	1998-05-31	VYDAJ	VYBER	15	51211	SLUZBY	\N	\N
210832	716	1998-06-30	VYDAJ	VYBER	15	26779	SLUZBY	\N	\N
210833	716	1998-07-31	VYDAJ	VYBER	15	40387	SLUZBY	\N	\N
210834	716	1998-08-31	VYDAJ	VYBER	15	51708	SLUZBY	\N	\N
210835	716	1998-09-30	VYDAJ	VYBER	15	57271	SLUZBY	\N	\N
210836	716	1998-10-31	VYDAJ	VYBER	15	58349	SLUZBY	\N	\N
210837	716	1998-11-30	VYDAJ	VYBER	15	59830	SLUZBY	\N	\N
210838	716	1994-10-25	VYDAJ	VYBER	800	19852	\N	\N	\N
210839	716	1994-11-24	VYDAJ	VYBER	9600	29923	\N	\N	\N
210840	716	1994-12-24	VYDAJ	VYBER	16700	42793	\N	\N	\N
210841	716	1995-01-23	VYDAJ	VYBER	21000	41584	\N	\N	\N
210842	716	1995-02-22	VYDAJ	VYBER	16300	45113	\N	\N	\N
210843	716	1995-03-24	VYDAJ	VYBER	19400	40247	\N	\N	\N
210844	716	1995-04-23	VYDAJ	VYBER	17900	37747	\N	\N	\N
210845	716	1995-05-23	VYDAJ	VYBER	16400	41158	\N	\N	\N
210846	716	1995-06-22	VYDAJ	VYBER	8200	36023	\N	\N	\N
210847	716	1995-07-22	VYDAJ	VYBER	15600	40229	\N	\N	\N
210848	716	1995-08-21	VYDAJ	VYBER	19700	40322	\N	\N	\N
210849	716	1995-09-20	VYDAJ	VYBER	18900	38346	\N	\N	\N
210850	716	1995-10-20	VYDAJ	VYBER	15500	42641	\N	\N	\N
210851	716	1995-11-19	VYDAJ	VYBER	17800	42006	\N	\N	\N
210852	716	1995-12-19	VYDAJ	VYBER	25200	46458	\N	\N	\N
210853	716	1996-01-18	VYDAJ	VYBER	13300	34609	\N	\N	\N
210854	716	1996-02-17	VYDAJ	VYBER	7500	25886	\N	\N	\N
210855	716	1996-03-18	VYDAJ	VYBER	11900	33703	\N	\N	\N
210856	716	1996-04-17	VYDAJ	VYBER	20000	33462	\N	\N	\N
210857	716	1996-05-17	VYDAJ	VYBER	18500	34740	\N	\N	\N
210858	716	1996-06-16	VYDAJ	VYBER	23700	40645	\N	\N	\N
210859	716	1996-07-16	VYDAJ	VYBER	15700	32876	\N	\N	\N
210860	716	1996-08-15	VYDAJ	VYBER	18300	33381	\N	\N	\N
210861	716	1996-09-14	VYDAJ	VYBER	19000	34154	\N	\N	\N
210862	716	1996-10-14	VYDAJ	VYBER	17200	36732	\N	\N	\N
210863	716	1996-11-13	VYDAJ	VYBER	6200	30705	\N	\N	\N
210864	716	1996-12-13	VYDAJ	VYBER	12900	28987	\N	\N	\N
210865	716	1997-01-12	VYDAJ	VYBER	15700	39133	\N	\N	\N
210866	716	1997-02-11	VYDAJ	VYBER	6500	29013	\N	\N	\N
210867	716	1997-03-13	VYDAJ	VYBER	16500	32327	\N	\N	\N
210868	716	1997-04-12	VYDAJ	VYBER	15200	36974	\N	\N	\N
210869	716	1997-05-12	VYDAJ	VYBER	13900	37175	\N	\N	\N
210870	716	1997-06-11	VYDAJ	VYBER	12900	35337	\N	\N	\N
210871	716	1997-07-11	VYDAJ	VYBER	20200	43884	\N	\N	\N
210872	716	1997-08-10	VYDAJ	VYBER	22000	41786	\N	\N	\N
210873	716	1997-09-09	VYDAJ	VYBER	20400	39480	\N	\N	\N
210874	716	1997-10-09	VYDAJ	VYBER	18100	41263	\N	\N	\N
210875	716	1997-11-08	VYDAJ	VYBER	20900	40250	\N	\N	\N
210876	716	1997-12-08	VYDAJ	VYBER	22400	37738	\N	\N	\N
210877	716	1998-01-07	VYDAJ	VYBER	20400	33099	\N	\N	\N
210878	716	1998-02-06	VYDAJ	VYBER	5500	21332	\N	\N	\N
210879	716	1998-03-08	VYDAJ	VYBER	14100	27011	\N	\N	\N
210880	716	1998-04-07	VYDAJ	VYBER	17500	29331	\N	\N	\N
210881	716	1998-05-07	VYDAJ	VYBER	17800	31367	\N	\N	\N
210882	716	1998-06-06	VYDAJ	VYBER	15100	33611	\N	\N	\N
210883	716	1998-07-06	VYDAJ	VYBER KARTOU	2100	24679	\N	\N	0
210884	716	1998-08-05	VYDAJ	VYBER	6900	33487	\N	\N	\N
210885	716	1998-09-04	VYDAJ	VYBER	14300	37408	\N	\N	\N
210886	716	1998-10-04	VYDAJ	VYBER	15800	41471	\N	\N	\N
210887	716	1998-11-03	VYDAJ	VYBER	18400	39949	\N	\N	\N
210888	716	1998-12-03	VYDAJ	VYBER	18800	38830	\N	\N	\N
210940	717	1993-04-24	PRIJEM	VKLAD	400	400	\N	\N	\N
210945	717	1993-05-14	PRIJEM	VKLAD	20374	20774	\N	\N	\N
210946	717	1993-06-14	PRIJEM	VKLAD	30561	53259	\N	\N	\N
210947	717	1993-07-14	PRIJEM	VKLAD	20374	61949	\N	\N	\N
210948	717	1993-08-14	PRIJEM	VKLAD	20374	61996	\N	\N	\N
210949	717	1993-09-14	PRIJEM	VKLAD	20374	66148	\N	\N	\N
210950	717	1993-10-14	PRIJEM	VKLAD	20374	58034	\N	\N	\N
210951	717	1993-11-14	PRIJEM	VKLAD	20374	53322	\N	\N	\N
210952	717	1993-12-14	PRIJEM	VKLAD	30561	59622	\N	\N	\N
210953	717	1994-01-14	PRIJEM	VKLAD	20374	51698	\N	\N	\N
210954	717	1994-02-14	PRIJEM	VKLAD	20374	47118	\N	\N	\N
210955	717	1994-03-14	PRIJEM	VKLAD	20374	48064	\N	\N	\N
210956	717	1994-04-14	PRIJEM	VKLAD	20374	50420	\N	\N	\N
210957	717	1994-05-14	PRIJEM	VKLAD	20374	48140	\N	\N	\N
210958	717	1994-06-14	PRIJEM	VKLAD	30561	59280	\N	\N	\N
210959	717	1994-07-14	PRIJEM	VKLAD	20374	54648	\N	\N	\N
210960	717	1994-08-14	PRIJEM	VKLAD	20374	52119	\N	\N	\N
210961	717	1994-09-14	PRIJEM	VKLAD	20374	52784	\N	\N	\N
210962	717	1994-10-14	PRIJEM	VKLAD	20374	54852	\N	\N	\N
210963	717	1994-11-14	PRIJEM	VKLAD	20374	54465	\N	\N	\N
210964	717	1994-12-14	PRIJEM	VKLAD	30561	55793	\N	\N	\N
210965	717	1995-01-14	PRIJEM	VKLAD	20374	46431	\N	\N	\N
210966	717	1995-02-14	PRIJEM	VKLAD	20374	41265	\N	\N	\N
210967	717	1995-03-14	PRIJEM	VKLAD	20374	52326	\N	\N	\N
210968	717	1995-04-14	PRIJEM	VKLAD	20374	50582	\N	\N	\N
210969	717	1995-05-14	PRIJEM	VKLAD	20374	49274	\N	\N	\N
210970	717	1995-06-14	PRIJEM	VKLAD	30561	55912	\N	\N	\N
210971	717	1995-07-14	PRIJEM	VKLAD	20374	56709	\N	\N	\N
210972	717	1995-08-14	PRIJEM	VKLAD	20374	49426	\N	\N	\N
210973	717	1995-09-14	PRIJEM	VKLAD	20374	47323	\N	\N	\N
210974	717	1995-10-14	PRIJEM	VKLAD	20374	48315	\N	\N	\N
210975	717	1995-11-14	PRIJEM	VKLAD	20374	51007	\N	\N	\N
210976	717	1995-12-14	PRIJEM	VKLAD	30561	61294	\N	\N	\N
210977	717	1996-01-14	PRIJEM	VKLAD	20374	54057	\N	\N	\N
210978	717	1996-02-14	PRIJEM	VKLAD	20374	49485	\N	\N	\N
210979	717	1996-03-14	PRIJEM	VKLAD	20374	51069	\N	\N	\N
210980	717	1996-04-14	PRIJEM	VKLAD	20374	49071	\N	\N	\N
210981	717	1996-05-14	PRIJEM	VKLAD	20374	48370	\N	\N	\N
210982	717	1996-06-14	PRIJEM	VKLAD	30561	57151	\N	\N	\N
210983	717	1996-07-14	PRIJEM	VKLAD	20374	52464	\N	\N	\N
210984	717	1996-08-14	PRIJEM	VKLAD	20374	50181	\N	\N	\N
210985	717	1996-09-14	PRIJEM	VKLAD	20374	50385	\N	\N	\N
210986	717	1996-10-14	PRIJEM	VKLAD	20374	51286	\N	\N	\N
210987	717	1996-11-14	PRIJEM	VKLAD	20374	49117	\N	\N	\N
210988	717	1996-12-14	PRIJEM	VKLAD	30561	59690	\N	\N	\N
210989	717	1997-01-14	PRIJEM	VKLAD	20374	53700	\N	\N	\N
210990	717	1997-02-14	PRIJEM	VKLAD	20374	47000	\N	\N	\N
210991	717	1997-03-14	PRIJEM	VKLAD	20374	53378	\N	\N	\N
210992	717	1997-04-14	PRIJEM	VKLAD	20374	55882	\N	\N	\N
210993	717	1997-05-14	PRIJEM	VKLAD	20374	56601	\N	\N	\N
210994	717	1997-06-14	PRIJEM	VKLAD	30561	65536	\N	\N	\N
210995	717	1997-07-14	PRIJEM	VKLAD	20374	58165	\N	\N	\N
210996	717	1997-08-14	PRIJEM	VKLAD	20374	60502	\N	\N	\N
210997	717	1997-09-14	PRIJEM	VKLAD	20374	55338	\N	\N	\N
210998	717	1997-10-14	PRIJEM	VKLAD	20374	49836	\N	\N	\N
210999	717	1997-11-14	PRIJEM	VKLAD	20374	49714	\N	\N	\N
211000	717	1997-12-14	PRIJEM	VKLAD	30561	63975	\N	\N	\N
211001	717	1998-01-14	PRIJEM	VKLAD	20374	49283	\N	\N	\N
211002	717	1998-02-14	PRIJEM	VKLAD	20374	53856	\N	\N	\N
211003	717	1998-03-14	PRIJEM	VKLAD	20374	50340	\N	\N	\N
211004	717	1998-04-14	PRIJEM	VKLAD	20374	50313	\N	\N	\N
211005	717	1998-05-14	PRIJEM	VKLAD	20374	49185	\N	\N	\N
211006	717	1998-06-14	PRIJEM	VKLAD	30561	52335	\N	\N	\N
211007	717	1998-07-14	PRIJEM	VKLAD	20374	45892	\N	\N	\N
211008	717	1998-08-14	PRIJEM	VKLAD	20374	47944	\N	\N	\N
211009	717	1998-09-14	PRIJEM	VKLAD	20374	50103	\N	\N	\N
211010	717	1998-10-14	PRIJEM	VKLAD	20374	48566	\N	\N	\N
211011	717	1998-11-14	PRIJEM	VKLAD	20374	43719	\N	\N	\N
211012	717	1998-12-14	PRIJEM	VKLAD	30561	45631	\N	\N	\N
211022	717	1993-10-12	VYDAJ	PREVOD NA UCET	6561	37660	SIPO	KL	48199552
211023	717	1993-11-12	VYDAJ	PREVOD NA UCET	6561	32948	SIPO	KL	48199552
211024	717	1993-12-12	VYDAJ	PREVOD NA UCET	6561	31621	SIPO	KL	48199552
211025	717	1994-01-12	VYDAJ	PREVOD NA UCET	6561	31324	SIPO	KL	48199552
211026	717	1994-02-12	VYDAJ	PREVOD NA UCET	6561	26744	SIPO	KL	48199552
211027	717	1994-03-12	VYDAJ	PREVOD NA UCET	6561	27690	SIPO	KL	48199552
211028	717	1994-04-12	VYDAJ	PREVOD NA UCET	6561	30046	SIPO	KL	48199552
211029	717	1994-05-12	VYDAJ	PREVOD NA UCET	6561	27766	SIPO	KL	48199552
211030	717	1994-06-12	VYDAJ	PREVOD NA UCET	6561	28719	SIPO	KL	48199552
211031	717	1994-07-12	VYDAJ	PREVOD NA UCET	6561	34274	SIPO	KL	48199552
211032	717	1994-08-12	VYDAJ	PREVOD NA UCET	6561	31745	SIPO	KL	48199552
211033	717	1994-09-12	VYDAJ	PREVOD NA UCET	6561	32410	SIPO	KL	48199552
211034	717	1994-10-12	VYDAJ	PREVOD NA UCET	6561	34478	SIPO	KL	48199552
211035	717	1994-11-12	VYDAJ	PREVOD NA UCET	6561	34091	SIPO	KL	48199552
211036	717	1994-12-12	VYDAJ	PREVOD NA UCET	6561	25232	SIPO	KL	48199552
211037	717	1995-01-12	VYDAJ	PREVOD NA UCET	6561	26057	SIPO	KL	48199552
211038	717	1995-02-12	VYDAJ	PREVOD NA UCET	6561	20391	SIPO	KL	48199552
211039	717	1995-03-12	VYDAJ	PREVOD NA UCET	6561	31952	SIPO	KL	48199552
211040	717	1995-04-12	VYDAJ	PREVOD NA UCET	6561	30208	SIPO	KL	48199552
211041	717	1995-05-12	VYDAJ	PREVOD NA UCET	6561	28900	SIPO	KL	48199552
211042	717	1995-06-12	VYDAJ	PREVOD NA UCET	6561	31451	SIPO	KL	48199552
211043	717	1995-07-12	VYDAJ	PREVOD NA UCET	6561	49535	SIPO	KL	48199552
211044	717	1995-08-12	VYDAJ	PREVOD NA UCET	6561	41952	SIPO	KL	48199552
211045	717	1995-09-12	VYDAJ	PREVOD NA UCET	6561	26949	SIPO	KL	48199552
211046	717	1995-10-12	VYDAJ	PREVOD NA UCET	6561	27941	SIPO	KL	48199552
211047	717	1995-11-12	VYDAJ	PREVOD NA UCET	6561	30633	SIPO	KL	48199552
211048	717	1995-12-12	VYDAJ	PREVOD NA UCET	6561	30733	SIPO	KL	48199552
211049	717	1996-01-12	VYDAJ	PREVOD NA UCET	6561	33683	SIPO	KL	48199552
211050	717	1996-02-12	VYDAJ	PREVOD NA UCET	6561	29111	SIPO	KL	48199552
211051	717	1996-03-12	VYDAJ	PREVOD NA UCET	6561	30695	SIPO	KL	48199552
211052	717	1996-04-12	VYDAJ	PREVOD NA UCET	6561	28697	SIPO	KL	48199552
211053	717	1996-05-12	VYDAJ	PREVOD NA UCET	6561	27996	SIPO	KL	48199552
211054	717	1996-06-12	VYDAJ	PREVOD NA UCET	6561	26590	SIPO	KL	48199552
211055	717	1996-07-12	VYDAJ	PREVOD NA UCET	6561	32090	SIPO	KL	48199552
211056	717	1996-08-12	VYDAJ	PREVOD NA UCET	6561	29807	SIPO	KL	48199552
211057	717	1996-09-12	VYDAJ	PREVOD NA UCET	6561	30011	SIPO	KL	48199552
211058	717	1996-10-12	VYDAJ	PREVOD NA UCET	6561	30912	SIPO	KL	48199552
211059	717	1996-11-12	VYDAJ	PREVOD NA UCET	6561	28743	SIPO	KL	48199552
211060	717	1996-12-12	VYDAJ	PREVOD NA UCET	6561	29129	SIPO	KL	48199552
211061	717	1997-01-12	VYDAJ	PREVOD NA UCET	6561	33326	SIPO	KL	48199552
211062	717	1997-02-12	VYDAJ	PREVOD NA UCET	6561	26626	SIPO	KL	48199552
211063	717	1997-03-12	VYDAJ	PREVOD NA UCET	6561	33004	SIPO	KL	48199552
211064	717	1997-04-12	VYDAJ	PREVOD NA UCET	6561	35508	SIPO	KL	48199552
211065	717	1997-05-12	VYDAJ	PREVOD NA UCET	6561	36227	SIPO	KL	48199552
211066	717	1997-06-12	VYDAJ	PREVOD NA UCET	6561	35675	SIPO	KL	48199552
211067	717	1997-07-12	VYDAJ	PREVOD NA UCET	6561	37791	SIPO	KL	48199552
211068	717	1997-08-12	VYDAJ	PREVOD NA UCET	6561	40128	SIPO	KL	48199552
211069	717	1997-09-12	VYDAJ	PREVOD NA UCET	6561	34964	SIPO	KL	48199552
211070	717	1997-10-12	VYDAJ	PREVOD NA UCET	6561	29462	SIPO	KL	48199552
211071	717	1997-11-12	VYDAJ	PREVOD NA UCET	6561	29340	SIPO	KL	48199552
211072	717	1997-12-12	VYDAJ	PREVOD NA UCET	6561	33414	SIPO	KL	48199552
211073	717	1998-01-12	VYDAJ	PREVOD NA UCET	6561	28909	SIPO	KL	48199552
211074	717	1998-02-12	VYDAJ	PREVOD NA UCET	6561	33482	SIPO	KL	48199552
211075	717	1998-03-12	VYDAJ	PREVOD NA UCET	6561	29966	SIPO	KL	48199552
211076	717	1998-04-12	VYDAJ	PREVOD NA UCET	6561	29939	SIPO	KL	48199552
211077	717	1998-05-12	VYDAJ	PREVOD NA UCET	6561	28811	SIPO	KL	48199552
211078	717	1998-06-12	VYDAJ	PREVOD NA UCET	6561	21774	SIPO	KL	48199552
211079	717	1998-07-12	VYDAJ	PREVOD NA UCET	6561	25518	SIPO	KL	48199552
211080	717	1998-08-12	VYDAJ	PREVOD NA UCET	6561	27570	SIPO	KL	48199552
211081	717	1998-09-12	VYDAJ	PREVOD NA UCET	6561	29729	SIPO	KL	48199552
211082	717	1998-10-12	VYDAJ	PREVOD NA UCET	6561	28192	SIPO	KL	48199552
211083	717	1998-11-12	VYDAJ	PREVOD NA UCET	6561	23345	SIPO	KL	48199552
211084	717	1998-12-12	VYDAJ	PREVOD NA UCET	6561	15070	SIPO	KL	48199552
211085	717	1993-12-12	VYDAJ	VYBER	2560	29061	\N	\N	\N
211086	717	1994-12-09	VYDAJ	VYBER	4320	31793	\N	\N	\N
211087	717	1995-12-16	VYDAJ	VYBER	3360	57934	\N	\N	\N
211088	717	1996-12-28	VYDAJ	VYBER KARTOU	3400	56290	\N	\N	0
211089	717	1997-12-16	VYDAJ	VYBER KARTOU	1400	62575	\N	\N	0
211097	717	1994-01-28	VYDAJ	VYBER	840	33158	\N	\N	\N
211098	717	1994-01-11	VYDAJ	VYBER	1080	37885	\N	\N	\N
211099	717	1994-01-18	VYDAJ	VYBER	2280	46658	\N	\N	\N
211100	717	1994-01-25	VYDAJ	VYBER	1560	33998	\N	\N	\N
211101	717	1994-01-17	VYDAJ	VYBER	2760	48938	\N	\N	\N
211102	717	1994-01-02	VYDAJ	VYBER	1320	38965	\N	\N	\N
211103	717	1995-01-16	VYDAJ	VYBER	1320	32111	\N	\N	\N
211104	717	1995-01-01	VYDAJ	VYBER	3480	37058	\N	\N	\N
211105	717	1995-01-09	VYDAJ	VYBER	600	32618	\N	\N	\N
211106	717	1995-01-15	VYDAJ	VYBER	2400	33431	\N	\N	\N
211107	717	1995-01-23	VYDAJ	VYBER	2400	29711	\N	\N	\N
211108	717	1995-01-26	VYDAJ	VYBER	2880	26831	\N	\N	\N
211109	717	1996-01-14	VYDAJ	VYBER	2640	49977	\N	\N	\N
211110	717	1996-01-04	VYDAJ	VYBER	600	57544	\N	\N	\N
211111	717	1996-01-10	VYDAJ	VYBER	3000	40244	\N	\N	\N
211112	717	1996-01-15	VYDAJ	VYBER	720	47337	\N	\N	\N
211113	717	1996-01-14	VYDAJ	VYBER	1920	48057	\N	\N	\N
211114	717	1996-01-20	VYDAJ	VYBER	2520	41097	\N	\N	\N
211115	717	1997-01-19	VYDAJ	VYBER KARTOU	1300	46700	\N	\N	0
211116	717	1997-01-24	VYDAJ	VYBER KARTOU	1000	45700	\N	\N	0
211117	717	1997-01-11	VYDAJ	VYBER KARTOU	1900	39887	\N	\N	0
211118	717	1997-01-18	VYDAJ	VYBER KARTOU	3400	48000	\N	\N	0
211119	717	1997-01-29	VYDAJ	VYBER KARTOU	3200	42500	\N	\N	0
211120	717	1997-01-16	VYDAJ	VYBER KARTOU	2300	51400	\N	\N	0
211121	717	1998-01-10	VYDAJ	VYBER KARTOU	2900	35470	\N	\N	0
211122	717	1998-01-19	VYDAJ	VYBER KARTOU	2800	46483	\N	\N	0
211123	717	1998-01-03	VYDAJ	VYBER KARTOU	700	42570	\N	\N	0
211124	717	1998-01-01	VYDAJ	VYBER KARTOU	2800	43270	\N	\N	0
211125	717	1998-01-07	VYDAJ	VYBER KARTOU	3500	39070	\N	\N	0
211126	717	1998-01-09	VYDAJ	VYBER KARTOU	700	38370	\N	\N	0
211132	717	1994-11-18	VYDAJ	VYBER	3000	35965	\N	\N	\N
211133	717	1994-05-07	VYDAJ	VYBER	2040	34327	\N	\N	\N
211134	717	1994-10-23	VYDAJ	VYBER	2160	40492	\N	\N	\N
211135	717	1995-07-20	VYDAJ	VYBER	4920	49629	\N	\N	\N
211136	717	1995-04-16	VYDAJ	VYBER	3360	35322	\N	\N	\N
211137	717	1995-07-30	VYDAJ	VYBER	1320	48309	\N	\N	\N
211138	717	1995-02-28	VYDAJ	VYBER	2880	38513	\N	\N	\N
211139	717	1995-01-09	VYDAJ	VYBER	3840	33218	\N	\N	\N
211140	717	1995-07-17	VYDAJ	VYBER	2160	54549	\N	\N	\N
211141	717	1996-10-15	VYDAJ	VYBER	5160	46126	\N	\N	\N
211142	717	1996-01-14	VYDAJ	VYBER	1440	52617	\N	\N	\N
211143	717	1996-01-15	VYDAJ	VYBER	3720	43617	\N	\N	\N
211144	717	1996-10-15	VYDAJ	VYBER KARTOU	2600	43526	\N	\N	0
211145	717	1996-12-07	VYDAJ	VYBER KARTOU	800	35690	\N	\N	0
211146	717	1997-06-24	VYDAJ	VYBER KARTOU	2900	61436	\N	\N	0
211147	717	1997-10-07	VYDAJ	VYBER KARTOU	3800	36023	\N	\N	0
211148	717	1997-06-21	VYDAJ	VYBER KARTOU	1200	64336	\N	\N	0
211149	717	1997-05-17	VYDAJ	VYBER	5160	48441	\N	\N	\N
211150	717	1997-06-13	VYDAJ	VYBER KARTOU	700	34975	\N	\N	0
211151	717	1997-05-16	VYDAJ	VYBER KARTOU	3000	53601	\N	\N	0
211152	717	1998-02-19	VYDAJ	VYBER KARTOU	2600	51256	\N	\N	0
211153	717	1998-03-10	VYDAJ	VYBER KARTOU	1100	36527	\N	\N	0
211154	717	1998-12-30	VYDAJ	VYBER	5880	24251	\N	\N	\N
211155	717	1998-11-20	VYDAJ	VYBER	4800	38919	\N	\N	\N
211165	717	1993-09-30	VYDAJ	VYBER	15	44221	SLUZBY	\N	\N
211166	717	1993-10-31	VYDAJ	VYBER	15	39509	SLUZBY	\N	\N
211167	717	1993-11-30	VYDAJ	VYBER	15	38182	SLUZBY	\N	\N
211168	717	1993-12-31	VYDAJ	VYBER	15	40285	SLUZBY	\N	\N
211169	717	1994-01-31	VYDAJ	VYBER	15	33305	SLUZBY	\N	\N
211170	717	1994-02-28	VYDAJ	VYBER	15	34251	SLUZBY	\N	\N
211171	717	1994-03-31	VYDAJ	VYBER	15	36607	SLUZBY	\N	\N
211172	717	1994-04-30	VYDAJ	VYBER	15	36367	SLUZBY	\N	\N
211173	717	1994-05-31	VYDAJ	VYBER	15	35280	SLUZBY	\N	\N
211174	717	1994-06-30	VYDAJ	VYBER	15	40835	SLUZBY	\N	\N
211175	717	1994-07-31	VYDAJ	VYBER	15	38306	SLUZBY	\N	\N
211176	717	1994-08-31	VYDAJ	VYBER	15	38971	SLUZBY	\N	\N
211177	717	1994-09-30	VYDAJ	VYBER	15	41039	SLUZBY	\N	\N
211178	717	1994-10-31	VYDAJ	VYBER	15	40652	SLUZBY	\N	\N
211179	717	1994-11-30	VYDAJ	VYBER	15	36113	SLUZBY	\N	\N
211180	717	1994-12-31	VYDAJ	VYBER	15	40538	SLUZBY	\N	\N
211181	717	1995-01-31	VYDAJ	VYBER	15	26952	SLUZBY	\N	\N
211182	717	1995-02-28	VYDAJ	VYBER	15	41393	SLUZBY	\N	\N
211183	717	1995-03-31	VYDAJ	VYBER	15	36769	SLUZBY	\N	\N
211184	717	1995-04-30	VYDAJ	VYBER	15	35461	SLUZBY	\N	\N
211185	717	1995-05-31	VYDAJ	VYBER	15	38012	SLUZBY	\N	\N
211186	717	1995-06-30	VYDAJ	VYBER	15	56096	SLUZBY	\N	\N
211187	717	1995-07-31	VYDAJ	VYBER	15	48513	SLUZBY	\N	\N
211188	717	1995-08-31	VYDAJ	VYBER	15	49610	SLUZBY	\N	\N
211189	717	1995-09-30	VYDAJ	VYBER	15	47502	SLUZBY	\N	\N
211190	717	1995-10-31	VYDAJ	VYBER	15	48494	SLUZBY	\N	\N
211191	717	1995-11-30	VYDAJ	VYBER	15	51194	SLUZBY	\N	\N
211192	717	1995-12-31	VYDAJ	VYBER	15	58144	SLUZBY	\N	\N
211193	717	1996-01-31	VYDAJ	VYBER	15	41272	SLUZBY	\N	\N
211194	717	1996-02-29	VYDAJ	VYBER	15	49656	SLUZBY	\N	\N
211195	717	1996-03-31	VYDAJ	VYBER	15	51258	SLUZBY	\N	\N
211196	717	1996-04-30	VYDAJ	VYBER	15	49257	SLUZBY	\N	\N
211197	717	1996-05-31	VYDAJ	VYBER	15	48551	SLUZBY	\N	\N
211198	717	1996-06-30	VYDAJ	VYBER	15	57351	SLUZBY	\N	\N
211199	717	1996-07-31	VYDAJ	VYBER	15	52668	SLUZBY	\N	\N
211200	717	1996-08-31	VYDAJ	VYBER	15	50372	SLUZBY	\N	\N
211201	717	1996-09-30	VYDAJ	VYBER	15	50573	SLUZBY	\N	\N
211202	717	1996-10-31	VYDAJ	VYBER	15	43704	SLUZBY	\N	\N
211203	717	1996-11-30	VYDAJ	VYBER	15	49290	SLUZBY	\N	\N
211204	717	1996-12-31	VYDAJ	VYBER	15	56487	SLUZBY	\N	\N
211205	717	1997-01-31	VYDAJ	VYBER	15	42687	SLUZBY	\N	\N
211206	717	1997-02-28	VYDAJ	VYBER	15	47165	SLUZBY	\N	\N
211207	717	1997-03-31	VYDAJ	VYBER	15	53569	SLUZBY	\N	\N
211208	717	1997-04-30	VYDAJ	VYBER	15	56088	SLUZBY	\N	\N
211209	717	1997-05-31	VYDAJ	VYBER	15	48636	SLUZBY	\N	\N
211210	717	1997-06-30	VYDAJ	VYBER	15	61652	SLUZBY	\N	\N
211211	717	1997-07-31	VYDAJ	VYBER	15	58389	SLUZBY	\N	\N
211212	717	1997-08-31	VYDAJ	VYBER	15	41525	SLUZBY	\N	\N
211213	717	1997-09-30	VYDAJ	VYBER	15	39823	SLUZBY	\N	\N
211214	717	1997-10-31	VYDAJ	VYBER	15	35901	SLUZBY	\N	\N
211215	717	1997-11-30	VYDAJ	VYBER	15	39975	SLUZBY	\N	\N
211216	717	1997-12-31	VYDAJ	VYBER	15	46070	SLUZBY	\N	\N
211217	717	1998-01-31	VYDAJ	VYBER	15	40043	SLUZBY	\N	\N
211218	717	1998-02-28	VYDAJ	VYBER	15	37627	SLUZBY	\N	\N
211219	717	1998-03-31	VYDAJ	VYBER	15	36500	SLUZBY	\N	\N
211220	717	1998-04-30	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
211221	717	1998-05-31	VYDAJ	VYBER	15	28335	SLUZBY	\N	\N
211222	717	1998-06-30	VYDAJ	VYBER	15	32079	SLUZBY	\N	\N
211223	717	1998-07-31	VYDAJ	VYBER	15	34131	SLUZBY	\N	\N
211224	717	1998-08-31	VYDAJ	VYBER	15	36290	SLUZBY	\N	\N
211225	717	1998-09-30	VYDAJ	VYBER	15	34753	SLUZBY	\N	\N
211226	717	1998-10-31	VYDAJ	VYBER	15	29906	SLUZBY	\N	\N
211227	717	1998-11-30	VYDAJ	VYBER	15	21631	SLUZBY	\N	\N
211228	717	1993-05-24	PRIJEM	VKLAD	1900	22674	\N	\N	\N
211229	717	1993-06-23	VYDAJ	VYBER	11800	41459	\N	\N	\N
211230	717	1993-07-23	VYDAJ	VYBER	20500	41449	\N	\N	\N
211231	717	1993-08-22	VYDAJ	VYBER	16400	45596	\N	\N	\N
211232	717	1993-09-21	VYDAJ	VYBER	22100	44048	\N	\N	\N
211233	717	1993-10-21	VYDAJ	VYBER	18700	39334	\N	\N	\N
211234	717	1993-11-20	VYDAJ	VYBER	15300	38022	\N	\N	\N
211235	717	1993-12-20	VYDAJ	VYBER	19500	40122	\N	\N	\N
211236	717	1994-01-19	VYDAJ	VYBER	11100	35558	\N	\N	\N
211237	717	1994-02-18	VYDAJ	VYBER	13000	34118	\N	\N	\N
211238	717	1994-03-20	VYDAJ	VYBER	11600	36464	\N	\N	\N
211239	717	1994-04-19	VYDAJ	VYBER	14200	36220	\N	\N	\N
211240	717	1994-05-19	VYDAJ	VYBER	13000	35140	\N	\N	\N
211241	717	1994-06-18	VYDAJ	VYBER	18600	40680	\N	\N	\N
211242	717	1994-07-18	VYDAJ	VYBER	16500	38148	\N	\N	\N
211243	717	1994-08-17	VYDAJ	VYBER	13300	38819	\N	\N	\N
211244	717	1994-09-16	VYDAJ	VYBER	11900	40884	\N	\N	\N
211245	717	1994-10-16	VYDAJ	VYBER	12200	42652	\N	\N	\N
211246	717	1994-11-15	VYDAJ	VYBER	15500	38965	\N	\N	\N
211247	717	1994-12-15	VYDAJ	VYBER	15400	40393	\N	\N	\N
211248	717	1995-01-14	VYDAJ	VYBER	10600	35831	\N	\N	\N
211249	717	1995-02-13	PRIJEM	VKLAD	500	20891	\N	\N	\N
211250	717	1995-03-15	VYDAJ	VYBER	15700	36626	\N	\N	\N
211251	717	1995-04-14	VYDAJ	VYBER	11900	38682	\N	\N	\N
211252	717	1995-05-14	VYDAJ	VYBER	11400	37874	\N	\N	\N
211253	717	1995-06-13	VYDAJ	VYBER	6100	25351	\N	\N	\N
211254	717	1995-07-13	VYDAJ	VYBER	13200	36335	\N	\N	\N
211255	717	1995-08-12	VYDAJ	VYBER	12900	29052	\N	\N	\N
211256	717	1995-09-11	VYDAJ	VYBER	16100	33510	\N	\N	\N
211257	717	1995-10-11	VYDAJ	VYBER	13000	34502	\N	\N	\N
211258	717	1995-11-10	VYDAJ	VYBER	11300	37194	\N	\N	\N
211259	717	1995-12-10	VYDAJ	VYBER	13900	37294	\N	\N	\N
211260	717	1996-01-09	VYDAJ	VYBER	14300	43244	\N	\N	\N
211261	717	1996-02-08	VYDAJ	VYBER	5600	35672	\N	\N	\N
211262	717	1996-03-09	VYDAJ	VYBER	12400	37256	\N	\N	\N
211263	717	1996-04-08	VYDAJ	VYBER	16000	35258	\N	\N	\N
211264	717	1996-05-08	VYDAJ	VYBER	14700	34557	\N	\N	\N
211265	717	1996-06-07	VYDAJ	VYBER	15400	33151	\N	\N	\N
211266	717	1996-07-07	VYDAJ	VYBER	18700	38651	\N	\N	\N
211267	717	1996-08-06	VYDAJ	VYBER	16300	36368	\N	\N	\N
211268	717	1996-09-05	VYDAJ	VYBER	13800	36572	\N	\N	\N
211269	717	1996-10-05	VYDAJ	VYBER	13100	37473	\N	\N	\N
211270	717	1996-11-04	VYDAJ	VYBER	8400	35304	\N	\N	\N
211271	717	1996-12-04	VYDAJ	VYBER	12800	36490	\N	\N	\N
211272	717	1997-01-03	VYDAJ	VYBER	14700	41787	\N	\N	\N
211273	717	1997-02-02	VYDAJ	VYBER	9500	33187	\N	\N	\N
211274	717	1997-03-04	VYDAJ	VYBER	7600	39565	\N	\N	\N
211275	717	1997-04-03	VYDAJ	VYBER	11500	42069	\N	\N	\N
211276	717	1997-05-03	VYDAJ	VYBER	13300	42788	\N	\N	\N
211277	717	1997-06-02	VYDAJ	VYBER	6400	42236	\N	\N	\N
211278	717	1997-07-02	VYDAJ	VYBER	17300	44352	\N	\N	\N
211279	717	1997-08-01	VYDAJ	VYBER	11700	46689	\N	\N	\N
211280	717	1997-08-31	VYDAJ	VYBER	19200	41539	\N	\N	\N
211281	717	1997-09-30	VYDAJ	VYBER	15700	39838	\N	\N	\N
211282	717	1997-10-30	VYDAJ	VYBER	14100	35736	\N	\N	\N
211283	717	1997-11-29	VYDAJ	VYBER	9900	39814	\N	\N	\N
211284	717	1997-12-29	VYDAJ	VYBER	16700	45875	\N	\N	\N
211285	717	1998-01-28	VYDAJ	VYBER	6600	39883	\N	\N	\N
211286	717	1998-02-27	VYDAJ	VYBER	13800	37456	\N	\N	\N
211287	717	1998-03-29	VYDAJ	VYBER	14000	36340	\N	\N	\N
211288	717	1998-04-28	VYDAJ	VYBER	15100	35213	\N	\N	\N
211289	717	1998-05-28	VYDAJ	VYBER	21000	28185	\N	\N	\N
211290	717	1998-06-27	VYDAJ	VYBER	20400	31935	\N	\N	\N
211291	717	1998-07-27	VYDAJ	VYBER	11900	33992	\N	\N	\N
211292	717	1998-08-26	VYDAJ	VYBER	11800	36144	\N	\N	\N
211293	717	1998-09-25	VYDAJ	VYBER	15500	34603	\N	\N	\N
211294	717	1998-10-25	VYDAJ	VYBER	18800	29766	\N	\N	\N
211295	717	1998-11-24	VYDAJ	VYBER	17400	21519	\N	\N	\N
211296	717	1998-12-24	VYDAJ	VYBER	15500	30131	\N	\N	\N
211365	718	1996-03-03	PRIJEM	VKLAD	500	500	\N	\N	\N
211366	718	1996-10-08	PRIJEM	VKLAD	16704	67544	\N	\N	\N
211367	718	1996-08-16	PRIJEM	VKLAD	12569	45926	\N	\N	\N
211368	718	1996-09-03	PRIJEM	VKLAD	49059	105529	\N	\N	\N
211369	718	1996-08-18	PRIJEM	VKLAD	28333	74259	\N	\N	\N
211370	718	1996-06-22	PRIJEM	VKLAD	7086	31586	\N	\N	\N
211371	718	1997-08-26	PRIJEM	VKLAD	34325	91681	\N	\N	\N
211372	718	1997-07-05	PRIJEM	VKLAD	46289	79712	\N	\N	\N
211373	718	1997-06-01	PRIJEM	VKLAD	5001	36920	\N	\N	\N
211374	718	1997-09-10	PRIJEM	VKLAD	25241	104072	\N	\N	\N
211375	718	1997-11-03	PRIJEM	VKLAD	21343	43035	\N	\N	\N
211376	718	1997-07-26	PRIJEM	VKLAD	44284	92738	\N	\N	\N
211377	718	1997-01-09	PRIJEM	VKLAD	30421	40733	\N	\N	\N
211378	718	1997-01-28	PRIJEM	VKLAD	15179	46579	\N	\N	\N
211379	718	1997-08-02	PRIJEM	VKLAD	31206	105970	\N	\N	\N
211380	718	1997-01-10	PRIJEM	VKLAD	46782	80189	\N	\N	\N
211381	718	1998-03-03	PRIJEM	VKLAD	46019	134873	\N	\N	\N
211382	718	1998-08-01	PRIJEM	VKLAD	45952	113008	\N	\N	\N
211383	718	1998-07-19	PRIJEM	VKLAD	30464	70706	\N	\N	\N
211384	718	1998-12-04	PRIJEM	VKLAD	49588	133226	\N	\N	\N
211385	718	1998-12-20	PRIJEM	VKLAD	5905	49142	\N	\N	\N
211386	718	1998-08-04	PRIJEM	VKLAD	33016	116424	\N	\N	\N
211387	718	1998-10-11	PRIJEM	VKLAD	31859	109212	\N	\N	\N
211388	718	1998-04-22	PRIJEM	VKLAD	42503	77103	\N	\N	\N
211389	718	1998-02-25	PRIJEM	VKLAD	35346	88658	\N	\N	\N
211390	718	1998-04-16	PRIJEM	VKLAD	11858	34600	\N	\N	\N
211391	718	1998-09-27	PRIJEM	VKLAD	11282	85542	\N	\N	\N
211392	718	1998-01-14	PRIJEM	VKLAD	35951	40511	\N	\N	\N
211393	718	1998-07-23	PRIJEM	VKLAD	9120	66826	\N	\N	\N
211394	718	1998-04-24	PRIJEM	VKLAD	25478	87081	\N	\N	\N
211395	718	1998-02-17	PRIJEM	VKLAD	40738	64812	\N	\N	\N
211396	718	1998-06-03	PRIJEM	VKLAD	47973	75661	\N	\N	\N
211397	718	1998-11-13	PRIJEM	VKLAD	44583	64702	\N	\N	\N
211398	718	1998-09-27	PRIJEM	VKLAD	5079	90621	\N	\N	\N
211399	718	1998-09-22	PRIJEM	VKLAD	41059	74260	\N	\N	\N
211400	718	1998-06-17	PRIJEM	VKLAD	41060	71820	\N	\N	\N
211401	718	1998-02-01	PRIJEM	VKLAD	29169	50675	\N	\N	\N
211402	718	1998-08-13	PRIJEM	VKLAD	17568	55391	\N	\N	\N
211403	718	1998-11-20	PRIJEM	VKLAD	29405	83407	\N	\N	\N
211404	718	1998-05-09	PRIJEM	VKLAD	34658	114823	\N	\N	\N
211414	718	1996-10-22	VYDAJ	VYBER	5800	43577	\N	\N	0
211415	718	1996-11-10	VYDAJ	VYBER	6700	27426	\N	\N	0
211416	718	1996-12-03	VYDAJ	VYBER	7100	18190	\N	\N	0
211417	718	1997-01-02	VYDAJ	VYBER	7700	17434	\N	\N	0
211418	718	1997-01-27	VYDAJ	VYBER	4800	31400	\N	\N	0
211419	718	1997-03-13	VYDAJ	VYBER	6000	13468	\N	\N	0
211420	718	1997-04-26	VYDAJ	VYBER	6800	9256	\N	\N	0
211421	718	1997-05-21	VYDAJ	VYBER	5200	10444	\N	\N	0
211422	718	1997-06-19	VYDAJ	VYBER	7800	15231	\N	\N	0
211423	718	1997-07-07	VYDAJ	VYBER	6300	66290	\N	\N	0
211424	718	1997-08-08	VYDAJ	VYBER	8300	76523	\N	\N	0
211425	718	1997-09-12	VYDAJ	PREVOD NA UCET	6412	91619	UVER	KL	3925556
211426	718	1997-10-12	VYDAJ	PREVOD NA UCET	6412	27733	UVER	KL	3925556
211427	718	1997-11-12	VYDAJ	PREVOD NA UCET	6412	28775	UVER	KL	3925556
211428	718	1997-12-12	VYDAJ	PREVOD NA UCET	6412	2301	UVER	KL	3925556
211429	718	1998-01-12	VYDAJ	PREVOD NA UCET	6412	4560	UVER	KL	3925556
211430	718	1998-02-12	VYDAJ	PREVOD NA UCET	6412	30115	UVER	KL	3925556
211431	718	1998-03-12	VYDAJ	PREVOD NA UCET	6412	66372	UVER	KL	3925556
211432	718	1998-04-12	VYDAJ	PREVOD NA UCET	6412	36583	UVER	KL	3925556
211433	718	1998-05-12	VYDAJ	PREVOD NA UCET	6412	57985	UVER	KL	3925556
211434	718	1998-06-12	VYDAJ	PREVOD NA UCET	6412	61401	UVER	KL	3925556
211435	718	1998-07-12	VYDAJ	PREVOD NA UCET	6412	46283	UVER	KL	3925556
211436	718	1998-08-12	VYDAJ	PREVOD NA UCET	6412	37823	UVER	KL	3925556
211437	718	1998-09-14	VYDAJ	VYBER	4200	22101	\N	\N	0
211438	718	1998-10-05	VYDAJ	VYBER	5600	85201	\N	\N	0
211439	718	1998-11-15	VYDAJ	VYBER	6900	57802	\N	\N	0
211440	718	1998-12-06	VYDAJ	VYBER	6300	109926	\N	\N	0
211450	718	1996-10-09	VYDAJ	PREVOD NA UCET	726	66818	SIPO	KL	22049463
211451	718	1996-11-09	VYDAJ	PREVOD NA UCET	726	34126	SIPO	KL	22049463
211452	718	1996-12-09	VYDAJ	PREVOD NA UCET	726	10342	SIPO	KL	22049463
211453	718	1997-01-09	VYDAJ	PREVOD NA UCET	726	40007	SIPO	KL	22049463
211454	718	1997-02-09	VYDAJ	PREVOD NA UCET	726	26596	SIPO	KL	22049463
211455	718	1997-03-09	VYDAJ	PREVOD NA UCET	726	25509	SIPO	KL	22049463
211456	718	1997-04-09	VYDAJ	PREVOD NA UCET	726	22097	SIPO	KL	22049463
211457	718	1997-05-09	VYDAJ	PREVOD NA UCET	726	21685	SIPO	KL	22049463
211458	718	1997-06-09	VYDAJ	PREVOD NA UCET	726	29072	SIPO	KL	22049463
211459	718	1997-07-09	VYDAJ	PREVOD NA UCET	726	65564	SIPO	KL	22049463
211460	718	1997-08-09	VYDAJ	PREVOD NA UCET	726	75797	SIPO	KL	22049463
211461	718	1997-09-09	VYDAJ	PREVOD NA UCET	726	78831	SIPO	KL	22049463
211462	718	1997-10-09	VYDAJ	PREVOD NA UCET	726	34145	SIPO	KL	22049463
211463	718	1997-11-09	VYDAJ	PREVOD NA UCET	726	35187	SIPO	KL	22049463
211464	718	1997-12-09	VYDAJ	PREVOD NA UCET	726	14754	SIPO	KL	22049463
211465	718	1998-01-09	VYDAJ	PREVOD NA UCET	726	17013	SIPO	KL	22049463
211466	718	1998-02-09	VYDAJ	PREVOD NA UCET	726	36527	SIPO	KL	22049463
211467	718	1998-03-09	VYDAJ	PREVOD NA UCET	726	78825	SIPO	KL	22049463
211468	718	1998-04-09	VYDAJ	PREVOD NA UCET	726	42995	SIPO	KL	22049463
211469	718	1998-05-09	VYDAJ	PREVOD NA UCET	726	64397	SIPO	KL	22049463
211470	718	1998-06-09	VYDAJ	PREVOD NA UCET	726	67813	SIPO	KL	22049463
211471	718	1998-07-09	VYDAJ	PREVOD NA UCET	726	52695	SIPO	KL	22049463
211472	718	1998-08-09	VYDAJ	PREVOD NA UCET	726	50276	SIPO	KL	22049463
211473	718	1998-09-09	VYDAJ	PREVOD NA UCET	726	32342	SIPO	KL	22049463
211474	718	1998-10-09	VYDAJ	PREVOD NA UCET	726	77353	SIPO	KL	22049463
211475	718	1998-11-09	VYDAJ	PREVOD NA UCET	726	26160	SIPO	KL	22049463
211476	718	1998-12-09	VYDAJ	PREVOD NA UCET	726	39678	SIPO	KL	22049463
211487	718	1996-11-06	VYDAJ	PREVOD NA UCET	7122	34852	 	QR	9956103
211488	718	1996-12-06	VYDAJ	PREVOD NA UCET	7122	11068	 	QR	9956103
211489	718	1997-01-06	VYDAJ	PREVOD NA UCET	7122	10312	 	QR	9956103
211490	718	1997-02-06	VYDAJ	PREVOD NA UCET	7122	27322	 	QR	9956103
211491	718	1997-03-06	VYDAJ	PREVOD NA UCET	7122	26235	 	QR	9956103
211492	718	1997-04-06	VYDAJ	PREVOD NA UCET	7122	22823	 	QR	9956103
211493	718	1997-05-06	VYDAJ	PREVOD NA UCET	7122	22411	 	QR	9956103
211494	718	1997-06-06	VYDAJ	PREVOD NA UCET	7122	29798	 	QR	9956103
211495	718	1997-07-06	VYDAJ	PREVOD NA UCET	7122	72590	 	QR	9956103
211496	718	1997-08-06	VYDAJ	PREVOD NA UCET	7122	84823	 	QR	9956103
211497	718	1997-09-06	VYDAJ	PREVOD NA UCET	7122	79557	 	QR	9956103
211498	718	1997-10-06	VYDAJ	PREVOD NA UCET	7122	34871	 	QR	9956103
211499	718	1997-11-06	VYDAJ	PREVOD NA UCET	7122	35913	 	QR	9956103
211500	718	1997-12-06	VYDAJ	PREVOD NA UCET	7122	15480	 	QR	9956103
211501	718	1998-01-06	VYDAJ	PREVOD NA UCET	7122	17739	 	QR	9956103
211502	718	1998-02-06	VYDAJ	PREVOD NA UCET	7122	37253	 	QR	9956103
211503	718	1998-03-06	VYDAJ	PREVOD NA UCET	7122	79551	 	QR	9956103
211504	718	1998-04-06	VYDAJ	PREVOD NA UCET	7122	46721	 	QR	9956103
211505	718	1998-05-06	VYDAJ	PREVOD NA UCET	7122	80165	 	QR	9956103
211506	718	1998-06-06	VYDAJ	PREVOD NA UCET	7122	68539	 	QR	9956103
211507	718	1998-07-06	VYDAJ	PREVOD NA UCET	7122	53421	 	QR	9956103
211508	718	1998-08-06	VYDAJ	PREVOD NA UCET	7122	51002	 	QR	9956103
211509	718	1998-09-06	VYDAJ	PREVOD NA UCET	7122	33068	 	QR	9956103
211510	718	1998-10-06	VYDAJ	PREVOD NA UCET	7122	78079	 	QR	9956103
211511	718	1998-11-06	VYDAJ	PREVOD NA UCET	7122	26886	 	QR	9956103
211512	718	1998-12-06	VYDAJ	PREVOD NA UCET	7122	40404	 	QR	9956103
211522	718	1996-10-12	VYDAJ	PREVOD NA UCET	6041	60777	POJISTNE	MN	10620361
211523	718	1996-11-12	VYDAJ	PREVOD NA UCET	6041	21385	POJISTNE	MN	10620361
211524	718	1996-12-12	VYDAJ	PREVOD NA UCET	6041	4301	POJISTNE	MN	10620361
211525	718	1997-01-12	VYDAJ	PREVOD NA UCET	6041	74148	POJISTNE	MN	10620361
211526	718	1997-02-12	VYDAJ	PREVOD NA UCET	6041	20555	POJISTNE	MN	10620361
211527	718	1997-03-12	VYDAJ	PREVOD NA UCET	6041	19468	POJISTNE	MN	10620361
211528	718	1997-04-12	VYDAJ	PREVOD NA UCET	6041	16056	POJISTNE	MN	10620361
211529	718	1997-05-12	VYDAJ	PREVOD NA UCET	6041	15644	POJISTNE	MN	10620361
211530	718	1997-06-12	VYDAJ	PREVOD NA UCET	6041	23031	POJISTNE	MN	10620361
211531	718	1997-07-12	VYDAJ	PREVOD NA UCET	6041	59523	POJISTNE	MN	10620361
211532	718	1997-08-12	VYDAJ	PREVOD NA UCET	6041	69756	POJISTNE	MN	10620361
211533	718	1997-09-12	VYDAJ	PREVOD NA UCET	6041	98031	POJISTNE	MN	10620361
211534	718	1997-10-12	VYDAJ	PREVOD NA UCET	6041	21692	POJISTNE	MN	10620361
211535	718	1997-11-12	VYDAJ	PREVOD NA UCET	6041	22734	POJISTNE	MN	10620361
211536	718	1997-12-12	VYDAJ	PREVOD NA UCET	6041	8713	POJISTNE	MN	10620361
211537	718	1998-01-12	VYDAJ	PREVOD NA UCET	6041	10972	POJISTNE	MN	10620361
211538	718	1998-02-12	VYDAJ	PREVOD NA UCET	6041	24074	POJISTNE	MN	10620361
211539	718	1998-03-12	VYDAJ	PREVOD NA UCET	6041	72784	POJISTNE	MN	10620361
211540	718	1998-04-12	VYDAJ	PREVOD NA UCET	6041	30542	POJISTNE	MN	10620361
211541	718	1998-05-12	VYDAJ	PREVOD NA UCET	6041	51944	POJISTNE	MN	10620361
211542	718	1998-06-12	VYDAJ	PREVOD NA UCET	6041	55360	POJISTNE	MN	10620361
211543	718	1998-07-12	VYDAJ	PREVOD NA UCET	6041	40242	POJISTNE	MN	10620361
211544	718	1998-08-12	VYDAJ	PREVOD NA UCET	6041	44235	POJISTNE	MN	10620361
211545	718	1998-09-12	VYDAJ	PREVOD NA UCET	6041	26301	POJISTNE	MN	10620361
211546	718	1998-10-12	VYDAJ	PREVOD NA UCET	6041	83871	POJISTNE	MN	10620361
211547	718	1998-11-12	VYDAJ	PREVOD NA UCET	6041	20119	POJISTNE	MN	10620361
211548	718	1998-12-12	VYDAJ	PREVOD NA UCET	6041	33637	POJISTNE	MN	10620361
211549	718	1997-10-02	VYBER	VYBER	24566	41993	\N	\N	\N
211550	718	1997-07-13	VYBER	VYBER	11069	48454	\N	\N	\N
211551	718	1997-09-04	VYBER	VYBER	5293	86679	\N	\N	\N
211552	718	1997-11-27	VYBER	VYBER	17131	22503	\N	\N	\N
211553	718	1997-10-28	VYBER	VYBER	19527	21565	\N	\N	\N
211554	718	1997-02-01	VYBER	VYBER	12279	34444	\N	\N	\N
211556	718	1997-01-14	VYBER	VYBER	22148	52000	\N	\N	\N
211557	718	1997-08-05	VYBER	VYBER	14025	91945	\N	\N	\N
211559	718	1998-05-23	VYBER	VYBER	18114	27476	\N	\N	\N
211561	718	1998-11-03	VYBER	VYBER	19917	34008	\N	\N	\N
211562	718	1998-01-23	VYBER	VYBER	4793	29518	\N	\N	\N
211563	718	1998-10-28	VYBER	VYBER	10141	53630	\N	\N	\N
211564	718	1998-05-20	VYBER	VYBER	8954	42990	\N	\N	\N
211567	718	1998-06-16	VYDAJ	VYBER	24600	30760	\N	\N	\N
211570	718	1998-01-18	VYDAJ	VYBER	7500	26411	\N	\N	\N
211573	718	1998-12-26	VYDAJ	VYBER KARTOU	2700	46442	\N	\N	0
211580	718	1997-01-16	VYDAJ	VYBER	4800	38800	\N	\N	\N
211581	718	1997-01-09	VYDAJ	VYBER	6600	33407	\N	\N	\N
211582	718	1997-01-21	VYDAJ	VYBER	8700	30100	\N	\N	\N
211583	718	1997-01-15	VYDAJ	VYBER	3900	43600	\N	\N	\N
211584	718	1997-01-14	VYDAJ	VYBER	4500	47500	\N	\N	\N
211586	718	1998-01-25	VYDAJ	VYBER	8100	21418	\N	\N	\N
211587	718	1998-01-16	VYDAJ	VYBER	6600	33911	\N	\N	\N
211588	718	1998-01-20	VYDAJ	VYBER	3000	23411	\N	\N	\N
211593	718	1996-12-01	VYDAJ	VYBER	6300	25290	\N	\N	\N
211596	718	1996-10-16	VYDAJ	VYBER	11400	49377	\N	\N	\N
211599	718	1997-09-25	VYDAJ	VYBER	7200	66219	\N	\N	\N
211600	718	1997-08-15	VYDAJ	VYBER	10500	59256	\N	\N	\N
211603	718	1997-12-28	VYDAJ	VYBER	2400	24801	\N	\N	\N
211605	718	1998-04-14	VYDAJ	VYBER	7800	22742	\N	\N	\N
211606	718	1998-12-27	VYDAJ	VYBER KARTOU	3000	43442	\N	\N	0
211607	718	1998-04-06	VYDAJ	VYBER	3000	43721	\N	\N	\N
211609	718	1998-02-01	VYDAJ	VYBER	6300	44375	\N	\N	\N
211610	718	1998-08-21	VYDAJ	VYBER	10200	39991	\N	\N	\N
211611	718	1998-07-21	VYDAJ	VYBER	12000	57706	\N	\N	\N
211622	718	1996-10-31	VYDAJ	VYBER	15	41974	SLUZBY	\N	\N
211623	718	1996-11-30	VYDAJ	VYBER	15	31590	SLUZBY	\N	\N
211624	718	1996-12-31	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
211625	718	1997-01-31	VYDAJ	VYBER	15	46723	SLUZBY	\N	\N
211626	718	1997-02-28	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
211627	718	1997-03-31	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
211628	718	1997-04-30	VYDAJ	VYBER	15	29533	SLUZBY	\N	\N
211629	718	1997-05-31	VYDAJ	VYBER	15	31919	SLUZBY	\N	\N
211630	718	1997-06-30	VYDAJ	VYBER	15	33423	SLUZBY	\N	\N
211631	718	1997-07-31	VYDAJ	VYBER	15	74764	SLUZBY	\N	\N
211632	718	1997-08-31	VYDAJ	VYBER	15	91972	SLUZBY	\N	\N
211633	718	1997-09-30	VYDAJ	VYBER	15	66559	SLUZBY	\N	\N
211634	718	1997-10-31	VYDAJ	VYBER	15	21692	SLUZBY	\N	\N
211635	718	1997-11-30	VYDAJ	VYBER	15	22602	SLUZBY	\N	\N
211636	718	1997-12-31	VYDAJ	VYBER	15	24861	SLUZBY	\N	\N
211637	718	1998-01-31	VYDAJ	VYBER	15	21506	SLUZBY	\N	\N
211638	718	1998-02-28	VYDAJ	VYBER	15	88854	SLUZBY	\N	\N
211639	718	1998-03-31	VYDAJ	VYBER	15	53843	SLUZBY	\N	\N
211640	718	1998-04-30	VYDAJ	VYBER	15	87287	SLUZBY	\N	\N
211641	718	1998-05-31	VYDAJ	VYBER	15	27688	SLUZBY	\N	\N
211642	718	1998-06-30	VYDAJ	VYBER	15	60543	SLUZBY	\N	\N
211643	718	1998-07-31	VYDAJ	VYBER	15	67056	SLUZBY	\N	\N
211644	718	1998-08-31	VYDAJ	VYBER	15	40190	SLUZBY	\N	\N
211645	718	1998-09-30	VYDAJ	VYBER	15	90801	SLUZBY	\N	\N
211646	718	1998-10-31	VYDAJ	VYBER	15	53925	SLUZBY	\N	\N
211647	718	1998-11-30	VYDAJ	VYBER	15	83638	SLUZBY	\N	\N
211648	718	1996-04-02	PRIJEM	VKLAD	13700	14200	\N	\N	\N
211649	718	1996-05-02	PRIJEM	VKLAD	5800	20000	\N	\N	\N
211650	718	1996-06-01	PRIJEM	VKLAD	4500	24500	\N	\N	\N
211651	718	1996-07-01	VYDAJ	VYBER	500	31126	\N	\N	\N
211652	718	1996-07-31	PRIJEM	VKLAD	2100	33357	\N	\N	\N
211653	718	1996-08-30	VYDAJ	VYBER	18000	56259	\N	\N	\N
211654	718	1996-09-03	VYDAJ	VYBER	49800	55729	\N	\N	\N
211655	718	1996-09-29	VYDAJ	VYBER	5300	50429	\N	\N	\N
211656	718	1996-10-29	VYDAJ	VYBER	1800	41777	\N	\N	\N
211657	718	1996-11-28	PRIJEM	VKLAD	10100	31485	\N	\N	\N
211658	718	1996-12-28	PRIJEM	VKLAD	20800	25101	\N	\N	\N
211659	718	1997-01-27	PRIJEM	VKLAD	6100	36200	\N	\N	\N
211660	718	1997-02-26	PRIJEM	VKLAD	12700	33255	\N	\N	\N
211661	718	1997-03-28	PRIJEM	VKLAD	16400	29868	\N	\N	\N
211662	718	1997-04-27	PRIJEM	VKLAD	20200	29456	\N	\N	\N
211663	718	1997-05-27	PRIJEM	VKLAD	21400	31844	\N	\N	\N
211664	718	1997-06-26	PRIJEM	VKLAD	18100	33331	\N	\N	\N
211665	718	1997-07-26	VYDAJ	VYBER	18200	74538	\N	\N	\N
211666	718	1997-08-25	VYDAJ	VYBER	1900	57356	\N	\N	\N
211667	718	1997-09-24	VYDAJ	VYBER	18200	73419	\N	\N	\N
211668	718	1997-10-24	PRIJEM	VKLAD	19400	41092	\N	\N	\N
211669	718	1997-11-23	PRIJEM	VKLAD	16900	39634	\N	\N	\N
211670	718	1997-12-23	PRIJEM	VKLAD	24900	27201	\N	\N	\N
211671	718	1998-01-22	PRIJEM	VKLAD	10900	34311	\N	\N	\N
211672	718	1998-02-21	VYDAJ	VYBER	11500	53312	\N	\N	\N
211673	718	1998-03-03	VYDAJ	VYBER	48200	86673	\N	\N	\N
211674	718	1998-03-23	VYDAJ	VYBER	12800	53572	\N	\N	\N
211675	718	1998-04-22	VYDAJ	VYBER	15500	61603	\N	\N	\N
211676	718	1998-05-09	VYDAJ	VYBER	49700	65123	\N	\N	\N
211677	718	1998-05-22	PRIJEM	VKLAD	2600	45590	\N	\N	\N
211678	718	1998-06-21	VYDAJ	VYBER	11500	60320	\N	\N	\N
211679	718	1998-07-21	VYDAJ	VYBER	1000	69706	\N	\N	\N
211680	718	1998-08-01	VYDAJ	VYBER	29600	83408	\N	\N	\N
211681	718	1998-08-04	VYDAJ	VYBER	58300	58124	\N	\N	\N
211682	718	1998-08-20	VYDAJ	VYBER	5200	50191	\N	\N	\N
211683	718	1998-09-19	PRIJEM	VKLAD	11100	33201	\N	\N	\N
211684	718	1998-10-11	VYDAJ	VYBER	19300	89912	\N	\N	\N
211685	718	1998-10-19	VYDAJ	VYBER	20100	63771	\N	\N	\N
211686	718	1998-11-18	VYDAJ	VYBER KARTOU	3800	54002	\N	\N	0
211687	718	1998-12-04	VYDAJ	VYBER	17000	116226	\N	\N	\N
211688	718	1998-12-06	VYDAJ	VYBER	62400	47526	\N	\N	\N
211689	718	1998-12-18	PRIJEM	VKLAD	9600	43237	\N	\N	\N
211721	719	1993-12-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
211734	719	1994-01-14	PRIJEM	PREVOD Z UCTU	2987	4087	\N	WX	24118912
211735	719	1994-02-14	PRIJEM	PREVOD Z UCTU	2987	18499	\N	WX	24118912
211736	719	1994-03-14	PRIJEM	PREVOD Z UCTU	2987	25261	\N	WX	24118912
211737	719	1994-04-14	PRIJEM	PREVOD Z UCTU	2987	25540	\N	WX	24118912
211738	719	1994-05-14	PRIJEM	PREVOD Z UCTU	2987	27624	\N	WX	24118912
211739	719	1994-06-14	PRIJEM	PREVOD Z UCTU	2987	23319	\N	WX	24118912
211740	719	1994-07-14	PRIJEM	PREVOD Z UCTU	2987	25399	\N	WX	24118912
211741	719	1994-08-14	PRIJEM	PREVOD Z UCTU	2987	26415	\N	WX	24118912
211742	719	1994-09-14	PRIJEM	PREVOD Z UCTU	2987	25200	\N	WX	24118912
211743	719	1994-10-14	PRIJEM	PREVOD Z UCTU	2987	23810	\N	WX	24118912
211744	719	1994-11-14	PRIJEM	PREVOD Z UCTU	2987	26091	\N	WX	24118912
211745	719	1994-12-14	PRIJEM	PREVOD Z UCTU	2987	26679	\N	WX	24118912
211746	719	1995-01-14	PRIJEM	PREVOD Z UCTU	2987	23959	\N	WX	24118912
211747	719	1995-02-14	PRIJEM	PREVOD Z UCTU	2987	25844	\N	WX	24118912
211748	719	1995-03-14	PRIJEM	PREVOD Z UCTU	2987	24331	\N	WX	24118912
211749	719	1995-04-14	PRIJEM	PREVOD Z UCTU	2987	24410	\N	WX	24118912
211750	719	1995-05-14	PRIJEM	PREVOD Z UCTU	2987	26293	\N	WX	24118912
211751	719	1995-06-14	PRIJEM	PREVOD Z UCTU	2987	21104	\N	WX	24118912
211752	719	1995-07-14	PRIJEM	PREVOD Z UCTU	2987	22283	\N	WX	24118912
211753	719	1995-08-14	PRIJEM	PREVOD Z UCTU	2987	22755	\N	WX	24118912
211754	719	1995-09-14	PRIJEM	PREVOD Z UCTU	2987	23199	\N	WX	24118912
211755	719	1995-10-14	PRIJEM	PREVOD Z UCTU	2987	25581	\N	WX	24118912
211756	719	1995-11-14	PRIJEM	PREVOD Z UCTU	2987	25163	\N	WX	24118912
211757	719	1995-12-14	PRIJEM	PREVOD Z UCTU	2987	25529	\N	WX	24118912
211758	719	1996-01-14	PRIJEM	PREVOD Z UCTU	2987	24812	\N	WX	24118912
211759	719	1996-02-14	PRIJEM	PREVOD Z UCTU	2987	24923	\N	WX	24118912
211760	719	1996-03-14	PRIJEM	PREVOD Z UCTU	2987	26443	\N	WX	24118912
211761	719	1996-04-14	PRIJEM	PREVOD Z UCTU	2987	22877	\N	WX	24118912
211762	719	1996-05-14	PRIJEM	PREVOD Z UCTU	2987	23255	\N	WX	24118912
211763	719	1996-06-14	PRIJEM	PREVOD Z UCTU	2987	24131	\N	WX	24118912
211764	719	1996-07-14	PRIJEM	PREVOD Z UCTU	2987	26767	\N	WX	24118912
211765	719	1996-08-14	PRIJEM	PREVOD Z UCTU	2987	28510	\N	WX	24118912
211766	719	1996-09-14	PRIJEM	PREVOD Z UCTU	2987	32004	\N	WX	24118912
211767	719	1996-10-14	PRIJEM	PREVOD Z UCTU	2987	32012	\N	WX	24118912
211768	719	1996-11-14	PRIJEM	PREVOD Z UCTU	2987	32324	\N	WX	24118912
211769	719	1996-12-14	PRIJEM	PREVOD Z UCTU	2987	31037	\N	WX	24118912
211770	719	1997-01-14	PRIJEM	PREVOD Z UCTU	2987	28085	\N	WX	24118912
211771	719	1997-02-14	PRIJEM	PREVOD Z UCTU	2987	26754	\N	WX	24118912
211772	719	1997-03-14	PRIJEM	PREVOD Z UCTU	2987	26236	\N	WX	24118912
211773	719	1997-04-14	PRIJEM	PREVOD Z UCTU	2987	28622	\N	WX	24118912
211774	719	1997-05-14	PRIJEM	PREVOD Z UCTU	2987	33556	\N	WX	24118912
211775	719	1997-06-14	PRIJEM	PREVOD Z UCTU	2987	28577	\N	WX	24118912
211776	719	1997-07-14	PRIJEM	PREVOD Z UCTU	2987	35080	\N	WX	24118912
211777	719	1997-08-14	PRIJEM	PREVOD Z UCTU	2987	37697	\N	WX	24118912
211778	719	1997-09-14	PRIJEM	PREVOD Z UCTU	2987	35730	\N	WX	24118912
211779	719	1997-10-14	PRIJEM	PREVOD Z UCTU	2987	36259	\N	WX	24118912
211780	719	1997-11-14	PRIJEM	PREVOD Z UCTU	2987	39387	\N	WX	24118912
211781	719	1997-12-14	PRIJEM	PREVOD Z UCTU	2987	39410	\N	WX	24118912
211782	719	1998-01-14	PRIJEM	PREVOD Z UCTU	2987	41100	\N	WX	24118912
211783	719	1998-02-14	PRIJEM	PREVOD Z UCTU	2987	37575	\N	WX	24118912
211784	719	1998-03-14	PRIJEM	PREVOD Z UCTU	2987	38009	\N	WX	24118912
211785	719	1998-04-14	PRIJEM	PREVOD Z UCTU	2987	36345	\N	WX	24118912
211786	719	1998-05-14	PRIJEM	PREVOD Z UCTU	2987	37574	\N	WX	24118912
211787	719	1998-06-14	PRIJEM	PREVOD Z UCTU	2987	40307	\N	WX	24118912
211788	719	1998-07-14	PRIJEM	PREVOD Z UCTU	2987	41156	\N	WX	24118912
211789	719	1998-08-14	PRIJEM	PREVOD Z UCTU	2987	43506	\N	WX	24118912
211790	719	1998-09-14	PRIJEM	PREVOD Z UCTU	2987	43494	\N	WX	24118912
211791	719	1998-10-14	PRIJEM	PREVOD Z UCTU	2987	46284	\N	WX	24118912
211792	719	1998-11-14	PRIJEM	PREVOD Z UCTU	2987	50456	\N	WX	24118912
211793	719	1998-12-14	PRIJEM	PREVOD Z UCTU	2987	59149	\N	WX	24118912
211811	719	1994-06-09	VYDAJ	PREVOD NA UCET	1991	22402	SIPO	UV	95629697
211812	719	1994-07-09	VYDAJ	PREVOD NA UCET	1991	22412	SIPO	UV	95629697
211813	719	1994-08-09	VYDAJ	PREVOD NA UCET	1991	23428	SIPO	UV	95629697
211814	719	1994-09-09	VYDAJ	PREVOD NA UCET	1991	22213	SIPO	UV	95629697
211815	719	1994-10-09	VYDAJ	PREVOD NA UCET	1991	20823	SIPO	UV	95629697
211816	719	1994-11-09	VYDAJ	PREVOD NA UCET	1991	23104	SIPO	UV	95629697
211817	719	1994-12-09	VYDAJ	PREVOD NA UCET	1991	23692	SIPO	UV	95629697
211818	719	1995-01-09	VYDAJ	PREVOD NA UCET	1991	23192	SIPO	UV	95629697
211819	719	1995-02-09	VYDAJ	PREVOD NA UCET	1991	22857	SIPO	UV	95629697
211820	719	1995-03-09	VYDAJ	PREVOD NA UCET	1991	21344	SIPO	UV	95629697
211821	719	1995-04-09	VYDAJ	PREVOD NA UCET	1991	21423	SIPO	UV	95629697
211822	719	1995-05-09	VYDAJ	PREVOD NA UCET	1991	23306	SIPO	UV	95629697
211823	719	1995-06-09	VYDAJ	PREVOD NA UCET	1991	25297	SIPO	UV	95629697
211824	719	1995-07-09	VYDAJ	PREVOD NA UCET	1991	19196	SIPO	UV	95629697
211825	719	1995-08-09	VYDAJ	PREVOD NA UCET	1991	20368	SIPO	UV	95629697
211826	719	1995-09-09	VYDAJ	PREVOD NA UCET	1991	19012	SIPO	UV	95629697
211827	719	1995-10-09	VYDAJ	PREVOD NA UCET	1991	20294	SIPO	UV	95629697
211828	719	1995-11-09	VYDAJ	PREVOD NA UCET	1991	23676	SIPO	UV	95629697
211829	719	1995-12-09	VYDAJ	PREVOD NA UCET	1991	22542	SIPO	UV	95629697
211830	719	1996-01-09	VYDAJ	PREVOD NA UCET	1991	22185	SIPO	UV	95629697
211831	719	1996-02-09	VYDAJ	PREVOD NA UCET	1991	21936	SIPO	UV	95629697
211832	719	1996-03-09	VYDAJ	PREVOD NA UCET	1991	21156	SIPO	UV	95629697
211833	719	1996-04-09	VYDAJ	PREVOD NA UCET	1991	19890	SIPO	UV	95629697
211834	719	1996-05-09	VYDAJ	PREVOD NA UCET	1991	20968	SIPO	UV	95629697
211835	719	1996-06-09	VYDAJ	PREVOD NA UCET	1991	21144	SIPO	UV	95629697
211836	719	1996-07-09	VYDAJ	PREVOD NA UCET	1991	23780	SIPO	UV	95629697
211837	719	1996-08-09	VYDAJ	PREVOD NA UCET	1991	25523	SIPO	UV	95629697
211838	719	1996-09-09	VYDAJ	PREVOD NA UCET	1991	29017	SIPO	UV	95629697
211839	719	1996-10-09	VYDAJ	PREVOD NA UCET	1991	29025	SIPO	UV	95629697
211840	719	1996-11-09	VYDAJ	PREVOD NA UCET	1991	29337	SIPO	UV	95629697
211841	719	1996-12-09	VYDAJ	PREVOD NA UCET	1991	28050	SIPO	UV	95629697
211842	719	1997-01-09	VYDAJ	PREVOD NA UCET	1991	25518	SIPO	UV	95629697
211843	719	1997-02-09	VYDAJ	PREVOD NA UCET	1991	23767	SIPO	UV	95629697
211844	719	1997-03-09	VYDAJ	PREVOD NA UCET	1991	23249	SIPO	UV	95629697
211845	719	1997-04-09	VYDAJ	PREVOD NA UCET	1991	25635	SIPO	UV	95629697
211846	719	1997-05-09	VYDAJ	PREVOD NA UCET	1991	30569	SIPO	UV	95629697
211847	719	1997-06-09	VYDAJ	PREVOD NA UCET	1991	33120	SIPO	UV	95629697
211848	719	1997-07-09	VYDAJ	PREVOD NA UCET	1991	32093	SIPO	UV	95629697
211849	719	1997-08-09	VYDAJ	PREVOD NA UCET	1991	34710	SIPO	UV	95629697
211850	719	1997-09-09	VYDAJ	PREVOD NA UCET	1991	32743	SIPO	UV	95629697
211851	719	1997-10-09	VYDAJ	PREVOD NA UCET	1991	33272	SIPO	UV	95629697
211852	719	1997-11-09	VYDAJ	PREVOD NA UCET	1991	36400	SIPO	UV	95629697
211853	719	1997-12-09	VYDAJ	PREVOD NA UCET	1991	36423	SIPO	UV	95629697
211854	719	1998-01-09	VYDAJ	PREVOD NA UCET	1991	38413	SIPO	UV	95629697
211855	719	1998-02-09	VYDAJ	PREVOD NA UCET	1991	34588	SIPO	UV	95629697
211856	719	1998-03-09	VYDAJ	PREVOD NA UCET	1991	35022	SIPO	UV	95629697
211857	719	1998-04-09	VYDAJ	PREVOD NA UCET	1991	33358	SIPO	UV	95629697
211858	719	1998-05-09	VYDAJ	PREVOD NA UCET	1991	34587	SIPO	UV	95629697
211859	719	1998-06-09	VYDAJ	PREVOD NA UCET	1991	37320	SIPO	UV	95629697
211860	719	1998-07-09	VYDAJ	PREVOD NA UCET	1991	38169	SIPO	UV	95629697
211861	719	1998-08-09	VYDAJ	PREVOD NA UCET	1991	40519	SIPO	UV	95629697
211862	719	1998-09-09	VYDAJ	PREVOD NA UCET	1991	40507	SIPO	UV	95629697
211863	719	1998-10-09	VYDAJ	PREVOD NA UCET	1991	43297	SIPO	UV	95629697
211864	719	1998-11-09	VYDAJ	PREVOD NA UCET	1991	47469	SIPO	UV	95629697
211865	719	1998-12-09	VYDAJ	PREVOD NA UCET	1991	56162	SIPO	UV	95629697
211867	719	1994-06-11	VYDAJ	VYBER	2070	20332	\N	\N	\N
211868	719	1995-06-13	VYDAJ	VYBER	7380	17917	\N	\N	\N
211869	719	1996-06-18	VYDAJ	VYBER	930	23201	\N	\N	\N
211870	719	1997-06-11	VYDAJ	VYBER	7530	25590	\N	\N	\N
211871	719	1998-06-19	VYDAJ	VYBER	4590	35717	\N	\N	\N
211874	719	1995-01-03	VYDAJ	VYBER	720	25423	\N	\N	\N
211875	719	1996-01-11	VYDAJ	VYBER	1650	23235	\N	\N	\N
211876	719	1997-01-19	VYDAJ	VYBER	1950	25295	\N	\N	\N
211877	719	1998-01-28	VYDAJ	VYBER	1590	38430	\N	\N	\N
211879	719	1994-12-19	VYDAJ	VYBER	840	26049	\N	\N	\N
211880	719	1995-12-07	VYDAJ	VYBER	720	24533	\N	\N	\N
211881	719	1996-12-20	VYDAJ	VYBER	810	30227	\N	\N	\N
211882	719	1997-12-17	VYDAJ	VYBER	180	39230	\N	\N	\N
211883	719	1998-12-18	VYDAJ	VYBER	600	58549	\N	\N	\N
211896	719	1995-01-11	VYDAJ	VYBER	630	21782	\N	\N	\N
211897	719	1995-01-13	VYDAJ	VYBER	810	20972	\N	\N	\N
211898	719	1995-01-10	VYDAJ	VYBER	780	22412	\N	\N	\N
211899	719	1995-01-29	VYDAJ	VYBER	480	24759	\N	\N	\N
211900	719	1995-01-05	VYDAJ	VYBER	240	25183	\N	\N	\N
211901	719	1995-01-29	VYDAJ	VYBER	300	25239	\N	\N	\N
211902	719	1996-01-17	VYDAJ	VYBER	450	24002	\N	\N	\N
211903	719	1996-01-12	VYDAJ	VYBER	570	22665	\N	\N	\N
211904	719	1996-01-25	VYDAJ	VYBER	720	23042	\N	\N	\N
211905	719	1996-01-08	VYDAJ	VYBER	810	24176	\N	\N	\N
211906	719	1996-01-13	VYDAJ	VYBER	840	21825	\N	\N	\N
211907	719	1996-01-24	VYDAJ	VYBER	240	23762	\N	\N	\N
211908	719	1997-01-20	VYDAJ	VYBER	870	24425	\N	\N	\N
211909	719	1997-01-23	VYDAJ	VYBER	660	23765	\N	\N	\N
211910	719	1997-01-17	VYDAJ	VYBER	450	27245	\N	\N	\N
211911	719	1997-01-02	VYDAJ	VYBER	600	29739	\N	\N	\N
211912	719	1997-01-09	VYDAJ	VYBER	420	25098	\N	\N	\N
211913	719	1997-01-16	VYDAJ	VYBER	150	27935	\N	\N	\N
211914	719	1998-01-09	VYDAJ	VYBER	300	38113	\N	\N	\N
211915	719	1998-01-30	VYDAJ	VYBER	600	36430	\N	\N	\N
211916	719	1998-01-09	VYDAJ	VYBER	300	40404	\N	\N	\N
211917	719	1998-01-19	VYDAJ	VYBER	690	40020	\N	\N	\N
211918	719	1998-01-02	VYDAJ	VYBER	660	40704	\N	\N	\N
211919	719	1998-01-17	VYDAJ	VYBER	390	40710	\N	\N	\N
211925	719	1994-06-08	VYDAJ	VYBER	720	24393	\N	\N	\N
211928	719	1994-09-18	VYDAJ	VYBER	870	22730	\N	\N	\N
211929	719	1994-07-21	VYDAJ	VYBER	870	25329	\N	\N	\N
211930	719	1994-12-16	VYDAJ	VYBER	990	26889	\N	\N	\N
211931	719	1995-09-24	VYDAJ	VYBER	990	22209	\N	\N	\N
211932	719	1995-09-08	VYDAJ	VYBER	540	21003	\N	\N	\N
211933	719	1995-08-29	VYDAJ	VYBER	1290	21465	\N	\N	\N
211934	719	1995-01-19	VYDAJ	VYBER	720	25539	\N	\N	\N
211935	719	1995-12-15	VYDAJ	VYBER	630	24899	\N	\N	\N
211936	719	1996-03-22	VYDAJ	VYBER	1350	25093	\N	\N	\N
211937	719	1996-03-07	VYDAJ	VYBER	480	23147	\N	\N	\N
211938	719	1996-06-28	VYDAJ	VYBER	1410	21791	\N	\N	\N
211939	719	1996-01-15	VYDAJ	VYBER	360	24452	\N	\N	\N
211940	719	1996-07-17	VYDAJ	VYBER	1140	25627	\N	\N	\N
211941	719	1996-02-21	VYDAJ	VYBER	1380	23543	\N	\N	\N
211942	719	1997-01-02	VYDAJ	VYBER	330	29409	\N	\N	\N
211943	719	1997-12-06	VYDAJ	VYBER	1320	38414	\N	\N	\N
211944	719	1997-12-18	VYDAJ	VYBER	1410	37820	\N	\N	\N
211945	719	1997-01-17	VYDAJ	VYBER	240	27695	\N	\N	\N
211946	719	1997-04-25	VYDAJ	VYBER	360	28262	\N	\N	\N
211947	719	1997-02-16	VYDAJ	VYBER	1410	25344	\N	\N	\N
211948	719	1997-02-21	VYDAJ	VYBER	990	24354	\N	\N	\N
211949	719	1997-05-22	VYDAJ	VYBER	1260	32296	\N	\N	\N
211950	719	1998-05-21	VYDAJ	VYBER	1200	36374	\N	\N	\N
211951	719	1998-09-26	VYDAJ	VYBER	600	45124	\N	\N	\N
211952	719	1998-12-30	VYDAJ	VYBER	1380	60569	\N	\N	\N
211953	719	1998-08-29	VYDAJ	VYBER	1470	42336	\N	\N	\N
211954	719	1998-09-24	VYDAJ	VYBER	270	43224	\N	\N	\N
211972	719	1994-05-31	VYDAJ	VYBER	15	25113	SLUZBY	\N	\N
211973	719	1994-06-30	VYDAJ	VYBER	15	24403	SLUZBY	\N	\N
211974	719	1994-07-31	VYDAJ	VYBER	15	25419	SLUZBY	\N	\N
211975	719	1994-08-31	VYDAJ	VYBER	15	24204	SLUZBY	\N	\N
211976	719	1994-09-30	VYDAJ	VYBER	15	22814	SLUZBY	\N	\N
211977	719	1994-10-31	VYDAJ	VYBER	15	25095	SLUZBY	\N	\N
211978	719	1994-11-30	VYDAJ	VYBER	15	25683	SLUZBY	\N	\N
211979	719	1994-12-31	VYDAJ	VYBER	15	26143	SLUZBY	\N	\N
211980	719	1995-01-31	VYDAJ	VYBER	15	24848	SLUZBY	\N	\N
211981	719	1995-02-28	VYDAJ	VYBER	15	23335	SLUZBY	\N	\N
211982	719	1995-03-31	VYDAJ	VYBER	15	23414	SLUZBY	\N	\N
211983	719	1995-04-30	VYDAJ	VYBER	15	25297	SLUZBY	\N	\N
211984	719	1995-05-31	VYDAJ	VYBER	15	27288	SLUZBY	\N	\N
211985	719	1995-06-30	VYDAJ	VYBER	15	21187	SLUZBY	\N	\N
211986	719	1995-07-31	VYDAJ	VYBER	15	22359	SLUZBY	\N	\N
211987	719	1995-08-31	VYDAJ	VYBER	15	21543	SLUZBY	\N	\N
211988	719	1995-09-30	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
211989	719	1995-10-31	VYDAJ	VYBER	15	25667	SLUZBY	\N	\N
211990	719	1995-11-30	VYDAJ	VYBER	15	25253	SLUZBY	\N	\N
211991	719	1995-12-31	VYDAJ	VYBER	15	24986	SLUZBY	\N	\N
211992	719	1996-01-31	VYDAJ	VYBER	15	23127	SLUZBY	\N	\N
211993	719	1996-02-29	VYDAJ	VYBER	15	23627	SLUZBY	\N	\N
211994	719	1996-03-31	VYDAJ	VYBER	15	25181	SLUZBY	\N	\N
211995	719	1996-04-30	VYDAJ	VYBER	15	22959	SLUZBY	\N	\N
211996	719	1996-05-31	VYDAJ	VYBER	15	23335	SLUZBY	\N	\N
211997	719	1996-06-30	VYDAJ	VYBER	15	21871	SLUZBY	\N	\N
211998	719	1996-07-31	VYDAJ	VYBER	15	25714	SLUZBY	\N	\N
211999	719	1996-08-31	VYDAJ	VYBER	15	28608	SLUZBY	\N	\N
212000	719	1996-09-30	VYDAJ	VYBER	15	32116	SLUZBY	\N	\N
212001	719	1996-10-31	VYDAJ	VYBER	15	32128	SLUZBY	\N	\N
212002	719	1996-11-30	VYDAJ	VYBER	15	32441	SLUZBY	\N	\N
212003	719	1996-12-31	VYDAJ	VYBER	15	30339	SLUZBY	\N	\N
212004	719	1997-01-31	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
212005	719	1997-02-28	VYDAJ	VYBER	15	24440	SLUZBY	\N	\N
212006	719	1997-03-31	VYDAJ	VYBER	15	26326	SLUZBY	\N	\N
212007	719	1997-04-30	VYDAJ	VYBER	15	28360	SLUZBY	\N	\N
212008	719	1997-05-31	VYDAJ	VYBER	15	32411	SLUZBY	\N	\N
212009	719	1997-06-30	VYDAJ	VYBER	15	28684	SLUZBY	\N	\N
212010	719	1997-07-31	VYDAJ	VYBER	15	35201	SLUZBY	\N	\N
212011	719	1997-08-31	VYDAJ	VYBER	15	37834	SLUZBY	\N	\N
212012	719	1997-09-30	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
212013	719	1997-10-31	VYDAJ	VYBER	15	38391	SLUZBY	\N	\N
212014	719	1997-11-30	VYDAJ	VYBER	15	39734	SLUZBY	\N	\N
212015	719	1997-12-31	VYDAJ	VYBER	15	41364	SLUZBY	\N	\N
212016	719	1998-01-31	VYDAJ	VYBER	15	36579	SLUZBY	\N	\N
212017	719	1998-02-28	VYDAJ	VYBER	15	37713	SLUZBY	\N	\N
212018	719	1998-03-31	VYDAJ	VYBER	15	35349	SLUZBY	\N	\N
212019	719	1998-04-30	VYDAJ	VYBER	15	36578	SLUZBY	\N	\N
212020	719	1998-05-31	VYDAJ	VYBER	15	39311	SLUZBY	\N	\N
212021	719	1998-06-30	VYDAJ	VYBER	15	40160	SLUZBY	\N	\N
212022	719	1998-07-31	VYDAJ	VYBER	15	42510	SLUZBY	\N	\N
212023	719	1998-08-31	VYDAJ	VYBER	15	42498	SLUZBY	\N	\N
212024	719	1998-09-30	VYDAJ	VYBER	15	45288	SLUZBY	\N	\N
212025	719	1998-10-31	VYDAJ	VYBER	15	49460	SLUZBY	\N	\N
212026	719	1998-11-30	VYDAJ	VYBER	15	58153	SLUZBY	\N	\N
212027	719	1994-01-20	PRIJEM	VKLAD	11400	15487	\N	\N	\N
212028	719	1994-02-19	PRIJEM	VKLAD	3700	22199	\N	\N	\N
212029	719	1994-03-21	VYDAJ	VYBER	2800	22461	\N	\N	\N
212030	719	1994-04-20	VYDAJ	VYBER	1000	24540	\N	\N	\N
212031	719	1994-05-20	VYDAJ	VYBER	2600	25024	\N	\N	\N
212032	719	1994-06-19	PRIJEM	VKLAD	1000	24319	\N	\N	\N
212033	719	1994-07-19	PRIJEM	VKLAD	800	26199	\N	\N	\N
212034	719	1994-08-18	VYDAJ	VYBER	2300	24115	\N	\N	\N
212035	719	1994-09-17	VYDAJ	VYBER	1600	23600	\N	\N	\N
212036	719	1994-10-17	PRIJEM	VKLAD	1200	25010	\N	\N	\N
212037	719	1994-11-16	VYDAJ	VYBER	500	25591	\N	\N	\N
212038	719	1994-12-16	PRIJEM	VKLAD	1200	27879	\N	\N	\N
212039	719	1995-01-15	PRIJEM	VKLAD	2300	26259	\N	\N	\N
212040	719	1995-02-14	VYDAJ	VYBER	2600	23244	\N	\N	\N
212041	719	1995-03-16	VYDAJ	VYBER	1000	23331	\N	\N	\N
212042	719	1995-04-15	PRIJEM	VKLAD	800	25210	\N	\N	\N
212043	719	1995-05-15	PRIJEM	VKLAD	900	27193	\N	\N	\N
212044	719	1995-06-14	PRIJEM	VKLAD	200	18117	\N	\N	\N
212045	719	1995-07-14	PRIJEM	VKLAD	100	19296	\N	\N	\N
212046	719	1995-08-13	VYDAJ	VYBER	600	19768	\N	\N	\N
212047	719	1995-09-12	PRIJEM	VKLAD	1200	20212	\N	\N	\N
212048	719	1995-10-12	PRIJEM	VKLAD	2300	22594	\N	\N	\N
212049	719	1995-11-11	VYDAJ	VYBER	1500	22176	\N	\N	\N
212050	719	1996-01-10	PRIJEM	VKLAD	2700	24885	\N	\N	\N
212051	719	1996-02-09	PRIJEM	VKLAD	800	23927	\N	\N	\N
212052	719	1996-03-10	PRIJEM	VKLAD	2300	23456	\N	\N	\N
212053	719	1996-04-09	VYDAJ	VYBER	3300	21881	\N	\N	\N
212054	719	1996-05-09	VYDAJ	VYBER	700	20268	\N	\N	\N
212055	719	1996-06-08	VYDAJ	VYBER	200	23135	\N	\N	\N
212056	719	1996-07-08	PRIJEM	VKLAD	3900	25771	\N	\N	\N
212057	719	1996-08-07	PRIJEM	VKLAD	1800	27514	\N	\N	\N
212058	719	1996-09-06	PRIJEM	VKLAD	2400	31008	\N	\N	\N
212059	719	1996-10-06	VYDAJ	VYBER	1100	31016	\N	\N	\N
212060	719	1996-11-05	VYDAJ	VYBER	800	31328	\N	\N	\N
212061	719	1996-12-05	VYDAJ	VYBER	2400	30041	\N	\N	\N
212062	719	1997-01-04	VYDAJ	VYBER	1900	27509	\N	\N	\N
212063	719	1997-02-03	PRIJEM	VKLAD	1900	25758	\N	\N	\N
212064	719	1997-03-05	PRIJEM	VKLAD	800	25240	\N	\N	\N
212065	719	1997-04-04	PRIJEM	VKLAD	1300	27626	\N	\N	\N
212066	719	1997-05-04	PRIJEM	VKLAD	4200	32560	\N	\N	\N
212067	719	1997-06-03	PRIJEM	VKLAD	2700	35111	\N	\N	\N
212068	719	1997-07-03	PRIJEM	VKLAD	5400	34084	\N	\N	\N
212069	719	1997-08-02	PRIJEM	VKLAD	1500	36701	\N	\N	\N
212070	719	1997-09-01	VYDAJ	VYBER	3100	34734	\N	\N	\N
212071	719	1997-10-01	VYDAJ	VYBER	600	35263	\N	\N	\N
212072	719	1997-10-31	PRIJEM	VKLAD	2000	38406	\N	\N	\N
212073	719	1997-11-30	PRIJEM	VKLAD	200	39748	\N	\N	\N
212074	719	1997-12-30	PRIJEM	VKLAD	3400	41220	\N	\N	\N
212075	719	1998-01-29	VYDAJ	VYBER	1400	37030	\N	\N	\N
212076	719	1998-02-28	VYDAJ	VYBER	700	37013	\N	\N	\N
212077	719	1998-03-30	VYDAJ	VYBER	2800	35209	\N	\N	\N
212078	719	1998-04-29	PRIJEM	VKLAD	100	36445	\N	\N	\N
212079	719	1998-05-29	PRIJEM	VKLAD	2800	39174	\N	\N	\N
212080	719	1998-06-28	PRIJEM	VKLAD	4300	40017	\N	\N	\N
212081	719	1998-07-28	PRIJEM	VKLAD	1200	42356	\N	\N	\N
212082	719	1998-08-27	PRIJEM	VKLAD	300	43806	\N	\N	\N
212083	719	1998-09-26	PRIJEM	VKLAD	2500	45724	\N	\N	\N
212084	719	1998-10-26	PRIJEM	VKLAD	3000	49284	\N	\N	\N
212085	719	1998-11-25	PRIJEM	VKLAD	7500	57956	\N	\N	\N
212086	719	1998-12-25	PRIJEM	VKLAD	3400	61949	\N	\N	\N
212147	720	1995-07-20	PRIJEM	VKLAD	500	500	\N	\N	\N
212155	720	1995-08-11	PRIJEM	VKLAD	5875	6375	\N	\N	\N
212156	720	1995-09-11	PRIJEM	VKLAD	5875	22579	\N	\N	\N
212157	720	1995-10-11	PRIJEM	VKLAD	5875	29035	\N	\N	\N
212158	720	1995-11-11	PRIJEM	VKLAD	5875	35006	\N	\N	\N
212159	720	1995-12-11	PRIJEM	VKLAD	8812	39329	\N	\N	\N
212160	720	1996-01-11	PRIJEM	VKLAD	5875	27617	\N	\N	\N
212161	720	1996-02-11	PRIJEM	VKLAD	5875	28463	\N	\N	\N
212162	720	1996-03-11	PRIJEM	VKLAD	5875	28705	\N	\N	\N
212163	720	1996-04-11	PRIJEM	VKLAD	5875	22523	\N	\N	\N
212164	720	1996-05-11	PRIJEM	VKLAD	5875	31061	\N	\N	\N
212165	720	1996-06-11	PRIJEM	VKLAD	8812	33069	\N	\N	\N
212166	720	1996-07-11	PRIJEM	VKLAD	5875	32423	\N	\N	\N
212167	720	1996-08-11	PRIJEM	VKLAD	5875	31276	\N	\N	\N
212168	720	1996-09-11	PRIJEM	VKLAD	5875	30625	\N	\N	\N
212169	720	1996-10-11	PRIJEM	VKLAD	5875	25563	\N	\N	\N
212170	720	1996-11-11	PRIJEM	VKLAD	5875	27896	\N	\N	\N
212171	720	1996-12-11	PRIJEM	VKLAD	8812	29759	\N	\N	\N
212172	720	1997-01-11	PRIJEM	VKLAD	5875	20538	\N	\N	\N
212173	720	1997-02-11	PRIJEM	VKLAD	5875	24066	\N	\N	\N
212174	720	1997-03-11	PRIJEM	VKLAD	5875	26089	\N	\N	\N
212175	720	1997-04-11	PRIJEM	VKLAD	5875	25918	\N	\N	\N
212176	720	1997-05-11	PRIJEM	VKLAD	5875	28752	\N	\N	\N
212177	720	1997-06-11	PRIJEM	VKLAD	8812	30433	\N	\N	\N
212178	720	1997-07-11	PRIJEM	VKLAD	5875	30585	\N	\N	\N
212179	720	1997-08-11	PRIJEM	VKLAD	5875	30640	\N	\N	\N
212180	720	1997-09-11	PRIJEM	VKLAD	5875	23534	\N	\N	\N
212181	720	1997-10-11	PRIJEM	VKLAD	5875	27165	\N	\N	\N
212182	720	1997-11-11	PRIJEM	VKLAD	5875	30100	\N	\N	\N
212183	720	1997-12-11	PRIJEM	VKLAD	8812	32095	\N	\N	\N
212184	720	1998-01-11	PRIJEM	VKLAD	5875	25590	\N	\N	\N
212185	720	1998-02-11	PRIJEM	VKLAD	5875	26226	\N	\N	\N
212186	720	1998-03-11	PRIJEM	VKLAD	5875	25262	\N	\N	\N
212187	720	1998-04-11	PRIJEM	VKLAD	5875	23496	\N	\N	\N
212188	720	1998-05-11	PRIJEM	VKLAD	5875	22369	\N	\N	\N
212189	720	1998-06-11	PRIJEM	VKLAD	8812	24835	\N	\N	\N
212190	720	1998-07-11	PRIJEM	VKLAD	5875	19141	\N	\N	\N
212191	720	1998-08-11	PRIJEM	VKLAD	5875	18560	\N	\N	\N
212192	720	1998-09-11	PRIJEM	VKLAD	5875	20576	\N	\N	\N
212193	720	1998-10-11	PRIJEM	VKLAD	5875	17986	\N	\N	\N
212194	720	1998-11-11	PRIJEM	VKLAD	5875	20002	\N	\N	\N
212195	720	1998-12-11	PRIJEM	VKLAD	8812	22246	\N	\N	\N
212207	720	1995-12-11	VYDAJ	PREVOD NA UCET	3916	35413	SIPO	GH	57822185
212208	720	1996-01-11	VYDAJ	PREVOD NA UCET	3916	23701	SIPO	GH	57822185
212209	720	1996-02-11	VYDAJ	PREVOD NA UCET	3916	24547	SIPO	GH	57822185
212210	720	1996-03-11	VYDAJ	PREVOD NA UCET	3916	24789	SIPO	GH	57822185
212211	720	1996-04-11	VYDAJ	PREVOD NA UCET	3916	18607	SIPO	GH	57822185
212212	720	1996-05-11	VYDAJ	PREVOD NA UCET	3916	27145	SIPO	GH	57822185
212213	720	1996-06-11	VYDAJ	PREVOD NA UCET	3916	29153	SIPO	GH	57822185
212214	720	1996-07-11	VYDAJ	PREVOD NA UCET	3916	28507	SIPO	GH	57822185
212215	720	1996-08-11	VYDAJ	PREVOD NA UCET	3916	27360	SIPO	GH	57822185
212216	720	1996-09-11	VYDAJ	PREVOD NA UCET	3916	26709	SIPO	GH	57822185
212217	720	1996-10-11	VYDAJ	PREVOD NA UCET	3916	21647	SIPO	GH	57822185
212218	720	1996-11-11	VYDAJ	PREVOD NA UCET	3916	22180	SIPO	GH	57822185
212219	720	1996-12-11	VYDAJ	PREVOD NA UCET	3916	25843	SIPO	GH	57822185
212220	720	1997-01-11	VYDAJ	PREVOD NA UCET	3916	16622	SIPO	GH	57822185
212221	720	1997-02-11	VYDAJ	PREVOD NA UCET	3916	20150	SIPO	GH	57822185
212222	720	1997-03-11	VYDAJ	PREVOD NA UCET	3916	22173	SIPO	GH	57822185
212223	720	1997-04-11	VYDAJ	PREVOD NA UCET	3916	22002	SIPO	GH	57822185
212224	720	1997-05-11	VYDAJ	PREVOD NA UCET	3916	24836	SIPO	GH	57822185
212225	720	1997-06-11	VYDAJ	PREVOD NA UCET	3916	26517	SIPO	GH	57822185
212226	720	1997-07-11	VYDAJ	PREVOD NA UCET	3916	26669	SIPO	GH	57822185
212227	720	1997-08-11	VYDAJ	PREVOD NA UCET	3916	26724	SIPO	GH	57822185
212228	720	1997-09-11	VYDAJ	PREVOD NA UCET	3916	19618	SIPO	GH	57822185
212229	720	1997-10-11	VYDAJ	PREVOD NA UCET	3916	23249	SIPO	GH	57822185
212230	720	1997-11-11	VYDAJ	PREVOD NA UCET	3916	26184	SIPO	GH	57822185
212231	720	1997-12-11	VYDAJ	PREVOD NA UCET	3916	28179	SIPO	GH	57822185
212232	720	1998-01-11	VYDAJ	PREVOD NA UCET	3916	21674	SIPO	GH	57822185
212233	720	1998-02-11	VYDAJ	PREVOD NA UCET	3916	22310	SIPO	GH	57822185
212234	720	1998-03-11	VYDAJ	PREVOD NA UCET	3916	21346	SIPO	GH	57822185
212235	720	1998-04-11	VYDAJ	PREVOD NA UCET	3916	19580	SIPO	GH	57822185
212236	720	1998-05-11	VYDAJ	PREVOD NA UCET	3916	18453	SIPO	GH	57822185
212237	720	1998-06-11	VYDAJ	PREVOD NA UCET	3916	20919	SIPO	GH	57822185
212238	720	1998-07-11	VYDAJ	PREVOD NA UCET	3916	15225	SIPO	GH	57822185
212239	720	1998-08-11	VYDAJ	PREVOD NA UCET	3916	14644	SIPO	GH	57822185
212240	720	1998-09-11	VYDAJ	PREVOD NA UCET	3916	16660	SIPO	GH	57822185
212241	720	1998-10-11	VYDAJ	PREVOD NA UCET	3916	14070	SIPO	GH	57822185
212242	720	1998-11-11	VYDAJ	PREVOD NA UCET	3916	16086	SIPO	GH	57822185
212243	720	1998-12-11	VYDAJ	PREVOD NA UCET	3916	18330	SIPO	GH	57822185
212251	720	1998-01-09	VYDAJ	VYBER	4320	19715	\N	\N	\N
212252	720	1995-12-22	VYDAJ	VYBER	4000	25713	\N	\N	\N
212253	720	1996-12-21	VYDAJ	VYBER	1600	20643	\N	\N	\N
212254	720	1997-12-27	VYDAJ	VYBER	4640	23539	\N	\N	\N
212260	720	1996-06-04	VYDAJ	VYBER	1080	24257	\N	\N	\N
212261	720	1996-04-02	VYDAJ	VYBER	3720	16648	\N	\N	\N
212262	720	1996-03-24	VYDAJ	VYBER	1800	20289	\N	\N	\N
212263	720	1996-09-18	VYDAJ	VYBER	4440	19609	\N	\N	\N
212264	720	1996-12-27	VYDAJ	VYBER	840	19803	\N	\N	\N
212265	720	1996-09-11	VYDAJ	VYBER	2760	23949	\N	\N	\N
212266	720	1996-01-03	VYDAJ	VYBER	4080	21742	\N	\N	\N
212267	720	1996-12-10	VYDAJ	VYBER	1320	20947	\N	\N	\N
212268	720	1997-01-10	VYDAJ	VYBER	4920	14663	\N	\N	\N
212269	720	1997-10-14	VYDAJ	VYBER	1200	22049	\N	\N	\N
212270	720	1997-08-19	VYDAJ	VYBER	5400	15684	\N	\N	\N
212271	720	1997-08-16	VYDAJ	VYBER	5640	21084	\N	\N	\N
212274	720	1998-04-25	VYDAJ	VYBER	2760	16820	\N	\N	\N
212275	720	1998-06-29	VYDAJ	VYBER	4920	15999	\N	\N	\N
212276	720	1998-12-23	VYDAJ	VYBER	3480	14850	\N	\N	\N
212289	720	1995-12-31	VYDAJ	VYBER	15	25822	SLUZBY	\N	\N
212290	720	1996-01-31	VYDAJ	VYBER	15	22588	SLUZBY	\N	\N
212291	720	1996-02-29	VYDAJ	VYBER	15	22830	SLUZBY	\N	\N
212292	720	1996-03-31	VYDAJ	VYBER	15	20368	SLUZBY	\N	\N
212293	720	1996-04-30	VYDAJ	VYBER	15	25186	SLUZBY	\N	\N
212294	720	1996-05-31	VYDAJ	VYBER	15	25337	SLUZBY	\N	\N
212295	720	1996-06-30	VYDAJ	VYBER	15	26548	SLUZBY	\N	\N
212296	720	1996-07-31	VYDAJ	VYBER	15	25401	SLUZBY	\N	\N
212297	720	1996-08-31	VYDAJ	VYBER	15	24750	SLUZBY	\N	\N
212298	720	1996-09-30	VYDAJ	VYBER	15	19688	SLUZBY	\N	\N
212299	720	1996-10-31	VYDAJ	VYBER	15	22021	SLUZBY	\N	\N
212300	720	1996-11-30	VYDAJ	VYBER	15	22267	SLUZBY	\N	\N
212301	720	1996-12-31	VYDAJ	VYBER	15	19883	SLUZBY	\N	\N
212302	720	1997-01-31	VYDAJ	VYBER	15	16691	SLUZBY	\N	\N
212303	720	1997-02-28	VYDAJ	VYBER	15	20214	SLUZBY	\N	\N
212304	720	1997-03-31	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
212305	720	1997-04-30	VYDAJ	VYBER	15	22077	SLUZBY	\N	\N
212306	720	1997-05-31	VYDAJ	VYBER	15	24921	SLUZBY	\N	\N
212307	720	1997-06-30	VYDAJ	VYBER	15	26610	SLUZBY	\N	\N
212308	720	1997-07-31	VYDAJ	VYBER	15	26765	SLUZBY	\N	\N
212309	720	1997-08-31	VYDAJ	VYBER	15	15759	SLUZBY	\N	\N
212310	720	1997-09-30	VYDAJ	VYBER	15	19690	SLUZBY	\N	\N
212311	720	1997-10-31	VYDAJ	VYBER	15	22125	SLUZBY	\N	\N
212312	720	1997-11-30	VYDAJ	VYBER	15	26283	SLUZBY	\N	\N
212313	720	1997-12-31	VYDAJ	VYBER	15	23635	SLUZBY	\N	\N
212314	720	1998-01-31	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
212315	720	1998-02-28	VYDAJ	VYBER	15	22387	SLUZBY	\N	\N
212316	720	1998-03-31	VYDAJ	VYBER	15	21421	SLUZBY	\N	\N
212317	720	1998-04-30	VYDAJ	VYBER	15	16894	SLUZBY	\N	\N
212318	720	1998-05-31	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
212319	720	1998-06-30	VYDAJ	VYBER	15	16066	SLUZBY	\N	\N
212320	720	1998-07-31	VYDAJ	VYBER	15	15285	SLUZBY	\N	\N
212321	720	1998-08-31	VYDAJ	VYBER	15	14701	SLUZBY	\N	\N
212322	720	1998-09-30	VYDAJ	VYBER	15	16711	SLUZBY	\N	\N
212323	720	1998-10-31	VYDAJ	VYBER	15	14127	SLUZBY	\N	\N
212324	720	1998-11-30	VYDAJ	VYBER	15	16134	SLUZBY	\N	\N
212325	720	1995-08-19	PRIJEM	VKLAD	10300	16675	\N	\N	\N
212326	720	1995-09-18	PRIJEM	VKLAD	500	23079	\N	\N	\N
212327	720	1995-11-17	VYDAJ	VYBER	4600	30406	\N	\N	\N
212328	720	1995-12-17	VYDAJ	VYBER	5700	29713	\N	\N	\N
212329	720	1996-01-16	VYDAJ	VYBER	1200	22501	\N	\N	\N
212330	720	1996-02-15	VYDAJ	VYBER	1800	22747	\N	\N	\N
212331	720	1996-03-16	VYDAJ	VYBER	2700	22089	\N	\N	\N
212332	720	1996-04-15	PRIJEM	VKLAD	6500	25107	\N	\N	\N
212333	720	1996-05-15	VYDAJ	VYBER	1900	25245	\N	\N	\N
212334	720	1996-06-14	VYDAJ	VYBER	2700	26453	\N	\N	\N
212335	720	1996-07-14	VYDAJ	VYBER	3200	25307	\N	\N	\N
212336	720	1996-08-13	VYDAJ	VYBER	2700	24660	\N	\N	\N
212337	720	1996-09-12	PRIJEM	VKLAD	100	24049	\N	\N	\N
212338	720	1996-10-12	PRIJEM	VKLAD	300	21947	\N	\N	\N
212339	720	1996-11-11	VYDAJ	VYBER	1800	26096	\N	\N	\N
212340	720	1996-12-11	VYDAJ	VYBER	3600	22243	\N	\N	\N
212341	720	1997-01-10	VYDAJ	VYBER	300	19583	\N	\N	\N
212342	720	1997-02-09	PRIJEM	VKLAD	1500	18191	\N	\N	\N
212343	720	1997-03-11	VYDAJ	VYBER	1700	20473	\N	\N	\N
212344	720	1997-04-10	VYDAJ	VYBER	500	20043	\N	\N	\N
212345	720	1997-05-10	PRIJEM	VKLAD	800	22877	\N	\N	\N
212346	720	1997-06-09	VYDAJ	VYBER	3300	21621	\N	\N	\N
212347	720	1997-07-09	VYDAJ	VYBER	1900	24710	\N	\N	\N
212348	720	1997-08-08	VYDAJ	VYBER	2000	24765	\N	\N	\N
212349	720	1997-09-07	PRIJEM	VKLAD	1900	17659	\N	\N	\N
212350	720	1997-10-07	PRIJEM	VKLAD	1600	21290	\N	\N	\N
212351	720	1997-11-06	PRIJEM	VKLAD	2100	24225	\N	\N	\N
212352	720	1997-12-06	VYDAJ	VYBER	3000	23283	\N	\N	\N
212353	720	1998-01-05	PRIJEM	VKLAD	400	24035	\N	\N	\N
212354	720	1998-02-04	VYDAJ	VYBER	1400	20351	\N	\N	\N
212355	720	1998-03-06	VYDAJ	VYBER	3000	19387	\N	\N	\N
212356	720	1998-04-05	VYDAJ	VYBER	3800	17621	\N	\N	\N
212357	720	1998-05-05	VYDAJ	VYBER	400	16494	\N	\N	\N
212358	720	1998-06-04	VYDAJ	VYBER	2500	16023	\N	\N	\N
212359	720	1998-07-04	VYDAJ	VYBER	2800	13266	\N	\N	\N
212360	720	1998-08-03	VYDAJ	VYBER	2600	12685	\N	\N	\N
212361	720	1998-10-02	VYDAJ	VYBER	4600	12111	\N	\N	\N
212362	720	1998-12-01	VYDAJ	VYBER	2700	13434	\N	\N	\N
212404	721	1993-08-29	PRIJEM	VKLAD	500	500	\N	\N	\N
212413	721	1993-09-14	PRIJEM	PREVOD Z UCTU	3292	3792	\N	UV	5928922
212414	721	1993-10-14	PRIJEM	PREVOD Z UCTU	3292	7084	\N	UV	5928922
212415	721	1993-11-14	PRIJEM	PREVOD Z UCTU	3292	10376	\N	UV	5928922
212416	721	1993-12-14	PRIJEM	PREVOD Z UCTU	3292	13668	\N	UV	5928922
212417	721	1994-01-14	PRIJEM	PREVOD Z UCTU	3292	16960	\N	UV	5928922
212418	721	1994-02-14	PRIJEM	PREVOD Z UCTU	3292	17018	\N	UV	5928922
212419	721	1994-03-14	PRIJEM	PREVOD Z UCTU	3292	16790	\N	UV	5928922
212420	721	1994-04-14	PRIJEM	PREVOD Z UCTU	3292	17943	\N	UV	5928922
212421	721	1994-05-14	PRIJEM	PREVOD Z UCTU	3292	19099	\N	UV	5928922
212422	721	1994-06-14	PRIJEM	PREVOD Z UCTU	3292	19330	\N	UV	5928922
212423	721	1994-07-14	PRIJEM	PREVOD Z UCTU	3292	20101	\N	UV	5928922
212424	721	1994-08-14	PRIJEM	PREVOD Z UCTU	3292	21267	\N	UV	5928922
212425	721	1994-09-14	PRIJEM	PREVOD Z UCTU	3292	22437	\N	UV	5928922
212426	721	1994-10-14	PRIJEM	PREVOD Z UCTU	3292	23162	\N	UV	5928922
212427	721	1994-11-14	PRIJEM	PREVOD Z UCTU	3292	24340	\N	UV	5928922
212428	721	1994-12-14	PRIJEM	PREVOD Z UCTU	3292	25522	\N	UV	5928922
212429	721	1995-01-14	PRIJEM	PREVOD Z UCTU	3292	23839	\N	UV	5928922
212430	721	1995-02-14	PRIJEM	PREVOD Z UCTU	3292	21415	\N	UV	5928922
212431	721	1995-03-14	PRIJEM	PREVOD Z UCTU	3292	21505	\N	UV	5928922
212432	721	1995-04-14	PRIJEM	PREVOD Z UCTU	3292	22677	\N	UV	5928922
212433	721	1995-05-14	PRIJEM	PREVOD Z UCTU	3292	22772	\N	UV	5928922
212434	721	1995-06-14	PRIJEM	PREVOD Z UCTU	3292	23949	\N	UV	5928922
212435	721	1995-07-14	PRIJEM	PREVOD Z UCTU	3292	22100	\N	UV	5928922
212436	721	1995-08-14	PRIJEM	PREVOD Z UCTU	3292	23273	\N	UV	5928922
212437	721	1995-09-14	PRIJEM	PREVOD Z UCTU	3292	24451	\N	UV	5928922
212438	721	1995-10-14	PRIJEM	PREVOD Z UCTU	3292	25364	\N	UV	5928922
212439	721	1995-11-14	PRIJEM	PREVOD Z UCTU	3292	26551	\N	UV	5928922
212440	721	1995-12-14	PRIJEM	PREVOD Z UCTU	3292	27743	\N	UV	5928922
212441	721	1996-01-14	PRIJEM	PREVOD Z UCTU	3292	23597	\N	UV	5928922
212442	721	1996-02-14	PRIJEM	PREVOD Z UCTU	3292	23035	\N	UV	5928922
212443	721	1996-03-14	PRIJEM	PREVOD Z UCTU	3292	24212	\N	UV	5928922
212444	721	1996-04-14	PRIJEM	PREVOD Z UCTU	3292	25394	\N	UV	5928922
212445	721	1996-05-14	PRIJEM	PREVOD Z UCTU	3292	26341	\N	UV	5928922
212446	721	1996-06-14	PRIJEM	PREVOD Z UCTU	3292	27531	\N	UV	5928922
212447	721	1996-07-14	PRIJEM	PREVOD Z UCTU	3292	21964	\N	UV	5928922
212448	721	1996-08-14	PRIJEM	PREVOD Z UCTU	3292	23136	\N	UV	5928922
212449	721	1996-09-14	PRIJEM	PREVOD Z UCTU	3292	24314	\N	UV	5928922
212450	721	1996-10-14	PRIJEM	PREVOD Z UCTU	3292	25496	\N	UV	5928922
212451	721	1996-11-14	PRIJEM	PREVOD Z UCTU	3292	25811	\N	UV	5928922
212452	721	1996-12-14	PRIJEM	PREVOD Z UCTU	3292	26309	\N	UV	5928922
212453	721	1997-01-14	PRIJEM	PREVOD Z UCTU	3292	26389	\N	UV	5928922
212454	721	1997-02-14	PRIJEM	PREVOD Z UCTU	3292	22535	\N	UV	5928922
212455	721	1997-03-14	PRIJEM	PREVOD Z UCTU	3292	22449	\N	UV	5928922
212456	721	1997-04-14	PRIJEM	PREVOD Z UCTU	3292	23624	\N	UV	5928922
212457	721	1997-05-14	PRIJEM	PREVOD Z UCTU	3292	24802	\N	UV	5928922
212458	721	1997-06-14	PRIJEM	PREVOD Z UCTU	3292	19656	\N	UV	5928922
212459	721	1997-07-14	PRIJEM	PREVOD Z UCTU	3292	18752	\N	UV	5928922
212460	721	1997-08-14	PRIJEM	PREVOD Z UCTU	3292	18979	\N	UV	5928922
212461	721	1997-09-14	PRIJEM	PREVOD Z UCTU	3292	18186	\N	UV	5928922
212462	721	1997-10-14	PRIJEM	PREVOD Z UCTU	3292	19343	\N	UV	5928922
212463	721	1997-11-14	PRIJEM	PREVOD Z UCTU	3292	20503	\N	UV	5928922
212464	721	1997-12-14	PRIJEM	PREVOD Z UCTU	3292	20979	\N	UV	5928922
212465	721	1998-01-14	PRIJEM	PREVOD Z UCTU	3292	19686	\N	UV	5928922
212466	721	1998-02-14	PRIJEM	PREVOD Z UCTU	3292	17756	\N	UV	5928922
212467	721	1998-03-14	PRIJEM	PREVOD Z UCTU	3292	18909	\N	UV	5928922
212468	721	1998-04-14	PRIJEM	PREVOD Z UCTU	3292	20068	\N	UV	5928922
212469	721	1998-05-14	PRIJEM	PREVOD Z UCTU	3292	20751	\N	UV	5928922
212470	721	1998-06-14	PRIJEM	PREVOD Z UCTU	3292	21197	\N	UV	5928922
212471	721	1998-07-14	PRIJEM	PREVOD Z UCTU	3292	18223	\N	UV	5928922
212472	721	1998-08-14	PRIJEM	PREVOD Z UCTU	3292	19379	\N	UV	5928922
212473	721	1998-09-14	PRIJEM	PREVOD Z UCTU	3292	20539	\N	UV	5928922
212474	721	1998-10-14	PRIJEM	PREVOD Z UCTU	3292	21703	\N	UV	5928922
212475	721	1998-11-14	PRIJEM	PREVOD Z UCTU	3292	22663	\N	UV	5928922
212476	721	1998-12-14	PRIJEM	PREVOD Z UCTU	3292	23836	\N	UV	5928922
212490	721	1994-02-11	VYDAJ	PREVOD NA UCET	2194	13726	\N	UV	92811554
212491	721	1994-03-11	VYDAJ	PREVOD NA UCET	2194	14878	\N	UV	92811554
212492	721	1994-04-11	VYDAJ	PREVOD NA UCET	2194	14651	\N	UV	92811554
212493	721	1994-05-11	VYDAJ	PREVOD NA UCET	2194	15807	\N	UV	92811554
212494	721	1994-06-11	VYDAJ	PREVOD NA UCET	2194	16038	\N	UV	92811554
212495	721	1994-07-11	VYDAJ	PREVOD NA UCET	2194	17199	\N	UV	92811554
212496	721	1994-08-11	VYDAJ	PREVOD NA UCET	2194	17975	\N	UV	92811554
212497	721	1994-09-11	VYDAJ	PREVOD NA UCET	2194	19145	\N	UV	92811554
212498	721	1994-10-11	VYDAJ	PREVOD NA UCET	2194	19870	\N	UV	92811554
212499	721	1994-11-11	VYDAJ	PREVOD NA UCET	2194	21048	\N	UV	92811554
212500	721	1994-12-11	VYDAJ	PREVOD NA UCET	2194	22230	\N	UV	92811554
212501	721	1995-01-11	VYDAJ	PREVOD NA UCET	2194	20547	\N	UV	92811554
212502	721	1995-02-11	VYDAJ	PREVOD NA UCET	2194	18123	\N	UV	92811554
212503	721	1995-03-11	VYDAJ	PREVOD NA UCET	2194	18213	\N	UV	92811554
212504	721	1995-04-11	VYDAJ	PREVOD NA UCET	2194	19385	\N	UV	92811554
212505	721	1995-05-11	VYDAJ	PREVOD NA UCET	2194	19480	\N	UV	92811554
212506	721	1995-06-11	VYDAJ	PREVOD NA UCET	2194	20657	\N	UV	92811554
212507	721	1995-07-11	VYDAJ	PREVOD NA UCET	2194	18808	\N	UV	92811554
212508	721	1995-08-11	VYDAJ	PREVOD NA UCET	2194	19981	\N	UV	92811554
212509	721	1995-09-11	VYDAJ	PREVOD NA UCET	2194	21159	\N	UV	92811554
212510	721	1995-10-11	VYDAJ	PREVOD NA UCET	2194	22072	\N	UV	92811554
212511	721	1995-11-11	VYDAJ	PREVOD NA UCET	2194	23259	\N	UV	92811554
212512	721	1995-12-11	VYDAJ	PREVOD NA UCET	2194	24451	\N	UV	92811554
212513	721	1996-01-11	VYDAJ	PREVOD NA UCET	2194	20305	\N	UV	92811554
212514	721	1996-02-11	VYDAJ	PREVOD NA UCET	2194	19743	\N	UV	92811554
212515	721	1996-03-11	VYDAJ	PREVOD NA UCET	2194	20920	\N	UV	92811554
212516	721	1996-04-11	VYDAJ	PREVOD NA UCET	2194	22102	\N	UV	92811554
212517	721	1996-05-11	VYDAJ	PREVOD NA UCET	2194	23289	\N	UV	92811554
212518	721	1996-06-11	VYDAJ	PREVOD NA UCET	2194	24239	\N	UV	92811554
212519	721	1996-07-11	VYDAJ	PREVOD NA UCET	2194	18672	\N	UV	92811554
212520	721	1996-08-11	VYDAJ	PREVOD NA UCET	2194	19844	\N	UV	92811554
212521	721	1996-09-11	VYDAJ	PREVOD NA UCET	2194	21022	\N	UV	92811554
212522	721	1996-10-11	VYDAJ	PREVOD NA UCET	2194	22204	\N	UV	92811554
212523	721	1996-11-11	VYDAJ	PREVOD NA UCET	2194	22519	\N	UV	92811554
212524	721	1996-12-11	VYDAJ	PREVOD NA UCET	2194	23017	\N	UV	92811554
212525	721	1997-01-11	VYDAJ	PREVOD NA UCET	2194	23097	\N	UV	92811554
212526	721	1997-02-11	VYDAJ	PREVOD NA UCET	2194	19243	\N	UV	92811554
212527	721	1997-03-11	VYDAJ	PREVOD NA UCET	2194	19157	\N	UV	92811554
212528	721	1997-04-11	VYDAJ	PREVOD NA UCET	2194	20332	\N	UV	92811554
212529	721	1997-05-11	VYDAJ	PREVOD NA UCET	2194	21510	\N	UV	92811554
212530	721	1997-06-11	VYDAJ	PREVOD NA UCET	2194	16364	\N	UV	92811554
212531	721	1997-07-11	VYDAJ	PREVOD NA UCET	2194	15460	\N	UV	92811554
212532	721	1997-08-11	VYDAJ	PREVOD NA UCET	2194	15687	\N	UV	92811554
212533	721	1997-09-11	VYDAJ	PREVOD NA UCET	2194	14894	\N	UV	92811554
212534	721	1997-10-11	VYDAJ	PREVOD NA UCET	2194	16051	\N	UV	92811554
212535	721	1997-11-11	VYDAJ	PREVOD NA UCET	2194	17211	\N	UV	92811554
212536	721	1997-12-11	VYDAJ	PREVOD NA UCET	2194	17687	\N	UV	92811554
212537	721	1998-01-11	VYDAJ	PREVOD NA UCET	2194	16394	\N	UV	92811554
212538	721	1998-02-11	VYDAJ	PREVOD NA UCET	2194	14464	\N	UV	92811554
212539	721	1998-03-11	VYDAJ	PREVOD NA UCET	2194	15617	\N	UV	92811554
212540	721	1998-04-11	VYDAJ	PREVOD NA UCET	2194	16776	\N	UV	92811554
212541	721	1998-05-11	VYDAJ	PREVOD NA UCET	2194	17459	\N	UV	92811554
212542	721	1998-06-11	VYDAJ	PREVOD NA UCET	2194	17905	\N	UV	92811554
212543	721	1998-07-11	VYDAJ	PREVOD NA UCET	2194	14931	\N	UV	92811554
212544	721	1998-08-11	VYDAJ	PREVOD NA UCET	2194	16087	\N	UV	92811554
212545	721	1998-09-11	VYDAJ	PREVOD NA UCET	2194	17247	\N	UV	92811554
212546	721	1998-10-11	VYDAJ	PREVOD NA UCET	2194	18411	\N	UV	92811554
212547	721	1998-11-11	VYDAJ	PREVOD NA UCET	2194	19371	\N	UV	92811554
212548	721	1998-12-11	VYDAJ	PREVOD NA UCET	2194	20544	\N	UV	92811554
212551	721	1995-06-14	VYDAJ	VYBER	3030	20919	\N	\N	\N
212552	721	1996-06-17	VYDAJ	VYBER	6750	20781	\N	\N	\N
212553	721	1997-06-04	VYDAJ	VYBER	6330	18558	\N	\N	\N
212554	721	1998-06-29	VYDAJ	VYBER	3900	17057	\N	\N	\N
212557	721	1995-01-17	VYDAJ	VYBER	1140	22039	\N	\N	\N
212558	721	1996-01-03	VYDAJ	VYBER	1530	24419	\N	\N	\N
212559	721	1997-01-28	VYDAJ	VYBER	2280	22219	\N	\N	\N
212560	721	1998-01-09	VYDAJ	VYBER	2310	18588	\N	\N	\N
212562	721	1994-12-26	VYDAJ	VYBER	870	24152	\N	\N	\N
212563	721	1995-12-22	VYDAJ	VYBER	510	26243	\N	\N	\N
212564	721	1996-12-08	VYDAJ	VYBER	690	25211	\N	\N	\N
212565	721	1997-12-01	VYDAJ	VYBER	690	19881	\N	\N	\N
212566	721	1998-12-29	VYDAJ	VYBER	270	23566	\N	\N	\N
212573	721	1994-01-21	VYDAJ	VYBER	180	16780	\N	\N	\N
212574	721	1994-01-27	VYDAJ	VYBER	600	15910	\N	\N	\N
212577	721	1994-01-23	VYDAJ	VYBER	270	16510	\N	\N	\N
212579	721	1995-01-03	VYDAJ	VYBER	540	23701	\N	\N	\N
212580	721	1995-01-23	VYDAJ	VYBER	540	21199	\N	\N	\N
212581	721	1995-01-18	VYDAJ	VYBER	300	21739	\N	\N	\N
212582	721	1995-01-16	VYDAJ	VYBER	660	23179	\N	\N	\N
212583	721	1995-01-07	VYDAJ	VYBER	540	22741	\N	\N	\N
212584	721	1995-01-07	VYDAJ	VYBER	420	23281	\N	\N	\N
212585	721	1996-01-17	VYDAJ	VYBER	630	22967	\N	\N	\N
212586	721	1996-01-10	VYDAJ	VYBER	570	22499	\N	\N	\N
212587	721	1996-01-05	VYDAJ	VYBER	450	23549	\N	\N	\N
212588	721	1996-01-04	VYDAJ	VYBER	420	23999	\N	\N	\N
212589	721	1996-01-05	VYDAJ	VYBER	480	23069	\N	\N	\N
212590	721	1996-01-21	VYDAJ	VYBER	390	22577	\N	\N	\N
212591	721	1997-01-01	VYDAJ	VYBER	600	25801	\N	\N	\N
212592	721	1997-01-20	VYDAJ	VYBER	690	25129	\N	\N	\N
212593	721	1997-01-22	VYDAJ	VYBER	630	24499	\N	\N	\N
212594	721	1997-01-17	VYDAJ	VYBER	570	25819	\N	\N	\N
212595	721	1997-01-30	VYDAJ	VYBER	870	21349	\N	\N	\N
212596	721	1997-01-03	VYDAJ	VYBER	510	25291	\N	\N	\N
212597	721	1998-01-27	VYDAJ	VYBER	810	17406	\N	\N	\N
212598	721	1998-01-05	VYDAJ	VYBER	150	20898	\N	\N	\N
212599	721	1998-01-21	VYDAJ	VYBER	180	18216	\N	\N	\N
212601	721	1998-01-29	VYDAJ	VYBER	810	16596	\N	\N	\N
212602	721	1998-01-21	VYDAJ	VYBER	180	18396	\N	\N	\N
212608	721	1994-06-03	VYDAJ	VYBER	390	18772	\N	\N	\N
212609	721	1994-09-28	VYDAJ	VYBER	450	21987	\N	\N	\N
212610	721	1994-03-12	VYDAJ	VYBER	1380	13498	\N	\N	\N
212611	721	1994-07-13	VYDAJ	VYBER	390	16809	\N	\N	\N
212612	721	1994-06-05	VYDAJ	VYBER	540	18232	\N	\N	\N
212613	721	1995-03-06	VYDAJ	VYBER	1080	20407	\N	\N	\N
212614	721	1995-12-19	VYDAJ	VYBER	990	26753	\N	\N	\N
212615	721	1995-09-19	VYDAJ	VYBER	270	24181	\N	\N	\N
212616	721	1995-01-29	VYDAJ	VYBER	960	20239	\N	\N	\N
212617	721	1995-05-02	VYDAJ	VYBER	1080	21674	\N	\N	\N
212618	721	1996-10-16	VYDAJ	VYBER	870	24626	\N	\N	\N
212619	721	1996-05-12	VYDAJ	VYBER	240	23049	\N	\N	\N
212620	721	1996-01-30	VYDAJ	VYBER	720	21857	\N	\N	\N
212621	721	1996-01-02	VYDAJ	VYBER	390	25949	\N	\N	\N
212622	721	1997-06-17	VYDAJ	VYBER	1260	17586	\N	\N	\N
212623	721	1997-08-18	VYDAJ	VYBER	960	18019	\N	\N	\N
212624	721	1997-09-05	VYDAJ	VYBER	990	17088	\N	\N	\N
212625	721	1997-07-22	VYDAJ	VYBER	390	17822	\N	\N	\N
212626	721	1997-07-20	VYDAJ	VYBER	540	18212	\N	\N	\N
212627	721	1997-06-15	VYDAJ	VYBER	810	18846	\N	\N	\N
212628	721	1997-03-02	VYDAJ	VYBER	1260	21351	\N	\N	\N
212629	721	1998-06-16	VYDAJ	VYBER	240	20957	\N	\N	\N
212630	721	1998-05-05	VYDAJ	VYBER	480	19653	\N	\N	\N
212631	721	1998-06-03	VYDAJ	VYBER	720	20099	\N	\N	\N
212632	721	1998-01-16	VYDAJ	VYBER	1110	18576	\N	\N	\N
212633	721	1998-11-11	VYDAJ	VYBER	210	21565	\N	\N	\N
212647	721	1994-01-31	VYDAJ	VYBER	15	15920	SLUZBY	\N	\N
212648	721	1994-02-28	VYDAJ	VYBER	15	17072	SLUZBY	\N	\N
212649	721	1994-03-31	VYDAJ	VYBER	15	16845	SLUZBY	\N	\N
212650	721	1994-04-30	VYDAJ	VYBER	15	18001	SLUZBY	\N	\N
212651	721	1994-05-31	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
212652	721	1994-06-30	VYDAJ	VYBER	15	19393	SLUZBY	\N	\N
212653	721	1994-07-31	VYDAJ	VYBER	15	20169	SLUZBY	\N	\N
212654	721	1994-08-31	VYDAJ	VYBER	15	21339	SLUZBY	\N	\N
212655	721	1994-09-30	VYDAJ	VYBER	15	22064	SLUZBY	\N	\N
212656	721	1994-10-31	VYDAJ	VYBER	15	23242	SLUZBY	\N	\N
212657	721	1994-11-30	VYDAJ	VYBER	15	24424	SLUZBY	\N	\N
212658	721	1994-12-31	VYDAJ	VYBER	15	24241	SLUZBY	\N	\N
212659	721	1995-01-31	VYDAJ	VYBER	15	20317	SLUZBY	\N	\N
212660	721	1995-02-28	VYDAJ	VYBER	15	21487	SLUZBY	\N	\N
212661	721	1995-03-31	VYDAJ	VYBER	15	21579	SLUZBY	\N	\N
212662	721	1995-04-30	VYDAJ	VYBER	15	22754	SLUZBY	\N	\N
212663	721	1995-05-31	VYDAJ	VYBER	15	22851	SLUZBY	\N	\N
212664	721	1995-06-30	VYDAJ	VYBER	15	21002	SLUZBY	\N	\N
212665	721	1995-07-31	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
212666	721	1995-08-31	VYDAJ	VYBER	15	23353	SLUZBY	\N	\N
212667	721	1995-09-30	VYDAJ	VYBER	15	24266	SLUZBY	\N	\N
212668	721	1995-10-31	VYDAJ	VYBER	15	25453	SLUZBY	\N	\N
212669	721	1995-11-30	VYDAJ	VYBER	15	26645	SLUZBY	\N	\N
212670	721	1995-12-31	VYDAJ	VYBER	15	26339	SLUZBY	\N	\N
212671	721	1996-01-31	VYDAJ	VYBER	15	21937	SLUZBY	\N	\N
212672	721	1996-02-29	VYDAJ	VYBER	15	23114	SLUZBY	\N	\N
212673	721	1996-03-31	VYDAJ	VYBER	15	24296	SLUZBY	\N	\N
212674	721	1996-04-30	VYDAJ	VYBER	15	25483	SLUZBY	\N	\N
212675	721	1996-05-31	VYDAJ	VYBER	15	26433	SLUZBY	\N	\N
212676	721	1996-06-30	VYDAJ	VYBER	15	20866	SLUZBY	\N	\N
212677	721	1996-07-31	VYDAJ	VYBER	15	22038	SLUZBY	\N	\N
212678	721	1996-08-31	VYDAJ	VYBER	15	23216	SLUZBY	\N	\N
212679	721	1996-09-30	VYDAJ	VYBER	15	24398	SLUZBY	\N	\N
212680	721	1996-10-31	VYDAJ	VYBER	15	24713	SLUZBY	\N	\N
212681	721	1996-11-30	VYDAJ	VYBER	15	25901	SLUZBY	\N	\N
212682	721	1996-12-31	VYDAJ	VYBER	15	26401	SLUZBY	\N	\N
212683	721	1997-01-31	VYDAJ	VYBER	15	21437	SLUZBY	\N	\N
212684	721	1997-02-28	VYDAJ	VYBER	15	22611	SLUZBY	\N	\N
212685	721	1997-03-31	VYDAJ	VYBER	15	22526	SLUZBY	\N	\N
212686	721	1997-04-30	VYDAJ	VYBER	15	23704	SLUZBY	\N	\N
212687	721	1997-05-31	VYDAJ	VYBER	15	24888	SLUZBY	\N	\N
212688	721	1997-06-30	VYDAJ	VYBER	15	17654	SLUZBY	\N	\N
212689	721	1997-07-31	VYDAJ	VYBER	15	17881	SLUZBY	\N	\N
212690	721	1997-08-31	VYDAJ	VYBER	15	18078	SLUZBY	\N	\N
212691	721	1997-09-30	VYDAJ	VYBER	15	18245	SLUZBY	\N	\N
212692	721	1997-10-31	VYDAJ	VYBER	15	19405	SLUZBY	\N	\N
212693	721	1997-11-30	VYDAJ	VYBER	15	20571	SLUZBY	\N	\N
212694	721	1997-12-31	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
212695	721	1998-01-31	VYDAJ	VYBER	15	16658	SLUZBY	\N	\N
212696	721	1998-02-28	VYDAJ	VYBER	15	17811	SLUZBY	\N	\N
212697	721	1998-03-31	VYDAJ	VYBER	15	18970	SLUZBY	\N	\N
212698	721	1998-04-30	VYDAJ	VYBER	15	20133	SLUZBY	\N	\N
212699	721	1998-05-31	VYDAJ	VYBER	15	20819	SLUZBY	\N	\N
212700	721	1998-06-30	VYDAJ	VYBER	15	17125	SLUZBY	\N	\N
212701	721	1998-07-31	VYDAJ	VYBER	15	18281	SLUZBY	\N	\N
212702	721	1998-08-31	VYDAJ	VYBER	15	19441	SLUZBY	\N	\N
212703	721	1998-09-30	VYDAJ	VYBER	15	20605	SLUZBY	\N	\N
212704	721	1998-10-31	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
212705	721	1998-11-30	VYDAJ	VYBER	15	22738	SLUZBY	\N	\N
212706	721	1994-12-22	VYDAJ	VYBER	500	25022	\N	\N	\N
212767	722	1997-05-04	PRIJEM	VKLAD	500	500	\N	\N	\N
212768	722	1997-11-28	PRIJEM	VKLAD	11400	106537	\N	\N	\N
212769	722	1997-10-08	PRIJEM	VKLAD	13655	85959	\N	\N	\N
212771	722	1997-12-03	PRIJEM	VKLAD	5285	47217	\N	\N	\N
212772	722	1997-11-27	PRIJEM	VKLAD	14557	95137	\N	\N	\N
212773	722	1997-12-23	PRIJEM	VKLAD	8544	75398	\N	\N	\N
212775	722	1997-12-05	PRIJEM	VKLAD	9416	56633	\N	\N	\N
212776	722	1997-07-15	PRIJEM	VKLAD	43163	85234	\N	\N	\N
212777	722	1997-10-11	PRIJEM	VKLAD	8870	94829	\N	\N	\N
212778	722	1997-07-04	PRIJEM	VKLAD	10584	42071	\N	\N	\N
212779	722	1997-08-06	PRIJEM	VKLAD	6689	57499	\N	\N	\N
212780	722	1997-10-06	PRIJEM	VKLAD	45207	72304	\N	\N	\N
212781	722	1997-11-14	PRIJEM	VKLAD	41548	53239	\N	\N	\N
212782	722	1997-10-17	PRIJEM	VKLAD	28228	112557	\N	\N	\N
212784	722	1997-12-12	PRIJEM	VKLAD	22821	66854	\N	\N	\N
212785	722	1997-06-27	PRIJEM	VKLAD	35761	46661	\N	\N	\N
212786	722	1997-11-23	PRIJEM	VKLAD	27341	80580	\N	\N	\N
212788	722	1998-06-15	PRIJEM	VKLAD	20244	30172	\N	\N	\N
212789	722	1998-11-08	PRIJEM	VKLAD	43412	38723	\N	\N	\N
212790	722	1998-04-30	PRIJEM	VKLAD	47545	44601	\N	\N	\N
212800	722	1997-10-13	VYDAJ	VYBER	10500	84329	SIPO	\N	0
212801	722	1997-11-01	VYDAJ	VYBER	9200	13991	SIPO	\N	0
212802	722	1997-12-09	VYDAJ	VYBER	8400	44033	SIPO	\N	0
212803	722	1998-01-20	VYDAJ	VYBER	11000	10149	SIPO	\N	0
212804	722	1998-02-14	VYDAJ	VYBER	9100	-461	SIPO	\N	0
212807	722	1998-05-15	VYDAJ	VYBER	8500	33672	SIPO	\N	0
212808	722	1998-06-08	VYDAJ	VYBER	9200	11728	SIPO	\N	0
212809	722	1998-07-19	VYDAJ	VYBER	7700	7563	SIPO	\N	0
212811	722	1998-09-13	VYDAJ	VYBER	8800	5153	SIPO	\N	0
212813	722	1998-11-03	VYDAJ	VYBER	8000	-4689	SIPO	\N	0
212814	722	1998-12-02	VYDAJ	VYBER	9200	15336	SIPO	\N	0
212824	722	1997-10-20	VYDAJ	VYBER	1900	35557	 	\N	0
212825	722	1997-11-10	VYDAJ	VYBER	2300	11691	 	\N	0
212826	722	1997-12-05	VYDAJ	VYBER	1800	54833	 	\N	0
212827	722	1998-01-08	VYDAJ	VYBER	1700	21149	 	\N	0
212828	722	1998-02-11	VYDAJ	VYBER	1500	8640	 	\N	0
212829	722	1998-03-11	VYDAJ	VYBER	2300	-2844	 	\N	0
212831	722	1998-05-12	VYDAJ	VYBER	2300	42172	 	\N	0
212832	722	1998-06-14	VYDAJ	VYBER	1800	9928	 	\N	0
212833	722	1998-07-14	VYDAJ	VYBER	1500	15263	 	\N	0
212834	722	1998-08-16	VYDAJ	VYBER	2100	5417	 	\N	0
212835	722	1998-09-10	VYDAJ	VYBER	1500	13953	 	\N	0
212836	722	1998-10-05	VYDAJ	VYBER	1700	3391	 	\N	0
212837	722	1998-11-16	VYDAJ	VYBER	1400	37323	 	\N	0
212838	722	1998-12-11	VYDAJ	VYBER	2100	13236	 	\N	0
212843	722	1998-01-03	VYDAJ	VYBER	20100	22849	\N	\N	\N
212844	722	1997-12-07	VYDAJ	VYBER	2400	52433	\N	\N	\N
212847	722	1997-10-17	VYDAJ	VYBER	10200	102357	\N	\N	\N
212856	722	1998-06-19	VYDAJ	VYBER	6900	23272	\N	\N	\N
212868	722	1997-10-31	VYDAJ	VYBER	100	35691	SLUZBY	\N	\N
212869	722	1997-11-30	VYDAJ	VYBER	100	41932	SLUZBY	\N	\N
212870	722	1997-12-31	VYDAJ	VYBER	100	42949	SLUZBY	\N	\N
212871	722	1998-01-31	VYDAJ	VYBER	100	10140	SLUZBY	\N	\N
212872	722	1998-02-28	VYDAJ	VYBER	100	-544	SLUZBY	\N	\N
212873	722	1998-03-31	VYDAJ	VYBER	100	-2950	SLUZBY	\N	\N
212874	722	1998-04-30	VYDAJ	VYBER	100	44472	SLUZBY	\N	\N
212875	722	1998-05-31	VYDAJ	VYBER	100	20928	SLUZBY	\N	\N
212876	722	1998-06-30	VYDAJ	VYBER	100	16763	SLUZBY	\N	\N
212877	722	1998-07-31	VYDAJ	VYBER	100	7517	SLUZBY	\N	\N
212878	722	1998-08-31	VYDAJ	VYBER	100	15453	SLUZBY	\N	\N
212879	722	1998-09-30	VYDAJ	VYBER	100	5091	SLUZBY	\N	\N
212880	722	1998-10-31	VYDAJ	VYBER	100	3311	SLUZBY	\N	\N
212881	722	1998-11-30	VYDAJ	VYBER	100	24536	SLUZBY	\N	\N
212882	722	1997-06-03	PRIJEM	VKLAD	10400	10900	\N	\N	\N
212883	722	1997-07-03	VYDAJ	VYBER	15200	31487	\N	\N	\N
212884	722	1997-08-02	VYDAJ	VYBER	34700	50810	\N	\N	\N
212885	722	1997-09-01	VYDAJ	VYBER	19800	37957	\N	\N	\N
212886	722	1997-10-01	VYDAJ	VYBER	11100	27097	\N	\N	\N
212887	722	1997-10-17	VYDAJ	VYBER	64900	37457	\N	\N	\N
212888	722	1997-10-31	VYDAJ	VYBER	12500	23191	\N	\N	\N
212889	722	1997-11-28	VYDAJ	VYBER	37200	69337	\N	\N	\N
212890	722	1997-11-30	VYDAJ	VYBER	27500	42032	\N	\N	\N
212891	722	1997-12-30	VYDAJ	VYBER	32600	42798	\N	\N	\N
212892	722	1998-05-29	VYDAJ	VYBER	12800	20872	\N	\N	\N
212893	722	1998-06-28	VYDAJ	VYBER	6500	16772	\N	\N	\N
212894	722	1998-08-27	PRIJEM	VKLAD	10100	15517	\N	\N	\N
212895	722	1998-11-25	VYDAJ	VYBER	12800	24523	\N	\N	\N
213698	725	1996-07-08	PRIJEM	VKLAD	200	200	\N	\N	\N
213705	725	1996-07-13	PRIJEM	PREVOD Z UCTU	3919	4119	\N	WX	36282843
213706	725	1996-08-13	PRIJEM	PREVOD Z UCTU	3919	18549	\N	WX	36282843
213707	725	1996-09-13	PRIJEM	PREVOD Z UCTU	3919	21122	\N	WX	36282843
213708	725	1996-10-13	PRIJEM	PREVOD Z UCTU	3919	25024	\N	WX	36282843
213709	725	1996-11-13	PRIJEM	PREVOD Z UCTU	3919	27741	\N	WX	36282843
213710	725	1996-12-13	PRIJEM	PREVOD Z UCTU	3919	28128	\N	WX	36282843
213711	725	1997-01-13	PRIJEM	PREVOD Z UCTU	3919	25736	\N	WX	36282843
213712	725	1997-02-13	PRIJEM	PREVOD Z UCTU	3919	29820	\N	WX	36282843
213713	725	1997-03-13	PRIJEM	PREVOD Z UCTU	3919	32517	\N	WX	36282843
213714	725	1997-04-13	PRIJEM	PREVOD Z UCTU	3919	33189	\N	WX	36282843
213715	725	1997-05-13	PRIJEM	PREVOD Z UCTU	3919	32022	\N	WX	36282843
213716	725	1997-06-13	PRIJEM	PREVOD Z UCTU	3919	30955	\N	WX	36282843
213717	725	1997-07-13	PRIJEM	PREVOD Z UCTU	3919	33081	\N	WX	36282843
213718	725	1997-08-13	PRIJEM	PREVOD Z UCTU	3919	35003	\N	WX	36282843
213719	725	1997-09-13	PRIJEM	PREVOD Z UCTU	3919	34228	\N	WX	36282843
213720	725	1997-10-13	PRIJEM	PREVOD Z UCTU	3919	35069	\N	WX	36282843
213721	725	1997-11-13	PRIJEM	PREVOD Z UCTU	3919	36295	\N	WX	36282843
213722	725	1997-12-13	PRIJEM	PREVOD Z UCTU	3919	33011	\N	WX	36282843
213723	725	1998-01-13	PRIJEM	PREVOD Z UCTU	3919	34335	\N	WX	36282843
213724	725	1998-02-13	PRIJEM	PREVOD Z UCTU	3919	37578	\N	WX	36282843
213725	725	1998-03-13	PRIJEM	PREVOD Z UCTU	3919	37113	\N	WX	36282843
213726	725	1998-04-13	PRIJEM	PREVOD Z UCTU	3919	40948	\N	WX	36282843
213727	725	1998-05-13	PRIJEM	PREVOD Z UCTU	3919	38796	\N	WX	36282843
213728	725	1998-06-13	PRIJEM	PREVOD Z UCTU	3919	30325	\N	WX	36282843
213729	725	1998-07-13	PRIJEM	PREVOD Z UCTU	3919	33441	\N	WX	36282843
213730	725	1998-08-13	PRIJEM	PREVOD Z UCTU	3919	33824	\N	WX	36282843
213731	725	1998-09-13	PRIJEM	PREVOD Z UCTU	3919	36045	\N	WX	36282843
213732	725	1998-10-13	PRIJEM	PREVOD Z UCTU	3919	35103	\N	WX	36282843
213733	725	1998-11-13	PRIJEM	PREVOD Z UCTU	3919	35333	\N	WX	36282843
213734	725	1998-12-13	PRIJEM	PREVOD Z UCTU	3919	39165	\N	WX	36282843
213745	725	1996-11-13	VYDAJ	PREVOD NA UCET	2612	25129	SIPO	OP	86504637
213746	725	1996-12-13	VYDAJ	PREVOD NA UCET	2612	25516	SIPO	OP	86504637
213747	725	1997-01-13	VYDAJ	PREVOD NA UCET	2612	22944	SIPO	OP	86504637
213748	725	1997-02-13	VYDAJ	PREVOD NA UCET	2612	27208	SIPO	OP	86504637
213749	725	1997-03-13	VYDAJ	PREVOD NA UCET	2612	29905	SIPO	OP	86504637
213750	725	1997-04-13	VYDAJ	PREVOD NA UCET	2612	29167	SIPO	OP	86504637
213751	725	1997-05-13	VYDAJ	PREVOD NA UCET	2612	29410	SIPO	OP	86504637
213752	725	1997-06-13	VYDAJ	PREVOD NA UCET	2612	28343	SIPO	OP	86504637
213753	725	1997-07-13	VYDAJ	PREVOD NA UCET	2612	30469	SIPO	OP	86504637
213754	725	1997-08-13	VYDAJ	PREVOD NA UCET	2612	32391	SIPO	OP	86504637
213755	725	1997-09-13	VYDAJ	PREVOD NA UCET	2612	31616	SIPO	OP	86504637
213756	725	1997-10-13	VYDAJ	PREVOD NA UCET	2612	32457	SIPO	OP	86504637
213757	725	1997-11-13	VYDAJ	PREVOD NA UCET	2612	33683	SIPO	OP	86504637
213758	725	1997-12-13	VYDAJ	PREVOD NA UCET	2612	30399	SIPO	OP	86504637
213759	725	1998-01-13	VYDAJ	PREVOD NA UCET	2612	31723	SIPO	OP	86504637
213760	725	1998-02-13	VYDAJ	PREVOD NA UCET	2612	34966	SIPO	OP	86504637
213761	725	1998-03-13	VYDAJ	PREVOD NA UCET	2612	34501	SIPO	OP	86504637
213762	725	1998-04-13	VYDAJ	PREVOD NA UCET	2612	38336	SIPO	OP	86504637
213763	725	1998-05-13	VYDAJ	PREVOD NA UCET	2612	36184	SIPO	OP	86504637
213764	725	1998-06-13	VYDAJ	PREVOD NA UCET	2612	27713	SIPO	OP	86504637
213765	725	1998-07-13	VYDAJ	PREVOD NA UCET	2612	30829	SIPO	OP	86504637
213766	725	1998-08-13	VYDAJ	PREVOD NA UCET	2612	31212	SIPO	OP	86504637
213767	725	1998-09-13	VYDAJ	PREVOD NA UCET	2612	33433	SIPO	OP	86504637
213768	725	1998-10-13	VYDAJ	PREVOD NA UCET	2612	32491	SIPO	OP	86504637
213769	725	1998-11-13	VYDAJ	PREVOD NA UCET	2612	32721	SIPO	OP	86504637
213770	725	1998-12-13	VYDAJ	PREVOD NA UCET	2612	36553	SIPO	OP	86504637
213772	725	1997-06-20	VYDAJ	VYBER	3930	24413	\N	\N	\N
213773	725	1998-06-07	VYDAJ	VYBER	4290	26406	\N	\N	\N
213774	725	1996-12-09	VYDAJ	VYBER	210	24209	\N	\N	\N
213775	725	1997-12-09	VYDAJ	VYBER	420	29092	\N	\N	\N
213776	725	1998-12-22	VYDAJ	VYBER	510	36043	\N	\N	\N
213783	725	1997-01-27	VYDAJ	VYBER	150	22794	\N	\N	\N
213784	725	1997-01-04	VYDAJ	VYBER	780	23557	\N	\N	\N
213785	725	1997-01-13	VYDAJ	VYBER	180	25556	\N	\N	\N
213786	725	1997-01-03	VYDAJ	VYBER	570	25037	\N	\N	\N
213787	725	1997-01-12	VYDAJ	VYBER	750	21817	\N	\N	\N
213788	725	1997-01-29	VYDAJ	VYBER	780	22014	\N	\N	\N
213789	725	1998-01-29	VYDAJ	VYBER	330	33543	\N	\N	\N
213790	725	1998-01-27	VYDAJ	VYBER	690	30073	\N	\N	\N
213791	725	1998-01-15	VYDAJ	VYBER	270	31453	\N	\N	\N
213792	725	1998-01-18	VYDAJ	VYBER	690	30763	\N	\N	\N
213793	725	1998-01-07	VYDAJ	VYBER	450	31466	\N	\N	\N
213794	725	1998-01-10	VYDAJ	VYBER	510	30416	\N	\N	\N
213801	725	1997-07-02	VYDAJ	VYBER	150	24362	\N	\N	\N
213802	725	1997-04-13	VYDAJ	VYBER	1410	31779	\N	\N	\N
213803	725	1997-04-10	VYDAJ	VYBER	840	29270	\N	\N	\N
213804	725	1997-04-21	VYDAJ	VYBER	1470	27697	\N	\N	\N
213805	725	1997-10-01	VYDAJ	VYBER	690	31150	\N	\N	\N
213806	725	1997-01-08	VYDAJ	VYBER	990	22567	\N	\N	\N
213807	725	1997-05-15	VYDAJ	VYBER	180	29230	\N	\N	\N
213808	725	1998-01-10	VYDAJ	VYBER	540	30926	\N	\N	\N
213809	725	1998-08-06	VYDAJ	VYBER	240	29905	\N	\N	\N
213810	725	1998-05-31	VYDAJ	VYBER	1320	30696	\N	\N	\N
213811	725	1998-10-11	VYDAJ	VYBER	870	31184	\N	\N	\N
213823	725	1996-11-30	VYDAJ	VYBER	15	25219	SLUZBY	\N	\N
213824	725	1996-12-31	VYDAJ	VYBER	15	25607	SLUZBY	\N	\N
213825	725	1997-01-31	VYDAJ	VYBER	15	22101	SLUZBY	\N	\N
213826	725	1997-02-28	VYDAJ	VYBER	15	27298	SLUZBY	\N	\N
213827	725	1997-03-31	VYDAJ	VYBER	15	30010	SLUZBY	\N	\N
213828	725	1997-04-30	VYDAJ	VYBER	15	27803	SLUZBY	\N	\N
213829	725	1997-05-31	VYDAJ	VYBER	15	29336	SLUZBY	\N	\N
213830	725	1997-06-30	VYDAJ	VYBER	15	24512	SLUZBY	\N	\N
213831	725	1997-07-31	VYDAJ	VYBER	15	30584	SLUZBY	\N	\N
213832	725	1997-08-31	VYDAJ	VYBER	15	32509	SLUZBY	\N	\N
213833	725	1997-09-30	VYDAJ	VYBER	15	31740	SLUZBY	\N	\N
213834	725	1997-10-31	VYDAJ	VYBER	15	32576	SLUZBY	\N	\N
213835	725	1997-11-30	VYDAJ	VYBER	15	33812	SLUZBY	\N	\N
213836	725	1997-12-31	VYDAJ	VYBER	15	31916	SLUZBY	\N	\N
213837	725	1998-01-31	VYDAJ	VYBER	15	33659	SLUZBY	\N	\N
213838	725	1998-02-28	VYDAJ	VYBER	15	33194	SLUZBY	\N	\N
213839	725	1998-03-31	VYDAJ	VYBER	15	37029	SLUZBY	\N	\N
213840	725	1998-04-30	VYDAJ	VYBER	15	34877	SLUZBY	\N	\N
213841	725	1998-05-31	VYDAJ	VYBER	15	32016	SLUZBY	\N	\N
213842	725	1998-06-30	VYDAJ	VYBER	15	29522	SLUZBY	\N	\N
213843	725	1998-07-31	VYDAJ	VYBER	15	30145	SLUZBY	\N	\N
213844	725	1998-08-31	VYDAJ	VYBER	15	32126	SLUZBY	\N	\N
213845	725	1998-09-30	VYDAJ	VYBER	15	32054	SLUZBY	\N	\N
213846	725	1998-10-31	VYDAJ	VYBER	15	31414	SLUZBY	\N	\N
213847	725	1998-11-30	VYDAJ	VYBER	15	35246	SLUZBY	\N	\N
213848	725	1996-08-07	PRIJEM	VKLAD	10500	14630	\N	\N	\N
213849	725	1996-09-06	VYDAJ	VYBER	1400	17203	\N	\N	\N
213850	725	1996-10-06	VYDAJ	VYBER	100	21105	\N	\N	\N
213851	725	1996-11-05	VYDAJ	VYBER	1300	23822	\N	\N	\N
213852	725	1996-12-05	VYDAJ	VYBER	800	24419	\N	\N	\N
213853	725	1997-01-04	VYDAJ	VYBER	700	24337	\N	\N	\N
213854	725	1997-02-03	PRIJEM	VKLAD	3800	25901	\N	\N	\N
213855	725	1997-03-05	PRIJEM	VKLAD	1300	28598	\N	\N	\N
213856	725	1997-04-04	PRIJEM	VKLAD	100	30110	\N	\N	\N
213857	725	1997-05-04	PRIJEM	VKLAD	300	28103	\N	\N	\N
213858	725	1997-06-03	VYDAJ	VYBER	2300	27036	\N	\N	\N
213859	725	1997-07-03	PRIJEM	VKLAD	4800	29162	\N	\N	\N
213860	725	1997-08-02	PRIJEM	VKLAD	500	31084	\N	\N	\N
213861	725	1997-09-01	VYDAJ	VYBER	2200	30309	\N	\N	\N
213862	725	1997-10-01	PRIJEM	VKLAD	100	31840	\N	\N	\N
213863	725	1997-10-31	VYDAJ	VYBER	200	32376	\N	\N	\N
213864	725	1997-11-30	VYDAJ	VYBER	4300	29512	\N	\N	\N
213865	725	1997-12-30	PRIJEM	VKLAD	1400	31799	\N	\N	\N
213866	725	1998-01-29	PRIJEM	VKLAD	3800	33873	\N	\N	\N
213867	725	1998-02-28	VYDAJ	VYBER	1900	33209	\N	\N	\N
213868	725	1998-03-30	PRIJEM	VKLAD	2400	36901	\N	\N	\N
213869	725	1998-04-29	VYDAJ	VYBER	3600	34736	\N	\N	\N
213870	725	1998-05-29	VYDAJ	VYBER	4300	31884	\N	\N	\N
213871	725	1998-06-28	PRIJEM	VKLAD	1700	29413	\N	\N	\N
213872	725	1998-07-28	VYDAJ	VYBER	800	30029	\N	\N	\N
213873	725	1998-08-27	PRIJEM	VKLAD	800	32012	\N	\N	\N
213874	725	1998-09-26	VYDAJ	VYBER	1500	31933	\N	\N	\N
213875	725	1998-10-26	VYDAJ	VYBER	1200	31291	\N	\N	\N
213876	725	1998-11-25	PRIJEM	VKLAD	2400	35121	\N	\N	\N
213907	726	1994-02-03	PRIJEM	VKLAD	300	300	\N	\N	\N
213909	726	1994-02-06	PRIJEM	VKLAD	5546	5846	\N	\N	\N
213910	726	1994-03-06	PRIJEM	VKLAD	5546	19412	\N	\N	\N
213911	726	1994-04-06	PRIJEM	VKLAD	5546	28130	\N	\N	\N
213912	726	1994-05-06	PRIJEM	VKLAD	5546	32187	\N	\N	\N
213913	726	1994-06-06	PRIJEM	VKLAD	8319	37237	\N	\N	\N
213914	726	1994-07-06	PRIJEM	VKLAD	5546	34712	\N	\N	\N
213915	726	1994-08-06	PRIJEM	VKLAD	5546	34280	\N	\N	\N
213916	726	1994-09-06	PRIJEM	VKLAD	5546	34044	\N	\N	\N
213917	726	1994-10-06	PRIJEM	VKLAD	5546	30005	\N	\N	\N
213918	726	1994-11-06	PRIJEM	VKLAD	5546	32052	\N	\N	\N
213919	726	1994-12-06	PRIJEM	VKLAD	8319	31076	\N	\N	\N
213920	726	1995-01-06	PRIJEM	VKLAD	5546	23824	\N	\N	\N
213921	726	1995-02-06	PRIJEM	VKLAD	5546	22530	\N	\N	\N
213922	726	1995-03-06	PRIJEM	VKLAD	5546	23742	\N	\N	\N
213923	726	1995-04-06	PRIJEM	VKLAD	5546	26361	\N	\N	\N
213924	726	1995-05-06	PRIJEM	VKLAD	5546	29388	\N	\N	\N
213925	726	1995-06-06	PRIJEM	VKLAD	8319	27000	\N	\N	\N
213926	726	1995-07-06	PRIJEM	VKLAD	5546	25820	\N	\N	\N
213927	726	1995-08-06	PRIJEM	VKLAD	5546	24443	\N	\N	\N
213928	726	1995-09-06	PRIJEM	VKLAD	5546	26262	\N	\N	\N
213929	726	1995-10-06	PRIJEM	VKLAD	5546	26888	\N	\N	\N
213930	726	1995-11-06	PRIJEM	VKLAD	5546	28216	\N	\N	\N
213931	726	1995-12-06	PRIJEM	VKLAD	8319	33525	\N	\N	\N
213932	726	1996-01-06	PRIJEM	VKLAD	5546	27271	\N	\N	\N
213933	726	1996-02-06	PRIJEM	VKLAD	5546	22401	\N	\N	\N
213934	726	1996-03-06	PRIJEM	VKLAD	5546	23913	\N	\N	\N
213935	726	1996-04-06	PRIJEM	VKLAD	5546	25630	\N	\N	\N
213936	726	1996-05-06	PRIJEM	VKLAD	5546	29655	\N	\N	\N
213937	726	1996-06-06	PRIJEM	VKLAD	8319	33568	\N	\N	\N
213938	726	1996-07-06	PRIJEM	VKLAD	5546	31016	\N	\N	\N
213939	726	1996-08-06	PRIJEM	VKLAD	5546	29056	\N	\N	\N
213940	726	1996-09-06	PRIJEM	VKLAD	5546	32296	\N	\N	\N
213941	726	1996-10-06	PRIJEM	VKLAD	5546	28438	\N	\N	\N
213942	726	1996-11-06	PRIJEM	VKLAD	5546	24661	\N	\N	\N
213943	726	1996-12-06	PRIJEM	VKLAD	8319	32258	\N	\N	\N
213944	726	1997-01-06	PRIJEM	VKLAD	5546	32603	\N	\N	\N
213945	726	1997-02-06	PRIJEM	VKLAD	5546	28953	\N	\N	\N
213946	726	1997-03-06	PRIJEM	VKLAD	5546	30889	\N	\N	\N
213947	726	1997-04-06	PRIJEM	VKLAD	5546	35539	\N	\N	\N
213948	726	1997-05-06	PRIJEM	VKLAD	5546	38104	\N	\N	\N
213949	726	1997-06-06	PRIJEM	VKLAD	8319	43252	\N	\N	\N
213950	726	1997-07-06	PRIJEM	VKLAD	5546	35831	\N	\N	\N
213951	726	1997-08-06	PRIJEM	VKLAD	5546	36393	\N	\N	\N
213952	726	1997-09-06	PRIJEM	VKLAD	5546	36857	\N	\N	\N
213953	726	1997-10-06	PRIJEM	VKLAD	5546	36617	\N	\N	\N
213954	726	1997-11-06	PRIJEM	VKLAD	5546	34174	\N	\N	\N
213955	726	1997-12-06	PRIJEM	VKLAD	8319	32988	\N	\N	\N
213956	726	1998-01-06	PRIJEM	VKLAD	5546	28434	\N	\N	\N
213957	726	1998-02-06	PRIJEM	VKLAD	5546	22759	\N	\N	\N
213958	726	1998-03-06	PRIJEM	VKLAD	5546	24373	\N	\N	\N
213959	726	1998-04-06	PRIJEM	VKLAD	5546	20676	\N	\N	\N
213960	726	1998-05-06	PRIJEM	VKLAD	5546	19067	\N	\N	\N
213961	726	1998-06-06	PRIJEM	VKLAD	8319	24236	\N	\N	\N
213962	726	1998-07-06	PRIJEM	VKLAD	5546	23743	\N	\N	\N
213963	726	1998-08-06	PRIJEM	VKLAD	5546	20649	\N	\N	\N
213964	726	1998-09-06	PRIJEM	VKLAD	5546	18541	\N	\N	\N
213965	726	1998-10-06	PRIJEM	VKLAD	5546	18326	\N	\N	\N
213966	726	1998-11-06	PRIJEM	VKLAD	5546	20718	\N	\N	\N
213967	726	1998-12-06	PRIJEM	VKLAD	8319	23485	\N	\N	\N
213973	726	1994-06-08	VYDAJ	PREVOD NA UCET	3198	34039	SIPO	YZ	22188473
213974	726	1994-07-08	VYDAJ	PREVOD NA UCET	3198	31514	SIPO	YZ	22188473
213975	726	1994-08-08	VYDAJ	PREVOD NA UCET	3198	31082	SIPO	YZ	22188473
213976	726	1994-09-08	VYDAJ	PREVOD NA UCET	3198	30846	SIPO	YZ	22188473
213977	726	1994-10-08	VYDAJ	PREVOD NA UCET	3198	26807	SIPO	YZ	22188473
213978	726	1994-11-08	VYDAJ	PREVOD NA UCET	3198	28854	SIPO	YZ	22188473
213979	726	1994-12-08	VYDAJ	PREVOD NA UCET	3198	27878	SIPO	YZ	22188473
213980	726	1995-01-08	VYDAJ	PREVOD NA UCET	3198	20626	SIPO	YZ	22188473
213981	726	1995-02-08	VYDAJ	PREVOD NA UCET	3198	19332	SIPO	YZ	22188473
213982	726	1995-03-08	VYDAJ	PREVOD NA UCET	3198	20544	SIPO	YZ	22188473
213983	726	1995-04-08	VYDAJ	PREVOD NA UCET	3198	23163	SIPO	YZ	22188473
213984	726	1995-05-08	VYDAJ	PREVOD NA UCET	3198	26190	SIPO	YZ	22188473
213985	726	1995-06-08	VYDAJ	PREVOD NA UCET	3198	23802	SIPO	YZ	22188473
213986	726	1995-07-08	VYDAJ	PREVOD NA UCET	3198	22622	SIPO	YZ	22188473
213987	726	1995-08-08	VYDAJ	PREVOD NA UCET	3198	21245	SIPO	YZ	22188473
213988	726	1995-09-08	VYDAJ	PREVOD NA UCET	3198	23064	SIPO	YZ	22188473
213989	726	1995-10-08	VYDAJ	PREVOD NA UCET	3198	23690	SIPO	YZ	22188473
213990	726	1995-11-08	VYDAJ	PREVOD NA UCET	3198	25018	SIPO	YZ	22188473
213991	726	1995-12-08	VYDAJ	PREVOD NA UCET	3198	30327	SIPO	YZ	22188473
213992	726	1996-01-08	VYDAJ	PREVOD NA UCET	3198	24073	SIPO	YZ	22188473
213993	726	1996-02-08	VYDAJ	PREVOD NA UCET	3198	19203	SIPO	YZ	22188473
213994	726	1996-03-08	VYDAJ	PREVOD NA UCET	3198	20715	SIPO	YZ	22188473
213995	726	1996-04-08	VYDAJ	PREVOD NA UCET	3198	22432	SIPO	YZ	22188473
213996	726	1996-05-08	VYDAJ	PREVOD NA UCET	3198	26457	SIPO	YZ	22188473
213997	726	1996-06-08	VYDAJ	PREVOD NA UCET	3198	30370	SIPO	YZ	22188473
213998	726	1996-07-08	VYDAJ	PREVOD NA UCET	3198	27818	SIPO	YZ	22188473
213999	726	1996-08-08	VYDAJ	PREVOD NA UCET	3198	25858	SIPO	YZ	22188473
214000	726	1996-09-08	VYDAJ	PREVOD NA UCET	3198	29098	SIPO	YZ	22188473
214001	726	1996-10-08	VYDAJ	PREVOD NA UCET	3198	20840	SIPO	YZ	22188473
214002	726	1996-11-08	VYDAJ	PREVOD NA UCET	3198	21463	SIPO	YZ	22188473
214003	726	1996-12-08	VYDAJ	PREVOD NA UCET	3198	29060	SIPO	YZ	22188473
214004	726	1997-01-08	VYDAJ	PREVOD NA UCET	3198	29405	SIPO	YZ	22188473
214005	726	1997-02-08	VYDAJ	PREVOD NA UCET	3198	25755	SIPO	YZ	22188473
214006	726	1997-03-08	VYDAJ	PREVOD NA UCET	3198	27691	SIPO	YZ	22188473
214007	726	1997-04-08	VYDAJ	PREVOD NA UCET	3198	32341	SIPO	YZ	22188473
214008	726	1997-05-08	VYDAJ	PREVOD NA UCET	3198	34906	SIPO	YZ	22188473
214009	726	1997-06-08	VYDAJ	PREVOD NA UCET	3198	40054	SIPO	YZ	22188473
214010	726	1997-07-08	VYDAJ	PREVOD NA UCET	3198	32633	SIPO	YZ	22188473
214011	726	1997-08-08	VYDAJ	PREVOD NA UCET	3198	33195	SIPO	YZ	22188473
214012	726	1997-09-08	VYDAJ	PREVOD NA UCET	3198	29359	SIPO	YZ	22188473
214013	726	1997-10-08	VYDAJ	PREVOD NA UCET	3198	33419	SIPO	YZ	22188473
214014	726	1997-11-08	VYDAJ	PREVOD NA UCET	3198	30976	SIPO	YZ	22188473
214015	726	1997-12-08	VYDAJ	PREVOD NA UCET	3198	29790	SIPO	YZ	22188473
214016	726	1998-01-08	VYDAJ	PREVOD NA UCET	3198	25236	SIPO	YZ	22188473
214017	726	1998-02-08	VYDAJ	PREVOD NA UCET	3198	19561	SIPO	YZ	22188473
214018	726	1998-03-08	VYDAJ	PREVOD NA UCET	3198	21175	SIPO	YZ	22188473
214019	726	1998-04-08	VYDAJ	PREVOD NA UCET	3198	17478	SIPO	YZ	22188473
214020	726	1998-05-08	VYDAJ	PREVOD NA UCET	3198	15869	SIPO	YZ	22188473
214021	726	1998-06-08	VYDAJ	PREVOD NA UCET	3198	21038	SIPO	YZ	22188473
214022	726	1998-07-08	VYDAJ	PREVOD NA UCET	3198	20545	SIPO	YZ	22188473
214023	726	1998-08-08	VYDAJ	PREVOD NA UCET	3198	17451	SIPO	YZ	22188473
214024	726	1998-09-08	VYDAJ	PREVOD NA UCET	3198	15343	SIPO	YZ	22188473
214025	726	1998-10-08	VYDAJ	PREVOD NA UCET	3198	15128	SIPO	YZ	22188473
214026	726	1998-11-08	VYDAJ	PREVOD NA UCET	3198	17520	SIPO	YZ	22188473
214027	726	1998-12-08	VYDAJ	PREVOD NA UCET	3198	20287	SIPO	YZ	22188473
214028	726	1994-12-04	VYDAJ	VYBER	2500	22757	\N	\N	\N
214029	726	1995-12-24	VYDAJ	VYBER	2500	27827	\N	\N	\N
214030	726	1996-12-21	VYDAJ	VYBER	1600	26960	\N	\N	\N
214031	726	1997-12-30	VYDAJ	VYBER	2300	22790	\N	\N	\N
214034	726	1994-09-22	VYDAJ	VYBER	1600	29246	\N	\N	\N
214038	726	1995-03-02	VYDAJ	VYBER	1400	18196	\N	\N	\N
214039	726	1995-06-11	VYDAJ	VYBER	4200	19602	\N	\N	\N
214040	726	1995-06-04	VYDAJ	VYBER	2800	18681	\N	\N	\N
214041	726	1995-01-05	VYDAJ	VYBER	3900	18278	\N	\N	\N
214042	726	1995-01-09	VYDAJ	VYBER	4800	15826	\N	\N	\N
214043	726	1996-02-20	VYDAJ	VYBER	3300	15903	\N	\N	\N
214044	726	1996-01-31	VYDAJ	VYBER	2800	20769	\N	\N	\N
214045	726	1996-10-08	VYDAJ	VYBER	4400	24038	\N	\N	\N
214046	726	1996-02-03	VYDAJ	VYBER	3900	16855	\N	\N	\N
214047	726	1997-12-26	VYDAJ	VYBER	3900	25090	\N	\N	\N
214048	726	1997-09-07	VYDAJ	VYBER	4300	32557	\N	\N	\N
214049	726	1997-02-17	VYDAJ	VYBER	2800	25255	\N	\N	\N
214050	726	1997-11-09	VYDAJ	VYBER	3500	27476	\N	\N	\N
214051	726	1997-06-27	VYDAJ	VYBER	3200	30154	\N	\N	\N
214052	726	1997-01-31	VYDAJ	VYBER	4900	23422	\N	\N	\N
214055	726	1998-06-25	VYDAJ	VYBER	800	18138	\N	\N	\N
214056	726	1998-01-31	VYDAJ	VYBER	4700	17213	\N	\N	\N
214057	726	1998-08-02	VYDAJ	VYBER	2400	15103	\N	\N	\N
214065	726	1994-06-30	VYDAJ	VYBER	15	34166	SLUZBY	\N	\N
214066	726	1994-07-31	VYDAJ	VYBER	15	31634	SLUZBY	\N	\N
214067	726	1994-08-31	VYDAJ	VYBER	15	31198	SLUZBY	\N	\N
214068	726	1994-09-30	VYDAJ	VYBER	15	29359	SLUZBY	\N	\N
214069	726	1994-10-31	VYDAJ	VYBER	15	26906	SLUZBY	\N	\N
214070	726	1994-11-30	VYDAJ	VYBER	15	25257	SLUZBY	\N	\N
214071	726	1994-12-31	VYDAJ	VYBER	15	22178	SLUZBY	\N	\N
214072	726	1995-01-31	VYDAJ	VYBER	15	16984	SLUZBY	\N	\N
214073	726	1995-02-28	VYDAJ	VYBER	15	19596	SLUZBY	\N	\N
214074	726	1995-03-31	VYDAJ	VYBER	15	20815	SLUZBY	\N	\N
214075	726	1995-04-30	VYDAJ	VYBER	15	23842	SLUZBY	\N	\N
214076	726	1995-05-31	VYDAJ	VYBER	15	21481	SLUZBY	\N	\N
214077	726	1995-06-30	VYDAJ	VYBER	15	20274	SLUZBY	\N	\N
214078	726	1995-07-31	VYDAJ	VYBER	15	18897	SLUZBY	\N	\N
214079	726	1995-08-31	VYDAJ	VYBER	15	20716	SLUZBY	\N	\N
214080	726	1995-09-30	VYDAJ	VYBER	15	21342	SLUZBY	\N	\N
214081	726	1995-10-31	VYDAJ	VYBER	15	22670	SLUZBY	\N	\N
214082	726	1995-11-30	VYDAJ	VYBER	15	25206	SLUZBY	\N	\N
214083	726	1995-12-31	VYDAJ	VYBER	15	21725	SLUZBY	\N	\N
214084	726	1996-01-31	VYDAJ	VYBER	15	20755	SLUZBY	\N	\N
214085	726	1996-02-29	VYDAJ	VYBER	15	18367	SLUZBY	\N	\N
214086	726	1996-03-31	VYDAJ	VYBER	15	20084	SLUZBY	\N	\N
214087	726	1996-04-30	VYDAJ	VYBER	15	24109	SLUZBY	\N	\N
214088	726	1996-05-31	VYDAJ	VYBER	15	25249	SLUZBY	\N	\N
214089	726	1996-06-30	VYDAJ	VYBER	15	25470	SLUZBY	\N	\N
214090	726	1996-07-31	VYDAJ	VYBER	15	23510	SLUZBY	\N	\N
214091	726	1996-08-31	VYDAJ	VYBER	15	26750	SLUZBY	\N	\N
214092	726	1996-09-30	VYDAJ	VYBER	15	22892	SLUZBY	\N	\N
214093	726	1996-10-31	VYDAJ	VYBER	15	19115	SLUZBY	\N	\N
214094	726	1996-11-30	VYDAJ	VYBER	15	23939	SLUZBY	\N	\N
214095	726	1996-12-31	VYDAJ	VYBER	15	27057	SLUZBY	\N	\N
214096	726	1997-01-31	VYDAJ	VYBER	15	23407	SLUZBY	\N	\N
214097	726	1997-02-28	VYDAJ	VYBER	15	25343	SLUZBY	\N	\N
214098	726	1997-03-31	VYDAJ	VYBER	15	29993	SLUZBY	\N	\N
214099	726	1997-04-30	VYDAJ	VYBER	15	32558	SLUZBY	\N	\N
214100	726	1997-05-31	VYDAJ	VYBER	15	34933	SLUZBY	\N	\N
214101	726	1997-06-30	VYDAJ	VYBER	15	30285	SLUZBY	\N	\N
214102	726	1997-07-31	VYDAJ	VYBER	15	30847	SLUZBY	\N	\N
214103	726	1997-08-31	VYDAJ	VYBER	15	31311	SLUZBY	\N	\N
214104	726	1997-09-30	VYDAJ	VYBER	15	31071	SLUZBY	\N	\N
214105	726	1997-10-31	VYDAJ	VYBER	15	28628	SLUZBY	\N	\N
214106	726	1997-11-30	VYDAJ	VYBER	15	24669	SLUZBY	\N	\N
214107	726	1997-12-31	VYDAJ	VYBER	15	22888	SLUZBY	\N	\N
214108	726	1998-01-31	VYDAJ	VYBER	15	21913	SLUZBY	\N	\N
214109	726	1998-02-28	VYDAJ	VYBER	15	18827	SLUZBY	\N	\N
214110	726	1998-03-31	VYDAJ	VYBER	15	15130	SLUZBY	\N	\N
214111	726	1998-04-30	VYDAJ	VYBER	15	13521	SLUZBY	\N	\N
214112	726	1998-05-31	VYDAJ	VYBER	15	15917	SLUZBY	\N	\N
214113	726	1998-06-30	VYDAJ	VYBER	15	18197	SLUZBY	\N	\N
214114	726	1998-07-31	VYDAJ	VYBER	15	17503	SLUZBY	\N	\N
214115	726	1998-08-31	VYDAJ	VYBER	15	12995	SLUZBY	\N	\N
214116	726	1998-09-30	VYDAJ	VYBER	15	12780	SLUZBY	\N	\N
214117	726	1998-10-31	VYDAJ	VYBER	15	15172	SLUZBY	\N	\N
214118	726	1998-11-30	VYDAJ	VYBER	15	15166	SLUZBY	\N	\N
214119	726	1994-03-05	PRIJEM	VKLAD	8000	13866	\N	\N	\N
214120	726	1994-04-04	PRIJEM	VKLAD	3100	22584	\N	\N	\N
214121	726	1994-05-04	VYDAJ	VYBER	1600	26641	\N	\N	\N
214122	726	1994-06-03	VYDAJ	VYBER	3400	28918	\N	\N	\N
214123	726	1994-07-03	VYDAJ	VYBER	5000	29166	\N	\N	\N
214124	726	1994-08-02	VYDAJ	VYBER	2900	28734	\N	\N	\N
214125	726	1994-09-01	VYDAJ	VYBER	2700	28498	\N	\N	\N
214126	726	1994-10-01	VYDAJ	VYBER	4900	24459	\N	\N	\N
214127	726	1994-10-31	VYDAJ	VYBER	400	26506	\N	\N	\N
214128	726	1994-11-30	VYDAJ	VYBER	3700	25272	\N	\N	\N
214129	726	1994-12-30	VYDAJ	VYBER	5800	22078	\N	\N	\N
214130	726	1995-01-29	PRIJEM	VKLAD	1100	16926	\N	\N	\N
214131	726	1995-02-28	PRIJEM	VKLAD	200	19610	\N	\N	\N
214132	726	1995-03-30	PRIJEM	VKLAD	200	20744	\N	\N	\N
214133	726	1995-04-29	PRIJEM	VKLAD	600	23763	\N	\N	\N
214134	726	1995-05-29	VYDAJ	VYBER	4800	21390	\N	\N	\N
214135	726	1995-06-28	PRIJEM	VKLAD	600	20202	\N	\N	\N
214136	726	1995-07-28	VYDAJ	VYBER	3800	18822	\N	\N	\N
214137	726	1995-08-27	VYDAJ	VYBER	600	20645	\N	\N	\N
214138	726	1995-09-26	VYDAJ	VYBER	1800	21264	\N	\N	\N
214139	726	1995-10-26	VYDAJ	VYBER	1100	22590	\N	\N	\N
214140	726	1995-11-25	PRIJEM	VKLAD	100	25118	\N	\N	\N
214141	726	1995-12-25	VYDAJ	VYBER	6200	21627	\N	\N	\N
214142	726	1996-01-24	VYDAJ	VYBER	600	23473	\N	\N	\N
214143	726	1996-02-23	PRIJEM	VKLAD	2400	18303	\N	\N	\N
214144	726	1996-03-24	VYDAJ	VYBER	700	20015	\N	\N	\N
214145	726	1996-04-23	PRIJEM	VKLAD	1600	24032	\N	\N	\N
214146	726	1996-05-23	VYDAJ	VYBER	1300	25157	\N	\N	\N
214147	726	1996-06-22	VYDAJ	VYBER	5000	25370	\N	\N	\N
214148	726	1996-07-22	VYDAJ	VYBER	4400	23418	\N	\N	\N
214149	726	1996-08-21	PRIJEM	VKLAD	800	26658	\N	\N	\N
214150	726	1996-09-20	VYDAJ	VYBER	6300	22798	\N	\N	\N
214151	726	1996-10-20	VYDAJ	VYBER	1800	19040	\N	\N	\N
214152	726	1996-11-19	PRIJEM	VKLAD	2400	23863	\N	\N	\N
214153	726	1996-12-19	VYDAJ	VYBER	500	28560	\N	\N	\N
214154	726	1997-01-18	VYDAJ	VYBER	1200	28205	\N	\N	\N
214155	726	1997-02-17	PRIJEM	VKLAD	2300	28055	\N	\N	\N
214156	726	1997-03-19	PRIJEM	VKLAD	2200	29891	\N	\N	\N
214157	726	1997-04-18	PRIJEM	VKLAD	100	32441	\N	\N	\N
214158	726	1997-05-18	VYDAJ	VYBER	100	34806	\N	\N	\N
214159	726	1997-06-17	VYDAJ	VYBER	6700	33354	\N	\N	\N
214160	726	1997-07-17	VYDAJ	VYBER	1900	30733	\N	\N	\N
214161	726	1997-08-16	VYDAJ	VYBER	2000	31195	\N	\N	\N
214162	726	1997-09-15	PRIJEM	VKLAD	1600	30959	\N	\N	\N
214163	726	1997-10-15	VYDAJ	VYBER	4900	28519	\N	\N	\N
214164	726	1997-11-14	VYDAJ	VYBER	2900	24576	\N	\N	\N
214165	726	1997-12-14	VYDAJ	VYBER	800	28990	\N	\N	\N
214166	726	1998-01-13	VYDAJ	VYBER	3400	21836	\N	\N	\N
214167	726	1998-02-12	VYDAJ	VYBER	800	18761	\N	\N	\N
214168	726	1998-03-14	VYDAJ	VYBER	6100	15075	\N	\N	\N
214169	726	1998-04-13	VYDAJ	VYBER	4000	13478	\N	\N	\N
214170	726	1998-06-12	VYDAJ	VYBER	2100	18938	\N	\N	\N
214171	726	1998-07-12	VYDAJ	VYBER	3100	17445	\N	\N	\N
214172	726	1998-08-11	VYDAJ	VYBER	4500	12951	\N	\N	\N
214173	726	1998-09-10	VYDAJ	VYBER	2600	12743	\N	\N	\N
214174	726	1998-11-09	VYDAJ	VYBER	2400	15120	\N	\N	\N
214234	727	1997-12-25	PRIJEM	VKLAD	400	400	\N	\N	\N
214284	727	1998-02-23	PRIJEM	VKLAD	12300	12700	\N	\N	\N
214285	727	1998-03-25	PRIJEM	VKLAD	5900	18600	\N	\N	\N
214286	727	1998-04-24	PRIJEM	VKLAD	3900	22500	\N	\N	\N
214287	727	1998-05-24	PRIJEM	VKLAD	1700	24200	\N	\N	\N
214288	727	1998-06-23	VYDAJ	VYBER	400	23800	\N	\N	\N
214289	727	1998-07-23	VYDAJ	VYBER	1000	22800	\N	\N	\N
214290	727	1998-08-22	PRIJEM	VKLAD	3200	26000	\N	\N	\N
214291	727	1998-09-21	PRIJEM	VKLAD	1800	27800	\N	\N	\N
214292	727	1998-10-21	PRIJEM	VKLAD	2100	29900	\N	\N	\N
214293	727	1998-11-20	PRIJEM	VKLAD	2700	32600	\N	\N	\N
214294	728	1995-11-28	PRIJEM	VKLAD	500	500	\N	\N	\N
214306	728	1995-12-10	PRIJEM	VKLAD	12110	12610	\N	\N	\N
214307	728	1996-01-10	PRIJEM	VKLAD	8073	24592	\N	\N	\N
214308	728	1996-02-10	PRIJEM	VKLAD	8073	30037	\N	\N	\N
214309	728	1996-03-10	PRIJEM	VKLAD	8073	34804	\N	\N	\N
214310	728	1996-04-10	PRIJEM	VKLAD	8073	36890	\N	\N	\N
214311	728	1996-05-10	PRIJEM	VKLAD	8073	31506	\N	\N	\N
214312	728	1996-06-10	PRIJEM	VKLAD	12110	30064	\N	\N	\N
214313	728	1996-07-10	PRIJEM	VKLAD	8073	26776	\N	\N	\N
214314	728	1996-08-10	PRIJEM	VKLAD	8073	25779	\N	\N	\N
214315	728	1996-09-10	PRIJEM	VKLAD	8073	26676	\N	\N	\N
214316	728	1996-10-10	PRIJEM	VKLAD	8073	29879	\N	\N	\N
214317	728	1996-11-10	PRIJEM	VKLAD	8073	30192	\N	\N	\N
214318	728	1996-12-10	PRIJEM	VKLAD	12110	33442	\N	\N	\N
214319	728	1997-01-10	PRIJEM	VKLAD	8073	22758	\N	\N	\N
214320	728	1997-02-10	PRIJEM	VKLAD	8073	23444	\N	\N	\N
214321	728	1997-03-10	PRIJEM	VKLAD	8073	24730	\N	\N	\N
214322	728	1997-04-10	PRIJEM	VKLAD	8073	28726	\N	\N	\N
214323	728	1997-05-10	PRIJEM	VKLAD	8073	28433	\N	\N	\N
214324	728	1997-06-10	PRIJEM	VKLAD	12110	31173	\N	\N	\N
214325	728	1997-07-10	PRIJEM	VKLAD	8073	27175	\N	\N	\N
214326	728	1997-08-10	PRIJEM	VKLAD	8073	22165	\N	\N	\N
214327	728	1997-09-10	PRIJEM	VKLAD	8073	22448	\N	\N	\N
214328	728	1997-10-10	PRIJEM	VKLAD	8073	20424	\N	\N	\N
214329	728	1997-11-10	PRIJEM	VKLAD	8073	21597	\N	\N	\N
214330	728	1997-12-10	PRIJEM	VKLAD	12110	28916	\N	\N	\N
214331	728	1998-01-10	PRIJEM	VKLAD	8073	22605	\N	\N	\N
214332	728	1998-02-10	PRIJEM	VKLAD	8073	17174	\N	\N	\N
214333	728	1998-03-10	PRIJEM	VKLAD	8073	16929	\N	\N	\N
214334	728	1998-04-10	PRIJEM	VKLAD	8073	17889	\N	\N	\N
214335	728	1998-05-10	PRIJEM	VKLAD	8073	16846	\N	\N	\N
214336	728	1998-06-10	PRIJEM	VKLAD	12110	22541	\N	\N	\N
214337	728	1998-07-10	PRIJEM	VKLAD	8073	15900	\N	\N	\N
214338	728	1998-08-10	PRIJEM	VKLAD	8073	18757	\N	\N	\N
214339	728	1998-09-10	PRIJEM	VKLAD	8073	18426	\N	\N	\N
214340	728	1998-10-10	PRIJEM	VKLAD	8073	21296	\N	\N	\N
214341	728	1998-11-10	PRIJEM	VKLAD	8073	14551	\N	\N	\N
214342	728	1998-12-10	PRIJEM	VKLAD	12110	21439	\N	\N	\N
214359	728	1996-05-08	VYDAJ	PREVOD NA UCET	1143	23433	SIPO	YZ	24685102
214360	728	1996-06-08	VYDAJ	PREVOD NA UCET	1143	23354	SIPO	YZ	24685102
214361	728	1996-07-08	VYDAJ	PREVOD NA UCET	1143	18703	SIPO	YZ	24685102
214362	728	1996-08-08	VYDAJ	PREVOD NA UCET	1143	17706	SIPO	YZ	24685102
214363	728	1996-09-08	VYDAJ	PREVOD NA UCET	1143	18603	SIPO	YZ	24685102
214364	728	1996-10-08	VYDAJ	PREVOD NA UCET	1143	21806	SIPO	YZ	24685102
214365	728	1996-11-08	VYDAJ	PREVOD NA UCET	1143	22119	SIPO	YZ	24685102
214366	728	1996-12-08	VYDAJ	PREVOD NA UCET	1143	21332	SIPO	YZ	24685102
214367	728	1997-01-08	VYDAJ	PREVOD NA UCET	1143	14685	SIPO	YZ	24685102
214368	728	1997-02-08	VYDAJ	PREVOD NA UCET	1143	15371	SIPO	YZ	24685102
214369	728	1997-03-08	VYDAJ	PREVOD NA UCET	1143	16657	SIPO	YZ	24685102
214370	728	1997-04-08	VYDAJ	PREVOD NA UCET	1143	20653	SIPO	YZ	24685102
214371	728	1997-05-08	VYDAJ	PREVOD NA UCET	1143	20360	SIPO	YZ	24685102
214372	728	1997-06-08	VYDAJ	PREVOD NA UCET	1143	19063	SIPO	YZ	24685102
214373	728	1997-07-08	VYDAJ	PREVOD NA UCET	1143	19102	SIPO	YZ	24685102
214374	728	1997-08-08	VYDAJ	PREVOD NA UCET	1143	14092	SIPO	YZ	24685102
214375	728	1997-09-08	VYDAJ	PREVOD NA UCET	1143	14375	SIPO	YZ	24685102
214376	728	1997-10-08	VYDAJ	PREVOD NA UCET	1143	12351	SIPO	YZ	24685102
214377	728	1997-11-08	VYDAJ	PREVOD NA UCET	1143	13524	SIPO	YZ	24685102
214378	728	1997-12-08	VYDAJ	PREVOD NA UCET	1143	16806	SIPO	YZ	24685102
214379	728	1998-01-08	VYDAJ	PREVOD NA UCET	1143	14532	SIPO	YZ	24685102
214380	728	1998-02-08	VYDAJ	PREVOD NA UCET	1143	9101	SIPO	YZ	24685102
214381	728	1998-03-08	VYDAJ	PREVOD NA UCET	1143	8856	SIPO	YZ	24685102
214382	728	1998-04-08	VYDAJ	PREVOD NA UCET	1143	9816	SIPO	YZ	24685102
214383	728	1998-05-08	VYDAJ	PREVOD NA UCET	1143	8773	SIPO	YZ	24685102
214384	728	1998-06-08	VYDAJ	PREVOD NA UCET	1143	10431	SIPO	YZ	24685102
214385	728	1998-07-08	VYDAJ	PREVOD NA UCET	1143	7827	SIPO	YZ	24685102
214386	728	1998-08-08	VYDAJ	PREVOD NA UCET	1143	10684	SIPO	YZ	24685102
214387	728	1998-09-08	VYDAJ	PREVOD NA UCET	1143	10353	SIPO	YZ	24685102
214388	728	1998-10-08	VYDAJ	PREVOD NA UCET	1143	13223	SIPO	YZ	24685102
214389	728	1998-11-08	VYDAJ	PREVOD NA UCET	1143	6478	SIPO	YZ	24685102
214390	728	1998-12-08	VYDAJ	PREVOD NA UCET	1143	9329	SIPO	YZ	24685102
214407	728	1996-05-06	VYDAJ	PREVOD NA UCET	4119	24576	 	WX	87029039
214408	728	1996-06-06	VYDAJ	PREVOD NA UCET	4119	24497	 	WX	87029039
214409	728	1996-07-06	VYDAJ	PREVOD NA UCET	4119	19846	 	WX	87029039
214410	728	1996-08-06	VYDAJ	PREVOD NA UCET	4119	18849	 	WX	87029039
214411	728	1996-09-06	VYDAJ	PREVOD NA UCET	4119	19746	 	WX	87029039
214412	728	1996-10-06	VYDAJ	PREVOD NA UCET	4119	22949	 	WX	87029039
214413	728	1996-11-06	VYDAJ	PREVOD NA UCET	4119	23262	 	WX	87029039
214414	728	1996-12-06	VYDAJ	PREVOD NA UCET	4119	22475	 	WX	87029039
214415	728	1997-01-06	VYDAJ	PREVOD NA UCET	4119	18528	 	WX	87029039
214416	728	1997-02-06	VYDAJ	PREVOD NA UCET	4119	16514	 	WX	87029039
214417	728	1997-03-06	VYDAJ	PREVOD NA UCET	4119	17800	 	WX	87029039
214418	728	1997-04-06	VYDAJ	PREVOD NA UCET	4119	21796	 	WX	87029039
214419	728	1997-05-06	VYDAJ	PREVOD NA UCET	4119	21503	 	WX	87029039
214420	728	1997-06-06	VYDAJ	PREVOD NA UCET	4119	20206	 	WX	87029039
214421	728	1997-07-06	VYDAJ	PREVOD NA UCET	4119	20245	 	WX	87029039
214422	728	1997-08-06	VYDAJ	PREVOD NA UCET	4119	15235	 	WX	87029039
214423	728	1997-09-06	VYDAJ	PREVOD NA UCET	4119	15518	 	WX	87029039
214424	728	1997-10-06	VYDAJ	PREVOD NA UCET	4119	13494	 	WX	87029039
214425	728	1997-11-06	VYDAJ	PREVOD NA UCET	4119	14667	 	WX	87029039
214426	728	1997-12-06	VYDAJ	PREVOD NA UCET	4119	17949	 	WX	87029039
214427	728	1998-01-06	VYDAJ	PREVOD NA UCET	4119	15675	 	WX	87029039
214428	728	1998-02-06	VYDAJ	PREVOD NA UCET	4119	10244	 	WX	87029039
214429	728	1998-03-06	VYDAJ	PREVOD NA UCET	4119	9999	 	WX	87029039
214430	728	1998-04-06	VYDAJ	PREVOD NA UCET	4119	10959	 	WX	87029039
214431	728	1998-05-06	VYDAJ	PREVOD NA UCET	4119	9916	 	WX	87029039
214432	728	1998-06-06	VYDAJ	PREVOD NA UCET	4119	11574	 	WX	87029039
214433	728	1998-07-06	VYDAJ	PREVOD NA UCET	4119	8970	 	WX	87029039
214434	728	1998-08-06	VYDAJ	PREVOD NA UCET	4119	11827	 	WX	87029039
214435	728	1998-09-06	VYDAJ	PREVOD NA UCET	4119	11496	 	WX	87029039
214436	728	1998-10-06	VYDAJ	PREVOD NA UCET	4119	14366	 	WX	87029039
214437	728	1998-11-06	VYDAJ	PREVOD NA UCET	4119	7621	 	WX	87029039
214438	728	1998-12-06	VYDAJ	PREVOD NA UCET	4119	10472	 	WX	87029039
214488	728	1996-06-09	VYDAJ	VYBER	5400	17954	\N	\N	\N
214493	728	1997-01-04	VYDAJ	VYBER	6200	22647	\N	\N	\N
214496	728	1996-12-10	VYDAJ	VYBER	2400	31042	\N	\N	\N
214497	728	1997-12-19	VYDAJ	VYBER	2700	19716	\N	\N	\N
214511	728	1997-01-14	VYDAJ	VYBER	800	20758	\N	\N	\N
214512	728	1997-01-14	VYDAJ	VYBER	1100	19658	\N	\N	\N
214513	728	1997-01-16	VYDAJ	VYBER	700	18958	\N	\N	\N
214514	728	1997-01-26	VYDAJ	VYBER	1600	20558	\N	\N	\N
214515	728	1997-01-08	VYDAJ	VYBER	2700	15828	\N	\N	\N
214516	728	1997-01-11	VYDAJ	VYBER	1200	21558	\N	\N	\N
214518	728	1998-01-19	VYDAJ	VYBER	2400	15205	\N	\N	\N
214521	728	1998-01-12	VYDAJ	VYBER	1300	21305	\N	\N	\N
214522	728	1998-01-23	VYDAJ	VYBER	900	14305	\N	\N	\N
214530	728	1996-08-05	VYDAJ	VYBER	3100	22968	\N	\N	\N
214531	728	1996-04-28	VYDAJ	VYBER	2900	28590	\N	\N	\N
214532	728	1997-08-29	VYDAJ	VYBER	3000	19565	\N	\N	\N
214533	728	1997-07-15	VYDAJ	VYBER	3600	23575	\N	\N	\N
214534	728	1997-06-12	VYDAJ	VYBER	3200	27973	\N	\N	\N
214535	728	1997-09-21	VYDAJ	VYBER	1400	17548	\N	\N	\N
214536	728	1998-03-23	VYDAJ	VYBER	1900	15029	\N	\N	\N
214539	728	1998-08-31	VYDAJ	VYBER	3200	15615	\N	\N	\N
214556	728	1996-04-30	VYDAJ	VYBER	15	28695	SLUZBY	\N	\N
214557	728	1996-05-31	VYDAJ	VYBER	15	28616	SLUZBY	\N	\N
214558	728	1996-06-30	VYDAJ	VYBER	15	23965	SLUZBY	\N	\N
214559	728	1996-07-31	VYDAJ	VYBER	15	26068	SLUZBY	\N	\N
214560	728	1996-08-31	VYDAJ	VYBER	15	23865	SLUZBY	\N	\N
214561	728	1996-09-30	VYDAJ	VYBER	15	27068	SLUZBY	\N	\N
214562	728	1996-10-31	VYDAJ	VYBER	15	27381	SLUZBY	\N	\N
214563	728	1996-11-30	VYDAJ	VYBER	15	26594	SLUZBY	\N	\N
214564	728	1996-12-31	VYDAJ	VYBER	15	28847	SLUZBY	\N	\N
214565	728	1997-01-31	VYDAJ	VYBER	15	20633	SLUZBY	\N	\N
214566	728	1997-02-28	VYDAJ	VYBER	15	21919	SLUZBY	\N	\N
214567	728	1997-03-31	VYDAJ	VYBER	15	25915	SLUZBY	\N	\N
214568	728	1997-04-30	VYDAJ	VYBER	15	25622	SLUZBY	\N	\N
214569	728	1997-05-31	VYDAJ	VYBER	15	24325	SLUZBY	\N	\N
214570	728	1997-06-30	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
214571	728	1997-07-31	VYDAJ	VYBER	15	19354	SLUZBY	\N	\N
214572	728	1997-08-31	VYDAJ	VYBER	15	19637	SLUZBY	\N	\N
214573	728	1997-09-30	VYDAJ	VYBER	15	17613	SLUZBY	\N	\N
214574	728	1997-10-31	VYDAJ	VYBER	15	18786	SLUZBY	\N	\N
214575	728	1997-11-30	VYDAJ	VYBER	15	22068	SLUZBY	\N	\N
214576	728	1997-12-31	VYDAJ	VYBER	15	19794	SLUZBY	\N	\N
214577	728	1998-01-31	VYDAJ	VYBER	15	14363	SLUZBY	\N	\N
214578	728	1998-02-28	VYDAJ	VYBER	15	14118	SLUZBY	\N	\N
214579	728	1998-03-31	VYDAJ	VYBER	15	15078	SLUZBY	\N	\N
214580	728	1998-04-30	VYDAJ	VYBER	15	14035	SLUZBY	\N	\N
214581	728	1998-05-31	VYDAJ	VYBER	15	15693	SLUZBY	\N	\N
214582	728	1998-06-30	VYDAJ	VYBER	15	13089	SLUZBY	\N	\N
214583	728	1998-07-31	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
214584	728	1998-08-31	VYDAJ	VYBER	15	18815	SLUZBY	\N	\N
214585	728	1998-09-30	VYDAJ	VYBER	15	18485	SLUZBY	\N	\N
214586	728	1998-10-31	VYDAJ	VYBER	15	11740	SLUZBY	\N	\N
214587	728	1998-11-30	VYDAJ	VYBER	15	14591	SLUZBY	\N	\N
214588	728	1995-12-28	PRIJEM	VKLAD	3900	16510	\N	\N	\N
214589	728	1996-01-27	VYDAJ	VYBER	2700	21892	\N	\N	\N
214590	728	1996-02-26	VYDAJ	VYBER	3400	26637	\N	\N	\N
214591	728	1996-03-27	VYDAJ	VYBER	6100	28704	\N	\N	\N
214592	728	1996-04-26	VYDAJ	VYBER	5400	31490	\N	\N	\N
214593	728	1996-05-26	VYDAJ	VYBER	3000	28506	\N	\N	\N
214594	728	1996-06-25	VYDAJ	VYBER	6200	23864	\N	\N	\N
214595	728	1996-07-25	VYDAJ	VYBER	800	25976	\N	\N	\N
214596	728	1996-08-24	VYDAJ	VYBER	2000	23779	\N	\N	\N
214597	728	1996-09-23	PRIJEM	VKLAD	300	26976	\N	\N	\N
214598	728	1996-10-23	VYDAJ	VYBER	2600	27279	\N	\N	\N
214599	728	1996-11-22	VYDAJ	VYBER	3700	26492	\N	\N	\N
214600	728	1996-12-22	VYDAJ	VYBER	2300	28742	\N	\N	\N
214601	728	1997-01-21	PRIJEM	VKLAD	3200	22158	\N	\N	\N
214602	728	1997-02-20	VYDAJ	VYBER	1600	21844	\N	\N	\N
214603	728	1997-03-22	PRIJEM	VKLAD	1100	25830	\N	\N	\N
214604	728	1997-04-21	VYDAJ	VYBER	3200	25526	\N	\N	\N
214605	728	1997-05-21	VYDAJ	VYBER	4200	24233	\N	\N	\N
214606	728	1997-06-20	VYDAJ	VYBER	3700	24273	\N	\N	\N
214607	728	1997-07-20	VYDAJ	VYBER	4300	19275	\N	\N	\N
214608	728	1997-08-19	PRIJEM	VKLAD	400	22565	\N	\N	\N
214609	728	1997-09-18	VYDAJ	VYBER	3500	18948	\N	\N	\N
214610	728	1997-10-18	VYDAJ	VYBER	1700	18724	\N	\N	\N
214611	728	1997-11-17	PRIJEM	VKLAD	400	21997	\N	\N	\N
214612	728	1997-12-17	VYDAJ	VYBER	6500	22416	\N	\N	\N
214613	728	1998-01-16	VYDAJ	VYBER	3700	17605	\N	\N	\N
214614	728	1998-02-15	VYDAJ	VYBER	3100	14074	\N	\N	\N
214615	728	1998-04-16	VYDAJ	VYBER	3900	13989	\N	\N	\N
214616	728	1998-05-16	VYDAJ	VYBER	1200	15646	\N	\N	\N
214617	728	1998-06-15	VYDAJ	VYBER	9500	13041	\N	\N	\N
214618	728	1998-10-13	VYDAJ	VYBER	9600	11696	\N	\N	\N
214656	729	1997-02-15	PRIJEM	VKLAD	900	900	\N	\N	\N
214659	729	1997-03-11	PRIJEM	PREVOD Z UCTU	3080	3980	\N	AB	45863705
214660	729	1997-04-11	PRIJEM	PREVOD Z UCTU	3080	7060	\N	AB	45863705
214661	729	1997-05-11	PRIJEM	PREVOD Z UCTU	3080	10140	\N	AB	45863705
214662	729	1997-06-11	PRIJEM	PREVOD Z UCTU	3080	13220	\N	AB	45863705
214663	729	1997-07-11	PRIJEM	PREVOD Z UCTU	3080	16300	\N	AB	45863705
214664	729	1997-08-11	PRIJEM	PREVOD Z UCTU	3080	17352	\N	AB	45863705
214665	729	1997-09-11	PRIJEM	PREVOD Z UCTU	3080	18435	\N	AB	45863705
214666	729	1997-10-11	PRIJEM	PREVOD Z UCTU	3080	19221	\N	AB	45863705
214667	729	1997-11-11	PRIJEM	PREVOD Z UCTU	3080	20312	\N	AB	45863705
214668	729	1997-12-11	PRIJEM	PREVOD Z UCTU	3080	19996	\N	AB	45863705
214669	729	1998-01-11	PRIJEM	PREVOD Z UCTU	3080	20490	\N	AB	45863705
214670	729	1998-02-11	PRIJEM	PREVOD Z UCTU	3080	18432	\N	AB	45863705
214671	729	1998-03-11	PRIJEM	PREVOD Z UCTU	3080	19520	\N	AB	45863705
214672	729	1998-04-11	PRIJEM	PREVOD Z UCTU	3080	20612	\N	AB	45863705
214673	729	1998-05-11	PRIJEM	PREVOD Z UCTU	3080	21708	\N	AB	45863705
214674	729	1998-06-11	PRIJEM	PREVOD Z UCTU	3080	21306	\N	AB	45863705
214675	729	1998-07-11	PRIJEM	PREVOD Z UCTU	3080	20874	\N	AB	45863705
214676	729	1998-08-11	PRIJEM	PREVOD Z UCTU	3080	21460	\N	AB	45863705
214677	729	1998-09-11	PRIJEM	PREVOD Z UCTU	3080	22160	\N	AB	45863705
214678	729	1998-10-11	PRIJEM	PREVOD Z UCTU	3080	22842	\N	AB	45863705
214679	729	1998-11-11	PRIJEM	PREVOD Z UCTU	3080	23948	\N	AB	45863705
214680	729	1998-12-11	PRIJEM	PREVOD Z UCTU	3080	25058	\N	AB	45863705
214688	729	1997-08-10	VYDAJ	PREVOD NA UCET	1872	14272	SIPO	AB	49945181
214689	729	1997-09-10	VYDAJ	PREVOD NA UCET	1872	15355	SIPO	AB	49945181
214690	729	1997-10-10	VYDAJ	PREVOD NA UCET	1872	16141	SIPO	AB	49945181
214691	729	1997-11-10	VYDAJ	PREVOD NA UCET	1872	17232	SIPO	AB	49945181
214692	729	1997-12-10	VYDAJ	PREVOD NA UCET	1872	16916	SIPO	AB	49945181
214693	729	1998-01-10	VYDAJ	PREVOD NA UCET	1872	17410	SIPO	AB	49945181
214694	729	1998-02-10	VYDAJ	PREVOD NA UCET	1872	15352	SIPO	AB	49945181
214695	729	1998-03-10	VYDAJ	PREVOD NA UCET	1872	16440	SIPO	AB	49945181
214696	729	1998-04-10	VYDAJ	PREVOD NA UCET	1872	17532	SIPO	AB	49945181
214697	729	1998-05-10	VYDAJ	PREVOD NA UCET	1872	18628	SIPO	AB	49945181
214698	729	1998-06-10	VYDAJ	PREVOD NA UCET	1872	18226	SIPO	AB	49945181
214699	729	1998-07-10	VYDAJ	PREVOD NA UCET	1872	17794	SIPO	AB	49945181
214700	729	1998-08-10	VYDAJ	PREVOD NA UCET	1872	18380	SIPO	AB	49945181
214701	729	1998-09-10	VYDAJ	PREVOD NA UCET	1872	19080	SIPO	AB	49945181
214702	729	1998-10-10	VYDAJ	PREVOD NA UCET	1872	19762	SIPO	AB	49945181
214703	729	1998-11-10	VYDAJ	PREVOD NA UCET	1872	20868	SIPO	AB	49945181
214704	729	1998-12-10	VYDAJ	PREVOD NA UCET	1872	21978	SIPO	AB	49945181
214712	729	1997-08-05	VYDAJ	PREVOD NA UCET	114	16144	 	GH	95585292
214713	729	1997-09-05	VYDAJ	PREVOD NA UCET	114	17227	 	GH	95585292
214714	729	1997-10-05	VYDAJ	PREVOD NA UCET	114	18013	 	GH	95585292
214715	729	1997-11-05	VYDAJ	PREVOD NA UCET	114	19104	 	GH	95585292
214716	729	1997-12-05	VYDAJ	PREVOD NA UCET	114	18788	 	GH	95585292
214717	729	1998-01-05	VYDAJ	PREVOD NA UCET	114	19882	 	GH	95585292
214718	729	1998-02-05	VYDAJ	PREVOD NA UCET	114	18124	 	GH	95585292
214719	729	1998-03-05	VYDAJ	PREVOD NA UCET	114	18312	 	GH	95585292
214720	729	1998-04-05	VYDAJ	PREVOD NA UCET	114	19404	 	GH	95585292
214721	729	1998-05-05	VYDAJ	PREVOD NA UCET	114	20500	 	GH	95585292
214722	729	1998-06-05	VYDAJ	PREVOD NA UCET	114	20098	 	GH	95585292
214723	729	1998-07-05	VYDAJ	PREVOD NA UCET	114	19666	 	GH	95585292
214724	729	1998-08-05	VYDAJ	PREVOD NA UCET	114	20252	 	GH	95585292
214725	729	1998-09-05	VYDAJ	PREVOD NA UCET	114	21352	 	GH	95585292
214726	729	1998-10-05	VYDAJ	PREVOD NA UCET	114	21634	 	GH	95585292
214727	729	1998-11-05	VYDAJ	PREVOD NA UCET	114	22740	 	GH	95585292
214728	729	1998-12-05	VYDAJ	PREVOD NA UCET	114	23850	 	GH	95585292
214735	729	1997-07-14	VYDAJ	PREVOD NA UCET	67	16233	POJISTNE	MN	56525182
214736	729	1997-08-14	VYDAJ	PREVOD NA UCET	67	17285	POJISTNE	MN	56525182
214737	729	1997-09-14	VYDAJ	PREVOD NA UCET	67	18068	POJISTNE	MN	56525182
214738	729	1997-10-14	VYDAJ	PREVOD NA UCET	67	19154	POJISTNE	MN	56525182
214739	729	1997-11-14	VYDAJ	PREVOD NA UCET	67	20245	POJISTNE	MN	56525182
214740	729	1997-12-14	VYDAJ	PREVOD NA UCET	67	19929	POJISTNE	MN	56525182
214741	729	1998-01-14	VYDAJ	PREVOD NA UCET	67	20183	POJISTNE	MN	56525182
214742	729	1998-02-14	VYDAJ	PREVOD NA UCET	67	18365	POJISTNE	MN	56525182
214743	729	1998-03-14	VYDAJ	PREVOD NA UCET	67	19453	POJISTNE	MN	56525182
214744	729	1998-04-14	VYDAJ	PREVOD NA UCET	67	20545	POJISTNE	MN	56525182
214745	729	1998-05-14	VYDAJ	PREVOD NA UCET	67	20141	POJISTNE	MN	56525182
214746	729	1998-06-14	VYDAJ	PREVOD NA UCET	67	21239	POJISTNE	MN	56525182
214747	729	1998-07-14	VYDAJ	PREVOD NA UCET	67	20807	POJISTNE	MN	56525182
214748	729	1998-08-14	VYDAJ	PREVOD NA UCET	67	21393	POJISTNE	MN	56525182
214749	729	1998-09-14	VYDAJ	PREVOD NA UCET	67	22093	POJISTNE	MN	56525182
214750	729	1998-10-14	VYDAJ	PREVOD NA UCET	67	22775	POJISTNE	MN	56525182
214751	729	1998-11-14	VYDAJ	PREVOD NA UCET	67	23881	POJISTNE	MN	56525182
214752	729	1998-12-14	VYDAJ	PREVOD NA UCET	67	24991	POJISTNE	MN	56525182
214754	729	1998-06-27	VYDAJ	VYBER	1530	19709	\N	\N	\N
214755	729	1997-12-04	VYDAJ	VYBER	840	18902	\N	\N	\N
214756	729	1998-12-19	VYDAJ	VYBER	690	24301	\N	\N	\N
214763	729	1998-01-22	VYDAJ	VYBER	510	18173	\N	\N	\N
214764	729	1998-01-07	VYDAJ	VYBER	390	19492	\N	\N	\N
214765	729	1998-01-15	VYDAJ	VYBER	870	19313	\N	\N	\N
214766	729	1998-01-18	VYDAJ	VYBER	630	18683	\N	\N	\N
214767	729	1998-01-11	VYDAJ	VYBER	240	20250	\N	\N	\N
214768	729	1998-01-08	VYDAJ	VYBER	210	19282	\N	\N	\N
214770	729	1997-11-17	VYDAJ	VYBER	570	19675	\N	\N	\N
214774	729	1997-09-14	VYDAJ	VYBER	300	18135	\N	\N	\N
214775	729	1998-02-10	VYDAJ	VYBER	900	17224	\N	\N	\N
214776	729	1998-09-18	VYDAJ	VYBER	420	21673	\N	\N	\N
214777	729	1998-07-18	VYDAJ	VYBER	510	20297	\N	\N	\N
214778	729	1998-12-27	VYDAJ	VYBER	1050	23251	\N	\N	\N
214786	729	1997-07-31	VYDAJ	VYBER	15	16258	SLUZBY	\N	\N
214787	729	1997-08-31	VYDAJ	VYBER	15	17341	SLUZBY	\N	\N
214788	729	1997-09-30	VYDAJ	VYBER	15	18127	SLUZBY	\N	\N
214789	729	1997-10-31	VYDAJ	VYBER	15	19218	SLUZBY	\N	\N
214790	729	1997-11-30	VYDAJ	VYBER	15	19742	SLUZBY	\N	\N
214791	729	1997-12-31	VYDAJ	VYBER	15	19996	SLUZBY	\N	\N
214792	729	1998-01-31	VYDAJ	VYBER	15	18238	SLUZBY	\N	\N
214793	729	1998-02-28	VYDAJ	VYBER	15	18426	SLUZBY	\N	\N
214794	729	1998-03-31	VYDAJ	VYBER	15	19518	SLUZBY	\N	\N
214795	729	1998-04-30	VYDAJ	VYBER	15	20614	SLUZBY	\N	\N
214796	729	1998-05-31	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
214797	729	1998-06-30	VYDAJ	VYBER	15	19780	SLUZBY	\N	\N
214798	729	1998-07-31	VYDAJ	VYBER	15	20366	SLUZBY	\N	\N
214799	729	1998-08-31	VYDAJ	VYBER	15	21466	SLUZBY	\N	\N
214800	729	1998-09-30	VYDAJ	VYBER	15	21748	SLUZBY	\N	\N
214801	729	1998-10-31	VYDAJ	VYBER	15	22854	SLUZBY	\N	\N
214802	729	1998-11-30	VYDAJ	VYBER	15	23964	SLUZBY	\N	\N
214803	729	1998-05-11	VYDAJ	VYBER	1500	20208	\N	\N	\N
214804	729	1998-09-08	VYDAJ	VYBER	400	20952	\N	\N	\N
214823	730	1993-08-28	PRIJEM	VKLAD	800	800	\N	\N	\N
214826	730	1993-10-06	PRIJEM	VKLAD	30768	42068	\N	\N	\N
214827	730	1993-11-18	PRIJEM	VKLAD	44707	101884	\N	\N	\N
214830	730	1993-10-25	PRIJEM	VKLAD	48546	90614	\N	\N	\N
214834	730	1994-05-06	PRIJEM	VKLAD	32991	79765	\N	\N	\N
214835	730	1994-04-07	PRIJEM	VKLAD	22850	63907	\N	\N	\N
214836	730	1994-05-02	PRIJEM	VKLAD	28620	108074	\N	\N	\N
214837	730	1994-06-21	PRIJEM	VKLAD	31428	46430	\N	\N	\N
214838	730	1994-12-06	PRIJEM	VKLAD	42122	86772	\N	\N	\N
214839	730	1994-07-29	PRIJEM	VKLAD	29663	63522	\N	\N	\N
214840	730	1994-04-29	PRIJEM	VKLAD	41642	79284	\N	\N	\N
214841	730	1994-05-17	PRIJEM	VKLAD	28962	78654	\N	\N	\N
214842	730	1994-11-09	PRIJEM	VKLAD	22962	67173	\N	\N	\N
214843	730	1994-02-03	PRIJEM	VKLAD	19506	52694	\N	\N	\N
214844	730	1994-08-10	PRIJEM	VKLAD	15836	79428	\N	\N	\N
214845	730	1994-07-23	PRIJEM	VKLAD	27203	39159	\N	\N	\N
214846	730	1994-03-22	PRIJEM	VKLAD	11566	59838	\N	\N	\N
214847	730	1994-09-07	PRIJEM	VKLAD	46892	93952	\N	\N	\N
214848	730	1994-12-22	PRIJEM	VKLAD	36830	87202	\N	\N	\N
214849	730	1994-02-23	PRIJEM	VKLAD	31797	98249	\N	\N	\N
214850	730	1994-02-17	PRIJEM	VKLAD	13758	66452	\N	\N	\N
214851	730	1994-05-11	PRIJEM	VKLAD	29227	108992	\N	\N	\N
214852	730	1995-03-02	PRIJEM	VKLAD	26725	45933	\N	\N	\N
214853	730	1995-07-03	PRIJEM	VKLAD	34498	69509	\N	\N	\N
214854	730	1995-10-05	PRIJEM	VKLAD	14596	50775	\N	\N	\N
214855	730	1995-10-05	PRIJEM	VKLAD	39266	90041	\N	\N	\N
214856	730	1995-03-29	PRIJEM	VKLAD	47867	65687	\N	\N	\N
214857	730	1995-05-10	PRIJEM	VKLAD	26891	69870	\N	\N	\N
214858	730	1995-03-05	PRIJEM	VKLAD	10163	56096	\N	\N	\N
214859	730	1995-01-18	PRIJEM	VKLAD	35618	100751	\N	\N	\N
214860	730	1995-01-19	PRIJEM	VKLAD	26323	119274	\N	\N	\N
214861	730	1995-11-13	PRIJEM	VKLAD	24635	103480	\N	\N	\N
214862	730	1995-10-17	PRIJEM	VKLAD	49669	137075	\N	\N	\N
214863	730	1995-10-06	PRIJEM	VKLAD	29465	119506	\N	\N	\N
214864	730	1995-07-14	PRIJEM	VKLAD	45521	115030	\N	\N	\N
214865	730	1995-06-25	PRIJEM	VKLAD	13602	34830	\N	\N	\N
214866	730	1995-08-09	PRIJEM	VKLAD	5961	57977	\N	\N	\N
214867	730	1995-09-15	PRIJEM	VKLAD	46406	47484	\N	\N	\N
214868	730	1995-10-31	PRIJEM	VKLAD	20847	82460	\N	\N	\N
214869	730	1995-06-19	PRIJEM	VKLAD	42241	87128	\N	\N	\N
214870	730	1995-01-14	PRIJEM	VKLAD	45084	122733	\N	\N	\N
214871	730	1995-09-30	PRIJEM	VKLAD	5867	36104	\N	\N	\N
214872	730	1996-04-24	PRIJEM	VKLAD	40735	144653	\N	\N	\N
214873	730	1996-04-21	PRIJEM	VKLAD	23805	103918	\N	\N	\N
214874	730	1996-03-10	PRIJEM	VKLAD	26041	122531	\N	\N	\N
214875	730	1996-02-20	PRIJEM	VKLAD	20165	64956	\N	\N	\N
214876	730	1996-01-02	PRIJEM	VKLAD	25732	47497	\N	\N	\N
214877	730	1996-06-27	PRIJEM	VKLAD	39463	68961	\N	\N	\N
214878	730	1996-06-04	PRIJEM	VKLAD	38162	87556	\N	\N	\N
214879	730	1996-07-15	PRIJEM	VKLAD	5019	66342	\N	\N	\N
214880	730	1996-02-25	PRIJEM	VKLAD	31320	96276	\N	\N	\N
214881	730	1996-09-04	PRIJEM	VKLAD	16854	93080	\N	\N	\N
214882	730	1996-11-08	PRIJEM	VKLAD	33532	82999	\N	\N	\N
214883	730	1996-02-06	PRIJEM	VKLAD	43023	49491	\N	\N	\N
214884	730	1996-05-23	PRIJEM	VKLAD	10413	49187	\N	\N	\N
214885	730	1996-08-14	PRIJEM	VKLAD	27191	84096	\N	\N	\N
214886	730	1996-04-02	PRIJEM	VKLAD	23072	94649	\N	\N	\N
214887	730	1996-10-06	PRIJEM	VKLAD	7461	93716	\N	\N	\N
214888	730	1996-04-05	PRIJEM	VKLAD	37564	132213	\N	\N	\N
214889	730	1996-02-02	PRIJEM	VKLAD	21453	29734	\N	\N	\N
214890	730	1996-07-12	PRIJEM	VKLAD	15593	77823	\N	\N	\N
214891	730	1996-10-02	PRIJEM	VKLAD	22631	86255	\N	\N	\N
214892	730	1996-09-02	PRIJEM	VKLAD	16466	76226	\N	\N	\N
214893	730	1997-10-13	PRIJEM	VKLAD	21547	86557	\N	\N	\N
214894	730	1997-09-11	PRIJEM	VKLAD	15774	80605	\N	\N	\N
214895	730	1997-04-11	PRIJEM	VKLAD	7030	67598	\N	\N	\N
214896	730	1997-04-28	PRIJEM	VKLAD	24721	92319	\N	\N	\N
214897	730	1997-08-25	PRIJEM	VKLAD	38884	88013	\N	\N	\N
214898	730	1997-05-22	PRIJEM	VKLAD	8375	108134	\N	\N	\N
214899	730	1997-07-22	PRIJEM	VKLAD	44544	59324	\N	\N	\N
214900	730	1997-05-14	PRIJEM	VKLAD	39303	99759	\N	\N	\N
214901	730	1997-11-20	PRIJEM	VKLAD	7744	68590	\N	\N	\N
214902	730	1997-12-16	PRIJEM	VKLAD	21718	62393	\N	\N	\N
214903	730	1997-07-24	PRIJEM	VKLAD	17025	76349	\N	\N	\N
214904	730	1997-12-23	PRIJEM	VKLAD	38120	145142	\N	\N	\N
214905	730	1997-07-05	PRIJEM	VKLAD	10504	61574	\N	\N	\N
214906	730	1997-06-29	PRIJEM	VKLAD	32184	50914	\N	\N	\N
214907	730	1997-12-17	PRIJEM	VKLAD	26888	89281	\N	\N	\N
214908	730	1997-03-18	PRIJEM	VKLAD	42904	93035	\N	\N	\N
214909	730	1997-12-19	PRIJEM	VKLAD	17741	107022	\N	\N	\N
214910	730	1997-02-18	PRIJEM	VKLAD	44980	50051	\N	\N	\N
214911	730	1998-06-15	PRIJEM	VKLAD	11376	80724	\N	\N	\N
214912	730	1998-11-26	PRIJEM	VKLAD	24740	119977	\N	\N	\N
214913	730	1998-06-25	PRIJEM	VKLAD	35948	85172	\N	\N	\N
214914	730	1998-11-05	PRIJEM	VKLAD	32773	85086	\N	\N	\N
214915	730	1998-05-03	PRIJEM	VKLAD	35233	128982	\N	\N	\N
214916	730	1998-11-12	PRIJEM	VKLAD	44201	129287	\N	\N	\N
214917	730	1998-04-12	PRIJEM	VKLAD	28855	110871	\N	\N	\N
214918	730	1998-05-16	PRIJEM	VKLAD	38766	114748	\N	\N	\N
214919	730	1998-02-22	PRIJEM	VKLAD	42636	76466	\N	\N	\N
214920	730	1998-01-22	PRIJEM	VKLAD	6981	43947	\N	\N	\N
214921	730	1998-04-27	PRIJEM	VKLAD	19294	93428	\N	\N	\N
214922	730	1998-06-26	PRIJEM	VKLAD	46450	131622	\N	\N	\N
214923	730	1998-12-03	PRIJEM	VKLAD	10403	82360	\N	\N	\N
214924	730	1998-11-21	PRIJEM	VKLAD	19450	95237	\N	\N	\N
214925	730	1998-04-12	PRIJEM	VKLAD	19591	82016	\N	\N	\N
214926	730	1998-04-17	PRIJEM	VKLAD	31763	133934	\N	\N	\N
214927	730	1998-08-10	PRIJEM	VKLAD	36994	102515	\N	\N	\N
214940	730	1994-04-21	VYBER	VYBER	13865	50042	\N	\N	\N
214942	730	1994-06-25	VYBER	VYBER	23837	11793	\N	\N	\N
214943	730	1994-12-24	VYBER	VYBER	8014	79188	\N	\N	\N
214944	730	1994-09-25	VYBER	VYBER	3656	56696	\N	\N	\N
214945	730	1995-05-25	VYBER	VYBER	6554	44716	\N	\N	\N
214946	730	1995-02-06	VYBER	VYBER	3962	7455	\N	\N	\N
214947	730	1995-10-29	VYBER	VYBER	2360	61315	\N	\N	\N
214948	730	1995-08-22	VYBER	VYBER	10972	33805	\N	\N	\N
214949	730	1995-09-02	VYBER	VYBER	8227	1078	\N	\N	\N
214950	730	1995-11-19	VYBER	VYBER	8799	60981	\N	\N	\N
214951	730	1995-11-23	VYBER	VYBER	22915	38066	\N	\N	\N
214952	730	1995-03-23	VYBER	VYBER	12163	28633	\N	\N	\N
214953	730	1995-08-31	VYBER	VYBER	20769	9320	\N	\N	\N
214954	730	1995-09-15	VYBER	VYBER	23047	24437	\N	\N	\N
214955	730	1995-02-01	VYBER	VYBER	22516	11417	\N	\N	\N
214956	730	1995-12-12	VYBER	VYBER	23872	14464	\N	\N	\N
214957	730	1995-03-28	VYBER	VYBER	10813	17820	\N	\N	\N
214958	730	1996-06-16	VYBER	VYBER	7491	29498	\N	\N	\N
214959	730	1996-05-14	VYBER	VYBER	11625	54030	\N	\N	\N
214961	730	1996-10-18	VYBER	VYBER	17804	53112	\N	\N	\N
214962	730	1996-11-13	VYBER	VYBER	7105	51325	\N	\N	\N
214963	730	1996-01-14	VYBER	VYBER	15991	12306	\N	\N	\N
214964	730	1996-11-09	VYBER	VYBER	18969	64030	\N	\N	\N
214965	730	1996-05-15	VYBER	VYBER	8356	38774	\N	\N	\N
214966	730	1996-08-24	VYBER	VYBER	24609	59487	\N	\N	\N
214967	730	1996-09-09	VYBER	VYBER	15327	77753	\N	\N	\N
214968	730	1996-06-10	VYBER	VYBER	15267	72289	\N	\N	\N
214969	730	1996-12-20	VYBER	VYBER	18456	36569	\N	\N	\N
214970	730	1996-02-02	VYBER	VYBER	23266	6468	\N	\N	\N
214971	730	1997-02-09	VYBER	VYBER	23915	5071	\N	\N	\N
214972	730	1997-09-01	VYBER	VYBER	11284	68531	\N	\N	\N
214973	730	1997-01-11	VYBER	VYBER	4462	29575	\N	\N	\N
214974	730	1997-07-27	VYBER	VYBER	19234	57115	\N	\N	\N
214975	730	1997-10-15	VYBER	VYBER	21222	65335	\N	\N	\N
214976	730	1997-04-03	VYBER	VYBER	21935	68668	\N	\N	\N
214977	730	1997-05-09	VYBER	VYBER	23261	69356	\N	\N	\N
214978	730	1997-12-13	VYBER	VYBER	23852	40675	\N	\N	\N
214979	730	1997-05-29	VYBER	VYBER	7642	70392	\N	\N	\N
214980	730	1997-07-17	VYBER	VYBER	24442	14780	\N	\N	\N
214981	730	1997-07-14	VYBER	VYBER	18352	39222	\N	\N	\N
214982	730	1997-10-31	VYBER	VYBER	8450	57160	\N	\N	\N
214983	730	1997-07-29	VYBER	VYBER	12969	44146	\N	\N	\N
214984	730	1997-01-22	VYBER	VYBER	10954	12621	\N	\N	\N
214985	730	1998-02-04	VYBER	VYBER	8631	33830	\N	\N	\N
214986	730	1998-09-18	VYBER	VYBER	17102	68668	\N	\N	\N
214987	730	1998-10-12	VYBER	VYBER	7360	43739	\N	\N	\N
214988	730	1998-01-17	VYBER	VYBER	8413	50166	\N	\N	\N
214989	730	1998-01-05	VYBER	VYBER	22928	65779	\N	\N	\N
214991	730	1994-06-04	VYDAJ	VYBER	36600	15002	\N	\N	\N
214992	730	1995-06-23	VYDAJ	VYBER	39000	21228	\N	\N	\N
214993	730	1996-06-12	VYDAJ	VYBER	42600	29689	\N	\N	\N
214994	730	1997-06-13	VYDAJ	VYBER	42600	18730	\N	\N	\N
214995	730	1998-06-15	VYDAJ	VYBER	31500	49224	\N	\N	\N
214998	730	1995-01-30	VYDAJ	VYBER	8400	33674	\N	\N	\N
214999	730	1996-01-22	VYDAJ	VYBER	11100	8206	\N	\N	\N
215000	730	1997-01-03	VYDAJ	VYBER	5400	19637	\N	\N	\N
215001	730	1998-01-22	VYDAJ	VYBER	4500	39447	\N	\N	\N
215003	730	1994-12-19	VYDAJ	VYBER	2100	76572	\N	\N	\N
215004	730	1995-12-13	VYDAJ	VYBER	2700	11764	\N	\N	\N
215005	730	1996-12-27	VYDAJ	VYBER	4500	29969	\N	\N	\N
215006	730	1997-12-04	VYDAJ	VYBER	7500	61327	\N	\N	\N
215007	730	1998-12-02	VYDAJ	VYBER KARTOU	3900	71957	\N	\N	0
215020	730	1995-01-06	VYDAJ	VYBER	1800	77649	\N	\N	\N
215021	730	1995-01-19	VYDAJ	VYBER	3600	115674	\N	\N	\N
215022	730	1995-01-29	VYDAJ	VYBER	7800	42074	\N	\N	\N
215023	730	1995-01-18	VYDAJ	VYBER	7800	92951	\N	\N	\N
215024	730	1995-01-21	VYDAJ	VYBER	2400	53474	\N	\N	\N
215025	730	1995-01-21	VYDAJ	VYBER	3600	49874	\N	\N	\N
215026	730	1996-01-19	VYDAJ	VYBER	1800	23506	\N	\N	\N
215027	730	1996-01-22	VYDAJ	VYBER	4200	19306	\N	\N	\N
215028	730	1996-01-11	VYDAJ	VYBER	2100	28297	\N	\N	\N
215029	730	1996-01-08	VYDAJ	VYBER	2100	30397	\N	\N	\N
215030	730	1996-01-06	VYDAJ	VYBER	6600	32497	\N	\N	\N
215031	730	1996-01-03	VYDAJ	VYBER	8400	39097	\N	\N	\N
215032	730	1997-01-02	VYDAJ	VYBER	5100	25037	\N	\N	\N
215033	730	1997-01-07	VYDAJ	VYBER	6300	13337	\N	\N	\N
215034	730	1997-01-15	VYDAJ	VYBER	6000	23575	\N	\N	\N
215035	730	1997-01-28	VYDAJ	VYBER KARTOU	3000	6921	\N	\N	0
215036	730	1997-01-26	VYDAJ	VYBER KARTOU	2700	9921	\N	\N	0
215037	730	1997-01-08	VYDAJ	VYBER KARTOU	2400	10937	\N	\N	0
215038	730	1998-01-29	VYDAJ	VYBER KARTOU	3000	20847	\N	\N	0
215039	730	1998-01-17	VYDAJ	VYBER	6600	43566	\N	\N	\N
215040	730	1998-01-18	VYDAJ	VYBER	6600	36966	\N	\N	\N
215041	730	1998-01-14	VYDAJ	VYBER	7200	58579	\N	\N	\N
215042	730	1998-01-26	VYDAJ	VYBER	7800	31647	\N	\N	\N
215043	730	1998-01-27	VYDAJ	VYBER	7800	23847	\N	\N	\N
215049	730	1994-12-12	VYDAJ	VYBER	8100	78672	\N	\N	\N
215050	730	1994-11-17	VYDAJ	VYBER	11100	56073	\N	\N	\N
215052	730	1994-08-26	VYDAJ	VYBER	5100	46828	\N	\N	\N
215053	730	1994-03-02	VYDAJ	VYBER	11400	48272	\N	\N	\N
215054	730	1995-08-29	VYDAJ	VYBER	3900	29905	\N	\N	\N
215055	730	1995-03-29	VYDAJ	VYBER	2400	63287	\N	\N	\N
215056	730	1995-11-11	VYDAJ	VYBER	3600	78845	\N	\N	\N
215057	730	1995-04-06	VYDAJ	VYBER	6600	56862	\N	\N	\N
215058	730	1995-12-28	VYDAJ	VYBER	1800	21664	\N	\N	\N
215059	730	1995-10-14	VYDAJ	VYBER	8700	87406	\N	\N	\N
215060	730	1996-07-27	VYDAJ	VYBER	2400	63942	\N	\N	\N
215061	730	1996-10-30	VYDAJ	VYBER KARTOU	3900	49212	\N	\N	0
215062	730	1996-04-27	VYDAJ	VYBER	6900	116953	\N	\N	\N
215063	730	1996-12-22	VYDAJ	VYBER KARTOU	2100	34469	\N	\N	0
215064	730	1996-07-10	VYDAJ	VYBER	6900	62230	\N	\N	\N
215065	730	1997-08-27	VYDAJ	VYBER	8400	79613	\N	\N	\N
215066	730	1997-10-05	VYDAJ	VYBER KARTOU	2100	66810	\N	\N	0
215067	730	1997-09-30	VYDAJ	VYBER	12000	68910	\N	\N	\N
215068	730	1997-03-18	VYDAJ	VYBER KARTOU	2700	90335	\N	\N	0
215069	730	1998-10-09	VYDAJ	VYBER	5700	51099	\N	\N	\N
215070	730	1998-09-22	VYDAJ	VYBER	8400	60268	\N	\N	\N
215071	730	1998-04-25	VYDAJ	VYBER	13200	74134	\N	\N	\N
215072	730	1998-04-13	VYDAJ	VYBER	8700	102171	\N	\N	\N
215073	730	1998-07-29	VYDAJ	VYBER	13500	59955	\N	\N	\N
215074	730	1998-09-27	VYDAJ	VYBER	9300	50968	\N	\N	\N
215089	730	1994-02-28	VYDAJ	VYBER	15	59672	SLUZBY	\N	\N
215090	730	1994-03-31	VYDAJ	VYBER	15	41057	SLUZBY	\N	\N
215091	730	1994-04-30	VYDAJ	VYBER	15	79454	SLUZBY	\N	\N
215092	730	1994-05-31	VYDAJ	VYBER	15	51602	SLUZBY	\N	\N
215093	730	1994-06-30	VYDAJ	VYBER	15	11956	SLUZBY	\N	\N
215094	730	1994-07-31	VYDAJ	VYBER	15	63592	SLUZBY	\N	\N
215095	730	1994-08-31	VYDAJ	VYBER	15	47060	SLUZBY	\N	\N
215096	730	1994-09-30	VYDAJ	VYBER	15	56891	SLUZBY	\N	\N
215097	730	1994-10-31	VYDAJ	VYBER	15	44211	SLUZBY	\N	\N
215098	730	1994-11-30	VYDAJ	VYBER	15	44650	SLUZBY	\N	\N
215099	730	1994-12-31	VYDAJ	VYBER	15	79449	SLUZBY	\N	\N
215100	730	1995-01-31	VYDAJ	VYBER	15	33933	SLUZBY	\N	\N
215101	730	1995-02-28	VYDAJ	VYBER	15	19208	SLUZBY	\N	\N
215102	730	1995-03-31	VYDAJ	VYBER	15	63462	SLUZBY	\N	\N
215103	730	1995-04-30	VYDAJ	VYBER	15	42979	SLUZBY	\N	\N
215104	730	1995-05-31	VYDAJ	VYBER	15	44887	SLUZBY	\N	\N
215105	730	1995-06-30	VYDAJ	VYBER	15	35011	SLUZBY	\N	\N
215106	730	1995-07-31	VYDAJ	VYBER	15	52016	SLUZBY	\N	\N
215107	730	1995-08-31	VYDAJ	VYBER	15	9305	SLUZBY	\N	\N
215108	730	1995-09-30	VYDAJ	VYBER	15	36179	SLUZBY	\N	\N
215109	730	1995-10-31	VYDAJ	VYBER	15	82445	SLUZBY	\N	\N
215110	730	1995-11-30	VYDAJ	VYBER	15	38336	SLUZBY	\N	\N
215111	730	1995-12-31	VYDAJ	VYBER	15	21765	SLUZBY	\N	\N
215112	730	1996-01-31	VYDAJ	VYBER	15	8281	SLUZBY	\N	\N
215113	730	1996-02-29	VYDAJ	VYBER	15	96490	SLUZBY	\N	\N
215114	730	1996-03-31	VYDAJ	VYBER	15	71577	SLUZBY	\N	\N
215115	730	1996-04-30	VYDAJ	VYBER	15	65655	SLUZBY	\N	\N
215116	730	1996-05-31	VYDAJ	VYBER	15	49394	SLUZBY	\N	\N
215117	730	1996-06-30	VYDAJ	VYBER	15	69130	SLUZBY	\N	\N
215118	730	1996-07-31	VYDAJ	VYBER	15	64205	SLUZBY	\N	\N
215119	730	1996-08-31	VYDAJ	VYBER	15	59760	SLUZBY	\N	\N
215120	730	1996-09-30	VYDAJ	VYBER	15	63624	SLUZBY	\N	\N
215121	730	1996-10-31	VYDAJ	VYBER	15	49467	SLUZBY	\N	\N
215122	730	1996-11-30	VYDAJ	VYBER	15	51525	SLUZBY	\N	\N
215123	730	1996-12-31	VYDAJ	VYBER	15	30137	SLUZBY	\N	\N
215124	730	1997-01-31	VYDAJ	VYBER	15	6986	SLUZBY	\N	\N
215125	730	1997-02-28	VYDAJ	VYBER	15	50131	SLUZBY	\N	\N
215126	730	1997-03-31	VYDAJ	VYBER	15	90603	SLUZBY	\N	\N
215127	730	1997-04-30	VYDAJ	VYBER	15	92617	SLUZBY	\N	\N
215128	730	1997-05-31	VYDAJ	VYBER	15	70730	SLUZBY	\N	\N
215129	730	1997-06-30	VYDAJ	VYBER	15	51070	SLUZBY	\N	\N
215130	730	1997-07-31	VYDAJ	VYBER	15	44329	SLUZBY	\N	\N
215131	730	1997-08-31	VYDAJ	VYBER	15	79815	SLUZBY	\N	\N
215132	730	1997-09-30	VYDAJ	VYBER	15	80910	SLUZBY	\N	\N
215133	730	1997-10-31	VYDAJ	VYBER	15	57146	SLUZBY	\N	\N
215134	730	1997-11-30	VYDAJ	VYBER	15	68827	SLUZBY	\N	\N
215135	730	1997-12-31	VYDAJ	VYBER	15	111107	SLUZBY	\N	\N
215136	730	1998-01-31	VYDAJ	VYBER	15	21061	SLUZBY	\N	\N
215137	730	1998-02-28	VYDAJ	VYBER	15	76627	SLUZBY	\N	\N
215138	730	1998-03-31	VYDAJ	VYBER	15	66325	SLUZBY	\N	\N
215139	730	1998-04-30	VYDAJ	VYBER	15	93749	SLUZBY	\N	\N
215140	730	1998-05-31	VYDAJ	VYBER	15	74848	SLUZBY	\N	\N
215141	730	1998-06-30	VYDAJ	VYBER	15	69555	SLUZBY	\N	\N
215142	730	1998-07-31	VYDAJ	VYBER	15	60221	SLUZBY	\N	\N
215143	730	1998-08-31	VYDAJ	VYBER	15	102870	SLUZBY	\N	\N
215144	730	1998-09-30	VYDAJ	VYBER	15	51299	SLUZBY	\N	\N
215145	730	1998-10-31	VYDAJ	VYBER	15	52313	SLUZBY	\N	\N
215146	730	1998-11-30	VYDAJ	VYBER	15	75857	SLUZBY	\N	\N
215147	730	1993-09-27	PRIJEM	VKLAD	10500	11300	\N	\N	\N
215148	730	1993-10-27	VYDAJ	VYBER	33500	57114	\N	\N	\N
215149	730	1993-11-18	VYDAJ	VYBER	22500	79384	\N	\N	\N
215150	730	1993-11-26	VYDAJ	VYBER	28900	50484	\N	\N	\N
215151	730	1993-12-26	VYDAJ	VYBER	11400	39367	\N	\N	\N
215152	730	1994-01-25	VYDAJ	VYBER	6600	32977	\N	\N	\N
215153	730	1994-02-24	VYDAJ	VYBER	38800	59449	\N	\N	\N
215154	730	1994-03-26	VYDAJ	VYBER	19000	40838	\N	\N	\N
215155	730	1994-04-25	VYDAJ	VYBER	12400	37642	\N	\N	\N
215156	730	1994-05-02	VYDAJ	VYBER	61300	46774	\N	\N	\N
215157	730	1994-05-11	VYDAJ	VYBER	59300	49692	\N	\N	\N
215158	730	1994-05-25	VYDAJ	VYBER	27300	51354	\N	\N	\N
215159	730	1994-06-24	VYDAJ	VYBER	10800	35630	\N	\N	\N
215160	730	1994-07-24	VYDAJ	VYBER	5300	33859	\N	\N	\N
215161	730	1994-08-23	VYDAJ	VYBER	27500	51928	\N	\N	\N
215162	730	1994-09-22	VYDAJ	VYBER	33600	60352	\N	\N	\N
215163	730	1994-10-22	VYDAJ	VYBER	12900	43991	\N	\N	\N
215164	730	1994-11-21	VYDAJ	VYBER	11600	44473	\N	\N	\N
215165	730	1994-12-21	VYDAJ	VYBER	26200	50372	\N	\N	\N
215166	730	1995-01-14	VYDAJ	VYBER	57600	65133	\N	\N	\N
215167	730	1995-01-19	VYDAJ	VYBER	35600	80074	\N	\N	\N
215168	730	1995-01-20	VYDAJ	VYBER	24200	55874	\N	\N	\N
215169	730	1995-02-19	PRIJEM	VKLAD	11700	19155	\N	\N	\N
215170	730	1995-03-21	VYDAJ	VYBER	15300	40796	\N	\N	\N
215171	730	1995-04-20	VYDAJ	VYBER	14100	42762	\N	\N	\N
215172	730	1995-05-20	VYDAJ	VYBER	18600	51270	\N	\N	\N
215173	730	1995-06-19	VYDAJ	VYBER	26900	60228	\N	\N	\N
215174	730	1995-07-14	VYDAJ	VYBER	40100	74930	\N	\N	\N
215175	730	1995-07-19	VYDAJ	VYBER	23100	51830	\N	\N	\N
215176	730	1995-08-18	VYDAJ	VYBER	13200	44777	\N	\N	\N
215177	730	1995-09-17	PRIJEM	VKLAD	5800	30237	\N	\N	\N
215178	730	1995-10-06	VYDAJ	VYBER	23400	96106	\N	\N	\N
215179	730	1995-10-17	VYDAJ	VYBER	39300	97775	\N	\N	\N
215180	730	1995-10-17	VYDAJ	VYBER	34100	63675	\N	\N	\N
215181	730	1995-11-16	VYDAJ	VYBER	33700	69780	\N	\N	\N
215182	730	1995-12-16	PRIJEM	VKLAD	11700	23464	\N	\N	\N
215183	730	1996-01-15	PRIJEM	VKLAD	13000	25306	\N	\N	\N
215184	730	1996-02-14	VYDAJ	VYBER	4700	44791	\N	\N	\N
215185	730	1996-03-10	VYDAJ	VYBER	24800	97731	\N	\N	\N
215186	730	1996-03-15	VYDAJ	VYBER	26500	71231	\N	\N	\N
215187	730	1996-04-05	VYDAJ	VYBER	15300	116913	\N	\N	\N
215188	730	1996-04-14	VYDAJ	VYBER	36800	80113	\N	\N	\N
215189	730	1996-04-24	VYDAJ	VYBER	20800	123853	\N	\N	\N
215190	730	1996-04-27	VYDAJ	VYBER	51700	65253	\N	\N	\N
215191	730	1996-05-14	VYDAJ	VYBER	6900	47130	\N	\N	\N
215192	730	1996-06-13	PRIJEM	VKLAD	7300	36989	\N	\N	\N
215193	730	1996-07-13	VYDAJ	VYBER	16500	61323	\N	\N	\N
215194	730	1996-08-12	VYDAJ	VYBER	7300	56905	\N	\N	\N
215195	730	1996-09-11	VYDAJ	VYBER	14400	63353	\N	\N	\N
215196	730	1996-10-11	VYDAJ	VYBER	22800	70916	\N	\N	\N
215197	730	1996-11-10	VYDAJ	VYBER	5600	58430	\N	\N	\N
215198	730	1996-12-10	PRIJEM	VKLAD	3500	55025	\N	\N	\N
215199	730	1997-01-09	PRIJEM	VKLAD	23100	34037	\N	\N	\N
215200	730	1997-02-08	PRIJEM	VKLAD	22000	28986	\N	\N	\N
215201	730	1997-04-09	VYDAJ	VYBER	8100	60568	\N	\N	\N
215202	730	1997-05-09	VYDAJ	VYBER	8900	60456	\N	\N	\N
215203	730	1997-05-22	VYDAJ	VYBER	30100	78034	\N	\N	\N
215204	730	1997-06-08	VYDAJ	VYBER	9400	61330	\N	\N	\N
215205	730	1997-07-08	VYDAJ	VYBER KARTOU	4000	57574	\N	\N	0
215206	730	1997-08-07	PRIJEM	VKLAD	4800	49129	\N	\N	\N
215207	730	1997-09-06	VYDAJ	VYBER KARTOU	3700	64831	\N	\N	0
215208	730	1997-10-06	VYDAJ	VYBER KARTOU	1800	65010	\N	\N	0
215209	730	1997-11-05	PRIJEM	VKLAD	3700	60846	\N	\N	\N
215210	730	1997-12-05	PRIJEM	VKLAD	3200	64527	\N	\N	\N
215211	730	1997-12-23	VYDAJ	VYBER	34400	110742	\N	\N	\N
215212	730	1998-01-04	VYDAJ	VYBER	22400	88707	\N	\N	\N
215213	730	1998-02-03	PRIJEM	VKLAD	21400	42461	\N	\N	\N
215214	730	1998-03-05	VYDAJ	VYBER	10600	66027	\N	\N	\N
215215	730	1998-04-04	VYDAJ	VYBER KARTOU	3900	62425	\N	\N	0
215216	730	1998-04-17	VYDAJ	VYBER	46600	87334	\N	\N	\N
215217	730	1998-05-03	VYDAJ	VYBER	46700	82282	\N	\N	\N
215218	730	1998-05-04	VYDAJ	VYBER	6300	75982	\N	\N	\N
215219	730	1998-05-16	VYDAJ	VYBER	40200	74548	\N	\N	\N
215220	730	1998-06-03	VYDAJ	VYBER	5500	69348	\N	\N	\N
215221	730	1998-06-26	VYDAJ	VYBER	62400	69222	\N	\N	\N
215222	730	1998-07-03	PRIJEM	VKLAD	3900	73455	\N	\N	\N
215223	730	1998-08-02	PRIJEM	VKLAD	5300	65521	\N	\N	\N
215224	730	1998-09-01	VYDAJ	VYBER	17100	85770	\N	\N	\N
215225	730	1998-10-01	PRIJEM	VKLAD	5500	56799	\N	\N	\N
215226	730	1998-10-31	PRIJEM	VKLAD	8400	52328	\N	\N	\N
215227	730	1998-11-12	VYDAJ	VYBER	53500	75787	\N	\N	\N
215228	730	1998-11-26	VYDAJ	VYBER	30700	89277	\N	\N	\N
215229	730	1998-11-30	VYDAJ	VYBER	13700	75872	\N	\N	\N
215295	731	1995-07-11	PRIJEM	VKLAD	600	600	\N	\N	\N
215302	731	1995-07-13	PRIJEM	PREVOD Z UCTU	4059	4659	DUCHOD	OP	46369719
215303	731	1995-08-13	PRIJEM	PREVOD Z UCTU	4059	8730	DUCHOD	OP	46369719
215304	731	1995-09-13	PRIJEM	PREVOD Z UCTU	4059	12808	DUCHOD	OP	46369719
215305	731	1995-10-13	PRIJEM	PREVOD Z UCTU	4059	16887	DUCHOD	OP	46369719
215306	731	1995-11-13	PRIJEM	PREVOD Z UCTU	4059	20965	DUCHOD	OP	46369719
215307	731	1995-12-13	PRIJEM	PREVOD Z UCTU	4059	20429	DUCHOD	OP	46369719
215308	731	1996-01-13	PRIJEM	PREVOD Z UCTU	4059	17018	DUCHOD	OP	46369719
215309	731	1996-02-13	PRIJEM	PREVOD Z UCTU	4059	13938	DUCHOD	OP	46369719
215310	731	1996-03-13	PRIJEM	PREVOD Z UCTU	4059	15332	DUCHOD	OP	46369719
215311	731	1996-04-13	PRIJEM	PREVOD Z UCTU	4059	13772	DUCHOD	OP	46369719
215312	731	1996-05-13	PRIJEM	PREVOD Z UCTU	4059	15165	DUCHOD	OP	46369719
215313	731	1996-06-13	PRIJEM	PREVOD Z UCTU	4059	16565	DUCHOD	OP	46369719
215314	731	1996-07-13	PRIJEM	PREVOD Z UCTU	4059	14285	DUCHOD	OP	46369719
215315	731	1996-08-13	PRIJEM	PREVOD Z UCTU	4059	15681	DUCHOD	OP	46369719
215316	731	1996-09-13	PRIJEM	PREVOD Z UCTU	4059	17083	DUCHOD	OP	46369719
215317	731	1996-10-13	PRIJEM	PREVOD Z UCTU	4059	17930	DUCHOD	OP	46369719
215318	731	1996-11-13	PRIJEM	PREVOD Z UCTU	4059	19340	DUCHOD	OP	46369719
215319	731	1996-12-13	PRIJEM	PREVOD Z UCTU	4059	16917	DUCHOD	OP	46369719
215320	731	1997-01-13	PRIJEM	PREVOD Z UCTU	4059	18323	DUCHOD	OP	46369719
215321	731	1997-02-13	PRIJEM	PREVOD Z UCTU	4059	15089	DUCHOD	OP	46369719
215322	731	1997-03-13	PRIJEM	PREVOD Z UCTU	4059	16488	DUCHOD	OP	46369719
215323	731	1997-04-13	PRIJEM	PREVOD Z UCTU	4059	17893	DUCHOD	OP	46369719
215324	731	1997-05-13	PRIJEM	PREVOD Z UCTU	4059	19303	DUCHOD	OP	46369719
215325	731	1997-06-13	PRIJEM	PREVOD Z UCTU	4059	20720	DUCHOD	OP	46369719
215326	731	1997-07-13	PRIJEM	PREVOD Z UCTU	4059	20702	DUCHOD	OP	46369719
215327	731	1997-08-13	PRIJEM	PREVOD Z UCTU	4059	17923	DUCHOD	OP	46369719
215328	731	1997-09-13	PRIJEM	PREVOD Z UCTU	4059	13331	DUCHOD	OP	46369719
215329	731	1997-10-13	PRIJEM	PREVOD Z UCTU	4059	14722	DUCHOD	OP	46369719
215330	731	1997-11-13	PRIJEM	PREVOD Z UCTU	4059	14719	DUCHOD	OP	46369719
215331	731	1997-12-13	PRIJEM	PREVOD Z UCTU	4059	13314	DUCHOD	OP	46369719
215332	731	1998-01-13	PRIJEM	PREVOD Z UCTU	4059	14706	DUCHOD	OP	46369719
215333	731	1998-02-13	PRIJEM	PREVOD Z UCTU	4059	15382	DUCHOD	OP	46369719
215334	731	1998-03-13	PRIJEM	PREVOD Z UCTU	4059	16782	DUCHOD	OP	46369719
215335	731	1998-04-13	PRIJEM	PREVOD Z UCTU	4059	14685	DUCHOD	OP	46369719
215336	731	1998-05-13	PRIJEM	PREVOD Z UCTU	4059	15482	DUCHOD	OP	46369719
215337	731	1998-06-13	PRIJEM	PREVOD Z UCTU	4059	16402	DUCHOD	OP	46369719
215338	731	1998-07-13	PRIJEM	PREVOD Z UCTU	4059	17083	DUCHOD	OP	46369719
215339	731	1998-08-13	PRIJEM	PREVOD Z UCTU	4059	15323	DUCHOD	OP	46369719
215340	731	1998-09-13	PRIJEM	PREVOD Z UCTU	4059	14020	DUCHOD	OP	46369719
215341	731	1998-10-13	PRIJEM	PREVOD Z UCTU	4059	15414	DUCHOD	OP	46369719
215342	731	1998-11-13	PRIJEM	PREVOD Z UCTU	4059	16813	DUCHOD	OP	46369719
215343	731	1998-12-13	PRIJEM	PREVOD Z UCTU	4059	17069	DUCHOD	OP	46369719
215355	731	1995-12-07	VYDAJ	PREVOD NA UCET	2706	16370	SIPO	UV	24144953
215356	731	1996-01-07	VYDAJ	PREVOD NA UCET	2706	15649	SIPO	UV	24144953
215357	731	1996-02-07	VYDAJ	PREVOD NA UCET	2706	9879	SIPO	UV	24144953
215358	731	1996-03-07	VYDAJ	PREVOD NA UCET	2706	11273	SIPO	UV	24144953
215359	731	1996-04-07	VYDAJ	PREVOD NA UCET	2706	9713	SIPO	UV	24144953
215360	731	1996-05-07	VYDAJ	PREVOD NA UCET	2706	11106	SIPO	UV	24144953
215361	731	1996-06-07	VYDAJ	PREVOD NA UCET	2706	12506	SIPO	UV	24144953
215362	731	1996-07-07	VYDAJ	PREVOD NA UCET	2706	10226	SIPO	UV	24144953
215363	731	1996-08-07	VYDAJ	PREVOD NA UCET	2706	11622	SIPO	UV	24144953
215364	731	1996-09-07	VYDAJ	PREVOD NA UCET	2706	13024	SIPO	UV	24144953
215365	731	1996-10-07	VYDAJ	PREVOD NA UCET	2706	13871	SIPO	UV	24144953
215366	731	1996-11-07	VYDAJ	PREVOD NA UCET	2706	15281	SIPO	UV	24144953
215367	731	1996-12-07	VYDAJ	PREVOD NA UCET	2706	12858	SIPO	UV	24144953
215368	731	1997-01-07	VYDAJ	PREVOD NA UCET	2706	14264	SIPO	UV	24144953
215369	731	1997-02-07	VYDAJ	PREVOD NA UCET	2706	11030	SIPO	UV	24144953
215370	731	1997-03-07	VYDAJ	PREVOD NA UCET	2706	12429	SIPO	UV	24144953
215371	731	1997-04-07	VYDAJ	PREVOD NA UCET	2706	13834	SIPO	UV	24144953
215372	731	1997-05-07	VYDAJ	PREVOD NA UCET	2706	15244	SIPO	UV	24144953
215373	731	1997-06-07	VYDAJ	PREVOD NA UCET	2706	16661	SIPO	UV	24144953
215374	731	1997-07-07	VYDAJ	PREVOD NA UCET	2706	16643	SIPO	UV	24144953
215375	731	1997-08-07	VYDAJ	PREVOD NA UCET	2706	13864	SIPO	UV	24144953
215376	731	1997-09-07	VYDAJ	PREVOD NA UCET	2706	9272	SIPO	UV	24144953
215377	731	1997-10-07	VYDAJ	PREVOD NA UCET	2706	10663	SIPO	UV	24144953
215378	731	1997-11-07	VYDAJ	PREVOD NA UCET	2706	10660	SIPO	UV	24144953
215379	731	1997-12-07	VYDAJ	PREVOD NA UCET	2706	9255	SIPO	UV	24144953
215380	731	1998-01-07	VYDAJ	PREVOD NA UCET	2706	10647	SIPO	UV	24144953
215381	731	1998-02-07	VYDAJ	PREVOD NA UCET	2706	11323	SIPO	UV	24144953
215382	731	1998-03-07	VYDAJ	PREVOD NA UCET	2706	12723	SIPO	UV	24144953
215383	731	1998-04-07	VYDAJ	PREVOD NA UCET	2706	10626	SIPO	UV	24144953
215384	731	1998-05-07	VYDAJ	PREVOD NA UCET	2706	11423	SIPO	UV	24144953
215385	731	1998-06-07	VYDAJ	PREVOD NA UCET	2706	12343	SIPO	UV	24144953
215386	731	1998-07-07	VYDAJ	PREVOD NA UCET	2706	13024	SIPO	UV	24144953
215387	731	1998-08-07	VYDAJ	PREVOD NA UCET	2706	11264	SIPO	UV	24144953
215388	731	1998-09-07	VYDAJ	PREVOD NA UCET	2706	9961	SIPO	UV	24144953
215389	731	1998-10-07	VYDAJ	PREVOD NA UCET	2706	11355	SIPO	UV	24144953
215390	731	1998-11-07	VYDAJ	PREVOD NA UCET	2706	12754	SIPO	UV	24144953
215391	731	1998-12-07	VYDAJ	PREVOD NA UCET	2706	13010	SIPO	UV	24144953
215397	731	1996-01-10	VYDAJ	VYBER	1250	14399	\N	\N	\N
215400	731	1995-12-17	VYDAJ	VYBER	700	19729	\N	\N	\N
215403	731	1998-12-04	VYDAJ	VYBER	1150	15716	\N	\N	\N
215410	731	1996-01-14	VYDAJ	VYBER	960	16058	\N	\N	\N
215411	731	1996-01-16	VYDAJ	VYBER	2080	13978	\N	\N	\N
215413	731	1996-01-19	VYDAJ	VYBER	1440	12538	\N	\N	\N
215414	731	1996-01-11	VYDAJ	VYBER	1440	12959	\N	\N	\N
215416	731	1997-01-14	VYDAJ	VYBER	1120	17203	\N	\N	\N
215418	731	1997-01-23	VYDAJ	VYBER	640	15443	\N	\N	\N
215419	731	1997-01-20	VYDAJ	VYBER	1120	16083	\N	\N	\N
215421	731	1997-01-27	VYDAJ	VYBER	1760	13683	\N	\N	\N
215425	731	1998-01-25	VYDAJ	VYBER	720	13986	\N	\N	\N
215431	731	1995-12-27	VYDAJ	VYBER	1440	18289	\N	\N	\N
215433	731	1995-11-18	VYDAJ	VYBER	1920	19045	\N	\N	\N
215434	731	1996-11-30	VYDAJ	VYBER	3840	15578	\N	\N	\N
215435	731	1996-06-22	VYDAJ	VYBER	3680	12885	\N	\N	\N
215436	731	1996-03-31	VYDAJ	VYBER	2960	12434	\N	\N	\N
215437	731	1996-09-28	VYDAJ	VYBER	560	16523	\N	\N	\N
215443	731	1997-06-29	VYDAJ	VYBER	1440	19280	\N	\N	\N
215446	731	1998-06-06	VYDAJ	VYBER	480	15049	\N	\N	\N
215447	731	1998-06-17	VYDAJ	VYBER	720	15682	\N	\N	\N
215448	731	1998-07-14	VYDAJ	VYBER	1840	15243	\N	\N	\N
215449	731	1998-07-18	VYDAJ	VYBER	720	14523	\N	\N	\N
215462	731	1995-11-30	VYDAJ	VYBER	15	19076	SLUZBY	\N	\N
215463	731	1995-12-31	VYDAJ	VYBER	15	18355	SLUZBY	\N	\N
215464	731	1996-01-31	VYDAJ	VYBER	15	12585	SLUZBY	\N	\N
215465	731	1996-02-29	VYDAJ	VYBER	15	13979	SLUZBY	\N	\N
215466	731	1996-03-31	VYDAJ	VYBER	15	12419	SLUZBY	\N	\N
215467	731	1996-04-30	VYDAJ	VYBER	15	13812	SLUZBY	\N	\N
215468	731	1996-05-31	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
215469	731	1996-06-30	VYDAJ	VYBER	15	12932	SLUZBY	\N	\N
215470	731	1996-07-31	VYDAJ	VYBER	15	14328	SLUZBY	\N	\N
215471	731	1996-08-31	VYDAJ	VYBER	15	15730	SLUZBY	\N	\N
215472	731	1996-09-30	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
215473	731	1996-10-31	VYDAJ	VYBER	15	17987	SLUZBY	\N	\N
215474	731	1996-11-30	VYDAJ	VYBER	15	15564	SLUZBY	\N	\N
215475	731	1996-12-31	VYDAJ	VYBER	15	16970	SLUZBY	\N	\N
215476	731	1997-01-31	VYDAJ	VYBER	15	13736	SLUZBY	\N	\N
215477	731	1997-02-28	VYDAJ	VYBER	15	15135	SLUZBY	\N	\N
215478	731	1997-03-31	VYDAJ	VYBER	15	16540	SLUZBY	\N	\N
215479	731	1997-04-30	VYDAJ	VYBER	15	17950	SLUZBY	\N	\N
215480	731	1997-05-31	VYDAJ	VYBER	15	19367	SLUZBY	\N	\N
215481	731	1997-06-30	VYDAJ	VYBER	15	19349	SLUZBY	\N	\N
215482	731	1997-07-31	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
215483	731	1997-08-31	VYDAJ	VYBER	15	11978	SLUZBY	\N	\N
215484	731	1997-09-30	VYDAJ	VYBER	15	13369	SLUZBY	\N	\N
215485	731	1997-10-31	VYDAJ	VYBER	15	13366	SLUZBY	\N	\N
215486	731	1997-11-30	VYDAJ	VYBER	15	11961	SLUZBY	\N	\N
215487	731	1997-12-31	VYDAJ	VYBER	15	13353	SLUZBY	\N	\N
215488	731	1998-01-31	VYDAJ	VYBER	15	14029	SLUZBY	\N	\N
215489	731	1998-02-28	VYDAJ	VYBER	15	15429	SLUZBY	\N	\N
215490	731	1998-03-31	VYDAJ	VYBER	15	13332	SLUZBY	\N	\N
215491	731	1998-04-30	VYDAJ	VYBER	15	14129	SLUZBY	\N	\N
215492	731	1998-05-31	VYDAJ	VYBER	15	15529	SLUZBY	\N	\N
215493	731	1998-06-30	VYDAJ	VYBER	15	15730	SLUZBY	\N	\N
215494	731	1998-07-31	VYDAJ	VYBER	15	13970	SLUZBY	\N	\N
215495	731	1998-08-31	VYDAJ	VYBER	15	12667	SLUZBY	\N	\N
215496	731	1998-09-30	VYDAJ	VYBER	15	14061	SLUZBY	\N	\N
215497	731	1998-10-31	VYDAJ	VYBER	15	15460	SLUZBY	\N	\N
215498	731	1998-11-30	VYDAJ	VYBER	15	16866	SLUZBY	\N	\N
215499	731	1997-07-30	VYDAJ	VYBER	4200	16502	\N	\N	\N
215500	731	1997-08-29	VYDAJ	VYBER	6000	11923	\N	\N	\N
215501	731	1997-10-28	VYDAJ	VYBER	1400	13322	\N	\N	\N
215502	731	1997-11-27	VYDAJ	VYBER	2800	11919	\N	\N	\N
215503	731	1998-03-27	VYDAJ	VYBER	3500	13282	\N	\N	\N
215504	731	1998-04-26	VYDAJ	VYBER	600	14085	\N	\N	\N
215505	731	1998-07-25	VYDAJ	VYBER	600	13923	\N	\N	\N
215506	731	1998-08-24	VYDAJ	VYBER	2700	12623	\N	\N	\N
215549	732	1996-06-07	PRIJEM	VKLAD	600	600	\N	\N	\N
215555	732	1996-06-08	PRIJEM	VKLAD	25400	26000	\N	\N	\N
215556	732	1996-07-08	PRIJEM	VKLAD	16933	40216	\N	\N	\N
215557	732	1996-08-08	PRIJEM	VKLAD	16933	47203	\N	\N	\N
215558	732	1996-09-08	PRIJEM	VKLAD	16933	52026	\N	\N	\N
215559	732	1996-10-08	PRIJEM	VKLAD	16933	54471	\N	\N	\N
215560	732	1996-11-08	PRIJEM	VKLAD	16933	52173	\N	\N	\N
215561	732	1996-12-08	PRIJEM	VKLAD	25400	55985	\N	\N	\N
215562	732	1997-01-08	PRIJEM	VKLAD	16933	49740	\N	\N	\N
215563	732	1997-02-08	PRIJEM	VKLAD	16933	43524	\N	\N	\N
215564	732	1997-03-08	PRIJEM	VKLAD	16933	43941	\N	\N	\N
215565	732	1997-04-08	PRIJEM	VKLAD	16933	41411	\N	\N	\N
215566	732	1997-05-08	PRIJEM	VKLAD	16933	39252	\N	\N	\N
215567	732	1997-06-08	PRIJEM	VKLAD	25400	49976	\N	\N	\N
215568	732	1997-07-08	PRIJEM	VKLAD	16933	43804	\N	\N	\N
215569	732	1997-08-08	PRIJEM	VKLAD	16933	41429	\N	\N	\N
215570	732	1997-09-08	PRIJEM	VKLAD	16933	35935	\N	\N	\N
215571	732	1997-10-08	PRIJEM	VKLAD	16933	36730	\N	\N	\N
215572	732	1997-11-08	PRIJEM	VKLAD	16933	37427	\N	\N	\N
215573	732	1997-12-08	PRIJEM	VKLAD	25400	44953	\N	\N	\N
215574	732	1998-01-08	PRIJEM	VKLAD	16933	40882	\N	\N	\N
215575	732	1998-02-08	PRIJEM	VKLAD	16933	31569	\N	\N	\N
215576	732	1998-03-08	PRIJEM	VKLAD	16933	33760	\N	\N	\N
215577	732	1998-04-08	PRIJEM	VKLAD	16933	36944	\N	\N	\N
215578	732	1998-05-08	PRIJEM	VKLAD	16933	34438	\N	\N	\N
215579	732	1998-06-08	PRIJEM	VKLAD	25400	39086	\N	\N	\N
215580	732	1998-07-08	PRIJEM	VKLAD	16933	36372	\N	\N	\N
215581	732	1998-08-08	PRIJEM	VKLAD	16933	31659	\N	\N	\N
215582	732	1998-09-08	PRIJEM	VKLAD	16933	31828	\N	\N	\N
215583	732	1998-10-08	PRIJEM	VKLAD	16933	30795	\N	\N	\N
215584	732	1998-11-08	PRIJEM	VKLAD	16933	42670	\N	\N	\N
215585	732	1998-12-08	PRIJEM	VKLAD	25400	42781	\N	\N	\N
215595	732	1996-10-14	VYDAJ	PREVOD NA UCET	5129	49342	SIPO	GH	38898217
215596	732	1996-11-14	VYDAJ	PREVOD NA UCET	5129	44404	SIPO	GH	38898217
215597	732	1996-12-14	VYDAJ	PREVOD NA UCET	5129	50856	SIPO	GH	38898217
215598	732	1997-01-14	VYDAJ	PREVOD NA UCET	5129	39211	SIPO	GH	38898217
215599	732	1997-02-14	VYDAJ	PREVOD NA UCET	5129	34555	SIPO	GH	38898217
215600	732	1997-03-14	VYDAJ	PREVOD NA UCET	5129	38812	SIPO	GH	38898217
215601	732	1997-04-14	VYDAJ	PREVOD NA UCET	5129	36282	SIPO	GH	38898217
215602	732	1997-05-14	VYDAJ	PREVOD NA UCET	5129	34123	SIPO	GH	38898217
215603	732	1997-06-14	VYDAJ	PREVOD NA UCET	5129	44847	SIPO	GH	38898217
215604	732	1997-07-14	VYDAJ	PREVOD NA UCET	5129	38675	SIPO	GH	38898217
215605	732	1997-08-14	VYDAJ	PREVOD NA UCET	5129	31380	SIPO	GH	38898217
215606	732	1997-09-14	VYDAJ	PREVOD NA UCET	5129	30806	SIPO	GH	38898217
215607	732	1997-10-14	VYDAJ	PREVOD NA UCET	5129	31601	SIPO	GH	38898217
215608	732	1997-11-14	VYDAJ	PREVOD NA UCET	5129	32298	SIPO	GH	38898217
215609	732	1997-12-14	VYDAJ	PREVOD NA UCET	5129	37544	SIPO	GH	38898217
215610	732	1998-01-14	VYDAJ	PREVOD NA UCET	5129	29873	SIPO	GH	38898217
215611	732	1998-02-14	VYDAJ	PREVOD NA UCET	5129	26440	SIPO	GH	38898217
215612	732	1998-03-14	VYDAJ	PREVOD NA UCET	5129	28631	SIPO	GH	38898217
215613	732	1998-04-14	VYDAJ	PREVOD NA UCET	5129	31815	SIPO	GH	38898217
215614	732	1998-05-14	VYDAJ	PREVOD NA UCET	5129	29309	SIPO	GH	38898217
215615	732	1998-06-14	VYDAJ	PREVOD NA UCET	5129	33957	SIPO	GH	38898217
215616	732	1998-07-14	VYDAJ	PREVOD NA UCET	5129	31243	SIPO	GH	38898217
215617	732	1998-08-14	VYDAJ	PREVOD NA UCET	5129	26530	SIPO	GH	38898217
215618	732	1998-09-14	VYDAJ	PREVOD NA UCET	5129	26699	SIPO	GH	38898217
215619	732	1998-10-14	VYDAJ	PREVOD NA UCET	5129	25666	SIPO	GH	38898217
215620	732	1998-11-14	VYDAJ	PREVOD NA UCET	5129	37541	SIPO	GH	38898217
215621	732	1998-12-14	VYDAJ	PREVOD NA UCET	5129	37652	SIPO	GH	38898217
215622	732	1996-12-18	VYDAJ	VYBER	2240	48616	\N	\N	\N
215623	732	1997-12-02	VYDAJ	VYBER	1440	19553	\N	\N	\N
215631	732	1997-01-22	VYDAJ	VYBER	2280	36091	\N	\N	\N
215632	732	1997-01-17	VYDAJ	VYBER	840	38371	\N	\N	\N
215633	732	1997-01-27	VYDAJ	VYBER	2160	33931	\N	\N	\N
215634	732	1997-01-14	VYDAJ	VYBER	1680	44340	\N	\N	\N
215635	732	1997-01-08	VYDAJ	VYBER	3000	46740	\N	\N	\N
215636	732	1997-01-13	VYDAJ	VYBER	720	46020	\N	\N	\N
215637	732	1998-01-25	VYDAJ	VYBER	3480	23033	\N	\N	\N
215638	732	1998-01-23	VYDAJ	VYBER	2160	27713	\N	\N	\N
215639	732	1998-01-24	VYDAJ	VYBER	1200	26513	\N	\N	\N
215640	732	1998-01-11	VYDAJ	VYBER	3120	37762	\N	\N	\N
215641	732	1998-01-11	VYDAJ	VYBER	2760	35002	\N	\N	\N
215642	732	1998-01-02	VYDAJ	VYBER	3360	23949	\N	\N	\N
215644	732	1996-11-08	VYDAJ	VYBER	2640	49533	\N	\N	\N
215647	732	1997-12-21	VYDAJ	VYBER	960	36584	\N	\N	\N
215648	732	1997-12-11	VYDAJ	VYBER	2280	42673	\N	\N	\N
215649	732	1997-07-05	VYDAJ	VYBER	5640	26871	\N	\N	\N
215650	732	1997-02-15	VYDAJ	VYBER	1680	32875	\N	\N	\N
215651	732	1997-07-22	VYDAJ	VYBER	5520	33155	\N	\N	\N
215652	732	1997-04-05	VYDAJ	VYBER	3480	24478	\N	\N	\N
215653	732	1997-05-30	VYDAJ	VYBER	2280	31843	\N	\N	\N
215654	732	1997-02-14	VYDAJ	VYBER	3840	39684	\N	\N	\N
215655	732	1997-08-11	VYDAJ	VYBER	4920	36509	\N	\N	\N
215656	732	1998-11-30	VYDAJ	VYBER	960	17382	\N	\N	\N
215657	732	1998-02-23	VYDAJ	VYBER	4080	22360	\N	\N	\N
215668	732	1996-10-31	VYDAJ	VYBER	15	49540	SLUZBY	\N	\N
215669	732	1996-11-30	VYDAJ	VYBER	15	44585	SLUZBY	\N	\N
215670	732	1996-12-31	VYDAJ	VYBER	15	48807	SLUZBY	\N	\N
215671	732	1997-01-31	VYDAJ	VYBER	15	34091	SLUZBY	\N	\N
215672	732	1997-02-28	VYDAJ	VYBER	15	33008	SLUZBY	\N	\N
215673	732	1997-03-31	VYDAJ	VYBER	15	38958	SLUZBY	\N	\N
215674	732	1997-04-30	VYDAJ	VYBER	15	36419	SLUZBY	\N	\N
215675	732	1997-05-31	VYDAJ	VYBER	15	31976	SLUZBY	\N	\N
215676	732	1997-06-30	VYDAJ	VYBER	15	45011	SLUZBY	\N	\N
215677	732	1997-07-31	VYDAJ	VYBER	15	33296	SLUZBY	\N	\N
215678	732	1997-08-31	VYDAJ	VYBER	15	31502	SLUZBY	\N	\N
215679	732	1997-09-30	VYDAJ	VYBER	15	19797	SLUZBY	\N	\N
215680	732	1997-10-31	VYDAJ	VYBER	15	20494	SLUZBY	\N	\N
215681	732	1997-11-30	VYDAJ	VYBER	15	20993	SLUZBY	\N	\N
215682	732	1997-12-31	VYDAJ	VYBER	15	27309	SLUZBY	\N	\N
215683	732	1998-01-31	VYDAJ	VYBER	15	14636	SLUZBY	\N	\N
215684	732	1998-02-28	VYDAJ	VYBER	15	16827	SLUZBY	\N	\N
215685	732	1998-03-31	VYDAJ	VYBER	15	20011	SLUZBY	\N	\N
215686	732	1998-04-30	VYDAJ	VYBER	15	17505	SLUZBY	\N	\N
215687	732	1998-05-31	VYDAJ	VYBER	15	13687	SLUZBY	\N	\N
215688	732	1998-06-30	VYDAJ	VYBER	15	19439	SLUZBY	\N	\N
215689	732	1998-07-31	VYDAJ	VYBER	15	14726	SLUZBY	\N	\N
215690	732	1998-08-31	VYDAJ	VYBER	15	14895	SLUZBY	\N	\N
215691	732	1998-09-30	VYDAJ	VYBER	15	13862	SLUZBY	\N	\N
215692	732	1998-10-31	VYDAJ	VYBER	15	25737	SLUZBY	\N	\N
215693	732	1998-11-30	VYDAJ	VYBER	15	18342	SLUZBY	\N	\N
215694	732	1996-07-07	VYDAJ	VYBER	2800	23283	\N	\N	\N
215695	732	1996-08-06	VYDAJ	VYBER	10100	30270	\N	\N	\N
215696	732	1996-09-05	VYDAJ	VYBER	12300	35093	\N	\N	\N
215697	732	1996-10-05	VYDAJ	VYBER	14700	37538	\N	\N	\N
215698	732	1996-11-04	VYDAJ	VYBER	14300	35240	\N	\N	\N
215699	732	1996-12-04	VYDAJ	VYBER	14000	30585	\N	\N	\N
215700	732	1997-01-03	VYDAJ	VYBER	16000	32807	\N	\N	\N
215701	732	1997-02-02	VYDAJ	VYBER	7500	26591	\N	\N	\N
215702	732	1997-03-04	VYDAJ	VYBER	6000	27008	\N	\N	\N
215703	732	1997-04-03	VYDAJ	VYBER	11000	27958	\N	\N	\N
215704	732	1997-05-03	VYDAJ	VYBER	14100	22319	\N	\N	\N
215705	732	1997-06-02	VYDAJ	VYBER	7400	24576	\N	\N	\N
215706	732	1997-07-02	VYDAJ	VYBER	12500	32511	\N	\N	\N
215707	732	1997-08-01	VYDAJ	VYBER	8800	24496	\N	\N	\N
215708	732	1997-08-31	VYDAJ	VYBER	12500	19002	\N	\N	\N
215709	732	1997-09-30	VYDAJ	VYBER	11100	19812	\N	\N	\N
215710	732	1997-10-30	VYDAJ	VYBER	11200	20401	\N	\N	\N
215711	732	1997-11-29	VYDAJ	VYBER	11400	20898	\N	\N	\N
215712	732	1997-12-29	VYDAJ	VYBER	9400	27184	\N	\N	\N
215713	732	1998-01-28	VYDAJ	VYBER	8500	14533	\N	\N	\N
215714	732	1998-02-27	VYDAJ	VYBER	5600	16760	\N	\N	\N
215715	732	1998-03-29	VYDAJ	VYBER	8700	19931	\N	\N	\N
215716	732	1998-04-28	VYDAJ	VYBER	14400	17415	\N	\N	\N
215717	732	1998-05-28	VYDAJ	VYBER	15700	13609	\N	\N	\N
215718	732	1998-06-27	VYDAJ	VYBER	14600	19357	\N	\N	\N
215719	732	1998-07-27	VYDAJ	VYBER	16600	14643	\N	\N	\N
215720	732	1998-08-26	VYDAJ	VYBER	11700	14830	\N	\N	\N
215721	732	1998-09-25	VYDAJ	VYBER	12900	13799	\N	\N	\N
215722	732	1998-11-24	VYDAJ	VYBER	19300	18241	\N	\N	\N
215754	733	1995-05-17	PRIJEM	VKLAD	700	700	\N	\N	\N
215755	733	1995-12-17	PRIJEM	VKLAD	24741	92353	\N	\N	\N
215756	733	1995-07-02	PRIJEM	VKLAD	22933	49511	\N	\N	\N
215757	733	1995-09-21	PRIJEM	VKLAD	34666	94839	\N	\N	\N
215758	733	1995-08-31	PRIJEM	VKLAD	9802	86328	\N	\N	\N
215760	733	1995-08-22	PRIJEM	VKLAD	32899	76248	\N	\N	\N
215761	733	1995-12-05	PRIJEM	VKLAD	19995	46987	\N	\N	\N
215764	733	1995-09-29	PRIJEM	VKLAD	30469	125308	\N	\N	\N
215766	733	1995-07-15	PRIJEM	VKLAD	49440	98951	\N	\N	\N
215769	733	1995-10-12	PRIJEM	VKLAD	48554	128282	\N	\N	\N
215770	733	1995-05-26	PRIJEM	VKLAD	26642	27342	\N	\N	\N
215771	733	1995-09-01	PRIJEM	VKLAD	17575	103873	\N	\N	\N
215772	733	1995-12-20	PRIJEM	VKLAD	31745	132780	\N	\N	\N
215773	733	1995-12-18	PRIJEM	VKLAD	8682	101035	\N	\N	\N
215775	733	1995-12-15	PRIJEM	VKLAD	37225	67612	\N	\N	\N
215776	733	1996-01-24	PRIJEM	VKLAD	39998	56749	\N	\N	\N
215777	733	1996-06-08	PRIJEM	VKLAD	19033	67169	\N	\N	\N
215778	733	1996-09-30	PRIJEM	VKLAD	44905	71596	\N	\N	\N
215779	733	1996-07-25	PRIJEM	VKLAD	26224	70330	\N	\N	\N
215780	733	1996-08-03	PRIJEM	VKLAD	46798	117337	\N	\N	\N
215781	733	1996-05-05	PRIJEM	VKLAD	17881	81904	\N	\N	\N
215782	733	1996-04-23	PRIJEM	VKLAD	13313	63774	\N	\N	\N
215783	733	1996-05-16	PRIJEM	VKLAD	45865	68052	\N	\N	\N
215784	733	1996-06-25	PRIJEM	VKLAD	34300	81769	\N	\N	\N
215785	733	1996-12-08	PRIJEM	VKLAD	46940	71017	\N	\N	\N
215786	733	1996-09-24	PRIJEM	VKLAD	18771	26691	\N	\N	\N
215787	733	1996-10-23	PRIJEM	VKLAD	40357	51802	\N	\N	\N
215788	733	1996-03-13	PRIJEM	VKLAD	33109	67749	\N	\N	\N
215789	733	1997-05-06	PRIJEM	VKLAD	21024	91557	\N	\N	\N
215790	733	1997-12-13	PRIJEM	VKLAD	15396	50118	\N	\N	\N
215791	733	1997-06-25	PRIJEM	VKLAD	42586	90569	\N	\N	\N
215792	733	1997-04-20	PRIJEM	VKLAD	20339	67467	\N	\N	\N
215793	733	1997-08-06	PRIJEM	VKLAD	5008	60204	\N	\N	\N
215794	733	1997-01-31	PRIJEM	VKLAD	23525	53888	\N	\N	\N
215795	733	1997-04-24	PRIJEM	VKLAD	46181	113648	\N	\N	\N
215796	733	1997-07-03	PRIJEM	VKLAD	11607	102421	\N	\N	\N
215797	733	1997-01-25	PRIJEM	VKLAD	6620	43863	\N	\N	\N
215798	733	1997-03-10	PRIJEM	VKLAD	39839	90806	\N	\N	\N
215799	733	1997-02-25	PRIJEM	VKLAD	29227	72576	\N	\N	\N
215800	733	1998-11-23	PRIJEM	VKLAD	19936	71551	\N	\N	\N
215801	733	1998-03-17	PRIJEM	VKLAD	48017	145303	\N	\N	\N
215802	733	1998-09-15	PRIJEM	VKLAD	9141	53164	\N	\N	\N
215803	733	1998-12-01	PRIJEM	VKLAD	27261	86979	\N	\N	\N
215804	733	1998-10-10	PRIJEM	VKLAD	14926	112039	\N	\N	\N
215805	733	1998-06-29	PRIJEM	VKLAD	12644	123238	\N	\N	\N
215806	733	1998-06-10	PRIJEM	VKLAD	48194	135694	\N	\N	\N
215807	733	1998-01-27	PRIJEM	VKLAD	40403	143031	\N	\N	\N
215808	733	1998-02-22	PRIJEM	VKLAD	13189	115475	\N	\N	\N
215809	733	1998-10-18	PRIJEM	VKLAD	41875	153914	\N	\N	\N
215810	733	1998-04-09	PRIJEM	VKLAD	40080	107511	\N	\N	\N
215811	733	1998-04-04	PRIJEM	VKLAD	46704	123331	\N	\N	\N
215812	733	1998-03-23	PRIJEM	VKLAD	18788	140791	\N	\N	\N
215813	733	1998-03-09	PRIJEM	VKLAD	37293	97286	\N	\N	\N
215814	733	1998-09-30	PRIJEM	VKLAD	44061	96925	\N	\N	\N
215815	733	1998-06-03	PRIJEM	VKLAD	39506	87500	\N	\N	\N
215816	733	1998-07-06	PRIJEM	VKLAD	16805	64648	\N	\N	\N
215817	733	1998-02-09	PRIJEM	VKLAD	44623	102286	\N	\N	\N
215818	733	1998-12-08	PRIJEM	VKLAD	21661	85513	\N	\N	\N
215819	733	1998-02-23	PRIJEM	VKLAD	32542	87117	\N	\N	\N
215820	733	1998-04-09	PRIJEM	VKLAD	40835	148346	\N	\N	\N
215821	733	1998-11-26	PRIJEM	VKLAD	6232	77783	\N	\N	\N
215822	733	1998-12-01	PRIJEM	VKLAD	39173	126152	\N	\N	\N
215823	733	1998-02-28	PRIJEM	VKLAD	37436	124823	\N	\N	\N
215824	733	1998-01-09	PRIJEM	VKLAD	15490	57929	\N	\N	\N
215825	733	1998-04-25	PRIJEM	VKLAD	8625	112123	\N	\N	\N
215826	733	1998-04-16	PRIJEM	VKLAD	20152	130298	\N	\N	\N
215827	733	1998-10-29	PRIJEM	VKLAD	41202	126116	\N	\N	\N
215828	733	1998-01-23	PRIJEM	VKLAD	48899	104728	\N	\N	\N
215836	733	1996-07-08	VYBER	VYBER	9273	60506	\N	\N	\N
215837	733	1996-10-17	VYBER	VYBER	18943	11445	\N	\N	\N
215838	733	1996-05-12	VYBER	VYBER	23004	22187	\N	\N	\N
215839	733	1996-08-16	VYBER	VYBER	14366	27065	\N	\N	\N
215840	733	1996-10-07	VYBER	VYBER	24457	28788	\N	\N	\N
215841	733	1996-09-15	VYBER	VYBER	20224	7920	\N	\N	\N
215842	733	1996-06-25	VYBER	VYBER	12186	69583	\N	\N	\N
215843	733	1996-12-04	VYBER	VYBER	14865	17077	\N	\N	\N
215844	733	1996-08-10	VYBER	VYBER	12706	41431	\N	\N	\N
215845	733	1996-05-06	VYBER	VYBER	21313	60591	\N	\N	\N
215846	733	1996-10-23	VYBER	VYBER	17609	34193	\N	\N	\N
215847	733	1996-01-09	VYBER	VYBER	24252	50051	\N	\N	\N
215848	733	1996-10-01	VYBER	VYBER	18415	53245	\N	\N	\N
215849	733	1997-12-18	VYBER	VYBER	4299	45819	\N	\N	\N
215850	733	1997-11-10	VYBER	VYBER	20779	20541	\N	\N	\N
215851	733	1997-08-08	VYBER	VYBER	4766	55438	\N	\N	\N
215852	733	1995-12-11	VYDAJ	VYBER	7800	39187	\N	\N	\N
215853	733	1996-12-29	VYDAJ	VYBER	2700	68317	\N	\N	\N
215854	733	1997-12-30	VYDAJ	VYBER	4800	41019	\N	\N	\N
215855	733	1998-12-10	VYDAJ	VYBER	1500	84013	\N	\N	\N
215862	733	1996-01-21	VYDAJ	VYBER	8400	19151	\N	\N	\N
215863	733	1996-01-04	VYDAJ	VYBER	6900	80603	\N	\N	\N
215864	733	1996-01-22	VYDAJ	VYBER	2400	16751	\N	\N	\N
215865	733	1996-01-19	VYDAJ	VYBER	2400	27551	\N	\N	\N
215866	733	1996-01-07	VYDAJ	VYBER	6300	74303	\N	\N	\N
215867	733	1996-01-13	VYDAJ	VYBER	6300	29951	\N	\N	\N
215868	733	1997-01-30	VYDAJ	VYBER	6600	30363	\N	\N	\N
215869	733	1997-01-10	VYDAJ	VYBER	7800	39043	\N	\N	\N
215870	733	1997-01-30	VYDAJ	VYBER	4200	36963	\N	\N	\N
215871	733	1997-01-19	VYDAJ	VYBER	1800	37243	\N	\N	\N
215872	733	1997-01-07	VYDAJ	VYBER	4800	46843	\N	\N	\N
215873	733	1997-01-30	VYDAJ	VYBER	2700	41163	\N	\N	\N
215874	733	1998-01-28	VYDAJ	VYBER	3600	81331	\N	\N	\N
215875	733	1998-01-29	VYDAJ	VYBER	6600	74731	\N	\N	\N
215876	733	1998-01-25	VYDAJ	VYBER	2100	102628	\N	\N	\N
215877	733	1998-01-06	VYDAJ	VYBER	3900	42439	\N	\N	\N
215878	733	1998-01-30	VYDAJ	VYBER	3300	71431	\N	\N	\N
215879	733	1998-01-13	VYDAJ	VYBER	2100	55829	\N	\N	\N
215880	733	1995-09-09	VYDAJ	VYBER	8100	95773	\N	\N	\N
215881	733	1995-10-09	VYDAJ	VYBER	4800	79728	\N	\N	\N
215882	733	1995-10-16	VYDAJ	VYBER	3300	42682	\N	\N	\N
215883	733	1995-11-07	VYDAJ	VYBER	9000	23699	\N	\N	\N
215884	733	1995-09-14	VYDAJ	VYBER	2100	60173	\N	\N	\N
215885	733	1995-11-06	VYDAJ	VYBER	10200	32699	\N	\N	\N
215886	733	1996-09-06	VYDAJ	VYBER	4200	21544	\N	\N	\N
215887	733	1996-08-17	VYDAJ	VYBER	1500	25565	\N	\N	\N
215888	733	1996-05-24	VYDAJ	VYBER	5400	47952	\N	\N	\N
215889	733	1996-05-18	VYDAJ	VYBER	14700	53352	\N	\N	\N
215890	733	1997-04-13	VYDAJ	VYBER	6900	47128	\N	\N	\N
215891	733	1997-02-28	VYDAJ	VYBER	5700	67067	\N	\N	\N
215892	733	1997-05-06	VYDAJ	VYBER	7800	60057	\N	\N	\N
215893	733	1997-08-11	VYDAJ	VYBER	10800	44638	\N	\N	\N
215894	733	1997-01-31	VYDAJ	VYBER	4200	49849	\N	\N	\N
215895	733	1997-03-30	VYDAJ	VYBER	14100	76706	\N	\N	\N
215896	733	1998-11-16	VYDAJ	VYBER	14100	53115	\N	\N	\N
215897	733	1998-11-18	VYDAJ	VYBER	1500	51615	\N	\N	\N
215898	733	1998-07-17	VYDAJ	VYBER	13200	51448	\N	\N	\N
215899	733	1998-09-11	VYDAJ	VYBER	6000	44023	\N	\N	\N
215900	733	1998-07-03	VYDAJ	VYBER	12000	47843	\N	\N	\N
215909	733	1995-08-31	VYDAJ	VYBER	30	86298	SLUZBY	\N	\N
215910	733	1995-09-30	VYDAJ	VYBER	30	84528	SLUZBY	\N	\N
215911	733	1995-10-31	VYDAJ	VYBER	30	42899	SLUZBY	\N	\N
215912	733	1995-11-30	VYDAJ	VYBER	30	26992	SLUZBY	\N	\N
215913	733	1995-12-31	VYDAJ	VYBER	30	87503	SLUZBY	\N	\N
215914	733	1996-01-31	VYDAJ	VYBER	30	56935	SLUZBY	\N	\N
215915	733	1996-02-29	VYDAJ	VYBER	30	43140	SLUZBY	\N	\N
215916	733	1996-03-31	VYDAJ	VYBER	30	67961	SLUZBY	\N	\N
215917	733	1996-04-30	VYDAJ	VYBER	30	64023	SLUZBY	\N	\N
215918	733	1996-05-31	VYDAJ	VYBER	30	48136	SLUZBY	\N	\N
215919	733	1996-06-30	VYDAJ	VYBER	30	69779	SLUZBY	\N	\N
215920	733	1996-07-31	VYDAJ	VYBER	30	70539	SLUZBY	\N	\N
215921	733	1996-08-31	VYDAJ	VYBER	30	25744	SLUZBY	\N	\N
215922	733	1996-09-30	VYDAJ	VYBER	30	71660	SLUZBY	\N	\N
215923	733	1996-10-31	VYDAJ	VYBER	30	34330	SLUZBY	\N	\N
215924	733	1996-11-30	VYDAJ	VYBER	30	31942	SLUZBY	\N	\N
215925	733	1996-12-31	VYDAJ	VYBER	30	68543	SLUZBY	\N	\N
215926	733	1997-01-31	VYDAJ	VYBER	30	54049	SLUZBY	\N	\N
215927	733	1997-02-28	VYDAJ	VYBER	30	72767	SLUZBY	\N	\N
215928	733	1997-03-31	VYDAJ	VYBER	30	77028	SLUZBY	\N	\N
215929	733	1997-04-30	VYDAJ	VYBER	30	70533	SLUZBY	\N	\N
215930	733	1997-05-31	VYDAJ	VYBER	30	60283	SLUZBY	\N	\N
215931	733	1997-06-30	VYDAJ	VYBER	30	90814	SLUZBY	\N	\N
215932	733	1997-07-31	VYDAJ	VYBER	30	71296	SLUZBY	\N	\N
215933	733	1997-08-31	VYDAJ	VYBER	30	44820	SLUZBY	\N	\N
215934	733	1997-09-30	VYDAJ	VYBER	30	42474	SLUZBY	\N	\N
215935	733	1997-10-31	VYDAJ	VYBER	30	42020	SLUZBY	\N	\N
215936	733	1997-11-30	VYDAJ	VYBER	30	20622	SLUZBY	\N	\N
215937	733	1997-12-31	VYDAJ	VYBER	30	41139	SLUZBY	\N	\N
215938	733	1998-01-31	VYDAJ	VYBER	30	57663	SLUZBY	\N	\N
215939	733	1998-02-28	VYDAJ	VYBER	30	70893	SLUZBY	\N	\N
215940	733	1998-03-31	VYDAJ	VYBER	30	108527	SLUZBY	\N	\N
215941	733	1998-04-30	VYDAJ	VYBER	30	75117	SLUZBY	\N	\N
215942	733	1998-05-31	VYDAJ	VYBER	30	47994	SLUZBY	\N	\N
215943	733	1998-06-30	VYDAJ	VYBER	30	59843	SLUZBY	\N	\N
215944	733	1998-07-31	VYDAJ	VYBER	30	48454	SLUZBY	\N	\N
215945	733	1998-08-31	VYDAJ	VYBER	30	50023	SLUZBY	\N	\N
215946	733	1998-09-30	VYDAJ	VYBER	30	97113	SLUZBY	\N	\N
215947	733	1998-10-31	VYDAJ	VYBER	30	67215	SLUZBY	\N	\N
215948	733	1998-11-30	VYDAJ	VYBER	30	59718	SLUZBY	\N	\N
215949	733	1995-06-16	VYDAJ	VYBER	900	26464	\N	\N	\N
215950	733	1995-07-16	VYDAJ	VYBER	37100	61851	\N	\N	\N
215951	733	1995-08-15	VYDAJ	VYBER	18700	43349	\N	\N	\N
215952	733	1995-09-14	VYDAJ	VYBER	33500	62273	\N	\N	\N
215953	733	1995-09-29	VYDAJ	VYBER	41100	84208	\N	\N	\N
215954	733	1995-10-12	VYDAJ	VYBER	60700	67582	\N	\N	\N
215955	733	1995-10-14	VYDAJ	VYBER	21600	45982	\N	\N	\N
215956	733	1995-11-13	PRIJEM	VKLAD	3200	26899	\N	\N	\N
215957	733	1995-12-13	VYDAJ	VYBER	8800	30387	\N	\N	\N
215958	733	1995-12-20	VYDAJ	VYBER	45500	87280	\N	\N	\N
215959	733	1996-01-12	VYDAJ	VYBER	13800	36251	\N	\N	\N
215960	733	1996-02-11	VYDAJ	VYBER	14000	42935	\N	\N	\N
215961	733	1996-03-12	VYDAJ	VYBER	8500	34640	\N	\N	\N
215962	733	1996-04-11	VYDAJ	VYBER	17500	50461	\N	\N	\N
215963	733	1996-05-11	VYDAJ	VYBER	15400	45191	\N	\N	\N
215964	733	1996-06-10	VYDAJ	VYBER	19700	47469	\N	\N	\N
215965	733	1996-07-10	VYDAJ	VYBER	16400	44106	\N	\N	\N
215966	733	1996-08-03	VYDAJ	VYBER	38500	78837	\N	\N	\N
215967	733	1996-08-09	VYDAJ	VYBER	24700	54137	\N	\N	\N
215968	733	1996-09-08	PRIJEM	VKLAD	6600	28144	\N	\N	\N
215969	733	1996-10-08	PRIJEM	VKLAD	1600	30388	\N	\N	\N
215970	733	1996-11-07	VYDAJ	VYBER	2500	31830	\N	\N	\N
215971	733	1996-12-07	PRIJEM	VKLAD	7000	24077	\N	\N	\N
215972	733	1997-01-06	VYDAJ	VYBER	16900	51643	\N	\N	\N
215973	733	1997-02-05	VYDAJ	VYBER	6500	43349	\N	\N	\N
215974	733	1997-03-07	VYDAJ	VYBER	16100	50967	\N	\N	\N
215975	733	1997-04-06	VYDAJ	VYBER	23000	54028	\N	\N	\N
215976	733	1997-04-24	VYDAJ	VYBER	43400	70248	\N	\N	\N
215977	733	1997-05-06	VYDAJ	VYBER	23700	67857	\N	\N	\N
215978	733	1997-06-05	VYDAJ	VYBER	12300	47983	\N	\N	\N
215979	733	1997-07-05	VYDAJ	VYBER	31400	71021	\N	\N	\N
215980	733	1997-08-04	VYDAJ	VYBER	16100	55196	\N	\N	\N
215981	733	1997-09-03	VYDAJ	VYBER	2500	42320	\N	\N	\N
215982	733	1997-10-03	VYDAJ	VYBER	600	41874	\N	\N	\N
215983	733	1997-11-02	VYDAJ	VYBER	700	41320	\N	\N	\N
215984	733	1997-12-02	PRIJEM	VKLAD	14100	34722	\N	\N	\N
215985	733	1998-01-01	PRIJEM	VKLAD	5200	46339	\N	\N	\N
215986	733	1998-01-27	VYDAJ	VYBER	58100	84931	\N	\N	\N
215987	733	1998-01-31	VYDAJ	VYBER	14000	57693	\N	\N	\N
215988	733	1998-02-22	VYDAJ	VYBER	60900	54575	\N	\N	\N
215989	733	1998-02-28	VYDAJ	VYBER	53900	70923	\N	\N	\N
215990	733	1998-03-02	VYDAJ	VYBER	10900	59993	\N	\N	\N
215991	733	1998-03-17	VYDAJ	VYBER	23300	122003	\N	\N	\N
215992	733	1998-03-23	VYDAJ	VYBER	32700	108091	\N	\N	\N
215993	733	1998-04-01	VYDAJ	VYBER	31900	76627	\N	\N	\N
215994	733	1998-04-04	VYDAJ	VYBER	55900	67431	\N	\N	\N
215995	733	1998-04-09	VYDAJ	VYBER	38200	110146	\N	\N	\N
215996	733	1998-04-16	VYDAJ	VYBER	26800	103498	\N	\N	\N
215997	733	1998-04-25	VYDAJ	VYBER	37400	74723	\N	\N	\N
215998	733	1998-05-01	VYDAJ	VYBER	16500	58617	\N	\N	\N
215999	733	1998-05-31	VYDAJ	VYBER	10900	48024	\N	\N	\N
216000	733	1998-06-10	VYDAJ	VYBER	25100	110594	\N	\N	\N
216001	733	1998-06-29	VYDAJ	VYBER	47000	76238	\N	\N	\N
216002	733	1998-06-30	VYDAJ	VYBER	16800	59873	\N	\N	\N
216003	733	1998-07-30	VYDAJ	VYBER	3200	48248	\N	\N	\N
216004	733	1998-08-29	PRIJEM	VKLAD	1400	49854	\N	\N	\N
216005	733	1998-09-28	VYDAJ	VYBER	300	52864	\N	\N	\N
216006	733	1998-10-18	VYDAJ	VYBER	34700	119214	\N	\N	\N
216007	733	1998-10-28	VYDAJ	VYBER	34300	84914	\N	\N	\N
216008	733	1998-10-29	VYDAJ	VYBER	17500	108616	\N	\N	\N
216009	733	1998-10-31	VYDAJ	VYBER	41800	67245	\N	\N	\N
216010	733	1998-11-27	VYDAJ	VYBER	18300	59483	\N	\N	\N
216011	733	1998-12-01	VYDAJ	VYBER	62300	63852	\N	\N	\N
216056	734	1996-04-08	PRIJEM	VKLAD	300	300	\N	\N	\N
216060	734	1996-04-13	PRIJEM	PREVOD Z UCTU	3410	3710	\N	GH	50193864
216061	734	1996-05-13	PRIJEM	PREVOD Z UCTU	3410	7129	\N	GH	50193864
216062	734	1996-06-13	PRIJEM	PREVOD Z UCTU	3410	10555	\N	GH	50193864
216063	734	1996-07-13	PRIJEM	PREVOD Z UCTU	3410	13980	\N	GH	50193864
216064	734	1996-08-13	PRIJEM	PREVOD Z UCTU	3410	17406	\N	GH	50193864
216065	734	1996-09-13	PRIJEM	PREVOD Z UCTU	3410	18590	\N	GH	50193864
216066	734	1996-10-13	PRIJEM	PREVOD Z UCTU	3410	19833	\N	GH	50193864
216067	734	1996-11-13	PRIJEM	PREVOD Z UCTU	3410	21081	\N	GH	50193864
216068	734	1996-12-13	PRIJEM	PREVOD Z UCTU	3410	21345	\N	GH	50193864
216069	734	1997-01-13	PRIJEM	PREVOD Z UCTU	3410	18847	\N	GH	50193864
216070	734	1997-02-13	PRIJEM	PREVOD Z UCTU	3410	18981	\N	GH	50193864
216071	734	1997-03-13	PRIJEM	PREVOD Z UCTU	3410	19125	\N	GH	50193864
216072	734	1997-04-13	PRIJEM	PREVOD Z UCTU	3410	18899	\N	GH	50193864
216073	734	1997-05-13	PRIJEM	PREVOD Z UCTU	3410	19844	\N	GH	50193864
216074	734	1997-06-13	PRIJEM	PREVOD Z UCTU	3410	18690	\N	GH	50193864
216075	734	1997-07-13	PRIJEM	PREVOD Z UCTU	3410	19934	\N	GH	50193864
216076	734	1997-08-13	PRIJEM	PREVOD Z UCTU	3410	21183	\N	GH	50193864
216077	734	1997-09-13	PRIJEM	PREVOD Z UCTU	3410	22437	\N	GH	50193864
216078	734	1997-10-13	PRIJEM	PREVOD Z UCTU	3410	19635	\N	GH	50193864
216079	734	1997-11-13	PRIJEM	PREVOD Z UCTU	3410	17087	\N	GH	50193864
216080	734	1997-12-13	PRIJEM	PREVOD Z UCTU	3410	17193	\N	GH	50193864
216081	734	1998-01-13	PRIJEM	PREVOD Z UCTU	3410	16839	\N	GH	50193864
216082	734	1998-02-13	PRIJEM	PREVOD Z UCTU	3410	15191	\N	GH	50193864
216083	734	1998-03-13	PRIJEM	PREVOD Z UCTU	3410	15258	\N	GH	50193864
216084	734	1998-04-13	PRIJEM	PREVOD Z UCTU	3410	16487	\N	GH	50193864
216085	734	1998-05-13	PRIJEM	PREVOD Z UCTU	3410	17721	\N	GH	50193864
216086	734	1998-06-13	PRIJEM	PREVOD Z UCTU	3410	13166	\N	GH	50193864
216087	734	1998-07-13	PRIJEM	PREVOD Z UCTU	3410	14385	\N	GH	50193864
216088	734	1998-08-13	PRIJEM	PREVOD Z UCTU	3410	15611	\N	GH	50193864
216089	734	1998-09-13	PRIJEM	PREVOD Z UCTU	3410	16841	\N	GH	50193864
216090	734	1998-10-13	PRIJEM	PREVOD Z UCTU	3410	18076	\N	GH	50193864
216091	734	1998-11-13	PRIJEM	PREVOD Z UCTU	3410	19316	\N	GH	50193864
216092	734	1998-12-13	PRIJEM	PREVOD Z UCTU	3410	18608	\N	GH	50193864
216101	734	1996-09-08	VYDAJ	PREVOD NA UCET	2228	15180	\N	YZ	88755988
216102	734	1996-10-08	VYDAJ	PREVOD NA UCET	2228	16423	\N	YZ	88755988
216103	734	1996-11-08	VYDAJ	PREVOD NA UCET	2228	17671	\N	YZ	88755988
216104	734	1996-12-08	VYDAJ	PREVOD NA UCET	2228	18925	\N	YZ	88755988
216105	734	1997-01-08	VYDAJ	PREVOD NA UCET	2228	17297	\N	YZ	88755988
216106	734	1997-02-08	VYDAJ	PREVOD NA UCET	2228	15571	\N	YZ	88755988
216107	734	1997-03-08	VYDAJ	PREVOD NA UCET	2228	15715	\N	YZ	88755988
216108	734	1997-04-08	VYDAJ	PREVOD NA UCET	2228	15489	\N	YZ	88755988
216109	734	1997-05-08	VYDAJ	PREVOD NA UCET	2228	16434	\N	YZ	88755988
216110	734	1997-06-08	VYDAJ	PREVOD NA UCET	2228	15280	\N	YZ	88755988
216111	734	1997-07-08	VYDAJ	PREVOD NA UCET	2228	16524	\N	YZ	88755988
216112	734	1997-08-08	VYDAJ	PREVOD NA UCET	2228	17773	\N	YZ	88755988
216113	734	1997-09-08	VYDAJ	PREVOD NA UCET	2228	19027	\N	YZ	88755988
216114	734	1997-10-08	VYDAJ	PREVOD NA UCET	2228	16225	\N	YZ	88755988
216115	734	1997-11-08	VYDAJ	PREVOD NA UCET	2228	13677	\N	YZ	88755988
216116	734	1997-12-08	VYDAJ	PREVOD NA UCET	2228	13783	\N	YZ	88755988
216117	734	1998-01-08	VYDAJ	PREVOD NA UCET	2228	13429	\N	YZ	88755988
216118	734	1998-02-08	VYDAJ	PREVOD NA UCET	2228	11781	\N	YZ	88755988
216119	734	1998-03-08	VYDAJ	PREVOD NA UCET	2228	11848	\N	YZ	88755988
216120	734	1998-04-08	VYDAJ	PREVOD NA UCET	2228	13077	\N	YZ	88755988
216121	734	1998-05-08	VYDAJ	PREVOD NA UCET	2228	14311	\N	YZ	88755988
216122	734	1998-06-08	VYDAJ	PREVOD NA UCET	2228	9756	\N	YZ	88755988
216123	734	1998-07-08	VYDAJ	PREVOD NA UCET	2228	10975	\N	YZ	88755988
216124	734	1998-08-08	VYDAJ	PREVOD NA UCET	2228	12201	\N	YZ	88755988
216125	734	1998-09-08	VYDAJ	PREVOD NA UCET	2228	13431	\N	YZ	88755988
216126	734	1998-10-08	VYDAJ	PREVOD NA UCET	2228	14666	\N	YZ	88755988
216127	734	1998-11-08	VYDAJ	PREVOD NA UCET	2228	15906	\N	YZ	88755988
216128	734	1998-12-08	VYDAJ	PREVOD NA UCET	2228	15678	\N	YZ	88755988
216132	734	1996-12-25	VYDAJ	VYBER	540	19455	\N	\N	\N
216133	734	1997-12-20	VYDAJ	VYBER	480	16713	\N	\N	\N
216134	734	1998-12-09	VYDAJ	VYBER	480	15198	\N	\N	\N
216141	734	1997-01-29	VYDAJ	VYBER	210	17737	\N	\N	\N
216142	734	1997-01-22	VYDAJ	VYBER	420	18427	\N	\N	\N
216143	734	1997-01-27	VYDAJ	VYBER	480	17947	\N	\N	\N
216144	734	1997-01-10	VYDAJ	VYBER	810	15437	\N	\N	\N
216145	734	1997-01-09	VYDAJ	VYBER	390	16247	\N	\N	\N
216146	734	1997-01-09	VYDAJ	VYBER	660	16637	\N	\N	\N
216147	734	1998-01-22	VYDAJ	VYBER	660	15189	\N	\N	\N
216148	734	1998-01-16	VYDAJ	VYBER	150	16689	\N	\N	\N
216149	734	1998-01-07	VYDAJ	VYBER	360	15657	\N	\N	\N
216150	734	1998-01-29	VYDAJ	VYBER	840	14349	\N	\N	\N
216151	734	1998-01-20	VYDAJ	VYBER	840	15849	\N	\N	\N
216152	734	1998-01-01	VYDAJ	VYBER	750	16017	\N	\N	\N
216154	734	1996-12-09	VYDAJ	VYBER	990	17935	\N	\N	\N
216155	734	1996-12-23	VYDAJ	VYBER	1350	19995	\N	\N	\N
216159	734	1997-09-13	VYDAJ	VYBER	660	21777	\N	\N	\N
216160	734	1997-03-30	VYDAJ	VYBER	1470	17655	\N	\N	\N
216161	734	1997-11-29	VYDAJ	VYBER	930	16157	\N	\N	\N
216162	734	1998-11-13	VYDAJ	VYBER	1470	17846	\N	\N	\N
216163	734	1998-02-02	VYDAJ	VYBER	390	14009	\N	\N	\N
216164	734	1998-05-20	VYDAJ	VYBER	990	16731	\N	\N	\N
216165	734	1998-02-27	VYDAJ	VYBER	960	14031	\N	\N	\N
216166	734	1998-12-30	VYDAJ	VYBER	1140	17468	\N	\N	\N
216175	734	1996-08-31	VYDAJ	VYBER	15	17408	SLUZBY	\N	\N
216176	734	1996-09-30	VYDAJ	VYBER	15	18651	SLUZBY	\N	\N
216177	734	1996-10-31	VYDAJ	VYBER	15	19899	SLUZBY	\N	\N
216178	734	1996-11-30	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
216179	734	1996-12-31	VYDAJ	VYBER	15	19525	SLUZBY	\N	\N
216180	734	1997-01-31	VYDAJ	VYBER	15	17799	SLUZBY	\N	\N
216181	734	1997-02-28	VYDAJ	VYBER	15	19043	SLUZBY	\N	\N
216182	734	1997-03-31	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
216183	734	1997-04-30	VYDAJ	VYBER	15	18962	SLUZBY	\N	\N
216184	734	1997-05-31	VYDAJ	VYBER	15	19908	SLUZBY	\N	\N
216185	734	1997-06-30	VYDAJ	VYBER	15	18752	SLUZBY	\N	\N
216186	734	1997-07-31	VYDAJ	VYBER	15	20001	SLUZBY	\N	\N
216187	734	1997-08-31	VYDAJ	VYBER	15	21255	SLUZBY	\N	\N
216188	734	1997-09-30	VYDAJ	VYBER	15	21853	SLUZBY	\N	\N
216189	734	1997-10-31	VYDAJ	VYBER	15	15905	SLUZBY	\N	\N
216190	734	1997-11-30	VYDAJ	VYBER	15	16011	SLUZBY	\N	\N
216191	734	1997-12-31	VYDAJ	VYBER	15	16767	SLUZBY	\N	\N
216192	734	1998-01-31	VYDAJ	VYBER	15	14399	SLUZBY	\N	\N
216193	734	1998-02-28	VYDAJ	VYBER	15	14076	SLUZBY	\N	\N
216194	734	1998-03-31	VYDAJ	VYBER	15	15305	SLUZBY	\N	\N
216195	734	1998-04-30	VYDAJ	VYBER	15	16539	SLUZBY	\N	\N
216196	734	1998-05-31	VYDAJ	VYBER	15	11984	SLUZBY	\N	\N
216197	734	1998-06-30	VYDAJ	VYBER	15	13203	SLUZBY	\N	\N
216198	734	1998-07-31	VYDAJ	VYBER	15	14429	SLUZBY	\N	\N
216199	734	1998-08-31	VYDAJ	VYBER	15	15659	SLUZBY	\N	\N
216200	734	1998-09-30	VYDAJ	VYBER	15	16894	SLUZBY	\N	\N
216201	734	1998-10-31	VYDAJ	VYBER	15	18134	SLUZBY	\N	\N
216202	734	1998-11-30	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
216203	734	1997-03-04	VYDAJ	VYBER	1100	17943	\N	\N	\N
216204	734	1997-05-03	VYDAJ	VYBER	300	18662	\N	\N	\N
216205	734	1997-06-02	VYDAJ	VYBER	2400	17508	\N	\N	\N
216206	734	1997-09-30	VYDAJ	VYBER	3400	18453	\N	\N	\N
216207	734	1997-10-30	VYDAJ	VYBER	3800	15835	\N	\N	\N
216208	734	1997-11-29	VYDAJ	VYBER	200	15957	\N	\N	\N
216209	734	1998-02-27	VYDAJ	VYBER	200	14991	\N	\N	\N
216210	734	1998-05-28	VYDAJ	VYBER	4800	11931	\N	\N	\N
216244	735	1997-09-17	PRIJEM	VKLAD	500	500	\N	\N	\N
216254	735	1997-10-13	PRIJEM	PREVOD Z UCTU	6048	6548	DUCHOD	WX	61828738
216255	735	1997-11-13	PRIJEM	PREVOD Z UCTU	6048	12596	DUCHOD	WX	61828738
216256	735	1997-12-13	PRIJEM	PREVOD Z UCTU	6048	18644	DUCHOD	WX	61828738
216257	735	1998-01-13	PRIJEM	PREVOD Z UCTU	6048	24692	DUCHOD	WX	61828738
216258	735	1998-02-13	PRIJEM	PREVOD Z UCTU	6048	30740	DUCHOD	WX	61828738
216259	735	1998-03-13	PRIJEM	PREVOD Z UCTU	6048	33202	DUCHOD	WX	61828738
216260	735	1998-04-13	PRIJEM	PREVOD Z UCTU	6048	34390	DUCHOD	WX	61828738
216261	735	1998-05-13	PRIJEM	PREVOD Z UCTU	6048	32376	DUCHOD	WX	61828738
216262	735	1998-06-13	PRIJEM	PREVOD Z UCTU	6048	23058	DUCHOD	WX	61828738
216263	735	1998-07-13	PRIJEM	PREVOD Z UCTU	6048	25106	DUCHOD	WX	61828738
216264	735	1998-08-13	PRIJEM	PREVOD Z UCTU	6048	22134	DUCHOD	WX	61828738
216265	735	1998-09-13	PRIJEM	PREVOD Z UCTU	6048	24679	DUCHOD	WX	61828738
216266	735	1998-10-13	PRIJEM	PREVOD Z UCTU	6048	27235	DUCHOD	WX	61828738
216267	735	1998-11-13	PRIJEM	PREVOD Z UCTU	6048	29801	DUCHOD	WX	61828738
216268	735	1998-12-13	PRIJEM	PREVOD Z UCTU	6048	30858	DUCHOD	WX	61828738
216283	735	1998-03-05	VYDAJ	PREVOD NA UCET	1389	29341	SIPO	EF	74098461
216284	735	1998-04-05	VYDAJ	PREVOD NA UCET	1389	30529	SIPO	EF	74098461
216285	735	1998-05-05	VYDAJ	PREVOD NA UCET	1389	28515	SIPO	EF	74098461
216286	735	1998-06-05	VYDAJ	PREVOD NA UCET	1389	19197	SIPO	EF	74098461
216287	735	1998-07-05	VYDAJ	PREVOD NA UCET	1389	21245	SIPO	EF	74098461
216288	735	1998-08-05	VYDAJ	PREVOD NA UCET	1389	18273	SIPO	EF	74098461
216289	735	1998-09-05	VYDAJ	PREVOD NA UCET	1389	20818	SIPO	EF	74098461
216290	735	1998-10-05	VYDAJ	PREVOD NA UCET	1389	23374	SIPO	EF	74098461
216291	735	1998-11-05	VYDAJ	PREVOD NA UCET	1389	25940	SIPO	EF	74098461
216292	735	1998-12-05	VYDAJ	PREVOD NA UCET	1389	28517	SIPO	EF	74098461
216307	735	1998-03-12	VYDAJ	PREVOD NA UCET	2187	27154	 	IJ	93383478
216308	735	1998-04-12	VYDAJ	PREVOD NA UCET	2187	28342	 	IJ	93383478
216309	735	1998-05-12	VYDAJ	PREVOD NA UCET	2187	26328	 	IJ	93383478
216310	735	1998-06-12	VYDAJ	PREVOD NA UCET	2187	17010	 	IJ	93383478
216311	735	1998-07-12	VYDAJ	PREVOD NA UCET	2187	19058	 	IJ	93383478
216312	735	1998-08-12	VYDAJ	PREVOD NA UCET	2187	16086	 	IJ	93383478
216313	735	1998-09-12	VYDAJ	PREVOD NA UCET	2187	18631	 	IJ	93383478
216314	735	1998-10-12	VYDAJ	PREVOD NA UCET	2187	21187	 	IJ	93383478
216315	735	1998-11-12	VYDAJ	PREVOD NA UCET	2187	23753	 	IJ	93383478
216316	735	1998-12-12	VYDAJ	PREVOD NA UCET	2187	24810	 	IJ	93383478
216322	735	1998-12-13	VYDAJ	VYBER	800	30058	\N	\N	\N
216342	735	1998-05-16	VYDAJ	VYBER	2880	23296	\N	\N	\N
216343	735	1998-12-05	VYDAJ	VYBER	1520	26997	\N	\N	\N
216344	735	1998-07-20	VYDAJ	VYBER	3440	20466	\N	\N	\N
216345	735	1998-07-21	VYDAJ	VYBER	880	19586	\N	\N	\N
216346	735	1998-05-18	VYDAJ	VYBER	2800	20496	\N	\N	\N
216361	735	1998-02-28	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
216362	735	1998-03-31	VYDAJ	VYBER	15	31918	SLUZBY	\N	\N
216363	735	1998-04-30	VYDAJ	VYBER	15	29904	SLUZBY	\N	\N
216364	735	1998-05-31	VYDAJ	VYBER	15	20586	SLUZBY	\N	\N
216365	735	1998-06-30	VYDAJ	VYBER	15	22634	SLUZBY	\N	\N
216366	735	1998-07-31	VYDAJ	VYBER	15	19662	SLUZBY	\N	\N
216367	735	1998-08-31	VYDAJ	VYBER	15	22207	SLUZBY	\N	\N
216368	735	1998-09-30	VYDAJ	VYBER	15	24763	SLUZBY	\N	\N
216369	735	1998-10-31	VYDAJ	VYBER	15	27329	SLUZBY	\N	\N
216370	735	1998-11-30	VYDAJ	VYBER	15	29906	SLUZBY	\N	\N
216371	735	1998-03-16	VYDAJ	VYBER	1400	31802	\N	\N	\N
216372	735	1998-04-15	VYDAJ	VYBER	4600	29790	\N	\N	\N
216373	735	1998-05-15	VYDAJ	VYBER	6200	26176	\N	\N	\N
216374	735	1998-06-14	VYDAJ	VYBER	500	22558	\N	\N	\N
216375	735	1998-07-14	VYDAJ	VYBER	1200	23906	\N	\N	\N
216387	736	1997-12-07	PRIJEM	VKLAD	500	500	\N	\N	\N
216399	736	1997-12-14	PRIJEM	PREVOD Z UCTU	4031	4531	DUCHOD	WX	1769948
216400	736	1998-01-14	PRIJEM	PREVOD Z UCTU	4031	8573	DUCHOD	WX	1769948
216401	736	1998-02-14	PRIJEM	PREVOD Z UCTU	4031	12623	DUCHOD	WX	1769948
216402	736	1998-03-14	PRIJEM	PREVOD Z UCTU	4031	16673	DUCHOD	WX	1769948
216403	736	1998-04-14	PRIJEM	PREVOD Z UCTU	4031	20723	DUCHOD	WX	1769948
216404	736	1998-05-14	PRIJEM	PREVOD Z UCTU	4031	22641	DUCHOD	WX	1769948
216405	736	1998-06-14	PRIJEM	PREVOD Z UCTU	4031	24630	DUCHOD	WX	1769948
216406	736	1998-07-14	PRIJEM	PREVOD Z UCTU	4031	17158	DUCHOD	WX	1769948
216407	736	1998-08-14	PRIJEM	PREVOD Z UCTU	4031	19123	DUCHOD	WX	1769948
216408	736	1998-09-14	PRIJEM	PREVOD Z UCTU	4031	21097	DUCHOD	WX	1769948
216409	736	1998-10-14	PRIJEM	PREVOD Z UCTU	4031	23079	DUCHOD	WX	1769948
216410	736	1998-11-14	PRIJEM	PREVOD Z UCTU	4031	22346	DUCHOD	WX	1769948
216411	736	1998-12-14	PRIJEM	PREVOD Z UCTU	4031	22981	DUCHOD	WX	1769948
216428	736	1998-05-05	VYDAJ	PREVOD NA UCET	2119	18610	SIPO	GH	78246849
216429	736	1998-06-05	VYDAJ	PREVOD NA UCET	2119	20599	SIPO	GH	78246849
216430	736	1998-07-05	VYDAJ	PREVOD NA UCET	2119	13127	SIPO	GH	78246849
216431	736	1998-08-05	VYDAJ	PREVOD NA UCET	2119	15092	SIPO	GH	78246849
216432	736	1998-09-05	VYDAJ	PREVOD NA UCET	2119	17066	SIPO	GH	78246849
216433	736	1998-10-05	VYDAJ	PREVOD NA UCET	2119	19048	SIPO	GH	78246849
216434	736	1998-11-05	VYDAJ	PREVOD NA UCET	2119	18315	SIPO	GH	78246849
216435	736	1998-12-05	VYDAJ	PREVOD NA UCET	2119	20300	SIPO	GH	78246849
216437	736	1998-06-17	VYDAJ	VYBER	9450	15180	\N	\N	\N
216441	736	1998-12-11	VYDAJ	VYBER	1350	18950	\N	\N	\N
216461	736	1998-11-01	VYDAJ	VYBER	1120	20434	\N	\N	\N
216462	736	1998-10-18	VYDAJ	VYBER	1600	21479	\N	\N	\N
216479	736	1998-04-30	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
216480	736	1998-05-31	VYDAJ	VYBER	15	22718	SLUZBY	\N	\N
216481	736	1998-06-30	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
216482	736	1998-07-31	VYDAJ	VYBER	15	17211	SLUZBY	\N	\N
216483	736	1998-08-31	VYDAJ	VYBER	15	19185	SLUZBY	\N	\N
216484	736	1998-09-30	VYDAJ	VYBER	15	21167	SLUZBY	\N	\N
216485	736	1998-10-31	VYDAJ	VYBER	15	21554	SLUZBY	\N	\N
216486	736	1998-11-30	VYDAJ	VYBER	15	22419	SLUZBY	\N	\N
216500	737	1993-12-08	PRIJEM	VKLAD	700	700	\N	\N	\N
216512	737	1993-12-12	PRIJEM	PREVOD Z UCTU	4497	5197	DUCHOD	YZ	90013026
216513	737	1994-01-12	PRIJEM	PREVOD Z UCTU	4497	9708	DUCHOD	YZ	90013026
216514	737	1994-02-12	PRIJEM	PREVOD Z UCTU	4497	14227	DUCHOD	YZ	90013026
216515	737	1994-03-12	PRIJEM	PREVOD Z UCTU	4497	18745	DUCHOD	YZ	90013026
216516	737	1994-04-12	PRIJEM	PREVOD Z UCTU	4497	23264	DUCHOD	YZ	90013026
216517	737	1994-05-12	PRIJEM	PREVOD Z UCTU	4497	24954	DUCHOD	YZ	90013026
216518	737	1994-06-12	PRIJEM	PREVOD Z UCTU	4497	23520	DUCHOD	YZ	90013026
216519	737	1994-07-12	PRIJEM	PREVOD Z UCTU	4497	25283	DUCHOD	YZ	90013026
216520	737	1994-08-12	PRIJEM	PREVOD Z UCTU	4497	27051	DUCHOD	YZ	90013026
216521	737	1994-09-12	PRIJEM	PREVOD Z UCTU	4497	28827	DUCHOD	YZ	90013026
216522	737	1994-10-12	PRIJEM	PREVOD Z UCTU	4497	30610	DUCHOD	YZ	90013026
216523	737	1994-11-12	PRIJEM	PREVOD Z UCTU	4497	30300	DUCHOD	YZ	90013026
216524	737	1994-12-12	PRIJEM	PREVOD Z UCTU	4497	28430	DUCHOD	YZ	90013026
216525	737	1995-01-12	PRIJEM	PREVOD Z UCTU	4497	27911	DUCHOD	YZ	90013026
216526	737	1995-02-12	PRIJEM	PREVOD Z UCTU	4497	29690	DUCHOD	YZ	90013026
216527	737	1995-03-12	PRIJEM	PREVOD Z UCTU	4497	28476	DUCHOD	YZ	90013026
216528	737	1995-04-12	PRIJEM	PREVOD Z UCTU	4497	25859	DUCHOD	YZ	90013026
216529	737	1995-05-12	PRIJEM	PREVOD Z UCTU	4497	23832	DUCHOD	YZ	90013026
216530	737	1995-06-12	PRIJEM	PREVOD Z UCTU	4497	15735	DUCHOD	YZ	90013026
216531	737	1995-07-12	PRIJEM	PREVOD Z UCTU	4497	17465	DUCHOD	YZ	90013026
216532	737	1995-08-12	PRIJEM	PREVOD Z UCTU	4497	19200	DUCHOD	YZ	90013026
216533	737	1995-09-12	PRIJEM	PREVOD Z UCTU	4497	19419	DUCHOD	YZ	90013026
216534	737	1995-10-12	PRIJEM	PREVOD Z UCTU	4497	20763	DUCHOD	YZ	90013026
216535	737	1995-11-12	PRIJEM	PREVOD Z UCTU	4497	20590	DUCHOD	YZ	90013026
216536	737	1995-12-12	PRIJEM	PREVOD Z UCTU	4497	19057	DUCHOD	YZ	90013026
216537	737	1996-01-12	PRIJEM	PREVOD Z UCTU	4497	20500	DUCHOD	YZ	90013026
216538	737	1996-02-12	PRIJEM	PREVOD Z UCTU	4497	20243	DUCHOD	YZ	90013026
216539	737	1996-03-12	PRIJEM	PREVOD Z UCTU	4497	21990	DUCHOD	YZ	90013026
216540	737	1996-04-12	PRIJEM	PREVOD Z UCTU	4497	23744	DUCHOD	YZ	90013026
216541	737	1996-05-12	PRIJEM	PREVOD Z UCTU	4497	25505	DUCHOD	YZ	90013026
216542	737	1996-06-12	PRIJEM	PREVOD Z UCTU	4497	25873	DUCHOD	YZ	90013026
216543	737	1996-07-12	PRIJEM	PREVOD Z UCTU	4497	20291	DUCHOD	YZ	90013026
216544	737	1996-08-12	PRIJEM	PREVOD Z UCTU	4497	21938	DUCHOD	YZ	90013026
216545	737	1996-09-12	PRIJEM	PREVOD Z UCTU	4497	23691	DUCHOD	YZ	90013026
216546	737	1996-10-12	PRIJEM	PREVOD Z UCTU	4497	25452	DUCHOD	YZ	90013026
216547	737	1996-11-12	PRIJEM	PREVOD Z UCTU	4497	26419	DUCHOD	YZ	90013026
216548	737	1996-12-12	PRIJEM	PREVOD Z UCTU	4497	27791	DUCHOD	YZ	90013026
216549	737	1997-01-12	PRIJEM	PREVOD Z UCTU	4497	25918	DUCHOD	YZ	90013026
216550	737	1997-02-12	PRIJEM	PREVOD Z UCTU	4497	27689	DUCHOD	YZ	90013026
216551	737	1997-03-12	PRIJEM	PREVOD Z UCTU	4497	29466	DUCHOD	YZ	90013026
216552	737	1997-04-12	PRIJEM	PREVOD Z UCTU	4497	28771	DUCHOD	YZ	90013026
216553	737	1997-05-12	PRIJEM	PREVOD Z UCTU	4497	30554	DUCHOD	YZ	90013026
216554	737	1997-06-12	PRIJEM	PREVOD Z UCTU	4497	32343	DUCHOD	YZ	90013026
216555	737	1997-07-12	PRIJEM	PREVOD Z UCTU	4497	25337	DUCHOD	YZ	90013026
216556	737	1997-08-12	PRIJEM	PREVOD Z UCTU	4497	24544	DUCHOD	YZ	90013026
216557	737	1997-09-12	PRIJEM	PREVOD Z UCTU	4497	26311	DUCHOD	YZ	90013026
216558	737	1997-10-12	PRIJEM	PREVOD Z UCTU	4497	23440	DUCHOD	YZ	90013026
216559	737	1997-11-12	PRIJEM	PREVOD Z UCTU	4497	25199	DUCHOD	YZ	90013026
216560	737	1997-12-12	PRIJEM	PREVOD Z UCTU	4497	20656	DUCHOD	YZ	90013026
216561	737	1998-01-12	PRIJEM	PREVOD Z UCTU	4497	22404	DUCHOD	YZ	90013026
216562	737	1998-02-12	PRIJEM	PREVOD Z UCTU	4497	22258	DUCHOD	YZ	90013026
216563	737	1998-03-12	PRIJEM	PREVOD Z UCTU	4497	24012	DUCHOD	YZ	90013026
216564	737	1998-04-12	PRIJEM	PREVOD Z UCTU	4497	25773	DUCHOD	YZ	90013026
216565	737	1998-05-12	PRIJEM	PREVOD Z UCTU	4497	24335	DUCHOD	YZ	90013026
216566	737	1998-06-12	PRIJEM	PREVOD Z UCTU	4497	21547	DUCHOD	YZ	90013026
216567	737	1998-07-12	PRIJEM	PREVOD Z UCTU	4497	23301	DUCHOD	YZ	90013026
216568	737	1998-08-12	PRIJEM	PREVOD Z UCTU	4497	21695	DUCHOD	YZ	90013026
216569	737	1998-09-12	PRIJEM	PREVOD Z UCTU	4497	22805	DUCHOD	YZ	90013026
216570	737	1998-10-12	PRIJEM	PREVOD Z UCTU	4497	24560	DUCHOD	YZ	90013026
216571	737	1998-11-12	PRIJEM	PREVOD Z UCTU	4497	23840	DUCHOD	YZ	90013026
216572	737	1998-12-12	PRIJEM	PREVOD Z UCTU	4497	22414	DUCHOD	YZ	90013026
216589	737	1994-05-08	VYDAJ	PREVOD NA UCET	2817	20457	SIPO	WX	70212787
216590	737	1994-06-08	VYDAJ	PREVOD NA UCET	2817	19023	SIPO	WX	70212787
216591	737	1994-07-08	VYDAJ	PREVOD NA UCET	2817	20786	SIPO	WX	70212787
216592	737	1994-08-08	VYDAJ	PREVOD NA UCET	2817	22554	SIPO	WX	70212787
216593	737	1994-09-08	VYDAJ	PREVOD NA UCET	2817	24330	SIPO	WX	70212787
216594	737	1994-10-08	VYDAJ	PREVOD NA UCET	2817	26113	SIPO	WX	70212787
216595	737	1994-11-08	VYDAJ	PREVOD NA UCET	2817	25803	SIPO	WX	70212787
216596	737	1994-12-08	VYDAJ	PREVOD NA UCET	2817	23933	SIPO	WX	70212787
216597	737	1995-01-08	VYDAJ	PREVOD NA UCET	2817	23414	SIPO	WX	70212787
216598	737	1995-02-08	VYDAJ	PREVOD NA UCET	2817	25193	SIPO	WX	70212787
216599	737	1995-03-08	VYDAJ	PREVOD NA UCET	2817	23979	SIPO	WX	70212787
216600	737	1995-04-08	VYDAJ	PREVOD NA UCET	2817	21362	SIPO	WX	70212787
216601	737	1995-05-08	VYDAJ	PREVOD NA UCET	2817	19335	SIPO	WX	70212787
216602	737	1995-06-08	VYDAJ	PREVOD NA UCET	2817	11238	SIPO	WX	70212787
216603	737	1995-07-08	VYDAJ	PREVOD NA UCET	2817	12968	SIPO	WX	70212787
216604	737	1995-08-08	VYDAJ	PREVOD NA UCET	2817	14703	SIPO	WX	70212787
216605	737	1995-09-08	VYDAJ	PREVOD NA UCET	2817	14922	SIPO	WX	70212787
216606	737	1995-10-08	VYDAJ	PREVOD NA UCET	2817	16266	SIPO	WX	70212787
216607	737	1995-11-08	VYDAJ	PREVOD NA UCET	2817	16093	SIPO	WX	70212787
216608	737	1995-12-08	VYDAJ	PREVOD NA UCET	2817	17040	SIPO	WX	70212787
216609	737	1996-01-08	VYDAJ	PREVOD NA UCET	2817	16003	SIPO	WX	70212787
216610	737	1996-02-08	VYDAJ	PREVOD NA UCET	2817	15746	SIPO	WX	70212787
216611	737	1996-03-08	VYDAJ	PREVOD NA UCET	2817	17493	SIPO	WX	70212787
216612	737	1996-04-08	VYDAJ	PREVOD NA UCET	2817	19247	SIPO	WX	70212787
216613	737	1996-05-08	VYDAJ	PREVOD NA UCET	2817	21008	SIPO	WX	70212787
216614	737	1996-06-08	VYDAJ	PREVOD NA UCET	2817	21376	SIPO	WX	70212787
216615	737	1996-07-08	VYDAJ	PREVOD NA UCET	2817	15794	SIPO	WX	70212787
216616	737	1996-08-08	VYDAJ	PREVOD NA UCET	2817	17441	SIPO	WX	70212787
216617	737	1996-09-08	VYDAJ	PREVOD NA UCET	2817	19194	SIPO	WX	70212787
216618	737	1996-10-08	VYDAJ	PREVOD NA UCET	2817	20955	SIPO	WX	70212787
216619	737	1996-11-08	VYDAJ	PREVOD NA UCET	2817	21922	SIPO	WX	70212787
216620	737	1996-12-08	VYDAJ	PREVOD NA UCET	2817	23294	SIPO	WX	70212787
216621	737	1997-01-08	VYDAJ	PREVOD NA UCET	2817	21421	SIPO	WX	70212787
216622	737	1997-02-08	VYDAJ	PREVOD NA UCET	2817	23192	SIPO	WX	70212787
216623	737	1997-03-08	VYDAJ	PREVOD NA UCET	2817	24969	SIPO	WX	70212787
216624	737	1997-04-08	VYDAJ	PREVOD NA UCET	2817	26754	SIPO	WX	70212787
216625	737	1997-05-08	VYDAJ	PREVOD NA UCET	2817	26057	SIPO	WX	70212787
216626	737	1997-06-08	VYDAJ	PREVOD NA UCET	2817	27846	SIPO	WX	70212787
216627	737	1997-07-08	VYDAJ	PREVOD NA UCET	2817	20840	SIPO	WX	70212787
216628	737	1997-08-08	VYDAJ	PREVOD NA UCET	2817	22607	SIPO	WX	70212787
216629	737	1997-09-08	VYDAJ	PREVOD NA UCET	2817	21814	SIPO	WX	70212787
216630	737	1997-10-08	VYDAJ	PREVOD NA UCET	2817	18943	SIPO	WX	70212787
216631	737	1997-11-08	VYDAJ	PREVOD NA UCET	2817	20702	SIPO	WX	70212787
216632	737	1997-12-08	VYDAJ	PREVOD NA UCET	2817	17259	SIPO	WX	70212787
216633	737	1998-01-08	VYDAJ	PREVOD NA UCET	2817	17907	SIPO	WX	70212787
216634	737	1998-02-08	VYDAJ	PREVOD NA UCET	2817	17761	SIPO	WX	70212787
216635	737	1998-03-08	VYDAJ	PREVOD NA UCET	2817	19515	SIPO	WX	70212787
216636	737	1998-04-08	VYDAJ	PREVOD NA UCET	2817	21276	SIPO	WX	70212787
216637	737	1998-05-08	VYDAJ	PREVOD NA UCET	2817	19838	SIPO	WX	70212787
216638	737	1998-06-08	VYDAJ	PREVOD NA UCET	2817	17050	SIPO	WX	70212787
216639	737	1998-07-08	VYDAJ	PREVOD NA UCET	2817	18804	SIPO	WX	70212787
216640	737	1998-08-08	VYDAJ	PREVOD NA UCET	2817	17198	SIPO	WX	70212787
216641	737	1998-09-08	VYDAJ	PREVOD NA UCET	2817	18308	SIPO	WX	70212787
216642	737	1998-10-08	VYDAJ	PREVOD NA UCET	2817	20063	SIPO	WX	70212787
216643	737	1998-11-08	VYDAJ	PREVOD NA UCET	2817	19343	SIPO	WX	70212787
216644	737	1998-12-08	VYDAJ	PREVOD NA UCET	2817	17917	SIPO	WX	70212787
216648	737	1996-06-29	VYDAJ	VYBER	7350	18523	\N	\N	\N
216649	737	1997-06-29	VYDAJ	VYBER	8800	23543	\N	\N	\N
216650	737	1998-06-01	VYDAJ	VYBER	4550	19867	\N	\N	\N
216653	737	1995-01-01	VYDAJ	VYBER	1450	26231	\N	\N	\N
216654	737	1996-01-13	VYDAJ	VYBER	2000	18500	\N	\N	\N
216655	737	1997-01-07	VYDAJ	VYBER	2500	24238	\N	\N	\N
216656	737	1998-01-29	VYDAJ	VYBER	1900	20504	\N	\N	\N
216658	737	1994-12-18	VYDAJ	VYBER	850	27580	\N	\N	\N
216659	737	1995-12-16	VYDAJ	VYBER	300	18757	\N	\N	\N
216660	737	1996-12-27	VYDAJ	VYBER	1150	26641	\N	\N	\N
216661	737	1997-12-10	VYDAJ	VYBER	1100	16159	\N	\N	\N
216662	737	1998-12-03	VYDAJ	VYBER	700	20734	\N	\N	\N
216671	737	1994-06-03	VYDAJ	VYBER	3200	21840	\N	\N	\N
216672	737	1994-12-07	VYDAJ	VYBER	2160	26750	\N	\N	\N
216674	737	1995-12-10	VYDAJ	VYBER	2480	14560	\N	\N	\N
216675	737	1995-10-25	VYDAJ	VYBER	1920	18843	\N	\N	\N
216676	737	1995-06-02	VYDAJ	VYBER	3680	16935	\N	\N	\N
216677	737	1995-06-06	VYDAJ	VYBER	2880	14055	\N	\N	\N
216679	737	1995-05-29	VYDAJ	VYBER	2000	21832	\N	\N	\N
216680	737	1995-08-15	VYDAJ	VYBER	1520	17680	\N	\N	\N
216681	737	1995-11-16	VYDAJ	VYBER	800	19790	\N	\N	\N
216682	737	1997-09-28	VYDAJ	VYBER	3200	21671	\N	\N	\N
216683	737	1997-09-25	VYDAJ	VYBER	1440	24871	\N	\N	\N
216684	737	1997-04-09	VYDAJ	VYBER	2480	24274	\N	\N	\N
216685	737	1997-11-16	VYDAJ	VYBER	3600	21599	\N	\N	\N
216686	737	1997-08-11	VYDAJ	VYBER	2560	20047	\N	\N	\N
216687	737	1997-11-23	VYDAJ	VYBER	1600	19999	\N	\N	\N
216688	737	1998-04-16	VYDAJ	VYBER	3200	22573	\N	\N	\N
216689	737	1998-11-13	VYDAJ	VYBER	2480	21360	\N	\N	\N
216690	737	1998-10-23	VYDAJ	VYBER	2480	22080	\N	\N	\N
216691	737	1998-07-23	VYDAJ	VYBER	3360	19941	\N	\N	\N
216692	737	1998-08-21	VYDAJ	VYBER	640	21055	\N	\N	\N
216709	737	1994-04-30	VYDAJ	VYBER	15	23274	SLUZBY	\N	\N
216710	737	1994-05-31	VYDAJ	VYBER	15	25040	SLUZBY	\N	\N
216711	737	1994-06-30	VYDAJ	VYBER	15	23603	SLUZBY	\N	\N
216712	737	1994-07-31	VYDAJ	VYBER	15	25371	SLUZBY	\N	\N
216713	737	1994-08-31	VYDAJ	VYBER	15	27147	SLUZBY	\N	\N
216714	737	1994-09-30	VYDAJ	VYBER	15	28930	SLUZBY	\N	\N
216715	737	1994-10-31	VYDAJ	VYBER	15	30720	SLUZBY	\N	\N
216716	737	1994-11-30	VYDAJ	VYBER	15	30410	SLUZBY	\N	\N
216717	737	1994-12-31	VYDAJ	VYBER	15	27681	SLUZBY	\N	\N
216718	737	1995-01-31	VYDAJ	VYBER	15	28010	SLUZBY	\N	\N
216719	737	1995-02-28	VYDAJ	VYBER	15	29796	SLUZBY	\N	\N
216720	737	1995-03-31	VYDAJ	VYBER	15	28579	SLUZBY	\N	\N
216721	737	1995-04-30	VYDAJ	VYBER	15	25952	SLUZBY	\N	\N
216722	737	1995-05-31	VYDAJ	VYBER	15	21915	SLUZBY	\N	\N
216723	737	1995-06-30	VYDAJ	VYBER	15	15785	SLUZBY	\N	\N
216724	737	1995-07-31	VYDAJ	VYBER	15	17520	SLUZBY	\N	\N
216725	737	1995-08-31	VYDAJ	VYBER	15	17739	SLUZBY	\N	\N
216726	737	1995-09-30	VYDAJ	VYBER	15	19083	SLUZBY	\N	\N
216727	737	1995-10-31	VYDAJ	VYBER	15	18910	SLUZBY	\N	\N
216728	737	1995-11-30	VYDAJ	VYBER	15	19857	SLUZBY	\N	\N
216729	737	1995-12-31	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
216730	737	1996-01-31	VYDAJ	VYBER	15	18563	SLUZBY	\N	\N
216731	737	1996-02-29	VYDAJ	VYBER	15	20310	SLUZBY	\N	\N
216732	737	1996-03-31	VYDAJ	VYBER	15	22064	SLUZBY	\N	\N
216733	737	1996-04-30	VYDAJ	VYBER	15	23825	SLUZBY	\N	\N
216734	737	1996-05-31	VYDAJ	VYBER	15	24193	SLUZBY	\N	\N
216735	737	1996-06-30	VYDAJ	VYBER	15	18611	SLUZBY	\N	\N
216736	737	1996-07-31	VYDAJ	VYBER	15	20258	SLUZBY	\N	\N
216737	737	1996-08-31	VYDAJ	VYBER	15	22011	SLUZBY	\N	\N
216738	737	1996-09-30	VYDAJ	VYBER	15	23772	SLUZBY	\N	\N
216739	737	1996-10-31	VYDAJ	VYBER	15	24739	SLUZBY	\N	\N
216740	737	1996-11-30	VYDAJ	VYBER	15	26111	SLUZBY	\N	\N
216741	737	1996-12-31	VYDAJ	VYBER	15	26738	SLUZBY	\N	\N
216742	737	1997-01-31	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
216743	737	1997-02-28	VYDAJ	VYBER	15	27786	SLUZBY	\N	\N
216744	737	1997-03-31	VYDAJ	VYBER	15	29571	SLUZBY	\N	\N
216745	737	1997-04-30	VYDAJ	VYBER	15	28874	SLUZBY	\N	\N
216746	737	1997-05-31	VYDAJ	VYBER	15	30663	SLUZBY	\N	\N
216747	737	1997-06-30	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
216748	737	1997-07-31	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
216749	737	1997-08-31	VYDAJ	VYBER	15	24631	SLUZBY	\N	\N
216750	737	1997-09-30	VYDAJ	VYBER	15	21760	SLUZBY	\N	\N
216751	737	1997-10-31	VYDAJ	VYBER	15	23519	SLUZBY	\N	\N
216752	737	1997-11-30	VYDAJ	VYBER	15	20076	SLUZBY	\N	\N
216753	737	1997-12-31	VYDAJ	VYBER	15	20724	SLUZBY	\N	\N
216754	737	1998-01-31	VYDAJ	VYBER	15	20578	SLUZBY	\N	\N
216755	737	1998-02-28	VYDAJ	VYBER	15	22332	SLUZBY	\N	\N
216756	737	1998-03-31	VYDAJ	VYBER	15	24093	SLUZBY	\N	\N
216757	737	1998-04-30	VYDAJ	VYBER	15	22655	SLUZBY	\N	\N
216758	737	1998-05-31	VYDAJ	VYBER	15	24417	SLUZBY	\N	\N
216759	737	1998-06-30	VYDAJ	VYBER	15	21621	SLUZBY	\N	\N
216760	737	1998-07-31	VYDAJ	VYBER	15	20015	SLUZBY	\N	\N
216761	737	1998-08-31	VYDAJ	VYBER	15	21125	SLUZBY	\N	\N
216762	737	1998-09-30	VYDAJ	VYBER	15	22880	SLUZBY	\N	\N
216763	737	1998-10-31	VYDAJ	VYBER	15	22160	SLUZBY	\N	\N
216764	737	1998-11-30	VYDAJ	VYBER	15	21434	SLUZBY	\N	\N
216765	737	1994-11-03	VYDAJ	VYBER	2100	28620	\N	\N	\N
216766	737	1994-12-03	VYDAJ	VYBER	1500	28910	\N	\N	\N
216767	737	1995-03-03	VYDAJ	VYBER	3000	26796	\N	\N	\N
216768	737	1995-04-02	VYDAJ	VYBER	4400	24179	\N	\N	\N
216769	737	1995-05-02	VYDAJ	VYBER	3800	22152	\N	\N	\N
216770	737	1995-06-01	VYDAJ	VYBER	1300	20615	\N	\N	\N
216771	737	1995-09-29	VYDAJ	VYBER	400	19019	\N	\N	\N
216772	737	1996-05-26	VYDAJ	VYBER	1400	24105	\N	\N	\N
216773	737	1996-07-25	VYDAJ	VYBER	100	20191	\N	\N	\N
216774	737	1996-10-23	VYDAJ	VYBER	800	24652	\N	\N	\N
216775	737	1996-11-22	VYDAJ	VYBER	400	26019	\N	\N	\N
216837	738	1993-06-21	PRIJEM	VKLAD	300	300	\N	\N	\N
216844	738	1993-07-05	PRIJEM	VKLAD	23347	23647	\N	\N	\N
216845	738	1993-08-05	PRIJEM	VKLAD	23347	49833	\N	\N	\N
216846	738	1993-09-05	PRIJEM	VKLAD	23347	60808	\N	\N	\N
216847	738	1993-10-05	PRIJEM	VKLAD	23347	65919	\N	\N	\N
216848	738	1993-11-05	PRIJEM	VKLAD	23347	66944	\N	\N	\N
216849	738	1993-12-05	PRIJEM	VKLAD	35020	79946	\N	\N	\N
216850	738	1994-01-05	PRIJEM	VKLAD	23347	69102	\N	\N	\N
216851	738	1994-02-05	PRIJEM	VKLAD	23347	61819	\N	\N	\N
216852	738	1994-03-05	PRIJEM	VKLAD	23347	65027	\N	\N	\N
216853	738	1994-04-05	PRIJEM	VKLAD	23347	66947	\N	\N	\N
216854	738	1994-05-05	PRIJEM	VKLAD	23347	67071	\N	\N	\N
216855	738	1994-06-05	PRIJEM	VKLAD	35020	78666	\N	\N	\N
216856	738	1994-07-05	PRIJEM	VKLAD	23347	66181	\N	\N	\N
216857	738	1994-08-05	PRIJEM	VKLAD	23347	66095	\N	\N	\N
216858	738	1994-09-05	PRIJEM	VKLAD	23347	64005	\N	\N	\N
216859	738	1994-10-05	PRIJEM	VKLAD	23347	67616	\N	\N	\N
216860	738	1994-11-05	PRIJEM	VKLAD	23347	67533	\N	\N	\N
216861	738	1994-12-05	PRIJEM	VKLAD	35020	74512	\N	\N	\N
216862	738	1995-01-05	PRIJEM	VKLAD	23347	71843	\N	\N	\N
216863	738	1995-02-05	PRIJEM	VKLAD	23347	67162	\N	\N	\N
216864	738	1995-03-05	PRIJEM	VKLAD	23347	70881	\N	\N	\N
216865	738	1995-04-05	PRIJEM	VKLAD	23347	71110	\N	\N	\N
216866	738	1995-05-05	PRIJEM	VKLAD	23347	70343	\N	\N	\N
216867	738	1995-06-05	PRIJEM	VKLAD	35020	83743	\N	\N	\N
216868	738	1995-07-05	PRIJEM	VKLAD	23347	65575	\N	\N	\N
216869	738	1995-08-05	PRIJEM	VKLAD	23347	70589	\N	\N	\N
216870	738	1995-09-05	PRIJEM	VKLAD	23347	70307	\N	\N	\N
216871	738	1995-10-05	PRIJEM	VKLAD	23347	72730	\N	\N	\N
216872	738	1995-11-05	PRIJEM	VKLAD	23347	69350	\N	\N	\N
216873	738	1995-12-05	PRIJEM	VKLAD	35020	83640	\N	\N	\N
216874	738	1996-01-05	PRIJEM	VKLAD	23347	76183	\N	\N	\N
216875	738	1996-02-05	PRIJEM	VKLAD	23347	67605	\N	\N	\N
216876	738	1996-03-05	PRIJEM	VKLAD	23347	76334	\N	\N	\N
216877	738	1996-04-05	PRIJEM	VKLAD	23347	80081	\N	\N	\N
216878	738	1996-05-05	PRIJEM	VKLAD	23347	80132	\N	\N	\N
216879	738	1996-06-05	PRIJEM	VKLAD	35020	95573	\N	\N	\N
216880	738	1996-07-05	PRIJEM	VKLAD	23347	82639	\N	\N	\N
216881	738	1996-08-05	PRIJEM	VKLAD	23347	80597	\N	\N	\N
216882	738	1996-09-05	PRIJEM	VKLAD	23347	90314	\N	\N	\N
216883	738	1996-10-05	PRIJEM	VKLAD	23347	92074	\N	\N	\N
216884	738	1996-11-05	PRIJEM	VKLAD	23347	92846	\N	\N	\N
216885	738	1996-12-05	PRIJEM	VKLAD	35020	100586	\N	\N	\N
216886	738	1997-01-05	PRIJEM	VKLAD	23347	89471	\N	\N	\N
216887	738	1997-02-05	PRIJEM	VKLAD	23347	84314	\N	\N	\N
216888	738	1997-03-05	PRIJEM	VKLAD	23347	90144	\N	\N	\N
216889	738	1997-04-05	PRIJEM	VKLAD	23347	90905	\N	\N	\N
216890	738	1997-05-05	PRIJEM	VKLAD	23347	84659	\N	\N	\N
216891	738	1997-06-05	PRIJEM	VKLAD	35020	97469	\N	\N	\N
216892	738	1997-07-05	PRIJEM	VKLAD	23347	88623	\N	\N	\N
216893	738	1997-08-05	PRIJEM	VKLAD	23347	87864	\N	\N	\N
216894	738	1997-09-05	PRIJEM	VKLAD	23347	87600	\N	\N	\N
216895	738	1997-10-05	PRIJEM	VKLAD	23347	88734	\N	\N	\N
216896	738	1997-11-05	PRIJEM	VKLAD	23347	89771	\N	\N	\N
216897	738	1997-12-05	PRIJEM	VKLAD	35020	102385	\N	\N	\N
216898	738	1998-01-05	PRIJEM	VKLAD	23347	95666	\N	\N	\N
216899	738	1998-02-05	PRIJEM	VKLAD	23347	89718	\N	\N	\N
216900	738	1998-03-05	PRIJEM	VKLAD	23347	96260	\N	\N	\N
216901	738	1998-04-05	PRIJEM	VKLAD	23347	95323	\N	\N	\N
216902	738	1998-05-05	PRIJEM	VKLAD	23347	96384	\N	\N	\N
216903	738	1998-06-05	PRIJEM	VKLAD	35020	111021	\N	\N	\N
216904	738	1998-07-05	PRIJEM	VKLAD	23347	89084	\N	\N	\N
216905	738	1998-08-05	PRIJEM	VKLAD	23347	91915	\N	\N	\N
216906	738	1998-09-05	PRIJEM	VKLAD	23347	91152	\N	\N	\N
216907	738	1998-10-05	PRIJEM	VKLAD	23347	84280	\N	\N	\N
216908	738	1998-11-05	PRIJEM	VKLAD	23347	82881	\N	\N	\N
216909	738	1998-12-05	PRIJEM	VKLAD	35020	92050	\N	\N	\N
216920	738	1993-11-13	VYDAJ	PREVOD NA UCET	970	62221	SIPO	EF	52158653
216921	738	1993-12-13	VYDAJ	PREVOD NA UCET	970	73923	SIPO	EF	52158653
216922	738	1994-01-13	VYDAJ	PREVOD NA UCET	970	64379	SIPO	EF	52158653
216923	738	1994-02-13	VYDAJ	PREVOD NA UCET	970	57096	SIPO	EF	52158653
216924	738	1994-03-13	VYDAJ	PREVOD NA UCET	970	60304	SIPO	EF	52158653
216925	738	1994-04-13	VYDAJ	PREVOD NA UCET	970	62224	SIPO	EF	52158653
216926	738	1994-05-13	VYDAJ	PREVOD NA UCET	970	62348	SIPO	EF	52158653
216927	738	1994-06-13	VYDAJ	PREVOD NA UCET	970	55643	SIPO	EF	52158653
216928	738	1994-07-13	VYDAJ	PREVOD NA UCET	970	57558	SIPO	EF	52158653
216929	738	1994-08-13	VYDAJ	PREVOD NA UCET	970	61372	SIPO	EF	52158653
216930	738	1994-09-13	VYDAJ	PREVOD NA UCET	970	59282	SIPO	EF	52158653
216931	738	1994-10-13	VYDAJ	PREVOD NA UCET	970	62893	SIPO	EF	52158653
216932	738	1994-11-13	VYDAJ	PREVOD NA UCET	970	43610	SIPO	EF	52158653
216933	738	1994-12-13	VYDAJ	PREVOD NA UCET	970	69789	SIPO	EF	52158653
216934	738	1995-01-13	VYDAJ	PREVOD NA UCET	970	47420	SIPO	EF	52158653
216935	738	1995-02-13	VYDAJ	PREVOD NA UCET	970	47339	SIPO	EF	52158653
216936	738	1995-03-13	VYDAJ	PREVOD NA UCET	970	66158	SIPO	EF	52158653
216937	738	1995-04-13	VYDAJ	PREVOD NA UCET	970	50087	SIPO	EF	52158653
216938	738	1995-05-13	VYDAJ	PREVOD NA UCET	970	48520	SIPO	EF	52158653
216939	738	1995-06-13	VYDAJ	PREVOD NA UCET	970	47720	SIPO	EF	52158653
216940	738	1995-07-13	VYDAJ	PREVOD NA UCET	970	47052	SIPO	EF	52158653
216941	738	1995-08-13	VYDAJ	PREVOD NA UCET	970	46766	SIPO	EF	52158653
216942	738	1995-09-13	VYDAJ	PREVOD NA UCET	970	49184	SIPO	EF	52158653
216943	738	1995-10-13	VYDAJ	PREVOD NA UCET	970	50407	SIPO	EF	52158653
216944	738	1995-11-13	VYDAJ	PREVOD NA UCET	970	48427	SIPO	EF	52158653
216945	738	1995-12-13	VYDAJ	PREVOD NA UCET	970	55917	SIPO	EF	52158653
216946	738	1996-01-13	VYDAJ	PREVOD NA UCET	970	50460	SIPO	EF	52158653
216947	738	1996-02-13	VYDAJ	PREVOD NA UCET	970	52782	SIPO	EF	52158653
216948	738	1996-03-13	VYDAJ	PREVOD NA UCET	970	56511	SIPO	EF	52158653
216949	738	1996-04-13	VYDAJ	PREVOD NA UCET	970	58258	SIPO	EF	52158653
216950	738	1996-05-13	VYDAJ	PREVOD NA UCET	970	61609	SIPO	EF	52158653
216951	738	1996-06-13	VYDAJ	PREVOD NA UCET	970	63050	SIPO	EF	52158653
216952	738	1996-07-13	VYDAJ	PREVOD NA UCET	970	59816	SIPO	EF	52158653
216953	738	1996-08-13	VYDAJ	PREVOD NA UCET	970	75874	SIPO	EF	52158653
216954	738	1996-09-13	VYDAJ	PREVOD NA UCET	970	85591	SIPO	EF	52158653
216955	738	1996-10-13	VYDAJ	PREVOD NA UCET	970	87351	SIPO	EF	52158653
216956	738	1996-11-13	VYDAJ	PREVOD NA UCET	970	88123	SIPO	EF	52158653
216957	738	1996-12-13	VYDAJ	PREVOD NA UCET	970	93363	SIPO	EF	52158653
216958	738	1997-01-13	VYDAJ	PREVOD NA UCET	970	84248	SIPO	EF	52158653
216959	738	1997-02-13	VYDAJ	PREVOD NA UCET	970	79591	SIPO	EF	52158653
216960	738	1997-03-13	VYDAJ	PREVOD NA UCET	970	85421	SIPO	EF	52158653
216961	738	1997-04-13	VYDAJ	PREVOD NA UCET	970	81482	SIPO	EF	52158653
216962	738	1997-05-13	VYDAJ	PREVOD NA UCET	970	79336	SIPO	EF	52158653
216963	738	1997-06-13	VYDAJ	PREVOD NA UCET	970	92746	SIPO	EF	52158653
216964	738	1997-07-13	VYDAJ	PREVOD NA UCET	970	83900	SIPO	EF	52158653
216965	738	1997-08-13	VYDAJ	PREVOD NA UCET	970	83141	SIPO	EF	52158653
216966	738	1997-09-13	VYDAJ	PREVOD NA UCET	970	82877	SIPO	EF	52158653
216967	738	1997-10-13	VYDAJ	PREVOD NA UCET	970	84011	SIPO	EF	52158653
216968	738	1997-11-13	VYDAJ	PREVOD NA UCET	970	85048	SIPO	EF	52158653
216969	738	1997-12-13	VYDAJ	PREVOD NA UCET	970	97662	SIPO	EF	52158653
216970	738	1998-01-13	VYDAJ	PREVOD NA UCET	970	90943	SIPO	EF	52158653
216971	738	1998-02-13	VYDAJ	PREVOD NA UCET	970	84995	SIPO	EF	52158653
216972	738	1998-03-13	VYDAJ	PREVOD NA UCET	970	91537	SIPO	EF	52158653
216973	738	1998-04-13	VYDAJ	PREVOD NA UCET	970	90600	SIPO	EF	52158653
216974	738	1998-05-13	VYDAJ	PREVOD NA UCET	970	91661	SIPO	EF	52158653
216975	738	1998-06-13	VYDAJ	PREVOD NA UCET	970	106298	SIPO	EF	52158653
216976	738	1998-07-13	VYDAJ	PREVOD NA UCET	970	84361	SIPO	EF	52158653
216977	738	1998-08-13	VYDAJ	PREVOD NA UCET	970	87192	SIPO	EF	52158653
216978	738	1998-09-13	VYDAJ	PREVOD NA UCET	970	86429	SIPO	EF	52158653
216979	738	1998-10-13	VYDAJ	PREVOD NA UCET	970	79557	SIPO	EF	52158653
216980	738	1998-11-13	VYDAJ	PREVOD NA UCET	970	78158	SIPO	EF	52158653
216981	738	1998-12-13	VYDAJ	PREVOD NA UCET	970	87327	SIPO	EF	52158653
216992	738	1993-11-05	VYDAJ	PREVOD NA UCET	82	66862	 	OP	91551339
216993	738	1993-12-05	VYDAJ	PREVOD NA UCET	82	79864	 	OP	91551339
216994	738	1994-01-05	VYDAJ	PREVOD NA UCET	82	69020	 	OP	91551339
216995	738	1994-02-05	VYDAJ	PREVOD NA UCET	82	61737	 	OP	91551339
216996	738	1994-03-05	VYDAJ	PREVOD NA UCET	82	64945	 	OP	91551339
216997	738	1994-04-05	VYDAJ	PREVOD NA UCET	82	66865	 	OP	91551339
216998	738	1994-05-05	VYDAJ	PREVOD NA UCET	82	66989	 	OP	91551339
216999	738	1994-06-05	VYDAJ	PREVOD NA UCET	82	78584	 	OP	91551339
217000	738	1994-07-05	VYDAJ	PREVOD NA UCET	82	66099	 	OP	91551339
217001	738	1994-08-05	VYDAJ	PREVOD NA UCET	82	66013	 	OP	91551339
217002	738	1994-09-05	VYDAJ	PREVOD NA UCET	82	63923	 	OP	91551339
217003	738	1994-10-05	VYDAJ	PREVOD NA UCET	82	67534	 	OP	91551339
217004	738	1994-11-05	VYDAJ	PREVOD NA UCET	82	67451	 	OP	91551339
217005	738	1994-12-05	VYDAJ	PREVOD NA UCET	82	74430	 	OP	91551339
217006	738	1995-01-05	VYDAJ	PREVOD NA UCET	82	70061	 	OP	91551339
217007	738	1995-02-05	VYDAJ	PREVOD NA UCET	82	67080	 	OP	91551339
217008	738	1995-03-05	VYDAJ	PREVOD NA UCET	82	70799	 	OP	91551339
217009	738	1995-04-05	VYDAJ	PREVOD NA UCET	82	71028	 	OP	91551339
217010	738	1995-05-05	VYDAJ	PREVOD NA UCET	82	70261	 	OP	91551339
217011	738	1995-06-05	VYDAJ	PREVOD NA UCET	82	83661	 	OP	91551339
217012	738	1995-07-05	VYDAJ	PREVOD NA UCET	82	65493	 	OP	91551339
217013	738	1995-08-05	VYDAJ	PREVOD NA UCET	82	70507	 	OP	91551339
217014	738	1995-09-05	VYDAJ	PREVOD NA UCET	82	70225	 	OP	91551339
217015	738	1995-10-05	VYDAJ	PREVOD NA UCET	82	72648	 	OP	91551339
217016	738	1995-11-05	VYDAJ	PREVOD NA UCET	82	69268	 	OP	91551339
217017	738	1995-12-05	VYDAJ	PREVOD NA UCET	82	83558	 	OP	91551339
217018	738	1996-01-05	VYDAJ	PREVOD NA UCET	82	76101	 	OP	91551339
217019	738	1996-02-05	VYDAJ	PREVOD NA UCET	82	67523	 	OP	91551339
217020	738	1996-03-05	VYDAJ	PREVOD NA UCET	82	76252	 	OP	91551339
217021	738	1996-04-05	VYDAJ	PREVOD NA UCET	82	79999	 	OP	91551339
217022	738	1996-05-05	VYDAJ	PREVOD NA UCET	82	80050	 	OP	91551339
217023	738	1996-06-05	VYDAJ	PREVOD NA UCET	82	73591	 	OP	91551339
217024	738	1996-07-05	VYDAJ	PREVOD NA UCET	82	64457	 	OP	91551339
217025	738	1996-08-05	VYDAJ	PREVOD NA UCET	82	80515	 	OP	91551339
217026	738	1996-09-05	VYDAJ	PREVOD NA UCET	82	90232	 	OP	91551339
217027	738	1996-10-05	VYDAJ	PREVOD NA UCET	82	91992	 	OP	91551339
217028	738	1996-11-05	VYDAJ	PREVOD NA UCET	82	92764	 	OP	91551339
217029	738	1996-12-05	VYDAJ	PREVOD NA UCET	82	100504	 	OP	91551339
217030	738	1997-01-05	VYDAJ	PREVOD NA UCET	82	89389	 	OP	91551339
217031	738	1997-02-05	VYDAJ	PREVOD NA UCET	82	84232	 	OP	91551339
217032	738	1997-03-05	VYDAJ	PREVOD NA UCET	82	90062	 	OP	91551339
217033	738	1997-04-05	VYDAJ	PREVOD NA UCET	82	90823	 	OP	91551339
217034	738	1997-05-05	VYDAJ	PREVOD NA UCET	82	84577	 	OP	91551339
217035	738	1997-06-05	VYDAJ	PREVOD NA UCET	82	97387	 	OP	91551339
217036	738	1997-07-05	VYDAJ	PREVOD NA UCET	82	88541	 	OP	91551339
217037	738	1997-08-05	VYDAJ	PREVOD NA UCET	82	87782	 	OP	91551339
217038	738	1997-09-05	VYDAJ	PREVOD NA UCET	82	87518	 	OP	91551339
217039	738	1997-10-05	VYDAJ	PREVOD NA UCET	82	88652	 	OP	91551339
217040	738	1997-11-05	VYDAJ	PREVOD NA UCET	82	89689	 	OP	91551339
217041	738	1997-12-05	VYDAJ	PREVOD NA UCET	82	102303	 	OP	91551339
217042	738	1998-01-05	VYDAJ	PREVOD NA UCET	82	95584	 	OP	91551339
217043	738	1998-02-05	VYDAJ	PREVOD NA UCET	82	89636	 	OP	91551339
217044	738	1998-03-05	VYDAJ	PREVOD NA UCET	82	96178	 	OP	91551339
217045	738	1998-04-05	VYDAJ	PREVOD NA UCET	82	95241	 	OP	91551339
217046	738	1998-05-05	VYDAJ	PREVOD NA UCET	82	96302	 	OP	91551339
217047	738	1998-06-05	VYDAJ	PREVOD NA UCET	82	110939	 	OP	91551339
217048	738	1998-07-05	VYDAJ	PREVOD NA UCET	82	89002	 	OP	91551339
217049	738	1998-08-05	VYDAJ	PREVOD NA UCET	82	91833	 	OP	91551339
217050	738	1998-09-05	VYDAJ	PREVOD NA UCET	82	91070	 	OP	91551339
217051	738	1998-10-05	VYDAJ	PREVOD NA UCET	82	84198	 	OP	91551339
217052	738	1998-11-05	VYDAJ	PREVOD NA UCET	82	82799	 	OP	91551339
217053	738	1998-12-05	VYDAJ	PREVOD NA UCET	82	91968	 	OP	91551339
217064	738	1993-11-06	VYDAJ	PREVOD NA UCET	3671	63191	POJISTNE	YZ	99652116
217065	738	1993-12-06	VYDAJ	PREVOD NA UCET	3671	74893	POJISTNE	YZ	99652116
217066	738	1994-01-06	VYDAJ	PREVOD NA UCET	3671	65349	POJISTNE	YZ	99652116
217067	738	1994-02-06	VYDAJ	PREVOD NA UCET	3671	58066	POJISTNE	YZ	99652116
217068	738	1994-03-06	VYDAJ	PREVOD NA UCET	3671	61274	POJISTNE	YZ	99652116
217069	738	1994-04-06	VYDAJ	PREVOD NA UCET	3671	63194	POJISTNE	YZ	99652116
217070	738	1994-05-06	VYDAJ	PREVOD NA UCET	3671	63318	POJISTNE	YZ	99652116
217071	738	1994-06-06	VYDAJ	PREVOD NA UCET	3671	56613	POJISTNE	YZ	99652116
217072	738	1994-07-06	VYDAJ	PREVOD NA UCET	3671	62428	POJISTNE	YZ	99652116
217073	738	1994-08-06	VYDAJ	PREVOD NA UCET	3671	62342	POJISTNE	YZ	99652116
217074	738	1994-09-06	VYDAJ	PREVOD NA UCET	3671	60252	POJISTNE	YZ	99652116
217075	738	1994-10-06	VYDAJ	PREVOD NA UCET	3671	63863	POJISTNE	YZ	99652116
217076	738	1994-11-06	VYDAJ	PREVOD NA UCET	3671	63780	POJISTNE	YZ	99652116
217077	738	1994-12-06	VYDAJ	PREVOD NA UCET	3671	70759	POJISTNE	YZ	99652116
217078	738	1995-01-06	VYDAJ	PREVOD NA UCET	3671	66390	POJISTNE	YZ	99652116
217079	738	1995-02-06	VYDAJ	PREVOD NA UCET	3671	63409	POJISTNE	YZ	99652116
217080	738	1995-03-06	VYDAJ	PREVOD NA UCET	3671	67128	POJISTNE	YZ	99652116
217081	738	1995-04-06	VYDAJ	PREVOD NA UCET	3671	67357	POJISTNE	YZ	99652116
217082	738	1995-05-06	VYDAJ	PREVOD NA UCET	3671	66590	POJISTNE	YZ	99652116
217083	738	1995-06-06	VYDAJ	PREVOD NA UCET	3671	79990	POJISTNE	YZ	99652116
217084	738	1995-07-06	VYDAJ	PREVOD NA UCET	3671	61822	POJISTNE	YZ	99652116
217085	738	1995-08-06	VYDAJ	PREVOD NA UCET	3671	66836	POJISTNE	YZ	99652116
217086	738	1995-09-06	VYDAJ	PREVOD NA UCET	3671	66554	POJISTNE	YZ	99652116
217087	738	1995-10-06	VYDAJ	PREVOD NA UCET	3671	68977	POJISTNE	YZ	99652116
217088	738	1995-11-06	VYDAJ	PREVOD NA UCET	3671	65597	POJISTNE	YZ	99652116
217089	738	1995-12-06	VYDAJ	PREVOD NA UCET	3671	79887	POJISTNE	YZ	99652116
217090	738	1996-01-06	VYDAJ	PREVOD NA UCET	3671	72430	POJISTNE	YZ	99652116
217091	738	1996-02-06	VYDAJ	PREVOD NA UCET	3671	53752	POJISTNE	YZ	99652116
217092	738	1996-03-06	VYDAJ	PREVOD NA UCET	3671	72581	POJISTNE	YZ	99652116
217093	738	1996-04-06	VYDAJ	PREVOD NA UCET	3671	76328	POJISTNE	YZ	99652116
217094	738	1996-05-06	VYDAJ	PREVOD NA UCET	3671	62579	POJISTNE	YZ	99652116
217095	738	1996-06-06	VYDAJ	PREVOD NA UCET	3671	69920	POJISTNE	YZ	99652116
217096	738	1996-07-06	VYDAJ	PREVOD NA UCET	3671	60786	POJISTNE	YZ	99652116
217097	738	1996-08-06	VYDAJ	PREVOD NA UCET	3671	76844	POJISTNE	YZ	99652116
217098	738	1996-09-06	VYDAJ	PREVOD NA UCET	3671	86561	POJISTNE	YZ	99652116
217099	738	1996-10-06	VYDAJ	PREVOD NA UCET	3671	88321	POJISTNE	YZ	99652116
217100	738	1996-11-06	VYDAJ	PREVOD NA UCET	3671	89093	POJISTNE	YZ	99652116
217101	738	1996-12-06	VYDAJ	PREVOD NA UCET	3671	94333	POJISTNE	YZ	99652116
217102	738	1997-01-06	VYDAJ	PREVOD NA UCET	3671	85718	POJISTNE	YZ	99652116
217103	738	1997-02-06	VYDAJ	PREVOD NA UCET	3671	80561	POJISTNE	YZ	99652116
217104	738	1997-03-06	VYDAJ	PREVOD NA UCET	3671	86391	POJISTNE	YZ	99652116
217105	738	1997-04-06	VYDAJ	PREVOD NA UCET	3671	87152	POJISTNE	YZ	99652116
217106	738	1997-05-06	VYDAJ	PREVOD NA UCET	3671	80906	POJISTNE	YZ	99652116
217107	738	1997-06-06	VYDAJ	PREVOD NA UCET	3671	93716	POJISTNE	YZ	99652116
217108	738	1997-07-06	VYDAJ	PREVOD NA UCET	3671	84870	POJISTNE	YZ	99652116
217109	738	1997-08-06	VYDAJ	PREVOD NA UCET	3671	84111	POJISTNE	YZ	99652116
217110	738	1997-09-06	VYDAJ	PREVOD NA UCET	3671	83847	POJISTNE	YZ	99652116
217111	738	1997-10-06	VYDAJ	PREVOD NA UCET	3671	84981	POJISTNE	YZ	99652116
217112	738	1997-11-06	VYDAJ	PREVOD NA UCET	3671	86018	POJISTNE	YZ	99652116
217113	738	1997-12-06	VYDAJ	PREVOD NA UCET	3671	98632	POJISTNE	YZ	99652116
217114	738	1998-01-06	VYDAJ	PREVOD NA UCET	3671	91913	POJISTNE	YZ	99652116
217115	738	1998-02-06	VYDAJ	PREVOD NA UCET	3671	85965	POJISTNE	YZ	99652116
217116	738	1998-03-06	VYDAJ	PREVOD NA UCET	3671	92507	POJISTNE	YZ	99652116
217117	738	1998-04-06	VYDAJ	PREVOD NA UCET	3671	91570	POJISTNE	YZ	99652116
217118	738	1998-05-06	VYDAJ	PREVOD NA UCET	3671	92631	POJISTNE	YZ	99652116
217119	738	1998-06-06	VYDAJ	PREVOD NA UCET	3671	107268	POJISTNE	YZ	99652116
217120	738	1998-07-06	VYDAJ	PREVOD NA UCET	3671	85331	POJISTNE	YZ	99652116
217121	738	1998-08-06	VYDAJ	PREVOD NA UCET	3671	88162	POJISTNE	YZ	99652116
217122	738	1998-09-06	VYDAJ	PREVOD NA UCET	3671	87399	POJISTNE	YZ	99652116
217123	738	1998-10-06	VYDAJ	PREVOD NA UCET	3671	80527	POJISTNE	YZ	99652116
217124	738	1998-11-06	VYDAJ	PREVOD NA UCET	3671	79128	POJISTNE	YZ	99652116
217125	738	1998-12-06	VYDAJ	PREVOD NA UCET	3671	88297	POJISTNE	YZ	99652116
217127	738	1994-06-06	VYDAJ	VYBER	18300	60284	\N	\N	\N
217128	738	1995-06-12	VYDAJ	VYBER	10400	48690	\N	\N	\N
217129	738	1996-06-11	VYDAJ	VYBER	5900	64020	\N	\N	\N
217130	738	1997-06-21	VYDAJ	VYBER	15900	76846	\N	\N	\N
217131	738	1998-06-16	VYDAJ	VYBER	26600	79698	\N	\N	\N
217132	738	1993-12-05	VYDAJ	VYBER	1300	78564	\N	\N	\N
217133	738	1994-12-17	VYDAJ	VYBER	1400	48289	\N	\N	\N
217134	738	1995-12-15	VYDAJ	VYBER	2300	53617	\N	\N	\N
217135	738	1996-12-06	VYDAJ	VYBER	2500	98004	\N	\N	\N
217136	738	1997-12-22	VYDAJ	VYBER KARTOU	1200	96462	\N	\N	0
217137	738	1998-12-26	VYDAJ	VYBER KARTOU	2700	63627	\N	\N	0
217144	738	1994-01-16	VYDAJ	VYBER	2300	59279	\N	\N	\N
217145	738	1994-01-13	VYDAJ	VYBER	2800	61579	\N	\N	\N
217146	738	1994-01-02	VYDAJ	VYBER	900	45755	\N	\N	\N
217147	738	1994-01-20	VYDAJ	VYBER	2900	40079	\N	\N	\N
217148	738	1994-01-02	VYDAJ	VYBER	2200	46655	\N	\N	\N
217149	738	1994-01-23	VYDAJ	VYBER	1800	38279	\N	\N	\N
217150	738	1995-01-13	VYDAJ	VYBER	1800	45620	\N	\N	\N
217151	738	1995-01-05	VYDAJ	VYBER	700	70143	\N	\N	\N
217152	738	1995-01-27	VYDAJ	VYBER	1100	43620	\N	\N	\N
217153	738	1995-01-09	VYDAJ	VYBER	2800	63590	\N	\N	\N
217154	738	1995-01-05	VYDAJ	VYBER	1000	70843	\N	\N	\N
217155	738	1995-01-20	VYDAJ	VYBER	900	44720	\N	\N	\N
217156	738	1996-01-11	VYDAJ	VYBER	2500	51430	\N	\N	\N
217157	738	1996-01-22	VYDAJ	VYBER	2400	48060	\N	\N	\N
217158	738	1996-01-24	VYDAJ	VYBER	1800	46260	\N	\N	\N
217159	738	1996-01-09	VYDAJ	VYBER	600	53930	\N	\N	\N
217160	738	1996-01-26	VYDAJ	VYBER	2200	44060	\N	\N	\N
217161	738	1996-01-03	VYDAJ	VYBER	1000	52836	\N	\N	\N
217162	738	1997-01-08	VYDAJ	VYBER	500	85218	\N	\N	\N
217163	738	1997-01-18	VYDAJ	VYBER	1400	77948	\N	\N	\N
217164	738	1997-01-15	VYDAJ	VYBER	2300	79348	\N	\N	\N
217165	738	1997-01-04	VYDAJ	VYBER	1700	66724	\N	\N	\N
217166	738	1997-01-14	VYDAJ	VYBER	2600	81648	\N	\N	\N
217167	738	1997-01-04	VYDAJ	VYBER	600	66124	\N	\N	\N
217168	738	1998-01-15	VYDAJ	VYBER KARTOU	2200	88743	\N	\N	0
217169	738	1998-01-25	VYDAJ	VYBER KARTOU	1500	83243	\N	\N	0
217170	738	1998-01-18	VYDAJ	VYBER KARTOU	1700	87043	\N	\N	0
217171	738	1998-01-30	VYDAJ	VYBER KARTOU	2900	66043	\N	\N	0
217172	738	1998-01-23	VYDAJ	VYBER KARTOU	2300	84743	\N	\N	0
217173	738	1998-01-02	VYDAJ	VYBER KARTOU	2800	72319	\N	\N	0
217177	738	1994-11-16	VYDAJ	VYBER	4300	39310	\N	\N	\N
217178	738	1994-08-18	VYDAJ	VYBER	3200	40472	\N	\N	\N
217179	738	1994-07-10	VYDAJ	VYBER	3900	58528	\N	\N	\N
217180	738	1994-10-15	VYDAJ	VYBER	3500	43993	\N	\N	\N
217181	738	1995-05-08	VYDAJ	VYBER	3700	62890	\N	\N	\N
217182	738	1995-10-18	VYDAJ	VYBER	4600	45807	\N	\N	\N
217183	738	1995-06-15	VYDAJ	VYBER	1600	46120	\N	\N	\N
217184	738	1995-05-03	VYDAJ	VYBER	2500	46996	\N	\N	\N
217185	738	1995-04-27	VYDAJ	VYBER	800	49287	\N	\N	\N
217186	738	1995-06-27	VYDAJ	VYBER	4100	42020	\N	\N	\N
217187	738	1996-01-06	VYDAJ	VYBER	1500	70930	\N	\N	\N
217188	738	1996-04-20	VYDAJ	VYBER	1700	56558	\N	\N	\N
217189	738	1996-11-18	VYDAJ	VYBER	4700	83423	\N	\N	\N
217190	738	1996-06-15	VYDAJ	VYBER	4000	59050	\N	\N	\N
217191	738	1996-12-21	VYDAJ	VYBER	4700	88663	\N	\N	\N
217192	738	1996-05-25	VYDAJ	VYBER	1300	60309	\N	\N	\N
217193	738	1997-10-26	VYDAJ	VYBER KARTOU	3200	80811	\N	\N	0
217194	738	1997-05-12	VYDAJ	VYBER	600	80306	\N	\N	\N
217195	738	1997-12-03	VYDAJ	VYBER KARTOU	1600	67365	\N	\N	0
217196	738	1997-10-28	VYDAJ	VYBER KARTOU	1500	66111	\N	\N	0
217197	738	1997-04-11	VYDAJ	VYBER	4700	82452	\N	\N	\N
217198	738	1997-02-04	VYDAJ	VYBER	2600	60967	\N	\N	\N
217199	738	1998-09-27	VYDAJ	VYBER KARTOU	4700	60629	\N	\N	0
217200	738	1998-12-03	VYDAJ	VYBER KARTOU	2900	57030	\N	\N	0
217212	738	1993-11-30	VYDAJ	VYBER	15	44926	SLUZBY	\N	\N
217213	738	1993-12-31	VYDAJ	VYBER	15	48855	SLUZBY	\N	\N
217214	738	1994-01-31	VYDAJ	VYBER	15	38472	SLUZBY	\N	\N
217215	738	1994-02-28	VYDAJ	VYBER	15	41680	SLUZBY	\N	\N
217216	738	1994-03-31	VYDAJ	VYBER	15	43600	SLUZBY	\N	\N
217217	738	1994-04-30	VYDAJ	VYBER	15	43724	SLUZBY	\N	\N
217218	738	1994-05-31	VYDAJ	VYBER	15	43646	SLUZBY	\N	\N
217219	738	1994-06-30	VYDAJ	VYBER	15	42834	SLUZBY	\N	\N
217220	738	1994-07-31	VYDAJ	VYBER	15	42748	SLUZBY	\N	\N
217221	738	1994-08-31	VYDAJ	VYBER	15	40658	SLUZBY	\N	\N
217222	738	1994-09-30	VYDAJ	VYBER	15	44269	SLUZBY	\N	\N
217223	738	1994-10-31	VYDAJ	VYBER	15	44186	SLUZBY	\N	\N
217224	738	1994-11-30	VYDAJ	VYBER	15	39492	SLUZBY	\N	\N
217225	738	1994-12-31	VYDAJ	VYBER	15	48496	SLUZBY	\N	\N
217226	738	1995-01-31	VYDAJ	VYBER	15	43815	SLUZBY	\N	\N
217227	738	1995-02-28	VYDAJ	VYBER	15	47534	SLUZBY	\N	\N
217228	738	1995-03-31	VYDAJ	VYBER	15	47763	SLUZBY	\N	\N
217229	738	1995-04-30	VYDAJ	VYBER	15	49496	SLUZBY	\N	\N
217230	738	1995-05-31	VYDAJ	VYBER	15	48723	SLUZBY	\N	\N
217231	738	1995-06-30	VYDAJ	VYBER	15	42228	SLUZBY	\N	\N
217232	738	1995-07-31	VYDAJ	VYBER	15	47242	SLUZBY	\N	\N
217233	738	1995-08-31	VYDAJ	VYBER	15	46960	SLUZBY	\N	\N
217234	738	1995-09-30	VYDAJ	VYBER	15	49383	SLUZBY	\N	\N
217235	738	1995-10-31	VYDAJ	VYBER	15	46003	SLUZBY	\N	\N
217236	738	1995-11-30	VYDAJ	VYBER	15	48620	SLUZBY	\N	\N
217237	738	1995-12-31	VYDAJ	VYBER	15	53836	SLUZBY	\N	\N
217238	738	1996-01-31	VYDAJ	VYBER	15	44258	SLUZBY	\N	\N
217239	738	1996-02-29	VYDAJ	VYBER	15	52987	SLUZBY	\N	\N
217240	738	1996-03-31	VYDAJ	VYBER	15	56734	SLUZBY	\N	\N
217241	738	1996-04-30	VYDAJ	VYBER	15	56785	SLUZBY	\N	\N
217242	738	1996-05-31	VYDAJ	VYBER	15	60553	SLUZBY	\N	\N
217243	738	1996-06-30	VYDAJ	VYBER	15	59292	SLUZBY	\N	\N
217244	738	1996-07-31	VYDAJ	VYBER	15	60050	SLUZBY	\N	\N
217245	738	1996-08-31	VYDAJ	VYBER	15	76167	SLUZBY	\N	\N
217246	738	1996-09-30	VYDAJ	VYBER	15	85927	SLUZBY	\N	\N
217247	738	1996-10-31	VYDAJ	VYBER	15	87699	SLUZBY	\N	\N
217248	738	1996-11-30	VYDAJ	VYBER	15	83766	SLUZBY	\N	\N
217249	738	1996-12-31	VYDAJ	VYBER	15	89024	SLUZBY	\N	\N
217250	738	1997-01-31	VYDAJ	VYBER	15	63567	SLUZBY	\N	\N
217251	738	1997-02-28	VYDAJ	VYBER	15	79897	SLUZBY	\N	\N
217252	738	1997-03-31	VYDAJ	VYBER	15	85758	SLUZBY	\N	\N
217253	738	1997-04-30	VYDAJ	VYBER	15	81812	SLUZBY	\N	\N
217254	738	1997-05-31	VYDAJ	VYBER	15	62449	SLUZBY	\N	\N
217255	738	1997-06-30	VYDAJ	VYBER	15	77176	SLUZBY	\N	\N
217256	738	1997-07-31	VYDAJ	VYBER	15	64517	SLUZBY	\N	\N
217257	738	1997-08-31	VYDAJ	VYBER	15	64253	SLUZBY	\N	\N
217258	738	1997-09-30	VYDAJ	VYBER	15	65387	SLUZBY	\N	\N
217259	738	1997-10-31	VYDAJ	VYBER	15	66424	SLUZBY	\N	\N
217260	738	1997-11-30	VYDAJ	VYBER	15	68965	SLUZBY	\N	\N
217261	738	1997-12-31	VYDAJ	VYBER	15	75119	SLUZBY	\N	\N
217262	738	1998-01-31	VYDAJ	VYBER	15	66371	SLUZBY	\N	\N
217263	738	1998-02-28	VYDAJ	VYBER	15	72913	SLUZBY	\N	\N
217264	738	1998-03-31	VYDAJ	VYBER	15	71976	SLUZBY	\N	\N
217265	738	1998-04-30	VYDAJ	VYBER	15	73037	SLUZBY	\N	\N
217266	738	1998-05-31	VYDAJ	VYBER	15	76001	SLUZBY	\N	\N
217267	738	1998-06-30	VYDAJ	VYBER	15	65737	SLUZBY	\N	\N
217268	738	1998-07-31	VYDAJ	VYBER	15	68568	SLUZBY	\N	\N
217269	738	1998-08-31	VYDAJ	VYBER	15	67805	SLUZBY	\N	\N
217270	738	1998-09-30	VYDAJ	VYBER	15	60933	SLUZBY	\N	\N
217271	738	1998-10-31	VYDAJ	VYBER	15	59534	SLUZBY	\N	\N
217272	738	1998-11-30	VYDAJ	VYBER	15	59930	SLUZBY	\N	\N
217273	738	1993-07-21	PRIJEM	VKLAD	2800	26447	\N	\N	\N
217274	738	1993-08-20	VYDAJ	VYBER	12500	37333	\N	\N	\N
217275	738	1993-09-19	VYDAJ	VYBER	18400	42408	\N	\N	\N
217276	738	1993-10-19	VYDAJ	VYBER	22500	43419	\N	\N	\N
217277	738	1993-11-18	VYDAJ	VYBER	17500	44721	\N	\N	\N
217278	738	1993-12-18	VYDAJ	VYBER	25300	48623	\N	\N	\N
217279	738	1994-01-17	VYDAJ	VYBER	16300	42979	\N	\N	\N
217280	738	1994-02-16	VYDAJ	VYBER	15600	41496	\N	\N	\N
217281	738	1994-03-18	VYDAJ	VYBER	16900	43404	\N	\N	\N
217282	738	1994-04-17	VYDAJ	VYBER	18700	43524	\N	\N	\N
217283	738	1994-05-17	VYDAJ	VYBER	18900	43448	\N	\N	\N
217284	738	1994-06-16	VYDAJ	VYBER	13000	42643	\N	\N	\N
217285	738	1994-07-16	VYDAJ	VYBER	15000	42558	\N	\N	\N
217286	738	1994-08-15	VYDAJ	VYBER	17700	43672	\N	\N	\N
217287	738	1994-09-14	VYDAJ	VYBER	15200	44082	\N	\N	\N
217288	738	1994-10-14	VYDAJ	VYBER	15400	47493	\N	\N	\N
217289	738	1994-11-13	VYDAJ	VYBER	19200	44580	\N	\N	\N
217290	738	1994-12-13	VYDAJ	VYBER	20100	49689	\N	\N	\N
217291	738	1995-01-12	VYDAJ	VYBER	15200	48390	\N	\N	\N
217292	738	1995-02-11	VYDAJ	VYBER	15100	48309	\N	\N	\N
217293	738	1995-03-13	VYDAJ	VYBER	18600	47558	\N	\N	\N
217294	738	1995-04-12	VYDAJ	VYBER	16300	51057	\N	\N	\N
217295	738	1995-05-12	VYDAJ	VYBER	13400	49490	\N	\N	\N
217296	738	1995-06-11	VYDAJ	VYBER	20900	59090	\N	\N	\N
217297	738	1995-07-11	VYDAJ	VYBER	13800	48022	\N	\N	\N
217298	738	1995-08-10	VYDAJ	VYBER	19100	47736	\N	\N	\N
217299	738	1995-09-09	VYDAJ	VYBER	16400	50154	\N	\N	\N
217300	738	1995-10-09	VYDAJ	VYBER	17600	51377	\N	\N	\N
217301	738	1995-11-08	VYDAJ	VYBER	16200	49397	\N	\N	\N
217302	738	1995-12-08	VYDAJ	VYBER	23000	56887	\N	\N	\N
217303	738	1996-01-07	VYDAJ	VYBER	16400	54530	\N	\N	\N
217304	738	1996-02-06	VYDAJ	VYBER	10100	57423	\N	\N	\N
217305	738	1996-03-07	VYDAJ	VYBER	15100	57481	\N	\N	\N
217306	738	1996-04-06	VYDAJ	VYBER	17100	59228	\N	\N	\N
217307	738	1996-05-06	VYDAJ	VYBER	13800	66250	\N	\N	\N
217308	738	1996-06-05	VYDAJ	VYBER	21900	73673	\N	\N	\N
217309	738	1996-07-05	VYDAJ	VYBER	18100	64539	\N	\N	\N
217310	738	1996-08-04	VYDAJ	VYBER	2800	57250	\N	\N	\N
217311	738	1996-09-03	VYDAJ	VYBER	9200	66967	\N	\N	\N
217312	738	1996-10-03	VYDAJ	VYBER	17200	68727	\N	\N	\N
217313	738	1996-11-02	VYDAJ	VYBER	18200	69499	\N	\N	\N
217314	738	1996-12-02	VYDAJ	VYBER	18200	65566	\N	\N	\N
217315	738	1997-01-01	VYDAJ	VYBER	20600	68424	\N	\N	\N
217316	738	1997-01-31	VYDAJ	VYBER	14700	63582	\N	\N	\N
217317	738	1997-03-02	VYDAJ	VYBER	13100	66797	\N	\N	\N
217318	738	1997-04-01	VYDAJ	VYBER	18200	67558	\N	\N	\N
217319	738	1997-05-01	VYDAJ	VYBER	20500	61312	\N	\N	\N
217320	738	1997-05-31	VYDAJ	VYBER	17200	62464	\N	\N	\N
217321	738	1997-06-30	VYDAJ	VYBER	11900	65276	\N	\N	\N
217322	738	1997-07-30	VYDAJ	VYBER	19700	64200	\N	\N	\N
217323	738	1997-08-29	VYDAJ	VYBER	19200	63941	\N	\N	\N
217324	738	1997-09-28	VYDAJ	VYBER	17800	65077	\N	\N	\N
217325	738	1997-10-28	VYDAJ	VYBER	13200	67611	\N	\N	\N
217326	738	1997-11-27	VYDAJ	VYBER	16400	68648	\N	\N	\N
217327	738	1997-12-27	VYDAJ	VYBER	21700	74762	\N	\N	\N
217328	738	1998-01-26	VYDAJ	VYBER	14300	68943	\N	\N	\N
217329	738	1998-02-25	VYDAJ	VYBER	12400	72595	\N	\N	\N
217330	738	1998-03-27	VYDAJ	VYBER	19900	71637	\N	\N	\N
217331	738	1998-04-26	VYDAJ	VYBER	17900	72700	\N	\N	\N
217332	738	1998-05-26	VYDAJ	VYBER	16000	75661	\N	\N	\N
217333	738	1998-06-25	VYDAJ	VYBER	14300	65398	\N	\N	\N
217334	738	1998-07-25	VYDAJ	VYBER	16100	68261	\N	\N	\N
217335	738	1998-08-24	VYDAJ	VYBER	19700	67492	\N	\N	\N
217336	738	1998-09-23	VYDAJ	VYBER	21100	65329	\N	\N	\N
217337	738	1998-10-23	VYDAJ	VYBER	20300	59257	\N	\N	\N
217338	738	1998-11-22	VYDAJ	VYBER	18500	59658	\N	\N	\N
217339	738	1998-12-22	VYDAJ	VYBER	21000	66327	\N	\N	\N
217406	739	1996-03-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
217410	739	1996-04-13	PRIJEM	VKLAD	23612	24712	\N	\N	\N
217411	739	1996-05-13	PRIJEM	VKLAD	23612	48773	\N	\N	\N
217412	739	1996-06-13	PRIJEM	VKLAD	35418	70816	\N	\N	\N
217413	739	1996-07-13	PRIJEM	VKLAD	23612	74708	\N	\N	\N
217414	739	1996-08-13	PRIJEM	VKLAD	23612	75333	\N	\N	\N
217415	739	1996-09-13	PRIJEM	VKLAD	23612	70543	\N	\N	\N
217416	739	1996-10-13	PRIJEM	VKLAD	23612	69654	\N	\N	\N
217417	739	1996-11-13	PRIJEM	VKLAD	23612	69464	\N	\N	\N
217418	739	1996-12-13	PRIJEM	VKLAD	35418	82020	\N	\N	\N
217419	739	1997-01-13	PRIJEM	VKLAD	23612	63403	\N	\N	\N
217420	739	1997-02-13	PRIJEM	VKLAD	23612	58351	\N	\N	\N
217421	739	1997-03-13	PRIJEM	VKLAD	23612	76673	\N	\N	\N
217422	739	1997-04-13	PRIJEM	VKLAD	23612	62062	\N	\N	\N
217423	739	1997-05-13	PRIJEM	VKLAD	23612	68793	\N	\N	\N
217424	739	1997-06-13	PRIJEM	VKLAD	35418	69306	\N	\N	\N
217425	739	1997-07-13	PRIJEM	VKLAD	23612	64469	\N	\N	\N
217426	739	1997-08-13	PRIJEM	VKLAD	23612	60231	\N	\N	\N
217427	739	1997-09-13	PRIJEM	VKLAD	23612	58271	\N	\N	\N
217428	739	1997-10-13	PRIJEM	VKLAD	23612	56507	\N	\N	\N
217429	739	1997-11-13	PRIJEM	VKLAD	23612	49955	\N	\N	\N
217430	739	1997-12-13	PRIJEM	VKLAD	35418	66451	\N	\N	\N
217431	739	1998-01-13	PRIJEM	VKLAD	23612	56583	\N	\N	\N
217432	739	1998-02-13	PRIJEM	VKLAD	23612	49068	\N	\N	\N
217433	739	1998-03-13	PRIJEM	VKLAD	23612	52644	\N	\N	\N
217434	739	1998-04-13	PRIJEM	VKLAD	23612	51038	\N	\N	\N
217435	739	1998-05-13	PRIJEM	VKLAD	23612	50731	\N	\N	\N
217436	739	1998-06-13	PRIJEM	VKLAD	35418	55360	\N	\N	\N
217437	739	1998-07-13	PRIJEM	VKLAD	23612	48242	\N	\N	\N
217438	739	1998-08-13	PRIJEM	VKLAD	23612	46430	\N	\N	\N
217439	739	1998-09-13	PRIJEM	VKLAD	23612	46005	\N	\N	\N
217440	739	1998-10-13	PRIJEM	VKLAD	23612	41475	\N	\N	\N
217441	739	1998-11-13	PRIJEM	VKLAD	23612	39631	\N	\N	\N
217442	739	1998-12-13	PRIJEM	VKLAD	35418	56883	\N	\N	\N
217451	739	1996-09-09	VYDAJ	PREVOD NA UCET	5504	46931	SIPO	CD	15982044
217452	739	1996-10-09	VYDAJ	PREVOD NA UCET	5504	46042	SIPO	CD	15982044
217453	739	1996-11-09	VYDAJ	PREVOD NA UCET	5504	45852	SIPO	CD	15982044
217454	739	1996-12-09	VYDAJ	PREVOD NA UCET	5504	46602	SIPO	CD	15982044
217455	739	1997-01-09	VYDAJ	PREVOD NA UCET	5504	49131	SIPO	CD	15982044
217456	739	1997-02-09	VYDAJ	PREVOD NA UCET	5504	48039	SIPO	CD	15982044
217457	739	1997-03-09	VYDAJ	PREVOD NA UCET	5504	53061	SIPO	CD	15982044
217458	739	1997-04-09	VYDAJ	PREVOD NA UCET	5504	45850	SIPO	CD	15982044
217459	739	1997-05-09	VYDAJ	PREVOD NA UCET	5504	56781	SIPO	CD	15982044
217460	739	1997-06-09	VYDAJ	PREVOD NA UCET	5504	40188	SIPO	CD	15982044
217461	739	1997-07-09	VYDAJ	PREVOD NA UCET	5504	64057	SIPO	CD	15982044
217462	739	1997-08-09	VYDAJ	PREVOD NA UCET	5504	59219	SIPO	CD	15982044
217463	739	1997-09-09	VYDAJ	PREVOD NA UCET	5504	54959	SIPO	CD	15982044
217464	739	1997-10-09	VYDAJ	PREVOD NA UCET	5504	52995	SIPO	CD	15982044
217465	739	1997-11-09	VYDAJ	PREVOD NA UCET	5504	26343	SIPO	CD	15982044
217466	739	1997-12-09	VYDAJ	PREVOD NA UCET	5504	31033	SIPO	CD	15982044
217467	739	1998-01-09	VYDAJ	PREVOD NA UCET	5504	35971	SIPO	CD	15982044
217468	739	1998-02-09	VYDAJ	PREVOD NA UCET	5504	25456	SIPO	CD	15982044
217469	739	1998-03-09	VYDAJ	PREVOD NA UCET	5504	29032	SIPO	CD	15982044
217470	739	1998-04-09	VYDAJ	PREVOD NA UCET	5504	27426	SIPO	CD	15982044
217471	739	1998-05-09	VYDAJ	PREVOD NA UCET	5504	27119	SIPO	CD	15982044
217472	739	1998-06-09	VYDAJ	PREVOD NA UCET	5504	19942	SIPO	CD	15982044
217473	739	1998-07-09	VYDAJ	PREVOD NA UCET	5504	28030	SIPO	CD	15982044
217474	739	1998-08-09	VYDAJ	PREVOD NA UCET	5504	22818	SIPO	CD	15982044
217475	739	1998-09-09	VYDAJ	PREVOD NA UCET	5504	22393	SIPO	CD	15982044
217476	739	1998-10-09	VYDAJ	PREVOD NA UCET	5504	17863	SIPO	CD	15982044
217477	739	1998-11-09	VYDAJ	PREVOD NA UCET	5504	16019	SIPO	CD	15982044
217478	739	1998-12-09	VYDAJ	PREVOD NA UCET	5504	21465	SIPO	CD	15982044
217480	739	1997-06-06	VYDAJ	VYBER	23360	45692	\N	\N	\N
217488	739	1997-01-25	VYDAJ	VYBER	2640	58363	\N	\N	\N
217489	739	1997-01-10	VYDAJ	VYBER	2640	46491	\N	\N	\N
217490	739	1997-01-27	VYDAJ	VYBER	3360	55003	\N	\N	\N
217491	739	1997-01-29	VYDAJ	VYBER	1680	53323	\N	\N	\N
217492	739	1997-01-08	VYDAJ	VYBER	960	54635	\N	\N	\N
217493	739	1997-01-14	VYDAJ	VYBER	2400	61003	\N	\N	\N
217494	739	1998-01-06	VYDAJ	VYBER KARTOU	2000	64675	\N	\N	0
217495	739	1998-01-10	VYDAJ	VYBER KARTOU	1400	34571	\N	\N	0
217496	739	1998-01-11	VYDAJ	VYBER KARTOU	1600	32971	\N	\N	0
217497	739	1998-01-16	VYDAJ	VYBER KARTOU	3200	52683	\N	\N	0
217498	739	1998-01-14	VYDAJ	VYBER KARTOU	700	55883	\N	\N	0
217499	739	1998-01-27	VYDAJ	VYBER KARTOU	3200	43963	\N	\N	0
217504	739	1997-08-11	VYDAJ	VYBER	2400	36619	\N	\N	\N
217505	739	1997-03-22	VYDAJ	VYBER	960	51113	\N	\N	\N
217506	739	1997-11-07	VYDAJ	VYBER	4200	50847	\N	\N	\N
217507	739	1997-10-31	VYDAJ	VYBER	1680	55061	\N	\N	\N
217508	739	1998-05-26	VYDAJ	VYBER	5760	43271	\N	\N	\N
217509	739	1998-05-21	VYDAJ	VYBER KARTOU	1700	49031	\N	\N	0
217510	739	1998-06-01	VYDAJ	VYBER KARTOU	2900	40546	\N	\N	0
217511	739	1998-01-26	VYDAJ	VYBER	5520	47163	\N	\N	\N
217512	739	1998-07-11	VYDAJ	VYBER KARTOU	3400	24630	\N	\N	0
217521	739	1996-08-31	VYDAJ	VYBER	15	52435	SLUZBY	\N	\N
217522	739	1996-09-30	VYDAJ	VYBER	15	51546	SLUZBY	\N	\N
217523	739	1996-10-31	VYDAJ	VYBER	15	51356	SLUZBY	\N	\N
217524	739	1996-11-30	VYDAJ	VYBER	15	52106	SLUZBY	\N	\N
217525	739	1996-12-31	VYDAJ	VYBER	15	55595	SLUZBY	\N	\N
217526	739	1997-01-31	VYDAJ	VYBER	15	53543	SLUZBY	\N	\N
217527	739	1997-02-28	VYDAJ	VYBER	15	58565	SLUZBY	\N	\N
217528	739	1997-03-31	VYDAJ	VYBER	15	51354	SLUZBY	\N	\N
217529	739	1997-04-30	VYDAJ	VYBER	15	62285	SLUZBY	\N	\N
217530	739	1997-05-31	VYDAJ	VYBER	15	69052	SLUZBY	\N	\N
217531	739	1997-06-30	VYDAJ	VYBER	15	69561	SLUZBY	\N	\N
217532	739	1997-07-31	VYDAJ	VYBER	15	64723	SLUZBY	\N	\N
217533	739	1997-08-31	VYDAJ	VYBER	15	60463	SLUZBY	\N	\N
217534	739	1997-09-30	VYDAJ	VYBER	15	58499	SLUZBY	\N	\N
217535	739	1997-10-31	VYDAJ	VYBER	15	55047	SLUZBY	\N	\N
217536	739	1997-11-30	VYDAJ	VYBER	15	50137	SLUZBY	\N	\N
217537	739	1997-12-31	VYDAJ	VYBER	15	66675	SLUZBY	\N	\N
217538	739	1998-01-31	VYDAJ	VYBER	15	44160	SLUZBY	\N	\N
217539	739	1998-02-28	VYDAJ	VYBER	15	49236	SLUZBY	\N	\N
217540	739	1998-03-31	VYDAJ	VYBER	15	52830	SLUZBY	\N	\N
217541	739	1998-04-30	VYDAJ	VYBER	15	51223	SLUZBY	\N	\N
217542	739	1998-05-31	VYDAJ	VYBER	15	43446	SLUZBY	\N	\N
217543	739	1998-06-30	VYDAJ	VYBER	15	55534	SLUZBY	\N	\N
217544	739	1998-07-31	VYDAJ	VYBER	15	48422	SLUZBY	\N	\N
217545	739	1998-08-31	VYDAJ	VYBER	15	46597	SLUZBY	\N	\N
217546	739	1998-09-30	VYDAJ	VYBER	15	46167	SLUZBY	\N	\N
217547	739	1998-10-31	VYDAJ	VYBER	15	41623	SLUZBY	\N	\N
217548	739	1998-11-30	VYDAJ	VYBER	15	39769	SLUZBY	\N	\N
217549	739	1996-04-17	PRIJEM	VKLAD	400	25112	\N	\N	\N
217550	739	1996-05-17	VYDAJ	VYBER	13500	35273	\N	\N	\N
217551	739	1996-06-16	VYDAJ	VYBER	19900	50916	\N	\N	\N
217552	739	1996-07-16	VYDAJ	VYBER	23200	51508	\N	\N	\N
217553	739	1996-08-15	VYDAJ	VYBER	23100	52233	\N	\N	\N
217554	739	1996-09-14	VYDAJ	VYBER	19200	51343	\N	\N	\N
217555	739	1996-10-14	VYDAJ	VYBER	18500	51154	\N	\N	\N
217556	739	1996-11-13	VYDAJ	VYBER	17600	51864	\N	\N	\N
217557	739	1996-12-13	VYDAJ	VYBER	26700	55320	\N	\N	\N
217558	739	1997-01-12	VYDAJ	VYBER	6700	39791	\N	\N	\N
217559	739	1997-02-11	VYDAJ	VYBER	13300	34739	\N	\N	\N
217560	739	1997-03-13	VYDAJ	VYBER	24600	52073	\N	\N	\N
217561	739	1997-04-12	VYDAJ	VYBER	7400	38450	\N	\N	\N
217562	739	1997-05-12	VYDAJ	VYBER	11600	45181	\N	\N	\N
217563	739	1997-06-11	VYDAJ	VYBER	6300	33888	\N	\N	\N
217564	739	1997-07-11	VYDAJ	VYBER	23200	40857	\N	\N	\N
217565	739	1997-08-10	VYDAJ	VYBER	20200	39019	\N	\N	\N
217566	739	1997-09-09	VYDAJ	VYBER	20300	34659	\N	\N	\N
217567	739	1997-10-09	VYDAJ	VYBER	20100	32895	\N	\N	\N
217568	739	1997-11-08	VYDAJ	VYBER	19000	31847	\N	\N	\N
217569	739	1997-12-08	VYDAJ	VYBER	13600	36537	\N	\N	\N
217570	739	1998-01-07	VYDAJ	VYBER	23200	41475	\N	\N	\N
217571	739	1998-02-06	VYDAJ	VYBER	13200	30960	\N	\N	\N
217572	739	1998-03-08	VYDAJ	VYBER	14700	34536	\N	\N	\N
217573	739	1998-04-07	VYDAJ	VYBER	19900	32930	\N	\N	\N
217574	739	1998-05-07	VYDAJ	VYBER	18600	32623	\N	\N	\N
217575	739	1998-06-06	VYDAJ	VYBER	15100	25446	\N	\N	\N
217576	739	1998-07-06	VYDAJ	VYBER	22000	33534	\N	\N	\N
217577	739	1998-08-05	VYDAJ	VYBER	20100	28322	\N	\N	\N
217578	739	1998-09-04	VYDAJ	VYBER	18700	27897	\N	\N	\N
217579	739	1998-10-04	VYDAJ	VYBER	22800	23367	\N	\N	\N
217580	739	1998-11-03	VYDAJ	VYBER	20100	21523	\N	\N	\N
217581	739	1998-12-03	VYDAJ	VYBER	12800	26969	\N	\N	\N
217615	740	1994-04-04	PRIJEM	VKLAD	400	400	\N	\N	\N
217743	740	1994-05-04	PRIJEM	VKLAD	13800	14200	\N	\N	\N
217744	740	1994-06-03	PRIJEM	VKLAD	5600	19800	\N	\N	\N
217745	740	1994-07-03	VYDAJ	VYBER	600	19200	\N	\N	\N
217746	740	1994-08-02	PRIJEM	VKLAD	500	19700	\N	\N	\N
217747	740	1994-09-01	PRIJEM	VKLAD	2500	22200	\N	\N	\N
217748	740	1994-10-01	VYDAJ	VYBER	700	21500	\N	\N	\N
217749	740	1994-10-31	VYDAJ	VYBER	2000	19503	\N	\N	\N
217750	740	1994-11-30	VYDAJ	VYBER	1300	18284	\N	\N	\N
217751	740	1994-12-30	PRIJEM	VKLAD	100	18384	\N	\N	\N
217752	740	1995-01-29	PRIJEM	VKLAD	2300	20765	\N	\N	\N
217753	740	1995-02-28	VYDAJ	VYBER	2000	18936	\N	\N	\N
217754	740	1995-03-30	PRIJEM	VKLAD	2300	21236	\N	\N	\N
217755	740	1995-04-29	VYDAJ	VYBER	700	20618	\N	\N	\N
217756	740	1995-05-29	PRIJEM	VKLAD	1200	21899	\N	\N	\N
217757	740	1995-06-28	PRIJEM	VKLAD	500	22480	\N	\N	\N
217758	740	1995-07-28	VYDAJ	VYBER	400	22161	\N	\N	\N
217759	740	1995-08-27	VYDAJ	VYBER	2800	19443	\N	\N	\N
217760	740	1995-09-26	VYDAJ	VYBER	1400	18124	\N	\N	\N
217761	740	1995-10-26	PRIJEM	VKLAD	1600	19805	\N	\N	\N
217762	740	1995-11-25	VYDAJ	VYBER	1000	18886	\N	\N	\N
217763	740	1995-12-25	PRIJEM	VKLAD	1200	20168	\N	\N	\N
217764	740	1996-01-24	VYDAJ	VYBER	600	19649	\N	\N	\N
217765	740	1996-03-24	PRIJEM	VKLAD	4200	23930	\N	\N	\N
217766	740	1996-04-23	VYDAJ	VYBER	2000	22012	\N	\N	\N
217767	740	1996-05-23	PRIJEM	VKLAD	300	22393	\N	\N	\N
217768	740	1996-06-22	VYDAJ	VYBER	1800	20674	\N	\N	\N
217769	740	1996-07-22	PRIJEM	VKLAD	200	20955	\N	\N	\N
217770	740	1996-08-21	PRIJEM	VKLAD	3400	24437	\N	\N	\N
217771	740	1996-09-20	PRIJEM	VKLAD	100	24618	\N	\N	\N
217772	740	1996-10-20	VYDAJ	VYBER	2800	21899	\N	\N	\N
217773	740	1996-11-19	VYDAJ	VYBER	100	21880	\N	\N	\N
217774	740	1996-12-19	PRIJEM	VKLAD	1000	22962	\N	\N	\N
217775	740	1997-01-18	VYDAJ	VYBER	800	22243	\N	\N	\N
217776	740	1997-02-17	PRIJEM	VKLAD	800	23124	\N	\N	\N
217777	740	1997-03-19	VYDAJ	VYBER	2400	20805	\N	\N	\N
217778	740	1997-04-18	PRIJEM	VKLAD	3800	24687	\N	\N	\N
217779	740	1997-05-18	VYDAJ	VYBER	900	23868	\N	\N	\N
217780	740	1997-06-17	VYDAJ	VYBER	1600	22349	\N	\N	\N
217781	740	1997-07-17	PRIJEM	VKLAD	3100	25530	\N	\N	\N
217782	740	1997-08-16	VYDAJ	VYBER	1300	24312	\N	\N	\N
217783	740	1997-09-15	VYDAJ	VYBER	6200	18193	\N	\N	\N
217784	740	1997-10-15	PRIJEM	VKLAD	1600	19874	\N	\N	\N
217785	740	1997-11-14	PRIJEM	VKLAD	1800	21755	\N	\N	\N
217786	740	1997-12-14	VYDAJ	VYBER	400	21437	\N	\N	\N
217787	740	1998-01-13	VYDAJ	VYBER	1300	20218	\N	\N	\N
217788	740	1998-02-12	PRIJEM	VKLAD	6000	26299	\N	\N	\N
217789	740	1998-03-14	VYDAJ	VYBER	2400	23981	\N	\N	\N
217790	740	1998-04-13	PRIJEM	VKLAD	1800	25862	\N	\N	\N
217791	740	1998-05-13	VYDAJ	VYBER	5000	20943	\N	\N	\N
217792	740	1998-06-12	PRIJEM	VKLAD	2400	23424	\N	\N	\N
217793	740	1998-07-12	VYDAJ	VYBER	2400	21106	\N	\N	\N
217794	740	1998-08-11	PRIJEM	VKLAD	2700	23887	\N	\N	\N
217795	740	1998-09-10	PRIJEM	VKLAD	700	24668	\N	\N	\N
217796	740	1998-10-10	VYDAJ	VYBER	3400	21349	\N	\N	\N
217797	740	1998-11-09	PRIJEM	VKLAD	1300	22731	\N	\N	\N
217846	741	1994-07-14	PRIJEM	VKLAD	800	800	\N	\N	\N
217847	741	1994-10-11	PRIJEM	VKLAD	2931	45593	\N	\N	\N
217848	741	1994-08-16	PRIJEM	VKLAD	39246	53651	\N	\N	\N
217849	741	1995-08-11	PRIJEM	VKLAD	33939	78613	\N	\N	\N
217850	741	1995-07-05	PRIJEM	VKLAD	44868	72772	\N	\N	\N
217851	741	1996-03-06	PRIJEM	VKLAD	23527	54714	\N	\N	\N
217852	741	1996-12-09	PRIJEM	VKLAD	26094	68194	\N	\N	\N
217853	741	1997-11-19	PRIJEM	VKLAD	48926	105229	\N	\N	\N
217854	741	1997-08-27	PRIJEM	VKLAD	35989	78452	\N	\N	\N
217855	741	1998-06-23	PRIJEM	VKLAD	41724	76392	\N	\N	\N
217856	741	1998-06-28	PRIJEM	VKLAD	16853	83945	\N	\N	\N
217864	741	1994-08-17	PRIJEM	VKLAD	1300	54951	\N	\N	\N
217865	741	1994-09-13	PRIJEM	VKLAD	1300	40777	\N	\N	\N
217866	741	1994-10-14	PRIJEM	VKLAD	1300	34893	\N	\N	\N
217867	741	1994-11-13	PRIJEM	VKLAD	1300	30686	\N	\N	\N
217868	741	1994-12-17	PRIJEM	VKLAD	1300	31209	\N	\N	\N
217869	741	1995-01-14	PRIJEM	VKLAD	1300	29230	\N	\N	\N
217870	741	1995-02-14	PRIJEM	VKLAD	1300	21923	\N	\N	\N
217871	741	1995-03-14	PRIJEM	VKLAD	1300	28487	\N	\N	\N
217872	741	1995-04-14	PRIJEM	VKLAD	1300	28579	\N	\N	\N
217873	741	1995-05-17	PRIJEM	VKLAD	1300	30884	\N	\N	\N
217874	741	1995-06-15	PRIJEM	VKLAD	1300	30393	\N	\N	\N
217875	741	1995-07-13	PRIJEM	VKLAD	1300	52572	\N	\N	\N
217876	741	1995-08-13	PRIJEM	VKLAD	1300	79913	\N	\N	\N
217877	741	1995-09-13	PRIJEM	VKLAD	1300	56094	\N	\N	\N
217878	741	1995-10-15	PRIJEM	VKLAD	1300	47508	\N	\N	\N
217879	741	1995-11-17	PRIJEM	VKLAD	1300	39962	\N	\N	\N
217880	741	1995-12-17	PRIJEM	VKLAD	1300	40934	\N	\N	\N
217881	741	1996-01-17	PRIJEM	VKLAD	1300	29192	\N	\N	\N
217882	741	1996-02-13	PRIJEM	VKLAD	1300	27704	\N	\N	\N
217883	741	1996-03-13	PRIJEM	VKLAD	1300	56014	\N	\N	\N
217884	741	1996-04-17	PRIJEM	VKLAD	1300	46012	\N	\N	\N
217885	741	1996-05-16	PRIJEM	VKLAD	1300	44311	\N	\N	\N
217886	741	1996-06-14	PRIJEM	VKLAD	1300	44385	\N	\N	\N
217887	741	1996-07-13	PRIJEM	VKLAD	1300	33420	\N	\N	\N
217888	741	1996-08-16	PRIJEM	VKLAD	1300	39323	\N	\N	\N
217889	741	1996-09-14	PRIJEM	VKLAD	1300	45466	\N	\N	\N
217890	741	1996-10-13	PRIJEM	VKLAD	1300	47235	\N	\N	\N
217891	741	1996-11-14	PRIJEM	VKLAD	1300	47120	\N	\N	\N
217892	741	1996-12-14	PRIJEM	VKLAD	1300	69494	\N	\N	\N
217893	741	1997-01-15	PRIJEM	VKLAD	1300	45067	\N	\N	\N
217894	741	1997-02-15	PRIJEM	VKLAD	1300	46497	\N	\N	\N
217895	741	1997-03-15	PRIJEM	VKLAD	1300	44569	\N	\N	\N
217896	741	1997-04-17	PRIJEM	VKLAD	1300	45233	\N	\N	\N
217897	741	1997-05-15	PRIJEM	VKLAD	1300	44800	\N	\N	\N
217898	741	1997-06-17	PRIJEM	VKLAD	1300	46066	\N	\N	\N
217899	741	1997-07-15	PRIJEM	VKLAD	1300	35231	\N	\N	\N
217900	741	1997-08-13	PRIJEM	VKLAD	1300	40763	\N	\N	\N
217901	741	1997-09-13	PRIJEM	VKLAD	1300	65528	\N	\N	\N
217902	741	1997-10-17	PRIJEM	VKLAD	1300	59677	\N	\N	\N
217903	741	1997-11-17	PRIJEM	VKLAD	1300	54603	\N	\N	\N
217904	741	1997-12-13	PRIJEM	VKLAD	1300	73495	\N	\N	\N
217905	741	1998-01-17	PRIJEM	VKLAD	1300	60526	\N	\N	\N
217906	741	1998-02-17	PRIJEM	VKLAD	1300	49704	\N	\N	\N
217907	741	1998-03-15	PRIJEM	VKLAD	1300	49992	\N	\N	\N
217908	741	1998-04-17	PRIJEM	VKLAD	1300	53684	\N	\N	\N
217909	741	1998-05-13	PRIJEM	VKLAD	1300	57842	\N	\N	\N
217910	741	1998-06-15	PRIJEM	VKLAD	1300	63168	\N	\N	\N
217911	741	1998-07-13	PRIJEM	VKLAD	1300	85478	\N	\N	\N
217912	741	1998-08-13	PRIJEM	VKLAD	1300	74297	\N	\N	\N
217913	741	1998-09-17	PRIJEM	VKLAD	1300	64670	\N	\N	\N
217914	741	1998-10-17	PRIJEM	VKLAD	1300	60110	\N	\N	\N
217915	741	1998-11-16	PRIJEM	VKLAD	1300	59035	\N	\N	\N
217916	741	1998-12-16	PRIJEM	VKLAD	1300	56356	\N	\N	\N
217923	741	1994-07-18	PRIJEM	VKLAD	1700	2500	\N	\N	\N
217924	741	1994-08-18	PRIJEM	VKLAD	1700	56651	\N	\N	\N
217925	741	1994-09-18	PRIJEM	VKLAD	1700	42477	\N	\N	\N
217926	741	1994-10-18	PRIJEM	VKLAD	1700	36593	\N	\N	\N
217927	741	1994-11-18	PRIJEM	VKLAD	1700	32386	\N	\N	\N
217928	741	1994-12-18	PRIJEM	VKLAD	1700	32909	\N	\N	\N
217929	741	1995-07-18	PRIJEM	VKLAD	1700	54272	\N	\N	\N
217930	741	1995-08-18	PRIJEM	VKLAD	1700	81613	\N	\N	\N
217931	741	1995-09-18	PRIJEM	VKLAD	1700	57794	\N	\N	\N
217932	741	1995-10-18	PRIJEM	VKLAD	1700	49208	\N	\N	\N
217933	741	1995-11-18	PRIJEM	VKLAD	1700	41662	\N	\N	\N
217934	741	1995-12-18	PRIJEM	VKLAD	1700	42634	\N	\N	\N
217935	741	1996-07-18	PRIJEM	VKLAD	1700	35120	\N	\N	\N
217936	741	1996-08-18	PRIJEM	VKLAD	1700	41023	\N	\N	\N
217937	741	1996-09-18	PRIJEM	VKLAD	1700	47166	\N	\N	\N
217938	741	1996-10-18	PRIJEM	VKLAD	1700	48935	\N	\N	\N
217939	741	1996-11-18	PRIJEM	VKLAD	1700	48820	\N	\N	\N
217940	741	1996-12-18	PRIJEM	VKLAD	1700	71194	\N	\N	\N
217941	741	1997-07-18	PRIJEM	VKLAD	1700	36931	\N	\N	\N
217942	741	1997-08-18	PRIJEM	VKLAD	1700	42463	\N	\N	\N
217943	741	1997-09-18	PRIJEM	VKLAD	1700	66428	\N	\N	\N
217944	741	1997-10-18	PRIJEM	VKLAD	1700	61377	\N	\N	\N
217945	741	1997-11-18	PRIJEM	VKLAD	1700	56303	\N	\N	\N
217946	741	1997-12-18	PRIJEM	VKLAD	1700	75195	\N	\N	\N
217947	741	1998-01-18	PRIJEM	VKLAD	1700	62226	\N	\N	\N
217948	741	1998-02-18	PRIJEM	VKLAD	1700	51404	\N	\N	\N
217949	741	1998-03-18	PRIJEM	VKLAD	1700	51692	\N	\N	\N
217950	741	1998-04-18	PRIJEM	VKLAD	1700	55384	\N	\N	\N
217951	741	1998-05-18	PRIJEM	VKLAD	1700	59542	\N	\N	\N
217952	741	1998-06-18	PRIJEM	VKLAD	1700	42068	\N	\N	\N
217955	741	1996-06-21	VYDAJ	VYBER	24700	19685	\N	\N	\N
217956	741	1997-06-27	VYDAJ	VYBER	10700	23266	\N	\N	\N
217957	741	1998-06-20	VYDAJ	VYBER	7400	34668	\N	\N	\N
217959	741	1995-01-23	VYDAJ	VYBER	9600	19630	\N	\N	\N
217960	741	1996-01-25	VYDAJ	VYBER	9500	18592	\N	\N	\N
217961	741	1997-01-08	VYDAJ	VYBER	3700	47667	\N	\N	\N
217962	741	1998-01-09	VYDAJ	VYBER	2700	59576	\N	\N	\N
217966	741	1997-06-17	VYDAJ	VYBER	12100	33966	\N	\N	\N
217967	741	1998-06-17	VYDAJ	VYBER	22800	40368	\N	\N	\N
217970	741	1996-01-15	VYDAJ	VYBER	6500	29142	\N	\N	\N
217971	741	1997-01-14	VYDAJ	VYBER	3900	43767	\N	\N	\N
217972	741	1998-01-27	VYDAJ	VYBER	3100	50826	\N	\N	\N
217973	741	1994-12-28	VYDAJ	VYBER	2300	30609	\N	\N	\N
217974	741	1995-12-06	VYDAJ	VYBER	1600	40234	\N	\N	\N
217975	741	1996-12-25	VYDAJ	VYBER	2500	68694	\N	\N	\N
217976	741	1997-12-02	VYDAJ	VYBER	1700	72195	\N	\N	\N
217977	741	1998-12-01	VYDAJ	VYBER	2200	55056	\N	\N	\N
217984	741	1995-01-06	VYDAJ	VYBER	300	30430	\N	\N	\N
217985	741	1995-01-27	VYDAJ	VYBER	1400	16880	\N	\N	\N
217986	741	1995-01-27	VYDAJ	VYBER	1400	15480	\N	\N	\N
217987	741	1995-01-24	VYDAJ	VYBER	1350	18280	\N	\N	\N
217988	741	1995-01-29	VYDAJ	VYBER	450	15030	\N	\N	\N
217989	741	1995-01-12	VYDAJ	VYBER	1400	27930	\N	\N	\N
217990	741	1996-01-21	VYDAJ	VYBER	1100	28092	\N	\N	\N
217991	741	1996-01-04	VYDAJ	VYBER	350	41242	\N	\N	\N
217992	741	1996-01-16	VYDAJ	VYBER	1250	27892	\N	\N	\N
217993	741	1996-01-30	VYDAJ	VYBER	300	17492	\N	\N	\N
217994	741	1996-01-09	VYDAJ	VYBER	300	35642	\N	\N	\N
217995	741	1996-01-28	VYDAJ	VYBER	800	17792	\N	\N	\N
217996	741	1997-01-16	VYDAJ	VYBER	650	44417	\N	\N	\N
217997	741	1997-01-05	VYDAJ	VYBER	1200	51367	\N	\N	\N
217998	741	1997-01-03	VYDAJ	VYBER	850	53317	\N	\N	\N
217999	741	1997-01-01	VYDAJ	VYBER	850	55467	\N	\N	\N
218000	741	1997-01-02	VYDAJ	VYBER	1300	54167	\N	\N	\N
218001	741	1997-01-04	VYDAJ	VYBER	750	52567	\N	\N	\N
218002	741	1998-01-28	VYDAJ	VYBER	800	50026	\N	\N	\N
218003	741	1998-01-12	VYDAJ	VYBER	350	59226	\N	\N	\N
218004	741	1998-01-29	VYDAJ	VYBER	1400	48626	\N	\N	\N
218005	741	1998-01-21	VYDAJ	VYBER	1300	59676	\N	\N	\N
218006	741	1998-01-24	VYDAJ	VYBER	450	53926	\N	\N	\N
218007	741	1998-01-21	VYDAJ	VYBER	1250	60976	\N	\N	\N
218009	741	1994-10-21	VYDAJ	VYBER	1550	35043	\N	\N	\N
218012	741	1995-10-27	VYDAJ	VYBER	1950	47258	\N	\N	\N
218013	741	1995-07-02	VYDAJ	VYBER	900	27904	\N	\N	\N
218014	741	1995-08-07	VYDAJ	VYBER	1250	51174	\N	\N	\N
218015	741	1995-09-19	VYDAJ	VYBER	550	57244	\N	\N	\N
218016	741	1995-07-23	VYDAJ	VYBER	2050	52222	\N	\N	\N
218017	741	1995-06-21	VYDAJ	VYBER	1700	28693	\N	\N	\N
218018	741	1996-01-06	VYDAJ	VYBER	1200	35942	\N	\N	\N
218019	741	1996-06-30	VYDAJ	VYBER	1700	18135	\N	\N	\N
218020	741	1996-01-04	VYDAJ	VYBER	1200	41592	\N	\N	\N
218021	741	1997-09-15	VYDAJ	VYBER	800	64728	\N	\N	\N
218022	741	1997-02-17	VYDAJ	VYBER	2000	44497	\N	\N	\N
218023	741	1998-02-14	VYDAJ	VYBER	450	48404	\N	\N	\N
218024	741	1998-04-21	VYDAJ	VYBER	1600	53784	\N	\N	\N
218025	741	1998-04-21	VYDAJ	VYBER	1850	51934	\N	\N	\N
218026	741	1998-04-30	VYDAJ	VYBER	900	56556	\N	\N	\N
218036	741	1994-09-30	VYDAJ	VYBER	15	42662	SLUZBY	\N	\N
218037	741	1994-10-31	VYDAJ	VYBER	15	35186	SLUZBY	\N	\N
218038	741	1994-11-30	VYDAJ	VYBER	15	32509	SLUZBY	\N	\N
218039	741	1994-12-31	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
218040	741	1995-01-31	VYDAJ	VYBER	15	15123	SLUZBY	\N	\N
218041	741	1995-02-28	VYDAJ	VYBER	15	21987	SLUZBY	\N	\N
218042	741	1995-03-31	VYDAJ	VYBER	15	28579	SLUZBY	\N	\N
218043	741	1995-04-30	VYDAJ	VYBER	15	28684	SLUZBY	\N	\N
218044	741	1995-05-31	VYDAJ	VYBER	15	30993	SLUZBY	\N	\N
218045	741	1995-06-30	VYDAJ	VYBER	15	28804	SLUZBY	\N	\N
218046	741	1995-07-31	VYDAJ	VYBER	15	52424	SLUZBY	\N	\N
218047	741	1995-08-31	VYDAJ	VYBER	15	81894	SLUZBY	\N	\N
218048	741	1995-09-30	VYDAJ	VYBER	15	57508	SLUZBY	\N	\N
218049	741	1995-10-31	VYDAJ	VYBER	15	47462	SLUZBY	\N	\N
218050	741	1995-11-30	VYDAJ	VYBER	15	41834	SLUZBY	\N	\N
218051	741	1995-12-31	VYDAJ	VYBER	15	42792	SLUZBY	\N	\N
218052	741	1996-01-31	VYDAJ	VYBER	15	17604	SLUZBY	\N	\N
218053	741	1996-02-29	VYDAJ	VYBER	15	27787	SLUZBY	\N	\N
218054	741	1996-03-31	VYDAJ	VYBER	15	56212	SLUZBY	\N	\N
218055	741	1996-04-30	VYDAJ	VYBER	15	46211	SLUZBY	\N	\N
218056	741	1996-05-31	VYDAJ	VYBER	15	44485	SLUZBY	\N	\N
218057	741	1996-06-30	VYDAJ	VYBER	15	18120	SLUZBY	\N	\N
218058	741	1996-07-31	VYDAJ	VYBER	15	35223	SLUZBY	\N	\N
218059	741	1996-08-31	VYDAJ	VYBER	15	41166	SLUZBY	\N	\N
218060	741	1996-09-30	VYDAJ	VYBER	15	47335	SLUZBY	\N	\N
218061	741	1996-10-31	VYDAJ	VYBER	15	45820	SLUZBY	\N	\N
218062	741	1996-11-30	VYDAJ	VYBER	15	42100	SLUZBY	\N	\N
218063	741	1996-12-31	VYDAJ	VYBER	15	56317	SLUZBY	\N	\N
218064	741	1997-01-31	VYDAJ	VYBER	15	45197	SLUZBY	\N	\N
218065	741	1997-02-28	VYDAJ	VYBER	15	43269	SLUZBY	\N	\N
218066	741	1997-03-31	VYDAJ	VYBER	15	43933	SLUZBY	\N	\N
218067	741	1997-04-30	VYDAJ	VYBER	15	43500	SLUZBY	\N	\N
218068	741	1997-05-31	VYDAJ	VYBER	15	44766	SLUZBY	\N	\N
218069	741	1997-06-30	VYDAJ	VYBER	15	33931	SLUZBY	\N	\N
218070	741	1997-07-31	VYDAJ	VYBER	15	39463	SLUZBY	\N	\N
218071	741	1997-08-31	VYDAJ	VYBER	15	64228	SLUZBY	\N	\N
218072	741	1997-09-30	VYDAJ	VYBER	15	58377	SLUZBY	\N	\N
218073	741	1997-10-31	VYDAJ	VYBER	15	53303	SLUZBY	\N	\N
218074	741	1997-11-30	VYDAJ	VYBER	15	73895	SLUZBY	\N	\N
218075	741	1997-12-31	VYDAJ	VYBER	15	62276	SLUZBY	\N	\N
218076	741	1998-01-31	VYDAJ	VYBER	15	48854	SLUZBY	\N	\N
218077	741	1998-02-28	VYDAJ	VYBER	15	48692	SLUZBY	\N	\N
218078	741	1998-03-31	VYDAJ	VYBER	15	52384	SLUZBY	\N	\N
218079	741	1998-04-30	VYDAJ	VYBER	15	56542	SLUZBY	\N	\N
218080	741	1998-05-31	VYDAJ	VYBER	15	61868	SLUZBY	\N	\N
218081	741	1998-06-30	VYDAJ	VYBER	15	84178	SLUZBY	\N	\N
218082	741	1998-07-31	VYDAJ	VYBER	15	72997	SLUZBY	\N	\N
218083	741	1998-08-31	VYDAJ	VYBER	15	63370	SLUZBY	\N	\N
218084	741	1998-09-30	VYDAJ	VYBER	15	58810	SLUZBY	\N	\N
218085	741	1998-10-31	VYDAJ	VYBER	15	57735	SLUZBY	\N	\N
218086	741	1998-11-30	VYDAJ	VYBER	15	57256	SLUZBY	\N	\N
218087	741	1994-08-13	PRIJEM	VKLAD	11900	14405	\N	\N	\N
218088	741	1994-09-12	VYDAJ	VYBER	17300	39477	\N	\N	\N
218089	741	1994-10-12	VYDAJ	VYBER	12000	33593	\N	\N	\N
218090	741	1994-11-11	VYDAJ	VYBER	5800	29386	\N	\N	\N
218091	741	1994-12-11	VYDAJ	VYBER	2600	29909	\N	\N	\N
218092	741	1995-01-10	VYDAJ	VYBER	1100	29330	\N	\N	\N
218093	741	1995-02-09	PRIJEM	VKLAD	5500	20623	\N	\N	\N
218094	741	1995-03-11	PRIJEM	VKLAD	5200	27187	\N	\N	\N
218095	741	1995-04-10	VYDAJ	VYBER	1300	27279	\N	\N	\N
218096	741	1995-05-10	PRIJEM	VKLAD	900	29584	\N	\N	\N
218097	741	1995-06-09	VYDAJ	VYBER	1900	29093	\N	\N	\N
218098	741	1995-07-09	VYDAJ	VYBER	21500	51272	\N	\N	\N
218099	741	1995-08-08	VYDAJ	VYBER	6500	44674	\N	\N	\N
218100	741	1995-09-07	VYDAJ	VYBER	27100	54794	\N	\N	\N
218101	741	1995-10-07	VYDAJ	VYBER	11300	46208	\N	\N	\N
218102	741	1995-11-06	VYDAJ	VYBER	8800	38662	\N	\N	\N
218103	741	1995-12-06	VYDAJ	VYBER	600	39634	\N	\N	\N
218104	741	1996-01-05	VYDAJ	VYBER	4100	37142	\N	\N	\N
218105	741	1996-02-04	PRIJEM	VKLAD	8800	26404	\N	\N	\N
218106	741	1996-03-05	PRIJEM	VKLAD	3400	31187	\N	\N	\N
218107	741	1996-04-04	VYDAJ	VYBER	11500	44712	\N	\N	\N
218108	741	1996-05-04	VYDAJ	VYBER	3200	43011	\N	\N	\N
218109	741	1996-06-03	VYDAJ	VYBER	1400	43085	\N	\N	\N
218110	741	1996-07-03	PRIJEM	VKLAD	14000	32120	\N	\N	\N
218111	741	1996-08-02	PRIJEM	VKLAD	2800	38023	\N	\N	\N
218112	741	1996-09-01	PRIJEM	VKLAD	3000	44166	\N	\N	\N
218113	741	1996-10-01	VYDAJ	VYBER	1400	45935	\N	\N	\N
218114	741	1996-10-31	VYDAJ	VYBER	3300	45834	\N	\N	\N
218115	741	1996-11-30	VYDAJ	VYBER	6900	42114	\N	\N	\N
218116	741	1996-12-30	VYDAJ	VYBER	12600	56094	\N	\N	\N
218117	741	1997-01-29	PRIJEM	VKLAD	600	45017	\N	\N	\N
218118	741	1997-02-28	VYDAJ	VYBER	1400	43283	\N	\N	\N
218119	741	1997-03-30	VYDAJ	VYBER	800	43769	\N	\N	\N
218120	741	1997-04-29	VYDAJ	VYBER	1900	43333	\N	\N	\N
218121	741	1997-05-29	VYDAJ	VYBER	200	44600	\N	\N	\N
218122	741	1997-06-28	PRIJEM	VKLAD	10500	33766	\N	\N	\N
218123	741	1997-07-28	PRIJEM	VKLAD	2400	39331	\N	\N	\N
218124	741	1997-08-27	VYDAJ	VYBER	14400	64052	\N	\N	\N
218125	741	1997-09-26	VYDAJ	VYBER	8300	58128	\N	\N	\N
218126	741	1997-10-26	VYDAJ	VYBER	8300	53077	\N	\N	\N
218127	741	1997-11-25	VYDAJ	VYBER	31600	73629	\N	\N	\N
218128	741	1997-12-25	VYDAJ	VYBER	13200	61995	\N	\N	\N
218129	741	1998-01-24	VYDAJ	VYBER	5300	54376	\N	\N	\N
218130	741	1998-02-23	VYDAJ	VYBER	2900	48504	\N	\N	\N
218131	741	1998-03-25	PRIJEM	VKLAD	500	52192	\N	\N	\N
218132	741	1998-04-24	PRIJEM	VKLAD	5300	57234	\N	\N	\N
218133	741	1998-05-24	PRIJEM	VKLAD	2100	61642	\N	\N	\N
218134	741	1998-06-23	VYDAJ	VYBER	9300	67092	\N	\N	\N
218135	741	1998-07-23	VYDAJ	VYBER	12800	72678	\N	\N	\N
218136	741	1998-08-22	VYDAJ	VYBER	11200	63097	\N	\N	\N
218137	741	1998-09-21	VYDAJ	VYBER	6100	58570	\N	\N	\N
218138	741	1998-10-21	VYDAJ	VYBER	2600	57510	\N	\N	\N
218139	741	1998-11-20	VYDAJ	VYBER	2000	57035	\N	\N	\N
218194	742	1994-01-28	PRIJEM	VKLAD	400	400	\N	\N	\N
218196	742	1994-02-07	PRIJEM	PREVOD Z UCTU	4263	4663	DUCHOD	OP	46127873
218197	742	1994-03-07	PRIJEM	PREVOD Z UCTU	4263	8926	DUCHOD	OP	46127873
218198	742	1994-04-07	PRIJEM	PREVOD Z UCTU	4263	13189	DUCHOD	OP	46127873
218199	742	1994-05-07	PRIJEM	PREVOD Z UCTU	4263	17452	DUCHOD	OP	46127873
218200	742	1994-06-07	PRIJEM	PREVOD Z UCTU	4263	21715	DUCHOD	OP	46127873
218201	742	1994-07-07	PRIJEM	PREVOD Z UCTU	4263	20200	DUCHOD	OP	46127873
218202	742	1994-08-07	PRIJEM	PREVOD Z UCTU	4263	22483	DUCHOD	OP	46127873
218203	742	1994-09-07	PRIJEM	PREVOD Z UCTU	4263	24775	DUCHOD	OP	46127873
218204	742	1994-10-07	PRIJEM	PREVOD Z UCTU	4263	25237	DUCHOD	OP	46127873
218205	742	1994-11-07	PRIJEM	PREVOD Z UCTU	4263	27542	DUCHOD	OP	46127873
218206	742	1994-12-07	PRIJEM	PREVOD Z UCTU	4263	28654	DUCHOD	OP	46127873
218207	742	1995-01-07	PRIJEM	PREVOD Z UCTU	4263	25347	DUCHOD	OP	46127873
218208	742	1995-02-07	PRIJEM	PREVOD Z UCTU	4263	19709	DUCHOD	OP	46127873
218209	742	1995-03-07	PRIJEM	PREVOD Z UCTU	4263	21990	DUCHOD	OP	46127873
218210	742	1995-04-07	PRIJEM	PREVOD Z UCTU	4263	24180	DUCHOD	OP	46127873
218211	742	1995-05-07	PRIJEM	PREVOD Z UCTU	4263	24877	DUCHOD	OP	46127873
218212	742	1995-06-07	PRIJEM	PREVOD Z UCTU	4263	27179	DUCHOD	OP	46127873
218213	742	1995-07-07	PRIJEM	PREVOD Z UCTU	4263	24932	DUCHOD	OP	46127873
218214	742	1995-08-07	PRIJEM	PREVOD Z UCTU	4263	25732	DUCHOD	OP	46127873
218215	742	1995-09-07	PRIJEM	PREVOD Z UCTU	4263	28038	DUCHOD	OP	46127873
218216	742	1995-10-07	PRIJEM	PREVOD Z UCTU	4263	27627	DUCHOD	OP	46127873
218217	742	1995-11-07	PRIJEM	PREVOD Z UCTU	4263	25433	DUCHOD	OP	46127873
218218	742	1995-12-07	PRIJEM	PREVOD Z UCTU	4263	24171	DUCHOD	OP	46127873
218219	742	1996-01-07	PRIJEM	PREVOD Z UCTU	4263	21770	DUCHOD	OP	46127873
218220	742	1996-02-07	PRIJEM	PREVOD Z UCTU	4263	16504	DUCHOD	OP	46127873
218221	742	1996-03-07	PRIJEM	PREVOD Z UCTU	4263	15804	DUCHOD	OP	46127873
218222	742	1996-04-07	PRIJEM	PREVOD Z UCTU	4263	17106	DUCHOD	OP	46127873
218223	742	1996-05-07	PRIJEM	PREVOD Z UCTU	4263	17933	DUCHOD	OP	46127873
218224	742	1996-06-07	PRIJEM	PREVOD Z UCTU	4263	20206	DUCHOD	OP	46127873
218225	742	1996-07-07	PRIJEM	PREVOD Z UCTU	4263	18005	DUCHOD	OP	46127873
218226	742	1996-08-07	PRIJEM	PREVOD Z UCTU	4263	18594	DUCHOD	OP	46127873
218227	742	1996-09-07	PRIJEM	PREVOD Z UCTU	4263	20870	DUCHOD	OP	46127873
218228	742	1996-10-07	PRIJEM	PREVOD Z UCTU	4263	21451	DUCHOD	OP	46127873
218229	742	1996-11-07	PRIJEM	PREVOD Z UCTU	4263	23738	DUCHOD	OP	46127873
218230	742	1996-12-07	PRIJEM	PREVOD Z UCTU	4263	24833	DUCHOD	OP	46127873
218231	742	1997-01-07	PRIJEM	PREVOD Z UCTU	4263	21863	DUCHOD	OP	46127873
218232	742	1997-02-07	PRIJEM	PREVOD Z UCTU	4263	18626	DUCHOD	OP	46127873
218233	742	1997-03-07	PRIJEM	PREVOD Z UCTU	4263	20901	DUCHOD	OP	46127873
218234	742	1997-04-07	PRIJEM	PREVOD Z UCTU	4263	22545	DUCHOD	OP	46127873
218235	742	1997-05-07	PRIJEM	PREVOD Z UCTU	4263	24836	DUCHOD	OP	46127873
218236	742	1997-06-07	PRIJEM	PREVOD Z UCTU	4263	27137	DUCHOD	OP	46127873
218237	742	1997-07-07	PRIJEM	PREVOD Z UCTU	4263	22732	DUCHOD	OP	46127873
218238	742	1997-08-07	PRIJEM	PREVOD Z UCTU	4263	22919	DUCHOD	OP	46127873
218239	742	1997-09-07	PRIJEM	PREVOD Z UCTU	4263	25212	DUCHOD	OP	46127873
218240	742	1997-10-07	PRIJEM	PREVOD Z UCTU	4263	26712	DUCHOD	OP	46127873
218241	742	1997-11-07	PRIJEM	PREVOD Z UCTU	4263	29021	DUCHOD	OP	46127873
218242	742	1997-12-07	PRIJEM	PREVOD Z UCTU	4263	23015	DUCHOD	OP	46127873
218243	742	1998-01-07	PRIJEM	PREVOD Z UCTU	4263	20578	DUCHOD	OP	46127873
218244	742	1998-02-07	PRIJEM	PREVOD Z UCTU	4263	18256	DUCHOD	OP	46127873
218245	742	1998-03-07	PRIJEM	PREVOD Z UCTU	4263	20529	DUCHOD	OP	46127873
218246	742	1998-04-07	PRIJEM	PREVOD Z UCTU	4263	22171	DUCHOD	OP	46127873
218247	742	1998-05-07	PRIJEM	PREVOD Z UCTU	4263	17499	DUCHOD	OP	46127873
218248	742	1998-06-07	PRIJEM	PREVOD Z UCTU	4263	19769	DUCHOD	OP	46127873
218249	742	1998-07-07	PRIJEM	PREVOD Z UCTU	4263	22048	DUCHOD	OP	46127873
218250	742	1998-08-07	PRIJEM	PREVOD Z UCTU	4263	23615	DUCHOD	OP	46127873
218251	742	1998-09-07	PRIJEM	PREVOD Z UCTU	4263	25910	DUCHOD	OP	46127873
218252	742	1998-10-07	PRIJEM	PREVOD Z UCTU	4263	28215	DUCHOD	OP	46127873
218253	742	1998-11-07	PRIJEM	PREVOD Z UCTU	4263	30529	DUCHOD	OP	46127873
218254	742	1998-12-07	PRIJEM	PREVOD Z UCTU	4263	32853	DUCHOD	OP	46127873
218261	742	1994-07-06	VYDAJ	PREVOD NA UCET	2048	15937	SIPO	CD	99545573
218262	742	1994-08-06	VYDAJ	PREVOD NA UCET	2048	18220	SIPO	CD	99545573
218263	742	1994-09-06	VYDAJ	PREVOD NA UCET	2048	20512	SIPO	CD	99545573
218264	742	1994-10-06	VYDAJ	PREVOD NA UCET	2048	20974	SIPO	CD	99545573
218265	742	1994-11-06	VYDAJ	PREVOD NA UCET	2048	23279	SIPO	CD	99545573
218266	742	1994-12-06	VYDAJ	PREVOD NA UCET	2048	24391	SIPO	CD	99545573
218267	742	1995-01-06	VYDAJ	PREVOD NA UCET	2048	21084	SIPO	CD	99545573
218268	742	1995-02-06	VYDAJ	PREVOD NA UCET	2048	15446	SIPO	CD	99545573
218269	742	1995-03-06	VYDAJ	PREVOD NA UCET	2048	17727	SIPO	CD	99545573
218270	742	1995-04-06	VYDAJ	PREVOD NA UCET	2048	19917	SIPO	CD	99545573
218271	742	1995-05-06	VYDAJ	PREVOD NA UCET	2048	20614	SIPO	CD	99545573
218272	742	1995-06-06	VYDAJ	PREVOD NA UCET	2048	22916	SIPO	CD	99545573
218273	742	1995-07-06	VYDAJ	PREVOD NA UCET	2048	20669	SIPO	CD	99545573
218274	742	1995-08-06	VYDAJ	PREVOD NA UCET	2048	21469	SIPO	CD	99545573
218275	742	1995-09-06	VYDAJ	PREVOD NA UCET	2048	23775	SIPO	CD	99545573
218276	742	1995-10-06	VYDAJ	PREVOD NA UCET	2048	23364	SIPO	CD	99545573
218277	742	1995-11-06	VYDAJ	PREVOD NA UCET	2048	21170	SIPO	CD	99545573
218278	742	1995-12-06	VYDAJ	PREVOD NA UCET	2048	19908	SIPO	CD	99545573
218279	742	1996-01-06	VYDAJ	PREVOD NA UCET	2048	17507	SIPO	CD	99545573
218280	742	1996-02-06	VYDAJ	PREVOD NA UCET	2048	12241	SIPO	CD	99545573
218281	742	1996-03-06	VYDAJ	PREVOD NA UCET	2048	11541	SIPO	CD	99545573
218282	742	1996-04-06	VYDAJ	PREVOD NA UCET	2048	12843	SIPO	CD	99545573
218283	742	1996-05-06	VYDAJ	PREVOD NA UCET	2048	13670	SIPO	CD	99545573
218284	742	1996-06-06	VYDAJ	PREVOD NA UCET	2048	15943	SIPO	CD	99545573
218285	742	1996-07-06	VYDAJ	PREVOD NA UCET	2048	13742	SIPO	CD	99545573
218286	742	1996-08-06	VYDAJ	PREVOD NA UCET	2048	14331	SIPO	CD	99545573
218287	742	1996-09-06	VYDAJ	PREVOD NA UCET	2048	16607	SIPO	CD	99545573
218288	742	1996-10-06	VYDAJ	PREVOD NA UCET	2048	17188	SIPO	CD	99545573
218289	742	1996-11-06	VYDAJ	PREVOD NA UCET	2048	19475	SIPO	CD	99545573
218290	742	1996-12-06	VYDAJ	PREVOD NA UCET	2048	20570	SIPO	CD	99545573
218291	742	1997-01-06	VYDAJ	PREVOD NA UCET	2048	17600	SIPO	CD	99545573
218292	742	1997-02-06	VYDAJ	PREVOD NA UCET	2048	14363	SIPO	CD	99545573
218293	742	1997-03-06	VYDAJ	PREVOD NA UCET	2048	16638	SIPO	CD	99545573
218294	742	1997-04-06	VYDAJ	PREVOD NA UCET	2048	18282	SIPO	CD	99545573
218295	742	1997-05-06	VYDAJ	PREVOD NA UCET	2048	20573	SIPO	CD	99545573
218296	742	1997-06-06	VYDAJ	PREVOD NA UCET	2048	22874	SIPO	CD	99545573
218297	742	1997-07-06	VYDAJ	PREVOD NA UCET	2048	18469	SIPO	CD	99545573
218298	742	1997-08-06	VYDAJ	PREVOD NA UCET	2048	18656	SIPO	CD	99545573
218299	742	1997-09-06	VYDAJ	PREVOD NA UCET	2048	20949	SIPO	CD	99545573
218300	742	1997-10-06	VYDAJ	PREVOD NA UCET	2048	22449	SIPO	CD	99545573
218301	742	1997-11-06	VYDAJ	PREVOD NA UCET	2048	24758	SIPO	CD	99545573
218302	742	1997-12-06	VYDAJ	PREVOD NA UCET	2048	18752	SIPO	CD	99545573
218303	742	1998-01-06	VYDAJ	PREVOD NA UCET	2048	16315	SIPO	CD	99545573
218304	742	1998-02-06	VYDAJ	PREVOD NA UCET	2048	13993	SIPO	CD	99545573
218305	742	1998-03-06	VYDAJ	PREVOD NA UCET	2048	16266	SIPO	CD	99545573
218306	742	1998-04-06	VYDAJ	PREVOD NA UCET	2048	17908	SIPO	CD	99545573
218307	742	1998-05-06	VYDAJ	PREVOD NA UCET	2048	13236	SIPO	CD	99545573
218308	742	1998-06-06	VYDAJ	PREVOD NA UCET	2048	15506	SIPO	CD	99545573
218309	742	1998-07-06	VYDAJ	PREVOD NA UCET	2048	17785	SIPO	CD	99545573
218310	742	1998-08-06	VYDAJ	PREVOD NA UCET	2048	19352	SIPO	CD	99545573
218311	742	1998-09-06	VYDAJ	PREVOD NA UCET	2048	21647	SIPO	CD	99545573
218312	742	1998-10-06	VYDAJ	PREVOD NA UCET	2048	23952	SIPO	CD	99545573
218313	742	1998-11-06	VYDAJ	PREVOD NA UCET	2048	26266	SIPO	CD	99545573
218314	742	1998-12-06	VYDAJ	PREVOD NA UCET	2048	28590	SIPO	CD	99545573
218315	742	1994-06-17	VYDAJ	VYBER	3750	17965	\N	\N	\N
218316	742	1995-06-16	VYDAJ	VYBER	4550	22629	\N	\N	\N
218317	742	1996-06-20	VYDAJ	VYBER	2000	18206	\N	\N	\N
218318	742	1997-06-17	VYDAJ	VYBER	3400	20437	\N	\N	\N
218321	742	1995-01-16	VYDAJ	VYBER	1450	22137	\N	\N	\N
218322	742	1996-01-13	VYDAJ	VYBER	4900	16870	\N	\N	\N
218324	742	1998-01-22	VYDAJ	VYBER	1800	18778	\N	\N	\N
218325	742	1994-12-10	VYDAJ	VYBER	800	27854	\N	\N	\N
218326	742	1995-12-30	VYDAJ	VYBER	600	23471	\N	\N	\N
218327	742	1996-12-11	VYDAJ	VYBER	800	24033	\N	\N	\N
218328	742	1997-12-29	VYDAJ	VYBER	1050	21965	\N	\N	\N
218329	742	1998-12-07	VYDAJ	VYBER	1100	31753	\N	\N	\N
218336	742	1995-01-14	VYDAJ	VYBER	1120	24227	\N	\N	\N
218337	742	1995-01-02	VYDAJ	VYBER	2320	23132	\N	\N	\N
218338	742	1995-01-16	VYDAJ	VYBER	640	23587	\N	\N	\N
218339	742	1995-01-17	VYDAJ	VYBER	2320	18537	\N	\N	\N
218340	742	1995-01-24	VYDAJ	VYBER	1120	17417	\N	\N	\N
218341	742	1995-01-17	VYDAJ	VYBER	1280	20857	\N	\N	\N
218342	742	1996-01-19	VYDAJ	VYBER	880	15990	\N	\N	\N
218343	742	1996-01-04	VYDAJ	VYBER	2000	19555	\N	\N	\N
218345	742	1996-01-23	VYDAJ	VYBER	1760	14230	\N	\N	\N
218346	742	1996-01-01	VYDAJ	VYBER	960	21555	\N	\N	\N
218347	742	1996-01-01	VYDAJ	VYBER	1040	22515	\N	\N	\N
218348	742	1997-01-21	VYDAJ	VYBER	1040	19463	\N	\N	\N
218349	742	1997-01-16	VYDAJ	VYBER	880	20983	\N	\N	\N
218350	742	1997-01-28	VYDAJ	VYBER	560	17543	\N	\N	\N
218351	742	1997-01-29	VYDAJ	VYBER	1200	16343	\N	\N	\N
218352	742	1997-01-23	VYDAJ	VYBER	1360	18103	\N	\N	\N
218353	742	1997-01-18	VYDAJ	VYBER	480	20503	\N	\N	\N
218356	742	1998-01-23	VYDAJ	VYBER	560	18218	\N	\N	\N
218357	742	1998-01-03	VYDAJ	VYBER	2160	18363	\N	\N	\N
218358	742	1998-01-24	VYDAJ	VYBER	2240	15978	\N	\N	\N
218359	742	1998-01-01	VYDAJ	VYBER	1520	20523	\N	\N	\N
218361	742	1994-10-02	VYDAJ	VYBER	1840	23022	\N	\N	\N
218364	742	1995-11-19	VYDAJ	VYBER	3360	22073	\N	\N	\N
218365	742	1995-09-14	VYDAJ	VYBER	2720	25318	\N	\N	\N
218366	742	1996-07-04	VYDAJ	VYBER	2480	15790	\N	\N	\N
218367	742	1996-12-18	VYDAJ	VYBER	3760	19573	\N	\N	\N
218368	742	1996-07-08	VYDAJ	VYBER	1680	16325	\N	\N	\N
218369	742	1996-04-20	VYDAJ	VYBER	1440	15666	\N	\N	\N
218370	742	1996-03-11	VYDAJ	VYBER	960	14844	\N	\N	\N
218371	742	1996-02-15	VYDAJ	VYBER	2960	13544	\N	\N	\N
218372	742	1996-11-20	VYDAJ	VYBER	1200	22538	\N	\N	\N
218373	742	1997-03-17	VYDAJ	VYBER	640	20261	\N	\N	\N
218375	742	1997-11-14	VYDAJ	VYBER	2800	20721	\N	\N	\N
218376	742	1998-12-11	VYDAJ	VYBER	1680	30073	\N	\N	\N
218377	742	1998-04-30	VYDAJ	VYBER	3600	15284	\N	\N	\N
218379	742	1998-12-12	VYDAJ	VYBER	3360	26713	\N	\N	\N
218380	742	1998-03-29	VYDAJ	VYBER	640	19889	\N	\N	\N
218381	742	1998-04-28	VYDAJ	VYBER	3360	18811	\N	\N	\N
218382	742	1998-07-13	VYDAJ	VYBER	720	21328	\N	\N	\N
218389	742	1994-06-30	VYDAJ	VYBER	15	17985	SLUZBY	\N	\N
218390	742	1994-07-31	VYDAJ	VYBER	15	20268	SLUZBY	\N	\N
218391	742	1994-08-31	VYDAJ	VYBER	15	22560	SLUZBY	\N	\N
218392	742	1994-09-30	VYDAJ	VYBER	15	24862	SLUZBY	\N	\N
218393	742	1994-10-31	VYDAJ	VYBER	15	25327	SLUZBY	\N	\N
218394	742	1994-11-30	VYDAJ	VYBER	15	26439	SLUZBY	\N	\N
218395	742	1994-12-31	VYDAJ	VYBER	15	25452	SLUZBY	\N	\N
218396	742	1995-01-31	VYDAJ	VYBER	15	17494	SLUZBY	\N	\N
218397	742	1995-02-28	VYDAJ	VYBER	15	19775	SLUZBY	\N	\N
218398	742	1995-03-31	VYDAJ	VYBER	15	21965	SLUZBY	\N	\N
218399	742	1995-04-30	VYDAJ	VYBER	15	22662	SLUZBY	\N	\N
218400	742	1995-05-31	VYDAJ	VYBER	15	24964	SLUZBY	\N	\N
218401	742	1995-06-30	VYDAJ	VYBER	15	22717	SLUZBY	\N	\N
218402	742	1995-07-31	VYDAJ	VYBER	15	23517	SLUZBY	\N	\N
218403	742	1995-08-31	VYDAJ	VYBER	15	25823	SLUZBY	\N	\N
218404	742	1995-09-30	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
218405	742	1995-10-31	VYDAJ	VYBER	15	23218	SLUZBY	\N	\N
218406	742	1995-11-30	VYDAJ	VYBER	15	21956	SLUZBY	\N	\N
218407	742	1995-12-31	VYDAJ	VYBER	15	23555	SLUZBY	\N	\N
218408	742	1996-01-31	VYDAJ	VYBER	15	14289	SLUZBY	\N	\N
218409	742	1996-02-29	VYDAJ	VYBER	15	13589	SLUZBY	\N	\N
218410	742	1996-03-31	VYDAJ	VYBER	15	14891	SLUZBY	\N	\N
218411	742	1996-04-30	VYDAJ	VYBER	15	15718	SLUZBY	\N	\N
218412	742	1996-05-31	VYDAJ	VYBER	15	17991	SLUZBY	\N	\N
218413	742	1996-06-30	VYDAJ	VYBER	15	18270	SLUZBY	\N	\N
218414	742	1996-07-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
218415	742	1996-08-31	VYDAJ	VYBER	15	18655	SLUZBY	\N	\N
218416	742	1996-09-30	VYDAJ	VYBER	15	19236	SLUZBY	\N	\N
218417	742	1996-10-31	VYDAJ	VYBER	15	21523	SLUZBY	\N	\N
218418	742	1996-11-30	VYDAJ	VYBER	15	22618	SLUZBY	\N	\N
218419	742	1996-12-31	VYDAJ	VYBER	15	19648	SLUZBY	\N	\N
218420	742	1997-01-31	VYDAJ	VYBER	15	16411	SLUZBY	\N	\N
218421	742	1997-02-28	VYDAJ	VYBER	15	18686	SLUZBY	\N	\N
218422	742	1997-03-31	VYDAJ	VYBER	15	20330	SLUZBY	\N	\N
218423	742	1997-04-30	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
218424	742	1997-05-31	VYDAJ	VYBER	15	24922	SLUZBY	\N	\N
218425	742	1997-06-30	VYDAJ	VYBER	15	20517	SLUZBY	\N	\N
218426	742	1997-07-31	VYDAJ	VYBER	15	20704	SLUZBY	\N	\N
218427	742	1997-08-31	VYDAJ	VYBER	15	22997	SLUZBY	\N	\N
218428	742	1997-09-30	VYDAJ	VYBER	15	24497	SLUZBY	\N	\N
218429	742	1997-10-31	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
218430	742	1997-11-30	VYDAJ	VYBER	15	20800	SLUZBY	\N	\N
218431	742	1997-12-31	VYDAJ	VYBER	15	22043	SLUZBY	\N	\N
218432	742	1998-01-31	VYDAJ	VYBER	15	16041	SLUZBY	\N	\N
218433	742	1998-02-28	VYDAJ	VYBER	15	18314	SLUZBY	\N	\N
218434	742	1998-03-31	VYDAJ	VYBER	15	19956	SLUZBY	\N	\N
218435	742	1998-04-30	VYDAJ	VYBER	15	18884	SLUZBY	\N	\N
218436	742	1998-05-31	VYDAJ	VYBER	15	17554	SLUZBY	\N	\N
218437	742	1998-06-30	VYDAJ	VYBER	15	19833	SLUZBY	\N	\N
218438	742	1998-07-31	VYDAJ	VYBER	15	21400	SLUZBY	\N	\N
218439	742	1998-08-31	VYDAJ	VYBER	15	23695	SLUZBY	\N	\N
218440	742	1998-09-30	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
218441	742	1998-10-31	VYDAJ	VYBER	15	28314	SLUZBY	\N	\N
218442	742	1998-11-30	VYDAJ	VYBER	15	30638	SLUZBY	\N	\N
218443	742	1994-11-24	VYDAJ	VYBER	1200	26342	\N	\N	\N
218444	742	1994-12-24	VYDAJ	VYBER	2500	25354	\N	\N	\N
218445	742	1995-03-24	VYDAJ	VYBER	100	21890	\N	\N	\N
218446	742	1995-04-23	VYDAJ	VYBER	1600	22580	\N	\N	\N
218447	742	1995-07-22	VYDAJ	VYBER	1500	23432	\N	\N	\N
218448	742	1995-10-20	VYDAJ	VYBER	4500	23127	\N	\N	\N
218449	742	1995-11-19	VYDAJ	VYBER	200	21873	\N	\N	\N
218450	742	1995-12-19	VYDAJ	VYBER	100	24071	\N	\N	\N
218451	742	1996-09-14	VYDAJ	VYBER	1700	19170	\N	\N	\N
218452	742	1996-12-13	VYDAJ	VYBER	700	23333	\N	\N	\N
218453	742	1997-06-11	VYDAJ	VYBER	3300	23837	\N	\N	\N
218454	742	1997-07-11	VYDAJ	VYBER	2100	20632	\N	\N	\N
218455	742	1997-09-09	VYDAJ	VYBER	800	24412	\N	\N	\N
218456	742	1997-11-08	VYDAJ	VYBER	5500	23521	\N	\N	\N
218512	743	1993-11-05	PRIJEM	VKLAD	500	500	\N	\N	\N
218523	743	1993-11-06	PRIJEM	PREVOD Z UCTU	4440	4940	DUCHOD	KL	14418650
218524	743	1993-12-06	PRIJEM	PREVOD Z UCTU	4440	9397	DUCHOD	KL	14418650
218525	743	1994-01-06	PRIJEM	PREVOD Z UCTU	4440	13858	DUCHOD	KL	14418650
218526	743	1994-02-06	PRIJEM	PREVOD Z UCTU	4440	18318	DUCHOD	KL	14418650
218527	743	1994-03-06	PRIJEM	PREVOD Z UCTU	4440	22779	DUCHOD	KL	14418650
218528	743	1994-04-06	PRIJEM	PREVOD Z UCTU	4440	24585	DUCHOD	KL	14418650
218529	743	1994-05-06	PRIJEM	PREVOD Z UCTU	4440	23127	DUCHOD	KL	14418650
218530	743	1994-06-06	PRIJEM	PREVOD Z UCTU	4440	24945	DUCHOD	KL	14418650
218531	743	1994-07-06	PRIJEM	PREVOD Z UCTU	4440	25728	DUCHOD	KL	14418650
218532	743	1994-08-06	PRIJEM	PREVOD Z UCTU	4440	23712	DUCHOD	KL	14418650
218533	743	1994-09-06	PRIJEM	PREVOD Z UCTU	4440	25533	DUCHOD	KL	14418650
218534	743	1994-10-06	PRIJEM	PREVOD Z UCTU	4440	27361	DUCHOD	KL	14418650
218535	743	1994-11-06	PRIJEM	PREVOD Z UCTU	4440	28697	DUCHOD	KL	14418650
218536	743	1994-12-06	PRIJEM	PREVOD Z UCTU	4440	29388	DUCHOD	KL	14418650
218537	743	1995-01-06	PRIJEM	PREVOD Z UCTU	4440	29794	DUCHOD	KL	14418650
218538	743	1995-02-06	PRIJEM	PREVOD Z UCTU	4440	20829	DUCHOD	KL	14418650
218539	743	1995-03-06	PRIJEM	PREVOD Z UCTU	4440	20237	DUCHOD	KL	14418650
218540	743	1995-04-06	PRIJEM	PREVOD Z UCTU	4440	22045	DUCHOD	KL	14418650
218541	743	1995-05-06	PRIJEM	PREVOD Z UCTU	4440	23858	DUCHOD	KL	14418650
218542	743	1995-06-06	PRIJEM	PREVOD Z UCTU	4440	25680	DUCHOD	KL	14418650
218543	743	1995-07-06	PRIJEM	PREVOD Z UCTU	4440	24552	DUCHOD	KL	14418650
218544	743	1995-08-06	PRIJEM	PREVOD Z UCTU	4440	26376	DUCHOD	KL	14418650
218545	743	1995-09-06	PRIJEM	PREVOD Z UCTU	4440	26121	DUCHOD	KL	14418650
218546	743	1995-10-06	PRIJEM	PREVOD Z UCTU	4440	24824	DUCHOD	KL	14418650
218547	743	1995-11-06	PRIJEM	PREVOD Z UCTU	4440	25205	DUCHOD	KL	14418650
218548	743	1995-12-06	PRIJEM	PREVOD Z UCTU	4440	27031	DUCHOD	KL	14418650
218549	743	1996-01-06	PRIJEM	PREVOD Z UCTU	4440	26485	DUCHOD	KL	14418650
218550	743	1996-02-06	PRIJEM	PREVOD Z UCTU	4440	21017	DUCHOD	KL	14418650
218551	743	1996-03-06	PRIJEM	PREVOD Z UCTU	4440	22826	DUCHOD	KL	14418650
218552	743	1996-04-06	PRIJEM	PREVOD Z UCTU	4440	24642	DUCHOD	KL	14418650
218553	743	1996-05-06	PRIJEM	PREVOD Z UCTU	4440	26466	DUCHOD	KL	14418650
218554	743	1996-06-06	PRIJEM	PREVOD Z UCTU	4440	28298	DUCHOD	KL	14418650
218555	743	1996-07-06	PRIJEM	PREVOD Z UCTU	4440	28293	DUCHOD	KL	14418650
218556	743	1996-08-06	PRIJEM	PREVOD Z UCTU	4440	30132	DUCHOD	KL	14418650
218557	743	1996-09-06	PRIJEM	PREVOD Z UCTU	4440	31979	DUCHOD	KL	14418650
218558	743	1996-10-06	PRIJEM	PREVOD Z UCTU	4440	33833	DUCHOD	KL	14418650
218559	743	1996-11-06	PRIJEM	PREVOD Z UCTU	4440	35695	DUCHOD	KL	14418650
218560	743	1996-12-06	PRIJEM	PREVOD Z UCTU	4440	34044	DUCHOD	KL	14418650
218561	743	1997-01-06	PRIJEM	PREVOD Z UCTU	4440	32896	DUCHOD	KL	14418650
218562	743	1997-02-06	PRIJEM	PREVOD Z UCTU	4440	24380	DUCHOD	KL	14418650
218563	743	1997-03-06	PRIJEM	PREVOD Z UCTU	4440	22754	DUCHOD	KL	14418650
218564	743	1997-04-06	PRIJEM	PREVOD Z UCTU	4440	24570	DUCHOD	KL	14418650
218565	743	1997-05-06	PRIJEM	PREVOD Z UCTU	4440	26393	DUCHOD	KL	14418650
218566	743	1997-06-06	PRIJEM	PREVOD Z UCTU	4440	28224	DUCHOD	KL	14418650
218567	743	1997-07-06	PRIJEM	PREVOD Z UCTU	4440	26293	DUCHOD	KL	14418650
218568	743	1997-08-06	PRIJEM	PREVOD Z UCTU	4440	28123	DUCHOD	KL	14418650
218569	743	1997-09-06	PRIJEM	PREVOD Z UCTU	4440	28196	DUCHOD	KL	14418650
218570	743	1997-10-06	PRIJEM	PREVOD Z UCTU	4440	30033	DUCHOD	KL	14418650
218571	743	1997-11-06	PRIJEM	PREVOD Z UCTU	4440	31879	DUCHOD	KL	14418650
218572	743	1997-12-06	PRIJEM	PREVOD Z UCTU	4440	29892	DUCHOD	KL	14418650
218573	743	1998-01-06	PRIJEM	PREVOD Z UCTU	4440	29337	DUCHOD	KL	14418650
218574	743	1998-02-06	PRIJEM	PREVOD Z UCTU	4440	21515	DUCHOD	KL	14418650
218575	743	1998-03-06	PRIJEM	PREVOD Z UCTU	4440	23325	DUCHOD	KL	14418650
218576	743	1998-04-06	PRIJEM	PREVOD Z UCTU	4440	23222	DUCHOD	KL	14418650
218577	743	1998-05-06	PRIJEM	PREVOD Z UCTU	4440	21756	DUCHOD	KL	14418650
218578	743	1998-06-06	PRIJEM	PREVOD Z UCTU	4440	20686	DUCHOD	KL	14418650
218579	743	1998-07-06	PRIJEM	PREVOD Z UCTU	4440	22492	DUCHOD	KL	14418650
218580	743	1998-08-06	PRIJEM	PREVOD Z UCTU	4440	24305	DUCHOD	KL	14418650
218581	743	1998-09-06	PRIJEM	PREVOD Z UCTU	4440	26126	DUCHOD	KL	14418650
218582	743	1998-10-06	PRIJEM	PREVOD Z UCTU	4440	27954	DUCHOD	KL	14418650
218583	743	1998-11-06	PRIJEM	PREVOD Z UCTU	4440	29790	DUCHOD	KL	14418650
218584	743	1998-12-06	PRIJEM	PREVOD Z UCTU	4440	26973	DUCHOD	KL	14418650
218599	743	1994-03-07	VYDAJ	PREVOD NA UCET	2691	20088	SIPO	EF	82371133
218600	743	1994-04-07	VYDAJ	PREVOD NA UCET	2691	21894	SIPO	EF	82371133
218601	743	1994-05-07	VYDAJ	PREVOD NA UCET	2691	20436	SIPO	EF	82371133
218602	743	1994-06-07	VYDAJ	PREVOD NA UCET	2691	22254	SIPO	EF	82371133
218603	743	1994-07-07	VYDAJ	PREVOD NA UCET	2691	23037	SIPO	EF	82371133
218604	743	1994-08-07	VYDAJ	PREVOD NA UCET	2691	21021	SIPO	EF	82371133
218605	743	1994-09-07	VYDAJ	PREVOD NA UCET	2691	22842	SIPO	EF	82371133
218606	743	1994-10-07	VYDAJ	PREVOD NA UCET	2691	24670	SIPO	EF	82371133
218607	743	1994-11-07	VYDAJ	PREVOD NA UCET	2691	26006	SIPO	EF	82371133
218608	743	1994-12-07	VYDAJ	PREVOD NA UCET	2691	26697	SIPO	EF	82371133
218609	743	1995-01-07	VYDAJ	PREVOD NA UCET	2691	25903	SIPO	EF	82371133
218610	743	1995-02-07	VYDAJ	PREVOD NA UCET	2691	18138	SIPO	EF	82371133
218611	743	1995-03-07	VYDAJ	PREVOD NA UCET	2691	17546	SIPO	EF	82371133
218612	743	1995-04-07	VYDAJ	PREVOD NA UCET	2691	19354	SIPO	EF	82371133
218613	743	1995-05-07	VYDAJ	PREVOD NA UCET	2691	21167	SIPO	EF	82371133
218614	743	1995-06-07	VYDAJ	PREVOD NA UCET	2691	22989	SIPO	EF	82371133
218615	743	1995-07-07	VYDAJ	PREVOD NA UCET	2691	21861	SIPO	EF	82371133
218616	743	1995-08-07	VYDAJ	PREVOD NA UCET	2691	21605	SIPO	EF	82371133
218617	743	1995-09-07	VYDAJ	PREVOD NA UCET	2691	23430	SIPO	EF	82371133
218618	743	1995-10-07	VYDAJ	PREVOD NA UCET	2691	20693	SIPO	EF	82371133
218619	743	1995-11-07	VYDAJ	PREVOD NA UCET	2691	22514	SIPO	EF	82371133
218620	743	1995-12-07	VYDAJ	PREVOD NA UCET	2691	24040	SIPO	EF	82371133
218621	743	1996-01-07	VYDAJ	PREVOD NA UCET	2691	23794	SIPO	EF	82371133
218622	743	1996-02-07	VYDAJ	PREVOD NA UCET	2691	18326	SIPO	EF	82371133
218623	743	1996-03-07	VYDAJ	PREVOD NA UCET	2691	20135	SIPO	EF	82371133
218624	743	1996-04-07	VYDAJ	PREVOD NA UCET	2691	21951	SIPO	EF	82371133
218625	743	1996-05-07	VYDAJ	PREVOD NA UCET	2691	23775	SIPO	EF	82371133
218626	743	1996-06-07	VYDAJ	PREVOD NA UCET	2691	25607	SIPO	EF	82371133
218627	743	1996-07-07	VYDAJ	PREVOD NA UCET	2691	25602	SIPO	EF	82371133
218628	743	1996-08-07	VYDAJ	PREVOD NA UCET	2691	27441	SIPO	EF	82371133
218629	743	1996-09-07	VYDAJ	PREVOD NA UCET	2691	29288	SIPO	EF	82371133
218630	743	1996-10-07	VYDAJ	PREVOD NA UCET	2691	31142	SIPO	EF	82371133
218631	743	1996-11-07	VYDAJ	PREVOD NA UCET	2691	33004	SIPO	EF	82371133
218632	743	1996-12-07	VYDAJ	PREVOD NA UCET	2691	31353	SIPO	EF	82371133
218633	743	1997-01-07	VYDAJ	PREVOD NA UCET	2691	30205	SIPO	EF	82371133
218634	743	1997-02-07	VYDAJ	PREVOD NA UCET	2691	21689	SIPO	EF	82371133
218635	743	1997-03-07	VYDAJ	PREVOD NA UCET	2691	20063	SIPO	EF	82371133
218636	743	1997-04-07	VYDAJ	PREVOD NA UCET	2691	21879	SIPO	EF	82371133
218637	743	1997-05-07	VYDAJ	PREVOD NA UCET	2691	23702	SIPO	EF	82371133
218638	743	1997-06-07	VYDAJ	PREVOD NA UCET	2691	25533	SIPO	EF	82371133
218639	743	1997-07-07	VYDAJ	PREVOD NA UCET	2691	23602	SIPO	EF	82371133
218640	743	1997-08-07	VYDAJ	PREVOD NA UCET	2691	25432	SIPO	EF	82371133
218641	743	1997-09-07	VYDAJ	PREVOD NA UCET	2691	25505	SIPO	EF	82371133
218642	743	1997-10-07	VYDAJ	PREVOD NA UCET	2691	27342	SIPO	EF	82371133
218643	743	1997-11-07	VYDAJ	PREVOD NA UCET	2691	29188	SIPO	EF	82371133
218644	743	1997-12-07	VYDAJ	PREVOD NA UCET	2691	27201	SIPO	EF	82371133
218645	743	1998-01-07	VYDAJ	PREVOD NA UCET	2691	26646	SIPO	EF	82371133
218646	743	1998-02-07	VYDAJ	PREVOD NA UCET	2691	18824	SIPO	EF	82371133
218647	743	1998-03-07	VYDAJ	PREVOD NA UCET	2691	20634	SIPO	EF	82371133
218648	743	1998-04-07	VYDAJ	PREVOD NA UCET	2691	20531	SIPO	EF	82371133
218649	743	1998-05-07	VYDAJ	PREVOD NA UCET	2691	16185	SIPO	EF	82371133
218650	743	1998-06-07	VYDAJ	PREVOD NA UCET	2691	17995	SIPO	EF	82371133
218651	743	1998-07-07	VYDAJ	PREVOD NA UCET	2691	19801	SIPO	EF	82371133
218652	743	1998-08-07	VYDAJ	PREVOD NA UCET	2691	21614	SIPO	EF	82371133
218653	743	1998-09-07	VYDAJ	PREVOD NA UCET	2691	23435	SIPO	EF	82371133
218654	743	1998-10-07	VYDAJ	PREVOD NA UCET	2691	25263	SIPO	EF	82371133
218655	743	1998-11-07	VYDAJ	PREVOD NA UCET	2691	27099	SIPO	EF	82371133
218656	743	1998-12-07	VYDAJ	PREVOD NA UCET	2691	24282	SIPO	EF	82371133
218659	743	1995-06-17	VYDAJ	VYBER	2950	20039	\N	\N	\N
218665	743	1995-01-07	VYDAJ	VYBER	1200	28594	\N	\N	\N
218666	743	1996-01-28	VYDAJ	VYBER	1450	16984	\N	\N	\N
218667	743	1997-01-22	VYDAJ	VYBER	600	23845	\N	\N	\N
218668	743	1998-01-24	VYDAJ	VYBER	3650	18036	\N	\N	\N
218670	743	1994-12-01	VYDAJ	VYBER	1150	24948	\N	\N	\N
218671	743	1995-12-06	VYDAJ	VYBER	300	26731	\N	\N	\N
218672	743	1996-12-20	VYDAJ	VYBER	450	30903	\N	\N	\N
218673	743	1997-12-08	VYDAJ	VYBER	800	26401	\N	\N	\N
218674	743	1998-12-03	VYDAJ	VYBER	900	26293	\N	\N	\N
218687	743	1995-01-26	VYDAJ	VYBER	400	21423	\N	\N	\N
218688	743	1995-01-10	VYDAJ	VYBER	720	25183	\N	\N	\N
218689	743	1995-01-24	VYDAJ	VYBER	1200	21823	\N	\N	\N
218690	743	1995-01-17	VYDAJ	VYBER	2160	23023	\N	\N	\N
218691	743	1995-01-02	VYDAJ	VYBER	1440	25354	\N	\N	\N
218692	743	1995-01-30	VYDAJ	VYBER	1760	16303	\N	\N	\N
218693	743	1996-01-18	VYDAJ	VYBER	1120	21714	\N	\N	\N
218694	743	1996-01-19	VYDAJ	VYBER	1040	20674	\N	\N	\N
218695	743	1996-01-30	VYDAJ	VYBER	480	16504	\N	\N	\N
218696	743	1996-01-01	VYDAJ	VYBER	2080	22045	\N	\N	\N
218697	743	1996-01-10	VYDAJ	VYBER	960	22834	\N	\N	\N
218698	743	1996-01-20	VYDAJ	VYBER	2240	18434	\N	\N	\N
218699	743	1997-01-05	VYDAJ	VYBER	2160	28456	\N	\N	\N
218700	743	1997-01-21	VYDAJ	VYBER	1840	26045	\N	\N	\N
218701	743	1997-01-27	VYDAJ	VYBER	1920	19845	\N	\N	\N
218702	743	1997-01-26	VYDAJ	VYBER	2080	21765	\N	\N	\N
218703	743	1997-01-09	VYDAJ	VYBER	2320	27885	\N	\N	\N
218704	743	1997-01-22	VYDAJ	VYBER	1600	24445	\N	\N	\N
218705	743	1998-01-16	VYDAJ	VYBER	800	24006	\N	\N	\N
218706	743	1998-01-02	VYDAJ	VYBER	1600	24897	\N	\N	\N
218707	743	1998-01-28	VYDAJ	VYBER	1040	16996	\N	\N	\N
218708	743	1998-01-21	VYDAJ	VYBER	1280	21686	\N	\N	\N
218709	743	1998-01-17	VYDAJ	VYBER	1040	22966	\N	\N	\N
218710	743	1998-01-08	VYDAJ	VYBER	1840	24806	\N	\N	\N
218719	743	1994-06-14	VYDAJ	VYBER	1040	21214	\N	\N	\N
218720	743	1994-07-23	VYDAJ	VYBER	3840	19197	\N	\N	\N
218721	743	1994-04-26	VYDAJ	VYBER	3280	18614	\N	\N	\N
218723	743	1995-10-06	VYDAJ	VYBER	1440	23384	\N	\N	\N
218724	743	1995-03-03	VYDAJ	VYBER	2400	15797	\N	\N	\N
218725	743	1995-09-14	VYDAJ	VYBER	3120	20310	\N	\N	\N
218726	743	1995-01-29	VYDAJ	VYBER	3360	18063	\N	\N	\N
218727	743	1995-08-06	VYDAJ	VYBER	2080	24296	\N	\N	\N
218728	743	1996-12-24	VYDAJ	VYBER	400	30503	\N	\N	\N
218729	743	1996-11-26	VYDAJ	VYBER	640	32364	\N	\N	\N
218730	743	1996-06-16	VYDAJ	VYBER	1840	23767	\N	\N	\N
218731	743	1996-11-26	VYDAJ	VYBER	2880	29484	\N	\N	\N
218732	743	1997-12-05	VYDAJ	VYBER	3840	25452	\N	\N	\N
218733	743	1997-08-10	VYDAJ	VYBER	1760	23672	\N	\N	\N
218734	743	1997-06-25	VYDAJ	VYBER	400	21773	\N	\N	\N
218735	743	1997-02-14	VYDAJ	VYBER	3440	18249	\N	\N	\N
218736	743	1997-06-13	VYDAJ	VYBER	3360	22173	\N	\N	\N
218737	743	1998-04-03	VYDAJ	VYBER	1920	18782	\N	\N	\N
218738	743	1998-04-21	VYDAJ	VYBER	3280	17251	\N	\N	\N
218740	743	1998-12-04	VYDAJ	VYBER	3760	22533	\N	\N	\N
218742	743	1998-05-07	VYDAJ	VYBER	2880	18876	\N	\N	\N
218758	743	1994-03-31	VYDAJ	VYBER	15	20145	SLUZBY	\N	\N
218759	743	1994-04-30	VYDAJ	VYBER	15	18687	SLUZBY	\N	\N
218760	743	1994-05-31	VYDAJ	VYBER	15	20505	SLUZBY	\N	\N
218761	743	1994-06-30	VYDAJ	VYBER	15	21288	SLUZBY	\N	\N
218762	743	1994-07-31	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
218763	743	1994-08-31	VYDAJ	VYBER	15	21093	SLUZBY	\N	\N
218764	743	1994-09-30	VYDAJ	VYBER	15	22921	SLUZBY	\N	\N
218765	743	1994-10-31	VYDAJ	VYBER	15	24757	SLUZBY	\N	\N
218766	743	1994-11-30	VYDAJ	VYBER	15	26098	SLUZBY	\N	\N
218767	743	1994-12-31	VYDAJ	VYBER	15	26794	SLUZBY	\N	\N
218768	743	1995-01-31	VYDAJ	VYBER	15	16389	SLUZBY	\N	\N
218769	743	1995-02-28	VYDAJ	VYBER	15	18197	SLUZBY	\N	\N
218770	743	1995-03-31	VYDAJ	VYBER	15	17605	SLUZBY	\N	\N
218771	743	1995-04-30	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
218772	743	1995-05-31	VYDAJ	VYBER	15	21240	SLUZBY	\N	\N
218773	743	1995-06-30	VYDAJ	VYBER	15	20112	SLUZBY	\N	\N
218774	743	1995-07-31	VYDAJ	VYBER	15	21936	SLUZBY	\N	\N
218775	743	1995-08-31	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
218776	743	1995-09-30	VYDAJ	VYBER	15	20384	SLUZBY	\N	\N
218777	743	1995-10-31	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
218778	743	1995-11-30	VYDAJ	VYBER	15	22591	SLUZBY	\N	\N
218779	743	1995-12-31	VYDAJ	VYBER	15	24125	SLUZBY	\N	\N
218780	743	1996-01-31	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
218781	743	1996-02-29	VYDAJ	VYBER	15	18386	SLUZBY	\N	\N
218782	743	1996-03-31	VYDAJ	VYBER	15	20202	SLUZBY	\N	\N
218783	743	1996-04-30	VYDAJ	VYBER	15	22026	SLUZBY	\N	\N
218784	743	1996-05-31	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
218785	743	1996-06-30	VYDAJ	VYBER	15	23853	SLUZBY	\N	\N
218786	743	1996-07-31	VYDAJ	VYBER	15	25692	SLUZBY	\N	\N
218787	743	1996-08-31	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
218788	743	1996-09-30	VYDAJ	VYBER	15	29393	SLUZBY	\N	\N
218789	743	1996-10-31	VYDAJ	VYBER	15	31255	SLUZBY	\N	\N
218790	743	1996-11-30	VYDAJ	VYBER	15	29604	SLUZBY	\N	\N
218791	743	1996-12-31	VYDAJ	VYBER	15	30616	SLUZBY	\N	\N
218792	743	1997-01-31	VYDAJ	VYBER	15	19940	SLUZBY	\N	\N
218793	743	1997-02-28	VYDAJ	VYBER	15	18314	SLUZBY	\N	\N
218794	743	1997-03-31	VYDAJ	VYBER	15	20130	SLUZBY	\N	\N
218795	743	1997-04-30	VYDAJ	VYBER	15	21953	SLUZBY	\N	\N
218796	743	1997-05-31	VYDAJ	VYBER	15	23784	SLUZBY	\N	\N
218797	743	1997-06-30	VYDAJ	VYBER	15	21853	SLUZBY	\N	\N
218798	743	1997-07-31	VYDAJ	VYBER	15	23683	SLUZBY	\N	\N
218799	743	1997-08-31	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
218800	743	1997-09-30	VYDAJ	VYBER	15	25593	SLUZBY	\N	\N
218801	743	1997-10-31	VYDAJ	VYBER	15	27439	SLUZBY	\N	\N
218802	743	1997-11-30	VYDAJ	VYBER	15	29292	SLUZBY	\N	\N
218803	743	1997-12-31	VYDAJ	VYBER	15	26497	SLUZBY	\N	\N
218804	743	1998-01-31	VYDAJ	VYBER	15	17075	SLUZBY	\N	\N
218805	743	1998-02-28	VYDAJ	VYBER	15	18885	SLUZBY	\N	\N
218806	743	1998-03-31	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
218807	743	1998-04-30	VYDAJ	VYBER	15	17316	SLUZBY	\N	\N
218808	743	1998-05-31	VYDAJ	VYBER	15	16246	SLUZBY	\N	\N
218809	743	1998-06-30	VYDAJ	VYBER	15	18052	SLUZBY	\N	\N
218810	743	1998-07-31	VYDAJ	VYBER	15	19865	SLUZBY	\N	\N
218811	743	1998-08-31	VYDAJ	VYBER	15	21686	SLUZBY	\N	\N
218812	743	1998-09-30	VYDAJ	VYBER	15	23514	SLUZBY	\N	\N
218813	743	1998-10-31	VYDAJ	VYBER	15	25350	SLUZBY	\N	\N
218814	743	1998-11-30	VYDAJ	VYBER	15	27193	SLUZBY	\N	\N
218815	743	1994-10-31	VYDAJ	VYBER	500	24257	\N	\N	\N
218878	744	1993-03-06	PRIJEM	VKLAD	400	400	\N	\N	\N
218881	744	1993-03-13	PRIJEM	PREVOD Z UCTU	5740	6140	DUCHOD	GH	94336568
218882	744	1993-04-13	PRIJEM	PREVOD Z UCTU	5740	11896	DUCHOD	GH	94336568
218883	744	1993-05-13	PRIJEM	PREVOD Z UCTU	5740	17661	DUCHOD	GH	94336568
218884	744	1993-06-13	PRIJEM	PREVOD Z UCTU	5740	23427	DUCHOD	GH	94336568
218885	744	1993-07-13	PRIJEM	PREVOD Z UCTU	5740	29192	DUCHOD	GH	94336568
218886	744	1993-08-13	PRIJEM	PREVOD Z UCTU	5740	32782	DUCHOD	GH	94336568
218887	744	1993-09-13	PRIJEM	PREVOD Z UCTU	5740	30373	DUCHOD	GH	94336568
218888	744	1993-10-13	PRIJEM	PREVOD Z UCTU	5740	30758	DUCHOD	GH	94336568
218889	744	1993-11-13	PRIJEM	PREVOD Z UCTU	5740	29461	DUCHOD	GH	94336568
218890	744	1993-12-13	PRIJEM	PREVOD Z UCTU	5740	26610	DUCHOD	GH	94336568
218891	744	1994-01-13	PRIJEM	PREVOD Z UCTU	5740	24296	DUCHOD	GH	94336568
218892	744	1994-02-13	PRIJEM	PREVOD Z UCTU	5740	20109	DUCHOD	GH	94336568
218893	744	1994-03-13	PRIJEM	PREVOD Z UCTU	5740	23747	DUCHOD	GH	94336568
218894	744	1994-04-13	PRIJEM	PREVOD Z UCTU	5740	25700	DUCHOD	GH	94336568
218895	744	1994-05-13	PRIJEM	PREVOD Z UCTU	5740	29362	DUCHOD	GH	94336568
218896	744	1994-06-13	PRIJEM	PREVOD Z UCTU	5740	32938	DUCHOD	GH	94336568
218897	744	1994-07-13	PRIJEM	PREVOD Z UCTU	5740	25927	DUCHOD	GH	94336568
218898	744	1994-08-13	PRIJEM	PREVOD Z UCTU	5740	28150	DUCHOD	GH	94336568
218899	744	1994-09-13	PRIJEM	PREVOD Z UCTU	5740	31621	DUCHOD	GH	94336568
218900	744	1994-10-13	PRIJEM	PREVOD Z UCTU	5740	30765	DUCHOD	GH	94336568
218901	744	1994-11-13	PRIJEM	PREVOD Z UCTU	5740	30646	DUCHOD	GH	94336568
218902	744	1994-12-13	PRIJEM	PREVOD Z UCTU	5740	32627	DUCHOD	GH	94336568
218903	744	1995-01-13	PRIJEM	PREVOD Z UCTU	5740	22204	DUCHOD	GH	94336568
218904	744	1995-02-13	PRIJEM	PREVOD Z UCTU	5740	18949	DUCHOD	GH	94336568
218905	744	1995-03-13	PRIJEM	PREVOD Z UCTU	5740	22181	DUCHOD	GH	94336568
218906	744	1995-04-13	PRIJEM	PREVOD Z UCTU	5740	25828	DUCHOD	GH	94336568
218907	744	1995-05-13	PRIJEM	PREVOD Z UCTU	5740	26929	DUCHOD	GH	94336568
218908	744	1995-06-13	PRIJEM	PREVOD Z UCTU	5740	30597	DUCHOD	GH	94336568
218909	744	1995-07-13	PRIJEM	PREVOD Z UCTU	5740	20033	DUCHOD	GH	94336568
218910	744	1995-08-13	PRIJEM	PREVOD Z UCTU	5740	23671	DUCHOD	GH	94336568
218911	744	1995-09-13	PRIJEM	PREVOD Z UCTU	5740	25802	DUCHOD	GH	94336568
218912	744	1995-10-13	PRIJEM	PREVOD Z UCTU	5740	26002	DUCHOD	GH	94336568
218913	744	1995-11-13	PRIJEM	PREVOD Z UCTU	5740	26661	DUCHOD	GH	94336568
218914	744	1995-12-13	PRIJEM	PREVOD Z UCTU	5740	28876	DUCHOD	GH	94336568
218915	744	1996-01-13	PRIJEM	PREVOD Z UCTU	5740	20937	DUCHOD	GH	94336568
218916	744	1996-02-13	PRIJEM	PREVOD Z UCTU	5740	18093	DUCHOD	GH	94336568
218917	744	1996-03-13	PRIJEM	PREVOD Z UCTU	5740	21722	DUCHOD	GH	94336568
218918	744	1996-04-13	PRIJEM	PREVOD Z UCTU	5740	22361	DUCHOD	GH	94336568
218919	744	1996-05-13	PRIJEM	PREVOD Z UCTU	5740	20900	DUCHOD	GH	94336568
218920	744	1996-06-13	PRIJEM	PREVOD Z UCTU	5740	22437	DUCHOD	GH	94336568
218921	744	1996-07-13	PRIJEM	PREVOD Z UCTU	5740	19230	DUCHOD	GH	94336568
218922	744	1996-08-13	PRIJEM	PREVOD Z UCTU	5740	19157	DUCHOD	GH	94336568
218923	744	1996-09-13	PRIJEM	PREVOD Z UCTU	5740	18181	DUCHOD	GH	94336568
218924	744	1996-10-13	PRIJEM	PREVOD Z UCTU	5740	17200	DUCHOD	GH	94336568
218925	744	1996-11-13	PRIJEM	PREVOD Z UCTU	5740	20825	DUCHOD	GH	94336568
218926	744	1996-12-13	PRIJEM	PREVOD Z UCTU	5740	18853	DUCHOD	GH	94336568
218927	744	1997-01-13	PRIJEM	PREVOD Z UCTU	5740	21234	DUCHOD	GH	94336568
218928	744	1997-02-13	PRIJEM	PREVOD Z UCTU	5740	18388	DUCHOD	GH	94336568
218929	744	1997-03-13	PRIJEM	PREVOD Z UCTU	5740	21216	DUCHOD	GH	94336568
218930	744	1997-04-13	PRIJEM	PREVOD Z UCTU	5740	24858	DUCHOD	GH	94336568
218931	744	1997-05-13	PRIJEM	PREVOD Z UCTU	5740	17789	DUCHOD	GH	94336568
218932	744	1997-06-13	PRIJEM	PREVOD Z UCTU	5740	21416	DUCHOD	GH	94336568
218933	744	1997-07-13	PRIJEM	PREVOD Z UCTU	5740	23374	DUCHOD	GH	94336568
218934	744	1997-08-13	PRIJEM	PREVOD Z UCTU	5740	27024	DUCHOD	GH	94336568
218935	744	1997-09-13	PRIJEM	PREVOD Z UCTU	5740	30689	DUCHOD	GH	94336568
218936	744	1997-10-13	PRIJEM	PREVOD Z UCTU	5740	32928	DUCHOD	GH	94336568
218937	744	1997-11-13	PRIJEM	PREVOD Z UCTU	5740	33658	DUCHOD	GH	94336568
218938	744	1997-12-13	PRIJEM	PREVOD Z UCTU	5740	37352	DUCHOD	GH	94336568
218939	744	1998-01-13	PRIJEM	PREVOD Z UCTU	5740	36188	DUCHOD	GH	94336568
218940	744	1998-02-13	PRIJEM	PREVOD Z UCTU	5740	28151	DUCHOD	GH	94336568
218941	744	1998-03-13	PRIJEM	PREVOD Z UCTU	5740	30938	DUCHOD	GH	94336568
218942	744	1998-04-13	PRIJEM	PREVOD Z UCTU	5740	34619	DUCHOD	GH	94336568
218943	744	1998-05-13	PRIJEM	PREVOD Z UCTU	5740	36075	DUCHOD	GH	94336568
218944	744	1998-06-13	PRIJEM	PREVOD Z UCTU	5740	31387	DUCHOD	GH	94336568
218945	744	1998-07-13	PRIJEM	PREVOD Z UCTU	5740	34357	DUCHOD	GH	94336568
218946	744	1998-08-13	PRIJEM	PREVOD Z UCTU	5740	38052	DUCHOD	GH	94336568
218947	744	1998-09-13	PRIJEM	PREVOD Z UCTU	5740	34869	DUCHOD	GH	94336568
218948	744	1998-10-13	PRIJEM	PREVOD Z UCTU	5740	38566	DUCHOD	GH	94336568
218949	744	1998-11-13	PRIJEM	PREVOD Z UCTU	5740	39318	DUCHOD	GH	94336568
218950	744	1998-12-13	PRIJEM	PREVOD Z UCTU	5740	40471	DUCHOD	GH	94336568
218958	744	1993-08-08	VYDAJ	PREVOD NA UCET	2165	27042	SIPO	CD	51830822
218959	744	1993-09-08	VYDAJ	PREVOD NA UCET	2165	24633	SIPO	CD	51830822
218960	744	1993-10-08	VYDAJ	PREVOD NA UCET	2165	25018	SIPO	CD	51830822
218961	744	1993-11-08	VYDAJ	PREVOD NA UCET	2165	23721	SIPO	CD	51830822
218962	744	1993-12-08	VYDAJ	PREVOD NA UCET	2165	21620	SIPO	CD	51830822
218963	744	1994-01-08	VYDAJ	PREVOD NA UCET	2165	20856	SIPO	CD	51830822
218964	744	1994-02-08	VYDAJ	PREVOD NA UCET	2165	14369	SIPO	CD	51830822
218965	744	1994-03-08	VYDAJ	PREVOD NA UCET	2165	18007	SIPO	CD	51830822
218966	744	1994-04-08	VYDAJ	PREVOD NA UCET	2165	19960	SIPO	CD	51830822
218967	744	1994-05-08	VYDAJ	PREVOD NA UCET	2165	23622	SIPO	CD	51830822
218968	744	1994-06-08	VYDAJ	PREVOD NA UCET	2165	27198	SIPO	CD	51830822
218969	744	1994-07-08	VYDAJ	PREVOD NA UCET	2165	20187	SIPO	CD	51830822
218970	744	1994-08-08	VYDAJ	PREVOD NA UCET	2165	22410	SIPO	CD	51830822
218971	744	1994-09-08	VYDAJ	PREVOD NA UCET	2165	25881	SIPO	CD	51830822
218972	744	1994-10-08	VYDAJ	PREVOD NA UCET	2165	26465	SIPO	CD	51830822
218973	744	1994-11-08	VYDAJ	PREVOD NA UCET	2165	24906	SIPO	CD	51830822
218974	744	1994-12-08	VYDAJ	PREVOD NA UCET	2165	26887	SIPO	CD	51830822
218975	744	1995-01-08	VYDAJ	PREVOD NA UCET	2165	20384	SIPO	CD	51830822
218976	744	1995-02-08	VYDAJ	PREVOD NA UCET	2165	13209	SIPO	CD	51830822
218977	744	1995-03-08	VYDAJ	PREVOD NA UCET	2165	16441	SIPO	CD	51830822
218978	744	1995-04-08	VYDAJ	PREVOD NA UCET	2165	20088	SIPO	CD	51830822
218979	744	1995-05-08	VYDAJ	PREVOD NA UCET	2165	21189	SIPO	CD	51830822
218980	744	1995-06-08	VYDAJ	PREVOD NA UCET	2165	24857	SIPO	CD	51830822
218981	744	1995-07-08	VYDAJ	PREVOD NA UCET	2165	14293	SIPO	CD	51830822
218982	744	1995-08-08	VYDAJ	PREVOD NA UCET	2165	17931	SIPO	CD	51830822
218983	744	1995-09-08	VYDAJ	PREVOD NA UCET	2165	20062	SIPO	CD	51830822
218984	744	1995-10-08	VYDAJ	PREVOD NA UCET	2165	22822	SIPO	CD	51830822
218985	744	1995-11-08	VYDAJ	PREVOD NA UCET	2165	20921	SIPO	CD	51830822
218986	744	1995-12-08	VYDAJ	PREVOD NA UCET	2165	24586	SIPO	CD	51830822
218987	744	1996-01-08	VYDAJ	PREVOD NA UCET	2165	15197	SIPO	CD	51830822
218988	744	1996-02-08	VYDAJ	PREVOD NA UCET	2165	12353	SIPO	CD	51830822
218989	744	1996-03-08	VYDAJ	PREVOD NA UCET	2165	15982	SIPO	CD	51830822
218990	744	1996-04-08	VYDAJ	PREVOD NA UCET	2165	16621	SIPO	CD	51830822
218991	744	1996-05-08	VYDAJ	PREVOD NA UCET	2165	15160	SIPO	CD	51830822
218992	744	1996-06-08	VYDAJ	PREVOD NA UCET	2165	16697	SIPO	CD	51830822
218993	744	1996-07-08	VYDAJ	PREVOD NA UCET	2165	13490	SIPO	CD	51830822
218994	744	1996-08-08	VYDAJ	PREVOD NA UCET	2165	13417	SIPO	CD	51830822
218995	744	1996-09-08	VYDAJ	PREVOD NA UCET	2165	12441	SIPO	CD	51830822
218996	744	1996-10-08	VYDAJ	PREVOD NA UCET	2165	11460	SIPO	CD	51830822
218997	744	1996-11-08	VYDAJ	PREVOD NA UCET	2165	15085	SIPO	CD	51830822
218998	744	1996-12-08	VYDAJ	PREVOD NA UCET	2165	13113	SIPO	CD	51830822
218999	744	1997-01-08	VYDAJ	PREVOD NA UCET	2165	15494	SIPO	CD	51830822
219000	744	1997-02-08	VYDAJ	PREVOD NA UCET	2165	12648	SIPO	CD	51830822
219001	744	1997-03-08	VYDAJ	PREVOD NA UCET	2165	15476	SIPO	CD	51830822
219002	744	1997-04-08	VYDAJ	PREVOD NA UCET	2165	19118	SIPO	CD	51830822
219003	744	1997-05-08	VYDAJ	PREVOD NA UCET	2165	12049	SIPO	CD	51830822
219004	744	1997-06-08	VYDAJ	PREVOD NA UCET	2165	15676	SIPO	CD	51830822
219005	744	1997-07-08	VYDAJ	PREVOD NA UCET	2165	17634	SIPO	CD	51830822
219006	744	1997-08-08	VYDAJ	PREVOD NA UCET	2165	21284	SIPO	CD	51830822
219007	744	1997-09-08	VYDAJ	PREVOD NA UCET	2165	24949	SIPO	CD	51830822
219008	744	1997-10-08	VYDAJ	PREVOD NA UCET	2165	27188	SIPO	CD	51830822
219009	744	1997-11-08	VYDAJ	PREVOD NA UCET	2165	30878	SIPO	CD	51830822
219010	744	1997-12-08	VYDAJ	PREVOD NA UCET	2165	31612	SIPO	CD	51830822
219011	744	1998-01-08	VYDAJ	PREVOD NA UCET	2165	30448	SIPO	CD	51830822
219012	744	1998-02-08	VYDAJ	PREVOD NA UCET	2165	22411	SIPO	CD	51830822
219013	744	1998-03-08	VYDAJ	PREVOD NA UCET	2165	25198	SIPO	CD	51830822
219014	744	1998-04-08	VYDAJ	PREVOD NA UCET	2165	28879	SIPO	CD	51830822
219015	744	1998-05-08	VYDAJ	PREVOD NA UCET	2165	30335	SIPO	CD	51830822
219016	744	1998-06-08	VYDAJ	PREVOD NA UCET	2165	31797	SIPO	CD	51830822
219017	744	1998-07-08	VYDAJ	PREVOD NA UCET	2165	28617	SIPO	CD	51830822
219018	744	1998-08-08	VYDAJ	PREVOD NA UCET	2165	32312	SIPO	CD	51830822
219019	744	1998-09-08	VYDAJ	PREVOD NA UCET	2165	29129	SIPO	CD	51830822
219020	744	1998-10-08	VYDAJ	PREVOD NA UCET	2165	32826	SIPO	CD	51830822
219021	744	1998-11-08	VYDAJ	PREVOD NA UCET	2165	33578	SIPO	CD	51830822
219022	744	1998-12-08	VYDAJ	PREVOD NA UCET	2165	34731	SIPO	CD	51830822
219024	744	1994-06-29	VYDAJ	VYBER	10700	22238	\N	\N	\N
219025	744	1995-06-23	VYDAJ	VYBER	11350	19247	\N	\N	\N
219028	744	1998-06-10	VYDAJ	VYBER	6150	25647	\N	\N	\N
219030	744	1994-01-10	VYDAJ	VYBER	2300	18556	\N	\N	\N
219031	744	1995-01-25	VYDAJ	VYBER	4100	17464	\N	\N	\N
219032	744	1996-01-08	VYDAJ	VYBER	4350	17362	\N	\N	\N
219034	744	1998-01-24	VYDAJ	VYBER	4850	28138	\N	\N	\N
219035	744	1993-12-09	VYDAJ	VYBER	750	20870	\N	\N	\N
219036	744	1994-12-22	VYDAJ	VYBER	250	32377	\N	\N	\N
219037	744	1995-12-09	VYDAJ	VYBER	1450	23136	\N	\N	\N
219038	744	1996-12-28	VYDAJ	VYBER	1250	17603	\N	\N	\N
219039	744	1997-12-19	VYDAJ	VYBER	1350	36002	\N	\N	\N
219040	744	1998-12-20	VYDAJ	VYBER	350	40121	\N	\N	\N
219047	744	1994-01-29	VYDAJ	VYBER	1920	17896	\N	\N	\N
219048	744	1994-01-06	VYDAJ	VYBER	2080	23021	\N	\N	\N
219049	744	1994-01-30	VYDAJ	VYBER	1440	16456	\N	\N	\N
219050	744	1994-01-27	VYDAJ	VYBER	480	19816	\N	\N	\N
219051	744	1994-01-26	VYDAJ	VYBER	2240	20296	\N	\N	\N
219052	744	1994-01-18	VYDAJ	VYBER	1760	22536	\N	\N	\N
219053	744	1995-01-15	VYDAJ	VYBER	640	21564	\N	\N	\N
219054	744	1995-01-04	VYDAJ	VYBER	800	25509	\N	\N	\N
219055	744	1995-01-12	VYDAJ	VYBER	1440	16464	\N	\N	\N
219056	744	1995-01-06	VYDAJ	VYBER	1120	22549	\N	\N	\N
219057	744	1995-01-26	VYDAJ	VYBER	2160	15304	\N	\N	\N
219058	744	1995-01-05	VYDAJ	VYBER	1840	23669	\N	\N	\N
219059	744	1996-01-08	VYDAJ	VYBER	2240	21712	\N	\N	\N
219060	744	1996-01-05	VYDAJ	VYBER	960	25312	\N	\N	\N
219061	744	1996-01-01	VYDAJ	VYBER	400	26272	\N	\N	\N
219062	744	1996-01-13	VYDAJ	VYBER	1040	19897	\N	\N	\N
219064	744	1996-01-26	VYDAJ	VYBER	1520	14457	\N	\N	\N
219066	744	1997-01-26	VYDAJ	VYBER	1520	16994	\N	\N	\N
219067	744	1997-01-27	VYDAJ	VYBER	880	16114	\N	\N	\N
219068	744	1997-01-13	VYDAJ	VYBER	1040	20194	\N	\N	\N
219069	744	1997-01-30	VYDAJ	VYBER	1360	14754	\N	\N	\N
219071	744	1998-01-22	VYDAJ	VYBER	1520	32988	\N	\N	\N
219072	744	1998-01-07	VYDAJ	VYBER	800	32613	\N	\N	\N
219073	744	1998-01-19	VYDAJ	VYBER	880	34508	\N	\N	\N
219074	744	1998-01-16	VYDAJ	VYBER	400	35388	\N	\N	\N
219075	744	1998-01-30	VYDAJ	VYBER	880	24458	\N	\N	\N
219076	744	1998-01-14	VYDAJ	VYBER	400	35788	\N	\N	\N
219077	744	1993-12-03	VYDAJ	VYBER	2880	23785	\N	\N	\N
219079	744	1993-10-15	VYDAJ	VYBER	880	29878	\N	\N	\N
219081	744	1994-12-30	VYDAJ	VYBER	2880	26197	\N	\N	\N
219082	744	1994-08-07	VYDAJ	VYBER	1440	24575	\N	\N	\N
219083	744	1994-10-10	VYDAJ	VYBER	1440	25025	\N	\N	\N
219084	744	1995-01-08	VYDAJ	VYBER	2480	17904	\N	\N	\N
219085	744	1995-05-06	VYDAJ	VYBER	2560	23354	\N	\N	\N
219086	744	1995-02-24	VYDAJ	VYBER	400	18549	\N	\N	\N
219087	744	1995-06-25	VYDAJ	VYBER	2880	16367	\N	\N	\N
219088	744	1995-10-08	VYDAJ	VYBER	2560	20262	\N	\N	\N
219089	744	1995-08-24	VYDAJ	VYBER	1520	22151	\N	\N	\N
219093	744	1996-06-16	VYDAJ	VYBER	3440	18997	\N	\N	\N
219094	744	1996-01-05	VYDAJ	VYBER	1360	23952	\N	\N	\N
219096	744	1996-01-14	VYDAJ	VYBER	3920	15977	\N	\N	\N
219097	744	1997-01-18	VYDAJ	VYBER	1680	18514	\N	\N	\N
219098	744	1997-06-14	VYDAJ	VYBER	1680	19736	\N	\N	\N
219099	744	1997-09-26	VYDAJ	VYBER	1440	29249	\N	\N	\N
219100	744	1997-11-08	VYDAJ	VYBER	2960	27918	\N	\N	\N
219101	744	1997-02-24	VYDAJ	VYBER	800	17588	\N	\N	\N
219102	744	1998-11-22	VYDAJ	VYBER	2560	36758	\N	\N	\N
219103	744	1998-11-04	VYDAJ	VYBER	2960	35743	\N	\N	\N
219104	744	1998-02-18	VYDAJ	VYBER	880	27271	\N	\N	\N
219105	744	1998-06-23	VYDAJ	VYBER	720	30667	\N	\N	\N
219106	744	1998-04-13	VYDAJ	VYBER	2240	32379	\N	\N	\N
219107	744	1998-08-17	VYDAJ	VYBER	3840	34212	\N	\N	\N
219108	744	1998-01-06	VYDAJ	VYBER	2720	33413	\N	\N	\N
219109	744	1998-08-18	VYDAJ	VYBER	3040	31172	\N	\N	\N
219110	744	1998-06-06	VYDAJ	VYBER	2240	33962	\N	\N	\N
219111	744	1998-01-24	VYDAJ	VYBER	2800	25338	\N	\N	\N
219119	744	1993-07-31	VYDAJ	VYBER	15	29207	SLUZBY	\N	\N
219120	744	1993-08-31	VYDAJ	VYBER	15	32898	SLUZBY	\N	\N
219121	744	1993-09-30	VYDAJ	VYBER	15	30483	SLUZBY	\N	\N
219122	744	1993-10-31	VYDAJ	VYBER	15	29986	SLUZBY	\N	\N
219123	744	1993-11-30	VYDAJ	VYBER	15	29565	SLUZBY	\N	\N
219124	744	1993-12-31	VYDAJ	VYBER	15	26701	SLUZBY	\N	\N
219125	744	1994-01-31	VYDAJ	VYBER	15	16534	SLUZBY	\N	\N
219126	744	1994-02-28	VYDAJ	VYBER	15	20172	SLUZBY	\N	\N
219127	744	1994-03-31	VYDAJ	VYBER	15	22125	SLUZBY	\N	\N
219128	744	1994-04-30	VYDAJ	VYBER	15	25787	SLUZBY	\N	\N
219129	744	1994-05-31	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
219130	744	1994-06-30	VYDAJ	VYBER	15	22352	SLUZBY	\N	\N
219131	744	1994-07-31	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
219132	744	1994-08-31	VYDAJ	VYBER	15	28046	SLUZBY	\N	\N
219133	744	1994-09-30	VYDAJ	VYBER	15	28630	SLUZBY	\N	\N
219134	744	1994-10-31	VYDAJ	VYBER	15	27071	SLUZBY	\N	\N
219135	744	1994-11-30	VYDAJ	VYBER	15	29052	SLUZBY	\N	\N
219136	744	1994-12-31	VYDAJ	VYBER	15	26309	SLUZBY	\N	\N
219137	744	1995-01-31	VYDAJ	VYBER	15	15374	SLUZBY	\N	\N
219138	744	1995-02-28	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
219139	744	1995-03-31	VYDAJ	VYBER	15	22253	SLUZBY	\N	\N
219140	744	1995-04-30	VYDAJ	VYBER	15	25914	SLUZBY	\N	\N
219141	744	1995-05-31	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
219142	744	1995-06-30	VYDAJ	VYBER	15	16458	SLUZBY	\N	\N
219143	744	1995-07-31	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
219144	744	1995-08-31	VYDAJ	VYBER	15	22227	SLUZBY	\N	\N
219145	744	1995-09-30	VYDAJ	VYBER	15	24987	SLUZBY	\N	\N
219146	744	1995-10-31	VYDAJ	VYBER	15	23086	SLUZBY	\N	\N
219147	744	1995-11-30	VYDAJ	VYBER	15	26751	SLUZBY	\N	\N
219148	744	1995-12-31	VYDAJ	VYBER	15	26672	SLUZBY	\N	\N
219149	744	1996-01-31	VYDAJ	VYBER	15	14518	SLUZBY	\N	\N
219150	744	1996-02-29	VYDAJ	VYBER	15	18147	SLUZBY	\N	\N
219151	744	1996-03-31	VYDAJ	VYBER	15	18786	SLUZBY	\N	\N
219152	744	1996-04-30	VYDAJ	VYBER	15	17325	SLUZBY	\N	\N
219153	744	1996-05-31	VYDAJ	VYBER	15	18862	SLUZBY	\N	\N
219154	744	1996-06-30	VYDAJ	VYBER	15	15655	SLUZBY	\N	\N
219155	744	1996-07-31	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
219156	744	1996-08-31	VYDAJ	VYBER	15	14606	SLUZBY	\N	\N
219157	744	1996-09-30	VYDAJ	VYBER	15	13625	SLUZBY	\N	\N
219158	744	1996-10-31	VYDAJ	VYBER	15	17250	SLUZBY	\N	\N
219159	744	1996-11-30	VYDAJ	VYBER	15	15278	SLUZBY	\N	\N
219160	744	1996-12-31	VYDAJ	VYBER	15	17659	SLUZBY	\N	\N
219161	744	1997-01-31	VYDAJ	VYBER	15	14813	SLUZBY	\N	\N
219162	744	1997-02-28	VYDAJ	VYBER	15	17641	SLUZBY	\N	\N
219163	744	1997-03-31	VYDAJ	VYBER	15	21283	SLUZBY	\N	\N
219164	744	1997-04-30	VYDAJ	VYBER	15	14214	SLUZBY	\N	\N
219165	744	1997-05-31	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
219166	744	1997-06-30	VYDAJ	VYBER	15	19799	SLUZBY	\N	\N
219167	744	1997-07-31	VYDAJ	VYBER	15	23449	SLUZBY	\N	\N
219168	744	1997-08-31	VYDAJ	VYBER	15	27114	SLUZBY	\N	\N
219169	744	1997-09-30	VYDAJ	VYBER	15	29353	SLUZBY	\N	\N
219170	744	1997-10-31	VYDAJ	VYBER	15	33043	SLUZBY	\N	\N
219171	744	1997-11-30	VYDAJ	VYBER	15	33777	SLUZBY	\N	\N
219172	744	1997-12-31	VYDAJ	VYBER	15	36133	SLUZBY	\N	\N
219173	744	1998-01-31	VYDAJ	VYBER	15	24576	SLUZBY	\N	\N
219174	744	1998-02-28	VYDAJ	VYBER	15	27363	SLUZBY	\N	\N
219175	744	1998-03-31	VYDAJ	VYBER	15	31044	SLUZBY	\N	\N
219176	744	1998-04-30	VYDAJ	VYBER	15	32500	SLUZBY	\N	\N
219177	744	1998-05-31	VYDAJ	VYBER	15	36202	SLUZBY	\N	\N
219178	744	1998-06-30	VYDAJ	VYBER	15	30782	SLUZBY	\N	\N
219179	744	1998-07-31	VYDAJ	VYBER	15	34477	SLUZBY	\N	\N
219180	744	1998-08-31	VYDAJ	VYBER	15	31294	SLUZBY	\N	\N
219181	744	1998-09-30	VYDAJ	VYBER	15	34991	SLUZBY	\N	\N
219182	744	1998-10-31	VYDAJ	VYBER	15	38703	SLUZBY	\N	\N
219183	744	1998-11-30	VYDAJ	VYBER	15	36896	SLUZBY	\N	\N
219184	744	1993-09-02	VYDAJ	VYBER	6100	26798	\N	\N	\N
219185	744	1993-10-02	VYDAJ	VYBER	3300	27183	\N	\N	\N
219186	744	1993-11-01	VYDAJ	VYBER	4100	25886	\N	\N	\N
219187	744	1993-12-01	VYDAJ	VYBER	2900	26665	\N	\N	\N
219188	744	1993-12-31	VYDAJ	VYBER	1600	25101	\N	\N	\N
219189	744	1994-03-31	VYDAJ	VYBER	1700	22140	\N	\N	\N
219190	744	1994-05-30	VYDAJ	VYBER	100	29262	\N	\N	\N
219191	744	1994-08-28	VYDAJ	VYBER	200	27950	\N	\N	\N
219192	744	1994-09-27	VYDAJ	VYBER	3100	28521	\N	\N	\N
219193	744	1994-10-27	VYDAJ	VYBER	3800	26965	\N	\N	\N
219194	744	1994-11-26	VYDAJ	VYBER	1700	28946	\N	\N	\N
219195	744	1994-12-26	VYDAJ	VYBER	3300	29077	\N	\N	\N
219196	744	1995-09-22	VYDAJ	VYBER	900	24902	\N	\N	\N
219197	744	1995-10-22	VYDAJ	VYBER	3000	23002	\N	\N	\N
219198	744	1995-12-21	VYDAJ	VYBER	2300	26576	\N	\N	\N
219199	744	1996-03-20	VYDAJ	VYBER	3000	18722	\N	\N	\N
219200	744	1996-04-19	VYDAJ	VYBER	5100	17261	\N	\N	\N
219201	744	1996-05-19	VYDAJ	VYBER	2100	18800	\N	\N	\N
219202	744	1996-06-18	VYDAJ	VYBER	3400	15597	\N	\N	\N
219203	744	1996-07-18	VYDAJ	VYBER	3700	15530	\N	\N	\N
219204	744	1996-08-17	VYDAJ	VYBER	4600	14557	\N	\N	\N
219205	744	1996-09-16	VYDAJ	VYBER	4600	13581	\N	\N	\N
219206	744	1996-11-15	VYDAJ	VYBER	5600	15225	\N	\N	\N
219207	744	1997-04-14	VYDAJ	VYBER	10700	14158	\N	\N	\N
219278	745	1997-10-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
219288	745	1997-10-14	PRIJEM	PREVOD Z UCTU	4738	5838	DUCHOD	QR	49138581
219289	745	1997-11-14	PRIJEM	PREVOD Z UCTU	4738	10590	DUCHOD	QR	49138581
219290	745	1997-12-14	PRIJEM	PREVOD Z UCTU	4738	15352	DUCHOD	QR	49138581
219291	745	1998-01-14	PRIJEM	PREVOD Z UCTU	4738	20115	DUCHOD	QR	49138581
219292	745	1998-02-14	PRIJEM	PREVOD Z UCTU	4738	24877	DUCHOD	QR	49138581
219293	745	1998-03-14	PRIJEM	PREVOD Z UCTU	4738	27702	DUCHOD	QR	49138581
219294	745	1998-04-14	PRIJEM	PREVOD Z UCTU	4738	24307	DUCHOD	QR	49138581
219295	745	1998-05-14	PRIJEM	PREVOD Z UCTU	4738	27163	DUCHOD	QR	49138581
219296	745	1998-06-14	PRIJEM	PREVOD Z UCTU	4738	29306	DUCHOD	QR	49138581
219297	745	1998-07-14	PRIJEM	PREVOD Z UCTU	4738	27026	DUCHOD	QR	49138581
219298	745	1998-08-14	PRIJEM	PREVOD Z UCTU	4738	28884	DUCHOD	QR	49138581
219299	745	1998-09-14	PRIJEM	PREVOD Z UCTU	4738	26951	DUCHOD	QR	49138581
219300	745	1998-10-14	PRIJEM	PREVOD Z UCTU	4738	29813	DUCHOD	QR	49138581
219301	745	1998-11-14	PRIJEM	PREVOD Z UCTU	4738	28019	DUCHOD	QR	49138581
219302	745	1998-12-14	PRIJEM	PREVOD Z UCTU	4738	27284	DUCHOD	QR	49138581
219316	745	1998-02-14	VYDAJ	PREVOD NA UCET	1965	22912	SIPO	IJ	29839259
219317	745	1998-03-14	VYDAJ	PREVOD NA UCET	1965	25737	SIPO	IJ	29839259
219318	745	1998-04-14	VYDAJ	PREVOD NA UCET	1965	22342	SIPO	IJ	29839259
219319	745	1998-05-14	VYDAJ	PREVOD NA UCET	1965	25198	SIPO	IJ	29839259
219320	745	1998-06-14	VYDAJ	PREVOD NA UCET	1965	27341	SIPO	IJ	29839259
219321	745	1998-07-14	VYDAJ	PREVOD NA UCET	1965	25061	SIPO	IJ	29839259
219322	745	1998-08-14	VYDAJ	PREVOD NA UCET	1965	26919	SIPO	IJ	29839259
219323	745	1998-09-14	VYDAJ	PREVOD NA UCET	1965	24986	SIPO	IJ	29839259
219324	745	1998-10-14	VYDAJ	PREVOD NA UCET	1965	27848	SIPO	IJ	29839259
219325	745	1998-11-14	VYDAJ	PREVOD NA UCET	1965	26054	SIPO	IJ	29839259
219326	745	1998-12-14	VYDAJ	PREVOD NA UCET	1965	25319	SIPO	IJ	29839259
219328	745	1998-06-28	VYDAJ	VYBER	5150	22191	\N	\N	\N
219332	745	1998-12-07	VYDAJ	VYBER	500	22546	\N	\N	\N
219350	745	1998-04-12	VYDAJ	VYBER	1680	19569	\N	\N	\N
219351	745	1998-10-20	VYDAJ	VYBER	2560	25288	\N	\N	\N
219352	745	1998-08-30	VYDAJ	VYBER	2000	24919	\N	\N	\N
219353	745	1998-06-04	VYDAJ	VYBER	720	24568	\N	\N	\N
219354	745	1998-04-11	VYDAJ	VYBER	880	21249	\N	\N	\N
219369	745	1998-02-28	VYDAJ	VYBER	15	22964	SLUZBY	\N	\N
219370	745	1998-03-31	VYDAJ	VYBER	15	25829	SLUZBY	\N	\N
219371	745	1998-04-30	VYDAJ	VYBER	15	22425	SLUZBY	\N	\N
219372	745	1998-05-31	VYDAJ	VYBER	15	25288	SLUZBY	\N	\N
219373	745	1998-06-30	VYDAJ	VYBER	15	22288	SLUZBY	\N	\N
219374	745	1998-07-31	VYDAJ	VYBER	15	25146	SLUZBY	\N	\N
219375	745	1998-08-31	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
219376	745	1998-09-30	VYDAJ	VYBER	15	25075	SLUZBY	\N	\N
219377	745	1998-10-31	VYDAJ	VYBER	15	25381	SLUZBY	\N	\N
219378	745	1998-11-30	VYDAJ	VYBER	15	26146	SLUZBY	\N	\N
219379	745	1998-04-07	VYDAJ	VYBER	3700	22129	\N	\N	\N
219380	745	1998-08-05	VYDAJ	VYBER	1000	24146	\N	\N	\N
219381	745	1998-09-04	VYDAJ	VYBER	2800	22213	\N	\N	\N
219382	745	1998-11-03	VYDAJ	VYBER	2100	23281	\N	\N	\N
219383	745	1998-12-03	VYDAJ	VYBER	3100	23046	\N	\N	\N
219399	746	1995-05-10	PRIJEM	VKLAD	500	500	\N	\N	\N
219405	746	1995-06-09	PRIJEM	PREVOD Z UCTU	5178	5678	DUCHOD	GH	38895726
219406	746	1995-07-09	PRIJEM	PREVOD Z UCTU	5178	10856	DUCHOD	GH	38895726
219407	746	1995-08-09	PRIJEM	PREVOD Z UCTU	5178	16034	DUCHOD	GH	38895726
219408	746	1995-09-09	PRIJEM	PREVOD Z UCTU	5178	21212	DUCHOD	GH	38895726
219409	746	1995-10-09	PRIJEM	PREVOD Z UCTU	5178	26390	DUCHOD	GH	38895726
219410	746	1995-11-09	PRIJEM	PREVOD Z UCTU	5178	28157	DUCHOD	GH	38895726
219411	746	1995-12-09	PRIJEM	PREVOD Z UCTU	5178	28068	DUCHOD	GH	38895726
219412	746	1996-01-09	PRIJEM	PREVOD Z UCTU	5178	26101	DUCHOD	GH	38895726
219413	746	1996-02-09	PRIJEM	PREVOD Z UCTU	5178	26609	DUCHOD	GH	38895726
219414	746	1996-03-09	PRIJEM	PREVOD Z UCTU	5178	25838	DUCHOD	GH	38895726
219415	746	1996-04-09	PRIJEM	PREVOD Z UCTU	5178	26044	DUCHOD	GH	38895726
219416	746	1996-05-09	PRIJEM	PREVOD Z UCTU	5178	27047	DUCHOD	GH	38895726
219417	746	1996-06-09	PRIJEM	PREVOD Z UCTU	5178	28858	DUCHOD	GH	38895726
219418	746	1996-07-09	PRIJEM	PREVOD Z UCTU	5178	29372	DUCHOD	GH	38895726
219419	746	1996-08-09	PRIJEM	PREVOD Z UCTU	5178	30593	DUCHOD	GH	38895726
219420	746	1996-09-09	PRIJEM	PREVOD Z UCTU	5178	31618	DUCHOD	GH	38895726
219421	746	1996-10-09	PRIJEM	PREVOD Z UCTU	5178	31748	DUCHOD	GH	38895726
219422	746	1996-11-09	PRIJEM	PREVOD Z UCTU	5178	31480	DUCHOD	GH	38895726
219423	746	1996-12-09	PRIJEM	PREVOD Z UCTU	5178	30440	DUCHOD	GH	38895726
219424	746	1997-01-09	PRIJEM	PREVOD Z UCTU	5178	26557	DUCHOD	GH	38895726
219425	746	1997-02-09	PRIJEM	PREVOD Z UCTU	5178	24600	DUCHOD	GH	38895726
219426	746	1997-03-09	PRIJEM	PREVOD Z UCTU	5178	25034	DUCHOD	GH	38895726
219427	746	1997-04-09	PRIJEM	PREVOD Z UCTU	5178	22024	DUCHOD	GH	38895726
219428	746	1997-05-09	PRIJEM	PREVOD Z UCTU	5178	21909	DUCHOD	GH	38895726
219429	746	1997-06-09	PRIJEM	PREVOD Z UCTU	5178	23694	DUCHOD	GH	38895726
219430	746	1997-07-09	PRIJEM	PREVOD Z UCTU	5178	23486	DUCHOD	GH	38895726
219431	746	1997-08-09	PRIJEM	PREVOD Z UCTU	5178	25277	DUCHOD	GH	38895726
219432	746	1997-09-09	PRIJEM	PREVOD Z UCTU	5178	25314	DUCHOD	GH	38895726
219433	746	1997-10-09	PRIJEM	PREVOD Z UCTU	5178	24211	DUCHOD	GH	38895726
219434	746	1997-11-09	PRIJEM	PREVOD Z UCTU	5178	26005	DUCHOD	GH	38895726
219435	746	1997-12-09	PRIJEM	PREVOD Z UCTU	5178	27207	DUCHOD	GH	38895726
219436	746	1998-01-09	PRIJEM	PREVOD Z UCTU	5178	26557	DUCHOD	GH	38895726
219437	746	1998-02-09	PRIJEM	PREVOD Z UCTU	5178	26363	DUCHOD	GH	38895726
219438	746	1998-03-09	PRIJEM	PREVOD Z UCTU	5178	28166	DUCHOD	GH	38895726
219439	746	1998-04-09	PRIJEM	PREVOD Z UCTU	5178	29176	DUCHOD	GH	38895726
219440	746	1998-05-09	PRIJEM	PREVOD Z UCTU	5178	30891	DUCHOD	GH	38895726
219441	746	1998-06-09	PRIJEM	PREVOD Z UCTU	5178	31912	DUCHOD	GH	38895726
219442	746	1998-07-09	PRIJEM	PREVOD Z UCTU	5178	31435	DUCHOD	GH	38895726
219443	746	1998-08-09	PRIJEM	PREVOD Z UCTU	5178	33260	DUCHOD	GH	38895726
219444	746	1998-09-09	PRIJEM	PREVOD Z UCTU	5178	33689	DUCHOD	GH	38895726
219445	746	1998-10-09	PRIJEM	PREVOD Z UCTU	5178	35523	DUCHOD	GH	38895726
219446	746	1998-11-09	PRIJEM	PREVOD Z UCTU	5178	37364	DUCHOD	GH	38895726
219447	746	1998-12-09	PRIJEM	PREVOD Z UCTU	5178	39212	DUCHOD	GH	38895726
219457	746	1995-10-14	VYDAJ	PREVOD NA UCET	3452	22938	SIPO	YZ	78167122
219458	746	1995-11-14	VYDAJ	PREVOD NA UCET	3452	24705	SIPO	YZ	78167122
219459	746	1995-12-14	VYDAJ	PREVOD NA UCET	3452	24616	SIPO	YZ	78167122
219460	746	1996-01-14	VYDAJ	PREVOD NA UCET	3452	22649	SIPO	YZ	78167122
219461	746	1996-02-14	VYDAJ	PREVOD NA UCET	3452	23157	SIPO	YZ	78167122
219462	746	1996-03-14	VYDAJ	PREVOD NA UCET	3452	22386	SIPO	YZ	78167122
219463	746	1996-04-14	VYDAJ	PREVOD NA UCET	3452	22592	SIPO	YZ	78167122
219464	746	1996-05-14	VYDAJ	PREVOD NA UCET	3452	23595	SIPO	YZ	78167122
219465	746	1996-06-14	VYDAJ	PREVOD NA UCET	3452	25406	SIPO	YZ	78167122
219466	746	1996-07-14	VYDAJ	PREVOD NA UCET	3452	25920	SIPO	YZ	78167122
219467	746	1996-08-14	VYDAJ	PREVOD NA UCET	3452	27141	SIPO	YZ	78167122
219468	746	1996-09-14	VYDAJ	PREVOD NA UCET	3452	28166	SIPO	YZ	78167122
219469	746	1996-10-14	VYDAJ	PREVOD NA UCET	3452	28296	SIPO	YZ	78167122
219470	746	1996-11-14	VYDAJ	PREVOD NA UCET	3452	25468	SIPO	YZ	78167122
219471	746	1996-12-14	VYDAJ	PREVOD NA UCET	3452	26988	SIPO	YZ	78167122
219472	746	1997-01-14	VYDAJ	PREVOD NA UCET	3452	23105	SIPO	YZ	78167122
219473	746	1997-02-14	VYDAJ	PREVOD NA UCET	3452	21148	SIPO	YZ	78167122
219474	746	1997-03-14	VYDAJ	PREVOD NA UCET	3452	19022	SIPO	YZ	78167122
219475	746	1997-04-14	VYDAJ	PREVOD NA UCET	3452	18572	SIPO	YZ	78167122
219476	746	1997-05-14	VYDAJ	PREVOD NA UCET	3452	18457	SIPO	YZ	78167122
219477	746	1997-06-14	VYDAJ	PREVOD NA UCET	3452	20242	SIPO	YZ	78167122
219478	746	1997-07-14	VYDAJ	PREVOD NA UCET	3452	20034	SIPO	YZ	78167122
219479	746	1997-08-14	VYDAJ	PREVOD NA UCET	3452	21825	SIPO	YZ	78167122
219480	746	1997-09-14	VYDAJ	PREVOD NA UCET	3452	21862	SIPO	YZ	78167122
219481	746	1997-10-14	VYDAJ	PREVOD NA UCET	3452	20759	SIPO	YZ	78167122
219482	746	1997-11-14	VYDAJ	PREVOD NA UCET	3452	22553	SIPO	YZ	78167122
219483	746	1997-12-14	VYDAJ	PREVOD NA UCET	3452	23755	SIPO	YZ	78167122
219484	746	1998-01-14	VYDAJ	PREVOD NA UCET	3452	23105	SIPO	YZ	78167122
219485	746	1998-02-14	VYDAJ	PREVOD NA UCET	3452	22911	SIPO	YZ	78167122
219486	746	1998-03-14	VYDAJ	PREVOD NA UCET	3452	24714	SIPO	YZ	78167122
219487	746	1998-04-14	VYDAJ	PREVOD NA UCET	3452	25724	SIPO	YZ	78167122
219488	746	1998-05-14	VYDAJ	PREVOD NA UCET	3452	27439	SIPO	YZ	78167122
219489	746	1998-06-14	VYDAJ	PREVOD NA UCET	3452	28460	SIPO	YZ	78167122
219490	746	1998-07-14	VYDAJ	PREVOD NA UCET	3452	27983	SIPO	YZ	78167122
219491	746	1998-08-14	VYDAJ	PREVOD NA UCET	3452	29808	SIPO	YZ	78167122
219492	746	1998-09-14	VYDAJ	PREVOD NA UCET	3452	30237	SIPO	YZ	78167122
219493	746	1998-10-14	VYDAJ	PREVOD NA UCET	3452	32071	SIPO	YZ	78167122
219494	746	1998-11-14	VYDAJ	PREVOD NA UCET	3452	33912	SIPO	YZ	78167122
219495	746	1998-12-14	VYDAJ	PREVOD NA UCET	3452	35760	SIPO	YZ	78167122
219496	746	1995-12-18	VYDAJ	VYBER	700	23916	\N	\N	\N
219497	746	1996-12-17	VYDAJ	VYBER	1400	25588	\N	\N	\N
219498	746	1997-12-05	VYDAJ	VYBER	600	22029	\N	\N	\N
219499	746	1998-12-14	VYDAJ	VYBER	1000	34760	\N	\N	\N
219500	746	1995-12-21	VYDAJ	VYBER	1680	22236	\N	\N	\N
219506	746	1996-03-28	VYDAJ	VYBER	1600	20786	\N	\N	\N
219507	746	1996-03-02	VYDAJ	VYBER	1680	21560	\N	\N	\N
219508	746	1996-11-10	VYDAJ	VYBER	2560	28920	\N	\N	\N
219509	746	1997-01-30	VYDAJ	VYBER	3760	19345	\N	\N	\N
219510	746	1997-03-24	VYDAJ	VYBER	2240	16782	\N	\N	\N
219511	746	1997-03-12	VYDAJ	VYBER	2560	22474	\N	\N	\N
219512	746	1997-08-24	VYDAJ	VYBER	1760	20065	\N	\N	\N
219513	746	1997-02-18	VYDAJ	VYBER	1360	19788	\N	\N	\N
219514	746	1998-01-05	VYDAJ	VYBER	960	21379	\N	\N	\N
219525	746	1995-10-31	VYDAJ	VYBER	15	22979	SLUZBY	\N	\N
219526	746	1995-11-30	VYDAJ	VYBER	15	24790	SLUZBY	\N	\N
219527	746	1995-12-31	VYDAJ	VYBER	15	22323	SLUZBY	\N	\N
219528	746	1996-01-31	VYDAJ	VYBER	15	22731	SLUZBY	\N	\N
219529	746	1996-02-29	VYDAJ	VYBER	15	23240	SLUZBY	\N	\N
219530	746	1996-03-31	VYDAJ	VYBER	15	20866	SLUZBY	\N	\N
219531	746	1996-04-30	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
219532	746	1996-05-31	VYDAJ	VYBER	15	23680	SLUZBY	\N	\N
219533	746	1996-06-30	VYDAJ	VYBER	15	25494	SLUZBY	\N	\N
219534	746	1996-07-31	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
219535	746	1996-08-31	VYDAJ	VYBER	15	27240	SLUZBY	\N	\N
219536	746	1996-09-30	VYDAJ	VYBER	15	28270	SLUZBY	\N	\N
219537	746	1996-10-31	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
219538	746	1996-11-30	VYDAJ	VYBER	15	25562	SLUZBY	\N	\N
219539	746	1996-12-31	VYDAJ	VYBER	15	21379	SLUZBY	\N	\N
219540	746	1997-01-31	VYDAJ	VYBER	15	19422	SLUZBY	\N	\N
219541	746	1997-02-28	VYDAJ	VYBER	15	19856	SLUZBY	\N	\N
219542	746	1997-03-31	VYDAJ	VYBER	15	16846	SLUZBY	\N	\N
219543	746	1997-04-30	VYDAJ	VYBER	15	16731	SLUZBY	\N	\N
219544	746	1997-05-31	VYDAJ	VYBER	15	18516	SLUZBY	\N	\N
219545	746	1997-06-30	VYDAJ	VYBER	15	18308	SLUZBY	\N	\N
219546	746	1997-07-31	VYDAJ	VYBER	15	20099	SLUZBY	\N	\N
219547	746	1997-08-31	VYDAJ	VYBER	15	20136	SLUZBY	\N	\N
219548	746	1997-09-30	VYDAJ	VYBER	15	19033	SLUZBY	\N	\N
219549	746	1997-10-31	VYDAJ	VYBER	15	20827	SLUZBY	\N	\N
219550	746	1997-11-30	VYDAJ	VYBER	15	22629	SLUZBY	\N	\N
219551	746	1997-12-31	VYDAJ	VYBER	15	22339	SLUZBY	\N	\N
219552	746	1998-01-31	VYDAJ	VYBER	15	21185	SLUZBY	\N	\N
219553	746	1998-02-28	VYDAJ	VYBER	15	22988	SLUZBY	\N	\N
219554	746	1998-03-31	VYDAJ	VYBER	15	23998	SLUZBY	\N	\N
219555	746	1998-04-30	VYDAJ	VYBER	15	25713	SLUZBY	\N	\N
219556	746	1998-05-31	VYDAJ	VYBER	15	26734	SLUZBY	\N	\N
219557	746	1998-06-30	VYDAJ	VYBER	15	26257	SLUZBY	\N	\N
219558	746	1998-07-31	VYDAJ	VYBER	15	28082	SLUZBY	\N	\N
219559	746	1998-08-31	VYDAJ	VYBER	15	28511	SLUZBY	\N	\N
219560	746	1998-09-30	VYDAJ	VYBER	15	30345	SLUZBY	\N	\N
219561	746	1998-10-31	VYDAJ	VYBER	15	32186	SLUZBY	\N	\N
219562	746	1998-11-30	VYDAJ	VYBER	15	34034	SLUZBY	\N	\N
219563	746	1995-12-06	VYDAJ	VYBER	1900	22890	\N	\N	\N
219564	746	1996-01-05	VYDAJ	VYBER	1400	20923	\N	\N	\N
219565	746	1996-02-04	VYDAJ	VYBER	1300	21431	\N	\N	\N
219566	746	1996-03-05	VYDAJ	VYBER	900	20660	\N	\N	\N
219567	746	1996-05-04	VYDAJ	VYBER	800	21869	\N	\N	\N
219568	746	1996-07-03	VYDAJ	VYBER	1300	24194	\N	\N	\N
219569	746	1996-08-02	VYDAJ	VYBER	600	25415	\N	\N	\N
219570	746	1996-09-01	VYDAJ	VYBER	800	26440	\N	\N	\N
219571	746	1996-10-01	VYDAJ	VYBER	1700	26570	\N	\N	\N
219572	746	1996-10-31	VYDAJ	VYBER	2100	26316	\N	\N	\N
219573	746	1996-11-30	VYDAJ	VYBER	300	25262	\N	\N	\N
219574	746	1996-12-30	VYDAJ	VYBER	4300	21288	\N	\N	\N
219575	746	1997-04-29	VYDAJ	VYBER	1900	16672	\N	\N	\N
219576	746	1997-06-28	VYDAJ	VYBER	2000	18242	\N	\N	\N
219577	746	1997-09-26	VYDAJ	VYBER	2900	18962	\N	\N	\N
219578	746	1997-12-25	VYDAJ	VYBER	1500	22255	\N	\N	\N
219579	746	1998-01-24	VYDAJ	VYBER	2000	21105	\N	\N	\N
219580	746	1998-03-25	VYDAJ	VYBER	800	23914	\N	\N	\N
219581	746	1998-04-24	VYDAJ	VYBER	100	25624	\N	\N	\N
219582	746	1998-05-24	VYDAJ	VYBER	800	26639	\N	\N	\N
219583	746	1998-06-23	VYDAJ	VYBER	2300	26160	\N	\N	\N
219584	746	1998-08-22	VYDAJ	VYBER	1400	28408	\N	\N	\N
219624	747	1993-08-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
219632	747	1993-08-11	PRIJEM	VKLAD	4009	5109	\N	\N	\N
219633	747	1993-09-11	PRIJEM	VKLAD	4009	19532	\N	\N	\N
219634	747	1993-10-11	PRIJEM	VKLAD	4009	26303	\N	\N	\N
219635	747	1993-11-11	PRIJEM	VKLAD	4009	29812	\N	\N	\N
219636	747	1993-12-11	PRIJEM	VKLAD	6014	35546	\N	\N	\N
219637	747	1994-01-11	PRIJEM	VKLAD	4009	27026	\N	\N	\N
219638	747	1994-02-11	PRIJEM	VKLAD	4009	22570	\N	\N	\N
219639	747	1994-03-11	PRIJEM	VKLAD	4009	23959	\N	\N	\N
219640	747	1994-04-11	PRIJEM	VKLAD	4009	24974	\N	\N	\N
219641	747	1994-05-11	PRIJEM	VKLAD	4009	28197	\N	\N	\N
219642	747	1994-06-11	PRIJEM	VKLAD	6014	21710	\N	\N	\N
219643	747	1994-07-11	PRIJEM	VKLAD	4009	24821	\N	\N	\N
219644	747	1994-08-11	PRIJEM	VKLAD	4009	22274	\N	\N	\N
219645	747	1994-09-11	PRIJEM	VKLAD	4009	21585	\N	\N	\N
219646	747	1994-10-11	PRIJEM	VKLAD	4009	24474	\N	\N	\N
219647	747	1994-11-11	PRIJEM	VKLAD	4009	24793	\N	\N	\N
219648	747	1994-12-11	PRIJEM	VKLAD	6014	27560	\N	\N	\N
219649	747	1995-01-11	PRIJEM	VKLAD	4009	19451	\N	\N	\N
219650	747	1995-02-11	PRIJEM	VKLAD	4009	20494	\N	\N	\N
219651	747	1995-03-11	PRIJEM	VKLAD	4009	21660	\N	\N	\N
219652	747	1995-04-11	PRIJEM	VKLAD	4009	19062	\N	\N	\N
219653	747	1995-05-11	PRIJEM	VKLAD	4009	23059	\N	\N	\N
219654	747	1995-06-11	PRIJEM	VKLAD	6014	24377	\N	\N	\N
219655	747	1995-07-11	PRIJEM	VKLAD	4009	26096	\N	\N	\N
219656	747	1995-08-11	PRIJEM	VKLAD	4009	23278	\N	\N	\N
219657	747	1995-09-11	PRIJEM	VKLAD	4009	24195	\N	\N	\N
219658	747	1995-10-11	PRIJEM	VKLAD	4009	25116	\N	\N	\N
219659	747	1995-11-11	PRIJEM	VKLAD	4009	20137	\N	\N	\N
219660	747	1995-12-11	PRIJEM	VKLAD	6014	19644	\N	\N	\N
219661	747	1996-01-11	PRIJEM	VKLAD	4009	16933	\N	\N	\N
219662	747	1996-02-11	PRIJEM	VKLAD	4009	17278	\N	\N	\N
219663	747	1996-03-11	PRIJEM	VKLAD	4009	20771	\N	\N	\N
219664	747	1996-04-11	PRIJEM	VKLAD	4009	18574	\N	\N	\N
219665	747	1996-05-11	PRIJEM	VKLAD	4009	16649	\N	\N	\N
219666	747	1996-06-11	PRIJEM	VKLAD	6014	21444	\N	\N	\N
219667	747	1996-07-11	PRIJEM	VKLAD	4009	20248	\N	\N	\N
219668	747	1996-08-11	PRIJEM	VKLAD	4009	20247	\N	\N	\N
219669	747	1996-09-11	PRIJEM	VKLAD	4009	18330	\N	\N	\N
219670	747	1996-10-11	PRIJEM	VKLAD	4009	20226	\N	\N	\N
219671	747	1996-11-11	PRIJEM	VKLAD	4009	20929	\N	\N	\N
219672	747	1996-12-11	PRIJEM	VKLAD	6014	20435	\N	\N	\N
219673	747	1997-01-11	PRIJEM	VKLAD	4009	16409	\N	\N	\N
219674	747	1997-02-11	PRIJEM	VKLAD	4009	16712	\N	\N	\N
219675	747	1997-03-11	PRIJEM	VKLAD	4009	21806	\N	\N	\N
219676	747	1997-04-11	PRIJEM	VKLAD	4009	24118	\N	\N	\N
219677	747	1997-05-11	PRIJEM	VKLAD	4009	23977	\N	\N	\N
219678	747	1997-06-11	PRIJEM	VKLAD	6014	26498	\N	\N	\N
219679	747	1997-07-11	PRIJEM	VKLAD	4009	26102	\N	\N	\N
219680	747	1997-08-11	PRIJEM	VKLAD	4009	23381	\N	\N	\N
219681	747	1997-09-11	PRIJEM	VKLAD	4009	27302	\N	\N	\N
219682	747	1997-10-11	PRIJEM	VKLAD	4009	27713	\N	\N	\N
219683	747	1997-11-11	PRIJEM	VKLAD	4009	25467	\N	\N	\N
219684	747	1997-12-11	PRIJEM	VKLAD	6014	27501	\N	\N	\N
219685	747	1998-01-11	PRIJEM	VKLAD	4009	21324	\N	\N	\N
219686	747	1998-02-11	PRIJEM	VKLAD	4009	20534	\N	\N	\N
219687	747	1998-03-11	PRIJEM	VKLAD	4009	23490	\N	\N	\N
219688	747	1998-04-11	PRIJEM	VKLAD	4009	25417	\N	\N	\N
219689	747	1998-05-11	PRIJEM	VKLAD	4009	25699	\N	\N	\N
219690	747	1998-06-11	PRIJEM	VKLAD	6014	28729	\N	\N	\N
219691	747	1998-07-11	PRIJEM	VKLAD	4009	24049	\N	\N	\N
219692	747	1998-08-11	PRIJEM	VKLAD	4009	25768	\N	\N	\N
219693	747	1998-09-11	PRIJEM	VKLAD	4009	26693	\N	\N	\N
219694	747	1998-10-11	PRIJEM	VKLAD	4009	28824	\N	\N	\N
219695	747	1998-11-11	PRIJEM	VKLAD	4009	23243	\N	\N	\N
219696	747	1998-12-11	PRIJEM	VKLAD	6014	23156	\N	\N	\N
219709	747	1994-01-05	VYDAJ	PREVOD NA UCET	2672	25557	SIPO	YZ	4759234
219710	747	1994-02-05	VYDAJ	PREVOD NA UCET	2672	18561	SIPO	YZ	4759234
219711	747	1994-03-05	VYDAJ	PREVOD NA UCET	2672	15050	SIPO	YZ	4759234
219712	747	1994-04-05	VYDAJ	PREVOD NA UCET	2672	21365	SIPO	YZ	4759234
219713	747	1994-05-05	VYDAJ	PREVOD NA UCET	2672	22388	SIPO	YZ	4759234
219714	747	1994-06-05	VYDAJ	PREVOD NA UCET	2672	17136	SIPO	YZ	4759234
219715	747	1994-07-05	VYDAJ	PREVOD NA UCET	2672	20812	SIPO	YZ	4759234
219716	747	1994-08-05	VYDAJ	PREVOD NA UCET	2672	18265	SIPO	YZ	4759234
219717	747	1994-09-05	VYDAJ	PREVOD NA UCET	2672	17576	SIPO	YZ	4759234
219718	747	1994-10-05	VYDAJ	PREVOD NA UCET	2672	20465	SIPO	YZ	4759234
219719	747	1994-11-05	VYDAJ	PREVOD NA UCET	2672	20784	SIPO	YZ	4759234
219720	747	1994-12-05	VYDAJ	PREVOD NA UCET	2672	21546	SIPO	YZ	4759234
219721	747	1995-01-05	VYDAJ	PREVOD NA UCET	2672	18802	SIPO	YZ	4759234
219722	747	1995-02-05	VYDAJ	PREVOD NA UCET	2672	16485	SIPO	YZ	4759234
219723	747	1995-03-05	VYDAJ	PREVOD NA UCET	2672	17651	SIPO	YZ	4759234
219724	747	1995-04-05	VYDAJ	PREVOD NA UCET	2672	15053	SIPO	YZ	4759234
219725	747	1995-05-05	VYDAJ	PREVOD NA UCET	2672	19050	SIPO	YZ	4759234
219726	747	1995-06-05	VYDAJ	PREVOD NA UCET	2672	18363	SIPO	YZ	4759234
219727	747	1995-07-05	VYDAJ	PREVOD NA UCET	2672	22087	SIPO	YZ	4759234
219728	747	1995-08-05	VYDAJ	PREVOD NA UCET	2672	19269	SIPO	YZ	4759234
219729	747	1995-09-05	VYDAJ	PREVOD NA UCET	2672	20186	SIPO	YZ	4759234
219730	747	1995-10-05	VYDAJ	PREVOD NA UCET	2672	21107	SIPO	YZ	4759234
219731	747	1995-11-05	VYDAJ	PREVOD NA UCET	2672	16128	SIPO	YZ	4759234
219732	747	1995-12-05	VYDAJ	PREVOD NA UCET	2672	13630	SIPO	YZ	4759234
219733	747	1996-01-05	VYDAJ	PREVOD NA UCET	2672	12924	SIPO	YZ	4759234
219734	747	1996-02-05	VYDAJ	PREVOD NA UCET	2672	13269	SIPO	YZ	4759234
219735	747	1996-03-05	VYDAJ	PREVOD NA UCET	2672	16762	SIPO	YZ	4759234
219736	747	1996-04-05	VYDAJ	PREVOD NA UCET	2672	14565	SIPO	YZ	4759234
219737	747	1996-05-05	VYDAJ	PREVOD NA UCET	2672	12640	SIPO	YZ	4759234
219738	747	1996-06-05	VYDAJ	PREVOD NA UCET	2672	15430	SIPO	YZ	4759234
219739	747	1996-07-05	VYDAJ	PREVOD NA UCET	2672	16239	SIPO	YZ	4759234
219740	747	1996-08-05	VYDAJ	PREVOD NA UCET	2672	16238	SIPO	YZ	4759234
219741	747	1996-09-05	VYDAJ	PREVOD NA UCET	2672	14321	SIPO	YZ	4759234
219742	747	1996-10-05	VYDAJ	PREVOD NA UCET	2672	16217	SIPO	YZ	4759234
219743	747	1996-11-05	VYDAJ	PREVOD NA UCET	2672	16920	SIPO	YZ	4759234
219744	747	1996-12-05	VYDAJ	PREVOD NA UCET	2672	14421	SIPO	YZ	4759234
219745	747	1997-01-05	VYDAJ	PREVOD NA UCET	2672	12400	SIPO	YZ	4759234
219746	747	1997-02-05	VYDAJ	PREVOD NA UCET	2672	12703	SIPO	YZ	4759234
219747	747	1997-03-05	VYDAJ	PREVOD NA UCET	2672	17797	SIPO	YZ	4759234
219748	747	1997-04-05	VYDAJ	PREVOD NA UCET	2672	20109	SIPO	YZ	4759234
219749	747	1997-05-05	VYDAJ	PREVOD NA UCET	2672	19968	SIPO	YZ	4759234
219750	747	1997-06-05	VYDAJ	PREVOD NA UCET	2672	20484	SIPO	YZ	4759234
219751	747	1997-07-05	VYDAJ	PREVOD NA UCET	2672	22093	SIPO	YZ	4759234
219752	747	1997-08-05	VYDAJ	PREVOD NA UCET	2672	19372	SIPO	YZ	4759234
219753	747	1997-09-05	VYDAJ	PREVOD NA UCET	2672	23293	SIPO	YZ	4759234
219754	747	1997-10-05	VYDAJ	PREVOD NA UCET	2672	23704	SIPO	YZ	4759234
219755	747	1997-11-05	VYDAJ	PREVOD NA UCET	2672	21458	SIPO	YZ	4759234
219756	747	1997-12-05	VYDAJ	PREVOD NA UCET	2672	21487	SIPO	YZ	4759234
219757	747	1998-01-05	VYDAJ	PREVOD NA UCET	2672	20435	SIPO	YZ	4759234
219758	747	1998-02-05	VYDAJ	PREVOD NA UCET	2672	16525	SIPO	YZ	4759234
219759	747	1998-03-05	VYDAJ	PREVOD NA UCET	2672	19481	SIPO	YZ	4759234
219760	747	1998-04-05	VYDAJ	PREVOD NA UCET	2672	21408	SIPO	YZ	4759234
219761	747	1998-05-05	VYDAJ	PREVOD NA UCET	2672	21690	SIPO	YZ	4759234
219762	747	1998-06-05	VYDAJ	PREVOD NA UCET	2672	22715	SIPO	YZ	4759234
219763	747	1998-07-05	VYDAJ	PREVOD NA UCET	2672	20040	SIPO	YZ	4759234
219764	747	1998-08-05	VYDAJ	PREVOD NA UCET	2672	21759	SIPO	YZ	4759234
219765	747	1998-09-05	VYDAJ	PREVOD NA UCET	2672	22684	SIPO	YZ	4759234
219766	747	1998-10-05	VYDAJ	PREVOD NA UCET	2672	24815	SIPO	YZ	4759234
219767	747	1998-11-05	VYDAJ	PREVOD NA UCET	2672	19234	SIPO	YZ	4759234
219768	747	1998-12-05	VYDAJ	PREVOD NA UCET	2672	17142	SIPO	YZ	4759234
219770	747	1994-06-04	VYDAJ	VYBER	8160	14608	\N	\N	\N
219775	747	1993-12-21	VYDAJ	VYBER	1920	33626	\N	\N	\N
219776	747	1994-12-02	VYDAJ	VYBER	2560	24218	\N	\N	\N
219777	747	1995-12-12	VYDAJ	VYBER	4000	15644	\N	\N	\N
219778	747	1996-12-13	VYDAJ	VYBER	3040	17395	\N	\N	\N
219779	747	1997-12-20	VYDAJ	VYBER	4480	23021	\N	\N	\N
219780	747	1998-12-21	VYDAJ	VYBER	2240	18116	\N	\N	\N
219787	747	1994-01-03	VYDAJ	VYBER	3480	30269	\N	\N	\N
219788	747	1994-01-17	VYDAJ	VYBER	2400	24626	\N	\N	\N
219789	747	1994-01-04	VYDAJ	VYBER	2040	28229	\N	\N	\N
219790	747	1994-01-23	VYDAJ	VYBER	3240	21386	\N	\N	\N
219791	747	1994-01-08	VYDAJ	VYBER	3240	23017	\N	\N	\N
219792	747	1994-01-25	VYDAJ	VYBER	2640	18746	\N	\N	\N
219793	747	1995-01-28	VYDAJ	VYBER	2160	17291	\N	\N	\N
219794	747	1995-01-04	VYDAJ	VYBER	1200	21474	\N	\N	\N
219795	747	1995-01-06	VYDAJ	VYBER	1320	17482	\N	\N	\N
219796	747	1995-01-03	VYDAJ	VYBER	1680	23274	\N	\N	\N
219797	747	1995-01-07	VYDAJ	VYBER	2040	15442	\N	\N	\N
219798	747	1995-01-03	VYDAJ	VYBER	600	22674	\N	\N	\N
219801	747	1996-01-04	VYDAJ	VYBER	1200	15596	\N	\N	\N
219803	747	1996-01-17	VYDAJ	VYBER	3240	13693	\N	\N	\N
219805	747	1997-01-02	VYDAJ	VYBER	2760	15072	\N	\N	\N
219808	747	1997-01-27	VYDAJ	VYBER	840	15329	\N	\N	\N
219809	747	1997-01-12	VYDAJ	VYBER	2640	13769	\N	\N	\N
219811	747	1998-01-10	VYDAJ	VYBER	2040	17315	\N	\N	\N
219812	747	1998-01-16	VYDAJ	VYBER	1200	22724	\N	\N	\N
219813	747	1998-01-25	VYDAJ	VYBER	840	20204	\N	\N	\N
219814	747	1998-01-21	VYDAJ	VYBER	1680	21044	\N	\N	\N
219815	747	1998-01-08	VYDAJ	VYBER	1080	19355	\N	\N	\N
219816	747	1998-01-29	VYDAJ	VYBER	1080	19124	\N	\N	\N
219819	747	1994-06-09	VYDAJ	VYBER	1440	15696	\N	\N	\N
219820	747	1994-09-23	VYDAJ	VYBER	720	20865	\N	\N	\N
219821	747	1994-07-20	VYDAJ	VYBER	4560	20261	\N	\N	\N
219822	747	1994-05-22	VYDAJ	VYBER	5520	22677	\N	\N	\N
219823	747	1994-02-27	VYDAJ	VYBER	4920	17650	\N	\N	\N
219824	747	1995-07-23	VYDAJ	VYBER	5280	20816	\N	\N	\N
219825	747	1995-03-24	VYDAJ	VYBER	5400	16260	\N	\N	\N
219826	747	1995-03-04	VYDAJ	VYBER	2040	20323	\N	\N	\N
219827	747	1995-07-28	VYDAJ	VYBER	2760	18056	\N	\N	\N
219828	747	1995-05-04	VYDAJ	VYBER	600	21722	\N	\N	\N
219829	747	1996-12-19	VYDAJ	VYBER	3120	14275	\N	\N	\N
219830	747	1996-07-15	VYDAJ	VYBER	3000	17248	\N	\N	\N
219831	747	1996-04-22	VYDAJ	VYBER	720	17854	\N	\N	\N
219832	747	1996-09-01	VYDAJ	VYBER	2520	16993	\N	\N	\N
219833	747	1997-12-01	VYDAJ	VYBER	3600	24159	\N	\N	\N
219834	747	1997-07-13	VYDAJ	VYBER	2640	23462	\N	\N	\N
219835	747	1997-09-20	VYDAJ	VYBER	720	26282	\N	\N	\N
219836	747	1997-05-01	VYDAJ	VYBER	960	22640	\N	\N	\N
219837	747	1997-10-30	VYDAJ	VYBER	4080	24033	\N	\N	\N
219838	747	1997-06-22	VYDAJ	VYBER	2520	24678	\N	\N	\N
219839	747	1998-03-01	VYDAJ	VYBER	3960	22153	\N	\N	\N
219840	747	1998-04-05	VYDAJ	VYBER	4200	24080	\N	\N	\N
219841	747	1998-04-19	VYDAJ	VYBER	840	24277	\N	\N	\N
219842	747	1998-11-30	VYDAJ	VYBER	1200	19814	\N	\N	\N
219855	747	1993-12-31	VYDAJ	VYBER	15	33749	SLUZBY	\N	\N
219856	747	1994-01-31	VYDAJ	VYBER	15	18833	SLUZBY	\N	\N
219857	747	1994-02-28	VYDAJ	VYBER	15	17722	SLUZBY	\N	\N
219858	747	1994-03-31	VYDAJ	VYBER	15	24037	SLUZBY	\N	\N
219859	747	1994-04-30	VYDAJ	VYBER	15	25060	SLUZBY	\N	\N
219860	747	1994-05-31	VYDAJ	VYBER	15	22768	SLUZBY	\N	\N
219861	747	1994-06-30	VYDAJ	VYBER	15	21784	SLUZBY	\N	\N
219862	747	1994-07-31	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
219863	747	1994-08-31	VYDAJ	VYBER	15	22348	SLUZBY	\N	\N
219864	747	1994-09-30	VYDAJ	VYBER	15	20937	SLUZBY	\N	\N
219865	747	1994-10-31	VYDAJ	VYBER	15	24556	SLUZBY	\N	\N
219866	747	1994-11-30	VYDAJ	VYBER	15	24878	SLUZBY	\N	\N
219867	747	1994-12-31	VYDAJ	VYBER	15	27654	SLUZBY	\N	\N
219868	747	1995-01-31	VYDAJ	VYBER	15	19157	SLUZBY	\N	\N
219869	747	1995-02-28	VYDAJ	VYBER	15	20563	SLUZBY	\N	\N
219870	747	1995-03-31	VYDAJ	VYBER	15	16325	SLUZBY	\N	\N
219871	747	1995-04-30	VYDAJ	VYBER	15	19122	SLUZBY	\N	\N
219872	747	1995-05-31	VYDAJ	VYBER	15	21035	SLUZBY	\N	\N
219873	747	1995-06-30	VYDAJ	VYBER	15	24759	SLUZBY	\N	\N
219874	747	1995-07-31	VYDAJ	VYBER	15	21941	SLUZBY	\N	\N
219875	747	1995-08-31	VYDAJ	VYBER	15	22858	SLUZBY	\N	\N
219876	747	1995-09-30	VYDAJ	VYBER	15	23779	SLUZBY	\N	\N
219877	747	1995-10-31	VYDAJ	VYBER	15	18800	SLUZBY	\N	\N
219878	747	1995-11-30	VYDAJ	VYBER	15	16302	SLUZBY	\N	\N
219879	747	1995-12-31	VYDAJ	VYBER	15	16796	SLUZBY	\N	\N
219880	747	1996-01-31	VYDAJ	VYBER	15	15941	SLUZBY	\N	\N
219881	747	1996-02-29	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
219882	747	1996-03-31	VYDAJ	VYBER	15	17237	SLUZBY	\N	\N
219883	747	1996-04-30	VYDAJ	VYBER	15	15312	SLUZBY	\N	\N
219884	747	1996-05-31	VYDAJ	VYBER	15	18102	SLUZBY	\N	\N
219885	747	1996-06-30	VYDAJ	VYBER	15	18911	SLUZBY	\N	\N
219886	747	1996-07-31	VYDAJ	VYBER	15	18910	SLUZBY	\N	\N
219887	747	1996-08-31	VYDAJ	VYBER	15	19513	SLUZBY	\N	\N
219888	747	1996-09-30	VYDAJ	VYBER	15	18889	SLUZBY	\N	\N
219889	747	1996-10-31	VYDAJ	VYBER	15	19592	SLUZBY	\N	\N
219890	747	1996-11-30	VYDAJ	VYBER	15	17093	SLUZBY	\N	\N
219891	747	1996-12-31	VYDAJ	VYBER	15	17832	SLUZBY	\N	\N
219892	747	1997-01-31	VYDAJ	VYBER	15	15375	SLUZBY	\N	\N
219893	747	1997-02-28	VYDAJ	VYBER	15	20469	SLUZBY	\N	\N
219894	747	1997-03-31	VYDAJ	VYBER	15	22781	SLUZBY	\N	\N
219895	747	1997-04-30	VYDAJ	VYBER	15	23600	SLUZBY	\N	\N
219896	747	1997-05-31	VYDAJ	VYBER	15	23156	SLUZBY	\N	\N
219897	747	1997-06-30	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
219898	747	1997-07-31	VYDAJ	VYBER	15	22044	SLUZBY	\N	\N
219899	747	1997-08-31	VYDAJ	VYBER	15	25965	SLUZBY	\N	\N
219900	747	1997-09-30	VYDAJ	VYBER	15	26376	SLUZBY	\N	\N
219901	747	1997-10-31	VYDAJ	VYBER	15	24130	SLUZBY	\N	\N
219902	747	1997-11-30	VYDAJ	VYBER	15	27759	SLUZBY	\N	\N
219903	747	1997-12-31	VYDAJ	VYBER	15	23107	SLUZBY	\N	\N
219904	747	1998-01-31	VYDAJ	VYBER	15	19197	SLUZBY	\N	\N
219905	747	1998-02-28	VYDAJ	VYBER	15	26113	SLUZBY	\N	\N
219906	747	1998-03-31	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
219907	747	1998-04-30	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
219908	747	1998-05-31	VYDAJ	VYBER	15	25387	SLUZBY	\N	\N
219909	747	1998-06-30	VYDAJ	VYBER	15	22712	SLUZBY	\N	\N
219910	747	1998-07-31	VYDAJ	VYBER	15	24431	SLUZBY	\N	\N
219911	747	1998-08-31	VYDAJ	VYBER	15	25356	SLUZBY	\N	\N
219912	747	1998-09-30	VYDAJ	VYBER	15	27487	SLUZBY	\N	\N
219913	747	1998-10-31	VYDAJ	VYBER	15	21906	SLUZBY	\N	\N
219914	747	1998-11-30	VYDAJ	VYBER	15	21014	SLUZBY	\N	\N
219915	747	1993-09-08	PRIJEM	VKLAD	10400	15523	\N	\N	\N
219916	747	1993-10-08	PRIJEM	VKLAD	2700	22294	\N	\N	\N
219917	747	1993-11-07	VYDAJ	VYBER	600	25803	\N	\N	\N
219918	747	1993-12-07	VYDAJ	VYBER	400	29532	\N	\N	\N
219919	747	1994-01-06	PRIJEM	VKLAD	700	26257	\N	\N	\N
219920	747	1994-02-05	PRIJEM	VKLAD	2400	21233	\N	\N	\N
219921	747	1994-03-07	PRIJEM	VKLAD	4900	19950	\N	\N	\N
219922	747	1994-04-06	VYDAJ	VYBER	400	20965	\N	\N	\N
219923	747	1994-05-06	PRIJEM	VKLAD	1800	24188	\N	\N	\N
219924	747	1994-06-05	PRIJEM	VKLAD	5200	19808	\N	\N	\N
219925	747	1994-07-05	PRIJEM	VKLAD	1700	23484	\N	\N	\N
219926	747	1994-08-04	PRIJEM	VKLAD	600	20937	\N	\N	\N
219927	747	1994-09-03	VYDAJ	VYBER	2100	20248	\N	\N	\N
219928	747	1994-10-03	PRIJEM	VKLAD	2200	23137	\N	\N	\N
219929	747	1994-11-02	VYDAJ	VYBER	1100	23456	\N	\N	\N
219930	747	1994-12-02	PRIJEM	VKLAD	1900	26778	\N	\N	\N
219931	747	1995-01-01	VYDAJ	VYBER	2700	24954	\N	\N	\N
219932	747	1995-01-31	PRIJEM	VKLAD	1800	19091	\N	\N	\N
219933	747	1995-03-02	PRIJEM	VKLAD	1800	22363	\N	\N	\N
219934	747	1995-04-01	PRIJEM	VKLAD	1400	17725	\N	\N	\N
219935	747	1995-05-01	PRIJEM	VKLAD	3200	22322	\N	\N	\N
219936	747	1995-05-31	VYDAJ	VYBER	2100	21050	\N	\N	\N
219937	747	1995-06-30	PRIJEM	VKLAD	300	24677	\N	\N	\N
219938	747	1995-07-30	PRIJEM	VKLAD	3800	21856	\N	\N	\N
219939	747	1995-08-29	VYDAJ	VYBER	500	22778	\N	\N	\N
219940	747	1995-09-28	VYDAJ	VYBER	500	23695	\N	\N	\N
219941	747	1995-10-28	VYDAJ	VYBER	6400	18716	\N	\N	\N
219942	747	1995-11-27	VYDAJ	VYBER	3900	16237	\N	\N	\N
219943	747	1995-12-27	PRIJEM	VKLAD	1100	16744	\N	\N	\N
219944	747	1996-01-26	PRIJEM	VKLAD	2200	15893	\N	\N	\N
219945	747	1996-02-25	PRIJEM	VKLAD	2100	19378	\N	\N	\N
219946	747	1996-03-26	VYDAJ	VYBER	3600	17171	\N	\N	\N
219947	747	1996-04-25	VYDAJ	VYBER	2600	15254	\N	\N	\N
219948	747	1996-05-25	PRIJEM	VKLAD	1400	18049	\N	\N	\N
219949	747	1996-06-24	VYDAJ	VYBER	2600	18844	\N	\N	\N
219950	747	1996-07-24	PRIJEM	VKLAD	1600	18848	\N	\N	\N
219951	747	1996-08-23	VYDAJ	VYBER	800	19447	\N	\N	\N
219952	747	1996-09-22	PRIJEM	VKLAD	500	18830	\N	\N	\N
219953	747	1996-10-22	VYDAJ	VYBER	700	19526	\N	\N	\N
219954	747	1996-11-21	VYDAJ	VYBER	3900	17029	\N	\N	\N
219955	747	1996-12-21	PRIJEM	VKLAD	3500	17775	\N	\N	\N
219956	747	1997-01-20	PRIJEM	VKLAD	2400	16169	\N	\N	\N
219957	747	1997-02-19	PRIJEM	VKLAD	3700	20412	\N	\N	\N
219958	747	1997-03-21	PRIJEM	VKLAD	900	22706	\N	\N	\N
219959	747	1997-04-20	VYDAJ	VYBER	600	23518	\N	\N	\N
219960	747	1997-05-20	VYDAJ	VYBER	900	23077	\N	\N	\N
219961	747	1997-06-19	PRIJEM	VKLAD	700	27198	\N	\N	\N
219962	747	1997-07-19	VYDAJ	VYBER	1500	21962	\N	\N	\N
219963	747	1997-08-18	PRIJEM	VKLAD	2500	25881	\N	\N	\N
219964	747	1997-09-17	VYDAJ	VYBER	300	27002	\N	\N	\N
219965	747	1997-10-17	PRIJEM	VKLAD	400	28113	\N	\N	\N
219966	747	1997-11-16	PRIJEM	VKLAD	2200	27667	\N	\N	\N
219967	747	1998-01-15	PRIJEM	VKLAD	2600	23924	\N	\N	\N
219968	747	1998-02-14	PRIJEM	VKLAD	5500	26034	\N	\N	\N
219969	747	1998-03-16	PRIJEM	VKLAD	4700	28190	\N	\N	\N
219970	747	1998-04-15	VYDAJ	VYBER	300	25117	\N	\N	\N
219971	747	1998-05-15	VYDAJ	VYBER	400	25299	\N	\N	\N
219972	747	1998-06-14	VYDAJ	VYBER	6100	22629	\N	\N	\N
219973	747	1998-07-14	PRIJEM	VKLAD	300	24349	\N	\N	\N
219974	747	1998-08-13	VYDAJ	VYBER	500	25268	\N	\N	\N
219975	747	1998-09-12	PRIJEM	VKLAD	700	27393	\N	\N	\N
219976	747	1998-10-12	VYDAJ	VYBER	7000	21824	\N	\N	\N
219977	747	1998-11-11	VYDAJ	VYBER	2300	20943	\N	\N	\N
219978	747	1998-12-11	VYDAJ	VYBER	2800	20356	\N	\N	\N
220044	748	1993-04-08	PRIJEM	VKLAD	700	700	\N	\N	\N
220049	748	1993-05-06	PRIJEM	VKLAD	9738	10438	\N	\N	\N
220050	748	1993-06-06	PRIJEM	VKLAD	14607	30897	\N	\N	\N
220051	748	1993-07-06	PRIJEM	VKLAD	9738	35535	\N	\N	\N
220052	748	1993-08-06	PRIJEM	VKLAD	9738	39192	\N	\N	\N
220053	748	1993-09-06	PRIJEM	VKLAD	9738	35287	\N	\N	\N
220054	748	1993-10-06	PRIJEM	VKLAD	9738	37247	\N	\N	\N
220055	748	1993-11-06	PRIJEM	VKLAD	9738	35307	\N	\N	\N
220056	748	1993-12-06	PRIJEM	VKLAD	14607	37242	\N	\N	\N
220057	748	1994-01-06	PRIJEM	VKLAD	9738	36915	\N	\N	\N
220058	748	1994-02-06	PRIJEM	VKLAD	9738	31355	\N	\N	\N
220059	748	1994-03-06	PRIJEM	VKLAD	9738	33783	\N	\N	\N
220060	748	1994-04-06	PRIJEM	VKLAD	9738	33026	\N	\N	\N
220061	748	1994-05-06	PRIJEM	VKLAD	9738	34268	\N	\N	\N
220062	748	1994-06-06	PRIJEM	VKLAD	14607	31605	\N	\N	\N
220063	748	1994-07-06	PRIJEM	VKLAD	9738	37340	\N	\N	\N
220064	748	1994-08-06	PRIJEM	VKLAD	9738	40498	\N	\N	\N
220065	748	1994-09-06	PRIJEM	VKLAD	9738	38169	\N	\N	\N
220066	748	1994-10-06	PRIJEM	VKLAD	9738	38901	\N	\N	\N
220067	748	1994-11-06	PRIJEM	VKLAD	9738	33540	\N	\N	\N
220068	748	1994-12-06	PRIJEM	VKLAD	14607	39831	\N	\N	\N
220069	748	1995-01-06	PRIJEM	VKLAD	9738	39998	\N	\N	\N
220070	748	1995-02-06	PRIJEM	VKLAD	9738	33405	\N	\N	\N
220071	748	1995-03-06	PRIJEM	VKLAD	9738	38103	\N	\N	\N
220072	748	1995-04-06	PRIJEM	VKLAD	9738	39762	\N	\N	\N
220073	748	1995-05-06	PRIJEM	VKLAD	9738	43328	\N	\N	\N
220074	748	1995-06-06	PRIJEM	VKLAD	14607	46576	\N	\N	\N
220075	748	1995-07-06	PRIJEM	VKLAD	9738	37332	\N	\N	\N
220076	748	1995-08-06	PRIJEM	VKLAD	9738	37786	\N	\N	\N
220077	748	1995-09-06	PRIJEM	VKLAD	9738	41244	\N	\N	\N
220078	748	1995-10-06	PRIJEM	VKLAD	9738	42374	\N	\N	\N
220079	748	1995-11-06	PRIJEM	VKLAD	9738	42548	\N	\N	\N
220080	748	1995-12-06	PRIJEM	VKLAD	14607	46090	\N	\N	\N
220081	748	1996-01-06	PRIJEM	VKLAD	9738	43071	\N	\N	\N
220082	748	1996-02-06	PRIJEM	VKLAD	9738	32333	\N	\N	\N
220083	748	1996-03-06	PRIJEM	VKLAD	9738	39973	\N	\N	\N
220084	748	1996-04-06	PRIJEM	VKLAD	9738	43039	\N	\N	\N
220085	748	1996-05-06	PRIJEM	VKLAD	9738	43915	\N	\N	\N
220086	748	1996-06-06	PRIJEM	VKLAD	14607	51767	\N	\N	\N
220087	748	1996-07-06	PRIJEM	VKLAD	9738	39460	\N	\N	\N
220088	748	1996-08-06	PRIJEM	VKLAD	9738	42339	\N	\N	\N
220089	748	1996-09-06	PRIJEM	VKLAD	9738	47018	\N	\N	\N
220090	748	1996-10-06	PRIJEM	VKLAD	9738	48462	\N	\N	\N
220091	748	1996-11-06	PRIJEM	VKLAD	9738	50784	\N	\N	\N
220092	748	1996-12-06	PRIJEM	VKLAD	14607	59865	\N	\N	\N
220093	748	1997-01-06	PRIJEM	VKLAD	9738	52377	\N	\N	\N
220094	748	1997-02-06	PRIJEM	VKLAD	9738	50248	\N	\N	\N
220095	748	1997-03-06	PRIJEM	VKLAD	9738	53159	\N	\N	\N
220096	748	1997-04-06	PRIJEM	VKLAD	9738	61634	\N	\N	\N
220097	748	1997-05-06	PRIJEM	VKLAD	9738	66398	\N	\N	\N
220098	748	1997-06-06	PRIJEM	VKLAD	14607	78249	\N	\N	\N
220099	748	1997-07-06	PRIJEM	VKLAD	9738	59813	\N	\N	\N
220100	748	1997-08-06	PRIJEM	VKLAD	9738	68472	\N	\N	\N
220101	748	1997-09-06	PRIJEM	VKLAD	9738	70753	\N	\N	\N
220102	748	1997-10-06	PRIJEM	VKLAD	9738	70724	\N	\N	\N
220103	748	1997-11-06	PRIJEM	VKLAD	9738	76322	\N	\N	\N
220104	748	1997-12-06	PRIJEM	VKLAD	14607	90121	\N	\N	\N
220105	748	1998-01-06	PRIJEM	VKLAD	9738	86552	\N	\N	\N
220106	748	1998-02-06	PRIJEM	VKLAD	9738	66356	\N	\N	\N
220107	748	1998-03-06	PRIJEM	VKLAD	9738	77049	\N	\N	\N
220108	748	1998-04-06	PRIJEM	VKLAD	9738	85781	\N	\N	\N
220109	748	1998-05-06	PRIJEM	VKLAD	9738	93548	\N	\N	\N
220110	748	1998-06-06	PRIJEM	VKLAD	14607	106015	\N	\N	\N
220111	748	1998-07-06	PRIJEM	VKLAD	9738	86454	\N	\N	\N
220112	748	1998-08-06	PRIJEM	VKLAD	9738	99538	\N	\N	\N
220113	748	1998-09-06	PRIJEM	VKLAD	9738	104554	\N	\N	\N
220114	748	1998-10-06	PRIJEM	VKLAD	9738	107685	\N	\N	\N
220115	748	1998-11-06	PRIJEM	VKLAD	9738	103956	\N	\N	\N
220116	748	1998-12-06	PRIJEM	VKLAD	14607	106837	\N	\N	\N
220125	748	1993-09-08	VYDAJ	PREVOD NA UCET	6492	28795	SIPO	OP	75135111
220126	748	1993-10-08	VYDAJ	PREVOD NA UCET	6492	30755	SIPO	OP	75135111
220127	748	1993-11-08	VYDAJ	PREVOD NA UCET	6492	28815	SIPO	OP	75135111
220128	748	1993-12-08	VYDAJ	PREVOD NA UCET	6492	30750	SIPO	OP	75135111
220129	748	1994-01-08	VYDAJ	PREVOD NA UCET	6492	23703	SIPO	OP	75135111
220130	748	1994-02-08	VYDAJ	PREVOD NA UCET	6492	24863	SIPO	OP	75135111
220131	748	1994-03-08	VYDAJ	PREVOD NA UCET	6492	27291	SIPO	OP	75135111
220132	748	1994-04-08	VYDAJ	PREVOD NA UCET	6492	26534	SIPO	OP	75135111
220133	748	1994-05-08	VYDAJ	PREVOD NA UCET	6492	27776	SIPO	OP	75135111
220134	748	1994-06-08	VYDAJ	PREVOD NA UCET	6492	25113	SIPO	OP	75135111
220135	748	1994-07-08	VYDAJ	PREVOD NA UCET	6492	30848	SIPO	OP	75135111
220136	748	1994-08-08	VYDAJ	PREVOD NA UCET	6492	34006	SIPO	OP	75135111
220137	748	1994-09-08	VYDAJ	PREVOD NA UCET	6492	31677	SIPO	OP	75135111
220138	748	1994-10-08	VYDAJ	PREVOD NA UCET	6492	32409	SIPO	OP	75135111
220139	748	1994-11-08	VYDAJ	PREVOD NA UCET	6492	27048	SIPO	OP	75135111
220140	748	1994-12-08	VYDAJ	PREVOD NA UCET	6492	33339	SIPO	OP	75135111
220141	748	1995-01-08	VYDAJ	PREVOD NA UCET	6492	21386	SIPO	OP	75135111
220142	748	1995-02-08	VYDAJ	PREVOD NA UCET	6492	26913	SIPO	OP	75135111
220143	748	1995-03-08	VYDAJ	PREVOD NA UCET	6492	31611	SIPO	OP	75135111
220144	748	1995-04-08	VYDAJ	PREVOD NA UCET	6492	33270	SIPO	OP	75135111
220145	748	1995-05-08	VYDAJ	PREVOD NA UCET	6492	36836	SIPO	OP	75135111
220146	748	1995-06-08	VYDAJ	PREVOD NA UCET	6492	40084	SIPO	OP	75135111
220147	748	1995-07-08	VYDAJ	PREVOD NA UCET	6492	30840	SIPO	OP	75135111
220148	748	1995-08-08	VYDAJ	PREVOD NA UCET	6492	31294	SIPO	OP	75135111
220149	748	1995-09-08	VYDAJ	PREVOD NA UCET	6492	34752	SIPO	OP	75135111
220150	748	1995-10-08	VYDAJ	PREVOD NA UCET	6492	35882	SIPO	OP	75135111
220151	748	1995-11-08	VYDAJ	PREVOD NA UCET	6492	36056	SIPO	OP	75135111
220152	748	1995-12-08	VYDAJ	PREVOD NA UCET	6492	38798	SIPO	OP	75135111
220153	748	1996-01-08	VYDAJ	PREVOD NA UCET	6492	34539	SIPO	OP	75135111
220154	748	1996-02-08	VYDAJ	PREVOD NA UCET	6492	25841	SIPO	OP	75135111
220155	748	1996-03-08	VYDAJ	PREVOD NA UCET	6492	33481	SIPO	OP	75135111
220156	748	1996-04-08	VYDAJ	PREVOD NA UCET	6492	36547	SIPO	OP	75135111
220157	748	1996-05-08	VYDAJ	PREVOD NA UCET	6492	37423	SIPO	OP	75135111
220158	748	1996-06-08	VYDAJ	PREVOD NA UCET	6492	45275	SIPO	OP	75135111
220159	748	1996-07-08	VYDAJ	PREVOD NA UCET	6492	32968	SIPO	OP	75135111
220160	748	1996-08-08	VYDAJ	PREVOD NA UCET	6492	35847	SIPO	OP	75135111
220161	748	1996-09-08	VYDAJ	PREVOD NA UCET	6492	40526	SIPO	OP	75135111
220162	748	1996-10-08	VYDAJ	PREVOD NA UCET	6492	41970	SIPO	OP	75135111
220163	748	1996-11-08	VYDAJ	PREVOD NA UCET	6492	44292	SIPO	OP	75135111
220164	748	1996-12-08	VYDAJ	PREVOD NA UCET	6492	53373	SIPO	OP	75135111
220165	748	1997-01-08	VYDAJ	PREVOD NA UCET	6492	45885	SIPO	OP	75135111
220166	748	1997-02-08	VYDAJ	PREVOD NA UCET	6492	43756	SIPO	OP	75135111
220167	748	1997-03-08	VYDAJ	PREVOD NA UCET	6492	46667	SIPO	OP	75135111
220168	748	1997-04-08	VYDAJ	PREVOD NA UCET	6492	55142	SIPO	OP	75135111
220169	748	1997-05-08	VYDAJ	PREVOD NA UCET	6492	59906	SIPO	OP	75135111
220170	748	1997-06-08	VYDAJ	PREVOD NA UCET	6492	71757	SIPO	OP	75135111
220171	748	1997-07-08	VYDAJ	PREVOD NA UCET	6492	53321	SIPO	OP	75135111
220172	748	1997-08-08	VYDAJ	PREVOD NA UCET	6492	61980	SIPO	OP	75135111
220173	748	1997-09-08	VYDAJ	PREVOD NA UCET	6492	64261	SIPO	OP	75135111
220174	748	1997-10-08	VYDAJ	PREVOD NA UCET	6492	64232	SIPO	OP	75135111
220175	748	1997-11-08	VYDAJ	PREVOD NA UCET	6492	69830	SIPO	OP	75135111
220176	748	1997-12-08	VYDAJ	PREVOD NA UCET	6492	83629	SIPO	OP	75135111
220177	748	1998-01-08	VYDAJ	PREVOD NA UCET	6492	80060	SIPO	OP	75135111
220178	748	1998-02-08	VYDAJ	PREVOD NA UCET	6492	59864	SIPO	OP	75135111
220179	748	1998-03-08	VYDAJ	PREVOD NA UCET	6492	70557	SIPO	OP	75135111
220180	748	1998-04-08	VYDAJ	PREVOD NA UCET	6492	79289	SIPO	OP	75135111
220181	748	1998-05-08	VYDAJ	PREVOD NA UCET	6492	87056	SIPO	OP	75135111
220182	748	1998-06-08	VYDAJ	PREVOD NA UCET	6492	99523	SIPO	OP	75135111
220183	748	1998-07-08	VYDAJ	PREVOD NA UCET	6492	79962	SIPO	OP	75135111
220184	748	1998-08-08	VYDAJ	PREVOD NA UCET	6492	93046	SIPO	OP	75135111
220185	748	1998-09-08	VYDAJ	PREVOD NA UCET	6492	98062	SIPO	OP	75135111
220186	748	1998-10-08	VYDAJ	PREVOD NA UCET	6492	101193	SIPO	OP	75135111
220187	748	1998-11-08	VYDAJ	PREVOD NA UCET	6492	97464	SIPO	OP	75135111
220188	748	1998-12-08	VYDAJ	PREVOD NA UCET	6492	100345	SIPO	OP	75135111
220190	748	1994-06-03	VYDAJ	VYBER	7680	16998	\N	\N	\N
220191	748	1995-06-12	VYDAJ	VYBER	12800	27284	\N	\N	\N
220192	748	1996-06-23	VYDAJ	VYBER	14400	29575	\N	\N	\N
220193	748	1997-06-14	VYDAJ	VYBER	40800	30957	\N	\N	\N
220194	748	1998-06-21	VYDAJ	VYBER	20960	76363	\N	\N	\N
220196	748	1994-01-06	VYDAJ	VYBER	6720	30195	\N	\N	\N
220197	748	1995-01-08	VYDAJ	VYBER	11040	27878	\N	\N	\N
220198	748	1996-01-26	VYDAJ	VYBER	9600	22479	\N	\N	\N
220199	748	1997-01-28	VYDAJ	VYBER	2880	40345	\N	\N	\N
220200	748	1998-01-13	VYDAJ	VYBER	1600	76860	\N	\N	\N
220201	748	1993-12-22	VYDAJ	VYBER	2880	27870	\N	\N	\N
220202	748	1994-12-03	VYDAJ	VYBER	3520	25224	\N	\N	\N
220203	748	1995-12-08	VYDAJ	VYBER	800	45290	\N	\N	\N
220204	748	1996-12-27	VYDAJ	VYBER	4000	44253	\N	\N	\N
220205	748	1997-12-15	VYDAJ	VYBER	1920	76509	\N	\N	\N
220206	748	1998-12-22	VYDAJ	VYBER	4160	95385	\N	\N	\N
220214	748	1994-01-15	VYDAJ	VYBER	2880	19623	\N	\N	\N
220215	748	1994-01-24	VYDAJ	VYBER	1920	13743	\N	\N	\N
220216	748	1994-01-22	VYDAJ	VYBER	2280	16743	\N	\N	\N
220217	748	1994-01-18	VYDAJ	VYBER	600	19023	\N	\N	\N
220218	748	1994-01-08	VYDAJ	VYBER	1200	22503	\N	\N	\N
220219	748	1995-01-21	VYDAJ	VYBER	1680	18266	\N	\N	\N
220221	748	1995-01-21	VYDAJ	VYBER	1560	16706	\N	\N	\N
220222	748	1995-01-10	VYDAJ	VYBER	1440	19946	\N	\N	\N
220223	748	1995-01-27	VYDAJ	VYBER	2520	14186	\N	\N	\N
220224	748	1995-01-07	VYDAJ	VYBER	1080	38918	\N	\N	\N
220225	748	1996-01-14	VYDAJ	VYBER	2400	32139	\N	\N	\N
220226	748	1996-01-05	VYDAJ	VYBER	1800	33333	\N	\N	\N
220227	748	1996-01-16	VYDAJ	VYBER	1800	30339	\N	\N	\N
220228	748	1996-01-04	VYDAJ	VYBER	600	35133	\N	\N	\N
220229	748	1996-01-24	VYDAJ	VYBER	960	32079	\N	\N	\N
220230	748	1996-01-07	VYDAJ	VYBER	2040	41031	\N	\N	\N
220231	748	1997-01-09	VYDAJ	VYBER	2400	43485	\N	\N	\N
220232	748	1997-01-11	VYDAJ	VYBER	1320	42165	\N	\N	\N
220233	748	1997-01-13	VYDAJ	VYBER	720	41445	\N	\N	\N
220234	748	1997-01-20	VYDAJ	VYBER	2760	43225	\N	\N	\N
220235	748	1997-01-05	VYDAJ	VYBER	1800	42639	\N	\N	\N
220236	748	1997-01-16	VYDAJ	VYBER	2160	39285	\N	\N	\N
220237	748	1998-01-18	VYDAJ	VYBER	1200	72660	\N	\N	\N
220238	748	1998-01-19	VYDAJ	VYBER	3120	66060	\N	\N	\N
220239	748	1998-01-23	VYDAJ	VYBER	2760	63300	\N	\N	\N
220240	748	1998-01-16	VYDAJ	VYBER	1560	75300	\N	\N	\N
220241	748	1998-01-16	VYDAJ	VYBER	1440	73860	\N	\N	\N
220242	748	1998-01-28	VYDAJ	VYBER	3000	60300	\N	\N	\N
220243	748	1993-11-15	VYDAJ	VYBER	4080	24735	\N	\N	\N
220249	748	1994-04-05	VYDAJ	VYBER	3360	23288	\N	\N	\N
220250	748	1994-03-27	VYDAJ	VYBER	3240	24051	\N	\N	\N
220251	748	1994-10-09	VYDAJ	VYBER	5880	26529	\N	\N	\N
220252	748	1994-10-16	VYDAJ	VYBER	2520	24009	\N	\N	\N
220253	748	1994-08-21	VYDAJ	VYBER	1200	32806	\N	\N	\N
220254	748	1994-09-10	VYDAJ	VYBER	4320	27357	\N	\N	\N
220255	748	1994-01-24	VYDAJ	VYBER	1080	15663	\N	\N	\N
220256	748	1995-02-21	VYDAJ	VYBER	2640	24273	\N	\N	\N
220257	748	1995-09-22	VYDAJ	VYBER	2640	32112	\N	\N	\N
220258	748	1996-10-15	VYDAJ	VYBER	1800	40170	\N	\N	\N
220259	748	1996-10-31	VYDAJ	VYBER	1680	41046	\N	\N	\N
220260	748	1996-07-10	VYDAJ	VYBER	3120	29848	\N	\N	\N
220261	748	1996-09-09	VYDAJ	VYBER	5640	34886	\N	\N	\N
220262	748	1996-12-16	VYDAJ	VYBER	2520	50853	\N	\N	\N
220263	748	1996-07-22	VYDAJ	VYBER	2160	32488	\N	\N	\N
220264	748	1997-09-20	VYDAJ	VYBER	4200	62061	\N	\N	\N
220265	748	1997-04-02	VYDAJ	VYBER	3240	51896	\N	\N	\N
220266	748	1997-08-14	VYDAJ	VYBER	5400	56580	\N	\N	\N
220267	748	1997-02-20	VYDAJ	VYBER	5400	43256	\N	\N	\N
220268	748	1997-03-12	VYDAJ	VYBER	720	45947	\N	\N	\N
220269	748	1997-09-28	VYDAJ	VYBER	1320	60741	\N	\N	\N
220270	748	1998-01-18	VYDAJ	VYBER	3480	69180	\N	\N	\N
220271	748	1998-10-22	VYDAJ	VYBER	2640	93833	\N	\N	\N
220272	748	1998-10-21	VYDAJ	VYBER	2520	96473	\N	\N	\N
220273	748	1998-01-29	VYDAJ	VYBER	3960	56340	\N	\N	\N
220283	748	1993-09-30	VYDAJ	VYBER	15	28909	SLUZBY	\N	\N
220284	748	1993-10-31	VYDAJ	VYBER	15	30869	SLUZBY	\N	\N
220285	748	1993-11-30	VYDAJ	VYBER	15	24835	SLUZBY	\N	\N
220286	748	1993-12-31	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
220287	748	1994-01-31	VYDAJ	VYBER	15	13817	SLUZBY	\N	\N
220288	748	1994-02-28	VYDAJ	VYBER	15	24945	SLUZBY	\N	\N
220289	748	1994-03-31	VYDAJ	VYBER	15	24148	SLUZBY	\N	\N
220290	748	1994-04-30	VYDAJ	VYBER	15	26630	SLUZBY	\N	\N
220291	748	1994-05-31	VYDAJ	VYBER	15	27878	SLUZBY	\N	\N
220292	748	1994-06-30	VYDAJ	VYBER	15	25202	SLUZBY	\N	\N
220293	748	1994-07-31	VYDAJ	VYBER	15	30960	SLUZBY	\N	\N
220294	748	1994-08-31	VYDAJ	VYBER	15	32931	SLUZBY	\N	\N
220295	748	1994-09-30	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
220296	748	1994-10-31	VYDAJ	VYBER	15	23802	SLUZBY	\N	\N
220297	748	1994-11-30	VYDAJ	VYBER	15	28744	SLUZBY	\N	\N
220298	748	1994-12-31	VYDAJ	VYBER	15	30260	SLUZBY	\N	\N
220299	748	1995-01-31	VYDAJ	VYBER	15	23667	SLUZBY	\N	\N
220300	748	1995-02-28	VYDAJ	VYBER	15	28365	SLUZBY	\N	\N
220301	748	1995-03-31	VYDAJ	VYBER	15	30024	SLUZBY	\N	\N
220302	748	1995-04-30	VYDAJ	VYBER	15	33590	SLUZBY	\N	\N
220303	748	1995-05-31	VYDAJ	VYBER	15	31969	SLUZBY	\N	\N
220304	748	1995-06-30	VYDAJ	VYBER	15	27594	SLUZBY	\N	\N
220305	748	1995-07-31	VYDAJ	VYBER	15	28048	SLUZBY	\N	\N
220306	748	1995-08-31	VYDAJ	VYBER	15	31506	SLUZBY	\N	\N
220307	748	1995-09-30	VYDAJ	VYBER	15	32636	SLUZBY	\N	\N
220308	748	1995-10-31	VYDAJ	VYBER	15	32810	SLUZBY	\N	\N
220309	748	1995-11-30	VYDAJ	VYBER	15	31483	SLUZBY	\N	\N
220310	748	1995-12-31	VYDAJ	VYBER	15	35733	SLUZBY	\N	\N
220311	748	1996-01-31	VYDAJ	VYBER	15	22595	SLUZBY	\N	\N
220312	748	1996-02-29	VYDAJ	VYBER	15	30235	SLUZBY	\N	\N
220313	748	1996-03-31	VYDAJ	VYBER	15	33301	SLUZBY	\N	\N
220314	748	1996-04-30	VYDAJ	VYBER	15	34177	SLUZBY	\N	\N
220315	748	1996-05-31	VYDAJ	VYBER	15	37160	SLUZBY	\N	\N
220316	748	1996-06-30	VYDAJ	VYBER	15	29722	SLUZBY	\N	\N
220317	748	1996-07-31	VYDAJ	VYBER	15	32601	SLUZBY	\N	\N
220318	748	1996-08-31	VYDAJ	VYBER	15	37280	SLUZBY	\N	\N
220319	748	1996-09-30	VYDAJ	VYBER	15	38724	SLUZBY	\N	\N
220320	748	1996-10-31	VYDAJ	VYBER	15	42726	SLUZBY	\N	\N
220321	748	1996-11-30	VYDAJ	VYBER	15	45258	SLUZBY	\N	\N
220322	748	1996-12-31	VYDAJ	VYBER	15	44439	SLUZBY	\N	\N
220323	748	1997-01-31	VYDAJ	VYBER	15	40510	SLUZBY	\N	\N
220324	748	1997-02-28	VYDAJ	VYBER	15	43421	SLUZBY	\N	\N
220325	748	1997-03-31	VYDAJ	VYBER	15	55136	SLUZBY	\N	\N
220326	748	1997-04-30	VYDAJ	VYBER	15	56660	SLUZBY	\N	\N
220327	748	1997-05-31	VYDAJ	VYBER	15	63642	SLUZBY	\N	\N
220328	748	1997-06-30	VYDAJ	VYBER	15	50075	SLUZBY	\N	\N
220329	748	1997-07-31	VYDAJ	VYBER	15	58734	SLUZBY	\N	\N
220330	748	1997-08-31	VYDAJ	VYBER	15	61015	SLUZBY	\N	\N
220331	748	1997-09-30	VYDAJ	VYBER	15	60986	SLUZBY	\N	\N
220332	748	1997-10-31	VYDAJ	VYBER	15	66584	SLUZBY	\N	\N
220333	748	1997-11-30	VYDAJ	VYBER	15	75514	SLUZBY	\N	\N
220334	748	1997-12-31	VYDAJ	VYBER	15	76814	SLUZBY	\N	\N
220335	748	1998-01-31	VYDAJ	VYBER	15	56618	SLUZBY	\N	\N
220336	748	1998-02-28	VYDAJ	VYBER	15	67311	SLUZBY	\N	\N
220337	748	1998-03-31	VYDAJ	VYBER	15	76043	SLUZBY	\N	\N
220338	748	1998-04-30	VYDAJ	VYBER	15	83810	SLUZBY	\N	\N
220339	748	1998-05-31	VYDAJ	VYBER	15	91408	SLUZBY	\N	\N
220340	748	1998-06-30	VYDAJ	VYBER	15	76716	SLUZBY	\N	\N
220341	748	1998-07-31	VYDAJ	VYBER	15	89800	SLUZBY	\N	\N
220342	748	1998-08-31	VYDAJ	VYBER	15	94816	SLUZBY	\N	\N
220343	748	1998-09-30	VYDAJ	VYBER	15	97947	SLUZBY	\N	\N
220344	748	1998-10-31	VYDAJ	VYBER	15	94218	SLUZBY	\N	\N
220345	748	1998-11-30	VYDAJ	VYBER	15	92230	SLUZBY	\N	\N
220346	748	1993-05-08	PRIJEM	VKLAD	5800	16238	\N	\N	\N
220347	748	1993-06-07	VYDAJ	VYBER	5200	25697	\N	\N	\N
220348	748	1993-07-07	VYDAJ	VYBER	6200	29335	\N	\N	\N
220349	748	1993-08-06	VYDAJ	VYBER	8100	31092	\N	\N	\N
220350	748	1993-09-05	VYDAJ	VYBER	5700	25549	\N	\N	\N
220351	748	1993-10-05	VYDAJ	VYBER	1400	27509	\N	\N	\N
220352	748	1993-11-04	VYDAJ	VYBER	5300	25569	\N	\N	\N
220353	748	1993-12-04	VYDAJ	VYBER	2200	22635	\N	\N	\N
220354	748	1994-01-03	VYDAJ	VYBER	800	27177	\N	\N	\N
220355	748	1994-02-02	PRIJEM	VKLAD	7800	21617	\N	\N	\N
220356	748	1994-03-04	VYDAJ	VYBER	900	24045	\N	\N	\N
220357	748	1994-04-03	PRIJEM	VKLAD	2500	26648	\N	\N	\N
220358	748	1994-05-03	VYDAJ	VYBER	2100	24530	\N	\N	\N
220359	748	1994-06-02	VYDAJ	VYBER	3200	24678	\N	\N	\N
220360	748	1994-07-02	PRIJEM	VKLAD	2400	27602	\N	\N	\N
220361	748	1994-08-01	VYDAJ	VYBER	200	30760	\N	\N	\N
220362	748	1994-08-31	VYDAJ	VYBER	4500	28431	\N	\N	\N
220363	748	1994-09-30	PRIJEM	VKLAD	1700	29178	\N	\N	\N
220364	748	1994-10-30	VYDAJ	VYBER	300	23709	\N	\N	\N
220365	748	1994-11-29	PRIJEM	VKLAD	1600	28648	\N	\N	\N
220366	748	1994-12-29	VYDAJ	VYBER	3200	30139	\N	\N	\N
220367	748	1995-01-28	PRIJEM	VKLAD	9400	23586	\N	\N	\N
220368	748	1995-02-27	PRIJEM	VKLAD	4000	28273	\N	\N	\N
220369	748	1995-03-29	VYDAJ	VYBER	1700	29911	\N	\N	\N
220370	748	1995-04-28	PRIJEM	VKLAD	200	33470	\N	\N	\N
220371	748	1995-05-28	VYDAJ	VYBER	5000	31836	\N	\N	\N
220372	748	1995-06-27	PRIJEM	VKLAD	200	27484	\N	\N	\N
220373	748	1995-07-27	VYDAJ	VYBER	2900	27940	\N	\N	\N
220374	748	1995-08-26	PRIJEM	VKLAD	100	31394	\N	\N	\N
220375	748	1995-09-25	PRIJEM	VKLAD	400	32512	\N	\N	\N
220376	748	1995-10-25	VYDAJ	VYBER	3200	32682	\N	\N	\N
220377	748	1995-11-24	VYDAJ	VYBER	4700	31356	\N	\N	\N
220378	748	1995-12-24	VYDAJ	VYBER	3200	35598	\N	\N	\N
220379	748	1996-01-23	PRIJEM	VKLAD	2700	33039	\N	\N	\N
220380	748	1996-02-22	PRIJEM	VKLAD	4300	30141	\N	\N	\N
220381	748	1996-03-23	VYDAJ	VYBER	300	33181	\N	\N	\N
220382	748	1996-04-22	VYDAJ	VYBER	2500	34047	\N	\N	\N
220383	748	1996-05-22	VYDAJ	VYBER	400	37023	\N	\N	\N
220384	748	1996-06-21	VYDAJ	VYBER	1300	43975	\N	\N	\N
220385	748	1996-07-21	PRIJEM	VKLAD	4800	34648	\N	\N	\N
220386	748	1996-08-20	PRIJEM	VKLAD	1300	37147	\N	\N	\N
220387	748	1996-09-19	PRIJEM	VKLAD	3700	38586	\N	\N	\N
220388	748	1996-10-19	PRIJEM	VKLAD	2400	42570	\N	\N	\N
220389	748	1996-11-18	PRIJEM	VKLAD	800	45092	\N	\N	\N
220390	748	1996-12-18	VYDAJ	VYBER	2600	48253	\N	\N	\N
220391	748	1997-01-17	PRIJEM	VKLAD	6700	45985	\N	\N	\N
220392	748	1997-02-16	PRIJEM	VKLAD	4900	48656	\N	\N	\N
220393	748	1997-03-18	PRIJEM	VKLAD	9000	54947	\N	\N	\N
220394	748	1997-04-17	PRIJEM	VKLAD	1300	56442	\N	\N	\N
220395	748	1997-05-17	PRIJEM	VKLAD	3500	63406	\N	\N	\N
220396	748	1997-06-16	PRIJEM	VKLAD	18900	49857	\N	\N	\N
220397	748	1997-07-16	PRIJEM	VKLAD	5200	58521	\N	\N	\N
220398	748	1997-08-15	PRIJEM	VKLAD	4200	60780	\N	\N	\N
220399	748	1997-09-14	PRIJEM	VKLAD	2000	66261	\N	\N	\N
220400	748	1997-10-14	PRIJEM	VKLAD	2100	66332	\N	\N	\N
220401	748	1997-11-13	PRIJEM	VKLAD	5400	75230	\N	\N	\N
220402	748	1997-12-13	VYDAJ	VYBER	5200	78429	\N	\N	\N
220403	748	1998-01-12	VYDAJ	VYBER	1600	78460	\N	\N	\N
220404	748	1998-02-11	PRIJEM	VKLAD	7200	67064	\N	\N	\N
220405	748	1998-03-13	PRIJEM	VKLAD	5200	75757	\N	\N	\N
220406	748	1998-04-12	PRIJEM	VKLAD	4200	83489	\N	\N	\N
220407	748	1998-05-12	PRIJEM	VKLAD	4000	91056	\N	\N	\N
220408	748	1998-06-11	VYDAJ	VYBER	2200	97323	\N	\N	\N
220409	748	1998-07-11	PRIJEM	VKLAD	9500	89462	\N	\N	\N
220410	748	1998-08-10	PRIJEM	VKLAD	1400	94446	\N	\N	\N
220411	748	1998-09-09	VYDAJ	VYBER	500	97562	\N	\N	\N
220412	748	1998-10-09	VYDAJ	VYBER	2200	98993	\N	\N	\N
220413	748	1998-11-08	VYDAJ	VYBER	5600	91864	\N	\N	\N
220414	748	1998-12-08	VYDAJ	VYBER	800	99545	\N	\N	\N
220483	749	1997-03-23	PRIJEM	VKLAD	600	600	\N	\N	\N
220487	749	1997-04-10	PRIJEM	VKLAD	8255	8855	\N	\N	\N
220488	749	1997-05-10	PRIJEM	VKLAD	8255	27734	\N	\N	\N
220489	749	1997-06-10	PRIJEM	VKLAD	12382	38907	\N	\N	\N
220490	749	1997-07-10	PRIJEM	VKLAD	8255	43684	\N	\N	\N
220491	749	1997-08-10	PRIJEM	VKLAD	8255	44588	\N	\N	\N
220492	749	1997-09-10	PRIJEM	VKLAD	8255	34268	\N	\N	\N
220493	749	1997-10-10	PRIJEM	VKLAD	8255	32570	\N	\N	\N
220494	749	1997-11-10	PRIJEM	VKLAD	8255	32368	\N	\N	\N
220495	749	1997-12-10	PRIJEM	VKLAD	12382	30359	\N	\N	\N
220496	749	1998-01-10	PRIJEM	VKLAD	8255	29827	\N	\N	\N
220497	749	1998-02-10	PRIJEM	VKLAD	8255	31344	\N	\N	\N
220498	749	1998-03-10	PRIJEM	VKLAD	8255	42257	\N	\N	\N
220499	749	1998-04-10	PRIJEM	VKLAD	8255	44576	\N	\N	\N
220500	749	1998-05-10	PRIJEM	VKLAD	8255	41478	\N	\N	\N
220501	749	1998-06-10	PRIJEM	VKLAD	12382	38822	\N	\N	\N
220502	749	1998-07-10	PRIJEM	VKLAD	8255	41351	\N	\N	\N
220503	749	1998-08-10	PRIJEM	VKLAD	8255	36073	\N	\N	\N
220504	749	1998-09-10	PRIJEM	VKLAD	8255	35181	\N	\N	\N
220505	749	1998-10-10	PRIJEM	VKLAD	8255	39097	\N	\N	\N
220506	749	1998-11-10	PRIJEM	VKLAD	8255	38685	\N	\N	\N
220507	749	1998-12-10	PRIJEM	VKLAD	12382	38993	\N	\N	\N
220516	749	1997-09-09	VYDAJ	PREVOD NA UCET	4965	26013	SIPO	WX	49041187
220517	749	1997-10-09	VYDAJ	PREVOD NA UCET	4965	24315	SIPO	WX	49041187
220518	749	1997-11-09	VYDAJ	PREVOD NA UCET	4965	24113	SIPO	WX	49041187
220519	749	1997-12-09	VYDAJ	PREVOD NA UCET	4965	17977	SIPO	WX	49041187
220520	749	1998-01-09	VYDAJ	PREVOD NA UCET	4965	21572	SIPO	WX	49041187
220521	749	1998-02-09	VYDAJ	PREVOD NA UCET	4965	23089	SIPO	WX	49041187
220522	749	1998-03-09	VYDAJ	PREVOD NA UCET	4965	34002	SIPO	WX	49041187
220523	749	1998-04-09	VYDAJ	PREVOD NA UCET	4965	36321	SIPO	WX	49041187
220524	749	1998-05-09	VYDAJ	PREVOD NA UCET	4965	34063	SIPO	WX	49041187
220525	749	1998-06-09	VYDAJ	PREVOD NA UCET	4965	26440	SIPO	WX	49041187
220526	749	1998-07-09	VYDAJ	PREVOD NA UCET	4965	33096	SIPO	WX	49041187
220527	749	1998-08-09	VYDAJ	PREVOD NA UCET	4965	27818	SIPO	WX	49041187
220528	749	1998-09-09	VYDAJ	PREVOD NA UCET	4965	26926	SIPO	WX	49041187
220529	749	1998-10-09	VYDAJ	PREVOD NA UCET	4965	30842	SIPO	WX	49041187
220530	749	1998-11-09	VYDAJ	PREVOD NA UCET	4965	30430	SIPO	WX	49041187
220531	749	1998-12-09	VYDAJ	PREVOD NA UCET	4965	26611	SIPO	WX	49041187
220539	749	1997-08-11	VYDAJ	PREVOD NA UCET	226	44311	 	WX	49583470
220540	749	1997-09-11	VYDAJ	PREVOD NA UCET	226	33991	 	WX	49583470
220541	749	1997-10-11	VYDAJ	PREVOD NA UCET	226	32293	 	WX	49583470
220542	749	1997-11-11	VYDAJ	PREVOD NA UCET	226	28971	 	WX	49583470
220543	749	1997-12-11	VYDAJ	PREVOD NA UCET	226	30082	 	WX	49583470
220544	749	1998-01-11	VYDAJ	PREVOD NA UCET	226	29550	 	WX	49583470
220545	749	1998-02-11	VYDAJ	PREVOD NA UCET	226	31067	 	WX	49583470
220546	749	1998-03-11	VYDAJ	PREVOD NA UCET	226	41980	 	WX	49583470
220547	749	1998-04-11	VYDAJ	PREVOD NA UCET	226	44299	 	WX	49583470
220548	749	1998-05-11	VYDAJ	PREVOD NA UCET	226	41201	 	WX	49583470
220549	749	1998-06-11	VYDAJ	PREVOD NA UCET	226	38545	 	WX	49583470
220550	749	1998-07-11	VYDAJ	PREVOD NA UCET	226	41074	 	WX	49583470
220551	749	1998-08-11	VYDAJ	PREVOD NA UCET	226	35796	 	WX	49583470
220552	749	1998-09-11	VYDAJ	PREVOD NA UCET	226	34904	 	WX	49583470
220553	749	1998-10-11	VYDAJ	PREVOD NA UCET	226	38820	 	WX	49583470
220554	749	1998-11-11	VYDAJ	PREVOD NA UCET	226	38408	 	WX	49583470
220555	749	1998-12-11	VYDAJ	PREVOD NA UCET	226	38716	 	WX	49583470
220563	749	1997-08-10	VYDAJ	PREVOD NA UCET	51	44537	POJISTNE	QR	72902929
220564	749	1997-09-10	VYDAJ	PREVOD NA UCET	51	34217	POJISTNE	QR	72902929
220565	749	1997-10-10	VYDAJ	PREVOD NA UCET	51	32519	POJISTNE	QR	72902929
220566	749	1997-11-10	VYDAJ	PREVOD NA UCET	51	29197	POJISTNE	QR	72902929
220567	749	1997-12-10	VYDAJ	PREVOD NA UCET	51	30308	POJISTNE	QR	72902929
220568	749	1998-01-10	VYDAJ	PREVOD NA UCET	51	29776	POJISTNE	QR	72902929
220569	749	1998-02-10	VYDAJ	PREVOD NA UCET	51	31293	POJISTNE	QR	72902929
220570	749	1998-03-10	VYDAJ	PREVOD NA UCET	51	42206	POJISTNE	QR	72902929
220571	749	1998-04-10	VYDAJ	PREVOD NA UCET	51	44525	POJISTNE	QR	72902929
220572	749	1998-05-10	VYDAJ	PREVOD NA UCET	51	41427	POJISTNE	QR	72902929
220573	749	1998-06-10	VYDAJ	PREVOD NA UCET	51	38771	POJISTNE	QR	72902929
220574	749	1998-07-10	VYDAJ	PREVOD NA UCET	51	41300	POJISTNE	QR	72902929
220575	749	1998-08-10	VYDAJ	PREVOD NA UCET	51	36022	POJISTNE	QR	72902929
220576	749	1998-09-10	VYDAJ	PREVOD NA UCET	51	35130	POJISTNE	QR	72902929
220577	749	1998-10-10	VYDAJ	PREVOD NA UCET	51	39046	POJISTNE	QR	72902929
220578	749	1998-11-10	VYDAJ	PREVOD NA UCET	51	38634	POJISTNE	QR	72902929
220579	749	1998-12-10	VYDAJ	PREVOD NA UCET	51	38942	POJISTNE	QR	72902929
220587	749	1997-08-14	VYDAJ	PREVOD NA UCET	26	38645	 	UV	44345706
220588	749	1997-09-14	VYDAJ	PREVOD NA UCET	26	33965	 	UV	44345706
220589	749	1997-10-14	VYDAJ	PREVOD NA UCET	26	32267	 	UV	44345706
220590	749	1997-11-14	VYDAJ	PREVOD NA UCET	26	24025	 	UV	44345706
220591	749	1997-12-14	VYDAJ	PREVOD NA UCET	26	30056	 	UV	44345706
220592	749	1998-01-14	VYDAJ	PREVOD NA UCET	26	27364	 	UV	44345706
220593	749	1998-02-14	VYDAJ	PREVOD NA UCET	26	31041	 	UV	44345706
220594	749	1998-03-14	VYDAJ	PREVOD NA UCET	26	37634	 	UV	44345706
220595	749	1998-04-14	VYDAJ	PREVOD NA UCET	26	44273	 	UV	44345706
220596	749	1998-05-14	VYDAJ	PREVOD NA UCET	26	41175	 	UV	44345706
220597	749	1998-06-14	VYDAJ	PREVOD NA UCET	26	38519	 	UV	44345706
220598	749	1998-07-14	VYDAJ	PREVOD NA UCET	26	41048	 	UV	44345706
220599	749	1998-08-14	VYDAJ	PREVOD NA UCET	26	35770	 	UV	44345706
220600	749	1998-09-14	VYDAJ	PREVOD NA UCET	26	35678	 	UV	44345706
220601	749	1998-10-14	VYDAJ	PREVOD NA UCET	26	38794	 	UV	44345706
220602	749	1998-11-14	VYDAJ	PREVOD NA UCET	26	34682	 	UV	44345706
220603	749	1998-12-14	VYDAJ	PREVOD NA UCET	26	32790	 	UV	44345706
220604	749	1997-12-04	VYDAJ	VYBER	3680	22942	\N	\N	\N
220605	749	1998-12-16	VYDAJ	VYBER	2720	30070	\N	\N	\N
220612	749	1998-01-04	VYDAJ	VYBER	1320	26537	\N	\N	\N
220613	749	1998-01-14	VYDAJ	VYBER	2160	27390	\N	\N	\N
220614	749	1998-01-29	VYDAJ	VYBER	2520	28544	\N	\N	\N
220615	749	1998-01-27	VYDAJ	VYBER	1920	31064	\N	\N	\N
220616	749	1998-01-29	VYDAJ	VYBER	600	27944	\N	\N	\N
220617	749	1998-01-25	VYDAJ	VYBER	1080	32984	\N	\N	\N
220618	749	1997-08-13	VYDAJ	VYBER	5640	38671	\N	\N	\N
220619	749	1997-11-12	VYDAJ	VYBER	4920	24051	\N	\N	\N
220621	749	1997-11-10	VYDAJ	VYBER	3120	29248	\N	\N	\N
220625	749	1997-12-16	VYDAJ	VYBER	1200	28856	\N	\N	\N
220626	749	1998-03-12	VYDAJ	VYBER	4320	37660	\N	\N	\N
220627	749	1998-06-08	VYDAJ	VYBER	2880	31405	\N	\N	\N
220628	749	1998-06-04	VYDAJ	VYBER	5040	34285	\N	\N	\N
220629	749	1998-05-09	VYDAJ	VYBER	840	33223	\N	\N	\N
220630	749	1998-12-03	VYDAJ	VYBER	3240	31576	\N	\N	\N
220631	749	1998-11-05	VYDAJ	VYBER	2640	35395	\N	\N	\N
220640	749	1997-08-31	VYDAJ	VYBER	15	30978	SLUZBY	\N	\N
220641	749	1997-09-30	VYDAJ	VYBER	15	29280	SLUZBY	\N	\N
220642	749	1997-10-31	VYDAJ	VYBER	15	29078	SLUZBY	\N	\N
220643	749	1997-11-30	VYDAJ	VYBER	15	26622	SLUZBY	\N	\N
220644	749	1997-12-31	VYDAJ	VYBER	15	27857	SLUZBY	\N	\N
220645	749	1998-01-31	VYDAJ	VYBER	15	28054	SLUZBY	\N	\N
220646	749	1998-02-28	VYDAJ	VYBER	15	38967	SLUZBY	\N	\N
220647	749	1998-03-31	VYDAJ	VYBER	15	41286	SLUZBY	\N	\N
220648	749	1998-04-30	VYDAJ	VYBER	15	39028	SLUZBY	\N	\N
220649	749	1998-05-31	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
220650	749	1998-06-30	VYDAJ	VYBER	15	38061	SLUZBY	\N	\N
220651	749	1998-07-31	VYDAJ	VYBER	15	32783	SLUZBY	\N	\N
220652	749	1998-08-31	VYDAJ	VYBER	15	31891	SLUZBY	\N	\N
220653	749	1998-09-30	VYDAJ	VYBER	15	35807	SLUZBY	\N	\N
220654	749	1998-10-31	VYDAJ	VYBER	15	38035	SLUZBY	\N	\N
220655	749	1998-11-30	VYDAJ	VYBER	15	34816	SLUZBY	\N	\N
220656	749	1997-04-22	PRIJEM	VKLAD	10600	19455	\N	\N	\N
220657	749	1997-05-22	VYDAJ	VYBER	1300	26434	\N	\N	\N
220658	749	1997-06-21	VYDAJ	VYBER	3600	35307	\N	\N	\N
220659	749	1997-07-21	VYDAJ	VYBER	7500	36184	\N	\N	\N
220660	749	1997-08-20	VYDAJ	VYBER	7800	30845	\N	\N	\N
220661	749	1997-09-19	VYDAJ	VYBER	4800	29165	\N	\N	\N
220662	749	1997-10-19	VYDAJ	VYBER	3300	28967	\N	\N	\N
220663	749	1997-11-18	PRIJEM	VKLAD	2500	26525	\N	\N	\N
220664	749	1997-12-18	VYDAJ	VYBER	1100	27756	\N	\N	\N
220665	749	1998-01-17	PRIJEM	VKLAD	6700	34064	\N	\N	\N
220666	749	1998-02-16	PRIJEM	VKLAD	7800	38841	\N	\N	\N
220667	749	1998-03-18	PRIJEM	VKLAD	3500	41134	\N	\N	\N
220668	749	1998-04-17	VYDAJ	VYBER	5400	38873	\N	\N	\N
220669	749	1998-05-17	VYDAJ	VYBER	2000	39175	\N	\N	\N
220670	749	1998-06-16	VYDAJ	VYBER	600	37919	\N	\N	\N
220671	749	1998-07-16	VYDAJ	VYBER	8400	32648	\N	\N	\N
220672	749	1998-08-15	VYDAJ	VYBER	4000	31770	\N	\N	\N
220673	749	1998-09-14	PRIJEM	VKLAD	800	35704	\N	\N	\N
220674	749	1998-10-14	VYDAJ	VYBER	900	37894	\N	\N	\N
220675	749	1998-11-13	VYDAJ	VYBER	3700	34708	\N	\N	\N
220676	749	1998-12-13	VYDAJ	VYBER	5900	32816	\N	\N	\N
220698	750	1993-09-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
220708	750	1993-10-12	PRIJEM	VKLAD	16824	17824	\N	\N	\N
220709	750	1993-11-12	PRIJEM	VKLAD	16824	39696	\N	\N	\N
220710	750	1993-12-12	PRIJEM	VKLAD	25236	59164	\N	\N	\N
220711	750	1994-01-12	PRIJEM	VKLAD	16824	56606	\N	\N	\N
220712	750	1994-02-12	PRIJEM	VKLAD	16824	57569	\N	\N	\N
220713	750	1994-03-12	PRIJEM	VKLAD	16824	53285	\N	\N	\N
220714	750	1994-04-12	PRIJEM	VKLAD	16824	52098	\N	\N	\N
220715	750	1994-05-12	PRIJEM	VKLAD	16824	49984	\N	\N	\N
220716	750	1994-06-12	PRIJEM	VKLAD	25236	57231	\N	\N	\N
220717	750	1994-07-12	PRIJEM	VKLAD	16824	41872	\N	\N	\N
220718	750	1994-08-12	PRIJEM	VKLAD	16824	48801	\N	\N	\N
220719	750	1994-09-12	PRIJEM	VKLAD	16824	51061	\N	\N	\N
220720	750	1994-10-12	PRIJEM	VKLAD	16824	50138	\N	\N	\N
220721	750	1994-11-12	PRIJEM	VKLAD	16824	50828	\N	\N	\N
220722	750	1994-12-12	PRIJEM	VKLAD	25236	61230	\N	\N	\N
220723	750	1995-01-12	PRIJEM	VKLAD	16824	50993	\N	\N	\N
220724	750	1995-02-12	PRIJEM	VKLAD	16824	49490	\N	\N	\N
220725	750	1995-03-12	PRIJEM	VKLAD	16824	48570	\N	\N	\N
220726	750	1995-04-12	PRIJEM	VKLAD	16824	55035	\N	\N	\N
220727	750	1995-05-12	PRIJEM	VKLAD	16824	58321	\N	\N	\N
220728	750	1995-06-12	PRIJEM	VKLAD	25236	60398	\N	\N	\N
220729	750	1995-07-12	PRIJEM	VKLAD	16824	49616	\N	\N	\N
220730	750	1995-08-12	PRIJEM	VKLAD	16824	52530	\N	\N	\N
220731	750	1995-09-12	PRIJEM	VKLAD	16824	57623	\N	\N	\N
220732	750	1995-10-12	PRIJEM	VKLAD	16824	54253	\N	\N	\N
220733	750	1995-11-12	PRIJEM	VKLAD	16824	60453	\N	\N	\N
220734	750	1995-12-12	PRIJEM	VKLAD	25236	69694	\N	\N	\N
220735	750	1996-01-12	PRIJEM	VKLAD	16824	46985	\N	\N	\N
220736	750	1996-02-12	PRIJEM	VKLAD	16824	48739	\N	\N	\N
220737	750	1996-03-12	PRIJEM	VKLAD	16824	55492	\N	\N	\N
220738	750	1996-04-12	PRIJEM	VKLAD	16824	56193	\N	\N	\N
220739	750	1996-05-12	PRIJEM	VKLAD	16824	53640	\N	\N	\N
220740	750	1996-06-12	PRIJEM	VKLAD	25236	66328	\N	\N	\N
220741	750	1996-07-12	PRIJEM	VKLAD	16824	48440	\N	\N	\N
220742	750	1996-08-12	PRIJEM	VKLAD	16824	53804	\N	\N	\N
220743	750	1996-09-12	PRIJEM	VKLAD	16824	57887	\N	\N	\N
220744	750	1996-10-12	PRIJEM	VKLAD	16824	55724	\N	\N	\N
220745	750	1996-11-12	PRIJEM	VKLAD	16824	61014	\N	\N	\N
220746	750	1996-12-12	PRIJEM	VKLAD	25236	68799	\N	\N	\N
220747	750	1997-01-12	PRIJEM	VKLAD	16824	68103	\N	\N	\N
220748	750	1997-02-12	PRIJEM	VKLAD	16824	61939	\N	\N	\N
220749	750	1997-03-12	PRIJEM	VKLAD	16824	67051	\N	\N	\N
220750	750	1997-04-12	PRIJEM	VKLAD	16824	66852	\N	\N	\N
220751	750	1997-05-12	PRIJEM	VKLAD	16824	67072	\N	\N	\N
220752	750	1997-06-12	PRIJEM	VKLAD	25236	80117	\N	\N	\N
220753	750	1997-07-12	PRIJEM	VKLAD	16824	66722	\N	\N	\N
220754	750	1997-08-12	PRIJEM	VKLAD	16824	68138	\N	\N	\N
220755	750	1997-09-12	PRIJEM	VKLAD	16824	67657	\N	\N	\N
220756	750	1997-10-12	PRIJEM	VKLAD	16824	66972	\N	\N	\N
220757	750	1997-11-12	PRIJEM	VKLAD	16824	68795	\N	\N	\N
220758	750	1997-12-12	PRIJEM	VKLAD	25236	73608	\N	\N	\N
220759	750	1998-01-12	PRIJEM	VKLAD	16824	63336	\N	\N	\N
220760	750	1998-02-12	PRIJEM	VKLAD	16824	49309	\N	\N	\N
220761	750	1998-03-12	PRIJEM	VKLAD	16824	55059	\N	\N	\N
220762	750	1998-04-12	PRIJEM	VKLAD	16824	59934	\N	\N	\N
220763	750	1998-05-12	PRIJEM	VKLAD	16824	63520	\N	\N	\N
220764	750	1998-06-12	PRIJEM	VKLAD	25236	51372	\N	\N	\N
220765	750	1998-07-12	PRIJEM	VKLAD	16824	48101	\N	\N	\N
220766	750	1998-08-12	PRIJEM	VKLAD	16824	54448	\N	\N	\N
220767	750	1998-09-12	PRIJEM	VKLAD	16824	49700	\N	\N	\N
220768	750	1998-10-12	PRIJEM	VKLAD	16824	48029	\N	\N	\N
220769	750	1998-11-12	PRIJEM	VKLAD	16824	38927	\N	\N	\N
220770	750	1998-12-12	PRIJEM	VKLAD	25236	55746	\N	\N	\N
220784	750	1994-02-12	VYDAJ	PREVOD NA UCET	6615	50954	SIPO	YZ	4588097
220785	750	1994-03-12	VYDAJ	PREVOD NA UCET	6615	46670	SIPO	YZ	4588097
220786	750	1994-04-12	VYDAJ	PREVOD NA UCET	6615	45483	SIPO	YZ	4588097
220787	750	1994-05-12	VYDAJ	PREVOD NA UCET	6615	43369	SIPO	YZ	4588097
220788	750	1994-06-12	VYDAJ	PREVOD NA UCET	6615	50616	SIPO	YZ	4588097
220789	750	1994-07-12	VYDAJ	PREVOD NA UCET	6615	35257	SIPO	YZ	4588097
220790	750	1994-08-12	VYDAJ	PREVOD NA UCET	6615	42186	SIPO	YZ	4588097
220791	750	1994-09-12	VYDAJ	PREVOD NA UCET	6615	44446	SIPO	YZ	4588097
220792	750	1994-10-12	VYDAJ	PREVOD NA UCET	6615	43523	SIPO	YZ	4588097
220793	750	1994-11-12	VYDAJ	PREVOD NA UCET	6615	44213	SIPO	YZ	4588097
220794	750	1994-12-12	VYDAJ	PREVOD NA UCET	6615	54615	SIPO	YZ	4588097
220795	750	1995-01-12	VYDAJ	PREVOD NA UCET	6615	43298	SIPO	YZ	4588097
220796	750	1995-02-12	VYDAJ	PREVOD NA UCET	6615	42875	SIPO	YZ	4588097
220797	750	1995-03-12	VYDAJ	PREVOD NA UCET	6615	41955	SIPO	YZ	4588097
220798	750	1995-04-12	VYDAJ	PREVOD NA UCET	6615	48420	SIPO	YZ	4588097
220799	750	1995-05-12	VYDAJ	PREVOD NA UCET	6615	51706	SIPO	YZ	4588097
220800	750	1995-06-12	VYDAJ	PREVOD NA UCET	6615	53783	SIPO	YZ	4588097
220801	750	1995-07-12	VYDAJ	PREVOD NA UCET	6615	43001	SIPO	YZ	4588097
220802	750	1995-08-12	VYDAJ	PREVOD NA UCET	6615	45915	SIPO	YZ	4588097
220803	750	1995-09-12	VYDAJ	PREVOD NA UCET	6615	51008	SIPO	YZ	4588097
220804	750	1995-10-12	VYDAJ	PREVOD NA UCET	6615	47638	SIPO	YZ	4588097
220805	750	1995-11-12	VYDAJ	PREVOD NA UCET	6615	53838	SIPO	YZ	4588097
220806	750	1995-12-12	VYDAJ	PREVOD NA UCET	6615	63079	SIPO	YZ	4588097
220807	750	1996-01-12	VYDAJ	PREVOD NA UCET	6615	40370	SIPO	YZ	4588097
220808	750	1996-02-12	VYDAJ	PREVOD NA UCET	6615	42124	SIPO	YZ	4588097
220809	750	1996-03-12	VYDAJ	PREVOD NA UCET	6615	48877	SIPO	YZ	4588097
220810	750	1996-04-12	VYDAJ	PREVOD NA UCET	6615	49578	SIPO	YZ	4588097
220811	750	1996-05-12	VYDAJ	PREVOD NA UCET	6615	47025	SIPO	YZ	4588097
220812	750	1996-06-12	VYDAJ	PREVOD NA UCET	6615	59713	SIPO	YZ	4588097
220813	750	1996-07-12	VYDAJ	PREVOD NA UCET	6615	41825	SIPO	YZ	4588097
220814	750	1996-08-12	VYDAJ	PREVOD NA UCET	6615	47189	SIPO	YZ	4588097
220815	750	1996-09-12	VYDAJ	PREVOD NA UCET	6615	51272	SIPO	YZ	4588097
220816	750	1996-10-12	VYDAJ	PREVOD NA UCET	6615	49109	SIPO	YZ	4588097
220817	750	1996-11-12	VYDAJ	PREVOD NA UCET	6615	54399	SIPO	YZ	4588097
220818	750	1996-12-12	VYDAJ	PREVOD NA UCET	6615	62184	SIPO	YZ	4588097
220819	750	1997-01-12	VYDAJ	PREVOD NA UCET	6615	61488	SIPO	YZ	4588097
220820	750	1997-02-12	VYDAJ	PREVOD NA UCET	6615	55324	SIPO	YZ	4588097
220821	750	1997-03-12	VYDAJ	PREVOD NA UCET	6615	60436	SIPO	YZ	4588097
220822	750	1997-04-12	VYDAJ	PREVOD NA UCET	6615	60237	SIPO	YZ	4588097
220823	750	1997-05-12	VYDAJ	PREVOD NA UCET	6615	60457	SIPO	YZ	4588097
220824	750	1997-06-12	VYDAJ	PREVOD NA UCET	6615	73502	SIPO	YZ	4588097
220825	750	1997-07-12	VYDAJ	PREVOD NA UCET	6615	60107	SIPO	YZ	4588097
220826	750	1997-08-12	VYDAJ	PREVOD NA UCET	6615	61523	SIPO	YZ	4588097
220827	750	1997-09-12	VYDAJ	PREVOD NA UCET	6615	61042	SIPO	YZ	4588097
220828	750	1997-10-12	VYDAJ	PREVOD NA UCET	6615	60357	SIPO	YZ	4588097
220829	750	1997-11-12	VYDAJ	PREVOD NA UCET	6615	62180	SIPO	YZ	4588097
220830	750	1997-12-12	VYDAJ	PREVOD NA UCET	6615	66993	SIPO	YZ	4588097
220831	750	1998-01-12	VYDAJ	PREVOD NA UCET	6615	56721	SIPO	YZ	4588097
220832	750	1998-02-12	VYDAJ	PREVOD NA UCET	6615	42694	SIPO	YZ	4588097
220833	750	1998-03-12	VYDAJ	PREVOD NA UCET	6615	48444	SIPO	YZ	4588097
220834	750	1998-04-12	VYDAJ	PREVOD NA UCET	6615	53319	SIPO	YZ	4588097
220835	750	1998-05-12	VYDAJ	PREVOD NA UCET	6615	56905	SIPO	YZ	4588097
220836	750	1998-06-12	VYDAJ	PREVOD NA UCET	6615	44757	SIPO	YZ	4588097
220837	750	1998-07-12	VYDAJ	PREVOD NA UCET	6615	41486	SIPO	YZ	4588097
220838	750	1998-08-12	VYDAJ	PREVOD NA UCET	6615	47833	SIPO	YZ	4588097
220839	750	1998-09-12	VYDAJ	PREVOD NA UCET	6615	43085	SIPO	YZ	4588097
220840	750	1998-10-12	VYDAJ	PREVOD NA UCET	6615	41414	SIPO	YZ	4588097
220841	750	1998-11-12	VYDAJ	PREVOD NA UCET	6615	32312	SIPO	YZ	4588097
220842	750	1998-12-12	VYDAJ	PREVOD NA UCET	6615	49131	SIPO	YZ	4588097
220844	750	1994-06-24	VYDAJ	VYBER	18080	32536	\N	\N	\N
220845	750	1995-06-24	VYDAJ	VYBER	20000	29823	\N	\N	\N
220846	750	1996-06-19	VYDAJ	VYBER	28960	30753	\N	\N	\N
220847	750	1997-06-23	VYDAJ	VYBER	18240	51462	\N	\N	\N
220848	750	1998-06-10	VYDAJ	VYBER	20960	26136	\N	\N	\N
220851	750	1995-01-01	VYDAJ	VYBER	8480	41369	\N	\N	\N
220852	750	1996-01-05	VYDAJ	VYBER	12640	31361	\N	\N	\N
220853	750	1997-01-13	VYDAJ	VYBER	2080	59408	\N	\N	\N
220854	750	1998-01-20	VYDAJ	VYBER	10400	33621	\N	\N	\N
220856	750	1994-12-30	VYDAJ	VYBER	4000	49655	\N	\N	\N
220857	750	1995-12-04	VYDAJ	VYBER	2080	44458	\N	\N	\N
220858	750	1996-12-23	VYDAJ	VYBER	1440	60744	\N	\N	\N
220859	750	1997-12-05	VYDAJ	VYBER	4320	48372	\N	\N	\N
220860	750	1998-12-30	VYDAJ	VYBER KARTOU	1300	38731	\N	\N	0
220873	750	1995-01-26	VYDAJ	VYBER	2880	34538	\N	\N	\N
220874	750	1995-01-19	VYDAJ	VYBER	2880	39698	\N	\N	\N
220875	750	1995-01-24	VYDAJ	VYBER	2280	37418	\N	\N	\N
220876	750	1995-01-29	VYDAJ	VYBER	3120	31418	\N	\N	\N
220877	750	1995-01-12	VYDAJ	VYBER	1080	49913	\N	\N	\N
220878	750	1995-01-16	VYDAJ	VYBER	720	42578	\N	\N	\N
220879	750	1996-01-29	VYDAJ	VYBER	1560	31370	\N	\N	\N
220880	750	1996-01-25	VYDAJ	VYBER	3240	32930	\N	\N	\N
220881	750	1996-01-09	VYDAJ	VYBER	1200	30161	\N	\N	\N
220882	750	1996-01-24	VYDAJ	VYBER	840	36170	\N	\N	\N
220883	750	1996-01-04	VYDAJ	VYBER	3000	44001	\N	\N	\N
220884	750	1996-01-20	VYDAJ	VYBER	3360	37010	\N	\N	\N
220885	750	1997-01-10	VYDAJ	VYBER	1680	51279	\N	\N	\N
220886	750	1997-01-28	VYDAJ	VYBER	3240	44908	\N	\N	\N
220887	750	1997-01-26	VYDAJ	VYBER	720	48148	\N	\N	\N
220888	750	1997-01-25	VYDAJ	VYBER	2520	48868	\N	\N	\N
220889	750	1997-01-16	VYDAJ	VYBER	1080	58328	\N	\N	\N
220890	750	1997-01-22	VYDAJ	VYBER	840	57488	\N	\N	\N
220891	750	1998-01-07	VYDAJ	VYBER KARTOU	1200	46512	\N	\N	0
220892	750	1998-01-05	VYDAJ	VYBER KARTOU	2500	47712	\N	\N	0
220893	750	1998-01-14	VYDAJ	VYBER KARTOU	2300	54421	\N	\N	0
220894	750	1998-01-22	VYDAJ	VYBER KARTOU	1300	32321	\N	\N	0
220895	750	1998-01-01	VYDAJ	VYBER KARTOU	1100	50212	\N	\N	0
220896	750	1998-01-16	VYDAJ	VYBER KARTOU	3000	51421	\N	\N	0
220899	750	1994-12-23	VYDAJ	VYBER	960	53655	\N	\N	\N
220900	750	1994-10-17	VYDAJ	VYBER	3480	40043	\N	\N	\N
220901	750	1994-05-18	VYDAJ	VYBER	2040	41329	\N	\N	\N
220902	750	1994-06-27	VYDAJ	VYBER	5760	26776	\N	\N	\N
220903	750	1994-11-17	VYDAJ	VYBER	1080	43133	\N	\N	\N
220904	750	1995-08-07	VYDAJ	VYBER	2040	35706	\N	\N	\N
220905	750	1995-09-23	VYDAJ	VYBER	2160	48848	\N	\N	\N
220906	750	1995-09-24	VYDAJ	VYBER	4320	41648	\N	\N	\N
220907	750	1995-02-22	VYDAJ	VYBER	4080	38795	\N	\N	\N
220908	750	1995-09-23	VYDAJ	VYBER	2880	45968	\N	\N	\N
220909	750	1995-06-08	VYDAJ	VYBER	5640	35162	\N	\N	\N
220910	750	1995-06-15	VYDAJ	VYBER	3960	49823	\N	\N	\N
220911	750	1996-09-17	VYDAJ	VYBER	4560	46712	\N	\N	\N
220912	750	1996-09-24	VYDAJ	VYBER	1080	45632	\N	\N	\N
220913	750	1996-04-22	VYDAJ	VYBER	3000	46578	\N	\N	\N
220914	750	1996-11-21	VYDAJ	VYBER	3720	50679	\N	\N	\N
220915	750	1996-05-02	VYDAJ	VYBER	2640	36816	\N	\N	\N
220916	750	1997-06-29	VYDAJ	VYBER KARTOU	1800	49662	\N	\N	0
220917	750	1997-12-02	VYDAJ	VYBER KARTOU	1000	52692	\N	\N	0
220918	750	1997-08-28	VYDAJ	VYBER KARTOU	1700	50623	\N	\N	0
220919	750	1997-04-02	VYDAJ	VYBER	1920	50028	\N	\N	\N
220920	750	1998-10-18	VYDAJ	VYBER KARTOU	3100	27514	\N	\N	0
220921	750	1998-07-02	VYDAJ	VYBER	4440	31277	\N	\N	\N
220922	750	1998-03-19	VYDAJ	VYBER KARTOU	2000	46444	\N	\N	0
220923	750	1998-08-28	VYDAJ	VYBER KARTOU	2900	32733	\N	\N	0
220924	750	1998-10-28	VYDAJ	VYBER	5520	21994	\N	\N	\N
220939	750	1994-02-28	VYDAJ	VYBER	15	51161	SLUZBY	\N	\N
220940	750	1994-03-31	VYDAJ	VYBER	15	46874	SLUZBY	\N	\N
220941	750	1994-04-30	VYDAJ	VYBER	15	45660	SLUZBY	\N	\N
220942	750	1994-05-31	VYDAJ	VYBER	15	41495	SLUZBY	\N	\N
220943	750	1994-06-30	VYDAJ	VYBER	15	26948	SLUZBY	\N	\N
220944	750	1994-07-31	VYDAJ	VYBER	15	35377	SLUZBY	\N	\N
220945	750	1994-08-31	VYDAJ	VYBER	15	42337	SLUZBY	\N	\N
220946	750	1994-09-30	VYDAJ	VYBER	15	44614	SLUZBY	\N	\N
220947	750	1994-10-31	VYDAJ	VYBER	15	40204	SLUZBY	\N	\N
220948	750	1994-11-30	VYDAJ	VYBER	15	43294	SLUZBY	\N	\N
220949	750	1994-12-31	VYDAJ	VYBER	15	49849	SLUZBY	\N	\N
220950	750	1995-01-31	VYDAJ	VYBER	15	31566	SLUZBY	\N	\N
220951	750	1995-02-28	VYDAJ	VYBER	15	38946	SLUZBY	\N	\N
220952	750	1995-03-31	VYDAJ	VYBER	15	42111	SLUZBY	\N	\N
220953	750	1995-04-30	VYDAJ	VYBER	15	48597	SLUZBY	\N	\N
220954	750	1995-05-31	VYDAJ	VYBER	15	51902	SLUZBY	\N	\N
220955	750	1995-06-30	VYDAJ	VYBER	15	29992	SLUZBY	\N	\N
220956	750	1995-07-31	VYDAJ	VYBER	15	43146	SLUZBY	\N	\N
220957	750	1995-08-31	VYDAJ	VYBER	15	46099	SLUZBY	\N	\N
220958	750	1995-09-30	VYDAJ	VYBER	15	41829	SLUZBY	\N	\N
220959	750	1995-10-31	VYDAJ	VYBER	15	47829	SLUZBY	\N	\N
220960	750	1995-11-30	VYDAJ	VYBER	15	54038	SLUZBY	\N	\N
220961	750	1995-12-31	VYDAJ	VYBER	15	47001	SLUZBY	\N	\N
220962	750	1996-01-31	VYDAJ	VYBER	15	31915	SLUZBY	\N	\N
220963	750	1996-02-29	VYDAJ	VYBER	15	42268	SLUZBY	\N	\N
220964	750	1996-03-31	VYDAJ	VYBER	15	39369	SLUZBY	\N	\N
220965	750	1996-04-30	VYDAJ	VYBER	15	39456	SLUZBY	\N	\N
220966	750	1996-05-31	VYDAJ	VYBER	15	41092	SLUZBY	\N	\N
220967	750	1996-06-30	VYDAJ	VYBER	15	31616	SLUZBY	\N	\N
220968	750	1996-07-31	VYDAJ	VYBER	15	36980	SLUZBY	\N	\N
220969	750	1996-08-31	VYDAJ	VYBER	15	41063	SLUZBY	\N	\N
220970	750	1996-09-30	VYDAJ	VYBER	15	38900	SLUZBY	\N	\N
220971	750	1996-10-31	VYDAJ	VYBER	15	44190	SLUZBY	\N	\N
220972	750	1996-11-30	VYDAJ	VYBER	15	43563	SLUZBY	\N	\N
220973	750	1996-12-31	VYDAJ	VYBER	15	52959	SLUZBY	\N	\N
220974	750	1997-01-31	VYDAJ	VYBER	15	45115	SLUZBY	\N	\N
220975	750	1997-02-28	VYDAJ	VYBER	15	50227	SLUZBY	\N	\N
220976	750	1997-03-31	VYDAJ	VYBER	15	51948	SLUZBY	\N	\N
220977	750	1997-04-30	VYDAJ	VYBER	15	50248	SLUZBY	\N	\N
220978	750	1997-05-31	VYDAJ	VYBER	15	54881	SLUZBY	\N	\N
220979	750	1997-06-30	VYDAJ	VYBER	15	49898	SLUZBY	\N	\N
220980	750	1997-07-31	VYDAJ	VYBER	15	51314	SLUZBY	\N	\N
220981	750	1997-08-31	VYDAJ	VYBER	15	50833	SLUZBY	\N	\N
220982	750	1997-09-30	VYDAJ	VYBER	15	50148	SLUZBY	\N	\N
220983	750	1997-10-31	VYDAJ	VYBER	15	51971	SLUZBY	\N	\N
220984	750	1997-11-30	VYDAJ	VYBER	15	53692	SLUZBY	\N	\N
220985	750	1997-12-31	VYDAJ	VYBER	15	51312	SLUZBY	\N	\N
220986	750	1998-01-31	VYDAJ	VYBER	15	32485	SLUZBY	\N	\N
220987	750	1998-02-28	VYDAJ	VYBER	15	38235	SLUZBY	\N	\N
220988	750	1998-03-31	VYDAJ	VYBER	15	43110	SLUZBY	\N	\N
220989	750	1998-04-30	VYDAJ	VYBER	15	46696	SLUZBY	\N	\N
220990	750	1998-05-31	VYDAJ	VYBER	15	47096	SLUZBY	\N	\N
220991	750	1998-06-30	VYDAJ	VYBER	15	35717	SLUZBY	\N	\N
220992	750	1998-07-31	VYDAJ	VYBER	15	37624	SLUZBY	\N	\N
220993	750	1998-08-31	VYDAJ	VYBER	15	32876	SLUZBY	\N	\N
220994	750	1998-09-30	VYDAJ	VYBER	15	31205	SLUZBY	\N	\N
220995	750	1998-10-31	VYDAJ	VYBER	15	22103	SLUZBY	\N	\N
220996	750	1998-11-30	VYDAJ	VYBER	15	30510	SLUZBY	\N	\N
220997	750	1993-10-12	PRIJEM	VKLAD	4000	21824	\N	\N	\N
220998	750	1993-11-11	PRIJEM	VKLAD	1000	22872	\N	\N	\N
220999	750	1993-12-11	VYDAJ	VYBER	5900	33928	\N	\N	\N
221000	750	1994-01-10	VYDAJ	VYBER	19600	39782	\N	\N	\N
221001	750	1994-02-09	VYDAJ	VYBER	16100	40745	\N	\N	\N
221002	750	1994-03-11	VYDAJ	VYBER	14700	36461	\N	\N	\N
221003	750	1994-04-10	VYDAJ	VYBER	11600	35274	\N	\N	\N
221004	750	1994-05-10	VYDAJ	VYBER	12500	33160	\N	\N	\N
221005	750	1994-06-09	VYDAJ	VYBER	9500	31995	\N	\N	\N
221006	750	1994-07-09	VYDAJ	VYBER	1900	25048	\N	\N	\N
221007	750	1994-08-08	VYDAJ	VYBER	3400	31977	\N	\N	\N
221008	750	1994-09-07	VYDAJ	VYBER	8100	34237	\N	\N	\N
221009	750	1994-10-07	VYDAJ	VYBER	11300	33314	\N	\N	\N
221010	750	1994-11-06	VYDAJ	VYBER	6200	34004	\N	\N	\N
221011	750	1994-12-06	VYDAJ	VYBER	7300	35994	\N	\N	\N
221012	750	1995-01-05	VYDAJ	VYBER	7200	34169	\N	\N	\N
221013	750	1995-02-04	PRIJEM	VKLAD	1100	32666	\N	\N	\N
221014	750	1995-03-06	VYDAJ	VYBER	7200	31746	\N	\N	\N
221015	750	1995-04-05	VYDAJ	VYBER	3900	38211	\N	\N	\N
221016	750	1995-05-05	VYDAJ	VYBER	7100	41497	\N	\N	\N
221017	750	1995-06-04	VYDAJ	VYBER	11100	40802	\N	\N	\N
221018	750	1995-07-04	PRIJEM	VKLAD	2800	32792	\N	\N	\N
221019	750	1995-08-03	VYDAJ	VYBER	5400	37746	\N	\N	\N
221020	750	1995-09-02	VYDAJ	VYBER	5300	40799	\N	\N	\N
221021	750	1995-10-02	VYDAJ	VYBER	4400	37429	\N	\N	\N
221022	750	1995-11-01	VYDAJ	VYBER	4200	43629	\N	\N	\N
221023	750	1995-12-01	VYDAJ	VYBER	7500	46538	\N	\N	\N
221024	750	1995-12-31	VYDAJ	VYBER	16300	47016	\N	\N	\N
221025	750	1996-01-30	PRIJEM	VKLAD	400	31770	\N	\N	\N
221026	750	1996-02-29	VYDAJ	VYBER	3600	38668	\N	\N	\N
221027	750	1996-03-30	VYDAJ	VYBER	9700	39177	\N	\N	\N
221028	750	1996-04-29	VYDAJ	VYBER	7300	39278	\N	\N	\N
221029	750	1996-05-29	VYDAJ	VYBER	6100	40925	\N	\N	\N
221030	750	1996-06-28	PRIJEM	VKLAD	700	31453	\N	\N	\N
221031	750	1996-07-28	VYDAJ	VYBER	5000	36825	\N	\N	\N
221032	750	1996-08-27	VYDAJ	VYBER	6300	40889	\N	\N	\N
221033	750	1996-09-26	VYDAJ	VYBER	6900	38732	\N	\N	\N
221034	750	1996-10-26	VYDAJ	VYBER	5100	44009	\N	\N	\N
221035	750	1996-11-25	VYDAJ	VYBER	7300	43379	\N	\N	\N
221036	750	1996-12-25	VYDAJ	VYBER	8000	52744	\N	\N	\N
221037	750	1997-01-24	VYDAJ	VYBER	6100	51388	\N	\N	\N
221038	750	1997-02-23	VYDAJ	VYBER	5300	50024	\N	\N	\N
221039	750	1997-03-25	VYDAJ	VYBER	8700	51736	\N	\N	\N
221040	750	1997-04-24	VYDAJ	VYBER	10200	50037	\N	\N	\N
221041	750	1997-05-24	VYDAJ	VYBER	5800	54657	\N	\N	\N
221042	750	1997-06-23	VYDAJ	VYBER KARTOU	3800	69702	\N	\N	0
221043	750	1997-07-23	VYDAJ	VYBER	9000	51107	\N	\N	\N
221044	750	1997-08-22	VYDAJ	VYBER	9200	52323	\N	\N	\N
221045	750	1997-09-21	VYDAJ	VYBER	11100	49942	\N	\N	\N
221046	750	1997-10-21	VYDAJ	VYBER	8600	51757	\N	\N	\N
221047	750	1997-11-20	VYDAJ	VYBER	8700	53480	\N	\N	\N
221048	750	1997-12-20	VYDAJ	VYBER	15900	51093	\N	\N	\N
221049	750	1998-01-19	VYDAJ	VYBER	7400	44021	\N	\N	\N
221050	750	1998-02-18	VYDAJ	VYBER	4600	38094	\N	\N	\N
221051	750	1998-03-20	VYDAJ	VYBER KARTOU	3500	42944	\N	\N	0
221052	750	1998-04-19	VYDAJ	VYBER	6800	46519	\N	\N	\N
221053	750	1998-05-19	VYDAJ	VYBER	10000	46905	\N	\N	\N
221054	750	1998-06-18	VYDAJ	VYBER	9200	35557	\N	\N	\N
221055	750	1998-07-18	VYDAJ	VYBER KARTOU	4000	37486	\N	\N	0
221056	750	1998-08-17	VYDAJ	VYBER	12200	35633	\N	\N	\N
221057	750	1998-09-16	VYDAJ	VYBER	12000	31085	\N	\N	\N
221058	750	1998-10-16	VYDAJ	VYBER	10800	30614	\N	\N	\N
221059	750	1998-11-15	VYDAJ	VYBER KARTOU	1900	30412	\N	\N	0
221060	750	1998-12-15	VYDAJ	VYBER	9100	40031	\N	\N	\N
221124	751	1993-05-12	PRIJEM	VKLAD	900	900	\N	\N	\N
221130	751	1993-06-06	PRIJEM	PREVOD Z UCTU	4350	5250	DUCHOD	UV	59883838
221131	751	1993-07-06	PRIJEM	PREVOD Z UCTU	4350	9600	DUCHOD	UV	59883838
221132	751	1993-08-06	PRIJEM	PREVOD Z UCTU	4350	13950	DUCHOD	UV	59883838
221133	751	1993-09-06	PRIJEM	PREVOD Z UCTU	4350	18300	DUCHOD	UV	59883838
221134	751	1993-10-06	PRIJEM	PREVOD Z UCTU	4350	22650	DUCHOD	UV	59883838
221135	751	1993-11-06	PRIJEM	PREVOD Z UCTU	4350	20118	DUCHOD	UV	59883838
221136	751	1993-12-06	PRIJEM	PREVOD Z UCTU	4350	22163	DUCHOD	UV	59883838
221137	751	1994-01-06	PRIJEM	PREVOD Z UCTU	4350	22825	DUCHOD	UV	59883838
221138	751	1994-02-06	PRIJEM	PREVOD Z UCTU	4350	17427	DUCHOD	UV	59883838
221139	751	1994-03-06	PRIJEM	PREVOD Z UCTU	4350	19461	DUCHOD	UV	59883838
221140	751	1994-04-06	PRIJEM	PREVOD Z UCTU	4350	19183	DUCHOD	UV	59883838
221141	751	1994-05-06	PRIJEM	PREVOD Z UCTU	4350	21226	DUCHOD	UV	59883838
221142	751	1994-06-06	PRIJEM	PREVOD Z UCTU	4350	19994	DUCHOD	UV	59883838
221143	751	1994-07-06	PRIJEM	PREVOD Z UCTU	4350	22041	DUCHOD	UV	59883838
221144	751	1994-08-06	PRIJEM	PREVOD Z UCTU	4350	20726	DUCHOD	UV	59883838
221145	751	1994-09-06	PRIJEM	PREVOD Z UCTU	4350	19804	DUCHOD	UV	59883838
221146	751	1994-10-06	PRIJEM	PREVOD Z UCTU	4350	21848	DUCHOD	UV	59883838
221147	751	1994-11-06	PRIJEM	PREVOD Z UCTU	4350	23899	DUCHOD	UV	59883838
221148	751	1994-12-06	PRIJEM	PREVOD Z UCTU	4350	25960	DUCHOD	UV	59883838
221149	751	1995-01-06	PRIJEM	PREVOD Z UCTU	4350	27128	DUCHOD	UV	59883838
221150	751	1995-02-06	PRIJEM	PREVOD Z UCTU	4350	20945	DUCHOD	UV	59883838
221151	751	1995-03-06	PRIJEM	PREVOD Z UCTU	4350	22993	DUCHOD	UV	59883838
221152	751	1995-04-06	PRIJEM	PREVOD Z UCTU	4350	23929	DUCHOD	UV	59883838
221153	751	1995-05-06	PRIJEM	PREVOD Z UCTU	4350	25989	DUCHOD	UV	59883838
221154	751	1995-06-06	PRIJEM	PREVOD Z UCTU	4350	27358	DUCHOD	UV	59883838
221155	751	1995-07-06	PRIJEM	PREVOD Z UCTU	4350	29434	DUCHOD	UV	59883838
221156	751	1995-08-06	PRIJEM	PREVOD Z UCTU	4350	28954	DUCHOD	UV	59883838
221157	751	1995-09-06	PRIJEM	PREVOD Z UCTU	4350	30436	DUCHOD	UV	59883838
221158	751	1995-10-06	PRIJEM	PREVOD Z UCTU	4350	30623	DUCHOD	UV	59883838
221159	751	1995-11-06	PRIJEM	PREVOD Z UCTU	4350	28809	DUCHOD	UV	59883838
221160	751	1995-12-06	PRIJEM	PREVOD Z UCTU	4350	29709	DUCHOD	UV	59883838
221161	751	1996-01-06	PRIJEM	PREVOD Z UCTU	4350	29064	DUCHOD	UV	59883838
221162	751	1996-02-06	PRIJEM	PREVOD Z UCTU	4350	23697	DUCHOD	UV	59883838
221163	751	1996-03-06	PRIJEM	PREVOD Z UCTU	4350	25756	DUCHOD	UV	59883838
221164	751	1996-04-06	PRIJEM	PREVOD Z UCTU	4350	27423	DUCHOD	UV	59883838
221165	751	1996-05-06	PRIJEM	PREVOD Z UCTU	4350	28397	DUCHOD	UV	59883838
221166	751	1996-06-06	PRIJEM	PREVOD Z UCTU	4350	29375	DUCHOD	UV	59883838
221167	751	1996-07-06	PRIJEM	PREVOD Z UCTU	4350	29356	DUCHOD	UV	59883838
221168	751	1996-08-06	PRIJEM	PREVOD Z UCTU	4350	31438	DUCHOD	UV	59883838
221169	751	1996-09-06	PRIJEM	PREVOD Z UCTU	4350	28724	DUCHOD	UV	59883838
221170	751	1996-10-06	PRIJEM	PREVOD Z UCTU	4350	29104	DUCHOD	UV	59883838
221171	751	1996-11-06	PRIJEM	PREVOD Z UCTU	4350	26705	DUCHOD	UV	59883838
221172	751	1996-12-06	PRIJEM	PREVOD Z UCTU	4350	27337	DUCHOD	UV	59883838
221173	751	1997-01-06	PRIJEM	PREVOD Z UCTU	4350	20172	DUCHOD	UV	59883838
221174	751	1997-02-06	PRIJEM	PREVOD Z UCTU	4350	19488	DUCHOD	UV	59883838
221175	751	1997-03-06	PRIJEM	PREVOD Z UCTU	4350	21529	DUCHOD	UV	59883838
221176	751	1997-04-06	PRIJEM	PREVOD Z UCTU	4350	20217	DUCHOD	UV	59883838
221177	751	1997-05-06	PRIJEM	PREVOD Z UCTU	4350	22263	DUCHOD	UV	59883838
221178	751	1997-06-06	PRIJEM	PREVOD Z UCTU	4350	24315	DUCHOD	UV	59883838
221179	751	1997-07-06	PRIJEM	PREVOD Z UCTU	4350	26376	DUCHOD	UV	59883838
221180	751	1997-08-06	PRIJEM	PREVOD Z UCTU	4350	27644	DUCHOD	UV	59883838
221181	751	1997-09-06	PRIJEM	PREVOD Z UCTU	4350	28595	DUCHOD	UV	59883838
221182	751	1997-10-06	PRIJEM	PREVOD Z UCTU	4350	30673	DUCHOD	UV	59883838
221183	751	1997-11-06	PRIJEM	PREVOD Z UCTU	4350	32761	DUCHOD	UV	59883838
221184	751	1997-12-06	PRIJEM	PREVOD Z UCTU	4350	34756	DUCHOD	UV	59883838
221185	751	1998-01-06	PRIJEM	PREVOD Z UCTU	4350	28610	DUCHOD	UV	59883838
221186	751	1998-02-06	PRIJEM	PREVOD Z UCTU	4350	23376	DUCHOD	UV	59883838
221187	751	1998-03-06	PRIJEM	PREVOD Z UCTU	4350	24130	DUCHOD	UV	59883838
221188	751	1998-04-06	PRIJEM	PREVOD Z UCTU	4350	21680	DUCHOD	UV	59883838
221189	751	1998-05-06	PRIJEM	PREVOD Z UCTU	4350	23730	DUCHOD	UV	59883838
221190	751	1998-06-06	PRIJEM	PREVOD Z UCTU	4350	22842	DUCHOD	UV	59883838
221191	751	1998-07-06	PRIJEM	PREVOD Z UCTU	4350	19284	DUCHOD	UV	59883838
221192	751	1998-08-06	PRIJEM	PREVOD Z UCTU	4350	21323	DUCHOD	UV	59883838
221193	751	1998-09-06	PRIJEM	PREVOD Z UCTU	4350	23370	DUCHOD	UV	59883838
221194	751	1998-10-06	PRIJEM	PREVOD Z UCTU	4350	20313	DUCHOD	UV	59883838
221195	751	1998-11-06	PRIJEM	PREVOD Z UCTU	4350	22356	DUCHOD	UV	59883838
221196	751	1998-12-06	PRIJEM	PREVOD Z UCTU	4350	21843	DUCHOD	UV	59883838
221206	751	1993-10-07	VYDAJ	PREVOD NA UCET	2363	20287	SIPO	GH	74106764
221207	751	1993-11-07	VYDAJ	PREVOD NA UCET	2363	17755	SIPO	GH	74106764
221208	751	1993-12-07	VYDAJ	PREVOD NA UCET	2363	19800	SIPO	GH	74106764
221209	751	1994-01-07	VYDAJ	PREVOD NA UCET	2363	20462	SIPO	GH	74106764
221210	751	1994-02-07	VYDAJ	PREVOD NA UCET	2363	15064	SIPO	GH	74106764
221211	751	1994-03-07	VYDAJ	PREVOD NA UCET	2363	17098	SIPO	GH	74106764
221212	751	1994-04-07	VYDAJ	PREVOD NA UCET	2363	16820	SIPO	GH	74106764
221213	751	1994-05-07	VYDAJ	PREVOD NA UCET	2363	18863	SIPO	GH	74106764
221214	751	1994-06-07	VYDAJ	PREVOD NA UCET	2363	17631	SIPO	GH	74106764
221215	751	1994-07-07	VYDAJ	PREVOD NA UCET	2363	19678	SIPO	GH	74106764
221216	751	1994-08-07	VYDAJ	PREVOD NA UCET	2363	18363	SIPO	GH	74106764
221217	751	1994-09-07	VYDAJ	PREVOD NA UCET	2363	17441	SIPO	GH	74106764
221218	751	1994-10-07	VYDAJ	PREVOD NA UCET	2363	19485	SIPO	GH	74106764
221219	751	1994-11-07	VYDAJ	PREVOD NA UCET	2363	21536	SIPO	GH	74106764
221220	751	1994-12-07	VYDAJ	PREVOD NA UCET	2363	23597	SIPO	GH	74106764
221221	751	1995-01-07	VYDAJ	PREVOD NA UCET	2363	22045	SIPO	GH	74106764
221222	751	1995-02-07	VYDAJ	PREVOD NA UCET	2363	18582	SIPO	GH	74106764
221223	751	1995-03-07	VYDAJ	PREVOD NA UCET	2363	20630	SIPO	GH	74106764
221224	751	1995-04-07	VYDAJ	PREVOD NA UCET	2363	21566	SIPO	GH	74106764
221225	751	1995-05-07	VYDAJ	PREVOD NA UCET	2363	23626	SIPO	GH	74106764
221226	751	1995-06-07	VYDAJ	PREVOD NA UCET	2363	24995	SIPO	GH	74106764
221227	751	1995-07-07	VYDAJ	PREVOD NA UCET	2363	27071	SIPO	GH	74106764
221228	751	1995-08-07	VYDAJ	PREVOD NA UCET	2363	26591	SIPO	GH	74106764
221229	751	1995-09-07	VYDAJ	PREVOD NA UCET	2363	28073	SIPO	GH	74106764
221230	751	1995-10-07	VYDAJ	PREVOD NA UCET	2363	28260	SIPO	GH	74106764
221231	751	1995-11-07	VYDAJ	PREVOD NA UCET	2363	26446	SIPO	GH	74106764
221232	751	1995-12-07	VYDAJ	PREVOD NA UCET	2363	27346	SIPO	GH	74106764
221233	751	1996-01-07	VYDAJ	PREVOD NA UCET	2363	26221	SIPO	GH	74106764
221234	751	1996-02-07	VYDAJ	PREVOD NA UCET	2363	21334	SIPO	GH	74106764
221235	751	1996-03-07	VYDAJ	PREVOD NA UCET	2363	23393	SIPO	GH	74106764
221236	751	1996-04-07	VYDAJ	PREVOD NA UCET	2363	25060	SIPO	GH	74106764
221237	751	1996-05-07	VYDAJ	PREVOD NA UCET	2363	26034	SIPO	GH	74106764
221238	751	1996-06-07	VYDAJ	PREVOD NA UCET	2363	27012	SIPO	GH	74106764
221239	751	1996-07-07	VYDAJ	PREVOD NA UCET	2363	26993	SIPO	GH	74106764
221240	751	1996-08-07	VYDAJ	PREVOD NA UCET	2363	29075	SIPO	GH	74106764
221241	751	1996-09-07	VYDAJ	PREVOD NA UCET	2363	26361	SIPO	GH	74106764
221242	751	1996-10-07	VYDAJ	PREVOD NA UCET	2363	26741	SIPO	GH	74106764
221243	751	1996-11-07	VYDAJ	PREVOD NA UCET	2363	24342	SIPO	GH	74106764
221244	751	1996-12-07	VYDAJ	PREVOD NA UCET	2363	24974	SIPO	GH	74106764
221245	751	1997-01-07	VYDAJ	PREVOD NA UCET	2363	15889	SIPO	GH	74106764
221246	751	1997-02-07	VYDAJ	PREVOD NA UCET	2363	17125	SIPO	GH	74106764
221247	751	1997-03-07	VYDAJ	PREVOD NA UCET	2363	19166	SIPO	GH	74106764
221248	751	1997-04-07	VYDAJ	PREVOD NA UCET	2363	17854	SIPO	GH	74106764
221249	751	1997-05-07	VYDAJ	PREVOD NA UCET	2363	19900	SIPO	GH	74106764
221250	751	1997-06-07	VYDAJ	PREVOD NA UCET	2363	21952	SIPO	GH	74106764
221251	751	1997-07-07	VYDAJ	PREVOD NA UCET	2363	24013	SIPO	GH	74106764
221252	751	1997-08-07	VYDAJ	PREVOD NA UCET	2363	24161	SIPO	GH	74106764
221253	751	1997-09-07	VYDAJ	PREVOD NA UCET	2363	26232	SIPO	GH	74106764
221254	751	1997-10-07	VYDAJ	PREVOD NA UCET	2363	28310	SIPO	GH	74106764
221255	751	1997-11-07	VYDAJ	PREVOD NA UCET	2363	30398	SIPO	GH	74106764
221256	751	1997-12-07	VYDAJ	PREVOD NA UCET	2363	32393	SIPO	GH	74106764
221257	751	1998-01-07	VYDAJ	PREVOD NA UCET	2363	25447	SIPO	GH	74106764
221258	751	1998-02-07	VYDAJ	PREVOD NA UCET	2363	21013	SIPO	GH	74106764
221259	751	1998-03-07	VYDAJ	PREVOD NA UCET	2363	21767	SIPO	GH	74106764
221260	751	1998-04-07	VYDAJ	PREVOD NA UCET	2363	19317	SIPO	GH	74106764
221261	751	1998-05-07	VYDAJ	PREVOD NA UCET	2363	21367	SIPO	GH	74106764
221262	751	1998-06-07	VYDAJ	PREVOD NA UCET	2363	20479	SIPO	GH	74106764
221263	751	1998-07-07	VYDAJ	PREVOD NA UCET	2363	16921	SIPO	GH	74106764
221264	751	1998-08-07	VYDAJ	PREVOD NA UCET	2363	18960	SIPO	GH	74106764
221265	751	1998-09-07	VYDAJ	PREVOD NA UCET	2363	21007	SIPO	GH	74106764
221266	751	1998-10-07	VYDAJ	PREVOD NA UCET	2363	17950	SIPO	GH	74106764
221267	751	1998-11-07	VYDAJ	PREVOD NA UCET	2363	19433	SIPO	GH	74106764
221268	751	1998-12-07	VYDAJ	PREVOD NA UCET	2363	19480	SIPO	GH	74106764
221275	751	1993-12-16	VYDAJ	VYBER	350	19450	\N	\N	\N
221276	751	1994-12-26	VYDAJ	VYBER	900	22697	\N	\N	\N
221277	751	1995-12-26	VYDAJ	VYBER	550	26796	\N	\N	\N
221278	751	1996-12-30	VYDAJ	VYBER	750	20464	\N	\N	\N
221279	751	1997-12-27	VYDAJ	VYBER	1200	26393	\N	\N	\N
221280	751	1998-12-12	VYDAJ	VYBER	250	19230	\N	\N	\N
221287	751	1994-01-14	VYDAJ	VYBER	1680	15982	\N	\N	\N
221288	751	1994-01-20	VYDAJ	VYBER	1360	14622	\N	\N	\N
221289	751	1994-01-04	VYDAJ	VYBER	480	18475	\N	\N	\N
221290	751	1994-01-11	VYDAJ	VYBER	1280	17662	\N	\N	\N
221291	751	1994-01-29	VYDAJ	VYBER	1600	13022	\N	\N	\N
221292	751	1994-01-11	VYDAJ	VYBER	1520	18942	\N	\N	\N
221293	751	1995-01-06	VYDAJ	VYBER	1840	25288	\N	\N	\N
221294	751	1995-01-30	VYDAJ	VYBER	1040	16525	\N	\N	\N
221295	751	1995-01-13	VYDAJ	VYBER	1040	21005	\N	\N	\N
221296	751	1995-01-20	VYDAJ	VYBER	2160	18845	\N	\N	\N
221297	751	1995-01-22	VYDAJ	VYBER	1280	17565	\N	\N	\N
221298	751	1995-01-06	VYDAJ	VYBER	880	24408	\N	\N	\N
221299	751	1996-01-18	VYDAJ	VYBER	1120	23181	\N	\N	\N
221300	751	1996-01-27	VYDAJ	VYBER	2160	21021	\N	\N	\N
221301	751	1996-01-13	VYDAJ	VYBER	1920	24301	\N	\N	\N
221302	751	1996-01-03	VYDAJ	VYBER	1680	24714	\N	\N	\N
221303	751	1996-01-06	VYDAJ	VYBER	480	28584	\N	\N	\N
221304	751	1996-01-30	VYDAJ	VYBER	1760	19261	\N	\N	\N
221305	751	1997-01-08	VYDAJ	VYBER	800	15089	\N	\N	\N
221308	751	1997-01-06	VYDAJ	VYBER	1920	18252	\N	\N	\N
221309	751	1997-01-03	VYDAJ	VYBER	1760	15822	\N	\N	\N
221311	751	1998-01-08	VYDAJ	VYBER	1120	24327	\N	\N	\N
221312	751	1998-01-13	VYDAJ	VYBER	1040	23287	\N	\N	\N
221313	751	1998-01-03	VYDAJ	VYBER	2240	24260	\N	\N	\N
221314	751	1998-01-25	VYDAJ	VYBER	1840	18947	\N	\N	\N
221315	751	1998-01-06	VYDAJ	VYBER	800	27810	\N	\N	\N
221316	751	1998-01-24	VYDAJ	VYBER	2000	20787	\N	\N	\N
221319	751	1993-10-20	VYDAJ	VYBER	1600	15727	\N	\N	\N
221320	751	1993-10-07	VYDAJ	VYBER	2960	17327	\N	\N	\N
221321	751	1993-12-27	VYDAJ	VYBER	560	18890	\N	\N	\N
221323	751	1994-04-03	VYDAJ	VYBER	2320	14833	\N	\N	\N
221324	751	1994-05-23	VYDAJ	VYBER	480	18383	\N	\N	\N
221325	751	1994-08-10	VYDAJ	VYBER	2960	15403	\N	\N	\N
221326	751	1994-06-04	VYDAJ	VYBER	2800	15644	\N	\N	\N
221327	751	1994-07-14	VYDAJ	VYBER	3360	16318	\N	\N	\N
221328	751	1995-03-29	VYDAJ	VYBER	1120	19510	\N	\N	\N
221329	751	1995-12-04	VYDAJ	VYBER	480	25359	\N	\N	\N
221330	751	1995-07-23	VYDAJ	VYBER	2560	24511	\N	\N	\N
221331	751	1996-10-31	VYDAJ	VYBER	3760	22355	\N	\N	\N
221332	751	1996-03-22	VYDAJ	VYBER	400	22993	\N	\N	\N
221333	751	1996-11-22	VYDAJ	VYBER	1440	22902	\N	\N	\N
221334	751	1996-12-13	VYDAJ	VYBER	3760	21214	\N	\N	\N
221335	751	1996-08-09	VYDAJ	VYBER	1200	27875	\N	\N	\N
221336	751	1996-10-29	VYDAJ	VYBER	720	26021	\N	\N	\N
221337	751	1996-09-02	VYDAJ	VYBER	2000	24374	\N	\N	\N
221338	751	1997-03-24	VYDAJ	VYBER	1360	17806	\N	\N	\N
221339	751	1997-01-02	VYDAJ	VYBER	2960	17582	\N	\N	\N
221340	751	1997-07-14	VYDAJ	VYBER	800	23213	\N	\N	\N
221341	751	1997-08-07	VYDAJ	VYBER	1120	26524	\N	\N	\N
221342	751	1997-04-01	VYDAJ	VYBER	2000	15867	\N	\N	\N
221346	751	1998-11-19	VYDAJ	VYBER	2000	17433	\N	\N	\N
221347	751	1998-05-28	VYDAJ	VYBER	640	18427	\N	\N	\N
221348	751	1998-11-06	VYDAJ	VYBER	560	21796	\N	\N	\N
221359	751	1993-10-31	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
221360	751	1993-11-30	VYDAJ	VYBER	15	17813	SLUZBY	\N	\N
221361	751	1993-12-31	VYDAJ	VYBER	15	18955	SLUZBY	\N	\N
221362	751	1994-01-31	VYDAJ	VYBER	15	13077	SLUZBY	\N	\N
221363	751	1994-02-28	VYDAJ	VYBER	15	15111	SLUZBY	\N	\N
221364	751	1994-03-31	VYDAJ	VYBER	15	17153	SLUZBY	\N	\N
221365	751	1994-04-30	VYDAJ	VYBER	15	16876	SLUZBY	\N	\N
221366	751	1994-05-31	VYDAJ	VYBER	15	18444	SLUZBY	\N	\N
221367	751	1994-06-30	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
221368	751	1994-07-31	VYDAJ	VYBER	15	16376	SLUZBY	\N	\N
221369	751	1994-08-31	VYDAJ	VYBER	15	15454	SLUZBY	\N	\N
221370	751	1994-09-30	VYDAJ	VYBER	15	17498	SLUZBY	\N	\N
221371	751	1994-10-31	VYDAJ	VYBER	15	19549	SLUZBY	\N	\N
221372	751	1994-11-30	VYDAJ	VYBER	15	21610	SLUZBY	\N	\N
221373	751	1994-12-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
221374	751	1995-01-31	VYDAJ	VYBER	15	16595	SLUZBY	\N	\N
221375	751	1995-02-28	VYDAJ	VYBER	15	18643	SLUZBY	\N	\N
221376	751	1995-03-31	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
221377	751	1995-04-30	VYDAJ	VYBER	15	21639	SLUZBY	\N	\N
221378	751	1995-05-31	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
221379	751	1995-06-30	VYDAJ	VYBER	15	25084	SLUZBY	\N	\N
221380	751	1995-07-31	VYDAJ	VYBER	15	24604	SLUZBY	\N	\N
221381	751	1995-08-31	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
221382	751	1995-09-30	VYDAJ	VYBER	15	26273	SLUZBY	\N	\N
221383	751	1995-10-31	VYDAJ	VYBER	15	24459	SLUZBY	\N	\N
221384	751	1995-11-30	VYDAJ	VYBER	15	25839	SLUZBY	\N	\N
221385	751	1995-12-31	VYDAJ	VYBER	15	26394	SLUZBY	\N	\N
221386	751	1996-01-31	VYDAJ	VYBER	15	19347	SLUZBY	\N	\N
221387	751	1996-02-29	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
221388	751	1996-03-31	VYDAJ	VYBER	15	23073	SLUZBY	\N	\N
221389	751	1996-04-30	VYDAJ	VYBER	15	24047	SLUZBY	\N	\N
221390	751	1996-05-31	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
221391	751	1996-06-30	VYDAJ	VYBER	15	25006	SLUZBY	\N	\N
221392	751	1996-07-31	VYDAJ	VYBER	15	27088	SLUZBY	\N	\N
221393	751	1996-08-31	VYDAJ	VYBER	15	26374	SLUZBY	\N	\N
221394	751	1996-09-30	VYDAJ	VYBER	15	24754	SLUZBY	\N	\N
221395	751	1996-10-31	VYDAJ	VYBER	15	26115	SLUZBY	\N	\N
221396	751	1996-11-30	VYDAJ	VYBER	15	22987	SLUZBY	\N	\N
221397	751	1996-12-31	VYDAJ	VYBER	15	20542	SLUZBY	\N	\N
221398	751	1997-01-31	VYDAJ	VYBER	15	15138	SLUZBY	\N	\N
221399	751	1997-02-28	VYDAJ	VYBER	15	17179	SLUZBY	\N	\N
221400	751	1997-03-31	VYDAJ	VYBER	15	17867	SLUZBY	\N	\N
221401	751	1997-04-30	VYDAJ	VYBER	15	17913	SLUZBY	\N	\N
221402	751	1997-05-31	VYDAJ	VYBER	15	19965	SLUZBY	\N	\N
221403	751	1997-06-30	VYDAJ	VYBER	15	22026	SLUZBY	\N	\N
221404	751	1997-07-31	VYDAJ	VYBER	15	23294	SLUZBY	\N	\N
221405	751	1997-08-31	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
221406	751	1997-09-30	VYDAJ	VYBER	15	26323	SLUZBY	\N	\N
221407	751	1997-10-31	VYDAJ	VYBER	15	28411	SLUZBY	\N	\N
221408	751	1997-11-30	VYDAJ	VYBER	15	30406	SLUZBY	\N	\N
221409	751	1997-12-31	VYDAJ	VYBER	15	26500	SLUZBY	\N	\N
221410	751	1998-01-31	VYDAJ	VYBER	15	19026	SLUZBY	\N	\N
221411	751	1998-02-28	VYDAJ	VYBER	15	19780	SLUZBY	\N	\N
221412	751	1998-03-31	VYDAJ	VYBER	15	17330	SLUZBY	\N	\N
221413	751	1998-04-30	VYDAJ	VYBER	15	19380	SLUZBY	\N	\N
221414	751	1998-05-31	VYDAJ	VYBER	15	18492	SLUZBY	\N	\N
221415	751	1998-06-30	VYDAJ	VYBER	15	14934	SLUZBY	\N	\N
221416	751	1998-07-31	VYDAJ	VYBER	15	16973	SLUZBY	\N	\N
221417	751	1998-08-31	VYDAJ	VYBER	15	19020	SLUZBY	\N	\N
221418	751	1998-09-30	VYDAJ	VYBER	15	15963	SLUZBY	\N	\N
221419	751	1998-10-31	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
221420	751	1998-11-30	VYDAJ	VYBER	15	17493	SLUZBY	\N	\N
221421	751	1995-06-01	VYDAJ	VYBER	700	23008	\N	\N	\N
221422	751	1995-08-30	VYDAJ	VYBER	600	25991	\N	\N	\N
221423	751	1995-09-29	VYDAJ	VYBER	1900	26173	\N	\N	\N
221424	751	1995-10-29	VYDAJ	VYBER	3900	24360	\N	\N	\N
221425	751	1995-11-28	VYDAJ	VYBER	700	25746	\N	\N	\N
221426	751	1995-12-28	VYDAJ	VYBER	500	26296	\N	\N	\N
221427	751	1996-04-26	VYDAJ	VYBER	1100	23960	\N	\N	\N
221428	751	1996-05-26	VYDAJ	VYBER	1100	24934	\N	\N	\N
221429	751	1996-06-25	VYDAJ	VYBER	2100	24912	\N	\N	\N
221430	751	1996-08-24	VYDAJ	VYBER	1600	26275	\N	\N	\N
221431	751	1996-09-23	VYDAJ	VYBER	1700	24661	\N	\N	\N
221432	751	1997-11-17	VYDAJ	VYBER	100	30298	\N	\N	\N
221433	751	1997-12-17	VYDAJ	VYBER	4800	27593	\N	\N	\N
221434	751	1998-01-16	VYDAJ	VYBER	500	22787	\N	\N	\N
221435	751	1998-02-15	VYDAJ	VYBER	1300	19713	\N	\N	\N
221436	751	1998-03-17	VYDAJ	VYBER	4500	17267	\N	\N	\N
221437	751	1998-05-16	VYDAJ	VYBER	2300	19067	\N	\N	\N
221438	751	1998-06-15	VYDAJ	VYBER	5600	14879	\N	\N	\N
221439	751	1998-09-13	VYDAJ	VYBER	5100	15907	\N	\N	\N
221503	752	1997-01-10	PRIJEM	VKLAD	700	700	\N	\N	\N
221505	752	1997-02-05	PRIJEM	VKLAD	11505	12205	\N	\N	\N
221506	752	1997-03-05	PRIJEM	VKLAD	11505	30366	\N	\N	\N
221507	752	1997-04-05	PRIJEM	VKLAD	11505	35664	\N	\N	\N
221508	752	1997-05-05	PRIJEM	VKLAD	11505	39180	\N	\N	\N
221509	752	1997-06-05	PRIJEM	VKLAD	17258	43548	\N	\N	\N
221510	752	1997-07-05	PRIJEM	VKLAD	11505	24814	\N	\N	\N
221511	752	1997-08-05	PRIJEM	VKLAD	11505	24556	\N	\N	\N
221512	752	1997-09-05	PRIJEM	VKLAD	11505	25600	\N	\N	\N
221513	752	1997-10-05	PRIJEM	VKLAD	11505	22334	\N	\N	\N
221514	752	1997-11-05	PRIJEM	VKLAD	11505	18654	\N	\N	\N
221515	752	1997-12-05	PRIJEM	VKLAD	17258	30242	\N	\N	\N
221516	752	1998-01-05	PRIJEM	VKLAD	11505	20974	\N	\N	\N
221517	752	1998-02-05	PRIJEM	VKLAD	11505	16289	\N	\N	\N
221518	752	1998-03-05	PRIJEM	VKLAD	11505	22114	\N	\N	\N
221519	752	1998-04-05	PRIJEM	VKLAD	11505	16426	\N	\N	\N
221520	752	1998-05-05	PRIJEM	VKLAD	11505	16337	\N	\N	\N
221521	752	1998-06-05	PRIJEM	VKLAD	17258	27915	\N	\N	\N
221522	752	1998-07-05	PRIJEM	VKLAD	11505	33783	\N	\N	\N
221523	752	1998-08-05	PRIJEM	VKLAD	11505	25581	\N	\N	\N
221524	752	1998-09-05	PRIJEM	VKLAD	11505	22056	\N	\N	\N
221525	752	1998-10-05	PRIJEM	VKLAD	11505	22739	\N	\N	\N
221526	752	1998-11-05	PRIJEM	VKLAD	11505	28590	\N	\N	\N
221527	752	1998-12-05	PRIJEM	VKLAD	17258	30319	\N	\N	\N
221533	752	1997-06-08	VYDAJ	PREVOD NA UCET	139	43409	SIPO	ST	12794679
221534	752	1997-07-08	VYDAJ	PREVOD NA UCET	139	24675	SIPO	ST	12794679
221535	752	1997-08-08	VYDAJ	PREVOD NA UCET	139	24417	SIPO	ST	12794679
221536	752	1997-09-08	VYDAJ	PREVOD NA UCET	139	16361	SIPO	ST	12794679
221537	752	1997-10-08	VYDAJ	PREVOD NA UCET	139	12695	SIPO	ST	12794679
221538	752	1997-11-08	VYDAJ	PREVOD NA UCET	139	18515	SIPO	ST	12794679
221539	752	1997-12-08	VYDAJ	PREVOD NA UCET	139	18203	SIPO	ST	12794679
221540	752	1998-01-08	VYDAJ	PREVOD NA UCET	139	10335	SIPO	ST	12794679
221541	752	1998-02-08	VYDAJ	PREVOD NA UCET	139	16150	SIPO	ST	12794679
221542	752	1998-03-08	VYDAJ	PREVOD NA UCET	139	10475	SIPO	ST	12794679
221543	752	1998-04-08	VYDAJ	PREVOD NA UCET	139	10387	SIPO	ST	12794679
221544	752	1998-05-08	VYDAJ	PREVOD NA UCET	139	16198	SIPO	ST	12794679
221545	752	1998-06-08	VYDAJ	PREVOD NA UCET	139	27776	SIPO	ST	12794679
221546	752	1998-07-08	VYDAJ	PREVOD NA UCET	139	33644	SIPO	ST	12794679
221547	752	1998-08-08	VYDAJ	PREVOD NA UCET	139	25442	SIPO	ST	12794679
221548	752	1998-09-08	VYDAJ	PREVOD NA UCET	139	16757	SIPO	ST	12794679
221549	752	1998-10-08	VYDAJ	PREVOD NA UCET	139	22600	SIPO	ST	12794679
221550	752	1998-11-08	VYDAJ	PREVOD NA UCET	139	28451	SIPO	ST	12794679
221551	752	1998-12-08	VYDAJ	PREVOD NA UCET	139	30180	SIPO	ST	12794679
221557	752	1997-06-12	VYDAJ	PREVOD NA UCET	5568	24441	 	UV	44654941
221558	752	1997-07-12	VYDAJ	PREVOD NA UCET	5568	13007	 	UV	44654941
221559	752	1997-08-12	VYDAJ	PREVOD NA UCET	5568	14049	 	UV	44654941
221560	752	1997-09-12	VYDAJ	PREVOD NA UCET	5568	10793	 	UV	44654941
221561	752	1997-10-12	VYDAJ	PREVOD NA UCET	5568	7127	 	UV	44654941
221562	752	1997-11-12	VYDAJ	PREVOD NA UCET	5568	12947	 	UV	44654941
221563	752	1997-12-12	VYDAJ	PREVOD NA UCET	5568	9435	 	UV	44654941
221564	752	1998-01-12	VYDAJ	PREVOD NA UCET	5568	4767	 	UV	44654941
221565	752	1998-02-12	VYDAJ	PREVOD NA UCET	5568	10582	 	UV	44654941
221566	752	1998-03-12	VYDAJ	PREVOD NA UCET	5568	4907	 	UV	44654941
221567	752	1998-04-12	VYDAJ	PREVOD NA UCET	5568	4819	 	UV	44654941
221568	752	1998-05-12	VYDAJ	PREVOD NA UCET	5568	10630	 	UV	44654941
221569	752	1998-06-12	VYDAJ	PREVOD NA UCET	5568	22208	 	UV	44654941
221570	752	1998-07-12	VYDAJ	PREVOD NA UCET	5568	28076	 	UV	44654941
221571	752	1998-08-12	VYDAJ	PREVOD NA UCET	5568	19874	 	UV	44654941
221572	752	1998-09-12	VYDAJ	PREVOD NA UCET	5568	11189	 	UV	44654941
221573	752	1998-10-12	VYDAJ	PREVOD NA UCET	5568	17032	 	UV	44654941
221574	752	1998-11-12	VYDAJ	PREVOD NA UCET	5568	22883	 	UV	44654941
221575	752	1998-12-12	VYDAJ	PREVOD NA UCET	5568	24612	 	UV	44654941
221576	752	1997-06-14	VYDAJ	VYBER	11200	13241	\N	\N	\N
221580	752	1997-12-11	VYDAJ	VYBER	3200	15003	\N	\N	\N
221602	752	1998-09-08	VYDAJ	VYBER	5160	16896	\N	\N	\N
221609	752	1997-06-30	VYDAJ	VYBER	15	13309	SLUZBY	\N	\N
221610	752	1997-07-31	VYDAJ	VYBER	15	13051	SLUZBY	\N	\N
221611	752	1997-08-31	VYDAJ	VYBER	15	14095	SLUZBY	\N	\N
221612	752	1997-09-30	VYDAJ	VYBER	15	10829	SLUZBY	\N	\N
221613	752	1997-10-31	VYDAJ	VYBER	15	7149	SLUZBY	\N	\N
221614	752	1997-11-30	VYDAJ	VYBER	15	12984	SLUZBY	\N	\N
221615	752	1997-12-31	VYDAJ	VYBER	15	9469	SLUZBY	\N	\N
221616	752	1998-01-31	VYDAJ	VYBER	15	4784	SLUZBY	\N	\N
221617	752	1998-02-28	VYDAJ	VYBER	15	10609	SLUZBY	\N	\N
221618	752	1998-03-31	VYDAJ	VYBER	15	4921	SLUZBY	\N	\N
221619	752	1998-04-30	VYDAJ	VYBER	15	4832	SLUZBY	\N	\N
221620	752	1998-05-31	VYDAJ	VYBER	15	10657	SLUZBY	\N	\N
221621	752	1998-06-30	VYDAJ	VYBER	15	22278	SLUZBY	\N	\N
221622	752	1998-07-31	VYDAJ	VYBER	15	28176	SLUZBY	\N	\N
221623	752	1998-08-31	VYDAJ	VYBER	15	19951	SLUZBY	\N	\N
221624	752	1998-09-30	VYDAJ	VYBER	15	11234	SLUZBY	\N	\N
221625	752	1998-10-31	VYDAJ	VYBER	15	17085	SLUZBY	\N	\N
221626	752	1998-11-30	VYDAJ	VYBER	15	22961	SLUZBY	\N	\N
221627	752	1997-02-09	PRIJEM	VKLAD	6600	18805	\N	\N	\N
221628	752	1997-03-11	VYDAJ	VYBER	6300	24066	\N	\N	\N
221629	752	1997-04-10	VYDAJ	VYBER	8100	27564	\N	\N	\N
221630	752	1997-05-10	VYDAJ	VYBER	13000	26180	\N	\N	\N
221631	752	1997-06-09	VYDAJ	VYBER	13400	30009	\N	\N	\N
221632	752	1997-07-09	VYDAJ	VYBER	6100	18575	\N	\N	\N
221633	752	1997-08-08	VYDAJ	VYBER	4800	19617	\N	\N	\N
221634	752	1997-09-07	VYDAJ	VYBER	9100	16500	\N	\N	\N
221635	752	1997-10-07	VYDAJ	VYBER	9500	12834	\N	\N	\N
221636	752	1997-12-06	VYDAJ	VYBER	11900	18342	\N	\N	\N
221637	752	1998-01-05	VYDAJ	VYBER	10500	10474	\N	\N	\N
221638	752	1998-03-06	VYDAJ	VYBER	11500	10614	\N	\N	\N
221639	752	1998-04-05	VYDAJ	VYBER	5900	10526	\N	\N	\N
221640	752	1998-08-03	VYDAJ	VYBER	14100	14076	\N	\N	\N
221641	752	1998-09-02	VYDAJ	VYBER	9400	10551	\N	\N	\N
221642	752	1998-12-01	VYDAJ	VYBER	9900	13061	\N	\N	\N
221666	753	1996-08-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
221675	753	1996-09-08	PRIJEM	PREVOD Z UCTU	6661	7761	DUCHOD	KL	68825548
221676	753	1996-10-08	PRIJEM	PREVOD Z UCTU	6661	14422	DUCHOD	KL	68825548
221677	753	1996-11-08	PRIJEM	PREVOD Z UCTU	6661	21083	DUCHOD	KL	68825548
221678	753	1996-12-08	PRIJEM	PREVOD Z UCTU	6661	26396	DUCHOD	KL	68825548
221679	753	1997-01-08	PRIJEM	PREVOD Z UCTU	6661	28946	DUCHOD	KL	68825548
221680	753	1997-02-08	PRIJEM	PREVOD Z UCTU	6661	19911	DUCHOD	KL	68825548
221681	753	1997-03-08	PRIJEM	PREVOD Z UCTU	6661	24825	DUCHOD	KL	68825548
221682	753	1997-04-08	PRIJEM	PREVOD Z UCTU	6661	28527	DUCHOD	KL	68825548
221683	753	1997-05-08	PRIJEM	PREVOD Z UCTU	6661	27689	DUCHOD	KL	68825548
221684	753	1997-06-08	PRIJEM	PREVOD Z UCTU	6661	24438	DUCHOD	KL	68825548
221685	753	1997-07-08	PRIJEM	PREVOD Z UCTU	6661	21650	DUCHOD	KL	68825548
221686	753	1997-08-08	PRIJEM	PREVOD Z UCTU	6661	20956	DUCHOD	KL	68825548
221687	753	1997-09-08	PRIJEM	PREVOD Z UCTU	6661	23368	DUCHOD	KL	68825548
221688	753	1997-10-08	PRIJEM	PREVOD Z UCTU	6661	26703	DUCHOD	KL	68825548
221689	753	1997-11-08	PRIJEM	PREVOD Z UCTU	6661	24551	DUCHOD	KL	68825548
221690	753	1997-12-08	PRIJEM	PREVOD Z UCTU	6661	26442	DUCHOD	KL	68825548
221691	753	1998-01-08	PRIJEM	PREVOD Z UCTU	6661	24588	DUCHOD	KL	68825548
221692	753	1998-02-08	PRIJEM	PREVOD Z UCTU	6661	22837	DUCHOD	KL	68825548
221693	753	1998-03-08	PRIJEM	PREVOD Z UCTU	6661	26865	DUCHOD	KL	68825548
221694	753	1998-04-08	PRIJEM	PREVOD Z UCTU	6661	27185	DUCHOD	KL	68825548
221695	753	1998-05-08	PRIJEM	PREVOD Z UCTU	6661	22633	DUCHOD	KL	68825548
221696	753	1998-06-08	PRIJEM	PREVOD Z UCTU	6661	24228	DUCHOD	KL	68825548
221697	753	1998-07-08	PRIJEM	PREVOD Z UCTU	6661	21261	DUCHOD	KL	68825548
221698	753	1998-08-08	PRIJEM	PREVOD Z UCTU	6661	26394	DUCHOD	KL	68825548
221699	753	1998-09-08	PRIJEM	PREVOD Z UCTU	6661	30895	DUCHOD	KL	68825548
221700	753	1998-10-08	PRIJEM	PREVOD Z UCTU	6661	19300	DUCHOD	KL	68825548
221701	753	1998-11-08	PRIJEM	PREVOD Z UCTU	6661	19725	DUCHOD	KL	68825548
221702	753	1998-12-08	PRIJEM	PREVOD Z UCTU	6661	22094	DUCHOD	KL	68825548
221715	753	1997-01-08	VYDAJ	PREVOD NA UCET	1602	27344	SIPO	AB	81654536
221716	753	1997-02-08	VYDAJ	PREVOD NA UCET	1602	18309	SIPO	AB	81654536
221717	753	1997-03-08	VYDAJ	PREVOD NA UCET	1602	23223	SIPO	AB	81654536
221718	753	1997-04-08	VYDAJ	PREVOD NA UCET	1602	26925	SIPO	AB	81654536
221719	753	1997-05-08	VYDAJ	PREVOD NA UCET	1602	26087	SIPO	AB	81654536
221720	753	1997-06-08	VYDAJ	PREVOD NA UCET	1602	22836	SIPO	AB	81654536
221721	753	1997-07-08	VYDAJ	PREVOD NA UCET	1602	20048	SIPO	AB	81654536
221722	753	1997-08-08	VYDAJ	PREVOD NA UCET	1602	19354	SIPO	AB	81654536
221723	753	1997-09-08	VYDAJ	PREVOD NA UCET	1602	21766	SIPO	AB	81654536
221724	753	1997-10-08	VYDAJ	PREVOD NA UCET	1602	25101	SIPO	AB	81654536
221725	753	1997-11-08	VYDAJ	PREVOD NA UCET	1602	22949	SIPO	AB	81654536
221726	753	1997-12-08	VYDAJ	PREVOD NA UCET	1602	24840	SIPO	AB	81654536
221727	753	1998-01-08	VYDAJ	PREVOD NA UCET	1602	22986	SIPO	AB	81654536
221728	753	1998-02-08	VYDAJ	PREVOD NA UCET	1602	21235	SIPO	AB	81654536
221729	753	1998-03-08	VYDAJ	PREVOD NA UCET	1602	25263	SIPO	AB	81654536
221730	753	1998-04-08	VYDAJ	PREVOD NA UCET	1602	25583	SIPO	AB	81654536
221731	753	1998-05-08	VYDAJ	PREVOD NA UCET	1602	21031	SIPO	AB	81654536
221732	753	1998-06-08	VYDAJ	PREVOD NA UCET	1602	22626	SIPO	AB	81654536
221733	753	1998-07-08	VYDAJ	PREVOD NA UCET	1602	19659	SIPO	AB	81654536
221734	753	1998-08-08	VYDAJ	PREVOD NA UCET	1602	24792	SIPO	AB	81654536
221735	753	1998-09-08	VYDAJ	PREVOD NA UCET	1602	29293	SIPO	AB	81654536
221736	753	1998-10-08	VYDAJ	PREVOD NA UCET	1602	17698	SIPO	AB	81654536
221737	753	1998-11-08	VYDAJ	PREVOD NA UCET	1602	18123	SIPO	AB	81654536
221738	753	1998-12-08	VYDAJ	PREVOD NA UCET	1602	20492	SIPO	AB	81654536
221741	753	1998-06-13	VYDAJ	VYBER	1500	21126	\N	\N	\N
221743	753	1997-01-26	VYDAJ	VYBER	2400	13184	\N	\N	\N
221744	753	1998-01-07	VYDAJ	VYBER	1000	17927	\N	\N	\N
221746	753	1997-12-07	VYDAJ	VYBER	750	22281	\N	\N	\N
221747	753	1998-12-06	VYDAJ	VYBER	750	15433	\N	\N	\N
221754	753	1997-01-10	VYDAJ	VYBER	1120	26224	\N	\N	\N
221755	753	1997-01-22	VYDAJ	VYBER	1200	17424	\N	\N	\N
221756	753	1997-01-11	VYDAJ	VYBER	1680	21344	\N	\N	\N
221757	753	1997-01-24	VYDAJ	VYBER	1840	15584	\N	\N	\N
221760	753	1998-01-09	VYDAJ	VYBER	1040	21946	\N	\N	\N
221761	753	1998-01-01	VYDAJ	VYBER	1760	20767	\N	\N	\N
221762	753	1998-01-16	VYDAJ	VYBER	560	21386	\N	\N	\N
221763	753	1998-01-06	VYDAJ	VYBER	1440	18927	\N	\N	\N
221764	753	1998-01-27	VYDAJ	VYBER	1760	16106	\N	\N	\N
221765	753	1998-01-25	VYDAJ	VYBER	1200	17866	\N	\N	\N
221773	753	1997-05-15	VYDAJ	VYBER	3680	17707	\N	\N	\N
221774	753	1997-01-13	VYDAJ	VYBER	2720	18624	\N	\N	\N
221775	753	1997-12-23	VYDAJ	VYBER	2400	22440	\N	\N	\N
221776	753	1997-04-03	VYDAJ	VYBER	800	21866	\N	\N	\N
221777	753	1997-04-03	VYDAJ	VYBER	640	22666	\N	\N	\N
221778	753	1997-07-09	VYDAJ	VYBER	2800	17248	\N	\N	\N
221779	753	1997-05-02	VYDAJ	VYBER	2080	21028	\N	\N	\N
221780	753	1998-05-25	VYDAJ	VYBER	1040	19991	\N	\N	\N
221781	753	1998-12-03	VYDAJ	VYBER	2000	16183	\N	\N	\N
221782	753	1998-03-17	VYDAJ	VYBER	2720	22543	\N	\N	\N
221783	753	1998-12-11	VYDAJ	VYBER	2000	18492	\N	\N	\N
221784	753	1998-09-29	VYDAJ	VYBER	3760	25533	\N	\N	\N
221785	753	1998-08-10	VYDAJ	VYBER	640	24152	\N	\N	\N
221786	753	1998-01-23	VYDAJ	VYBER	2320	19066	\N	\N	\N
221800	753	1997-01-31	VYDAJ	VYBER	15	13250	SLUZBY	\N	\N
221801	753	1997-02-28	VYDAJ	VYBER	15	18164	SLUZBY	\N	\N
221802	753	1997-03-31	VYDAJ	VYBER	15	23306	SLUZBY	\N	\N
221803	753	1997-04-30	VYDAJ	VYBER	15	23108	SLUZBY	\N	\N
221804	753	1997-05-31	VYDAJ	VYBER	15	17777	SLUZBY	\N	\N
221805	753	1997-06-30	VYDAJ	VYBER	15	14989	SLUZBY	\N	\N
221806	753	1997-07-31	VYDAJ	VYBER	15	14295	SLUZBY	\N	\N
221807	753	1997-08-31	VYDAJ	VYBER	15	16707	SLUZBY	\N	\N
221808	753	1997-09-30	VYDAJ	VYBER	15	20042	SLUZBY	\N	\N
221809	753	1997-10-31	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
221810	753	1997-11-30	VYDAJ	VYBER	15	23031	SLUZBY	\N	\N
221811	753	1997-12-31	VYDAJ	VYBER	15	22527	SLUZBY	\N	\N
221812	753	1998-01-31	VYDAJ	VYBER	15	16176	SLUZBY	\N	\N
221813	753	1998-02-28	VYDAJ	VYBER	15	21304	SLUZBY	\N	\N
221814	753	1998-03-31	VYDAJ	VYBER	15	22624	SLUZBY	\N	\N
221815	753	1998-04-30	VYDAJ	VYBER	15	25672	SLUZBY	\N	\N
221816	753	1998-05-31	VYDAJ	VYBER	15	20067	SLUZBY	\N	\N
221817	753	1998-06-30	VYDAJ	VYBER	15	21200	SLUZBY	\N	\N
221818	753	1998-07-31	VYDAJ	VYBER	15	19733	SLUZBY	\N	\N
221819	753	1998-08-31	VYDAJ	VYBER	15	24234	SLUZBY	\N	\N
221820	753	1998-09-30	VYDAJ	VYBER	15	25639	SLUZBY	\N	\N
221821	753	1998-10-31	VYDAJ	VYBER	15	17764	SLUZBY	\N	\N
221822	753	1998-11-30	VYDAJ	VYBER	15	18183	SLUZBY	\N	\N
221823	753	1996-11-12	VYDAJ	VYBER	1400	19683	\N	\N	\N
221824	753	1996-12-12	VYDAJ	VYBER	4200	22196	\N	\N	\N
221825	753	1997-01-11	VYDAJ	VYBER	3200	23024	\N	\N	\N
221826	753	1997-02-10	VYDAJ	VYBER	200	18109	\N	\N	\N
221827	753	1997-04-11	VYDAJ	VYBER	3900	23025	\N	\N	\N
221828	753	1997-05-11	VYDAJ	VYBER	4700	21387	\N	\N	\N
221829	753	1997-06-10	VYDAJ	VYBER	7900	14936	\N	\N	\N
221830	753	1997-07-10	VYDAJ	VYBER	3000	14248	\N	\N	\N
221831	753	1997-08-09	VYDAJ	VYBER	2700	16654	\N	\N	\N
221832	753	1997-09-08	VYDAJ	VYBER	1800	19966	\N	\N	\N
221833	753	1997-10-08	VYDAJ	VYBER	5800	19301	\N	\N	\N
221834	753	1997-11-07	VYDAJ	VYBER	1500	17890	\N	\N	\N
221835	753	1997-12-07	VYDAJ	VYBER	2500	19781	\N	\N	\N
221836	753	1998-01-06	VYDAJ	VYBER	400	20367	\N	\N	\N
221837	753	1998-03-07	VYDAJ	VYBER	1100	20204	\N	\N	\N
221838	753	1998-04-06	VYDAJ	VYBER	2100	20524	\N	\N	\N
221839	753	1998-05-06	VYDAJ	VYBER	9700	15972	\N	\N	\N
221840	753	1998-06-05	VYDAJ	VYBER	2500	17567	\N	\N	\N
221841	753	1998-07-05	VYDAJ	VYBER	6600	14600	\N	\N	\N
221842	753	1998-10-03	VYDAJ	VYBER	13000	12639	\N	\N	\N
221843	753	1998-11-02	VYDAJ	VYBER	4700	13064	\N	\N	\N
221870	754	1995-06-08	PRIJEM	VKLAD	800	800	\N	\N	\N
221877	754	1995-07-05	PRIJEM	PREVOD Z UCTU	6248	7048	DUCHOD	YZ	24008375
221878	754	1995-08-05	PRIJEM	PREVOD Z UCTU	6248	13296	DUCHOD	YZ	24008375
221879	754	1995-09-05	PRIJEM	PREVOD Z UCTU	6248	19544	DUCHOD	YZ	24008375
221880	754	1995-10-05	PRIJEM	PREVOD Z UCTU	6248	25792	DUCHOD	YZ	24008375
221881	754	1995-11-05	PRIJEM	PREVOD Z UCTU	6248	30424	DUCHOD	YZ	24008375
221882	754	1995-12-05	PRIJEM	PREVOD Z UCTU	6248	29082	DUCHOD	YZ	24008375
221883	754	1996-01-05	PRIJEM	PREVOD Z UCTU	6248	29639	DUCHOD	YZ	24008375
221884	754	1996-02-05	PRIJEM	PREVOD Z UCTU	6248	32901	DUCHOD	YZ	24008375
221885	754	1996-03-05	PRIJEM	PREVOD Z UCTU	6248	31311	DUCHOD	YZ	24008375
221886	754	1996-04-05	PRIJEM	PREVOD Z UCTU	6248	34580	DUCHOD	YZ	24008375
221887	754	1996-05-05	PRIJEM	PREVOD Z UCTU	6248	34461	DUCHOD	YZ	24008375
221888	754	1996-06-05	PRIJEM	PREVOD Z UCTU	6248	30945	DUCHOD	YZ	24008375
221889	754	1996-07-05	PRIJEM	PREVOD Z UCTU	6248	32415	DUCHOD	YZ	24008375
221890	754	1996-08-05	PRIJEM	PREVOD Z UCTU	6248	34389	DUCHOD	YZ	24008375
221891	754	1996-09-05	PRIJEM	PREVOD Z UCTU	6248	36011	DUCHOD	YZ	24008375
221892	754	1996-10-05	PRIJEM	PREVOD Z UCTU	6248	36399	DUCHOD	YZ	24008375
221893	754	1996-11-05	PRIJEM	PREVOD Z UCTU	6248	36689	DUCHOD	YZ	24008375
221894	754	1996-12-05	PRIJEM	PREVOD Z UCTU	6248	32877	DUCHOD	YZ	24008375
221895	754	1997-01-05	PRIJEM	PREVOD Z UCTU	6248	31029	DUCHOD	YZ	24008375
221896	754	1997-02-05	PRIJEM	PREVOD Z UCTU	6248	26269	DUCHOD	YZ	24008375
221897	754	1997-03-05	PRIJEM	PREVOD Z UCTU	6248	25816	DUCHOD	YZ	24008375
221898	754	1997-04-05	PRIJEM	PREVOD Z UCTU	6248	29061	DUCHOD	YZ	24008375
221899	754	1997-05-05	PRIJEM	PREVOD Z UCTU	6248	32318	DUCHOD	YZ	24008375
221900	754	1997-06-05	PRIJEM	PREVOD Z UCTU	6248	33789	DUCHOD	YZ	24008375
221901	754	1997-07-05	PRIJEM	PREVOD Z UCTU	6248	33213	DUCHOD	YZ	24008375
221902	754	1997-08-05	PRIJEM	PREVOD Z UCTU	6248	35365	DUCHOD	YZ	24008375
221903	754	1997-09-05	PRIJEM	PREVOD Z UCTU	6248	33198	DUCHOD	YZ	24008375
221904	754	1997-10-05	PRIJEM	PREVOD Z UCTU	6248	33070	DUCHOD	YZ	24008375
221905	754	1997-11-05	PRIJEM	PREVOD Z UCTU	6248	27833	DUCHOD	YZ	24008375
221906	754	1997-12-05	PRIJEM	PREVOD Z UCTU	6248	28582	DUCHOD	YZ	24008375
221907	754	1998-01-05	PRIJEM	PREVOD Z UCTU	6248	27285	DUCHOD	YZ	24008375
221908	754	1998-02-05	PRIJEM	PREVOD Z UCTU	6248	24623	DUCHOD	YZ	24008375
221909	754	1998-03-05	PRIJEM	PREVOD Z UCTU	6248	27862	DUCHOD	YZ	24008375
221910	754	1998-04-05	PRIJEM	PREVOD Z UCTU	6248	29148	DUCHOD	YZ	24008375
221911	754	1998-05-05	PRIJEM	PREVOD Z UCTU	6248	31705	DUCHOD	YZ	24008375
221912	754	1998-06-05	PRIJEM	PREVOD Z UCTU	6248	29767	DUCHOD	YZ	24008375
221913	754	1998-07-05	PRIJEM	PREVOD Z UCTU	6248	26105	DUCHOD	YZ	24008375
221914	754	1998-08-05	PRIJEM	PREVOD Z UCTU	6248	21902	DUCHOD	YZ	24008375
221915	754	1998-09-05	PRIJEM	PREVOD Z UCTU	6248	19122	DUCHOD	YZ	24008375
221916	754	1998-10-05	PRIJEM	PREVOD Z UCTU	6248	21537	DUCHOD	YZ	24008375
221917	754	1998-11-05	PRIJEM	PREVOD Z UCTU	6248	24762	DUCHOD	YZ	24008375
221918	754	1998-12-05	PRIJEM	PREVOD Z UCTU	6248	26076	DUCHOD	YZ	24008375
221929	754	1995-11-06	VYDAJ	PREVOD NA UCET	1454	28770	SIPO	GH	22047943
221930	754	1995-12-06	VYDAJ	PREVOD NA UCET	1454	26728	SIPO	GH	22047943
221931	754	1996-01-06	VYDAJ	PREVOD NA UCET	1454	28185	SIPO	GH	22047943
221932	754	1996-02-06	VYDAJ	PREVOD NA UCET	1454	31447	SIPO	GH	22047943
221933	754	1996-03-06	VYDAJ	PREVOD NA UCET	1454	29857	SIPO	GH	22047943
221934	754	1996-04-06	VYDAJ	PREVOD NA UCET	1454	33126	SIPO	GH	22047943
221935	754	1996-05-06	VYDAJ	PREVOD NA UCET	1454	33007	SIPO	GH	22047943
221936	754	1996-06-06	VYDAJ	PREVOD NA UCET	1454	29491	SIPO	GH	22047943
221937	754	1996-07-06	VYDAJ	PREVOD NA UCET	1454	30961	SIPO	GH	22047943
221938	754	1996-08-06	VYDAJ	PREVOD NA UCET	1454	32935	SIPO	GH	22047943
221939	754	1996-09-06	VYDAJ	PREVOD NA UCET	1454	34557	SIPO	GH	22047943
221940	754	1996-10-06	VYDAJ	PREVOD NA UCET	1454	34945	SIPO	GH	22047943
221941	754	1996-11-06	VYDAJ	PREVOD NA UCET	1454	35235	SIPO	GH	22047943
221942	754	1996-12-06	VYDAJ	PREVOD NA UCET	1454	31423	SIPO	GH	22047943
221943	754	1997-01-06	VYDAJ	PREVOD NA UCET	1454	29575	SIPO	GH	22047943
221944	754	1997-02-06	VYDAJ	PREVOD NA UCET	1454	24815	SIPO	GH	22047943
221945	754	1997-03-06	VYDAJ	PREVOD NA UCET	1454	24362	SIPO	GH	22047943
221946	754	1997-04-06	VYDAJ	PREVOD NA UCET	1454	27607	SIPO	GH	22047943
221947	754	1997-05-06	VYDAJ	PREVOD NA UCET	1454	30864	SIPO	GH	22047943
221948	754	1997-06-06	VYDAJ	PREVOD NA UCET	1454	32335	SIPO	GH	22047943
221949	754	1997-07-06	VYDAJ	PREVOD NA UCET	1454	31759	SIPO	GH	22047943
221950	754	1997-08-06	VYDAJ	PREVOD NA UCET	1454	33911	SIPO	GH	22047943
221951	754	1997-09-06	VYDAJ	PREVOD NA UCET	1454	31744	SIPO	GH	22047943
221952	754	1997-10-06	VYDAJ	PREVOD NA UCET	1454	31616	SIPO	GH	22047943
221953	754	1997-11-06	VYDAJ	PREVOD NA UCET	1454	26379	SIPO	GH	22047943
221954	754	1997-12-06	VYDAJ	PREVOD NA UCET	1454	27128	SIPO	GH	22047943
221955	754	1998-01-06	VYDAJ	PREVOD NA UCET	1454	25831	SIPO	GH	22047943
221956	754	1998-02-06	VYDAJ	PREVOD NA UCET	1454	23169	SIPO	GH	22047943
221957	754	1998-03-06	VYDAJ	PREVOD NA UCET	1454	24648	SIPO	GH	22047943
221958	754	1998-04-06	VYDAJ	PREVOD NA UCET	1454	27694	SIPO	GH	22047943
221959	754	1998-05-06	VYDAJ	PREVOD NA UCET	1454	30251	SIPO	GH	22047943
221960	754	1998-06-06	VYDAJ	PREVOD NA UCET	1454	22513	SIPO	GH	22047943
221961	754	1998-07-06	VYDAJ	PREVOD NA UCET	1454	24651	SIPO	GH	22047943
221962	754	1998-08-06	VYDAJ	PREVOD NA UCET	1454	20448	SIPO	GH	22047943
221963	754	1998-09-06	VYDAJ	PREVOD NA UCET	1454	17668	SIPO	GH	22047943
221964	754	1998-10-06	VYDAJ	PREVOD NA UCET	1454	20083	SIPO	GH	22047943
221965	754	1998-11-06	VYDAJ	PREVOD NA UCET	1454	23308	SIPO	GH	22047943
221966	754	1998-12-06	VYDAJ	PREVOD NA UCET	1454	24622	SIPO	GH	22047943
221977	754	1995-11-13	VYDAJ	PREVOD NA UCET	1629	27141	 	GH	54826593
221978	754	1995-12-13	VYDAJ	PREVOD NA UCET	1629	25099	 	GH	54826593
221979	754	1996-01-13	VYDAJ	PREVOD NA UCET	1629	26556	 	GH	54826593
221980	754	1996-02-13	VYDAJ	PREVOD NA UCET	1629	29818	 	GH	54826593
221981	754	1996-03-13	VYDAJ	PREVOD NA UCET	1629	28228	 	GH	54826593
221982	754	1996-04-13	VYDAJ	PREVOD NA UCET	1629	31497	 	GH	54826593
221983	754	1996-05-13	VYDAJ	PREVOD NA UCET	1629	31378	 	GH	54826593
221984	754	1996-06-13	VYDAJ	PREVOD NA UCET	1629	27862	 	GH	54826593
221985	754	1996-07-13	VYDAJ	PREVOD NA UCET	1629	29332	 	GH	54826593
221986	754	1996-08-13	VYDAJ	PREVOD NA UCET	1629	31306	 	GH	54826593
221987	754	1996-09-13	VYDAJ	PREVOD NA UCET	1629	32928	 	GH	54826593
221988	754	1996-10-13	VYDAJ	PREVOD NA UCET	1629	33316	 	GH	54826593
221989	754	1996-11-13	VYDAJ	PREVOD NA UCET	1629	33606	 	GH	54826593
221990	754	1996-12-13	VYDAJ	PREVOD NA UCET	1629	29794	 	GH	54826593
221991	754	1997-01-13	VYDAJ	PREVOD NA UCET	1629	27946	 	GH	54826593
221992	754	1997-02-13	VYDAJ	PREVOD NA UCET	1629	23186	 	GH	54826593
221993	754	1997-03-13	VYDAJ	PREVOD NA UCET	1629	22733	 	GH	54826593
221994	754	1997-04-13	VYDAJ	PREVOD NA UCET	1629	25978	 	GH	54826593
221995	754	1997-05-13	VYDAJ	PREVOD NA UCET	1629	29235	 	GH	54826593
221996	754	1997-06-13	VYDAJ	PREVOD NA UCET	1629	30706	 	GH	54826593
221997	754	1997-07-13	VYDAJ	PREVOD NA UCET	1629	30130	 	GH	54826593
221998	754	1997-08-13	VYDAJ	PREVOD NA UCET	1629	29242	 	GH	54826593
221999	754	1997-09-13	VYDAJ	PREVOD NA UCET	1629	30115	 	GH	54826593
222000	754	1997-10-13	VYDAJ	PREVOD NA UCET	1629	28067	 	GH	54826593
222001	754	1997-11-13	VYDAJ	PREVOD NA UCET	1629	24750	 	GH	54826593
222002	754	1997-12-13	VYDAJ	PREVOD NA UCET	1629	25149	 	GH	54826593
222003	754	1998-01-13	VYDAJ	PREVOD NA UCET	1629	24202	 	GH	54826593
222004	754	1998-02-13	VYDAJ	PREVOD NA UCET	1629	21540	 	GH	54826593
222005	754	1998-03-13	VYDAJ	PREVOD NA UCET	1629	23019	 	GH	54826593
222006	754	1998-04-13	VYDAJ	PREVOD NA UCET	1629	26065	 	GH	54826593
222007	754	1998-05-13	VYDAJ	PREVOD NA UCET	1629	28622	 	GH	54826593
222008	754	1998-06-13	VYDAJ	PREVOD NA UCET	1629	20884	 	GH	54826593
222009	754	1998-07-13	VYDAJ	PREVOD NA UCET	1629	23022	 	GH	54826593
222010	754	1998-08-13	VYDAJ	PREVOD NA UCET	1629	18819	 	GH	54826593
222011	754	1998-09-13	VYDAJ	PREVOD NA UCET	1629	16039	 	GH	54826593
222012	754	1998-10-13	VYDAJ	PREVOD NA UCET	1629	18454	 	GH	54826593
222013	754	1998-11-13	VYDAJ	PREVOD NA UCET	1629	19759	 	GH	54826593
222014	754	1998-12-13	VYDAJ	PREVOD NA UCET	1629	22993	 	GH	54826593
222016	754	1996-06-02	VYDAJ	VYBER	6800	24697	\N	\N	\N
222017	754	1997-06-23	VYDAJ	VYBER	1650	29056	\N	\N	\N
222018	754	1998-06-05	VYDAJ	VYBER	5800	23967	\N	\N	\N
222020	754	1996-01-01	VYDAJ	VYBER	1800	23391	\N	\N	\N
222021	754	1997-01-18	VYDAJ	VYBER	3600	24346	\N	\N	\N
222022	754	1998-01-15	VYDAJ	VYBER	4000	20202	\N	\N	\N
222023	754	1995-12-03	VYDAJ	VYBER	1200	22834	\N	\N	\N
222024	754	1996-12-23	VYDAJ	VYBER	300	29494	\N	\N	\N
222025	754	1997-12-13	VYDAJ	VYBER	350	26778	\N	\N	\N
222026	754	1998-12-16	VYDAJ	VYBER	600	22393	\N	\N	\N
222030	754	1995-11-18	VYDAJ	VYBER	3200	23941	\N	\N	\N
222035	754	1996-02-21	VYDAJ	VYBER	2960	26858	\N	\N	\N
222036	754	1996-09-03	VYDAJ	VYBER	960	29763	\N	\N	\N
222037	754	1997-10-26	VYDAJ	VYBER	880	21487	\N	\N	\N
222038	754	1997-01-02	VYDAJ	VYBER	3120	24781	\N	\N	\N
222039	754	1997-08-10	VYDAJ	VYBER	3040	30871	\N	\N	\N
222040	754	1997-10-10	VYDAJ	VYBER	1920	29696	\N	\N	\N
222041	754	1997-07-15	VYDAJ	VYBER	1120	29010	\N	\N	\N
222042	754	1997-02-01	VYDAJ	VYBER	1520	20021	\N	\N	\N
222043	754	1998-12-21	VYDAJ	VYBER	400	21993	\N	\N	\N
222044	754	1998-03-06	VYDAJ	VYBER	1760	26102	\N	\N	\N
222045	754	1998-11-06	VYDAJ	VYBER	1920	21388	\N	\N	\N
222046	754	1998-08-03	VYDAJ	VYBER	1840	15654	\N	\N	\N
222058	754	1995-11-30	VYDAJ	VYBER	15	24034	SLUZBY	\N	\N
222059	754	1995-12-31	VYDAJ	VYBER	15	25191	SLUZBY	\N	\N
222060	754	1996-01-31	VYDAJ	VYBER	15	26653	SLUZBY	\N	\N
222061	754	1996-02-29	VYDAJ	VYBER	15	26963	SLUZBY	\N	\N
222062	754	1996-03-31	VYDAJ	VYBER	15	28332	SLUZBY	\N	\N
222063	754	1996-04-30	VYDAJ	VYBER	15	31613	SLUZBY	\N	\N
222064	754	1996-05-31	VYDAJ	VYBER	15	31497	SLUZBY	\N	\N
222065	754	1996-06-30	VYDAJ	VYBER	15	27967	SLUZBY	\N	\N
222066	754	1996-07-31	VYDAJ	VYBER	15	29441	SLUZBY	\N	\N
222067	754	1996-08-31	VYDAJ	VYBER	15	31423	SLUZBY	\N	\N
222068	754	1996-09-30	VYDAJ	VYBER	15	33051	SLUZBY	\N	\N
222069	754	1996-10-31	VYDAJ	VYBER	15	30441	SLUZBY	\N	\N
222070	754	1996-11-30	VYDAJ	VYBER	15	26629	SLUZBY	\N	\N
222071	754	1996-12-31	VYDAJ	VYBER	15	27901	SLUZBY	\N	\N
222072	754	1997-01-31	VYDAJ	VYBER	15	21541	SLUZBY	\N	\N
222073	754	1997-02-28	VYDAJ	VYBER	15	19568	SLUZBY	\N	\N
222074	754	1997-03-31	VYDAJ	VYBER	15	22813	SLUZBY	\N	\N
222075	754	1997-04-30	VYDAJ	VYBER	15	26070	SLUZBY	\N	\N
222076	754	1997-05-31	VYDAJ	VYBER	15	27541	SLUZBY	\N	\N
222077	754	1997-06-30	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
222078	754	1997-07-31	VYDAJ	VYBER	15	29117	SLUZBY	\N	\N
222079	754	1997-08-31	VYDAJ	VYBER	15	26950	SLUZBY	\N	\N
222080	754	1997-09-30	VYDAJ	VYBER	15	26822	SLUZBY	\N	\N
222081	754	1997-10-31	VYDAJ	VYBER	15	21585	SLUZBY	\N	\N
222082	754	1997-11-30	VYDAJ	VYBER	15	22334	SLUZBY	\N	\N
222083	754	1997-12-31	VYDAJ	VYBER	15	21037	SLUZBY	\N	\N
222084	754	1998-01-31	VYDAJ	VYBER	15	18375	SLUZBY	\N	\N
222085	754	1998-02-28	VYDAJ	VYBER	15	21614	SLUZBY	\N	\N
222086	754	1998-03-31	VYDAJ	VYBER	15	22900	SLUZBY	\N	\N
222087	754	1998-04-30	VYDAJ	VYBER	15	25457	SLUZBY	\N	\N
222088	754	1998-05-31	VYDAJ	VYBER	15	23519	SLUZBY	\N	\N
222089	754	1998-06-30	VYDAJ	VYBER	15	19857	SLUZBY	\N	\N
222090	754	1998-07-31	VYDAJ	VYBER	15	17494	SLUZBY	\N	\N
222091	754	1998-08-31	VYDAJ	VYBER	15	12874	SLUZBY	\N	\N
222092	754	1998-09-30	VYDAJ	VYBER	15	15289	SLUZBY	\N	\N
222093	754	1998-10-31	VYDAJ	VYBER	15	18514	SLUZBY	\N	\N
222094	754	1998-11-30	VYDAJ	VYBER	15	19828	SLUZBY	\N	\N
222095	754	1995-10-06	VYDAJ	VYBER	1700	24092	\N	\N	\N
222096	754	1995-11-05	VYDAJ	VYBER	200	30224	\N	\N	\N
222097	754	1995-12-05	VYDAJ	VYBER	900	28182	\N	\N	\N
222098	754	1996-03-04	VYDAJ	VYBER	1900	25063	\N	\N	\N
222099	754	1996-05-03	VYDAJ	VYBER	3400	28213	\N	\N	\N
222100	754	1996-07-02	VYDAJ	VYBER	1800	26167	\N	\N	\N
222101	754	1996-08-01	VYDAJ	VYBER	1300	28141	\N	\N	\N
222102	754	1996-08-31	VYDAJ	VYBER	700	30723	\N	\N	\N
222103	754	1996-09-30	VYDAJ	VYBER	2900	30151	\N	\N	\N
222104	754	1996-10-30	VYDAJ	VYBER	3000	30316	\N	\N	\N
222105	754	1996-11-29	VYDAJ	VYBER	7100	26506	\N	\N	\N
222106	754	1996-12-29	VYDAJ	VYBER	1700	27794	\N	\N	\N
222107	754	1997-01-28	VYDAJ	VYBER	2900	21446	\N	\N	\N
222108	754	1997-02-27	VYDAJ	VYBER	3700	19486	\N	\N	\N
222109	754	1997-05-28	VYDAJ	VYBER	1800	27435	\N	\N	\N
222110	754	1997-06-27	VYDAJ	VYBER	2200	26856	\N	\N	\N
222111	754	1997-08-26	VYDAJ	VYBER	2400	26842	\N	\N	\N
222112	754	1997-09-25	VYDAJ	VYBER	3400	26715	\N	\N	\N
222113	754	1997-10-25	VYDAJ	VYBER	5700	22367	\N	\N	\N
222114	754	1997-11-24	VYDAJ	VYBER	2500	22250	\N	\N	\N
222115	754	1997-12-24	VYDAJ	VYBER	4200	20949	\N	\N	\N
222116	754	1998-01-23	VYDAJ	VYBER	1900	18302	\N	\N	\N
222117	754	1998-03-24	VYDAJ	VYBER	200	22819	\N	\N	\N
222118	754	1998-04-23	VYDAJ	VYBER	700	25365	\N	\N	\N
222119	754	1998-05-23	VYDAJ	VYBER	5200	23422	\N	\N	\N
222120	754	1998-06-22	VYDAJ	VYBER	1100	19784	\N	\N	\N
222121	754	1998-07-22	VYDAJ	VYBER	5600	17422	\N	\N	\N
222122	754	1998-08-21	VYDAJ	VYBER	6000	12819	\N	\N	\N
222123	754	1998-09-20	VYDAJ	VYBER	800	15239	\N	\N	\N
222163	755	1997-09-27	PRIJEM	VKLAD	900	900	\N	\N	\N
222173	755	1997-10-11	PRIJEM	VKLAD	24680	25580	\N	\N	\N
222174	755	1997-11-11	PRIJEM	VKLAD	24680	52579	\N	\N	\N
222175	755	1997-12-11	PRIJEM	VKLAD	37020	74321	\N	\N	\N
222176	755	1998-01-11	PRIJEM	VKLAD	24680	75567	\N	\N	\N
222177	755	1998-02-11	PRIJEM	VKLAD	24680	73156	\N	\N	\N
222178	755	1998-03-11	PRIJEM	VKLAD	24680	64491	\N	\N	\N
222179	755	1998-04-11	PRIJEM	VKLAD	24680	66250	\N	\N	\N
222180	755	1998-05-11	PRIJEM	VKLAD	24680	60127	\N	\N	\N
222181	755	1998-06-11	PRIJEM	VKLAD	37020	74312	\N	\N	\N
222182	755	1998-07-11	PRIJEM	VKLAD	24680	71287	\N	\N	\N
222183	755	1998-08-11	PRIJEM	VKLAD	24680	62221	\N	\N	\N
222184	755	1998-09-11	PRIJEM	VKLAD	24680	65965	\N	\N	\N
222185	755	1998-10-11	PRIJEM	VKLAD	24680	66422	\N	\N	\N
222186	755	1998-11-11	PRIJEM	VKLAD	24680	56495	\N	\N	\N
222187	755	1998-12-11	PRIJEM	VKLAD	37020	67676	\N	\N	\N
222202	755	1998-03-07	VYDAJ	PREVOD NA UCET	3889	39811	SIPO	CD	65842372
222203	755	1998-04-07	VYDAJ	PREVOD NA UCET	3889	41570	SIPO	CD	65842372
222204	755	1998-05-07	VYDAJ	PREVOD NA UCET	3889	35447	SIPO	CD	65842372
222205	755	1998-06-07	VYDAJ	PREVOD NA UCET	3889	38735	SIPO	CD	65842372
222206	755	1998-07-07	VYDAJ	PREVOD NA UCET	3889	48050	SIPO	CD	65842372
222207	755	1998-08-07	VYDAJ	PREVOD NA UCET	3889	38984	SIPO	CD	65842372
222208	755	1998-09-07	VYDAJ	PREVOD NA UCET	3889	41285	SIPO	CD	65842372
222209	755	1998-10-07	VYDAJ	PREVOD NA UCET	3889	43185	SIPO	CD	65842372
222210	755	1998-11-07	VYDAJ	PREVOD NA UCET	3889	33258	SIPO	CD	65842372
222211	755	1998-12-07	VYDAJ	PREVOD NA UCET	3889	30656	SIPO	CD	65842372
222226	755	1998-03-07	VYDAJ	PREVOD NA UCET	1443	43700	 	UV	18141162
222227	755	1998-04-07	VYDAJ	PREVOD NA UCET	1443	45459	 	UV	18141162
222228	755	1998-05-07	VYDAJ	PREVOD NA UCET	1443	39336	 	UV	18141162
222229	755	1998-06-07	VYDAJ	PREVOD NA UCET	1443	37292	 	UV	18141162
222230	755	1998-07-07	VYDAJ	PREVOD NA UCET	1443	46607	 	UV	18141162
222231	755	1998-08-07	VYDAJ	PREVOD NA UCET	1443	37541	 	UV	18141162
222232	755	1998-09-07	VYDAJ	PREVOD NA UCET	1443	45174	 	UV	18141162
222233	755	1998-10-07	VYDAJ	PREVOD NA UCET	1443	41742	 	UV	18141162
222234	755	1998-11-07	VYDAJ	PREVOD NA UCET	1443	31815	 	UV	18141162
222235	755	1998-12-07	VYDAJ	PREVOD NA UCET	1443	34545	 	UV	18141162
222241	755	1998-12-05	VYDAJ	VYBER	4480	35988	\N	\N	\N
222259	755	1998-07-29	VYDAJ	VYBER	5040	42647	\N	\N	\N
222260	755	1998-05-02	VYDAJ	VYBER	5040	40779	\N	\N	\N
222261	755	1998-11-05	VYDAJ	VYBER	4080	37147	\N	\N	\N
222262	755	1998-11-02	VYDAJ	VYBER	4800	41227	\N	\N	\N
222263	755	1998-02-24	VYDAJ	VYBER	4800	44956	\N	\N	\N
222264	755	1998-03-25	VYDAJ	VYBER	1800	62691	\N	\N	\N
222265	755	1998-04-16	VYDAJ	VYBER	5640	60610	\N	\N	\N
222280	755	1998-02-28	VYDAJ	VYBER	15	45143	SLUZBY	\N	\N
222281	755	1998-03-31	VYDAJ	VYBER	15	46902	SLUZBY	\N	\N
222282	755	1998-04-30	VYDAJ	VYBER	15	45819	SLUZBY	\N	\N
222283	755	1998-05-31	VYDAJ	VYBER	15	42624	SLUZBY	\N	\N
222284	755	1998-06-30	VYDAJ	VYBER	15	51939	SLUZBY	\N	\N
222285	755	1998-07-31	VYDAJ	VYBER	15	42873	SLUZBY	\N	\N
222286	755	1998-08-31	VYDAJ	VYBER	15	46617	SLUZBY	\N	\N
222287	755	1998-09-30	VYDAJ	VYBER	15	47074	SLUZBY	\N	\N
222288	755	1998-10-31	VYDAJ	VYBER	15	46027	SLUZBY	\N	\N
222289	755	1998-11-30	VYDAJ	VYBER	15	40468	SLUZBY	\N	\N
222290	755	1997-10-27	PRIJEM	VKLAD	2300	27880	\N	\N	\N
222291	755	1997-11-26	VYDAJ	VYBER	15400	37179	\N	\N	\N
222292	755	1997-12-26	VYDAJ	VYBER	23600	50721	\N	\N	\N
222293	755	1998-01-25	VYDAJ	VYBER	27300	48267	\N	\N	\N
222294	755	1998-02-24	VYDAJ	VYBER	23400	49756	\N	\N	\N
222295	755	1998-03-26	VYDAJ	VYBER	16000	46691	\N	\N	\N
222296	755	1998-04-25	VYDAJ	VYBER	15000	45610	\N	\N	\N
222297	755	1998-05-25	VYDAJ	VYBER	17700	42427	\N	\N	\N
222298	755	1998-06-24	VYDAJ	VYBER	22600	51712	\N	\N	\N
222299	755	1998-07-24	VYDAJ	VYBER	23600	47687	\N	\N	\N
222300	755	1998-08-23	VYDAJ	VYBER	15800	46421	\N	\N	\N
222301	755	1998-09-22	VYDAJ	VYBER	19100	46865	\N	\N	\N
222302	755	1998-10-22	VYDAJ	VYBER	20600	45822	\N	\N	\N
222303	755	1998-11-21	VYDAJ	VYBER	16200	40295	\N	\N	\N
222319	756	1995-01-13	PRIJEM	VKLAD	300	300	\N	\N	\N
222394	756	1995-02-12	PRIJEM	VKLAD	9800	10100	\N	\N	\N
222395	756	1995-03-14	PRIJEM	VKLAD	9100	19200	\N	\N	\N
222396	756	1995-04-13	PRIJEM	VKLAD	4500	23700	\N	\N	\N
222397	756	1995-05-13	VYDAJ	VYBER	1000	22700	\N	\N	\N
222398	756	1995-06-12	PRIJEM	VKLAD	300	23000	\N	\N	\N
222399	756	1995-07-12	PRIJEM	VKLAD	4600	27600	\N	\N	\N
222400	756	1995-08-11	PRIJEM	VKLAD	500	28100	\N	\N	\N
222401	756	1995-09-10	VYDAJ	VYBER	100	28000	\N	\N	\N
222402	756	1995-10-10	PRIJEM	VKLAD	4000	32000	\N	\N	\N
222403	756	1995-11-09	PRIJEM	VKLAD	200	32200	\N	\N	\N
222404	756	1995-12-09	PRIJEM	VKLAD	1700	33900	\N	\N	\N
222405	756	1996-01-08	PRIJEM	VKLAD	600	34500	\N	\N	\N
222406	756	1996-02-07	PRIJEM	VKLAD	1800	36300	\N	\N	\N
222407	756	1996-03-08	PRIJEM	VKLAD	200	36500	\N	\N	\N
222408	756	1996-04-07	VYDAJ	VYBER	400	36100	\N	\N	\N
222409	756	1996-05-07	PRIJEM	VKLAD	400	36500	\N	\N	\N
222410	756	1996-06-06	VYDAJ	VYBER	500	36000	\N	\N	\N
222411	756	1996-07-06	PRIJEM	VKLAD	1400	37400	\N	\N	\N
222412	756	1996-08-05	PRIJEM	VKLAD	3000	40400	\N	\N	\N
222413	756	1996-09-04	PRIJEM	VKLAD	600	41000	\N	\N	\N
222414	756	1996-10-04	PRIJEM	VKLAD	400	41400	\N	\N	\N
222415	756	1996-11-03	PRIJEM	VKLAD	1500	42900	\N	\N	\N
222416	756	1996-12-03	PRIJEM	VKLAD	3500	46400	\N	\N	\N
222417	756	1997-01-02	PRIJEM	VKLAD	4900	51300	\N	\N	\N
222418	756	1997-02-01	PRIJEM	VKLAD	3500	54800	\N	\N	\N
222419	756	1997-03-03	PRIJEM	VKLAD	2600	57400	\N	\N	\N
222420	756	1997-04-02	PRIJEM	VKLAD	2200	59600	\N	\N	\N
222421	756	1997-05-02	PRIJEM	VKLAD	5900	65500	\N	\N	\N
222422	756	1997-06-01	VYDAJ	VYBER	2800	62700	\N	\N	\N
222423	756	1997-07-01	PRIJEM	VKLAD	900	63600	\N	\N	\N
222424	756	1997-07-31	VYDAJ	VYBER	2600	61008	\N	\N	\N
222425	756	1997-08-30	VYDAJ	VYBER	1400	59608	\N	\N	\N
222426	756	1997-09-29	PRIJEM	VKLAD	4000	63862	\N	\N	\N
222427	756	1997-10-29	PRIJEM	VKLAD	2400	66517	\N	\N	\N
222428	756	1997-11-28	PRIJEM	VKLAD	200	66971	\N	\N	\N
222429	756	1997-12-28	PRIJEM	VKLAD	1600	68825	\N	\N	\N
222430	756	1998-01-27	PRIJEM	VKLAD	2500	71579	\N	\N	\N
222431	756	1998-02-26	VYDAJ	VYBER	1200	70633	\N	\N	\N
222432	756	1998-03-28	PRIJEM	VKLAD	900	71788	\N	\N	\N
222433	756	1998-04-27	VYDAJ	VYBER KARTOU	1100	70942	\N	\N	0
222434	756	1998-05-27	PRIJEM	VKLAD	1300	72496	\N	\N	\N
222435	756	1998-06-26	PRIJEM	VKLAD	500	73250	\N	\N	\N
222436	756	1998-07-26	PRIJEM	VKLAD	3600	77104	\N	\N	\N
222437	756	1998-08-25	PRIJEM	VKLAD	500	77859	\N	\N	\N
222438	756	1998-09-24	PRIJEM	VKLAD	2800	80913	\N	\N	\N
222439	756	1998-10-24	PRIJEM	VKLAD	2500	83667	\N	\N	\N
222440	756	1998-11-23	PRIJEM	VKLAD	3500	87421	\N	\N	\N
222457	757	1993-07-19	PRIJEM	VKLAD	900	900	\N	\N	\N
222465	757	1993-08-10	PRIJEM	VKLAD	7748	8648	\N	\N	\N
222466	757	1993-09-10	PRIJEM	VKLAD	7748	25129	\N	\N	\N
222467	757	1993-10-10	PRIJEM	VKLAD	7748	35068	\N	\N	\N
222468	757	1993-11-10	PRIJEM	VKLAD	7748	38436	\N	\N	\N
222469	757	1993-12-10	PRIJEM	VKLAD	11622	42085	\N	\N	\N
222470	757	1994-01-10	PRIJEM	VKLAD	7748	38762	\N	\N	\N
222471	757	1994-02-10	PRIJEM	VKLAD	7748	38137	\N	\N	\N
222472	757	1994-03-10	PRIJEM	VKLAD	7748	33006	\N	\N	\N
222473	757	1994-04-10	PRIJEM	VKLAD	7748	30159	\N	\N	\N
222474	757	1994-05-10	PRIJEM	VKLAD	7748	32805	\N	\N	\N
222475	757	1994-06-10	PRIJEM	VKLAD	11622	38635	\N	\N	\N
222476	757	1994-07-10	PRIJEM	VKLAD	7748	38313	\N	\N	\N
222477	757	1994-08-10	PRIJEM	VKLAD	7748	38687	\N	\N	\N
222478	757	1994-09-10	PRIJEM	VKLAD	7748	36164	\N	\N	\N
222479	757	1994-10-10	PRIJEM	VKLAD	7748	38034	\N	\N	\N
222480	757	1994-11-10	PRIJEM	VKLAD	7748	38707	\N	\N	\N
222481	757	1994-12-10	PRIJEM	VKLAD	11622	40351	\N	\N	\N
222482	757	1995-01-10	PRIJEM	VKLAD	7748	38824	\N	\N	\N
222483	757	1995-02-10	PRIJEM	VKLAD	7748	38095	\N	\N	\N
222484	757	1995-03-10	PRIJEM	VKLAD	7748	41175	\N	\N	\N
222485	757	1995-04-10	PRIJEM	VKLAD	7748	37949	\N	\N	\N
222486	757	1995-05-10	PRIJEM	VKLAD	7748	38522	\N	\N	\N
222487	757	1995-06-10	PRIJEM	VKLAD	11622	42481	\N	\N	\N
222488	757	1995-07-10	PRIJEM	VKLAD	7748	43180	\N	\N	\N
222489	757	1995-08-10	PRIJEM	VKLAD	7748	45289	\N	\N	\N
222490	757	1995-09-10	PRIJEM	VKLAD	7748	45905	\N	\N	\N
222491	757	1995-10-10	PRIJEM	VKLAD	7748	47527	\N	\N	\N
222492	757	1995-11-10	PRIJEM	VKLAD	7748	41730	\N	\N	\N
222493	757	1995-12-10	PRIJEM	VKLAD	11622	46206	\N	\N	\N
222494	757	1996-01-10	PRIJEM	VKLAD	7748	44618	\N	\N	\N
222495	757	1996-02-10	PRIJEM	VKLAD	7748	43027	\N	\N	\N
222496	757	1996-03-10	PRIJEM	VKLAD	7748	46930	\N	\N	\N
222497	757	1996-04-10	PRIJEM	VKLAD	7748	46452	\N	\N	\N
222498	757	1996-05-10	PRIJEM	VKLAD	7748	49173	\N	\N	\N
222499	757	1996-06-10	PRIJEM	VKLAD	11622	51979	\N	\N	\N
222500	757	1996-07-10	PRIJEM	VKLAD	7748	51921	\N	\N	\N
222501	757	1996-08-10	PRIJEM	VKLAD	7748	52565	\N	\N	\N
222502	757	1996-09-10	PRIJEM	VKLAD	7748	50910	\N	\N	\N
222503	757	1996-10-10	PRIJEM	VKLAD	7748	50551	\N	\N	\N
222504	757	1996-11-10	PRIJEM	VKLAD	7748	52388	\N	\N	\N
222505	757	1996-12-10	PRIJEM	VKLAD	11622	55305	\N	\N	\N
222506	757	1997-01-10	PRIJEM	VKLAD	7748	54656	\N	\N	\N
222507	757	1997-02-10	PRIJEM	VKLAD	7748	58108	\N	\N	\N
222508	757	1997-03-10	PRIJEM	VKLAD	7748	59875	\N	\N	\N
222509	757	1997-04-10	PRIJEM	VKLAD	7748	58847	\N	\N	\N
222510	757	1997-05-10	PRIJEM	VKLAD	7748	61217	\N	\N	\N
222511	757	1997-06-10	PRIJEM	VKLAD	11622	70372	\N	\N	\N
222512	757	1997-07-10	PRIJEM	VKLAD	7748	63083	\N	\N	\N
222513	757	1997-08-10	PRIJEM	VKLAD	7748	65874	\N	\N	\N
222514	757	1997-09-10	PRIJEM	VKLAD	7748	65668	\N	\N	\N
222515	757	1997-10-10	PRIJEM	VKLAD	7748	61659	\N	\N	\N
222516	757	1997-11-10	PRIJEM	VKLAD	7748	66839	\N	\N	\N
222517	757	1997-12-10	PRIJEM	VKLAD	11622	68909	\N	\N	\N
222518	757	1998-01-10	PRIJEM	VKLAD	7748	69006	\N	\N	\N
222519	757	1998-02-10	PRIJEM	VKLAD	7748	72917	\N	\N	\N
222520	757	1998-03-10	PRIJEM	VKLAD	7748	75544	\N	\N	\N
222521	757	1998-04-10	PRIJEM	VKLAD	7748	75876	\N	\N	\N
222522	757	1998-05-10	PRIJEM	VKLAD	7748	72907	\N	\N	\N
222523	757	1998-06-10	PRIJEM	VKLAD	11622	73492	\N	\N	\N
222524	757	1998-07-10	PRIJEM	VKLAD	7748	73210	\N	\N	\N
222525	757	1998-08-10	PRIJEM	VKLAD	7748	75036	\N	\N	\N
222526	757	1998-09-10	PRIJEM	VKLAD	7748	75766	\N	\N	\N
222527	757	1998-10-10	PRIJEM	VKLAD	7748	69892	\N	\N	\N
222528	757	1998-11-10	PRIJEM	VKLAD	7748	75106	\N	\N	\N
222529	757	1998-12-10	PRIJEM	VKLAD	11622	80810	\N	\N	\N
222541	757	1993-12-10	VYDAJ	PREVOD NA UCET	810	41275	SIPO	CD	82420587
222542	757	1994-01-10	VYDAJ	PREVOD NA UCET	810	37952	SIPO	CD	82420587
222543	757	1994-02-10	VYDAJ	PREVOD NA UCET	810	37327	SIPO	CD	82420587
222544	757	1994-03-10	VYDAJ	PREVOD NA UCET	810	32196	SIPO	CD	82420587
222545	757	1994-04-10	VYDAJ	PREVOD NA UCET	810	29349	SIPO	CD	82420587
222546	757	1994-05-10	VYDAJ	PREVOD NA UCET	810	31995	SIPO	CD	82420587
222547	757	1994-06-10	VYDAJ	PREVOD NA UCET	810	37825	SIPO	CD	82420587
222548	757	1994-07-10	VYDAJ	PREVOD NA UCET	810	37503	SIPO	CD	82420587
222549	757	1994-08-10	VYDAJ	PREVOD NA UCET	810	37877	SIPO	CD	82420587
222550	757	1994-09-10	VYDAJ	PREVOD NA UCET	810	35354	SIPO	CD	82420587
222551	757	1994-10-10	VYDAJ	PREVOD NA UCET	810	37224	SIPO	CD	82420587
222552	757	1994-11-10	VYDAJ	PREVOD NA UCET	810	37897	SIPO	CD	82420587
222553	757	1994-12-10	VYDAJ	PREVOD NA UCET	810	39541	SIPO	CD	82420587
222554	757	1995-01-10	VYDAJ	PREVOD NA UCET	810	32814	SIPO	CD	82420587
222555	757	1995-02-10	VYDAJ	PREVOD NA UCET	810	37285	SIPO	CD	82420587
222556	757	1995-03-10	VYDAJ	PREVOD NA UCET	810	40365	SIPO	CD	82420587
222557	757	1995-04-10	VYDAJ	PREVOD NA UCET	810	32939	SIPO	CD	82420587
222558	757	1995-05-10	VYDAJ	PREVOD NA UCET	810	37712	SIPO	CD	82420587
222559	757	1995-06-10	VYDAJ	PREVOD NA UCET	810	41671	SIPO	CD	82420587
222560	757	1995-07-10	VYDAJ	PREVOD NA UCET	810	42370	SIPO	CD	82420587
222561	757	1995-08-10	VYDAJ	PREVOD NA UCET	810	44479	SIPO	CD	82420587
222562	757	1995-09-10	VYDAJ	PREVOD NA UCET	810	45095	SIPO	CD	82420587
222563	757	1995-10-10	VYDAJ	PREVOD NA UCET	810	43217	SIPO	CD	82420587
222564	757	1995-11-10	VYDAJ	PREVOD NA UCET	810	40920	SIPO	CD	82420587
222565	757	1995-12-10	VYDAJ	PREVOD NA UCET	810	45396	SIPO	CD	82420587
222566	757	1996-01-10	VYDAJ	PREVOD NA UCET	810	43808	SIPO	CD	82420587
222567	757	1996-02-10	VYDAJ	PREVOD NA UCET	810	42217	SIPO	CD	82420587
222568	757	1996-03-10	VYDAJ	PREVOD NA UCET	810	46120	SIPO	CD	82420587
222569	757	1996-04-10	VYDAJ	PREVOD NA UCET	810	45642	SIPO	CD	82420587
222570	757	1996-05-10	VYDAJ	PREVOD NA UCET	810	48363	SIPO	CD	82420587
222571	757	1996-06-10	VYDAJ	PREVOD NA UCET	810	51169	SIPO	CD	82420587
222572	757	1996-07-10	VYDAJ	PREVOD NA UCET	810	51111	SIPO	CD	82420587
222573	757	1996-08-10	VYDAJ	PREVOD NA UCET	810	51755	SIPO	CD	82420587
222574	757	1996-09-10	VYDAJ	PREVOD NA UCET	810	50100	SIPO	CD	82420587
222575	757	1996-10-10	VYDAJ	PREVOD NA UCET	810	49741	SIPO	CD	82420587
222576	757	1996-11-10	VYDAJ	PREVOD NA UCET	810	51578	SIPO	CD	82420587
222577	757	1996-12-10	VYDAJ	PREVOD NA UCET	810	54495	SIPO	CD	82420587
222578	757	1997-01-10	VYDAJ	PREVOD NA UCET	810	53846	SIPO	CD	82420587
222579	757	1997-02-10	VYDAJ	PREVOD NA UCET	810	57298	SIPO	CD	82420587
222580	757	1997-03-10	VYDAJ	PREVOD NA UCET	810	59065	SIPO	CD	82420587
222581	757	1997-04-10	VYDAJ	PREVOD NA UCET	810	58037	SIPO	CD	82420587
222582	757	1997-05-10	VYDAJ	PREVOD NA UCET	810	60407	SIPO	CD	82420587
222583	757	1997-06-10	VYDAJ	PREVOD NA UCET	810	69562	SIPO	CD	82420587
222584	757	1997-07-10	VYDAJ	PREVOD NA UCET	810	62273	SIPO	CD	82420587
222585	757	1997-08-10	VYDAJ	PREVOD NA UCET	810	65064	SIPO	CD	82420587
222586	757	1997-09-10	VYDAJ	PREVOD NA UCET	810	64858	SIPO	CD	82420587
222587	757	1997-10-10	VYDAJ	PREVOD NA UCET	810	60849	SIPO	CD	82420587
222588	757	1997-11-10	VYDAJ	PREVOD NA UCET	810	66029	SIPO	CD	82420587
222589	757	1997-12-10	VYDAJ	PREVOD NA UCET	810	68099	SIPO	CD	82420587
222590	757	1998-01-10	VYDAJ	PREVOD NA UCET	810	68196	SIPO	CD	82420587
222591	757	1998-02-10	VYDAJ	PREVOD NA UCET	810	72107	SIPO	CD	82420587
222592	757	1998-03-10	VYDAJ	PREVOD NA UCET	810	74734	SIPO	CD	82420587
222593	757	1998-04-10	VYDAJ	PREVOD NA UCET	810	75066	SIPO	CD	82420587
222594	757	1998-05-10	VYDAJ	PREVOD NA UCET	810	72097	SIPO	CD	82420587
222595	757	1998-06-10	VYDAJ	PREVOD NA UCET	810	72682	SIPO	CD	82420587
222596	757	1998-07-10	VYDAJ	PREVOD NA UCET	810	72400	SIPO	CD	82420587
222597	757	1998-08-10	VYDAJ	PREVOD NA UCET	810	74226	SIPO	CD	82420587
222598	757	1998-09-10	VYDAJ	PREVOD NA UCET	810	74956	SIPO	CD	82420587
222599	757	1998-10-10	VYDAJ	PREVOD NA UCET	810	69082	SIPO	CD	82420587
222600	757	1998-11-10	VYDAJ	PREVOD NA UCET	810	74296	SIPO	CD	82420587
222601	757	1998-12-10	VYDAJ	PREVOD NA UCET	810	80000	SIPO	CD	82420587
222614	757	1994-01-07	VYDAJ	PREVOD NA UCET	2289	31014	 	KL	64578419
222615	757	1994-02-07	VYDAJ	PREVOD NA UCET	2289	30389	 	KL	64578419
222616	757	1994-03-07	VYDAJ	PREVOD NA UCET	2289	25258	 	KL	64578419
222617	757	1994-04-07	VYDAJ	PREVOD NA UCET	2289	22411	 	KL	64578419
222618	757	1994-05-07	VYDAJ	PREVOD NA UCET	2289	25057	 	KL	64578419
222619	757	1994-06-07	VYDAJ	PREVOD NA UCET	2289	27013	 	KL	64578419
222620	757	1994-07-07	VYDAJ	PREVOD NA UCET	2289	30565	 	KL	64578419
222621	757	1994-08-07	VYDAJ	PREVOD NA UCET	2289	30939	 	KL	64578419
222622	757	1994-09-07	VYDAJ	PREVOD NA UCET	2289	28416	 	KL	64578419
222623	757	1994-10-07	VYDAJ	PREVOD NA UCET	2289	30286	 	KL	64578419
222624	757	1994-11-07	VYDAJ	PREVOD NA UCET	2289	30959	 	KL	64578419
222625	757	1994-12-07	VYDAJ	PREVOD NA UCET	2289	28729	 	KL	64578419
222626	757	1995-01-07	VYDAJ	PREVOD NA UCET	2289	31076	 	KL	64578419
222627	757	1995-02-07	VYDAJ	PREVOD NA UCET	2289	30647	 	KL	64578419
222628	757	1995-03-07	VYDAJ	PREVOD NA UCET	2289	33427	 	KL	64578419
222629	757	1995-04-07	VYDAJ	PREVOD NA UCET	2289	30201	 	KL	64578419
222630	757	1995-05-07	VYDAJ	PREVOD NA UCET	2289	30774	 	KL	64578419
222631	757	1995-06-07	VYDAJ	PREVOD NA UCET	2289	32859	 	KL	64578419
222632	757	1995-07-07	VYDAJ	PREVOD NA UCET	2289	39532	 	KL	64578419
222633	757	1995-08-07	VYDAJ	PREVOD NA UCET	2289	40241	 	KL	64578419
222634	757	1995-09-07	VYDAJ	PREVOD NA UCET	2289	42357	 	KL	64578419
222635	757	1995-10-07	VYDAJ	PREVOD NA UCET	2289	39779	 	KL	64578419
222636	757	1995-11-07	VYDAJ	PREVOD NA UCET	2289	33982	 	KL	64578419
222637	757	1995-12-07	VYDAJ	PREVOD NA UCET	2289	38884	 	KL	64578419
222638	757	1996-01-07	VYDAJ	PREVOD NA UCET	2289	36870	 	KL	64578419
222639	757	1996-02-07	VYDAJ	PREVOD NA UCET	2289	35279	 	KL	64578419
222640	757	1996-03-07	VYDAJ	PREVOD NA UCET	2289	39182	 	KL	64578419
222641	757	1996-04-07	VYDAJ	PREVOD NA UCET	2289	38704	 	KL	64578419
222642	757	1996-05-07	VYDAJ	PREVOD NA UCET	2289	41425	 	KL	64578419
222643	757	1996-06-07	VYDAJ	PREVOD NA UCET	2289	40357	 	KL	64578419
222644	757	1996-07-07	VYDAJ	PREVOD NA UCET	2289	44173	 	KL	64578419
222645	757	1996-08-07	VYDAJ	PREVOD NA UCET	2289	44817	 	KL	64578419
222646	757	1996-09-07	VYDAJ	PREVOD NA UCET	2289	43162	 	KL	64578419
222647	757	1996-10-07	VYDAJ	PREVOD NA UCET	2289	42803	 	KL	64578419
222648	757	1996-11-07	VYDAJ	PREVOD NA UCET	2289	44640	 	KL	64578419
222649	757	1996-12-07	VYDAJ	PREVOD NA UCET	2289	44283	 	KL	64578419
222650	757	1997-01-07	VYDAJ	PREVOD NA UCET	2289	46908	 	KL	64578419
222651	757	1997-02-07	VYDAJ	PREVOD NA UCET	2289	50360	 	KL	64578419
222652	757	1997-03-07	VYDAJ	PREVOD NA UCET	2289	52127	 	KL	64578419
222653	757	1997-04-07	VYDAJ	PREVOD NA UCET	2289	51099	 	KL	64578419
222654	757	1997-05-07	VYDAJ	PREVOD NA UCET	2289	53469	 	KL	64578419
222655	757	1997-06-07	VYDAJ	PREVOD NA UCET	2289	58750	 	KL	64578419
222656	757	1997-07-07	VYDAJ	PREVOD NA UCET	2289	59835	 	KL	64578419
222657	757	1997-08-07	VYDAJ	PREVOD NA UCET	2289	58126	 	KL	64578419
222658	757	1997-09-07	VYDAJ	PREVOD NA UCET	2289	57920	 	KL	64578419
222659	757	1997-10-07	VYDAJ	PREVOD NA UCET	2289	53911	 	KL	64578419
222660	757	1997-11-07	VYDAJ	PREVOD NA UCET	2289	59091	 	KL	64578419
222661	757	1997-12-07	VYDAJ	PREVOD NA UCET	2289	57287	 	KL	64578419
222662	757	1998-01-07	VYDAJ	PREVOD NA UCET	2289	61258	 	KL	64578419
222663	757	1998-02-07	VYDAJ	PREVOD NA UCET	2289	65169	 	KL	64578419
222664	757	1998-03-07	VYDAJ	PREVOD NA UCET	2289	67796	 	KL	64578419
222665	757	1998-04-07	VYDAJ	PREVOD NA UCET	2289	68128	 	KL	64578419
222666	757	1998-05-07	VYDAJ	PREVOD NA UCET	2289	65159	 	KL	64578419
222667	757	1998-06-07	VYDAJ	PREVOD NA UCET	2289	61870	 	KL	64578419
222668	757	1998-07-07	VYDAJ	PREVOD NA UCET	2289	65462	 	KL	64578419
222669	757	1998-08-07	VYDAJ	PREVOD NA UCET	2289	67288	 	KL	64578419
222670	757	1998-09-07	VYDAJ	PREVOD NA UCET	2289	68018	 	KL	64578419
222671	757	1998-10-07	VYDAJ	PREVOD NA UCET	2289	62144	 	KL	64578419
222672	757	1998-11-07	VYDAJ	PREVOD NA UCET	2289	67358	 	KL	64578419
222673	757	1998-12-07	VYDAJ	PREVOD NA UCET	2289	69188	 	KL	64578419
222675	757	1994-12-28	VYDAJ	VYBER	600	33241	\N	\N	\N
222676	757	1995-12-18	VYDAJ	VYBER	1000	44396	\N	\N	\N
222677	757	1996-12-08	VYDAJ	VYBER KARTOU	600	43683	\N	\N	0
222678	757	1997-12-05	VYDAJ	VYBER KARTOU	1300	59576	\N	\N	0
222679	757	1998-12-11	VYDAJ	VYBER KARTOU	2300	77700	\N	\N	0
222683	757	1994-02-27	VYDAJ	VYBER	3800	27427	\N	\N	\N
222684	757	1994-09-01	VYDAJ	VYBER	3300	30705	\N	\N	\N
222685	757	1994-11-19	VYDAJ	VYBER	3300	30897	\N	\N	\N
222686	757	1994-03-26	VYDAJ	VYBER	4700	24596	\N	\N	\N
222687	757	1994-06-14	VYDAJ	VYBER	1200	36625	\N	\N	\N
222688	757	1995-10-10	VYDAJ	VYBER	3500	44027	\N	\N	\N
222689	757	1995-12-22	VYDAJ	VYBER	1700	42696	\N	\N	\N
222690	757	1995-10-15	VYDAJ	VYBER	4800	38417	\N	\N	\N
222691	757	1995-11-30	VYDAJ	VYBER	1000	40073	\N	\N	\N
222692	757	1995-02-14	VYDAJ	VYBER	1700	35585	\N	\N	\N
222693	757	1995-12-07	VYDAJ	VYBER	4300	34584	\N	\N	\N
222694	757	1996-02-21	VYDAJ	VYBER	1000	41217	\N	\N	\N
222695	757	1996-01-26	VYDAJ	VYBER	3900	39908	\N	\N	\N
222696	757	1996-04-01	VYDAJ	VYBER	3700	42593	\N	\N	\N
222697	757	1997-10-03	VYDAJ	VYBER KARTOU	1900	56200	\N	\N	0
222698	757	1997-07-08	VYDAJ	VYBER	4500	55335	\N	\N	\N
222699	757	1997-06-30	VYDAJ	VYBER KARTOU	2900	62124	\N	\N	0
222700	757	1997-03-27	VYDAJ	VYBER KARTOU	2300	56765	\N	\N	0
222701	757	1997-11-17	VYDAJ	VYBER KARTOU	1000	65029	\N	\N	0
222702	757	1997-12-15	VYDAJ	VYBER KARTOU	2800	65299	\N	\N	0
222703	757	1998-07-26	VYDAJ	VYBER KARTOU	3600	69300	\N	\N	0
222704	757	1998-01-27	VYDAJ	VYBER KARTOU	700	69896	\N	\N	0
222705	757	1998-09-06	VYDAJ	VYBER KARTOU	600	70307	\N	\N	0
222706	757	1998-05-12	VYDAJ	VYBER KARTOU	3500	68597	\N	\N	0
222707	757	1998-10-06	VYDAJ	VYBER KARTOU	3200	64433	\N	\N	0
222708	757	1998-02-01	VYDAJ	VYBER KARTOU	2700	67458	\N	\N	0
222721	757	1993-12-31	VYDAJ	VYBER	15	33303	SLUZBY	\N	\N
222722	757	1994-01-31	VYDAJ	VYBER	15	32678	SLUZBY	\N	\N
222723	757	1994-02-28	VYDAJ	VYBER	15	27547	SLUZBY	\N	\N
222724	757	1994-03-31	VYDAJ	VYBER	15	24700	SLUZBY	\N	\N
222725	757	1994-04-30	VYDAJ	VYBER	15	27346	SLUZBY	\N	\N
222726	757	1994-05-31	VYDAJ	VYBER	15	29302	SLUZBY	\N	\N
222727	757	1994-06-30	VYDAJ	VYBER	15	32854	SLUZBY	\N	\N
222728	757	1994-07-31	VYDAJ	VYBER	15	33228	SLUZBY	\N	\N
222729	757	1994-08-31	VYDAJ	VYBER	15	34005	SLUZBY	\N	\N
222730	757	1994-09-30	VYDAJ	VYBER	15	32575	SLUZBY	\N	\N
222731	757	1994-10-31	VYDAJ	VYBER	15	33248	SLUZBY	\N	\N
222732	757	1994-11-30	VYDAJ	VYBER	15	31018	SLUZBY	\N	\N
222733	757	1994-12-31	VYDAJ	VYBER	15	33365	SLUZBY	\N	\N
222734	757	1995-01-31	VYDAJ	VYBER	15	32936	SLUZBY	\N	\N
222735	757	1995-02-28	VYDAJ	VYBER	15	35716	SLUZBY	\N	\N
222736	757	1995-03-31	VYDAJ	VYBER	15	32490	SLUZBY	\N	\N
222737	757	1995-04-30	VYDAJ	VYBER	15	33063	SLUZBY	\N	\N
222738	757	1995-05-31	VYDAJ	VYBER	15	35148	SLUZBY	\N	\N
222739	757	1995-06-30	VYDAJ	VYBER	15	41821	SLUZBY	\N	\N
222740	757	1995-07-31	VYDAJ	VYBER	15	42530	SLUZBY	\N	\N
222741	757	1995-08-31	VYDAJ	VYBER	15	44646	SLUZBY	\N	\N
222742	757	1995-09-30	VYDAJ	VYBER	15	45268	SLUZBY	\N	\N
222743	757	1995-10-31	VYDAJ	VYBER	15	38571	SLUZBY	\N	\N
222744	757	1995-11-30	VYDAJ	VYBER	15	41073	SLUZBY	\N	\N
222745	757	1995-12-31	VYDAJ	VYBER	15	42859	SLUZBY	\N	\N
222746	757	1996-01-31	VYDAJ	VYBER	15	40068	SLUZBY	\N	\N
222747	757	1996-02-29	VYDAJ	VYBER	15	41371	SLUZBY	\N	\N
222748	757	1996-03-31	VYDAJ	VYBER	15	46293	SLUZBY	\N	\N
222749	757	1996-04-30	VYDAJ	VYBER	15	45814	SLUZBY	\N	\N
222750	757	1996-05-31	VYDAJ	VYBER	15	48546	SLUZBY	\N	\N
222751	757	1996-06-30	VYDAJ	VYBER	15	51362	SLUZBY	\N	\N
222752	757	1996-07-31	VYDAJ	VYBER	15	51306	SLUZBY	\N	\N
222753	757	1996-08-31	VYDAJ	VYBER	15	51951	SLUZBY	\N	\N
222754	757	1996-09-30	VYDAJ	VYBER	15	50292	SLUZBY	\N	\N
222755	757	1996-10-31	VYDAJ	VYBER	15	46929	SLUZBY	\N	\N
222756	757	1996-11-30	VYDAJ	VYBER	15	46572	SLUZBY	\N	\N
222757	757	1996-12-31	VYDAJ	VYBER	15	49197	SLUZBY	\N	\N
222758	757	1997-01-31	VYDAJ	VYBER	15	52649	SLUZBY	\N	\N
222759	757	1997-02-28	VYDAJ	VYBER	15	57516	SLUZBY	\N	\N
222760	757	1997-03-31	VYDAJ	VYBER	15	53388	SLUZBY	\N	\N
222761	757	1997-04-30	VYDAJ	VYBER	15	55758	SLUZBY	\N	\N
222762	757	1997-05-31	VYDAJ	VYBER	15	61039	SLUZBY	\N	\N
222763	757	1997-06-30	VYDAJ	VYBER	15	65024	SLUZBY	\N	\N
222764	757	1997-07-31	VYDAJ	VYBER	15	60415	SLUZBY	\N	\N
222765	757	1997-08-31	VYDAJ	VYBER	15	60209	SLUZBY	\N	\N
222766	757	1997-09-30	VYDAJ	VYBER	15	58100	SLUZBY	\N	\N
222767	757	1997-10-31	VYDAJ	VYBER	15	61380	SLUZBY	\N	\N
222768	757	1997-11-30	VYDAJ	VYBER	15	60876	SLUZBY	\N	\N
222769	757	1997-12-31	VYDAJ	VYBER	15	63547	SLUZBY	\N	\N
222770	757	1998-01-31	VYDAJ	VYBER	15	70158	SLUZBY	\N	\N
222771	757	1998-02-28	VYDAJ	VYBER	15	70085	SLUZBY	\N	\N
222772	757	1998-03-31	VYDAJ	VYBER	15	70417	SLUZBY	\N	\N
222773	757	1998-04-30	VYDAJ	VYBER	15	67448	SLUZBY	\N	\N
222774	757	1998-05-31	VYDAJ	VYBER	15	64159	SLUZBY	\N	\N
222775	757	1998-06-30	VYDAJ	VYBER	15	67751	SLUZBY	\N	\N
222776	757	1998-07-31	VYDAJ	VYBER	15	69577	SLUZBY	\N	\N
222777	757	1998-08-31	VYDAJ	VYBER	15	70907	SLUZBY	\N	\N
222778	757	1998-09-30	VYDAJ	VYBER	15	67633	SLUZBY	\N	\N
222779	757	1998-10-31	VYDAJ	VYBER	15	69647	SLUZBY	\N	\N
222780	757	1998-11-30	VYDAJ	VYBER	15	71477	SLUZBY	\N	\N
222781	757	1993-08-18	PRIJEM	VKLAD	8700	17348	\N	\N	\N
222782	757	1993-09-17	PRIJEM	VKLAD	2100	27229	\N	\N	\N
222783	757	1993-10-17	VYDAJ	VYBER	4500	30568	\N	\N	\N
222784	757	1993-11-16	VYDAJ	VYBER	8100	30336	\N	\N	\N
222785	757	1993-12-16	VYDAJ	VYBER	8100	33175	\N	\N	\N
222786	757	1994-01-15	VYDAJ	VYBER	5400	32552	\N	\N	\N
222787	757	1994-02-14	VYDAJ	VYBER	6100	31227	\N	\N	\N
222788	757	1994-03-16	VYDAJ	VYBER	2900	29296	\N	\N	\N
222789	757	1994-04-15	VYDAJ	VYBER	2100	27249	\N	\N	\N
222790	757	1994-05-15	VYDAJ	VYBER	2800	29195	\N	\N	\N
222791	757	1994-06-14	VYDAJ	VYBER	3900	32725	\N	\N	\N
222792	757	1994-07-14	VYDAJ	VYBER	4400	33103	\N	\N	\N
222793	757	1994-08-13	VYDAJ	VYBER	4000	33877	\N	\N	\N
222794	757	1994-09-12	VYDAJ	VYBER	2900	32454	\N	\N	\N
222795	757	1994-10-12	VYDAJ	VYBER	4100	33124	\N	\N	\N
222796	757	1994-11-11	VYDAJ	VYBER	3700	34197	\N	\N	\N
222797	757	1994-12-11	VYDAJ	VYBER	5700	33841	\N	\N	\N
222798	757	1995-01-10	VYDAJ	VYBER	5200	33624	\N	\N	\N
222799	757	1995-02-09	VYDAJ	VYBER	300	30347	\N	\N	\N
222800	757	1995-03-11	VYDAJ	VYBER	8000	32365	\N	\N	\N
222801	757	1995-04-10	VYDAJ	VYBER	4200	33749	\N	\N	\N
222802	757	1995-05-10	VYDAJ	VYBER	2700	35012	\N	\N	\N
222803	757	1995-06-09	VYDAJ	VYBER	2000	30859	\N	\N	\N
222804	757	1995-07-09	VYDAJ	VYBER	4100	35432	\N	\N	\N
222805	757	1995-08-08	VYDAJ	VYBER	2700	37541	\N	\N	\N
222806	757	1995-09-07	VYDAJ	VYBER	4200	38157	\N	\N	\N
222807	757	1995-10-07	VYDAJ	VYBER	3200	42068	\N	\N	\N
222808	757	1995-11-06	VYDAJ	VYBER	2300	36271	\N	\N	\N
222809	757	1995-12-06	PRIJEM	VKLAD	1100	41173	\N	\N	\N
222810	757	1996-01-05	VYDAJ	VYBER	3700	39159	\N	\N	\N
222811	757	1996-02-04	VYDAJ	VYBER	2500	37568	\N	\N	\N
222812	757	1996-03-05	PRIJEM	VKLAD	100	41471	\N	\N	\N
222813	757	1996-04-04	VYDAJ	VYBER	1600	40993	\N	\N	\N
222814	757	1996-05-04	VYDAJ	VYBER KARTOU	2100	43714	\N	\N	0
222815	757	1996-06-03	VYDAJ	VYBER	5900	42646	\N	\N	\N
222816	757	1996-07-03	VYDAJ	VYBER	4900	46462	\N	\N	\N
222817	757	1996-08-02	VYDAJ	VYBER	4200	47106	\N	\N	\N
222818	757	1996-09-01	VYDAJ	VYBER	6500	45451	\N	\N	\N
222819	757	1996-10-01	VYDAJ	VYBER	5200	45092	\N	\N	\N
222820	757	1996-10-31	VYDAJ	VYBER KARTOU	3000	46944	\N	\N	0
222821	757	1996-11-30	VYDAJ	VYBER	5200	46587	\N	\N	\N
222822	757	1996-12-30	VYDAJ	VYBER	5500	48995	\N	\N	\N
222823	757	1997-01-29	VYDAJ	VYBER KARTOU	1400	52446	\N	\N	0
222824	757	1997-02-28	VYDAJ	VYBER KARTOU	3100	54416	\N	\N	0
222825	757	1997-03-30	VYDAJ	VYBER KARTOU	3600	53165	\N	\N	0
222826	757	1997-04-29	VYDAJ	VYBER KARTOU	2500	55537	\N	\N	0
222827	757	1997-05-29	PRIJEM	VKLAD	400	60807	\N	\N	\N
222828	757	1997-06-28	VYDAJ	VYBER	4800	64762	\N	\N	\N
222829	757	1997-07-28	VYDAJ	VYBER KARTOU	2100	60173	\N	\N	0
222830	757	1997-08-27	VYDAJ	VYBER	5100	59964	\N	\N	\N
222831	757	1997-09-26	VYDAJ	VYBER	7000	57858	\N	\N	\N
222832	757	1997-10-26	PRIJEM	VKLAD	300	61149	\N	\N	\N
222833	757	1997-11-25	VYDAJ	VYBER	4400	60629	\N	\N	\N
222834	757	1997-12-25	VYDAJ	VYBER KARTOU	2000	63299	\N	\N	0
222835	757	1998-01-24	PRIJEM	VKLAD	2400	70596	\N	\N	\N
222836	757	1998-02-23	VYDAJ	VYBER KARTOU	2300	69807	\N	\N	0
222837	757	1998-03-25	VYDAJ	VYBER	4600	70134	\N	\N	\N
222838	757	1998-04-24	VYDAJ	VYBER	7900	67166	\N	\N	\N
222839	757	1998-05-24	VYDAJ	VYBER	4700	63897	\N	\N	\N
222840	757	1998-06-23	VYDAJ	VYBER	5200	67482	\N	\N	\N
222841	757	1998-07-23	PRIJEM	VKLAD	500	72900	\N	\N	\N
222842	757	1998-08-22	VYDAJ	VYBER KARTOU	3600	70626	\N	\N	0
222843	757	1998-09-21	VYDAJ	VYBER	7600	67356	\N	\N	\N
222844	757	1998-10-21	PRIJEM	VKLAD	300	69382	\N	\N	\N
222845	757	1998-11-20	VYDAJ	VYBER KARTOU	3100	71196	\N	\N	0
222911	758	1997-12-19	PRIJEM	VKLAD	800	800	\N	\N	\N
222958	758	1998-01-18	PRIJEM	VKLAD	12600	13400	\N	\N	\N
222959	758	1998-02-17	PRIJEM	VKLAD	6700	20100	\N	\N	\N
222960	758	1998-03-19	PRIJEM	VKLAD	7200	27300	\N	\N	\N
222961	758	1998-04-18	VYDAJ	VYBER	600	26700	\N	\N	\N
222962	758	1998-05-18	VYDAJ	VYBER	4200	22500	\N	\N	\N
222963	758	1998-06-17	VYDAJ	VYBER	1000	21500	\N	\N	\N
222964	758	1998-07-17	VYDAJ	VYBER	2200	19300	\N	\N	\N
222965	758	1998-08-16	PRIJEM	VKLAD	900	20200	\N	\N	\N
222966	758	1998-09-15	PRIJEM	VKLAD	800	21000	\N	\N	\N
222967	758	1998-10-15	PRIJEM	VKLAD	1400	22400	\N	\N	\N
222968	758	1998-11-14	PRIJEM	VKLAD	4400	26800	\N	\N	\N
222969	759	1993-08-01	PRIJEM	VKLAD	300	300	\N	\N	\N
222977	759	1993-08-13	PRIJEM	PREVOD Z UCTU	2928	3228	\N	IJ	34275633
222978	759	1993-09-13	PRIJEM	PREVOD Z UCTU	2928	16866	\N	IJ	34275633
222979	759	1993-10-13	PRIJEM	PREVOD Z UCTU	2928	23053	\N	IJ	34275633
222980	759	1993-11-13	PRIJEM	PREVOD Z UCTU	2928	25165	\N	IJ	34275633
222981	759	1993-12-13	PRIJEM	PREVOD Z UCTU	2928	26886	\N	IJ	34275633
222982	759	1994-01-13	PRIJEM	PREVOD Z UCTU	2928	29454	\N	IJ	34275633
222983	759	1994-02-13	PRIJEM	PREVOD Z UCTU	2928	27423	\N	IJ	34275633
222984	759	1994-03-13	PRIJEM	PREVOD Z UCTU	2928	26492	\N	IJ	34275633
222985	759	1994-04-13	PRIJEM	PREVOD Z UCTU	2928	25624	\N	IJ	34275633
222986	759	1994-05-13	PRIJEM	PREVOD Z UCTU	2928	29384	\N	IJ	34275633
222987	759	1994-06-13	PRIJEM	PREVOD Z UCTU	2928	26451	\N	IJ	34275633
222988	759	1994-07-13	PRIJEM	PREVOD Z UCTU	2928	28516	\N	IJ	34275633
222989	759	1994-08-13	PRIJEM	PREVOD Z UCTU	2928	27166	\N	IJ	34275633
222990	759	1994-09-13	PRIJEM	PREVOD Z UCTU	2928	28731	\N	IJ	34275633
222991	759	1994-10-13	PRIJEM	PREVOD Z UCTU	2928	33009	\N	IJ	34275633
222992	759	1994-11-13	PRIJEM	PREVOD Z UCTU	2928	33567	\N	IJ	34275633
222993	759	1994-12-13	PRIJEM	PREVOD Z UCTU	2928	32961	\N	IJ	34275633
222994	759	1995-01-13	PRIJEM	PREVOD Z UCTU	2928	29686	\N	IJ	34275633
222995	759	1995-02-13	PRIJEM	PREVOD Z UCTU	2928	29044	\N	IJ	34275633
222996	759	1995-03-13	PRIJEM	PREVOD Z UCTU	2928	31999	\N	IJ	34275633
222997	759	1995-04-13	PRIJEM	PREVOD Z UCTU	2928	32988	\N	IJ	34275633
222998	759	1995-05-13	PRIJEM	PREVOD Z UCTU	2928	33279	\N	IJ	34275633
222999	759	1995-06-13	PRIJEM	PREVOD Z UCTU	2928	34822	\N	IJ	34275633
223000	759	1995-07-13	PRIJEM	PREVOD Z UCTU	2928	28645	\N	IJ	34275633
223001	759	1995-08-13	PRIJEM	PREVOD Z UCTU	2928	35524	\N	IJ	34275633
223002	759	1995-09-13	PRIJEM	PREVOD Z UCTU	2928	36225	\N	IJ	34275633
223003	759	1995-10-13	PRIJEM	PREVOD Z UCTU	2928	38230	\N	IJ	34275633
223004	759	1995-11-13	PRIJEM	PREVOD Z UCTU	2928	39040	\N	IJ	34275633
223005	759	1995-12-13	PRIJEM	PREVOD Z UCTU	2928	40867	\N	IJ	34275633
223006	759	1996-01-13	PRIJEM	PREVOD Z UCTU	2928	37746	\N	IJ	34275633
223007	759	1996-02-13	PRIJEM	PREVOD Z UCTU	2928	35586	\N	IJ	34275633
223008	759	1996-03-13	PRIJEM	PREVOD Z UCTU	2928	40975	\N	IJ	34275633
223009	759	1996-04-13	PRIJEM	PREVOD Z UCTU	2928	43300	\N	IJ	34275633
223010	759	1996-05-13	PRIJEM	PREVOD Z UCTU	2928	42227	\N	IJ	34275633
223011	759	1996-06-13	PRIJEM	PREVOD Z UCTU	2928	43358	\N	IJ	34275633
223012	759	1996-07-13	PRIJEM	PREVOD Z UCTU	2928	39258	\N	IJ	34275633
223013	759	1996-08-13	PRIJEM	PREVOD Z UCTU	2928	37566	\N	IJ	34275633
223014	759	1996-09-13	PRIJEM	PREVOD Z UCTU	2928	40159	\N	IJ	34275633
223015	759	1996-10-13	PRIJEM	PREVOD Z UCTU	2928	44385	\N	IJ	34275633
223016	759	1996-11-13	PRIJEM	PREVOD Z UCTU	2928	47926	\N	IJ	34275633
223017	759	1996-12-13	PRIJEM	PREVOD Z UCTU	2928	47885	\N	IJ	34275633
223018	759	1997-01-13	PRIJEM	PREVOD Z UCTU	2928	53050	\N	IJ	34275633
223019	759	1997-02-13	PRIJEM	PREVOD Z UCTU	2928	60909	\N	IJ	34275633
223020	759	1997-03-13	PRIJEM	PREVOD Z UCTU	2928	62100	\N	IJ	34275633
223021	759	1997-04-13	PRIJEM	PREVOD Z UCTU	2928	64193	\N	IJ	34275633
223022	759	1997-05-13	PRIJEM	PREVOD Z UCTU	2928	66010	\N	IJ	34275633
223023	759	1997-06-13	PRIJEM	PREVOD Z UCTU	2928	70234	\N	IJ	34275633
223024	759	1997-07-13	PRIJEM	PREVOD Z UCTU	2928	70106	\N	IJ	34275633
223025	759	1997-08-13	PRIJEM	PREVOD Z UCTU	2928	74139	\N	IJ	34275633
223026	759	1997-09-13	PRIJEM	PREVOD Z UCTU	2928	77798	\N	IJ	34275633
223027	759	1997-10-13	PRIJEM	PREVOD Z UCTU	2928	78267	\N	IJ	34275633
223028	759	1997-11-13	PRIJEM	PREVOD Z UCTU	2928	82903	\N	IJ	34275633
223029	759	1997-12-13	PRIJEM	PREVOD Z UCTU	2928	82991	\N	IJ	34275633
223030	759	1998-01-13	PRIJEM	PREVOD Z UCTU	2928	83227	\N	IJ	34275633
223031	759	1998-02-13	PRIJEM	PREVOD Z UCTU	2928	80379	\N	IJ	34275633
223032	759	1998-03-13	PRIJEM	PREVOD Z UCTU	2928	83169	\N	IJ	34275633
223033	759	1998-04-13	PRIJEM	PREVOD Z UCTU	2928	86667	\N	IJ	34275633
223034	759	1998-05-13	PRIJEM	PREVOD Z UCTU	2928	84547	\N	IJ	34275633
223035	759	1998-06-13	PRIJEM	PREVOD Z UCTU	2928	76636	\N	IJ	34275633
223036	759	1998-07-13	PRIJEM	PREVOD Z UCTU	2928	85012	\N	IJ	34275633
223037	759	1998-08-13	PRIJEM	PREVOD Z UCTU	2928	88703	\N	IJ	34275633
223038	759	1998-09-13	PRIJEM	PREVOD Z UCTU	2928	95216	\N	IJ	34275633
223039	759	1998-10-13	PRIJEM	PREVOD Z UCTU	2928	99347	\N	IJ	34275633
223040	759	1998-11-13	PRIJEM	PREVOD Z UCTU	2928	103531	\N	IJ	34275633
223041	759	1998-12-13	PRIJEM	PREVOD Z UCTU	2928	110409	\N	IJ	34275633
223053	759	1993-12-13	VYDAJ	PREVOD NA UCET	1952	24934	SIPO	UV	40699601
223054	759	1994-01-13	VYDAJ	PREVOD NA UCET	1952	26632	SIPO	UV	40699601
223055	759	1994-02-13	VYDAJ	PREVOD NA UCET	1952	25471	SIPO	UV	40699601
223056	759	1994-03-13	VYDAJ	PREVOD NA UCET	1952	24540	SIPO	UV	40699601
223057	759	1994-04-13	VYDAJ	PREVOD NA UCET	1952	23672	SIPO	UV	40699601
223058	759	1994-05-13	VYDAJ	PREVOD NA UCET	1952	27432	SIPO	UV	40699601
223059	759	1994-06-13	VYDAJ	PREVOD NA UCET	1952	24499	SIPO	UV	40699601
223060	759	1994-07-13	VYDAJ	PREVOD NA UCET	1952	26564	SIPO	UV	40699601
223061	759	1994-08-13	VYDAJ	PREVOD NA UCET	1952	25214	SIPO	UV	40699601
223062	759	1994-09-13	VYDAJ	PREVOD NA UCET	1952	26779	SIPO	UV	40699601
223063	759	1994-10-13	VYDAJ	PREVOD NA UCET	1952	31057	SIPO	UV	40699601
223064	759	1994-11-13	VYDAJ	PREVOD NA UCET	1952	31615	SIPO	UV	40699601
223065	759	1994-12-13	VYDAJ	PREVOD NA UCET	1952	31009	SIPO	UV	40699601
223066	759	1995-01-13	VYDAJ	PREVOD NA UCET	1952	27734	SIPO	UV	40699601
223067	759	1995-02-13	VYDAJ	PREVOD NA UCET	1952	27092	SIPO	UV	40699601
223068	759	1995-03-13	VYDAJ	PREVOD NA UCET	1952	30047	SIPO	UV	40699601
223069	759	1995-04-13	VYDAJ	PREVOD NA UCET	1952	31036	SIPO	UV	40699601
223070	759	1995-05-13	VYDAJ	PREVOD NA UCET	1952	31327	SIPO	UV	40699601
223071	759	1995-06-13	VYDAJ	PREVOD NA UCET	1952	32870	SIPO	UV	40699601
223072	759	1995-07-13	VYDAJ	PREVOD NA UCET	1952	26693	SIPO	UV	40699601
223073	759	1995-08-13	VYDAJ	PREVOD NA UCET	1952	33572	SIPO	UV	40699601
223074	759	1995-09-13	VYDAJ	PREVOD NA UCET	1952	34273	SIPO	UV	40699601
223075	759	1995-10-13	VYDAJ	PREVOD NA UCET	1952	36278	SIPO	UV	40699601
223076	759	1995-11-13	VYDAJ	PREVOD NA UCET	1952	37088	SIPO	UV	40699601
223077	759	1995-12-13	VYDAJ	PREVOD NA UCET	1952	38915	SIPO	UV	40699601
223078	759	1996-01-13	VYDAJ	PREVOD NA UCET	1952	35794	SIPO	UV	40699601
223079	759	1996-02-13	VYDAJ	PREVOD NA UCET	1952	33634	SIPO	UV	40699601
223080	759	1996-03-13	VYDAJ	PREVOD NA UCET	1952	39023	SIPO	UV	40699601
223081	759	1996-04-13	VYDAJ	PREVOD NA UCET	1952	41348	SIPO	UV	40699601
223082	759	1996-05-13	VYDAJ	PREVOD NA UCET	1952	40275	SIPO	UV	40699601
223083	759	1996-06-13	VYDAJ	PREVOD NA UCET	1952	41406	SIPO	UV	40699601
223084	759	1996-07-13	VYDAJ	PREVOD NA UCET	1952	37306	SIPO	UV	40699601
223085	759	1996-08-13	VYDAJ	PREVOD NA UCET	1952	35614	SIPO	UV	40699601
223086	759	1996-09-13	VYDAJ	PREVOD NA UCET	1952	38207	SIPO	UV	40699601
223087	759	1996-10-13	VYDAJ	PREVOD NA UCET	1952	42433	SIPO	UV	40699601
223088	759	1996-11-13	VYDAJ	PREVOD NA UCET	1952	46374	SIPO	UV	40699601
223089	759	1996-12-13	VYDAJ	PREVOD NA UCET	1952	49633	SIPO	UV	40699601
223090	759	1997-01-13	VYDAJ	PREVOD NA UCET	1952	51098	SIPO	UV	40699601
223091	759	1997-02-13	VYDAJ	PREVOD NA UCET	1952	58957	SIPO	UV	40699601
223092	759	1997-03-13	VYDAJ	PREVOD NA UCET	1952	60148	SIPO	UV	40699601
223093	759	1997-04-13	VYDAJ	PREVOD NA UCET	1952	62241	SIPO	UV	40699601
223094	759	1997-05-13	VYDAJ	PREVOD NA UCET	1952	64058	SIPO	UV	40699601
223095	759	1997-06-13	VYDAJ	PREVOD NA UCET	1952	68282	SIPO	UV	40699601
223096	759	1997-07-13	VYDAJ	PREVOD NA UCET	1952	68154	SIPO	UV	40699601
223097	759	1997-08-13	VYDAJ	PREVOD NA UCET	1952	72187	SIPO	UV	40699601
223098	759	1997-09-13	VYDAJ	PREVOD NA UCET	1952	75846	SIPO	UV	40699601
223099	759	1997-10-13	VYDAJ	PREVOD NA UCET	1952	76315	SIPO	UV	40699601
223100	759	1997-11-13	VYDAJ	PREVOD NA UCET	1952	80951	SIPO	UV	40699601
223101	759	1997-12-13	VYDAJ	PREVOD NA UCET	1952	81039	SIPO	UV	40699601
223102	759	1998-01-13	VYDAJ	PREVOD NA UCET	1952	81275	SIPO	UV	40699601
223103	759	1998-02-13	VYDAJ	PREVOD NA UCET	1952	78427	SIPO	UV	40699601
223104	759	1998-03-13	VYDAJ	PREVOD NA UCET	1952	81217	SIPO	UV	40699601
223105	759	1998-04-13	VYDAJ	PREVOD NA UCET	1952	84715	SIPO	UV	40699601
223106	759	1998-05-13	VYDAJ	PREVOD NA UCET	1952	82595	SIPO	UV	40699601
223107	759	1998-06-13	VYDAJ	PREVOD NA UCET	1952	74684	SIPO	UV	40699601
223108	759	1998-07-13	VYDAJ	PREVOD NA UCET	1952	83060	SIPO	UV	40699601
223109	759	1998-08-13	VYDAJ	PREVOD NA UCET	1952	86751	SIPO	UV	40699601
223110	759	1998-09-13	VYDAJ	PREVOD NA UCET	1952	93264	SIPO	UV	40699601
223111	759	1998-10-13	VYDAJ	PREVOD NA UCET	1952	97395	SIPO	UV	40699601
223112	759	1998-11-13	VYDAJ	PREVOD NA UCET	1952	101579	SIPO	UV	40699601
223113	759	1998-12-13	VYDAJ	PREVOD NA UCET	1952	108457	SIPO	UV	40699601
223115	759	1994-06-05	VYDAJ	VYBER	1710	23523	\N	\N	\N
223116	759	1995-06-29	VYDAJ	VYBER	7200	25600	\N	\N	\N
223117	759	1996-06-15	VYDAJ	VYBER	8220	33186	\N	\N	\N
223118	759	1997-06-14	VYDAJ	VYBER	6750	61532	\N	\N	\N
223119	759	1998-06-08	VYDAJ	VYBER	7080	73708	\N	\N	\N
223121	759	1994-01-17	VYDAJ	VYBER	450	26182	\N	\N	\N
223122	759	1995-01-27	VYDAJ	VYBER	1590	26614	\N	\N	\N
223123	759	1996-01-26	VYDAJ	VYBER	2340	33214	\N	\N	\N
223124	759	1997-01-12	VYDAJ	VYBER	2100	50122	\N	\N	\N
223125	759	1998-01-28	VYDAJ	VYBER	1290	78335	\N	\N	\N
223127	759	1994-12-26	VYDAJ	VYBER	390	28329	\N	\N	\N
223128	759	1995-12-16	VYDAJ	VYBER	390	38525	\N	\N	\N
223129	759	1996-12-11	VYDAJ	VYBER	210	44957	\N	\N	\N
223130	759	1997-12-25	VYDAJ	VYBER	810	79659	\N	\N	\N
223131	759	1998-12-23	VYDAJ	VYBER	450	108007	\N	\N	\N
223138	759	1994-01-21	VYDAJ	VYBER	390	24532	\N	\N	\N
223139	759	1994-01-22	VYDAJ	VYBER	510	24022	\N	\N	\N
223140	759	1994-01-18	VYDAJ	VYBER	690	25492	\N	\N	\N
223141	759	1994-01-19	VYDAJ	VYBER	570	24922	\N	\N	\N
223142	759	1994-01-13	VYDAJ	VYBER	870	28584	\N	\N	\N
223143	759	1994-01-30	VYDAJ	VYBER	720	24402	\N	\N	\N
223144	759	1995-01-18	VYDAJ	VYBER	360	27374	\N	\N	\N
223145	759	1995-01-11	VYDAJ	VYBER	300	27028	\N	\N	\N
223146	759	1995-01-24	VYDAJ	VYBER	570	28204	\N	\N	\N
223147	759	1995-01-05	VYDAJ	VYBER	600	27328	\N	\N	\N
223148	759	1995-01-12	VYDAJ	VYBER	270	26758	\N	\N	\N
223149	759	1995-01-27	VYDAJ	VYBER	270	26344	\N	\N	\N
223150	759	1996-01-19	VYDAJ	VYBER	180	36214	\N	\N	\N
223151	759	1996-01-22	VYDAJ	VYBER	180	35554	\N	\N	\N
223152	759	1996-01-12	VYDAJ	VYBER	420	34818	\N	\N	\N
223153	759	1996-01-06	VYDAJ	VYBER	660	36288	\N	\N	\N
223154	759	1996-01-02	VYDAJ	VYBER	240	37128	\N	\N	\N
223155	759	1996-01-05	VYDAJ	VYBER	180	36948	\N	\N	\N
223156	759	1997-01-19	VYDAJ	VYBER	210	50888	\N	\N	\N
223157	759	1997-01-09	VYDAJ	VYBER	330	47622	\N	\N	\N
223158	759	1997-01-03	VYDAJ	VYBER	150	49512	\N	\N	\N
223159	759	1997-01-11	VYDAJ	VYBER	300	47322	\N	\N	\N
223160	759	1997-01-06	VYDAJ	VYBER	240	47952	\N	\N	\N
223161	759	1997-01-02	VYDAJ	VYBER	150	49662	\N	\N	\N
223162	759	1998-01-03	VYDAJ	VYBER	720	79259	\N	\N	\N
223163	759	1998-01-05	VYDAJ	VYBER	180	78299	\N	\N	\N
223164	759	1998-01-22	VYDAJ	VYBER	480	80225	\N	\N	\N
223165	759	1998-01-16	VYDAJ	VYBER	570	80705	\N	\N	\N
223166	759	1998-01-04	VYDAJ	VYBER	780	78479	\N	\N	\N
223167	759	1998-01-26	VYDAJ	VYBER	600	79625	\N	\N	\N
223173	759	1994-10-13	VYDAJ	VYBER	1050	30007	\N	\N	\N
223174	759	1994-04-07	VYDAJ	VYBER	630	22696	\N	\N	\N
223175	759	1994-11-12	VYDAJ	VYBER	180	30639	\N	\N	\N
223176	759	1994-08-01	VYDAJ	VYBER	420	24238	\N	\N	\N
223177	759	1994-12-22	VYDAJ	VYBER	690	30319	\N	\N	\N
223178	759	1994-12-27	VYDAJ	VYBER	510	27819	\N	\N	\N
223179	759	1995-06-15	VYDAJ	VYBER	1170	31700	\N	\N	\N
223180	759	1995-05-29	VYDAJ	VYBER	450	31777	\N	\N	\N
223181	759	1995-03-12	VYDAJ	VYBER	720	29071	\N	\N	\N
223182	759	1995-02-06	VYDAJ	VYBER	330	26116	\N	\N	\N
223183	759	1995-12-04	VYDAJ	VYBER	390	37939	\N	\N	\N
223184	759	1996-01-06	VYDAJ	VYBER	1050	35238	\N	\N	\N
223185	759	1996-02-12	VYDAJ	VYBER	690	32658	\N	\N	\N
223186	759	1996-11-20	VYDAJ	VYBER	1380	44994	\N	\N	\N
223187	759	1996-08-15	VYDAJ	VYBER	1020	37094	\N	\N	\N
223188	759	1996-02-27	VYDAJ	VYBER	330	37914	\N	\N	\N
223189	759	1996-01-22	VYDAJ	VYBER	480	35734	\N	\N	\N
223190	759	1996-02-16	VYDAJ	VYBER	390	33244	\N	\N	\N
223191	759	1997-10-21	VYDAJ	VYBER	300	76015	\N	\N	\N
223192	759	1997-12-19	VYDAJ	VYBER	570	80469	\N	\N	\N
223193	759	1997-01-04	VYDAJ	VYBER	1320	48192	\N	\N	\N
223194	759	1997-04-02	VYDAJ	VYBER	1470	56565	\N	\N	\N
223195	759	1997-03-16	VYDAJ	VYBER	1440	57808	\N	\N	\N
223196	759	1997-10-28	VYDAJ	VYBER	540	75475	\N	\N	\N
223197	759	1998-10-06	VYDAJ	VYBER	360	97769	\N	\N	\N
223198	759	1998-06-07	VYDAJ	VYBER	1470	80788	\N	\N	\N
223199	759	1998-10-28	VYDAJ	VYBER	480	96915	\N	\N	\N
223200	759	1998-10-11	VYDAJ	VYBER	1350	96419	\N	\N	\N
223201	759	1998-05-07	VYDAJ	VYBER	1230	83819	\N	\N	\N
223202	759	1998-06-07	VYDAJ	VYBER	570	82258	\N	\N	\N
223203	759	1998-12-28	VYDAJ	VYBER	810	107197	\N	\N	\N
223216	759	1993-12-31	VYDAJ	VYBER	15	26526	SLUZBY	\N	\N
223217	759	1994-01-31	VYDAJ	VYBER	15	24495	SLUZBY	\N	\N
223218	759	1994-02-28	VYDAJ	VYBER	15	23564	SLUZBY	\N	\N
223219	759	1994-03-31	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
223220	759	1994-04-30	VYDAJ	VYBER	15	26456	SLUZBY	\N	\N
223221	759	1994-05-31	VYDAJ	VYBER	15	25233	SLUZBY	\N	\N
223222	759	1994-06-30	VYDAJ	VYBER	15	25588	SLUZBY	\N	\N
223223	759	1994-07-31	VYDAJ	VYBER	15	24658	SLUZBY	\N	\N
223224	759	1994-08-31	VYDAJ	VYBER	15	25803	SLUZBY	\N	\N
223225	759	1994-09-30	VYDAJ	VYBER	15	30081	SLUZBY	\N	\N
223226	759	1994-10-31	VYDAJ	VYBER	15	30819	SLUZBY	\N	\N
223227	759	1994-11-30	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
223228	759	1994-12-31	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
223229	759	1995-01-31	VYDAJ	VYBER	15	26446	SLUZBY	\N	\N
223230	759	1995-02-28	VYDAJ	VYBER	15	29791	SLUZBY	\N	\N
223231	759	1995-03-31	VYDAJ	VYBER	15	30060	SLUZBY	\N	\N
223232	759	1995-04-30	VYDAJ	VYBER	15	30351	SLUZBY	\N	\N
223233	759	1995-05-31	VYDAJ	VYBER	15	31894	SLUZBY	\N	\N
223234	759	1995-06-30	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
223235	759	1995-07-31	VYDAJ	VYBER	15	32596	SLUZBY	\N	\N
223236	759	1995-08-31	VYDAJ	VYBER	15	33297	SLUZBY	\N	\N
223237	759	1995-09-30	VYDAJ	VYBER	15	35302	SLUZBY	\N	\N
223238	759	1995-10-31	VYDAJ	VYBER	15	36112	SLUZBY	\N	\N
223239	759	1995-11-30	VYDAJ	VYBER	15	38329	SLUZBY	\N	\N
223240	759	1995-12-31	VYDAJ	VYBER	15	37368	SLUZBY	\N	\N
223241	759	1996-01-31	VYDAJ	VYBER	15	33348	SLUZBY	\N	\N
223242	759	1996-02-29	VYDAJ	VYBER	15	38047	SLUZBY	\N	\N
223243	759	1996-03-31	VYDAJ	VYBER	15	40372	SLUZBY	\N	\N
223244	759	1996-04-30	VYDAJ	VYBER	15	39299	SLUZBY	\N	\N
223245	759	1996-05-31	VYDAJ	VYBER	15	40430	SLUZBY	\N	\N
223246	759	1996-06-30	VYDAJ	VYBER	15	36330	SLUZBY	\N	\N
223247	759	1996-07-31	VYDAJ	VYBER	15	34638	SLUZBY	\N	\N
223248	759	1996-08-31	VYDAJ	VYBER	15	37231	SLUZBY	\N	\N
223249	759	1996-09-30	VYDAJ	VYBER	15	41457	SLUZBY	\N	\N
223250	759	1996-10-31	VYDAJ	VYBER	15	44998	SLUZBY	\N	\N
223251	759	1996-11-30	VYDAJ	VYBER	15	45167	SLUZBY	\N	\N
223252	759	1996-12-31	VYDAJ	VYBER	15	49812	SLUZBY	\N	\N
223253	759	1997-01-31	VYDAJ	VYBER	15	51081	SLUZBY	\N	\N
223254	759	1997-02-28	VYDAJ	VYBER	15	59172	SLUZBY	\N	\N
223255	759	1997-03-31	VYDAJ	VYBER	15	58035	SLUZBY	\N	\N
223256	759	1997-04-30	VYDAJ	VYBER	15	62482	SLUZBY	\N	\N
223257	759	1997-05-31	VYDAJ	VYBER	15	64306	SLUZBY	\N	\N
223258	759	1997-06-30	VYDAJ	VYBER	15	61778	SLUZBY	\N	\N
223259	759	1997-07-31	VYDAJ	VYBER	15	68411	SLUZBY	\N	\N
223260	759	1997-08-31	VYDAJ	VYBER	15	72470	SLUZBY	\N	\N
223261	759	1997-09-30	VYDAJ	VYBER	15	76139	SLUZBY	\N	\N
223262	759	1997-10-31	VYDAJ	VYBER	15	75775	SLUZBY	\N	\N
223263	759	1997-11-30	VYDAJ	VYBER	15	81263	SLUZBY	\N	\N
223264	759	1997-12-31	VYDAJ	VYBER	15	79979	SLUZBY	\N	\N
223265	759	1998-01-31	VYDAJ	VYBER	15	78651	SLUZBY	\N	\N
223266	759	1998-02-28	VYDAJ	VYBER	15	78741	SLUZBY	\N	\N
223267	759	1998-03-31	VYDAJ	VYBER	15	81539	SLUZBY	\N	\N
223268	759	1998-04-30	VYDAJ	VYBER	15	85049	SLUZBY	\N	\N
223269	759	1998-05-31	VYDAJ	VYBER	15	82928	SLUZBY	\N	\N
223270	759	1998-06-30	VYDAJ	VYBER	15	74984	SLUZBY	\N	\N
223271	759	1998-07-31	VYDAJ	VYBER	15	83375	SLUZBY	\N	\N
223272	759	1998-08-31	VYDAJ	VYBER	15	87088	SLUZBY	\N	\N
223273	759	1998-09-30	VYDAJ	VYBER	15	93629	SLUZBY	\N	\N
223274	759	1998-10-31	VYDAJ	VYBER	15	97303	SLUZBY	\N	\N
223275	759	1998-11-30	VYDAJ	VYBER	15	101981	SLUZBY	\N	\N
223276	759	1993-08-31	PRIJEM	VKLAD	10700	13928	\N	\N	\N
223277	759	1993-09-30	PRIJEM	VKLAD	3200	20066	\N	\N	\N
223278	759	1993-10-30	VYDAJ	VYBER	900	22153	\N	\N	\N
223279	759	1993-11-29	VYDAJ	VYBER	1300	23865	\N	\N	\N
223280	759	1993-12-29	PRIJEM	VKLAD	1500	26434	\N	\N	\N
223281	759	1994-01-28	PRIJEM	VKLAD	1100	25122	\N	\N	\N
223282	759	1994-02-27	VYDAJ	VYBER	2000	23471	\N	\N	\N
223283	759	1994-03-29	VYDAJ	VYBER	1300	23240	\N	\N	\N
223284	759	1994-04-28	PRIJEM	VKLAD	2700	26372	\N	\N	\N
223285	759	1994-05-28	VYDAJ	VYBER	2300	25132	\N	\N	\N
223286	759	1994-06-27	PRIJEM	VKLAD	1000	25499	\N	\N	\N
223287	759	1994-07-27	VYDAJ	VYBER	2000	24564	\N	\N	\N
223288	759	1994-08-26	PRIJEM	VKLAD	500	25714	\N	\N	\N
223289	759	1994-09-25	PRIJEM	VKLAD	3200	29979	\N	\N	\N
223290	759	1994-10-25	PRIJEM	VKLAD	700	30707	\N	\N	\N
223291	759	1994-11-24	VYDAJ	VYBER	1700	29915	\N	\N	\N
223292	759	1994-12-24	VYDAJ	VYBER	1600	28719	\N	\N	\N
223293	759	1995-01-23	PRIJEM	VKLAD	1400	28774	\N	\N	\N
223294	759	1995-02-22	PRIJEM	VKLAD	2600	29692	\N	\N	\N
223295	759	1995-03-24	VYDAJ	VYBER	100	29947	\N	\N	\N
223296	759	1995-04-23	VYDAJ	VYBER	800	30236	\N	\N	\N
223297	759	1995-05-23	PRIJEM	VKLAD	900	32227	\N	\N	\N
223298	759	1995-06-22	PRIJEM	VKLAD	1100	32800	\N	\N	\N
223299	759	1995-07-22	PRIJEM	VKLAD	5800	32493	\N	\N	\N
223300	759	1995-08-21	VYDAJ	VYBER	400	33172	\N	\N	\N
223301	759	1995-09-20	PRIJEM	VKLAD	900	35173	\N	\N	\N
223302	759	1995-10-20	VYDAJ	VYBER	300	35978	\N	\N	\N
223303	759	1995-11-19	PRIJEM	VKLAD	1100	38188	\N	\N	\N
223304	759	1995-12-19	VYDAJ	VYBER	1300	37225	\N	\N	\N
223305	759	1996-01-18	PRIJEM	VKLAD	600	36394	\N	\N	\N
223306	759	1996-02-17	PRIJEM	VKLAD	5000	38244	\N	\N	\N
223307	759	1996-03-18	PRIJEM	VKLAD	1200	40223	\N	\N	\N
223308	759	1996-04-17	VYDAJ	VYBER	2200	39148	\N	\N	\N
223309	759	1996-06-16	PRIJEM	VKLAD	3000	36186	\N	\N	\N
223310	759	1996-07-16	VYDAJ	VYBER	2800	34506	\N	\N	\N
223311	759	1996-08-15	PRIJEM	VKLAD	2500	38114	\N	\N	\N
223312	759	1996-09-14	PRIJEM	VKLAD	3100	41307	\N	\N	\N
223313	759	1996-10-14	PRIJEM	VKLAD	2400	44833	\N	\N	\N
223314	759	1996-11-13	PRIJEM	VKLAD	400	48326	\N	\N	\N
223315	759	1996-12-13	PRIJEM	VKLAD	3700	51585	\N	\N	\N
223316	759	1997-01-12	PRIJEM	VKLAD	4900	52222	\N	\N	\N
223317	759	1997-02-11	PRIJEM	VKLAD	6900	57981	\N	\N	\N
223318	759	1997-03-13	VYDAJ	VYBER	900	59248	\N	\N	\N
223319	759	1997-04-12	PRIJEM	VKLAD	4700	61265	\N	\N	\N
223320	759	1997-05-12	PRIJEM	VKLAD	600	63082	\N	\N	\N
223321	759	1997-06-11	PRIJEM	VKLAD	3000	67306	\N	\N	\N
223322	759	1997-07-11	PRIJEM	VKLAD	5400	67178	\N	\N	\N
223323	759	1997-08-10	PRIJEM	VKLAD	2800	71211	\N	\N	\N
223324	759	1997-09-09	PRIJEM	VKLAD	2400	74870	\N	\N	\N
223325	759	1997-10-09	VYDAJ	VYBER	800	75339	\N	\N	\N
223326	759	1997-11-08	PRIJEM	VKLAD	4200	79975	\N	\N	\N
223327	759	1997-12-08	VYDAJ	VYBER	1200	80063	\N	\N	\N
223328	759	1998-01-07	PRIJEM	VKLAD	2000	80299	\N	\N	\N
223329	759	1998-02-06	VYDAJ	VYBER	1200	77451	\N	\N	\N
223330	759	1998-03-08	PRIJEM	VKLAD	1500	80241	\N	\N	\N
223331	759	1998-04-07	PRIJEM	VKLAD	2200	83739	\N	\N	\N
223332	759	1998-05-07	VYDAJ	VYBER	2200	81619	\N	\N	\N
223333	759	1998-06-06	VYDAJ	VYBER	100	82828	\N	\N	\N
223334	759	1998-07-06	PRIJEM	VKLAD	7100	82084	\N	\N	\N
223335	759	1998-08-05	PRIJEM	VKLAD	2400	85775	\N	\N	\N
223336	759	1998-09-04	PRIJEM	VKLAD	5200	92288	\N	\N	\N
223337	759	1998-10-04	PRIJEM	VKLAD	4500	98129	\N	\N	\N
223338	759	1998-11-03	PRIJEM	VKLAD	3300	100603	\N	\N	\N
223339	759	1998-12-03	PRIJEM	VKLAD	5500	107481	\N	\N	\N
223405	760	1997-05-24	PRIJEM	VKLAD	300	300	\N	\N	\N
223411	760	1997-06-06	PRIJEM	VKLAD	16046	16346	\N	\N	\N
223412	760	1997-07-06	PRIJEM	VKLAD	10697	31966	\N	\N	\N
223413	760	1997-08-06	PRIJEM	VKLAD	10697	39461	\N	\N	\N
223414	760	1997-09-06	PRIJEM	VKLAD	10697	43382	\N	\N	\N
223415	760	1997-10-06	PRIJEM	VKLAD	10697	40912	\N	\N	\N
223416	760	1997-11-06	PRIJEM	VKLAD	10697	35116	\N	\N	\N
223417	760	1997-12-06	PRIJEM	VKLAD	16046	40251	\N	\N	\N
223418	760	1998-01-06	PRIJEM	VKLAD	10697	35887	\N	\N	\N
223419	760	1998-02-06	PRIJEM	VKLAD	10697	32232	\N	\N	\N
223420	760	1998-03-06	PRIJEM	VKLAD	10697	31907	\N	\N	\N
223421	760	1998-04-06	PRIJEM	VKLAD	10697	32283	\N	\N	\N
223422	760	1998-05-06	PRIJEM	VKLAD	10697	32982	\N	\N	\N
223423	760	1998-06-06	PRIJEM	VKLAD	16046	36406	\N	\N	\N
223424	760	1998-07-06	PRIJEM	VKLAD	10697	37736	\N	\N	\N
223425	760	1998-08-06	PRIJEM	VKLAD	10697	34728	\N	\N	\N
223426	760	1998-09-06	PRIJEM	VKLAD	10697	36917	\N	\N	\N
223427	760	1998-10-06	PRIJEM	VKLAD	10697	31427	\N	\N	\N
223428	760	1998-11-06	PRIJEM	VKLAD	10697	34806	\N	\N	\N
223429	760	1998-12-06	PRIJEM	VKLAD	16046	36828	\N	\N	\N
223439	760	1997-10-07	VYDAJ	PREVOD NA UCET	3403	37509	SIPO	OP	1005852
223440	760	1997-11-07	VYDAJ	PREVOD NA UCET	3403	31713	SIPO	OP	1005852
223441	760	1997-12-07	VYDAJ	PREVOD NA UCET	3403	36848	SIPO	OP	1005852
223442	760	1998-01-07	VYDAJ	PREVOD NA UCET	3403	32484	SIPO	OP	1005852
223443	760	1998-02-07	VYDAJ	PREVOD NA UCET	3403	28829	SIPO	OP	1005852
223444	760	1998-03-07	VYDAJ	PREVOD NA UCET	3403	28504	SIPO	OP	1005852
223445	760	1998-04-07	VYDAJ	PREVOD NA UCET	3403	28880	SIPO	OP	1005852
223446	760	1998-05-07	VYDAJ	PREVOD NA UCET	3403	29579	SIPO	OP	1005852
223447	760	1998-06-07	VYDAJ	PREVOD NA UCET	3403	33003	SIPO	OP	1005852
223448	760	1998-07-07	VYDAJ	PREVOD NA UCET	3403	34333	SIPO	OP	1005852
223449	760	1998-08-07	VYDAJ	PREVOD NA UCET	3403	31325	SIPO	OP	1005852
223450	760	1998-09-07	VYDAJ	PREVOD NA UCET	3403	33514	SIPO	OP	1005852
223451	760	1998-10-07	VYDAJ	PREVOD NA UCET	3403	28024	SIPO	OP	1005852
223452	760	1998-11-07	VYDAJ	PREVOD NA UCET	3403	31403	SIPO	OP	1005852
223453	760	1998-12-07	VYDAJ	PREVOD NA UCET	3403	33425	SIPO	OP	1005852
223463	760	1997-10-10	VYDAJ	PREVOD NA UCET	894	36615	 	OP	88799416
223464	760	1997-11-10	VYDAJ	PREVOD NA UCET	894	30819	 	OP	88799416
223465	760	1997-12-10	VYDAJ	PREVOD NA UCET	894	33914	 	OP	88799416
223466	760	1998-01-10	VYDAJ	PREVOD NA UCET	894	31590	 	OP	88799416
223467	760	1998-02-10	VYDAJ	PREVOD NA UCET	894	27935	 	OP	88799416
223468	760	1998-03-10	VYDAJ	PREVOD NA UCET	894	27610	 	OP	88799416
223469	760	1998-04-10	VYDAJ	PREVOD NA UCET	894	27986	 	OP	88799416
223470	760	1998-05-10	VYDAJ	PREVOD NA UCET	894	28685	 	OP	88799416
223471	760	1998-06-10	VYDAJ	PREVOD NA UCET	894	32109	 	OP	88799416
223472	760	1998-07-10	VYDAJ	PREVOD NA UCET	894	33439	 	OP	88799416
223473	760	1998-08-10	VYDAJ	PREVOD NA UCET	894	30431	 	OP	88799416
223474	760	1998-09-10	VYDAJ	PREVOD NA UCET	894	32620	 	OP	88799416
223475	760	1998-10-10	VYDAJ	PREVOD NA UCET	894	27130	 	OP	88799416
223476	760	1998-11-10	VYDAJ	PREVOD NA UCET	894	30509	 	OP	88799416
223477	760	1998-12-10	VYDAJ	PREVOD NA UCET	894	32531	 	OP	88799416
223487	760	1997-10-13	VYDAJ	PREVOD NA UCET	909	35706	POJISTNE	AB	76297777
223488	760	1997-11-13	VYDAJ	PREVOD NA UCET	909	29910	POJISTNE	AB	76297777
223489	760	1997-12-13	VYDAJ	PREVOD NA UCET	909	33005	POJISTNE	AB	76297777
223490	760	1998-01-13	VYDAJ	PREVOD NA UCET	909	30681	POJISTNE	AB	76297777
223491	760	1998-02-13	VYDAJ	PREVOD NA UCET	909	27026	POJISTNE	AB	76297777
223492	760	1998-03-13	VYDAJ	PREVOD NA UCET	909	26701	POJISTNE	AB	76297777
223493	760	1998-04-13	VYDAJ	PREVOD NA UCET	909	27077	POJISTNE	AB	76297777
223494	760	1998-05-13	VYDAJ	PREVOD NA UCET	909	27776	POJISTNE	AB	76297777
223495	760	1998-06-13	VYDAJ	PREVOD NA UCET	909	31200	POJISTNE	AB	76297777
223496	760	1998-07-13	VYDAJ	PREVOD NA UCET	909	32530	POJISTNE	AB	76297777
223497	760	1998-08-13	VYDAJ	PREVOD NA UCET	909	29522	POJISTNE	AB	76297777
223498	760	1998-09-13	VYDAJ	PREVOD NA UCET	909	31711	POJISTNE	AB	76297777
223499	760	1998-10-13	VYDAJ	PREVOD NA UCET	909	26221	POJISTNE	AB	76297777
223500	760	1998-11-13	VYDAJ	PREVOD NA UCET	909	29600	POJISTNE	AB	76297777
223501	760	1998-12-13	VYDAJ	PREVOD NA UCET	909	31622	POJISTNE	AB	76297777
223505	760	1998-01-13	VYDAJ	VYBER	2240	28441	\N	\N	\N
223506	760	1997-12-25	VYDAJ	VYBER	1120	25085	\N	\N	\N
223507	760	1998-12-05	VYDAJ	VYBER	1760	20782	\N	\N	\N
223512	760	1997-12-08	VYDAJ	VYBER	2040	34808	\N	\N	\N
223513	760	1997-11-13	VYDAJ	VYBER	3000	26910	\N	\N	\N
223514	760	1998-06-14	VYDAJ	VYBER	2160	29040	\N	\N	\N
223515	760	1998-10-29	VYDAJ	VYBER	1200	24021	\N	\N	\N
223516	760	1998-09-16	VYDAJ	VYBER	4080	20631	\N	\N	\N
223517	760	1998-11-30	VYDAJ	VYBER	4800	22557	\N	\N	\N
223518	760	1998-04-23	VYDAJ	VYBER	2280	22197	\N	\N	\N
223519	760	1998-11-29	VYDAJ	VYBER	1560	27240	\N	\N	\N
223530	760	1997-10-31	VYDAJ	VYBER	15	24419	SLUZBY	\N	\N
223531	760	1997-11-30	VYDAJ	VYBER	15	24205	SLUZBY	\N	\N
223532	760	1997-12-31	VYDAJ	VYBER	15	25190	SLUZBY	\N	\N
223533	760	1998-01-31	VYDAJ	VYBER	15	21535	SLUZBY	\N	\N
223534	760	1998-02-28	VYDAJ	VYBER	15	21210	SLUZBY	\N	\N
223535	760	1998-03-31	VYDAJ	VYBER	15	21586	SLUZBY	\N	\N
223536	760	1998-04-30	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
223537	760	1998-05-31	VYDAJ	VYBER	15	20361	SLUZBY	\N	\N
223538	760	1998-06-30	VYDAJ	VYBER	15	27039	SLUZBY	\N	\N
223539	760	1998-07-31	VYDAJ	VYBER	15	24031	SLUZBY	\N	\N
223540	760	1998-08-31	VYDAJ	VYBER	15	26220	SLUZBY	\N	\N
223541	760	1998-09-30	VYDAJ	VYBER	15	20730	SLUZBY	\N	\N
223542	760	1998-10-31	VYDAJ	VYBER	15	24109	SLUZBY	\N	\N
223543	760	1998-11-30	VYDAJ	VYBER	15	22542	SLUZBY	\N	\N
223544	760	1997-06-23	PRIJEM	VKLAD	4900	21246	\N	\N	\N
223545	760	1997-07-23	VYDAJ	VYBER	3300	28666	\N	\N	\N
223546	760	1997-08-22	VYDAJ	VYBER	6900	32561	\N	\N	\N
223547	760	1997-09-21	VYDAJ	VYBER	13300	30082	\N	\N	\N
223548	760	1997-10-21	VYDAJ	VYBER	11400	24306	\N	\N	\N
223549	760	1997-11-20	VYDAJ	VYBER	2800	24110	\N	\N	\N
223550	760	1997-12-20	VYDAJ	VYBER	6800	26205	\N	\N	\N
223551	760	1998-01-19	VYDAJ	VYBER	7000	21441	\N	\N	\N
223552	760	1998-02-18	VYDAJ	VYBER	5900	21126	\N	\N	\N
223553	760	1998-03-20	VYDAJ	VYBER	5200	21501	\N	\N	\N
223554	760	1998-04-19	VYDAJ	VYBER	2600	24477	\N	\N	\N
223555	760	1998-05-19	VYDAJ	VYBER	7500	20276	\N	\N	\N
223556	760	1998-06-18	VYDAJ	VYBER	2100	26940	\N	\N	\N
223557	760	1998-07-18	VYDAJ	VYBER	8600	23930	\N	\N	\N
223558	760	1998-08-17	VYDAJ	VYBER	3400	26122	\N	\N	\N
223559	760	1998-09-16	VYDAJ	VYBER	7000	24711	\N	\N	\N
223560	760	1998-10-16	VYDAJ	VYBER	1000	25221	\N	\N	\N
223561	760	1998-11-15	VYDAJ	VYBER	800	28800	\N	\N	\N
223581	761	1994-04-09	PRIJEM	VKLAD	300	300	\N	\N	\N
223708	761	1994-05-09	PRIJEM	VKLAD	12800	13100	\N	\N	\N
223709	761	1994-06-08	PRIJEM	VKLAD	3300	16400	\N	\N	\N
223710	761	1994-07-08	PRIJEM	VKLAD	2900	19300	\N	\N	\N
223711	761	1994-08-07	PRIJEM	VKLAD	500	19800	\N	\N	\N
223712	761	1994-09-06	PRIJEM	VKLAD	500	20300	\N	\N	\N
223713	761	1994-10-06	PRIJEM	VKLAD	2700	23000	\N	\N	\N
223714	761	1994-11-05	PRIJEM	VKLAD	2200	25200	\N	\N	\N
223715	761	1994-12-05	PRIJEM	VKLAD	200	25400	\N	\N	\N
223716	761	1995-01-04	VYDAJ	VYBER	1000	24400	\N	\N	\N
223717	761	1995-02-03	VYDAJ	VYBER	2100	22300	\N	\N	\N
223718	761	1995-03-05	PRIJEM	VKLAD	1000	23300	\N	\N	\N
223719	761	1995-04-04	PRIJEM	VKLAD	2000	25300	\N	\N	\N
223720	761	1995-05-04	PRIJEM	VKLAD	1000	26300	\N	\N	\N
223721	761	1995-06-03	VYDAJ	VYBER	3800	22500	\N	\N	\N
223722	761	1995-07-03	PRIJEM	VKLAD	2400	24900	\N	\N	\N
223723	761	1995-09-01	VYDAJ	VYBER	2100	22800	\N	\N	\N
223724	761	1995-10-01	PRIJEM	VKLAD	3600	26400	\N	\N	\N
223725	761	1995-10-31	VYDAJ	VYBER	900	25503	\N	\N	\N
223726	761	1995-11-30	PRIJEM	VKLAD	3100	28603	\N	\N	\N
223727	761	1995-12-30	VYDAJ	VYBER	1500	27210	\N	\N	\N
223728	761	1996-01-29	VYDAJ	VYBER	400	26916	\N	\N	\N
223729	761	1996-02-28	PRIJEM	VKLAD	2400	29422	\N	\N	\N
223730	761	1996-03-29	VYDAJ	VYBER	800	28729	\N	\N	\N
223731	761	1996-04-28	PRIJEM	VKLAD	1500	30335	\N	\N	\N
223732	761	1996-05-28	PRIJEM	VKLAD	300	30741	\N	\N	\N
223733	761	1996-06-27	PRIJEM	VKLAD	700	31547	\N	\N	\N
223734	761	1996-07-27	VYDAJ	VYBER	100	31554	\N	\N	\N
223735	761	1996-08-26	PRIJEM	VKLAD	1100	32760	\N	\N	\N
223736	761	1996-09-25	VYDAJ	VYBER	1900	30966	\N	\N	\N
223737	761	1996-10-25	VYDAJ	VYBER	1300	29772	\N	\N	\N
223738	761	1996-11-24	PRIJEM	VKLAD	2300	32179	\N	\N	\N
223739	761	1996-12-24	PRIJEM	VKLAD	4900	37185	\N	\N	\N
223740	761	1997-01-23	PRIJEM	VKLAD	4700	41991	\N	\N	\N
223741	761	1997-02-22	PRIJEM	VKLAD	4400	46497	\N	\N	\N
223742	761	1997-03-24	PRIJEM	VKLAD	3700	50304	\N	\N	\N
223743	761	1997-04-23	VYDAJ	VYBER	3000	47410	\N	\N	\N
223744	761	1997-05-23	VYDAJ	VYBER	3400	44116	\N	\N	\N
223745	761	1997-06-22	VYDAJ	VYBER	3400	40822	\N	\N	\N
223746	761	1997-07-22	VYDAJ	VYBER	1200	39729	\N	\N	\N
223747	761	1997-08-21	PRIJEM	VKLAD	2800	42635	\N	\N	\N
223748	761	1997-09-20	PRIJEM	VKLAD	4700	47441	\N	\N	\N
223749	761	1997-10-20	PRIJEM	VKLAD	4500	52047	\N	\N	\N
223750	761	1997-11-19	PRIJEM	VKLAD	4400	56554	\N	\N	\N
223751	761	1997-12-19	PRIJEM	VKLAD	3000	59660	\N	\N	\N
223752	761	1998-01-18	PRIJEM	VKLAD	1300	61066	\N	\N	\N
223753	761	1998-02-17	VYDAJ	VYBER	100	61072	\N	\N	\N
223754	761	1998-03-19	PRIJEM	VKLAD	1200	62379	\N	\N	\N
223755	761	1998-04-18	PRIJEM	VKLAD	3600	66085	\N	\N	\N
223756	761	1998-05-18	VYDAJ	VYBER	200	65991	\N	\N	\N
223757	761	1998-06-17	VYDAJ	VYBER	1100	64998	\N	\N	\N
223758	761	1998-07-17	VYDAJ	VYBER	2500	62604	\N	\N	\N
223759	761	1998-08-16	VYDAJ	VYBER	2400	60310	\N	\N	\N
223760	761	1998-09-15	PRIJEM	VKLAD	4300	64716	\N	\N	\N
223761	761	1998-10-15	PRIJEM	VKLAD	100	64923	\N	\N	\N
223762	761	1998-11-14	PRIJEM	VKLAD	4200	69229	\N	\N	\N
223800	762	1995-10-18	PRIJEM	VKLAD	900	900	\N	\N	\N
223811	762	1995-11-13	PRIJEM	PREVOD Z UCTU	5984	6884	DUCHOD	WX	73748171
223812	762	1995-12-13	PRIJEM	PREVOD Z UCTU	5984	12868	DUCHOD	WX	73748171
223813	762	1996-01-13	PRIJEM	PREVOD Z UCTU	5984	18852	DUCHOD	WX	73748171
223814	762	1996-02-13	PRIJEM	PREVOD Z UCTU	5984	24836	DUCHOD	WX	73748171
223815	762	1996-03-13	PRIJEM	PREVOD Z UCTU	5984	27166	DUCHOD	WX	73748171
223816	762	1996-04-13	PRIJEM	PREVOD Z UCTU	5984	21007	DUCHOD	WX	73748171
223817	762	1996-05-13	PRIJEM	PREVOD Z UCTU	5984	20760	DUCHOD	WX	73748171
223818	762	1996-06-13	PRIJEM	PREVOD Z UCTU	5984	21715	DUCHOD	WX	73748171
223819	762	1996-07-13	PRIJEM	PREVOD Z UCTU	5984	20187	DUCHOD	WX	73748171
223820	762	1996-08-13	PRIJEM	PREVOD Z UCTU	5984	22343	DUCHOD	WX	73748171
223821	762	1996-09-13	PRIJEM	PREVOD Z UCTU	5984	21006	DUCHOD	WX	73748171
223822	762	1996-10-13	PRIJEM	PREVOD Z UCTU	5984	23165	DUCHOD	WX	73748171
223823	762	1996-11-13	PRIJEM	PREVOD Z UCTU	5984	23732	DUCHOD	WX	73748171
223824	762	1996-12-13	PRIJEM	PREVOD Z UCTU	5984	23404	DUCHOD	WX	73748171
223825	762	1997-01-13	PRIJEM	PREVOD Z UCTU	5984	20884	DUCHOD	WX	73748171
223826	762	1997-02-13	PRIJEM	PREVOD Z UCTU	5984	15197	DUCHOD	WX	73748171
223827	762	1997-03-13	PRIJEM	PREVOD Z UCTU	5984	17331	DUCHOD	WX	73748171
223828	762	1997-04-13	PRIJEM	PREVOD Z UCTU	5984	18375	DUCHOD	WX	73748171
223829	762	1997-05-13	PRIJEM	PREVOD Z UCTU	5984	17163	DUCHOD	WX	73748171
223830	762	1997-06-13	PRIJEM	PREVOD Z UCTU	5984	15545	DUCHOD	WX	73748171
223831	762	1997-07-13	PRIJEM	PREVOD Z UCTU	5984	14925	DUCHOD	WX	73748171
223832	762	1997-08-13	PRIJEM	PREVOD Z UCTU	5984	17058	DUCHOD	WX	73748171
223833	762	1997-09-13	PRIJEM	PREVOD Z UCTU	5984	18200	DUCHOD	WX	73748171
223834	762	1997-10-13	PRIJEM	PREVOD Z UCTU	5984	18748	DUCHOD	WX	73748171
223835	762	1997-11-13	PRIJEM	PREVOD Z UCTU	5984	19138	DUCHOD	WX	73748171
223836	762	1997-12-13	PRIJEM	PREVOD Z UCTU	5984	21291	DUCHOD	WX	73748171
223837	762	1998-01-13	PRIJEM	PREVOD Z UCTU	5984	16788	DUCHOD	WX	73748171
223838	762	1998-02-13	PRIJEM	PREVOD Z UCTU	5984	15407	DUCHOD	WX	73748171
223839	762	1998-03-13	PRIJEM	PREVOD Z UCTU	5984	17542	DUCHOD	WX	73748171
223840	762	1998-04-13	PRIJEM	PREVOD Z UCTU	5984	19685	DUCHOD	WX	73748171
223841	762	1998-05-13	PRIJEM	PREVOD Z UCTU	5984	21338	DUCHOD	WX	73748171
223842	762	1998-06-13	PRIJEM	PREVOD Z UCTU	5984	21297	DUCHOD	WX	73748171
223843	762	1998-07-13	PRIJEM	PREVOD Z UCTU	5984	16805	DUCHOD	WX	73748171
223844	762	1998-08-13	PRIJEM	PREVOD Z UCTU	5984	14148	DUCHOD	WX	73748171
223845	762	1998-09-13	PRIJEM	PREVOD Z UCTU	5984	14984	DUCHOD	WX	73748171
223846	762	1998-10-13	PRIJEM	PREVOD Z UCTU	5984	15619	DUCHOD	WX	73748171
223847	762	1998-11-13	PRIJEM	PREVOD Z UCTU	5984	17195	DUCHOD	WX	73748171
223848	762	1998-12-13	PRIJEM	PREVOD Z UCTU	5984	14237	DUCHOD	WX	73748171
223864	762	1996-04-12	VYDAJ	PREVOD NA UCET	3895	15023	SIPO	GH	26588875
223865	762	1996-05-12	VYDAJ	PREVOD NA UCET	3895	14776	SIPO	GH	26588875
223866	762	1996-06-12	VYDAJ	PREVOD NA UCET	3895	15731	SIPO	GH	26588875
223867	762	1996-07-12	VYDAJ	PREVOD NA UCET	3895	14203	SIPO	GH	26588875
223868	762	1996-08-12	VYDAJ	PREVOD NA UCET	3895	16359	SIPO	GH	26588875
223869	762	1996-09-12	VYDAJ	PREVOD NA UCET	3895	15022	SIPO	GH	26588875
223870	762	1996-10-12	VYDAJ	PREVOD NA UCET	3895	17181	SIPO	GH	26588875
223871	762	1996-11-12	VYDAJ	PREVOD NA UCET	3895	17748	SIPO	GH	26588875
223872	762	1996-12-12	VYDAJ	PREVOD NA UCET	3895	17420	SIPO	GH	26588875
223873	762	1997-01-12	VYDAJ	PREVOD NA UCET	3895	14900	SIPO	GH	26588875
223874	762	1997-02-12	VYDAJ	PREVOD NA UCET	3895	9213	SIPO	GH	26588875
223875	762	1997-03-12	VYDAJ	PREVOD NA UCET	3895	11347	SIPO	GH	26588875
223876	762	1997-04-12	VYDAJ	PREVOD NA UCET	3895	12391	SIPO	GH	26588875
223877	762	1997-05-12	VYDAJ	PREVOD NA UCET	3895	11179	SIPO	GH	26588875
223878	762	1997-06-12	VYDAJ	PREVOD NA UCET	3895	9561	SIPO	GH	26588875
223879	762	1997-07-12	VYDAJ	PREVOD NA UCET	3895	8941	SIPO	GH	26588875
223880	762	1997-08-12	VYDAJ	PREVOD NA UCET	3895	11074	SIPO	GH	26588875
223881	762	1997-09-12	VYDAJ	PREVOD NA UCET	3895	12216	SIPO	GH	26588875
223882	762	1997-10-12	VYDAJ	PREVOD NA UCET	3895	12764	SIPO	GH	26588875
223883	762	1997-11-12	VYDAJ	PREVOD NA UCET	3895	13154	SIPO	GH	26588875
223884	762	1997-12-12	VYDAJ	PREVOD NA UCET	3895	15307	SIPO	GH	26588875
223885	762	1998-01-12	VYDAJ	PREVOD NA UCET	3895	10804	SIPO	GH	26588875
223886	762	1998-02-12	VYDAJ	PREVOD NA UCET	3895	9423	SIPO	GH	26588875
223887	762	1998-03-12	VYDAJ	PREVOD NA UCET	3895	11558	SIPO	GH	26588875
223888	762	1998-04-12	VYDAJ	PREVOD NA UCET	3895	13701	SIPO	GH	26588875
223889	762	1998-05-12	VYDAJ	PREVOD NA UCET	3895	15354	SIPO	GH	26588875
223890	762	1998-06-12	VYDAJ	PREVOD NA UCET	3895	15313	SIPO	GH	26588875
223891	762	1998-07-12	VYDAJ	PREVOD NA UCET	3895	10821	SIPO	GH	26588875
223892	762	1998-08-12	VYDAJ	PREVOD NA UCET	3895	8164	SIPO	GH	26588875
223893	762	1998-09-12	VYDAJ	PREVOD NA UCET	3895	9000	SIPO	GH	26588875
223894	762	1998-10-12	VYDAJ	PREVOD NA UCET	3895	9635	SIPO	GH	26588875
223895	762	1998-11-12	VYDAJ	PREVOD NA UCET	3895	11211	SIPO	GH	26588875
223896	762	1998-12-12	VYDAJ	PREVOD NA UCET	3895	8253	SIPO	GH	26588875
223899	762	1997-06-16	VYDAJ	VYBER	2750	12795	\N	\N	\N
223900	762	1998-06-24	VYDAJ	VYBER	4450	16847	\N	\N	\N
223902	762	1996-12-21	VYDAJ	VYBER	850	22554	\N	\N	\N
223903	762	1997-12-15	VYDAJ	VYBER	1100	20191	\N	\N	\N
223917	762	1997-01-23	VYDAJ	VYBER	1920	14724	\N	\N	\N
223918	762	1997-01-10	VYDAJ	VYBER	1760	18795	\N	\N	\N
223919	762	1997-01-28	VYDAJ	VYBER	1280	13444	\N	\N	\N
223920	762	1997-01-03	VYDAJ	VYBER	2080	20555	\N	\N	\N
223921	762	1997-01-13	VYDAJ	VYBER	1920	18964	\N	\N	\N
223922	762	1997-01-23	VYDAJ	VYBER	480	16644	\N	\N	\N
223923	762	1998-01-05	VYDAJ	VYBER	1040	19019	\N	\N	\N
223924	762	1998-01-13	VYDAJ	VYBER	2160	14628	\N	\N	\N
223927	762	1998-01-16	VYDAJ	VYBER	1360	13268	\N	\N	\N
223928	762	1998-01-10	VYDAJ	VYBER	2240	16779	\N	\N	\N
223934	762	1996-03-26	VYDAJ	VYBER	2720	18846	\N	\N	\N
223936	762	1996-08-31	VYDAJ	VYBER	1200	18932	\N	\N	\N
223937	762	1996-06-13	VYDAJ	VYBER	2880	18835	\N	\N	\N
223939	762	1997-05-23	VYDAJ	VYBER	3760	13403	\N	\N	\N
223940	762	1997-11-05	VYDAJ	VYBER	1760	17049	\N	\N	\N
223942	762	1997-02-02	VYDAJ	VYBER	400	13108	\N	\N	\N
223943	762	1997-01-19	VYDAJ	VYBER	1840	17124	\N	\N	\N
223944	762	1997-05-01	VYDAJ	VYBER	3360	15074	\N	\N	\N
223945	762	1998-10-25	VYDAJ	VYBER	560	15059	\N	\N	\N
223946	762	1998-01-12	VYDAJ	VYBER	2080	14699	\N	\N	\N
223963	762	1996-03-31	VYDAJ	VYBER	15	18918	SLUZBY	\N	\N
223964	762	1996-04-30	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
223965	762	1996-05-31	VYDAJ	VYBER	15	19626	SLUZBY	\N	\N
223966	762	1996-06-30	VYDAJ	VYBER	15	18098	SLUZBY	\N	\N
223967	762	1996-07-31	VYDAJ	VYBER	15	20254	SLUZBY	\N	\N
223968	762	1996-08-31	VYDAJ	VYBER	15	18917	SLUZBY	\N	\N
223969	762	1996-09-30	VYDAJ	VYBER	15	21076	SLUZBY	\N	\N
223970	762	1996-10-31	VYDAJ	VYBER	15	23243	SLUZBY	\N	\N
223971	762	1996-11-30	VYDAJ	VYBER	15	23815	SLUZBY	\N	\N
223972	762	1996-12-31	VYDAJ	VYBER	15	22635	SLUZBY	\N	\N
223973	762	1997-01-31	VYDAJ	VYBER	15	13508	SLUZBY	\N	\N
223974	762	1997-02-28	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
223975	762	1997-03-31	VYDAJ	VYBER	15	17386	SLUZBY	\N	\N
223976	762	1997-04-30	VYDAJ	VYBER	15	18434	SLUZBY	\N	\N
223977	762	1997-05-31	VYDAJ	VYBER	15	13456	SLUZBY	\N	\N
223978	762	1997-06-30	VYDAJ	VYBER	15	12836	SLUZBY	\N	\N
223979	762	1997-07-31	VYDAJ	VYBER	15	14969	SLUZBY	\N	\N
223980	762	1997-08-31	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
223981	762	1997-09-30	VYDAJ	VYBER	15	18259	SLUZBY	\N	\N
223982	762	1997-10-31	VYDAJ	VYBER	15	18809	SLUZBY	\N	\N
223983	762	1997-11-30	VYDAJ	VYBER	15	19202	SLUZBY	\N	\N
223984	762	1997-12-31	VYDAJ	VYBER	15	20259	SLUZBY	\N	\N
223985	762	1998-01-31	VYDAJ	VYBER	15	13318	SLUZBY	\N	\N
223986	762	1998-02-28	VYDAJ	VYBER	15	15453	SLUZBY	\N	\N
223987	762	1998-03-31	VYDAJ	VYBER	15	17596	SLUZBY	\N	\N
223988	762	1998-04-30	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
223989	762	1998-05-31	VYDAJ	VYBER	15	21408	SLUZBY	\N	\N
223990	762	1998-06-30	VYDAJ	VYBER	15	16916	SLUZBY	\N	\N
223991	762	1998-07-31	VYDAJ	VYBER	15	16859	SLUZBY	\N	\N
223992	762	1998-08-31	VYDAJ	VYBER	15	14195	SLUZBY	\N	\N
223993	762	1998-09-30	VYDAJ	VYBER	15	15030	SLUZBY	\N	\N
223994	762	1998-10-31	VYDAJ	VYBER	15	15106	SLUZBY	\N	\N
223995	762	1998-11-30	VYDAJ	VYBER	15	17248	SLUZBY	\N	\N
223996	762	1996-02-15	VYDAJ	VYBER	3700	21136	\N	\N	\N
223997	762	1996-03-16	VYDAJ	VYBER	5600	21566	\N	\N	\N
223998	762	1996-04-15	VYDAJ	VYBER	2400	18607	\N	\N	\N
223999	762	1996-05-15	VYDAJ	VYBER	1200	19560	\N	\N	\N
224000	762	1996-06-14	VYDAJ	VYBER	800	18035	\N	\N	\N
224001	762	1996-08-13	VYDAJ	VYBER	2300	20043	\N	\N	\N
224002	762	1996-11-11	VYDAJ	VYBER	1600	21643	\N	\N	\N
224003	762	1996-12-11	VYDAJ	VYBER	2500	21315	\N	\N	\N
224004	762	1997-04-10	VYDAJ	VYBER	1100	16286	\N	\N	\N
224005	762	1997-09-07	VYDAJ	VYBER	1000	16111	\N	\N	\N
224006	762	1997-10-07	VYDAJ	VYBER	1600	16659	\N	\N	\N
224007	762	1998-01-05	VYDAJ	VYBER	200	20059	\N	\N	\N
224008	762	1998-05-05	VYDAJ	VYBER	500	19249	\N	\N	\N
224009	762	1998-06-04	VYDAJ	VYBER	2200	19208	\N	\N	\N
224010	762	1998-07-04	VYDAJ	VYBER	2200	14716	\N	\N	\N
224011	762	1998-08-03	VYDAJ	VYBER	4800	12059	\N	\N	\N
224012	762	1998-09-02	VYDAJ	VYBER	1300	12895	\N	\N	\N
224013	762	1998-10-02	VYDAJ	VYBER	1500	13530	\N	\N	\N
224014	762	1998-12-01	VYDAJ	VYBER	5100	12148	\N	\N	\N
224050	763	1995-02-23	PRIJEM	VKLAD	600	600	\N	\N	\N
224053	763	1995-03-10	PRIJEM	VKLAD	11126	11726	\N	\N	\N
224054	763	1995-04-10	PRIJEM	VKLAD	11126	27267	\N	\N	\N
224055	763	1995-05-10	PRIJEM	VKLAD	11126	35468	\N	\N	\N
224056	763	1995-06-10	PRIJEM	VKLAD	16689	47666	\N	\N	\N
224057	763	1995-07-10	PRIJEM	VKLAD	11126	45224	\N	\N	\N
224058	763	1995-08-10	PRIJEM	VKLAD	11126	37559	\N	\N	\N
224059	763	1995-09-10	PRIJEM	VKLAD	11126	35698	\N	\N	\N
224060	763	1995-10-10	PRIJEM	VKLAD	11126	31405	\N	\N	\N
224061	763	1995-11-10	PRIJEM	VKLAD	11126	33020	\N	\N	\N
224062	763	1995-12-10	PRIJEM	VKLAD	16689	35265	\N	\N	\N
224063	763	1996-01-10	PRIJEM	VKLAD	11126	25356	\N	\N	\N
224064	763	1996-02-10	PRIJEM	VKLAD	11126	22861	\N	\N	\N
224065	763	1996-03-10	PRIJEM	VKLAD	11126	27447	\N	\N	\N
224066	763	1996-04-10	PRIJEM	VKLAD	11126	32454	\N	\N	\N
224067	763	1996-05-10	PRIJEM	VKLAD	11126	31570	\N	\N	\N
224068	763	1996-06-10	PRIJEM	VKLAD	16689	37949	\N	\N	\N
224069	763	1996-07-10	PRIJEM	VKLAD	11126	23836	\N	\N	\N
224070	763	1996-08-10	PRIJEM	VKLAD	11126	27324	\N	\N	\N
224071	763	1996-09-10	PRIJEM	VKLAD	11126	31031	\N	\N	\N
224072	763	1996-10-10	PRIJEM	VKLAD	11126	27284	\N	\N	\N
224073	763	1996-11-10	PRIJEM	VKLAD	11126	32193	\N	\N	\N
224074	763	1996-12-10	PRIJEM	VKLAD	16689	34327	\N	\N	\N
224075	763	1997-01-10	PRIJEM	VKLAD	11126	27178	\N	\N	\N
224076	763	1997-02-10	PRIJEM	VKLAD	11126	17819	\N	\N	\N
224077	763	1997-03-10	PRIJEM	VKLAD	11126	20563	\N	\N	\N
224078	763	1997-04-10	PRIJEM	VKLAD	11126	26369	\N	\N	\N
224079	763	1997-05-10	PRIJEM	VKLAD	11126	28912	\N	\N	\N
224080	763	1997-06-10	PRIJEM	VKLAD	16689	40692	\N	\N	\N
224081	763	1997-07-10	PRIJEM	VKLAD	11126	39931	\N	\N	\N
224082	763	1997-08-10	PRIJEM	VKLAD	11126	38874	\N	\N	\N
224083	763	1997-09-10	PRIJEM	VKLAD	11126	41822	\N	\N	\N
224084	763	1997-10-10	PRIJEM	VKLAD	11126	46187	\N	\N	\N
224085	763	1997-11-10	PRIJEM	VKLAD	11126	44602	\N	\N	\N
224086	763	1997-12-10	PRIJEM	VKLAD	16689	53138	\N	\N	\N
224087	763	1998-01-10	PRIJEM	VKLAD	11126	49224	\N	\N	\N
224088	763	1998-02-10	PRIJEM	VKLAD	11126	42558	\N	\N	\N
224089	763	1998-03-10	PRIJEM	VKLAD	11126	42411	\N	\N	\N
224090	763	1998-04-10	PRIJEM	VKLAD	11126	43027	\N	\N	\N
224091	763	1998-05-10	PRIJEM	VKLAD	11126	46691	\N	\N	\N
224092	763	1998-06-10	PRIJEM	VKLAD	16689	56835	\N	\N	\N
224093	763	1998-07-10	PRIJEM	VKLAD	11126	44917	\N	\N	\N
224094	763	1998-08-10	PRIJEM	VKLAD	11126	47883	\N	\N	\N
224095	763	1998-09-10	PRIJEM	VKLAD	11126	43668	\N	\N	\N
224096	763	1998-10-10	PRIJEM	VKLAD	11126	42240	\N	\N	\N
224097	763	1998-11-10	PRIJEM	VKLAD	11126	39903	\N	\N	\N
224098	763	1998-12-10	PRIJEM	VKLAD	16689	40601	\N	\N	\N
224106	763	1995-08-06	VYDAJ	PREVOD NA UCET	7417	26433	SIPO	CD	9127396
224107	763	1995-09-06	VYDAJ	PREVOD NA UCET	7417	24572	SIPO	CD	9127396
224108	763	1995-10-06	VYDAJ	PREVOD NA UCET	7417	20999	SIPO	CD	9127396
224109	763	1995-11-06	VYDAJ	PREVOD NA UCET	7417	21894	SIPO	CD	9127396
224110	763	1995-12-06	VYDAJ	PREVOD NA UCET	7417	18576	SIPO	CD	9127396
224111	763	1996-01-06	VYDAJ	PREVOD NA UCET	7417	14230	SIPO	CD	9127396
224112	763	1996-02-06	VYDAJ	PREVOD NA UCET	7417	11735	SIPO	CD	9127396
224113	763	1996-03-06	VYDAJ	PREVOD NA UCET	7417	16321	SIPO	CD	9127396
224114	763	1996-04-06	VYDAJ	PREVOD NA UCET	7417	21328	SIPO	CD	9127396
224115	763	1996-05-06	VYDAJ	PREVOD NA UCET	7417	20444	SIPO	CD	9127396
224116	763	1996-06-06	VYDAJ	PREVOD NA UCET	7417	21260	SIPO	CD	9127396
224117	763	1996-07-06	VYDAJ	PREVOD NA UCET	7417	12710	SIPO	CD	9127396
224118	763	1996-08-06	VYDAJ	PREVOD NA UCET	7417	16198	SIPO	CD	9127396
224119	763	1996-09-06	VYDAJ	PREVOD NA UCET	7417	19905	SIPO	CD	9127396
224120	763	1996-10-06	VYDAJ	PREVOD NA UCET	7417	21318	SIPO	CD	9127396
224121	763	1996-11-06	VYDAJ	PREVOD NA UCET	7417	21067	SIPO	CD	9127396
224122	763	1996-12-06	VYDAJ	PREVOD NA UCET	7417	17638	SIPO	CD	9127396
224123	763	1997-01-06	VYDAJ	PREVOD NA UCET	7417	19292	SIPO	CD	9127396
224124	763	1997-02-06	VYDAJ	PREVOD NA UCET	7417	6693	SIPO	CD	9127396
224125	763	1997-03-06	VYDAJ	PREVOD NA UCET	7417	9437	SIPO	CD	9127396
224126	763	1997-04-06	VYDAJ	PREVOD NA UCET	7417	15243	SIPO	CD	9127396
224127	763	1997-05-06	VYDAJ	PREVOD NA UCET	7417	20546	SIPO	CD	9127396
224128	763	1997-06-06	VYDAJ	PREVOD NA UCET	7417	24003	SIPO	CD	9127396
224129	763	1997-07-06	VYDAJ	PREVOD NA UCET	7417	28805	SIPO	CD	9127396
224130	763	1997-08-06	VYDAJ	PREVOD NA UCET	7417	27748	SIPO	CD	9127396
224131	763	1997-09-06	VYDAJ	PREVOD NA UCET	7417	30696	SIPO	CD	9127396
224132	763	1997-10-06	VYDAJ	PREVOD NA UCET	7417	35061	SIPO	CD	9127396
224133	763	1997-11-06	VYDAJ	PREVOD NA UCET	7417	32876	SIPO	CD	9127396
224134	763	1997-12-06	VYDAJ	PREVOD NA UCET	7417	37349	SIPO	CD	9127396
224135	763	1998-01-06	VYDAJ	PREVOD NA UCET	7417	33698	SIPO	CD	9127396
224136	763	1998-02-06	VYDAJ	PREVOD NA UCET	7417	21632	SIPO	CD	9127396
224137	763	1998-03-06	VYDAJ	PREVOD NA UCET	7417	29885	SIPO	CD	9127396
224138	763	1998-04-06	VYDAJ	PREVOD NA UCET	7417	30701	SIPO	CD	9127396
224139	763	1998-05-06	VYDAJ	PREVOD NA UCET	7417	35765	SIPO	CD	9127396
224140	763	1998-06-06	VYDAJ	PREVOD NA UCET	7417	39446	SIPO	CD	9127396
224141	763	1998-07-06	VYDAJ	PREVOD NA UCET	7417	26091	SIPO	CD	9127396
224142	763	1998-08-06	VYDAJ	PREVOD NA UCET	7417	36757	SIPO	CD	9127396
224143	763	1998-09-06	VYDAJ	PREVOD NA UCET	7417	32542	SIPO	CD	9127396
224144	763	1998-10-06	VYDAJ	PREVOD NA UCET	7417	31114	SIPO	CD	9127396
224145	763	1998-11-06	VYDAJ	PREVOD NA UCET	7417	28777	SIPO	CD	9127396
224146	763	1998-12-06	VYDAJ	PREVOD NA UCET	7417	23912	SIPO	CD	9127396
224148	763	1996-06-27	VYDAJ	VYBER	15040	20009	\N	\N	\N
224150	763	1998-06-27	VYDAJ	VYBER	23520	33315	\N	\N	\N
224153	763	1997-01-22	VYDAJ	VYBER	4640	14038	\N	\N	\N
224154	763	1998-01-20	VYDAJ	VYBER	12640	32864	\N	\N	\N
224155	763	1995-12-14	VYDAJ	VYBER	3200	32065	\N	\N	\N
224157	763	1997-12-12	VYDAJ	VYBER	3680	49458	\N	\N	\N
224158	763	1998-12-01	VYDAJ	VYBER	1120	38929	\N	\N	\N
224165	763	1996-01-02	VYDAJ	VYBER	1080	21647	\N	\N	\N
224166	763	1996-01-20	VYDAJ	VYBER	600	23276	\N	\N	\N
224167	763	1996-01-24	VYDAJ	VYBER	2400	20876	\N	\N	\N
224168	763	1996-01-18	VYDAJ	VYBER	1080	24276	\N	\N	\N
224169	763	1996-01-02	VYDAJ	VYBER	3240	22727	\N	\N	\N
224170	763	1996-01-30	VYDAJ	VYBER	1800	19076	\N	\N	\N
224171	763	1997-01-19	VYDAJ	VYBER	2400	21678	\N	\N	\N
224172	763	1997-01-21	VYDAJ	VYBER	3000	18678	\N	\N	\N
224174	763	1997-01-08	VYDAJ	VYBER	3240	16052	\N	\N	\N
224176	763	1997-01-02	VYDAJ	VYBER	2280	26709	\N	\N	\N
224177	763	1998-01-24	VYDAJ	VYBER	2880	29984	\N	\N	\N
224178	763	1998-01-28	VYDAJ	VYBER	1080	28904	\N	\N	\N
224179	763	1998-01-10	VYDAJ	VYBER	1200	48024	\N	\N	\N
224180	763	1998-01-04	VYDAJ	VYBER	600	44595	\N	\N	\N
224181	763	1998-01-12	VYDAJ	VYBER	2520	45504	\N	\N	\N
224182	763	1998-01-05	VYDAJ	VYBER	3480	41115	\N	\N	\N
224184	763	1995-12-05	VYDAJ	VYBER	3840	25993	\N	\N	\N
224185	763	1995-10-07	VYDAJ	VYBER	720	20279	\N	\N	\N
224187	763	1995-09-18	VYDAJ	VYBER	4560	31138	\N	\N	\N
224189	763	1995-09-23	VYDAJ	VYBER	1440	28298	\N	\N	\N
224190	763	1996-11-26	VYDAJ	VYBER	3960	24953	\N	\N	\N
224191	763	1996-12-11	VYDAJ	VYBER	3840	30487	\N	\N	\N
224192	763	1996-08-30	VYDAJ	VYBER	1800	27224	\N	\N	\N
224193	763	1996-11-12	VYDAJ	VYBER	5880	26313	\N	\N	\N
224194	763	1996-10-08	VYDAJ	VYBER	5160	16158	\N	\N	\N
224195	763	1997-10-24	VYDAJ	VYBER	1560	40127	\N	\N	\N
224196	763	1997-12-19	VYDAJ	VYBER	4440	45018	\N	\N	\N
224197	763	1997-05-08	VYDAJ	VYBER	2760	17786	\N	\N	\N
224198	763	1997-02-19	VYDAJ	VYBER	3720	16799	\N	\N	\N
224199	763	1997-03-29	VYDAJ	VYBER	2880	22583	\N	\N	\N
224200	763	1998-03-05	VYDAJ	VYBER	5400	37302	\N	\N	\N
224201	763	1998-03-18	VYDAJ	VYBER	4440	37971	\N	\N	\N
224209	763	1995-07-31	VYDAJ	VYBER	15	33850	SLUZBY	\N	\N
224210	763	1995-08-31	VYDAJ	VYBER	15	31989	SLUZBY	\N	\N
224211	763	1995-09-30	VYDAJ	VYBER	15	28416	SLUZBY	\N	\N
224212	763	1995-10-31	VYDAJ	VYBER	15	29311	SLUZBY	\N	\N
224213	763	1995-11-30	VYDAJ	VYBER	15	29833	SLUZBY	\N	\N
224214	763	1995-12-31	VYDAJ	VYBER	15	25967	SLUZBY	\N	\N
224215	763	1996-01-31	VYDAJ	VYBER	15	19152	SLUZBY	\N	\N
224216	763	1996-02-29	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
224217	763	1996-03-31	VYDAJ	VYBER	15	28745	SLUZBY	\N	\N
224218	763	1996-04-30	VYDAJ	VYBER	15	27861	SLUZBY	\N	\N
224219	763	1996-05-31	VYDAJ	VYBER	15	28677	SLUZBY	\N	\N
224220	763	1996-06-30	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
224221	763	1996-07-31	VYDAJ	VYBER	15	23615	SLUZBY	\N	\N
224222	763	1996-08-31	VYDAJ	VYBER	15	27322	SLUZBY	\N	\N
224223	763	1996-09-30	VYDAJ	VYBER	15	28735	SLUZBY	\N	\N
224224	763	1996-10-31	VYDAJ	VYBER	15	28484	SLUZBY	\N	\N
224225	763	1996-11-30	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
224226	763	1996-12-31	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
224227	763	1997-01-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
224228	763	1997-02-28	VYDAJ	VYBER	15	16854	SLUZBY	\N	\N
224229	763	1997-03-31	VYDAJ	VYBER	15	22660	SLUZBY	\N	\N
224230	763	1997-04-30	VYDAJ	VYBER	15	27963	SLUZBY	\N	\N
224231	763	1997-05-31	VYDAJ	VYBER	15	31420	SLUZBY	\N	\N
224232	763	1997-06-30	VYDAJ	VYBER	15	36222	SLUZBY	\N	\N
224233	763	1997-07-31	VYDAJ	VYBER	15	35165	SLUZBY	\N	\N
224234	763	1997-08-31	VYDAJ	VYBER	15	38113	SLUZBY	\N	\N
224235	763	1997-09-30	VYDAJ	VYBER	15	42478	SLUZBY	\N	\N
224236	763	1997-10-31	VYDAJ	VYBER	15	40293	SLUZBY	\N	\N
224237	763	1997-11-30	VYDAJ	VYBER	15	44766	SLUZBY	\N	\N
224238	763	1997-12-31	VYDAJ	VYBER	15	45195	SLUZBY	\N	\N
224239	763	1998-01-31	VYDAJ	VYBER	15	29049	SLUZBY	\N	\N
224240	763	1998-02-28	VYDAJ	VYBER	15	42702	SLUZBY	\N	\N
224241	763	1998-03-31	VYDAJ	VYBER	15	38118	SLUZBY	\N	\N
224242	763	1998-04-30	VYDAJ	VYBER	15	43182	SLUZBY	\N	\N
224243	763	1998-05-31	VYDAJ	VYBER	15	46863	SLUZBY	\N	\N
224244	763	1998-06-30	VYDAJ	VYBER	15	33508	SLUZBY	\N	\N
224245	763	1998-07-31	VYDAJ	VYBER	15	45074	SLUZBY	\N	\N
224246	763	1998-08-31	VYDAJ	VYBER	15	48059	SLUZBY	\N	\N
224247	763	1998-09-30	VYDAJ	VYBER	15	43831	SLUZBY	\N	\N
224248	763	1998-10-31	VYDAJ	VYBER	15	42394	SLUZBY	\N	\N
224249	763	1998-11-30	VYDAJ	VYBER	15	40049	SLUZBY	\N	\N
224250	763	1995-03-25	PRIJEM	VKLAD	4400	16126	\N	\N	\N
224251	763	1995-04-24	VYDAJ	VYBER	3000	24267	\N	\N	\N
224252	763	1995-05-24	VYDAJ	VYBER	4600	30868	\N	\N	\N
224253	763	1995-06-23	VYDAJ	VYBER	13700	33966	\N	\N	\N
224254	763	1995-07-23	VYDAJ	VYBER	11500	33724	\N	\N	\N
224255	763	1995-08-22	VYDAJ	VYBER	5700	31859	\N	\N	\N
224256	763	1995-09-21	VYDAJ	VYBER	1400	29738	\N	\N	\N
224257	763	1995-10-21	VYDAJ	VYBER	2200	29205	\N	\N	\N
224258	763	1995-11-20	VYDAJ	VYBER	3300	29720	\N	\N	\N
224259	763	1995-12-20	VYDAJ	VYBER	6200	25865	\N	\N	\N
224260	763	1996-01-19	VYDAJ	VYBER	400	23876	\N	\N	\N
224261	763	1996-02-18	PRIJEM	VKLAD	800	23661	\N	\N	\N
224262	763	1996-03-19	PRIJEM	VKLAD	1200	28647	\N	\N	\N
224263	763	1996-04-18	VYDAJ	VYBER	4700	27754	\N	\N	\N
224264	763	1996-05-18	VYDAJ	VYBER	3000	28570	\N	\N	\N
224265	763	1996-06-17	VYDAJ	VYBER	2900	35049	\N	\N	\N
224266	763	1996-07-17	VYDAJ	VYBER	300	23536	\N	\N	\N
224267	763	1996-08-16	PRIJEM	VKLAD	1700	29024	\N	\N	\N
224268	763	1996-09-15	VYDAJ	VYBER	2400	28631	\N	\N	\N
224269	763	1996-10-15	PRIJEM	VKLAD	1100	28384	\N	\N	\N
224270	763	1996-11-14	PRIJEM	VKLAD	2600	28913	\N	\N	\N
224271	763	1996-12-14	VYDAJ	VYBER	1600	28887	\N	\N	\N
224272	763	1997-01-13	VYDAJ	VYBER	3100	24078	\N	\N	\N
224273	763	1997-02-12	PRIJEM	VKLAD	2700	20519	\N	\N	\N
224274	763	1997-03-14	PRIJEM	VKLAD	4900	25463	\N	\N	\N
224275	763	1997-04-13	PRIJEM	VKLAD	1500	27869	\N	\N	\N
224276	763	1997-05-13	PRIJEM	VKLAD	2400	31312	\N	\N	\N
224277	763	1997-06-12	VYDAJ	VYBER	4600	36092	\N	\N	\N
224278	763	1997-07-12	VYDAJ	VYBER	4900	35031	\N	\N	\N
224279	763	1997-08-11	VYDAJ	VYBER	900	37974	\N	\N	\N
224280	763	1997-09-10	PRIJEM	VKLAD	500	42322	\N	\N	\N
224281	763	1997-10-10	VYDAJ	VYBER	4500	41687	\N	\N	\N
224282	763	1997-11-09	PRIJEM	VKLAD	600	33476	\N	\N	\N
224283	763	1997-12-09	VYDAJ	VYBER	900	36449	\N	\N	\N
224284	763	1998-01-08	PRIJEM	VKLAD	4400	38098	\N	\N	\N
224285	763	1998-02-07	PRIJEM	VKLAD	9800	31432	\N	\N	\N
224286	763	1998-03-09	PRIJEM	VKLAD	1400	31285	\N	\N	\N
224287	763	1998-04-08	PRIJEM	VKLAD	1200	31901	\N	\N	\N
224288	763	1998-05-08	VYDAJ	VYBER	200	35565	\N	\N	\N
224289	763	1998-06-07	PRIJEM	VKLAD	700	40146	\N	\N	\N
224290	763	1998-07-07	PRIJEM	VKLAD	7700	33791	\N	\N	\N
224291	763	1998-08-06	VYDAJ	VYBER	900	44174	\N	\N	\N
224292	763	1998-09-05	VYDAJ	VYBER	8100	39959	\N	\N	\N
224293	763	1998-10-05	VYDAJ	VYBER	5300	38531	\N	\N	\N
224294	763	1998-11-04	VYDAJ	VYBER	6200	36194	\N	\N	\N
224295	763	1998-12-04	VYDAJ	VYBER	7600	31329	\N	\N	\N
224342	764	1993-01-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
224344	764	1993-02-05	PRIJEM	PREVOD Z UCTU	6238	7338	DUCHOD	UV	30560720
224345	764	1993-03-05	PRIJEM	PREVOD Z UCTU	6238	13576	DUCHOD	UV	30560720
224346	764	1993-04-05	PRIJEM	PREVOD Z UCTU	6238	19814	DUCHOD	UV	30560720
224347	764	1993-05-05	PRIJEM	PREVOD Z UCTU	6238	26052	DUCHOD	UV	30560720
224348	764	1993-06-05	PRIJEM	PREVOD Z UCTU	6238	32290	DUCHOD	UV	30560720
224349	764	1993-07-05	PRIJEM	PREVOD Z UCTU	6238	34036	DUCHOD	UV	30560720
224350	764	1993-08-05	PRIJEM	PREVOD Z UCTU	6238	33516	DUCHOD	UV	30560720
224351	764	1993-09-05	PRIJEM	PREVOD Z UCTU	6238	33392	DUCHOD	UV	30560720
224352	764	1993-10-05	PRIJEM	PREVOD Z UCTU	6238	33068	DUCHOD	UV	30560720
224353	764	1993-11-05	PRIJEM	PREVOD Z UCTU	6238	35552	DUCHOD	UV	30560720
224354	764	1993-12-05	PRIJEM	PREVOD Z UCTU	6238	37751	DUCHOD	UV	30560720
224355	764	1994-01-05	PRIJEM	PREVOD Z UCTU	6238	35917	DUCHOD	UV	30560720
224356	764	1994-02-05	PRIJEM	PREVOD Z UCTU	6238	32970	DUCHOD	UV	30560720
224357	764	1994-03-05	PRIJEM	PREVOD Z UCTU	6238	32763	DUCHOD	UV	30560720
224358	764	1994-04-05	PRIJEM	PREVOD Z UCTU	6238	30530	DUCHOD	UV	30560720
224359	764	1994-05-05	PRIJEM	PREVOD Z UCTU	6238	33810	DUCHOD	UV	30560720
224360	764	1994-06-05	PRIJEM	PREVOD Z UCTU	6238	31298	DUCHOD	UV	30560720
224361	764	1994-07-05	PRIJEM	PREVOD Z UCTU	6238	21064	DUCHOD	UV	30560720
224362	764	1994-08-05	PRIJEM	PREVOD Z UCTU	6238	25003	DUCHOD	UV	30560720
224363	764	1994-09-05	PRIJEM	PREVOD Z UCTU	6238	28958	DUCHOD	UV	30560720
224364	764	1994-10-05	PRIJEM	PREVOD Z UCTU	6238	31329	DUCHOD	UV	30560720
224365	764	1994-11-05	PRIJEM	PREVOD Z UCTU	6238	31329	DUCHOD	UV	30560720
224366	764	1994-12-05	PRIJEM	PREVOD Z UCTU	6238	32209	DUCHOD	UV	30560720
224367	764	1995-01-05	PRIJEM	PREVOD Z UCTU	6238	30090	DUCHOD	UV	30560720
224368	764	1995-02-05	PRIJEM	PREVOD Z UCTU	6238	30164	DUCHOD	UV	30560720
224369	764	1995-03-05	PRIJEM	PREVOD Z UCTU	6238	32176	DUCHOD	UV	30560720
224370	764	1995-04-05	PRIJEM	PREVOD Z UCTU	6238	32460	DUCHOD	UV	30560720
224371	764	1995-05-05	PRIJEM	PREVOD Z UCTU	6238	33844	DUCHOD	UV	30560720
224372	764	1995-06-05	PRIJEM	PREVOD Z UCTU	6238	32132	DUCHOD	UV	30560720
224373	764	1995-07-05	PRIJEM	PREVOD Z UCTU	6238	27306	DUCHOD	UV	30560720
224374	764	1995-08-05	PRIJEM	PREVOD Z UCTU	6238	26967	DUCHOD	UV	30560720
224375	764	1995-09-05	PRIJEM	PREVOD Z UCTU	6238	30429	DUCHOD	UV	30560720
224376	764	1995-10-05	PRIJEM	PREVOD Z UCTU	6238	29002	DUCHOD	UV	30560720
224377	764	1995-11-05	PRIJEM	PREVOD Z UCTU	6238	27267	DUCHOD	UV	30560720
224378	764	1995-12-05	PRIJEM	PREVOD Z UCTU	6238	24161	DUCHOD	UV	30560720
224379	764	1996-01-05	PRIJEM	PREVOD Z UCTU	6238	22808	DUCHOD	UV	30560720
224380	764	1996-02-05	PRIJEM	PREVOD Z UCTU	6238	24248	DUCHOD	UV	30560720
224381	764	1996-03-05	PRIJEM	PREVOD Z UCTU	6238	26597	DUCHOD	UV	30560720
224382	764	1996-04-05	PRIJEM	PREVOD Z UCTU	6238	29196	DUCHOD	UV	30560720
224383	764	1996-05-05	PRIJEM	PREVOD Z UCTU	6238	30164	DUCHOD	UV	30560720
224384	764	1996-06-05	PRIJEM	PREVOD Z UCTU	6238	30537	DUCHOD	UV	30560720
224385	764	1996-07-05	PRIJEM	PREVOD Z UCTU	6238	32312	DUCHOD	UV	30560720
224386	764	1996-08-05	PRIJEM	PREVOD Z UCTU	6238	31489	DUCHOD	UV	30560720
224387	764	1996-09-05	PRIJEM	PREVOD Z UCTU	6238	29961	DUCHOD	UV	30560720
224388	764	1996-10-05	PRIJEM	PREVOD Z UCTU	6238	25922	DUCHOD	UV	30560720
224389	764	1996-11-05	PRIJEM	PREVOD Z UCTU	6238	25672	DUCHOD	UV	30560720
224390	764	1996-12-05	PRIJEM	PREVOD Z UCTU	6238	25372	DUCHOD	UV	30560720
224391	764	1997-01-05	PRIJEM	PREVOD Z UCTU	6238	26723	DUCHOD	UV	30560720
224392	764	1997-02-05	PRIJEM	PREVOD Z UCTU	6238	22477	DUCHOD	UV	30560720
224393	764	1997-03-05	PRIJEM	PREVOD Z UCTU	6238	25417	DUCHOD	UV	30560720
224394	764	1997-04-05	PRIJEM	PREVOD Z UCTU	6238	22058	DUCHOD	UV	30560720
224395	764	1997-05-05	PRIJEM	PREVOD Z UCTU	6238	20388	DUCHOD	UV	30560720
224396	764	1997-06-05	PRIJEM	PREVOD Z UCTU	6238	22819	DUCHOD	UV	30560720
224397	764	1997-07-05	PRIJEM	PREVOD Z UCTU	6238	26763	DUCHOD	UV	30560720
224398	764	1997-08-05	PRIJEM	PREVOD Z UCTU	6238	21303	DUCHOD	UV	30560720
224399	764	1997-09-05	PRIJEM	PREVOD Z UCTU	6238	20330	DUCHOD	UV	30560720
224400	764	1997-10-05	PRIJEM	PREVOD Z UCTU	6238	24263	DUCHOD	UV	30560720
224401	764	1997-11-05	PRIJEM	PREVOD Z UCTU	6238	28212	DUCHOD	UV	30560720
224402	764	1997-12-05	PRIJEM	PREVOD Z UCTU	6238	28369	DUCHOD	UV	30560720
224403	764	1998-01-05	PRIJEM	PREVOD Z UCTU	6238	26773	DUCHOD	UV	30560720
224404	764	1998-02-05	PRIJEM	PREVOD Z UCTU	6238	28379	DUCHOD	UV	30560720
224405	764	1998-03-05	PRIJEM	PREVOD Z UCTU	6238	29838	DUCHOD	UV	30560720
224406	764	1998-04-05	PRIJEM	PREVOD Z UCTU	6238	29900	DUCHOD	UV	30560720
224407	764	1998-05-05	PRIJEM	PREVOD Z UCTU	6238	29482	DUCHOD	UV	30560720
224408	764	1998-06-05	PRIJEM	PREVOD Z UCTU	6238	31046	DUCHOD	UV	30560720
224409	764	1998-07-05	PRIJEM	PREVOD Z UCTU	6238	30313	DUCHOD	UV	30560720
224410	764	1998-08-05	PRIJEM	PREVOD Z UCTU	6238	25503	DUCHOD	UV	30560720
224411	764	1998-09-05	PRIJEM	PREVOD Z UCTU	6238	27150	DUCHOD	UV	30560720
224412	764	1998-10-05	PRIJEM	PREVOD Z UCTU	6238	25878	DUCHOD	UV	30560720
224413	764	1998-11-05	PRIJEM	PREVOD Z UCTU	6238	25822	DUCHOD	UV	30560720
224414	764	1998-12-05	PRIJEM	PREVOD Z UCTU	6238	27971	DUCHOD	UV	30560720
224420	764	1993-06-06	VYDAJ	PREVOD NA UCET	2360	29930	SIPO	EF	41232329
224421	764	1993-07-06	VYDAJ	PREVOD NA UCET	2360	31676	SIPO	EF	41232329
224422	764	1993-08-06	VYDAJ	PREVOD NA UCET	2360	31156	SIPO	EF	41232329
224423	764	1993-09-06	VYDAJ	PREVOD NA UCET	2360	26732	SIPO	EF	41232329
224424	764	1993-10-06	VYDAJ	PREVOD NA UCET	2360	29208	SIPO	EF	41232329
224425	764	1993-11-06	VYDAJ	PREVOD NA UCET	2360	33192	SIPO	EF	41232329
224426	764	1993-12-06	VYDAJ	PREVOD NA UCET	2360	34741	SIPO	EF	41232329
224427	764	1994-01-06	VYDAJ	PREVOD NA UCET	2360	33557	SIPO	EF	41232329
224428	764	1994-02-06	VYDAJ	PREVOD NA UCET	2360	30610	SIPO	EF	41232329
224429	764	1994-03-06	VYDAJ	PREVOD NA UCET	2360	30403	SIPO	EF	41232329
224430	764	1994-04-06	VYDAJ	PREVOD NA UCET	2360	28170	SIPO	EF	41232329
224431	764	1994-05-06	VYDAJ	PREVOD NA UCET	2360	31450	SIPO	EF	41232329
224432	764	1994-06-06	VYDAJ	PREVOD NA UCET	2360	28938	SIPO	EF	41232329
224433	764	1994-07-06	VYDAJ	PREVOD NA UCET	2360	18704	SIPO	EF	41232329
224434	764	1994-08-06	VYDAJ	PREVOD NA UCET	2360	22643	SIPO	EF	41232329
224435	764	1994-09-06	VYDAJ	PREVOD NA UCET	2360	26598	SIPO	EF	41232329
224436	764	1994-10-06	VYDAJ	PREVOD NA UCET	2360	28969	SIPO	EF	41232329
224437	764	1994-11-06	VYDAJ	PREVOD NA UCET	2360	28969	SIPO	EF	41232329
224438	764	1994-12-06	VYDAJ	PREVOD NA UCET	2360	29849	SIPO	EF	41232329
224439	764	1995-01-06	VYDAJ	PREVOD NA UCET	2360	27730	SIPO	EF	41232329
224440	764	1995-02-06	VYDAJ	PREVOD NA UCET	2360	27804	SIPO	EF	41232329
224441	764	1995-03-06	VYDAJ	PREVOD NA UCET	2360	29816	SIPO	EF	41232329
224442	764	1995-04-06	VYDAJ	PREVOD NA UCET	2360	30100	SIPO	EF	41232329
224443	764	1995-05-06	VYDAJ	PREVOD NA UCET	2360	31484	SIPO	EF	41232329
224444	764	1995-06-06	VYDAJ	PREVOD NA UCET	2360	29772	SIPO	EF	41232329
224445	764	1995-07-06	VYDAJ	PREVOD NA UCET	2360	24946	SIPO	EF	41232329
224446	764	1995-08-06	VYDAJ	PREVOD NA UCET	2360	24607	SIPO	EF	41232329
224447	764	1995-09-06	VYDAJ	PREVOD NA UCET	2360	28069	SIPO	EF	41232329
224448	764	1995-10-06	VYDAJ	PREVOD NA UCET	2360	26642	SIPO	EF	41232329
224449	764	1995-11-06	VYDAJ	PREVOD NA UCET	2360	24907	SIPO	EF	41232329
224450	764	1995-12-06	VYDAJ	PREVOD NA UCET	2360	21801	SIPO	EF	41232329
224451	764	1996-01-06	VYDAJ	PREVOD NA UCET	2360	20448	SIPO	EF	41232329
224452	764	1996-02-06	VYDAJ	PREVOD NA UCET	2360	21888	SIPO	EF	41232329
224453	764	1996-03-06	VYDAJ	PREVOD NA UCET	2360	24237	SIPO	EF	41232329
224454	764	1996-04-06	VYDAJ	PREVOD NA UCET	2360	26836	SIPO	EF	41232329
224455	764	1996-05-06	VYDAJ	PREVOD NA UCET	2360	27804	SIPO	EF	41232329
224456	764	1996-06-06	VYDAJ	PREVOD NA UCET	2360	28177	SIPO	EF	41232329
224457	764	1996-07-06	VYDAJ	PREVOD NA UCET	2360	29952	SIPO	EF	41232329
224458	764	1996-08-06	VYDAJ	PREVOD NA UCET	2360	29129	SIPO	EF	41232329
224459	764	1996-09-06	VYDAJ	PREVOD NA UCET	2360	27601	SIPO	EF	41232329
224460	764	1996-10-06	VYDAJ	PREVOD NA UCET	2360	23562	SIPO	EF	41232329
224461	764	1996-11-06	VYDAJ	PREVOD NA UCET	2360	23312	SIPO	EF	41232329
224462	764	1996-12-06	VYDAJ	PREVOD NA UCET	2360	23012	SIPO	EF	41232329
224463	764	1997-01-06	VYDAJ	PREVOD NA UCET	2360	24363	SIPO	EF	41232329
224464	764	1997-02-06	VYDAJ	PREVOD NA UCET	2360	20117	SIPO	EF	41232329
224465	764	1997-03-06	VYDAJ	PREVOD NA UCET	2360	23057	SIPO	EF	41232329
224466	764	1997-04-06	VYDAJ	PREVOD NA UCET	2360	19698	SIPO	EF	41232329
224467	764	1997-05-06	VYDAJ	PREVOD NA UCET	2360	18028	SIPO	EF	41232329
224468	764	1997-06-06	VYDAJ	PREVOD NA UCET	2360	20459	SIPO	EF	41232329
224469	764	1997-07-06	VYDAJ	PREVOD NA UCET	2360	24403	SIPO	EF	41232329
224470	764	1997-08-06	VYDAJ	PREVOD NA UCET	2360	18943	SIPO	EF	41232329
224471	764	1997-09-06	VYDAJ	PREVOD NA UCET	2360	17970	SIPO	EF	41232329
224472	764	1997-10-06	VYDAJ	PREVOD NA UCET	2360	21903	SIPO	EF	41232329
224473	764	1997-11-06	VYDAJ	PREVOD NA UCET	2360	25852	SIPO	EF	41232329
224474	764	1997-12-06	VYDAJ	PREVOD NA UCET	2360	26009	SIPO	EF	41232329
224475	764	1998-01-06	VYDAJ	PREVOD NA UCET	2360	24413	SIPO	EF	41232329
224476	764	1998-02-06	VYDAJ	PREVOD NA UCET	2360	26019	SIPO	EF	41232329
224477	764	1998-03-06	VYDAJ	PREVOD NA UCET	2360	27478	SIPO	EF	41232329
224478	764	1998-04-06	VYDAJ	PREVOD NA UCET	2360	27540	SIPO	EF	41232329
224479	764	1998-05-06	VYDAJ	PREVOD NA UCET	2360	27122	SIPO	EF	41232329
224480	764	1998-06-06	VYDAJ	PREVOD NA UCET	2360	28686	SIPO	EF	41232329
224481	764	1998-07-06	VYDAJ	PREVOD NA UCET	2360	25313	SIPO	EF	41232329
224482	764	1998-08-06	VYDAJ	PREVOD NA UCET	2360	23143	SIPO	EF	41232329
224483	764	1998-09-06	VYDAJ	PREVOD NA UCET	2360	24790	SIPO	EF	41232329
224484	764	1998-10-06	VYDAJ	PREVOD NA UCET	2360	23518	SIPO	EF	41232329
224485	764	1998-11-06	VYDAJ	PREVOD NA UCET	2360	23462	SIPO	EF	41232329
224486	764	1998-12-06	VYDAJ	PREVOD NA UCET	2360	25611	SIPO	EF	41232329
224488	764	1994-06-22	VYDAJ	VYBER	14200	14738	\N	\N	\N
224489	764	1995-06-22	VYDAJ	VYBER	8800	20972	\N	\N	\N
224492	764	1998-06-21	VYDAJ	VYBER	2000	23986	\N	\N	\N
224494	764	1994-01-17	VYDAJ	VYBER	550	33007	\N	\N	\N
224495	764	1995-01-28	VYDAJ	VYBER	3900	23830	\N	\N	\N
224496	764	1996-01-17	VYDAJ	VYBER	2500	17948	\N	\N	\N
224497	764	1997-01-07	VYDAJ	VYBER	750	23613	\N	\N	\N
224498	764	1998-01-26	VYDAJ	VYBER	1150	22063	\N	\N	\N
224499	764	1993-12-06	VYDAJ	VYBER	650	37101	\N	\N	\N
224500	764	1994-12-22	VYDAJ	VYBER	1200	28649	\N	\N	\N
224501	764	1995-12-11	VYDAJ	VYBER	1450	20351	\N	\N	\N
224502	764	1996-12-02	VYDAJ	VYBER	850	19134	\N	\N	\N
224503	764	1997-12-29	VYDAJ	VYBER	950	20459	\N	\N	\N
224504	764	1998-12-25	VYDAJ	VYBER	1050	21401	\N	\N	\N
224506	764	1993-07-01	VYDAJ	VYBER	1920	27798	\N	\N	\N
224509	764	1994-10-29	VYDAJ	VYBER	2080	26889	\N	\N	\N
224510	764	1994-03-25	VYDAJ	VYBER	3920	26483	\N	\N	\N
224511	764	1994-05-20	VYDAJ	VYBER	2800	28650	\N	\N	\N
224512	764	1995-12-17	VYDAJ	VYBER	560	16511	\N	\N	\N
224513	764	1995-12-13	VYDAJ	VYBER	3280	17071	\N	\N	\N
224514	764	1995-11-13	VYDAJ	VYBER	2160	22747	\N	\N	\N
224515	764	1995-02-12	VYDAJ	VYBER	1360	26444	\N	\N	\N
224516	764	1996-03-24	VYDAJ	VYBER	1360	22877	\N	\N	\N
224517	764	1996-05-31	VYDAJ	VYBER	1600	24299	\N	\N	\N
224519	764	1997-01-18	VYDAJ	VYBER	1840	16173	\N	\N	\N
224523	764	1998-12-10	VYDAJ	VYBER	2560	22451	\N	\N	\N
224524	764	1998-07-15	VYDAJ	VYBER	3520	19193	\N	\N	\N
224525	764	1998-10-02	VYDAJ	VYBER	1120	19640	\N	\N	\N
224526	764	1998-04-16	VYDAJ	VYBER	480	23160	\N	\N	\N
224527	764	1998-07-05	VYDAJ	VYBER	2640	27673	\N	\N	\N
224528	764	1998-03-11	VYDAJ	VYBER	2400	25078	\N	\N	\N
224535	764	1993-06-30	VYDAJ	VYBER	15	29718	SLUZBY	\N	\N
224536	764	1993-07-31	VYDAJ	VYBER	15	27278	SLUZBY	\N	\N
224537	764	1993-08-31	VYDAJ	VYBER	15	27154	SLUZBY	\N	\N
224538	764	1993-09-30	VYDAJ	VYBER	15	26830	SLUZBY	\N	\N
224539	764	1993-10-31	VYDAJ	VYBER	15	29314	SLUZBY	\N	\N
224540	764	1993-11-30	VYDAJ	VYBER	15	33313	SLUZBY	\N	\N
224541	764	1993-12-31	VYDAJ	VYBER	15	34879	SLUZBY	\N	\N
224542	764	1994-01-31	VYDAJ	VYBER	15	33132	SLUZBY	\N	\N
224543	764	1994-02-28	VYDAJ	VYBER	15	30725	SLUZBY	\N	\N
224544	764	1994-03-31	VYDAJ	VYBER	15	26592	SLUZBY	\N	\N
224545	764	1994-04-30	VYDAJ	VYBER	15	28272	SLUZBY	\N	\N
224546	764	1994-05-31	VYDAJ	VYBER	15	28760	SLUZBY	\N	\N
224547	764	1994-06-30	VYDAJ	VYBER	15	14826	SLUZBY	\N	\N
224548	764	1994-07-31	VYDAJ	VYBER	15	18765	SLUZBY	\N	\N
224549	764	1994-08-31	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
224550	764	1994-09-30	VYDAJ	VYBER	15	25091	SLUZBY	\N	\N
224551	764	1994-10-31	VYDAJ	VYBER	15	25091	SLUZBY	\N	\N
224552	764	1994-11-30	VYDAJ	VYBER	15	25971	SLUZBY	\N	\N
224553	764	1994-12-31	VYDAJ	VYBER	15	23852	SLUZBY	\N	\N
224554	764	1995-01-31	VYDAJ	VYBER	15	23926	SLUZBY	\N	\N
224555	764	1995-02-28	VYDAJ	VYBER	15	25938	SLUZBY	\N	\N
224556	764	1995-03-31	VYDAJ	VYBER	15	26222	SLUZBY	\N	\N
224557	764	1995-04-30	VYDAJ	VYBER	15	27606	SLUZBY	\N	\N
224558	764	1995-05-31	VYDAJ	VYBER	15	25894	SLUZBY	\N	\N
224559	764	1995-06-30	VYDAJ	VYBER	15	21068	SLUZBY	\N	\N
224560	764	1995-07-31	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
224561	764	1995-08-31	VYDAJ	VYBER	15	24191	SLUZBY	\N	\N
224562	764	1995-09-30	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
224563	764	1995-10-31	VYDAJ	VYBER	15	21029	SLUZBY	\N	\N
224564	764	1995-11-30	VYDAJ	VYBER	15	17923	SLUZBY	\N	\N
224565	764	1995-12-31	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
224566	764	1996-01-31	VYDAJ	VYBER	15	18010	SLUZBY	\N	\N
224567	764	1996-02-29	VYDAJ	VYBER	15	20359	SLUZBY	\N	\N
224568	764	1996-03-31	VYDAJ	VYBER	15	22958	SLUZBY	\N	\N
224569	764	1996-04-30	VYDAJ	VYBER	15	23926	SLUZBY	\N	\N
224570	764	1996-05-31	VYDAJ	VYBER	15	25899	SLUZBY	\N	\N
224571	764	1996-06-30	VYDAJ	VYBER	15	26074	SLUZBY	\N	\N
224572	764	1996-07-31	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
224573	764	1996-08-31	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
224574	764	1996-09-30	VYDAJ	VYBER	15	19684	SLUZBY	\N	\N
224575	764	1996-10-31	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
224576	764	1996-11-30	VYDAJ	VYBER	15	19984	SLUZBY	\N	\N
224577	764	1996-12-31	VYDAJ	VYBER	15	20485	SLUZBY	\N	\N
224578	764	1997-01-31	VYDAJ	VYBER	15	16239	SLUZBY	\N	\N
224579	764	1997-02-28	VYDAJ	VYBER	15	19179	SLUZBY	\N	\N
224580	764	1997-03-31	VYDAJ	VYBER	15	15820	SLUZBY	\N	\N
224581	764	1997-04-30	VYDAJ	VYBER	15	14150	SLUZBY	\N	\N
224582	764	1997-05-31	VYDAJ	VYBER	15	16581	SLUZBY	\N	\N
224583	764	1997-06-30	VYDAJ	VYBER	15	20525	SLUZBY	\N	\N
224584	764	1997-07-31	VYDAJ	VYBER	15	15065	SLUZBY	\N	\N
224585	764	1997-08-31	VYDAJ	VYBER	15	14092	SLUZBY	\N	\N
224586	764	1997-09-30	VYDAJ	VYBER	15	18025	SLUZBY	\N	\N
224587	764	1997-10-31	VYDAJ	VYBER	15	21974	SLUZBY	\N	\N
224588	764	1997-11-30	VYDAJ	VYBER	15	22131	SLUZBY	\N	\N
224589	764	1997-12-31	VYDAJ	VYBER	15	20535	SLUZBY	\N	\N
224590	764	1998-01-31	VYDAJ	VYBER	15	22141	SLUZBY	\N	\N
224591	764	1998-02-28	VYDAJ	VYBER	15	23600	SLUZBY	\N	\N
224592	764	1998-03-31	VYDAJ	VYBER	15	23662	SLUZBY	\N	\N
224593	764	1998-04-30	VYDAJ	VYBER	15	23244	SLUZBY	\N	\N
224594	764	1998-05-31	VYDAJ	VYBER	15	24808	SLUZBY	\N	\N
224595	764	1998-06-30	VYDAJ	VYBER	15	24075	SLUZBY	\N	\N
224596	764	1998-07-31	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
224597	764	1998-08-31	VYDAJ	VYBER	15	20912	SLUZBY	\N	\N
224598	764	1998-09-30	VYDAJ	VYBER	15	20760	SLUZBY	\N	\N
224599	764	1998-10-31	VYDAJ	VYBER	15	19584	SLUZBY	\N	\N
224600	764	1998-11-30	VYDAJ	VYBER	15	21733	SLUZBY	\N	\N
224601	764	1993-06-07	VYDAJ	VYBER	300	29630	\N	\N	\N
224602	764	1993-07-07	VYDAJ	VYBER	4500	27176	\N	\N	\N
224603	764	1993-08-06	VYDAJ	VYBER	4100	27056	\N	\N	\N
224604	764	1993-09-05	VYDAJ	VYBER	4300	29092	\N	\N	\N
224605	764	1993-10-05	VYDAJ	VYBER	1500	31568	\N	\N	\N
224606	764	1993-12-04	VYDAJ	VYBER	1800	31513	\N	\N	\N
224607	764	1994-01-03	VYDAJ	VYBER	5200	29679	\N	\N	\N
224608	764	1994-02-02	VYDAJ	VYBER	6400	26732	\N	\N	\N
224609	764	1994-03-04	VYDAJ	VYBER	4200	26525	\N	\N	\N
224610	764	1994-04-03	VYDAJ	VYBER	2300	24292	\N	\N	\N
224611	764	1994-05-03	VYDAJ	VYBER	700	27572	\N	\N	\N
224612	764	1994-06-02	VYDAJ	VYBER	3700	25060	\N	\N	\N
224613	764	1994-09-30	VYDAJ	VYBER	1600	25105	\N	\N	\N
224614	764	1994-10-30	VYDAJ	VYBER	1900	24989	\N	\N	\N
224615	764	1994-11-29	VYDAJ	VYBER	3100	25869	\N	\N	\N
224616	764	1994-12-29	VYDAJ	VYBER	4900	23749	\N	\N	\N
224617	764	1995-02-27	VYDAJ	VYBER	600	25844	\N	\N	\N
224618	764	1995-03-29	VYDAJ	VYBER	3700	26116	\N	\N	\N
224619	764	1995-04-28	VYDAJ	VYBER	2600	27500	\N	\N	\N
224620	764	1995-05-28	VYDAJ	VYBER	5700	25784	\N	\N	\N
224621	764	1995-07-27	VYDAJ	VYBER	4300	20646	\N	\N	\N
224622	764	1995-08-26	VYDAJ	VYBER	500	24107	\N	\N	\N
224623	764	1995-09-25	VYDAJ	VYBER	5400	22669	\N	\N	\N
224624	764	1995-10-25	VYDAJ	VYBER	5700	20942	\N	\N	\N
224625	764	1995-11-24	VYDAJ	VYBER	4900	17847	\N	\N	\N
224626	764	1996-02-22	VYDAJ	VYBER	1600	20288	\N	\N	\N
224627	764	1996-04-22	VYDAJ	VYBER	3000	23836	\N	\N	\N
224628	764	1996-05-22	VYDAJ	VYBER	2000	25804	\N	\N	\N
224629	764	1996-06-21	VYDAJ	VYBER	2200	25977	\N	\N	\N
224630	764	1996-07-21	VYDAJ	VYBER	4800	25152	\N	\N	\N
224631	764	1996-08-20	VYDAJ	VYBER	5500	23629	\N	\N	\N
224632	764	1996-09-19	VYDAJ	VYBER	8000	19601	\N	\N	\N
224633	764	1996-10-19	VYDAJ	VYBER	4200	19362	\N	\N	\N
224634	764	1996-11-18	VYDAJ	VYBER	3400	19912	\N	\N	\N
224635	764	1996-12-18	VYDAJ	VYBER	2600	20412	\N	\N	\N
224636	764	1997-01-17	VYDAJ	VYBER	5600	18013	\N	\N	\N
224637	764	1997-02-16	VYDAJ	VYBER	1000	19117	\N	\N	\N
224638	764	1997-03-18	VYDAJ	VYBER	7300	15757	\N	\N	\N
224639	764	1997-04-17	VYDAJ	VYBER	5600	14098	\N	\N	\N
224640	764	1997-05-17	VYDAJ	VYBER	1500	16528	\N	\N	\N
224641	764	1997-07-16	VYDAJ	VYBER	9400	15003	\N	\N	\N
224642	764	1997-08-15	VYDAJ	VYBER	4900	14043	\N	\N	\N
224643	764	1997-11-13	VYDAJ	VYBER	3800	22052	\N	\N	\N
224644	764	1997-12-13	VYDAJ	VYBER	4600	21409	\N	\N	\N
224645	764	1998-01-12	VYDAJ	VYBER	1200	23213	\N	\N	\N
224646	764	1998-02-11	VYDAJ	VYBER	2500	23519	\N	\N	\N
224647	764	1998-03-13	VYDAJ	VYBER	1500	23578	\N	\N	\N
224648	764	1998-04-12	VYDAJ	VYBER	3900	23640	\N	\N	\N
224649	764	1998-05-12	VYDAJ	VYBER	2400	24722	\N	\N	\N
224650	764	1998-06-11	VYDAJ	VYBER	2700	25986	\N	\N	\N
224651	764	1998-07-11	VYDAJ	VYBER	2600	22713	\N	\N	\N
224652	764	1998-08-10	VYDAJ	VYBER	2300	20843	\N	\N	\N
224653	764	1998-09-09	VYDAJ	VYBER	4100	20690	\N	\N	\N
224654	764	1998-10-09	VYDAJ	VYBER	4000	19518	\N	\N	\N
224655	764	1998-11-08	VYDAJ	VYBER	1800	21662	\N	\N	\N
224656	764	1998-12-08	VYDAJ	VYBER	600	25011	\N	\N	\N
224724	765	1996-12-20	PRIJEM	VKLAD	400	400	\N	\N	\N
224727	765	1997-05-10	PRIJEM	VKLAD	24944	58293	\N	\N	\N
224728	765	1997-03-28	PRIJEM	VKLAD	15367	34344	\N	\N	\N
224729	765	1998-02-19	PRIJEM	VKLAD	41078	83764	\N	\N	\N
224730	765	1998-06-20	PRIJEM	VKLAD	7602	50243	\N	\N	\N
224743	765	1997-01-14	PRIJEM	VKLAD	600	1000	\N	\N	\N
224744	765	1997-02-15	PRIJEM	VKLAD	600	12821	\N	\N	\N
224745	765	1997-03-13	PRIJEM	VKLAD	600	15977	\N	\N	\N
224746	765	1997-04-16	PRIJEM	VKLAD	600	35022	\N	\N	\N
224747	765	1997-05-17	PRIJEM	VKLAD	600	57593	\N	\N	\N
224748	765	1997-06-15	PRIJEM	VKLAD	600	38767	\N	\N	\N
224749	765	1997-07-13	PRIJEM	VKLAD	600	36223	\N	\N	\N
224750	765	1997-08-16	PRIJEM	VKLAD	600	35756	\N	\N	\N
224751	765	1997-09-16	PRIJEM	VKLAD	600	37692	\N	\N	\N
224752	765	1997-10-15	PRIJEM	VKLAD	600	36581	\N	\N	\N
224753	765	1997-11-14	PRIJEM	VKLAD	600	39522	\N	\N	\N
224754	765	1997-12-15	PRIJEM	VKLAD	600	45275	\N	\N	\N
224755	765	1998-01-17	PRIJEM	VKLAD	600	43538	\N	\N	\N
224756	765	1998-02-16	PRIJEM	VKLAD	600	42686	\N	\N	\N
224757	765	1998-03-15	PRIJEM	VKLAD	600	84581	\N	\N	\N
224758	765	1998-04-15	PRIJEM	VKLAD	600	59275	\N	\N	\N
224759	765	1998-05-15	PRIJEM	VKLAD	600	53322	\N	\N	\N
224760	765	1998-06-15	PRIJEM	VKLAD	600	42641	\N	\N	\N
224761	765	1998-07-17	PRIJEM	VKLAD	600	54137	\N	\N	\N
224762	765	1998-08-13	PRIJEM	VKLAD	600	58240	\N	\N	\N
224763	765	1998-09-15	PRIJEM	VKLAD	600	57311	\N	\N	\N
224764	765	1998-10-15	PRIJEM	VKLAD	600	56934	\N	\N	\N
224765	765	1998-11-13	PRIJEM	VKLAD	600	57007	\N	\N	\N
224766	765	1998-12-17	PRIJEM	VKLAD	600	53129	\N	\N	\N
224768	765	1997-06-06	VYDAJ	VYBER	8700	38167	\N	\N	\N
224769	765	1998-06-14	VYDAJ	VYBER	11600	42041	\N	\N	\N
224772	765	1998-01-04	VYDAJ	VYBER	8000	35338	\N	\N	\N
224774	765	1997-12-16	VYDAJ	VYBER	2100	43175	\N	\N	\N
224775	765	1998-12-12	VYDAJ	VYBER	2500	52529	\N	\N	\N
224788	765	1998-01-14	VYDAJ	VYBER	300	42938	\N	\N	\N
224789	765	1998-01-07	VYDAJ	VYBER	800	32738	\N	\N	\N
224790	765	1998-01-20	VYDAJ	VYBER	450	41088	\N	\N	\N
224791	765	1998-01-24	VYDAJ	VYBER	800	40288	\N	\N	\N
224792	765	1998-01-06	VYDAJ	VYBER	600	33538	\N	\N	\N
224793	765	1998-01-29	VYDAJ	VYBER	850	39438	\N	\N	\N
224800	765	1997-05-11	VYDAJ	VYBER	1300	56993	\N	\N	\N
224802	765	1997-09-26	VYDAJ	VYBER	1450	35842	\N	\N	\N
224803	765	1997-05-25	VYDAJ	VYBER	600	46693	\N	\N	\N
224804	765	1998-01-19	VYDAJ	VYBER	2000	41538	\N	\N	\N
224805	765	1998-01-05	VYDAJ	VYBER	1200	34138	\N	\N	\N
224806	765	1998-08-29	VYDAJ	VYBER	1550	56690	\N	\N	\N
224807	765	1998-10-29	VYDAJ	VYBER	450	56484	\N	\N	\N
224824	765	1997-04-30	VYDAJ	VYBER	15	33349	SLUZBY	\N	\N
224825	765	1997-05-31	VYDAJ	VYBER	15	46867	SLUZBY	\N	\N
224826	765	1997-06-30	VYDAJ	VYBER	15	35623	SLUZBY	\N	\N
224827	765	1997-07-31	VYDAJ	VYBER	15	35156	SLUZBY	\N	\N
224828	765	1997-08-31	VYDAJ	VYBER	15	37092	SLUZBY	\N	\N
224829	765	1997-09-30	VYDAJ	VYBER	15	35981	SLUZBY	\N	\N
224830	765	1997-10-31	VYDAJ	VYBER	15	38922	SLUZBY	\N	\N
224831	765	1997-11-30	VYDAJ	VYBER	15	41575	SLUZBY	\N	\N
224832	765	1997-12-31	VYDAJ	VYBER	15	43338	SLUZBY	\N	\N
224833	765	1998-01-31	VYDAJ	VYBER	15	39586	SLUZBY	\N	\N
224834	765	1998-02-28	VYDAJ	VYBER	15	83981	SLUZBY	\N	\N
224835	765	1998-03-31	VYDAJ	VYBER	15	66375	SLUZBY	\N	\N
224836	765	1998-04-30	VYDAJ	VYBER	15	59522	SLUZBY	\N	\N
224837	765	1998-05-31	VYDAJ	VYBER	15	53541	SLUZBY	\N	\N
224838	765	1998-06-30	VYDAJ	VYBER	15	50437	SLUZBY	\N	\N
224839	765	1998-07-31	VYDAJ	VYBER	15	54340	SLUZBY	\N	\N
224840	765	1998-08-31	VYDAJ	VYBER	15	56911	SLUZBY	\N	\N
224841	765	1998-09-30	VYDAJ	VYBER	15	57534	SLUZBY	\N	\N
224842	765	1998-10-31	VYDAJ	VYBER	15	56707	SLUZBY	\N	\N
224843	765	1998-11-30	VYDAJ	VYBER	15	57229	SLUZBY	\N	\N
224844	765	1997-01-19	PRIJEM	VKLAD	11200	12200	\N	\N	\N
224845	765	1997-02-18	PRIJEM	VKLAD	2500	15321	\N	\N	\N
224846	765	1997-03-20	PRIJEM	VKLAD	3000	18977	\N	\N	\N
224847	765	1997-04-19	VYDAJ	VYBER	1800	33222	\N	\N	\N
224848	765	1997-05-19	VYDAJ	VYBER	10300	47293	\N	\N	\N
224849	765	1997-06-18	VYDAJ	VYBER	3300	35467	\N	\N	\N
224850	765	1997-07-18	VYDAJ	VYBER	1200	35023	\N	\N	\N
224851	765	1997-08-17	PRIJEM	VKLAD	1200	36956	\N	\N	\N
224852	765	1997-09-16	VYDAJ	VYBER	400	37292	\N	\N	\N
224853	765	1997-10-16	PRIJEM	VKLAD	2200	38781	\N	\N	\N
224854	765	1997-11-15	PRIJEM	VKLAD	1900	41422	\N	\N	\N
224855	765	1997-12-15	PRIJEM	VKLAD	3100	44675	\N	\N	\N
224856	765	1998-01-14	PRIJEM	VKLAD	10500	43238	\N	\N	\N
224857	765	1998-02-13	PRIJEM	VKLAD	2500	42086	\N	\N	\N
224858	765	1998-03-15	VYDAJ	VYBER	18500	66081	\N	\N	\N
224859	765	1998-04-14	VYDAJ	VYBER	7700	58675	\N	\N	\N
224860	765	1998-05-14	VYDAJ	VYBER	6800	52722	\N	\N	\N
224861	765	1998-06-13	PRIJEM	VKLAD	100	53641	\N	\N	\N
224862	765	1998-07-13	PRIJEM	VKLAD	3100	53537	\N	\N	\N
224863	765	1998-08-12	PRIJEM	VKLAD	3300	57640	\N	\N	\N
224864	765	1998-09-11	VYDAJ	VYBER	200	56711	\N	\N	\N
224865	765	1998-10-11	VYDAJ	VYBER	1200	56334	\N	\N	\N
224866	765	1998-11-10	VYDAJ	VYBER	300	56407	\N	\N	\N
224867	765	1998-12-10	VYDAJ	VYBER	2200	55029	\N	\N	\N
224892	766	1996-04-21	PRIJEM	VKLAD	500	500	\N	\N	\N
224897	766	1996-05-12	PRIJEM	VKLAD	20061	20561	\N	\N	\N
224898	766	1996-06-12	PRIJEM	VKLAD	30092	54990	\N	\N	\N
224899	766	1996-07-12	PRIJEM	VKLAD	20061	61980	\N	\N	\N
224900	766	1996-08-12	PRIJEM	VKLAD	20061	67224	\N	\N	\N
224901	766	1996-09-12	PRIJEM	VKLAD	20061	64576	\N	\N	\N
224902	766	1996-10-12	PRIJEM	VKLAD	20061	57560	\N	\N	\N
224903	766	1996-11-12	PRIJEM	VKLAD	20061	53746	\N	\N	\N
224904	766	1996-12-12	PRIJEM	VKLAD	30092	68679	\N	\N	\N
224905	766	1997-01-12	PRIJEM	VKLAD	20061	59325	\N	\N	\N
224906	766	1997-02-12	PRIJEM	VKLAD	20061	42457	\N	\N	\N
224907	766	1997-03-12	PRIJEM	VKLAD	20061	55730	\N	\N	\N
224908	766	1997-04-12	PRIJEM	VKLAD	20061	57634	\N	\N	\N
224909	766	1997-05-12	PRIJEM	VKLAD	20061	58142	\N	\N	\N
224910	766	1997-06-12	PRIJEM	VKLAD	30092	71589	\N	\N	\N
224911	766	1997-07-12	PRIJEM	VKLAD	20061	42998	\N	\N	\N
224912	766	1997-08-12	PRIJEM	VKLAD	20061	50058	\N	\N	\N
224913	766	1997-09-12	PRIJEM	VKLAD	20061	54039	\N	\N	\N
224914	766	1997-10-12	PRIJEM	VKLAD	20061	57735	\N	\N	\N
224915	766	1997-11-12	PRIJEM	VKLAD	20061	59942	\N	\N	\N
224916	766	1997-12-12	PRIJEM	VKLAD	30092	71687	\N	\N	\N
224917	766	1998-01-12	PRIJEM	VKLAD	20061	56678	\N	\N	\N
224918	766	1998-02-12	PRIJEM	VKLAD	20061	65344	\N	\N	\N
224919	766	1998-03-12	PRIJEM	VKLAD	20061	78603	\N	\N	\N
224920	766	1998-04-12	PRIJEM	VKLAD	20061	72423	\N	\N	\N
224921	766	1998-05-12	PRIJEM	VKLAD	20061	75563	\N	\N	\N
224922	766	1998-06-12	PRIJEM	VKLAD	30092	91789	\N	\N	\N
224923	766	1998-07-12	PRIJEM	VKLAD	20061	83168	\N	\N	\N
224924	766	1998-08-12	PRIJEM	VKLAD	20061	84919	\N	\N	\N
224925	766	1998-09-12	PRIJEM	VKLAD	20061	86179	\N	\N	\N
224926	766	1998-10-12	PRIJEM	VKLAD	20061	84845	\N	\N	\N
224927	766	1998-11-12	PRIJEM	VKLAD	20061	80508	\N	\N	\N
224928	766	1998-12-12	PRIJEM	VKLAD	30092	91197	\N	\N	\N
224938	766	1996-10-10	VYDAJ	PREVOD NA UCET	7032	37499	SIPO	YZ	65254580
224939	766	1996-11-10	VYDAJ	PREVOD NA UCET	7032	33685	SIPO	YZ	65254580
224940	766	1996-12-10	VYDAJ	PREVOD NA UCET	7032	38587	SIPO	YZ	65254580
224941	766	1997-01-10	VYDAJ	PREVOD NA UCET	7032	39264	SIPO	YZ	65254580
224942	766	1997-02-10	VYDAJ	PREVOD NA UCET	7032	22396	SIPO	YZ	65254580
224943	766	1997-03-10	VYDAJ	PREVOD NA UCET	7032	35669	SIPO	YZ	65254580
224944	766	1997-04-10	VYDAJ	PREVOD NA UCET	7032	37573	SIPO	YZ	65254580
224945	766	1997-05-10	VYDAJ	PREVOD NA UCET	7032	38081	SIPO	YZ	65254580
224946	766	1997-06-10	VYDAJ	PREVOD NA UCET	7032	41497	SIPO	YZ	65254580
224947	766	1997-07-10	VYDAJ	PREVOD NA UCET	7032	22937	SIPO	YZ	65254580
224948	766	1997-08-10	VYDAJ	PREVOD NA UCET	7032	29997	SIPO	YZ	65254580
224949	766	1997-09-10	VYDAJ	PREVOD NA UCET	7032	33978	SIPO	YZ	65254580
224950	766	1997-10-10	VYDAJ	PREVOD NA UCET	7032	37674	SIPO	YZ	65254580
224951	766	1997-11-10	VYDAJ	PREVOD NA UCET	7032	39881	SIPO	YZ	65254580
224952	766	1997-12-10	VYDAJ	PREVOD NA UCET	7032	41595	SIPO	YZ	65254580
224953	766	1998-01-10	VYDAJ	PREVOD NA UCET	7032	37277	SIPO	YZ	65254580
224954	766	1998-02-10	VYDAJ	PREVOD NA UCET	7032	45283	SIPO	YZ	65254580
224955	766	1998-03-10	VYDAJ	PREVOD NA UCET	7032	58542	SIPO	YZ	65254580
224956	766	1998-04-10	VYDAJ	PREVOD NA UCET	7032	57262	SIPO	YZ	65254580
224957	766	1998-05-10	VYDAJ	PREVOD NA UCET	7032	52202	SIPO	YZ	65254580
224958	766	1998-06-10	VYDAJ	PREVOD NA UCET	7032	62797	SIPO	YZ	65254580
224959	766	1998-07-10	VYDAJ	PREVOD NA UCET	7032	73407	SIPO	YZ	65254580
224960	766	1998-08-10	VYDAJ	PREVOD NA UCET	7032	64858	SIPO	YZ	65254580
224961	766	1998-09-10	VYDAJ	PREVOD NA UCET	7032	66118	SIPO	YZ	65254580
224962	766	1998-10-10	VYDAJ	PREVOD NA UCET	7032	64784	SIPO	YZ	65254580
224963	766	1998-11-10	VYDAJ	PREVOD NA UCET	7032	60447	SIPO	YZ	65254580
224964	766	1998-12-10	VYDAJ	PREVOD NA UCET	7032	61105	SIPO	YZ	65254580
224966	766	1997-06-29	VYDAJ	VYBER	22720	29769	\N	\N	\N
224967	766	1998-06-12	VYDAJ	VYBER	11680	80109	\N	\N	\N
224969	766	1997-01-14	VYDAJ	VYBER	13600	39725	\N	\N	\N
224970	766	1998-01-03	VYDAJ	VYBER	1760	45749	\N	\N	\N
224971	766	1996-12-19	VYDAJ	VYBER	4640	48139	\N	\N	\N
224972	766	1997-12-23	VYDAJ	VYBER	4320	49567	\N	\N	\N
224973	766	1998-12-06	VYDAJ	VYBER	2560	72737	\N	\N	\N
224980	766	1997-01-18	VYDAJ	VYBER	2040	35985	\N	\N	\N
224981	766	1997-01-14	VYDAJ	VYBER	2520	53325	\N	\N	\N
224982	766	1997-01-28	VYDAJ	VYBER	1320	33225	\N	\N	\N
224983	766	1997-01-25	VYDAJ	VYBER	1440	34545	\N	\N	\N
224984	766	1997-01-10	VYDAJ	VYBER	2040	46296	\N	\N	\N
224985	766	1997-01-14	VYDAJ	VYBER	3480	55845	\N	\N	\N
224986	766	1998-01-30	VYDAJ	VYBER	2880	51278	\N	\N	\N
224987	766	1998-01-01	VYDAJ	VYBER	2280	47509	\N	\N	\N
224988	766	1998-01-06	VYDAJ	VYBER	1440	44309	\N	\N	\N
224989	766	1998-01-11	VYDAJ	VYBER	3360	36617	\N	\N	\N
224990	766	1998-01-15	VYDAJ	VYBER	1920	54758	\N	\N	\N
224991	766	1998-01-30	VYDAJ	VYBER	3360	47918	\N	\N	\N
224992	766	1996-09-16	VYDAJ	VYBER	1320	63256	\N	\N	\N
224994	766	1996-10-25	VYDAJ	VYBER	2520	40540	\N	\N	\N
224996	766	1997-02-09	VYDAJ	VYBER	3960	29428	\N	\N	\N
224997	766	1998-04-19	VYDAJ	VYBER	3120	64263	\N	\N	\N
224998	766	1998-01-23	VYDAJ	VYBER	600	54158	\N	\N	\N
224999	766	1998-05-21	VYDAJ	VYBER	4920	70643	\N	\N	\N
225000	766	1998-05-22	VYDAJ	VYBER	1080	69563	\N	\N	\N
225001	766	1998-04-28	VYDAJ	VYBER	5280	58983	\N	\N	\N
225002	766	1998-04-12	VYDAJ	VYBER	5040	67383	\N	\N	\N
225003	766	1998-11-17	VYDAJ	VYBER	5520	74988	\N	\N	\N
225013	766	1996-09-30	VYDAJ	VYBER	15	44531	SLUZBY	\N	\N
225014	766	1996-10-31	VYDAJ	VYBER	15	40717	SLUZBY	\N	\N
225015	766	1996-11-30	VYDAJ	VYBER	15	45619	SLUZBY	\N	\N
225016	766	1996-12-31	VYDAJ	VYBER	15	48336	SLUZBY	\N	\N
225017	766	1997-01-31	VYDAJ	VYBER	15	33388	SLUZBY	\N	\N
225018	766	1997-02-28	VYDAJ	VYBER	15	42701	SLUZBY	\N	\N
225019	766	1997-03-31	VYDAJ	VYBER	15	44605	SLUZBY	\N	\N
225020	766	1997-04-30	VYDAJ	VYBER	15	45113	SLUZBY	\N	\N
225021	766	1997-05-31	VYDAJ	VYBER	15	48529	SLUZBY	\N	\N
225022	766	1997-06-30	VYDAJ	VYBER	15	29969	SLUZBY	\N	\N
225023	766	1997-07-31	VYDAJ	VYBER	15	37029	SLUZBY	\N	\N
225024	766	1997-08-31	VYDAJ	VYBER	15	41010	SLUZBY	\N	\N
225025	766	1997-09-30	VYDAJ	VYBER	15	44706	SLUZBY	\N	\N
225026	766	1997-10-31	VYDAJ	VYBER	15	46913	SLUZBY	\N	\N
225027	766	1997-11-30	VYDAJ	VYBER	15	48627	SLUZBY	\N	\N
225028	766	1997-12-31	VYDAJ	VYBER	15	49789	SLUZBY	\N	\N
225029	766	1998-01-31	VYDAJ	VYBER	15	48115	SLUZBY	\N	\N
225030	766	1998-02-28	VYDAJ	VYBER	15	65574	SLUZBY	\N	\N
225031	766	1998-03-31	VYDAJ	VYBER	15	64294	SLUZBY	\N	\N
225032	766	1998-04-30	VYDAJ	VYBER	15	59234	SLUZBY	\N	\N
225033	766	1998-05-31	VYDAJ	VYBER	15	69829	SLUZBY	\N	\N
225034	766	1998-06-30	VYDAJ	VYBER	15	80439	SLUZBY	\N	\N
225035	766	1998-07-31	VYDAJ	VYBER	15	83490	SLUZBY	\N	\N
225036	766	1998-08-31	VYDAJ	VYBER	15	85250	SLUZBY	\N	\N
225037	766	1998-09-30	VYDAJ	VYBER	15	86516	SLUZBY	\N	\N
225038	766	1998-10-31	VYDAJ	VYBER	15	85179	SLUZBY	\N	\N
225039	766	1998-11-30	VYDAJ	VYBER	15	75297	SLUZBY	\N	\N
225040	766	1996-05-21	PRIJEM	VKLAD	4300	24861	\N	\N	\N
225041	766	1996-06-20	VYDAJ	VYBER	13200	41790	\N	\N	\N
225042	766	1996-07-20	VYDAJ	VYBER	15000	46980	\N	\N	\N
225043	766	1996-08-19	VYDAJ	VYBER	22900	44324	\N	\N	\N
225044	766	1996-09-18	VYDAJ	VYBER	18900	44356	\N	\N	\N
225045	766	1996-10-18	VYDAJ	VYBER	14500	43060	\N	\N	\N
225046	766	1996-11-17	VYDAJ	VYBER	8300	45446	\N	\N	\N
225047	766	1996-12-17	VYDAJ	VYBER	15900	52779	\N	\N	\N
225048	766	1997-01-16	VYDAJ	VYBER	1700	38025	\N	\N	\N
225049	766	1997-02-15	PRIJEM	VKLAD	100	42557	\N	\N	\N
225050	766	1997-03-17	VYDAJ	VYBER	11300	44430	\N	\N	\N
225051	766	1997-04-16	VYDAJ	VYBER	12700	44934	\N	\N	\N
225052	766	1997-05-16	VYDAJ	VYBER	9800	48342	\N	\N	\N
225053	766	1997-06-15	VYDAJ	VYBER	19100	52489	\N	\N	\N
225054	766	1997-07-15	VYDAJ	VYBER	6100	36898	\N	\N	\N
225055	766	1997-08-14	VYDAJ	VYBER	9200	40858	\N	\N	\N
225056	766	1997-09-13	VYDAJ	VYBER	9500	44539	\N	\N	\N
225057	766	1997-10-13	VYDAJ	VYBER	11000	46735	\N	\N	\N
225058	766	1997-11-12	VYDAJ	VYBER	11500	48442	\N	\N	\N
225059	766	1997-12-12	VYDAJ	VYBER	17800	53887	\N	\N	\N
225060	766	1998-01-11	PRIJEM	VKLAD	2700	39977	\N	\N	\N
225061	766	1998-02-10	PRIJEM	VKLAD	4200	52315	\N	\N	\N
225062	766	1998-03-12	VYDAJ	VYBER	14600	64003	\N	\N	\N
225063	766	1998-04-11	VYDAJ	VYBER	4900	52362	\N	\N	\N
225064	766	1998-05-11	PRIJEM	VKLAD	3300	55502	\N	\N	\N
225065	766	1998-06-10	VYDAJ	VYBER	1100	61697	\N	\N	\N
225066	766	1998-07-10	VYDAJ	VYBER	10300	63107	\N	\N	\N
225067	766	1998-08-09	VYDAJ	VYBER	11600	71890	\N	\N	\N
225068	766	1998-09-08	VYDAJ	VYBER	12100	73150	\N	\N	\N
225069	766	1998-10-08	VYDAJ	VYBER	14700	71816	\N	\N	\N
225070	766	1998-11-07	VYDAJ	VYBER	17700	67479	\N	\N	\N
225071	766	1998-12-07	VYDAJ	VYBER	4600	68137	\N	\N	\N
225104	767	1995-03-26	PRIJEM	VKLAD	600	600	\N	\N	\N
225108	767	1995-04-05	PRIJEM	VKLAD	18788	19388	\N	\N	\N
225109	767	1995-05-05	PRIJEM	VKLAD	18788	38392	\N	\N	\N
225110	767	1995-06-05	PRIJEM	VKLAD	28182	58666	\N	\N	\N
225111	767	1995-07-05	PRIJEM	VKLAD	18788	57289	\N	\N	\N
225112	767	1995-08-05	PRIJEM	VKLAD	18788	57036	\N	\N	\N
225113	767	1995-09-05	PRIJEM	VKLAD	18788	53400	\N	\N	\N
225114	767	1995-10-05	PRIJEM	VKLAD	18788	48954	\N	\N	\N
225115	767	1995-11-05	PRIJEM	VKLAD	18788	46940	\N	\N	\N
225116	767	1995-12-05	PRIJEM	VKLAD	28182	60564	\N	\N	\N
225117	767	1996-01-05	PRIJEM	VKLAD	18788	50994	\N	\N	\N
225118	767	1996-02-05	PRIJEM	VKLAD	18788	31900	\N	\N	\N
225119	767	1996-03-05	PRIJEM	VKLAD	18788	41272	\N	\N	\N
225120	767	1996-04-05	PRIJEM	VKLAD	18788	44648	\N	\N	\N
225121	767	1996-05-05	PRIJEM	VKLAD	18788	49465	\N	\N	\N
225122	767	1996-06-05	PRIJEM	VKLAD	28182	51985	\N	\N	\N
225123	767	1996-07-05	PRIJEM	VKLAD	18788	44249	\N	\N	\N
225124	767	1996-08-05	PRIJEM	VKLAD	18788	42781	\N	\N	\N
225125	767	1996-09-05	PRIJEM	VKLAD	18788	38835	\N	\N	\N
225126	767	1996-10-05	PRIJEM	VKLAD	18788	45228	\N	\N	\N
225127	767	1996-11-05	PRIJEM	VKLAD	18788	48438	\N	\N	\N
225128	767	1996-12-05	PRIJEM	VKLAD	28182	58249	\N	\N	\N
225129	767	1997-01-05	PRIJEM	VKLAD	18788	40219	\N	\N	\N
225130	767	1997-02-05	PRIJEM	VKLAD	18788	39282	\N	\N	\N
225131	767	1997-03-05	PRIJEM	VKLAD	18788	35674	\N	\N	\N
225132	767	1997-04-05	PRIJEM	VKLAD	18788	43554	\N	\N	\N
225133	767	1997-05-05	PRIJEM	VKLAD	18788	43546	\N	\N	\N
225134	767	1997-06-05	PRIJEM	VKLAD	28182	52923	\N	\N	\N
225135	767	1997-07-05	PRIJEM	VKLAD	18788	50046	\N	\N	\N
225136	767	1997-08-05	PRIJEM	VKLAD	18788	51367	\N	\N	\N
225137	767	1997-09-05	PRIJEM	VKLAD	18788	53173	\N	\N	\N
225138	767	1997-10-05	PRIJEM	VKLAD	18788	54003	\N	\N	\N
225139	767	1997-11-05	PRIJEM	VKLAD	18788	48941	\N	\N	\N
225140	767	1997-12-05	PRIJEM	VKLAD	28182	61552	\N	\N	\N
225141	767	1998-01-05	PRIJEM	VKLAD	18788	56733	\N	\N	\N
225142	767	1998-02-05	PRIJEM	VKLAD	18788	38718	\N	\N	\N
225143	767	1998-03-05	PRIJEM	VKLAD	18788	45100	\N	\N	\N
225144	767	1998-04-05	PRIJEM	VKLAD	18788	45105	\N	\N	\N
225145	767	1998-05-05	PRIJEM	VKLAD	18788	41916	\N	\N	\N
225146	767	1998-06-05	PRIJEM	VKLAD	28182	51257	\N	\N	\N
225147	767	1998-07-05	PRIJEM	VKLAD	18788	48660	\N	\N	\N
225148	767	1998-08-05	PRIJEM	VKLAD	18788	45089	\N	\N	\N
225149	767	1998-09-05	PRIJEM	VKLAD	18788	47381	\N	\N	\N
225150	767	1998-10-05	PRIJEM	VKLAD	18788	47479	\N	\N	\N
225151	767	1998-11-05	PRIJEM	VKLAD	18788	49984	\N	\N	\N
225152	767	1998-12-05	PRIJEM	VKLAD	28182	48361	\N	\N	\N
225160	767	1995-08-06	VYDAJ	PREVOD NA UCET	3564	53363	SIPO	KL	91866522
225161	767	1995-09-06	VYDAJ	PREVOD NA UCET	3564	49836	SIPO	KL	91866522
225162	767	1995-10-06	VYDAJ	PREVOD NA UCET	3564	45390	SIPO	KL	91866522
225163	767	1995-11-06	VYDAJ	PREVOD NA UCET	3564	43267	SIPO	KL	91866522
225164	767	1995-12-06	VYDAJ	PREVOD NA UCET	3564	57000	SIPO	KL	91866522
225165	767	1996-01-06	VYDAJ	PREVOD NA UCET	3564	47321	SIPO	KL	91866522
225166	767	1996-02-06	VYDAJ	PREVOD NA UCET	3564	28336	SIPO	KL	91866522
225167	767	1996-03-06	VYDAJ	PREVOD NA UCET	3564	37708	SIPO	KL	91866522
225168	767	1996-04-06	VYDAJ	PREVOD NA UCET	3564	40975	SIPO	KL	91866522
225169	767	1996-05-06	VYDAJ	PREVOD NA UCET	3564	45901	SIPO	KL	91866522
225170	767	1996-06-06	VYDAJ	PREVOD NA UCET	3564	48312	SIPO	KL	91866522
225171	767	1996-07-06	VYDAJ	PREVOD NA UCET	3564	40685	SIPO	KL	91866522
225172	767	1996-08-06	VYDAJ	PREVOD NA UCET	3564	39108	SIPO	KL	91866522
225173	767	1996-09-06	VYDAJ	PREVOD NA UCET	3564	35162	SIPO	KL	91866522
225174	767	1996-10-06	VYDAJ	PREVOD NA UCET	3564	41664	SIPO	KL	91866522
225175	767	1996-11-06	VYDAJ	PREVOD NA UCET	3564	44765	SIPO	KL	91866522
225176	767	1996-12-06	VYDAJ	PREVOD NA UCET	3564	54685	SIPO	KL	91866522
225177	767	1997-01-06	VYDAJ	PREVOD NA UCET	3564	36546	SIPO	KL	91866522
225178	767	1997-02-06	VYDAJ	PREVOD NA UCET	3564	35718	SIPO	KL	91866522
225179	767	1997-03-06	VYDAJ	PREVOD NA UCET	3564	32110	SIPO	KL	91866522
225180	767	1997-04-06	VYDAJ	PREVOD NA UCET	3564	39990	SIPO	KL	91866522
225181	767	1997-05-06	VYDAJ	PREVOD NA UCET	3564	39873	SIPO	KL	91866522
225182	767	1997-06-06	VYDAJ	PREVOD NA UCET	3564	49359	SIPO	KL	91866522
225183	767	1997-07-06	VYDAJ	PREVOD NA UCET	3564	46373	SIPO	KL	91866522
225184	767	1997-08-06	VYDAJ	PREVOD NA UCET	3564	47694	SIPO	KL	91866522
225185	767	1997-09-06	VYDAJ	PREVOD NA UCET	3564	49500	SIPO	KL	91866522
225186	767	1997-10-06	VYDAJ	PREVOD NA UCET	3564	50439	SIPO	KL	91866522
225187	767	1997-11-06	VYDAJ	PREVOD NA UCET	3564	45377	SIPO	KL	91866522
225188	767	1997-12-06	VYDAJ	PREVOD NA UCET	3564	57988	SIPO	KL	91866522
225189	767	1998-01-06	VYDAJ	PREVOD NA UCET	3564	49929	SIPO	KL	91866522
225190	767	1998-02-06	VYDAJ	PREVOD NA UCET	3564	35045	SIPO	KL	91866522
225191	767	1998-03-06	VYDAJ	PREVOD NA UCET	3564	41427	SIPO	KL	91866522
225192	767	1998-04-06	VYDAJ	PREVOD NA UCET	3564	41432	SIPO	KL	91866522
225193	767	1998-05-06	VYDAJ	PREVOD NA UCET	3564	38243	SIPO	KL	91866522
225194	767	1998-06-06	VYDAJ	PREVOD NA UCET	3564	47693	SIPO	KL	91866522
225195	767	1998-07-06	VYDAJ	PREVOD NA UCET	3564	45096	SIPO	KL	91866522
225196	767	1998-08-06	VYDAJ	PREVOD NA UCET	3564	41525	SIPO	KL	91866522
225197	767	1998-09-06	VYDAJ	PREVOD NA UCET	3564	43817	SIPO	KL	91866522
225198	767	1998-10-06	VYDAJ	PREVOD NA UCET	3564	43806	SIPO	KL	91866522
225199	767	1998-11-06	VYDAJ	PREVOD NA UCET	3564	25411	SIPO	KL	91866522
225200	767	1998-12-06	VYDAJ	PREVOD NA UCET	3564	23197	SIPO	KL	91866522
225208	767	1995-08-11	VYDAJ	PREVOD NA UCET	504	52837	 	QR	39504963
225209	767	1995-09-11	VYDAJ	PREVOD NA UCET	504	43321	 	QR	39504963
225210	767	1995-10-11	VYDAJ	PREVOD NA UCET	504	44755	 	QR	39504963
225211	767	1995-11-11	VYDAJ	PREVOD NA UCET	504	42741	 	QR	39504963
225212	767	1995-12-11	VYDAJ	PREVOD NA UCET	504	56365	 	QR	39504963
225213	767	1996-01-11	VYDAJ	PREVOD NA UCET	504	46795	 	QR	39504963
225214	767	1996-02-11	VYDAJ	PREVOD NA UCET	504	27701	 	QR	39504963
225215	767	1996-03-11	VYDAJ	PREVOD NA UCET	504	33953	 	QR	39504963
225216	767	1996-04-11	VYDAJ	PREVOD NA UCET	504	40449	 	QR	39504963
225217	767	1996-05-11	VYDAJ	PREVOD NA UCET	504	45266	 	QR	39504963
225218	767	1996-06-11	VYDAJ	PREVOD NA UCET	504	47786	 	QR	39504963
225219	767	1996-07-11	VYDAJ	PREVOD NA UCET	504	40050	 	QR	39504963
225220	767	1996-08-11	VYDAJ	PREVOD NA UCET	504	34142	 	QR	39504963
225221	767	1996-09-11	VYDAJ	PREVOD NA UCET	504	34636	 	QR	39504963
225222	767	1996-10-11	VYDAJ	PREVOD NA UCET	504	41029	 	QR	39504963
225223	767	1996-11-11	VYDAJ	PREVOD NA UCET	504	44239	 	QR	39504963
225224	767	1996-12-11	VYDAJ	PREVOD NA UCET	504	54050	 	QR	39504963
225225	767	1997-01-11	VYDAJ	PREVOD NA UCET	504	36020	 	QR	39504963
225226	767	1997-02-11	VYDAJ	PREVOD NA UCET	504	35083	 	QR	39504963
225227	767	1997-03-11	VYDAJ	PREVOD NA UCET	504	31475	 	QR	39504963
225228	767	1997-04-11	VYDAJ	PREVOD NA UCET	504	35755	 	QR	39504963
225229	767	1997-05-11	VYDAJ	PREVOD NA UCET	504	38747	 	QR	39504963
225230	767	1997-06-11	VYDAJ	PREVOD NA UCET	504	48724	 	QR	39504963
225231	767	1997-07-11	VYDAJ	PREVOD NA UCET	504	45847	 	QR	39504963
225232	767	1997-08-11	VYDAJ	PREVOD NA UCET	504	45848	 	QR	39504963
225233	767	1997-09-11	VYDAJ	PREVOD NA UCET	504	35074	 	QR	39504963
225234	767	1997-10-11	VYDAJ	PREVOD NA UCET	504	34104	 	QR	39504963
225235	767	1997-11-11	VYDAJ	PREVOD NA UCET	504	33242	 	QR	39504963
225236	767	1997-12-11	VYDAJ	PREVOD NA UCET	504	38753	 	QR	39504963
225237	767	1998-01-11	VYDAJ	PREVOD NA UCET	504	36174	 	QR	39504963
225238	767	1998-02-11	VYDAJ	PREVOD NA UCET	504	26219	 	QR	39504963
225239	767	1998-03-11	VYDAJ	PREVOD NA UCET	504	31001	 	QR	39504963
225240	767	1998-04-11	VYDAJ	PREVOD NA UCET	504	25306	 	QR	39504963
225241	767	1998-05-11	VYDAJ	PREVOD NA UCET	504	27417	 	QR	39504963
225242	767	1998-06-11	VYDAJ	PREVOD NA UCET	504	29758	 	QR	39504963
225243	767	1998-07-11	VYDAJ	PREVOD NA UCET	504	26201	 	QR	39504963
225244	767	1998-08-11	VYDAJ	PREVOD NA UCET	504	28490	 	QR	39504963
225245	767	1998-09-11	VYDAJ	PREVOD NA UCET	504	29182	 	QR	39504963
225246	767	1998-10-11	VYDAJ	PREVOD NA UCET	504	31080	 	QR	39504963
225247	767	1998-11-11	VYDAJ	PREVOD NA UCET	504	24885	 	QR	39504963
225248	767	1998-12-11	VYDAJ	PREVOD NA UCET	504	22562	 	QR	39504963
225256	767	1995-08-06	VYDAJ	PREVOD NA UCET	109	56927	POJISTNE	GH	63160019
225257	767	1995-09-06	VYDAJ	PREVOD NA UCET	109	49727	POJISTNE	GH	63160019
225258	767	1995-10-06	VYDAJ	PREVOD NA UCET	109	45281	POJISTNE	GH	63160019
225259	767	1995-11-06	VYDAJ	PREVOD NA UCET	109	46831	POJISTNE	GH	63160019
225260	767	1995-12-06	VYDAJ	PREVOD NA UCET	109	56891	POJISTNE	GH	63160019
225261	767	1996-01-06	VYDAJ	PREVOD NA UCET	109	50885	POJISTNE	GH	63160019
225262	767	1996-02-06	VYDAJ	PREVOD NA UCET	109	28227	POJISTNE	GH	63160019
225263	767	1996-03-06	VYDAJ	PREVOD NA UCET	109	37599	POJISTNE	GH	63160019
225264	767	1996-04-06	VYDAJ	PREVOD NA UCET	109	44539	POJISTNE	GH	63160019
225265	767	1996-05-06	VYDAJ	PREVOD NA UCET	109	45792	POJISTNE	GH	63160019
225266	767	1996-06-06	VYDAJ	PREVOD NA UCET	109	51876	POJISTNE	GH	63160019
225267	767	1996-07-06	VYDAJ	PREVOD NA UCET	109	40576	POJISTNE	GH	63160019
225268	767	1996-08-06	VYDAJ	PREVOD NA UCET	109	42672	POJISTNE	GH	63160019
225269	767	1996-09-06	VYDAJ	PREVOD NA UCET	109	38726	POJISTNE	GH	63160019
225270	767	1996-10-06	VYDAJ	PREVOD NA UCET	109	41555	POJISTNE	GH	63160019
225271	767	1996-11-06	VYDAJ	PREVOD NA UCET	109	48329	POJISTNE	GH	63160019
225272	767	1996-12-06	VYDAJ	PREVOD NA UCET	109	54576	POJISTNE	GH	63160019
225273	767	1997-01-06	VYDAJ	PREVOD NA UCET	109	40110	POJISTNE	GH	63160019
225274	767	1997-02-06	VYDAJ	PREVOD NA UCET	109	35609	POJISTNE	GH	63160019
225275	767	1997-03-06	VYDAJ	PREVOD NA UCET	109	32001	POJISTNE	GH	63160019
225276	767	1997-04-06	VYDAJ	PREVOD NA UCET	109	39881	POJISTNE	GH	63160019
225277	767	1997-05-06	VYDAJ	PREVOD NA UCET	109	43437	POJISTNE	GH	63160019
225278	767	1997-06-06	VYDAJ	PREVOD NA UCET	109	49250	POJISTNE	GH	63160019
225279	767	1997-07-06	VYDAJ	PREVOD NA UCET	109	49937	POJISTNE	GH	63160019
225280	767	1997-08-06	VYDAJ	PREVOD NA UCET	109	51258	POJISTNE	GH	63160019
225281	767	1997-09-06	VYDAJ	PREVOD NA UCET	109	53064	POJISTNE	GH	63160019
225282	767	1997-10-06	VYDAJ	PREVOD NA UCET	109	50330	POJISTNE	GH	63160019
225283	767	1997-11-06	VYDAJ	PREVOD NA UCET	109	45268	POJISTNE	GH	63160019
225284	767	1997-12-06	VYDAJ	PREVOD NA UCET	109	57879	POJISTNE	GH	63160019
225285	767	1998-01-06	VYDAJ	PREVOD NA UCET	109	49820	POJISTNE	GH	63160019
225286	767	1998-02-06	VYDAJ	PREVOD NA UCET	109	38609	POJISTNE	GH	63160019
225287	767	1998-03-06	VYDAJ	PREVOD NA UCET	109	44991	POJISTNE	GH	63160019
225288	767	1998-04-06	VYDAJ	PREVOD NA UCET	109	44996	POJISTNE	GH	63160019
225289	767	1998-05-06	VYDAJ	PREVOD NA UCET	109	41807	POJISTNE	GH	63160019
225290	767	1998-06-06	VYDAJ	PREVOD NA UCET	109	47584	POJISTNE	GH	63160019
225291	767	1998-07-06	VYDAJ	PREVOD NA UCET	109	44987	POJISTNE	GH	63160019
225292	767	1998-08-06	VYDAJ	PREVOD NA UCET	109	41416	POJISTNE	GH	63160019
225293	767	1998-09-06	VYDAJ	PREVOD NA UCET	109	29708	POJISTNE	GH	63160019
225294	767	1998-10-06	VYDAJ	PREVOD NA UCET	109	47370	POJISTNE	GH	63160019
225295	767	1998-11-06	VYDAJ	PREVOD NA UCET	109	28975	POJISTNE	GH	63160019
225296	767	1998-12-06	VYDAJ	PREVOD NA UCET	109	23088	POJISTNE	GH	63160019
225304	767	1995-08-08	VYDAJ	PREVOD NA UCET	22	53341	 	KL	32800996
225305	767	1995-09-08	VYDAJ	PREVOD NA UCET	22	43825	 	KL	32800996
225306	767	1995-10-08	VYDAJ	PREVOD NA UCET	22	45259	 	KL	32800996
225307	767	1995-11-08	VYDAJ	PREVOD NA UCET	22	43245	 	KL	32800996
225308	767	1995-12-08	VYDAJ	PREVOD NA UCET	22	56869	 	KL	32800996
225309	767	1996-01-08	VYDAJ	PREVOD NA UCET	22	47299	 	KL	32800996
225310	767	1996-02-08	VYDAJ	PREVOD NA UCET	22	28205	 	KL	32800996
225311	767	1996-03-08	VYDAJ	PREVOD NA UCET	22	34457	 	KL	32800996
225312	767	1996-04-08	VYDAJ	PREVOD NA UCET	22	40953	 	KL	32800996
225313	767	1996-05-08	VYDAJ	PREVOD NA UCET	22	45770	 	KL	32800996
225314	767	1996-06-08	VYDAJ	PREVOD NA UCET	22	48290	 	KL	32800996
225315	767	1996-07-08	VYDAJ	PREVOD NA UCET	22	40554	 	KL	32800996
225316	767	1996-08-08	VYDAJ	PREVOD NA UCET	22	39086	 	KL	32800996
225317	767	1996-09-08	VYDAJ	PREVOD NA UCET	22	35140	 	KL	32800996
225318	767	1996-10-08	VYDAJ	PREVOD NA UCET	22	41533	 	KL	32800996
225319	767	1996-11-08	VYDAJ	PREVOD NA UCET	22	44743	 	KL	32800996
225320	767	1996-12-08	VYDAJ	PREVOD NA UCET	22	54554	 	KL	32800996
225321	767	1997-01-08	VYDAJ	PREVOD NA UCET	22	36524	 	KL	32800996
225322	767	1997-02-08	VYDAJ	PREVOD NA UCET	22	35587	 	KL	32800996
225323	767	1997-03-08	VYDAJ	PREVOD NA UCET	22	31979	 	KL	32800996
225324	767	1997-04-08	VYDAJ	PREVOD NA UCET	22	39859	 	KL	32800996
225325	767	1997-05-08	VYDAJ	PREVOD NA UCET	22	39851	 	KL	32800996
225326	767	1997-06-08	VYDAJ	PREVOD NA UCET	22	49228	 	KL	32800996
225327	767	1997-07-08	VYDAJ	PREVOD NA UCET	22	46351	 	KL	32800996
225328	767	1997-08-08	VYDAJ	PREVOD NA UCET	22	47672	 	KL	32800996
225329	767	1997-09-08	VYDAJ	PREVOD NA UCET	22	49478	 	KL	32800996
225330	767	1997-10-08	VYDAJ	PREVOD NA UCET	22	50308	 	KL	32800996
225331	767	1997-11-08	VYDAJ	PREVOD NA UCET	22	45246	 	KL	32800996
225332	767	1997-12-08	VYDAJ	PREVOD NA UCET	22	57857	 	KL	32800996
225333	767	1998-01-08	VYDAJ	PREVOD NA UCET	22	47998	 	KL	32800996
225334	767	1998-02-08	VYDAJ	PREVOD NA UCET	22	28523	 	KL	32800996
225335	767	1998-03-08	VYDAJ	PREVOD NA UCET	22	41405	 	KL	32800996
225336	767	1998-04-08	VYDAJ	PREVOD NA UCET	22	41410	 	KL	32800996
225337	767	1998-05-08	VYDAJ	PREVOD NA UCET	22	38221	 	KL	32800996
225338	767	1998-06-08	VYDAJ	PREVOD NA UCET	22	30262	 	KL	32800996
225339	767	1998-07-08	VYDAJ	PREVOD NA UCET	22	26705	 	KL	32800996
225340	767	1998-08-08	VYDAJ	PREVOD NA UCET	22	28994	 	KL	32800996
225341	767	1998-09-08	VYDAJ	PREVOD NA UCET	22	29686	 	KL	32800996
225342	767	1998-10-08	VYDAJ	PREVOD NA UCET	22	31584	 	KL	32800996
225343	767	1998-11-08	VYDAJ	PREVOD NA UCET	22	25389	 	KL	32800996
225344	767	1998-12-08	VYDAJ	PREVOD NA UCET	22	23066	 	KL	32800996
225346	767	1996-06-22	VYDAJ	VYBER	12160	25326	\N	\N	\N
225350	767	1996-01-25	VYDAJ	VYBER	10880	18735	\N	\N	\N
225351	767	1997-01-01	VYDAJ	VYBER	3680	25151	\N	\N	\N
225352	767	1998-01-18	VYDAJ	VYBER	9280	26894	\N	\N	\N
225353	767	1995-12-29	VYDAJ	VYBER	3680	34785	\N	\N	\N
225354	767	1996-12-24	VYDAJ	VYBER	3360	28690	\N	\N	\N
225355	767	1997-12-27	VYDAJ	VYBER	960	37793	\N	\N	\N
225356	767	1998-12-12	VYDAJ	VYBER	2240	20322	\N	\N	\N
225363	767	1996-01-19	VYDAJ	VYBER	1200	45595	\N	\N	\N
225364	767	1996-01-30	VYDAJ	VYBER	3360	12975	\N	\N	\N
225366	767	1996-01-28	VYDAJ	VYBER	2400	16335	\N	\N	\N
225367	767	1996-01-24	VYDAJ	VYBER	3480	29615	\N	\N	\N
225368	767	1996-01-04	VYDAJ	VYBER	2760	32206	\N	\N	\N
225369	767	1997-01-15	VYDAJ	VYBER	3360	21120	\N	\N	\N
225370	767	1997-01-03	VYDAJ	VYBER	720	21431	\N	\N	\N
225371	767	1997-01-11	VYDAJ	VYBER	1800	34220	\N	\N	\N
225372	767	1997-01-03	VYDAJ	VYBER	3000	22151	\N	\N	\N
225373	767	1997-01-22	VYDAJ	VYBER	720	20400	\N	\N	\N
225374	767	1997-01-14	VYDAJ	VYBER	840	24480	\N	\N	\N
225375	767	1998-01-07	VYDAJ	VYBER	1800	48020	\N	\N	\N
225376	767	1998-01-05	VYDAJ	VYBER	3240	53493	\N	\N	\N
225377	767	1998-01-21	VYDAJ	VYBER	1680	19814	\N	\N	\N
225378	767	1998-01-11	VYDAJ	VYBER	720	36678	\N	\N	\N
225379	767	1998-01-21	VYDAJ	VYBER	2760	21494	\N	\N	\N
225380	767	1998-01-20	VYDAJ	VYBER	2640	24254	\N	\N	\N
225381	767	1995-09-08	VYDAJ	VYBER	5880	43847	\N	\N	\N
225382	767	1995-10-17	VYDAJ	VYBER	3480	41275	\N	\N	\N
225384	767	1995-10-21	VYDAJ	VYBER	1560	39715	\N	\N	\N
225385	767	1995-12-01	VYDAJ	VYBER	600	32382	\N	\N	\N
225386	767	1996-05-30	VYDAJ	VYBER	4320	23666	\N	\N	\N
225387	767	1996-08-10	VYDAJ	VYBER	4440	34646	\N	\N	\N
225388	767	1996-08-24	VYDAJ	VYBER	4800	19942	\N	\N	\N
225389	767	1996-03-06	VYDAJ	VYBER	3120	34479	\N	\N	\N
225390	767	1996-05-26	VYDAJ	VYBER	4080	27986	\N	\N	\N
225391	767	1996-08-04	VYDAJ	VYBER	5880	23993	\N	\N	\N
225392	767	1997-05-10	VYDAJ	VYBER	600	39251	\N	\N	\N
225393	767	1997-08-10	VYDAJ	VYBER	1320	46352	\N	\N	\N
225394	767	1997-02-21	VYDAJ	VYBER	4680	16803	\N	\N	\N
225395	767	1997-04-11	VYDAJ	VYBER	3600	36259	\N	\N	\N
225396	767	1997-10-13	VYDAJ	VYBER	1320	32784	\N	\N	\N
225397	767	1997-06-01	VYDAJ	VYBER	4320	24741	\N	\N	\N
225398	767	1997-10-18	VYDAJ	VYBER	2760	30024	\N	\N	\N
225399	767	1998-09-28	VYDAJ	VYBER	600	28582	\N	\N	\N
225400	767	1998-05-22	VYDAJ	VYBER	1200	26217	\N	\N	\N
225401	767	1998-11-30	VYDAJ	VYBER	4800	20194	\N	\N	\N
225402	767	1998-04-03	VYDAJ	VYBER	4800	26317	\N	\N	\N
225403	767	1998-04-25	VYDAJ	VYBER	2280	23026	\N	\N	\N
225404	767	1998-02-09	VYDAJ	VYBER	1800	26723	\N	\N	\N
225405	767	1998-07-07	VYDAJ	VYBER	3960	41027	\N	\N	\N
225406	767	1998-06-01	VYDAJ	VYBER	3240	23075	\N	\N	\N
225415	767	1995-08-31	VYDAJ	VYBER	15	34612	SLUZBY	\N	\N
225416	767	1995-09-30	VYDAJ	VYBER	15	30166	SLUZBY	\N	\N
225417	767	1995-10-31	VYDAJ	VYBER	15	28152	SLUZBY	\N	\N
225418	767	1995-11-30	VYDAJ	VYBER	15	32982	SLUZBY	\N	\N
225419	767	1995-12-31	VYDAJ	VYBER	15	34966	SLUZBY	\N	\N
225420	767	1996-01-31	VYDAJ	VYBER	15	13112	SLUZBY	\N	\N
225421	767	1996-02-29	VYDAJ	VYBER	15	22484	SLUZBY	\N	\N
225422	767	1996-03-31	VYDAJ	VYBER	15	25860	SLUZBY	\N	\N
225423	767	1996-04-30	VYDAJ	VYBER	15	30677	SLUZBY	\N	\N
225424	767	1996-05-31	VYDAJ	VYBER	15	23803	SLUZBY	\N	\N
225425	767	1996-06-30	VYDAJ	VYBER	15	25461	SLUZBY	\N	\N
225426	767	1996-07-31	VYDAJ	VYBER	15	29873	SLUZBY	\N	\N
225427	767	1996-08-31	VYDAJ	VYBER	15	20047	SLUZBY	\N	\N
225428	767	1996-09-30	VYDAJ	VYBER	15	26440	SLUZBY	\N	\N
225429	767	1996-10-31	VYDAJ	VYBER	15	29650	SLUZBY	\N	\N
225430	767	1996-11-30	VYDAJ	VYBER	15	30067	SLUZBY	\N	\N
225431	767	1996-12-31	VYDAJ	VYBER	15	28831	SLUZBY	\N	\N
225432	767	1997-01-31	VYDAJ	VYBER	15	20494	SLUZBY	\N	\N
225433	767	1997-02-28	VYDAJ	VYBER	15	16886	SLUZBY	\N	\N
225434	767	1997-03-31	VYDAJ	VYBER	15	24766	SLUZBY	\N	\N
225435	767	1997-04-30	VYDAJ	VYBER	15	24758	SLUZBY	\N	\N
225436	767	1997-05-31	VYDAJ	VYBER	15	29061	SLUZBY	\N	\N
225437	767	1997-06-30	VYDAJ	VYBER	15	31258	SLUZBY	\N	\N
225438	767	1997-07-31	VYDAJ	VYBER	15	32579	SLUZBY	\N	\N
225439	767	1997-08-31	VYDAJ	VYBER	15	34385	SLUZBY	\N	\N
225440	767	1997-09-30	VYDAJ	VYBER	15	35215	SLUZBY	\N	\N
225441	767	1997-10-31	VYDAJ	VYBER	15	30153	SLUZBY	\N	\N
225442	767	1997-11-30	VYDAJ	VYBER	15	33370	SLUZBY	\N	\N
225443	767	1997-12-31	VYDAJ	VYBER	15	37945	SLUZBY	\N	\N
225444	767	1998-01-31	VYDAJ	VYBER	15	19930	SLUZBY	\N	\N
225445	767	1998-02-28	VYDAJ	VYBER	15	26312	SLUZBY	\N	\N
225446	767	1998-03-31	VYDAJ	VYBER	15	31117	SLUZBY	\N	\N
225447	767	1998-04-30	VYDAJ	VYBER	15	23128	SLUZBY	\N	\N
225448	767	1998-05-31	VYDAJ	VYBER	15	26315	SLUZBY	\N	\N
225449	767	1998-06-30	VYDAJ	VYBER	15	29872	SLUZBY	\N	\N
225450	767	1998-07-31	VYDAJ	VYBER	15	26301	SLUZBY	\N	\N
225451	767	1998-08-31	VYDAJ	VYBER	15	28593	SLUZBY	\N	\N
225452	767	1998-09-30	VYDAJ	VYBER	15	28691	SLUZBY	\N	\N
225453	767	1998-10-31	VYDAJ	VYBER	15	31196	SLUZBY	\N	\N
225454	767	1998-11-30	VYDAJ	VYBER	15	20179	SLUZBY	\N	\N
225455	767	1995-04-25	PRIJEM	VKLAD	200	19588	\N	\N	\N
225456	767	1995-05-25	VYDAJ	VYBER	8000	30392	\N	\N	\N
225457	767	1995-06-24	VYDAJ	VYBER	20300	38366	\N	\N	\N
225458	767	1995-07-24	VYDAJ	VYBER	19200	38089	\N	\N	\N
225459	767	1995-08-23	VYDAJ	VYBER	18400	34437	\N	\N	\N
225460	767	1995-09-22	VYDAJ	VYBER	13300	30021	\N	\N	\N
225461	767	1995-10-22	VYDAJ	VYBER	11700	28015	\N	\N	\N
225462	767	1995-11-21	VYDAJ	VYBER	9900	32841	\N	\N	\N
225463	767	1995-12-21	VYDAJ	VYBER	17900	38465	\N	\N	\N
225464	767	1996-01-20	VYDAJ	VYBER	12500	33095	\N	\N	\N
225465	767	1996-02-19	VYDAJ	VYBER	5300	22401	\N	\N	\N
225466	767	1996-03-20	VYDAJ	VYBER	8200	25753	\N	\N	\N
225467	767	1996-04-19	VYDAJ	VYBER	9900	30549	\N	\N	\N
225468	767	1996-05-19	VYDAJ	VYBER	13200	32066	\N	\N	\N
225469	767	1996-06-18	VYDAJ	VYBER	10300	37486	\N	\N	\N
225470	767	1996-07-18	VYDAJ	VYBER	10300	29750	\N	\N	\N
225471	767	1996-08-17	VYDAJ	VYBER	9400	24742	\N	\N	\N
225472	767	1996-09-16	VYDAJ	VYBER	8300	26336	\N	\N	\N
225473	767	1996-10-16	VYDAJ	VYBER	11500	29529	\N	\N	\N
225474	767	1996-11-15	VYDAJ	VYBER	14300	29939	\N	\N	\N
225475	767	1996-12-15	VYDAJ	VYBER	22000	32050	\N	\N	\N
225476	767	1997-01-14	VYDAJ	VYBER	8900	25320	\N	\N	\N
225477	767	1997-02-13	VYDAJ	VYBER	13600	21483	\N	\N	\N
225478	767	1997-03-15	VYDAJ	VYBER	6800	24675	\N	\N	\N
225479	767	1997-04-14	VYDAJ	VYBER	11100	24655	\N	\N	\N
225480	767	1997-05-14	VYDAJ	VYBER	9800	28947	\N	\N	\N
225481	767	1997-06-13	VYDAJ	VYBER	17600	31124	\N	\N	\N
225482	767	1997-07-13	VYDAJ	VYBER	13400	32447	\N	\N	\N
225483	767	1997-08-12	VYDAJ	VYBER	11600	34248	\N	\N	\N
225484	767	1997-09-11	VYDAJ	VYBER	13900	35578	\N	\N	\N
225485	767	1997-10-11	VYDAJ	VYBER	15700	34608	\N	\N	\N
225486	767	1997-11-10	VYDAJ	VYBER	11500	33746	\N	\N	\N
225487	767	1997-12-10	VYDAJ	VYBER	18600	39257	\N	\N	\N
225488	767	1998-01-09	VYDAJ	VYBER	10600	37398	\N	\N	\N
225489	767	1998-02-08	VYDAJ	VYBER	6500	28545	\N	\N	\N
225490	767	1998-03-10	VYDAJ	VYBER	9900	31505	\N	\N	\N
225491	767	1998-04-09	VYDAJ	VYBER	15600	25810	\N	\N	\N
225492	767	1998-05-09	VYDAJ	VYBER	10300	27921	\N	\N	\N
225493	767	1998-06-08	VYDAJ	VYBER	17300	30284	\N	\N	\N
225494	767	1998-07-08	VYDAJ	VYBER	14300	26727	\N	\N	\N
225495	767	1998-08-07	VYDAJ	VYBER	12400	29016	\N	\N	\N
225496	767	1998-09-06	VYDAJ	VYBER	14000	29817	\N	\N	\N
225497	767	1998-10-06	VYDAJ	VYBER	12200	31606	\N	\N	\N
225498	767	1998-11-05	VYDAJ	VYBER	20900	29084	\N	\N	\N
225499	767	1998-12-05	VYDAJ	VYBER	21600	26761	\N	\N	\N
225545	768	1997-07-03	PRIJEM	VKLAD	800	800	\N	\N	\N
225552	768	1997-07-11	PRIJEM	VKLAD	4221	5021	\N	\N	\N
225553	768	1997-08-11	PRIJEM	VKLAD	4221	14956	\N	\N	\N
225554	768	1997-09-11	PRIJEM	VKLAD	4221	23626	\N	\N	\N
225555	768	1997-10-11	PRIJEM	VKLAD	4221	22134	\N	\N	\N
225556	768	1997-11-11	PRIJEM	VKLAD	4221	24449	\N	\N	\N
225557	768	1997-12-11	PRIJEM	VKLAD	6332	21535	\N	\N	\N
225558	768	1998-01-11	PRIJEM	VKLAD	4221	22515	\N	\N	\N
225559	768	1998-02-11	PRIJEM	VKLAD	4221	21194	\N	\N	\N
225560	768	1998-03-11	PRIJEM	VKLAD	4221	24974	\N	\N	\N
225561	768	1998-04-11	PRIJEM	VKLAD	4221	29469	\N	\N	\N
225562	768	1998-05-11	PRIJEM	VKLAD	4221	28282	\N	\N	\N
225563	768	1998-06-11	PRIJEM	VKLAD	6332	26003	\N	\N	\N
225564	768	1998-07-11	PRIJEM	VKLAD	4221	32010	\N	\N	\N
225565	768	1998-08-11	PRIJEM	VKLAD	4221	32734	\N	\N	\N
225566	768	1998-09-11	PRIJEM	VKLAD	4221	29160	\N	\N	\N
225567	768	1998-10-11	PRIJEM	VKLAD	4221	34279	\N	\N	\N
225568	768	1998-11-11	PRIJEM	VKLAD	4221	38214	\N	\N	\N
225569	768	1998-12-11	PRIJEM	VKLAD	6332	39673	\N	\N	\N
225581	768	1997-12-10	VYDAJ	PREVOD NA UCET	2814	15203	SIPO	KL	50946819
225582	768	1998-01-10	VYDAJ	PREVOD NA UCET	2814	18294	SIPO	KL	50946819
225583	768	1998-02-10	VYDAJ	PREVOD NA UCET	2814	16973	SIPO	KL	50946819
225584	768	1998-03-10	VYDAJ	PREVOD NA UCET	2814	20753	SIPO	KL	50946819
225585	768	1998-04-10	VYDAJ	PREVOD NA UCET	2814	25248	SIPO	KL	50946819
225586	768	1998-05-10	VYDAJ	PREVOD NA UCET	2814	24061	SIPO	KL	50946819
225587	768	1998-06-10	VYDAJ	PREVOD NA UCET	2814	19671	SIPO	KL	50946819
225588	768	1998-07-10	VYDAJ	PREVOD NA UCET	2814	27789	SIPO	KL	50946819
225589	768	1998-08-10	VYDAJ	PREVOD NA UCET	2814	28513	SIPO	KL	50946819
225590	768	1998-09-10	VYDAJ	PREVOD NA UCET	2814	24939	SIPO	KL	50946819
225591	768	1998-10-10	VYDAJ	PREVOD NA UCET	2814	30058	SIPO	KL	50946819
225592	768	1998-11-10	VYDAJ	PREVOD NA UCET	2814	33993	SIPO	KL	50946819
225593	768	1998-12-10	VYDAJ	PREVOD NA UCET	2814	33341	SIPO	KL	50946819
225595	768	1998-06-09	VYDAJ	VYBER	8100	22485	\N	\N	\N
225597	768	1998-01-21	VYDAJ	VYBER	4300	18215	\N	\N	\N
225598	768	1997-12-02	VYDAJ	VYBER	2900	18017	\N	\N	\N
225599	768	1998-12-19	VYDAJ	VYBER	1100	38573	\N	\N	\N
225600	768	1997-11-14	VYDAJ	VYBER	4900	19549	\N	\N	\N
225606	768	1998-02-03	VYDAJ	VYBER	800	19787	\N	\N	\N
225607	768	1998-09-08	VYDAJ	VYBER	4300	27753	\N	\N	\N
225608	768	1998-05-24	VYDAJ	VYBER	4400	23882	\N	\N	\N
225609	768	1998-05-10	VYDAJ	VYBER	2900	26875	\N	\N	\N
225621	768	1997-11-30	VYDAJ	VYBER	15	20917	SLUZBY	\N	\N
225622	768	1997-12-31	VYDAJ	VYBER	15	21108	SLUZBY	\N	\N
225623	768	1998-01-31	VYDAJ	VYBER	15	20587	SLUZBY	\N	\N
225624	768	1998-02-28	VYDAJ	VYBER	15	23567	SLUZBY	\N	\N
225625	768	1998-03-31	VYDAJ	VYBER	15	28062	SLUZBY	\N	\N
225626	768	1998-04-30	VYDAJ	VYBER	15	29775	SLUZBY	\N	\N
225627	768	1998-05-31	VYDAJ	VYBER	15	30585	SLUZBY	\N	\N
225628	768	1998-06-30	VYDAJ	VYBER	15	30603	SLUZBY	\N	\N
225629	768	1998-07-31	VYDAJ	VYBER	15	31327	SLUZBY	\N	\N
225630	768	1998-08-31	VYDAJ	VYBER	15	32053	SLUZBY	\N	\N
225631	768	1998-09-30	VYDAJ	VYBER	15	32872	SLUZBY	\N	\N
225632	768	1998-10-31	VYDAJ	VYBER	15	36807	SLUZBY	\N	\N
225633	768	1998-11-30	VYDAJ	VYBER	15	36155	SLUZBY	\N	\N
225634	768	1997-08-02	PRIJEM	VKLAD	5700	10735	\N	\N	\N
225635	768	1997-09-01	PRIJEM	VKLAD	4400	19405	\N	\N	\N
225636	768	1997-10-01	VYDAJ	VYBER	5800	17913	\N	\N	\N
225637	768	1997-10-31	VYDAJ	VYBER	2000	20228	\N	\N	\N
225638	768	1997-11-30	PRIJEM	VKLAD	1300	20849	\N	\N	\N
225639	768	1997-12-30	VYDAJ	VYBER	500	21035	\N	\N	\N
225640	768	1998-01-29	PRIJEM	VKLAD	2300	20515	\N	\N	\N
225641	768	1998-02-28	PRIJEM	VKLAD	2300	23494	\N	\N	\N
225642	768	1998-03-30	PRIJEM	VKLAD	3000	27974	\N	\N	\N
225643	768	1998-04-29	PRIJEM	VKLAD	200	29669	\N	\N	\N
225644	768	1998-05-29	PRIJEM	VKLAD	6600	30482	\N	\N	\N
225645	768	1998-06-28	PRIJEM	VKLAD	4500	30503	\N	\N	\N
225646	768	1998-07-28	VYDAJ	VYBER	800	31210	\N	\N	\N
225647	768	1998-08-27	VYDAJ	VYBER	800	31934	\N	\N	\N
225648	768	1998-09-26	PRIJEM	VKLAD	3600	32760	\N	\N	\N
225649	768	1998-10-26	PRIJEM	VKLAD	2400	36679	\N	\N	\N
225650	768	1998-11-25	VYDAJ	VYBER	2200	36014	\N	\N	\N
226244	770	1996-09-24	PRIJEM	VKLAD	800	800	\N	\N	\N
226254	770	1996-10-13	PRIJEM	VKLAD	9391	10191	\N	\N	\N
226255	770	1996-11-13	PRIJEM	VKLAD	9391	25700	\N	\N	\N
226256	770	1996-12-13	PRIJEM	VKLAD	14086	41265	\N	\N	\N
226257	770	1997-01-13	PRIJEM	VKLAD	9391	44879	\N	\N	\N
226258	770	1997-02-13	PRIJEM	VKLAD	9391	47021	\N	\N	\N
226259	770	1997-03-13	PRIJEM	VKLAD	9391	44050	\N	\N	\N
226260	770	1997-04-13	PRIJEM	VKLAD	9391	42069	\N	\N	\N
226261	770	1997-05-13	PRIJEM	VKLAD	9391	41781	\N	\N	\N
226262	770	1997-06-13	PRIJEM	VKLAD	14086	41982	\N	\N	\N
226263	770	1997-07-13	PRIJEM	VKLAD	9391	31794	\N	\N	\N
226264	770	1997-08-13	PRIJEM	VKLAD	9391	38083	\N	\N	\N
226265	770	1997-09-13	PRIJEM	VKLAD	9391	39982	\N	\N	\N
226266	770	1997-10-13	PRIJEM	VKLAD	9391	36884	\N	\N	\N
226267	770	1997-11-13	PRIJEM	VKLAD	9391	39880	\N	\N	\N
226268	770	1997-12-13	PRIJEM	VKLAD	14086	48986	\N	\N	\N
226269	770	1998-01-13	PRIJEM	VKLAD	9391	44113	\N	\N	\N
226270	770	1998-02-13	PRIJEM	VKLAD	9391	34830	\N	\N	\N
226271	770	1998-03-13	PRIJEM	VKLAD	9391	37517	\N	\N	\N
226272	770	1998-04-13	PRIJEM	VKLAD	9391	44329	\N	\N	\N
226273	770	1998-05-13	PRIJEM	VKLAD	9391	44656	\N	\N	\N
226274	770	1998-06-13	PRIJEM	VKLAD	14086	52480	\N	\N	\N
226275	770	1998-07-13	PRIJEM	VKLAD	9391	29579	\N	\N	\N
226276	770	1998-08-13	PRIJEM	VKLAD	9391	40663	\N	\N	\N
226277	770	1998-09-13	PRIJEM	VKLAD	9391	41875	\N	\N	\N
226278	770	1998-10-13	PRIJEM	VKLAD	9391	40082	\N	\N	\N
226279	770	1998-11-13	PRIJEM	VKLAD	9391	37988	\N	\N	\N
226280	770	1998-12-13	PRIJEM	VKLAD	14086	46799	\N	\N	\N
226282	770	1997-06-21	VYDAJ	VYBER	22100	22282	\N	\N	\N
226283	770	1998-06-16	VYDAJ	VYBER	26500	24280	\N	\N	\N
226286	770	1998-01-30	VYDAJ	VYBER	8500	25313	\N	\N	\N
226288	770	1997-12-14	VYDAJ	VYBER	2600	46386	\N	\N	\N
226289	770	1998-12-03	VYDAJ	VYBER	2100	32713	\N	\N	\N
226296	770	1997-09-29	VYDAJ	VYBER	2600	27382	\N	\N	\N
226298	770	1997-07-13	VYDAJ	VYBER	3300	28494	\N	\N	\N
226299	770	1997-05-21	VYDAJ	VYBER	3800	37981	\N	\N	\N
226300	770	1997-02-20	VYDAJ	VYBER	4600	42421	\N	\N	\N
226301	770	1998-08-19	VYDAJ	VYBER	3400	32863	\N	\N	\N
226302	770	1998-08-30	VYDAJ	VYBER	500	32363	\N	\N	\N
226303	770	1998-06-18	VYDAJ	VYBER	4200	20080	\N	\N	\N
226304	770	1998-11-02	VYDAJ	VYBER	3100	28597	\N	\N	\N
226305	770	1998-04-25	VYDAJ	VYBER	4600	35129	\N	\N	\N
226306	770	1998-09-15	VYDAJ	VYBER	3200	34275	\N	\N	\N
226307	770	1998-02-18	VYDAJ	VYBER	2100	28030	\N	\N	\N
226308	770	1998-03-13	VYDAJ	VYBER	900	36617	\N	\N	\N
226309	770	1998-09-15	VYDAJ	VYBER	3700	30575	\N	\N	\N
226324	770	1997-02-28	VYDAJ	VYBER	15	34659	SLUZBY	\N	\N
226325	770	1997-03-31	VYDAJ	VYBER	15	32678	SLUZBY	\N	\N
226326	770	1997-04-30	VYDAJ	VYBER	15	32390	SLUZBY	\N	\N
226327	770	1997-05-31	VYDAJ	VYBER	15	27896	SLUZBY	\N	\N
226328	770	1997-06-30	VYDAJ	VYBER	15	22403	SLUZBY	\N	\N
226329	770	1997-07-31	VYDAJ	VYBER	15	28692	SLUZBY	\N	\N
226330	770	1997-08-31	VYDAJ	VYBER	15	30591	SLUZBY	\N	\N
226331	770	1997-09-30	VYDAJ	VYBER	15	27493	SLUZBY	\N	\N
226332	770	1997-10-31	VYDAJ	VYBER	15	30489	SLUZBY	\N	\N
226333	770	1997-11-30	VYDAJ	VYBER	15	34900	SLUZBY	\N	\N
226334	770	1997-12-31	VYDAJ	VYBER	15	34722	SLUZBY	\N	\N
226335	770	1998-01-31	VYDAJ	VYBER	15	25439	SLUZBY	\N	\N
226336	770	1998-02-28	VYDAJ	VYBER	15	28126	SLUZBY	\N	\N
226337	770	1998-03-31	VYDAJ	VYBER	15	34938	SLUZBY	\N	\N
226338	770	1998-04-30	VYDAJ	VYBER	15	35265	SLUZBY	\N	\N
226339	770	1998-05-31	VYDAJ	VYBER	15	38394	SLUZBY	\N	\N
226340	770	1998-06-30	VYDAJ	VYBER	15	20188	SLUZBY	\N	\N
226341	770	1998-07-31	VYDAJ	VYBER	15	31272	SLUZBY	\N	\N
226342	770	1998-08-31	VYDAJ	VYBER	15	32484	SLUZBY	\N	\N
226343	770	1998-09-30	VYDAJ	VYBER	15	30691	SLUZBY	\N	\N
226344	770	1998-10-31	VYDAJ	VYBER	15	31697	SLUZBY	\N	\N
226345	770	1998-11-30	VYDAJ	VYBER	15	34813	SLUZBY	\N	\N
226346	770	1996-10-24	PRIJEM	VKLAD	6100	16291	\N	\N	\N
226347	770	1996-11-23	PRIJEM	VKLAD	1400	27100	\N	\N	\N
226348	770	1996-12-23	VYDAJ	VYBER	5900	35365	\N	\N	\N
226349	770	1997-01-22	VYDAJ	VYBER	7400	37479	\N	\N	\N
226350	770	1997-02-21	VYDAJ	VYBER	7900	34521	\N	\N	\N
226351	770	1997-03-23	VYDAJ	VYBER	11500	32550	\N	\N	\N
226352	770	1997-04-22	VYDAJ	VYBER	9800	32269	\N	\N	\N
226353	770	1997-05-22	VYDAJ	VYBER	10200	27781	\N	\N	\N
226354	770	1997-06-21	PRIJEM	VKLAD	2400	44382	\N	\N	\N
226355	770	1997-07-21	PRIJEM	VKLAD	100	28594	\N	\N	\N
226356	770	1997-08-20	VYDAJ	VYBER	7600	30483	\N	\N	\N
226357	770	1997-09-19	VYDAJ	VYBER	10000	29982	\N	\N	\N
226358	770	1997-10-19	VYDAJ	VYBER	6500	30384	\N	\N	\N
226359	770	1997-11-18	VYDAJ	VYBER	5100	34780	\N	\N	\N
226360	770	1997-12-18	VYDAJ	VYBER	11800	34586	\N	\N	\N
226361	770	1998-01-17	VYDAJ	VYBER	10300	33813	\N	\N	\N
226362	770	1998-02-16	VYDAJ	VYBER	4700	30130	\N	\N	\N
226363	770	1998-03-18	VYDAJ	VYBER	1800	34817	\N	\N	\N
226364	770	1998-04-17	VYDAJ	VYBER	4600	39729	\N	\N	\N
226365	770	1998-05-17	VYDAJ	VYBER	6400	38256	\N	\N	\N
226366	770	1998-06-16	VYDAJ	VYBER	1700	50780	\N	\N	\N
226367	770	1998-07-16	PRIJEM	VKLAD	1600	31179	\N	\N	\N
226368	770	1998-08-15	VYDAJ	VYBER	4400	36263	\N	\N	\N
226369	770	1998-09-14	VYDAJ	VYBER	4400	37475	\N	\N	\N
226370	770	1998-10-14	VYDAJ	VYBER	8500	31582	\N	\N	\N
226371	770	1998-11-13	VYDAJ	VYBER	3300	34688	\N	\N	\N
226399	771	1996-01-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
226401	771	1996-02-06	PRIJEM	VKLAD	20016	21116	\N	\N	\N
226402	771	1996-03-06	PRIJEM	VKLAD	20016	41860	\N	\N	\N
226403	771	1996-04-06	PRIJEM	VKLAD	20016	53483	\N	\N	\N
226404	771	1996-05-06	PRIJEM	VKLAD	20016	58545	\N	\N	\N
226405	771	1996-06-06	PRIJEM	VKLAD	30024	71433	\N	\N	\N
226406	771	1996-07-06	PRIJEM	VKLAD	20016	54586	\N	\N	\N
226407	771	1996-08-06	PRIJEM	VKLAD	20016	55026	\N	\N	\N
226408	771	1996-09-06	PRIJEM	VKLAD	20016	58171	\N	\N	\N
226409	771	1996-10-06	PRIJEM	VKLAD	20016	55317	\N	\N	\N
226410	771	1996-11-06	PRIJEM	VKLAD	20016	46550	\N	\N	\N
226411	771	1996-12-06	PRIJEM	VKLAD	30024	60967	\N	\N	\N
226412	771	1997-01-06	PRIJEM	VKLAD	20016	54008	\N	\N	\N
226413	771	1997-02-06	PRIJEM	VKLAD	20016	40204	\N	\N	\N
226414	771	1997-03-06	PRIJEM	VKLAD	20016	47090	\N	\N	\N
226415	771	1997-04-06	PRIJEM	VKLAD	20016	48838	\N	\N	\N
226416	771	1997-05-06	PRIJEM	VKLAD	20016	54758	\N	\N	\N
226417	771	1997-06-06	PRIJEM	VKLAD	30024	64998	\N	\N	\N
226418	771	1997-07-06	PRIJEM	VKLAD	20016	55561	\N	\N	\N
226419	771	1997-08-06	PRIJEM	VKLAD	20016	49037	\N	\N	\N
226420	771	1997-09-06	PRIJEM	VKLAD	20016	45833	\N	\N	\N
226421	771	1997-10-06	PRIJEM	VKLAD	20016	46724	\N	\N	\N
226422	771	1997-11-06	PRIJEM	VKLAD	20016	47417	\N	\N	\N
226423	771	1997-12-06	PRIJEM	VKLAD	30024	56861	\N	\N	\N
226424	771	1998-01-06	PRIJEM	VKLAD	20016	53484	\N	\N	\N
226425	771	1998-02-06	PRIJEM	VKLAD	20016	38578	\N	\N	\N
226426	771	1998-03-06	PRIJEM	VKLAD	20016	44012	\N	\N	\N
226427	771	1998-04-06	PRIJEM	VKLAD	20016	42988	\N	\N	\N
226428	771	1998-05-06	PRIJEM	VKLAD	20016	42459	\N	\N	\N
226429	771	1998-06-06	PRIJEM	VKLAD	30024	47424	\N	\N	\N
226430	771	1998-07-06	PRIJEM	VKLAD	20016	39580	\N	\N	\N
226431	771	1998-08-06	PRIJEM	VKLAD	20016	39535	\N	\N	\N
226432	771	1998-09-06	PRIJEM	VKLAD	20016	36079	\N	\N	\N
226433	771	1998-10-06	PRIJEM	VKLAD	20016	36016	\N	\N	\N
226434	771	1998-11-06	PRIJEM	VKLAD	20016	51101	\N	\N	\N
226435	771	1998-12-06	PRIJEM	VKLAD	30024	43049	\N	\N	\N
226441	771	1996-06-09	VYDAJ	PREVOD NA UCET	214	64483	SIPO	IJ	54412794
226442	771	1996-07-09	VYDAJ	PREVOD NA UCET	214	49556	SIPO	IJ	54412794
226443	771	1996-08-09	VYDAJ	PREVOD NA UCET	214	49996	SIPO	IJ	54412794
226444	771	1996-09-09	VYDAJ	PREVOD NA UCET	214	53141	SIPO	IJ	54412794
226445	771	1996-10-09	VYDAJ	PREVOD NA UCET	214	45007	SIPO	IJ	54412794
226446	771	1996-11-09	VYDAJ	PREVOD NA UCET	214	41520	SIPO	IJ	54412794
226447	771	1996-12-09	VYDAJ	PREVOD NA UCET	214	55937	SIPO	IJ	54412794
226448	771	1997-01-09	VYDAJ	PREVOD NA UCET	214	46458	SIPO	IJ	54412794
226449	771	1997-02-09	VYDAJ	PREVOD NA UCET	214	35174	SIPO	IJ	54412794
226450	771	1997-03-09	VYDAJ	PREVOD NA UCET	214	42060	SIPO	IJ	54412794
226451	771	1997-04-09	VYDAJ	PREVOD NA UCET	214	43808	SIPO	IJ	54412794
226452	771	1997-05-09	VYDAJ	PREVOD NA UCET	214	49728	SIPO	IJ	54412794
226453	771	1997-06-09	VYDAJ	PREVOD NA UCET	214	59968	SIPO	IJ	54412794
226454	771	1997-07-09	VYDAJ	PREVOD NA UCET	214	50531	SIPO	IJ	54412794
226455	771	1997-08-09	VYDAJ	PREVOD NA UCET	214	44007	SIPO	IJ	54412794
226456	771	1997-09-09	VYDAJ	PREVOD NA UCET	214	40803	SIPO	IJ	54412794
226457	771	1997-10-09	VYDAJ	PREVOD NA UCET	214	41694	SIPO	IJ	54412794
226458	771	1997-11-09	VYDAJ	PREVOD NA UCET	214	42387	SIPO	IJ	54412794
226459	771	1997-12-09	VYDAJ	PREVOD NA UCET	214	51831	SIPO	IJ	54412794
226460	771	1998-01-09	VYDAJ	PREVOD NA UCET	214	48454	SIPO	IJ	54412794
226461	771	1998-02-09	VYDAJ	PREVOD NA UCET	214	33548	SIPO	IJ	54412794
226462	771	1998-03-09	VYDAJ	PREVOD NA UCET	214	38982	SIPO	IJ	54412794
226463	771	1998-04-09	VYDAJ	PREVOD NA UCET	214	37958	SIPO	IJ	54412794
226464	771	1998-05-09	VYDAJ	PREVOD NA UCET	214	37429	SIPO	IJ	54412794
226465	771	1998-06-09	VYDAJ	PREVOD NA UCET	214	42394	SIPO	IJ	54412794
226466	771	1998-07-09	VYDAJ	PREVOD NA UCET	214	34550	SIPO	IJ	54412794
226467	771	1998-08-09	VYDAJ	PREVOD NA UCET	214	16005	SIPO	IJ	54412794
226468	771	1998-09-09	VYDAJ	PREVOD NA UCET	214	15949	SIPO	IJ	54412794
226469	771	1998-10-09	VYDAJ	PREVOD NA UCET	214	30986	SIPO	IJ	54412794
226470	771	1998-11-09	VYDAJ	PREVOD NA UCET	214	12971	SIPO	IJ	54412794
226471	771	1998-12-09	VYDAJ	PREVOD NA UCET	214	38019	SIPO	IJ	54412794
226477	771	1996-06-08	VYDAJ	PREVOD NA UCET	4816	64697	 	CD	28503686
226478	771	1996-07-08	VYDAJ	PREVOD NA UCET	4816	49770	 	CD	28503686
226479	771	1996-08-08	VYDAJ	PREVOD NA UCET	4816	50210	 	CD	28503686
226480	771	1996-09-08	VYDAJ	PREVOD NA UCET	4816	53355	 	CD	28503686
226481	771	1996-10-08	VYDAJ	PREVOD NA UCET	4816	45221	 	CD	28503686
226482	771	1996-11-08	VYDAJ	PREVOD NA UCET	4816	41734	 	CD	28503686
226483	771	1996-12-08	VYDAJ	PREVOD NA UCET	4816	56151	 	CD	28503686
226484	771	1997-01-08	VYDAJ	PREVOD NA UCET	4816	46672	 	CD	28503686
226485	771	1997-02-08	VYDAJ	PREVOD NA UCET	4816	35388	 	CD	28503686
226486	771	1997-03-08	VYDAJ	PREVOD NA UCET	4816	42274	 	CD	28503686
226487	771	1997-04-08	VYDAJ	PREVOD NA UCET	4816	44022	 	CD	28503686
226488	771	1997-05-08	VYDAJ	PREVOD NA UCET	4816	49942	 	CD	28503686
226489	771	1997-06-08	VYDAJ	PREVOD NA UCET	4816	60182	 	CD	28503686
226490	771	1997-07-08	VYDAJ	PREVOD NA UCET	4816	50745	 	CD	28503686
226491	771	1997-08-08	VYDAJ	PREVOD NA UCET	4816	44221	 	CD	28503686
226492	771	1997-09-08	VYDAJ	PREVOD NA UCET	4816	41017	 	CD	28503686
226493	771	1997-10-08	VYDAJ	PREVOD NA UCET	4816	41908	 	CD	28503686
226494	771	1997-11-08	VYDAJ	PREVOD NA UCET	4816	42601	 	CD	28503686
226495	771	1997-12-08	VYDAJ	PREVOD NA UCET	4816	52045	 	CD	28503686
226496	771	1998-01-08	VYDAJ	PREVOD NA UCET	4816	48668	 	CD	28503686
226497	771	1998-02-08	VYDAJ	PREVOD NA UCET	4816	33762	 	CD	28503686
226498	771	1998-03-08	VYDAJ	PREVOD NA UCET	4816	39196	 	CD	28503686
226499	771	1998-04-08	VYDAJ	PREVOD NA UCET	4816	38172	 	CD	28503686
226500	771	1998-05-08	VYDAJ	PREVOD NA UCET	4816	37643	 	CD	28503686
226501	771	1998-06-08	VYDAJ	PREVOD NA UCET	4816	42608	 	CD	28503686
226502	771	1998-07-08	VYDAJ	PREVOD NA UCET	4816	34764	 	CD	28503686
226503	771	1998-08-08	VYDAJ	PREVOD NA UCET	4816	34719	 	CD	28503686
226504	771	1998-09-08	VYDAJ	PREVOD NA UCET	4816	31263	 	CD	28503686
226505	771	1998-10-08	VYDAJ	PREVOD NA UCET	4816	31200	 	CD	28503686
226506	771	1998-11-08	VYDAJ	PREVOD NA UCET	4816	13185	 	CD	28503686
226507	771	1998-12-08	VYDAJ	PREVOD NA UCET	4816	38233	 	CD	28503686
226508	771	1996-06-17	VYDAJ	VYBER	9920	54563	\N	\N	\N
226512	771	1997-01-13	VYDAJ	VYBER	2560	43898	\N	\N	\N
226514	771	1996-12-30	VYDAJ	VYBER	2400	33837	\N	\N	\N
226515	771	1997-12-02	VYDAJ	VYBER	1760	26837	\N	\N	\N
226516	771	1998-12-12	VYDAJ	VYBER	2880	35139	\N	\N	\N
226523	771	1997-01-26	VYDAJ	VYBER	2400	22938	\N	\N	\N
226524	771	1997-01-27	VYDAJ	VYBER	1440	21498	\N	\N	\N
226525	771	1997-01-06	VYDAJ	VYBER	2520	51488	\N	\N	\N
226526	771	1997-01-26	VYDAJ	VYBER	3480	25338	\N	\N	\N
226527	771	1997-01-20	VYDAJ	VYBER	600	31698	\N	\N	\N
226528	771	1997-01-30	VYDAJ	VYBER	1440	20058	\N	\N	\N
226529	771	1998-01-20	VYDAJ	VYBER	1680	26614	\N	\N	\N
226530	771	1998-01-23	VYDAJ	VYBER	1080	25534	\N	\N	\N
226531	771	1998-01-28	VYDAJ	VYBER	720	18454	\N	\N	\N
226532	771	1998-01-10	VYDAJ	VYBER	3240	45214	\N	\N	\N
226533	771	1998-01-23	VYDAJ	VYBER	1800	23734	\N	\N	\N
226534	771	1998-01-16	VYDAJ	VYBER	3120	28294	\N	\N	\N
226535	771	1996-06-29	VYDAJ	VYBER	1680	34383	\N	\N	\N
226536	771	1996-10-06	VYDAJ	VYBER	5280	50037	\N	\N	\N
226537	771	1996-06-07	VYDAJ	VYBER	1920	69513	\N	\N	\N
226539	771	1996-10-10	VYDAJ	VYBER	4800	40207	\N	\N	\N
226540	771	1997-01-25	VYDAJ	VYBER	2880	28818	\N	\N	\N
226541	771	1997-07-09	VYDAJ	VYBER	2640	47891	\N	\N	\N
226542	771	1997-06-18	VYDAJ	VYBER	1080	35388	\N	\N	\N
226543	771	1997-03-17	VYDAJ	VYBER	1080	40980	\N	\N	\N
226544	771	1998-01-26	VYDAJ	VYBER	4560	19174	\N	\N	\N
226545	771	1998-02-28	VYDAJ	VYBER	1920	24011	\N	\N	\N
226546	771	1998-02-26	VYDAJ	VYBER	720	25828	\N	\N	\N
226549	771	1998-05-27	VYDAJ	VYBER	600	17329	\N	\N	\N
226556	771	1996-06-30	VYDAJ	VYBER	15	34570	SLUZBY	\N	\N
226557	771	1996-07-31	VYDAJ	VYBER	15	35010	SLUZBY	\N	\N
226558	771	1996-08-31	VYDAJ	VYBER	15	38155	SLUZBY	\N	\N
226559	771	1996-09-30	VYDAJ	VYBER	15	35301	SLUZBY	\N	\N
226560	771	1996-10-31	VYDAJ	VYBER	15	26534	SLUZBY	\N	\N
226561	771	1996-11-30	VYDAJ	VYBER	15	30943	SLUZBY	\N	\N
226562	771	1996-12-31	VYDAJ	VYBER	15	33992	SLUZBY	\N	\N
226563	771	1997-01-31	VYDAJ	VYBER	15	20188	SLUZBY	\N	\N
226564	771	1997-02-28	VYDAJ	VYBER	15	27074	SLUZBY	\N	\N
226565	771	1997-03-31	VYDAJ	VYBER	15	28822	SLUZBY	\N	\N
226566	771	1997-04-30	VYDAJ	VYBER	15	34742	SLUZBY	\N	\N
226567	771	1997-05-31	VYDAJ	VYBER	15	34974	SLUZBY	\N	\N
226568	771	1997-06-30	VYDAJ	VYBER	15	35545	SLUZBY	\N	\N
226569	771	1997-07-31	VYDAJ	VYBER	15	29021	SLUZBY	\N	\N
226570	771	1997-08-31	VYDAJ	VYBER	15	25817	SLUZBY	\N	\N
226571	771	1997-09-30	VYDAJ	VYBER	15	26708	SLUZBY	\N	\N
226572	771	1997-10-31	VYDAJ	VYBER	15	27401	SLUZBY	\N	\N
226573	771	1997-11-30	VYDAJ	VYBER	15	28597	SLUZBY	\N	\N
226574	771	1997-12-31	VYDAJ	VYBER	15	33468	SLUZBY	\N	\N
226575	771	1998-01-31	VYDAJ	VYBER	15	18562	SLUZBY	\N	\N
226576	771	1998-02-28	VYDAJ	VYBER	15	23996	SLUZBY	\N	\N
226577	771	1998-03-31	VYDAJ	VYBER	15	22972	SLUZBY	\N	\N
226578	771	1998-04-30	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
226579	771	1998-05-31	VYDAJ	VYBER	15	17400	SLUZBY	\N	\N
226580	771	1998-06-30	VYDAJ	VYBER	15	19564	SLUZBY	\N	\N
226581	771	1998-07-31	VYDAJ	VYBER	15	19519	SLUZBY	\N	\N
226582	771	1998-08-31	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
226583	771	1998-09-30	VYDAJ	VYBER	15	16000	SLUZBY	\N	\N
226584	771	1998-10-31	VYDAJ	VYBER	15	31085	SLUZBY	\N	\N
226585	771	1998-11-30	VYDAJ	VYBER	15	13025	SLUZBY	\N	\N
226586	771	1996-02-21	PRIJEM	VKLAD	700	21816	\N	\N	\N
226587	771	1996-03-22	VYDAJ	VYBER	8500	33360	\N	\N	\N
226588	771	1996-04-21	VYDAJ	VYBER	15100	38383	\N	\N	\N
226589	771	1996-05-21	VYDAJ	VYBER	17300	41245	\N	\N	\N
226590	771	1996-06-20	VYDAJ	VYBER	18500	36063	\N	\N	\N
226591	771	1996-07-20	VYDAJ	VYBER	14700	34856	\N	\N	\N
226592	771	1996-08-19	VYDAJ	VYBER	12000	37996	\N	\N	\N
226593	771	1996-09-18	VYDAJ	VYBER	18000	35141	\N	\N	\N
226594	771	1996-10-18	VYDAJ	VYBER	13800	26407	\N	\N	\N
226595	771	1996-11-17	VYDAJ	VYBER	10700	30820	\N	\N	\N
226596	771	1996-12-17	VYDAJ	VYBER	19700	36237	\N	\N	\N
226597	771	1997-01-16	VYDAJ	VYBER	11600	32298	\N	\N	\N
226598	771	1997-02-15	VYDAJ	VYBER	8200	26974	\N	\N	\N
226599	771	1997-03-17	VYDAJ	VYBER	12300	28680	\N	\N	\N
226600	771	1997-04-16	VYDAJ	VYBER	9200	34608	\N	\N	\N
226601	771	1997-05-16	VYDAJ	VYBER	14900	34828	\N	\N	\N
226602	771	1997-06-15	VYDAJ	VYBER	23500	36468	\N	\N	\N
226603	771	1997-07-15	VYDAJ	VYBER	19000	28891	\N	\N	\N
226604	771	1997-08-14	VYDAJ	VYBER	18300	25707	\N	\N	\N
226605	771	1997-09-13	VYDAJ	VYBER	14200	26603	\N	\N	\N
226606	771	1997-10-13	VYDAJ	VYBER	14400	27294	\N	\N	\N
226607	771	1997-11-12	VYDAJ	VYBER	13900	28487	\N	\N	\N
226608	771	1997-12-12	VYDAJ	VYBER	18500	33331	\N	\N	\N
226609	771	1998-01-11	VYDAJ	VYBER	13800	31414	\N	\N	\N
226610	771	1998-02-10	VYDAJ	VYBER	7000	26548	\N	\N	\N
226611	771	1998-03-12	VYDAJ	VYBER	16100	22882	\N	\N	\N
226612	771	1998-04-11	VYDAJ	VYBER	15600	22358	\N	\N	\N
226613	771	1998-05-11	VYDAJ	VYBER	19500	17929	\N	\N	\N
226614	771	1998-06-10	VYDAJ	VYBER	22900	19494	\N	\N	\N
226615	771	1998-07-10	VYDAJ	VYBER	15100	19450	\N	\N	\N
226616	771	1998-08-09	VYDAJ	VYBER	18500	16219	\N	\N	\N
226617	771	1998-09-08	VYDAJ	VYBER	15100	16163	\N	\N	\N
226618	771	1998-11-07	VYDAJ	VYBER	33100	18001	\N	\N	\N
226654	772	1993-01-21	PRIJEM	VKLAD	500	500	\N	\N	\N
226656	772	1993-02-14	PRIJEM	VKLAD	24009	24509	\N	\N	\N
226657	772	1993-03-14	PRIJEM	VKLAD	24009	47950	\N	\N	\N
226658	772	1993-04-14	PRIJEM	VKLAD	24009	59474	\N	\N	\N
226659	772	1993-05-14	PRIJEM	VKLAD	24009	66941	\N	\N	\N
226660	772	1993-06-14	PRIJEM	VKLAD	36014	81737	\N	\N	\N
226661	772	1993-07-14	PRIJEM	VKLAD	24009	50440	\N	\N	\N
226662	772	1993-08-14	PRIJEM	VKLAD	24009	58527	\N	\N	\N
226663	772	1993-09-14	PRIJEM	VKLAD	24009	59334	\N	\N	\N
226664	772	1993-10-14	PRIJEM	VKLAD	24009	55042	\N	\N	\N
226665	772	1993-11-14	PRIJEM	VKLAD	24009	54240	\N	\N	\N
226666	772	1993-12-14	PRIJEM	VKLAD	36014	70541	\N	\N	\N
226667	772	1994-01-14	PRIJEM	VKLAD	24009	60165	\N	\N	\N
226668	772	1994-02-14	PRIJEM	VKLAD	24009	56570	\N	\N	\N
226669	772	1994-03-14	PRIJEM	VKLAD	24009	60866	\N	\N	\N
226670	772	1994-04-14	PRIJEM	VKLAD	24009	57173	\N	\N	\N
226671	772	1994-05-14	PRIJEM	VKLAD	24009	59873	\N	\N	\N
226672	772	1994-06-14	PRIJEM	VKLAD	36014	76191	\N	\N	\N
226673	772	1994-07-14	PRIJEM	VKLAD	24009	68123	\N	\N	\N
226674	772	1994-08-14	PRIJEM	VKLAD	24009	66155	\N	\N	\N
226675	772	1994-09-14	PRIJEM	VKLAD	24009	56975	\N	\N	\N
226676	772	1994-10-14	PRIJEM	VKLAD	24009	64516	\N	\N	\N
226677	772	1994-11-14	PRIJEM	VKLAD	24009	59893	\N	\N	\N
226678	772	1994-12-14	PRIJEM	VKLAD	36014	74165	\N	\N	\N
226679	772	1995-01-14	PRIJEM	VKLAD	24009	67571	\N	\N	\N
226680	772	1995-02-14	PRIJEM	VKLAD	24009	56359	\N	\N	\N
226681	772	1995-03-14	PRIJEM	VKLAD	24009	62003	\N	\N	\N
226682	772	1995-04-14	PRIJEM	VKLAD	24009	64676	\N	\N	\N
226683	772	1995-05-14	PRIJEM	VKLAD	24009	65255	\N	\N	\N
226684	772	1995-06-14	PRIJEM	VKLAD	36014	80046	\N	\N	\N
226685	772	1995-07-14	PRIJEM	VKLAD	24009	67166	\N	\N	\N
226686	772	1995-08-14	PRIJEM	VKLAD	24009	71450	\N	\N	\N
226687	772	1995-09-14	PRIJEM	VKLAD	24009	70057	\N	\N	\N
226688	772	1995-10-14	PRIJEM	VKLAD	24009	72563	\N	\N	\N
226689	772	1995-11-14	PRIJEM	VKLAD	24009	73475	\N	\N	\N
226690	772	1995-12-14	PRIJEM	VKLAD	36014	87096	\N	\N	\N
226691	772	1996-01-14	PRIJEM	VKLAD	24009	76847	\N	\N	\N
226692	772	1996-02-14	PRIJEM	VKLAD	24009	73065	\N	\N	\N
226693	772	1996-03-14	PRIJEM	VKLAD	24009	72570	\N	\N	\N
226694	772	1996-04-14	PRIJEM	VKLAD	24009	76881	\N	\N	\N
226695	772	1996-05-14	PRIJEM	VKLAD	24009	80205	\N	\N	\N
226696	772	1996-06-14	PRIJEM	VKLAD	36014	68551	\N	\N	\N
226697	772	1996-07-14	PRIJEM	VKLAD	24009	76035	\N	\N	\N
226698	772	1996-08-14	PRIJEM	VKLAD	24009	80747	\N	\N	\N
226699	772	1996-09-14	PRIJEM	VKLAD	24009	85284	\N	\N	\N
226700	772	1996-10-14	PRIJEM	VKLAD	24009	83043	\N	\N	\N
226701	772	1996-11-14	PRIJEM	VKLAD	24009	84701	\N	\N	\N
226702	772	1996-12-14	PRIJEM	VKLAD	36014	96066	\N	\N	\N
226703	772	1997-01-14	PRIJEM	VKLAD	24009	84048	\N	\N	\N
226704	772	1997-02-14	PRIJEM	VKLAD	24009	76974	\N	\N	\N
226705	772	1997-03-14	PRIJEM	VKLAD	24009	84083	\N	\N	\N
226706	772	1997-04-14	PRIJEM	VKLAD	24009	85733	\N	\N	\N
226707	772	1997-05-14	PRIJEM	VKLAD	24009	80776	\N	\N	\N
226708	772	1997-06-14	PRIJEM	VKLAD	36014	76109	\N	\N	\N
226709	772	1997-07-14	PRIJEM	VKLAD	24009	83113	\N	\N	\N
226710	772	1997-08-14	PRIJEM	VKLAD	24009	89445	\N	\N	\N
226711	772	1997-09-14	PRIJEM	VKLAD	24009	86495	\N	\N	\N
226712	772	1997-10-14	PRIJEM	VKLAD	24009	86635	\N	\N	\N
226713	772	1997-11-14	PRIJEM	VKLAD	24009	83873	\N	\N	\N
226714	772	1997-12-14	PRIJEM	VKLAD	36014	97405	\N	\N	\N
226715	772	1998-01-14	PRIJEM	VKLAD	24009	88661	\N	\N	\N
226716	772	1998-02-14	PRIJEM	VKLAD	24009	75391	\N	\N	\N
226717	772	1998-03-14	PRIJEM	VKLAD	24009	77177	\N	\N	\N
226718	772	1998-04-14	PRIJEM	VKLAD	24009	79274	\N	\N	\N
226719	772	1998-05-14	PRIJEM	VKLAD	24009	83779	\N	\N	\N
226720	772	1998-06-14	PRIJEM	VKLAD	36014	98005	\N	\N	\N
226721	772	1998-07-14	PRIJEM	VKLAD	24009	81752	\N	\N	\N
226722	772	1998-08-14	PRIJEM	VKLAD	24009	82764	\N	\N	\N
226723	772	1998-09-14	PRIJEM	VKLAD	24009	84178	\N	\N	\N
226724	772	1998-10-14	PRIJEM	VKLAD	24009	86093	\N	\N	\N
226725	772	1998-11-14	PRIJEM	VKLAD	24009	79611	\N	\N	\N
226726	772	1998-12-14	PRIJEM	VKLAD	36014	94819	\N	\N	\N
226733	772	1993-07-12	VYDAJ	PREVOD NA UCET	4225	26431	SIPO	IJ	69179099
226734	772	1993-08-12	VYDAJ	PREVOD NA UCET	4225	34518	SIPO	IJ	69179099
226735	772	1993-09-12	VYDAJ	PREVOD NA UCET	4225	35325	SIPO	IJ	69179099
226736	772	1993-10-12	VYDAJ	PREVOD NA UCET	4225	31033	SIPO	IJ	69179099
226737	772	1993-11-12	VYDAJ	PREVOD NA UCET	4225	30231	SIPO	IJ	69179099
226738	772	1993-12-12	VYDAJ	PREVOD NA UCET	4225	34527	SIPO	IJ	69179099
226739	772	1994-01-12	VYDAJ	PREVOD NA UCET	4225	36156	SIPO	IJ	69179099
226740	772	1994-02-12	VYDAJ	PREVOD NA UCET	4225	32561	SIPO	IJ	69179099
226741	772	1994-03-12	VYDAJ	PREVOD NA UCET	4225	36857	SIPO	IJ	69179099
226742	772	1994-04-12	VYDAJ	PREVOD NA UCET	4225	33164	SIPO	IJ	69179099
226743	772	1994-05-12	VYDAJ	PREVOD NA UCET	4225	35864	SIPO	IJ	69179099
226744	772	1994-06-12	VYDAJ	PREVOD NA UCET	4225	40177	SIPO	IJ	69179099
226745	772	1994-07-12	VYDAJ	PREVOD NA UCET	4225	44114	SIPO	IJ	69179099
226746	772	1994-08-12	VYDAJ	PREVOD NA UCET	4225	42146	SIPO	IJ	69179099
226747	772	1994-09-12	VYDAJ	PREVOD NA UCET	4225	36766	SIPO	IJ	69179099
226748	772	1994-10-12	VYDAJ	PREVOD NA UCET	4225	52007	SIPO	IJ	69179099
226749	772	1994-11-12	VYDAJ	PREVOD NA UCET	4225	49784	SIPO	IJ	69179099
226750	772	1994-12-12	VYDAJ	PREVOD NA UCET	4225	38151	SIPO	IJ	69179099
226751	772	1995-01-12	VYDAJ	PREVOD NA UCET	4225	44862	SIPO	IJ	69179099
226752	772	1995-02-12	VYDAJ	PREVOD NA UCET	4225	32350	SIPO	IJ	69179099
226753	772	1995-03-12	VYDAJ	PREVOD NA UCET	4225	51394	SIPO	IJ	69179099
226754	772	1995-04-12	VYDAJ	PREVOD NA UCET	4225	40667	SIPO	IJ	69179099
226755	772	1995-05-12	VYDAJ	PREVOD NA UCET	4225	41246	SIPO	IJ	69179099
226756	772	1995-06-12	VYDAJ	PREVOD NA UCET	4225	44032	SIPO	IJ	69179099
226757	772	1995-07-12	VYDAJ	PREVOD NA UCET	4225	43157	SIPO	IJ	69179099
226758	772	1995-08-12	VYDAJ	PREVOD NA UCET	4225	47441	SIPO	IJ	69179099
226759	772	1995-09-12	VYDAJ	PREVOD NA UCET	4225	46048	SIPO	IJ	69179099
226760	772	1995-10-12	VYDAJ	PREVOD NA UCET	4225	48554	SIPO	IJ	69179099
226761	772	1995-11-12	VYDAJ	PREVOD NA UCET	4225	49466	SIPO	IJ	69179099
226762	772	1995-12-12	VYDAJ	PREVOD NA UCET	4225	51082	SIPO	IJ	69179099
226763	772	1996-01-12	VYDAJ	PREVOD NA UCET	4225	53638	SIPO	IJ	69179099
226764	772	1996-02-12	VYDAJ	PREVOD NA UCET	4225	49056	SIPO	IJ	69179099
226765	772	1996-03-12	VYDAJ	PREVOD NA UCET	4225	48561	SIPO	IJ	69179099
226766	772	1996-04-12	VYDAJ	PREVOD NA UCET	4225	52872	SIPO	IJ	69179099
226767	772	1996-05-12	VYDAJ	PREVOD NA UCET	4225	56196	SIPO	IJ	69179099
226768	772	1996-06-12	VYDAJ	PREVOD NA UCET	4225	32537	SIPO	IJ	69179099
226769	772	1996-07-12	VYDAJ	PREVOD NA UCET	4225	52026	SIPO	IJ	69179099
226770	772	1996-08-12	VYDAJ	PREVOD NA UCET	4225	56738	SIPO	IJ	69179099
226771	772	1996-09-12	VYDAJ	PREVOD NA UCET	4225	61275	SIPO	IJ	69179099
226772	772	1996-10-12	VYDAJ	PREVOD NA UCET	4225	59034	SIPO	IJ	69179099
226773	772	1996-11-12	VYDAJ	PREVOD NA UCET	4225	60692	SIPO	IJ	69179099
226774	772	1996-12-12	VYDAJ	PREVOD NA UCET	4225	60052	SIPO	IJ	69179099
226775	772	1997-01-12	VYDAJ	PREVOD NA UCET	4225	60039	SIPO	IJ	69179099
226776	772	1997-02-12	VYDAJ	PREVOD NA UCET	4225	52965	SIPO	IJ	69179099
226777	772	1997-03-12	VYDAJ	PREVOD NA UCET	4225	60074	SIPO	IJ	69179099
226778	772	1997-04-12	VYDAJ	PREVOD NA UCET	4225	61724	SIPO	IJ	69179099
226779	772	1997-05-12	VYDAJ	PREVOD NA UCET	4225	56767	SIPO	IJ	69179099
226780	772	1997-06-12	VYDAJ	PREVOD NA UCET	4225	40095	SIPO	IJ	69179099
226781	772	1997-07-12	VYDAJ	PREVOD NA UCET	4225	59104	SIPO	IJ	69179099
226782	772	1997-08-12	VYDAJ	PREVOD NA UCET	4225	65436	SIPO	IJ	69179099
226783	772	1997-09-12	VYDAJ	PREVOD NA UCET	4225	62486	SIPO	IJ	69179099
226784	772	1997-10-12	VYDAJ	PREVOD NA UCET	4225	62626	SIPO	IJ	69179099
226785	772	1997-11-12	VYDAJ	PREVOD NA UCET	4225	59864	SIPO	IJ	69179099
226786	772	1997-12-12	VYDAJ	PREVOD NA UCET	4225	61391	SIPO	IJ	69179099
226787	772	1998-01-12	VYDAJ	PREVOD NA UCET	4225	64652	SIPO	IJ	69179099
226788	772	1998-02-12	VYDAJ	PREVOD NA UCET	4225	51382	SIPO	IJ	69179099
226789	772	1998-03-12	VYDAJ	PREVOD NA UCET	4225	53168	SIPO	IJ	69179099
226790	772	1998-04-12	VYDAJ	PREVOD NA UCET	4225	55265	SIPO	IJ	69179099
226791	772	1998-05-12	VYDAJ	PREVOD NA UCET	4225	59770	SIPO	IJ	69179099
226792	772	1998-06-12	VYDAJ	PREVOD NA UCET	4225	61991	SIPO	IJ	69179099
226793	772	1998-07-12	VYDAJ	PREVOD NA UCET	4225	57743	SIPO	IJ	69179099
226794	772	1998-08-12	VYDAJ	PREVOD NA UCET	4225	58755	SIPO	IJ	69179099
226795	772	1998-09-12	VYDAJ	PREVOD NA UCET	4225	60169	SIPO	IJ	69179099
226796	772	1998-10-12	VYDAJ	PREVOD NA UCET	4225	62084	SIPO	IJ	69179099
226797	772	1998-11-12	VYDAJ	PREVOD NA UCET	4225	60302	SIPO	IJ	69179099
226798	772	1998-12-12	VYDAJ	PREVOD NA UCET	4225	58805	SIPO	IJ	69179099
226805	772	1993-07-08	VYDAJ	PREVOD NA UCET	660	30936	 	YZ	62614697
226806	772	1993-08-08	VYDAJ	PREVOD NA UCET	660	39023	 	YZ	62614697
226807	772	1993-09-08	VYDAJ	PREVOD NA UCET	660	39830	 	YZ	62614697
226808	772	1993-10-08	VYDAJ	PREVOD NA UCET	660	35538	 	YZ	62614697
226809	772	1993-11-08	VYDAJ	PREVOD NA UCET	660	38436	 	YZ	62614697
226810	772	1993-12-08	VYDAJ	PREVOD NA UCET	660	39032	 	YZ	62614697
226811	772	1994-01-08	VYDAJ	PREVOD NA UCET	660	41861	 	YZ	62614697
226812	772	1994-02-08	VYDAJ	PREVOD NA UCET	660	37066	 	YZ	62614697
226813	772	1994-03-08	VYDAJ	PREVOD NA UCET	660	41362	 	YZ	62614697
226814	772	1994-04-08	VYDAJ	PREVOD NA UCET	660	37669	 	YZ	62614697
226815	772	1994-05-08	VYDAJ	PREVOD NA UCET	660	40369	 	YZ	62614697
226816	772	1994-06-08	VYDAJ	PREVOD NA UCET	660	44682	 	YZ	62614697
226817	772	1994-07-08	VYDAJ	PREVOD NA UCET	660	48619	 	YZ	62614697
226818	772	1994-08-08	VYDAJ	PREVOD NA UCET	660	46651	 	YZ	62614697
226819	772	1994-09-08	VYDAJ	PREVOD NA UCET	660	41271	 	YZ	62614697
226820	772	1994-10-08	VYDAJ	PREVOD NA UCET	660	56512	 	YZ	62614697
226821	772	1994-11-08	VYDAJ	PREVOD NA UCET	660	54289	 	YZ	62614697
226822	772	1994-12-08	VYDAJ	PREVOD NA UCET	660	57356	 	YZ	62614697
226823	772	1995-01-08	VYDAJ	PREVOD NA UCET	660	73067	 	YZ	62614697
226824	772	1995-02-08	VYDAJ	PREVOD NA UCET	660	51255	 	YZ	62614697
226825	772	1995-03-08	VYDAJ	PREVOD NA UCET	660	55899	 	YZ	62614697
226826	772	1995-04-08	VYDAJ	PREVOD NA UCET	660	61572	 	YZ	62614697
226827	772	1995-05-08	VYDAJ	PREVOD NA UCET	660	60551	 	YZ	62614697
226828	772	1995-06-08	VYDAJ	PREVOD NA UCET	660	64837	 	YZ	62614697
226829	772	1995-07-08	VYDAJ	PREVOD NA UCET	660	56162	 	YZ	62614697
226830	772	1995-08-08	VYDAJ	PREVOD NA UCET	660	66746	 	YZ	62614697
226831	772	1995-09-08	VYDAJ	PREVOD NA UCET	660	54153	 	YZ	62614697
226832	772	1995-10-08	VYDAJ	PREVOD NA UCET	660	55359	 	YZ	62614697
226833	772	1995-11-08	VYDAJ	PREVOD NA UCET	660	53971	 	YZ	62614697
226834	772	1995-12-08	VYDAJ	PREVOD NA UCET	660	55587	 	YZ	62614697
226835	772	1996-01-08	VYDAJ	PREVOD NA UCET	660	58143	 	YZ	62614697
226836	772	1996-02-08	VYDAJ	PREVOD NA UCET	660	53561	 	YZ	62614697
226837	772	1996-03-08	VYDAJ	PREVOD NA UCET	660	53066	 	YZ	62614697
226838	772	1996-04-08	VYDAJ	PREVOD NA UCET	660	57377	 	YZ	62614697
226839	772	1996-05-08	VYDAJ	PREVOD NA UCET	660	60701	 	YZ	62614697
226840	772	1996-06-08	VYDAJ	PREVOD NA UCET	660	37042	 	YZ	62614697
226841	772	1996-07-08	VYDAJ	PREVOD NA UCET	660	56531	 	YZ	62614697
226842	772	1996-08-08	VYDAJ	PREVOD NA UCET	660	61243	 	YZ	62614697
226843	772	1996-09-08	VYDAJ	PREVOD NA UCET	660	65780	 	YZ	62614697
226844	772	1996-10-08	VYDAJ	PREVOD NA UCET	660	63539	 	YZ	62614697
226845	772	1996-11-08	VYDAJ	PREVOD NA UCET	660	65197	 	YZ	62614697
226846	772	1996-12-08	VYDAJ	PREVOD NA UCET	660	64557	 	YZ	62614697
226847	772	1997-01-08	VYDAJ	PREVOD NA UCET	660	69544	 	YZ	62614697
226848	772	1997-02-08	VYDAJ	PREVOD NA UCET	660	57470	 	YZ	62614697
226849	772	1997-03-08	VYDAJ	PREVOD NA UCET	660	64579	 	YZ	62614697
226850	772	1997-04-08	VYDAJ	PREVOD NA UCET	660	66229	 	YZ	62614697
226851	772	1997-05-08	VYDAJ	PREVOD NA UCET	660	61272	 	YZ	62614697
226852	772	1997-06-08	VYDAJ	PREVOD NA UCET	660	44600	 	YZ	62614697
226853	772	1997-07-08	VYDAJ	PREVOD NA UCET	660	63609	 	YZ	62614697
226854	772	1997-08-08	VYDAJ	PREVOD NA UCET	660	69941	 	YZ	62614697
226855	772	1997-09-08	VYDAJ	PREVOD NA UCET	660	66991	 	YZ	62614697
226856	772	1997-10-08	VYDAJ	PREVOD NA UCET	660	67131	 	YZ	62614697
226857	772	1997-11-08	VYDAJ	PREVOD NA UCET	660	64369	 	YZ	62614697
226858	772	1997-12-08	VYDAJ	PREVOD NA UCET	660	67796	 	YZ	62614697
226859	772	1998-01-08	VYDAJ	PREVOD NA UCET	660	69157	 	YZ	62614697
226860	772	1998-02-08	VYDAJ	PREVOD NA UCET	660	55887	 	YZ	62614697
226861	772	1998-03-08	VYDAJ	PREVOD NA UCET	660	57673	 	YZ	62614697
226862	772	1998-04-08	VYDAJ	PREVOD NA UCET	660	59770	 	YZ	62614697
226863	772	1998-05-08	VYDAJ	PREVOD NA UCET	660	64275	 	YZ	62614697
226864	772	1998-06-08	VYDAJ	PREVOD NA UCET	660	66496	 	YZ	62614697
226865	772	1998-07-08	VYDAJ	PREVOD NA UCET	660	62248	 	YZ	62614697
226866	772	1998-08-08	VYDAJ	PREVOD NA UCET	660	63260	 	YZ	62614697
226867	772	1998-09-08	VYDAJ	PREVOD NA UCET	660	64674	 	YZ	62614697
226868	772	1998-10-08	VYDAJ	PREVOD NA UCET	660	66589	 	YZ	62614697
226869	772	1998-11-08	VYDAJ	PREVOD NA UCET	660	64807	 	YZ	62614697
226870	772	1998-12-08	VYDAJ	PREVOD NA UCET	660	63310	 	YZ	62614697
226877	772	1993-07-10	VYDAJ	PREVOD NA UCET	280	30656	POJISTNE	WX	50320124
226878	772	1993-08-10	VYDAJ	PREVOD NA UCET	280	38743	POJISTNE	WX	50320124
226879	772	1993-09-10	VYDAJ	PREVOD NA UCET	280	39550	POJISTNE	WX	50320124
226880	772	1993-10-10	VYDAJ	PREVOD NA UCET	280	35258	POJISTNE	WX	50320124
226881	772	1993-11-10	VYDAJ	PREVOD NA UCET	280	34456	POJISTNE	WX	50320124
226882	772	1993-12-10	VYDAJ	PREVOD NA UCET	280	38752	POJISTNE	WX	50320124
226883	772	1994-01-10	VYDAJ	PREVOD NA UCET	280	40381	POJISTNE	WX	50320124
226884	772	1994-02-10	VYDAJ	PREVOD NA UCET	280	36786	POJISTNE	WX	50320124
226885	772	1994-03-10	VYDAJ	PREVOD NA UCET	280	41082	POJISTNE	WX	50320124
226886	772	1994-04-10	VYDAJ	PREVOD NA UCET	280	37389	POJISTNE	WX	50320124
226887	772	1994-05-10	VYDAJ	PREVOD NA UCET	280	40089	POJISTNE	WX	50320124
226888	772	1994-06-10	VYDAJ	PREVOD NA UCET	280	44402	POJISTNE	WX	50320124
226889	772	1994-07-10	VYDAJ	PREVOD NA UCET	280	48339	POJISTNE	WX	50320124
226890	772	1994-08-10	VYDAJ	PREVOD NA UCET	280	46371	POJISTNE	WX	50320124
226891	772	1994-09-10	VYDAJ	PREVOD NA UCET	280	40991	POJISTNE	WX	50320124
226892	772	1994-10-10	VYDAJ	PREVOD NA UCET	280	56232	POJISTNE	WX	50320124
226893	772	1994-11-10	VYDAJ	PREVOD NA UCET	280	54009	POJISTNE	WX	50320124
226894	772	1994-12-10	VYDAJ	PREVOD NA UCET	280	57076	POJISTNE	WX	50320124
226895	772	1995-01-10	VYDAJ	PREVOD NA UCET	280	70787	POJISTNE	WX	50320124
226896	772	1995-02-10	VYDAJ	PREVOD NA UCET	280	36575	POJISTNE	WX	50320124
226897	772	1995-03-10	VYDAJ	PREVOD NA UCET	280	55619	POJISTNE	WX	50320124
226898	772	1995-04-10	VYDAJ	PREVOD NA UCET	280	61292	POJISTNE	WX	50320124
226899	772	1995-05-10	VYDAJ	PREVOD NA UCET	280	60271	POJISTNE	WX	50320124
226900	772	1995-06-10	VYDAJ	PREVOD NA UCET	280	64557	POJISTNE	WX	50320124
226901	772	1995-07-10	VYDAJ	PREVOD NA UCET	280	47382	POJISTNE	WX	50320124
226902	772	1995-08-10	VYDAJ	PREVOD NA UCET	280	51666	POJISTNE	WX	50320124
226903	772	1995-09-10	VYDAJ	PREVOD NA UCET	280	53873	POJISTNE	WX	50320124
226904	772	1995-10-10	VYDAJ	PREVOD NA UCET	280	55079	POJISTNE	WX	50320124
226905	772	1995-11-10	VYDAJ	PREVOD NA UCET	280	53691	POJISTNE	WX	50320124
226906	772	1995-12-10	VYDAJ	PREVOD NA UCET	280	55307	POJISTNE	WX	50320124
226907	772	1996-01-10	VYDAJ	PREVOD NA UCET	280	57863	POJISTNE	WX	50320124
226908	772	1996-02-10	VYDAJ	PREVOD NA UCET	280	53281	POJISTNE	WX	50320124
226909	772	1996-03-10	VYDAJ	PREVOD NA UCET	280	52786	POJISTNE	WX	50320124
226910	772	1996-04-10	VYDAJ	PREVOD NA UCET	280	57097	POJISTNE	WX	50320124
226911	772	1996-05-10	VYDAJ	PREVOD NA UCET	280	60421	POJISTNE	WX	50320124
226912	772	1996-06-10	VYDAJ	PREVOD NA UCET	280	36762	POJISTNE	WX	50320124
226913	772	1996-07-10	VYDAJ	PREVOD NA UCET	280	56251	POJISTNE	WX	50320124
226914	772	1996-08-10	VYDAJ	PREVOD NA UCET	280	60963	POJISTNE	WX	50320124
226915	772	1996-09-10	VYDAJ	PREVOD NA UCET	280	65500	POJISTNE	WX	50320124
226916	772	1996-10-10	VYDAJ	PREVOD NA UCET	280	63259	POJISTNE	WX	50320124
226917	772	1996-11-10	VYDAJ	PREVOD NA UCET	280	64917	POJISTNE	WX	50320124
226918	772	1996-12-10	VYDAJ	PREVOD NA UCET	280	64277	POJISTNE	WX	50320124
226919	772	1997-01-10	VYDAJ	PREVOD NA UCET	280	64264	POJISTNE	WX	50320124
226920	772	1997-02-10	VYDAJ	PREVOD NA UCET	280	57190	POJISTNE	WX	50320124
226921	772	1997-03-10	VYDAJ	PREVOD NA UCET	280	64299	POJISTNE	WX	50320124
226922	772	1997-04-10	VYDAJ	PREVOD NA UCET	280	65949	POJISTNE	WX	50320124
226923	772	1997-05-10	VYDAJ	PREVOD NA UCET	280	60992	POJISTNE	WX	50320124
226924	772	1997-06-10	VYDAJ	PREVOD NA UCET	280	44320	POJISTNE	WX	50320124
226925	772	1997-07-10	VYDAJ	PREVOD NA UCET	280	63329	POJISTNE	WX	50320124
226926	772	1997-08-10	VYDAJ	PREVOD NA UCET	280	69661	POJISTNE	WX	50320124
226927	772	1997-09-10	VYDAJ	PREVOD NA UCET	280	66711	POJISTNE	WX	50320124
226928	772	1997-10-10	VYDAJ	PREVOD NA UCET	280	66851	POJISTNE	WX	50320124
226929	772	1997-11-10	VYDAJ	PREVOD NA UCET	280	64089	POJISTNE	WX	50320124
226930	772	1997-12-10	VYDAJ	PREVOD NA UCET	280	67516	POJISTNE	WX	50320124
226931	772	1998-01-10	VYDAJ	PREVOD NA UCET	280	68877	POJISTNE	WX	50320124
226932	772	1998-02-10	VYDAJ	PREVOD NA UCET	280	55607	POJISTNE	WX	50320124
226933	772	1998-03-10	VYDAJ	PREVOD NA UCET	280	57393	POJISTNE	WX	50320124
226934	772	1998-04-10	VYDAJ	PREVOD NA UCET	280	59490	POJISTNE	WX	50320124
226935	772	1998-05-10	VYDAJ	PREVOD NA UCET	280	63995	POJISTNE	WX	50320124
226936	772	1998-06-10	VYDAJ	PREVOD NA UCET	280	66216	POJISTNE	WX	50320124
226937	772	1998-07-10	VYDAJ	PREVOD NA UCET	280	61968	POJISTNE	WX	50320124
226938	772	1998-08-10	VYDAJ	PREVOD NA UCET	280	62980	POJISTNE	WX	50320124
226939	772	1998-09-10	VYDAJ	PREVOD NA UCET	280	64394	POJISTNE	WX	50320124
226940	772	1998-10-10	VYDAJ	PREVOD NA UCET	280	66309	POJISTNE	WX	50320124
226941	772	1998-11-10	VYDAJ	PREVOD NA UCET	280	64527	POJISTNE	WX	50320124
226942	772	1998-12-10	VYDAJ	PREVOD NA UCET	280	63030	POJISTNE	WX	50320124
226943	772	1993-06-22	VYDAJ	VYBER	19700	31437	\N	\N	\N
226944	772	1994-06-22	VYDAJ	VYBER	3100	49091	\N	\N	\N
226945	772	1995-06-28	VYDAJ	VYBER	23500	56546	\N	\N	\N
226946	772	1996-06-06	VYDAJ	VYBER	25900	37702	\N	\N	\N
226947	772	1997-06-07	VYDAJ	VYBER	23500	45260	\N	\N	\N
226948	772	1998-06-29	VYDAJ	VYBER	11600	62605	\N	\N	\N
226950	772	1994-01-06	VYDAJ	VYBER	3900	42521	\N	\N	\N
226951	772	1995-01-22	VYDAJ	VYBER	9100	53971	\N	\N	\N
226952	772	1996-01-16	VYDAJ	VYBER	6200	70647	\N	\N	\N
226953	772	1997-01-26	VYDAJ	VYBER	9500	67348	\N	\N	\N
226954	772	1998-01-28	VYDAJ	VYBER	7200	56261	\N	\N	\N
226955	772	1993-12-16	VYDAJ	VYBER	1600	68941	\N	\N	\N
226956	772	1994-12-03	VYDAJ	VYBER	2100	58016	\N	\N	\N
226957	772	1995-12-20	VYDAJ	VYBER	600	86496	\N	\N	\N
226958	772	1996-12-18	VYDAJ	VYBER	2300	93766	\N	\N	\N
226959	772	1997-12-12	VYDAJ	VYBER	1900	65616	\N	\N	\N
226960	772	1998-12-23	VYDAJ	VYBER	900	72419	\N	\N	\N
226967	772	1994-01-16	VYDAJ	VYBER	1600	43765	\N	\N	\N
226968	772	1994-01-06	VYDAJ	VYBER	2700	46421	\N	\N	\N
226969	772	1994-01-09	VYDAJ	VYBER	1200	40661	\N	\N	\N
226970	772	1994-01-20	VYDAJ	VYBER	600	39565	\N	\N	\N
226971	772	1994-01-18	VYDAJ	VYBER	1200	40165	\N	\N	\N
226972	772	1994-01-21	VYDAJ	VYBER	2000	37565	\N	\N	\N
226973	772	1995-01-25	VYDAJ	VYBER	1000	52971	\N	\N	\N
226974	772	1995-01-30	VYDAJ	VYBER	700	51671	\N	\N	\N
226975	772	1995-01-16	VYDAJ	VYBER	1000	66571	\N	\N	\N
226976	772	1995-01-13	VYDAJ	VYBER	1300	43562	\N	\N	\N
226977	772	1995-01-10	VYDAJ	VYBER	2000	71067	\N	\N	\N
226978	772	1995-01-01	VYDAJ	VYBER	700	73727	\N	\N	\N
226979	772	1996-01-25	VYDAJ	VYBER	1800	68847	\N	\N	\N
226980	772	1996-01-30	VYDAJ	VYBER	700	67047	\N	\N	\N
226981	772	1996-01-28	VYDAJ	VYBER	1100	67747	\N	\N	\N
226982	772	1996-01-08	VYDAJ	VYBER	600	58803	\N	\N	\N
226983	772	1996-01-13	VYDAJ	VYBER	800	52838	\N	\N	\N
226984	772	1996-01-01	VYDAJ	VYBER	1500	85303	\N	\N	\N
226985	772	1997-01-17	VYDAJ	VYBER	2200	81848	\N	\N	\N
226986	772	1997-01-19	VYDAJ	VYBER	2400	79448	\N	\N	\N
226987	772	1997-01-09	VYDAJ	VYBER	2700	66844	\N	\N	\N
226988	772	1997-01-22	VYDAJ	VYBER	700	78748	\N	\N	\N
226989	772	1997-01-09	VYDAJ	VYBER	2300	64544	\N	\N	\N
226990	772	1997-01-24	VYDAJ	VYBER	1900	76848	\N	\N	\N
226991	772	1998-01-23	VYDAJ	VYBER	800	86161	\N	\N	\N
226992	772	1998-01-15	VYDAJ	VYBER	1700	86961	\N	\N	\N
226993	772	1998-01-27	VYDAJ	VYBER	2800	63461	\N	\N	\N
226994	772	1998-01-24	VYDAJ	VYBER	2000	84161	\N	\N	\N
226995	772	1998-01-04	VYDAJ	VYBER	1200	69817	\N	\N	\N
226996	772	1998-01-04	VYDAJ	VYBER	1000	71017	\N	\N	\N
227000	772	1993-10-04	VYDAJ	VYBER	4900	36198	\N	\N	\N
227002	772	1993-11-10	VYDAJ	VYBER	3700	34736	\N	\N	\N
227003	772	1994-10-19	VYDAJ	VYBER	2400	62116	\N	\N	\N
227004	772	1994-07-23	VYDAJ	VYBER	1400	47123	\N	\N	\N
227005	772	1994-09-05	VYDAJ	VYBER	4000	41931	\N	\N	\N
227006	772	1994-11-03	VYDAJ	VYBER	2500	54949	\N	\N	\N
227007	772	1994-10-31	VYDAJ	VYBER	4900	57464	\N	\N	\N
227008	772	1994-01-17	VYDAJ	VYBER	2400	41365	\N	\N	\N
227009	772	1994-03-16	VYDAJ	VYBER	800	60066	\N	\N	\N
227010	772	1994-04-06	VYDAJ	VYBER	2500	38329	\N	\N	\N
227011	772	1995-01-19	VYDAJ	VYBER	3500	63071	\N	\N	\N
227012	772	1995-01-25	VYDAJ	VYBER	600	52371	\N	\N	\N
227013	772	1995-04-19	VYDAJ	VYBER	3700	60976	\N	\N	\N
227014	772	1995-10-11	VYDAJ	VYBER	2300	52779	\N	\N	\N
227015	772	1995-09-11	VYDAJ	VYBER	3600	50273	\N	\N	\N
227016	772	1996-07-20	VYDAJ	VYBER	3800	72235	\N	\N	\N
227017	772	1996-04-17	VYDAJ	VYBER	800	76081	\N	\N	\N
227018	772	1996-04-05	VYDAJ	VYBER	1500	71337	\N	\N	\N
227019	772	1996-06-26	VYDAJ	VYBER	1800	66751	\N	\N	\N
227020	772	1996-02-23	VYDAJ	VYBER	1500	71565	\N	\N	\N
227021	772	1996-08-25	VYDAJ	VYBER	1400	79347	\N	\N	\N
227022	772	1996-02-27	VYDAJ	VYBER	1700	69865	\N	\N	\N
227023	772	1997-02-03	VYDAJ	VYBER	1200	58130	\N	\N	\N
227024	772	1997-10-06	VYDAJ	VYBER	2800	67791	\N	\N	\N
227025	772	1997-10-25	VYDAJ	VYBER	2600	84035	\N	\N	\N
227026	772	1997-08-27	VYDAJ	VYBER	3100	86345	\N	\N	\N
227027	772	1997-05-04	VYDAJ	VYBER	3600	61932	\N	\N	\N
227028	772	1997-04-28	VYDAJ	VYBER	4600	81133	\N	\N	\N
227029	772	1997-05-04	VYDAJ	VYBER	1400	65532	\N	\N	\N
227030	772	1998-08-26	VYDAJ	VYBER	1800	65064	\N	\N	\N
227031	772	1998-11-12	VYDAJ	VYBER	4700	55602	\N	\N	\N
227032	772	1998-08-01	VYDAJ	VYBER	2700	63920	\N	\N	\N
227039	772	1993-06-30	VYDAJ	VYBER	15	31596	SLUZBY	\N	\N
227040	772	1993-07-31	VYDAJ	VYBER	15	39683	SLUZBY	\N	\N
227041	772	1993-08-31	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
227042	772	1993-09-30	VYDAJ	VYBER	15	41098	SLUZBY	\N	\N
227043	772	1993-10-31	VYDAJ	VYBER	15	39096	SLUZBY	\N	\N
227044	772	1993-11-30	VYDAJ	VYBER	15	39692	SLUZBY	\N	\N
227045	772	1993-12-31	VYDAJ	VYBER	15	49121	SLUZBY	\N	\N
227046	772	1994-01-31	VYDAJ	VYBER	15	37726	SLUZBY	\N	\N
227047	772	1994-02-28	VYDAJ	VYBER	15	42022	SLUZBY	\N	\N
227048	772	1994-03-31	VYDAJ	VYBER	15	40829	SLUZBY	\N	\N
227049	772	1994-04-30	VYDAJ	VYBER	15	41029	SLUZBY	\N	\N
227050	772	1994-05-31	VYDAJ	VYBER	15	45342	SLUZBY	\N	\N
227051	772	1994-06-30	VYDAJ	VYBER	15	49279	SLUZBY	\N	\N
227052	772	1994-07-31	VYDAJ	VYBER	15	47311	SLUZBY	\N	\N
227053	772	1994-08-31	VYDAJ	VYBER	15	45931	SLUZBY	\N	\N
227054	772	1994-09-30	VYDAJ	VYBER	15	57172	SLUZBY	\N	\N
227055	772	1994-10-31	VYDAJ	VYBER	15	57449	SLUZBY	\N	\N
227056	772	1994-11-30	VYDAJ	VYBER	15	60116	SLUZBY	\N	\N
227057	772	1994-12-31	VYDAJ	VYBER	15	74427	SLUZBY	\N	\N
227058	772	1995-01-31	VYDAJ	VYBER	15	51915	SLUZBY	\N	\N
227059	772	1995-02-28	VYDAJ	VYBER	15	56559	SLUZBY	\N	\N
227060	772	1995-03-31	VYDAJ	VYBER	15	62232	SLUZBY	\N	\N
227061	772	1995-04-30	VYDAJ	VYBER	15	61211	SLUZBY	\N	\N
227062	772	1995-05-31	VYDAJ	VYBER	15	65497	SLUZBY	\N	\N
227063	772	1995-06-30	VYDAJ	VYBER	15	56822	SLUZBY	\N	\N
227064	772	1995-07-31	VYDAJ	VYBER	15	67406	SLUZBY	\N	\N
227065	772	1995-08-31	VYDAJ	VYBER	15	71713	SLUZBY	\N	\N
227066	772	1995-09-30	VYDAJ	VYBER	15	70319	SLUZBY	\N	\N
227067	772	1995-10-31	VYDAJ	VYBER	15	72831	SLUZBY	\N	\N
227068	772	1995-11-30	VYDAJ	VYBER	15	73747	SLUZBY	\N	\N
227069	772	1995-12-31	VYDAJ	VYBER	15	86803	SLUZBY	\N	\N
227070	772	1996-01-31	VYDAJ	VYBER	15	67321	SLUZBY	\N	\N
227071	772	1996-02-29	VYDAJ	VYBER	15	70126	SLUZBY	\N	\N
227072	772	1996-03-31	VYDAJ	VYBER	15	72837	SLUZBY	\N	\N
227073	772	1996-04-30	VYDAJ	VYBER	15	76361	SLUZBY	\N	\N
227074	772	1996-05-31	VYDAJ	VYBER	15	80502	SLUZBY	\N	\N
227075	772	1996-06-30	VYDAJ	VYBER	15	66991	SLUZBY	\N	\N
227076	772	1996-07-31	VYDAJ	VYBER	15	72503	SLUZBY	\N	\N
227077	772	1996-08-31	VYDAJ	VYBER	15	79640	SLUZBY	\N	\N
227078	772	1996-09-30	VYDAJ	VYBER	15	85599	SLUZBY	\N	\N
227079	772	1996-10-31	VYDAJ	VYBER	15	83357	SLUZBY	\N	\N
227080	772	1996-11-30	VYDAJ	VYBER	15	85017	SLUZBY	\N	\N
227081	772	1996-12-31	VYDAJ	VYBER	15	70204	SLUZBY	\N	\N
227082	772	1997-01-31	VYDAJ	VYBER	15	59330	SLUZBY	\N	\N
227083	772	1997-02-28	VYDAJ	VYBER	15	77239	SLUZBY	\N	\N
227084	772	1997-03-31	VYDAJ	VYBER	15	84389	SLUZBY	\N	\N
227085	772	1997-04-30	VYDAJ	VYBER	15	66932	SLUZBY	\N	\N
227086	772	1997-05-31	VYDAJ	VYBER	15	68760	SLUZBY	\N	\N
227087	772	1997-06-30	VYDAJ	VYBER	15	64269	SLUZBY	\N	\N
227088	772	1997-07-31	VYDAJ	VYBER	15	70601	SLUZBY	\N	\N
227089	772	1997-08-31	VYDAJ	VYBER	15	67651	SLUZBY	\N	\N
227090	772	1997-09-30	VYDAJ	VYBER	15	70591	SLUZBY	\N	\N
227091	772	1997-10-31	VYDAJ	VYBER	15	65029	SLUZBY	\N	\N
227092	772	1997-11-30	VYDAJ	VYBER	15	68456	SLUZBY	\N	\N
227093	772	1997-12-31	VYDAJ	VYBER	15	72017	SLUZBY	\N	\N
227094	772	1998-01-31	VYDAJ	VYBER	15	56547	SLUZBY	\N	\N
227095	772	1998-02-28	VYDAJ	VYBER	15	58333	SLUZBY	\N	\N
227096	772	1998-03-31	VYDAJ	VYBER	15	60430	SLUZBY	\N	\N
227097	772	1998-04-30	VYDAJ	VYBER	15	64935	SLUZBY	\N	\N
227098	772	1998-05-31	VYDAJ	VYBER	15	67156	SLUZBY	\N	\N
227099	772	1998-06-30	VYDAJ	VYBER	15	62908	SLUZBY	\N	\N
227100	772	1998-07-31	VYDAJ	VYBER	15	66620	SLUZBY	\N	\N
227101	772	1998-08-31	VYDAJ	VYBER	15	65334	SLUZBY	\N	\N
227102	772	1998-09-30	VYDAJ	VYBER	15	67249	SLUZBY	\N	\N
227103	772	1998-10-31	VYDAJ	VYBER	15	65467	SLUZBY	\N	\N
227104	772	1998-11-30	VYDAJ	VYBER	15	63970	SLUZBY	\N	\N
227105	772	1993-02-20	VYDAJ	VYBER	600	23909	\N	\N	\N
227106	772	1993-03-22	VYDAJ	VYBER	12600	35350	\N	\N	\N
227107	772	1993-04-21	VYDAJ	VYBER	16700	42774	\N	\N	\N
227108	772	1993-05-21	VYDAJ	VYBER	21400	45541	\N	\N	\N
227109	772	1993-06-20	VYDAJ	VYBER	30600	51137	\N	\N	\N
227110	772	1993-07-20	VYDAJ	VYBER	10900	39540	\N	\N	\N
227111	772	1993-08-19	VYDAJ	VYBER	18200	40327	\N	\N	\N
227112	772	1993-09-18	VYDAJ	VYBER	18400	40934	\N	\N	\N
227113	772	1993-10-18	VYDAJ	VYBER	16100	38942	\N	\N	\N
227114	772	1993-11-17	VYDAJ	VYBER	14700	39540	\N	\N	\N
227115	772	1993-12-17	VYDAJ	VYBER	20000	48941	\N	\N	\N
227116	772	1994-01-16	VYDAJ	VYBER	14800	45365	\N	\N	\N
227117	772	1994-02-15	VYDAJ	VYBER	14700	41870	\N	\N	\N
227118	772	1994-03-17	VYDAJ	VYBER	19400	40666	\N	\N	\N
227119	772	1994-04-16	VYDAJ	VYBER	16300	40873	\N	\N	\N
227120	772	1994-05-16	VYDAJ	VYBER	14700	45173	\N	\N	\N
227121	772	1994-06-15	VYDAJ	VYBER	24000	52191	\N	\N	\N
227122	772	1994-07-15	VYDAJ	VYBER	19600	48523	\N	\N	\N
227123	772	1994-08-14	VYDAJ	VYBER	20400	45755	\N	\N	\N
227124	772	1994-09-13	VYDAJ	VYBER	3800	32966	\N	\N	\N
227125	772	1994-10-13	VYDAJ	VYBER	11500	40507	\N	\N	\N
227126	772	1994-11-12	VYDAJ	VYBER	13900	35884	\N	\N	\N
227127	772	1994-12-12	VYDAJ	VYBER	14700	42376	\N	\N	\N
227128	772	1995-01-11	VYDAJ	VYBER	21700	49087	\N	\N	\N
227129	772	1995-02-10	VYDAJ	VYBER	14400	36855	\N	\N	\N
227130	772	1995-03-12	VYDAJ	VYBER	13400	37994	\N	\N	\N
227131	772	1995-04-11	VYDAJ	VYBER	16400	44892	\N	\N	\N
227132	772	1995-05-11	VYDAJ	VYBER	14800	45471	\N	\N	\N
227133	772	1995-06-10	VYDAJ	VYBER	16300	48257	\N	\N	\N
227134	772	1995-07-10	VYDAJ	VYBER	8500	47662	\N	\N	\N
227135	772	1995-08-09	VYDAJ	VYBER	14800	51946	\N	\N	\N
227136	772	1995-09-08	VYDAJ	VYBER	16900	54813	\N	\N	\N
227137	772	1995-10-08	VYDAJ	VYBER	14300	56019	\N	\N	\N
227138	772	1995-11-07	VYDAJ	VYBER	18200	54631	\N	\N	\N
227139	772	1995-12-07	VYDAJ	VYBER	17500	56247	\N	\N	\N
227140	772	1996-01-06	VYDAJ	VYBER	25900	59403	\N	\N	\N
227141	772	1996-02-05	VYDAJ	VYBER	13100	54221	\N	\N	\N
227142	772	1996-03-06	VYDAJ	VYBER	16400	53726	\N	\N	\N
227143	772	1996-04-05	VYDAJ	VYBER	13300	58037	\N	\N	\N
227144	772	1996-05-05	VYDAJ	VYBER	15000	61361	\N	\N	\N
227145	772	1996-06-04	VYDAJ	VYBER	16900	63602	\N	\N	\N
227146	772	1996-07-04	VYDAJ	VYBER	9800	57191	\N	\N	\N
227147	772	1996-08-03	VYDAJ	VYBER	10600	61903	\N	\N	\N
227148	772	1996-09-02	VYDAJ	VYBER	13200	66440	\N	\N	\N
227149	772	1996-10-02	VYDAJ	VYBER	21400	64199	\N	\N	\N
227150	772	1996-11-01	VYDAJ	VYBER	17500	65857	\N	\N	\N
227151	772	1996-12-01	VYDAJ	VYBER	19800	65217	\N	\N	\N
227152	772	1996-12-31	VYDAJ	VYBER	23900	70219	\N	\N	\N
227153	772	1997-01-30	VYDAJ	VYBER	8300	59048	\N	\N	\N
227154	772	1997-03-01	VYDAJ	VYBER	12000	65239	\N	\N	\N
227155	772	1997-03-31	VYDAJ	VYBER	17500	66889	\N	\N	\N
227156	772	1997-04-30	VYDAJ	VYBER	14500	66947	\N	\N	\N
227157	772	1997-05-30	VYDAJ	VYBER	12300	68476	\N	\N	\N
227158	772	1997-06-29	VYDAJ	VYBER	12100	64009	\N	\N	\N
227159	772	1997-07-29	VYDAJ	VYBER	12800	70313	\N	\N	\N
227160	772	1997-08-28	VYDAJ	VYBER	19000	67345	\N	\N	\N
227161	772	1997-09-27	VYDAJ	VYBER	16200	70295	\N	\N	\N
227162	772	1997-10-27	VYDAJ	VYBER	19300	64735	\N	\N	\N
227163	772	1997-11-26	VYDAJ	VYBER	15700	68173	\N	\N	\N
227164	772	1997-12-26	VYDAJ	VYBER	25700	71705	\N	\N	\N
227165	772	1998-01-25	VYDAJ	VYBER	17900	66261	\N	\N	\N
227166	772	1998-02-24	VYDAJ	VYBER	17300	58091	\N	\N	\N
227167	772	1998-03-26	VYDAJ	VYBER	17000	60177	\N	\N	\N
227168	772	1998-04-25	VYDAJ	VYBER	14600	64674	\N	\N	\N
227169	772	1998-05-25	VYDAJ	VYBER	16900	66879	\N	\N	\N
227170	772	1998-06-24	VYDAJ	VYBER	23800	74205	\N	\N	\N
227171	772	1998-07-24	VYDAJ	VYBER	15400	66352	\N	\N	\N
227172	772	1998-08-23	VYDAJ	VYBER	15900	66864	\N	\N	\N
227173	772	1998-09-22	VYDAJ	VYBER	17200	66978	\N	\N	\N
227174	772	1998-10-22	VYDAJ	VYBER	20900	65193	\N	\N	\N
227175	772	1998-11-21	VYDAJ	VYBER	15900	63711	\N	\N	\N
227176	772	1998-12-21	VYDAJ	VYBER	21500	73319	\N	\N	\N
227248	773	1993-06-19	PRIJEM	VKLAD	900	900	\N	\N	\N
227255	773	1993-07-14	PRIJEM	VKLAD	12894	13794	\N	\N	\N
227256	773	1993-08-14	PRIJEM	VKLAD	12894	30318	\N	\N	\N
227257	773	1993-09-14	PRIJEM	VKLAD	12894	39202	\N	\N	\N
227258	773	1993-10-14	PRIJEM	VKLAD	12894	44715	\N	\N	\N
227259	773	1993-11-14	PRIJEM	VKLAD	12894	48950	\N	\N	\N
227260	773	1993-12-14	PRIJEM	VKLAD	19341	49926	\N	\N	\N
227261	773	1994-01-14	PRIJEM	VKLAD	12894	45664	\N	\N	\N
227262	773	1994-02-14	PRIJEM	VKLAD	12894	25762	\N	\N	\N
227263	773	1994-03-14	PRIJEM	VKLAD	12894	26029	\N	\N	\N
227264	773	1994-04-14	PRIJEM	VKLAD	12894	30200	\N	\N	\N
227265	773	1994-05-14	PRIJEM	VKLAD	12894	28072	\N	\N	\N
227266	773	1994-06-14	PRIJEM	VKLAD	19341	36190	\N	\N	\N
227267	773	1994-07-14	PRIJEM	VKLAD	12894	10023	\N	\N	\N
227268	773	1994-08-14	PRIJEM	VKLAD	12894	28936	\N	\N	\N
227269	773	1994-09-14	PRIJEM	VKLAD	12894	30705	\N	\N	\N
227270	773	1994-10-14	PRIJEM	VKLAD	12894	38593	\N	\N	\N
227271	773	1994-11-14	PRIJEM	VKLAD	12894	40317	\N	\N	\N
227272	773	1994-12-14	PRIJEM	VKLAD	19341	51802	\N	\N	\N
227273	773	1995-01-14	PRIJEM	VKLAD	12894	45173	\N	\N	\N
227274	773	1995-02-14	PRIJEM	VKLAD	12894	36714	\N	\N	\N
227275	773	1995-03-14	PRIJEM	VKLAD	12894	41020	\N	\N	\N
227276	773	1995-04-14	PRIJEM	VKLAD	12894	40250	\N	\N	\N
227277	773	1995-05-14	PRIJEM	VKLAD	12894	40888	\N	\N	\N
227278	773	1995-06-14	PRIJEM	VKLAD	19341	33975	\N	\N	\N
227279	773	1995-07-14	PRIJEM	VKLAD	12894	38081	\N	\N	\N
227280	773	1995-08-14	PRIJEM	VKLAD	12894	37799	\N	\N	\N
227281	773	1995-09-14	PRIJEM	VKLAD	12894	39629	\N	\N	\N
227282	773	1995-10-14	PRIJEM	VKLAD	12894	42259	\N	\N	\N
227283	773	1995-11-14	PRIJEM	VKLAD	12894	42398	\N	\N	\N
227284	773	1995-12-14	PRIJEM	VKLAD	19341	49487	\N	\N	\N
227285	773	1996-01-14	PRIJEM	VKLAD	12894	38945	\N	\N	\N
227286	773	1996-02-14	PRIJEM	VKLAD	12894	36875	\N	\N	\N
227287	773	1996-03-14	PRIJEM	VKLAD	12894	46689	\N	\N	\N
227288	773	1996-04-14	PRIJEM	VKLAD	12894	46037	\N	\N	\N
227289	773	1996-05-14	PRIJEM	VKLAD	12894	45787	\N	\N	\N
227290	773	1996-06-14	PRIJEM	VKLAD	19341	51881	\N	\N	\N
227291	773	1996-07-14	PRIJEM	VKLAD	12894	49930	\N	\N	\N
227292	773	1996-08-14	PRIJEM	VKLAD	12894	49300	\N	\N	\N
227293	773	1996-09-14	PRIJEM	VKLAD	12894	52563	\N	\N	\N
227294	773	1996-10-14	PRIJEM	VKLAD	12894	50847	\N	\N	\N
227295	773	1996-11-14	PRIJEM	VKLAD	12894	48017	\N	\N	\N
227296	773	1996-12-14	PRIJEM	VKLAD	19341	53524	\N	\N	\N
227297	773	1997-01-14	PRIJEM	VKLAD	12894	28393	\N	\N	\N
227298	773	1997-02-14	PRIJEM	VKLAD	12894	29373	\N	\N	\N
227299	773	1997-03-14	PRIJEM	VKLAD	12894	37225	\N	\N	\N
227300	773	1997-04-14	PRIJEM	VKLAD	12894	40238	\N	\N	\N
227301	773	1997-05-14	PRIJEM	VKLAD	12894	43251	\N	\N	\N
227302	773	1997-06-14	PRIJEM	VKLAD	19341	31832	\N	\N	\N
227303	773	1997-07-14	PRIJEM	VKLAD	12894	40946	\N	\N	\N
227304	773	1997-08-14	PRIJEM	VKLAD	12894	43475	\N	\N	\N
227305	773	1997-09-14	PRIJEM	VKLAD	12894	46208	\N	\N	\N
227306	773	1997-10-14	PRIJEM	VKLAD	12894	49958	\N	\N	\N
227307	773	1997-11-14	PRIJEM	VKLAD	12894	50326	\N	\N	\N
227308	773	1997-12-14	PRIJEM	VKLAD	19341	51537	\N	\N	\N
227309	773	1998-01-14	PRIJEM	VKLAD	12894	46889	\N	\N	\N
227310	773	1998-02-14	PRIJEM	VKLAD	12894	48240	\N	\N	\N
227311	773	1998-03-14	PRIJEM	VKLAD	12894	51494	\N	\N	\N
227312	773	1998-04-14	PRIJEM	VKLAD	12894	48155	\N	\N	\N
227313	773	1998-05-14	PRIJEM	VKLAD	12894	64017	\N	\N	\N
227314	773	1998-06-14	PRIJEM	VKLAD	19341	62066	\N	\N	\N
227315	773	1998-07-14	PRIJEM	VKLAD	12894	63574	\N	\N	\N
227316	773	1998-08-14	PRIJEM	VKLAD	12894	64595	\N	\N	\N
227317	773	1998-09-14	PRIJEM	VKLAD	12894	72522	\N	\N	\N
227318	773	1998-10-14	PRIJEM	VKLAD	12894	75263	\N	\N	\N
227319	773	1998-11-14	PRIJEM	VKLAD	12894	79325	\N	\N	\N
227320	773	1998-12-14	PRIJEM	VKLAD	19341	91542	\N	\N	\N
227332	773	1993-12-11	VYDAJ	VYBER	4400	30585	SIPO	\N	0
227333	773	1994-01-14	VYDAJ	VYBER	5600	40064	SIPO	\N	0
227334	773	1994-02-08	VYDAJ	VYBER	5900	12868	SIPO	\N	0
227335	773	1994-03-12	VYDAJ	VYBER	4700	15935	SIPO	\N	0
227336	773	1994-03-28	VYDAJ	VYBER	6000	18229	SIPO	\N	0
227337	773	1994-05-10	VYDAJ	VYBER	5400	15178	SIPO	\N	0
227338	773	1994-06-03	VYDAJ	VYBER	3700	17749	SIPO	\N	0
227339	773	1994-06-28	VYDAJ	VYBER	4000	1690	SIPO	\N	0
227340	773	1994-08-05	VYDAJ	VYBER	4600	12442	SIPO	\N	0
227341	773	1994-08-28	VYDAJ	VYBER	4300	21736	SIPO	\N	0
227342	773	1994-10-07	VYDAJ	VYBER	5700	25099	SIPO	\N	0
227343	773	1994-11-04	VYDAJ	VYBER	4100	34623	SIPO	\N	0
227344	773	1994-12-12	VYDAJ	VYBER	4600	32461	SIPO	\N	0
227345	773	1995-01-01	VYDAJ	VYBER	5500	45179	SIPO	\N	0
227346	773	1995-01-30	VYDAJ	VYBER	4700	24173	SIPO	\N	0
227347	773	1995-02-27	VYDAJ	VYBER	5800	30914	SIPO	\N	0
227348	773	1995-04-07	VYDAJ	VYBER	4600	34556	SIPO	\N	0
227349	773	1995-05-02	VYDAJ	VYBER	5800	33694	SIPO	\N	0
227350	773	1995-06-06	VYDAJ	VYBER	5900	35134	SIPO	\N	0
227351	773	1995-07-05	VYDAJ	VYBER	4500	23987	SIPO	\N	0
227352	773	1995-08-12	VYDAJ	VYBER	4300	27805	SIPO	\N	0
227353	773	1995-08-31	VYDAJ	VYBER	4100	33850	SIPO	\N	0
227354	773	1995-10-01	VYDAJ	VYBER	3600	36165	SIPO	\N	0
227355	773	1995-11-09	VYDAJ	VYBER	5700	29504	SIPO	\N	0
227356	773	1995-11-30	VYDAJ	VYBER	5400	37160	SIPO	\N	0
227357	773	1996-01-03	VYDAJ	VYBER	5600	37251	SIPO	\N	0
227358	773	1996-02-09	VYDAJ	VYBER	4700	23981	SIPO	\N	0
227359	773	1996-02-25	VYDAJ	VYBER	4700	32175	SIPO	\N	0
227360	773	1996-04-01	VYDAJ	VYBER	5400	41443	SIPO	\N	0
227361	773	1996-05-01	VYDAJ	VYBER	5600	35893	SIPO	\N	0
227362	773	1996-05-29	VYDAJ	VYBER	5100	38087	SIPO	\N	0
227363	773	1996-07-14	VYDAJ	VYBER	4200	45730	SIPO	\N	0
227364	773	1996-08-13	VYDAJ	VYBER	3900	36406	SIPO	\N	0
227365	773	1996-09-14	VYDAJ	VYBER	5200	47363	SIPO	\N	0
227366	773	1996-10-06	VYDAJ	VYBER	5900	37953	SIPO	\N	0
227367	773	1996-11-06	VYDAJ	VYBER	4200	36223	SIPO	\N	0
227368	773	1996-12-12	VYDAJ	VYBER	3800	34183	SIPO	\N	0
227369	773	1997-01-03	VYDAJ	VYBER	5500	29399	SIPO	\N	0
227370	773	1997-01-30	VYDAJ	VYBER	4600	17493	SIPO	\N	0
227371	773	1997-03-02	VYDAJ	VYBER	4900	25131	SIPO	\N	0
227372	773	1997-03-31	VYDAJ	VYBER	5100	28458	SIPO	\N	0
227373	773	1997-04-29	VYDAJ	VYBER	3800	31238	SIPO	\N	0
227374	773	1997-06-12	VYDAJ	VYBER	3900	12491	SIPO	\N	0
227375	773	1997-07-08	VYDAJ	VYBER	5900	29152	SIPO	\N	0
227376	773	1997-07-30	VYDAJ	VYBER	6000	31246	SIPO	\N	0
227377	773	1997-09-11	VYDAJ	VYBER	4700	33314	SIPO	\N	0
227378	773	1997-10-04	VYDAJ	VYBER	5500	37064	SIPO	\N	0
227379	773	1997-11-11	VYDAJ	VYBER	4600	40432	SIPO	\N	0
227380	773	1997-11-28	VYDAJ	VYBER	4400	33226	SIPO	\N	0
227381	773	1998-01-03	VYDAJ	VYBER	4000	40695	SIPO	\N	0
227382	773	1998-02-07	VYDAJ	VYBER	3900	35346	SIPO	\N	0
227383	773	1998-02-27	VYDAJ	VYBER	5300	39440	SIPO	\N	0
227384	773	1998-04-05	VYDAJ	VYBER	4100	37961	SIPO	\N	0
227385	773	1998-05-14	VYDAJ	VYBER	4800	59217	SIPO	\N	0
227386	773	1998-05-26	VYDAJ	VYBER	4700	52917	SIPO	\N	0
227387	773	1998-06-30	VYDAJ	VYBER	5500	51580	SIPO	\N	0
227388	773	1998-08-12	VYDAJ	VYBER	5700	51701	SIPO	\N	0
227389	773	1998-08-29	VYDAJ	VYBER	3900	59395	SIPO	\N	0
227390	773	1998-09-25	VYDAJ	VYBER	4000	63222	SIPO	\N	0
227391	773	1998-11-02	VYDAJ	VYBER	4100	66431	SIPO	\N	0
227392	773	1998-12-14	VYDAJ	VYBER	5800	84742	SIPO	\N	0
227404	773	1993-12-10	VYDAJ	VYBER	1200	34985	 	\N	0
227405	773	1994-01-01	VYDAJ	VYBER	900	37670	 	\N	0
227406	773	1994-01-30	VYDAJ	VYBER	1200	18664	 	\N	0
227407	773	1994-03-14	VYDAJ	VYBER	1200	24829	 	\N	0
227408	773	1994-04-05	VYDAJ	VYBER	1000	17306	 	\N	0
227409	773	1994-05-10	VYDAJ	VYBER	1200	20578	 	\N	0
227410	773	1994-06-10	VYDAJ	VYBER	900	16849	 	\N	0
227411	773	1994-07-03	VYDAJ	VYBER	1000	-2871	 	\N	0
227412	773	1994-08-10	VYDAJ	VYBER	900	11542	 	\N	0
227413	773	1994-09-09	VYDAJ	VYBER	1000	20811	 	\N	0
227414	773	1994-10-10	VYDAJ	VYBER	800	24299	 	\N	0
227415	773	1994-11-09	VYDAJ	VYBER	900	33723	 	\N	0
227416	773	1994-12-18	VYDAJ	VYBER	1300	50502	 	\N	0
227417	773	1995-01-18	VYDAJ	VYBER	1200	43973	 	\N	0
227418	773	1995-02-07	VYDAJ	VYBER	1200	23120	 	\N	0
227419	773	1995-03-18	VYDAJ	VYBER	900	40120	 	\N	0
227420	773	1995-04-02	VYDAJ	VYBER	1100	39156	 	\N	0
227421	773	1995-04-29	VYDAJ	VYBER	900	39350	 	\N	0
227422	773	1995-06-12	VYDAJ	VYBER	800	14634	 	\N	0
227423	773	1995-07-01	VYDAJ	VYBER	900	33187	 	\N	0
227424	773	1995-08-06	VYDAJ	VYBER	1100	37105	 	\N	0
227425	773	1995-09-05	VYDAJ	VYBER	900	32935	 	\N	0
227426	773	1995-10-15	VYDAJ	VYBER	900	41359	 	\N	0
227427	773	1995-11-06	VYDAJ	VYBER	1000	40504	 	\N	0
227428	773	1995-12-15	VYDAJ	VYBER	1000	48487	 	\N	0
227429	773	1996-01-13	VYDAJ	VYBER	1100	26051	 	\N	0
227430	773	1996-02-07	VYDAJ	VYBER	1300	28681	 	\N	0
227431	773	1996-03-11	VYDAJ	VYBER	1000	33795	 	\N	0
227432	773	1996-04-03	VYDAJ	VYBER	1100	40343	 	\N	0
227433	773	1996-05-13	VYDAJ	VYBER	1000	32893	 	\N	0
227434	773	1996-06-17	VYDAJ	VYBER	900	41781	 	\N	0
227435	773	1996-07-12	VYDAJ	VYBER	1200	37036	 	\N	0
227436	773	1996-08-04	VYDAJ	VYBER	1000	40306	 	\N	0
227437	773	1996-08-30	VYDAJ	VYBER	900	46000	 	\N	0
227438	773	1996-10-18	VYDAJ	VYBER	1200	49647	 	\N	0
227439	773	1996-11-10	VYDAJ	VYBER	1100	35123	 	\N	0
227440	773	1996-12-04	VYDAJ	VYBER	1000	37983	 	\N	0
227441	773	1997-01-14	VYDAJ	VYBER	1200	27193	 	\N	0
227442	773	1997-01-31	VYDAJ	VYBER	1100	16479	 	\N	0
227443	773	1997-03-07	VYDAJ	VYBER	800	24331	 	\N	0
227444	773	1997-04-08	VYDAJ	VYBER	1100	27344	 	\N	0
227445	773	1997-05-08	VYDAJ	VYBER	1000	30357	 	\N	0
227446	773	1997-06-17	VYDAJ	VYBER	1300	30532	 	\N	0
227447	773	1997-07-10	VYDAJ	VYBER	1100	28052	 	\N	0
227448	773	1997-08-11	VYDAJ	VYBER	800	30581	 	\N	0
227449	773	1997-09-02	VYDAJ	VYBER	900	38014	 	\N	0
227450	773	1997-09-29	VYDAJ	VYBER	800	42408	 	\N	0
227451	773	1997-11-07	VYDAJ	VYBER	1100	45032	 	\N	0
227452	773	1997-12-10	VYDAJ	VYBER	1200	32196	 	\N	0
227453	773	1997-12-30	VYDAJ	VYBER	1000	44537	 	\N	0
227454	773	1998-01-31	VYDAJ	VYBER	900	39246	 	\N	0
227455	773	1998-03-11	VYDAJ	VYBER	1000	38600	 	\N	0
227456	773	1998-04-10	VYDAJ	VYBER	900	35261	 	\N	0
227457	773	1998-05-17	VYDAJ	VYBER	1200	58017	 	\N	0
227458	773	1998-06-10	VYDAJ	VYBER	1000	52125	 	\N	0
227459	773	1998-07-13	VYDAJ	VYBER	900	50680	 	\N	0
227460	773	1998-07-31	VYDAJ	VYBER	900	57416	 	\N	0
227461	773	1998-09-14	VYDAJ	VYBER	1300	71222	 	\N	0
227462	773	1998-10-05	VYDAJ	VYBER	1100	62369	 	\N	0
227463	773	1998-11-14	VYDAJ	VYBER	800	78525	 	\N	0
227464	773	1998-12-14	VYDAJ	VYBER	1000	90542	 	\N	0
227466	773	1994-06-16	VYDAJ	VYBER	25400	5690	\N	\N	\N
227467	773	1995-06-07	VYDAJ	VYBER	29000	6134	\N	\N	\N
227468	773	1996-06-16	VYDAJ	VYBER	9200	42681	\N	\N	\N
227469	773	1997-06-05	VYDAJ	VYBER	22100	16391	\N	\N	\N
227470	773	1998-06-12	VYDAJ	VYBER	9400	42725	\N	\N	\N
227472	773	1994-01-07	VYDAJ	VYBER	1100	32770	\N	\N	\N
227473	773	1995-01-25	VYDAJ	VYBER	9800	30573	\N	\N	\N
227474	773	1996-01-03	VYDAJ	VYBER	4500	42851	\N	\N	\N
227475	773	1997-01-07	VYDAJ	VYBER	6800	20999	\N	\N	\N
227476	773	1998-01-11	VYDAJ	VYBER	1900	36395	\N	\N	\N
227483	773	1994-01-01	VYDAJ	VYBER	800	38570	\N	\N	\N
227484	773	1994-01-22	VYDAJ	VYBER	2200	19864	\N	\N	\N
227485	773	1994-01-19	VYDAJ	VYBER	2600	26864	\N	\N	\N
227486	773	1994-01-03	VYDAJ	VYBER	2500	35170	\N	\N	\N
227487	773	1994-01-19	VYDAJ	VYBER	600	29464	\N	\N	\N
227488	773	1994-01-05	VYDAJ	VYBER	1300	33870	\N	\N	\N
227489	773	1995-01-24	VYDAJ	VYBER	1200	40373	\N	\N	\N
227490	773	1995-01-20	VYDAJ	VYBER	1300	42673	\N	\N	\N
227491	773	1995-01-22	VYDAJ	VYBER	1100	41573	\N	\N	\N
227492	773	1995-01-05	VYDAJ	VYBER	1500	43179	\N	\N	\N
227493	773	1995-01-11	VYDAJ	VYBER	700	32279	\N	\N	\N
227494	773	1995-01-01	VYDAJ	VYBER	500	44679	\N	\N	\N
227495	773	1996-01-19	VYDAJ	VYBER	1600	37345	\N	\N	\N
227496	773	1996-01-29	VYDAJ	VYBER	2200	33145	\N	\N	\N
227497	773	1996-01-13	VYDAJ	VYBER	800	27151	\N	\N	\N
227498	773	1996-01-11	VYDAJ	VYBER	2800	27951	\N	\N	\N
227499	773	1996-01-28	VYDAJ	VYBER	2000	35345	\N	\N	\N
227500	773	1996-01-10	VYDAJ	VYBER	2400	30751	\N	\N	\N
227501	773	1997-01-24	VYDAJ	VYBER	1900	24093	\N	\N	\N
227502	773	1997-01-19	VYDAJ	VYBER	1200	25993	\N	\N	\N
227503	773	1997-01-04	VYDAJ	VYBER	1600	27799	\N	\N	\N
227504	773	1997-01-02	VYDAJ	VYBER	1900	34899	\N	\N	\N
227505	773	1997-01-10	VYDAJ	VYBER	2100	18899	\N	\N	\N
227506	773	1997-01-01	VYDAJ	VYBER	2500	36799	\N	\N	\N
227507	773	1998-01-07	VYDAJ	VYBER	2400	38295	\N	\N	\N
227508	773	1998-01-12	VYDAJ	VYBER	2400	33995	\N	\N	\N
227509	773	1998-01-19	VYDAJ	VYBER	500	44989	\N	\N	\N
227510	773	1998-01-17	VYDAJ	VYBER	1400	45489	\N	\N	\N
227511	773	1998-01-30	VYDAJ	VYBER	800	39989	\N	\N	\N
227512	773	1998-01-20	VYDAJ	VYBER	1800	43189	\N	\N	\N
227517	773	1994-03-13	VYDAJ	VYBER	2800	13135	\N	\N	\N
227518	773	1994-09-10	VYDAJ	VYBER	4600	16211	\N	\N	\N
227519	773	1994-06-28	VYDAJ	VYBER	3600	-1910	\N	\N	\N
227520	773	1994-01-21	VYDAJ	VYBER	4800	22064	\N	\N	\N
227521	773	1994-05-22	VYDAJ	VYBER	2400	21372	\N	\N	\N
227522	773	1994-08-17	VYDAJ	VYBER	2900	26036	\N	\N	\N
227523	773	1994-05-05	VYDAJ	VYBER	1500	21778	\N	\N	\N
227524	773	1994-04-24	VYDAJ	VYBER	3600	23200	\N	\N	\N
227525	773	1994-02-27	VYDAJ	VYBER	2800	20562	\N	\N	\N
227526	773	1995-07-03	VYDAJ	VYBER	4700	28487	\N	\N	\N
227527	773	1995-01-29	VYDAJ	VYBER	1700	28873	\N	\N	\N
227528	773	1995-09-07	VYDAJ	VYBER	3000	29935	\N	\N	\N
227529	773	1995-08-12	VYDAJ	VYBER	2900	24905	\N	\N	\N
227530	773	1995-12-16	VYDAJ	VYBER	1300	47187	\N	\N	\N
227531	773	1996-12-29	VYDAJ	VYBER	1300	52224	\N	\N	\N
227532	773	1996-08-03	VYDAJ	VYBER	700	41306	\N	\N	\N
227533	773	1996-08-14	VYDAJ	VYBER	2400	46900	\N	\N	\N
227534	773	1996-05-27	VYDAJ	VYBER	2600	43187	\N	\N	\N
227535	773	1996-04-29	VYDAJ	VYBER	4700	41337	\N	\N	\N
227536	773	1997-01-11	VYDAJ	VYBER	3400	15499	\N	\N	\N
227537	773	1997-04-16	VYDAJ	VYBER	4300	35938	\N	\N	\N
227538	773	1997-11-12	VYDAJ	VYBER	3000	37432	\N	\N	\N
227539	773	1997-06-30	VYDAJ	VYBER	1700	35066	\N	\N	\N
227540	773	1997-12-24	VYDAJ	VYBER	2400	49137	\N	\N	\N
227541	773	1997-11-27	VYDAJ	VYBER	4900	37626	\N	\N	\N
227542	773	1998-12-30	VYDAJ	VYBER	2900	65342	\N	\N	\N
227543	773	1998-12-20	VYDAJ	VYBER	4400	80342	\N	\N	\N
227544	773	1998-04-08	VYDAJ	VYBER	1800	36161	\N	\N	\N
227545	773	1998-01-26	VYDAJ	VYBER	1800	40789	\N	\N	\N
227546	773	1998-11-01	VYDAJ	VYBER	2300	70531	\N	\N	\N
227547	773	1998-03-29	VYDAJ	VYBER	4100	41894	\N	\N	\N
227559	773	1993-11-30	VYDAJ	VYBER	15	36185	SLUZBY	\N	\N
227560	773	1993-12-31	VYDAJ	VYBER	15	39370	SLUZBY	\N	\N
227561	773	1994-01-31	VYDAJ	VYBER	15	18768	SLUZBY	\N	\N
227562	773	1994-02-28	VYDAJ	VYBER	15	20635	SLUZBY	\N	\N
227563	773	1994-03-31	VYDAJ	VYBER	15	18306	SLUZBY	\N	\N
227564	773	1994-04-30	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
227565	773	1994-05-31	VYDAJ	VYBER	15	21449	SLUZBY	\N	\N
227566	773	1994-06-30	VYDAJ	VYBER	15	-1871	SLUZBY	\N	\N
227567	773	1994-07-31	VYDAJ	VYBER	15	17050	SLUZBY	\N	\N
227568	773	1994-08-31	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
227569	773	1994-09-30	VYDAJ	VYBER	15	30799	SLUZBY	\N	\N
227570	773	1994-10-31	VYDAJ	VYBER	15	38723	SLUZBY	\N	\N
227571	773	1994-11-30	VYDAJ	VYBER	15	40461	SLUZBY	\N	\N
227572	773	1994-12-31	VYDAJ	VYBER	15	50679	SLUZBY	\N	\N
227573	773	1995-01-31	VYDAJ	VYBER	15	24320	SLUZBY	\N	\N
227574	773	1995-02-28	VYDAJ	VYBER	15	31026	SLUZBY	\N	\N
227575	773	1995-03-31	VYDAJ	VYBER	15	40256	SLUZBY	\N	\N
227576	773	1995-04-30	VYDAJ	VYBER	15	39494	SLUZBY	\N	\N
227577	773	1995-05-31	VYDAJ	VYBER	15	41034	SLUZBY	\N	\N
227578	773	1995-06-30	VYDAJ	VYBER	15	34087	SLUZBY	\N	\N
227579	773	1995-07-31	VYDAJ	VYBER	15	38205	SLUZBY	\N	\N
227580	773	1995-08-31	VYDAJ	VYBER	15	33835	SLUZBY	\N	\N
227581	773	1995-09-30	VYDAJ	VYBER	15	39765	SLUZBY	\N	\N
227582	773	1995-10-31	VYDAJ	VYBER	15	41504	SLUZBY	\N	\N
227583	773	1995-11-30	VYDAJ	VYBER	15	37146	SLUZBY	\N	\N
227584	773	1995-12-31	VYDAJ	VYBER	15	47351	SLUZBY	\N	\N
227585	773	1996-01-31	VYDAJ	VYBER	15	33281	SLUZBY	\N	\N
227586	773	1996-02-29	VYDAJ	VYBER	15	32295	SLUZBY	\N	\N
227587	773	1996-03-31	VYDAJ	VYBER	15	46843	SLUZBY	\N	\N
227588	773	1996-04-30	VYDAJ	VYBER	15	41493	SLUZBY	\N	\N
227589	773	1996-05-31	VYDAJ	VYBER	15	38240	SLUZBY	\N	\N
227590	773	1996-06-30	VYDAJ	VYBER	15	41936	SLUZBY	\N	\N
227591	773	1996-07-31	VYDAJ	VYBER	15	45906	SLUZBY	\N	\N
227592	773	1996-08-31	VYDAJ	VYBER	15	46169	SLUZBY	\N	\N
227593	773	1996-09-30	VYDAJ	VYBER	15	47553	SLUZBY	\N	\N
227594	773	1996-10-31	VYDAJ	VYBER	15	49823	SLUZBY	\N	\N
227595	773	1996-11-30	VYDAJ	VYBER	15	48183	SLUZBY	\N	\N
227596	773	1996-12-31	VYDAJ	VYBER	15	39299	SLUZBY	\N	\N
227597	773	1997-01-31	VYDAJ	VYBER	15	17579	SLUZBY	\N	\N
227598	773	1997-02-28	VYDAJ	VYBER	15	30031	SLUZBY	\N	\N
227599	773	1997-03-31	VYDAJ	VYBER	15	28444	SLUZBY	\N	\N
227600	773	1997-04-30	VYDAJ	VYBER	15	31357	SLUZBY	\N	\N
227601	773	1997-05-31	VYDAJ	VYBER	15	38491	SLUZBY	\N	\N
227602	773	1997-06-30	VYDAJ	VYBER	15	35052	SLUZBY	\N	\N
227603	773	1997-07-31	VYDAJ	VYBER	15	31381	SLUZBY	\N	\N
227604	773	1997-08-31	VYDAJ	VYBER	15	38914	SLUZBY	\N	\N
227605	773	1997-09-30	VYDAJ	VYBER	15	42564	SLUZBY	\N	\N
227606	773	1997-10-31	VYDAJ	VYBER	15	46132	SLUZBY	\N	\N
227607	773	1997-11-30	VYDAJ	VYBER	15	33396	SLUZBY	\N	\N
227608	773	1997-12-31	VYDAJ	VYBER	15	44695	SLUZBY	\N	\N
227609	773	1998-01-31	VYDAJ	VYBER	15	40146	SLUZBY	\N	\N
227610	773	1998-02-28	VYDAJ	VYBER	15	39600	SLUZBY	\N	\N
227611	773	1998-03-31	VYDAJ	VYBER	15	42061	SLUZBY	\N	\N
227612	773	1998-04-30	VYDAJ	VYBER	15	51123	SLUZBY	\N	\N
227613	773	1998-05-31	VYDAJ	VYBER	15	53125	SLUZBY	\N	\N
227614	773	1998-06-30	VYDAJ	VYBER	15	57080	SLUZBY	\N	\N
227615	773	1998-07-31	VYDAJ	VYBER	15	57401	SLUZBY	\N	\N
227616	773	1998-08-31	VYDAJ	VYBER	15	59628	SLUZBY	\N	\N
227617	773	1998-09-30	VYDAJ	VYBER	15	63469	SLUZBY	\N	\N
227618	773	1998-10-31	VYDAJ	VYBER	15	72831	SLUZBY	\N	\N
227619	773	1998-11-30	VYDAJ	VYBER	15	72201	SLUZBY	\N	\N
227620	773	1993-07-19	PRIJEM	VKLAD	3600	17394	\N	\N	\N
227621	773	1993-08-18	VYDAJ	VYBER	4100	26218	\N	\N	\N
227622	773	1993-09-17	VYDAJ	VYBER	7500	31702	\N	\N	\N
227623	773	1993-10-17	VYDAJ	VYBER	8800	35915	\N	\N	\N
227624	773	1993-11-16	VYDAJ	VYBER	12900	36050	\N	\N	\N
227625	773	1993-12-16	VYDAJ	VYBER	10700	39226	\N	\N	\N
227626	773	1994-01-15	VYDAJ	VYBER	10000	30064	\N	\N	\N
227627	773	1994-02-14	VYDAJ	VYBER	2400	23362	\N	\N	\N
227628	773	1994-03-16	VYDAJ	VYBER	600	24229	\N	\N	\N
227629	773	1994-04-15	VYDAJ	VYBER	3400	26800	\N	\N	\N
227630	773	1994-05-15	VYDAJ	VYBER	4300	23772	\N	\N	\N
227631	773	1994-06-14	VYDAJ	VYBER	5100	31090	\N	\N	\N
227632	773	1994-07-14	PRIJEM	VKLAD	7000	17023	\N	\N	\N
227633	773	1994-08-13	PRIJEM	VKLAD	4500	16042	\N	\N	\N
227634	773	1994-09-12	PRIJEM	VKLAD	1600	17811	\N	\N	\N
227635	773	1994-10-12	PRIJEM	VKLAD	1400	25699	\N	\N	\N
227636	773	1994-11-11	VYDAJ	VYBER	6300	27423	\N	\N	\N
227637	773	1994-12-11	VYDAJ	VYBER	3400	37061	\N	\N	\N
227638	773	1995-01-10	VYDAJ	VYBER	10200	32979	\N	\N	\N
227639	773	1995-02-09	PRIJEM	VKLAD	700	23820	\N	\N	\N
227640	773	1995-03-11	VYDAJ	VYBER	2900	28126	\N	\N	\N
227641	773	1995-04-10	VYDAJ	VYBER	7200	27356	\N	\N	\N
227642	773	1995-05-10	VYDAJ	VYBER	5700	27994	\N	\N	\N
227643	773	1995-06-09	PRIJEM	VKLAD	9300	15434	\N	\N	\N
227644	773	1995-07-09	PRIJEM	VKLAD	1200	25187	\N	\N	\N
227645	773	1995-08-08	VYDAJ	VYBER	5000	32105	\N	\N	\N
227646	773	1995-09-07	VYDAJ	VYBER	3200	26735	\N	\N	\N
227647	773	1995-10-07	VYDAJ	VYBER	6800	29365	\N	\N	\N
227648	773	1995-11-06	VYDAJ	VYBER	5300	35204	\N	\N	\N
227649	773	1995-12-06	VYDAJ	VYBER	7000	30146	\N	\N	\N
227650	773	1996-01-05	VYDAJ	VYBER	4100	33151	\N	\N	\N
227651	773	1996-02-04	VYDAJ	VYBER	3300	29981	\N	\N	\N
227652	773	1996-03-05	PRIJEM	VKLAD	2500	34795	\N	\N	\N
227653	773	1996-04-04	VYDAJ	VYBER	7200	33143	\N	\N	\N
227654	773	1996-05-04	VYDAJ	VYBER	2000	33893	\N	\N	\N
227655	773	1996-06-03	VYDAJ	VYBER	5700	32540	\N	\N	\N
227656	773	1996-07-03	VYDAJ	VYBER	3700	38236	\N	\N	\N
227657	773	1996-08-02	VYDAJ	VYBER	3900	42006	\N	\N	\N
227658	773	1996-09-01	VYDAJ	VYBER	6500	39669	\N	\N	\N
227659	773	1996-10-01	VYDAJ	VYBER	3700	43853	\N	\N	\N
227660	773	1996-10-31	VYDAJ	VYBER	9400	40423	\N	\N	\N
227661	773	1996-11-30	VYDAJ	VYBER	9200	38983	\N	\N	\N
227662	773	1996-12-30	VYDAJ	VYBER	13100	39124	\N	\N	\N
227663	773	1997-01-29	VYDAJ	VYBER	2000	22093	\N	\N	\N
227664	773	1997-02-28	PRIJEM	VKLAD	600	30046	\N	\N	\N
227665	773	1997-03-30	VYDAJ	VYBER	3800	33425	\N	\N	\N
227666	773	1997-04-29	VYDAJ	VYBER	900	35038	\N	\N	\N
227667	773	1997-05-29	VYDAJ	VYBER	4900	38351	\N	\N	\N
227668	773	1997-06-28	PRIJEM	VKLAD	6100	36632	\N	\N	\N
227669	773	1997-07-28	VYDAJ	VYBER	3700	37246	\N	\N	\N
227670	773	1997-08-27	VYDAJ	VYBER	4700	38775	\N	\N	\N
227671	773	1997-09-26	VYDAJ	VYBER	3000	43208	\N	\N	\N
227672	773	1997-10-26	VYDAJ	VYBER	4000	45958	\N	\N	\N
227673	773	1997-11-25	VYDAJ	VYBER	7800	42526	\N	\N	\N
227674	773	1997-12-25	VYDAJ	VYBER	3600	45537	\N	\N	\N
227675	773	1998-01-24	VYDAJ	VYBER	600	42589	\N	\N	\N
227676	773	1998-02-23	VYDAJ	VYBER	3500	44740	\N	\N	\N
227677	773	1998-03-25	VYDAJ	VYBER	5500	45994	\N	\N	\N
227678	773	1998-04-24	PRIJEM	VKLAD	2800	50955	\N	\N	\N
227679	773	1998-05-24	VYDAJ	VYBER	400	57617	\N	\N	\N
227680	773	1998-06-23	VYDAJ	VYBER	5200	56866	\N	\N	\N
227681	773	1998-07-23	VYDAJ	VYBER	5500	58074	\N	\N	\N
227682	773	1998-08-22	VYDAJ	VYBER	1300	63295	\N	\N	\N
227683	773	1998-09-21	VYDAJ	VYBER	4000	67222	\N	\N	\N
227684	773	1998-10-21	VYDAJ	VYBER	2700	72563	\N	\N	\N
227685	773	1998-11-20	VYDAJ	VYBER	6600	71925	\N	\N	\N
227686	773	1998-12-20	VYDAJ	VYBER	12100	68242	\N	\N	\N
227754	774	1993-06-08	PRIJEM	VKLAD	500	500	\N	\N	\N
227755	774	1993-11-18	PRIJEM	VKLAD	2790	30702	\N	\N	\N
227756	774	1993-11-24	PRIJEM	VKLAD	30076	61978	\N	\N	\N
227757	774	1994-12-17	PRIJEM	VKLAD	12265	44972	\N	\N	\N
227758	774	1994-03-30	PRIJEM	VKLAD	49556	74307	\N	\N	\N
227759	774	1995-09-04	PRIJEM	VKLAD	27487	60767	\N	\N	\N
227760	774	1995-03-04	PRIJEM	VKLAD	41646	75918	\N	\N	\N
227761	774	1996-07-28	PRIJEM	VKLAD	44067	78202	\N	\N	\N
227762	774	1996-04-07	PRIJEM	VKLAD	20820	52937	\N	\N	\N
227763	774	1997-07-25	PRIJEM	VKLAD	6283	23401	\N	\N	\N
227764	774	1997-04-29	PRIJEM	VKLAD	19601	45166	\N	\N	\N
227765	774	1998-06-05	PRIJEM	VKLAD	20838	49293	\N	\N	\N
227766	774	1998-12-28	PRIJEM	VKLAD	44309	64732	\N	\N	\N
227772	774	1993-06-15	PRIJEM	VKLAD	1200	1700	\N	\N	\N
227773	774	1993-07-15	PRIJEM	VKLAD	1200	12706	\N	\N	\N
227774	774	1993-08-13	PRIJEM	VKLAD	1200	17943	\N	\N	\N
227775	774	1993-09-16	PRIJEM	VKLAD	1200	24199	\N	\N	\N
227776	774	1993-10-16	PRIJEM	VKLAD	1200	23725	\N	\N	\N
227777	774	1993-11-15	PRIJEM	VKLAD	1200	27912	\N	\N	\N
227778	774	1993-12-15	PRIJEM	VKLAD	1200	42310	\N	\N	\N
227779	774	1994-01-14	PRIJEM	VKLAD	1200	28609	\N	\N	\N
227780	774	1994-02-17	PRIJEM	VKLAD	1200	21869	\N	\N	\N
227781	774	1994-03-16	PRIJEM	VKLAD	1200	25251	\N	\N	\N
227782	774	1994-04-14	PRIJEM	VKLAD	1200	52208	\N	\N	\N
227783	774	1994-05-15	PRIJEM	VKLAD	1200	42153	\N	\N	\N
227784	774	1994-06-15	PRIJEM	VKLAD	1200	20438	\N	\N	\N
227785	774	1994-07-16	PRIJEM	VKLAD	1200	26064	\N	\N	\N
227786	774	1994-08-13	PRIJEM	VKLAD	1200	30447	\N	\N	\N
227787	774	1994-09-14	PRIJEM	VKLAD	1200	30757	\N	\N	\N
227788	774	1994-10-14	PRIJEM	VKLAD	1200	31370	\N	\N	\N
227789	774	1994-11-17	PRIJEM	VKLAD	1200	32886	\N	\N	\N
227790	774	1994-12-14	PRIJEM	VKLAD	1200	32707	\N	\N	\N
227791	774	1995-01-14	PRIJEM	VKLAD	1200	33213	\N	\N	\N
227792	774	1995-02-13	PRIJEM	VKLAD	1200	34843	\N	\N	\N
227793	774	1995-03-17	PRIJEM	VKLAD	1200	75568	\N	\N	\N
227794	774	1995-04-15	PRIJEM	VKLAD	1200	52230	\N	\N	\N
227795	774	1995-05-16	PRIJEM	VKLAD	1200	44834	\N	\N	\N
227796	774	1995-06-13	PRIJEM	VKLAD	1200	42103	\N	\N	\N
227797	774	1995-07-13	PRIJEM	VKLAD	1200	29650	\N	\N	\N
227798	774	1995-08-17	PRIJEM	VKLAD	1200	33158	\N	\N	\N
227799	774	1995-09-13	PRIJEM	VKLAD	1200	61967	\N	\N	\N
227800	774	1995-10-13	PRIJEM	VKLAD	1200	44149	\N	\N	\N
227801	774	1995-11-14	PRIJEM	VKLAD	1200	38111	\N	\N	\N
227802	774	1995-12-14	PRIJEM	VKLAD	1200	35049	\N	\N	\N
227803	774	1996-01-16	PRIJEM	VKLAD	1200	24971	\N	\N	\N
227804	774	1996-02-16	PRIJEM	VKLAD	1200	27413	\N	\N	\N
227805	774	1996-03-17	PRIJEM	VKLAD	1200	29210	\N	\N	\N
227806	774	1996-04-13	PRIJEM	VKLAD	1200	54137	\N	\N	\N
227807	774	1996-05-16	PRIJEM	VKLAD	1200	42949	\N	\N	\N
227808	774	1996-06-13	PRIJEM	VKLAD	1200	37650	\N	\N	\N
227809	774	1996-07-17	PRIJEM	VKLAD	1200	33335	\N	\N	\N
227810	774	1996-08-16	PRIJEM	VKLAD	1200	79548	\N	\N	\N
227811	774	1996-09-16	PRIJEM	VKLAD	1200	53873	\N	\N	\N
227812	774	1996-10-16	PRIJEM	VKLAD	1200	40611	\N	\N	\N
227813	774	1996-11-16	PRIJEM	VKLAD	1200	31899	\N	\N	\N
227814	774	1996-12-14	PRIJEM	VKLAD	1200	29113	\N	\N	\N
227815	774	1997-01-15	PRIJEM	VKLAD	1200	17663	\N	\N	\N
227816	774	1997-02-15	PRIJEM	VKLAD	1200	19528	\N	\N	\N
227817	774	1997-03-15	PRIJEM	VKLAD	1200	20693	\N	\N	\N
227818	774	1997-04-16	PRIJEM	VKLAD	1200	22765	\N	\N	\N
227819	774	1997-05-14	PRIJEM	VKLAD	1200	46452	\N	\N	\N
227820	774	1997-06-17	PRIJEM	VKLAD	1200	35555	\N	\N	\N
227821	774	1997-07-14	PRIJEM	VKLAD	1200	21568	\N	\N	\N
227822	774	1997-08-15	PRIJEM	VKLAD	1200	24670	\N	\N	\N
227823	774	1997-09-14	PRIJEM	VKLAD	1200	28659	\N	\N	\N
227824	774	1997-10-15	PRIJEM	VKLAD	1200	29958	\N	\N	\N
227825	774	1997-11-13	PRIJEM	VKLAD	1200	32766	\N	\N	\N
227826	774	1997-12-15	PRIJEM	VKLAD	1200	30532	\N	\N	\N
227827	774	1998-01-16	PRIJEM	VKLAD	1200	26095	\N	\N	\N
227828	774	1998-02-17	PRIJEM	VKLAD	1200	27644	\N	\N	\N
227829	774	1998-03-16	PRIJEM	VKLAD	1200	30434	\N	\N	\N
227830	774	1998-04-17	PRIJEM	VKLAD	1200	28742	\N	\N	\N
227831	774	1998-05-14	PRIJEM	VKLAD	1200	27153	\N	\N	\N
227832	774	1998-06-13	PRIJEM	VKLAD	1200	36693	\N	\N	\N
227833	774	1998-07-13	PRIJEM	VKLAD	1200	26205	\N	\N	\N
227834	774	1998-08-14	PRIJEM	VKLAD	1200	26653	\N	\N	\N
227835	774	1998-09-13	PRIJEM	VKLAD	1200	23098	\N	\N	\N
227836	774	1998-10-14	PRIJEM	VKLAD	1200	21283	\N	\N	\N
227837	774	1998-11-15	PRIJEM	VKLAD	1200	19057	\N	\N	\N
227838	774	1998-12-17	PRIJEM	VKLAD	1200	19223	\N	\N	\N
227844	774	1993-06-18	PRIJEM	VKLAD	1200	2900	\N	\N	\N
227845	774	1993-07-18	PRIJEM	VKLAD	1200	13906	\N	\N	\N
227846	774	1993-08-18	PRIJEM	VKLAD	1200	19143	\N	\N	\N
227847	774	1993-09-18	PRIJEM	VKLAD	1200	25399	\N	\N	\N
227848	774	1993-10-18	PRIJEM	VKLAD	1200	24925	\N	\N	\N
227849	774	1993-11-18	PRIJEM	VKLAD	1200	31902	\N	\N	\N
227850	774	1993-12-18	PRIJEM	VKLAD	1200	43510	\N	\N	\N
227851	774	1994-01-18	PRIJEM	VKLAD	1200	29409	\N	\N	\N
227852	774	1994-02-18	PRIJEM	VKLAD	1200	23069	\N	\N	\N
227853	774	1994-03-18	PRIJEM	VKLAD	1200	26451	\N	\N	\N
227854	774	1994-04-18	PRIJEM	VKLAD	1200	53408	\N	\N	\N
227855	774	1994-05-18	PRIJEM	VKLAD	1200	43353	\N	\N	\N
227856	774	1994-06-18	PRIJEM	VKLAD	1200	19688	\N	\N	\N
227857	774	1994-07-18	PRIJEM	VKLAD	1200	27264	\N	\N	\N
227858	774	1994-08-18	PRIJEM	VKLAD	1200	31647	\N	\N	\N
227859	774	1994-09-18	PRIJEM	VKLAD	1200	30057	\N	\N	\N
227860	774	1994-10-18	PRIJEM	VKLAD	1200	32570	\N	\N	\N
227861	774	1994-11-18	PRIJEM	VKLAD	1200	34086	\N	\N	\N
227862	774	1994-12-18	PRIJEM	VKLAD	1200	46172	\N	\N	\N
227863	774	1995-01-18	PRIJEM	VKLAD	1200	34413	\N	\N	\N
227864	774	1995-02-18	PRIJEM	VKLAD	1200	36043	\N	\N	\N
227865	774	1995-03-18	PRIJEM	VKLAD	1200	76768	\N	\N	\N
227866	774	1995-04-18	PRIJEM	VKLAD	1200	53430	\N	\N	\N
227867	774	1995-05-18	PRIJEM	VKLAD	1200	46034	\N	\N	\N
227868	774	1995-06-18	PRIJEM	VKLAD	1200	43303	\N	\N	\N
227869	774	1995-07-18	PRIJEM	VKLAD	1200	30850	\N	\N	\N
227870	774	1995-08-18	PRIJEM	VKLAD	1200	34358	\N	\N	\N
227871	774	1995-09-18	PRIJEM	VKLAD	1200	62517	\N	\N	\N
227872	774	1995-10-18	PRIJEM	VKLAD	1200	45349	\N	\N	\N
227873	774	1995-11-18	PRIJEM	VKLAD	1200	39311	\N	\N	\N
227874	774	1995-12-18	PRIJEM	VKLAD	1200	36249	\N	\N	\N
227875	774	1996-01-18	PRIJEM	VKLAD	1200	24171	\N	\N	\N
227876	774	1996-02-18	PRIJEM	VKLAD	1200	28613	\N	\N	\N
227877	774	1996-03-18	PRIJEM	VKLAD	1200	30410	\N	\N	\N
227878	774	1996-04-18	PRIJEM	VKLAD	1200	55337	\N	\N	\N
227879	774	1996-05-18	PRIJEM	VKLAD	1200	41699	\N	\N	\N
227880	774	1996-06-18	PRIJEM	VKLAD	1200	38400	\N	\N	\N
227881	774	1996-07-18	PRIJEM	VKLAD	1200	34535	\N	\N	\N
227882	774	1996-08-18	PRIJEM	VKLAD	1200	80748	\N	\N	\N
227883	774	1996-09-18	PRIJEM	VKLAD	1200	55073	\N	\N	\N
227884	774	1996-10-18	PRIJEM	VKLAD	1200	41811	\N	\N	\N
227885	774	1996-11-18	PRIJEM	VKLAD	1200	33099	\N	\N	\N
227886	774	1996-12-18	PRIJEM	VKLAD	1200	30313	\N	\N	\N
227887	774	1997-01-18	PRIJEM	VKLAD	1200	18863	\N	\N	\N
227888	774	1997-02-18	PRIJEM	VKLAD	1200	21328	\N	\N	\N
227889	774	1997-03-18	PRIJEM	VKLAD	1200	21893	\N	\N	\N
227890	774	1997-04-18	PRIJEM	VKLAD	1200	23965	\N	\N	\N
227891	774	1997-05-18	PRIJEM	VKLAD	1200	47652	\N	\N	\N
227892	774	1997-06-18	PRIJEM	VKLAD	1200	28055	\N	\N	\N
227893	774	1997-07-18	PRIJEM	VKLAD	1200	19468	\N	\N	\N
227894	774	1997-08-18	PRIJEM	VKLAD	1200	27370	\N	\N	\N
227895	774	1997-09-18	PRIJEM	VKLAD	1200	28659	\N	\N	\N
227896	774	1997-10-18	PRIJEM	VKLAD	1200	31458	\N	\N	\N
227897	774	1997-11-18	PRIJEM	VKLAD	1200	32766	\N	\N	\N
227898	774	1997-12-18	PRIJEM	VKLAD	1200	31732	\N	\N	\N
227899	774	1998-01-18	PRIJEM	VKLAD	1200	27295	\N	\N	\N
227900	774	1998-02-18	PRIJEM	VKLAD	1200	28844	\N	\N	\N
227901	774	1998-03-18	PRIJEM	VKLAD	1200	31634	\N	\N	\N
227902	774	1998-04-18	PRIJEM	VKLAD	1200	29942	\N	\N	\N
227903	774	1998-05-18	PRIJEM	VKLAD	1200	28353	\N	\N	\N
227904	774	1998-06-18	PRIJEM	VKLAD	1200	37893	\N	\N	\N
227905	774	1998-07-18	PRIJEM	VKLAD	1200	27405	\N	\N	\N
227906	774	1998-08-18	PRIJEM	VKLAD	1200	27853	\N	\N	\N
227907	774	1998-09-18	PRIJEM	VKLAD	1200	24298	\N	\N	\N
227908	774	1998-10-18	PRIJEM	VKLAD	1200	20783	\N	\N	\N
227909	774	1998-11-18	PRIJEM	VKLAD	1200	20257	\N	\N	\N
227910	774	1998-12-18	PRIJEM	VKLAD	1200	20423	\N	\N	\N
227912	774	1994-06-04	VYDAJ	VYBER	17900	19238	\N	\N	\N
227913	774	1995-06-25	VYDAJ	VYBER	15100	28203	\N	\N	\N
227914	774	1996-06-26	VYDAJ	VYBER	6000	32000	\N	\N	\N
227915	774	1997-06-28	VYDAJ	VYBER	7800	20255	\N	\N	\N
227916	774	1998-06-21	VYDAJ	VYBER	8500	29393	\N	\N	\N
227918	774	1994-01-06	VYDAJ	VYBER	1700	29109	\N	\N	\N
227919	774	1995-01-13	VYDAJ	VYBER	1300	32013	\N	\N	\N
227920	774	1996-01-16	VYDAJ	VYBER	2000	22971	\N	\N	\N
227921	774	1997-01-02	VYDAJ	VYBER	9600	17413	\N	\N	\N
227922	774	1998-01-08	VYDAJ	VYBER	3000	28845	\N	\N	\N
227923	774	1993-12-30	VYDAJ	VYBER	2100	40210	\N	\N	\N
227924	774	1994-12-24	VYDAJ	VYBER	2700	43472	\N	\N	\N
227925	774	1995-12-23	VYDAJ	VYBER	2500	33749	\N	\N	\N
227926	774	1996-12-04	VYDAJ	VYBER	600	27913	\N	\N	\N
227927	774	1997-12-08	VYDAJ	VYBER	1900	28932	\N	\N	\N
227928	774	1998-12-08	VYDAJ	VYBER	1300	19023	\N	\N	\N
227935	774	1994-01-20	VYDAJ	VYBER	550	28859	\N	\N	\N
227936	774	1994-01-10	VYDAJ	VYBER	450	27709	\N	\N	\N
227937	774	1994-01-29	VYDAJ	VYBER	950	26609	\N	\N	\N
227938	774	1994-01-23	VYDAJ	VYBER	1300	27559	\N	\N	\N
227939	774	1994-01-12	VYDAJ	VYBER	300	27409	\N	\N	\N
227940	774	1994-01-16	VYDAJ	VYBER	400	28209	\N	\N	\N
227941	774	1995-01-07	VYDAJ	VYBER	650	36863	\N	\N	\N
227942	774	1995-01-07	VYDAJ	VYBER	1450	35413	\N	\N	\N
227943	774	1995-01-08	VYDAJ	VYBER	1250	34163	\N	\N	\N
227944	774	1995-01-01	VYDAJ	VYBER	1300	37513	\N	\N	\N
227945	774	1995-01-25	VYDAJ	VYBER	700	33713	\N	\N	\N
227946	774	1995-01-09	VYDAJ	VYBER	850	33313	\N	\N	\N
227947	774	1996-01-06	VYDAJ	VYBER	650	26321	\N	\N	\N
227948	774	1996-01-14	VYDAJ	VYBER	1400	24921	\N	\N	\N
227949	774	1996-01-04	VYDAJ	VYBER	750	26971	\N	\N	\N
227950	774	1996-01-15	VYDAJ	VYBER	1150	23771	\N	\N	\N
227951	774	1996-01-21	VYDAJ	VYBER	650	23521	\N	\N	\N
227952	774	1996-01-03	VYDAJ	VYBER	850	27721	\N	\N	\N
227956	774	1997-01-07	VYDAJ	VYBER	950	16463	\N	\N	\N
227957	774	1997-01-26	VYDAJ	VYBER	450	19213	\N	\N	\N
227958	774	1997-01-27	VYDAJ	VYBER	950	18263	\N	\N	\N
227959	774	1998-01-25	VYDAJ	VYBER	900	25845	\N	\N	\N
227960	774	1998-01-29	VYDAJ	VYBER	1050	23745	\N	\N	\N
227961	774	1998-01-28	VYDAJ	VYBER	1050	24795	\N	\N	\N
227962	774	1998-01-22	VYDAJ	VYBER	550	26745	\N	\N	\N
227963	774	1998-01-15	VYDAJ	VYBER	1200	24895	\N	\N	\N
227964	774	1998-01-12	VYDAJ	VYBER	450	28395	\N	\N	\N
227965	774	1993-09-22	VYDAJ	VYBER	1250	24149	\N	\N	\N
227968	774	1993-10-29	VYDAJ	VYBER	500	24425	\N	\N	\N
227969	774	1993-12-21	VYDAJ	VYBER	1200	42310	\N	\N	\N
227970	774	1994-09-16	VYDAJ	VYBER	1900	28857	\N	\N	\N
227971	774	1994-02-04	VYDAJ	VYBER	1750	22869	\N	\N	\N
227972	774	1994-01-07	VYDAJ	VYBER	950	28159	\N	\N	\N
227973	774	1994-03-27	VYDAJ	VYBER	1700	24751	\N	\N	\N
227974	774	1994-06-15	VYDAJ	VYBER	1950	18488	\N	\N	\N
227975	774	1994-02-15	VYDAJ	VYBER	2200	20669	\N	\N	\N
227976	774	1995-03-18	VYDAJ	VYBER	2400	74368	\N	\N	\N
227977	774	1995-04-14	VYDAJ	VYBER	1850	51030	\N	\N	\N
227978	774	1995-09-27	VYDAJ	VYBER	2250	42767	\N	\N	\N
227979	774	1995-09-15	VYDAJ	VYBER	650	61317	\N	\N	\N
227980	774	1995-10-29	VYDAJ	VYBER	1300	36749	\N	\N	\N
227981	774	1995-03-16	VYDAJ	VYBER	1550	74368	\N	\N	\N
227982	774	1996-11-11	VYDAJ	VYBER	2450	30699	\N	\N	\N
227983	774	1996-06-15	VYDAJ	VYBER	450	37200	\N	\N	\N
227984	774	1996-01-23	VYDAJ	VYBER	2100	21421	\N	\N	\N
227985	774	1996-09-14	VYDAJ	VYBER	1750	52673	\N	\N	\N
227986	774	1996-05-16	VYDAJ	VYBER	2450	40499	\N	\N	\N
227987	774	1996-09-27	VYDAJ	VYBER	350	39223	\N	\N	\N
227988	774	1996-04-30	VYDAJ	VYBER	1750	41763	\N	\N	\N
227989	774	1997-11-13	VYDAJ	VYBER	900	31866	\N	\N	\N
227990	774	1997-12-02	VYDAJ	VYBER	2050	30832	\N	\N	\N
227991	774	1997-03-11	VYDAJ	VYBER	1900	19493	\N	\N	\N
227992	774	1997-06-01	VYDAJ	VYBER	1250	34355	\N	\N	\N
227993	774	1997-07-24	VYDAJ	VYBER	2350	17118	\N	\N	\N
227994	774	1998-10-15	VYDAJ	VYBER	1700	19583	\N	\N	\N
227995	774	1998-08-04	VYDAJ	VYBER	1650	25853	\N	\N	\N
227996	774	1998-09-02	VYDAJ	VYBER	350	27598	\N	\N	\N
227997	774	1998-12-09	VYDAJ	VYBER	900	18023	\N	\N	\N
228006	774	1993-08-31	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
228007	774	1993-09-30	VYDAJ	VYBER	15	24225	SLUZBY	\N	\N
228008	774	1993-10-31	VYDAJ	VYBER	15	24512	SLUZBY	\N	\N
228009	774	1993-11-30	VYDAJ	VYBER	15	62110	SLUZBY	\N	\N
228010	774	1993-12-31	VYDAJ	VYBER	15	40409	SLUZBY	\N	\N
228011	774	1994-01-31	VYDAJ	VYBER	15	26719	SLUZBY	\N	\N
228012	774	1994-02-28	VYDAJ	VYBER	15	23151	SLUZBY	\N	\N
228013	774	1994-03-31	VYDAJ	VYBER	15	74408	SLUZBY	\N	\N
228014	774	1994-04-30	VYDAJ	VYBER	15	53653	SLUZBY	\N	\N
228015	774	1994-05-31	VYDAJ	VYBER	15	43538	SLUZBY	\N	\N
228016	774	1994-06-30	VYDAJ	VYBER	15	19764	SLUZBY	\N	\N
228017	774	1994-07-31	VYDAJ	VYBER	15	27347	SLUZBY	\N	\N
228018	774	1994-08-31	VYDAJ	VYBER	15	31757	SLUZBY	\N	\N
228019	774	1994-09-30	VYDAJ	VYBER	15	30170	SLUZBY	\N	\N
228020	774	1994-10-31	VYDAJ	VYBER	15	31686	SLUZBY	\N	\N
228021	774	1994-11-30	VYDAJ	VYBER	15	31507	SLUZBY	\N	\N
228022	774	1994-12-31	VYDAJ	VYBER	15	38813	SLUZBY	\N	\N
228023	774	1995-01-31	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
228024	774	1995-02-28	VYDAJ	VYBER	15	34272	SLUZBY	\N	\N
228025	774	1995-03-31	VYDAJ	VYBER	15	52880	SLUZBY	\N	\N
228026	774	1995-04-30	VYDAJ	VYBER	15	43634	SLUZBY	\N	\N
228027	774	1995-05-31	VYDAJ	VYBER	15	40903	SLUZBY	\N	\N
228028	774	1995-06-30	VYDAJ	VYBER	15	28450	SLUZBY	\N	\N
228029	774	1995-07-31	VYDAJ	VYBER	15	31958	SLUZBY	\N	\N
228030	774	1995-08-31	VYDAJ	VYBER	15	33280	SLUZBY	\N	\N
228031	774	1995-09-30	VYDAJ	VYBER	15	42949	SLUZBY	\N	\N
228032	774	1995-10-31	VYDAJ	VYBER	15	36911	SLUZBY	\N	\N
228033	774	1995-11-30	VYDAJ	VYBER	15	33849	SLUZBY	\N	\N
228034	774	1995-12-31	VYDAJ	VYBER	15	28571	SLUZBY	\N	\N
228035	774	1996-01-31	VYDAJ	VYBER	15	26213	SLUZBY	\N	\N
228036	774	1996-02-29	VYDAJ	VYBER	15	28010	SLUZBY	\N	\N
228037	774	1996-03-31	VYDAJ	VYBER	15	32117	SLUZBY	\N	\N
228038	774	1996-04-30	VYDAJ	VYBER	15	41749	SLUZBY	\N	\N
228039	774	1996-05-31	VYDAJ	VYBER	15	36450	SLUZBY	\N	\N
228040	774	1996-06-30	VYDAJ	VYBER	15	32135	SLUZBY	\N	\N
228041	774	1996-07-31	VYDAJ	VYBER	15	78348	SLUZBY	\N	\N
228042	774	1996-08-31	VYDAJ	VYBER	15	54423	SLUZBY	\N	\N
228043	774	1996-09-30	VYDAJ	VYBER	15	39411	SLUZBY	\N	\N
228044	774	1996-10-31	VYDAJ	VYBER	15	33149	SLUZBY	\N	\N
228045	774	1996-11-30	VYDAJ	VYBER	15	28513	SLUZBY	\N	\N
228046	774	1996-12-31	VYDAJ	VYBER	15	27013	SLUZBY	\N	\N
228047	774	1997-01-31	VYDAJ	VYBER	15	18328	SLUZBY	\N	\N
228048	774	1997-02-28	VYDAJ	VYBER	15	21393	SLUZBY	\N	\N
228049	774	1997-03-31	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
228050	774	1997-04-30	VYDAJ	VYBER	15	45252	SLUZBY	\N	\N
228051	774	1997-05-31	VYDAJ	VYBER	15	35605	SLUZBY	\N	\N
228052	774	1997-06-30	VYDAJ	VYBER	15	20368	SLUZBY	\N	\N
228053	774	1997-07-31	VYDAJ	VYBER	15	23470	SLUZBY	\N	\N
228054	774	1997-08-31	VYDAJ	VYBER	15	27459	SLUZBY	\N	\N
228055	774	1997-09-30	VYDAJ	VYBER	15	28758	SLUZBY	\N	\N
228056	774	1997-10-31	VYDAJ	VYBER	15	31566	SLUZBY	\N	\N
228057	774	1997-11-30	VYDAJ	VYBER	15	32882	SLUZBY	\N	\N
228058	774	1997-12-31	VYDAJ	VYBER	15	31845	SLUZBY	\N	\N
228059	774	1998-01-31	VYDAJ	VYBER	15	23844	SLUZBY	\N	\N
228060	774	1998-02-28	VYDAJ	VYBER	15	28934	SLUZBY	\N	\N
228061	774	1998-03-31	VYDAJ	VYBER	15	31742	SLUZBY	\N	\N
228062	774	1998-04-30	VYDAJ	VYBER	15	30053	SLUZBY	\N	\N
228063	774	1998-05-31	VYDAJ	VYBER	15	28455	SLUZBY	\N	\N
228064	774	1998-06-30	VYDAJ	VYBER	15	29505	SLUZBY	\N	\N
228065	774	1998-07-31	VYDAJ	VYBER	15	27503	SLUZBY	\N	\N
228066	774	1998-08-31	VYDAJ	VYBER	15	27948	SLUZBY	\N	\N
228067	774	1998-09-30	VYDAJ	VYBER	15	24383	SLUZBY	\N	\N
228068	774	1998-10-31	VYDAJ	VYBER	15	20857	SLUZBY	\N	\N
228069	774	1998-11-30	VYDAJ	VYBER	15	20323	SLUZBY	\N	\N
228070	774	1993-07-08	PRIJEM	VKLAD	8600	11506	\N	\N	\N
228071	774	1993-08-07	PRIJEM	VKLAD	2800	16743	\N	\N	\N
228072	774	1993-09-06	PRIJEM	VKLAD	3800	22999	\N	\N	\N
228073	774	1993-10-06	VYDAJ	VYBER	1700	22525	\N	\N	\N
228074	774	1993-11-05	PRIJEM	VKLAD	2200	26712	\N	\N	\N
228075	774	1993-12-05	VYDAJ	VYBER	21000	41110	\N	\N	\N
228076	774	1994-01-04	VYDAJ	VYBER	9600	30809	\N	\N	\N
228077	774	1994-02-03	VYDAJ	VYBER	2100	24619	\N	\N	\N
228078	774	1994-03-05	PRIJEM	VKLAD	900	24051	\N	\N	\N
228079	774	1994-04-04	VYDAJ	VYBER	23400	51008	\N	\N	\N
228080	774	1994-05-04	VYDAJ	VYBER	12700	40953	\N	\N	\N
228081	774	1994-06-03	VYDAJ	VYBER	6400	37138	\N	\N	\N
228082	774	1994-07-03	PRIJEM	VKLAD	5100	24864	\N	\N	\N
228083	774	1994-08-02	PRIJEM	VKLAD	1900	29247	\N	\N	\N
228084	774	1994-09-01	VYDAJ	VYBER	2200	29557	\N	\N	\N
228085	774	1994-10-31	VYDAJ	VYBER	1000	31700	\N	\N	\N
228086	774	1994-11-30	VYDAJ	VYBER	2700	31521	\N	\N	\N
228087	774	1994-12-30	VYDAJ	VYBER	4800	38672	\N	\N	\N
228088	774	1995-01-29	VYDAJ	VYBER	200	33513	\N	\N	\N
228089	774	1995-02-28	VYDAJ	VYBER	1900	34287	\N	\N	\N
228090	774	1995-03-30	VYDAJ	VYBER	21700	52668	\N	\N	\N
228091	774	1995-04-29	VYDAJ	VYBER	10000	43430	\N	\N	\N
228092	774	1995-05-29	VYDAJ	VYBER	5300	40734	\N	\N	\N
228093	774	1995-06-28	PRIJEM	VKLAD	100	28303	\N	\N	\N
228094	774	1995-07-28	PRIJEM	VKLAD	1000	31850	\N	\N	\N
228095	774	1995-08-27	VYDAJ	VYBER	1200	33158	\N	\N	\N
228096	774	1995-09-26	VYDAJ	VYBER	17500	45017	\N	\N	\N
228097	774	1995-10-26	VYDAJ	VYBER	7300	38049	\N	\N	\N
228098	774	1995-11-25	VYDAJ	VYBER	5600	33711	\N	\N	\N
228099	774	1995-12-25	VYDAJ	VYBER	5300	28449	\N	\N	\N
228100	774	1996-01-24	PRIJEM	VKLAD	4700	26121	\N	\N	\N
228101	774	1996-02-23	VYDAJ	VYBER	700	27913	\N	\N	\N
228102	774	1996-03-24	PRIJEM	VKLAD	1600	32010	\N	\N	\N
228103	774	1996-04-23	VYDAJ	VYBER	12000	43337	\N	\N	\N
228104	774	1996-05-23	VYDAJ	VYBER	5400	36299	\N	\N	\N
228105	774	1996-06-22	VYDAJ	VYBER	400	38000	\N	\N	\N
228106	774	1996-07-22	VYDAJ	VYBER	400	34135	\N	\N	\N
228107	774	1996-08-21	VYDAJ	VYBER	26600	54148	\N	\N	\N
228108	774	1996-09-20	VYDAJ	VYBER	15500	39573	\N	\N	\N
228109	774	1996-10-20	VYDAJ	VYBER	8800	33011	\N	\N	\N
228110	774	1996-11-19	VYDAJ	VYBER	4700	28399	\N	\N	\N
228111	774	1996-12-19	VYDAJ	VYBER	3400	26913	\N	\N	\N
228112	774	1997-01-18	PRIJEM	VKLAD	800	19663	\N	\N	\N
228113	774	1997-02-17	PRIJEM	VKLAD	600	20128	\N	\N	\N
228114	774	1997-03-19	VYDAJ	VYBER	400	21493	\N	\N	\N
228115	774	1997-04-18	PRIJEM	VKLAD	1600	25565	\N	\N	\N
228116	774	1997-05-18	VYDAJ	VYBER	12200	35452	\N	\N	\N
228117	774	1997-06-17	VYDAJ	VYBER	8700	26855	\N	\N	\N
228118	774	1997-07-17	VYDAJ	VYBER	3300	18268	\N	\N	\N
228119	774	1997-08-16	PRIJEM	VKLAD	1500	26170	\N	\N	\N
228120	774	1997-09-15	VYDAJ	VYBER	1200	27459	\N	\N	\N
228121	774	1997-10-15	PRIJEM	VKLAD	300	30258	\N	\N	\N
228122	774	1997-11-14	VYDAJ	VYBER	300	31566	\N	\N	\N
228123	774	1997-12-14	PRIJEM	VKLAD	400	29332	\N	\N	\N
228124	774	1998-01-13	VYDAJ	VYBER	2300	26095	\N	\N	\N
228125	774	1998-02-12	PRIJEM	VKLAD	2600	26444	\N	\N	\N
228126	774	1998-03-14	PRIJEM	VKLAD	300	29234	\N	\N	\N
228127	774	1998-04-13	VYDAJ	VYBER	4200	27542	\N	\N	\N
228128	774	1998-05-13	VYDAJ	VYBER	4100	25953	\N	\N	\N
228129	774	1998-06-12	VYDAJ	VYBER	13800	35493	\N	\N	\N
228130	774	1998-07-12	VYDAJ	VYBER	4500	25005	\N	\N	\N
228131	774	1998-08-11	VYDAJ	VYBER	400	25453	\N	\N	\N
228132	774	1998-09-10	VYDAJ	VYBER	5700	21898	\N	\N	\N
228133	774	1998-10-10	VYDAJ	VYBER	4300	20083	\N	\N	\N
228134	774	1998-11-09	VYDAJ	VYBER	3000	17857	\N	\N	\N
228135	774	1998-12-09	VYDAJ	VYBER	100	18923	\N	\N	\N
228203	775	1994-12-18	PRIJEM	VKLAD	300	300	\N	\N	\N
228216	775	1995-01-10	PRIJEM	VKLAD	20286	20586	\N	\N	\N
228217	775	1995-02-10	PRIJEM	VKLAD	20286	43018	\N	\N	\N
228218	775	1995-03-10	PRIJEM	VKLAD	20286	54019	\N	\N	\N
228219	775	1995-04-10	PRIJEM	VKLAD	20286	57252	\N	\N	\N
228220	775	1995-05-10	PRIJEM	VKLAD	20286	59195	\N	\N	\N
228221	775	1995-06-10	PRIJEM	VKLAD	30429	64784	\N	\N	\N
228222	775	1995-07-10	PRIJEM	VKLAD	20286	59237	\N	\N	\N
228223	775	1995-08-10	PRIJEM	VKLAD	20286	58773	\N	\N	\N
228224	775	1995-09-10	PRIJEM	VKLAD	20286	60310	\N	\N	\N
228225	775	1995-10-10	PRIJEM	VKLAD	20286	65059	\N	\N	\N
228226	775	1995-11-10	PRIJEM	VKLAD	20286	60110	\N	\N	\N
228227	775	1995-12-10	PRIJEM	VKLAD	30429	72300	\N	\N	\N
228228	775	1996-01-10	PRIJEM	VKLAD	20286	68564	\N	\N	\N
228229	775	1996-02-10	PRIJEM	VKLAD	20286	58820	\N	\N	\N
228230	775	1996-03-10	PRIJEM	VKLAD	20286	60650	\N	\N	\N
228231	775	1996-04-10	PRIJEM	VKLAD	20286	61787	\N	\N	\N
228232	775	1996-05-10	PRIJEM	VKLAD	20286	63831	\N	\N	\N
228233	775	1996-06-10	PRIJEM	VKLAD	30429	77629	\N	\N	\N
228234	775	1996-07-10	PRIJEM	VKLAD	20286	54664	\N	\N	\N
228235	775	1996-08-10	PRIJEM	VKLAD	20286	59698	\N	\N	\N
228236	775	1996-09-10	PRIJEM	VKLAD	20286	66277	\N	\N	\N
228237	775	1996-10-10	PRIJEM	VKLAD	20286	65695	\N	\N	\N
228238	775	1996-11-10	PRIJEM	VKLAD	20286	66019	\N	\N	\N
228239	775	1996-12-10	PRIJEM	VKLAD	30429	72486	\N	\N	\N
228240	775	1997-01-10	PRIJEM	VKLAD	20286	64224	\N	\N	\N
228241	775	1997-02-10	PRIJEM	VKLAD	20286	58533	\N	\N	\N
228242	775	1997-03-10	PRIJEM	VKLAD	20286	62419	\N	\N	\N
228243	775	1997-04-10	PRIJEM	VKLAD	20286	65724	\N	\N	\N
228244	775	1997-05-10	PRIJEM	VKLAD	20286	63942	\N	\N	\N
228245	775	1997-06-10	PRIJEM	VKLAD	30429	78702	\N	\N	\N
228246	775	1997-07-10	PRIJEM	VKLAD	20286	63504	\N	\N	\N
228247	775	1997-08-10	PRIJEM	VKLAD	20286	67011	\N	\N	\N
228248	775	1997-09-10	PRIJEM	VKLAD	20286	68835	\N	\N	\N
228249	775	1997-10-10	PRIJEM	VKLAD	20286	68468	\N	\N	\N
228250	775	1997-11-10	PRIJEM	VKLAD	20286	69703	\N	\N	\N
228251	775	1997-12-10	PRIJEM	VKLAD	30429	77083	\N	\N	\N
228252	775	1998-01-10	PRIJEM	VKLAD	20286	68642	\N	\N	\N
228253	775	1998-02-10	PRIJEM	VKLAD	20286	66252	\N	\N	\N
228254	775	1998-03-10	PRIJEM	VKLAD	20286	67346	\N	\N	\N
228255	775	1998-04-10	PRIJEM	VKLAD	20286	76364	\N	\N	\N
228256	775	1998-05-10	PRIJEM	VKLAD	20286	77019	\N	\N	\N
228257	775	1998-06-10	PRIJEM	VKLAD	30429	87423	\N	\N	\N
228258	775	1998-07-10	PRIJEM	VKLAD	20286	72192	\N	\N	\N
228259	775	1998-08-10	PRIJEM	VKLAD	20286	73522	\N	\N	\N
228260	775	1998-09-10	PRIJEM	VKLAD	20286	75646	\N	\N	\N
228261	775	1998-10-10	PRIJEM	VKLAD	20286	79079	\N	\N	\N
228262	775	1998-11-10	PRIJEM	VKLAD	20286	79324	\N	\N	\N
228263	775	1998-12-10	PRIJEM	VKLAD	30429	88412	\N	\N	\N
228280	775	1995-05-12	VYDAJ	PREVOD NA UCET	1168	55588	SIPO	EF	6431270
228281	775	1995-06-12	VYDAJ	PREVOD NA UCET	1168	61177	SIPO	EF	6431270
228282	775	1995-07-12	VYDAJ	PREVOD NA UCET	1168	55630	SIPO	EF	6431270
228283	775	1995-08-12	VYDAJ	PREVOD NA UCET	1168	55166	SIPO	EF	6431270
228284	775	1995-09-12	VYDAJ	PREVOD NA UCET	1168	56703	SIPO	EF	6431270
228285	775	1995-10-12	VYDAJ	PREVOD NA UCET	1168	61452	SIPO	EF	6431270
228286	775	1995-11-12	VYDAJ	PREVOD NA UCET	1168	56503	SIPO	EF	6431270
228287	775	1995-12-12	VYDAJ	PREVOD NA UCET	1168	68693	SIPO	EF	6431270
228288	775	1996-01-12	VYDAJ	PREVOD NA UCET	1168	48157	SIPO	EF	6431270
228289	775	1996-02-12	VYDAJ	PREVOD NA UCET	1168	40213	SIPO	EF	6431270
228290	775	1996-03-12	VYDAJ	PREVOD NA UCET	1168	57043	SIPO	EF	6431270
228291	775	1996-04-12	VYDAJ	PREVOD NA UCET	1168	43880	SIPO	EF	6431270
228292	775	1996-05-12	VYDAJ	PREVOD NA UCET	1168	47024	SIPO	EF	6431270
228293	775	1996-06-12	VYDAJ	PREVOD NA UCET	1168	35622	SIPO	EF	6431270
228294	775	1996-07-12	VYDAJ	PREVOD NA UCET	1168	42557	SIPO	EF	6431270
228295	775	1996-08-12	VYDAJ	PREVOD NA UCET	1168	56091	SIPO	EF	6431270
228296	775	1996-09-12	VYDAJ	PREVOD NA UCET	1168	62670	SIPO	EF	6431270
228297	775	1996-10-12	VYDAJ	PREVOD NA UCET	1168	62088	SIPO	EF	6431270
228298	775	1996-11-12	VYDAJ	PREVOD NA UCET	1168	62412	SIPO	EF	6431270
228299	775	1996-12-12	VYDAJ	PREVOD NA UCET	1168	68879	SIPO	EF	6431270
228300	775	1997-01-12	VYDAJ	PREVOD NA UCET	1168	59917	SIPO	EF	6431270
228301	775	1997-02-12	VYDAJ	PREVOD NA UCET	1168	54926	SIPO	EF	6431270
228302	775	1997-03-12	VYDAJ	PREVOD NA UCET	1168	58812	SIPO	EF	6431270
228303	775	1997-04-12	VYDAJ	PREVOD NA UCET	1168	61617	SIPO	EF	6431270
228304	775	1997-05-12	VYDAJ	PREVOD NA UCET	1168	60335	SIPO	EF	6431270
228305	775	1997-06-12	VYDAJ	PREVOD NA UCET	1168	55095	SIPO	EF	6431270
228306	775	1997-07-12	VYDAJ	PREVOD NA UCET	1168	59897	SIPO	EF	6431270
228307	775	1997-08-12	VYDAJ	PREVOD NA UCET	1168	63404	SIPO	EF	6431270
228308	775	1997-09-12	VYDAJ	PREVOD NA UCET	1168	65228	SIPO	EF	6431270
228309	775	1997-10-12	VYDAJ	PREVOD NA UCET	1168	64861	SIPO	EF	6431270
228310	775	1997-11-12	VYDAJ	PREVOD NA UCET	1168	66096	SIPO	EF	6431270
228311	775	1997-12-12	VYDAJ	PREVOD NA UCET	1168	73476	SIPO	EF	6431270
228312	775	1998-01-12	VYDAJ	PREVOD NA UCET	1168	65035	SIPO	EF	6431270
228313	775	1998-02-12	VYDAJ	PREVOD NA UCET	1168	62645	SIPO	EF	6431270
228314	775	1998-03-12	VYDAJ	PREVOD NA UCET	1168	63739	SIPO	EF	6431270
228315	775	1998-04-12	VYDAJ	PREVOD NA UCET	1168	72757	SIPO	EF	6431270
228316	775	1998-05-12	VYDAJ	PREVOD NA UCET	1168	73412	SIPO	EF	6431270
228317	775	1998-06-12	VYDAJ	PREVOD NA UCET	1168	83816	SIPO	EF	6431270
228318	775	1998-07-12	VYDAJ	PREVOD NA UCET	1168	68585	SIPO	EF	6431270
228319	775	1998-08-12	VYDAJ	PREVOD NA UCET	1168	69915	SIPO	EF	6431270
228320	775	1998-09-12	VYDAJ	PREVOD NA UCET	1168	72039	SIPO	EF	6431270
228321	775	1998-10-12	VYDAJ	PREVOD NA UCET	1168	75472	SIPO	EF	6431270
228322	775	1998-11-12	VYDAJ	PREVOD NA UCET	1168	75717	SIPO	EF	6431270
228323	775	1998-12-12	VYDAJ	PREVOD NA UCET	1168	84805	SIPO	EF	6431270
228340	775	1995-05-11	VYDAJ	PREVOD NA UCET	2439	56756	 	ST	6988245
228341	775	1995-06-11	VYDAJ	PREVOD NA UCET	2439	62345	 	ST	6988245
228342	775	1995-07-11	VYDAJ	PREVOD NA UCET	2439	56798	 	ST	6988245
228343	775	1995-08-11	VYDAJ	PREVOD NA UCET	2439	56334	 	ST	6988245
228344	775	1995-09-11	VYDAJ	PREVOD NA UCET	2439	57871	 	ST	6988245
228345	775	1995-10-11	VYDAJ	PREVOD NA UCET	2439	62620	 	ST	6988245
228346	775	1995-11-11	VYDAJ	PREVOD NA UCET	2439	57671	 	ST	6988245
228347	775	1995-12-11	VYDAJ	PREVOD NA UCET	2439	69861	 	ST	6988245
228348	775	1996-01-11	VYDAJ	PREVOD NA UCET	2439	63225	 	ST	6988245
228349	775	1996-02-11	VYDAJ	PREVOD NA UCET	2439	41381	 	ST	6988245
228350	775	1996-03-11	VYDAJ	PREVOD NA UCET	2439	58211	 	ST	6988245
228351	775	1996-04-11	VYDAJ	PREVOD NA UCET	2439	45048	 	ST	6988245
228352	775	1996-05-11	VYDAJ	PREVOD NA UCET	2439	48192	 	ST	6988245
228353	775	1996-06-11	VYDAJ	PREVOD NA UCET	2439	53190	 	ST	6988245
228354	775	1996-07-11	VYDAJ	PREVOD NA UCET	2439	43725	 	ST	6988245
228355	775	1996-08-11	VYDAJ	PREVOD NA UCET	2439	57259	 	ST	6988245
228356	775	1996-09-11	VYDAJ	PREVOD NA UCET	2439	63838	 	ST	6988245
228357	775	1996-10-11	VYDAJ	PREVOD NA UCET	2439	63256	 	ST	6988245
228358	775	1996-11-11	VYDAJ	PREVOD NA UCET	2439	63580	 	ST	6988245
228359	775	1996-12-11	VYDAJ	PREVOD NA UCET	2439	70047	 	ST	6988245
228360	775	1997-01-11	VYDAJ	PREVOD NA UCET	2439	61785	 	ST	6988245
228361	775	1997-02-11	VYDAJ	PREVOD NA UCET	2439	56094	 	ST	6988245
228362	775	1997-03-11	VYDAJ	PREVOD NA UCET	2439	59980	 	ST	6988245
228363	775	1997-04-11	VYDAJ	PREVOD NA UCET	2439	62785	 	ST	6988245
228364	775	1997-05-11	VYDAJ	PREVOD NA UCET	2439	61503	 	ST	6988245
228365	775	1997-06-11	VYDAJ	PREVOD NA UCET	2439	56263	 	ST	6988245
228366	775	1997-07-11	VYDAJ	PREVOD NA UCET	2439	61065	 	ST	6988245
228367	775	1997-08-11	VYDAJ	PREVOD NA UCET	2439	64572	 	ST	6988245
228368	775	1997-09-11	VYDAJ	PREVOD NA UCET	2439	66396	 	ST	6988245
228369	775	1997-10-11	VYDAJ	PREVOD NA UCET	2439	66029	 	ST	6988245
228370	775	1997-11-11	VYDAJ	PREVOD NA UCET	2439	67264	 	ST	6988245
228371	775	1997-12-11	VYDAJ	PREVOD NA UCET	2439	74644	 	ST	6988245
228372	775	1998-01-11	VYDAJ	PREVOD NA UCET	2439	66203	 	ST	6988245
228373	775	1998-02-11	VYDAJ	PREVOD NA UCET	2439	63813	 	ST	6988245
228374	775	1998-03-11	VYDAJ	PREVOD NA UCET	2439	64907	 	ST	6988245
228375	775	1998-04-11	VYDAJ	PREVOD NA UCET	2439	73925	 	ST	6988245
228376	775	1998-05-11	VYDAJ	PREVOD NA UCET	2439	74580	 	ST	6988245
228377	775	1998-06-11	VYDAJ	PREVOD NA UCET	2439	84984	 	ST	6988245
228378	775	1998-07-11	VYDAJ	PREVOD NA UCET	2439	69753	 	ST	6988245
228379	775	1998-08-11	VYDAJ	PREVOD NA UCET	2439	71083	 	ST	6988245
228380	775	1998-09-11	VYDAJ	PREVOD NA UCET	2439	73207	 	ST	6988245
228381	775	1998-10-11	VYDAJ	PREVOD NA UCET	2439	76640	 	ST	6988245
228382	775	1998-11-11	VYDAJ	PREVOD NA UCET	2439	76885	 	ST	6988245
228383	775	1998-12-11	VYDAJ	PREVOD NA UCET	2439	85973	 	ST	6988245
228385	775	1995-06-04	VYDAJ	VYBER	7700	34355	\N	\N	\N
228386	775	1996-06-12	VYDAJ	VYBER	16400	36790	\N	\N	\N
228387	775	1997-06-11	VYDAJ	VYBER	20000	58702	\N	\N	\N
228388	775	1998-06-29	VYDAJ	VYBER	10100	73716	\N	\N	\N
228390	775	1995-12-14	VYDAJ	VYBER	1100	48093	\N	\N	\N
228391	775	1996-12-23	VYDAJ	VYBER	800	68079	\N	\N	\N
228392	775	1997-12-26	VYDAJ	VYBER	2000	71476	\N	\N	\N
228393	775	1998-12-06	VYDAJ	VYBER	2100	57983	\N	\N	\N
228406	775	1996-01-24	VYDAJ	VYBER	600	41257	\N	\N	\N
228407	775	1996-01-12	VYDAJ	VYBER	1600	61625	\N	\N	\N
228408	775	1996-01-25	VYDAJ	VYBER	2100	39157	\N	\N	\N
228409	775	1996-01-20	VYDAJ	VYBER	2800	41857	\N	\N	\N
228410	775	1996-01-29	VYDAJ	VYBER	800	38357	\N	\N	\N
228411	775	1996-01-10	VYDAJ	VYBER	2900	65664	\N	\N	\N
228412	775	1997-01-12	VYDAJ	VYBER	700	61085	\N	\N	\N
228413	775	1997-01-24	VYDAJ	VYBER	2800	51517	\N	\N	\N
228414	775	1997-01-15	VYDAJ	VYBER	2400	57517	\N	\N	\N
228415	775	1997-01-19	VYDAJ	VYBER	1800	54317	\N	\N	\N
228416	775	1997-01-30	VYDAJ	VYBER	2000	49517	\N	\N	\N
228417	775	1997-01-15	VYDAJ	VYBER	1400	56117	\N	\N	\N
228418	775	1998-01-07	VYDAJ	VYBER	900	51056	\N	\N	\N
228419	775	1998-01-25	VYDAJ	VYBER	900	62735	\N	\N	\N
228420	775	1998-01-25	VYDAJ	VYBER	1100	61635	\N	\N	\N
228421	775	1998-01-08	VYDAJ	VYBER	2700	48356	\N	\N	\N
228422	775	1998-01-15	VYDAJ	VYBER	1400	63635	\N	\N	\N
228423	775	1998-01-01	VYDAJ	VYBER	1300	70456	\N	\N	\N
228429	775	1995-11-25	VYDAJ	VYBER	1200	41703	\N	\N	\N
228431	775	1995-11-09	VYDAJ	VYBER	1500	39824	\N	\N	\N
228432	775	1995-10-21	VYDAJ	VYBER	2000	41152	\N	\N	\N
228433	775	1995-06-26	VYDAJ	VYBER	2600	38777	\N	\N	\N
228434	775	1995-12-13	VYDAJ	VYBER	600	68093	\N	\N	\N
228436	775	1996-08-05	VYDAJ	VYBER	700	38912	\N	\N	\N
228437	775	1996-04-24	VYDAJ	VYBER	500	43380	\N	\N	\N
228438	775	1996-06-22	VYDAJ	VYBER	1400	34222	\N	\N	\N
228439	775	1996-11-30	VYDAJ	VYBER	4000	58657	\N	\N	\N
228440	775	1996-08-05	VYDAJ	VYBER	3100	39612	\N	\N	\N
228441	775	1996-01-18	VYDAJ	VYBER	3500	44657	\N	\N	\N
228442	775	1997-04-10	VYDAJ	VYBER	500	65224	\N	\N	\N
228443	775	1997-06-13	VYDAJ	VYBER	600	54495	\N	\N	\N
228444	775	1998-02-22	VYDAJ	VYBER	1800	60845	\N	\N	\N
228445	775	1998-02-23	VYDAJ	VYBER	1000	59845	\N	\N	\N
228446	775	1998-04-30	VYDAJ	VYBER	3200	69847	\N	\N	\N
228447	775	1998-02-25	VYDAJ	VYBER	4600	55245	\N	\N	\N
228448	775	1998-07-01	VYDAJ	VYBER	4800	51906	\N	\N	\N
228466	775	1995-05-31	VYDAJ	VYBER	15	42055	SLUZBY	\N	\N
228467	775	1995-06-30	VYDAJ	VYBER	15	38951	SLUZBY	\N	\N
228468	775	1995-07-31	VYDAJ	VYBER	15	38487	SLUZBY	\N	\N
228469	775	1995-08-31	VYDAJ	VYBER	15	40024	SLUZBY	\N	\N
228470	775	1995-09-30	VYDAJ	VYBER	15	44773	SLUZBY	\N	\N
228471	775	1995-10-31	VYDAJ	VYBER	15	41324	SLUZBY	\N	\N
228472	775	1995-11-30	VYDAJ	VYBER	15	41871	SLUZBY	\N	\N
228473	775	1995-12-31	VYDAJ	VYBER	15	48278	SLUZBY	\N	\N
228474	775	1996-01-31	VYDAJ	VYBER	15	38534	SLUZBY	\N	\N
228475	775	1996-02-29	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
228476	775	1996-03-31	VYDAJ	VYBER	15	41501	SLUZBY	\N	\N
228477	775	1996-04-30	VYDAJ	VYBER	15	43545	SLUZBY	\N	\N
228478	775	1996-05-31	VYDAJ	VYBER	15	47200	SLUZBY	\N	\N
228479	775	1996-06-30	VYDAJ	VYBER	15	34378	SLUZBY	\N	\N
228480	775	1996-07-31	VYDAJ	VYBER	15	42712	SLUZBY	\N	\N
228481	775	1996-08-31	VYDAJ	VYBER	15	56291	SLUZBY	\N	\N
228482	775	1996-09-30	VYDAJ	VYBER	15	62909	SLUZBY	\N	\N
228483	775	1996-10-31	VYDAJ	VYBER	15	62333	SLUZBY	\N	\N
228484	775	1996-11-30	VYDAJ	VYBER	15	62657	SLUZBY	\N	\N
228485	775	1996-12-31	VYDAJ	VYBER	15	68338	SLUZBY	\N	\N
228486	775	1997-01-31	VYDAJ	VYBER	15	49747	SLUZBY	\N	\N
228487	775	1997-02-28	VYDAJ	VYBER	15	55133	SLUZBY	\N	\N
228488	775	1997-03-31	VYDAJ	VYBER	15	59038	SLUZBY	\N	\N
228489	775	1997-04-30	VYDAJ	VYBER	15	61856	SLUZBY	\N	\N
228490	775	1997-05-31	VYDAJ	VYBER	15	60573	SLUZBY	\N	\N
228491	775	1997-06-30	VYDAJ	VYBER	15	54718	SLUZBY	\N	\N
228492	775	1997-07-31	VYDAJ	VYBER	15	60125	SLUZBY	\N	\N
228493	775	1997-08-31	VYDAJ	VYBER	15	63649	SLUZBY	\N	\N
228494	775	1997-09-30	VYDAJ	VYBER	15	65482	SLUZBY	\N	\N
228495	775	1997-10-31	VYDAJ	VYBER	15	65117	SLUZBY	\N	\N
228496	775	1997-11-30	VYDAJ	VYBER	15	66354	SLUZBY	\N	\N
228497	775	1997-12-31	VYDAJ	VYBER	15	71756	SLUZBY	\N	\N
228498	775	1998-01-31	VYDAJ	VYBER	15	45966	SLUZBY	\N	\N
228499	775	1998-02-28	VYDAJ	VYBER	15	55460	SLUZBY	\N	\N
228500	775	1998-03-31	VYDAJ	VYBER	15	63978	SLUZBY	\N	\N
228501	775	1998-04-30	VYDAJ	VYBER	15	69833	SLUZBY	\N	\N
228502	775	1998-05-31	VYDAJ	VYBER	15	56994	SLUZBY	\N	\N
228503	775	1998-06-30	VYDAJ	VYBER	15	56706	SLUZBY	\N	\N
228504	775	1998-07-31	VYDAJ	VYBER	15	53236	SLUZBY	\N	\N
228505	775	1998-08-31	VYDAJ	VYBER	15	55360	SLUZBY	\N	\N
228506	775	1998-09-30	VYDAJ	VYBER	15	58793	SLUZBY	\N	\N
228507	775	1998-10-31	VYDAJ	VYBER	15	59038	SLUZBY	\N	\N
228508	775	1998-11-30	VYDAJ	VYBER	15	60083	SLUZBY	\N	\N
228509	775	1995-01-17	PRIJEM	VKLAD	2100	22686	\N	\N	\N
228510	775	1995-02-16	VYDAJ	VYBER	9400	33618	\N	\N	\N
228511	775	1995-03-18	VYDAJ	VYBER	17200	36819	\N	\N	\N
228512	775	1995-04-17	VYDAJ	VYBER	18500	38752	\N	\N	\N
228513	775	1995-05-17	VYDAJ	VYBER	13700	41888	\N	\N	\N
228514	775	1995-06-16	VYDAJ	VYBER	19800	41377	\N	\N	\N
228515	775	1995-07-16	VYDAJ	VYBER	17300	38330	\N	\N	\N
228516	775	1995-08-15	VYDAJ	VYBER	15300	39866	\N	\N	\N
228517	775	1995-09-14	VYDAJ	VYBER	12100	44603	\N	\N	\N
228518	775	1995-10-14	VYDAJ	VYBER	18300	43152	\N	\N	\N
228519	775	1995-11-13	VYDAJ	VYBER	13600	42903	\N	\N	\N
228520	775	1995-12-13	VYDAJ	VYBER	18900	49193	\N	\N	\N
228521	775	1996-01-12	VYDAJ	VYBER	12300	49325	\N	\N	\N
228522	775	1996-02-11	VYDAJ	VYBER	15000	43820	\N	\N	\N
228523	775	1996-03-12	VYDAJ	VYBER	15700	41343	\N	\N	\N
228524	775	1996-04-11	VYDAJ	VYBER	14300	47487	\N	\N	\N
228525	775	1996-05-11	VYDAJ	VYBER	13200	50631	\N	\N	\N
228526	775	1996-06-10	VYDAJ	VYBER	22000	55629	\N	\N	\N
228527	775	1996-07-10	VYDAJ	VYBER	8500	46164	\N	\N	\N
228528	775	1996-08-09	PRIJEM	VKLAD	500	39412	\N	\N	\N
228529	775	1996-09-08	VYDAJ	VYBER	10300	45991	\N	\N	\N
228530	775	1996-10-08	VYDAJ	VYBER	17500	45409	\N	\N	\N
228531	775	1996-11-07	VYDAJ	VYBER	16600	45733	\N	\N	\N
228532	775	1996-12-07	VYDAJ	VYBER	16600	42057	\N	\N	\N
228533	775	1997-01-06	VYDAJ	VYBER	24400	43938	\N	\N	\N
228534	775	1997-02-05	VYDAJ	VYBER	11500	38247	\N	\N	\N
228535	775	1997-03-07	VYDAJ	VYBER	13000	42133	\N	\N	\N
228536	775	1997-04-06	VYDAJ	VYBER	13600	45438	\N	\N	\N
228537	775	1997-05-06	VYDAJ	VYBER	18200	43656	\N	\N	\N
228538	775	1997-06-05	VYDAJ	VYBER	12300	48273	\N	\N	\N
228539	775	1997-07-05	VYDAJ	VYBER	11500	43218	\N	\N	\N
228540	775	1997-08-04	VYDAJ	VYBER	13400	46725	\N	\N	\N
228541	775	1997-09-03	VYDAJ	VYBER	15100	48549	\N	\N	\N
228542	775	1997-10-03	VYDAJ	VYBER	17300	48182	\N	\N	\N
228543	775	1997-11-02	VYDAJ	VYBER	15700	49417	\N	\N	\N
228544	775	1997-12-02	VYDAJ	VYBER	19700	46654	\N	\N	\N
228545	775	1998-01-01	VYDAJ	VYBER	18500	51956	\N	\N	\N
228546	775	1998-01-31	VYDAJ	VYBER	15900	45981	\N	\N	\N
228547	775	1998-03-02	VYDAJ	VYBER	8400	47060	\N	\N	\N
228548	775	1998-04-01	VYDAJ	VYBER	7900	56078	\N	\N	\N
228549	775	1998-05-01	VYDAJ	VYBER	13100	56733	\N	\N	\N
228550	775	1998-05-31	VYDAJ	VYBER	16700	57009	\N	\N	\N
228551	775	1998-06-30	VYDAJ	VYBER	17300	56721	\N	\N	\N
228552	775	1998-07-30	VYDAJ	VYBER	15600	52985	\N	\N	\N
228553	775	1998-08-29	VYDAJ	VYBER	14800	55115	\N	\N	\N
228554	775	1998-09-28	VYDAJ	VYBER	13500	58539	\N	\N	\N
228555	775	1998-10-28	VYDAJ	VYBER	16700	58772	\N	\N	\N
228556	775	1998-11-27	VYDAJ	VYBER	15900	59817	\N	\N	\N
228605	776	1996-05-18	PRIJEM	VKLAD	700	700	\N	\N	\N
228611	776	1996-06-10	PRIJEM	VKLAD	29184	29884	\N	\N	\N
228612	776	1996-07-10	PRIJEM	VKLAD	19456	49198	\N	\N	\N
228613	776	1996-08-10	PRIJEM	VKLAD	19456	60600	\N	\N	\N
228614	776	1996-09-10	PRIJEM	VKLAD	19456	65437	\N	\N	\N
228615	776	1996-10-10	PRIJEM	VKLAD	19456	68892	\N	\N	\N
228616	776	1996-11-10	PRIJEM	VKLAD	19456	67069	\N	\N	\N
228617	776	1996-12-10	PRIJEM	VKLAD	29184	74667	\N	\N	\N
228618	776	1997-01-10	PRIJEM	VKLAD	19456	59259	\N	\N	\N
228619	776	1997-02-10	PRIJEM	VKLAD	19456	47522	\N	\N	\N
228620	776	1997-03-10	PRIJEM	VKLAD	19456	56938	\N	\N	\N
228621	776	1997-04-10	PRIJEM	VKLAD	19456	62283	\N	\N	\N
228622	776	1997-05-10	PRIJEM	VKLAD	19456	66446	\N	\N	\N
228623	776	1997-06-10	PRIJEM	VKLAD	29184	77346	\N	\N	\N
228624	776	1997-07-10	PRIJEM	VKLAD	19456	50192	\N	\N	\N
228625	776	1997-08-10	PRIJEM	VKLAD	19456	64835	\N	\N	\N
228626	776	1997-09-10	PRIJEM	VKLAD	19456	71276	\N	\N	\N
228627	776	1997-10-10	PRIJEM	VKLAD	19456	70128	\N	\N	\N
228628	776	1997-11-10	PRIJEM	VKLAD	19456	71766	\N	\N	\N
228629	776	1997-12-10	PRIJEM	VKLAD	29184	86101	\N	\N	\N
228630	776	1998-01-10	PRIJEM	VKLAD	19456	77884	\N	\N	\N
228631	776	1998-02-10	PRIJEM	VKLAD	19456	69077	\N	\N	\N
228632	776	1998-03-10	PRIJEM	VKLAD	19456	77998	\N	\N	\N
228633	776	1998-04-10	PRIJEM	VKLAD	19456	84262	\N	\N	\N
228634	776	1998-05-10	PRIJEM	VKLAD	19456	86157	\N	\N	\N
228635	776	1998-06-10	PRIJEM	VKLAD	29184	79065	\N	\N	\N
228636	776	1998-07-10	PRIJEM	VKLAD	19456	81942	\N	\N	\N
228637	776	1998-08-10	PRIJEM	VKLAD	19456	82130	\N	\N	\N
228638	776	1998-09-10	PRIJEM	VKLAD	19456	79623	\N	\N	\N
228639	776	1998-10-10	PRIJEM	VKLAD	19456	81007	\N	\N	\N
228640	776	1998-11-10	PRIJEM	VKLAD	19456	76993	\N	\N	\N
228641	776	1998-12-10	PRIJEM	VKLAD	29184	91876	\N	\N	\N
228652	776	1996-11-09	VYDAJ	PREVOD NA UCET	2277	47613	SIPO	YZ	44794058
228653	776	1996-12-09	VYDAJ	PREVOD NA UCET	2277	45483	SIPO	YZ	44794058
228654	776	1997-01-09	VYDAJ	PREVOD NA UCET	2277	39803	SIPO	YZ	44794058
228655	776	1997-02-09	VYDAJ	PREVOD NA UCET	2277	28066	SIPO	YZ	44794058
228656	776	1997-03-09	VYDAJ	PREVOD NA UCET	2277	37482	SIPO	YZ	44794058
228657	776	1997-04-09	VYDAJ	PREVOD NA UCET	2277	42827	SIPO	YZ	44794058
228658	776	1997-05-09	VYDAJ	PREVOD NA UCET	2277	46990	SIPO	YZ	44794058
228659	776	1997-06-09	VYDAJ	PREVOD NA UCET	2277	48162	SIPO	YZ	44794058
228660	776	1997-07-09	VYDAJ	PREVOD NA UCET	2277	30736	SIPO	YZ	44794058
228661	776	1997-08-09	VYDAJ	PREVOD NA UCET	2277	45379	SIPO	YZ	44794058
228662	776	1997-09-09	VYDAJ	PREVOD NA UCET	2277	51820	SIPO	YZ	44794058
228663	776	1997-10-09	VYDAJ	PREVOD NA UCET	2277	50672	SIPO	YZ	44794058
228664	776	1997-11-09	VYDAJ	PREVOD NA UCET	2277	53310	SIPO	YZ	44794058
228665	776	1997-12-09	VYDAJ	PREVOD NA UCET	2277	56917	SIPO	YZ	44794058
228666	776	1998-01-09	VYDAJ	PREVOD NA UCET	2277	58428	SIPO	YZ	44794058
228667	776	1998-02-09	VYDAJ	PREVOD NA UCET	2277	49621	SIPO	YZ	44794058
228668	776	1998-03-09	VYDAJ	PREVOD NA UCET	2277	64042	SIPO	YZ	44794058
228669	776	1998-04-09	VYDAJ	PREVOD NA UCET	2277	64806	SIPO	YZ	44794058
228670	776	1998-05-09	VYDAJ	PREVOD NA UCET	2277	66701	SIPO	YZ	44794058
228671	776	1998-06-09	VYDAJ	PREVOD NA UCET	2277	49881	SIPO	YZ	44794058
228672	776	1998-07-09	VYDAJ	PREVOD NA UCET	2277	62486	SIPO	YZ	44794058
228673	776	1998-08-09	VYDAJ	PREVOD NA UCET	2277	62674	SIPO	YZ	44794058
228674	776	1998-09-09	VYDAJ	PREVOD NA UCET	2277	60167	SIPO	YZ	44794058
228675	776	1998-10-09	VYDAJ	PREVOD NA UCET	2277	61551	SIPO	YZ	44794058
228676	776	1998-11-09	VYDAJ	PREVOD NA UCET	2277	57537	SIPO	YZ	44794058
228677	776	1998-12-09	VYDAJ	PREVOD NA UCET	2277	62692	SIPO	YZ	44794058
228687	776	1996-10-10	VYDAJ	PREVOD NA UCET	1036	67856	 	MN	45458602
228688	776	1996-11-10	VYDAJ	PREVOD NA UCET	1036	66033	 	MN	45458602
228689	776	1996-12-10	VYDAJ	PREVOD NA UCET	1036	73631	 	MN	45458602
228690	776	1997-01-10	VYDAJ	PREVOD NA UCET	1036	58223	 	MN	45458602
228691	776	1997-02-10	VYDAJ	PREVOD NA UCET	1036	46486	 	MN	45458602
228692	776	1997-03-10	VYDAJ	PREVOD NA UCET	1036	55902	 	MN	45458602
228693	776	1997-04-10	VYDAJ	PREVOD NA UCET	1036	61247	 	MN	45458602
228694	776	1997-05-10	VYDAJ	PREVOD NA UCET	1036	65410	 	MN	45458602
228695	776	1997-06-10	VYDAJ	PREVOD NA UCET	1036	76310	 	MN	45458602
228696	776	1997-07-10	VYDAJ	PREVOD NA UCET	1036	49156	 	MN	45458602
228697	776	1997-08-10	VYDAJ	PREVOD NA UCET	1036	63799	 	MN	45458602
228698	776	1997-09-10	VYDAJ	PREVOD NA UCET	1036	61540	 	MN	45458602
228699	776	1997-10-10	VYDAJ	PREVOD NA UCET	1036	62492	 	MN	45458602
228700	776	1997-11-10	VYDAJ	PREVOD NA UCET	1036	70730	 	MN	45458602
228701	776	1997-12-10	VYDAJ	PREVOD NA UCET	1036	85065	 	MN	45458602
228702	776	1998-01-10	VYDAJ	PREVOD NA UCET	1036	76848	 	MN	45458602
228703	776	1998-02-10	VYDAJ	PREVOD NA UCET	1036	68041	 	MN	45458602
228704	776	1998-03-10	VYDAJ	PREVOD NA UCET	1036	76962	 	MN	45458602
228705	776	1998-04-10	VYDAJ	PREVOD NA UCET	1036	83226	 	MN	45458602
228706	776	1998-05-10	VYDAJ	PREVOD NA UCET	1036	85121	 	MN	45458602
228707	776	1998-06-10	VYDAJ	PREVOD NA UCET	1036	78029	 	MN	45458602
228708	776	1998-07-10	VYDAJ	PREVOD NA UCET	1036	80906	 	MN	45458602
228709	776	1998-08-10	VYDAJ	PREVOD NA UCET	1036	81094	 	MN	45458602
228710	776	1998-09-10	VYDAJ	PREVOD NA UCET	1036	78587	 	MN	45458602
228711	776	1998-10-10	VYDAJ	PREVOD NA UCET	1036	79971	 	MN	45458602
228712	776	1998-11-10	VYDAJ	PREVOD NA UCET	1036	75957	 	MN	45458602
228713	776	1998-12-10	VYDAJ	PREVOD NA UCET	1036	90840	 	MN	45458602
228723	776	1996-10-12	VYDAJ	PREVOD NA UCET	170	67686	POJISTNE	IJ	79007082
228724	776	1996-11-12	VYDAJ	PREVOD NA UCET	170	65863	POJISTNE	IJ	79007082
228725	776	1996-12-12	VYDAJ	PREVOD NA UCET	170	73461	POJISTNE	IJ	79007082
228726	776	1997-01-12	VYDAJ	PREVOD NA UCET	170	52293	POJISTNE	IJ	79007082
228727	776	1997-02-12	VYDAJ	PREVOD NA UCET	170	39616	POJISTNE	IJ	79007082
228728	776	1997-03-12	VYDAJ	PREVOD NA UCET	170	55732	POJISTNE	IJ	79007082
228729	776	1997-04-12	VYDAJ	PREVOD NA UCET	170	61077	POJISTNE	IJ	79007082
228730	776	1997-05-12	VYDAJ	PREVOD NA UCET	170	65240	POJISTNE	IJ	79007082
228731	776	1997-06-12	VYDAJ	PREVOD NA UCET	170	76140	POJISTNE	IJ	79007082
228732	776	1997-07-12	VYDAJ	PREVOD NA UCET	170	48986	POJISTNE	IJ	79007082
228733	776	1997-08-12	VYDAJ	PREVOD NA UCET	170	57729	POJISTNE	IJ	79007082
228734	776	1997-09-12	VYDAJ	PREVOD NA UCET	170	57170	POJISTNE	IJ	79007082
228735	776	1997-10-12	VYDAJ	PREVOD NA UCET	170	62322	POJISTNE	IJ	79007082
228736	776	1997-11-12	VYDAJ	PREVOD NA UCET	170	70560	POJISTNE	IJ	79007082
228737	776	1997-12-12	VYDAJ	PREVOD NA UCET	170	84895	POJISTNE	IJ	79007082
228738	776	1998-01-12	VYDAJ	PREVOD NA UCET	170	75598	POJISTNE	IJ	79007082
228739	776	1998-02-12	VYDAJ	PREVOD NA UCET	170	67871	POJISTNE	IJ	79007082
228740	776	1998-03-12	VYDAJ	PREVOD NA UCET	170	76792	POJISTNE	IJ	79007082
228741	776	1998-04-12	VYDAJ	PREVOD NA UCET	170	83056	POJISTNE	IJ	79007082
228742	776	1998-05-12	VYDAJ	PREVOD NA UCET	170	84951	POJISTNE	IJ	79007082
228743	776	1998-06-12	VYDAJ	PREVOD NA UCET	170	77859	POJISTNE	IJ	79007082
228744	776	1998-07-12	VYDAJ	PREVOD NA UCET	170	80736	POJISTNE	IJ	79007082
228745	776	1998-08-12	VYDAJ	PREVOD NA UCET	170	80924	POJISTNE	IJ	79007082
228746	776	1998-09-12	VYDAJ	PREVOD NA UCET	170	78417	POJISTNE	IJ	79007082
228747	776	1998-10-12	VYDAJ	PREVOD NA UCET	170	79801	POJISTNE	IJ	79007082
228748	776	1998-11-12	VYDAJ	PREVOD NA UCET	170	75787	POJISTNE	IJ	79007082
228749	776	1998-12-12	VYDAJ	PREVOD NA UCET	170	90670	POJISTNE	IJ	79007082
228751	776	1997-06-21	VYDAJ	VYBER	26400	34740	\N	\N	\N
228752	776	1998-06-07	VYDAJ	VYBER	20960	60958	\N	\N	\N
228754	776	1997-01-20	VYDAJ	VYBER	6400	33433	\N	\N	\N
228755	776	1998-01-27	VYDAJ	VYBER	14240	56318	\N	\N	\N
228756	776	1996-12-13	VYDAJ	VYBER	800	72661	\N	\N	\N
228757	776	1997-12-25	VYDAJ	VYBER	3520	81375	\N	\N	\N
228758	776	1998-12-18	VYDAJ	VYBER KARTOU	1000	89670	\N	\N	0
228765	776	1997-01-12	VYDAJ	VYBER	960	51333	\N	\N	\N
228766	776	1997-01-03	VYDAJ	VYBER	600	46160	\N	\N	\N
228767	776	1997-01-23	VYDAJ	VYBER	1200	32233	\N	\N	\N
228768	776	1997-01-04	VYDAJ	VYBER	1560	44600	\N	\N	\N
228769	776	1997-01-05	VYDAJ	VYBER	2520	42080	\N	\N	\N
228770	776	1997-01-01	VYDAJ	VYBER	840	46760	\N	\N	\N
228771	776	1998-01-02	VYDAJ	VYBER	2040	79645	\N	\N	\N
228772	776	1998-01-24	VYDAJ	VYBER	1680	70558	\N	\N	\N
228773	776	1998-01-04	VYDAJ	VYBER	2640	77005	\N	\N	\N
228774	776	1998-01-12	VYDAJ	VYBER	1080	75768	\N	\N	\N
228775	776	1998-01-16	VYDAJ	VYBER	840	72238	\N	\N	\N
228776	776	1998-01-14	VYDAJ	VYBER	2520	73078	\N	\N	\N
228780	776	1996-12-16	VYDAJ	VYBER	5160	47401	\N	\N	\N
228782	776	1997-09-11	VYDAJ	VYBER	4200	57340	\N	\N	\N
228783	776	1997-06-24	VYDAJ	VYBER	1920	32820	\N	\N	\N
228784	776	1997-10-24	VYDAJ	VYBER	2040	55362	\N	\N	\N
228785	776	1997-08-21	VYDAJ	VYBER	3840	53889	\N	\N	\N
228786	776	1997-11-22	VYDAJ	VYBER	5520	65040	\N	\N	\N
228787	776	1997-09-29	VYDAJ	VYBER	4440	52730	\N	\N	\N
228788	776	1997-02-09	VYDAJ	VYBER	2040	30343	\N	\N	\N
228789	776	1997-01-11	VYDAJ	VYBER	5760	52463	\N	\N	\N
228790	776	1997-10-22	VYDAJ	VYBER	4920	57402	\N	\N	\N
228791	776	1998-02-13	VYDAJ	VYBER	1800	66071	\N	\N	\N
228792	776	1998-11-13	VYDAJ	VYBER KARTOU	2500	73287	\N	\N	0
228793	776	1998-05-13	VYDAJ	VYBER	3360	81591	\N	\N	\N
228794	776	1998-11-01	VYDAJ	VYBER KARTOU	4000	76114	\N	\N	0
228805	776	1996-10-31	VYDAJ	VYBER	15	49890	SLUZBY	\N	\N
228806	776	1996-11-30	VYDAJ	VYBER	15	47760	SLUZBY	\N	\N
228807	776	1996-12-31	VYDAJ	VYBER	15	47600	SLUZBY	\N	\N
228808	776	1997-01-31	VYDAJ	VYBER	15	32383	SLUZBY	\N	\N
228809	776	1997-02-28	VYDAJ	VYBER	15	39759	SLUZBY	\N	\N
228810	776	1997-03-31	VYDAJ	VYBER	15	45104	SLUZBY	\N	\N
228811	776	1997-04-30	VYDAJ	VYBER	15	49267	SLUZBY	\N	\N
228812	776	1997-05-31	VYDAJ	VYBER	15	50439	SLUZBY	\N	\N
228813	776	1997-06-30	VYDAJ	VYBER	15	33013	SLUZBY	\N	\N
228814	776	1997-07-31	VYDAJ	VYBER	15	47656	SLUZBY	\N	\N
228815	776	1997-08-31	VYDAJ	VYBER	15	54097	SLUZBY	\N	\N
228816	776	1997-09-30	VYDAJ	VYBER	15	52949	SLUZBY	\N	\N
228817	776	1997-10-31	VYDAJ	VYBER	15	55587	SLUZBY	\N	\N
228818	776	1997-11-30	VYDAJ	VYBER	15	65294	SLUZBY	\N	\N
228819	776	1997-12-31	VYDAJ	VYBER	15	81685	SLUZBY	\N	\N
228820	776	1998-01-31	VYDAJ	VYBER	15	56598	SLUZBY	\N	\N
228821	776	1998-02-28	VYDAJ	VYBER	15	66319	SLUZBY	\N	\N
228822	776	1998-03-31	VYDAJ	VYBER	15	77083	SLUZBY	\N	\N
228823	776	1998-04-30	VYDAJ	VYBER	15	83378	SLUZBY	\N	\N
228824	776	1998-05-31	VYDAJ	VYBER	15	81918	SLUZBY	\N	\N
228825	776	1998-06-30	VYDAJ	VYBER	15	78163	SLUZBY	\N	\N
228826	776	1998-07-31	VYDAJ	VYBER	15	81051	SLUZBY	\N	\N
228827	776	1998-08-31	VYDAJ	VYBER	15	81244	SLUZBY	\N	\N
228828	776	1998-09-30	VYDAJ	VYBER	15	78728	SLUZBY	\N	\N
228829	776	1998-10-31	VYDAJ	VYBER	15	80114	SLUZBY	\N	\N
228830	776	1998-11-30	VYDAJ	VYBER	15	73569	SLUZBY	\N	\N
228831	776	1996-06-17	VYDAJ	VYBER	200	29684	\N	\N	\N
228832	776	1996-07-17	VYDAJ	VYBER	8200	40998	\N	\N	\N
228833	776	1996-08-16	VYDAJ	VYBER	14800	45800	\N	\N	\N
228834	776	1996-09-15	VYDAJ	VYBER	16200	49237	\N	\N	\N
228835	776	1996-10-15	VYDAJ	VYBER	18000	49686	\N	\N	\N
228836	776	1996-11-14	VYDAJ	VYBER	18300	47563	\N	\N	\N
228837	776	1996-12-14	VYDAJ	VYBER	20100	52561	\N	\N	\N
228838	776	1997-01-13	VYDAJ	VYBER	11500	39833	\N	\N	\N
228839	776	1997-02-12	VYDAJ	VYBER	6700	39786	\N	\N	\N
228840	776	1997-03-14	VYDAJ	VYBER	10800	44932	\N	\N	\N
228841	776	1997-04-13	VYDAJ	VYBER	12000	49077	\N	\N	\N
228842	776	1997-05-13	VYDAJ	VYBER	15000	50240	\N	\N	\N
228843	776	1997-06-12	VYDAJ	VYBER	15000	61140	\N	\N	\N
228844	776	1997-07-12	VYDAJ	VYBER	1500	47486	\N	\N	\N
228845	776	1997-08-11	VYDAJ	VYBER	5900	57899	\N	\N	\N
228846	776	1997-09-10	VYDAJ	VYBER	8700	62576	\N	\N	\N
228847	776	1997-10-10	VYDAJ	VYBER	6600	63528	\N	\N	\N
228848	776	1997-11-09	VYDAJ	VYBER	1000	52310	\N	\N	\N
228849	776	1997-12-09	VYDAJ	VYBER	6100	59194	\N	\N	\N
228850	776	1998-01-08	VYDAJ	VYBER	16300	60705	\N	\N	\N
228851	776	1998-02-07	VYDAJ	VYBER	4700	51898	\N	\N	\N
228852	776	1998-03-09	VYDAJ	VYBER	5500	58542	\N	\N	\N
228853	776	1998-04-08	VYDAJ	VYBER	10000	67083	\N	\N	\N
228854	776	1998-05-08	VYDAJ	VYBER	14400	68978	\N	\N	\N
228855	776	1998-06-07	VYDAJ	VYBER	8800	52158	\N	\N	\N
228856	776	1998-07-07	VYDAJ	VYBER	13400	64763	\N	\N	\N
228857	776	1998-08-06	VYDAJ	VYBER	16100	64951	\N	\N	\N
228858	776	1998-09-05	VYDAJ	VYBER	18800	62444	\N	\N	\N
228859	776	1998-10-05	VYDAJ	VYBER	14900	63828	\N	\N	\N
228860	776	1998-11-04	VYDAJ	VYBER	16300	59814	\N	\N	\N
228861	776	1998-12-04	VYDAJ	VYBER	8600	64969	\N	\N	\N
228893	777	1997-12-28	PRIJEM	VKLAD	300	300	\N	\N	\N
228904	777	1998-08-08	PRIJEM	VKLAD	48134	119800	\N	\N	\N
228905	777	1998-06-05	PRIJEM	VKLAD	16986	29244	\N	\N	\N
228906	777	1998-03-11	PRIJEM	VKLAD	35272	114187	\N	\N	\N
228907	777	1998-08-25	PRIJEM	VKLAD	29923	78823	\N	\N	\N
228908	777	1998-06-24	PRIJEM	VKLAD	49952	79196	\N	\N	\N
228909	777	1998-10-17	PRIJEM	VKLAD	11242	121838	\N	\N	\N
228910	777	1998-10-12	PRIJEM	VKLAD	9635	102733	\N	\N	\N
228911	777	1998-04-30	PRIJEM	VKLAD	33729	83260	\N	\N	\N
228912	777	1998-11-11	PRIJEM	VKLAD	35032	101008	\N	\N	\N
228913	777	1998-10-02	PRIJEM	VKLAD	19396	93098	\N	\N	\N
228914	777	1998-12-14	PRIJEM	VKLAD	14865	70241	\N	\N	\N
228915	777	1998-10-13	PRIJEM	VKLAD	7367	110100	\N	\N	\N
228916	777	1998-01-08	PRIJEM	VKLAD	36885	70574	\N	\N	\N
228917	777	1998-09-12	PRIJEM	VKLAD	28023	82512	\N	\N	\N
228918	777	1998-04-07	PRIJEM	VKLAD	20135	65665	\N	\N	\N
228919	777	1998-01-05	PRIJEM	VKLAD	33389	33689	\N	\N	\N
228920	777	1998-11-30	PRIJEM	VKLAD	33470	108178	\N	\N	\N
228921	777	1998-05-07	PRIJEM	VKLAD	18777	102022	\N	\N	\N
228922	777	1998-03-23	PRIJEM	VKLAD	40319	136506	\N	\N	\N
228923	777	1998-08-03	PRIJEM	VKLAD	20674	71666	\N	\N	\N
228924	777	1998-09-23	PRIJEM	VKLAD	14702	97214	\N	\N	\N
228925	777	1998-04-04	PRIJEM	VKLAD	35887	109730	\N	\N	\N
228926	777	1998-10-15	PRIJEM	VKLAD	23496	133596	\N	\N	\N
228927	777	1998-03-02	PRIJEM	VKLAD	41929	78915	\N	\N	\N
228943	777	1998-04-06	VYDAJ	VYBER	6000	45530	\N	\N	0
228944	777	1998-05-19	VYDAJ	VYBER	5900	89522	\N	\N	0
228945	777	1998-06-04	VYDAJ	VYBER	7200	12258	\N	\N	0
228946	777	1998-07-07	VYDAJ	VYBER	8100	55153	\N	\N	0
228947	777	1998-08-13	VYDAJ	VYBER	9400	51000	\N	\N	0
228948	777	1998-09-04	VYDAJ	VYBER	5500	54489	\N	\N	0
228949	777	1998-10-18	VYDAJ	VYBER	5400	96138	\N	\N	0
228950	777	1998-11-06	VYDAJ	VYBER	6100	65976	\N	\N	0
228951	777	1998-12-05	VYDAJ	VYBER	8000	57776	\N	\N	0
228964	777	1998-11-30	VYBER	VYBER	23636	84891	\N	\N	\N
228966	777	1998-06-02	VYDAJ	VYBER	46500	19458	\N	\N	\N
228970	777	1998-12-11	VYDAJ	VYBER	2400	55376	\N	\N	\N
228990	777	1998-08-16	VYDAJ	VYBER	2100	48900	\N	\N	\N
228991	777	1998-11-14	VYDAJ	VYBER	3900	97108	\N	\N	\N
228992	777	1998-05-14	VYDAJ	VYBER	6600	95422	\N	\N	\N
229008	777	1998-03-31	VYDAJ	VYBER	15	73843	SLUZBY	\N	\N
229009	777	1998-04-30	VYDAJ	VYBER	15	83245	SLUZBY	\N	\N
229010	777	1998-05-31	VYDAJ	VYBER	15	65958	SLUZBY	\N	\N
229011	777	1998-06-30	VYDAJ	VYBER	15	63253	SLUZBY	\N	\N
229012	777	1998-07-31	VYDAJ	VYBER	15	50992	SLUZBY	\N	\N
229013	777	1998-08-31	VYDAJ	VYBER	15	59989	SLUZBY	\N	\N
229014	777	1998-09-30	VYDAJ	VYBER	15	73702	SLUZBY	\N	\N
229015	777	1998-10-31	VYDAJ	VYBER	15	72076	SLUZBY	\N	\N
229016	777	1998-11-30	VYDAJ	VYBER	15	84876	SLUZBY	\N	\N
229017	777	1998-01-27	VYDAJ	VYBER	22600	47974	\N	\N	\N
229018	777	1998-02-26	VYDAJ	VYBER	11400	36787	\N	\N	\N
229019	777	1998-03-11	VYDAJ	VYBER	18000	96187	\N	\N	\N
229020	777	1998-03-23	VYDAJ	VYBER	24900	111606	\N	\N	\N
229021	777	1998-03-28	VYDAJ	VYBER	38100	73506	\N	\N	\N
229022	777	1998-04-04	VYDAJ	VYBER	58200	51530	\N	\N	\N
229023	777	1998-04-27	VYDAJ	VYBER	16400	49265	\N	\N	\N
229024	777	1998-05-27	VYDAJ	VYBER	23900	65622	\N	\N	\N
229025	777	1998-06-26	VYDAJ	VYBER	16100	63096	\N	\N	\N
229026	777	1998-07-26	VYDAJ	VYBER	4400	50753	\N	\N	\N
229027	777	1998-08-08	VYDAJ	VYBER	59400	60400	\N	\N	\N
229028	777	1998-08-25	VYDAJ	VYBER	19100	59723	\N	\N	\N
229029	777	1998-09-24	VYDAJ	VYBER	23800	73414	\N	\N	\N
229030	777	1998-10-15	VYDAJ	VYBER	23000	110596	\N	\N	\N
229031	777	1998-10-17	VYDAJ	VYBER	20300	101538	\N	\N	\N
229032	777	1998-10-24	VYDAJ	VYBER	24400	71738	\N	\N	\N
229033	777	1998-11-23	VYDAJ	VYBER	22400	74708	\N	\N	\N
229034	777	1998-11-30	VYDAJ	VYBER	19100	65776	\N	\N	\N
229047	778	1996-10-26	PRIJEM	VKLAD	600	600	\N	\N	\N
229105	778	1996-11-25	PRIJEM	VKLAD	14100	14700	\N	\N	\N
229106	778	1996-12-25	PRIJEM	VKLAD	7700	22400	\N	\N	\N
229107	778	1997-01-24	PRIJEM	VKLAD	5600	28000	\N	\N	\N
229108	778	1997-02-23	PRIJEM	VKLAD	200	28200	\N	\N	\N
229109	778	1997-03-25	PRIJEM	VKLAD	100	28300	\N	\N	\N
229110	778	1997-04-24	PRIJEM	VKLAD	1400	29700	\N	\N	\N
229111	778	1997-05-24	VYDAJ	VYBER	3500	26200	\N	\N	\N
229112	778	1997-06-23	PRIJEM	VKLAD	2100	28300	\N	\N	\N
229113	778	1997-07-23	VYDAJ	VYBER	1700	26600	\N	\N	\N
229114	778	1997-08-22	VYDAJ	VYBER	800	25800	\N	\N	\N
229115	778	1997-09-21	PRIJEM	VKLAD	300	26100	\N	\N	\N
229116	778	1997-10-21	VYDAJ	VYBER	200	25900	\N	\N	\N
229117	778	1997-11-20	PRIJEM	VKLAD	5300	31200	\N	\N	\N
229118	778	1997-12-20	VYDAJ	VYBER	1800	29400	\N	\N	\N
229119	778	1998-01-19	PRIJEM	VKLAD	500	29900	\N	\N	\N
229120	778	1998-02-18	VYDAJ	VYBER	1400	28500	\N	\N	\N
229121	778	1998-03-20	PRIJEM	VKLAD	3500	32000	\N	\N	\N
229122	778	1998-04-19	PRIJEM	VKLAD	400	32400	\N	\N	\N
229123	778	1998-05-19	VYDAJ	VYBER	6000	26400	\N	\N	\N
229124	778	1998-06-18	VYDAJ	VYBER	4300	22100	\N	\N	\N
229125	778	1998-07-18	PRIJEM	VKLAD	2800	24900	\N	\N	\N
229126	778	1998-08-17	VYDAJ	VYBER	700	24200	\N	\N	\N
229127	778	1998-09-16	PRIJEM	VKLAD	800	25000	\N	\N	\N
229128	778	1998-10-16	PRIJEM	VKLAD	4100	29100	\N	\N	\N
229129	778	1998-11-15	PRIJEM	VKLAD	3400	32500	\N	\N	\N
229130	778	1998-12-15	PRIJEM	VKLAD	4500	37000	\N	\N	\N
229131	779	1996-08-13	PRIJEM	VKLAD	300	300	\N	\N	\N
229140	779	1996-09-05	PRIJEM	VKLAD	15684	15984	\N	\N	\N
229141	779	1996-10-05	PRIJEM	VKLAD	15684	37024	\N	\N	\N
229142	779	1996-11-05	PRIJEM	VKLAD	15684	44617	\N	\N	\N
229143	779	1996-12-05	PRIJEM	VKLAD	23526	58981	\N	\N	\N
229144	779	1997-01-05	PRIJEM	VKLAD	15684	56628	\N	\N	\N
229145	779	1997-02-05	PRIJEM	VKLAD	15684	47657	\N	\N	\N
229146	779	1997-03-05	PRIJEM	VKLAD	15684	53276	\N	\N	\N
229147	779	1997-04-05	PRIJEM	VKLAD	15684	50092	\N	\N	\N
229148	779	1997-05-05	PRIJEM	VKLAD	15684	50105	\N	\N	\N
229149	779	1997-06-05	PRIJEM	VKLAD	23526	59263	\N	\N	\N
229150	779	1997-07-05	PRIJEM	VKLAD	15684	51180	\N	\N	\N
229151	779	1997-08-05	PRIJEM	VKLAD	15684	43361	\N	\N	\N
229152	779	1997-09-05	PRIJEM	VKLAD	15684	40134	\N	\N	\N
229153	779	1997-10-05	PRIJEM	VKLAD	15684	37517	\N	\N	\N
229154	779	1997-11-05	PRIJEM	VKLAD	15684	41691	\N	\N	\N
229155	779	1997-12-05	PRIJEM	VKLAD	23526	49811	\N	\N	\N
229156	779	1998-01-05	PRIJEM	VKLAD	15684	44650	\N	\N	\N
229157	779	1998-02-05	PRIJEM	VKLAD	15684	28067	\N	\N	\N
229158	779	1998-03-05	PRIJEM	VKLAD	15684	43847	\N	\N	\N
229159	779	1998-04-05	PRIJEM	VKLAD	15684	41424	\N	\N	\N
229160	779	1998-05-05	PRIJEM	VKLAD	15684	36734	\N	\N	\N
229161	779	1998-06-05	PRIJEM	VKLAD	23526	30279	\N	\N	\N
229162	779	1998-07-05	PRIJEM	VKLAD	15684	30967	\N	\N	\N
229163	779	1998-08-05	PRIJEM	VKLAD	15684	31364	\N	\N	\N
229164	779	1998-09-05	PRIJEM	VKLAD	15684	32364	\N	\N	\N
229165	779	1998-10-05	PRIJEM	VKLAD	15684	32581	\N	\N	\N
229166	779	1998-11-05	PRIJEM	VKLAD	15684	29584	\N	\N	\N
229167	779	1998-12-05	PRIJEM	VKLAD	23526	36662	\N	\N	\N
229169	779	1997-12-18	VYDAJ	VYBER	1440	31371	\N	\N	\N
229170	779	1998-12-22	VYDAJ	VYBER	3200	33462	\N	\N	\N
229177	779	1997-01-23	VYDAJ	VYBER	2640	36148	\N	\N	\N
229178	779	1997-01-29	VYDAJ	VYBER	2640	31828	\N	\N	\N
229180	779	1997-01-14	VYDAJ	VYBER	720	40708	\N	\N	\N
229181	779	1997-01-14	VYDAJ	VYBER	1920	38788	\N	\N	\N
229182	779	1997-01-25	VYDAJ	VYBER	1680	34468	\N	\N	\N
229183	779	1998-01-01	VYDAJ	VYBER	1680	29806	\N	\N	\N
229184	779	1998-01-06	VYDAJ	VYBER	720	23530	\N	\N	\N
229185	779	1998-01-11	VYDAJ	VYBER	1920	21610	\N	\N	\N
229186	779	1998-01-22	VYDAJ	VYBER	1560	16810	\N	\N	\N
229187	779	1998-01-02	VYDAJ	VYBER	840	28966	\N	\N	\N
229188	779	1998-01-12	VYDAJ	VYBER	3240	18370	\N	\N	\N
229191	779	1997-09-11	VYDAJ	VYBER	1080	21754	\N	\N	\N
229192	779	1997-07-06	VYDAJ	VYBER	3240	47940	\N	\N	\N
229193	779	1997-07-27	VYDAJ	VYBER	1080	27560	\N	\N	\N
229194	779	1998-04-19	VYDAJ	VYBER	5760	20964	\N	\N	\N
229195	779	1998-09-19	VYDAJ	VYBER	3480	28884	\N	\N	\N
229196	779	1998-11-09	VYDAJ	VYBER	3000	26584	\N	\N	\N
229197	779	1998-11-13	VYDAJ	VYBER	3240	23344	\N	\N	\N
229198	779	1998-05-10	VYDAJ	VYBER	3840	16494	\N	\N	\N
229212	779	1997-01-31	VYDAJ	VYBER	15	31973	SLUZBY	\N	\N
229213	779	1997-02-28	VYDAJ	VYBER	15	37592	SLUZBY	\N	\N
229214	779	1997-03-31	VYDAJ	VYBER	15	34408	SLUZBY	\N	\N
229215	779	1997-04-30	VYDAJ	VYBER	15	34421	SLUZBY	\N	\N
229216	779	1997-05-31	VYDAJ	VYBER	15	35737	SLUZBY	\N	\N
229217	779	1997-06-30	VYDAJ	VYBER	15	35496	SLUZBY	\N	\N
229218	779	1997-07-31	VYDAJ	VYBER	15	27677	SLUZBY	\N	\N
229219	779	1997-08-31	VYDAJ	VYBER	15	24450	SLUZBY	\N	\N
229220	779	1997-09-30	VYDAJ	VYBER	15	21833	SLUZBY	\N	\N
229221	779	1997-10-31	VYDAJ	VYBER	15	26007	SLUZBY	\N	\N
229222	779	1997-11-30	VYDAJ	VYBER	15	26285	SLUZBY	\N	\N
229223	779	1997-12-31	VYDAJ	VYBER	15	31486	SLUZBY	\N	\N
229224	779	1998-01-31	VYDAJ	VYBER	15	16883	SLUZBY	\N	\N
229225	779	1998-02-28	VYDAJ	VYBER	15	28163	SLUZBY	\N	\N
229226	779	1998-03-31	VYDAJ	VYBER	15	25740	SLUZBY	\N	\N
229227	779	1998-04-30	VYDAJ	VYBER	15	21050	SLUZBY	\N	\N
229228	779	1998-05-31	VYDAJ	VYBER	15	16553	SLUZBY	\N	\N
229229	779	1998-06-30	VYDAJ	VYBER	15	30383	SLUZBY	\N	\N
229230	779	1998-07-31	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
229231	779	1998-08-31	VYDAJ	VYBER	15	31480	SLUZBY	\N	\N
229232	779	1998-09-30	VYDAJ	VYBER	15	28997	SLUZBY	\N	\N
229233	779	1998-10-31	VYDAJ	VYBER	15	32700	SLUZBY	\N	\N
229234	779	1998-11-30	VYDAJ	VYBER	15	23436	SLUZBY	\N	\N
229235	779	1996-09-12	PRIJEM	VKLAD	5300	21284	\N	\N	\N
229236	779	1996-10-12	VYDAJ	VYBER	8200	28824	\N	\N	\N
229237	779	1996-11-11	VYDAJ	VYBER	9300	35317	\N	\N	\N
229238	779	1996-12-11	VYDAJ	VYBER	18200	40781	\N	\N	\N
229239	779	1997-01-10	VYDAJ	VYBER	15200	41428	\N	\N	\N
229240	779	1997-02-09	VYDAJ	VYBER	10200	37457	\N	\N	\N
229241	779	1997-03-11	VYDAJ	VYBER	19000	34276	\N	\N	\N
229242	779	1997-04-10	VYDAJ	VYBER	15800	34292	\N	\N	\N
229243	779	1997-05-10	VYDAJ	VYBER	14500	35605	\N	\N	\N
229244	779	1997-06-09	VYDAJ	VYBER	23900	35363	\N	\N	\N
229245	779	1997-07-09	VYDAJ	VYBER	19300	28640	\N	\N	\N
229246	779	1997-08-08	VYDAJ	VYBER	19000	24361	\N	\N	\N
229247	779	1997-09-07	VYDAJ	VYBER	17300	22834	\N	\N	\N
229248	779	1997-10-07	VYDAJ	VYBER	11600	25917	\N	\N	\N
229249	779	1997-11-06	VYDAJ	VYBER	15500	26191	\N	\N	\N
229250	779	1997-12-06	VYDAJ	VYBER	17000	32811	\N	\N	\N
229251	779	1998-01-05	VYDAJ	VYBER	20400	24250	\N	\N	\N
229252	779	1998-02-04	VYDAJ	VYBER	4500	12383	\N	\N	\N
229253	779	1998-03-06	VYDAJ	VYBER	18200	25647	\N	\N	\N
229254	779	1998-04-05	VYDAJ	VYBER	14700	26724	\N	\N	\N
229255	779	1998-05-05	VYDAJ	VYBER	16400	20334	\N	\N	\N
229256	779	1998-06-04	VYDAJ	VYBER	9800	6753	\N	\N	\N
229257	779	1998-07-04	VYDAJ	VYBER	15100	15283	\N	\N	\N
229258	779	1998-08-03	VYDAJ	VYBER	15400	15680	\N	\N	\N
229259	779	1998-09-02	VYDAJ	VYBER	14800	16680	\N	\N	\N
229260	779	1998-10-02	VYDAJ	VYBER	12100	16897	\N	\N	\N
229261	779	1998-11-01	VYDAJ	VYBER	18800	13900	\N	\N	\N
229262	779	1998-12-01	VYDAJ	VYBER	10300	13136	\N	\N	\N
229291	780	1996-04-26	PRIJEM	VKLAD	600	600	\N	\N	\N
229296	780	1996-05-14	PRIJEM	VKLAD	20219	20819	\N	\N	\N
229297	780	1996-06-14	PRIJEM	VKLAD	30328	56468	\N	\N	\N
229298	780	1996-07-14	PRIJEM	VKLAD	20219	59607	\N	\N	\N
229299	780	1996-08-14	PRIJEM	VKLAD	20219	63693	\N	\N	\N
229300	780	1996-09-14	PRIJEM	VKLAD	20219	64794	\N	\N	\N
229301	780	1996-10-14	PRIJEM	VKLAD	20219	52262	\N	\N	\N
229302	780	1996-11-14	PRIJEM	VKLAD	20219	48001	\N	\N	\N
229303	780	1996-12-14	PRIJEM	VKLAD	30328	65160	\N	\N	\N
229304	780	1997-01-14	PRIJEM	VKLAD	20219	42108	\N	\N	\N
229305	780	1997-02-14	PRIJEM	VKLAD	20219	49465	\N	\N	\N
229306	780	1997-03-14	PRIJEM	VKLAD	20219	53419	\N	\N	\N
229307	780	1997-04-14	PRIJEM	VKLAD	20219	51680	\N	\N	\N
229308	780	1997-05-14	PRIJEM	VKLAD	20219	54076	\N	\N	\N
229309	780	1997-06-14	PRIJEM	VKLAD	30328	61345	\N	\N	\N
229310	780	1997-07-14	PRIJEM	VKLAD	20219	58215	\N	\N	\N
229311	780	1997-08-14	PRIJEM	VKLAD	20219	52285	\N	\N	\N
229312	780	1997-09-14	PRIJEM	VKLAD	20219	48753	\N	\N	\N
229313	780	1997-10-14	PRIJEM	VKLAD	20219	48689	\N	\N	\N
229314	780	1997-11-14	PRIJEM	VKLAD	20219	48725	\N	\N	\N
229315	780	1997-12-14	PRIJEM	VKLAD	30328	60171	\N	\N	\N
229316	780	1998-01-14	PRIJEM	VKLAD	20219	42637	\N	\N	\N
229317	780	1998-02-14	PRIJEM	VKLAD	20219	33781	\N	\N	\N
229318	780	1998-03-14	PRIJEM	VKLAD	20219	38158	\N	\N	\N
229319	780	1998-04-14	PRIJEM	VKLAD	20219	39451	\N	\N	\N
229320	780	1998-05-14	PRIJEM	VKLAD	20219	36723	\N	\N	\N
229321	780	1998-06-14	PRIJEM	VKLAD	30328	44409	\N	\N	\N
229322	780	1998-07-14	PRIJEM	VKLAD	20219	35711	\N	\N	\N
229323	780	1998-08-14	PRIJEM	VKLAD	20219	39696	\N	\N	\N
229324	780	1998-09-14	PRIJEM	VKLAD	20219	38119	\N	\N	\N
229325	780	1998-10-14	PRIJEM	VKLAD	20219	40468	\N	\N	\N
229326	780	1998-11-14	PRIJEM	VKLAD	20219	42609	\N	\N	\N
229327	780	1998-12-14	PRIJEM	VKLAD	30328	52070	\N	\N	\N
229337	780	1996-10-10	VYDAJ	PREVOD NA UCET	6220	32043	SIPO	UV	72554701
229338	780	1996-11-10	VYDAJ	PREVOD NA UCET	6220	27782	SIPO	UV	72554701
229339	780	1996-12-10	VYDAJ	PREVOD NA UCET	6220	34832	SIPO	UV	72554701
229340	780	1997-01-10	VYDAJ	PREVOD NA UCET	6220	25129	SIPO	UV	72554701
229341	780	1997-02-10	VYDAJ	PREVOD NA UCET	6220	29246	SIPO	UV	72554701
229342	780	1997-03-10	VYDAJ	PREVOD NA UCET	6220	33200	SIPO	UV	72554701
229343	780	1997-04-10	VYDAJ	PREVOD NA UCET	6220	31461	SIPO	UV	72554701
229344	780	1997-05-10	VYDAJ	PREVOD NA UCET	6220	33857	SIPO	UV	72554701
229345	780	1997-06-10	VYDAJ	PREVOD NA UCET	6220	31017	SIPO	UV	72554701
229346	780	1997-07-10	VYDAJ	PREVOD NA UCET	6220	37996	SIPO	UV	72554701
229347	780	1997-08-10	VYDAJ	PREVOD NA UCET	6220	32066	SIPO	UV	72554701
229348	780	1997-09-10	VYDAJ	PREVOD NA UCET	6220	28534	SIPO	UV	72554701
229349	780	1997-10-10	VYDAJ	PREVOD NA UCET	6220	28470	SIPO	UV	72554701
229350	780	1997-11-10	VYDAJ	PREVOD NA UCET	6220	28506	SIPO	UV	72554701
229351	780	1997-12-10	VYDAJ	PREVOD NA UCET	6220	29843	SIPO	UV	72554701
229352	780	1998-01-10	VYDAJ	PREVOD NA UCET	6220	24458	SIPO	UV	72554701
229353	780	1998-02-10	VYDAJ	PREVOD NA UCET	6220	13562	SIPO	UV	72554701
229354	780	1998-03-10	VYDAJ	PREVOD NA UCET	6220	17939	SIPO	UV	72554701
229355	780	1998-04-10	VYDAJ	PREVOD NA UCET	6220	19232	SIPO	UV	72554701
229356	780	1998-05-10	VYDAJ	PREVOD NA UCET	6220	16504	SIPO	UV	72554701
229357	780	1998-06-10	VYDAJ	PREVOD NA UCET	6220	14081	SIPO	UV	72554701
229358	780	1998-07-10	VYDAJ	PREVOD NA UCET	6220	16812	SIPO	UV	72554701
229359	780	1998-08-10	VYDAJ	PREVOD NA UCET	6220	19477	SIPO	UV	72554701
229360	780	1998-09-10	VYDAJ	PREVOD NA UCET	6220	25300	SIPO	UV	72554701
229361	780	1998-10-10	VYDAJ	PREVOD NA UCET	6220	26749	SIPO	UV	72554701
229362	780	1998-11-10	VYDAJ	PREVOD NA UCET	6220	34390	SIPO	UV	72554701
229363	780	1998-12-10	VYDAJ	PREVOD NA UCET	6220	36542	SIPO	UV	72554701
229370	780	1996-12-28	VYDAJ	VYBER	1440	45920	\N	\N	\N
229371	780	1997-12-29	VYDAJ	VYBER	1440	35931	\N	\N	\N
229372	780	1998-12-23	VYDAJ	VYBER	960	51110	\N	\N	\N
229379	780	1997-01-10	VYDAJ	VYBER	3240	21889	\N	\N	\N
229380	780	1997-01-24	VYDAJ	VYBER	3480	35328	\N	\N	\N
229381	780	1997-01-07	VYDAJ	VYBER	3240	33629	\N	\N	\N
229382	780	1997-01-02	VYDAJ	VYBER	2880	38069	\N	\N	\N
229383	780	1997-01-05	VYDAJ	VYBER	1200	36869	\N	\N	\N
229384	780	1997-01-10	VYDAJ	VYBER	2280	31349	\N	\N	\N
229385	780	1998-01-08	VYDAJ	VYBER	3000	33078	\N	\N	\N
229386	780	1998-01-09	VYDAJ	VYBER	2400	30678	\N	\N	\N
229387	780	1998-01-27	VYDAJ	VYBER	3480	22437	\N	\N	\N
229388	780	1998-01-28	VYDAJ	VYBER	2760	19677	\N	\N	\N
229389	780	1998-01-25	VYDAJ	VYBER	720	25917	\N	\N	\N
229390	780	1998-01-13	VYDAJ	VYBER	2040	22418	\N	\N	\N
229391	780	1996-10-30	VYDAJ	VYBER	2520	33842	\N	\N	\N
229392	780	1996-09-27	VYDAJ	VYBER	2160	41934	\N	\N	\N
229394	780	1996-12-28	VYDAJ	VYBER	5160	40760	\N	\N	\N
229395	780	1996-10-03	VYDAJ	VYBER	3840	38263	\N	\N	\N
229396	780	1997-03-02	VYDAJ	VYBER	3000	39420	\N	\N	\N
229397	780	1997-03-21	VYDAJ	VYBER	4200	49219	\N	\N	\N
229398	780	1997-08-23	VYDAJ	VYBER	2280	34605	\N	\N	\N
229399	780	1997-04-16	VYDAJ	VYBER	1560	50120	\N	\N	\N
229400	780	1998-10-06	VYDAJ	VYBER	5280	32969	\N	\N	\N
229401	780	1998-06-23	VYDAJ	VYBER	3960	22949	\N	\N	\N
229402	780	1998-04-27	VYDAJ	VYBER	3120	22631	\N	\N	\N
229403	780	1998-07-12	VYDAJ	VYBER	1320	15492	\N	\N	\N
229413	780	1996-09-30	VYDAJ	VYBER	15	42103	SLUZBY	\N	\N
229414	780	1996-10-31	VYDAJ	VYBER	15	34002	SLUZBY	\N	\N
229415	780	1996-11-30	VYDAJ	VYBER	15	41052	SLUZBY	\N	\N
229416	780	1996-12-31	VYDAJ	VYBER	15	40949	SLUZBY	\N	\N
229417	780	1997-01-31	VYDAJ	VYBER	15	35466	SLUZBY	\N	\N
229418	780	1997-02-28	VYDAJ	VYBER	15	42420	SLUZBY	\N	\N
229419	780	1997-03-31	VYDAJ	VYBER	15	37681	SLUZBY	\N	\N
229420	780	1997-04-30	VYDAJ	VYBER	15	40077	SLUZBY	\N	\N
229421	780	1997-05-31	VYDAJ	VYBER	15	37237	SLUZBY	\N	\N
229422	780	1997-06-30	VYDAJ	VYBER	15	44216	SLUZBY	\N	\N
229423	780	1997-07-31	VYDAJ	VYBER	15	38286	SLUZBY	\N	\N
229424	780	1997-08-31	VYDAJ	VYBER	15	34754	SLUZBY	\N	\N
229425	780	1997-09-30	VYDAJ	VYBER	15	34690	SLUZBY	\N	\N
229426	780	1997-10-31	VYDAJ	VYBER	15	34726	SLUZBY	\N	\N
229427	780	1997-11-30	VYDAJ	VYBER	15	36063	SLUZBY	\N	\N
229428	780	1997-12-31	VYDAJ	VYBER	15	36078	SLUZBY	\N	\N
229429	780	1998-01-31	VYDAJ	VYBER	15	19782	SLUZBY	\N	\N
229430	780	1998-02-28	VYDAJ	VYBER	15	24159	SLUZBY	\N	\N
229431	780	1998-03-31	VYDAJ	VYBER	15	25452	SLUZBY	\N	\N
229432	780	1998-04-30	VYDAJ	VYBER	15	22724	SLUZBY	\N	\N
229433	780	1998-05-31	VYDAJ	VYBER	15	20301	SLUZBY	\N	\N
229434	780	1998-06-30	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
229435	780	1998-07-31	VYDAJ	VYBER	15	25697	SLUZBY	\N	\N
229436	780	1998-08-31	VYDAJ	VYBER	15	31520	SLUZBY	\N	\N
229437	780	1998-09-30	VYDAJ	VYBER	15	38249	SLUZBY	\N	\N
229438	780	1998-10-31	VYDAJ	VYBER	15	40610	SLUZBY	\N	\N
229439	780	1998-11-30	VYDAJ	VYBER	15	42762	SLUZBY	\N	\N
229440	780	1996-05-26	PRIJEM	VKLAD	5300	26119	\N	\N	\N
229441	780	1996-06-25	VYDAJ	VYBER	17200	39268	\N	\N	\N
229442	780	1996-07-25	VYDAJ	VYBER	16300	43307	\N	\N	\N
229443	780	1996-08-24	VYDAJ	VYBER	19300	44393	\N	\N	\N
229444	780	1996-09-23	VYDAJ	VYBER	20700	44094	\N	\N	\N
229445	780	1996-10-23	VYDAJ	VYBER	15900	36362	\N	\N	\N
229446	780	1996-11-22	VYDAJ	VYBER	7100	40901	\N	\N	\N
229447	780	1996-12-22	VYDAJ	VYBER	17800	47360	\N	\N	\N
229448	780	1997-01-21	VYDAJ	VYBER	3300	38808	\N	\N	\N
229449	780	1997-02-20	VYDAJ	VYBER	7200	42265	\N	\N	\N
229450	780	1997-03-22	VYDAJ	VYBER	11700	37519	\N	\N	\N
229451	780	1997-04-21	VYDAJ	VYBER	10200	39920	\N	\N	\N
229452	780	1997-05-21	VYDAJ	VYBER	17000	37076	\N	\N	\N
229453	780	1997-06-20	VYDAJ	VYBER	17300	44045	\N	\N	\N
229454	780	1997-07-20	VYDAJ	VYBER	20100	38115	\N	\N	\N
229455	780	1997-08-19	VYDAJ	VYBER	15400	36885	\N	\N	\N
229456	780	1997-09-18	VYDAJ	VYBER	14200	34553	\N	\N	\N
229457	780	1997-10-18	VYDAJ	VYBER	14100	34589	\N	\N	\N
229458	780	1997-11-17	VYDAJ	VYBER	12800	35925	\N	\N	\N
229459	780	1997-12-17	VYDAJ	VYBER	22800	37371	\N	\N	\N
229460	780	1998-01-16	VYDAJ	VYBER	16000	26637	\N	\N	\N
229461	780	1998-02-15	VYDAJ	VYBER	9700	24081	\N	\N	\N
229462	780	1998-03-17	VYDAJ	VYBER	12800	25358	\N	\N	\N
229463	780	1998-04-16	VYDAJ	VYBER	13700	25751	\N	\N	\N
229464	780	1998-05-16	VYDAJ	VYBER	16500	20223	\N	\N	\N
229465	780	1998-06-15	VYDAJ	VYBER	17500	26909	\N	\N	\N
229466	780	1998-07-15	VYDAJ	VYBER	10100	25611	\N	\N	\N
229467	780	1998-08-14	VYDAJ	VYBER	8300	31396	\N	\N	\N
229468	780	1998-09-13	VYDAJ	VYBER	7400	17900	\N	\N	\N
229469	780	1998-10-13	VYDAJ	VYBER	6500	20249	\N	\N	\N
229470	780	1998-11-12	VYDAJ	VYBER	12000	22390	\N	\N	\N
229471	780	1998-12-12	VYDAJ	VYBER	14800	21742	\N	\N	\N
229504	781	1995-02-19	PRIJEM	VKLAD	700	700	\N	\N	\N
229507	781	1995-03-12	PRIJEM	PREVOD Z UCTU	3081	3781	\N	WX	56776386
229508	781	1995-04-12	PRIJEM	PREVOD Z UCTU	3081	6862	\N	WX	56776386
229509	781	1995-05-12	PRIJEM	PREVOD Z UCTU	3081	9943	\N	WX	56776386
229510	781	1995-06-12	PRIJEM	PREVOD Z UCTU	3081	13024	\N	WX	56776386
229511	781	1995-07-12	PRIJEM	PREVOD Z UCTU	3081	16105	\N	WX	56776386
229512	781	1995-08-12	PRIJEM	PREVOD Z UCTU	3081	15621	\N	WX	56776386
229513	781	1995-09-12	PRIJEM	PREVOD Z UCTU	3081	16689	\N	WX	56776386
229514	781	1995-10-12	PRIJEM	PREVOD Z UCTU	3081	17760	\N	WX	56776386
229515	781	1995-11-12	PRIJEM	PREVOD Z UCTU	3081	18686	\N	WX	56776386
229516	781	1995-12-12	PRIJEM	PREVOD Z UCTU	3081	19767	\N	WX	56776386
229517	781	1996-01-12	PRIJEM	PREVOD Z UCTU	3081	18358	\N	WX	56776386
229518	781	1996-02-12	PRIJEM	PREVOD Z UCTU	3081	16525	\N	WX	56776386
229519	781	1996-03-12	PRIJEM	PREVOD Z UCTU	3081	17596	\N	WX	56776386
229520	781	1996-04-12	PRIJEM	PREVOD Z UCTU	3081	18672	\N	WX	56776386
229521	781	1996-05-12	PRIJEM	PREVOD Z UCTU	3081	19361	\N	WX	56776386
229522	781	1996-06-12	PRIJEM	PREVOD Z UCTU	3081	20444	\N	WX	56776386
229523	781	1996-07-12	PRIJEM	PREVOD Z UCTU	3081	21336	\N	WX	56776386
229524	781	1996-08-12	PRIJEM	PREVOD Z UCTU	3081	22327	\N	WX	56776386
229525	781	1996-09-12	PRIJEM	PREVOD Z UCTU	3081	20117	\N	WX	56776386
229526	781	1996-10-12	PRIJEM	PREVOD Z UCTU	3081	17694	\N	WX	56776386
229527	781	1996-11-12	PRIJEM	PREVOD Z UCTU	3081	17672	\N	WX	56776386
229528	781	1996-12-12	PRIJEM	PREVOD Z UCTU	3081	17050	\N	WX	56776386
229529	781	1997-01-12	PRIJEM	PREVOD Z UCTU	3081	16025	\N	WX	56776386
229530	781	1997-02-12	PRIJEM	PREVOD Z UCTU	3081	16226	\N	WX	56776386
229621	781	1996-01-26	VYDAJ	VYBER	360	14654	\N	\N	\N
229531	781	1997-03-12	PRIJEM	PREVOD Z UCTU	3081	16183	\N	WX	56776386
229532	781	1997-04-12	PRIJEM	PREVOD Z UCTU	3081	16562	\N	WX	56776386
229533	781	1997-05-12	PRIJEM	PREVOD Z UCTU	3081	15334	\N	WX	56776386
229534	781	1997-06-12	PRIJEM	PREVOD Z UCTU	3081	16404	\N	WX	56776386
229535	781	1997-07-12	PRIJEM	PREVOD Z UCTU	3081	16313	\N	WX	56776386
229536	781	1997-08-12	PRIJEM	PREVOD Z UCTU	3081	15970	\N	WX	56776386
229537	781	1997-09-12	PRIJEM	PREVOD Z UCTU	3081	17039	\N	WX	56776386
229538	781	1997-10-12	PRIJEM	PREVOD Z UCTU	3081	17932	\N	WX	56776386
229539	781	1997-11-12	PRIJEM	PREVOD Z UCTU	3081	19009	\N	WX	56776386
229540	781	1997-12-12	PRIJEM	PREVOD Z UCTU	3081	19640	\N	WX	56776386
229541	781	1998-01-12	PRIJEM	PREVOD Z UCTU	3081	18524	\N	WX	56776386
229542	781	1998-02-12	PRIJEM	PREVOD Z UCTU	3081	16689	\N	WX	56776386
229543	781	1998-03-12	PRIJEM	PREVOD Z UCTU	3081	16160	\N	WX	56776386
229544	781	1998-04-12	PRIJEM	PREVOD Z UCTU	3081	17132	\N	WX	56776386
229545	781	1998-05-12	PRIJEM	PREVOD Z UCTU	3081	17606	\N	WX	56776386
229546	781	1998-06-12	PRIJEM	PREVOD Z UCTU	3081	18291	\N	WX	56776386
229547	781	1998-07-12	PRIJEM	PREVOD Z UCTU	3081	16869	\N	WX	56776386
229548	781	1998-08-12	PRIJEM	PREVOD Z UCTU	3081	16445	\N	WX	56776386
229549	781	1998-09-12	PRIJEM	PREVOD Z UCTU	3081	17517	\N	WX	56776386
229550	781	1998-10-12	PRIJEM	PREVOD Z UCTU	3081	17192	\N	WX	56776386
229551	781	1998-11-12	PRIJEM	PREVOD Z UCTU	3081	14967	\N	WX	56776386
229552	781	1998-12-12	PRIJEM	PREVOD Z UCTU	3081	16031	\N	WX	56776386
229559	781	1995-07-13	VYDAJ	PREVOD NA UCET	2054	14051	\N	UV	94061445
229560	781	1995-08-13	VYDAJ	PREVOD NA UCET	2054	13567	\N	UV	94061445
229561	781	1995-09-13	VYDAJ	PREVOD NA UCET	2054	14635	\N	UV	94061445
229562	781	1995-10-13	VYDAJ	PREVOD NA UCET	2054	15706	\N	UV	94061445
229563	781	1995-11-13	VYDAJ	PREVOD NA UCET	2054	16632	\N	UV	94061445
229564	781	1995-12-13	VYDAJ	PREVOD NA UCET	2054	17713	\N	UV	94061445
229565	781	1996-01-13	VYDAJ	PREVOD NA UCET	2054	16304	\N	UV	94061445
229566	781	1996-02-13	VYDAJ	PREVOD NA UCET	2054	14471	\N	UV	94061445
229567	781	1996-03-13	VYDAJ	PREVOD NA UCET	2054	15542	\N	UV	94061445
229568	781	1996-04-13	VYDAJ	PREVOD NA UCET	2054	16228	\N	UV	94061445
229569	781	1996-05-13	VYDAJ	PREVOD NA UCET	2054	17307	\N	UV	94061445
229570	781	1996-06-13	VYDAJ	PREVOD NA UCET	2054	18190	\N	UV	94061445
229571	781	1996-07-13	VYDAJ	PREVOD NA UCET	2054	19282	\N	UV	94061445
229572	781	1996-08-13	VYDAJ	PREVOD NA UCET	2054	18273	\N	UV	94061445
229573	781	1996-09-13	VYDAJ	PREVOD NA UCET	2054	18063	\N	UV	94061445
229574	781	1996-10-13	VYDAJ	PREVOD NA UCET	2054	15640	\N	UV	94061445
229575	781	1996-11-13	VYDAJ	PREVOD NA UCET	2054	15618	\N	UV	94061445
229576	781	1996-12-13	VYDAJ	PREVOD NA UCET	2054	14996	\N	UV	94061445
229577	781	1997-01-13	VYDAJ	PREVOD NA UCET	2054	13971	\N	UV	94061445
229578	781	1997-02-13	VYDAJ	PREVOD NA UCET	2054	14172	\N	UV	94061445
229579	781	1997-03-13	VYDAJ	PREVOD NA UCET	2054	14129	\N	UV	94061445
229580	781	1997-04-13	VYDAJ	PREVOD NA UCET	2054	14508	\N	UV	94061445
229581	781	1997-05-13	VYDAJ	PREVOD NA UCET	2054	13280	\N	UV	94061445
229582	781	1997-06-13	VYDAJ	PREVOD NA UCET	2054	14350	\N	UV	94061445
229583	781	1997-07-13	VYDAJ	PREVOD NA UCET	2054	12849	\N	UV	94061445
229584	781	1997-08-13	VYDAJ	PREVOD NA UCET	2054	13916	\N	UV	94061445
229585	781	1997-09-13	VYDAJ	PREVOD NA UCET	2054	14985	\N	UV	94061445
229586	781	1997-10-13	VYDAJ	PREVOD NA UCET	2054	15878	\N	UV	94061445
229587	781	1997-11-13	VYDAJ	PREVOD NA UCET	2054	16955	\N	UV	94061445
229588	781	1997-12-13	VYDAJ	PREVOD NA UCET	2054	17586	\N	UV	94061445
229589	781	1998-01-13	VYDAJ	PREVOD NA UCET	2054	15900	\N	UV	94061445
229590	781	1998-02-13	VYDAJ	PREVOD NA UCET	2054	14635	\N	UV	94061445
229591	781	1998-03-13	VYDAJ	PREVOD NA UCET	2054	14106	\N	UV	94061445
229592	781	1998-04-13	VYDAJ	PREVOD NA UCET	2054	15078	\N	UV	94061445
229593	781	1998-05-13	VYDAJ	PREVOD NA UCET	2054	15552	\N	UV	94061445
229594	781	1998-06-13	VYDAJ	PREVOD NA UCET	2054	16237	\N	UV	94061445
229595	781	1998-07-13	VYDAJ	PREVOD NA UCET	2054	14815	\N	UV	94061445
229596	781	1998-08-13	VYDAJ	PREVOD NA UCET	2054	14391	\N	UV	94061445
229597	781	1998-09-13	VYDAJ	PREVOD NA UCET	2054	15463	\N	UV	94061445
229598	781	1998-10-13	VYDAJ	PREVOD NA UCET	2054	15138	\N	UV	94061445
229599	781	1998-11-13	VYDAJ	PREVOD NA UCET	2054	12913	\N	UV	94061445
229600	781	1998-12-13	VYDAJ	PREVOD NA UCET	2054	13467	\N	UV	94061445
229606	781	1996-01-21	VYDAJ	VYBER	870	15014	\N	\N	\N
229607	781	1997-01-01	VYDAJ	VYBER	1530	12944	\N	\N	\N
229608	781	1998-01-13	VYDAJ	VYBER	1710	13800	\N	\N	\N
229609	781	1995-12-17	VYDAJ	VYBER	570	16153	\N	\N	\N
229610	781	1996-12-25	VYDAJ	VYBER	570	14426	\N	\N	\N
229611	781	1997-12-11	VYDAJ	VYBER	450	16559	\N	\N	\N
229619	781	1996-01-16	VYDAJ	VYBER	420	15884	\N	\N	\N
229620	781	1996-01-06	VYDAJ	VYBER	150	16057	\N	\N	\N
229622	781	1996-01-28	VYDAJ	VYBER	690	13964	\N	\N	\N
229623	781	1996-01-30	VYDAJ	VYBER	570	13394	\N	\N	\N
229624	781	1996-01-09	VYDAJ	VYBER	780	15277	\N	\N	\N
229629	781	1997-01-24	VYDAJ	VYBER	720	13101	\N	\N	\N
229630	781	1997-01-23	VYDAJ	VYBER	150	13821	\N	\N	\N
229632	781	1998-01-15	VYDAJ	VYBER	240	13560	\N	\N	\N
229633	781	1998-01-09	VYDAJ	VYBER	180	15443	\N	\N	\N
229634	781	1998-01-09	VYDAJ	VYBER	720	15623	\N	\N	\N
229635	781	1998-01-13	VYDAJ	VYBER	390	15510	\N	\N	\N
229636	781	1998-01-12	VYDAJ	VYBER	570	17954	\N	\N	\N
229639	781	1995-07-26	VYDAJ	VYBER	960	12521	\N	\N	\N
229641	781	1995-11-10	VYDAJ	VYBER	150	15605	\N	\N	\N
229642	781	1995-12-16	VYDAJ	VYBER	990	16723	\N	\N	\N
229643	781	1995-07-16	VYDAJ	VYBER	570	13481	\N	\N	\N
229644	781	1996-10-09	VYDAJ	VYBER	1230	14613	\N	\N	\N
229645	781	1996-09-27	VYDAJ	VYBER	870	17193	\N	\N	\N
229646	781	1996-09-28	VYDAJ	VYBER	1410	15783	\N	\N	\N
229647	781	1996-04-12	VYDAJ	VYBER	390	18282	\N	\N	\N
229648	781	1997-04-09	VYDAJ	VYBER	690	13481	\N	\N	\N
229649	781	1997-06-26	VYDAJ	VYBER	960	13390	\N	\N	\N
229650	781	1997-02-14	VYDAJ	VYBER	1110	13062	\N	\N	\N
229652	781	1997-07-12	VYDAJ	VYBER	1410	14903	\N	\N	\N
229653	781	1997-10-04	VYDAJ	VYBER	180	14851	\N	\N	\N
229656	781	1998-12-13	VYDAJ	VYBER	510	15521	\N	\N	\N
229658	781	1998-05-21	VYDAJ	VYBER	390	15162	\N	\N	\N
229666	781	1995-07-31	VYDAJ	VYBER	15	12540	SLUZBY	\N	\N
229667	781	1995-08-31	VYDAJ	VYBER	15	13608	SLUZBY	\N	\N
229668	781	1995-09-30	VYDAJ	VYBER	15	14679	SLUZBY	\N	\N
229669	781	1995-10-31	VYDAJ	VYBER	15	15755	SLUZBY	\N	\N
229670	781	1995-11-30	VYDAJ	VYBER	15	16686	SLUZBY	\N	\N
229671	781	1995-12-31	VYDAJ	VYBER	15	16207	SLUZBY	\N	\N
229672	781	1996-01-31	VYDAJ	VYBER	15	13444	SLUZBY	\N	\N
229673	781	1996-02-29	VYDAJ	VYBER	15	14515	SLUZBY	\N	\N
229674	781	1996-03-31	VYDAJ	VYBER	15	15591	SLUZBY	\N	\N
229675	781	1996-04-30	VYDAJ	VYBER	15	16280	SLUZBY	\N	\N
229676	781	1996-05-31	VYDAJ	VYBER	15	17363	SLUZBY	\N	\N
229677	781	1996-06-30	VYDAJ	VYBER	15	18255	SLUZBY	\N	\N
229678	781	1996-07-31	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
229679	781	1996-08-31	VYDAJ	VYBER	15	18336	SLUZBY	\N	\N
229680	781	1996-09-30	VYDAJ	VYBER	15	15843	SLUZBY	\N	\N
229681	781	1996-10-31	VYDAJ	VYBER	15	15691	SLUZBY	\N	\N
229682	781	1996-11-30	VYDAJ	VYBER	15	15669	SLUZBY	\N	\N
229683	781	1996-12-31	VYDAJ	VYBER	15	14474	SLUZBY	\N	\N
229684	781	1997-01-31	VYDAJ	VYBER	15	13145	SLUZBY	\N	\N
229685	781	1997-02-28	VYDAJ	VYBER	15	13102	SLUZBY	\N	\N
229686	781	1997-03-31	VYDAJ	VYBER	15	14171	SLUZBY	\N	\N
229687	781	1997-04-30	VYDAJ	VYBER	15	14553	SLUZBY	\N	\N
229688	781	1997-05-31	VYDAJ	VYBER	15	13323	SLUZBY	\N	\N
229689	781	1997-06-30	VYDAJ	VYBER	15	13432	SLUZBY	\N	\N
229690	781	1997-07-31	VYDAJ	VYBER	15	12889	SLUZBY	\N	\N
229691	781	1997-08-31	VYDAJ	VYBER	15	13958	SLUZBY	\N	\N
229692	781	1997-09-30	VYDAJ	VYBER	15	15031	SLUZBY	\N	\N
229693	781	1997-10-31	VYDAJ	VYBER	15	15928	SLUZBY	\N	\N
229694	781	1997-11-30	VYDAJ	VYBER	15	17009	SLUZBY	\N	\N
229695	781	1997-12-31	VYDAJ	VYBER	15	17643	SLUZBY	\N	\N
229696	781	1998-01-31	VYDAJ	VYBER	15	13608	SLUZBY	\N	\N
229697	781	1998-02-28	VYDAJ	VYBER	15	14679	SLUZBY	\N	\N
229698	781	1998-03-31	VYDAJ	VYBER	15	14151	SLUZBY	\N	\N
229699	781	1998-04-30	VYDAJ	VYBER	15	15125	SLUZBY	\N	\N
229700	781	1998-05-31	VYDAJ	VYBER	15	15210	SLUZBY	\N	\N
229701	781	1998-06-30	VYDAJ	VYBER	15	16288	SLUZBY	\N	\N
229702	781	1998-07-31	VYDAJ	VYBER	15	14864	SLUZBY	\N	\N
229703	781	1998-08-31	VYDAJ	VYBER	15	14436	SLUZBY	\N	\N
229704	781	1998-09-30	VYDAJ	VYBER	15	15511	SLUZBY	\N	\N
229705	781	1998-10-31	VYDAJ	VYBER	15	11886	SLUZBY	\N	\N
229706	781	1998-11-30	VYDAJ	VYBER	15	12950	SLUZBY	\N	\N
229707	781	1996-06-13	VYDAJ	VYBER	200	20244	\N	\N	\N
229708	781	1996-07-13	VYDAJ	VYBER	100	19182	\N	\N	\N
229709	781	1996-08-12	VYDAJ	VYBER	2000	20327	\N	\N	\N
229710	781	1996-09-11	VYDAJ	VYBER	1300	17036	\N	\N	\N
229711	781	1996-11-10	VYDAJ	VYBER	1100	14591	\N	\N	\N
229712	781	1996-12-10	VYDAJ	VYBER	1700	13969	\N	\N	\N
229713	781	1997-05-09	VYDAJ	VYBER	2300	12253	\N	\N	\N
229714	781	1997-07-08	VYDAJ	VYBER	200	13232	\N	\N	\N
229715	781	1998-01-04	VYDAJ	VYBER	1300	16343	\N	\N	\N
229716	781	1998-03-05	VYDAJ	VYBER	1600	13079	\N	\N	\N
229717	781	1998-04-04	VYDAJ	VYBER	100	14051	\N	\N	\N
229718	781	1998-05-04	VYDAJ	VYBER	600	14525	\N	\N	\N
229719	781	1998-07-03	VYDAJ	VYBER	2500	13788	\N	\N	\N
229720	781	1998-08-02	VYDAJ	VYBER	1500	13364	\N	\N	\N
229721	781	1998-10-01	VYDAJ	VYBER	1400	14111	\N	\N	\N
229722	781	1998-10-31	VYDAJ	VYBER	3300	11900	\N	\N	\N
229765	782	1997-10-30	PRIJEM	VKLAD	500	500	\N	\N	\N
229776	782	1997-11-11	PRIJEM	VKLAD	24593	25093	\N	\N	\N
229777	782	1997-12-11	PRIJEM	VKLAD	36890	63690	\N	\N	\N
229778	782	1998-01-11	PRIJEM	VKLAD	24593	70702	\N	\N	\N
229779	782	1998-02-11	PRIJEM	VKLAD	24593	74589	\N	\N	\N
229780	782	1998-03-11	PRIJEM	VKLAD	24593	76690	\N	\N	\N
229781	782	1998-04-11	PRIJEM	VKLAD	24593	75571	\N	\N	\N
229782	782	1998-05-11	PRIJEM	VKLAD	24593	72452	\N	\N	\N
229783	782	1998-06-11	PRIJEM	VKLAD	36890	81315	\N	\N	\N
229784	782	1998-07-11	PRIJEM	VKLAD	24593	78801	\N	\N	\N
229785	782	1998-08-11	PRIJEM	VKLAD	24593	75693	\N	\N	\N
229786	782	1998-09-11	PRIJEM	VKLAD	24593	78571	\N	\N	\N
229787	782	1998-10-11	PRIJEM	VKLAD	24593	79559	\N	\N	\N
229788	782	1998-11-11	PRIJEM	VKLAD	24593	68237	\N	\N	\N
229789	782	1998-12-11	PRIJEM	VKLAD	36890	83778	\N	\N	\N
229805	782	1998-04-06	VYDAJ	PREVOD NA UCET	3094	50978	SIPO	IJ	82476073
229806	782	1998-05-06	VYDAJ	PREVOD NA UCET	3094	47859	SIPO	IJ	82476073
229807	782	1998-06-06	VYDAJ	PREVOD NA UCET	3094	44426	SIPO	IJ	82476073
229808	782	1998-07-06	VYDAJ	PREVOD NA UCET	3094	54208	SIPO	IJ	82476073
229809	782	1998-08-06	VYDAJ	PREVOD NA UCET	3094	51100	SIPO	IJ	82476073
229810	782	1998-09-06	VYDAJ	PREVOD NA UCET	3094	53978	SIPO	IJ	82476073
229811	782	1998-10-06	VYDAJ	PREVOD NA UCET	3094	54966	SIPO	IJ	82476073
229812	782	1998-11-06	VYDAJ	PREVOD NA UCET	3094	43644	SIPO	IJ	82476073
229813	782	1998-12-06	VYDAJ	PREVOD NA UCET	3094	46889	SIPO	IJ	82476073
229828	782	1998-03-12	VYDAJ	PREVOD NA UCET	2472	74218	 	UV	68542945
229829	782	1998-04-12	VYDAJ	PREVOD NA UCET	2472	73099	 	UV	68542945
229830	782	1998-05-12	VYDAJ	PREVOD NA UCET	2472	69980	 	UV	68542945
229831	782	1998-06-12	VYDAJ	PREVOD NA UCET	2472	78843	 	UV	68542945
229832	782	1998-07-12	VYDAJ	PREVOD NA UCET	2472	76329	 	UV	68542945
229833	782	1998-08-12	VYDAJ	PREVOD NA UCET	2472	73221	 	UV	68542945
229834	782	1998-09-12	VYDAJ	PREVOD NA UCET	2472	76099	 	UV	68542945
229835	782	1998-10-12	VYDAJ	PREVOD NA UCET	2472	77087	 	UV	68542945
229836	782	1998-11-12	VYDAJ	PREVOD NA UCET	2472	65765	 	UV	68542945
229837	782	1998-12-12	VYDAJ	PREVOD NA UCET	2472	81306	 	UV	68542945
229839	782	1998-12-25	VYDAJ	VYBER	3360	52966	\N	\N	\N
229856	782	1998-10-13	VYDAJ	VYBER	5280	68567	\N	\N	\N
229857	782	1998-08-02	VYDAJ	VYBER	2400	54194	\N	\N	\N
229858	782	1998-10-14	VYDAJ	VYBER	5160	63407	\N	\N	\N
229859	782	1998-12-21	VYDAJ	VYBER	2280	79026	\N	\N	\N
229860	782	1998-10-12	VYDAJ	VYBER	3240	73847	\N	\N	\N
229876	782	1998-03-31	VYDAJ	VYBER	15	54072	SLUZBY	\N	\N
229877	782	1998-04-30	VYDAJ	VYBER	15	50953	SLUZBY	\N	\N
229878	782	1998-05-31	VYDAJ	VYBER	15	47520	SLUZBY	\N	\N
229879	782	1998-06-30	VYDAJ	VYBER	15	57302	SLUZBY	\N	\N
229880	782	1998-07-31	VYDAJ	VYBER	15	56594	SLUZBY	\N	\N
229881	782	1998-08-31	VYDAJ	VYBER	15	57072	SLUZBY	\N	\N
229882	782	1998-09-30	VYDAJ	VYBER	15	58060	SLUZBY	\N	\N
229883	782	1998-10-31	VYDAJ	VYBER	15	46738	SLUZBY	\N	\N
229884	782	1998-11-30	VYDAJ	VYBER	15	49983	SLUZBY	\N	\N
229885	782	1997-11-29	PRIJEM	VKLAD	1700	26793	\N	\N	\N
229886	782	1997-12-29	VYDAJ	VYBER	17700	45990	\N	\N	\N
229887	782	1998-01-28	VYDAJ	VYBER	20900	49802	\N	\N	\N
229888	782	1998-02-27	VYDAJ	VYBER	22700	51889	\N	\N	\N
229889	782	1998-03-29	VYDAJ	VYBER	20400	53818	\N	\N	\N
229890	782	1998-04-28	VYDAJ	VYBER	22400	50699	\N	\N	\N
229891	782	1998-05-28	VYDAJ	VYBER	22700	47280	\N	\N	\N
229892	782	1998-06-27	VYDAJ	VYBER	21800	57043	\N	\N	\N
229893	782	1998-07-27	VYDAJ	VYBER	20000	56329	\N	\N	\N
229894	782	1998-08-26	VYDAJ	VYBER	16400	56821	\N	\N	\N
229895	782	1998-09-25	VYDAJ	VYBER	18300	57799	\N	\N	\N
229896	782	1998-10-25	VYDAJ	VYBER	16900	46507	\N	\N	\N
229897	782	1998-11-24	VYDAJ	VYBER	16000	49765	\N	\N	\N
229898	782	1998-12-24	VYDAJ	VYBER	22700	56326	\N	\N	\N
229913	783	1997-09-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
229923	783	1997-10-06	PRIJEM	PREVOD Z UCTU	4864	5864	DUCHOD	KL	21016186
229924	783	1997-11-06	PRIJEM	PREVOD Z UCTU	4864	10728	DUCHOD	KL	21016186
229925	783	1997-12-06	PRIJEM	PREVOD Z UCTU	4864	15592	DUCHOD	KL	21016186
229926	783	1998-01-06	PRIJEM	PREVOD Z UCTU	4864	20456	DUCHOD	KL	21016186
229927	783	1998-02-06	PRIJEM	PREVOD Z UCTU	4864	25320	DUCHOD	KL	21016186
229928	783	1998-03-06	PRIJEM	PREVOD Z UCTU	4864	26931	DUCHOD	KL	21016186
229929	783	1998-04-06	PRIJEM	PREVOD Z UCTU	4864	28248	DUCHOD	KL	21016186
229930	783	1998-05-06	PRIJEM	PREVOD Z UCTU	4864	26769	DUCHOD	KL	21016186
229931	783	1998-06-06	PRIJEM	PREVOD Z UCTU	4864	28487	DUCHOD	KL	21016186
229932	783	1998-07-06	PRIJEM	PREVOD Z UCTU	4864	21155	DUCHOD	KL	21016186
229933	783	1998-08-06	PRIJEM	PREVOD Z UCTU	4864	22849	DUCHOD	KL	21016186
229934	783	1998-09-06	PRIJEM	PREVOD Z UCTU	4864	22790	DUCHOD	KL	21016186
229935	783	1998-10-06	PRIJEM	PREVOD Z UCTU	4864	24491	DUCHOD	KL	21016186
229936	783	1998-11-06	PRIJEM	PREVOD Z UCTU	4864	25318	DUCHOD	KL	21016186
229937	783	1998-12-06	PRIJEM	PREVOD Z UCTU	4864	27030	DUCHOD	KL	21016186
229952	783	1998-03-05	VYDAJ	PREVOD NA UCET	3242	22067	SIPO	MN	85706555
229953	783	1998-04-05	VYDAJ	PREVOD NA UCET	3242	23384	SIPO	MN	85706555
229954	783	1998-05-05	VYDAJ	PREVOD NA UCET	3242	21905	SIPO	MN	85706555
229955	783	1998-06-05	VYDAJ	PREVOD NA UCET	3242	23623	SIPO	MN	85706555
229956	783	1998-07-05	VYDAJ	PREVOD NA UCET	3242	16291	SIPO	MN	85706555
229957	783	1998-08-05	VYDAJ	PREVOD NA UCET	3242	17985	SIPO	MN	85706555
229958	783	1998-09-05	VYDAJ	PREVOD NA UCET	3242	17926	SIPO	MN	85706555
229959	783	1998-10-05	VYDAJ	PREVOD NA UCET	3242	19627	SIPO	MN	85706555
229960	783	1998-11-05	VYDAJ	PREVOD NA UCET	3242	20454	SIPO	MN	85706555
229961	783	1998-12-05	VYDAJ	PREVOD NA UCET	3242	22166	SIPO	MN	85706555
229963	783	1998-06-25	VYDAJ	VYBER	9050	19437	\N	\N	\N
229967	783	1998-12-18	VYDAJ	VYBER	250	26780	\N	\N	\N
229984	783	1998-10-18	VYDAJ	VYBER	880	23611	\N	\N	\N
229985	783	1998-04-24	VYDAJ	VYBER	3200	25048	\N	\N	\N
229986	783	1998-08-06	VYDAJ	VYBER	1760	21089	\N	\N	\N
230001	783	1998-02-28	VYDAJ	VYBER	15	25309	SLUZBY	\N	\N
230002	783	1998-03-31	VYDAJ	VYBER	15	26626	SLUZBY	\N	\N
230003	783	1998-04-30	VYDAJ	VYBER	15	25147	SLUZBY	\N	\N
230004	783	1998-05-31	VYDAJ	VYBER	15	26865	SLUZBY	\N	\N
230005	783	1998-06-30	VYDAJ	VYBER	15	19533	SLUZBY	\N	\N
230006	783	1998-07-31	VYDAJ	VYBER	15	21227	SLUZBY	\N	\N
230007	783	1998-08-31	VYDAJ	VYBER	15	21168	SLUZBY	\N	\N
230008	783	1998-09-30	VYDAJ	VYBER	15	22869	SLUZBY	\N	\N
230009	783	1998-10-31	VYDAJ	VYBER	15	23696	SLUZBY	\N	\N
230010	783	1998-11-30	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
230011	783	1998-03-07	VYDAJ	VYBER	400	26531	\N	\N	\N
230023	784	1994-04-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
230028	784	1994-05-14	PRIJEM	VKLAD	23064	24064	\N	\N	\N
230029	784	1994-06-14	PRIJEM	VKLAD	34596	59904	\N	\N	\N
230030	784	1994-07-14	PRIJEM	VKLAD	23064	64402	\N	\N	\N
230031	784	1994-08-14	PRIJEM	VKLAD	23064	66943	\N	\N	\N
230032	784	1994-09-14	PRIJEM	VKLAD	23064	70696	\N	\N	\N
230033	784	1994-10-14	PRIJEM	VKLAD	23064	59344	\N	\N	\N
230034	784	1994-11-14	PRIJEM	VKLAD	23064	60856	\N	\N	\N
230035	784	1994-12-14	PRIJEM	VKLAD	34596	73102	\N	\N	\N
230036	784	1995-01-14	PRIJEM	VKLAD	23064	58948	\N	\N	\N
230037	784	1995-02-14	PRIJEM	VKLAD	23064	44073	\N	\N	\N
230038	784	1995-03-14	PRIJEM	VKLAD	23064	63756	\N	\N	\N
230039	784	1995-04-14	PRIJEM	VKLAD	23064	62477	\N	\N	\N
230040	784	1995-05-14	PRIJEM	VKLAD	23064	61637	\N	\N	\N
230041	784	1995-06-14	PRIJEM	VKLAD	34596	64070	\N	\N	\N
230042	784	1995-07-14	PRIJEM	VKLAD	23064	55203	\N	\N	\N
230043	784	1995-08-14	PRIJEM	VKLAD	23064	58808	\N	\N	\N
230044	784	1995-09-14	PRIJEM	VKLAD	23064	59278	\N	\N	\N
230045	784	1995-10-14	PRIJEM	VKLAD	23064	62854	\N	\N	\N
230046	784	1995-11-14	PRIJEM	VKLAD	23064	60441	\N	\N	\N
230047	784	1995-12-14	PRIJEM	VKLAD	34596	59818	\N	\N	\N
230048	784	1996-01-14	PRIJEM	VKLAD	23064	52895	\N	\N	\N
230049	784	1996-02-14	PRIJEM	VKLAD	23064	48072	\N	\N	\N
230050	784	1996-03-14	PRIJEM	VKLAD	23064	54287	\N	\N	\N
230051	784	1996-04-14	PRIJEM	VKLAD	23064	53230	\N	\N	\N
230052	784	1996-05-14	PRIJEM	VKLAD	23064	52153	\N	\N	\N
230053	784	1996-06-14	PRIJEM	VKLAD	34596	60324	\N	\N	\N
230054	784	1996-07-14	PRIJEM	VKLAD	23064	47110	\N	\N	\N
230055	784	1996-08-14	PRIJEM	VKLAD	23064	42521	\N	\N	\N
230056	784	1996-09-14	PRIJEM	VKLAD	23064	44117	\N	\N	\N
230057	784	1996-10-14	PRIJEM	VKLAD	23064	41619	\N	\N	\N
230058	784	1996-11-14	PRIJEM	VKLAD	23064	40615	\N	\N	\N
230059	784	1996-12-14	PRIJEM	VKLAD	34596	50034	\N	\N	\N
230060	784	1997-01-14	PRIJEM	VKLAD	23064	46642	\N	\N	\N
230061	784	1997-02-14	PRIJEM	VKLAD	23064	34300	\N	\N	\N
230062	784	1997-03-14	PRIJEM	VKLAD	23064	35156	\N	\N	\N
230063	784	1997-04-14	PRIJEM	VKLAD	23064	40422	\N	\N	\N
230064	784	1997-05-14	PRIJEM	VKLAD	23064	39924	\N	\N	\N
230065	784	1997-06-14	PRIJEM	VKLAD	34596	51440	\N	\N	\N
230066	784	1997-07-14	PRIJEM	VKLAD	23064	44046	\N	\N	\N
230067	784	1997-08-14	PRIJEM	VKLAD	23064	37572	\N	\N	\N
230068	784	1997-09-14	PRIJEM	VKLAD	23064	41945	\N	\N	\N
230069	784	1997-10-14	PRIJEM	VKLAD	23064	46417	\N	\N	\N
230070	784	1997-11-14	PRIJEM	VKLAD	23064	48307	\N	\N	\N
230071	784	1997-12-14	PRIJEM	VKLAD	34596	55974	\N	\N	\N
230072	784	1998-01-14	PRIJEM	VKLAD	23064	45339	\N	\N	\N
230073	784	1998-02-14	PRIJEM	VKLAD	23064	41531	\N	\N	\N
230074	784	1998-03-14	PRIJEM	VKLAD	23064	45096	\N	\N	\N
230075	784	1998-04-14	PRIJEM	VKLAD	23064	44576	\N	\N	\N
230076	784	1998-05-14	PRIJEM	VKLAD	23064	46354	\N	\N	\N
230077	784	1998-06-14	PRIJEM	VKLAD	34596	59369	\N	\N	\N
230078	784	1998-07-14	PRIJEM	VKLAD	23064	51919	\N	\N	\N
230079	784	1998-08-14	PRIJEM	VKLAD	23064	46318	\N	\N	\N
230080	784	1998-09-14	PRIJEM	VKLAD	23064	44793	\N	\N	\N
230081	784	1998-10-14	PRIJEM	VKLAD	23064	42683	\N	\N	\N
230082	784	1998-11-14	PRIJEM	VKLAD	23064	42143	\N	\N	\N
230083	784	1998-12-14	PRIJEM	VKLAD	34596	52829	\N	\N	\N
230093	784	1994-10-10	VYDAJ	PREVOD NA UCET	1485	37090	SIPO	IJ	47865402
230094	784	1994-11-10	VYDAJ	PREVOD NA UCET	1485	38602	SIPO	IJ	47865402
230095	784	1994-12-10	VYDAJ	PREVOD NA UCET	1485	39316	SIPO	IJ	47865402
230096	784	1995-01-10	VYDAJ	PREVOD NA UCET	1485	36694	SIPO	IJ	47865402
230097	784	1995-02-10	VYDAJ	PREVOD NA UCET	1485	21619	SIPO	IJ	47865402
230098	784	1995-03-10	VYDAJ	PREVOD NA UCET	1485	41502	SIPO	IJ	47865402
230099	784	1995-04-10	VYDAJ	PREVOD NA UCET	1485	40223	SIPO	IJ	47865402
230100	784	1995-05-10	VYDAJ	PREVOD NA UCET	1485	39383	SIPO	IJ	47865402
230101	784	1995-06-10	VYDAJ	PREVOD NA UCET	1485	36684	SIPO	IJ	47865402
230102	784	1995-07-10	VYDAJ	PREVOD NA UCET	1485	40449	SIPO	IJ	47865402
230103	784	1995-08-10	VYDAJ	PREVOD NA UCET	1485	49454	SIPO	IJ	47865402
230104	784	1995-09-10	VYDAJ	PREVOD NA UCET	1485	56324	SIPO	IJ	47865402
230105	784	1995-10-10	VYDAJ	PREVOD NA UCET	1485	56800	SIPO	IJ	47865402
230106	784	1995-11-10	VYDAJ	PREVOD NA UCET	1485	60387	SIPO	IJ	47865402
230107	784	1995-12-10	VYDAJ	PREVOD NA UCET	1485	48352	SIPO	IJ	47865402
230108	784	1996-01-10	VYDAJ	PREVOD NA UCET	1485	30641	SIPO	IJ	47865402
230109	784	1996-02-10	VYDAJ	PREVOD NA UCET	1485	25818	SIPO	IJ	47865402
230110	784	1996-03-10	VYDAJ	PREVOD NA UCET	1485	32033	SIPO	IJ	47865402
230111	784	1996-04-10	VYDAJ	PREVOD NA UCET	1485	30976	SIPO	IJ	47865402
230112	784	1996-05-10	VYDAJ	PREVOD NA UCET	1485	29899	SIPO	IJ	47865402
230113	784	1996-06-10	VYDAJ	PREVOD NA UCET	1485	26538	SIPO	IJ	47865402
230114	784	1996-07-10	VYDAJ	PREVOD NA UCET	1485	24856	SIPO	IJ	47865402
230115	784	1996-08-10	VYDAJ	PREVOD NA UCET	1485	20267	SIPO	IJ	47865402
230116	784	1996-09-10	VYDAJ	PREVOD NA UCET	1485	21863	SIPO	IJ	47865402
230117	784	1996-10-10	VYDAJ	PREVOD NA UCET	1485	19365	SIPO	IJ	47865402
230118	784	1996-11-10	VYDAJ	PREVOD NA UCET	1485	18361	SIPO	IJ	47865402
230119	784	1996-12-10	VYDAJ	PREVOD NA UCET	1485	16248	SIPO	IJ	47865402
230120	784	1997-01-10	VYDAJ	PREVOD NA UCET	1485	24388	SIPO	IJ	47865402
230121	784	1997-02-10	VYDAJ	PREVOD NA UCET	1485	12046	SIPO	IJ	47865402
230122	784	1997-03-10	VYDAJ	PREVOD NA UCET	1485	12902	SIPO	IJ	47865402
230123	784	1997-04-10	VYDAJ	PREVOD NA UCET	1485	18168	SIPO	IJ	47865402
230124	784	1997-05-10	VYDAJ	PREVOD NA UCET	1485	17670	SIPO	IJ	47865402
230125	784	1997-06-10	VYDAJ	PREVOD NA UCET	1485	17654	SIPO	IJ	47865402
230126	784	1997-07-10	VYDAJ	PREVOD NA UCET	1485	21792	SIPO	IJ	47865402
230127	784	1997-08-10	VYDAJ	PREVOD NA UCET	1485	15318	SIPO	IJ	47865402
230128	784	1997-09-10	VYDAJ	PREVOD NA UCET	1485	19691	SIPO	IJ	47865402
230129	784	1997-10-10	VYDAJ	PREVOD NA UCET	1485	24163	SIPO	IJ	47865402
230130	784	1997-11-10	VYDAJ	PREVOD NA UCET	1485	26053	SIPO	IJ	47865402
230131	784	1997-12-10	VYDAJ	PREVOD NA UCET	1485	22188	SIPO	IJ	47865402
230132	784	1998-01-10	VYDAJ	PREVOD NA UCET	1485	25365	SIPO	IJ	47865402
230133	784	1998-02-10	VYDAJ	PREVOD NA UCET	1485	19277	SIPO	IJ	47865402
230134	784	1998-03-10	VYDAJ	PREVOD NA UCET	1485	22842	SIPO	IJ	47865402
230135	784	1998-04-10	VYDAJ	PREVOD NA UCET	1485	22322	SIPO	IJ	47865402
230136	784	1998-05-10	VYDAJ	PREVOD NA UCET	1485	24100	SIPO	IJ	47865402
230137	784	1998-06-10	VYDAJ	PREVOD NA UCET	1485	25583	SIPO	IJ	47865402
230138	784	1998-07-10	VYDAJ	PREVOD NA UCET	1485	29665	SIPO	IJ	47865402
230139	784	1998-08-10	VYDAJ	PREVOD NA UCET	1485	24064	SIPO	IJ	47865402
230140	784	1998-09-10	VYDAJ	PREVOD NA UCET	1485	22539	SIPO	IJ	47865402
230141	784	1998-10-10	VYDAJ	PREVOD NA UCET	1485	20429	SIPO	IJ	47865402
230142	784	1998-11-10	VYDAJ	PREVOD NA UCET	1485	19889	SIPO	IJ	47865402
230143	784	1998-12-10	VYDAJ	PREVOD NA UCET	1485	19043	SIPO	IJ	47865402
230153	784	1994-10-08	VYDAJ	PREVOD NA UCET	1215	38575	 	KL	80516755
230154	784	1994-11-08	VYDAJ	PREVOD NA UCET	1215	40087	 	KL	80516755
230155	784	1994-12-08	VYDAJ	PREVOD NA UCET	1215	40801	 	KL	80516755
230156	784	1995-01-08	VYDAJ	PREVOD NA UCET	1215	38179	 	KL	80516755
230157	784	1995-02-08	VYDAJ	PREVOD NA UCET	1215	23104	 	KL	80516755
230158	784	1995-03-08	VYDAJ	PREVOD NA UCET	1215	42987	 	KL	80516755
230159	784	1995-04-08	VYDAJ	PREVOD NA UCET	1215	41708	 	KL	80516755
230160	784	1995-05-08	VYDAJ	PREVOD NA UCET	1215	40868	 	KL	80516755
230161	784	1995-06-08	VYDAJ	PREVOD NA UCET	1215	38169	 	KL	80516755
230162	784	1995-07-08	VYDAJ	PREVOD NA UCET	1215	41934	 	KL	80516755
230163	784	1995-08-08	VYDAJ	PREVOD NA UCET	1215	50939	 	KL	80516755
230164	784	1995-09-08	VYDAJ	PREVOD NA UCET	1215	57809	 	KL	80516755
230165	784	1995-10-08	VYDAJ	PREVOD NA UCET	1215	58285	 	KL	80516755
230166	784	1995-11-08	VYDAJ	PREVOD NA UCET	1215	61872	 	KL	80516755
230167	784	1995-12-08	VYDAJ	PREVOD NA UCET	1215	49837	 	KL	80516755
230168	784	1996-01-08	VYDAJ	PREVOD NA UCET	1215	44126	 	KL	80516755
230169	784	1996-02-08	VYDAJ	PREVOD NA UCET	1215	41303	 	KL	80516755
230170	784	1996-03-08	VYDAJ	PREVOD NA UCET	1215	47018	 	KL	80516755
230171	784	1996-04-08	VYDAJ	PREVOD NA UCET	1215	32461	 	KL	80516755
230172	784	1996-05-08	VYDAJ	PREVOD NA UCET	1215	49684	 	KL	80516755
230173	784	1996-06-08	VYDAJ	PREVOD NA UCET	1215	28023	 	KL	80516755
230174	784	1996-07-08	VYDAJ	PREVOD NA UCET	1215	26341	 	KL	80516755
230175	784	1996-08-08	VYDAJ	PREVOD NA UCET	1215	21752	 	KL	80516755
230176	784	1996-09-08	VYDAJ	PREVOD NA UCET	1215	23348	 	KL	80516755
230177	784	1996-10-08	VYDAJ	PREVOD NA UCET	1215	20850	 	KL	80516755
230178	784	1996-11-08	VYDAJ	PREVOD NA UCET	1215	19846	 	KL	80516755
230179	784	1996-12-08	VYDAJ	PREVOD NA UCET	1215	20773	 	KL	80516755
230180	784	1997-01-08	VYDAJ	PREVOD NA UCET	1215	25873	 	KL	80516755
230181	784	1997-02-08	VYDAJ	PREVOD NA UCET	1215	13531	 	KL	80516755
230182	784	1997-03-08	VYDAJ	PREVOD NA UCET	1215	14387	 	KL	80516755
230183	784	1997-04-08	VYDAJ	PREVOD NA UCET	1215	19653	 	KL	80516755
230184	784	1997-05-08	VYDAJ	PREVOD NA UCET	1215	19155	 	KL	80516755
230185	784	1997-06-08	VYDAJ	PREVOD NA UCET	1215	19139	 	KL	80516755
230186	784	1997-07-08	VYDAJ	PREVOD NA UCET	1215	23277	 	KL	80516755
230187	784	1997-08-08	VYDAJ	PREVOD NA UCET	1215	16803	 	KL	80516755
230188	784	1997-09-08	VYDAJ	PREVOD NA UCET	1215	21176	 	KL	80516755
230189	784	1997-10-08	VYDAJ	PREVOD NA UCET	1215	25648	 	KL	80516755
230190	784	1997-11-08	VYDAJ	PREVOD NA UCET	1215	27538	 	KL	80516755
230191	784	1997-12-08	VYDAJ	PREVOD NA UCET	1215	23673	 	KL	80516755
230192	784	1998-01-08	VYDAJ	PREVOD NA UCET	1215	26850	 	KL	80516755
230193	784	1998-02-08	VYDAJ	PREVOD NA UCET	1215	20762	 	KL	80516755
230194	784	1998-03-08	VYDAJ	PREVOD NA UCET	1215	24327	 	KL	80516755
230195	784	1998-04-08	VYDAJ	PREVOD NA UCET	1215	23807	 	KL	80516755
230196	784	1998-05-08	VYDAJ	PREVOD NA UCET	1215	25585	 	KL	80516755
230197	784	1998-06-08	VYDAJ	PREVOD NA UCET	1215	27068	 	KL	80516755
230198	784	1998-07-08	VYDAJ	PREVOD NA UCET	1215	31150	 	KL	80516755
230199	784	1998-08-08	VYDAJ	PREVOD NA UCET	1215	25549	 	KL	80516755
230200	784	1998-09-08	VYDAJ	PREVOD NA UCET	1215	24024	 	KL	80516755
230201	784	1998-10-08	VYDAJ	PREVOD NA UCET	1215	21914	 	KL	80516755
230202	784	1998-11-08	VYDAJ	PREVOD NA UCET	1215	21374	 	KL	80516755
230203	784	1998-12-08	VYDAJ	PREVOD NA UCET	1215	20528	 	KL	80516755
230213	784	1994-10-11	VYDAJ	PREVOD NA UCET	109	36981	POJISTNE	GH	98420869
230214	784	1994-11-11	VYDAJ	PREVOD NA UCET	109	38493	POJISTNE	GH	98420869
230215	784	1994-12-11	VYDAJ	PREVOD NA UCET	109	39207	POJISTNE	GH	98420869
230216	784	1995-01-11	VYDAJ	PREVOD NA UCET	109	36585	POJISTNE	GH	98420869
230217	784	1995-02-11	VYDAJ	PREVOD NA UCET	109	21510	POJISTNE	GH	98420869
230218	784	1995-03-11	VYDAJ	PREVOD NA UCET	109	41393	POJISTNE	GH	98420869
230219	784	1995-04-11	VYDAJ	PREVOD NA UCET	109	40114	POJISTNE	GH	98420869
230220	784	1995-05-11	VYDAJ	PREVOD NA UCET	109	39274	POJISTNE	GH	98420869
230221	784	1995-06-11	VYDAJ	PREVOD NA UCET	109	36575	POJISTNE	GH	98420869
230222	784	1995-07-11	VYDAJ	PREVOD NA UCET	109	40340	POJISTNE	GH	98420869
230223	784	1995-08-11	VYDAJ	PREVOD NA UCET	109	49345	POJISTNE	GH	98420869
230224	784	1995-09-11	VYDAJ	PREVOD NA UCET	109	36915	POJISTNE	GH	98420869
230225	784	1995-10-11	VYDAJ	PREVOD NA UCET	109	40491	POJISTNE	GH	98420869
230226	784	1995-11-11	VYDAJ	PREVOD NA UCET	109	38078	POJISTNE	GH	98420869
230227	784	1995-12-11	VYDAJ	PREVOD NA UCET	109	28803	POJISTNE	GH	98420869
230228	784	1996-01-11	VYDAJ	PREVOD NA UCET	109	30532	POJISTNE	GH	98420869
230229	784	1996-02-11	VYDAJ	PREVOD NA UCET	109	25709	POJISTNE	GH	98420869
230230	784	1996-03-11	VYDAJ	PREVOD NA UCET	109	31924	POJISTNE	GH	98420869
230231	784	1996-04-11	VYDAJ	PREVOD NA UCET	109	30867	POJISTNE	GH	98420869
230232	784	1996-05-11	VYDAJ	PREVOD NA UCET	109	29790	POJISTNE	GH	98420869
230233	784	1996-06-11	VYDAJ	PREVOD NA UCET	109	26429	POJISTNE	GH	98420869
230234	784	1996-07-11	VYDAJ	PREVOD NA UCET	109	24747	POJISTNE	GH	98420869
230235	784	1996-08-11	VYDAJ	PREVOD NA UCET	109	20158	POJISTNE	GH	98420869
230236	784	1996-09-11	VYDAJ	PREVOD NA UCET	109	21754	POJISTNE	GH	98420869
230237	784	1996-10-11	VYDAJ	PREVOD NA UCET	109	19256	POJISTNE	GH	98420869
230238	784	1996-11-11	VYDAJ	PREVOD NA UCET	109	18252	POJISTNE	GH	98420869
230239	784	1996-12-11	VYDAJ	PREVOD NA UCET	109	16139	POJISTNE	GH	98420869
230240	784	1997-01-11	VYDAJ	PREVOD NA UCET	109	24279	POJISTNE	GH	98420869
230241	784	1997-02-11	VYDAJ	PREVOD NA UCET	109	11937	POJISTNE	GH	98420869
230242	784	1997-03-11	VYDAJ	PREVOD NA UCET	109	12793	POJISTNE	GH	98420869
230243	784	1997-04-11	VYDAJ	PREVOD NA UCET	109	18059	POJISTNE	GH	98420869
230244	784	1997-05-11	VYDAJ	PREVOD NA UCET	109	17561	POJISTNE	GH	98420869
230245	784	1997-06-11	VYDAJ	PREVOD NA UCET	109	17545	POJISTNE	GH	98420869
230246	784	1997-07-11	VYDAJ	PREVOD NA UCET	109	21683	POJISTNE	GH	98420869
230247	784	1997-08-11	VYDAJ	PREVOD NA UCET	109	15209	POJISTNE	GH	98420869
230248	784	1997-09-11	VYDAJ	PREVOD NA UCET	109	19582	POJISTNE	GH	98420869
230249	784	1997-10-11	VYDAJ	PREVOD NA UCET	109	24054	POJISTNE	GH	98420869
230250	784	1997-11-11	VYDAJ	PREVOD NA UCET	109	25944	POJISTNE	GH	98420869
230251	784	1997-12-11	VYDAJ	PREVOD NA UCET	109	22079	POJISTNE	GH	98420869
230252	784	1998-01-11	VYDAJ	PREVOD NA UCET	109	22976	POJISTNE	GH	98420869
230253	784	1998-02-11	VYDAJ	PREVOD NA UCET	109	19168	POJISTNE	GH	98420869
230254	784	1998-03-11	VYDAJ	PREVOD NA UCET	109	22733	POJISTNE	GH	98420869
230255	784	1998-04-11	VYDAJ	PREVOD NA UCET	109	22213	POJISTNE	GH	98420869
230256	784	1998-05-11	VYDAJ	PREVOD NA UCET	109	23991	POJISTNE	GH	98420869
230257	784	1998-06-11	VYDAJ	PREVOD NA UCET	109	25474	POJISTNE	GH	98420869
230258	784	1998-07-11	VYDAJ	PREVOD NA UCET	109	29556	POJISTNE	GH	98420869
230259	784	1998-08-11	VYDAJ	PREVOD NA UCET	109	23955	POJISTNE	GH	98420869
230260	784	1998-09-11	VYDAJ	PREVOD NA UCET	109	22430	POJISTNE	GH	98420869
230261	784	1998-10-11	VYDAJ	PREVOD NA UCET	109	20320	POJISTNE	GH	98420869
230262	784	1998-11-11	VYDAJ	PREVOD NA UCET	109	19780	POJISTNE	GH	98420869
230263	784	1998-12-11	VYDAJ	PREVOD NA UCET	109	18934	POJISTNE	GH	98420869
230273	784	1994-10-12	VYDAJ	PREVOD NA UCET	701	36280	 	AB	51943343
230274	784	1994-11-12	VYDAJ	PREVOD NA UCET	701	37792	 	AB	51943343
230275	784	1994-12-12	VYDAJ	PREVOD NA UCET	701	38506	 	AB	51943343
230276	784	1995-01-12	VYDAJ	PREVOD NA UCET	701	35884	 	AB	51943343
230277	784	1995-02-12	VYDAJ	PREVOD NA UCET	701	20809	 	AB	51943343
230278	784	1995-03-12	VYDAJ	PREVOD NA UCET	701	40692	 	AB	51943343
230279	784	1995-04-12	VYDAJ	PREVOD NA UCET	701	39413	 	AB	51943343
230280	784	1995-05-12	VYDAJ	PREVOD NA UCET	701	38573	 	AB	51943343
230281	784	1995-06-12	VYDAJ	PREVOD NA UCET	701	35874	 	AB	51943343
230282	784	1995-07-12	VYDAJ	PREVOD NA UCET	701	39639	 	AB	51943343
230283	784	1995-08-12	VYDAJ	PREVOD NA UCET	701	35744	 	AB	51943343
230284	784	1995-09-12	VYDAJ	PREVOD NA UCET	701	36214	 	AB	51943343
230285	784	1995-10-12	VYDAJ	PREVOD NA UCET	701	39790	 	AB	51943343
230286	784	1995-11-12	VYDAJ	PREVOD NA UCET	701	37377	 	AB	51943343
230287	784	1995-12-12	VYDAJ	PREVOD NA UCET	701	28102	 	AB	51943343
230288	784	1996-01-12	VYDAJ	PREVOD NA UCET	701	29831	 	AB	51943343
230289	784	1996-02-12	VYDAJ	PREVOD NA UCET	701	25008	 	AB	51943343
230290	784	1996-03-12	VYDAJ	PREVOD NA UCET	701	31223	 	AB	51943343
230291	784	1996-04-12	VYDAJ	PREVOD NA UCET	701	30166	 	AB	51943343
230292	784	1996-05-12	VYDAJ	PREVOD NA UCET	701	29089	 	AB	51943343
230293	784	1996-06-12	VYDAJ	PREVOD NA UCET	701	25728	 	AB	51943343
230294	784	1996-07-12	VYDAJ	PREVOD NA UCET	701	24046	 	AB	51943343
230295	784	1996-08-12	VYDAJ	PREVOD NA UCET	701	19457	 	AB	51943343
230296	784	1996-09-12	VYDAJ	PREVOD NA UCET	701	21053	 	AB	51943343
230297	784	1996-10-12	VYDAJ	PREVOD NA UCET	701	18555	 	AB	51943343
230298	784	1996-11-12	VYDAJ	PREVOD NA UCET	701	17551	 	AB	51943343
230299	784	1996-12-12	VYDAJ	PREVOD NA UCET	701	15438	 	AB	51943343
230300	784	1997-01-12	VYDAJ	PREVOD NA UCET	701	23578	 	AB	51943343
230301	784	1997-02-12	VYDAJ	PREVOD NA UCET	701	11236	 	AB	51943343
230302	784	1997-03-12	VYDAJ	PREVOD NA UCET	701	12092	 	AB	51943343
230303	784	1997-04-12	VYDAJ	PREVOD NA UCET	701	17358	 	AB	51943343
230304	784	1997-05-12	VYDAJ	PREVOD NA UCET	701	16860	 	AB	51943343
230305	784	1997-06-12	VYDAJ	PREVOD NA UCET	701	16844	 	AB	51943343
230306	784	1997-07-12	VYDAJ	PREVOD NA UCET	701	20982	 	AB	51943343
230307	784	1997-08-12	VYDAJ	PREVOD NA UCET	701	14508	 	AB	51943343
230308	784	1997-09-12	VYDAJ	PREVOD NA UCET	701	18881	 	AB	51943343
230309	784	1997-10-12	VYDAJ	PREVOD NA UCET	701	23353	 	AB	51943343
230310	784	1997-11-12	VYDAJ	PREVOD NA UCET	701	25243	 	AB	51943343
230311	784	1997-12-12	VYDAJ	PREVOD NA UCET	701	21378	 	AB	51943343
230312	784	1998-01-12	VYDAJ	PREVOD NA UCET	701	22275	 	AB	51943343
230313	784	1998-02-12	VYDAJ	PREVOD NA UCET	701	18467	 	AB	51943343
230314	784	1998-03-12	VYDAJ	PREVOD NA UCET	701	22032	 	AB	51943343
230315	784	1998-04-12	VYDAJ	PREVOD NA UCET	701	21512	 	AB	51943343
230316	784	1998-05-12	VYDAJ	PREVOD NA UCET	701	23290	 	AB	51943343
230317	784	1998-06-12	VYDAJ	PREVOD NA UCET	701	24773	 	AB	51943343
230318	784	1998-07-12	VYDAJ	PREVOD NA UCET	701	28855	 	AB	51943343
230319	784	1998-08-12	VYDAJ	PREVOD NA UCET	701	23254	 	AB	51943343
230320	784	1998-09-12	VYDAJ	PREVOD NA UCET	701	21729	 	AB	51943343
230321	784	1998-10-12	VYDAJ	PREVOD NA UCET	701	19619	 	AB	51943343
230322	784	1998-11-12	VYDAJ	PREVOD NA UCET	701	19079	 	AB	51943343
230323	784	1998-12-12	VYDAJ	PREVOD NA UCET	701	18233	 	AB	51943343
230325	784	1995-06-29	VYDAJ	VYBER	21120	42950	\N	\N	\N
230326	784	1996-06-28	VYDAJ	VYBER	19360	40964	\N	\N	\N
230330	784	1995-01-04	VYDAJ	VYBER	4160	40114	\N	\N	\N
230331	784	1996-01-05	VYDAJ	VYBER	9760	45341	\N	\N	\N
230332	784	1997-01-26	VYDAJ	VYBER	7360	31122	\N	\N	\N
230333	784	1998-01-23	VYDAJ	VYBER	4480	36419	\N	\N	\N
230334	784	1994-12-23	VYDAJ	VYBER	4000	44102	\N	\N	\N
230335	784	1995-12-10	VYDAJ	VYBER	4640	43712	\N	\N	\N
230336	784	1996-12-09	VYDAJ	VYBER	3040	17733	\N	\N	\N
230337	784	1997-12-07	VYDAJ	VYBER	1760	24888	\N	\N	\N
230345	784	1995-01-27	VYDAJ	VYBER	3000	24188	\N	\N	\N
230346	784	1995-01-05	VYDAJ	VYBER	720	39394	\N	\N	\N
230347	784	1995-01-20	VYDAJ	VYBER	3360	29948	\N	\N	\N
230348	784	1995-01-15	VYDAJ	VYBER	2760	36788	\N	\N	\N
230349	784	1995-01-20	VYDAJ	VYBER	3480	33308	\N	\N	\N
230350	784	1995-01-26	VYDAJ	VYBER	2760	27188	\N	\N	\N
230351	784	1996-01-24	VYDAJ	VYBER	1440	49295	\N	\N	\N
230352	784	1996-01-15	VYDAJ	VYBER	840	52055	\N	\N	\N
230353	784	1996-01-28	VYDAJ	VYBER	1560	47735	\N	\N	\N
230354	784	1996-01-23	VYDAJ	VYBER	1320	50735	\N	\N	\N
230355	784	1996-01-30	VYDAJ	VYBER	1920	42335	\N	\N	\N
230356	784	1996-01-29	VYDAJ	VYBER	3480	44255	\N	\N	\N
230357	784	1997-01-26	VYDAJ	VYBER	720	30402	\N	\N	\N
230358	784	1997-01-17	VYDAJ	VYBER	2400	42802	\N	\N	\N
230359	784	1997-01-30	VYDAJ	VYBER	600	29802	\N	\N	\N
230360	784	1997-01-21	VYDAJ	VYBER	2520	40282	\N	\N	\N
230361	784	1997-01-14	VYDAJ	VYBER	1440	45202	\N	\N	\N
230362	784	1997-01-24	VYDAJ	VYBER	1800	38482	\N	\N	\N
230363	784	1998-01-16	VYDAJ	VYBER	3120	42219	\N	\N	\N
230364	784	1998-01-18	VYDAJ	VYBER	1320	40899	\N	\N	\N
230365	784	1998-01-28	VYDAJ	VYBER	3000	21859	\N	\N	\N
230366	784	1998-01-10	VYDAJ	VYBER	2280	23085	\N	\N	\N
230367	784	1998-01-27	VYDAJ	VYBER	2760	33659	\N	\N	\N
230368	784	1998-01-05	VYDAJ	VYBER	2160	28065	\N	\N	\N
230371	784	1994-09-25	VYDAJ	VYBER	5880	39616	\N	\N	\N
230372	784	1995-12-13	VYDAJ	VYBER	2880	25222	\N	\N	\N
230373	784	1995-11-17	VYDAJ	VYBER	4920	50841	\N	\N	\N
230374	784	1995-11-14	VYDAJ	VYBER	4680	55761	\N	\N	\N
230375	784	1995-08-04	VYDAJ	VYBER	3240	52154	\N	\N	\N
230376	784	1995-12-24	VYDAJ	VYBER	4920	54898	\N	\N	\N
230377	784	1995-05-19	VYDAJ	VYBER	3720	39217	\N	\N	\N
230378	784	1996-11-24	VYDAJ	VYBER	2760	37855	\N	\N	\N
230379	784	1996-08-02	VYDAJ	VYBER	1080	46187	\N	\N	\N
230380	784	1996-08-06	VYDAJ	VYBER	4920	41267	\N	\N	\N
230381	784	1996-05-01	VYDAJ	VYBER	2520	50899	\N	\N	\N
230383	784	1997-04-29	VYDAJ	VYBER	2280	38142	\N	\N	\N
230384	784	1997-06-20	VYDAJ	VYBER	4200	47240	\N	\N	\N
230385	784	1997-08-06	VYDAJ	VYBER	4680	18018	\N	\N	\N
230387	784	1998-12-25	VYDAJ	VYBER	5400	21529	\N	\N	\N
230388	784	1998-06-25	VYDAJ	VYBER	2760	56609	\N	\N	\N
230389	784	1998-10-01	VYDAJ	VYBER	2880	23129	\N	\N	\N
230401	784	1994-09-30	VYDAJ	VYBER	15	39790	SLUZBY	\N	\N
230402	784	1994-10-31	VYDAJ	VYBER	15	41302	SLUZBY	\N	\N
230403	784	1994-11-30	VYDAJ	VYBER	15	42016	SLUZBY	\N	\N
230404	784	1994-12-31	VYDAJ	VYBER	15	44274	SLUZBY	\N	\N
230405	784	1995-01-31	VYDAJ	VYBER	15	24319	SLUZBY	\N	\N
230406	784	1995-02-28	VYDAJ	VYBER	15	44202	SLUZBY	\N	\N
230407	784	1995-03-31	VYDAJ	VYBER	15	42923	SLUZBY	\N	\N
230408	784	1995-04-30	VYDAJ	VYBER	15	42083	SLUZBY	\N	\N
230409	784	1995-05-31	VYDAJ	VYBER	15	39384	SLUZBY	\N	\N
230410	784	1995-06-30	VYDAJ	VYBER	15	43149	SLUZBY	\N	\N
230411	784	1995-07-31	VYDAJ	VYBER	15	55394	SLUZBY	\N	\N
230412	784	1995-08-31	VYDAJ	VYBER	15	59024	SLUZBY	\N	\N
230413	784	1995-09-30	VYDAJ	VYBER	15	59500	SLUZBY	\N	\N
230414	784	1995-10-31	VYDAJ	VYBER	15	63087	SLUZBY	\N	\N
230415	784	1995-11-30	VYDAJ	VYBER	15	51052	SLUZBY	\N	\N
230416	784	1995-12-31	VYDAJ	VYBER	15	55101	SLUZBY	\N	\N
230417	784	1996-01-31	VYDAJ	VYBER	15	42518	SLUZBY	\N	\N
230418	784	1996-02-29	VYDAJ	VYBER	15	48233	SLUZBY	\N	\N
230419	784	1996-03-31	VYDAJ	VYBER	15	54476	SLUZBY	\N	\N
230420	784	1996-04-30	VYDAJ	VYBER	15	53419	SLUZBY	\N	\N
230421	784	1996-05-31	VYDAJ	VYBER	15	52338	SLUZBY	\N	\N
230422	784	1996-06-30	VYDAJ	VYBER	15	41156	SLUZBY	\N	\N
230423	784	1996-07-31	VYDAJ	VYBER	15	47267	SLUZBY	\N	\N
230424	784	1996-08-31	VYDAJ	VYBER	15	42663	SLUZBY	\N	\N
230425	784	1996-09-30	VYDAJ	VYBER	15	44265	SLUZBY	\N	\N
230426	784	1996-10-31	VYDAJ	VYBER	15	41761	SLUZBY	\N	\N
230427	784	1996-11-30	VYDAJ	VYBER	15	37988	SLUZBY	\N	\N
230428	784	1996-12-31	VYDAJ	VYBER	15	50188	SLUZBY	\N	\N
230429	784	1997-01-31	VYDAJ	VYBER	15	29946	SLUZBY	\N	\N
230430	784	1997-02-28	VYDAJ	VYBER	15	34402	SLUZBY	\N	\N
230431	784	1997-03-31	VYDAJ	VYBER	15	35268	SLUZBY	\N	\N
230432	784	1997-04-30	VYDAJ	VYBER	15	38270	SLUZBY	\N	\N
230433	784	1997-05-31	VYDAJ	VYBER	15	40054	SLUZBY	\N	\N
230434	784	1997-06-30	VYDAJ	VYBER	15	47392	SLUZBY	\N	\N
230435	784	1997-07-31	VYDAJ	VYBER	15	44198	SLUZBY	\N	\N
230436	784	1997-08-31	VYDAJ	VYBER	15	37691	SLUZBY	\N	\N
230437	784	1997-09-30	VYDAJ	VYBER	15	42063	SLUZBY	\N	\N
230438	784	1997-10-31	VYDAJ	VYBER	15	28753	SLUZBY	\N	\N
230439	784	1997-11-30	VYDAJ	VYBER	15	26648	SLUZBY	\N	\N
230440	784	1997-12-31	VYDAJ	VYBER	15	30225	SLUZBY	\N	\N
230441	784	1998-01-31	VYDAJ	VYBER	15	21977	SLUZBY	\N	\N
230442	784	1998-02-28	VYDAJ	VYBER	15	25542	SLUZBY	\N	\N
230443	784	1998-03-31	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
230444	784	1998-04-30	VYDAJ	VYBER	15	26800	SLUZBY	\N	\N
230445	784	1998-05-31	VYDAJ	VYBER	15	28283	SLUZBY	\N	\N
230446	784	1998-06-30	VYDAJ	VYBER	15	32365	SLUZBY	\N	\N
230447	784	1998-07-31	VYDAJ	VYBER	15	26764	SLUZBY	\N	\N
230448	784	1998-08-31	VYDAJ	VYBER	15	25239	SLUZBY	\N	\N
230449	784	1998-09-30	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
230450	784	1998-10-31	VYDAJ	VYBER	15	22589	SLUZBY	\N	\N
230451	784	1998-11-30	VYDAJ	VYBER	15	21743	SLUZBY	\N	\N
230452	784	1994-05-19	PRIJEM	VKLAD	1200	25264	\N	\N	\N
230453	784	1994-06-18	VYDAJ	VYBER	18700	41204	\N	\N	\N
230454	784	1994-07-18	VYDAJ	VYBER	20700	43702	\N	\N	\N
230455	784	1994-08-17	VYDAJ	VYBER	19500	47443	\N	\N	\N
230456	784	1994-09-16	VYDAJ	VYBER	25200	45496	\N	\N	\N
230457	784	1994-10-16	VYDAJ	VYBER	18200	41144	\N	\N	\N
230458	784	1994-11-15	VYDAJ	VYBER	19000	41856	\N	\N	\N
230459	784	1994-12-15	VYDAJ	VYBER	25000	48102	\N	\N	\N
230460	784	1995-01-14	VYDAJ	VYBER	19400	39548	\N	\N	\N
230461	784	1995-02-13	PRIJEM	VKLAD	200	21009	\N	\N	\N
230462	784	1995-03-15	VYDAJ	VYBER	21000	42756	\N	\N	\N
230463	784	1995-04-14	VYDAJ	VYBER	20600	41877	\N	\N	\N
230464	784	1995-05-14	VYDAJ	VYBER	18700	42937	\N	\N	\N
230465	784	1995-06-13	VYDAJ	VYBER	6400	29474	\N	\N	\N
230466	784	1995-07-13	VYDAJ	VYBER	7500	32139	\N	\N	\N
230467	784	1995-08-12	VYDAJ	VYBER	12900	36445	\N	\N	\N
230468	784	1995-09-11	VYDAJ	VYBER	19300	37024	\N	\N	\N
230469	784	1995-10-11	VYDAJ	VYBER	16200	40600	\N	\N	\N
230470	784	1995-11-10	VYDAJ	VYBER	22200	38187	\N	\N	\N
230471	784	1995-12-10	VYDAJ	VYBER	14800	28912	\N	\N	\N
230472	784	1996-01-09	VYDAJ	VYBER	12000	32126	\N	\N	\N
230473	784	1996-02-08	VYDAJ	VYBER	14000	27303	\N	\N	\N
230474	784	1996-03-09	VYDAJ	VYBER	13500	33518	\N	\N	\N
230475	784	1996-04-08	VYDAJ	VYBER	20800	33676	\N	\N	\N
230476	784	1996-05-08	VYDAJ	VYBER	18300	31384	\N	\N	\N
230477	784	1996-06-07	VYDAJ	VYBER	23100	29238	\N	\N	\N
230478	784	1996-07-07	VYDAJ	VYBER	13600	27556	\N	\N	\N
230479	784	1996-08-06	VYDAJ	VYBER	18300	22967	\N	\N	\N
230480	784	1996-09-05	VYDAJ	VYBER	18100	24563	\N	\N	\N
230481	784	1996-10-05	VYDAJ	VYBER	22200	22065	\N	\N	\N
230482	784	1996-11-04	VYDAJ	VYBER	20700	21061	\N	\N	\N
230483	784	1996-12-04	VYDAJ	VYBER	16000	21988	\N	\N	\N
230484	784	1997-01-03	VYDAJ	VYBER	23100	27088	\N	\N	\N
230485	784	1997-02-02	VYDAJ	VYBER	15200	14746	\N	\N	\N
230486	784	1997-03-04	VYDAJ	VYBER	18800	15602	\N	\N	\N
230487	784	1997-04-03	VYDAJ	VYBER	14400	20868	\N	\N	\N
230488	784	1997-05-03	VYDAJ	VYBER	17900	20370	\N	\N	\N
230489	784	1997-06-02	VYDAJ	VYBER	19700	20354	\N	\N	\N
230490	784	1997-07-02	VYDAJ	VYBER	22900	24492	\N	\N	\N
230491	784	1997-08-01	VYDAJ	VYBER	21500	22698	\N	\N	\N
230492	784	1997-08-31	VYDAJ	VYBER	15300	22391	\N	\N	\N
230493	784	1997-09-30	VYDAJ	VYBER	15200	26863	\N	\N	\N
230494	784	1997-10-30	VYDAJ	VYBER	17800	28617	\N	\N	\N
230495	784	1997-11-29	VYDAJ	VYBER	21800	26507	\N	\N	\N
230496	784	1997-12-29	VYDAJ	VYBER	25900	30074	\N	\N	\N
230497	784	1998-01-28	VYDAJ	VYBER	8800	24859	\N	\N	\N
230498	784	1998-02-27	VYDAJ	VYBER	16100	25431	\N	\N	\N
230499	784	1998-03-29	VYDAJ	VYBER	20200	24896	\N	\N	\N
230500	784	1998-04-28	VYDAJ	VYBER	17900	26676	\N	\N	\N
230501	784	1998-05-28	VYDAJ	VYBER	18200	28154	\N	\N	\N
230502	784	1998-06-27	VYDAJ	VYBER	24400	32209	\N	\N	\N
230503	784	1998-07-27	VYDAJ	VYBER	25300	26619	\N	\N	\N
230504	784	1998-08-26	VYDAJ	VYBER	21200	25118	\N	\N	\N
230505	784	1998-09-25	VYDAJ	VYBER	18900	25893	\N	\N	\N
230506	784	1998-10-25	VYDAJ	VYBER	20200	22483	\N	\N	\N
230507	784	1998-11-24	VYDAJ	VYBER	20500	21643	\N	\N	\N
230508	784	1998-12-24	VYDAJ	VYBER	25900	26929	\N	\N	\N
230565	785	1997-08-09	PRIJEM	VKLAD	700	700	\N	\N	\N
230573	785	1997-08-12	PRIJEM	PREVOD Z UCTU	26015	26715	\N	YZ	27742272
230574	785	1997-09-12	PRIJEM	PREVOD Z UCTU	26015	53102	\N	YZ	27742272
230575	785	1997-10-12	PRIJEM	PREVOD Z UCTU	26015	68898	\N	YZ	27742272
230576	785	1997-11-12	PRIJEM	PREVOD Z UCTU	26015	74877	\N	YZ	27742272
230577	785	1997-12-12	PRIJEM	PREVOD Z UCTU	39022	93801	\N	YZ	27742272
230578	785	1998-01-12	PRIJEM	PREVOD Z UCTU	26015	62775	\N	YZ	27742272
230579	785	1998-02-12	PRIJEM	PREVOD Z UCTU	26015	54487	\N	YZ	27742272
230580	785	1998-03-12	PRIJEM	PREVOD Z UCTU	26015	53662	\N	YZ	27742272
230581	785	1998-04-12	PRIJEM	PREVOD Z UCTU	26015	56693	\N	YZ	27742272
230582	785	1998-05-12	PRIJEM	PREVOD Z UCTU	26015	64847	\N	YZ	27742272
230583	785	1998-06-12	PRIJEM	PREVOD Z UCTU	39022	71221	\N	YZ	27742272
230584	785	1998-07-12	PRIJEM	PREVOD Z UCTU	26015	47111	\N	YZ	27742272
230585	785	1998-08-12	PRIJEM	PREVOD Z UCTU	26015	44826	\N	YZ	27742272
230586	785	1998-09-12	PRIJEM	PREVOD Z UCTU	26015	49216	\N	YZ	27742272
230587	785	1998-10-12	PRIJEM	PREVOD Z UCTU	26015	52935	\N	YZ	27742272
230588	785	1998-11-12	PRIJEM	PREVOD Z UCTU	26015	53249	\N	YZ	27742272
230589	785	1998-12-12	PRIJEM	PREVOD Z UCTU	39022	63189	\N	YZ	27742272
230601	785	1997-12-16	VYDAJ	VYBER	5300	88501	\N	\N	0
230602	785	1998-01-11	VYDAJ	VYBER	2900	36760	\N	\N	0
230603	785	1998-02-12	VYDAJ	PREVOD NA UCET	4336	50151	UVER	MN	34928149
230604	785	1998-03-12	VYDAJ	PREVOD NA UCET	4336	49327	UVER	MN	34928149
230605	785	1998-04-12	VYDAJ	PREVOD NA UCET	4336	52357	UVER	MN	34928149
230606	785	1998-05-12	VYDAJ	PREVOD NA UCET	4336	60511	UVER	MN	34928149
230607	785	1998-06-12	VYDAJ	PREVOD NA UCET	4336	66885	UVER	MN	34928149
230608	785	1998-07-12	VYDAJ	PREVOD NA UCET	4336	42775	UVER	MN	34928149
230609	785	1998-08-12	VYDAJ	PREVOD NA UCET	4336	40490	UVER	MN	34928149
230610	785	1998-09-12	VYDAJ	PREVOD NA UCET	4336	44880	UVER	MN	34928149
230611	785	1998-10-12	VYDAJ	PREVOD NA UCET	4336	48599	UVER	MN	34928149
230612	785	1998-11-12	VYDAJ	PREVOD NA UCET	4336	48913	UVER	MN	34928149
230613	785	1998-12-12	VYDAJ	PREVOD NA UCET	4336	58854	UVER	MN	34928149
230626	785	1998-01-08	VYDAJ	PREVOD NA UCET	7395	39660	SIPO	CD	69687145
230627	785	1998-02-08	VYDAJ	PREVOD NA UCET	7395	28472	SIPO	CD	69687145
230628	785	1998-03-08	VYDAJ	PREVOD NA UCET	7395	27647	SIPO	CD	69687145
230629	785	1998-04-08	VYDAJ	PREVOD NA UCET	7395	30678	SIPO	CD	69687145
230630	785	1998-05-08	VYDAJ	PREVOD NA UCET	7395	38832	SIPO	CD	69687145
230631	785	1998-06-08	VYDAJ	PREVOD NA UCET	7395	32199	SIPO	CD	69687145
230632	785	1998-07-08	VYDAJ	PREVOD NA UCET	7395	21096	SIPO	CD	69687145
230633	785	1998-08-08	VYDAJ	PREVOD NA UCET	7395	18811	SIPO	CD	69687145
230634	785	1998-09-08	VYDAJ	PREVOD NA UCET	7395	23201	SIPO	CD	69687145
230635	785	1998-10-08	VYDAJ	PREVOD NA UCET	7395	26920	SIPO	CD	69687145
230636	785	1998-11-08	VYDAJ	PREVOD NA UCET	7395	27234	SIPO	CD	69687145
230637	785	1998-12-08	VYDAJ	PREVOD NA UCET	7395	24167	SIPO	CD	69687145
230642	785	1997-12-18	VYBER	VYBER	16432	72069	\N	\N	\N
230645	785	1998-12-27	VYBER	VYBER	13419	45435	\N	\N	\N
230646	785	1998-09-26	VYBER	VYBER	9796	35084	\N	\N	\N
230647	785	1998-04-02	VYBER	VYBER	11314	38173	\N	\N	\N
230648	785	1998-07-27	VYBER	VYBER	21585	21190	\N	\N	\N
230649	785	1998-02-28	VYBER	VYBER	3055	33472	\N	\N	\N
230651	785	1998-06-29	VYDAJ	VYBER	40200	26685	\N	\N	\N
230652	785	1997-12-28	VYDAJ	VYBER	8400	63669	\N	\N	\N
230653	785	1998-12-06	VYDAJ	VYBER	6600	31562	\N	\N	\N
230660	785	1998-01-13	VYDAJ	VYBER	2700	60075	\N	\N	\N
230661	785	1998-01-23	VYDAJ	VYBER	5400	54675	\N	\N	\N
230662	785	1998-01-29	VYDAJ	VYBER	8100	39075	\N	\N	\N
230663	785	1998-01-25	VYDAJ	VYBER	2400	47175	\N	\N	\N
230664	785	1998-01-25	VYDAJ	VYBER	5100	49575	\N	\N	\N
230665	785	1998-01-02	VYDAJ	VYBER	7800	56155	\N	\N	\N
230672	785	1998-02-22	VYDAJ	VYBER	13800	36351	\N	\N	\N
230673	785	1998-06-03	VYDAJ	VYBER	2400	44794	\N	\N	\N
230674	785	1998-05-21	VYDAJ	VYBER	13500	47011	\N	\N	\N
230675	785	1998-10-21	VYDAJ	VYBER	12300	36299	\N	\N	\N
230676	785	1998-08-30	VYDAJ	VYBER	11100	29390	\N	\N	\N
230689	785	1997-12-31	VYDAJ	VYBER	30	63955	SLUZBY	\N	\N
230690	785	1998-01-31	VYDAJ	VYBER	30	39267	SLUZBY	\N	\N
230691	785	1998-02-28	VYDAJ	VYBER	30	33442	SLUZBY	\N	\N
230692	785	1998-03-31	VYDAJ	VYBER	30	49487	SLUZBY	\N	\N
230693	785	1998-04-30	VYDAJ	VYBER	30	52527	SLUZBY	\N	\N
230694	785	1998-05-31	VYDAJ	VYBER	30	47194	SLUZBY	\N	\N
230695	785	1998-06-30	VYDAJ	VYBER	30	26891	SLUZBY	\N	\N
230696	785	1998-07-31	VYDAJ	VYBER	30	21306	SLUZBY	\N	\N
230697	785	1998-08-31	VYDAJ	VYBER	30	29496	SLUZBY	\N	\N
230698	785	1998-09-30	VYDAJ	VYBER	30	35215	SLUZBY	\N	\N
230699	785	1998-10-31	VYDAJ	VYBER	30	36429	SLUZBY	\N	\N
230700	785	1998-11-30	VYDAJ	VYBER	30	49062	SLUZBY	\N	\N
230701	785	1997-09-08	PRIJEM	VKLAD	300	27087	\N	\N	\N
230702	785	1997-10-08	VYDAJ	VYBER	10400	42883	\N	\N	\N
230703	785	1997-11-07	VYDAJ	VYBER	20300	48862	\N	\N	\N
230704	785	1997-12-07	VYDAJ	VYBER	20400	54779	\N	\N	\N
230705	785	1998-01-06	VYDAJ	VYBER	9100	47055	\N	\N	\N
230706	785	1998-02-05	VYDAJ	VYBER	3400	35867	\N	\N	\N
230707	785	1998-03-07	PRIJEM	VKLAD	1600	35042	\N	\N	\N
230708	785	1998-04-06	VYDAJ	VYBER	100	38073	\N	\N	\N
230709	785	1998-05-06	VYDAJ	VYBER	6300	46227	\N	\N	\N
230710	785	1998-06-05	VYDAJ	VYBER	5200	39594	\N	\N	\N
230711	785	1998-07-05	PRIJEM	VKLAD	1600	28491	\N	\N	\N
230712	785	1998-08-04	PRIJEM	VKLAD	4900	26206	\N	\N	\N
230713	785	1998-09-03	PRIJEM	VKLAD	1100	30596	\N	\N	\N
230714	785	1998-10-03	VYDAJ	VYBER	900	34315	\N	\N	\N
230715	785	1998-11-02	VYDAJ	VYBER	1800	34629	\N	\N	\N
230716	785	1998-12-02	VYDAJ	VYBER	10900	38162	\N	\N	\N
230734	786	1995-08-12	PRIJEM	VKLAD	900	900	\N	\N	\N
230743	786	1995-09-11	PRIJEM	VKLAD	17467	18367	\N	\N	\N
230744	786	1995-10-11	PRIJEM	VKLAD	17467	39595	\N	\N	\N
230745	786	1995-11-11	PRIJEM	VKLAD	17467	45804	\N	\N	\N
230746	786	1995-12-11	PRIJEM	VKLAD	26201	61786	\N	\N	\N
230747	786	1996-01-11	PRIJEM	VKLAD	17467	64289	\N	\N	\N
230748	786	1996-02-11	PRIJEM	VKLAD	17467	46229	\N	\N	\N
230749	786	1996-03-11	PRIJEM	VKLAD	17467	53620	\N	\N	\N
230750	786	1996-04-11	PRIJEM	VKLAD	17467	56448	\N	\N	\N
230751	786	1996-05-11	PRIJEM	VKLAD	17467	60094	\N	\N	\N
230752	786	1996-06-11	PRIJEM	VKLAD	26201	67720	\N	\N	\N
230753	786	1996-07-11	PRIJEM	VKLAD	17467	49789	\N	\N	\N
230754	786	1996-08-11	PRIJEM	VKLAD	17467	58894	\N	\N	\N
230755	786	1996-09-11	PRIJEM	VKLAD	17467	63739	\N	\N	\N
230756	786	1996-10-11	PRIJEM	VKLAD	17467	60604	\N	\N	\N
230757	786	1996-11-11	PRIJEM	VKLAD	17467	61062	\N	\N	\N
230758	786	1996-12-11	PRIJEM	VKLAD	26201	69503	\N	\N	\N
230759	786	1997-01-11	PRIJEM	VKLAD	17467	60142	\N	\N	\N
230760	786	1997-02-11	PRIJEM	VKLAD	17467	57430	\N	\N	\N
230761	786	1997-03-11	PRIJEM	VKLAD	17467	63781	\N	\N	\N
230762	786	1997-04-11	PRIJEM	VKLAD	17467	65953	\N	\N	\N
230763	786	1997-05-11	PRIJEM	VKLAD	17467	65338	\N	\N	\N
230764	786	1997-06-11	PRIJEM	VKLAD	26201	71659	\N	\N	\N
230765	786	1997-07-11	PRIJEM	VKLAD	17467	55237	\N	\N	\N
230766	786	1997-08-11	PRIJEM	VKLAD	17467	51556	\N	\N	\N
230767	786	1997-09-11	PRIJEM	VKLAD	17467	62473	\N	\N	\N
230768	786	1997-10-11	PRIJEM	VKLAD	17467	67631	\N	\N	\N
230769	786	1997-11-11	PRIJEM	VKLAD	17467	74708	\N	\N	\N
230770	786	1997-12-11	PRIJEM	VKLAD	26201	88348	\N	\N	\N
230771	786	1998-01-11	PRIJEM	VKLAD	17467	79124	\N	\N	\N
230772	786	1998-02-11	PRIJEM	VKLAD	17467	62518	\N	\N	\N
230773	786	1998-03-11	PRIJEM	VKLAD	17467	66676	\N	\N	\N
230774	786	1998-04-11	PRIJEM	VKLAD	17467	66245	\N	\N	\N
230775	786	1998-05-11	PRIJEM	VKLAD	17467	61724	\N	\N	\N
230776	786	1998-06-11	PRIJEM	VKLAD	26201	75811	\N	\N	\N
230777	786	1998-07-11	PRIJEM	VKLAD	17467	69600	\N	\N	\N
230778	786	1998-08-11	PRIJEM	VKLAD	17467	66675	\N	\N	\N
230779	786	1998-09-11	PRIJEM	VKLAD	17467	71843	\N	\N	\N
230780	786	1998-10-11	PRIJEM	VKLAD	17467	72528	\N	\N	\N
230781	786	1998-11-11	PRIJEM	VKLAD	17467	72932	\N	\N	\N
230782	786	1998-12-11	PRIJEM	VKLAD	26201	88459	\N	\N	\N
230795	786	1996-01-14	VYDAJ	PREVOD NA UCET	4953	58251	SIPO	MN	96078651
230796	786	1996-02-14	VYDAJ	PREVOD NA UCET	4953	40911	SIPO	MN	96078651
230797	786	1996-03-14	VYDAJ	PREVOD NA UCET	4953	48302	SIPO	MN	96078651
230798	786	1996-04-14	VYDAJ	PREVOD NA UCET	4953	51130	SIPO	MN	96078651
230799	786	1996-05-14	VYDAJ	PREVOD NA UCET	4953	54056	SIPO	MN	96078651
230800	786	1996-06-14	VYDAJ	PREVOD NA UCET	4953	62402	SIPO	MN	96078651
230801	786	1996-07-14	VYDAJ	PREVOD NA UCET	4953	44471	SIPO	MN	96078651
230802	786	1996-08-14	VYDAJ	PREVOD NA UCET	4953	53576	SIPO	MN	96078651
230803	786	1996-09-14	VYDAJ	PREVOD NA UCET	4953	56141	SIPO	MN	96078651
230804	786	1996-10-14	VYDAJ	PREVOD NA UCET	4953	55286	SIPO	MN	96078651
230805	786	1996-11-14	VYDAJ	PREVOD NA UCET	4953	55744	SIPO	MN	96078651
230806	786	1996-12-14	VYDAJ	PREVOD NA UCET	4953	64185	SIPO	MN	96078651
230807	786	1997-01-14	VYDAJ	PREVOD NA UCET	4953	54824	SIPO	MN	96078651
230808	786	1997-02-14	VYDAJ	PREVOD NA UCET	4953	52112	SIPO	MN	96078651
230809	786	1997-03-14	VYDAJ	PREVOD NA UCET	4953	58463	SIPO	MN	96078651
230810	786	1997-04-14	VYDAJ	PREVOD NA UCET	4953	60635	SIPO	MN	96078651
230811	786	1997-05-14	VYDAJ	PREVOD NA UCET	4953	60020	SIPO	MN	96078651
230812	786	1997-06-14	VYDAJ	PREVOD NA UCET	4953	66341	SIPO	MN	96078651
230813	786	1997-07-14	VYDAJ	PREVOD NA UCET	4953	49919	SIPO	MN	96078651
230814	786	1997-08-14	VYDAJ	PREVOD NA UCET	4953	46238	SIPO	MN	96078651
230815	786	1997-09-14	VYDAJ	PREVOD NA UCET	4953	57155	SIPO	MN	96078651
230816	786	1997-10-14	VYDAJ	PREVOD NA UCET	4953	62313	SIPO	MN	96078651
230817	786	1997-11-14	VYDAJ	PREVOD NA UCET	4953	69390	SIPO	MN	96078651
230818	786	1997-12-14	VYDAJ	PREVOD NA UCET	4953	83030	SIPO	MN	96078651
230819	786	1998-01-14	VYDAJ	PREVOD NA UCET	4953	73806	SIPO	MN	96078651
230820	786	1998-02-14	VYDAJ	PREVOD NA UCET	4953	57200	SIPO	MN	96078651
230821	786	1998-03-14	VYDAJ	PREVOD NA UCET	4953	61358	SIPO	MN	96078651
230822	786	1998-04-14	VYDAJ	PREVOD NA UCET	4953	60927	SIPO	MN	96078651
230823	786	1998-05-14	VYDAJ	PREVOD NA UCET	4953	56406	SIPO	MN	96078651
230824	786	1998-06-14	VYDAJ	PREVOD NA UCET	4953	70493	SIPO	MN	96078651
230825	786	1998-07-14	VYDAJ	PREVOD NA UCET	4953	64282	SIPO	MN	96078651
230826	786	1998-08-14	VYDAJ	PREVOD NA UCET	4953	61357	SIPO	MN	96078651
230827	786	1998-09-14	VYDAJ	PREVOD NA UCET	4953	66525	SIPO	MN	96078651
230828	786	1998-10-14	VYDAJ	PREVOD NA UCET	4953	67210	SIPO	MN	96078651
230829	786	1998-11-14	VYDAJ	PREVOD NA UCET	4953	67614	SIPO	MN	96078651
230830	786	1998-12-14	VYDAJ	PREVOD NA UCET	4953	83141	SIPO	MN	96078651
230843	786	1996-01-11	VYDAJ	PREVOD NA UCET	365	63924	 	IJ	47281622
230844	786	1996-02-11	VYDAJ	PREVOD NA UCET	365	45864	 	IJ	47281622
230845	786	1996-03-11	VYDAJ	PREVOD NA UCET	365	53255	 	IJ	47281622
230846	786	1996-04-11	VYDAJ	PREVOD NA UCET	365	56083	 	IJ	47281622
230847	786	1996-05-11	VYDAJ	PREVOD NA UCET	365	59729	 	IJ	47281622
230848	786	1996-06-11	VYDAJ	PREVOD NA UCET	365	67355	 	IJ	47281622
230849	786	1996-07-11	VYDAJ	PREVOD NA UCET	365	49424	 	IJ	47281622
230850	786	1996-08-11	VYDAJ	PREVOD NA UCET	365	58529	 	IJ	47281622
230851	786	1996-09-11	VYDAJ	PREVOD NA UCET	365	63374	 	IJ	47281622
230852	786	1996-10-11	VYDAJ	PREVOD NA UCET	365	60239	 	IJ	47281622
230853	786	1996-11-11	VYDAJ	PREVOD NA UCET	365	60697	 	IJ	47281622
230854	786	1996-12-11	VYDAJ	PREVOD NA UCET	365	69138	 	IJ	47281622
230855	786	1997-01-11	VYDAJ	PREVOD NA UCET	365	59777	 	IJ	47281622
230856	786	1997-02-11	VYDAJ	PREVOD NA UCET	365	57065	 	IJ	47281622
230857	786	1997-03-11	VYDAJ	PREVOD NA UCET	365	63416	 	IJ	47281622
230858	786	1997-04-11	VYDAJ	PREVOD NA UCET	365	65588	 	IJ	47281622
230859	786	1997-05-11	VYDAJ	PREVOD NA UCET	365	64973	 	IJ	47281622
230860	786	1997-06-11	VYDAJ	PREVOD NA UCET	365	71294	 	IJ	47281622
230861	786	1997-07-11	VYDAJ	PREVOD NA UCET	365	54872	 	IJ	47281622
230862	786	1997-08-11	VYDAJ	PREVOD NA UCET	365	51191	 	IJ	47281622
230863	786	1997-09-11	VYDAJ	PREVOD NA UCET	365	62108	 	IJ	47281622
230864	786	1997-10-11	VYDAJ	PREVOD NA UCET	365	67266	 	IJ	47281622
230865	786	1997-11-11	VYDAJ	PREVOD NA UCET	365	74343	 	IJ	47281622
230866	786	1997-12-11	VYDAJ	PREVOD NA UCET	365	87983	 	IJ	47281622
230867	786	1998-01-11	VYDAJ	PREVOD NA UCET	365	78759	 	IJ	47281622
230868	786	1998-02-11	VYDAJ	PREVOD NA UCET	365	62153	 	IJ	47281622
230869	786	1998-03-11	VYDAJ	PREVOD NA UCET	365	66311	 	IJ	47281622
230870	786	1998-04-11	VYDAJ	PREVOD NA UCET	365	65880	 	IJ	47281622
230871	786	1998-05-11	VYDAJ	PREVOD NA UCET	365	61359	 	IJ	47281622
230872	786	1998-06-11	VYDAJ	PREVOD NA UCET	365	75446	 	IJ	47281622
230873	786	1998-07-11	VYDAJ	PREVOD NA UCET	365	69235	 	IJ	47281622
230874	786	1998-08-11	VYDAJ	PREVOD NA UCET	365	66310	 	IJ	47281622
230875	786	1998-09-11	VYDAJ	PREVOD NA UCET	365	71478	 	IJ	47281622
230876	786	1998-10-11	VYDAJ	PREVOD NA UCET	365	72163	 	IJ	47281622
230877	786	1998-11-11	VYDAJ	PREVOD NA UCET	365	72567	 	IJ	47281622
230878	786	1998-12-11	VYDAJ	PREVOD NA UCET	365	88094	 	IJ	47281622
230880	786	1996-06-24	VYDAJ	VYBER	28000	32722	\N	\N	\N
230881	786	1997-06-24	VYDAJ	VYBER	26400	39941	\N	\N	\N
230884	786	1996-01-29	VYDAJ	VYBER	15840	30051	\N	\N	\N
230885	786	1997-01-01	VYDAJ	VYBER	1600	59455	\N	\N	\N
230886	786	1998-01-28	VYDAJ	VYBER	11520	47546	\N	\N	\N
230888	786	1996-12-01	VYDAJ	VYBER	2560	53403	\N	\N	\N
230889	786	1997-12-15	VYDAJ	VYBER	4640	78390	\N	\N	\N
230890	786	1998-12-26	VYDAJ	VYBER	1600	65941	\N	\N	\N
230897	786	1996-01-20	VYDAJ	VYBER	3120	52011	\N	\N	\N
230898	786	1996-01-11	VYDAJ	VYBER	720	63204	\N	\N	\N
230899	786	1996-01-29	VYDAJ	VYBER	1080	45891	\N	\N	\N
230900	786	1996-01-27	VYDAJ	VYBER	2160	46971	\N	\N	\N
230901	786	1996-01-22	VYDAJ	VYBER	2880	49131	\N	\N	\N
230902	786	1996-01-15	VYDAJ	VYBER	3120	55131	\N	\N	\N
230903	786	1997-01-01	VYDAJ	VYBER	2160	57295	\N	\N	\N
230904	786	1997-01-25	VYDAJ	VYBER	1200	52064	\N	\N	\N
230905	786	1997-01-04	VYDAJ	VYBER	1680	46515	\N	\N	\N
230906	786	1997-01-29	VYDAJ	VYBER	1800	50264	\N	\N	\N
230907	786	1997-01-15	VYDAJ	VYBER	1560	53264	\N	\N	\N
230908	786	1997-01-05	VYDAJ	VYBER	2640	43875	\N	\N	\N
230909	786	1998-01-27	VYDAJ	VYBER	2040	63966	\N	\N	\N
230910	786	1998-01-19	VYDAJ	VYBER	1200	72606	\N	\N	\N
230911	786	1998-01-05	VYDAJ	VYBER	1920	61657	\N	\N	\N
230912	786	1998-01-26	VYDAJ	VYBER	1080	66006	\N	\N	\N
230913	786	1998-01-22	VYDAJ	VYBER	2760	69846	\N	\N	\N
230914	786	1998-01-22	VYDAJ	VYBER	2760	67086	\N	\N	\N
230917	786	1996-12-28	VYDAJ	VYBER	3360	60825	\N	\N	\N
230918	786	1996-06-15	VYDAJ	VYBER	1680	60722	\N	\N	\N
230919	786	1996-09-13	VYDAJ	VYBER	2280	61094	\N	\N	\N
230920	786	1996-08-21	VYDAJ	VYBER	1800	51776	\N	\N	\N
230921	786	1996-10-02	VYDAJ	VYBER	4320	52037	\N	\N	\N
230922	786	1996-05-21	VYDAJ	VYBER	3840	50216	\N	\N	\N
230923	786	1996-05-14	VYDAJ	VYBER	720	59009	\N	\N	\N
230924	786	1997-07-17	VYDAJ	VYBER	5640	44279	\N	\N	\N
230925	786	1997-08-05	VYDAJ	VYBER	5160	34089	\N	\N	\N
230926	786	1997-01-10	VYDAJ	VYBER	1200	42675	\N	\N	\N
230927	786	1998-02-10	VYDAJ	VYBER	2760	45051	\N	\N	\N
230928	786	1998-05-05	VYDAJ	VYBER	2520	46537	\N	\N	\N
230929	786	1998-10-21	VYDAJ	VYBER	5280	61930	\N	\N	\N
230930	786	1998-04-18	VYDAJ	VYBER	5880	55047	\N	\N	\N
230931	786	1998-05-07	VYDAJ	VYBER	2280	44257	\N	\N	\N
230945	786	1996-01-31	VYDAJ	VYBER	15	30262	SLUZBY	\N	\N
230946	786	1996-02-29	VYDAJ	VYBER	15	41053	SLUZBY	\N	\N
230947	786	1996-03-31	VYDAJ	VYBER	15	48481	SLUZBY	\N	\N
230948	786	1996-04-30	VYDAJ	VYBER	15	51327	SLUZBY	\N	\N
230949	786	1996-05-31	VYDAJ	VYBER	15	50419	SLUZBY	\N	\N
230950	786	1996-06-30	VYDAJ	VYBER	15	32922	SLUZBY	\N	\N
230951	786	1996-07-31	VYDAJ	VYBER	15	44627	SLUZBY	\N	\N
230952	786	1996-08-31	VYDAJ	VYBER	15	51972	SLUZBY	\N	\N
230953	786	1996-09-30	VYDAJ	VYBER	15	56357	SLUZBY	\N	\N
230954	786	1996-10-31	VYDAJ	VYBER	15	55495	SLUZBY	\N	\N
230955	786	1996-11-30	VYDAJ	VYBER	15	55963	SLUZBY	\N	\N
230956	786	1996-12-31	VYDAJ	VYBER	15	61055	SLUZBY	\N	\N
230957	786	1997-01-31	VYDAJ	VYBER	15	50463	SLUZBY	\N	\N
230958	786	1997-02-28	VYDAJ	VYBER	15	52314	SLUZBY	\N	\N
230959	786	1997-03-31	VYDAJ	VYBER	15	58686	SLUZBY	\N	\N
230960	786	1997-04-30	VYDAJ	VYBER	15	60871	SLUZBY	\N	\N
230961	786	1997-05-31	VYDAJ	VYBER	15	60258	SLUZBY	\N	\N
230962	786	1997-06-30	VYDAJ	VYBER	15	40170	SLUZBY	\N	\N
230963	786	1997-07-31	VYDAJ	VYBER	15	44449	SLUZBY	\N	\N
230964	786	1997-08-31	VYDAJ	VYBER	15	46406	SLUZBY	\N	\N
230965	786	1997-09-30	VYDAJ	VYBER	15	57364	SLUZBY	\N	\N
230966	786	1997-10-31	VYDAJ	VYBER	15	57241	SLUZBY	\N	\N
230967	786	1997-11-30	VYDAJ	VYBER	15	62147	SLUZBY	\N	\N
230968	786	1997-12-31	VYDAJ	VYBER	15	63577	SLUZBY	\N	\N
230969	786	1998-01-31	VYDAJ	VYBER	15	47811	SLUZBY	\N	\N
230970	786	1998-02-28	VYDAJ	VYBER	15	49209	SLUZBY	\N	\N
230971	786	1998-03-31	VYDAJ	VYBER	15	48778	SLUZBY	\N	\N
230972	786	1998-04-30	VYDAJ	VYBER	15	49057	SLUZBY	\N	\N
230973	786	1998-05-31	VYDAJ	VYBER	15	49610	SLUZBY	\N	\N
230974	786	1998-06-30	VYDAJ	VYBER	15	52133	SLUZBY	\N	\N
230975	786	1998-07-31	VYDAJ	VYBER	15	49208	SLUZBY	\N	\N
230976	786	1998-08-31	VYDAJ	VYBER	15	54376	SLUZBY	\N	\N
230977	786	1998-09-30	VYDAJ	VYBER	15	55061	SLUZBY	\N	\N
230978	786	1998-10-31	VYDAJ	VYBER	15	55465	SLUZBY	\N	\N
230979	786	1998-11-30	VYDAJ	VYBER	15	62258	SLUZBY	\N	\N
230980	786	1995-09-11	PRIJEM	VKLAD	3700	22067	\N	\N	\N
230981	786	1995-10-11	VYDAJ	VYBER	8800	30795	\N	\N	\N
230982	786	1995-11-10	VYDAJ	VYBER	2600	28337	\N	\N	\N
230983	786	1995-12-10	VYDAJ	VYBER	10400	35586	\N	\N	\N
230984	786	1996-01-09	VYDAJ	VYBER	15200	46822	\N	\N	\N
230985	786	1996-02-08	VYDAJ	VYBER	1500	28762	\N	\N	\N
230986	786	1996-03-09	VYDAJ	VYBER	4900	36153	\N	\N	\N
230987	786	1996-04-08	VYDAJ	VYBER	9500	38981	\N	\N	\N
230988	786	1996-05-08	VYDAJ	VYBER	8700	42627	\N	\N	\N
230989	786	1996-06-07	VYDAJ	VYBER	8900	41519	\N	\N	\N
230990	786	1996-07-07	VYDAJ	VYBER	600	32322	\N	\N	\N
230991	786	1996-08-06	VYDAJ	VYBER	3200	41427	\N	\N	\N
230992	786	1996-09-05	VYDAJ	VYBER	5700	46272	\N	\N	\N
230993	786	1996-10-05	VYDAJ	VYBER	8900	43137	\N	\N	\N
230994	786	1996-11-04	VYDAJ	VYBER	11900	43595	\N	\N	\N
230995	786	1996-12-04	VYDAJ	VYBER	10100	43303	\N	\N	\N
230996	786	1997-01-03	VYDAJ	VYBER	9100	48195	\N	\N	\N
230997	786	1997-02-02	VYDAJ	VYBER	10500	39963	\N	\N	\N
230998	786	1997-03-04	VYDAJ	VYBER	6000	46314	\N	\N	\N
230999	786	1997-04-03	VYDAJ	VYBER	10200	48486	\N	\N	\N
231000	786	1997-05-03	VYDAJ	VYBER	13000	47871	\N	\N	\N
231001	786	1997-06-02	VYDAJ	VYBER	14800	45458	\N	\N	\N
231002	786	1997-07-02	VYDAJ	VYBER	2400	37770	\N	\N	\N
231003	786	1997-08-01	VYDAJ	VYBER	5200	39249	\N	\N	\N
231004	786	1997-08-31	VYDAJ	VYBER	1400	45006	\N	\N	\N
231005	786	1997-09-30	VYDAJ	VYBER	7200	50164	\N	\N	\N
231006	786	1997-10-30	VYDAJ	VYBER	5300	57013	\N	\N	\N
231007	786	1997-11-29	VYDAJ	VYBER	7500	61890	\N	\N	\N
231008	786	1997-12-29	VYDAJ	VYBER	15100	63290	\N	\N	\N
231009	786	1998-01-28	VYDAJ	VYBER	4900	59066	\N	\N	\N
231010	786	1998-02-27	VYDAJ	VYBER	8200	49000	\N	\N	\N
231011	786	1998-03-29	VYDAJ	VYBER	12800	48558	\N	\N	\N
231012	786	1998-04-28	VYDAJ	VYBER	6200	48847	\N	\N	\N
231013	786	1998-05-28	VYDAJ	VYBER	7000	49406	\N	\N	\N
231014	786	1998-06-27	VYDAJ	VYBER	18600	51893	\N	\N	\N
231015	786	1998-07-27	VYDAJ	VYBER	15300	48982	\N	\N	\N
231016	786	1998-08-26	VYDAJ	VYBER	7200	54157	\N	\N	\N
231017	786	1998-09-25	VYDAJ	VYBER	11700	54825	\N	\N	\N
231018	786	1998-10-25	VYDAJ	VYBER	6700	55230	\N	\N	\N
231019	786	1998-11-24	VYDAJ	VYBER	5600	62014	\N	\N	\N
231020	786	1998-12-24	VYDAJ	VYBER	15600	67541	\N	\N	\N
231061	787	1993-11-14	PRIJEM	VKLAD	800	800	\N	\N	\N
231073	787	1993-12-10	PRIJEM	VKLAD	10164	10964	\N	\N	\N
231074	787	1994-01-10	PRIJEM	VKLAD	6776	25786	\N	\N	\N
231075	787	1994-02-10	PRIJEM	VKLAD	6776	34262	\N	\N	\N
231076	787	1994-03-10	PRIJEM	VKLAD	6776	36458	\N	\N	\N
231077	787	1994-04-10	PRIJEM	VKLAD	6776	39665	\N	\N	\N
231078	787	1994-05-10	PRIJEM	VKLAD	6776	38845	\N	\N	\N
231079	787	1994-06-10	PRIJEM	VKLAD	10164	37801	\N	\N	\N
231080	787	1994-07-10	PRIJEM	VKLAD	6776	25449	\N	\N	\N
231081	787	1994-08-10	PRIJEM	VKLAD	6776	25575	\N	\N	\N
231082	787	1994-09-10	PRIJEM	VKLAD	6776	28406	\N	\N	\N
231083	787	1994-10-10	PRIJEM	VKLAD	6776	22735	\N	\N	\N
231084	787	1994-11-10	PRIJEM	VKLAD	6776	28758	\N	\N	\N
231085	787	1994-12-10	PRIJEM	VKLAD	10164	30686	\N	\N	\N
231086	787	1995-01-10	PRIJEM	VKLAD	6776	27834	\N	\N	\N
231087	787	1995-02-10	PRIJEM	VKLAD	6776	24765	\N	\N	\N
231088	787	1995-03-10	PRIJEM	VKLAD	6776	24288	\N	\N	\N
231089	787	1995-04-10	PRIJEM	VKLAD	6776	26012	\N	\N	\N
231090	787	1995-05-10	PRIJEM	VKLAD	6776	25441	\N	\N	\N
231091	787	1995-06-10	PRIJEM	VKLAD	10164	29162	\N	\N	\N
231092	787	1995-07-10	PRIJEM	VKLAD	6776	24594	\N	\N	\N
231093	787	1995-08-10	PRIJEM	VKLAD	6776	23921	\N	\N	\N
231094	787	1995-09-10	PRIJEM	VKLAD	6776	22243	\N	\N	\N
231095	787	1995-10-10	PRIJEM	VKLAD	6776	24160	\N	\N	\N
231096	787	1995-11-10	PRIJEM	VKLAD	6776	25285	\N	\N	\N
231097	787	1995-12-10	PRIJEM	VKLAD	10164	26603	\N	\N	\N
231098	787	1996-01-10	PRIJEM	VKLAD	6776	21035	\N	\N	\N
231099	787	1996-02-10	PRIJEM	VKLAD	6776	19946	\N	\N	\N
231100	787	1996-03-10	PRIJEM	VKLAD	6776	19753	\N	\N	\N
231101	787	1996-04-10	PRIJEM	VKLAD	6776	17961	\N	\N	\N
231102	787	1996-05-10	PRIJEM	VKLAD	6776	17556	\N	\N	\N
231103	787	1996-06-10	PRIJEM	VKLAD	10164	23241	\N	\N	\N
231104	787	1996-07-10	PRIJEM	VKLAD	6776	21357	\N	\N	\N
231105	787	1996-08-10	PRIJEM	VKLAD	6776	22273	\N	\N	\N
231106	787	1996-09-10	PRIJEM	VKLAD	6776	22788	\N	\N	\N
231107	787	1996-10-10	PRIJEM	VKLAD	6776	19704	\N	\N	\N
231108	787	1996-11-10	PRIJEM	VKLAD	6776	22010	\N	\N	\N
231109	787	1996-12-10	PRIJEM	VKLAD	10164	27712	\N	\N	\N
231110	787	1997-01-10	PRIJEM	VKLAD	6776	22142	\N	\N	\N
231111	787	1997-02-10	PRIJEM	VKLAD	6776	21561	\N	\N	\N
231112	787	1997-03-10	PRIJEM	VKLAD	6776	23372	\N	\N	\N
231113	787	1997-04-10	PRIJEM	VKLAD	6776	25692	\N	\N	\N
231114	787	1997-05-10	PRIJEM	VKLAD	6776	28022	\N	\N	\N
231115	787	1997-06-10	PRIJEM	VKLAD	10164	30950	\N	\N	\N
231116	787	1997-07-10	PRIJEM	VKLAD	6776	18990	\N	\N	\N
231117	787	1997-08-10	PRIJEM	VKLAD	6776	21292	\N	\N	\N
231118	787	1997-09-10	PRIJEM	VKLAD	6776	22902	\N	\N	\N
231119	787	1997-10-10	PRIJEM	VKLAD	6776	25220	\N	\N	\N
231120	787	1997-11-10	PRIJEM	VKLAD	6776	27547	\N	\N	\N
231121	787	1997-12-10	PRIJEM	VKLAD	10164	33272	\N	\N	\N
231122	787	1998-01-10	PRIJEM	VKLAD	6776	25027	\N	\N	\N
231123	787	1998-02-10	PRIJEM	VKLAD	6776	22049	\N	\N	\N
231124	787	1998-03-10	PRIJEM	VKLAD	6776	24363	\N	\N	\N
231125	787	1998-04-10	PRIJEM	VKLAD	6776	26687	\N	\N	\N
231126	787	1998-05-10	PRIJEM	VKLAD	6776	24820	\N	\N	\N
231127	787	1998-06-10	PRIJEM	VKLAD	10164	30538	\N	\N	\N
231128	787	1998-07-10	PRIJEM	VKLAD	6776	31078	\N	\N	\N
231129	787	1998-08-10	PRIJEM	VKLAD	6776	33429	\N	\N	\N
231130	787	1998-09-10	PRIJEM	VKLAD	6776	31483	\N	\N	\N
231131	787	1998-10-10	PRIJEM	VKLAD	6776	25725	\N	\N	\N
231132	787	1998-11-10	PRIJEM	VKLAD	6776	28054	\N	\N	\N
231133	787	1998-12-10	PRIJEM	VKLAD	10164	33780	\N	\N	\N
231149	787	1994-04-11	VYDAJ	PREVOD NA UCET	4395	35270	SIPO	GH	43629378
231150	787	1994-05-11	VYDAJ	PREVOD NA UCET	4395	34450	SIPO	GH	43629378
231151	787	1994-06-11	VYDAJ	PREVOD NA UCET	4395	33406	SIPO	GH	43629378
231152	787	1994-07-11	VYDAJ	PREVOD NA UCET	4395	21054	SIPO	GH	43629378
231153	787	1994-08-11	VYDAJ	PREVOD NA UCET	4395	21180	SIPO	GH	43629378
231154	787	1994-09-11	VYDAJ	PREVOD NA UCET	4395	20311	SIPO	GH	43629378
231155	787	1994-10-11	VYDAJ	PREVOD NA UCET	4395	20140	SIPO	GH	43629378
231156	787	1994-11-11	VYDAJ	PREVOD NA UCET	4395	24363	SIPO	GH	43629378
231157	787	1994-12-11	VYDAJ	PREVOD NA UCET	4395	26291	SIPO	GH	43629378
231158	787	1995-01-11	VYDAJ	PREVOD NA UCET	4395	23439	SIPO	GH	43629378
231159	787	1995-02-11	VYDAJ	PREVOD NA UCET	4395	20370	SIPO	GH	43629378
231160	787	1995-03-11	VYDAJ	PREVOD NA UCET	4395	19893	SIPO	GH	43629378
231161	787	1995-04-11	VYDAJ	PREVOD NA UCET	4395	21617	SIPO	GH	43629378
231162	787	1995-05-11	VYDAJ	PREVOD NA UCET	4395	21046	SIPO	GH	43629378
231163	787	1995-06-11	VYDAJ	PREVOD NA UCET	4395	24767	SIPO	GH	43629378
231164	787	1995-07-11	VYDAJ	PREVOD NA UCET	4395	20199	SIPO	GH	43629378
231165	787	1995-08-11	VYDAJ	PREVOD NA UCET	4395	19526	SIPO	GH	43629378
231166	787	1995-09-11	VYDAJ	PREVOD NA UCET	4395	17848	SIPO	GH	43629378
231167	787	1995-10-11	VYDAJ	PREVOD NA UCET	4395	19765	SIPO	GH	43629378
231168	787	1995-11-11	VYDAJ	PREVOD NA UCET	4395	20890	SIPO	GH	43629378
231169	787	1995-12-11	VYDAJ	PREVOD NA UCET	4395	22208	SIPO	GH	43629378
231170	787	1996-01-11	VYDAJ	PREVOD NA UCET	4395	14340	SIPO	GH	43629378
231171	787	1996-02-11	VYDAJ	PREVOD NA UCET	4395	15551	SIPO	GH	43629378
231172	787	1996-03-11	VYDAJ	PREVOD NA UCET	4395	15358	SIPO	GH	43629378
231173	787	1996-04-11	VYDAJ	PREVOD NA UCET	4395	10866	SIPO	GH	43629378
231174	787	1996-05-11	VYDAJ	PREVOD NA UCET	4395	13161	SIPO	GH	43629378
231175	787	1996-06-11	VYDAJ	PREVOD NA UCET	4395	18846	SIPO	GH	43629378
231176	787	1996-07-11	VYDAJ	PREVOD NA UCET	4395	16962	SIPO	GH	43629378
231177	787	1996-08-11	VYDAJ	PREVOD NA UCET	4395	17878	SIPO	GH	43629378
231178	787	1996-09-11	VYDAJ	PREVOD NA UCET	4395	18393	SIPO	GH	43629378
231179	787	1996-10-11	VYDAJ	PREVOD NA UCET	4395	15309	SIPO	GH	43629378
231180	787	1996-11-11	VYDAJ	PREVOD NA UCET	4395	17615	SIPO	GH	43629378
231181	787	1996-12-11	VYDAJ	PREVOD NA UCET	4395	21717	SIPO	GH	43629378
231182	787	1997-01-11	VYDAJ	PREVOD NA UCET	4395	17747	SIPO	GH	43629378
231183	787	1997-02-11	VYDAJ	PREVOD NA UCET	4395	17166	SIPO	GH	43629378
231184	787	1997-03-11	VYDAJ	PREVOD NA UCET	4395	18977	SIPO	GH	43629378
231185	787	1997-04-11	VYDAJ	PREVOD NA UCET	4395	21297	SIPO	GH	43629378
231186	787	1997-05-11	VYDAJ	PREVOD NA UCET	4395	23627	SIPO	GH	43629378
231187	787	1997-06-11	VYDAJ	PREVOD NA UCET	4395	26555	SIPO	GH	43629378
231188	787	1997-07-11	VYDAJ	PREVOD NA UCET	4395	14595	SIPO	GH	43629378
231189	787	1997-08-11	VYDAJ	PREVOD NA UCET	4395	16897	SIPO	GH	43629378
231190	787	1997-09-11	VYDAJ	PREVOD NA UCET	4395	18507	SIPO	GH	43629378
231191	787	1997-10-11	VYDAJ	PREVOD NA UCET	4395	20825	SIPO	GH	43629378
231192	787	1997-11-11	VYDAJ	PREVOD NA UCET	4395	23152	SIPO	GH	43629378
231193	787	1997-12-11	VYDAJ	PREVOD NA UCET	4395	28877	SIPO	GH	43629378
231194	787	1998-01-11	VYDAJ	PREVOD NA UCET	4395	20632	SIPO	GH	43629378
231195	787	1998-02-11	VYDAJ	PREVOD NA UCET	4395	17654	SIPO	GH	43629378
231196	787	1998-03-11	VYDAJ	PREVOD NA UCET	4395	19968	SIPO	GH	43629378
231197	787	1998-04-11	VYDAJ	PREVOD NA UCET	4395	22292	SIPO	GH	43629378
231198	787	1998-05-11	VYDAJ	PREVOD NA UCET	4395	20425	SIPO	GH	43629378
231199	787	1998-06-11	VYDAJ	PREVOD NA UCET	4395	24343	SIPO	GH	43629378
231200	787	1998-07-11	VYDAJ	PREVOD NA UCET	4395	26683	SIPO	GH	43629378
231201	787	1998-08-11	VYDAJ	PREVOD NA UCET	4395	29034	SIPO	GH	43629378
231202	787	1998-09-11	VYDAJ	PREVOD NA UCET	4395	27088	SIPO	GH	43629378
231203	787	1998-10-11	VYDAJ	PREVOD NA UCET	4395	21330	SIPO	GH	43629378
231204	787	1998-11-11	VYDAJ	PREVOD NA UCET	4395	23659	SIPO	GH	43629378
231205	787	1998-12-11	VYDAJ	PREVOD NA UCET	4395	27285	SIPO	GH	43629378
231222	787	1994-05-09	VYDAJ	PREVOD NA UCET	122	32069	 	OP	81038975
231223	787	1994-06-09	VYDAJ	PREVOD NA UCET	122	27637	 	OP	81038975
231224	787	1994-07-09	VYDAJ	PREVOD NA UCET	122	18673	 	OP	81038975
231225	787	1994-08-09	VYDAJ	PREVOD NA UCET	122	18799	 	OP	81038975
231226	787	1994-09-09	VYDAJ	PREVOD NA UCET	122	21130	 	OP	81038975
231227	787	1994-10-09	VYDAJ	PREVOD NA UCET	122	15959	 	OP	81038975
231228	787	1994-11-09	VYDAJ	PREVOD NA UCET	122	21982	 	OP	81038975
231229	787	1994-12-09	VYDAJ	PREVOD NA UCET	122	20522	 	OP	81038975
231230	787	1995-01-09	VYDAJ	PREVOD NA UCET	122	21058	 	OP	81038975
231231	787	1995-02-09	VYDAJ	PREVOD NA UCET	122	17989	 	OP	81038975
231232	787	1995-03-09	VYDAJ	PREVOD NA UCET	122	17512	 	OP	81038975
231233	787	1995-04-09	VYDAJ	PREVOD NA UCET	122	19236	 	OP	81038975
231234	787	1995-05-09	VYDAJ	PREVOD NA UCET	122	18665	 	OP	81038975
231235	787	1995-06-09	VYDAJ	PREVOD NA UCET	122	18998	 	OP	81038975
231236	787	1995-07-09	VYDAJ	PREVOD NA UCET	122	17818	 	OP	81038975
231237	787	1995-08-09	VYDAJ	PREVOD NA UCET	122	17145	 	OP	81038975
231238	787	1995-09-09	VYDAJ	PREVOD NA UCET	122	15467	 	OP	81038975
231239	787	1995-10-09	VYDAJ	PREVOD NA UCET	122	17384	 	OP	81038975
231240	787	1995-11-09	VYDAJ	PREVOD NA UCET	122	18509	 	OP	81038975
231241	787	1995-12-09	VYDAJ	PREVOD NA UCET	122	16439	 	OP	81038975
231242	787	1996-01-09	VYDAJ	PREVOD NA UCET	122	14259	 	OP	81038975
231243	787	1996-02-09	VYDAJ	PREVOD NA UCET	122	13170	 	OP	81038975
231244	787	1996-03-09	VYDAJ	PREVOD NA UCET	122	12977	 	OP	81038975
231245	787	1996-04-09	VYDAJ	PREVOD NA UCET	122	11185	 	OP	81038975
231246	787	1996-05-09	VYDAJ	PREVOD NA UCET	122	10780	 	OP	81038975
231247	787	1996-06-09	VYDAJ	PREVOD NA UCET	122	13077	 	OP	81038975
231248	787	1996-07-09	VYDAJ	PREVOD NA UCET	122	14581	 	OP	81038975
231249	787	1996-08-09	VYDAJ	PREVOD NA UCET	122	15497	 	OP	81038975
231250	787	1996-09-09	VYDAJ	PREVOD NA UCET	122	16012	 	OP	81038975
231251	787	1996-10-09	VYDAJ	PREVOD NA UCET	122	12928	 	OP	81038975
231252	787	1996-11-09	VYDAJ	PREVOD NA UCET	122	15234	 	OP	81038975
231253	787	1996-12-09	VYDAJ	PREVOD NA UCET	122	17548	 	OP	81038975
231254	787	1997-01-09	VYDAJ	PREVOD NA UCET	122	19066	 	OP	81038975
231255	787	1997-02-09	VYDAJ	PREVOD NA UCET	122	14785	 	OP	81038975
231256	787	1997-03-09	VYDAJ	PREVOD NA UCET	122	16596	 	OP	81038975
231257	787	1997-04-09	VYDAJ	PREVOD NA UCET	122	18916	 	OP	81038975
231258	787	1997-05-09	VYDAJ	PREVOD NA UCET	122	21246	 	OP	81038975
231259	787	1997-06-09	VYDAJ	PREVOD NA UCET	122	20786	 	OP	81038975
231260	787	1997-07-09	VYDAJ	PREVOD NA UCET	122	12214	 	OP	81038975
231261	787	1997-08-09	VYDAJ	PREVOD NA UCET	122	14516	 	OP	81038975
231262	787	1997-09-09	VYDAJ	PREVOD NA UCET	122	16126	 	OP	81038975
231263	787	1997-10-09	VYDAJ	PREVOD NA UCET	122	18444	 	OP	81038975
231264	787	1997-11-09	VYDAJ	PREVOD NA UCET	122	20771	 	OP	81038975
231265	787	1997-12-09	VYDAJ	PREVOD NA UCET	122	23108	 	OP	81038975
231266	787	1998-01-09	VYDAJ	PREVOD NA UCET	122	18251	 	OP	81038975
231267	787	1998-02-09	VYDAJ	PREVOD NA UCET	122	15273	 	OP	81038975
231268	787	1998-03-09	VYDAJ	PREVOD NA UCET	122	17587	 	OP	81038975
231269	787	1998-04-09	VYDAJ	PREVOD NA UCET	122	19911	 	OP	81038975
231270	787	1998-05-09	VYDAJ	PREVOD NA UCET	122	18044	 	OP	81038975
231271	787	1998-06-09	VYDAJ	PREVOD NA UCET	122	20374	 	OP	81038975
231272	787	1998-07-09	VYDAJ	PREVOD NA UCET	122	24302	 	OP	81038975
231273	787	1998-08-09	VYDAJ	PREVOD NA UCET	122	26653	 	OP	81038975
231274	787	1998-09-09	VYDAJ	PREVOD NA UCET	122	24707	 	OP	81038975
231275	787	1998-10-09	VYDAJ	PREVOD NA UCET	122	18949	 	OP	81038975
231276	787	1998-11-09	VYDAJ	PREVOD NA UCET	122	21278	 	OP	81038975
231277	787	1998-12-09	VYDAJ	PREVOD NA UCET	122	23616	 	OP	81038975
231279	787	1994-06-19	VYDAJ	VYBER	10000	18706	\N	\N	\N
231288	787	1997-01-09	VYDAJ	VYBER	1500	17566	\N	\N	\N
231289	787	1998-01-07	VYDAJ	VYBER	6300	18373	\N	\N	\N
231291	787	1994-12-05	VYDAJ	VYBER	1600	18944	\N	\N	\N
231292	787	1995-12-15	VYDAJ	VYBER	1100	21108	\N	\N	\N
231293	787	1996-12-11	VYDAJ	VYBER	1600	26112	\N	\N	\N
231294	787	1997-12-22	VYDAJ	VYBER	800	28077	\N	\N	\N
231295	787	1998-12-10	VYDAJ	VYBER	2100	31680	\N	\N	\N
231308	787	1995-01-21	VYDAJ	VYBER	1100	17939	\N	\N	\N
231309	787	1995-01-23	VYDAJ	VYBER	2700	15239	\N	\N	\N
231310	787	1995-01-19	VYDAJ	VYBER	2800	19039	\N	\N	\N
231311	787	1995-01-07	VYDAJ	VYBER	2100	24280	\N	\N	\N
231312	787	1995-01-14	VYDAJ	VYBER	1600	21839	\N	\N	\N
231315	787	1996-01-10	VYDAJ	VYBER	2300	18735	\N	\N	\N
231317	787	1996-01-28	VYDAJ	VYBER	1100	13240	\N	\N	\N
231320	787	1997-01-23	VYDAJ	VYBER	900	16147	\N	\N	\N
231321	787	1997-01-03	VYDAJ	VYBER	2600	19188	\N	\N	\N
231322	787	1997-01-11	VYDAJ	VYBER	700	17047	\N	\N	\N
231323	787	1997-01-28	VYDAJ	VYBER	1300	14847	\N	\N	\N
231324	787	1997-01-09	VYDAJ	VYBER	2200	15366	\N	\N	\N
231326	787	1998-01-15	VYDAJ	VYBER	2000	18632	\N	\N	\N
231327	787	1998-01-23	VYDAJ	VYBER	1500	15332	\N	\N	\N
231328	787	1998-01-01	VYDAJ	VYBER	1500	25373	\N	\N	\N
231329	787	1998-01-03	VYDAJ	VYBER	700	24673	\N	\N	\N
231330	787	1998-01-15	VYDAJ	VYBER	1800	16832	\N	\N	\N
231336	787	1994-05-12	VYDAJ	VYBER	3200	31250	\N	\N	\N
231337	787	1994-07-18	VYDAJ	VYBER	2800	18854	\N	\N	\N
231338	787	1994-09-29	VYDAJ	VYBER	4300	16011	\N	\N	\N
231339	787	1994-09-10	VYDAJ	VYBER	3700	24706	\N	\N	\N
231341	787	1994-06-12	VYDAJ	VYBER	900	32506	\N	\N	\N
231343	787	1994-11-28	VYDAJ	VYBER	3900	20463	\N	\N	\N
231344	787	1995-06-14	VYDAJ	VYBER	3300	21467	\N	\N	\N
231345	787	1995-06-24	VYDAJ	VYBER	3000	18467	\N	\N	\N
231346	787	1995-03-08	VYDAJ	VYBER	4300	16134	\N	\N	\N
231347	787	1995-08-20	VYDAJ	VYBER	3100	16426	\N	\N	\N
231348	787	1995-03-22	VYDAJ	VYBER	3200	16693	\N	\N	\N
231349	787	1995-05-09	VYDAJ	VYBER	3300	18787	\N	\N	\N
231351	787	1996-08-19	VYDAJ	VYBER	1800	16078	\N	\N	\N
231352	787	1996-04-10	VYDAJ	VYBER	2700	15261	\N	\N	\N
231355	787	1997-08-15	VYDAJ	VYBER	700	16197	\N	\N	\N
231357	787	1997-12-28	VYDAJ	VYBER	1300	26777	\N	\N	\N
231358	787	1997-06-06	VYDAJ	VYBER	2800	20908	\N	\N	\N
231359	787	1997-02-18	VYDAJ	VYBER	500	16666	\N	\N	\N
231360	787	1998-09-20	VYDAJ	VYBER	2700	22188	\N	\N	\N
231361	787	1998-08-19	VYDAJ	VYBER	4300	24734	\N	\N	\N
231362	787	1998-09-29	VYDAJ	VYBER	3200	18988	\N	\N	\N
231363	787	1998-04-30	VYDAJ	VYBER	4200	18166	\N	\N	\N
231364	787	1998-09-11	VYDAJ	VYBER	2200	24888	\N	\N	\N
231365	787	1998-06-11	VYDAJ	VYBER	1800	28738	\N	\N	\N
231382	787	1994-04-30	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
231383	787	1994-05-31	VYDAJ	VYBER	15	27759	SLUZBY	\N	\N
231384	787	1994-06-30	VYDAJ	VYBER	15	18795	SLUZBY	\N	\N
231385	787	1994-07-31	VYDAJ	VYBER	15	18921	SLUZBY	\N	\N
231386	787	1994-08-31	VYDAJ	VYBER	15	21252	SLUZBY	\N	\N
231387	787	1994-09-30	VYDAJ	VYBER	15	16081	SLUZBY	\N	\N
231388	787	1994-10-31	VYDAJ	VYBER	15	20204	SLUZBY	\N	\N
231389	787	1994-11-30	VYDAJ	VYBER	15	20544	SLUZBY	\N	\N
231390	787	1994-12-31	VYDAJ	VYBER	15	26380	SLUZBY	\N	\N
231391	787	1995-01-31	VYDAJ	VYBER	15	15311	SLUZBY	\N	\N
231392	787	1995-02-28	VYDAJ	VYBER	15	20434	SLUZBY	\N	\N
231393	787	1995-03-31	VYDAJ	VYBER	15	16758	SLUZBY	\N	\N
231394	787	1995-04-30	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
231395	787	1995-05-31	VYDAJ	VYBER	15	21120	SLUZBY	\N	\N
231396	787	1995-06-30	VYDAJ	VYBER	15	18540	SLUZBY	\N	\N
231397	787	1995-07-31	VYDAJ	VYBER	15	20267	SLUZBY	\N	\N
231398	787	1995-08-31	VYDAJ	VYBER	15	16489	SLUZBY	\N	\N
231399	787	1995-09-30	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
231400	787	1995-10-31	VYDAJ	VYBER	15	19831	SLUZBY	\N	\N
231401	787	1995-11-30	VYDAJ	VYBER	15	20961	SLUZBY	\N	\N
231402	787	1995-12-31	VYDAJ	VYBER	15	21181	SLUZBY	\N	\N
231403	787	1996-01-31	VYDAJ	VYBER	15	13292	SLUZBY	\N	\N
231404	787	1996-02-29	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
231405	787	1996-03-31	VYDAJ	VYBER	15	15407	SLUZBY	\N	\N
231406	787	1996-04-30	VYDAJ	VYBER	15	10902	SLUZBY	\N	\N
231407	787	1996-05-31	VYDAJ	VYBER	15	13199	SLUZBY	\N	\N
231408	787	1996-06-30	VYDAJ	VYBER	15	18903	SLUZBY	\N	\N
231409	787	1996-07-31	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
231410	787	1996-08-31	VYDAJ	VYBER	15	16134	SLUZBY	\N	\N
231411	787	1996-09-30	VYDAJ	VYBER	15	13050	SLUZBY	\N	\N
231412	787	1996-10-31	VYDAJ	VYBER	15	15356	SLUZBY	\N	\N
231413	787	1996-11-30	VYDAJ	VYBER	15	17670	SLUZBY	\N	\N
231414	787	1996-12-31	VYDAJ	VYBER	15	21788	SLUZBY	\N	\N
231415	787	1997-01-31	VYDAJ	VYBER	15	14907	SLUZBY	\N	\N
231416	787	1997-02-28	VYDAJ	VYBER	15	16718	SLUZBY	\N	\N
231417	787	1997-03-31	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
231418	787	1997-04-30	VYDAJ	VYBER	15	21368	SLUZBY	\N	\N
231419	787	1997-05-31	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
231420	787	1997-06-30	VYDAJ	VYBER	15	12336	SLUZBY	\N	\N
231421	787	1997-07-31	VYDAJ	VYBER	15	14638	SLUZBY	\N	\N
231422	787	1997-08-31	VYDAJ	VYBER	15	16248	SLUZBY	\N	\N
231423	787	1997-09-30	VYDAJ	VYBER	15	18566	SLUZBY	\N	\N
231424	787	1997-10-31	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
231425	787	1997-11-30	VYDAJ	VYBER	15	23230	SLUZBY	\N	\N
231426	787	1997-12-31	VYDAJ	VYBER	15	26873	SLUZBY	\N	\N
231427	787	1998-01-31	VYDAJ	VYBER	15	15395	SLUZBY	\N	\N
231428	787	1998-02-28	VYDAJ	VYBER	15	17709	SLUZBY	\N	\N
231429	787	1998-03-31	VYDAJ	VYBER	15	20033	SLUZBY	\N	\N
231430	787	1998-04-30	VYDAJ	VYBER	15	22366	SLUZBY	\N	\N
231431	787	1998-05-31	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
231432	787	1998-06-30	VYDAJ	VYBER	15	24424	SLUZBY	\N	\N
231433	787	1998-07-31	VYDAJ	VYBER	15	26775	SLUZBY	\N	\N
231434	787	1998-08-31	VYDAJ	VYBER	15	24829	SLUZBY	\N	\N
231435	787	1998-09-30	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
231436	787	1998-10-31	VYDAJ	VYBER	15	21400	SLUZBY	\N	\N
231437	787	1998-11-30	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
231438	787	1993-12-14	PRIJEM	VKLAD	8000	18964	\N	\N	\N
231439	787	1994-01-13	PRIJEM	VKLAD	1600	27386	\N	\N	\N
231440	787	1994-02-12	VYDAJ	VYBER	4700	29562	\N	\N	\N
231441	787	1994-03-14	VYDAJ	VYBER	3700	32758	\N	\N	\N
231442	787	1994-04-13	VYDAJ	VYBER	3200	32070	\N	\N	\N
231443	787	1994-05-13	VYDAJ	VYBER	3600	27650	\N	\N	\N
231444	787	1994-06-12	VYDAJ	VYBER	3800	28706	\N	\N	\N
231445	787	1994-07-12	PRIJEM	VKLAD	600	21654	\N	\N	\N
231446	787	1994-09-10	PRIJEM	VKLAD	500	21630	\N	\N	\N
231447	787	1994-10-10	PRIJEM	VKLAD	1800	24535	\N	\N	\N
231448	787	1994-11-09	PRIJEM	VKLAD	1900	22104	\N	\N	\N
231449	787	1994-12-09	PRIJEM	VKLAD	1700	20644	\N	\N	\N
231450	787	1995-01-08	VYDAJ	VYBER	3100	21180	\N	\N	\N
231451	787	1995-02-07	PRIJEM	VKLAD	2800	18111	\N	\N	\N
231452	787	1995-03-09	PRIJEM	VKLAD	1500	17634	\N	\N	\N
231453	787	1995-04-08	PRIJEM	VKLAD	2600	19358	\N	\N	\N
231454	787	1995-05-08	PRIJEM	VKLAD	400	22087	\N	\N	\N
231455	787	1995-06-07	VYDAJ	VYBER	2000	19120	\N	\N	\N
231456	787	1995-07-07	VYDAJ	VYBER	600	17940	\N	\N	\N
231457	787	1995-08-06	VYDAJ	VYBER	3000	17267	\N	\N	\N
231458	787	1995-09-05	VYDAJ	VYBER	900	15589	\N	\N	\N
231459	787	1995-10-05	VYDAJ	VYBER	400	17506	\N	\N	\N
231460	787	1995-11-04	VYDAJ	VYBER	1200	18631	\N	\N	\N
231461	787	1995-12-04	VYDAJ	VYBER	4400	16561	\N	\N	\N
231462	787	1996-01-03	VYDAJ	VYBER	6800	14381	\N	\N	\N
231463	787	1996-03-03	VYDAJ	VYBER	2500	13099	\N	\N	\N
231464	787	1996-04-02	VYDAJ	VYBER	4100	11307	\N	\N	\N
231465	787	1996-07-01	VYDAJ	VYBER	4200	14703	\N	\N	\N
231466	787	1996-07-31	VYDAJ	VYBER	1400	15619	\N	\N	\N
231467	787	1996-09-29	VYDAJ	VYBER	5400	12993	\N	\N	\N
231468	787	1997-06-26	VYDAJ	VYBER	14300	12255	\N	\N	\N
231530	788	1996-06-25	PRIJEM	VKLAD	900	900	\N	\N	\N
231537	788	1996-07-14	PRIJEM	PREVOD Z UCTU	5473	6373	DUCHOD	IJ	11979616
231538	788	1996-08-14	PRIJEM	PREVOD Z UCTU	5473	11846	DUCHOD	IJ	11979616
231539	788	1996-09-14	PRIJEM	PREVOD Z UCTU	5473	17319	DUCHOD	IJ	11979616
231540	788	1996-10-14	PRIJEM	PREVOD Z UCTU	5473	21810	DUCHOD	IJ	11979616
231541	788	1996-11-14	PRIJEM	PREVOD Z UCTU	5473	27351	DUCHOD	IJ	11979616
231542	788	1996-12-14	PRIJEM	PREVOD Z UCTU	5473	29783	DUCHOD	IJ	11979616
231543	788	1997-01-14	PRIJEM	PREVOD Z UCTU	5473	22839	DUCHOD	IJ	11979616
231544	788	1997-02-14	PRIJEM	PREVOD Z UCTU	5473	21206	DUCHOD	IJ	11979616
231545	788	1997-03-14	PRIJEM	PREVOD Z UCTU	5473	21449	DUCHOD	IJ	11979616
231546	788	1997-04-14	PRIJEM	PREVOD Z UCTU	5473	20535	DUCHOD	IJ	11979616
231547	788	1997-05-14	PRIJEM	PREVOD Z UCTU	5473	22979	DUCHOD	IJ	11979616
231548	788	1997-06-14	PRIJEM	PREVOD Z UCTU	5473	21913	DUCHOD	IJ	11979616
231549	788	1997-07-14	PRIJEM	PREVOD Z UCTU	5473	24366	DUCHOD	IJ	11979616
231550	788	1997-08-14	PRIJEM	PREVOD Z UCTU	5473	25623	DUCHOD	IJ	11979616
231551	788	1997-09-14	PRIJEM	PREVOD Z UCTU	5473	28088	DUCHOD	IJ	11979616
231552	788	1997-10-14	PRIJEM	PREVOD Z UCTU	5473	29843	DUCHOD	IJ	11979616
231553	788	1997-11-14	PRIJEM	PREVOD Z UCTU	5473	32325	DUCHOD	IJ	11979616
231554	788	1997-12-14	PRIJEM	PREVOD Z UCTU	5473	23907	DUCHOD	IJ	11979616
231555	788	1998-01-14	PRIJEM	PREVOD Z UCTU	5473	20425	DUCHOD	IJ	11979616
231556	788	1998-02-14	PRIJEM	PREVOD Z UCTU	5473	19185	DUCHOD	IJ	11979616
231557	788	1998-03-14	PRIJEM	PREVOD Z UCTU	5473	21623	DUCHOD	IJ	11979616
231558	788	1998-04-14	PRIJEM	PREVOD Z UCTU	5473	24071	DUCHOD	IJ	11979616
231559	788	1998-05-14	PRIJEM	PREVOD Z UCTU	5473	26529	DUCHOD	IJ	11979616
231560	788	1998-06-14	PRIJEM	PREVOD Z UCTU	5473	27878	DUCHOD	IJ	11979616
231561	788	1998-07-14	PRIJEM	PREVOD Z UCTU	5473	28672	DUCHOD	IJ	11979616
231562	788	1998-08-14	PRIJEM	PREVOD Z UCTU	5473	31151	DUCHOD	IJ	11979616
231563	788	1998-09-14	PRIJEM	PREVOD Z UCTU	5473	33639	DUCHOD	IJ	11979616
231564	788	1998-10-14	PRIJEM	PREVOD Z UCTU	5473	34537	DUCHOD	IJ	11979616
231565	788	1998-11-14	PRIJEM	PREVOD Z UCTU	5473	32720	DUCHOD	IJ	11979616
231566	788	1998-12-14	PRIJEM	PREVOD Z UCTU	5473	31288	DUCHOD	IJ	11979616
231578	788	1996-12-11	VYDAJ	PREVOD NA UCET	3096	24310	SIPO	OP	80561762
231579	788	1997-01-11	VYDAJ	PREVOD NA UCET	3096	17366	SIPO	OP	80561762
231580	788	1997-02-11	VYDAJ	PREVOD NA UCET	3096	15733	SIPO	OP	80561762
231581	788	1997-03-11	VYDAJ	PREVOD NA UCET	3096	15976	SIPO	OP	80561762
231582	788	1997-04-11	VYDAJ	PREVOD NA UCET	3096	15062	SIPO	OP	80561762
231583	788	1997-05-11	VYDAJ	PREVOD NA UCET	3096	17506	SIPO	OP	80561762
231584	788	1997-06-11	VYDAJ	PREVOD NA UCET	3096	16440	SIPO	OP	80561762
231585	788	1997-07-11	VYDAJ	PREVOD NA UCET	3096	18893	SIPO	OP	80561762
231586	788	1997-08-11	VYDAJ	PREVOD NA UCET	3096	20150	SIPO	OP	80561762
231587	788	1997-09-11	VYDAJ	PREVOD NA UCET	3096	22615	SIPO	OP	80561762
231588	788	1997-10-11	VYDAJ	PREVOD NA UCET	3096	24370	SIPO	OP	80561762
231589	788	1997-11-11	VYDAJ	PREVOD NA UCET	3096	26852	SIPO	OP	80561762
231590	788	1997-12-11	VYDAJ	PREVOD NA UCET	3096	18434	SIPO	OP	80561762
231591	788	1998-01-11	VYDAJ	PREVOD NA UCET	3096	14952	SIPO	OP	80561762
231592	788	1998-02-11	VYDAJ	PREVOD NA UCET	3096	13712	SIPO	OP	80561762
231593	788	1998-03-11	VYDAJ	PREVOD NA UCET	3096	16150	SIPO	OP	80561762
231594	788	1998-04-11	VYDAJ	PREVOD NA UCET	3096	18598	SIPO	OP	80561762
231595	788	1998-05-11	VYDAJ	PREVOD NA UCET	3096	21056	SIPO	OP	80561762
231596	788	1998-06-11	VYDAJ	PREVOD NA UCET	3096	23525	SIPO	OP	80561762
231597	788	1998-07-11	VYDAJ	PREVOD NA UCET	3096	24879	SIPO	OP	80561762
231598	788	1998-08-11	VYDAJ	PREVOD NA UCET	3096	25678	SIPO	OP	80561762
231599	788	1998-09-11	VYDAJ	PREVOD NA UCET	3096	28166	SIPO	OP	80561762
231600	788	1998-10-11	VYDAJ	PREVOD NA UCET	3096	30664	SIPO	OP	80561762
231601	788	1998-11-11	VYDAJ	PREVOD NA UCET	3096	29807	SIPO	OP	80561762
231602	788	1998-12-11	VYDAJ	PREVOD NA UCET	3096	25815	SIPO	OP	80561762
231603	788	1996-12-23	VYDAJ	VYBER	500	25083	\N	\N	\N
231604	788	1997-12-09	VYDAJ	VYBER	300	21530	\N	\N	\N
231605	788	1998-12-21	VYDAJ	VYBER	850	30438	\N	\N	\N
231612	788	1997-01-07	VYDAJ	VYBER	1760	20462	\N	\N	\N
231613	788	1997-01-03	VYDAJ	VYBER	1600	22222	\N	\N	\N
231614	788	1997-01-01	VYDAJ	VYBER	1360	23822	\N	\N	\N
231615	788	1997-01-20	VYDAJ	VYBER	1440	18759	\N	\N	\N
231616	788	1997-01-17	VYDAJ	VYBER	960	20199	\N	\N	\N
231617	788	1997-01-14	VYDAJ	VYBER	1680	21159	\N	\N	\N
231618	788	1998-01-18	VYDAJ	VYBER	1280	19145	\N	\N	\N
231619	788	1998-01-02	VYDAJ	VYBER	1120	19888	\N	\N	\N
231620	788	1998-01-02	VYDAJ	VYBER	1680	21008	\N	\N	\N
231621	788	1998-01-26	VYDAJ	VYBER	1840	16745	\N	\N	\N
231622	788	1998-01-18	VYDAJ	VYBER	560	18585	\N	\N	\N
231623	788	1998-01-08	VYDAJ	VYBER	1840	18048	\N	\N	\N
231628	788	1997-03-29	VYDAJ	VYBER	3360	18089	\N	\N	\N
231629	788	1997-12-04	VYDAJ	VYBER	3440	21830	\N	\N	\N
231630	788	1997-09-23	VYDAJ	VYBER	720	27368	\N	\N	\N
231631	788	1997-06-06	VYDAJ	VYBER	3520	19536	\N	\N	\N
231632	788	1997-07-18	VYDAJ	VYBER	1200	23166	\N	\N	\N
231633	788	1997-11-28	VYDAJ	VYBER	2160	25165	\N	\N	\N
231634	788	1998-10-29	VYDAJ	VYBER	1760	32777	\N	\N	\N
231635	788	1998-07-12	VYDAJ	VYBER	1680	23199	\N	\N	\N
231636	788	1998-06-12	VYDAJ	VYBER	1120	22405	\N	\N	\N
231637	788	1998-11-14	VYDAJ	VYBER	3920	28800	\N	\N	\N
231638	788	1998-11-12	VYDAJ	VYBER	2560	27247	\N	\N	\N
231650	788	1996-11-30	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
231651	788	1996-12-31	VYDAJ	VYBER	15	25182	SLUZBY	\N	\N
231652	788	1997-01-31	VYDAJ	VYBER	15	18829	SLUZBY	\N	\N
231653	788	1997-02-28	VYDAJ	VYBER	15	19072	SLUZBY	\N	\N
231654	788	1997-03-31	VYDAJ	VYBER	15	18158	SLUZBY	\N	\N
231655	788	1997-04-30	VYDAJ	VYBER	15	20602	SLUZBY	\N	\N
231656	788	1997-05-31	VYDAJ	VYBER	15	23056	SLUZBY	\N	\N
231657	788	1997-06-30	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
231658	788	1997-07-31	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
231659	788	1997-08-31	VYDAJ	VYBER	15	25711	SLUZBY	\N	\N
231660	788	1997-09-30	VYDAJ	VYBER	15	27466	SLUZBY	\N	\N
231661	788	1997-10-31	VYDAJ	VYBER	15	29948	SLUZBY	\N	\N
231662	788	1997-11-30	VYDAJ	VYBER	15	25270	SLUZBY	\N	\N
231663	788	1997-12-31	VYDAJ	VYBER	15	22688	SLUZBY	\N	\N
231664	788	1998-01-31	VYDAJ	VYBER	15	16808	SLUZBY	\N	\N
231665	788	1998-02-28	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
231666	788	1998-03-31	VYDAJ	VYBER	15	21694	SLUZBY	\N	\N
231667	788	1998-04-30	VYDAJ	VYBER	15	24152	SLUZBY	\N	\N
231668	788	1998-05-31	VYDAJ	VYBER	15	26621	SLUZBY	\N	\N
231669	788	1998-06-30	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
231670	788	1998-07-31	VYDAJ	VYBER	15	28774	SLUZBY	\N	\N
231671	788	1998-08-31	VYDAJ	VYBER	15	31262	SLUZBY	\N	\N
231672	788	1998-09-30	VYDAJ	VYBER	15	33760	SLUZBY	\N	\N
231673	788	1998-10-31	VYDAJ	VYBER	15	32903	SLUZBY	\N	\N
231674	788	1998-11-30	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
231675	788	1996-09-23	VYDAJ	VYBER	1000	16319	\N	\N	\N
231676	788	1996-12-22	VYDAJ	VYBER	4200	25583	\N	\N	\N
231677	788	1997-02-20	VYDAJ	VYBER	2200	19006	\N	\N	\N
231678	788	1997-11-17	VYDAJ	VYBER	5000	27325	\N	\N	\N
231679	788	1997-12-17	VYDAJ	VYBER	1300	22607	\N	\N	\N
231680	788	1998-10-13	VYDAJ	VYBER	1600	29064	\N	\N	\N
231709	789	1995-02-06	PRIJEM	VKLAD	500	500	\N	\N	\N
231711	789	1995-02-12	PRIJEM	VKLAD	5692	6192	\N	\N	\N
231712	789	1995-03-12	PRIJEM	VKLAD	5692	19800	\N	\N	\N
231713	789	1995-04-12	PRIJEM	VKLAD	5692	28154	\N	\N	\N
231714	789	1995-05-12	PRIJEM	VKLAD	5692	32751	\N	\N	\N
231715	789	1995-06-12	PRIJEM	VKLAD	8538	33418	\N	\N	\N
231716	789	1995-07-12	PRIJEM	VKLAD	5692	27039	\N	\N	\N
231717	789	1995-08-12	PRIJEM	VKLAD	5692	25436	\N	\N	\N
231718	789	1995-09-12	PRIJEM	VKLAD	5692	25380	\N	\N	\N
231719	789	1995-10-12	PRIJEM	VKLAD	5692	24364	\N	\N	\N
231720	789	1995-11-12	PRIJEM	VKLAD	5692	21546	\N	\N	\N
231721	789	1995-12-12	PRIJEM	VKLAD	8538	27362	\N	\N	\N
231722	789	1996-01-12	PRIJEM	VKLAD	5692	17857	\N	\N	\N
231723	789	1996-02-12	PRIJEM	VKLAD	5692	16485	\N	\N	\N
231724	789	1996-03-12	PRIJEM	VKLAD	5692	15411	\N	\N	\N
231725	789	1996-04-12	PRIJEM	VKLAD	5692	15828	\N	\N	\N
231726	789	1996-05-12	PRIJEM	VKLAD	5692	14948	\N	\N	\N
231727	789	1996-06-12	PRIJEM	VKLAD	8538	18213	\N	\N	\N
231728	789	1996-07-12	PRIJEM	VKLAD	5692	15438	\N	\N	\N
231729	789	1996-08-12	PRIJEM	VKLAD	5692	15856	\N	\N	\N
231730	789	1996-09-12	PRIJEM	VKLAD	5692	16280	\N	\N	\N
231731	789	1996-10-12	PRIJEM	VKLAD	5692	16701	\N	\N	\N
231732	789	1996-11-12	PRIJEM	VKLAD	5692	17128	\N	\N	\N
231733	789	1996-12-12	PRIJEM	VKLAD	8538	20399	\N	\N	\N
231734	789	1997-01-12	PRIJEM	VKLAD	5692	18913	\N	\N	\N
231735	789	1997-02-12	PRIJEM	VKLAD	5692	17189	\N	\N	\N
231736	789	1997-03-12	PRIJEM	VKLAD	5692	17617	\N	\N	\N
231737	789	1997-04-12	PRIJEM	VKLAD	5692	18048	\N	\N	\N
231738	789	1997-05-12	PRIJEM	VKLAD	5692	18476	\N	\N	\N
231739	789	1997-06-12	PRIJEM	VKLAD	8538	21752	\N	\N	\N
231740	789	1997-07-12	PRIJEM	VKLAD	5692	22196	\N	\N	\N
231741	789	1997-08-12	PRIJEM	VKLAD	5692	22645	\N	\N	\N
231742	789	1997-09-12	PRIJEM	VKLAD	5692	18652	\N	\N	\N
231743	789	1997-10-12	PRIJEM	VKLAD	5692	19088	\N	\N	\N
231744	789	1997-11-12	PRIJEM	VKLAD	5692	17479	\N	\N	\N
231745	789	1997-12-12	PRIJEM	VKLAD	8538	20754	\N	\N	\N
231746	789	1998-01-12	PRIJEM	VKLAD	5692	20387	\N	\N	\N
231747	789	1998-02-12	PRIJEM	VKLAD	5692	17336	\N	\N	\N
231748	789	1998-03-12	PRIJEM	VKLAD	5692	17761	\N	\N	\N
231749	789	1998-04-12	PRIJEM	VKLAD	5692	18187	\N	\N	\N
231750	789	1998-05-12	PRIJEM	VKLAD	5692	18620	\N	\N	\N
231751	789	1998-06-12	PRIJEM	VKLAD	8538	21896	\N	\N	\N
231752	789	1998-07-12	PRIJEM	VKLAD	5692	22335	\N	\N	\N
231753	789	1998-08-12	PRIJEM	VKLAD	5692	22780	\N	\N	\N
231754	789	1998-09-12	PRIJEM	VKLAD	5692	23231	\N	\N	\N
231755	789	1998-10-12	PRIJEM	VKLAD	5692	23684	\N	\N	\N
231756	789	1998-11-12	PRIJEM	VKLAD	5692	24135	\N	\N	\N
231757	789	1998-12-12	PRIJEM	VKLAD	8538	24234	\N	\N	\N
231764	789	1995-07-11	VYDAJ	PREVOD NA UCET	2153	21347	SIPO	OP	64140730
231765	789	1995-08-11	VYDAJ	PREVOD NA UCET	2153	19744	SIPO	OP	64140730
231766	789	1995-09-11	VYDAJ	PREVOD NA UCET	2153	19688	SIPO	OP	64140730
231767	789	1995-10-11	VYDAJ	PREVOD NA UCET	2153	18672	SIPO	OP	64140730
231768	789	1995-11-11	VYDAJ	PREVOD NA UCET	2153	15854	SIPO	OP	64140730
231769	789	1995-12-11	VYDAJ	PREVOD NA UCET	2153	18824	SIPO	OP	64140730
231770	789	1996-01-11	VYDAJ	PREVOD NA UCET	2153	12165	SIPO	OP	64140730
231771	789	1996-02-11	VYDAJ	PREVOD NA UCET	2153	10793	SIPO	OP	64140730
231772	789	1996-03-11	VYDAJ	PREVOD NA UCET	2153	9719	SIPO	OP	64140730
231773	789	1996-04-11	VYDAJ	PREVOD NA UCET	2153	10136	SIPO	OP	64140730
231774	789	1996-05-11	VYDAJ	PREVOD NA UCET	2153	9256	SIPO	OP	64140730
231775	789	1996-06-11	VYDAJ	PREVOD NA UCET	2153	9675	SIPO	OP	64140730
231776	789	1996-07-11	VYDAJ	PREVOD NA UCET	2153	9746	SIPO	OP	64140730
231777	789	1996-08-11	VYDAJ	PREVOD NA UCET	2153	10164	SIPO	OP	64140730
231778	789	1996-09-11	VYDAJ	PREVOD NA UCET	2153	10588	SIPO	OP	64140730
231779	789	1996-10-11	VYDAJ	PREVOD NA UCET	2153	11009	SIPO	OP	64140730
231780	789	1996-11-11	VYDAJ	PREVOD NA UCET	2153	11436	SIPO	OP	64140730
231781	789	1996-12-11	VYDAJ	PREVOD NA UCET	2153	11861	SIPO	OP	64140730
231782	789	1997-01-11	VYDAJ	PREVOD NA UCET	2153	13221	SIPO	OP	64140730
231783	789	1997-02-11	VYDAJ	PREVOD NA UCET	2153	11497	SIPO	OP	64140730
231784	789	1997-03-11	VYDAJ	PREVOD NA UCET	2153	11925	SIPO	OP	64140730
231785	789	1997-04-11	VYDAJ	PREVOD NA UCET	2153	12356	SIPO	OP	64140730
231786	789	1997-05-11	VYDAJ	PREVOD NA UCET	2153	12784	SIPO	OP	64140730
231787	789	1997-06-11	VYDAJ	PREVOD NA UCET	2153	13214	SIPO	OP	64140730
231788	789	1997-07-11	VYDAJ	PREVOD NA UCET	2153	16504	SIPO	OP	64140730
231789	789	1997-08-11	VYDAJ	PREVOD NA UCET	2153	16953	SIPO	OP	64140730
231790	789	1997-09-11	VYDAJ	PREVOD NA UCET	2153	12960	SIPO	OP	64140730
231791	789	1997-10-11	VYDAJ	PREVOD NA UCET	2153	13396	SIPO	OP	64140730
231792	789	1997-11-11	VYDAJ	PREVOD NA UCET	2153	11787	SIPO	OP	64140730
231793	789	1997-12-11	VYDAJ	PREVOD NA UCET	2153	12216	SIPO	OP	64140730
231794	789	1998-01-11	VYDAJ	PREVOD NA UCET	2153	14695	SIPO	OP	64140730
231795	789	1998-02-11	VYDAJ	PREVOD NA UCET	2153	11644	SIPO	OP	64140730
231796	789	1998-03-11	VYDAJ	PREVOD NA UCET	2153	12069	SIPO	OP	64140730
231797	789	1998-04-11	VYDAJ	PREVOD NA UCET	2153	12495	SIPO	OP	64140730
231798	789	1998-05-11	VYDAJ	PREVOD NA UCET	2153	12928	SIPO	OP	64140730
231799	789	1998-06-11	VYDAJ	PREVOD NA UCET	2153	13358	SIPO	OP	64140730
231800	789	1998-07-11	VYDAJ	PREVOD NA UCET	2153	16643	SIPO	OP	64140730
231801	789	1998-08-11	VYDAJ	PREVOD NA UCET	2153	17088	SIPO	OP	64140730
231802	789	1998-09-11	VYDAJ	PREVOD NA UCET	2153	17539	SIPO	OP	64140730
231803	789	1998-10-11	VYDAJ	PREVOD NA UCET	2153	17992	SIPO	OP	64140730
231804	789	1998-11-11	VYDAJ	PREVOD NA UCET	2153	18443	SIPO	OP	64140730
231805	789	1998-12-11	VYDAJ	PREVOD NA UCET	2153	15696	SIPO	OP	64140730
231812	789	1995-07-05	VYDAJ	PREVOD NA UCET	1641	30600	 	OP	84300315
231813	789	1995-08-05	VYDAJ	PREVOD NA UCET	1641	21897	 	OP	84300315
231814	789	1995-09-05	VYDAJ	PREVOD NA UCET	1641	21841	 	OP	84300315
231815	789	1995-10-05	VYDAJ	PREVOD NA UCET	1641	22125	 	OP	84300315
231816	789	1995-11-05	VYDAJ	PREVOD NA UCET	1641	18007	 	OP	84300315
231817	789	1995-12-05	VYDAJ	PREVOD NA UCET	1641	20977	 	OP	84300315
231818	789	1996-01-05	VYDAJ	PREVOD NA UCET	1641	15638	 	OP	84300315
231819	789	1996-02-05	VYDAJ	PREVOD NA UCET	1641	12946	 	OP	84300315
231820	789	1996-03-05	VYDAJ	PREVOD NA UCET	1641	11872	 	OP	84300315
231821	789	1996-04-05	VYDAJ	PREVOD NA UCET	1641	12289	 	OP	84300315
231822	789	1996-05-05	VYDAJ	PREVOD NA UCET	1641	11409	 	OP	84300315
231823	789	1996-06-05	VYDAJ	PREVOD NA UCET	1641	11828	 	OP	84300315
231824	789	1996-07-05	VYDAJ	PREVOD NA UCET	1641	11899	 	OP	84300315
231825	789	1996-08-05	VYDAJ	PREVOD NA UCET	1641	12317	 	OP	84300315
231826	789	1996-09-05	VYDAJ	PREVOD NA UCET	1641	12741	 	OP	84300315
231827	789	1996-10-05	VYDAJ	PREVOD NA UCET	1641	13162	 	OP	84300315
231828	789	1996-11-05	VYDAJ	PREVOD NA UCET	1641	13589	 	OP	84300315
231829	789	1996-12-05	VYDAJ	PREVOD NA UCET	1641	14014	 	OP	84300315
231830	789	1997-01-05	VYDAJ	PREVOD NA UCET	1641	15374	 	OP	84300315
231831	789	1997-02-05	VYDAJ	PREVOD NA UCET	1641	13650	 	OP	84300315
231832	789	1997-03-05	VYDAJ	PREVOD NA UCET	1641	14078	 	OP	84300315
231833	789	1997-04-05	VYDAJ	PREVOD NA UCET	1641	14509	 	OP	84300315
231834	789	1997-05-05	VYDAJ	PREVOD NA UCET	1641	14937	 	OP	84300315
231835	789	1997-06-05	VYDAJ	PREVOD NA UCET	1641	15367	 	OP	84300315
231836	789	1997-07-05	VYDAJ	PREVOD NA UCET	1641	18657	 	OP	84300315
231837	789	1997-08-05	VYDAJ	PREVOD NA UCET	1641	19106	 	OP	84300315
231838	789	1997-09-05	VYDAJ	PREVOD NA UCET	1641	19553	 	OP	84300315
231839	789	1997-10-05	VYDAJ	PREVOD NA UCET	1641	15549	 	OP	84300315
231840	789	1997-11-05	VYDAJ	PREVOD NA UCET	1641	13940	 	OP	84300315
231841	789	1997-12-05	VYDAJ	PREVOD NA UCET	1641	14369	 	OP	84300315
231842	789	1998-01-05	VYDAJ	PREVOD NA UCET	1641	16848	 	OP	84300315
231843	789	1998-02-05	VYDAJ	PREVOD NA UCET	1641	13797	 	OP	84300315
231844	789	1998-03-05	VYDAJ	PREVOD NA UCET	1641	14222	 	OP	84300315
231845	789	1998-04-05	VYDAJ	PREVOD NA UCET	1641	14648	 	OP	84300315
231846	789	1998-05-05	VYDAJ	PREVOD NA UCET	1641	15081	 	OP	84300315
231847	789	1998-06-05	VYDAJ	PREVOD NA UCET	1641	15511	 	OP	84300315
231848	789	1998-07-05	VYDAJ	PREVOD NA UCET	1641	18796	 	OP	84300315
231849	789	1998-08-05	VYDAJ	PREVOD NA UCET	1641	19241	 	OP	84300315
231850	789	1998-09-05	VYDAJ	PREVOD NA UCET	1641	19692	 	OP	84300315
231851	789	1998-10-05	VYDAJ	PREVOD NA UCET	1641	20145	 	OP	84300315
231852	789	1998-11-05	VYDAJ	PREVOD NA UCET	1641	20596	 	OP	84300315
231853	789	1998-12-05	VYDAJ	PREVOD NA UCET	1641	21049	 	OP	84300315
231859	789	1995-06-11	VYDAJ	VYBER	1300	24880	\N	\N	0
231860	789	1995-07-03	VYDAJ	VYBER	1300	32241	\N	\N	0
231861	789	1995-08-15	VYDAJ	VYBER	1200	24236	\N	\N	0
231862	789	1995-09-04	VYDAJ	VYBER	1500	23482	\N	\N	0
231863	789	1995-10-05	VYDAJ	VYBER	1300	20825	\N	\N	0
231864	789	1995-10-24	VYDAJ	VYBER	1400	22964	\N	\N	0
231865	789	1995-12-12	VYDAJ	PREVOD NA UCET	1522	25840	UVER	AB	13870329
231866	789	1996-01-12	VYDAJ	PREVOD NA UCET	1522	16335	UVER	AB	13870329
231867	789	1996-02-12	VYDAJ	PREVOD NA UCET	1522	14963	UVER	AB	13870329
231868	789	1996-03-12	VYDAJ	PREVOD NA UCET	1522	13889	UVER	AB	13870329
231869	789	1996-04-12	VYDAJ	PREVOD NA UCET	1522	14306	UVER	AB	13870329
231870	789	1996-05-12	VYDAJ	PREVOD NA UCET	1522	13426	UVER	AB	13870329
231871	789	1996-06-12	VYDAJ	PREVOD NA UCET	1522	16691	UVER	AB	13870329
231872	789	1996-07-12	VYDAJ	PREVOD NA UCET	1522	13916	UVER	AB	13870329
231873	789	1996-08-12	VYDAJ	PREVOD NA UCET	1522	14334	UVER	AB	13870329
231874	789	1996-09-12	VYDAJ	PREVOD NA UCET	1522	14758	UVER	AB	13870329
231875	789	1996-10-12	VYDAJ	PREVOD NA UCET	1522	15179	UVER	AB	13870329
231876	789	1996-11-12	VYDAJ	PREVOD NA UCET	1522	15606	UVER	AB	13870329
231877	789	1996-12-12	VYDAJ	PREVOD NA UCET	1522	18877	UVER	AB	13870329
231878	789	1997-01-12	VYDAJ	PREVOD NA UCET	1522	15231	UVER	AB	13870329
231879	789	1997-02-12	VYDAJ	PREVOD NA UCET	1522	15667	UVER	AB	13870329
231880	789	1997-03-12	VYDAJ	PREVOD NA UCET	1522	16095	UVER	AB	13870329
231881	789	1997-04-12	VYDAJ	PREVOD NA UCET	1522	16526	UVER	AB	13870329
231882	789	1997-05-12	VYDAJ	PREVOD NA UCET	1522	16954	UVER	AB	13870329
231883	789	1997-06-12	VYDAJ	PREVOD NA UCET	1522	20230	UVER	AB	13870329
231884	789	1997-07-12	VYDAJ	PREVOD NA UCET	1522	20674	UVER	AB	13870329
231885	789	1997-08-12	VYDAJ	PREVOD NA UCET	1522	21123	UVER	AB	13870329
231886	789	1997-09-12	VYDAJ	PREVOD NA UCET	1522	17130	UVER	AB	13870329
231887	789	1997-10-12	VYDAJ	PREVOD NA UCET	1522	17566	UVER	AB	13870329
231888	789	1997-11-12	VYDAJ	PREVOD NA UCET	1522	15957	UVER	AB	13870329
231889	789	1997-12-12	VYDAJ	PREVOD NA UCET	1522	19232	UVER	AB	13870329
231890	789	1998-01-12	VYDAJ	PREVOD NA UCET	1522	18865	UVER	AB	13870329
231891	789	1998-02-12	VYDAJ	PREVOD NA UCET	1522	15814	UVER	AB	13870329
231892	789	1998-03-12	VYDAJ	PREVOD NA UCET	1522	16239	UVER	AB	13870329
231893	789	1998-04-12	VYDAJ	PREVOD NA UCET	1522	16665	UVER	AB	13870329
231894	789	1998-05-12	VYDAJ	PREVOD NA UCET	1522	17098	UVER	AB	13870329
231895	789	1998-06-12	VYDAJ	PREVOD NA UCET	1522	20374	UVER	AB	13870329
231896	789	1998-07-12	VYDAJ	PREVOD NA UCET	1522	20813	UVER	AB	13870329
231897	789	1998-08-12	VYDAJ	PREVOD NA UCET	1522	21258	UVER	AB	13870329
231898	789	1998-09-12	VYDAJ	PREVOD NA UCET	1522	21709	UVER	AB	13870329
231899	789	1998-10-12	VYDAJ	PREVOD NA UCET	1522	22162	UVER	AB	13870329
231900	789	1998-11-12	VYDAJ	PREVOD NA UCET	1522	22613	UVER	AB	13870329
231901	789	1998-12-12	VYDAJ	PREVOD NA UCET	1522	22712	UVER	AB	13870329
231902	789	1995-12-23	VYDAJ	VYBER	2720	23120	\N	\N	\N
231904	789	1997-12-16	VYDAJ	VYBER	800	18432	\N	\N	\N
231905	789	1998-12-07	VYDAJ	VYBER	3200	17849	\N	\N	\N
231912	789	1996-01-25	VYDAJ	VYBER	600	15735	\N	\N	\N
231913	789	1996-01-04	VYDAJ	VYBER	2040	17279	\N	\N	\N
231914	789	1996-01-07	VYDAJ	VYBER	1320	14318	\N	\N	\N
231919	789	1997-01-12	VYDAJ	VYBER	960	17953	\N	\N	\N
231921	789	1997-01-12	VYDAJ	VYBER	1200	16753	\N	\N	\N
231922	789	1997-01-01	VYDAJ	VYBER	1920	17015	\N	\N	\N
231927	789	1998-01-13	VYDAJ	VYBER	3480	15385	\N	\N	\N
231932	789	1995-12-26	VYDAJ	VYBER	4080	19040	\N	\N	\N
231933	789	1995-09-03	VYDAJ	VYBER	840	23482	\N	\N	\N
231943	789	1997-10-20	VYDAJ	VYBER	2040	15526	\N	\N	\N
231945	789	1997-09-05	VYDAJ	VYBER	4440	15113	\N	\N	\N
231951	789	1998-12-15	VYDAJ	VYBER	2040	20672	\N	\N	\N
231958	789	1995-06-30	VYDAJ	VYBER	15	33541	SLUZBY	\N	\N
231959	789	1995-07-31	VYDAJ	VYBER	15	27138	SLUZBY	\N	\N
231960	789	1995-08-31	VYDAJ	VYBER	15	24322	SLUZBY	\N	\N
231961	789	1995-09-30	VYDAJ	VYBER	15	25466	SLUZBY	\N	\N
231962	789	1995-10-31	VYDAJ	VYBER	15	23048	SLUZBY	\N	\N
231963	789	1995-11-30	VYDAJ	VYBER	15	21618	SLUZBY	\N	\N
231964	789	1995-12-31	VYDAJ	VYBER	15	19119	SLUZBY	\N	\N
231965	789	1996-01-31	VYDAJ	VYBER	15	15787	SLUZBY	\N	\N
231966	789	1996-02-29	VYDAJ	VYBER	15	15013	SLUZBY	\N	\N
231967	789	1996-03-31	VYDAJ	VYBER	15	13930	SLUZBY	\N	\N
231968	789	1996-04-30	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
231969	789	1996-05-31	VYDAJ	VYBER	15	13469	SLUZBY	\N	\N
231970	789	1996-06-30	VYDAJ	VYBER	15	16740	SLUZBY	\N	\N
231971	789	1996-07-31	VYDAJ	VYBER	15	13958	SLUZBY	\N	\N
231972	789	1996-08-31	VYDAJ	VYBER	15	14382	SLUZBY	\N	\N
231973	789	1996-09-30	VYDAJ	VYBER	15	14803	SLUZBY	\N	\N
231974	789	1996-10-31	VYDAJ	VYBER	15	15230	SLUZBY	\N	\N
231975	789	1996-11-30	VYDAJ	VYBER	15	15655	SLUZBY	\N	\N
231976	789	1996-12-31	VYDAJ	VYBER	15	18935	SLUZBY	\N	\N
231977	789	1997-01-31	VYDAJ	VYBER	15	15291	SLUZBY	\N	\N
231978	789	1997-02-28	VYDAJ	VYBER	15	15719	SLUZBY	\N	\N
231979	789	1997-03-31	VYDAJ	VYBER	15	16150	SLUZBY	\N	\N
231980	789	1997-04-30	VYDAJ	VYBER	15	16578	SLUZBY	\N	\N
231981	789	1997-05-31	VYDAJ	VYBER	15	17008	SLUZBY	\N	\N
231982	789	1997-06-30	VYDAJ	VYBER	15	20298	SLUZBY	\N	\N
231983	789	1997-07-31	VYDAJ	VYBER	15	20747	SLUZBY	\N	\N
231984	789	1997-08-31	VYDAJ	VYBER	15	21194	SLUZBY	\N	\N
231985	789	1997-09-30	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
231986	789	1997-10-31	VYDAJ	VYBER	15	15581	SLUZBY	\N	\N
231987	789	1997-11-30	VYDAJ	VYBER	15	16010	SLUZBY	\N	\N
231988	789	1997-12-31	VYDAJ	VYBER	15	18489	SLUZBY	\N	\N
231989	789	1998-01-31	VYDAJ	VYBER	15	15438	SLUZBY	\N	\N
231990	789	1998-02-28	VYDAJ	VYBER	15	15863	SLUZBY	\N	\N
231991	789	1998-03-31	VYDAJ	VYBER	15	16289	SLUZBY	\N	\N
231992	789	1998-04-30	VYDAJ	VYBER	15	16722	SLUZBY	\N	\N
231993	789	1998-05-31	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
231994	789	1998-06-30	VYDAJ	VYBER	15	20437	SLUZBY	\N	\N
231995	789	1998-07-31	VYDAJ	VYBER	15	20882	SLUZBY	\N	\N
231996	789	1998-08-31	VYDAJ	VYBER	15	21333	SLUZBY	\N	\N
231997	789	1998-09-30	VYDAJ	VYBER	15	21786	SLUZBY	\N	\N
231998	789	1998-10-31	VYDAJ	VYBER	15	22237	SLUZBY	\N	\N
231999	789	1998-11-30	VYDAJ	VYBER	15	22690	SLUZBY	\N	\N
232000	789	1995-03-08	PRIJEM	VKLAD	7900	14108	\N	\N	\N
232001	789	1995-04-07	PRIJEM	VKLAD	2600	22462	\N	\N	\N
232002	789	1995-05-07	VYDAJ	VYBER	1200	27059	\N	\N	\N
232003	789	1995-06-06	VYDAJ	VYBER	6700	26180	\N	\N	\N
232004	789	1995-07-06	VYDAJ	VYBER	7100	23500	\N	\N	\N
232005	789	1995-08-05	VYDAJ	VYBER	3600	23538	\N	\N	\N
232006	789	1995-09-04	PRIJEM	VKLAD	1500	24982	\N	\N	\N
232007	789	1995-10-04	VYDAJ	VYBER	1700	23766	\N	\N	\N
232008	789	1995-11-03	VYDAJ	VYBER	3400	19648	\N	\N	\N
232009	789	1995-12-03	PRIJEM	VKLAD	1000	22618	\N	\N	\N
232010	789	1996-01-02	PRIJEM	VKLAD	200	19319	\N	\N	\N
232011	789	1996-02-01	VYDAJ	VYBER	1200	14587	\N	\N	\N
232012	789	1996-03-02	VYDAJ	VYBER	1500	13513	\N	\N	\N
232013	789	1996-05-01	VYDAJ	VYBER	1300	13050	\N	\N	\N
232014	789	1996-06-30	VYDAJ	VYBER	3200	13540	\N	\N	\N
232062	790	1993-05-11	PRIJEM	VKLAD	300	300	\N	\N	\N
232065	790	1993-12-05	PRIJEM	VKLAD	37604	92167	\N	\N	\N
232067	790	1993-11-13	PRIJEM	VKLAD	14803	59430	\N	\N	\N
232069	790	1993-06-21	PRIJEM	VKLAD	32699	42599	\N	\N	\N
232070	790	1993-07-06	PRIJEM	VKLAD	5459	48117	\N	\N	\N
232071	790	1993-10-08	PRIJEM	VKLAD	20509	96064	\N	\N	\N
232072	790	1993-09-27	PRIJEM	VKLAD	45360	75384	\N	\N	\N
232073	790	1994-04-28	PRIJEM	VKLAD	29993	43040	\N	\N	\N
232074	790	1994-10-13	PRIJEM	VKLAD	22430	46432	\N	\N	\N
232075	790	1994-07-21	PRIJEM	VKLAD	38929	81475	\N	\N	\N
232076	790	1994-06-26	PRIJEM	VKLAD	25970	53075	\N	\N	\N
232077	790	1994-07-01	PRIJEM	VKLAD	8843	58446	\N	\N	\N
232078	790	1994-08-28	PRIJEM	VKLAD	7733	56396	\N	\N	\N
232079	790	1994-01-14	PRIJEM	VKLAD	47493	48160	\N	\N	\N
232080	790	1995-07-17	PRIJEM	VKLAD	20143	60668	\N	\N	\N
232081	790	1995-11-10	PRIJEM	VKLAD	31802	67561	\N	\N	\N
232082	790	1995-04-20	PRIJEM	VKLAD	26754	61286	\N	\N	\N
232083	790	1995-01-01	PRIJEM	VKLAD	48963	55990	\N	\N	\N
232084	790	1995-06-26	PRIJEM	VKLAD	25128	56913	\N	\N	\N
232085	790	1995-10-25	PRIJEM	VKLAD	24687	39179	\N	\N	\N
232086	790	1995-02-09	PRIJEM	VKLAD	34836	60127	\N	\N	\N
232087	790	1995-01-01	PRIJEM	VKLAD	5725	61715	\N	\N	\N
232088	790	1995-01-20	PRIJEM	VKLAD	32246	47225	\N	\N	\N
232089	790	1995-03-02	PRIJEM	VKLAD	10042	66000	\N	\N	\N
232090	790	1996-04-24	PRIJEM	VKLAD	26615	125129	\N	\N	\N
232091	790	1996-03-28	PRIJEM	VKLAD	21490	96479	\N	\N	\N
232092	790	1996-06-21	PRIJEM	VKLAD	25650	97723	\N	\N	\N
232093	790	1996-02-27	PRIJEM	VKLAD	43151	81137	\N	\N	\N
232094	790	1996-01-16	PRIJEM	VKLAD	43696	51544	\N	\N	\N
232095	790	1996-11-30	PRIJEM	VKLAD	8453	37445	\N	\N	\N
232096	790	1996-08-21	PRIJEM	VKLAD	27363	102917	\N	\N	\N
232097	790	1996-03-27	PRIJEM	VKLAD	5003	74989	\N	\N	\N
232098	790	1996-11-21	PRIJEM	VKLAD	28245	111792	\N	\N	\N
232099	790	1996-11-06	PRIJEM	VKLAD	30278	87402	\N	\N	\N
232100	790	1996-07-01	PRIJEM	VKLAD	6751	79881	\N	\N	\N
232101	790	1996-03-12	PRIJEM	VKLAD	26075	107397	\N	\N	\N
232102	790	1996-07-27	PRIJEM	VKLAD	7178	79527	\N	\N	\N
232103	790	1996-05-20	PRIJEM	VKLAD	14216	89297	\N	\N	\N
232104	790	1996-03-14	PRIJEM	VKLAD	29048	132109	\N	\N	\N
232105	790	1996-05-23	PRIJEM	VKLAD	18499	107796	\N	\N	\N
232106	790	1996-04-18	PRIJEM	VKLAD	44678	118124	\N	\N	\N
232107	790	1996-07-07	PRIJEM	VKLAD	42904	122785	\N	\N	\N
232108	790	1996-08-29	PRIJEM	VKLAD	28009	100726	\N	\N	\N
232109	790	1996-01-29	PRIJEM	VKLAD	16045	45005	\N	\N	\N
232110	790	1996-04-23	PRIJEM	VKLAD	39690	125914	\N	\N	\N
232111	790	1996-05-16	PRIJEM	VKLAD	16873	75081	\N	\N	\N
232112	790	1996-01-24	PRIJEM	VKLAD	8401	37560	\N	\N	\N
232113	790	1996-11-19	PRIJEM	VKLAD	16627	91617	\N	\N	\N
232114	790	1996-05-11	PRIJEM	VKLAD	18431	109339	\N	\N	\N
232115	790	1996-09-22	PRIJEM	VKLAD	37043	133758	\N	\N	\N
232116	790	1996-05-08	PRIJEM	VKLAD	23508	97510	\N	\N	\N
232117	790	1996-05-08	PRIJEM	VKLAD	49798	147308	\N	\N	\N
232118	790	1996-03-20	PRIJEM	VKLAD	21877	100086	\N	\N	\N
232119	790	1997-04-13	PRIJEM	VKLAD	27251	39394	\N	\N	\N
232120	790	1997-04-26	PRIJEM	VKLAD	38562	74856	\N	\N	\N
232121	790	1997-09-27	PRIJEM	VKLAD	22643	54475	\N	\N	\N
232122	790	1997-12-03	PRIJEM	VKLAD	12407	42854	\N	\N	\N
232123	790	1997-07-10	PRIJEM	VKLAD	15083	56813	\N	\N	\N
232124	790	1997-10-13	PRIJEM	VKLAD	14876	57654	\N	\N	\N
232125	790	1997-06-16	PRIJEM	VKLAD	41894	132210	\N	\N	\N
232126	790	1997-12-09	PRIJEM	VKLAD	27503	70357	\N	\N	\N
232127	790	1997-07-23	PRIJEM	VKLAD	32513	71690	\N	\N	\N
232128	790	1997-03-02	PRIJEM	VKLAD	5852	32145	\N	\N	\N
232129	790	1997-06-05	PRIJEM	VKLAD	42633	94652	\N	\N	\N
232130	790	1998-12-27	PRIJEM	VKLAD	26811	32284	\N	\N	\N
232142	790	1993-12-15	VYDAJ	VYBER	5800	42867	\N	\N	0
232143	790	1994-01-12	VYDAJ	VYBER	5700	667	\N	\N	0
232144	790	1994-02-13	VYDAJ	VYBER	3700	22475	\N	\N	0
232145	790	1994-03-06	VYDAJ	VYBER	2600	-1070	\N	\N	0
232146	790	1994-04-20	VYDAJ	VYBER	3500	13047	\N	\N	0
232147	790	1994-05-08	VYDAJ	VYBER	4300	30581	\N	\N	0
232148	790	1994-06-04	VYDAJ	VYBER	3600	27105	\N	\N	0
232149	790	1994-06-28	VYDAJ	VYBER	3600	49475	\N	\N	0
232150	790	1994-08-12	VYDAJ	PREVOD NA UCET	4336	50463	UVER	MN	86892044
232151	790	1994-09-12	VYDAJ	PREVOD NA UCET	4336	27501	UVER	MN	86892044
232152	790	1994-10-12	VYDAJ	PREVOD NA UCET	4336	24002	UVER	MN	86892044
232153	790	1994-11-12	VYDAJ	PREVOD NA UCET	4336	29634	UVER	MN	86892044
232154	790	1994-12-12	VYDAJ	PREVOD NA UCET	4336	6999	UVER	MN	86892044
232155	790	1995-01-12	VYDAJ	PREVOD NA UCET	4336	36879	UVER	MN	86892044
232156	790	1995-02-12	VYDAJ	PREVOD NA UCET	4336	55791	UVER	MN	86892044
232157	790	1995-03-12	VYDAJ	PREVOD NA UCET	4336	45564	UVER	MN	86892044
232158	790	1995-04-12	VYDAJ	PREVOD NA UCET	4336	34532	UVER	MN	86892044
232159	790	1995-05-12	VYDAJ	PREVOD NA UCET	4336	40537	UVER	MN	86892044
232160	790	1995-06-12	VYDAJ	PREVOD NA UCET	4336	31785	UVER	MN	86892044
232161	790	1995-07-12	VYDAJ	PREVOD NA UCET	4336	40525	UVER	MN	86892044
232162	790	1995-08-12	VYDAJ	PREVOD NA UCET	4336	42021	UVER	MN	86892044
232163	790	1995-09-12	VYDAJ	PREVOD NA UCET	4336	25423	UVER	MN	86892044
232164	790	1995-10-12	VYDAJ	PREVOD NA UCET	4336	14492	UVER	MN	86892044
232165	790	1995-11-12	VYDAJ	PREVOD NA UCET	4336	63225	UVER	MN	86892044
232166	790	1995-12-12	VYDAJ	PREVOD NA UCET	4336	48189	UVER	MN	86892044
232168	790	1996-02-12	VYDAJ	PREVOD NA UCET	4336	40786	UVER	MN	86892044
232169	790	1996-03-12	VYDAJ	PREVOD NA UCET	4336	103061	UVER	MN	86892044
232170	790	1996-04-12	VYDAJ	PREVOD NA UCET	4336	84735	UVER	MN	86892044
232171	790	1996-05-12	VYDAJ	PREVOD NA UCET	4336	61503	UVER	MN	86892044
232172	790	1996-06-12	VYDAJ	PREVOD NA UCET	4336	72073	UVER	MN	86892044
232173	790	1996-07-12	VYDAJ	PREVOD NA UCET	4336	96349	UVER	MN	86892044
232174	790	1996-08-12	VYDAJ	PREVOD NA UCET	4336	75554	UVER	MN	86892044
232175	790	1996-09-12	VYDAJ	PREVOD NA UCET	4336	96715	UVER	MN	86892044
232176	790	1996-10-12	VYDAJ	PREVOD NA UCET	4336	69158	UVER	MN	86892044
232177	790	1996-11-12	VYDAJ	PREVOD NA UCET	4336	74990	UVER	MN	86892044
232178	790	1996-12-12	VYDAJ	PREVOD NA UCET	4336	27096	UVER	MN	86892044
232180	790	1997-02-12	VYDAJ	PREVOD NA UCET	4336	11930	UVER	MN	86892044
232181	790	1997-03-12	VYDAJ	PREVOD NA UCET	4336	27810	UVER	MN	86892044
232183	790	1997-05-12	VYDAJ	PREVOD NA UCET	4336	70663	UVER	MN	86892044
232184	790	1997-06-12	VYDAJ	PREVOD NA UCET	4336	90316	UVER	MN	86892044
232185	790	1997-07-12	VYDAJ	PREVOD NA UCET	4336	52477	UVER	MN	86892044
232186	790	1997-08-12	VYDAJ	PREVOD NA UCET	4336	49575	UVER	MN	86892044
232187	790	1997-09-12	VYDAJ	PREVOD NA UCET	4336	34632	UVER	MN	86892044
232188	790	1997-10-12	VYDAJ	PREVOD NA UCET	4336	42778	UVER	MN	86892044
232189	790	1997-11-12	VYDAJ	PREVOD NA UCET	4336	33223	UVER	MN	86892044
232190	790	1997-12-12	VYDAJ	PREVOD NA UCET	4336	66021	UVER	MN	86892044
232192	790	1998-02-12	VYDAJ	PREVOD NA UCET	4336	10697	UVER	MN	86892044
232195	790	1998-05-12	VYDAJ	PREVOD NA UCET	4336	12757	UVER	MN	86892044
232196	790	1998-06-12	VYDAJ	PREVOD NA UCET	4336	25610	UVER	MN	86892044
232198	790	1998-08-24	VYDAJ	VYBER	3400	25486	\N	\N	0
232199	790	1998-08-28	VYDAJ	VYBER	4900	20586	\N	\N	0
232200	790	1998-10-23	VYDAJ	VYBER	5700	25609	\N	\N	0
232201	790	1998-11-14	VYDAJ	VYBER	5300	22095	\N	\N	0
232202	790	1998-12-11	VYDAJ	VYBER	3900	22973	\N	\N	0
232216	790	1994-10-13	VYBER	VYBER	11509	34923	\N	\N	\N
232217	790	1994-09-10	VYBER	VYBER	9404	31836	\N	\N	\N
232218	790	1994-02-16	VYBER	VYBER	20995	1480	\N	\N	\N
232220	790	1995-07-21	VYBER	VYBER	2807	57861	\N	\N	\N
232221	790	1995-01-25	VYBER	VYBER	14761	16564	\N	\N	\N
232222	790	1996-04-15	VYBER	VYBER	11289	73446	\N	\N	\N
232223	790	1996-11-19	VYBER	VYBER	8070	83547	\N	\N	\N
232224	790	1996-05-14	VYBER	VYBER	3295	58208	\N	\N	\N
232225	790	1996-01-21	VYBER	VYBER	5585	38459	\N	\N	\N
232226	790	1996-11-06	VYBER	VYBER	8076	79326	\N	\N	\N
232227	790	1996-01-08	VYBER	VYBER	16909	15948	\N	\N	\N
232228	790	1997-03-23	VYBER	VYBER	7943	25167	\N	\N	\N
232229	790	1997-08-09	VYBER	VYBER	5378	53911	\N	\N	\N
232230	790	1997-04-10	VYBER	VYBER	13117	12143	\N	\N	\N
232231	790	1997-11-07	VYBER	VYBER	3665	37559	\N	\N	\N
232232	790	1998-12-25	VYBER	VYBER	17500	5473	\N	\N	\N
232233	790	1998-11-11	VYBER	VYBER	2869	27395	\N	\N	\N
232234	790	1998-02-15	VYBER	VYBER	16094	6703	\N	\N	\N
232236	790	1998-07-26	VYBER	VYBER	17448	14847	\N	\N	\N
232237	790	1998-12-28	VYBER	VYBER	3324	28960	\N	\N	\N
232238	790	1998-03-22	VYBER	VYBER	5475	16654	\N	\N	\N
232239	790	1998-04-04	VYBER	VYBER	3748	12926	\N	\N	\N
232243	790	1998-09-20	VYBER	VYBER	5181	15653	\N	\N	\N
232244	790	1998-06-28	VYBER	VYBER	20521	14289	\N	\N	\N
232249	790	1997-06-17	VYDAJ	VYBER	37800	66910	\N	\N	\N
232252	790	1994-01-05	VYDAJ	VYBER	29400	13667	\N	\N	\N
232253	790	1995-01-18	VYDAJ	VYBER	18900	17979	\N	\N	\N
232254	790	1996-01-16	VYDAJ	VYBER	7500	44044	\N	\N	\N
232255	790	1997-01-10	VYDAJ	VYBER	7500	8907	\N	\N	\N
232257	790	1993-12-13	VYDAJ	VYBER	8700	48667	\N	\N	\N
232259	790	1995-12-12	VYDAJ	VYBER	8400	39789	\N	\N	\N
232260	790	1996-12-05	VYDAJ	VYBER	6300	31432	\N	\N	\N
232261	790	1997-12-30	VYDAJ	VYBER	7500	19521	\N	\N	\N
232269	790	1994-01-08	VYDAJ	VYBER	6900	12667	\N	\N	\N
232270	790	1994-01-09	VYDAJ	VYBER	4500	8167	\N	\N	\N
232271	790	1994-01-10	VYDAJ	VYBER	1800	6367	\N	\N	\N
232272	790	1994-01-17	VYDAJ	VYBER	6000	42160	\N	\N	\N
232273	790	1994-01-23	VYDAJ	VYBER	7200	34960	\N	\N	\N
232274	790	1994-01-26	VYDAJ	VYBER	6000	28960	\N	\N	\N
232275	790	1995-01-03	VYDAJ	VYBER	3600	43015	\N	\N	\N
232276	790	1995-01-24	VYDAJ	VYBER	2700	37625	\N	\N	\N
232277	790	1995-01-24	VYDAJ	VYBER	6300	31325	\N	\N	\N
232278	790	1995-01-10	VYDAJ	VYBER	1800	41215	\N	\N	\N
232279	790	1995-01-21	VYDAJ	VYBER	6900	40325	\N	\N	\N
232280	790	1995-01-19	VYDAJ	VYBER	3000	14979	\N	\N	\N
232281	790	1996-01-08	VYDAJ	VYBER	8100	7848	\N	\N	\N
232282	790	1996-01-03	VYDAJ	VYBER	5100	34357	\N	\N	\N
232284	790	1996-01-22	VYDAJ	VYBER	6300	32159	\N	\N	\N
232285	790	1996-01-06	VYDAJ	VYBER KARTOU	1500	32857	\N	\N	0
232286	790	1996-01-22	VYDAJ	VYBER KARTOU	3000	29159	\N	\N	0
232287	790	1997-01-19	VYDAJ	VYBER KARTOU	1500	5307	\N	\N	0
232288	790	1997-01-08	VYDAJ	VYBER KARTOU	3000	16407	\N	\N	0
232291	790	1997-01-29	VYDAJ	VYBER	7800	16207	\N	\N	\N
232292	790	1997-01-14	VYDAJ	VYBER KARTOU	2100	6807	\N	\N	0
232293	790	1998-01-18	VYDAJ	VYBER	5400	14980	\N	\N	\N
232295	790	1998-01-08	VYDAJ	VYBER	7500	9780	\N	\N	\N
232296	790	1998-01-01	VYDAJ	VYBER KARTOU	2400	17280	\N	\N	0
232297	790	1998-01-11	VYDAJ	VYBER KARTOU	2100	7680	\N	\N	0
232298	790	1998-01-18	VYDAJ	VYBER KARTOU	2400	20380	\N	\N	0
232300	790	1993-12-04	VYDAJ	VYBER	5100	54563	\N	\N	\N
232303	790	1994-12-07	VYDAJ	VYBER	9600	14035	\N	\N	\N
232304	790	1994-08-27	VYDAJ	VYBER	1800	48663	\N	\N	\N
232305	790	1994-12-10	VYDAJ	VYBER	2700	11335	\N	\N	\N
232306	790	1994-11-20	VYDAJ	VYBER	10500	19134	\N	\N	\N
232307	790	1995-08-14	VYDAJ	VYBER	12000	30021	\N	\N	\N
232308	790	1995-09-29	VYDAJ	VYBER	10800	18723	\N	\N	\N
232309	790	1995-10-28	VYDAJ	VYBER	7200	35679	\N	\N	\N
232311	790	1996-11-26	VYDAJ	VYBER	13800	28992	\N	\N	\N
232312	790	1996-11-21	VYDAJ	VYBER	13500	42792	\N	\N	\N
232313	790	1996-04-02	VYDAJ	VYBER	7800	89071	\N	\N	\N
232314	790	1996-01-27	VYDAJ	VYBER	7500	28960	\N	\N	\N
232315	790	1996-12-17	VYDAJ	VYBER	4500	22596	\N	\N	\N
232316	790	1997-08-06	VYDAJ	VYBER	12600	59289	\N	\N	\N
232317	790	1997-10-13	VYDAJ	VYBER KARTOU	2400	55254	\N	\N	0
232318	790	1997-09-29	VYDAJ	VYBER	7500	46975	\N	\N	\N
232319	790	1997-01-07	VYDAJ	VYBER	9600	19407	\N	\N	\N
232320	790	1997-12-24	VYDAJ	VYBER	9600	37221	\N	\N	\N
232321	790	1997-12-28	VYDAJ	VYBER	10200	27021	\N	\N	\N
232322	790	1997-06-27	VYDAJ	VYBER	6000	41510	\N	\N	\N
232323	790	1998-05-06	VYDAJ	VYBER	8100	17093	\N	\N	\N
232324	790	1998-11-07	VYDAJ	VYBER	5400	20264	\N	\N	\N
232325	790	1998-09-13	VYDAJ	VYBER	10500	20834	\N	\N	\N
232339	790	1993-11-30	VYDAJ	VYBER	15	59663	SLUZBY	\N	\N
232340	790	1993-12-31	VYDAJ	VYBER	15	43067	SLUZBY	\N	\N
232341	790	1994-01-31	VYDAJ	VYBER	15	29075	SLUZBY	\N	\N
232342	790	1994-02-28	VYDAJ	VYBER	15	1530	SLUZBY	\N	\N
232343	790	1994-03-31	VYDAJ	VYBER	15	8847	SLUZBY	\N	\N
232344	790	1994-04-30	VYDAJ	VYBER	15	43081	SLUZBY	\N	\N
232345	790	1994-05-31	VYDAJ	VYBER	15	30705	SLUZBY	\N	\N
232346	790	1994-06-30	VYDAJ	VYBER	15	49603	SLUZBY	\N	\N
232347	790	1994-07-31	VYDAJ	VYBER	15	81699	SLUZBY	\N	\N
232348	790	1994-08-31	VYDAJ	VYBER	15	56640	SLUZBY	\N	\N
232349	790	1994-09-30	VYDAJ	VYBER	15	27638	SLUZBY	\N	\N
232350	790	1994-10-31	VYDAJ	VYBER	15	35070	SLUZBY	\N	\N
232351	790	1994-11-30	VYDAJ	VYBER	15	19235	SLUZBY	\N	\N
232352	790	1994-12-31	VYDAJ	VYBER	15	7027	SLUZBY	\N	\N
232353	790	1995-01-31	VYDAJ	VYBER	15	25291	SLUZBY	\N	\N
232354	790	1995-02-28	VYDAJ	VYBER	15	55958	SLUZBY	\N	\N
232355	790	1995-03-31	VYDAJ	VYBER	15	45768	SLUZBY	\N	\N
232356	790	1995-04-30	VYDAJ	VYBER	15	61473	SLUZBY	\N	\N
232357	790	1995-05-31	VYDAJ	VYBER	15	36121	SLUZBY	\N	\N
232358	790	1995-06-30	VYDAJ	VYBER	15	44861	SLUZBY	\N	\N
232359	790	1995-07-31	VYDAJ	VYBER	15	46357	SLUZBY	\N	\N
232360	790	1995-08-31	VYDAJ	VYBER	15	29759	SLUZBY	\N	\N
232361	790	1995-09-30	VYDAJ	VYBER	15	18828	SLUZBY	\N	\N
232362	790	1995-10-31	VYDAJ	VYBER	15	35759	SLUZBY	\N	\N
232363	790	1995-11-30	VYDAJ	VYBER	15	52525	SLUZBY	\N	\N
232364	790	1995-12-31	VYDAJ	VYBER	15	39457	SLUZBY	\N	\N
232365	790	1996-01-31	VYDAJ	VYBER	15	45122	SLUZBY	\N	\N
232366	790	1996-02-29	VYDAJ	VYBER	15	81322	SLUZBY	\N	\N
232367	790	1996-03-31	VYDAJ	VYBER	15	96871	SLUZBY	\N	\N
232368	790	1996-04-30	VYDAJ	VYBER	15	74002	SLUZBY	\N	\N
232369	790	1996-05-31	VYDAJ	VYBER	15	76409	SLUZBY	\N	\N
232370	790	1996-06-30	VYDAJ	VYBER	15	73130	SLUZBY	\N	\N
232371	790	1996-07-31	VYDAJ	VYBER	15	79890	SLUZBY	\N	\N
232372	790	1996-08-31	VYDAJ	VYBER	15	101050	SLUZBY	\N	\N
232373	790	1996-09-30	VYDAJ	VYBER	15	73494	SLUZBY	\N	\N
232374	790	1996-10-31	VYDAJ	VYBER	15	57124	SLUZBY	\N	\N
232375	790	1996-11-30	VYDAJ	VYBER	15	37732	SLUZBY	\N	\N
232376	790	1996-12-31	VYDAJ	VYBER	15	29007	SLUZBY	\N	\N
232377	790	1997-01-31	VYDAJ	VYBER	15	16265	SLUZBY	\N	\N
232378	790	1997-02-28	VYDAJ	VYBER	15	26293	SLUZBY	\N	\N
232379	790	1997-03-31	VYDAJ	VYBER	15	25260	SLUZBY	\N	\N
232380	790	1997-04-30	VYDAJ	VYBER	15	74999	SLUZBY	\N	\N
232381	790	1997-05-31	VYDAJ	VYBER	15	52019	SLUZBY	\N	\N
232382	790	1997-06-30	VYDAJ	VYBER	15	41730	SLUZBY	\N	\N
232383	790	1997-07-31	VYDAJ	VYBER	15	71889	SLUZBY	\N	\N
232384	790	1997-08-31	VYDAJ	VYBER	15	38968	SLUZBY	\N	\N
232385	790	1997-09-30	VYDAJ	VYBER	15	47114	SLUZBY	\N	\N
232386	790	1997-10-31	VYDAJ	VYBER	15	41224	SLUZBY	\N	\N
232387	790	1997-11-30	VYDAJ	VYBER	15	30447	SLUZBY	\N	\N
232388	790	1997-12-31	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
232389	790	1998-01-31	VYDAJ	VYBER	15	15033	SLUZBY	\N	\N
232390	790	1998-02-28	VYDAJ	VYBER	15	6729	SLUZBY	\N	\N
232391	790	1998-03-31	VYDAJ	VYBER	15	16674	SLUZBY	\N	\N
232392	790	1998-04-30	VYDAJ	VYBER	15	25193	SLUZBY	\N	\N
232393	790	1998-05-31	VYDAJ	VYBER	15	29946	SLUZBY	\N	\N
232394	790	1998-06-30	VYDAJ	VYBER	15	14395	SLUZBY	\N	\N
232395	790	1998-07-31	VYDAJ	VYBER	15	14886	SLUZBY	\N	\N
232396	790	1998-08-31	VYDAJ	VYBER	15	20634	SLUZBY	\N	\N
232397	790	1998-09-30	VYDAJ	VYBER	15	15709	SLUZBY	\N	\N
232398	790	1998-10-31	VYDAJ	VYBER	15	25664	SLUZBY	\N	\N
232399	790	1998-11-30	VYDAJ	VYBER	15	22173	SLUZBY	\N	\N
232400	790	1993-06-10	PRIJEM	VKLAD	9600	9900	\N	\N	\N
232401	790	1993-07-10	VYDAJ	VYBER	12300	35817	\N	\N	\N
232402	790	1993-08-09	VYDAJ	VYBER	5300	30675	\N	\N	\N
232403	790	1993-09-08	VYDAJ	VYBER	800	30024	\N	\N	\N
232404	790	1993-10-08	VYDAJ	VYBER	36500	59564	\N	\N	\N
232405	790	1993-11-07	VYDAJ	VYBER	15200	44627	\N	\N	\N
232406	790	1993-12-07	VYDAJ	VYBER	34800	57367	\N	\N	\N
232407	790	1994-01-06	PRIJEM	VKLAD	5900	19567	\N	\N	\N
232408	790	1994-02-05	VYDAJ	VYBER	2900	26175	\N	\N	\N
232409	790	1994-03-07	PRIJEM	VKLAD	9900	8830	\N	\N	\N
232410	790	1994-04-06	PRIJEM	VKLAD	7700	16547	\N	\N	\N
232411	790	1994-05-06	VYDAJ	VYBER	8200	34881	\N	\N	\N
232412	790	1994-07-05	VYDAJ	VYBER	15900	42546	\N	\N	\N
232413	790	1994-08-04	VYDAJ	VYBER	26900	54799	\N	\N	\N
232414	790	1994-09-03	VYDAJ	VYBER	15400	41240	\N	\N	\N
232415	790	1994-10-03	PRIJEM	VKLAD	700	28338	\N	\N	\N
232416	790	1994-11-02	VYDAJ	VYBER	1100	33970	\N	\N	\N
232417	790	1994-12-02	PRIJEM	VKLAD	4400	23635	\N	\N	\N
232418	790	1995-01-01	VYDAJ	VYBER	15100	46615	\N	\N	\N
232419	790	1995-01-31	PRIJEM	VKLAD	8600	25164	\N	\N	\N
232420	790	1995-03-02	VYDAJ	VYBER	16100	49900	\N	\N	\N
232421	790	1995-04-01	VYDAJ	VYBER	6900	38868	\N	\N	\N
232422	790	1995-05-01	VYDAJ	VYBER	16600	44873	\N	\N	\N
232423	790	1995-05-31	VYDAJ	VYBER	4600	36135	\N	\N	\N
232424	790	1995-06-30	VYDAJ	VYBER	12200	44875	\N	\N	\N
232425	790	1995-07-30	VYDAJ	VYBER	11700	46161	\N	\N	\N
232426	790	1995-08-29	VYDAJ	VYBER KARTOU	400	29621	\N	\N	0
232427	790	1995-09-28	PRIJEM	VKLAD	4100	29523	\N	\N	\N
232428	790	1995-10-28	PRIJEM	VKLAD	3700	42879	\N	\N	\N
232429	790	1995-11-27	VYDAJ	VYBER	10900	52325	\N	\N	\N
232430	790	1995-12-27	VYDAJ	VYBER KARTOU	500	39289	\N	\N	0
232431	790	1996-01-26	VYDAJ	VYBER KARTOU	1100	36460	\N	\N	0
232432	790	1996-02-25	VYDAJ	VYBER KARTOU	2800	37986	\N	\N	0
232433	790	1996-03-14	VYDAJ	VYBER	53900	78209	\N	\N	\N
232434	790	1996-03-26	VYDAJ	VYBER	30100	69986	\N	\N	\N
232435	790	1996-04-18	VYDAJ	VYBER	31900	86224	\N	\N	\N
232436	790	1996-04-23	VYDAJ	VYBER	27400	98514	\N	\N	\N
232437	790	1996-04-24	VYDAJ	VYBER	19800	105329	\N	\N	\N
232438	790	1996-04-25	VYDAJ	VYBER	31700	73629	\N	\N	\N
232439	790	1996-05-08	VYDAJ	VYBER	56400	90908	\N	\N	\N
232440	790	1996-05-11	VYDAJ	VYBER	43500	65839	\N	\N	\N
232441	790	1996-05-25	VYDAJ	VYBER	31700	76096	\N	\N	\N
232442	790	1996-06-24	VYDAJ	VYBER	24900	72823	\N	\N	\N
232443	790	1996-07-07	VYDAJ	VYBER	22100	100685	\N	\N	\N
232444	790	1996-07-24	VYDAJ	VYBER	24000	72349	\N	\N	\N
232445	790	1996-08-23	VYDAJ	VYBER	30200	72717	\N	\N	\N
232446	790	1996-09-22	VYDAJ	VYBER	33600	73058	\N	\N	\N
232447	790	1996-09-22	VYDAJ	VYBER	27100	106658	\N	\N	\N
232448	790	1996-10-22	VYDAJ	VYBER	12300	56858	\N	\N	\N
232449	790	1996-11-21	VYDAJ	VYBER	58100	56292	\N	\N	\N
232450	790	1996-11-21	PRIJEM	VKLAD	2600	114392	\N	\N	\N
232451	790	1996-12-21	PRIJEM	VKLAD	6300	28896	\N	\N	\N
232452	790	1997-01-20	PRIJEM	VKLAD	18700	24007	\N	\N	\N
232453	790	1997-02-19	PRIJEM	VKLAD	14300	26230	\N	\N	\N
232454	790	1997-03-21	PRIJEM	VKLAD	5300	33110	\N	\N	\N
232455	790	1997-04-20	VYDAJ	VYBER KARTOU	3100	36294	\N	\N	0
232456	790	1997-05-20	VYDAJ	VYBER	18900	51763	\N	\N	\N
232457	790	1997-06-16	VYDAJ	VYBER	27500	104710	\N	\N	\N
232458	790	1997-06-19	VYDAJ	VYBER	19400	47510	\N	\N	\N
232459	790	1997-07-19	VYDAJ	VYBER	13300	39177	\N	\N	\N
232460	790	1997-08-18	VYDAJ	VYBER	10800	38775	\N	\N	\N
232461	790	1997-09-17	VYDAJ	VYBER KARTOU	2800	31832	\N	\N	0
232462	790	1997-10-17	VYDAJ	VYBER	14200	41054	\N	\N	\N
232463	790	1997-11-16	VYDAJ	VYBER KARTOU	2900	30323	\N	\N	0
232464	790	1997-12-16	VYDAJ	VYBER	19200	46821	\N	\N	\N
232465	790	1998-01-15	PRIJEM	VKLAD	15100	22780	\N	\N	\N
232466	790	1998-02-14	PRIJEM	VKLAD	12100	22797	\N	\N	\N
232467	790	1998-03-16	PRIJEM	VKLAD	15400	22129	\N	\N	\N
232468	790	1998-04-15	PRIJEM	VKLAD	12200	25126	\N	\N	\N
232469	790	1998-05-15	PRIJEM	VKLAD	17100	29857	\N	\N	\N
232470	790	1998-06-14	PRIJEM	VKLAD	9200	34810	\N	\N	\N
232471	790	1998-07-14	PRIJEM	VKLAD	17900	32295	\N	\N	\N
232472	790	1998-08-13	PRIJEM	VKLAD	14000	28886	\N	\N	\N
232473	790	1998-09-12	PRIJEM	VKLAD	10700	31334	\N	\N	\N
232474	790	1998-10-12	PRIJEM	VKLAD	15600	31309	\N	\N	\N
232475	790	1998-11-11	PRIJEM	VKLAD	10000	30264	\N	\N	\N
232476	790	1998-12-11	PRIJEM	VKLAD	4700	26873	\N	\N	\N
232549	791	1995-12-14	PRIJEM	VKLAD	700	700	\N	\N	\N
232562	791	1996-01-10	PRIJEM	PREVOD Z UCTU	4854	5554	DUCHOD	IJ	2288568
232563	791	1996-02-10	PRIJEM	PREVOD Z UCTU	4854	10408	DUCHOD	IJ	2288568
232564	791	1996-03-10	PRIJEM	PREVOD Z UCTU	4854	15262	DUCHOD	IJ	2288568
232565	791	1996-04-10	PRIJEM	PREVOD Z UCTU	4854	20116	DUCHOD	IJ	2288568
232566	791	1996-05-10	PRIJEM	PREVOD Z UCTU	4854	24970	DUCHOD	IJ	2288568
232567	791	1996-06-10	PRIJEM	PREVOD Z UCTU	4854	25712	DUCHOD	IJ	2288568
232568	791	1996-07-10	PRIJEM	PREVOD Z UCTU	4854	21556	DUCHOD	IJ	2288568
232569	791	1996-08-10	PRIJEM	PREVOD Z UCTU	4854	23419	DUCHOD	IJ	2288568
232570	791	1996-09-10	PRIJEM	PREVOD Z UCTU	4854	25088	DUCHOD	IJ	2288568
232571	791	1996-10-10	PRIJEM	PREVOD Z UCTU	4854	24862	DUCHOD	IJ	2288568
232572	791	1996-11-10	PRIJEM	PREVOD Z UCTU	4854	26140	DUCHOD	IJ	2288568
232573	791	1996-12-10	PRIJEM	PREVOD Z UCTU	4854	24421	DUCHOD	IJ	2288568
232574	791	1997-01-10	PRIJEM	PREVOD Z UCTU	4854	22949	DUCHOD	IJ	2288568
232575	791	1997-02-10	PRIJEM	PREVOD Z UCTU	4854	17770	DUCHOD	IJ	2288568
232576	791	1997-03-10	PRIJEM	PREVOD Z UCTU	4854	19613	DUCHOD	IJ	2288568
232577	791	1997-04-10	PRIJEM	PREVOD Z UCTU	4854	21464	DUCHOD	IJ	2288568
232578	791	1997-05-10	PRIJEM	PREVOD Z UCTU	4854	15969	DUCHOD	IJ	2288568
232579	791	1997-06-10	PRIJEM	PREVOD Z UCTU	4854	17816	DUCHOD	IJ	2288568
232580	791	1997-07-10	PRIJEM	PREVOD Z UCTU	4854	19659	DUCHOD	IJ	2288568
232581	791	1997-08-10	PRIJEM	PREVOD Z UCTU	4854	21511	DUCHOD	IJ	2288568
232582	791	1997-09-10	PRIJEM	PREVOD Z UCTU	4854	20087	DUCHOD	IJ	2288568
232583	791	1997-10-10	PRIJEM	PREVOD Z UCTU	4854	21940	DUCHOD	IJ	2288568
232584	791	1997-11-10	PRIJEM	PREVOD Z UCTU	4854	20278	DUCHOD	IJ	2288568
232585	791	1997-12-10	PRIJEM	PREVOD Z UCTU	4854	21171	DUCHOD	IJ	2288568
232586	791	1998-01-10	PRIJEM	PREVOD Z UCTU	4854	22128	DUCHOD	IJ	2288568
232587	791	1998-02-10	PRIJEM	PREVOD Z UCTU	4854	18944	DUCHOD	IJ	2288568
232588	791	1998-03-10	PRIJEM	PREVOD Z UCTU	4854	18390	DUCHOD	IJ	2288568
232589	791	1998-04-10	PRIJEM	PREVOD Z UCTU	4854	19035	DUCHOD	IJ	2288568
232590	791	1998-05-10	PRIJEM	PREVOD Z UCTU	4854	18960	DUCHOD	IJ	2288568
232591	791	1998-06-10	PRIJEM	PREVOD Z UCTU	4854	20809	DUCHOD	IJ	2288568
232592	791	1998-07-10	PRIJEM	PREVOD Z UCTU	4854	20513	DUCHOD	IJ	2288568
232593	791	1998-08-10	PRIJEM	PREVOD Z UCTU	4854	22368	DUCHOD	IJ	2288568
232594	791	1998-09-10	PRIJEM	PREVOD Z UCTU	4854	24230	DUCHOD	IJ	2288568
232595	791	1998-10-10	PRIJEM	PREVOD Z UCTU	4854	26100	DUCHOD	IJ	2288568
232596	791	1998-11-10	PRIJEM	PREVOD Z UCTU	4854	27978	DUCHOD	IJ	2288568
232597	791	1998-12-10	PRIJEM	PREVOD Z UCTU	4854	27584	DUCHOD	IJ	2288568
232614	791	1996-05-13	VYDAJ	PREVOD NA UCET	3054	20816	SIPO	CD	11072284
232615	791	1996-06-13	VYDAJ	PREVOD NA UCET	3054	17758	SIPO	CD	11072284
232616	791	1996-07-13	VYDAJ	PREVOD NA UCET	3054	18502	SIPO	CD	11072284
232617	791	1996-08-13	VYDAJ	PREVOD NA UCET	3054	20165	SIPO	CD	11072284
232618	791	1996-09-13	VYDAJ	PREVOD NA UCET	3054	22034	SIPO	CD	11072284
232619	791	1996-10-13	VYDAJ	PREVOD NA UCET	3054	21808	SIPO	CD	11072284
232620	791	1996-11-13	VYDAJ	PREVOD NA UCET	3054	23086	SIPO	CD	11072284
232621	791	1996-12-13	VYDAJ	PREVOD NA UCET	3054	21367	SIPO	CD	11072284
232622	791	1997-01-13	VYDAJ	PREVOD NA UCET	3054	19895	SIPO	CD	11072284
232623	791	1997-02-13	VYDAJ	PREVOD NA UCET	3054	14716	SIPO	CD	11072284
232624	791	1997-03-13	VYDAJ	PREVOD NA UCET	3054	16559	SIPO	CD	11072284
232625	791	1997-04-13	VYDAJ	PREVOD NA UCET	3054	17850	SIPO	CD	11072284
232626	791	1997-05-13	VYDAJ	PREVOD NA UCET	3054	12915	SIPO	CD	11072284
232627	791	1997-06-13	VYDAJ	PREVOD NA UCET	3054	14762	SIPO	CD	11072284
232628	791	1997-07-13	VYDAJ	PREVOD NA UCET	3054	16605	SIPO	CD	11072284
232629	791	1997-08-13	VYDAJ	PREVOD NA UCET	3054	18457	SIPO	CD	11072284
232630	791	1997-09-13	VYDAJ	PREVOD NA UCET	3054	17033	SIPO	CD	11072284
232631	791	1997-10-13	VYDAJ	PREVOD NA UCET	3054	18886	SIPO	CD	11072284
232632	791	1997-11-13	VYDAJ	PREVOD NA UCET	3054	16264	SIPO	CD	11072284
232633	791	1997-12-13	VYDAJ	PREVOD NA UCET	3054	18117	SIPO	CD	11072284
232634	791	1998-01-13	VYDAJ	PREVOD NA UCET	3054	19074	SIPO	CD	11072284
232635	791	1998-02-13	VYDAJ	PREVOD NA UCET	3054	15890	SIPO	CD	11072284
232636	791	1998-03-13	VYDAJ	PREVOD NA UCET	3054	14136	SIPO	CD	11072284
232637	791	1998-04-13	VYDAJ	PREVOD NA UCET	3054	15981	SIPO	CD	11072284
232638	791	1998-05-13	VYDAJ	PREVOD NA UCET	3054	15906	SIPO	CD	11072284
232639	791	1998-06-13	VYDAJ	PREVOD NA UCET	3054	17755	SIPO	CD	11072284
232640	791	1998-07-13	VYDAJ	PREVOD NA UCET	3054	17459	SIPO	CD	11072284
232641	791	1998-08-13	VYDAJ	PREVOD NA UCET	3054	19314	SIPO	CD	11072284
232642	791	1998-09-13	VYDAJ	PREVOD NA UCET	3054	21176	SIPO	CD	11072284
232643	791	1998-10-13	VYDAJ	PREVOD NA UCET	3054	23046	SIPO	CD	11072284
232644	791	1998-11-13	VYDAJ	PREVOD NA UCET	3054	24924	SIPO	CD	11072284
232645	791	1998-12-13	VYDAJ	PREVOD NA UCET	3054	24530	SIPO	CD	11072284
232649	791	1998-06-25	VYDAJ	VYBER	2150	15605	\N	\N	\N
232651	791	1996-12-22	VYDAJ	VYBER	450	20917	\N	\N	\N
232652	791	1997-12-24	VYDAJ	VYBER	500	17617	\N	\N	\N
232653	791	1998-12-08	VYDAJ	VYBER	1000	22730	\N	\N	\N
232667	791	1997-01-29	VYDAJ	VYBER	1520	12855	\N	\N	\N
232669	791	1997-01-24	VYDAJ	VYBER	2080	14375	\N	\N	\N
232671	791	1997-01-19	VYDAJ	VYBER	880	16455	\N	\N	\N
232672	791	1998-01-06	VYDAJ	VYBER	400	17274	\N	\N	\N
232674	791	1998-01-22	VYDAJ	VYBER	400	14034	\N	\N	\N
232675	791	1998-01-16	VYDAJ	VYBER	1440	17634	\N	\N	\N
232676	791	1998-01-22	VYDAJ	VYBER	2000	14434	\N	\N	\N
232677	791	1998-01-18	VYDAJ	VYBER	1200	16434	\N	\N	\N
232683	791	1996-07-07	VYDAJ	VYBER	1120	16702	\N	\N	\N
232684	791	1997-10-26	VYDAJ	VYBER	3520	15366	\N	\N	\N
232685	791	1997-01-16	VYDAJ	VYBER	2560	17335	\N	\N	\N
232686	791	1997-08-24	VYDAJ	VYBER	3280	15177	\N	\N	\N
232687	791	1997-04-13	VYDAJ	VYBER	560	20904	\N	\N	\N
232688	791	1997-11-10	VYDAJ	VYBER	960	19318	\N	\N	\N
232689	791	1998-03-10	VYDAJ	VYBER	1200	17190	\N	\N	\N
232691	791	1998-02-24	VYDAJ	VYBER	2400	13490	\N	\N	\N
232692	791	1998-04-20	VYDAJ	VYBER	1920	14061	\N	\N	\N
232693	791	1998-12-06	VYDAJ	VYBER	1280	23730	\N	\N	\N
232711	791	1996-05-31	VYDAJ	VYBER	15	20858	SLUZBY	\N	\N
232712	791	1996-06-30	VYDAJ	VYBER	15	17822	SLUZBY	\N	\N
232713	791	1996-07-31	VYDAJ	VYBER	15	18565	SLUZBY	\N	\N
232714	791	1996-08-31	VYDAJ	VYBER	15	20234	SLUZBY	\N	\N
232715	791	1996-09-30	VYDAJ	VYBER	15	22108	SLUZBY	\N	\N
232716	791	1996-10-31	VYDAJ	VYBER	15	21886	SLUZBY	\N	\N
232717	791	1996-11-30	VYDAJ	VYBER	15	23167	SLUZBY	\N	\N
232718	791	1996-12-31	VYDAJ	VYBER	15	20995	SLUZBY	\N	\N
232719	791	1997-01-31	VYDAJ	VYBER	15	12916	SLUZBY	\N	\N
232720	791	1997-02-28	VYDAJ	VYBER	15	14759	SLUZBY	\N	\N
232721	791	1997-03-31	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
232722	791	1997-04-30	VYDAJ	VYBER	15	17915	SLUZBY	\N	\N
232723	791	1997-05-31	VYDAJ	VYBER	15	12962	SLUZBY	\N	\N
232724	791	1997-06-30	VYDAJ	VYBER	15	14805	SLUZBY	\N	\N
232725	791	1997-07-31	VYDAJ	VYBER	15	16657	SLUZBY	\N	\N
232726	791	1997-08-31	VYDAJ	VYBER	15	15233	SLUZBY	\N	\N
232727	791	1997-09-30	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
232728	791	1997-10-31	VYDAJ	VYBER	15	15424	SLUZBY	\N	\N
232729	791	1997-11-30	VYDAJ	VYBER	15	16317	SLUZBY	\N	\N
232730	791	1997-12-31	VYDAJ	VYBER	15	17674	SLUZBY	\N	\N
232731	791	1998-01-31	VYDAJ	VYBER	15	14090	SLUZBY	\N	\N
232732	791	1998-02-28	VYDAJ	VYBER	15	13536	SLUZBY	\N	\N
232733	791	1998-03-31	VYDAJ	VYBER	15	14181	SLUZBY	\N	\N
232734	791	1998-04-30	VYDAJ	VYBER	15	14106	SLUZBY	\N	\N
232735	791	1998-05-31	VYDAJ	VYBER	15	15955	SLUZBY	\N	\N
232736	791	1998-06-30	VYDAJ	VYBER	15	15659	SLUZBY	\N	\N
232737	791	1998-07-31	VYDAJ	VYBER	15	17514	SLUZBY	\N	\N
232738	791	1998-08-31	VYDAJ	VYBER	15	19376	SLUZBY	\N	\N
232739	791	1998-09-30	VYDAJ	VYBER	15	21246	SLUZBY	\N	\N
232740	791	1998-10-31	VYDAJ	VYBER	15	23124	SLUZBY	\N	\N
232741	791	1998-11-30	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
232742	791	1996-05-12	VYDAJ	VYBER	1100	23870	\N	\N	\N
232743	791	1996-06-11	VYDAJ	VYBER	4900	20812	\N	\N	\N
232744	791	1996-08-10	VYDAJ	VYBER	200	23219	\N	\N	\N
232745	791	1996-10-09	VYDAJ	VYBER	2100	20008	\N	\N	\N
232746	791	1996-11-08	VYDAJ	VYBER	600	21286	\N	\N	\N
232747	791	1996-12-08	VYDAJ	VYBER	3600	19567	\N	\N	\N
232748	791	1997-01-07	VYDAJ	VYBER	2900	18095	\N	\N	\N
232749	791	1997-05-07	VYDAJ	VYBER	6800	11115	\N	\N	\N
232782	792	1997-08-13	PRIJEM	VKLAD	400	400	\N	\N	\N
232791	792	1997-09-13	PRIJEM	PREVOD Z UCTU	3599	13599	\N	CD	76224094
232792	792	1997-10-13	PRIJEM	PREVOD Z UCTU	3599	23532	\N	CD	76224094
232793	792	1997-11-13	PRIJEM	PREVOD Z UCTU	3599	27113	\N	CD	76224094
232794	792	1997-12-13	PRIJEM	PREVOD Z UCTU	3599	32719	\N	CD	76224094
232795	792	1998-01-13	PRIJEM	PREVOD Z UCTU	3599	32645	\N	CD	76224094
232796	792	1998-02-13	PRIJEM	PREVOD Z UCTU	3599	32693	\N	CD	76224094
232797	792	1998-03-13	PRIJEM	PREVOD Z UCTU	3599	32710	\N	CD	76224094
232798	792	1998-04-13	PRIJEM	PREVOD Z UCTU	3599	34008	\N	CD	76224094
232799	792	1998-05-13	PRIJEM	PREVOD Z UCTU	3599	33159	\N	CD	76224094
232800	792	1998-06-13	PRIJEM	PREVOD Z UCTU	3599	33281	\N	CD	76224094
232801	792	1998-07-13	PRIJEM	PREVOD Z UCTU	3599	31201	\N	CD	76224094
232802	792	1998-08-13	PRIJEM	PREVOD Z UCTU	3599	30515	\N	CD	76224094
232803	792	1998-09-13	PRIJEM	PREVOD Z UCTU	3599	24825	\N	CD	76224094
232804	792	1998-10-13	PRIJEM	PREVOD Z UCTU	3599	23793	\N	CD	76224094
232805	792	1998-11-13	PRIJEM	PREVOD Z UCTU	3599	20773	\N	CD	76224094
232806	792	1998-12-13	PRIJEM	PREVOD Z UCTU	3599	20073	\N	CD	76224094
232819	792	1998-01-14	VYDAJ	PREVOD NA UCET	485	32160	SIPO	AB	75295537
232820	792	1998-02-14	VYDAJ	PREVOD NA UCET	485	32208	SIPO	AB	75295537
232821	792	1998-03-14	VYDAJ	PREVOD NA UCET	485	32225	SIPO	AB	75295537
232822	792	1998-04-14	VYDAJ	PREVOD NA UCET	485	33523	SIPO	AB	75295537
232823	792	1998-05-14	VYDAJ	PREVOD NA UCET	485	32674	SIPO	AB	75295537
232824	792	1998-06-14	VYDAJ	PREVOD NA UCET	485	32796	SIPO	AB	75295537
232825	792	1998-07-14	VYDAJ	PREVOD NA UCET	485	30716	SIPO	AB	75295537
232826	792	1998-08-14	VYDAJ	PREVOD NA UCET	485	30030	SIPO	AB	75295537
232827	792	1998-09-14	VYDAJ	PREVOD NA UCET	485	24340	SIPO	AB	75295537
232828	792	1998-10-14	VYDAJ	PREVOD NA UCET	485	23308	SIPO	AB	75295537
232829	792	1998-11-14	VYDAJ	PREVOD NA UCET	485	20288	SIPO	AB	75295537
232830	792	1998-12-14	VYDAJ	PREVOD NA UCET	485	19588	SIPO	AB	75295537
232844	792	1998-02-10	VYDAJ	PREVOD NA UCET	1326	29094	 	AB	50819605
232845	792	1998-03-10	VYDAJ	PREVOD NA UCET	1326	30411	 	AB	50819605
232846	792	1998-04-10	VYDAJ	PREVOD NA UCET	1326	30409	 	AB	50819605
232847	792	1998-05-10	VYDAJ	PREVOD NA UCET	1326	31730	 	AB	50819605
232848	792	1998-06-10	VYDAJ	PREVOD NA UCET	1326	29682	 	AB	50819605
232849	792	1998-07-10	VYDAJ	PREVOD NA UCET	1326	27602	 	AB	50819605
232850	792	1998-08-10	VYDAJ	PREVOD NA UCET	1326	26916	 	AB	50819605
232851	792	1998-09-10	VYDAJ	PREVOD NA UCET	1326	21226	 	AB	50819605
232852	792	1998-10-10	VYDAJ	PREVOD NA UCET	1326	20194	 	AB	50819605
232853	792	1998-11-10	VYDAJ	PREVOD NA UCET	1326	17174	 	AB	50819605
232854	792	1998-12-10	VYDAJ	PREVOD NA UCET	1326	17104	 	AB	50819605
232868	792	1998-02-06	VYDAJ	PREVOD NA UCET	588	30220	POJISTNE	MN	90125488
232869	792	1998-03-06	VYDAJ	PREVOD NA UCET	588	31737	POJISTNE	MN	90125488
232870	792	1998-04-06	VYDAJ	PREVOD NA UCET	588	30135	POJISTNE	MN	90125488
232871	792	1998-05-06	VYDAJ	PREVOD NA UCET	588	33056	POJISTNE	MN	90125488
232872	792	1998-06-06	VYDAJ	PREVOD NA UCET	588	32208	POJISTNE	MN	90125488
232873	792	1998-07-06	VYDAJ	PREVOD NA UCET	588	32328	POJISTNE	MN	90125488
232874	792	1998-08-06	VYDAJ	PREVOD NA UCET	588	30242	POJISTNE	MN	90125488
232875	792	1998-09-06	VYDAJ	PREVOD NA UCET	588	29552	POJISTNE	MN	90125488
232876	792	1998-10-06	VYDAJ	PREVOD NA UCET	588	22520	POJISTNE	MN	90125488
232877	792	1998-11-06	VYDAJ	PREVOD NA UCET	588	18500	POJISTNE	MN	90125488
232878	792	1998-12-06	VYDAJ	PREVOD NA UCET	588	18430	POJISTNE	MN	90125488
232880	792	1998-12-03	VYDAJ	VYBER	540	19818	\N	\N	\N
232887	792	1998-01-15	VYDAJ	VYBER	870	31290	\N	\N	\N
232888	792	1998-01-22	VYDAJ	VYBER	150	31140	\N	\N	\N
232892	792	1998-01-26	VYDAJ	VYBER	450	30690	\N	\N	\N
232897	792	1998-03-26	VYDAJ	VYBER	780	31445	\N	\N	\N
232898	792	1998-09-23	VYDAJ	VYBER	1320	23020	\N	\N	\N
232899	792	1998-05-11	VYDAJ	VYBER	270	29560	\N	\N	\N
232900	792	1998-12-11	VYDAJ	VYBER	630	16474	\N	\N	\N
232901	792	1998-12-14	VYDAJ	VYBER	720	18868	\N	\N	\N
232903	792	1998-03-31	VYDAJ	VYBER	840	30723	\N	\N	\N
232917	792	1998-01-31	VYDAJ	VYBER	15	30808	SLUZBY	\N	\N
232918	792	1998-02-28	VYDAJ	VYBER	15	32325	SLUZBY	\N	\N
232919	792	1998-03-31	VYDAJ	VYBER	15	31563	SLUZBY	\N	\N
232920	792	1998-04-30	VYDAJ	VYBER	15	33644	SLUZBY	\N	\N
232921	792	1998-05-31	VYDAJ	VYBER	15	32796	SLUZBY	\N	\N
232922	792	1998-06-30	VYDAJ	VYBER	15	32916	SLUZBY	\N	\N
232923	792	1998-07-31	VYDAJ	VYBER	15	30830	SLUZBY	\N	\N
232924	792	1998-08-31	VYDAJ	VYBER	15	30140	SLUZBY	\N	\N
232925	792	1998-09-30	VYDAJ	VYBER	15	23108	SLUZBY	\N	\N
232926	792	1998-10-31	VYDAJ	VYBER	15	23388	SLUZBY	\N	\N
232927	792	1998-11-30	VYDAJ	VYBER	15	20358	SLUZBY	\N	\N
232928	792	1997-09-12	PRIJEM	VKLAD	9600	10000	\N	\N	\N
232929	792	1997-10-12	PRIJEM	VKLAD	6300	19933	\N	\N	\N
232930	792	1997-11-11	VYDAJ	VYBER	100	23514	\N	\N	\N
232931	792	1997-12-11	PRIJEM	VKLAD	1900	29120	\N	\N	\N
232932	792	1998-01-10	VYDAJ	VYBER	3800	29046	\N	\N	\N
232933	792	1998-02-09	PRIJEM	VKLAD	200	30420	\N	\N	\N
232934	792	1998-03-11	VYDAJ	VYBER	1300	29111	\N	\N	\N
232935	792	1998-04-10	PRIJEM	VKLAD	1600	31735	\N	\N	\N
232936	792	1998-05-10	VYDAJ	VYBER	1900	29830	\N	\N	\N
232937	792	1998-06-09	VYDAJ	VYBER	1200	31008	\N	\N	\N
232938	792	1998-07-09	VYDAJ	VYBER	3400	28928	\N	\N	\N
232939	792	1998-08-08	VYDAJ	VYBER	2000	28242	\N	\N	\N
232940	792	1998-09-07	VYDAJ	VYBER	7000	22552	\N	\N	\N
232941	792	1998-10-07	VYDAJ	VYBER	1000	21520	\N	\N	\N
232942	792	1998-11-06	VYDAJ	VYBER	4300	19088	\N	\N	\N
232943	792	1998-12-06	VYDAJ	VYBER	800	19018	\N	\N	\N
232960	793	1993-01-03	PRIJEM	VKLAD	800	800	\N	\N	\N
232961	793	1993-01-05	PRIJEM	PREVOD Z UCTU	3401	4201	\N	IJ	6149286
232962	793	1993-02-05	PRIJEM	PREVOD Z UCTU	3401	7617	\N	IJ	6149286
232963	793	1993-03-05	PRIJEM	PREVOD Z UCTU	3401	11036	\N	IJ	6149286
232964	793	1993-04-05	PRIJEM	PREVOD Z UCTU	3401	14454	\N	IJ	6149286
232965	793	1993-05-05	PRIJEM	PREVOD Z UCTU	3401	17873	\N	IJ	6149286
232966	793	1993-06-05	PRIJEM	PREVOD Z UCTU	3401	18177	\N	IJ	6149286
232967	793	1993-07-05	PRIJEM	PREVOD Z UCTU	3401	18613	\N	IJ	6149286
232968	793	1993-08-05	PRIJEM	PREVOD Z UCTU	3401	18688	\N	IJ	6149286
232969	793	1993-09-05	PRIJEM	PREVOD Z UCTU	3401	19876	\N	IJ	6149286
232970	793	1993-10-05	PRIJEM	PREVOD Z UCTU	3401	19836	\N	IJ	6149286
232971	793	1993-11-05	PRIJEM	PREVOD Z UCTU	3401	21029	\N	IJ	6149286
232972	793	1993-12-05	PRIJEM	PREVOD Z UCTU	3401	22227	\N	IJ	6149286
232973	793	1994-01-05	PRIJEM	PREVOD Z UCTU	3401	23220	\N	IJ	6149286
232974	793	1994-02-05	PRIJEM	PREVOD Z UCTU	3401	21393	\N	IJ	6149286
232975	793	1994-03-05	PRIJEM	PREVOD Z UCTU	3401	22593	\N	IJ	6149286
232976	793	1994-04-05	PRIJEM	PREVOD Z UCTU	3401	22567	\N	IJ	6149286
232977	793	1994-05-05	PRIJEM	PREVOD Z UCTU	3401	23563	\N	IJ	6149286
232978	793	1994-06-05	PRIJEM	PREVOD Z UCTU	3401	24771	\N	IJ	6149286
232979	793	1994-07-05	PRIJEM	PREVOD Z UCTU	3401	25885	\N	IJ	6149286
232980	793	1994-08-05	PRIJEM	PREVOD Z UCTU	3401	27103	\N	IJ	6149286
232981	793	1994-09-05	PRIJEM	PREVOD Z UCTU	3401	28326	\N	IJ	6149286
232982	793	1994-10-05	PRIJEM	PREVOD Z UCTU	3401	29013	\N	IJ	6149286
232983	793	1994-11-05	PRIJEM	PREVOD Z UCTU	3401	30244	\N	IJ	6149286
232984	793	1994-12-05	PRIJEM	PREVOD Z UCTU	3401	29857	\N	IJ	6149286
232985	793	1995-01-05	PRIJEM	PREVOD Z UCTU	3401	28839	\N	IJ	6149286
232986	793	1995-02-05	PRIJEM	PREVOD Z UCTU	3401	28748	\N	IJ	6149286
232987	793	1995-03-05	PRIJEM	PREVOD Z UCTU	3401	29978	\N	IJ	6149286
232988	793	1995-04-05	PRIJEM	PREVOD Z UCTU	3401	30112	\N	IJ	6149286
232989	793	1995-05-05	PRIJEM	PREVOD Z UCTU	3401	31347	\N	IJ	6149286
232990	793	1995-06-05	PRIJEM	PREVOD Z UCTU	3401	32167	\N	IJ	6149286
232991	793	1995-07-05	PRIJEM	PREVOD Z UCTU	3401	31008	\N	IJ	6149286
232992	793	1995-08-05	PRIJEM	PREVOD Z UCTU	3401	32247	\N	IJ	6149286
232993	793	1995-09-05	PRIJEM	PREVOD Z UCTU	3401	31908	\N	IJ	6149286
232994	793	1995-10-05	PRIJEM	PREVOD Z UCTU	3401	30147	\N	IJ	6149286
232995	793	1995-11-05	PRIJEM	PREVOD Z UCTU	3401	28640	\N	IJ	6149286
232996	793	1995-12-05	PRIJEM	PREVOD Z UCTU	3401	26124	\N	IJ	6149286
232997	793	1996-01-05	PRIJEM	PREVOD Z UCTU	3401	24672	\N	IJ	6149286
232998	793	1996-02-05	PRIJEM	PREVOD Z UCTU	3401	23030	\N	IJ	6149286
232999	793	1996-03-05	PRIJEM	PREVOD Z UCTU	3401	24235	\N	IJ	6149286
233000	793	1996-04-05	PRIJEM	PREVOD Z UCTU	3401	24603	\N	IJ	6149286
233001	793	1996-05-05	PRIJEM	PREVOD Z UCTU	3401	25815	\N	IJ	6149286
233002	793	1996-06-05	PRIJEM	PREVOD Z UCTU	3401	27032	\N	IJ	6149286
233003	793	1996-07-05	PRIJEM	PREVOD Z UCTU	3401	28053	\N	IJ	6149286
233004	793	1996-08-05	PRIJEM	PREVOD Z UCTU	3401	28227	\N	IJ	6149286
233005	793	1996-09-05	PRIJEM	PREVOD Z UCTU	3401	29153	\N	IJ	6149286
233006	793	1996-10-05	PRIJEM	PREVOD Z UCTU	3401	29482	\N	IJ	6149286
233007	793	1996-11-05	PRIJEM	PREVOD Z UCTU	3401	29091	\N	IJ	6149286
233008	793	1996-12-05	PRIJEM	PREVOD Z UCTU	3401	30321	\N	IJ	6149286
233009	793	1997-01-05	PRIJEM	PREVOD Z UCTU	3401	30116	\N	IJ	6149286
233010	793	1997-02-05	PRIJEM	PREVOD Z UCTU	3401	27102	\N	IJ	6149286
233011	793	1997-03-05	PRIJEM	PREVOD Z UCTU	3401	28325	\N	IJ	6149286
233012	793	1997-04-05	PRIJEM	PREVOD Z UCTU	3401	28348	\N	IJ	6149286
233013	793	1997-05-05	PRIJEM	PREVOD Z UCTU	3401	29575	\N	IJ	6149286
233014	793	1997-06-05	PRIJEM	PREVOD Z UCTU	3401	30807	\N	IJ	6149286
233015	793	1997-07-05	PRIJEM	PREVOD Z UCTU	3401	31382	\N	IJ	6149286
233016	793	1997-08-05	PRIJEM	PREVOD Z UCTU	3401	31237	\N	IJ	6149286
233017	793	1997-09-05	PRIJEM	PREVOD Z UCTU	3401	29397	\N	IJ	6149286
233018	793	1997-10-05	PRIJEM	PREVOD Z UCTU	3401	29023	\N	IJ	6149286
233019	793	1997-11-05	PRIJEM	PREVOD Z UCTU	3401	26039	\N	IJ	6149286
233020	793	1997-12-05	PRIJEM	PREVOD Z UCTU	3401	21468	\N	IJ	6149286
233021	793	1998-01-05	PRIJEM	PREVOD Z UCTU	3401	18322	\N	IJ	6149286
233022	793	1998-02-05	PRIJEM	PREVOD Z UCTU	3401	18574	\N	IJ	6149286
233023	793	1998-03-05	PRIJEM	PREVOD Z UCTU	3401	19759	\N	IJ	6149286
233024	793	1998-04-05	PRIJEM	PREVOD Z UCTU	3401	18140	\N	IJ	6149286
233025	793	1998-05-05	PRIJEM	PREVOD Z UCTU	3401	19324	\N	IJ	6149286
233026	793	1998-06-05	PRIJEM	PREVOD Z UCTU	3401	16398	\N	IJ	6149286
233027	793	1998-07-05	PRIJEM	PREVOD Z UCTU	3401	17574	\N	IJ	6149286
233028	793	1998-08-05	PRIJEM	PREVOD Z UCTU	3401	18754	\N	IJ	6149286
233029	793	1998-09-05	PRIJEM	PREVOD Z UCTU	3401	18616	\N	IJ	6149286
233030	793	1998-10-05	PRIJEM	PREVOD Z UCTU	3401	19801	\N	IJ	6149286
233031	793	1998-11-05	PRIJEM	PREVOD Z UCTU	3401	20990	\N	IJ	6149286
233032	793	1998-12-05	PRIJEM	PREVOD Z UCTU	3401	22185	\N	IJ	6149286
233037	793	1993-05-12	VYDAJ	PREVOD NA UCET	1212	15396	\N	CD	41663390
233038	793	1993-06-12	VYDAJ	PREVOD NA UCET	1212	15910	\N	CD	41663390
233039	793	1993-07-12	VYDAJ	PREVOD NA UCET	1212	16346	\N	CD	41663390
233040	793	1993-08-12	VYDAJ	PREVOD NA UCET	1212	16421	\N	CD	41663390
233041	793	1993-09-12	VYDAJ	PREVOD NA UCET	1212	16559	\N	CD	41663390
233042	793	1993-10-12	VYDAJ	PREVOD NA UCET	1212	17569	\N	CD	41663390
233043	793	1993-11-12	VYDAJ	PREVOD NA UCET	1212	18762	\N	CD	41663390
233044	793	1993-12-12	VYDAJ	PREVOD NA UCET	1212	19750	\N	CD	41663390
233045	793	1994-01-12	VYDAJ	PREVOD NA UCET	1212	20623	\N	CD	41663390
233046	793	1994-02-12	VYDAJ	PREVOD NA UCET	1212	19126	\N	CD	41663390
233047	793	1994-03-12	VYDAJ	PREVOD NA UCET	1212	20326	\N	CD	41663390
233048	793	1994-04-12	VYDAJ	PREVOD NA UCET	1212	20300	\N	CD	41663390
233049	793	1994-05-12	VYDAJ	PREVOD NA UCET	1212	21296	\N	CD	41663390
233050	793	1994-06-12	VYDAJ	PREVOD NA UCET	1212	22504	\N	CD	41663390
233051	793	1994-07-12	VYDAJ	PREVOD NA UCET	1212	23618	\N	CD	41663390
233052	793	1994-08-12	VYDAJ	PREVOD NA UCET	1212	24836	\N	CD	41663390
233053	793	1994-09-12	VYDAJ	PREVOD NA UCET	1212	25519	\N	CD	41663390
233054	793	1994-10-12	VYDAJ	PREVOD NA UCET	1212	26746	\N	CD	41663390
233055	793	1994-11-12	VYDAJ	PREVOD NA UCET	1212	27557	\N	CD	41663390
233056	793	1994-12-12	VYDAJ	PREVOD NA UCET	1212	26840	\N	CD	41663390
233057	793	1995-01-12	VYDAJ	PREVOD NA UCET	1212	26572	\N	CD	41663390
233058	793	1995-02-12	VYDAJ	PREVOD NA UCET	1212	26481	\N	CD	41663390
233059	793	1995-03-12	VYDAJ	PREVOD NA UCET	1212	27711	\N	CD	41663390
233060	793	1995-04-12	VYDAJ	PREVOD NA UCET	1212	27845	\N	CD	41663390
233061	793	1995-05-12	VYDAJ	PREVOD NA UCET	1212	29080	\N	CD	41663390
233062	793	1995-06-12	VYDAJ	PREVOD NA UCET	1212	29900	\N	CD	41663390
233063	793	1995-07-12	VYDAJ	PREVOD NA UCET	1212	28741	\N	CD	41663390
233064	793	1995-08-12	VYDAJ	PREVOD NA UCET	1212	29800	\N	CD	41663390
233065	793	1995-09-12	VYDAJ	PREVOD NA UCET	1212	29641	\N	CD	41663390
233066	793	1995-10-12	VYDAJ	PREVOD NA UCET	1212	27880	\N	CD	41663390
233067	793	1995-11-12	VYDAJ	PREVOD NA UCET	1212	26373	\N	CD	41663390
233068	793	1995-12-12	VYDAJ	PREVOD NA UCET	1212	23527	\N	CD	41663390
233069	793	1996-01-12	VYDAJ	PREVOD NA UCET	1212	21085	\N	CD	41663390
233070	793	1996-02-12	VYDAJ	PREVOD NA UCET	1212	20763	\N	CD	41663390
233071	793	1996-03-12	VYDAJ	PREVOD NA UCET	1212	21128	\N	CD	41663390
233072	793	1996-04-12	VYDAJ	PREVOD NA UCET	1212	22336	\N	CD	41663390
233073	793	1996-05-12	VYDAJ	PREVOD NA UCET	1212	23548	\N	CD	41663390
233074	793	1996-06-12	VYDAJ	PREVOD NA UCET	1212	24765	\N	CD	41663390
233075	793	1996-07-12	VYDAJ	PREVOD NA UCET	1212	25786	\N	CD	41663390
233076	793	1996-08-12	VYDAJ	PREVOD NA UCET	1212	25960	\N	CD	41663390
233077	793	1996-09-12	VYDAJ	PREVOD NA UCET	1212	26886	\N	CD	41663390
233078	793	1996-10-12	VYDAJ	PREVOD NA UCET	1212	27215	\N	CD	41663390
233079	793	1996-11-12	VYDAJ	PREVOD NA UCET	1212	26824	\N	CD	41663390
233080	793	1996-12-12	VYDAJ	PREVOD NA UCET	1212	27874	\N	CD	41663390
233081	793	1997-01-12	VYDAJ	PREVOD NA UCET	1212	25319	\N	CD	41663390
233082	793	1997-02-12	VYDAJ	PREVOD NA UCET	1212	24835	\N	CD	41663390
233083	793	1997-03-12	VYDAJ	PREVOD NA UCET	1212	26058	\N	CD	41663390
233084	793	1997-04-12	VYDAJ	PREVOD NA UCET	1212	26081	\N	CD	41663390
233085	793	1997-05-12	VYDAJ	PREVOD NA UCET	1212	27308	\N	CD	41663390
233086	793	1997-06-12	VYDAJ	PREVOD NA UCET	1212	27880	\N	CD	41663390
233087	793	1997-07-12	VYDAJ	PREVOD NA UCET	1212	27735	\N	CD	41663390
233088	793	1997-08-12	VYDAJ	PREVOD NA UCET	1212	25900	\N	CD	41663390
233089	793	1997-09-12	VYDAJ	PREVOD NA UCET	1212	25530	\N	CD	41663390
233090	793	1997-10-12	VYDAJ	PREVOD NA UCET	1212	22556	\N	CD	41663390
233091	793	1997-11-12	VYDAJ	PREVOD NA UCET	1212	18872	\N	CD	41663390
233092	793	1997-12-12	VYDAJ	PREVOD NA UCET	1212	14871	\N	CD	41663390
233093	793	1998-01-12	VYDAJ	PREVOD NA UCET	1212	15125	\N	CD	41663390
233094	793	1998-02-12	VYDAJ	PREVOD NA UCET	1212	16307	\N	CD	41663390
233095	793	1998-03-12	VYDAJ	PREVOD NA UCET	1212	14692	\N	CD	41663390
233096	793	1998-04-12	VYDAJ	PREVOD NA UCET	1212	15873	\N	CD	41663390
233097	793	1998-05-12	VYDAJ	PREVOD NA UCET	1212	12957	\N	CD	41663390
233098	793	1998-06-12	VYDAJ	PREVOD NA UCET	1212	14131	\N	CD	41663390
233099	793	1998-07-12	VYDAJ	PREVOD NA UCET	1212	15307	\N	CD	41663390
233100	793	1998-08-12	VYDAJ	PREVOD NA UCET	1212	15167	\N	CD	41663390
233101	793	1998-09-12	VYDAJ	PREVOD NA UCET	1212	16349	\N	CD	41663390
233102	793	1998-10-12	VYDAJ	PREVOD NA UCET	1212	17534	\N	CD	41663390
233103	793	1998-11-12	VYDAJ	PREVOD NA UCET	1212	18723	\N	CD	41663390
233104	793	1998-12-12	VYDAJ	PREVOD NA UCET	1212	19918	\N	CD	41663390
233109	793	1993-05-07	VYDAJ	PREVOD NA UCET	204	17669	\N	OP	25394970
233110	793	1993-06-07	VYDAJ	PREVOD NA UCET	204	17973	\N	OP	25394970
233111	793	1993-07-07	VYDAJ	PREVOD NA UCET	204	18409	\N	OP	25394970
233112	793	1993-08-07	VYDAJ	PREVOD NA UCET	204	18484	\N	OP	25394970
233113	793	1993-09-07	VYDAJ	PREVOD NA UCET	204	19672	\N	OP	25394970
233114	793	1993-10-07	VYDAJ	PREVOD NA UCET	204	19632	\N	OP	25394970
233115	793	1993-11-07	VYDAJ	PREVOD NA UCET	204	20825	\N	OP	25394970
233116	793	1993-12-07	VYDAJ	PREVOD NA UCET	204	21813	\N	OP	25394970
233117	793	1994-01-07	VYDAJ	PREVOD NA UCET	204	23016	\N	OP	25394970
233118	793	1994-02-07	VYDAJ	PREVOD NA UCET	204	21189	\N	OP	25394970
233119	793	1994-03-07	VYDAJ	PREVOD NA UCET	204	22389	\N	OP	25394970
233120	793	1994-04-07	VYDAJ	PREVOD NA UCET	204	22363	\N	OP	25394970
233121	793	1994-05-07	VYDAJ	PREVOD NA UCET	204	23359	\N	OP	25394970
233122	793	1994-06-07	VYDAJ	PREVOD NA UCET	204	24567	\N	OP	25394970
233123	793	1994-07-07	VYDAJ	PREVOD NA UCET	204	25681	\N	OP	25394970
233124	793	1994-08-07	VYDAJ	PREVOD NA UCET	204	26899	\N	OP	25394970
233125	793	1994-09-07	VYDAJ	PREVOD NA UCET	204	27582	\N	OP	25394970
233126	793	1994-10-07	VYDAJ	PREVOD NA UCET	204	28809	\N	OP	25394970
233127	793	1994-11-07	VYDAJ	PREVOD NA UCET	204	29620	\N	OP	25394970
233128	793	1994-12-07	VYDAJ	PREVOD NA UCET	204	29653	\N	OP	25394970
233129	793	1995-01-07	VYDAJ	PREVOD NA UCET	204	28635	\N	OP	25394970
233130	793	1995-02-07	VYDAJ	PREVOD NA UCET	204	28544	\N	OP	25394970
233131	793	1995-03-07	VYDAJ	PREVOD NA UCET	204	29774	\N	OP	25394970
233132	793	1995-04-07	VYDAJ	PREVOD NA UCET	204	29908	\N	OP	25394970
233133	793	1995-05-07	VYDAJ	PREVOD NA UCET	204	31143	\N	OP	25394970
233134	793	1995-06-07	VYDAJ	PREVOD NA UCET	204	31963	\N	OP	25394970
233135	793	1995-07-07	VYDAJ	PREVOD NA UCET	204	30804	\N	OP	25394970
233136	793	1995-08-07	VYDAJ	PREVOD NA UCET	204	32043	\N	OP	25394970
233137	793	1995-09-07	VYDAJ	PREVOD NA UCET	204	31704	\N	OP	25394970
233138	793	1995-10-07	VYDAJ	PREVOD NA UCET	204	29943	\N	OP	25394970
233139	793	1995-11-07	VYDAJ	PREVOD NA UCET	204	28436	\N	OP	25394970
233140	793	1995-12-07	VYDAJ	PREVOD NA UCET	204	25590	\N	OP	25394970
233141	793	1996-01-07	VYDAJ	PREVOD NA UCET	204	23898	\N	OP	25394970
233142	793	1996-02-07	VYDAJ	PREVOD NA UCET	204	22826	\N	OP	25394970
233143	793	1996-03-07	VYDAJ	PREVOD NA UCET	204	23191	\N	OP	25394970
233144	793	1996-04-07	VYDAJ	PREVOD NA UCET	204	24399	\N	OP	25394970
233145	793	1996-05-07	VYDAJ	PREVOD NA UCET	204	25611	\N	OP	25394970
233146	793	1996-06-07	VYDAJ	PREVOD NA UCET	204	26828	\N	OP	25394970
233147	793	1996-07-07	VYDAJ	PREVOD NA UCET	204	27849	\N	OP	25394970
233148	793	1996-08-07	VYDAJ	PREVOD NA UCET	204	28023	\N	OP	25394970
233149	793	1996-09-07	VYDAJ	PREVOD NA UCET	204	28949	\N	OP	25394970
233150	793	1996-10-07	VYDAJ	PREVOD NA UCET	204	29278	\N	OP	25394970
233151	793	1996-11-07	VYDAJ	PREVOD NA UCET	204	28887	\N	OP	25394970
233152	793	1996-12-07	VYDAJ	PREVOD NA UCET	204	30117	\N	OP	25394970
233153	793	1997-01-07	VYDAJ	PREVOD NA UCET	204	28622	\N	OP	25394970
233154	793	1997-02-07	VYDAJ	PREVOD NA UCET	204	26898	\N	OP	25394970
233155	793	1997-03-07	VYDAJ	PREVOD NA UCET	204	28121	\N	OP	25394970
233156	793	1997-04-07	VYDAJ	PREVOD NA UCET	204	28144	\N	OP	25394970
233157	793	1997-05-07	VYDAJ	PREVOD NA UCET	204	29371	\N	OP	25394970
233158	793	1997-06-07	VYDAJ	PREVOD NA UCET	204	30603	\N	OP	25394970
233159	793	1997-07-07	VYDAJ	PREVOD NA UCET	204	31178	\N	OP	25394970
233160	793	1997-08-07	VYDAJ	PREVOD NA UCET	204	29863	\N	OP	25394970
233161	793	1997-09-07	VYDAJ	PREVOD NA UCET	204	29193	\N	OP	25394970
233162	793	1997-10-07	VYDAJ	PREVOD NA UCET	204	28819	\N	OP	25394970
233163	793	1997-11-07	VYDAJ	PREVOD NA UCET	204	25835	\N	OP	25394970
233164	793	1997-12-07	VYDAJ	PREVOD NA UCET	204	21264	\N	OP	25394970
233165	793	1998-01-07	VYDAJ	PREVOD NA UCET	204	17638	\N	OP	25394970
233166	793	1998-02-07	VYDAJ	PREVOD NA UCET	204	18370	\N	OP	25394970
233167	793	1998-03-07	VYDAJ	PREVOD NA UCET	204	19555	\N	OP	25394970
233168	793	1998-04-07	VYDAJ	PREVOD NA UCET	204	17936	\N	OP	25394970
233169	793	1998-05-07	VYDAJ	PREVOD NA UCET	204	19120	\N	OP	25394970
233170	793	1998-06-07	VYDAJ	PREVOD NA UCET	204	16194	\N	OP	25394970
233171	793	1998-07-07	VYDAJ	PREVOD NA UCET	204	17370	\N	OP	25394970
233172	793	1998-08-07	VYDAJ	PREVOD NA UCET	204	18550	\N	OP	25394970
233173	793	1998-09-07	VYDAJ	PREVOD NA UCET	204	18412	\N	OP	25394970
233174	793	1998-10-07	VYDAJ	PREVOD NA UCET	204	19597	\N	OP	25394970
233175	793	1998-11-07	VYDAJ	PREVOD NA UCET	204	20786	\N	OP	25394970
233176	793	1998-12-07	VYDAJ	PREVOD NA UCET	204	21981	\N	OP	25394970
233181	793	1993-05-11	VYDAJ	PREVOD NA UCET	851	16608	\N	YZ	95059883
233182	793	1993-06-11	VYDAJ	PREVOD NA UCET	851	17122	\N	YZ	95059883
233183	793	1993-07-11	VYDAJ	PREVOD NA UCET	851	17558	\N	YZ	95059883
233184	793	1993-08-11	VYDAJ	PREVOD NA UCET	851	17633	\N	YZ	95059883
233185	793	1993-09-11	VYDAJ	PREVOD NA UCET	851	18821	\N	YZ	95059883
233186	793	1993-10-11	VYDAJ	PREVOD NA UCET	851	18781	\N	YZ	95059883
233187	793	1993-11-11	VYDAJ	PREVOD NA UCET	851	19974	\N	YZ	95059883
233188	793	1993-12-11	VYDAJ	PREVOD NA UCET	851	20962	\N	YZ	95059883
233189	793	1994-01-11	VYDAJ	PREVOD NA UCET	851	21835	\N	YZ	95059883
233190	793	1994-02-11	VYDAJ	PREVOD NA UCET	851	20338	\N	YZ	95059883
233191	793	1994-03-11	VYDAJ	PREVOD NA UCET	851	21538	\N	YZ	95059883
233192	793	1994-04-11	VYDAJ	PREVOD NA UCET	851	21512	\N	YZ	95059883
233193	793	1994-05-11	VYDAJ	PREVOD NA UCET	851	22508	\N	YZ	95059883
233194	793	1994-06-11	VYDAJ	PREVOD NA UCET	851	23716	\N	YZ	95059883
233195	793	1994-07-11	VYDAJ	PREVOD NA UCET	851	24830	\N	YZ	95059883
233196	793	1994-08-11	VYDAJ	PREVOD NA UCET	851	26048	\N	YZ	95059883
233197	793	1994-09-11	VYDAJ	PREVOD NA UCET	851	26731	\N	YZ	95059883
233198	793	1994-10-11	VYDAJ	PREVOD NA UCET	851	27958	\N	YZ	95059883
233199	793	1994-11-11	VYDAJ	PREVOD NA UCET	851	28769	\N	YZ	95059883
233200	793	1994-12-11	VYDAJ	PREVOD NA UCET	851	28802	\N	YZ	95059883
233201	793	1995-01-11	VYDAJ	PREVOD NA UCET	851	27784	\N	YZ	95059883
233202	793	1995-02-11	VYDAJ	PREVOD NA UCET	851	27693	\N	YZ	95059883
233203	793	1995-03-11	VYDAJ	PREVOD NA UCET	851	28923	\N	YZ	95059883
233204	793	1995-04-11	VYDAJ	PREVOD NA UCET	851	29057	\N	YZ	95059883
233205	793	1995-05-11	VYDAJ	PREVOD NA UCET	851	30292	\N	YZ	95059883
233206	793	1995-06-11	VYDAJ	PREVOD NA UCET	851	31112	\N	YZ	95059883
233207	793	1995-07-11	VYDAJ	PREVOD NA UCET	851	29953	\N	YZ	95059883
233208	793	1995-08-11	VYDAJ	PREVOD NA UCET	851	31012	\N	YZ	95059883
233209	793	1995-09-11	VYDAJ	PREVOD NA UCET	851	30853	\N	YZ	95059883
233210	793	1995-10-11	VYDAJ	PREVOD NA UCET	851	29092	\N	YZ	95059883
233211	793	1995-11-11	VYDAJ	PREVOD NA UCET	851	27585	\N	YZ	95059883
233212	793	1995-12-11	VYDAJ	PREVOD NA UCET	851	24739	\N	YZ	95059883
233213	793	1996-01-11	VYDAJ	PREVOD NA UCET	851	22297	\N	YZ	95059883
233214	793	1996-02-11	VYDAJ	PREVOD NA UCET	851	21975	\N	YZ	95059883
233215	793	1996-03-11	VYDAJ	PREVOD NA UCET	851	22340	\N	YZ	95059883
233216	793	1996-04-11	VYDAJ	PREVOD NA UCET	851	23548	\N	YZ	95059883
233217	793	1996-05-11	VYDAJ	PREVOD NA UCET	851	24760	\N	YZ	95059883
233218	793	1996-06-11	VYDAJ	PREVOD NA UCET	851	25977	\N	YZ	95059883
233219	793	1996-07-11	VYDAJ	PREVOD NA UCET	851	26998	\N	YZ	95059883
233220	793	1996-08-11	VYDAJ	PREVOD NA UCET	851	27172	\N	YZ	95059883
233221	793	1996-09-11	VYDAJ	PREVOD NA UCET	851	28098	\N	YZ	95059883
233222	793	1996-10-11	VYDAJ	PREVOD NA UCET	851	28427	\N	YZ	95059883
233223	793	1996-11-11	VYDAJ	PREVOD NA UCET	851	28036	\N	YZ	95059883
233224	793	1996-12-11	VYDAJ	PREVOD NA UCET	851	29086	\N	YZ	95059883
233225	793	1997-01-11	VYDAJ	PREVOD NA UCET	851	27441	\N	YZ	95059883
233226	793	1997-02-11	VYDAJ	PREVOD NA UCET	851	26047	\N	YZ	95059883
233227	793	1997-03-11	VYDAJ	PREVOD NA UCET	851	27270	\N	YZ	95059883
233228	793	1997-04-11	VYDAJ	PREVOD NA UCET	851	27293	\N	YZ	95059883
233229	793	1997-05-11	VYDAJ	PREVOD NA UCET	851	28520	\N	YZ	95059883
233230	793	1997-06-11	VYDAJ	PREVOD NA UCET	851	29092	\N	YZ	95059883
233231	793	1997-07-11	VYDAJ	PREVOD NA UCET	851	28947	\N	YZ	95059883
233232	793	1997-08-11	VYDAJ	PREVOD NA UCET	851	27112	\N	YZ	95059883
233233	793	1997-09-11	VYDAJ	PREVOD NA UCET	851	26742	\N	YZ	95059883
233234	793	1997-10-11	VYDAJ	PREVOD NA UCET	851	23768	\N	YZ	95059883
233235	793	1997-11-11	VYDAJ	PREVOD NA UCET	851	20084	\N	YZ	95059883
233236	793	1997-12-11	VYDAJ	PREVOD NA UCET	851	16083	\N	YZ	95059883
233237	793	1998-01-11	VYDAJ	PREVOD NA UCET	851	16787	\N	YZ	95059883
233238	793	1998-02-11	VYDAJ	PREVOD NA UCET	851	17519	\N	YZ	95059883
233239	793	1998-03-11	VYDAJ	PREVOD NA UCET	851	15904	\N	YZ	95059883
233240	793	1998-04-11	VYDAJ	PREVOD NA UCET	851	17085	\N	YZ	95059883
233241	793	1998-05-11	VYDAJ	PREVOD NA UCET	851	14169	\N	YZ	95059883
233242	793	1998-06-11	VYDAJ	PREVOD NA UCET	851	15343	\N	YZ	95059883
233243	793	1998-07-11	VYDAJ	PREVOD NA UCET	851	16519	\N	YZ	95059883
233244	793	1998-08-11	VYDAJ	PREVOD NA UCET	851	16379	\N	YZ	95059883
233245	793	1998-09-11	VYDAJ	PREVOD NA UCET	851	17561	\N	YZ	95059883
233246	793	1998-10-11	VYDAJ	PREVOD NA UCET	851	18746	\N	YZ	95059883
233247	793	1998-11-11	VYDAJ	PREVOD NA UCET	851	19935	\N	YZ	95059883
233248	793	1998-12-11	VYDAJ	PREVOD NA UCET	851	21130	\N	YZ	95059883
233249	793	1993-12-06	VYDAJ	VYBER	210	22017	\N	\N	\N
233250	793	1994-12-25	VYDAJ	VYBER	450	26390	\N	\N	\N
233251	793	1995-12-06	VYDAJ	VYBER	330	25794	\N	\N	\N
233252	793	1996-12-08	VYDAJ	VYBER	180	29937	\N	\N	\N
233253	793	1997-12-08	VYDAJ	VYBER	870	20394	\N	\N	\N
233254	793	1998-12-16	VYDAJ	VYBER	600	19318	\N	\N	\N
233261	793	1994-01-26	VYDAJ	VYBER	510	19513	\N	\N	\N
233262	793	1994-01-21	VYDAJ	VYBER	150	20023	\N	\N	\N
233263	793	1994-01-08	VYDAJ	VYBER	330	22686	\N	\N	\N
233264	793	1994-01-26	VYDAJ	VYBER	720	18793	\N	\N	\N
233265	793	1994-01-30	VYDAJ	VYBER	870	17923	\N	\N	\N
233266	793	1994-01-17	VYDAJ	VYBER	450	20173	\N	\N	\N
233267	793	1995-01-12	VYDAJ	VYBER	180	26392	\N	\N	\N
233268	793	1995-01-19	VYDAJ	VYBER	510	25252	\N	\N	\N
233269	793	1995-01-13	VYDAJ	VYBER	240	26152	\N	\N	\N
233270	793	1995-01-02	VYDAJ	VYBER	720	25768	\N	\N	\N
233271	793	1995-01-17	VYDAJ	VYBER	390	25762	\N	\N	\N
233272	793	1995-01-04	VYDAJ	VYBER	330	25438	\N	\N	\N
233273	793	1996-01-07	VYDAJ	VYBER	750	23148	\N	\N	\N
233274	793	1996-01-27	VYDAJ	VYBER	390	20245	\N	\N	\N
233275	793	1996-01-04	VYDAJ	VYBER	570	21631	\N	\N	\N
233276	793	1996-01-21	VYDAJ	VYBER	450	20635	\N	\N	\N
233277	793	1996-01-05	VYDAJ	VYBER	570	24102	\N	\N	\N
233278	793	1996-01-04	VYDAJ	VYBER	360	21271	\N	\N	\N
233279	793	1997-01-12	VYDAJ	VYBER	210	27231	\N	\N	\N
233280	793	1997-01-06	VYDAJ	VYBER	510	28826	\N	\N	\N
233281	793	1997-01-08	VYDAJ	VYBER	330	28292	\N	\N	\N
233282	793	1997-01-18	VYDAJ	VYBER	270	24359	\N	\N	\N
233283	793	1997-01-05	VYDAJ	VYBER	780	29336	\N	\N	\N
233284	793	1997-01-17	VYDAJ	VYBER	690	24629	\N	\N	\N
233285	793	1998-01-05	VYDAJ	VYBER	480	17842	\N	\N	\N
233288	793	1998-01-11	VYDAJ	VYBER	450	16337	\N	\N	\N
233291	793	1993-06-25	VYDAJ	VYBER	750	15160	\N	\N	\N
233292	793	1993-09-11	VYDAJ	VYBER	1050	17771	\N	\N	\N
233293	793	1993-09-29	VYDAJ	VYBER	180	16379	\N	\N	\N
233294	793	1993-05-10	VYDAJ	VYBER	210	17459	\N	\N	\N
233295	793	1993-07-13	VYDAJ	VYBER	1110	15236	\N	\N	\N
233297	793	1993-05-15	VYDAJ	VYBER	660	14736	\N	\N	\N
233298	793	1994-04-27	VYDAJ	VYBER	210	20090	\N	\N	\N
233299	793	1994-04-03	VYDAJ	VYBER	1230	19166	\N	\N	\N
233300	793	1994-12-12	VYDAJ	VYBER	750	28052	\N	\N	\N
233301	793	1994-11-07	VYDAJ	VYBER	420	29824	\N	\N	\N
233302	793	1994-09-06	VYDAJ	VYBER	540	27786	\N	\N	\N
233303	793	1995-11-03	VYDAJ	VYBER	1440	25239	\N	\N	\N
233304	793	1995-12-29	VYDAJ	VYBER	1410	22117	\N	\N	\N
233305	793	1995-08-10	VYDAJ	VYBER	180	31863	\N	\N	\N
233306	793	1995-05-20	VYDAJ	VYBER	420	28660	\N	\N	\N
233307	793	1995-11-25	VYDAJ	VYBER	240	22633	\N	\N	\N
233308	793	1996-07-15	VYDAJ	VYBER	1050	24736	\N	\N	\N
233309	793	1996-01-30	VYDAJ	VYBER	690	19555	\N	\N	\N
233310	793	1996-10-26	VYDAJ	VYBER	720	25595	\N	\N	\N
233311	793	1996-03-06	VYDAJ	VYBER	840	23395	\N	\N	\N
233312	793	1997-08-05	VYDAJ	VYBER	1170	30067	\N	\N	\N
233313	793	1997-03-12	VYDAJ	VYBER	1200	24858	\N	\N	\N
233314	793	1997-01-04	VYDAJ	VYBER	1260	26715	\N	\N	\N
233315	793	1997-07-11	VYDAJ	VYBER	1380	29798	\N	\N	\N
233316	793	1997-06-09	VYDAJ	VYBER	660	29943	\N	\N	\N
233317	793	1997-12-09	VYDAJ	VYBER	960	16934	\N	\N	\N
233318	793	1997-02-03	VYDAJ	VYBER	750	23701	\N	\N	\N
233319	793	1997-11-17	VYDAJ	VYBER	870	18002	\N	\N	\N
233322	793	1998-08-10	VYDAJ	VYBER	1320	17230	\N	\N	\N
233329	793	1993-05-31	VYDAJ	VYBER	15	14776	SLUZBY	\N	\N
233330	793	1993-06-30	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
233331	793	1993-07-31	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
233332	793	1993-08-31	VYDAJ	VYBER	15	16475	SLUZBY	\N	\N
233333	793	1993-09-30	VYDAJ	VYBER	15	16435	SLUZBY	\N	\N
233334	793	1993-10-31	VYDAJ	VYBER	15	17628	SLUZBY	\N	\N
233335	793	1993-11-30	VYDAJ	VYBER	15	18826	SLUZBY	\N	\N
233336	793	1993-12-31	VYDAJ	VYBER	15	19819	SLUZBY	\N	\N
233337	793	1994-01-31	VYDAJ	VYBER	15	17992	SLUZBY	\N	\N
233338	793	1994-02-28	VYDAJ	VYBER	15	19192	SLUZBY	\N	\N
233339	793	1994-03-31	VYDAJ	VYBER	15	20396	SLUZBY	\N	\N
233340	793	1994-04-30	VYDAJ	VYBER	15	20162	SLUZBY	\N	\N
233341	793	1994-05-31	VYDAJ	VYBER	15	21370	SLUZBY	\N	\N
233342	793	1994-06-30	VYDAJ	VYBER	15	22484	SLUZBY	\N	\N
233343	793	1994-07-31	VYDAJ	VYBER	15	23702	SLUZBY	\N	\N
233344	793	1994-08-31	VYDAJ	VYBER	15	24925	SLUZBY	\N	\N
233345	793	1994-09-30	VYDAJ	VYBER	15	25612	SLUZBY	\N	\N
233346	793	1994-10-31	VYDAJ	VYBER	15	26843	SLUZBY	\N	\N
233347	793	1994-11-30	VYDAJ	VYBER	15	26456	SLUZBY	\N	\N
233348	793	1994-12-31	VYDAJ	VYBER	15	26488	SLUZBY	\N	\N
233349	793	1995-01-31	VYDAJ	VYBER	15	25347	SLUZBY	\N	\N
233350	793	1995-02-28	VYDAJ	VYBER	15	26577	SLUZBY	\N	\N
233351	793	1995-03-31	VYDAJ	VYBER	15	26711	SLUZBY	\N	\N
233352	793	1995-04-30	VYDAJ	VYBER	15	27946	SLUZBY	\N	\N
233353	793	1995-05-31	VYDAJ	VYBER	15	28766	SLUZBY	\N	\N
233354	793	1995-06-30	VYDAJ	VYBER	15	27607	SLUZBY	\N	\N
233355	793	1995-07-31	VYDAJ	VYBER	15	28846	SLUZBY	\N	\N
233356	793	1995-08-31	VYDAJ	VYBER	15	28507	SLUZBY	\N	\N
233357	793	1995-09-30	VYDAJ	VYBER	15	26746	SLUZBY	\N	\N
233358	793	1995-10-31	VYDAJ	VYBER	15	26679	SLUZBY	\N	\N
233359	793	1995-11-30	VYDAJ	VYBER	15	22723	SLUZBY	\N	\N
233360	793	1995-12-31	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
233361	793	1996-01-31	VYDAJ	VYBER	15	19629	SLUZBY	\N	\N
233362	793	1996-02-29	VYDAJ	VYBER	15	20834	SLUZBY	\N	\N
233363	793	1996-03-31	VYDAJ	VYBER	15	21202	SLUZBY	\N	\N
233364	793	1996-04-30	VYDAJ	VYBER	15	22414	SLUZBY	\N	\N
233365	793	1996-05-31	VYDAJ	VYBER	15	23631	SLUZBY	\N	\N
233366	793	1996-06-30	VYDAJ	VYBER	15	24652	SLUZBY	\N	\N
233367	793	1996-07-31	VYDAJ	VYBER	15	24826	SLUZBY	\N	\N
233368	793	1996-08-31	VYDAJ	VYBER	15	25752	SLUZBY	\N	\N
233369	793	1996-09-30	VYDAJ	VYBER	15	26081	SLUZBY	\N	\N
233370	793	1996-10-31	VYDAJ	VYBER	15	25690	SLUZBY	\N	\N
233371	793	1996-11-30	VYDAJ	VYBER	15	26920	SLUZBY	\N	\N
233372	793	1996-12-31	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
233373	793	1997-01-31	VYDAJ	VYBER	15	24451	SLUZBY	\N	\N
233374	793	1997-02-28	VYDAJ	VYBER	15	24924	SLUZBY	\N	\N
233375	793	1997-03-31	VYDAJ	VYBER	15	24947	SLUZBY	\N	\N
233376	793	1997-04-30	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
233377	793	1997-05-31	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
233378	793	1997-06-30	VYDAJ	VYBER	15	27981	SLUZBY	\N	\N
233379	793	1997-07-31	VYDAJ	VYBER	15	27836	SLUZBY	\N	\N
233380	793	1997-08-31	VYDAJ	VYBER	15	25996	SLUZBY	\N	\N
233381	793	1997-09-30	VYDAJ	VYBER	15	25622	SLUZBY	\N	\N
233382	793	1997-10-31	VYDAJ	VYBER	15	22638	SLUZBY	\N	\N
233383	793	1997-11-30	VYDAJ	VYBER	15	18067	SLUZBY	\N	\N
233384	793	1997-12-31	VYDAJ	VYBER	15	14921	SLUZBY	\N	\N
233385	793	1998-01-31	VYDAJ	VYBER	15	15173	SLUZBY	\N	\N
233386	793	1998-02-28	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
233387	793	1998-03-31	VYDAJ	VYBER	15	14739	SLUZBY	\N	\N
233388	793	1998-04-30	VYDAJ	VYBER	15	15923	SLUZBY	\N	\N
233389	793	1998-05-31	VYDAJ	VYBER	15	12997	SLUZBY	\N	\N
233390	793	1998-06-30	VYDAJ	VYBER	15	14173	SLUZBY	\N	\N
233391	793	1998-07-31	VYDAJ	VYBER	15	15353	SLUZBY	\N	\N
233392	793	1998-08-31	VYDAJ	VYBER	15	15215	SLUZBY	\N	\N
233393	793	1998-09-30	VYDAJ	VYBER	15	16400	SLUZBY	\N	\N
233394	793	1998-10-31	VYDAJ	VYBER	15	17589	SLUZBY	\N	\N
233395	793	1998-11-30	VYDAJ	VYBER	15	18784	SLUZBY	\N	\N
233396	793	1994-06-27	VYDAJ	VYBER	100	22404	\N	\N	\N
233397	793	1994-11-24	VYDAJ	VYBER	1200	26357	\N	\N	\N
233398	793	1995-03-24	VYDAJ	VYBER	1100	26611	\N	\N	\N
233399	793	1995-06-22	VYDAJ	VYBER	2400	27500	\N	\N	\N
233400	793	1995-08-21	VYDAJ	VYBER	1400	28400	\N	\N	\N
233401	793	1995-09-20	VYDAJ	VYBER	3000	26641	\N	\N	\N
233402	793	1995-10-20	VYDAJ	VYBER	1300	26580	\N	\N	\N
233403	793	1995-11-19	VYDAJ	VYBER	3500	22873	\N	\N	\N
233404	793	1996-06-16	VYDAJ	VYBER	200	24565	\N	\N	\N
233405	793	1996-08-15	VYDAJ	VYBER	300	25660	\N	\N	\N
233406	793	1996-09-14	VYDAJ	VYBER	900	25986	\N	\N	\N
233407	793	1996-10-14	VYDAJ	VYBER	900	26315	\N	\N	\N
233408	793	1997-01-12	VYDAJ	VYBER	700	26531	\N	\N	\N
233409	793	1997-08-10	VYDAJ	VYBER	1900	27963	\N	\N	\N
233410	793	1997-09-09	VYDAJ	VYBER	1600	27593	\N	\N	\N
233411	793	1997-10-09	VYDAJ	VYBER	4200	24619	\N	\N	\N
233412	793	1997-11-08	VYDAJ	VYBER	4900	20935	\N	\N	\N
233413	793	1997-12-08	VYDAJ	VYBER	2500	17894	\N	\N	\N
233414	793	1998-03-08	VYDAJ	VYBER	2800	16755	\N	\N	\N
233415	793	1998-05-07	VYDAJ	VYBER	4100	15020	\N	\N	\N
233488	794	1997-04-24	PRIJEM	VKLAD	900	900	\N	\N	\N
233493	794	1997-05-14	PRIJEM	PREVOD Z UCTU	3022	3922	\N	QR	67567401
233494	794	1997-06-14	PRIJEM	PREVOD Z UCTU	3022	6944	\N	QR	67567401
233495	794	1997-07-14	PRIJEM	PREVOD Z UCTU	3022	9966	\N	QR	67567401
233496	794	1997-08-14	PRIJEM	PREVOD Z UCTU	3022	12988	\N	QR	67567401
233497	794	1997-09-14	PRIJEM	PREVOD Z UCTU	3022	16010	\N	QR	67567401
233498	794	1997-10-14	PRIJEM	PREVOD Z UCTU	3022	15694	\N	QR	67567401
233499	794	1997-11-14	PRIJEM	PREVOD Z UCTU	3022	14747	\N	QR	67567401
233500	794	1997-12-14	PRIJEM	PREVOD Z UCTU	3022	14570	\N	QR	67567401
233501	794	1998-01-14	PRIJEM	PREVOD Z UCTU	3022	14783	\N	QR	67567401
233502	794	1998-02-14	PRIJEM	PREVOD Z UCTU	3022	15836	\N	QR	67567401
233503	794	1998-03-14	PRIJEM	PREVOD Z UCTU	3022	16893	\N	QR	67567401
233504	794	1998-04-14	PRIJEM	PREVOD Z UCTU	3022	17383	\N	QR	67567401
233505	794	1998-05-14	PRIJEM	PREVOD Z UCTU	3022	18447	\N	QR	67567401
233506	794	1998-06-14	PRIJEM	PREVOD Z UCTU	3022	19515	\N	QR	67567401
233507	794	1998-07-14	PRIJEM	PREVOD Z UCTU	3022	20587	\N	QR	67567401
233508	794	1998-08-14	PRIJEM	PREVOD Z UCTU	3022	19640	\N	QR	67567401
233509	794	1998-09-14	PRIJEM	PREVOD Z UCTU	3022	20714	\N	QR	67567401
233510	794	1998-10-14	PRIJEM	PREVOD Z UCTU	3022	16680	\N	QR	67567401
233511	794	1998-11-14	PRIJEM	PREVOD Z UCTU	3022	17741	\N	QR	67567401
233512	794	1998-12-14	PRIJEM	PREVOD Z UCTU	3022	18806	\N	QR	67567401
233522	794	1997-10-12	VYDAJ	PREVOD NA UCET	1107	12672	\N	EF	49722951
233523	794	1997-11-12	VYDAJ	PREVOD NA UCET	1107	11725	\N	EF	49722951
233524	794	1997-12-12	VYDAJ	PREVOD NA UCET	1107	13685	\N	EF	49722951
233525	794	1998-01-12	VYDAJ	PREVOD NA UCET	1107	11761	\N	EF	49722951
233526	794	1998-02-12	VYDAJ	PREVOD NA UCET	1107	13721	\N	EF	49722951
233527	794	1998-03-12	VYDAJ	PREVOD NA UCET	1107	13871	\N	EF	49722951
233528	794	1998-04-12	VYDAJ	PREVOD NA UCET	1107	14361	\N	EF	49722951
233529	794	1998-05-12	VYDAJ	PREVOD NA UCET	1107	16332	\N	EF	49722951
233530	794	1998-06-12	VYDAJ	PREVOD NA UCET	1107	16493	\N	EF	49722951
233531	794	1998-07-12	VYDAJ	PREVOD NA UCET	1107	18472	\N	EF	49722951
233532	794	1998-08-12	VYDAJ	PREVOD NA UCET	1107	17525	\N	EF	49722951
233533	794	1998-09-12	VYDAJ	PREVOD NA UCET	1107	18599	\N	EF	49722951
233534	794	1998-10-12	VYDAJ	PREVOD NA UCET	1107	13658	\N	EF	49722951
233535	794	1998-11-12	VYDAJ	PREVOD NA UCET	1107	15626	\N	EF	49722951
233536	794	1998-12-12	VYDAJ	PREVOD NA UCET	1107	16691	\N	EF	49722951
233546	794	1997-10-12	VYDAJ	PREVOD NA UCET	907	13779	\N	YZ	95150184
233547	794	1997-11-12	VYDAJ	PREVOD NA UCET	907	12832	\N	YZ	95150184
233548	794	1997-12-12	VYDAJ	PREVOD NA UCET	907	12778	\N	YZ	95150184
233549	794	1998-01-12	VYDAJ	PREVOD NA UCET	907	12868	\N	YZ	95150184
233550	794	1998-02-12	VYDAJ	PREVOD NA UCET	907	12814	\N	YZ	95150184
233551	794	1998-03-12	VYDAJ	PREVOD NA UCET	907	14978	\N	YZ	95150184
233552	794	1998-04-12	VYDAJ	PREVOD NA UCET	907	15468	\N	YZ	95150184
233553	794	1998-05-12	VYDAJ	PREVOD NA UCET	907	15425	\N	YZ	95150184
233554	794	1998-06-12	VYDAJ	PREVOD NA UCET	907	17600	\N	YZ	95150184
233555	794	1998-07-12	VYDAJ	PREVOD NA UCET	907	17565	\N	YZ	95150184
233556	794	1998-08-12	VYDAJ	PREVOD NA UCET	907	16618	\N	YZ	95150184
233557	794	1998-09-12	VYDAJ	PREVOD NA UCET	907	17692	\N	YZ	95150184
233558	794	1998-10-12	VYDAJ	PREVOD NA UCET	907	14765	\N	YZ	95150184
233559	794	1998-11-12	VYDAJ	PREVOD NA UCET	907	14719	\N	YZ	95150184
233560	794	1998-12-12	VYDAJ	PREVOD NA UCET	907	15784	\N	YZ	95150184
233563	794	1997-12-22	VYDAJ	VYBER	840	13730	\N	\N	\N
233564	794	1998-12-30	VYDAJ	VYBER	660	17966	\N	\N	\N
233565	794	1997-12-12	VYDAJ	VYBER	1230	11548	\N	\N	\N
233570	794	1997-09-26	VYDAJ	VYBER	1320	14690	\N	\N	\N
233571	794	1998-12-14	VYDAJ	VYBER	180	18626	\N	\N	\N
233572	794	1998-03-16	VYDAJ	VYBER	570	16323	\N	\N	\N
233573	794	1998-07-20	VYDAJ	VYBER	420	18567	\N	\N	\N
233583	794	1997-09-30	VYDAJ	VYBER	15	14686	SLUZBY	\N	\N
233584	794	1997-10-31	VYDAJ	VYBER	15	13739	SLUZBY	\N	\N
233585	794	1997-11-30	VYDAJ	VYBER	15	14792	SLUZBY	\N	\N
233586	794	1997-12-31	VYDAJ	VYBER	15	13775	SLUZBY	\N	\N
233587	794	1998-01-31	VYDAJ	VYBER	15	14828	SLUZBY	\N	\N
233588	794	1998-02-28	VYDAJ	VYBER	15	15885	SLUZBY	\N	\N
233589	794	1998-03-31	VYDAJ	VYBER	15	16375	SLUZBY	\N	\N
233590	794	1998-04-30	VYDAJ	VYBER	15	17439	SLUZBY	\N	\N
233591	794	1998-05-31	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
233592	794	1998-06-30	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
233593	794	1998-07-31	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
233594	794	1998-08-31	VYDAJ	VYBER	15	19706	SLUZBY	\N	\N
233595	794	1998-09-30	VYDAJ	VYBER	15	15672	SLUZBY	\N	\N
233596	794	1998-10-31	VYDAJ	VYBER	15	16733	SLUZBY	\N	\N
233597	794	1998-11-30	VYDAJ	VYBER	15	17798	SLUZBY	\N	\N
233598	794	1997-10-21	VYDAJ	VYBER	2000	13694	\N	\N	\N
233599	794	1998-07-18	VYDAJ	VYBER	1600	18987	\N	\N	\N
233600	794	1998-09-16	VYDAJ	VYBER	5100	15614	\N	\N	\N
233617	795	1995-01-27	PRIJEM	VKLAD	900	900	\N	\N	\N
233619	795	1995-02-08	PRIJEM	VKLAD	4464	5364	\N	\N	\N
233620	795	1995-03-08	PRIJEM	VKLAD	4464	20535	\N	\N	\N
233621	795	1995-04-08	PRIJEM	VKLAD	4464	28470	\N	\N	\N
233622	795	1995-05-08	PRIJEM	VKLAD	4464	30335	\N	\N	\N
233623	795	1995-06-08	PRIJEM	VKLAD	6696	31238	\N	\N	\N
233624	795	1995-07-08	PRIJEM	VKLAD	4464	27514	\N	\N	\N
233625	795	1995-08-08	PRIJEM	VKLAD	4464	25299	\N	\N	\N
233626	795	1995-09-08	PRIJEM	VKLAD	4464	26877	\N	\N	\N
233627	795	1995-10-08	PRIJEM	VKLAD	4464	30463	\N	\N	\N
233628	795	1995-11-08	PRIJEM	VKLAD	4464	29459	\N	\N	\N
233629	795	1995-12-08	PRIJEM	VKLAD	6696	29386	\N	\N	\N
233630	795	1996-01-08	PRIJEM	VKLAD	4464	26979	\N	\N	\N
233631	795	1996-02-08	PRIJEM	VKLAD	4464	24758	\N	\N	\N
233632	795	1996-03-08	PRIJEM	VKLAD	4464	27531	\N	\N	\N
233633	795	1996-04-08	PRIJEM	VKLAD	4464	34524	\N	\N	\N
233634	795	1996-05-08	PRIJEM	VKLAD	4464	36040	\N	\N	\N
233635	795	1996-06-08	PRIJEM	VKLAD	6696	40896	\N	\N	\N
233636	795	1996-07-08	PRIJEM	VKLAD	4464	18119	\N	\N	\N
233637	795	1996-08-08	PRIJEM	VKLAD	4464	30681	\N	\N	\N
233638	795	1996-09-08	PRIJEM	VKLAD	4464	35186	\N	\N	\N
233639	795	1996-10-08	PRIJEM	VKLAD	4464	40008	\N	\N	\N
233640	795	1996-11-08	PRIJEM	VKLAD	4464	43447	\N	\N	\N
233641	795	1996-12-08	PRIJEM	VKLAD	6696	51941	\N	\N	\N
233642	795	1997-01-08	PRIJEM	VKLAD	4464	48520	\N	\N	\N
233643	795	1997-02-08	PRIJEM	VKLAD	4464	40580	\N	\N	\N
233644	795	1997-03-08	PRIJEM	VKLAD	4464	46028	\N	\N	\N
233645	795	1997-04-08	PRIJEM	VKLAD	4464	51098	\N	\N	\N
233646	795	1997-05-08	PRIJEM	VKLAD	4464	53885	\N	\N	\N
233647	795	1997-06-08	PRIJEM	VKLAD	6696	34897	\N	\N	\N
233648	795	1997-07-08	PRIJEM	VKLAD	4464	43537	\N	\N	\N
233649	795	1997-08-08	PRIJEM	VKLAD	4464	48597	\N	\N	\N
233650	795	1997-09-08	PRIJEM	VKLAD	4464	48166	\N	\N	\N
233651	795	1997-10-08	PRIJEM	VKLAD	4464	52143	\N	\N	\N
233652	795	1997-11-08	PRIJEM	VKLAD	4464	51627	\N	\N	\N
233653	795	1997-12-08	PRIJEM	VKLAD	6696	54843	\N	\N	\N
233654	795	1998-01-08	PRIJEM	VKLAD	4464	54842	\N	\N	\N
233655	795	1998-02-08	PRIJEM	VKLAD	4464	52637	\N	\N	\N
233656	795	1998-03-08	PRIJEM	VKLAD	4464	55129	\N	\N	\N
233657	795	1998-04-08	PRIJEM	VKLAD	4464	56135	\N	\N	\N
233658	795	1998-05-08	PRIJEM	VKLAD	4464	55836	\N	\N	\N
233659	795	1998-06-08	PRIJEM	VKLAD	6696	53379	\N	\N	\N
233660	795	1998-07-08	PRIJEM	VKLAD	4464	60090	\N	\N	\N
233661	795	1998-08-08	PRIJEM	VKLAD	4464	61108	\N	\N	\N
233662	795	1998-09-08	PRIJEM	VKLAD	4464	65839	\N	\N	\N
233663	795	1998-10-08	PRIJEM	VKLAD	4464	67568	\N	\N	\N
233664	795	1998-11-08	PRIJEM	VKLAD	4464	71010	\N	\N	\N
233665	795	1998-12-08	PRIJEM	VKLAD	6696	75392	\N	\N	\N
233672	795	1995-07-06	VYDAJ	PREVOD NA UCET	2976	23050	SIPO	CD	39119124
233673	795	1995-08-06	VYDAJ	PREVOD NA UCET	2976	20835	SIPO	CD	39119124
233674	795	1995-09-06	VYDAJ	PREVOD NA UCET	2976	22413	SIPO	CD	39119124
233675	795	1995-10-06	VYDAJ	PREVOD NA UCET	2976	25999	SIPO	CD	39119124
233676	795	1995-11-06	VYDAJ	PREVOD NA UCET	2976	24995	SIPO	CD	39119124
233677	795	1995-12-06	VYDAJ	PREVOD NA UCET	2976	26590	SIPO	CD	39119124
233678	795	1996-01-06	VYDAJ	PREVOD NA UCET	2976	22515	SIPO	CD	39119124
233679	795	1996-02-06	VYDAJ	PREVOD NA UCET	2976	20294	SIPO	CD	39119124
233680	795	1996-03-06	VYDAJ	PREVOD NA UCET	2976	23067	SIPO	CD	39119124
233681	795	1996-04-06	VYDAJ	PREVOD NA UCET	2976	30060	SIPO	CD	39119124
233682	795	1996-05-06	VYDAJ	PREVOD NA UCET	2976	31576	SIPO	CD	39119124
233683	795	1996-06-06	VYDAJ	PREVOD NA UCET	2976	34200	SIPO	CD	39119124
233684	795	1996-07-06	VYDAJ	PREVOD NA UCET	2976	13655	SIPO	CD	39119124
233685	795	1996-08-06	VYDAJ	PREVOD NA UCET	2976	26217	SIPO	CD	39119124
233686	795	1996-09-06	VYDAJ	PREVOD NA UCET	2976	30722	SIPO	CD	39119124
233687	795	1996-10-06	VYDAJ	PREVOD NA UCET	2976	35544	SIPO	CD	39119124
233688	795	1996-11-06	VYDAJ	PREVOD NA UCET	2976	38983	SIPO	CD	39119124
233689	795	1996-12-06	VYDAJ	PREVOD NA UCET	2976	45245	SIPO	CD	39119124
233690	795	1997-01-06	VYDAJ	PREVOD NA UCET	2976	45656	SIPO	CD	39119124
233691	795	1997-02-06	VYDAJ	PREVOD NA UCET	2976	36116	SIPO	CD	39119124
233692	795	1997-03-06	VYDAJ	PREVOD NA UCET	2976	41564	SIPO	CD	39119124
233693	795	1997-04-06	VYDAJ	PREVOD NA UCET	2976	46634	SIPO	CD	39119124
233694	795	1997-05-06	VYDAJ	PREVOD NA UCET	2976	49421	SIPO	CD	39119124
233695	795	1997-06-06	VYDAJ	PREVOD NA UCET	2976	28201	SIPO	CD	39119124
233696	795	1997-07-06	VYDAJ	PREVOD NA UCET	2976	39073	SIPO	CD	39119124
233697	795	1997-08-06	VYDAJ	PREVOD NA UCET	2976	44133	SIPO	CD	39119124
233698	795	1997-09-06	VYDAJ	PREVOD NA UCET	2976	43702	SIPO	CD	39119124
233699	795	1997-10-06	VYDAJ	PREVOD NA UCET	2976	47679	SIPO	CD	39119124
233700	795	1997-11-06	VYDAJ	PREVOD NA UCET	2976	47163	SIPO	CD	39119124
233701	795	1997-12-06	VYDAJ	PREVOD NA UCET	2976	48147	SIPO	CD	39119124
233702	795	1998-01-06	VYDAJ	PREVOD NA UCET	2976	50378	SIPO	CD	39119124
233703	795	1998-02-06	VYDAJ	PREVOD NA UCET	2976	48173	SIPO	CD	39119124
233704	795	1998-03-06	VYDAJ	PREVOD NA UCET	2976	50665	SIPO	CD	39119124
233705	795	1998-04-06	VYDAJ	PREVOD NA UCET	2976	51671	SIPO	CD	39119124
233706	795	1998-05-06	VYDAJ	PREVOD NA UCET	2976	51372	SIPO	CD	39119124
233707	795	1998-06-06	VYDAJ	PREVOD NA UCET	2976	46683	SIPO	CD	39119124
233708	795	1998-07-06	VYDAJ	PREVOD NA UCET	2976	55626	SIPO	CD	39119124
233709	795	1998-08-06	VYDAJ	PREVOD NA UCET	2976	56644	SIPO	CD	39119124
233710	795	1998-09-06	VYDAJ	PREVOD NA UCET	2976	60175	SIPO	CD	39119124
233711	795	1998-10-06	VYDAJ	PREVOD NA UCET	2976	63104	SIPO	CD	39119124
233712	795	1998-11-06	VYDAJ	PREVOD NA UCET	2976	61746	SIPO	CD	39119124
233713	795	1998-12-06	VYDAJ	PREVOD NA UCET	2976	62496	SIPO	CD	39119124
233715	795	1996-06-27	VYDAJ	VYBER	21800	16496	\N	\N	\N
233716	795	1997-06-05	VYDAJ	VYBER	15500	31177	\N	\N	\N
233717	795	1998-06-01	VYDAJ	VYBER	9100	49659	\N	\N	\N
233718	795	1995-12-26	VYDAJ	VYBER	600	27586	\N	\N	\N
233719	795	1996-12-10	VYDAJ	VYBER	1200	50741	\N	\N	\N
233720	795	1997-12-10	VYDAJ	VYBER	800	54043	\N	\N	\N
233721	795	1998-12-03	VYDAJ	VYBER	1300	65472	\N	\N	\N
233728	795	1996-01-19	VYDAJ	VYBER	2600	22079	\N	\N	\N
233729	795	1996-01-28	VYDAJ	VYBER	2400	23179	\N	\N	\N
233730	795	1996-01-02	VYDAJ	VYBER	2200	25491	\N	\N	\N
233731	795	1996-01-16	VYDAJ	VYBER	1800	24679	\N	\N	\N
233732	795	1996-01-21	VYDAJ	VYBER	1100	20979	\N	\N	\N
233733	795	1996-01-27	VYDAJ	VYBER	1000	25579	\N	\N	\N
233734	795	1997-01-02	VYDAJ	VYBER	900	49132	\N	\N	\N
233735	795	1997-01-12	VYDAJ	VYBER	2400	46120	\N	\N	\N
233736	795	1997-01-06	VYDAJ	VYBER	1600	44056	\N	\N	\N
233737	795	1997-01-22	VYDAJ	VYBER	2400	42420	\N	\N	\N
233738	795	1997-01-02	VYDAJ	VYBER	500	48632	\N	\N	\N
233739	795	1997-01-17	VYDAJ	VYBER	2200	44820	\N	\N	\N
233740	795	1998-01-14	VYDAJ	VYBER	2700	55042	\N	\N	\N
233741	795	1998-01-15	VYDAJ	VYBER	2500	52542	\N	\N	\N
233742	795	1998-01-28	VYDAJ	VYBER	1600	50942	\N	\N	\N
233743	795	1998-01-01	VYDAJ	VYBER	600	55254	\N	\N	\N
233744	795	1998-01-02	VYDAJ	VYBER	900	54354	\N	\N	\N
233745	795	1998-01-05	VYDAJ	VYBER	1000	53354	\N	\N	\N
233747	795	1995-12-07	VYDAJ	VYBER	3900	22690	\N	\N	\N
233749	795	1995-08-04	VYDAJ	VYBER	2200	23811	\N	\N	\N
233751	795	1996-09-14	VYDAJ	VYBER	3800	31386	\N	\N	\N
233752	795	1996-12-13	VYDAJ	VYBER	2400	48341	\N	\N	\N
233753	795	1996-07-13	VYDAJ	VYBER	3300	14819	\N	\N	\N
233754	795	1996-10-13	VYDAJ	VYBER	4200	35808	\N	\N	\N
233755	795	1996-02-14	VYDAJ	VYBER	4100	20658	\N	\N	\N
233756	795	1996-01-12	VYDAJ	VYBER	500	26479	\N	\N	\N
233757	795	1997-10-17	VYDAJ	VYBER	4000	49943	\N	\N	\N
233758	795	1997-10-11	VYDAJ	VYBER	4800	47343	\N	\N	\N
233759	795	1997-05-19	VYDAJ	VYBER	2700	46485	\N	\N	\N
233760	795	1997-05-08	VYDAJ	VYBER	1100	52785	\N	\N	\N
233761	795	1997-01-27	VYDAJ	VYBER	3500	38920	\N	\N	\N
233762	795	1998-04-03	VYDAJ	VYBER	2700	54647	\N	\N	\N
233763	795	1998-04-19	VYDAJ	VYBER	900	54635	\N	\N	\N
233764	795	1998-11-13	VYDAJ	VYBER	4500	66510	\N	\N	\N
233765	795	1998-04-25	VYDAJ	VYBER	500	54135	\N	\N	\N
233772	795	1995-06-30	VYDAJ	VYBER	15	26026	SLUZBY	\N	\N
233773	795	1995-07-31	VYDAJ	VYBER	15	26011	SLUZBY	\N	\N
233774	795	1995-08-31	VYDAJ	VYBER	15	25389	SLUZBY	\N	\N
233775	795	1995-09-30	VYDAJ	VYBER	15	28975	SLUZBY	\N	\N
233776	795	1995-10-31	VYDAJ	VYBER	15	27971	SLUZBY	\N	\N
233777	795	1995-11-30	VYDAJ	VYBER	15	29566	SLUZBY	\N	\N
233778	795	1995-12-31	VYDAJ	VYBER	15	27691	SLUZBY	\N	\N
233779	795	1996-01-31	VYDAJ	VYBER	15	23270	SLUZBY	\N	\N
233780	795	1996-02-29	VYDAJ	VYBER	15	26043	SLUZBY	\N	\N
233781	795	1996-03-31	VYDAJ	VYBER	15	33036	SLUZBY	\N	\N
233782	795	1996-04-30	VYDAJ	VYBER	15	34552	SLUZBY	\N	\N
233783	795	1996-05-31	VYDAJ	VYBER	15	37176	SLUZBY	\N	\N
233784	795	1996-06-30	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
233785	795	1996-07-31	VYDAJ	VYBER	15	29193	SLUZBY	\N	\N
233786	795	1996-08-31	VYDAJ	VYBER	15	33698	SLUZBY	\N	\N
233787	795	1996-09-30	VYDAJ	VYBER	15	38520	SLUZBY	\N	\N
233788	795	1996-10-31	VYDAJ	VYBER	15	41959	SLUZBY	\N	\N
233789	795	1996-11-30	VYDAJ	VYBER	15	48221	SLUZBY	\N	\N
233790	795	1996-12-31	VYDAJ	VYBER	15	50032	SLUZBY	\N	\N
233791	795	1997-01-31	VYDAJ	VYBER	15	39092	SLUZBY	\N	\N
233792	795	1997-02-28	VYDAJ	VYBER	15	44540	SLUZBY	\N	\N
233793	795	1997-03-31	VYDAJ	VYBER	15	49610	SLUZBY	\N	\N
233794	795	1997-04-30	VYDAJ	VYBER	15	52397	SLUZBY	\N	\N
233795	795	1997-05-31	VYDAJ	VYBER	15	46677	SLUZBY	\N	\N
233796	795	1997-06-30	VYDAJ	VYBER	15	42049	SLUZBY	\N	\N
233797	795	1997-07-31	VYDAJ	VYBER	15	47109	SLUZBY	\N	\N
233798	795	1997-08-31	VYDAJ	VYBER	15	46678	SLUZBY	\N	\N
233799	795	1997-09-30	VYDAJ	VYBER	15	50655	SLUZBY	\N	\N
233800	795	1997-10-31	VYDAJ	VYBER	15	50139	SLUZBY	\N	\N
233801	795	1997-11-30	VYDAJ	VYBER	15	51123	SLUZBY	\N	\N
233802	795	1997-12-31	VYDAJ	VYBER	15	55854	SLUZBY	\N	\N
233803	795	1998-01-31	VYDAJ	VYBER	15	51149	SLUZBY	\N	\N
233804	795	1998-02-28	VYDAJ	VYBER	15	53641	SLUZBY	\N	\N
233805	795	1998-03-31	VYDAJ	VYBER	15	57347	SLUZBY	\N	\N
233806	795	1998-04-30	VYDAJ	VYBER	15	54348	SLUZBY	\N	\N
233807	795	1998-05-31	VYDAJ	VYBER	15	58759	SLUZBY	\N	\N
233808	795	1998-06-30	VYDAJ	VYBER	15	58602	SLUZBY	\N	\N
233809	795	1998-07-31	VYDAJ	VYBER	15	59620	SLUZBY	\N	\N
233810	795	1998-08-31	VYDAJ	VYBER	15	63151	SLUZBY	\N	\N
233811	795	1998-09-30	VYDAJ	VYBER	15	66080	SLUZBY	\N	\N
233812	795	1998-10-31	VYDAJ	VYBER	15	64722	SLUZBY	\N	\N
233813	795	1998-11-30	VYDAJ	VYBER	15	66772	SLUZBY	\N	\N
233814	795	1995-02-26	PRIJEM	VKLAD	10700	16064	\N	\N	\N
233815	795	1995-03-28	PRIJEM	VKLAD	3400	23935	\N	\N	\N
233816	795	1995-04-27	VYDAJ	VYBER	2700	25770	\N	\N	\N
233817	795	1995-05-27	VYDAJ	VYBER	5900	24435	\N	\N	\N
233818	795	1995-06-26	VYDAJ	VYBER	5300	25938	\N	\N	\N
233819	795	1995-07-26	VYDAJ	VYBER	1600	25914	\N	\N	\N
233820	795	1995-09-24	PRIJEM	VKLAD	2000	28877	\N	\N	\N
233821	795	1995-10-24	VYDAJ	VYBER	2600	27863	\N	\N	\N
233822	795	1995-12-23	VYDAJ	VYBER	1200	28186	\N	\N	\N
233823	795	1996-01-22	PRIJEM	VKLAD	5600	26579	\N	\N	\N
233824	795	1996-02-21	PRIJEM	VKLAD	5300	25958	\N	\N	\N
233825	795	1996-03-22	PRIJEM	VKLAD	5400	32931	\N	\N	\N
233826	795	1996-04-21	VYDAJ	VYBER	100	34424	\N	\N	\N
233827	795	1996-05-21	PRIJEM	VKLAD	1000	37040	\N	\N	\N
233828	795	1996-06-20	VYDAJ	VYBER	2600	38296	\N	\N	\N
233829	795	1996-07-20	PRIJEM	VKLAD	14300	29119	\N	\N	\N
233830	795	1996-08-19	PRIJEM	VKLAD	2900	33581	\N	\N	\N
233831	795	1996-09-18	PRIJEM	VKLAD	7000	38386	\N	\N	\N
233832	795	1996-10-18	PRIJEM	VKLAD	6000	41808	\N	\N	\N
233833	795	1996-11-17	PRIJEM	VKLAD	4600	48047	\N	\N	\N
233834	795	1996-12-17	PRIJEM	VKLAD	1500	49841	\N	\N	\N
233835	795	1997-01-16	PRIJEM	VKLAD	900	47020	\N	\N	\N
233836	795	1997-02-15	PRIJEM	VKLAD	3800	44380	\N	\N	\N
233837	795	1997-03-17	PRIJEM	VKLAD	3400	49428	\N	\N	\N
233838	795	1997-04-16	PRIJEM	VKLAD	1100	52198	\N	\N	\N
233839	795	1997-05-16	VYDAJ	VYBER	3600	49185	\N	\N	\N
233840	795	1997-06-15	PRIJEM	VKLAD	7000	41897	\N	\N	\N
233841	795	1997-07-15	PRIJEM	VKLAD	3400	46937	\N	\N	\N
233842	795	1997-08-14	VYDAJ	VYBER	2100	46497	\N	\N	\N
233843	795	1997-09-13	PRIJEM	VKLAD	2300	50466	\N	\N	\N
233844	795	1997-10-13	PRIJEM	VKLAD	6600	53943	\N	\N	\N
233845	795	1997-11-12	VYDAJ	VYBER	700	50927	\N	\N	\N
233846	795	1997-12-12	PRIJEM	VKLAD	1600	55643	\N	\N	\N
233847	795	1998-01-11	PRIJEM	VKLAD	2900	57742	\N	\N	\N
233848	795	1998-02-10	PRIJEM	VKLAD	800	53437	\N	\N	\N
233849	795	1998-03-12	PRIJEM	VKLAD	2000	57129	\N	\N	\N
233850	795	1998-04-11	VYDAJ	VYBER	600	55535	\N	\N	\N
233851	795	1998-05-11	PRIJEM	VKLAD	2700	58536	\N	\N	\N
233852	795	1998-06-10	PRIJEM	VKLAD	5000	58379	\N	\N	\N
233853	795	1998-07-10	VYDAJ	VYBER	700	59390	\N	\N	\N
233854	795	1998-08-09	PRIJEM	VKLAD	1800	62908	\N	\N	\N
233855	795	1998-09-08	PRIJEM	VKLAD	1200	61375	\N	\N	\N
233856	795	1998-10-08	VYDAJ	VYBER	3100	64468	\N	\N	\N
233857	795	1998-11-07	PRIJEM	VKLAD	4800	66546	\N	\N	\N
233858	795	1998-12-07	PRIJEM	VKLAD	6200	68696	\N	\N	\N
233906	796	1997-02-13	PRIJEM	VKLAD	700	700	\N	\N	\N
233907	796	1997-05-02	PRIJEM	VKLAD	8671	20071	\N	\N	\N
233908	796	1997-09-29	PRIJEM	VKLAD	20087	50081	\N	\N	\N
233909	796	1998-08-28	PRIJEM	VKLAD	49166	118645	\N	\N	\N
233910	796	1998-08-22	PRIJEM	VKLAD	15422	55971	\N	\N	\N
233911	796	1998-08-25	PRIJEM	VKLAD	13508	69479	\N	\N	\N
233912	796	1998-05-19	PRIJEM	VKLAD	34833	63673	\N	\N	\N
233913	796	1998-07-29	PRIJEM	VKLAD	11220	46891	\N	\N	\N
233915	796	1998-10-20	VYBER	VYBER	13927	21717	\N	\N	\N
233917	796	1998-12-11	VYBER	VYBER	17973	22964	\N	\N	\N
233924	796	1998-10-17	VYBER	VYBER	12354	35644	\N	\N	\N
233975	796	1998-08-31	VYDAJ	VYBER	15	64048	SLUZBY	\N	\N
233976	796	1998-09-30	VYDAJ	VYBER	15	50098	SLUZBY	\N	\N
233977	796	1998-10-31	VYDAJ	VYBER	15	21860	SLUZBY	\N	\N
233978	796	1998-11-30	VYDAJ	VYBER	15	32837	SLUZBY	\N	\N
233979	796	1997-04-14	PRIJEM	VKLAD	10700	11400	\N	\N	\N
233980	796	1997-05-14	PRIJEM	VKLAD	1600	21671	\N	\N	\N
233981	796	1997-06-13	PRIJEM	VKLAD	700	22423	\N	\N	\N
233982	796	1997-07-13	PRIJEM	VKLAD	800	23314	\N	\N	\N
233983	796	1997-08-12	PRIJEM	VKLAD	1700	25104	\N	\N	\N
233984	796	1997-09-11	PRIJEM	VKLAD	4800	29994	\N	\N	\N
233985	796	1997-10-11	VYDAJ	VYBER	12400	37780	\N	\N	\N
233986	796	1997-11-10	VYDAJ	VYBER	7200	30788	\N	\N	\N
233987	796	1997-12-10	PRIJEM	VKLAD	300	31297	\N	\N	\N
233988	796	1998-01-09	VYDAJ	VYBER	1800	29706	\N	\N	\N
233989	796	1998-02-08	VYDAJ	VYBER	700	29214	\N	\N	\N
233990	796	1998-03-10	VYDAJ	VYBER	600	28823	\N	\N	\N
233991	796	1998-04-09	PRIJEM	VKLAD	1900	30932	\N	\N	\N
233992	796	1998-05-09	VYDAJ	VYBER	2300	28840	\N	\N	\N
233993	796	1998-06-08	VYDAJ	VYBER	19300	44606	\N	\N	\N
233994	796	1998-07-08	VYDAJ	VYBER	9200	35671	\N	\N	\N
233995	796	1998-08-07	VYDAJ	VYBER	6600	40549	\N	\N	\N
233996	796	1998-08-28	VYDAJ	VYBER	54800	63845	\N	\N	\N
233997	796	1998-09-06	VYDAJ	VYBER	14200	49848	\N	\N	\N
233998	796	1998-10-06	VYDAJ	VYBER KARTOU	2100	47998	\N	\N	0
233999	796	1998-11-05	PRIJEM	VKLAD	10900	32760	\N	\N	\N
234000	796	1998-12-05	PRIJEM	VKLAD	8100	40937	\N	\N	\N
234021	797	1996-11-20	PRIJEM	VKLAD	900	900	\N	\N	\N
234033	797	1996-12-05	PRIJEM	PREVOD Z UCTU	51394	52294	\N	OP	48665332
234034	797	1997-01-05	PRIJEM	PREVOD Z UCTU	34263	69814	\N	OP	48665332
234035	797	1997-02-05	PRIJEM	PREVOD Z UCTU	34263	80343	\N	OP	48665332
234036	797	1997-03-05	PRIJEM	PREVOD Z UCTU	34263	85005	\N	OP	48665332
234037	797	1997-04-05	PRIJEM	PREVOD Z UCTU	34263	87483	\N	OP	48665332
234038	797	1997-05-05	PRIJEM	PREVOD Z UCTU	34263	89255	\N	OP	48665332
234039	797	1997-06-05	PRIJEM	PREVOD Z UCTU	51394	105762	\N	OP	48665332
234040	797	1997-07-05	PRIJEM	PREVOD Z UCTU	34263	96050	\N	OP	48665332
234041	797	1997-08-05	PRIJEM	PREVOD Z UCTU	34263	85532	\N	OP	48665332
234042	797	1997-09-05	PRIJEM	PREVOD Z UCTU	34263	79103	\N	OP	48665332
234043	797	1997-10-05	PRIJEM	PREVOD Z UCTU	34263	88015	\N	OP	48665332
234044	797	1997-11-05	PRIJEM	PREVOD Z UCTU	34263	75503	\N	OP	48665332
234045	797	1997-12-05	PRIJEM	PREVOD Z UCTU	51394	95389	\N	OP	48665332
234046	797	1998-01-05	PRIJEM	PREVOD Z UCTU	34263	59074	\N	OP	48665332
234047	797	1998-02-05	PRIJEM	PREVOD Z UCTU	34263	47290	\N	OP	48665332
234048	797	1998-03-05	PRIJEM	PREVOD Z UCTU	34263	73956	\N	OP	48665332
234049	797	1998-04-05	PRIJEM	PREVOD Z UCTU	34263	63471	\N	OP	48665332
234050	797	1998-05-05	PRIJEM	PREVOD Z UCTU	34263	81784	\N	OP	48665332
234051	797	1998-06-05	PRIJEM	PREVOD Z UCTU	51394	107581	\N	OP	48665332
234052	797	1998-07-05	PRIJEM	PREVOD Z UCTU	34263	96387	\N	OP	48665332
234053	797	1998-08-05	PRIJEM	PREVOD Z UCTU	34263	38873	\N	OP	48665332
234054	797	1998-09-05	PRIJEM	PREVOD Z UCTU	34263	66750	\N	OP	48665332
234055	797	1998-10-05	PRIJEM	PREVOD Z UCTU	34263	84583	\N	OP	48665332
234056	797	1998-11-05	PRIJEM	PREVOD Z UCTU	34263	70932	\N	OP	48665332
234057	797	1998-12-05	PRIJEM	PREVOD Z UCTU	51394	59441	\N	OP	48665332
234061	797	1997-10-05	VYBER	VYBER	4234	83781	\N	\N	\N
234062	797	1997-12-12	VYBER	VYBER	21887	61202	\N	\N	\N
234063	797	1997-10-19	VYBER	VYBER	12672	41009	\N	\N	\N
234064	797	1997-07-18	VYBER	VYBER	15404	80646	\N	\N	\N
234065	797	1998-03-23	VYBER	VYBER	11631	29025	\N	\N	\N
234066	797	1998-01-30	VYBER	VYBER	10988	12886	\N	\N	\N
234067	797	1998-07-17	VYBER	VYBER	16591	32819	\N	\N	\N
234069	797	1998-11-25	VYBER	VYBER	8107	16021	\N	\N	\N
234070	797	1998-08-01	VYBER	VYBER	6782	4610	\N	\N	\N
234071	797	1998-10-12	VYBER	VYBER	19372	36511	\N	\N	\N
234072	797	1998-07-12	VYBER	VYBER	19777	76610	\N	\N	\N
234073	797	1998-07-21	VYBER	VYBER	7775	25044	\N	\N	\N
234074	797	1998-11-19	VYBER	VYBER	23404	24128	\N	\N	\N
234076	797	1997-12-02	VYDAJ	VYBER	5700	43995	\N	\N	\N
234077	797	1998-12-22	VYDAJ	VYBER	4800	38841	\N	\N	\N
234090	797	1998-01-24	VYDAJ	VYBER	3900	23874	\N	\N	\N
234091	797	1998-01-01	VYDAJ	VYBER	8400	30811	\N	\N	\N
234092	797	1998-01-01	VYDAJ	VYBER	6000	24811	\N	\N	\N
234093	797	1998-01-20	VYDAJ	VYBER	3000	34374	\N	\N	\N
234094	797	1998-01-11	VYDAJ	VYBER	6600	52474	\N	\N	\N
234095	797	1998-01-19	VYDAJ	VYBER	6900	37374	\N	\N	\N
234100	797	1997-12-21	VYDAJ	VYBER	5700	39002	\N	\N	\N
234101	797	1997-12-15	VYDAJ	VYBER	3600	57602	\N	\N	\N
234102	797	1997-09-04	VYDAJ	VYBER	11400	44840	\N	\N	\N
234103	797	1997-11-10	VYDAJ	VYBER	10500	65003	\N	\N	\N
234104	797	1997-12-05	VYDAJ	VYBER	12300	83089	\N	\N	\N
234107	797	1998-01-22	VYDAJ	VYBER	6600	27774	\N	\N	\N
234108	797	1998-12-18	VYDAJ	VYBER	2700	43641	\N	\N	\N
234109	797	1998-03-19	VYDAJ	VYBER	12000	40656	\N	\N	\N
234110	797	1998-11-15	VYDAJ	VYBER	3300	47532	\N	\N	\N
234111	797	1998-03-05	VYDAJ	VYBER	6300	67656	\N	\N	\N
234112	797	1998-06-28	VYDAJ	VYBER	4500	61881	\N	\N	\N
234113	797	1998-07-21	VYDAJ	VYBER	13800	11244	\N	\N	\N
234114	797	1998-12-04	VYDAJ	VYBER	8100	8047	\N	\N	\N
234131	797	1997-04-30	VYDAJ	VYBER	15	54992	SLUZBY	\N	\N
234132	797	1997-05-31	VYDAJ	VYBER	15	54368	SLUZBY	\N	\N
234133	797	1997-06-30	VYDAJ	VYBER	15	61787	SLUZBY	\N	\N
234134	797	1997-07-31	VYDAJ	VYBER	15	51269	SLUZBY	\N	\N
234135	797	1997-08-31	VYDAJ	VYBER	15	56240	SLUZBY	\N	\N
234136	797	1997-09-30	VYDAJ	VYBER	15	53752	SLUZBY	\N	\N
234137	797	1997-10-31	VYDAJ	VYBER	15	41240	SLUZBY	\N	\N
234138	797	1997-11-30	VYDAJ	VYBER	15	49695	SLUZBY	\N	\N
234139	797	1997-12-31	VYDAJ	VYBER	15	39211	SLUZBY	\N	\N
234140	797	1998-01-31	VYDAJ	VYBER	15	13027	SLUZBY	\N	\N
234141	797	1998-02-28	VYDAJ	VYBER	15	39693	SLUZBY	\N	\N
234142	797	1998-03-31	VYDAJ	VYBER	15	29208	SLUZBY	\N	\N
234143	797	1998-04-30	VYDAJ	VYBER	15	47521	SLUZBY	\N	\N
234144	797	1998-05-31	VYDAJ	VYBER	15	56187	SLUZBY	\N	\N
234145	797	1998-06-30	VYDAJ	VYBER	15	62124	SLUZBY	\N	\N
234146	797	1998-07-31	VYDAJ	VYBER	15	11392	SLUZBY	\N	\N
234147	797	1998-08-31	VYDAJ	VYBER	15	32487	SLUZBY	\N	\N
234148	797	1998-09-30	VYDAJ	VYBER	15	50320	SLUZBY	\N	\N
234149	797	1998-10-31	VYDAJ	VYBER	15	36669	SLUZBY	\N	\N
234150	797	1998-11-30	VYDAJ	VYBER	15	16147	SLUZBY	\N	\N
234151	797	1996-12-20	VYDAJ	VYBER	16800	35494	\N	\N	\N
234152	797	1997-01-19	VYDAJ	VYBER	23900	45914	\N	\N	\N
234153	797	1997-02-18	VYDAJ	VYBER	29800	50543	\N	\N	\N
234154	797	1997-03-20	VYDAJ	VYBER	32000	53005	\N	\N	\N
234155	797	1997-04-19	VYDAJ	VYBER	32700	54783	\N	\N	\N
234156	797	1997-05-19	VYDAJ	VYBER	35100	54155	\N	\N	\N
234157	797	1997-06-18	VYDAJ	VYBER	44200	61562	\N	\N	\N
234158	797	1997-07-18	VYDAJ	VYBER	29600	51046	\N	\N	\N
234159	797	1997-08-17	VYDAJ	VYBER	29500	56032	\N	\N	\N
234160	797	1997-09-16	VYDAJ	VYBER	25600	53503	\N	\N	\N
234161	797	1997-10-16	VYDAJ	VYBER	30100	53681	\N	\N	\N
234162	797	1997-11-15	VYDAJ	VYBER	15500	49503	\N	\N	\N
234163	797	1997-12-15	VYDAJ	VYBER	12900	44702	\N	\N	\N
234164	797	1998-01-14	VYDAJ	VYBER	8200	44274	\N	\N	\N
234165	797	1998-02-13	VYDAJ	VYBER	7700	39590	\N	\N	\N
234166	797	1998-03-15	VYDAJ	VYBER	15000	52656	\N	\N	\N
234167	797	1998-04-14	VYDAJ	VYBER	16100	47371	\N	\N	\N
234168	797	1998-05-14	VYDAJ	VYBER	25800	55984	\N	\N	\N
234169	797	1998-06-13	VYDAJ	VYBER	41200	66381	\N	\N	\N
234170	797	1998-07-13	VYDAJ	VYBER	27200	49410	\N	\N	\N
234171	797	1998-08-12	VYDAJ	VYBER	6500	32373	\N	\N	\N
234172	797	1998-09-11	VYDAJ	VYBER	16600	50150	\N	\N	\N
234173	797	1998-10-11	VYDAJ	VYBER	28700	55883	\N	\N	\N
234174	797	1998-11-10	VYDAJ	VYBER	20100	50832	\N	\N	\N
234175	797	1998-12-10	VYDAJ	VYBER	13100	46341	\N	\N	\N
234201	798	1996-04-22	PRIJEM	VKLAD	600	600	\N	\N	\N
234206	798	1996-05-12	PRIJEM	PREVOD Z UCTU	3273	3873	\N	OP	12587994
234207	798	1996-06-12	PRIJEM	PREVOD Z UCTU	3273	17966	\N	OP	12587994
234208	798	1996-07-12	PRIJEM	PREVOD Z UCTU	3273	24609	\N	OP	12587994
234209	798	1996-08-12	PRIJEM	PREVOD Z UCTU	3273	28076	\N	OP	12587994
234210	798	1996-09-12	PRIJEM	PREVOD Z UCTU	3273	30355	\N	OP	12587994
234211	798	1996-10-12	PRIJEM	PREVOD Z UCTU	3273	28647	\N	OP	12587994
234212	798	1996-11-12	PRIJEM	PREVOD Z UCTU	3273	28239	\N	OP	12587994
234213	798	1996-12-12	PRIJEM	PREVOD Z UCTU	3273	31054	\N	OP	12587994
234214	798	1997-01-12	PRIJEM	PREVOD Z UCTU	3273	27792	\N	OP	12587994
234215	798	1997-02-12	PRIJEM	PREVOD Z UCTU	3273	27846	\N	OP	12587994
234216	798	1997-03-12	PRIJEM	PREVOD Z UCTU	3273	26172	\N	OP	12587994
234217	798	1997-04-12	PRIJEM	PREVOD Z UCTU	3273	25373	\N	OP	12587994
234218	798	1997-05-12	PRIJEM	PREVOD Z UCTU	3273	27655	\N	OP	12587994
234219	798	1997-06-12	PRIJEM	PREVOD Z UCTU	3273	27743	\N	OP	12587994
234220	798	1997-07-12	PRIJEM	PREVOD Z UCTU	3273	24145	\N	OP	12587994
234221	798	1997-08-12	PRIJEM	PREVOD Z UCTU	3273	31063	\N	OP	12587994
234222	798	1997-09-12	PRIJEM	PREVOD Z UCTU	3273	36376	\N	OP	12587994
234223	798	1997-10-12	PRIJEM	PREVOD Z UCTU	3273	40309	\N	OP	12587994
234224	798	1997-11-12	PRIJEM	PREVOD Z UCTU	3273	43016	\N	OP	12587994
234225	798	1997-12-12	PRIJEM	PREVOD Z UCTU	3273	43368	\N	OP	12587994
234226	798	1998-01-12	PRIJEM	PREVOD Z UCTU	3273	42015	\N	OP	12587994
234227	798	1998-02-12	PRIJEM	PREVOD Z UCTU	3273	39807	\N	OP	12587994
234228	798	1998-03-12	PRIJEM	PREVOD Z UCTU	3273	41045	\N	OP	12587994
234229	798	1998-04-12	PRIJEM	PREVOD Z UCTU	3273	38380	\N	OP	12587994
234230	798	1998-05-12	PRIJEM	PREVOD Z UCTU	3273	39515	\N	OP	12587994
234231	798	1998-06-12	PRIJEM	PREVOD Z UCTU	3273	39883	\N	OP	12587994
234232	798	1998-07-12	PRIJEM	PREVOD Z UCTU	3273	44433	\N	OP	12587994
234233	798	1998-08-12	PRIJEM	PREVOD Z UCTU	3273	46023	\N	OP	12587994
234234	798	1998-09-12	PRIJEM	PREVOD Z UCTU	3273	50087	\N	OP	12587994
234235	798	1998-10-12	PRIJEM	PREVOD Z UCTU	3273	51494	\N	OP	12587994
234236	798	1998-11-12	PRIJEM	PREVOD Z UCTU	3273	48480	\N	OP	12587994
234237	798	1998-12-12	PRIJEM	PREVOD Z UCTU	3273	49660	\N	OP	12587994
234247	798	1996-10-10	VYDAJ	PREVOD NA UCET	2182	25374	SIPO	CD	6413495
234248	798	1996-11-10	VYDAJ	PREVOD NA UCET	2182	24966	SIPO	CD	6413495
234249	798	1996-12-10	VYDAJ	PREVOD NA UCET	2182	27781	SIPO	CD	6413495
234250	798	1997-01-10	VYDAJ	PREVOD NA UCET	2182	24669	SIPO	CD	6413495
234251	798	1997-02-10	VYDAJ	PREVOD NA UCET	2182	24573	SIPO	CD	6413495
234252	798	1997-03-10	VYDAJ	PREVOD NA UCET	2182	22899	SIPO	CD	6413495
234253	798	1997-04-10	VYDAJ	PREVOD NA UCET	2182	22100	SIPO	CD	6413495
234254	798	1997-05-10	VYDAJ	PREVOD NA UCET	2182	24382	SIPO	CD	6413495
234255	798	1997-06-10	VYDAJ	PREVOD NA UCET	2182	24470	SIPO	CD	6413495
234256	798	1997-07-10	VYDAJ	PREVOD NA UCET	2182	20872	SIPO	CD	6413495
234257	798	1997-08-10	VYDAJ	PREVOD NA UCET	2182	27790	SIPO	CD	6413495
234258	798	1997-09-10	VYDAJ	PREVOD NA UCET	2182	33103	SIPO	CD	6413495
234259	798	1997-10-10	VYDAJ	PREVOD NA UCET	2182	37036	SIPO	CD	6413495
234260	798	1997-11-10	VYDAJ	PREVOD NA UCET	2182	39743	SIPO	CD	6413495
234261	798	1997-12-10	VYDAJ	PREVOD NA UCET	2182	40095	SIPO	CD	6413495
234262	798	1998-01-10	VYDAJ	PREVOD NA UCET	2182	37842	SIPO	CD	6413495
234263	798	1998-02-10	VYDAJ	PREVOD NA UCET	2182	35034	SIPO	CD	6413495
234264	798	1998-03-10	VYDAJ	PREVOD NA UCET	2182	37772	SIPO	CD	6413495
234265	798	1998-04-10	VYDAJ	PREVOD NA UCET	2182	35107	SIPO	CD	6413495
234266	798	1998-05-10	VYDAJ	PREVOD NA UCET	2182	35842	SIPO	CD	6413495
234267	798	1998-06-10	VYDAJ	PREVOD NA UCET	2182	33010	SIPO	CD	6413495
234268	798	1998-07-10	VYDAJ	PREVOD NA UCET	2182	37460	SIPO	CD	6413495
234269	798	1998-08-10	VYDAJ	PREVOD NA UCET	2182	42750	SIPO	CD	6413495
234270	798	1998-09-10	VYDAJ	PREVOD NA UCET	2182	46814	SIPO	CD	6413495
234271	798	1998-10-10	VYDAJ	PREVOD NA UCET	2182	48221	SIPO	CD	6413495
234272	798	1998-11-10	VYDAJ	PREVOD NA UCET	2182	45207	SIPO	CD	6413495
234273	798	1998-12-10	VYDAJ	PREVOD NA UCET	2182	46387	SIPO	CD	6413495
234275	798	1997-06-18	VYDAJ	VYBER	6480	22963	\N	\N	\N
234276	798	1998-06-04	VYDAJ	VYBER	4470	35192	\N	\N	\N
234278	798	1997-01-26	VYDAJ	VYBER	2100	27372	\N	\N	\N
234279	798	1998-01-27	VYDAJ	VYBER	1380	37425	\N	\N	\N
234280	798	1996-12-13	VYDAJ	VYBER	780	30274	\N	\N	\N
234281	798	1997-12-29	VYDAJ	VYBER	300	39868	\N	\N	\N
234282	798	1998-12-13	VYDAJ	VYBER	270	49390	\N	\N	\N
234289	798	1997-01-11	VYDAJ	VYBER	150	24519	\N	\N	\N
234290	798	1997-01-29	VYDAJ	VYBER	720	26652	\N	\N	\N
234291	798	1997-01-06	VYDAJ	VYBER	720	26851	\N	\N	\N
234292	798	1997-01-15	VYDAJ	VYBER	480	27312	\N	\N	\N
234293	798	1997-01-05	VYDAJ	VYBER	510	27571	\N	\N	\N
234294	798	1997-01-26	VYDAJ	VYBER	240	29472	\N	\N	\N
234295	798	1998-01-19	VYDAJ	VYBER	570	40635	\N	\N	\N
234296	798	1998-01-14	VYDAJ	VYBER	810	41205	\N	\N	\N
234297	798	1998-01-26	VYDAJ	VYBER	390	40095	\N	\N	\N
234298	798	1998-01-27	VYDAJ	VYBER	750	39345	\N	\N	\N
234299	798	1998-01-27	VYDAJ	VYBER	540	38805	\N	\N	\N
234300	798	1998-01-22	VYDAJ	VYBER	150	40485	\N	\N	\N
234301	798	1996-11-23	VYDAJ	VYBER	480	29859	\N	\N	\N
234303	798	1996-09-13	VYDAJ	VYBER	600	29755	\N	\N	\N
234306	798	1997-11-07	VYDAJ	VYBER	540	41925	\N	\N	\N
234307	798	1997-02-25	VYDAJ	VYBER	960	24986	\N	\N	\N
234308	798	1997-11-20	VYDAJ	VYBER	600	42116	\N	\N	\N
234309	798	1997-07-19	VYDAJ	VYBER	870	29875	\N	\N	\N
234310	798	1997-03-22	VYDAJ	VYBER	1380	24192	\N	\N	\N
234311	798	1998-10-25	VYDAJ	VYBER	300	51194	\N	\N	\N
234312	798	1998-09-20	VYDAJ	VYBER	1470	48617	\N	\N	\N
234313	798	1998-02-03	VYDAJ	VYBER	360	37216	\N	\N	\N
234314	798	1998-06-17	VYDAJ	VYBER	390	39493	\N	\N	\N
234315	798	1998-07-13	VYDAJ	VYBER	1260	43173	\N	\N	\N
234325	798	1996-09-30	VYDAJ	VYBER	15	27556	SLUZBY	\N	\N
234326	798	1996-10-31	VYDAJ	VYBER	15	27148	SLUZBY	\N	\N
234327	798	1996-11-30	VYDAJ	VYBER	15	29963	SLUZBY	\N	\N
234328	798	1996-12-31	VYDAJ	VYBER	15	28081	SLUZBY	\N	\N
234329	798	1997-01-31	VYDAJ	VYBER	15	26755	SLUZBY	\N	\N
234330	798	1997-02-28	VYDAJ	VYBER	15	25081	SLUZBY	\N	\N
234331	798	1997-03-31	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
234332	798	1997-04-30	VYDAJ	VYBER	15	26564	SLUZBY	\N	\N
234333	798	1997-05-31	VYDAJ	VYBER	15	26652	SLUZBY	\N	\N
234334	798	1997-06-30	VYDAJ	VYBER	15	23054	SLUZBY	\N	\N
234335	798	1997-07-31	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
234336	798	1997-08-31	VYDAJ	VYBER	15	35285	SLUZBY	\N	\N
234337	798	1997-09-30	VYDAJ	VYBER	15	39218	SLUZBY	\N	\N
234338	798	1997-10-31	VYDAJ	VYBER	15	42465	SLUZBY	\N	\N
234339	798	1997-11-30	VYDAJ	VYBER	15	42277	SLUZBY	\N	\N
234340	798	1997-12-31	VYDAJ	VYBER	15	40024	SLUZBY	\N	\N
234341	798	1998-01-31	VYDAJ	VYBER	15	37576	SLUZBY	\N	\N
234342	798	1998-02-28	VYDAJ	VYBER	15	39954	SLUZBY	\N	\N
234343	798	1998-03-31	VYDAJ	VYBER	15	37289	SLUZBY	\N	\N
234344	798	1998-04-30	VYDAJ	VYBER	15	38024	SLUZBY	\N	\N
234345	798	1998-05-31	VYDAJ	VYBER	15	39662	SLUZBY	\N	\N
234346	798	1998-06-30	VYDAJ	VYBER	15	39642	SLUZBY	\N	\N
234347	798	1998-07-31	VYDAJ	VYBER	15	43332	SLUZBY	\N	\N
234348	798	1998-08-31	VYDAJ	VYBER	15	46196	SLUZBY	\N	\N
234349	798	1998-09-30	VYDAJ	VYBER	15	48803	SLUZBY	\N	\N
234350	798	1998-10-31	VYDAJ	VYBER	15	51389	SLUZBY	\N	\N
234351	798	1998-11-30	VYDAJ	VYBER	15	48669	SLUZBY	\N	\N
234352	798	1996-05-22	PRIJEM	VKLAD	10800	14673	\N	\N	\N
234353	798	1996-06-21	PRIJEM	VKLAD	3300	21266	\N	\N	\N
234354	798	1996-07-21	PRIJEM	VKLAD	100	24709	\N	\N	\N
234355	798	1996-08-20	VYDAJ	VYBER	1100	26976	\N	\N	\N
234356	798	1996-09-19	VYDAJ	VYBER	2300	27455	\N	\N	\N
234357	798	1996-10-19	VYDAJ	VYBER	1600	27047	\N	\N	\N
234358	798	1996-11-18	PRIJEM	VKLAD	2100	30339	\N	\N	\N
234359	798	1996-12-18	VYDAJ	VYBER	2300	27974	\N	\N	\N
234360	798	1997-01-17	PRIJEM	VKLAD	2400	29712	\N	\N	\N
234361	798	1997-02-16	VYDAJ	VYBER	1900	25946	\N	\N	\N
234362	798	1997-03-18	VYDAJ	VYBER	600	25572	\N	\N	\N
234363	798	1997-04-17	PRIJEM	VKLAD	1100	26473	\N	\N	\N
234364	798	1997-05-17	VYDAJ	VYBER	1100	26555	\N	\N	\N
234365	798	1997-06-16	PRIJEM	VKLAD	1700	29443	\N	\N	\N
234366	798	1997-07-16	PRIJEM	VKLAD	6600	30745	\N	\N	\N
234367	798	1997-08-15	PRIJEM	VKLAD	4100	35163	\N	\N	\N
234368	798	1997-09-14	PRIJEM	VKLAD	2700	39076	\N	\N	\N
234369	798	1997-10-14	PRIJEM	VKLAD	2000	42309	\N	\N	\N
234370	798	1997-11-13	VYDAJ	VYBER	300	42716	\N	\N	\N
234371	798	1997-12-13	VYDAJ	VYBER	3200	40168	\N	\N	\N
234372	798	1998-01-12	PRIJEM	VKLAD	900	38742	\N	\N	\N
234373	798	1998-02-11	PRIJEM	VKLAD	1500	36534	\N	\N	\N
234374	798	1998-03-13	VYDAJ	VYBER	3900	37145	\N	\N	\N
234375	798	1998-04-12	VYDAJ	VYBER	500	37880	\N	\N	\N
234376	798	1998-05-12	PRIJEM	VKLAD	400	36242	\N	\N	\N
234377	798	1998-06-11	PRIJEM	VKLAD	3600	36610	\N	\N	\N
234378	798	1998-07-11	PRIJEM	VKLAD	3700	41160	\N	\N	\N
234379	798	1998-08-10	PRIJEM	VKLAD	1600	44932	\N	\N	\N
234380	798	1998-09-09	PRIJEM	VKLAD	2800	48996	\N	\N	\N
234381	798	1998-10-09	PRIJEM	VKLAD	1600	50403	\N	\N	\N
234382	798	1998-11-08	VYDAJ	VYBER	4000	47389	\N	\N	\N
234383	798	1998-12-08	VYDAJ	VYBER	100	48569	\N	\N	\N
234416	799	1993-10-10	PRIJEM	VKLAD	200	200	\N	\N	\N
234577	799	1993-11-09	PRIJEM	VKLAD	11400	11600	\N	\N	\N
234578	799	1993-12-09	PRIJEM	VKLAD	8700	20300	\N	\N	\N
234579	799	1994-01-08	PRIJEM	VKLAD	700	21000	\N	\N	\N
234580	799	1994-02-07	PRIJEM	VKLAD	200	21200	\N	\N	\N
234581	799	1994-03-09	PRIJEM	VKLAD	900	22100	\N	\N	\N
234582	799	1994-04-08	VYDAJ	VYBER	1300	20800	\N	\N	\N
234583	799	1994-06-07	PRIJEM	VKLAD	2600	23400	\N	\N	\N
234584	799	1994-07-07	VYDAJ	VYBER	2600	20800	\N	\N	\N
234585	799	1994-08-06	PRIJEM	VKLAD	1100	21900	\N	\N	\N
234586	799	1994-09-05	VYDAJ	VYBER	1000	20900	\N	\N	\N
234587	799	1994-10-05	VYDAJ	VYBER	1700	19200	\N	\N	\N
234588	799	1994-11-04	PRIJEM	VKLAD	900	20100	\N	\N	\N
234589	799	1994-12-04	VYDAJ	VYBER	4000	16100	\N	\N	\N
234590	799	1995-01-03	VYDAJ	VYBER	900	15200	\N	\N	\N
234591	799	1995-02-02	PRIJEM	VKLAD	1200	16400	\N	\N	\N
234592	799	1995-03-04	VYDAJ	VYBER	2600	13800	\N	\N	\N
234593	799	1995-04-03	VYDAJ	VYBER	2300	11500	\N	\N	\N
234594	799	1995-05-03	PRIJEM	VKLAD	3300	14800	\N	\N	\N
234595	799	1995-06-02	PRIJEM	VKLAD	1200	16000	\N	\N	\N
234596	799	1995-07-02	PRIJEM	VKLAD	2200	18200	\N	\N	\N
234597	799	1995-08-01	VYDAJ	VYBER	2100	16100	\N	\N	\N
234598	799	1995-08-31	VYDAJ	VYBER	800	15302	\N	\N	\N
234599	799	1995-09-30	VYDAJ	VYBER	300	15066	\N	\N	\N
234600	799	1995-10-30	PRIJEM	VKLAD	2300	17366	\N	\N	\N
234601	799	1995-11-29	VYDAJ	VYBER	2600	14830	\N	\N	\N
234602	799	1995-12-29	PRIJEM	VKLAD	1800	16693	\N	\N	\N
234603	799	1996-01-28	VYDAJ	VYBER	1800	14957	\N	\N	\N
234604	799	1996-02-27	VYDAJ	VYBER	4800	10221	\N	\N	\N
234605	799	1996-04-27	PRIJEM	VKLAD	1300	11585	\N	\N	\N
234606	799	1996-08-25	VYDAJ	VYBER	2300	9348	\N	\N	\N
234615	800	1997-12-06	PRIJEM	VKLAD	1100	1100	\N	\N	\N
234627	800	1997-12-07	PRIJEM	PREVOD Z UCTU	3753	4853	\N	ST	27790540
234628	800	1998-01-07	PRIJEM	PREVOD Z UCTU	3753	21822	\N	ST	27790540
234629	800	1998-02-07	PRIJEM	PREVOD Z UCTU	3753	32653	\N	ST	27790540
234630	800	1998-03-07	PRIJEM	PREVOD Z UCTU	3753	31432	\N	ST	27790540
234631	800	1998-04-07	PRIJEM	PREVOD Z UCTU	3753	30717	\N	ST	27790540
234632	800	1998-05-07	PRIJEM	PREVOD Z UCTU	3753	27875	\N	ST	27790540
234633	800	1998-06-07	PRIJEM	PREVOD Z UCTU	3753	23669	\N	ST	27790540
234634	800	1998-07-07	PRIJEM	PREVOD Z UCTU	3753	22698	\N	ST	27790540
234635	800	1998-08-07	PRIJEM	PREVOD Z UCTU	3753	24849	\N	ST	27790540
234636	800	1998-09-07	PRIJEM	PREVOD Z UCTU	3753	29177	\N	ST	27790540
234637	800	1998-10-07	PRIJEM	PREVOD Z UCTU	3753	36322	\N	ST	27790540
234638	800	1998-11-07	PRIJEM	PREVOD Z UCTU	3753	34394	\N	ST	27790540
234639	800	1998-12-07	PRIJEM	PREVOD Z UCTU	3753	36366	\N	ST	27790540
234655	800	1998-04-10	VYDAJ	PREVOD NA UCET	2203	28215	SIPO	ST	70286303
234656	800	1998-05-10	VYDAJ	PREVOD NA UCET	2203	25373	SIPO	ST	70286303
234657	800	1998-06-10	VYDAJ	PREVOD NA UCET	2203	21167	SIPO	ST	70286303
234658	800	1998-07-10	VYDAJ	PREVOD NA UCET	2203	20196	SIPO	ST	70286303
234659	800	1998-08-10	VYDAJ	PREVOD NA UCET	2203	22646	SIPO	ST	70286303
234660	800	1998-09-10	VYDAJ	PREVOD NA UCET	2203	26675	SIPO	ST	70286303
234661	800	1998-10-10	VYDAJ	PREVOD NA UCET	2203	34119	SIPO	ST	70286303
234662	800	1998-11-10	VYDAJ	PREVOD NA UCET	2203	31892	SIPO	ST	70286303
234663	800	1998-12-10	VYDAJ	PREVOD NA UCET	2203	33864	SIPO	ST	70286303
234679	800	1998-04-10	VYDAJ	PREVOD NA UCET	299	30418	 	IJ	79600321
234680	800	1998-05-10	VYDAJ	PREVOD NA UCET	299	27576	 	IJ	79600321
234681	800	1998-06-10	VYDAJ	PREVOD NA UCET	299	23370	 	IJ	79600321
234682	800	1998-07-10	VYDAJ	PREVOD NA UCET	299	22399	 	IJ	79600321
234683	800	1998-08-10	VYDAJ	PREVOD NA UCET	299	22347	 	IJ	79600321
234684	800	1998-09-10	VYDAJ	PREVOD NA UCET	299	28878	 	IJ	79600321
234685	800	1998-10-10	VYDAJ	PREVOD NA UCET	299	33820	 	IJ	79600321
234686	800	1998-11-10	VYDAJ	PREVOD NA UCET	299	34095	 	IJ	79600321
234687	800	1998-12-10	VYDAJ	PREVOD NA UCET	299	36067	 	IJ	79600321
234689	800	1998-06-15	VYDAJ	VYBER	4890	16277	\N	\N	\N
234693	800	1998-12-27	VYDAJ	VYBER	690	32004	\N	\N	\N
234711	800	1998-12-15	VYDAJ	VYBER	1170	32694	\N	\N	\N
234713	800	1998-07-21	VYDAJ	VYBER	870	19326	\N	\N	\N
234714	800	1998-05-23	VYDAJ	VYBER	750	24623	\N	\N	\N
234731	800	1998-04-30	VYDAJ	VYBER	15	28322	SLUZBY	\N	\N
234732	800	1998-05-31	VYDAJ	VYBER	15	24716	SLUZBY	\N	\N
234733	800	1998-06-30	VYDAJ	VYBER	15	16345	SLUZBY	\N	\N
234734	800	1998-07-31	VYDAJ	VYBER	15	19396	SLUZBY	\N	\N
234735	800	1998-08-31	VYDAJ	VYBER	15	22424	SLUZBY	\N	\N
234736	800	1998-09-30	VYDAJ	VYBER	15	26769	SLUZBY	\N	\N
234737	800	1998-10-31	VYDAJ	VYBER	15	33941	SLUZBY	\N	\N
234738	800	1998-11-30	VYDAJ	VYBER	15	32013	SLUZBY	\N	\N
234739	800	1998-01-05	PRIJEM	VKLAD	13200	18069	\N	\N	\N
234740	800	1998-02-04	PRIJEM	VKLAD	7000	28900	\N	\N	\N
234741	800	1998-03-06	VYDAJ	VYBER	5100	27679	\N	\N	\N
234742	800	1998-04-05	VYDAJ	VYBER	4600	26964	\N	\N	\N
234743	800	1998-05-05	VYDAJ	VYBER	4200	24122	\N	\N	\N
234744	800	1998-06-04	VYDAJ	VYBER	4800	19916	\N	\N	\N
234745	800	1998-07-04	PRIJEM	VKLAD	2600	18945	\N	\N	\N
234746	800	1998-08-03	PRIJEM	VKLAD	1700	21096	\N	\N	\N
234747	800	1998-09-02	PRIJEM	VKLAD	3000	25424	\N	\N	\N
234748	800	1998-10-02	PRIJEM	VKLAD	5800	32569	\N	\N	\N
234749	800	1998-11-01	VYDAJ	VYBER	3300	30641	\N	\N	\N
234750	800	1998-12-01	PRIJEM	VKLAD	600	32613	\N	\N	\N
234764	801	1997-07-23	PRIJEM	VKLAD	300	300	\N	\N	\N
234772	801	1997-08-12	PRIJEM	VKLAD	6064	6364	\N	\N	\N
234773	801	1997-09-12	PRIJEM	VKLAD	6064	20748	\N	\N	\N
234774	801	1997-10-12	PRIJEM	VKLAD	6064	29485	\N	\N	\N
234775	801	1997-11-12	PRIJEM	VKLAD	6064	30347	\N	\N	\N
234776	801	1997-12-12	PRIJEM	VKLAD	9096	33244	\N	\N	\N
234777	801	1998-01-12	PRIJEM	VKLAD	6064	22785	\N	\N	\N
234778	801	1998-02-12	PRIJEM	VKLAD	6064	19016	\N	\N	\N
234779	801	1998-03-12	PRIJEM	VKLAD	6064	21498	\N	\N	\N
234780	801	1998-04-12	PRIJEM	VKLAD	6064	20786	\N	\N	\N
234781	801	1998-05-12	PRIJEM	VKLAD	6064	18167	\N	\N	\N
234782	801	1998-06-12	PRIJEM	VKLAD	9096	24078	\N	\N	\N
234783	801	1998-07-12	PRIJEM	VKLAD	6064	22469	\N	\N	\N
234784	801	1998-08-12	PRIJEM	VKLAD	6064	15648	\N	\N	\N
234785	801	1998-09-12	PRIJEM	VKLAD	6064	17815	\N	\N	\N
234786	801	1998-10-12	PRIJEM	VKLAD	6064	20593	\N	\N	\N
234787	801	1998-11-12	PRIJEM	VKLAD	6064	17168	\N	\N	\N
234788	801	1998-12-12	PRIJEM	VKLAD	9096	22975	\N	\N	\N
234800	801	1997-12-14	VYDAJ	PREVOD NA UCET	2565	30679	SIPO	ST	28209829
234801	801	1998-01-14	VYDAJ	PREVOD NA UCET	2565	20220	SIPO	ST	28209829
234802	801	1998-02-14	VYDAJ	PREVOD NA UCET	2565	16451	SIPO	ST	28209829
234803	801	1998-03-14	VYDAJ	PREVOD NA UCET	2565	18933	SIPO	ST	28209829
234804	801	1998-04-14	VYDAJ	PREVOD NA UCET	2565	18221	SIPO	ST	28209829
234805	801	1998-05-14	VYDAJ	PREVOD NA UCET	2565	15602	SIPO	ST	28209829
234806	801	1998-06-14	VYDAJ	PREVOD NA UCET	2565	21513	SIPO	ST	28209829
234807	801	1998-07-14	VYDAJ	PREVOD NA UCET	2565	19904	SIPO	ST	28209829
234808	801	1998-08-14	VYDAJ	PREVOD NA UCET	2565	13083	SIPO	ST	28209829
234809	801	1998-09-14	VYDAJ	PREVOD NA UCET	2565	15250	SIPO	ST	28209829
234810	801	1998-10-14	VYDAJ	PREVOD NA UCET	2565	18028	SIPO	ST	28209829
234811	801	1998-11-14	VYDAJ	PREVOD NA UCET	2565	14603	SIPO	ST	28209829
234812	801	1998-12-14	VYDAJ	PREVOD NA UCET	2565	20410	SIPO	ST	28209829
234825	801	1998-01-05	VYDAJ	PREVOD NA UCET	767	19721	 	MN	60788422
234826	801	1998-02-05	VYDAJ	PREVOD NA UCET	767	12952	 	MN	60788422
234827	801	1998-03-05	VYDAJ	PREVOD NA UCET	767	15434	 	MN	60788422
234828	801	1998-04-05	VYDAJ	PREVOD NA UCET	767	14722	 	MN	60788422
234829	801	1998-05-05	VYDAJ	PREVOD NA UCET	767	12103	 	MN	60788422
234830	801	1998-06-05	VYDAJ	PREVOD NA UCET	767	14982	 	MN	60788422
234831	801	1998-07-05	VYDAJ	PREVOD NA UCET	767	16405	 	MN	60788422
234832	801	1998-08-05	VYDAJ	PREVOD NA UCET	767	9584	 	MN	60788422
234833	801	1998-09-05	VYDAJ	PREVOD NA UCET	767	11751	 	MN	60788422
234834	801	1998-10-05	VYDAJ	PREVOD NA UCET	767	14529	 	MN	60788422
234835	801	1998-11-05	VYDAJ	PREVOD NA UCET	767	11104	 	MN	60788422
234836	801	1998-12-05	VYDAJ	PREVOD NA UCET	767	13879	 	MN	60788422
234841	801	1997-12-25	VYDAJ	VYBER	960	22319	\N	\N	\N
234842	801	1998-12-21	VYDAJ	VYBER	4640	15770	\N	\N	\N
234849	801	1998-01-24	VYDAJ	VYBER	2400	13660	\N	\N	\N
234850	801	1998-01-17	VYDAJ	VYBER	2640	17580	\N	\N	\N
234851	801	1998-01-18	VYDAJ	VYBER	720	15660	\N	\N	\N
234852	801	1998-01-18	VYDAJ	VYBER	1200	16380	\N	\N	\N
234853	801	1998-01-04	VYDAJ	VYBER	1920	20488	\N	\N	\N
234854	801	1998-01-09	VYDAJ	VYBER	3000	16721	\N	\N	\N
234863	801	1998-03-24	VYDAJ	VYBER	2400	15433	\N	\N	\N
234878	801	1997-12-31	VYDAJ	VYBER	15	22408	SLUZBY	\N	\N
234879	801	1998-01-31	VYDAJ	VYBER	15	13719	SLUZBY	\N	\N
234880	801	1998-02-28	VYDAJ	VYBER	15	16201	SLUZBY	\N	\N
234881	801	1998-03-31	VYDAJ	VYBER	15	15489	SLUZBY	\N	\N
234882	801	1998-04-30	VYDAJ	VYBER	15	12870	SLUZBY	\N	\N
234883	801	1998-05-31	VYDAJ	VYBER	15	15749	SLUZBY	\N	\N
234884	801	1998-06-30	VYDAJ	VYBER	15	17172	SLUZBY	\N	\N
234885	801	1998-07-31	VYDAJ	VYBER	15	10351	SLUZBY	\N	\N
234886	801	1998-08-31	VYDAJ	VYBER	15	12518	SLUZBY	\N	\N
234887	801	1998-09-30	VYDAJ	VYBER	15	15296	SLUZBY	\N	\N
234888	801	1998-10-31	VYDAJ	VYBER	15	11871	SLUZBY	\N	\N
234889	801	1998-11-30	VYDAJ	VYBER	15	14646	SLUZBY	\N	\N
234890	801	1997-08-22	PRIJEM	VKLAD	8300	14664	\N	\N	\N
234891	801	1997-09-21	PRIJEM	VKLAD	2600	23348	\N	\N	\N
234892	801	1997-10-21	VYDAJ	VYBER	5300	24185	\N	\N	\N
234893	801	1997-11-20	VYDAJ	VYBER	6300	24047	\N	\N	\N
234894	801	1997-12-20	VYDAJ	VYBER	7400	23279	\N	\N	\N
234895	801	1998-01-19	PRIJEM	VKLAD	400	16060	\N	\N	\N
234896	801	1998-02-18	VYDAJ	VYBER	300	16151	\N	\N	\N
234897	801	1998-03-20	VYDAJ	VYBER	1100	17833	\N	\N	\N
234898	801	1998-04-19	VYDAJ	VYBER	5400	12821	\N	\N	\N
234899	801	1998-05-19	PRIJEM	VKLAD	100	15702	\N	\N	\N
234900	801	1998-06-18	VYDAJ	VYBER	4400	17113	\N	\N	\N
234901	801	1998-07-18	VYDAJ	VYBER	9600	10304	\N	\N	\N
234902	801	1998-08-17	VYDAJ	VYBER	600	12483	\N	\N	\N
234903	801	1998-10-16	VYDAJ	VYBER	6200	11828	\N	\N	\N
234921	802	1994-12-20	PRIJEM	VKLAD	300	300	\N	\N	\N
234934	802	1995-01-12	PRIJEM	PREVOD Z UCTU	5376	5676	DUCHOD	UV	83554398
234935	802	1995-02-12	PRIJEM	PREVOD Z UCTU	5376	11052	DUCHOD	UV	83554398
234936	802	1995-03-12	PRIJEM	PREVOD Z UCTU	5376	16428	DUCHOD	UV	83554398
234937	802	1995-04-12	PRIJEM	PREVOD Z UCTU	5376	21804	DUCHOD	UV	83554398
234938	802	1995-05-12	PRIJEM	PREVOD Z UCTU	5376	27180	DUCHOD	UV	83554398
234939	802	1995-06-12	PRIJEM	PREVOD Z UCTU	5376	24350	DUCHOD	UV	83554398
234940	802	1995-07-12	PRIJEM	PREVOD Z UCTU	5376	17174	DUCHOD	UV	83554398
234941	802	1995-08-12	PRIJEM	PREVOD Z UCTU	5376	20727	DUCHOD	UV	83554398
234942	802	1995-09-12	PRIJEM	PREVOD Z UCTU	5376	24293	DUCHOD	UV	83554398
234943	802	1995-10-12	PRIJEM	PREVOD Z UCTU	5376	24747	DUCHOD	UV	83554398
234944	802	1995-11-12	PRIJEM	PREVOD Z UCTU	5376	28331	DUCHOD	UV	83554398
234945	802	1995-12-12	PRIJEM	PREVOD Z UCTU	5376	31229	DUCHOD	UV	83554398
234946	802	1996-01-12	PRIJEM	PREVOD Z UCTU	5376	27173	DUCHOD	UV	83554398
234947	802	1996-02-12	PRIJEM	PREVOD Z UCTU	5376	25964	DUCHOD	UV	83554398
234948	802	1996-03-12	PRIJEM	PREVOD Z UCTU	5376	29552	DUCHOD	UV	83554398
234949	802	1996-04-12	PRIJEM	PREVOD Z UCTU	5376	31555	DUCHOD	UV	83554398
234950	802	1996-05-12	PRIJEM	PREVOD Z UCTU	5376	35168	DUCHOD	UV	83554398
234951	802	1996-06-12	PRIJEM	PREVOD Z UCTU	5376	38795	DUCHOD	UV	83554398
234952	802	1996-07-12	PRIJEM	PREVOD Z UCTU	5376	34470	DUCHOD	UV	83554398
234953	802	1996-08-12	PRIJEM	PREVOD Z UCTU	5376	36293	DUCHOD	UV	83554398
234954	802	1996-09-12	PRIJEM	PREVOD Z UCTU	5376	36559	DUCHOD	UV	83554398
234955	802	1996-10-12	PRIJEM	PREVOD Z UCTU	5376	40191	DUCHOD	UV	83554398
234956	802	1996-11-12	PRIJEM	PREVOD Z UCTU	5376	42638	DUCHOD	UV	83554398
234957	802	1996-12-12	PRIJEM	PREVOD Z UCTU	5376	42614	DUCHOD	UV	83554398
234958	802	1997-01-12	PRIJEM	PREVOD Z UCTU	5376	40189	DUCHOD	UV	83554398
234959	802	1997-02-12	PRIJEM	PREVOD Z UCTU	5376	38310	DUCHOD	UV	83554398
234960	802	1997-03-12	PRIJEM	PREVOD Z UCTU	5376	39389	DUCHOD	UV	83554398
234961	802	1997-04-12	PRIJEM	PREVOD Z UCTU	5376	43036	DUCHOD	UV	83554398
234962	802	1997-05-12	PRIJEM	PREVOD Z UCTU	5376	44895	DUCHOD	UV	83554398
234963	802	1997-06-12	PRIJEM	PREVOD Z UCTU	5376	47563	DUCHOD	UV	83554398
234964	802	1997-07-12	PRIJEM	PREVOD Z UCTU	5376	32729	DUCHOD	UV	83554398
234965	802	1997-08-12	PRIJEM	PREVOD Z UCTU	5376	36350	DUCHOD	UV	83554398
234966	802	1997-09-12	PRIJEM	PREVOD Z UCTU	5376	39981	DUCHOD	UV	83554398
234967	802	1997-10-12	PRIJEM	PREVOD Z UCTU	5376	43627	DUCHOD	UV	83554398
234968	802	1997-11-12	PRIJEM	PREVOD Z UCTU	5376	47288	DUCHOD	UV	83554398
234969	802	1997-12-12	PRIJEM	PREVOD Z UCTU	5376	47760	DUCHOD	UV	83554398
234970	802	1998-01-12	PRIJEM	PREVOD Z UCTU	5376	47927	DUCHOD	UV	83554398
234971	802	1998-02-12	PRIJEM	PREVOD Z UCTU	5376	43194	DUCHOD	UV	83554398
234972	802	1998-03-12	PRIJEM	PREVOD Z UCTU	5376	46853	DUCHOD	UV	83554398
234973	802	1998-04-12	PRIJEM	PREVOD Z UCTU	5376	49406	DUCHOD	UV	83554398
234974	802	1998-05-12	PRIJEM	PREVOD Z UCTU	5376	46849	DUCHOD	UV	83554398
234975	802	1998-06-12	PRIJEM	PREVOD Z UCTU	5376	38407	DUCHOD	UV	83554398
234976	802	1998-07-12	PRIJEM	PREVOD Z UCTU	5376	40157	DUCHOD	UV	83554398
234977	802	1998-08-12	PRIJEM	PREVOD Z UCTU	5376	39605	DUCHOD	UV	83554398
234978	802	1998-09-12	PRIJEM	PREVOD Z UCTU	5376	39553	DUCHOD	UV	83554398
234979	802	1998-10-12	PRIJEM	PREVOD Z UCTU	5376	42300	DUCHOD	UV	83554398
234980	802	1998-11-12	PRIJEM	PREVOD Z UCTU	5376	42428	DUCHOD	UV	83554398
234981	802	1998-12-12	PRIJEM	PREVOD Z UCTU	5376	44732	DUCHOD	UV	83554398
234999	802	1995-06-10	VYDAJ	PREVOD NA UCET	1876	22734	SIPO	UV	13280040
235000	802	1995-07-10	VYDAJ	PREVOD NA UCET	1876	11798	SIPO	UV	13280040
235001	802	1995-08-10	VYDAJ	PREVOD NA UCET	1876	15351	SIPO	UV	13280040
235002	802	1995-09-10	VYDAJ	PREVOD NA UCET	1876	18917	SIPO	UV	13280040
235003	802	1995-10-10	VYDAJ	PREVOD NA UCET	1876	19371	SIPO	UV	13280040
235004	802	1995-11-10	VYDAJ	PREVOD NA UCET	1876	22955	SIPO	UV	13280040
235005	802	1995-12-10	VYDAJ	PREVOD NA UCET	1876	26553	SIPO	UV	13280040
235006	802	1996-01-10	VYDAJ	PREVOD NA UCET	1876	21797	SIPO	UV	13280040
235007	802	1996-02-10	VYDAJ	PREVOD NA UCET	1876	20588	SIPO	UV	13280040
235008	802	1996-03-10	VYDAJ	PREVOD NA UCET	1876	24176	SIPO	UV	13280040
235009	802	1996-04-10	VYDAJ	PREVOD NA UCET	1876	26179	SIPO	UV	13280040
235010	802	1996-05-10	VYDAJ	PREVOD NA UCET	1876	29792	SIPO	UV	13280040
235011	802	1996-06-10	VYDAJ	PREVOD NA UCET	1876	33419	SIPO	UV	13280040
235012	802	1996-07-10	VYDAJ	PREVOD NA UCET	1876	29094	SIPO	UV	13280040
235013	802	1996-08-10	VYDAJ	PREVOD NA UCET	1876	30917	SIPO	UV	13280040
235014	802	1996-09-10	VYDAJ	PREVOD NA UCET	1876	31183	SIPO	UV	13280040
235015	802	1996-10-10	VYDAJ	PREVOD NA UCET	1876	34815	SIPO	UV	13280040
235016	802	1996-11-10	VYDAJ	PREVOD NA UCET	1876	37262	SIPO	UV	13280040
235017	802	1996-12-10	VYDAJ	PREVOD NA UCET	1876	37238	SIPO	UV	13280040
235018	802	1997-01-10	VYDAJ	PREVOD NA UCET	1876	36733	SIPO	UV	13280040
235019	802	1997-02-10	VYDAJ	PREVOD NA UCET	1876	32934	SIPO	UV	13280040
235020	802	1997-03-10	VYDAJ	PREVOD NA UCET	1876	34013	SIPO	UV	13280040
235021	802	1997-04-10	VYDAJ	PREVOD NA UCET	1876	37660	SIPO	UV	13280040
235022	802	1997-05-10	VYDAJ	PREVOD NA UCET	1876	39519	SIPO	UV	13280040
235023	802	1997-06-10	VYDAJ	PREVOD NA UCET	1876	42187	SIPO	UV	13280040
235024	802	1997-07-10	VYDAJ	PREVOD NA UCET	1876	30953	SIPO	UV	13280040
235025	802	1997-08-10	VYDAJ	PREVOD NA UCET	1876	30974	SIPO	UV	13280040
235026	802	1997-09-10	VYDAJ	PREVOD NA UCET	1876	34605	SIPO	UV	13280040
235027	802	1997-10-10	VYDAJ	PREVOD NA UCET	1876	38251	SIPO	UV	13280040
235028	802	1997-11-10	VYDAJ	PREVOD NA UCET	1876	41912	SIPO	UV	13280040
235029	802	1997-12-10	VYDAJ	PREVOD NA UCET	1876	42384	SIPO	UV	13280040
235030	802	1998-01-10	VYDAJ	PREVOD NA UCET	1876	42551	SIPO	UV	13280040
235031	802	1998-02-10	VYDAJ	PREVOD NA UCET	1876	37818	SIPO	UV	13280040
235032	802	1998-03-10	VYDAJ	PREVOD NA UCET	1876	41477	SIPO	UV	13280040
235033	802	1998-04-10	VYDAJ	PREVOD NA UCET	1876	44030	SIPO	UV	13280040
235034	802	1998-05-10	VYDAJ	PREVOD NA UCET	1876	41473	SIPO	UV	13280040
235035	802	1998-06-10	VYDAJ	PREVOD NA UCET	1876	33031	SIPO	UV	13280040
235036	802	1998-07-10	VYDAJ	PREVOD NA UCET	1876	34781	SIPO	UV	13280040
235037	802	1998-08-10	VYDAJ	PREVOD NA UCET	1876	34229	SIPO	UV	13280040
235038	802	1998-09-10	VYDAJ	PREVOD NA UCET	1876	34177	SIPO	UV	13280040
235039	802	1998-10-10	VYDAJ	PREVOD NA UCET	1876	36924	SIPO	UV	13280040
235040	802	1998-11-10	VYDAJ	PREVOD NA UCET	1876	37052	SIPO	UV	13280040
235041	802	1998-12-10	VYDAJ	PREVOD NA UCET	1876	39356	SIPO	UV	13280040
235043	802	1995-06-21	VYDAJ	VYBER	8950	15200	\N	\N	\N
235044	802	1996-06-16	VYDAJ	VYBER	5650	30845	\N	\N	\N
235045	802	1997-06-25	VYDAJ	VYBER	14900	32663	\N	\N	\N
235046	802	1998-06-08	VYDAJ	VYBER	10500	34907	\N	\N	\N
235048	802	1995-12-11	VYDAJ	VYBER	700	25853	\N	\N	\N
235049	802	1996-12-16	VYDAJ	VYBER	1200	41414	\N	\N	\N
235050	802	1997-12-20	VYDAJ	VYBER	550	47210	\N	\N	\N
235051	802	1998-12-01	VYDAJ	VYBER	750	41232	\N	\N	\N
235064	802	1996-01-25	VYDAJ	VYBER	720	24133	\N	\N	\N
235065	802	1996-01-28	VYDAJ	VYBER	1760	22373	\N	\N	\N
235066	802	1996-01-12	VYDAJ	VYBER	2320	24853	\N	\N	\N
235067	802	1996-01-02	VYDAJ	VYBER	720	27513	\N	\N	\N
235068	802	1996-01-07	VYDAJ	VYBER	720	23673	\N	\N	\N
235069	802	1996-01-05	VYDAJ	VYBER	2320	24393	\N	\N	\N
235070	802	1997-01-04	VYDAJ	VYBER	1600	39969	\N	\N	\N
235071	802	1997-01-11	VYDAJ	VYBER	1920	34813	\N	\N	\N
235072	802	1997-01-04	VYDAJ	VYBER	1360	38609	\N	\N	\N
235073	802	1997-01-17	VYDAJ	VYBER	2240	36429	\N	\N	\N
235074	802	1997-01-29	VYDAJ	VYBER	640	34669	\N	\N	\N
235075	802	1997-01-16	VYDAJ	VYBER	1520	38669	\N	\N	\N
235076	802	1998-01-03	VYDAJ	VYBER	2000	45387	\N	\N	\N
235077	802	1998-01-20	VYDAJ	VYBER	1520	43207	\N	\N	\N
235078	802	1998-01-28	VYDAJ	VYBER	1120	39527	\N	\N	\N
235079	802	1998-01-21	VYDAJ	VYBER	400	42807	\N	\N	\N
235080	802	1998-01-08	VYDAJ	VYBER	960	44427	\N	\N	\N
235081	802	1998-01-25	VYDAJ	VYBER	2160	40647	\N	\N	\N
235084	802	1995-05-19	VYDAJ	VYBER	1600	25580	\N	\N	\N
235085	802	1995-09-14	VYDAJ	VYBER	3120	21173	\N	\N	\N
235086	802	1995-07-04	VYDAJ	VYBER	1600	13674	\N	\N	\N
235087	802	1995-06-11	VYDAJ	VYBER	3760	18974	\N	\N	\N
235090	802	1996-04-05	VYDAJ	VYBER	1600	28055	\N	\N	\N
235091	802	1996-08-19	VYDAJ	VYBER	3360	32933	\N	\N	\N
235092	802	1996-01-02	VYDAJ	VYBER	800	26713	\N	\N	\N
235093	802	1996-11-27	VYDAJ	VYBER	2880	39758	\N	\N	\N
235094	802	1996-10-28	VYDAJ	VYBER	1200	38991	\N	\N	\N
235095	802	1997-03-09	VYDAJ	VYBER	2560	35889	\N	\N	\N
235096	802	1997-07-10	VYDAJ	VYBER	3600	27353	\N	\N	\N
235097	802	1997-01-24	VYDAJ	VYBER	1120	35309	\N	\N	\N
235098	802	1997-11-21	VYDAJ	VYBER	3200	44088	\N	\N	\N
235099	802	1998-03-22	VYDAJ	VYBER	1120	45733	\N	\N	\N
235100	802	1998-01-12	VYDAJ	VYBER	3200	44727	\N	\N	\N
235101	802	1998-10-13	VYDAJ	VYBER	880	41420	\N	\N	\N
235102	802	1998-10-18	VYDAJ	VYBER	2640	38780	\N	\N	\N
235103	802	1998-04-27	VYDAJ	VYBER	2720	46686	\N	\N	\N
235104	802	1998-09-09	VYDAJ	VYBER	800	36053	\N	\N	\N
235105	802	1998-06-02	VYDAJ	VYBER	1520	45407	\N	\N	\N
235106	802	1998-05-09	VYDAJ	VYBER	3520	43349	\N	\N	\N
235124	802	1995-05-31	VYDAJ	VYBER	15	24610	SLUZBY	\N	\N
235125	802	1995-06-30	VYDAJ	VYBER	15	15274	SLUZBY	\N	\N
235126	802	1995-07-31	VYDAJ	VYBER	15	17227	SLUZBY	\N	\N
235127	802	1995-08-31	VYDAJ	VYBER	15	20793	SLUZBY	\N	\N
235128	802	1995-09-30	VYDAJ	VYBER	15	21247	SLUZBY	\N	\N
235129	802	1995-10-31	VYDAJ	VYBER	15	24831	SLUZBY	\N	\N
235130	802	1995-11-30	VYDAJ	VYBER	15	28429	SLUZBY	\N	\N
235131	802	1995-12-31	VYDAJ	VYBER	15	28233	SLUZBY	\N	\N
235132	802	1996-01-31	VYDAJ	VYBER	15	22464	SLUZBY	\N	\N
235133	802	1996-02-29	VYDAJ	VYBER	15	26052	SLUZBY	\N	\N
235134	802	1996-03-31	VYDAJ	VYBER	15	29655	SLUZBY	\N	\N
235135	802	1996-04-30	VYDAJ	VYBER	15	31668	SLUZBY	\N	\N
235136	802	1996-05-31	VYDAJ	VYBER	15	35295	SLUZBY	\N	\N
235137	802	1996-06-30	VYDAJ	VYBER	15	30970	SLUZBY	\N	\N
235138	802	1996-07-31	VYDAJ	VYBER	15	32793	SLUZBY	\N	\N
235139	802	1996-08-31	VYDAJ	VYBER	15	33059	SLUZBY	\N	\N
235140	802	1996-09-30	VYDAJ	VYBER	15	36691	SLUZBY	\N	\N
235141	802	1996-10-31	VYDAJ	VYBER	15	39138	SLUZBY	\N	\N
235142	802	1996-11-30	VYDAJ	VYBER	15	39914	SLUZBY	\N	\N
235143	802	1996-12-31	VYDAJ	VYBER	15	41569	SLUZBY	\N	\N
235144	802	1997-01-31	VYDAJ	VYBER	15	34810	SLUZBY	\N	\N
235145	802	1997-02-28	VYDAJ	VYBER	15	38449	SLUZBY	\N	\N
235146	802	1997-03-31	VYDAJ	VYBER	15	39536	SLUZBY	\N	\N
235147	802	1997-04-30	VYDAJ	VYBER	15	43195	SLUZBY	\N	\N
235148	802	1997-05-31	VYDAJ	VYBER	15	45063	SLUZBY	\N	\N
235149	802	1997-06-30	VYDAJ	VYBER	15	32829	SLUZBY	\N	\N
235150	802	1997-07-31	VYDAJ	VYBER	15	32850	SLUZBY	\N	\N
235151	802	1997-08-31	VYDAJ	VYBER	15	36481	SLUZBY	\N	\N
235152	802	1997-09-30	VYDAJ	VYBER	15	40127	SLUZBY	\N	\N
235153	802	1997-10-31	VYDAJ	VYBER	15	43788	SLUZBY	\N	\N
235154	802	1997-11-30	VYDAJ	VYBER	15	44260	SLUZBY	\N	\N
235155	802	1997-12-31	VYDAJ	VYBER	15	47387	SLUZBY	\N	\N
235156	802	1998-01-31	VYDAJ	VYBER	15	39694	SLUZBY	\N	\N
235157	802	1998-02-28	VYDAJ	VYBER	15	43353	SLUZBY	\N	\N
235158	802	1998-03-31	VYDAJ	VYBER	15	45906	SLUZBY	\N	\N
235159	802	1998-04-30	VYDAJ	VYBER	15	46869	SLUZBY	\N	\N
235160	802	1998-05-31	VYDAJ	VYBER	15	47027	SLUZBY	\N	\N
235161	802	1998-06-30	VYDAJ	VYBER	15	38557	SLUZBY	\N	\N
235162	802	1998-07-31	VYDAJ	VYBER	15	40305	SLUZBY	\N	\N
235163	802	1998-08-31	VYDAJ	VYBER	15	39753	SLUZBY	\N	\N
235164	802	1998-09-30	VYDAJ	VYBER	15	38800	SLUZBY	\N	\N
235165	802	1998-10-31	VYDAJ	VYBER	15	38928	SLUZBY	\N	\N
235166	802	1998-11-30	VYDAJ	VYBER	15	41982	SLUZBY	\N	\N
235167	802	1995-05-19	VYDAJ	VYBER	1000	24580	\N	\N	\N
235168	802	1995-06-18	VYDAJ	VYBER	200	24150	\N	\N	\N
235169	802	1995-12-15	VYDAJ	VYBER	3100	28129	\N	\N	\N
235170	802	1996-06-12	VYDAJ	VYBER	2300	36495	\N	\N	\N
235171	802	1996-07-12	VYDAJ	VYBER	1800	32670	\N	\N	\N
235172	802	1996-12-09	VYDAJ	VYBER	800	39114	\N	\N	\N
235173	802	1997-05-08	VYDAJ	VYBER	1800	41395	\N	\N	\N
235174	802	1997-06-07	VYDAJ	VYBER	1000	44063	\N	\N	\N
235175	802	1998-06-02	VYDAJ	VYBER	100	46927	\N	\N	\N
235176	802	1998-07-02	VYDAJ	VYBER	1900	36657	\N	\N	\N
235177	802	1998-08-01	VYDAJ	VYBER	4200	36105	\N	\N	\N
235178	802	1998-08-31	VYDAJ	VYBER	2900	36853	\N	\N	\N
235179	802	1998-09-30	VYDAJ	VYBER	900	38815	\N	\N	\N
235180	802	1998-11-29	VYDAJ	VYBER	600	41828	\N	\N	\N
235225	803	1995-09-09	PRIJEM	VKLAD	500	500	\N	\N	\N
235228	803	1995-12-13	PRIJEM	VKLAD	14775	47285	\N	\N	\N
235236	803	1995-11-01	PRIJEM	VKLAD	29074	41474	\N	\N	\N
235238	803	1995-12-07	PRIJEM	VKLAD	5189	46510	\N	\N	\N
235241	803	1995-11-18	PRIJEM	VKLAD	9929	41203	\N	\N	\N
235248	803	1996-05-13	PRIJEM	VKLAD	10351	28684	\N	\N	\N
235249	803	1996-01-30	PRIJEM	VKLAD	43981	77347	\N	\N	\N
235250	803	1997-12-30	PRIJEM	VKLAD	31701	75495	\N	\N	\N
235251	803	1997-07-29	PRIJEM	VKLAD	27127	54736	\N	\N	\N
235252	803	1997-02-04	PRIJEM	VKLAD	30092	67216	\N	\N	\N
235253	803	1997-01-13	PRIJEM	VKLAD	26463	46806	\N	\N	\N
235254	803	1997-06-06	PRIJEM	VKLAD	13505	70701	\N	\N	\N
235255	803	1997-11-29	PRIJEM	VKLAD	6665	21109	\N	\N	\N
235256	803	1997-02-23	PRIJEM	VKLAD	10683	83185	\N	\N	\N
235257	803	1997-08-27	PRIJEM	VKLAD	29544	60587	\N	\N	\N
235258	803	1997-05-07	PRIJEM	VKLAD	21058	74698	\N	\N	\N
235259	803	1997-04-14	PRIJEM	VKLAD	28108	98889	\N	\N	\N
235260	803	1997-06-01	PRIJEM	VKLAD	9828	57196	\N	\N	\N
235261	803	1997-05-17	PRIJEM	VKLAD	32265	106963	\N	\N	\N
235262	803	1997-08-04	PRIJEM	VKLAD	49286	77417	\N	\N	\N
235263	803	1997-03-28	PRIJEM	VKLAD	45775	129520	\N	\N	\N
235264	803	1997-10-22	PRIJEM	VKLAD	21397	57784	\N	\N	\N
235265	803	1997-05-18	PRIJEM	VKLAD	24454	131417	\N	\N	\N
235266	803	1997-10-06	PRIJEM	VKLAD	6628	36387	\N	\N	\N
235267	803	1997-03-16	PRIJEM	VKLAD	45626	104452	\N	\N	\N
235268	803	1997-04-02	PRIJEM	VKLAD	9024	70781	\N	\N	\N
235269	803	1997-12-23	PRIJEM	VKLAD	38828	84094	\N	\N	\N
235270	803	1997-09-25	PRIJEM	VKLAD	7540	47014	\N	\N	\N
235271	803	1997-01-06	PRIJEM	VKLAD	22761	20343	\N	\N	\N
235272	803	1997-03-08	PRIJEM	VKLAD	18611	66762	\N	\N	\N
235273	803	1997-02-20	PRIJEM	VKLAD	38494	105710	\N	\N	\N
235274	803	1997-02-21	PRIJEM	VKLAD	34992	115502	\N	\N	\N
235275	803	1997-05-20	PRIJEM	VKLAD	48920	155437	\N	\N	\N
235276	803	1997-01-22	PRIJEM	VKLAD	20824	67630	\N	\N	\N
235277	803	1997-12-14	PRIJEM	VKLAD	29452	50666	\N	\N	\N
235278	803	1997-11-17	PRIJEM	VKLAD	7972	23211	\N	\N	\N
235279	803	1998-05-31	PRIJEM	VKLAD	23991	54865	\N	\N	\N
235280	803	1998-09-25	PRIJEM	VKLAD	43346	40253	\N	\N	\N
235281	803	1998-07-13	PRIJEM	VKLAD	12810	21454	\N	\N	\N
235282	803	1998-04-20	PRIJEM	VKLAD	32910	53041	\N	\N	\N
235283	803	1998-12-27	PRIJEM	VKLAD	10665	17884	\N	\N	\N
235284	803	1998-11-09	PRIJEM	VKLAD	29622	24934	\N	\N	\N
235285	803	1998-12-03	PRIJEM	VKLAD	35236	65419	\N	\N	\N
235286	803	1998-03-31	PRIJEM	VKLAD	18225	47670	\N	\N	\N
235287	803	1998-06-02	PRIJEM	VKLAD	44832	99682	\N	\N	\N
235288	803	1998-11-27	PRIJEM	VKLAD	34130	30217	\N	\N	\N
235289	803	1998-03-04	PRIJEM	VKLAD	48785	60745	\N	\N	\N
235290	803	1998-09-09	PRIJEM	VKLAD	31935	17307	\N	\N	\N
235291	803	1998-05-10	PRIJEM	VKLAD	49085	72562	\N	\N	\N
235299	803	1996-02-14	VYBER	VYBER	7990	41548	\N	\N	\N
235300	803	1997-03-13	VYBER	VYBER	7936	58826	\N	\N	\N
235301	803	1997-01-25	VYBER	VYBER	3646	63984	\N	\N	\N
235302	803	1997-11-17	VYBER	VYBER	5467	17744	\N	\N	\N
235303	803	1997-06-23	VYBER	VYBER	6275	35009	\N	\N	\N
235305	803	1997-08-19	VYBER	VYBER	13413	31043	\N	\N	\N
235306	803	1997-08-08	VYBER	VYBER	11908	65509	\N	\N	\N
235307	803	1997-08-13	VYBER	VYBER	21053	44456	\N	\N	\N
235308	803	1997-11-10	VYBER	VYBER	20080	15239	\N	\N	\N
235309	803	1997-08-02	VYBER	VYBER	9307	28131	\N	\N	\N
235310	803	1997-03-22	VYBER	VYBER	20707	83745	\N	\N	\N
235311	803	1997-06-22	VYBER	VYBER	6017	41284	\N	\N	\N
235312	803	1997-03-07	VYBER	VYBER	2738	48151	\N	\N	\N
235314	803	1998-07-21	VYBER	VYBER	20208	1246	\N	\N	\N
235316	803	1998-04-06	VYBER	VYBER	13133	34586	\N	\N	\N
235317	803	1998-11-20	VYBER	VYBER	9447	15487	\N	\N	\N
235318	803	1998-12-29	VYBER	VYBER	5184	12700	\N	\N	\N
235319	803	1998-10-10	VYBER	VYBER	8535	21639	\N	\N	\N
235321	803	1998-04-11	VYBER	VYBER	14455	20131	\N	\N	\N
235322	803	1998-09-26	VYBER	VYBER	10030	30223	\N	\N	\N
235325	803	1997-06-09	VYDAJ	VYBER	21900	48801	\N	\N	\N
235326	803	1998-06-21	VYDAJ	VYBER	66900	32782	\N	\N	\N
235329	803	1997-01-02	VYDAJ	VYBER	11700	-2418	\N	\N	\N
235330	803	1998-01-06	VYDAJ	VYBER	4800	58235	\N	\N	\N
235332	803	1996-12-20	VYDAJ	VYBER	6300	7554	\N	\N	\N
235333	803	1997-12-20	VYDAJ	VYBER	5400	45266	\N	\N	\N
235334	803	1998-12-23	VYDAJ	VYBER	7500	7219	\N	\N	\N
235342	803	1996-06-12	VYDAJ	VYBER	10500	13679	\N	\N	\N
235343	803	1996-09-12	VYDAJ	VYBER	1800	9574	\N	\N	\N
235344	803	1996-07-25	VYDAJ	VYBER	10200	2744	\N	\N	\N
235345	803	1997-01-28	VYDAJ	VYBER	6900	57084	\N	\N	\N
235346	803	1997-05-03	VYDAJ	VYBER	2700	53640	\N	\N	\N
235347	803	1997-06-16	VYDAJ	VYBER	1500	47301	\N	\N	\N
235348	803	1997-02-22	VYDAJ	VYBER	5700	72502	\N	\N	\N
235351	803	1998-01-04	VYDAJ	VYBER	12600	63035	\N	\N	\N
235352	803	1998-05-25	VYDAJ	VYBER	2400	70162	\N	\N	\N
235367	803	1996-01-31	VYDAJ	VYBER	15	77538	SLUZBY	\N	\N
235368	803	1996-02-29	VYDAJ	VYBER	15	41774	SLUZBY	\N	\N
235369	803	1996-03-31	VYDAJ	VYBER	15	28131	SLUZBY	\N	\N
235370	803	1996-04-30	VYDAJ	VYBER	15	22533	SLUZBY	\N	\N
235371	803	1996-05-31	VYDAJ	VYBER	15	28779	SLUZBY	\N	\N
235372	803	1996-06-30	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
235373	803	1996-07-31	VYDAJ	VYBER	15	2777	SLUZBY	\N	\N
235374	803	1996-08-31	VYDAJ	VYBER	15	7574	SLUZBY	\N	\N
235375	803	1996-09-30	VYDAJ	VYBER	15	9596	SLUZBY	\N	\N
235376	803	1996-10-31	VYDAJ	VYBER	15	11322	SLUZBY	\N	\N
235377	803	1996-11-30	VYDAJ	VYBER	15	11854	SLUZBY	\N	\N
235378	803	1996-12-31	VYDAJ	VYBER	15	7582	SLUZBY	\N	\N
235379	803	1997-01-31	VYDAJ	VYBER	15	37124	SLUZBY	\N	\N
235380	803	1997-02-28	VYDAJ	VYBER	15	83389	SLUZBY	\N	\N
235381	803	1997-03-31	VYDAJ	VYBER	15	107557	SLUZBY	\N	\N
235382	803	1997-04-30	VYDAJ	VYBER	15	99240	SLUZBY	\N	\N
235383	803	1997-05-31	VYDAJ	VYBER	15	47368	SLUZBY	\N	\N
235384	803	1997-06-30	VYDAJ	VYBER	15	27609	SLUZBY	\N	\N
235385	803	1997-07-31	VYDAJ	VYBER	15	37438	SLUZBY	\N	\N
235386	803	1997-08-31	VYDAJ	VYBER	15	39474	SLUZBY	\N	\N
235387	803	1997-09-30	VYDAJ	VYBER	15	29759	SLUZBY	\N	\N
235388	803	1997-10-31	VYDAJ	VYBER	15	35319	SLUZBY	\N	\N
235389	803	1997-11-30	VYDAJ	VYBER	15	21214	SLUZBY	\N	\N
235390	803	1997-12-31	VYDAJ	VYBER	15	75635	SLUZBY	\N	\N
235391	803	1998-01-31	VYDAJ	VYBER	15	30551	SLUZBY	\N	\N
235392	803	1998-02-28	VYDAJ	VYBER	15	11960	SLUZBY	\N	\N
235393	803	1998-03-31	VYDAJ	VYBER	15	47719	SLUZBY	\N	\N
235394	803	1998-04-30	VYDAJ	VYBER	15	23477	SLUZBY	\N	\N
235395	803	1998-05-31	VYDAJ	VYBER	15	54850	SLUZBY	\N	\N
235396	803	1998-06-30	VYDAJ	VYBER	15	8644	SLUZBY	\N	\N
235399	803	1998-09-30	VYDAJ	VYBER	15	30174	SLUZBY	\N	\N
235401	803	1998-11-30	VYDAJ	VYBER	15	30183	SLUZBY	\N	\N
235402	803	1995-10-09	PRIJEM	VKLAD	11900	12400	\N	\N	\N
235403	803	1995-11-08	VYDAJ	VYBER	10200	31274	\N	\N	\N
235404	803	1995-12-08	VYDAJ	VYBER	14000	32510	\N	\N	\N
235405	803	1996-01-07	VYDAJ	VYBER	14100	33366	\N	\N	\N
235406	803	1996-02-06	VYDAJ	VYBER	28000	49538	\N	\N	\N
235407	803	1996-03-07	VYDAJ	VYBER	13800	27974	\N	\N	\N
235408	803	1996-04-06	VYDAJ	VYBER	5700	22431	\N	\N	\N
235409	803	1996-05-06	VYDAJ	VYBER	4200	18333	\N	\N	\N
235410	803	1996-06-05	VYDAJ	VYBER	4600	24179	\N	\N	\N
235411	803	1996-07-05	VYDAJ	VYBER	800	12944	\N	\N	\N
235412	803	1996-08-04	PRIJEM	VKLAD	4800	7577	\N	\N	\N
235413	803	1996-09-03	PRIJEM	VKLAD	3800	11374	\N	\N	\N
235414	803	1996-10-03	PRIJEM	VKLAD	1700	11296	\N	\N	\N
235415	803	1996-11-02	PRIJEM	VKLAD	500	11822	\N	\N	\N
235416	803	1996-12-02	PRIJEM	VKLAD	2000	13854	\N	\N	\N
235417	803	1997-01-01	PRIJEM	VKLAD	1700	9282	\N	\N	\N
235418	803	1997-01-31	VYDAJ	VYBER	20100	37141	\N	\N	\N
235419	803	1997-02-20	VYDAJ	VYBER	25200	80510	\N	\N	\N
235420	803	1997-02-21	VYDAJ	VYBER	37300	78202	\N	\N	\N
235421	803	1997-03-02	VYDAJ	VYBER	32500	50889	\N	\N	\N
235422	803	1997-03-28	VYDAJ	VYBER	22300	107220	\N	\N	\N
235423	803	1997-04-01	VYDAJ	VYBER	45800	61757	\N	\N	\N
235424	803	1997-05-01	VYDAJ	VYBER	42900	56340	\N	\N	\N
235425	803	1997-05-18	VYDAJ	VYBER	24900	106517	\N	\N	\N
235426	803	1997-05-20	VYDAJ	VYBER	45200	110237	\N	\N	\N
235427	803	1997-05-31	VYDAJ	VYBER	32100	78583	\N	\N	\N
235428	803	1997-05-31	VYDAJ	VYBER	31200	47383	\N	\N	\N
235429	803	1997-06-30	VYDAJ	VYBER	7600	27623	\N	\N	\N
235430	803	1997-07-30	VYDAJ	VYBER	17400	37336	\N	\N	\N
235431	803	1997-08-29	VYDAJ	VYBER	21300	39287	\N	\N	\N
235432	803	1997-09-28	VYDAJ	VYBER	17400	29614	\N	\N	\N
235433	803	1997-10-28	VYDAJ	VYBER	22600	35184	\N	\N	\N
235434	803	1997-11-27	VYDAJ	VYBER	3300	14444	\N	\N	\N
235435	803	1997-12-27	VYDAJ	VYBER	40300	43794	\N	\N	\N
235436	803	1998-01-26	VYDAJ	VYBER	27900	30335	\N	\N	\N
235437	803	1998-02-25	VYDAJ	VYBER	18700	11851	\N	\N	\N
235438	803	1998-03-27	VYDAJ	VYBER	31300	29445	\N	\N	\N
235439	803	1998-04-26	VYDAJ	VYBER	29700	23341	\N	\N	\N
235440	803	1998-05-26	VYDAJ	VYBER	39400	30762	\N	\N	\N
235441	803	1998-06-25	VYDAJ	VYBER	24300	8482	\N	\N	\N
235442	803	1998-07-25	VYDAJ	VYBER	8800	-7554	\N	\N	\N
235443	803	1998-08-24	VYDAJ	VYBER	7000	-14549	\N	\N	\N
235444	803	1998-09-23	VYDAJ	VYBER	20400	-3093	\N	\N	\N
235445	803	1998-10-23	VYDAJ	VYBER	26400	-4761	\N	\N	\N
235446	803	1998-11-22	VYDAJ	VYBER	19400	-3913	\N	\N	\N
235447	803	1998-12-22	VYDAJ	VYBER	50700	14719	\N	\N	\N
235491	804	1996-02-06	PRIJEM	VKLAD	500	500	\N	\N	\N
235494	804	1996-03-05	PRIJEM	VKLAD	8005	8505	\N	\N	\N
235495	804	1996-04-05	PRIJEM	VKLAD	8005	24064	\N	\N	\N
235496	804	1996-05-05	PRIJEM	VKLAD	8005	32136	\N	\N	\N
235497	804	1996-06-05	PRIJEM	VKLAD	12008	40653	\N	\N	\N
235498	804	1996-07-05	PRIJEM	VKLAD	8005	45308	\N	\N	\N
235499	804	1996-08-05	PRIJEM	VKLAD	8005	42632	\N	\N	\N
235500	804	1996-09-05	PRIJEM	VKLAD	8005	46763	\N	\N	\N
235501	804	1996-10-05	PRIJEM	VKLAD	8005	45290	\N	\N	\N
235502	804	1996-11-05	PRIJEM	VKLAD	8005	47934	\N	\N	\N
235503	804	1996-12-05	PRIJEM	VKLAD	12008	49548	\N	\N	\N
235504	804	1997-01-05	PRIJEM	VKLAD	8005	47304	\N	\N	\N
235505	804	1997-02-05	PRIJEM	VKLAD	8005	39320	\N	\N	\N
235506	804	1997-03-05	PRIJEM	VKLAD	8005	42634	\N	\N	\N
235507	804	1997-04-05	PRIJEM	VKLAD	8005	41735	\N	\N	\N
235508	804	1997-05-05	PRIJEM	VKLAD	8005	40062	\N	\N	\N
235509	804	1997-06-05	PRIJEM	VKLAD	12008	41486	\N	\N	\N
235510	804	1997-07-05	PRIJEM	VKLAD	8005	40911	\N	\N	\N
235511	804	1997-08-05	PRIJEM	VKLAD	8005	38507	\N	\N	\N
235512	804	1997-09-05	PRIJEM	VKLAD	8005	39816	\N	\N	\N
235513	804	1997-10-05	PRIJEM	VKLAD	8005	40190	\N	\N	\N
235514	804	1997-11-05	PRIJEM	VKLAD	8005	42205	\N	\N	\N
235515	804	1997-12-05	PRIJEM	VKLAD	12008	46853	\N	\N	\N
235516	804	1998-01-05	PRIJEM	VKLAD	8005	49688	\N	\N	\N
235517	804	1998-02-05	PRIJEM	VKLAD	8005	50699	\N	\N	\N
235518	804	1998-03-05	PRIJEM	VKLAD	8005	46435	\N	\N	\N
235519	804	1998-04-05	PRIJEM	VKLAD	8005	50978	\N	\N	\N
235520	804	1998-05-05	PRIJEM	VKLAD	8005	60542	\N	\N	\N
235521	804	1998-06-05	PRIJEM	VKLAD	12008	64274	\N	\N	\N
235522	804	1998-07-05	PRIJEM	VKLAD	8005	42494	\N	\N	\N
235523	804	1998-08-05	PRIJEM	VKLAD	8005	58231	\N	\N	\N
235524	804	1998-09-05	PRIJEM	VKLAD	8005	65927	\N	\N	\N
235525	804	1998-10-05	PRIJEM	VKLAD	8005	68342	\N	\N	\N
235526	804	1998-11-05	PRIJEM	VKLAD	8005	74977	\N	\N	\N
235527	804	1998-12-05	PRIJEM	VKLAD	12008	76735	\N	\N	\N
235534	804	1996-07-07	VYDAJ	PREVOD NA UCET	2342	38166	SIPO	KL	68166583
235535	804	1996-08-07	VYDAJ	PREVOD NA UCET	2342	40290	SIPO	KL	68166583
235536	804	1996-09-07	VYDAJ	PREVOD NA UCET	2342	44421	SIPO	KL	68166583
235537	804	1996-10-07	VYDAJ	PREVOD NA UCET	2342	42948	SIPO	KL	68166583
235538	804	1996-11-07	VYDAJ	PREVOD NA UCET	2342	45592	SIPO	KL	68166583
235539	804	1996-12-07	VYDAJ	PREVOD NA UCET	2342	47206	SIPO	KL	68166583
235540	804	1997-01-07	VYDAJ	PREVOD NA UCET	2342	44962	SIPO	KL	68166583
235541	804	1997-02-07	VYDAJ	PREVOD NA UCET	2342	36978	SIPO	KL	68166583
235542	804	1997-03-07	VYDAJ	PREVOD NA UCET	2342	40292	SIPO	KL	68166583
235543	804	1997-04-07	VYDAJ	PREVOD NA UCET	2342	39393	SIPO	KL	68166583
235544	804	1997-05-07	VYDAJ	PREVOD NA UCET	2342	37720	SIPO	KL	68166583
235545	804	1997-06-07	VYDAJ	PREVOD NA UCET	2342	39144	SIPO	KL	68166583
235546	804	1997-07-07	VYDAJ	PREVOD NA UCET	2342	38569	SIPO	KL	68166583
235547	804	1997-08-07	VYDAJ	PREVOD NA UCET	2342	36165	SIPO	KL	68166583
235548	804	1997-09-07	VYDAJ	PREVOD NA UCET	2342	37474	SIPO	KL	68166583
235549	804	1997-10-07	VYDAJ	PREVOD NA UCET	2342	37848	SIPO	KL	68166583
235550	804	1997-11-07	VYDAJ	PREVOD NA UCET	2342	39863	SIPO	KL	68166583
235551	804	1997-12-07	VYDAJ	PREVOD NA UCET	2342	44511	SIPO	KL	68166583
235552	804	1998-01-07	VYDAJ	PREVOD NA UCET	2342	47346	SIPO	KL	68166583
235553	804	1998-02-07	VYDAJ	PREVOD NA UCET	2342	48357	SIPO	KL	68166583
235554	804	1998-03-07	VYDAJ	PREVOD NA UCET	2342	44093	SIPO	KL	68166583
235555	804	1998-04-07	VYDAJ	PREVOD NA UCET	2342	48636	SIPO	KL	68166583
235556	804	1998-05-07	VYDAJ	PREVOD NA UCET	2342	58200	SIPO	KL	68166583
235557	804	1998-06-07	VYDAJ	PREVOD NA UCET	2342	61932	SIPO	KL	68166583
235558	804	1998-07-07	VYDAJ	PREVOD NA UCET	2342	40152	SIPO	KL	68166583
235559	804	1998-08-07	VYDAJ	PREVOD NA UCET	2342	55889	SIPO	KL	68166583
235560	804	1998-09-07	VYDAJ	PREVOD NA UCET	2342	63585	SIPO	KL	68166583
235561	804	1998-10-07	VYDAJ	PREVOD NA UCET	2342	66000	SIPO	KL	68166583
235562	804	1998-11-07	VYDAJ	PREVOD NA UCET	2342	72635	SIPO	KL	68166583
235563	804	1998-12-07	VYDAJ	PREVOD NA UCET	2342	74393	SIPO	KL	68166583
235570	804	1996-07-10	VYDAJ	PREVOD NA UCET	682	37484	 	AB	77494382
235571	804	1996-08-10	VYDAJ	PREVOD NA UCET	682	39608	 	AB	77494382
235572	804	1996-09-10	VYDAJ	PREVOD NA UCET	682	43739	 	AB	77494382
235573	804	1996-10-10	VYDAJ	PREVOD NA UCET	682	42266	 	AB	77494382
235574	804	1996-11-10	VYDAJ	PREVOD NA UCET	682	44910	 	AB	77494382
235575	804	1996-12-10	VYDAJ	PREVOD NA UCET	682	46524	 	AB	77494382
235576	804	1997-01-10	VYDAJ	PREVOD NA UCET	682	44280	 	AB	77494382
235577	804	1997-02-10	VYDAJ	PREVOD NA UCET	682	36296	 	AB	77494382
235578	804	1997-03-10	VYDAJ	PREVOD NA UCET	682	39610	 	AB	77494382
235579	804	1997-04-10	VYDAJ	PREVOD NA UCET	682	38711	 	AB	77494382
235580	804	1997-05-10	VYDAJ	PREVOD NA UCET	682	37038	 	AB	77494382
235581	804	1997-06-10	VYDAJ	PREVOD NA UCET	682	38462	 	AB	77494382
235582	804	1997-07-10	VYDAJ	PREVOD NA UCET	682	37887	 	AB	77494382
235583	804	1997-08-10	VYDAJ	PREVOD NA UCET	682	35483	 	AB	77494382
235584	804	1997-09-10	VYDAJ	PREVOD NA UCET	682	36792	 	AB	77494382
235585	804	1997-10-10	VYDAJ	PREVOD NA UCET	682	37166	 	AB	77494382
235586	804	1997-11-10	VYDAJ	PREVOD NA UCET	682	39181	 	AB	77494382
235587	804	1997-12-10	VYDAJ	PREVOD NA UCET	682	43829	 	AB	77494382
235588	804	1998-01-10	VYDAJ	PREVOD NA UCET	682	46664	 	AB	77494382
235589	804	1998-02-10	VYDAJ	PREVOD NA UCET	682	47675	 	AB	77494382
235590	804	1998-03-10	VYDAJ	PREVOD NA UCET	682	43411	 	AB	77494382
235591	804	1998-04-10	VYDAJ	PREVOD NA UCET	682	47954	 	AB	77494382
235592	804	1998-05-10	VYDAJ	PREVOD NA UCET	682	57518	 	AB	77494382
235593	804	1998-06-10	VYDAJ	PREVOD NA UCET	682	61250	 	AB	77494382
235594	804	1998-07-10	VYDAJ	PREVOD NA UCET	682	39470	 	AB	77494382
235595	804	1998-08-10	VYDAJ	PREVOD NA UCET	682	55207	 	AB	77494382
235596	804	1998-09-10	VYDAJ	PREVOD NA UCET	682	62903	 	AB	77494382
235597	804	1998-10-10	VYDAJ	PREVOD NA UCET	682	65318	 	AB	77494382
235598	804	1998-11-10	VYDAJ	PREVOD NA UCET	682	71953	 	AB	77494382
235599	804	1998-12-10	VYDAJ	PREVOD NA UCET	682	73711	 	AB	77494382
235602	804	1998-06-28	VYDAJ	VYBER	22880	34270	\N	\N	\N
235604	804	1997-01-23	VYDAJ	VYBER	13920	30360	\N	\N	\N
235605	804	1998-01-19	VYDAJ	VYBER	2240	44424	\N	\N	\N
235606	804	1996-12-22	VYDAJ	VYBER	800	45724	\N	\N	\N
235607	804	1997-12-13	VYDAJ	VYBER	2560	41269	\N	\N	\N
235608	804	1998-12-24	VYDAJ	VYBER KARTOU	1000	71211	\N	\N	0
235609	804	1996-12-01	VYDAJ	VYBER	2520	38241	\N	\N	\N
235610	804	1996-09-23	VYDAJ	VYBER	720	43019	\N	\N	\N
235611	804	1996-11-28	VYDAJ	VYBER	4320	40590	\N	\N	\N
235615	804	1997-12-21	VYDAJ	VYBER	3840	37429	\N	\N	\N
235616	804	1997-11-30	VYDAJ	VYBER	4560	34845	\N	\N	\N
235617	804	1997-07-25	VYDAJ	VYBER	3720	34167	\N	\N	\N
235618	804	1997-04-22	VYDAJ	VYBER	600	38111	\N	\N	\N
235619	804	1997-11-24	VYDAJ	VYBER	1320	37861	\N	\N	\N
235620	804	1997-03-17	VYDAJ	VYBER	4320	35290	\N	\N	\N
235621	804	1997-09-28	VYDAJ	VYBER	2040	34752	\N	\N	\N
235622	804	1998-11-28	VYDAJ	VYBER KARTOU	3200	64453	\N	\N	0
235623	804	1998-05-11	VYDAJ	VYBER	3960	53558	\N	\N	\N
235624	804	1998-08-30	VYDAJ	VYBER KARTOU	2900	57707	\N	\N	0
235625	804	1998-09-15	VYDAJ	VYBER	4800	58103	\N	\N	\N
235626	804	1998-09-22	VYDAJ	VYBER KARTOU	4000	54103	\N	\N	0
235627	804	1998-02-27	VYDAJ	VYBER	3720	38255	\N	\N	\N
235635	804	1996-07-31	VYDAJ	VYBER	15	37627	SLUZBY	\N	\N
235636	804	1996-08-31	VYDAJ	VYBER	15	39758	SLUZBY	\N	\N
235637	804	1996-09-30	VYDAJ	VYBER	15	43185	SLUZBY	\N	\N
235638	804	1996-10-31	VYDAJ	VYBER	15	42429	SLUZBY	\N	\N
235639	804	1996-11-30	VYDAJ	VYBER	15	40761	SLUZBY	\N	\N
235640	804	1996-12-31	VYDAJ	VYBER	15	45899	SLUZBY	\N	\N
235641	804	1997-01-31	VYDAJ	VYBER	15	31315	SLUZBY	\N	\N
235642	804	1997-02-28	VYDAJ	VYBER	15	36429	SLUZBY	\N	\N
235643	804	1997-03-31	VYDAJ	VYBER	15	35430	SLUZBY	\N	\N
235644	804	1997-04-30	VYDAJ	VYBER	15	38257	SLUZBY	\N	\N
235645	804	1997-05-31	VYDAJ	VYBER	15	37179	SLUZBY	\N	\N
235646	804	1997-06-30	VYDAJ	VYBER	15	38606	SLUZBY	\N	\N
235647	804	1997-07-31	VYDAJ	VYBER	15	30502	SLUZBY	\N	\N
235648	804	1997-08-31	VYDAJ	VYBER	15	31811	SLUZBY	\N	\N
235649	804	1997-09-30	VYDAJ	VYBER	15	32185	SLUZBY	\N	\N
235650	804	1997-10-31	VYDAJ	VYBER	15	34200	SLUZBY	\N	\N
235651	804	1997-11-30	VYDAJ	VYBER	15	39405	SLUZBY	\N	\N
235652	804	1997-12-31	VYDAJ	VYBER	15	41683	SLUZBY	\N	\N
235653	804	1998-01-31	VYDAJ	VYBER	15	42694	SLUZBY	\N	\N
235654	804	1998-02-28	VYDAJ	VYBER	15	38430	SLUZBY	\N	\N
235655	804	1998-03-31	VYDAJ	VYBER	15	42973	SLUZBY	\N	\N
235656	804	1998-04-30	VYDAJ	VYBER	15	52537	SLUZBY	\N	\N
235657	804	1998-05-31	VYDAJ	VYBER	15	52266	SLUZBY	\N	\N
235658	804	1998-06-30	VYDAJ	VYBER	15	34489	SLUZBY	\N	\N
235659	804	1998-07-31	VYDAJ	VYBER	15	50226	SLUZBY	\N	\N
235660	804	1998-08-31	VYDAJ	VYBER	15	57922	SLUZBY	\N	\N
235661	804	1998-09-30	VYDAJ	VYBER	15	60337	SLUZBY	\N	\N
235662	804	1998-10-31	VYDAJ	VYBER	15	66972	SLUZBY	\N	\N
235663	804	1998-11-30	VYDAJ	VYBER	15	64727	SLUZBY	\N	\N
235664	804	1996-03-07	PRIJEM	VKLAD	7500	16005	\N	\N	\N
235665	804	1996-05-06	VYDAJ	VYBER	3600	28536	\N	\N	\N
235666	804	1996-06-05	VYDAJ	VYBER	3500	37153	\N	\N	\N
235667	804	1996-07-05	VYDAJ	VYBER	4800	40508	\N	\N	\N
235668	804	1996-08-04	VYDAJ	VYBER	3000	34627	\N	\N	\N
235669	804	1996-09-03	VYDAJ	VYBER	1000	38758	\N	\N	\N
235670	804	1996-10-03	VYDAJ	VYBER	5900	37285	\N	\N	\N
235671	804	1996-11-02	VYDAJ	VYBER	2500	39929	\N	\N	\N
235672	804	1996-12-02	VYDAJ	VYBER	700	37541	\N	\N	\N
235673	804	1997-01-01	VYDAJ	VYBER	6600	39299	\N	\N	\N
235674	804	1997-01-31	PRIJEM	VKLAD	800	31160	\N	\N	\N
235675	804	1997-03-02	VYDAJ	VYBER	1800	34629	\N	\N	\N
235676	804	1997-04-01	VYDAJ	VYBER	1700	33730	\N	\N	\N
235677	804	1997-05-01	VYDAJ	VYBER	6200	32057	\N	\N	\N
235678	804	1997-05-31	VYDAJ	VYBER	7700	29479	\N	\N	\N
235679	804	1997-06-30	VYDAJ	VYBER	5700	32906	\N	\N	\N
235680	804	1997-07-30	VYDAJ	VYBER	3800	30367	\N	\N	\N
235681	804	1997-08-29	VYDAJ	VYBER	3800	31683	\N	\N	\N
235682	804	1997-09-28	VYDAJ	VYBER	2700	32052	\N	\N	\N
235683	804	1997-10-28	VYDAJ	VYBER	3100	34066	\N	\N	\N
235684	804	1997-11-27	PRIJEM	VKLAD	1400	39261	\N	\N	\N
235685	804	1997-12-27	PRIJEM	VKLAD	4100	41529	\N	\N	\N
235686	804	1998-01-26	VYDAJ	VYBER	1900	42524	\N	\N	\N
235687	804	1998-02-25	VYDAJ	VYBER	5700	41975	\N	\N	\N
235688	804	1998-03-27	VYDAJ	VYBER	600	42811	\N	\N	\N
235689	804	1998-04-26	PRIJEM	VKLAD	4400	52354	\N	\N	\N
235690	804	1998-05-26	VYDAJ	VYBER KARTOU	1500	52058	\N	\N	0
235691	804	1998-06-25	VYDAJ	VYBER	4100	57150	\N	\N	\N
235692	804	1998-07-25	PRIJEM	VKLAD	10600	50070	\N	\N	\N
235693	804	1998-08-24	PRIJEM	VKLAD	5400	60607	\N	\N	\N
235694	804	1998-09-23	PRIJEM	VKLAD	6000	60103	\N	\N	\N
235695	804	1998-10-23	PRIJEM	VKLAD	1400	66718	\N	\N	\N
235696	804	1998-11-22	VYDAJ	VYBER	4300	67653	\N	\N	\N
235697	804	1998-12-22	VYDAJ	VYBER KARTOU	1500	72211	\N	\N	0
235732	805	1996-12-02	PRIJEM	VKLAD	800	800	\N	\N	\N
235744	805	1996-12-14	PRIJEM	PREVOD Z UCTU	21366	22166	\N	AB	79217332
235745	805	1997-01-14	PRIJEM	PREVOD Z UCTU	14244	36664	\N	AB	79217332
235746	805	1997-02-14	PRIJEM	PREVOD Z UCTU	14244	45534	\N	AB	79217332
235747	805	1997-03-14	PRIJEM	PREVOD Z UCTU	14244	53309	\N	AB	79217332
235748	805	1997-04-14	PRIJEM	PREVOD Z UCTU	14244	58236	\N	AB	79217332
235749	805	1997-05-14	PRIJEM	PREVOD Z UCTU	14244	57500	\N	AB	79217332
235750	805	1997-06-14	PRIJEM	PREVOD Z UCTU	21366	37779	\N	AB	79217332
235751	805	1997-07-14	PRIJEM	PREVOD Z UCTU	14244	40951	\N	AB	79217332
235752	805	1997-08-14	PRIJEM	PREVOD Z UCTU	14244	46244	\N	AB	79217332
235753	805	1997-09-14	PRIJEM	PREVOD Z UCTU	14244	33321	\N	AB	79217332
235754	805	1997-10-14	PRIJEM	PREVOD Z UCTU	14244	44196	\N	AB	79217332
235755	805	1997-11-14	PRIJEM	PREVOD Z UCTU	14244	42190	\N	AB	79217332
235756	805	1997-12-14	PRIJEM	PREVOD Z UCTU	21366	52059	\N	AB	79217332
235757	805	1998-01-14	PRIJEM	PREVOD Z UCTU	14244	33727	\N	AB	79217332
235758	805	1998-02-14	PRIJEM	PREVOD Z UCTU	14244	32660	\N	AB	79217332
235759	805	1998-03-14	PRIJEM	PREVOD Z UCTU	14244	40070	\N	AB	79217332
235760	805	1998-04-14	PRIJEM	PREVOD Z UCTU	14244	38710	\N	AB	79217332
235761	805	1998-05-14	PRIJEM	PREVOD Z UCTU	14244	18468	\N	AB	79217332
235762	805	1998-06-14	PRIJEM	PREVOD Z UCTU	21366	28716	\N	AB	79217332
235763	805	1998-07-14	PRIJEM	PREVOD Z UCTU	14244	30950	\N	AB	79217332
235764	805	1998-08-14	PRIJEM	PREVOD Z UCTU	14244	25044	\N	AB	79217332
235765	805	1998-09-14	PRIJEM	PREVOD Z UCTU	14244	35129	\N	AB	79217332
235766	805	1998-10-14	PRIJEM	PREVOD Z UCTU	14244	36346	\N	AB	79217332
235767	805	1998-11-14	PRIJEM	PREVOD Z UCTU	14244	19841	\N	AB	79217332
235768	805	1998-12-14	PRIJEM	PREVOD Z UCTU	21366	23365	\N	AB	79217332
235818	805	1997-06-14	VYBER	VYBER	8214	29565	\N	\N	\N
235821	805	1997-10-25	VYBER	VYBER	9561	34635	\N	\N	\N
235823	805	1997-09-04	VYBER	VYBER	19223	19077	\N	\N	\N
235824	805	1998-05-20	VYBER	VYBER	20868	-2400	\N	\N	\N
235825	805	1998-06-18	VYBER	VYBER	12142	16574	\N	\N	\N
235826	805	1998-12-22	VYBER	VYBER	13688	11977	\N	\N	\N
235827	805	1998-05-04	VYBER	VYBER	23812	4224	\N	\N	\N
235828	805	1998-10-25	VYBER	VYBER	23312	5534	\N	\N	\N
235830	805	1998-11-22	VYBER	VYBER	21580	10661	\N	\N	\N
235832	805	1997-06-07	VYDAJ	VYBER	31200	16413	\N	\N	\N
235835	805	1997-12-22	VYDAJ	VYBER	8700	43359	\N	\N	\N
235836	805	1998-12-16	VYDAJ	VYBER	5100	18265	\N	\N	\N
235849	805	1998-01-07	VYDAJ	VYBER	3000	22483	\N	\N	\N
235850	805	1998-01-05	VYDAJ	VYBER	5400	25483	\N	\N	\N
235851	805	1998-01-14	VYDAJ	VYBER	4800	23227	\N	\N	\N
235852	805	1998-01-01	VYDAJ	VYBER	3300	30883	\N	\N	\N
235853	805	1998-01-21	VYDAJ	VYBER	2700	20527	\N	\N	\N
235854	805	1998-01-14	VYDAJ	VYBER	5700	28027	\N	\N	\N
235861	805	1997-05-08	VYDAJ	VYBER	5100	43256	\N	\N	\N
235862	805	1997-06-30	VYDAJ	VYBER	12900	26707	\N	\N	\N
235863	805	1997-08-04	VYDAJ	VYBER	3300	32000	\N	\N	\N
235866	805	1998-04-06	VYDAJ	VYBER	7200	24466	\N	\N	\N
235867	805	1998-01-08	VYDAJ	VYBER	3000	19483	\N	\N	\N
235868	805	1998-12-10	VYDAJ	VYBER	8700	1999	\N	\N	\N
235869	805	1998-12-27	VYDAJ	VYBER	2700	9277	\N	\N	\N
235870	805	1998-07-26	VYDAJ	VYBER	8400	10750	\N	\N	\N
235887	805	1997-04-30	VYDAJ	VYBER	15	58456	SLUZBY	\N	\N
235888	805	1997-05-31	VYDAJ	VYBER	15	47613	SLUZBY	\N	\N
235889	805	1997-06-30	VYDAJ	VYBER	15	39607	SLUZBY	\N	\N
235890	805	1997-07-31	VYDAJ	VYBER	15	35300	SLUZBY	\N	\N
235891	805	1997-08-31	VYDAJ	VYBER	15	38300	SLUZBY	\N	\N
235892	805	1997-09-30	VYDAJ	VYBER	15	29952	SLUZBY	\N	\N
235893	805	1997-10-31	VYDAJ	VYBER	15	27946	SLUZBY	\N	\N
235894	805	1997-11-30	VYDAJ	VYBER	15	30693	SLUZBY	\N	\N
235895	805	1997-12-31	VYDAJ	VYBER	15	34183	SLUZBY	\N	\N
235896	805	1998-01-31	VYDAJ	VYBER	15	18416	SLUZBY	\N	\N
235897	805	1998-02-28	VYDAJ	VYBER	15	25826	SLUZBY	\N	\N
235898	805	1998-03-31	VYDAJ	VYBER	15	31666	SLUZBY	\N	\N
235899	805	1998-04-30	VYDAJ	VYBER	15	28036	SLUZBY	\N	\N
235900	805	1998-05-31	VYDAJ	VYBER	15	7355	SLUZBY	\N	\N
235901	805	1998-06-30	VYDAJ	VYBER	15	16706	SLUZBY	\N	\N
235902	805	1998-07-31	VYDAJ	VYBER	15	10800	SLUZBY	\N	\N
235903	805	1998-08-31	VYDAJ	VYBER	15	20885	SLUZBY	\N	\N
235904	805	1998-09-30	VYDAJ	VYBER	15	22102	SLUZBY	\N	\N
235905	805	1998-10-31	VYDAJ	VYBER	15	5597	SLUZBY	\N	\N
235906	805	1998-11-30	VYDAJ	VYBER	15	10699	SLUZBY	\N	\N
235907	805	1997-01-01	PRIJEM	VKLAD	200	22420	\N	\N	\N
235908	805	1997-01-31	VYDAJ	VYBER	5500	31290	\N	\N	\N
235909	805	1997-03-02	VYDAJ	VYBER	6600	39065	\N	\N	\N
235910	805	1997-04-01	VYDAJ	VYBER	9500	43992	\N	\N	\N
235911	805	1997-05-01	VYDAJ	VYBER	10100	48356	\N	\N	\N
235912	805	1997-05-31	VYDAJ	VYBER	10100	47627	\N	\N	\N
235913	805	1997-06-30	PRIJEM	VKLAD	9900	39622	\N	\N	\N
235914	805	1997-07-30	VYDAJ	VYBER	5800	35151	\N	\N	\N
235915	805	1997-08-29	VYDAJ	VYBER	8100	38144	\N	\N	\N
235916	805	1997-09-28	VYDAJ	VYBER	3500	29821	\N	\N	\N
235917	805	1997-10-28	VYDAJ	VYBER	6800	27835	\N	\N	\N
235918	805	1997-11-27	VYDAJ	VYBER	11600	30590	\N	\N	\N
235919	805	1997-12-27	VYDAJ	VYBER	9300	34059	\N	\N	\N
235920	805	1998-01-26	VYDAJ	VYBER	2200	18327	\N	\N	\N
235921	805	1998-02-25	VYDAJ	VYBER	6900	25760	\N	\N	\N
235922	805	1998-03-27	VYDAJ	VYBER	8500	31570	\N	\N	\N
235923	805	1998-04-26	VYDAJ	VYBER	10800	27910	\N	\N	\N
235924	805	1998-05-26	PRIJEM	VKLAD	9700	7300	\N	\N	\N
235925	805	1998-06-25	PRIJEM	VKLAD	100	16674	\N	\N	\N
235926	805	1998-07-25	VYDAJ	VYBER	11800	19150	\N	\N	\N
235927	805	1998-08-24	VYDAJ	VYBER	4200	20844	\N	\N	\N
235928	805	1998-09-23	VYDAJ	VYBER	13100	22029	\N	\N	\N
235929	805	1998-10-23	VYDAJ	VYBER	7500	28846	\N	\N	\N
235930	805	1998-11-22	PRIJEM	VKLAD	12400	32241	\N	\N	\N
235931	805	1998-12-22	PRIJEM	VKLAD	7400	25665	\N	\N	\N
235958	806	1996-10-29	PRIJEM	VKLAD	300	300	\N	\N	\N
235969	806	1996-11-05	PRIJEM	PREVOD Z UCTU	3447	3747	\N	KL	5830103
235970	806	1996-12-05	PRIJEM	PREVOD Z UCTU	3447	7194	\N	KL	5830103
235971	806	1997-01-05	PRIJEM	PREVOD Z UCTU	3447	10641	\N	KL	5830103
235972	806	1997-02-05	PRIJEM	PREVOD Z UCTU	3447	14088	\N	KL	5830103
235973	806	1997-03-05	PRIJEM	PREVOD Z UCTU	3447	17535	\N	KL	5830103
235974	806	1997-04-05	PRIJEM	PREVOD Z UCTU	3447	18147	\N	KL	5830103
235975	806	1997-05-05	PRIJEM	PREVOD Z UCTU	3447	17632	\N	KL	5830103
235976	806	1997-06-05	PRIJEM	PREVOD Z UCTU	3447	18829	\N	KL	5830103
235977	806	1997-07-05	PRIJEM	PREVOD Z UCTU	3447	18890	\N	KL	5830103
235978	806	1997-08-05	PRIJEM	PREVOD Z UCTU	3447	19432	\N	KL	5830103
235979	806	1997-09-05	PRIJEM	PREVOD Z UCTU	3447	20639	\N	KL	5830103
235980	806	1997-10-05	PRIJEM	PREVOD Z UCTU	3447	21848	\N	KL	5830103
235981	806	1997-11-05	PRIJEM	PREVOD Z UCTU	3447	22882	\N	KL	5830103
235982	806	1997-12-05	PRIJEM	PREVOD Z UCTU	3447	24101	\N	KL	5830103
235983	806	1998-01-05	PRIJEM	PREVOD Z UCTU	3447	23883	\N	KL	5830103
235984	806	1998-02-05	PRIJEM	PREVOD Z UCTU	3447	21590	\N	KL	5830103
235985	806	1998-03-05	PRIJEM	PREVOD Z UCTU	3447	22804	\N	KL	5830103
235986	806	1998-04-05	PRIJEM	PREVOD Z UCTU	3447	24022	\N	KL	5830103
235987	806	1998-05-05	PRIJEM	PREVOD Z UCTU	3447	25246	\N	KL	5830103
235988	806	1998-06-05	PRIJEM	PREVOD Z UCTU	3447	26475	\N	KL	5830103
235989	806	1998-07-05	PRIJEM	PREVOD Z UCTU	3447	17219	\N	KL	5830103
235990	806	1998-08-05	PRIJEM	PREVOD Z UCTU	3447	18415	\N	KL	5830103
235991	806	1998-09-05	PRIJEM	PREVOD Z UCTU	3447	18504	\N	KL	5830103
235992	806	1998-10-05	PRIJEM	PREVOD Z UCTU	3447	19704	\N	KL	5830103
235993	806	1998-11-05	PRIJEM	PREVOD Z UCTU	3447	20910	\N	KL	5830103
235994	806	1998-12-05	PRIJEM	PREVOD Z UCTU	3447	21941	\N	KL	5830103
236009	806	1997-03-08	VYDAJ	PREVOD NA UCET	2298	15237	SIPO	QR	33725094
236010	806	1997-04-08	VYDAJ	PREVOD NA UCET	2298	14139	SIPO	QR	33725094
236011	806	1997-05-08	VYDAJ	PREVOD NA UCET	2298	15334	SIPO	QR	33725094
236012	806	1997-06-08	VYDAJ	PREVOD NA UCET	2298	16531	SIPO	QR	33725094
236013	806	1997-07-08	VYDAJ	PREVOD NA UCET	2298	16592	SIPO	QR	33725094
236014	806	1997-08-08	VYDAJ	PREVOD NA UCET	2298	17134	SIPO	QR	33725094
236015	806	1997-09-08	VYDAJ	PREVOD NA UCET	2298	18341	SIPO	QR	33725094
236016	806	1997-10-08	VYDAJ	PREVOD NA UCET	2298	19550	SIPO	QR	33725094
236017	806	1997-11-08	VYDAJ	PREVOD NA UCET	2298	20584	SIPO	QR	33725094
236018	806	1997-12-08	VYDAJ	PREVOD NA UCET	2298	21803	SIPO	QR	33725094
236019	806	1998-01-08	VYDAJ	PREVOD NA UCET	2298	21105	SIPO	QR	33725094
236020	806	1998-02-08	VYDAJ	PREVOD NA UCET	2298	19292	SIPO	QR	33725094
236021	806	1998-03-08	VYDAJ	PREVOD NA UCET	2298	20506	SIPO	QR	33725094
236022	806	1998-04-08	VYDAJ	PREVOD NA UCET	2298	21724	SIPO	QR	33725094
236023	806	1998-05-08	VYDAJ	PREVOD NA UCET	2298	22948	SIPO	QR	33725094
236024	806	1998-06-08	VYDAJ	PREVOD NA UCET	2298	24177	SIPO	QR	33725094
236025	806	1998-07-08	VYDAJ	PREVOD NA UCET	2298	14921	SIPO	QR	33725094
236026	806	1998-08-08	VYDAJ	PREVOD NA UCET	2298	16117	SIPO	QR	33725094
236027	806	1998-09-08	VYDAJ	PREVOD NA UCET	2298	16206	SIPO	QR	33725094
236028	806	1998-10-08	VYDAJ	PREVOD NA UCET	2298	17406	SIPO	QR	33725094
236029	806	1998-11-08	VYDAJ	PREVOD NA UCET	2298	18612	SIPO	QR	33725094
236030	806	1998-12-08	VYDAJ	PREVOD NA UCET	2298	19643	SIPO	QR	33725094
236033	806	1998-06-18	VYDAJ	VYBER	8580	14127	\N	\N	\N
236035	806	1997-12-13	VYDAJ	VYBER	870	20933	\N	\N	\N
236036	806	1998-12-15	VYDAJ	VYBER	510	19133	\N	\N	\N
236049	806	1998-01-13	VYDAJ	VYBER	450	20475	\N	\N	\N
236050	806	1998-01-04	VYDAJ	VYBER	570	20436	\N	\N	\N
236051	806	1998-01-12	VYDAJ	VYBER	180	20925	\N	\N	\N
236052	806	1998-01-24	VYDAJ	VYBER	300	18075	\N	\N	\N
236053	806	1998-01-06	VYDAJ	VYBER	480	23403	\N	\N	\N
236054	806	1998-01-14	VYDAJ	VYBER	840	19635	\N	\N	\N
236060	806	1997-10-10	VYDAJ	VYBER	180	19370	\N	\N	\N
236061	806	1997-04-06	VYDAJ	VYBER	780	17367	\N	\N	\N
236062	806	1997-04-07	VYDAJ	VYBER	930	16437	\N	\N	\N
236063	806	1997-06-23	VYDAJ	VYBER	1140	15391	\N	\N	\N
236067	806	1997-03-12	VYDAJ	VYBER	570	14667	\N	\N	\N
236068	806	1997-08-03	VYDAJ	VYBER	660	15985	\N	\N	\N
236069	806	1998-08-23	VYDAJ	VYBER	1110	15007	\N	\N	\N
236070	806	1998-06-29	VYDAJ	VYBER	420	13707	\N	\N	\N
236071	806	1998-11-29	VYDAJ	VYBER	180	18432	\N	\N	\N
236072	806	1998-01-18	VYDAJ	VYBER	1260	18375	\N	\N	\N
236073	806	1998-06-12	VYDAJ	VYBER	1470	22707	\N	\N	\N
236089	806	1997-03-31	VYDAJ	VYBER	15	14700	SLUZBY	\N	\N
236090	806	1997-04-30	VYDAJ	VYBER	15	14185	SLUZBY	\N	\N
236091	806	1997-05-31	VYDAJ	VYBER	15	15382	SLUZBY	\N	\N
236092	806	1997-06-30	VYDAJ	VYBER	15	15443	SLUZBY	\N	\N
236093	806	1997-07-31	VYDAJ	VYBER	15	16645	SLUZBY	\N	\N
236094	806	1997-08-31	VYDAJ	VYBER	15	17192	SLUZBY	\N	\N
236095	806	1997-09-30	VYDAJ	VYBER	15	18401	SLUZBY	\N	\N
236096	806	1997-10-31	VYDAJ	VYBER	15	19435	SLUZBY	\N	\N
236097	806	1997-11-30	VYDAJ	VYBER	15	20654	SLUZBY	\N	\N
236098	806	1997-12-31	VYDAJ	VYBER	15	21006	SLUZBY	\N	\N
236099	806	1998-01-31	VYDAJ	VYBER	15	18143	SLUZBY	\N	\N
236100	806	1998-02-28	VYDAJ	VYBER	15	19357	SLUZBY	\N	\N
236101	806	1998-03-31	VYDAJ	VYBER	15	20575	SLUZBY	\N	\N
236102	806	1998-04-30	VYDAJ	VYBER	15	21799	SLUZBY	\N	\N
236103	806	1998-05-31	VYDAJ	VYBER	15	23028	SLUZBY	\N	\N
236104	806	1998-06-30	VYDAJ	VYBER	15	13772	SLUZBY	\N	\N
236105	806	1998-07-31	VYDAJ	VYBER	15	14968	SLUZBY	\N	\N
236106	806	1998-08-31	VYDAJ	VYBER	15	15057	SLUZBY	\N	\N
236107	806	1998-09-30	VYDAJ	VYBER	15	16257	SLUZBY	\N	\N
236108	806	1998-10-31	VYDAJ	VYBER	15	17463	SLUZBY	\N	\N
236109	806	1998-11-30	VYDAJ	VYBER	15	18494	SLUZBY	\N	\N
236132	807	1995-06-13	PRIJEM	VKLAD	800	800	\N	\N	\N
236139	807	1995-07-06	PRIJEM	PREVOD Z UCTU	20229	21029	\N	QR	19420242
236140	807	1995-08-06	PRIJEM	PREVOD Z UCTU	20229	42415	\N	QR	19420242
236141	807	1995-09-06	PRIJEM	PREVOD Z UCTU	20229	53064	\N	QR	19420242
236142	807	1995-10-06	PRIJEM	PREVOD Z UCTU	20229	58946	\N	QR	19420242
236143	807	1995-11-06	PRIJEM	PREVOD Z UCTU	20229	65454	\N	QR	19420242
236144	807	1995-12-06	PRIJEM	PREVOD Z UCTU	30344	58866	\N	QR	19420242
236145	807	1996-01-06	PRIJEM	PREVOD Z UCTU	20229	44373	\N	QR	19420242
236146	807	1996-02-06	PRIJEM	PREVOD Z UCTU	20229	39996	\N	QR	19420242
236147	807	1996-03-06	PRIJEM	PREVOD Z UCTU	20229	39506	\N	QR	19420242
236148	807	1996-04-06	PRIJEM	PREVOD Z UCTU	20229	48435	\N	QR	19420242
236149	807	1996-05-06	PRIJEM	PREVOD Z UCTU	20229	39761	\N	QR	19420242
236150	807	1996-06-06	PRIJEM	PREVOD Z UCTU	30344	54014	\N	QR	19420242
236151	807	1996-07-06	PRIJEM	PREVOD Z UCTU	20229	39538	\N	QR	19420242
236152	807	1996-08-06	PRIJEM	PREVOD Z UCTU	20229	44958	\N	QR	19420242
236153	807	1996-09-06	PRIJEM	PREVOD Z UCTU	20229	54288	\N	QR	19420242
236154	807	1996-10-06	PRIJEM	PREVOD Z UCTU	20229	55371	\N	QR	19420242
236155	807	1996-11-06	PRIJEM	PREVOD Z UCTU	20229	60570	\N	QR	19420242
236156	807	1996-12-06	PRIJEM	PREVOD Z UCTU	30344	69304	\N	QR	19420242
236157	807	1997-01-06	PRIJEM	PREVOD Z UCTU	20229	55248	\N	QR	19420242
236158	807	1997-02-06	PRIJEM	PREVOD Z UCTU	20229	48187	\N	QR	19420242
236159	807	1997-03-06	PRIJEM	PREVOD Z UCTU	20229	47056	\N	QR	19420242
236160	807	1997-04-06	PRIJEM	PREVOD Z UCTU	20229	53703	\N	QR	19420242
236161	807	1997-05-06	PRIJEM	PREVOD Z UCTU	20229	55962	\N	QR	19420242
236162	807	1997-06-06	PRIJEM	PREVOD Z UCTU	30344	57874	\N	QR	19420242
236163	807	1997-07-06	PRIJEM	PREVOD Z UCTU	20229	56495	\N	QR	19420242
236164	807	1997-08-06	PRIJEM	PREVOD Z UCTU	20229	57629	\N	QR	19420242
236165	807	1997-09-06	PRIJEM	PREVOD Z UCTU	20229	62130	\N	QR	19420242
236166	807	1997-10-06	PRIJEM	PREVOD Z UCTU	20229	55744	\N	QR	19420242
236167	807	1997-11-06	PRIJEM	PREVOD Z UCTU	20229	63036	\N	QR	19420242
236168	807	1997-12-06	PRIJEM	PREVOD Z UCTU	30344	59452	\N	QR	19420242
236169	807	1998-01-06	PRIJEM	PREVOD Z UCTU	20229	45584	\N	QR	19420242
236170	807	1998-02-06	PRIJEM	PREVOD Z UCTU	20229	48228	\N	QR	19420242
236171	807	1998-03-06	PRIJEM	PREVOD Z UCTU	20229	61790	\N	QR	19420242
236172	807	1998-04-06	PRIJEM	PREVOD Z UCTU	20229	54553	\N	QR	19420242
236173	807	1998-05-06	PRIJEM	PREVOD Z UCTU	20229	53140	\N	QR	19420242
236174	807	1998-06-06	PRIJEM	PREVOD Z UCTU	30344	66433	\N	QR	19420242
236175	807	1998-07-06	PRIJEM	PREVOD Z UCTU	20229	50344	\N	QR	19420242
236176	807	1998-08-06	PRIJEM	PREVOD Z UCTU	20229	49522	\N	QR	19420242
236177	807	1998-09-06	PRIJEM	PREVOD Z UCTU	20229	47385	\N	QR	19420242
236178	807	1998-10-06	PRIJEM	PREVOD Z UCTU	20229	58644	\N	QR	19420242
236179	807	1998-11-06	PRIJEM	PREVOD Z UCTU	20229	57073	\N	QR	19420242
236180	807	1998-12-06	PRIJEM	PREVOD Z UCTU	30344	67276	\N	QR	19420242
236191	807	1995-11-08	VYDAJ	PREVOD NA UCET	12579	52875	SIPO	IJ	21882123
236192	807	1995-12-08	VYDAJ	PREVOD NA UCET	12579	46287	SIPO	IJ	21882123
236193	807	1996-01-08	VYDAJ	PREVOD NA UCET	12579	29994	SIPO	IJ	21882123
236194	807	1996-02-08	VYDAJ	PREVOD NA UCET	12579	30317	SIPO	IJ	21882123
236195	807	1996-03-08	VYDAJ	PREVOD NA UCET	12579	26927	SIPO	IJ	21882123
236196	807	1996-04-08	VYDAJ	PREVOD NA UCET	12579	30656	SIPO	IJ	21882123
236197	807	1996-05-08	VYDAJ	PREVOD NA UCET	12579	30282	SIPO	IJ	21882123
236198	807	1996-06-08	VYDAJ	PREVOD NA UCET	12579	29135	SIPO	IJ	21882123
236199	807	1996-07-08	VYDAJ	PREVOD NA UCET	12579	24659	SIPO	IJ	21882123
236200	807	1996-08-08	VYDAJ	PREVOD NA UCET	12579	25779	SIPO	IJ	21882123
236201	807	1996-09-08	VYDAJ	PREVOD NA UCET	12579	41709	SIPO	IJ	21882123
236202	807	1996-10-08	VYDAJ	PREVOD NA UCET	12579	42792	SIPO	IJ	21882123
236203	807	1996-11-08	VYDAJ	PREVOD NA UCET	12579	47991	SIPO	IJ	21882123
236204	807	1996-12-08	VYDAJ	PREVOD NA UCET	12579	56725	SIPO	IJ	21882123
236205	807	1997-01-08	VYDAJ	PREVOD NA UCET	12579	42669	SIPO	IJ	21882123
236206	807	1997-02-08	VYDAJ	PREVOD NA UCET	12579	35608	SIPO	IJ	21882123
236207	807	1997-03-08	VYDAJ	PREVOD NA UCET	12579	34477	SIPO	IJ	21882123
236208	807	1997-04-08	VYDAJ	PREVOD NA UCET	12579	41124	SIPO	IJ	21882123
236209	807	1997-05-08	VYDAJ	PREVOD NA UCET	12579	43383	SIPO	IJ	21882123
236210	807	1997-06-08	VYDAJ	PREVOD NA UCET	12579	26869	SIPO	IJ	21882123
236211	807	1997-07-08	VYDAJ	PREVOD NA UCET	12579	43916	SIPO	IJ	21882123
236212	807	1997-08-08	VYDAJ	PREVOD NA UCET	12579	45050	SIPO	IJ	21882123
236213	807	1997-09-08	VYDAJ	PREVOD NA UCET	12579	49551	SIPO	IJ	21882123
236214	807	1997-10-08	VYDAJ	PREVOD NA UCET	12579	43165	SIPO	IJ	21882123
236215	807	1997-11-08	VYDAJ	PREVOD NA UCET	12579	43709	SIPO	IJ	21882123
236216	807	1997-12-08	VYDAJ	PREVOD NA UCET	12579	27058	SIPO	IJ	21882123
236217	807	1998-01-08	VYDAJ	PREVOD NA UCET	12579	33005	SIPO	IJ	21882123
236218	807	1998-02-08	VYDAJ	PREVOD NA UCET	12579	35649	SIPO	IJ	21882123
236219	807	1998-03-08	VYDAJ	PREVOD NA UCET	12579	49211	SIPO	IJ	21882123
236220	807	1998-04-08	VYDAJ	PREVOD NA UCET	12579	41974	SIPO	IJ	21882123
236221	807	1998-05-08	VYDAJ	PREVOD NA UCET	12579	40561	SIPO	IJ	21882123
236222	807	1998-06-08	VYDAJ	PREVOD NA UCET	12579	53854	SIPO	IJ	21882123
236223	807	1998-07-08	VYDAJ	PREVOD NA UCET	12579	37765	SIPO	IJ	21882123
236224	807	1998-08-08	VYDAJ	PREVOD NA UCET	12579	36943	SIPO	IJ	21882123
236225	807	1998-09-08	VYDAJ	PREVOD NA UCET	12579	34806	SIPO	IJ	21882123
236226	807	1998-10-08	VYDAJ	PREVOD NA UCET	12579	32130	SIPO	IJ	21882123
236227	807	1998-11-08	VYDAJ	PREVOD NA UCET	12579	44494	SIPO	IJ	21882123
236228	807	1998-12-08	VYDAJ	PREVOD NA UCET	12579	51697	SIPO	IJ	21882123
236235	807	1995-12-13	VYBER	VYBER	6557	30930	\N	\N	\N
236238	807	1996-05-12	VYBER	VYBER	3091	27191	\N	\N	\N
236239	807	1996-04-11	VYBER	VYBER	11191	19465	\N	\N	\N
236241	807	1997-06-08	VYBER	VYBER	18426	39448	\N	\N	\N
236242	807	1997-12-07	VYBER	VYBER	19815	39637	\N	\N	\N
236244	807	1997-02-24	VYBER	VYBER	2665	20943	\N	\N	\N
236247	807	1997-12-05	VYBER	VYBER	14157	29108	\N	\N	\N
236249	807	1997-11-06	VYBER	VYBER	6748	56288	\N	\N	\N
236250	807	1997-09-19	VYBER	VYBER	21670	27881	\N	\N	\N
236251	807	1997-07-12	VYBER	VYBER	12128	31788	\N	\N	\N
236253	807	1998-07-16	VYBER	VYBER	14380	23385	\N	\N	\N
236255	807	1998-12-27	VYBER	VYBER	10853	31144	\N	\N	\N
236256	807	1998-03-12	VYBER	VYBER	21493	25618	\N	\N	\N
236257	807	1998-07-04	VYBER	VYBER	15711	30115	\N	\N	\N
236259	807	1998-04-16	VYBER	VYBER	2986	22327	\N	\N	\N
236260	807	1998-04-09	VYBER	VYBER	16661	25313	\N	\N	\N
236261	807	1998-10-07	VYBER	VYBER	13935	44709	\N	\N	\N
236265	807	1997-06-04	VYDAJ	VYBER	12600	27530	\N	\N	\N
236269	807	1997-01-02	VYDAJ	VYBER	9900	33219	\N	\N	\N
236270	807	1998-01-02	VYDAJ	VYBER	9900	25355	\N	\N	\N
236271	807	1995-12-02	VYDAJ	VYBER	4200	28522	\N	\N	\N
236272	807	1996-12-02	VYDAJ	VYBER	8100	40060	\N	\N	\N
236273	807	1997-12-12	VYDAJ	VYBER KARTOU	2400	24658	\N	\N	0
236274	807	1998-12-06	VYDAJ	VYBER KARTOU	3000	64276	\N	\N	0
236282	807	1996-01-01	VYDAJ	VYBER	6900	24144	\N	\N	\N
236283	807	1996-01-12	VYDAJ	VYBER	8100	19694	\N	\N	\N
236284	807	1996-01-08	VYDAJ	VYBER	1800	42573	\N	\N	\N
236287	807	1997-01-16	VYDAJ	VYBER	5400	20769	\N	\N	\N
236288	807	1997-01-13	VYDAJ	VYBER	8100	26169	\N	\N	\N
236289	807	1997-01-09	VYDAJ	VYBER	8400	34269	\N	\N	\N
236291	807	1997-01-02	VYDAJ	VYBER	8400	43119	\N	\N	\N
236293	807	1998-01-30	VYDAJ	VYBER	5100	27905	\N	\N	\N
236294	807	1998-01-27	VYDAJ	VYBER KARTOU	3300	22205	\N	\N	0
236295	807	1998-01-11	VYDAJ	VYBER	5100	27905	\N	\N	\N
236296	807	1998-01-17	VYDAJ	VYBER KARTOU	2400	25505	\N	\N	0
236301	807	1995-11-10	VYDAJ	VYBER	11700	41175	\N	\N	\N
236303	807	1996-09-26	VYDAJ	VYBER	3900	37809	\N	\N	\N
236304	807	1996-04-06	VYDAJ	VYBER	9300	39135	\N	\N	\N
236305	807	1996-02-14	VYDAJ	VYBER	11100	19217	\N	\N	\N
236306	807	1996-05-21	VYDAJ	VYBER	3600	23591	\N	\N	\N
236307	807	1996-12-21	VYDAJ	VYBER	5400	51325	\N	\N	\N
236309	807	1996-06-20	VYDAJ	VYBER	9900	19235	\N	\N	\N
236311	807	1997-02-15	VYDAJ	VYBER	12000	23608	\N	\N	\N
236312	807	1997-03-24	VYDAJ	VYBER	10200	24277	\N	\N	\N
236313	807	1997-04-13	VYDAJ	VYBER	9300	31824	\N	\N	\N
236315	807	1998-08-31	VYDAJ	VYBER	9000	27156	\N	\N	\N
236316	807	1998-03-10	VYDAJ	VYBER KARTOU	2100	47111	\N	\N	0
236318	807	1998-11-23	VYDAJ	VYBER KARTOU	3600	40894	\N	\N	0
236330	807	1995-11-30	VYDAJ	VYBER	30	32722	SLUZBY	\N	\N
236331	807	1995-12-31	VYDAJ	VYBER	30	31044	SLUZBY	\N	\N
236332	807	1996-01-31	VYDAJ	VYBER	30	19767	SLUZBY	\N	\N
236333	807	1996-02-29	VYDAJ	VYBER	30	19277	SLUZBY	\N	\N
236334	807	1996-03-31	VYDAJ	VYBER	30	28206	SLUZBY	\N	\N
236335	807	1996-04-30	VYDAJ	VYBER	30	19532	SLUZBY	\N	\N
236336	807	1996-05-31	VYDAJ	VYBER	30	23670	SLUZBY	\N	\N
236337	807	1996-06-30	VYDAJ	VYBER	30	19309	SLUZBY	\N	\N
236338	807	1996-07-31	VYDAJ	VYBER	30	24729	SLUZBY	\N	\N
236339	807	1996-08-31	VYDAJ	VYBER	30	25859	SLUZBY	\N	\N
236340	807	1996-09-30	VYDAJ	VYBER	30	37942	SLUZBY	\N	\N
236341	807	1996-10-31	VYDAJ	VYBER	30	42941	SLUZBY	\N	\N
236342	807	1996-11-30	VYDAJ	VYBER	30	48160	SLUZBY	\N	\N
236343	807	1996-12-31	VYDAJ	VYBER	30	51519	SLUZBY	\N	\N
236344	807	1997-01-31	VYDAJ	VYBER	30	20858	SLUZBY	\N	\N
236345	807	1997-02-28	VYDAJ	VYBER	30	21027	SLUZBY	\N	\N
236346	807	1997-03-31	VYDAJ	VYBER	30	24374	SLUZBY	\N	\N
236347	807	1997-04-30	VYDAJ	VYBER	30	31933	SLUZBY	\N	\N
236348	807	1997-05-31	VYDAJ	VYBER	30	43530	SLUZBY	\N	\N
236349	807	1997-06-30	VYDAJ	VYBER	30	26966	SLUZBY	\N	\N
236350	807	1997-07-31	VYDAJ	VYBER	30	31900	SLUZBY	\N	\N
236351	807	1997-08-31	VYDAJ	VYBER	30	41901	SLUZBY	\N	\N
236352	807	1997-09-30	VYDAJ	VYBER	30	35515	SLUZBY	\N	\N
236353	807	1997-10-31	VYDAJ	VYBER	30	42807	SLUZBY	\N	\N
236354	807	1997-11-30	VYDAJ	VYBER	30	43265	SLUZBY	\N	\N
236355	807	1997-12-31	VYDAJ	VYBER	30	35255	SLUZBY	\N	\N
236356	807	1998-01-31	VYDAJ	VYBER	30	27999	SLUZBY	\N	\N
236357	807	1998-02-28	VYDAJ	VYBER	30	41561	SLUZBY	\N	\N
236358	807	1998-03-31	VYDAJ	VYBER	30	34324	SLUZBY	\N	\N
236359	807	1998-04-30	VYDAJ	VYBER	30	32911	SLUZBY	\N	\N
236360	807	1998-05-31	VYDAJ	VYBER	30	36089	SLUZBY	\N	\N
236361	807	1998-06-30	VYDAJ	VYBER	30	45826	SLUZBY	\N	\N
236362	807	1998-07-31	VYDAJ	VYBER	30	29293	SLUZBY	\N	\N
236363	807	1998-08-31	VYDAJ	VYBER	30	36156	SLUZBY	\N	\N
236364	807	1998-09-30	VYDAJ	VYBER	30	38415	SLUZBY	\N	\N
236365	807	1998-10-31	VYDAJ	VYBER	30	36844	SLUZBY	\N	\N
236366	807	1998-11-30	VYDAJ	VYBER	30	36932	SLUZBY	\N	\N
236367	807	1995-07-13	PRIJEM	VKLAD	1100	22129	\N	\N	\N
236368	807	1995-08-12	VYDAJ	VYBER	9700	32715	\N	\N	\N
236369	807	1995-09-11	VYDAJ	VYBER	14500	38564	\N	\N	\N
236370	807	1995-10-11	VYDAJ	VYBER	13900	45046	\N	\N	\N
236371	807	1995-11-10	VYDAJ	VYBER	8600	32575	\N	\N	\N
236372	807	1995-12-10	VYDAJ	VYBER	8800	37487	\N	\N	\N
236373	807	1996-01-09	VYDAJ	VYBER	2200	27794	\N	\N	\N
236374	807	1996-02-08	PRIJEM	VKLAD	2900	42896	\N	\N	\N
236375	807	1996-03-09	PRIJEM	VKLAD	1200	28127	\N	\N	\N
236376	807	1996-04-08	PRIJEM	VKLAD	4100	43235	\N	\N	\N
236377	807	1996-05-08	PRIJEM	VKLAD	3100	42861	\N	\N	\N
236378	807	1996-06-07	VYDAJ	VYBER	12300	41714	\N	\N	\N
236379	807	1996-07-07	VYDAJ	VYBER	2300	37238	\N	\N	\N
236380	807	1996-08-06	VYDAJ	VYBER	6600	38358	\N	\N	\N
236381	807	1996-09-05	PRIJEM	VKLAD	8200	34059	\N	\N	\N
236382	807	1996-10-05	VYDAJ	VYBER	2800	35142	\N	\N	\N
236383	807	1996-11-04	VYDAJ	VYBER	2600	40341	\N	\N	\N
236384	807	1996-12-04	VYDAJ	VYBER	1100	38960	\N	\N	\N
236385	807	1997-01-03	PRIJEM	VKLAD	1800	35019	\N	\N	\N
236386	807	1997-02-02	PRIJEM	VKLAD	7100	27958	\N	\N	\N
236387	807	1997-03-04	PRIJEM	VKLAD	5800	26827	\N	\N	\N
236388	807	1997-04-03	PRIJEM	VKLAD	9100	33474	\N	\N	\N
236389	807	1997-05-03	PRIJEM	VKLAD	3800	35733	\N	\N	\N
236390	807	1997-06-02	VYDAJ	VYBER KARTOU	3400	40130	\N	\N	0
236391	807	1997-07-02	PRIJEM	VKLAD	9300	36266	\N	\N	\N
236392	807	1997-08-01	PRIJEM	VKLAD	5500	37400	\N	\N	\N
236393	807	1997-08-31	VYDAJ	VYBER KARTOU	3300	41931	\N	\N	0
236394	807	1997-09-30	PRIJEM	VKLAD	7500	35381	\N	\N	\N
236395	807	1997-10-30	VYDAJ	VYBER KARTOU	500	42665	\N	\N	0
236396	807	1997-11-29	VYDAJ	VYBER KARTOU	600	43109	\N	\N	0
236397	807	1997-12-29	PRIJEM	VKLAD	10500	35158	\N	\N	\N
236398	807	1998-01-28	PRIJEM	VKLAD	10800	33005	\N	\N	\N
236399	807	1998-02-27	PRIJEM	VKLAD	5800	41449	\N	\N	\N
236400	807	1998-03-29	PRIJEM	VKLAD	8600	34218	\N	\N	\N
236401	807	1998-04-28	PRIJEM	VKLAD	10500	32827	\N	\N	\N
236402	807	1998-05-28	VYDAJ	VYBER	4600	35961	\N	\N	\N
236403	807	1998-06-27	VYDAJ	VYBER	8200	45654	\N	\N	\N
236404	807	1998-07-27	PRIJEM	VKLAD	5800	29185	\N	\N	\N
236405	807	1998-08-26	VYDAJ	VYBER KARTOU	900	36043	\N	\N	0
236406	807	1998-09-25	PRIJEM	VKLAD	3500	38306	\N	\N	\N
236407	807	1998-10-25	PRIJEM	VKLAD	4600	36730	\N	\N	\N
236408	807	1998-11-24	VYDAJ	VYBER	4100	36794	\N	\N	\N
236409	807	1998-12-24	VYDAJ	VYBER	9700	41997	\N	\N	\N
236452	808	1995-06-13	PRIJEM	VKLAD	200	200	\N	\N	\N
236459	808	1995-07-07	PRIJEM	VKLAD	15420	15620	\N	\N	\N
236460	808	1995-08-07	PRIJEM	VKLAD	15420	32527	\N	\N	\N
236461	808	1995-09-07	PRIJEM	VKLAD	15420	42240	\N	\N	\N
236462	808	1995-10-07	PRIJEM	VKLAD	15420	50125	\N	\N	\N
236463	808	1995-11-07	PRIJEM	VKLAD	15420	48545	\N	\N	\N
236464	808	1995-12-07	PRIJEM	VKLAD	23130	43230	\N	\N	\N
236465	808	1996-01-07	PRIJEM	VKLAD	15420	31461	\N	\N	\N
236466	808	1996-02-07	PRIJEM	VKLAD	15420	28455	\N	\N	\N
236467	808	1996-03-07	PRIJEM	VKLAD	15420	28275	\N	\N	\N
236468	808	1996-04-07	PRIJEM	VKLAD	15420	12041	\N	\N	\N
236469	808	1996-05-07	PRIJEM	VKLAD	15420	11035	\N	\N	\N
236470	808	1996-06-07	PRIJEM	VKLAD	23130	28562	\N	\N	\N
236471	808	1996-07-07	PRIJEM	VKLAD	15420	12616	\N	\N	\N
236472	808	1996-08-07	PRIJEM	VKLAD	15420	23544	\N	\N	\N
236473	808	1996-09-07	PRIJEM	VKLAD	15420	16340	\N	\N	\N
236474	808	1996-10-07	PRIJEM	VKLAD	15420	27349	\N	\N	\N
236475	808	1996-11-07	PRIJEM	VKLAD	15420	21566	\N	\N	\N
236476	808	1996-12-07	PRIJEM	VKLAD	23130	26077	\N	\N	\N
236477	808	1997-01-07	PRIJEM	VKLAD	15420	29037	\N	\N	\N
236478	808	1997-02-07	PRIJEM	VKLAD	15420	27645	\N	\N	\N
236479	808	1997-03-07	PRIJEM	VKLAD	15420	16754	\N	\N	\N
236480	808	1997-04-07	PRIJEM	VKLAD	15420	27766	\N	\N	\N
236481	808	1997-05-07	PRIJEM	VKLAD	15420	28377	\N	\N	\N
236482	808	1997-06-07	PRIJEM	VKLAD	23130	39118	\N	\N	\N
236483	808	1997-07-07	PRIJEM	VKLAD	15420	21415	\N	\N	\N
236484	808	1997-08-07	PRIJEM	VKLAD	15420	31144	\N	\N	\N
236485	808	1997-09-07	PRIJEM	VKLAD	15420	21696	\N	\N	\N
236486	808	1997-10-07	PRIJEM	VKLAD	15420	32712	\N	\N	\N
236487	808	1997-11-07	PRIJEM	VKLAD	15420	22573	\N	\N	\N
236488	808	1997-12-07	PRIJEM	VKLAD	23130	41338	\N	\N	\N
236489	808	1998-01-07	PRIJEM	VKLAD	15420	36305	\N	\N	\N
236490	808	1998-02-07	PRIJEM	VKLAD	15420	32654	\N	\N	\N
236491	808	1998-03-07	PRIJEM	VKLAD	15420	33096	\N	\N	\N
236492	808	1998-04-07	PRIJEM	VKLAD	15420	26156	\N	\N	\N
236493	808	1998-05-07	PRIJEM	VKLAD	15420	25134	\N	\N	\N
236494	808	1998-06-07	PRIJEM	VKLAD	23130	43912	\N	\N	\N
236495	808	1998-07-07	PRIJEM	VKLAD	15420	25443	\N	\N	\N
236496	808	1998-08-07	PRIJEM	VKLAD	15420	36479	\N	\N	\N
236497	808	1998-09-07	PRIJEM	VKLAD	15420	36451	\N	\N	\N
236498	808	1998-10-07	PRIJEM	VKLAD	15420	28829	\N	\N	\N
236499	808	1998-11-07	PRIJEM	VKLAD	15420	35801	\N	\N	\N
236500	808	1998-12-07	PRIJEM	VKLAD	23130	34381	\N	\N	\N
236512	808	1995-11-30	VYDAJ	VYBER	10000	20100	SIPO	\N	0
236513	808	1996-01-14	VYDAJ	VYBER	11600	15421	SIPO	\N	0
236514	808	1996-02-09	VYDAJ	VYBER	7200	17155	SIPO	\N	0
236515	808	1996-03-09	VYDAJ	VYBER	11700	8275	SIPO	\N	0
236516	808	1996-03-27	VYDAJ	VYBER	11700	-3425	SIPO	\N	0
236517	808	1996-04-27	VYDAJ	VYBER	8500	-4359	SIPO	\N	0
236518	808	1996-06-07	VYDAJ	VYBER	11000	17562	SIPO	\N	0
236519	808	1996-06-26	VYDAJ	VYBER	7400	-2838	SIPO	\N	0
236520	808	1996-08-07	VYDAJ	VYBER	8600	14944	SIPO	\N	0
236521	808	1996-09-04	VYDAJ	VYBER	9600	920	SIPO	\N	0
236522	808	1996-10-10	VYDAJ	VYBER	9300	18049	SIPO	\N	0
236523	808	1996-11-02	VYDAJ	VYBER	7500	6146	SIPO	\N	0
236524	808	1996-12-04	VYDAJ	VYBER	9900	2947	SIPO	\N	0
236525	808	1997-01-11	VYDAJ	VYBER	9900	18297	SIPO	\N	0
236526	808	1997-02-09	VYDAJ	VYBER	11000	16645	SIPO	\N	0
236527	808	1997-03-04	VYDAJ	VYBER	10900	1334	SIPO	\N	0
236528	808	1997-04-10	VYDAJ	VYBER	10400	17366	SIPO	\N	0
236529	808	1997-05-10	VYDAJ	VYBER	8000	20377	SIPO	\N	0
236530	808	1997-06-11	VYDAJ	VYBER	7500	31618	SIPO	\N	0
236531	808	1997-06-30	VYDAJ	VYBER	11700	15595	SIPO	\N	0
236532	808	1997-08-12	VYDAJ	VYBER	8200	22944	SIPO	\N	0
236533	808	1997-08-30	VYDAJ	VYBER	8300	10152	SIPO	\N	0
236534	808	1997-10-14	VYDAJ	VYBER	8400	19820	SIPO	\N	0
236535	808	1997-11-01	VYDAJ	VYBER	10500	7153	SIPO	\N	0
236536	808	1997-12-09	VYDAJ	VYBER	10800	30538	SIPO	\N	0
236537	808	1998-01-11	VYDAJ	VYBER	8600	22665	SIPO	\N	0
236538	808	1998-02-12	VYDAJ	VYBER	10600	22054	SIPO	\N	0
236539	808	1998-03-13	VYDAJ	VYBER	8200	20404	SIPO	\N	0
236540	808	1998-04-03	VYDAJ	VYBER	9800	10736	SIPO	\N	0
236541	808	1998-05-03	VYDAJ	VYBER	8100	9714	SIPO	\N	0
236542	808	1998-06-07	VYDAJ	VYBER	10100	33812	SIPO	\N	0
236543	808	1998-06-28	VYDAJ	VYBER	7400	9860	SIPO	\N	0
236544	808	1998-08-08	VYDAJ	VYBER	11100	25379	SIPO	\N	0
236545	808	1998-09-08	VYDAJ	VYBER	9200	27251	SIPO	\N	0
236546	808	1998-09-29	VYDAJ	VYBER	9500	13259	SIPO	\N	0
236547	808	1998-11-15	VYDAJ	VYBER	10800	20509	SIPO	\N	0
236548	808	1998-12-03	VYDAJ	VYBER	9400	11251	SIPO	\N	0
236559	808	1995-11-05	VYDAJ	VYBER	4200	33125	\N	\N	0
236560	808	1995-12-18	VYDAJ	VYBER	3200	27930	\N	\N	0
236561	808	1996-01-02	VYDAJ	VYBER	4600	16041	\N	\N	0
236562	808	1996-02-18	VYDAJ	VYBER	4400	12755	\N	\N	0
236563	808	1996-03-09	VYDAJ	VYBER	4700	23575	\N	\N	0
236564	808	1996-04-12	VYDAJ	PREVOD NA UCET	4500	4141	UVER	\N	\N
236565	808	1996-05-12	VYDAJ	VYBER	4500	5435	\N	\N	0
236566	808	1996-06-12	VYDAJ	VYBER	4500	4562	\N	\N	0
236567	808	1996-07-12	VYDAJ	PREVOD NA UCET	4492	8124	UVER	QR	95864551
236568	808	1996-08-12	VYDAJ	PREVOD NA UCET	4492	10452	UVER	QR	95864551
236569	808	1996-09-12	VYDAJ	PREVOD NA UCET	4492	11848	UVER	QR	95864551
236570	808	1996-10-12	VYDAJ	PREVOD NA UCET	4492	13557	UVER	QR	95864551
236571	808	1996-11-12	VYDAJ	PREVOD NA UCET	4492	12754	UVER	QR	95864551
236572	808	1996-12-12	VYDAJ	PREVOD NA UCET	4492	21585	UVER	QR	95864551
236573	808	1997-01-12	VYDAJ	PREVOD NA UCET	4492	12125	UVER	QR	95864551
236574	808	1997-02-12	VYDAJ	PREVOD NA UCET	4492	12153	UVER	QR	95864551
236575	808	1997-03-12	VYDAJ	PREVOD NA UCET	4492	12262	UVER	QR	95864551
236576	808	1997-04-12	VYDAJ	PREVOD NA UCET	4492	12874	UVER	QR	95864551
236577	808	1997-05-12	VYDAJ	PREVOD NA UCET	4492	15885	UVER	QR	95864551
236578	808	1997-06-12	VYDAJ	PREVOD NA UCET	4492	27126	UVER	QR	95864551
236579	808	1997-07-12	VYDAJ	PREVOD NA UCET	4492	16923	UVER	QR	95864551
236580	808	1997-08-12	VYDAJ	PREVOD NA UCET	4492	18452	UVER	QR	95864551
236581	808	1997-09-12	VYDAJ	PREVOD NA UCET	4492	17204	UVER	QR	95864551
236582	808	1997-10-12	VYDAJ	PREVOD NA UCET	4492	28220	UVER	QR	95864551
236583	808	1997-11-12	VYDAJ	PREVOD NA UCET	4492	18081	UVER	QR	95864551
236584	808	1997-12-12	VYDAJ	PREVOD NA UCET	4492	26046	UVER	QR	95864551
236585	808	1998-01-12	VYDAJ	PREVOD NA UCET	4492	18173	UVER	QR	95864551
236586	808	1998-02-12	VYDAJ	PREVOD NA UCET	4492	17562	UVER	QR	95864551
236587	808	1998-03-12	VYDAJ	PREVOD NA UCET	4492	28604	UVER	QR	95864551
236588	808	1998-04-12	VYDAJ	PREVOD NA UCET	4492	21664	UVER	QR	95864551
236589	808	1998-05-12	VYDAJ	PREVOD NA UCET	4492	20642	UVER	QR	95864551
236590	808	1998-06-12	VYDAJ	PREVOD NA UCET	4492	29320	UVER	QR	95864551
236591	808	1998-07-12	VYDAJ	PREVOD NA UCET	4492	20951	UVER	QR	95864551
236592	808	1998-08-12	VYDAJ	PREVOD NA UCET	4492	20887	UVER	QR	95864551
236593	808	1998-09-12	VYDAJ	PREVOD NA UCET	4492	22759	UVER	QR	95864551
236594	808	1998-10-12	VYDAJ	PREVOD NA UCET	4492	20257	UVER	QR	95864551
236595	808	1998-11-12	VYDAJ	PREVOD NA UCET	4492	31309	UVER	QR	95864551
236596	808	1998-12-12	VYDAJ	PREVOD NA UCET	4492	29889	UVER	QR	95864551
236600	808	1998-06-16	VYDAJ	VYBER	6560	22760	\N	\N	\N
236605	808	1995-12-26	VYDAJ	VYBER	2080	25850	\N	\N	\N
236606	808	1996-12-20	VYDAJ	VYBER	1280	17425	\N	\N	\N
236607	808	1997-12-19	VYDAJ	VYBER	4480	21566	\N	\N	\N
236616	808	1996-01-09	VYDAJ	VYBER	840	30621	\N	\N	\N
236618	808	1996-01-15	VYDAJ	VYBER	960	14461	\N	\N	\N
236619	808	1996-01-24	VYDAJ	VYBER	1560	12901	\N	\N	\N
236621	808	1997-01-07	VYDAJ	VYBER	840	28197	\N	\N	\N
236624	808	1997-01-01	VYDAJ	VYBER	840	16717	\N	\N	\N
236625	808	1997-01-11	VYDAJ	VYBER	1680	16617	\N	\N	\N
236627	808	1998-01-02	VYDAJ	VYBER	840	20885	\N	\N	\N
236629	808	1998-01-10	VYDAJ	VYBER	1560	31265	\N	\N	\N
236630	808	1998-01-08	VYDAJ	VYBER	3480	32825	\N	\N	\N
236634	808	1995-12-27	VYDAJ	VYBER	5400	20450	\N	\N	\N
236636	808	1996-11-08	VYDAJ	VYBER	4320	17246	\N	\N	\N
236639	808	1996-12-15	VYDAJ	VYBER	2880	18705	\N	\N	\N
236641	808	1997-07-13	VYDAJ	VYBER	1320	15603	\N	\N	\N
236646	808	1998-01-19	VYDAJ	VYBER	1080	17093	\N	\N	\N
236650	808	1998-10-08	VYDAJ	VYBER	4080	24749	\N	\N	\N
236663	808	1995-11-30	VYDAJ	VYBER	15	30100	SLUZBY	\N	\N
236664	808	1995-12-31	VYDAJ	VYBER	15	20641	SLUZBY	\N	\N
236665	808	1996-01-31	VYDAJ	VYBER	15	13035	SLUZBY	\N	\N
236666	808	1996-02-29	VYDAJ	VYBER	15	12855	SLUZBY	\N	\N
236667	808	1996-03-31	VYDAJ	VYBER	15	-3366	SLUZBY	\N	\N
236668	808	1996-04-30	VYDAJ	VYBER	15	-4351	SLUZBY	\N	\N
236669	808	1996-05-31	VYDAJ	VYBER	15	5455	SLUZBY	\N	\N
236670	808	1996-06-30	VYDAJ	VYBER	15	-2798	SLUZBY	\N	\N
236671	808	1996-07-31	VYDAJ	VYBER	15	8124	SLUZBY	\N	\N
236672	808	1996-08-31	VYDAJ	VYBER	15	10520	SLUZBY	\N	\N
236673	808	1996-09-30	VYDAJ	VYBER	15	11929	SLUZBY	\N	\N
236674	808	1996-10-31	VYDAJ	VYBER	15	13646	SLUZBY	\N	\N
236675	808	1996-11-30	VYDAJ	VYBER	15	12847	SLUZBY	\N	\N
236676	808	1996-12-31	VYDAJ	VYBER	15	17557	SLUZBY	\N	\N
236677	808	1997-01-31	VYDAJ	VYBER	15	12225	SLUZBY	\N	\N
236678	808	1997-02-28	VYDAJ	VYBER	15	12234	SLUZBY	\N	\N
236679	808	1997-03-31	VYDAJ	VYBER	15	12346	SLUZBY	\N	\N
236680	808	1997-04-30	VYDAJ	VYBER	15	12957	SLUZBY	\N	\N
236681	808	1997-05-31	VYDAJ	VYBER	15	15988	SLUZBY	\N	\N
236682	808	1997-06-30	VYDAJ	VYBER	15	27295	SLUZBY	\N	\N
236683	808	1997-07-31	VYDAJ	VYBER	15	15724	SLUZBY	\N	\N
236684	808	1997-08-31	VYDAJ	VYBER	15	6276	SLUZBY	\N	\N
236685	808	1997-09-30	VYDAJ	VYBER	15	17292	SLUZBY	\N	\N
236686	808	1997-10-31	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
236687	808	1997-11-30	VYDAJ	VYBER	15	18208	SLUZBY	\N	\N
236688	808	1997-12-31	VYDAJ	VYBER	15	21725	SLUZBY	\N	\N
236689	808	1998-01-31	VYDAJ	VYBER	15	17234	SLUZBY	\N	\N
236690	808	1998-02-28	VYDAJ	VYBER	15	17676	SLUZBY	\N	\N
236691	808	1998-03-31	VYDAJ	VYBER	15	20536	SLUZBY	\N	\N
236692	808	1998-04-30	VYDAJ	VYBER	15	17814	SLUZBY	\N	\N
236693	808	1998-05-31	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
236694	808	1998-06-30	VYDAJ	VYBER	15	10023	SLUZBY	\N	\N
236695	808	1998-07-31	VYDAJ	VYBER	15	21059	SLUZBY	\N	\N
236696	808	1998-08-31	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
236697	808	1998-09-30	VYDAJ	VYBER	15	13409	SLUZBY	\N	\N
236698	808	1998-10-31	VYDAJ	VYBER	15	20381	SLUZBY	\N	\N
236699	808	1998-11-30	VYDAJ	VYBER	15	20651	SLUZBY	\N	\N
236700	808	1995-07-13	PRIJEM	VKLAD	1400	17020	\N	\N	\N
236701	808	1995-08-12	VYDAJ	VYBER	5900	26627	\N	\N	\N
236702	808	1995-09-11	VYDAJ	VYBER	7800	34440	\N	\N	\N
236703	808	1995-10-11	VYDAJ	VYBER	13100	37025	\N	\N	\N
236704	808	1995-11-10	VYDAJ	VYBER	18700	29845	\N	\N	\N
236705	808	1995-12-10	VYDAJ	VYBER	12100	31130	\N	\N	\N
236706	808	1996-01-09	VYDAJ	VYBER	3600	27021	\N	\N	\N
236707	808	1996-02-08	VYDAJ	VYBER	4100	24355	\N	\N	\N
236708	808	1996-03-09	VYDAJ	VYBER	3600	19975	\N	\N	\N
236709	808	1996-04-08	VYDAJ	VYBER	3400	8641	\N	\N	\N
236710	808	1996-05-08	VYDAJ	VYBER	1100	9935	\N	\N	\N
236711	808	1996-06-07	VYDAJ	VYBER	8500	9062	\N	\N	\N
236712	808	1997-01-03	VYDAJ	VYBER	3100	13617	\N	\N	\N
236713	808	1997-07-02	VYDAJ	VYBER	9600	5995	\N	\N	\N
236714	808	1997-08-31	VYDAJ	VYBER	4000	6291	\N	\N	\N
236715	808	1997-10-30	VYDAJ	VYBER	2300	17520	\N	\N	\N
236716	808	1998-04-28	VYDAJ	VYBER	4000	17664	\N	\N	\N
236717	808	1998-06-27	VYDAJ	VYBER	5500	17260	\N	\N	\N
236760	809	1995-12-20	PRIJEM	VKLAD	900	900	\N	\N	\N
236773	809	1996-01-09	PRIJEM	VKLAD	19618	20518	\N	\N	\N
236774	809	1996-02-09	PRIJEM	VKLAD	19618	40136	\N	\N	\N
236775	809	1996-03-09	PRIJEM	VKLAD	19618	52611	\N	\N	\N
236776	809	1996-04-09	PRIJEM	VKLAD	19618	55771	\N	\N	\N
236777	809	1996-05-09	PRIJEM	VKLAD	19618	54337	\N	\N	\N
236778	809	1996-06-09	PRIJEM	VKLAD	29427	58300	\N	\N	\N
236779	809	1996-07-09	PRIJEM	VKLAD	19618	41563	\N	\N	\N
236780	809	1996-08-09	PRIJEM	VKLAD	19618	34293	\N	\N	\N
236781	809	1996-09-09	PRIJEM	VKLAD	19618	34205	\N	\N	\N
236782	809	1996-10-09	PRIJEM	VKLAD	19618	34615	\N	\N	\N
236783	809	1996-11-09	PRIJEM	VKLAD	19618	32923	\N	\N	\N
236784	809	1996-12-09	PRIJEM	VKLAD	29427	45661	\N	\N	\N
236785	809	1997-01-09	PRIJEM	VKLAD	19618	36478	\N	\N	\N
236786	809	1997-02-09	PRIJEM	VKLAD	19618	28143	\N	\N	\N
236787	809	1997-03-09	PRIJEM	VKLAD	19618	25459	\N	\N	\N
236788	809	1997-04-09	PRIJEM	VKLAD	19618	24933	\N	\N	\N
236789	809	1997-05-09	PRIJEM	VKLAD	19618	27107	\N	\N	\N
236790	809	1997-06-09	PRIJEM	VKLAD	29427	33785	\N	\N	\N
236791	809	1997-07-09	PRIJEM	VKLAD	19618	29666	\N	\N	\N
236792	809	1997-08-09	PRIJEM	VKLAD	19618	25369	\N	\N	\N
236793	809	1997-09-09	PRIJEM	VKLAD	19618	25457	\N	\N	\N
236794	809	1997-10-09	PRIJEM	VKLAD	19618	27429	\N	\N	\N
236795	809	1997-11-09	PRIJEM	VKLAD	19618	27603	\N	\N	\N
236796	809	1997-12-09	PRIJEM	VKLAD	29427	34174	\N	\N	\N
236797	809	1998-01-09	PRIJEM	VKLAD	19618	24820	\N	\N	\N
236798	809	1998-02-09	PRIJEM	VKLAD	19618	25268	\N	\N	\N
236799	809	1998-03-09	PRIJEM	VKLAD	19618	31745	\N	\N	\N
236800	809	1998-04-09	PRIJEM	VKLAD	19618	27624	\N	\N	\N
236801	809	1998-05-09	PRIJEM	VKLAD	19618	32229	\N	\N	\N
236802	809	1998-06-09	PRIJEM	VKLAD	29427	45869	\N	\N	\N
236803	809	1998-07-09	PRIJEM	VKLAD	19618	34050	\N	\N	\N
236804	809	1998-08-09	PRIJEM	VKLAD	19618	32588	\N	\N	\N
236805	809	1998-09-09	PRIJEM	VKLAD	19618	31724	\N	\N	\N
236806	809	1998-10-09	PRIJEM	VKLAD	19618	32657	\N	\N	\N
236807	809	1998-11-09	PRIJEM	VKLAD	19618	31992	\N	\N	\N
236808	809	1998-12-09	PRIJEM	VKLAD	29427	40834	\N	\N	\N
236826	809	1996-06-07	VYDAJ	PREVOD NA UCET	8298	28873	SIPO	GH	26098048
236827	809	1996-07-07	VYDAJ	PREVOD NA UCET	8298	21945	SIPO	GH	26098048
236828	809	1996-08-07	VYDAJ	PREVOD NA UCET	8298	14675	SIPO	GH	26098048
236829	809	1996-09-07	VYDAJ	PREVOD NA UCET	8298	14587	SIPO	GH	26098048
236830	809	1996-10-07	VYDAJ	PREVOD NA UCET	8298	14997	SIPO	GH	26098048
236831	809	1996-11-07	VYDAJ	PREVOD NA UCET	8298	13305	SIPO	GH	26098048
236832	809	1996-12-07	VYDAJ	PREVOD NA UCET	8298	16234	SIPO	GH	26098048
236833	809	1997-01-07	VYDAJ	PREVOD NA UCET	8298	16860	SIPO	GH	26098048
236834	809	1997-02-07	VYDAJ	PREVOD NA UCET	8298	8525	SIPO	GH	26098048
236835	809	1997-03-07	VYDAJ	PREVOD NA UCET	8298	5841	SIPO	GH	26098048
236836	809	1997-04-07	VYDAJ	PREVOD NA UCET	8298	5315	SIPO	GH	26098048
236837	809	1997-05-07	VYDAJ	PREVOD NA UCET	8298	7489	SIPO	GH	26098048
236838	809	1997-06-07	VYDAJ	PREVOD NA UCET	8298	4358	SIPO	GH	26098048
236839	809	1997-07-07	VYDAJ	PREVOD NA UCET	8298	10048	SIPO	GH	26098048
236840	809	1997-08-07	VYDAJ	PREVOD NA UCET	8298	5751	SIPO	GH	26098048
236841	809	1997-09-07	VYDAJ	PREVOD NA UCET	8298	5839	SIPO	GH	26098048
236842	809	1997-10-07	VYDAJ	PREVOD NA UCET	8298	7811	SIPO	GH	26098048
236843	809	1997-11-07	VYDAJ	PREVOD NA UCET	8298	7985	SIPO	GH	26098048
236844	809	1997-12-07	VYDAJ	PREVOD NA UCET	8298	4747	SIPO	GH	26098048
236845	809	1998-01-07	VYDAJ	PREVOD NA UCET	8298	5202	SIPO	GH	26098048
236846	809	1998-02-07	VYDAJ	PREVOD NA UCET	8298	5650	SIPO	GH	26098048
236847	809	1998-03-07	VYDAJ	PREVOD NA UCET	8298	12127	SIPO	GH	26098048
236848	809	1998-04-07	VYDAJ	PREVOD NA UCET	8298	8006	SIPO	GH	26098048
236849	809	1998-05-07	VYDAJ	PREVOD NA UCET	8298	17611	SIPO	GH	26098048
236850	809	1998-06-07	VYDAJ	PREVOD NA UCET	8298	16442	SIPO	GH	26098048
236851	809	1998-07-07	VYDAJ	PREVOD NA UCET	8298	14432	SIPO	GH	26098048
236852	809	1998-08-07	VYDAJ	PREVOD NA UCET	8298	12970	SIPO	GH	26098048
236853	809	1998-09-07	VYDAJ	PREVOD NA UCET	8298	12106	SIPO	GH	26098048
236854	809	1998-10-07	VYDAJ	PREVOD NA UCET	8298	13039	SIPO	GH	26098048
236855	809	1998-11-07	VYDAJ	PREVOD NA UCET	8298	12374	SIPO	GH	26098048
236856	809	1998-12-07	VYDAJ	PREVOD NA UCET	8298	11407	SIPO	GH	26098048
236858	809	1996-06-13	VYDAJ	VYBER	12000	46300	\N	\N	\N
236860	809	1998-06-15	VYDAJ	VYBER	16160	29709	\N	\N	\N
236864	809	1998-01-14	VYDAJ	VYBER	6240	14860	\N	\N	\N
236866	809	1996-12-29	VYDAJ	VYBER	3840	27921	\N	\N	\N
236867	809	1997-12-15	VYDAJ	VYBER	3360	16914	\N	\N	\N
236868	809	1998-12-27	VYDAJ	VYBER	1280	39554	\N	\N	\N
236881	809	1997-01-13	VYDAJ	VYBER	3120	31678	\N	\N	\N
236882	809	1997-01-25	VYDAJ	VYBER	2880	19498	\N	\N	\N
236883	809	1997-01-10	VYDAJ	VYBER	720	35758	\N	\N	\N
236884	809	1997-01-03	VYDAJ	VYBER	2880	25158	\N	\N	\N
236885	809	1997-01-29	VYDAJ	VYBER	2760	16738	\N	\N	\N
236886	809	1997-01-11	VYDAJ	VYBER	960	34798	\N	\N	\N
236887	809	1998-01-04	VYDAJ	VYBER	600	13500	\N	\N	\N
236888	809	1998-01-10	VYDAJ	VYBER	2400	21100	\N	\N	\N
236889	809	1998-01-09	VYDAJ	VYBER	1320	23500	\N	\N	\N
236890	809	1998-01-01	VYDAJ	VYBER	2880	14100	\N	\N	\N
236900	809	1996-11-09	VYDAJ	VYBER	1680	31243	\N	\N	\N
236902	809	1996-07-19	VYDAJ	VYBER	4200	22863	\N	\N	\N
236904	809	1997-03-17	VYDAJ	VYBER	720	16439	\N	\N	\N
236905	809	1997-03-23	VYDAJ	VYBER	2880	13559	\N	\N	\N
236906	809	1997-08-20	VYDAJ	VYBER	1080	14089	\N	\N	\N
236910	809	1997-02-16	VYDAJ	VYBER	3960	14083	\N	\N	\N
236911	809	1997-07-28	VYDAJ	VYBER	4080	13986	\N	\N	\N
236912	809	1998-01-25	VYDAJ	VYBER	960	13900	\N	\N	\N
236913	809	1998-03-04	VYDAJ	VYBER	4920	20425	\N	\N	\N
236914	809	1998-04-23	VYDAJ	VYBER	1800	25824	\N	\N	\N
236934	809	1996-05-31	VYDAJ	VYBER	15	37171	SLUZBY	\N	\N
236935	809	1996-06-30	VYDAJ	VYBER	15	30243	SLUZBY	\N	\N
236936	809	1996-07-31	VYDAJ	VYBER	15	22973	SLUZBY	\N	\N
236937	809	1996-08-31	VYDAJ	VYBER	15	22885	SLUZBY	\N	\N
236938	809	1996-09-30	VYDAJ	VYBER	15	23295	SLUZBY	\N	\N
236939	809	1996-10-31	VYDAJ	VYBER	15	21603	SLUZBY	\N	\N
236940	809	1996-11-30	VYDAJ	VYBER	15	24532	SLUZBY	\N	\N
236941	809	1996-12-31	VYDAJ	VYBER	15	28038	SLUZBY	\N	\N
236942	809	1997-01-31	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
236943	809	1997-02-28	VYDAJ	VYBER	15	14139	SLUZBY	\N	\N
236944	809	1997-03-31	VYDAJ	VYBER	15	13613	SLUZBY	\N	\N
236945	809	1997-04-30	VYDAJ	VYBER	15	15787	SLUZBY	\N	\N
236946	809	1997-05-31	VYDAJ	VYBER	15	12656	SLUZBY	\N	\N
236947	809	1997-06-30	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
236948	809	1997-07-31	VYDAJ	VYBER	15	14049	SLUZBY	\N	\N
236949	809	1997-08-31	VYDAJ	VYBER	15	14137	SLUZBY	\N	\N
236950	809	1997-09-30	VYDAJ	VYBER	15	16109	SLUZBY	\N	\N
236951	809	1997-10-31	VYDAJ	VYBER	15	16283	SLUZBY	\N	\N
236952	809	1997-11-30	VYDAJ	VYBER	15	13045	SLUZBY	\N	\N
236953	809	1997-12-31	VYDAJ	VYBER	15	16980	SLUZBY	\N	\N
236954	809	1998-01-31	VYDAJ	VYBER	15	13948	SLUZBY	\N	\N
236955	809	1998-02-28	VYDAJ	VYBER	15	25345	SLUZBY	\N	\N
236956	809	1998-03-31	VYDAJ	VYBER	15	16304	SLUZBY	\N	\N
236957	809	1998-04-30	VYDAJ	VYBER	15	25909	SLUZBY	\N	\N
236958	809	1998-05-31	VYDAJ	VYBER	15	32340	SLUZBY	\N	\N
236959	809	1998-06-30	VYDAJ	VYBER	15	29830	SLUZBY	\N	\N
236960	809	1998-07-31	VYDAJ	VYBER	15	34168	SLUZBY	\N	\N
236961	809	1998-08-31	VYDAJ	VYBER	15	32704	SLUZBY	\N	\N
236962	809	1998-09-30	VYDAJ	VYBER	15	31837	SLUZBY	\N	\N
236963	809	1998-10-31	VYDAJ	VYBER	15	32772	SLUZBY	\N	\N
236964	809	1998-11-30	VYDAJ	VYBER	15	32105	SLUZBY	\N	\N
236965	809	1996-02-18	VYDAJ	VYBER	7200	32936	\N	\N	\N
236966	809	1996-03-19	VYDAJ	VYBER	16600	36011	\N	\N	\N
236967	809	1996-04-18	VYDAJ	VYBER	21200	34571	\N	\N	\N
236968	809	1996-05-18	VYDAJ	VYBER	17300	37037	\N	\N	\N
236969	809	1996-06-17	VYDAJ	VYBER	16200	30100	\N	\N	\N
236970	809	1996-07-17	VYDAJ	VYBER	14500	27063	\N	\N	\N
236971	809	1996-08-16	VYDAJ	VYBER	11500	22793	\N	\N	\N
236972	809	1996-09-15	VYDAJ	VYBER	11000	23205	\N	\N	\N
236973	809	1996-10-15	VYDAJ	VYBER	13100	21515	\N	\N	\N
236974	809	1996-11-14	VYDAJ	VYBER	6800	24443	\N	\N	\N
236975	809	1996-12-14	VYDAJ	VYBER	13900	31761	\N	\N	\N
236976	809	1997-01-13	VYDAJ	VYBER	9300	22378	\N	\N	\N
236977	809	1997-02-12	VYDAJ	VYBER	10100	18043	\N	\N	\N
236978	809	1997-03-14	VYDAJ	VYBER	8300	17159	\N	\N	\N
236979	809	1997-04-13	VYDAJ	VYBER	9200	15733	\N	\N	\N
236980	809	1997-05-13	VYDAJ	VYBER	14500	12607	\N	\N	\N
236981	809	1997-06-12	VYDAJ	VYBER	15500	18285	\N	\N	\N
236982	809	1997-07-12	VYDAJ	VYBER	11600	18066	\N	\N	\N
236983	809	1997-08-11	VYDAJ	VYBER	10200	15169	\N	\N	\N
236984	809	1997-09-10	VYDAJ	VYBER	9400	16057	\N	\N	\N
236985	809	1997-10-10	VYDAJ	VYBER	11200	16229	\N	\N	\N
236986	809	1997-11-09	VYDAJ	VYBER	14600	13003	\N	\N	\N
236987	809	1997-12-09	VYDAJ	VYBER	13900	20274	\N	\N	\N
236988	809	1998-03-09	VYDAJ	VYBER	15500	16245	\N	\N	\N
236989	809	1998-05-08	VYDAJ	VYBER	5000	12611	\N	\N	\N
236990	809	1998-06-07	VYDAJ	VYBER	7600	24740	\N	\N	\N
236991	809	1998-07-07	VYDAJ	VYBER	7100	22730	\N	\N	\N
236992	809	1998-08-06	VYDAJ	VYBER	12900	21268	\N	\N	\N
236993	809	1998-09-05	VYDAJ	VYBER	12300	20404	\N	\N	\N
236994	809	1998-10-05	VYDAJ	VYBER	10500	21337	\N	\N	\N
236995	809	1998-11-04	VYDAJ	VYBER	12100	20672	\N	\N	\N
236996	809	1998-12-04	VYDAJ	VYBER	12400	19705	\N	\N	\N
237032	810	1995-11-11	PRIJEM	VKLAD	200	200	\N	\N	\N
237043	810	1995-11-14	PRIJEM	PREVOD Z UCTU	4798	4998	DUCHOD	EF	72355246
237044	810	1995-12-14	PRIJEM	PREVOD Z UCTU	4798	9808	DUCHOD	EF	72355246
237045	810	1996-01-14	PRIJEM	PREVOD Z UCTU	4798	14627	DUCHOD	EF	72355246
237046	810	1996-02-14	PRIJEM	PREVOD Z UCTU	4798	19445	DUCHOD	EF	72355246
237047	810	1996-03-14	PRIJEM	PREVOD Z UCTU	4798	24264	DUCHOD	EF	72355246
237048	810	1996-04-14	PRIJEM	PREVOD Z UCTU	4798	20035	DUCHOD	EF	72355246
237049	810	1996-05-14	PRIJEM	PREVOD Z UCTU	4798	22829	DUCHOD	EF	72355246
237050	810	1996-06-14	PRIJEM	PREVOD Z UCTU	4798	25627	DUCHOD	EF	72355246
237051	810	1996-07-14	PRIJEM	PREVOD Z UCTU	4798	28436	DUCHOD	EF	72355246
237052	810	1996-08-14	PRIJEM	PREVOD Z UCTU	4798	30957	DUCHOD	EF	72355246
237053	810	1996-09-14	PRIJEM	PREVOD Z UCTU	4798	29388	DUCHOD	EF	72355246
237054	810	1996-10-14	PRIJEM	PREVOD Z UCTU	4798	26094	DUCHOD	EF	72355246
237055	810	1996-11-14	PRIJEM	PREVOD Z UCTU	4798	26707	DUCHOD	EF	72355246
237056	810	1996-12-14	PRIJEM	PREVOD Z UCTU	4798	22871	DUCHOD	EF	72355246
237057	810	1997-01-14	PRIJEM	PREVOD Z UCTU	4798	20654	DUCHOD	EF	72355246
237058	810	1997-02-14	PRIJEM	PREVOD Z UCTU	4798	17680	DUCHOD	EF	72355246
237059	810	1997-03-14	PRIJEM	PREVOD Z UCTU	4798	19555	DUCHOD	EF	72355246
237060	810	1997-04-14	PRIJEM	PREVOD Z UCTU	4798	18074	DUCHOD	EF	72355246
237061	810	1997-05-14	PRIJEM	PREVOD Z UCTU	4798	20851	DUCHOD	EF	72355246
237062	810	1997-06-14	PRIJEM	PREVOD Z UCTU	4798	22758	DUCHOD	EF	72355246
237063	810	1997-07-14	PRIJEM	PREVOD Z UCTU	4798	16745	DUCHOD	EF	72355246
237064	810	1997-08-14	PRIJEM	PREVOD Z UCTU	4798	17112	DUCHOD	EF	72355246
237065	810	1997-09-14	PRIJEM	PREVOD Z UCTU	4798	18365	DUCHOD	EF	72355246
237066	810	1997-10-14	PRIJEM	PREVOD Z UCTU	4798	20545	DUCHOD	EF	72355246
237067	810	1997-11-14	PRIJEM	PREVOD Z UCTU	4798	16832	DUCHOD	EF	72355246
237068	810	1997-12-14	PRIJEM	PREVOD Z UCTU	4798	18004	DUCHOD	EF	72355246
237069	810	1998-01-14	PRIJEM	PREVOD Z UCTU	4798	16132	DUCHOD	EF	72355246
237070	810	1998-02-14	PRIJEM	PREVOD Z UCTU	4798	16661	DUCHOD	EF	72355246
237071	810	1998-03-14	PRIJEM	PREVOD Z UCTU	4798	17232	DUCHOD	EF	72355246
237072	810	1998-04-14	PRIJEM	PREVOD Z UCTU	4798	20010	DUCHOD	EF	72355246
237073	810	1998-05-14	PRIJEM	PREVOD Z UCTU	4798	19512	DUCHOD	EF	72355246
237074	810	1998-06-14	PRIJEM	PREVOD Z UCTU	4798	22296	DUCHOD	EF	72355246
237075	810	1998-07-14	PRIJEM	PREVOD Z UCTU	4798	22936	DUCHOD	EF	72355246
237076	810	1998-08-14	PRIJEM	PREVOD Z UCTU	4798	22854	DUCHOD	EF	72355246
237077	810	1998-09-14	PRIJEM	PREVOD Z UCTU	4798	23334	DUCHOD	EF	72355246
237078	810	1998-10-14	PRIJEM	PREVOD Z UCTU	4798	25414	DUCHOD	EF	72355246
237079	810	1998-11-14	PRIJEM	PREVOD Z UCTU	4798	28222	DUCHOD	EF	72355246
237080	810	1998-12-14	PRIJEM	PREVOD Z UCTU	4798	31042	DUCHOD	EF	72355246
237096	810	1996-04-11	VYDAJ	PREVOD NA UCET	2076	15237	SIPO	UV	99310320
237097	810	1996-05-11	VYDAJ	PREVOD NA UCET	2076	18031	SIPO	UV	99310320
237098	810	1996-06-11	VYDAJ	PREVOD NA UCET	2076	20829	SIPO	UV	99310320
237099	810	1996-07-11	VYDAJ	PREVOD NA UCET	2076	23638	SIPO	UV	99310320
237100	810	1996-08-11	VYDAJ	PREVOD NA UCET	2076	26159	SIPO	UV	99310320
237101	810	1996-09-11	VYDAJ	PREVOD NA UCET	2076	24590	SIPO	UV	99310320
237102	810	1996-10-11	VYDAJ	PREVOD NA UCET	2076	21296	SIPO	UV	99310320
237103	810	1996-11-11	VYDAJ	PREVOD NA UCET	2076	21909	SIPO	UV	99310320
237104	810	1996-12-11	VYDAJ	PREVOD NA UCET	2076	18073	SIPO	UV	99310320
237105	810	1997-01-11	VYDAJ	PREVOD NA UCET	2076	15856	SIPO	UV	99310320
237106	810	1997-02-11	VYDAJ	PREVOD NA UCET	2076	12882	SIPO	UV	99310320
237107	810	1997-03-11	VYDAJ	PREVOD NA UCET	2076	14757	SIPO	UV	99310320
237108	810	1997-04-11	VYDAJ	PREVOD NA UCET	2076	13276	SIPO	UV	99310320
237109	810	1997-05-11	VYDAJ	PREVOD NA UCET	2076	16053	SIPO	UV	99310320
237110	810	1997-06-11	VYDAJ	PREVOD NA UCET	2076	17960	SIPO	UV	99310320
237111	810	1997-07-11	VYDAJ	PREVOD NA UCET	2076	11947	SIPO	UV	99310320
237112	810	1997-08-11	VYDAJ	PREVOD NA UCET	2076	12314	SIPO	UV	99310320
237113	810	1997-09-11	VYDAJ	PREVOD NA UCET	2076	13567	SIPO	UV	99310320
237114	810	1997-10-11	VYDAJ	PREVOD NA UCET	2076	15747	SIPO	UV	99310320
237461	812	1997-10-12	PRIJEM	VKLAD	19549	53905	\N	\N	\N
237115	810	1997-11-11	VYDAJ	PREVOD NA UCET	2076	12034	SIPO	UV	99310320
237116	810	1997-12-11	VYDAJ	PREVOD NA UCET	2076	13206	SIPO	UV	99310320
237117	810	1998-01-11	VYDAJ	PREVOD NA UCET	2076	11334	SIPO	UV	99310320
237118	810	1998-02-11	VYDAJ	PREVOD NA UCET	2076	11863	SIPO	UV	99310320
237119	810	1998-03-11	VYDAJ	PREVOD NA UCET	2076	12434	SIPO	UV	99310320
237120	810	1998-04-11	VYDAJ	PREVOD NA UCET	2076	15212	SIPO	UV	99310320
237121	810	1998-05-11	VYDAJ	PREVOD NA UCET	2076	14714	SIPO	UV	99310320
237122	810	1998-06-11	VYDAJ	PREVOD NA UCET	2076	17498	SIPO	UV	99310320
237123	810	1998-07-11	VYDAJ	PREVOD NA UCET	2076	18138	SIPO	UV	99310320
237124	810	1998-08-11	VYDAJ	PREVOD NA UCET	2076	18056	SIPO	UV	99310320
237125	810	1998-09-11	VYDAJ	PREVOD NA UCET	2076	18536	SIPO	UV	99310320
237126	810	1998-10-11	VYDAJ	PREVOD NA UCET	2076	20616	SIPO	UV	99310320
237127	810	1998-11-11	VYDAJ	PREVOD NA UCET	2076	23424	SIPO	UV	99310320
237128	810	1998-12-11	VYDAJ	PREVOD NA UCET	2076	26244	SIPO	UV	99310320
237131	810	1997-06-22	VYDAJ	VYBER	8800	13958	\N	\N	\N
237132	810	1998-06-17	VYDAJ	VYBER	2150	20146	\N	\N	\N
237135	810	1997-01-06	VYDAJ	VYBER	2700	17932	\N	\N	\N
237138	810	1996-12-08	VYDAJ	VYBER	1050	21189	\N	\N	\N
237139	810	1997-12-30	VYDAJ	VYBER	250	17354	\N	\N	\N
237140	810	1998-12-30	VYDAJ	VYBER	700	30342	\N	\N	\N
237153	810	1997-01-15	VYDAJ	VYBER	1280	18254	\N	\N	\N
237154	810	1997-01-30	VYDAJ	VYBER	2080	14894	\N	\N	\N
237155	810	1997-01-01	VYDAJ	VYBER	2320	20632	\N	\N	\N
237156	810	1997-01-28	VYDAJ	VYBER	560	16974	\N	\N	\N
237157	810	1997-01-15	VYDAJ	VYBER	1120	19534	\N	\N	\N
237158	810	1997-01-23	VYDAJ	VYBER	720	17534	\N	\N	\N
237159	810	1998-01-08	VYDAJ	VYBER	2000	13410	\N	\N	\N
237160	810	1998-01-21	VYDAJ	VYBER	1440	14692	\N	\N	\N
237161	810	1998-01-26	VYDAJ	VYBER	800	13892	\N	\N	\N
237164	810	1998-01-01	VYDAJ	VYBER	2000	15410	\N	\N	\N
237172	810	1996-09-22	VYDAJ	VYBER	3920	25468	\N	\N	\N
237173	810	1996-12-08	VYDAJ	VYBER	1040	20149	\N	\N	\N
237175	810	1996-11-21	VYDAJ	VYBER	560	26147	\N	\N	\N
237176	810	1996-04-10	VYDAJ	VYBER	3040	17313	\N	\N	\N
237177	810	1996-11-08	VYDAJ	VYBER	2000	23985	\N	\N	\N
237178	810	1996-04-07	VYDAJ	VYBER	3920	20353	\N	\N	\N
237179	810	1997-09-08	VYDAJ	VYBER	1520	15643	\N	\N	\N
237183	810	1997-05-14	VYDAJ	VYBER	880	19971	\N	\N	\N
237184	810	1997-03-20	VYDAJ	VYBER	3760	15795	\N	\N	\N
237186	810	1997-07-16	VYDAJ	VYBER	2400	14345	\N	\N	\N
237187	810	1998-04-24	VYDAJ	VYBER	3280	16730	\N	\N	\N
237189	810	1998-09-17	VYDAJ	VYBER	720	22614	\N	\N	\N
237190	810	1998-08-03	VYDAJ	VYBER	2880	20132	\N	\N	\N
237191	810	1998-09-10	VYDAJ	VYBER	2320	20612	\N	\N	\N
237208	810	1996-03-31	VYDAJ	VYBER	15	24273	SLUZBY	\N	\N
237209	810	1996-04-30	VYDAJ	VYBER	15	20107	SLUZBY	\N	\N
237210	810	1996-05-31	VYDAJ	VYBER	15	22905	SLUZBY	\N	\N
237211	810	1996-06-30	VYDAJ	VYBER	15	25714	SLUZBY	\N	\N
237212	810	1996-07-31	VYDAJ	VYBER	15	28535	SLUZBY	\N	\N
237213	810	1996-08-31	VYDAJ	VYBER	15	31066	SLUZBY	\N	\N
237214	810	1996-09-30	VYDAJ	VYBER	15	25572	SLUZBY	\N	\N
237215	810	1996-10-31	VYDAJ	VYBER	15	26185	SLUZBY	\N	\N
237216	810	1996-11-30	VYDAJ	VYBER	15	26239	SLUZBY	\N	\N
237217	810	1996-12-31	VYDAJ	VYBER	15	22952	SLUZBY	\N	\N
237218	810	1997-01-31	VYDAJ	VYBER	15	14958	SLUZBY	\N	\N
237219	810	1997-02-28	VYDAJ	VYBER	15	17733	SLUZBY	\N	\N
237220	810	1997-03-31	VYDAJ	VYBER	15	15852	SLUZBY	\N	\N
237221	810	1997-04-30	VYDAJ	VYBER	15	18129	SLUZBY	\N	\N
237222	810	1997-05-31	VYDAJ	VYBER	15	20036	SLUZBY	\N	\N
237223	810	1997-06-30	VYDAJ	VYBER	15	14023	SLUZBY	\N	\N
237224	810	1997-07-31	VYDAJ	VYBER	15	14390	SLUZBY	\N	\N
237225	810	1997-08-31	VYDAJ	VYBER	15	17163	SLUZBY	\N	\N
237226	810	1997-09-30	VYDAJ	VYBER	15	18423	SLUZBY	\N	\N
237227	810	1997-10-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
237228	810	1997-11-30	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
237229	810	1997-12-31	VYDAJ	VYBER	15	17410	SLUZBY	\N	\N
237230	810	1998-01-31	VYDAJ	VYBER	15	13939	SLUZBY	\N	\N
237231	810	1998-02-28	VYDAJ	VYBER	15	16710	SLUZBY	\N	\N
237232	810	1998-03-31	VYDAJ	VYBER	15	17288	SLUZBY	\N	\N
237233	810	1998-04-30	VYDAJ	VYBER	15	16790	SLUZBY	\N	\N
237234	810	1998-05-31	VYDAJ	VYBER	15	19574	SLUZBY	\N	\N
237235	810	1998-06-30	VYDAJ	VYBER	15	20214	SLUZBY	\N	\N
237236	810	1998-07-31	VYDAJ	VYBER	15	23012	SLUZBY	\N	\N
237237	810	1998-08-31	VYDAJ	VYBER	15	22932	SLUZBY	\N	\N
237238	810	1998-09-30	VYDAJ	VYBER	15	22692	SLUZBY	\N	\N
237239	810	1998-10-31	VYDAJ	VYBER	15	25500	SLUZBY	\N	\N
237240	810	1998-11-30	VYDAJ	VYBER	15	28320	SLUZBY	\N	\N
237241	810	1996-08-07	VYDAJ	VYBER	300	28235	\N	\N	\N
237242	810	1996-09-06	VYDAJ	VYBER	4400	26666	\N	\N	\N
237243	810	1996-10-06	VYDAJ	VYBER	2200	23372	\N	\N	\N
237244	810	1996-11-05	VYDAJ	VYBER	200	25985	\N	\N	\N
237245	810	1996-12-05	VYDAJ	VYBER	4000	22239	\N	\N	\N
237246	810	1997-03-05	VYDAJ	VYBER	900	16833	\N	\N	\N
237247	810	1997-04-04	VYDAJ	VYBER	500	15352	\N	\N	\N
237248	810	1997-10-01	VYDAJ	VYBER	600	17823	\N	\N	\N
237249	810	1997-10-31	VYDAJ	VYBER	6500	14125	\N	\N	\N
237250	810	1997-11-30	VYDAJ	VYBER	1600	15297	\N	\N	\N
237251	810	1997-12-30	VYDAJ	VYBER	400	17604	\N	\N	\N
237252	810	1998-02-28	VYDAJ	VYBER	2200	14510	\N	\N	\N
237291	811	1997-08-01	PRIJEM	VKLAD	300	300	\N	\N	\N
237299	811	1997-08-07	PRIJEM	PREVOD Z UCTU	31030	31330	\N	ST	13195377
237300	811	1997-09-07	PRIJEM	PREVOD Z UCTU	31030	59565	\N	ST	13195377
237301	811	1997-10-07	PRIJEM	PREVOD Z UCTU	31030	70415	\N	ST	13195377
237302	811	1997-11-07	PRIJEM	PREVOD Z UCTU	31030	75011	\N	ST	13195377
237303	811	1997-12-07	PRIJEM	PREVOD Z UCTU	46545	95940	\N	ST	13195377
237304	811	1998-01-07	PRIJEM	PREVOD Z UCTU	31030	75716	\N	ST	13195377
237305	811	1998-02-07	PRIJEM	PREVOD Z UCTU	31030	58400	\N	ST	13195377
237306	811	1998-03-07	PRIJEM	PREVOD Z UCTU	31030	68919	\N	ST	13195377
237307	811	1998-04-07	PRIJEM	PREVOD Z UCTU	31030	70171	\N	ST	13195377
237308	811	1998-05-07	PRIJEM	PREVOD Z UCTU	31030	79095	\N	ST	13195377
237309	811	1998-06-07	PRIJEM	PREVOD Z UCTU	46545	95364	\N	ST	13195377
237310	811	1998-07-07	PRIJEM	PREVOD Z UCTU	31030	98010	\N	ST	13195377
237311	811	1998-08-07	PRIJEM	PREVOD Z UCTU	31030	85909	\N	ST	13195377
237312	811	1998-09-07	PRIJEM	PREVOD Z UCTU	31030	80499	\N	ST	13195377
237313	811	1998-10-07	PRIJEM	PREVOD Z UCTU	31030	80793	\N	ST	13195377
237314	811	1998-11-07	PRIJEM	PREVOD Z UCTU	31030	79084	\N	ST	13195377
237315	811	1998-12-07	PRIJEM	PREVOD Z UCTU	46545	90781	\N	ST	13195377
237327	811	1997-12-17	VYDAJ	VYBER	4500	91440	\N	\N	0
237328	811	1998-01-15	VYDAJ	VYBER	3600	46616	\N	\N	0
237329	811	1998-03-01	VYDAJ	VYBER	5600	37889	\N	\N	0
237330	811	1998-03-23	VYDAJ	VYBER	4300	64619	\N	\N	0
237331	811	1998-04-11	VYDAJ	VYBER	6700	63471	\N	\N	0
237332	811	1998-05-13	VYDAJ	VYBER	6100	72995	\N	\N	0
237333	811	1998-06-01	VYDAJ	VYBER	5100	48819	\N	\N	0
237334	811	1998-07-20	VYDAJ	VYBER	5700	92310	\N	\N	0
237335	811	1998-08-06	VYDAJ	VYBER	5700	54879	\N	\N	0
237336	811	1998-09-01	VYDAJ	VYBER	6200	49469	\N	\N	0
237337	811	1998-10-03	VYDAJ	VYBER	5500	49763	\N	\N	0
237338	811	1998-11-01	VYDAJ	VYBER	7600	48054	\N	\N	0
237339	811	1998-12-14	VYDAJ	VYBER	5500	85281	\N	\N	0
237356	811	1998-01-10	VYDAJ	VYBER	21900	50216	\N	\N	\N
237357	811	1997-12-29	VYDAJ	VYBER	3000	57640	\N	\N	\N
237358	811	1998-12-04	VYDAJ	VYBER	6000	44236	\N	\N	\N
237365	811	1998-01-21	VYDAJ	VYBER	8700	35816	\N	\N	\N
237366	811	1998-01-05	VYDAJ	VYBER	7200	44686	\N	\N	\N
237367	811	1998-01-21	VYDAJ	VYBER	8700	27116	\N	\N	\N
237368	811	1998-01-18	VYDAJ	VYBER	2100	44516	\N	\N	\N
237369	811	1998-01-02	VYDAJ	VYBER	6000	51886	\N	\N	\N
237370	811	1998-01-08	VYDAJ	VYBER	3600	72116	\N	\N	\N
237377	811	1998-08-24	VYDAJ	VYBER	3000	69709	\N	\N	\N
237378	811	1998-03-30	VYDAJ	VYBER	6300	38919	\N	\N	\N
237379	811	1998-12-28	VYDAJ	VYBER	1800	55781	\N	\N	\N
237380	811	1998-08-14	VYDAJ	VYBER	13200	72709	\N	\N	\N
237393	811	1997-12-31	VYDAJ	VYBER	30	57886	SLUZBY	\N	\N
237394	811	1998-01-31	VYDAJ	VYBER	30	27370	SLUZBY	\N	\N
237395	811	1998-02-28	VYDAJ	VYBER	30	43489	SLUZBY	\N	\N
237396	811	1998-03-31	VYDAJ	VYBER	30	39141	SLUZBY	\N	\N
237397	811	1998-04-30	VYDAJ	VYBER	30	48065	SLUZBY	\N	\N
237398	811	1998-05-31	VYDAJ	VYBER	30	53919	SLUZBY	\N	\N
237399	811	1998-06-30	VYDAJ	VYBER	30	66980	SLUZBY	\N	\N
237400	811	1998-07-31	VYDAJ	VYBER	30	60579	SLUZBY	\N	\N
237401	811	1998-08-31	VYDAJ	VYBER	30	55669	SLUZBY	\N	\N
237402	811	1998-09-30	VYDAJ	VYBER	30	55263	SLUZBY	\N	\N
237403	811	1998-10-31	VYDAJ	VYBER	30	55654	SLUZBY	\N	\N
237404	811	1998-11-30	VYDAJ	VYBER	30	50236	SLUZBY	\N	\N
237405	811	1997-08-31	VYDAJ	VYBER	2900	28535	\N	\N	\N
237406	811	1997-09-30	VYDAJ	VYBER	20300	39385	\N	\N	\N
237407	811	1997-10-30	VYDAJ	VYBER	26600	43815	\N	\N	\N
237408	811	1997-11-29	VYDAJ	VYBER	25800	49211	\N	\N	\N
237409	811	1997-12-29	VYDAJ	VYBER	30800	60640	\N	\N	\N
237410	811	1998-01-28	PRIJEM	VKLAD	100	27216	\N	\N	\N
237411	811	1998-02-27	VYDAJ	VYBER	15000	43400	\N	\N	\N
237412	811	1998-03-29	VYDAJ	VYBER	19400	45219	\N	\N	\N
237413	811	1998-04-28	VYDAJ	VYBER	15600	47871	\N	\N	\N
237414	811	1998-05-28	VYDAJ	VYBER	19300	53695	\N	\N	\N
237415	811	1998-06-27	VYDAJ	VYBER	28700	66664	\N	\N	\N
237416	811	1998-07-27	VYDAJ	VYBER	32000	60310	\N	\N	\N
237417	811	1998-08-26	VYDAJ	VYBER	14300	55409	\N	\N	\N
237418	811	1998-09-25	VYDAJ	VYBER	25500	54999	\N	\N	\N
237419	811	1998-10-25	VYDAJ	VYBER	25400	55393	\N	\N	\N
237420	811	1998-11-24	VYDAJ	VYBER	29100	49984	\N	\N	\N
237421	811	1998-12-24	VYDAJ	VYBER	27700	57581	\N	\N	\N
237439	812	1996-08-30	PRIJEM	VKLAD	1000	1000	\N	\N	\N
237448	812	1996-09-12	PRIJEM	VKLAD	19549	20549	\N	\N	\N
237449	812	1996-10-12	PRIJEM	VKLAD	19549	43205	\N	\N	\N
237450	812	1996-11-12	PRIJEM	VKLAD	19549	54657	\N	\N	\N
237451	812	1996-12-12	PRIJEM	VKLAD	29324	70929	\N	\N	\N
237452	812	1997-01-12	PRIJEM	VKLAD	19549	68354	\N	\N	\N
237453	812	1997-02-12	PRIJEM	VKLAD	19549	48484	\N	\N	\N
237454	812	1997-03-12	PRIJEM	VKLAD	19549	43770	\N	\N	\N
237455	812	1997-04-12	PRIJEM	VKLAD	19549	44753	\N	\N	\N
237456	812	1997-05-12	PRIJEM	VKLAD	19549	42905	\N	\N	\N
237457	812	1997-06-12	PRIJEM	VKLAD	29324	54442	\N	\N	\N
237458	812	1997-07-12	PRIJEM	VKLAD	19549	44371	\N	\N	\N
237459	812	1997-08-12	PRIJEM	VKLAD	19549	49043	\N	\N	\N
237460	812	1997-09-12	PRIJEM	VKLAD	19549	51530	\N	\N	\N
237462	812	1997-11-12	PRIJEM	VKLAD	19549	54010	\N	\N	\N
237463	812	1997-12-12	PRIJEM	VKLAD	29324	58685	\N	\N	\N
237464	812	1998-01-12	PRIJEM	VKLAD	19549	38083	\N	\N	\N
237465	812	1998-02-12	PRIJEM	VKLAD	19549	32304	\N	\N	\N
237466	812	1998-03-12	PRIJEM	VKLAD	19549	41526	\N	\N	\N
237467	812	1998-04-12	PRIJEM	VKLAD	19549	40876	\N	\N	\N
237468	812	1998-05-12	PRIJEM	VKLAD	19549	41424	\N	\N	\N
237469	812	1998-06-12	PRIJEM	VKLAD	29324	51648	\N	\N	\N
237470	812	1998-07-12	PRIJEM	VKLAD	19549	42292	\N	\N	\N
237471	812	1998-08-12	PRIJEM	VKLAD	19549	39365	\N	\N	\N
237472	812	1998-09-12	PRIJEM	VKLAD	19549	42808	\N	\N	\N
237473	812	1998-10-12	PRIJEM	VKLAD	19549	39612	\N	\N	\N
237474	812	1998-11-12	PRIJEM	VKLAD	19549	44057	\N	\N	\N
237475	812	1998-12-12	PRIJEM	VKLAD	29324	49426	\N	\N	\N
237489	812	1997-02-08	VYDAJ	PREVOD NA UCET	9128	28935	SIPO	ST	41519075
237490	812	1997-03-08	VYDAJ	PREVOD NA UCET	9128	24221	SIPO	ST	41519075
237491	812	1997-04-08	VYDAJ	PREVOD NA UCET	9128	25204	SIPO	ST	41519075
237492	812	1997-05-08	VYDAJ	PREVOD NA UCET	9128	23356	SIPO	ST	41519075
237493	812	1997-06-08	VYDAJ	PREVOD NA UCET	9128	25119	SIPO	ST	41519075
237494	812	1997-07-08	VYDAJ	PREVOD NA UCET	9128	24822	SIPO	ST	41519075
237495	812	1997-08-08	VYDAJ	PREVOD NA UCET	9128	29494	SIPO	ST	41519075
237496	812	1997-09-08	VYDAJ	PREVOD NA UCET	9128	31981	SIPO	ST	41519075
237497	812	1997-10-08	VYDAJ	PREVOD NA UCET	9128	34356	SIPO	ST	41519075
237498	812	1997-11-08	VYDAJ	PREVOD NA UCET	9128	34461	SIPO	ST	41519075
237499	812	1997-12-08	VYDAJ	PREVOD NA UCET	9128	32362	SIPO	ST	41519075
237500	812	1998-01-08	VYDAJ	PREVOD NA UCET	9128	20454	SIPO	ST	41519075
237501	812	1998-02-08	VYDAJ	PREVOD NA UCET	9128	12755	SIPO	ST	41519075
237502	812	1998-03-08	VYDAJ	PREVOD NA UCET	9128	21977	SIPO	ST	41519075
237503	812	1998-04-08	VYDAJ	PREVOD NA UCET	9128	21327	SIPO	ST	41519075
237504	812	1998-05-08	VYDAJ	PREVOD NA UCET	9128	21875	SIPO	ST	41519075
237505	812	1998-06-08	VYDAJ	PREVOD NA UCET	9128	22325	SIPO	ST	41519075
237506	812	1998-07-08	VYDAJ	PREVOD NA UCET	9128	22743	SIPO	ST	41519075
237507	812	1998-08-08	VYDAJ	PREVOD NA UCET	9128	19816	SIPO	ST	41519075
237508	812	1998-09-08	VYDAJ	PREVOD NA UCET	9128	23259	SIPO	ST	41519075
237509	812	1998-10-08	VYDAJ	PREVOD NA UCET	9128	20063	SIPO	ST	41519075
237510	812	1998-11-08	VYDAJ	PREVOD NA UCET	9128	24508	SIPO	ST	41519075
237511	812	1998-12-08	VYDAJ	PREVOD NA UCET	9128	20102	SIPO	ST	41519075
237513	812	1997-06-16	VYDAJ	VYBER	13440	41002	\N	\N	\N
237516	812	1997-01-19	VYDAJ	VYBER	11040	47474	\N	\N	\N
237517	812	1998-01-17	VYDAJ	VYBER	15040	23043	\N	\N	\N
237519	812	1997-12-28	VYDAJ	VYBER	4480	37205	\N	\N	\N
237520	812	1998-12-02	VYDAJ	VYBER	2720	31270	\N	\N	\N
237527	812	1997-01-17	VYDAJ	VYBER	3120	58514	\N	\N	\N
237529	812	1997-01-14	VYDAJ	VYBER	3240	61634	\N	\N	\N
237532	812	1997-01-14	VYDAJ	VYBER	3480	64874	\N	\N	\N
237533	812	1998-01-17	VYDAJ	VYBER	2760	20283	\N	\N	\N
237534	812	1998-01-26	VYDAJ	VYBER	720	21783	\N	\N	\N
237535	812	1998-01-05	VYDAJ	VYBER	840	32102	\N	\N	\N
237536	812	1998-01-11	VYDAJ	VYBER	1920	18534	\N	\N	\N
237537	812	1998-01-26	VYDAJ	VYBER	2880	22503	\N	\N	\N
237538	812	1998-01-01	VYDAJ	VYBER	2040	32942	\N	\N	\N
237545	812	1997-03-06	VYDAJ	VYBER	3600	33349	\N	\N	\N
237546	812	1997-03-22	VYDAJ	VYBER	4680	39090	\N	\N	\N
237547	812	1997-12-10	VYDAJ	VYBER	3000	29362	\N	\N	\N
237548	812	1997-09-14	VYDAJ	VYBER	1320	50210	\N	\N	\N
237549	812	1997-12-28	VYDAJ	VYBER	2400	34805	\N	\N	\N
237550	812	1997-05-01	VYDAJ	VYBER	3720	32484	\N	\N	\N
237551	812	1998-12-07	VYDAJ	VYBER	2040	29230	\N	\N	\N
237552	812	1998-09-16	VYDAJ	VYBER	3840	38968	\N	\N	\N
237553	812	1998-01-08	VYDAJ	VYBER	2520	29582	\N	\N	\N
237554	812	1998-06-23	VYDAJ	VYBER	2520	31728	\N	\N	\N
237555	812	1998-12-27	VYDAJ	VYBER	720	34706	\N	\N	\N
237556	812	1998-07-21	VYDAJ	VYBER	5280	28812	\N	\N	\N
237570	812	1997-01-31	VYDAJ	VYBER	15	38063	SLUZBY	\N	\N
237571	812	1997-02-28	VYDAJ	VYBER	15	36949	SLUZBY	\N	\N
237572	812	1997-03-31	VYDAJ	VYBER	15	34332	SLUZBY	\N	\N
237573	812	1997-04-30	VYDAJ	VYBER	15	36204	SLUZBY	\N	\N
237574	812	1997-05-31	VYDAJ	VYBER	15	34247	SLUZBY	\N	\N
237575	812	1997-06-30	VYDAJ	VYBER	15	33950	SLUZBY	\N	\N
237576	812	1997-07-31	VYDAJ	VYBER	15	38622	SLUZBY	\N	\N
237577	812	1997-08-31	VYDAJ	VYBER	15	41109	SLUZBY	\N	\N
237578	812	1997-09-30	VYDAJ	VYBER	15	43484	SLUZBY	\N	\N
237579	812	1997-10-31	VYDAJ	VYBER	15	43589	SLUZBY	\N	\N
237580	812	1997-11-30	VYDAJ	VYBER	15	41490	SLUZBY	\N	\N
237581	812	1997-12-31	VYDAJ	VYBER	15	34982	SLUZBY	\N	\N
237582	812	1998-01-31	VYDAJ	VYBER	15	21883	SLUZBY	\N	\N
237583	812	1998-02-28	VYDAJ	VYBER	15	31105	SLUZBY	\N	\N
237584	812	1998-03-31	VYDAJ	VYBER	15	30455	SLUZBY	\N	\N
237585	812	1998-04-30	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
237586	812	1998-05-31	VYDAJ	VYBER	15	31453	SLUZBY	\N	\N
237587	812	1998-06-30	VYDAJ	VYBER	15	31871	SLUZBY	\N	\N
237588	812	1998-07-31	VYDAJ	VYBER	15	28944	SLUZBY	\N	\N
237589	812	1998-08-31	VYDAJ	VYBER	15	32387	SLUZBY	\N	\N
237590	812	1998-09-30	VYDAJ	VYBER	15	29191	SLUZBY	\N	\N
237591	812	1998-10-31	VYDAJ	VYBER	15	33636	SLUZBY	\N	\N
237592	812	1998-11-30	VYDAJ	VYBER	15	33990	SLUZBY	\N	\N
237593	812	1996-09-29	PRIJEM	VKLAD	3100	23649	\N	\N	\N
237594	812	1996-10-29	VYDAJ	VYBER	8200	35005	\N	\N	\N
237595	812	1996-11-28	VYDAJ	VYBER	13200	41457	\N	\N	\N
237596	812	1996-12-28	VYDAJ	VYBER	22300	48629	\N	\N	\N
237597	812	1997-01-27	VYDAJ	VYBER	9600	37874	\N	\N	\N
237598	812	1997-02-26	VYDAJ	VYBER	11700	36784	\N	\N	\N
237599	812	1997-03-28	VYDAJ	VYBER	4900	34190	\N	\N	\N
237600	812	1997-04-27	VYDAJ	VYBER	8700	36053	\N	\N	\N
237601	812	1997-05-27	VYDAJ	VYBER	8800	34105	\N	\N	\N
237602	812	1997-06-26	VYDAJ	VYBER	7200	33802	\N	\N	\N
237603	812	1997-07-26	VYDAJ	VYBER	5900	38471	\N	\N	\N
237604	812	1997-08-25	VYDAJ	VYBER	8100	40943	\N	\N	\N
237605	812	1997-09-24	VYDAJ	VYBER	6900	43310	\N	\N	\N
237606	812	1997-10-24	VYDAJ	VYBER	10500	43405	\N	\N	\N
237607	812	1997-11-23	VYDAJ	VYBER	12700	41310	\N	\N	\N
237608	812	1997-12-23	VYDAJ	VYBER	17000	41685	\N	\N	\N
237609	812	1998-01-22	PRIJEM	VKLAD	5100	25383	\N	\N	\N
237610	812	1998-02-21	VYDAJ	VYBER	1300	31004	\N	\N	\N
237611	812	1998-03-23	VYDAJ	VYBER	11200	30326	\N	\N	\N
237612	812	1998-04-22	VYDAJ	VYBER	10000	30876	\N	\N	\N
237613	812	1998-05-22	VYDAJ	VYBER	10100	31324	\N	\N	\N
237614	812	1998-06-21	VYDAJ	VYBER	17400	34248	\N	\N	\N
237615	812	1998-07-21	VYDAJ	VYBER	8200	34092	\N	\N	\N
237616	812	1998-08-20	VYDAJ	VYBER	7100	32265	\N	\N	\N
237617	812	1998-09-19	VYDAJ	VYBER	9900	29068	\N	\N	\N
237618	812	1998-10-19	VYDAJ	VYBER	6100	33512	\N	\N	\N
237619	812	1998-11-18	VYDAJ	VYBER	10200	33857	\N	\N	\N
237620	812	1998-12-18	VYDAJ	VYBER	14000	35426	\N	\N	\N
237649	813	1993-02-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
237651	813	1993-02-11	PRIJEM	PREVOD Z UCTU	12154	13254	\N	QR	19537103
237652	813	1993-03-11	PRIJEM	PREVOD Z UCTU	12154	25444	\N	QR	19537103
237653	813	1993-04-11	PRIJEM	PREVOD Z UCTU	12154	38387	\N	QR	19537103
237654	813	1993-05-11	PRIJEM	PREVOD Z UCTU	12154	42684	\N	QR	19537103
237655	813	1993-06-11	PRIJEM	PREVOD Z UCTU	18231	45087	\N	QR	19537103
237656	813	1993-07-11	PRIJEM	PREVOD Z UCTU	12154	34857	\N	QR	19537103
237657	813	1993-08-11	PRIJEM	PREVOD Z UCTU	12154	38911	\N	QR	19537103
237658	813	1993-09-11	PRIJEM	PREVOD Z UCTU	12154	35730	\N	QR	19537103
237659	813	1993-10-11	PRIJEM	PREVOD Z UCTU	12154	43802	\N	QR	19537103
237660	813	1993-11-11	PRIJEM	PREVOD Z UCTU	12154	36929	\N	QR	19537103
237661	813	1993-12-11	PRIJEM	PREVOD Z UCTU	18231	48278	\N	QR	19537103
237662	813	1994-01-11	PRIJEM	PREVOD Z UCTU	12154	34991	\N	QR	19537103
237663	813	1994-02-11	PRIJEM	PREVOD Z UCTU	12154	34250	\N	QR	19537103
237664	813	1994-03-11	PRIJEM	PREVOD Z UCTU	12154	37715	\N	QR	19537103
237665	813	1994-04-11	PRIJEM	PREVOD Z UCTU	12154	38537	\N	QR	19537103
237666	813	1994-05-11	PRIJEM	PREVOD Z UCTU	12154	40616	\N	QR	19537103
237667	813	1994-06-11	PRIJEM	PREVOD Z UCTU	18231	45828	\N	QR	19537103
237668	813	1994-07-11	PRIJEM	PREVOD Z UCTU	12154	46999	\N	QR	19537103
237669	813	1994-08-11	PRIJEM	PREVOD Z UCTU	12154	36942	\N	QR	19537103
237670	813	1994-09-11	PRIJEM	PREVOD Z UCTU	12154	43491	\N	QR	19537103
237671	813	1994-10-11	PRIJEM	PREVOD Z UCTU	12154	37768	\N	QR	19537103
237672	813	1994-11-11	PRIJEM	PREVOD Z UCTU	12154	45223	\N	QR	19537103
237673	813	1994-12-11	PRIJEM	PREVOD Z UCTU	18231	51784	\N	QR	19537103
237674	813	1995-01-11	PRIJEM	PREVOD Z UCTU	12154	48681	\N	QR	19537103
237675	813	1995-02-11	PRIJEM	PREVOD Z UCTU	12154	43073	\N	QR	19537103
237676	813	1995-03-11	PRIJEM	PREVOD Z UCTU	12154	45841	\N	QR	19537103
237677	813	1995-04-11	PRIJEM	PREVOD Z UCTU	12154	36039	\N	QR	19537103
237678	813	1995-05-11	PRIJEM	PREVOD Z UCTU	12154	41761	\N	QR	19537103
237679	813	1995-06-11	PRIJEM	PREVOD Z UCTU	18231	49555	\N	QR	19537103
237680	813	1995-07-11	PRIJEM	PREVOD Z UCTU	12154	38344	\N	QR	19537103
237681	813	1995-08-11	PRIJEM	PREVOD Z UCTU	12154	43522	\N	QR	19537103
237682	813	1995-09-11	PRIJEM	PREVOD Z UCTU	12154	47810	\N	QR	19537103
237683	813	1995-10-11	PRIJEM	PREVOD Z UCTU	12154	50219	\N	QR	19537103
237684	813	1995-11-11	PRIJEM	PREVOD Z UCTU	12154	46220	\N	QR	19537103
237685	813	1995-12-11	PRIJEM	PREVOD Z UCTU	18231	40068	\N	QR	19537103
237686	813	1996-01-11	PRIJEM	PREVOD Z UCTU	12154	42238	\N	QR	19537103
237687	813	1996-02-11	PRIJEM	PREVOD Z UCTU	12154	43210	\N	QR	19537103
237688	813	1996-03-11	PRIJEM	PREVOD Z UCTU	12154	45408	\N	QR	19537103
237689	813	1996-04-11	PRIJEM	PREVOD Z UCTU	12154	44711	\N	QR	19537103
237690	813	1996-05-11	PRIJEM	PREVOD Z UCTU	12154	44685	\N	QR	19537103
237691	813	1996-06-11	PRIJEM	PREVOD Z UCTU	18231	50138	\N	QR	19537103
237692	813	1996-07-11	PRIJEM	PREVOD Z UCTU	12154	36847	\N	QR	19537103
237693	813	1996-08-11	PRIJEM	PREVOD Z UCTU	12154	41818	\N	QR	19537103
237694	813	1996-09-11	PRIJEM	PREVOD Z UCTU	12154	33383	\N	QR	19537103
237695	813	1996-10-11	PRIJEM	PREVOD Z UCTU	12154	39845	\N	QR	19537103
237696	813	1996-11-11	PRIJEM	PREVOD Z UCTU	12154	44123	\N	QR	19537103
237697	813	1996-12-11	PRIJEM	PREVOD Z UCTU	18231	53790	\N	QR	19537103
237698	813	1997-01-11	PRIJEM	PREVOD Z UCTU	12154	49184	\N	QR	19537103
237699	813	1997-02-11	PRIJEM	PREVOD Z UCTU	12154	52098	\N	QR	19537103
237700	813	1997-03-11	PRIJEM	PREVOD Z UCTU	12154	54912	\N	QR	19537103
237701	813	1997-04-11	PRIJEM	PREVOD Z UCTU	12154	56238	\N	QR	19537103
237702	813	1997-05-11	PRIJEM	PREVOD Z UCTU	12154	51852	\N	QR	19537103
237703	813	1997-06-11	PRIJEM	PREVOD Z UCTU	18231	56148	\N	QR	19537103
237704	813	1997-07-11	PRIJEM	PREVOD Z UCTU	12154	49872	\N	QR	19537103
237705	813	1997-08-11	PRIJEM	PREVOD Z UCTU	12154	39206	\N	QR	19537103
237706	813	1997-09-11	PRIJEM	PREVOD Z UCTU	12154	38084	\N	QR	19537103
237707	813	1997-10-11	PRIJEM	PREVOD Z UCTU	12154	47363	\N	QR	19537103
237708	813	1997-11-11	PRIJEM	PREVOD Z UCTU	12154	47464	\N	QR	19537103
237709	813	1997-12-11	PRIJEM	PREVOD Z UCTU	18231	56736	\N	QR	19537103
237710	813	1998-01-11	PRIJEM	PREVOD Z UCTU	12154	50852	\N	QR	19537103
237711	813	1998-02-11	PRIJEM	PREVOD Z UCTU	12154	49660	\N	QR	19537103
237712	813	1998-03-11	PRIJEM	PREVOD Z UCTU	12154	49364	\N	QR	19537103
237713	813	1998-04-11	PRIJEM	PREVOD Z UCTU	12154	53073	\N	QR	19537103
237714	813	1998-05-11	PRIJEM	PREVOD Z UCTU	12154	48877	\N	QR	19537103
237715	813	1998-06-11	PRIJEM	PREVOD Z UCTU	18231	49074	\N	QR	19537103
237716	813	1998-07-11	PRIJEM	PREVOD Z UCTU	12154	44108	\N	QR	19537103
237717	813	1998-08-11	PRIJEM	PREVOD Z UCTU	12154	43657	\N	QR	19537103
237718	813	1998-09-11	PRIJEM	PREVOD Z UCTU	12154	45542	\N	QR	19537103
237719	813	1998-10-11	PRIJEM	PREVOD Z UCTU	12154	52835	\N	QR	19537103
237720	813	1998-11-11	PRIJEM	PREVOD Z UCTU	12154	52949	\N	QR	19537103
237721	813	1998-12-11	PRIJEM	PREVOD Z UCTU	18231	61338	\N	QR	19537103
237727	813	1993-06-10	VYDAJ	VYBER	1700	26856	\N	\N	0
237728	813	1993-07-11	VYDAJ	VYBER	2100	32757	\N	\N	0
237729	813	1993-08-11	VYDAJ	VYBER	2300	36611	\N	\N	0
237730	813	1993-09-06	VYDAJ	VYBER	1900	22376	\N	\N	0
237731	813	1993-10-17	VYDAJ	VYBER	2000	41802	\N	\N	0
237732	813	1993-11-15	VYDAJ	VYBER	2500	34429	\N	\N	0
237733	813	1993-12-05	VYDAJ	VYBER	1300	33247	\N	\N	0
237734	813	1994-01-12	VYDAJ	VYBER	1600	33391	\N	\N	0
237735	813	1994-02-04	VYDAJ	VYBER	3000	20296	\N	\N	0
237736	813	1994-03-13	VYDAJ	VYBER	2600	35115	\N	\N	0
237737	813	1994-03-27	VYDAJ	VYBER	1700	29162	\N	\N	0
237738	813	1994-05-12	VYDAJ	PREVOD NA UCET	2026	38590	UVER	IJ	39089608
237739	813	1994-06-12	VYDAJ	PREVOD NA UCET	2026	43803	UVER	IJ	39089608
237740	813	1994-07-12	VYDAJ	PREVOD NA UCET	2026	44973	UVER	IJ	39089608
237741	813	1994-08-12	VYDAJ	PREVOD NA UCET	2026	34917	UVER	IJ	39089608
237742	813	1994-09-12	VYDAJ	PREVOD NA UCET	2026	41465	UVER	IJ	39089608
237743	813	1994-10-12	VYDAJ	PREVOD NA UCET	2026	35742	UVER	IJ	39089608
237744	813	1994-11-12	VYDAJ	PREVOD NA UCET	2026	43198	UVER	IJ	39089608
237745	813	1994-12-12	VYDAJ	PREVOD NA UCET	2026	49758	UVER	IJ	39089608
237746	813	1995-01-12	VYDAJ	PREVOD NA UCET	2026	46656	UVER	IJ	39089608
237747	813	1995-02-12	VYDAJ	PREVOD NA UCET	2026	41048	UVER	IJ	39089608
237748	813	1995-03-12	VYDAJ	PREVOD NA UCET	2026	43815	UVER	IJ	39089608
237749	813	1995-04-12	VYDAJ	PREVOD NA UCET	2026	34014	UVER	IJ	39089608
237750	813	1995-05-28	VYDAJ	VYBER	2100	39661	\N	\N	0
237751	813	1995-06-11	VYDAJ	VYBER	1300	48255	\N	\N	0
237752	813	1995-07-17	VYDAJ	VYBER	2900	35444	\N	\N	0
237753	813	1995-08-17	VYDAJ	VYBER	1900	41622	\N	\N	0
237754	813	1995-09-13	VYDAJ	VYBER	2100	45710	\N	\N	0
237755	813	1995-10-24	VYDAJ	VYBER	1800	48419	\N	\N	0
237756	813	1995-11-02	VYDAJ	VYBER	2400	34066	\N	\N	0
237757	813	1995-12-14	VYDAJ	VYBER	1900	38168	\N	\N	0
237758	813	1996-01-22	VYDAJ	VYBER	2100	40138	\N	\N	0
237759	813	1996-02-08	VYDAJ	VYBER	2600	31056	\N	\N	0
237760	813	1996-03-02	VYDAJ	VYBER	1700	33254	\N	\N	0
237761	813	1996-03-28	VYDAJ	VYBER	1600	32408	\N	\N	0
237762	813	1996-05-30	VYDAJ	VYBER	1400	34085	\N	\N	0
237763	813	1996-06-09	VYDAJ	VYBER	2300	31907	\N	\N	0
237764	813	1996-07-05	VYDAJ	VYBER	1500	24693	\N	\N	0
237765	813	1996-07-24	VYDAJ	VYBER	2200	29547	\N	\N	0
237766	813	1996-09-02	VYDAJ	VYBER	1700	21229	\N	\N	0
237767	813	1996-10-04	VYDAJ	VYBER	1600	31591	\N	\N	0
237768	813	1996-11-11	VYDAJ	VYBER	1800	42323	\N	\N	0
237769	813	1996-12-20	VYDAJ	VYBER	1900	44990	\N	\N	0
237770	813	1997-01-07	VYDAJ	VYBER	2400	37030	\N	\N	0
237771	813	1997-02-15	VYDAJ	VYBER	1900	50198	\N	\N	0
237772	813	1997-03-15	VYDAJ	VYBER	1800	53112	\N	\N	0
237773	813	1997-04-16	VYDAJ	VYBER	1800	54438	\N	\N	0
237774	813	1997-05-06	VYDAJ	VYBER	2000	39698	\N	\N	0
237775	813	1997-06-10	VYDAJ	VYBER	1800	37917	\N	\N	0
237776	813	1997-06-28	VYDAJ	VYBER	2000	37548	\N	\N	0
237777	813	1997-08-15	VYDAJ	VYBER	2100	34496	\N	\N	0
237778	813	1997-09-10	VYDAJ	VYBER	1800	25930	\N	\N	0
237779	813	1997-10-04	VYDAJ	VYBER	1900	35209	\N	\N	0
237780	813	1997-11-19	VYDAJ	VYBER	1300	40764	\N	\N	0
237781	813	1997-12-14	VYDAJ	VYBER	1800	54936	\N	\N	0
237782	813	1998-01-03	VYDAJ	VYBER	2100	38698	\N	\N	0
237783	813	1998-02-08	VYDAJ	VYBER	1800	37506	\N	\N	0
237784	813	1998-03-02	VYDAJ	VYBER	2200	37210	\N	\N	0
237785	813	1998-04-21	VYDAJ	VYBER	2300	39273	\N	\N	0
237786	813	1998-04-30	VYDAJ	VYBER	2700	36723	\N	\N	0
237787	813	1998-06-08	VYDAJ	VYBER	1300	30843	\N	\N	0
237788	813	1998-07-02	VYDAJ	VYBER	2400	31954	\N	\N	0
237789	813	1998-08-09	VYDAJ	VYBER	2000	33847	\N	\N	0
237790	813	1998-08-24	VYDAJ	VYBER	1800	33257	\N	\N	0
237791	813	1998-10-12	VYDAJ	VYBER	2500	42435	\N	\N	0
237792	813	1998-11-09	VYDAJ	VYBER	1800	40795	\N	\N	0
237793	813	1998-12-22	VYDAJ	VYBER	1800	40738	\N	\N	0
237795	813	1993-12-14	VYBER	VYBER	22444	25834	\N	\N	\N
237796	813	1993-06-22	VYBER	VYBER	24322	20765	\N	\N	\N
237798	813	1993-08-24	VYBER	VYBER	12449	24162	\N	\N	\N
237799	813	1993-10-27	VYBER	VYBER	15870	25932	\N	\N	\N
237802	813	1994-07-17	VYBER	VYBER	15818	26755	\N	\N	\N
237803	813	1994-03-25	VYBER	VYBER	4253	30862	\N	\N	\N
237806	813	1995-11-22	VYBER	VYBER	5820	29300	\N	\N	\N
237807	813	1995-04-22	VYBER	VYBER	9803	24211	\N	\N	\N
237808	813	1995-03-15	VYBER	VYBER	23241	20574	\N	\N	\N
237810	813	1995-06-19	VYBER	VYBER	22492	25763	\N	\N	\N
237812	813	1995-06-04	VYBER	VYBER	2170	31324	\N	\N	\N
237818	813	1997-04-26	VYBER	VYBER	4112	41526	\N	\N	\N
237819	813	1997-08-05	VYBER	VYBER	15668	27052	\N	\N	\N
237820	813	1997-08-14	VYBER	VYBER	2610	36596	\N	\N	\N
237821	813	1998-08-10	VYBER	VYBER	2344	31503	\N	\N	\N
237823	813	1998-05-13	VYBER	VYBER	14061	34816	\N	\N	\N
237824	813	1998-06-11	VYBER	VYBER	18647	30427	\N	\N	\N
237826	813	1998-12-26	VYBER	VYBER	5628	35110	\N	\N	\N
237833	813	1996-06-28	VYDAJ	VYBER	13800	26038	\N	\N	\N
237838	813	1995-01-27	VYDAJ	VYBER	12300	34356	\N	\N	\N
237842	813	1993-12-18	VYDAJ	VYBER	4500	21334	\N	\N	\N
237843	813	1994-12-19	VYDAJ	VYBER	8400	41358	\N	\N	\N
237844	813	1995-12-20	VYDAJ	VYBER	8700	29468	\N	\N	\N
237845	813	1996-12-19	VYDAJ	VYBER	6900	46890	\N	\N	\N
237846	813	1997-12-06	VYDAJ	VYBER	2400	38505	\N	\N	\N
237847	813	1998-12-11	VYDAJ	VYBER	5400	55938	\N	\N	\N
237851	813	1993-07-22	VYDAJ	VYBER	3900	28857	\N	\N	\N
237852	813	1994-07-13	VYDAJ	VYBER	2400	42573	\N	\N	\N
237853	813	1994-03-04	VYDAJ	VYBER	11700	22661	\N	\N	\N
237855	813	1994-04-15	VYDAJ	VYBER	3600	34937	\N	\N	\N
237856	813	1994-10-04	VYDAJ	VYBER	9000	25614	\N	\N	\N
237857	813	1994-01-30	VYDAJ	VYBER	10200	23191	\N	\N	\N
237858	813	1994-05-13	VYDAJ	VYBER	13500	25090	\N	\N	\N
237860	813	1995-07-07	VYDAJ	VYBER	2700	26190	\N	\N	\N
237861	813	1995-11-19	VYDAJ	VYBER	11100	35120	\N	\N	\N
237862	813	1995-10-28	VYDAJ	VYBER	8100	36319	\N	\N	\N
237863	813	1995-12-04	VYDAJ	VYBER	5700	21837	\N	\N	\N
237864	813	1995-06-25	VYDAJ	VYBER	3300	22463	\N	\N	\N
237866	813	1996-08-30	VYDAJ	VYBER	11700	22818	\N	\N	\N
237868	813	1996-10-05	VYDAJ	VYBER	3900	27691	\N	\N	\N
237869	813	1996-10-19	VYDAJ	VYBER	2700	37145	\N	\N	\N
237870	813	1997-06-26	VYDAJ	VYBER	4200	39548	\N	\N	\N
237871	813	1997-10-29	VYDAJ	VYBER	3900	35163	\N	\N	\N
237872	813	1997-08-27	VYDAJ	VYBER	6000	27596	\N	\N	\N
237873	813	1998-08-03	VYDAJ	VYBER	3600	35847	\N	\N	\N
237880	813	1993-06-30	VYDAJ	VYBER	15	20903	SLUZBY	\N	\N
237881	813	1993-07-31	VYDAJ	VYBER	15	28957	SLUZBY	\N	\N
237882	813	1993-08-31	VYDAJ	VYBER	15	24276	SLUZBY	\N	\N
237883	813	1993-09-30	VYDAJ	VYBER	15	35848	SLUZBY	\N	\N
237884	813	1993-10-31	VYDAJ	VYBER	15	26075	SLUZBY	\N	\N
237885	813	1993-11-30	VYDAJ	VYBER	15	34547	SLUZBY	\N	\N
237886	813	1993-12-31	VYDAJ	VYBER	15	21437	SLUZBY	\N	\N
237887	813	1994-01-31	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
237888	813	1994-02-28	VYDAJ	VYBER	15	34361	SLUZBY	\N	\N
237889	813	1994-03-31	VYDAJ	VYBER	15	29283	SLUZBY	\N	\N
237890	813	1994-04-30	VYDAJ	VYBER	15	35062	SLUZBY	\N	\N
237891	813	1994-05-31	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
237892	813	1994-06-30	VYDAJ	VYBER	15	43945	SLUZBY	\N	\N
237893	813	1994-07-31	VYDAJ	VYBER	15	26888	SLUZBY	\N	\N
237894	813	1994-08-31	VYDAJ	VYBER	15	35037	SLUZBY	\N	\N
237895	813	1994-09-30	VYDAJ	VYBER	15	41614	SLUZBY	\N	\N
237896	813	1994-10-31	VYDAJ	VYBER	15	35869	SLUZBY	\N	\N
237897	813	1994-11-30	VYDAJ	VYBER	15	43353	SLUZBY	\N	\N
237898	813	1994-12-31	VYDAJ	VYBER	15	41527	SLUZBY	\N	\N
237899	813	1995-01-31	VYDAJ	VYBER	15	30919	SLUZBY	\N	\N
237900	813	1995-02-28	VYDAJ	VYBER	15	41187	SLUZBY	\N	\N
237901	813	1995-03-31	VYDAJ	VYBER	15	20685	SLUZBY	\N	\N
237902	813	1995-04-30	VYDAJ	VYBER	15	24307	SLUZBY	\N	\N
237903	813	1995-05-31	VYDAJ	VYBER	15	39794	SLUZBY	\N	\N
237904	813	1995-06-30	VYDAJ	VYBER	15	28890	SLUZBY	\N	\N
237905	813	1995-07-31	VYDAJ	VYBER	15	31368	SLUZBY	\N	\N
237906	813	1995-08-31	VYDAJ	VYBER	15	35656	SLUZBY	\N	\N
237907	813	1995-09-30	VYDAJ	VYBER	15	38065	SLUZBY	\N	\N
237908	813	1995-10-31	VYDAJ	VYBER	15	36466	SLUZBY	\N	\N
237909	813	1995-11-30	VYDAJ	VYBER	15	27537	SLUZBY	\N	\N
237910	813	1995-12-31	VYDAJ	VYBER	15	30084	SLUZBY	\N	\N
237911	813	1996-01-31	VYDAJ	VYBER	15	33656	SLUZBY	\N	\N
237912	813	1996-02-29	VYDAJ	VYBER	15	34954	SLUZBY	\N	\N
237913	813	1996-03-31	VYDAJ	VYBER	15	32557	SLUZBY	\N	\N
237914	813	1996-04-30	VYDAJ	VYBER	15	32531	SLUZBY	\N	\N
237915	813	1996-05-31	VYDAJ	VYBER	15	34207	SLUZBY	\N	\N
237916	813	1996-06-30	VYDAJ	VYBER	15	26193	SLUZBY	\N	\N
237917	813	1996-07-31	VYDAJ	VYBER	15	29664	SLUZBY	\N	\N
237918	813	1996-08-31	VYDAJ	VYBER	15	22929	SLUZBY	\N	\N
237919	813	1996-09-30	VYDAJ	VYBER	15	33191	SLUZBY	\N	\N
237920	813	1996-10-31	VYDAJ	VYBER	15	31969	SLUZBY	\N	\N
237921	813	1996-11-30	VYDAJ	VYBER	15	35559	SLUZBY	\N	\N
237922	813	1996-12-31	VYDAJ	VYBER	15	39430	SLUZBY	\N	\N
237923	813	1997-01-31	VYDAJ	VYBER	15	39944	SLUZBY	\N	\N
237924	813	1997-02-28	VYDAJ	VYBER	15	42758	SLUZBY	\N	\N
237925	813	1997-03-31	VYDAJ	VYBER	15	44084	SLUZBY	\N	\N
237926	813	1997-04-30	VYDAJ	VYBER	15	41698	SLUZBY	\N	\N
237927	813	1997-05-31	VYDAJ	VYBER	15	39717	SLUZBY	\N	\N
237928	813	1997-06-30	VYDAJ	VYBER	15	37718	SLUZBY	\N	\N
237929	813	1997-07-31	VYDAJ	VYBER	15	42720	SLUZBY	\N	\N
237930	813	1997-08-31	VYDAJ	VYBER	15	27730	SLUZBY	\N	\N
237931	813	1997-09-30	VYDAJ	VYBER	15	37109	SLUZBY	\N	\N
237932	813	1997-10-31	VYDAJ	VYBER	15	35310	SLUZBY	\N	\N
237933	813	1997-11-30	VYDAJ	VYBER	15	40905	SLUZBY	\N	\N
237934	813	1997-12-31	VYDAJ	VYBER	15	40798	SLUZBY	\N	\N
237935	813	1998-01-31	VYDAJ	VYBER	15	39306	SLUZBY	\N	\N
237936	813	1998-02-28	VYDAJ	VYBER	15	39410	SLUZBY	\N	\N
237937	813	1998-03-31	VYDAJ	VYBER	15	40919	SLUZBY	\N	\N
237938	813	1998-04-30	VYDAJ	VYBER	15	39423	SLUZBY	\N	\N
237939	813	1998-05-31	VYDAJ	VYBER	15	32143	SLUZBY	\N	\N
237940	813	1998-06-30	VYDAJ	VYBER	15	34354	SLUZBY	\N	\N
237941	813	1998-07-31	VYDAJ	VYBER	15	39447	SLUZBY	\N	\N
237942	813	1998-08-31	VYDAJ	VYBER	15	33388	SLUZBY	\N	\N
237943	813	1998-09-30	VYDAJ	VYBER	15	40681	SLUZBY	\N	\N
237944	813	1998-10-31	VYDAJ	VYBER	15	42595	SLUZBY	\N	\N
237945	813	1998-11-30	VYDAJ	VYBER	15	43107	SLUZBY	\N	\N
237946	813	1993-03-12	PRIJEM	VKLAD	700	26144	\N	\N	\N
237947	813	1993-04-11	VYDAJ	VYBER	8000	30387	\N	\N	\N
237948	813	1993-05-11	VYDAJ	VYBER	8300	34384	\N	\N	\N
237949	813	1993-06-10	VYDAJ	VYBER	6000	28556	\N	\N	\N
237950	813	1993-07-10	PRIJEM	VKLAD	1800	22703	\N	\N	\N
237951	813	1993-08-09	VYDAJ	VYBER	2200	26757	\N	\N	\N
237952	813	1993-09-08	PRIJEM	VKLAD	1200	23576	\N	\N	\N
237953	813	1993-10-08	VYDAJ	VYBER	4200	31648	\N	\N	\N
237954	813	1993-11-07	VYDAJ	VYBER	1300	24775	\N	\N	\N
237955	813	1993-12-07	VYDAJ	VYBER	3200	30047	\N	\N	\N
237956	813	1994-01-06	PRIJEM	VKLAD	1400	22837	\N	\N	\N
237957	813	1994-02-05	PRIJEM	VKLAD	1800	22096	\N	\N	\N
237958	813	1994-03-07	PRIJEM	VKLAD	2900	25561	\N	\N	\N
237959	813	1994-04-06	VYDAJ	VYBER	2900	26383	\N	\N	\N
237960	813	1994-05-06	VYDAJ	VYBER	6600	28462	\N	\N	\N
237961	813	1994-06-05	PRIJEM	VKLAD	2400	27597	\N	\N	\N
237962	813	1994-07-05	VYDAJ	VYBER	9100	34845	\N	\N	\N
237963	813	1994-08-04	VYDAJ	VYBER	2100	24788	\N	\N	\N
237964	813	1994-09-03	VYDAJ	VYBER	3700	31337	\N	\N	\N
237965	813	1994-10-03	VYDAJ	VYBER	7000	34614	\N	\N	\N
237966	813	1994-11-02	VYDAJ	VYBER	2800	33069	\N	\N	\N
237967	813	1994-12-02	VYDAJ	VYBER	9800	33553	\N	\N	\N
237968	813	1995-01-01	VYDAJ	VYBER	5000	36527	\N	\N	\N
237969	813	1995-01-31	VYDAJ	VYBER	3600	30934	\N	\N	\N
237970	813	1995-03-02	VYDAJ	VYBER	7500	33687	\N	\N	\N
237971	813	1995-04-01	PRIJEM	VKLAD	3200	23885	\N	\N	\N
237972	813	1995-05-01	PRIJEM	VKLAD	5300	29607	\N	\N	\N
237973	813	1995-05-31	VYDAJ	VYBER	6300	33494	\N	\N	\N
237974	813	1995-06-30	PRIJEM	VKLAD	6300	28763	\N	\N	\N
237975	813	1995-07-30	VYDAJ	VYBER	4200	31244	\N	\N	\N
237976	813	1995-08-29	VYDAJ	VYBER	6100	35522	\N	\N	\N
237977	813	1995-09-28	VYDAJ	VYBER	7800	37910	\N	\N	\N
237978	813	1995-10-28	VYDAJ	VYBER	4000	44419	\N	\N	\N
237979	813	1995-11-27	VYDAJ	VYBER	1900	27400	\N	\N	\N
237980	813	1995-12-27	PRIJEM	VKLAD	500	29968	\N	\N	\N
237981	813	1996-01-26	VYDAJ	VYBER	6600	33538	\N	\N	\N
237982	813	1996-02-25	VYDAJ	VYBER	8400	34810	\N	\N	\N
237983	813	1996-03-26	VYDAJ	VYBER	11400	34008	\N	\N	\N
237984	813	1996-04-25	VYDAJ	VYBER	12300	32411	\N	\N	\N
237985	813	1996-05-25	VYDAJ	VYBER	9200	35485	\N	\N	\N
237986	813	1996-06-24	VYDAJ	VYBER	10300	39838	\N	\N	\N
237987	813	1996-07-24	VYDAJ	VYBER	5100	31747	\N	\N	\N
237988	813	1996-08-23	VYDAJ	VYBER	7300	34518	\N	\N	\N
237989	813	1996-09-22	VYDAJ	VYBER	300	33083	\N	\N	\N
237990	813	1996-10-22	VYDAJ	VYBER	5300	31845	\N	\N	\N
237991	813	1996-11-21	VYDAJ	VYBER	6900	35423	\N	\N	\N
237992	813	1996-12-21	VYDAJ	VYBER	5700	39290	\N	\N	\N
237993	813	1997-01-20	VYDAJ	VYBER	9400	39784	\N	\N	\N
237994	813	1997-02-19	VYDAJ	VYBER	7600	42598	\N	\N	\N
237995	813	1997-03-21	VYDAJ	VYBER	9200	43912	\N	\N	\N
237996	813	1997-04-20	VYDAJ	VYBER	8800	45638	\N	\N	\N
237997	813	1997-05-20	VYDAJ	VYBER	12300	39552	\N	\N	\N
237998	813	1997-06-19	VYDAJ	VYBER	12400	43748	\N	\N	\N
237999	813	1997-07-19	VYDAJ	VYBER	7300	42572	\N	\N	\N
238000	813	1997-08-18	VYDAJ	VYBER	900	33596	\N	\N	\N
238001	813	1997-09-17	VYDAJ	VYBER	1100	36984	\N	\N	\N
238002	813	1997-10-17	VYDAJ	VYBER	8300	39063	\N	\N	\N
238003	813	1997-11-16	VYDAJ	VYBER	5400	42064	\N	\N	\N
238004	813	1997-12-16	VYDAJ	VYBER	14300	40636	\N	\N	\N
238005	813	1998-01-15	VYDAJ	VYBER	11700	39152	\N	\N	\N
238006	813	1998-02-14	VYDAJ	VYBER	10400	39260	\N	\N	\N
238007	813	1998-03-16	VYDAJ	VYBER	8600	40764	\N	\N	\N
238008	813	1998-04-15	VYDAJ	VYBER	11500	41573	\N	\N	\N
238009	813	1998-05-15	VYDAJ	VYBER	2800	32016	\N	\N	\N
238010	813	1998-06-14	PRIJEM	VKLAD	3800	34227	\N	\N	\N
238011	813	1998-07-14	VYDAJ	VYBER	4800	39308	\N	\N	\N
238012	813	1998-08-13	VYDAJ	VYBER	8600	35057	\N	\N	\N
238013	813	1998-09-12	VYDAJ	VYBER	5000	40542	\N	\N	\N
238014	813	1998-10-12	VYDAJ	VYBER	7900	44935	\N	\N	\N
238015	813	1998-11-11	VYDAJ	VYBER	10000	42949	\N	\N	\N
238016	813	1998-12-11	VYDAJ	VYBER	13400	42538	\N	\N	\N
238088	814	1996-10-06	PRIJEM	VKLAD	300	300	\N	\N	\N
238098	814	1996-10-13	PRIJEM	PREVOD Z UCTU	6760	7060	DUCHOD	IJ	83717322
238099	814	1996-11-13	PRIJEM	PREVOD Z UCTU	6760	13838	DUCHOD	IJ	83717322
238100	814	1996-12-13	PRIJEM	PREVOD Z UCTU	6760	20627	DUCHOD	IJ	83717322
238101	814	1997-01-13	PRIJEM	PREVOD Z UCTU	6760	27417	DUCHOD	IJ	83717322
238102	814	1997-02-13	PRIJEM	PREVOD Z UCTU	6760	34206	DUCHOD	IJ	83717322
238103	814	1997-03-13	PRIJEM	PREVOD Z UCTU	6760	38816	DUCHOD	IJ	83717322
238104	814	1997-04-13	PRIJEM	PREVOD Z UCTU	6760	39283	DUCHOD	IJ	83717322
238105	814	1997-05-13	PRIJEM	PREVOD Z UCTU	6760	38256	DUCHOD	IJ	83717322
238106	814	1997-06-13	PRIJEM	PREVOD Z UCTU	6760	38219	DUCHOD	IJ	83717322
238107	814	1997-07-13	PRIJEM	PREVOD Z UCTU	6760	34469	DUCHOD	IJ	83717322
238108	814	1997-08-13	PRIJEM	PREVOD Z UCTU	6760	34332	DUCHOD	IJ	83717322
238109	814	1997-09-13	PRIJEM	PREVOD Z UCTU	6760	33183	DUCHOD	IJ	83717322
238110	814	1997-10-13	PRIJEM	PREVOD Z UCTU	6760	34029	DUCHOD	IJ	83717322
238111	814	1997-11-13	PRIJEM	PREVOD Z UCTU	6760	32434	DUCHOD	IJ	83717322
238112	814	1997-12-13	PRIJEM	PREVOD Z UCTU	6760	31268	DUCHOD	IJ	83717322
238113	814	1998-01-13	PRIJEM	PREVOD Z UCTU	6760	22407	DUCHOD	IJ	83717322
238114	814	1998-02-13	PRIJEM	PREVOD Z UCTU	6760	20780	DUCHOD	IJ	83717322
238115	814	1998-03-13	PRIJEM	PREVOD Z UCTU	6760	18072	DUCHOD	IJ	83717322
238116	814	1998-04-13	PRIJEM	PREVOD Z UCTU	6760	20752	DUCHOD	IJ	83717322
238117	814	1998-05-13	PRIJEM	PREVOD Z UCTU	6760	20838	DUCHOD	IJ	83717322
238118	814	1998-06-13	PRIJEM	PREVOD Z UCTU	6760	18323	DUCHOD	IJ	83717322
238119	814	1998-07-13	PRIJEM	PREVOD Z UCTU	6760	17498	DUCHOD	IJ	83717322
238120	814	1998-08-13	PRIJEM	PREVOD Z UCTU	6760	21356	DUCHOD	IJ	83717322
238121	814	1998-09-13	PRIJEM	PREVOD Z UCTU	6760	25551	DUCHOD	IJ	83717322
238122	814	1998-10-13	PRIJEM	PREVOD Z UCTU	6760	30159	DUCHOD	IJ	83717322
238123	814	1998-11-13	PRIJEM	PREVOD Z UCTU	6760	17674	DUCHOD	IJ	83717322
238124	814	1998-12-13	PRIJEM	PREVOD Z UCTU	6760	19932	DUCHOD	IJ	83717322
238138	814	1997-02-13	VYDAJ	PREVOD NA UCET	1598	32608	SIPO	GH	1200831
238139	814	1997-03-13	VYDAJ	PREVOD NA UCET	1598	37218	SIPO	GH	1200831
238140	814	1997-04-13	VYDAJ	PREVOD NA UCET	1598	37685	SIPO	GH	1200831
238141	814	1997-05-13	VYDAJ	PREVOD NA UCET	1598	36658	SIPO	GH	1200831
238142	814	1997-06-13	VYDAJ	PREVOD NA UCET	1598	36621	SIPO	GH	1200831
238143	814	1997-07-13	VYDAJ	PREVOD NA UCET	1598	32871	SIPO	GH	1200831
238144	814	1997-08-13	VYDAJ	PREVOD NA UCET	1598	32734	SIPO	GH	1200831
238145	814	1997-09-13	VYDAJ	PREVOD NA UCET	1598	31585	SIPO	GH	1200831
238146	814	1997-10-13	VYDAJ	PREVOD NA UCET	1598	32431	SIPO	GH	1200831
238147	814	1997-11-13	VYDAJ	PREVOD NA UCET	1598	30836	SIPO	GH	1200831
238148	814	1997-12-13	VYDAJ	PREVOD NA UCET	1598	29670	SIPO	GH	1200831
238149	814	1998-01-13	VYDAJ	PREVOD NA UCET	1598	20809	SIPO	GH	1200831
238150	814	1998-02-13	VYDAJ	PREVOD NA UCET	1598	19182	SIPO	GH	1200831
238151	814	1998-03-13	VYDAJ	PREVOD NA UCET	1598	16474	SIPO	GH	1200831
238152	814	1998-04-13	VYDAJ	PREVOD NA UCET	1598	19154	SIPO	GH	1200831
238153	814	1998-05-13	VYDAJ	PREVOD NA UCET	1598	19240	SIPO	GH	1200831
238154	814	1998-06-13	VYDAJ	PREVOD NA UCET	1598	16725	SIPO	GH	1200831
238155	814	1998-07-13	VYDAJ	PREVOD NA UCET	1598	15900	SIPO	GH	1200831
238156	814	1998-08-13	VYDAJ	PREVOD NA UCET	1598	19758	SIPO	GH	1200831
238157	814	1998-09-13	VYDAJ	PREVOD NA UCET	1598	23953	SIPO	GH	1200831
238158	814	1998-10-13	VYDAJ	PREVOD NA UCET	1598	28561	SIPO	GH	1200831
238159	814	1998-11-13	VYDAJ	PREVOD NA UCET	1598	16076	SIPO	GH	1200831
238160	814	1998-12-13	VYDAJ	PREVOD NA UCET	1598	18334	SIPO	GH	1200831
238175	814	1997-03-09	VYDAJ	PREVOD NA UCET	632	32056	 	KL	15360969
238176	814	1997-04-09	VYDAJ	PREVOD NA UCET	632	32523	 	KL	15360969
238177	814	1997-05-09	VYDAJ	PREVOD NA UCET	632	31496	 	KL	15360969
238178	814	1997-06-09	VYDAJ	PREVOD NA UCET	632	31459	 	KL	15360969
238179	814	1997-07-09	VYDAJ	PREVOD NA UCET	632	27709	 	KL	15360969
238180	814	1997-08-09	VYDAJ	PREVOD NA UCET	632	27572	 	KL	15360969
238181	814	1997-09-09	VYDAJ	PREVOD NA UCET	632	26423	 	KL	15360969
238182	814	1997-10-09	VYDAJ	PREVOD NA UCET	632	27269	 	KL	15360969
238183	814	1997-11-09	VYDAJ	PREVOD NA UCET	632	25674	 	KL	15360969
238184	814	1997-12-09	VYDAJ	PREVOD NA UCET	632	24508	 	KL	15360969
238185	814	1998-01-09	VYDAJ	PREVOD NA UCET	632	16527	 	KL	15360969
238186	814	1998-02-09	VYDAJ	PREVOD NA UCET	632	14020	 	KL	15360969
238187	814	1998-03-09	VYDAJ	PREVOD NA UCET	632	11312	 	KL	15360969
238188	814	1998-04-09	VYDAJ	PREVOD NA UCET	632	13992	 	KL	15360969
238189	814	1998-05-09	VYDAJ	PREVOD NA UCET	632	14078	 	KL	15360969
238190	814	1998-06-09	VYDAJ	PREVOD NA UCET	632	11563	 	KL	15360969
238191	814	1998-07-09	VYDAJ	PREVOD NA UCET	632	10738	 	KL	15360969
238192	814	1998-08-09	VYDAJ	PREVOD NA UCET	632	15316	 	KL	15360969
238193	814	1998-09-09	VYDAJ	PREVOD NA UCET	632	19191	 	KL	15360969
238194	814	1998-10-09	VYDAJ	PREVOD NA UCET	632	23399	 	KL	15360969
238195	814	1998-11-09	VYDAJ	PREVOD NA UCET	632	10914	 	KL	15360969
238196	814	1998-12-09	VYDAJ	PREVOD NA UCET	632	13172	 	KL	15360969
238198	814	1997-06-17	VYDAJ	VYBER	8400	28221	\N	\N	\N
238202	814	1998-01-04	VYDAJ	VYBER	800	19719	\N	\N	\N
238204	814	1997-12-24	VYDAJ	VYBER	450	29220	\N	\N	\N
238205	814	1998-12-20	VYDAJ	VYBER	600	17734	\N	\N	\N
238218	814	1998-01-12	VYDAJ	VYBER	880	15647	\N	\N	\N
238219	814	1998-01-14	VYDAJ	VYBER	1200	19609	\N	\N	\N
238220	814	1998-01-07	VYDAJ	VYBER	1440	17159	\N	\N	\N
238221	814	1998-01-15	VYDAJ	VYBER	800	18809	\N	\N	\N
238222	814	1998-01-06	VYDAJ	VYBER	1120	18599	\N	\N	\N
238223	814	1998-01-29	VYDAJ	VYBER	400	17309	\N	\N	\N
238229	814	1997-05-05	VYDAJ	VYBER	2800	32128	\N	\N	\N
238230	814	1997-07-23	VYDAJ	VYBER	1680	31191	\N	\N	\N
238231	814	1997-11-19	VYDAJ	VYBER	1200	29636	\N	\N	\N
238232	814	1997-10-22	VYDAJ	VYBER	2640	29791	\N	\N	\N
238234	814	1998-09-11	VYDAJ	VYBER	400	18791	\N	\N	\N
238235	814	1998-08-10	VYDAJ	VYBER	720	14596	\N	\N	\N
238237	814	1998-12-01	VYDAJ	VYBER	2320	13804	\N	\N	\N
238238	814	1998-02-02	VYDAJ	VYBER	2720	14652	\N	\N	\N
238254	814	1997-02-28	VYDAJ	VYBER	15	32688	SLUZBY	\N	\N
238255	814	1997-03-31	VYDAJ	VYBER	15	37355	SLUZBY	\N	\N
238256	814	1997-04-30	VYDAJ	VYBER	15	37828	SLUZBY	\N	\N
238257	814	1997-05-31	VYDAJ	VYBER	15	36791	SLUZBY	\N	\N
238258	814	1997-06-30	VYDAJ	VYBER	15	28341	SLUZBY	\N	\N
238259	814	1997-07-31	VYDAJ	VYBER	15	31304	SLUZBY	\N	\N
238260	814	1997-08-31	VYDAJ	VYBER	15	32855	SLUZBY	\N	\N
238261	814	1997-09-30	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
238262	814	1997-10-31	VYDAJ	VYBER	15	26306	SLUZBY	\N	\N
238263	814	1997-11-30	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
238264	814	1997-12-31	VYDAJ	VYBER	15	20519	SLUZBY	\N	\N
238265	814	1998-01-31	VYDAJ	VYBER	15	17372	SLUZBY	\N	\N
238266	814	1998-02-28	VYDAJ	VYBER	15	11944	SLUZBY	\N	\N
238267	814	1998-03-31	VYDAJ	VYBER	15	14624	SLUZBY	\N	\N
238268	814	1998-04-30	VYDAJ	VYBER	15	14710	SLUZBY	\N	\N
238269	814	1998-05-31	VYDAJ	VYBER	15	12195	SLUZBY	\N	\N
238270	814	1998-06-30	VYDAJ	VYBER	15	11370	SLUZBY	\N	\N
238271	814	1998-07-31	VYDAJ	VYBER	15	15948	SLUZBY	\N	\N
238272	814	1998-08-31	VYDAJ	VYBER	15	19823	SLUZBY	\N	\N
238273	814	1998-09-30	VYDAJ	VYBER	15	24031	SLUZBY	\N	\N
238274	814	1998-10-31	VYDAJ	VYBER	15	11546	SLUZBY	\N	\N
238275	814	1998-11-30	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
238276	814	1997-04-04	VYDAJ	VYBER	4200	33155	\N	\N	\N
238277	814	1997-05-04	VYDAJ	VYBER	2900	34928	\N	\N	\N
238278	814	1997-06-03	VYDAJ	VYBER	4700	32091	\N	\N	\N
238279	814	1997-08-02	VYDAJ	VYBER	3100	28204	\N	\N	\N
238280	814	1997-09-01	VYDAJ	VYBER	5800	27055	\N	\N	\N
238281	814	1997-10-01	VYDAJ	VYBER	3800	27901	\N	\N	\N
238282	814	1997-10-31	VYDAJ	VYBER	3600	26320	\N	\N	\N
238283	814	1997-11-30	VYDAJ	VYBER	4600	25155	\N	\N	\N
238284	814	1997-12-30	VYDAJ	VYBER	8800	20420	\N	\N	\N
238285	814	1998-01-29	VYDAJ	VYBER	1100	17709	\N	\N	\N
238286	814	1998-02-28	VYDAJ	VYBER	7300	11959	\N	\N	\N
238287	814	1998-03-30	VYDAJ	VYBER	1900	14574	\N	\N	\N
238288	814	1998-04-29	VYDAJ	VYBER	4500	14654	\N	\N	\N
238289	814	1998-05-29	VYDAJ	VYBER	7100	12140	\N	\N	\N
238290	814	1998-06-28	VYDAJ	VYBER	5400	11325	\N	\N	\N
238291	814	1998-10-26	VYDAJ	VYBER	17100	11461	\N	\N	\N
238319	815	1993-08-25	PRIJEM	VKLAD	300	300	\N	\N	\N
238328	815	1993-09-13	PRIJEM	PREVOD Z UCTU	2924	3224	\N	GH	92152994
238329	815	1993-10-13	PRIJEM	PREVOD Z UCTU	2924	6148	\N	GH	92152994
238330	815	1993-11-13	PRIJEM	PREVOD Z UCTU	2924	9072	\N	GH	92152994
238331	815	1993-12-13	PRIJEM	PREVOD Z UCTU	2924	11996	\N	GH	92152994
238332	815	1994-01-13	PRIJEM	PREVOD Z UCTU	2924	14920	\N	GH	92152994
238333	815	1994-02-13	PRIJEM	PREVOD Z UCTU	2924	13510	\N	GH	92152994
238334	815	1994-03-13	PRIJEM	PREVOD Z UCTU	2924	13744	\N	GH	92152994
238335	815	1994-04-13	PRIJEM	PREVOD Z UCTU	2924	14760	\N	GH	92152994
238336	815	1994-05-13	PRIJEM	PREVOD Z UCTU	2924	14969	\N	GH	92152994
238337	815	1994-06-13	PRIJEM	PREVOD Z UCTU	2924	15059	\N	GH	92152994
238338	815	1994-07-13	PRIJEM	PREVOD Z UCTU	2924	16080	\N	GH	92152994
238339	815	1994-08-13	PRIJEM	PREVOD Z UCTU	2924	15186	\N	GH	92152994
238340	815	1994-09-13	PRIJEM	PREVOD Z UCTU	2924	16208	\N	GH	92152994
238341	815	1994-10-13	PRIJEM	PREVOD Z UCTU	2924	15881	\N	GH	92152994
238342	815	1994-11-13	PRIJEM	PREVOD Z UCTU	2924	16906	\N	GH	92152994
238343	815	1994-12-13	PRIJEM	PREVOD Z UCTU	2924	17935	\N	GH	92152994
238344	815	1995-01-13	PRIJEM	PREVOD Z UCTU	2924	17347	\N	GH	92152994
238345	815	1995-02-13	PRIJEM	PREVOD Z UCTU	2924	14469	\N	GH	92152994
238346	815	1995-03-13	PRIJEM	PREVOD Z UCTU	2924	14348	\N	GH	92152994
238347	815	1995-04-13	PRIJEM	PREVOD Z UCTU	2924	13895	\N	GH	92152994
238348	815	1995-05-13	PRIJEM	PREVOD Z UCTU	2924	14372	\N	GH	92152994
238349	815	1995-06-13	PRIJEM	PREVOD Z UCTU	2924	14789	\N	GH	92152994
238350	815	1995-07-13	PRIJEM	PREVOD Z UCTU	2924	15809	\N	GH	92152994
238351	815	1995-08-13	PRIJEM	PREVOD Z UCTU	2924	16834	\N	GH	92152994
238352	815	1995-09-13	PRIJEM	PREVOD Z UCTU	2924	17863	\N	GH	92152994
238353	815	1995-10-13	PRIJEM	PREVOD Z UCTU	2924	18896	\N	GH	92152994
238354	815	1995-11-13	PRIJEM	PREVOD Z UCTU	2924	19933	\N	GH	92152994
238355	815	1995-12-13	PRIJEM	PREVOD Z UCTU	2924	20285	\N	GH	92152994
238356	815	1996-01-13	PRIJEM	PREVOD Z UCTU	2924	20307	\N	GH	92152994
238357	815	1996-02-13	PRIJEM	PREVOD Z UCTU	2924	17985	\N	GH	92152994
238358	815	1996-03-13	PRIJEM	PREVOD Z UCTU	2924	19019	\N	GH	92152994
238359	815	1996-04-13	PRIJEM	PREVOD Z UCTU	2924	18646	\N	GH	92152994
238360	815	1996-05-13	PRIJEM	PREVOD Z UCTU	2924	19683	\N	GH	92152994
238361	815	1996-06-13	PRIJEM	PREVOD Z UCTU	2924	20723	\N	GH	92152994
238362	815	1996-07-13	PRIJEM	PREVOD Z UCTU	2924	17204	\N	GH	92152994
238363	815	1996-08-13	PRIJEM	PREVOD Z UCTU	2924	16824	\N	GH	92152994
238364	815	1996-09-13	PRIJEM	PREVOD Z UCTU	2924	17552	\N	GH	92152994
238365	815	1996-10-13	PRIJEM	PREVOD Z UCTU	2924	18584	\N	GH	92152994
238366	815	1996-11-13	PRIJEM	PREVOD Z UCTU	2924	18749	\N	GH	92152994
238367	815	1996-12-13	PRIJEM	PREVOD Z UCTU	2924	19786	\N	GH	92152994
238368	815	1997-01-13	PRIJEM	PREVOD Z UCTU	2924	19984	\N	GH	92152994
238369	815	1997-02-13	PRIJEM	PREVOD Z UCTU	2924	15979	\N	GH	92152994
238370	815	1997-03-13	PRIJEM	PREVOD Z UCTU	2924	17003	\N	GH	92152994
238371	815	1997-04-13	PRIJEM	PREVOD Z UCTU	2924	17042	\N	GH	92152994
238372	815	1997-05-13	PRIJEM	PREVOD Z UCTU	2924	18071	\N	GH	92152994
238373	815	1997-06-13	PRIJEM	PREVOD Z UCTU	2924	17994	\N	GH	92152994
238374	815	1997-07-13	PRIJEM	PREVOD Z UCTU	2924	19027	\N	GH	92152994
238375	815	1997-08-13	PRIJEM	PREVOD Z UCTU	2924	20064	\N	GH	92152994
238376	815	1997-09-13	PRIJEM	PREVOD Z UCTU	2924	20054	\N	GH	92152994
238377	815	1997-10-13	PRIJEM	PREVOD Z UCTU	2924	20016	\N	GH	92152994
238378	815	1997-11-13	PRIJEM	PREVOD Z UCTU	2924	21057	\N	GH	92152994
238379	815	1997-12-13	PRIJEM	PREVOD Z UCTU	2924	21082	\N	GH	92152994
238380	815	1998-01-13	PRIJEM	PREVOD Z UCTU	2924	20478	\N	GH	92152994
238381	815	1998-02-13	PRIJEM	PREVOD Z UCTU	2924	18516	\N	GH	92152994
238382	815	1998-03-13	PRIJEM	PREVOD Z UCTU	2924	19551	\N	GH	92152994
238383	815	1998-04-13	PRIJEM	PREVOD Z UCTU	2924	19779	\N	GH	92152994
238384	815	1998-05-13	PRIJEM	PREVOD Z UCTU	2924	20819	\N	GH	92152994
238385	815	1998-06-13	PRIJEM	PREVOD Z UCTU	2924	18463	\N	GH	92152994
238386	815	1998-07-13	PRIJEM	PREVOD Z UCTU	2924	17963	\N	GH	92152994
238387	815	1998-08-13	PRIJEM	PREVOD Z UCTU	2924	15945	\N	GH	92152994
238388	815	1998-09-13	PRIJEM	PREVOD Z UCTU	2924	16569	\N	GH	92152994
238389	815	1998-10-13	PRIJEM	PREVOD Z UCTU	2924	16494	\N	GH	92152994
238390	815	1998-11-13	PRIJEM	PREVOD Z UCTU	2924	17520	\N	GH	92152994
238391	815	1998-12-13	PRIJEM	PREVOD Z UCTU	2924	16149	\N	GH	92152994
238405	815	1994-02-08	VYDAJ	PREVOD NA UCET	1949	10586	\N	MN	93358599
238406	815	1994-03-08	VYDAJ	PREVOD NA UCET	1949	10820	\N	MN	93358599
238407	815	1994-04-08	VYDAJ	PREVOD NA UCET	1949	11836	\N	MN	93358599
238408	815	1994-05-08	VYDAJ	PREVOD NA UCET	1949	12045	\N	MN	93358599
238409	815	1994-06-08	VYDAJ	PREVOD NA UCET	1949	12135	\N	MN	93358599
238410	815	1994-07-08	VYDAJ	PREVOD NA UCET	1949	13156	\N	MN	93358599
238411	815	1994-08-08	VYDAJ	PREVOD NA UCET	1949	12262	\N	MN	93358599
238412	815	1994-09-08	VYDAJ	PREVOD NA UCET	1949	13284	\N	MN	93358599
238413	815	1994-10-08	VYDAJ	PREVOD NA UCET	1949	12957	\N	MN	93358599
238414	815	1994-11-08	VYDAJ	PREVOD NA UCET	1949	13982	\N	MN	93358599
238415	815	1994-12-08	VYDAJ	PREVOD NA UCET	1949	15011	\N	MN	93358599
238416	815	1995-01-08	VYDAJ	PREVOD NA UCET	1949	15053	\N	MN	93358599
238417	815	1995-02-08	VYDAJ	PREVOD NA UCET	1949	11545	\N	MN	93358599
238418	815	1995-03-08	VYDAJ	PREVOD NA UCET	1949	11424	\N	MN	93358599
238419	815	1995-04-08	VYDAJ	PREVOD NA UCET	1949	10971	\N	MN	93358599
238420	815	1995-05-08	VYDAJ	PREVOD NA UCET	1949	11448	\N	MN	93358599
238421	815	1995-06-08	VYDAJ	PREVOD NA UCET	1949	11865	\N	MN	93358599
238422	815	1995-07-08	VYDAJ	PREVOD NA UCET	1949	12885	\N	MN	93358599
238423	815	1995-08-08	VYDAJ	PREVOD NA UCET	1949	13910	\N	MN	93358599
238424	815	1995-09-08	VYDAJ	PREVOD NA UCET	1949	14939	\N	MN	93358599
238425	815	1995-10-08	VYDAJ	PREVOD NA UCET	1949	15972	\N	MN	93358599
238426	815	1995-11-08	VYDAJ	PREVOD NA UCET	1949	17009	\N	MN	93358599
238427	815	1995-12-08	VYDAJ	PREVOD NA UCET	1949	17361	\N	MN	93358599
238428	815	1996-01-08	VYDAJ	PREVOD NA UCET	1949	17803	\N	MN	93358599
238429	815	1996-02-08	VYDAJ	PREVOD NA UCET	1949	15061	\N	MN	93358599
238430	815	1996-03-08	VYDAJ	PREVOD NA UCET	1949	16095	\N	MN	93358599
238431	815	1996-04-08	VYDAJ	PREVOD NA UCET	1949	15722	\N	MN	93358599
238432	815	1996-05-08	VYDAJ	PREVOD NA UCET	1949	16759	\N	MN	93358599
238433	815	1996-06-08	VYDAJ	PREVOD NA UCET	1949	17799	\N	MN	93358599
238434	815	1996-07-08	VYDAJ	PREVOD NA UCET	1949	14280	\N	MN	93358599
238435	815	1996-08-08	VYDAJ	PREVOD NA UCET	1949	13900	\N	MN	93358599
238436	815	1996-09-08	VYDAJ	PREVOD NA UCET	1949	14628	\N	MN	93358599
238437	815	1996-10-08	VYDAJ	PREVOD NA UCET	1949	15660	\N	MN	93358599
238438	815	1996-11-08	VYDAJ	PREVOD NA UCET	1949	16695	\N	MN	93358599
238439	815	1996-12-08	VYDAJ	PREVOD NA UCET	1949	16862	\N	MN	93358599
238440	815	1997-01-08	VYDAJ	PREVOD NA UCET	1949	17060	\N	MN	93358599
238441	815	1997-02-08	VYDAJ	PREVOD NA UCET	1949	13055	\N	MN	93358599
238442	815	1997-03-08	VYDAJ	PREVOD NA UCET	1949	14079	\N	MN	93358599
238443	815	1997-04-08	VYDAJ	PREVOD NA UCET	1949	14118	\N	MN	93358599
238444	815	1997-05-08	VYDAJ	PREVOD NA UCET	1949	15147	\N	MN	93358599
238445	815	1997-06-08	VYDAJ	PREVOD NA UCET	1949	15070	\N	MN	93358599
238446	815	1997-07-08	VYDAJ	PREVOD NA UCET	1949	16103	\N	MN	93358599
238447	815	1997-08-08	VYDAJ	PREVOD NA UCET	1949	17140	\N	MN	93358599
238448	815	1997-09-08	VYDAJ	PREVOD NA UCET	1949	17130	\N	MN	93358599
238449	815	1997-10-08	VYDAJ	PREVOD NA UCET	1949	18172	\N	MN	93358599
238450	815	1997-11-08	VYDAJ	PREVOD NA UCET	1949	18133	\N	MN	93358599
238451	815	1997-12-08	VYDAJ	PREVOD NA UCET	1949	18848	\N	MN	93358599
238452	815	1998-01-08	VYDAJ	PREVOD NA UCET	1949	17554	\N	MN	93358599
238453	815	1998-02-08	VYDAJ	PREVOD NA UCET	1949	15592	\N	MN	93358599
238454	815	1998-03-08	VYDAJ	PREVOD NA UCET	1949	16627	\N	MN	93358599
238455	815	1998-04-08	VYDAJ	PREVOD NA UCET	1949	16855	\N	MN	93358599
238456	815	1998-05-08	VYDAJ	PREVOD NA UCET	1949	17895	\N	MN	93358599
238457	815	1998-06-08	VYDAJ	PREVOD NA UCET	1949	15539	\N	MN	93358599
238458	815	1998-07-08	VYDAJ	PREVOD NA UCET	1949	15039	\N	MN	93358599
238459	815	1998-08-08	VYDAJ	PREVOD NA UCET	1949	13021	\N	MN	93358599
238460	815	1998-09-08	VYDAJ	PREVOD NA UCET	1949	13645	\N	MN	93358599
238461	815	1998-10-08	VYDAJ	PREVOD NA UCET	1949	13570	\N	MN	93358599
238462	815	1998-11-08	VYDAJ	PREVOD NA UCET	1949	14596	\N	MN	93358599
238463	815	1998-12-08	VYDAJ	PREVOD NA UCET	1949	13225	\N	MN	93358599
238467	815	1996-06-25	VYDAJ	VYBER	4560	16163	\N	\N	\N
238472	815	1995-01-15	VYDAJ	VYBER	630	15277	\N	\N	\N
238473	815	1996-01-19	VYDAJ	VYBER	2190	18117	\N	\N	\N
238474	815	1997-01-24	VYDAJ	VYBER	2280	14944	\N	\N	\N
238475	815	1998-01-25	VYDAJ	VYBER	1830	17478	\N	\N	\N
238477	815	1994-12-14	VYDAJ	VYBER	780	17155	\N	\N	\N
238478	815	1995-12-02	VYDAJ	VYBER	690	19310	\N	\N	\N
238479	815	1996-12-14	VYDAJ	VYBER	840	18946	\N	\N	\N
238480	815	1997-12-04	VYDAJ	VYBER	330	20797	\N	\N	\N
238488	815	1994-01-16	VYDAJ	VYBER	150	14770	\N	\N	\N
238489	815	1994-01-22	VYDAJ	VYBER	420	13360	\N	\N	\N
238492	815	1994-01-20	VYDAJ	VYBER	270	13780	\N	\N	\N
238493	815	1994-01-18	VYDAJ	VYBER	720	14050	\N	\N	\N
238494	815	1995-01-18	VYDAJ	VYBER	750	14287	\N	\N	\N
238495	815	1995-01-09	VYDAJ	VYBER	630	14423	\N	\N	\N
238496	815	1995-01-03	VYDAJ	VYBER	210	17002	\N	\N	\N
238497	815	1995-01-23	VYDAJ	VYBER	390	13447	\N	\N	\N
238498	815	1995-01-16	VYDAJ	VYBER	240	15037	\N	\N	\N
238499	815	1995-01-20	VYDAJ	VYBER	450	13837	\N	\N	\N
238500	815	1996-01-25	VYDAJ	VYBER	360	17757	\N	\N	\N
238501	815	1996-01-05	VYDAJ	VYBER	600	19752	\N	\N	\N
238502	815	1996-01-11	VYDAJ	VYBER	150	17383	\N	\N	\N
238503	815	1996-01-29	VYDAJ	VYBER	450	16947	\N	\N	\N
238504	815	1996-01-25	VYDAJ	VYBER	360	17397	\N	\N	\N
238505	815	1996-01-10	VYDAJ	VYBER	270	17533	\N	\N	\N
238506	815	1997-01-20	VYDAJ	VYBER	390	18454	\N	\N	\N
238507	815	1997-01-18	VYDAJ	VYBER	330	18844	\N	\N	\N
238508	815	1997-01-13	VYDAJ	VYBER	240	19174	\N	\N	\N
238509	815	1997-01-24	VYDAJ	VYBER	450	17224	\N	\N	\N
238510	815	1997-01-22	VYDAJ	VYBER	780	17674	\N	\N	\N
238511	815	1997-01-13	VYDAJ	VYBER	570	19414	\N	\N	\N
238512	815	1998-01-02	VYDAJ	VYBER	780	20373	\N	\N	\N
238513	815	1998-01-23	VYDAJ	VYBER	690	19308	\N	\N	\N
238514	815	1998-01-04	VYDAJ	VYBER	540	19833	\N	\N	\N
238515	815	1998-01-04	VYDAJ	VYBER	330	19503	\N	\N	\N
238516	815	1998-01-15	VYDAJ	VYBER	150	19998	\N	\N	\N
238517	815	1998-01-15	VYDAJ	VYBER	330	20148	\N	\N	\N
238521	815	1994-08-07	VYDAJ	VYBER	1380	14211	\N	\N	\N
238522	815	1994-09-15	VYDAJ	VYBER	1350	14858	\N	\N	\N
238523	815	1994-04-19	VYDAJ	VYBER	810	13950	\N	\N	\N
238524	815	1994-02-23	VYDAJ	VYBER	780	12730	\N	\N	\N
238525	815	1994-05-23	VYDAJ	VYBER	930	14039	\N	\N	\N
238526	815	1994-07-29	VYDAJ	VYBER	540	15540	\N	\N	\N
238527	815	1994-02-02	VYDAJ	VYBER	840	12535	\N	\N	\N
238528	815	1995-03-24	VYDAJ	VYBER	930	13418	\N	\N	\N
238529	815	1995-01-14	VYDAJ	VYBER	1440	15907	\N	\N	\N
238530	815	1995-03-29	VYDAJ	VYBER	540	12878	\N	\N	\N
238531	815	1995-05-23	VYDAJ	VYBER	600	13772	\N	\N	\N
238532	815	1995-03-05	VYDAJ	VYBER	1140	13373	\N	\N	\N
238533	815	1995-05-04	VYDAJ	VYBER	540	13397	\N	\N	\N
238534	815	1996-08-28	VYDAJ	VYBER	300	16524	\N	\N	\N
238536	815	1996-11-09	VYDAJ	VYBER	870	15825	\N	\N	\N
238537	815	1996-04-05	VYDAJ	VYBER	1410	17671	\N	\N	\N
238538	815	1996-08-01	VYDAJ	VYBER	1410	15849	\N	\N	\N
238539	815	1997-12-09	VYDAJ	VYBER	690	18158	\N	\N	\N
238540	815	1997-06-04	VYDAJ	VYBER	1110	17019	\N	\N	\N
238541	815	1997-10-09	VYDAJ	VYBER	1080	17092	\N	\N	\N
238543	815	1997-03-26	VYDAJ	VYBER	990	16013	\N	\N	\N
238544	815	1997-08-26	VYDAJ	VYBER	1050	19014	\N	\N	\N
238546	815	1998-06-30	VYDAJ	VYBER	840	17702	\N	\N	\N
238547	815	1998-03-23	VYDAJ	VYBER	630	18921	\N	\N	\N
238548	815	1998-03-23	VYDAJ	VYBER	180	18741	\N	\N	\N
238549	815	1998-07-13	VYDAJ	VYBER	750	17213	\N	\N	\N
238563	815	1994-01-31	VYDAJ	VYBER	15	13375	SLUZBY	\N	\N
238564	815	1994-02-28	VYDAJ	VYBER	15	12769	SLUZBY	\N	\N
238565	815	1994-03-31	VYDAJ	VYBER	15	13785	SLUZBY	\N	\N
238566	815	1994-04-30	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
238567	815	1994-05-31	VYDAJ	VYBER	15	14084	SLUZBY	\N	\N
238568	815	1994-06-30	VYDAJ	VYBER	15	15105	SLUZBY	\N	\N
238569	815	1994-07-31	VYDAJ	VYBER	15	15591	SLUZBY	\N	\N
238570	815	1994-08-31	VYDAJ	VYBER	15	15233	SLUZBY	\N	\N
238571	815	1994-09-30	VYDAJ	VYBER	15	14906	SLUZBY	\N	\N
238572	815	1994-10-31	VYDAJ	VYBER	15	15931	SLUZBY	\N	\N
238573	815	1994-11-30	VYDAJ	VYBER	15	16960	SLUZBY	\N	\N
238574	815	1994-12-31	VYDAJ	VYBER	15	17212	SLUZBY	\N	\N
238575	815	1995-01-31	VYDAJ	VYBER	15	13494	SLUZBY	\N	\N
238576	815	1995-02-28	VYDAJ	VYBER	15	14513	SLUZBY	\N	\N
238577	815	1995-03-31	VYDAJ	VYBER	15	12920	SLUZBY	\N	\N
238578	815	1995-04-30	VYDAJ	VYBER	15	13937	SLUZBY	\N	\N
238579	815	1995-05-31	VYDAJ	VYBER	15	13814	SLUZBY	\N	\N
238580	815	1995-06-30	VYDAJ	VYBER	15	14834	SLUZBY	\N	\N
238581	815	1995-07-31	VYDAJ	VYBER	15	15859	SLUZBY	\N	\N
238582	815	1995-08-31	VYDAJ	VYBER	15	16888	SLUZBY	\N	\N
238583	815	1995-09-30	VYDAJ	VYBER	15	17921	SLUZBY	\N	\N
238584	815	1995-10-31	VYDAJ	VYBER	15	18958	SLUZBY	\N	\N
238585	815	1995-11-30	VYDAJ	VYBER	15	20000	SLUZBY	\N	\N
238586	815	1995-12-31	VYDAJ	VYBER	15	20352	SLUZBY	\N	\N
238587	815	1996-01-31	VYDAJ	VYBER	15	17010	SLUZBY	\N	\N
238588	815	1996-02-29	VYDAJ	VYBER	15	18044	SLUZBY	\N	\N
238589	815	1996-03-31	VYDAJ	VYBER	15	19081	SLUZBY	\N	\N
238590	815	1996-04-30	VYDAJ	VYBER	15	18708	SLUZBY	\N	\N
238591	815	1996-05-31	VYDAJ	VYBER	15	19748	SLUZBY	\N	\N
238592	815	1996-06-30	VYDAJ	VYBER	15	16229	SLUZBY	\N	\N
238593	815	1996-07-31	VYDAJ	VYBER	15	17259	SLUZBY	\N	\N
238594	815	1996-08-31	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
238595	815	1996-09-30	VYDAJ	VYBER	15	17609	SLUZBY	\N	\N
238596	815	1996-10-31	VYDAJ	VYBER	15	18644	SLUZBY	\N	\N
238597	815	1996-11-30	VYDAJ	VYBER	15	18811	SLUZBY	\N	\N
238598	815	1996-12-31	VYDAJ	VYBER	15	19009	SLUZBY	\N	\N
238599	815	1997-01-31	VYDAJ	VYBER	15	15004	SLUZBY	\N	\N
238600	815	1997-02-28	VYDAJ	VYBER	15	16028	SLUZBY	\N	\N
238601	815	1997-03-31	VYDAJ	VYBER	15	16067	SLUZBY	\N	\N
238602	815	1997-04-30	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
238603	815	1997-05-31	VYDAJ	VYBER	15	18129	SLUZBY	\N	\N
238604	815	1997-06-30	VYDAJ	VYBER	15	18052	SLUZBY	\N	\N
238605	815	1997-07-31	VYDAJ	VYBER	15	19089	SLUZBY	\N	\N
238606	815	1997-08-31	VYDAJ	VYBER	15	19079	SLUZBY	\N	\N
238607	815	1997-09-30	VYDAJ	VYBER	15	20121	SLUZBY	\N	\N
238608	815	1997-10-31	VYDAJ	VYBER	15	20082	SLUZBY	\N	\N
238609	815	1997-11-30	VYDAJ	VYBER	15	21127	SLUZBY	\N	\N
238610	815	1997-12-31	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
238611	815	1998-01-31	VYDAJ	VYBER	15	17541	SLUZBY	\N	\N
238612	815	1998-02-28	VYDAJ	VYBER	15	18576	SLUZBY	\N	\N
238613	815	1998-03-31	VYDAJ	VYBER	15	18804	SLUZBY	\N	\N
238614	815	1998-04-30	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
238615	815	1998-05-31	VYDAJ	VYBER	15	20888	SLUZBY	\N	\N
238616	815	1998-06-30	VYDAJ	VYBER	15	16988	SLUZBY	\N	\N
238617	815	1998-07-31	VYDAJ	VYBER	15	14970	SLUZBY	\N	\N
238618	815	1998-08-31	VYDAJ	VYBER	15	15594	SLUZBY	\N	\N
238619	815	1998-09-30	VYDAJ	VYBER	15	15519	SLUZBY	\N	\N
238620	815	1998-10-31	VYDAJ	VYBER	15	16545	SLUZBY	\N	\N
238621	815	1998-11-30	VYDAJ	VYBER	15	15174	SLUZBY	\N	\N
238622	815	1998-05-31	VYDAJ	VYBER	3400	17488	\N	\N	\N
238623	815	1998-06-30	VYDAJ	VYBER	700	17002	\N	\N	\N
238624	815	1998-07-30	VYDAJ	VYBER	2300	14913	\N	\N	\N
238625	815	1998-08-29	VYDAJ	VYBER	400	15545	\N	\N	\N
238626	815	1998-09-28	VYDAJ	VYBER	1100	15469	\N	\N	\N
238627	815	1998-11-27	VYDAJ	VYBER	2400	15120	\N	\N	\N
238688	816	1993-08-05	PRIJEM	VKLAD	200	200	\N	\N	\N
238691	816	1993-09-09	PRIJEM	VKLAD	30827	53473	\N	\N	\N
238693	816	1993-08-23	PRIJEM	VKLAD	17225	17425	\N	\N	\N
238703	816	1993-12-09	PRIJEM	VKLAD	10560	47362	\N	\N	\N
238705	816	1993-10-02	PRIJEM	VKLAD	41561	95217	\N	\N	\N
238707	816	1994-12-04	PRIJEM	VKLAD	9203	91336	\N	\N	\N
238708	816	1994-11-22	PRIJEM	VKLAD	12702	107112	\N	\N	\N
238709	816	1994-08-14	PRIJEM	VKLAD	17836	46169	\N	\N	\N
238710	816	1994-09-11	PRIJEM	VKLAD	29344	86033	\N	\N	\N
238711	816	1994-12-17	PRIJEM	VKLAD	23058	134187	\N	\N	\N
238712	816	1994-01-15	PRIJEM	VKLAD	35319	73391	\N	\N	\N
238713	816	1994-03-05	PRIJEM	VKLAD	22630	70777	\N	\N	\N
238714	816	1994-12-15	PRIJEM	VKLAD	38607	111129	\N	\N	\N
238715	816	1994-08-25	PRIJEM	VKLAD	26486	72655	\N	\N	\N
238716	816	1994-03-05	PRIJEM	VKLAD	21740	92517	\N	\N	\N
238717	816	1994-01-21	PRIJEM	VKLAD	40562	131628	\N	\N	\N
238718	816	1994-10-26	PRIJEM	VKLAD	21264	78088	\N	\N	\N
238719	816	1994-08-28	PRIJEM	VKLAD	16871	89526	\N	\N	\N
238720	816	1994-05-16	PRIJEM	VKLAD	38432	93384	\N	\N	\N
238721	816	1994-11-20	PRIJEM	VKLAD	39836	94410	\N	\N	\N
238722	816	1994-11-11	PRIJEM	VKLAD	6166	54574	\N	\N	\N
238723	816	1994-03-07	PRIJEM	VKLAD	28864	121381	\N	\N	\N
238724	816	1994-05-03	PRIJEM	VKLAD	37253	59466	\N	\N	\N
238725	816	1994-01-19	PRIJEM	VKLAD	37175	96466	\N	\N	\N
238726	816	1994-07-20	PRIJEM	VKLAD	8803	44662	\N	\N	\N
238727	816	1994-06-02	PRIJEM	VKLAD	21882	84157	\N	\N	\N
238728	816	1994-12-03	PRIJEM	VKLAD	12950	82133	\N	\N	\N
238729	816	1994-03-12	PRIJEM	VKLAD	30315	105882	\N	\N	\N
238730	816	1994-09-28	PRIJEM	VKLAD	8807	92740	\N	\N	\N
238731	816	1994-02-05	PRIJEM	VKLAD	37606	90008	\N	\N	\N
238732	816	1995-05-06	PRIJEM	VKLAD	32861	96100	\N	\N	\N
238733	816	1995-04-11	PRIJEM	VKLAD	38292	99857	\N	\N	\N
238734	816	1995-10-31	PRIJEM	VKLAD	13396	57022	\N	\N	\N
238735	816	1995-11-07	PRIJEM	VKLAD	47874	96782	\N	\N	\N
238736	816	1995-08-31	PRIJEM	VKLAD	7551	38203	\N	\N	\N
238737	816	1995-02-11	PRIJEM	VKLAD	21486	55137	\N	\N	\N
238738	816	1995-10-12	PRIJEM	VKLAD	5980	63648	\N	\N	\N
238739	816	1995-02-07	PRIJEM	VKLAD	15633	38165	\N	\N	\N
238740	816	1995-03-20	PRIJEM	VKLAD	27857	60068	\N	\N	\N
238741	816	1995-10-02	PRIJEM	VKLAD	28505	62182	\N	\N	\N
238742	816	1995-12-25	PRIJEM	VKLAD	17517	66674	\N	\N	\N
238743	816	1995-11-25	PRIJEM	VKLAD	14743	77385	\N	\N	\N
238744	816	1995-04-01	PRIJEM	VKLAD	22346	66079	\N	\N	\N
238745	816	1996-05-17	PRIJEM	VKLAD	30039	107722	\N	\N	\N
238746	816	1996-09-04	PRIJEM	VKLAD	35509	118132	\N	\N	\N
238747	816	1996-09-28	PRIJEM	VKLAD	23140	105698	\N	\N	\N
238748	816	1996-01-16	PRIJEM	VKLAD	9915	59364	\N	\N	\N
238749	816	1996-08-16	PRIJEM	VKLAD	31268	81834	\N	\N	\N
238750	816	1996-06-01	PRIJEM	VKLAD	24295	128470	\N	\N	\N
238751	816	1996-10-09	PRIJEM	VKLAD	36695	111473	\N	\N	\N
238752	816	1996-08-17	PRIJEM	VKLAD	37211	119045	\N	\N	\N
238753	816	1996-09-23	PRIJEM	VKLAD	9606	82558	\N	\N	\N
238754	816	1996-10-01	PRIJEM	VKLAD	33459	139492	\N	\N	\N
238755	816	1996-04-23	PRIJEM	VKLAD	21305	80104	\N	\N	\N
238756	816	1996-03-11	PRIJEM	VKLAD	7902	52109	\N	\N	\N
238757	816	1996-04-13	PRIJEM	VKLAD	8667	80799	\N	\N	\N
238758	816	1996-01-05	PRIJEM	VKLAD	5542	72489	\N	\N	\N
238759	816	1996-05-01	PRIJEM	VKLAD	44843	125223	\N	\N	\N
238760	816	1996-07-04	PRIJEM	VKLAD	37852	101239	\N	\N	\N
238761	816	1996-04-06	PRIJEM	VKLAD	36208	78672	\N	\N	\N
238762	816	1996-01-16	PRIJEM	VKLAD	10352	69716	\N	\N	\N
238763	816	1996-06-14	PRIJEM	VKLAD	15572	91551	\N	\N	\N
238764	816	1996-02-13	PRIJEM	VKLAD	21437	57935	\N	\N	\N
238765	816	1996-07-18	PRIJEM	VKLAD	41626	111807	\N	\N	\N
238766	816	1996-09-15	PRIJEM	VKLAD	42460	106452	\N	\N	\N
238767	816	1996-06-04	PRIJEM	VKLAD	19649	123319	\N	\N	\N
238768	816	1996-10-30	PRIJEM	VKLAD	14052	75599	\N	\N	\N
238769	816	1996-05-25	PRIJEM	VKLAD	28459	103786	\N	\N	\N
238770	816	1996-05-20	PRIJEM	VKLAD	43705	151427	\N	\N	\N
238771	816	1996-08-26	PRIJEM	VKLAD	28618	82363	\N	\N	\N
238772	816	1997-08-06	PRIJEM	VKLAD	14744	71269	\N	\N	\N
238773	816	1997-03-28	PRIJEM	VKLAD	48708	107568	\N	\N	\N
238774	816	1997-02-25	PRIJEM	VKLAD	25814	64335	\N	\N	\N
238775	816	1997-04-16	PRIJEM	VKLAD	35149	145859	\N	\N	\N
238776	816	1997-01-10	PRIJEM	VKLAD	10152	37416	\N	\N	\N
238777	816	1997-10-29	PRIJEM	VKLAD	41519	103889	\N	\N	\N
238778	816	1997-12-25	PRIJEM	VKLAD	43425	120327	\N	\N	\N
238779	816	1997-05-24	PRIJEM	VKLAD	34434	97759	\N	\N	\N
238780	816	1997-07-01	PRIJEM	VKLAD	10795	63126	\N	\N	\N
238781	816	1997-10-28	PRIJEM	VKLAD	20983	62370	\N	\N	\N
238782	816	1997-09-30	PRIJEM	VKLAD	26688	73763	\N	\N	\N
238783	816	1997-05-28	PRIJEM	VKLAD	46618	144377	\N	\N	\N
238784	816	1997-11-25	PRIJEM	VKLAD	10807	85198	\N	\N	\N
238785	816	1997-03-31	PRIJEM	VKLAD	24299	131867	\N	\N	\N
238786	816	1997-08-15	PRIJEM	VKLAD	40400	96355	\N	\N	\N
238787	816	1997-12-10	PRIJEM	VKLAD	24877	105902	\N	\N	\N
238788	816	1998-09-30	PRIJEM	VKLAD	42501	103330	\N	\N	\N
238789	816	1998-03-23	PRIJEM	VKLAD	24931	87225	\N	\N	\N
238790	816	1998-04-21	PRIJEM	VKLAD	38282	114651	\N	\N	\N
238791	816	1998-11-22	PRIJEM	VKLAD	14319	70699	\N	\N	\N
238792	816	1998-06-05	PRIJEM	VKLAD	8986	100172	\N	\N	\N
238793	816	1998-10-06	PRIJEM	VKLAD	31481	134796	\N	\N	\N
238794	816	1998-04-03	PRIJEM	VKLAD	35934	137483	\N	\N	\N
238795	816	1998-03-24	PRIJEM	VKLAD	26453	113678	\N	\N	\N
238796	816	1998-06-16	PRIJEM	VKLAD	12586	90925	\N	\N	\N
238797	816	1998-05-24	PRIJEM	VKLAD	13475	92312	\N	\N	\N
238798	816	1998-03-04	PRIJEM	VKLAD	5234	82208	\N	\N	\N
238799	816	1998-09-05	PRIJEM	VKLAD	32322	136239	\N	\N	\N
238800	816	1998-03-25	PRIJEM	VKLAD	39963	153641	\N	\N	\N
238801	816	1998-08-13	PRIJEM	VKLAD	30876	103514	\N	\N	\N
238802	816	1998-07-31	PRIJEM	VKLAD	35852	112325	\N	\N	\N
238803	816	1998-12-13	PRIJEM	VKLAD	28961	106407	\N	\N	\N
238804	816	1998-01-10	PRIJEM	VKLAD	19422	125510	\N	\N	\N
238805	816	1998-12-13	PRIJEM	VKLAD	23413	77446	\N	\N	\N
238806	816	1998-02-22	PRIJEM	VKLAD	35349	76797	\N	\N	\N
238807	816	1998-01-02	PRIJEM	VKLAD	39418	117202	\N	\N	\N
238808	816	1998-07-06	PRIJEM	VKLAD	23406	112287	\N	\N	\N
238809	816	1998-06-06	PRIJEM	VKLAD	13081	113253	\N	\N	\N
238823	816	1994-02-11	VYDAJ	VYBER	1800	83694	\N	\N	0
238824	816	1994-03-25	VYDAJ	VYBER	2600	44082	\N	\N	0
238825	816	1994-03-30	VYDAJ	VYBER	2900	41182	\N	\N	0
238826	816	1994-05-02	VYDAJ	VYBER	1200	22213	\N	\N	0
238827	816	1994-06-08	VYDAJ	VYBER	1800	77843	\N	\N	0
238828	816	1994-07-22	VYDAJ	VYBER	2800	41862	\N	\N	0
238829	816	1994-08-05	VYDAJ	VYBER	1100	32847	\N	\N	0
238830	816	1994-09-11	VYDAJ	VYBER	2100	83933	\N	\N	0
238831	816	1994-10-03	VYDAJ	VYBER	1300	61338	\N	\N	0
238832	816	1994-10-31	VYDAJ	VYBER	2400	52937	\N	\N	0
238833	816	1994-12-07	VYDAJ	VYBER	1400	85422	\N	\N	0
238834	816	1995-01-12	VYDAJ	PREVOD NA UCET	2026	39968	UVER	OP	35554933
238835	816	1995-02-12	VYDAJ	PREVOD NA UCET	2026	53111	UVER	OP	35554933
238836	816	1995-03-12	VYDAJ	PREVOD NA UCET	2026	32211	UVER	OP	35554933
238837	816	1995-04-12	VYDAJ	PREVOD NA UCET	2026	97831	UVER	OP	35554933
238838	816	1995-05-12	VYDAJ	PREVOD NA UCET	2026	89560	UVER	OP	35554933
238839	816	1995-06-12	VYDAJ	PREVOD NA UCET	2026	52838	UVER	OP	35554933
238840	816	1995-07-12	VYDAJ	PREVOD NA UCET	2026	37607	UVER	OP	35554933
238841	816	1995-08-12	VYDAJ	PREVOD NA UCET	2026	30017	UVER	OP	35554933
238842	816	1995-09-12	VYDAJ	PREVOD NA UCET	2026	31649	UVER	OP	35554933
238843	816	1995-10-12	VYDAJ	PREVOD NA UCET	2026	61622	UVER	OP	35554933
238844	816	1995-11-12	VYDAJ	PREVOD NA UCET	2026	90242	UVER	OP	35554933
238845	816	1995-12-12	VYDAJ	PREVOD NA UCET	2026	71157	UVER	OP	35554933
238846	816	1996-01-12	VYDAJ	PREVOD NA UCET	2026	62049	UVER	OP	35554933
238847	816	1996-02-12	VYDAJ	PREVOD NA UCET	2026	36498	UVER	OP	35554933
238848	816	1996-03-12	VYDAJ	PREVOD NA UCET	2026	50084	UVER	OP	35554933
238849	816	1996-04-12	VYDAJ	PREVOD NA UCET	2026	72132	UVER	OP	35554933
238850	816	1996-05-12	VYDAJ	PREVOD NA UCET	2026	77683	UVER	OP	35554933
238851	816	1996-06-12	VYDAJ	PREVOD NA UCET	2026	75979	UVER	OP	35554933
238852	816	1996-07-12	VYDAJ	PREVOD NA UCET	2026	94699	UVER	OP	35554933
238853	816	1996-08-12	VYDAJ	PREVOD NA UCET	2026	50566	UVER	OP	35554933
238854	816	1996-09-12	VYDAJ	PREVOD NA UCET	2026	63992	UVER	OP	35554933
238855	816	1996-10-12	VYDAJ	PREVOD NA UCET	2026	85447	UVER	OP	35554933
238856	816	1996-11-12	VYDAJ	PREVOD NA UCET	2026	65807	UVER	OP	35554933
238857	816	1996-12-12	VYDAJ	PREVOD NA UCET	2026	48813	UVER	OP	35554933
238858	816	1997-01-13	VYDAJ	VYBER	1500	35916	\N	\N	0
238859	816	1997-02-19	VYDAJ	VYBER	2800	38521	\N	\N	0
238860	816	1997-03-05	VYDAJ	VYBER	1600	62874	\N	\N	0
238861	816	1997-04-08	VYDAJ	VYBER	1900	110710	\N	\N	0
238862	816	1997-05-12	VYDAJ	VYBER	2000	71325	\N	\N	0
238863	816	1997-06-16	VYDAJ	VYBER	1500	58080	\N	\N	0
238864	816	1997-07-08	VYDAJ	VYBER	1500	57112	\N	\N	0
238865	816	1997-08-13	VYDAJ	VYBER	2300	64455	\N	\N	0
238866	816	1997-09-12	VYDAJ	VYBER	1500	90658	\N	\N	0
238867	816	1997-10-17	VYDAJ	VYBER	1800	51587	\N	\N	0
238868	816	1997-11-08	VYDAJ	VYBER	2400	97191	\N	\N	0
238869	816	1997-12-25	VYDAJ	VYBER	2600	77427	\N	\N	0
238870	816	1998-01-10	VYDAJ	VYBER	2200	90810	\N	\N	0
238871	816	1998-02-03	VYDAJ	VYBER	1800	32862	\N	\N	0
238872	816	1998-03-07	VYDAJ	VYBER	1800	75894	\N	\N	0
238873	816	1998-04-13	VYDAJ	VYBER	2200	76369	\N	\N	0
238874	816	1998-05-23	VYDAJ	VYBER	2100	78837	\N	\N	0
238875	816	1998-05-30	VYDAJ	VYBER	1500	90812	\N	\N	0
238876	816	1998-06-27	VYDAJ	VYBER	2400	88525	\N	\N	0
238877	816	1998-07-29	VYDAJ	VYBER	1100	76473	\N	\N	0
238878	816	1998-09-15	VYDAJ	VYBER	1700	60525	\N	\N	0
238879	816	1998-10-08	VYDAJ	VYBER	1600	72682	\N	\N	0
238880	816	1998-11-10	VYDAJ	VYBER	2100	56380	\N	\N	0
238881	816	1998-12-13	VYDAJ	VYBER	2200	104207	\N	\N	0
238895	816	1994-02-07	VYDAJ	PREVOD NA UCET	4514	85494	SIPO	QR	67616367
238896	816	1994-03-07	VYDAJ	PREVOD NA UCET	4514	75567	SIPO	QR	67616367
238897	816	1994-04-07	VYDAJ	PREVOD NA UCET	4514	20129	SIPO	QR	67616367
238898	816	1994-05-07	VYDAJ	PREVOD NA UCET	4514	54952	SIPO	QR	67616367
238899	816	1994-06-07	VYDAJ	PREVOD NA UCET	4514	79643	SIPO	QR	67616367
238900	816	1994-07-07	VYDAJ	PREVOD NA UCET	4514	47145	SIPO	QR	67616367
238901	816	1994-08-07	VYDAJ	PREVOD NA UCET	4514	28333	SIPO	QR	67616367
238902	816	1994-09-07	VYDAJ	PREVOD NA UCET	4514	56689	SIPO	QR	67616367
238903	816	1994-10-07	VYDAJ	PREVOD NA UCET	4514	56824	SIPO	QR	67616367
238904	816	1994-11-07	VYDAJ	PREVOD NA UCET	4514	48408	SIPO	QR	67616367
238905	816	1994-12-07	VYDAJ	PREVOD NA UCET	4514	86822	SIPO	QR	67616367
238906	816	1995-01-07	VYDAJ	PREVOD NA UCET	4514	47994	SIPO	QR	67616367
238907	816	1995-02-07	VYDAJ	PREVOD NA UCET	4514	33651	SIPO	QR	67616367
238908	816	1995-03-07	VYDAJ	PREVOD NA UCET	4514	34237	SIPO	QR	67616367
238909	816	1995-04-07	VYDAJ	PREVOD NA UCET	4514	61565	SIPO	QR	67616367
238910	816	1995-05-07	VYDAJ	PREVOD NA UCET	4514	91586	SIPO	QR	67616367
238911	816	1995-06-07	VYDAJ	PREVOD NA UCET	4514	54864	SIPO	QR	67616367
238912	816	1995-07-07	VYDAJ	PREVOD NA UCET	4514	39633	SIPO	QR	67616367
238913	816	1995-08-07	VYDAJ	PREVOD NA UCET	4514	32043	SIPO	QR	67616367
238914	816	1995-09-07	VYDAJ	PREVOD NA UCET	4514	33675	SIPO	QR	67616367
238915	816	1995-10-07	VYDAJ	PREVOD NA UCET	4514	57668	SIPO	QR	67616367
238916	816	1995-11-07	VYDAJ	PREVOD NA UCET	4514	92268	SIPO	QR	67616367
238917	816	1995-12-07	VYDAJ	PREVOD NA UCET	4514	73183	SIPO	QR	67616367
238918	816	1996-01-07	VYDAJ	PREVOD NA UCET	4514	64075	SIPO	QR	67616367
238919	816	1996-02-07	VYDAJ	PREVOD NA UCET	4514	38524	SIPO	QR	67616367
238920	816	1996-03-07	VYDAJ	PREVOD NA UCET	4514	44207	SIPO	QR	67616367
238921	816	1996-04-07	VYDAJ	PREVOD NA UCET	4514	74158	SIPO	QR	67616367
238922	816	1996-05-07	VYDAJ	PREVOD NA UCET	4514	79709	SIPO	QR	67616367
238923	816	1996-06-07	VYDAJ	PREVOD NA UCET	4514	78005	SIPO	QR	67616367
238924	816	1996-07-07	VYDAJ	PREVOD NA UCET	4514	96725	SIPO	QR	67616367
238925	816	1996-08-07	VYDAJ	PREVOD NA UCET	4514	57391	SIPO	QR	67616367
238926	816	1996-09-07	VYDAJ	PREVOD NA UCET	4514	66018	SIPO	QR	67616367
238927	816	1996-10-07	VYDAJ	PREVOD NA UCET	4514	74778	SIPO	QR	67616367
238928	816	1996-11-07	VYDAJ	PREVOD NA UCET	4514	67833	SIPO	QR	67616367
238929	816	1996-12-07	VYDAJ	PREVOD NA UCET	4514	50839	SIPO	QR	67616367
238930	816	1997-01-07	VYDAJ	PREVOD NA UCET	4514	27264	SIPO	QR	67616367
238931	816	1997-02-07	VYDAJ	PREVOD NA UCET	4514	24221	SIPO	QR	67616367
238932	816	1997-03-07	VYDAJ	PREVOD NA UCET	4514	58360	SIPO	QR	67616367
238933	816	1997-04-07	VYDAJ	PREVOD NA UCET	4514	112610	SIPO	QR	67616367
238934	816	1997-05-07	VYDAJ	PREVOD NA UCET	4514	73325	SIPO	QR	67616367
238935	816	1997-06-07	VYDAJ	PREVOD NA UCET	4514	72980	SIPO	QR	67616367
238936	816	1997-07-07	VYDAJ	PREVOD NA UCET	4514	58612	SIPO	QR	67616367
238937	816	1997-08-07	VYDAJ	PREVOD NA UCET	4514	66755	SIPO	QR	67616367
238938	816	1997-09-07	VYDAJ	PREVOD NA UCET	4514	92158	SIPO	QR	67616367
238939	816	1997-10-07	VYDAJ	PREVOD NA UCET	4514	51687	SIPO	QR	67616367
238940	816	1997-11-07	VYDAJ	PREVOD NA UCET	4514	99591	SIPO	QR	67616367
238941	816	1997-12-07	VYDAJ	PREVOD NA UCET	4514	81025	SIPO	QR	67616367
238942	816	1998-01-07	VYDAJ	PREVOD NA UCET	4514	106088	SIPO	QR	67616367
238943	816	1998-02-07	VYDAJ	PREVOD NA UCET	4514	28348	SIPO	QR	67616367
238944	816	1998-03-07	VYDAJ	PREVOD NA UCET	4514	77694	SIPO	QR	67616367
238945	816	1998-04-07	VYDAJ	PREVOD NA UCET	4514	112169	SIPO	QR	67616367
238946	816	1998-05-07	VYDAJ	PREVOD NA UCET	4514	110537	SIPO	QR	67616367
238947	816	1998-06-07	VYDAJ	PREVOD NA UCET	4514	108739	SIPO	QR	67616367
238948	816	1998-07-07	VYDAJ	PREVOD NA UCET	4514	107773	SIPO	QR	67616367
238949	816	1998-08-07	VYDAJ	PREVOD NA UCET	4514	108138	SIPO	QR	67616367
238950	816	1998-09-07	VYDAJ	PREVOD NA UCET	4514	105525	SIPO	QR	67616367
238951	816	1998-10-07	VYDAJ	PREVOD NA UCET	4514	97182	SIPO	QR	67616367
238952	816	1998-11-07	VYDAJ	PREVOD NA UCET	4514	60580	SIPO	QR	67616367
238953	816	1998-12-07	VYDAJ	PREVOD NA UCET	4514	54033	SIPO	QR	67616367
238964	816	1994-03-01	VYBER	VYBER	15584	68447	\N	\N	\N
238965	816	1994-04-06	VYBER	VYBER	5466	24643	\N	\N	\N
238966	816	1994-07-18	VYBER	VYBER	5286	35859	\N	\N	\N
238967	816	1995-02-17	VYBER	VYBER	5714	47397	\N	\N	\N
238969	816	1996-07-16	VYBER	VYBER	21218	70181	\N	\N	\N
238971	816	1997-09-30	VYBER	VYBER	17838	56216	\N	\N	\N
238972	816	1997-09-18	VYBER	VYBER	23483	47075	\N	\N	\N
238974	816	1994-12-20	VYDAJ	VYBER	8700	84887	\N	\N	\N
238975	816	1995-12-16	VYDAJ	VYBER	7500	63657	\N	\N	\N
238976	816	1996-12-19	VYDAJ	VYBER	7800	38213	\N	\N	\N
238977	816	1997-12-18	VYDAJ	VYBER	4500	76902	\N	\N	\N
238978	816	1998-12-16	VYDAJ	VYBER	3600	100607	\N	\N	\N
238985	816	1994-01-21	VYDAJ	VYBER	8100	94928	\N	\N	\N
238986	816	1994-01-27	VYDAJ	VYBER	5100	83528	\N	\N	\N
238989	816	1994-01-23	VYDAJ	VYBER	6300	88628	\N	\N	\N
238990	816	1994-01-19	VYDAJ	VYBER	5400	91066	\N	\N	\N
238991	816	1995-01-30	VYDAJ	VYBER	7200	27768	\N	\N	\N
238992	816	1995-01-10	VYDAJ	VYBER	6000	41994	\N	\N	\N
238994	816	1995-01-30	VYDAJ	VYBER	5400	22368	\N	\N	\N
238995	816	1995-01-02	VYDAJ	VYBER	7200	52508	\N	\N	\N
238996	816	1995-01-26	VYDAJ	VYBER	5400	34568	\N	\N	\N
238997	816	1996-01-28	VYDAJ	VYBER	3300	42816	\N	\N	\N
238998	816	1996-01-07	VYDAJ	VYBER	3900	68589	\N	\N	\N
238999	816	1996-01-14	VYDAJ	VYBER	7200	49449	\N	\N	\N
239000	816	1996-01-13	VYDAJ	VYBER	5400	56649	\N	\N	\N
239001	816	1996-01-16	VYDAJ	VYBER	3000	60416	\N	\N	\N
239002	816	1996-01-16	VYDAJ	VYBER	6300	63416	\N	\N	\N
239005	816	1997-01-15	VYDAJ	VYBER	6600	29316	\N	\N	\N
239006	816	1997-01-17	VYDAJ	VYBER	7200	33716	\N	\N	\N
239008	816	1997-01-27	VYDAJ	VYBER	5100	28616	\N	\N	\N
239009	816	1998-01-28	VYDAJ	VYBER	5700	34410	\N	\N	\N
239010	816	1998-01-27	VYDAJ	VYBER	1500	40110	\N	\N	\N
239011	816	1998-01-14	VYDAJ	VYBER	4200	61410	\N	\N	\N
239012	816	1998-01-05	VYDAJ	VYBER	6600	110602	\N	\N	\N
239013	816	1998-01-21	VYDAJ	VYBER	8700	41610	\N	\N	\N
239014	816	1998-01-18	VYDAJ	VYBER	2700	50310	\N	\N	\N
239022	816	1994-01-17	VYDAJ	VYBER	14100	59291	\N	\N	\N
239023	816	1994-07-23	VYDAJ	VYBER	2700	39162	\N	\N	\N
239024	816	1994-12-08	VYDAJ	VYBER	12900	72522	\N	\N	\N
239025	816	1994-03-12	VYDAJ	VYBER	6300	46682	\N	\N	\N
239026	816	1994-07-09	VYDAJ	VYBER	6000	41145	\N	\N	\N
239029	816	1995-10-18	VYDAJ	VYBER	11100	50522	\N	\N	\N
239031	816	1995-10-31	VYDAJ	VYBER	8100	48922	\N	\N	\N
239032	816	1996-12-20	VYDAJ	VYBER	6600	31613	\N	\N	\N
239033	816	1996-08-11	VYDAJ	VYBER	4800	52591	\N	\N	\N
239034	816	1996-07-12	VYDAJ	VYBER	3300	91399	\N	\N	\N
239035	816	1996-05-22	VYDAJ	VYBER	4200	75327	\N	\N	\N
239036	816	1996-10-30	VYDAJ	VYBER	3600	71999	\N	\N	\N
239037	816	1997-10-20	VYDAJ	VYBER	7500	44087	\N	\N	\N
239038	816	1997-10-23	VYDAJ	VYBER	2700	41387	\N	\N	\N
239041	816	1997-06-18	VYDAJ	VYBER	6000	52080	\N	\N	\N
239042	816	1998-01-18	VYDAJ	VYBER	8400	53010	\N	\N	\N
239043	816	1998-11-07	VYDAJ	VYBER	2100	58480	\N	\N	\N
239044	816	1998-01-11	VYDAJ	VYBER	9300	65610	\N	\N	\N
239045	816	1998-09-12	VYDAJ	VYBER	14400	62225	\N	\N	\N
239059	816	1994-01-31	VYDAJ	VYBER	15	83802	SLUZBY	\N	\N
239060	816	1994-02-28	VYDAJ	VYBER	15	84031	SLUZBY	\N	\N
239061	816	1994-03-31	VYDAJ	VYBER	15	41409	SLUZBY	\N	\N
239062	816	1994-04-30	VYDAJ	VYBER	15	20213	SLUZBY	\N	\N
239063	816	1994-05-31	VYDAJ	VYBER	15	93675	SLUZBY	\N	\N
239064	816	1994-06-30	VYDAJ	VYBER	15	78159	SLUZBY	\N	\N
239065	816	1994-07-31	VYDAJ	VYBER	15	39347	SLUZBY	\N	\N
239066	816	1994-08-31	VYDAJ	VYBER	15	61203	SLUZBY	\N	\N
239067	816	1994-09-30	VYDAJ	VYBER	15	62638	SLUZBY	\N	\N
239068	816	1994-10-31	VYDAJ	VYBER	15	52922	SLUZBY	\N	\N
239069	816	1994-11-30	VYDAJ	VYBER	15	69183	SLUZBY	\N	\N
239070	816	1994-12-31	VYDAJ	VYBER	15	59708	SLUZBY	\N	\N
239071	816	1995-01-31	VYDAJ	VYBER	15	22532	SLUZBY	\N	\N
239072	816	1995-02-28	VYDAJ	VYBER	15	38751	SLUZBY	\N	\N
239073	816	1995-03-31	VYDAJ	VYBER	15	43733	SLUZBY	\N	\N
239074	816	1995-04-30	VYDAJ	VYBER	15	63239	SLUZBY	\N	\N
239075	816	1995-05-31	VYDAJ	VYBER	15	59378	SLUZBY	\N	\N
239076	816	1995-06-30	VYDAJ	VYBER	15	44147	SLUZBY	\N	\N
239077	816	1995-07-31	VYDAJ	VYBER	15	36557	SLUZBY	\N	\N
239078	816	1995-08-31	VYDAJ	VYBER	15	38189	SLUZBY	\N	\N
239079	816	1995-09-30	VYDAJ	VYBER	15	33677	SLUZBY	\N	\N
239080	816	1995-10-31	VYDAJ	VYBER	15	48908	SLUZBY	\N	\N
239081	816	1995-11-30	VYDAJ	VYBER	15	77697	SLUZBY	\N	\N
239082	816	1995-12-31	VYDAJ	VYBER	15	66947	SLUZBY	\N	\N
239083	816	1996-01-31	VYDAJ	VYBER	15	43038	SLUZBY	\N	\N
239084	816	1996-02-29	VYDAJ	VYBER	15	48721	SLUZBY	\N	\N
239085	816	1996-03-31	VYDAJ	VYBER	15	42464	SLUZBY	\N	\N
239086	816	1996-04-30	VYDAJ	VYBER	15	80380	SLUZBY	\N	\N
239087	816	1996-05-31	VYDAJ	VYBER	15	104175	SLUZBY	\N	\N
239088	816	1996-06-30	VYDAJ	VYBER	15	63387	SLUZBY	\N	\N
239089	816	1996-07-31	VYDAJ	VYBER	15	61905	SLUZBY	\N	\N
239090	816	1996-08-31	VYDAJ	VYBER	15	82623	SLUZBY	\N	\N
239091	816	1996-09-30	VYDAJ	VYBER	15	106033	SLUZBY	\N	\N
239092	816	1996-10-31	VYDAJ	VYBER	15	72347	SLUZBY	\N	\N
239093	816	1996-11-30	VYDAJ	VYBER	15	55353	SLUZBY	\N	\N
239094	816	1996-12-31	VYDAJ	VYBER	15	31778	SLUZBY	\N	\N
239095	816	1997-01-31	VYDAJ	VYBER	15	28735	SLUZBY	\N	\N
239096	816	1997-02-28	VYDAJ	VYBER	15	64474	SLUZBY	\N	\N
239097	816	1997-03-31	VYDAJ	VYBER	15	117124	SLUZBY	\N	\N
239098	816	1997-04-30	VYDAJ	VYBER	15	77839	SLUZBY	\N	\N
239099	816	1997-05-31	VYDAJ	VYBER	15	77494	SLUZBY	\N	\N
239100	816	1997-06-30	VYDAJ	VYBER	15	52331	SLUZBY	\N	\N
239101	816	1997-07-31	VYDAJ	VYBER	15	56525	SLUZBY	\N	\N
239102	816	1997-08-31	VYDAJ	VYBER	15	96672	SLUZBY	\N	\N
239103	816	1997-09-30	VYDAJ	VYBER	15	56201	SLUZBY	\N	\N
239104	816	1997-10-31	VYDAJ	VYBER	15	104105	SLUZBY	\N	\N
239105	816	1997-11-30	VYDAJ	VYBER	15	85539	SLUZBY	\N	\N
239106	816	1997-12-31	VYDAJ	VYBER	15	77784	SLUZBY	\N	\N
239107	816	1998-01-31	VYDAJ	VYBER	15	34662	SLUZBY	\N	\N
239108	816	1998-02-28	VYDAJ	VYBER	15	76974	SLUZBY	\N	\N
239109	816	1998-03-31	VYDAJ	VYBER	15	101549	SLUZBY	\N	\N
239110	816	1998-04-30	VYDAJ	VYBER	15	115051	SLUZBY	\N	\N
239111	816	1998-05-31	VYDAJ	VYBER	15	91186	SLUZBY	\N	\N
239112	816	1998-06-30	VYDAJ	VYBER	15	88881	SLUZBY	\N	\N
239113	816	1998-07-31	VYDAJ	VYBER	15	112652	SLUZBY	\N	\N
239114	816	1998-08-31	VYDAJ	VYBER	15	103917	SLUZBY	\N	\N
239115	816	1998-09-30	VYDAJ	VYBER	15	103315	SLUZBY	\N	\N
239116	816	1998-10-31	VYDAJ	VYBER	15	72994	SLUZBY	\N	\N
239117	816	1998-11-30	VYDAJ	VYBER	15	70947	SLUZBY	\N	\N
239118	816	1993-09-04	PRIJEM	VKLAD	5200	22646	\N	\N	\N
239119	816	1993-10-04	VYDAJ	VYBER	36700	58517	\N	\N	\N
239120	816	1993-11-03	VYDAJ	VYBER	14800	43959	\N	\N	\N
239121	816	1993-12-03	VYDAJ	VYBER	7400	36802	\N	\N	\N
239122	816	1994-01-02	VYDAJ	VYBER	9500	38072	\N	\N	\N
239123	816	1994-01-21	VYDAJ	VYBER	28600	103028	\N	\N	\N
239124	816	1994-02-01	VYDAJ	VYBER	31400	52402	\N	\N	\N
239125	816	1994-03-03	VYDAJ	VYBER	20300	48147	\N	\N	\N
239126	816	1994-03-07	VYDAJ	VYBER	41300	80081	\N	\N	\N
239127	816	1994-03-12	VYDAJ	VYBER	52900	52982	\N	\N	\N
239128	816	1994-04-02	VYDAJ	VYBER	11300	30109	\N	\N	\N
239129	816	1994-05-02	PRIJEM	VKLAD	3200	23413	\N	\N	\N
239130	816	1994-06-01	VYDAJ	VYBER	31400	62275	\N	\N	\N
239131	816	1994-07-01	VYDAJ	VYBER	26500	51659	\N	\N	\N
239132	816	1994-07-31	VYDAJ	VYBER	5400	33947	\N	\N	\N
239133	816	1994-08-30	VYDAJ	VYBER	28500	61026	\N	\N	\N
239134	816	1994-09-29	VYDAJ	VYBER	30400	62340	\N	\N	\N
239135	816	1994-10-29	VYDAJ	VYBER	23000	55088	\N	\N	\N
239136	816	1994-11-28	VYDAJ	VYBER	38200	68912	\N	\N	\N
239137	816	1994-12-17	VYDAJ	VYBER	40600	93587	\N	\N	\N
239138	816	1994-12-28	VYDAJ	VYBER	25500	59387	\N	\N	\N
239139	816	1995-01-27	PRIJEM	VKLAD	400	34968	\N	\N	\N
239140	816	1995-02-26	VYDAJ	VYBER	8800	38597	\N	\N	\N
239141	816	1995-03-28	VYDAJ	VYBER	16500	43568	\N	\N	\N
239142	816	1995-04-27	VYDAJ	VYBER	34900	62931	\N	\N	\N
239143	816	1995-05-27	VYDAJ	VYBER	30500	59060	\N	\N	\N
239144	816	1995-06-26	VYDAJ	VYBER	8900	43938	\N	\N	\N
239145	816	1995-07-26	VYDAJ	VYBER	1200	36407	\N	\N	\N
239146	816	1995-08-25	PRIJEM	VKLAD	500	30517	\N	\N	\N
239147	816	1995-09-24	PRIJEM	VKLAD	1900	33549	\N	\N	\N
239148	816	1995-10-24	VYDAJ	VYBER	7100	43422	\N	\N	\N
239149	816	1995-11-23	VYDAJ	VYBER	27600	62642	\N	\N	\N
239150	816	1995-12-23	VYDAJ	VYBER	14500	49157	\N	\N	\N
239151	816	1996-01-22	VYDAJ	VYBER	14300	46116	\N	\N	\N
239152	816	1996-02-21	VYDAJ	VYBER	9400	48535	\N	\N	\N
239153	816	1996-03-22	VYDAJ	VYBER	7800	42284	\N	\N	\N
239154	816	1996-04-21	VYDAJ	VYBER	22000	58799	\N	\N	\N
239155	816	1996-05-01	VYDAJ	VYBER	41000	84223	\N	\N	\N
239156	816	1996-05-20	VYDAJ	VYBER	26900	124527	\N	\N	\N
239157	816	1996-05-21	VYDAJ	VYBER	45000	79527	\N	\N	\N
239158	816	1996-06-01	VYDAJ	VYBER	24800	103670	\N	\N	\N
239159	816	1996-06-04	VYDAJ	VYBER	40800	82519	\N	\N	\N
239160	816	1996-06-20	VYDAJ	VYBER	28500	63051	\N	\N	\N
239161	816	1996-07-18	VYDAJ	VYBER	23800	88007	\N	\N	\N
239162	816	1996-07-20	VYDAJ	VYBER	26400	61607	\N	\N	\N
239163	816	1996-08-17	VYDAJ	VYBER	52800	66245	\N	\N	\N
239164	816	1996-08-19	VYDAJ	VYBER	12500	53745	\N	\N	\N
239165	816	1996-09-04	VYDAJ	VYBER	47600	70532	\N	\N	\N
239166	816	1996-09-18	VYDAJ	VYBER	33500	72952	\N	\N	\N
239167	816	1996-10-01	VYDAJ	VYBER	60200	79292	\N	\N	\N
239168	816	1996-10-09	VYDAJ	VYBER	24000	87473	\N	\N	\N
239169	816	1996-10-18	VYDAJ	VYBER	23900	61547	\N	\N	\N
239170	816	1996-11-17	VYDAJ	VYBER	10700	55107	\N	\N	\N
239171	816	1996-12-17	VYDAJ	VYBER	2800	46013	\N	\N	\N
239172	816	1997-01-16	PRIJEM	VKLAD	11600	40916	\N	\N	\N
239173	816	1997-02-15	PRIJEM	VKLAD	17100	41321	\N	\N	\N
239174	816	1997-03-17	PRIJEM	VKLAD	500	58860	\N	\N	\N
239175	816	1997-03-31	VYDAJ	VYBER	15000	117139	\N	\N	\N
239176	816	1997-04-16	VYDAJ	VYBER	47400	98459	\N	\N	\N
239177	816	1997-04-16	VYDAJ	VYBER	21000	77459	\N	\N	\N
239178	816	1997-05-16	VYDAJ	VYBER	8000	63325	\N	\N	\N
239179	816	1997-05-28	VYDAJ	VYBER	16800	127577	\N	\N	\N
239180	816	1997-05-31	VYDAJ	VYBER	50400	77509	\N	\N	\N
239181	816	1997-06-15	VYDAJ	VYBER	13400	59580	\N	\N	\N
239182	816	1997-07-15	VYDAJ	VYBER	800	56312	\N	\N	\N
239183	816	1997-08-14	VYDAJ	VYBER	8500	55955	\N	\N	\N
239184	816	1997-09-13	VYDAJ	VYBER	20100	70558	\N	\N	\N
239185	816	1997-10-13	PRIJEM	VKLAD	1700	53387	\N	\N	\N
239186	816	1997-11-12	VYDAJ	VYBER	22800	74391	\N	\N	\N
239187	816	1997-12-12	VYDAJ	VYBER	24500	81402	\N	\N	\N
239188	816	1997-12-25	VYDAJ	VYBER	40300	80027	\N	\N	\N
239189	816	1998-01-10	VYDAJ	VYBER	32500	93010	\N	\N	\N
239190	816	1998-01-11	VYDAJ	VYBER	15900	74910	\N	\N	\N
239191	816	1998-02-10	PRIJEM	VKLAD	13100	41448	\N	\N	\N
239192	816	1998-03-12	VYDAJ	VYBER	13600	62294	\N	\N	\N
239193	816	1998-03-25	VYDAJ	VYBER	52400	101241	\N	\N	\N
239194	816	1998-04-03	VYDAJ	VYBER	20800	116683	\N	\N	\N
239195	816	1998-04-11	VYDAJ	VYBER	33600	78569	\N	\N	\N
239196	816	1998-05-11	VYDAJ	VYBER	29600	80937	\N	\N	\N
239197	816	1998-06-10	VYDAJ	VYBER	30400	78339	\N	\N	\N
239198	816	1998-07-10	VYDAJ	VYBER	30200	77573	\N	\N	\N
239199	816	1998-08-09	VYDAJ	VYBER	35500	72638	\N	\N	\N
239200	816	1998-09-05	VYDAJ	VYBER	26200	110039	\N	\N	\N
239201	816	1998-09-08	VYDAJ	VYBER	28900	76625	\N	\N	\N
239202	816	1998-10-06	VYDAJ	VYBER	33100	101696	\N	\N	\N
239203	816	1998-10-08	VYDAJ	VYBER	22900	74282	\N	\N	\N
239204	816	1998-11-07	VYDAJ	VYBER	7900	65094	\N	\N	\N
239205	816	1998-12-07	VYDAJ	VYBER	12400	58547	\N	\N	\N
239271	817	1994-03-18	PRIJEM	VKLAD	200	200	\N	\N	\N
239275	817	1994-04-05	PRIJEM	VKLAD	21388	21588	\N	\N	\N
239276	817	1994-05-05	PRIJEM	VKLAD	21388	42216	\N	\N	\N
239277	817	1994-06-05	PRIJEM	VKLAD	32082	67414	\N	\N	\N
239278	817	1994-07-05	PRIJEM	VKLAD	21388	69776	\N	\N	\N
239279	817	1994-08-05	PRIJEM	VKLAD	21388	57453	\N	\N	\N
239280	817	1994-09-05	PRIJEM	VKLAD	21388	58075	\N	\N	\N
239281	817	1994-10-05	PRIJEM	VKLAD	21388	53027	\N	\N	\N
239282	817	1994-11-05	PRIJEM	VKLAD	21388	40824	\N	\N	\N
239283	817	1994-12-05	PRIJEM	VKLAD	32082	46919	\N	\N	\N
239284	817	1995-01-05	PRIJEM	VKLAD	21388	45200	\N	\N	\N
239285	817	1995-02-05	PRIJEM	VKLAD	21388	41676	\N	\N	\N
239286	817	1995-03-05	PRIJEM	VKLAD	21388	44740	\N	\N	\N
239287	817	1995-04-05	PRIJEM	VKLAD	21388	47841	\N	\N	\N
239288	817	1995-05-05	PRIJEM	VKLAD	21388	44902	\N	\N	\N
239289	817	1995-06-05	PRIJEM	VKLAD	32082	56192	\N	\N	\N
239290	817	1995-07-05	PRIJEM	VKLAD	21388	47896	\N	\N	\N
239291	817	1995-08-05	PRIJEM	VKLAD	21388	40181	\N	\N	\N
239292	817	1995-09-05	PRIJEM	VKLAD	21388	37248	\N	\N	\N
239293	817	1995-10-05	PRIJEM	VKLAD	21388	34506	\N	\N	\N
239294	817	1995-11-05	PRIJEM	VKLAD	21388	35363	\N	\N	\N
239295	817	1995-12-05	PRIJEM	VKLAD	32082	46820	\N	\N	\N
239296	817	1996-01-05	PRIJEM	VKLAD	21388	36695	\N	\N	\N
239297	817	1996-02-05	PRIJEM	VKLAD	21388	37465	\N	\N	\N
239298	817	1996-03-05	PRIJEM	VKLAD	21388	33725	\N	\N	\N
239299	817	1996-04-05	PRIJEM	VKLAD	21388	32576	\N	\N	\N
239300	817	1996-05-05	PRIJEM	VKLAD	21388	36341	\N	\N	\N
239301	817	1996-06-05	PRIJEM	VKLAD	32082	48150	\N	\N	\N
239302	817	1996-07-05	PRIJEM	VKLAD	21388	44048	\N	\N	\N
239303	817	1996-08-05	PRIJEM	VKLAD	21388	40741	\N	\N	\N
239304	817	1996-09-05	PRIJEM	VKLAD	21388	42258	\N	\N	\N
239305	817	1996-10-05	PRIJEM	VKLAD	21388	44097	\N	\N	\N
239306	817	1996-11-05	PRIJEM	VKLAD	21388	46628	\N	\N	\N
239307	817	1996-12-05	PRIJEM	VKLAD	32082	61665	\N	\N	\N
239308	817	1997-01-05	PRIJEM	VKLAD	21388	44934	\N	\N	\N
239309	817	1997-02-05	PRIJEM	VKLAD	21388	52669	\N	\N	\N
239310	817	1997-03-05	PRIJEM	VKLAD	21388	55913	\N	\N	\N
239311	817	1997-04-05	PRIJEM	VKLAD	21388	52829	\N	\N	\N
239312	817	1997-05-05	PRIJEM	VKLAD	21388	49180	\N	\N	\N
239313	817	1997-06-05	PRIJEM	VKLAD	32082	64026	\N	\N	\N
239314	817	1997-07-05	PRIJEM	VKLAD	21388	58705	\N	\N	\N
239315	817	1997-08-05	PRIJEM	VKLAD	21388	52571	\N	\N	\N
239316	817	1997-09-05	PRIJEM	VKLAD	21388	49711	\N	\N	\N
239317	817	1997-10-05	PRIJEM	VKLAD	21388	50140	\N	\N	\N
239318	817	1997-11-05	PRIJEM	VKLAD	21388	44665	\N	\N	\N
239319	817	1997-12-05	PRIJEM	VKLAD	32082	53679	\N	\N	\N
239320	817	1998-01-05	PRIJEM	VKLAD	21388	49783	\N	\N	\N
239321	817	1998-02-05	PRIJEM	VKLAD	21388	37483	\N	\N	\N
239322	817	1998-03-05	PRIJEM	VKLAD	21388	40059	\N	\N	\N
239323	817	1998-04-05	PRIJEM	VKLAD	21388	40546	\N	\N	\N
239324	817	1998-05-05	PRIJEM	VKLAD	21388	39933	\N	\N	\N
239325	817	1998-06-05	PRIJEM	VKLAD	32082	48364	\N	\N	\N
239326	817	1998-07-05	PRIJEM	VKLAD	21388	41716	\N	\N	\N
239327	817	1998-08-05	PRIJEM	VKLAD	21388	47311	\N	\N	\N
239328	817	1998-09-05	PRIJEM	VKLAD	21388	49326	\N	\N	\N
239329	817	1998-10-05	PRIJEM	VKLAD	21388	51449	\N	\N	\N
239330	817	1998-11-05	PRIJEM	VKLAD	21388	47093	\N	\N	\N
239331	817	1998-12-05	PRIJEM	VKLAD	32082	59299	\N	\N	\N
239339	817	1994-08-14	VYDAJ	PREVOD NA UCET	4605	52848	SIPO	GH	53805935
239340	817	1994-09-14	VYDAJ	PREVOD NA UCET	4605	53470	SIPO	GH	53805935
239341	817	1994-10-14	VYDAJ	PREVOD NA UCET	4605	36422	SIPO	GH	53805935
239342	817	1994-11-14	VYDAJ	PREVOD NA UCET	4605	25019	SIPO	GH	53805935
239343	817	1994-12-14	VYDAJ	PREVOD NA UCET	4605	29214	SIPO	GH	53805935
239344	817	1995-01-14	VYDAJ	PREVOD NA UCET	4605	30895	SIPO	GH	53805935
239345	817	1995-02-14	VYDAJ	PREVOD NA UCET	4605	23271	SIPO	GH	53805935
239346	817	1995-03-14	VYDAJ	PREVOD NA UCET	4605	26360	SIPO	GH	53805935
239347	817	1995-04-14	VYDAJ	PREVOD NA UCET	4605	28461	SIPO	GH	53805935
239348	817	1995-05-14	VYDAJ	PREVOD NA UCET	4605	24022	SIPO	GH	53805935
239349	817	1995-06-14	VYDAJ	PREVOD NA UCET	4605	26412	SIPO	GH	53805935
239350	817	1995-07-14	VYDAJ	PREVOD NA UCET	4605	18716	SIPO	GH	53805935
239351	817	1995-08-14	VYDAJ	PREVOD NA UCET	4605	15801	SIPO	GH	53805935
239352	817	1995-09-14	VYDAJ	PREVOD NA UCET	4605	13068	SIPO	GH	53805935
239353	817	1995-10-14	VYDAJ	PREVOD NA UCET	4605	13926	SIPO	GH	53805935
239354	817	1995-11-14	VYDAJ	PREVOD NA UCET	4605	14683	SIPO	GH	53805935
239355	817	1995-12-14	VYDAJ	PREVOD NA UCET	4605	19240	SIPO	GH	53805935
239356	817	1996-01-14	VYDAJ	PREVOD NA UCET	4605	16015	SIPO	GH	53805935
239357	817	1996-02-14	VYDAJ	PREVOD NA UCET	4605	12285	SIPO	GH	53805935
239358	817	1996-03-14	VYDAJ	PREVOD NA UCET	4605	11145	SIPO	GH	53805935
239359	817	1996-04-14	VYDAJ	PREVOD NA UCET	4605	14896	SIPO	GH	53805935
239360	817	1996-05-14	VYDAJ	PREVOD NA UCET	4605	16001	SIPO	GH	53805935
239361	817	1996-06-14	VYDAJ	PREVOD NA UCET	4605	22570	SIPO	GH	53805935
239362	817	1996-07-14	VYDAJ	PREVOD NA UCET	4605	20368	SIPO	GH	53805935
239363	817	1996-08-14	VYDAJ	PREVOD NA UCET	4605	27161	SIPO	GH	53805935
239364	817	1996-09-14	VYDAJ	PREVOD NA UCET	4605	28678	SIPO	GH	53805935
239365	817	1996-10-14	VYDAJ	PREVOD NA UCET	4605	30517	SIPO	GH	53805935
239366	817	1996-11-14	VYDAJ	PREVOD NA UCET	4605	33048	SIPO	GH	53805935
239367	817	1996-12-14	VYDAJ	PREVOD NA UCET	4605	48085	SIPO	GH	53805935
239368	817	1997-01-14	VYDAJ	PREVOD NA UCET	4605	31354	SIPO	GH	53805935
239369	817	1997-02-14	VYDAJ	PREVOD NA UCET	4605	39089	SIPO	GH	53805935
239370	817	1997-03-14	VYDAJ	PREVOD NA UCET	4605	42333	SIPO	GH	53805935
239371	817	1997-04-14	VYDAJ	PREVOD NA UCET	4605	39249	SIPO	GH	53805935
239372	817	1997-05-14	VYDAJ	PREVOD NA UCET	4605	35600	SIPO	GH	53805935
239373	817	1997-06-14	VYDAJ	PREVOD NA UCET	4605	50446	SIPO	GH	53805935
239374	817	1997-07-14	VYDAJ	PREVOD NA UCET	4605	45125	SIPO	GH	53805935
239375	817	1997-08-14	VYDAJ	PREVOD NA UCET	4605	38991	SIPO	GH	53805935
239376	817	1997-09-14	VYDAJ	PREVOD NA UCET	4605	36131	SIPO	GH	53805935
239377	817	1997-10-14	VYDAJ	PREVOD NA UCET	4605	36560	SIPO	GH	53805935
239378	817	1997-11-14	VYDAJ	PREVOD NA UCET	4605	28205	SIPO	GH	53805935
239379	817	1997-12-14	VYDAJ	PREVOD NA UCET	4605	40099	SIPO	GH	53805935
239380	817	1998-01-14	VYDAJ	PREVOD NA UCET	4605	26603	SIPO	GH	53805935
239381	817	1998-02-14	VYDAJ	PREVOD NA UCET	4605	23903	SIPO	GH	53805935
239382	817	1998-03-14	VYDAJ	PREVOD NA UCET	4605	26479	SIPO	GH	53805935
239383	817	1998-04-14	VYDAJ	PREVOD NA UCET	4605	26966	SIPO	GH	53805935
239384	817	1998-05-14	VYDAJ	PREVOD NA UCET	4605	21913	SIPO	GH	53805935
239385	817	1998-06-14	VYDAJ	PREVOD NA UCET	4605	34784	SIPO	GH	53805935
239386	817	1998-07-14	VYDAJ	PREVOD NA UCET	4605	28136	SIPO	GH	53805935
239387	817	1998-08-14	VYDAJ	PREVOD NA UCET	4605	33731	SIPO	GH	53805935
239388	817	1998-09-14	VYDAJ	PREVOD NA UCET	4605	35746	SIPO	GH	53805935
239487	817	1998-05-11	VYDAJ	VYBER	4440	35493	\N	\N	\N
239389	817	1998-10-14	VYDAJ	PREVOD NA UCET	4605	37869	SIPO	GH	53805935
239390	817	1998-11-14	VYDAJ	PREVOD NA UCET	4605	33513	SIPO	GH	53805935
239391	817	1998-12-14	VYDAJ	PREVOD NA UCET	4605	45719	SIPO	GH	53805935
239399	817	1994-07-27	VYDAJ	VYBER	10100	35876	\N	\N	0
239400	817	1994-09-15	VYDAJ	VYBER	10600	32470	\N	\N	0
239401	817	1994-10-05	VYDAJ	VYBER	12000	41027	\N	\N	0
239402	817	1994-10-29	VYDAJ	VYBER	7500	19322	\N	\N	0
239403	817	1994-12-04	VYDAJ	VYBER	8100	14837	\N	\N	0
239404	817	1995-01-23	VYDAJ	VYBER	8300	22595	\N	\N	0
239405	817	1995-02-12	VYDAJ	VYBER	5800	27876	\N	\N	0
239406	817	1995-03-12	VYDAJ	PREVOD NA UCET	8975	35765	UVER	AB	75855749
239407	817	1995-04-12	VYDAJ	PREVOD NA UCET	8975	38866	UVER	AB	75855749
239408	817	1995-05-12	VYDAJ	PREVOD NA UCET	8975	35927	UVER	AB	75855749
239409	817	1995-06-12	VYDAJ	PREVOD NA UCET	8975	31017	UVER	AB	75855749
239410	817	1995-07-12	VYDAJ	PREVOD NA UCET	8975	23321	UVER	AB	75855749
239411	817	1995-08-12	VYDAJ	PREVOD NA UCET	8975	20406	UVER	AB	75855749
239412	817	1995-09-12	VYDAJ	PREVOD NA UCET	8975	17673	UVER	AB	75855749
239413	817	1995-10-12	VYDAJ	PREVOD NA UCET	8975	18531	UVER	AB	75855749
239414	817	1995-11-12	VYDAJ	PREVOD NA UCET	8975	19288	UVER	AB	75855749
239415	817	1995-12-12	VYDAJ	PREVOD NA UCET	8975	23845	UVER	AB	75855749
239416	817	1996-01-12	VYDAJ	PREVOD NA UCET	8975	20620	UVER	AB	75855749
239417	817	1996-02-12	VYDAJ	PREVOD NA UCET	8975	16890	UVER	AB	75855749
239418	817	1996-03-12	VYDAJ	PREVOD NA UCET	8975	15750	UVER	AB	75855749
239419	817	1996-04-12	VYDAJ	PREVOD NA UCET	8975	19501	UVER	AB	75855749
239420	817	1996-05-12	VYDAJ	PREVOD NA UCET	8975	21566	UVER	AB	75855749
239421	817	1996-06-12	VYDAJ	PREVOD NA UCET	8975	27175	UVER	AB	75855749
239422	817	1996-07-12	VYDAJ	PREVOD NA UCET	8975	24973	UVER	AB	75855749
239423	817	1996-08-12	VYDAJ	PREVOD NA UCET	8975	31766	UVER	AB	75855749
239424	817	1996-09-12	VYDAJ	PREVOD NA UCET	8975	33283	UVER	AB	75855749
239425	817	1996-10-12	VYDAJ	PREVOD NA UCET	8975	35122	UVER	AB	75855749
239426	817	1996-11-12	VYDAJ	PREVOD NA UCET	8975	37653	UVER	AB	75855749
239427	817	1996-12-12	VYDAJ	PREVOD NA UCET	8975	52690	UVER	AB	75855749
239428	817	1997-01-12	VYDAJ	PREVOD NA UCET	8975	35959	UVER	AB	75855749
239429	817	1997-02-12	VYDAJ	PREVOD NA UCET	8975	43694	UVER	AB	75855749
239430	817	1997-03-12	VYDAJ	PREVOD NA UCET	8975	46938	UVER	AB	75855749
239431	817	1997-04-12	VYDAJ	PREVOD NA UCET	8975	43854	UVER	AB	75855749
239432	817	1997-05-12	VYDAJ	PREVOD NA UCET	8975	40205	UVER	AB	75855749
239433	817	1997-06-12	VYDAJ	PREVOD NA UCET	8975	55051	UVER	AB	75855749
239434	817	1997-07-12	VYDAJ	PREVOD NA UCET	8975	49730	UVER	AB	75855749
239435	817	1997-08-12	VYDAJ	PREVOD NA UCET	8975	43596	UVER	AB	75855749
239436	817	1997-09-12	VYDAJ	PREVOD NA UCET	8975	40736	UVER	AB	75855749
239437	817	1997-10-12	VYDAJ	PREVOD NA UCET	8975	41165	UVER	AB	75855749
239438	817	1997-11-12	VYDAJ	PREVOD NA UCET	8975	35690	UVER	AB	75855749
239439	817	1997-12-12	VYDAJ	PREVOD NA UCET	8975	44704	UVER	AB	75855749
239440	817	1998-01-12	VYDAJ	PREVOD NA UCET	8975	31208	UVER	AB	75855749
239441	817	1998-02-12	VYDAJ	PREVOD NA UCET	8975	28508	UVER	AB	75855749
239442	817	1998-03-12	VYDAJ	PREVOD NA UCET	8975	31084	UVER	AB	75855749
239443	817	1998-04-12	VYDAJ	PREVOD NA UCET	8975	31571	UVER	AB	75855749
239444	817	1998-05-12	VYDAJ	PREVOD NA UCET	8975	26518	UVER	AB	75855749
239445	817	1998-06-12	VYDAJ	PREVOD NA UCET	8975	39389	UVER	AB	75855749
239446	817	1998-07-12	VYDAJ	PREVOD NA UCET	8975	32741	UVER	AB	75855749
239447	817	1998-08-12	VYDAJ	PREVOD NA UCET	8975	38336	UVER	AB	75855749
239448	817	1998-09-12	VYDAJ	PREVOD NA UCET	8975	40351	UVER	AB	75855749
239449	817	1998-10-12	VYDAJ	PREVOD NA UCET	8975	42474	UVER	AB	75855749
239450	817	1998-11-12	VYDAJ	PREVOD NA UCET	8975	38118	UVER	AB	75855749
239451	817	1998-12-12	VYDAJ	PREVOD NA UCET	8975	50324	UVER	AB	75855749
239456	817	1998-06-22	VYDAJ	VYBER	11840	22944	\N	\N	\N
239458	817	1995-01-27	VYDAJ	VYBER	2400	20195	\N	\N	\N
239460	817	1997-01-01	VYDAJ	VYBER	9120	30906	\N	\N	\N
239461	817	1998-01-10	VYDAJ	VYBER	9600	40183	\N	\N	\N
239462	817	1994-12-27	VYDAJ	VYBER	2880	23694	\N	\N	\N
239463	817	1995-12-27	VYDAJ	VYBER	4000	15240	\N	\N	\N
239464	817	1996-12-18	VYDAJ	VYBER	800	47285	\N	\N	\N
239465	817	1997-12-25	VYDAJ	VYBER	2720	37379	\N	\N	\N
239466	817	1998-12-21	VYDAJ	VYBER	2720	42999	\N	\N	\N
239468	817	1994-11-19	VYDAJ	VYBER	2160	22859	\N	\N	\N
239469	817	1994-09-27	VYDAJ	VYBER	960	31510	\N	\N	\N
239470	817	1994-12-20	VYDAJ	VYBER	2640	26574	\N	\N	\N
239471	817	1995-04-15	VYDAJ	VYBER	5040	23421	\N	\N	\N
239473	817	1996-09-15	VYDAJ	VYBER	3240	25438	\N	\N	\N
239474	817	1996-12-23	VYDAJ	VYBER	5040	42245	\N	\N	\N
239475	817	1996-05-05	VYDAJ	VYBER	1200	35141	\N	\N	\N
239476	817	1996-12-01	VYDAJ	VYBER	3000	30183	\N	\N	\N
239477	817	1996-05-14	VYDAJ	VYBER	960	20606	\N	\N	\N
239478	817	1996-12-28	VYDAJ	VYBER	2400	39845	\N	\N	\N
239479	817	1996-10-03	VYDAJ	VYBER	1440	24109	\N	\N	\N
239480	817	1997-03-21	VYDAJ	VYBER	3360	38973	\N	\N	\N
239481	817	1997-10-26	VYDAJ	VYBER	4800	31760	\N	\N	\N
239482	817	1997-05-03	VYDAJ	VYBER	4320	27792	\N	\N	\N
239483	817	1997-01-03	VYDAJ	VYBER	4560	23546	\N	\N	\N
239484	817	1997-11-13	VYDAJ	VYBER	2880	32810	\N	\N	\N
239485	817	1997-05-20	VYDAJ	VYBER	600	35000	\N	\N	\N
239488	817	1998-01-24	VYDAJ	VYBER	4200	22403	\N	\N	\N
239490	817	1998-10-24	VYDAJ	VYBER	3120	25589	\N	\N	\N
239491	817	1998-01-25	VYDAJ	VYBER	3000	19403	\N	\N	\N
239492	817	1998-10-14	VYDAJ	VYBER	3360	34509	\N	\N	\N
239501	817	1994-08-31	VYDAJ	VYBER	15	36687	SLUZBY	\N	\N
239502	817	1994-09-30	VYDAJ	VYBER	15	31639	SLUZBY	\N	\N
239503	817	1994-10-31	VYDAJ	VYBER	15	19436	SLUZBY	\N	\N
239504	817	1994-11-30	VYDAJ	VYBER	15	22937	SLUZBY	\N	\N
239505	817	1994-12-31	VYDAJ	VYBER	15	23812	SLUZBY	\N	\N
239506	817	1995-01-31	VYDAJ	VYBER	15	20288	SLUZBY	\N	\N
239507	817	1995-02-28	VYDAJ	VYBER	15	23352	SLUZBY	\N	\N
239508	817	1995-03-31	VYDAJ	VYBER	15	26453	SLUZBY	\N	\N
239509	817	1995-04-30	VYDAJ	VYBER	15	23514	SLUZBY	\N	\N
239510	817	1995-05-31	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
239511	817	1995-06-30	VYDAJ	VYBER	15	26508	SLUZBY	\N	\N
239512	817	1995-07-31	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
239513	817	1995-08-31	VYDAJ	VYBER	15	15860	SLUZBY	\N	\N
239514	817	1995-09-30	VYDAJ	VYBER	15	13118	SLUZBY	\N	\N
239515	817	1995-10-31	VYDAJ	VYBER	15	13975	SLUZBY	\N	\N
239516	817	1995-11-30	VYDAJ	VYBER	15	14738	SLUZBY	\N	\N
239517	817	1995-12-31	VYDAJ	VYBER	15	15307	SLUZBY	\N	\N
239518	817	1996-01-31	VYDAJ	VYBER	15	16077	SLUZBY	\N	\N
239519	817	1996-02-29	VYDAJ	VYBER	15	12337	SLUZBY	\N	\N
239520	817	1996-03-31	VYDAJ	VYBER	15	11188	SLUZBY	\N	\N
239521	817	1996-04-30	VYDAJ	VYBER	15	14953	SLUZBY	\N	\N
239522	817	1996-05-31	VYDAJ	VYBER	15	16068	SLUZBY	\N	\N
239523	817	1996-06-30	VYDAJ	VYBER	15	22660	SLUZBY	\N	\N
239524	817	1996-07-31	VYDAJ	VYBER	15	20453	SLUZBY	\N	\N
239525	817	1996-08-31	VYDAJ	VYBER	15	27270	SLUZBY	\N	\N
239526	817	1996-09-30	VYDAJ	VYBER	15	25549	SLUZBY	\N	\N
239527	817	1996-10-31	VYDAJ	VYBER	15	30640	SLUZBY	\N	\N
239528	817	1996-11-30	VYDAJ	VYBER	15	33183	SLUZBY	\N	\N
239529	817	1996-12-31	VYDAJ	VYBER	15	40026	SLUZBY	\N	\N
239530	817	1997-01-31	VYDAJ	VYBER	15	31281	SLUZBY	\N	\N
239531	817	1997-02-28	VYDAJ	VYBER	15	39225	SLUZBY	\N	\N
239532	817	1997-03-31	VYDAJ	VYBER	15	39141	SLUZBY	\N	\N
239533	817	1997-04-30	VYDAJ	VYBER	15	39412	SLUZBY	\N	\N
239534	817	1997-05-31	VYDAJ	VYBER	15	35144	SLUZBY	\N	\N
239535	817	1997-06-30	VYDAJ	VYBER	15	37317	SLUZBY	\N	\N
239536	817	1997-07-31	VYDAJ	VYBER	15	31183	SLUZBY	\N	\N
239537	817	1997-08-31	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
239538	817	1997-09-30	VYDAJ	VYBER	15	28752	SLUZBY	\N	\N
239539	817	1997-10-31	VYDAJ	VYBER	15	23277	SLUZBY	\N	\N
239540	817	1997-11-30	VYDAJ	VYBER	15	21597	SLUZBY	\N	\N
239541	817	1997-12-31	VYDAJ	VYBER	15	28395	SLUZBY	\N	\N
239542	817	1998-01-31	VYDAJ	VYBER	15	16095	SLUZBY	\N	\N
239543	817	1998-02-28	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
239544	817	1998-03-31	VYDAJ	VYBER	15	19158	SLUZBY	\N	\N
239545	817	1998-04-30	VYDAJ	VYBER	15	18545	SLUZBY	\N	\N
239546	817	1998-05-31	VYDAJ	VYBER	15	16282	SLUZBY	\N	\N
239547	817	1998-06-30	VYDAJ	VYBER	15	20328	SLUZBY	\N	\N
239548	817	1998-07-31	VYDAJ	VYBER	15	25923	SLUZBY	\N	\N
239549	817	1998-08-31	VYDAJ	VYBER	15	27938	SLUZBY	\N	\N
239550	817	1998-09-30	VYDAJ	VYBER	15	30061	SLUZBY	\N	\N
239551	817	1998-10-31	VYDAJ	VYBER	15	25705	SLUZBY	\N	\N
239552	817	1998-11-30	VYDAJ	VYBER	15	27217	SLUZBY	\N	\N
239553	817	1994-04-17	VYDAJ	VYBER	800	20788	\N	\N	\N
239554	817	1994-05-17	VYDAJ	VYBER	7000	35216	\N	\N	\N
239555	817	1994-06-16	VYDAJ	VYBER	19200	48214	\N	\N	\N
239556	817	1994-07-16	VYDAJ	VYBER	23800	45976	\N	\N	\N
239557	817	1994-08-15	VYDAJ	VYBER	16300	36548	\N	\N	\N
239558	817	1994-09-14	VYDAJ	VYBER	10400	43070	\N	\N	\N
239559	817	1994-10-14	VYDAJ	VYBER	9600	26822	\N	\N	\N
239560	817	1994-11-13	VYDAJ	VYBER	11200	29624	\N	\N	\N
239561	817	1994-12-13	VYDAJ	VYBER	13100	33819	\N	\N	\N
239562	817	1995-01-12	VYDAJ	VYBER	9700	35500	\N	\N	\N
239563	817	1995-02-11	VYDAJ	VYBER	8000	33676	\N	\N	\N
239564	817	1995-03-13	VYDAJ	VYBER	4800	30965	\N	\N	\N
239565	817	1995-04-12	VYDAJ	VYBER	5800	33066	\N	\N	\N
239566	817	1995-05-12	VYDAJ	VYBER	7300	28627	\N	\N	\N
239567	817	1995-06-11	VYDAJ	VYBER	16200	39992	\N	\N	\N
239568	817	1995-07-11	VYDAJ	VYBER	15600	32296	\N	\N	\N
239569	817	1995-08-10	VYDAJ	VYBER	10800	29381	\N	\N	\N
239570	817	1995-09-09	VYDAJ	VYBER	10600	26648	\N	\N	\N
239571	817	1995-10-09	VYDAJ	VYBER	7000	27506	\N	\N	\N
239572	817	1995-11-08	VYDAJ	VYBER	7100	28263	\N	\N	\N
239573	817	1995-12-08	VYDAJ	VYBER	14000	32820	\N	\N	\N
239574	817	1996-01-07	VYDAJ	VYBER	7100	29595	\N	\N	\N
239575	817	1996-02-06	VYDAJ	VYBER	11600	25865	\N	\N	\N
239576	817	1996-03-07	VYDAJ	VYBER	9000	24725	\N	\N	\N
239577	817	1996-04-06	VYDAJ	VYBER	4100	28476	\N	\N	\N
239578	817	1996-05-06	VYDAJ	VYBER	4600	30541	\N	\N	\N
239579	817	1996-06-05	VYDAJ	VYBER	12000	36150	\N	\N	\N
239580	817	1996-07-05	VYDAJ	VYBER	10100	33948	\N	\N	\N
239581	817	1996-08-04	VYDAJ	VYBER	1100	19353	\N	\N	\N
239582	817	1996-09-03	VYDAJ	VYBER	6400	20870	\N	\N	\N
239583	817	1996-10-03	VYDAJ	VYBER	1400	22709	\N	\N	\N
239584	817	1996-11-02	VYDAJ	VYBER	5400	25240	\N	\N	\N
239585	817	1996-12-02	VYDAJ	VYBER	600	29583	\N	\N	\N
239586	817	1997-01-01	VYDAJ	VYBER	2800	28106	\N	\N	\N
239587	817	1997-01-31	VYDAJ	VYBER	200	31296	\N	\N	\N
239588	817	1997-03-02	VYDAJ	VYBER	4700	34525	\N	\N	\N
239589	817	1997-04-01	VYDAJ	VYBER	7700	31441	\N	\N	\N
239590	817	1997-05-01	VYDAJ	VYBER	7300	32112	\N	\N	\N
239591	817	1997-05-31	VYDAJ	VYBER	3200	31944	\N	\N	\N
239592	817	1997-06-30	VYDAJ	VYBER	13300	37332	\N	\N	\N
239593	817	1997-07-30	VYDAJ	VYBER	14100	31025	\N	\N	\N
239594	817	1997-08-29	VYDAJ	VYBER	10800	28191	\N	\N	\N
239595	817	1997-09-28	VYDAJ	VYBER	7500	28631	\N	\N	\N
239596	817	1997-10-28	VYDAJ	VYBER	8600	23160	\N	\N	\N
239597	817	1997-11-27	VYDAJ	VYBER	6700	21505	\N	\N	\N
239598	817	1997-12-27	VYDAJ	VYBER	9100	28279	\N	\N	\N
239599	817	1998-01-26	VYDAJ	VYBER	3400	16003	\N	\N	\N
239600	817	1998-02-25	VYDAJ	VYBER	5300	18603	\N	\N	\N
239601	817	1998-03-27	VYDAJ	VYBER	7400	19079	\N	\N	\N
239602	817	1998-04-26	VYDAJ	VYBER	8500	18466	\N	\N	\N
239603	817	1998-05-26	VYDAJ	VYBER	5700	16213	\N	\N	\N
239604	817	1998-06-25	VYDAJ	VYBER	2700	20244	\N	\N	\N
239605	817	1998-07-25	VYDAJ	VYBER	2300	25836	\N	\N	\N
239606	817	1998-08-24	VYDAJ	VYBER	5900	27831	\N	\N	\N
239607	817	1998-09-23	VYDAJ	VYBER	5800	29946	\N	\N	\N
239608	817	1998-10-23	VYDAJ	VYBER	5800	28709	\N	\N	\N
239609	817	1998-11-22	VYDAJ	VYBER	6400	27113	\N	\N	\N
240000	819	1995-04-22	PRIJEM	VKLAD	600	600	\N	\N	\N
240005	819	1995-05-11	PRIJEM	VKLAD	19241	19841	\N	\N	\N
240006	819	1995-06-11	PRIJEM	VKLAD	28862	50933	\N	\N	\N
240007	819	1995-07-11	PRIJEM	VKLAD	19241	55085	\N	\N	\N
240008	819	1995-08-11	PRIJEM	VKLAD	19241	57077	\N	\N	\N
240009	819	1995-09-11	PRIJEM	VKLAD	19241	58578	\N	\N	\N
240010	819	1995-10-11	PRIJEM	VKLAD	19241	61172	\N	\N	\N
240011	819	1995-11-11	PRIJEM	VKLAD	19241	59310	\N	\N	\N
240012	819	1995-12-11	PRIJEM	VKLAD	28862	67228	\N	\N	\N
240013	819	1996-01-11	PRIJEM	VKLAD	19241	57815	\N	\N	\N
240014	819	1996-02-11	PRIJEM	VKLAD	19241	39186	\N	\N	\N
240015	819	1996-03-11	PRIJEM	VKLAD	19241	49917	\N	\N	\N
240016	819	1996-04-11	PRIJEM	VKLAD	19241	53644	\N	\N	\N
240017	819	1996-05-11	PRIJEM	VKLAD	19241	56536	\N	\N	\N
240018	819	1996-06-11	PRIJEM	VKLAD	28862	68644	\N	\N	\N
240019	819	1996-07-11	PRIJEM	VKLAD	19241	66251	\N	\N	\N
240020	819	1996-08-11	PRIJEM	VKLAD	19241	64068	\N	\N	\N
240021	819	1996-09-11	PRIJEM	VKLAD	19241	60272	\N	\N	\N
240022	819	1996-10-11	PRIJEM	VKLAD	19241	59366	\N	\N	\N
240023	819	1996-11-11	PRIJEM	VKLAD	19241	56853	\N	\N	\N
240024	819	1996-12-11	PRIJEM	VKLAD	28862	63652	\N	\N	\N
240025	819	1997-01-11	PRIJEM	VKLAD	19241	40688	\N	\N	\N
240026	819	1997-02-11	PRIJEM	VKLAD	19241	42021	\N	\N	\N
240027	819	1997-03-11	PRIJEM	VKLAD	19241	59192	\N	\N	\N
240028	819	1997-04-11	PRIJEM	VKLAD	19241	57584	\N	\N	\N
240029	819	1997-05-11	PRIJEM	VKLAD	19241	55865	\N	\N	\N
240030	819	1997-06-11	PRIJEM	VKLAD	28862	48508	\N	\N	\N
240031	819	1997-07-11	PRIJEM	VKLAD	19241	54220	\N	\N	\N
240032	819	1997-08-11	PRIJEM	VKLAD	19241	56364	\N	\N	\N
240033	819	1997-09-11	PRIJEM	VKLAD	19241	56722	\N	\N	\N
240034	819	1997-10-11	PRIJEM	VKLAD	19241	54779	\N	\N	\N
240035	819	1997-11-11	PRIJEM	VKLAD	19241	51492	\N	\N	\N
240036	819	1997-12-11	PRIJEM	VKLAD	28862	59651	\N	\N	\N
240037	819	1998-01-11	PRIJEM	VKLAD	19241	51104	\N	\N	\N
240038	819	1998-02-11	PRIJEM	VKLAD	19241	42023	\N	\N	\N
240039	819	1998-03-11	PRIJEM	VKLAD	19241	46918	\N	\N	\N
240040	819	1998-04-11	PRIJEM	VKLAD	19241	54033	\N	\N	\N
240041	819	1998-05-11	PRIJEM	VKLAD	19241	54960	\N	\N	\N
240042	819	1998-06-11	PRIJEM	VKLAD	28862	66926	\N	\N	\N
240043	819	1998-07-11	PRIJEM	VKLAD	19241	50081	\N	\N	\N
240044	819	1998-08-11	PRIJEM	VKLAD	19241	54808	\N	\N	\N
240045	819	1998-09-11	PRIJEM	VKLAD	19241	57255	\N	\N	\N
240046	819	1998-10-11	PRIJEM	VKLAD	19241	58316	\N	\N	\N
240047	819	1998-11-11	PRIJEM	VKLAD	19241	57681	\N	\N	\N
240048	819	1998-12-11	PRIJEM	VKLAD	28862	67057	\N	\N	\N
240051	819	1997-06-01	VYDAJ	VYBER	17760	20446	\N	\N	\N
240052	819	1998-06-21	VYDAJ	VYBER	20800	46126	\N	\N	\N
240054	819	1996-01-28	VYDAJ	VYBER	12000	19795	\N	\N	\N
240055	819	1997-01-06	VYDAJ	VYBER	10560	26247	\N	\N	\N
240056	819	1998-01-21	VYDAJ	VYBER KARTOU	2400	47604	\N	\N	0
240057	819	1995-12-03	VYDAJ	VYBER	4000	38366	\N	\N	\N
240058	819	1996-12-07	VYDAJ	VYBER KARTOU	1400	34790	\N	\N	0
240059	819	1997-12-07	VYDAJ	VYBER KARTOU	3500	30789	\N	\N	0
240060	819	1998-12-12	VYDAJ	VYBER KARTOU	2700	64357	\N	\N	0
240067	819	1996-01-27	VYDAJ	VYBER	3240	31795	\N	\N	\N
240068	819	1996-01-03	VYDAJ	VYBER	3480	38574	\N	\N	\N
240069	819	1996-01-15	VYDAJ	VYBER	1680	56135	\N	\N	\N
240070	819	1996-01-01	VYDAJ	VYBER	1440	42054	\N	\N	\N
240071	819	1996-01-24	VYDAJ	VYBER	3480	35035	\N	\N	\N
240072	819	1996-01-17	VYDAJ	VYBER	1920	38515	\N	\N	\N
240073	819	1997-01-07	VYDAJ	VYBER KARTOU	2400	21447	\N	\N	0
240074	819	1997-01-25	VYDAJ	VYBER KARTOU	1400	22188	\N	\N	0
240075	819	1997-01-06	VYDAJ	VYBER KARTOU	2400	23847	\N	\N	0
240076	819	1997-01-05	VYDAJ	VYBER KARTOU	2600	36807	\N	\N	0
240077	819	1997-01-01	VYDAJ	VYBER KARTOU	1600	39407	\N	\N	0
240078	819	1997-01-12	VYDAJ	VYBER KARTOU	2400	23588	\N	\N	0
240079	819	1998-01-05	VYDAJ	VYBER KARTOU	600	59263	\N	\N	0
240080	819	1998-01-25	VYDAJ	VYBER KARTOU	3100	44504	\N	\N	0
240081	819	1998-01-14	VYDAJ	VYBER KARTOU	1100	50004	\N	\N	0
240082	819	1998-01-30	VYDAJ	VYBER KARTOU	3400	37904	\N	\N	0
240083	819	1998-01-27	VYDAJ	VYBER KARTOU	3200	41304	\N	\N	0
240084	819	1998-01-07	VYDAJ	VYBER KARTOU	3400	31863	\N	\N	0
240085	819	1995-10-24	VYDAJ	VYBER	960	39912	\N	\N	\N
240091	819	1995-12-14	VYDAJ	VYBER	1920	65308	\N	\N	\N
240093	819	1996-12-23	VYDAJ	VYBER KARTOU	2200	40852	\N	\N	0
240094	819	1996-04-04	VYDAJ	VYBER	2640	34403	\N	\N	\N
240095	819	1997-11-09	VYDAJ	VYBER	5040	32251	\N	\N	\N
240096	819	1997-03-10	VYDAJ	VYBER KARTOU	2200	39951	\N	\N	0
240097	819	1997-09-21	VYDAJ	VYBER KARTOU	3500	53222	\N	\N	0
240098	819	1997-01-28	VYDAJ	VYBER KARTOU	700	21488	\N	\N	0
240099	819	1998-12-19	VYDAJ	VYBER KARTOU	2900	61457	\N	\N	0
240100	819	1998-04-13	VYDAJ	VYBER	5400	48633	\N	\N	\N
240101	819	1998-10-26	VYDAJ	VYBER KARTOU	2000	56316	\N	\N	0
240102	819	1998-05-29	VYDAJ	VYBER KARTOU	1900	52360	\N	\N	0
240103	819	1998-11-14	VYDAJ	VYBER KARTOU	3500	54181	\N	\N	0
240104	819	1998-06-21	VYDAJ	VYBER KARTOU	1000	45126	\N	\N	0
240105	819	1998-05-26	VYDAJ	VYBER KARTOU	700	54260	\N	\N	0
240115	819	1995-09-30	VYDAJ	VYBER	15	41931	SLUZBY	\N	\N
240116	819	1995-10-31	VYDAJ	VYBER	15	40069	SLUZBY	\N	\N
240117	819	1995-11-30	VYDAJ	VYBER	15	42366	SLUZBY	\N	\N
240118	819	1995-12-31	VYDAJ	VYBER	15	43494	SLUZBY	\N	\N
240119	819	1996-01-31	VYDAJ	VYBER	15	19945	SLUZBY	\N	\N
240120	819	1996-02-29	VYDAJ	VYBER	15	30676	SLUZBY	\N	\N
240121	819	1996-03-31	VYDAJ	VYBER	15	37043	SLUZBY	\N	\N
240122	819	1996-04-30	VYDAJ	VYBER	15	37295	SLUZBY	\N	\N
240123	819	1996-05-31	VYDAJ	VYBER	15	39782	SLUZBY	\N	\N
240124	819	1996-06-30	VYDAJ	VYBER	15	47010	SLUZBY	\N	\N
240125	819	1996-07-31	VYDAJ	VYBER	15	44827	SLUZBY	\N	\N
240126	819	1996-08-31	VYDAJ	VYBER	15	41031	SLUZBY	\N	\N
240127	819	1996-09-30	VYDAJ	VYBER	15	40125	SLUZBY	\N	\N
240128	819	1996-10-31	VYDAJ	VYBER	15	37612	SLUZBY	\N	\N
240129	819	1996-11-30	VYDAJ	VYBER	15	36190	SLUZBY	\N	\N
240130	819	1996-12-31	VYDAJ	VYBER	15	41007	SLUZBY	\N	\N
240131	819	1997-01-31	VYDAJ	VYBER	15	21580	SLUZBY	\N	\N
240132	819	1997-02-28	VYDAJ	VYBER	15	42151	SLUZBY	\N	\N
240133	819	1997-03-31	VYDAJ	VYBER	15	38343	SLUZBY	\N	\N
240134	819	1997-04-30	VYDAJ	VYBER	15	36624	SLUZBY	\N	\N
240135	819	1997-05-31	VYDAJ	VYBER	15	38206	SLUZBY	\N	\N
240136	819	1997-06-30	VYDAJ	VYBER	15	48679	SLUZBY	\N	\N
240137	819	1997-07-31	VYDAJ	VYBER	15	54423	SLUZBY	\N	\N
240138	819	1997-08-31	VYDAJ	VYBER	15	56581	SLUZBY	\N	\N
240139	819	1997-09-30	VYDAJ	VYBER	15	53438	SLUZBY	\N	\N
240140	819	1997-10-31	VYDAJ	VYBER	15	54991	SLUZBY	\N	\N
240141	819	1997-11-30	VYDAJ	VYBER	15	51689	SLUZBY	\N	\N
240142	819	1997-12-31	VYDAJ	VYBER	15	59863	SLUZBY	\N	\N
240143	819	1998-01-31	VYDAJ	VYBER	15	38082	SLUZBY	\N	\N
240144	819	1998-02-28	VYDAJ	VYBER	15	42177	SLUZBY	\N	\N
240145	819	1998-03-31	VYDAJ	VYBER	15	47092	SLUZBY	\N	\N
240146	819	1998-04-30	VYDAJ	VYBER	15	48819	SLUZBY	\N	\N
240147	819	1998-05-31	VYDAJ	VYBER	15	52564	SLUZBY	\N	\N
240148	819	1998-06-30	VYDAJ	VYBER	15	45340	SLUZBY	\N	\N
240149	819	1998-07-31	VYDAJ	VYBER	15	50267	SLUZBY	\N	\N
240150	819	1998-08-31	VYDAJ	VYBER	15	55014	SLUZBY	\N	\N
240151	819	1998-09-30	VYDAJ	VYBER	15	57475	SLUZBY	\N	\N
240152	819	1998-10-31	VYDAJ	VYBER	15	56540	SLUZBY	\N	\N
240153	819	1998-11-30	VYDAJ	VYBER	15	54395	SLUZBY	\N	\N
240154	819	1995-05-22	PRIJEM	VKLAD	2200	22041	\N	\N	\N
240155	819	1995-06-21	VYDAJ	VYBER	15200	35733	\N	\N	\N
240156	819	1995-07-21	VYDAJ	VYBER	17400	37685	\N	\N	\N
240157	819	1995-08-20	VYDAJ	VYBER	17900	39177	\N	\N	\N
240158	819	1995-09-19	VYDAJ	VYBER	16800	41778	\N	\N	\N
240159	819	1995-10-19	VYDAJ	VYBER	20300	40872	\N	\N	\N
240160	819	1995-11-18	VYDAJ	VYBER	17100	42210	\N	\N	\N
240161	819	1995-12-18	VYDAJ	VYBER	22000	43308	\N	\N	\N
240162	819	1996-01-17	VYDAJ	VYBER	15700	40435	\N	\N	\N
240163	819	1996-02-16	VYDAJ	VYBER	8600	30586	\N	\N	\N
240164	819	1996-03-17	VYDAJ	VYBER	13000	36917	\N	\N	\N
240165	819	1996-04-16	VYDAJ	VYBER	16500	37144	\N	\N	\N
240166	819	1996-05-16	VYDAJ	VYBER	16900	39636	\N	\N	\N
240167	819	1996-06-15	VYDAJ	VYBER	21800	46844	\N	\N	\N
240168	819	1996-07-15	VYDAJ	VYBER	21600	44651	\N	\N	\N
240169	819	1996-08-14	VYDAJ	VYBER	23200	40868	\N	\N	\N
240170	819	1996-09-13	VYDAJ	VYBER	20300	39972	\N	\N	\N
240171	819	1996-10-13	VYDAJ	VYBER	21900	37466	\N	\N	\N
240172	819	1996-11-12	VYDAJ	VYBER	20800	36053	\N	\N	\N
240173	819	1996-12-12	VYDAJ	VYBER	20600	43052	\N	\N	\N
240174	819	1997-01-11	VYDAJ	VYBER	14700	25988	\N	\N	\N
240175	819	1997-02-10	PRIJEM	VKLAD	1200	22780	\N	\N	\N
240176	819	1997-03-12	VYDAJ	VYBER	21000	38192	\N	\N	\N
240177	819	1997-04-11	VYDAJ	VYBER	21100	36484	\N	\N	\N
240178	819	1997-05-11	VYDAJ	VYBER	17800	38065	\N	\N	\N
240179	819	1997-06-10	VYDAJ	VYBER KARTOU	800	19646	\N	\N	0
240180	819	1997-07-10	VYDAJ	VYBER	13700	34979	\N	\N	\N
240181	819	1997-08-09	VYDAJ	VYBER	17300	37123	\N	\N	\N
240182	819	1997-09-08	VYDAJ	VYBER	19100	37481	\N	\N	\N
240183	819	1997-10-08	VYDAJ	VYBER	17900	35538	\N	\N	\N
240184	819	1997-11-07	VYDAJ	VYBER	17700	37291	\N	\N	\N
240185	819	1997-12-07	VYDAJ	VYBER	17400	34289	\N	\N	\N
240186	819	1998-01-06	VYDAJ	VYBER	24000	35263	\N	\N	\N
240187	819	1998-02-05	VYDAJ	VYBER	15300	22782	\N	\N	\N
240188	819	1998-03-07	VYDAJ	VYBER	14500	27677	\N	\N	\N
240189	819	1998-04-06	VYDAJ	VYBER	12300	34792	\N	\N	\N
240190	819	1998-05-06	VYDAJ	VYBER	13100	35719	\N	\N	\N
240191	819	1998-06-05	VYDAJ	VYBER	14500	38064	\N	\N	\N
240192	819	1998-07-05	VYDAJ	VYBER	14500	30840	\N	\N	\N
240193	819	1998-08-04	VYDAJ	VYBER	14700	35567	\N	\N	\N
240194	819	1998-09-03	VYDAJ	VYBER	17000	38014	\N	\N	\N
240195	819	1998-10-03	VYDAJ	VYBER	18400	39075	\N	\N	\N
240196	819	1998-11-02	VYDAJ	VYBER	18100	38440	\N	\N	\N
240197	819	1998-12-02	VYDAJ	VYBER	16200	38195	\N	\N	\N
240242	820	1995-11-04	PRIJEM	VKLAD	200	200	\N	\N	\N
240253	820	1995-11-10	PRIJEM	VKLAD	11373	11573	\N	\N	\N
240254	820	1995-12-10	PRIJEM	VKLAD	17060	33466	\N	\N	\N
240255	820	1996-01-10	PRIJEM	VKLAD	11373	42152	\N	\N	\N
240256	820	1996-02-10	PRIJEM	VKLAD	11373	44890	\N	\N	\N
240257	820	1996-03-10	PRIJEM	VKLAD	11373	47247	\N	\N	\N
240258	820	1996-04-10	PRIJEM	VKLAD	11373	44422	\N	\N	\N
240259	820	1996-05-10	PRIJEM	VKLAD	11373	44991	\N	\N	\N
240260	820	1996-06-10	PRIJEM	VKLAD	17060	49344	\N	\N	\N
240261	820	1996-07-10	PRIJEM	VKLAD	11373	47224	\N	\N	\N
240262	820	1996-08-10	PRIJEM	VKLAD	11373	44903	\N	\N	\N
240263	820	1996-09-10	PRIJEM	VKLAD	11373	41461	\N	\N	\N
240264	820	1996-10-10	PRIJEM	VKLAD	11373	41944	\N	\N	\N
240265	820	1996-11-10	PRIJEM	VKLAD	11373	43291	\N	\N	\N
240266	820	1996-12-10	PRIJEM	VKLAD	17060	54231	\N	\N	\N
240267	820	1997-01-10	PRIJEM	VKLAD	11373	50738	\N	\N	\N
240268	820	1997-02-10	PRIJEM	VKLAD	11373	41817	\N	\N	\N
240269	820	1997-03-10	PRIJEM	VKLAD	11373	46463	\N	\N	\N
240270	820	1997-04-10	PRIJEM	VKLAD	11373	50029	\N	\N	\N
240271	820	1997-05-10	PRIJEM	VKLAD	11373	48746	\N	\N	\N
240272	820	1997-06-10	PRIJEM	VKLAD	17060	60512	\N	\N	\N
240273	820	1997-07-10	PRIJEM	VKLAD	11373	40005	\N	\N	\N
240274	820	1997-08-10	PRIJEM	VKLAD	11373	47251	\N	\N	\N
240275	820	1997-09-10	PRIJEM	VKLAD	11373	54928	\N	\N	\N
240276	820	1997-10-10	PRIJEM	VKLAD	11373	58928	\N	\N	\N
240277	820	1997-11-10	PRIJEM	VKLAD	11373	59141	\N	\N	\N
240278	820	1997-12-10	PRIJEM	VKLAD	17060	66241	\N	\N	\N
240279	820	1998-01-10	PRIJEM	VKLAD	11373	50027	\N	\N	\N
240280	820	1998-02-10	PRIJEM	VKLAD	11373	47600	\N	\N	\N
240281	820	1998-03-10	PRIJEM	VKLAD	11373	53212	\N	\N	\N
240282	820	1998-04-10	PRIJEM	VKLAD	11373	57105	\N	\N	\N
240283	820	1998-05-10	PRIJEM	VKLAD	11373	55831	\N	\N	\N
240284	820	1998-06-10	PRIJEM	VKLAD	17060	60993	\N	\N	\N
240285	820	1998-07-10	PRIJEM	VKLAD	11373	29975	\N	\N	\N
240286	820	1998-08-10	PRIJEM	VKLAD	11373	51095	\N	\N	\N
240287	820	1998-09-10	PRIJEM	VKLAD	11373	52952	\N	\N	\N
240288	820	1998-10-10	PRIJEM	VKLAD	11373	58254	\N	\N	\N
240289	820	1998-11-10	PRIJEM	VKLAD	11373	60366	\N	\N	\N
240290	820	1998-12-10	PRIJEM	VKLAD	17060	69070	\N	\N	\N
240306	820	1996-04-09	VYDAJ	PREVOD NA UCET	210	33049	SIPO	QR	12900066
240307	820	1996-05-09	VYDAJ	PREVOD NA UCET	210	33618	SIPO	QR	12900066
240308	820	1996-06-09	VYDAJ	PREVOD NA UCET	210	37651	SIPO	QR	12900066
240309	820	1996-07-09	VYDAJ	PREVOD NA UCET	210	41218	SIPO	QR	12900066
240310	820	1996-08-09	VYDAJ	PREVOD NA UCET	210	38897	SIPO	QR	12900066
240311	820	1996-09-09	VYDAJ	PREVOD NA UCET	210	30088	SIPO	QR	12900066
240312	820	1996-10-09	VYDAJ	PREVOD NA UCET	210	30571	SIPO	QR	12900066
240313	820	1996-11-09	VYDAJ	PREVOD NA UCET	210	31918	SIPO	QR	12900066
240314	820	1996-12-09	VYDAJ	PREVOD NA UCET	210	37171	SIPO	QR	12900066
240315	820	1997-01-09	VYDAJ	PREVOD NA UCET	210	44732	SIPO	QR	12900066
240316	820	1997-02-09	VYDAJ	PREVOD NA UCET	210	35811	SIPO	QR	12900066
240317	820	1997-03-09	VYDAJ	PREVOD NA UCET	210	35090	SIPO	QR	12900066
240318	820	1997-04-09	VYDAJ	PREVOD NA UCET	210	38656	SIPO	QR	12900066
240319	820	1997-05-09	VYDAJ	PREVOD NA UCET	210	42740	SIPO	QR	12900066
240320	820	1997-06-09	VYDAJ	PREVOD NA UCET	210	48819	SIPO	QR	12900066
240321	820	1997-07-09	VYDAJ	PREVOD NA UCET	210	28632	SIPO	QR	12900066
240322	820	1997-08-09	VYDAJ	PREVOD NA UCET	210	35878	SIPO	QR	12900066
240323	820	1997-09-09	VYDAJ	PREVOD NA UCET	210	48922	SIPO	QR	12900066
240324	820	1997-10-09	VYDAJ	PREVOD NA UCET	210	52922	SIPO	QR	12900066
240325	820	1997-11-09	VYDAJ	PREVOD NA UCET	210	47768	SIPO	QR	12900066
240326	820	1997-12-09	VYDAJ	PREVOD NA UCET	210	49182	SIPO	QR	12900066
240327	820	1998-01-09	VYDAJ	PREVOD NA UCET	210	44021	SIPO	QR	12900066
240328	820	1998-02-09	VYDAJ	PREVOD NA UCET	210	41594	SIPO	QR	12900066
240329	820	1998-03-09	VYDAJ	PREVOD NA UCET	210	47206	SIPO	QR	12900066
240330	820	1998-04-09	VYDAJ	PREVOD NA UCET	210	51099	SIPO	QR	12900066
240331	820	1998-05-09	VYDAJ	PREVOD NA UCET	210	44458	SIPO	QR	12900066
240332	820	1998-06-09	VYDAJ	PREVOD NA UCET	210	49300	SIPO	QR	12900066
240333	820	1998-07-09	VYDAJ	PREVOD NA UCET	210	23969	SIPO	QR	12900066
240334	820	1998-08-09	VYDAJ	PREVOD NA UCET	210	39722	SIPO	QR	12900066
240335	820	1998-09-09	VYDAJ	PREVOD NA UCET	210	46946	SIPO	QR	12900066
240336	820	1998-10-09	VYDAJ	PREVOD NA UCET	210	46881	SIPO	QR	12900066
240337	820	1998-11-09	VYDAJ	PREVOD NA UCET	210	54360	SIPO	QR	12900066
240338	820	1998-12-09	VYDAJ	PREVOD NA UCET	210	57378	SIPO	QR	12900066
240354	820	1996-04-09	VYDAJ	PREVOD NA UCET	5367	33259	 	AB	81232100
240355	820	1996-05-09	VYDAJ	PREVOD NA UCET	5367	33828	 	AB	81232100
240356	820	1996-06-09	VYDAJ	PREVOD NA UCET	5367	32284	 	AB	81232100
240357	820	1996-07-09	VYDAJ	PREVOD NA UCET	5367	35851	 	AB	81232100
240358	820	1996-08-09	VYDAJ	PREVOD NA UCET	5367	33530	 	AB	81232100
240359	820	1996-09-09	VYDAJ	PREVOD NA UCET	5367	30298	 	AB	81232100
240360	820	1996-10-09	VYDAJ	PREVOD NA UCET	5367	30781	 	AB	81232100
240361	820	1996-11-09	VYDAJ	PREVOD NA UCET	5367	32128	 	AB	81232100
240362	820	1996-12-09	VYDAJ	PREVOD NA UCET	5367	37381	 	AB	81232100
240363	820	1997-01-09	VYDAJ	PREVOD NA UCET	5367	39365	 	AB	81232100
240364	820	1997-02-09	VYDAJ	PREVOD NA UCET	5367	30444	 	AB	81232100
240365	820	1997-03-09	VYDAJ	PREVOD NA UCET	5367	35300	 	AB	81232100
240366	820	1997-04-09	VYDAJ	PREVOD NA UCET	5367	38866	 	AB	81232100
240367	820	1997-05-09	VYDAJ	PREVOD NA UCET	5367	37373	 	AB	81232100
240368	820	1997-06-09	VYDAJ	PREVOD NA UCET	5367	43452	 	AB	81232100
240369	820	1997-07-09	VYDAJ	PREVOD NA UCET	5367	28842	 	AB	81232100
240370	820	1997-08-09	VYDAJ	PREVOD NA UCET	5367	41488	 	AB	81232100
240371	820	1997-09-09	VYDAJ	PREVOD NA UCET	5367	43555	 	AB	81232100
240372	820	1997-10-09	VYDAJ	PREVOD NA UCET	5367	47555	 	AB	81232100
240373	820	1997-11-09	VYDAJ	PREVOD NA UCET	5367	47978	 	AB	81232100
240374	820	1997-12-09	VYDAJ	PREVOD NA UCET	5367	49392	 	AB	81232100
240375	820	1998-01-09	VYDAJ	PREVOD NA UCET	5367	38654	 	AB	81232100
240376	820	1998-02-09	VYDAJ	PREVOD NA UCET	5367	36227	 	AB	81232100
240377	820	1998-03-09	VYDAJ	PREVOD NA UCET	5367	41839	 	AB	81232100
240378	820	1998-04-09	VYDAJ	PREVOD NA UCET	5367	45732	 	AB	81232100
240379	820	1998-05-09	VYDAJ	PREVOD NA UCET	5367	44668	 	AB	81232100
240380	820	1998-06-09	VYDAJ	PREVOD NA UCET	5367	43933	 	AB	81232100
240381	820	1998-07-09	VYDAJ	PREVOD NA UCET	5367	18602	 	AB	81232100
240382	820	1998-08-09	VYDAJ	PREVOD NA UCET	5367	39932	 	AB	81232100
240383	820	1998-09-09	VYDAJ	PREVOD NA UCET	5367	41579	 	AB	81232100
240384	820	1998-10-09	VYDAJ	PREVOD NA UCET	5367	47091	 	AB	81232100
240385	820	1998-11-09	VYDAJ	PREVOD NA UCET	5367	48993	 	AB	81232100
240386	820	1998-12-09	VYDAJ	PREVOD NA UCET	5367	52011	 	AB	81232100
240389	820	1997-06-14	VYDAJ	VYBER	39840	20672	\N	\N	\N
240390	820	1998-06-24	VYDAJ	VYBER	33600	23993	\N	\N	\N
240393	820	1997-01-23	VYDAJ	VYBER	10400	34218	\N	\N	\N
240394	820	1998-01-07	VYDAJ	VYBER	2240	46631	\N	\N	\N
240396	820	1996-12-25	VYDAJ	VYBER	2400	51831	\N	\N	\N
240397	820	1997-12-11	VYDAJ	VYBER	800	65441	\N	\N	\N
240398	820	1998-12-17	VYDAJ	VYBER	3040	64950	\N	\N	\N
240411	820	1997-01-10	VYDAJ	VYBER	1920	47498	\N	\N	\N
240412	820	1997-01-26	VYDAJ	VYBER	1080	30858	\N	\N	\N
240413	820	1997-01-13	VYDAJ	VYBER	2880	44618	\N	\N	\N
240414	820	1997-01-23	VYDAJ	VYBER	2280	31938	\N	\N	\N
240415	820	1997-01-05	VYDAJ	VYBER	1680	44942	\N	\N	\N
240416	820	1997-01-10	VYDAJ	VYBER	1320	49418	\N	\N	\N
240417	820	1998-01-22	VYDAJ	VYBER	3000	41627	\N	\N	\N
240418	820	1998-01-05	VYDAJ	VYBER	1560	48871	\N	\N	\N
240419	820	1998-01-14	VYDAJ	VYBER	2520	47507	\N	\N	\N
240420	820	1998-01-03	VYDAJ	VYBER	2400	50431	\N	\N	\N
240421	820	1998-01-08	VYDAJ	VYBER	2400	44231	\N	\N	\N
240422	820	1998-01-16	VYDAJ	VYBER	1080	46427	\N	\N	\N
240429	820	1996-09-28	VYDAJ	VYBER	5760	35701	\N	\N	\N
240430	820	1997-08-09	VYDAJ	VYBER	5400	36088	\N	\N	\N
240431	820	1997-12-26	VYDAJ	VYBER	5640	52601	\N	\N	\N
240432	820	1997-05-08	VYDAJ	VYBER	1560	42950	\N	\N	\N
240433	820	1997-04-23	VYDAJ	VYBER	1200	48829	\N	\N	\N
240434	820	1998-03-07	VYDAJ	VYBER	960	47416	\N	\N	\N
240435	820	1998-10-04	VYDAJ	VYBER	4200	52458	\N	\N	\N
240436	820	1998-05-01	VYDAJ	VYBER	3480	50035	\N	\N	\N
240437	820	1998-08-13	VYDAJ	VYBER	5640	45455	\N	\N	\N
240438	820	1998-12-13	VYDAJ	VYBER	1080	67990	\N	\N	\N
240439	820	1998-05-16	VYDAJ	VYBER	5520	50311	\N	\N	\N
240440	820	1998-09-02	VYDAJ	VYBER	2880	47156	\N	\N	\N
240456	820	1996-03-31	VYDAJ	VYBER	15	47426	SLUZBY	\N	\N
240457	820	1996-04-30	VYDAJ	VYBER	15	44595	SLUZBY	\N	\N
240458	820	1996-05-31	VYDAJ	VYBER	15	45161	SLUZBY	\N	\N
240459	820	1996-06-30	VYDAJ	VYBER	15	49528	SLUZBY	\N	\N
240460	820	1996-07-31	VYDAJ	VYBER	15	47407	SLUZBY	\N	\N
240461	820	1996-08-31	VYDAJ	VYBER	15	35665	SLUZBY	\N	\N
240462	820	1996-09-30	VYDAJ	VYBER	15	36148	SLUZBY	\N	\N
240463	820	1996-10-31	VYDAJ	VYBER	15	37495	SLUZBY	\N	\N
240464	820	1996-11-30	VYDAJ	VYBER	15	42748	SLUZBY	\N	\N
240465	820	1996-12-31	VYDAJ	VYBER	15	46622	SLUZBY	\N	\N
240466	820	1997-01-31	VYDAJ	VYBER	15	36021	SLUZBY	\N	\N
240467	820	1997-02-28	VYDAJ	VYBER	15	40667	SLUZBY	\N	\N
240468	820	1997-03-31	VYDAJ	VYBER	15	44233	SLUZBY	\N	\N
240469	820	1997-04-30	VYDAJ	VYBER	15	44510	SLUZBY	\N	\N
240470	820	1997-05-31	VYDAJ	VYBER	15	49029	SLUZBY	\N	\N
240471	820	1997-06-30	VYDAJ	VYBER	15	34209	SLUZBY	\N	\N
240472	820	1997-07-31	VYDAJ	VYBER	15	46855	SLUZBY	\N	\N
240473	820	1997-08-31	VYDAJ	VYBER	15	49132	SLUZBY	\N	\N
240474	820	1997-09-30	VYDAJ	VYBER	15	53132	SLUZBY	\N	\N
240475	820	1997-10-31	VYDAJ	VYBER	15	53345	SLUZBY	\N	\N
240476	820	1997-11-30	VYDAJ	VYBER	15	54759	SLUZBY	\N	\N
240477	820	1997-12-31	VYDAJ	VYBER	15	52831	SLUZBY	\N	\N
240478	820	1998-01-31	VYDAJ	VYBER	15	41804	SLUZBY	\N	\N
240479	820	1998-02-28	VYDAJ	VYBER	15	48376	SLUZBY	\N	\N
240480	820	1998-03-31	VYDAJ	VYBER	15	51309	SLUZBY	\N	\N
240481	820	1998-04-30	VYDAJ	VYBER	15	53515	SLUZBY	\N	\N
240482	820	1998-05-31	VYDAJ	VYBER	15	49510	SLUZBY	\N	\N
240483	820	1998-06-30	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
240484	820	1998-07-31	VYDAJ	VYBER	15	45299	SLUZBY	\N	\N
240485	820	1998-08-31	VYDAJ	VYBER	15	50036	SLUZBY	\N	\N
240486	820	1998-09-30	VYDAJ	VYBER	15	56658	SLUZBY	\N	\N
240487	820	1998-10-31	VYDAJ	VYBER	15	54570	SLUZBY	\N	\N
240488	820	1998-11-30	VYDAJ	VYBER	15	57588	SLUZBY	\N	\N
240489	820	1995-12-04	PRIJEM	VKLAD	4800	16407	\N	\N	\N
240490	820	1996-01-03	VYDAJ	VYBER	2800	30779	\N	\N	\N
240491	820	1996-02-02	VYDAJ	VYBER	8800	33517	\N	\N	\N
240492	820	1996-03-03	VYDAJ	VYBER	9200	35874	\N	\N	\N
240493	820	1996-04-02	VYDAJ	VYBER	8800	38626	\N	\N	\N
240494	820	1996-05-02	VYDAJ	VYBER	5400	39195	\N	\N	\N
240495	820	1996-06-01	VYDAJ	VYBER	7300	37861	\N	\N	\N
240496	820	1996-07-01	VYDAJ	VYBER	8100	41428	\N	\N	\N
240497	820	1996-07-31	VYDAJ	VYBER	8300	39107	\N	\N	\N
240498	820	1996-08-30	VYDAJ	VYBER	9400	35503	\N	\N	\N
240499	820	1996-09-29	PRIJEM	VKLAD	300	36001	\N	\N	\N
240500	820	1996-10-29	VYDAJ	VYBER	4600	37344	\N	\N	\N
240501	820	1996-11-28	VYDAJ	VYBER	700	42591	\N	\N	\N
240502	820	1996-12-28	VYDAJ	VYBER	5400	46431	\N	\N	\N
240503	820	1997-01-27	PRIJEM	VKLAD	5000	35858	\N	\N	\N
240504	820	1997-02-26	VYDAJ	VYBER	1300	40517	\N	\N	\N
240505	820	1997-03-28	VYDAJ	VYBER	2400	44063	\N	\N	\N
240506	820	1997-04-27	VYDAJ	VYBER	4500	44329	\N	\N	\N
240507	820	1997-05-27	PRIJEM	VKLAD	100	48846	\N	\N	\N
240508	820	1997-06-26	PRIJEM	VKLAD	13400	34072	\N	\N	\N
240509	820	1997-07-26	PRIJEM	VKLAD	6700	46705	\N	\N	\N
240510	820	1997-08-25	PRIJEM	VKLAD	1700	48951	\N	\N	\N
240511	820	1997-09-24	VYDAJ	VYBER	2000	52928	\N	\N	\N
240512	820	1997-10-24	VYDAJ	VYBER	5800	53128	\N	\N	\N
240513	820	1997-11-23	VYDAJ	VYBER	4600	54541	\N	\N	\N
240514	820	1997-12-23	VYDAJ	VYBER	7200	58241	\N	\N	\N
240515	820	1998-01-22	VYDAJ	VYBER	1800	44627	\N	\N	\N
240516	820	1998-02-21	PRIJEM	VKLAD	600	48200	\N	\N	\N
240517	820	1998-03-23	VYDAJ	VYBER	2100	51112	\N	\N	\N
240518	820	1998-04-22	VYDAJ	VYBER	3800	53305	\N	\N	\N
240519	820	1998-05-22	VYDAJ	VYBER	1000	49311	\N	\N	\N
240520	820	1998-06-21	VYDAJ	VYBER	3400	57593	\N	\N	\N
240521	820	1998-07-21	PRIJEM	VKLAD	15200	45175	\N	\N	\N
240522	820	1998-08-20	PRIJEM	VKLAD	4400	49855	\N	\N	\N
240523	820	1998-09-19	PRIJEM	VKLAD	3500	56452	\N	\N	\N
240524	820	1998-10-19	VYDAJ	VYBER	3900	54354	\N	\N	\N
240525	820	1998-11-18	VYDAJ	VYBER	3000	57366	\N	\N	\N
240564	821	1996-03-16	PRIJEM	VKLAD	300	300	\N	\N	\N
240568	821	1996-04-10	PRIJEM	PREVOD Z UCTU	3901	4201	\N	WX	79156726
240569	821	1996-05-10	PRIJEM	PREVOD Z UCTU	3901	18534	\N	WX	79156726
240570	821	1996-06-10	PRIJEM	PREVOD Z UCTU	3901	28619	\N	WX	79156726
240571	821	1996-07-10	PRIJEM	PREVOD Z UCTU	3901	32332	\N	WX	79156726
240572	821	1996-08-10	PRIJEM	PREVOD Z UCTU	3901	34556	\N	WX	79156726
240573	821	1996-09-10	PRIJEM	PREVOD Z UCTU	3901	32377	\N	WX	79156726
240574	821	1996-10-10	PRIJEM	PREVOD Z UCTU	3901	30822	\N	WX	79156726
240575	821	1996-11-10	PRIJEM	PREVOD Z UCTU	3901	32137	\N	WX	79156726
240576	821	1996-12-10	PRIJEM	PREVOD Z UCTU	3901	31776	\N	WX	79156726
240577	821	1997-01-10	PRIJEM	PREVOD Z UCTU	3901	25961	\N	WX	79156726
240578	821	1997-02-10	PRIJEM	PREVOD Z UCTU	3901	20746	\N	WX	79156726
240579	821	1997-03-10	PRIJEM	PREVOD Z UCTU	3901	22198	\N	WX	79156726
240580	821	1997-04-10	PRIJEM	PREVOD Z UCTU	3901	21472	\N	WX	79156726
240581	821	1997-05-10	PRIJEM	PREVOD Z UCTU	3901	20367	\N	WX	79156726
240582	821	1997-06-10	PRIJEM	PREVOD Z UCTU	3901	21256	\N	WX	79156726
240583	821	1997-07-10	PRIJEM	PREVOD Z UCTU	3901	21814	\N	WX	79156726
240584	821	1997-08-10	PRIJEM	PREVOD Z UCTU	3901	22292	\N	WX	79156726
240585	821	1997-09-10	PRIJEM	PREVOD Z UCTU	3901	22876	\N	WX	79156726
240586	821	1997-10-10	PRIJEM	PREVOD Z UCTU	3901	22562	\N	WX	79156726
240587	821	1997-11-10	PRIJEM	PREVOD Z UCTU	3901	23947	\N	WX	79156726
240588	821	1997-12-10	PRIJEM	PREVOD Z UCTU	3901	23166	\N	WX	79156726
240589	821	1998-01-10	PRIJEM	PREVOD Z UCTU	3901	24783	\N	WX	79156726
240590	821	1998-02-10	PRIJEM	PREVOD Z UCTU	3901	22178	\N	WX	79156726
240591	821	1998-03-10	PRIJEM	PREVOD Z UCTU	3901	25158	\N	WX	79156726
240592	821	1998-04-10	PRIJEM	PREVOD Z UCTU	3901	22140	\N	WX	79156726
240593	821	1998-05-10	PRIJEM	PREVOD Z UCTU	3901	21524	\N	WX	79156726
240594	821	1998-06-10	PRIJEM	PREVOD Z UCTU	3901	21495	\N	WX	79156726
240595	821	1998-07-10	PRIJEM	PREVOD Z UCTU	3901	19635	\N	WX	79156726
240596	821	1998-08-10	PRIJEM	PREVOD Z UCTU	3901	18209	\N	WX	79156726
240597	821	1998-09-10	PRIJEM	PREVOD Z UCTU	3901	20128	\N	WX	79156726
240598	821	1998-10-10	PRIJEM	PREVOD Z UCTU	3901	21900	\N	WX	79156726
240599	821	1998-11-10	PRIJEM	PREVOD Z UCTU	3901	21440	\N	WX	79156726
240600	821	1998-12-10	PRIJEM	PREVOD Z UCTU	3901	24221	\N	WX	79156726
240608	821	1996-08-12	VYDAJ	PREVOD NA UCET	1436	33120	SIPO	QR	37818032
240609	821	1996-09-12	VYDAJ	PREVOD NA UCET	1436	30941	SIPO	QR	37818032
240610	821	1996-10-12	VYDAJ	PREVOD NA UCET	1436	29386	SIPO	QR	37818032
240611	821	1996-11-12	VYDAJ	PREVOD NA UCET	1436	29201	SIPO	QR	37818032
240612	821	1996-12-12	VYDAJ	PREVOD NA UCET	1436	24540	SIPO	QR	37818032
240613	821	1997-01-12	VYDAJ	PREVOD NA UCET	1436	16915	SIPO	QR	37818032
240614	821	1997-02-12	VYDAJ	PREVOD NA UCET	1436	19310	SIPO	QR	37818032
240615	821	1997-03-12	VYDAJ	PREVOD NA UCET	1436	18162	SIPO	QR	37818032
240616	821	1997-04-12	VYDAJ	PREVOD NA UCET	1436	19336	SIPO	QR	37818032
240617	821	1997-05-12	VYDAJ	PREVOD NA UCET	1436	17831	SIPO	QR	37818032
240618	821	1997-06-12	VYDAJ	PREVOD NA UCET	1436	19820	SIPO	QR	37818032
240619	821	1997-07-12	VYDAJ	PREVOD NA UCET	1436	20378	SIPO	QR	37818032
240620	821	1997-08-12	VYDAJ	PREVOD NA UCET	1436	20856	SIPO	QR	37818032
240621	821	1997-09-12	VYDAJ	PREVOD NA UCET	1436	21440	SIPO	QR	37818032
240622	821	1997-10-12	VYDAJ	PREVOD NA UCET	1436	21126	SIPO	QR	37818032
240623	821	1997-11-12	VYDAJ	PREVOD NA UCET	1436	21941	SIPO	QR	37818032
240624	821	1997-12-12	VYDAJ	PREVOD NA UCET	1436	21730	SIPO	QR	37818032
240625	821	1998-01-12	VYDAJ	PREVOD NA UCET	1436	23347	SIPO	QR	37818032
240626	821	1998-02-12	VYDAJ	PREVOD NA UCET	1436	20742	SIPO	QR	37818032
240627	821	1998-03-12	VYDAJ	PREVOD NA UCET	1436	23722	SIPO	QR	37818032
240628	821	1998-04-12	VYDAJ	PREVOD NA UCET	1436	20704	SIPO	QR	37818032
240629	821	1998-05-12	VYDAJ	PREVOD NA UCET	1436	20088	SIPO	QR	37818032
240630	821	1998-06-12	VYDAJ	PREVOD NA UCET	1436	20059	SIPO	QR	37818032
240631	821	1998-07-12	VYDAJ	PREVOD NA UCET	1436	18199	SIPO	QR	37818032
240632	821	1998-08-12	VYDAJ	PREVOD NA UCET	1436	16773	SIPO	QR	37818032
240633	821	1998-09-12	VYDAJ	PREVOD NA UCET	1436	18692	SIPO	QR	37818032
240634	821	1998-10-12	VYDAJ	PREVOD NA UCET	1436	20464	SIPO	QR	37818032
240635	821	1998-11-12	VYDAJ	PREVOD NA UCET	1436	20004	SIPO	QR	37818032
240636	821	1998-12-12	VYDAJ	PREVOD NA UCET	1436	22245	SIPO	QR	37818032
240644	821	1996-08-14	VYDAJ	PREVOD NA UCET	651	28369	 	AB	89886223
240645	821	1996-09-14	VYDAJ	PREVOD NA UCET	651	27390	 	AB	89886223
240646	821	1996-10-14	VYDAJ	PREVOD NA UCET	651	28135	 	AB	89886223
240647	821	1996-11-14	VYDAJ	PREVOD NA UCET	651	28550	 	AB	89886223
240648	821	1996-12-14	VYDAJ	PREVOD NA UCET	651	23889	 	AB	89886223
240649	821	1997-01-14	VYDAJ	PREVOD NA UCET	651	16264	 	AB	89886223
240650	821	1997-02-14	VYDAJ	PREVOD NA UCET	651	18659	 	AB	89886223
240651	821	1997-03-14	VYDAJ	PREVOD NA UCET	651	17511	 	AB	89886223
240652	821	1997-04-14	VYDAJ	PREVOD NA UCET	651	18685	 	AB	89886223
240653	821	1997-05-14	VYDAJ	PREVOD NA UCET	651	17180	 	AB	89886223
240654	821	1997-06-14	VYDAJ	PREVOD NA UCET	651	19169	 	AB	89886223
240655	821	1997-07-14	VYDAJ	PREVOD NA UCET	651	19727	 	AB	89886223
240656	821	1997-08-14	VYDAJ	PREVOD NA UCET	651	20205	 	AB	89886223
240657	821	1997-09-14	VYDAJ	PREVOD NA UCET	651	20789	 	AB	89886223
240658	821	1997-10-14	VYDAJ	PREVOD NA UCET	651	20475	 	AB	89886223
240659	821	1997-11-14	VYDAJ	PREVOD NA UCET	651	21290	 	AB	89886223
240660	821	1997-12-14	VYDAJ	PREVOD NA UCET	651	21079	 	AB	89886223
240661	821	1998-01-14	VYDAJ	PREVOD NA UCET	651	22156	 	AB	89886223
240662	821	1998-02-14	VYDAJ	PREVOD NA UCET	651	20091	 	AB	89886223
240663	821	1998-03-14	VYDAJ	PREVOD NA UCET	651	23071	 	AB	89886223
240664	821	1998-04-14	VYDAJ	PREVOD NA UCET	651	20053	 	AB	89886223
240665	821	1998-05-14	VYDAJ	PREVOD NA UCET	651	19437	 	AB	89886223
240666	821	1998-06-14	VYDAJ	PREVOD NA UCET	651	19408	 	AB	89886223
240667	821	1998-07-14	VYDAJ	PREVOD NA UCET	651	17548	 	AB	89886223
240668	821	1998-08-14	VYDAJ	PREVOD NA UCET	651	16122	 	AB	89886223
240669	821	1998-09-14	VYDAJ	PREVOD NA UCET	651	18041	 	AB	89886223
240670	821	1998-10-14	VYDAJ	PREVOD NA UCET	651	19813	 	AB	89886223
240671	821	1998-11-14	VYDAJ	PREVOD NA UCET	651	19353	 	AB	89886223
240672	821	1998-12-14	VYDAJ	PREVOD NA UCET	651	21594	 	AB	89886223
240674	821	1997-06-15	VYDAJ	VYBER	2910	16259	\N	\N	\N
240675	821	1998-06-06	VYDAJ	VYBER	1710	17594	\N	\N	\N
240677	821	1997-01-12	VYDAJ	VYBER	1050	18351	\N	\N	\N
240678	821	1998-01-24	VYDAJ	VYBER	2490	18346	\N	\N	\N
240679	821	1996-12-06	VYDAJ	VYBER	780	27875	\N	\N	\N
240680	821	1997-12-18	VYDAJ	VYBER	450	20629	\N	\N	\N
240681	821	1998-12-28	VYDAJ	VYBER	510	21084	\N	\N	\N
240688	821	1997-01-27	VYDAJ	VYBER	240	14584	\N	\N	\N
240689	821	1997-01-23	VYDAJ	VYBER	480	15454	\N	\N	\N
240690	821	1997-01-10	VYDAJ	VYBER	540	25421	\N	\N	\N
240691	821	1997-01-11	VYDAJ	VYBER	720	19401	\N	\N	\N
240692	821	1997-01-18	VYDAJ	VYBER	330	15934	\N	\N	\N
240693	821	1997-01-24	VYDAJ	VYBER	630	14824	\N	\N	\N
240694	821	1998-01-19	VYDAJ	VYBER	270	20836	\N	\N	\N
240695	821	1998-01-14	VYDAJ	VYBER	540	22807	\N	\N	\N
240696	821	1998-01-30	VYDAJ	VYBER	510	17206	\N	\N	\N
240697	821	1998-01-05	VYDAJ	VYBER	720	20882	\N	\N	\N
240698	821	1998-01-18	VYDAJ	VYBER	420	21106	\N	\N	\N
240699	821	1998-01-27	VYDAJ	VYBER	630	17716	\N	\N	\N
240701	821	1996-09-22	VYDAJ	VYBER	570	26820	\N	\N	\N
240702	821	1996-12-29	VYDAJ	VYBER	1380	22509	\N	\N	\N
240704	821	1997-11-12	VYDAJ	VYBER	570	23377	\N	\N	\N
240705	821	1997-05-15	VYDAJ	VYBER	840	16340	\N	\N	\N
240706	821	1997-01-01	VYDAJ	VYBER	540	22060	\N	\N	\N
240707	821	1997-05-19	VYDAJ	VYBER	1140	15200	\N	\N	\N
240708	821	1997-02-22	VYDAJ	VYBER	420	18239	\N	\N	\N
240709	821	1997-05-06	VYDAJ	VYBER	1230	16466	\N	\N	\N
240710	821	1997-04-22	VYDAJ	VYBER	690	17635	\N	\N	\N
240711	821	1997-04-21	VYDAJ	VYBER	360	18325	\N	\N	\N
240712	821	1998-01-17	VYDAJ	VYBER	630	21526	\N	\N	\N
240713	821	1998-11-01	VYDAJ	VYBER	870	19009	\N	\N	\N
240714	821	1998-11-08	VYDAJ	VYBER	1470	17539	\N	\N	\N
240715	821	1998-06-14	VYDAJ	VYBER	240	19168	\N	\N	\N
240716	821	1998-04-02	VYDAJ	VYBER	1110	22039	\N	\N	\N
240717	821	1998-09-04	VYDAJ	VYBER	1350	16227	\N	\N	\N
240718	821	1998-12-11	VYDAJ	VYBER	540	23681	\N	\N	\N
240727	821	1996-08-31	VYDAJ	VYBER	15	28476	SLUZBY	\N	\N
240728	821	1996-09-30	VYDAJ	VYBER	15	26921	SLUZBY	\N	\N
240729	821	1996-10-31	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
240730	821	1996-11-30	VYDAJ	VYBER	15	28655	SLUZBY	\N	\N
240731	821	1996-12-31	VYDAJ	VYBER	15	22600	SLUZBY	\N	\N
240732	821	1997-01-31	VYDAJ	VYBER	15	14645	SLUZBY	\N	\N
240733	821	1997-02-28	VYDAJ	VYBER	15	18297	SLUZBY	\N	\N
240734	821	1997-03-31	VYDAJ	VYBER	15	17571	SLUZBY	\N	\N
240735	821	1997-04-30	VYDAJ	VYBER	15	17696	SLUZBY	\N	\N
240736	821	1997-05-31	VYDAJ	VYBER	15	15255	SLUZBY	\N	\N
240737	821	1997-06-30	VYDAJ	VYBER	15	16313	SLUZBY	\N	\N
240738	821	1997-07-31	VYDAJ	VYBER	15	19791	SLUZBY	\N	\N
240739	821	1997-08-31	VYDAJ	VYBER	15	20275	SLUZBY	\N	\N
240740	821	1997-09-30	VYDAJ	VYBER	15	20861	SLUZBY	\N	\N
240741	821	1997-10-31	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
240742	821	1997-11-30	VYDAJ	VYBER	15	21365	SLUZBY	\N	\N
240743	821	1997-12-31	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
240744	821	1998-01-31	VYDAJ	VYBER	15	17277	SLUZBY	\N	\N
240745	821	1998-02-28	VYDAJ	VYBER	15	20157	SLUZBY	\N	\N
240746	821	1998-03-31	VYDAJ	VYBER	15	23149	SLUZBY	\N	\N
240747	821	1998-04-30	VYDAJ	VYBER	15	20123	SLUZBY	\N	\N
240748	821	1998-05-31	VYDAJ	VYBER	15	19504	SLUZBY	\N	\N
240749	821	1998-06-30	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
240750	821	1998-07-31	VYDAJ	VYBER	15	17608	SLUZBY	\N	\N
240751	821	1998-08-31	VYDAJ	VYBER	15	16177	SLUZBY	\N	\N
240752	821	1998-09-30	VYDAJ	VYBER	15	18099	SLUZBY	\N	\N
240753	821	1998-10-31	VYDAJ	VYBER	15	19879	SLUZBY	\N	\N
240754	821	1998-11-30	VYDAJ	VYBER	15	19420	SLUZBY	\N	\N
240755	821	1996-04-15	PRIJEM	VKLAD	10400	14601	\N	\N	\N
240756	821	1996-05-15	PRIJEM	VKLAD	6100	24634	\N	\N	\N
240757	821	1996-06-14	VYDAJ	VYBER	300	28319	\N	\N	\N
240758	821	1996-07-14	VYDAJ	VYBER	1800	30532	\N	\N	\N
240759	821	1996-08-13	VYDAJ	VYBER	4100	29020	\N	\N	\N
240760	821	1996-09-12	VYDAJ	VYBER	2900	28041	\N	\N	\N
240761	821	1996-10-12	VYDAJ	VYBER	600	28786	\N	\N	\N
240762	821	1996-11-11	VYDAJ	VYBER	1500	30637	\N	\N	\N
240763	821	1996-12-11	VYDAJ	VYBER	5800	25976	\N	\N	\N
240764	821	1997-01-10	VYDAJ	VYBER	5300	20121	\N	\N	\N
240765	821	1997-02-09	PRIJEM	VKLAD	2200	16845	\N	\N	\N
240766	821	1997-03-11	VYDAJ	VYBER	2600	19598	\N	\N	\N
240767	821	1997-04-10	VYDAJ	VYBER	700	20772	\N	\N	\N
240768	821	1997-05-10	VYDAJ	VYBER	1100	19267	\N	\N	\N
240769	821	1997-06-09	PRIJEM	VKLAD	2100	17355	\N	\N	\N
240770	821	1997-07-09	PRIJEM	VKLAD	1600	17913	\N	\N	\N
240771	821	1997-08-08	VYDAJ	VYBER	1400	18391	\N	\N	\N
240772	821	1997-09-07	VYDAJ	VYBER	1300	18975	\N	\N	\N
240773	821	1997-10-07	VYDAJ	VYBER	2200	18661	\N	\N	\N
240774	821	1997-11-06	VYDAJ	VYBER	500	20046	\N	\N	\N
240775	821	1997-12-06	VYDAJ	VYBER	2100	19265	\N	\N	\N
240776	821	1998-01-05	PRIJEM	VKLAD	900	21602	\N	\N	\N
240777	821	1998-02-04	PRIJEM	VKLAD	1000	18277	\N	\N	\N
240778	821	1998-03-06	PRIJEM	VKLAD	1100	21257	\N	\N	\N
240779	821	1998-04-05	VYDAJ	VYBER	3800	18239	\N	\N	\N
240780	821	1998-05-05	VYDAJ	VYBER	2500	17623	\N	\N	\N
240781	821	1998-06-04	VYDAJ	VYBER	200	19304	\N	\N	\N
240782	821	1998-07-04	VYDAJ	VYBER	3500	15734	\N	\N	\N
240783	821	1998-08-03	VYDAJ	VYBER	3300	14308	\N	\N	\N
240784	821	1998-09-02	PRIJEM	VKLAD	1400	17577	\N	\N	\N
240785	821	1998-10-02	VYDAJ	VYBER	100	17999	\N	\N	\N
240786	821	1998-12-01	PRIJEM	VKLAD	900	20320	\N	\N	\N
240820	822	1996-10-04	PRIJEM	VKLAD	500	500	\N	\N	\N
240830	822	1996-10-10	PRIJEM	PREVOD Z UCTU	6911	7411	DUCHOD	OP	44182992
240831	822	1996-11-10	PRIJEM	PREVOD Z UCTU	6911	14344	DUCHOD	OP	44182992
240832	822	1996-12-10	PRIJEM	PREVOD Z UCTU	6911	21286	DUCHOD	OP	44182992
240833	822	1997-01-10	PRIJEM	PREVOD Z UCTU	6911	28228	DUCHOD	OP	44182992
240834	822	1997-02-10	PRIJEM	PREVOD Z UCTU	6911	35170	DUCHOD	OP	44182992
240835	822	1997-03-10	PRIJEM	PREVOD Z UCTU	6911	34791	DUCHOD	OP	44182992
240836	822	1997-04-10	PRIJEM	PREVOD Z UCTU	6911	31453	DUCHOD	OP	44182992
240837	822	1997-05-10	PRIJEM	PREVOD Z UCTU	6911	32293	DUCHOD	OP	44182992
240838	822	1997-06-10	PRIJEM	PREVOD Z UCTU	6911	28333	DUCHOD	OP	44182992
240839	822	1997-07-10	PRIJEM	PREVOD Z UCTU	6911	20243	DUCHOD	OP	44182992
240840	822	1997-08-10	PRIJEM	PREVOD Z UCTU	6911	25133	DUCHOD	OP	44182992
240841	822	1997-09-10	PRIJEM	PREVOD Z UCTU	6911	23259	DUCHOD	OP	44182992
240842	822	1997-10-10	PRIJEM	PREVOD Z UCTU	6911	24260	DUCHOD	OP	44182992
240843	822	1997-11-10	PRIJEM	PREVOD Z UCTU	6911	20364	DUCHOD	OP	44182992
240844	822	1997-12-10	PRIJEM	PREVOD Z UCTU	6911	18052	DUCHOD	OP	44182992
240845	822	1998-01-10	PRIJEM	PREVOD Z UCTU	6911	17408	DUCHOD	OP	44182992
240846	822	1998-02-10	PRIJEM	PREVOD Z UCTU	6911	18258	DUCHOD	OP	44182992
240847	822	1998-03-10	PRIJEM	PREVOD Z UCTU	6911	23440	DUCHOD	OP	44182992
240848	822	1998-04-10	PRIJEM	PREVOD Z UCTU	6911	28643	DUCHOD	OP	44182992
240849	822	1998-05-10	PRIJEM	PREVOD Z UCTU	6911	16759	DUCHOD	OP	44182992
240850	822	1998-06-10	PRIJEM	PREVOD Z UCTU	6911	21935	DUCHOD	OP	44182992
240851	822	1998-07-10	PRIJEM	PREVOD Z UCTU	6911	18558	DUCHOD	OP	44182992
240852	822	1998-08-10	PRIJEM	PREVOD Z UCTU	6911	16635	DUCHOD	OP	44182992
240853	822	1998-09-10	PRIJEM	PREVOD Z UCTU	6911	21811	DUCHOD	OP	44182992
240854	822	1998-10-10	PRIJEM	PREVOD Z UCTU	6911	23718	DUCHOD	OP	44182992
240855	822	1998-11-10	PRIJEM	PREVOD Z UCTU	6911	28922	DUCHOD	OP	44182992
240856	822	1998-12-10	PRIJEM	PREVOD Z UCTU	6911	34148	DUCHOD	OP	44182992
240871	822	1997-03-06	VYDAJ	PREVOD NA UCET	1784	27880	SIPO	MN	92287319
240872	822	1997-04-06	VYDAJ	PREVOD NA UCET	1784	24542	SIPO	MN	92287319
240873	822	1997-05-06	VYDAJ	PREVOD NA UCET	1784	25382	SIPO	MN	92287319
240874	822	1997-06-06	VYDAJ	PREVOD NA UCET	1784	21422	SIPO	MN	92287319
240875	822	1997-07-06	VYDAJ	PREVOD NA UCET	1784	13332	SIPO	MN	92287319
240876	822	1997-08-06	VYDAJ	PREVOD NA UCET	1784	18222	SIPO	MN	92287319
240877	822	1997-09-06	VYDAJ	PREVOD NA UCET	1784	16348	SIPO	MN	92287319
240878	822	1997-10-06	VYDAJ	PREVOD NA UCET	1784	17349	SIPO	MN	92287319
240879	822	1997-11-06	VYDAJ	PREVOD NA UCET	1784	13453	SIPO	MN	92287319
240880	822	1997-12-06	VYDAJ	PREVOD NA UCET	1784	11141	SIPO	MN	92287319
240881	822	1998-01-06	VYDAJ	PREVOD NA UCET	1784	10497	SIPO	MN	92287319
240882	822	1998-02-06	VYDAJ	PREVOD NA UCET	1784	11347	SIPO	MN	92287319
240883	822	1998-03-06	VYDAJ	PREVOD NA UCET	1784	16529	SIPO	MN	92287319
240884	822	1998-04-06	VYDAJ	PREVOD NA UCET	1784	21732	SIPO	MN	92287319
240885	822	1998-05-06	VYDAJ	PREVOD NA UCET	1784	9848	SIPO	MN	92287319
240886	822	1998-06-06	VYDAJ	PREVOD NA UCET	1784	15024	SIPO	MN	92287319
240887	822	1998-07-06	VYDAJ	PREVOD NA UCET	1784	11647	SIPO	MN	92287319
240888	822	1998-08-06	VYDAJ	PREVOD NA UCET	1784	9724	SIPO	MN	92287319
240889	822	1998-09-06	VYDAJ	PREVOD NA UCET	1784	14900	SIPO	MN	92287319
240890	822	1998-10-06	VYDAJ	PREVOD NA UCET	1784	16807	SIPO	MN	92287319
240891	822	1998-11-06	VYDAJ	PREVOD NA UCET	1784	22011	SIPO	MN	92287319
240892	822	1998-12-06	VYDAJ	PREVOD NA UCET	1784	27237	SIPO	MN	92287319
240894	822	1997-06-20	VYDAJ	VYBER	13300	15033	\N	\N	\N
240895	822	1998-06-11	VYDAJ	VYBER	7450	13365	\N	\N	\N
240901	822	1998-12-27	VYDAJ	VYBER	950	33198	\N	\N	\N
240918	822	1998-01-12	VYDAJ	VYBER	480	16928	\N	\N	\N
240919	822	1998-01-13	VYDAJ	VYBER	800	16128	\N	\N	\N
240924	822	1997-08-23	VYDAJ	VYBER	3680	21453	\N	\N	\N
240925	822	1997-03-10	VYDAJ	VYBER	3280	31511	\N	\N	\N
240926	822	1997-05-02	VYDAJ	VYBER	3600	27166	\N	\N	\N
240928	822	1997-02-13	VYDAJ	VYBER	3280	31890	\N	\N	\N
240930	822	1997-12-14	VYDAJ	VYBER	1120	16932	\N	\N	\N
240931	822	1998-01-20	VYDAJ	VYBER	3040	13088	\N	\N	\N
240932	822	1998-06-11	VYDAJ	VYBER	1120	20815	\N	\N	\N
240933	822	1998-09-10	VYDAJ	VYBER	3280	18531	\N	\N	\N
240935	822	1998-12-28	VYDAJ	VYBER	2560	30638	\N	\N	\N
240950	822	1997-02-28	VYDAJ	VYBER	15	31964	SLUZBY	\N	\N
240951	822	1997-03-31	VYDAJ	VYBER	15	31626	SLUZBY	\N	\N
240952	822	1997-04-30	VYDAJ	VYBER	15	31566	SLUZBY	\N	\N
240953	822	1997-05-31	VYDAJ	VYBER	15	32406	SLUZBY	\N	\N
240954	822	1997-06-30	VYDAJ	VYBER	15	15116	SLUZBY	\N	\N
240955	822	1997-07-31	VYDAJ	VYBER	15	20006	SLUZBY	\N	\N
240956	822	1997-08-31	VYDAJ	VYBER	15	18132	SLUZBY	\N	\N
240957	822	1997-09-30	VYDAJ	VYBER	15	19133	SLUZBY	\N	\N
240958	822	1997-10-31	VYDAJ	VYBER	15	15237	SLUZBY	\N	\N
240959	822	1997-11-30	VYDAJ	VYBER	15	12925	SLUZBY	\N	\N
240960	822	1997-12-31	VYDAJ	VYBER	15	12281	SLUZBY	\N	\N
240961	822	1998-01-31	VYDAJ	VYBER	15	13131	SLUZBY	\N	\N
240962	822	1998-02-28	VYDAJ	VYBER	15	18313	SLUZBY	\N	\N
240963	822	1998-03-31	VYDAJ	VYBER	15	23516	SLUZBY	\N	\N
240964	822	1998-04-30	VYDAJ	VYBER	15	11632	SLUZBY	\N	\N
240965	822	1998-05-31	VYDAJ	VYBER	15	16808	SLUZBY	\N	\N
240966	822	1998-06-30	VYDAJ	VYBER	15	13431	SLUZBY	\N	\N
240967	822	1998-07-31	VYDAJ	VYBER	15	11508	SLUZBY	\N	\N
240968	822	1998-08-31	VYDAJ	VYBER	15	16684	SLUZBY	\N	\N
240969	822	1998-09-30	VYDAJ	VYBER	15	18591	SLUZBY	\N	\N
240970	822	1998-10-31	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
240971	822	1998-11-30	VYDAJ	VYBER	15	29021	SLUZBY	\N	\N
240972	822	1997-03-03	VYDAJ	VYBER	2300	29664	\N	\N	\N
240973	822	1997-04-02	VYDAJ	VYBER	5300	26326	\N	\N	\N
240974	822	1997-05-02	VYDAJ	VYBER	800	30766	\N	\N	\N
240975	822	1997-06-01	VYDAJ	VYBER	9200	23206	\N	\N	\N
240976	822	1997-07-31	VYDAJ	VYBER	300	20021	\N	\N	\N
240977	822	1997-08-30	VYDAJ	VYBER	3400	18053	\N	\N	\N
240978	822	1997-09-29	VYDAJ	VYBER	4200	19059	\N	\N	\N
240979	822	1997-10-29	VYDAJ	VYBER	9100	15160	\N	\N	\N
240980	822	1997-11-28	VYDAJ	VYBER	7500	12864	\N	\N	\N
240981	822	1997-12-28	VYDAJ	VYBER	4700	12232	\N	\N	\N
240982	822	1998-04-27	VYDAJ	VYBER	17100	11543	\N	\N	\N
240983	822	1998-07-26	VYDAJ	VYBER	7100	11458	\N	\N	\N
241011	823	1997-09-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
241021	823	1997-10-09	PRIJEM	PREVOD Z UCTU	3284	4384	\N	IJ	39077663
241022	823	1997-11-09	PRIJEM	PREVOD Z UCTU	3284	7668	\N	IJ	39077663
241023	823	1997-12-09	PRIJEM	PREVOD Z UCTU	3284	10952	\N	IJ	39077663
241024	823	1998-01-09	PRIJEM	PREVOD Z UCTU	3284	14236	\N	IJ	39077663
241025	823	1998-02-09	PRIJEM	PREVOD Z UCTU	3284	17520	\N	IJ	39077663
241026	823	1998-03-09	PRIJEM	PREVOD Z UCTU	3284	17733	\N	IJ	39077663
241027	823	1998-04-09	PRIJEM	PREVOD Z UCTU	3284	18886	\N	IJ	39077663
241028	823	1998-05-09	PRIJEM	PREVOD Z UCTU	3284	20043	\N	IJ	39077663
241029	823	1998-06-09	PRIJEM	PREVOD Z UCTU	3284	21205	\N	IJ	39077663
241030	823	1998-07-09	PRIJEM	PREVOD Z UCTU	3284	22372	\N	IJ	39077663
241031	823	1998-08-09	PRIJEM	PREVOD Z UCTU	3284	22372	\N	IJ	39077663
241032	823	1998-09-09	PRIJEM	PREVOD Z UCTU	3284	22432	\N	IJ	39077663
241033	823	1998-10-09	PRIJEM	PREVOD Z UCTU	3284	23122	\N	IJ	39077663
241034	823	1998-11-09	PRIJEM	PREVOD Z UCTU	3284	24297	\N	IJ	39077663
241035	823	1998-12-09	PRIJEM	PREVOD Z UCTU	3284	24907	\N	IJ	39077663
241050	823	1998-03-05	VYDAJ	PREVOD NA UCET	62	16834	SIPO	CD	43020331
241051	823	1998-04-05	VYDAJ	PREVOD NA UCET	62	17729	SIPO	CD	43020331
241052	823	1998-05-05	VYDAJ	PREVOD NA UCET	62	18274	SIPO	CD	43020331
241053	823	1998-06-05	VYDAJ	PREVOD NA UCET	62	19436	SIPO	CD	43020331
241054	823	1998-07-05	VYDAJ	PREVOD NA UCET	62	21215	SIPO	CD	43020331
241055	823	1998-08-05	VYDAJ	PREVOD NA UCET	62	21215	SIPO	CD	43020331
241056	823	1998-09-05	VYDAJ	PREVOD NA UCET	62	21275	SIPO	CD	43020331
241057	823	1998-10-05	VYDAJ	PREVOD NA UCET	62	21965	SIPO	CD	43020331
241058	823	1998-11-05	VYDAJ	PREVOD NA UCET	62	22528	SIPO	CD	43020331
241059	823	1998-12-05	VYDAJ	PREVOD NA UCET	62	23750	SIPO	CD	43020331
241074	823	1998-03-07	VYDAJ	PREVOD NA UCET	1515	15319	 	WX	75077736
241075	823	1998-04-07	VYDAJ	PREVOD NA UCET	1515	15602	 	WX	75077736
241076	823	1998-05-07	VYDAJ	PREVOD NA UCET	1515	16759	 	WX	75077736
241077	823	1998-06-07	VYDAJ	PREVOD NA UCET	1515	17921	 	WX	75077736
241078	823	1998-07-07	VYDAJ	PREVOD NA UCET	1515	19088	 	WX	75077736
241079	823	1998-08-07	VYDAJ	PREVOD NA UCET	1515	19088	 	WX	75077736
241080	823	1998-09-07	VYDAJ	PREVOD NA UCET	1515	19148	 	WX	75077736
241081	823	1998-10-07	VYDAJ	PREVOD NA UCET	1515	19838	 	WX	75077736
241082	823	1998-11-07	VYDAJ	PREVOD NA UCET	1515	21013	 	WX	75077736
241083	823	1998-12-07	VYDAJ	PREVOD NA UCET	1515	21623	 	WX	75077736
241098	823	1998-03-05	VYDAJ	PREVOD NA UCET	612	16896	POJISTNE	AB	51397413
241099	823	1998-04-05	VYDAJ	PREVOD NA UCET	612	17117	POJISTNE	AB	51397413
241100	823	1998-05-05	VYDAJ	PREVOD NA UCET	612	18336	POJISTNE	AB	51397413
241101	823	1998-06-05	VYDAJ	PREVOD NA UCET	612	19498	POJISTNE	AB	51397413
241102	823	1998-07-05	VYDAJ	PREVOD NA UCET	612	20603	POJISTNE	AB	51397413
241103	823	1998-08-05	VYDAJ	PREVOD NA UCET	612	20603	POJISTNE	AB	51397413
241104	823	1998-09-05	VYDAJ	PREVOD NA UCET	612	20663	POJISTNE	AB	51397413
241105	823	1998-10-05	VYDAJ	PREVOD NA UCET	612	21353	POJISTNE	AB	51397413
241106	823	1998-11-05	VYDAJ	PREVOD NA UCET	612	22590	POJISTNE	AB	51397413
241107	823	1998-12-05	VYDAJ	PREVOD NA UCET	612	23138	POJISTNE	AB	51397413
241109	823	1998-12-03	VYDAJ	VYBER	570	23812	\N	\N	\N
241130	823	1998-09-12	VYDAJ	VYBER	480	21952	\N	\N	\N
241131	823	1998-07-24	VYDAJ	VYBER	1170	21202	\N	\N	\N
241132	823	1998-08-14	VYDAJ	VYBER	1110	21262	\N	\N	\N
241133	823	1998-03-07	VYDAJ	VYBER	870	14449	\N	\N	\N
241148	823	1998-02-28	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
241149	823	1998-03-31	VYDAJ	VYBER	15	17791	SLUZBY	\N	\N
241150	823	1998-04-30	VYDAJ	VYBER	15	18948	SLUZBY	\N	\N
241151	823	1998-05-31	VYDAJ	VYBER	15	20110	SLUZBY	\N	\N
241152	823	1998-06-30	VYDAJ	VYBER	15	21277	SLUZBY	\N	\N
241153	823	1998-07-31	VYDAJ	VYBER	15	21277	SLUZBY	\N	\N
241154	823	1998-08-31	VYDAJ	VYBER	15	21337	SLUZBY	\N	\N
241155	823	1998-09-30	VYDAJ	VYBER	15	22027	SLUZBY	\N	\N
241156	823	1998-10-31	VYDAJ	VYBER	15	23202	SLUZBY	\N	\N
241157	823	1998-11-30	VYDAJ	VYBER	15	24382	SLUZBY	\N	\N
241169	824	1996-03-21	PRIJEM	VKLAD	700	700	\N	\N	\N
241173	824	1996-04-11	PRIJEM	VKLAD	8110	8810	\N	\N	\N
241174	824	1996-05-11	PRIJEM	VKLAD	8110	24745	\N	\N	\N
241175	824	1996-06-11	PRIJEM	VKLAD	12165	38595	\N	\N	\N
241176	824	1996-07-11	PRIJEM	VKLAD	8110	38522	\N	\N	\N
241177	824	1996-08-11	PRIJEM	VKLAD	8110	37656	\N	\N	\N
241178	824	1996-09-11	PRIJEM	VKLAD	8110	34573	\N	\N	\N
241179	824	1996-10-11	PRIJEM	VKLAD	8110	33695	\N	\N	\N
241180	824	1996-11-11	PRIJEM	VKLAD	8110	31912	\N	\N	\N
241181	824	1996-12-11	PRIJEM	VKLAD	12165	36080	\N	\N	\N
241182	824	1997-01-11	PRIJEM	VKLAD	8110	29420	\N	\N	\N
241183	824	1997-02-11	PRIJEM	VKLAD	8110	22072	\N	\N	\N
241184	824	1997-03-11	PRIJEM	VKLAD	8110	25651	\N	\N	\N
241185	824	1997-04-11	PRIJEM	VKLAD	8110	29426	\N	\N	\N
241186	824	1997-05-11	PRIJEM	VKLAD	8110	31332	\N	\N	\N
241187	824	1997-06-11	PRIJEM	VKLAD	12165	30017	\N	\N	\N
241188	824	1997-07-11	PRIJEM	VKLAD	8110	31820	\N	\N	\N
241189	824	1997-08-11	PRIJEM	VKLAD	8110	27073	\N	\N	\N
241190	824	1997-09-11	PRIJEM	VKLAD	8110	28467	\N	\N	\N
241191	824	1997-10-11	PRIJEM	VKLAD	8110	26458	\N	\N	\N
241192	824	1997-11-11	PRIJEM	VKLAD	8110	29092	\N	\N	\N
241193	824	1997-12-11	PRIJEM	VKLAD	12165	35929	\N	\N	\N
241194	824	1998-01-11	PRIJEM	VKLAD	8110	36467	\N	\N	\N
241195	824	1998-02-11	PRIJEM	VKLAD	8110	34098	\N	\N	\N
241196	824	1998-03-11	PRIJEM	VKLAD	8110	36195	\N	\N	\N
241197	824	1998-04-11	PRIJEM	VKLAD	8110	38587	\N	\N	\N
241198	824	1998-05-11	PRIJEM	VKLAD	8110	45233	\N	\N	\N
241199	824	1998-06-11	PRIJEM	VKLAD	12165	51357	\N	\N	\N
241200	824	1998-07-11	PRIJEM	VKLAD	8110	52050	\N	\N	\N
241201	824	1998-08-11	PRIJEM	VKLAD	8110	53553	\N	\N	\N
241202	824	1998-09-11	PRIJEM	VKLAD	8110	48732	\N	\N	\N
241203	824	1998-10-11	PRIJEM	VKLAD	8110	52119	\N	\N	\N
241204	824	1998-11-11	PRIJEM	VKLAD	8110	51518	\N	\N	\N
241205	824	1998-12-11	PRIJEM	VKLAD	12165	55771	\N	\N	\N
241214	824	1996-09-05	VYDAJ	PREVOD NA UCET	5406	26463	SIPO	CD	30595302
241215	824	1996-10-05	VYDAJ	PREVOD NA UCET	5406	25585	SIPO	CD	30595302
241216	824	1996-11-05	VYDAJ	PREVOD NA UCET	5406	23802	SIPO	CD	30595302
241217	824	1996-12-05	VYDAJ	PREVOD NA UCET	5406	23915	SIPO	CD	30595302
241218	824	1997-01-05	VYDAJ	PREVOD NA UCET	5406	22870	SIPO	CD	30595302
241219	824	1997-02-05	VYDAJ	PREVOD NA UCET	5406	13962	SIPO	CD	30595302
241220	824	1997-03-05	VYDAJ	PREVOD NA UCET	5406	17541	SIPO	CD	30595302
241221	824	1997-04-05	VYDAJ	PREVOD NA UCET	5406	21316	SIPO	CD	30595302
241222	824	1997-05-05	VYDAJ	PREVOD NA UCET	5406	23222	SIPO	CD	30595302
241223	824	1997-06-05	VYDAJ	PREVOD NA UCET	5406	17852	SIPO	CD	30595302
241224	824	1997-07-05	VYDAJ	PREVOD NA UCET	5406	23710	SIPO	CD	30595302
241225	824	1997-08-05	VYDAJ	PREVOD NA UCET	5406	18963	SIPO	CD	30595302
241226	824	1997-09-05	VYDAJ	PREVOD NA UCET	5406	20357	SIPO	CD	30595302
241227	824	1997-10-05	VYDAJ	PREVOD NA UCET	5406	18348	SIPO	CD	30595302
241228	824	1997-11-05	VYDAJ	PREVOD NA UCET	5406	19182	SIPO	CD	30595302
241229	824	1997-12-05	VYDAJ	PREVOD NA UCET	5406	23764	SIPO	CD	30595302
241230	824	1998-01-05	VYDAJ	PREVOD NA UCET	5406	23757	SIPO	CD	30595302
241231	824	1998-02-05	VYDAJ	PREVOD NA UCET	5406	18688	SIPO	CD	30595302
241232	824	1998-03-05	VYDAJ	PREVOD NA UCET	5406	28085	SIPO	CD	30595302
241233	824	1998-04-05	VYDAJ	PREVOD NA UCET	5406	31017	SIPO	CD	30595302
241234	824	1998-05-05	VYDAJ	PREVOD NA UCET	5406	33323	SIPO	CD	30595302
241235	824	1998-06-05	VYDAJ	PREVOD NA UCET	5406	39992	SIPO	CD	30595302
241236	824	1998-07-05	VYDAJ	PREVOD NA UCET	5406	46140	SIPO	CD	30595302
241237	824	1998-08-05	VYDAJ	PREVOD NA UCET	5406	46843	SIPO	CD	30595302
241238	824	1998-09-05	VYDAJ	PREVOD NA UCET	5406	43422	SIPO	CD	30595302
241239	824	1998-10-05	VYDAJ	PREVOD NA UCET	5406	43509	SIPO	CD	30595302
241240	824	1998-11-05	VYDAJ	PREVOD NA UCET	5406	46908	SIPO	CD	30595302
241241	824	1998-12-05	VYDAJ	PREVOD NA UCET	5406	46306	SIPO	CD	30595302
241242	824	1996-12-28	VYDAJ	VYBER	960	30320	\N	\N	\N
241243	824	1997-12-15	VYDAJ	VYBER	4000	30729	\N	\N	\N
241244	824	1998-12-19	VYDAJ	VYBER	1920	53851	\N	\N	\N
241251	824	1997-01-04	VYDAJ	VYBER	2160	28276	\N	\N	\N
241252	824	1997-01-06	VYDAJ	VYBER	840	22030	\N	\N	\N
241253	824	1997-01-20	VYDAJ	VYBER	2160	23240	\N	\N	\N
241254	824	1997-01-10	VYDAJ	VYBER	720	21310	\N	\N	\N
241255	824	1997-01-29	VYDAJ	VYBER	2520	20720	\N	\N	\N
241256	824	1997-01-30	VYDAJ	VYBER	1440	19280	\N	\N	\N
241257	824	1998-01-25	VYDAJ	VYBER	1680	29027	\N	\N	\N
241258	824	1998-01-12	VYDAJ	VYBER	3000	33467	\N	\N	\N
241259	824	1998-01-18	VYDAJ	VYBER	2760	30707	\N	\N	\N
241260	824	1998-01-07	VYDAJ	VYBER	2280	21477	\N	\N	\N
241261	824	1998-01-10	VYDAJ	VYBER	720	28357	\N	\N	\N
241262	824	1998-01-01	VYDAJ	VYBER	1680	29163	\N	\N	\N
241266	824	1997-10-20	VYDAJ	VYBER	2760	24498	\N	\N	\N
241267	824	1997-01-13	VYDAJ	VYBER	3120	26300	\N	\N	\N
241268	824	1997-08-04	VYDAJ	VYBER	5760	24369	\N	\N	\N
241269	824	1997-03-19	VYDAJ	VYBER	1320	26631	\N	\N	\N
241270	824	1997-05-31	VYDAJ	VYBER	5880	23258	\N	\N	\N
241271	824	1998-01-29	VYDAJ	VYBER	5040	23987	\N	\N	\N
241272	824	1998-04-10	VYDAJ	VYBER	5040	30477	\N	\N	\N
241273	824	1998-08-19	VYDAJ	VYBER	4920	48633	\N	\N	\N
241274	824	1998-03-02	VYDAJ	VYBER	720	33491	\N	\N	\N
241283	824	1996-08-31	VYDAJ	VYBER	15	31869	SLUZBY	\N	\N
241284	824	1996-09-30	VYDAJ	VYBER	15	30991	SLUZBY	\N	\N
241285	824	1996-10-31	VYDAJ	VYBER	15	29208	SLUZBY	\N	\N
241286	824	1996-11-30	VYDAJ	VYBER	15	29321	SLUZBY	\N	\N
241287	824	1996-12-31	VYDAJ	VYBER	15	30436	SLUZBY	\N	\N
241288	824	1997-01-31	VYDAJ	VYBER	15	19368	SLUZBY	\N	\N
241289	824	1997-02-28	VYDAJ	VYBER	15	22947	SLUZBY	\N	\N
241290	824	1997-03-31	VYDAJ	VYBER	15	26722	SLUZBY	\N	\N
241291	824	1997-04-30	VYDAJ	VYBER	15	28628	SLUZBY	\N	\N
241292	824	1997-05-31	VYDAJ	VYBER	15	29138	SLUZBY	\N	\N
241293	824	1997-06-30	VYDAJ	VYBER	15	29116	SLUZBY	\N	\N
241294	824	1997-07-31	VYDAJ	VYBER	15	30129	SLUZBY	\N	\N
241295	824	1997-08-31	VYDAJ	VYBER	15	25763	SLUZBY	\N	\N
241296	824	1997-09-30	VYDAJ	VYBER	15	23754	SLUZBY	\N	\N
241297	824	1997-10-31	VYDAJ	VYBER	15	24588	SLUZBY	\N	\N
241298	824	1997-11-30	VYDAJ	VYBER	15	29170	SLUZBY	\N	\N
241299	824	1997-12-31	VYDAJ	VYBER	15	30843	SLUZBY	\N	\N
241300	824	1998-01-31	VYDAJ	VYBER	15	24094	SLUZBY	\N	\N
241301	824	1998-02-28	VYDAJ	VYBER	15	34211	SLUZBY	\N	\N
241302	824	1998-03-31	VYDAJ	VYBER	15	36423	SLUZBY	\N	\N
241303	824	1998-04-30	VYDAJ	VYBER	15	38729	SLUZBY	\N	\N
241304	824	1998-05-31	VYDAJ	VYBER	15	45398	SLUZBY	\N	\N
241305	824	1998-06-30	VYDAJ	VYBER	15	51546	SLUZBY	\N	\N
241306	824	1998-07-31	VYDAJ	VYBER	15	52249	SLUZBY	\N	\N
241307	824	1998-08-31	VYDAJ	VYBER	15	48828	SLUZBY	\N	\N
241308	824	1998-09-30	VYDAJ	VYBER	15	48915	SLUZBY	\N	\N
241309	824	1998-10-31	VYDAJ	VYBER	15	52314	SLUZBY	\N	\N
241310	824	1998-11-30	VYDAJ	VYBER	15	51712	SLUZBY	\N	\N
241311	824	1996-04-20	PRIJEM	VKLAD	7800	16610	\N	\N	\N
241312	824	1996-05-20	PRIJEM	VKLAD	1600	26345	\N	\N	\N
241313	824	1996-06-19	VYDAJ	VYBER	8300	30295	\N	\N	\N
241314	824	1996-07-19	VYDAJ	VYBER	9100	29422	\N	\N	\N
241315	824	1996-08-18	VYDAJ	VYBER	5900	31756	\N	\N	\N
241316	824	1996-09-17	VYDAJ	VYBER	3700	30873	\N	\N	\N
241317	824	1996-10-17	VYDAJ	VYBER	4600	29095	\N	\N	\N
241318	824	1996-11-16	VYDAJ	VYBER	2700	29212	\N	\N	\N
241319	824	1996-12-16	VYDAJ	VYBER	4800	31280	\N	\N	\N
241320	824	1997-01-15	VYDAJ	VYBER	900	25400	\N	\N	\N
241321	824	1997-02-14	PRIJEM	VKLAD	800	22872	\N	\N	\N
241322	824	1997-03-16	PRIJEM	VKLAD	2300	27951	\N	\N	\N
241323	824	1997-04-15	VYDAJ	VYBER	900	28526	\N	\N	\N
241324	824	1997-05-15	VYDAJ	VYBER	2300	29032	\N	\N	\N
241325	824	1997-06-14	VYDAJ	VYBER	1000	29017	\N	\N	\N
241326	824	1997-07-14	VYDAJ	VYBER	1800	30020	\N	\N	\N
241327	824	1997-08-13	VYDAJ	VYBER	1400	25673	\N	\N	\N
241328	824	1997-09-12	VYDAJ	VYBER	4800	23667	\N	\N	\N
241329	824	1997-10-12	PRIJEM	VKLAD	800	27258	\N	\N	\N
241330	824	1997-11-11	PRIJEM	VKLAD	1800	20982	\N	\N	\N
241331	824	1997-12-11	VYDAJ	VYBER	1200	34729	\N	\N	\N
241332	824	1998-01-10	PRIJEM	VKLAD	7600	29077	\N	\N	\N
241333	824	1998-02-09	PRIJEM	VKLAD	7300	25988	\N	\N	\N
241334	824	1998-03-11	PRIJEM	VKLAD	100	36295	\N	\N	\N
241335	824	1998-04-10	PRIJEM	VKLAD	4500	35517	\N	\N	\N
241336	824	1998-05-10	PRIJEM	VKLAD	3800	37123	\N	\N	\N
241337	824	1998-06-09	VYDAJ	VYBER	800	39192	\N	\N	\N
241338	824	1998-07-09	VYDAJ	VYBER	2200	43940	\N	\N	\N
241339	824	1998-08-08	VYDAJ	VYBER	1400	45443	\N	\N	\N
241340	824	1998-09-07	VYDAJ	VYBER	2800	40622	\N	\N	\N
241341	824	1998-10-07	PRIJEM	VKLAD	500	44009	\N	\N	\N
241342	824	1998-11-06	VYDAJ	VYBER	3500	43408	\N	\N	\N
241343	824	1998-12-06	VYDAJ	VYBER	2700	43606	\N	\N	\N
241377	825	1996-03-06	PRIJEM	VKLAD	500	500	\N	\N	\N
241380	825	1996-03-08	PRIJEM	VKLAD	15878	16378	\N	\N	\N
241381	825	1996-04-08	PRIJEM	VKLAD	15878	35609	\N	\N	\N
241382	825	1996-05-08	PRIJEM	VKLAD	15878	47917	\N	\N	\N
241383	825	1996-06-08	PRIJEM	VKLAD	23817	65122	\N	\N	\N
241384	825	1996-07-08	PRIJEM	VKLAD	15878	61853	\N	\N	\N
241385	825	1996-08-08	PRIJEM	VKLAD	15878	54538	\N	\N	\N
241386	825	1996-09-08	PRIJEM	VKLAD	15878	44393	\N	\N	\N
241387	825	1996-10-08	PRIJEM	VKLAD	15878	33096	\N	\N	\N
241388	825	1996-11-08	PRIJEM	VKLAD	15878	30454	\N	\N	\N
241389	825	1996-12-08	PRIJEM	VKLAD	23817	40144	\N	\N	\N
241390	825	1997-01-08	PRIJEM	VKLAD	15878	30029	\N	\N	\N
241391	825	1997-02-08	PRIJEM	VKLAD	15878	27709	\N	\N	\N
241392	825	1997-03-08	PRIJEM	VKLAD	15878	30011	\N	\N	\N
241393	825	1997-04-08	PRIJEM	VKLAD	15878	30223	\N	\N	\N
241394	825	1997-05-08	PRIJEM	VKLAD	15878	33036	\N	\N	\N
241395	825	1997-06-08	PRIJEM	VKLAD	23817	44399	\N	\N	\N
241396	825	1997-07-08	PRIJEM	VKLAD	15878	36230	\N	\N	\N
241397	825	1997-08-08	PRIJEM	VKLAD	15878	36807	\N	\N	\N
241398	825	1997-09-08	PRIJEM	VKLAD	15878	39588	\N	\N	\N
241399	825	1997-10-08	PRIJEM	VKLAD	15878	41640	\N	\N	\N
241400	825	1997-11-08	PRIJEM	VKLAD	15878	39997	\N	\N	\N
241401	825	1997-12-08	PRIJEM	VKLAD	23817	48670	\N	\N	\N
241402	825	1998-01-08	PRIJEM	VKLAD	15878	44509	\N	\N	\N
241403	825	1998-02-08	PRIJEM	VKLAD	15878	22393	\N	\N	\N
241404	825	1998-03-08	PRIJEM	VKLAD	15878	36715	\N	\N	\N
241405	825	1998-04-08	PRIJEM	VKLAD	15878	40158	\N	\N	\N
241406	825	1998-05-08	PRIJEM	VKLAD	15878	42138	\N	\N	\N
241407	825	1998-06-08	PRIJEM	VKLAD	23817	57274	\N	\N	\N
241408	825	1998-07-08	PRIJEM	VKLAD	15878	49537	\N	\N	\N
241409	825	1998-08-08	PRIJEM	VKLAD	15878	48060	\N	\N	\N
241410	825	1998-09-08	PRIJEM	VKLAD	15878	49141	\N	\N	\N
241411	825	1998-10-08	PRIJEM	VKLAD	15878	47760	\N	\N	\N
241412	825	1998-11-08	PRIJEM	VKLAD	15878	44859	\N	\N	\N
241413	825	1998-12-08	PRIJEM	VKLAD	23817	45383	\N	\N	\N
241421	825	1996-08-07	VYDAJ	PREVOD NA UCET	9235	38660	SIPO	YZ	35577237
241422	825	1996-09-07	VYDAJ	PREVOD NA UCET	9235	28515	SIPO	YZ	35577237
241423	825	1996-10-07	VYDAJ	PREVOD NA UCET	9235	17218	SIPO	YZ	35577237
241424	825	1996-11-07	VYDAJ	PREVOD NA UCET	9235	14576	SIPO	YZ	35577237
241425	825	1996-12-07	VYDAJ	PREVOD NA UCET	9235	16327	SIPO	YZ	35577237
241426	825	1997-01-07	VYDAJ	PREVOD NA UCET	9235	14151	SIPO	YZ	35577237
241427	825	1997-02-07	VYDAJ	PREVOD NA UCET	9235	11831	SIPO	YZ	35577237
241428	825	1997-03-07	VYDAJ	PREVOD NA UCET	9235	14133	SIPO	YZ	35577237
241429	825	1997-04-07	VYDAJ	PREVOD NA UCET	9235	14345	SIPO	YZ	35577237
241430	825	1997-05-07	VYDAJ	PREVOD NA UCET	9235	17158	SIPO	YZ	35577237
241431	825	1997-06-07	VYDAJ	PREVOD NA UCET	9235	20582	SIPO	YZ	35577237
241432	825	1997-07-07	VYDAJ	PREVOD NA UCET	9235	20352	SIPO	YZ	35577237
241433	825	1997-08-07	VYDAJ	PREVOD NA UCET	9235	20929	SIPO	YZ	35577237
241434	825	1997-09-07	VYDAJ	PREVOD NA UCET	9235	23710	SIPO	YZ	35577237
241435	825	1997-10-07	VYDAJ	PREVOD NA UCET	9235	25762	SIPO	YZ	35577237
241436	825	1997-11-07	VYDAJ	PREVOD NA UCET	9235	24119	SIPO	YZ	35577237
241437	825	1997-12-07	VYDAJ	PREVOD NA UCET	9235	24853	SIPO	YZ	35577237
241438	825	1998-01-07	VYDAJ	PREVOD NA UCET	9235	28631	SIPO	YZ	35577237
241439	825	1998-02-07	VYDAJ	PREVOD NA UCET	9235	6515	SIPO	YZ	35577237
241440	825	1998-03-07	VYDAJ	PREVOD NA UCET	9235	20837	SIPO	YZ	35577237
241441	825	1998-04-07	VYDAJ	PREVOD NA UCET	9235	24280	SIPO	YZ	35577237
241442	825	1998-05-07	VYDAJ	PREVOD NA UCET	9235	26260	SIPO	YZ	35577237
241443	825	1998-06-07	VYDAJ	PREVOD NA UCET	9235	33457	SIPO	YZ	35577237
241444	825	1998-07-07	VYDAJ	PREVOD NA UCET	9235	33659	SIPO	YZ	35577237
241445	825	1998-08-07	VYDAJ	PREVOD NA UCET	9235	32182	SIPO	YZ	35577237
241446	825	1998-09-07	VYDAJ	PREVOD NA UCET	9235	33263	SIPO	YZ	35577237
241447	825	1998-10-07	VYDAJ	PREVOD NA UCET	9235	31882	SIPO	YZ	35577237
241448	825	1998-11-07	VYDAJ	PREVOD NA UCET	9235	28981	SIPO	YZ	35577237
241449	825	1998-12-07	VYDAJ	PREVOD NA UCET	9235	21566	SIPO	YZ	35577237
241456	825	1996-06-29	VYDAJ	VYBER	4700	60422	\N	\N	0
241457	825	1996-08-26	VYDAJ	VYBER	5100	49438	\N	\N	0
241458	825	1996-09-21	VYDAJ	VYBER	3400	35473	\N	\N	0
241459	825	1996-10-13	VYDAJ	VYBER	3000	30096	\N	\N	0
241460	825	1996-11-05	VYDAJ	VYBER	4200	23811	\N	\N	0
241461	825	1996-12-24	VYDAJ	VYBER	4200	30904	\N	\N	0
241462	825	1997-01-11	VYDAJ	VYBER	4200	25829	\N	\N	0
241463	825	1997-02-12	VYDAJ	PREVOD NA UCET	4423	23286	UVER	YZ	87110560
241464	825	1997-03-12	VYDAJ	PREVOD NA UCET	4423	25588	UVER	YZ	87110560
241465	825	1997-04-12	VYDAJ	PREVOD NA UCET	4423	25800	UVER	YZ	87110560
241466	825	1997-05-12	VYDAJ	PREVOD NA UCET	4423	28613	UVER	YZ	87110560
241467	825	1997-06-12	VYDAJ	PREVOD NA UCET	4423	27176	UVER	YZ	87110560
241468	825	1997-07-12	VYDAJ	PREVOD NA UCET	4423	31807	UVER	YZ	87110560
241469	825	1997-08-12	VYDAJ	PREVOD NA UCET	4423	32384	UVER	YZ	87110560
241470	825	1997-09-12	VYDAJ	PREVOD NA UCET	4423	35165	UVER	YZ	87110560
241471	825	1997-10-12	VYDAJ	PREVOD NA UCET	4423	37217	UVER	YZ	87110560
241472	825	1997-11-12	VYDAJ	PREVOD NA UCET	4423	35574	UVER	YZ	87110560
241473	825	1997-12-12	VYDAJ	PREVOD NA UCET	4423	44247	UVER	YZ	87110560
241474	825	1998-01-12	VYDAJ	PREVOD NA UCET	4423	34326	UVER	YZ	87110560
241475	825	1998-02-06	VYDAJ	VYBER	4500	15750	\N	\N	0
241476	825	1998-03-13	VYDAJ	VYBER	4400	32315	\N	\N	0
241477	825	1998-04-10	VYDAJ	VYBER	3200	36958	\N	\N	0
241478	825	1998-05-06	VYDAJ	VYBER	3100	35495	\N	\N	0
241479	825	1998-06-09	VYDAJ	VYBER	3700	53574	\N	\N	0
241480	825	1998-07-28	VYDAJ	VYBER	2800	46437	\N	\N	0
241481	825	1998-07-29	VYDAJ	VYBER	5200	41237	\N	\N	0
241482	825	1998-09-06	VYDAJ	VYBER	5000	42498	\N	\N	0
241483	825	1998-10-10	VYDAJ	VYBER	4500	43260	\N	\N	0
241484	825	1998-11-09	VYDAJ	VYBER	5300	39559	\N	\N	0
241485	825	1998-12-14	VYDAJ	VYBER	3800	41583	\N	\N	0
241487	825	1997-06-12	VYDAJ	VYBER	12800	31599	\N	\N	\N
241490	825	1997-01-06	VYDAJ	VYBER	2080	23386	\N	\N	\N
241491	825	1998-01-28	VYDAJ	VYBER	10880	20126	\N	\N	\N
241492	825	1996-12-25	VYDAJ	VYBER	4000	26904	\N	\N	\N
241493	825	1997-12-06	VYDAJ	VYBER	2720	34088	\N	\N	\N
241494	825	1998-12-05	VYDAJ	VYBER KARTOU	3800	30801	\N	\N	0
241501	825	1997-01-18	VYDAJ	VYBER	960	22109	\N	\N	\N
241502	825	1997-01-12	VYDAJ	VYBER	2760	23069	\N	\N	\N
241503	825	1997-01-20	VYDAJ	VYBER	3360	18749	\N	\N	\N
241505	825	1997-01-21	VYDAJ	VYBER	2520	16229	\N	\N	\N
241506	825	1997-01-22	VYDAJ	VYBER	840	15389	\N	\N	\N
241507	825	1998-01-09	VYDAJ	VYBER	3240	41269	\N	\N	\N
241508	825	1998-01-05	VYDAJ	VYBER	2040	37866	\N	\N	\N
241509	825	1998-01-12	VYDAJ	VYBER	960	33366	\N	\N	\N
241510	825	1998-01-25	VYDAJ	VYBER	960	31006	\N	\N	\N
241511	825	1998-01-09	VYDAJ	VYBER	2520	38749	\N	\N	\N
241512	825	1998-01-15	VYDAJ	VYBER	600	32766	\N	\N	\N
241515	825	1996-12-15	VYDAJ	VYBER	5040	35104	\N	\N	\N
241516	825	1996-10-07	VYDAJ	VYBER	4680	26453	\N	\N	\N
241517	825	1996-09-20	VYDAJ	VYBER	5520	38873	\N	\N	\N
241518	825	1997-01-06	VYDAJ	VYBER	3360	25466	\N	\N	\N
241520	825	1997-07-28	VYDAJ	VYBER	1560	30247	\N	\N	\N
241521	825	1997-09-07	VYDAJ	VYBER	960	32945	\N	\N	\N
241522	825	1998-06-16	VYDAJ	VYBER	5760	47814	\N	\N	\N
241523	825	1998-09-25	VYDAJ	VYBER	1200	43341	\N	\N	\N
241524	825	1998-03-25	VYDAJ	VYBER	3120	29195	\N	\N	\N
241525	825	1998-09-27	VYDAJ	VYBER	2400	40941	\N	\N	\N
241526	825	1998-08-28	VYDAJ	VYBER	840	47320	\N	\N	\N
241527	825	1998-12-04	VYDAJ	VYBER KARTOU	1700	34601	\N	\N	0
241535	825	1996-07-31	VYDAJ	VYBER	15	62095	SLUZBY	\N	\N
241536	825	1996-08-31	VYDAJ	VYBER	15	49650	SLUZBY	\N	\N
241537	825	1996-09-30	VYDAJ	VYBER	15	35633	SLUZBY	\N	\N
241538	825	1996-10-31	VYDAJ	VYBER	15	30211	SLUZBY	\N	\N
241539	825	1996-11-30	VYDAJ	VYBER	15	30562	SLUZBY	\N	\N
241540	825	1996-12-31	VYDAJ	VYBER	15	28826	SLUZBY	\N	\N
241541	825	1997-01-31	VYDAJ	VYBER	15	21066	SLUZBY	\N	\N
241542	825	1997-02-28	VYDAJ	VYBER	15	23368	SLUZBY	\N	\N
241543	825	1997-03-31	VYDAJ	VYBER	15	25680	SLUZBY	\N	\N
241544	825	1997-04-30	VYDAJ	VYBER	15	26393	SLUZBY	\N	\N
241545	825	1997-05-31	VYDAJ	VYBER	15	29817	SLUZBY	\N	\N
241546	825	1997-06-30	VYDAJ	VYBER	15	29587	SLUZBY	\N	\N
241547	825	1997-07-31	VYDAJ	VYBER	15	30164	SLUZBY	\N	\N
241548	825	1997-08-31	VYDAJ	VYBER	15	33905	SLUZBY	\N	\N
241549	825	1997-09-30	VYDAJ	VYBER	15	34997	SLUZBY	\N	\N
241550	825	1997-10-31	VYDAJ	VYBER	15	33354	SLUZBY	\N	\N
241551	825	1997-11-30	VYDAJ	VYBER	15	36808	SLUZBY	\N	\N
241552	825	1997-12-31	VYDAJ	VYBER	15	39906	SLUZBY	\N	\N
241553	825	1998-01-31	VYDAJ	VYBER	15	20250	SLUZBY	\N	\N
241554	825	1998-02-28	VYDAJ	VYBER	15	30072	SLUZBY	\N	\N
241555	825	1998-03-31	VYDAJ	VYBER	15	33515	SLUZBY	\N	\N
241556	825	1998-04-30	VYDAJ	VYBER	15	38595	SLUZBY	\N	\N
241557	825	1998-05-31	VYDAJ	VYBER	15	42692	SLUZBY	\N	\N
241558	825	1998-06-30	VYDAJ	VYBER	15	42894	SLUZBY	\N	\N
241559	825	1998-07-31	VYDAJ	VYBER	15	41417	SLUZBY	\N	\N
241560	825	1998-08-31	VYDAJ	VYBER	15	47498	SLUZBY	\N	\N
241561	825	1998-09-30	VYDAJ	VYBER	15	41117	SLUZBY	\N	\N
241562	825	1998-10-31	VYDAJ	VYBER	15	38216	SLUZBY	\N	\N
241563	825	1998-11-30	VYDAJ	VYBER	15	36301	SLUZBY	\N	\N
241564	825	1996-04-05	PRIJEM	VKLAD	3300	19731	\N	\N	\N
241565	825	1996-05-05	VYDAJ	VYBER	3700	32039	\N	\N	\N
241566	825	1996-06-04	VYDAJ	VYBER	6800	41305	\N	\N	\N
241567	825	1996-07-04	VYDAJ	VYBER	14700	45975	\N	\N	\N
241568	825	1996-08-03	VYDAJ	VYBER	14200	47895	\N	\N	\N
241569	825	1996-09-02	VYDAJ	VYBER	11900	37750	\N	\N	\N
241570	825	1996-10-02	VYDAJ	VYBER	4500	31133	\N	\N	\N
241571	825	1996-11-01	VYDAJ	VYBER	2200	28011	\N	\N	\N
241572	825	1996-12-01	VYDAJ	VYBER	5000	25562	\N	\N	\N
241573	825	1996-12-31	PRIJEM	VKLAD	1800	28704	\N	\N	\N
241574	825	1997-01-30	PRIJEM	VKLAD	5600	20989	\N	\N	\N
241575	825	1997-03-31	VYDAJ	VYBER	2100	23580	\N	\N	\N
241576	825	1997-04-30	PRIJEM	VKLAD	500	26407	\N	\N	\N
241577	825	1997-05-30	PRIJEM	VKLAD	1100	29713	\N	\N	\N
241578	825	1997-06-29	PRIJEM	VKLAD	2300	29476	\N	\N	\N
241579	825	1997-07-29	VYDAJ	VYBER	200	30047	\N	\N	\N
241580	825	1997-08-28	PRIJEM	VKLAD	1400	33784	\N	\N	\N
241581	825	1997-09-27	VYDAJ	VYBER	300	34865	\N	\N	\N
241582	825	1997-10-27	VYDAJ	VYBER	4000	33217	\N	\N	\N
241583	825	1997-11-26	PRIJEM	VKLAD	1100	36674	\N	\N	\N
241584	825	1997-12-26	VYDAJ	VYBER	4500	39747	\N	\N	\N
241585	825	1998-01-25	VYDAJ	VYBER	800	31966	\N	\N	\N
241586	825	1998-02-24	PRIJEM	VKLAD	7600	29993	\N	\N	\N
241587	825	1998-03-26	PRIJEM	VKLAD	4200	33395	\N	\N	\N
241588	825	1998-04-25	PRIJEM	VKLAD	1500	38458	\N	\N	\N
241589	825	1998-05-25	PRIJEM	VKLAD	400	42538	\N	\N	\N
241590	825	1998-06-24	VYDAJ	VYBER	5100	42714	\N	\N	\N
241591	825	1998-07-24	VYDAJ	VYBER	300	49237	\N	\N	\N
241592	825	1998-08-23	PRIJEM	VKLAD	100	48160	\N	\N	\N
241593	825	1998-09-22	VYDAJ	VYBER	4600	44541	\N	\N	\N
241594	825	1998-10-22	VYDAJ	VYBER	5200	38060	\N	\N	\N
241595	825	1998-11-21	VYDAJ	VYBER	3400	36159	\N	\N	\N
241630	826	1996-10-05	PRIJEM	VKLAD	700	700	\N	\N	\N
241640	826	1996-10-07	PRIJEM	VKLAD	8378	9078	\N	\N	\N
241641	826	1996-11-07	PRIJEM	VKLAD	8378	22387	\N	\N	\N
241642	826	1996-12-07	PRIJEM	VKLAD	12567	36236	\N	\N	\N
241643	826	1997-01-07	PRIJEM	VKLAD	8378	42454	\N	\N	\N
241644	826	1997-02-07	PRIJEM	VKLAD	8378	43603	\N	\N	\N
241645	826	1997-03-07	PRIJEM	VKLAD	8378	35260	\N	\N	\N
241646	826	1997-04-07	PRIJEM	VKLAD	8378	32465	\N	\N	\N
241647	826	1997-05-07	PRIJEM	VKLAD	8378	29256	\N	\N	\N
241648	826	1997-06-07	PRIJEM	VKLAD	12567	30641	\N	\N	\N
241649	826	1997-07-07	PRIJEM	VKLAD	8378	28959	\N	\N	\N
241650	826	1997-08-07	PRIJEM	VKLAD	8378	26652	\N	\N	\N
241651	826	1997-09-07	PRIJEM	VKLAD	8378	23166	\N	\N	\N
241652	826	1997-10-07	PRIJEM	VKLAD	8378	21335	\N	\N	\N
241653	826	1997-11-07	PRIJEM	VKLAD	8378	21499	\N	\N	\N
241654	826	1997-12-07	PRIJEM	VKLAD	12567	25430	\N	\N	\N
241655	826	1998-01-07	PRIJEM	VKLAD	8378	25603	\N	\N	\N
241656	826	1998-02-07	PRIJEM	VKLAD	8378	17517	\N	\N	\N
241657	826	1998-03-07	PRIJEM	VKLAD	8378	20363	\N	\N	\N
241658	826	1998-04-07	PRIJEM	VKLAD	8378	16917	\N	\N	\N
241659	826	1998-05-07	PRIJEM	VKLAD	8378	17559	\N	\N	\N
241660	826	1998-06-07	PRIJEM	VKLAD	12567	23393	\N	\N	\N
241661	826	1998-07-07	PRIJEM	VKLAD	8378	18755	\N	\N	\N
241662	826	1998-08-07	PRIJEM	VKLAD	8378	17103	\N	\N	\N
241663	826	1998-09-07	PRIJEM	VKLAD	8378	16644	\N	\N	\N
241664	826	1998-10-07	PRIJEM	VKLAD	8378	16183	\N	\N	\N
241665	826	1998-11-07	PRIJEM	VKLAD	8378	18622	\N	\N	\N
241666	826	1998-12-07	PRIJEM	VKLAD	12567	30866	\N	\N	\N
241681	826	1997-03-05	VYDAJ	PREVOD NA UCET	4550	26882	SIPO	KL	33696842
241682	826	1997-04-05	VYDAJ	PREVOD NA UCET	4550	24087	SIPO	KL	33696842
241683	826	1997-05-05	VYDAJ	PREVOD NA UCET	4550	20878	SIPO	KL	33696842
241684	826	1997-06-05	VYDAJ	PREVOD NA UCET	4550	18074	SIPO	KL	33696842
241685	826	1997-07-05	VYDAJ	PREVOD NA UCET	4550	20581	SIPO	KL	33696842
241686	826	1997-08-05	VYDAJ	PREVOD NA UCET	4550	18274	SIPO	KL	33696842
241687	826	1997-09-05	VYDAJ	PREVOD NA UCET	4550	14788	SIPO	KL	33696842
241688	826	1997-10-05	VYDAJ	PREVOD NA UCET	4550	12957	SIPO	KL	33696842
241689	826	1997-11-05	VYDAJ	PREVOD NA UCET	4550	13121	SIPO	KL	33696842
241690	826	1997-12-05	VYDAJ	PREVOD NA UCET	4550	12863	SIPO	KL	33696842
241691	826	1998-01-05	VYDAJ	PREVOD NA UCET	4550	17225	SIPO	KL	33696842
241692	826	1998-02-05	VYDAJ	PREVOD NA UCET	4550	9139	SIPO	KL	33696842
241693	826	1998-03-05	VYDAJ	PREVOD NA UCET	4550	11985	SIPO	KL	33696842
241694	826	1998-04-05	VYDAJ	PREVOD NA UCET	4550	8539	SIPO	KL	33696842
241695	826	1998-05-05	VYDAJ	PREVOD NA UCET	4550	9181	SIPO	KL	33696842
241696	826	1998-06-05	VYDAJ	PREVOD NA UCET	4550	10826	SIPO	KL	33696842
241697	826	1998-07-05	VYDAJ	PREVOD NA UCET	4550	10377	SIPO	KL	33696842
241698	826	1998-08-05	VYDAJ	PREVOD NA UCET	4550	8725	SIPO	KL	33696842
241699	826	1998-09-05	VYDAJ	PREVOD NA UCET	4550	8266	SIPO	KL	33696842
241700	826	1998-10-05	VYDAJ	PREVOD NA UCET	4550	7805	SIPO	KL	33696842
241701	826	1998-11-05	VYDAJ	PREVOD NA UCET	4550	10244	SIPO	KL	33696842
241702	826	1998-12-05	VYDAJ	PREVOD NA UCET	4550	18299	SIPO	KL	33696842
241716	826	1997-02-14	VYDAJ	PREVOD NA UCET	866	42568	 	YZ	5275464
241717	826	1997-03-14	VYDAJ	PREVOD NA UCET	866	34225	 	YZ	5275464
241718	826	1997-04-14	VYDAJ	PREVOD NA UCET	866	31430	 	YZ	5275464
241719	826	1997-05-14	VYDAJ	PREVOD NA UCET	866	28221	 	YZ	5275464
241720	826	1997-06-14	VYDAJ	PREVOD NA UCET	866	29606	 	YZ	5275464
241721	826	1997-07-14	VYDAJ	PREVOD NA UCET	866	27924	 	YZ	5275464
241722	826	1997-08-14	VYDAJ	PREVOD NA UCET	866	25617	 	YZ	5275464
241723	826	1997-09-14	VYDAJ	PREVOD NA UCET	866	22131	 	YZ	5275464
241724	826	1997-10-14	VYDAJ	PREVOD NA UCET	866	20300	 	YZ	5275464
241725	826	1997-11-14	VYDAJ	PREVOD NA UCET	866	20464	 	YZ	5275464
241726	826	1997-12-14	VYDAJ	PREVOD NA UCET	866	24395	 	YZ	5275464
241727	826	1998-01-14	VYDAJ	PREVOD NA UCET	866	24568	 	YZ	5275464
241728	826	1998-02-14	VYDAJ	PREVOD NA UCET	866	16482	 	YZ	5275464
241729	826	1998-03-14	VYDAJ	PREVOD NA UCET	866	19328	 	YZ	5275464
241730	826	1998-04-14	VYDAJ	PREVOD NA UCET	866	15882	 	YZ	5275464
241731	826	1998-05-14	VYDAJ	PREVOD NA UCET	866	16524	 	YZ	5275464
241732	826	1998-06-14	VYDAJ	PREVOD NA UCET	866	22358	 	YZ	5275464
241733	826	1998-07-14	VYDAJ	PREVOD NA UCET	866	17720	 	YZ	5275464
241734	826	1998-08-14	VYDAJ	PREVOD NA UCET	866	16068	 	YZ	5275464
241735	826	1998-09-14	VYDAJ	PREVOD NA UCET	866	15609	 	YZ	5275464
241736	826	1998-10-14	VYDAJ	PREVOD NA UCET	866	15148	 	YZ	5275464
241737	826	1998-11-14	VYDAJ	PREVOD NA UCET	866	17587	 	YZ	5275464
241738	826	1998-12-14	VYDAJ	PREVOD NA UCET	866	29831	 	YZ	5275464
241752	826	1997-02-11	VYDAJ	PREVOD NA UCET	169	43434	POJISTNE	WX	37950855
241753	826	1997-03-11	VYDAJ	PREVOD NA UCET	169	35091	POJISTNE	WX	37950855
241754	826	1997-04-11	VYDAJ	PREVOD NA UCET	169	32296	POJISTNE	WX	37950855
241755	826	1997-05-11	VYDAJ	PREVOD NA UCET	169	29087	POJISTNE	WX	37950855
241756	826	1997-06-11	VYDAJ	PREVOD NA UCET	169	30472	POJISTNE	WX	37950855
241757	826	1997-07-11	VYDAJ	PREVOD NA UCET	169	28790	POJISTNE	WX	37950855
241758	826	1997-08-11	VYDAJ	PREVOD NA UCET	169	26483	POJISTNE	WX	37950855
241759	826	1997-09-11	VYDAJ	PREVOD NA UCET	169	22997	POJISTNE	WX	37950855
241760	826	1997-10-11	VYDAJ	PREVOD NA UCET	169	21166	POJISTNE	WX	37950855
241761	826	1997-11-11	VYDAJ	PREVOD NA UCET	169	21330	POJISTNE	WX	37950855
241762	826	1997-12-11	VYDAJ	PREVOD NA UCET	169	25261	POJISTNE	WX	37950855
241763	826	1998-01-11	VYDAJ	PREVOD NA UCET	169	25434	POJISTNE	WX	37950855
241764	826	1998-02-11	VYDAJ	PREVOD NA UCET	169	17348	POJISTNE	WX	37950855
241765	826	1998-03-11	VYDAJ	PREVOD NA UCET	169	20194	POJISTNE	WX	37950855
241766	826	1998-04-11	VYDAJ	PREVOD NA UCET	169	16748	POJISTNE	WX	37950855
241767	826	1998-05-11	VYDAJ	PREVOD NA UCET	169	17390	POJISTNE	WX	37950855
241768	826	1998-06-11	VYDAJ	PREVOD NA UCET	169	23224	POJISTNE	WX	37950855
241769	826	1998-07-11	VYDAJ	PREVOD NA UCET	169	18586	POJISTNE	WX	37950855
241770	826	1998-08-11	VYDAJ	PREVOD NA UCET	169	16934	POJISTNE	WX	37950855
241771	826	1998-09-11	VYDAJ	PREVOD NA UCET	169	16475	POJISTNE	WX	37950855
241772	826	1998-10-11	VYDAJ	PREVOD NA UCET	169	16014	POJISTNE	WX	37950855
241773	826	1998-11-11	VYDAJ	PREVOD NA UCET	169	18453	POJISTNE	WX	37950855
241774	826	1998-12-11	VYDAJ	PREVOD NA UCET	169	30697	POJISTNE	WX	37950855
241780	826	1998-01-29	VYDAJ	VYBER	5760	13608	\N	\N	\N
241782	826	1997-12-03	VYDAJ	VYBER	1120	17413	\N	\N	\N
241783	826	1998-12-17	VYDAJ	VYBER	2400	27431	\N	\N	\N
241788	826	1997-04-05	VYDAJ	VYBER	720	28637	\N	\N	\N
241789	826	1997-08-31	VYDAJ	VYBER	4800	19352	\N	\N	\N
241791	826	1997-06-27	VYDAJ	VYBER	1680	27926	\N	\N	\N
241792	826	1997-04-29	VYDAJ	VYBER	720	30710	\N	\N	\N
241793	826	1997-08-15	VYDAJ	VYBER	5160	20457	\N	\N	\N
241797	826	1998-12-20	VYDAJ	VYBER	3120	24311	\N	\N	\N
241815	826	1997-02-28	VYDAJ	VYBER	15	42732	SLUZBY	\N	\N
241816	826	1997-03-31	VYDAJ	VYBER	15	34357	SLUZBY	\N	\N
241817	826	1997-04-30	VYDAJ	VYBER	15	30828	SLUZBY	\N	\N
241818	826	1997-05-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
241819	826	1997-06-30	VYDAJ	VYBER	15	28031	SLUZBY	\N	\N
241820	826	1997-07-31	VYDAJ	VYBER	15	28024	SLUZBY	\N	\N
241821	826	1997-08-31	VYDAJ	VYBER	15	19338	SLUZBY	\N	\N
241822	826	1997-09-30	VYDAJ	VYBER	15	22207	SLUZBY	\N	\N
241823	826	1997-10-31	VYDAJ	VYBER	15	17671	SLUZBY	\N	\N
241824	826	1997-11-30	VYDAJ	VYBER	15	18533	SLUZBY	\N	\N
241825	826	1997-12-31	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
241826	826	1998-01-31	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
241827	826	1998-02-28	VYDAJ	VYBER	15	16535	SLUZBY	\N	\N
241828	826	1998-03-31	VYDAJ	VYBER	15	13089	SLUZBY	\N	\N
241829	826	1998-04-30	VYDAJ	VYBER	15	13731	SLUZBY	\N	\N
241830	826	1998-05-31	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
241831	826	1998-06-30	VYDAJ	VYBER	15	14927	SLUZBY	\N	\N
241832	826	1998-07-31	VYDAJ	VYBER	15	13275	SLUZBY	\N	\N
241833	826	1998-08-31	VYDAJ	VYBER	15	12816	SLUZBY	\N	\N
241834	826	1998-09-30	VYDAJ	VYBER	15	12355	SLUZBY	\N	\N
241835	826	1998-10-31	VYDAJ	VYBER	15	14794	SLUZBY	\N	\N
241836	826	1998-11-30	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
241837	826	1996-11-04	PRIJEM	VKLAD	4900	14009	\N	\N	\N
241838	826	1996-12-04	PRIJEM	VKLAD	1200	23669	\N	\N	\N
241839	826	1997-01-03	VYDAJ	VYBER	2300	34076	\N	\N	\N
241840	826	1997-02-02	VYDAJ	VYBER	7400	35225	\N	\N	\N
241841	826	1997-03-04	VYDAJ	VYBER	11300	31432	\N	\N	\N
241842	826	1997-04-03	VYDAJ	VYBER	5000	29357	\N	\N	\N
241843	826	1997-05-03	VYDAJ	VYBER	5400	25428	\N	\N	\N
241844	826	1997-06-02	VYDAJ	VYBER	5700	22624	\N	\N	\N
241845	826	1997-07-02	VYDAJ	VYBER	2900	25131	\N	\N	\N
241846	826	1997-08-01	VYDAJ	VYBER	5200	22824	\N	\N	\N
241847	826	1997-08-31	PRIJEM	VKLAD	3600	24152	\N	\N	\N
241848	826	1997-09-30	VYDAJ	VYBER	4700	17507	\N	\N	\N
241849	826	1997-10-30	VYDAJ	VYBER	2700	17600	\N	\N	\N
241850	826	1997-11-29	VYDAJ	VYBER	2000	18464	\N	\N	\N
241851	826	1997-12-29	VYDAJ	VYBER	2700	21695	\N	\N	\N
241852	826	1998-01-28	VYDAJ	VYBER	5200	19368	\N	\N	\N
241853	826	1998-03-29	VYDAJ	VYBER	6300	13028	\N	\N	\N
241854	826	1998-04-28	VYDAJ	VYBER	2200	13682	\N	\N	\N
241855	826	1998-05-28	VYDAJ	VYBER	1200	15324	\N	\N	\N
241856	826	1998-06-27	VYDAJ	VYBER	7500	14858	\N	\N	\N
241857	826	1998-07-27	VYDAJ	VYBER	4500	13220	\N	\N	\N
241858	826	1998-08-26	VYDAJ	VYBER	3300	12768	\N	\N	\N
241859	826	1998-09-25	VYDAJ	VYBER	3300	12309	\N	\N	\N
241860	826	1998-10-25	VYDAJ	VYBER	400	14748	\N	\N	\N
241861	826	1998-11-24	PRIJEM	VKLAD	5200	22787	\N	\N	\N
241889	827	1996-02-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
241892	827	1996-03-08	PRIJEM	PREVOD Z UCTU	3391	4391	\N	EF	37134081
241893	827	1996-04-08	PRIJEM	PREVOD Z UCTU	3391	7782	\N	EF	37134081
241894	827	1996-05-08	PRIJEM	PREVOD Z UCTU	3391	11173	\N	EF	37134081
241895	827	1996-06-08	PRIJEM	PREVOD Z UCTU	3391	14564	\N	EF	37134081
241896	827	1996-07-08	PRIJEM	PREVOD Z UCTU	3391	17955	\N	EF	37134081
241897	827	1996-08-08	PRIJEM	PREVOD Z UCTU	3391	17883	\N	EF	37134081
241898	827	1996-09-08	PRIJEM	PREVOD Z UCTU	3391	19063	\N	EF	37134081
241899	827	1996-10-08	PRIJEM	PREVOD Z UCTU	3391	18927	\N	EF	37134081
241900	827	1996-11-08	PRIJEM	PREVOD Z UCTU	3391	18698	\N	EF	37134081
241901	827	1996-12-08	PRIJEM	PREVOD Z UCTU	3391	19882	\N	EF	37134081
241902	827	1997-01-08	PRIJEM	PREVOD Z UCTU	3391	20410	\N	EF	37134081
241903	827	1997-02-08	PRIJEM	PREVOD Z UCTU	3391	17606	\N	EF	37134081
241904	827	1997-03-08	PRIJEM	PREVOD Z UCTU	3391	18785	\N	EF	37134081
241905	827	1997-04-08	PRIJEM	PREVOD Z UCTU	3391	19968	\N	EF	37134081
241906	827	1997-05-08	PRIJEM	PREVOD Z UCTU	3391	21157	\N	EF	37134081
241907	827	1997-06-08	PRIJEM	PREVOD Z UCTU	3391	19290	\N	EF	37134081
241908	827	1997-07-08	PRIJEM	PREVOD Z UCTU	3391	20478	\N	EF	37134081
241909	827	1997-08-08	PRIJEM	PREVOD Z UCTU	3391	21308	\N	EF	37134081
241910	827	1997-09-08	PRIJEM	PREVOD Z UCTU	3391	22505	\N	EF	37134081
241911	827	1997-10-08	PRIJEM	PREVOD Z UCTU	3391	23704	\N	EF	37134081
241912	827	1997-11-08	PRIJEM	PREVOD Z UCTU	3391	24246	\N	EF	37134081
241913	827	1997-12-08	PRIJEM	PREVOD Z UCTU	3391	25452	\N	EF	37134081
241914	827	1998-01-08	PRIJEM	PREVOD Z UCTU	3391	26514	\N	EF	37134081
241915	827	1998-02-08	PRIJEM	PREVOD Z UCTU	3391	25748	\N	EF	37134081
241916	827	1998-03-08	PRIJEM	PREVOD Z UCTU	3391	26211	\N	EF	37134081
241917	827	1998-04-08	PRIJEM	PREVOD Z UCTU	3391	27428	\N	EF	37134081
241918	827	1998-05-08	PRIJEM	PREVOD Z UCTU	3391	28106	\N	EF	37134081
241919	827	1998-06-08	PRIJEM	PREVOD Z UCTU	3391	25098	\N	EF	37134081
241920	827	1998-07-08	PRIJEM	PREVOD Z UCTU	3391	26314	\N	EF	37134081
241921	827	1998-08-08	PRIJEM	PREVOD Z UCTU	3391	27198	\N	EF	37134081
241922	827	1998-09-08	PRIJEM	PREVOD Z UCTU	3391	27634	\N	EF	37134081
241923	827	1998-10-08	PRIJEM	PREVOD Z UCTU	3391	28854	\N	EF	37134081
241924	827	1998-11-08	PRIJEM	PREVOD Z UCTU	3391	30079	\N	EF	37134081
241925	827	1998-12-08	PRIJEM	PREVOD Z UCTU	3391	31310	\N	EF	37134081
241932	827	1996-07-12	VYDAJ	PREVOD NA UCET	2260	15695	SIPO	QR	21975636
241933	827	1996-08-12	VYDAJ	PREVOD NA UCET	2260	15623	SIPO	QR	21975636
241934	827	1996-09-12	VYDAJ	PREVOD NA UCET	2260	16803	SIPO	QR	21975636
241935	827	1996-10-12	VYDAJ	PREVOD NA UCET	2260	16667	SIPO	QR	21975636
241936	827	1996-11-12	VYDAJ	PREVOD NA UCET	2260	16438	SIPO	QR	21975636
241937	827	1996-12-12	VYDAJ	PREVOD NA UCET	2260	17622	SIPO	QR	21975636
241938	827	1997-01-12	VYDAJ	PREVOD NA UCET	2260	17220	SIPO	QR	21975636
241939	827	1997-02-12	VYDAJ	PREVOD NA UCET	2260	15346	SIPO	QR	21975636
241940	827	1997-03-12	VYDAJ	PREVOD NA UCET	2260	16525	SIPO	QR	21975636
241941	827	1997-04-12	VYDAJ	PREVOD NA UCET	2260	17708	SIPO	QR	21975636
241942	827	1997-05-12	VYDAJ	PREVOD NA UCET	2260	18897	SIPO	QR	21975636
241943	827	1997-06-12	VYDAJ	PREVOD NA UCET	2260	17030	SIPO	QR	21975636
241944	827	1997-07-12	VYDAJ	PREVOD NA UCET	2260	18218	SIPO	QR	21975636
241945	827	1997-08-12	VYDAJ	PREVOD NA UCET	2260	19048	SIPO	QR	21975636
241946	827	1997-09-12	VYDAJ	PREVOD NA UCET	2260	20245	SIPO	QR	21975636
241947	827	1997-10-12	VYDAJ	PREVOD NA UCET	2260	21444	SIPO	QR	21975636
241948	827	1997-11-12	VYDAJ	PREVOD NA UCET	2260	21986	SIPO	QR	21975636
241949	827	1997-12-12	VYDAJ	PREVOD NA UCET	2260	23192	SIPO	QR	21975636
241950	827	1998-01-12	VYDAJ	PREVOD NA UCET	2260	23774	SIPO	QR	21975636
241951	827	1998-02-12	VYDAJ	PREVOD NA UCET	2260	23488	SIPO	QR	21975636
241952	827	1998-03-12	VYDAJ	PREVOD NA UCET	2260	23951	SIPO	QR	21975636
241953	827	1998-04-12	VYDAJ	PREVOD NA UCET	2260	25168	SIPO	QR	21975636
241954	827	1998-05-12	VYDAJ	PREVOD NA UCET	2260	25846	SIPO	QR	21975636
241955	827	1998-06-12	VYDAJ	PREVOD NA UCET	2260	22838	SIPO	QR	21975636
241956	827	1998-07-12	VYDAJ	PREVOD NA UCET	2260	24054	SIPO	QR	21975636
241957	827	1998-08-12	VYDAJ	PREVOD NA UCET	2260	24938	SIPO	QR	21975636
241958	827	1998-09-12	VYDAJ	PREVOD NA UCET	2260	25374	SIPO	QR	21975636
241959	827	1998-10-12	VYDAJ	PREVOD NA UCET	2260	26594	SIPO	QR	21975636
241960	827	1998-11-12	VYDAJ	PREVOD NA UCET	2260	27819	SIPO	QR	21975636
241961	827	1998-12-12	VYDAJ	PREVOD NA UCET	2260	28840	SIPO	QR	21975636
241963	827	1997-06-02	VYDAJ	VYBER	2610	15899	\N	\N	\N
241964	827	1998-06-05	VYDAJ	VYBER	4230	21707	\N	\N	\N
241966	827	1997-01-10	VYDAJ	VYBER	300	20110	\N	\N	\N
241967	827	1998-01-30	VYDAJ	VYBER	330	22274	\N	\N	\N
241974	827	1997-01-18	VYDAJ	VYBER	690	15810	\N	\N	\N
241975	827	1997-01-26	VYDAJ	VYBER	810	15000	\N	\N	\N
241976	827	1997-01-26	VYDAJ	VYBER	840	14160	\N	\N	\N
241977	827	1997-01-14	VYDAJ	VYBER	720	16500	\N	\N	\N
241978	827	1997-01-03	VYDAJ	VYBER	660	17019	\N	\N	\N
241979	827	1997-01-10	VYDAJ	VYBER	630	19480	\N	\N	\N
241980	827	1998-01-21	VYDAJ	VYBER	150	22934	\N	\N	\N
241981	827	1998-01-11	VYDAJ	VYBER	480	26034	\N	\N	\N
241982	827	1998-01-12	VYDAJ	VYBER	690	23084	\N	\N	\N
241983	827	1998-01-30	VYDAJ	VYBER	150	22604	\N	\N	\N
241984	827	1998-01-30	VYDAJ	VYBER	180	22754	\N	\N	\N
241985	827	1998-01-02	VYDAJ	VYBER	150	23123	\N	\N	\N
241987	827	1996-07-31	VYDAJ	VYBER	1230	14507	\N	\N	\N
241991	827	1996-10-17	VYDAJ	VYBER	1410	15257	\N	\N	\N
241992	827	1996-09-26	VYDAJ	VYBER	1320	15483	\N	\N	\N
241993	827	1997-10-18	VYDAJ	VYBER	660	20784	\N	\N	\N
241994	827	1997-06-01	VYDAJ	VYBER	450	18509	\N	\N	\N
241995	827	1997-08-04	VYDAJ	VYBER	360	17917	\N	\N	\N
241996	827	1998-03-05	VYDAJ	VYBER	750	22820	\N	\N	\N
241997	827	1998-07-13	VYDAJ	VYBER	330	23724	\N	\N	\N
241998	827	1998-08-17	VYDAJ	VYBER	780	24158	\N	\N	\N
241999	827	1998-04-23	VYDAJ	VYBER	540	24628	\N	\N	\N
242000	827	1998-12-09	VYDAJ	VYBER	210	31100	\N	\N	\N
242008	827	1996-07-31	VYDAJ	VYBER	15	14492	SLUZBY	\N	\N
242009	827	1996-08-31	VYDAJ	VYBER	15	15672	SLUZBY	\N	\N
242010	827	1996-09-30	VYDAJ	VYBER	15	15536	SLUZBY	\N	\N
242011	827	1996-10-31	VYDAJ	VYBER	15	15307	SLUZBY	\N	\N
242012	827	1996-11-30	VYDAJ	VYBER	15	16491	SLUZBY	\N	\N
242013	827	1996-12-31	VYDAJ	VYBER	15	17679	SLUZBY	\N	\N
242014	827	1997-01-31	VYDAJ	VYBER	15	14215	SLUZBY	\N	\N
242015	827	1997-02-28	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
242016	827	1997-03-31	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
242017	827	1997-04-30	VYDAJ	VYBER	15	17766	SLUZBY	\N	\N
242018	827	1997-05-31	VYDAJ	VYBER	15	18959	SLUZBY	\N	\N
242019	827	1997-06-30	VYDAJ	VYBER	15	17087	SLUZBY	\N	\N
242020	827	1997-07-31	VYDAJ	VYBER	15	18277	SLUZBY	\N	\N
242021	827	1997-08-31	VYDAJ	VYBER	15	19114	SLUZBY	\N	\N
242022	827	1997-09-30	VYDAJ	VYBER	15	20313	SLUZBY	\N	\N
242023	827	1997-10-31	VYDAJ	VYBER	15	20855	SLUZBY	\N	\N
242024	827	1997-11-30	VYDAJ	VYBER	15	22061	SLUZBY	\N	\N
242025	827	1997-12-31	VYDAJ	VYBER	15	23273	SLUZBY	\N	\N
242026	827	1998-01-31	VYDAJ	VYBER	15	22357	SLUZBY	\N	\N
242027	827	1998-02-28	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
242028	827	1998-03-31	VYDAJ	VYBER	15	24037	SLUZBY	\N	\N
242029	827	1998-04-30	VYDAJ	VYBER	15	24715	SLUZBY	\N	\N
242030	827	1998-05-31	VYDAJ	VYBER	15	25937	SLUZBY	\N	\N
242031	827	1998-06-30	VYDAJ	VYBER	15	22923	SLUZBY	\N	\N
242032	827	1998-07-31	VYDAJ	VYBER	15	23807	SLUZBY	\N	\N
242033	827	1998-08-31	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
242034	827	1998-09-30	VYDAJ	VYBER	15	25463	SLUZBY	\N	\N
242035	827	1998-10-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
242036	827	1998-11-30	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
242067	828	1997-02-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
242069	828	1997-02-14	PRIJEM	VKLAD	13278	14278	\N	\N	\N
242070	828	1997-03-14	PRIJEM	VKLAD	13278	27588	\N	\N	\N
242071	828	1997-04-14	PRIJEM	VKLAD	13278	38555	\N	\N	\N
242072	828	1997-05-14	PRIJEM	VKLAD	13278	40673	\N	\N	\N
242073	828	1997-06-14	PRIJEM	VKLAD	19917	53055	\N	\N	\N
242074	828	1997-07-14	PRIJEM	VKLAD	13278	47466	\N	\N	\N
242075	828	1997-08-14	PRIJEM	VKLAD	13278	43980	\N	\N	\N
242076	828	1997-09-14	PRIJEM	VKLAD	13278	42074	\N	\N	\N
242077	828	1997-10-14	PRIJEM	VKLAD	13278	45056	\N	\N	\N
242078	828	1997-11-14	PRIJEM	VKLAD	13278	48135	\N	\N	\N
242079	828	1997-12-14	PRIJEM	VKLAD	19917	48188	\N	\N	\N
242080	828	1998-01-14	PRIJEM	VKLAD	13278	32249	\N	\N	\N
242081	828	1998-02-14	PRIJEM	VKLAD	13278	26468	\N	\N	\N
242082	828	1998-03-14	PRIJEM	VKLAD	13278	29574	\N	\N	\N
242083	828	1998-04-14	PRIJEM	VKLAD	13278	24990	\N	\N	\N
242084	828	1998-05-14	PRIJEM	VKLAD	13278	23198	\N	\N	\N
242085	828	1998-06-14	PRIJEM	VKLAD	19917	27438	\N	\N	\N
242086	828	1998-07-14	PRIJEM	VKLAD	13278	25445	\N	\N	\N
242087	828	1998-08-14	PRIJEM	VKLAD	13278	22755	\N	\N	\N
242088	828	1998-09-14	PRIJEM	VKLAD	13278	17955	\N	\N	\N
242089	828	1998-10-14	PRIJEM	VKLAD	13278	16138	\N	\N	\N
242090	828	1998-11-14	PRIJEM	VKLAD	13278	18109	\N	\N	\N
242091	828	1998-12-14	PRIJEM	VKLAD	19917	22923	\N	\N	\N
242098	828	1997-07-09	VYDAJ	PREVOD NA UCET	8852	44388	SIPO	KL	18580800
242099	828	1997-08-09	VYDAJ	PREVOD NA UCET	8852	38802	SIPO	KL	18580800
242100	828	1997-09-09	VYDAJ	PREVOD NA UCET	8852	35296	SIPO	KL	18580800
242101	828	1997-10-09	VYDAJ	PREVOD NA UCET	8852	31578	SIPO	KL	18580800
242102	828	1997-11-09	VYDAJ	PREVOD NA UCET	8852	34857	SIPO	KL	18580800
242103	828	1997-12-09	VYDAJ	PREVOD NA UCET	8852	30311	SIPO	KL	18580800
242104	828	1998-01-09	VYDAJ	PREVOD NA UCET	8852	23291	SIPO	KL	18580800
242105	828	1998-02-09	VYDAJ	PREVOD NA UCET	8852	13190	SIPO	KL	18580800
242106	828	1998-03-09	VYDAJ	PREVOD NA UCET	8852	16296	SIPO	KL	18580800
242107	828	1998-04-09	VYDAJ	PREVOD NA UCET	8852	11712	SIPO	KL	18580800
242108	828	1998-05-09	VYDAJ	PREVOD NA UCET	8852	9920	SIPO	KL	18580800
242109	828	1998-06-09	VYDAJ	PREVOD NA UCET	8852	7521	SIPO	KL	18580800
242110	828	1998-07-09	VYDAJ	PREVOD NA UCET	8852	12167	SIPO	KL	18580800
242111	828	1998-08-09	VYDAJ	PREVOD NA UCET	8852	9477	SIPO	KL	18580800
242112	828	1998-09-09	VYDAJ	PREVOD NA UCET	8852	4677	SIPO	KL	18580800
242113	828	1998-10-09	VYDAJ	PREVOD NA UCET	8852	2860	SIPO	KL	18580800
242114	828	1998-11-09	VYDAJ	PREVOD NA UCET	8852	4831	SIPO	KL	18580800
242115	828	1998-12-09	VYDAJ	PREVOD NA UCET	8852	3006	SIPO	KL	18580800
242119	828	1998-01-28	VYDAJ	VYBER	4000	21529	\N	\N	\N
242120	828	1997-12-21	VYDAJ	VYBER	1120	47068	\N	\N	\N
242121	828	1998-12-25	VYDAJ	VYBER KARTOU	2700	20223	\N	\N	0
242128	828	1998-01-17	VYDAJ	VYBER	2640	28409	\N	\N	\N
242129	828	1998-01-10	VYDAJ	VYBER	2280	21011	\N	\N	\N
242130	828	1998-01-17	VYDAJ	VYBER	1800	26609	\N	\N	\N
242131	828	1998-01-26	VYDAJ	VYBER	1080	25529	\N	\N	\N
242132	828	1998-01-07	VYDAJ	VYBER	1200	46043	\N	\N	\N
242133	828	1998-01-12	VYDAJ	VYBER	2040	18971	\N	\N	\N
242134	828	1997-12-13	VYDAJ	VYBER	2040	28271	\N	\N	\N
242135	828	1997-09-30	VYDAJ	VYBER	1800	40444	\N	\N	\N
242139	828	1997-11-29	VYDAJ	VYBER	2640	45495	\N	\N	\N
242141	828	1997-10-17	VYDAJ	VYBER	3600	41456	\N	\N	\N
242143	828	1998-01-15	VYDAJ	VYBER	1200	31049	\N	\N	\N
242145	828	1998-03-18	VYDAJ	VYBER KARTOU	3400	26174	\N	\N	0
242146	828	1998-12-02	VYDAJ	VYBER KARTOU	2500	15658	\N	\N	0
242153	828	1997-06-30	VYDAJ	VYBER	15	53240	SLUZBY	\N	\N
242154	828	1997-07-31	VYDAJ	VYBER	15	47654	SLUZBY	\N	\N
242155	828	1997-08-31	VYDAJ	VYBER	15	44148	SLUZBY	\N	\N
242156	828	1997-09-30	VYDAJ	VYBER	15	40430	SLUZBY	\N	\N
242157	828	1997-10-31	VYDAJ	VYBER	15	41609	SLUZBY	\N	\N
242158	828	1997-11-30	VYDAJ	VYBER	15	45663	SLUZBY	\N	\N
242159	828	1997-12-31	VYDAJ	VYBER	15	47243	SLUZBY	\N	\N
242160	828	1998-01-31	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
242161	828	1998-02-28	VYDAJ	VYBER	15	26548	SLUZBY	\N	\N
242162	828	1998-03-31	VYDAJ	VYBER	15	26264	SLUZBY	\N	\N
242163	828	1998-04-30	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
242164	828	1998-05-31	VYDAJ	VYBER	15	23273	SLUZBY	\N	\N
242165	828	1998-06-30	VYDAJ	VYBER	15	27519	SLUZBY	\N	\N
242166	828	1998-07-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
242167	828	1998-08-31	VYDAJ	VYBER	15	22829	SLUZBY	\N	\N
242168	828	1998-09-30	VYDAJ	VYBER	15	18012	SLUZBY	\N	\N
242169	828	1998-10-31	VYDAJ	VYBER	15	16183	SLUZBY	\N	\N
242170	828	1998-11-30	VYDAJ	VYBER	15	18158	SLUZBY	\N	\N
242171	828	1997-03-14	VYDAJ	VYBER	900	26688	\N	\N	\N
242172	828	1997-04-13	VYDAJ	VYBER	1500	25277	\N	\N	\N
242173	828	1997-05-13	VYDAJ	VYBER	11300	27395	\N	\N	\N
242174	828	1997-06-12	VYDAJ	VYBER	7700	33138	\N	\N	\N
242175	828	1997-07-12	VYDAJ	VYBER	10200	34188	\N	\N	\N
242176	828	1997-08-11	VYDAJ	VYBER	8100	30702	\N	\N	\N
242177	828	1997-09-10	VYDAJ	VYBER	6500	28796	\N	\N	\N
242178	828	1997-10-10	PRIJEM	VKLAD	200	31778	\N	\N	\N
242179	828	1997-11-09	PRIJEM	VKLAD	2100	43709	\N	\N	\N
242180	828	1997-12-09	VYDAJ	VYBER	6500	39163	\N	\N	\N
242181	828	1998-01-08	VYDAJ	VYBER	13900	32143	\N	\N	\N
242182	828	1998-02-07	PRIJEM	VKLAD	400	22042	\N	\N	\N
242183	828	1998-03-09	VYDAJ	VYBER KARTOU	1400	25148	\N	\N	0
242184	828	1998-04-08	VYDAJ	VYBER	5700	20564	\N	\N	\N
242185	828	1998-05-08	VYDAJ	VYBER	6300	18772	\N	\N	\N
242186	828	1998-06-07	VYDAJ	VYBER	6900	16373	\N	\N	\N
242187	828	1998-07-07	VYDAJ	VYBER	6500	21019	\N	\N	\N
242188	828	1998-08-06	VYDAJ	VYBER	7200	18329	\N	\N	\N
242189	828	1998-09-05	VYDAJ	VYBER	9300	13529	\N	\N	\N
242190	828	1998-10-05	VYDAJ	VYBER	6300	11712	\N	\N	\N
242191	828	1998-11-04	VYDAJ	VYBER KARTOU	2500	13683	\N	\N	0
242192	828	1998-12-04	VYDAJ	VYBER KARTOU	3800	11858	\N	\N	0
242216	829	1996-11-10	PRIJEM	VKLAD	800	800	\N	\N	\N
242227	829	1996-11-11	PRIJEM	PREVOD Z UCTU	3181	3981	\N	EF	99745600
242228	829	1996-12-11	PRIJEM	PREVOD Z UCTU	3181	7173	\N	EF	99745600
242229	829	1997-01-11	PRIJEM	PREVOD Z UCTU	3181	10371	\N	EF	99745600
242230	829	1997-02-11	PRIJEM	PREVOD Z UCTU	3181	13568	\N	EF	99745600
242231	829	1997-03-11	PRIJEM	PREVOD Z UCTU	3181	16766	\N	EF	99745600
242232	829	1997-04-11	PRIJEM	PREVOD Z UCTU	3181	17855	\N	EF	99745600
242233	829	1997-05-11	PRIJEM	PREVOD Z UCTU	3181	18755	\N	EF	99745600
242234	829	1997-06-11	PRIJEM	PREVOD Z UCTU	3181	19870	\N	EF	99745600
242235	829	1997-07-11	PRIJEM	PREVOD Z UCTU	3181	20058	\N	EF	99745600
242236	829	1997-08-11	PRIJEM	PREVOD Z UCTU	3181	21177	\N	EF	99745600
242237	829	1997-09-11	PRIJEM	PREVOD Z UCTU	3181	22301	\N	EF	99745600
242238	829	1997-10-11	PRIJEM	PREVOD Z UCTU	3181	23430	\N	EF	99745600
242239	829	1997-11-11	PRIJEM	PREVOD Z UCTU	3181	23391	\N	EF	99745600
242240	829	1997-12-11	PRIJEM	PREVOD Z UCTU	3181	23804	\N	EF	99745600
242241	829	1998-01-11	PRIJEM	PREVOD Z UCTU	3181	23979	\N	EF	99745600
242242	829	1998-02-11	PRIJEM	PREVOD Z UCTU	3181	25115	\N	EF	99745600
242243	829	1998-03-11	PRIJEM	PREVOD Z UCTU	3181	26255	\N	EF	99745600
242244	829	1998-04-11	PRIJEM	PREVOD Z UCTU	3181	27400	\N	EF	99745600
242245	829	1998-05-11	PRIJEM	PREVOD Z UCTU	3181	28550	\N	EF	99745600
242246	829	1998-06-11	PRIJEM	PREVOD Z UCTU	3181	28653	\N	EF	99745600
242247	829	1998-07-11	PRIJEM	PREVOD Z UCTU	3181	29808	\N	EF	99745600
242248	829	1998-08-11	PRIJEM	PREVOD Z UCTU	3181	30788	\N	EF	99745600
242249	829	1998-09-11	PRIJEM	PREVOD Z UCTU	3181	31952	\N	EF	99745600
242250	829	1998-10-11	PRIJEM	PREVOD Z UCTU	3181	33120	\N	EF	99745600
242251	829	1998-11-11	PRIJEM	PREVOD Z UCTU	3181	34294	\N	EF	99745600
242252	829	1998-12-11	PRIJEM	PREVOD Z UCTU	3181	33669	\N	EF	99745600
242267	829	1997-03-14	VYDAJ	PREVOD NA UCET	2120	14646	SIPO	UV	85781967
242268	829	1997-04-14	VYDAJ	PREVOD NA UCET	2120	15735	SIPO	UV	85781967
242269	829	1997-05-14	VYDAJ	PREVOD NA UCET	2120	16635	SIPO	UV	85781967
242270	829	1997-06-14	VYDAJ	PREVOD NA UCET	2120	17750	SIPO	UV	85781967
242271	829	1997-07-14	VYDAJ	PREVOD NA UCET	2120	17938	SIPO	UV	85781967
242272	829	1997-08-14	VYDAJ	PREVOD NA UCET	2120	19057	SIPO	UV	85781967
242273	829	1997-09-14	VYDAJ	PREVOD NA UCET	2120	20181	SIPO	UV	85781967
242274	829	1997-10-14	VYDAJ	PREVOD NA UCET	2120	20140	SIPO	UV	85781967
242275	829	1997-11-14	VYDAJ	PREVOD NA UCET	2120	21271	SIPO	UV	85781967
242276	829	1997-12-14	VYDAJ	PREVOD NA UCET	2120	21684	SIPO	UV	85781967
242277	829	1998-01-14	VYDAJ	PREVOD NA UCET	2120	21859	SIPO	UV	85781967
242278	829	1998-02-14	VYDAJ	PREVOD NA UCET	2120	22995	SIPO	UV	85781967
242279	829	1998-03-14	VYDAJ	PREVOD NA UCET	2120	24135	SIPO	UV	85781967
242280	829	1998-04-14	VYDAJ	PREVOD NA UCET	2120	25280	SIPO	UV	85781967
242281	829	1998-05-14	VYDAJ	PREVOD NA UCET	2120	26430	SIPO	UV	85781967
242282	829	1998-06-14	VYDAJ	PREVOD NA UCET	2120	26533	SIPO	UV	85781967
242283	829	1998-07-14	VYDAJ	PREVOD NA UCET	2120	27688	SIPO	UV	85781967
242284	829	1998-08-14	VYDAJ	PREVOD NA UCET	2120	28668	SIPO	UV	85781967
242285	829	1998-09-14	VYDAJ	PREVOD NA UCET	2120	29832	SIPO	UV	85781967
242286	829	1998-10-14	VYDAJ	PREVOD NA UCET	2120	31000	SIPO	UV	85781967
242287	829	1998-11-14	VYDAJ	PREVOD NA UCET	2120	31424	SIPO	UV	85781967
242288	829	1998-12-14	VYDAJ	PREVOD NA UCET	2120	31549	SIPO	UV	85781967
242290	829	1997-12-09	VYDAJ	VYBER	720	20623	\N	\N	\N
242291	829	1998-12-20	VYDAJ	VYBER	360	31189	\N	\N	\N
242295	829	1997-10-12	VYDAJ	VYBER	1170	22260	\N	\N	\N
242296	829	1997-12-22	VYDAJ	VYBER	960	20724	\N	\N	\N
242297	829	1997-05-07	VYDAJ	VYBER	210	15574	\N	\N	\N
242298	829	1997-06-25	VYDAJ	VYBER	930	16820	\N	\N	\N
242300	829	1998-05-25	VYDAJ	VYBER	1050	25380	\N	\N	\N
242301	829	1998-07-24	VYDAJ	VYBER	180	27508	\N	\N	\N
242302	829	1998-11-23	VYDAJ	VYBER	1050	30374	\N	\N	\N
242303	829	1998-11-14	VYDAJ	VYBER	750	33544	\N	\N	\N
242319	829	1997-03-31	VYDAJ	VYBER	15	14674	SLUZBY	\N	\N
242320	829	1997-04-30	VYDAJ	VYBER	15	15784	SLUZBY	\N	\N
242321	829	1997-05-31	VYDAJ	VYBER	15	16689	SLUZBY	\N	\N
242322	829	1997-06-30	VYDAJ	VYBER	15	16877	SLUZBY	\N	\N
242323	829	1997-07-31	VYDAJ	VYBER	15	17996	SLUZBY	\N	\N
242324	829	1997-08-31	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
242325	829	1997-09-30	VYDAJ	VYBER	15	20249	SLUZBY	\N	\N
242326	829	1997-10-31	VYDAJ	VYBER	15	20210	SLUZBY	\N	\N
242327	829	1997-11-30	VYDAJ	VYBER	15	21343	SLUZBY	\N	\N
242328	829	1997-12-31	VYDAJ	VYBER	15	20798	SLUZBY	\N	\N
242329	829	1998-01-31	VYDAJ	VYBER	15	21934	SLUZBY	\N	\N
242330	829	1998-02-28	VYDAJ	VYBER	15	23074	SLUZBY	\N	\N
242331	829	1998-03-31	VYDAJ	VYBER	15	24219	SLUZBY	\N	\N
242332	829	1998-04-30	VYDAJ	VYBER	15	25369	SLUZBY	\N	\N
242333	829	1998-05-31	VYDAJ	VYBER	15	25472	SLUZBY	\N	\N
242334	829	1998-06-30	VYDAJ	VYBER	15	26627	SLUZBY	\N	\N
242335	829	1998-07-31	VYDAJ	VYBER	15	27607	SLUZBY	\N	\N
242336	829	1998-08-31	VYDAJ	VYBER	15	28771	SLUZBY	\N	\N
242337	829	1998-09-30	VYDAJ	VYBER	15	29939	SLUZBY	\N	\N
242338	829	1998-10-31	VYDAJ	VYBER	15	31113	SLUZBY	\N	\N
242339	829	1998-11-30	VYDAJ	VYBER	15	30488	SLUZBY	\N	\N
242366	830	1993-02-08	PRIJEM	VKLAD	200	200	\N	\N	\N
242369	830	1993-03-08	PRIJEM	VKLAD	16623	16823	\N	\N	\N
242370	830	1993-04-08	PRIJEM	VKLAD	16623	35602	\N	\N	\N
242371	830	1993-05-08	PRIJEM	VKLAD	16623	45935	\N	\N	\N
242372	830	1993-06-08	PRIJEM	VKLAD	24935	61113	\N	\N	\N
242373	830	1993-07-08	PRIJEM	VKLAD	16623	58403	\N	\N	\N
242374	830	1993-08-08	PRIJEM	VKLAD	16623	52437	\N	\N	\N
242375	830	1993-09-08	PRIJEM	VKLAD	16623	53353	\N	\N	\N
242376	830	1993-10-08	PRIJEM	VKLAD	16623	56881	\N	\N	\N
242377	830	1993-11-08	PRIJEM	VKLAD	16623	58123	\N	\N	\N
242378	830	1993-12-08	PRIJEM	VKLAD	24935	67584	\N	\N	\N
242379	830	1994-01-08	PRIJEM	VKLAD	16623	63382	\N	\N	\N
242380	830	1994-02-08	PRIJEM	VKLAD	16623	60055	\N	\N	\N
242381	830	1994-03-08	PRIJEM	VKLAD	16623	61017	\N	\N	\N
242382	830	1994-04-08	PRIJEM	VKLAD	16623	58779	\N	\N	\N
242383	830	1994-05-08	PRIJEM	VKLAD	16623	57934	\N	\N	\N
242384	830	1994-06-08	PRIJEM	VKLAD	24935	66614	\N	\N	\N
242385	830	1994-07-08	PRIJEM	VKLAD	16623	57314	\N	\N	\N
242386	830	1994-08-08	PRIJEM	VKLAD	16623	57093	\N	\N	\N
242387	830	1994-09-08	PRIJEM	VKLAD	16623	59446	\N	\N	\N
242388	830	1994-10-08	PRIJEM	VKLAD	16623	62493	\N	\N	\N
242389	830	1994-11-08	PRIJEM	VKLAD	16623	60435	\N	\N	\N
242390	830	1994-12-08	PRIJEM	VKLAD	24935	66548	\N	\N	\N
242391	830	1995-01-08	PRIJEM	VKLAD	16623	66710	\N	\N	\N
242392	830	1995-02-08	PRIJEM	VKLAD	16623	62910	\N	\N	\N
242393	830	1995-03-08	PRIJEM	VKLAD	16623	64011	\N	\N	\N
242394	830	1995-04-08	PRIJEM	VKLAD	16623	64334	\N	\N	\N
242395	830	1995-05-08	PRIJEM	VKLAD	16623	60421	\N	\N	\N
242396	830	1995-06-08	PRIJEM	VKLAD	24935	49643	\N	\N	\N
242397	830	1995-07-08	PRIJEM	VKLAD	16623	55551	\N	\N	\N
242398	830	1995-08-08	PRIJEM	VKLAD	16623	59022	\N	\N	\N
242399	830	1995-09-08	PRIJEM	VKLAD	16623	59806	\N	\N	\N
242400	830	1995-10-08	PRIJEM	VKLAD	16623	61494	\N	\N	\N
242401	830	1995-11-08	PRIJEM	VKLAD	16623	65691	\N	\N	\N
242402	830	1995-12-08	PRIJEM	VKLAD	24935	74814	\N	\N	\N
242403	830	1996-01-08	PRIJEM	VKLAD	16623	67042	\N	\N	\N
242404	830	1996-02-08	PRIJEM	VKLAD	16623	68397	\N	\N	\N
242405	830	1996-03-08	PRIJEM	VKLAD	16623	64440	\N	\N	\N
242406	830	1996-04-08	PRIJEM	VKLAD	16623	62067	\N	\N	\N
242407	830	1996-05-08	PRIJEM	VKLAD	16623	68369	\N	\N	\N
242408	830	1996-06-08	PRIJEM	VKLAD	24935	78805	\N	\N	\N
242409	830	1996-07-08	PRIJEM	VKLAD	16623	57132	\N	\N	\N
242410	830	1996-08-08	PRIJEM	VKLAD	16623	61414	\N	\N	\N
242411	830	1996-09-08	PRIJEM	VKLAD	16623	66314	\N	\N	\N
242412	830	1996-10-08	PRIJEM	VKLAD	16623	73537	\N	\N	\N
242413	830	1996-11-08	PRIJEM	VKLAD	16623	74081	\N	\N	\N
242414	830	1996-12-08	PRIJEM	VKLAD	24935	83639	\N	\N	\N
242415	830	1997-01-08	PRIJEM	VKLAD	16623	82909	\N	\N	\N
242416	830	1997-02-08	PRIJEM	VKLAD	16623	83291	\N	\N	\N
242417	830	1997-03-08	PRIJEM	VKLAD	16623	82372	\N	\N	\N
242418	830	1997-04-08	PRIJEM	VKLAD	16623	85156	\N	\N	\N
242419	830	1997-05-08	PRIJEM	VKLAD	16623	84946	\N	\N	\N
242420	830	1997-06-08	PRIJEM	VKLAD	24935	95451	\N	\N	\N
242421	830	1997-07-08	PRIJEM	VKLAD	16623	87241	\N	\N	\N
242422	830	1997-08-08	PRIJEM	VKLAD	16623	82868	\N	\N	\N
242423	830	1997-09-08	PRIJEM	VKLAD	16623	85063	\N	\N	\N
242424	830	1997-10-08	PRIJEM	VKLAD	16623	78538	\N	\N	\N
242425	830	1997-11-08	PRIJEM	VKLAD	16623	76397	\N	\N	\N
242426	830	1997-12-08	PRIJEM	VKLAD	24935	84861	\N	\N	\N
242427	830	1998-01-08	PRIJEM	VKLAD	16623	73120	\N	\N	\N
242428	830	1998-02-08	PRIJEM	VKLAD	16623	74863	\N	\N	\N
242429	830	1998-03-08	PRIJEM	VKLAD	16623	77316	\N	\N	\N
242430	830	1998-04-08	PRIJEM	VKLAD	16623	74566	\N	\N	\N
242431	830	1998-05-08	PRIJEM	VKLAD	16623	75712	\N	\N	\N
242432	830	1998-06-08	PRIJEM	VKLAD	24935	45522	\N	\N	\N
242433	830	1998-07-08	PRIJEM	VKLAD	16623	61922	\N	\N	\N
242434	830	1998-08-08	PRIJEM	VKLAD	16623	68931	\N	\N	\N
242435	830	1998-09-08	PRIJEM	VKLAD	16623	70454	\N	\N	\N
242436	830	1998-10-08	PRIJEM	VKLAD	16623	73487	\N	\N	\N
242437	830	1998-11-08	PRIJEM	VKLAD	16623	75931	\N	\N	\N
242438	830	1998-12-08	PRIJEM	VKLAD	24935	78885	\N	\N	\N
242440	830	1994-06-16	VYDAJ	VYBER	16640	49974	\N	\N	\N
242441	830	1995-06-06	VYDAJ	VYBER	22880	24709	\N	\N	\N
242442	830	1996-06-24	VYDAJ	VYBER	15840	40265	\N	\N	\N
242443	830	1997-06-10	VYDAJ	VYBER	13120	82331	\N	\N	\N
242444	830	1998-06-05	VYDAJ	VYBER	35040	20588	\N	\N	\N
242445	830	1993-12-27	VYDAJ	VYBER	4480	63104	\N	\N	\N
242446	830	1994-12-01	VYDAJ	VYBER	4640	41614	\N	\N	\N
242447	830	1995-12-21	VYDAJ	VYBER KARTOU	2900	71914	\N	\N	0
242448	830	1996-12-17	VYDAJ	VYBER KARTOU	1000	82639	\N	\N	0
242449	830	1997-12-29	VYDAJ	VYBER KARTOU	3500	56261	\N	\N	0
242450	830	1998-12-29	VYDAJ	VYBER KARTOU	1300	57385	\N	\N	0
242452	830	1993-08-25	VYDAJ	VYBER	1800	50637	\N	\N	\N
242456	830	1994-09-16	VYDAJ	VYBER	1200	58246	\N	\N	\N
242457	830	1994-11-04	VYDAJ	VYBER	720	43812	\N	\N	\N
242458	830	1994-05-19	VYDAJ	VYBER	1080	56854	\N	\N	\N
242459	830	1994-08-28	VYDAJ	VYBER	4080	53013	\N	\N	\N
242460	830	1994-08-03	VYDAJ	VYBER	3360	40470	\N	\N	\N
242461	830	1994-06-18	VYDAJ	VYBER	1200	48774	\N	\N	\N
242462	830	1995-04-24	VYDAJ	VYBER	4560	55694	\N	\N	\N
242463	830	1995-08-27	VYDAJ	VYBER KARTOU	800	43022	\N	\N	0
242464	830	1995-11-28	VYDAJ	VYBER KARTOU	600	49691	\N	\N	0
242465	830	1995-01-16	VYDAJ	VYBER	2040	64670	\N	\N	\N
242466	830	1995-03-21	VYDAJ	VYBER KARTOU	1200	62811	\N	\N	0
242467	830	1995-04-15	VYDAJ	VYBER	4080	60254	\N	\N	\N
242468	830	1996-01-05	VYDAJ	VYBER KARTOU	1600	50419	\N	\N	0
242469	830	1996-03-12	VYDAJ	VYBER KARTOU	2800	61640	\N	\N	0
242470	830	1996-06-08	VYDAJ	VYBER KARTOU	4000	74805	\N	\N	0
242471	830	1996-07-25	VYDAJ	VYBER KARTOU	1300	44632	\N	\N	0
242472	830	1996-02-09	VYDAJ	VYBER KARTOU	4000	64397	\N	\N	0
242473	830	1996-03-31	VYDAJ	VYBER KARTOU	1000	45444	\N	\N	0
242474	830	1997-09-19	VYDAJ	VYBER KARTOU	1200	61663	\N	\N	0
242475	830	1997-12-12	VYDAJ	VYBER KARTOU	700	84161	\N	\N	0
242476	830	1997-08-11	VYDAJ	VYBER KARTOU	600	82268	\N	\N	0
242477	830	1997-07-17	VYDAJ	VYBER KARTOU	1400	85841	\N	\N	0
242478	830	1997-12-24	VYDAJ	VYBER KARTOU	1000	59761	\N	\N	0
242479	830	1997-10-28	VYDAJ	VYBER KARTOU	2000	59538	\N	\N	0
242480	830	1998-02-11	VYDAJ	VYBER KARTOU	800	74063	\N	\N	0
242481	830	1998-03-20	VYDAJ	VYBER KARTOU	2600	57716	\N	\N	0
242482	830	1998-11-30	VYDAJ	VYBER	4200	53966	\N	\N	\N
242483	830	1998-08-11	VYDAJ	VYBER KARTOU	2000	53631	\N	\N	0
242484	830	1998-07-12	VYDAJ	VYBER KARTOU	1200	52122	\N	\N	0
242492	830	1993-07-31	VYDAJ	VYBER	15	41914	SLUZBY	\N	\N
242493	830	1993-08-31	VYDAJ	VYBER	15	50830	SLUZBY	\N	\N
242494	830	1993-09-30	VYDAJ	VYBER	15	53558	SLUZBY	\N	\N
242495	830	1993-10-31	VYDAJ	VYBER	15	57100	SLUZBY	\N	\N
242496	830	1993-11-30	VYDAJ	VYBER	15	58350	SLUZBY	\N	\N
242497	830	1993-12-31	VYDAJ	VYBER	15	63359	SLUZBY	\N	\N
242498	830	1994-01-31	VYDAJ	VYBER	15	63632	SLUZBY	\N	\N
242499	830	1994-02-28	VYDAJ	VYBER	15	60294	SLUZBY	\N	\N
242500	830	1994-03-31	VYDAJ	VYBER	15	61256	SLUZBY	\N	\N
242501	830	1994-04-30	VYDAJ	VYBER	15	59011	SLUZBY	\N	\N
242502	830	1994-05-31	VYDAJ	VYBER	15	57080	SLUZBY	\N	\N
242503	830	1994-06-30	VYDAJ	VYBER	15	48991	SLUZBY	\N	\N
242504	830	1994-07-31	VYDAJ	VYBER	15	57530	SLUZBY	\N	\N
242505	830	1994-08-31	VYDAJ	VYBER	15	53223	SLUZBY	\N	\N
242506	830	1994-09-30	VYDAJ	VYBER	15	58470	SLUZBY	\N	\N
242507	830	1994-10-31	VYDAJ	VYBER	15	62732	SLUZBY	\N	\N
242508	830	1994-11-30	VYDAJ	VYBER	15	46254	SLUZBY	\N	\N
242509	830	1994-12-31	VYDAJ	VYBER	15	50087	SLUZBY	\N	\N
242510	830	1995-01-31	VYDAJ	VYBER	15	46287	SLUZBY	\N	\N
242511	830	1995-02-28	VYDAJ	VYBER	15	47388	SLUZBY	\N	\N
242512	830	1995-03-31	VYDAJ	VYBER	15	47711	SLUZBY	\N	\N
242513	830	1995-04-30	VYDAJ	VYBER	15	43798	SLUZBY	\N	\N
242514	830	1995-05-31	VYDAJ	VYBER	15	47589	SLUZBY	\N	\N
242515	830	1995-06-30	VYDAJ	VYBER	15	38928	SLUZBY	\N	\N
242516	830	1995-07-31	VYDAJ	VYBER	15	42399	SLUZBY	\N	\N
242517	830	1995-08-31	VYDAJ	VYBER	15	43183	SLUZBY	\N	\N
242518	830	1995-09-30	VYDAJ	VYBER	15	44871	SLUZBY	\N	\N
242519	830	1995-10-31	VYDAJ	VYBER	15	49068	SLUZBY	\N	\N
242520	830	1995-11-30	VYDAJ	VYBER	15	49879	SLUZBY	\N	\N
242521	830	1995-12-31	VYDAJ	VYBER	15	52019	SLUZBY	\N	\N
242522	830	1996-01-31	VYDAJ	VYBER	15	51774	SLUZBY	\N	\N
242523	830	1996-02-29	VYDAJ	VYBER	15	47817	SLUZBY	\N	\N
242524	830	1996-03-31	VYDAJ	VYBER	15	46444	SLUZBY	\N	\N
242525	830	1996-04-30	VYDAJ	VYBER	15	51746	SLUZBY	\N	\N
242526	830	1996-05-31	VYDAJ	VYBER	15	53871	SLUZBY	\N	\N
242527	830	1996-06-30	VYDAJ	VYBER	15	40509	SLUZBY	\N	\N
242528	830	1996-07-31	VYDAJ	VYBER	15	44791	SLUZBY	\N	\N
242529	830	1996-08-31	VYDAJ	VYBER	15	49691	SLUZBY	\N	\N
242530	830	1996-09-30	VYDAJ	VYBER	15	56914	SLUZBY	\N	\N
242531	830	1996-10-31	VYDAJ	VYBER	15	57458	SLUZBY	\N	\N
242532	830	1996-11-30	VYDAJ	VYBER	15	58705	SLUZBY	\N	\N
242533	830	1996-12-31	VYDAJ	VYBER	15	66286	SLUZBY	\N	\N
242534	830	1997-01-31	VYDAJ	VYBER	15	66668	SLUZBY	\N	\N
242535	830	1997-02-28	VYDAJ	VYBER	15	65749	SLUZBY	\N	\N
242536	830	1997-03-31	VYDAJ	VYBER	15	68533	SLUZBY	\N	\N
242537	830	1997-04-30	VYDAJ	VYBER	15	68323	SLUZBY	\N	\N
242538	830	1997-05-31	VYDAJ	VYBER	15	70516	SLUZBY	\N	\N
242539	830	1997-06-30	VYDAJ	VYBER	15	70618	SLUZBY	\N	\N
242540	830	1997-07-31	VYDAJ	VYBER	15	66245	SLUZBY	\N	\N
242541	830	1997-08-31	VYDAJ	VYBER	15	68440	SLUZBY	\N	\N
242542	830	1997-09-30	VYDAJ	VYBER	15	61915	SLUZBY	\N	\N
242543	830	1997-10-31	VYDAJ	VYBER	15	59774	SLUZBY	\N	\N
242544	830	1997-11-30	VYDAJ	VYBER	15	59927	SLUZBY	\N	\N
242545	830	1997-12-31	VYDAJ	VYBER	15	56497	SLUZBY	\N	\N
242546	830	1998-01-31	VYDAJ	VYBER	15	58240	SLUZBY	\N	\N
242547	830	1998-02-28	VYDAJ	VYBER	15	60693	SLUZBY	\N	\N
242548	830	1998-03-31	VYDAJ	VYBER	15	57943	SLUZBY	\N	\N
242549	830	1998-04-30	VYDAJ	VYBER	15	59089	SLUZBY	\N	\N
242550	830	1998-05-31	VYDAJ	VYBER	15	55628	SLUZBY	\N	\N
242551	830	1998-06-30	VYDAJ	VYBER	15	45299	SLUZBY	\N	\N
242552	830	1998-07-31	VYDAJ	VYBER	15	52308	SLUZBY	\N	\N
242553	830	1998-08-31	VYDAJ	VYBER	15	53831	SLUZBY	\N	\N
242554	830	1998-09-30	VYDAJ	VYBER	15	56864	SLUZBY	\N	\N
242555	830	1998-10-31	VYDAJ	VYBER	15	59308	SLUZBY	\N	\N
242556	830	1998-11-30	VYDAJ	VYBER	15	53951	SLUZBY	\N	\N
242557	830	1993-03-10	PRIJEM	VKLAD	2100	18923	\N	\N	\N
242558	830	1993-04-09	VYDAJ	VYBER	6400	29202	\N	\N	\N
242559	830	1993-05-09	VYDAJ	VYBER	9900	36035	\N	\N	\N
242560	830	1993-06-08	VYDAJ	VYBER	19500	41613	\N	\N	\N
242561	830	1993-07-08	VYDAJ	VYBER	16700	41703	\N	\N	\N
242562	830	1993-08-07	VYDAJ	VYBER	6100	35814	\N	\N	\N
242563	830	1993-09-06	VYDAJ	VYBER	14100	36730	\N	\N	\N
242564	830	1993-10-06	VYDAJ	VYBER	13300	40258	\N	\N	\N
242565	830	1993-11-05	VYDAJ	VYBER	15600	41500	\N	\N	\N
242566	830	1993-12-05	VYDAJ	VYBER	15700	42650	\N	\N	\N
242567	830	1994-01-04	VYDAJ	VYBER	16600	46759	\N	\N	\N
242568	830	1994-02-03	VYDAJ	VYBER	20200	43432	\N	\N	\N
242569	830	1994-03-05	VYDAJ	VYBER	15900	44394	\N	\N	\N
242570	830	1994-04-04	VYDAJ	VYBER	19100	42156	\N	\N	\N
242571	830	1994-05-04	VYDAJ	VYBER	17700	41311	\N	\N	\N
242572	830	1994-06-03	VYDAJ	VYBER	15400	41680	\N	\N	\N
242573	830	1994-07-03	VYDAJ	VYBER	8300	40691	\N	\N	\N
242574	830	1994-08-02	VYDAJ	VYBER	13700	43830	\N	\N	\N
242575	830	1994-09-01	VYDAJ	VYBER	10400	42823	\N	\N	\N
242576	830	1994-10-01	VYDAJ	VYBER	12600	45870	\N	\N	\N
242577	830	1994-10-31	VYDAJ	VYBER	18200	44532	\N	\N	\N
242578	830	1994-11-30	VYDAJ	VYBER	14400	46268	\N	\N	\N
242579	830	1994-12-30	VYDAJ	VYBER	16700	49848	\N	\N	\N
242580	830	1995-01-29	VYDAJ	VYBER	18600	46070	\N	\N	\N
242581	830	1995-02-28	VYDAJ	VYBER	15700	47402	\N	\N	\N
242582	830	1995-03-30	VYDAJ	VYBER	15300	47511	\N	\N	\N
242583	830	1995-04-29	VYDAJ	VYBER	12100	43594	\N	\N	\N
242584	830	1995-05-29	VYDAJ	VYBER	13000	47421	\N	\N	\N
242585	830	1995-06-28	VYDAJ	VYBER	10900	38743	\N	\N	\N
242586	830	1995-07-28	VYDAJ	VYBER	13300	42251	\N	\N	\N
242587	830	1995-08-27	VYDAJ	VYBER	15200	43822	\N	\N	\N
242588	830	1995-09-26	VYDAJ	VYBER	15100	44706	\N	\N	\N
242589	830	1995-10-26	VYDAJ	VYBER	12600	48894	\N	\N	\N
242590	830	1995-11-25	VYDAJ	VYBER	15400	50291	\N	\N	\N
242591	830	1995-12-25	VYDAJ	VYBER	20100	51814	\N	\N	\N
242592	830	1996-01-24	VYDAJ	VYBER	15500	51542	\N	\N	\N
242593	830	1996-02-23	VYDAJ	VYBER	16800	47597	\N	\N	\N
242594	830	1996-03-24	VYDAJ	VYBER	15400	46240	\N	\N	\N
242595	830	1996-04-23	VYDAJ	VYBER	10500	51567	\N	\N	\N
242596	830	1996-05-23	VYDAJ	VYBER	14700	53669	\N	\N	\N
242597	830	1996-06-22	VYDAJ	VYBER	18700	56105	\N	\N	\N
242598	830	1996-07-22	VYDAJ	VYBER	11200	45932	\N	\N	\N
242599	830	1996-08-21	VYDAJ	VYBER	11900	49514	\N	\N	\N
242600	830	1996-09-20	VYDAJ	VYBER	9600	56714	\N	\N	\N
242601	830	1996-10-20	VYDAJ	VYBER	16300	57237	\N	\N	\N
242602	830	1996-11-19	VYDAJ	VYBER	15600	58481	\N	\N	\N
242603	830	1996-12-19	VYDAJ	VYBER	16600	66039	\N	\N	\N
242604	830	1997-01-18	VYDAJ	VYBER	16500	66409	\N	\N	\N
242605	830	1997-02-17	VYDAJ	VYBER	17800	65491	\N	\N	\N
242606	830	1997-03-19	VYDAJ	VYBER	14100	68272	\N	\N	\N
242607	830	1997-04-18	VYDAJ	VYBER	17100	68056	\N	\N	\N
242608	830	1997-05-18	VYDAJ	VYBER	14700	70246	\N	\N	\N
242609	830	1997-06-17	VYDAJ	VYBER	12000	70331	\N	\N	\N
242610	830	1997-07-17	VYDAJ	VYBER	19900	65941	\N	\N	\N
242611	830	1997-08-16	VYDAJ	VYBER	14100	68168	\N	\N	\N
242612	830	1997-09-15	VYDAJ	VYBER	22200	62863	\N	\N	\N
242613	830	1997-10-15	VYDAJ	VYBER	17000	61538	\N	\N	\N
242614	830	1997-11-14	VYDAJ	VYBER	16700	59697	\N	\N	\N
242615	830	1997-12-14	VYDAJ	VYBER	23400	60761	\N	\N	\N
242616	830	1998-01-13	VYDAJ	VYBER	15100	58020	\N	\N	\N
242617	830	1998-02-12	VYDAJ	VYBER	13600	60463	\N	\N	\N
242618	830	1998-03-14	VYDAJ	VYBER	17000	60316	\N	\N	\N
242619	830	1998-04-13	VYDAJ	VYBER	15700	58866	\N	\N	\N
242620	830	1998-05-13	VYDAJ	VYBER	20300	55412	\N	\N	\N
242621	830	1998-06-12	VYDAJ	VYBER KARTOU	400	45122	\N	\N	0
242622	830	1998-07-12	VYDAJ	VYBER	8600	53322	\N	\N	\N
242623	830	1998-08-11	VYDAJ	VYBER	13300	55631	\N	\N	\N
242624	830	1998-09-10	VYDAJ	VYBER	13800	56654	\N	\N	\N
242625	830	1998-10-10	VYDAJ	VYBER	14400	59087	\N	\N	\N
242626	830	1998-11-09	VYDAJ	VYBER	18000	57931	\N	\N	\N
242627	830	1998-12-09	VYDAJ	VYBER	20200	58685	\N	\N	\N
242698	831	1996-09-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
242708	831	1996-10-07	PRIJEM	PREVOD Z UCTU	3437	4437	\N	IJ	13867229
242709	831	1996-11-07	PRIJEM	PREVOD Z UCTU	3437	7874	\N	IJ	13867229
242710	831	1996-12-07	PRIJEM	PREVOD Z UCTU	3437	11311	\N	IJ	13867229
242711	831	1997-01-07	PRIJEM	PREVOD Z UCTU	3437	14748	\N	IJ	13867229
242712	831	1997-02-07	PRIJEM	PREVOD Z UCTU	3437	18185	\N	IJ	13867229
242713	831	1997-03-07	PRIJEM	PREVOD Z UCTU	3437	19376	\N	IJ	13867229
242714	831	1997-04-07	PRIJEM	PREVOD Z UCTU	3437	20585	\N	IJ	13867229
242715	831	1997-05-07	PRIJEM	PREVOD Z UCTU	3437	21799	\N	IJ	13867229
242716	831	1997-06-07	PRIJEM	PREVOD Z UCTU	3437	21017	\N	IJ	13867229
242717	831	1997-07-07	PRIJEM	PREVOD Z UCTU	3437	16085	\N	IJ	13867229
242718	831	1997-08-07	PRIJEM	PREVOD Z UCTU	3437	16071	\N	IJ	13867229
242719	831	1997-09-07	PRIJEM	PREVOD Z UCTU	3437	16557	\N	IJ	13867229
242720	831	1997-10-07	PRIJEM	PREVOD Z UCTU	3437	14842	\N	IJ	13867229
242721	831	1997-11-07	PRIJEM	PREVOD Z UCTU	3437	16025	\N	IJ	13867229
242722	831	1997-12-07	PRIJEM	PREVOD Z UCTU	3437	16911	\N	IJ	13867229
242723	831	1998-01-07	PRIJEM	PREVOD Z UCTU	3437	15295	\N	IJ	13867229
242724	831	1998-02-07	PRIJEM	PREVOD Z UCTU	3437	15880	\N	IJ	13867229
242725	831	1998-03-07	PRIJEM	PREVOD Z UCTU	3437	17074	\N	IJ	13867229
242726	831	1998-04-07	PRIJEM	PREVOD Z UCTU	3437	17852	\N	IJ	13867229
242727	831	1998-05-07	PRIJEM	PREVOD Z UCTU	3437	18244	\N	IJ	13867229
242728	831	1998-06-07	PRIJEM	PREVOD Z UCTU	3437	19448	\N	IJ	13867229
242729	831	1998-07-07	PRIJEM	PREVOD Z UCTU	3437	20200	\N	IJ	13867229
242730	831	1998-08-07	PRIJEM	PREVOD Z UCTU	3437	21413	\N	IJ	13867229
242731	831	1998-09-07	PRIJEM	PREVOD Z UCTU	3437	19404	\N	IJ	13867229
242732	831	1998-10-07	PRIJEM	PREVOD Z UCTU	3437	20612	\N	IJ	13867229
242733	831	1998-11-07	PRIJEM	PREVOD Z UCTU	3437	18460	\N	IJ	13867229
242734	831	1998-12-07	PRIJEM	PREVOD Z UCTU	3437	19565	\N	IJ	13867229
242748	831	1997-02-07	VYDAJ	PREVOD NA UCET	2291	15894	SIPO	QR	94460784
242749	831	1997-03-07	VYDAJ	PREVOD NA UCET	2291	17085	SIPO	QR	94460784
242750	831	1997-04-07	VYDAJ	PREVOD NA UCET	2291	18294	SIPO	QR	94460784
242751	831	1997-05-07	VYDAJ	PREVOD NA UCET	2291	19508	SIPO	QR	94460784
242752	831	1997-06-07	VYDAJ	PREVOD NA UCET	2291	18726	SIPO	QR	94460784
242753	831	1997-07-07	VYDAJ	PREVOD NA UCET	2291	13794	SIPO	QR	94460784
242754	831	1997-08-07	VYDAJ	PREVOD NA UCET	2291	13780	SIPO	QR	94460784
242755	831	1997-09-07	VYDAJ	PREVOD NA UCET	2291	14266	SIPO	QR	94460784
242756	831	1997-10-07	VYDAJ	PREVOD NA UCET	2291	12551	SIPO	QR	94460784
242757	831	1997-11-07	VYDAJ	PREVOD NA UCET	2291	13734	SIPO	QR	94460784
242758	831	1997-12-07	VYDAJ	PREVOD NA UCET	2291	14620	SIPO	QR	94460784
242759	831	1998-01-07	VYDAJ	PREVOD NA UCET	2291	13004	SIPO	QR	94460784
242760	831	1998-02-07	VYDAJ	PREVOD NA UCET	2291	13589	SIPO	QR	94460784
242761	831	1998-03-07	VYDAJ	PREVOD NA UCET	2291	14783	SIPO	QR	94460784
242762	831	1998-04-07	VYDAJ	PREVOD NA UCET	2291	15561	SIPO	QR	94460784
242763	831	1998-05-07	VYDAJ	PREVOD NA UCET	2291	15953	SIPO	QR	94460784
242764	831	1998-06-07	VYDAJ	PREVOD NA UCET	2291	17157	SIPO	QR	94460784
242765	831	1998-07-07	VYDAJ	PREVOD NA UCET	2291	17909	SIPO	QR	94460784
242766	831	1998-08-07	VYDAJ	PREVOD NA UCET	2291	19122	SIPO	QR	94460784
242767	831	1998-09-07	VYDAJ	PREVOD NA UCET	2291	17113	SIPO	QR	94460784
242768	831	1998-10-07	VYDAJ	PREVOD NA UCET	2291	18321	SIPO	QR	94460784
242769	831	1998-11-07	VYDAJ	PREVOD NA UCET	2291	16169	SIPO	QR	94460784
242770	831	1998-12-07	VYDAJ	PREVOD NA UCET	2291	17274	SIPO	QR	94460784
242772	831	1997-06-18	VYDAJ	VYBER	2130	12596	\N	\N	\N
242794	831	1998-01-13	VYDAJ	VYBER	600	12404	\N	\N	\N
242802	831	1997-06-07	VYDAJ	VYBER	300	18426	\N	\N	\N
242805	831	1997-05-11	VYDAJ	VYBER	390	19118	\N	\N	\N
242806	831	1997-07-12	VYDAJ	VYBER	1200	12594	\N	\N	\N
242808	831	1998-03-27	VYDAJ	VYBER	420	14363	\N	\N	\N
242809	831	1998-04-30	VYDAJ	VYBER	810	14807	\N	\N	\N
242810	831	1998-10-21	VYDAJ	VYBER	1050	14971	\N	\N	\N
242811	831	1998-08-19	VYDAJ	VYBER	810	15912	\N	\N	\N
242812	831	1998-07-01	VYDAJ	VYBER	450	16763	\N	\N	\N
242827	831	1997-02-28	VYDAJ	VYBER	15	15939	SLUZBY	\N	\N
242828	831	1997-03-31	VYDAJ	VYBER	15	17148	SLUZBY	\N	\N
242829	831	1997-04-30	VYDAJ	VYBER	15	18362	SLUZBY	\N	\N
242830	831	1997-05-31	VYDAJ	VYBER	15	17580	SLUZBY	\N	\N
242831	831	1997-06-30	VYDAJ	VYBER	15	12648	SLUZBY	\N	\N
242832	831	1997-07-31	VYDAJ	VYBER	15	12634	SLUZBY	\N	\N
242833	831	1997-08-31	VYDAJ	VYBER	15	13120	SLUZBY	\N	\N
242834	831	1997-09-30	VYDAJ	VYBER	15	11405	SLUZBY	\N	\N
242835	831	1997-10-31	VYDAJ	VYBER	15	12588	SLUZBY	\N	\N
242836	831	1997-11-30	VYDAJ	VYBER	15	13474	SLUZBY	\N	\N
242837	831	1997-12-31	VYDAJ	VYBER	15	11858	SLUZBY	\N	\N
242838	831	1998-01-31	VYDAJ	VYBER	15	12443	SLUZBY	\N	\N
242839	831	1998-02-28	VYDAJ	VYBER	15	13637	SLUZBY	\N	\N
242840	831	1998-03-31	VYDAJ	VYBER	15	14415	SLUZBY	\N	\N
242841	831	1998-04-30	VYDAJ	VYBER	15	15617	SLUZBY	\N	\N
242842	831	1998-05-31	VYDAJ	VYBER	15	16011	SLUZBY	\N	\N
242843	831	1998-06-30	VYDAJ	VYBER	15	17213	SLUZBY	\N	\N
242844	831	1998-07-31	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
242845	831	1998-08-31	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
242846	831	1998-09-30	VYDAJ	VYBER	15	17175	SLUZBY	\N	\N
242847	831	1998-10-31	VYDAJ	VYBER	15	15023	SLUZBY	\N	\N
242848	831	1998-11-30	VYDAJ	VYBER	15	16128	SLUZBY	\N	\N
242849	831	1997-05-16	VYDAJ	VYBER	1600	17518	\N	\N	\N
242850	831	1997-06-15	VYDAJ	VYBER	3700	14726	\N	\N	\N
242851	831	1997-08-14	VYDAJ	VYBER	700	13080	\N	\N	\N
242852	831	1997-09-13	VYDAJ	VYBER	2900	11366	\N	\N	\N
242853	831	1997-11-12	VYDAJ	VYBER	300	13434	\N	\N	\N
242854	831	1997-12-12	VYDAJ	VYBER	2800	11820	\N	\N	\N
242855	831	1998-08-09	VYDAJ	VYBER	2400	16722	\N	\N	\N
242856	831	1998-10-08	VYDAJ	VYBER	2300	16021	\N	\N	\N
242857	831	1998-11-07	VYDAJ	VYBER	100	16069	\N	\N	\N
242881	832	1996-05-24	PRIJEM	VKLAD	500	500	\N	\N	\N
242887	832	1996-06-11	PRIJEM	PREVOD Z UCTU	3203	3703	\N	AB	64548641
242888	832	1996-07-11	PRIJEM	PREVOD Z UCTU	3203	6906	\N	AB	64548641
242889	832	1996-08-11	PRIJEM	PREVOD Z UCTU	3203	10109	\N	AB	64548641
242890	832	1996-09-11	PRIJEM	PREVOD Z UCTU	3203	13312	\N	AB	64548641
242891	832	1996-10-11	PRIJEM	PREVOD Z UCTU	3203	16515	\N	AB	64548641
242892	832	1996-11-11	PRIJEM	PREVOD Z UCTU	3203	17607	\N	AB	64548641
242893	832	1996-12-11	PRIJEM	PREVOD Z UCTU	3203	18333	\N	AB	64548641
242894	832	1997-01-11	PRIJEM	PREVOD Z UCTU	3203	16124	\N	AB	64548641
242895	832	1997-02-11	PRIJEM	PREVOD Z UCTU	3203	15703	\N	AB	64548641
242896	832	1997-03-11	PRIJEM	PREVOD Z UCTU	3203	16811	\N	AB	64548641
242897	832	1997-04-11	PRIJEM	PREVOD Z UCTU	3203	16784	\N	AB	64548641
242898	832	1997-05-11	PRIJEM	PREVOD Z UCTU	3203	17899	\N	AB	64548641
242899	832	1997-06-11	PRIJEM	PREVOD Z UCTU	3203	19016	\N	AB	64548641
242900	832	1997-07-11	PRIJEM	PREVOD Z UCTU	3203	16031	\N	AB	64548641
242901	832	1997-08-11	PRIJEM	PREVOD Z UCTU	3203	17141	\N	AB	64548641
242902	832	1997-09-11	PRIJEM	PREVOD Z UCTU	3203	18255	\N	AB	64548641
242903	832	1997-10-11	PRIJEM	PREVOD Z UCTU	3203	17663	\N	AB	64548641
242904	832	1997-11-11	PRIJEM	PREVOD Z UCTU	3203	18781	\N	AB	64548641
242905	832	1997-12-11	PRIJEM	PREVOD Z UCTU	3203	19572	\N	AB	64548641
242906	832	1998-01-11	PRIJEM	PREVOD Z UCTU	3203	18567	\N	AB	64548641
242907	832	1998-02-11	PRIJEM	PREVOD Z UCTU	3203	17554	\N	AB	64548641
242908	832	1998-03-11	PRIJEM	PREVOD Z UCTU	3203	17560	\N	AB	64548641
242909	832	1998-04-11	PRIJEM	PREVOD Z UCTU	3203	17568	\N	AB	64548641
242910	832	1998-05-11	PRIJEM	PREVOD Z UCTU	3203	18684	\N	AB	64548641
242911	832	1998-06-11	PRIJEM	PREVOD Z UCTU	3203	19804	\N	AB	64548641
242912	832	1998-07-11	PRIJEM	PREVOD Z UCTU	3203	19249	\N	AB	64548641
242913	832	1998-08-11	PRIJEM	PREVOD Z UCTU	3203	19651	\N	AB	64548641
242914	832	1998-09-11	PRIJEM	PREVOD Z UCTU	3203	20777	\N	AB	64548641
242915	832	1998-10-11	PRIJEM	PREVOD Z UCTU	3203	20195	\N	AB	64548641
242916	832	1998-11-11	PRIJEM	PREVOD Z UCTU	3203	21324	\N	AB	64548641
242917	832	1998-12-11	PRIJEM	PREVOD Z UCTU	3203	22456	\N	AB	64548641
242927	832	1996-10-12	VYDAJ	PREVOD NA UCET	2135	14380	SIPO	GH	30598807
242928	832	1996-11-12	VYDAJ	PREVOD NA UCET	2135	15472	SIPO	GH	30598807
242929	832	1996-12-12	VYDAJ	PREVOD NA UCET	2135	16198	SIPO	GH	30598807
242930	832	1997-01-12	VYDAJ	PREVOD NA UCET	2135	13839	SIPO	GH	30598807
242931	832	1997-02-12	VYDAJ	PREVOD NA UCET	2135	13568	SIPO	GH	30598807
242932	832	1997-03-12	VYDAJ	PREVOD NA UCET	2135	14676	SIPO	GH	30598807
242933	832	1997-04-12	VYDAJ	PREVOD NA UCET	2135	14649	SIPO	GH	30598807
242934	832	1997-05-12	VYDAJ	PREVOD NA UCET	2135	15764	SIPO	GH	30598807
242935	832	1997-06-12	VYDAJ	PREVOD NA UCET	2135	16881	SIPO	GH	30598807
242936	832	1997-07-12	VYDAJ	PREVOD NA UCET	2135	13896	SIPO	GH	30598807
242937	832	1997-08-12	VYDAJ	PREVOD NA UCET	2135	15006	SIPO	GH	30598807
242938	832	1997-09-12	VYDAJ	PREVOD NA UCET	2135	16120	SIPO	GH	30598807
242939	832	1997-10-12	VYDAJ	PREVOD NA UCET	2135	15528	SIPO	GH	30598807
242940	832	1997-11-12	VYDAJ	PREVOD NA UCET	2135	16646	SIPO	GH	30598807
242941	832	1997-12-12	VYDAJ	PREVOD NA UCET	2135	17437	SIPO	GH	30598807
242942	832	1998-01-12	VYDAJ	PREVOD NA UCET	2135	16192	SIPO	GH	30598807
242943	832	1998-02-12	VYDAJ	PREVOD NA UCET	2135	15419	SIPO	GH	30598807
242944	832	1998-03-12	VYDAJ	PREVOD NA UCET	2135	15425	SIPO	GH	30598807
242945	832	1998-04-12	VYDAJ	PREVOD NA UCET	2135	15433	SIPO	GH	30598807
242946	832	1998-05-12	VYDAJ	PREVOD NA UCET	2135	16549	SIPO	GH	30598807
242947	832	1998-06-12	VYDAJ	PREVOD NA UCET	2135	17669	SIPO	GH	30598807
242948	832	1998-07-12	VYDAJ	PREVOD NA UCET	2135	17114	SIPO	GH	30598807
242949	832	1998-08-12	VYDAJ	PREVOD NA UCET	2135	17516	SIPO	GH	30598807
242950	832	1998-09-12	VYDAJ	PREVOD NA UCET	2135	18642	SIPO	GH	30598807
242951	832	1998-10-12	VYDAJ	PREVOD NA UCET	2135	18060	SIPO	GH	30598807
242952	832	1998-11-12	VYDAJ	PREVOD NA UCET	2135	19189	SIPO	GH	30598807
242953	832	1998-12-12	VYDAJ	PREVOD NA UCET	2135	20321	SIPO	GH	30598807
242956	832	1998-06-29	VYDAJ	VYBER	1680	15989	\N	\N	\N
242958	832	1997-01-02	VYDAJ	VYBER	1800	14451	\N	\N	\N
242959	832	1998-01-04	VYDAJ	VYBER	690	16204	\N	\N	\N
242960	832	1996-12-08	VYDAJ	VYBER	390	15130	\N	\N	\N
242961	832	1997-12-08	VYDAJ	VYBER	330	16369	\N	\N	\N
242962	832	1998-12-27	VYDAJ	VYBER	630	19151	\N	\N	\N
242969	832	1997-01-11	VYDAJ	VYBER	150	15974	\N	\N	\N
242971	832	1997-01-04	VYDAJ	VYBER	540	13911	\N	\N	\N
242972	832	1997-01-10	VYDAJ	VYBER	750	12921	\N	\N	\N
242973	832	1997-01-09	VYDAJ	VYBER	240	13671	\N	\N	\N
242974	832	1997-01-18	VYDAJ	VYBER	540	12459	\N	\N	\N
242975	832	1998-01-17	VYDAJ	VYBER	300	15082	\N	\N	\N
242976	832	1998-01-03	VYDAJ	VYBER	600	16894	\N	\N	\N
242977	832	1998-01-04	VYDAJ	VYBER	840	15364	\N	\N	\N
242978	832	1998-01-15	VYDAJ	VYBER	810	15382	\N	\N	\N
242979	832	1998-01-11	VYDAJ	VYBER	240	18327	\N	\N	\N
242980	832	1998-01-21	VYDAJ	VYBER	780	14302	\N	\N	\N
242986	832	1997-04-09	VYDAJ	VYBER	1140	13581	\N	\N	\N
242987	832	1997-09-28	VYDAJ	VYBER	1020	15100	\N	\N	\N
242988	832	1997-01-14	VYDAJ	VYBER	840	12999	\N	\N	\N
242989	832	1997-10-09	VYDAJ	VYBER	540	14460	\N	\N	\N
242991	832	1997-09-29	VYDAJ	VYBER	150	14950	\N	\N	\N
242993	832	1998-03-01	VYDAJ	VYBER	1110	14357	\N	\N	\N
242994	832	1998-09-20	VYDAJ	VYBER	420	18222	\N	\N	\N
242995	832	1998-12-22	VYDAJ	VYBER	540	19781	\N	\N	\N
242996	832	1998-07-22	VYDAJ	VYBER	420	16694	\N	\N	\N
242997	832	1998-03-29	VYDAJ	VYBER	1110	14315	\N	\N	\N
242998	832	1998-10-09	VYDAJ	VYBER	1290	16992	\N	\N	\N
242999	832	1998-08-02	VYDAJ	VYBER	300	16448	\N	\N	\N
243010	832	1996-10-31	VYDAJ	VYBER	15	14404	SLUZBY	\N	\N
243011	832	1996-11-30	VYDAJ	VYBER	15	15520	SLUZBY	\N	\N
243012	832	1996-12-31	VYDAJ	VYBER	15	16251	SLUZBY	\N	\N
243013	832	1997-01-31	VYDAJ	VYBER	15	12500	SLUZBY	\N	\N
243014	832	1997-02-28	VYDAJ	VYBER	15	13608	SLUZBY	\N	\N
243015	832	1997-03-31	VYDAJ	VYBER	15	14721	SLUZBY	\N	\N
243016	832	1997-04-30	VYDAJ	VYBER	15	14696	SLUZBY	\N	\N
243017	832	1997-05-31	VYDAJ	VYBER	15	15813	SLUZBY	\N	\N
243018	832	1997-06-30	VYDAJ	VYBER	15	12828	SLUZBY	\N	\N
243019	832	1997-07-31	VYDAJ	VYBER	15	13938	SLUZBY	\N	\N
243020	832	1997-08-31	VYDAJ	VYBER	15	15052	SLUZBY	\N	\N
243021	832	1997-09-30	VYDAJ	VYBER	15	15000	SLUZBY	\N	\N
243022	832	1997-10-31	VYDAJ	VYBER	15	15578	SLUZBY	\N	\N
243023	832	1997-11-30	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
243024	832	1997-12-31	VYDAJ	VYBER	15	17494	SLUZBY	\N	\N
243025	832	1998-01-31	VYDAJ	VYBER	15	14351	SLUZBY	\N	\N
243026	832	1998-02-28	VYDAJ	VYBER	15	15467	SLUZBY	\N	\N
243027	832	1998-03-31	VYDAJ	VYBER	15	14365	SLUZBY	\N	\N
243028	832	1998-04-30	VYDAJ	VYBER	15	15481	SLUZBY	\N	\N
243029	832	1998-05-31	VYDAJ	VYBER	15	16601	SLUZBY	\N	\N
243030	832	1998-06-30	VYDAJ	VYBER	15	16046	SLUZBY	\N	\N
243031	832	1998-07-31	VYDAJ	VYBER	15	16748	SLUZBY	\N	\N
243032	832	1998-08-31	VYDAJ	VYBER	15	17574	SLUZBY	\N	\N
243033	832	1998-09-30	VYDAJ	VYBER	15	18282	SLUZBY	\N	\N
243034	832	1998-10-31	VYDAJ	VYBER	15	18121	SLUZBY	\N	\N
243035	832	1998-11-30	VYDAJ	VYBER	15	19253	SLUZBY	\N	\N
243036	832	1997-06-18	VYDAJ	VYBER	4100	12781	\N	\N	\N
243064	833	1996-08-29	PRIJEM	VKLAD	900	900	\N	\N	\N
243073	833	1996-09-07	PRIJEM	PREVOD Z UCTU	5614	6514	DUCHOD	CD	82593220
243074	833	1996-10-07	PRIJEM	PREVOD Z UCTU	5614	12128	DUCHOD	CD	82593220
243075	833	1996-11-07	PRIJEM	PREVOD Z UCTU	5614	17742	DUCHOD	CD	82593220
243076	833	1996-12-07	PRIJEM	PREVOD Z UCTU	5614	23356	DUCHOD	CD	82593220
243077	833	1997-01-07	PRIJEM	PREVOD Z UCTU	5614	23082	DUCHOD	CD	82593220
243078	833	1997-02-07	PRIJEM	PREVOD Z UCTU	5614	23295	DUCHOD	CD	82593220
243079	833	1997-03-07	PRIJEM	PREVOD Z UCTU	5614	21510	DUCHOD	CD	82593220
243080	833	1997-04-07	PRIJEM	PREVOD Z UCTU	5614	23721	DUCHOD	CD	82593220
243081	833	1997-05-07	PRIJEM	PREVOD Z UCTU	5614	21816	DUCHOD	CD	82593220
243082	833	1997-06-07	PRIJEM	PREVOD Z UCTU	5614	23327	DUCHOD	CD	82593220
243083	833	1997-07-07	PRIJEM	PREVOD Z UCTU	5614	21936	DUCHOD	CD	82593220
243084	833	1997-08-07	PRIJEM	PREVOD Z UCTU	5614	22346	DUCHOD	CD	82593220
243085	833	1997-09-07	PRIJEM	PREVOD Z UCTU	5614	23259	DUCHOD	CD	82593220
243086	833	1997-10-07	PRIJEM	PREVOD Z UCTU	5614	23174	DUCHOD	CD	82593220
243087	833	1997-11-07	PRIJEM	PREVOD Z UCTU	5614	20946	DUCHOD	CD	82593220
243088	833	1997-12-07	PRIJEM	PREVOD Z UCTU	5614	18332	DUCHOD	CD	82593220
243089	833	1998-01-07	PRIJEM	PREVOD Z UCTU	5614	18772	DUCHOD	CD	82593220
243090	833	1998-02-07	PRIJEM	PREVOD Z UCTU	5614	20973	DUCHOD	CD	82593220
243091	833	1998-03-07	PRIJEM	PREVOD Z UCTU	5614	22381	DUCHOD	CD	82593220
243092	833	1998-04-07	PRIJEM	PREVOD Z UCTU	5614	18388	DUCHOD	CD	82593220
243093	833	1998-05-07	PRIJEM	PREVOD Z UCTU	5614	20585	DUCHOD	CD	82593220
243094	833	1998-06-07	PRIJEM	PREVOD Z UCTU	5614	22792	DUCHOD	CD	82593220
243095	833	1998-07-07	PRIJEM	PREVOD Z UCTU	5614	23506	DUCHOD	CD	82593220
243096	833	1998-08-07	PRIJEM	PREVOD Z UCTU	5614	25725	DUCHOD	CD	82593220
243097	833	1998-09-07	PRIJEM	PREVOD Z UCTU	5614	26352	DUCHOD	CD	82593220
243098	833	1998-10-07	PRIJEM	PREVOD Z UCTU	5614	28582	DUCHOD	CD	82593220
243099	833	1998-11-07	PRIJEM	PREVOD Z UCTU	5614	30822	DUCHOD	CD	82593220
243100	833	1998-12-07	PRIJEM	PREVOD Z UCTU	5614	33070	DUCHOD	CD	82593220
243113	833	1997-01-09	VYDAJ	PREVOD NA UCET	3462	19620	SIPO	GH	3151357
243114	833	1997-02-09	VYDAJ	PREVOD NA UCET	3462	19833	SIPO	GH	3151357
243115	833	1997-03-09	VYDAJ	PREVOD NA UCET	3462	18048	SIPO	GH	3151357
243116	833	1997-04-09	VYDAJ	PREVOD NA UCET	3462	20259	SIPO	GH	3151357
243117	833	1997-05-09	VYDAJ	PREVOD NA UCET	3462	18354	SIPO	GH	3151357
243118	833	1997-06-09	VYDAJ	PREVOD NA UCET	3462	19865	SIPO	GH	3151357
243119	833	1997-07-09	VYDAJ	PREVOD NA UCET	3462	18474	SIPO	GH	3151357
243120	833	1997-08-09	VYDAJ	PREVOD NA UCET	3462	18884	SIPO	GH	3151357
243121	833	1997-09-09	VYDAJ	PREVOD NA UCET	3462	19797	SIPO	GH	3151357
243122	833	1997-10-09	VYDAJ	PREVOD NA UCET	3462	19712	SIPO	GH	3151357
243123	833	1997-11-09	VYDAJ	PREVOD NA UCET	3462	17484	SIPO	GH	3151357
243124	833	1997-12-09	VYDAJ	PREVOD NA UCET	3462	14870	SIPO	GH	3151357
243125	833	1998-01-09	VYDAJ	PREVOD NA UCET	3462	15310	SIPO	GH	3151357
243126	833	1998-02-09	VYDAJ	PREVOD NA UCET	3462	17511	SIPO	GH	3151357
243127	833	1998-03-09	VYDAJ	PREVOD NA UCET	3462	18919	SIPO	GH	3151357
243128	833	1998-04-09	VYDAJ	PREVOD NA UCET	3462	14926	SIPO	GH	3151357
243129	833	1998-05-09	VYDAJ	PREVOD NA UCET	3462	17123	SIPO	GH	3151357
243130	833	1998-06-09	VYDAJ	PREVOD NA UCET	3462	19330	SIPO	GH	3151357
243131	833	1998-07-09	VYDAJ	PREVOD NA UCET	3462	20044	SIPO	GH	3151357
243132	833	1998-08-09	VYDAJ	PREVOD NA UCET	3462	22263	SIPO	GH	3151357
243133	833	1998-09-09	VYDAJ	PREVOD NA UCET	3462	22890	SIPO	GH	3151357
243134	833	1998-10-09	VYDAJ	PREVOD NA UCET	3462	25120	SIPO	GH	3151357
243135	833	1998-11-09	VYDAJ	PREVOD NA UCET	3462	27360	SIPO	GH	3151357
243136	833	1998-12-09	VYDAJ	PREVOD NA UCET	3462	29608	SIPO	GH	3151357
243138	833	1997-06-14	VYDAJ	VYBER	3600	16265	\N	\N	\N
243139	833	1998-06-27	VYDAJ	VYBER	1500	17830	\N	\N	\N
243141	833	1997-01-20	VYDAJ	VYBER	2000	17620	\N	\N	\N
243144	833	1997-12-20	VYDAJ	VYBER	800	14070	\N	\N	\N
243145	833	1998-12-23	VYDAJ	VYBER	1400	28208	\N	\N	\N
243151	833	1997-12-06	VYDAJ	VYBER	3520	12718	\N	\N	\N
243152	833	1997-10-25	VYDAJ	VYBER	1040	15272	\N	\N	\N
243153	833	1997-04-19	VYDAJ	VYBER	1520	18739	\N	\N	\N
243154	833	1998-03-22	VYDAJ	VYBER	2800	12719	\N	\N	\N
243155	833	1998-03-06	VYDAJ	VYBER	800	16767	\N	\N	\N
243156	833	1998-08-30	VYDAJ	VYBER	1600	20663	\N	\N	\N
243157	833	1998-01-03	VYDAJ	VYBER	960	13158	\N	\N	\N
243171	833	1997-01-31	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
243172	833	1997-02-28	VYDAJ	VYBER	15	15896	SLUZBY	\N	\N
243173	833	1997-03-31	VYDAJ	VYBER	15	18107	SLUZBY	\N	\N
243174	833	1997-04-30	VYDAJ	VYBER	15	16202	SLUZBY	\N	\N
243175	833	1997-05-31	VYDAJ	VYBER	15	17713	SLUZBY	\N	\N
243176	833	1997-06-30	VYDAJ	VYBER	15	16322	SLUZBY	\N	\N
243177	833	1997-07-31	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
243178	833	1997-08-31	VYDAJ	VYBER	15	17645	SLUZBY	\N	\N
243179	833	1997-09-30	VYDAJ	VYBER	15	17560	SLUZBY	\N	\N
243180	833	1997-10-31	VYDAJ	VYBER	15	15332	SLUZBY	\N	\N
243181	833	1997-11-30	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
243182	833	1997-12-31	VYDAJ	VYBER	15	14118	SLUZBY	\N	\N
243183	833	1998-01-31	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
243184	833	1998-02-28	VYDAJ	VYBER	15	17567	SLUZBY	\N	\N
243185	833	1998-03-31	VYDAJ	VYBER	15	12774	SLUZBY	\N	\N
243186	833	1998-04-30	VYDAJ	VYBER	15	14971	SLUZBY	\N	\N
243187	833	1998-05-31	VYDAJ	VYBER	15	17178	SLUZBY	\N	\N
243188	833	1998-06-30	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
243189	833	1998-07-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
243190	833	1998-08-31	VYDAJ	VYBER	15	20738	SLUZBY	\N	\N
243191	833	1998-09-30	VYDAJ	VYBER	15	22968	SLUZBY	\N	\N
243192	833	1998-10-31	VYDAJ	VYBER	15	25208	SLUZBY	\N	\N
243193	833	1998-11-30	VYDAJ	VYBER	15	27456	SLUZBY	\N	\N
243194	833	1996-12-27	VYDAJ	VYBER	5900	17456	\N	\N	\N
243195	833	1997-02-25	VYDAJ	VYBER	4000	15833	\N	\N	\N
243196	833	1997-04-26	VYDAJ	VYBER	2600	16139	\N	\N	\N
243197	833	1997-05-26	VYDAJ	VYBER	700	17654	\N	\N	\N
243198	833	1997-07-25	VYDAJ	VYBER	1800	16674	\N	\N	\N
243199	833	1997-08-24	VYDAJ	VYBER	1300	17584	\N	\N	\N
243200	833	1997-09-23	VYDAJ	VYBER	2300	17497	\N	\N	\N
243201	833	1997-10-23	VYDAJ	VYBER	3400	16312	\N	\N	\N
243202	833	1997-11-22	VYDAJ	VYBER	1300	16184	\N	\N	\N
243203	833	1998-03-22	VYDAJ	VYBER	3400	15519	\N	\N	\N
243229	834	1997-05-23	PRIJEM	VKLAD	900	900	\N	\N	\N
243235	834	1997-06-06	PRIJEM	PREVOD Z UCTU	3948	4848	\N	AB	90042912
243236	834	1997-07-06	PRIJEM	PREVOD Z UCTU	3948	15811	\N	AB	90042912
243237	834	1997-08-06	PRIJEM	PREVOD Z UCTU	3948	21015	\N	AB	90042912
243238	834	1997-09-06	PRIJEM	PREVOD Z UCTU	3948	24840	\N	AB	90042912
243239	834	1997-10-06	PRIJEM	PREVOD Z UCTU	3948	21469	\N	AB	90042912
243240	834	1997-11-06	PRIJEM	PREVOD Z UCTU	3948	18299	\N	AB	90042912
243241	834	1997-12-06	PRIJEM	PREVOD Z UCTU	3948	16818	\N	AB	90042912
243242	834	1998-01-06	PRIJEM	PREVOD Z UCTU	3948	18507	\N	AB	90042912
243243	834	1998-02-06	PRIJEM	PREVOD Z UCTU	3948	16267	\N	AB	90042912
243244	834	1998-03-06	PRIJEM	PREVOD Z UCTU	3948	17782	\N	AB	90042912
243245	834	1998-04-06	PRIJEM	PREVOD Z UCTU	3948	14295	\N	AB	90042912
243246	834	1998-05-06	PRIJEM	PREVOD Z UCTU	3948	15802	\N	AB	90042912
243247	834	1998-06-06	PRIJEM	PREVOD Z UCTU	3948	16625	\N	AB	90042912
243248	834	1998-07-06	PRIJEM	PREVOD Z UCTU	3948	15937	\N	AB	90042912
243249	834	1998-08-06	PRIJEM	PREVOD Z UCTU	3948	17451	\N	AB	90042912
243250	834	1998-09-06	PRIJEM	PREVOD Z UCTU	3948	17772	\N	AB	90042912
243251	834	1998-10-06	PRIJEM	PREVOD Z UCTU	3948	19298	\N	AB	90042912
243252	834	1998-11-06	PRIJEM	PREVOD Z UCTU	3948	20136	\N	AB	90042912
243253	834	1998-12-06	PRIJEM	PREVOD Z UCTU	3948	21667	\N	AB	90042912
243263	834	1997-10-13	VYDAJ	PREVOD NA UCET	2473	18996	SIPO	CD	48387557
243264	834	1997-11-13	VYDAJ	PREVOD NA UCET	2473	15826	SIPO	CD	48387557
243265	834	1997-12-13	VYDAJ	PREVOD NA UCET	2473	13655	SIPO	CD	48387557
243266	834	1998-01-13	VYDAJ	PREVOD NA UCET	2473	12674	SIPO	CD	48387557
243267	834	1998-02-13	VYDAJ	PREVOD NA UCET	2473	13794	SIPO	CD	48387557
243268	834	1998-03-13	VYDAJ	PREVOD NA UCET	2473	15309	SIPO	CD	48387557
243269	834	1998-04-13	VYDAJ	PREVOD NA UCET	2473	11822	SIPO	CD	48387557
243270	834	1998-05-13	VYDAJ	PREVOD NA UCET	2473	13329	SIPO	CD	48387557
243271	834	1998-06-13	VYDAJ	PREVOD NA UCET	2473	14152	SIPO	CD	48387557
243272	834	1998-07-13	VYDAJ	PREVOD NA UCET	2473	13464	SIPO	CD	48387557
243273	834	1998-08-13	VYDAJ	PREVOD NA UCET	2473	14978	SIPO	CD	48387557
243274	834	1998-09-13	VYDAJ	PREVOD NA UCET	2473	15299	SIPO	CD	48387557
243275	834	1998-10-13	VYDAJ	PREVOD NA UCET	2473	16825	SIPO	CD	48387557
243276	834	1998-11-13	VYDAJ	PREVOD NA UCET	2473	17663	SIPO	CD	48387557
243277	834	1998-12-13	VYDAJ	PREVOD NA UCET	2473	19194	SIPO	CD	48387557
243281	834	1998-01-13	VYDAJ	VYBER	2730	15147	\N	\N	\N
243282	834	1997-12-11	VYDAJ	VYBER	690	16128	\N	\N	\N
243283	834	1998-12-17	VYDAJ	VYBER	300	18894	\N	\N	\N
243285	834	1997-12-24	VYDAJ	VYBER	840	14515	\N	\N	\N
243291	834	1998-01-06	VYDAJ	VYBER	630	17877	\N	\N	\N
243292	834	1998-09-05	VYDAJ	VYBER	1200	13824	\N	\N	\N
243294	834	1998-10-30	VYDAJ	VYBER	690	16135	\N	\N	\N
243295	834	1998-05-23	VYDAJ	VYBER	690	12639	\N	\N	\N
243306	834	1997-10-31	VYDAJ	VYBER	15	14351	SLUZBY	\N	\N
243307	834	1997-11-30	VYDAJ	VYBER	15	12870	SLUZBY	\N	\N
243308	834	1997-12-31	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
243309	834	1998-01-31	VYDAJ	VYBER	15	12319	SLUZBY	\N	\N
243310	834	1998-02-28	VYDAJ	VYBER	15	13834	SLUZBY	\N	\N
243311	834	1998-03-31	VYDAJ	VYBER	15	10347	SLUZBY	\N	\N
243312	834	1998-04-30	VYDAJ	VYBER	15	11854	SLUZBY	\N	\N
243313	834	1998-05-31	VYDAJ	VYBER	15	12677	SLUZBY	\N	\N
243314	834	1998-06-30	VYDAJ	VYBER	15	11989	SLUZBY	\N	\N
243315	834	1998-07-31	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
243316	834	1998-08-31	VYDAJ	VYBER	15	15024	SLUZBY	\N	\N
243317	834	1998-09-30	VYDAJ	VYBER	15	15350	SLUZBY	\N	\N
243318	834	1998-10-31	VYDAJ	VYBER	15	16188	SLUZBY	\N	\N
243319	834	1998-11-30	VYDAJ	VYBER	15	17719	SLUZBY	\N	\N
243320	834	1997-06-22	PRIJEM	VKLAD	7000	11848	\N	\N	\N
243321	834	1997-07-22	PRIJEM	VKLAD	1200	17011	\N	\N	\N
243322	834	1997-08-21	VYDAJ	VYBER	200	20815	\N	\N	\N
243323	834	1997-09-20	VYDAJ	VYBER	7400	17440	\N	\N	\N
243324	834	1997-10-20	VYDAJ	VYBER	4700	14296	\N	\N	\N
243325	834	1997-11-19	VYDAJ	VYBER	3000	12826	\N	\N	\N
243326	834	1997-12-19	PRIJEM	VKLAD	1700	15355	\N	\N	\N
243327	834	1998-01-18	VYDAJ	VYBER	400	12274	\N	\N	\N
243328	834	1998-03-19	VYDAJ	VYBER	5000	10309	\N	\N	\N
243329	834	1998-06-17	VYDAJ	VYBER	2200	11952	\N	\N	\N
243580	836	1996-07-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
243588	836	1996-08-05	PRIJEM	VKLAD	7188	8288	\N	\N	\N
243589	836	1996-09-05	PRIJEM	VKLAD	7188	25088	\N	\N	\N
243590	836	1996-10-05	PRIJEM	VKLAD	7188	34657	\N	\N	\N
243591	836	1996-11-05	PRIJEM	VKLAD	7188	37862	\N	\N	\N
243592	836	1996-12-05	PRIJEM	VKLAD	10782	39470	\N	\N	\N
243593	836	1997-01-05	PRIJEM	VKLAD	7188	34741	\N	\N	\N
243594	836	1997-02-05	PRIJEM	VKLAD	7188	27889	\N	\N	\N
243595	836	1997-03-05	PRIJEM	VKLAD	7188	27797	\N	\N	\N
243596	836	1997-04-05	PRIJEM	VKLAD	7188	24487	\N	\N	\N
243597	836	1997-05-05	PRIJEM	VKLAD	7188	20682	\N	\N	\N
243598	836	1997-06-05	PRIJEM	VKLAD	10782	22159	\N	\N	\N
243599	836	1997-07-05	PRIJEM	VKLAD	7188	26343	\N	\N	\N
243600	836	1997-08-05	PRIJEM	VKLAD	7188	30549	\N	\N	\N
243601	836	1997-09-05	PRIJEM	VKLAD	7188	32488	\N	\N	\N
243602	836	1997-10-05	PRIJEM	VKLAD	7188	36720	\N	\N	\N
243603	836	1997-11-05	PRIJEM	VKLAD	7188	40969	\N	\N	\N
243604	836	1997-12-05	PRIJEM	VKLAD	10782	21789	\N	\N	\N
243605	836	1998-01-05	PRIJEM	VKLAD	7188	25972	\N	\N	\N
243606	836	1998-02-05	PRIJEM	VKLAD	7188	20914	\N	\N	\N
243607	836	1998-03-05	PRIJEM	VKLAD	7188	23654	\N	\N	\N
243608	836	1998-04-05	PRIJEM	VKLAD	7188	22679	\N	\N	\N
243609	836	1998-05-05	PRIJEM	VKLAD	7188	22309	\N	\N	\N
243610	836	1998-06-05	PRIJEM	VKLAD	10782	28057	\N	\N	\N
243611	836	1998-07-05	PRIJEM	VKLAD	7188	32266	\N	\N	\N
243612	836	1998-08-05	PRIJEM	VKLAD	7188	36496	\N	\N	\N
243613	836	1998-09-05	PRIJEM	VKLAD	7188	40745	\N	\N	\N
243614	836	1998-10-05	PRIJEM	VKLAD	7188	45011	\N	\N	\N
243615	836	1998-11-05	PRIJEM	VKLAD	7188	43410	\N	\N	\N
243616	836	1998-12-05	PRIJEM	VKLAD	10782	51280	\N	\N	\N
243628	836	1996-12-12	VYDAJ	PREVOD NA UCET	125	36411	SIPO	AB	7416719
243629	836	1997-01-12	VYDAJ	PREVOD NA UCET	125	27722	SIPO	AB	7416719
243630	836	1997-02-12	VYDAJ	PREVOD NA UCET	125	24830	SIPO	AB	7416719
243631	836	1997-03-12	VYDAJ	PREVOD NA UCET	125	24738	SIPO	AB	7416719
243632	836	1997-04-12	VYDAJ	PREVOD NA UCET	125	21428	SIPO	AB	7416719
243633	836	1997-05-12	VYDAJ	PREVOD NA UCET	125	17623	SIPO	AB	7416719
243634	836	1997-06-12	VYDAJ	PREVOD NA UCET	125	19100	SIPO	AB	7416719
243635	836	1997-07-12	VYDAJ	PREVOD NA UCET	125	23284	SIPO	AB	7416719
243636	836	1997-08-12	VYDAJ	PREVOD NA UCET	125	25210	SIPO	AB	7416719
243637	836	1997-09-12	VYDAJ	PREVOD NA UCET	125	29429	SIPO	AB	7416719
243638	836	1997-10-12	VYDAJ	PREVOD NA UCET	125	33661	SIPO	AB	7416719
243639	836	1997-11-12	VYDAJ	PREVOD NA UCET	125	37910	SIPO	AB	7416719
243640	836	1997-12-12	VYDAJ	PREVOD NA UCET	125	18730	SIPO	AB	7416719
243641	836	1998-01-12	VYDAJ	PREVOD NA UCET	125	16913	SIPO	AB	7416719
243642	836	1998-02-12	VYDAJ	PREVOD NA UCET	125	17855	SIPO	AB	7416719
243643	836	1998-03-12	VYDAJ	PREVOD NA UCET	125	20595	SIPO	AB	7416719
243770	836	1997-02-23	VYDAJ	VYBER	4300	20530	\N	\N	\N
243644	836	1998-04-12	VYDAJ	PREVOD NA UCET	125	19620	SIPO	AB	7416719
243645	836	1998-05-12	VYDAJ	PREVOD NA UCET	125	19250	SIPO	AB	7416719
243646	836	1998-06-12	VYDAJ	PREVOD NA UCET	125	24998	SIPO	AB	7416719
243647	836	1998-07-12	VYDAJ	PREVOD NA UCET	125	29207	SIPO	AB	7416719
243648	836	1998-08-12	VYDAJ	PREVOD NA UCET	125	33437	SIPO	AB	7416719
243649	836	1998-09-12	VYDAJ	PREVOD NA UCET	125	37686	SIPO	AB	7416719
243650	836	1998-10-12	VYDAJ	PREVOD NA UCET	125	41952	SIPO	AB	7416719
243651	836	1998-11-12	VYDAJ	PREVOD NA UCET	125	40351	SIPO	AB	7416719
243652	836	1998-12-12	VYDAJ	PREVOD NA UCET	125	48221	SIPO	AB	7416719
243664	836	1996-12-10	VYDAJ	PREVOD NA UCET	2934	36536	 	MN	12516117
243665	836	1997-01-10	VYDAJ	PREVOD NA UCET	2934	30847	 	MN	12516117
243666	836	1997-02-10	VYDAJ	PREVOD NA UCET	2934	24955	 	MN	12516117
243667	836	1997-03-10	VYDAJ	PREVOD NA UCET	2934	24863	 	MN	12516117
243668	836	1997-04-10	VYDAJ	PREVOD NA UCET	2934	21553	 	MN	12516117
243669	836	1997-05-10	VYDAJ	PREVOD NA UCET	2934	17748	 	MN	12516117
243670	836	1997-06-10	VYDAJ	PREVOD NA UCET	2934	19225	 	MN	12516117
243671	836	1997-07-10	VYDAJ	PREVOD NA UCET	2934	23409	 	MN	12516117
243672	836	1997-08-10	VYDAJ	PREVOD NA UCET	2934	25335	 	MN	12516117
243673	836	1997-09-10	VYDAJ	PREVOD NA UCET	2934	29554	 	MN	12516117
243674	836	1997-10-10	VYDAJ	PREVOD NA UCET	2934	33786	 	MN	12516117
243675	836	1997-11-10	VYDAJ	PREVOD NA UCET	2934	38035	 	MN	12516117
243676	836	1997-12-10	VYDAJ	PREVOD NA UCET	2934	18855	 	MN	12516117
243677	836	1998-01-10	VYDAJ	PREVOD NA UCET	2934	17038	 	MN	12516117
243678	836	1998-02-10	VYDAJ	PREVOD NA UCET	2934	17980	 	MN	12516117
243679	836	1998-03-10	VYDAJ	PREVOD NA UCET	2934	20720	 	MN	12516117
243680	836	1998-04-10	VYDAJ	PREVOD NA UCET	2934	19745	 	MN	12516117
243681	836	1998-05-10	VYDAJ	PREVOD NA UCET	2934	19375	 	MN	12516117
243682	836	1998-06-10	VYDAJ	PREVOD NA UCET	2934	25123	 	MN	12516117
243683	836	1998-07-10	VYDAJ	PREVOD NA UCET	2934	29332	 	MN	12516117
243684	836	1998-08-10	VYDAJ	PREVOD NA UCET	2934	33562	 	MN	12516117
243685	836	1998-09-10	VYDAJ	PREVOD NA UCET	2934	37811	 	MN	12516117
243686	836	1998-10-10	VYDAJ	PREVOD NA UCET	2934	42077	 	MN	12516117
243687	836	1998-11-10	VYDAJ	PREVOD NA UCET	2934	40476	 	MN	12516117
243688	836	1998-12-10	VYDAJ	PREVOD NA UCET	2934	48346	 	MN	12516117
243701	836	1997-01-09	VYDAJ	VYBER	960	33781	\N	\N	\N
243702	836	1997-01-22	VYDAJ	VYBER	3360	22562	\N	\N	\N
243703	836	1997-01-21	VYDAJ	VYBER	1800	25922	\N	\N	\N
243704	836	1997-01-27	VYDAJ	VYBER	2160	20602	\N	\N	\N
243705	836	1997-01-02	VYDAJ	VYBER	1440	29593	\N	\N	\N
243706	836	1997-01-04	VYDAJ	VYBER	2040	27553	\N	\N	\N
243707	836	1998-01-20	VYDAJ	VYBER	1680	13673	\N	\N	\N
243709	836	1998-01-07	VYDAJ	VYBER	3360	22612	\N	\N	\N
243710	836	1998-01-19	VYDAJ	VYBER	720	15353	\N	\N	\N
243711	836	1998-01-13	VYDAJ	VYBER	840	16073	\N	\N	\N
243712	836	1998-01-08	VYDAJ	VYBER	2640	19972	\N	\N	\N
243718	836	1997-05-01	VYDAJ	VYBER	4200	13494	\N	\N	\N
243719	836	1997-03-31	VYDAJ	VYBER	4920	17299	\N	\N	\N
243720	836	1997-08-08	VYDAJ	VYBER	2280	28269	\N	\N	\N
243721	836	1997-01-11	VYDAJ	VYBER	3000	27847	\N	\N	\N
243722	836	1998-05-01	VYDAJ	VYBER	4560	15121	\N	\N	\N
243723	836	1998-03-17	VYDAJ	VYBER	5160	15435	\N	\N	\N
243724	836	1998-02-17	VYDAJ	VYBER	1440	16415	\N	\N	\N
243725	836	1998-10-26	VYDAJ	VYBER	5880	36072	\N	\N	\N
243727	836	1998-05-21	VYDAJ	VYBER	2040	17210	\N	\N	\N
243740	836	1996-12-31	VYDAJ	VYBER	15	31033	SLUZBY	\N	\N
243741	836	1997-01-31	VYDAJ	VYBER	15	20701	SLUZBY	\N	\N
243742	836	1997-02-28	VYDAJ	VYBER	15	20609	SLUZBY	\N	\N
243743	836	1997-03-31	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
243744	836	1997-04-30	VYDAJ	VYBER	15	17694	SLUZBY	\N	\N
243745	836	1997-05-31	VYDAJ	VYBER	15	11377	SLUZBY	\N	\N
243746	836	1997-06-30	VYDAJ	VYBER	15	19155	SLUZBY	\N	\N
243747	836	1997-07-31	VYDAJ	VYBER	15	23361	SLUZBY	\N	\N
243748	836	1997-08-31	VYDAJ	VYBER	15	25300	SLUZBY	\N	\N
243749	836	1997-09-30	VYDAJ	VYBER	15	29532	SLUZBY	\N	\N
243750	836	1997-10-31	VYDAJ	VYBER	15	33781	SLUZBY	\N	\N
243751	836	1997-11-30	VYDAJ	VYBER	15	11007	SLUZBY	\N	\N
243752	836	1997-12-31	VYDAJ	VYBER	15	18784	SLUZBY	\N	\N
243753	836	1998-01-31	VYDAJ	VYBER	15	13726	SLUZBY	\N	\N
243754	836	1998-02-28	VYDAJ	VYBER	15	16466	SLUZBY	\N	\N
243755	836	1998-03-31	VYDAJ	VYBER	15	15491	SLUZBY	\N	\N
243756	836	1998-04-30	VYDAJ	VYBER	15	19681	SLUZBY	\N	\N
243757	836	1998-05-31	VYDAJ	VYBER	15	17275	SLUZBY	\N	\N
243758	836	1998-06-30	VYDAJ	VYBER	15	25078	SLUZBY	\N	\N
243759	836	1998-07-31	VYDAJ	VYBER	15	29308	SLUZBY	\N	\N
243760	836	1998-08-31	VYDAJ	VYBER	15	33557	SLUZBY	\N	\N
243761	836	1998-09-30	VYDAJ	VYBER	15	37823	SLUZBY	\N	\N
243762	836	1998-10-31	VYDAJ	VYBER	15	36222	SLUZBY	\N	\N
243763	836	1998-11-30	VYDAJ	VYBER	15	40498	SLUZBY	\N	\N
243764	836	1996-08-27	PRIJEM	VKLAD	9600	17888	\N	\N	\N
243765	836	1996-09-26	PRIJEM	VKLAD	2300	27388	\N	\N	\N
243766	836	1996-10-26	VYDAJ	VYBER	4100	30557	\N	\N	\N
243767	836	1996-11-25	VYDAJ	VYBER	9300	28562	\N	\N	\N
243768	836	1996-12-25	VYDAJ	VYBER	5500	30911	\N	\N	\N
243769	836	1997-01-24	PRIJEM	VKLAD	200	22762	\N	\N	\N
243771	836	1997-03-25	VYDAJ	VYBER	2600	22138	\N	\N	\N
243772	836	1997-04-24	VYDAJ	VYBER	3800	17628	\N	\N	\N
243773	836	1997-05-24	VYDAJ	VYBER	6300	11323	\N	\N	\N
243774	836	1997-11-20	VYDAJ	VYBER	27000	10910	\N	\N	\N
243804	837	1993-09-18	PRIJEM	VKLAD	400	400	\N	\N	\N
243814	837	1993-10-06	PRIJEM	VKLAD	21340	21740	\N	\N	\N
243815	837	1993-11-06	PRIJEM	VKLAD	21340	46828	\N	\N	\N
243816	837	1993-12-06	PRIJEM	VKLAD	32010	67964	\N	\N	\N
243817	837	1994-01-06	PRIJEM	VKLAD	21340	65470	\N	\N	\N
243818	837	1994-02-06	PRIJEM	VKLAD	21340	66796	\N	\N	\N
243819	837	1994-03-06	PRIJEM	VKLAD	21340	62356	\N	\N	\N
243820	837	1994-04-06	PRIJEM	VKLAD	21340	61508	\N	\N	\N
243821	837	1994-05-06	PRIJEM	VKLAD	21340	60756	\N	\N	\N
243822	837	1994-06-06	PRIJEM	VKLAD	32010	49769	\N	\N	\N
243823	837	1994-07-06	PRIJEM	VKLAD	21340	54703	\N	\N	\N
243824	837	1994-08-06	PRIJEM	VKLAD	21340	55825	\N	\N	\N
243825	837	1994-09-06	PRIJEM	VKLAD	21340	56348	\N	\N	\N
243826	837	1994-10-06	PRIJEM	VKLAD	21340	57674	\N	\N	\N
243827	837	1994-11-06	PRIJEM	VKLAD	21340	54202	\N	\N	\N
243828	837	1994-12-06	PRIJEM	VKLAD	32010	62208	\N	\N	\N
243829	837	1995-01-06	PRIJEM	VKLAD	21340	61453	\N	\N	\N
243830	837	1995-02-06	PRIJEM	VKLAD	21340	47071	\N	\N	\N
243831	837	1995-03-06	PRIJEM	VKLAD	21340	50164	\N	\N	\N
243832	837	1995-04-06	PRIJEM	VKLAD	21340	54991	\N	\N	\N
243833	837	1995-05-06	PRIJEM	VKLAD	21340	55107	\N	\N	\N
243834	837	1995-06-06	PRIJEM	VKLAD	32010	57678	\N	\N	\N
243835	837	1995-07-06	PRIJEM	VKLAD	21340	37672	\N	\N	\N
243836	837	1995-08-06	PRIJEM	VKLAD	21340	47245	\N	\N	\N
243837	837	1995-09-06	PRIJEM	VKLAD	21340	50842	\N	\N	\N
243838	837	1995-10-06	PRIJEM	VKLAD	21340	47546	\N	\N	\N
243839	837	1995-11-06	PRIJEM	VKLAD	21340	46945	\N	\N	\N
243840	837	1995-12-06	PRIJEM	VKLAD	32010	64130	\N	\N	\N
243841	837	1996-01-06	PRIJEM	VKLAD	21340	57862	\N	\N	\N
243842	837	1996-02-06	PRIJEM	VKLAD	21340	51568	\N	\N	\N
243843	837	1996-03-06	PRIJEM	VKLAD	21340	62712	\N	\N	\N
243844	837	1996-04-06	PRIJEM	VKLAD	21340	55047	\N	\N	\N
243845	837	1996-05-06	PRIJEM	VKLAD	21340	61113	\N	\N	\N
243846	837	1996-06-06	PRIJEM	VKLAD	32010	78376	\N	\N	\N
243847	837	1996-07-06	PRIJEM	VKLAD	21340	71705	\N	\N	\N
243848	837	1996-08-06	PRIJEM	VKLAD	21340	75143	\N	\N	\N
243849	837	1996-09-06	PRIJEM	VKLAD	21340	73288	\N	\N	\N
243850	837	1996-10-06	PRIJEM	VKLAD	21340	71634	\N	\N	\N
243851	837	1996-11-06	PRIJEM	VKLAD	21340	74376	\N	\N	\N
243852	837	1996-12-06	PRIJEM	VKLAD	32010	81694	\N	\N	\N
243853	837	1997-01-06	PRIJEM	VKLAD	21340	70666	\N	\N	\N
243854	837	1997-02-06	PRIJEM	VKLAD	21340	65594	\N	\N	\N
243855	837	1997-03-06	PRIJEM	VKLAD	21340	61575	\N	\N	\N
243856	837	1997-04-06	PRIJEM	VKLAD	21340	57659	\N	\N	\N
243857	837	1997-05-06	PRIJEM	VKLAD	21340	60534	\N	\N	\N
243858	837	1997-06-06	PRIJEM	VKLAD	32010	70668	\N	\N	\N
243859	837	1997-07-06	PRIJEM	VKLAD	21340	53150	\N	\N	\N
243860	837	1997-08-06	PRIJEM	VKLAD	21340	56585	\N	\N	\N
243861	837	1997-09-06	PRIJEM	VKLAD	21340	56730	\N	\N	\N
243862	837	1997-10-06	PRIJEM	VKLAD	21340	58576	\N	\N	\N
243863	837	1997-11-06	PRIJEM	VKLAD	21340	61430	\N	\N	\N
243864	837	1997-12-06	PRIJEM	VKLAD	32010	65161	\N	\N	\N
243865	837	1998-01-06	PRIJEM	VKLAD	21340	64949	\N	\N	\N
243866	837	1998-02-06	PRIJEM	VKLAD	21340	53114	\N	\N	\N
243867	837	1998-03-06	PRIJEM	VKLAD	21340	51138	\N	\N	\N
243868	837	1998-04-06	PRIJEM	VKLAD	21340	51657	\N	\N	\N
243869	837	1998-05-06	PRIJEM	VKLAD	21340	54079	\N	\N	\N
243870	837	1998-06-06	PRIJEM	VKLAD	32010	58683	\N	\N	\N
243871	837	1998-07-06	PRIJEM	VKLAD	21340	51791	\N	\N	\N
243872	837	1998-08-06	PRIJEM	VKLAD	21340	54511	\N	\N	\N
243873	837	1998-09-06	PRIJEM	VKLAD	21340	58643	\N	\N	\N
243874	837	1998-10-06	PRIJEM	VKLAD	21340	59086	\N	\N	\N
243875	837	1998-11-06	PRIJEM	VKLAD	21340	56026	\N	\N	\N
243876	837	1998-12-06	PRIJEM	VKLAD	32010	59922	\N	\N	\N
243890	837	1994-02-12	VYDAJ	PREVOD NA UCET	9250	57546	SIPO	AB	57949954
243891	837	1994-03-12	VYDAJ	PREVOD NA UCET	9250	53106	SIPO	AB	57949954
243892	837	1994-04-12	VYDAJ	PREVOD NA UCET	9250	52258	SIPO	AB	57949954
243893	837	1994-05-12	VYDAJ	PREVOD NA UCET	9250	51506	SIPO	AB	57949954
243894	837	1994-06-12	VYDAJ	PREVOD NA UCET	9250	40519	SIPO	AB	57949954
243895	837	1994-07-12	VYDAJ	PREVOD NA UCET	9250	45453	SIPO	AB	57949954
243896	837	1994-08-12	VYDAJ	PREVOD NA UCET	9250	46575	SIPO	AB	57949954
243897	837	1994-09-12	VYDAJ	PREVOD NA UCET	9250	47098	SIPO	AB	57949954
243898	837	1994-10-12	VYDAJ	PREVOD NA UCET	9250	46724	SIPO	AB	57949954
243899	837	1994-11-12	VYDAJ	PREVOD NA UCET	9250	44952	SIPO	AB	57949954
243900	837	1994-12-12	VYDAJ	PREVOD NA UCET	9250	52958	SIPO	AB	57949954
243901	837	1995-01-12	VYDAJ	PREVOD NA UCET	9250	30403	SIPO	AB	57949954
243902	837	1995-02-12	VYDAJ	PREVOD NA UCET	9250	28721	SIPO	AB	57949954
243903	837	1995-03-12	VYDAJ	PREVOD NA UCET	9250	40914	SIPO	AB	57949954
243904	837	1995-04-12	VYDAJ	PREVOD NA UCET	9250	33641	SIPO	AB	57949954
243905	837	1995-05-12	VYDAJ	PREVOD NA UCET	9250	29657	SIPO	AB	57949954
243906	837	1995-06-12	VYDAJ	PREVOD NA UCET	9250	32228	SIPO	AB	57949954
243907	837	1995-07-12	VYDAJ	PREVOD NA UCET	9250	25822	SIPO	AB	57949954
243908	837	1995-08-12	VYDAJ	PREVOD NA UCET	9250	29395	SIPO	AB	57949954
243909	837	1995-09-12	VYDAJ	PREVOD NA UCET	9250	31392	SIPO	AB	57949954
243910	837	1995-10-12	VYDAJ	PREVOD NA UCET	9250	29296	SIPO	AB	57949954
243911	837	1995-11-12	VYDAJ	PREVOD NA UCET	9250	31995	SIPO	AB	57949954
243912	837	1995-12-12	VYDAJ	PREVOD NA UCET	9250	37380	SIPO	AB	57949954
243913	837	1996-01-12	VYDAJ	PREVOD NA UCET	9250	33212	SIPO	AB	57949954
243914	837	1996-02-12	VYDAJ	PREVOD NA UCET	9250	42318	SIPO	AB	57949954
243915	837	1996-03-12	VYDAJ	PREVOD NA UCET	9250	36062	SIPO	AB	57949954
243916	837	1996-04-12	VYDAJ	PREVOD NA UCET	9250	45797	SIPO	AB	57949954
243917	837	1996-05-12	VYDAJ	PREVOD NA UCET	9250	51863	SIPO	AB	57949954
243918	837	1996-06-12	VYDAJ	PREVOD NA UCET	9250	61526	SIPO	AB	57949954
243919	837	1996-07-12	VYDAJ	PREVOD NA UCET	9250	62455	SIPO	AB	57949954
243920	837	1996-08-12	VYDAJ	PREVOD NA UCET	9250	65893	SIPO	AB	57949954
243921	837	1996-09-12	VYDAJ	PREVOD NA UCET	9250	64038	SIPO	AB	57949954
243922	837	1996-10-12	VYDAJ	PREVOD NA UCET	9250	62384	SIPO	AB	57949954
243923	837	1996-11-12	VYDAJ	PREVOD NA UCET	9250	65126	SIPO	AB	57949954
243924	837	1996-12-12	VYDAJ	PREVOD NA UCET	9250	72444	SIPO	AB	57949954
243925	837	1997-01-12	VYDAJ	PREVOD NA UCET	9250	59916	SIPO	AB	57949954
243926	837	1997-02-12	VYDAJ	PREVOD NA UCET	9250	56344	SIPO	AB	57949954
243927	837	1997-03-12	VYDAJ	PREVOD NA UCET	9250	48225	SIPO	AB	57949954
243928	837	1997-04-12	VYDAJ	PREVOD NA UCET	9250	48409	SIPO	AB	57949954
243929	837	1997-05-12	VYDAJ	PREVOD NA UCET	9250	51284	SIPO	AB	57949954
243930	837	1997-06-12	VYDAJ	PREVOD NA UCET	9250	61418	SIPO	AB	57949954
243931	837	1997-07-12	VYDAJ	PREVOD NA UCET	9250	43900	SIPO	AB	57949954
243932	837	1997-08-12	VYDAJ	PREVOD NA UCET	9250	47335	SIPO	AB	57949954
243933	837	1997-09-12	VYDAJ	PREVOD NA UCET	9250	47480	SIPO	AB	57949954
243934	837	1997-10-12	VYDAJ	PREVOD NA UCET	9250	49326	SIPO	AB	57949954
243935	837	1997-11-12	VYDAJ	PREVOD NA UCET	9250	50480	SIPO	AB	57949954
243936	837	1997-12-12	VYDAJ	PREVOD NA UCET	9250	55911	SIPO	AB	57949954
243937	837	1998-01-12	VYDAJ	PREVOD NA UCET	9250	55699	SIPO	AB	57949954
243938	837	1998-02-12	VYDAJ	PREVOD NA UCET	9250	43864	SIPO	AB	57949954
243939	837	1998-03-12	VYDAJ	PREVOD NA UCET	9250	41888	SIPO	AB	57949954
243940	837	1998-04-12	VYDAJ	PREVOD NA UCET	9250	42407	SIPO	AB	57949954
243941	837	1998-05-12	VYDAJ	PREVOD NA UCET	9250	43929	SIPO	AB	57949954
243942	837	1998-06-12	VYDAJ	PREVOD NA UCET	9250	36933	SIPO	AB	57949954
243943	837	1998-07-12	VYDAJ	PREVOD NA UCET	9250	42541	SIPO	AB	57949954
243944	837	1998-08-12	VYDAJ	PREVOD NA UCET	9250	45261	SIPO	AB	57949954
243945	837	1998-09-12	VYDAJ	PREVOD NA UCET	9250	49393	SIPO	AB	57949954
243946	837	1998-10-12	VYDAJ	PREVOD NA UCET	9250	49836	SIPO	AB	57949954
243947	837	1998-11-12	VYDAJ	PREVOD NA UCET	9250	46776	SIPO	AB	57949954
243948	837	1998-12-12	VYDAJ	PREVOD NA UCET	9250	50672	SIPO	AB	57949954
243950	837	1994-06-05	VYDAJ	VYBER	20400	17759	\N	\N	\N
243951	837	1995-06-28	VYDAJ	VYBER	14500	16228	\N	\N	\N
243952	837	1996-06-10	VYDAJ	VYBER	7600	70776	\N	\N	\N
243953	837	1997-06-28	VYDAJ	VYBER	26400	35018	\N	\N	\N
243954	837	1998-06-10	VYDAJ	VYBER	12500	46183	\N	\N	\N
243956	837	1994-12-22	VYDAJ	VYBER	1000	39958	\N	\N	\N
243957	837	1995-12-08	VYDAJ	VYBER	1200	46630	\N	\N	\N
243958	837	1996-12-13	VYDAJ	VYBER	1400	71044	\N	\N	\N
243959	837	1997-12-03	VYDAJ	VYBER	2400	33151	\N	\N	\N
243960	837	1998-12-04	VYDAJ	VYBER	1000	27912	\N	\N	\N
243973	837	1995-01-19	VYDAJ	VYBER	1400	27403	\N	\N	\N
243974	837	1995-01-10	VYDAJ	VYBER	2400	57353	\N	\N	\N
243975	837	1995-01-20	VYDAJ	VYBER	1800	25603	\N	\N	\N
243976	837	1995-01-07	VYDAJ	VYBER	1700	59753	\N	\N	\N
243977	837	1995-01-16	VYDAJ	VYBER	1100	29303	\N	\N	\N
243978	837	1995-01-16	VYDAJ	VYBER	500	28803	\N	\N	\N
243979	837	1996-01-08	VYDAJ	VYBER	2700	42462	\N	\N	\N
243980	837	1996-01-26	VYDAJ	VYBER	600	23512	\N	\N	\N
243981	837	1996-01-25	VYDAJ	VYBER	2600	24112	\N	\N	\N
243982	837	1996-01-16	VYDAJ	VYBER	2100	26712	\N	\N	\N
243983	837	1996-01-14	VYDAJ	VYBER	2100	31112	\N	\N	\N
243984	837	1996-01-15	VYDAJ	VYBER	2300	28812	\N	\N	\N
243985	837	1997-01-25	VYDAJ	VYBER	1700	54216	\N	\N	\N
243986	837	1997-01-04	VYDAJ	VYBER	1200	49326	\N	\N	\N
243987	837	1997-01-23	VYDAJ	VYBER	2300	55916	\N	\N	\N
243988	837	1997-01-21	VYDAJ	VYBER	1700	58216	\N	\N	\N
243989	837	1997-01-27	VYDAJ	VYBER	2800	51416	\N	\N	\N
243990	837	1997-01-11	VYDAJ	VYBER	1500	69166	\N	\N	\N
243991	837	1998-01-29	VYDAJ	VYBER	2400	31599	\N	\N	\N
243992	837	1998-01-14	VYDAJ	VYBER	1700	53999	\N	\N	\N
243993	837	1998-01-25	VYDAJ	VYBER	2300	45199	\N	\N	\N
243994	837	1998-01-25	VYDAJ	VYBER	2900	47499	\N	\N	\N
243995	837	1998-01-17	VYDAJ	VYBER	1500	52499	\N	\N	\N
243996	837	1998-01-19	VYDAJ	VYBER	2100	50399	\N	\N	\N
244004	837	1994-11-18	VYDAJ	VYBER	3100	30052	\N	\N	\N
244005	837	1994-10-10	VYDAJ	VYBER	1700	55974	\N	\N	\N
244006	837	1994-11-03	VYDAJ	VYBER	1800	32862	\N	\N	\N
244007	837	1995-11-02	VYDAJ	VYBER	3800	25605	\N	\N	\N
244008	837	1995-09-23	VYDAJ	VYBER	1200	30192	\N	\N	\N
244009	837	1995-05-24	VYDAJ	VYBER	4100	25557	\N	\N	\N
244010	837	1995-09-25	VYDAJ	VYBER	4100	26092	\N	\N	\N
244011	837	1995-06-17	VYDAJ	VYBER	1500	30728	\N	\N	\N
244012	837	1996-10-20	VYDAJ	VYBER	700	61684	\N	\N	\N
244013	837	1996-02-21	VYDAJ	VYBER	1100	41218	\N	\N	\N
244014	837	1996-08-15	VYDAJ	VYBER	4200	61693	\N	\N	\N
244015	837	1996-06-22	VYDAJ	VYBER	4800	56726	\N	\N	\N
244016	837	1996-01-05	VYDAJ	VYBER	1000	36522	\N	\N	\N
244017	837	1996-11-28	VYDAJ	VYBER	4500	60626	\N	\N	\N
244018	837	1996-05-25	VYDAJ	VYBER	1000	50863	\N	\N	\N
244019	837	1997-11-24	VYDAJ	VYBER	2900	47580	\N	\N	\N
244020	837	1997-04-01	VYDAJ	VYBER	2900	36319	\N	\N	\N
244021	837	1997-03-06	VYDAJ	VYBER	4100	57475	\N	\N	\N
244022	837	1997-02-14	VYDAJ	VYBER	3400	52944	\N	\N	\N
244023	837	1997-11-10	VYDAJ	VYBER	1700	59730	\N	\N	\N
244024	837	1997-05-29	VYDAJ	VYBER	2900	48384	\N	\N	\N
244025	837	1998-05-06	VYDAJ	VYBER	900	53179	\N	\N	\N
244026	837	1998-11-30	VYDAJ	VYBER	3000	28912	\N	\N	\N
244027	837	1998-05-15	VYDAJ	VYBER	2400	41529	\N	\N	\N
244028	837	1998-05-21	VYDAJ	VYBER	900	40629	\N	\N	\N
244043	837	1994-02-28	VYDAJ	VYBER	15	41016	SLUZBY	\N	\N
244044	837	1994-03-31	VYDAJ	VYBER	15	40168	SLUZBY	\N	\N
244045	837	1994-04-30	VYDAJ	VYBER	15	39416	SLUZBY	\N	\N
244046	837	1994-05-31	VYDAJ	VYBER	15	38159	SLUZBY	\N	\N
244047	837	1994-06-30	VYDAJ	VYBER	15	33363	SLUZBY	\N	\N
244048	837	1994-07-31	VYDAJ	VYBER	15	34485	SLUZBY	\N	\N
244049	837	1994-08-31	VYDAJ	VYBER	15	35008	SLUZBY	\N	\N
244050	837	1994-09-30	VYDAJ	VYBER	15	36334	SLUZBY	\N	\N
244051	837	1994-10-31	VYDAJ	VYBER	15	34662	SLUZBY	\N	\N
244052	837	1994-11-30	VYDAJ	VYBER	15	30198	SLUZBY	\N	\N
244053	837	1994-12-31	VYDAJ	VYBER	15	40113	SLUZBY	\N	\N
244054	837	1995-01-31	VYDAJ	VYBER	15	25731	SLUZBY	\N	\N
244055	837	1995-02-28	VYDAJ	VYBER	15	28824	SLUZBY	\N	\N
244056	837	1995-03-31	VYDAJ	VYBER	15	33651	SLUZBY	\N	\N
244057	837	1995-04-30	VYDAJ	VYBER	15	33767	SLUZBY	\N	\N
244058	837	1995-05-31	VYDAJ	VYBER	15	25668	SLUZBY	\N	\N
244059	837	1995-06-30	VYDAJ	VYBER	15	16332	SLUZBY	\N	\N
244060	837	1995-07-31	VYDAJ	VYBER	15	25905	SLUZBY	\N	\N
244061	837	1995-08-31	VYDAJ	VYBER	15	29502	SLUZBY	\N	\N
244062	837	1995-09-30	VYDAJ	VYBER	15	26206	SLUZBY	\N	\N
244063	837	1995-10-31	VYDAJ	VYBER	15	29405	SLUZBY	\N	\N
244064	837	1995-11-30	VYDAJ	VYBER	15	32120	SLUZBY	\N	\N
244065	837	1995-12-31	VYDAJ	VYBER	15	37522	SLUZBY	\N	\N
244066	837	1996-01-31	VYDAJ	VYBER	15	23628	SLUZBY	\N	\N
244067	837	1996-02-29	VYDAJ	VYBER	15	41372	SLUZBY	\N	\N
244068	837	1996-03-31	VYDAJ	VYBER	15	36207	SLUZBY	\N	\N
244069	837	1996-04-30	VYDAJ	VYBER	15	45973	SLUZBY	\N	\N
244070	837	1996-05-31	VYDAJ	VYBER	15	51066	SLUZBY	\N	\N
244071	837	1996-06-30	VYDAJ	VYBER	15	56965	SLUZBY	\N	\N
244072	837	1996-07-31	VYDAJ	VYBER	15	62703	SLUZBY	\N	\N
244073	837	1996-08-31	VYDAJ	VYBER	15	61948	SLUZBY	\N	\N
244074	837	1996-09-30	VYDAJ	VYBER	15	64294	SLUZBY	\N	\N
244075	837	1996-10-31	VYDAJ	VYBER	15	61936	SLUZBY	\N	\N
244076	837	1996-11-30	VYDAJ	VYBER	15	60884	SLUZBY	\N	\N
244077	837	1996-12-31	VYDAJ	VYBER	15	71326	SLUZBY	\N	\N
244078	837	1997-01-31	VYDAJ	VYBER	15	44254	SLUZBY	\N	\N
244079	837	1997-02-28	VYDAJ	VYBER	15	53135	SLUZBY	\N	\N
244080	837	1997-03-31	VYDAJ	VYBER	15	39219	SLUZBY	\N	\N
244081	837	1997-04-30	VYDAJ	VYBER	15	48594	SLUZBY	\N	\N
244082	837	1997-05-31	VYDAJ	VYBER	15	38658	SLUZBY	\N	\N
244083	837	1997-06-30	VYDAJ	VYBER	15	31810	SLUZBY	\N	\N
244084	837	1997-07-31	VYDAJ	VYBER	15	35245	SLUZBY	\N	\N
244085	837	1997-08-31	VYDAJ	VYBER	15	35390	SLUZBY	\N	\N
244086	837	1997-09-30	VYDAJ	VYBER	15	37236	SLUZBY	\N	\N
244087	837	1997-10-31	VYDAJ	VYBER	15	40090	SLUZBY	\N	\N
244088	837	1997-11-30	VYDAJ	VYBER	15	35551	SLUZBY	\N	\N
244089	837	1997-12-31	VYDAJ	VYBER	15	43609	SLUZBY	\N	\N
244090	837	1998-01-31	VYDAJ	VYBER	15	31774	SLUZBY	\N	\N
244091	837	1998-02-28	VYDAJ	VYBER	15	29798	SLUZBY	\N	\N
244092	837	1998-03-31	VYDAJ	VYBER	15	30317	SLUZBY	\N	\N
244093	837	1998-04-30	VYDAJ	VYBER	15	32739	SLUZBY	\N	\N
244094	837	1998-05-31	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
244095	837	1998-06-30	VYDAJ	VYBER	15	30451	SLUZBY	\N	\N
244096	837	1998-07-31	VYDAJ	VYBER	15	33171	SLUZBY	\N	\N
244097	837	1998-08-31	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
244098	837	1998-09-30	VYDAJ	VYBER	15	37746	SLUZBY	\N	\N
244099	837	1998-10-31	VYDAJ	VYBER	15	34686	SLUZBY	\N	\N
244100	837	1998-11-30	VYDAJ	VYBER	15	31912	SLUZBY	\N	\N
244101	837	1993-10-18	PRIJEM	VKLAD	3700	25440	\N	\N	\N
244102	837	1993-11-17	VYDAJ	VYBER	11000	35828	\N	\N	\N
244103	837	1993-12-17	VYDAJ	VYBER	24000	43964	\N	\N	\N
244104	837	1994-01-16	VYDAJ	VYBER	20200	45270	\N	\N	\N
244105	837	1994-02-15	VYDAJ	VYBER	16700	40846	\N	\N	\N
244106	837	1994-03-17	VYDAJ	VYBER	13100	40006	\N	\N	\N
244107	837	1994-04-16	VYDAJ	VYBER	13000	39258	\N	\N	\N
244108	837	1994-05-16	VYDAJ	VYBER	13500	38006	\N	\N	\N
244109	837	1994-06-15	VYDAJ	VYBER	7300	33219	\N	\N	\N
244110	837	1994-07-15	VYDAJ	VYBER	11100	34353	\N	\N	\N
244111	837	1994-08-14	VYDAJ	VYBER	11700	34875	\N	\N	\N
244112	837	1994-09-13	VYDAJ	VYBER	10900	36198	\N	\N	\N
244113	837	1994-10-13	VYDAJ	VYBER	12200	34524	\N	\N	\N
244114	837	1994-11-12	VYDAJ	VYBER	11800	33152	\N	\N	\N
244115	837	1994-12-12	VYDAJ	VYBER	12000	40958	\N	\N	\N
244116	837	1995-01-11	VYDAJ	VYBER	17700	39653	\N	\N	\N
244117	837	1995-02-10	VYDAJ	VYBER	9100	37971	\N	\N	\N
244118	837	1995-03-12	VYDAJ	VYBER	7400	33514	\N	\N	\N
244119	837	1995-04-11	VYDAJ	VYBER	12100	42891	\N	\N	\N
244120	837	1995-05-11	VYDAJ	VYBER	16200	38907	\N	\N	\N
244121	837	1995-06-10	VYDAJ	VYBER	16200	41478	\N	\N	\N
244122	837	1995-07-10	VYDAJ	VYBER	2600	35072	\N	\N	\N
244123	837	1995-08-09	VYDAJ	VYBER	8600	38645	\N	\N	\N
244124	837	1995-09-08	VYDAJ	VYBER	10200	40642	\N	\N	\N
244125	837	1995-10-08	VYDAJ	VYBER	9000	38546	\N	\N	\N
244126	837	1995-11-07	VYDAJ	VYBER	5700	41245	\N	\N	\N
244127	837	1995-12-07	VYDAJ	VYBER	16300	47830	\N	\N	\N
244128	837	1996-01-06	VYDAJ	VYBER	12700	45162	\N	\N	\N
244129	837	1996-02-05	PRIJEM	VKLAD	6600	30228	\N	\N	\N
244130	837	1996-03-06	VYDAJ	VYBER	17400	45312	\N	\N	\N
244131	837	1996-04-05	VYDAJ	VYBER	2500	33707	\N	\N	\N
244132	837	1996-05-05	VYDAJ	VYBER	6200	39773	\N	\N	\N
244133	837	1996-06-04	VYDAJ	VYBER	4700	46366	\N	\N	\N
244134	837	1996-07-04	VYDAJ	VYBER	6600	50365	\N	\N	\N
244135	837	1996-08-03	VYDAJ	VYBER	8900	53803	\N	\N	\N
244136	837	1996-09-02	VYDAJ	VYBER	10000	51948	\N	\N	\N
244137	837	1996-10-02	VYDAJ	VYBER	14000	50294	\N	\N	\N
244138	837	1996-11-01	VYDAJ	VYBER	8900	53036	\N	\N	\N
244139	837	1996-12-01	VYDAJ	VYBER	11200	49684	\N	\N	\N
244140	837	1996-12-31	VYDAJ	VYBER	20800	50526	\N	\N	\N
244141	837	1997-01-30	VYDAJ	VYBER	7400	44016	\N	\N	\N
244142	837	1997-03-01	VYDAJ	VYBER	12900	40235	\N	\N	\N
244143	837	1997-03-31	VYDAJ	VYBER	9200	39233	\N	\N	\N
244144	837	1997-04-30	VYDAJ	VYBER	9400	39194	\N	\N	\N
244145	837	1997-05-30	VYDAJ	VYBER	9900	38484	\N	\N	\N
244146	837	1997-06-29	VYDAJ	VYBER	3400	31618	\N	\N	\N
244147	837	1997-07-29	VYDAJ	VYBER	8800	35100	\N	\N	\N
244148	837	1997-08-28	VYDAJ	VYBER	12100	35235	\N	\N	\N
244149	837	1997-09-27	VYDAJ	VYBER	10400	37080	\N	\N	\N
244150	837	1997-10-27	VYDAJ	VYBER	9400	39926	\N	\N	\N
244151	837	1997-11-26	VYDAJ	VYBER	12200	35380	\N	\N	\N
244152	837	1997-12-26	VYDAJ	VYBER	12500	43411	\N	\N	\N
244153	837	1998-01-25	VYDAJ	VYBER	11200	33999	\N	\N	\N
244154	837	1998-02-24	VYDAJ	VYBER	14200	29664	\N	\N	\N
244155	837	1998-03-26	VYDAJ	VYBER	11700	30188	\N	\N	\N
244156	837	1998-04-25	VYDAJ	VYBER	9800	32607	\N	\N	\N
244157	837	1998-05-25	VYDAJ	VYBER	14100	26529	\N	\N	\N
244158	837	1998-06-24	VYDAJ	VYBER	6600	30333	\N	\N	\N
244159	837	1998-07-24	VYDAJ	VYBER	9500	33041	\N	\N	\N
244160	837	1998-08-23	VYDAJ	VYBER	8100	37161	\N	\N	\N
244161	837	1998-09-22	VYDAJ	VYBER	11800	37593	\N	\N	\N
244162	837	1998-10-22	VYDAJ	VYBER	15300	34536	\N	\N	\N
244163	837	1998-11-21	VYDAJ	VYBER	15000	31776	\N	\N	\N
244227	838	1993-10-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
244382	838	1993-11-22	PRIJEM	VKLAD	10400	11500	\N	\N	\N
244383	838	1993-12-22	PRIJEM	VKLAD	8700	20200	\N	\N	\N
244384	838	1994-01-21	PRIJEM	VKLAD	3800	24000	\N	\N	\N
244385	838	1994-02-20	PRIJEM	VKLAD	1000	25000	\N	\N	\N
244386	838	1994-03-22	PRIJEM	VKLAD	1000	26000	\N	\N	\N
244387	838	1994-04-21	PRIJEM	VKLAD	1300	27300	\N	\N	\N
244388	838	1994-05-21	VYDAJ	VYBER	1700	25600	\N	\N	\N
244389	838	1994-06-20	PRIJEM	VKLAD	500	26100	\N	\N	\N
244390	838	1994-07-20	VYDAJ	VYBER	3300	22800	\N	\N	\N
244391	838	1994-08-19	PRIJEM	VKLAD	1100	23900	\N	\N	\N
244392	838	1994-09-18	VYDAJ	VYBER	1600	22300	\N	\N	\N
244393	838	1994-10-18	PRIJEM	VKLAD	2700	25000	\N	\N	\N
244394	838	1994-11-17	VYDAJ	VYBER	800	24200	\N	\N	\N
244395	838	1994-12-17	PRIJEM	VKLAD	1400	25600	\N	\N	\N
244396	838	1995-01-16	PRIJEM	VKLAD	3100	28700	\N	\N	\N
244397	838	1995-02-15	PRIJEM	VKLAD	1400	30100	\N	\N	\N
244398	838	1995-03-17	PRIJEM	VKLAD	1500	31600	\N	\N	\N
244399	838	1995-04-16	VYDAJ	VYBER	4500	27100	\N	\N	\N
244400	838	1995-05-16	VYDAJ	VYBER	2500	24600	\N	\N	\N
244401	838	1995-06-15	PRIJEM	VKLAD	1200	25800	\N	\N	\N
244402	838	1995-07-15	PRIJEM	VKLAD	2200	28000	\N	\N	\N
244403	838	1995-08-14	PRIJEM	VKLAD	1300	29300	\N	\N	\N
244404	838	1995-09-13	VYDAJ	VYBER	1400	27900	\N	\N	\N
244405	838	1995-10-13	PRIJEM	VKLAD	2100	30000	\N	\N	\N
244406	838	1995-11-12	PRIJEM	VKLAD	3900	33900	\N	\N	\N
244407	838	1995-12-12	PRIJEM	VKLAD	1500	35400	\N	\N	\N
244408	838	1996-01-11	VYDAJ	VYBER	400	35000	\N	\N	\N
244409	838	1996-02-10	PRIJEM	VKLAD	1400	36400	\N	\N	\N
244410	838	1996-03-11	VYDAJ	VYBER	3600	32800	\N	\N	\N
244411	838	1996-04-10	VYDAJ	VYBER	1000	31800	\N	\N	\N
244412	838	1996-05-10	VYDAJ	VYBER	2500	29300	\N	\N	\N
244413	838	1996-06-09	PRIJEM	VKLAD	800	30100	\N	\N	\N
244414	838	1996-07-09	VYDAJ	VYBER	3200	26900	\N	\N	\N
244415	838	1996-08-08	VYDAJ	VYBER	100	26800	\N	\N	\N
244416	838	1996-10-07	VYDAJ	VYBER	1700	25100	\N	\N	\N
244417	838	1996-11-06	PRIJEM	VKLAD	600	25700	\N	\N	\N
244418	838	1996-12-06	PRIJEM	VKLAD	2900	28600	\N	\N	\N
244419	838	1997-03-06	VYDAJ	VYBER	100	28500	\N	\N	\N
244420	838	1997-04-05	VYDAJ	VYBER	100	28400	\N	\N	\N
244421	838	1997-05-05	VYDAJ	VYBER	1700	26700	\N	\N	\N
244422	838	1997-06-04	VYDAJ	VYBER	2200	24500	\N	\N	\N
244423	838	1997-07-04	VYDAJ	VYBER	600	23900	\N	\N	\N
244424	838	1997-08-03	VYDAJ	VYBER	4300	19600	\N	\N	\N
244425	838	1997-09-02	VYDAJ	VYBER	400	19200	\N	\N	\N
244426	838	1997-10-02	VYDAJ	VYBER	1300	17900	\N	\N	\N
244427	838	1997-11-01	PRIJEM	VKLAD	1700	19600	\N	\N	\N
244428	838	1997-12-01	VYDAJ	VYBER	3200	16400	\N	\N	\N
244429	838	1997-12-31	VYDAJ	VYBER	4900	11502	\N	\N	\N
244430	838	1998-03-01	PRIJEM	VKLAD	700	12202	\N	\N	\N
244431	838	1998-03-31	PRIJEM	VKLAD	700	12950	\N	\N	\N
244432	838	1998-04-30	VYDAJ	VYBER	2000	11004	\N	\N	\N
244433	838	1998-05-30	VYDAJ	VYBER	900	10104	\N	\N	\N
244434	838	1998-06-29	VYDAJ	VYBER	1500	8658	\N	\N	\N
244435	838	1998-07-29	PRIJEM	VKLAD	2500	11212	\N	\N	\N
244436	838	1998-08-28	PRIJEM	VKLAD	1200	12466	\N	\N	\N
244437	838	1998-09-27	VYDAJ	VYBER	4000	8519	\N	\N	\N
244438	838	1998-10-27	VYDAJ	VYBER	4200	4373	\N	\N	\N
244439	838	1998-11-26	VYDAJ	VYBER	200	4227	\N	\N	\N
244449	839	1995-01-17	PRIJEM	VKLAD	500	500	\N	\N	\N
244451	839	1995-02-09	PRIJEM	VKLAD	24552	25052	\N	\N	\N
244452	839	1995-03-09	PRIJEM	VKLAD	24552	52358	\N	\N	\N
244453	839	1995-04-09	PRIJEM	VKLAD	24552	63346	\N	\N	\N
244454	839	1995-05-09	PRIJEM	VKLAD	24552	70673	\N	\N	\N
244455	839	1995-06-09	PRIJEM	VKLAD	36828	87401	\N	\N	\N
244456	839	1995-07-09	PRIJEM	VKLAD	24552	72715	\N	\N	\N
244457	839	1995-08-09	PRIJEM	VKLAD	24552	67705	\N	\N	\N
244458	839	1995-09-09	PRIJEM	VKLAD	24552	67186	\N	\N	\N
244459	839	1995-10-09	PRIJEM	VKLAD	24552	66553	\N	\N	\N
244460	839	1995-11-09	PRIJEM	VKLAD	24552	70429	\N	\N	\N
244461	839	1995-12-09	PRIJEM	VKLAD	36828	81782	\N	\N	\N
244462	839	1996-01-09	PRIJEM	VKLAD	24552	76679	\N	\N	\N
244463	839	1996-02-09	PRIJEM	VKLAD	24552	72774	\N	\N	\N
244464	839	1996-03-09	PRIJEM	VKLAD	24552	75677	\N	\N	\N
244465	839	1996-04-09	PRIJEM	VKLAD	24552	75374	\N	\N	\N
244466	839	1996-05-09	PRIJEM	VKLAD	24552	71774	\N	\N	\N
244467	839	1996-06-09	PRIJEM	VKLAD	36828	72153	\N	\N	\N
244468	839	1996-07-09	PRIJEM	VKLAD	24552	63629	\N	\N	\N
244469	839	1996-08-09	PRIJEM	VKLAD	24552	69993	\N	\N	\N
244470	839	1996-09-09	PRIJEM	VKLAD	24552	64870	\N	\N	\N
244471	839	1996-10-09	PRIJEM	VKLAD	24552	75592	\N	\N	\N
244472	839	1996-11-09	PRIJEM	VKLAD	24552	76858	\N	\N	\N
244473	839	1996-12-09	PRIJEM	VKLAD	36828	92818	\N	\N	\N
244474	839	1997-01-09	PRIJEM	VKLAD	24552	87652	\N	\N	\N
244475	839	1997-02-09	PRIJEM	VKLAD	24552	80980	\N	\N	\N
244476	839	1997-03-09	PRIJEM	VKLAD	24552	82583	\N	\N	\N
244477	839	1997-04-09	PRIJEM	VKLAD	24552	83392	\N	\N	\N
244478	839	1997-05-09	PRIJEM	VKLAD	24552	81404	\N	\N	\N
244479	839	1997-06-09	PRIJEM	VKLAD	36828	91088	\N	\N	\N
244480	839	1997-07-09	PRIJEM	VKLAD	24552	82310	\N	\N	\N
244481	839	1997-08-09	PRIJEM	VKLAD	24552	74526	\N	\N	\N
244482	839	1997-09-09	PRIJEM	VKLAD	24552	72898	\N	\N	\N
244483	839	1997-10-09	PRIJEM	VKLAD	24552	68265	\N	\N	\N
244484	839	1997-11-09	PRIJEM	VKLAD	24552	69013	\N	\N	\N
244485	839	1997-12-09	PRIJEM	VKLAD	36828	85337	\N	\N	\N
244486	839	1998-01-09	PRIJEM	VKLAD	24552	73234	\N	\N	\N
244487	839	1998-02-09	PRIJEM	VKLAD	24552	65791	\N	\N	\N
244488	839	1998-03-09	PRIJEM	VKLAD	24552	65410	\N	\N	\N
244489	839	1998-04-09	PRIJEM	VKLAD	24552	65936	\N	\N	\N
244490	839	1998-05-09	PRIJEM	VKLAD	24552	62375	\N	\N	\N
244491	839	1998-06-09	PRIJEM	VKLAD	36828	73279	\N	\N	\N
244492	839	1998-07-09	PRIJEM	VKLAD	24552	59429	\N	\N	\N
244493	839	1998-08-09	PRIJEM	VKLAD	24552	57443	\N	\N	\N
244494	839	1998-09-09	PRIJEM	VKLAD	24552	60510	\N	\N	\N
244495	839	1998-10-09	PRIJEM	VKLAD	24552	66090	\N	\N	\N
244496	839	1998-11-09	PRIJEM	VKLAD	24552	63389	\N	\N	\N
244497	839	1998-12-09	PRIJEM	VKLAD	36828	72053	\N	\N	\N
244503	839	1995-06-11	VYDAJ	PREVOD NA UCET	4254	74747	SIPO	GH	73115485
244504	839	1995-07-11	VYDAJ	PREVOD NA UCET	4254	68461	SIPO	GH	73115485
244505	839	1995-08-11	VYDAJ	PREVOD NA UCET	4254	63451	SIPO	GH	73115485
244506	839	1995-09-11	VYDAJ	PREVOD NA UCET	4254	62932	SIPO	GH	73115485
244507	839	1995-10-11	VYDAJ	PREVOD NA UCET	4254	62299	SIPO	GH	73115485
244508	839	1995-11-11	VYDAJ	PREVOD NA UCET	4254	66175	SIPO	GH	73115485
244509	839	1995-12-11	VYDAJ	PREVOD NA UCET	4254	77528	SIPO	GH	73115485
244510	839	1996-01-11	VYDAJ	PREVOD NA UCET	4254	72425	SIPO	GH	73115485
244511	839	1996-02-11	VYDAJ	PREVOD NA UCET	4254	50920	SIPO	GH	73115485
244512	839	1996-03-11	VYDAJ	PREVOD NA UCET	4254	71423	SIPO	GH	73115485
244513	839	1996-04-11	VYDAJ	PREVOD NA UCET	4254	71120	SIPO	GH	73115485
244514	839	1996-05-11	VYDAJ	PREVOD NA UCET	4254	67520	SIPO	GH	73115485
244515	839	1996-06-11	VYDAJ	PREVOD NA UCET	4254	43499	SIPO	GH	73115485
244516	839	1996-07-11	VYDAJ	PREVOD NA UCET	4254	45275	SIPO	GH	73115485
244517	839	1996-08-11	VYDAJ	PREVOD NA UCET	4254	46639	SIPO	GH	73115485
244518	839	1996-09-11	VYDAJ	PREVOD NA UCET	4254	60616	SIPO	GH	73115485
244519	839	1996-10-11	VYDAJ	PREVOD NA UCET	4254	71338	SIPO	GH	73115485
244520	839	1996-11-11	VYDAJ	PREVOD NA UCET	4254	72604	SIPO	GH	73115485
244521	839	1996-12-11	VYDAJ	PREVOD NA UCET	4254	88564	SIPO	GH	73115485
244522	839	1997-01-11	VYDAJ	PREVOD NA UCET	4254	83398	SIPO	GH	73115485
244523	839	1997-02-11	VYDAJ	PREVOD NA UCET	4254	76726	SIPO	GH	73115485
244524	839	1997-03-11	VYDAJ	PREVOD NA UCET	4254	78329	SIPO	GH	73115485
244525	839	1997-04-11	VYDAJ	PREVOD NA UCET	4254	79138	SIPO	GH	73115485
244526	839	1997-05-11	VYDAJ	PREVOD NA UCET	4254	77150	SIPO	GH	73115485
244527	839	1997-06-11	VYDAJ	PREVOD NA UCET	4254	86834	SIPO	GH	73115485
244528	839	1997-07-11	VYDAJ	PREVOD NA UCET	4254	78056	SIPO	GH	73115485
244529	839	1997-08-11	VYDAJ	PREVOD NA UCET	4254	70272	SIPO	GH	73115485
244530	839	1997-09-11	VYDAJ	PREVOD NA UCET	4254	68644	SIPO	GH	73115485
244531	839	1997-10-11	VYDAJ	PREVOD NA UCET	4254	64011	SIPO	GH	73115485
244532	839	1997-11-11	VYDAJ	PREVOD NA UCET	4254	64759	SIPO	GH	73115485
244533	839	1997-12-11	VYDAJ	PREVOD NA UCET	4254	81083	SIPO	GH	73115485
244534	839	1998-01-11	VYDAJ	PREVOD NA UCET	4254	68980	SIPO	GH	73115485
244535	839	1998-02-11	VYDAJ	PREVOD NA UCET	4254	61537	SIPO	GH	73115485
244536	839	1998-03-11	VYDAJ	PREVOD NA UCET	4254	61156	SIPO	GH	73115485
244537	839	1998-04-11	VYDAJ	PREVOD NA UCET	4254	61682	SIPO	GH	73115485
244538	839	1998-05-11	VYDAJ	PREVOD NA UCET	4254	58121	SIPO	GH	73115485
244539	839	1998-06-11	VYDAJ	PREVOD NA UCET	4254	69025	SIPO	GH	73115485
244540	839	1998-07-11	VYDAJ	PREVOD NA UCET	4254	55175	SIPO	GH	73115485
244541	839	1998-08-11	VYDAJ	PREVOD NA UCET	4254	53189	SIPO	GH	73115485
244542	839	1998-09-11	VYDAJ	PREVOD NA UCET	4254	56256	SIPO	GH	73115485
244543	839	1998-10-11	VYDAJ	PREVOD NA UCET	4254	61836	SIPO	GH	73115485
244544	839	1998-11-11	VYDAJ	PREVOD NA UCET	4254	59135	SIPO	GH	73115485
244545	839	1998-12-11	VYDAJ	PREVOD NA UCET	4254	67799	SIPO	GH	73115485
244546	839	1995-06-09	VYDAJ	VYBER	8400	79001	\N	\N	\N
244547	839	1996-06-06	VYDAJ	VYBER	15900	35325	\N	\N	\N
244548	839	1997-06-04	VYDAJ	VYBER	7200	70260	\N	\N	\N
244549	839	1998-06-28	VYDAJ	VYBER	7100	61925	\N	\N	\N
244551	839	1996-01-18	VYDAJ	VYBER KARTOU	3400	48025	\N	\N	0
244552	839	1997-01-27	VYDAJ	VYBER KARTOU	2700	76398	\N	\N	0
244553	839	1998-01-20	VYDAJ	VYBER	8400	60580	\N	\N	\N
244554	839	1995-07-22	VYDAJ	VYBER	1000	44361	\N	\N	\N
244555	839	1995-08-02	VYDAJ	VYBER	1400	43153	\N	\N	\N
244557	839	1996-06-11	VYDAJ	VYBER KARTOU	1600	47753	\N	\N	0
244558	839	1996-06-28	VYDAJ	VYBER	4600	38899	\N	\N	\N
244559	839	1996-05-06	VYDAJ	VYBER	4500	48422	\N	\N	\N
244560	839	1996-05-08	VYDAJ	VYBER KARTOU	1200	47222	\N	\N	0
244561	839	1996-12-23	VYDAJ	VYBER KARTOU	1300	87264	\N	\N	0
244562	839	1996-10-19	VYDAJ	VYBER KARTOU	1900	69438	\N	\N	0
244563	839	1997-10-15	VYDAJ	VYBER KARTOU	3300	60711	\N	\N	0
244564	839	1997-12-24	VYDAJ	VYBER KARTOU	3500	77583	\N	\N	0
244565	839	1997-07-29	VYDAJ	VYBER KARTOU	3900	74156	\N	\N	0
244566	839	1997-12-25	VYDAJ	VYBER KARTOU	2800	74783	\N	\N	0
244567	839	1997-08-14	VYDAJ	VYBER KARTOU	3500	66772	\N	\N	0
244568	839	1997-01-21	VYDAJ	VYBER	4300	79098	\N	\N	\N
244569	839	1998-11-15	VYDAJ	VYBER	4100	55035	\N	\N	\N
244570	839	1998-03-05	VYDAJ	VYBER	4400	40858	\N	\N	\N
244571	839	1998-02-08	VYDAJ	VYBER KARTOU	3600	41239	\N	\N	0
244572	839	1998-11-05	VYDAJ	VYBER KARTOU	3400	38837	\N	\N	0
244573	839	1998-01-08	VYDAJ	VYBER KARTOU	3600	48682	\N	\N	0
244574	839	1998-12-12	VYDAJ	VYBER KARTOU	800	66999	\N	\N	0
244581	839	1995-06-30	VYDAJ	VYBER	15	48163	SLUZBY	\N	\N
244582	839	1995-07-31	VYDAJ	VYBER	15	44553	SLUZBY	\N	\N
244583	839	1995-08-31	VYDAJ	VYBER	15	42634	SLUZBY	\N	\N
244584	839	1995-09-30	VYDAJ	VYBER	15	42001	SLUZBY	\N	\N
244585	839	1995-10-31	VYDAJ	VYBER	15	45877	SLUZBY	\N	\N
244586	839	1995-11-30	VYDAJ	VYBER	15	44954	SLUZBY	\N	\N
244587	839	1995-12-31	VYDAJ	VYBER	15	52127	SLUZBY	\N	\N
244588	839	1996-01-31	VYDAJ	VYBER	15	48222	SLUZBY	\N	\N
244589	839	1996-02-29	VYDAJ	VYBER	15	51125	SLUZBY	\N	\N
244590	839	1996-03-31	VYDAJ	VYBER	15	50822	SLUZBY	\N	\N
244591	839	1996-04-30	VYDAJ	VYBER	15	52922	SLUZBY	\N	\N
244592	839	1996-05-31	VYDAJ	VYBER	15	51225	SLUZBY	\N	\N
244593	839	1996-06-30	VYDAJ	VYBER	15	39077	SLUZBY	\N	\N
244594	839	1996-07-31	VYDAJ	VYBER	15	45441	SLUZBY	\N	\N
244595	839	1996-08-31	VYDAJ	VYBER	15	46818	SLUZBY	\N	\N
244596	839	1996-09-30	VYDAJ	VYBER	15	60840	SLUZBY	\N	\N
244597	839	1996-10-31	VYDAJ	VYBER	15	69706	SLUZBY	\N	\N
244598	839	1996-11-30	VYDAJ	VYBER	15	72890	SLUZBY	\N	\N
244599	839	1996-12-31	VYDAJ	VYBER	15	87600	SLUZBY	\N	\N
244600	839	1997-01-31	VYDAJ	VYBER	15	76728	SLUZBY	\N	\N
244601	839	1997-02-28	VYDAJ	VYBER	15	77031	SLUZBY	\N	\N
244602	839	1997-03-31	VYDAJ	VYBER	15	78640	SLUZBY	\N	\N
244603	839	1997-04-30	VYDAJ	VYBER	15	79452	SLUZBY	\N	\N
244604	839	1997-05-31	VYDAJ	VYBER	15	77460	SLUZBY	\N	\N
244605	839	1997-06-30	VYDAJ	VYBER	15	87158	SLUZBY	\N	\N
244606	839	1997-07-31	VYDAJ	VYBER	15	74474	SLUZBY	\N	\N
244607	839	1997-08-31	VYDAJ	VYBER	15	67046	SLUZBY	\N	\N
244608	839	1997-09-30	VYDAJ	VYBER	15	68913	SLUZBY	\N	\N
244609	839	1997-10-31	VYDAJ	VYBER	15	60961	SLUZBY	\N	\N
244610	839	1997-11-30	VYDAJ	VYBER	15	65009	SLUZBY	\N	\N
244611	839	1997-12-31	VYDAJ	VYBER	15	75082	SLUZBY	\N	\N
244612	839	1998-01-31	VYDAJ	VYBER	15	60839	SLUZBY	\N	\N
244613	839	1998-02-28	VYDAJ	VYBER	15	61758	SLUZBY	\N	\N
244614	839	1998-03-31	VYDAJ	VYBER	15	61384	SLUZBY	\N	\N
244615	839	1998-04-30	VYDAJ	VYBER	15	61923	SLUZBY	\N	\N
244616	839	1998-05-31	VYDAJ	VYBER	15	58351	SLUZBY	\N	\N
244617	839	1998-06-30	VYDAJ	VYBER	15	62177	SLUZBY	\N	\N
244618	839	1998-07-31	VYDAJ	VYBER	15	32891	SLUZBY	\N	\N
244619	839	1998-08-31	VYDAJ	VYBER	15	35958	SLUZBY	\N	\N
244620	839	1998-09-30	VYDAJ	VYBER	15	41538	SLUZBY	\N	\N
244621	839	1998-10-31	VYDAJ	VYBER	15	42237	SLUZBY	\N	\N
244622	839	1998-11-30	VYDAJ	VYBER	15	35225	SLUZBY	\N	\N
244623	839	1995-02-16	PRIJEM	VKLAD	2700	27752	\N	\N	\N
244624	839	1995-03-18	VYDAJ	VYBER	13700	38658	\N	\N	\N
244625	839	1995-04-17	VYDAJ	VYBER	17400	45946	\N	\N	\N
244626	839	1995-05-17	VYDAJ	VYBER	20300	50373	\N	\N	\N
244627	839	1995-06-16	VYDAJ	VYBER	26800	47947	\N	\N	\N
244628	839	1995-07-16	VYDAJ	VYBER	23100	45361	\N	\N	\N
244629	839	1995-08-15	VYDAJ	VYBER	21000	42451	\N	\N	\N
244630	839	1995-09-14	VYDAJ	VYBER	21100	41832	\N	\N	\N
244631	839	1995-10-14	VYDAJ	VYBER	16600	45699	\N	\N	\N
244632	839	1995-11-13	VYDAJ	VYBER	21400	44775	\N	\N	\N
244633	839	1995-12-13	VYDAJ	VYBER	25600	51928	\N	\N	\N
244634	839	1996-01-12	VYDAJ	VYBER	21000	51425	\N	\N	\N
244635	839	1996-02-11	VYDAJ	VYBER	17600	55174	\N	\N	\N
244636	839	1996-03-12	VYDAJ	VYBER	20800	50623	\N	\N	\N
244637	839	1996-04-11	VYDAJ	VYBER	18400	52720	\N	\N	\N
244638	839	1996-05-11	VYDAJ	VYBER	16500	51020	\N	\N	\N
244639	839	1996-06-10	VYDAJ	VYBER	22800	49353	\N	\N	\N
244640	839	1996-07-10	VYDAJ	VYBER	14100	49529	\N	\N	\N
244641	839	1996-08-09	VYDAJ	VYBER	19100	50893	\N	\N	\N
244642	839	1996-09-08	VYDAJ	VYBER	6500	40318	\N	\N	\N
244643	839	1996-10-08	VYDAJ	VYBER	9800	51040	\N	\N	\N
244644	839	1996-11-07	VYDAJ	VYBER	17400	52306	\N	\N	\N
244645	839	1996-12-07	VYDAJ	VYBER	16900	55990	\N	\N	\N
244646	839	1997-01-06	VYDAJ	VYBER	24500	63100	\N	\N	\N
244647	839	1997-02-05	VYDAJ	VYBER	20300	56428	\N	\N	\N
244648	839	1997-03-07	VYDAJ	VYBER	19000	58031	\N	\N	\N
244649	839	1997-04-06	VYDAJ	VYBER	19800	58840	\N	\N	\N
244650	839	1997-05-06	VYDAJ	VYBER	22600	56852	\N	\N	\N
244651	839	1997-06-05	VYDAJ	VYBER	16000	54260	\N	\N	\N
244652	839	1997-07-05	VYDAJ	VYBER	29400	57758	\N	\N	\N
244653	839	1997-08-04	VYDAJ	VYBER	24500	49974	\N	\N	\N
244654	839	1997-09-03	VYDAJ	VYBER	18700	48346	\N	\N	\N
244655	839	1997-10-03	VYDAJ	VYBER	25200	43713	\N	\N	\N
244656	839	1997-11-02	VYDAJ	VYBER	16500	44461	\N	\N	\N
244657	839	1997-12-02	VYDAJ	VYBER	16500	48509	\N	\N	\N
244658	839	1998-01-01	VYDAJ	VYBER	22800	52282	\N	\N	\N
244659	839	1998-01-31	VYDAJ	VYBER	16000	44839	\N	\N	\N
244660	839	1998-03-02	VYDAJ	VYBER	16500	45258	\N	\N	\N
244661	839	1998-04-01	VYDAJ	VYBER	20000	41384	\N	\N	\N
244662	839	1998-05-01	VYDAJ	VYBER	24100	37823	\N	\N	\N
244663	839	1998-05-31	VYDAJ	VYBER	21900	36451	\N	\N	\N
244664	839	1998-06-30	VYDAJ	VYBER	27300	34877	\N	\N	\N
244665	839	1998-07-30	VYDAJ	VYBER	22500	32675	\N	\N	\N
244666	839	1998-08-29	VYDAJ	VYBER	17400	35789	\N	\N	\N
244667	839	1998-09-28	VYDAJ	VYBER	14900	41356	\N	\N	\N
244668	839	1998-10-28	VYDAJ	VYBER	19800	42036	\N	\N	\N
244669	839	1998-11-27	VYDAJ	VYBER	20000	35035	\N	\N	\N
244717	840	1996-03-12	PRIJEM	VKLAD	500	500	\N	\N	\N
244720	840	1996-03-14	PRIJEM	VKLAD	24420	24920	\N	\N	\N
244721	840	1996-04-14	PRIJEM	VKLAD	24420	49100	\N	\N	\N
244722	840	1996-05-14	PRIJEM	VKLAD	24420	60581	\N	\N	\N
244723	840	1996-06-14	PRIJEM	VKLAD	36630	79644	\N	\N	\N
244724	840	1996-07-14	PRIJEM	VKLAD	24420	78261	\N	\N	\N
244725	840	1996-08-14	PRIJEM	VKLAD	24420	69105	\N	\N	\N
244726	840	1996-09-14	PRIJEM	VKLAD	24420	65235	\N	\N	\N
244727	840	1996-10-14	PRIJEM	VKLAD	24420	61828	\N	\N	\N
244728	840	1996-11-14	PRIJEM	VKLAD	24420	61785	\N	\N	\N
244729	840	1996-12-14	PRIJEM	VKLAD	36630	72008	\N	\N	\N
244730	840	1997-01-14	PRIJEM	VKLAD	24420	55629	\N	\N	\N
244731	840	1997-02-14	PRIJEM	VKLAD	24420	50246	\N	\N	\N
244732	840	1997-03-14	PRIJEM	VKLAD	24420	56529	\N	\N	\N
244733	840	1997-04-14	PRIJEM	VKLAD	24420	61450	\N	\N	\N
244734	840	1997-05-14	PRIJEM	VKLAD	24420	64494	\N	\N	\N
244735	840	1997-06-14	PRIJEM	VKLAD	36630	66204	\N	\N	\N
244736	840	1997-07-14	PRIJEM	VKLAD	24420	66437	\N	\N	\N
244737	840	1997-08-14	PRIJEM	VKLAD	24420	62810	\N	\N	\N
244738	840	1997-09-14	PRIJEM	VKLAD	24420	55354	\N	\N	\N
244739	840	1997-10-14	PRIJEM	VKLAD	24420	51505	\N	\N	\N
244740	840	1997-11-14	PRIJEM	VKLAD	24420	53105	\N	\N	\N
244741	840	1997-12-14	PRIJEM	VKLAD	36630	62684	\N	\N	\N
244742	840	1998-01-14	PRIJEM	VKLAD	24420	40167	\N	\N	\N
244743	840	1998-02-14	PRIJEM	VKLAD	24420	43306	\N	\N	\N
244744	840	1998-03-14	PRIJEM	VKLAD	24420	51646	\N	\N	\N
244745	840	1998-04-14	PRIJEM	VKLAD	24420	52223	\N	\N	\N
244746	840	1998-05-14	PRIJEM	VKLAD	24420	50632	\N	\N	\N
244747	840	1998-06-14	PRIJEM	VKLAD	36630	65819	\N	\N	\N
244748	840	1998-07-14	PRIJEM	VKLAD	24420	38384	\N	\N	\N
244749	840	1998-08-14	PRIJEM	VKLAD	24420	42103	\N	\N	\N
244750	840	1998-09-14	PRIJEM	VKLAD	24420	50237	\N	\N	\N
244751	840	1998-10-14	PRIJEM	VKLAD	24420	49299	\N	\N	\N
244752	840	1998-11-14	PRIJEM	VKLAD	24420	51658	\N	\N	\N
244753	840	1998-12-14	PRIJEM	VKLAD	36630	65435	\N	\N	\N
244761	840	1996-08-13	VYDAJ	PREVOD NA UCET	4606	44685	SIPO	MN	8011526
244762	840	1996-09-13	VYDAJ	PREVOD NA UCET	4606	40815	SIPO	MN	8011526
244763	840	1996-10-13	VYDAJ	PREVOD NA UCET	4606	37408	SIPO	MN	8011526
244764	840	1996-11-13	VYDAJ	PREVOD NA UCET	4606	37365	SIPO	MN	8011526
244765	840	1996-12-13	VYDAJ	PREVOD NA UCET	4606	35378	SIPO	MN	8011526
244766	840	1997-01-13	VYDAJ	PREVOD NA UCET	4606	31209	SIPO	MN	8011526
244767	840	1997-02-13	VYDAJ	PREVOD NA UCET	4606	25826	SIPO	MN	8011526
244768	840	1997-03-13	VYDAJ	PREVOD NA UCET	4606	32109	SIPO	MN	8011526
244769	840	1997-04-13	VYDAJ	PREVOD NA UCET	4606	37030	SIPO	MN	8011526
244770	840	1997-05-13	VYDAJ	PREVOD NA UCET	4606	40074	SIPO	MN	8011526
244771	840	1997-06-13	VYDAJ	PREVOD NA UCET	4606	29574	SIPO	MN	8011526
244772	840	1997-07-13	VYDAJ	PREVOD NA UCET	4606	42017	SIPO	MN	8011526
244773	840	1997-08-13	VYDAJ	PREVOD NA UCET	4606	38390	SIPO	MN	8011526
244774	840	1997-09-13	VYDAJ	PREVOD NA UCET	4606	30934	SIPO	MN	8011526
244775	840	1997-10-13	VYDAJ	PREVOD NA UCET	4606	27085	SIPO	MN	8011526
244776	840	1997-11-13	VYDAJ	PREVOD NA UCET	4606	28685	SIPO	MN	8011526
244777	840	1997-12-13	VYDAJ	PREVOD NA UCET	4606	26054	SIPO	MN	8011526
244778	840	1998-01-13	VYDAJ	PREVOD NA UCET	4606	15747	SIPO	MN	8011526
244779	840	1998-02-13	VYDAJ	PREVOD NA UCET	4606	18886	SIPO	MN	8011526
244780	840	1998-03-13	VYDAJ	PREVOD NA UCET	4606	27226	SIPO	MN	8011526
244781	840	1998-04-13	VYDAJ	PREVOD NA UCET	4606	27803	SIPO	MN	8011526
244782	840	1998-05-13	VYDAJ	PREVOD NA UCET	4606	26212	SIPO	MN	8011526
244783	840	1998-06-13	VYDAJ	PREVOD NA UCET	4606	29189	SIPO	MN	8011526
244784	840	1998-07-13	VYDAJ	PREVOD NA UCET	4606	13964	SIPO	MN	8011526
244785	840	1998-08-13	VYDAJ	PREVOD NA UCET	4606	17683	SIPO	MN	8011526
244786	840	1998-09-13	VYDAJ	PREVOD NA UCET	4606	25817	SIPO	MN	8011526
244787	840	1998-10-13	VYDAJ	PREVOD NA UCET	4606	24879	SIPO	MN	8011526
244788	840	1998-11-13	VYDAJ	PREVOD NA UCET	4606	27238	SIPO	MN	8011526
244789	840	1998-12-13	VYDAJ	PREVOD NA UCET	4606	28805	SIPO	MN	8011526
244791	840	1997-06-05	VYDAJ	VYBER	16160	48580	\N	\N	\N
244792	840	1998-06-18	VYDAJ	VYBER	44000	21819	\N	\N	\N
244794	840	1997-01-21	VYDAJ	VYBER	14720	37549	\N	\N	\N
244796	840	1996-12-02	VYDAJ	VYBER	4640	57384	\N	\N	\N
244797	840	1997-12-19	VYDAJ	VYBER	4640	58044	\N	\N	\N
244798	840	1998-12-19	VYDAJ	VYBER	2880	62555	\N	\N	\N
244805	840	1997-01-07	VYDAJ	VYBER	2640	41095	\N	\N	\N
244806	840	1997-01-11	VYDAJ	VYBER	600	38095	\N	\N	\N
244807	840	1997-01-18	VYDAJ	VYBER	3360	52269	\N	\N	\N
244808	840	1997-01-06	VYDAJ	VYBER	3120	43735	\N	\N	\N
244809	840	1997-01-10	VYDAJ	VYBER	2400	38695	\N	\N	\N
244810	840	1997-01-13	VYDAJ	VYBER	2280	35815	\N	\N	\N
244811	840	1998-01-09	VYDAJ	VYBER	3000	23593	\N	\N	\N
244812	840	1998-01-02	VYDAJ	VYBER	1800	29713	\N	\N	\N
244813	840	1998-01-11	VYDAJ	VYBER	3240	20353	\N	\N	\N
244814	840	1998-01-02	VYDAJ	VYBER	2040	31513	\N	\N	\N
244815	840	1998-01-15	VYDAJ	VYBER	1200	38967	\N	\N	\N
244816	840	1998-01-04	VYDAJ	VYBER	3120	26593	\N	\N	\N
244818	840	1996-09-28	VYDAJ	VYBER	1680	63555	\N	\N	\N
244819	840	1996-08-30	VYDAJ	VYBER	960	68145	\N	\N	\N
244821	840	1996-07-26	VYDAJ	VYBER	5280	72981	\N	\N	\N
244822	840	1997-11-24	VYDAJ	VYBER	5640	47465	\N	\N	\N
244823	840	1997-09-11	VYDAJ	VYBER	4320	35540	\N	\N	\N
244824	840	1997-10-08	VYDAJ	VYBER	5280	31691	\N	\N	\N
244825	840	1998-04-12	VYDAJ	VYBER	4920	32409	\N	\N	\N
244826	840	1998-05-02	VYDAJ	VYBER	2400	30818	\N	\N	\N
244835	840	1996-07-31	VYDAJ	VYBER	15	73291	SLUZBY	\N	\N
244836	840	1996-08-31	VYDAJ	VYBER	15	68421	SLUZBY	\N	\N
244837	840	1996-09-30	VYDAJ	VYBER	15	63814	SLUZBY	\N	\N
244838	840	1996-10-31	VYDAJ	VYBER	15	62071	SLUZBY	\N	\N
244839	840	1996-11-30	VYDAJ	VYBER	15	62024	SLUZBY	\N	\N
244840	840	1996-12-31	VYDAJ	VYBER	15	72255	SLUZBY	\N	\N
244841	840	1997-01-31	VYDAJ	VYBER	15	37732	SLUZBY	\N	\N
244842	840	1997-02-28	VYDAJ	VYBER	15	50415	SLUZBY	\N	\N
244843	840	1997-03-31	VYDAJ	VYBER	15	56736	SLUZBY	\N	\N
244844	840	1997-04-30	VYDAJ	VYBER	15	61680	SLUZBY	\N	\N
244845	840	1997-05-31	VYDAJ	VYBER	15	64740	SLUZBY	\N	\N
244846	840	1997-06-30	VYDAJ	VYBER	15	66423	SLUZBY	\N	\N
244847	840	1997-07-31	VYDAJ	VYBER	15	66696	SLUZBY	\N	\N
244848	840	1997-08-31	VYDAJ	VYBER	15	63060	SLUZBY	\N	\N
244849	840	1997-09-30	VYDAJ	VYBER	15	55571	SLUZBY	\N	\N
244850	840	1997-10-31	VYDAJ	VYBER	15	51691	SLUZBY	\N	\N
244851	840	1997-11-30	VYDAJ	VYBER	15	47660	SLUZBY	\N	\N
244852	840	1997-12-31	VYDAJ	VYBER	15	58253	SLUZBY	\N	\N
244853	840	1998-01-31	VYDAJ	VYBER	15	39092	SLUZBY	\N	\N
244854	840	1998-02-28	VYDAJ	VYBER	15	43432	SLUZBY	\N	\N
244855	840	1998-03-31	VYDAJ	VYBER	15	51829	SLUZBY	\N	\N
244856	840	1998-04-30	VYDAJ	VYBER	15	52418	SLUZBY	\N	\N
244857	840	1998-05-31	VYDAJ	VYBER	15	50795	SLUZBY	\N	\N
244858	840	1998-06-30	VYDAJ	VYBER	15	18570	SLUZBY	\N	\N
244859	840	1998-07-31	VYDAJ	VYBER	15	22289	SLUZBY	\N	\N
244860	840	1998-08-31	VYDAJ	VYBER	15	30423	SLUZBY	\N	\N
244861	840	1998-09-30	VYDAJ	VYBER	15	29485	SLUZBY	\N	\N
244862	840	1998-10-31	VYDAJ	VYBER	15	31844	SLUZBY	\N	\N
244863	840	1998-11-30	VYDAJ	VYBER	15	33411	SLUZBY	\N	\N
244864	840	1996-04-11	VYDAJ	VYBER	300	24680	\N	\N	\N
244865	840	1996-05-11	VYDAJ	VYBER	13100	36161	\N	\N	\N
244866	840	1996-06-10	VYDAJ	VYBER	17800	43014	\N	\N	\N
244867	840	1996-07-10	VYDAJ	VYBER	26100	53841	\N	\N	\N
244868	840	1996-08-09	VYDAJ	VYBER	24000	49291	\N	\N	\N
244869	840	1996-09-08	VYDAJ	VYBER	23000	45421	\N	\N	\N
244870	840	1996-10-08	VYDAJ	VYBER	21800	42014	\N	\N	\N
244871	840	1996-11-07	VYDAJ	VYBER	20100	41971	\N	\N	\N
244872	840	1996-12-07	VYDAJ	VYBER	17400	39984	\N	\N	\N
244873	840	1997-01-06	VYDAJ	VYBER	25400	46855	\N	\N	\N
244874	840	1997-02-05	VYDAJ	VYBER	7300	30432	\N	\N	\N
244875	840	1997-03-07	VYDAJ	VYBER	13700	36715	\N	\N	\N
244876	840	1997-04-06	VYDAJ	VYBER	15100	41636	\N	\N	\N
244877	840	1997-05-06	VYDAJ	VYBER	17000	44680	\N	\N	\N
244878	840	1997-06-05	VYDAJ	VYBER	14400	34180	\N	\N	\N
244879	840	1997-07-05	VYDAJ	VYBER	19800	46623	\N	\N	\N
244880	840	1997-08-04	VYDAJ	VYBER	23700	42996	\N	\N	\N
244881	840	1997-09-03	VYDAJ	VYBER	23200	39860	\N	\N	\N
244882	840	1997-10-03	VYDAJ	VYBER	18600	36971	\N	\N	\N
244883	840	1997-11-02	VYDAJ	VYBER	18400	33291	\N	\N	\N
244884	840	1997-12-02	VYDAJ	VYBER	17000	30660	\N	\N	\N
244885	840	1998-01-01	VYDAJ	VYBER	24700	33553	\N	\N	\N
244886	840	1998-01-31	VYDAJ	VYBER	15600	23492	\N	\N	\N
244887	840	1998-03-02	VYDAJ	VYBER	11600	31832	\N	\N	\N
244888	840	1998-04-01	VYDAJ	VYBER	14500	37329	\N	\N	\N
244889	840	1998-05-01	VYDAJ	VYBER	19200	33218	\N	\N	\N
244890	840	1998-05-31	VYDAJ	VYBER	17000	33795	\N	\N	\N
244891	840	1998-06-30	VYDAJ	VYBER	3400	18585	\N	\N	\N
244892	840	1998-07-30	VYDAJ	VYBER	16200	22184	\N	\N	\N
244893	840	1998-08-29	VYDAJ	VYBER	11800	30303	\N	\N	\N
244894	840	1998-09-28	VYDAJ	VYBER	20900	29337	\N	\N	\N
244895	840	1998-10-28	VYDAJ	VYBER	17600	31699	\N	\N	\N
244896	840	1998-11-27	VYDAJ	VYBER	18400	33258	\N	\N	\N
244931	841	1993-11-04	PRIJEM	VKLAD	800	800	\N	\N	\N
244942	841	1993-11-07	PRIJEM	PREVOD Z UCTU	5772	6572	DUCHOD	UV	15798580
244943	841	1993-12-07	PRIJEM	PREVOD Z UCTU	5772	12366	DUCHOD	UV	15798580
244944	841	1994-01-07	PRIJEM	PREVOD Z UCTU	5772	18165	DUCHOD	UV	15798580
244945	841	1994-02-07	PRIJEM	PREVOD Z UCTU	5772	23965	DUCHOD	UV	15798580
244946	841	1994-03-07	PRIJEM	PREVOD Z UCTU	5772	29064	DUCHOD	UV	15798580
244947	841	1994-04-07	PRIJEM	PREVOD Z UCTU	5772	31910	DUCHOD	UV	15798580
244948	841	1994-05-07	PRIJEM	PREVOD Z UCTU	5772	33983	DUCHOD	UV	15798580
244949	841	1994-06-07	PRIJEM	PREVOD Z UCTU	5772	32564	DUCHOD	UV	15798580
244950	841	1994-07-07	PRIJEM	PREVOD Z UCTU	5772	34342	DUCHOD	UV	15798580
244951	841	1994-08-07	PRIJEM	PREVOD Z UCTU	5772	30138	DUCHOD	UV	15798580
244952	841	1994-09-07	PRIJEM	PREVOD Z UCTU	5772	28805	DUCHOD	UV	15798580
244953	841	1994-10-07	PRIJEM	PREVOD Z UCTU	5772	28357	DUCHOD	UV	15798580
244954	841	1994-11-07	PRIJEM	PREVOD Z UCTU	5772	28607	DUCHOD	UV	15798580
244955	841	1994-12-07	PRIJEM	PREVOD Z UCTU	5772	27161	DUCHOD	UV	15798580
244956	841	1995-01-07	PRIJEM	PREVOD Z UCTU	5772	24708	DUCHOD	UV	15798580
244957	841	1995-02-07	PRIJEM	PREVOD Z UCTU	5772	19395	DUCHOD	UV	15798580
244958	841	1995-03-07	PRIJEM	PREVOD Z UCTU	5772	23108	DUCHOD	UV	15798580
244959	841	1995-04-07	PRIJEM	PREVOD Z UCTU	5772	26837	DUCHOD	UV	15798580
244960	841	1995-05-07	PRIJEM	PREVOD Z UCTU	5772	28579	DUCHOD	UV	15798580
244961	841	1995-06-07	PRIJEM	PREVOD Z UCTU	5772	29330	DUCHOD	UV	15798580
244962	841	1995-07-07	PRIJEM	PREVOD Z UCTU	5772	28282	DUCHOD	UV	15798580
244963	841	1995-08-07	PRIJEM	PREVOD Z UCTU	5772	31433	DUCHOD	UV	15798580
244964	841	1995-09-07	PRIJEM	PREVOD Z UCTU	5772	31393	DUCHOD	UV	15798580
244965	841	1995-10-07	PRIJEM	PREVOD Z UCTU	5772	32054	DUCHOD	UV	15798580
244966	841	1995-11-07	PRIJEM	PREVOD Z UCTU	5772	32718	DUCHOD	UV	15798580
244967	841	1995-12-07	PRIJEM	PREVOD Z UCTU	5772	31282	DUCHOD	UV	15798580
244968	841	1996-01-07	PRIJEM	PREVOD Z UCTU	5772	29331	DUCHOD	UV	15798580
244969	841	1996-02-07	PRIJEM	PREVOD Z UCTU	5772	25319	DUCHOD	UV	15798580
244970	841	1996-03-07	PRIJEM	PREVOD Z UCTU	5772	26654	DUCHOD	UV	15798580
244971	841	1996-04-07	PRIJEM	PREVOD Z UCTU	5772	30297	DUCHOD	UV	15798580
244972	841	1996-05-07	PRIJEM	PREVOD Z UCTU	5772	28287	DUCHOD	UV	15798580
244973	841	1996-06-07	PRIJEM	PREVOD Z UCTU	5772	25031	DUCHOD	UV	15798580
244974	841	1996-07-07	PRIJEM	PREVOD Z UCTU	5772	28776	DUCHOD	UV	15798580
244975	841	1996-08-07	PRIJEM	PREVOD Z UCTU	5772	29567	DUCHOD	UV	15798580
244976	841	1996-09-07	PRIJEM	PREVOD Z UCTU	5772	33323	DUCHOD	UV	15798580
244977	841	1996-10-07	PRIJEM	PREVOD Z UCTU	5772	37094	DUCHOD	UV	15798580
244978	841	1996-11-07	PRIJEM	PREVOD Z UCTU	5772	40881	DUCHOD	UV	15798580
244979	841	1996-12-07	PRIJEM	PREVOD Z UCTU	5772	43682	DUCHOD	UV	15798580
244980	841	1997-01-07	PRIJEM	PREVOD Z UCTU	5772	43904	DUCHOD	UV	15798580
244981	841	1997-02-07	PRIJEM	PREVOD Z UCTU	5772	38550	DUCHOD	UV	15798580
244982	841	1997-03-07	PRIJEM	PREVOD Z UCTU	5772	37774	DUCHOD	UV	15798580
244983	841	1997-04-07	PRIJEM	PREVOD Z UCTU	5772	38924	DUCHOD	UV	15798580
244984	841	1997-05-07	PRIJEM	PREVOD Z UCTU	5772	42725	DUCHOD	UV	15798580
244985	841	1997-06-07	PRIJEM	PREVOD Z UCTU	5772	46535	DUCHOD	UV	15798580
244986	841	1997-07-07	PRIJEM	PREVOD Z UCTU	5772	50361	DUCHOD	UV	15798580
244987	841	1997-08-07	PRIJEM	PREVOD Z UCTU	5772	49693	DUCHOD	UV	15798580
244988	841	1997-09-07	PRIJEM	PREVOD Z UCTU	5772	47638	DUCHOD	UV	15798580
244989	841	1997-10-07	PRIJEM	PREVOD Z UCTU	5772	43532	DUCHOD	UV	15798580
244990	841	1997-11-07	PRIJEM	PREVOD Z UCTU	5772	40934	DUCHOD	UV	15798580
244991	841	1997-12-07	PRIJEM	PREVOD Z UCTU	5772	38470	DUCHOD	UV	15798580
244992	841	1998-01-07	PRIJEM	PREVOD Z UCTU	5772	36110	DUCHOD	UV	15798580
244993	841	1998-02-07	PRIJEM	PREVOD Z UCTU	5772	33104	DUCHOD	UV	15798580
244994	841	1998-03-07	PRIJEM	PREVOD Z UCTU	5772	36873	DUCHOD	UV	15798580
244995	841	1998-04-07	PRIJEM	PREVOD Z UCTU	5772	40097	DUCHOD	UV	15798580
244996	841	1998-05-07	PRIJEM	PREVOD Z UCTU	5772	43895	DUCHOD	UV	15798580
244997	841	1998-06-07	PRIJEM	PREVOD Z UCTU	5772	47709	DUCHOD	UV	15798580
244998	841	1998-07-07	PRIJEM	PREVOD Z UCTU	5772	50978	DUCHOD	UV	15798580
244999	841	1998-08-07	PRIJEM	PREVOD Z UCTU	5772	52717	DUCHOD	UV	15798580
245000	841	1998-09-07	PRIJEM	PREVOD Z UCTU	5772	56567	DUCHOD	UV	15798580
245001	841	1998-10-07	PRIJEM	PREVOD Z UCTU	5772	55623	DUCHOD	UV	15798580
245002	841	1998-11-07	PRIJEM	PREVOD Z UCTU	5772	48703	DUCHOD	UV	15798580
245003	841	1998-12-07	PRIJEM	PREVOD Z UCTU	5772	48417	DUCHOD	UV	15798580
245018	841	1994-03-14	VYDAJ	PREVOD NA UCET	2109	26955	SIPO	IJ	1747614
245019	841	1994-04-14	VYDAJ	PREVOD NA UCET	2109	29801	SIPO	IJ	1747614
245020	841	1994-05-14	VYDAJ	PREVOD NA UCET	2109	31874	SIPO	IJ	1747614
245021	841	1994-06-14	VYDAJ	PREVOD NA UCET	2109	30455	SIPO	IJ	1747614
245022	841	1994-07-14	VYDAJ	PREVOD NA UCET	2109	30313	SIPO	IJ	1747614
245023	841	1994-08-14	VYDAJ	PREVOD NA UCET	2109	28029	SIPO	IJ	1747614
245024	841	1994-09-14	VYDAJ	PREVOD NA UCET	2109	26696	SIPO	IJ	1747614
245025	841	1994-10-14	VYDAJ	PREVOD NA UCET	2109	26248	SIPO	IJ	1747614
245026	841	1994-11-14	VYDAJ	PREVOD NA UCET	2109	25698	SIPO	IJ	1747614
245027	841	1994-12-14	VYDAJ	PREVOD NA UCET	2109	24052	SIPO	IJ	1747614
245028	841	1995-01-14	VYDAJ	PREVOD NA UCET	2109	19159	SIPO	IJ	1747614
245029	841	1995-02-14	VYDAJ	PREVOD NA UCET	2109	17286	SIPO	IJ	1747614
245030	841	1995-03-14	VYDAJ	PREVOD NA UCET	2109	20999	SIPO	IJ	1747614
245031	841	1995-04-14	VYDAJ	PREVOD NA UCET	2109	24728	SIPO	IJ	1747614
245032	841	1995-05-14	VYDAJ	PREVOD NA UCET	2109	26470	SIPO	IJ	1747614
245033	841	1995-06-14	VYDAJ	PREVOD NA UCET	2109	27221	SIPO	IJ	1747614
245034	841	1995-07-14	VYDAJ	PREVOD NA UCET	2109	26173	SIPO	IJ	1747614
245035	841	1995-08-14	VYDAJ	PREVOD NA UCET	2109	29324	SIPO	IJ	1747614
245036	841	1995-09-14	VYDAJ	PREVOD NA UCET	2109	29284	SIPO	IJ	1747614
245037	841	1995-10-14	VYDAJ	PREVOD NA UCET	2109	29945	SIPO	IJ	1747614
245038	841	1995-11-14	VYDAJ	PREVOD NA UCET	2109	30609	SIPO	IJ	1747614
245039	841	1995-12-14	VYDAJ	PREVOD NA UCET	2109	29173	SIPO	IJ	1747614
245040	841	1996-01-14	VYDAJ	PREVOD NA UCET	2109	25142	SIPO	IJ	1747614
245041	841	1996-02-14	VYDAJ	PREVOD NA UCET	2109	23210	SIPO	IJ	1747614
245042	841	1996-03-14	VYDAJ	PREVOD NA UCET	2109	24545	SIPO	IJ	1747614
245043	841	1996-04-14	VYDAJ	PREVOD NA UCET	2109	25228	SIPO	IJ	1747614
245044	841	1996-05-14	VYDAJ	PREVOD NA UCET	2109	23058	SIPO	IJ	1747614
245045	841	1996-06-14	VYDAJ	PREVOD NA UCET	2109	22922	SIPO	IJ	1747614
245046	841	1996-07-14	VYDAJ	PREVOD NA UCET	2109	26667	SIPO	IJ	1747614
245047	841	1996-08-14	VYDAJ	PREVOD NA UCET	2109	27458	SIPO	IJ	1747614
245048	841	1996-09-14	VYDAJ	PREVOD NA UCET	2109	31214	SIPO	IJ	1747614
245049	841	1996-10-14	VYDAJ	PREVOD NA UCET	2109	34985	SIPO	IJ	1747614
245050	841	1996-11-14	VYDAJ	PREVOD NA UCET	2109	38772	SIPO	IJ	1747614
245051	841	1996-12-14	VYDAJ	PREVOD NA UCET	2109	41323	SIPO	IJ	1747614
245052	841	1997-01-14	VYDAJ	PREVOD NA UCET	2109	40355	SIPO	IJ	1747614
245053	841	1997-02-14	VYDAJ	PREVOD NA UCET	2109	36441	SIPO	IJ	1747614
245054	841	1997-03-14	VYDAJ	PREVOD NA UCET	2109	35665	SIPO	IJ	1747614
245055	841	1997-04-14	VYDAJ	PREVOD NA UCET	2109	36815	SIPO	IJ	1747614
245056	841	1997-05-14	VYDAJ	PREVOD NA UCET	2109	40616	SIPO	IJ	1747614
245057	841	1997-06-14	VYDAJ	PREVOD NA UCET	2109	44426	SIPO	IJ	1747614
245058	841	1997-07-14	VYDAJ	PREVOD NA UCET	2109	48252	SIPO	IJ	1747614
245059	841	1997-08-14	VYDAJ	PREVOD NA UCET	2109	44304	SIPO	IJ	1747614
245060	841	1997-09-14	VYDAJ	PREVOD NA UCET	2109	38729	SIPO	IJ	1747614
245061	841	1997-10-14	VYDAJ	PREVOD NA UCET	2109	35023	SIPO	IJ	1747614
245062	841	1997-11-14	VYDAJ	PREVOD NA UCET	2109	36325	SIPO	IJ	1747614
245063	841	1997-12-14	VYDAJ	PREVOD NA UCET	2109	36361	SIPO	IJ	1747614
245064	841	1998-01-14	VYDAJ	PREVOD NA UCET	2109	30021	SIPO	IJ	1747614
245065	841	1998-02-14	VYDAJ	PREVOD NA UCET	2109	30995	SIPO	IJ	1747614
245066	841	1998-03-14	VYDAJ	PREVOD NA UCET	2109	34764	SIPO	IJ	1747614
245067	841	1998-04-14	VYDAJ	PREVOD NA UCET	2109	37988	SIPO	IJ	1747614
245068	841	1998-05-14	VYDAJ	PREVOD NA UCET	2109	41786	SIPO	IJ	1747614
245069	841	1998-06-14	VYDAJ	PREVOD NA UCET	2109	45600	SIPO	IJ	1747614
245070	841	1998-07-14	VYDAJ	PREVOD NA UCET	2109	46769	SIPO	IJ	1747614
245071	841	1998-08-14	VYDAJ	PREVOD NA UCET	2109	50608	SIPO	IJ	1747614
245072	841	1998-09-14	VYDAJ	PREVOD NA UCET	2109	49658	SIPO	IJ	1747614
245073	841	1998-10-14	VYDAJ	PREVOD NA UCET	2109	45314	SIPO	IJ	1747614
245074	841	1998-11-14	VYDAJ	PREVOD NA UCET	2109	45594	SIPO	IJ	1747614
245075	841	1998-12-14	VYDAJ	PREVOD NA UCET	2109	43008	SIPO	IJ	1747614
245077	841	1994-12-07	VYDAJ	VYBER	1000	26161	\N	\N	\N
245078	841	1995-12-20	VYDAJ	VYBER	1150	28023	\N	\N	\N
245079	841	1996-12-12	VYDAJ	VYBER	250	43432	\N	\N	\N
245080	841	1997-12-22	VYDAJ	VYBER	400	35961	\N	\N	\N
245081	841	1998-12-16	VYDAJ	VYBER	350	42658	\N	\N	\N
245094	841	1995-01-27	VYDAJ	VYBER	1600	14279	\N	\N	\N
245095	841	1995-01-07	VYDAJ	VYBER	1520	23188	\N	\N	\N
245096	841	1995-01-02	VYDAJ	VYBER	1600	18936	\N	\N	\N
245097	841	1995-01-20	VYDAJ	VYBER	1920	17239	\N	\N	\N
245098	841	1995-01-28	VYDAJ	VYBER	720	13559	\N	\N	\N
245099	841	1995-01-13	VYDAJ	VYBER	1920	21268	\N	\N	\N
245100	841	1996-01-14	VYDAJ	VYBER	720	27251	\N	\N	\N
245101	841	1996-01-25	VYDAJ	VYBER	1840	20582	\N	\N	\N
245102	841	1996-01-28	VYDAJ	VYBER	1120	19462	\N	\N	\N
245103	841	1996-01-17	VYDAJ	VYBER	1280	22422	\N	\N	\N
245104	841	1996-01-16	VYDAJ	VYBER	1440	23702	\N	\N	\N
245105	841	1996-01-07	VYDAJ	VYBER	1360	27971	\N	\N	\N
245106	841	1997-01-27	VYDAJ	VYBER	1760	33595	\N	\N	\N
245107	841	1997-01-06	VYDAJ	VYBER	1040	38132	\N	\N	\N
245108	841	1997-01-10	VYDAJ	VYBER	1440	42464	\N	\N	\N
245109	841	1997-01-20	VYDAJ	VYBER	960	36395	\N	\N	\N
245110	841	1997-01-20	VYDAJ	VYBER	1040	35355	\N	\N	\N
245111	841	1997-01-28	VYDAJ	VYBER	960	32635	\N	\N	\N
245112	841	1998-01-03	VYDAJ	VYBER	2160	30338	\N	\N	\N
245113	841	1998-01-03	VYDAJ	VYBER	2320	32498	\N	\N	\N
245114	841	1998-01-14	VYDAJ	VYBER	1920	32130	\N	\N	\N
245115	841	1998-01-25	VYDAJ	VYBER	720	27221	\N	\N	\N
245116	841	1998-01-21	VYDAJ	VYBER	2080	27941	\N	\N	\N
245117	841	1998-01-12	VYDAJ	VYBER	1360	34050	\N	\N	\N
245125	841	1994-04-28	VYDAJ	VYBER	400	29401	\N	\N	\N
245126	841	1994-07-15	VYDAJ	VYBER	880	29433	\N	\N	\N
245127	841	1994-07-09	VYDAJ	VYBER	1920	32422	\N	\N	\N
245128	841	1994-11-07	VYDAJ	VYBER	800	27807	\N	\N	\N
245129	841	1994-07-30	VYDAJ	VYBER	880	28553	\N	\N	\N
245130	841	1995-04-21	VYDAJ	VYBER	2000	22728	\N	\N	\N
245131	841	1995-01-24	VYDAJ	VYBER	1360	15879	\N	\N	\N
245132	841	1995-12-30	VYDAJ	VYBER	3360	23463	\N	\N	\N
245133	841	1996-12-18	VYDAJ	VYBER	1600	39723	\N	\N	\N
245134	841	1996-05-10	VYDAJ	VYBER	3120	25167	\N	\N	\N
245135	841	1996-04-29	VYDAJ	VYBER	480	22428	\N	\N	\N
245136	841	1996-04-10	VYDAJ	VYBER	2960	27337	\N	\N	\N
245137	841	1996-06-01	VYDAJ	VYBER	3680	19259	\N	\N	\N
245138	841	1996-07-29	VYDAJ	VYBER	2960	23707	\N	\N	\N
245139	841	1996-04-20	VYDAJ	VYBER	2320	22908	\N	\N	\N
245140	841	1997-12-04	VYDAJ	VYBER	3760	32698	\N	\N	\N
245141	841	1997-02-18	VYDAJ	VYBER	3760	31881	\N	\N	\N
245142	841	1997-04-03	VYDAJ	VYBER	2640	33152	\N	\N	\N
245143	841	1997-08-12	VYDAJ	VYBER	3280	46413	\N	\N	\N
245144	841	1997-09-19	VYDAJ	VYBER	1120	37609	\N	\N	\N
245145	841	1998-03-30	VYDAJ	VYBER	560	34204	\N	\N	\N
245146	841	1998-01-02	VYDAJ	VYBER	1280	34818	\N	\N	\N
245147	841	1998-11-22	VYDAJ	VYBER	3120	42474	\N	\N	\N
245148	841	1998-06-20	VYDAJ	VYBER	560	45040	\N	\N	\N
245149	841	1998-11-06	VYDAJ	VYBER	2560	42931	\N	\N	\N
245165	841	1994-03-31	VYDAJ	VYBER	15	27038	SLUZBY	\N	\N
245166	841	1994-04-30	VYDAJ	VYBER	15	29511	SLUZBY	\N	\N
245167	841	1994-05-31	VYDAJ	VYBER	15	31992	SLUZBY	\N	\N
245168	841	1994-06-30	VYDAJ	VYBER	15	30570	SLUZBY	\N	\N
245169	841	1994-07-31	VYDAJ	VYBER	15	28666	SLUZBY	\N	\N
245170	841	1994-08-31	VYDAJ	VYBER	15	23033	SLUZBY	\N	\N
245171	841	1994-09-30	VYDAJ	VYBER	15	26785	SLUZBY	\N	\N
245172	841	1994-10-31	VYDAJ	VYBER	15	22835	SLUZBY	\N	\N
245173	841	1994-11-30	VYDAJ	VYBER	15	21389	SLUZBY	\N	\N
245174	841	1994-12-31	VYDAJ	VYBER	15	20536	SLUZBY	\N	\N
245175	841	1995-01-31	VYDAJ	VYBER	15	13623	SLUZBY	\N	\N
245176	841	1995-02-28	VYDAJ	VYBER	15	17336	SLUZBY	\N	\N
245177	841	1995-03-31	VYDAJ	VYBER	15	21065	SLUZBY	\N	\N
245178	841	1995-04-30	VYDAJ	VYBER	15	22807	SLUZBY	\N	\N
245179	841	1995-05-31	VYDAJ	VYBER	15	23558	SLUZBY	\N	\N
245180	841	1995-06-30	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
245181	841	1995-07-31	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
245182	841	1995-08-31	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
245183	841	1995-09-30	VYDAJ	VYBER	15	26282	SLUZBY	\N	\N
245184	841	1995-10-31	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
245185	841	1995-11-30	VYDAJ	VYBER	15	25510	SLUZBY	\N	\N
245186	841	1995-12-31	VYDAJ	VYBER	15	23559	SLUZBY	\N	\N
245187	841	1996-01-31	VYDAJ	VYBER	15	19547	SLUZBY	\N	\N
245188	841	1996-02-29	VYDAJ	VYBER	15	20882	SLUZBY	\N	\N
245189	841	1996-03-31	VYDAJ	VYBER	15	24525	SLUZBY	\N	\N
245190	841	1996-04-30	VYDAJ	VYBER	15	22515	SLUZBY	\N	\N
245191	841	1996-05-31	VYDAJ	VYBER	15	22939	SLUZBY	\N	\N
245192	841	1996-06-30	VYDAJ	VYBER	15	23004	SLUZBY	\N	\N
245193	841	1996-07-31	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
245194	841	1996-08-31	VYDAJ	VYBER	15	27551	SLUZBY	\N	\N
245195	841	1996-09-30	VYDAJ	VYBER	15	31322	SLUZBY	\N	\N
245196	841	1996-10-31	VYDAJ	VYBER	15	35109	SLUZBY	\N	\N
245197	841	1996-11-30	VYDAJ	VYBER	15	37910	SLUZBY	\N	\N
245198	841	1996-12-31	VYDAJ	VYBER	15	39172	SLUZBY	\N	\N
245199	841	1997-01-31	VYDAJ	VYBER	15	32778	SLUZBY	\N	\N
245200	841	1997-02-28	VYDAJ	VYBER	15	32002	SLUZBY	\N	\N
245201	841	1997-03-31	VYDAJ	VYBER	15	35792	SLUZBY	\N	\N
245202	841	1997-04-30	VYDAJ	VYBER	15	36953	SLUZBY	\N	\N
245203	841	1997-05-31	VYDAJ	VYBER	15	40763	SLUZBY	\N	\N
245204	841	1997-06-30	VYDAJ	VYBER	15	44589	SLUZBY	\N	\N
245205	841	1997-07-31	VYDAJ	VYBER	15	43921	SLUZBY	\N	\N
245206	841	1997-08-31	VYDAJ	VYBER	15	41866	SLUZBY	\N	\N
245207	841	1997-09-30	VYDAJ	VYBER	15	37760	SLUZBY	\N	\N
245208	841	1997-10-31	VYDAJ	VYBER	15	35162	SLUZBY	\N	\N
245209	841	1997-11-30	VYDAJ	VYBER	15	36458	SLUZBY	\N	\N
245210	841	1997-12-31	VYDAJ	VYBER	15	36098	SLUZBY	\N	\N
245211	841	1998-01-31	VYDAJ	VYBER	15	27332	SLUZBY	\N	\N
245212	841	1998-02-28	VYDAJ	VYBER	15	31101	SLUZBY	\N	\N
245213	841	1998-03-31	VYDAJ	VYBER	15	34325	SLUZBY	\N	\N
245214	841	1998-04-30	VYDAJ	VYBER	15	38123	SLUZBY	\N	\N
245215	841	1998-05-31	VYDAJ	VYBER	15	41937	SLUZBY	\N	\N
245216	841	1998-06-30	VYDAJ	VYBER	15	45206	SLUZBY	\N	\N
245217	841	1998-07-31	VYDAJ	VYBER	15	46945	SLUZBY	\N	\N
245218	841	1998-08-31	VYDAJ	VYBER	15	50795	SLUZBY	\N	\N
245219	841	1998-09-30	VYDAJ	VYBER	15	49851	SLUZBY	\N	\N
245220	841	1998-10-31	VYDAJ	VYBER	15	45491	SLUZBY	\N	\N
245221	841	1998-11-30	VYDAJ	VYBER	15	42645	SLUZBY	\N	\N
245222	841	1994-03-04	VYDAJ	VYBER	700	23292	\N	\N	\N
245223	841	1994-04-03	VYDAJ	VYBER	900	26138	\N	\N	\N
245224	841	1994-05-03	VYDAJ	VYBER	1300	28211	\N	\N	\N
245225	841	1994-06-02	VYDAJ	VYBER	5200	26792	\N	\N	\N
245226	841	1994-07-02	VYDAJ	VYBER	2000	28570	\N	\N	\N
245227	841	1994-08-01	VYDAJ	VYBER	4300	24366	\N	\N	\N
245228	841	1994-08-31	VYDAJ	VYBER	5100	23047	\N	\N	\N
245229	841	1994-09-30	VYDAJ	VYBER	4200	22585	\N	\N	\N
245230	841	1994-10-30	VYDAJ	VYBER	3500	22748	\N	\N	\N
245231	841	1994-11-29	VYDAJ	VYBER	4400	21298	\N	\N	\N
245232	841	1994-12-29	VYDAJ	VYBER	3600	20452	\N	\N	\N
245233	841	1995-05-28	VYDAJ	VYBER	3000	23470	\N	\N	\N
245234	841	1995-06-27	VYDAJ	VYBER	4800	22421	\N	\N	\N
245235	841	1995-07-27	VYDAJ	VYBER	600	25573	\N	\N	\N
245236	841	1995-08-26	VYDAJ	VYBER	3800	25524	\N	\N	\N
245237	841	1995-09-25	VYDAJ	VYBER	3100	26184	\N	\N	\N
245238	841	1995-10-25	VYDAJ	VYBER	3100	26845	\N	\N	\N
245239	841	1995-11-24	VYDAJ	VYBER	5200	25409	\N	\N	\N
245240	841	1995-12-24	VYDAJ	VYBER	1200	26823	\N	\N	\N
245241	841	1996-02-22	VYDAJ	VYBER	2400	20810	\N	\N	\N
245242	841	1996-03-23	VYDAJ	VYBER	100	24445	\N	\N	\N
245243	841	1996-05-22	VYDAJ	VYBER	200	22858	\N	\N	\N
245244	841	1996-11-18	VYDAJ	VYBER	1000	37772	\N	\N	\N
245245	841	1996-12-18	VYDAJ	VYBER	700	39023	\N	\N	\N
245246	841	1997-01-17	VYDAJ	VYBER	3000	37355	\N	\N	\N
245247	841	1997-02-16	VYDAJ	VYBER	800	35641	\N	\N	\N
245248	841	1997-07-16	VYDAJ	VYBER	4500	43752	\N	\N	\N
245249	841	1997-08-15	VYDAJ	VYBER	2600	41704	\N	\N	\N
245250	841	1997-09-14	VYDAJ	VYBER	6800	40838	\N	\N	\N
245251	841	1997-10-14	VYDAJ	VYBER	6400	37132	\N	\N	\N
245252	841	1997-11-13	VYDAJ	VYBER	2500	38434	\N	\N	\N
245253	841	1998-01-12	VYDAJ	VYBER	700	35410	\N	\N	\N
245254	841	1998-07-11	VYDAJ	VYBER	2100	48878	\N	\N	\N
245255	841	1998-09-09	VYDAJ	VYBER	4800	51767	\N	\N	\N
245256	841	1998-10-09	VYDAJ	VYBER	8200	47423	\N	\N	\N
245257	841	1998-11-08	VYDAJ	VYBER	1000	47703	\N	\N	\N
245258	841	1998-12-08	VYDAJ	VYBER	3300	45117	\N	\N	\N
245321	842	1995-04-07	PRIJEM	VKLAD	700	700	\N	\N	\N
245325	842	1995-04-11	PRIJEM	PREVOD Z UCTU	4918	5618	DUCHOD	EF	67591565
245326	842	1995-05-11	PRIJEM	PREVOD Z UCTU	4918	10552	DUCHOD	EF	67591565
245327	842	1995-06-11	PRIJEM	PREVOD Z UCTU	4918	15493	DUCHOD	EF	67591565
245328	842	1995-07-11	PRIJEM	PREVOD Z UCTU	4918	20434	DUCHOD	EF	67591565
245329	842	1995-08-11	PRIJEM	PREVOD Z UCTU	4918	25376	DUCHOD	EF	67591565
245330	842	1995-09-11	PRIJEM	PREVOD Z UCTU	4918	23464	DUCHOD	EF	67591565
245331	842	1995-10-11	PRIJEM	PREVOD Z UCTU	4918	23490	DUCHOD	EF	67591565
245332	842	1995-11-11	PRIJEM	PREVOD Z UCTU	4918	22956	DUCHOD	EF	67591565
245333	842	1995-12-11	PRIJEM	PREVOD Z UCTU	4918	24661	DUCHOD	EF	67591565
245334	842	1996-01-11	PRIJEM	PREVOD Z UCTU	4918	21522	DUCHOD	EF	67591565
245335	842	1996-02-11	PRIJEM	PREVOD Z UCTU	4918	18018	DUCHOD	EF	67591565
245336	842	1996-03-11	PRIJEM	PREVOD Z UCTU	4918	18421	DUCHOD	EF	67591565
245337	842	1996-04-11	PRIJEM	PREVOD Z UCTU	4918	19466	DUCHOD	EF	67591565
245338	842	1996-05-11	PRIJEM	PREVOD Z UCTU	4918	21156	DUCHOD	EF	67591565
245339	842	1996-06-11	PRIJEM	PREVOD Z UCTU	4918	20131	DUCHOD	EF	67591565
245340	842	1996-07-11	PRIJEM	PREVOD Z UCTU	4918	20723	DUCHOD	EF	67591565
245341	842	1996-08-11	PRIJEM	PREVOD Z UCTU	4918	22419	DUCHOD	EF	67591565
245342	842	1996-09-11	PRIJEM	PREVOD Z UCTU	4918	24122	DUCHOD	EF	67591565
245343	842	1996-10-11	PRIJEM	PREVOD Z UCTU	4918	19629	DUCHOD	EF	67591565
245344	842	1996-11-11	PRIJEM	PREVOD Z UCTU	4918	19118	DUCHOD	EF	67591565
245345	842	1996-12-11	PRIJEM	PREVOD Z UCTU	4918	16205	DUCHOD	EF	67591565
245346	842	1997-01-11	PRIJEM	PREVOD Z UCTU	4918	15964	DUCHOD	EF	67591565
245347	842	1997-02-11	PRIJEM	PREVOD Z UCTU	4918	17640	DUCHOD	EF	67591565
245348	842	1997-03-11	PRIJEM	PREVOD Z UCTU	4918	19322	DUCHOD	EF	67591565
245349	842	1997-04-11	PRIJEM	PREVOD Z UCTU	4918	21012	DUCHOD	EF	67591565
245350	842	1997-05-11	PRIJEM	PREVOD Z UCTU	4918	22708	DUCHOD	EF	67591565
245351	842	1997-06-11	PRIJEM	PREVOD Z UCTU	4918	19289	DUCHOD	EF	67591565
245352	842	1997-07-11	PRIJEM	PREVOD Z UCTU	4918	20981	DUCHOD	EF	67591565
245353	842	1997-08-11	PRIJEM	PREVOD Z UCTU	4918	22677	DUCHOD	EF	67591565
245354	842	1997-09-11	PRIJEM	PREVOD Z UCTU	4918	20853	DUCHOD	EF	67591565
245355	842	1997-10-11	PRIJEM	PREVOD Z UCTU	4918	22549	DUCHOD	EF	67591565
245356	842	1997-11-11	PRIJEM	PREVOD Z UCTU	4918	16843	DUCHOD	EF	67591565
245357	842	1997-12-11	PRIJEM	PREVOD Z UCTU	4918	18522	DUCHOD	EF	67591565
245358	842	1998-01-11	PRIJEM	PREVOD Z UCTU	4918	19157	DUCHOD	EF	67591565
245359	842	1998-02-11	PRIJEM	PREVOD Z UCTU	4918	17420	DUCHOD	EF	67591565
245360	842	1998-03-11	PRIJEM	PREVOD Z UCTU	4918	18700	DUCHOD	EF	67591565
245361	842	1998-04-11	PRIJEM	PREVOD Z UCTU	4918	19426	DUCHOD	EF	67591565
245362	842	1998-05-11	PRIJEM	PREVOD Z UCTU	4918	18212	DUCHOD	EF	67591565
245363	842	1998-06-11	PRIJEM	PREVOD Z UCTU	4918	19015	DUCHOD	EF	67591565
245364	842	1998-07-11	PRIJEM	PREVOD Z UCTU	4918	20703	DUCHOD	EF	67591565
245365	842	1998-08-11	PRIJEM	PREVOD Z UCTU	4918	17390	DUCHOD	EF	67591565
245366	842	1998-09-11	PRIJEM	PREVOD Z UCTU	4918	19071	DUCHOD	EF	67591565
245367	842	1998-10-11	PRIJEM	PREVOD Z UCTU	4918	20759	DUCHOD	EF	67591565
245368	842	1998-11-11	PRIJEM	PREVOD Z UCTU	4918	19650	DUCHOD	EF	67591565
245369	842	1998-12-11	PRIJEM	PREVOD Z UCTU	4918	21090	DUCHOD	EF	67591565
245377	842	1995-08-12	VYDAJ	PREVOD NA UCET	3278	22098	SIPO	IJ	84613001
245378	842	1995-09-12	VYDAJ	PREVOD NA UCET	3278	20186	SIPO	IJ	84613001
245379	842	1995-10-12	VYDAJ	PREVOD NA UCET	3278	20212	SIPO	IJ	84613001
245380	842	1995-11-12	VYDAJ	PREVOD NA UCET	3278	19678	SIPO	IJ	84613001
245381	842	1995-12-12	VYDAJ	PREVOD NA UCET	3278	21383	SIPO	IJ	84613001
245382	842	1996-01-12	VYDAJ	PREVOD NA UCET	3278	16644	SIPO	IJ	84613001
245383	842	1996-02-12	VYDAJ	PREVOD NA UCET	3278	14740	SIPO	IJ	84613001
245384	842	1996-03-12	VYDAJ	PREVOD NA UCET	3278	15143	SIPO	IJ	84613001
245385	842	1996-04-12	VYDAJ	PREVOD NA UCET	3278	16188	SIPO	IJ	84613001
245386	842	1996-05-12	VYDAJ	PREVOD NA UCET	3278	17878	SIPO	IJ	84613001
245387	842	1996-06-12	VYDAJ	PREVOD NA UCET	3278	16853	SIPO	IJ	84613001
245388	842	1996-07-12	VYDAJ	PREVOD NA UCET	3278	17445	SIPO	IJ	84613001
245389	842	1996-08-12	VYDAJ	PREVOD NA UCET	3278	19141	SIPO	IJ	84613001
245390	842	1996-09-12	VYDAJ	PREVOD NA UCET	3278	20844	SIPO	IJ	84613001
245391	842	1996-10-12	VYDAJ	PREVOD NA UCET	3278	16351	SIPO	IJ	84613001
245392	842	1996-11-12	VYDAJ	PREVOD NA UCET	3278	15840	SIPO	IJ	84613001
245393	842	1996-12-12	VYDAJ	PREVOD NA UCET	3278	11007	SIPO	IJ	84613001
245394	842	1997-01-12	VYDAJ	PREVOD NA UCET	3278	12686	SIPO	IJ	84613001
245395	842	1997-02-12	VYDAJ	PREVOD NA UCET	3278	14362	SIPO	IJ	84613001
245396	842	1997-03-12	VYDAJ	PREVOD NA UCET	3278	16044	SIPO	IJ	84613001
245397	842	1997-04-12	VYDAJ	PREVOD NA UCET	3278	17734	SIPO	IJ	84613001
245398	842	1997-05-12	VYDAJ	PREVOD NA UCET	3278	19430	SIPO	IJ	84613001
245399	842	1997-06-12	VYDAJ	PREVOD NA UCET	3278	16011	SIPO	IJ	84613001
245400	842	1997-07-12	VYDAJ	PREVOD NA UCET	3278	17703	SIPO	IJ	84613001
245401	842	1997-08-12	VYDAJ	PREVOD NA UCET	3278	19399	SIPO	IJ	84613001
245402	842	1997-09-12	VYDAJ	PREVOD NA UCET	3278	17575	SIPO	IJ	84613001
245403	842	1997-10-12	VYDAJ	PREVOD NA UCET	3278	19271	SIPO	IJ	84613001
245404	842	1997-11-12	VYDAJ	PREVOD NA UCET	3278	13565	SIPO	IJ	84613001
245405	842	1997-12-12	VYDAJ	PREVOD NA UCET	3278	15244	SIPO	IJ	84613001
245406	842	1998-01-12	VYDAJ	PREVOD NA UCET	3278	15879	SIPO	IJ	84613001
245407	842	1998-02-12	VYDAJ	PREVOD NA UCET	3278	14142	SIPO	IJ	84613001
245408	842	1998-03-12	VYDAJ	PREVOD NA UCET	3278	15422	SIPO	IJ	84613001
245409	842	1998-04-12	VYDAJ	PREVOD NA UCET	3278	16148	SIPO	IJ	84613001
245410	842	1998-05-12	VYDAJ	PREVOD NA UCET	3278	14934	SIPO	IJ	84613001
245411	842	1998-06-12	VYDAJ	PREVOD NA UCET	3278	15737	SIPO	IJ	84613001
245412	842	1998-07-12	VYDAJ	PREVOD NA UCET	3278	17425	SIPO	IJ	84613001
245413	842	1998-08-12	VYDAJ	PREVOD NA UCET	3278	14112	SIPO	IJ	84613001
245414	842	1998-09-12	VYDAJ	PREVOD NA UCET	3278	15793	SIPO	IJ	84613001
245415	842	1998-10-12	VYDAJ	PREVOD NA UCET	3278	17481	SIPO	IJ	84613001
245416	842	1998-11-12	VYDAJ	PREVOD NA UCET	3278	16372	SIPO	IJ	84613001
245417	842	1998-12-12	VYDAJ	PREVOD NA UCET	3278	17812	SIPO	IJ	84613001
245423	842	1996-01-06	VYDAJ	VYBER	1650	17484	\N	\N	\N
245426	842	1995-12-14	VYDAJ	VYBER	400	20983	\N	\N	\N
245428	842	1997-12-26	VYDAJ	VYBER	1050	14194	\N	\N	\N
245429	842	1998-12-07	VYDAJ	VYBER	250	16172	\N	\N	\N
245436	842	1996-01-06	VYDAJ	VYBER	1920	19134	\N	\N	\N
245437	842	1996-01-11	VYDAJ	VYBER	1600	19922	\N	\N	\N
245438	842	1996-01-25	VYDAJ	VYBER	480	16164	\N	\N	\N
245439	842	1996-01-25	VYDAJ	VYBER	1600	14564	\N	\N	\N
245440	842	1996-01-25	VYDAJ	VYBER	1520	13044	\N	\N	\N
245441	842	1996-01-07	VYDAJ	VYBER	880	16604	\N	\N	\N
245453	842	1998-01-18	VYDAJ	VYBER	1920	13959	\N	\N	\N
245455	842	1995-09-28	VYDAJ	VYBER	1680	18506	\N	\N	\N
245457	842	1995-08-21	VYDAJ	VYBER	3600	18498	\N	\N	\N
245458	842	1995-10-29	VYDAJ	VYBER	2240	17972	\N	\N	\N
245461	842	1996-05-23	VYDAJ	VYBER	2720	15158	\N	\N	\N
245462	842	1996-12-12	VYDAJ	VYBER	1920	14285	\N	\N	\N
245464	842	1996-02-24	VYDAJ	VYBER	1280	13460	\N	\N	\N
245467	842	1996-03-17	VYDAJ	VYBER	640	14503	\N	\N	\N
245469	842	1997-08-16	VYDAJ	VYBER	3520	15879	\N	\N	\N
245470	842	1997-06-10	VYDAJ	VYBER	1440	14371	\N	\N	\N
245471	842	1997-05-26	VYDAJ	VYBER	3680	15750	\N	\N	\N
245472	842	1998-03-30	VYDAJ	VYBER	960	14462	\N	\N	\N
245474	842	1998-10-22	VYDAJ	VYBER	2800	14681	\N	\N	\N
245475	842	1998-05-21	VYDAJ	VYBER	880	14054	\N	\N	\N
245486	842	1995-08-31	VYDAJ	VYBER	15	18546	SLUZBY	\N	\N
245487	842	1995-09-30	VYDAJ	VYBER	15	18572	SLUZBY	\N	\N
245488	842	1995-10-31	VYDAJ	VYBER	15	18038	SLUZBY	\N	\N
245489	842	1995-11-30	VYDAJ	VYBER	15	19743	SLUZBY	\N	\N
245490	842	1995-12-31	VYDAJ	VYBER	15	21054	SLUZBY	\N	\N
245491	842	1996-01-31	VYDAJ	VYBER	15	13100	SLUZBY	\N	\N
245492	842	1996-02-29	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
245493	842	1996-03-31	VYDAJ	VYBER	15	14548	SLUZBY	\N	\N
245494	842	1996-04-30	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
245495	842	1996-05-31	VYDAJ	VYBER	15	15213	SLUZBY	\N	\N
245496	842	1996-06-30	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
245497	842	1996-07-31	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
245498	842	1996-08-31	VYDAJ	VYBER	15	19204	SLUZBY	\N	\N
245499	842	1996-09-30	VYDAJ	VYBER	15	14711	SLUZBY	\N	\N
245500	842	1996-10-31	VYDAJ	VYBER	15	14200	SLUZBY	\N	\N
245501	842	1996-11-30	VYDAJ	VYBER	15	11287	SLUZBY	\N	\N
245502	842	1996-12-31	VYDAJ	VYBER	15	11046	SLUZBY	\N	\N
245503	842	1997-01-31	VYDAJ	VYBER	15	12722	SLUZBY	\N	\N
245504	842	1997-02-28	VYDAJ	VYBER	15	14404	SLUZBY	\N	\N
245505	842	1997-03-31	VYDAJ	VYBER	15	16094	SLUZBY	\N	\N
245506	842	1997-04-30	VYDAJ	VYBER	15	17790	SLUZBY	\N	\N
245507	842	1997-05-31	VYDAJ	VYBER	15	15811	SLUZBY	\N	\N
245508	842	1997-06-30	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
245509	842	1997-07-31	VYDAJ	VYBER	15	17759	SLUZBY	\N	\N
245510	842	1997-08-31	VYDAJ	VYBER	15	15935	SLUZBY	\N	\N
245511	842	1997-09-30	VYDAJ	VYBER	15	17631	SLUZBY	\N	\N
245512	842	1997-10-31	VYDAJ	VYBER	15	11925	SLUZBY	\N	\N
245513	842	1997-11-30	VYDAJ	VYBER	15	13604	SLUZBY	\N	\N
245514	842	1997-12-31	VYDAJ	VYBER	15	14239	SLUZBY	\N	\N
245515	842	1998-01-31	VYDAJ	VYBER	15	12502	SLUZBY	\N	\N
245516	842	1998-02-28	VYDAJ	VYBER	15	13782	SLUZBY	\N	\N
245517	842	1998-03-31	VYDAJ	VYBER	15	14508	SLUZBY	\N	\N
245518	842	1998-04-30	VYDAJ	VYBER	15	13294	SLUZBY	\N	\N
245519	842	1998-05-31	VYDAJ	VYBER	15	14097	SLUZBY	\N	\N
245520	842	1998-06-30	VYDAJ	VYBER	15	15785	SLUZBY	\N	\N
245521	842	1998-07-31	VYDAJ	VYBER	15	12472	SLUZBY	\N	\N
245522	842	1998-08-31	VYDAJ	VYBER	15	14153	SLUZBY	\N	\N
245523	842	1998-09-30	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
245524	842	1998-10-31	VYDAJ	VYBER	15	14732	SLUZBY	\N	\N
245525	842	1998-11-30	VYDAJ	VYBER	15	16422	SLUZBY	\N	\N
245526	842	1996-06-30	VYDAJ	VYBER	1100	15820	\N	\N	\N
245527	842	1996-09-28	VYDAJ	VYBER	6200	14644	\N	\N	\N
245528	842	1996-10-28	VYDAJ	VYBER	2200	14151	\N	\N	\N
245529	842	1996-11-27	VYDAJ	VYBER	4600	11240	\N	\N	\N
245530	842	1997-10-23	VYDAJ	VYBER	7400	11871	\N	\N	\N
245531	842	1998-01-21	VYDAJ	VYBER	1500	12459	\N	\N	\N
245532	842	1998-02-20	VYDAJ	VYBER	400	13742	\N	\N	\N
245533	842	1998-04-21	VYDAJ	VYBER	2900	13248	\N	\N	\N
245534	842	1998-07-20	VYDAJ	VYBER	5000	12425	\N	\N	\N
245580	843	1997-04-09	PRIJEM	VKLAD	900	900	\N	\N	\N
245584	843	1997-04-14	PRIJEM	PREVOD Z UCTU	2970	3870	\N	QR	49078321
245585	843	1997-05-14	PRIJEM	PREVOD Z UCTU	2970	16649	\N	QR	49078321
245586	843	1997-06-14	PRIJEM	PREVOD Z UCTU	2970	22566	\N	QR	49078321
245587	843	1997-07-14	PRIJEM	PREVOD Z UCTU	2970	23120	\N	QR	49078321
245588	843	1997-08-14	PRIJEM	PREVOD Z UCTU	2970	24785	\N	QR	49078321
245589	843	1997-09-14	PRIJEM	PREVOD Z UCTU	2970	22309	\N	QR	49078321
245590	843	1997-10-14	PRIJEM	PREVOD Z UCTU	2970	23115	\N	QR	49078321
245591	843	1997-11-14	PRIJEM	PREVOD Z UCTU	2970	27203	\N	QR	49078321
245592	843	1997-12-14	PRIJEM	PREVOD Z UCTU	2970	28746	\N	QR	49078321
245593	843	1998-01-14	PRIJEM	PREVOD Z UCTU	2970	25917	\N	QR	49078321
245594	843	1998-02-14	PRIJEM	PREVOD Z UCTU	2970	22509	\N	QR	49078321
245595	843	1998-03-14	PRIJEM	PREVOD Z UCTU	2970	21176	\N	QR	49078321
245596	843	1998-04-14	PRIJEM	PREVOD Z UCTU	2970	17975	\N	QR	49078321
245597	843	1998-05-14	PRIJEM	PREVOD Z UCTU	2970	19023	\N	QR	49078321
245598	843	1998-06-14	PRIJEM	PREVOD Z UCTU	2970	12174	\N	QR	49078321
245599	843	1998-07-14	PRIJEM	PREVOD Z UCTU	2970	13200	\N	QR	49078321
245600	843	1998-08-14	PRIJEM	PREVOD Z UCTU	2970	14227	\N	QR	49078321
245601	843	1998-09-14	PRIJEM	PREVOD Z UCTU	2970	15258	\N	QR	49078321
245602	843	1998-10-14	PRIJEM	PREVOD Z UCTU	2970	15543	\N	QR	49078321
245603	843	1998-11-14	PRIJEM	PREVOD Z UCTU	2970	16160	\N	QR	49078321
245604	843	1998-12-14	PRIJEM	PREVOD Z UCTU	2970	16688	\N	QR	49078321
245613	843	1997-09-08	VYDAJ	PREVOD NA UCET	955	19339	SIPO	EF	10746133
245614	843	1997-10-08	VYDAJ	PREVOD NA UCET	955	20145	SIPO	EF	10746133
245615	843	1997-11-08	VYDAJ	PREVOD NA UCET	955	24233	SIPO	EF	10746133
245616	843	1997-12-08	VYDAJ	PREVOD NA UCET	955	26016	SIPO	EF	10746133
245617	843	1998-01-08	VYDAJ	PREVOD NA UCET	955	24627	SIPO	EF	10746133
245618	843	1998-02-08	VYDAJ	PREVOD NA UCET	955	19539	SIPO	EF	10746133
245619	843	1998-03-08	VYDAJ	PREVOD NA UCET	955	18506	SIPO	EF	10746133
245620	843	1998-04-08	VYDAJ	PREVOD NA UCET	955	15005	SIPO	EF	10746133
245621	843	1998-05-08	VYDAJ	PREVOD NA UCET	955	16053	SIPO	EF	10746133
245622	843	1998-06-08	VYDAJ	PREVOD NA UCET	955	9204	SIPO	EF	10746133
245623	843	1998-07-08	VYDAJ	PREVOD NA UCET	955	10230	SIPO	EF	10746133
245624	843	1998-08-08	VYDAJ	PREVOD NA UCET	955	11257	SIPO	EF	10746133
245625	843	1998-09-08	VYDAJ	PREVOD NA UCET	955	12288	SIPO	EF	10746133
245626	843	1998-10-08	VYDAJ	PREVOD NA UCET	955	12573	SIPO	EF	10746133
245627	843	1998-11-08	VYDAJ	PREVOD NA UCET	955	13190	SIPO	EF	10746133
245628	843	1998-12-08	VYDAJ	PREVOD NA UCET	955	13718	SIPO	EF	10746133
245636	843	1997-08-14	VYDAJ	PREVOD NA UCET	128	24657	 	WX	32156717
245637	843	1997-09-14	VYDAJ	PREVOD NA UCET	128	22181	 	WX	32156717
245638	843	1997-10-14	VYDAJ	PREVOD NA UCET	128	22987	 	WX	32156717
245639	843	1997-11-14	VYDAJ	PREVOD NA UCET	128	27075	 	WX	32156717
245640	843	1997-12-14	VYDAJ	PREVOD NA UCET	128	28618	 	WX	32156717
245641	843	1998-01-14	VYDAJ	PREVOD NA UCET	128	25789	 	WX	32156717
245642	843	1998-02-14	VYDAJ	PREVOD NA UCET	128	22381	 	WX	32156717
245643	843	1998-03-14	VYDAJ	PREVOD NA UCET	128	21048	 	WX	32156717
245644	843	1998-04-14	VYDAJ	PREVOD NA UCET	128	17847	 	WX	32156717
245645	843	1998-05-14	VYDAJ	PREVOD NA UCET	128	18895	 	WX	32156717
245646	843	1998-06-14	VYDAJ	PREVOD NA UCET	128	12046	 	WX	32156717
245647	843	1998-07-14	VYDAJ	PREVOD NA UCET	128	13072	 	WX	32156717
245648	843	1998-08-14	VYDAJ	PREVOD NA UCET	128	14099	 	WX	32156717
245649	843	1998-09-14	VYDAJ	PREVOD NA UCET	128	15130	 	WX	32156717
245650	843	1998-10-14	VYDAJ	PREVOD NA UCET	128	15415	 	WX	32156717
245651	843	1998-11-14	VYDAJ	PREVOD NA UCET	128	16032	 	WX	32156717
245652	843	1998-12-14	VYDAJ	PREVOD NA UCET	128	16560	 	WX	32156717
245661	843	1997-09-05	VYDAJ	PREVOD NA UCET	897	23094	POJISTNE	WX	16661399
245662	843	1997-10-05	VYDAJ	PREVOD NA UCET	897	21000	POJISTNE	WX	16661399
245663	843	1997-11-05	VYDAJ	PREVOD NA UCET	897	25188	POJISTNE	WX	16661399
245664	843	1997-12-05	VYDAJ	PREVOD NA UCET	897	26971	POJISTNE	WX	16661399
245665	843	1998-01-05	VYDAJ	PREVOD NA UCET	897	27262	POJISTNE	WX	16661399
245666	843	1998-02-05	VYDAJ	PREVOD NA UCET	897	20494	POJISTNE	WX	16661399
245667	843	1998-03-05	VYDAJ	PREVOD NA UCET	897	19461	POJISTNE	WX	16661399
245668	843	1998-04-05	VYDAJ	PREVOD NA UCET	897	15960	POJISTNE	WX	16661399
245669	843	1998-05-05	VYDAJ	PREVOD NA UCET	897	17008	POJISTNE	WX	16661399
245670	843	1998-06-05	VYDAJ	PREVOD NA UCET	897	10159	POJISTNE	WX	16661399
245671	843	1998-07-05	VYDAJ	PREVOD NA UCET	897	11185	POJISTNE	WX	16661399
245672	843	1998-08-05	VYDAJ	PREVOD NA UCET	897	12212	POJISTNE	WX	16661399
245673	843	1998-09-05	VYDAJ	PREVOD NA UCET	897	13243	POJISTNE	WX	16661399
245674	843	1998-10-05	VYDAJ	PREVOD NA UCET	897	14278	POJISTNE	WX	16661399
245675	843	1998-11-05	VYDAJ	PREVOD NA UCET	897	14145	POJISTNE	WX	16661399
245676	843	1998-12-05	VYDAJ	PREVOD NA UCET	897	15183	POJISTNE	WX	16661399
245680	843	1998-01-04	VYDAJ	VYBER	660	28159	\N	\N	\N
245681	843	1997-12-12	VYDAJ	VYBER	240	25776	\N	\N	\N
245682	843	1998-12-08	VYDAJ	VYBER	510	14673	\N	\N	\N
245689	843	1998-01-09	VYDAJ	VYBER	840	22947	\N	\N	\N
245690	843	1998-01-18	VYDAJ	VYBER	390	25399	\N	\N	\N
245691	843	1998-01-06	VYDAJ	VYBER	630	26632	\N	\N	\N
245692	843	1998-01-08	VYDAJ	VYBER	840	23787	\N	\N	\N
245693	843	1998-01-06	VYDAJ	VYBER	420	25582	\N	\N	\N
245694	843	1998-01-06	VYDAJ	VYBER	630	26002	\N	\N	\N
245697	843	1997-10-04	VYDAJ	VYBER	360	21897	\N	\N	\N
245698	843	1997-08-17	VYDAJ	VYBER	750	23907	\N	\N	\N
245699	843	1997-10-30	VYDAJ	VYBER	480	22507	\N	\N	\N
245700	843	1998-03-12	VYDAJ	VYBER	300	18206	\N	\N	\N
245701	843	1998-03-21	VYDAJ	VYBER	960	20088	\N	\N	\N
245702	843	1998-10-05	VYDAJ	VYBER	750	13528	\N	\N	\N
245703	843	1998-11-03	VYDAJ	VYBER	420	15042	\N	\N	\N
245712	843	1997-08-31	VYDAJ	VYBER	15	23991	SLUZBY	\N	\N
245713	843	1997-09-30	VYDAJ	VYBER	15	22257	SLUZBY	\N	\N
245714	843	1997-10-31	VYDAJ	VYBER	15	22585	SLUZBY	\N	\N
245715	843	1997-11-30	VYDAJ	VYBER	15	27168	SLUZBY	\N	\N
245716	843	1997-12-31	VYDAJ	VYBER	15	28719	SLUZBY	\N	\N
245717	843	1998-01-31	VYDAJ	VYBER	15	25491	SLUZBY	\N	\N
245718	843	1998-02-28	VYDAJ	VYBER	15	22458	SLUZBY	\N	\N
245719	843	1998-03-31	VYDAJ	VYBER	15	20157	SLUZBY	\N	\N
245720	843	1998-04-30	VYDAJ	VYBER	15	17905	SLUZBY	\N	\N
245721	843	1998-05-31	VYDAJ	VYBER	15	18956	SLUZBY	\N	\N
245722	843	1998-06-30	VYDAJ	VYBER	15	12082	SLUZBY	\N	\N
245723	843	1998-07-31	VYDAJ	VYBER	15	13109	SLUZBY	\N	\N
245724	843	1998-08-31	VYDAJ	VYBER	15	14140	SLUZBY	\N	\N
245725	843	1998-09-30	VYDAJ	VYBER	15	15175	SLUZBY	\N	\N
245726	843	1998-10-31	VYDAJ	VYBER	15	15462	SLUZBY	\N	\N
245727	843	1998-11-30	VYDAJ	VYBER	15	16080	SLUZBY	\N	\N
245728	843	1997-05-09	PRIJEM	VKLAD	9800	13679	\N	\N	\N
245729	843	1997-06-08	PRIJEM	VKLAD	2900	19596	\N	\N	\N
245730	843	1997-07-08	VYDAJ	VYBER	2500	20150	\N	\N	\N
245731	843	1997-08-07	VYDAJ	VYBER	1400	21815	\N	\N	\N
245732	843	1997-09-06	VYDAJ	VYBER	2800	20294	\N	\N	\N
245733	843	1997-10-06	PRIJEM	VKLAD	100	21100	\N	\N	\N
245734	843	1997-11-05	PRIJEM	VKLAD	3500	26085	\N	\N	\N
245735	843	1997-12-05	PRIJEM	VKLAD	700	27868	\N	\N	\N
245736	843	1998-01-04	PRIJEM	VKLAD	100	28819	\N	\N	\N
245737	843	1998-02-03	VYDAJ	VYBER	4100	21391	\N	\N	\N
245738	843	1998-03-05	VYDAJ	VYBER	2100	20358	\N	\N	\N
245739	843	1998-04-04	VYDAJ	VYBER	3300	16857	\N	\N	\N
245740	843	1998-06-03	VYDAJ	VYBER	7900	11056	\N	\N	\N
245762	844	1994-04-28	PRIJEM	VKLAD	700	700	\N	\N	\N
245767	844	1994-05-06	PRIJEM	PREVOD Z UCTU	46773	47473	\N	ST	11884069
245768	844	1994-06-06	PRIJEM	PREVOD Z UCTU	70160	104151	\N	ST	11884069
245769	844	1994-07-06	PRIJEM	PREVOD Z UCTU	46773	83972	\N	ST	11884069
245770	844	1994-08-06	PRIJEM	PREVOD Z UCTU	46773	100310	\N	ST	11884069
245771	844	1994-09-06	PRIJEM	PREVOD Z UCTU	46773	109912	\N	ST	11884069
245772	844	1994-10-06	PRIJEM	PREVOD Z UCTU	46773	74797	\N	ST	11884069
245773	844	1994-11-06	PRIJEM	PREVOD Z UCTU	46773	82963	\N	ST	11884069
245774	844	1994-12-06	PRIJEM	PREVOD Z UCTU	70160	117261	\N	ST	11884069
245775	844	1995-01-06	PRIJEM	PREVOD Z UCTU	46773	79762	\N	ST	11884069
245776	844	1995-02-06	PRIJEM	PREVOD Z UCTU	46773	92389	\N	ST	11884069
245777	844	1995-03-06	PRIJEM	PREVOD Z UCTU	46773	72569	\N	ST	11884069
245778	844	1995-04-06	PRIJEM	PREVOD Z UCTU	46773	81196	\N	ST	11884069
245779	844	1995-05-06	PRIJEM	PREVOD Z UCTU	46773	93599	\N	ST	11884069
245780	844	1995-06-06	PRIJEM	PREVOD Z UCTU	70160	97088	\N	ST	11884069
245781	844	1995-07-06	PRIJEM	PREVOD Z UCTU	46773	82677	\N	ST	11884069
245782	844	1995-08-06	PRIJEM	PREVOD Z UCTU	46773	93714	\N	ST	11884069
245783	844	1995-09-06	PRIJEM	PREVOD Z UCTU	46773	84245	\N	ST	11884069
245784	844	1995-10-06	PRIJEM	PREVOD Z UCTU	46773	91143	\N	ST	11884069
245785	844	1995-11-06	PRIJEM	PREVOD Z UCTU	46773	92442	\N	ST	11884069
245786	844	1995-12-06	PRIJEM	PREVOD Z UCTU	70160	121355	\N	ST	11884069
245787	844	1996-01-06	PRIJEM	PREVOD Z UCTU	46773	74568	\N	ST	11884069
245788	844	1996-02-06	PRIJEM	PREVOD Z UCTU	46773	91237	\N	ST	11884069
245789	844	1996-03-06	PRIJEM	PREVOD Z UCTU	46773	98254	\N	ST	11884069
245790	844	1996-04-06	PRIJEM	PREVOD Z UCTU	46773	103799	\N	ST	11884069
245791	844	1996-05-06	PRIJEM	PREVOD Z UCTU	46773	105758	\N	ST	11884069
245792	844	1996-06-06	PRIJEM	PREVOD Z UCTU	70160	126302	\N	ST	11884069
245793	844	1996-07-06	PRIJEM	PREVOD Z UCTU	46773	90580	\N	ST	11884069
245794	844	1996-08-06	PRIJEM	PREVOD Z UCTU	46773	71685	\N	ST	11884069
245795	844	1996-09-06	PRIJEM	PREVOD Z UCTU	46773	88435	\N	ST	11884069
245796	844	1996-10-06	PRIJEM	PREVOD Z UCTU	46773	94526	\N	ST	11884069
245797	844	1996-11-06	PRIJEM	PREVOD Z UCTU	46773	83839	\N	ST	11884069
245798	844	1996-12-06	PRIJEM	PREVOD Z UCTU	70160	107434	\N	ST	11884069
245799	844	1997-01-06	PRIJEM	PREVOD Z UCTU	46773	99843	\N	ST	11884069
245800	844	1997-02-06	PRIJEM	PREVOD Z UCTU	46773	84238	\N	ST	11884069
245801	844	1997-03-06	PRIJEM	PREVOD Z UCTU	46773	82509	\N	ST	11884069
245802	844	1997-04-06	PRIJEM	PREVOD Z UCTU	46773	82896	\N	ST	11884069
245803	844	1997-05-06	PRIJEM	PREVOD Z UCTU	46773	74695	\N	ST	11884069
245804	844	1997-06-06	PRIJEM	PREVOD Z UCTU	70160	97557	\N	ST	11884069
245805	844	1997-07-06	PRIJEM	PREVOD Z UCTU	46773	79828	\N	ST	11884069
245806	844	1997-08-06	PRIJEM	PREVOD Z UCTU	46773	77236	\N	ST	11884069
245807	844	1997-09-06	PRIJEM	PREVOD Z UCTU	46773	84104	\N	ST	11884069
245808	844	1997-10-06	PRIJEM	PREVOD Z UCTU	46773	75329	\N	ST	11884069
245809	844	1997-11-06	PRIJEM	PREVOD Z UCTU	46773	77541	\N	ST	11884069
245810	844	1997-12-06	PRIJEM	PREVOD Z UCTU	70160	104455	\N	ST	11884069
245811	844	1998-01-06	PRIJEM	PREVOD Z UCTU	46773	76825	\N	ST	11884069
245812	844	1998-02-06	PRIJEM	PREVOD Z UCTU	46773	75050	\N	ST	11884069
245813	844	1998-03-06	PRIJEM	PREVOD Z UCTU	46773	77285	\N	ST	11884069
245814	844	1998-04-06	PRIJEM	PREVOD Z UCTU	46773	76095	\N	ST	11884069
245815	844	1998-05-06	PRIJEM	PREVOD Z UCTU	46773	71992	\N	ST	11884069
245816	844	1998-06-06	PRIJEM	PREVOD Z UCTU	70160	93366	\N	ST	11884069
245817	844	1998-07-06	PRIJEM	PREVOD Z UCTU	46773	74886	\N	ST	11884069
245818	844	1998-08-06	PRIJEM	PREVOD Z UCTU	46773	67869	\N	ST	11884069
245819	844	1998-09-06	PRIJEM	PREVOD Z UCTU	46773	64812	\N	ST	11884069
245820	844	1998-10-06	PRIJEM	PREVOD Z UCTU	46773	73702	\N	ST	11884069
245821	844	1998-11-06	PRIJEM	PREVOD Z UCTU	46773	68839	\N	ST	11884069
245822	844	1998-12-06	PRIJEM	PREVOD Z UCTU	70160	92707	\N	ST	11884069
245831	844	1994-09-11	VYDAJ	PREVOD NA UCET	1640	33341	SIPO	ST	37441408
245832	844	1994-10-11	VYDAJ	PREVOD NA UCET	1640	51326	SIPO	ST	37441408
245833	844	1994-11-11	VYDAJ	PREVOD NA UCET	1640	68792	SIPO	ST	37441408
245834	844	1994-12-11	VYDAJ	PREVOD NA UCET	1640	55890	SIPO	ST	37441408
245835	844	1995-01-11	VYDAJ	PREVOD NA UCET	1640	65591	SIPO	ST	37441408
245836	844	1995-02-11	VYDAJ	PREVOD NA UCET	1640	63640	SIPO	ST	37441408
245837	844	1995-03-11	VYDAJ	PREVOD NA UCET	1640	58398	SIPO	ST	37441408
245838	844	1995-04-11	VYDAJ	PREVOD NA UCET	1640	67025	SIPO	ST	37441408
245839	844	1995-05-11	VYDAJ	PREVOD NA UCET	1640	79428	SIPO	ST	37441408
245840	844	1995-06-11	VYDAJ	PREVOD NA UCET	1640	82917	SIPO	ST	37441408
245841	844	1995-07-11	VYDAJ	PREVOD NA UCET	1640	68506	SIPO	ST	37441408
245842	844	1995-08-11	VYDAJ	PREVOD NA UCET	1640	79543	SIPO	ST	37441408
245843	844	1995-09-11	VYDAJ	PREVOD NA UCET	1640	70074	SIPO	ST	37441408
245844	844	1995-10-11	VYDAJ	PREVOD NA UCET	1640	76972	SIPO	ST	37441408
245845	844	1995-11-11	VYDAJ	PREVOD NA UCET	1640	78271	SIPO	ST	37441408
245846	844	1995-12-11	VYDAJ	PREVOD NA UCET	1640	57674	SIPO	ST	37441408
245847	844	1996-01-11	VYDAJ	PREVOD NA UCET	1640	60397	SIPO	ST	37441408
245848	844	1996-02-11	VYDAJ	PREVOD NA UCET	1640	77066	SIPO	ST	37441408
245849	844	1996-03-11	VYDAJ	PREVOD NA UCET	1640	84083	SIPO	ST	37441408
245850	844	1996-04-11	VYDAJ	PREVOD NA UCET	1640	89628	SIPO	ST	37441408
245851	844	1996-05-11	VYDAJ	PREVOD NA UCET	1640	91587	SIPO	ST	37441408
245852	844	1996-06-11	VYDAJ	PREVOD NA UCET	1640	71031	SIPO	ST	37441408
245853	844	1996-07-11	VYDAJ	PREVOD NA UCET	1640	76409	SIPO	ST	37441408
245854	844	1996-08-11	VYDAJ	PREVOD NA UCET	1640	57514	SIPO	ST	37441408
245855	844	1996-09-11	VYDAJ	PREVOD NA UCET	1640	74264	SIPO	ST	37441408
245856	844	1996-10-11	VYDAJ	PREVOD NA UCET	1640	71355	SIPO	ST	37441408
245857	844	1996-11-11	VYDAJ	PREVOD NA UCET	1640	69668	SIPO	ST	37441408
245858	844	1996-12-11	VYDAJ	PREVOD NA UCET	1640	93263	SIPO	ST	37441408
245859	844	1997-01-11	VYDAJ	PREVOD NA UCET	1640	85672	SIPO	ST	37441408
245860	844	1997-02-11	VYDAJ	PREVOD NA UCET	1640	70067	SIPO	ST	37441408
245861	844	1997-03-11	VYDAJ	PREVOD NA UCET	1640	68338	SIPO	ST	37441408
245862	844	1997-04-11	VYDAJ	PREVOD NA UCET	1640	68725	SIPO	ST	37441408
245863	844	1997-05-11	VYDAJ	PREVOD NA UCET	1640	49347	SIPO	ST	37441408
245864	844	1997-06-11	VYDAJ	PREVOD NA UCET	1640	58186	SIPO	ST	37441408
245865	844	1997-07-11	VYDAJ	PREVOD NA UCET	1640	42357	SIPO	ST	37441408
245866	844	1997-08-11	VYDAJ	PREVOD NA UCET	1640	37165	SIPO	ST	37441408
245867	844	1997-09-11	VYDAJ	PREVOD NA UCET	1640	35033	SIPO	ST	37441408
245868	844	1997-10-11	VYDAJ	PREVOD NA UCET	1640	30658	SIPO	ST	37441408
245869	844	1997-11-11	VYDAJ	PREVOD NA UCET	1640	34170	SIPO	ST	37441408
245870	844	1997-12-11	VYDAJ	PREVOD NA UCET	1640	46984	SIPO	ST	37441408
245871	844	1998-01-11	VYDAJ	PREVOD NA UCET	1640	32054	SIPO	ST	37441408
245872	844	1998-02-11	VYDAJ	PREVOD NA UCET	1640	30379	SIPO	ST	37441408
245873	844	1998-03-11	VYDAJ	PREVOD NA UCET	1640	29214	SIPO	ST	37441408
245874	844	1998-04-11	VYDAJ	PREVOD NA UCET	1640	25124	SIPO	ST	37441408
245875	844	1998-05-11	VYDAJ	PREVOD NA UCET	1640	23121	SIPO	ST	37441408
245876	844	1998-06-11	VYDAJ	PREVOD NA UCET	1640	28004	SIPO	ST	37441408
245877	844	1998-07-11	VYDAJ	PREVOD NA UCET	1640	21015	SIPO	ST	37441408
245878	844	1998-08-11	VYDAJ	PREVOD NA UCET	1640	44698	SIPO	ST	37441408
245879	844	1998-09-11	VYDAJ	PREVOD NA UCET	1640	50641	SIPO	ST	37441408
245880	844	1998-10-11	VYDAJ	PREVOD NA UCET	1640	59531	SIPO	ST	37441408
245881	844	1998-11-11	VYDAJ	PREVOD NA UCET	1640	54668	SIPO	ST	37441408
245882	844	1998-12-11	VYDAJ	PREVOD NA UCET	1640	78536	SIPO	ST	37441408
245891	844	1994-09-10	VYDAJ	PREVOD NA UCET	12531	34981	 	GH	24649799
245892	844	1994-10-10	VYDAJ	PREVOD NA UCET	12531	52966	 	GH	24649799
245893	844	1994-11-10	VYDAJ	PREVOD NA UCET	12531	70432	 	GH	24649799
245894	844	1994-12-10	VYDAJ	PREVOD NA UCET	12531	57530	 	GH	24649799
245895	844	1995-01-10	VYDAJ	PREVOD NA UCET	12531	67231	 	GH	24649799
245896	844	1995-02-10	VYDAJ	PREVOD NA UCET	12531	65280	 	GH	24649799
245897	844	1995-03-10	VYDAJ	PREVOD NA UCET	12531	60038	 	GH	24649799
245898	844	1995-04-10	VYDAJ	PREVOD NA UCET	12531	68665	 	GH	24649799
245899	844	1995-05-10	VYDAJ	PREVOD NA UCET	12531	81068	 	GH	24649799
245900	844	1995-06-10	VYDAJ	PREVOD NA UCET	12531	84557	 	GH	24649799
245901	844	1995-07-10	VYDAJ	PREVOD NA UCET	12531	70146	 	GH	24649799
245902	844	1995-08-10	VYDAJ	PREVOD NA UCET	12531	81183	 	GH	24649799
245903	844	1995-09-10	VYDAJ	PREVOD NA UCET	12531	71714	 	GH	24649799
245904	844	1995-10-10	VYDAJ	PREVOD NA UCET	12531	78612	 	GH	24649799
245905	844	1995-11-10	VYDAJ	PREVOD NA UCET	12531	79911	 	GH	24649799
245906	844	1995-12-10	VYDAJ	PREVOD NA UCET	12531	59314	 	GH	24649799
245907	844	1996-01-10	VYDAJ	PREVOD NA UCET	12531	62037	 	GH	24649799
245908	844	1996-02-10	VYDAJ	PREVOD NA UCET	12531	78706	 	GH	24649799
245909	844	1996-03-10	VYDAJ	PREVOD NA UCET	12531	85723	 	GH	24649799
245910	844	1996-04-10	VYDAJ	PREVOD NA UCET	12531	91268	 	GH	24649799
245911	844	1996-05-10	VYDAJ	PREVOD NA UCET	12531	93227	 	GH	24649799
245912	844	1996-06-10	VYDAJ	PREVOD NA UCET	12531	72671	 	GH	24649799
245913	844	1996-07-10	VYDAJ	PREVOD NA UCET	12531	78049	 	GH	24649799
245914	844	1996-08-10	VYDAJ	PREVOD NA UCET	12531	59154	 	GH	24649799
245915	844	1996-09-10	VYDAJ	PREVOD NA UCET	12531	75904	 	GH	24649799
245916	844	1996-10-10	VYDAJ	PREVOD NA UCET	12531	72995	 	GH	24649799
245917	844	1996-11-10	VYDAJ	PREVOD NA UCET	12531	71308	 	GH	24649799
245918	844	1996-12-10	VYDAJ	PREVOD NA UCET	12531	94903	 	GH	24649799
245919	844	1997-01-10	VYDAJ	PREVOD NA UCET	12531	87312	 	GH	24649799
245920	844	1997-02-10	VYDAJ	PREVOD NA UCET	12531	71707	 	GH	24649799
245921	844	1997-03-10	VYDAJ	PREVOD NA UCET	12531	69978	 	GH	24649799
245922	844	1997-04-10	VYDAJ	PREVOD NA UCET	12531	70365	 	GH	24649799
245923	844	1997-05-10	VYDAJ	PREVOD NA UCET	12531	50987	 	GH	24649799
245924	844	1997-06-10	VYDAJ	PREVOD NA UCET	12531	59826	 	GH	24649799
245925	844	1997-07-10	VYDAJ	PREVOD NA UCET	12531	67297	 	GH	24649799
245926	844	1997-08-10	VYDAJ	PREVOD NA UCET	12531	64705	 	GH	24649799
245927	844	1997-09-10	VYDAJ	PREVOD NA UCET	12531	36673	 	GH	24649799
245928	844	1997-10-10	VYDAJ	PREVOD NA UCET	12531	32298	 	GH	24649799
245929	844	1997-11-10	VYDAJ	PREVOD NA UCET	12531	35810	 	GH	24649799
245930	844	1997-12-10	VYDAJ	PREVOD NA UCET	12531	48624	 	GH	24649799
245931	844	1998-01-10	VYDAJ	PREVOD NA UCET	12531	33694	 	GH	24649799
245932	844	1998-02-10	VYDAJ	PREVOD NA UCET	12531	32019	 	GH	24649799
245933	844	1998-03-10	VYDAJ	PREVOD NA UCET	12531	30854	 	GH	24649799
245934	844	1998-04-10	VYDAJ	PREVOD NA UCET	12531	26764	 	GH	24649799
245935	844	1998-05-10	VYDAJ	PREVOD NA UCET	12531	24761	 	GH	24649799
245936	844	1998-06-10	VYDAJ	PREVOD NA UCET	12531	34035	 	GH	24649799
245937	844	1998-07-10	VYDAJ	PREVOD NA UCET	12531	22655	 	GH	24649799
245938	844	1998-08-10	VYDAJ	PREVOD NA UCET	12531	46338	 	GH	24649799
245939	844	1998-09-10	VYDAJ	PREVOD NA UCET	12531	52281	 	GH	24649799
245940	844	1998-10-10	VYDAJ	PREVOD NA UCET	12531	61171	 	GH	24649799
245941	844	1998-11-10	VYDAJ	PREVOD NA UCET	12531	56308	 	GH	24649799
245942	844	1998-12-10	VYDAJ	PREVOD NA UCET	12531	80176	 	GH	24649799
245944	844	1995-05-12	VYBER	VYBER	7959	71469	\N	\N	\N
245945	844	1995-06-14	VYBER	VYBER	6533	76384	\N	\N	\N
245946	844	1995-12-16	VYBER	VYBER	21059	35115	\N	\N	\N
245947	844	1995-03-01	VYBER	VYBER	18562	25796	\N	\N	\N
245948	844	1995-02-20	VYBER	VYBER	4491	59149	\N	\N	\N
245949	844	1995-10-15	VYBER	VYBER	11011	65961	\N	\N	\N
245950	844	1995-02-09	VYBER	VYBER	14578	77811	\N	\N	\N
245951	844	1995-05-28	VYBER	VYBER	22157	26712	\N	\N	\N
245952	844	1995-08-16	VYBER	VYBER	19168	60375	\N	\N	\N
245953	844	1995-12-08	VYBER	VYBER	7010	71845	\N	\N	\N
245954	844	1995-03-12	VYBER	VYBER	18745	39653	\N	\N	\N
245955	844	1995-01-03	VYBER	VYBER	7304	32989	\N	\N	\N
245956	844	1995-07-03	VYBER	VYBER	12289	35904	\N	\N	\N
245957	844	1996-07-23	VYBER	VYBER	24972	24737	\N	\N	\N
245958	844	1996-06-22	VYBER	VYBER	5549	43582	\N	\N	\N
245959	844	1997-08-04	VYBER	VYBER	12078	30463	\N	\N	\N
245960	844	1997-05-05	VYBER	VYBER	6674	27922	\N	\N	\N
245961	844	1997-04-26	VYBER	VYBER	11991	34434	\N	\N	\N
245962	844	1997-07-02	VYBER	VYBER	4960	33055	\N	\N	\N
245963	844	1997-05-06	VYBER	VYBER	11177	63518	\N	\N	\N
245964	844	1998-06-11	VYBER	VYBER	4391	29644	\N	\N	\N
245966	844	1998-12-17	VYBER	VYBER	8662	69874	\N	\N	\N
245967	844	1998-10-24	VYBER	VYBER	10471	41860	\N	\N	\N
245969	844	1998-11-19	VYBER	VYBER	13705	40963	\N	\N	\N
245974	844	1997-06-10	VYDAJ	VYBER	25200	72357	\N	\N	\N
245976	844	1994-12-07	VYDAJ	VYBER	2700	70061	\N	\N	\N
245977	844	1995-12-13	VYDAJ	VYBER KARTOU	1500	56174	\N	\N	0
245978	844	1996-12-19	VYDAJ	VYBER	6300	52863	\N	\N	\N
245979	844	1997-12-11	VYDAJ	VYBER	7500	39484	\N	\N	\N
245980	844	1998-12-22	VYDAJ	VYBER	8400	61474	\N	\N	\N
245981	844	1994-10-18	VYDAJ	VYBER	2100	49226	\N	\N	\N
245984	844	1994-10-08	VYDAJ	VYBER	9300	65497	\N	\N	\N
245986	844	1995-12-21	VYDAJ	VYBER KARTOU	3600	27615	\N	\N	0
245987	844	1995-08-18	VYDAJ	VYBER	11700	48675	\N	\N	\N
245988	844	1996-10-07	VYDAJ	VYBER	9000	85526	\N	\N	\N
245989	844	1996-11-03	VYDAJ	VYBER	11100	37066	\N	\N	\N
245990	844	1996-11-30	VYDAJ	VYBER	8700	37289	\N	\N	\N
245991	844	1997-03-18	VYDAJ	VYBER	9900	35938	\N	\N	\N
245992	844	1997-03-02	VYDAJ	VYBER	11100	35736	\N	\N	\N
245993	844	1997-09-21	VYDAJ	VYBER	6600	28433	\N	\N	\N
245994	844	1997-01-24	VYDAJ	VYBER	14100	37272	\N	\N	\N
245995	844	1997-06-02	VYDAJ	VYBER	8700	27397	\N	\N	\N
245997	844	1998-08-06	VYDAJ	VYBER	9000	58869	\N	\N	\N
245998	844	1998-10-18	VYDAJ	VYBER	7200	52331	\N	\N	\N
246000	844	1998-01-02	VYDAJ	VYBER	9600	30052	\N	\N	\N
246001	844	1998-01-13	VYDAJ	VYBER KARTOU	3900	28154	\N	\N	0
246003	844	1998-08-14	VYDAJ	VYBER	9300	35398	\N	\N	\N
246013	844	1994-09-30	VYDAJ	VYBER	15	28024	SLUZBY	\N	\N
246014	844	1994-10-31	VYDAJ	VYBER	15	36190	SLUZBY	\N	\N
246015	844	1994-11-30	VYDAJ	VYBER	15	47101	SLUZBY	\N	\N
246016	844	1994-12-31	VYDAJ	VYBER	15	40293	SLUZBY	\N	\N
246017	844	1995-01-31	VYDAJ	VYBER	15	45616	SLUZBY	\N	\N
246018	844	1995-02-28	VYDAJ	VYBER	15	44358	SLUZBY	\N	\N
246019	844	1995-03-31	VYDAJ	VYBER	15	34423	SLUZBY	\N	\N
246020	844	1995-04-30	VYDAJ	VYBER	15	46826	SLUZBY	\N	\N
246021	844	1995-05-31	VYDAJ	VYBER	15	26928	SLUZBY	\N	\N
246022	844	1995-06-30	VYDAJ	VYBER	15	48193	SLUZBY	\N	\N
246023	844	1995-07-31	VYDAJ	VYBER	15	46941	SLUZBY	\N	\N
246024	844	1995-08-31	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
246025	844	1995-09-30	VYDAJ	VYBER	15	44370	SLUZBY	\N	\N
246026	844	1995-10-31	VYDAJ	VYBER	15	45669	SLUZBY	\N	\N
246027	844	1995-11-30	VYDAJ	VYBER	15	51195	SLUZBY	\N	\N
246028	844	1995-12-31	VYDAJ	VYBER	15	27795	SLUZBY	\N	\N
246029	844	1996-01-31	VYDAJ	VYBER	15	44464	SLUZBY	\N	\N
246030	844	1996-02-29	VYDAJ	VYBER	15	51481	SLUZBY	\N	\N
246031	844	1996-03-31	VYDAJ	VYBER	15	57026	SLUZBY	\N	\N
246032	844	1996-04-30	VYDAJ	VYBER	15	58985	SLUZBY	\N	\N
246033	844	1996-05-31	VYDAJ	VYBER	15	56142	SLUZBY	\N	\N
246034	844	1996-06-30	VYDAJ	VYBER	15	43807	SLUZBY	\N	\N
246035	844	1996-07-31	VYDAJ	VYBER	15	24912	SLUZBY	\N	\N
246036	844	1996-08-31	VYDAJ	VYBER	15	41662	SLUZBY	\N	\N
246037	844	1996-09-30	VYDAJ	VYBER	15	47753	SLUZBY	\N	\N
246038	844	1996-10-31	VYDAJ	VYBER	15	48166	SLUZBY	\N	\N
246039	844	1996-11-30	VYDAJ	VYBER	15	37274	SLUZBY	\N	\N
246040	844	1996-12-31	VYDAJ	VYBER	15	53070	SLUZBY	\N	\N
246041	844	1997-01-31	VYDAJ	VYBER	15	37465	SLUZBY	\N	\N
246042	844	1997-02-28	VYDAJ	VYBER	15	46836	SLUZBY	\N	\N
246043	844	1997-03-31	VYDAJ	VYBER	15	36123	SLUZBY	\N	\N
246044	844	1997-04-30	VYDAJ	VYBER	15	34596	SLUZBY	\N	\N
246045	844	1997-05-31	VYDAJ	VYBER	15	36097	SLUZBY	\N	\N
246046	844	1997-06-30	VYDAJ	VYBER	15	38015	SLUZBY	\N	\N
246047	844	1997-07-31	VYDAJ	VYBER	15	42541	SLUZBY	\N	\N
246048	844	1997-08-31	VYDAJ	VYBER	15	37331	SLUZBY	\N	\N
246049	844	1997-09-30	VYDAJ	VYBER	15	28556	SLUZBY	\N	\N
246050	844	1997-10-31	VYDAJ	VYBER	15	30768	SLUZBY	\N	\N
246051	844	1997-11-30	VYDAJ	VYBER	15	34295	SLUZBY	\N	\N
246052	844	1997-12-31	VYDAJ	VYBER	15	39652	SLUZBY	\N	\N
246053	844	1998-01-31	VYDAJ	VYBER	15	28277	SLUZBY	\N	\N
246054	844	1998-02-28	VYDAJ	VYBER	15	30512	SLUZBY	\N	\N
246055	844	1998-03-31	VYDAJ	VYBER	15	29322	SLUZBY	\N	\N
246056	844	1998-04-30	VYDAJ	VYBER	15	25219	SLUZBY	\N	\N
246057	844	1998-05-31	VYDAJ	VYBER	15	23206	SLUZBY	\N	\N
246058	844	1998-06-30	VYDAJ	VYBER	15	28113	SLUZBY	\N	\N
246059	844	1998-07-31	VYDAJ	VYBER	15	21096	SLUZBY	\N	\N
246060	844	1998-08-31	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
246061	844	1998-09-30	VYDAJ	VYBER	15	50829	SLUZBY	\N	\N
246062	844	1998-10-31	VYDAJ	VYBER	15	42066	SLUZBY	\N	\N
246063	844	1998-11-30	VYDAJ	VYBER	15	41147	SLUZBY	\N	\N
246064	844	1994-05-28	VYDAJ	VYBER	13500	33973	\N	\N	\N
246065	844	1994-06-06	VYDAJ	VYBER	51600	52551	\N	\N	\N
246066	844	1994-06-27	VYDAJ	VYBER	15700	36851	\N	\N	\N
246067	844	1994-07-27	VYDAJ	VYBER	30600	53372	\N	\N	\N
246068	844	1994-08-26	VYDAJ	VYBER	37400	62910	\N	\N	\N
246069	844	1994-09-06	VYDAJ	VYBER	62400	47512	\N	\N	\N
246070	844	1994-09-25	VYDAJ	VYBER	5500	27841	\N	\N	\N
246071	844	1994-10-25	VYDAJ	VYBER	13200	36026	\N	\N	\N
246072	844	1994-11-24	VYDAJ	VYBER	21900	46892	\N	\N	\N
246073	844	1994-12-06	VYDAJ	VYBER	44500	72761	\N	\N	\N
246074	844	1994-12-24	VYDAJ	VYBER	15800	40090	\N	\N	\N
246075	844	1995-01-23	VYDAJ	VYBER	20200	45391	\N	\N	\N
246076	844	1995-02-22	VYDAJ	VYBER	15000	44149	\N	\N	\N
246077	844	1995-03-24	VYDAJ	VYBER	5400	34253	\N	\N	\N
246078	844	1995-04-23	VYDAJ	VYBER	20400	46625	\N	\N	\N
246079	844	1995-05-23	VYDAJ	VYBER	22600	48869	\N	\N	\N
246080	844	1995-06-22	VYDAJ	VYBER	28400	47984	\N	\N	\N
246081	844	1995-07-22	VYDAJ	VYBER	21800	46706	\N	\N	\N
246082	844	1995-08-21	VYDAJ	VYBER	11400	37275	\N	\N	\N
246083	844	1995-09-20	VYDAJ	VYBER	25900	44174	\N	\N	\N
246084	844	1995-10-20	VYDAJ	VYBER	20500	45461	\N	\N	\N
246085	844	1995-11-19	VYDAJ	VYBER	27300	50971	\N	\N	\N
246086	844	1995-12-06	VYDAJ	VYBER	42500	78855	\N	\N	\N
246087	844	1995-12-19	VYDAJ	VYBER KARTOU	3900	31215	\N	\N	0
246088	844	1996-01-18	VYDAJ	VYBER	16100	44297	\N	\N	\N
246089	844	1996-02-17	VYDAJ	VYBER	25800	51266	\N	\N	\N
246090	844	1996-03-18	VYDAJ	VYBER	27300	56783	\N	\N	\N
246091	844	1996-04-17	VYDAJ	VYBER	30900	58728	\N	\N	\N
246092	844	1996-05-17	VYDAJ	VYBER	35700	55887	\N	\N	\N
246093	844	1996-06-06	VYDAJ	VYBER	41100	85202	\N	\N	\N
246094	844	1996-06-16	VYDAJ	VYBER	21900	49131	\N	\N	\N
246095	844	1996-07-16	VYDAJ	VYBER	26700	49709	\N	\N	\N
246096	844	1996-08-15	VYDAJ	VYBER	16000	41514	\N	\N	\N
246097	844	1996-09-14	VYDAJ	VYBER	26700	47564	\N	\N	\N
246098	844	1996-10-14	VYDAJ	VYBER	23400	47955	\N	\N	\N
246099	844	1996-11-13	VYDAJ	VYBER	23900	45768	\N	\N	\N
246100	844	1996-12-13	VYDAJ	VYBER	34100	59163	\N	\N	\N
246101	844	1997-01-12	VYDAJ	VYBER	34300	51372	\N	\N	\N
246102	844	1997-02-11	VYDAJ	VYBER	23400	46667	\N	\N	\N
246103	844	1997-03-13	VYDAJ	VYBER	22500	45838	\N	\N	\N
246104	844	1997-04-12	VYDAJ	VYBER	22300	46425	\N	\N	\N
246105	844	1997-05-12	VYDAJ	VYBER	13400	35947	\N	\N	\N
246106	844	1997-06-11	VYDAJ	VYBER	20400	37786	\N	\N	\N
246107	844	1997-07-11	VYDAJ	VYBER	23300	43997	\N	\N	\N
246108	844	1997-08-10	VYDAJ	VYBER	25900	38805	\N	\N	\N
246109	844	1997-09-09	VYDAJ	VYBER	34900	49204	\N	\N	\N
246110	844	1997-10-09	VYDAJ	VYBER	30500	44829	\N	\N	\N
246111	844	1997-11-08	VYDAJ	VYBER	29200	48341	\N	\N	\N
246112	844	1997-12-08	VYDAJ	VYBER	43300	61155	\N	\N	\N
246113	844	1998-01-07	VYDAJ	VYBER	30600	46225	\N	\N	\N
246114	844	1998-02-06	VYDAJ	VYBER	30500	44550	\N	\N	\N
246115	844	1998-03-08	VYDAJ	VYBER	33900	43385	\N	\N	\N
246116	844	1998-04-07	VYDAJ	VYBER	36800	39295	\N	\N	\N
246117	844	1998-05-07	VYDAJ	VYBER	34700	37292	\N	\N	\N
246118	844	1998-06-06	VYDAJ	VYBER	46800	46566	\N	\N	\N
246119	844	1998-07-06	VYDAJ	VYBER	39700	35186	\N	\N	\N
246120	844	1998-09-04	VYDAJ	VYBER	17500	18039	\N	\N	\N
246121	844	1998-10-04	VYDAJ	VYBER	23900	26929	\N	\N	\N
246122	844	1998-11-03	VYDAJ	VYBER	20000	22066	\N	\N	\N
246123	844	1998-12-03	VYDAJ	VYBER	18600	22547	\N	\N	\N
246180	845	1997-12-27	PRIJEM	VKLAD	300	300	\N	\N	\N
246193	845	1998-01-12	PRIJEM	VKLAD	24912	25212	\N	\N	\N
246194	845	1998-02-12	PRIJEM	VKLAD	24912	45140	\N	\N	\N
246195	845	1998-03-12	PRIJEM	VKLAD	24912	58344	\N	\N	\N
246196	845	1998-04-12	PRIJEM	VKLAD	24912	67702	\N	\N	\N
246197	845	1998-05-12	PRIJEM	VKLAD	24912	71594	\N	\N	\N
246198	845	1998-06-12	PRIJEM	VKLAD	37368	81813	\N	\N	\N
246199	845	1998-07-12	PRIJEM	VKLAD	24912	60959	\N	\N	\N
246200	845	1998-08-12	PRIJEM	VKLAD	24912	66183	\N	\N	\N
246201	845	1998-09-12	PRIJEM	VKLAD	24912	65721	\N	\N	\N
246202	845	1998-10-12	PRIJEM	VKLAD	24912	70762	\N	\N	\N
246203	845	1998-11-12	PRIJEM	VKLAD	24912	70517	\N	\N	\N
246204	845	1998-12-12	PRIJEM	VKLAD	37368	86633	\N	\N	\N
246221	845	1998-05-14	VYDAJ	PREVOD NA UCET	9651	59643	SIPO	IJ	33191889
246222	845	1998-06-14	VYDAJ	PREVOD NA UCET	9651	72162	SIPO	IJ	33191889
246223	845	1998-07-14	VYDAJ	PREVOD NA UCET	9651	51308	SIPO	IJ	33191889
246224	845	1998-08-14	VYDAJ	PREVOD NA UCET	9651	56532	SIPO	IJ	33191889
246225	845	1998-09-14	VYDAJ	PREVOD NA UCET	9651	56070	SIPO	IJ	33191889
246226	845	1998-10-14	VYDAJ	PREVOD NA UCET	9651	61111	SIPO	IJ	33191889
246227	845	1998-11-14	VYDAJ	PREVOD NA UCET	9651	60866	SIPO	IJ	33191889
246228	845	1998-12-14	VYDAJ	PREVOD NA UCET	9651	76982	SIPO	IJ	33191889
246230	845	1998-06-18	VYDAJ	VYBER	21000	51162	\N	\N	\N
246234	845	1998-12-02	VYDAJ	VYBER KARTOU	1500	49265	\N	\N	0
246256	845	1998-05-13	VYDAJ	VYBER	2300	69294	\N	\N	\N
246257	845	1998-12-18	VYDAJ	VYBER KARTOU	4000	72982	\N	\N	0
246259	845	1998-08-14	VYDAJ	VYBER KARTOU	1900	54632	\N	\N	0
246278	845	1998-05-31	VYDAJ	VYBER	15	44445	SLUZBY	\N	\N
246279	845	1998-06-30	VYDAJ	VYBER	15	36047	SLUZBY	\N	\N
246280	845	1998-07-31	VYDAJ	VYBER	15	41271	SLUZBY	\N	\N
246281	845	1998-08-31	VYDAJ	VYBER	15	40809	SLUZBY	\N	\N
246282	845	1998-09-30	VYDAJ	VYBER	15	45850	SLUZBY	\N	\N
246283	845	1998-10-31	VYDAJ	VYBER	15	45605	SLUZBY	\N	\N
246284	845	1998-11-30	VYDAJ	VYBER	15	50765	SLUZBY	\N	\N
246285	845	1998-01-26	VYDAJ	VYBER	5000	20212	\N	\N	\N
246286	845	1998-02-25	VYDAJ	VYBER	11800	33340	\N	\N	\N
246287	845	1998-03-27	VYDAJ	VYBER	15700	42644	\N	\N	\N
246288	845	1998-04-26	VYDAJ	VYBER	21200	46502	\N	\N	\N
246289	845	1998-05-26	VYDAJ	VYBER	15400	44243	\N	\N	\N
246290	845	1998-06-25	VYDAJ	VYBER	15300	35862	\N	\N	\N
246291	845	1998-07-25	VYDAJ	VYBER	10200	41108	\N	\N	\N
246292	845	1998-08-24	VYDAJ	VYBER	14000	40632	\N	\N	\N
246293	845	1998-09-23	VYDAJ	VYBER	10400	45670	\N	\N	\N
246294	845	1998-10-23	VYDAJ	VYBER	15700	45411	\N	\N	\N
246295	845	1998-11-22	VYDAJ	VYBER	10300	50566	\N	\N	\N
246308	846	1996-03-09	PRIJEM	VKLAD	300	300	\N	\N	\N
246309	846	1996-08-06	PRIJEM	VKLAD	37566	118429	\N	\N	\N
246311	846	1996-08-12	PRIJEM	VKLAD	45729	94158	\N	\N	\N
246313	846	1996-07-20	PRIJEM	VKLAD	24212	89876	\N	\N	\N
246314	846	1996-04-12	PRIJEM	VKLAD	26040	46360	\N	\N	\N
246316	846	1996-12-10	PRIJEM	VKLAD	5840	41208	\N	\N	\N
246317	846	1996-05-14	PRIJEM	VKLAD	13177	101992	\N	\N	\N
246318	846	1996-07-30	PRIJEM	VKLAD	17470	104348	\N	\N	\N
246319	846	1996-03-31	PRIJEM	VKLAD	18017	18317	\N	\N	\N
246320	846	1996-11-20	PRIJEM	VKLAD	17633	47326	\N	\N	\N
246321	846	1996-07-31	PRIJEM	VKLAD	33925	126308	\N	\N	\N
246322	846	1996-09-22	PRIJEM	VKLAD	20737	62439	\N	\N	\N
246323	846	1996-08-30	PRIJEM	VKLAD	16181	102509	\N	\N	\N
246324	846	1996-05-11	PRIJEM	VKLAD	34903	88815	\N	\N	\N
246325	846	1996-07-21	PRIJEM	VKLAD	43502	133378	\N	\N	\N
246326	846	1996-12-30	PRIJEM	VKLAD	9234	72469	\N	\N	\N
246327	846	1996-09-25	PRIJEM	VKLAD	23442	85881	\N	\N	\N
246328	846	1996-07-18	PRIJEM	VKLAD	17331	65664	\N	\N	\N
246329	846	1996-12-24	PRIJEM	VKLAD	39027	63235	\N	\N	\N
246330	846	1996-08-16	PRIJEM	VKLAD	47055	128428	\N	\N	\N
246331	846	1996-07-05	PRIJEM	VKLAD	31649	74433	\N	\N	\N
246332	846	1996-11-01	PRIJEM	VKLAD	26549	49288	\N	\N	\N
246333	846	1996-05-18	PRIJEM	VKLAD	35202	137194	\N	\N	\N
246334	846	1996-04-13	PRIJEM	VKLAD	41498	87858	\N	\N	\N
246335	846	1997-05-31	PRIJEM	VKLAD	10025	32899	\N	\N	\N
246336	846	1997-10-25	PRIJEM	VKLAD	19685	71831	\N	\N	\N
246337	846	1997-09-05	PRIJEM	VKLAD	31925	68719	\N	\N	\N
246338	846	1997-12-30	PRIJEM	VKLAD	32330	86335	\N	\N	\N
246339	846	1997-06-25	PRIJEM	VKLAD	15590	45870	\N	\N	\N
246340	846	1997-10-20	PRIJEM	VKLAD	19018	52146	\N	\N	\N
246341	846	1997-01-04	PRIJEM	VKLAD	19118	70147	\N	\N	\N
246342	846	1998-08-29	PRIJEM	VKLAD	7846	96827	\N	\N	\N
246343	846	1998-10-16	PRIJEM	VKLAD	43080	92237	\N	\N	\N
246344	846	1998-07-13	PRIJEM	VKLAD	10787	55817	\N	\N	\N
246345	846	1998-07-20	PRIJEM	VKLAD	18072	73889	\N	\N	\N
246346	846	1998-09-28	PRIJEM	VKLAD	42379	133391	\N	\N	\N
246347	846	1998-12-22	PRIJEM	VKLAD	47357	101097	\N	\N	\N
246348	846	1998-01-30	PRIJEM	VKLAD	35617	87376	\N	\N	\N
246349	846	1998-09-14	PRIJEM	VKLAD	28535	113212	\N	\N	\N
246350	846	1998-12-01	PRIJEM	VKLAD	19520	79518	\N	\N	\N
246351	846	1998-10-06	PRIJEM	VKLAD	48389	131324	\N	\N	\N
246352	846	1998-02-15	PRIJEM	VKLAD	15766	89686	\N	\N	\N
246353	846	1998-08-02	PRIJEM	VKLAD	37653	107379	\N	\N	\N
246354	846	1998-03-13	PRIJEM	VKLAD	36586	104621	\N	\N	\N
246355	846	1998-04-09	PRIJEM	VKLAD	22027	82553	\N	\N	\N
246356	846	1998-08-26	PRIJEM	VKLAD	48902	147681	\N	\N	\N
246357	846	1998-02-06	PRIJEM	VKLAD	24442	125716	\N	\N	\N
246358	846	1998-09-02	PRIJEM	VKLAD	39722	136877	\N	\N	\N
246359	846	1998-04-22	PRIJEM	VKLAD	23576	98333	\N	\N	\N
246360	846	1998-12-23	PRIJEM	VKLAD	47773	148870	\N	\N	\N
246361	846	1998-02-03	PRIJEM	VKLAD	13621	101274	\N	\N	\N
246367	846	1996-06-09	VYDAJ	VYBER	5200	50053	\N	\N	0
246368	846	1996-06-26	VYDAJ	VYBER	7500	42553	\N	\N	0
246369	846	1996-08-12	VYDAJ	PREVOD NA UCET	7796	86363	UVER	WX	61563986
246370	846	1996-09-12	VYDAJ	PREVOD NA UCET	7796	41702	UVER	WX	61563986
246371	846	1996-10-12	VYDAJ	PREVOD NA UCET	7796	30668	UVER	WX	61563986
246372	846	1996-11-12	VYDAJ	PREVOD NA UCET	7796	29693	UVER	WX	61563986
246373	846	1996-12-12	VYDAJ	PREVOD NA UCET	7796	24208	UVER	WX	61563986
246374	846	1997-01-12	VYDAJ	PREVOD NA UCET	7796	42552	UVER	WX	61563986
246375	846	1997-02-12	VYDAJ	PREVOD NA UCET	7796	21734	UVER	WX	61563986
246376	846	1997-03-12	VYDAJ	PREVOD NA UCET	7796	20424	UVER	WX	61563986
246377	846	1997-04-12	VYDAJ	PREVOD NA UCET	7796	19701	UVER	WX	61563986
246378	846	1997-05-12	VYDAJ	PREVOD NA UCET	7796	22874	UVER	WX	61563986
246379	846	1997-06-12	VYDAJ	PREVOD NA UCET	7796	30280	UVER	WX	61563986
246380	846	1997-07-12	VYDAJ	PREVOD NA UCET	7796	39603	UVER	WX	61563986
246381	846	1997-08-12	VYDAJ	PREVOD NA UCET	7796	35267	UVER	WX	61563986
246382	846	1997-09-12	VYDAJ	PREVOD NA UCET	7796	60923	UVER	WX	61563986
246383	846	1997-10-12	VYDAJ	PREVOD NA UCET	7796	33128	UVER	WX	61563986
246384	846	1997-11-12	VYDAJ	PREVOD NA UCET	7796	59239	UVER	WX	61563986
246385	846	1997-12-12	VYDAJ	PREVOD NA UCET	7796	49905	UVER	WX	61563986
246386	846	1998-01-12	VYDAJ	PREVOD NA UCET	7796	66159	UVER	WX	61563986
246387	846	1998-02-12	VYDAJ	PREVOD NA UCET	7796	73920	UVER	WX	61563986
246388	846	1998-03-12	VYDAJ	PREVOD NA UCET	7796	68035	UVER	WX	61563986
246389	846	1998-04-12	VYDAJ	PREVOD NA UCET	7796	74757	UVER	WX	61563986
246390	846	1998-05-12	VYDAJ	PREVOD NA UCET	7796	73369	UVER	WX	61563986
246391	846	1998-06-12	VYDAJ	PREVOD NA UCET	7796	44018	UVER	WX	61563986
246392	846	1998-07-12	VYDAJ	PREVOD NA UCET	7796	45030	UVER	WX	61563986
246393	846	1998-08-17	VYDAJ	VYBER	8600	98779	\N	\N	0
246394	846	1998-09-08	VYDAJ	VYBER	9500	89177	\N	\N	0
246395	846	1998-10-03	VYDAJ	VYBER	5000	82935	\N	\N	0
246396	846	1998-11-04	VYDAJ	VYBER	8100	47396	\N	\N	0
246397	846	1998-12-09	VYDAJ	VYBER	6800	69418	\N	\N	0
246398	846	1996-09-25	VYBER	VYBER	3991	81890	\N	\N	\N
246399	846	1996-12-10	VYBER	VYBER	9204	32004	\N	\N	\N
246400	846	1996-09-11	VYBER	VYBER	5344	49498	\N	\N	\N
246401	846	1996-10-30	VYBER	VYBER	8093	22575	\N	\N	\N
246402	846	1996-10-08	VYBER	VYBER	13777	38464	\N	\N	\N
246406	846	1996-08-13	VYBER	VYBER	4990	81373	\N	\N	\N
246409	846	1996-07-30	VYBER	VYBER	11965	92383	\N	\N	\N
246411	846	1996-09-04	VYBER	VYBER	22312	80542	\N	\N	\N
246413	846	1998-10-08	VYBER	VYBER	23567	49157	\N	\N	\N
246414	846	1998-11-01	VYBER	VYBER	12259	68396	\N	\N	\N
246415	846	1998-12-19	VYBER	VYBER	15678	53740	\N	\N	\N
246416	846	1998-06-01	VYBER	VYBER	15658	51813	\N	\N	\N
246417	846	1998-05-05	VYBER	VYBER	2886	81165	\N	\N	\N
246418	846	1998-03-14	VYBER	VYBER	16081	88540	\N	\N	\N
246419	846	1998-04-02	VYBER	VYBER	11646	69526	\N	\N	\N
246420	846	1996-12-08	VYDAJ	VYBER	2400	35368	\N	\N	\N
246421	846	1997-12-22	VYDAJ	VYBER	5700	44205	\N	\N	\N
246422	846	1998-12-05	VYDAJ	VYBER KARTOU	3300	76218	\N	\N	0
246429	846	1997-01-22	VYDAJ	VYBER	5700	32352	\N	\N	\N
246430	846	1997-01-18	VYDAJ	VYBER	4500	38052	\N	\N	\N
246431	846	1997-01-04	VYDAJ	VYBER	3000	67147	\N	\N	\N
246432	846	1997-01-27	VYDAJ	VYBER	5100	27252	\N	\N	\N
246433	846	1997-01-09	VYDAJ	VYBER	8700	58447	\N	\N	\N
246434	846	1997-01-09	VYDAJ	VYBER	1800	56647	\N	\N	\N
246435	846	1998-01-20	VYDAJ	VYBER	1500	64659	\N	\N	\N
246436	846	1998-01-06	VYDAJ	VYBER	6900	73954	\N	\N	\N
246437	846	1998-01-22	VYDAJ	VYBER	5400	59259	\N	\N	\N
246438	846	1998-01-28	VYDAJ	VYBER	6600	58959	\N	\N	\N
246439	846	1998-01-29	VYDAJ	VYBER	7200	51759	\N	\N	\N
246440	846	1998-01-02	VYDAJ	VYBER	5700	80854	\N	\N	\N
246445	846	1997-09-30	VYDAJ	VYBER	3900	57238	\N	\N	\N
246446	846	1997-01-10	VYDAJ	VYBER	6300	50347	\N	\N	\N
246447	846	1997-10-02	VYDAJ	VYBER	14700	40924	\N	\N	\N
246448	846	1997-08-23	VYDAJ	VYBER	11100	24167	\N	\N	\N
246449	846	1998-04-05	VYDAJ	VYBER	9000	60526	\N	\N	\N
246450	846	1998-09-12	VYDAJ	VYBER	4500	84677	\N	\N	\N
246451	846	1998-02-07	VYDAJ	VYBER	6900	81716	\N	\N	\N
246452	846	1998-11-03	VYDAJ	VYBER	12900	55496	\N	\N	\N
246458	846	1996-05-31	VYDAJ	VYBER	15	88053	SLUZBY	\N	\N
246459	846	1996-06-30	VYDAJ	VYBER	15	42784	SLUZBY	\N	\N
246460	846	1996-07-31	VYDAJ	VYBER	15	126563	SLUZBY	\N	\N
246461	846	1996-08-31	VYDAJ	VYBER	15	102854	SLUZBY	\N	\N
246462	846	1996-09-30	VYDAJ	VYBER	15	82141	SLUZBY	\N	\N
246463	846	1996-10-31	VYDAJ	VYBER	15	22739	SLUZBY	\N	\N
246464	846	1996-11-30	VYDAJ	VYBER	15	47468	SLUZBY	\N	\N
246465	846	1996-12-31	VYDAJ	VYBER	15	72629	SLUZBY	\N	\N
246466	846	1997-01-31	VYDAJ	VYBER	15	27430	SLUZBY	\N	\N
246467	846	1997-02-28	VYDAJ	VYBER	15	21820	SLUZBY	\N	\N
246468	846	1997-03-31	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
246469	846	1997-04-30	VYDAJ	VYBER	15	19769	SLUZBY	\N	\N
246470	846	1997-05-31	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
246471	846	1997-06-30	VYDAJ	VYBER	15	45999	SLUZBY	\N	\N
246472	846	1997-07-31	VYDAJ	VYBER	15	39762	SLUZBY	\N	\N
246473	846	1997-08-31	VYDAJ	VYBER	15	36794	SLUZBY	\N	\N
246474	846	1997-09-30	VYDAJ	VYBER	15	57224	SLUZBY	\N	\N
246475	846	1997-10-31	VYDAJ	VYBER	15	67035	SLUZBY	\N	\N
246476	846	1997-11-30	VYDAJ	VYBER	15	57701	SLUZBY	\N	\N
246477	846	1997-12-31	VYDAJ	VYBER	15	86554	SLUZBY	\N	\N
246478	846	1998-01-31	VYDAJ	VYBER	15	87653	SLUZBY	\N	\N
246479	846	1998-02-28	VYDAJ	VYBER	15	75831	SLUZBY	\N	\N
246480	846	1998-03-31	VYDAJ	VYBER	15	81172	SLUZBY	\N	\N
246481	846	1998-04-30	VYDAJ	VYBER	15	84051	SLUZBY	\N	\N
246482	846	1998-05-31	VYDAJ	VYBER	15	67471	SLUZBY	\N	\N
246483	846	1998-06-30	VYDAJ	VYBER	15	52825	SLUZBY	\N	\N
246484	846	1998-07-31	VYDAJ	VYBER	15	69726	SLUZBY	\N	\N
246485	846	1998-08-31	VYDAJ	VYBER	15	97155	SLUZBY	\N	\N
246486	846	1998-09-30	VYDAJ	VYBER	15	87935	SLUZBY	\N	\N
246487	846	1998-10-31	VYDAJ	VYBER	15	80655	SLUZBY	\N	\N
246488	846	1998-11-30	VYDAJ	VYBER	15	59998	SLUZBY	\N	\N
246489	846	1996-04-08	PRIJEM	VKLAD	2000	20320	\N	\N	\N
246490	846	1996-05-08	VYDAJ	VYBER	34200	53912	\N	\N	\N
246491	846	1996-05-18	VYDAJ	VYBER	49500	87694	\N	\N	\N
246492	846	1996-06-07	VYDAJ	VYBER	32800	55253	\N	\N	\N
246493	846	1996-07-07	VYDAJ	VYBER	26100	48333	\N	\N	\N
246494	846	1996-07-21	VYDAJ	VYBER	46500	86878	\N	\N	\N
246495	846	1996-07-31	VYDAJ	VYBER	45700	80863	\N	\N	\N
246496	846	1996-08-06	VYDAJ	VYBER	44600	73829	\N	\N	\N
246497	846	1996-08-06	VYDAJ	VYBER	25400	48429	\N	\N	\N
246498	846	1996-08-16	VYDAJ	VYBER	42100	86328	\N	\N	\N
246499	846	1996-09-05	VYDAJ	VYBER	25700	54842	\N	\N	\N
246500	846	1996-10-05	VYDAJ	VYBER	29900	52241	\N	\N	\N
246501	846	1996-11-04	VYDAJ	VYBER	11800	37488	\N	\N	\N
246502	846	1996-12-04	VYDAJ	VYBER	9700	37768	\N	\N	\N
246503	846	1997-01-03	VYDAJ	VYBER	21600	51029	\N	\N	\N
246504	846	1997-02-02	PRIJEM	VKLAD	2100	29530	\N	\N	\N
246505	846	1997-03-04	PRIJEM	VKLAD	6400	28220	\N	\N	\N
246506	846	1997-04-03	PRIJEM	VKLAD	7000	27496	\N	\N	\N
246507	846	1997-05-03	PRIJEM	VKLAD	10900	30669	\N	\N	\N
246508	846	1997-06-02	PRIJEM	VKLAD	5100	38076	\N	\N	\N
246509	846	1997-07-02	PRIJEM	VKLAD	1400	47399	\N	\N	\N
246510	846	1997-08-01	PRIJEM	VKLAD	3300	43062	\N	\N	\N
246511	846	1997-08-31	PRIJEM	VKLAD	12500	36667	\N	\N	\N
246512	846	1997-09-30	VYDAJ	VYBER	1600	55624	\N	\N	\N
246513	846	1997-10-30	VYDAJ	VYBER	5000	66831	\N	\N	\N
246514	846	1997-11-29	VYDAJ	VYBER	1800	57439	\N	\N	\N
246515	846	1997-12-29	PRIJEM	VKLAD	9800	54005	\N	\N	\N
246516	846	1998-01-28	PRIJEM	VKLAD	6300	65559	\N	\N	\N
246517	846	1998-02-06	VYDAJ	VYBER	37100	88616	\N	\N	\N
246518	846	1998-02-27	VYDAJ	VYBER	14200	75486	\N	\N	\N
246519	846	1998-03-29	VYDAJ	VYBER	7700	80840	\N	\N	\N
246520	846	1998-04-28	VYDAJ	VYBER	14600	83733	\N	\N	\N
246521	846	1998-05-28	VYDAJ	VYBER	6200	67169	\N	\N	\N
246522	846	1998-06-27	PRIJEM	VKLAD	8600	52618	\N	\N	\N
246523	846	1998-07-27	VYDAJ	VYBER	4400	69489	\N	\N	\N
246524	846	1998-08-26	VYDAJ	VYBER	42200	105481	\N	\N	\N
246525	846	1998-08-26	VYDAJ	VYBER	16500	88981	\N	\N	\N
246526	846	1998-09-02	VYDAJ	VYBER	38200	98677	\N	\N	\N
246527	846	1998-09-25	VYDAJ	VYBER	22200	91012	\N	\N	\N
246528	846	1998-09-28	VYDAJ	VYBER	45900	87491	\N	\N	\N
246529	846	1998-10-06	VYDAJ	VYBER	58600	72724	\N	\N	\N
246530	846	1998-10-25	VYDAJ	VYBER	11900	80337	\N	\N	\N
246531	846	1998-11-24	PRIJEM	VKLAD	12400	59796	\N	\N	\N
246532	846	1998-12-23	VYDAJ	VYBER	35200	113670	\N	\N	\N
246567	847	1996-07-21	PRIJEM	VKLAD	900	900	\N	\N	\N
246570	847	1997-05-27	PRIJEM	VKLAD	30409	54548	\N	\N	\N
246571	847	1997-08-21	PRIJEM	VKLAD	18658	42467	\N	\N	\N
246572	847	1998-08-12	PRIJEM	VKLAD	41682	92166	\N	\N	\N
246573	847	1998-08-02	PRIJEM	VKLAD	39890	68684	\N	\N	\N
246581	847	1996-08-15	PRIJEM	VKLAD	1400	2300	\N	\N	\N
246582	847	1996-09-17	PRIJEM	VKLAD	1400	12017	\N	\N	\N
246583	847	1996-10-15	PRIJEM	VKLAD	1400	19874	\N	\N	\N
246584	847	1996-11-17	PRIJEM	VKLAD	1400	23658	\N	\N	\N
246585	847	1996-12-14	PRIJEM	VKLAD	1400	26255	\N	\N	\N
246586	847	1997-01-16	PRIJEM	VKLAD	1400	19135	\N	\N	\N
246587	847	1997-02-14	PRIJEM	VKLAD	1400	13786	\N	\N	\N
246588	847	1997-03-15	PRIJEM	VKLAD	1400	21337	\N	\N	\N
246589	847	1997-04-13	PRIJEM	VKLAD	1400	21911	\N	\N	\N
246590	847	1997-05-16	PRIJEM	VKLAD	1400	25989	\N	\N	\N
246591	847	1997-06-14	PRIJEM	VKLAD	1400	56057	\N	\N	\N
246592	847	1997-07-16	PRIJEM	VKLAD	1400	22633	\N	\N	\N
246593	847	1997-08-14	PRIJEM	VKLAD	1400	23809	\N	\N	\N
246594	847	1997-09-14	PRIJEM	VKLAD	1400	43976	\N	\N	\N
246595	847	1997-10-16	PRIJEM	VKLAD	1400	26137	\N	\N	\N
246596	847	1997-11-17	PRIJEM	VKLAD	1400	23438	\N	\N	\N
246597	847	1997-12-17	PRIJEM	VKLAD	1400	26727	\N	\N	\N
246598	847	1998-01-14	PRIJEM	VKLAD	1400	20664	\N	\N	\N
246599	847	1998-02-14	PRIJEM	VKLAD	1400	25329	\N	\N	\N
246600	847	1998-03-14	PRIJEM	VKLAD	1400	28311	\N	\N	\N
246601	847	1998-04-13	PRIJEM	VKLAD	1400	30164	\N	\N	\N
246602	847	1998-05-14	PRIJEM	VKLAD	1400	32677	\N	\N	\N
246603	847	1998-06-15	PRIJEM	VKLAD	1400	33299	\N	\N	\N
246604	847	1998-07-14	PRIJEM	VKLAD	1400	28708	\N	\N	\N
246605	847	1998-08-15	PRIJEM	VKLAD	1400	93566	\N	\N	\N
246606	847	1998-09-13	PRIJEM	VKLAD	1400	69051	\N	\N	\N
246607	847	1998-10-15	PRIJEM	VKLAD	1400	60864	\N	\N	\N
246608	847	1998-11-13	PRIJEM	VKLAD	1400	57819	\N	\N	\N
246609	847	1998-12-14	PRIJEM	VKLAD	1400	56650	\N	\N	\N
246610	847	1997-01-18	PRIJEM	VKLAD	1500	18435	\N	\N	\N
246611	847	1997-02-18	PRIJEM	VKLAD	1500	19886	\N	\N	\N
246612	847	1997-03-18	PRIJEM	VKLAD	1500	22837	\N	\N	\N
246613	847	1997-04-18	PRIJEM	VKLAD	1500	24511	\N	\N	\N
246614	847	1997-05-18	PRIJEM	VKLAD	1500	25389	\N	\N	\N
246615	847	1997-06-18	PRIJEM	VKLAD	1500	38057	\N	\N	\N
246616	847	1998-01-18	PRIJEM	VKLAD	1500	22164	\N	\N	\N
246617	847	1998-02-18	PRIJEM	VKLAD	1500	26829	\N	\N	\N
246618	847	1998-03-18	PRIJEM	VKLAD	1500	29811	\N	\N	\N
246619	847	1998-04-18	PRIJEM	VKLAD	1500	31664	\N	\N	\N
246620	847	1998-05-18	PRIJEM	VKLAD	1500	34177	\N	\N	\N
246621	847	1998-06-18	PRIJEM	VKLAD	1500	34799	\N	\N	\N
246623	847	1997-06-18	VYDAJ	VYBER	17000	21057	\N	\N	\N
246624	847	1998-06-23	VYDAJ	VYBER	16400	18399	\N	\N	\N
246626	847	1997-01-18	VYDAJ	VYBER	4800	13635	\N	\N	\N
246627	847	1998-01-04	VYDAJ	VYBER	9800	13614	\N	\N	\N
246628	847	1996-12-28	VYDAJ	VYBER	1100	19455	\N	\N	\N
246629	847	1997-12-21	VYDAJ	VYBER	2200	24527	\N	\N	\N
246630	847	1998-12-26	VYDAJ	VYBER	1100	55550	\N	\N	\N
246637	847	1997-01-19	VYDAJ	VYBER	300	13335	\N	\N	\N
246640	847	1997-01-24	VYDAJ	VYBER	1000	12335	\N	\N	\N
246641	847	1997-01-03	VYDAJ	VYBER	450	19085	\N	\N	\N
246642	847	1997-01-06	VYDAJ	VYBER	1350	17735	\N	\N	\N
246643	847	1998-01-13	VYDAJ	VYBER	1150	20664	\N	\N	\N
246644	847	1998-01-10	VYDAJ	VYBER	800	12814	\N	\N	\N
246646	847	1998-01-27	VYDAJ	VYBER	1200	19564	\N	\N	\N
246647	847	1998-01-13	VYDAJ	VYBER	1400	19264	\N	\N	\N
246648	847	1998-01-25	VYDAJ	VYBER	1400	20764	\N	\N	\N
246654	847	1997-09-29	VYDAJ	VYBER	800	29376	\N	\N	\N
246655	847	1997-05-18	VYDAJ	VYBER	1250	24139	\N	\N	\N
246656	847	1998-05-30	VYDAJ	VYBER	800	33377	\N	\N	\N
246657	847	1998-04-03	VYDAJ	VYBER	1650	28264	\N	\N	\N
246658	847	1998-01-04	VYDAJ	VYBER	1200	23414	\N	\N	\N
246671	847	1996-12-31	VYDAJ	VYBER	15	19535	SLUZBY	\N	\N
246672	847	1997-01-31	VYDAJ	VYBER	15	12386	SLUZBY	\N	\N
246673	847	1997-02-28	VYDAJ	VYBER	15	19937	SLUZBY	\N	\N
246674	847	1997-03-31	VYDAJ	VYBER	15	20511	SLUZBY	\N	\N
246675	847	1997-04-30	VYDAJ	VYBER	15	24589	SLUZBY	\N	\N
246676	847	1997-05-31	VYDAJ	VYBER	15	54657	SLUZBY	\N	\N
246677	847	1997-06-30	VYDAJ	VYBER	15	21233	SLUZBY	\N	\N
246678	847	1997-07-31	VYDAJ	VYBER	15	22409	SLUZBY	\N	\N
246679	847	1997-08-31	VYDAJ	VYBER	15	42576	SLUZBY	\N	\N
246680	847	1997-09-30	VYDAJ	VYBER	15	29537	SLUZBY	\N	\N
246681	847	1997-10-31	VYDAJ	VYBER	15	26238	SLUZBY	\N	\N
246682	847	1997-11-30	VYDAJ	VYBER	15	23527	SLUZBY	\N	\N
246683	847	1997-12-31	VYDAJ	VYBER	15	24614	SLUZBY	\N	\N
246684	847	1998-01-31	VYDAJ	VYBER	15	19629	SLUZBY	\N	\N
246685	847	1998-02-28	VYDAJ	VYBER	15	26911	SLUZBY	\N	\N
246686	847	1998-03-31	VYDAJ	VYBER	15	29914	SLUZBY	\N	\N
246687	847	1998-04-30	VYDAJ	VYBER	15	31777	SLUZBY	\N	\N
246688	847	1998-05-31	VYDAJ	VYBER	15	33499	SLUZBY	\N	\N
246689	847	1998-06-30	VYDAJ	VYBER	15	18508	SLUZBY	\N	\N
246690	847	1998-07-31	VYDAJ	VYBER	15	28794	SLUZBY	\N	\N
246691	847	1998-08-31	VYDAJ	VYBER	15	93851	SLUZBY	\N	\N
246692	847	1998-09-30	VYDAJ	VYBER	15	69364	SLUZBY	\N	\N
246693	847	1998-10-31	VYDAJ	VYBER	15	61119	SLUZBY	\N	\N
246694	847	1998-11-30	VYDAJ	VYBER	15	58050	SLUZBY	\N	\N
246695	847	1996-08-20	PRIJEM	VKLAD	8300	10600	\N	\N	\N
246696	847	1996-09-19	PRIJEM	VKLAD	6400	18417	\N	\N	\N
246697	847	1996-10-19	PRIJEM	VKLAD	2300	22174	\N	\N	\N
246698	847	1996-11-18	PRIJEM	VKLAD	1100	24758	\N	\N	\N
246699	847	1996-12-18	VYDAJ	VYBER	5700	20555	\N	\N	\N
246700	847	1997-01-17	VYDAJ	VYBER	2200	16935	\N	\N	\N
246701	847	1997-02-16	PRIJEM	VKLAD	4600	18386	\N	\N	\N
246702	847	1997-03-18	VYDAJ	VYBER	2400	20437	\N	\N	\N
246703	847	1997-04-17	PRIJEM	VKLAD	1100	23011	\N	\N	\N
246704	847	1997-05-17	VYDAJ	VYBER	2100	23889	\N	\N	\N
246705	847	1997-06-16	VYDAJ	VYBER	19500	36557	\N	\N	\N
246706	847	1997-07-16	VYDAJ	VYBER	300	22333	\N	\N	\N
246707	847	1997-09-14	VYDAJ	VYBER	13800	30176	\N	\N	\N
246708	847	1997-10-14	VYDAJ	VYBER	4800	24737	\N	\N	\N
246709	847	1997-11-13	VYDAJ	VYBER	4200	22038	\N	\N	\N
246710	847	1997-12-13	PRIJEM	VKLAD	1800	25327	\N	\N	\N
246711	847	1998-01-12	PRIJEM	VKLAD	9000	21814	\N	\N	\N
246712	847	1998-02-11	PRIJEM	VKLAD	4300	23929	\N	\N	\N
246713	847	1998-04-12	PRIJEM	VKLAD	500	28764	\N	\N	\N
246714	847	1998-05-12	VYDAJ	VYBER	500	31277	\N	\N	\N
246715	847	1998-06-11	VYDAJ	VYBER	1600	31899	\N	\N	\N
246716	847	1998-07-11	PRIJEM	VKLAD	8800	27308	\N	\N	\N
246717	847	1998-08-10	VYDAJ	VYBER	18200	50484	\N	\N	\N
246718	847	1998-09-09	VYDAJ	VYBER	26200	67651	\N	\N	\N
246719	847	1998-10-09	VYDAJ	VYBER	9900	59464	\N	\N	\N
246720	847	1998-11-08	VYDAJ	VYBER	4700	56419	\N	\N	\N
246721	847	1998-12-08	VYDAJ	VYBER	2800	55250	\N	\N	\N
246751	848	1996-06-16	PRIJEM	VKLAD	800	800	\N	\N	\N
246758	848	1996-07-12	PRIJEM	VKLAD	9140	9940	\N	\N	\N
246759	848	1996-08-12	PRIJEM	VKLAD	9140	24112	\N	\N	\N
246760	848	1996-09-12	PRIJEM	VKLAD	9140	30028	\N	\N	\N
246761	848	1996-10-12	PRIJEM	VKLAD	9140	35167	\N	\N	\N
246762	848	1996-11-12	PRIJEM	VKLAD	9140	39525	\N	\N	\N
246763	848	1996-12-12	PRIJEM	VKLAD	13710	36420	\N	\N	\N
246764	848	1997-01-12	PRIJEM	VKLAD	9140	29198	\N	\N	\N
246765	848	1997-02-12	PRIJEM	VKLAD	9140	21453	\N	\N	\N
246766	848	1997-03-12	PRIJEM	VKLAD	9140	24627	\N	\N	\N
246767	848	1997-04-12	PRIJEM	VKLAD	9140	21890	\N	\N	\N
246768	848	1997-05-12	PRIJEM	VKLAD	9140	25067	\N	\N	\N
246769	848	1997-06-12	PRIJEM	VKLAD	13710	31193	\N	\N	\N
246770	848	1997-07-12	PRIJEM	VKLAD	9140	35996	\N	\N	\N
246771	848	1997-08-12	PRIJEM	VKLAD	9140	35631	\N	\N	\N
246772	848	1997-09-12	PRIJEM	VKLAD	9140	36671	\N	\N	\N
246773	848	1997-10-12	PRIJEM	VKLAD	9140	35503	\N	\N	\N
246774	848	1997-11-12	PRIJEM	VKLAD	9140	42739	\N	\N	\N
246775	848	1997-12-12	PRIJEM	VKLAD	13710	46930	\N	\N	\N
246776	848	1998-01-12	PRIJEM	VKLAD	9140	39490	\N	\N	\N
246777	848	1998-02-12	PRIJEM	VKLAD	9140	34916	\N	\N	\N
246778	848	1998-03-12	PRIJEM	VKLAD	9140	41848	\N	\N	\N
246779	848	1998-04-12	PRIJEM	VKLAD	9140	45005	\N	\N	\N
246780	848	1998-05-12	PRIJEM	VKLAD	9140	48279	\N	\N	\N
246781	848	1998-06-12	PRIJEM	VKLAD	13710	52937	\N	\N	\N
246782	848	1998-07-12	PRIJEM	VKLAD	9140	50039	\N	\N	\N
246783	848	1998-08-12	PRIJEM	VKLAD	9140	49256	\N	\N	\N
246784	848	1998-09-12	PRIJEM	VKLAD	9140	56248	\N	\N	\N
246785	848	1998-10-12	PRIJEM	VKLAD	9140	54566	\N	\N	\N
246786	848	1998-11-12	PRIJEM	VKLAD	9140	53420	\N	\N	\N
246787	848	1998-12-12	PRIJEM	VKLAD	13710	59279	\N	\N	\N
246798	848	1996-11-12	VYDAJ	PREVOD NA UCET	3400	36125	SIPO	OP	79923873
246799	848	1996-12-12	VYDAJ	PREVOD NA UCET	3400	33020	SIPO	OP	79923873
246800	848	1997-01-12	VYDAJ	PREVOD NA UCET	3400	23798	SIPO	OP	79923873
246801	848	1997-02-12	VYDAJ	PREVOD NA UCET	3400	18053	SIPO	OP	79923873
246802	848	1997-03-12	VYDAJ	PREVOD NA UCET	3400	21227	SIPO	OP	79923873
246803	848	1997-04-12	VYDAJ	PREVOD NA UCET	3400	18490	SIPO	OP	79923873
246804	848	1997-05-12	VYDAJ	PREVOD NA UCET	3400	21667	SIPO	OP	79923873
246805	848	1997-06-12	VYDAJ	PREVOD NA UCET	3400	27793	SIPO	OP	79923873
246806	848	1997-07-12	VYDAJ	PREVOD NA UCET	3400	32596	SIPO	OP	79923873
246807	848	1997-08-12	VYDAJ	PREVOD NA UCET	3400	32231	SIPO	OP	79923873
246808	848	1997-09-12	VYDAJ	PREVOD NA UCET	3400	30271	SIPO	OP	79923873
246809	848	1997-10-12	VYDAJ	PREVOD NA UCET	3400	32103	SIPO	OP	79923873
246810	848	1997-11-12	VYDAJ	PREVOD NA UCET	3400	39339	SIPO	OP	79923873
246811	848	1997-12-12	VYDAJ	PREVOD NA UCET	3400	43530	SIPO	OP	79923873
246812	848	1998-01-12	VYDAJ	PREVOD NA UCET	3400	36090	SIPO	OP	79923873
246813	848	1998-02-12	VYDAJ	PREVOD NA UCET	3400	31516	SIPO	OP	79923873
246814	848	1998-03-12	VYDAJ	PREVOD NA UCET	3400	38448	SIPO	OP	79923873
246815	848	1998-04-12	VYDAJ	PREVOD NA UCET	3400	41605	SIPO	OP	79923873
246816	848	1998-05-12	VYDAJ	PREVOD NA UCET	3400	44879	SIPO	OP	79923873
246817	848	1998-06-12	VYDAJ	PREVOD NA UCET	3400	49537	SIPO	OP	79923873
246818	848	1998-07-12	VYDAJ	PREVOD NA UCET	3400	46639	SIPO	OP	79923873
246819	848	1998-08-12	VYDAJ	PREVOD NA UCET	3400	45856	SIPO	OP	79923873
246820	848	1998-09-12	VYDAJ	PREVOD NA UCET	3400	52848	SIPO	OP	79923873
246821	848	1998-10-12	VYDAJ	PREVOD NA UCET	3400	51166	SIPO	OP	79923873
246822	848	1998-11-12	VYDAJ	PREVOD NA UCET	3400	50020	SIPO	OP	79923873
246823	848	1998-12-12	VYDAJ	PREVOD NA UCET	3400	55879	SIPO	OP	79923873
246835	848	1996-12-05	VYDAJ	PREVOD NA UCET	1590	22710	 	ST	72638684
246836	848	1997-01-05	VYDAJ	PREVOD NA UCET	1590	22458	 	ST	72638684
246837	848	1997-02-05	VYDAJ	PREVOD NA UCET	1590	10813	 	ST	72638684
246838	848	1997-03-05	VYDAJ	PREVOD NA UCET	1590	15487	 	ST	72638684
246839	848	1997-04-05	VYDAJ	PREVOD NA UCET	1590	12350	 	ST	72638684
246840	848	1997-05-05	VYDAJ	PREVOD NA UCET	1590	15927	 	ST	72638684
246841	848	1997-06-05	VYDAJ	PREVOD NA UCET	1590	12283	 	ST	72638684
246842	848	1997-07-05	VYDAJ	PREVOD NA UCET	1590	25256	 	ST	72638684
246843	848	1997-08-05	VYDAJ	PREVOD NA UCET	1590	30091	 	ST	72638684
246844	848	1997-09-05	VYDAJ	PREVOD NA UCET	1590	26731	 	ST	72638684
246845	848	1997-10-05	VYDAJ	PREVOD NA UCET	1590	27763	 	ST	72638684
246846	848	1997-11-05	VYDAJ	PREVOD NA UCET	1590	29599	 	ST	72638684
246847	848	1997-12-05	VYDAJ	PREVOD NA UCET	1590	36860	 	ST	72638684
246848	848	1998-01-05	VYDAJ	PREVOD NA UCET	1590	41070	 	ST	72638684
246849	848	1998-02-05	VYDAJ	PREVOD NA UCET	1590	25676	 	ST	72638684
246850	848	1998-03-05	VYDAJ	PREVOD NA UCET	1590	29008	 	ST	72638684
246851	848	1998-04-05	VYDAJ	PREVOD NA UCET	1590	35965	 	ST	72638684
246852	848	1998-05-05	VYDAJ	PREVOD NA UCET	1590	39139	 	ST	72638684
246853	848	1998-06-05	VYDAJ	PREVOD NA UCET	1590	42427	 	ST	72638684
246854	848	1998-07-05	VYDAJ	PREVOD NA UCET	1590	47099	 	ST	72638684
246855	848	1998-08-05	VYDAJ	PREVOD NA UCET	1590	40116	 	ST	72638684
246856	848	1998-09-05	VYDAJ	PREVOD NA UCET	1590	47108	 	ST	72638684
246857	848	1998-10-05	VYDAJ	PREVOD NA UCET	1590	45426	 	ST	72638684
246858	848	1998-11-05	VYDAJ	PREVOD NA UCET	1590	44280	 	ST	72638684
246859	848	1998-12-05	VYDAJ	PREVOD NA UCET	1590	45569	 	ST	72638684
246870	848	1996-11-13	VYDAJ	PREVOD NA UCET	1025	24200	POJISTNE	UV	7052839
246871	848	1996-12-13	VYDAJ	PREVOD NA UCET	1025	26595	POJISTNE	UV	7052839
246872	848	1997-01-13	VYDAJ	PREVOD NA UCET	1025	22773	POJISTNE	UV	7052839
246873	848	1997-02-13	VYDAJ	PREVOD NA UCET	1025	17028	POJISTNE	UV	7052839
246874	848	1997-03-13	VYDAJ	PREVOD NA UCET	1025	17602	POJISTNE	UV	7052839
246875	848	1997-04-13	VYDAJ	PREVOD NA UCET	1025	17465	POJISTNE	UV	7052839
246876	848	1997-05-13	VYDAJ	PREVOD NA UCET	1025	18742	POJISTNE	UV	7052839
246877	848	1997-06-13	VYDAJ	PREVOD NA UCET	1025	26768	POJISTNE	UV	7052839
246878	848	1997-07-13	VYDAJ	PREVOD NA UCET	1025	31571	POJISTNE	UV	7052839
246879	848	1997-08-13	VYDAJ	PREVOD NA UCET	1025	31206	POJISTNE	UV	7052839
246880	848	1997-09-13	VYDAJ	PREVOD NA UCET	1025	29246	POJISTNE	UV	7052839
246881	848	1997-10-13	VYDAJ	PREVOD NA UCET	1025	31078	POJISTNE	UV	7052839
246882	848	1997-11-13	VYDAJ	PREVOD NA UCET	1025	38314	POJISTNE	UV	7052839
246883	848	1997-12-13	VYDAJ	PREVOD NA UCET	1025	42505	POJISTNE	UV	7052839
246884	848	1998-01-13	VYDAJ	PREVOD NA UCET	1025	35065	POJISTNE	UV	7052839
246885	848	1998-02-13	VYDAJ	PREVOD NA UCET	1025	30491	POJISTNE	UV	7052839
246886	848	1998-03-13	VYDAJ	PREVOD NA UCET	1025	37423	POJISTNE	UV	7052839
246887	848	1998-04-13	VYDAJ	PREVOD NA UCET	1025	40580	POJISTNE	UV	7052839
246888	848	1998-05-13	VYDAJ	PREVOD NA UCET	1025	43854	POJISTNE	UV	7052839
246889	848	1998-06-13	VYDAJ	PREVOD NA UCET	1025	48512	POJISTNE	UV	7052839
246890	848	1998-07-13	VYDAJ	PREVOD NA UCET	1025	45614	POJISTNE	UV	7052839
246891	848	1998-08-13	VYDAJ	PREVOD NA UCET	1025	44831	POJISTNE	UV	7052839
246892	848	1998-09-13	VYDAJ	PREVOD NA UCET	1025	51823	POJISTNE	UV	7052839
246893	848	1998-10-13	VYDAJ	PREVOD NA UCET	1025	50141	POJISTNE	UV	7052839
246894	848	1998-11-13	VYDAJ	PREVOD NA UCET	1025	48995	POJISTNE	UV	7052839
246895	848	1998-12-13	VYDAJ	PREVOD NA UCET	1025	54854	POJISTNE	UV	7052839
246905	848	1997-01-03	VYDAJ	VYBER	2640	24048	\N	\N	\N
246906	848	1997-01-20	VYDAJ	VYBER	3120	19653	\N	\N	\N
246907	848	1997-01-05	VYDAJ	VYBER	600	21858	\N	\N	\N
246908	848	1997-01-24	VYDAJ	VYBER	2280	17373	\N	\N	\N
246910	848	1997-01-06	VYDAJ	VYBER	1800	20058	\N	\N	\N
246911	848	1998-01-08	VYDAJ	VYBER	1320	30350	\N	\N	\N
246912	848	1998-01-15	VYDAJ	VYBER	1200	32305	\N	\N	\N
246913	848	1998-01-14	VYDAJ	VYBER	1560	33505	\N	\N	\N
246914	848	1998-01-24	VYDAJ	VYBER	2880	29425	\N	\N	\N
246915	848	1998-01-05	VYDAJ	VYBER	3000	38070	\N	\N	\N
246916	848	1998-01-26	VYDAJ	VYBER	2280	27145	\N	\N	\N
246922	848	1997-01-27	VYDAJ	VYBER	5040	12333	\N	\N	\N
246923	848	1997-12-10	VYDAJ	VYBER	2040	33220	\N	\N	\N
246924	848	1997-09-03	VYDAJ	VYBER	3000	28321	\N	\N	\N
246925	848	1997-09-12	VYDAJ	VYBER	3000	33671	\N	\N	\N
246926	848	1997-03-27	VYDAJ	VYBER	3720	13882	\N	\N	\N
246927	848	1997-05-15	VYDAJ	VYBER	4920	13822	\N	\N	\N
246928	848	1998-12-02	VYDAJ	VYBER	5520	43659	\N	\N	\N
246929	848	1998-07-27	VYDAJ	VYBER	1680	43934	\N	\N	\N
246930	848	1998-10-26	VYDAJ	VYBER	1560	48581	\N	\N	\N
246942	848	1996-11-30	VYDAJ	VYBER	15	24300	SLUZBY	\N	\N
246943	848	1996-12-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
246944	848	1997-01-31	VYDAJ	VYBER	15	12403	SLUZBY	\N	\N
246945	848	1997-02-28	VYDAJ	VYBER	15	17077	SLUZBY	\N	\N
246946	848	1997-03-31	VYDAJ	VYBER	15	13940	SLUZBY	\N	\N
246947	848	1997-04-30	VYDAJ	VYBER	15	17517	SLUZBY	\N	\N
246948	848	1997-05-31	VYDAJ	VYBER	15	13873	SLUZBY	\N	\N
246949	848	1997-06-30	VYDAJ	VYBER	15	26846	SLUZBY	\N	\N
246950	848	1997-07-31	VYDAJ	VYBER	15	31681	SLUZBY	\N	\N
246951	848	1997-08-31	VYDAJ	VYBER	15	31321	SLUZBY	\N	\N
246952	848	1997-09-30	VYDAJ	VYBER	15	29353	SLUZBY	\N	\N
246953	848	1997-10-31	VYDAJ	VYBER	15	31189	SLUZBY	\N	\N
246954	848	1997-11-30	VYDAJ	VYBER	15	38450	SLUZBY	\N	\N
246955	848	1997-12-31	VYDAJ	VYBER	15	42660	SLUZBY	\N	\N
246956	848	1998-01-31	VYDAJ	VYBER	15	27266	SLUZBY	\N	\N
246957	848	1998-02-28	VYDAJ	VYBER	15	30598	SLUZBY	\N	\N
246958	848	1998-03-31	VYDAJ	VYBER	15	37555	SLUZBY	\N	\N
246959	848	1998-04-30	VYDAJ	VYBER	15	40729	SLUZBY	\N	\N
246960	848	1998-05-31	VYDAJ	VYBER	15	44017	SLUZBY	\N	\N
246961	848	1998-06-30	VYDAJ	VYBER	15	48689	SLUZBY	\N	\N
246962	848	1998-07-31	VYDAJ	VYBER	15	44106	SLUZBY	\N	\N
246963	848	1998-08-31	VYDAJ	VYBER	15	44998	SLUZBY	\N	\N
246964	848	1998-09-30	VYDAJ	VYBER	15	52016	SLUZBY	\N	\N
246965	848	1998-10-31	VYDAJ	VYBER	15	48770	SLUZBY	\N	\N
246966	848	1998-11-30	VYDAJ	VYBER	15	49179	SLUZBY	\N	\N
246967	848	1996-07-16	PRIJEM	VKLAD	5000	14940	\N	\N	\N
246968	848	1996-08-15	VYDAJ	VYBER	3300	20812	\N	\N	\N
246969	848	1996-09-14	VYDAJ	VYBER	4100	25928	\N	\N	\N
246970	848	1996-10-14	VYDAJ	VYBER	4900	30267	\N	\N	\N
246971	848	1996-11-13	VYDAJ	VYBER	10900	25225	\N	\N	\N
246972	848	1996-12-13	VYDAJ	VYBER	5400	27620	\N	\N	\N
246973	848	1997-01-12	VYDAJ	VYBER	2000	27198	\N	\N	\N
246974	848	1997-02-11	PRIJEM	VKLAD	1500	12313	\N	\N	\N
246975	848	1997-03-13	VYDAJ	VYBER	2600	18627	\N	\N	\N
246976	848	1997-04-12	PRIJEM	VKLAD	400	12750	\N	\N	\N
246977	848	1997-05-12	VYDAJ	VYBER	1900	19767	\N	\N	\N
246978	848	1997-06-11	PRIJEM	VKLAD	5200	17483	\N	\N	\N
246979	848	1997-07-11	PRIJEM	VKLAD	1600	26856	\N	\N	\N
246980	848	1997-08-10	VYDAJ	VYBER	3600	26491	\N	\N	\N
246981	848	1997-09-09	PRIJEM	VKLAD	800	27531	\N	\N	\N
246982	848	1997-10-09	VYDAJ	VYBER	1400	26363	\N	\N	\N
246983	848	1997-11-08	PRIJEM	VKLAD	4000	33599	\N	\N	\N
246984	848	1997-12-08	VYDAJ	VYBER	1600	35260	\N	\N	\N
246985	848	1998-01-07	VYDAJ	VYBER	6400	31670	\N	\N	\N
246986	848	1998-02-06	PRIJEM	VKLAD	100	25776	\N	\N	\N
246987	848	1998-03-08	PRIJEM	VKLAD	3700	32708	\N	\N	\N
246988	848	1998-04-07	VYDAJ	VYBER	100	35865	\N	\N	\N
246989	848	1998-06-06	VYDAJ	VYBER	3200	39227	\N	\N	\N
246990	848	1998-07-06	VYDAJ	VYBER	6200	40899	\N	\N	\N
246991	848	1998-08-05	VYDAJ	VYBER	2400	41706	\N	\N	\N
246992	848	1998-09-04	PRIJEM	VKLAD	3700	48698	\N	\N	\N
246993	848	1998-10-04	VYDAJ	VYBER	5000	47016	\N	\N	\N
246994	848	1998-11-03	VYDAJ	VYBER	2900	45870	\N	\N	\N
246995	848	1998-12-03	PRIJEM	VKLAD	3500	47159	\N	\N	\N
247026	849	1996-01-01	PRIJEM	VKLAD	600	600	\N	\N	\N
247027	849	1996-12-25	PRIJEM	VKLAD	33250	56533	\N	\N	\N
247028	849	1996-09-25	PRIJEM	VKLAD	33317	59380	\N	\N	\N
247029	849	1996-05-31	PRIJEM	VKLAD	38593	58247	\N	\N	\N
247030	849	1996-06-25	PRIJEM	VKLAD	15594	73841	\N	\N	\N
247031	849	1996-02-25	PRIJEM	VKLAD	6813	16714	\N	\N	\N
247032	849	1997-08-27	PRIJEM	VKLAD	48778	69381	\N	\N	\N
247033	849	1997-02-20	PRIJEM	VKLAD	19309	40315	\N	\N	\N
247034	849	1997-09-02	PRIJEM	VKLAD	24933	94426	\N	\N	\N
247035	849	1997-09-21	PRIJEM	VKLAD	15662	110088	\N	\N	\N
247036	849	1997-11-14	PRIJEM	VKLAD	45751	95772	\N	\N	\N
247037	849	1997-11-01	PRIJEM	VKLAD	10747	57743	\N	\N	\N
247038	849	1997-09-30	PRIJEM	VKLAD	25971	65514	\N	\N	\N
247039	849	1997-07-26	PRIJEM	VKLAD	7829	22857	\N	\N	\N
247040	849	1997-10-13	PRIJEM	VKLAD	45609	111108	\N	\N	\N
247041	849	1997-11-06	PRIJEM	VKLAD	12678	70421	\N	\N	\N
247042	849	1997-12-14	PRIJEM	VKLAD	27225	68509	\N	\N	\N
247043	849	1997-01-30	PRIJEM	VKLAD	8961	20958	\N	\N	\N
247044	849	1998-08-30	PRIJEM	VKLAD	27148	26807	\N	\N	\N
247045	849	1998-06-25	PRIJEM	VKLAD	6288	1065	\N	\N	\N
247048	849	1996-12-26	VYBER	VYBER	19873	36660	\N	\N	\N
247050	849	1997-03-29	VYBER	VYBER	22970	-1226	\N	\N	\N
247052	849	1997-03-22	VYBER	VYBER	13853	13944	\N	\N	\N
247053	849	1997-11-16	VYBER	VYBER	10215	85557	\N	\N	\N
247056	849	1998-09-27	VYBER	VYBER	10716	486	\N	\N	\N
247061	849	1997-06-11	VYDAJ	VYBER	12000	6272	\N	\N	\N
247064	849	1997-01-15	VYDAJ	VYBER	9600	5497	\N	\N	\N
247065	849	1998-01-02	VYDAJ	VYBER	13500	15978	\N	\N	\N
247066	849	1996-12-30	VYDAJ	VYBER	8700	14960	\N	\N	\N
247067	849	1997-12-07	VYDAJ	VYBER	2700	41284	\N	\N	\N
247068	849	1998-12-01	VYDAJ	VYBER	1500	-1400	\N	\N	\N
247071	849	1996-12-26	VYDAJ	VYBER	10800	25860	\N	\N	\N
247073	849	1997-12-20	VYDAJ	VYBER	9600	58909	\N	\N	\N
247074	849	1997-02-21	VYDAJ	VYBER	9300	31015	\N	\N	\N
247075	849	1997-11-08	VYDAJ	VYBER	14700	55721	\N	\N	\N
247076	849	1997-05-09	VYDAJ	VYBER	3600	6836	\N	\N	\N
247077	849	1997-11-10	VYDAJ	VYBER	5700	50021	\N	\N	\N
247081	849	1998-09-15	VYDAJ	VYBER	6900	16902	\N	\N	\N
247083	849	1998-08-30	VYDAJ	VYBER	3000	23807	\N	\N	\N
247096	849	1996-12-31	VYDAJ	VYBER	15	15097	SLUZBY	\N	\N
247097	849	1997-01-31	VYDAJ	VYBER	15	21006	SLUZBY	\N	\N
247098	849	1997-02-28	VYDAJ	VYBER	15	27797	SLUZBY	\N	\N
247099	849	1997-03-31	VYDAJ	VYBER	15	-1139	SLUZBY	\N	\N
247100	849	1997-04-30	VYDAJ	VYBER	15	10436	SLUZBY	\N	\N
247101	849	1997-05-31	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
247102	849	1997-06-30	VYDAJ	VYBER	15	12828	SLUZBY	\N	\N
247103	849	1997-07-31	VYDAJ	VYBER	15	22903	SLUZBY	\N	\N
247104	849	1997-08-31	VYDAJ	VYBER	15	69493	SLUZBY	\N	\N
247105	849	1997-09-30	VYDAJ	VYBER	15	65499	SLUZBY	\N	\N
247106	849	1997-10-31	VYDAJ	VYBER	15	46996	SLUZBY	\N	\N
247107	849	1997-11-30	VYDAJ	VYBER	15	43984	SLUZBY	\N	\N
247108	849	1997-12-31	VYDAJ	VYBER	15	29478	SLUZBY	\N	\N
247109	849	1998-01-31	VYDAJ	VYBER	15	6949	SLUZBY	\N	\N
247110	849	1998-02-28	VYDAJ	VYBER	15	1461	SLUZBY	\N	\N
247114	849	1998-06-30	VYDAJ	VYBER	15	1056	SLUZBY	\N	\N
247116	849	1998-08-31	VYDAJ	VYBER	15	23802	SLUZBY	\N	\N
247117	849	1998-09-30	VYDAJ	VYBER	15	539	SLUZBY	\N	\N
247118	849	1998-10-31	VYDAJ	VYBER	15	-675	SLUZBY	\N	\N
247119	849	1998-11-30	VYDAJ	VYBER	15	110	SLUZBY	\N	\N
247120	849	1996-01-31	PRIJEM	VKLAD	9300	9900	\N	\N	\N
247121	849	1996-03-01	PRIJEM	VKLAD	600	17356	\N	\N	\N
247122	849	1996-03-31	PRIJEM	VKLAD	700	18056	\N	\N	\N
247123	849	1996-04-30	VYDAJ	VYBER	500	17673	\N	\N	\N
247124	849	1996-05-30	PRIJEM	VKLAD	1900	19573	\N	\N	\N
247125	849	1996-06-29	VYDAJ	VYBER	27900	45941	\N	\N	\N
247126	849	1996-07-29	VYDAJ	VYBER	12800	33380	\N	\N	\N
247127	849	1996-08-28	VYDAJ	VYBER	7700	25872	\N	\N	\N
247128	849	1996-09-27	VYDAJ	VYBER	21400	37980	\N	\N	\N
247129	849	1996-10-27	VYDAJ	VYBER	11500	26667	\N	\N	\N
247130	849	1996-11-26	VYDAJ	VYBER	3700	23125	\N	\N	\N
247131	849	1996-12-26	VYDAJ	VYBER	2200	23660	\N	\N	\N
247132	849	1997-01-25	PRIJEM	VKLAD	6500	11997	\N	\N	\N
247133	849	1997-02-24	VYDAJ	VYBER	3300	27715	\N	\N	\N
247134	849	1997-03-26	PRIJEM	VKLAD	7800	21744	\N	\N	\N
247135	849	1997-04-25	PRIJEM	VKLAD	11600	10460	\N	\N	\N
247136	849	1997-05-25	PRIJEM	VKLAD	11400	18236	\N	\N	\N
247137	849	1997-06-24	PRIJEM	VKLAD	6500	12772	\N	\N	\N
247138	849	1997-07-24	PRIJEM	VKLAD	2200	15028	\N	\N	\N
247139	849	1997-08-23	VYDAJ	VYBER	2300	20603	\N	\N	\N
247140	849	1997-09-21	VYDAJ	VYBER	40700	69388	\N	\N	\N
247141	849	1997-09-22	VYDAJ	VYBER	30100	39288	\N	\N	\N
247142	849	1997-10-13	VYDAJ	VYBER	29500	81608	\N	\N	\N
247143	849	1997-10-22	VYDAJ	VYBER	34900	46708	\N	\N	\N
247144	849	1997-11-21	VYDAJ	VYBER	41800	43757	\N	\N	\N
247145	849	1997-12-21	VYDAJ	VYBER	29600	29309	\N	\N	\N
247146	849	1998-01-20	VYDAJ	VYBER	9100	6878	\N	\N	\N
247147	849	1998-02-19	VYDAJ	VYBER	5500	1449	\N	\N	\N
247148	849	1998-03-21	VYDAJ	VYBER	6800	-5339	\N	\N	\N
247149	849	1998-04-20	PRIJEM	VKLAD	1100	-4233	\N	\N	\N
247150	849	1998-05-20	VYDAJ	VYBER	600	-4828	\N	\N	\N
247151	849	1998-06-19	VYDAJ	VYBER	400	-5223	\N	\N	\N
247152	849	1998-07-19	VYDAJ	VYBER	4500	-3444	\N	\N	\N
247153	849	1998-08-18	PRIJEM	VKLAD	3100	-341	\N	\N	\N
247154	849	1998-09-17	VYDAJ	VYBER	5700	11202	\N	\N	\N
247155	849	1998-10-17	VYDAJ	VYBER	1200	-661	\N	\N	\N
247156	849	1998-11-16	PRIJEM	VKLAD	800	125	\N	\N	\N
247157	849	1998-12-16	PRIJEM	VKLAD	1000	-400	\N	\N	\N
247199	850	1997-03-07	PRIJEM	VKLAD	300	300	\N	\N	\N
247202	850	1997-03-14	PRIJEM	PREVOD Z UCTU	28838	29138	\N	QR	78112959
247203	850	1997-04-14	PRIJEM	PREVOD Z UCTU	28838	55147	\N	QR	78112959
247204	850	1997-05-14	PRIJEM	PREVOD Z UCTU	28838	67967	\N	QR	78112959
247205	850	1997-06-14	PRIJEM	PREVOD Z UCTU	43257	88285	\N	QR	78112959
247206	850	1997-07-14	PRIJEM	PREVOD Z UCTU	28838	81454	\N	QR	78112959
247207	850	1997-08-14	PRIJEM	PREVOD Z UCTU	28838	48203	\N	QR	78112959
247208	850	1997-09-14	PRIJEM	PREVOD Z UCTU	28838	48196	\N	QR	78112959
247209	850	1997-10-14	PRIJEM	PREVOD Z UCTU	28838	37969	\N	QR	78112959
247210	850	1997-11-14	PRIJEM	PREVOD Z UCTU	28838	41503	\N	QR	78112959
247211	850	1997-12-14	PRIJEM	PREVOD Z UCTU	43257	57976	\N	QR	78112959
247212	850	1998-01-14	PRIJEM	PREVOD Z UCTU	28838	41568	\N	QR	78112959
247213	850	1998-02-14	PRIJEM	PREVOD Z UCTU	28838	35403	\N	QR	78112959
247214	850	1998-03-14	PRIJEM	PREVOD Z UCTU	28838	32385	\N	QR	78112959
247215	850	1998-04-14	PRIJEM	PREVOD Z UCTU	28838	35396	\N	QR	78112959
247216	850	1998-05-14	PRIJEM	PREVOD Z UCTU	28838	32196	\N	QR	78112959
247217	850	1998-06-14	PRIJEM	PREVOD Z UCTU	43257	50325	\N	QR	78112959
247218	850	1998-07-14	PRIJEM	PREVOD Z UCTU	28838	42493	\N	QR	78112959
247219	850	1998-08-14	PRIJEM	PREVOD Z UCTU	28838	42453	\N	QR	78112959
247220	850	1998-09-14	PRIJEM	PREVOD Z UCTU	28838	34267	\N	QR	78112959
247221	850	1998-10-14	PRIJEM	PREVOD Z UCTU	28838	40093	\N	QR	78112959
247222	850	1998-11-14	PRIJEM	PREVOD Z UCTU	28838	37762	\N	QR	78112959
247223	850	1998-12-14	PRIJEM	PREVOD Z UCTU	43257	54619	\N	QR	78112959
247231	850	1997-08-07	VYDAJ	PREVOD NA UCET	14811	19365	SIPO	EF	23098129
247232	850	1997-09-07	VYDAJ	PREVOD NA UCET	14811	19358	SIPO	EF	23098129
247233	850	1997-10-07	VYDAJ	PREVOD NA UCET	14811	9131	SIPO	EF	23098129
247234	850	1997-11-07	VYDAJ	PREVOD NA UCET	14811	12665	SIPO	EF	23098129
247235	850	1997-12-07	VYDAJ	PREVOD NA UCET	14811	14719	SIPO	EF	23098129
247236	850	1998-01-07	VYDAJ	PREVOD NA UCET	14811	12730	SIPO	EF	23098129
247237	850	1998-02-07	VYDAJ	PREVOD NA UCET	14811	6565	SIPO	EF	23098129
247238	850	1998-03-07	VYDAJ	PREVOD NA UCET	14811	3547	SIPO	EF	23098129
247239	850	1998-04-07	VYDAJ	PREVOD NA UCET	14811	6558	SIPO	EF	23098129
247240	850	1998-05-07	VYDAJ	PREVOD NA UCET	14811	3358	SIPO	EF	23098129
247241	850	1998-06-07	VYDAJ	PREVOD NA UCET	14811	7068	SIPO	EF	23098129
247242	850	1998-07-07	VYDAJ	PREVOD NA UCET	14811	13655	SIPO	EF	23098129
247243	850	1998-08-07	VYDAJ	PREVOD NA UCET	14811	13615	SIPO	EF	23098129
247244	850	1998-09-07	VYDAJ	PREVOD NA UCET	14811	5429	SIPO	EF	23098129
247245	850	1998-10-07	VYDAJ	PREVOD NA UCET	14811	11255	SIPO	EF	23098129
247246	850	1998-11-07	VYDAJ	PREVOD NA UCET	14811	8924	SIPO	EF	23098129
247247	850	1998-12-07	VYDAJ	PREVOD NA UCET	14811	11362	SIPO	EF	23098129
247248	850	1997-07-17	VYBER	VYBER	3326	78128	\N	\N	\N
247258	850	1997-08-03	VYBER	VYBER	24182	54276	\N	\N	\N
247259	850	1997-09-18	VYBER	VYBER	12966	35230	\N	\N	\N
247261	850	1997-09-22	VYBER	VYBER	8912	26318	\N	\N	\N
247264	850	1998-02-17	VYBER	VYBER	14126	21277	\N	\N	\N
247266	850	1998-10-26	VYBER	VYBER	8174	31919	\N	\N	\N
247267	850	1998-08-25	VYBER	VYBER	14634	27819	\N	\N	\N
247269	850	1997-12-19	VYDAJ	VYBER	4800	53176	\N	\N	\N
247270	850	1998-12-15	VYDAJ	VYBER	6000	48619	\N	\N	\N
247278	850	1998-01-28	VYDAJ	VYBER	5700	22368	\N	\N	\N
247279	850	1998-01-23	VYDAJ	VYBER	5700	35868	\N	\N	\N
247281	850	1998-01-03	VYDAJ	VYBER	6600	27541	\N	\N	\N
247282	850	1998-01-24	VYDAJ	VYBER	5700	28068	\N	\N	\N
247289	850	1998-04-14	VYDAJ	VYBER	12300	23096	\N	\N	\N
247292	850	1998-01-23	VYDAJ	VYBER	2100	33768	\N	\N	\N
247301	850	1997-07-31	VYDAJ	VYBER	15	78458	SLUZBY	\N	\N
247302	850	1997-08-31	VYDAJ	VYBER	15	48369	SLUZBY	\N	\N
247303	850	1997-09-30	VYDAJ	VYBER	15	26442	SLUZBY	\N	\N
247304	850	1997-10-31	VYDAJ	VYBER	15	38076	SLUZBY	\N	\N
247305	850	1997-11-30	VYDAJ	VYBER	15	41630	SLUZBY	\N	\N
247306	850	1997-12-31	VYDAJ	VYBER	15	53341	SLUZBY	\N	\N
247307	850	1998-01-31	VYDAJ	VYBER	15	22476	SLUZBY	\N	\N
247308	850	1998-02-28	VYDAJ	VYBER	15	21358	SLUZBY	\N	\N
247309	850	1998-03-31	VYDAJ	VYBER	15	32469	SLUZBY	\N	\N
247310	850	1998-04-30	VYDAJ	VYBER	15	23169	SLUZBY	\N	\N
247311	850	1998-05-31	VYDAJ	VYBER	15	21879	SLUZBY	\N	\N
247312	850	1998-06-30	VYDAJ	VYBER	15	28466	SLUZBY	\N	\N
247313	850	1998-07-31	VYDAJ	VYBER	15	28426	SLUZBY	\N	\N
247314	850	1998-08-31	VYDAJ	VYBER	15	20240	SLUZBY	\N	\N
247315	850	1998-09-30	VYDAJ	VYBER	15	26066	SLUZBY	\N	\N
247316	850	1998-10-31	VYDAJ	VYBER	15	23735	SLUZBY	\N	\N
247317	850	1998-11-30	VYDAJ	VYBER	15	26173	SLUZBY	\N	\N
247318	850	1997-04-06	VYDAJ	VYBER	2900	26309	\N	\N	\N
247319	850	1997-05-06	VYDAJ	VYBER	16200	39129	\N	\N	\N
247320	850	1997-06-05	VYDAJ	VYBER	23200	45028	\N	\N	\N
247321	850	1997-07-05	VYDAJ	VYBER	36000	52616	\N	\N	\N
247322	850	1997-08-04	VYDAJ	VYBER	20100	34176	\N	\N	\N
247323	850	1997-09-03	VYDAJ	VYBER	14200	34169	\N	\N	\N
247324	850	1997-10-03	VYDAJ	VYBER	2500	23942	\N	\N	\N
247325	850	1997-11-02	VYDAJ	VYBER	10600	27476	\N	\N	\N
247326	850	1997-12-02	VYDAJ	VYBER	12100	29530	\N	\N	\N
247327	850	1998-01-01	VYDAJ	VYBER	19200	34141	\N	\N	\N
247328	850	1998-01-31	VYDAJ	VYBER	1100	21376	\N	\N	\N
247329	850	1998-03-02	VYDAJ	VYBER	3000	18358	\N	\N	\N
247330	850	1998-04-01	VYDAJ	VYBER	11100	21369	\N	\N	\N
247331	850	1998-05-01	VYDAJ	VYBER	5000	18169	\N	\N	\N
247332	850	1998-05-31	VYDAJ	VYBER	10400	21894	\N	\N	\N
247333	850	1998-06-30	VYDAJ	VYBER	22000	28480	\N	\N	\N
247334	850	1998-07-30	VYDAJ	VYBER	14200	28293	\N	\N	\N
247335	850	1998-08-29	VYDAJ	VYBER	7700	20119	\N	\N	\N
247336	850	1998-09-28	VYDAJ	VYBER	8300	25967	\N	\N	\N
247337	850	1998-10-28	VYDAJ	VYBER	8300	23619	\N	\N	\N
247338	850	1998-11-27	VYDAJ	VYBER	11700	26062	\N	\N	\N
247361	851	1994-09-23	PRIJEM	VKLAD	200	200	\N	\N	\N
247365	851	1994-12-15	PRIJEM	VKLAD	44325	73078	\N	\N	\N
247367	851	1994-09-28	PRIJEM	VKLAD	26575	26775	\N	\N	\N
247369	851	1994-10-28	PRIJEM	VKLAD	6521	31507	\N	\N	\N
247370	851	1995-10-31	PRIJEM	VKLAD	31885	78477	\N	\N	\N
247371	851	1995-05-26	PRIJEM	VKLAD	44746	85985	\N	\N	\N
247372	851	1995-01-22	PRIJEM	VKLAD	6129	40262	\N	\N	\N
247373	851	1995-05-07	PRIJEM	VKLAD	46754	117174	\N	\N	\N
247374	851	1995-10-18	PRIJEM	VKLAD	13504	67792	\N	\N	\N
247375	851	1995-12-05	PRIJEM	VKLAD	16823	81648	\N	\N	\N
247376	851	1995-04-23	PRIJEM	VKLAD	47366	70284	\N	\N	\N
247377	851	1995-01-25	PRIJEM	VKLAD	35781	76043	\N	\N	\N
247378	851	1995-07-11	PRIJEM	VKLAD	30802	60208	\N	\N	\N
247379	851	1995-11-05	PRIJEM	VKLAD	47040	153742	\N	\N	\N
247380	851	1995-11-04	PRIJEM	VKLAD	45147	123802	\N	\N	\N
247381	851	1995-05-28	PRIJEM	VKLAD	23237	109222	\N	\N	\N
247382	851	1995-02-13	PRIJEM	VKLAD	29748	101987	\N	\N	\N
247383	851	1995-01-27	PRIJEM	VKLAD	9121	76164	\N	\N	\N
247384	851	1995-12-07	PRIJEM	VKLAD	32980	114628	\N	\N	\N
247385	851	1995-10-04	PRIJEM	VKLAD	40698	64423	\N	\N	\N
247386	851	1995-02-17	PRIJEM	VKLAD	24514	69201	\N	\N	\N
247387	851	1995-08-08	PRIJEM	VKLAD	30617	78053	\N	\N	\N
247388	851	1995-07-20	PRIJEM	VKLAD	33828	74352	\N	\N	\N
247389	851	1995-11-07	PRIJEM	VKLAD	24815	147257	\N	\N	\N
247390	851	1996-05-04	PRIJEM	VKLAD	8129	111197	\N	\N	\N
247391	851	1996-09-21	PRIJEM	VKLAD	5555	54304	\N	\N	\N
247392	851	1996-04-30	PRIJEM	VKLAD	43660	64721	\N	\N	\N
247393	851	1996-10-04	PRIJEM	VKLAD	15540	70015	\N	\N	\N
247394	851	1996-01-10	PRIJEM	VKLAD	45392	70093	\N	\N	\N
247395	851	1996-05-31	PRIJEM	VKLAD	47939	119402	\N	\N	\N
247396	851	1996-05-01	PRIJEM	VKLAD	38267	103068	\N	\N	\N
247397	851	1996-11-28	PRIJEM	VKLAD	40353	88282	\N	\N	\N
247398	851	1996-05-18	PRIJEM	VKLAD	28815	74977	\N	\N	\N
247399	851	1996-07-08	PRIJEM	VKLAD	34665	57538	\N	\N	\N
247400	851	1996-09-19	PRIJEM	VKLAD	17102	48749	\N	\N	\N
247401	851	1996-05-20	PRIJEM	VKLAD	14616	89593	\N	\N	\N
247402	851	1996-10-17	PRIJEM	VKLAD	19942	68322	\N	\N	\N
247403	851	1996-08-10	PRIJEM	VKLAD	24640	92884	\N	\N	\N
247404	851	1996-08-20	PRIJEM	VKLAD	15342	43761	\N	\N	\N
247405	851	1996-07-29	PRIJEM	VKLAD	29933	71336	\N	\N	\N
247406	851	1997-03-05	PRIJEM	VKLAD	41579	81684	\N	\N	\N
247407	851	1997-08-09	PRIJEM	VKLAD	28644	67855	\N	\N	\N
247408	851	1997-09-02	PRIJEM	VKLAD	33579	109830	\N	\N	\N
247409	851	1997-03-10	PRIJEM	VKLAD	22586	118262	\N	\N	\N
247410	851	1997-10-31	PRIJEM	VKLAD	32515	72549	\N	\N	\N
247411	851	1997-02-01	PRIJEM	VKLAD	44141	97238	\N	\N	\N
247412	851	1997-10-02	PRIJEM	VKLAD	11724	71637	\N	\N	\N
247413	851	1997-09-27	PRIJEM	VKLAD	38984	121381	\N	\N	\N
247414	851	1997-12-17	PRIJEM	VKLAD	27911	50690	\N	\N	\N
247415	851	1997-07-25	PRIJEM	VKLAD	28069	56896	\N	\N	\N
247416	851	1997-10-29	PRIJEM	VKLAD	5284	40034	\N	\N	\N
247417	851	1997-06-20	PRIJEM	VKLAD	9893	35192	\N	\N	\N
247418	851	1997-03-08	PRIJEM	VKLAD	25946	98930	\N	\N	\N
247419	851	1997-08-18	PRIJEM	VKLAD	9015	75989	\N	\N	\N
247420	851	1997-03-27	PRIJEM	VKLAD	46536	96717	\N	\N	\N
247421	851	1997-07-02	PRIJEM	VKLAD	45815	81124	\N	\N	\N
247422	851	1997-09-10	PRIJEM	VKLAD	31122	90198	\N	\N	\N
247423	851	1997-01-30	PRIJEM	VKLAD	27518	52966	\N	\N	\N
247497	851	1995-02-08	VYDAJ	PREVOD NA UCET	3254	73120	SIPO	GH	75825410
247498	851	1995-03-08	VYDAJ	PREVOD NA UCET	3254	33607	SIPO	GH	75825410
247499	851	1995-04-08	VYDAJ	PREVOD NA UCET	3254	22699	SIPO	GH	75825410
247500	851	1995-05-08	VYDAJ	PREVOD NA UCET	3254	61920	SIPO	GH	75825410
247501	851	1995-06-08	VYDAJ	PREVOD NA UCET	3254	64814	SIPO	GH	75825410
247502	851	1995-07-08	VYDAJ	PREVOD NA UCET	3254	30287	SIPO	GH	75825410
247503	851	1995-08-08	VYDAJ	PREVOD NA UCET	3254	74799	SIPO	GH	75825410
247504	851	1995-09-08	VYDAJ	PREVOD NA UCET	3254	22410	SIPO	GH	75825410
247505	851	1995-10-08	VYDAJ	PREVOD NA UCET	3254	55169	SIPO	GH	75825410
247506	851	1995-11-08	VYDAJ	PREVOD NA UCET	3254	97967	SIPO	GH	75825410
247507	851	1995-12-08	VYDAJ	PREVOD NA UCET	3254	91974	SIPO	GH	75825410
247508	851	1996-01-08	VYDAJ	PREVOD NA UCET	3254	24701	SIPO	GH	75825410
247509	851	1996-02-08	VYDAJ	PREVOD NA UCET	3254	27017	SIPO	GH	75825410
247510	851	1996-03-08	VYDAJ	PREVOD NA UCET	3254	24986	SIPO	GH	75825410
247511	851	1996-04-08	VYDAJ	PREVOD NA UCET	3254	19842	SIPO	GH	75825410
247512	851	1996-05-08	VYDAJ	PREVOD NA UCET	3254	66243	SIPO	GH	75825410
247513	851	1996-06-08	VYDAJ	PREVOD NA UCET	3254	21533	SIPO	GH	75825410
247514	851	1996-07-08	VYDAJ	PREVOD NA UCET	3254	54284	SIPO	GH	75825410
247515	851	1996-08-08	VYDAJ	PREVOD NA UCET	3254	68244	SIPO	GH	75825410
247516	851	1996-09-08	VYDAJ	PREVOD NA UCET	3254	40728	SIPO	GH	75825410
247517	851	1996-10-08	VYDAJ	PREVOD NA UCET	3254	66761	SIPO	GH	75825410
247518	851	1996-11-08	VYDAJ	PREVOD NA UCET	3254	65310	SIPO	GH	75825410
247519	851	1996-12-08	VYDAJ	PREVOD NA UCET	3254	76557	SIPO	GH	75825410
247520	851	1997-01-08	VYDAJ	PREVOD NA UCET	3254	28229	SIPO	GH	75825410
247521	851	1997-02-08	VYDAJ	PREVOD NA UCET	3254	93984	SIPO	GH	75825410
247522	851	1997-03-08	VYDAJ	PREVOD NA UCET	3254	95676	SIPO	GH	75825410
247523	851	1997-04-08	VYDAJ	PREVOD NA UCET	3254	93720	SIPO	GH	75825410
247524	851	1997-05-08	VYDAJ	PREVOD NA UCET	3254	48944	SIPO	GH	75825410
247525	851	1997-06-08	VYDAJ	PREVOD NA UCET	3254	27523	SIPO	GH	75825410
247526	851	1997-07-08	VYDAJ	PREVOD NA UCET	3254	58722	SIPO	GH	75825410
247527	851	1997-08-08	VYDAJ	PREVOD NA UCET	3254	48111	SIPO	GH	75825410
247528	851	1997-09-08	VYDAJ	PREVOD NA UCET	3254	59076	SIPO	GH	75825410
247529	851	1997-10-08	VYDAJ	PREVOD NA UCET	3254	48483	SIPO	GH	75825410
247530	851	1997-11-08	VYDAJ	PREVOD NA UCET	3254	45370	SIPO	GH	75825410
247531	851	1997-12-08	VYDAJ	PREVOD NA UCET	3254	23660	SIPO	GH	75825410
247532	851	1998-01-08	VYDAJ	PREVOD NA UCET	3254	24536	SIPO	GH	75825410
247533	851	1998-02-08	VYDAJ	PREVOD NA UCET	3254	22595	SIPO	GH	75825410
247534	851	1998-03-08	VYDAJ	PREVOD NA UCET	3254	18236	SIPO	GH	75825410
247535	851	1998-04-08	VYDAJ	PREVOD NA UCET	3254	15461	SIPO	GH	75825410
247536	851	1998-05-08	VYDAJ	PREVOD NA UCET	3254	14772	SIPO	GH	75825410
247537	851	1998-06-08	VYDAJ	PREVOD NA UCET	3254	16879	SIPO	GH	75825410
247538	851	1998-07-08	VYDAJ	PREVOD NA UCET	3254	17491	SIPO	GH	75825410
247539	851	1998-08-08	VYDAJ	PREVOD NA UCET	3254	17308	SIPO	GH	75825410
247540	851	1998-09-08	VYDAJ	PREVOD NA UCET	3254	17624	SIPO	GH	75825410
247541	851	1998-10-08	VYDAJ	PREVOD NA UCET	3254	13541	SIPO	GH	75825410
247542	851	1998-11-08	VYDAJ	PREVOD NA UCET	3254	9446	SIPO	GH	75825410
247543	851	1998-12-08	VYDAJ	PREVOD NA UCET	3254	5334	SIPO	GH	75825410
247557	851	1995-02-10	VYDAJ	PREVOD NA UCET	881	72239	 	IJ	26014739
247558	851	1995-03-10	VYDAJ	PREVOD NA UCET	881	32726	 	IJ	26014739
247559	851	1995-04-10	VYDAJ	PREVOD NA UCET	881	21818	 	IJ	26014739
247560	851	1995-05-10	VYDAJ	PREVOD NA UCET	881	61039	 	IJ	26014739
247561	851	1995-06-10	VYDAJ	PREVOD NA UCET	881	63933	 	IJ	26014739
247562	851	1995-07-10	VYDAJ	PREVOD NA UCET	881	29406	 	IJ	26014739
247563	851	1995-08-10	VYDAJ	PREVOD NA UCET	881	67018	 	IJ	26014739
247564	851	1995-09-10	VYDAJ	PREVOD NA UCET	881	21529	 	IJ	26014739
247565	851	1995-10-10	VYDAJ	PREVOD NA UCET	881	54288	 	IJ	26014739
247566	851	1995-11-10	VYDAJ	PREVOD NA UCET	881	97086	 	IJ	26014739
247567	851	1995-12-10	VYDAJ	PREVOD NA UCET	881	91093	 	IJ	26014739
247568	851	1996-01-10	VYDAJ	PREVOD NA UCET	881	69212	 	IJ	26014739
247569	851	1996-02-10	VYDAJ	PREVOD NA UCET	881	26136	 	IJ	26014739
247570	851	1996-03-10	VYDAJ	PREVOD NA UCET	881	24105	 	IJ	26014739
247571	851	1996-04-10	VYDAJ	PREVOD NA UCET	881	18961	 	IJ	26014739
247572	851	1996-05-10	VYDAJ	PREVOD NA UCET	881	65362	 	IJ	26014739
247573	851	1996-06-10	VYDAJ	PREVOD NA UCET	881	20652	 	IJ	26014739
247574	851	1996-07-10	VYDAJ	PREVOD NA UCET	881	53403	 	IJ	26014739
247575	851	1996-08-10	VYDAJ	PREVOD NA UCET	881	92003	 	IJ	26014739
247576	851	1996-09-10	VYDAJ	PREVOD NA UCET	881	39847	 	IJ	26014739
247577	851	1996-10-10	VYDAJ	PREVOD NA UCET	881	65880	 	IJ	26014739
247578	851	1996-11-10	VYDAJ	PREVOD NA UCET	881	64429	 	IJ	26014739
247579	851	1996-12-10	VYDAJ	PREVOD NA UCET	881	75676	 	IJ	26014739
247580	851	1997-01-10	VYDAJ	PREVOD NA UCET	881	27848	 	IJ	26014739
247581	851	1997-02-10	VYDAJ	PREVOD NA UCET	881	63403	 	IJ	26014739
247582	851	1997-03-10	VYDAJ	PREVOD NA UCET	881	93081	 	IJ	26014739
247583	851	1997-04-10	VYDAJ	PREVOD NA UCET	881	92839	 	IJ	26014739
247584	851	1997-05-10	VYDAJ	PREVOD NA UCET	881	45863	 	IJ	26014739
247585	851	1997-06-10	VYDAJ	PREVOD NA UCET	881	30742	 	IJ	26014739
247586	851	1997-07-10	VYDAJ	PREVOD NA UCET	881	45341	 	IJ	26014739
247587	851	1997-08-10	VYDAJ	PREVOD NA UCET	881	66974	 	IJ	26014739
247588	851	1997-09-10	VYDAJ	PREVOD NA UCET	881	89317	 	IJ	26014739
247589	851	1997-10-10	VYDAJ	PREVOD NA UCET	881	47602	 	IJ	26014739
247590	851	1997-11-10	VYDAJ	PREVOD NA UCET	881	44489	 	IJ	26014739
247591	851	1997-12-10	VYDAJ	PREVOD NA UCET	881	22779	 	IJ	26014739
247592	851	1998-01-10	VYDAJ	PREVOD NA UCET	881	23655	 	IJ	26014739
247593	851	1998-02-10	VYDAJ	PREVOD NA UCET	881	21714	 	IJ	26014739
247594	851	1998-03-10	VYDAJ	PREVOD NA UCET	881	17355	 	IJ	26014739
247595	851	1998-04-10	VYDAJ	PREVOD NA UCET	881	14580	 	IJ	26014739
247596	851	1998-05-10	VYDAJ	PREVOD NA UCET	881	13891	 	IJ	26014739
247597	851	1998-06-10	VYDAJ	PREVOD NA UCET	881	15998	 	IJ	26014739
247598	851	1998-07-10	VYDAJ	PREVOD NA UCET	881	16610	 	IJ	26014739
247599	851	1998-08-10	VYDAJ	PREVOD NA UCET	881	16427	 	IJ	26014739
247600	851	1998-09-10	VYDAJ	PREVOD NA UCET	881	16743	 	IJ	26014739
247601	851	1998-10-10	VYDAJ	PREVOD NA UCET	881	12660	 	IJ	26014739
247602	851	1998-11-10	VYDAJ	PREVOD NA UCET	881	8565	 	IJ	26014739
247603	851	1998-12-10	VYDAJ	PREVOD NA UCET	881	4453	 	IJ	26014739
247613	851	1995-08-02	VYBER	VYBER	3528	47436	\N	\N	\N
247615	851	1995-11-07	VYBER	VYBER	23336	123921	\N	\N	\N
247616	851	1995-03-02	VYBER	VYBER	11482	36861	\N	\N	\N
247617	851	1995-08-28	VYBER	VYBER	8864	38854	\N	\N	\N
247618	851	1995-09-02	VYBER	VYBER	13402	25664	\N	\N	\N
247619	851	1995-07-17	VYBER	VYBER	19684	40524	\N	\N	\N
247620	851	1996-05-22	VYBER	VYBER	18437	71156	\N	\N	\N
247622	851	1996-08-18	VYBER	VYBER	9584	36219	\N	\N	\N
247623	851	1997-05-05	VYBER	VYBER	15744	52198	\N	\N	\N
247624	851	1997-05-28	VYBER	VYBER	15275	30588	\N	\N	\N
247625	851	1997-11-19	VYBER	VYBER	13649	30840	\N	\N	\N
247627	851	1997-03-04	VYBER	VYBER	10922	40105	\N	\N	\N
247628	851	1997-01-04	VYBER	VYBER	24549	31483	\N	\N	\N
247629	851	1997-07-03	VYBER	VYBER	19148	61976	\N	\N	\N
247630	851	1997-12-30	VYBER	VYBER	2642	48048	\N	\N	\N
247631	851	1997-07-14	VYBER	VYBER	16514	28827	\N	\N	\N
247633	851	1997-10-18	VYBER	VYBER	12852	34750	\N	\N	\N
247634	851	1997-09-19	VYBER	VYBER	6920	82397	\N	\N	\N
247635	851	1997-06-18	VYBER	VYBER	5443	25299	\N	\N	\N
247642	851	1995-06-19	VYDAJ	VYBER	19500	44433	\N	\N	\N
247643	851	1996-06-05	VYDAJ	VYBER	41700	24787	\N	\N	\N
247650	851	1998-01-02	VYDAJ	VYBER	9000	39190	\N	\N	\N
247652	851	1995-12-23	VYDAJ	VYBER	7500	53793	\N	\N	\N
247653	851	1996-12-08	VYDAJ	VYBER	8700	79811	\N	\N	\N
247668	851	1996-01-16	VYDAJ	VYBER	5700	55412	\N	\N	\N
247669	851	1996-01-30	VYDAJ	VYBER	4800	30112	\N	\N	\N
247670	851	1996-01-21	VYDAJ	VYBER	2100	37912	\N	\N	\N
247671	851	1996-01-30	VYDAJ	VYBER	3000	34912	\N	\N	\N
247672	851	1996-01-03	VYDAJ	VYBER	3000	27955	\N	\N	\N
247673	851	1996-01-15	VYDAJ	VYBER	8100	61112	\N	\N	\N
247677	851	1997-01-09	VYDAJ	VYBER	3000	25229	\N	\N	\N
247678	851	1997-01-19	VYDAJ	VYBER	2400	25448	\N	\N	\N
247683	851	1998-01-06	VYDAJ	VYBER	2700	27790	\N	\N	\N
247684	851	1998-01-03	VYDAJ	VYBER	2700	36490	\N	\N	\N
247691	851	1995-01-25	VYDAJ	VYBER	9000	67043	\N	\N	\N
247692	851	1995-05-25	VYDAJ	VYBER	3300	41239	\N	\N	\N
247693	851	1995-08-09	VYDAJ	VYBER	6900	67899	\N	\N	\N
247694	851	1995-10-07	VYDAJ	VYBER	6000	58423	\N	\N	\N
247695	851	1995-12-24	VYDAJ	VYBER	12300	41493	\N	\N	\N
247696	851	1996-08-18	VYDAJ	VYBER	7800	28419	\N	\N	\N
247697	851	1996-01-01	VYDAJ	VYBER	10800	30955	\N	\N	\N
247698	851	1996-03-23	VYDAJ	VYBER	3300	23005	\N	\N	\N
247699	851	1996-08-15	VYDAJ	VYBER	14400	45803	\N	\N	\N
247702	851	1997-02-19	VYDAJ	VYBER	12600	50803	\N	\N	\N
247703	851	1997-07-25	VYDAJ	VYBER	5700	51196	\N	\N	\N
247705	851	1997-03-13	VYDAJ	VYBER	13500	50181	\N	\N	\N
247706	851	1997-03-05	VYDAJ	VYBER	8700	72984	\N	\N	\N
247726	851	1995-01-31	VYDAJ	VYBER	15	76374	SLUZBY	\N	\N
247727	851	1995-02-28	VYDAJ	VYBER	15	48343	SLUZBY	\N	\N
247728	851	1995-03-31	VYDAJ	VYBER	15	25953	SLUZBY	\N	\N
247729	851	1995-04-30	VYDAJ	VYBER	15	70420	SLUZBY	\N	\N
247730	851	1995-05-31	VYDAJ	VYBER	15	68068	SLUZBY	\N	\N
247731	851	1995-06-30	VYDAJ	VYBER	15	33541	SLUZBY	\N	\N
247732	851	1995-07-31	VYDAJ	VYBER	15	50964	SLUZBY	\N	\N
247733	851	1995-08-31	VYDAJ	VYBER	15	39066	SLUZBY	\N	\N
247734	851	1995-09-30	VYDAJ	VYBER	15	23725	SLUZBY	\N	\N
247735	851	1995-10-31	VYDAJ	VYBER	15	78655	SLUZBY	\N	\N
247736	851	1995-11-30	VYDAJ	VYBER	15	64825	SLUZBY	\N	\N
247737	851	1995-12-31	VYDAJ	VYBER	15	41755	SLUZBY	\N	\N
247738	851	1996-01-31	VYDAJ	VYBER	15	30271	SLUZBY	\N	\N
247739	851	1996-02-29	VYDAJ	VYBER	15	28240	SLUZBY	\N	\N
247740	851	1996-03-31	VYDAJ	VYBER	15	23096	SLUZBY	\N	\N
247741	851	1996-04-30	VYDAJ	VYBER	15	64801	SLUZBY	\N	\N
247742	851	1996-05-31	VYDAJ	VYBER	15	66487	SLUZBY	\N	\N
247743	851	1996-06-30	VYDAJ	VYBER	15	22873	SLUZBY	\N	\N
247744	851	1996-07-31	VYDAJ	VYBER	15	71498	SLUZBY	\N	\N
247745	851	1996-08-31	VYDAJ	VYBER	15	43982	SLUZBY	\N	\N
247746	851	1996-09-30	VYDAJ	VYBER	15	54475	SLUZBY	\N	\N
247747	851	1996-10-31	VYDAJ	VYBER	15	68564	SLUZBY	\N	\N
247748	851	1996-11-30	VYDAJ	VYBER	15	88511	SLUZBY	\N	\N
247749	851	1996-12-31	VYDAJ	VYBER	15	56032	SLUZBY	\N	\N
247750	851	1997-01-31	VYDAJ	VYBER	15	53097	SLUZBY	\N	\N
247751	851	1997-02-28	VYDAJ	VYBER	15	51027	SLUZBY	\N	\N
247752	851	1997-03-31	VYDAJ	VYBER	15	96974	SLUZBY	\N	\N
247753	851	1997-04-30	VYDAJ	VYBER	15	67942	SLUZBY	\N	\N
247754	851	1997-05-31	VYDAJ	VYBER	15	30777	SLUZBY	\N	\N
247755	851	1997-06-30	VYDAJ	VYBER	15	35309	SLUZBY	\N	\N
247756	851	1997-07-31	VYDAJ	VYBER	15	51365	SLUZBY	\N	\N
247757	851	1997-08-31	VYDAJ	VYBER	15	76251	SLUZBY	\N	\N
247758	851	1997-09-30	VYDAJ	VYBER	15	59913	SLUZBY	\N	\N
247759	851	1997-10-31	VYDAJ	VYBER	15	72724	SLUZBY	\N	\N
247760	851	1997-11-30	VYDAJ	VYBER	15	31014	SLUZBY	\N	\N
247761	851	1997-12-31	VYDAJ	VYBER	15	48190	SLUZBY	\N	\N
247762	851	1998-01-31	VYDAJ	VYBER	15	23749	SLUZBY	\N	\N
247763	851	1998-02-28	VYDAJ	VYBER	15	21790	SLUZBY	\N	\N
247764	851	1998-03-31	VYDAJ	VYBER	15	17415	SLUZBY	\N	\N
247765	851	1998-04-30	VYDAJ	VYBER	15	14626	SLUZBY	\N	\N
247766	851	1998-05-31	VYDAJ	VYBER	15	13933	SLUZBY	\N	\N
247767	851	1998-06-30	VYDAJ	VYBER	15	16045	SLUZBY	\N	\N
247768	851	1998-07-31	VYDAJ	VYBER	15	16662	SLUZBY	\N	\N
247769	851	1998-08-31	VYDAJ	VYBER	15	16478	SLUZBY	\N	\N
247770	851	1998-09-30	VYDAJ	VYBER	15	16795	SLUZBY	\N	\N
247771	851	1998-10-31	VYDAJ	VYBER	15	12700	SLUZBY	\N	\N
247772	851	1998-11-30	VYDAJ	VYBER	15	8588	SLUZBY	\N	\N
247773	851	1994-10-23	VYDAJ	VYBER	1800	24986	\N	\N	\N
247774	851	1994-11-22	VYDAJ	VYBER	3000	28621	\N	\N	\N
247775	851	1994-12-22	VYDAJ	VYBER	23800	49278	\N	\N	\N
247776	851	1995-01-21	VYDAJ	VYBER	15300	34133	\N	\N	\N
247777	851	1995-02-13	VYDAJ	VYBER	57300	44687	\N	\N	\N
247778	851	1995-02-20	VYDAJ	VYBER	21100	48101	\N	\N	\N
247779	851	1995-03-22	VYDAJ	VYBER	6900	25826	\N	\N	\N
247780	851	1995-04-21	PRIJEM	VKLAD	1100	22918	\N	\N	\N
247781	851	1995-05-07	VYDAJ	VYBER	52000	65174	\N	\N	\N
247782	851	1995-05-21	VYDAJ	VYBER	16500	44539	\N	\N	\N
247783	851	1995-05-28	VYDAJ	VYBER	41400	67822	\N	\N	\N
247784	851	1995-06-20	VYDAJ	VYBER	11100	33333	\N	\N	\N
247785	851	1995-07-20	VYDAJ	VYBER	23600	50752	\N	\N	\N
247786	851	1995-08-19	VYDAJ	VYBER	19300	47718	\N	\N	\N
247787	851	1995-09-18	PRIJEM	VKLAD	2100	23629	\N	\N	\N
247788	851	1995-10-18	VYDAJ	VYBER	21200	46592	\N	\N	\N
247789	851	1995-11-04	VYDAJ	VYBER	17100	106702	\N	\N	\N
247790	851	1995-11-05	VYDAJ	VYBER	31300	122442	\N	\N	\N
247791	851	1995-11-07	VYDAJ	VYBER	22700	101221	\N	\N	\N
247792	851	1995-11-17	VYDAJ	VYBER	32600	64486	\N	\N	\N
247793	851	1995-12-07	VYDAJ	VYBER	19400	95228	\N	\N	\N
247794	851	1995-12-17	VYDAJ	VYBER	29800	61293	\N	\N	\N
247795	851	1996-01-16	VYDAJ	VYBER	15400	40012	\N	\N	\N
247796	851	1996-02-15	PRIJEM	VKLAD	2000	28136	\N	\N	\N
247797	851	1996-03-16	PRIJEM	VKLAD	2200	26305	\N	\N	\N
247798	851	1996-04-15	PRIJEM	VKLAD	2100	21061	\N	\N	\N
247799	851	1996-05-08	VYDAJ	VYBER	41700	69497	\N	\N	\N
247800	851	1996-05-15	VYDAJ	VYBER	19200	46162	\N	\N	\N
247801	851	1996-05-31	VYDAJ	VYBER	52900	66502	\N	\N	\N
247802	851	1996-06-14	PRIJEM	VKLAD	2100	22752	\N	\N	\N
247803	851	1996-07-14	VYDAJ	VYBER	12000	41403	\N	\N	\N
247804	851	1996-08-13	VYDAJ	VYBER	31800	60203	\N	\N	\N
247805	851	1996-09-12	VYDAJ	VYBER	8200	31647	\N	\N	\N
247806	851	1996-10-12	VYDAJ	VYBER	17500	48380	\N	\N	\N
247807	851	1996-11-11	VYDAJ	VYBER	16500	47929	\N	\N	\N
247808	851	1996-12-11	VYDAJ	VYBER	19900	55776	\N	\N	\N
247809	851	1997-01-10	PRIJEM	VKLAD	3500	28729	\N	\N	\N
247810	851	1997-02-09	VYDAJ	VYBER	29700	64284	\N	\N	\N
247811	851	1997-03-10	VYDAJ	VYBER	24300	93962	\N	\N	\N
247812	851	1997-03-11	VYDAJ	VYBER	29400	63681	\N	\N	\N
247813	851	1997-04-10	VYDAJ	VYBER	25200	67639	\N	\N	\N
247814	851	1997-05-10	VYDAJ	VYBER	2200	46744	\N	\N	\N
247815	851	1997-06-09	PRIJEM	VKLAD	4100	31623	\N	\N	\N
247816	851	1997-07-09	VYDAJ	VYBER	12500	46222	\N	\N	\N
247817	851	1997-08-08	VYDAJ	VYBER	8900	39211	\N	\N	\N
247818	851	1997-09-02	VYDAJ	VYBER	16500	93330	\N	\N	\N
247819	851	1997-09-07	VYDAJ	VYBER	31000	62330	\N	\N	\N
247820	851	1997-09-27	VYDAJ	VYBER	61800	59581	\N	\N	\N
247821	851	1997-10-07	VYDAJ	VYBER	19900	51737	\N	\N	\N
247822	851	1997-11-06	VYDAJ	VYBER	24100	48624	\N	\N	\N
247823	851	1997-12-06	VYDAJ	VYBER	4100	26914	\N	\N	\N
247824	851	1998-01-05	VYDAJ	VYBER	6000	30490	\N	\N	\N
247825	851	1998-02-04	PRIJEM	VKLAD	2100	25849	\N	\N	\N
247826	851	1998-03-06	VYDAJ	VYBER	300	21490	\N	\N	\N
247827	851	1998-04-05	PRIJEM	VKLAD	1300	18715	\N	\N	\N
247828	851	1998-05-05	PRIJEM	VKLAD	3400	18026	\N	\N	\N
247829	851	1998-06-04	PRIJEM	VKLAD	6200	20133	\N	\N	\N
247830	851	1998-07-04	PRIJEM	VKLAD	4700	20745	\N	\N	\N
247831	851	1998-08-03	PRIJEM	VKLAD	3900	20562	\N	\N	\N
247832	851	1998-09-02	PRIJEM	VKLAD	4400	20878	\N	\N	\N
247886	852	1997-10-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
247897	852	1997-11-13	PRIJEM	PREVOD Z UCTU	3123	4223	\N	ST	77168327
247898	852	1997-12-13	PRIJEM	PREVOD Z UCTU	3123	7346	\N	ST	77168327
247899	852	1998-01-13	PRIJEM	PREVOD Z UCTU	3123	10469	\N	ST	77168327
247900	852	1998-02-13	PRIJEM	PREVOD Z UCTU	3123	13592	\N	ST	77168327
247901	852	1998-03-13	PRIJEM	PREVOD Z UCTU	3123	16715	\N	ST	77168327
247902	852	1998-04-13	PRIJEM	PREVOD Z UCTU	3123	17744	\N	ST	77168327
247903	852	1998-05-13	PRIJEM	PREVOD Z UCTU	3123	18841	\N	ST	77168327
247904	852	1998-06-13	PRIJEM	PREVOD Z UCTU	3123	15714	\N	ST	77168327
247905	852	1998-07-13	PRIJEM	PREVOD Z UCTU	3123	16809	\N	ST	77168327
247906	852	1998-08-13	PRIJEM	PREVOD Z UCTU	3123	17903	\N	ST	77168327
247907	852	1998-09-13	PRIJEM	PREVOD Z UCTU	3123	19001	\N	ST	77168327
247908	852	1998-10-13	PRIJEM	PREVOD Z UCTU	3123	18902	\N	ST	77168327
247909	852	1998-11-13	PRIJEM	PREVOD Z UCTU	3123	18775	\N	ST	77168327
247910	852	1998-12-13	PRIJEM	PREVOD Z UCTU	3123	19879	\N	ST	77168327
247926	852	1998-04-08	VYDAJ	PREVOD NA UCET	69	16634	\N	GH	3289789
247927	852	1998-05-08	VYDAJ	PREVOD NA UCET	69	17731	\N	GH	3289789
247928	852	1998-06-08	VYDAJ	PREVOD NA UCET	69	18834	\N	GH	3289789
247929	852	1998-07-08	VYDAJ	PREVOD NA UCET	69	15699	\N	GH	3289789
247930	852	1998-08-08	VYDAJ	PREVOD NA UCET	69	16793	\N	GH	3289789
247931	852	1998-09-08	VYDAJ	PREVOD NA UCET	69	17891	\N	GH	3289789
247932	852	1998-10-08	VYDAJ	PREVOD NA UCET	69	17792	\N	GH	3289789
247933	852	1998-11-08	VYDAJ	PREVOD NA UCET	69	18895	\N	GH	3289789
247934	852	1998-12-08	VYDAJ	PREVOD NA UCET	69	18769	\N	GH	3289789
247950	852	1998-04-10	VYDAJ	PREVOD NA UCET	2013	14621	\N	KL	63201045
247951	852	1998-05-10	VYDAJ	PREVOD NA UCET	2013	15718	\N	KL	63201045
247952	852	1998-06-10	VYDAJ	PREVOD NA UCET	2013	16821	\N	KL	63201045
247953	852	1998-07-10	VYDAJ	PREVOD NA UCET	2013	13686	\N	KL	63201045
247954	852	1998-08-10	VYDAJ	PREVOD NA UCET	2013	14780	\N	KL	63201045
247955	852	1998-09-10	VYDAJ	PREVOD NA UCET	2013	15878	\N	KL	63201045
247956	852	1998-10-10	VYDAJ	PREVOD NA UCET	2013	15779	\N	KL	63201045
247957	852	1998-11-10	VYDAJ	PREVOD NA UCET	2013	16882	\N	KL	63201045
247958	852	1998-12-10	VYDAJ	PREVOD NA UCET	2013	16756	\N	KL	63201045
247960	852	1998-06-11	VYDAJ	VYBER	3570	13251	\N	\N	\N
247964	852	1998-12-26	VYDAJ	VYBER	870	18019	\N	\N	\N
247981	852	1998-06-12	VYDAJ	VYBER	660	12591	\N	\N	\N
247982	852	1998-11-11	VYDAJ	VYBER	1230	15652	\N	\N	\N
247983	852	1998-12-25	VYDAJ	VYBER	990	18889	\N	\N	\N
247999	852	1998-03-31	VYDAJ	VYBER	15	16703	SLUZBY	\N	\N
248000	852	1998-04-30	VYDAJ	VYBER	15	17800	SLUZBY	\N	\N
248001	852	1998-05-31	VYDAJ	VYBER	15	18903	SLUZBY	\N	\N
248002	852	1998-06-30	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
248003	852	1998-07-31	VYDAJ	VYBER	15	16862	SLUZBY	\N	\N
248004	852	1998-08-31	VYDAJ	VYBER	15	17960	SLUZBY	\N	\N
248005	852	1998-09-30	VYDAJ	VYBER	15	17861	SLUZBY	\N	\N
248006	852	1998-10-31	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
248007	852	1998-11-30	VYDAJ	VYBER	15	18838	SLUZBY	\N	\N
248008	852	1998-09-18	VYDAJ	VYBER	1200	17801	\N	\N	\N
248019	853	1996-03-20	PRIJEM	VKLAD	500	500	\N	\N	\N
248023	853	1996-04-05	PRIJEM	VKLAD	16457	16957	\N	\N	\N
248024	853	1996-05-05	PRIJEM	VKLAD	16457	34444	\N	\N	\N
248025	853	1996-06-05	PRIJEM	VKLAD	24686	55126	\N	\N	\N
248026	853	1996-07-05	PRIJEM	VKLAD	16457	58531	\N	\N	\N
248027	853	1996-08-05	PRIJEM	VKLAD	16457	59264	\N	\N	\N
248028	853	1996-09-05	PRIJEM	VKLAD	16457	59550	\N	\N	\N
248029	853	1996-10-05	PRIJEM	VKLAD	16457	59737	\N	\N	\N
248030	853	1996-11-05	PRIJEM	VKLAD	16457	57118	\N	\N	\N
248031	853	1996-12-05	PRIJEM	VKLAD	24686	66565	\N	\N	\N
248032	853	1997-01-05	PRIJEM	VKLAD	16457	63751	\N	\N	\N
248033	853	1997-02-05	PRIJEM	VKLAD	16457	53280	\N	\N	\N
248034	853	1997-03-05	PRIJEM	VKLAD	16457	55241	\N	\N	\N
248035	853	1997-04-05	PRIJEM	VKLAD	16457	55406	\N	\N	\N
248036	853	1997-05-05	PRIJEM	VKLAD	16457	56576	\N	\N	\N
248037	853	1997-06-05	PRIJEM	VKLAD	24686	65477	\N	\N	\N
248038	853	1997-07-05	PRIJEM	VKLAD	16457	44962	\N	\N	\N
248039	853	1997-08-05	PRIJEM	VKLAD	16457	54207	\N	\N	\N
248040	853	1997-09-05	PRIJEM	VKLAD	16457	56670	\N	\N	\N
248041	853	1997-10-05	PRIJEM	VKLAD	16457	59144	\N	\N	\N
248042	853	1997-11-05	PRIJEM	VKLAD	16457	59421	\N	\N	\N
248043	853	1997-12-05	PRIJEM	VKLAD	24686	69733	\N	\N	\N
248044	853	1998-01-05	PRIJEM	VKLAD	16457	58324	\N	\N	\N
248045	853	1998-02-05	PRIJEM	VKLAD	16457	38266	\N	\N	\N
248046	853	1998-03-05	PRIJEM	VKLAD	16457	48785	\N	\N	\N
248047	853	1998-04-05	PRIJEM	VKLAD	16457	56941	\N	\N	\N
248048	853	1998-05-05	PRIJEM	VKLAD	16457	58411	\N	\N	\N
248049	853	1998-06-05	PRIJEM	VKLAD	24686	69821	\N	\N	\N
248050	853	1998-07-05	PRIJEM	VKLAD	16457	35025	\N	\N	\N
248051	853	1998-08-05	PRIJEM	VKLAD	16457	43628	\N	\N	\N
248052	853	1998-09-05	PRIJEM	VKLAD	16457	45741	\N	\N	\N
248053	853	1998-10-05	PRIJEM	VKLAD	16457	44410	\N	\N	\N
248054	853	1998-11-05	PRIJEM	VKLAD	16457	42026	\N	\N	\N
248055	853	1998-12-05	PRIJEM	VKLAD	24686	52268	\N	\N	\N
248063	853	1996-08-08	VYDAJ	PREVOD NA UCET	4673	53213	SIPO	AB	85631608
248064	853	1996-09-08	VYDAJ	PREVOD NA UCET	4673	53499	SIPO	AB	85631608
248065	853	1996-10-08	VYDAJ	PREVOD NA UCET	4673	53686	SIPO	AB	85631608
248066	853	1996-11-08	VYDAJ	PREVOD NA UCET	4673	51067	SIPO	AB	85631608
248067	853	1996-12-08	VYDAJ	PREVOD NA UCET	4673	60514	SIPO	AB	85631608
248068	853	1997-01-08	VYDAJ	PREVOD NA UCET	4673	57700	SIPO	AB	85631608
248069	853	1997-02-08	VYDAJ	PREVOD NA UCET	4673	46629	SIPO	AB	85631608
248070	853	1997-03-08	VYDAJ	PREVOD NA UCET	4673	49190	SIPO	AB	85631608
248071	853	1997-04-08	VYDAJ	PREVOD NA UCET	4673	49355	SIPO	AB	85631608
248072	853	1997-05-08	VYDAJ	PREVOD NA UCET	4673	50525	SIPO	AB	85631608
248073	853	1997-06-08	VYDAJ	PREVOD NA UCET	4673	59426	SIPO	AB	85631608
248074	853	1997-07-08	VYDAJ	PREVOD NA UCET	4673	38911	SIPO	AB	85631608
248075	853	1997-08-08	VYDAJ	PREVOD NA UCET	4673	44356	SIPO	AB	85631608
248076	853	1997-09-08	VYDAJ	PREVOD NA UCET	4673	50619	SIPO	AB	85631608
248077	853	1997-10-08	VYDAJ	PREVOD NA UCET	4673	53093	SIPO	AB	85631608
248078	853	1997-11-08	VYDAJ	PREVOD NA UCET	4673	53370	SIPO	AB	85631608
248079	853	1997-12-08	VYDAJ	PREVOD NA UCET	4673	63682	SIPO	AB	85631608
248080	853	1998-01-08	VYDAJ	PREVOD NA UCET	4673	52273	SIPO	AB	85631608
248081	853	1998-02-08	VYDAJ	PREVOD NA UCET	4673	32215	SIPO	AB	85631608
248082	853	1998-03-08	VYDAJ	PREVOD NA UCET	4673	42734	SIPO	AB	85631608
248083	853	1998-04-08	VYDAJ	PREVOD NA UCET	4673	50890	SIPO	AB	85631608
248084	853	1998-05-08	VYDAJ	PREVOD NA UCET	4673	52360	SIPO	AB	85631608
248085	853	1998-06-08	VYDAJ	PREVOD NA UCET	4673	63770	SIPO	AB	85631608
248086	853	1998-07-08	VYDAJ	PREVOD NA UCET	4673	29074	SIPO	AB	85631608
248087	853	1998-08-08	VYDAJ	PREVOD NA UCET	4673	29177	SIPO	AB	85631608
248088	853	1998-09-08	VYDAJ	PREVOD NA UCET	4673	27850	SIPO	AB	85631608
248089	853	1998-10-08	VYDAJ	PREVOD NA UCET	4673	30259	SIPO	AB	85631608
248090	853	1998-11-08	VYDAJ	PREVOD NA UCET	4673	29275	SIPO	AB	85631608
248091	853	1998-12-08	VYDAJ	PREVOD NA UCET	4673	36417	SIPO	AB	85631608
248099	853	1996-08-06	VYDAJ	PREVOD NA UCET	1378	57886	 	QR	71826153
248100	853	1996-09-06	VYDAJ	PREVOD NA UCET	1378	58172	 	QR	71826153
248101	853	1996-10-06	VYDAJ	PREVOD NA UCET	1378	58359	 	QR	71826153
248102	853	1996-11-06	VYDAJ	PREVOD NA UCET	1378	55740	 	QR	71826153
248103	853	1996-12-06	VYDAJ	PREVOD NA UCET	1378	65187	 	QR	71826153
248104	853	1997-01-06	VYDAJ	PREVOD NA UCET	1378	62373	 	QR	71826153
248105	853	1997-02-06	VYDAJ	PREVOD NA UCET	1378	51302	 	QR	71826153
248106	853	1997-03-06	VYDAJ	PREVOD NA UCET	1378	53863	 	QR	71826153
248107	853	1997-04-06	VYDAJ	PREVOD NA UCET	1378	54028	 	QR	71826153
248108	853	1997-05-06	VYDAJ	PREVOD NA UCET	1378	55198	 	QR	71826153
248109	853	1997-06-06	VYDAJ	PREVOD NA UCET	1378	64099	 	QR	71826153
248110	853	1997-07-06	VYDAJ	PREVOD NA UCET	1378	43584	 	QR	71826153
248111	853	1997-08-06	VYDAJ	PREVOD NA UCET	1378	49029	 	QR	71826153
248112	853	1997-09-06	VYDAJ	PREVOD NA UCET	1378	55292	 	QR	71826153
248113	853	1997-10-06	VYDAJ	PREVOD NA UCET	1378	57766	 	QR	71826153
248114	853	1997-11-06	VYDAJ	PREVOD NA UCET	1378	58043	 	QR	71826153
248115	853	1997-12-06	VYDAJ	PREVOD NA UCET	1378	68355	 	QR	71826153
248116	853	1998-01-06	VYDAJ	PREVOD NA UCET	1378	56946	 	QR	71826153
248117	853	1998-02-06	VYDAJ	PREVOD NA UCET	1378	36888	 	QR	71826153
248118	853	1998-03-06	VYDAJ	PREVOD NA UCET	1378	47407	 	QR	71826153
248119	853	1998-04-06	VYDAJ	PREVOD NA UCET	1378	55563	 	QR	71826153
248120	853	1998-05-06	VYDAJ	PREVOD NA UCET	1378	57033	 	QR	71826153
248121	853	1998-06-06	VYDAJ	PREVOD NA UCET	1378	68443	 	QR	71826153
248122	853	1998-07-06	VYDAJ	PREVOD NA UCET	1378	33647	 	QR	71826153
248123	853	1998-08-06	VYDAJ	PREVOD NA UCET	1378	42250	 	QR	71826153
248124	853	1998-09-06	VYDAJ	PREVOD NA UCET	1378	36963	 	QR	71826153
248125	853	1998-10-06	VYDAJ	PREVOD NA UCET	1378	34932	 	QR	71826153
248126	853	1998-11-06	VYDAJ	PREVOD NA UCET	1378	33948	 	QR	71826153
248127	853	1998-12-06	VYDAJ	PREVOD NA UCET	1378	41090	 	QR	71826153
248129	853	1997-06-08	VYDAJ	VYBER	35840	23586	\N	\N	\N
248130	853	1998-06-15	VYDAJ	VYBER	30240	18430	\N	\N	\N
248132	853	1997-01-11	VYDAJ	VYBER	3680	52700	\N	\N	\N
248133	853	1998-01-29	VYDAJ	VYBER	14720	21653	\N	\N	\N
248134	853	1996-12-27	VYDAJ	VYBER	1600	47814	\N	\N	\N
248135	853	1997-12-16	VYDAJ	VYBER KARTOU	3400	44582	\N	\N	0
248136	853	1998-12-19	VYDAJ	VYBER	4480	31937	\N	\N	\N
248143	853	1997-01-29	VYDAJ	VYBER	3480	36640	\N	\N	\N
248144	853	1997-01-27	VYDAJ	VYBER	1920	40120	\N	\N	\N
248145	853	1997-01-22	VYDAJ	VYBER	1440	42040	\N	\N	\N
248146	853	1997-01-10	VYDAJ	VYBER	1320	56380	\N	\N	\N
248147	853	1997-01-18	VYDAJ	VYBER	2520	43480	\N	\N	\N
248148	853	1997-01-04	VYDAJ	VYBER	720	47294	\N	\N	\N
248149	853	1998-01-03	VYDAJ	VYBER KARTOU	2900	41867	\N	\N	0
248150	853	1998-01-28	VYDAJ	VYBER KARTOU	1700	36373	\N	\N	0
248151	853	1998-01-11	VYDAJ	VYBER KARTOU	1800	42373	\N	\N	0
248152	853	1998-01-25	VYDAJ	VYBER KARTOU	1100	38073	\N	\N	0
248153	853	1998-01-15	VYDAJ	VYBER KARTOU	800	39173	\N	\N	0
248154	853	1998-01-13	VYDAJ	VYBER KARTOU	2400	39973	\N	\N	0
248159	853	1996-11-17	VYDAJ	VYBER	2160	41707	\N	\N	\N
248160	853	1997-04-18	VYDAJ	VYBER KARTOU	1600	39955	\N	\N	0
248161	853	1997-08-05	VYDAJ	VYBER KARTOU	3800	50407	\N	\N	0
248162	853	1997-02-06	VYDAJ	VYBER	600	52680	\N	\N	\N
248163	853	1997-03-11	VYDAJ	VYBER KARTOU	2800	46390	\N	\N	0
248164	853	1998-09-07	VYDAJ	VYBER	4440	32523	\N	\N	\N
248165	853	1998-11-22	VYDAJ	VYBER KARTOU	1800	27475	\N	\N	0
248166	853	1998-11-04	VYDAJ	VYBER	4800	25569	\N	\N	\N
248167	853	1998-12-25	VYDAJ	VYBER	5520	26417	\N	\N	\N
248169	853	1998-04-15	VYDAJ	VYBER KARTOU	1300	41790	\N	\N	0
248170	853	1998-07-19	VYDAJ	VYBER KARTOU	2000	27074	\N	\N	0
248179	853	1996-08-31	VYDAJ	VYBER	15	43093	SLUZBY	\N	\N
248180	853	1996-09-30	VYDAJ	VYBER	15	43280	SLUZBY	\N	\N
248181	853	1996-10-31	VYDAJ	VYBER	15	40661	SLUZBY	\N	\N
248182	853	1996-11-30	VYDAJ	VYBER	15	41879	SLUZBY	\N	\N
248183	853	1996-12-31	VYDAJ	VYBER	15	48014	SLUZBY	\N	\N
248184	853	1997-01-31	VYDAJ	VYBER	15	36823	SLUZBY	\N	\N
248185	853	1997-02-28	VYDAJ	VYBER	15	38784	SLUZBY	\N	\N
248186	853	1997-03-31	VYDAJ	VYBER	15	38949	SLUZBY	\N	\N
248187	853	1997-04-30	VYDAJ	VYBER	15	40119	SLUZBY	\N	\N
248188	853	1997-05-31	VYDAJ	VYBER	15	40791	SLUZBY	\N	\N
248189	853	1997-06-30	VYDAJ	VYBER	15	28505	SLUZBY	\N	\N
248190	853	1997-07-31	VYDAJ	VYBER	15	37750	SLUZBY	\N	\N
248191	853	1997-08-31	VYDAJ	VYBER	15	40213	SLUZBY	\N	\N
248192	853	1997-09-30	VYDAJ	VYBER	15	42687	SLUZBY	\N	\N
248193	853	1997-10-31	VYDAJ	VYBER	15	42964	SLUZBY	\N	\N
248194	853	1997-11-30	VYDAJ	VYBER	15	45047	SLUZBY	\N	\N
248195	853	1997-12-31	VYDAJ	VYBER	15	44767	SLUZBY	\N	\N
248196	853	1998-01-31	VYDAJ	VYBER	15	21809	SLUZBY	\N	\N
248197	853	1998-02-28	VYDAJ	VYBER	15	32328	SLUZBY	\N	\N
248198	853	1998-03-31	VYDAJ	VYBER	15	40484	SLUZBY	\N	\N
248199	853	1998-04-30	VYDAJ	VYBER	15	41954	SLUZBY	\N	\N
248200	853	1998-05-31	VYDAJ	VYBER	15	45135	SLUZBY	\N	\N
248201	853	1998-06-30	VYDAJ	VYBER	15	18568	SLUZBY	\N	\N
248202	853	1998-07-31	VYDAJ	VYBER	15	27171	SLUZBY	\N	\N
248203	853	1998-08-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
248204	853	1998-09-30	VYDAJ	VYBER	15	27953	SLUZBY	\N	\N
248205	853	1998-10-31	VYDAJ	VYBER	15	30369	SLUZBY	\N	\N
248206	853	1998-11-30	VYDAJ	VYBER	15	27582	SLUZBY	\N	\N
248207	853	1996-04-19	PRIJEM	VKLAD	1000	17957	\N	\N	\N
248208	853	1996-05-19	VYDAJ	VYBER	4100	30344	\N	\N	\N
248209	853	1996-06-18	VYDAJ	VYBER	13200	41926	\N	\N	\N
248210	853	1996-07-18	VYDAJ	VYBER	15900	42631	\N	\N	\N
248211	853	1996-08-17	VYDAJ	VYBER	10300	42913	\N	\N	\N
248212	853	1996-09-16	VYDAJ	VYBER	10400	43099	\N	\N	\N
248213	853	1996-10-16	VYDAJ	VYBER	13200	40486	\N	\N	\N
248214	853	1996-11-15	VYDAJ	VYBER	7200	43867	\N	\N	\N
248215	853	1996-12-15	VYDAJ	VYBER	11100	49414	\N	\N	\N
248216	853	1997-01-14	VYDAJ	VYBER	6700	46000	\N	\N	\N
248217	853	1997-02-13	VYDAJ	VYBER	8000	38629	\N	\N	\N
248218	853	1997-03-15	VYDAJ	VYBER	7600	38790	\N	\N	\N
248219	853	1997-04-14	VYDAJ	VYBER	7800	41555	\N	\N	\N
248220	853	1997-05-14	VYDAJ	VYBER	9900	40625	\N	\N	\N
248221	853	1997-06-13	PRIJEM	VKLAD	4800	28386	\N	\N	\N
248222	853	1997-07-13	VYDAJ	VYBER KARTOU	1300	37611	\N	\N	0
248223	853	1997-08-12	VYDAJ	VYBER	4300	40056	\N	\N	\N
248224	853	1997-09-11	VYDAJ	VYBER	8100	42519	\N	\N	\N
248225	853	1997-10-11	VYDAJ	VYBER	10300	42793	\N	\N	\N
248226	853	1997-11-10	VYDAJ	VYBER	8500	44870	\N	\N	\N
248227	853	1997-12-10	VYDAJ	VYBER	15700	47982	\N	\N	\N
248228	853	1998-01-09	VYDAJ	VYBER	8100	44173	\N	\N	\N
248229	853	1998-03-10	VYDAJ	VYBER KARTOU	2400	40334	\N	\N	0
248230	853	1998-04-09	VYDAJ	VYBER	7800	43090	\N	\N	\N
248231	853	1998-05-09	VYDAJ	VYBER	7400	44960	\N	\N	\N
248232	853	1998-06-08	VYDAJ	VYBER	15100	48670	\N	\N	\N
248233	853	1998-07-08	PRIJEM	VKLAD	100	33747	\N	\N	\N
248234	853	1998-08-07	VYDAJ	VYBER	8400	33850	\N	\N	\N
248235	853	1998-09-06	VYDAJ	VYBER	7400	38341	\N	\N	\N
248236	853	1998-10-06	VYDAJ	VYBER	8100	36310	\N	\N	\N
248237	853	1998-11-05	VYDAJ	VYBER	6700	35326	\N	\N	\N
248238	853	1998-12-05	VYDAJ	VYBER	9800	42468	\N	\N	\N
248272	854	1993-09-21	PRIJEM	VKLAD	700	700	\N	\N	\N
248282	854	1993-10-08	PRIJEM	VKLAD	10405	11105	\N	\N	\N
248283	854	1993-11-08	PRIJEM	VKLAD	10405	27335	\N	\N	\N
248284	854	1993-12-08	PRIJEM	VKLAD	15608	40826	\N	\N	\N
248285	854	1994-01-08	PRIJEM	VKLAD	10405	41445	\N	\N	\N
248286	854	1994-02-08	PRIJEM	VKLAD	10405	43683	\N	\N	\N
248287	854	1994-03-08	PRIJEM	VKLAD	10405	40694	\N	\N	\N
248288	854	1994-04-08	PRIJEM	VKLAD	10405	37993	\N	\N	\N
248289	854	1994-05-08	PRIJEM	VKLAD	10405	39789	\N	\N	\N
248290	854	1994-06-08	PRIJEM	VKLAD	15608	43787	\N	\N	\N
248291	854	1994-07-08	PRIJEM	VKLAD	10405	40990	\N	\N	\N
248292	854	1994-08-08	PRIJEM	VKLAD	10405	39591	\N	\N	\N
248293	854	1994-09-08	PRIJEM	VKLAD	10405	39090	\N	\N	\N
248294	854	1994-10-08	PRIJEM	VKLAD	10405	34475	\N	\N	\N
248295	854	1994-11-08	PRIJEM	VKLAD	10405	37955	\N	\N	\N
248296	854	1994-12-08	PRIJEM	VKLAD	15608	42746	\N	\N	\N
248297	854	1995-01-08	PRIJEM	VKLAD	10405	36943	\N	\N	\N
248298	854	1995-02-08	PRIJEM	VKLAD	10405	34724	\N	\N	\N
248299	854	1995-03-08	PRIJEM	VKLAD	10405	30494	\N	\N	\N
248300	854	1995-04-08	PRIJEM	VKLAD	10405	30754	\N	\N	\N
248301	854	1995-05-08	PRIJEM	VKLAD	10405	32420	\N	\N	\N
248302	854	1995-06-08	PRIJEM	VKLAD	15608	41396	\N	\N	\N
248303	854	1995-07-08	PRIJEM	VKLAD	10405	36161	\N	\N	\N
248304	854	1995-08-08	PRIJEM	VKLAD	10405	36121	\N	\N	\N
248305	854	1995-09-08	PRIJEM	VKLAD	10405	27071	\N	\N	\N
248306	854	1995-10-08	PRIJEM	VKLAD	10405	26894	\N	\N	\N
248307	854	1995-11-08	PRIJEM	VKLAD	10405	27115	\N	\N	\N
248308	854	1995-12-08	PRIJEM	VKLAD	15608	32239	\N	\N	\N
248309	854	1996-01-08	PRIJEM	VKLAD	10405	25158	\N	\N	\N
248310	854	1996-02-08	PRIJEM	VKLAD	10405	25274	\N	\N	\N
248311	854	1996-03-08	PRIJEM	VKLAD	10405	26189	\N	\N	\N
248312	854	1996-04-08	PRIJEM	VKLAD	10405	29014	\N	\N	\N
248313	854	1996-05-08	PRIJEM	VKLAD	10405	28642	\N	\N	\N
248314	854	1996-06-08	PRIJEM	VKLAD	15608	35465	\N	\N	\N
248315	854	1996-07-08	PRIJEM	VKLAD	10405	30615	\N	\N	\N
248316	854	1996-08-08	PRIJEM	VKLAD	10405	28164	\N	\N	\N
248317	854	1996-09-08	PRIJEM	VKLAD	10405	30306	\N	\N	\N
248318	854	1996-10-08	PRIJEM	VKLAD	10405	29353	\N	\N	\N
248319	854	1996-11-08	PRIJEM	VKLAD	10405	26799	\N	\N	\N
248320	854	1996-12-08	PRIJEM	VKLAD	15608	29537	\N	\N	\N
248321	854	1997-01-08	PRIJEM	VKLAD	10405	33877	\N	\N	\N
248322	854	1997-02-08	PRIJEM	VKLAD	10405	23716	\N	\N	\N
248323	854	1997-03-08	PRIJEM	VKLAD	10405	24435	\N	\N	\N
248324	854	1997-04-08	PRIJEM	VKLAD	10405	23758	\N	\N	\N
248325	854	1997-05-08	PRIJEM	VKLAD	10405	24978	\N	\N	\N
248326	854	1997-06-08	PRIJEM	VKLAD	15608	28994	\N	\N	\N
248327	854	1997-07-08	PRIJEM	VKLAD	10405	29428	\N	\N	\N
248328	854	1997-08-08	PRIJEM	VKLAD	10405	27371	\N	\N	\N
248329	854	1997-09-08	PRIJEM	VKLAD	10405	26502	\N	\N	\N
248330	854	1997-10-08	PRIJEM	VKLAD	10405	26130	\N	\N	\N
248331	854	1997-11-08	PRIJEM	VKLAD	10405	26457	\N	\N	\N
248332	854	1997-12-08	PRIJEM	VKLAD	15608	30487	\N	\N	\N
248333	854	1998-01-08	PRIJEM	VKLAD	10405	26324	\N	\N	\N
248334	854	1998-02-08	PRIJEM	VKLAD	10405	26141	\N	\N	\N
248335	854	1998-03-08	PRIJEM	VKLAD	10405	30468	\N	\N	\N
248336	854	1998-04-08	PRIJEM	VKLAD	10405	34813	\N	\N	\N
248337	854	1998-05-08	PRIJEM	VKLAD	10405	24169	\N	\N	\N
248338	854	1998-06-08	PRIJEM	VKLAD	15608	33691	\N	\N	\N
248339	854	1998-07-08	PRIJEM	VKLAD	10405	38044	\N	\N	\N
248340	854	1998-08-08	PRIJEM	VKLAD	10405	38318	\N	\N	\N
248341	854	1998-09-08	PRIJEM	VKLAD	10405	37894	\N	\N	\N
248342	854	1998-10-08	PRIJEM	VKLAD	10405	38070	\N	\N	\N
248343	854	1998-11-08	PRIJEM	VKLAD	10405	42449	\N	\N	\N
248344	854	1998-12-08	PRIJEM	VKLAD	15608	52046	\N	\N	\N
248358	854	1994-02-10	VYDAJ	PREVOD NA UCET	382	43301	SIPO	AB	21777671
248359	854	1994-03-10	VYDAJ	PREVOD NA UCET	382	40312	SIPO	AB	21777671
248360	854	1994-04-10	VYDAJ	PREVOD NA UCET	382	37611	SIPO	AB	21777671
248361	854	1994-05-10	VYDAJ	PREVOD NA UCET	382	39407	SIPO	AB	21777671
248362	854	1994-06-10	VYDAJ	PREVOD NA UCET	382	42105	SIPO	AB	21777671
248363	854	1994-07-10	VYDAJ	PREVOD NA UCET	382	40608	SIPO	AB	21777671
248364	854	1994-08-10	VYDAJ	PREVOD NA UCET	382	39209	SIPO	AB	21777671
248365	854	1994-09-10	VYDAJ	PREVOD NA UCET	382	38708	SIPO	AB	21777671
248366	854	1994-10-10	VYDAJ	PREVOD NA UCET	382	32693	SIPO	AB	21777671
248367	854	1994-11-10	VYDAJ	PREVOD NA UCET	382	37573	SIPO	AB	21777671
248368	854	1994-12-10	VYDAJ	PREVOD NA UCET	382	42364	SIPO	AB	21777671
248369	854	1995-01-10	VYDAJ	PREVOD NA UCET	382	36561	SIPO	AB	21777671
248370	854	1995-02-10	VYDAJ	PREVOD NA UCET	382	34342	SIPO	AB	21777671
248371	854	1995-03-10	VYDAJ	PREVOD NA UCET	382	28412	SIPO	AB	21777671
248372	854	1995-04-10	VYDAJ	PREVOD NA UCET	382	30372	SIPO	AB	21777671
248373	854	1995-05-10	VYDAJ	PREVOD NA UCET	382	32038	SIPO	AB	21777671
248374	854	1995-06-10	VYDAJ	PREVOD NA UCET	382	41014	SIPO	AB	21777671
248375	854	1995-07-10	VYDAJ	PREVOD NA UCET	382	35779	SIPO	AB	21777671
248376	854	1995-08-10	VYDAJ	PREVOD NA UCET	382	35739	SIPO	AB	21777671
248377	854	1995-09-10	VYDAJ	PREVOD NA UCET	382	26689	SIPO	AB	21777671
248378	854	1995-10-10	VYDAJ	PREVOD NA UCET	382	26512	SIPO	AB	21777671
248379	854	1995-11-10	VYDAJ	PREVOD NA UCET	382	22333	SIPO	AB	21777671
248380	854	1995-12-10	VYDAJ	PREVOD NA UCET	382	31857	SIPO	AB	21777671
248381	854	1996-01-10	VYDAJ	PREVOD NA UCET	382	23276	SIPO	AB	21777671
248382	854	1996-02-10	VYDAJ	PREVOD NA UCET	382	21492	SIPO	AB	21777671
248383	854	1996-03-10	VYDAJ	PREVOD NA UCET	382	24307	SIPO	AB	21777671
248384	854	1996-04-10	VYDAJ	PREVOD NA UCET	382	23932	SIPO	AB	21777671
248385	854	1996-05-10	VYDAJ	PREVOD NA UCET	382	21860	SIPO	AB	21777671
248386	854	1996-06-10	VYDAJ	PREVOD NA UCET	382	35083	SIPO	AB	21777671
248387	854	1996-07-10	VYDAJ	PREVOD NA UCET	382	30233	SIPO	AB	21777671
248388	854	1996-08-10	VYDAJ	PREVOD NA UCET	382	27782	SIPO	AB	21777671
248389	854	1996-09-10	VYDAJ	PREVOD NA UCET	382	29924	SIPO	AB	21777671
248390	854	1996-10-10	VYDAJ	PREVOD NA UCET	382	28971	SIPO	AB	21777671
248391	854	1996-11-10	VYDAJ	PREVOD NA UCET	382	26417	SIPO	AB	21777671
248392	854	1996-12-10	VYDAJ	PREVOD NA UCET	382	29155	SIPO	AB	21777671
248393	854	1997-01-10	VYDAJ	PREVOD NA UCET	382	33495	SIPO	AB	21777671
248394	854	1997-02-10	VYDAJ	PREVOD NA UCET	382	23334	SIPO	AB	21777671
248395	854	1997-03-10	VYDAJ	PREVOD NA UCET	382	24053	SIPO	AB	21777671
248396	854	1997-04-10	VYDAJ	PREVOD NA UCET	382	23376	SIPO	AB	21777671
248397	854	1997-05-10	VYDAJ	PREVOD NA UCET	382	24596	SIPO	AB	21777671
248398	854	1997-06-10	VYDAJ	PREVOD NA UCET	382	28612	SIPO	AB	21777671
248399	854	1997-07-10	VYDAJ	PREVOD NA UCET	382	29046	SIPO	AB	21777671
248400	854	1997-08-10	VYDAJ	PREVOD NA UCET	382	26989	SIPO	AB	21777671
248401	854	1997-09-10	VYDAJ	PREVOD NA UCET	382	26120	SIPO	AB	21777671
248402	854	1997-10-10	VYDAJ	PREVOD NA UCET	382	25748	SIPO	AB	21777671
248403	854	1997-11-10	VYDAJ	PREVOD NA UCET	382	26075	SIPO	AB	21777671
248404	854	1997-12-10	VYDAJ	PREVOD NA UCET	382	30105	SIPO	AB	21777671
248405	854	1998-01-10	VYDAJ	PREVOD NA UCET	382	25942	SIPO	AB	21777671
248406	854	1998-02-10	VYDAJ	PREVOD NA UCET	382	25759	SIPO	AB	21777671
248407	854	1998-03-10	VYDAJ	PREVOD NA UCET	382	30086	SIPO	AB	21777671
248408	854	1998-04-10	VYDAJ	PREVOD NA UCET	382	34431	SIPO	AB	21777671
248409	854	1998-05-10	VYDAJ	PREVOD NA UCET	382	23787	SIPO	AB	21777671
248410	854	1998-06-10	VYDAJ	PREVOD NA UCET	382	33309	SIPO	AB	21777671
248411	854	1998-07-10	VYDAJ	PREVOD NA UCET	382	37662	SIPO	AB	21777671
248412	854	1998-08-10	VYDAJ	PREVOD NA UCET	382	37936	SIPO	AB	21777671
248413	854	1998-09-10	VYDAJ	PREVOD NA UCET	382	37512	SIPO	AB	21777671
248414	854	1998-10-10	VYDAJ	PREVOD NA UCET	382	37688	SIPO	AB	21777671
248415	854	1998-11-10	VYDAJ	PREVOD NA UCET	382	42067	SIPO	AB	21777671
248416	854	1998-12-10	VYDAJ	PREVOD NA UCET	382	51664	SIPO	AB	21777671
248431	854	1994-03-05	VYDAJ	PREVOD NA UCET	1105	30289	 	KL	41849011
248432	854	1994-04-05	VYDAJ	PREVOD NA UCET	1105	27588	 	KL	41849011
248433	854	1994-05-05	VYDAJ	PREVOD NA UCET	1105	29384	 	KL	41849011
248434	854	1994-06-05	VYDAJ	PREVOD NA UCET	1105	28179	 	KL	41849011
248435	854	1994-07-05	VYDAJ	PREVOD NA UCET	1105	30585	 	KL	41849011
248436	854	1994-08-05	VYDAJ	PREVOD NA UCET	1105	29186	 	KL	41849011
248437	854	1994-09-05	VYDAJ	PREVOD NA UCET	1105	28685	 	KL	41849011
248438	854	1994-10-05	VYDAJ	PREVOD NA UCET	1105	24070	 	KL	41849011
248439	854	1994-11-05	VYDAJ	PREVOD NA UCET	1105	27550	 	KL	41849011
248440	854	1994-12-05	VYDAJ	PREVOD NA UCET	1105	27138	 	KL	41849011
248441	854	1995-01-05	VYDAJ	PREVOD NA UCET	1105	26538	 	KL	41849011
248442	854	1995-02-05	VYDAJ	PREVOD NA UCET	1105	24319	 	KL	41849011
248443	854	1995-03-05	VYDAJ	PREVOD NA UCET	1105	20089	 	KL	41849011
248444	854	1995-04-05	VYDAJ	PREVOD NA UCET	1105	22049	 	KL	41849011
248445	854	1995-05-05	VYDAJ	PREVOD NA UCET	1105	22015	 	KL	41849011
248446	854	1995-06-05	VYDAJ	PREVOD NA UCET	1105	25788	 	KL	41849011
248447	854	1995-07-05	VYDAJ	PREVOD NA UCET	1105	25756	 	KL	41849011
248448	854	1995-08-05	VYDAJ	PREVOD NA UCET	1105	25716	 	KL	41849011
248449	854	1995-09-05	VYDAJ	PREVOD NA UCET	1105	20466	 	KL	41849011
248450	854	1995-10-05	VYDAJ	PREVOD NA UCET	1105	16489	 	KL	41849011
248451	854	1995-11-05	VYDAJ	PREVOD NA UCET	1105	16710	 	KL	41849011
248452	854	1995-12-05	VYDAJ	PREVOD NA UCET	1105	16631	 	KL	41849011
248453	854	1996-01-05	VYDAJ	PREVOD NA UCET	1105	14753	 	KL	41849011
248454	854	1996-02-05	VYDAJ	PREVOD NA UCET	1105	14869	 	KL	41849011
248455	854	1996-03-05	VYDAJ	PREVOD NA UCET	1105	15784	 	KL	41849011
248456	854	1996-04-05	VYDAJ	PREVOD NA UCET	1105	18609	 	KL	41849011
248457	854	1996-05-05	VYDAJ	PREVOD NA UCET	1105	18237	 	KL	41849011
248458	854	1996-06-05	VYDAJ	PREVOD NA UCET	1105	16157	 	KL	41849011
248459	854	1996-07-05	VYDAJ	PREVOD NA UCET	1105	22810	 	KL	41849011
248460	854	1996-08-05	VYDAJ	PREVOD NA UCET	1105	24559	 	KL	41849011
248461	854	1996-09-05	VYDAJ	PREVOD NA UCET	1105	19901	 	KL	41849011
248462	854	1996-10-05	VYDAJ	PREVOD NA UCET	1105	24248	 	KL	41849011
248463	854	1996-11-05	VYDAJ	PREVOD NA UCET	1105	16394	 	KL	41849011
248464	854	1996-12-05	VYDAJ	PREVOD NA UCET	1105	13929	 	KL	41849011
248465	854	1997-01-05	VYDAJ	PREVOD NA UCET	1105	23472	 	KL	41849011
248466	854	1997-02-05	VYDAJ	PREVOD NA UCET	1105	13311	 	KL	41849011
248467	854	1997-03-05	VYDAJ	PREVOD NA UCET	1105	14030	 	KL	41849011
248468	854	1997-04-05	VYDAJ	PREVOD NA UCET	1105	13353	 	KL	41849011
248469	854	1997-05-05	VYDAJ	PREVOD NA UCET	1105	14573	 	KL	41849011
248470	854	1997-06-05	VYDAJ	PREVOD NA UCET	1105	13386	 	KL	41849011
248471	854	1997-07-05	VYDAJ	PREVOD NA UCET	1105	19023	 	KL	41849011
248472	854	1997-08-05	VYDAJ	PREVOD NA UCET	1105	16966	 	KL	41849011
248473	854	1997-09-05	VYDAJ	PREVOD NA UCET	1105	16097	 	KL	41849011
248474	854	1997-10-05	VYDAJ	PREVOD NA UCET	1105	15725	 	KL	41849011
248475	854	1997-11-05	VYDAJ	PREVOD NA UCET	1105	16052	 	KL	41849011
248476	854	1997-12-05	VYDAJ	PREVOD NA UCET	1105	14879	 	KL	41849011
248477	854	1998-01-05	VYDAJ	PREVOD NA UCET	1105	15919	 	KL	41849011
248478	854	1998-02-05	VYDAJ	PREVOD NA UCET	1105	15736	 	KL	41849011
248479	854	1998-03-05	VYDAJ	PREVOD NA UCET	1105	20063	 	KL	41849011
248480	854	1998-04-05	VYDAJ	PREVOD NA UCET	1105	24408	 	KL	41849011
248481	854	1998-05-05	VYDAJ	PREVOD NA UCET	1105	13764	 	KL	41849011
248482	854	1998-06-05	VYDAJ	PREVOD NA UCET	1105	18083	 	KL	41849011
248483	854	1998-07-05	VYDAJ	PREVOD NA UCET	1105	27639	 	KL	41849011
248484	854	1998-08-05	VYDAJ	PREVOD NA UCET	1105	29313	 	KL	41849011
248485	854	1998-09-05	VYDAJ	PREVOD NA UCET	1105	27489	 	KL	41849011
248486	854	1998-10-05	VYDAJ	PREVOD NA UCET	1105	31865	 	KL	41849011
248487	854	1998-11-05	VYDAJ	PREVOD NA UCET	1105	32044	 	KL	41849011
248488	854	1998-12-05	VYDAJ	PREVOD NA UCET	1105	36438	 	KL	41849011
248502	854	1994-02-14	VYDAJ	PREVOD NA UCET	2843	40458	POJISTNE	IJ	6306148
248503	854	1994-03-14	VYDAJ	PREVOD NA UCET	2843	37469	POJISTNE	IJ	6306148
248504	854	1994-04-14	VYDAJ	PREVOD NA UCET	2843	34768	POJISTNE	IJ	6306148
248505	854	1994-05-14	VYDAJ	PREVOD NA UCET	2843	35264	POJISTNE	IJ	6306148
248506	854	1994-06-14	VYDAJ	PREVOD NA UCET	2843	39262	POJISTNE	IJ	6306148
248507	854	1994-07-14	VYDAJ	PREVOD NA UCET	2843	36165	POJISTNE	IJ	6306148
248508	854	1994-08-14	VYDAJ	PREVOD NA UCET	2843	36366	POJISTNE	IJ	6306148
248509	854	1994-09-14	VYDAJ	PREVOD NA UCET	2843	35865	POJISTNE	IJ	6306148
248510	854	1994-10-14	VYDAJ	PREVOD NA UCET	2843	29850	POJISTNE	IJ	6306148
248511	854	1994-11-14	VYDAJ	PREVOD NA UCET	2843	34730	POJISTNE	IJ	6306148
248512	854	1994-12-14	VYDAJ	PREVOD NA UCET	2843	39521	POJISTNE	IJ	6306148
248513	854	1995-01-14	VYDAJ	PREVOD NA UCET	2843	31618	POJISTNE	IJ	6306148
248514	854	1995-02-14	VYDAJ	PREVOD NA UCET	2843	25299	POJISTNE	IJ	6306148
248515	854	1995-03-14	VYDAJ	PREVOD NA UCET	2843	25569	POJISTNE	IJ	6306148
248516	854	1995-04-14	VYDAJ	PREVOD NA UCET	2843	25029	POJISTNE	IJ	6306148
248517	854	1995-05-14	VYDAJ	PREVOD NA UCET	2843	26795	POJISTNE	IJ	6306148
248518	854	1995-06-14	VYDAJ	PREVOD NA UCET	2843	26754	POJISTNE	IJ	6306148
248519	854	1995-07-14	VYDAJ	PREVOD NA UCET	2843	26719	POJISTNE	IJ	6306148
248520	854	1995-08-14	VYDAJ	PREVOD NA UCET	2843	24279	POJISTNE	IJ	6306148
248521	854	1995-09-14	VYDAJ	PREVOD NA UCET	2843	17529	POJISTNE	IJ	6306148
248522	854	1995-10-14	VYDAJ	PREVOD NA UCET	2843	17752	POJISTNE	IJ	6306148
248523	854	1995-11-14	VYDAJ	PREVOD NA UCET	2843	17673	POJISTNE	IJ	6306148
248524	854	1995-12-14	VYDAJ	PREVOD NA UCET	2843	15797	POJISTNE	IJ	6306148
248525	854	1996-01-14	VYDAJ	PREVOD NA UCET	2843	17716	POJISTNE	IJ	6306148
248526	854	1996-02-14	VYDAJ	PREVOD NA UCET	2843	16832	POJISTNE	IJ	6306148
248527	854	1996-03-14	VYDAJ	PREVOD NA UCET	2843	19647	POJISTNE	IJ	6306148
248528	854	1996-04-14	VYDAJ	PREVOD NA UCET	2843	19272	POJISTNE	IJ	6306148
248529	854	1996-05-14	VYDAJ	PREVOD NA UCET	2843	17200	POJISTNE	IJ	6306148
248530	854	1996-06-14	VYDAJ	PREVOD NA UCET	2843	29023	POJISTNE	IJ	6306148
248531	854	1996-07-14	VYDAJ	PREVOD NA UCET	2843	25573	POJISTNE	IJ	6306148
248532	854	1996-08-14	VYDAJ	PREVOD NA UCET	2843	23122	POJISTNE	IJ	6306148
248533	854	1996-09-14	VYDAJ	PREVOD NA UCET	2843	25264	POJISTNE	IJ	6306148
248534	854	1996-10-14	VYDAJ	PREVOD NA UCET	2843	24311	POJISTNE	IJ	6306148
248535	854	1996-11-14	VYDAJ	PREVOD NA UCET	2843	21757	POJISTNE	IJ	6306148
248536	854	1996-12-14	VYDAJ	PREVOD NA UCET	2843	24495	POJISTNE	IJ	6306148
248537	854	1997-01-14	VYDAJ	PREVOD NA UCET	2843	26835	POJISTNE	IJ	6306148
248538	854	1997-02-14	VYDAJ	PREVOD NA UCET	2843	18674	POJISTNE	IJ	6306148
248539	854	1997-03-14	VYDAJ	PREVOD NA UCET	2843	19393	POJISTNE	IJ	6306148
248540	854	1997-04-14	VYDAJ	PREVOD NA UCET	2843	18716	POJISTNE	IJ	6306148
248541	854	1997-05-14	VYDAJ	PREVOD NA UCET	2843	19936	POJISTNE	IJ	6306148
248542	854	1997-06-14	VYDAJ	PREVOD NA UCET	2843	23952	POJISTNE	IJ	6306148
248543	854	1997-07-14	VYDAJ	PREVOD NA UCET	2843	24386	POJISTNE	IJ	6306148
248544	854	1997-08-14	VYDAJ	PREVOD NA UCET	2843	20329	POJISTNE	IJ	6306148
248545	854	1997-09-14	VYDAJ	PREVOD NA UCET	2843	21460	POJISTNE	IJ	6306148
248546	854	1997-10-14	VYDAJ	PREVOD NA UCET	2843	21088	POJISTNE	IJ	6306148
248547	854	1997-11-14	VYDAJ	PREVOD NA UCET	2843	21415	POJISTNE	IJ	6306148
248548	854	1997-12-14	VYDAJ	PREVOD NA UCET	2843	25445	POJISTNE	IJ	6306148
248549	854	1998-01-14	VYDAJ	PREVOD NA UCET	2843	16782	POJISTNE	IJ	6306148
248550	854	1998-02-14	VYDAJ	PREVOD NA UCET	2843	21099	POJISTNE	IJ	6306148
248551	854	1998-03-14	VYDAJ	PREVOD NA UCET	2843	25426	POJISTNE	IJ	6306148
248552	854	1998-04-14	VYDAJ	PREVOD NA UCET	2843	29771	POJISTNE	IJ	6306148
248553	854	1998-05-14	VYDAJ	PREVOD NA UCET	2843	19127	POJISTNE	IJ	6306148
248554	854	1998-06-14	VYDAJ	PREVOD NA UCET	2843	28649	POJISTNE	IJ	6306148
248555	854	1998-07-14	VYDAJ	PREVOD NA UCET	2843	33002	POJISTNE	IJ	6306148
248556	854	1998-08-14	VYDAJ	PREVOD NA UCET	2843	33276	POJISTNE	IJ	6306148
248557	854	1998-09-14	VYDAJ	PREVOD NA UCET	2843	32852	POJISTNE	IJ	6306148
248558	854	1998-10-14	VYDAJ	PREVOD NA UCET	2843	33028	POJISTNE	IJ	6306148
248559	854	1998-11-14	VYDAJ	PREVOD NA UCET	2843	37407	POJISTNE	IJ	6306148
248560	854	1998-12-14	VYDAJ	PREVOD NA UCET	2843	47004	POJISTNE	IJ	6306148
248574	854	1994-02-24	VYDAJ	VYBER	1800	33358	\N	\N	0
248575	854	1994-03-03	VYDAJ	VYBER	2100	31394	\N	\N	0
248576	854	1994-04-26	VYDAJ	VYBER	1100	30368	\N	\N	0
248577	854	1994-05-10	VYDAJ	VYBER	1300	38107	\N	\N	0
248578	854	1994-06-09	VYDAJ	VYBER	1300	42487	\N	\N	0
248579	854	1994-07-14	VYDAJ	VYBER	1200	34965	\N	\N	0
248580	854	1994-07-24	VYDAJ	VYBER	2200	30165	\N	\N	0
248581	854	1994-09-03	VYDAJ	VYBER	2300	29790	\N	\N	0
248582	854	1994-10-09	VYDAJ	VYBER	1400	33075	\N	\N	0
248583	854	1994-11-24	VYDAJ	VYBER	1300	28130	\N	\N	0
248584	854	1994-12-24	VYDAJ	VYBER	2700	30121	\N	\N	0
248585	854	1995-01-16	VYDAJ	VYBER	1300	27118	\N	\N	0
248586	854	1995-02-20	VYDAJ	VYBER	1800	23499	\N	\N	0
248587	854	1995-03-09	VYDAJ	VYBER	1700	28794	\N	\N	0
248588	854	1995-04-07	VYDAJ	VYBER	1700	20349	\N	\N	0
248589	854	1995-05-02	VYDAJ	VYBER	2000	23120	\N	\N	0
248590	854	1995-06-12	VYDAJ	PREVOD NA UCET	1817	39197	UVER	OP	54977858
248591	854	1995-07-12	VYDAJ	PREVOD NA UCET	1817	33962	UVER	OP	54977858
248592	854	1995-08-12	VYDAJ	PREVOD NA UCET	1817	27122	UVER	OP	54977858
248593	854	1995-09-12	VYDAJ	PREVOD NA UCET	1817	20372	UVER	OP	54977858
248594	854	1995-10-12	VYDAJ	PREVOD NA UCET	1817	20595	UVER	OP	54977858
248595	854	1995-11-12	VYDAJ	PREVOD NA UCET	1817	20516	UVER	OP	54977858
248596	854	1995-12-12	VYDAJ	PREVOD NA UCET	1817	18640	UVER	OP	54977858
248597	854	1996-01-12	VYDAJ	PREVOD NA UCET	1817	20559	UVER	OP	54977858
248598	854	1996-02-12	VYDAJ	PREVOD NA UCET	1817	19675	UVER	OP	54977858
248599	854	1996-03-12	VYDAJ	PREVOD NA UCET	1817	22490	UVER	OP	54977858
248600	854	1996-04-12	VYDAJ	PREVOD NA UCET	1817	22115	UVER	OP	54977858
248601	854	1996-05-12	VYDAJ	PREVOD NA UCET	1817	20043	UVER	OP	54977858
248602	854	1996-06-12	VYDAJ	PREVOD NA UCET	1817	33266	UVER	OP	54977858
248603	854	1996-07-12	VYDAJ	PREVOD NA UCET	1817	28416	UVER	OP	54977858
248604	854	1996-08-12	VYDAJ	PREVOD NA UCET	1817	25965	UVER	OP	54977858
248605	854	1996-09-12	VYDAJ	PREVOD NA UCET	1817	28107	UVER	OP	54977858
248606	854	1996-10-12	VYDAJ	PREVOD NA UCET	1817	27154	UVER	OP	54977858
248607	854	1996-11-12	VYDAJ	PREVOD NA UCET	1817	24600	UVER	OP	54977858
248608	854	1996-12-12	VYDAJ	PREVOD NA UCET	1817	27338	UVER	OP	54977858
248609	854	1997-01-12	VYDAJ	PREVOD NA UCET	1817	31678	UVER	OP	54977858
248610	854	1997-02-12	VYDAJ	PREVOD NA UCET	1817	21517	UVER	OP	54977858
248611	854	1997-03-12	VYDAJ	PREVOD NA UCET	1817	22236	UVER	OP	54977858
248612	854	1997-04-12	VYDAJ	PREVOD NA UCET	1817	21559	UVER	OP	54977858
248613	854	1997-05-12	VYDAJ	PREVOD NA UCET	1817	22779	UVER	OP	54977858
248614	854	1997-06-12	VYDAJ	PREVOD NA UCET	1817	26795	UVER	OP	54977858
248615	854	1997-07-12	VYDAJ	PREVOD NA UCET	1817	27229	UVER	OP	54977858
248616	854	1997-08-12	VYDAJ	PREVOD NA UCET	1817	25172	UVER	OP	54977858
248617	854	1997-09-12	VYDAJ	PREVOD NA UCET	1817	24303	UVER	OP	54977858
248618	854	1997-10-12	VYDAJ	PREVOD NA UCET	1817	23931	UVER	OP	54977858
248619	854	1997-11-12	VYDAJ	PREVOD NA UCET	1817	24258	UVER	OP	54977858
248620	854	1997-12-12	VYDAJ	PREVOD NA UCET	1817	28288	UVER	OP	54977858
248621	854	1998-01-12	VYDAJ	PREVOD NA UCET	1817	19625	UVER	OP	54977858
248622	854	1998-02-12	VYDAJ	PREVOD NA UCET	1817	23942	UVER	OP	54977858
248623	854	1998-03-12	VYDAJ	PREVOD NA UCET	1817	28269	UVER	OP	54977858
248624	854	1998-04-12	VYDAJ	PREVOD NA UCET	1817	32614	UVER	OP	54977858
248625	854	1998-05-12	VYDAJ	PREVOD NA UCET	1817	21970	UVER	OP	54977858
248626	854	1998-06-12	VYDAJ	PREVOD NA UCET	1817	31492	UVER	OP	54977858
248627	854	1998-07-12	VYDAJ	PREVOD NA UCET	1817	35845	UVER	OP	54977858
248628	854	1998-08-12	VYDAJ	PREVOD NA UCET	1817	36119	UVER	OP	54977858
248629	854	1998-09-12	VYDAJ	PREVOD NA UCET	1817	35695	UVER	OP	54977858
248630	854	1998-10-12	VYDAJ	PREVOD NA UCET	1817	35871	UVER	OP	54977858
248631	854	1998-11-12	VYDAJ	PREVOD NA UCET	1817	40250	UVER	OP	54977858
248632	854	1998-12-12	VYDAJ	PREVOD NA UCET	1817	49847	UVER	OP	54977858
248634	854	1994-12-27	VYDAJ	VYBER	1900	28221	\N	\N	\N
248636	854	1996-12-02	VYDAJ	VYBER	1800	20034	\N	\N	\N
248637	854	1997-12-25	VYDAJ	VYBER	2200	23245	\N	\N	\N
248638	854	1998-12-17	VYDAJ	VYBER	2600	44404	\N	\N	\N
248651	854	1995-01-28	VYDAJ	VYBER	1100	25318	\N	\N	\N
248652	854	1995-01-15	VYDAJ	VYBER	500	29118	\N	\N	\N
248653	854	1995-01-03	VYDAJ	VYBER	700	27643	\N	\N	\N
248654	854	1995-01-14	VYDAJ	VYBER	2100	34461	\N	\N	\N
248655	854	1995-01-22	VYDAJ	VYBER	700	26418	\N	\N	\N
248656	854	1995-01-16	VYDAJ	VYBER	700	28418	\N	\N	\N
248658	854	1996-01-11	VYDAJ	VYBER	900	22376	\N	\N	\N
248661	854	1996-01-20	VYDAJ	VYBER	1800	15916	\N	\N	\N
248663	854	1997-01-18	VYDAJ	VYBER	1200	18535	\N	\N	\N
248664	854	1997-01-18	VYDAJ	VYBER	600	20735	\N	\N	\N
248665	854	1997-01-13	VYDAJ	VYBER	2000	29678	\N	\N	\N
248666	854	1997-01-18	VYDAJ	VYBER	1000	19735	\N	\N	\N
248667	854	1997-01-16	VYDAJ	VYBER	2100	21335	\N	\N	\N
248668	854	1997-01-27	VYDAJ	VYBER	1900	16635	\N	\N	\N
248669	854	1998-01-11	VYDAJ	VYBER	2400	23542	\N	\N	\N
248670	854	1998-01-03	VYDAJ	VYBER	2900	17024	\N	\N	\N
248674	854	1998-01-11	VYDAJ	VYBER	2100	21442	\N	\N	\N
248681	854	1994-09-16	VYDAJ	VYBER	4700	31165	\N	\N	\N
248682	854	1994-07-11	VYDAJ	VYBER	1600	39008	\N	\N	\N
248683	854	1995-12-12	VYDAJ	VYBER	2200	20457	\N	\N	\N
248685	854	1995-09-06	VYDAJ	VYBER	3800	16666	\N	\N	\N
248686	854	1995-03-03	VYDAJ	VYBER	2400	21194	\N	\N	\N
248687	854	1995-08-21	VYDAJ	VYBER	2800	21479	\N	\N	\N
248688	854	1996-06-13	VYDAJ	VYBER	1400	31866	\N	\N	\N
248689	854	1996-06-18	VYDAJ	VYBER	3000	26023	\N	\N	\N
248692	854	1996-06-28	VYDAJ	VYBER	2200	23823	\N	\N	\N
248694	854	1997-08-13	VYDAJ	VYBER	2000	23172	\N	\N	\N
248695	854	1997-11-03	VYDAJ	VYBER	1600	17157	\N	\N	\N
248696	854	1997-05-14	VYDAJ	VYBER	4800	15136	\N	\N	\N
248698	854	1997-01-16	VYDAJ	VYBER	3400	23435	\N	\N	\N
248699	854	1998-08-05	VYDAJ	VYBER	1900	30418	\N	\N	\N
248700	854	1998-08-06	VYDAJ	VYBER	1400	27913	\N	\N	\N
248701	854	1998-07-19	VYDAJ	VYBER	800	32202	\N	\N	\N
248703	854	1998-10-05	VYDAJ	VYBER	4200	27665	\N	\N	\N
248705	854	1998-08-28	VYDAJ	VYBER	4800	28476	\N	\N	\N
248720	854	1994-02-28	VYDAJ	VYBER	15	33494	SLUZBY	\N	\N
248721	854	1994-03-31	VYDAJ	VYBER	15	28693	SLUZBY	\N	\N
248722	854	1994-04-30	VYDAJ	VYBER	15	30489	SLUZBY	\N	\N
248723	854	1994-05-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
248724	854	1994-06-30	VYDAJ	VYBER	15	31690	SLUZBY	\N	\N
248725	854	1994-07-31	VYDAJ	VYBER	15	30291	SLUZBY	\N	\N
248726	854	1994-08-31	VYDAJ	VYBER	15	32090	SLUZBY	\N	\N
248727	854	1994-09-30	VYDAJ	VYBER	15	25175	SLUZBY	\N	\N
248728	854	1994-10-31	VYDAJ	VYBER	15	28655	SLUZBY	\N	\N
248729	854	1994-11-30	VYDAJ	VYBER	15	28243	SLUZBY	\N	\N
248730	854	1994-12-31	VYDAJ	VYBER	15	28343	SLUZBY	\N	\N
248731	854	1995-01-31	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
248732	854	1995-02-28	VYDAJ	VYBER	15	23594	SLUZBY	\N	\N
248733	854	1995-03-31	VYDAJ	VYBER	15	23154	SLUZBY	\N	\N
248734	854	1995-04-30	VYDAJ	VYBER	15	25120	SLUZBY	\N	\N
248735	854	1995-05-31	VYDAJ	VYBER	15	26893	SLUZBY	\N	\N
248736	854	1995-06-30	VYDAJ	VYBER	15	26861	SLUZBY	\N	\N
248737	854	1995-07-31	VYDAJ	VYBER	15	26821	SLUZBY	\N	\N
248738	854	1995-08-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
248739	854	1995-09-30	VYDAJ	VYBER	15	17594	SLUZBY	\N	\N
248740	854	1995-10-31	VYDAJ	VYBER	15	17815	SLUZBY	\N	\N
248741	854	1995-11-30	VYDAJ	VYBER	15	17736	SLUZBY	\N	\N
248742	854	1995-12-31	VYDAJ	VYBER	15	15858	SLUZBY	\N	\N
248743	854	1996-01-31	VYDAJ	VYBER	15	15974	SLUZBY	\N	\N
248744	854	1996-02-29	VYDAJ	VYBER	15	16889	SLUZBY	\N	\N
248745	854	1996-03-31	VYDAJ	VYBER	15	19714	SLUZBY	\N	\N
248746	854	1996-04-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
248747	854	1996-05-31	VYDAJ	VYBER	15	17262	SLUZBY	\N	\N
248748	854	1996-06-30	VYDAJ	VYBER	15	23915	SLUZBY	\N	\N
248749	854	1996-07-31	VYDAJ	VYBER	15	25664	SLUZBY	\N	\N
248750	854	1996-08-31	VYDAJ	VYBER	15	23206	SLUZBY	\N	\N
248751	854	1996-09-30	VYDAJ	VYBER	15	25353	SLUZBY	\N	\N
248752	854	1996-10-31	VYDAJ	VYBER	15	24399	SLUZBY	\N	\N
248753	854	1996-11-30	VYDAJ	VYBER	15	21834	SLUZBY	\N	\N
248754	854	1996-12-31	VYDAJ	VYBER	15	24577	SLUZBY	\N	\N
248755	854	1997-01-31	VYDAJ	VYBER	15	16716	SLUZBY	\N	\N
248756	854	1997-02-28	VYDAJ	VYBER	15	18735	SLUZBY	\N	\N
248757	854	1997-03-31	VYDAJ	VYBER	15	19458	SLUZBY	\N	\N
248758	854	1997-04-30	VYDAJ	VYBER	15	18778	SLUZBY	\N	\N
248759	854	1997-05-31	VYDAJ	VYBER	15	15191	SLUZBY	\N	\N
248760	854	1997-06-30	VYDAJ	VYBER	15	24028	SLUZBY	\N	\N
248761	854	1997-07-31	VYDAJ	VYBER	15	24471	SLUZBY	\N	\N
248762	854	1997-08-31	VYDAJ	VYBER	15	17202	SLUZBY	\N	\N
248763	854	1997-09-30	VYDAJ	VYBER	15	16830	SLUZBY	\N	\N
248764	854	1997-10-31	VYDAJ	VYBER	15	18757	SLUZBY	\N	\N
248765	854	1997-11-30	VYDAJ	VYBER	15	15984	SLUZBY	\N	\N
248766	854	1997-12-31	VYDAJ	VYBER	15	19924	SLUZBY	\N	\N
248767	854	1998-01-31	VYDAJ	VYBER	15	16841	SLUZBY	\N	\N
248768	854	1998-02-28	VYDAJ	VYBER	15	21168	SLUZBY	\N	\N
248769	854	1998-03-31	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
248770	854	1998-04-30	VYDAJ	VYBER	15	14869	SLUZBY	\N	\N
248771	854	1998-05-31	VYDAJ	VYBER	15	19188	SLUZBY	\N	\N
248772	854	1998-06-30	VYDAJ	VYBER	15	28744	SLUZBY	\N	\N
248773	854	1998-07-31	VYDAJ	VYBER	15	32318	SLUZBY	\N	\N
248774	854	1998-08-31	VYDAJ	VYBER	15	28594	SLUZBY	\N	\N
248775	854	1998-09-30	VYDAJ	VYBER	15	32970	SLUZBY	\N	\N
248776	854	1998-10-31	VYDAJ	VYBER	15	33149	SLUZBY	\N	\N
248777	854	1998-11-30	VYDAJ	VYBER	15	37543	SLUZBY	\N	\N
248778	854	1993-10-21	PRIJEM	VKLAD	5800	16905	\N	\N	\N
248779	854	1993-11-20	VYDAJ	VYBER	2200	25135	\N	\N	\N
248780	854	1993-12-20	VYDAJ	VYBER	9900	30926	\N	\N	\N
248781	854	1994-01-19	VYDAJ	VYBER	8300	33145	\N	\N	\N
248782	854	1994-02-18	VYDAJ	VYBER	5300	35158	\N	\N	\N
248783	854	1994-03-20	VYDAJ	VYBER	8900	28569	\N	\N	\N
248784	854	1994-04-19	VYDAJ	VYBER	3300	31468	\N	\N	\N
248785	854	1994-05-19	VYDAJ	VYBER	6100	29164	\N	\N	\N
248786	854	1994-06-18	VYDAJ	VYBER	7700	31562	\N	\N	\N
248787	854	1994-07-18	VYDAJ	VYBER	2600	32365	\N	\N	\N
248788	854	1994-08-17	VYDAJ	VYBER	4400	31966	\N	\N	\N
248789	854	1994-09-16	VYDAJ	VYBER	6100	25065	\N	\N	\N
248790	854	1994-10-16	VYDAJ	VYBER	1300	28550	\N	\N	\N
248791	854	1994-11-15	VYDAJ	VYBER	5300	29430	\N	\N	\N
248792	854	1994-12-15	VYDAJ	VYBER	6700	32821	\N	\N	\N
248793	854	1995-01-14	VYDAJ	VYBER	2000	29618	\N	\N	\N
248794	854	1995-02-13	VYDAJ	VYBER	6200	28142	\N	\N	\N
248795	854	1995-03-15	VYDAJ	VYBER	2500	23069	\N	\N	\N
248796	854	1995-04-14	VYDAJ	VYBER	2500	27872	\N	\N	\N
248797	854	1995-05-14	VYDAJ	VYBER	2400	29638	\N	\N	\N
248798	854	1995-06-13	VYDAJ	VYBER	9600	29597	\N	\N	\N
248799	854	1995-07-13	VYDAJ	VYBER	4400	29562	\N	\N	\N
248800	854	1995-08-12	VYDAJ	VYBER	6800	28939	\N	\N	\N
248801	854	1995-09-11	VYDAJ	VYBER	4500	22189	\N	\N	\N
248802	854	1995-10-11	VYDAJ	VYBER	4100	22412	\N	\N	\N
248803	854	1995-11-10	VYDAJ	VYBER	4400	22715	\N	\N	\N
248804	854	1995-12-10	VYDAJ	VYBER	9200	22657	\N	\N	\N
248805	854	1996-01-09	VYDAJ	VYBER	1500	23658	\N	\N	\N
248806	854	1996-02-08	VYDAJ	VYBER	3400	21874	\N	\N	\N
248807	854	1996-03-09	VYDAJ	VYBER	1500	24689	\N	\N	\N
248808	854	1996-04-08	VYDAJ	VYBER	4700	24314	\N	\N	\N
248809	854	1996-05-08	VYDAJ	VYBER	6400	22242	\N	\N	\N
248810	854	1996-06-07	PRIJEM	VKLAD	3700	19857	\N	\N	\N
248811	854	1996-07-07	VYDAJ	VYBER	2600	20210	\N	\N	\N
248812	854	1996-08-06	VYDAJ	VYBER	6800	17759	\N	\N	\N
248813	854	1996-09-05	VYDAJ	VYBER	2200	21006	\N	\N	\N
248814	854	1996-10-05	VYDAJ	VYBER	5300	18948	\N	\N	\N
248815	854	1996-11-04	VYDAJ	VYBER	6900	17499	\N	\N	\N
248816	854	1996-12-04	VYDAJ	VYBER	5000	15034	\N	\N	\N
248817	854	1997-02-02	VYDAJ	VYBER	2300	14416	\N	\N	\N
248818	854	1997-03-04	VYDAJ	VYBER	3600	15135	\N	\N	\N
248819	854	1997-04-03	VYDAJ	VYBER	5000	14458	\N	\N	\N
248820	854	1997-05-03	VYDAJ	VYBER	3100	15678	\N	\N	\N
248821	854	1997-06-02	VYDAJ	VYBER	700	14491	\N	\N	\N
248822	854	1997-07-02	VYDAJ	VYBER	3900	20128	\N	\N	\N
248823	854	1997-08-01	VYDAJ	VYBER	6400	18071	\N	\N	\N
248824	854	1997-08-31	VYDAJ	VYBER	3200	17216	\N	\N	\N
248825	854	1997-09-30	VYDAJ	VYBER	4700	16845	\N	\N	\N
248826	854	1997-10-30	VYDAJ	VYBER	2400	18688	\N	\N	\N
248827	854	1997-11-29	VYDAJ	VYBER	5500	15915	\N	\N	\N
248828	854	1997-12-29	VYDAJ	VYBER	3400	19845	\N	\N	\N
248829	854	1998-04-28	VYDAJ	VYBER	15000	14771	\N	\N	\N
248893	855	1994-03-28	PRIJEM	VKLAD	800	800	\N	\N	\N
248897	855	1994-04-09	PRIJEM	VKLAD	13766	14566	\N	\N	\N
248898	855	1994-05-09	PRIJEM	VKLAD	13766	32342	\N	\N	\N
248899	855	1994-06-09	PRIJEM	VKLAD	20649	48875	\N	\N	\N
248900	855	1994-07-09	PRIJEM	VKLAD	13766	52065	\N	\N	\N
248901	855	1994-08-09	PRIJEM	VKLAD	13766	53592	\N	\N	\N
248902	855	1994-09-09	PRIJEM	VKLAD	13766	45399	\N	\N	\N
248903	855	1994-10-09	PRIJEM	VKLAD	13766	43014	\N	\N	\N
248904	855	1994-11-09	PRIJEM	VKLAD	13766	41419	\N	\N	\N
248905	855	1994-12-09	PRIJEM	VKLAD	20649	45499	\N	\N	\N
248906	855	1995-01-09	PRIJEM	VKLAD	13766	24022	\N	\N	\N
248907	855	1995-02-09	PRIJEM	VKLAD	13766	23089	\N	\N	\N
248908	855	1995-03-09	PRIJEM	VKLAD	13766	29472	\N	\N	\N
248909	855	1995-04-09	PRIJEM	VKLAD	13766	35229	\N	\N	\N
248910	855	1995-05-09	PRIJEM	VKLAD	13766	33844	\N	\N	\N
248911	855	1995-06-09	PRIJEM	VKLAD	20649	43098	\N	\N	\N
248912	855	1995-07-09	PRIJEM	VKLAD	13766	36437	\N	\N	\N
248913	855	1995-08-09	PRIJEM	VKLAD	13766	36814	\N	\N	\N
248914	855	1995-09-09	PRIJEM	VKLAD	13766	40314	\N	\N	\N
248915	855	1995-10-09	PRIJEM	VKLAD	13766	42709	\N	\N	\N
248916	855	1995-11-09	PRIJEM	VKLAD	13766	42108	\N	\N	\N
248917	855	1995-12-09	PRIJEM	VKLAD	20649	48488	\N	\N	\N
248918	855	1996-01-09	PRIJEM	VKLAD	13766	31330	\N	\N	\N
248919	855	1996-02-09	PRIJEM	VKLAD	13766	32934	\N	\N	\N
248920	855	1996-03-09	PRIJEM	VKLAD	13766	40808	\N	\N	\N
248921	855	1996-04-09	PRIJEM	VKLAD	13766	43704	\N	\N	\N
248922	855	1996-05-09	PRIJEM	VKLAD	13766	46812	\N	\N	\N
248923	855	1996-06-09	PRIJEM	VKLAD	20649	55012	\N	\N	\N
248924	855	1996-07-09	PRIJEM	VKLAD	13766	24840	\N	\N	\N
248925	855	1996-08-09	PRIJEM	VKLAD	13766	39796	\N	\N	\N
248926	855	1996-09-09	PRIJEM	VKLAD	13766	44596	\N	\N	\N
248927	855	1996-10-09	PRIJEM	VKLAD	13766	47872	\N	\N	\N
248928	855	1996-11-09	PRIJEM	VKLAD	13766	49392	\N	\N	\N
248929	855	1996-12-09	PRIJEM	VKLAD	20649	54892	\N	\N	\N
248930	855	1997-01-09	PRIJEM	VKLAD	13766	45850	\N	\N	\N
248931	855	1997-02-09	PRIJEM	VKLAD	13766	38686	\N	\N	\N
248932	855	1997-03-09	PRIJEM	VKLAD	13766	47786	\N	\N	\N
248933	855	1997-04-09	PRIJEM	VKLAD	13766	53315	\N	\N	\N
248934	855	1997-05-09	PRIJEM	VKLAD	13766	53953	\N	\N	\N
248935	855	1997-06-09	PRIJEM	VKLAD	20649	60876	\N	\N	\N
248936	855	1997-07-09	PRIJEM	VKLAD	13766	23570	\N	\N	\N
248937	855	1997-08-09	PRIJEM	VKLAD	13766	39528	\N	\N	\N
248938	855	1997-09-09	PRIJEM	VKLAD	13766	53041	\N	\N	\N
248939	855	1997-10-09	PRIJEM	VKLAD	13766	60278	\N	\N	\N
248940	855	1997-11-09	PRIJEM	VKLAD	13766	62160	\N	\N	\N
248941	855	1997-12-09	PRIJEM	VKLAD	20649	68980	\N	\N	\N
248942	855	1998-01-09	PRIJEM	VKLAD	13766	66059	\N	\N	\N
248943	855	1998-02-09	PRIJEM	VKLAD	13766	48911	\N	\N	\N
248944	855	1998-03-09	PRIJEM	VKLAD	13766	59147	\N	\N	\N
248945	855	1998-04-09	PRIJEM	VKLAD	13766	61123	\N	\N	\N
248946	855	1998-05-09	PRIJEM	VKLAD	13766	59847	\N	\N	\N
248947	855	1998-06-09	PRIJEM	VKLAD	20649	62448	\N	\N	\N
248948	855	1998-07-09	PRIJEM	VKLAD	13766	65736	\N	\N	\N
248949	855	1998-08-09	PRIJEM	VKLAD	13766	67746	\N	\N	\N
248950	855	1998-09-09	PRIJEM	VKLAD	13766	65203	\N	\N	\N
248951	855	1998-10-09	PRIJEM	VKLAD	13766	67914	\N	\N	\N
248952	855	1998-11-09	PRIJEM	VKLAD	13766	68708	\N	\N	\N
248953	855	1998-12-09	PRIJEM	VKLAD	20649	71471	\N	\N	\N
248962	855	1994-09-08	VYDAJ	PREVOD NA UCET	6608	31633	SIPO	KL	31062770
248963	855	1994-10-08	VYDAJ	PREVOD NA UCET	6608	29248	SIPO	KL	31062770
248964	855	1994-11-08	VYDAJ	PREVOD NA UCET	6608	27653	SIPO	KL	31062770
248965	855	1994-12-08	VYDAJ	PREVOD NA UCET	6608	24850	SIPO	KL	31062770
248966	855	1995-01-08	VYDAJ	PREVOD NA UCET	6608	10256	SIPO	KL	31062770
248967	855	1995-02-08	VYDAJ	PREVOD NA UCET	6608	9323	SIPO	KL	31062770
248968	855	1995-03-08	VYDAJ	PREVOD NA UCET	6608	15706	SIPO	KL	31062770
248969	855	1995-04-08	VYDAJ	PREVOD NA UCET	6608	21463	SIPO	KL	31062770
248970	855	1995-05-08	VYDAJ	PREVOD NA UCET	6608	20078	SIPO	KL	31062770
248971	855	1995-06-08	VYDAJ	PREVOD NA UCET	6608	22449	SIPO	KL	31062770
248972	855	1995-07-08	VYDAJ	PREVOD NA UCET	6608	22671	SIPO	KL	31062770
248973	855	1995-08-08	VYDAJ	PREVOD NA UCET	6608	23048	SIPO	KL	31062770
248974	855	1995-09-08	VYDAJ	PREVOD NA UCET	6608	26548	SIPO	KL	31062770
248975	855	1995-10-08	VYDAJ	PREVOD NA UCET	6608	28943	SIPO	KL	31062770
248976	855	1995-11-08	VYDAJ	PREVOD NA UCET	6608	28342	SIPO	KL	31062770
248977	855	1995-12-08	VYDAJ	PREVOD NA UCET	6608	27839	SIPO	KL	31062770
248978	855	1996-01-08	VYDAJ	PREVOD NA UCET	6608	21644	SIPO	KL	31062770
248979	855	1996-02-08	VYDAJ	PREVOD NA UCET	6608	19168	SIPO	KL	31062770
248980	855	1996-03-08	VYDAJ	PREVOD NA UCET	6608	27042	SIPO	KL	31062770
248981	855	1996-04-08	VYDAJ	PREVOD NA UCET	6608	29938	SIPO	KL	31062770
248982	855	1996-05-08	VYDAJ	PREVOD NA UCET	6608	33046	SIPO	KL	31062770
248983	855	1996-06-08	VYDAJ	PREVOD NA UCET	6608	34363	SIPO	KL	31062770
248984	855	1996-07-08	VYDAJ	PREVOD NA UCET	6608	11074	SIPO	KL	31062770
248985	855	1996-08-08	VYDAJ	PREVOD NA UCET	6608	26030	SIPO	KL	31062770
248986	855	1996-09-08	VYDAJ	PREVOD NA UCET	6608	30830	SIPO	KL	31062770
248987	855	1996-10-08	VYDAJ	PREVOD NA UCET	6608	35546	SIPO	KL	31062770
248988	855	1996-11-08	VYDAJ	PREVOD NA UCET	6608	35626	SIPO	KL	31062770
248989	855	1996-12-08	VYDAJ	PREVOD NA UCET	6608	34243	SIPO	KL	31062770
248990	855	1997-01-08	VYDAJ	PREVOD NA UCET	6608	32084	SIPO	KL	31062770
248991	855	1997-02-08	VYDAJ	PREVOD NA UCET	6608	24920	SIPO	KL	31062770
248992	855	1997-03-08	VYDAJ	PREVOD NA UCET	6608	34020	SIPO	KL	31062770
248993	855	1997-04-08	VYDAJ	PREVOD NA UCET	6608	39549	SIPO	KL	31062770
248994	855	1997-05-08	VYDAJ	PREVOD NA UCET	6608	40187	SIPO	KL	31062770
248995	855	1997-06-08	VYDAJ	PREVOD NA UCET	6608	40227	SIPO	KL	31062770
248996	855	1997-07-08	VYDAJ	PREVOD NA UCET	6608	9804	SIPO	KL	31062770
248997	855	1997-08-08	VYDAJ	PREVOD NA UCET	6608	25762	SIPO	KL	31062770
248998	855	1997-09-08	VYDAJ	PREVOD NA UCET	6608	39275	SIPO	KL	31062770
248999	855	1997-10-08	VYDAJ	PREVOD NA UCET	6608	46512	SIPO	KL	31062770
249000	855	1997-11-08	VYDAJ	PREVOD NA UCET	6608	48394	SIPO	KL	31062770
249001	855	1997-12-08	VYDAJ	PREVOD NA UCET	6608	48331	SIPO	KL	31062770
249002	855	1998-01-08	VYDAJ	PREVOD NA UCET	6608	53853	SIPO	KL	31062770
249003	855	1998-02-08	VYDAJ	PREVOD NA UCET	6608	35145	SIPO	KL	31062770
249004	855	1998-03-08	VYDAJ	PREVOD NA UCET	6608	45381	SIPO	KL	31062770
249005	855	1998-04-08	VYDAJ	PREVOD NA UCET	6608	47357	SIPO	KL	31062770
249006	855	1998-05-08	VYDAJ	PREVOD NA UCET	6608	46081	SIPO	KL	31062770
249007	855	1998-06-08	VYDAJ	PREVOD NA UCET	6608	41799	SIPO	KL	31062770
249008	855	1998-07-08	VYDAJ	PREVOD NA UCET	6608	51970	SIPO	KL	31062770
249009	855	1998-08-08	VYDAJ	PREVOD NA UCET	6608	53980	SIPO	KL	31062770
249010	855	1998-09-08	VYDAJ	PREVOD NA UCET	6608	51437	SIPO	KL	31062770
249011	855	1998-10-08	VYDAJ	PREVOD NA UCET	6608	54148	SIPO	KL	31062770
249012	855	1998-11-08	VYDAJ	PREVOD NA UCET	6608	54942	SIPO	KL	31062770
249013	855	1998-12-08	VYDAJ	PREVOD NA UCET	6608	50822	SIPO	KL	31062770
249015	855	1995-06-14	VYDAJ	VYBER	9440	33658	\N	\N	\N
249016	855	1996-06-23	VYDAJ	VYBER	28640	18972	\N	\N	\N
249017	855	1997-06-15	VYDAJ	VYBER	35680	16296	\N	\N	\N
249018	855	1998-06-04	VYDAJ	VYBER	11520	43507	\N	\N	\N
249020	855	1995-01-03	VYDAJ	VYBER	14400	16864	\N	\N	\N
249021	855	1996-01-06	VYDAJ	VYBER	4640	29692	\N	\N	\N
249022	855	1997-01-06	VYDAJ	VYBER	1920	38692	\N	\N	\N
249023	855	1998-01-23	VYDAJ	VYBER	11200	41899	\N	\N	\N
249024	855	1994-12-18	VYDAJ	VYBER	2880	42619	\N	\N	\N
249025	855	1995-12-10	VYDAJ	VYBER	3360	45128	\N	\N	\N
249026	855	1996-12-15	VYDAJ	VYBER	3040	40452	\N	\N	\N
249027	855	1997-12-04	VYDAJ	VYBER	960	61439	\N	\N	\N
249028	855	1998-12-07	VYDAJ	VYBER	2400	57430	\N	\N	\N
249035	855	1995-01-29	VYDAJ	VYBER	2520	15862	\N	\N	\N
249036	855	1995-01-03	VYDAJ	VYBER	1920	31264	\N	\N	\N
249037	855	1995-01-02	VYDAJ	VYBER	1680	33184	\N	\N	\N
249038	855	1995-01-23	VYDAJ	VYBER	2280	18382	\N	\N	\N
249039	855	1995-01-20	VYDAJ	VYBER	2400	18862	\N	\N	\N
249040	855	1995-01-12	VYDAJ	VYBER	2760	21262	\N	\N	\N
249041	855	1996-01-24	VYDAJ	VYBER	2160	25670	\N	\N	\N
249042	855	1996-01-13	VYDAJ	VYBER	840	28570	\N	\N	\N
249043	855	1996-01-02	VYDAJ	VYBER	1440	34332	\N	\N	\N
249044	855	1996-01-17	VYDAJ	VYBER	2640	27830	\N	\N	\N
249045	855	1996-01-09	VYDAJ	VYBER	1920	29410	\N	\N	\N
249046	855	1996-01-06	VYDAJ	VYBER	1440	28252	\N	\N	\N
249047	855	1997-01-27	VYDAJ	VYBER	1320	33430	\N	\N	\N
249048	855	1997-01-09	VYDAJ	VYBER	2280	43570	\N	\N	\N
249049	855	1997-01-30	VYDAJ	VYBER	2040	31390	\N	\N	\N
249050	855	1997-01-10	VYDAJ	VYBER	1440	42130	\N	\N	\N
249051	855	1997-01-14	VYDAJ	VYBER	1320	38110	\N	\N	\N
249052	855	1997-01-16	VYDAJ	VYBER	3360	34750	\N	\N	\N
249053	855	1998-01-08	VYDAJ	VYBER	1560	52293	\N	\N	\N
249054	855	1998-01-16	VYDAJ	VYBER	2400	55499	\N	\N	\N
249055	855	1998-01-06	VYDAJ	VYBER	2280	66961	\N	\N	\N
249056	855	1998-01-27	VYDAJ	VYBER	720	41179	\N	\N	\N
249057	855	1998-01-21	VYDAJ	VYBER	2400	53099	\N	\N	\N
249058	855	1998-01-13	VYDAJ	VYBER	3360	62699	\N	\N	\N
249063	855	1995-08-10	VYDAJ	VYBER	2280	34534	\N	\N	\N
249064	855	1995-05-01	VYDAJ	VYBER	2760	26686	\N	\N	\N
249065	855	1995-02-09	VYDAJ	VYBER	3840	19249	\N	\N	\N
249066	855	1996-06-28	VYDAJ	VYBER	1440	17532	\N	\N	\N
249067	855	1996-01-08	VYDAJ	VYBER	4080	17564	\N	\N	\N
249068	855	1996-01-16	VYDAJ	VYBER	2400	26170	\N	\N	\N
249069	855	1996-09-06	VYDAJ	VYBER	2400	37438	\N	\N	\N
249070	855	1996-10-08	VYDAJ	VYBER	1440	34106	\N	\N	\N
249071	855	1997-06-01	VYDAJ	VYBER	600	46835	\N	\N	\N
249072	855	1997-08-17	VYDAJ	VYBER	600	36848	\N	\N	\N
249073	855	1997-08-17	VYDAJ	VYBER	5880	37448	\N	\N	\N
249074	855	1997-09-11	VYDAJ	VYBER	3000	50041	\N	\N	\N
249075	855	1998-10-15	VYDAJ	VYBER	1920	65994	\N	\N	\N
249076	855	1998-01-14	VYDAJ	VYBER	4800	57899	\N	\N	\N
249077	855	1998-05-21	VYDAJ	VYBER	5040	54807	\N	\N	\N
249078	855	1998-11-13	VYDAJ	VYBER	840	67868	\N	\N	\N
249079	855	1998-04-17	VYDAJ	VYBER	3960	57163	\N	\N	\N
249080	855	1998-02-06	VYDAJ	VYBER	3240	41753	\N	\N	\N
249081	855	1998-08-19	VYDAJ	VYBER	1560	66186	\N	\N	\N
249090	855	1994-08-31	VYDAJ	VYBER	15	38241	SLUZBY	\N	\N
249091	855	1994-09-30	VYDAJ	VYBER	15	35856	SLUZBY	\N	\N
249092	855	1994-10-31	VYDAJ	VYBER	15	34261	SLUZBY	\N	\N
249093	855	1994-11-30	VYDAJ	VYBER	15	31458	SLUZBY	\N	\N
249094	855	1994-12-31	VYDAJ	VYBER	15	34864	SLUZBY	\N	\N
249095	855	1995-01-31	VYDAJ	VYBER	15	15931	SLUZBY	\N	\N
249096	855	1995-02-28	VYDAJ	VYBER	15	22314	SLUZBY	\N	\N
249097	855	1995-03-31	VYDAJ	VYBER	15	28071	SLUZBY	\N	\N
249098	855	1995-04-30	VYDAJ	VYBER	15	29446	SLUZBY	\N	\N
249099	855	1995-05-31	VYDAJ	VYBER	15	29057	SLUZBY	\N	\N
249100	855	1995-06-30	VYDAJ	VYBER	15	29279	SLUZBY	\N	\N
249101	855	1995-07-31	VYDAJ	VYBER	15	29656	SLUZBY	\N	\N
249102	855	1995-08-31	VYDAJ	VYBER	15	33156	SLUZBY	\N	\N
249103	855	1995-09-30	VYDAJ	VYBER	15	35551	SLUZBY	\N	\N
249104	855	1995-10-31	VYDAJ	VYBER	15	34950	SLUZBY	\N	\N
249105	855	1995-11-30	VYDAJ	VYBER	15	34447	SLUZBY	\N	\N
249106	855	1995-12-31	VYDAJ	VYBER	15	35772	SLUZBY	\N	\N
249107	855	1996-01-31	VYDAJ	VYBER	15	25776	SLUZBY	\N	\N
249108	855	1996-02-29	VYDAJ	VYBER	15	33650	SLUZBY	\N	\N
249109	855	1996-03-31	VYDAJ	VYBER	15	36546	SLUZBY	\N	\N
249110	855	1996-04-30	VYDAJ	VYBER	15	39654	SLUZBY	\N	\N
249111	855	1996-05-31	VYDAJ	VYBER	15	40971	SLUZBY	\N	\N
249112	855	1996-06-30	VYDAJ	VYBER	15	17682	SLUZBY	\N	\N
249113	855	1996-07-31	VYDAJ	VYBER	15	32638	SLUZBY	\N	\N
249114	855	1996-08-31	VYDAJ	VYBER	15	39838	SLUZBY	\N	\N
249115	855	1996-09-30	VYDAJ	VYBER	15	42154	SLUZBY	\N	\N
249116	855	1996-10-31	VYDAJ	VYBER	15	42234	SLUZBY	\N	\N
249117	855	1996-11-30	VYDAJ	VYBER	15	40851	SLUZBY	\N	\N
249118	855	1996-12-31	VYDAJ	VYBER	15	40612	SLUZBY	\N	\N
249119	855	1997-01-31	VYDAJ	VYBER	15	31528	SLUZBY	\N	\N
249120	855	1997-02-28	VYDAJ	VYBER	15	40628	SLUZBY	\N	\N
249121	855	1997-03-31	VYDAJ	VYBER	15	46157	SLUZBY	\N	\N
249122	855	1997-04-30	VYDAJ	VYBER	15	46795	SLUZBY	\N	\N
249123	855	1997-05-31	VYDAJ	VYBER	15	47435	SLUZBY	\N	\N
249124	855	1997-06-30	VYDAJ	VYBER	15	16412	SLUZBY	\N	\N
249125	855	1997-07-31	VYDAJ	VYBER	15	32370	SLUZBY	\N	\N
249126	855	1997-08-31	VYDAJ	VYBER	15	36983	SLUZBY	\N	\N
249127	855	1997-09-30	VYDAJ	VYBER	15	50220	SLUZBY	\N	\N
249128	855	1997-10-31	VYDAJ	VYBER	15	60502	SLUZBY	\N	\N
249129	855	1997-11-30	VYDAJ	VYBER	15	62399	SLUZBY	\N	\N
249130	855	1997-12-31	VYDAJ	VYBER	15	69241	SLUZBY	\N	\N
249131	855	1998-01-31	VYDAJ	VYBER	15	41393	SLUZBY	\N	\N
249132	855	1998-02-28	VYDAJ	VYBER	15	49089	SLUZBY	\N	\N
249133	855	1998-03-31	VYDAJ	VYBER	15	59365	SLUZBY	\N	\N
249134	855	1998-04-30	VYDAJ	VYBER	15	57389	SLUZBY	\N	\N
249135	855	1998-05-31	VYDAJ	VYBER	15	55027	SLUZBY	\N	\N
249136	855	1998-06-30	VYDAJ	VYBER	15	62678	SLUZBY	\N	\N
249137	855	1998-07-31	VYDAJ	VYBER	15	65988	SLUZBY	\N	\N
249138	855	1998-08-31	VYDAJ	VYBER	15	66445	SLUZBY	\N	\N
249139	855	1998-09-30	VYDAJ	VYBER	15	65456	SLUZBY	\N	\N
249140	855	1998-10-31	VYDAJ	VYBER	15	66250	SLUZBY	\N	\N
249141	855	1998-11-30	VYDAJ	VYBER	15	68130	SLUZBY	\N	\N
249142	855	1994-04-27	PRIJEM	VKLAD	4000	18566	\N	\N	\N
249143	855	1994-05-27	VYDAJ	VYBER	4200	28142	\N	\N	\N
249144	855	1994-06-26	VYDAJ	VYBER	10700	38175	\N	\N	\N
249145	855	1994-07-26	VYDAJ	VYBER	12400	39665	\N	\N	\N
249146	855	1994-08-25	VYDAJ	VYBER	15500	38092	\N	\N	\N
249147	855	1994-09-24	VYDAJ	VYBER	9700	35699	\N	\N	\N
249148	855	1994-10-24	VYDAJ	VYBER	8900	34114	\N	\N	\N
249149	855	1994-11-23	VYDAJ	VYBER	10100	31319	\N	\N	\N
249150	855	1994-12-23	VYDAJ	VYBER	7900	34719	\N	\N	\N
249151	855	1995-01-22	PRIJEM	VKLAD	1800	20662	\N	\N	\N
249152	855	1995-02-21	PRIJEM	VKLAD	3000	22249	\N	\N	\N
249153	855	1995-03-23	VYDAJ	VYBER	1500	27972	\N	\N	\N
249154	855	1995-04-22	VYDAJ	VYBER	5900	29329	\N	\N	\N
249155	855	1995-05-22	VYDAJ	VYBER	4900	28944	\N	\N	\N
249156	855	1995-06-21	VYDAJ	VYBER	4500	29158	\N	\N	\N
249157	855	1995-07-21	VYDAJ	VYBER	6900	29537	\N	\N	\N
249158	855	1995-08-20	VYDAJ	VYBER	1500	33034	\N	\N	\N
249159	855	1995-09-19	VYDAJ	VYBER	4900	35414	\N	\N	\N
249160	855	1995-10-19	VYDAJ	VYBER	7900	34809	\N	\N	\N
249161	855	1995-11-18	VYDAJ	VYBER	7800	34308	\N	\N	\N
249162	855	1995-12-18	VYDAJ	VYBER	9500	35628	\N	\N	\N
249163	855	1996-01-17	PRIJEM	VKLAD	4300	30470	\N	\N	\N
249164	855	1996-02-16	PRIJEM	VKLAD	600	33534	\N	\N	\N
249165	855	1996-03-17	VYDAJ	VYBER	4400	36408	\N	\N	\N
249166	855	1996-04-16	VYDAJ	VYBER	4200	39504	\N	\N	\N
249167	855	1996-05-16	VYDAJ	VYBER	6000	40812	\N	\N	\N
249168	855	1996-06-15	VYDAJ	VYBER	7400	47612	\N	\N	\N
249169	855	1996-07-15	PRIJEM	VKLAD	7700	32540	\N	\N	\N
249170	855	1996-08-14	VYDAJ	VYBER	100	39696	\N	\N	\N
249171	855	1996-09-13	VYDAJ	VYBER	2600	41996	\N	\N	\N
249172	855	1996-10-13	VYDAJ	VYBER	5800	42072	\N	\N	\N
249173	855	1996-11-12	VYDAJ	VYBER	8700	40692	\N	\N	\N
249174	855	1996-12-12	VYDAJ	VYBER	11400	43492	\N	\N	\N
249175	855	1997-01-11	VYDAJ	VYBER	2700	39430	\N	\N	\N
249176	855	1997-02-10	PRIJEM	VKLAD	1800	40486	\N	\N	\N
249177	855	1997-03-12	VYDAJ	VYBER	1800	45986	\N	\N	\N
249178	855	1997-04-11	VYDAJ	VYBER	6700	46615	\N	\N	\N
249179	855	1997-05-11	VYDAJ	VYBER	6700	47253	\N	\N	\N
249180	855	1997-06-10	VYDAJ	VYBER	8900	51976	\N	\N	\N
249181	855	1997-07-10	PRIJEM	VKLAD	8700	32270	\N	\N	\N
249182	855	1997-08-09	PRIJEM	VKLAD	3800	43328	\N	\N	\N
249183	855	1997-09-08	PRIJEM	VKLAD	8900	45883	\N	\N	\N
249184	855	1997-10-08	PRIJEM	VKLAD	2900	53120	\N	\N	\N
249185	855	1997-11-07	VYDAJ	VYBER	5500	55002	\N	\N	\N
249186	855	1997-12-07	VYDAJ	VYBER	6500	54939	\N	\N	\N
249187	855	1998-01-06	VYDAJ	VYBER	6500	60461	\N	\N	\N
249188	855	1998-02-05	PRIJEM	VKLAD	3600	44993	\N	\N	\N
249189	855	1998-03-07	PRIJEM	VKLAD	2900	51989	\N	\N	\N
249190	855	1998-04-06	VYDAJ	VYBER	5400	53965	\N	\N	\N
249191	855	1998-05-06	VYDAJ	VYBER	4700	52689	\N	\N	\N
249192	855	1998-06-05	PRIJEM	VKLAD	4900	48407	\N	\N	\N
249193	855	1998-07-05	VYDAJ	VYBER	4100	58578	\N	\N	\N
249194	855	1998-08-04	VYDAJ	VYBER	5400	60588	\N	\N	\N
249195	855	1998-09-03	VYDAJ	VYBER	8400	58045	\N	\N	\N
249196	855	1998-10-03	VYDAJ	VYBER	4700	60756	\N	\N	\N
249197	855	1998-11-02	VYDAJ	VYBER	4700	61550	\N	\N	\N
249198	855	1998-12-02	VYDAJ	VYBER	8300	59830	\N	\N	\N
249256	856	1996-03-03	PRIJEM	VKLAD	900	900	\N	\N	\N
249259	856	1996-03-10	PRIJEM	VKLAD	12807	13707	\N	\N	\N
249260	856	1996-04-10	PRIJEM	VKLAD	12807	33155	\N	\N	\N
249261	856	1996-05-10	PRIJEM	VKLAD	12807	41975	\N	\N	\N
249262	856	1996-06-10	PRIJEM	VKLAD	19210	52150	\N	\N	\N
249263	856	1996-07-10	PRIJEM	VKLAD	12807	49861	\N	\N	\N
249264	856	1996-08-10	PRIJEM	VKLAD	12807	44931	\N	\N	\N
249265	856	1996-09-10	PRIJEM	VKLAD	12807	41545	\N	\N	\N
249266	856	1996-10-10	PRIJEM	VKLAD	12807	43646	\N	\N	\N
249267	856	1996-11-10	PRIJEM	VKLAD	12807	40153	\N	\N	\N
249268	856	1996-12-10	PRIJEM	VKLAD	19210	43270	\N	\N	\N
249269	856	1997-01-10	PRIJEM	VKLAD	12807	44572	\N	\N	\N
249270	856	1997-02-10	PRIJEM	VKLAD	12807	45282	\N	\N	\N
249271	856	1997-03-10	PRIJEM	VKLAD	12807	42816	\N	\N	\N
249272	856	1997-04-10	PRIJEM	VKLAD	12807	46122	\N	\N	\N
249273	856	1997-05-10	PRIJEM	VKLAD	12807	39339	\N	\N	\N
249274	856	1997-06-10	PRIJEM	VKLAD	19210	49236	\N	\N	\N
249275	856	1997-07-10	PRIJEM	VKLAD	12807	50658	\N	\N	\N
249276	856	1997-08-10	PRIJEM	VKLAD	12807	53394	\N	\N	\N
249277	856	1997-09-10	PRIJEM	VKLAD	12807	55241	\N	\N	\N
249278	856	1997-10-10	PRIJEM	VKLAD	12807	55016	\N	\N	\N
249279	856	1997-11-10	PRIJEM	VKLAD	12807	56167	\N	\N	\N
249280	856	1997-12-10	PRIJEM	VKLAD	19210	64327	\N	\N	\N
249281	856	1998-01-10	PRIJEM	VKLAD	12807	59902	\N	\N	\N
249282	856	1998-02-10	PRIJEM	VKLAD	12807	61272	\N	\N	\N
249283	856	1998-03-10	PRIJEM	VKLAD	12807	59044	\N	\N	\N
249284	856	1998-04-10	PRIJEM	VKLAD	12807	56107	\N	\N	\N
249285	856	1998-05-10	PRIJEM	VKLAD	12807	51718	\N	\N	\N
249286	856	1998-06-10	PRIJEM	VKLAD	19210	59359	\N	\N	\N
249287	856	1998-07-10	PRIJEM	VKLAD	12807	55411	\N	\N	\N
249288	856	1998-08-10	PRIJEM	VKLAD	12807	59165	\N	\N	\N
249289	856	1998-09-10	PRIJEM	VKLAD	12807	55423	\N	\N	\N
249290	856	1998-10-10	PRIJEM	VKLAD	12807	52467	\N	\N	\N
249291	856	1998-11-10	PRIJEM	VKLAD	12807	50499	\N	\N	\N
249292	856	1998-12-10	PRIJEM	VKLAD	19210	59131	\N	\N	\N
249299	856	1996-07-11	VYDAJ	PREVOD NA UCET	3625	46236	SIPO	UV	71847098
249300	856	1996-08-11	VYDAJ	PREVOD NA UCET	3625	41306	SIPO	UV	71847098
249301	856	1996-09-11	VYDAJ	PREVOD NA UCET	3625	37920	SIPO	UV	71847098
249302	856	1996-10-11	VYDAJ	PREVOD NA UCET	3625	40021	SIPO	UV	71847098
249303	856	1996-11-11	VYDAJ	PREVOD NA UCET	3625	36528	SIPO	UV	71847098
249304	856	1996-12-11	VYDAJ	PREVOD NA UCET	3625	39645	SIPO	UV	71847098
249305	856	1997-01-11	VYDAJ	PREVOD NA UCET	3625	40947	SIPO	UV	71847098
249306	856	1997-02-11	VYDAJ	PREVOD NA UCET	3625	41657	SIPO	UV	71847098
249307	856	1997-03-11	VYDAJ	PREVOD NA UCET	3625	39191	SIPO	UV	71847098
249308	856	1997-04-11	VYDAJ	PREVOD NA UCET	3625	42497	SIPO	UV	71847098
249309	856	1997-05-11	VYDAJ	PREVOD NA UCET	3625	35714	SIPO	UV	71847098
249310	856	1997-06-11	VYDAJ	PREVOD NA UCET	3625	45611	SIPO	UV	71847098
249311	856	1997-07-11	VYDAJ	PREVOD NA UCET	3625	47033	SIPO	UV	71847098
249312	856	1997-08-11	VYDAJ	PREVOD NA UCET	3625	49769	SIPO	UV	71847098
249313	856	1997-09-11	VYDAJ	PREVOD NA UCET	3625	51616	SIPO	UV	71847098
249314	856	1997-10-11	VYDAJ	PREVOD NA UCET	3625	51391	SIPO	UV	71847098
249315	856	1997-11-11	VYDAJ	PREVOD NA UCET	3625	52542	SIPO	UV	71847098
249316	856	1997-12-11	VYDAJ	PREVOD NA UCET	3625	60702	SIPO	UV	71847098
249317	856	1998-01-11	VYDAJ	PREVOD NA UCET	3625	56277	SIPO	UV	71847098
249318	856	1998-02-11	VYDAJ	PREVOD NA UCET	3625	57647	SIPO	UV	71847098
249319	856	1998-03-11	VYDAJ	PREVOD NA UCET	3625	55419	SIPO	UV	71847098
249320	856	1998-04-11	VYDAJ	PREVOD NA UCET	3625	52482	SIPO	UV	71847098
249321	856	1998-05-11	VYDAJ	PREVOD NA UCET	3625	48093	SIPO	UV	71847098
249322	856	1998-06-11	VYDAJ	PREVOD NA UCET	3625	55734	SIPO	UV	71847098
249323	856	1998-07-11	VYDAJ	PREVOD NA UCET	3625	51786	SIPO	UV	71847098
249324	856	1998-08-11	VYDAJ	PREVOD NA UCET	3625	55540	SIPO	UV	71847098
249325	856	1998-09-11	VYDAJ	PREVOD NA UCET	3625	51798	SIPO	UV	71847098
249326	856	1998-10-11	VYDAJ	PREVOD NA UCET	3625	48842	SIPO	UV	71847098
249327	856	1998-11-11	VYDAJ	PREVOD NA UCET	3625	46874	SIPO	UV	71847098
249328	856	1998-12-11	VYDAJ	PREVOD NA UCET	3625	55506	SIPO	UV	71847098
249335	856	1996-07-12	VYDAJ	PREVOD NA UCET	571	45665	 	ST	69347637
249336	856	1996-08-12	VYDAJ	PREVOD NA UCET	571	40735	 	ST	69347637
249337	856	1996-09-12	VYDAJ	PREVOD NA UCET	571	37349	 	ST	69347637
249338	856	1996-10-12	VYDAJ	PREVOD NA UCET	571	39450	 	ST	69347637
249339	856	1996-11-12	VYDAJ	PREVOD NA UCET	571	35957	 	ST	69347637
249340	856	1996-12-12	VYDAJ	PREVOD NA UCET	571	39074	 	ST	69347637
249341	856	1997-01-12	VYDAJ	PREVOD NA UCET	571	40376	 	ST	69347637
249342	856	1997-02-12	VYDAJ	PREVOD NA UCET	571	41086	 	ST	69347637
249343	856	1997-03-12	VYDAJ	PREVOD NA UCET	571	38620	 	ST	69347637
249344	856	1997-04-12	VYDAJ	PREVOD NA UCET	571	41926	 	ST	69347637
249345	856	1997-05-12	VYDAJ	PREVOD NA UCET	571	35143	 	ST	69347637
249346	856	1997-06-12	VYDAJ	PREVOD NA UCET	571	45040	 	ST	69347637
249347	856	1997-07-12	VYDAJ	PREVOD NA UCET	571	46462	 	ST	69347637
249348	856	1997-08-12	VYDAJ	PREVOD NA UCET	571	49198	 	ST	69347637
249349	856	1997-09-12	VYDAJ	PREVOD NA UCET	571	51045	 	ST	69347637
249350	856	1997-10-12	VYDAJ	PREVOD NA UCET	571	50820	 	ST	69347637
249351	856	1997-11-12	VYDAJ	PREVOD NA UCET	571	51971	 	ST	69347637
249352	856	1997-12-12	VYDAJ	PREVOD NA UCET	571	60131	 	ST	69347637
249353	856	1998-01-12	VYDAJ	PREVOD NA UCET	571	55706	 	ST	69347637
249354	856	1998-02-12	VYDAJ	PREVOD NA UCET	571	57076	 	ST	69347637
249355	856	1998-03-12	VYDAJ	PREVOD NA UCET	571	54848	 	ST	69347637
249356	856	1998-04-12	VYDAJ	PREVOD NA UCET	571	51911	 	ST	69347637
249357	856	1998-05-12	VYDAJ	PREVOD NA UCET	571	47522	 	ST	69347637
249358	856	1998-06-12	VYDAJ	PREVOD NA UCET	571	55163	 	ST	69347637
249359	856	1998-07-12	VYDAJ	PREVOD NA UCET	571	51215	 	ST	69347637
249360	856	1998-08-12	VYDAJ	PREVOD NA UCET	571	54969	 	ST	69347637
249361	856	1998-09-12	VYDAJ	PREVOD NA UCET	571	51227	 	ST	69347637
249362	856	1998-10-12	VYDAJ	PREVOD NA UCET	571	48271	 	ST	69347637
249363	856	1998-11-12	VYDAJ	PREVOD NA UCET	571	46303	 	ST	69347637
249364	856	1998-12-12	VYDAJ	PREVOD NA UCET	571	54935	 	ST	69347637
249372	856	1996-08-07	VYDAJ	PREVOD NA UCET	137	32124	POJISTNE	CD	45113939
249373	856	1996-09-07	VYDAJ	PREVOD NA UCET	137	28738	POJISTNE	CD	45113939
249374	856	1996-10-07	VYDAJ	PREVOD NA UCET	137	30839	POJISTNE	CD	45113939
249375	856	1996-11-07	VYDAJ	PREVOD NA UCET	137	27346	POJISTNE	CD	45113939
249376	856	1996-12-07	VYDAJ	PREVOD NA UCET	137	24060	POJISTNE	CD	45113939
249377	856	1997-01-07	VYDAJ	PREVOD NA UCET	137	31765	POJISTNE	CD	45113939
249378	856	1997-02-07	VYDAJ	PREVOD NA UCET	137	32475	POJISTNE	CD	45113939
249379	856	1997-03-07	VYDAJ	PREVOD NA UCET	137	30009	POJISTNE	CD	45113939
249380	856	1997-04-07	VYDAJ	PREVOD NA UCET	137	33315	POJISTNE	CD	45113939
249381	856	1997-05-07	VYDAJ	PREVOD NA UCET	137	26532	POJISTNE	CD	45113939
249382	856	1997-06-07	VYDAJ	PREVOD NA UCET	137	30026	POJISTNE	CD	45113939
249383	856	1997-07-07	VYDAJ	PREVOD NA UCET	137	37851	POJISTNE	CD	45113939
249384	856	1997-08-07	VYDAJ	PREVOD NA UCET	137	40587	POJISTNE	CD	45113939
249385	856	1997-09-07	VYDAJ	PREVOD NA UCET	137	42434	POJISTNE	CD	45113939
249386	856	1997-10-07	VYDAJ	PREVOD NA UCET	137	42209	POJISTNE	CD	45113939
249387	856	1997-11-07	VYDAJ	PREVOD NA UCET	137	43360	POJISTNE	CD	45113939
249388	856	1997-12-07	VYDAJ	PREVOD NA UCET	137	45117	POJISTNE	CD	45113939
249389	856	1998-01-07	VYDAJ	PREVOD NA UCET	137	47095	POJISTNE	CD	45113939
249390	856	1998-02-07	VYDAJ	PREVOD NA UCET	137	48465	POJISTNE	CD	45113939
249391	856	1998-03-07	VYDAJ	PREVOD NA UCET	137	46237	POJISTNE	CD	45113939
249392	856	1998-04-07	VYDAJ	PREVOD NA UCET	137	43300	POJISTNE	CD	45113939
249393	856	1998-05-07	VYDAJ	PREVOD NA UCET	137	41551	POJISTNE	CD	45113939
249394	856	1998-06-07	VYDAJ	PREVOD NA UCET	137	40149	POJISTNE	CD	45113939
249395	856	1998-07-07	VYDAJ	PREVOD NA UCET	137	42604	POJISTNE	CD	45113939
249396	856	1998-08-07	VYDAJ	PREVOD NA UCET	137	46358	POJISTNE	CD	45113939
249397	856	1998-09-07	VYDAJ	PREVOD NA UCET	137	42616	POJISTNE	CD	45113939
249398	856	1998-10-07	VYDAJ	PREVOD NA UCET	137	39660	POJISTNE	CD	45113939
249399	856	1998-11-07	VYDAJ	PREVOD NA UCET	137	37692	POJISTNE	CD	45113939
249400	856	1998-12-07	VYDAJ	PREVOD NA UCET	137	39921	POJISTNE	CD	45113939
249408	856	1996-08-06	VYDAJ	PREVOD NA UCET	1404	32261	 	KL	66175556
249409	856	1996-09-06	VYDAJ	PREVOD NA UCET	1404	28875	 	KL	66175556
249410	856	1996-10-06	VYDAJ	PREVOD NA UCET	1404	30976	 	KL	66175556
249411	856	1996-11-06	VYDAJ	PREVOD NA UCET	1404	27483	 	KL	66175556
249412	856	1996-12-06	VYDAJ	PREVOD NA UCET	1404	28677	 	KL	66175556
249413	856	1997-01-06	VYDAJ	PREVOD NA UCET	1404	31902	 	KL	66175556
249414	856	1997-02-06	VYDAJ	PREVOD NA UCET	1404	32612	 	KL	66175556
249415	856	1997-03-06	VYDAJ	PREVOD NA UCET	1404	30146	 	KL	66175556
249416	856	1997-04-06	VYDAJ	PREVOD NA UCET	1404	33452	 	KL	66175556
249417	856	1997-05-06	VYDAJ	PREVOD NA UCET	1404	26669	 	KL	66175556
249418	856	1997-06-06	VYDAJ	PREVOD NA UCET	1404	30163	 	KL	66175556
249419	856	1997-07-06	VYDAJ	PREVOD NA UCET	1404	37988	 	KL	66175556
249420	856	1997-08-06	VYDAJ	PREVOD NA UCET	1404	40724	 	KL	66175556
249421	856	1997-09-06	VYDAJ	PREVOD NA UCET	1404	42571	 	KL	66175556
249422	856	1997-10-06	VYDAJ	PREVOD NA UCET	1404	42346	 	KL	66175556
249423	856	1997-11-06	VYDAJ	PREVOD NA UCET	1404	43497	 	KL	66175556
249424	856	1997-12-06	VYDAJ	PREVOD NA UCET	1404	45254	 	KL	66175556
249425	856	1998-01-06	VYDAJ	PREVOD NA UCET	1404	47232	 	KL	66175556
249426	856	1998-02-06	VYDAJ	PREVOD NA UCET	1404	48602	 	KL	66175556
249427	856	1998-03-06	VYDAJ	PREVOD NA UCET	1404	46374	 	KL	66175556
249428	856	1998-04-06	VYDAJ	PREVOD NA UCET	1404	43437	 	KL	66175556
249429	856	1998-05-06	VYDAJ	PREVOD NA UCET	1404	41688	 	KL	66175556
249430	856	1998-06-06	VYDAJ	PREVOD NA UCET	1404	40286	 	KL	66175556
249431	856	1998-07-06	VYDAJ	PREVOD NA UCET	1404	42741	 	KL	66175556
249432	856	1998-08-06	VYDAJ	PREVOD NA UCET	1404	46495	 	KL	66175556
249433	856	1998-09-06	VYDAJ	PREVOD NA UCET	1404	42753	 	KL	66175556
249434	856	1998-10-06	VYDAJ	PREVOD NA UCET	1404	39797	 	KL	66175556
249435	856	1998-11-06	VYDAJ	PREVOD NA UCET	1404	37829	 	KL	66175556
249436	856	1998-12-06	VYDAJ	PREVOD NA UCET	1404	40058	 	KL	66175556
249440	856	1996-12-07	VYDAJ	VYBER	4480	24197	\N	\N	\N
249441	856	1997-12-22	VYDAJ	VYBER	4160	52731	\N	\N	\N
249442	856	1998-12-30	VYDAJ	VYBER KARTOU	1800	42435	\N	\N	0
249447	856	1996-07-20	VYDAJ	VYBER	1680	43985	\N	\N	\N
249449	856	1997-12-28	VYDAJ	VYBER	3600	48431	\N	\N	\N
249450	856	1997-09-29	VYDAJ	VYBER	4680	43565	\N	\N	\N
249451	856	1997-03-03	VYDAJ	VYBER	1680	31550	\N	\N	\N
249452	856	1997-05-05	VYDAJ	VYBER	5400	28073	\N	\N	\N
249453	856	1997-12-19	VYDAJ	VYBER	3240	56891	\N	\N	\N
249454	856	1998-05-09	VYDAJ	VYBER	2640	38911	\N	\N	\N
249455	856	1998-10-06	VYDAJ	VYBER KARTOU	1700	41201	\N	\N	0
249463	856	1996-07-31	VYDAJ	VYBER	15	33665	SLUZBY	\N	\N
249464	856	1996-08-31	VYDAJ	VYBER	15	30279	SLUZBY	\N	\N
249465	856	1996-09-30	VYDAJ	VYBER	15	32380	SLUZBY	\N	\N
249466	856	1996-10-31	VYDAJ	VYBER	15	28887	SLUZBY	\N	\N
249467	856	1996-11-30	VYDAJ	VYBER	15	30081	SLUZBY	\N	\N
249468	856	1996-12-31	VYDAJ	VYBER	15	33306	SLUZBY	\N	\N
249469	856	1997-01-31	VYDAJ	VYBER	15	34016	SLUZBY	\N	\N
249470	856	1997-02-28	VYDAJ	VYBER	15	33230	SLUZBY	\N	\N
249471	856	1997-03-31	VYDAJ	VYBER	15	34856	SLUZBY	\N	\N
249472	856	1997-04-30	VYDAJ	VYBER	15	33473	SLUZBY	\N	\N
249473	856	1997-05-31	VYDAJ	VYBER	15	31567	SLUZBY	\N	\N
249474	856	1997-06-30	VYDAJ	VYBER	15	39392	SLUZBY	\N	\N
249475	856	1997-07-31	VYDAJ	VYBER	15	42128	SLUZBY	\N	\N
249476	856	1997-08-31	VYDAJ	VYBER	15	43975	SLUZBY	\N	\N
249477	856	1997-09-30	VYDAJ	VYBER	15	43750	SLUZBY	\N	\N
249478	856	1997-10-31	VYDAJ	VYBER	15	44901	SLUZBY	\N	\N
249479	856	1997-11-30	VYDAJ	VYBER	15	46658	SLUZBY	\N	\N
249480	856	1997-12-31	VYDAJ	VYBER	15	48636	SLUZBY	\N	\N
249481	856	1998-01-31	VYDAJ	VYBER	15	50006	SLUZBY	\N	\N
249482	856	1998-02-28	VYDAJ	VYBER	15	47778	SLUZBY	\N	\N
249483	856	1998-03-31	VYDAJ	VYBER	15	44841	SLUZBY	\N	\N
249484	856	1998-04-30	VYDAJ	VYBER	15	43092	SLUZBY	\N	\N
249485	856	1998-05-31	VYDAJ	VYBER	15	41690	SLUZBY	\N	\N
249486	856	1998-06-30	VYDAJ	VYBER	15	44145	SLUZBY	\N	\N
249487	856	1998-07-31	VYDAJ	VYBER	15	47899	SLUZBY	\N	\N
249488	856	1998-08-31	VYDAJ	VYBER	15	44157	SLUZBY	\N	\N
249489	856	1998-09-30	VYDAJ	VYBER	15	42901	SLUZBY	\N	\N
249490	856	1998-10-31	VYDAJ	VYBER	15	39233	SLUZBY	\N	\N
249491	856	1998-11-30	VYDAJ	VYBER	15	41462	SLUZBY	\N	\N
249492	856	1996-04-02	PRIJEM	VKLAD	6600	20348	\N	\N	\N
249493	856	1996-05-02	VYDAJ	VYBER	4100	29168	\N	\N	\N
249494	856	1996-06-01	VYDAJ	VYBER	9200	32940	\N	\N	\N
249495	856	1996-07-01	VYDAJ	VYBER	15300	37054	\N	\N	\N
249496	856	1996-07-31	VYDAJ	VYBER	10500	33680	\N	\N	\N
249497	856	1996-08-30	VYDAJ	VYBER	10600	30135	\N	\N	\N
249498	856	1996-09-29	VYDAJ	VYBER	5100	32249	\N	\N	\N
249499	856	1996-10-29	VYDAJ	VYBER	10700	28750	\N	\N	\N
249500	856	1996-11-28	VYDAJ	VYBER	6000	29957	\N	\N	\N
249501	856	1996-12-28	VYDAJ	VYBER	5900	33174	\N	\N	\N
249502	856	1997-01-27	VYDAJ	VYBER	6500	33876	\N	\N	\N
249503	856	1997-02-26	VYDAJ	VYBER	8000	33086	\N	\N	\N
249504	856	1997-03-28	VYDAJ	VYBER	3900	34720	\N	\N	\N
249505	856	1997-04-27	VYDAJ	VYBER	8600	33326	\N	\N	\N
249506	856	1997-05-27	VYDAJ	VYBER	3700	31443	\N	\N	\N
249507	856	1997-06-26	VYDAJ	VYBER	5800	39240	\N	\N	\N
249508	856	1997-07-26	VYDAJ	VYBER	4500	41962	\N	\N	\N
249509	856	1997-08-25	VYDAJ	VYBER	5400	43798	\N	\N	\N
249510	856	1997-09-24	VYDAJ	VYBER	2800	48245	\N	\N	\N
249511	856	1997-10-24	VYDAJ	VYBER	6100	44720	\N	\N	\N
249512	856	1997-11-23	VYDAJ	VYBER	5500	46471	\N	\N	\N
249513	856	1997-12-23	VYDAJ	VYBER	700	52031	\N	\N	\N
249514	856	1998-01-22	VYDAJ	VYBER	5900	49806	\N	\N	\N
249515	856	1998-02-21	VYDAJ	VYBER	9500	47576	\N	\N	\N
249516	856	1998-03-23	VYDAJ	VYBER	10200	44648	\N	\N	\N
249517	856	1998-04-22	VYDAJ	VYBER	9000	42911	\N	\N	\N
249518	856	1998-05-22	VYDAJ	VYBER	6000	41522	\N	\N	\N
249519	856	1998-06-21	VYDAJ	VYBER	11200	43963	\N	\N	\N
249520	856	1998-07-21	VYDAJ	VYBER KARTOU	3500	47715	\N	\N	0
249521	856	1998-08-20	VYDAJ	VYBER	11000	43969	\N	\N	\N
249522	856	1998-09-19	VYDAJ	VYBER	8500	42727	\N	\N	\N
249523	856	1998-10-19	VYDAJ	VYBER	9200	39071	\N	\N	\N
249524	856	1998-11-18	VYDAJ	VYBER	5000	41303	\N	\N	\N
249525	856	1998-12-18	VYDAJ	VYBER	10700	44235	\N	\N	\N
249560	857	1993-09-16	PRIJEM	VKLAD	1100	1100	\N	\N	\N
249570	857	1993-10-13	PRIJEM	PREVOD Z UCTU	4529	5629	DUCHOD	EF	33564669
249571	857	1993-11-13	PRIJEM	PREVOD Z UCTU	4529	10158	DUCHOD	EF	33564669
249572	857	1993-12-13	PRIJEM	PREVOD Z UCTU	4529	14687	DUCHOD	EF	33564669
249573	857	1994-01-13	PRIJEM	PREVOD Z UCTU	4529	19216	DUCHOD	EF	33564669
249574	857	1994-02-13	PRIJEM	PREVOD Z UCTU	4529	23745	DUCHOD	EF	33564669
249575	857	1994-03-13	PRIJEM	PREVOD Z UCTU	4529	23250	DUCHOD	EF	33564669
249576	857	1994-04-13	PRIJEM	PREVOD Z UCTU	4529	24830	DUCHOD	EF	33564669
249577	857	1994-05-13	PRIJEM	PREVOD Z UCTU	4529	26414	DUCHOD	EF	33564669
249578	857	1994-06-13	PRIJEM	PREVOD Z UCTU	4529	24383	DUCHOD	EF	33564669
249579	857	1994-07-13	PRIJEM	PREVOD Z UCTU	4529	23085	DUCHOD	EF	33564669
249580	857	1994-08-13	PRIJEM	PREVOD Z UCTU	4529	23865	DUCHOD	EF	33564669
249581	857	1994-09-13	PRIJEM	PREVOD Z UCTU	4529	22844	DUCHOD	EF	33564669
249582	857	1994-10-13	PRIJEM	PREVOD Z UCTU	4529	24424	DUCHOD	EF	33564669
249583	857	1994-11-13	PRIJEM	PREVOD Z UCTU	4529	24106	DUCHOD	EF	33564669
249584	857	1994-12-13	PRIJEM	PREVOD Z UCTU	4529	25191	DUCHOD	EF	33564669
249585	857	1995-01-13	PRIJEM	PREVOD Z UCTU	4529	20927	DUCHOD	EF	33564669
249586	857	1995-02-13	PRIJEM	PREVOD Z UCTU	4529	18003	DUCHOD	EF	33564669
249587	857	1995-03-13	PRIJEM	PREVOD Z UCTU	4529	19564	DUCHOD	EF	33564669
249588	857	1995-04-13	PRIJEM	PREVOD Z UCTU	4529	21126	DUCHOD	EF	33564669
249589	857	1995-05-13	PRIJEM	PREVOD Z UCTU	4529	22693	DUCHOD	EF	33564669
249590	857	1995-06-13	PRIJEM	PREVOD Z UCTU	4529	20468	DUCHOD	EF	33564669
249591	857	1995-07-13	PRIJEM	PREVOD Z UCTU	4529	20357	DUCHOD	EF	33564669
249592	857	1995-08-13	PRIJEM	PREVOD Z UCTU	4529	18821	DUCHOD	EF	33564669
249593	857	1995-09-13	PRIJEM	PREVOD Z UCTU	4529	17185	DUCHOD	EF	33564669
249594	857	1995-10-13	PRIJEM	PREVOD Z UCTU	4529	17143	DUCHOD	EF	33564669
249595	857	1995-11-13	PRIJEM	PREVOD Z UCTU	4529	17597	DUCHOD	EF	33564669
249596	857	1995-12-13	PRIJEM	PREVOD Z UCTU	4529	18603	DUCHOD	EF	33564669
249597	857	1996-01-13	PRIJEM	PREVOD Z UCTU	4529	15762	DUCHOD	EF	33564669
249598	857	1996-02-13	PRIJEM	PREVOD Z UCTU	4529	15415	DUCHOD	EF	33564669
249599	857	1996-03-13	PRIJEM	PREVOD Z UCTU	4529	16963	DUCHOD	EF	33564669
249600	857	1996-04-13	PRIJEM	PREVOD Z UCTU	4529	15913	DUCHOD	EF	33564669
249601	857	1996-05-13	PRIJEM	PREVOD Z UCTU	4529	17464	DUCHOD	EF	33564669
249602	857	1996-06-13	PRIJEM	PREVOD Z UCTU	4529	19017	DUCHOD	EF	33564669
249603	857	1996-07-13	PRIJEM	PREVOD Z UCTU	4529	20576	DUCHOD	EF	33564669
249604	857	1996-08-13	PRIJEM	PREVOD Z UCTU	4529	22141	DUCHOD	EF	33564669
249605	857	1996-09-13	PRIJEM	PREVOD Z UCTU	4529	17612	DUCHOD	EF	33564669
249606	857	1996-10-13	PRIJEM	PREVOD Z UCTU	4529	19165	DUCHOD	EF	33564669
249607	857	1996-11-13	PRIJEM	PREVOD Z UCTU	4529	20724	DUCHOD	EF	33564669
249608	857	1996-12-13	PRIJEM	PREVOD Z UCTU	4529	22290	DUCHOD	EF	33564669
249609	857	1997-01-13	PRIJEM	PREVOD Z UCTU	4529	19533	DUCHOD	EF	33564669
249610	857	1997-02-13	PRIJEM	PREVOD Z UCTU	4529	21094	DUCHOD	EF	33564669
249611	857	1997-03-13	PRIJEM	PREVOD Z UCTU	4529	21221	DUCHOD	EF	33564669
249612	857	1997-04-13	PRIJEM	PREVOD Z UCTU	4529	22792	DUCHOD	EF	33564669
249613	857	1997-05-13	PRIJEM	PREVOD Z UCTU	4529	23886	DUCHOD	EF	33564669
249614	857	1997-06-13	PRIJEM	PREVOD Z UCTU	4529	23665	DUCHOD	EF	33564669
249615	857	1997-07-13	PRIJEM	PREVOD Z UCTU	4529	22366	DUCHOD	EF	33564669
249616	857	1997-08-13	PRIJEM	PREVOD Z UCTU	4529	23938	DUCHOD	EF	33564669
249617	857	1997-09-13	PRIJEM	PREVOD Z UCTU	4529	25517	DUCHOD	EF	33564669
249618	857	1997-10-13	PRIJEM	PREVOD Z UCTU	4529	27102	DUCHOD	EF	33564669
249619	857	1997-11-13	PRIJEM	PREVOD Z UCTU	4529	27094	DUCHOD	EF	33564669
249620	857	1997-12-13	PRIJEM	PREVOD Z UCTU	4529	28689	DUCHOD	EF	33564669
249621	857	1998-01-13	PRIJEM	PREVOD Z UCTU	4529	29688	DUCHOD	EF	33564669
249622	857	1998-02-13	PRIJEM	PREVOD Z UCTU	4529	27034	DUCHOD	EF	33564669
249623	857	1998-03-13	PRIJEM	PREVOD Z UCTU	4529	25825	DUCHOD	EF	33564669
249624	857	1998-04-13	PRIJEM	PREVOD Z UCTU	4529	27416	DUCHOD	EF	33564669
249625	857	1998-05-13	PRIJEM	PREVOD Z UCTU	4529	29009	DUCHOD	EF	33564669
249626	857	1998-06-13	PRIJEM	PREVOD Z UCTU	4529	21977	DUCHOD	EF	33564669
249627	857	1998-07-13	PRIJEM	PREVOD Z UCTU	4529	23157	DUCHOD	EF	33564669
249628	857	1998-08-13	PRIJEM	PREVOD Z UCTU	4529	24732	DUCHOD	EF	33564669
249629	857	1998-09-13	PRIJEM	PREVOD Z UCTU	4529	26314	DUCHOD	EF	33564669
249630	857	1998-10-13	PRIJEM	PREVOD Z UCTU	4529	24382	DUCHOD	EF	33564669
249631	857	1998-11-13	PRIJEM	PREVOD Z UCTU	4529	25008	DUCHOD	EF	33564669
249632	857	1998-12-13	PRIJEM	PREVOD Z UCTU	4529	25470	DUCHOD	EF	33564669
249646	857	1994-02-14	VYDAJ	PREVOD NA UCET	3019	20526	SIPO	AB	51452183
249647	857	1994-03-14	VYDAJ	PREVOD NA UCET	3019	20231	SIPO	AB	51452183
249648	857	1994-04-14	VYDAJ	PREVOD NA UCET	3019	21811	SIPO	AB	51452183
249649	857	1994-05-14	VYDAJ	PREVOD NA UCET	3019	23395	SIPO	AB	51452183
249650	857	1994-06-14	VYDAJ	PREVOD NA UCET	3019	21364	SIPO	AB	51452183
249651	857	1994-07-14	VYDAJ	PREVOD NA UCET	3019	19266	SIPO	AB	51452183
249652	857	1994-08-14	VYDAJ	PREVOD NA UCET	3019	20846	SIPO	AB	51452183
249653	857	1994-09-14	VYDAJ	PREVOD NA UCET	3019	19825	SIPO	AB	51452183
249654	857	1994-10-14	VYDAJ	PREVOD NA UCET	3019	21405	SIPO	AB	51452183
249655	857	1994-11-14	VYDAJ	PREVOD NA UCET	3019	21087	SIPO	AB	51452183
249656	857	1994-12-14	VYDAJ	PREVOD NA UCET	3019	22172	SIPO	AB	51452183
249657	857	1995-01-14	VYDAJ	PREVOD NA UCET	3019	17908	SIPO	AB	51452183
249658	857	1995-02-14	VYDAJ	PREVOD NA UCET	3019	14984	SIPO	AB	51452183
249659	857	1995-03-14	VYDAJ	PREVOD NA UCET	3019	16545	SIPO	AB	51452183
249660	857	1995-04-14	VYDAJ	PREVOD NA UCET	3019	18107	SIPO	AB	51452183
249661	857	1995-05-14	VYDAJ	PREVOD NA UCET	3019	19674	SIPO	AB	51452183
249662	857	1995-06-14	VYDAJ	PREVOD NA UCET	3019	17449	SIPO	AB	51452183
249663	857	1995-07-14	VYDAJ	PREVOD NA UCET	3019	17338	SIPO	AB	51452183
249664	857	1995-08-14	VYDAJ	PREVOD NA UCET	3019	15802	SIPO	AB	51452183
249665	857	1995-09-14	VYDAJ	PREVOD NA UCET	3019	14166	SIPO	AB	51452183
249666	857	1995-10-14	VYDAJ	PREVOD NA UCET	3019	14124	SIPO	AB	51452183
249667	857	1995-11-14	VYDAJ	PREVOD NA UCET	3019	14578	SIPO	AB	51452183
249668	857	1995-12-14	VYDAJ	PREVOD NA UCET	3019	15584	SIPO	AB	51452183
249669	857	1996-01-14	VYDAJ	PREVOD NA UCET	3019	12743	SIPO	AB	51452183
249670	857	1996-02-14	VYDAJ	PREVOD NA UCET	3019	12396	SIPO	AB	51452183
249671	857	1996-03-14	VYDAJ	PREVOD NA UCET	3019	13944	SIPO	AB	51452183
249672	857	1996-04-14	VYDAJ	PREVOD NA UCET	3019	12894	SIPO	AB	51452183
249673	857	1996-05-14	VYDAJ	PREVOD NA UCET	3019	14445	SIPO	AB	51452183
249674	857	1996-06-14	VYDAJ	PREVOD NA UCET	3019	15998	SIPO	AB	51452183
249675	857	1996-07-14	VYDAJ	PREVOD NA UCET	3019	17557	SIPO	AB	51452183
249676	857	1996-08-14	VYDAJ	PREVOD NA UCET	3019	19122	SIPO	AB	51452183
249677	857	1996-09-14	VYDAJ	PREVOD NA UCET	3019	14593	SIPO	AB	51452183
249678	857	1996-10-14	VYDAJ	PREVOD NA UCET	3019	16146	SIPO	AB	51452183
249679	857	1996-11-14	VYDAJ	PREVOD NA UCET	3019	17705	SIPO	AB	51452183
249680	857	1996-12-14	VYDAJ	PREVOD NA UCET	3019	19271	SIPO	AB	51452183
249681	857	1997-01-14	VYDAJ	PREVOD NA UCET	3019	16514	SIPO	AB	51452183
249682	857	1997-02-14	VYDAJ	PREVOD NA UCET	3019	18075	SIPO	AB	51452183
249683	857	1997-03-14	VYDAJ	PREVOD NA UCET	3019	18202	SIPO	AB	51452183
249684	857	1997-04-14	VYDAJ	PREVOD NA UCET	3019	19773	SIPO	AB	51452183
249685	857	1997-05-14	VYDAJ	PREVOD NA UCET	3019	20867	SIPO	AB	51452183
249686	857	1997-06-14	VYDAJ	PREVOD NA UCET	3019	17766	SIPO	AB	51452183
249687	857	1997-07-14	VYDAJ	PREVOD NA UCET	3019	19347	SIPO	AB	51452183
249688	857	1997-08-14	VYDAJ	PREVOD NA UCET	3019	20919	SIPO	AB	51452183
249689	857	1997-09-14	VYDAJ	PREVOD NA UCET	3019	22498	SIPO	AB	51452183
249690	857	1997-10-14	VYDAJ	PREVOD NA UCET	3019	24083	SIPO	AB	51452183
249691	857	1997-11-14	VYDAJ	PREVOD NA UCET	3019	24075	SIPO	AB	51452183
249692	857	1997-12-14	VYDAJ	PREVOD NA UCET	3019	25670	SIPO	AB	51452183
249693	857	1998-01-14	VYDAJ	PREVOD NA UCET	3019	26669	SIPO	AB	51452183
249694	857	1998-02-14	VYDAJ	PREVOD NA UCET	3019	24015	SIPO	AB	51452183
249695	857	1998-03-14	VYDAJ	PREVOD NA UCET	3019	22806	SIPO	AB	51452183
249696	857	1998-04-14	VYDAJ	PREVOD NA UCET	3019	24397	SIPO	AB	51452183
249697	857	1998-05-14	VYDAJ	PREVOD NA UCET	3019	25990	SIPO	AB	51452183
249698	857	1998-06-14	VYDAJ	PREVOD NA UCET	3019	18958	SIPO	AB	51452183
249699	857	1998-07-14	VYDAJ	PREVOD NA UCET	3019	20138	SIPO	AB	51452183
249700	857	1998-08-14	VYDAJ	PREVOD NA UCET	3019	21713	SIPO	AB	51452183
249701	857	1998-09-14	VYDAJ	PREVOD NA UCET	3019	23295	SIPO	AB	51452183
249702	857	1998-10-14	VYDAJ	PREVOD NA UCET	3019	21363	SIPO	AB	51452183
249703	857	1998-11-14	VYDAJ	PREVOD NA UCET	3019	21989	SIPO	AB	51452183
249704	857	1998-12-14	VYDAJ	PREVOD NA UCET	3019	22451	SIPO	AB	51452183
249709	857	1997-06-12	VYDAJ	VYBER	1800	19136	\N	\N	\N
249710	857	1998-06-10	VYDAJ	VYBER	5750	17448	\N	\N	\N
249713	857	1995-01-09	VYDAJ	VYBER	3250	16398	\N	\N	\N
249716	857	1998-01-20	VYDAJ	VYBER	3850	22819	\N	\N	\N
249718	857	1994-12-02	VYDAJ	VYBER	500	20662	\N	\N	\N
249719	857	1995-12-07	VYDAJ	VYBER	550	14074	\N	\N	\N
249720	857	1996-12-23	VYDAJ	VYBER	800	14951	\N	\N	\N
249721	857	1997-12-27	VYDAJ	VYBER	600	25070	\N	\N	\N
249722	857	1998-12-30	VYDAJ	VYBER	800	21651	\N	\N	\N
249726	857	1994-05-30	VYDAJ	VYBER	3520	19775	\N	\N	\N
249727	857	1994-07-10	VYDAJ	VYBER	2880	18556	\N	\N	\N
249728	857	1994-03-04	VYDAJ	VYBER	1840	18721	\N	\N	\N
249730	857	1995-05-28	VYDAJ	VYBER	800	18874	\N	\N	\N
249731	857	1995-02-09	VYDAJ	VYBER	2000	13474	\N	\N	\N
249732	857	1995-06-23	VYDAJ	VYBER	1680	15769	\N	\N	\N
249733	857	1996-12-15	VYDAJ	VYBER	3520	15751	\N	\N	\N
249735	857	1997-04-30	VYDAJ	VYBER	480	19357	\N	\N	\N
249736	857	1997-03-03	VYDAJ	VYBER	1440	16692	\N	\N	\N
249737	857	1997-11-05	VYDAJ	VYBER	1600	22565	\N	\N	\N
249738	857	1997-06-14	VYDAJ	VYBER	2880	20785	\N	\N	\N
249739	857	1998-12-09	VYDAJ	VYBER	1120	20941	\N	\N	\N
249740	857	1998-10-31	VYDAJ	VYBER	960	20493	\N	\N	\N
249741	857	1998-01-30	VYDAJ	VYBER	400	22419	\N	\N	\N
249742	857	1998-05-29	VYDAJ	VYBER	2880	23110	\N	\N	\N
249743	857	1998-06-25	VYDAJ	VYBER	400	18558	\N	\N	\N
249744	857	1998-03-04	VYDAJ	VYBER	2800	21296	\N	\N	\N
249745	857	1998-10-08	VYDAJ	VYBER	3520	19853	\N	\N	\N
249760	857	1994-02-28	VYDAJ	VYBER	15	20561	SLUZBY	\N	\N
249761	857	1994-03-31	VYDAJ	VYBER	15	20301	SLUZBY	\N	\N
249762	857	1994-04-30	VYDAJ	VYBER	15	21885	SLUZBY	\N	\N
249763	857	1994-05-31	VYDAJ	VYBER	15	19854	SLUZBY	\N	\N
249764	857	1994-06-30	VYDAJ	VYBER	15	21436	SLUZBY	\N	\N
249765	857	1994-07-31	VYDAJ	VYBER	15	19336	SLUZBY	\N	\N
249766	857	1994-08-31	VYDAJ	VYBER	15	20915	SLUZBY	\N	\N
249767	857	1994-09-30	VYDAJ	VYBER	15	19895	SLUZBY	\N	\N
249768	857	1994-10-31	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
249769	857	1994-11-30	VYDAJ	VYBER	15	21162	SLUZBY	\N	\N
249770	857	1994-12-31	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
249771	857	1995-01-31	VYDAJ	VYBER	15	17974	SLUZBY	\N	\N
249772	857	1995-02-28	VYDAJ	VYBER	15	15035	SLUZBY	\N	\N
249773	857	1995-03-31	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
249774	857	1995-04-30	VYDAJ	VYBER	15	18164	SLUZBY	\N	\N
249775	857	1995-05-31	VYDAJ	VYBER	15	18939	SLUZBY	\N	\N
249776	857	1995-06-30	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
249777	857	1995-07-31	VYDAJ	VYBER	15	17392	SLUZBY	\N	\N
249778	857	1995-08-31	VYDAJ	VYBER	15	15856	SLUZBY	\N	\N
249779	857	1995-09-30	VYDAJ	VYBER	15	14214	SLUZBY	\N	\N
249780	857	1995-10-31	VYDAJ	VYBER	15	14168	SLUZBY	\N	\N
249781	857	1995-11-30	VYDAJ	VYBER	15	14624	SLUZBY	\N	\N
249782	857	1995-12-31	VYDAJ	VYBER	15	15633	SLUZBY	\N	\N
249783	857	1996-01-31	VYDAJ	VYBER	15	12786	SLUZBY	\N	\N
249784	857	1996-02-29	VYDAJ	VYBER	15	12434	SLUZBY	\N	\N
249785	857	1996-03-31	VYDAJ	VYBER	15	13984	SLUZBY	\N	\N
249786	857	1996-04-30	VYDAJ	VYBER	15	12935	SLUZBY	\N	\N
249787	857	1996-05-31	VYDAJ	VYBER	15	14488	SLUZBY	\N	\N
249788	857	1996-06-30	VYDAJ	VYBER	15	16047	SLUZBY	\N	\N
249789	857	1996-07-31	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
249790	857	1996-08-31	VYDAJ	VYBER	15	13083	SLUZBY	\N	\N
249791	857	1996-09-30	VYDAJ	VYBER	15	14636	SLUZBY	\N	\N
249792	857	1996-10-31	VYDAJ	VYBER	15	16195	SLUZBY	\N	\N
249793	857	1996-11-30	VYDAJ	VYBER	15	17761	SLUZBY	\N	\N
249794	857	1996-12-31	VYDAJ	VYBER	15	15004	SLUZBY	\N	\N
249795	857	1997-01-31	VYDAJ	VYBER	15	16565	SLUZBY	\N	\N
249796	857	1997-02-28	VYDAJ	VYBER	15	18132	SLUZBY	\N	\N
249797	857	1997-03-31	VYDAJ	VYBER	15	18263	SLUZBY	\N	\N
249798	857	1997-04-30	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
249799	857	1997-05-31	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
249800	857	1997-06-30	VYDAJ	VYBER	15	17837	SLUZBY	\N	\N
249801	857	1997-07-31	VYDAJ	VYBER	15	19409	SLUZBY	\N	\N
249802	857	1997-08-31	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
249803	857	1997-09-30	VYDAJ	VYBER	15	22573	SLUZBY	\N	\N
249804	857	1997-10-31	VYDAJ	VYBER	15	24165	SLUZBY	\N	\N
249805	857	1997-11-30	VYDAJ	VYBER	15	24160	SLUZBY	\N	\N
249806	857	1997-12-31	VYDAJ	VYBER	15	25159	SLUZBY	\N	\N
249807	857	1998-01-31	VYDAJ	VYBER	15	22505	SLUZBY	\N	\N
249808	857	1998-02-28	VYDAJ	VYBER	15	24096	SLUZBY	\N	\N
249809	857	1998-03-31	VYDAJ	VYBER	15	22887	SLUZBY	\N	\N
249810	857	1998-04-30	VYDAJ	VYBER	15	24480	SLUZBY	\N	\N
249811	857	1998-05-31	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
249812	857	1998-06-30	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
249813	857	1998-07-31	VYDAJ	VYBER	15	20203	SLUZBY	\N	\N
249814	857	1998-08-31	VYDAJ	VYBER	15	21785	SLUZBY	\N	\N
249815	857	1998-09-30	VYDAJ	VYBER	15	23373	SLUZBY	\N	\N
249816	857	1998-10-31	VYDAJ	VYBER	15	20479	SLUZBY	\N	\N
249817	857	1998-11-30	VYDAJ	VYBER	15	22061	SLUZBY	\N	\N
249818	857	1994-02-13	VYDAJ	VYBER	200	23545	\N	\N	\N
249819	857	1994-05-14	VYDAJ	VYBER	100	23295	\N	\N	\N
249820	857	1994-07-13	VYDAJ	VYBER	800	22285	\N	\N	\N
249821	857	1994-09-11	VYDAJ	VYBER	2600	18315	\N	\N	\N
249822	857	1994-11-10	VYDAJ	VYBER	1900	19577	\N	\N	\N
249823	857	1995-01-09	VYDAJ	VYBER	2600	19648	\N	\N	\N
249824	857	1995-02-08	VYDAJ	VYBER	2500	15474	\N	\N	\N
249825	857	1995-06-08	VYDAJ	VYBER	3000	15939	\N	\N	\N
249826	857	1995-08-07	VYDAJ	VYBER	3100	14292	\N	\N	\N
249827	857	1995-09-06	VYDAJ	VYBER	3200	12656	\N	\N	\N
249828	857	1995-10-06	VYDAJ	VYBER	1600	12614	\N	\N	\N
249829	857	1995-11-05	VYDAJ	VYBER	1100	13068	\N	\N	\N
249830	857	1996-01-04	VYDAJ	VYBER	4400	11233	\N	\N	\N
249831	857	1996-02-03	VYDAJ	VYBER	1900	10886	\N	\N	\N
249832	857	1996-04-03	VYDAJ	VYBER	2600	11384	\N	\N	\N
249833	857	1996-08-31	VYDAJ	VYBER	6100	13098	\N	\N	\N
249893	858	1996-07-13	PRIJEM	VKLAD	900	900	\N	\N	\N
249901	858	1996-08-05	PRIJEM	VKLAD	23233	24133	\N	\N	\N
249902	858	1996-09-05	PRIJEM	VKLAD	23233	47030	\N	\N	\N
249903	858	1996-10-05	PRIJEM	VKLAD	23233	62805	\N	\N	\N
249904	858	1996-11-05	PRIJEM	VKLAD	23233	69321	\N	\N	\N
249905	858	1996-12-05	PRIJEM	VKLAD	34850	81163	\N	\N	\N
249906	858	1997-01-05	PRIJEM	VKLAD	23233	72539	\N	\N	\N
249907	858	1997-02-05	PRIJEM	VKLAD	23233	45811	\N	\N	\N
249908	858	1997-03-05	PRIJEM	VKLAD	23233	57222	\N	\N	\N
249909	858	1997-04-05	PRIJEM	VKLAD	23233	63750	\N	\N	\N
249910	858	1997-05-05	PRIJEM	VKLAD	23233	66591	\N	\N	\N
249911	858	1997-06-05	PRIJEM	VKLAD	34850	79156	\N	\N	\N
249912	858	1997-07-05	PRIJEM	VKLAD	23233	36779	\N	\N	\N
249913	858	1997-08-05	PRIJEM	VKLAD	23233	52465	\N	\N	\N
249914	858	1997-09-05	PRIJEM	VKLAD	23233	56562	\N	\N	\N
249915	858	1997-10-05	PRIJEM	VKLAD	23233	54780	\N	\N	\N
249916	858	1997-11-05	PRIJEM	VKLAD	23233	51226	\N	\N	\N
249917	858	1997-12-05	PRIJEM	VKLAD	34850	65941	\N	\N	\N
249918	858	1998-01-05	PRIJEM	VKLAD	23233	50316	\N	\N	\N
249919	858	1998-02-05	PRIJEM	VKLAD	23233	49377	\N	\N	\N
249920	858	1998-03-05	PRIJEM	VKLAD	23233	67318	\N	\N	\N
249921	858	1998-04-05	PRIJEM	VKLAD	23233	48941	\N	\N	\N
249922	858	1998-05-05	PRIJEM	VKLAD	23233	53482	\N	\N	\N
249923	858	1998-06-05	PRIJEM	VKLAD	34850	67961	\N	\N	\N
249924	858	1998-07-05	PRIJEM	VKLAD	23233	49436	\N	\N	\N
249925	858	1998-08-05	PRIJEM	VKLAD	23233	52079	\N	\N	\N
249926	858	1998-09-05	PRIJEM	VKLAD	23233	55636	\N	\N	\N
249927	858	1998-10-05	PRIJEM	VKLAD	23233	49026	\N	\N	\N
249928	858	1998-11-05	PRIJEM	VKLAD	23233	50878	\N	\N	\N
249929	858	1998-12-05	PRIJEM	VKLAD	34850	64049	\N	\N	\N
249941	858	1996-12-08	VYDAJ	PREVOD NA UCET	5456	75707	SIPO	ST	28566694
249942	858	1997-01-08	VYDAJ	PREVOD NA UCET	5456	65283	SIPO	ST	28566694
249943	858	1997-02-08	VYDAJ	PREVOD NA UCET	5456	40355	SIPO	ST	28566694
249944	858	1997-03-08	VYDAJ	PREVOD NA UCET	5456	51766	SIPO	ST	28566694
249945	858	1997-04-08	VYDAJ	PREVOD NA UCET	5456	58294	SIPO	ST	28566694
249946	858	1997-05-08	VYDAJ	PREVOD NA UCET	5456	61135	SIPO	ST	28566694
249947	858	1997-06-08	VYDAJ	PREVOD NA UCET	5456	50500	SIPO	ST	28566694
249948	858	1997-07-08	VYDAJ	PREVOD NA UCET	5456	29123	SIPO	ST	28566694
249949	858	1997-08-08	VYDAJ	PREVOD NA UCET	5456	33209	SIPO	ST	28566694
249950	858	1997-09-08	VYDAJ	PREVOD NA UCET	5456	33106	SIPO	ST	28566694
249951	858	1997-10-08	VYDAJ	PREVOD NA UCET	5456	30284	SIPO	ST	28566694
249952	858	1997-11-08	VYDAJ	PREVOD NA UCET	5456	30970	SIPO	ST	28566694
249953	858	1997-12-08	VYDAJ	PREVOD NA UCET	5456	37085	SIPO	ST	28566694
249954	858	1998-01-08	VYDAJ	PREVOD NA UCET	5456	43180	SIPO	ST	28566694
249955	858	1998-02-08	VYDAJ	PREVOD NA UCET	5456	43921	SIPO	ST	28566694
249956	858	1998-03-08	VYDAJ	PREVOD NA UCET	5456	39162	SIPO	ST	28566694
249957	858	1998-04-08	VYDAJ	PREVOD NA UCET	5456	43485	SIPO	ST	28566694
249958	858	1998-05-08	VYDAJ	PREVOD NA UCET	5456	48026	SIPO	ST	28566694
249959	858	1998-06-08	VYDAJ	PREVOD NA UCET	5456	62505	SIPO	ST	28566694
249960	858	1998-07-08	VYDAJ	PREVOD NA UCET	5456	43980	SIPO	ST	28566694
249961	858	1998-08-08	VYDAJ	PREVOD NA UCET	5456	46623	SIPO	ST	28566694
249962	858	1998-09-08	VYDAJ	PREVOD NA UCET	5456	50180	SIPO	ST	28566694
249963	858	1998-10-08	VYDAJ	PREVOD NA UCET	5456	42490	SIPO	ST	28566694
249964	858	1998-11-08	VYDAJ	PREVOD NA UCET	5456	45422	SIPO	ST	28566694
249965	858	1998-12-08	VYDAJ	PREVOD NA UCET	5456	58593	SIPO	ST	28566694
249967	858	1997-06-24	VYDAJ	VYBER	37120	13380	\N	\N	\N
249968	858	1998-06-25	VYDAJ	VYBER	25920	36585	\N	\N	\N
249970	858	1997-01-28	VYDAJ	VYBER	12320	22423	\N	\N	\N
249971	858	1998-01-14	VYDAJ	VYBER	4480	37500	\N	\N	\N
249978	858	1997-01-15	VYDAJ	VYBER	2280	36063	\N	\N	\N
249979	858	1997-01-16	VYDAJ	VYBER	1320	34743	\N	\N	\N
249980	858	1997-01-04	VYDAJ	VYBER	1800	49306	\N	\N	\N
249981	858	1997-01-06	VYDAJ	VYBER	1800	70739	\N	\N	\N
249982	858	1997-01-09	VYDAJ	VYBER	720	41463	\N	\N	\N
249983	858	1997-01-10	VYDAJ	VYBER	3120	38343	\N	\N	\N
249984	858	1998-01-29	VYDAJ	VYBER	2040	33300	\N	\N	\N
249985	858	1998-01-13	VYDAJ	VYBER	1200	41980	\N	\N	\N
249986	858	1998-01-30	VYDAJ	VYBER	600	32700	\N	\N	\N
249987	858	1998-01-17	VYDAJ	VYBER	2160	35340	\N	\N	\N
249988	858	1998-01-01	VYDAJ	VYBER	2640	34583	\N	\N	\N
249989	858	1998-01-08	VYDAJ	VYBER	1680	48636	\N	\N	\N
249994	858	1997-10-09	VYDAJ	VYBER	2400	27884	\N	\N	\N
249995	858	1997-10-05	VYDAJ	VYBER	5040	49740	\N	\N	\N
249996	858	1997-09-12	VYDAJ	VYBER	1680	31426	\N	\N	\N
249997	858	1998-11-09	VYDAJ	VYBER	5760	39662	\N	\N	\N
249998	858	1998-09-28	VYDAJ	VYBER	1680	48500	\N	\N	\N
249999	858	1998-10-08	VYDAJ	VYBER	1080	47946	\N	\N	\N
250000	858	1998-10-13	VYDAJ	VYBER	3240	38290	\N	\N	\N
250001	858	1998-10-09	VYDAJ	VYBER	960	41530	\N	\N	\N
250002	858	1998-03-12	VYDAJ	VYBER	2400	36762	\N	\N	\N
250015	858	1996-12-31	VYDAJ	VYBER	15	51106	SLUZBY	\N	\N
250016	858	1997-01-31	VYDAJ	VYBER	15	22578	SLUZBY	\N	\N
250017	858	1997-02-28	VYDAJ	VYBER	15	33989	SLUZBY	\N	\N
250018	858	1997-03-31	VYDAJ	VYBER	15	40517	SLUZBY	\N	\N
250019	858	1997-04-30	VYDAJ	VYBER	15	43358	SLUZBY	\N	\N
250020	858	1997-05-31	VYDAJ	VYBER	15	44306	SLUZBY	\N	\N
250021	858	1997-06-30	VYDAJ	VYBER	15	13546	SLUZBY	\N	\N
250022	858	1997-07-31	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
250023	858	1997-08-31	VYDAJ	VYBER	15	33329	SLUZBY	\N	\N
250024	858	1997-09-30	VYDAJ	VYBER	15	31547	SLUZBY	\N	\N
250025	858	1997-10-31	VYDAJ	VYBER	15	27993	SLUZBY	\N	\N
250026	858	1997-11-30	VYDAJ	VYBER	15	31091	SLUZBY	\N	\N
250027	858	1997-12-31	VYDAJ	VYBER	15	37223	SLUZBY	\N	\N
250028	858	1998-01-31	VYDAJ	VYBER	15	32844	SLUZBY	\N	\N
250029	858	1998-02-28	VYDAJ	VYBER	15	44085	SLUZBY	\N	\N
250030	858	1998-03-31	VYDAJ	VYBER	15	36908	SLUZBY	\N	\N
250031	858	1998-04-30	VYDAJ	VYBER	15	43649	SLUZBY	\N	\N
250032	858	1998-05-31	VYDAJ	VYBER	15	48211	SLUZBY	\N	\N
250033	858	1998-06-30	VYDAJ	VYBER	15	36803	SLUZBY	\N	\N
250034	858	1998-07-31	VYDAJ	VYBER	15	44146	SLUZBY	\N	\N
250035	858	1998-08-31	VYDAJ	VYBER	15	46803	SLUZBY	\N	\N
250036	858	1998-09-30	VYDAJ	VYBER	15	48693	SLUZBY	\N	\N
250037	858	1998-10-31	VYDAJ	VYBER	15	38445	SLUZBY	\N	\N
250038	858	1998-11-30	VYDAJ	VYBER	15	29199	SLUZBY	\N	\N
250039	858	1996-08-12	VYDAJ	VYBER	400	23733	\N	\N	\N
250040	858	1996-09-11	VYDAJ	VYBER	7600	39430	\N	\N	\N
250041	858	1996-10-11	VYDAJ	VYBER	16900	45905	\N	\N	\N
250042	858	1996-11-10	VYDAJ	VYBER	23200	46121	\N	\N	\N
250043	858	1996-12-10	VYDAJ	VYBER	24800	50907	\N	\N	\N
250044	858	1997-01-09	VYDAJ	VYBER	23100	42183	\N	\N	\N
250045	858	1997-02-08	VYDAJ	VYBER	6500	33855	\N	\N	\N
250046	858	1997-03-10	VYDAJ	VYBER	11400	40366	\N	\N	\N
250047	858	1997-04-09	VYDAJ	VYBER	15100	43194	\N	\N	\N
250048	858	1997-05-09	VYDAJ	VYBER	17000	44135	\N	\N	\N
250049	858	1997-06-08	VYDAJ	VYBER	23200	55956	\N	\N	\N
250050	858	1997-07-08	VYDAJ	VYBER	2200	34579	\N	\N	\N
250051	858	1997-08-07	VYDAJ	VYBER	13800	38665	\N	\N	\N
250052	858	1997-09-06	VYDAJ	VYBER	18000	38562	\N	\N	\N
250053	858	1997-10-06	VYDAJ	VYBER	14000	35740	\N	\N	\N
250054	858	1997-11-05	VYDAJ	VYBER	14800	36426	\N	\N	\N
250055	858	1997-12-05	VYDAJ	VYBER	23400	42541	\N	\N	\N
250056	858	1998-01-04	VYDAJ	VYBER	7500	27083	\N	\N	\N
250057	858	1998-02-03	VYDAJ	VYBER	6700	26144	\N	\N	\N
250058	858	1998-03-05	VYDAJ	VYBER	22700	44618	\N	\N	\N
250059	858	1998-04-04	VYDAJ	VYBER	11200	25708	\N	\N	\N
250060	858	1998-05-04	VYDAJ	VYBER	13400	30249	\N	\N	\N
250061	858	1998-06-03	VYDAJ	VYBER	15100	33111	\N	\N	\N
250062	858	1998-07-03	VYDAJ	VYBER	10600	26203	\N	\N	\N
250063	858	1998-08-02	VYDAJ	VYBER	15300	28846	\N	\N	\N
250064	858	1998-09-01	VYDAJ	VYBER	14400	32403	\N	\N	\N
250065	858	1998-10-01	VYDAJ	VYBER	22900	25793	\N	\N	\N
250066	858	1998-10-31	VYDAJ	VYBER	10800	27645	\N	\N	\N
250067	858	1998-11-30	VYDAJ	VYBER	10600	29214	\N	\N	\N
250097	859	1997-08-26	PRIJEM	VKLAD	200	200	\N	\N	\N
250106	859	1997-09-10	PRIJEM	VKLAD	11120	11320	\N	\N	\N
250107	859	1997-10-10	PRIJEM	VKLAD	11120	30056	\N	\N	\N
250108	859	1997-11-10	PRIJEM	VKLAD	11120	40264	\N	\N	\N
250109	859	1997-12-10	PRIJEM	VKLAD	16680	48668	\N	\N	\N
250110	859	1998-01-10	PRIJEM	VKLAD	11120	48727	\N	\N	\N
250111	859	1998-02-10	PRIJEM	VKLAD	11120	28322	\N	\N	\N
250112	859	1998-03-10	PRIJEM	VKLAD	11120	33798	\N	\N	\N
250113	859	1998-04-10	PRIJEM	VKLAD	11120	35695	\N	\N	\N
250114	859	1998-05-10	PRIJEM	VKLAD	11120	28289	\N	\N	\N
250115	859	1998-06-10	PRIJEM	VKLAD	16680	30522	\N	\N	\N
250116	859	1998-07-10	PRIJEM	VKLAD	11120	30298	\N	\N	\N
250117	859	1998-08-10	PRIJEM	VKLAD	11120	37286	\N	\N	\N
250118	859	1998-09-10	PRIJEM	VKLAD	11120	40539	\N	\N	\N
250119	859	1998-10-10	PRIJEM	VKLAD	11120	44664	\N	\N	\N
250120	859	1998-11-10	PRIJEM	VKLAD	11120	43594	\N	\N	\N
250121	859	1998-12-10	PRIJEM	VKLAD	16680	49886	\N	\N	\N
250135	859	1998-02-05	VYDAJ	PREVOD NA UCET	463	19714	SIPO	ST	87632876
250136	859	1998-03-05	VYDAJ	PREVOD NA UCET	463	25190	SIPO	ST	87632876
250137	859	1998-04-05	VYDAJ	PREVOD NA UCET	463	27087	SIPO	ST	87632876
250138	859	1998-05-05	VYDAJ	PREVOD NA UCET	463	19681	SIPO	ST	87632876
250139	859	1998-06-05	VYDAJ	PREVOD NA UCET	463	21154	SIPO	ST	87632876
250140	859	1998-07-05	VYDAJ	PREVOD NA UCET	463	21690	SIPO	ST	87632876
250141	859	1998-08-05	VYDAJ	PREVOD NA UCET	463	28678	SIPO	ST	87632876
250142	859	1998-09-05	VYDAJ	PREVOD NA UCET	463	31931	SIPO	ST	87632876
250143	859	1998-10-05	VYDAJ	PREVOD NA UCET	463	36056	SIPO	ST	87632876
250144	859	1998-11-05	VYDAJ	PREVOD NA UCET	463	34986	SIPO	ST	87632876
250145	859	1998-12-05	VYDAJ	PREVOD NA UCET	463	35718	SIPO	ST	87632876
250159	859	1998-02-06	VYDAJ	PREVOD NA UCET	855	18859	 	MN	97751479
250160	859	1998-03-06	VYDAJ	PREVOD NA UCET	855	24335	 	MN	97751479
250161	859	1998-04-06	VYDAJ	PREVOD NA UCET	855	26232	 	MN	97751479
250162	859	1998-05-06	VYDAJ	PREVOD NA UCET	855	18826	 	MN	97751479
250163	859	1998-06-06	VYDAJ	PREVOD NA UCET	855	20299	 	MN	97751479
250164	859	1998-07-06	VYDAJ	PREVOD NA UCET	855	20835	 	MN	97751479
250165	859	1998-08-06	VYDAJ	PREVOD NA UCET	855	27823	 	MN	97751479
250166	859	1998-09-06	VYDAJ	PREVOD NA UCET	855	31076	 	MN	97751479
250167	859	1998-10-06	VYDAJ	PREVOD NA UCET	855	35201	 	MN	97751479
250168	859	1998-11-06	VYDAJ	PREVOD NA UCET	855	34131	 	MN	97751479
250169	859	1998-12-06	VYDAJ	PREVOD NA UCET	855	34863	 	MN	97751479
250183	859	1998-02-07	VYDAJ	PREVOD NA UCET	1657	17202	POJISTNE	AB	76049786
250184	859	1998-03-07	VYDAJ	PREVOD NA UCET	1657	22678	POJISTNE	AB	76049786
250185	859	1998-04-07	VYDAJ	PREVOD NA UCET	1657	24575	POJISTNE	AB	76049786
250186	859	1998-05-07	VYDAJ	PREVOD NA UCET	1657	17169	POJISTNE	AB	76049786
250187	859	1998-06-07	VYDAJ	PREVOD NA UCET	1657	18642	POJISTNE	AB	76049786
250188	859	1998-07-07	VYDAJ	PREVOD NA UCET	1657	19178	POJISTNE	AB	76049786
250189	859	1998-08-07	VYDAJ	PREVOD NA UCET	1657	26166	POJISTNE	AB	76049786
250190	859	1998-09-07	VYDAJ	PREVOD NA UCET	1657	29419	POJISTNE	AB	76049786
250191	859	1998-10-07	VYDAJ	PREVOD NA UCET	1657	33544	POJISTNE	AB	76049786
250192	859	1998-11-07	VYDAJ	PREVOD NA UCET	1657	32474	POJISTNE	AB	76049786
250193	859	1998-12-07	VYDAJ	PREVOD NA UCET	1657	33206	POJISTNE	AB	76049786
250206	859	1998-01-12	VYDAJ	PREVOD NA UCET	955	47772	 	IJ	37609326
250207	859	1998-02-12	VYDAJ	PREVOD NA UCET	955	27367	 	IJ	37609326
250208	859	1998-03-12	VYDAJ	PREVOD NA UCET	955	32843	 	IJ	37609326
250209	859	1998-04-12	VYDAJ	PREVOD NA UCET	955	34740	 	IJ	37609326
250210	859	1998-05-12	VYDAJ	PREVOD NA UCET	955	27334	 	IJ	37609326
250211	859	1998-06-12	VYDAJ	PREVOD NA UCET	955	29567	 	IJ	37609326
250212	859	1998-07-12	VYDAJ	PREVOD NA UCET	955	29343	 	IJ	37609326
250213	859	1998-08-12	VYDAJ	PREVOD NA UCET	955	36331	 	IJ	37609326
250214	859	1998-09-12	VYDAJ	PREVOD NA UCET	955	39584	 	IJ	37609326
250215	859	1998-10-12	VYDAJ	PREVOD NA UCET	955	40109	 	IJ	37609326
250216	859	1998-11-12	VYDAJ	PREVOD NA UCET	955	42639	 	IJ	37609326
250217	859	1998-12-12	VYDAJ	PREVOD NA UCET	955	48931	 	IJ	37609326
250221	859	1998-01-16	VYDAJ	VYBER	14560	33212	\N	\N	\N
250223	859	1998-12-22	VYDAJ	VYBER	4480	40451	\N	\N	\N
250230	859	1998-01-27	VYDAJ	VYBER	3000	20052	\N	\N	\N
250233	859	1998-01-26	VYDAJ	VYBER	2880	24372	\N	\N	\N
250234	859	1998-01-26	VYDAJ	VYBER	1320	23052	\N	\N	\N
250235	859	1998-01-22	VYDAJ	VYBER	2760	30452	\N	\N	\N
250240	859	1998-10-10	VYDAJ	VYBER	3600	41064	\N	\N	\N
250241	859	1998-06-08	VYDAJ	VYBER	4800	13842	\N	\N	\N
250242	859	1998-04-28	VYDAJ	VYBER	5280	20040	\N	\N	\N
250243	859	1998-08-25	VYDAJ	VYBER	3960	32271	\N	\N	\N
250244	859	1998-04-19	VYDAJ	VYBER	5520	29220	\N	\N	\N
250245	859	1998-10-22	VYDAJ	VYBER	1200	35309	\N	\N	\N
250259	859	1998-01-31	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
250260	859	1998-02-28	VYDAJ	VYBER	15	25653	SLUZBY	\N	\N
250261	859	1998-03-31	VYDAJ	VYBER	15	27550	SLUZBY	\N	\N
250262	859	1998-04-30	VYDAJ	VYBER	15	20144	SLUZBY	\N	\N
250263	859	1998-05-31	VYDAJ	VYBER	15	21617	SLUZBY	\N	\N
250264	859	1998-06-30	VYDAJ	VYBER	15	22153	SLUZBY	\N	\N
250265	859	1998-07-31	VYDAJ	VYBER	15	29141	SLUZBY	\N	\N
250266	859	1998-08-31	VYDAJ	VYBER	15	32394	SLUZBY	\N	\N
250267	859	1998-09-30	VYDAJ	VYBER	15	36519	SLUZBY	\N	\N
250268	859	1998-10-31	VYDAJ	VYBER	15	35449	SLUZBY	\N	\N
250269	859	1998-11-30	VYDAJ	VYBER	15	36181	SLUZBY	\N	\N
250270	859	1997-09-25	PRIJEM	VKLAD	7600	18920	\N	\N	\N
250271	859	1997-10-25	VYDAJ	VYBER	1000	29056	\N	\N	\N
250272	859	1997-11-24	VYDAJ	VYBER	8400	31864	\N	\N	\N
250273	859	1997-12-24	VYDAJ	VYBER	11200	37468	\N	\N	\N
250274	859	1998-01-23	VYDAJ	VYBER	3200	27252	\N	\N	\N
250275	859	1998-02-22	VYDAJ	VYBER	1800	25567	\N	\N	\N
250276	859	1998-03-24	VYDAJ	VYBER	5400	27443	\N	\N	\N
250277	859	1998-04-23	VYDAJ	VYBER	3900	25320	\N	\N	\N
250278	859	1998-05-23	VYDAJ	VYBER	5800	21534	\N	\N	\N
250279	859	1998-06-22	VYDAJ	VYBER	7500	22067	\N	\N	\N
250280	859	1998-07-22	VYDAJ	VYBER	300	29043	\N	\N	\N
250281	859	1998-08-21	VYDAJ	VYBER	100	36231	\N	\N	\N
250282	859	1998-09-20	VYDAJ	VYBER	3200	36384	\N	\N	\N
250283	859	1998-10-20	VYDAJ	VYBER	3600	36509	\N	\N	\N
250284	859	1998-11-19	VYDAJ	VYBER	6600	36039	\N	\N	\N
250285	859	1998-12-19	VYDAJ	VYBER	4000	44931	\N	\N	\N
250302	860	1993-03-19	PRIJEM	VKLAD	600	600	\N	\N	\N
250306	860	1993-04-12	PRIJEM	VKLAD	13185	13785	\N	\N	\N
250307	860	1993-05-12	PRIJEM	VKLAD	13185	29700	\N	\N	\N
250308	860	1993-06-12	PRIJEM	VKLAD	19778	45463	\N	\N	\N
250309	860	1993-07-12	PRIJEM	VKLAD	13185	45468	\N	\N	\N
250310	860	1993-08-12	PRIJEM	VKLAD	13185	46990	\N	\N	\N
250311	860	1993-09-12	PRIJEM	VKLAD	13185	42437	\N	\N	\N
250312	860	1993-10-12	PRIJEM	VKLAD	13185	31115	\N	\N	\N
250313	860	1993-11-12	PRIJEM	VKLAD	13185	33730	\N	\N	\N
250314	860	1993-12-12	PRIJEM	VKLAD	19778	39240	\N	\N	\N
250315	860	1994-01-12	PRIJEM	VKLAD	13185	30623	\N	\N	\N
250316	860	1994-02-12	PRIJEM	VKLAD	13185	26188	\N	\N	\N
250317	860	1994-03-12	PRIJEM	VKLAD	13185	26095	\N	\N	\N
250318	860	1994-04-12	PRIJEM	VKLAD	13185	28890	\N	\N	\N
250319	860	1994-05-12	PRIJEM	VKLAD	13185	31996	\N	\N	\N
250320	860	1994-06-12	PRIJEM	VKLAD	19778	38701	\N	\N	\N
250321	860	1994-07-12	PRIJEM	VKLAD	13185	38943	\N	\N	\N
250322	860	1994-08-12	PRIJEM	VKLAD	13185	38177	\N	\N	\N
250323	860	1994-09-12	PRIJEM	VKLAD	13185	39124	\N	\N	\N
250324	860	1994-10-12	PRIJEM	VKLAD	13185	43382	\N	\N	\N
250325	860	1994-11-12	PRIJEM	VKLAD	13185	39990	\N	\N	\N
250326	860	1994-12-12	PRIJEM	VKLAD	19778	47020	\N	\N	\N
250327	860	1995-01-12	PRIJEM	VKLAD	13185	35301	\N	\N	\N
250328	860	1995-02-12	PRIJEM	VKLAD	13185	33176	\N	\N	\N
250329	860	1995-03-12	PRIJEM	VKLAD	13185	37992	\N	\N	\N
250330	860	1995-04-12	PRIJEM	VKLAD	13185	36779	\N	\N	\N
250331	860	1995-05-12	PRIJEM	VKLAD	13185	39322	\N	\N	\N
250332	860	1995-06-12	PRIJEM	VKLAD	19778	47988	\N	\N	\N
250333	860	1995-07-12	PRIJEM	VKLAD	13185	38039	\N	\N	\N
250334	860	1995-08-12	PRIJEM	VKLAD	13185	40186	\N	\N	\N
250335	860	1995-09-12	PRIJEM	VKLAD	13185	38762	\N	\N	\N
250336	860	1995-10-12	PRIJEM	VKLAD	13185	37729	\N	\N	\N
250337	860	1995-11-12	PRIJEM	VKLAD	13185	35971	\N	\N	\N
250338	860	1995-12-12	PRIJEM	VKLAD	19778	41099	\N	\N	\N
250339	860	1996-01-12	PRIJEM	VKLAD	13185	30024	\N	\N	\N
250340	860	1996-02-12	PRIJEM	VKLAD	13185	28747	\N	\N	\N
250341	860	1996-03-12	PRIJEM	VKLAD	13185	32448	\N	\N	\N
250342	860	1996-04-12	PRIJEM	VKLAD	13185	32768	\N	\N	\N
250343	860	1996-05-12	PRIJEM	VKLAD	13185	29959	\N	\N	\N
250344	860	1996-06-12	PRIJEM	VKLAD	19778	37698	\N	\N	\N
250345	860	1996-07-12	PRIJEM	VKLAD	13185	36429	\N	\N	\N
250346	860	1996-08-12	PRIJEM	VKLAD	13185	34368	\N	\N	\N
250347	860	1996-09-12	PRIJEM	VKLAD	13185	35300	\N	\N	\N
250348	860	1996-10-12	PRIJEM	VKLAD	13185	37836	\N	\N	\N
250349	860	1996-11-12	PRIJEM	VKLAD	13185	36181	\N	\N	\N
250350	860	1996-12-12	PRIJEM	VKLAD	19778	39712	\N	\N	\N
250351	860	1997-01-12	PRIJEM	VKLAD	13185	26943	\N	\N	\N
250352	860	1997-02-12	PRIJEM	VKLAD	13185	27298	\N	\N	\N
250353	860	1997-03-12	PRIJEM	VKLAD	13185	30299	\N	\N	\N
250354	860	1997-04-12	PRIJEM	VKLAD	13185	33314	\N	\N	\N
250355	860	1997-05-12	PRIJEM	VKLAD	13185	33739	\N	\N	\N
250356	860	1997-06-12	PRIJEM	VKLAD	19778	38859	\N	\N	\N
250357	860	1997-07-12	PRIJEM	VKLAD	13185	36191	\N	\N	\N
250358	860	1997-08-12	PRIJEM	VKLAD	13185	34425	\N	\N	\N
250359	860	1997-09-12	PRIJEM	VKLAD	13185	32751	\N	\N	\N
250360	860	1997-10-12	PRIJEM	VKLAD	13185	31770	\N	\N	\N
250361	860	1997-11-12	PRIJEM	VKLAD	13185	29062	\N	\N	\N
250362	860	1997-12-12	PRIJEM	VKLAD	19778	34941	\N	\N	\N
250363	860	1998-01-12	PRIJEM	VKLAD	13185	25093	\N	\N	\N
250364	860	1998-02-12	PRIJEM	VKLAD	13185	22292	\N	\N	\N
250365	860	1998-03-12	PRIJEM	VKLAD	13185	26271	\N	\N	\N
250366	860	1998-04-12	PRIJEM	VKLAD	13185	27964	\N	\N	\N
250367	860	1998-05-12	PRIJEM	VKLAD	13185	29364	\N	\N	\N
250368	860	1998-06-12	PRIJEM	VKLAD	19778	31014	\N	\N	\N
250369	860	1998-07-12	PRIJEM	VKLAD	13185	23971	\N	\N	\N
250370	860	1998-08-12	PRIJEM	VKLAD	13185	22846	\N	\N	\N
250371	860	1998-09-12	PRIJEM	VKLAD	13185	22861	\N	\N	\N
250372	860	1998-10-12	PRIJEM	VKLAD	13185	28043	\N	\N	\N
250373	860	1998-11-12	PRIJEM	VKLAD	13185	33248	\N	\N	\N
250374	860	1998-12-12	PRIJEM	VKLAD	19778	29401	\N	\N	\N
250383	860	1993-09-06	VYDAJ	PREVOD NA UCET	8071	29252	SIPO	AB	19660163
250384	860	1993-10-06	VYDAJ	PREVOD NA UCET	8071	17930	SIPO	AB	19660163
250385	860	1993-11-06	VYDAJ	PREVOD NA UCET	8071	20545	SIPO	AB	19660163
250386	860	1993-12-06	VYDAJ	PREVOD NA UCET	8071	19463	SIPO	AB	19660163
250387	860	1994-01-06	VYDAJ	PREVOD NA UCET	8071	19118	SIPO	AB	19660163
250388	860	1994-02-06	VYDAJ	PREVOD NA UCET	8071	13003	SIPO	AB	19660163
250389	860	1994-03-06	VYDAJ	PREVOD NA UCET	8071	12910	SIPO	AB	19660163
250390	860	1994-04-06	VYDAJ	PREVOD NA UCET	8071	15705	SIPO	AB	19660163
250391	860	1994-05-06	VYDAJ	PREVOD NA UCET	8071	18811	SIPO	AB	19660163
250392	860	1994-06-06	VYDAJ	PREVOD NA UCET	8071	18923	SIPO	AB	19660163
250393	860	1994-07-06	VYDAJ	PREVOD NA UCET	8071	25758	SIPO	AB	19660163
250394	860	1994-08-06	VYDAJ	PREVOD NA UCET	8071	23592	SIPO	AB	19660163
250395	860	1994-09-06	VYDAJ	PREVOD NA UCET	8071	30239	SIPO	AB	19660163
250396	860	1994-10-06	VYDAJ	PREVOD NA UCET	8071	31197	SIPO	AB	19660163
250397	860	1994-11-06	VYDAJ	PREVOD NA UCET	8071	30905	SIPO	AB	19660163
250398	860	1994-12-06	VYDAJ	PREVOD NA UCET	8071	32063	SIPO	AB	19660163
250399	860	1995-01-06	VYDAJ	PREVOD NA UCET	8071	37316	SIPO	AB	19660163
250400	860	1995-02-06	VYDAJ	PREVOD NA UCET	8071	13191	SIPO	AB	19660163
250401	860	1995-03-06	VYDAJ	PREVOD NA UCET	8071	25207	SIPO	AB	19660163
250402	860	1995-04-06	VYDAJ	PREVOD NA UCET	8071	28494	SIPO	AB	19660163
250403	860	1995-05-06	VYDAJ	PREVOD NA UCET	8071	28837	SIPO	AB	19660163
250404	860	1995-06-06	VYDAJ	PREVOD NA UCET	8071	29710	SIPO	AB	19660163
250405	860	1995-07-06	VYDAJ	PREVOD NA UCET	8071	28354	SIPO	AB	19660163
250406	860	1995-08-06	VYDAJ	PREVOD NA UCET	8071	30101	SIPO	AB	19660163
250407	860	1995-09-06	VYDAJ	PREVOD NA UCET	8071	25577	SIPO	AB	19660163
250408	860	1995-10-06	VYDAJ	PREVOD NA UCET	8071	24544	SIPO	AB	19660163
250409	860	1995-11-06	VYDAJ	PREVOD NA UCET	8071	22786	SIPO	AB	19660163
250410	860	1995-12-06	VYDAJ	PREVOD NA UCET	8071	21322	SIPO	AB	19660163
250411	860	1996-01-06	VYDAJ	PREVOD NA UCET	8071	20439	SIPO	AB	19660163
250412	860	1996-02-06	VYDAJ	PREVOD NA UCET	8071	15562	SIPO	AB	19660163
250413	860	1996-03-06	VYDAJ	PREVOD NA UCET	8071	19263	SIPO	AB	19660163
250414	860	1996-04-06	VYDAJ	PREVOD NA UCET	8071	19583	SIPO	AB	19660163
250415	860	1996-05-06	VYDAJ	PREVOD NA UCET	8071	16774	SIPO	AB	19660163
250416	860	1996-06-06	VYDAJ	PREVOD NA UCET	8071	17920	SIPO	AB	19660163
250417	860	1996-07-06	VYDAJ	PREVOD NA UCET	8071	23244	SIPO	AB	19660163
250418	860	1996-08-06	VYDAJ	PREVOD NA UCET	8071	21183	SIPO	AB	19660163
250419	860	1996-09-06	VYDAJ	PREVOD NA UCET	8071	22115	SIPO	AB	19660163
250420	860	1996-10-06	VYDAJ	PREVOD NA UCET	8071	24651	SIPO	AB	19660163
250421	860	1996-11-06	VYDAJ	PREVOD NA UCET	8071	22996	SIPO	AB	19660163
250422	860	1996-12-06	VYDAJ	PREVOD NA UCET	8071	19935	SIPO	AB	19660163
250423	860	1997-01-06	VYDAJ	PREVOD NA UCET	8071	13758	SIPO	AB	19660163
250424	860	1997-02-06	VYDAJ	PREVOD NA UCET	8071	14113	SIPO	AB	19660163
250425	860	1997-03-06	VYDAJ	PREVOD NA UCET	8071	17114	SIPO	AB	19660163
250426	860	1997-04-06	VYDAJ	PREVOD NA UCET	8071	20129	SIPO	AB	19660163
250427	860	1997-05-06	VYDAJ	PREVOD NA UCET	8071	20554	SIPO	AB	19660163
250428	860	1997-06-06	VYDAJ	PREVOD NA UCET	8071	21481	SIPO	AB	19660163
250429	860	1997-07-06	VYDAJ	PREVOD NA UCET	8071	23006	SIPO	AB	19660163
250430	860	1997-08-06	VYDAJ	PREVOD NA UCET	8071	21240	SIPO	AB	19660163
250431	860	1997-09-06	VYDAJ	PREVOD NA UCET	8071	19566	SIPO	AB	19660163
250432	860	1997-10-06	VYDAJ	PREVOD NA UCET	8071	18585	SIPO	AB	19660163
250433	860	1997-11-06	VYDAJ	PREVOD NA UCET	8071	15877	SIPO	AB	19660163
250434	860	1997-12-06	VYDAJ	PREVOD NA UCET	8071	15164	SIPO	AB	19660163
250435	860	1998-01-06	VYDAJ	PREVOD NA UCET	8071	11908	SIPO	AB	19660163
250436	860	1998-02-06	VYDAJ	PREVOD NA UCET	8071	9107	SIPO	AB	19660163
250437	860	1998-03-06	VYDAJ	PREVOD NA UCET	8071	13086	SIPO	AB	19660163
250438	860	1998-04-06	VYDAJ	PREVOD NA UCET	8071	14779	SIPO	AB	19660163
250439	860	1998-05-06	VYDAJ	PREVOD NA UCET	8071	16179	SIPO	AB	19660163
250440	860	1998-06-06	VYDAJ	PREVOD NA UCET	8071	11237	SIPO	AB	19660163
250441	860	1998-07-06	VYDAJ	PREVOD NA UCET	8071	10786	SIPO	AB	19660163
250442	860	1998-08-06	VYDAJ	PREVOD NA UCET	8071	9661	SIPO	AB	19660163
250443	860	1998-09-06	VYDAJ	PREVOD NA UCET	8071	9676	SIPO	AB	19660163
250444	860	1998-10-06	VYDAJ	PREVOD NA UCET	8071	14858	SIPO	AB	19660163
250445	860	1998-11-06	VYDAJ	PREVOD NA UCET	8071	20063	SIPO	AB	19660163
250446	860	1998-12-06	VYDAJ	PREVOD NA UCET	8071	9624	SIPO	AB	19660163
250449	860	1995-06-28	VYDAJ	VYBER	10880	37108	\N	\N	\N
250455	860	1995-01-11	VYDAJ	VYBER	6400	22116	\N	\N	\N
250457	860	1997-01-05	VYDAJ	VYBER	5760	21829	\N	\N	\N
250459	860	1993-12-26	VYDAJ	VYBER	4160	27080	\N	\N	\N
250460	860	1994-12-09	VYDAJ	VYBER	1120	30943	\N	\N	\N
250461	860	1995-12-27	VYDAJ	VYBER	4320	36779	\N	\N	\N
250462	860	1996-12-02	VYDAJ	VYBER	4000	28006	\N	\N	\N
250463	860	1997-12-30	VYDAJ	VYBER	1760	27561	\N	\N	\N
250464	860	1998-12-05	VYDAJ	VYBER	1600	17695	\N	\N	\N
250471	860	1994-01-07	VYDAJ	VYBER	720	18398	\N	\N	\N
250472	860	1994-01-29	VYDAJ	VYBER	1080	20983	\N	\N	\N
250473	860	1994-01-28	VYDAJ	VYBER	3120	22063	\N	\N	\N
250474	860	1994-01-08	VYDAJ	VYBER	960	17438	\N	\N	\N
250475	860	1994-01-25	VYDAJ	VYBER	3000	25183	\N	\N	\N
250476	860	1994-01-14	VYDAJ	VYBER	1440	28183	\N	\N	\N
250477	860	1995-01-28	VYDAJ	VYBER	2280	21141	\N	\N	\N
250478	860	1995-01-24	VYDAJ	VYBER	1560	28461	\N	\N	\N
250479	860	1995-01-02	VYDAJ	VYBER	1800	45387	\N	\N	\N
250480	860	1995-01-28	VYDAJ	VYBER	960	23421	\N	\N	\N
250481	860	1995-01-25	VYDAJ	VYBER	1920	26541	\N	\N	\N
250482	860	1995-01-26	VYDAJ	VYBER	2160	24381	\N	\N	\N
250483	860	1996-01-18	VYDAJ	VYBER	2880	23544	\N	\N	\N
250484	860	1996-01-30	VYDAJ	VYBER	720	21144	\N	\N	\N
250485	860	1996-01-18	VYDAJ	VYBER	1560	26424	\N	\N	\N
250486	860	1996-01-16	VYDAJ	VYBER	2040	27984	\N	\N	\N
250487	860	1996-01-20	VYDAJ	VYBER	1680	21864	\N	\N	\N
250488	860	1996-01-07	VYDAJ	VYBER	600	16839	\N	\N	\N
250489	860	1997-01-24	VYDAJ	VYBER	3120	23823	\N	\N	\N
250490	860	1997-01-04	VYDAJ	VYBER	600	27589	\N	\N	\N
250492	860	1997-01-25	VYDAJ	VYBER	840	22983	\N	\N	\N
250494	860	1997-01-25	VYDAJ	VYBER	1080	21903	\N	\N	\N
250496	860	1998-01-04	VYDAJ	VYBER	720	19979	\N	\N	\N
250497	860	1998-01-12	VYDAJ	VYBER	1320	23773	\N	\N	\N
250498	860	1998-01-04	VYDAJ	VYBER	3480	20699	\N	\N	\N
250499	860	1998-01-01	VYDAJ	VYBER	3480	24179	\N	\N	\N
250500	860	1998-01-27	VYDAJ	VYBER	2760	17113	\N	\N	\N
250503	860	1993-09-24	VYDAJ	VYBER	5160	25877	\N	\N	\N
250505	860	1994-10-17	VYDAJ	VYBER	1560	41822	\N	\N	\N
250506	860	1994-02-13	VYDAJ	VYBER	4680	20908	\N	\N	\N
250507	860	1994-11-03	VYDAJ	VYBER	3000	38976	\N	\N	\N
250508	860	1995-11-25	VYDAJ	VYBER	2760	33211	\N	\N	\N
250509	860	1995-06-30	VYDAJ	VYBER	840	36425	\N	\N	\N
250510	860	1995-05-30	VYDAJ	VYBER	1680	37642	\N	\N	\N
250511	860	1995-09-29	VYDAJ	VYBER	5880	32882	\N	\N	\N
250512	860	1995-08-28	VYDAJ	VYBER	2280	37906	\N	\N	\N
250513	860	1995-01-07	VYDAJ	VYBER	4200	33116	\N	\N	\N
250514	860	1995-04-02	VYDAJ	VYBER	1560	36565	\N	\N	\N
250515	860	1995-12-01	VYDAJ	VYBER	840	32493	\N	\N	\N
250516	860	1995-01-19	VYDAJ	VYBER	5280	30021	\N	\N	\N
250518	860	1996-04-13	VYDAJ	VYBER	4920	27848	\N	\N	\N
250519	860	1996-01-07	VYDAJ	VYBER	3000	17439	\N	\N	\N
250520	860	1996-05-18	VYDAJ	VYBER	2760	27199	\N	\N	\N
250521	860	1996-12-16	VYDAJ	VYBER	2640	37072	\N	\N	\N
250522	860	1997-10-22	VYDAJ	VYBER	840	29250	\N	\N	\N
250523	860	1997-10-12	VYDAJ	VYBER	1680	30090	\N	\N	\N
250524	860	1997-12-24	VYDAJ	VYBER	1680	29321	\N	\N	\N
250525	860	1997-12-05	VYDAJ	VYBER	3120	23235	\N	\N	\N
250526	860	1997-06-06	VYDAJ	VYBER	2400	19081	\N	\N	\N
250527	860	1997-12-18	VYDAJ	VYBER	2040	32901	\N	\N	\N
250528	860	1998-08-18	VYDAJ	VYBER	960	21886	\N	\N	\N
250530	860	1998-05-25	VYDAJ	VYBER	2640	19224	\N	\N	\N
250531	860	1998-07-04	VYDAJ	VYBER	5040	18857	\N	\N	\N
250532	860	1998-11-24	VYDAJ	VYBER	840	19208	\N	\N	\N
250541	860	1993-08-31	VYDAJ	VYBER	15	37323	SLUZBY	\N	\N
250542	860	1993-09-30	VYDAJ	VYBER	15	26001	SLUZBY	\N	\N
250543	860	1993-10-31	VYDAJ	VYBER	15	28616	SLUZBY	\N	\N
250544	860	1993-11-30	VYDAJ	VYBER	15	27534	SLUZBY	\N	\N
250545	860	1993-12-31	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
250546	860	1994-01-31	VYDAJ	VYBER	15	21074	SLUZBY	\N	\N
250547	860	1994-02-28	VYDAJ	VYBER	15	20981	SLUZBY	\N	\N
250548	860	1994-03-31	VYDAJ	VYBER	15	23776	SLUZBY	\N	\N
250549	860	1994-04-30	VYDAJ	VYBER	15	26882	SLUZBY	\N	\N
250550	860	1994-05-31	VYDAJ	VYBER	15	26994	SLUZBY	\N	\N
250551	860	1994-06-30	VYDAJ	VYBER	15	33829	SLUZBY	\N	\N
250552	860	1994-07-31	VYDAJ	VYBER	15	31663	SLUZBY	\N	\N
250553	860	1994-08-31	VYDAJ	VYBER	15	38310	SLUZBY	\N	\N
250554	860	1994-09-30	VYDAJ	VYBER	15	39268	SLUZBY	\N	\N
250555	860	1994-10-31	VYDAJ	VYBER	15	41976	SLUZBY	\N	\N
250556	860	1994-11-30	VYDAJ	VYBER	15	40134	SLUZBY	\N	\N
250557	860	1994-12-31	VYDAJ	VYBER	15	47187	SLUZBY	\N	\N
250558	860	1995-01-31	VYDAJ	VYBER	15	21262	SLUZBY	\N	\N
250559	860	1995-02-28	VYDAJ	VYBER	15	33278	SLUZBY	\N	\N
250560	860	1995-03-31	VYDAJ	VYBER	15	38125	SLUZBY	\N	\N
250561	860	1995-04-30	VYDAJ	VYBER	15	36908	SLUZBY	\N	\N
250562	860	1995-05-31	VYDAJ	VYBER	15	37781	SLUZBY	\N	\N
250563	860	1995-06-30	VYDAJ	VYBER	15	37265	SLUZBY	\N	\N
250564	860	1995-07-31	VYDAJ	VYBER	15	38172	SLUZBY	\N	\N
250565	860	1995-08-31	VYDAJ	VYBER	15	38048	SLUZBY	\N	\N
250566	860	1995-09-30	VYDAJ	VYBER	15	33015	SLUZBY	\N	\N
250567	860	1995-10-31	VYDAJ	VYBER	15	37857	SLUZBY	\N	\N
250568	860	1995-11-30	VYDAJ	VYBER	15	33333	SLUZBY	\N	\N
250569	860	1995-12-31	VYDAJ	VYBER	15	36910	SLUZBY	\N	\N
250570	860	1996-01-31	VYDAJ	VYBER	15	21233	SLUZBY	\N	\N
250571	860	1996-02-29	VYDAJ	VYBER	15	28834	SLUZBY	\N	\N
250572	860	1996-03-31	VYDAJ	VYBER	15	32554	SLUZBY	\N	\N
250573	860	1996-04-30	VYDAJ	VYBER	15	27945	SLUZBY	\N	\N
250574	860	1996-05-31	VYDAJ	VYBER	15	27291	SLUZBY	\N	\N
250575	860	1996-06-30	VYDAJ	VYBER	15	37815	SLUZBY	\N	\N
250576	860	1996-07-31	VYDAJ	VYBER	15	29254	SLUZBY	\N	\N
250577	860	1996-08-31	VYDAJ	VYBER	15	30186	SLUZBY	\N	\N
250578	860	1996-09-30	VYDAJ	VYBER	15	32722	SLUZBY	\N	\N
250579	860	1996-10-31	VYDAJ	VYBER	15	31067	SLUZBY	\N	\N
250580	860	1996-11-30	VYDAJ	VYBER	15	32006	SLUZBY	\N	\N
250581	860	1996-12-31	VYDAJ	VYBER	15	28189	SLUZBY	\N	\N
250582	860	1997-01-31	VYDAJ	VYBER	15	22184	SLUZBY	\N	\N
250583	860	1997-02-28	VYDAJ	VYBER	15	25185	SLUZBY	\N	\N
250584	860	1997-03-31	VYDAJ	VYBER	15	28200	SLUZBY	\N	\N
250585	860	1997-04-30	VYDAJ	VYBER	15	28625	SLUZBY	\N	\N
250586	860	1997-05-31	VYDAJ	VYBER	15	29552	SLUZBY	\N	\N
250587	860	1997-06-30	VYDAJ	VYBER	15	31077	SLUZBY	\N	\N
250588	860	1997-07-31	VYDAJ	VYBER	15	29311	SLUZBY	\N	\N
250589	860	1997-08-31	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
250590	860	1997-09-30	VYDAJ	VYBER	15	26656	SLUZBY	\N	\N
250591	860	1997-10-31	VYDAJ	VYBER	15	23948	SLUZBY	\N	\N
250592	860	1997-11-30	VYDAJ	VYBER	15	26355	SLUZBY	\N	\N
250593	860	1997-12-31	VYDAJ	VYBER	15	27659	SLUZBY	\N	\N
250594	860	1998-01-31	VYDAJ	VYBER	15	17178	SLUZBY	\N	\N
250595	860	1998-02-28	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
250596	860	1998-03-31	VYDAJ	VYBER	15	22850	SLUZBY	\N	\N
250597	860	1998-04-30	VYDAJ	VYBER	15	24250	SLUZBY	\N	\N
250598	860	1998-05-31	VYDAJ	VYBER	15	19308	SLUZBY	\N	\N
250599	860	1998-06-30	VYDAJ	VYBER	15	23897	SLUZBY	\N	\N
250600	860	1998-07-31	VYDAJ	VYBER	15	17732	SLUZBY	\N	\N
250601	860	1998-08-31	VYDAJ	VYBER	15	17747	SLUZBY	\N	\N
250602	860	1998-09-30	VYDAJ	VYBER	15	22929	SLUZBY	\N	\N
250603	860	1998-10-31	VYDAJ	VYBER	15	28134	SLUZBY	\N	\N
250604	860	1998-11-30	VYDAJ	VYBER	15	19295	SLUZBY	\N	\N
250605	860	1993-04-18	PRIJEM	VKLAD	2700	16485	\N	\N	\N
250606	860	1993-05-18	VYDAJ	VYBER	4100	25600	\N	\N	\N
250607	860	1993-06-17	VYDAJ	VYBER	13300	32163	\N	\N	\N
250608	860	1993-07-17	VYDAJ	VYBER	11800	33668	\N	\N	\N
250609	860	1993-08-16	VYDAJ	VYBER	9800	37190	\N	\N	\N
250610	860	1993-09-15	VYDAJ	VYBER	11400	31037	\N	\N	\N
250611	860	1993-10-15	VYDAJ	VYBER	2600	28515	\N	\N	\N
250612	860	1993-11-14	VYDAJ	VYBER	6300	27430	\N	\N	\N
250613	860	1993-12-14	VYDAJ	VYBER	8000	31240	\N	\N	\N
250614	860	1994-01-13	VYDAJ	VYBER	1000	29623	\N	\N	\N
250615	860	1994-02-12	VYDAJ	VYBER	600	25588	\N	\N	\N
250616	860	1994-03-14	VYDAJ	VYBER	2400	23695	\N	\N	\N
250617	860	1994-04-13	VYDAJ	VYBER	2100	26790	\N	\N	\N
250618	860	1994-05-13	VYDAJ	VYBER	5100	26896	\N	\N	\N
250619	860	1994-06-12	VYDAJ	VYBER	5000	33701	\N	\N	\N
250620	860	1994-07-12	VYDAJ	VYBER	7400	31543	\N	\N	\N
250621	860	1994-08-11	PRIJEM	VKLAD	1400	24992	\N	\N	\N
250622	860	1994-09-10	VYDAJ	VYBER	4300	25939	\N	\N	\N
250623	860	1994-10-10	VYDAJ	VYBER	1000	30197	\N	\N	\N
250624	860	1994-11-09	VYDAJ	VYBER	4100	26805	\N	\N	\N
250625	860	1994-12-09	VYDAJ	VYBER	3700	27243	\N	\N	\N
250626	860	1995-01-08	VYDAJ	VYBER	4600	28516	\N	\N	\N
250627	860	1995-02-07	PRIJEM	VKLAD	6800	19991	\N	\N	\N
250628	860	1995-03-09	VYDAJ	VYBER	400	24807	\N	\N	\N
250629	860	1995-04-08	VYDAJ	VYBER	4900	23594	\N	\N	\N
250630	860	1995-05-08	VYDAJ	VYBER	2700	26137	\N	\N	\N
250631	860	1995-06-07	VYDAJ	VYBER	1500	28210	\N	\N	\N
250632	860	1995-07-07	VYDAJ	VYBER	3500	24854	\N	\N	\N
250633	860	1995-08-06	VYDAJ	VYBER	3100	27001	\N	\N	\N
250634	860	1995-09-05	VYDAJ	VYBER	4400	33648	\N	\N	\N
250635	860	1995-10-05	VYDAJ	VYBER	400	32615	\N	\N	\N
250636	860	1995-11-04	VYDAJ	VYBER	7000	30857	\N	\N	\N
250637	860	1995-12-04	VYDAJ	VYBER	3100	29393	\N	\N	\N
250638	860	1996-01-03	VYDAJ	VYBER	8400	28510	\N	\N	\N
250639	860	1996-02-02	PRIJEM	VKLAD	2400	23633	\N	\N	\N
250640	860	1996-03-03	VYDAJ	VYBER	1500	27334	\N	\N	\N
250641	860	1996-04-02	VYDAJ	VYBER	4900	27654	\N	\N	\N
250642	860	1996-05-02	VYDAJ	VYBER	3100	24845	\N	\N	\N
250643	860	1996-06-01	VYDAJ	VYBER	1300	25991	\N	\N	\N
250644	860	1996-07-01	VYDAJ	VYBER	6500	31315	\N	\N	\N
250645	860	1996-07-31	VYDAJ	VYBER	7300	29268	\N	\N	\N
250646	860	1996-08-30	VYDAJ	VYBER	4300	30068	\N	\N	\N
250647	860	1996-09-29	VYDAJ	VYBER	2700	32600	\N	\N	\N
250648	860	1996-10-29	VYDAJ	VYBER	6900	30936	\N	\N	\N
250649	860	1996-11-28	VYDAJ	VYBER	4300	31881	\N	\N	\N
250650	860	1996-12-28	VYDAJ	VYBER	9000	28072	\N	\N	\N
250651	860	1997-01-27	PRIJEM	VKLAD	200	22103	\N	\N	\N
250652	860	1997-02-26	VYDAJ	VYBER	2200	25098	\N	\N	\N
250653	860	1997-03-28	VYDAJ	VYBER	2200	28099	\N	\N	\N
250654	860	1997-04-27	VYDAJ	VYBER	4800	28514	\N	\N	\N
250655	860	1997-05-27	VYDAJ	VYBER	4300	29439	\N	\N	\N
250656	860	1997-06-26	VYDAJ	VYBER	7900	30959	\N	\N	\N
250657	860	1997-07-26	VYDAJ	VYBER	7000	29191	\N	\N	\N
250658	860	1997-08-25	VYDAJ	VYBER	6900	27525	\N	\N	\N
250659	860	1997-09-24	VYDAJ	VYBER	6200	26551	\N	\N	\N
250660	860	1997-10-24	VYDAJ	VYBER	5400	23850	\N	\N	\N
250661	860	1997-11-23	VYDAJ	VYBER	2800	26262	\N	\N	\N
250662	860	1997-12-23	VYDAJ	VYBER	1900	31001	\N	\N	\N
250663	860	1998-01-22	VYDAJ	VYBER	3900	19873	\N	\N	\N
250664	860	1998-02-21	VYDAJ	VYBER	1200	21092	\N	\N	\N
250665	860	1998-03-23	VYDAJ	VYBER	3500	22771	\N	\N	\N
250666	860	1998-04-22	VYDAJ	VYBER	3800	24164	\N	\N	\N
250667	860	1998-05-22	VYDAJ	VYBER	7500	21864	\N	\N	\N
250668	860	1998-06-21	VYDAJ	VYBER	7200	23814	\N	\N	\N
250669	860	1998-07-21	VYDAJ	VYBER	6300	17671	\N	\N	\N
250670	860	1998-08-20	VYDAJ	VYBER	4200	17686	\N	\N	\N
250671	860	1998-11-18	VYDAJ	VYBER	13200	20048	\N	\N	\N
250741	861	1993-09-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
250750	861	1993-09-14	PRIJEM	VKLAD	18027	19027	\N	\N	\N
250751	861	1993-10-14	PRIJEM	VKLAD	18027	38099	\N	\N	\N
250752	861	1993-11-14	PRIJEM	VKLAD	18027	48751	\N	\N	\N
250753	861	1993-12-14	PRIJEM	VKLAD	27040	62575	\N	\N	\N
250754	861	1994-01-14	PRIJEM	VKLAD	18027	63139	\N	\N	\N
250755	861	1994-02-14	PRIJEM	VKLAD	18027	52585	\N	\N	\N
250756	861	1994-03-14	PRIJEM	VKLAD	18027	54105	\N	\N	\N
250757	861	1994-04-14	PRIJEM	VKLAD	18027	53032	\N	\N	\N
250758	861	1994-05-14	PRIJEM	VKLAD	18027	52636	\N	\N	\N
250759	861	1994-06-14	PRIJEM	VKLAD	27040	47858	\N	\N	\N
250760	861	1994-07-14	PRIJEM	VKLAD	18027	48146	\N	\N	\N
250761	861	1994-08-14	PRIJEM	VKLAD	18027	47154	\N	\N	\N
250762	861	1994-09-14	PRIJEM	VKLAD	18027	46746	\N	\N	\N
250763	861	1994-10-14	PRIJEM	VKLAD	18027	48141	\N	\N	\N
250764	861	1994-11-14	PRIJEM	VKLAD	18027	48620	\N	\N	\N
250765	861	1994-12-14	PRIJEM	VKLAD	27040	58040	\N	\N	\N
250766	861	1995-01-14	PRIJEM	VKLAD	18027	46649	\N	\N	\N
250767	861	1995-02-14	PRIJEM	VKLAD	18027	43530	\N	\N	\N
250768	861	1995-03-14	PRIJEM	VKLAD	18027	37311	\N	\N	\N
250769	861	1995-04-14	PRIJEM	VKLAD	18027	40455	\N	\N	\N
250770	861	1995-05-14	PRIJEM	VKLAD	18027	44924	\N	\N	\N
250771	861	1995-06-14	PRIJEM	VKLAD	27040	53903	\N	\N	\N
250772	861	1995-07-14	PRIJEM	VKLAD	18027	44881	\N	\N	\N
250773	861	1995-08-14	PRIJEM	VKLAD	18027	45846	\N	\N	\N
250774	861	1995-09-14	PRIJEM	VKLAD	18027	44520	\N	\N	\N
250775	861	1995-10-14	PRIJEM	VKLAD	18027	40989	\N	\N	\N
250776	861	1995-11-14	PRIJEM	VKLAD	18027	40844	\N	\N	\N
250777	861	1995-12-14	PRIJEM	VKLAD	27040	43811	\N	\N	\N
250778	861	1996-01-14	PRIJEM	VKLAD	18027	36766	\N	\N	\N
250779	861	1996-02-14	PRIJEM	VKLAD	18027	32690	\N	\N	\N
250780	861	1996-03-14	PRIJEM	VKLAD	18027	34801	\N	\N	\N
250781	861	1996-04-14	PRIJEM	VKLAD	18027	33248	\N	\N	\N
250782	861	1996-05-14	PRIJEM	VKLAD	18027	32262	\N	\N	\N
250783	861	1996-06-14	PRIJEM	VKLAD	27040	42583	\N	\N	\N
250784	861	1996-07-14	PRIJEM	VKLAD	18027	39713	\N	\N	\N
250785	861	1996-08-14	PRIJEM	VKLAD	18027	37968	\N	\N	\N
250786	861	1996-09-14	PRIJEM	VKLAD	18027	34912	\N	\N	\N
250787	861	1996-10-14	PRIJEM	VKLAD	18027	35544	\N	\N	\N
250788	861	1996-11-14	PRIJEM	VKLAD	18027	31775	\N	\N	\N
250789	861	1996-12-14	PRIJEM	VKLAD	27040	41889	\N	\N	\N
250790	861	1997-01-14	PRIJEM	VKLAD	18027	33907	\N	\N	\N
250791	861	1997-02-14	PRIJEM	VKLAD	18027	31211	\N	\N	\N
250792	861	1997-03-14	PRIJEM	VKLAD	18027	32523	\N	\N	\N
250793	861	1997-04-14	PRIJEM	VKLAD	18027	41032	\N	\N	\N
250794	861	1997-05-14	PRIJEM	VKLAD	18027	36566	\N	\N	\N
250795	861	1997-06-14	PRIJEM	VKLAD	27040	54127	\N	\N	\N
250796	861	1997-07-14	PRIJEM	VKLAD	18027	42590	\N	\N	\N
250797	861	1997-08-14	PRIJEM	VKLAD	18027	37123	\N	\N	\N
250798	861	1997-09-14	PRIJEM	VKLAD	18027	32847	\N	\N	\N
250799	861	1997-10-14	PRIJEM	VKLAD	18027	41378	\N	\N	\N
250800	861	1997-11-14	PRIJEM	VKLAD	18027	36315	\N	\N	\N
250801	861	1997-12-14	PRIJEM	VKLAD	27040	53873	\N	\N	\N
250802	861	1998-01-14	PRIJEM	VKLAD	18027	39920	\N	\N	\N
250803	861	1998-02-14	PRIJEM	VKLAD	18027	32831	\N	\N	\N
250804	861	1998-03-14	PRIJEM	VKLAD	18027	33628	\N	\N	\N
250805	861	1998-04-14	PRIJEM	VKLAD	18027	42141	\N	\N	\N
250806	861	1998-05-14	PRIJEM	VKLAD	18027	38671	\N	\N	\N
250807	861	1998-06-14	PRIJEM	VKLAD	27040	43907	\N	\N	\N
250808	861	1998-07-14	PRIJEM	VKLAD	18027	36529	\N	\N	\N
250809	861	1998-08-14	PRIJEM	VKLAD	18027	44154	\N	\N	\N
250810	861	1998-09-14	PRIJEM	VKLAD	18027	36981	\N	\N	\N
250811	861	1998-10-14	PRIJEM	VKLAD	18027	45508	\N	\N	\N
250812	861	1998-11-14	PRIJEM	VKLAD	18027	33928	\N	\N	\N
250813	861	1998-12-14	PRIJEM	VKLAD	27040	51454	\N	\N	\N
250826	861	1994-01-14	VYDAJ	PREVOD NA UCET	9105	54034	SIPO	ST	19577122
250827	861	1994-02-14	VYDAJ	PREVOD NA UCET	9105	43480	SIPO	ST	19577122
250828	861	1994-03-14	VYDAJ	PREVOD NA UCET	9105	45000	SIPO	ST	19577122
250829	861	1994-04-14	VYDAJ	PREVOD NA UCET	9105	43927	SIPO	ST	19577122
250830	861	1994-05-14	VYDAJ	PREVOD NA UCET	9105	43531	SIPO	ST	19577122
250831	861	1994-06-14	VYDAJ	PREVOD NA UCET	9105	38753	SIPO	ST	19577122
250832	861	1994-07-14	VYDAJ	PREVOD NA UCET	9105	39041	SIPO	ST	19577122
250833	861	1994-08-14	VYDAJ	PREVOD NA UCET	9105	38049	SIPO	ST	19577122
250834	861	1994-09-14	VYDAJ	PREVOD NA UCET	9105	37641	SIPO	ST	19577122
250835	861	1994-10-14	VYDAJ	PREVOD NA UCET	9105	39036	SIPO	ST	19577122
251057	861	1994-04-30	VYDAJ	VYBER	15	44087	SLUZBY	\N	\N
250836	861	1994-11-14	VYDAJ	PREVOD NA UCET	9105	39515	SIPO	ST	19577122
250837	861	1994-12-14	VYDAJ	PREVOD NA UCET	9105	48935	SIPO	ST	19577122
250838	861	1995-01-14	VYDAJ	PREVOD NA UCET	9105	37544	SIPO	ST	19577122
250839	861	1995-02-14	VYDAJ	PREVOD NA UCET	9105	34425	SIPO	ST	19577122
250840	861	1995-03-14	VYDAJ	PREVOD NA UCET	9105	28206	SIPO	ST	19577122
250841	861	1995-04-14	VYDAJ	PREVOD NA UCET	9105	31350	SIPO	ST	19577122
250842	861	1995-05-14	VYDAJ	PREVOD NA UCET	9105	35819	SIPO	ST	19577122
250843	861	1995-06-14	VYDAJ	PREVOD NA UCET	9105	44798	SIPO	ST	19577122
250844	861	1995-07-14	VYDAJ	PREVOD NA UCET	9105	35776	SIPO	ST	19577122
250845	861	1995-08-14	VYDAJ	PREVOD NA UCET	9105	36741	SIPO	ST	19577122
250846	861	1995-09-14	VYDAJ	PREVOD NA UCET	9105	35415	SIPO	ST	19577122
250847	861	1995-10-14	VYDAJ	PREVOD NA UCET	9105	31884	SIPO	ST	19577122
250848	861	1995-11-14	VYDAJ	PREVOD NA UCET	9105	31739	SIPO	ST	19577122
250849	861	1995-12-14	VYDAJ	PREVOD NA UCET	9105	34706	SIPO	ST	19577122
250850	861	1996-01-14	VYDAJ	PREVOD NA UCET	9105	27661	SIPO	ST	19577122
250851	861	1996-02-14	VYDAJ	PREVOD NA UCET	9105	23585	SIPO	ST	19577122
250852	861	1996-03-14	VYDAJ	PREVOD NA UCET	9105	25696	SIPO	ST	19577122
250853	861	1996-04-14	VYDAJ	PREVOD NA UCET	9105	24143	SIPO	ST	19577122
250854	861	1996-05-14	VYDAJ	PREVOD NA UCET	9105	23157	SIPO	ST	19577122
250855	861	1996-06-14	VYDAJ	PREVOD NA UCET	9105	33478	SIPO	ST	19577122
250856	861	1996-07-14	VYDAJ	PREVOD NA UCET	9105	30608	SIPO	ST	19577122
250857	861	1996-08-14	VYDAJ	PREVOD NA UCET	9105	28863	SIPO	ST	19577122
250858	861	1996-09-14	VYDAJ	PREVOD NA UCET	9105	25807	SIPO	ST	19577122
250859	861	1996-10-14	VYDAJ	PREVOD NA UCET	9105	26439	SIPO	ST	19577122
250860	861	1996-11-14	VYDAJ	PREVOD NA UCET	9105	22670	SIPO	ST	19577122
250861	861	1996-12-14	VYDAJ	PREVOD NA UCET	9105	32784	SIPO	ST	19577122
250862	861	1997-01-14	VYDAJ	PREVOD NA UCET	9105	24802	SIPO	ST	19577122
250863	861	1997-02-14	VYDAJ	PREVOD NA UCET	9105	22106	SIPO	ST	19577122
250864	861	1997-03-14	VYDAJ	PREVOD NA UCET	9105	23418	SIPO	ST	19577122
250865	861	1997-04-14	VYDAJ	PREVOD NA UCET	9105	31927	SIPO	ST	19577122
250866	861	1997-05-14	VYDAJ	PREVOD NA UCET	9105	27461	SIPO	ST	19577122
250867	861	1997-06-14	VYDAJ	PREVOD NA UCET	9105	45022	SIPO	ST	19577122
250868	861	1997-07-14	VYDAJ	PREVOD NA UCET	9105	33485	SIPO	ST	19577122
250869	861	1997-08-14	VYDAJ	PREVOD NA UCET	9105	28018	SIPO	ST	19577122
250870	861	1997-09-14	VYDAJ	PREVOD NA UCET	9105	23742	SIPO	ST	19577122
250871	861	1997-10-14	VYDAJ	PREVOD NA UCET	9105	32273	SIPO	ST	19577122
250872	861	1997-11-14	VYDAJ	PREVOD NA UCET	9105	27210	SIPO	ST	19577122
250873	861	1997-12-14	VYDAJ	PREVOD NA UCET	9105	44768	SIPO	ST	19577122
250874	861	1998-01-14	VYDAJ	PREVOD NA UCET	9105	30815	SIPO	ST	19577122
250875	861	1998-02-14	VYDAJ	PREVOD NA UCET	9105	23726	SIPO	ST	19577122
250876	861	1998-03-14	VYDAJ	PREVOD NA UCET	9105	24523	SIPO	ST	19577122
250877	861	1998-04-14	VYDAJ	PREVOD NA UCET	9105	33036	SIPO	ST	19577122
250878	861	1998-05-14	VYDAJ	PREVOD NA UCET	9105	29566	SIPO	ST	19577122
250879	861	1998-06-14	VYDAJ	PREVOD NA UCET	9105	34802	SIPO	ST	19577122
250880	861	1998-07-14	VYDAJ	PREVOD NA UCET	9105	27424	SIPO	ST	19577122
250881	861	1998-08-14	VYDAJ	PREVOD NA UCET	9105	35049	SIPO	ST	19577122
250882	861	1998-09-14	VYDAJ	PREVOD NA UCET	9105	27876	SIPO	ST	19577122
250883	861	1998-10-14	VYDAJ	PREVOD NA UCET	9105	36403	SIPO	ST	19577122
250884	861	1998-11-14	VYDAJ	PREVOD NA UCET	9105	24823	SIPO	ST	19577122
250885	861	1998-12-14	VYDAJ	PREVOD NA UCET	9105	42349	SIPO	ST	19577122
250899	861	1994-02-08	VYDAJ	PREVOD NA UCET	478	39558	 	IJ	36303168
250900	861	1994-03-08	VYDAJ	PREVOD NA UCET	478	43178	 	IJ	36303168
250901	861	1994-04-08	VYDAJ	PREVOD NA UCET	478	40605	 	IJ	36303168
250902	861	1994-05-08	VYDAJ	PREVOD NA UCET	478	43609	 	IJ	36303168
250903	861	1994-06-08	VYDAJ	PREVOD NA UCET	478	42518	 	IJ	36303168
250904	861	1994-07-08	VYDAJ	PREVOD NA UCET	478	38419	 	IJ	36303168
250905	861	1994-08-08	VYDAJ	PREVOD NA UCET	478	38727	 	IJ	36303168
250906	861	1994-09-08	VYDAJ	PREVOD NA UCET	478	28719	 	IJ	36303168
250907	861	1994-10-08	VYDAJ	PREVOD NA UCET	478	30114	 	IJ	36303168
250908	861	1994-11-08	VYDAJ	PREVOD NA UCET	478	30593	 	IJ	36303168
250909	861	1994-12-08	VYDAJ	PREVOD NA UCET	478	31600	 	IJ	36303168
250910	861	1995-01-08	VYDAJ	PREVOD NA UCET	478	33822	 	IJ	36303168
250911	861	1995-02-08	VYDAJ	PREVOD NA UCET	478	25503	 	IJ	36303168
250912	861	1995-03-08	VYDAJ	PREVOD NA UCET	478	23784	 	IJ	36303168
250913	861	1995-04-08	VYDAJ	PREVOD NA UCET	478	22428	 	IJ	36303168
250914	861	1995-05-08	VYDAJ	PREVOD NA UCET	478	26897	 	IJ	36303168
250915	861	1995-06-08	VYDAJ	PREVOD NA UCET	478	26863	 	IJ	36303168
250916	861	1995-07-08	VYDAJ	PREVOD NA UCET	478	26854	 	IJ	36303168
250917	861	1995-08-08	VYDAJ	PREVOD NA UCET	478	27819	 	IJ	36303168
250918	861	1995-09-08	VYDAJ	PREVOD NA UCET	478	26493	 	IJ	36303168
250919	861	1995-10-08	VYDAJ	PREVOD NA UCET	478	22962	 	IJ	36303168
250920	861	1995-11-08	VYDAJ	PREVOD NA UCET	478	22817	 	IJ	36303168
250921	861	1995-12-08	VYDAJ	PREVOD NA UCET	478	20871	 	IJ	36303168
250922	861	1996-01-08	VYDAJ	PREVOD NA UCET	478	21139	 	IJ	36303168
250923	861	1996-02-08	VYDAJ	PREVOD NA UCET	478	14663	 	IJ	36303168
250924	861	1996-03-08	VYDAJ	PREVOD NA UCET	478	16774	 	IJ	36303168
250925	861	1996-04-08	VYDAJ	PREVOD NA UCET	478	15221	 	IJ	36303168
250926	861	1996-05-08	VYDAJ	PREVOD NA UCET	478	14235	 	IJ	36303168
250927	861	1996-06-08	VYDAJ	PREVOD NA UCET	478	15543	 	IJ	36303168
250928	861	1996-07-08	VYDAJ	PREVOD NA UCET	478	21686	 	IJ	36303168
250929	861	1996-08-08	VYDAJ	PREVOD NA UCET	478	19941	 	IJ	36303168
250930	861	1996-09-08	VYDAJ	PREVOD NA UCET	478	16885	 	IJ	36303168
250931	861	1996-10-08	VYDAJ	PREVOD NA UCET	478	17517	 	IJ	36303168
250932	861	1996-11-08	VYDAJ	PREVOD NA UCET	478	13748	 	IJ	36303168
250933	861	1996-12-08	VYDAJ	PREVOD NA UCET	478	14849	 	IJ	36303168
250934	861	1997-01-08	VYDAJ	PREVOD NA UCET	478	15880	 	IJ	36303168
250935	861	1997-02-08	VYDAJ	PREVOD NA UCET	478	13184	 	IJ	36303168
250936	861	1997-03-08	VYDAJ	PREVOD NA UCET	478	14496	 	IJ	36303168
250937	861	1997-04-08	VYDAJ	PREVOD NA UCET	478	23005	 	IJ	36303168
250938	861	1997-05-08	VYDAJ	PREVOD NA UCET	478	18539	 	IJ	36303168
250939	861	1997-06-08	VYDAJ	PREVOD NA UCET	478	27087	 	IJ	36303168
250940	861	1997-07-08	VYDAJ	PREVOD NA UCET	478	24563	 	IJ	36303168
250941	861	1997-08-08	VYDAJ	PREVOD NA UCET	478	19096	 	IJ	36303168
250942	861	1997-09-08	VYDAJ	PREVOD NA UCET	478	14820	 	IJ	36303168
250943	861	1997-10-08	VYDAJ	PREVOD NA UCET	478	23351	 	IJ	36303168
250944	861	1997-11-08	VYDAJ	PREVOD NA UCET	478	18288	 	IJ	36303168
250945	861	1997-12-08	VYDAJ	PREVOD NA UCET	478	26833	 	IJ	36303168
250946	861	1998-01-08	VYDAJ	PREVOD NA UCET	478	21893	 	IJ	36303168
250947	861	1998-02-08	VYDAJ	PREVOD NA UCET	478	14804	 	IJ	36303168
250948	861	1998-03-08	VYDAJ	PREVOD NA UCET	478	15601	 	IJ	36303168
250949	861	1998-04-08	VYDAJ	PREVOD NA UCET	478	24114	 	IJ	36303168
250950	861	1998-05-08	VYDAJ	PREVOD NA UCET	478	20644	 	IJ	36303168
250951	861	1998-06-08	VYDAJ	PREVOD NA UCET	478	18767	 	IJ	36303168
250952	861	1998-07-08	VYDAJ	PREVOD NA UCET	478	18502	 	IJ	36303168
250953	861	1998-08-08	VYDAJ	PREVOD NA UCET	478	26127	 	IJ	36303168
250954	861	1998-09-08	VYDAJ	PREVOD NA UCET	478	18954	 	IJ	36303168
250955	861	1998-10-08	VYDAJ	PREVOD NA UCET	478	27481	 	IJ	36303168
250956	861	1998-11-08	VYDAJ	PREVOD NA UCET	478	15901	 	IJ	36303168
250957	861	1998-12-08	VYDAJ	PREVOD NA UCET	478	24414	 	IJ	36303168
250959	861	1994-06-11	VYDAJ	VYBER	13200	20818	\N	\N	\N
250960	861	1995-06-25	VYDAJ	VYBER	14500	30298	\N	\N	\N
250965	861	1994-01-15	VYDAJ	VYBER	6400	47634	\N	\N	\N
250966	861	1995-01-11	VYDAJ	VYBER	5200	28622	\N	\N	\N
250967	861	1996-01-26	VYDAJ	VYBER	1900	17061	\N	\N	\N
250969	861	1998-01-17	VYDAJ	VYBER	6100	23215	\N	\N	\N
250971	861	1994-12-11	VYDAJ	VYBER	600	31000	\N	\N	\N
250972	861	1995-12-22	VYDAJ	VYBER	1800	32906	\N	\N	\N
250973	861	1996-12-15	VYDAJ	VYBER	1300	31484	\N	\N	\N
250974	861	1997-12-16	VYDAJ	VYBER	2000	42768	\N	\N	\N
250975	861	1998-12-26	VYDAJ	VYBER	700	18949	\N	\N	\N
250983	861	1994-01-30	VYDAJ	VYBER	1100	39834	\N	\N	\N
250987	861	1994-01-24	VYDAJ	VYBER	2000	40934	\N	\N	\N
250988	861	1995-01-02	VYDAJ	VYBER	2200	44000	\N	\N	\N
250989	861	1995-01-29	VYDAJ	VYBER	900	32344	\N	\N	\N
250990	861	1995-01-01	VYDAJ	VYBER	2900	46200	\N	\N	\N
250991	861	1995-01-25	VYDAJ	VYBER	2800	33244	\N	\N	\N
250992	861	1995-01-04	VYDAJ	VYBER	1100	42900	\N	\N	\N
250993	861	1995-01-16	VYDAJ	VYBER	1500	36044	\N	\N	\N
250994	861	1996-01-28	VYDAJ	VYBER	1100	15461	\N	\N	\N
250995	861	1996-01-17	VYDAJ	VYBER	1800	25861	\N	\N	\N
250997	861	1996-01-13	VYDAJ	VYBER	2400	18739	\N	\N	\N
250998	861	1996-01-26	VYDAJ	VYBER	500	16561	\N	\N	\N
250999	861	1996-01-18	VYDAJ	VYBER	2300	23561	\N	\N	\N
251001	861	1997-01-24	VYDAJ	VYBER	2400	20602	\N	\N	\N
251005	861	1997-01-21	VYDAJ	VYBER	1800	23002	\N	\N	\N
251009	861	1998-01-16	VYDAJ	VYBER	1500	29315	\N	\N	\N
251014	861	1994-09-14	VYDAJ	VYBER	4400	33241	\N	\N	\N
251015	861	1994-03-08	VYDAJ	VYBER	500	42678	\N	\N	\N
251016	861	1994-05-16	VYDAJ	VYBER	700	42831	\N	\N	\N
251017	861	1994-03-28	VYDAJ	VYBER	4100	40900	\N	\N	\N
251018	861	1994-01-20	VYDAJ	VYBER	4700	42934	\N	\N	\N
251019	861	1994-08-25	VYDAJ	VYBER	4400	33649	\N	\N	\N
251020	861	1995-06-06	VYDAJ	VYBER	2900	27341	\N	\N	\N
251021	861	1995-12-12	VYDAJ	VYBER	4100	16771	\N	\N	\N
251022	861	1995-03-09	VYDAJ	VYBER	4500	19284	\N	\N	\N
251023	861	1995-03-16	VYDAJ	VYBER	700	27506	\N	\N	\N
251024	861	1995-09-29	VYDAJ	VYBER	2500	32915	\N	\N	\N
251025	861	1995-12-29	VYDAJ	VYBER	1900	31006	\N	\N	\N
251026	861	1996-07-14	VYDAJ	VYBER	1300	29308	\N	\N	\N
251027	861	1996-03-31	VYDAJ	VYBER	2800	19299	\N	\N	\N
251028	861	1996-04-23	VYDAJ	VYBER	3800	20343	\N	\N	\N
251029	861	1996-04-07	VYDAJ	VYBER	3600	15699	\N	\N	\N
251030	861	1996-01-21	VYDAJ	VYBER	4600	18961	\N	\N	\N
251031	861	1996-06-19	VYDAJ	VYBER	2100	31378	\N	\N	\N
251035	861	1997-07-14	VYDAJ	VYBER	2100	31385	\N	\N	\N
251037	861	1998-06-13	VYDAJ	VYBER	1900	16867	\N	\N	\N
251038	861	1998-08-07	VYDAJ	VYBER	900	26605	\N	\N	\N
251039	861	1998-10-15	VYDAJ	VYBER	3500	32903	\N	\N	\N
251040	861	1998-05-19	VYDAJ	VYBER	800	28766	\N	\N	\N
251054	861	1994-01-31	VYDAJ	VYBER	15	40036	SLUZBY	\N	\N
251055	861	1994-02-28	VYDAJ	VYBER	15	43656	SLUZBY	\N	\N
251056	861	1994-03-31	VYDAJ	VYBER	15	41083	SLUZBY	\N	\N
251058	861	1994-05-31	VYDAJ	VYBER	15	42996	SLUZBY	\N	\N
251059	861	1994-06-30	VYDAJ	VYBER	15	38897	SLUZBY	\N	\N
251060	861	1994-07-31	VYDAJ	VYBER	15	39205	SLUZBY	\N	\N
251061	861	1994-08-31	VYDAJ	VYBER	15	33797	SLUZBY	\N	\N
251062	861	1994-09-30	VYDAJ	VYBER	15	33392	SLUZBY	\N	\N
251063	861	1994-10-31	VYDAJ	VYBER	15	39171	SLUZBY	\N	\N
251064	861	1994-11-30	VYDAJ	VYBER	15	39678	SLUZBY	\N	\N
251065	861	1994-12-31	VYDAJ	VYBER	15	49100	SLUZBY	\N	\N
251066	861	1995-01-31	VYDAJ	VYBER	15	32481	SLUZBY	\N	\N
251067	861	1995-02-28	VYDAJ	VYBER	15	34562	SLUZBY	\N	\N
251068	861	1995-03-31	VYDAJ	VYBER	15	27606	SLUZBY	\N	\N
251069	861	1995-04-30	VYDAJ	VYBER	15	31475	SLUZBY	\N	\N
251070	861	1995-05-31	VYDAJ	VYBER	15	35941	SLUZBY	\N	\N
251071	861	1995-06-30	VYDAJ	VYBER	15	30432	SLUZBY	\N	\N
251072	861	1995-07-31	VYDAJ	VYBER	15	35897	SLUZBY	\N	\N
251073	861	1995-08-31	VYDAJ	VYBER	15	36871	SLUZBY	\N	\N
251074	861	1995-09-30	VYDAJ	VYBER	15	33040	SLUZBY	\N	\N
251075	861	1995-10-31	VYDAJ	VYBER	15	31995	SLUZBY	\N	\N
251076	861	1995-11-30	VYDAJ	VYBER	15	31849	SLUZBY	\N	\N
251077	861	1995-12-31	VYDAJ	VYBER	15	31117	SLUZBY	\N	\N
251078	861	1996-01-31	VYDAJ	VYBER	15	15541	SLUZBY	\N	\N
251079	861	1996-02-29	VYDAJ	VYBER	15	23652	SLUZBY	\N	\N
251080	861	1996-03-31	VYDAJ	VYBER	15	25799	SLUZBY	\N	\N
251081	861	1996-04-30	VYDAJ	VYBER	15	20413	SLUZBY	\N	\N
251082	861	1996-05-31	VYDAJ	VYBER	15	16021	SLUZBY	\N	\N
251083	861	1996-06-30	VYDAJ	VYBER	15	22164	SLUZBY	\N	\N
251084	861	1996-07-31	VYDAJ	VYBER	15	20419	SLUZBY	\N	\N
251085	861	1996-08-31	VYDAJ	VYBER	15	17363	SLUZBY	\N	\N
251086	861	1996-09-30	VYDAJ	VYBER	15	17995	SLUZBY	\N	\N
251087	861	1996-10-31	VYDAJ	VYBER	15	14226	SLUZBY	\N	\N
251088	861	1996-11-30	VYDAJ	VYBER	15	15327	SLUZBY	\N	\N
251089	861	1996-12-31	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
251090	861	1997-01-31	VYDAJ	VYBER	15	13662	SLUZBY	\N	\N
251091	861	1997-02-28	VYDAJ	VYBER	15	14974	SLUZBY	\N	\N
251092	861	1997-03-31	VYDAJ	VYBER	15	23483	SLUZBY	\N	\N
251093	861	1997-04-30	VYDAJ	VYBER	15	19017	SLUZBY	\N	\N
251094	861	1997-05-31	VYDAJ	VYBER	15	27565	SLUZBY	\N	\N
251095	861	1997-06-30	VYDAJ	VYBER	15	25041	SLUZBY	\N	\N
251096	861	1997-07-31	VYDAJ	VYBER	15	19574	SLUZBY	\N	\N
251097	861	1997-08-31	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
251098	861	1997-09-30	VYDAJ	VYBER	15	23829	SLUZBY	\N	\N
251099	861	1997-10-31	VYDAJ	VYBER	15	18766	SLUZBY	\N	\N
251100	861	1997-11-30	VYDAJ	VYBER	15	27311	SLUZBY	\N	\N
251101	861	1997-12-31	VYDAJ	VYBER	15	22371	SLUZBY	\N	\N
251102	861	1998-01-31	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
251103	861	1998-02-28	VYDAJ	VYBER	15	16079	SLUZBY	\N	\N
251104	861	1998-03-31	VYDAJ	VYBER	15	24592	SLUZBY	\N	\N
251105	861	1998-04-30	VYDAJ	VYBER	15	21122	SLUZBY	\N	\N
251106	861	1998-05-31	VYDAJ	VYBER	15	19245	SLUZBY	\N	\N
251107	861	1998-06-30	VYDAJ	VYBER	15	18980	SLUZBY	\N	\N
251108	861	1998-07-31	VYDAJ	VYBER	15	27505	SLUZBY	\N	\N
251109	861	1998-08-31	VYDAJ	VYBER	15	19432	SLUZBY	\N	\N
251110	861	1998-09-30	VYDAJ	VYBER	15	27959	SLUZBY	\N	\N
251111	861	1998-10-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
251112	861	1998-11-30	VYDAJ	VYBER	15	24892	SLUZBY	\N	\N
251113	861	1993-10-13	PRIJEM	VKLAD	1000	20072	\N	\N	\N
251114	861	1993-11-12	VYDAJ	VYBER	7500	30724	\N	\N	\N
251115	861	1993-12-12	VYDAJ	VYBER	13400	35535	\N	\N	\N
251116	861	1994-01-11	VYDAJ	VYBER	17700	45112	\N	\N	\N
251117	861	1994-02-10	VYDAJ	VYBER	5000	34558	\N	\N	\N
251118	861	1994-03-12	VYDAJ	VYBER	6600	36078	\N	\N	\N
251119	861	1994-04-11	VYDAJ	VYBER	5600	35005	\N	\N	\N
251120	861	1994-05-11	VYDAJ	VYBER	9000	34609	\N	\N	\N
251121	861	1994-06-10	VYDAJ	VYBER	8500	34018	\N	\N	\N
251122	861	1994-07-10	VYDAJ	VYBER	8300	30119	\N	\N	\N
251123	861	1994-08-09	VYDAJ	VYBER	9600	29127	\N	\N	\N
251124	861	1994-09-08	VYDAJ	VYBER	4600	29197	\N	\N	\N
251125	861	1994-10-08	VYDAJ	VYBER	2800	30592	\N	\N	\N
251126	861	1994-11-07	VYDAJ	VYBER	8100	31071	\N	\N	\N
251127	861	1994-12-07	VYDAJ	VYBER	7600	32078	\N	\N	\N
251128	861	1995-01-06	VYDAJ	VYBER	8600	34300	\N	\N	\N
251129	861	1995-02-05	VYDAJ	VYBER	6500	25981	\N	\N	\N
251130	861	1995-03-07	VYDAJ	VYBER	10300	24262	\N	\N	\N
251131	861	1995-04-06	VYDAJ	VYBER	4700	22906	\N	\N	\N
251132	861	1995-05-06	VYDAJ	VYBER	4100	27375	\N	\N	\N
251133	861	1995-06-05	VYDAJ	VYBER	5700	30241	\N	\N	\N
251134	861	1995-07-05	VYDAJ	VYBER	3100	27332	\N	\N	\N
251135	861	1995-08-04	VYDAJ	VYBER	7600	28297	\N	\N	\N
251136	861	1995-09-03	VYDAJ	VYBER	9900	26971	\N	\N	\N
251137	861	1995-10-03	VYDAJ	VYBER	9600	23440	\N	\N	\N
251138	861	1995-11-02	VYDAJ	VYBER	8700	23295	\N	\N	\N
251139	861	1995-12-02	VYDAJ	VYBER	10500	21349	\N	\N	\N
251140	861	1996-01-01	VYDAJ	VYBER	9500	21617	\N	\N	\N
251141	861	1996-01-31	VYDAJ	VYBER	400	15141	\N	\N	\N
251142	861	1996-03-01	VYDAJ	VYBER	6400	17252	\N	\N	\N
251143	861	1996-03-31	VYDAJ	VYBER	3700	22099	\N	\N	\N
251144	861	1996-04-30	VYDAJ	VYBER	5700	14713	\N	\N	\N
251145	861	1996-05-30	VYDAJ	VYBER	7200	15957	\N	\N	\N
251146	861	1996-06-29	VYDAJ	VYBER	9300	22078	\N	\N	\N
251147	861	1996-07-29	VYDAJ	VYBER	9000	20308	\N	\N	\N
251148	861	1996-08-28	VYDAJ	VYBER	11600	17263	\N	\N	\N
251149	861	1996-09-27	VYDAJ	VYBER	7900	17907	\N	\N	\N
251150	861	1996-10-27	VYDAJ	VYBER	12300	14139	\N	\N	\N
251151	861	1996-11-26	VYDAJ	VYBER	7400	15270	\N	\N	\N
251152	861	1996-12-26	VYDAJ	VYBER	15200	16284	\N	\N	\N
251153	861	1997-01-25	VYDAJ	VYBER	7000	13602	\N	\N	\N
251154	861	1997-02-24	VYDAJ	VYBER	7200	14906	\N	\N	\N
251155	861	1997-04-25	VYDAJ	VYBER	13000	18927	\N	\N	\N
251156	861	1997-06-24	VYDAJ	VYBER	20100	24922	\N	\N	\N
251157	861	1997-07-24	VYDAJ	VYBER	11900	19485	\N	\N	\N
251158	861	1997-08-23	VYDAJ	VYBER	12800	15218	\N	\N	\N
251159	861	1997-10-22	VYDAJ	VYBER	13600	18673	\N	\N	\N
251160	861	1997-12-21	VYDAJ	VYBER	20500	22268	\N	\N	\N
251161	861	1998-01-20	VYDAJ	VYBER	8000	15215	\N	\N	\N
251162	861	1998-02-19	VYDAJ	VYBER	7700	16026	\N	\N	\N
251163	861	1998-04-20	VYDAJ	VYBER	12000	21036	\N	\N	\N
251164	861	1998-05-20	VYDAJ	VYBER	9600	19166	\N	\N	\N
251165	861	1998-06-19	VYDAJ	VYBER	15900	18902	\N	\N	\N
251166	861	1998-08-18	VYDAJ	VYBER	15700	19349	\N	\N	\N
251167	861	1998-10-17	VYDAJ	VYBER	16600	16303	\N	\N	\N
251168	861	1998-12-16	VYDAJ	VYBER	22700	19649	\N	\N	\N
251233	862	1993-02-02	PRIJEM	VKLAD	200	200	\N	\N	\N
251235	862	1993-02-08	PRIJEM	PREVOD Z UCTU	44333	44533	\N	YZ	2834439
251236	862	1993-03-08	PRIJEM	PREVOD Z UCTU	44333	78305	\N	YZ	2834439
251237	862	1993-04-08	PRIJEM	PREVOD Z UCTU	44333	95033	\N	YZ	2834439
251238	862	1993-05-08	PRIJEM	PREVOD Z UCTU	44333	106945	\N	YZ	2834439
251239	862	1993-06-08	PRIJEM	PREVOD Z UCTU	66500	131480	\N	YZ	2834439
251240	862	1993-07-08	PRIJEM	PREVOD Z UCTU	44333	96526	\N	YZ	2834439
251241	862	1993-08-08	PRIJEM	PREVOD Z UCTU	44333	92979	\N	YZ	2834439
251242	862	1993-09-08	PRIJEM	PREVOD Z UCTU	44333	101707	\N	YZ	2834439
251243	862	1993-10-08	PRIJEM	PREVOD Z UCTU	44333	109068	\N	YZ	2834439
251244	862	1993-11-08	PRIJEM	PREVOD Z UCTU	44333	94679	\N	YZ	2834439
251245	862	1993-12-08	PRIJEM	PREVOD Z UCTU	66500	112533	\N	YZ	2834439
251246	862	1994-01-08	PRIJEM	PREVOD Z UCTU	44333	88004	\N	YZ	2834439
251247	862	1994-02-08	PRIJEM	PREVOD Z UCTU	44333	70413	\N	YZ	2834439
251248	862	1994-03-08	PRIJEM	PREVOD Z UCTU	44333	85109	\N	YZ	2834439
251249	862	1994-04-08	PRIJEM	PREVOD Z UCTU	44333	98530	\N	YZ	2834439
251250	862	1994-05-08	PRIJEM	PREVOD Z UCTU	44333	98042	\N	YZ	2834439
251251	862	1994-06-08	PRIJEM	PREVOD Z UCTU	66500	127827	\N	YZ	2834439
251252	862	1994-07-08	PRIJEM	PREVOD Z UCTU	44333	76900	\N	YZ	2834439
251253	862	1994-08-08	PRIJEM	PREVOD Z UCTU	44333	95641	\N	YZ	2834439
251254	862	1994-09-08	PRIJEM	PREVOD Z UCTU	44333	103340	\N	YZ	2834439
251255	862	1994-10-08	PRIJEM	PREVOD Z UCTU	44333	102540	\N	YZ	2834439
251256	862	1994-11-08	PRIJEM	PREVOD Z UCTU	44333	95049	\N	YZ	2834439
251257	862	1994-12-08	PRIJEM	PREVOD Z UCTU	66500	116567	\N	YZ	2834439
251258	862	1995-01-08	PRIJEM	PREVOD Z UCTU	44333	69294	\N	YZ	2834439
251259	862	1995-02-08	PRIJEM	PREVOD Z UCTU	44333	76011	\N	YZ	2834439
251260	862	1995-03-08	PRIJEM	PREVOD Z UCTU	44333	81894	\N	YZ	2834439
251261	862	1995-04-08	PRIJEM	PREVOD Z UCTU	44333	72531	\N	YZ	2834439
251262	862	1995-05-08	PRIJEM	PREVOD Z UCTU	44333	71160	\N	YZ	2834439
251263	862	1995-06-08	PRIJEM	PREVOD Z UCTU	66500	98431	\N	YZ	2834439
251264	862	1995-07-08	PRIJEM	PREVOD Z UCTU	44333	106020	\N	YZ	2834439
251265	862	1995-08-08	PRIJEM	PREVOD Z UCTU	44333	100432	\N	YZ	2834439
251266	862	1995-09-08	PRIJEM	PREVOD Z UCTU	44333	104722	\N	YZ	2834439
251267	862	1995-10-08	PRIJEM	PREVOD Z UCTU	44333	110434	\N	YZ	2834439
251268	862	1995-11-08	PRIJEM	PREVOD Z UCTU	44333	78908	\N	YZ	2834439
251269	862	1995-12-08	PRIJEM	PREVOD Z UCTU	66500	118087	\N	YZ	2834439
251270	862	1996-01-08	PRIJEM	PREVOD Z UCTU	44333	75669	\N	YZ	2834439
251271	862	1996-02-08	PRIJEM	PREVOD Z UCTU	44333	79054	\N	YZ	2834439
251272	862	1996-03-08	PRIJEM	PREVOD Z UCTU	44333	95865	\N	YZ	2834439
251273	862	1996-04-08	PRIJEM	PREVOD Z UCTU	44333	88918	\N	YZ	2834439
251274	862	1996-05-08	PRIJEM	PREVOD Z UCTU	44333	97849	\N	YZ	2834439
251275	862	1996-06-08	PRIJEM	PREVOD Z UCTU	66500	127380	\N	YZ	2834439
251276	862	1996-07-08	PRIJEM	PREVOD Z UCTU	44333	75061	\N	YZ	2834439
251277	862	1996-08-08	PRIJEM	PREVOD Z UCTU	44333	89439	\N	YZ	2834439
251278	862	1996-09-08	PRIJEM	PREVOD Z UCTU	44333	100570	\N	YZ	2834439
251279	862	1996-10-08	PRIJEM	PREVOD Z UCTU	44333	100018	\N	YZ	2834439
251280	862	1996-11-08	PRIJEM	PREVOD Z UCTU	44333	101583	\N	YZ	2834439
251281	862	1996-12-08	PRIJEM	PREVOD Z UCTU	66500	132926	\N	YZ	2834439
251282	862	1997-01-08	PRIJEM	PREVOD Z UCTU	44333	85785	\N	YZ	2834439
251283	862	1997-02-08	PRIJEM	PREVOD Z UCTU	44333	85382	\N	YZ	2834439
251284	862	1997-03-08	PRIJEM	PREVOD Z UCTU	44333	103997	\N	YZ	2834439
251285	862	1997-04-08	PRIJEM	PREVOD Z UCTU	44333	110564	\N	YZ	2834439
251286	862	1997-05-08	PRIJEM	PREVOD Z UCTU	44333	111541	\N	YZ	2834439
251287	862	1997-06-08	PRIJEM	PREVOD Z UCTU	66500	111825	\N	YZ	2834439
251288	862	1997-07-08	PRIJEM	PREVOD Z UCTU	44333	117392	\N	YZ	2834439
251289	862	1997-08-08	PRIJEM	PREVOD Z UCTU	44333	93544	\N	YZ	2834439
251290	862	1997-09-08	PRIJEM	PREVOD Z UCTU	44333	110684	\N	YZ	2834439
251291	862	1997-10-08	PRIJEM	PREVOD Z UCTU	44333	119967	\N	YZ	2834439
251292	862	1997-11-08	PRIJEM	PREVOD Z UCTU	44333	105174	\N	YZ	2834439
251293	862	1997-12-08	PRIJEM	PREVOD Z UCTU	66500	132920	\N	YZ	2834439
251294	862	1998-01-08	PRIJEM	PREVOD Z UCTU	44333	90077	\N	YZ	2834439
251295	862	1998-02-08	PRIJEM	PREVOD Z UCTU	44333	75582	\N	YZ	2834439
251296	862	1998-03-08	PRIJEM	PREVOD Z UCTU	44333	117027	\N	YZ	2834439
251297	862	1998-04-08	PRIJEM	PREVOD Z UCTU	44333	92576	\N	YZ	2834439
251298	862	1998-05-08	PRIJEM	PREVOD Z UCTU	44333	108202	\N	YZ	2834439
251299	862	1998-06-08	PRIJEM	PREVOD Z UCTU	66500	108165	\N	YZ	2834439
251300	862	1998-07-08	PRIJEM	PREVOD Z UCTU	44333	119166	\N	YZ	2834439
251301	862	1998-08-08	PRIJEM	PREVOD Z UCTU	44333	101768	\N	YZ	2834439
251302	862	1998-09-08	PRIJEM	PREVOD Z UCTU	44333	100132	\N	YZ	2834439
251303	862	1998-10-08	PRIJEM	PREVOD Z UCTU	44333	115183	\N	YZ	2834439
251304	862	1998-11-08	PRIJEM	PREVOD Z UCTU	44333	125098	\N	YZ	2834439
251305	862	1998-12-08	PRIJEM	PREVOD Z UCTU	66500	119641	\N	YZ	2834439
251311	862	1993-06-08	VYDAJ	PREVOD NA UCET	3122	128358	SIPO	AB	95404332
251312	862	1993-07-08	VYDAJ	PREVOD NA UCET	3122	93404	SIPO	AB	95404332
251313	862	1993-08-08	VYDAJ	PREVOD NA UCET	3122	89857	SIPO	AB	95404332
251314	862	1993-09-08	VYDAJ	PREVOD NA UCET	3122	98585	SIPO	AB	95404332
251315	862	1993-10-08	VYDAJ	PREVOD NA UCET	3122	105946	SIPO	AB	95404332
251316	862	1993-11-08	VYDAJ	PREVOD NA UCET	3122	91557	SIPO	AB	95404332
251317	862	1993-12-08	VYDAJ	PREVOD NA UCET	3122	89811	SIPO	AB	95404332
251318	862	1994-01-08	VYDAJ	PREVOD NA UCET	3122	81282	SIPO	AB	95404332
251319	862	1994-02-08	VYDAJ	PREVOD NA UCET	3122	67291	SIPO	AB	95404332
251320	862	1994-03-08	VYDAJ	PREVOD NA UCET	3122	81987	SIPO	AB	95404332
251321	862	1994-04-08	VYDAJ	PREVOD NA UCET	3122	95408	SIPO	AB	95404332
251322	862	1994-05-08	VYDAJ	PREVOD NA UCET	3122	94920	SIPO	AB	95404332
251323	862	1994-06-08	VYDAJ	PREVOD NA UCET	3122	124705	SIPO	AB	95404332
251324	862	1994-07-08	VYDAJ	PREVOD NA UCET	3122	73778	SIPO	AB	95404332
251325	862	1994-08-08	VYDAJ	PREVOD NA UCET	3122	92519	SIPO	AB	95404332
251326	862	1994-09-08	VYDAJ	PREVOD NA UCET	3122	100218	SIPO	AB	95404332
251327	862	1994-10-08	VYDAJ	PREVOD NA UCET	3122	99418	SIPO	AB	95404332
251328	862	1994-11-08	VYDAJ	PREVOD NA UCET	3122	91927	SIPO	AB	95404332
251329	862	1994-12-08	VYDAJ	PREVOD NA UCET	3122	113445	SIPO	AB	95404332
251330	862	1995-01-08	VYDAJ	PREVOD NA UCET	3122	66172	SIPO	AB	95404332
251331	862	1995-02-08	VYDAJ	PREVOD NA UCET	3122	72889	SIPO	AB	95404332
251332	862	1995-03-08	VYDAJ	PREVOD NA UCET	3122	78772	SIPO	AB	95404332
251333	862	1995-04-08	VYDAJ	PREVOD NA UCET	3122	69409	SIPO	AB	95404332
251334	862	1995-05-08	VYDAJ	PREVOD NA UCET	3122	68038	SIPO	AB	95404332
251335	862	1995-06-08	VYDAJ	PREVOD NA UCET	3122	95309	SIPO	AB	95404332
251336	862	1995-07-08	VYDAJ	PREVOD NA UCET	3122	102898	SIPO	AB	95404332
251337	862	1995-08-08	VYDAJ	PREVOD NA UCET	3122	97310	SIPO	AB	95404332
251338	862	1995-09-08	VYDAJ	PREVOD NA UCET	3122	101600	SIPO	AB	95404332
251339	862	1995-10-08	VYDAJ	PREVOD NA UCET	3122	107312	SIPO	AB	95404332
251340	862	1995-11-08	VYDAJ	PREVOD NA UCET	3122	75786	SIPO	AB	95404332
251341	862	1995-12-08	VYDAJ	PREVOD NA UCET	3122	114965	SIPO	AB	95404332
251342	862	1996-01-08	VYDAJ	PREVOD NA UCET	3122	72547	SIPO	AB	95404332
251343	862	1996-02-08	VYDAJ	PREVOD NA UCET	3122	75932	SIPO	AB	95404332
251344	862	1996-03-08	VYDAJ	PREVOD NA UCET	3122	92743	SIPO	AB	95404332
251345	862	1996-04-08	VYDAJ	PREVOD NA UCET	3122	85796	SIPO	AB	95404332
251346	862	1996-05-08	VYDAJ	PREVOD NA UCET	3122	94727	SIPO	AB	95404332
251347	862	1996-06-08	VYDAJ	PREVOD NA UCET	3122	124258	SIPO	AB	95404332
251348	862	1996-07-08	VYDAJ	PREVOD NA UCET	3122	71939	SIPO	AB	95404332
251349	862	1996-08-08	VYDAJ	PREVOD NA UCET	3122	86317	SIPO	AB	95404332
251350	862	1996-09-08	VYDAJ	PREVOD NA UCET	3122	97448	SIPO	AB	95404332
251351	862	1996-10-08	VYDAJ	PREVOD NA UCET	3122	96896	SIPO	AB	95404332
251352	862	1996-11-08	VYDAJ	PREVOD NA UCET	3122	98461	SIPO	AB	95404332
251353	862	1996-12-08	VYDAJ	PREVOD NA UCET	3122	85404	SIPO	AB	95404332
251354	862	1997-01-08	VYDAJ	PREVOD NA UCET	3122	82663	SIPO	AB	95404332
251355	862	1997-02-08	VYDAJ	PREVOD NA UCET	3122	82260	SIPO	AB	95404332
251356	862	1997-03-08	VYDAJ	PREVOD NA UCET	3122	100875	SIPO	AB	95404332
251357	862	1997-04-08	VYDAJ	PREVOD NA UCET	3122	107442	SIPO	AB	95404332
251358	862	1997-05-08	VYDAJ	PREVOD NA UCET	3122	108419	SIPO	AB	95404332
251359	862	1997-06-08	VYDAJ	PREVOD NA UCET	3122	108703	SIPO	AB	95404332
251360	862	1997-07-08	VYDAJ	PREVOD NA UCET	3122	110671	SIPO	AB	95404332
251361	862	1997-08-08	VYDAJ	PREVOD NA UCET	3122	90422	SIPO	AB	95404332
251362	862	1997-09-08	VYDAJ	PREVOD NA UCET	3122	107562	SIPO	AB	95404332
251363	862	1997-10-08	VYDAJ	PREVOD NA UCET	3122	95145	SIPO	AB	95404332
251364	862	1997-11-08	VYDAJ	PREVOD NA UCET	3122	102052	SIPO	AB	95404332
251365	862	1997-12-08	VYDAJ	PREVOD NA UCET	3122	129798	SIPO	AB	95404332
251366	862	1998-01-08	VYDAJ	PREVOD NA UCET	3122	86955	SIPO	AB	95404332
251367	862	1998-02-08	VYDAJ	PREVOD NA UCET	3122	72460	SIPO	AB	95404332
251368	862	1998-03-08	VYDAJ	PREVOD NA UCET	3122	71205	SIPO	AB	95404332
251369	862	1998-04-08	VYDAJ	PREVOD NA UCET	3122	89454	SIPO	AB	95404332
251370	862	1998-05-08	VYDAJ	PREVOD NA UCET	3122	105080	SIPO	AB	95404332
251371	862	1998-06-08	VYDAJ	PREVOD NA UCET	3122	105043	SIPO	AB	95404332
251372	862	1998-07-08	VYDAJ	PREVOD NA UCET	3122	116044	SIPO	AB	95404332
251373	862	1998-08-08	VYDAJ	PREVOD NA UCET	3122	98646	SIPO	AB	95404332
251374	862	1998-09-08	VYDAJ	PREVOD NA UCET	3122	97010	SIPO	AB	95404332
251375	862	1998-10-08	VYDAJ	PREVOD NA UCET	3122	112061	SIPO	AB	95404332
251376	862	1998-11-08	VYDAJ	PREVOD NA UCET	3122	61776	SIPO	AB	95404332
251377	862	1998-12-08	VYDAJ	PREVOD NA UCET	3122	116519	SIPO	AB	95404332
251378	862	1993-07-30	VYBER	VYBER	17371	65233	\N	\N	\N
251382	862	1994-10-11	VYBER	VYBER	6642	92776	\N	\N	\N
251383	862	1994-03-26	VYBER	VYBER	5148	76839	\N	\N	\N
251384	862	1994-10-18	VYBER	VYBER	5123	75953	\N	\N	\N
251385	862	1994-11-21	VYBER	VYBER	22127	69800	\N	\N	\N
251386	862	1994-04-10	VYBER	VYBER	19759	75649	\N	\N	\N
251387	862	1995-02-17	VYBER	VYBER	22303	50586	\N	\N	\N
251388	862	1995-06-04	VYBER	VYBER	12652	31931	\N	\N	\N
251389	862	1995-01-25	VYBER	VYBER	4366	33906	\N	\N	\N
251390	862	1995-05-17	VYBER	VYBER	4454	63584	\N	\N	\N
251391	862	1995-03-26	VYBER	VYBER	21743	28005	\N	\N	\N
251392	862	1995-05-02	VYBER	VYBER	15268	26827	\N	\N	\N
251394	862	1995-03-09	VYBER	VYBER	8124	70648	\N	\N	\N
251395	862	1997-10-30	VYBER	VYBER	7258	60587	\N	\N	\N
251396	862	1997-05-30	VYBER	VYBER	19659	45060	\N	\N	\N
251397	862	1997-07-08	VYBER	VYBER	3599	113793	\N	\N	\N
251398	862	1998-02-01	VYBER	VYBER	4413	32849	\N	\N	\N
251399	862	1998-01-19	VYBER	VYBER	11519	58936	\N	\N	\N
251400	862	1998-08-29	VYBER	VYBER	24289	74357	\N	\N	\N
251401	862	1998-12-25	VYBER	VYBER	12075	102644	\N	\N	\N
251403	862	1994-06-09	VYDAJ	VYBER	65100	39005	\N	\N	\N
251405	862	1996-06-26	VYDAJ	VYBER	31200	30458	\N	\N	\N
251407	862	1998-06-03	VYDAJ	VYBER	59100	46365	\N	\N	\N
251409	862	1994-01-26	VYDAJ	VYBER	27600	36282	\N	\N	\N
251410	862	1995-01-03	VYDAJ	VYBER	23400	26761	\N	\N	\N
251413	862	1998-01-27	VYDAJ	VYBER	18300	37036	\N	\N	\N
251414	862	1993-12-01	VYDAJ	VYBER	7200	46033	\N	\N	\N
251415	862	1994-12-25	VYDAJ	VYBER	8700	51645	\N	\N	\N
251416	862	1995-12-11	VYDAJ	VYBER KARTOU	3900	54465	\N	\N	0
251417	862	1996-12-11	VYDAJ	VYBER KARTOU	2100	83304	\N	\N	0
251418	862	1997-12-26	VYDAJ	VYBER	5100	66998	\N	\N	\N
251419	862	1998-12-15	VYDAJ	VYBER KARTOU	1800	114719	\N	\N	0
251426	862	1994-01-10	VYDAJ	VYBER	8700	72582	\N	\N	\N
251427	862	1994-01-02	VYDAJ	VYBER	8700	47871	\N	\N	\N
251428	862	1994-01-12	VYDAJ	VYBER	8700	63882	\N	\N	\N
251429	862	1994-01-03	VYDAJ	VYBER	4200	43671	\N	\N	\N
251430	862	1994-01-08	VYDAJ	VYBER	3600	84404	\N	\N	\N
251431	862	1994-01-27	VYDAJ	VYBER	4800	21882	\N	\N	\N
251432	862	1995-01-04	VYDAJ	VYBER KARTOU	1800	24961	\N	\N	0
251433	862	1995-01-01	VYDAJ	VYBER KARTOU	1800	50161	\N	\N	0
251434	862	1995-01-24	VYDAJ	VYBER KARTOU	2100	38272	\N	\N	0
251435	862	1995-01-18	VYDAJ	VYBER	7500	58672	\N	\N	\N
251436	862	1995-01-26	VYDAJ	VYBER KARTOU	2400	31506	\N	\N	0
251437	862	1995-01-18	VYDAJ	VYBER	4800	53872	\N	\N	\N
251438	862	1996-01-22	VYDAJ	VYBER	7800	42047	\N	\N	\N
251440	862	1996-01-04	VYDAJ	VYBER	5400	36736	\N	\N	\N
251441	862	1996-01-06	VYDAJ	VYBER	5400	31336	\N	\N	\N
251442	862	1996-01-24	VYDAJ	VYBER	7500	34547	\N	\N	\N
251443	862	1996-01-15	VYDAJ	VYBER KARTOU	2700	69847	\N	\N	0
251444	862	1997-01-16	VYDAJ	VYBER	6000	54063	\N	\N	\N
251445	862	1997-01-17	VYDAJ	VYBER	8400	45663	\N	\N	\N
251446	862	1997-01-06	VYDAJ	VYBER	5100	47752	\N	\N	\N
251447	862	1997-01-22	VYDAJ	VYBER	4800	40863	\N	\N	\N
251448	862	1997-01-11	VYDAJ	VYBER KARTOU	2100	80563	\N	\N	0
251449	862	1997-01-03	VYDAJ	VYBER	4200	52852	\N	\N	\N
251451	862	1998-01-24	VYDAJ	VYBER KARTOU	3600	55336	\N	\N	0
251452	862	1998-01-01	VYDAJ	VYBER	6000	61344	\N	\N	\N
251453	862	1998-01-16	VYDAJ	VYBER KARTOU	1800	70455	\N	\N	0
251454	862	1998-01-11	VYDAJ	VYBER	6300	80655	\N	\N	\N
251455	862	1998-01-15	VYDAJ	VYBER	8400	72255	\N	\N	\N
251457	862	1993-11-11	VYDAJ	VYBER	9300	82257	\N	\N	\N
251460	862	1993-07-10	VYDAJ	VYBER	10800	82604	\N	\N	\N
251461	862	1994-09-12	VYDAJ	VYBER	11700	88518	\N	\N	\N
251462	862	1994-02-20	VYDAJ	VYBER	13200	54091	\N	\N	\N
251463	862	1994-01-27	VYDAJ	VYBER	9600	26682	\N	\N	\N
251464	862	1994-10-13	VYDAJ	VYBER	11700	81076	\N	\N	\N
251465	862	1995-04-08	VYDAJ	VYBER	9900	59509	\N	\N	\N
251466	862	1995-07-23	VYDAJ	VYBER	7500	55798	\N	\N	\N
251467	862	1995-10-21	VYDAJ	VYBER KARTOU	3000	34412	\N	\N	0
251470	862	1996-04-17	VYDAJ	VYBER	10200	53296	\N	\N	\N
251471	862	1996-03-24	VYDAJ	VYBER	8700	53643	\N	\N	\N
251472	862	1996-03-28	VYDAJ	VYBER	9300	44343	\N	\N	\N
251474	862	1996-09-18	VYDAJ	VYBER	10800	55448	\N	\N	\N
251475	862	1996-11-05	VYDAJ	VYBER	8400	57250	\N	\N	\N
251476	862	1996-07-15	VYDAJ	VYBER	9600	62339	\N	\N	\N
251477	862	1996-02-08	VYDAJ	VYBER	8100	67832	\N	\N	\N
251478	862	1997-01-06	VYDAJ	VYBER	6300	41452	\N	\N	\N
251479	862	1997-05-29	VYDAJ	VYBER KARTOU	3900	64719	\N	\N	0
251480	862	1997-11-15	VYDAJ	VYBER KARTOU	1500	66152	\N	\N	0
251481	862	1997-07-31	VYDAJ	VYBER	8700	49241	\N	\N	\N
251482	862	1998-09-29	VYDAJ	VYBER	9300	87710	\N	\N	\N
251483	862	1998-03-19	VYDAJ	VYBER	6900	61005	\N	\N	\N
251484	862	1998-09-05	VYDAJ	VYBER	4800	55799	\N	\N	\N
251485	862	1998-03-09	VYDAJ	VYBER KARTOU	3300	67905	\N	\N	0
251486	862	1998-07-10	VYDAJ	VYBER	7800	68044	\N	\N	\N
251493	862	1993-06-30	VYDAJ	VYBER	30	82193	SLUZBY	\N	\N
251494	862	1993-07-31	VYDAJ	VYBER	30	65546	SLUZBY	\N	\N
251495	862	1993-08-31	VYDAJ	VYBER	30	57374	SLUZBY	\N	\N
251496	862	1993-09-30	VYDAJ	VYBER	30	98935	SLUZBY	\N	\N
251497	862	1993-10-31	VYDAJ	VYBER	30	50346	SLUZBY	\N	\N
251498	862	1993-11-30	VYDAJ	VYBER	30	53233	SLUZBY	\N	\N
251499	862	1993-12-31	VYDAJ	VYBER	30	56571	SLUZBY	\N	\N
251500	862	1994-01-31	VYDAJ	VYBER	30	26080	SLUZBY	\N	\N
251501	862	1994-02-28	VYDAJ	VYBER	30	40776	SLUZBY	\N	\N
251502	862	1994-03-31	VYDAJ	VYBER	30	54197	SLUZBY	\N	\N
251503	862	1994-04-30	VYDAJ	VYBER	30	53709	SLUZBY	\N	\N
251504	862	1994-05-31	VYDAJ	VYBER	30	61327	SLUZBY	\N	\N
251505	862	1994-06-30	VYDAJ	VYBER	30	32567	SLUZBY	\N	\N
251506	862	1994-07-31	VYDAJ	VYBER	30	51308	SLUZBY	\N	\N
251507	862	1994-08-31	VYDAJ	VYBER	30	59007	SLUZBY	\N	\N
251508	862	1994-09-30	VYDAJ	VYBER	30	58207	SLUZBY	\N	\N
251509	862	1994-10-31	VYDAJ	VYBER	30	50716	SLUZBY	\N	\N
251510	862	1994-11-30	VYDAJ	VYBER	30	50067	SLUZBY	\N	\N
251511	862	1994-12-31	VYDAJ	VYBER	30	51961	SLUZBY	\N	\N
251512	862	1995-01-31	VYDAJ	VYBER	30	31678	SLUZBY	\N	\N
251513	862	1995-02-28	VYDAJ	VYBER	30	37561	SLUZBY	\N	\N
251514	862	1995-03-31	VYDAJ	VYBER	30	28198	SLUZBY	\N	\N
251515	862	1995-04-30	VYDAJ	VYBER	30	42095	SLUZBY	\N	\N
251516	862	1995-05-31	VYDAJ	VYBER	30	44583	SLUZBY	\N	\N
251517	862	1995-06-30	VYDAJ	VYBER	30	61687	SLUZBY	\N	\N
251518	862	1995-07-31	VYDAJ	VYBER	30	56099	SLUZBY	\N	\N
251519	862	1995-08-31	VYDAJ	VYBER	30	60389	SLUZBY	\N	\N
251520	862	1995-09-30	VYDAJ	VYBER	30	66101	SLUZBY	\N	\N
251521	862	1995-10-31	VYDAJ	VYBER	30	34575	SLUZBY	\N	\N
251522	862	1995-11-30	VYDAJ	VYBER	30	51587	SLUZBY	\N	\N
251523	862	1995-12-31	VYDAJ	VYBER	30	42136	SLUZBY	\N	\N
251524	862	1996-01-31	VYDAJ	VYBER	30	34721	SLUZBY	\N	\N
251525	862	1996-02-29	VYDAJ	VYBER	30	51532	SLUZBY	\N	\N
251526	862	1996-03-31	VYDAJ	VYBER	30	44585	SLUZBY	\N	\N
251527	862	1996-04-30	VYDAJ	VYBER	30	53516	SLUZBY	\N	\N
251528	862	1996-05-31	VYDAJ	VYBER	30	60880	SLUZBY	\N	\N
251529	862	1996-06-30	VYDAJ	VYBER	30	30728	SLUZBY	\N	\N
251530	862	1996-07-31	VYDAJ	VYBER	30	45106	SLUZBY	\N	\N
251531	862	1996-08-31	VYDAJ	VYBER	30	56237	SLUZBY	\N	\N
251532	862	1996-09-30	VYDAJ	VYBER	30	55685	SLUZBY	\N	\N
251533	862	1996-10-31	VYDAJ	VYBER	30	65650	SLUZBY	\N	\N
251534	862	1996-11-30	VYDAJ	VYBER	30	66426	SLUZBY	\N	\N
251535	862	1996-12-31	VYDAJ	VYBER	30	57052	SLUZBY	\N	\N
251536	862	1997-01-31	VYDAJ	VYBER	30	41049	SLUZBY	\N	\N
251537	862	1997-02-28	VYDAJ	VYBER	30	59664	SLUZBY	\N	\N
251538	862	1997-03-31	VYDAJ	VYBER	30	66231	SLUZBY	\N	\N
251539	862	1997-04-30	VYDAJ	VYBER	30	67208	SLUZBY	\N	\N
251540	862	1997-05-31	VYDAJ	VYBER	30	45325	SLUZBY	\N	\N
251541	862	1997-06-30	VYDAJ	VYBER	30	73059	SLUZBY	\N	\N
251542	862	1997-07-31	VYDAJ	VYBER	30	49211	SLUZBY	\N	\N
251543	862	1997-08-31	VYDAJ	VYBER	30	66351	SLUZBY	\N	\N
251544	862	1997-09-30	VYDAJ	VYBER	30	75634	SLUZBY	\N	\N
251545	862	1997-10-31	VYDAJ	VYBER	30	60841	SLUZBY	\N	\N
251546	862	1997-11-30	VYDAJ	VYBER	30	66420	SLUZBY	\N	\N
251547	862	1997-12-31	VYDAJ	VYBER	30	67344	SLUZBY	\N	\N
251548	862	1998-01-31	VYDAJ	VYBER	30	37262	SLUZBY	\N	\N
251549	862	1998-02-28	VYDAJ	VYBER	30	72694	SLUZBY	\N	\N
251550	862	1998-03-31	VYDAJ	VYBER	30	61243	SLUZBY	\N	\N
251551	862	1998-04-30	VYDAJ	VYBER	30	89769	SLUZBY	\N	\N
251552	862	1998-05-31	VYDAJ	VYBER	30	105465	SLUZBY	\N	\N
251553	862	1998-06-30	VYDAJ	VYBER	30	105433	SLUZBY	\N	\N
251554	862	1998-07-31	VYDAJ	VYBER	30	68335	SLUZBY	\N	\N
251555	862	1998-08-31	VYDAJ	VYBER	30	74699	SLUZBY	\N	\N
251556	862	1998-09-30	VYDAJ	VYBER	30	88050	SLUZBY	\N	\N
251557	862	1998-10-31	VYDAJ	VYBER	30	112465	SLUZBY	\N	\N
251558	862	1998-11-30	VYDAJ	VYBER	30	62041	SLUZBY	\N	\N
251559	862	1993-03-04	VYDAJ	VYBER	10700	33972	\N	\N	\N
251560	862	1993-04-03	VYDAJ	VYBER	27900	50700	\N	\N	\N
251561	862	1993-05-03	VYDAJ	VYBER	32800	62612	\N	\N	\N
251562	862	1993-06-02	VYDAJ	VYBER	42400	64980	\N	\N	\N
251563	862	1993-06-08	VYDAJ	VYBER	46500	81858	\N	\N	\N
251564	862	1993-07-02	VYDAJ	VYBER	30000	52193	\N	\N	\N
251565	862	1993-08-01	VYDAJ	VYBER	16900	48646	\N	\N	\N
251566	862	1993-08-31	VYDAJ	VYBER	32800	57404	\N	\N	\N
251567	862	1993-09-30	VYDAJ	VYBER	34200	64735	\N	\N	\N
251568	862	1993-10-08	VYDAJ	VYBER	28600	77346	\N	\N	\N
251569	862	1993-10-30	VYDAJ	VYBER	27400	49946	\N	\N	\N
251570	862	1993-11-29	VYDAJ	VYBER	29300	52957	\N	\N	\N
251571	862	1993-12-08	VYDAJ	VYBER	19600	92933	\N	\N	\N
251572	862	1993-12-29	VYDAJ	VYBER	33600	56211	\N	\N	\N
251573	862	1994-01-28	PRIJEM	VKLAD	4000	25882	\N	\N	\N
251574	862	1994-02-27	VYDAJ	VYBER	13500	40591	\N	\N	\N
251575	862	1994-03-29	VYDAJ	VYBER	22900	53939	\N	\N	\N
251576	862	1994-04-28	VYDAJ	VYBER	22200	53449	\N	\N	\N
251577	862	1994-05-28	VYDAJ	VYBER	33900	61020	\N	\N	\N
251578	862	1994-06-08	VYDAJ	VYBER	20600	104105	\N	\N	\N
251579	862	1994-06-27	VYDAJ	VYBER	6600	32405	\N	\N	\N
251580	862	1994-07-27	VYDAJ	VYBER	22700	51078	\N	\N	\N
251581	862	1994-08-26	VYDAJ	VYBER	33800	58719	\N	\N	\N
251582	862	1994-09-25	VYDAJ	VYBER	30600	57918	\N	\N	\N
251583	862	1994-10-25	VYDAJ	VYBER	25500	50453	\N	\N	\N
251584	862	1994-11-24	VYDAJ	VYBER	20000	49800	\N	\N	\N
251585	862	1994-12-08	VYDAJ	VYBER	20100	93345	\N	\N	\N
251586	862	1994-12-24	VYDAJ	VYBER	33000	60345	\N	\N	\N
251587	862	1995-01-23	VYDAJ	VYBER	13500	40372	\N	\N	\N
251588	862	1995-02-22	VYDAJ	VYBER	13200	37386	\N	\N	\N
251589	862	1995-03-24	VYDAJ	VYBER	20900	49748	\N	\N	\N
251590	862	1995-04-23	VYDAJ	VYBER	17600	41909	\N	\N	\N
251591	862	1995-05-23	VYDAJ	VYBER	19200	44384	\N	\N	\N
251592	862	1995-06-22	VYDAJ	VYBER	33900	61409	\N	\N	\N
251593	862	1995-07-22	VYDAJ	VYBER	39600	63298	\N	\N	\N
251594	862	1995-08-21	VYDAJ	VYBER	37200	60110	\N	\N	\N
251595	862	1995-09-20	VYDAJ	VYBER	35800	65800	\N	\N	\N
251596	862	1995-10-08	VYDAJ	VYBER	59000	48312	\N	\N	\N
251597	862	1995-10-20	VYDAJ	VYBER	10900	37412	\N	\N	\N
251598	862	1995-11-19	VYDAJ	VYBER	24400	51386	\N	\N	\N
251599	862	1995-12-08	VYDAJ	VYBER	56600	58365	\N	\N	\N
251600	862	1995-12-19	VYDAJ	VYBER	12500	41965	\N	\N	\N
251601	862	1996-01-18	VYDAJ	VYBER	20000	49847	\N	\N	\N
251602	862	1996-02-17	VYDAJ	VYBER	16500	51332	\N	\N	\N
251603	862	1996-03-18	VYDAJ	VYBER	30400	62343	\N	\N	\N
251604	862	1996-04-17	VYDAJ	VYBER	22300	63496	\N	\N	\N
251605	862	1996-05-17	VYDAJ	VYBER	34100	60627	\N	\N	\N
251606	862	1996-06-08	VYDAJ	VYBER	29100	95158	\N	\N	\N
251607	862	1996-06-16	VYDAJ	VYBER	33500	61658	\N	\N	\N
251608	862	1996-07-16	VYDAJ	VYBER	17400	44939	\N	\N	\N
251609	862	1996-08-15	VYDAJ	VYBER	30300	56017	\N	\N	\N
251610	862	1996-09-14	VYDAJ	VYBER	31200	66248	\N	\N	\N
251611	862	1996-10-14	VYDAJ	VYBER	31500	65396	\N	\N	\N
251612	862	1996-11-13	VYDAJ	VYBER	32300	66161	\N	\N	\N
251613	862	1996-12-08	VYDAJ	VYBER	44400	88526	\N	\N	\N
251614	862	1996-12-13	VYDAJ	VYBER	26500	56804	\N	\N	\N
251615	862	1997-01-12	VYDAJ	VYBER	20500	60063	\N	\N	\N
251616	862	1997-02-11	VYDAJ	VYBER	22800	59460	\N	\N	\N
251617	862	1997-03-13	VYDAJ	VYBER	34900	65975	\N	\N	\N
251618	862	1997-04-12	VYDAJ	VYBER	40500	66942	\N	\N	\N
251619	862	1997-05-12	VYDAJ	VYBER	39800	68619	\N	\N	\N
251620	862	1997-06-11	VYDAJ	VYBER	35900	72803	\N	\N	\N
251621	862	1997-07-08	VYDAJ	VYBER	30500	80171	\N	\N	\N
251622	862	1997-07-11	VYDAJ	VYBER	22500	57671	\N	\N	\N
251623	862	1997-08-10	VYDAJ	VYBER	24300	66122	\N	\N	\N
251624	862	1997-09-09	VYDAJ	VYBER	32200	75362	\N	\N	\N
251625	862	1997-10-08	VYDAJ	VYBER	21700	98267	\N	\N	\N
251626	862	1997-10-09	VYDAJ	VYBER	27300	67845	\N	\N	\N
251627	862	1997-11-08	VYDAJ	VYBER	34400	67652	\N	\N	\N
251628	862	1997-12-08	VYDAJ	VYBER	19200	110598	\N	\N	\N
251629	862	1997-12-08	VYDAJ	VYBER	38500	72098	\N	\N	\N
251630	862	1998-01-07	VYDAJ	VYBER	15600	45744	\N	\N	\N
251631	862	1998-02-06	VYDAJ	VYBER KARTOU	1600	31249	\N	\N	0
251632	862	1998-03-08	VYDAJ	VYBER	42700	74327	\N	\N	\N
251633	862	1998-04-07	VYDAJ	VYBER	13000	48243	\N	\N	\N
251634	862	1998-05-07	VYDAJ	VYBER	25900	63869	\N	\N	\N
251635	862	1998-06-06	VYDAJ	VYBER	4700	41665	\N	\N	\N
251636	862	1998-07-06	VYDAJ	VYBER	30600	74833	\N	\N	\N
251637	862	1998-07-08	VYDAJ	VYBER	40200	75844	\N	\N	\N
251638	862	1998-08-05	VYDAJ	VYBER	10900	57435	\N	\N	\N
251639	862	1998-09-04	VYDAJ	VYBER	14100	60599	\N	\N	\N
251640	862	1998-10-04	VYDAJ	VYBER	17200	70850	\N	\N	\N
251641	862	1998-11-03	VYDAJ	VYBER	31700	80765	\N	\N	\N
251642	862	1998-11-08	VYDAJ	VYBER	60200	64898	\N	\N	\N
251643	862	1998-12-03	VYDAJ	VYBER	8900	53141	\N	\N	\N
251715	863	1993-05-16	PRIJEM	VKLAD	300	300	\N	\N	\N
251716	863	1993-11-18	PRIJEM	VKLAD	14415	51899	\N	\N	\N
251720	863	1993-07-07	PRIJEM	VKLAD	44267	105265	\N	\N	\N
251721	863	1993-07-14	PRIJEM	VKLAD	24932	98710	\N	\N	\N
251722	863	1993-10-05	PRIJEM	VKLAD	19018	106375	\N	\N	\N
251723	863	1993-09-15	PRIJEM	VKLAD	16206	63000	\N	\N	\N
251724	863	1993-09-15	PRIJEM	VKLAD	17145	80145	\N	\N	\N
251725	863	1993-09-16	PRIJEM	VKLAD	14312	87039	\N	\N	\N
251728	863	1993-11-24	PRIJEM	VKLAD	24037	75936	\N	\N	\N
251729	863	1993-08-24	PRIJEM	VKLAD	13102	104696	\N	\N	\N
251730	863	1993-08-22	PRIJEM	VKLAD	49748	91594	\N	\N	\N
251733	863	1993-06-17	PRIJEM	VKLAD	42155	74571	\N	\N	\N
251734	863	1993-12-01	PRIJEM	VKLAD	41620	117788	\N	\N	\N
251735	863	1993-07-24	PRIJEM	VKLAD	17961	68671	\N	\N	\N
251736	863	1993-05-27	PRIJEM	VKLAD	17959	18259	\N	\N	\N
251737	863	1993-12-15	PRIJEM	VKLAD	21776	69577	\N	\N	\N
251738	863	1993-05-28	PRIJEM	VKLAD	23132	41391	\N	\N	\N
251739	863	1993-12-20	PRIJEM	VKLAD	30915	80706	\N	\N	\N
251740	863	1993-06-22	PRIJEM	VKLAD	38608	113179	\N	\N	\N
251741	863	1994-03-19	PRIJEM	VKLAD	12101	35379	\N	\N	\N
251742	863	1994-10-05	PRIJEM	VKLAD	15835	64578	\N	\N	\N
251743	863	1994-06-15	PRIJEM	VKLAD	41988	61708	\N	\N	\N
251744	863	1994-11-30	PRIJEM	VKLAD	7719	27514	\N	\N	\N
251745	863	1994-08-03	PRIJEM	VKLAD	40067	76624	\N	\N	\N
251746	863	1994-12-05	PRIJEM	VKLAD	45564	73063	\N	\N	\N
251747	863	1994-02-20	PRIJEM	VKLAD	21833	41111	\N	\N	\N
251748	863	1994-09-11	PRIJEM	VKLAD	26935	57063	\N	\N	\N
251749	863	1994-04-05	PRIJEM	VKLAD	38505	74004	\N	\N	\N
251750	863	1995-05-04	PRIJEM	VKLAD	35293	74931	\N	\N	\N
251751	863	1995-02-27	PRIJEM	VKLAD	12405	84788	\N	\N	\N
251752	863	1995-09-05	PRIJEM	VKLAD	47898	100168	\N	\N	\N
251753	863	1995-03-25	PRIJEM	VKLAD	43254	110287	\N	\N	\N
251754	863	1995-05-19	PRIJEM	VKLAD	32187	84131	\N	\N	\N
251755	863	1995-01-19	PRIJEM	VKLAD	6645	23424	\N	\N	\N
251756	863	1995-05-30	PRIJEM	VKLAD	15794	121887	\N	\N	\N
251757	863	1995-12-24	PRIJEM	VKLAD	21903	63732	\N	\N	\N
251758	863	1995-08-13	PRIJEM	VKLAD	43271	70261	\N	\N	\N
251759	863	1995-03-25	PRIJEM	VKLAD	45623	155910	\N	\N	\N
251760	863	1995-06-22	PRIJEM	VKLAD	44605	100663	\N	\N	\N
251761	863	1995-09-25	PRIJEM	VKLAD	38312	132393	\N	\N	\N
251762	863	1995-02-12	PRIJEM	VKLAD	29983	75192	\N	\N	\N
251763	863	1995-04-30	PRIJEM	VKLAD	7279	39430	\N	\N	\N
251764	863	1995-08-07	PRIJEM	VKLAD	25807	71368	\N	\N	\N
251765	863	1995-02-06	PRIJEM	VKLAD	15775	51296	\N	\N	\N
251766	863	1995-05-29	PRIJEM	VKLAD	21962	106093	\N	\N	\N
251767	863	1995-01-22	PRIJEM	VKLAD	23385	46809	\N	\N	\N
251768	863	1995-03-25	PRIJEM	VKLAD	20331	67033	\N	\N	\N
251769	863	1995-01-07	PRIJEM	VKLAD	7664	33666	\N	\N	\N
251770	863	1996-01-17	PRIJEM	VKLAD	48489	76518	\N	\N	\N
251771	863	1996-02-19	PRIJEM	VKLAD	37533	138375	\N	\N	\N
251772	863	1996-10-10	PRIJEM	VKLAD	5126	59591	\N	\N	\N
251773	863	1996-08-01	PRIJEM	VKLAD	16695	61081	\N	\N	\N
251774	863	1996-09-01	PRIJEM	VKLAD	37422	123486	\N	\N	\N
251775	863	1996-03-24	PRIJEM	VKLAD	35883	96855	\N	\N	\N
251776	863	1996-11-09	PRIJEM	VKLAD	16860	83286	\N	\N	\N
251777	863	1996-05-13	PRIJEM	VKLAD	46583	139256	\N	\N	\N
251778	863	1996-02-18	PRIJEM	VKLAD	29950	117042	\N	\N	\N
251779	863	1996-04-10	PRIJEM	VKLAD	45502	116267	\N	\N	\N
251780	863	1996-02-29	PRIJEM	VKLAD	30179	127531	\N	\N	\N
251781	863	1996-01-21	PRIJEM	VKLAD	47146	123664	\N	\N	\N
251782	863	1996-12-04	PRIJEM	VKLAD	41214	105693	\N	\N	\N
251783	863	1996-09-09	PRIJEM	VKLAD	22644	120773	\N	\N	\N
251784	863	1996-06-08	PRIJEM	VKLAD	11356	77629	\N	\N	\N
251785	863	1996-05-22	PRIJEM	VKLAD	29832	116680	\N	\N	\N
251786	863	1996-09-04	PRIJEM	VKLAD	39243	113729	\N	\N	\N
251787	863	1996-02-27	PRIJEM	VKLAD	39577	147952	\N	\N	\N
251788	863	1996-10-26	PRIJEM	VKLAD	25803	79307	\N	\N	\N
251789	863	1996-08-14	PRIJEM	VKLAD	43355	98349	\N	\N	\N
251790	863	1996-08-30	PRIJEM	VKLAD	12457	85782	\N	\N	\N
251791	863	1996-02-13	PRIJEM	VKLAD	37083	87092	\N	\N	\N
251792	863	1996-05-06	PRIJEM	VKLAD	35573	98760	\N	\N	\N
251793	863	1996-01-07	PRIJEM	VKLAD	16194	51516	\N	\N	\N
251794	863	1996-04-17	PRIJEM	VKLAD	37168	98148	\N	\N	\N
251795	863	1996-04-17	PRIJEM	VKLAD	26963	125111	\N	\N	\N
251796	863	1996-06-06	PRIJEM	VKLAD	11860	66273	\N	\N	\N
251797	863	1996-05-13	PRIJEM	VKLAD	49092	188348	\N	\N	\N
251798	863	1996-08-15	PRIJEM	VKLAD	30076	128425	\N	\N	\N
251799	863	1997-12-10	PRIJEM	VKLAD	12250	80457	\N	\N	\N
251800	863	1997-08-11	PRIJEM	VKLAD	22475	123813	\N	\N	\N
251801	863	1997-10-17	PRIJEM	VKLAD	25701	66522	\N	\N	\N
251802	863	1997-06-20	PRIJEM	VKLAD	43010	75840	\N	\N	\N
251803	863	1997-04-28	PRIJEM	VKLAD	25791	81794	\N	\N	\N
251804	863	1997-07-17	PRIJEM	VKLAD	46307	106953	\N	\N	\N
251805	863	1997-12-24	PRIJEM	VKLAD	32816	94350	\N	\N	\N
251806	863	1997-08-03	PRIJEM	VKLAD	40643	110718	\N	\N	\N
251807	863	1997-04-02	PRIJEM	VKLAD	36878	80711	\N	\N	\N
251808	863	1997-06-28	PRIJEM	VKLAD	32578	77618	\N	\N	\N
251809	863	1997-08-18	PRIJEM	VKLAD	12658	85284	\N	\N	\N
251810	863	1997-05-16	PRIJEM	VKLAD	24852	85307	\N	\N	\N
251811	863	1997-11-28	PRIJEM	VKLAD	35425	71281	\N	\N	\N
251812	863	1998-12-17	PRIJEM	VKLAD	5478	91585	\N	\N	\N
251813	863	1998-05-29	PRIJEM	VKLAD	36396	100500	\N	\N	\N
251814	863	1998-11-27	PRIJEM	VKLAD	26034	107806	\N	\N	\N
251815	863	1998-04-27	PRIJEM	VKLAD	12682	95933	\N	\N	\N
251816	863	1998-11-08	PRIJEM	VKLAD	49144	111759	\N	\N	\N
251817	863	1998-06-13	PRIJEM	VKLAD	9491	83502	\N	\N	\N
251818	863	1998-03-17	PRIJEM	VKLAD	9815	87470	\N	\N	\N
251819	863	1998-06-21	PRIJEM	VKLAD	10017	87619	\N	\N	\N
251820	863	1998-03-25	PRIJEM	VKLAD	9916	94097	\N	\N	\N
251821	863	1998-12-16	PRIJEM	VKLAD	14197	86107	\N	\N	\N
251822	863	1998-02-24	PRIJEM	VKLAD	32002	83458	\N	\N	\N
251823	863	1998-01-23	PRIJEM	VKLAD	28164	80908	\N	\N	\N
251824	863	1998-06-23	PRIJEM	VKLAD	24398	112017	\N	\N	\N
251903	863	1993-07-11	VYDAJ	PREVOD NA UCET	6087	73778	SIPO	CD	35133409
251904	863	1993-08-11	VYDAJ	PREVOD NA UCET	6087	62846	SIPO	CD	35133409
251905	863	1993-09-11	VYDAJ	PREVOD NA UCET	6087	70794	SIPO	CD	35133409
251906	863	1993-10-11	VYDAJ	PREVOD NA UCET	6087	100288	SIPO	CD	35133409
251907	863	1993-11-11	VYDAJ	PREVOD NA UCET	6087	53784	SIPO	CD	35133409
251908	863	1993-12-11	VYDAJ	PREVOD NA UCET	6087	66201	SIPO	CD	35133409
251909	863	1994-01-11	VYDAJ	PREVOD NA UCET	6087	60502	SIPO	CD	35133409
251910	863	1994-02-11	VYDAJ	PREVOD NA UCET	6087	19278	SIPO	CD	35133409
251911	863	1994-03-11	VYDAJ	PREVOD NA UCET	6087	22078	SIPO	CD	35133409
251912	863	1994-04-11	VYDAJ	PREVOD NA UCET	6087	67917	SIPO	CD	35133409
251913	863	1994-05-11	VYDAJ	PREVOD NA UCET	6087	22123	SIPO	CD	35133409
251914	863	1994-06-11	VYDAJ	PREVOD NA UCET	6087	19720	SIPO	CD	35133409
251915	863	1994-07-11	VYDAJ	PREVOD NA UCET	6087	36386	SIPO	CD	35133409
251916	863	1994-08-11	VYDAJ	PREVOD NA UCET	6087	36260	SIPO	CD	35133409
251917	863	1994-09-11	VYDAJ	PREVOD NA UCET	6087	50976	SIPO	CD	35133409
251918	863	1994-10-11	VYDAJ	PREVOD NA UCET	6087	37391	SIPO	CD	35133409
251919	863	1994-11-11	VYDAJ	PREVOD NA UCET	6087	19694	SIPO	CD	35133409
251920	863	1994-12-11	VYDAJ	PREVOD NA UCET	6087	46776	SIPO	CD	35133409
251921	863	1995-01-11	VYDAJ	PREVOD NA UCET	6087	18279	SIPO	CD	35133409
251922	863	1995-02-11	VYDAJ	PREVOD NA UCET	6087	45209	SIPO	CD	35133409
251923	863	1995-03-11	VYDAJ	PREVOD NA UCET	6087	52751	SIPO	CD	35133409
251924	863	1995-04-11	VYDAJ	PREVOD NA UCET	6087	47777	SIPO	CD	35133409
251925	863	1995-05-11	VYDAJ	PREVOD NA UCET	6087	51944	SIPO	CD	35133409
251926	863	1995-06-11	VYDAJ	PREVOD NA UCET	6087	56058	SIPO	CD	35133409
251927	863	1995-07-11	VYDAJ	PREVOD NA UCET	6087	56334	SIPO	CD	35133409
251928	863	1995-08-11	VYDAJ	PREVOD NA UCET	6087	48528	SIPO	CD	35133409
251929	863	1995-09-11	VYDAJ	PREVOD NA UCET	6087	94081	SIPO	CD	35133409
251930	863	1995-10-11	VYDAJ	PREVOD NA UCET	6087	65197	SIPO	CD	35133409
251931	863	1995-11-11	VYDAJ	PREVOD NA UCET	6087	49209	SIPO	CD	35133409
251932	863	1995-12-11	VYDAJ	PREVOD NA UCET	6087	41829	SIPO	CD	35133409
251933	863	1996-01-11	VYDAJ	PREVOD NA UCET	6087	40329	SIPO	CD	35133409
251934	863	1996-02-11	VYDAJ	PREVOD NA UCET	6087	50009	SIPO	CD	35133409
251935	863	1996-03-11	VYDAJ	PREVOD NA UCET	6087	60972	SIPO	CD	35133409
251936	863	1996-04-11	VYDAJ	PREVOD NA UCET	6087	60980	SIPO	CD	35133409
251937	863	1996-05-11	VYDAJ	PREVOD NA UCET	6087	92673	SIPO	CD	35133409
251938	863	1996-06-11	VYDAJ	PREVOD NA UCET	6087	71542	SIPO	CD	35133409
251939	863	1996-07-11	VYDAJ	PREVOD NA UCET	6087	43506	SIPO	CD	35133409
251940	863	1996-08-11	VYDAJ	PREVOD NA UCET	6087	54994	SIPO	CD	35133409
251941	863	1996-09-11	VYDAJ	PREVOD NA UCET	6087	58986	SIPO	CD	35133409
251942	863	1996-10-11	VYDAJ	PREVOD NA UCET	6087	53504	SIPO	CD	35133409
251943	863	1996-11-11	VYDAJ	PREVOD NA UCET	6087	77199	SIPO	CD	35133409
251944	863	1996-12-11	VYDAJ	PREVOD NA UCET	6087	99606	SIPO	CD	35133409
251945	863	1997-01-11	VYDAJ	PREVOD NA UCET	6087	55752	SIPO	CD	35133409
251946	863	1997-02-11	VYDAJ	PREVOD NA UCET	6087	40474	SIPO	CD	35133409
251947	863	1997-03-11	VYDAJ	PREVOD NA UCET	6087	39762	SIPO	CD	35133409
251948	863	1997-04-11	VYDAJ	PREVOD NA UCET	6087	59303	SIPO	CD	35133409
251949	863	1997-05-11	VYDAJ	PREVOD NA UCET	6087	66155	SIPO	CD	35133409
251950	863	1997-06-11	VYDAJ	PREVOD NA UCET	6087	56597	SIPO	CD	35133409
251951	863	1997-07-11	VYDAJ	PREVOD NA UCET	6087	63046	SIPO	CD	35133409
251952	863	1997-08-11	VYDAJ	PREVOD NA UCET	6087	117726	SIPO	CD	35133409
251953	863	1997-09-11	VYDAJ	PREVOD NA UCET	6087	65549	SIPO	CD	35133409
251954	863	1997-10-11	VYDAJ	PREVOD NA UCET	6087	40821	SIPO	CD	35133409
251955	863	1997-11-11	VYDAJ	PREVOD NA UCET	6087	58047	SIPO	CD	35133409
251956	863	1997-12-11	VYDAJ	PREVOD NA UCET	6087	74370	SIPO	CD	35133409
251957	863	1998-01-11	VYDAJ	PREVOD NA UCET	6087	51044	SIPO	CD	35133409
251958	863	1998-02-11	VYDAJ	PREVOD NA UCET	6087	66994	SIPO	CD	35133409
251959	863	1998-03-11	VYDAJ	PREVOD NA UCET	6087	77655	SIPO	CD	35133409
251960	863	1998-04-11	VYDAJ	PREVOD NA UCET	6087	88351	SIPO	CD	35133409
251961	863	1998-05-11	VYDAJ	PREVOD NA UCET	6087	73621	SIPO	CD	35133409
251962	863	1998-06-11	VYDAJ	PREVOD NA UCET	6087	74011	SIPO	CD	35133409
251963	863	1998-07-11	VYDAJ	PREVOD NA UCET	6087	106305	SIPO	CD	35133409
251964	863	1998-08-11	VYDAJ	PREVOD NA UCET	6087	74417	SIPO	CD	35133409
251965	863	1998-09-11	VYDAJ	PREVOD NA UCET	6087	66333	SIPO	CD	35133409
251966	863	1998-10-11	VYDAJ	PREVOD NA UCET	6087	52413	SIPO	CD	35133409
251967	863	1998-11-11	VYDAJ	PREVOD NA UCET	6087	105672	SIPO	CD	35133409
251968	863	1998-12-11	VYDAJ	PREVOD NA UCET	6087	88691	SIPO	CD	35133409
251969	863	1993-09-15	VYBER	VYBER	7418	72727	\N	\N	\N
251970	863	1993-12-17	VYBER	VYBER	11086	58491	\N	\N	\N
251973	863	1993-11-10	VYBER	VYBER	4611	59871	\N	\N	\N
251976	863	1994-08-04	VYBER	VYBER	21577	55047	\N	\N	\N
251977	863	1994-04-24	VYBER	VYBER	21590	26527	\N	\N	\N
251978	863	1994-02-23	VYBER	VYBER	5541	35570	\N	\N	\N
251980	863	1994-08-23	VYBER	VYBER	5676	30584	\N	\N	\N
251982	863	1994-11-06	VYBER	VYBER	16572	20981	\N	\N	\N
251983	863	1994-10-02	VYBER	VYBER	2403	48743	\N	\N	\N
251984	863	1995-08-24	VYBER	VYBER	7833	62428	\N	\N	\N
251985	863	1995-04-26	VYBER	VYBER	15626	32151	\N	\N	\N
251986	863	1995-08-10	VYBER	VYBER	16753	54615	\N	\N	\N
251987	863	1995-01-02	VYBER	VYBER	15242	31702	\N	\N	\N
251988	863	1995-12-24	VYBER	VYBER	23277	40455	\N	\N	\N
251989	863	1995-02-21	VYBER	VYBER	2809	72383	\N	\N	\N
251990	863	1995-03-25	VYBER	VYBER	7072	148838	\N	\N	\N
251991	863	1995-07-13	VYBER	VYBER	5219	51115	\N	\N	\N
251992	863	1995-03-22	VYBER	VYBER	6049	46702	\N	\N	\N
251993	863	1995-08-12	VYBER	VYBER	21538	26990	\N	\N	\N
251994	863	1995-06-28	VYBER	VYBER	14655	86008	\N	\N	\N
251996	863	1997-04-30	VYBER	VYBER	9787	72256	\N	\N	\N
251997	863	1997-09-13	VYBER	VYBER	10270	55279	\N	\N	\N
251998	863	1997-09-29	VYBER	VYBER	3498	46672	\N	\N	\N
251999	863	1997-12-13	VYBER	VYBER	15036	59334	\N	\N	\N
252000	863	1997-06-14	VYBER	VYBER	23767	32830	\N	\N	\N
252001	863	1997-05-19	VYBER	VYBER	16792	68515	\N	\N	\N
252002	863	1997-11-22	VYBER	VYBER	23591	35856	\N	\N	\N
252003	863	1997-08-07	VYBER	VYBER	9380	101338	\N	\N	\N
252005	863	1997-09-29	VYBER	VYBER	5709	50170	\N	\N	\N
252006	863	1997-04-04	VYBER	VYBER	15321	65390	\N	\N	\N
252007	863	1998-12-29	VYBER	VYBER	12779	55376	\N	\N	\N
252008	863	1998-12-09	VYBER	VYBER	13391	94778	\N	\N	\N
252009	863	1998-03-21	VYBER	VYBER	7089	84181	\N	\N	\N
252010	863	1998-05-08	VYBER	VYBER	16588	79708	\N	\N	\N
252011	863	1998-07-12	VYBER	VYBER	19567	86738	\N	\N	\N
252012	863	1998-10-08	VYBER	VYBER	5232	58500	\N	\N	\N
252013	863	1998-12-24	VYBER	VYBER	23430	68155	\N	\N	\N
252014	863	1998-10-30	VYBER	VYBER	5647	65966	\N	\N	\N
252015	863	1998-05-13	VYBER	VYBER	16984	56637	\N	\N	\N
252016	863	1998-09-16	VYBER	VYBER	16960	49373	\N	\N	\N
252017	863	1998-05-20	VYBER	VYBER	6733	64104	\N	\N	\N
252018	863	1998-12-15	VYBER	VYBER	20081	68610	\N	\N	\N
252019	863	1998-02-22	VYBER	VYBER	19238	51456	\N	\N	\N
252024	863	1997-06-23	VYDAJ	VYBER	47100	28740	\N	\N	\N
252025	863	1998-06-10	VYDAJ	VYBER	17700	80098	\N	\N	\N
252027	863	1994-01-11	VYDAJ	VYBER	12000	48502	\N	\N	\N
252028	863	1995-01-08	VYDAJ	VYBER	9300	24366	\N	\N	\N
252029	863	1996-01-24	VYDAJ	VYBER	27600	76764	\N	\N	\N
252031	863	1998-01-06	VYDAJ	VYBER	23100	71531	\N	\N	\N
252038	863	1994-01-20	VYDAJ	VYBER	6900	21902	\N	\N	\N
252041	863	1994-01-14	VYDAJ	VYBER	3900	28802	\N	\N	\N
252042	863	1994-01-08	VYDAJ	VYBER	6300	66589	\N	\N	\N
252043	863	1994-01-05	VYDAJ	VYBER	8100	72889	\N	\N	\N
252046	863	1995-01-11	VYDAJ	VYBER	1500	16779	\N	\N	\N
252047	863	1995-01-05	VYDAJ	VYBER	6300	25402	\N	\N	\N
252048	863	1995-01-22	VYDAJ	VYBER	2400	44409	\N	\N	\N
252049	863	1995-01-23	VYDAJ	VYBER	5700	38709	\N	\N	\N
252050	863	1996-01-06	VYDAJ	VYBER	5400	35322	\N	\N	\N
252051	863	1996-01-10	VYDAJ	VYBER	5100	46416	\N	\N	\N
252052	863	1996-01-15	VYDAJ	VYBER	4200	28029	\N	\N	\N
252053	863	1996-01-25	VYDAJ	VYBER	3600	73164	\N	\N	\N
252054	863	1996-01-15	VYDAJ	VYBER	2400	37929	\N	\N	\N
252055	863	1996-01-15	VYDAJ	VYBER	5700	32229	\N	\N	\N
252056	863	1997-01-16	VYDAJ	VYBER	7800	39852	\N	\N	\N
252057	863	1997-01-06	VYDAJ	VYBER KARTOU	3600	70539	\N	\N	0
252058	863	1997-01-03	VYDAJ	VYBER	4500	74139	\N	\N	\N
252059	863	1997-01-07	VYDAJ	VYBER	8700	61839	\N	\N	\N
252060	863	1997-01-25	VYDAJ	VYBER	4500	46352	\N	\N	\N
252061	863	1997-01-14	VYDAJ	VYBER	8100	47652	\N	\N	\N
252062	863	1998-01-13	VYDAJ	VYBER KARTOU	1800	49244	\N	\N	0
252063	863	1998-01-10	VYDAJ	VYBER	7800	57131	\N	\N	\N
252064	863	1998-01-09	VYDAJ	VYBER KARTOU	3300	64931	\N	\N	0
252065	863	1998-01-21	VYDAJ	VYBER	7800	52744	\N	\N	\N
252066	863	1998-01-30	VYDAJ	VYBER KARTOU	3900	72808	\N	\N	0
252067	863	1998-01-08	VYDAJ	VYBER KARTOU	3300	68231	\N	\N	0
252069	863	1993-07-19	VYDAJ	VYBER	10500	50710	\N	\N	\N
252070	863	1993-12-17	VYDAJ	VYBER	8700	49791	\N	\N	\N
252072	863	1994-01-12	VYDAJ	VYBER	1500	36002	\N	\N	\N
252073	863	1994-03-08	VYDAJ	VYBER	7500	28165	\N	\N	\N
252074	863	1994-01-12	VYDAJ	VYBER	3300	32702	\N	\N	\N
252075	863	1995-08-05	VYDAJ	VYBER	1500	45561	\N	\N	\N
252076	863	1995-10-29	VYDAJ	VYBER	3300	61897	\N	\N	\N
252077	863	1996-03-07	VYDAJ	VYBER	6600	67059	\N	\N	\N
252078	863	1996-06-24	VYDAJ	VYBER	6900	60142	\N	\N	\N
252079	863	1996-09-17	VYDAJ	VYBER	9900	49086	\N	\N	\N
252080	863	1996-07-09	VYDAJ	VYBER	5700	49593	\N	\N	\N
252081	863	1996-06-18	VYDAJ	VYBER	4500	67042	\N	\N	\N
252082	863	1996-05-17	VYDAJ	VYBER	7200	86848	\N	\N	\N
252083	863	1997-07-05	VYDAJ	VYBER	8700	69133	\N	\N	\N
252084	863	1997-05-12	VYDAJ	VYBER	5700	60455	\N	\N	\N
252085	863	1997-07-30	VYDAJ	VYBER	13500	69753	\N	\N	\N
252086	863	1997-11-29	VYDAJ	VYBER KARTOU	3300	67981	\N	\N	0
252087	863	1997-07-14	VYDAJ	VYBER KARTOU	2400	60646	\N	\N	0
252088	863	1998-11-01	VYDAJ	VYBER KARTOU	3600	62615	\N	\N	0
252089	863	1998-05-29	VYDAJ	VYBER KARTOU	3000	97500	\N	\N	0
252090	863	1998-01-30	VYDAJ	VYBER	4200	76708	\N	\N	\N
252091	863	1998-09-06	VYDAJ	VYBER KARTOU	2700	72420	\N	\N	0
252092	863	1998-11-26	VYDAJ	VYBER	12000	81772	\N	\N	\N
252100	863	1993-07-31	VYDAJ	VYBER	15	68933	SLUZBY	\N	\N
252101	863	1993-08-31	VYDAJ	VYBER	15	76881	SLUZBY	\N	\N
252102	863	1993-09-30	VYDAJ	VYBER	15	87357	SLUZBY	\N	\N
252103	863	1993-10-31	VYDAJ	VYBER	15	64482	SLUZBY	\N	\N
252104	863	1993-11-30	VYDAJ	VYBER	15	76168	SLUZBY	\N	\N
252105	863	1993-12-31	VYDAJ	VYBER	15	80989	SLUZBY	\N	\N
252106	863	1994-01-31	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
252107	863	1994-02-28	VYDAJ	VYBER	15	35665	SLUZBY	\N	\N
252108	863	1994-03-31	VYDAJ	VYBER	15	35499	SLUZBY	\N	\N
252109	863	1994-04-30	VYDAJ	VYBER	15	26710	SLUZBY	\N	\N
252110	863	1994-05-31	VYDAJ	VYBER	15	22207	SLUZBY	\N	\N
252111	863	1994-06-30	VYDAJ	VYBER	15	61873	SLUZBY	\N	\N
252112	863	1994-07-31	VYDAJ	VYBER	15	36557	SLUZBY	\N	\N
252113	863	1994-08-31	VYDAJ	VYBER	15	30728	SLUZBY	\N	\N
252114	863	1994-09-30	VYDAJ	VYBER	15	51146	SLUZBY	\N	\N
252115	863	1994-10-31	VYDAJ	VYBER	15	37553	SLUZBY	\N	\N
252116	863	1994-11-30	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
252117	863	1994-12-31	VYDAJ	VYBER	15	46944	SLUZBY	\N	\N
252118	863	1995-01-31	VYDAJ	VYBER	15	38821	SLUZBY	\N	\N
252119	863	1995-02-28	VYDAJ	VYBER	15	85038	SLUZBY	\N	\N
252120	863	1995-03-31	VYDAJ	VYBER	15	72764	SLUZBY	\N	\N
252121	863	1995-04-30	VYDAJ	VYBER	15	39638	SLUZBY	\N	\N
252122	863	1995-05-31	VYDAJ	VYBER	15	88645	SLUZBY	\N	\N
252123	863	1995-06-30	VYDAJ	VYBER	15	86321	SLUZBY	\N	\N
252124	863	1995-07-31	VYDAJ	VYBER	15	51361	SLUZBY	\N	\N
252125	863	1995-08-31	VYDAJ	VYBER	15	62670	SLUZBY	\N	\N
252126	863	1995-09-30	VYDAJ	VYBER	15	98484	SLUZBY	\N	\N
252127	863	1995-10-31	VYDAJ	VYBER	15	62196	SLUZBY	\N	\N
252128	863	1995-11-30	VYDAJ	VYBER	15	49416	SLUZBY	\N	\N
252129	863	1995-12-31	VYDAJ	VYBER	15	40622	SLUZBY	\N	\N
252130	863	1996-01-31	VYDAJ	VYBER	15	56096	SLUZBY	\N	\N
252131	863	1996-02-29	VYDAJ	VYBER	15	103059	SLUZBY	\N	\N
252132	863	1996-03-31	VYDAJ	VYBER	15	70765	SLUZBY	\N	\N
252133	863	1996-04-30	VYDAJ	VYBER	15	63187	SLUZBY	\N	\N
252134	863	1996-05-31	VYDAJ	VYBER	15	54413	SLUZBY	\N	\N
252135	863	1996-06-30	VYDAJ	VYBER	15	55293	SLUZBY	\N	\N
252136	863	1996-07-31	VYDAJ	VYBER	15	44386	SLUZBY	\N	\N
252137	863	1996-08-31	VYDAJ	VYBER	15	86064	SLUZBY	\N	\N
252138	863	1996-09-30	VYDAJ	VYBER	15	54465	SLUZBY	\N	\N
252139	863	1996-10-31	VYDAJ	VYBER	15	66426	SLUZBY	\N	\N
252140	863	1996-11-30	VYDAJ	VYBER	15	64479	SLUZBY	\N	\N
252141	863	1996-12-31	VYDAJ	VYBER	15	78639	SLUZBY	\N	\N
252142	863	1997-01-31	VYDAJ	VYBER	15	46561	SLUZBY	\N	\N
252143	863	1997-02-28	VYDAJ	VYBER	15	45849	SLUZBY	\N	\N
252144	863	1997-03-31	VYDAJ	VYBER	15	43833	SLUZBY	\N	\N
252145	863	1997-04-30	VYDAJ	VYBER	15	72242	SLUZBY	\N	\N
252146	863	1997-05-31	VYDAJ	VYBER	15	62684	SLUZBY	\N	\N
252147	863	1997-06-30	VYDAJ	VYBER	15	77833	SLUZBY	\N	\N
252148	863	1997-07-31	VYDAJ	VYBER	15	70075	SLUZBY	\N	\N
252149	863	1997-08-31	VYDAJ	VYBER	15	71636	SLUZBY	\N	\N
252150	863	1997-09-30	VYDAJ	VYBER	15	46908	SLUZBY	\N	\N
252151	863	1997-10-31	VYDAJ	VYBER	15	64134	SLUZBY	\N	\N
252152	863	1997-11-30	VYDAJ	VYBER	15	68207	SLUZBY	\N	\N
252153	863	1997-12-31	VYDAJ	VYBER	15	94631	SLUZBY	\N	\N
252154	863	1998-01-31	VYDAJ	VYBER	15	73081	SLUZBY	\N	\N
252155	863	1998-02-28	VYDAJ	VYBER	15	83742	SLUZBY	\N	\N
252156	863	1998-03-31	VYDAJ	VYBER	15	94438	SLUZBY	\N	\N
252157	863	1998-04-30	VYDAJ	VYBER	15	96296	SLUZBY	\N	\N
252158	863	1998-05-31	VYDAJ	VYBER	15	97798	SLUZBY	\N	\N
252159	863	1998-06-30	VYDAJ	VYBER	15	112392	SLUZBY	\N	\N
252160	863	1998-07-31	VYDAJ	VYBER	15	80504	SLUZBY	\N	\N
252161	863	1998-08-31	VYDAJ	VYBER	15	75120	SLUZBY	\N	\N
252162	863	1998-09-30	VYDAJ	VYBER	15	63732	SLUZBY	\N	\N
252163	863	1998-10-31	VYDAJ	VYBER	15	66215	SLUZBY	\N	\N
252164	863	1998-11-30	VYDAJ	VYBER	15	108169	SLUZBY	\N	\N
252165	863	1993-06-15	VYDAJ	VYBER	9000	32416	\N	\N	\N
252166	863	1993-06-22	VYDAJ	VYBER	52400	60779	\N	\N	\N
252167	863	1993-07-07	VYDAJ	VYBER	25400	79865	\N	\N	\N
252168	863	1993-07-15	VYDAJ	VYBER	37500	61210	\N	\N	\N
252169	863	1993-08-14	VYDAJ	VYBER	21000	41846	\N	\N	\N
252170	863	1993-08-24	VYDAJ	VYBER	28100	76596	\N	\N	\N
252171	863	1993-09-13	VYDAJ	VYBER	24000	46794	\N	\N	\N
252172	863	1993-10-13	VYDAJ	VYBER	36100	64188	\N	\N	\N
252173	863	1993-11-12	VYDAJ	VYBER	16300	37484	\N	\N	\N
252174	863	1993-12-01	VYDAJ	VYBER	45500	72288	\N	\N	\N
252175	863	1993-12-12	VYDAJ	VYBER	18400	47801	\N	\N	\N
252176	863	1994-01-11	VYDAJ	VYBER	11000	37502	\N	\N	\N
252177	863	1994-02-10	PRIJEM	VKLAD	3300	25365	\N	\N	\N
252178	863	1994-03-12	PRIJEM	VKLAD	1200	23278	\N	\N	\N
252179	863	1994-04-11	VYDAJ	VYBER	19800	48117	\N	\N	\N
252180	863	1994-05-11	PRIJEM	VKLAD	1500	28210	\N	\N	\N
252181	863	1994-06-10	PRIJEM	VKLAD	3600	25807	\N	\N	\N
252182	863	1994-07-10	VYDAJ	VYBER	19400	42473	\N	\N	\N
252183	863	1994-08-09	VYDAJ	VYBER	12700	42347	\N	\N	\N
252184	863	1994-09-08	VYDAJ	VYBER	600	30128	\N	\N	\N
252185	863	1994-10-08	VYDAJ	VYBER	21100	43478	\N	\N	\N
252186	863	1994-11-07	PRIJEM	VKLAD	4800	25781	\N	\N	\N
252187	863	1994-12-07	VYDAJ	VYBER	20200	52863	\N	\N	\N
252188	863	1995-01-06	PRIJEM	VKLAD	600	26002	\N	\N	\N
252189	863	1995-02-05	VYDAJ	VYBER	3300	35521	\N	\N	\N
252190	863	1995-03-07	VYDAJ	VYBER	26200	58838	\N	\N	\N
252191	863	1995-03-25	VYDAJ	VYBER	29600	72438	\N	\N	\N
252192	863	1995-03-25	VYDAJ	VYBER	46800	102038	\N	\N	\N
252193	863	1995-04-06	VYDAJ	VYBER	18900	53864	\N	\N	\N
252194	863	1995-05-06	VYDAJ	VYBER	16900	58031	\N	\N	\N
252195	863	1995-05-30	VYDAJ	VYBER	33500	88387	\N	\N	\N
252196	863	1995-06-05	VYDAJ	VYBER	26500	62145	\N	\N	\N
252197	863	1995-07-05	VYDAJ	VYBER	23900	62421	\N	\N	\N
252198	863	1995-08-04	VYDAJ	VYBER	4300	47061	\N	\N	\N
252199	863	1995-09-03	VYDAJ	VYBER	10400	52270	\N	\N	\N
252200	863	1995-09-25	VYDAJ	VYBER	34300	98093	\N	\N	\N
252201	863	1995-10-03	VYDAJ	VYBER	27200	71284	\N	\N	\N
252202	863	1995-11-02	VYDAJ	VYBER	6900	55296	\N	\N	\N
252203	863	1995-12-02	VYDAJ	VYBER	1500	47916	\N	\N	\N
252204	863	1996-01-01	PRIJEM	VKLAD	100	40722	\N	\N	\N
252205	863	1996-01-21	VYDAJ	VYBER	19300	104364	\N	\N	\N
252206	863	1996-01-31	VYDAJ	VYBER	17300	56111	\N	\N	\N
252207	863	1996-02-18	VYDAJ	VYBER	16200	100842	\N	\N	\N
252208	863	1996-02-19	VYDAJ	VYBER	30000	108375	\N	\N	\N
252209	863	1996-02-27	VYDAJ	VYBER	50600	97352	\N	\N	\N
252210	863	1996-02-29	VYDAJ	VYBER	24800	103073	\N	\N	\N
252211	863	1996-03-01	VYDAJ	VYBER	29400	73659	\N	\N	\N
252212	863	1996-03-31	VYDAJ	VYBER	26400	70779	\N	\N	\N
252213	863	1996-04-10	VYDAJ	VYBER	49200	67067	\N	\N	\N
252214	863	1996-04-17	VYDAJ	VYBER	49900	75211	\N	\N	\N
252215	863	1996-04-30	VYDAJ	VYBER	12300	63202	\N	\N	\N
252216	863	1996-05-13	VYDAJ	VYBER	49600	94048	\N	\N	\N
252217	863	1996-05-13	VYDAJ	VYBER	44700	143648	\N	\N	\N
252218	863	1996-05-22	VYDAJ	VYBER	56500	60180	\N	\N	\N
252219	863	1996-05-30	VYDAJ	VYBER	6100	54080	\N	\N	\N
252220	863	1996-06-29	VYDAJ	VYBER	5100	55042	\N	\N	\N
252221	863	1996-07-29	PRIJEM	VKLAD	700	44206	\N	\N	\N
252222	863	1996-08-15	VYDAJ	VYBER	36000	92425	\N	\N	\N
252223	863	1996-08-28	VYDAJ	VYBER	19100	73325	\N	\N	\N
252224	863	1996-09-01	VYDAJ	VYBER	49000	74486	\N	\N	\N
252225	863	1996-09-04	VYDAJ	VYBER	15600	98129	\N	\N	\N
252226	863	1996-09-09	VYDAJ	VYBER	55700	65073	\N	\N	\N
252227	863	1996-09-27	PRIJEM	VKLAD	5100	54186	\N	\N	\N
252228	863	1996-10-27	VYDAJ	VYBER	13100	66207	\N	\N	\N
252229	863	1996-11-26	VYDAJ	VYBER	13000	64199	\N	\N	\N
252230	863	1996-12-26	VYDAJ	VYBER	21300	78306	\N	\N	\N
252231	863	1997-01-25	PRIJEM	VKLAD	11000	50852	\N	\N	\N
252232	863	1997-02-24	PRIJEM	VKLAD	5200	45674	\N	\N	\N
252233	863	1997-03-26	PRIJEM	VKLAD	3900	43662	\N	\N	\N
252234	863	1997-04-25	VYDAJ	VYBER KARTOU	3300	56003	\N	\N	0
252235	863	1997-05-25	VYDAJ	VYBER	6100	62415	\N	\N	\N
252236	863	1997-06-24	PRIJEM	VKLAD	16300	45040	\N	\N	\N
252237	863	1997-07-24	VYDAJ	VYBER	23700	83253	\N	\N	\N
252238	863	1997-08-11	VYDAJ	VYBER	45100	72626	\N	\N	\N
252239	863	1997-08-23	VYDAJ	VYBER	14000	71284	\N	\N	\N
252240	863	1997-09-22	PRIJEM	VKLAD	600	55879	\N	\N	\N
252241	863	1997-10-22	VYDAJ	VYBER KARTOU	2600	63922	\N	\N	0
252242	863	1997-11-21	PRIJEM	VKLAD	1400	59447	\N	\N	\N
252243	863	1997-12-21	PRIJEM	VKLAD	2200	61534	\N	\N	\N
252244	863	1998-01-20	PRIJEM	VKLAD	11300	60544	\N	\N	\N
252245	863	1998-02-19	PRIJEM	VKLAD	3700	70694	\N	\N	\N
252246	863	1998-03-21	PRIJEM	VKLAD	3800	91270	\N	\N	\N
252247	863	1998-04-20	VYDAJ	VYBER	5100	83251	\N	\N	\N
252248	863	1998-05-20	PRIJEM	VKLAD	14200	70837	\N	\N	\N
252249	863	1998-06-19	VYDAJ	VYBER	5900	77602	\N	\N	\N
252250	863	1998-07-19	VYDAJ	VYBER	6600	80138	\N	\N	\N
252251	863	1998-08-18	PRIJEM	VKLAD	400	74817	\N	\N	\N
252252	863	1998-09-17	PRIJEM	VKLAD	14100	63473	\N	\N	\N
252253	863	1998-10-17	PRIJEM	VKLAD	19200	71613	\N	\N	\N
252254	863	1998-11-16	VYDAJ	VYBER	11900	93772	\N	\N	\N
252255	863	1998-12-16	PRIJEM	VKLAD	3300	71910	\N	\N	\N
252324	864	1997-07-08	PRIJEM	VKLAD	300	300	\N	\N	\N
252332	864	1997-08-05	PRIJEM	VKLAD	5549	5849	\N	\N	\N
252333	864	1997-09-05	PRIJEM	VKLAD	5549	20448	\N	\N	\N
252334	864	1997-10-05	PRIJEM	VKLAD	5549	27784	\N	\N	\N
252335	864	1997-11-05	PRIJEM	VKLAD	5549	33044	\N	\N	\N
252336	864	1997-12-05	PRIJEM	VKLAD	8324	38792	\N	\N	\N
252337	864	1998-01-05	PRIJEM	VKLAD	5549	32459	\N	\N	\N
252338	864	1998-02-05	PRIJEM	VKLAD	5549	28341	\N	\N	\N
252339	864	1998-03-05	PRIJEM	VKLAD	5549	26065	\N	\N	\N
252340	864	1998-04-05	PRIJEM	VKLAD	5549	17252	\N	\N	\N
252341	864	1998-05-05	PRIJEM	VKLAD	5549	20545	\N	\N	\N
252342	864	1998-06-05	PRIJEM	VKLAD	8324	26024	\N	\N	\N
252343	864	1998-07-05	PRIJEM	VKLAD	5549	26051	\N	\N	\N
252344	864	1998-08-05	PRIJEM	VKLAD	5549	24410	\N	\N	\N
252345	864	1998-09-05	PRIJEM	VKLAD	5549	26931	\N	\N	\N
252346	864	1998-10-05	PRIJEM	VKLAD	5549	29154	\N	\N	\N
252347	864	1998-11-05	PRIJEM	VKLAD	5549	27628	\N	\N	\N
252348	864	1998-12-05	PRIJEM	VKLAD	8324	33736	\N	\N	\N
252360	864	1997-12-07	VYDAJ	PREVOD NA UCET	3699	31093	SIPO	MN	78955989
252361	864	1998-01-07	VYDAJ	PREVOD NA UCET	3699	28760	SIPO	MN	78955989
252362	864	1998-02-07	VYDAJ	PREVOD NA UCET	3699	24642	SIPO	MN	78955989
252363	864	1998-03-07	VYDAJ	PREVOD NA UCET	3699	16566	SIPO	MN	78955989
252364	864	1998-04-07	VYDAJ	PREVOD NA UCET	3699	13553	SIPO	MN	78955989
252365	864	1998-05-07	VYDAJ	PREVOD NA UCET	3699	16846	SIPO	MN	78955989
252366	864	1998-06-07	VYDAJ	PREVOD NA UCET	3699	22325	SIPO	MN	78955989
252367	864	1998-07-07	VYDAJ	PREVOD NA UCET	3699	22352	SIPO	MN	78955989
252368	864	1998-08-07	VYDAJ	PREVOD NA UCET	3699	20711	SIPO	MN	78955989
252369	864	1998-09-07	VYDAJ	PREVOD NA UCET	3699	23232	SIPO	MN	78955989
252370	864	1998-10-07	VYDAJ	PREVOD NA UCET	3699	25455	SIPO	MN	78955989
252371	864	1998-11-07	VYDAJ	PREVOD NA UCET	3699	23929	SIPO	MN	78955989
252372	864	1998-12-07	VYDAJ	PREVOD NA UCET	3699	30037	SIPO	MN	78955989
252376	864	1998-01-16	VYDAJ	VYBER	4960	22000	\N	\N	\N
252378	864	1998-12-03	VYDAJ	VYBER	1600	25413	\N	\N	\N
252382	864	1998-09-19	VYDAJ	VYBER	5400	17832	\N	\N	\N
252383	864	1998-10-26	VYDAJ	VYBER	1440	22095	\N	\N	\N
252384	864	1998-10-20	VYDAJ	VYBER	1920	23535	\N	\N	\N
252385	864	1998-01-13	VYDAJ	VYBER	1800	26960	\N	\N	\N
252386	864	1998-07-18	VYDAJ	VYBER	5160	17192	\N	\N	\N
252387	864	1998-03-27	VYDAJ	VYBER	3120	13446	\N	\N	\N
252388	864	1998-02-07	VYDAJ	VYBER	4200	20442	\N	\N	\N
252401	864	1997-12-31	VYDAJ	VYBER	15	31210	SLUZBY	\N	\N
252402	864	1998-01-31	VYDAJ	VYBER	15	22092	SLUZBY	\N	\N
252403	864	1998-02-28	VYDAJ	VYBER	15	20516	SLUZBY	\N	\N
252404	864	1998-03-31	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
252405	864	1998-04-30	VYDAJ	VYBER	15	13596	SLUZBY	\N	\N
252406	864	1998-05-31	VYDAJ	VYBER	15	16901	SLUZBY	\N	\N
252407	864	1998-06-30	VYDAJ	VYBER	15	22402	SLUZBY	\N	\N
252408	864	1998-07-31	VYDAJ	VYBER	15	17261	SLUZBY	\N	\N
252409	864	1998-08-31	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
252410	864	1998-09-30	VYDAJ	VYBER	15	17905	SLUZBY	\N	\N
252411	864	1998-10-31	VYDAJ	VYBER	15	22079	SLUZBY	\N	\N
252412	864	1998-11-30	VYDAJ	VYBER	15	27013	SLUZBY	\N	\N
252413	864	1997-08-07	PRIJEM	VKLAD	9000	14849	\N	\N	\N
252414	864	1997-09-06	PRIJEM	VKLAD	1700	22148	\N	\N	\N
252415	864	1997-10-06	VYDAJ	VYBER	400	27384	\N	\N	\N
252416	864	1997-11-05	VYDAJ	VYBER	2700	30344	\N	\N	\N
252417	864	1997-12-05	VYDAJ	VYBER	4000	34792	\N	\N	\N
252418	864	1998-01-04	VYDAJ	VYBER	4300	26910	\N	\N	\N
252419	864	1998-02-03	PRIJEM	VKLAD	700	22792	\N	\N	\N
252420	864	1998-03-05	VYDAJ	VYBER	5800	20265	\N	\N	\N
252421	864	1998-04-04	VYDAJ	VYBER	1800	11703	\N	\N	\N
252422	864	1998-05-04	PRIJEM	VKLAD	1400	14996	\N	\N	\N
252423	864	1998-06-03	PRIJEM	VKLAD	800	17701	\N	\N	\N
252424	864	1998-07-03	VYDAJ	VYBER	1900	20502	\N	\N	\N
252425	864	1998-08-02	PRIJEM	VKLAD	1600	18861	\N	\N	\N
252426	864	1998-09-01	PRIJEM	VKLAD	600	21382	\N	\N	\N
252427	864	1998-10-01	PRIJEM	VKLAD	5700	23605	\N	\N	\N
252428	864	1998-10-31	VYDAJ	VYBER	100	22094	\N	\N	\N
252429	864	1998-11-30	PRIJEM	VKLAD	3000	26929	\N	\N	\N
252447	865	1996-03-18	PRIJEM	VKLAD	900	900	\N	\N	\N
252451	865	1996-04-05	PRIJEM	PREVOD Z UCTU	3441	4341	\N	OP	86044185
252452	865	1996-05-05	PRIJEM	PREVOD Z UCTU	3441	7782	\N	OP	86044185
252453	865	1996-06-05	PRIJEM	PREVOD Z UCTU	3441	11223	\N	OP	86044185
252454	865	1996-07-05	PRIJEM	PREVOD Z UCTU	3441	14664	\N	OP	86044185
252455	865	1996-08-05	PRIJEM	PREVOD Z UCTU	3441	18105	\N	OP	86044185
252456	865	1996-09-05	PRIJEM	PREVOD Z UCTU	3441	19295	\N	OP	86044185
252457	865	1996-10-05	PRIJEM	PREVOD Z UCTU	3441	20499	\N	OP	86044185
252458	865	1996-11-05	PRIJEM	PREVOD Z UCTU	3441	21709	\N	OP	86044185
252459	865	1996-12-05	PRIJEM	PREVOD Z UCTU	3441	22923	\N	OP	86044185
252460	865	1997-01-05	PRIJEM	PREVOD Z UCTU	3441	19431	\N	OP	86044185
252461	865	1997-02-05	PRIJEM	PREVOD Z UCTU	3441	18173	\N	OP	86044185
252462	865	1997-03-05	PRIJEM	PREVOD Z UCTU	3441	16055	\N	OP	86044185
252463	865	1997-04-05	PRIJEM	PREVOD Z UCTU	3441	15865	\N	OP	86044185
252464	865	1997-05-05	PRIJEM	PREVOD Z UCTU	3441	17055	\N	OP	86044185
252465	865	1997-06-05	PRIJEM	PREVOD Z UCTU	3441	16960	\N	OP	86044185
252466	865	1997-07-05	PRIJEM	PREVOD Z UCTU	3441	18155	\N	OP	86044185
252467	865	1997-08-05	PRIJEM	PREVOD Z UCTU	3441	19354	\N	OP	86044185
252468	865	1997-09-05	PRIJEM	PREVOD Z UCTU	3441	20559	\N	OP	86044185
252469	865	1997-10-05	PRIJEM	PREVOD Z UCTU	3441	21769	\N	OP	86044185
252470	865	1997-11-05	PRIJEM	PREVOD Z UCTU	3441	22984	\N	OP	86044185
252471	865	1997-12-05	PRIJEM	PREVOD Z UCTU	3441	24203	\N	OP	86044185
252472	865	1998-01-05	PRIJEM	PREVOD Z UCTU	3441	24798	\N	OP	86044185
252473	865	1998-02-05	PRIJEM	PREVOD Z UCTU	3441	26026	\N	OP	86044185
252474	865	1998-03-05	PRIJEM	PREVOD Z UCTU	3441	27158	\N	OP	86044185
252475	865	1998-04-05	PRIJEM	PREVOD Z UCTU	3441	28395	\N	OP	86044185
252476	865	1998-05-05	PRIJEM	PREVOD Z UCTU	3441	29638	\N	OP	86044185
252477	865	1998-06-05	PRIJEM	PREVOD Z UCTU	3441	30885	\N	OP	86044185
252478	865	1998-07-05	PRIJEM	PREVOD Z UCTU	3441	30213	\N	OP	86044185
252479	865	1998-08-05	PRIJEM	PREVOD Z UCTU	3441	31462	\N	OP	86044185
252480	865	1998-09-05	PRIJEM	PREVOD Z UCTU	3441	29529	\N	OP	86044185
252481	865	1998-10-05	PRIJEM	PREVOD Z UCTU	3441	30296	\N	OP	86044185
252482	865	1998-11-05	PRIJEM	PREVOD Z UCTU	3441	26753	\N	OP	86044185
252483	865	1998-12-05	PRIJEM	PREVOD Z UCTU	3441	23290	\N	OP	86044185
252491	865	1996-08-06	VYDAJ	PREVOD NA UCET	409	17696	SIPO	QR	38805490
252492	865	1996-09-06	VYDAJ	PREVOD NA UCET	409	18886	SIPO	QR	38805490
252493	865	1996-10-06	VYDAJ	PREVOD NA UCET	409	20090	SIPO	QR	38805490
252494	865	1996-11-06	VYDAJ	PREVOD NA UCET	409	21300	SIPO	QR	38805490
252495	865	1996-12-06	VYDAJ	PREVOD NA UCET	409	22514	SIPO	QR	38805490
252496	865	1997-01-06	VYDAJ	PREVOD NA UCET	409	19022	SIPO	QR	38805490
252497	865	1997-02-06	VYDAJ	PREVOD NA UCET	409	17764	SIPO	QR	38805490
252498	865	1997-03-06	VYDAJ	PREVOD NA UCET	409	15646	SIPO	QR	38805490
252499	865	1997-04-06	VYDAJ	PREVOD NA UCET	409	15456	SIPO	QR	38805490
252500	865	1997-05-06	VYDAJ	PREVOD NA UCET	409	16646	SIPO	QR	38805490
252501	865	1997-06-06	VYDAJ	PREVOD NA UCET	409	16551	SIPO	QR	38805490
252502	865	1997-07-06	VYDAJ	PREVOD NA UCET	409	17746	SIPO	QR	38805490
252503	865	1997-08-06	VYDAJ	PREVOD NA UCET	409	18945	SIPO	QR	38805490
252504	865	1997-09-06	VYDAJ	PREVOD NA UCET	409	20150	SIPO	QR	38805490
252505	865	1997-10-06	VYDAJ	PREVOD NA UCET	409	21360	SIPO	QR	38805490
252506	865	1997-11-06	VYDAJ	PREVOD NA UCET	409	22575	SIPO	QR	38805490
252507	865	1997-12-06	VYDAJ	PREVOD NA UCET	409	23794	SIPO	QR	38805490
252508	865	1998-01-06	VYDAJ	PREVOD NA UCET	409	24389	SIPO	QR	38805490
252509	865	1998-02-06	VYDAJ	PREVOD NA UCET	409	25517	SIPO	QR	38805490
252510	865	1998-03-06	VYDAJ	PREVOD NA UCET	409	26749	SIPO	QR	38805490
252511	865	1998-04-06	VYDAJ	PREVOD NA UCET	409	27986	SIPO	QR	38805490
252512	865	1998-05-06	VYDAJ	PREVOD NA UCET	409	29229	SIPO	QR	38805490
252513	865	1998-06-06	VYDAJ	PREVOD NA UCET	409	29276	SIPO	QR	38805490
252514	865	1998-07-06	VYDAJ	PREVOD NA UCET	409	29804	SIPO	QR	38805490
252515	865	1998-08-06	VYDAJ	PREVOD NA UCET	409	28653	SIPO	QR	38805490
252516	865	1998-09-06	VYDAJ	PREVOD NA UCET	409	29120	SIPO	QR	38805490
252517	865	1998-10-06	VYDAJ	PREVOD NA UCET	409	28897	SIPO	QR	38805490
252518	865	1998-11-06	VYDAJ	PREVOD NA UCET	409	26344	SIPO	QR	38805490
252519	865	1998-12-06	VYDAJ	PREVOD NA UCET	409	22881	SIPO	QR	38805490
252527	865	1996-08-14	VYDAJ	PREVOD NA UCET	1885	15811	 	OP	20329344
252528	865	1996-09-14	VYDAJ	PREVOD NA UCET	1885	17001	 	OP	20329344
252529	865	1996-10-14	VYDAJ	PREVOD NA UCET	1885	18205	 	OP	20329344
252530	865	1996-11-14	VYDAJ	PREVOD NA UCET	1885	19415	 	OP	20329344
252531	865	1996-12-14	VYDAJ	PREVOD NA UCET	1885	15929	 	OP	20329344
252532	865	1997-01-14	VYDAJ	PREVOD NA UCET	1885	15937	 	OP	20329344
252533	865	1997-02-14	VYDAJ	PREVOD NA UCET	1885	13979	 	OP	20329344
252534	865	1997-03-14	VYDAJ	PREVOD NA UCET	1885	13761	 	OP	20329344
252535	865	1997-04-14	VYDAJ	PREVOD NA UCET	1885	13571	 	OP	20329344
252536	865	1997-05-14	VYDAJ	PREVOD NA UCET	1885	14761	 	OP	20329344
252537	865	1997-06-14	VYDAJ	PREVOD NA UCET	1885	14666	 	OP	20329344
252538	865	1997-07-14	VYDAJ	PREVOD NA UCET	1885	15861	 	OP	20329344
252539	865	1997-08-14	VYDAJ	PREVOD NA UCET	1885	17060	 	OP	20329344
252540	865	1997-09-14	VYDAJ	PREVOD NA UCET	1885	18265	 	OP	20329344
252541	865	1997-10-14	VYDAJ	PREVOD NA UCET	1885	19475	 	OP	20329344
252542	865	1997-11-14	VYDAJ	PREVOD NA UCET	1885	20690	 	OP	20329344
252543	865	1997-12-14	VYDAJ	PREVOD NA UCET	1885	21909	 	OP	20329344
252544	865	1998-01-14	VYDAJ	PREVOD NA UCET	1885	22504	 	OP	20329344
252545	865	1998-02-14	VYDAJ	PREVOD NA UCET	1885	23632	 	OP	20329344
252546	865	1998-03-14	VYDAJ	PREVOD NA UCET	1885	24864	 	OP	20329344
252547	865	1998-04-14	VYDAJ	PREVOD NA UCET	1885	26101	 	OP	20329344
252548	865	1998-05-14	VYDAJ	PREVOD NA UCET	1885	27344	 	OP	20329344
252549	865	1998-06-14	VYDAJ	PREVOD NA UCET	1885	27391	 	OP	20329344
252550	865	1998-07-14	VYDAJ	PREVOD NA UCET	1885	27919	 	OP	20329344
252551	865	1998-08-14	VYDAJ	PREVOD NA UCET	1885	26768	 	OP	20329344
252552	865	1998-09-14	VYDAJ	PREVOD NA UCET	1885	27235	 	OP	20329344
252553	865	1998-10-14	VYDAJ	PREVOD NA UCET	1885	27012	 	OP	20329344
252554	865	1998-11-14	VYDAJ	PREVOD NA UCET	1885	24459	 	OP	20329344
252555	865	1998-12-14	VYDAJ	PREVOD NA UCET	1885	20996	 	OP	20329344
252561	865	1997-03-25	VYDAJ	VYBER	1380	12381	\N	\N	\N
252562	865	1997-05-30	VYDAJ	VYBER	1290	13471	\N	\N	\N
252563	865	1997-01-31	VYDAJ	VYBER	1260	14746	\N	\N	\N
252565	865	1997-02-19	VYDAJ	VYBER	1410	12569	\N	\N	\N
252566	865	1998-06-24	VYDAJ	VYBER	720	26671	\N	\N	\N
252567	865	1998-09-20	VYDAJ	VYBER	480	26755	\N	\N	\N
252568	865	1998-08-31	VYDAJ	VYBER	780	26088	\N	\N	\N
252569	865	1998-10-05	VYDAJ	VYBER	990	29306	\N	\N	\N
252570	865	1998-01-04	VYDAJ	VYBER	630	21357	\N	\N	\N
252579	865	1996-08-31	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
252580	865	1996-09-30	VYDAJ	VYBER	15	17058	SLUZBY	\N	\N
252581	865	1996-10-31	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
252582	865	1996-11-30	VYDAJ	VYBER	15	19482	SLUZBY	\N	\N
252583	865	1996-12-31	VYDAJ	VYBER	15	15990	SLUZBY	\N	\N
252584	865	1997-01-31	VYDAJ	VYBER	15	14732	SLUZBY	\N	\N
252585	865	1997-02-28	VYDAJ	VYBER	15	12614	SLUZBY	\N	\N
252586	865	1997-03-31	VYDAJ	VYBER	15	12424	SLUZBY	\N	\N
252587	865	1997-04-30	VYDAJ	VYBER	15	13614	SLUZBY	\N	\N
252588	865	1997-05-31	VYDAJ	VYBER	15	13519	SLUZBY	\N	\N
252589	865	1997-06-30	VYDAJ	VYBER	15	14714	SLUZBY	\N	\N
252590	865	1997-07-31	VYDAJ	VYBER	15	15913	SLUZBY	\N	\N
252591	865	1997-08-31	VYDAJ	VYBER	15	17118	SLUZBY	\N	\N
252592	865	1997-09-30	VYDAJ	VYBER	15	18328	SLUZBY	\N	\N
252593	865	1997-10-31	VYDAJ	VYBER	15	19543	SLUZBY	\N	\N
252594	865	1997-11-30	VYDAJ	VYBER	15	20762	SLUZBY	\N	\N
252595	865	1997-12-31	VYDAJ	VYBER	15	21987	SLUZBY	\N	\N
252596	865	1998-01-31	VYDAJ	VYBER	15	22585	SLUZBY	\N	\N
252597	865	1998-02-28	VYDAJ	VYBER	15	23717	SLUZBY	\N	\N
252598	865	1998-03-31	VYDAJ	VYBER	15	24954	SLUZBY	\N	\N
252599	865	1998-04-30	VYDAJ	VYBER	15	26197	SLUZBY	\N	\N
252600	865	1998-05-31	VYDAJ	VYBER	15	27444	SLUZBY	\N	\N
252601	865	1998-06-30	VYDAJ	VYBER	15	26772	SLUZBY	\N	\N
252602	865	1998-07-31	VYDAJ	VYBER	15	28021	SLUZBY	\N	\N
252603	865	1998-08-31	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
252604	865	1998-09-30	VYDAJ	VYBER	15	26855	SLUZBY	\N	\N
252605	865	1998-10-31	VYDAJ	VYBER	15	27112	SLUZBY	\N	\N
252606	865	1998-11-30	VYDAJ	VYBER	15	24549	SLUZBY	\N	\N
252607	865	1996-12-13	VYDAJ	VYBER	4700	17814	\N	\N	\N
252608	865	1997-01-12	VYDAJ	VYBER	1200	17822	\N	\N	\N
252609	865	1997-02-11	VYDAJ	VYBER	1900	15864	\N	\N	\N
252610	865	1998-02-06	VYDAJ	VYBER	100	25926	\N	\N	\N
252611	865	1998-06-06	VYDAJ	VYBER	1200	29685	\N	\N	\N
252612	865	1998-08-05	VYDAJ	VYBER	2400	29062	\N	\N	\N
252613	865	1998-11-03	VYDAJ	VYBER	3800	23312	\N	\N	\N
252614	865	1998-12-03	VYDAJ	VYBER	4700	19849	\N	\N	\N
252644	866	1993-01-10	PRIJEM	VKLAD	500	500	\N	\N	\N
252645	866	1993-01-11	PRIJEM	VKLAD	12644	13144	\N	\N	\N
252646	866	1993-02-11	PRIJEM	VKLAD	12644	31225	\N	\N	\N
252647	866	1993-03-11	PRIJEM	VKLAD	12644	43972	\N	\N	\N
252648	866	1993-04-11	PRIJEM	VKLAD	12644	43582	\N	\N	\N
252649	866	1993-05-11	PRIJEM	VKLAD	12644	48708	\N	\N	\N
252650	866	1993-06-11	PRIJEM	VKLAD	18966	50105	\N	\N	\N
252651	866	1993-07-11	PRIJEM	VKLAD	12644	34442	\N	\N	\N
252652	866	1993-08-11	PRIJEM	VKLAD	12644	40852	\N	\N	\N
252653	866	1993-09-11	PRIJEM	VKLAD	12644	44789	\N	\N	\N
252654	866	1993-10-11	PRIJEM	VKLAD	12644	42843	\N	\N	\N
252655	866	1993-11-11	PRIJEM	VKLAD	12644	42093	\N	\N	\N
252656	866	1993-12-11	PRIJEM	VKLAD	18966	46152	\N	\N	\N
252657	866	1994-01-11	PRIJEM	VKLAD	12644	42894	\N	\N	\N
252658	866	1994-02-11	PRIJEM	VKLAD	12644	34412	\N	\N	\N
252659	866	1994-03-11	PRIJEM	VKLAD	12644	37219	\N	\N	\N
252660	866	1994-04-11	PRIJEM	VKLAD	12644	43942	\N	\N	\N
252661	866	1994-05-11	PRIJEM	VKLAD	12644	44781	\N	\N	\N
252662	866	1994-06-11	PRIJEM	VKLAD	18966	37456	\N	\N	\N
252663	866	1994-07-11	PRIJEM	VKLAD	12644	36479	\N	\N	\N
252664	866	1994-08-11	PRIJEM	VKLAD	12644	37499	\N	\N	\N
252665	866	1994-09-11	PRIJEM	VKLAD	12644	39315	\N	\N	\N
252666	866	1994-10-11	PRIJEM	VKLAD	12644	41943	\N	\N	\N
252667	866	1994-11-11	PRIJEM	VKLAD	12644	42884	\N	\N	\N
252668	866	1994-12-11	PRIJEM	VKLAD	18966	52452	\N	\N	\N
252669	866	1995-01-11	PRIJEM	VKLAD	12644	49021	\N	\N	\N
252670	866	1995-02-11	PRIJEM	VKLAD	12644	40669	\N	\N	\N
252671	866	1995-03-11	PRIJEM	VKLAD	12644	45003	\N	\N	\N
252672	866	1995-04-11	PRIJEM	VKLAD	12644	43454	\N	\N	\N
252673	866	1995-05-11	PRIJEM	VKLAD	12644	42199	\N	\N	\N
252674	866	1995-06-11	PRIJEM	VKLAD	18966	49260	\N	\N	\N
252675	866	1995-07-11	PRIJEM	VKLAD	12644	36512	\N	\N	\N
252676	866	1995-08-11	PRIJEM	VKLAD	12644	40926	\N	\N	\N
252677	866	1995-09-11	PRIJEM	VKLAD	12644	43958	\N	\N	\N
252678	866	1995-10-11	PRIJEM	VKLAD	12644	44302	\N	\N	\N
252679	866	1995-11-11	PRIJEM	VKLAD	12644	47647	\N	\N	\N
252680	866	1995-12-11	PRIJEM	VKLAD	18966	56928	\N	\N	\N
252681	866	1996-01-11	PRIJEM	VKLAD	12644	47509	\N	\N	\N
252682	866	1996-02-11	PRIJEM	VKLAD	12644	41355	\N	\N	\N
252683	866	1996-03-11	PRIJEM	VKLAD	12644	46388	\N	\N	\N
252684	866	1996-04-11	PRIJEM	VKLAD	12644	45938	\N	\N	\N
252685	866	1996-05-11	PRIJEM	VKLAD	12644	46686	\N	\N	\N
252686	866	1996-06-11	PRIJEM	VKLAD	18966	53759	\N	\N	\N
252687	866	1996-07-11	PRIJEM	VKLAD	12644	42089	\N	\N	\N
252688	866	1996-08-11	PRIJEM	VKLAD	12644	48226	\N	\N	\N
252689	866	1996-09-11	PRIJEM	VKLAD	12644	50483	\N	\N	\N
252690	866	1996-10-11	PRIJEM	VKLAD	12644	47348	\N	\N	\N
252691	866	1996-11-11	PRIJEM	VKLAD	12644	49405	\N	\N	\N
252692	866	1996-12-11	PRIJEM	VKLAD	18966	52984	\N	\N	\N
252693	866	1997-01-11	PRIJEM	VKLAD	12644	42241	\N	\N	\N
252694	866	1997-02-11	PRIJEM	VKLAD	12644	35364	\N	\N	\N
252695	866	1997-03-11	PRIJEM	VKLAD	12644	37063	\N	\N	\N
252696	866	1997-04-11	PRIJEM	VKLAD	12644	30063	\N	\N	\N
252697	866	1997-05-11	PRIJEM	VKLAD	12644	35047	\N	\N	\N
252698	866	1997-06-11	PRIJEM	VKLAD	18966	39461	\N	\N	\N
252699	866	1997-07-11	PRIJEM	VKLAD	12644	36259	\N	\N	\N
252700	866	1997-08-11	PRIJEM	VKLAD	12644	39864	\N	\N	\N
252701	866	1997-09-11	PRIJEM	VKLAD	12644	37872	\N	\N	\N
252702	866	1997-10-11	PRIJEM	VKLAD	12644	40982	\N	\N	\N
252703	866	1997-11-11	PRIJEM	VKLAD	12644	41001	\N	\N	\N
252704	866	1997-12-11	PRIJEM	VKLAD	18966	41030	\N	\N	\N
252705	866	1998-01-11	PRIJEM	VKLAD	12644	35848	\N	\N	\N
252706	866	1998-02-11	PRIJEM	VKLAD	12644	38257	\N	\N	\N
252707	866	1998-03-11	PRIJEM	VKLAD	12644	46076	\N	\N	\N
252708	866	1998-04-11	PRIJEM	VKLAD	12644	54230	\N	\N	\N
252709	866	1998-05-11	PRIJEM	VKLAD	12644	51192	\N	\N	\N
252710	866	1998-06-11	PRIJEM	VKLAD	18966	58672	\N	\N	\N
252711	866	1998-07-11	PRIJEM	VKLAD	12644	47839	\N	\N	\N
252712	866	1998-08-11	PRIJEM	VKLAD	12644	55702	\N	\N	\N
252713	866	1998-09-11	PRIJEM	VKLAD	12644	56076	\N	\N	\N
252714	866	1998-10-11	PRIJEM	VKLAD	12644	54042	\N	\N	\N
252715	866	1998-11-11	PRIJEM	VKLAD	12644	50526	\N	\N	\N
252716	866	1998-12-11	PRIJEM	VKLAD	18966	61524	\N	\N	\N
252722	866	1993-06-08	VYDAJ	PREVOD NA UCET	465	40177	SIPO	YZ	81990486
252723	866	1993-07-08	VYDAJ	PREVOD NA UCET	465	22740	SIPO	YZ	81990486
252724	866	1993-08-08	VYDAJ	PREVOD NA UCET	465	28750	SIPO	YZ	81990486
252725	866	1993-09-08	VYDAJ	PREVOD NA UCET	465	32183	SIPO	YZ	81990486
252726	866	1993-10-08	VYDAJ	PREVOD NA UCET	465	30237	SIPO	YZ	81990486
252727	866	1993-11-08	VYDAJ	PREVOD NA UCET	465	29487	SIPO	YZ	81990486
252728	866	1993-12-08	VYDAJ	PREVOD NA UCET	465	27728	SIPO	YZ	81990486
252729	866	1994-01-08	VYDAJ	PREVOD NA UCET	465	31488	SIPO	YZ	81990486
252730	866	1994-02-08	VYDAJ	PREVOD NA UCET	465	21806	SIPO	YZ	81990486
252731	866	1994-03-08	VYDAJ	PREVOD NA UCET	465	25117	SIPO	YZ	81990486
252732	866	1994-04-08	VYDAJ	PREVOD NA UCET	465	31840	SIPO	YZ	81990486
252733	866	1994-05-08	VYDAJ	PREVOD NA UCET	465	32175	SIPO	YZ	81990486
252734	866	1994-06-08	VYDAJ	PREVOD NA UCET	465	19032	SIPO	YZ	81990486
252735	866	1994-07-08	VYDAJ	PREVOD NA UCET	465	23873	SIPO	YZ	81990486
252736	866	1994-08-08	VYDAJ	PREVOD NA UCET	465	25397	SIPO	YZ	81990486
252737	866	1994-09-08	VYDAJ	PREVOD NA UCET	465	27213	SIPO	YZ	81990486
252738	866	1994-10-08	VYDAJ	PREVOD NA UCET	465	29337	SIPO	YZ	81990486
252739	866	1994-11-08	VYDAJ	PREVOD NA UCET	465	30782	SIPO	YZ	81990486
252740	866	1994-12-08	VYDAJ	PREVOD NA UCET	465	34028	SIPO	YZ	81990486
252741	866	1995-01-08	VYDAJ	PREVOD NA UCET	465	36919	SIPO	YZ	81990486
252742	866	1995-02-08	VYDAJ	PREVOD NA UCET	465	28063	SIPO	YZ	81990486
252743	866	1995-03-08	VYDAJ	PREVOD NA UCET	465	32397	SIPO	YZ	81990486
252744	866	1995-04-08	VYDAJ	PREVOD NA UCET	465	31352	SIPO	YZ	81990486
252745	866	1995-05-08	VYDAJ	PREVOD NA UCET	465	30097	SIPO	YZ	81990486
252746	866	1995-06-08	VYDAJ	PREVOD NA UCET	465	30836	SIPO	YZ	81990486
252747	866	1995-07-08	VYDAJ	PREVOD NA UCET	465	24410	SIPO	YZ	81990486
252748	866	1995-08-08	VYDAJ	PREVOD NA UCET	465	28824	SIPO	YZ	81990486
252749	866	1995-09-08	VYDAJ	PREVOD NA UCET	465	31352	SIPO	YZ	81990486
252750	866	1995-10-08	VYDAJ	PREVOD NA UCET	465	31696	SIPO	YZ	81990486
252751	866	1995-11-08	VYDAJ	PREVOD NA UCET	465	35041	SIPO	YZ	81990486
252752	866	1995-12-08	VYDAJ	PREVOD NA UCET	465	38000	SIPO	YZ	81990486
252753	866	1996-01-08	VYDAJ	PREVOD NA UCET	465	36507	SIPO	YZ	81990486
252754	866	1996-02-08	VYDAJ	PREVOD NA UCET	465	28749	SIPO	YZ	81990486
252755	866	1996-03-08	VYDAJ	PREVOD NA UCET	465	34286	SIPO	YZ	81990486
252756	866	1996-04-08	VYDAJ	PREVOD NA UCET	465	33836	SIPO	YZ	81990486
252757	866	1996-05-08	VYDAJ	PREVOD NA UCET	465	34080	SIPO	YZ	81990486
252758	866	1996-06-08	VYDAJ	PREVOD NA UCET	465	34831	SIPO	YZ	81990486
252759	866	1996-07-08	VYDAJ	PREVOD NA UCET	465	29483	SIPO	YZ	81990486
252760	866	1996-08-08	VYDAJ	PREVOD NA UCET	465	35620	SIPO	YZ	81990486
252761	866	1996-09-08	VYDAJ	PREVOD NA UCET	465	37877	SIPO	YZ	81990486
252762	866	1996-10-08	VYDAJ	PREVOD NA UCET	465	39342	SIPO	YZ	81990486
252763	866	1996-11-08	VYDAJ	PREVOD NA UCET	465	36799	SIPO	YZ	81990486
252764	866	1996-12-08	VYDAJ	PREVOD NA UCET	465	35156	SIPO	YZ	81990486
252765	866	1997-01-08	VYDAJ	PREVOD NA UCET	465	31039	SIPO	YZ	81990486
252766	866	1997-02-08	VYDAJ	PREVOD NA UCET	465	23262	SIPO	YZ	81990486
252767	866	1997-03-08	VYDAJ	PREVOD NA UCET	465	24457	SIPO	YZ	81990486
252768	866	1997-04-08	VYDAJ	PREVOD NA UCET	465	17961	SIPO	YZ	81990486
252769	866	1997-05-08	VYDAJ	PREVOD NA UCET	465	22945	SIPO	YZ	81990486
252770	866	1997-06-08	VYDAJ	PREVOD NA UCET	465	20533	SIPO	YZ	81990486
252771	866	1997-07-08	VYDAJ	PREVOD NA UCET	465	23653	SIPO	YZ	81990486
252772	866	1997-08-08	VYDAJ	PREVOD NA UCET	465	27762	SIPO	YZ	81990486
252773	866	1997-09-08	VYDAJ	PREVOD NA UCET	465	25266	SIPO	YZ	81990486
252774	866	1997-10-08	VYDAJ	PREVOD NA UCET	465	28880	SIPO	YZ	81990486
252775	866	1997-11-08	VYDAJ	PREVOD NA UCET	465	28899	SIPO	YZ	81990486
252776	866	1997-12-08	VYDAJ	PREVOD NA UCET	465	22606	SIPO	YZ	81990486
252777	866	1998-01-08	VYDAJ	PREVOD NA UCET	465	25446	SIPO	YZ	81990486
252778	866	1998-02-08	VYDAJ	PREVOD NA UCET	465	26155	SIPO	YZ	81990486
252779	866	1998-03-08	VYDAJ	PREVOD NA UCET	465	33974	SIPO	YZ	81990486
252780	866	1998-04-08	VYDAJ	PREVOD NA UCET	465	42128	SIPO	YZ	81990486
252781	866	1998-05-08	VYDAJ	PREVOD NA UCET	465	38586	SIPO	YZ	81990486
252782	866	1998-06-08	VYDAJ	PREVOD NA UCET	465	39744	SIPO	YZ	81990486
252783	866	1998-07-08	VYDAJ	PREVOD NA UCET	465	35233	SIPO	YZ	81990486
252784	866	1998-08-08	VYDAJ	PREVOD NA UCET	465	43600	SIPO	YZ	81990486
252785	866	1998-09-08	VYDAJ	PREVOD NA UCET	465	43974	SIPO	YZ	81990486
252786	866	1998-10-08	VYDAJ	PREVOD NA UCET	465	41940	SIPO	YZ	81990486
252787	866	1998-11-08	VYDAJ	PREVOD NA UCET	465	42220	SIPO	YZ	81990486
252788	866	1998-12-08	VYDAJ	PREVOD NA UCET	465	46400	SIPO	YZ	81990486
252794	866	1993-06-10	VYDAJ	PREVOD NA UCET	38	31139	 	EF	26753026
252795	866	1993-07-10	VYDAJ	PREVOD NA UCET	38	21798	 	EF	26753026
252796	866	1993-08-10	VYDAJ	PREVOD NA UCET	38	28208	 	EF	26753026
252797	866	1993-09-10	VYDAJ	PREVOD NA UCET	38	32145	 	EF	26753026
252798	866	1993-10-10	VYDAJ	PREVOD NA UCET	38	30199	 	EF	26753026
252799	866	1993-11-10	VYDAJ	PREVOD NA UCET	38	29449	 	EF	26753026
252800	866	1993-12-10	VYDAJ	PREVOD NA UCET	38	27186	 	EF	26753026
252801	866	1994-01-10	VYDAJ	PREVOD NA UCET	38	30250	 	EF	26753026
252802	866	1994-02-10	VYDAJ	PREVOD NA UCET	38	21768	 	EF	26753026
252803	866	1994-03-10	VYDAJ	PREVOD NA UCET	38	24575	 	EF	26753026
252804	866	1994-04-10	VYDAJ	PREVOD NA UCET	38	31298	 	EF	26753026
252805	866	1994-05-10	VYDAJ	PREVOD NA UCET	38	32137	 	EF	26753026
252806	866	1994-06-10	VYDAJ	PREVOD NA UCET	38	18490	 	EF	26753026
252807	866	1994-07-10	VYDAJ	PREVOD NA UCET	38	23835	 	EF	26753026
252808	866	1994-08-10	VYDAJ	PREVOD NA UCET	38	24855	 	EF	26753026
252809	866	1994-09-10	VYDAJ	PREVOD NA UCET	38	26671	 	EF	26753026
252810	866	1994-10-10	VYDAJ	PREVOD NA UCET	38	29299	 	EF	26753026
252811	866	1994-11-10	VYDAJ	PREVOD NA UCET	38	30240	 	EF	26753026
252812	866	1994-12-10	VYDAJ	PREVOD NA UCET	38	33486	 	EF	26753026
252813	866	1995-01-10	VYDAJ	PREVOD NA UCET	38	36377	 	EF	26753026
252814	866	1995-02-10	VYDAJ	PREVOD NA UCET	38	28025	 	EF	26753026
252815	866	1995-03-10	VYDAJ	PREVOD NA UCET	38	32359	 	EF	26753026
252816	866	1995-04-10	VYDAJ	PREVOD NA UCET	38	30810	 	EF	26753026
252817	866	1995-05-10	VYDAJ	PREVOD NA UCET	38	29555	 	EF	26753026
252818	866	1995-06-10	VYDAJ	PREVOD NA UCET	38	30294	 	EF	26753026
252819	866	1995-07-10	VYDAJ	PREVOD NA UCET	38	23868	 	EF	26753026
252820	866	1995-08-10	VYDAJ	PREVOD NA UCET	38	28282	 	EF	26753026
252821	866	1995-09-10	VYDAJ	PREVOD NA UCET	38	31314	 	EF	26753026
252822	866	1995-10-10	VYDAJ	PREVOD NA UCET	38	31658	 	EF	26753026
252823	866	1995-11-10	VYDAJ	PREVOD NA UCET	38	35003	 	EF	26753026
252824	866	1995-12-10	VYDAJ	PREVOD NA UCET	38	37962	 	EF	26753026
252825	866	1996-01-10	VYDAJ	PREVOD NA UCET	38	34865	 	EF	26753026
252826	866	1996-02-10	VYDAJ	PREVOD NA UCET	38	28711	 	EF	26753026
252827	866	1996-03-10	VYDAJ	PREVOD NA UCET	38	33744	 	EF	26753026
252828	866	1996-04-10	VYDAJ	PREVOD NA UCET	38	33294	 	EF	26753026
252829	866	1996-05-10	VYDAJ	PREVOD NA UCET	38	34042	 	EF	26753026
252830	866	1996-06-10	VYDAJ	PREVOD NA UCET	38	34793	 	EF	26753026
252831	866	1996-07-10	VYDAJ	PREVOD NA UCET	38	29445	 	EF	26753026
252832	866	1996-08-10	VYDAJ	PREVOD NA UCET	38	35582	 	EF	26753026
252833	866	1996-09-10	VYDAJ	PREVOD NA UCET	38	37839	 	EF	26753026
252834	866	1996-10-10	VYDAJ	PREVOD NA UCET	38	34704	 	EF	26753026
252835	866	1996-11-10	VYDAJ	PREVOD NA UCET	38	36761	 	EF	26753026
252836	866	1996-12-10	VYDAJ	PREVOD NA UCET	38	34018	 	EF	26753026
252837	866	1997-01-10	VYDAJ	PREVOD NA UCET	38	29597	 	EF	26753026
252838	866	1997-02-10	VYDAJ	PREVOD NA UCET	38	22720	 	EF	26753026
252839	866	1997-03-10	VYDAJ	PREVOD NA UCET	38	24419	 	EF	26753026
252840	866	1997-04-10	VYDAJ	PREVOD NA UCET	38	17419	 	EF	26753026
252841	866	1997-05-10	VYDAJ	PREVOD NA UCET	38	22403	 	EF	26753026
252842	866	1997-06-10	VYDAJ	PREVOD NA UCET	38	20495	 	EF	26753026
252843	866	1997-07-10	VYDAJ	PREVOD NA UCET	38	23615	 	EF	26753026
252844	866	1997-08-10	VYDAJ	PREVOD NA UCET	38	27220	 	EF	26753026
252845	866	1997-09-10	VYDAJ	PREVOD NA UCET	38	25228	 	EF	26753026
252846	866	1997-10-10	VYDAJ	PREVOD NA UCET	38	28338	 	EF	26753026
252847	866	1997-11-10	VYDAJ	PREVOD NA UCET	38	28357	 	EF	26753026
252848	866	1997-12-10	VYDAJ	PREVOD NA UCET	38	22064	 	EF	26753026
252849	866	1998-01-10	VYDAJ	PREVOD NA UCET	38	23204	 	EF	26753026
252850	866	1998-02-10	VYDAJ	PREVOD NA UCET	38	25613	 	EF	26753026
252851	866	1998-03-10	VYDAJ	PREVOD NA UCET	38	33432	 	EF	26753026
252852	866	1998-04-10	VYDAJ	PREVOD NA UCET	38	41586	 	EF	26753026
252853	866	1998-05-10	VYDAJ	PREVOD NA UCET	38	38548	 	EF	26753026
252854	866	1998-06-10	VYDAJ	PREVOD NA UCET	38	39706	 	EF	26753026
252855	866	1998-07-10	VYDAJ	PREVOD NA UCET	38	35195	 	EF	26753026
252856	866	1998-08-10	VYDAJ	PREVOD NA UCET	38	43058	 	EF	26753026
252857	866	1998-09-10	VYDAJ	PREVOD NA UCET	38	43432	 	EF	26753026
252858	866	1998-10-10	VYDAJ	PREVOD NA UCET	38	41398	 	EF	26753026
252859	866	1998-11-10	VYDAJ	PREVOD NA UCET	38	42182	 	EF	26753026
252860	866	1998-12-10	VYDAJ	PREVOD NA UCET	38	42558	 	EF	26753026
252866	866	1993-06-08	VYDAJ	PREVOD NA UCET	504	40642	POJISTNE	CD	94022661
252867	866	1993-07-08	VYDAJ	PREVOD NA UCET	504	22236	POJISTNE	CD	94022661
252868	866	1993-08-08	VYDAJ	PREVOD NA UCET	504	28246	POJISTNE	CD	94022661
252869	866	1993-09-08	VYDAJ	PREVOD NA UCET	504	32648	POJISTNE	CD	94022661
252870	866	1993-10-08	VYDAJ	PREVOD NA UCET	504	30702	POJISTNE	CD	94022661
252871	866	1993-11-08	VYDAJ	PREVOD NA UCET	504	29952	POJISTNE	CD	94022661
252872	866	1993-12-08	VYDAJ	PREVOD NA UCET	504	27224	POJISTNE	CD	94022661
252873	866	1994-01-08	VYDAJ	PREVOD NA UCET	504	31953	POJISTNE	CD	94022661
252874	866	1994-02-08	VYDAJ	PREVOD NA UCET	504	22271	POJISTNE	CD	94022661
252875	866	1994-03-08	VYDAJ	PREVOD NA UCET	504	24613	POJISTNE	CD	94022661
252876	866	1994-04-08	VYDAJ	PREVOD NA UCET	504	31336	POJISTNE	CD	94022661
252877	866	1994-05-08	VYDAJ	PREVOD NA UCET	504	32640	POJISTNE	CD	94022661
252878	866	1994-06-08	VYDAJ	PREVOD NA UCET	504	18528	POJISTNE	CD	94022661
252879	866	1994-07-08	VYDAJ	PREVOD NA UCET	504	24338	POJISTNE	CD	94022661
252880	866	1994-08-08	VYDAJ	PREVOD NA UCET	504	24893	POJISTNE	CD	94022661
252881	866	1994-09-08	VYDAJ	PREVOD NA UCET	504	26709	POJISTNE	CD	94022661
252882	866	1994-10-08	VYDAJ	PREVOD NA UCET	504	29802	POJISTNE	CD	94022661
252883	866	1994-11-08	VYDAJ	PREVOD NA UCET	504	30278	POJISTNE	CD	94022661
252884	866	1994-12-08	VYDAJ	PREVOD NA UCET	504	33524	POJISTNE	CD	94022661
252885	866	1995-01-08	VYDAJ	PREVOD NA UCET	504	36415	POJISTNE	CD	94022661
252886	866	1995-02-08	VYDAJ	PREVOD NA UCET	504	28528	POJISTNE	CD	94022661
252887	866	1995-03-08	VYDAJ	PREVOD NA UCET	504	32862	POJISTNE	CD	94022661
252888	866	1995-04-08	VYDAJ	PREVOD NA UCET	504	30848	POJISTNE	CD	94022661
252889	866	1995-05-08	VYDAJ	PREVOD NA UCET	504	29593	POJISTNE	CD	94022661
252890	866	1995-06-08	VYDAJ	PREVOD NA UCET	504	30332	POJISTNE	CD	94022661
252891	866	1995-07-08	VYDAJ	PREVOD NA UCET	504	23906	POJISTNE	CD	94022661
252892	866	1995-08-08	VYDAJ	PREVOD NA UCET	504	28320	POJISTNE	CD	94022661
252893	866	1995-09-08	VYDAJ	PREVOD NA UCET	504	31817	POJISTNE	CD	94022661
252894	866	1995-10-08	VYDAJ	PREVOD NA UCET	504	32161	POJISTNE	CD	94022661
252895	866	1995-11-08	VYDAJ	PREVOD NA UCET	504	35506	POJISTNE	CD	94022661
252896	866	1995-12-08	VYDAJ	PREVOD NA UCET	504	38465	POJISTNE	CD	94022661
252897	866	1996-01-08	VYDAJ	PREVOD NA UCET	504	36003	POJISTNE	CD	94022661
252898	866	1996-02-08	VYDAJ	PREVOD NA UCET	504	29214	POJISTNE	CD	94022661
252899	866	1996-03-08	VYDAJ	PREVOD NA UCET	504	33782	POJISTNE	CD	94022661
252900	866	1996-04-08	VYDAJ	PREVOD NA UCET	504	33332	POJISTNE	CD	94022661
252901	866	1996-05-08	VYDAJ	PREVOD NA UCET	504	34545	POJISTNE	CD	94022661
252902	866	1996-06-08	VYDAJ	PREVOD NA UCET	504	35296	POJISTNE	CD	94022661
252903	866	1996-07-08	VYDAJ	PREVOD NA UCET	504	29948	POJISTNE	CD	94022661
252904	866	1996-08-08	VYDAJ	PREVOD NA UCET	504	36085	POJISTNE	CD	94022661
252905	866	1996-09-08	VYDAJ	PREVOD NA UCET	504	38342	POJISTNE	CD	94022661
252906	866	1996-10-08	VYDAJ	PREVOD NA UCET	504	39807	POJISTNE	CD	94022661
252907	866	1996-11-08	VYDAJ	PREVOD NA UCET	504	37264	POJISTNE	CD	94022661
252908	866	1996-12-08	VYDAJ	PREVOD NA UCET	504	35621	POJISTNE	CD	94022661
252909	866	1997-01-08	VYDAJ	PREVOD NA UCET	504	30535	POJISTNE	CD	94022661
252910	866	1997-02-08	VYDAJ	PREVOD NA UCET	504	22758	POJISTNE	CD	94022661
252911	866	1997-03-08	VYDAJ	PREVOD NA UCET	504	24922	POJISTNE	CD	94022661
252912	866	1997-04-08	VYDAJ	PREVOD NA UCET	504	17457	POJISTNE	CD	94022661
252913	866	1997-05-08	VYDAJ	PREVOD NA UCET	504	22441	POJISTNE	CD	94022661
252914	866	1997-06-08	VYDAJ	PREVOD NA UCET	504	20998	POJISTNE	CD	94022661
252915	866	1997-07-08	VYDAJ	PREVOD NA UCET	504	24118	POJISTNE	CD	94022661
252916	866	1997-08-08	VYDAJ	PREVOD NA UCET	504	27258	POJISTNE	CD	94022661
252917	866	1997-09-08	VYDAJ	PREVOD NA UCET	504	25731	POJISTNE	CD	94022661
252918	866	1997-10-08	VYDAJ	PREVOD NA UCET	504	28376	POJISTNE	CD	94022661
252919	866	1997-11-08	VYDAJ	PREVOD NA UCET	504	28395	POJISTNE	CD	94022661
252920	866	1997-12-08	VYDAJ	PREVOD NA UCET	504	22102	POJISTNE	CD	94022661
252921	866	1998-01-08	VYDAJ	PREVOD NA UCET	504	24942	POJISTNE	CD	94022661
252922	866	1998-02-08	VYDAJ	PREVOD NA UCET	504	25651	POJISTNE	CD	94022661
252923	866	1998-03-08	VYDAJ	PREVOD NA UCET	504	33470	POJISTNE	CD	94022661
252924	866	1998-04-08	VYDAJ	PREVOD NA UCET	504	41624	POJISTNE	CD	94022661
252925	866	1998-05-08	VYDAJ	PREVOD NA UCET	504	39051	POJISTNE	CD	94022661
252926	866	1998-06-08	VYDAJ	PREVOD NA UCET	504	40209	POJISTNE	CD	94022661
252927	866	1998-07-08	VYDAJ	PREVOD NA UCET	504	35698	POJISTNE	CD	94022661
252928	866	1998-08-08	VYDAJ	PREVOD NA UCET	504	43096	POJISTNE	CD	94022661
252929	866	1998-09-08	VYDAJ	PREVOD NA UCET	504	43470	POJISTNE	CD	94022661
252930	866	1998-10-08	VYDAJ	PREVOD NA UCET	504	41436	POJISTNE	CD	94022661
252931	866	1998-11-08	VYDAJ	PREVOD NA UCET	504	42685	POJISTNE	CD	94022661
252932	866	1998-12-08	VYDAJ	PREVOD NA UCET	504	45896	POJISTNE	CD	94022661
252938	866	1993-06-05	VYDAJ	PREVOD NA UCET	3844	41146	 	MN	70676672
252939	866	1993-07-05	VYDAJ	PREVOD NA UCET	3844	23205	 	MN	70676672
252940	866	1993-08-05	VYDAJ	PREVOD NA UCET	3844	30715	 	MN	70676672
252941	866	1993-09-05	VYDAJ	PREVOD NA UCET	3844	37152	 	MN	70676672
252942	866	1993-10-05	VYDAJ	PREVOD NA UCET	3844	39006	 	MN	70676672
252943	866	1993-11-05	VYDAJ	PREVOD NA UCET	3844	39156	 	MN	70676672
252944	866	1993-12-05	VYDAJ	PREVOD NA UCET	3844	35093	 	MN	70676672
252945	866	1994-01-05	VYDAJ	PREVOD NA UCET	3844	32457	 	MN	70676672
252946	866	1994-02-05	VYDAJ	PREVOD NA UCET	3844	22775	 	MN	70676672
252947	866	1994-03-05	VYDAJ	PREVOD NA UCET	3844	30682	 	MN	70676672
252948	866	1994-04-05	VYDAJ	PREVOD NA UCET	3844	32305	 	MN	70676672
252949	866	1994-05-05	VYDAJ	PREVOD NA UCET	3844	33144	 	MN	70676672
252950	866	1994-06-05	VYDAJ	PREVOD NA UCET	3844	19497	 	MN	70676672
252951	866	1994-07-05	VYDAJ	PREVOD NA UCET	3844	27342	 	MN	70676672
252952	866	1994-08-05	VYDAJ	PREVOD NA UCET	3844	25862	 	MN	70676672
252953	866	1994-09-05	VYDAJ	PREVOD NA UCET	3844	27678	 	MN	70676672
252954	866	1994-10-05	VYDAJ	PREVOD NA UCET	3844	30306	 	MN	70676672
252955	866	1994-11-05	VYDAJ	PREVOD NA UCET	3844	31247	 	MN	70676672
252956	866	1994-12-05	VYDAJ	PREVOD NA UCET	3844	34493	 	MN	70676672
252957	866	1995-01-05	VYDAJ	PREVOD NA UCET	3844	37384	 	MN	70676672
252958	866	1995-02-05	VYDAJ	PREVOD NA UCET	3844	29032	 	MN	70676672
252959	866	1995-03-05	VYDAJ	PREVOD NA UCET	3844	33366	 	MN	70676672
252960	866	1995-04-05	VYDAJ	PREVOD NA UCET	3844	31817	 	MN	70676672
252961	866	1995-05-05	VYDAJ	PREVOD NA UCET	3844	30562	 	MN	70676672
252962	866	1995-06-05	VYDAJ	PREVOD NA UCET	3844	31301	 	MN	70676672
252963	866	1995-07-05	VYDAJ	PREVOD NA UCET	3844	24875	 	MN	70676672
252964	866	1995-08-05	VYDAJ	PREVOD NA UCET	3844	29289	 	MN	70676672
252965	866	1995-09-05	VYDAJ	PREVOD NA UCET	3844	32321	 	MN	70676672
252966	866	1995-10-05	VYDAJ	PREVOD NA UCET	3844	32665	 	MN	70676672
252967	866	1995-11-05	VYDAJ	PREVOD NA UCET	3844	36010	 	MN	70676672
252968	866	1995-12-05	VYDAJ	PREVOD NA UCET	3844	38969	 	MN	70676672
252969	866	1996-01-05	VYDAJ	PREVOD NA UCET	3844	36972	 	MN	70676672
252970	866	1996-02-05	VYDAJ	PREVOD NA UCET	3844	29718	 	MN	70676672
252971	866	1996-03-05	VYDAJ	PREVOD NA UCET	3844	34751	 	MN	70676672
252972	866	1996-04-05	VYDAJ	PREVOD NA UCET	3844	34301	 	MN	70676672
252973	866	1996-05-05	VYDAJ	PREVOD NA UCET	3844	35049	 	MN	70676672
252974	866	1996-06-05	VYDAJ	PREVOD NA UCET	3844	35800	 	MN	70676672
252975	866	1996-07-05	VYDAJ	PREVOD NA UCET	3844	30452	 	MN	70676672
252976	866	1996-08-05	VYDAJ	PREVOD NA UCET	3844	36589	 	MN	70676672
252977	866	1996-09-05	VYDAJ	PREVOD NA UCET	3844	38846	 	MN	70676672
252978	866	1996-10-05	VYDAJ	PREVOD NA UCET	3844	40311	 	MN	70676672
252979	866	1996-11-05	VYDAJ	PREVOD NA UCET	3844	37768	 	MN	70676672
252980	866	1996-12-05	VYDAJ	PREVOD NA UCET	3844	36125	 	MN	70676672
252981	866	1997-01-05	VYDAJ	PREVOD NA UCET	3844	31504	 	MN	70676672
252982	866	1997-02-05	VYDAJ	PREVOD NA UCET	3844	23727	 	MN	70676672
252983	866	1997-03-05	VYDAJ	PREVOD NA UCET	3844	25426	 	MN	70676672
252984	866	1997-04-05	VYDAJ	PREVOD NA UCET	3844	18426	 	MN	70676672
252985	866	1997-05-05	VYDAJ	PREVOD NA UCET	3844	23410	 	MN	70676672
252986	866	1997-06-05	VYDAJ	PREVOD NA UCET	3844	21502	 	MN	70676672
252987	866	1997-07-05	VYDAJ	PREVOD NA UCET	3844	24622	 	MN	70676672
252988	866	1997-08-05	VYDAJ	PREVOD NA UCET	3844	28227	 	MN	70676672
252989	866	1997-09-05	VYDAJ	PREVOD NA UCET	3844	26235	 	MN	70676672
252990	866	1997-10-05	VYDAJ	PREVOD NA UCET	3844	29345	 	MN	70676672
252991	866	1997-11-05	VYDAJ	PREVOD NA UCET	3844	29364	 	MN	70676672
252992	866	1997-12-05	VYDAJ	PREVOD NA UCET	3844	23071	 	MN	70676672
252993	866	1998-01-05	VYDAJ	PREVOD NA UCET	3844	27411	 	MN	70676672
252994	866	1998-02-05	VYDAJ	PREVOD NA UCET	3844	26620	 	MN	70676672
252995	866	1998-03-05	VYDAJ	PREVOD NA UCET	3844	34439	 	MN	70676672
252996	866	1998-04-05	VYDAJ	PREVOD NA UCET	3844	42593	 	MN	70676672
252997	866	1998-05-05	VYDAJ	PREVOD NA UCET	3844	39555	 	MN	70676672
252998	866	1998-06-05	VYDAJ	PREVOD NA UCET	3844	40713	 	MN	70676672
252999	866	1998-07-05	VYDAJ	PREVOD NA UCET	3844	36202	 	MN	70676672
253000	866	1998-08-05	VYDAJ	PREVOD NA UCET	3844	44065	 	MN	70676672
253001	866	1998-09-05	VYDAJ	PREVOD NA UCET	3844	44439	 	MN	70676672
253002	866	1998-10-05	VYDAJ	PREVOD NA UCET	3844	42405	 	MN	70676672
253003	866	1998-11-05	VYDAJ	PREVOD NA UCET	3844	43189	 	MN	70676672
253004	866	1998-12-05	VYDAJ	PREVOD NA UCET	3844	46865	 	MN	70676672
253005	866	1993-06-19	VYDAJ	VYBER	23200	26905	\N	\N	\N
253006	866	1994-06-04	VYDAJ	VYBER	28100	23341	\N	\N	\N
253007	866	1995-06-28	VYDAJ	VYBER	16300	32960	\N	\N	\N
253008	866	1996-06-14	VYDAJ	VYBER	19700	34059	\N	\N	\N
253010	866	1998-06-25	VYDAJ	VYBER	9100	41072	\N	\N	\N
253012	866	1994-01-13	VYDAJ	VYBER	8400	34494	\N	\N	\N
253013	866	1995-01-26	VYDAJ	VYBER	6000	37221	\N	\N	\N
253014	866	1996-01-17	VYDAJ	VYBER	4300	42409	\N	\N	\N
253015	866	1997-01-28	VYDAJ	VYBER	1400	29841	\N	\N	\N
253016	866	1998-01-03	VYDAJ	VYBER	7300	31255	\N	\N	\N
253017	866	1993-12-21	VYDAJ	VYBER	1300	40452	\N	\N	\N
253018	866	1994-12-16	VYDAJ	VYBER	2300	50152	\N	\N	\N
253019	866	1995-12-22	VYDAJ	VYBER	2500	54428	\N	\N	\N
253020	866	1996-12-05	VYDAJ	VYBER	2000	39969	\N	\N	\N
253021	866	1997-12-12	VYDAJ	VYBER	1200	39830	\N	\N	\N
253022	866	1998-12-12	VYDAJ	VYBER	1200	60324	\N	\N	\N
253029	866	1994-01-15	VYDAJ	VYBER	1200	32294	\N	\N	\N
253030	866	1994-01-13	VYDAJ	VYBER	1000	33494	\N	\N	\N
253031	866	1994-01-09	VYDAJ	VYBER	1200	30288	\N	\N	\N
253032	866	1994-01-03	VYDAJ	VYBER	2000	38601	\N	\N	\N
253033	866	1994-01-29	VYDAJ	VYBER	2600	27594	\N	\N	\N
253034	866	1994-01-28	VYDAJ	VYBER	2100	30194	\N	\N	\N
253035	866	1995-01-16	VYDAJ	VYBER	2300	43221	\N	\N	\N
253036	866	1995-01-15	VYDAJ	VYBER	1600	45521	\N	\N	\N
253037	866	1995-01-14	VYDAJ	VYBER	1900	47121	\N	\N	\N
253038	866	1995-01-28	VYDAJ	VYBER	1700	31321	\N	\N	\N
253039	866	1995-01-27	VYDAJ	VYBER	2400	33021	\N	\N	\N
253040	866	1995-01-27	VYDAJ	VYBER	1800	35421	\N	\N	\N
253041	866	1996-01-30	VYDAJ	VYBER	2100	33409	\N	\N	\N
253042	866	1996-01-10	VYDAJ	VYBER	1100	34903	\N	\N	\N
253043	866	1996-01-16	VYDAJ	VYBER	800	46709	\N	\N	\N
253044	866	1996-01-03	VYDAJ	VYBER	1000	40816	\N	\N	\N
253045	866	1996-01-25	VYDAJ	VYBER	800	41609	\N	\N	\N
253046	866	1996-01-01	VYDAJ	VYBER	1600	41816	\N	\N	\N
253047	866	1997-01-30	VYDAJ	VYBER	2400	27441	\N	\N	\N
253048	866	1997-01-04	VYDAJ	VYBER	2600	38148	\N	\N	\N
253049	866	1997-01-05	VYDAJ	VYBER	1600	36548	\N	\N	\N
253050	866	1997-01-08	VYDAJ	VYBER	900	29635	\N	\N	\N
253051	866	1997-01-05	VYDAJ	VYBER	1200	35348	\N	\N	\N
253052	866	1997-01-21	VYDAJ	VYBER	2500	31241	\N	\N	\N
253053	866	1998-01-13	VYDAJ	VYBER	2800	33048	\N	\N	\N
253054	866	1998-01-10	VYDAJ	VYBER	1700	23242	\N	\N	\N
253055	866	1998-01-08	VYDAJ	VYBER	1500	25911	\N	\N	\N
253056	866	1998-01-23	VYDAJ	VYBER	1900	32248	\N	\N	\N
253057	866	1998-01-29	VYDAJ	VYBER	1400	30348	\N	\N	\N
253058	866	1998-01-28	VYDAJ	VYBER	500	31748	\N	\N	\N
253060	866	1993-09-26	VYDAJ	VYBER	2100	42689	\N	\N	\N
253061	866	1993-12-07	VYDAJ	VYBER	2800	28193	\N	\N	\N
253062	866	1993-11-13	VYDAJ	VYBER	3300	38793	\N	\N	\N
253063	866	1993-06-03	VYDAJ	VYBER	3900	44990	\N	\N	\N
253064	866	1993-12-16	VYDAJ	VYBER	4400	41752	\N	\N	\N
253065	866	1994-05-11	VYDAJ	VYBER	2200	42581	\N	\N	\N
253066	866	1994-03-07	VYDAJ	VYBER	2600	25582	\N	\N	\N
253067	866	1994-04-13	VYDAJ	VYBER	4200	39742	\N	\N	\N
253068	866	1994-07-07	VYDAJ	VYBER	2500	24842	\N	\N	\N
253069	866	1994-08-20	VYDAJ	VYBER	4200	33299	\N	\N	\N
253070	866	1994-12-20	VYDAJ	VYBER	1100	49052	\N	\N	\N
253071	866	1994-07-29	VYDAJ	VYBER	2900	33579	\N	\N	\N
253072	866	1995-10-03	VYDAJ	VYBER	2000	36509	\N	\N	\N
253073	866	1995-07-22	VYDAJ	VYBER	2500	34012	\N	\N	\N
253074	866	1995-10-24	VYDAJ	VYBER	3700	40602	\N	\N	\N
253075	866	1996-04-25	VYDAJ	VYBER	700	38738	\N	\N	\N
253076	866	1996-06-19	VYDAJ	VYBER	2700	31359	\N	\N	\N
253077	866	1996-10-10	VYDAJ	VYBER	4600	34742	\N	\N	\N
253078	866	1996-02-27	VYDAJ	VYBER	1000	38455	\N	\N	\N
253079	866	1996-01-28	VYDAJ	VYBER	1300	35509	\N	\N	\N
253080	866	1996-12-10	VYDAJ	VYBER	1100	34056	\N	\N	\N
253081	866	1997-04-02	VYDAJ	VYBER	4400	22270	\N	\N	\N
253082	866	1997-11-20	VYDAJ	VYBER	3100	26801	\N	\N	\N
253083	866	1997-11-18	VYDAJ	VYBER	4300	34201	\N	\N	\N
253084	866	1997-05-21	VYDAJ	VYBER	2900	25247	\N	\N	\N
253085	866	1997-11-20	VYDAJ	VYBER	4300	29901	\N	\N	\N
253086	866	1997-10-21	VYDAJ	VYBER	4700	33082	\N	\N	\N
253087	866	1998-07-31	VYDAJ	VYBER	1600	47909	\N	\N	\N
253088	866	1998-06-26	VYDAJ	VYBER	1200	39872	\N	\N	\N
253089	866	1998-04-17	VYDAJ	VYBER	4200	43230	\N	\N	\N
253095	866	1993-05-31	VYDAJ	VYBER	15	48890	SLUZBY	\N	\N
253096	866	1993-06-30	VYDAJ	VYBER	15	27049	SLUZBY	\N	\N
253097	866	1993-07-31	VYDAJ	VYBER	15	34559	SLUZBY	\N	\N
253098	866	1993-08-31	VYDAJ	VYBER	15	40996	SLUZBY	\N	\N
253099	866	1993-09-30	VYDAJ	VYBER	15	42850	SLUZBY	\N	\N
253100	866	1993-10-31	VYDAJ	VYBER	15	43000	SLUZBY	\N	\N
253101	866	1993-11-30	VYDAJ	VYBER	15	38937	SLUZBY	\N	\N
253102	866	1993-12-31	VYDAJ	VYBER	15	40601	SLUZBY	\N	\N
253103	866	1994-01-31	VYDAJ	VYBER	15	27719	SLUZBY	\N	\N
253104	866	1994-02-28	VYDAJ	VYBER	15	34526	SLUZBY	\N	\N
253105	866	1994-03-31	VYDAJ	VYBER	15	37349	SLUZBY	\N	\N
253106	866	1994-04-30	VYDAJ	VYBER	15	39888	SLUZBY	\N	\N
253107	866	1994-05-31	VYDAJ	VYBER	15	42741	SLUZBY	\N	\N
253108	866	1994-06-30	VYDAJ	VYBER	15	37586	SLUZBY	\N	\N
253109	866	1994-07-31	VYDAJ	VYBER	15	33706	SLUZBY	\N	\N
253110	866	1994-08-31	VYDAJ	VYBER	15	33422	SLUZBY	\N	\N
253111	866	1994-09-30	VYDAJ	VYBER	15	39450	SLUZBY	\N	\N
253112	866	1994-10-31	VYDAJ	VYBER	15	42091	SLUZBY	\N	\N
253113	866	1994-11-30	VYDAJ	VYBER	15	43037	SLUZBY	\N	\N
253114	866	1994-12-31	VYDAJ	VYBER	15	41228	SLUZBY	\N	\N
253115	866	1995-01-31	VYDAJ	VYBER	15	32876	SLUZBY	\N	\N
253116	866	1995-02-28	VYDAJ	VYBER	15	40810	SLUZBY	\N	\N
253117	866	1995-03-31	VYDAJ	VYBER	15	35661	SLUZBY	\N	\N
253118	866	1995-04-30	VYDAJ	VYBER	15	43606	SLUZBY	\N	\N
253119	866	1995-05-31	VYDAJ	VYBER	15	35145	SLUZBY	\N	\N
253120	866	1995-06-30	VYDAJ	VYBER	15	28719	SLUZBY	\N	\N
253121	866	1995-07-31	VYDAJ	VYBER	15	33133	SLUZBY	\N	\N
253122	866	1995-08-31	VYDAJ	VYBER	15	36165	SLUZBY	\N	\N
253123	866	1995-09-30	VYDAJ	VYBER	15	38509	SLUZBY	\N	\N
253124	866	1995-10-31	VYDAJ	VYBER	15	39854	SLUZBY	\N	\N
253125	866	1995-11-30	VYDAJ	VYBER	15	42813	SLUZBY	\N	\N
253126	866	1995-12-31	VYDAJ	VYBER	15	43416	SLUZBY	\N	\N
253127	866	1996-01-31	VYDAJ	VYBER	15	33562	SLUZBY	\N	\N
253128	866	1996-02-29	VYDAJ	VYBER	15	38595	SLUZBY	\N	\N
253129	866	1996-03-31	VYDAJ	VYBER	15	38145	SLUZBY	\N	\N
253130	866	1996-04-30	VYDAJ	VYBER	15	38893	SLUZBY	\N	\N
253131	866	1996-05-31	VYDAJ	VYBER	15	39644	SLUZBY	\N	\N
253132	866	1996-06-30	VYDAJ	VYBER	15	34296	SLUZBY	\N	\N
253133	866	1996-07-31	VYDAJ	VYBER	15	40433	SLUZBY	\N	\N
253134	866	1996-08-31	VYDAJ	VYBER	15	42690	SLUZBY	\N	\N
253135	866	1996-09-30	VYDAJ	VYBER	15	44155	SLUZBY	\N	\N
253136	866	1996-10-31	VYDAJ	VYBER	15	41612	SLUZBY	\N	\N
253137	866	1996-11-30	VYDAJ	VYBER	15	41969	SLUZBY	\N	\N
253138	866	1996-12-31	VYDAJ	VYBER	15	40748	SLUZBY	\N	\N
253139	866	1997-01-31	VYDAJ	VYBER	15	27571	SLUZBY	\N	\N
253140	866	1997-02-28	VYDAJ	VYBER	15	29270	SLUZBY	\N	\N
253141	866	1997-03-31	VYDAJ	VYBER	15	26670	SLUZBY	\N	\N
253142	866	1997-04-30	VYDAJ	VYBER	15	27254	SLUZBY	\N	\N
253143	866	1997-05-31	VYDAJ	VYBER	15	25346	SLUZBY	\N	\N
253144	866	1997-06-30	VYDAJ	VYBER	15	28466	SLUZBY	\N	\N
253145	866	1997-07-31	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
253146	866	1997-08-31	VYDAJ	VYBER	15	30079	SLUZBY	\N	\N
253147	866	1997-09-30	VYDAJ	VYBER	15	33189	SLUZBY	\N	\N
253148	866	1997-10-31	VYDAJ	VYBER	15	33208	SLUZBY	\N	\N
253149	866	1997-11-30	VYDAJ	VYBER	15	26915	SLUZBY	\N	\N
253150	866	1997-12-31	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
253151	866	1998-01-31	VYDAJ	VYBER	15	30464	SLUZBY	\N	\N
253152	866	1998-02-28	VYDAJ	VYBER	15	38283	SLUZBY	\N	\N
253153	866	1998-03-31	VYDAJ	VYBER	15	46437	SLUZBY	\N	\N
253154	866	1998-04-30	VYDAJ	VYBER	15	43399	SLUZBY	\N	\N
253155	866	1998-05-31	VYDAJ	VYBER	15	44557	SLUZBY	\N	\N
253156	866	1998-06-30	VYDAJ	VYBER	15	40046	SLUZBY	\N	\N
253157	866	1998-07-31	VYDAJ	VYBER	15	49509	SLUZBY	\N	\N
253158	866	1998-08-31	VYDAJ	VYBER	15	48283	SLUZBY	\N	\N
253159	866	1998-09-30	VYDAJ	VYBER	15	46249	SLUZBY	\N	\N
253160	866	1998-10-31	VYDAJ	VYBER	15	47033	SLUZBY	\N	\N
253161	866	1998-11-30	VYDAJ	VYBER	15	50709	SLUZBY	\N	\N
253162	866	1993-02-09	PRIJEM	VKLAD	5400	18581	\N	\N	\N
253163	866	1993-03-11	VYDAJ	VYBER	8400	35572	\N	\N	\N
253164	866	1993-04-10	VYDAJ	VYBER	4800	30938	\N	\N	\N
253165	866	1993-05-10	VYDAJ	VYBER	7700	36064	\N	\N	\N
253166	866	1993-06-09	VYDAJ	VYBER	9000	31177	\N	\N	\N
253167	866	1993-07-09	VYDAJ	VYBER	400	21836	\N	\N	\N
253168	866	1993-08-08	VYDAJ	VYBER	1500	29215	\N	\N	\N
253169	866	1993-09-07	VYDAJ	VYBER	4000	33152	\N	\N	\N
253170	866	1993-10-07	VYDAJ	VYBER	7800	31206	\N	\N	\N
253171	866	1993-11-06	VYDAJ	VYBER	8700	30456	\N	\N	\N
253172	866	1993-12-06	VYDAJ	VYBER	4100	30993	\N	\N	\N
253173	866	1994-01-05	VYDAJ	VYBER	2300	36301	\N	\N	\N
253174	866	1994-02-04	VYDAJ	VYBER	1100	26619	\N	\N	\N
253175	866	1994-03-06	VYDAJ	VYBER	2500	28182	\N	\N	\N
253176	866	1994-04-05	VYDAJ	VYBER	1200	36149	\N	\N	\N
253177	866	1994-05-05	VYDAJ	VYBER	2900	36988	\N	\N	\N
253178	866	1994-06-04	PRIJEM	VKLAD	8700	51441	\N	\N	\N
253179	866	1994-07-04	VYDAJ	VYBER	6400	31186	\N	\N	\N
253180	866	1994-08-03	VYDAJ	VYBER	4000	29706	\N	\N	\N
253181	866	1994-09-02	VYDAJ	VYBER	1900	31522	\N	\N	\N
253182	866	1994-10-02	VYDAJ	VYBER	5300	34150	\N	\N	\N
253183	866	1994-11-01	VYDAJ	VYBER	7000	35091	\N	\N	\N
253184	866	1994-12-01	VYDAJ	VYBER	4700	38337	\N	\N	\N
253185	866	1994-12-31	VYDAJ	VYBER	8000	41243	\N	\N	\N
253186	866	1995-01-30	PRIJEM	VKLAD	1400	32721	\N	\N	\N
253187	866	1995-03-01	VYDAJ	VYBER	3600	37210	\N	\N	\N
253188	866	1995-03-31	VYDAJ	VYBER	9500	35676	\N	\N	\N
253189	866	1995-04-30	VYDAJ	VYBER	9200	34406	\N	\N	\N
253190	866	1995-05-30	VYDAJ	VYBER	7200	34999	\N	\N	\N
253191	866	1995-06-29	VYDAJ	VYBER	4400	28560	\N	\N	\N
253192	866	1995-07-29	VYDAJ	VYBER	1000	33012	\N	\N	\N
253193	866	1995-08-28	VYDAJ	VYBER	4900	36026	\N	\N	\N
253194	866	1995-09-27	VYDAJ	VYBER	5600	38358	\N	\N	\N
253195	866	1995-10-27	VYDAJ	VYBER	900	39702	\N	\N	\N
253196	866	1995-11-26	VYDAJ	VYBER	5000	42647	\N	\N	\N
253197	866	1995-12-26	VYDAJ	VYBER	11200	43228	\N	\N	\N
253198	866	1996-01-25	VYDAJ	VYBER	4800	36809	\N	\N	\N
253199	866	1996-02-24	VYDAJ	VYBER	1900	39455	\N	\N	\N
253200	866	1996-03-25	VYDAJ	VYBER	8400	37988	\N	\N	\N
253201	866	1996-04-24	VYDAJ	VYBER	6500	39438	\N	\N	\N
253202	866	1996-05-24	VYDAJ	VYBER	7200	39486	\N	\N	\N
253203	866	1996-06-23	PRIJEM	VKLAD	2800	34159	\N	\N	\N
253204	866	1996-07-23	VYDAJ	VYBER	1800	40289	\N	\N	\N
253205	866	1996-08-22	VYDAJ	VYBER	5700	42526	\N	\N	\N
253206	866	1996-09-21	VYDAJ	VYBER	6500	43983	\N	\N	\N
253207	866	1996-10-21	VYDAJ	VYBER	5900	41448	\N	\N	\N
253208	866	1996-11-20	VYDAJ	VYBER	7600	41805	\N	\N	\N
253209	866	1996-12-20	VYDAJ	VYBER	12400	40584	\N	\N	\N
253210	866	1997-01-19	VYDAJ	VYBER	8500	33741	\N	\N	\N
253211	866	1997-02-18	VYDAJ	VYBER	6200	29164	\N	\N	\N
253212	866	1997-03-20	VYDAJ	VYBER	10500	26563	\N	\N	\N
253213	866	1997-04-19	VYDAJ	VYBER	2900	27163	\N	\N	\N
253214	866	1997-05-19	VYDAJ	VYBER	6900	28147	\N	\N	\N
253215	866	1997-06-18	VYDAJ	VYBER	11100	28361	\N	\N	\N
253216	866	1997-07-18	VYDAJ	VYBER	4300	31959	\N	\N	\N
253217	866	1997-08-17	VYDAJ	VYBER	9900	29964	\N	\N	\N
253218	866	1997-09-16	VYDAJ	VYBER	4800	33072	\N	\N	\N
253219	866	1997-10-16	VYDAJ	VYBER	3200	37782	\N	\N	\N
253220	866	1997-11-15	VYDAJ	VYBER	2500	38501	\N	\N	\N
253221	866	1997-12-15	VYDAJ	VYBER	1400	38430	\N	\N	\N
253222	866	1998-01-14	PRIJEM	VKLAD	1100	34148	\N	\N	\N
253223	866	1998-02-13	VYDAJ	VYBER	100	38157	\N	\N	\N
253224	866	1998-03-15	PRIJEM	VKLAD	200	46276	\N	\N	\N
253225	866	1998-04-14	VYDAJ	VYBER	6800	47430	\N	\N	\N
253226	866	1998-05-14	VYDAJ	VYBER	6800	44392	\N	\N	\N
253227	866	1998-06-13	VYDAJ	VYBER	8500	50172	\N	\N	\N
253228	866	1998-07-13	PRIJEM	VKLAD	1500	49339	\N	\N	\N
253229	866	1998-08-12	VYDAJ	VYBER	7600	48102	\N	\N	\N
253230	866	1998-09-11	VYDAJ	VYBER	10000	46076	\N	\N	\N
253231	866	1998-10-11	VYDAJ	VYBER	7200	46842	\N	\N	\N
253232	866	1998-11-10	VYDAJ	VYBER	4300	37882	\N	\N	\N
253233	866	1998-12-10	VYDAJ	VYBER	3300	42596	\N	\N	\N
253306	867	1997-11-09	PRIJEM	VKLAD	600	600	\N	\N	\N
253310	867	1997-12-04	PRIJEM	VKLAD	35992	36592	\N	\N	\N
253322	867	1997-12-05	PRIJEM	VKLAD	42648	79240	\N	\N	\N
253323	867	1998-04-12	PRIJEM	VKLAD	10812	31882	\N	\N	\N
253324	867	1998-01-21	PRIJEM	VKLAD	29348	67689	\N	\N	\N
253325	867	1998-02-26	PRIJEM	VKLAD	18338	60965	\N	\N	\N
253326	867	1998-07-02	PRIJEM	VKLAD	6222	57372	\N	\N	\N
253327	867	1998-03-06	PRIJEM	VKLAD	27487	88731	\N	\N	\N
253328	867	1998-10-29	PRIJEM	VKLAD	19151	17800	\N	\N	\N
253329	867	1998-04-07	PRIJEM	VKLAD	14147	51013	\N	\N	\N
253330	867	1998-12-09	PRIJEM	VKLAD	36752	35488	\N	\N	\N
253331	867	1998-03-10	PRIJEM	VKLAD	16477	63370	\N	\N	\N
253332	867	1998-05-20	PRIJEM	VKLAD	48072	70293	\N	\N	\N
253333	867	1998-06-14	PRIJEM	VKLAD	31545	71187	\N	\N	\N
253334	867	1998-05-08	PRIJEM	VKLAD	32362	64364	\N	\N	\N
253335	867	1998-06-12	PRIJEM	VKLAD	13223	39642	\N	\N	\N
253350	867	1998-03-09	VYDAJ	PREVOD NA UCET	9718	46893	SIPO	EF	96948867
253351	867	1998-04-09	VYDAJ	PREVOD NA UCET	9718	21475	SIPO	EF	96948867
253352	867	1998-05-09	VYDAJ	PREVOD NA UCET	9718	29226	SIPO	EF	96948867
253353	867	1998-06-09	VYDAJ	PREVOD NA UCET	9718	29644	SIPO	EF	96948867
253354	867	1998-07-09	VYDAJ	PREVOD NA UCET	9718	21554	SIPO	EF	96948867
253355	867	1998-08-09	VYDAJ	PREVOD NA UCET	9718	2704	SIPO	EF	96948867
253358	867	1998-11-09	VYDAJ	PREVOD NA UCET	9718	1966	SIPO	EF	96948867
253359	867	1998-12-09	VYDAJ	PREVOD NA UCET	9718	25770	SIPO	EF	96948867
253374	867	1998-03-09	VYDAJ	PREVOD NA UCET	2820	56611	 	ST	12128901
253375	867	1998-04-09	VYDAJ	PREVOD NA UCET	2820	31193	 	ST	12128901
253376	867	1998-05-09	VYDAJ	PREVOD NA UCET	2820	38944	 	ST	12128901
253377	867	1998-06-09	VYDAJ	PREVOD NA UCET	2820	26824	 	ST	12128901
253378	867	1998-07-09	VYDAJ	PREVOD NA UCET	2820	18734	 	ST	12128901
253379	867	1998-08-09	VYDAJ	PREVOD NA UCET	2820	-117	 	ST	12128901
253382	867	1998-11-09	VYDAJ	PREVOD NA UCET	2820	-854	 	ST	12128901
253383	867	1998-12-09	VYDAJ	PREVOD NA UCET	2820	22950	 	ST	12128901
253398	867	1998-03-10	VYDAJ	PREVOD NA UCET	405	62965	POJISTNE	IJ	10908985
253399	867	1998-04-10	VYDAJ	PREVOD NA UCET	405	21070	POJISTNE	IJ	10908985
253400	867	1998-05-10	VYDAJ	PREVOD NA UCET	405	28821	POJISTNE	IJ	10908985
253401	867	1998-06-10	VYDAJ	PREVOD NA UCET	405	26419	POJISTNE	IJ	10908985
253402	867	1998-07-10	VYDAJ	PREVOD NA UCET	405	18329	POJISTNE	IJ	10908985
253403	867	1998-08-10	VYDAJ	PREVOD NA UCET	405	-522	POJISTNE	IJ	10908985
253404	867	1998-09-10	VYDAJ	PREVOD NA UCET	405	-925	POJISTNE	IJ	10908985
253405	867	1998-10-10	VYDAJ	PREVOD NA UCET	405	-1351	POJISTNE	IJ	10908985
253406	867	1998-11-10	VYDAJ	PREVOD NA UCET	405	-1259	POJISTNE	IJ	10908985
253407	867	1998-12-10	VYDAJ	PREVOD NA UCET	405	22545	POJISTNE	IJ	10908985
253420	867	1998-03-12	VYBER	VYBER	6577	44443	\N	\N	\N
253423	867	1998-06-30	VYBER	VYBER	20288	51165	\N	\N	\N
253424	867	1998-03-12	VYBER	VYBER	11945	51020	\N	\N	\N
253427	867	1998-03-20	VYBER	VYBER	7765	36678	\N	\N	\N
253455	867	1998-05-11	VYDAJ	VYBER	6600	22221	\N	\N	\N
253474	867	1998-03-31	VYDAJ	VYBER	15	36866	SLUZBY	\N	\N
253475	867	1998-04-30	VYDAJ	VYBER	15	32002	SLUZBY	\N	\N
253476	867	1998-05-31	VYDAJ	VYBER	15	70462	SLUZBY	\N	\N
253477	867	1998-06-30	VYDAJ	VYBER	15	51150	SLUZBY	\N	\N
253478	867	1998-07-31	VYDAJ	VYBER	15	18422	SLUZBY	\N	\N
253479	867	1998-08-31	VYDAJ	VYBER	15	-520	SLUZBY	\N	\N
253480	867	1998-09-30	VYDAJ	VYBER	15	-946	SLUZBY	\N	\N
253481	867	1998-10-31	VYDAJ	VYBER	15	17784	SLUZBY	\N	\N
253482	867	1998-11-30	VYDAJ	VYBER	15	-1254	SLUZBY	\N	\N
253483	867	1997-12-09	VYDAJ	VYBER	28000	51240	\N	\N	\N
253484	867	1998-01-08	VYDAJ	VYBER	13100	38341	\N	\N	\N
253485	867	1998-02-07	VYDAJ	VYBER	25300	42627	\N	\N	\N
253486	867	1998-03-09	VYDAJ	VYBER	29300	59431	\N	\N	\N
253487	867	1998-04-08	VYDAJ	VYBER	17000	34013	\N	\N	\N
253488	867	1998-05-08	VYDAJ	VYBER	22600	41764	\N	\N	\N
253489	867	1998-06-07	VYDAJ	VYBER	31100	39362	\N	\N	\N
253490	867	1998-07-07	VYDAJ	VYBER	26100	31272	\N	\N	\N
253491	867	1998-08-06	VYDAJ	VYBER	6000	12422	\N	\N	\N
253492	867	1998-11-04	VYDAJ	VYBER	6100	11684	\N	\N	\N
253510	868	1997-05-26	PRIJEM	VKLAD	200	200	\N	\N	\N
253516	868	1997-06-09	PRIJEM	VKLAD	14307	14507	\N	\N	\N
253517	868	1997-07-09	PRIJEM	VKLAD	9538	30563	\N	\N	\N
253518	868	1997-08-09	PRIJEM	VKLAD	9538	35893	\N	\N	\N
253519	868	1997-09-09	PRIJEM	VKLAD	9538	36341	\N	\N	\N
253520	868	1997-10-09	PRIJEM	VKLAD	9538	35589	\N	\N	\N
253521	868	1997-11-09	PRIJEM	VKLAD	9538	30466	\N	\N	\N
253522	868	1997-12-09	PRIJEM	VKLAD	14307	28188	\N	\N	\N
253523	868	1998-01-09	PRIJEM	VKLAD	9538	24088	\N	\N	\N
253524	868	1998-02-09	PRIJEM	VKLAD	9538	22901	\N	\N	\N
253525	868	1998-03-09	PRIJEM	VKLAD	9538	20823	\N	\N	\N
253526	868	1998-04-09	PRIJEM	VKLAD	9538	23448	\N	\N	\N
253527	868	1998-05-09	PRIJEM	VKLAD	9538	26679	\N	\N	\N
253528	868	1998-06-09	PRIJEM	VKLAD	14307	34702	\N	\N	\N
253529	868	1998-07-09	PRIJEM	VKLAD	9538	24256	\N	\N	\N
253530	868	1998-08-09	PRIJEM	VKLAD	9538	27499	\N	\N	\N
253531	868	1998-09-09	PRIJEM	VKLAD	9538	30756	\N	\N	\N
253532	868	1998-10-09	PRIJEM	VKLAD	9538	34025	\N	\N	\N
253533	868	1998-11-09	PRIJEM	VKLAD	9538	22576	\N	\N	\N
253534	868	1998-12-09	PRIJEM	VKLAD	14307	28981	\N	\N	\N
253544	868	1997-10-12	VYDAJ	PREVOD NA UCET	3239	29231	SIPO	ST	6806827
253545	868	1997-11-12	VYDAJ	PREVOD NA UCET	3239	27227	SIPO	ST	6806827
253546	868	1997-12-12	VYDAJ	PREVOD NA UCET	3239	21830	SIPO	ST	6806827
253547	868	1998-01-12	VYDAJ	PREVOD NA UCET	3239	17730	SIPO	ST	6806827
253548	868	1998-02-12	VYDAJ	PREVOD NA UCET	3239	19662	SIPO	ST	6806827
253549	868	1998-03-12	VYDAJ	PREVOD NA UCET	3239	17584	SIPO	ST	6806827
253550	868	1998-04-12	VYDAJ	PREVOD NA UCET	3239	17090	SIPO	ST	6806827
253551	868	1998-05-12	VYDAJ	PREVOD NA UCET	3239	20321	SIPO	ST	6806827
253552	868	1998-06-12	VYDAJ	PREVOD NA UCET	3239	28344	SIPO	ST	6806827
253553	868	1998-07-12	VYDAJ	PREVOD NA UCET	3239	21017	SIPO	ST	6806827
253554	868	1998-08-12	VYDAJ	PREVOD NA UCET	3239	21141	SIPO	ST	6806827
253555	868	1998-09-12	VYDAJ	PREVOD NA UCET	3239	27517	SIPO	ST	6806827
253556	868	1998-10-12	VYDAJ	PREVOD NA UCET	3239	27667	SIPO	ST	6806827
253557	868	1998-11-12	VYDAJ	PREVOD NA UCET	3239	16218	SIPO	ST	6806827
253558	868	1998-12-12	VYDAJ	PREVOD NA UCET	3239	25742	SIPO	ST	6806827
253568	868	1997-10-12	VYDAJ	PREVOD NA UCET	3119	32470	 	ST	2121645
253569	868	1997-11-12	VYDAJ	PREVOD NA UCET	3119	24108	 	ST	2121645
253570	868	1997-12-12	VYDAJ	PREVOD NA UCET	3119	25069	 	ST	2121645
253571	868	1998-01-12	VYDAJ	PREVOD NA UCET	3119	20969	 	ST	2121645
253572	868	1998-02-12	VYDAJ	PREVOD NA UCET	3119	16543	 	ST	2121645
253573	868	1998-03-12	VYDAJ	PREVOD NA UCET	3119	14465	 	ST	2121645
253574	868	1998-04-12	VYDAJ	PREVOD NA UCET	3119	20329	 	ST	2121645
253575	868	1998-05-12	VYDAJ	PREVOD NA UCET	3119	23560	 	ST	2121645
253576	868	1998-06-12	VYDAJ	PREVOD NA UCET	3119	31583	 	ST	2121645
253577	868	1998-07-12	VYDAJ	PREVOD NA UCET	3119	17898	 	ST	2121645
253578	868	1998-08-12	VYDAJ	PREVOD NA UCET	3119	24380	 	ST	2121645
253579	868	1998-09-12	VYDAJ	PREVOD NA UCET	3119	24398	 	ST	2121645
253580	868	1998-10-12	VYDAJ	PREVOD NA UCET	3119	30906	 	ST	2121645
253581	868	1998-11-12	VYDAJ	PREVOD NA UCET	3119	19457	 	ST	2121645
253582	868	1998-12-12	VYDAJ	PREVOD NA UCET	3119	22623	 	ST	2121645
253588	868	1998-12-07	VYDAJ	VYBER	1600	14674	\N	\N	\N
253596	868	1998-01-04	VYDAJ	VYBER	840	14550	\N	\N	\N
253598	868	1998-01-17	VYDAJ	VYBER	720	15210	\N	\N	\N
253600	868	1998-01-16	VYDAJ	VYBER	1800	15930	\N	\N	\N
253606	868	1998-03-24	VYDAJ	VYBER	600	13865	\N	\N	\N
253618	868	1997-10-31	VYDAJ	VYBER	15	20928	SLUZBY	\N	\N
253619	868	1997-11-30	VYDAJ	VYBER	15	13881	SLUZBY	\N	\N
253620	868	1997-12-31	VYDAJ	VYBER	15	15390	SLUZBY	\N	\N
253621	868	1998-01-31	VYDAJ	VYBER	15	13363	SLUZBY	\N	\N
253622	868	1998-02-28	VYDAJ	VYBER	15	11285	SLUZBY	\N	\N
253623	868	1998-03-31	VYDAJ	VYBER	15	13910	SLUZBY	\N	\N
253624	868	1998-04-30	VYDAJ	VYBER	15	17141	SLUZBY	\N	\N
253625	868	1998-05-31	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
253626	868	1998-06-30	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
253627	868	1998-07-31	VYDAJ	VYBER	15	17961	SLUZBY	\N	\N
253628	868	1998-08-31	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
253629	868	1998-09-30	VYDAJ	VYBER	15	24487	SLUZBY	\N	\N
253630	868	1998-10-31	VYDAJ	VYBER	15	13038	SLUZBY	\N	\N
253631	868	1998-11-30	VYDAJ	VYBER	15	16274	SLUZBY	\N	\N
253632	868	1997-06-25	PRIJEM	VKLAD	6500	21007	\N	\N	\N
253633	868	1997-07-25	VYDAJ	VYBER	4300	26263	\N	\N	\N
253634	868	1997-08-24	VYDAJ	VYBER	9200	26693	\N	\N	\N
253635	868	1997-09-23	VYDAJ	VYBER	10400	25941	\N	\N	\N
253636	868	1997-10-23	VYDAJ	VYBER	8400	20831	\N	\N	\N
253637	868	1997-11-22	VYDAJ	VYBER	10300	13808	\N	\N	\N
253638	868	1997-12-22	VYDAJ	VYBER	6500	15330	\N	\N	\N
253639	868	1998-01-21	VYDAJ	VYBER	1900	13310	\N	\N	\N
253640	868	1998-02-20	VYDAJ	VYBER	5300	11243	\N	\N	\N
253641	868	1998-06-20	VYDAJ	VYBER	13700	14644	\N	\N	\N
253642	868	1998-10-18	VYDAJ	VYBER	14700	12967	\N	\N	\N
253662	869	1996-07-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
253733	869	1996-08-14	PRIJEM	VKLAD	10900	12000	\N	\N	\N
253734	869	1996-09-13	PRIJEM	VKLAD	3800	15800	\N	\N	\N
253735	869	1996-10-13	PRIJEM	VKLAD	1300	17100	\N	\N	\N
253736	869	1996-11-12	PRIJEM	VKLAD	500	17600	\N	\N	\N
253737	869	1996-12-12	PRIJEM	VKLAD	4100	21700	\N	\N	\N
253738	869	1997-01-11	PRIJEM	VKLAD	1700	23400	\N	\N	\N
253739	869	1997-02-10	VYDAJ	VYBER	2200	21200	\N	\N	\N
253740	869	1997-03-12	PRIJEM	VKLAD	700	21900	\N	\N	\N
253741	869	1997-04-11	VYDAJ	VYBER	3500	18400	\N	\N	\N
253742	869	1997-05-11	VYDAJ	VYBER	3000	15400	\N	\N	\N
253743	869	1997-06-10	VYDAJ	VYBER	2000	13400	\N	\N	\N
253744	869	1997-07-10	PRIJEM	VKLAD	900	14300	\N	\N	\N
253745	869	1997-08-09	PRIJEM	VKLAD	800	15100	\N	\N	\N
253746	869	1997-09-08	VYDAJ	VYBER	4200	10900	\N	\N	\N
253747	869	1997-10-08	VYDAJ	VYBER	600	10300	\N	\N	\N
253748	870	1995-03-27	PRIJEM	VKLAD	300	300	\N	\N	\N
253752	870	1995-04-05	PRIJEM	VKLAD	6844	7144	\N	\N	\N
253753	870	1995-05-05	PRIJEM	VKLAD	6844	21698	\N	\N	\N
253754	870	1995-06-05	PRIJEM	VKLAD	10266	31431	\N	\N	\N
253755	870	1995-07-05	PRIJEM	VKLAD	6844	33568	\N	\N	\N
253756	870	1995-08-05	PRIJEM	VKLAD	6844	32622	\N	\N	\N
253757	870	1995-09-05	PRIJEM	VKLAD	6844	33303	\N	\N	\N
253758	870	1995-10-05	PRIJEM	VKLAD	6844	33886	\N	\N	\N
253759	870	1995-11-05	PRIJEM	VKLAD	6844	29738	\N	\N	\N
253760	870	1995-12-05	PRIJEM	VKLAD	10266	36132	\N	\N	\N
253761	870	1996-01-05	PRIJEM	VKLAD	6844	34127	\N	\N	\N
253762	870	1996-02-05	PRIJEM	VKLAD	6844	22213	\N	\N	\N
253763	870	1996-03-05	PRIJEM	VKLAD	6844	26455	\N	\N	\N
253764	870	1996-04-05	PRIJEM	VKLAD	6844	31716	\N	\N	\N
253765	870	1996-05-05	PRIJEM	VKLAD	6844	35297	\N	\N	\N
253766	870	1996-06-05	PRIJEM	VKLAD	10266	33063	\N	\N	\N
253767	870	1996-07-05	PRIJEM	VKLAD	6844	31460	\N	\N	\N
253768	870	1996-08-05	PRIJEM	VKLAD	6844	32335	\N	\N	\N
253769	870	1996-09-05	PRIJEM	VKLAD	6844	30609	\N	\N	\N
253770	870	1996-10-05	PRIJEM	VKLAD	6844	30256	\N	\N	\N
253771	870	1996-11-05	PRIJEM	VKLAD	6844	29623	\N	\N	\N
253772	870	1996-12-05	PRIJEM	VKLAD	10266	31406	\N	\N	\N
253773	870	1997-01-05	PRIJEM	VKLAD	6844	23005	\N	\N	\N
253774	870	1997-02-05	PRIJEM	VKLAD	6844	21161	\N	\N	\N
253775	870	1997-03-05	PRIJEM	VKLAD	6844	25600	\N	\N	\N
253776	870	1997-04-05	PRIJEM	VKLAD	6844	23544	\N	\N	\N
253777	870	1997-05-05	PRIJEM	VKLAD	6844	20075	\N	\N	\N
253778	870	1997-06-05	PRIJEM	VKLAD	10266	24488	\N	\N	\N
253779	870	1997-07-05	PRIJEM	VKLAD	6844	27120	\N	\N	\N
253780	870	1997-08-05	PRIJEM	VKLAD	6844	27375	\N	\N	\N
253781	870	1997-09-05	PRIJEM	VKLAD	6844	29635	\N	\N	\N
253782	870	1997-10-05	PRIJEM	VKLAD	6844	30401	\N	\N	\N
253783	870	1997-11-05	PRIJEM	VKLAD	6844	31570	\N	\N	\N
253784	870	1997-12-05	PRIJEM	VKLAD	10266	33660	\N	\N	\N
253785	870	1998-01-05	PRIJEM	VKLAD	6844	27010	\N	\N	\N
253786	870	1998-02-05	PRIJEM	VKLAD	6844	20717	\N	\N	\N
253787	870	1998-03-05	PRIJEM	VKLAD	6844	26760	\N	\N	\N
253788	870	1998-04-05	PRIJEM	VKLAD	6844	26109	\N	\N	\N
253789	870	1998-05-05	PRIJEM	VKLAD	6844	25856	\N	\N	\N
253790	870	1998-06-05	PRIJEM	VKLAD	10266	25614	\N	\N	\N
253791	870	1998-07-05	PRIJEM	VKLAD	6844	25155	\N	\N	\N
253792	870	1998-08-05	PRIJEM	VKLAD	6844	20283	\N	\N	\N
253793	870	1998-09-05	PRIJEM	VKLAD	6844	22613	\N	\N	\N
253794	870	1998-10-05	PRIJEM	VKLAD	6844	24953	\N	\N	\N
253795	870	1998-11-05	PRIJEM	VKLAD	6844	27303	\N	\N	\N
253796	870	1998-12-05	PRIJEM	VKLAD	10266	30074	\N	\N	\N
253804	870	1995-08-06	VYDAJ	PREVOD NA UCET	4562	28060	SIPO	EF	43178206
253805	870	1995-09-06	VYDAJ	PREVOD NA UCET	4562	28741	SIPO	EF	43178206
253806	870	1995-10-06	VYDAJ	PREVOD NA UCET	4562	29324	SIPO	EF	43178206
253807	870	1995-11-06	VYDAJ	PREVOD NA UCET	4562	25176	SIPO	EF	43178206
253808	870	1995-12-06	VYDAJ	PREVOD NA UCET	4562	30770	SIPO	EF	43178206
253809	870	1996-01-06	VYDAJ	PREVOD NA UCET	4562	29565	SIPO	EF	43178206
253810	870	1996-02-06	VYDAJ	PREVOD NA UCET	4562	17651	SIPO	EF	43178206
253811	870	1996-03-06	VYDAJ	PREVOD NA UCET	4562	21893	SIPO	EF	43178206
253812	870	1996-04-06	VYDAJ	PREVOD NA UCET	4562	27154	SIPO	EF	43178206
253813	870	1996-05-06	VYDAJ	PREVOD NA UCET	4562	30735	SIPO	EF	43178206
253814	870	1996-06-06	VYDAJ	PREVOD NA UCET	4562	28501	SIPO	EF	43178206
253815	870	1996-07-06	VYDAJ	PREVOD NA UCET	4562	26898	SIPO	EF	43178206
253816	870	1996-08-06	VYDAJ	PREVOD NA UCET	4562	27773	SIPO	EF	43178206
253817	870	1996-09-06	VYDAJ	PREVOD NA UCET	4562	26047	SIPO	EF	43178206
253818	870	1996-10-06	VYDAJ	PREVOD NA UCET	4562	25694	SIPO	EF	43178206
253819	870	1996-11-06	VYDAJ	PREVOD NA UCET	4562	25061	SIPO	EF	43178206
253820	870	1996-12-06	VYDAJ	PREVOD NA UCET	4562	26844	SIPO	EF	43178206
253821	870	1997-01-06	VYDAJ	PREVOD NA UCET	4562	18443	SIPO	EF	43178206
253822	870	1997-02-06	VYDAJ	PREVOD NA UCET	4562	16599	SIPO	EF	43178206
253823	870	1997-03-06	VYDAJ	PREVOD NA UCET	4562	21038	SIPO	EF	43178206
253824	870	1997-04-06	VYDAJ	PREVOD NA UCET	4562	18982	SIPO	EF	43178206
253825	870	1997-05-06	VYDAJ	PREVOD NA UCET	4562	15513	SIPO	EF	43178206
253826	870	1997-06-06	VYDAJ	PREVOD NA UCET	4562	19926	SIPO	EF	43178206
253827	870	1997-07-06	VYDAJ	PREVOD NA UCET	4562	22558	SIPO	EF	43178206
253828	870	1997-08-06	VYDAJ	PREVOD NA UCET	4562	22813	SIPO	EF	43178206
253829	870	1997-09-06	VYDAJ	PREVOD NA UCET	4562	25073	SIPO	EF	43178206
253830	870	1997-10-06	VYDAJ	PREVOD NA UCET	4562	25839	SIPO	EF	43178206
253831	870	1997-11-06	VYDAJ	PREVOD NA UCET	4562	27008	SIPO	EF	43178206
253832	870	1997-12-06	VYDAJ	PREVOD NA UCET	4562	29098	SIPO	EF	43178206
253833	870	1998-01-06	VYDAJ	PREVOD NA UCET	4562	21008	SIPO	EF	43178206
253834	870	1998-02-06	VYDAJ	PREVOD NA UCET	4562	16155	SIPO	EF	43178206
253835	870	1998-03-06	VYDAJ	PREVOD NA UCET	4562	22198	SIPO	EF	43178206
253836	870	1998-04-06	VYDAJ	PREVOD NA UCET	4562	21547	SIPO	EF	43178206
253837	870	1998-05-06	VYDAJ	PREVOD NA UCET	4562	21294	SIPO	EF	43178206
253838	870	1998-06-06	VYDAJ	PREVOD NA UCET	4562	21052	SIPO	EF	43178206
253839	870	1998-07-06	VYDAJ	PREVOD NA UCET	4562	20593	SIPO	EF	43178206
253840	870	1998-08-06	VYDAJ	PREVOD NA UCET	4562	15721	SIPO	EF	43178206
253841	870	1998-09-06	VYDAJ	PREVOD NA UCET	4562	18051	SIPO	EF	43178206
253842	870	1998-10-06	VYDAJ	PREVOD NA UCET	4562	20391	SIPO	EF	43178206
253843	870	1998-11-06	VYDAJ	PREVOD NA UCET	4562	22741	SIPO	EF	43178206
253844	870	1998-12-06	VYDAJ	PREVOD NA UCET	4562	25512	SIPO	EF	43178206
253845	870	1995-12-06	VYDAJ	VYBER	800	35332	\N	\N	\N
253846	870	1996-12-20	VYDAJ	VYBER	2560	18964	\N	\N	\N
253847	870	1997-12-23	VYDAJ	VYBER	3360	22238	\N	\N	\N
253848	870	1998-12-23	VYDAJ	VYBER	2720	21232	\N	\N	\N
253855	870	1996-01-25	VYDAJ	VYBER	2280	18525	\N	\N	\N
253856	870	1996-01-10	VYDAJ	VYBER	1200	28365	\N	\N	\N
253857	870	1996-01-29	VYDAJ	VYBER	3240	15285	\N	\N	\N
253858	870	1996-01-13	VYDAJ	VYBER	3240	25125	\N	\N	\N
253859	870	1996-01-18	VYDAJ	VYBER	2520	22605	\N	\N	\N
253860	870	1996-01-20	VYDAJ	VYBER	1800	20805	\N	\N	\N
253861	870	1997-01-02	VYDAJ	VYBER	2880	16161	\N	\N	\N
253863	870	1997-01-18	VYDAJ	VYBER	1200	15703	\N	\N	\N
253864	870	1997-01-15	VYDAJ	VYBER	3120	16903	\N	\N	\N
253865	870	1997-01-10	VYDAJ	VYBER	1320	17123	\N	\N	\N
253866	870	1997-01-22	VYDAJ	VYBER	1440	14263	\N	\N	\N
253867	870	1998-01-06	VYDAJ	VYBER	1440	25570	\N	\N	\N
253868	870	1998-01-16	VYDAJ	VYBER	3120	16688	\N	\N	\N
253869	870	1998-01-14	VYDAJ	VYBER	2400	19808	\N	\N	\N
253870	870	1998-01-26	VYDAJ	VYBER	2880	13808	\N	\N	\N
253871	870	1998-01-04	VYDAJ	VYBER	2160	20166	\N	\N	\N
253873	870	1995-10-07	VYDAJ	VYBER	3720	25604	\N	\N	\N
253874	870	1995-12-20	VYDAJ	VYBER	3600	27170	\N	\N	\N
253875	870	1996-05-25	VYDAJ	VYBER	4440	22695	\N	\N	\N
253876	870	1996-12-12	VYDAJ	VYBER	1920	24924	\N	\N	\N
253877	870	1996-06-24	VYDAJ	VYBER	2280	24521	\N	\N	\N
253878	870	1996-09-10	VYDAJ	VYBER	1320	24727	\N	\N	\N
253880	870	1997-06-01	VYDAJ	VYBER	1440	14222	\N	\N	\N
253881	870	1997-07-01	VYDAJ	VYBER	1320	20276	\N	\N	\N
253883	870	1998-12-22	VYDAJ	VYBER	1560	23952	\N	\N	\N
253884	870	1998-11-07	VYDAJ	VYBER	3000	19741	\N	\N	\N
253894	870	1995-08-31	VYDAJ	VYBER	15	26459	SLUZBY	\N	\N
253895	870	1995-09-30	VYDAJ	VYBER	15	27042	SLUZBY	\N	\N
253896	870	1995-10-31	VYDAJ	VYBER	15	22894	SLUZBY	\N	\N
253897	870	1995-11-30	VYDAJ	VYBER	15	25866	SLUZBY	\N	\N
253898	870	1995-12-31	VYDAJ	VYBER	15	27283	SLUZBY	\N	\N
253899	870	1996-01-31	VYDAJ	VYBER	15	15369	SLUZBY	\N	\N
253900	870	1996-02-29	VYDAJ	VYBER	15	19611	SLUZBY	\N	\N
253901	870	1996-03-31	VYDAJ	VYBER	15	24872	SLUZBY	\N	\N
253902	870	1996-04-30	VYDAJ	VYBER	15	28453	SLUZBY	\N	\N
253903	870	1996-05-31	VYDAJ	VYBER	15	22797	SLUZBY	\N	\N
253904	870	1996-06-30	VYDAJ	VYBER	15	24616	SLUZBY	\N	\N
253905	870	1996-07-31	VYDAJ	VYBER	15	25491	SLUZBY	\N	\N
253906	870	1996-08-31	VYDAJ	VYBER	15	23765	SLUZBY	\N	\N
253907	870	1996-09-30	VYDAJ	VYBER	15	23412	SLUZBY	\N	\N
253908	870	1996-10-31	VYDAJ	VYBER	15	22779	SLUZBY	\N	\N
253909	870	1996-11-30	VYDAJ	VYBER	15	21140	SLUZBY	\N	\N
253910	870	1996-12-31	VYDAJ	VYBER	15	19041	SLUZBY	\N	\N
253911	870	1997-01-31	VYDAJ	VYBER	15	14317	SLUZBY	\N	\N
253912	870	1997-02-28	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
253913	870	1997-03-31	VYDAJ	VYBER	15	16700	SLUZBY	\N	\N
253914	870	1997-04-30	VYDAJ	VYBER	15	13231	SLUZBY	\N	\N
253915	870	1997-05-31	VYDAJ	VYBER	15	15662	SLUZBY	\N	\N
253916	870	1997-06-30	VYDAJ	VYBER	15	21596	SLUZBY	\N	\N
253917	870	1997-07-31	VYDAJ	VYBER	15	20531	SLUZBY	\N	\N
253918	870	1997-08-31	VYDAJ	VYBER	15	22791	SLUZBY	\N	\N
253919	870	1997-09-30	VYDAJ	VYBER	15	23557	SLUZBY	\N	\N
253920	870	1997-10-31	VYDAJ	VYBER	15	24726	SLUZBY	\N	\N
253921	870	1997-11-30	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
253922	870	1997-12-31	VYDAJ	VYBER	15	22326	SLUZBY	\N	\N
253923	870	1998-01-31	VYDAJ	VYBER	15	13873	SLUZBY	\N	\N
253924	870	1998-02-28	VYDAJ	VYBER	15	19916	SLUZBY	\N	\N
253925	870	1998-03-31	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
253926	870	1998-04-30	VYDAJ	VYBER	15	19012	SLUZBY	\N	\N
253927	870	1998-05-31	VYDAJ	VYBER	15	15348	SLUZBY	\N	\N
253928	870	1998-06-30	VYDAJ	VYBER	15	18311	SLUZBY	\N	\N
253929	870	1998-07-31	VYDAJ	VYBER	15	13439	SLUZBY	\N	\N
253930	870	1998-08-31	VYDAJ	VYBER	15	15769	SLUZBY	\N	\N
253931	870	1998-09-30	VYDAJ	VYBER	15	18109	SLUZBY	\N	\N
253932	870	1998-10-31	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
253933	870	1998-11-30	VYDAJ	VYBER	15	19808	SLUZBY	\N	\N
253934	870	1995-04-26	PRIJEM	VKLAD	7700	14844	\N	\N	\N
253935	870	1995-05-26	VYDAJ	VYBER	600	21098	\N	\N	\N
253936	870	1995-06-25	VYDAJ	VYBER	4800	26631	\N	\N	\N
253937	870	1995-07-25	VYDAJ	VYBER	7900	25668	\N	\N	\N
253938	870	1995-08-24	VYDAJ	VYBER	1700	26360	\N	\N	\N
253939	870	1995-09-23	VYDAJ	VYBER	1800	26941	\N	\N	\N
253940	870	1995-10-23	VYDAJ	VYBER	2800	22804	\N	\N	\N
253941	870	1995-11-22	PRIJEM	VKLAD	600	25776	\N	\N	\N
253942	870	1996-02-20	PRIJEM	VKLAD	1900	19551	\N	\N	\N
253943	870	1996-03-21	PRIJEM	VKLAD	2900	24793	\N	\N	\N
253944	870	1996-04-20	PRIJEM	VKLAD	1200	28354	\N	\N	\N
253945	870	1996-05-20	VYDAJ	VYBER	3600	27135	\N	\N	\N
253946	870	1996-06-19	VYDAJ	VYBER	1700	26801	\N	\N	\N
253947	870	1996-07-19	VYDAJ	VYBER	1500	25398	\N	\N	\N
253948	870	1996-08-18	VYDAJ	VYBER	4100	23673	\N	\N	\N
253949	870	1996-09-17	VYDAJ	VYBER	1400	23327	\N	\N	\N
253950	870	1996-10-17	VYDAJ	VYBER	3000	22694	\N	\N	\N
253951	870	1996-11-16	VYDAJ	VYBER	4000	21061	\N	\N	\N
253952	870	1996-12-16	VYDAJ	VYBER	3400	21524	\N	\N	\N
253953	870	1997-01-15	PRIJEM	VKLAD	2900	20023	\N	\N	\N
253954	870	1997-02-14	PRIJEM	VKLAD	2100	18699	\N	\N	\N
253955	870	1997-03-16	VYDAJ	VYBER	4400	16638	\N	\N	\N
253956	870	1997-04-15	VYDAJ	VYBER	5800	13182	\N	\N	\N
253957	870	1997-05-15	PRIJEM	VKLAD	100	15613	\N	\N	\N
253958	870	1997-06-14	PRIJEM	VKLAD	1600	21526	\N	\N	\N
253959	870	1997-07-14	VYDAJ	VYBER	2100	20458	\N	\N	\N
253960	870	1997-08-13	VYDAJ	VYBER	100	22713	\N	\N	\N
253961	870	1997-09-12	VYDAJ	VYBER	1600	23473	\N	\N	\N
253962	870	1997-10-12	VYDAJ	VYBER	1200	24639	\N	\N	\N
253963	870	1997-11-11	VYDAJ	VYBER	3700	23308	\N	\N	\N
253964	870	1997-12-11	VYDAJ	VYBER	3500	25598	\N	\N	\N
253965	870	1998-01-10	PRIJEM	VKLAD	1200	22208	\N	\N	\N
253966	870	1998-02-09	PRIJEM	VKLAD	3700	19855	\N	\N	\N
253967	870	1998-03-11	VYDAJ	VYBER	3000	19198	\N	\N	\N
253968	870	1998-04-10	VYDAJ	VYBER	2600	18947	\N	\N	\N
253969	870	1998-05-10	VYDAJ	VYBER	6000	15294	\N	\N	\N
253970	870	1998-06-09	VYDAJ	VYBER	2800	18252	\N	\N	\N
253971	870	1998-07-09	VYDAJ	VYBER	7200	13393	\N	\N	\N
254017	871	1996-09-02	PRIJEM	VKLAD	300	300	\N	\N	\N
254026	871	1996-09-11	PRIJEM	VKLAD	24977	25277	\N	\N	\N
254027	871	1996-10-11	PRIJEM	VKLAD	24977	48724	\N	\N	\N
254028	871	1996-11-11	PRIJEM	VKLAD	24977	58373	\N	\N	\N
254029	871	1996-12-11	PRIJEM	VKLAD	37466	75068	\N	\N	\N
254030	871	1997-01-11	PRIJEM	VKLAD	24977	74232	\N	\N	\N
254031	871	1997-02-11	PRIJEM	VKLAD	24977	69357	\N	\N	\N
254032	871	1997-03-11	PRIJEM	VKLAD	24977	62963	\N	\N	\N
254033	871	1997-04-11	PRIJEM	VKLAD	24977	61603	\N	\N	\N
254034	871	1997-05-11	PRIJEM	VKLAD	24977	63300	\N	\N	\N
254035	871	1997-06-11	PRIJEM	VKLAD	37466	80792	\N	\N	\N
254036	871	1997-07-11	PRIJEM	VKLAD	24977	71036	\N	\N	\N
254037	871	1997-08-11	PRIJEM	VKLAD	24977	64767	\N	\N	\N
254038	871	1997-09-11	PRIJEM	VKLAD	24977	66577	\N	\N	\N
254039	871	1997-10-11	PRIJEM	VKLAD	24977	71389	\N	\N	\N
254040	871	1997-11-11	PRIJEM	VKLAD	24977	74018	\N	\N	\N
254041	871	1997-12-11	PRIJEM	VKLAD	37466	82101	\N	\N	\N
254042	871	1998-01-11	PRIJEM	VKLAD	24977	68993	\N	\N	\N
254043	871	1998-02-11	PRIJEM	VKLAD	24977	66413	\N	\N	\N
254044	871	1998-03-11	PRIJEM	VKLAD	24977	55171	\N	\N	\N
254045	871	1998-04-11	PRIJEM	VKLAD	24977	53437	\N	\N	\N
254046	871	1998-05-11	PRIJEM	VKLAD	24977	48079	\N	\N	\N
254047	871	1998-06-11	PRIJEM	VKLAD	37466	64595	\N	\N	\N
254048	871	1998-07-11	PRIJEM	VKLAD	24977	59863	\N	\N	\N
254049	871	1998-08-11	PRIJEM	VKLAD	24977	49548	\N	\N	\N
254050	871	1998-09-11	PRIJEM	VKLAD	24977	51585	\N	\N	\N
254051	871	1998-10-11	PRIJEM	VKLAD	24977	53319	\N	\N	\N
254052	871	1998-11-11	PRIJEM	VKLAD	24977	48550	\N	\N	\N
254053	871	1998-12-11	PRIJEM	VKLAD	37466	55851	\N	\N	\N
254066	871	1997-01-12	VYDAJ	PREVOD NA UCET	5168	69064	SIPO	OP	96428060
254067	871	1997-02-12	VYDAJ	PREVOD NA UCET	5168	64189	SIPO	OP	96428060
254068	871	1997-03-12	VYDAJ	PREVOD NA UCET	5168	57795	SIPO	OP	96428060
254069	871	1997-04-12	VYDAJ	PREVOD NA UCET	5168	56435	SIPO	OP	96428060
254070	871	1997-05-12	VYDAJ	PREVOD NA UCET	5168	58132	SIPO	OP	96428060
254071	871	1997-06-12	VYDAJ	PREVOD NA UCET	5168	75624	SIPO	OP	96428060
254072	871	1997-07-12	VYDAJ	PREVOD NA UCET	5168	65868	SIPO	OP	96428060
254073	871	1997-08-12	VYDAJ	PREVOD NA UCET	5168	59599	SIPO	OP	96428060
254074	871	1997-09-12	VYDAJ	PREVOD NA UCET	5168	61409	SIPO	OP	96428060
254075	871	1997-10-12	VYDAJ	PREVOD NA UCET	5168	66221	SIPO	OP	96428060
254076	871	1997-11-12	VYDAJ	PREVOD NA UCET	5168	68850	SIPO	OP	96428060
254077	871	1997-12-12	VYDAJ	PREVOD NA UCET	5168	76933	SIPO	OP	96428060
254078	871	1998-01-12	VYDAJ	PREVOD NA UCET	5168	63825	SIPO	OP	96428060
254079	871	1998-02-12	VYDAJ	PREVOD NA UCET	5168	61245	SIPO	OP	96428060
254080	871	1998-03-12	VYDAJ	PREVOD NA UCET	5168	50003	SIPO	OP	96428060
254081	871	1998-04-12	VYDAJ	PREVOD NA UCET	5168	48269	SIPO	OP	96428060
254082	871	1998-05-12	VYDAJ	PREVOD NA UCET	5168	42911	SIPO	OP	96428060
254083	871	1998-06-12	VYDAJ	PREVOD NA UCET	5168	59427	SIPO	OP	96428060
254084	871	1998-07-12	VYDAJ	PREVOD NA UCET	5168	54695	SIPO	OP	96428060
254085	871	1998-08-12	VYDAJ	PREVOD NA UCET	5168	44380	SIPO	OP	96428060
254086	871	1998-09-12	VYDAJ	PREVOD NA UCET	5168	46417	SIPO	OP	96428060
254087	871	1998-10-12	VYDAJ	PREVOD NA UCET	5168	48151	SIPO	OP	96428060
254088	871	1998-11-12	VYDAJ	PREVOD NA UCET	5168	43382	SIPO	OP	96428060
254089	871	1998-12-12	VYDAJ	PREVOD NA UCET	5168	50683	SIPO	OP	96428060
254091	871	1997-12-09	VYDAJ	VYBER	1440	44636	\N	\N	\N
254092	871	1998-12-23	VYDAJ	VYBER KARTOU	2600	18503	\N	\N	0
254098	871	1997-08-02	VYDAJ	VYBER	3000	39790	\N	\N	\N
254099	871	1997-02-13	VYDAJ	VYBER	1320	62869	\N	\N	\N
254100	871	1997-06-19	VYDAJ	VYBER	5400	70224	\N	\N	\N
254101	871	1997-01-25	VYDAJ	VYBER	1920	67144	\N	\N	\N
254102	871	1997-07-30	VYDAJ	VYBER	4200	42568	\N	\N	\N
254103	871	1998-01-01	VYDAJ	VYBER	5760	44016	\N	\N	\N
254104	871	1998-03-05	VYDAJ	VYBER	5640	30194	\N	\N	\N
254105	871	1998-04-22	VYDAJ	VYBER	5400	42869	\N	\N	\N
254106	871	1998-08-08	VYDAJ	VYBER	4680	24571	\N	\N	\N
254107	871	1998-12-01	VYDAJ	VYBER KARTOU	2600	18386	\N	\N	0
254108	871	1998-12-14	VYDAJ	VYBER	4680	46003	\N	\N	\N
254122	871	1997-01-31	VYDAJ	VYBER	15	44380	SLUZBY	\N	\N
254123	871	1997-02-28	VYDAJ	VYBER	15	63086	SLUZBY	\N	\N
254124	871	1997-03-31	VYDAJ	VYBER	15	36626	SLUZBY	\N	\N
254125	871	1997-04-30	VYDAJ	VYBER	15	56623	SLUZBY	\N	\N
254126	871	1997-05-31	VYDAJ	VYBER	15	43326	SLUZBY	\N	\N
254127	871	1997-06-30	VYDAJ	VYBER	15	46059	SLUZBY	\N	\N
254128	871	1997-07-31	VYDAJ	VYBER	15	42790	SLUZBY	\N	\N
254129	871	1997-08-31	VYDAJ	VYBER	15	41600	SLUZBY	\N	\N
254130	871	1997-09-30	VYDAJ	VYBER	15	46412	SLUZBY	\N	\N
254131	871	1997-10-31	VYDAJ	VYBER	15	49041	SLUZBY	\N	\N
254132	871	1997-11-30	VYDAJ	VYBER	15	46076	SLUZBY	\N	\N
254133	871	1997-12-31	VYDAJ	VYBER	15	49776	SLUZBY	\N	\N
254134	871	1998-01-31	VYDAJ	VYBER	15	41436	SLUZBY	\N	\N
254135	871	1998-02-28	VYDAJ	VYBER	15	35834	SLUZBY	\N	\N
254136	871	1998-03-31	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
254137	871	1998-04-30	VYDAJ	VYBER	15	23102	SLUZBY	\N	\N
254138	871	1998-05-31	VYDAJ	VYBER	15	27130	SLUZBY	\N	\N
254139	871	1998-06-30	VYDAJ	VYBER	15	34886	SLUZBY	\N	\N
254140	871	1998-07-31	VYDAJ	VYBER	15	29251	SLUZBY	\N	\N
254141	871	1998-08-31	VYDAJ	VYBER	15	26608	SLUZBY	\N	\N
254142	871	1998-09-30	VYDAJ	VYBER	15	28342	SLUZBY	\N	\N
254143	871	1998-10-31	VYDAJ	VYBER	15	23573	SLUZBY	\N	\N
254144	871	1998-11-30	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
254145	871	1996-10-02	VYDAJ	VYBER	1600	23747	\N	\N	\N
254146	871	1996-11-01	VYDAJ	VYBER	15500	33396	\N	\N	\N
254147	871	1996-12-01	VYDAJ	VYBER	21000	37603	\N	\N	\N
254148	871	1996-12-31	VYDAJ	VYBER	26100	49255	\N	\N	\N
254149	871	1997-01-30	VYDAJ	VYBER	23000	44144	\N	\N	\N
254150	871	1997-03-01	VYDAJ	VYBER	25100	37986	\N	\N	\N
254151	871	1997-03-31	VYDAJ	VYBER	21400	36641	\N	\N	\N
254152	871	1997-04-30	VYDAJ	VYBER	18300	38323	\N	\N	\N
254153	871	1997-05-30	VYDAJ	VYBER	15000	43132	\N	\N	\N
254154	871	1997-06-29	VYDAJ	VYBER	24400	45824	\N	\N	\N
254155	871	1997-07-29	VYDAJ	VYBER	19100	46768	\N	\N	\N
254156	871	1997-08-28	VYDAJ	VYBER	18200	41399	\N	\N	\N
254157	871	1997-09-27	VYDAJ	VYBER	15200	46209	\N	\N	\N
254158	871	1997-10-27	VYDAJ	VYBER	17400	48821	\N	\N	\N
254159	871	1997-11-26	VYDAJ	VYBER	23000	45850	\N	\N	\N
254160	871	1997-12-26	VYDAJ	VYBER	27400	49533	\N	\N	\N
254161	871	1998-01-25	VYDAJ	VYBER	22600	41225	\N	\N	\N
254162	871	1998-02-24	VYDAJ	VYBER	25600	35645	\N	\N	\N
254163	871	1998-03-26	VYDAJ	VYBER	21700	28303	\N	\N	\N
254164	871	1998-04-25	VYDAJ	VYBER	19900	22969	\N	\N	\N
254165	871	1998-05-25	VYDAJ	VYBER	15900	27011	\N	\N	\N
254166	871	1998-06-24	VYDAJ	VYBER	24700	34727	\N	\N	\N
254167	871	1998-07-24	VYDAJ	VYBER	25600	29095	\N	\N	\N
254168	871	1998-08-23	VYDAJ	VYBER	17900	26480	\N	\N	\N
254169	871	1998-09-22	VYDAJ	VYBER	18200	28217	\N	\N	\N
254170	871	1998-10-22	VYDAJ	VYBER	24700	23451	\N	\N	\N
254171	871	1998-11-21	VYDAJ	VYBER	22500	20882	\N	\N	\N
254172	871	1998-12-21	VYDAJ	VYBER	24900	21103	\N	\N	\N
254201	872	1997-01-18	PRIJEM	VKLAD	800	800	\N	\N	\N
254203	872	1997-02-12	PRIJEM	VKLAD	4144	4944	\N	\N	\N
254204	872	1997-03-12	PRIJEM	VKLAD	4144	18413	\N	\N	\N
254205	872	1997-04-12	PRIJEM	VKLAD	4144	30237	\N	\N	\N
254206	872	1997-05-12	PRIJEM	VKLAD	4144	34698	\N	\N	\N
254207	872	1997-06-12	PRIJEM	VKLAD	6216	34937	\N	\N	\N
254208	872	1997-07-12	PRIJEM	VKLAD	4144	34933	\N	\N	\N
254209	872	1997-08-12	PRIJEM	VKLAD	4144	37246	\N	\N	\N
254210	872	1997-09-12	PRIJEM	VKLAD	4144	38165	\N	\N	\N
254211	872	1997-10-12	PRIJEM	VKLAD	4144	39789	\N	\N	\N
254212	872	1997-11-12	PRIJEM	VKLAD	4144	40218	\N	\N	\N
254213	872	1997-12-12	PRIJEM	VKLAD	6216	39438	\N	\N	\N
254214	872	1998-01-12	PRIJEM	VKLAD	4144	22147	\N	\N	\N
254215	872	1998-02-12	PRIJEM	VKLAD	4144	30049	\N	\N	\N
254216	872	1998-03-12	PRIJEM	VKLAD	4144	37140	\N	\N	\N
254217	872	1998-04-12	PRIJEM	VKLAD	4144	43196	\N	\N	\N
254218	872	1998-05-12	PRIJEM	VKLAD	4144	47349	\N	\N	\N
254219	872	1998-06-12	PRIJEM	VKLAD	6216	57695	\N	\N	\N
254220	872	1998-07-12	PRIJEM	VKLAD	4144	48506	\N	\N	\N
254221	872	1998-08-12	PRIJEM	VKLAD	4144	49582	\N	\N	\N
254222	872	1998-09-12	PRIJEM	VKLAD	4144	50647	\N	\N	\N
254223	872	1998-10-12	PRIJEM	VKLAD	4144	45735	\N	\N	\N
254224	872	1998-11-12	PRIJEM	VKLAD	4144	42293	\N	\N	\N
254225	872	1998-12-12	PRIJEM	VKLAD	6216	46151	\N	\N	\N
254232	872	1997-07-10	VYDAJ	PREVOD NA UCET	2762	30789	SIPO	QR	4002279
254233	872	1997-08-10	VYDAJ	PREVOD NA UCET	2762	33102	SIPO	QR	4002279
254234	872	1997-09-10	VYDAJ	PREVOD NA UCET	2762	34021	SIPO	QR	4002279
254235	872	1997-10-10	VYDAJ	PREVOD NA UCET	2762	35645	SIPO	QR	4002279
254236	872	1997-11-10	VYDAJ	PREVOD NA UCET	2762	36074	SIPO	QR	4002279
254237	872	1997-12-10	VYDAJ	PREVOD NA UCET	2762	33222	SIPO	QR	4002279
254238	872	1998-01-10	VYDAJ	PREVOD NA UCET	2762	19323	SIPO	QR	4002279
254239	872	1998-02-10	VYDAJ	PREVOD NA UCET	2762	25905	SIPO	QR	4002279
254240	872	1998-03-10	VYDAJ	PREVOD NA UCET	2762	32996	SIPO	QR	4002279
254241	872	1998-04-10	VYDAJ	PREVOD NA UCET	2762	39052	SIPO	QR	4002279
254242	872	1998-05-10	VYDAJ	PREVOD NA UCET	2762	43205	SIPO	QR	4002279
254243	872	1998-06-10	VYDAJ	PREVOD NA UCET	2762	49379	SIPO	QR	4002279
254244	872	1998-07-10	VYDAJ	PREVOD NA UCET	2762	39462	SIPO	QR	4002279
254245	872	1998-08-10	VYDAJ	PREVOD NA UCET	2762	41238	SIPO	QR	4002279
254246	872	1998-09-10	VYDAJ	PREVOD NA UCET	2762	47003	SIPO	QR	4002279
254247	872	1998-10-10	VYDAJ	PREVOD NA UCET	2762	41591	SIPO	QR	4002279
254248	872	1998-11-10	VYDAJ	PREVOD NA UCET	2762	38149	SIPO	QR	4002279
254249	872	1998-12-10	VYDAJ	PREVOD NA UCET	2762	39935	SIPO	QR	4002279
254251	872	1998-06-27	VYDAJ	VYBER	15680	42015	\N	\N	\N
254253	872	1998-01-02	VYDAJ	VYBER	9760	26045	\N	\N	\N
254254	872	1997-12-30	VYDAJ	VYBER	4480	35658	\N	\N	\N
254255	872	1998-12-01	VYDAJ	VYBER	2560	39897	\N	\N	\N
254262	872	1998-01-11	VYDAJ	VYBER	1320	18003	\N	\N	\N
254263	872	1998-01-20	VYDAJ	VYBER	1080	28567	\N	\N	\N
254264	872	1998-01-03	VYDAJ	VYBER	600	25445	\N	\N	\N
254265	872	1998-01-05	VYDAJ	VYBER	1080	24365	\N	\N	\N
254266	872	1998-01-13	VYDAJ	VYBER	3240	31807	\N	\N	\N
254267	872	1998-01-08	VYDAJ	VYBER	2280	22085	\N	\N	\N
254269	872	1997-12-04	VYDAJ	VYBER	2280	35984	\N	\N	\N
254271	872	1998-05-03	VYDAJ	VYBER	600	45967	\N	\N	\N
254272	872	1998-03-27	VYDAJ	VYBER	2880	41660	\N	\N	\N
254273	872	1998-09-13	VYDAJ	VYBER	3480	47167	\N	\N	\N
254274	872	1998-07-25	VYDAJ	VYBER	4680	43826	\N	\N	\N
254275	872	1998-01-15	VYDAJ	VYBER	2160	29647	\N	\N	\N
254276	872	1998-11-02	VYDAJ	VYBER	3600	42311	\N	\N	\N
254283	872	1997-06-30	VYDAJ	VYBER	15	33551	SLUZBY	\N	\N
254284	872	1997-07-31	VYDAJ	VYBER	15	35864	SLUZBY	\N	\N
254285	872	1997-08-31	VYDAJ	VYBER	15	36783	SLUZBY	\N	\N
254286	872	1997-09-30	VYDAJ	VYBER	15	38407	SLUZBY	\N	\N
254287	872	1997-10-31	VYDAJ	VYBER	15	38836	SLUZBY	\N	\N
254288	872	1997-11-30	VYDAJ	VYBER	15	38264	SLUZBY	\N	\N
254289	872	1997-12-31	VYDAJ	VYBER	15	35805	SLUZBY	\N	\N
254290	872	1998-01-31	VYDAJ	VYBER	15	28667	SLUZBY	\N	\N
254291	872	1998-02-28	VYDAJ	VYBER	15	35758	SLUZBY	\N	\N
254292	872	1998-03-31	VYDAJ	VYBER	15	41814	SLUZBY	\N	\N
254293	872	1998-04-30	VYDAJ	VYBER	15	46567	SLUZBY	\N	\N
254294	872	1998-05-31	VYDAJ	VYBER	15	52141	SLUZBY	\N	\N
254295	872	1998-06-30	VYDAJ	VYBER	15	42224	SLUZBY	\N	\N
254296	872	1998-07-31	VYDAJ	VYBER	15	44000	SLUZBY	\N	\N
254297	872	1998-08-31	VYDAJ	VYBER	15	49765	SLUZBY	\N	\N
254298	872	1998-09-30	VYDAJ	VYBER	15	47353	SLUZBY	\N	\N
254299	872	1998-10-31	VYDAJ	VYBER	15	45911	SLUZBY	\N	\N
254300	872	1998-11-30	VYDAJ	VYBER	15	42457	SLUZBY	\N	\N
254301	872	1997-02-17	PRIJEM	VKLAD	9300	14244	\N	\N	\N
254302	872	1997-03-19	PRIJEM	VKLAD	7600	26013	\N	\N	\N
254303	872	1997-04-18	PRIJEM	VKLAD	200	30437	\N	\N	\N
254304	872	1997-05-18	VYDAJ	VYBER	6100	28598	\N	\N	\N
254305	872	1997-06-17	VYDAJ	VYBER	1500	33437	\N	\N	\N
254306	872	1997-07-17	PRIJEM	VKLAD	800	35733	\N	\N	\N
254307	872	1997-08-16	VYDAJ	VYBER	600	36646	\N	\N	\N
254308	872	1997-09-15	PRIJEM	VKLAD	100	38265	\N	\N	\N
254309	872	1997-10-15	VYDAJ	VYBER	1100	38689	\N	\N	\N
254310	872	1997-11-14	VYDAJ	VYBER	2100	38118	\N	\N	\N
254311	872	1997-12-14	PRIJEM	VKLAD	700	40138	\N	\N	\N
254312	872	1998-01-13	PRIJEM	VKLAD	12900	35047	\N	\N	\N
254313	872	1998-02-12	PRIJEM	VKLAD	5600	35649	\N	\N	\N
254314	872	1998-03-14	PRIJEM	VKLAD	7400	44540	\N	\N	\N
254315	872	1998-04-13	PRIJEM	VKLAD	3200	46396	\N	\N	\N
254316	872	1998-05-13	PRIJEM	VKLAD	4600	51949	\N	\N	\N
254317	872	1998-06-12	PRIJEM	VKLAD	2100	51479	\N	\N	\N
254318	872	1998-07-12	PRIJEM	VKLAD	4900	44362	\N	\N	\N
254319	872	1998-08-11	PRIJEM	VKLAD	4200	45438	\N	\N	\N
254320	872	1998-09-10	VYDAJ	VYBER	500	46503	\N	\N	\N
254321	872	1998-10-10	VYDAJ	VYBER	3000	44353	\N	\N	\N
254322	872	1998-11-09	VYDAJ	VYBER	1400	40911	\N	\N	\N
254323	872	1998-12-09	PRIJEM	VKLAD	2800	42697	\N	\N	\N
254347	873	1997-04-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
254352	873	1997-05-13	PRIJEM	VKLAD	6944	7944	\N	\N	\N
254353	873	1997-06-13	PRIJEM	VKLAD	10416	24872	\N	\N	\N
254354	873	1997-07-13	PRIJEM	VKLAD	6944	31584	\N	\N	\N
254355	873	1997-08-13	PRIJEM	VKLAD	6944	39138	\N	\N	\N
254356	873	1997-09-13	PRIJEM	VKLAD	6944	39316	\N	\N	\N
254357	873	1997-10-13	PRIJEM	VKLAD	6944	31259	\N	\N	\N
254358	873	1997-11-13	PRIJEM	VKLAD	6944	28784	\N	\N	\N
254359	873	1997-12-13	PRIJEM	VKLAD	10416	20125	\N	\N	\N
254360	873	1998-01-13	PRIJEM	VKLAD	6944	15393	\N	\N	\N
254361	873	1998-02-13	PRIJEM	VKLAD	6944	16976	\N	\N	\N
254362	873	1998-03-13	PRIJEM	VKLAD	6944	13793	\N	\N	\N
254363	873	1998-04-13	PRIJEM	VKLAD	6944	15279	\N	\N	\N
254364	873	1998-05-13	PRIJEM	VKLAD	6944	16166	\N	\N	\N
254365	873	1998-06-13	PRIJEM	VKLAD	10416	17768	\N	\N	\N
254366	873	1998-07-13	PRIJEM	VKLAD	6944	16056	\N	\N	\N
254367	873	1998-08-13	PRIJEM	VKLAD	6944	14243	\N	\N	\N
254368	873	1998-09-13	PRIJEM	VKLAD	6944	14225	\N	\N	\N
254369	873	1998-10-13	PRIJEM	VKLAD	6944	16710	\N	\N	\N
254370	873	1998-11-13	PRIJEM	VKLAD	6944	13437	\N	\N	\N
254371	873	1998-12-13	PRIJEM	VKLAD	10416	18290	\N	\N	\N
254380	873	1997-09-13	VYDAJ	PREVOD NA UCET	878	38438	SIPO	CD	22322130
254381	873	1997-10-13	VYDAJ	PREVOD NA UCET	878	30381	SIPO	CD	22322130
254382	873	1997-11-13	VYDAJ	PREVOD NA UCET	878	27906	SIPO	CD	22322130
254383	873	1997-12-13	VYDAJ	PREVOD NA UCET	878	19247	SIPO	CD	22322130
254384	873	1998-01-13	VYDAJ	PREVOD NA UCET	878	14515	SIPO	CD	22322130
254385	873	1998-02-13	VYDAJ	PREVOD NA UCET	878	16098	SIPO	CD	22322130
254386	873	1998-03-13	VYDAJ	PREVOD NA UCET	878	12915	SIPO	CD	22322130
254387	873	1998-04-13	VYDAJ	PREVOD NA UCET	878	14401	SIPO	CD	22322130
254388	873	1998-05-13	VYDAJ	PREVOD NA UCET	878	15288	SIPO	CD	22322130
254389	873	1998-06-13	VYDAJ	PREVOD NA UCET	878	16890	SIPO	CD	22322130
254390	873	1998-07-13	VYDAJ	PREVOD NA UCET	878	15178	SIPO	CD	22322130
254391	873	1998-08-13	VYDAJ	PREVOD NA UCET	878	13365	SIPO	CD	22322130
254392	873	1998-09-13	VYDAJ	PREVOD NA UCET	878	13347	SIPO	CD	22322130
254393	873	1998-10-13	VYDAJ	PREVOD NA UCET	878	15832	SIPO	CD	22322130
254394	873	1998-11-13	VYDAJ	PREVOD NA UCET	878	12559	SIPO	CD	22322130
254395	873	1998-12-13	VYDAJ	PREVOD NA UCET	878	17412	SIPO	CD	22322130
254405	873	1997-10-10	VYDAJ	PREVOD NA UCET	1540	27715	 	QR	57947230
254406	873	1997-11-10	VYDAJ	PREVOD NA UCET	1540	21840	 	QR	57947230
254407	873	1997-12-10	VYDAJ	PREVOD NA UCET	1540	9709	 	QR	57947230
254408	873	1998-01-10	VYDAJ	PREVOD NA UCET	1540	8449	 	QR	57947230
254409	873	1998-02-10	VYDAJ	PREVOD NA UCET	1540	13632	 	QR	57947230
254410	873	1998-03-10	VYDAJ	PREVOD NA UCET	1540	9824	 	QR	57947230
254411	873	1998-04-10	VYDAJ	PREVOD NA UCET	1540	11310	 	QR	57947230
254412	873	1998-05-10	VYDAJ	PREVOD NA UCET	1540	12197	 	QR	57947230
254413	873	1998-06-10	VYDAJ	PREVOD NA UCET	1540	10327	 	QR	57947230
254414	873	1998-07-10	VYDAJ	PREVOD NA UCET	1540	12087	 	QR	57947230
254415	873	1998-08-10	VYDAJ	PREVOD NA UCET	1540	10274	 	QR	57947230
254416	873	1998-09-10	VYDAJ	PREVOD NA UCET	1540	10256	 	QR	57947230
254417	873	1998-10-10	VYDAJ	PREVOD NA UCET	1540	12741	 	QR	57947230
254418	873	1998-11-10	VYDAJ	PREVOD NA UCET	1540	9468	 	QR	57947230
254419	873	1998-12-10	VYDAJ	PREVOD NA UCET	1540	10849	 	QR	57947230
254429	873	1997-10-08	VYDAJ	PREVOD NA UCET	2211	29255	POJISTNE	YZ	91838556
254430	873	1997-11-08	VYDAJ	PREVOD NA UCET	2211	23380	POJISTNE	YZ	91838556
254431	873	1997-12-08	VYDAJ	PREVOD NA UCET	2211	11249	POJISTNE	YZ	91838556
254432	873	1998-01-08	VYDAJ	PREVOD NA UCET	2211	9989	POJISTNE	YZ	91838556
254433	873	1998-02-08	VYDAJ	PREVOD NA UCET	2211	15172	POJISTNE	YZ	91838556
254434	873	1998-03-08	VYDAJ	PREVOD NA UCET	2211	11364	POJISTNE	YZ	91838556
254435	873	1998-04-08	VYDAJ	PREVOD NA UCET	2211	12850	POJISTNE	YZ	91838556
254436	873	1998-05-08	VYDAJ	PREVOD NA UCET	2211	13737	POJISTNE	YZ	91838556
254437	873	1998-06-08	VYDAJ	PREVOD NA UCET	2211	11867	POJISTNE	YZ	91838556
254438	873	1998-07-08	VYDAJ	PREVOD NA UCET	2211	13627	POJISTNE	YZ	91838556
254439	873	1998-08-08	VYDAJ	PREVOD NA UCET	2211	11814	POJISTNE	YZ	91838556
254440	873	1998-09-08	VYDAJ	PREVOD NA UCET	2211	11796	POJISTNE	YZ	91838556
254441	873	1998-10-08	VYDAJ	PREVOD NA UCET	2211	14281	POJISTNE	YZ	91838556
254442	873	1998-11-08	VYDAJ	PREVOD NA UCET	2211	11008	POJISTNE	YZ	91838556
254443	873	1998-12-08	VYDAJ	PREVOD NA UCET	2211	12389	POJISTNE	YZ	91838556
254453	873	1997-10-12	VYDAJ	VYBER	3400	24315	\N	\N	0
254454	873	1997-11-03	VYDAJ	VYBER	2000	25591	\N	\N	0
254455	873	1997-11-29	VYDAJ	VYBER	3300	23006	\N	\N	0
254456	873	1998-01-04	VYDAJ	VYBER	2200	15440	\N	\N	0
254457	873	1998-02-12	VYDAJ	VYBER	3600	10032	\N	\N	0
254458	873	1998-03-12	VYDAJ	PREVOD NA UCET	2975	6849	UVER	UV	38070190
254459	873	1998-04-12	VYDAJ	PREVOD NA UCET	2975	8335	UVER	UV	38070190
254460	873	1998-05-12	VYDAJ	PREVOD NA UCET	2975	9222	UVER	UV	38070190
254461	873	1998-06-12	VYDAJ	PREVOD NA UCET	2975	7352	UVER	UV	38070190
254462	873	1998-07-12	VYDAJ	PREVOD NA UCET	2975	9112	UVER	UV	38070190
254463	873	1998-08-12	VYDAJ	PREVOD NA UCET	2975	7299	UVER	UV	38070190
254464	873	1998-09-12	VYDAJ	PREVOD NA UCET	2975	7281	UVER	UV	38070190
254465	873	1998-10-12	VYDAJ	PREVOD NA UCET	2975	9766	UVER	UV	38070190
254466	873	1998-11-12	VYDAJ	PREVOD NA UCET	2975	6493	UVER	UV	38070190
254467	873	1998-12-12	VYDAJ	PREVOD NA UCET	2975	7874	UVER	UV	38070190
254470	873	1997-12-03	VYDAJ	VYBER	4000	13460	\N	\N	\N
254471	873	1998-12-22	VYDAJ	VYBER	960	14852	\N	\N	\N
254478	873	1998-01-06	VYDAJ	VYBER	600	12200	\N	\N	\N
254479	873	1998-01-05	VYDAJ	VYBER	2640	12800	\N	\N	\N
254481	873	1998-01-17	VYDAJ	VYBER	960	13555	\N	\N	\N
254482	873	1998-01-25	VYDAJ	VYBER	1320	17335	\N	\N	\N
254483	873	1998-01-02	VYDAJ	VYBER	600	17640	\N	\N	\N
254485	873	1997-12-01	VYDAJ	VYBER	5640	17460	\N	\N	\N
254487	873	1997-12-17	VYDAJ	VYBER	3960	15287	\N	\N	\N
254492	873	1998-12-29	VYDAJ	VYBER	1560	13292	\N	\N	\N
254493	873	1998-10-22	VYDAJ	VYBER	2760	13172	\N	\N	\N
254497	873	1998-05-28	VYDAJ	VYBER	2760	14028	\N	\N	\N
254498	873	1998-03-05	VYDAJ	VYBER	5880	13575	\N	\N	\N
254508	873	1997-09-30	VYDAJ	VYBER	15	31466	SLUZBY	\N	\N
254509	873	1997-10-31	VYDAJ	VYBER	15	27591	SLUZBY	\N	\N
254510	873	1997-11-30	VYDAJ	VYBER	15	23100	SLUZBY	\N	\N
254511	873	1997-12-31	VYDAJ	VYBER	15	18240	SLUZBY	\N	\N
254512	873	1998-01-31	VYDAJ	VYBER	15	17383	SLUZBY	\N	\N
254513	873	1998-02-28	VYDAJ	VYBER	15	19455	SLUZBY	\N	\N
254514	873	1998-03-31	VYDAJ	VYBER	15	15061	SLUZBY	\N	\N
254515	873	1998-04-30	VYDAJ	VYBER	15	15948	SLUZBY	\N	\N
254516	873	1998-05-31	VYDAJ	VYBER	15	14078	SLUZBY	\N	\N
254517	873	1998-06-30	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
254518	873	1998-07-31	VYDAJ	VYBER	15	14025	SLUZBY	\N	\N
254519	873	1998-08-31	VYDAJ	VYBER	15	14007	SLUZBY	\N	\N
254520	873	1998-09-30	VYDAJ	VYBER	15	16492	SLUZBY	\N	\N
254521	873	1998-10-31	VYDAJ	VYBER	15	13219	SLUZBY	\N	\N
254522	873	1998-11-30	VYDAJ	VYBER	15	14600	SLUZBY	\N	\N
254523	873	1997-05-26	PRIJEM	VKLAD	6500	14444	\N	\N	\N
254524	873	1997-06-25	VYDAJ	VYBER	300	24572	\N	\N	\N
254525	873	1997-07-25	PRIJEM	VKLAD	500	32084	\N	\N	\N
254526	873	1997-08-24	VYDAJ	VYBER	6900	32238	\N	\N	\N
254527	873	1997-09-23	VYDAJ	VYBER	7100	31338	\N	\N	\N
254528	873	1997-10-23	VYDAJ	VYBER	2900	27481	\N	\N	\N
254529	873	1997-11-22	VYDAJ	VYBER	1600	26306	\N	\N	\N
254530	873	1997-12-22	PRIJEM	VKLAD	2900	18187	\N	\N	\N
254531	873	1998-01-21	PRIJEM	VKLAD	5100	18655	\N	\N	\N
254532	873	1998-02-20	PRIJEM	VKLAD	3300	19398	\N	\N	\N
254533	873	1998-03-22	PRIJEM	VKLAD	2100	15015	\N	\N	\N
254534	873	1998-04-21	PRIJEM	VKLAD	1500	15901	\N	\N	\N
254535	873	1998-05-21	PRIJEM	VKLAD	1500	16788	\N	\N	\N
254536	873	1998-06-20	VYDAJ	VYBER	1100	15790	\N	\N	\N
254537	873	1998-07-20	VYDAJ	VYBER	1200	13978	\N	\N	\N
254538	873	1998-08-19	PRIJEM	VKLAD	600	13965	\N	\N	\N
254539	873	1998-09-18	PRIJEM	VKLAD	3100	16447	\N	\N	\N
254540	873	1998-10-18	PRIJEM	VKLAD	100	15932	\N	\N	\N
254541	873	1998-11-17	PRIJEM	VKLAD	2000	14559	\N	\N	\N
254542	873	1998-12-17	VYDAJ	VYBER	1600	15812	\N	\N	\N
254563	874	1996-03-23	PRIJEM	VKLAD	200	200	\N	\N	\N
254567	874	1996-04-14	PRIJEM	PREVOD Z UCTU	16423	16623	\N	YZ	71086901
254568	874	1996-05-14	PRIJEM	PREVOD Z UCTU	16423	33167	\N	YZ	71086901
254569	874	1996-06-14	PRIJEM	PREVOD Z UCTU	24634	51684	\N	YZ	71086901
254570	874	1996-07-14	PRIJEM	PREVOD Z UCTU	16423	50630	\N	YZ	71086901
254571	874	1996-08-14	PRIJEM	PREVOD Z UCTU	16423	51296	\N	YZ	71086901
254572	874	1996-09-14	PRIJEM	PREVOD Z UCTU	16423	29783	\N	YZ	71086901
254573	874	1996-10-14	PRIJEM	PREVOD Z UCTU	16423	30392	\N	YZ	71086901
254574	874	1996-11-14	PRIJEM	PREVOD Z UCTU	16423	30698	\N	YZ	71086901
254575	874	1996-12-14	PRIJEM	PREVOD Z UCTU	24634	43922	\N	YZ	71086901
254576	874	1997-01-14	PRIJEM	PREVOD Z UCTU	16423	31150	\N	YZ	71086901
254577	874	1997-02-14	PRIJEM	PREVOD Z UCTU	16423	28951	\N	YZ	71086901
254578	874	1997-03-14	PRIJEM	PREVOD Z UCTU	16423	29446	\N	YZ	71086901
254579	874	1997-04-14	PRIJEM	PREVOD Z UCTU	16423	29747	\N	YZ	71086901
254580	874	1997-05-14	PRIJEM	PREVOD Z UCTU	16423	28103	\N	YZ	71086901
254581	874	1997-06-14	PRIJEM	PREVOD Z UCTU	24634	39915	\N	YZ	71086901
254582	874	1997-07-14	PRIJEM	PREVOD Z UCTU	16423	37936	\N	YZ	71086901
254583	874	1997-08-14	PRIJEM	PREVOD Z UCTU	16423	38871	\N	YZ	71086901
254584	874	1997-09-14	PRIJEM	PREVOD Z UCTU	16423	29084	\N	YZ	71086901
254585	874	1997-10-14	PRIJEM	PREVOD Z UCTU	16423	33187	\N	YZ	71086901
254586	874	1997-11-14	PRIJEM	PREVOD Z UCTU	16423	32400	\N	YZ	71086901
254587	874	1997-12-14	PRIJEM	PREVOD Z UCTU	24634	40345	\N	YZ	71086901
254588	874	1998-01-14	PRIJEM	PREVOD Z UCTU	16423	32880	\N	YZ	71086901
254589	874	1998-02-14	PRIJEM	PREVOD Z UCTU	16423	32982	\N	YZ	71086901
254590	874	1998-03-14	PRIJEM	PREVOD Z UCTU	16423	41401	\N	YZ	71086901
254591	874	1998-04-14	PRIJEM	PREVOD Z UCTU	16423	48166	\N	YZ	71086901
254592	874	1998-05-14	PRIJEM	PREVOD Z UCTU	16423	41744	\N	YZ	71086901
254593	874	1998-06-14	PRIJEM	PREVOD Z UCTU	24634	47963	\N	YZ	71086901
254594	874	1998-07-14	PRIJEM	PREVOD Z UCTU	16423	34054	\N	YZ	71086901
254595	874	1998-08-14	PRIJEM	PREVOD Z UCTU	16423	39718	\N	YZ	71086901
254596	874	1998-09-14	PRIJEM	PREVOD Z UCTU	16423	40975	\N	YZ	71086901
254597	874	1998-10-14	PRIJEM	PREVOD Z UCTU	16423	39083	\N	YZ	71086901
254598	874	1998-11-14	PRIJEM	PREVOD Z UCTU	16423	40637	\N	YZ	71086901
254599	874	1998-12-14	PRIJEM	PREVOD Z UCTU	24634	41885	\N	YZ	71086901
254644	874	1996-09-05	VYDAJ	PREVOD NA UCET	1053	20385	SIPO	OP	10934925
254645	874	1996-10-05	VYDAJ	PREVOD NA UCET	1053	20994	SIPO	OP	10934925
254646	874	1996-11-05	VYDAJ	PREVOD NA UCET	1053	21300	SIPO	OP	10934925
254647	874	1996-12-05	VYDAJ	PREVOD NA UCET	1053	26313	SIPO	OP	10934925
254648	874	1997-01-05	VYDAJ	PREVOD NA UCET	1053	21752	SIPO	OP	10934925
254649	874	1997-02-05	VYDAJ	PREVOD NA UCET	1053	19553	SIPO	OP	10934925
254650	874	1997-03-05	VYDAJ	PREVOD NA UCET	1053	20048	SIPO	OP	10934925
254651	874	1997-04-05	VYDAJ	PREVOD NA UCET	1053	20349	SIPO	OP	10934925
254652	874	1997-05-05	VYDAJ	PREVOD NA UCET	1053	18705	SIPO	OP	10934925
254653	874	1997-06-05	VYDAJ	PREVOD NA UCET	1053	22306	SIPO	OP	10934925
254654	874	1997-07-05	VYDAJ	PREVOD NA UCET	1053	28538	SIPO	OP	10934925
254655	874	1997-08-05	VYDAJ	PREVOD NA UCET	1053	29473	SIPO	OP	10934925
254656	874	1997-09-05	VYDAJ	PREVOD NA UCET	1053	19686	SIPO	OP	10934925
254657	874	1997-10-05	VYDAJ	PREVOD NA UCET	1053	23789	SIPO	OP	10934925
254658	874	1997-11-05	VYDAJ	PREVOD NA UCET	1053	24902	SIPO	OP	10934925
254659	874	1997-12-05	VYDAJ	PREVOD NA UCET	1053	19136	SIPO	OP	10934925
254660	874	1998-01-05	VYDAJ	PREVOD NA UCET	1053	19882	SIPO	OP	10934925
254661	874	1998-02-05	VYDAJ	PREVOD NA UCET	1053	18084	SIPO	OP	10934925
254662	874	1998-03-05	VYDAJ	PREVOD NA UCET	1053	32003	SIPO	OP	10934925
254663	874	1998-04-05	VYDAJ	PREVOD NA UCET	1053	40468	SIPO	OP	10934925
254664	874	1998-05-05	VYDAJ	PREVOD NA UCET	1053	27546	SIPO	OP	10934925
254665	874	1998-06-05	VYDAJ	PREVOD NA UCET	1053	27454	SIPO	OP	10934925
254666	874	1998-07-05	VYDAJ	PREVOD NA UCET	1053	18956	SIPO	OP	10934925
254667	874	1998-08-05	VYDAJ	PREVOD NA UCET	1053	29620	SIPO	OP	10934925
254668	874	1998-09-05	VYDAJ	PREVOD NA UCET	1053	38777	SIPO	OP	10934925
254669	874	1998-10-05	VYDAJ	PREVOD NA UCET	1053	28285	SIPO	OP	10934925
254670	874	1998-11-05	VYDAJ	PREVOD NA UCET	1053	38139	SIPO	OP	10934925
254671	874	1998-12-05	VYDAJ	PREVOD NA UCET	1053	26176	SIPO	OP	10934925
254680	874	1996-09-07	VYDAJ	PREVOD NA UCET	7025	13360	 	ST	22497678
254681	874	1996-10-07	VYDAJ	PREVOD NA UCET	7025	13969	 	ST	22497678
254682	874	1996-11-07	VYDAJ	PREVOD NA UCET	7025	14275	 	ST	22497678
254683	874	1996-12-07	VYDAJ	PREVOD NA UCET	7025	19288	 	ST	22497678
254684	874	1997-01-07	VYDAJ	PREVOD NA UCET	7025	14727	 	ST	22497678
254685	874	1997-02-07	VYDAJ	PREVOD NA UCET	7025	12528	 	ST	22497678
254686	874	1997-03-07	VYDAJ	PREVOD NA UCET	7025	13023	 	ST	22497678
254687	874	1997-04-07	VYDAJ	PREVOD NA UCET	7025	13324	 	ST	22497678
254688	874	1997-05-07	VYDAJ	PREVOD NA UCET	7025	11680	 	ST	22497678
254689	874	1997-06-07	VYDAJ	PREVOD NA UCET	7025	15281	 	ST	22497678
254690	874	1997-07-07	VYDAJ	PREVOD NA UCET	7025	21513	 	ST	22497678
254691	874	1997-08-07	VYDAJ	PREVOD NA UCET	7025	22448	 	ST	22497678
254692	874	1997-09-07	VYDAJ	PREVOD NA UCET	7025	12661	 	ST	22497678
254693	874	1997-10-07	VYDAJ	PREVOD NA UCET	7025	16764	 	ST	22497678
254694	874	1997-11-07	VYDAJ	PREVOD NA UCET	7025	17877	 	ST	22497678
254695	874	1997-12-07	VYDAJ	PREVOD NA UCET	7025	12111	 	ST	22497678
254696	874	1998-01-07	VYDAJ	PREVOD NA UCET	7025	12857	 	ST	22497678
254697	874	1998-02-07	VYDAJ	PREVOD NA UCET	7025	11059	 	ST	22497678
254698	874	1998-03-07	VYDAJ	PREVOD NA UCET	7025	24978	 	ST	22497678
254699	874	1998-04-07	VYDAJ	PREVOD NA UCET	7025	33443	 	ST	22497678
254700	874	1998-05-07	VYDAJ	PREVOD NA UCET	7025	20521	 	ST	22497678
254701	874	1998-06-07	VYDAJ	PREVOD NA UCET	7025	20429	 	ST	22497678
254702	874	1998-07-07	VYDAJ	PREVOD NA UCET	7025	11931	 	ST	22497678
254703	874	1998-08-07	VYDAJ	PREVOD NA UCET	7025	22595	 	ST	22497678
254704	874	1998-09-07	VYDAJ	PREVOD NA UCET	7025	31752	 	ST	22497678
254705	874	1998-10-07	VYDAJ	PREVOD NA UCET	7025	21260	 	ST	22497678
254706	874	1998-11-07	VYDAJ	PREVOD NA UCET	7025	31114	 	ST	22497678
254707	874	1998-12-07	VYDAJ	PREVOD NA UCET	7025	19151	 	ST	22497678
254715	874	1996-09-05	VYBER	VYBER	11269	21438	\N	\N	\N
254720	874	1997-04-29	VYBER	VYBER	5649	19698	\N	\N	\N
254722	874	1997-11-29	VYBER	VYBER	12293	20107	\N	\N	\N
254723	874	1998-05-20	VYBER	VYBER	2967	38777	\N	\N	\N
254725	874	1998-07-20	VYBER	VYBER	3457	30597	\N	\N	\N
254727	874	1998-09-15	VYBER	VYBER	8141	32834	\N	\N	\N
254728	874	1998-05-27	VYBER	VYBER	10373	28404	\N	\N	\N
254729	874	1998-04-16	VYBER	VYBER	12208	28492	\N	\N	\N
254730	874	1998-06-20	VYBER	VYBER	13927	19936	\N	\N	\N
254732	874	1998-04-14	VYBER	VYBER	7466	40700	\N	\N	\N
254736	874	1996-12-17	VYDAJ	VYBER	4500	39422	\N	\N	\N
254746	874	1997-01-16	VYDAJ	VYBER	6000	25150	\N	\N	\N
254751	874	1998-01-04	VYDAJ	VYBER	8400	20935	\N	\N	\N
254752	874	1998-01-02	VYDAJ	VYBER	5400	29335	\N	\N	\N
254753	874	1998-01-18	VYDAJ	VYBER	1800	19080	\N	\N	\N
254760	874	1996-12-25	VYDAJ	VYBER	7500	22722	\N	\N	\N
254762	874	1997-12-25	VYDAJ	VYBER	5700	34645	\N	\N	\N
254764	874	1997-08-15	VYDAJ	VYBER	12000	20671	\N	\N	\N
254766	874	1998-11-15	VYDAJ	VYBER	13500	27137	\N	\N	\N
254767	874	1998-09-26	VYDAJ	VYBER	3600	29234	\N	\N	\N
254769	874	1998-06-14	VYDAJ	VYBER	14100	33863	\N	\N	\N
254771	874	1998-01-17	VYDAJ	VYBER	12000	20880	\N	\N	\N
254780	874	1996-08-31	VYDAJ	VYBER	30	32707	SLUZBY	\N	\N
254781	874	1996-09-30	VYDAJ	VYBER	30	22047	SLUZBY	\N	\N
254782	874	1996-10-31	VYDAJ	VYBER	30	22353	SLUZBY	\N	\N
254783	874	1996-11-30	VYDAJ	VYBER	30	27366	SLUZBY	\N	\N
254784	874	1996-12-31	VYDAJ	VYBER	30	22805	SLUZBY	\N	\N
254785	874	1997-01-31	VYDAJ	VYBER	30	20606	SLUZBY	\N	\N
254786	874	1997-02-28	VYDAJ	VYBER	30	21101	SLUZBY	\N	\N
254787	874	1997-03-31	VYDAJ	VYBER	30	21402	SLUZBY	\N	\N
254788	874	1997-04-30	VYDAJ	VYBER	30	19758	SLUZBY	\N	\N
254789	874	1997-05-31	VYDAJ	VYBER	30	23359	SLUZBY	\N	\N
254790	874	1997-06-30	VYDAJ	VYBER	30	29591	SLUZBY	\N	\N
254791	874	1997-07-31	VYDAJ	VYBER	30	30526	SLUZBY	\N	\N
254792	874	1997-08-31	VYDAJ	VYBER	30	20739	SLUZBY	\N	\N
254793	874	1997-09-30	VYDAJ	VYBER	30	24842	SLUZBY	\N	\N
254794	874	1997-10-31	VYDAJ	VYBER	30	25955	SLUZBY	\N	\N
254795	874	1997-11-30	VYDAJ	VYBER	30	20189	SLUZBY	\N	\N
254796	874	1997-12-31	VYDAJ	VYBER	30	34735	SLUZBY	\N	\N
254797	874	1998-01-31	VYDAJ	VYBER	30	19137	SLUZBY	\N	\N
254798	874	1998-02-28	VYDAJ	VYBER	30	33056	SLUZBY	\N	\N
254799	874	1998-03-31	VYDAJ	VYBER	30	41521	SLUZBY	\N	\N
254800	874	1998-04-30	VYDAJ	VYBER	30	28599	SLUZBY	\N	\N
254801	874	1998-05-31	VYDAJ	VYBER	30	28507	SLUZBY	\N	\N
254802	874	1998-06-30	VYDAJ	VYBER	30	20009	SLUZBY	\N	\N
254803	874	1998-07-31	VYDAJ	VYBER	30	30673	SLUZBY	\N	\N
254804	874	1998-08-31	VYDAJ	VYBER	30	39830	SLUZBY	\N	\N
254805	874	1998-09-30	VYDAJ	VYBER	30	29338	SLUZBY	\N	\N
254806	874	1998-10-31	VYDAJ	VYBER	30	39192	SLUZBY	\N	\N
254807	874	1998-11-30	VYDAJ	VYBER	30	27229	SLUZBY	\N	\N
254808	874	1996-04-22	PRIJEM	VKLAD	100	16723	\N	\N	\N
254809	874	1996-05-22	VYDAJ	VYBER	6200	26967	\N	\N	\N
254810	874	1996-06-21	VYDAJ	VYBER	17600	34084	\N	\N	\N
254811	874	1996-07-21	VYDAJ	VYBER	15900	34730	\N	\N	\N
254812	874	1996-08-20	VYDAJ	VYBER	18700	32596	\N	\N	\N
254813	874	1996-09-19	VYDAJ	VYBER	7800	21983	\N	\N	\N
254814	874	1996-10-19	VYDAJ	VYBER	8100	22292	\N	\N	\N
254815	874	1996-11-18	VYDAJ	VYBER	3400	27298	\N	\N	\N
254816	874	1996-12-18	VYDAJ	VYBER	9200	30222	\N	\N	\N
254817	874	1997-01-17	VYDAJ	VYBER	4600	20550	\N	\N	\N
254818	874	1997-02-16	VYDAJ	VYBER	7900	21051	\N	\N	\N
254819	874	1997-03-18	VYDAJ	VYBER	8100	21346	\N	\N	\N
254820	874	1997-04-17	VYDAJ	VYBER	4400	25347	\N	\N	\N
254821	874	1997-05-17	VYDAJ	VYBER	4800	23303	\N	\N	\N
254822	874	1997-06-16	VYDAJ	VYBER	10400	29515	\N	\N	\N
254823	874	1997-07-16	VYDAJ	VYBER	7500	30436	\N	\N	\N
254824	874	1997-08-15	VYDAJ	VYBER	6200	32671	\N	\N	\N
254825	874	1997-09-14	VYDAJ	VYBER	4300	24784	\N	\N	\N
254826	874	1997-10-14	VYDAJ	VYBER	7300	25887	\N	\N	\N
254827	874	1997-11-13	VYDAJ	VYBER	1900	15977	\N	\N	\N
254828	874	1997-12-13	PRIJEM	VKLAD	3600	15711	\N	\N	\N
254829	874	1998-01-12	PRIJEM	VKLAD	3600	16457	\N	\N	\N
254830	874	1998-02-11	PRIJEM	VKLAD	5500	16559	\N	\N	\N
254831	874	1998-04-12	VYDAJ	VYBER	1700	31743	\N	\N	\N
254832	874	1998-05-12	PRIJEM	VKLAD	4800	25321	\N	\N	\N
254833	874	1998-06-11	PRIJEM	VKLAD	2900	23329	\N	\N	\N
254834	874	1998-07-11	PRIJEM	VKLAD	5700	17631	\N	\N	\N
254835	874	1998-08-10	PRIJEM	VKLAD	700	23295	\N	\N	\N
254836	874	1998-09-09	VYDAJ	VYBER	7200	24552	\N	\N	\N
254837	874	1998-10-09	PRIJEM	VKLAD	1400	22660	\N	\N	\N
254838	874	1998-11-08	VYDAJ	VYBER	6900	24214	\N	\N	\N
254839	874	1998-12-08	VYDAJ	VYBER	1900	17251	\N	\N	\N
254873	875	1995-05-17	PRIJEM	VKLAD	300	300	\N	\N	\N
254879	875	1995-06-06	PRIJEM	PREVOD Z UCTU	6607	6907	DUCHOD	ST	3159904
254880	875	1995-07-06	PRIJEM	PREVOD Z UCTU	6607	13514	DUCHOD	ST	3159904
254881	875	1995-08-06	PRIJEM	PREVOD Z UCTU	6607	20121	DUCHOD	ST	3159904
254882	875	1995-09-06	PRIJEM	PREVOD Z UCTU	6607	26728	DUCHOD	ST	3159904
254883	875	1995-10-06	PRIJEM	PREVOD Z UCTU	6607	31193	DUCHOD	ST	3159904
254884	875	1995-11-06	PRIJEM	PREVOD Z UCTU	6607	32454	DUCHOD	ST	3159904
254885	875	1995-12-06	PRIJEM	PREVOD Z UCTU	6607	26808	DUCHOD	ST	3159904
254886	875	1996-01-06	PRIJEM	PREVOD Z UCTU	6607	28859	DUCHOD	ST	3159904
254887	875	1996-02-06	PRIJEM	PREVOD Z UCTU	6607	29207	DUCHOD	ST	3159904
254888	875	1996-03-06	PRIJEM	PREVOD Z UCTU	6607	29659	DUCHOD	ST	3159904
254889	875	1996-04-06	PRIJEM	PREVOD Z UCTU	6607	30277	DUCHOD	ST	3159904
254890	875	1996-05-06	PRIJEM	PREVOD Z UCTU	6607	29942	DUCHOD	ST	3159904
254891	875	1996-06-06	PRIJEM	PREVOD Z UCTU	6607	30480	DUCHOD	ST	3159904
254892	875	1996-07-06	PRIJEM	PREVOD Z UCTU	6607	33343	DUCHOD	ST	3159904
254893	875	1996-08-06	PRIJEM	PREVOD Z UCTU	6607	35617	DUCHOD	ST	3159904
254894	875	1996-09-06	PRIJEM	PREVOD Z UCTU	6607	38500	DUCHOD	ST	3159904
254895	875	1996-10-06	PRIJEM	PREVOD Z UCTU	6607	38108	DUCHOD	ST	3159904
254896	875	1996-11-06	PRIJEM	PREVOD Z UCTU	6607	35412	DUCHOD	ST	3159904
254897	875	1996-12-06	PRIJEM	PREVOD Z UCTU	6607	33432	DUCHOD	ST	3159904
254898	875	1997-01-06	PRIJEM	PREVOD Z UCTU	6607	33096	DUCHOD	ST	3159904
254899	875	1997-02-06	PRIJEM	PREVOD Z UCTU	6607	35977	DUCHOD	ST	3159904
254900	875	1997-03-06	PRIJEM	PREVOD Z UCTU	6607	38861	DUCHOD	ST	3159904
254901	875	1997-04-06	PRIJEM	PREVOD Z UCTU	6607	39555	DUCHOD	ST	3159904
254902	875	1997-05-06	PRIJEM	PREVOD Z UCTU	6607	38332	DUCHOD	ST	3159904
254903	875	1997-06-06	PRIJEM	PREVOD Z UCTU	6607	41226	DUCHOD	ST	3159904
254904	875	1997-07-06	PRIJEM	PREVOD Z UCTU	6607	44133	DUCHOD	ST	3159904
254905	875	1997-08-06	PRIJEM	PREVOD Z UCTU	6607	39148	DUCHOD	ST	3159904
254906	875	1997-09-06	PRIJEM	PREVOD Z UCTU	6607	41955	DUCHOD	ST	3159904
254907	875	1997-10-06	PRIJEM	PREVOD Z UCTU	6607	42566	DUCHOD	ST	3159904
254908	875	1997-11-06	PRIJEM	PREVOD Z UCTU	6607	40484	DUCHOD	ST	3159904
254909	875	1997-12-06	PRIJEM	PREVOD Z UCTU	6607	37966	DUCHOD	ST	3159904
254910	875	1998-01-06	PRIJEM	PREVOD Z UCTU	6607	36260	DUCHOD	ST	3159904
254911	875	1998-02-06	PRIJEM	PREVOD Z UCTU	6607	39145	DUCHOD	ST	3159904
254912	875	1998-03-06	PRIJEM	PREVOD Z UCTU	6607	41322	DUCHOD	ST	3159904
254913	875	1998-04-06	PRIJEM	PREVOD Z UCTU	6607	44229	DUCHOD	ST	3159904
254914	875	1998-05-06	PRIJEM	PREVOD Z UCTU	6607	46947	DUCHOD	ST	3159904
254915	875	1998-06-06	PRIJEM	PREVOD Z UCTU	6607	42798	DUCHOD	ST	3159904
254916	875	1998-07-06	PRIJEM	PREVOD Z UCTU	6607	43154	DUCHOD	ST	3159904
254917	875	1998-08-06	PRIJEM	PREVOD Z UCTU	6607	42242	DUCHOD	ST	3159904
254918	875	1998-09-06	PRIJEM	PREVOD Z UCTU	6607	43651	DUCHOD	ST	3159904
254919	875	1998-10-06	PRIJEM	PREVOD Z UCTU	6607	43666	DUCHOD	ST	3159904
254920	875	1998-11-06	PRIJEM	PREVOD Z UCTU	6607	46582	DUCHOD	ST	3159904
254921	875	1998-12-06	PRIJEM	PREVOD Z UCTU	6607	49510	DUCHOD	ST	3159904
254931	875	1995-10-12	VYDAJ	PREVOD NA UCET	3837	27356	SIPO	OP	9408325
254932	875	1995-11-12	VYDAJ	PREVOD NA UCET	3837	28617	SIPO	OP	9408325
254933	875	1995-12-12	VYDAJ	PREVOD NA UCET	3837	22971	SIPO	OP	9408325
254934	875	1996-01-12	VYDAJ	PREVOD NA UCET	3837	25022	SIPO	OP	9408325
254935	875	1996-02-12	VYDAJ	PREVOD NA UCET	3837	22970	SIPO	OP	9408325
254936	875	1996-03-12	VYDAJ	PREVOD NA UCET	3837	25822	SIPO	OP	9408325
254937	875	1996-04-12	VYDAJ	PREVOD NA UCET	3837	26440	SIPO	OP	9408325
254938	875	1996-05-12	VYDAJ	PREVOD NA UCET	3837	26105	SIPO	OP	9408325
254939	875	1996-06-12	VYDAJ	PREVOD NA UCET	3837	26643	SIPO	OP	9408325
254940	875	1996-07-12	VYDAJ	PREVOD NA UCET	3837	28906	SIPO	OP	9408325
254941	875	1996-08-12	VYDAJ	PREVOD NA UCET	3837	31780	SIPO	OP	9408325
254942	875	1996-09-12	VYDAJ	PREVOD NA UCET	3837	34663	SIPO	OP	9408325
254943	875	1996-10-12	VYDAJ	PREVOD NA UCET	3837	30771	SIPO	OP	9408325
254944	875	1996-11-12	VYDAJ	PREVOD NA UCET	3837	30475	SIPO	OP	9408325
254945	875	1996-12-12	VYDAJ	PREVOD NA UCET	3837	29595	SIPO	OP	9408325
254946	875	1997-01-12	VYDAJ	PREVOD NA UCET	3837	29259	SIPO	OP	9408325
254947	875	1997-02-12	VYDAJ	PREVOD NA UCET	3837	32140	SIPO	OP	9408325
254948	875	1997-03-12	VYDAJ	PREVOD NA UCET	3837	32824	SIPO	OP	9408325
254949	875	1997-04-12	VYDAJ	PREVOD NA UCET	3837	35118	SIPO	OP	9408325
254950	875	1997-05-12	VYDAJ	PREVOD NA UCET	3837	34495	SIPO	OP	9408325
254951	875	1997-06-12	VYDAJ	PREVOD NA UCET	3837	37389	SIPO	OP	9408325
254952	875	1997-07-12	VYDAJ	PREVOD NA UCET	3837	40296	SIPO	OP	9408325
254953	875	1997-08-12	VYDAJ	PREVOD NA UCET	3837	35311	SIPO	OP	9408325
254954	875	1997-09-12	VYDAJ	PREVOD NA UCET	3837	36918	SIPO	OP	9408325
254955	875	1997-10-12	VYDAJ	PREVOD NA UCET	3837	38729	SIPO	OP	9408325
254956	875	1997-11-12	VYDAJ	PREVOD NA UCET	3837	32727	SIPO	OP	9408325
254957	875	1997-12-12	VYDAJ	PREVOD NA UCET	3837	34129	SIPO	OP	9408325
254958	875	1998-01-12	VYDAJ	PREVOD NA UCET	3837	32423	SIPO	OP	9408325
254959	875	1998-02-12	VYDAJ	PREVOD NA UCET	3837	35308	SIPO	OP	9408325
254960	875	1998-03-12	VYDAJ	PREVOD NA UCET	3837	37485	SIPO	OP	9408325
254961	875	1998-04-12	VYDAJ	PREVOD NA UCET	3837	40392	SIPO	OP	9408325
254962	875	1998-05-12	VYDAJ	PREVOD NA UCET	3837	43110	SIPO	OP	9408325
254963	875	1998-06-12	VYDAJ	PREVOD NA UCET	3837	38961	SIPO	OP	9408325
254964	875	1998-07-12	VYDAJ	PREVOD NA UCET	3837	39317	SIPO	OP	9408325
254965	875	1998-08-12	VYDAJ	PREVOD NA UCET	3837	38405	SIPO	OP	9408325
254966	875	1998-09-12	VYDAJ	PREVOD NA UCET	3837	39814	SIPO	OP	9408325
254967	875	1998-10-12	VYDAJ	PREVOD NA UCET	3837	39829	SIPO	OP	9408325
254968	875	1998-11-12	VYDAJ	PREVOD NA UCET	3837	42745	SIPO	OP	9408325
254969	875	1998-12-12	VYDAJ	PREVOD NA UCET	3837	45673	SIPO	OP	9408325
254970	875	1995-12-05	VYDAJ	VYBER	900	20201	\N	\N	\N
254971	875	1996-12-25	VYDAJ	VYBER	250	29345	\N	\N	\N
254972	875	1997-12-28	VYDAJ	VYBER	1400	29529	\N	\N	\N
254973	875	1998-12-17	VYDAJ	VYBER	350	45323	\N	\N	\N
254974	875	1995-11-22	VYDAJ	VYBER	1600	21017	\N	\N	\N
254980	875	1996-04-23	VYDAJ	VYBER	3200	23240	\N	\N	\N
254981	875	1996-10-23	VYDAJ	VYBER	2080	28691	\N	\N	\N
254982	875	1996-09-14	VYDAJ	VYBER	3280	31383	\N	\N	\N
254983	875	1996-04-01	VYDAJ	VYBER	2240	23670	\N	\N	\N
254984	875	1996-11-25	VYDAJ	VYBER	3760	26715	\N	\N	\N
254985	875	1996-05-26	VYDAJ	VYBER	2320	23785	\N	\N	\N
254986	875	1997-11-06	VYDAJ	VYBER	3920	36564	\N	\N	\N
254987	875	1997-09-07	VYDAJ	VYBER	1200	40755	\N	\N	\N
254988	875	1997-07-22	VYDAJ	VYBER	2800	37496	\N	\N	\N
254989	875	1997-01-04	VYDAJ	VYBER	2960	26489	\N	\N	\N
254990	875	1997-12-21	VYDAJ	VYBER	3200	30929	\N	\N	\N
254991	875	1997-04-16	VYDAJ	VYBER	3520	31598	\N	\N	\N
254992	875	1998-06-19	VYDAJ	VYBER	2560	36401	\N	\N	\N
254993	875	1998-07-17	VYDAJ	VYBER	2720	36597	\N	\N	\N
254994	875	1998-05-19	VYDAJ	VYBER	2480	40630	\N	\N	\N
254995	875	1998-12-27	VYDAJ	VYBER	480	44843	\N	\N	\N
254996	875	1998-12-28	VYDAJ	VYBER	2000	42843	\N	\N	\N
254997	875	1998-02-23	VYDAJ	VYBER	720	34588	\N	\N	\N
255008	875	1995-10-31	VYDAJ	VYBER	15	25847	SLUZBY	\N	\N
255009	875	1995-11-30	VYDAJ	VYBER	15	21101	SLUZBY	\N	\N
255010	875	1995-12-31	VYDAJ	VYBER	15	22252	SLUZBY	\N	\N
255011	875	1996-01-31	VYDAJ	VYBER	15	22600	SLUZBY	\N	\N
255012	875	1996-02-29	VYDAJ	VYBER	15	23052	SLUZBY	\N	\N
255013	875	1996-03-31	VYDAJ	VYBER	15	25910	SLUZBY	\N	\N
255014	875	1996-04-30	VYDAJ	VYBER	15	23335	SLUZBY	\N	\N
255015	875	1996-05-31	VYDAJ	VYBER	15	23873	SLUZBY	\N	\N
255016	875	1996-06-30	VYDAJ	VYBER	15	26736	SLUZBY	\N	\N
255017	875	1996-07-31	VYDAJ	VYBER	15	29010	SLUZBY	\N	\N
255018	875	1996-08-31	VYDAJ	VYBER	15	31893	SLUZBY	\N	\N
255019	875	1996-09-30	VYDAJ	VYBER	15	31501	SLUZBY	\N	\N
255020	875	1996-10-31	VYDAJ	VYBER	15	28805	SLUZBY	\N	\N
255021	875	1996-11-30	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
255022	875	1996-12-31	VYDAJ	VYBER	15	29449	SLUZBY	\N	\N
255023	875	1997-01-31	VYDAJ	VYBER	15	29370	SLUZBY	\N	\N
255024	875	1997-02-28	VYDAJ	VYBER	15	32254	SLUZBY	\N	\N
255025	875	1997-03-31	VYDAJ	VYBER	15	32948	SLUZBY	\N	\N
255026	875	1997-04-30	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
255027	875	1997-05-31	VYDAJ	VYBER	15	34619	SLUZBY	\N	\N
255028	875	1997-06-30	VYDAJ	VYBER	15	37526	SLUZBY	\N	\N
255029	875	1997-07-31	VYDAJ	VYBER	15	37641	SLUZBY	\N	\N
255030	875	1997-08-31	VYDAJ	VYBER	15	35448	SLUZBY	\N	\N
255031	875	1997-09-30	VYDAJ	VYBER	15	37059	SLUZBY	\N	\N
255032	875	1997-10-31	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
255033	875	1997-11-30	VYDAJ	VYBER	15	32859	SLUZBY	\N	\N
255034	875	1997-12-31	VYDAJ	VYBER	15	29653	SLUZBY	\N	\N
255035	875	1998-01-31	VYDAJ	VYBER	15	32538	SLUZBY	\N	\N
255036	875	1998-02-28	VYDAJ	VYBER	15	34715	SLUZBY	\N	\N
255037	875	1998-03-31	VYDAJ	VYBER	15	37622	SLUZBY	\N	\N
255038	875	1998-04-30	VYDAJ	VYBER	15	40540	SLUZBY	\N	\N
255039	875	1998-05-31	VYDAJ	VYBER	15	40791	SLUZBY	\N	\N
255040	875	1998-06-30	VYDAJ	VYBER	15	36547	SLUZBY	\N	\N
255041	875	1998-07-31	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
255042	875	1998-08-31	VYDAJ	VYBER	15	37044	SLUZBY	\N	\N
255043	875	1998-09-30	VYDAJ	VYBER	15	37059	SLUZBY	\N	\N
255044	875	1998-10-31	VYDAJ	VYBER	15	39975	SLUZBY	\N	\N
255045	875	1998-11-30	VYDAJ	VYBER	15	42903	SLUZBY	\N	\N
255046	875	1995-09-14	VYDAJ	VYBER	2200	24528	\N	\N	\N
255047	875	1995-10-14	VYDAJ	VYBER	1600	25756	\N	\N	\N
255048	875	1995-11-13	VYDAJ	VYBER	6000	22617	\N	\N	\N
255049	875	1995-12-13	VYDAJ	VYBER	800	22171	\N	\N	\N
255050	875	1996-01-12	VYDAJ	VYBER	2500	22522	\N	\N	\N
255051	875	1996-02-11	VYDAJ	VYBER	2400	26807	\N	\N	\N
255052	875	1996-07-10	VYDAJ	VYBER	600	32743	\N	\N	\N
255053	875	1996-10-08	VYDAJ	VYBER	3500	34608	\N	\N	\N
255054	875	1996-11-07	VYDAJ	VYBER	1100	34312	\N	\N	\N
255055	875	1997-03-07	VYDAJ	VYBER	2200	36661	\N	\N	\N
255056	875	1997-04-06	VYDAJ	VYBER	600	38955	\N	\N	\N
255057	875	1997-08-04	VYDAJ	VYBER	5100	32541	\N	\N	\N
255058	875	1997-09-03	VYDAJ	VYBER	100	35348	\N	\N	\N
255059	875	1997-10-03	VYDAJ	VYBER	1100	35959	\N	\N	\N
255060	875	1997-11-02	VYDAJ	VYBER	5000	33877	\N	\N	\N
255061	875	1997-12-02	VYDAJ	VYBER	1500	31359	\N	\N	\N
255062	875	1998-05-01	VYDAJ	VYBER	200	40340	\N	\N	\N
255063	875	1998-05-31	VYDAJ	VYBER	4600	36191	\N	\N	\N
255064	875	1998-07-30	VYDAJ	VYBER	1100	35497	\N	\N	\N
255065	875	1998-08-29	VYDAJ	VYBER	1500	36905	\N	\N	\N
255066	875	1998-09-28	VYDAJ	VYBER	2900	36914	\N	\N	\N
255107	876	1997-10-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
255118	876	1997-11-07	PRIJEM	PREVOD Z UCTU	6187	7287	DUCHOD	KL	65110242
255119	876	1997-12-07	PRIJEM	PREVOD Z UCTU	6187	13474	DUCHOD	KL	65110242
255120	876	1998-01-07	PRIJEM	PREVOD Z UCTU	6187	19273	DUCHOD	KL	65110242
255121	876	1998-02-07	PRIJEM	PREVOD Z UCTU	6187	21117	DUCHOD	KL	65110242
255122	876	1998-03-07	PRIJEM	PREVOD Z UCTU	6187	22867	DUCHOD	KL	65110242
255123	876	1998-04-07	PRIJEM	PREVOD Z UCTU	6187	18112	DUCHOD	KL	65110242
255124	876	1998-05-07	PRIJEM	PREVOD Z UCTU	6187	13855	DUCHOD	KL	65110242
255125	876	1998-06-07	PRIJEM	PREVOD Z UCTU	6187	16288	DUCHOD	KL	65110242
255126	876	1998-07-07	PRIJEM	PREVOD Z UCTU	6187	15326	DUCHOD	KL	65110242
255127	876	1998-08-07	PRIJEM	PREVOD Z UCTU	6187	16403	DUCHOD	KL	65110242
255128	876	1998-09-07	PRIJEM	PREVOD Z UCTU	6187	18846	DUCHOD	KL	65110242
255129	876	1998-10-07	PRIJEM	PREVOD Z UCTU	6187	13388	DUCHOD	KL	65110242
255130	876	1998-11-07	PRIJEM	PREVOD Z UCTU	6187	15818	DUCHOD	KL	65110242
255131	876	1998-12-07	PRIJEM	PREVOD Z UCTU	6187	18259	DUCHOD	KL	65110242
255147	876	1998-04-05	VYDAJ	PREVOD NA UCET	3796	11925	SIPO	OP	8003074
255148	876	1998-05-05	VYDAJ	PREVOD NA UCET	3796	7668	SIPO	OP	8003074
255149	876	1998-06-05	VYDAJ	PREVOD NA UCET	3796	10101	SIPO	OP	8003074
255150	876	1998-07-05	VYDAJ	PREVOD NA UCET	3796	9139	SIPO	OP	8003074
255151	876	1998-08-05	VYDAJ	PREVOD NA UCET	3796	10216	SIPO	OP	8003074
255152	876	1998-09-05	VYDAJ	PREVOD NA UCET	3796	12659	SIPO	OP	8003074
255153	876	1998-10-05	VYDAJ	PREVOD NA UCET	3796	7201	SIPO	OP	8003074
255154	876	1998-11-05	VYDAJ	PREVOD NA UCET	3796	9631	SIPO	OP	8003074
255155	876	1998-12-05	VYDAJ	PREVOD NA UCET	3796	12072	SIPO	OP	8003074
255161	876	1998-12-12	VYDAJ	VYBER	450	17809	\N	\N	\N
255183	876	1998-07-27	VYDAJ	VYBER	1360	13966	\N	\N	\N
255199	876	1998-03-31	VYDAJ	VYBER	15	15721	SLUZBY	\N	\N
255200	876	1998-04-30	VYDAJ	VYBER	15	11464	SLUZBY	\N	\N
255201	876	1998-05-31	VYDAJ	VYBER	15	13897	SLUZBY	\N	\N
255202	876	1998-06-30	VYDAJ	VYBER	15	12935	SLUZBY	\N	\N
255203	876	1998-07-31	VYDAJ	VYBER	15	14012	SLUZBY	\N	\N
255204	876	1998-08-31	VYDAJ	VYBER	15	16455	SLUZBY	\N	\N
255205	876	1998-09-30	VYDAJ	VYBER	15	10997	SLUZBY	\N	\N
255206	876	1998-10-31	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
255207	876	1998-11-30	VYDAJ	VYBER	15	15868	SLUZBY	\N	\N
255208	876	1997-12-25	VYDAJ	VYBER	400	13074	\N	\N	\N
255209	876	1998-01-24	VYDAJ	VYBER	4400	14873	\N	\N	\N
255210	876	1998-02-23	VYDAJ	VYBER	4500	16617	\N	\N	\N
255211	876	1998-03-25	VYDAJ	VYBER	7200	15667	\N	\N	\N
255212	876	1998-04-24	VYDAJ	VYBER	6700	11412	\N	\N	\N
255213	876	1998-06-23	VYDAJ	VYBER	3400	12888	\N	\N	\N
255214	876	1998-09-21	VYDAJ	VYBER	7900	10946	\N	\N	\N
255215	876	1998-12-20	VYDAJ	VYBER	6500	11309	\N	\N	\N
255229	877	1996-05-29	PRIJEM	VKLAD	700	700	\N	\N	\N
255235	877	1996-06-05	PRIJEM	VKLAD	8165	8865	\N	\N	\N
255236	877	1996-07-05	PRIJEM	VKLAD	5443	24115	\N	\N	\N
255237	877	1996-08-05	PRIJEM	VKLAD	5443	30740	\N	\N	\N
255238	877	1996-09-05	PRIJEM	VKLAD	5443	31688	\N	\N	\N
255239	877	1996-10-05	PRIJEM	VKLAD	5443	30940	\N	\N	\N
255240	877	1996-11-05	PRIJEM	VKLAD	5443	34053	\N	\N	\N
255241	877	1996-12-05	PRIJEM	VKLAD	8165	39805	\N	\N	\N
255242	877	1997-01-05	PRIJEM	VKLAD	5443	37420	\N	\N	\N
255243	877	1997-02-05	PRIJEM	VKLAD	5443	20801	\N	\N	\N
255244	877	1997-03-05	PRIJEM	VKLAD	5443	26180	\N	\N	\N
255245	877	1997-04-05	PRIJEM	VKLAD	5443	28477	\N	\N	\N
255246	877	1997-05-05	PRIJEM	VKLAD	5443	26155	\N	\N	\N
255247	877	1997-06-05	PRIJEM	VKLAD	8165	33877	\N	\N	\N
255248	877	1997-07-05	PRIJEM	VKLAD	5443	36501	\N	\N	\N
255249	877	1997-08-05	PRIJEM	VKLAD	5443	36334	\N	\N	\N
255250	877	1997-09-05	PRIJEM	VKLAD	5443	35469	\N	\N	\N
255251	877	1997-10-05	PRIJEM	VKLAD	5443	37204	\N	\N	\N
255252	877	1997-11-05	PRIJEM	VKLAD	5443	39947	\N	\N	\N
255253	877	1997-12-05	PRIJEM	VKLAD	8165	41260	\N	\N	\N
255254	877	1998-01-05	PRIJEM	VKLAD	5443	37565	\N	\N	\N
255255	877	1998-02-05	PRIJEM	VKLAD	5443	42313	\N	\N	\N
255256	877	1998-03-05	PRIJEM	VKLAD	5443	35466	\N	\N	\N
255257	877	1998-04-05	PRIJEM	VKLAD	5443	45716	\N	\N	\N
255258	877	1998-05-05	PRIJEM	VKLAD	5443	49296	\N	\N	\N
255259	877	1998-06-05	PRIJEM	VKLAD	8165	53307	\N	\N	\N
255260	877	1998-07-05	PRIJEM	VKLAD	5443	47856	\N	\N	\N
255261	877	1998-08-05	PRIJEM	VKLAD	5443	47482	\N	\N	\N
255262	877	1998-09-05	PRIJEM	VKLAD	5443	53172	\N	\N	\N
255263	877	1998-10-05	PRIJEM	VKLAD	5443	55778	\N	\N	\N
255264	877	1998-11-05	PRIJEM	VKLAD	5443	49382	\N	\N	\N
255265	877	1998-12-05	PRIJEM	VKLAD	8165	56198	\N	\N	\N
255275	877	1996-10-07	VYDAJ	PREVOD NA UCET	2115	28825	SIPO	UV	40519672
255276	877	1996-11-07	VYDAJ	PREVOD NA UCET	2115	31938	SIPO	UV	40519672
255277	877	1996-12-07	VYDAJ	PREVOD NA UCET	2115	37690	SIPO	UV	40519672
255278	877	1997-01-07	VYDAJ	PREVOD NA UCET	2115	35305	SIPO	UV	40519672
255279	877	1997-02-07	VYDAJ	PREVOD NA UCET	2115	17173	SIPO	UV	40519672
255280	877	1997-03-07	VYDAJ	PREVOD NA UCET	2115	24065	SIPO	UV	40519672
255281	877	1997-04-07	VYDAJ	PREVOD NA UCET	2115	24849	SIPO	UV	40519672
255282	877	1997-05-07	VYDAJ	PREVOD NA UCET	2115	22527	SIPO	UV	40519672
255283	877	1997-06-07	VYDAJ	PREVOD NA UCET	2115	31762	SIPO	UV	40519672
255284	877	1997-07-07	VYDAJ	PREVOD NA UCET	2115	32873	SIPO	UV	40519672
255285	877	1997-08-07	VYDAJ	PREVOD NA UCET	2115	32706	SIPO	UV	40519672
255286	877	1997-09-07	VYDAJ	PREVOD NA UCET	2115	31841	SIPO	UV	40519672
255287	877	1997-10-07	VYDAJ	PREVOD NA UCET	2115	35089	SIPO	UV	40519672
255288	877	1997-11-07	VYDAJ	PREVOD NA UCET	2115	36319	SIPO	UV	40519672
255289	877	1997-12-07	VYDAJ	PREVOD NA UCET	2115	37632	SIPO	UV	40519672
255290	877	1998-01-07	VYDAJ	PREVOD NA UCET	2115	33937	SIPO	UV	40519672
255291	877	1998-02-07	VYDAJ	PREVOD NA UCET	2115	40198	SIPO	UV	40519672
255292	877	1998-03-07	VYDAJ	PREVOD NA UCET	2115	31838	SIPO	UV	40519672
255293	877	1998-04-07	VYDAJ	PREVOD NA UCET	2115	42088	SIPO	UV	40519672
255294	877	1998-05-07	VYDAJ	PREVOD NA UCET	2115	47181	SIPO	UV	40519672
255295	877	1998-06-07	VYDAJ	PREVOD NA UCET	2115	51192	SIPO	UV	40519672
255296	877	1998-07-07	VYDAJ	PREVOD NA UCET	2115	44228	SIPO	UV	40519672
255297	877	1998-08-07	VYDAJ	PREVOD NA UCET	2115	45367	SIPO	UV	40519672
255298	877	1998-09-07	VYDAJ	PREVOD NA UCET	2115	49544	SIPO	UV	40519672
255299	877	1998-10-07	VYDAJ	PREVOD NA UCET	2115	53663	SIPO	UV	40519672
255300	877	1998-11-07	VYDAJ	PREVOD NA UCET	2115	47267	SIPO	UV	40519672
255301	877	1998-12-07	VYDAJ	PREVOD NA UCET	2115	54083	SIPO	UV	40519672
255311	877	1996-10-07	VYDAJ	PREVOD NA UCET	1513	27312	 	CD	26341355
255312	877	1996-11-07	VYDAJ	PREVOD NA UCET	1513	30425	 	CD	26341355
255313	877	1996-12-07	VYDAJ	PREVOD NA UCET	1513	36177	 	CD	26341355
255314	877	1997-01-07	VYDAJ	PREVOD NA UCET	1513	33792	 	CD	26341355
255315	877	1997-02-07	VYDAJ	PREVOD NA UCET	1513	19288	 	CD	26341355
255316	877	1997-03-07	VYDAJ	PREVOD NA UCET	1513	22552	 	CD	26341355
255317	877	1997-04-07	VYDAJ	PREVOD NA UCET	1513	26964	 	CD	26341355
255318	877	1997-05-07	VYDAJ	PREVOD NA UCET	1513	24642	 	CD	26341355
255319	877	1997-06-07	VYDAJ	PREVOD NA UCET	1513	30249	 	CD	26341355
255320	877	1997-07-07	VYDAJ	PREVOD NA UCET	1513	34988	 	CD	26341355
255321	877	1997-08-07	VYDAJ	PREVOD NA UCET	1513	34821	 	CD	26341355
255322	877	1997-09-07	VYDAJ	PREVOD NA UCET	1513	33956	 	CD	26341355
255323	877	1997-10-07	VYDAJ	PREVOD NA UCET	1513	33576	 	CD	26341355
255324	877	1997-11-07	VYDAJ	PREVOD NA UCET	1513	38434	 	CD	26341355
255325	877	1997-12-07	VYDAJ	PREVOD NA UCET	1513	39747	 	CD	26341355
255326	877	1998-01-07	VYDAJ	PREVOD NA UCET	1513	36052	 	CD	26341355
255327	877	1998-02-07	VYDAJ	PREVOD NA UCET	1513	38685	 	CD	26341355
255328	877	1998-03-07	VYDAJ	PREVOD NA UCET	1513	33953	 	CD	26341355
255329	877	1998-04-07	VYDAJ	PREVOD NA UCET	1513	44203	 	CD	26341355
255330	877	1998-05-07	VYDAJ	PREVOD NA UCET	1513	45668	 	CD	26341355
255331	877	1998-06-07	VYDAJ	PREVOD NA UCET	1513	49679	 	CD	26341355
255332	877	1998-07-07	VYDAJ	PREVOD NA UCET	1513	46343	 	CD	26341355
255333	877	1998-08-07	VYDAJ	PREVOD NA UCET	1513	43854	 	CD	26341355
255334	877	1998-09-07	VYDAJ	PREVOD NA UCET	1513	51659	 	CD	26341355
255335	877	1998-10-07	VYDAJ	PREVOD NA UCET	1513	52150	 	CD	26341355
255336	877	1998-11-07	VYDAJ	PREVOD NA UCET	1513	45754	 	CD	26341355
255337	877	1998-12-07	VYDAJ	PREVOD NA UCET	1513	52570	 	CD	26341355
255340	877	1998-06-15	VYDAJ	VYBER	6240	43439	\N	\N	\N
255342	877	1997-01-28	VYDAJ	VYBER	14080	15252	\N	\N	\N
255343	877	1998-01-04	VYDAJ	VYBER	4000	32122	\N	\N	\N
255344	877	1996-12-11	VYDAJ	VYBER	4160	32017	\N	\N	\N
255345	877	1997-12-09	VYDAJ	VYBER	3840	33792	\N	\N	\N
255346	877	1998-12-26	VYDAJ	VYBER KARTOU	3800	42670	\N	\N	0
255349	877	1996-12-20	VYDAJ	VYBER	960	31057	\N	\N	\N
255353	877	1997-11-24	VYDAJ	VYBER	3360	32959	\N	\N	\N
255354	877	1997-04-14	VYDAJ	VYBER	1320	23529	\N	\N	\N
255355	877	1997-01-16	VYDAJ	VYBER	5760	28032	\N	\N	\N
255356	877	1998-12-17	VYDAJ	VYBER KARTOU	3400	46470	\N	\N	0
255357	877	1998-08-04	VYDAJ	VYBER	1080	42039	\N	\N	\N
255358	877	1998-02-14	VYDAJ	VYBER	4560	34125	\N	\N	\N
255359	877	1998-07-18	VYDAJ	VYBER	3480	42948	\N	\N	\N
255360	877	1998-02-28	VYDAJ	VYBER	4200	30997	\N	\N	\N
255361	877	1998-02-23	VYDAJ	VYBER	2880	35045	\N	\N	\N
255362	877	1998-03-01	VYDAJ	VYBER	960	30023	\N	\N	\N
255363	877	1998-10-28	VYDAJ	VYBER	5760	43750	\N	\N	\N
255364	877	1998-10-09	VYDAJ	VYBER	3240	48910	\N	\N	\N
255375	877	1996-10-31	VYDAJ	VYBER	15	28610	SLUZBY	\N	\N
255376	877	1996-11-30	VYDAJ	VYBER	15	31641	SLUZBY	\N	\N
255377	877	1996-12-31	VYDAJ	VYBER	15	31977	SLUZBY	\N	\N
255378	877	1997-01-31	VYDAJ	VYBER	15	15358	SLUZBY	\N	\N
255379	877	1997-02-28	VYDAJ	VYBER	15	20737	SLUZBY	\N	\N
255380	877	1997-03-31	VYDAJ	VYBER	15	23034	SLUZBY	\N	\N
255381	877	1997-04-30	VYDAJ	VYBER	15	20712	SLUZBY	\N	\N
255382	877	1997-05-31	VYDAJ	VYBER	15	25713	SLUZBY	\N	\N
255383	877	1997-06-30	VYDAJ	VYBER	15	31058	SLUZBY	\N	\N
255384	877	1997-07-31	VYDAJ	VYBER	15	30891	SLUZBY	\N	\N
255385	877	1997-08-31	VYDAJ	VYBER	15	30026	SLUZBY	\N	\N
255386	877	1997-09-30	VYDAJ	VYBER	15	31761	SLUZBY	\N	\N
255387	877	1997-10-31	VYDAJ	VYBER	15	34504	SLUZBY	\N	\N
255388	877	1997-11-30	VYDAJ	VYBER	15	33096	SLUZBY	\N	\N
255389	877	1997-12-31	VYDAJ	VYBER	15	36122	SLUZBY	\N	\N
255390	877	1998-01-31	VYDAJ	VYBER	15	36870	SLUZBY	\N	\N
255391	877	1998-02-28	VYDAJ	VYBER	15	30983	SLUZBY	\N	\N
255392	877	1998-03-31	VYDAJ	VYBER	15	40273	SLUZBY	\N	\N
255393	877	1998-04-30	VYDAJ	VYBER	15	43853	SLUZBY	\N	\N
255394	877	1998-05-31	VYDAJ	VYBER	15	45143	SLUZBY	\N	\N
255395	877	1998-06-30	VYDAJ	VYBER	15	42413	SLUZBY	\N	\N
255396	877	1998-07-31	VYDAJ	VYBER	15	43119	SLUZBY	\N	\N
255397	877	1998-08-31	VYDAJ	VYBER	15	47729	SLUZBY	\N	\N
255398	877	1998-09-30	VYDAJ	VYBER	15	50335	SLUZBY	\N	\N
255399	877	1998-10-31	VYDAJ	VYBER	15	43939	SLUZBY	\N	\N
255400	877	1998-11-30	VYDAJ	VYBER	15	48034	SLUZBY	\N	\N
255401	877	1996-06-28	PRIJEM	VKLAD	9800	18665	\N	\N	\N
255402	877	1996-07-28	PRIJEM	VKLAD	1100	25215	\N	\N	\N
255403	877	1996-08-27	VYDAJ	VYBER	4600	26140	\N	\N	\N
255404	877	1996-09-26	VYDAJ	VYBER	6300	25388	\N	\N	\N
255405	877	1996-10-26	PRIJEM	VKLAD	1200	28512	\N	\N	\N
255406	877	1996-11-25	PRIJEM	VKLAD	1100	31525	\N	\N	\N
255407	877	1996-12-25	PRIJEM	VKLAD	800	31857	\N	\N	\N
255408	877	1997-01-24	PRIJEM	VKLAD	1300	29332	\N	\N	\N
255409	877	1997-02-23	PRIJEM	VKLAD	3500	20673	\N	\N	\N
255410	877	1997-03-25	PRIJEM	VKLAD	400	22952	\N	\N	\N
255411	877	1997-04-24	VYDAJ	VYBER	2900	20629	\N	\N	\N
255412	877	1997-05-24	PRIJEM	VKLAD	3100	25627	\N	\N	\N
255413	877	1997-06-23	PRIJEM	VKLAD	700	30949	\N	\N	\N
255414	877	1997-07-23	VYDAJ	VYBER	2100	30773	\N	\N	\N
255415	877	1997-08-22	VYDAJ	VYBER	2800	29906	\N	\N	\N
255416	877	1997-09-21	VYDAJ	VYBER	200	31641	\N	\N	\N
255417	877	1997-10-21	PRIJEM	VKLAD	800	34376	\N	\N	\N
255418	877	1997-12-20	PRIJEM	VKLAD	2200	35992	\N	\N	\N
255419	877	1998-01-19	PRIJEM	VKLAD	2800	36737	\N	\N	\N
255420	877	1998-02-18	PRIJEM	VKLAD	3800	37925	\N	\N	\N
255421	877	1998-03-20	PRIJEM	VKLAD	8300	40138	\N	\N	\N
255422	877	1998-04-19	PRIJEM	VKLAD	1600	43688	\N	\N	\N
255423	877	1998-05-19	VYDAJ	VYBER	700	44968	\N	\N	\N
255424	877	1998-06-18	VYDAJ	VYBER	1200	42239	\N	\N	\N
255425	877	1998-07-18	PRIJEM	VKLAD	2200	46428	\N	\N	\N
255426	877	1998-08-17	PRIJEM	VKLAD	3700	47554	\N	\N	\N
255427	877	1998-09-16	PRIJEM	VKLAD	600	50144	\N	\N	\N
255428	877	1998-10-16	PRIJEM	VKLAD	600	49510	\N	\N	\N
255429	877	1998-11-15	PRIJEM	VKLAD	2100	47854	\N	\N	\N
255430	877	1998-12-15	VYDAJ	VYBER KARTOU	2700	49870	\N	\N	0
255462	878	1996-06-29	PRIJEM	VKLAD	600	600	\N	\N	\N
255469	878	1996-07-08	PRIJEM	PREVOD Z UCTU	23416	24016	\N	MN	32302719
255470	878	1996-08-08	PRIJEM	PREVOD Z UCTU	23416	47842	\N	MN	32302719
255471	878	1996-09-08	PRIJEM	PREVOD Z UCTU	23416	57865	\N	MN	32302719
255472	878	1996-10-08	PRIJEM	PREVOD Z UCTU	23416	65428	\N	MN	32302719
255473	878	1996-11-08	PRIJEM	PREVOD Z UCTU	23416	67920	\N	MN	32302719
255474	878	1996-12-08	PRIJEM	PREVOD Z UCTU	35124	74871	\N	MN	32302719
255475	878	1997-01-08	PRIJEM	PREVOD Z UCTU	23416	63883	\N	MN	32302719
255476	878	1997-02-08	PRIJEM	PREVOD Z UCTU	23416	55837	\N	MN	32302719
255477	878	1997-03-08	PRIJEM	PREVOD Z UCTU	23416	49958	\N	MN	32302719
255478	878	1997-04-08	PRIJEM	PREVOD Z UCTU	23416	52795	\N	MN	32302719
255479	878	1997-05-08	PRIJEM	PREVOD Z UCTU	23416	57339	\N	MN	32302719
255480	878	1997-06-08	PRIJEM	PREVOD Z UCTU	35124	70809	\N	MN	32302719
255481	878	1997-07-08	PRIJEM	PREVOD Z UCTU	23416	48553	\N	MN	32302719
255482	878	1997-08-08	PRIJEM	PREVOD Z UCTU	23416	52411	\N	MN	32302719
255483	878	1997-09-08	PRIJEM	PREVOD Z UCTU	23416	62960	\N	MN	32302719
255484	878	1997-10-08	PRIJEM	PREVOD Z UCTU	23416	65840	\N	MN	32302719
255485	878	1997-11-08	PRIJEM	PREVOD Z UCTU	23416	47919	\N	MN	32302719
255486	878	1997-12-08	PRIJEM	PREVOD Z UCTU	35124	66591	\N	MN	32302719
255487	878	1998-01-08	PRIJEM	PREVOD Z UCTU	23416	50591	\N	MN	32302719
255488	878	1998-02-08	PRIJEM	PREVOD Z UCTU	23416	51857	\N	MN	32302719
255489	878	1998-03-08	PRIJEM	PREVOD Z UCTU	23416	58002	\N	MN	32302719
255490	878	1998-04-08	PRIJEM	PREVOD Z UCTU	23416	59351	\N	MN	32302719
255491	878	1998-05-08	PRIJEM	PREVOD Z UCTU	23416	46895	\N	MN	32302719
255492	878	1998-06-08	PRIJEM	PREVOD Z UCTU	35124	73118	\N	MN	32302719
255493	878	1998-07-08	PRIJEM	PREVOD Z UCTU	23416	60748	\N	MN	32302719
255494	878	1998-08-08	PRIJEM	PREVOD Z UCTU	23416	71915	\N	MN	32302719
255495	878	1998-09-08	PRIJEM	PREVOD Z UCTU	23416	49887	\N	MN	32302719
255496	878	1998-10-08	PRIJEM	PREVOD Z UCTU	23416	63222	\N	MN	32302719
255497	878	1998-11-08	PRIJEM	PREVOD Z UCTU	23416	62721	\N	MN	32302719
255498	878	1998-12-08	PRIJEM	PREVOD Z UCTU	35124	68588	\N	MN	32302719
255510	878	1996-12-06	VYDAJ	PREVOD NA UCET	3943	39747	SIPO	UV	24647236
255511	878	1997-01-06	VYDAJ	PREVOD NA UCET	3943	40467	SIPO	UV	24647236
255512	878	1997-02-06	VYDAJ	PREVOD NA UCET	3943	32421	SIPO	UV	24647236
255513	878	1997-03-06	VYDAJ	PREVOD NA UCET	3943	26542	SIPO	UV	24647236
255514	878	1997-04-06	VYDAJ	PREVOD NA UCET	3943	29379	SIPO	UV	24647236
255515	878	1997-05-06	VYDAJ	PREVOD NA UCET	3943	33923	SIPO	UV	24647236
255516	878	1997-06-06	VYDAJ	PREVOD NA UCET	3943	35685	SIPO	UV	24647236
255517	878	1997-07-06	VYDAJ	PREVOD NA UCET	3943	25137	SIPO	UV	24647236
255518	878	1997-08-06	VYDAJ	PREVOD NA UCET	3943	28995	SIPO	UV	24647236
255519	878	1997-09-06	VYDAJ	PREVOD NA UCET	3943	39544	SIPO	UV	24647236
255520	878	1997-10-06	VYDAJ	PREVOD NA UCET	3943	42424	SIPO	UV	24647236
255521	878	1997-11-06	VYDAJ	PREVOD NA UCET	3943	24503	SIPO	UV	24647236
255522	878	1997-12-06	VYDAJ	PREVOD NA UCET	3943	31467	SIPO	UV	24647236
255523	878	1998-01-06	VYDAJ	PREVOD NA UCET	3943	27175	SIPO	UV	24647236
255524	878	1998-02-06	VYDAJ	PREVOD NA UCET	3943	28441	SIPO	UV	24647236
255525	878	1998-03-06	VYDAJ	PREVOD NA UCET	3943	34586	SIPO	UV	24647236
255526	878	1998-04-06	VYDAJ	PREVOD NA UCET	3943	35935	SIPO	UV	24647236
255527	878	1998-05-06	VYDAJ	PREVOD NA UCET	3943	23479	SIPO	UV	24647236
255528	878	1998-06-06	VYDAJ	PREVOD NA UCET	3943	37994	SIPO	UV	24647236
255529	878	1998-07-06	VYDAJ	PREVOD NA UCET	3943	37332	SIPO	UV	24647236
255530	878	1998-08-06	VYDAJ	PREVOD NA UCET	3943	48499	SIPO	UV	24647236
255531	878	1998-09-06	VYDAJ	PREVOD NA UCET	3943	26471	SIPO	UV	24647236
255532	878	1998-10-06	VYDAJ	PREVOD NA UCET	3943	39806	SIPO	UV	24647236
255533	878	1998-11-06	VYDAJ	PREVOD NA UCET	3943	39305	SIPO	UV	24647236
255534	878	1998-12-06	VYDAJ	PREVOD NA UCET	3943	33464	SIPO	UV	24647236
255545	878	1997-12-15	VYBER	VYBER	8017	58574	\N	\N	\N
255546	878	1997-12-22	VYBER	VYBER	9780	30951	\N	\N	\N
255547	878	1997-12-19	VYBER	VYBER	5843	45531	\N	\N	\N
255548	878	1997-11-25	VYBER	VYBER	10664	35255	\N	\N	\N
255549	878	1997-10-17	VYBER	VYBER	13857	26289	\N	\N	\N
255550	878	1997-10-08	VYBER	VYBER	14294	51546	\N	\N	\N
255551	878	1997-07-08	VYBER	VYBER	5073	43480	\N	\N	\N
255552	878	1997-06-12	VYBER	VYBER	22176	38733	\N	\N	\N
255553	878	1997-01-22	VYBER	VYBER	7423	56460	\N	\N	\N
255555	878	1997-02-16	VYBER	VYBER	12116	43721	\N	\N	\N
255556	878	1998-01-12	VYBER	VYBER	23430	27161	\N	\N	\N
255558	878	1998-06-26	VYBER	VYBER	17966	41052	\N	\N	\N
255559	878	1998-03-27	VYBER	VYBER	4289	39707	\N	\N	\N
255560	878	1998-03-21	VYBER	VYBER	3906	45996	\N	\N	\N
255561	878	1998-10-11	VYBER	VYBER	12352	50870	\N	\N	\N
255562	878	1998-08-14	VYBER	VYBER	22846	41269	\N	\N	\N
255564	878	1998-04-23	VYBER	VYBER	22603	27248	\N	\N	\N
255565	878	1998-08-20	VYBER	VYBER	4009	36360	\N	\N	\N
255568	878	1998-07-11	VYBER	VYBER	5005	55743	\N	\N	\N
255569	878	1998-08-23	VYBER	VYBER	6117	30243	\N	\N	\N
255576	878	1996-12-20	VYDAJ	VYBER	5400	69471	\N	\N	\N
255577	878	1997-12-15	VYDAJ	VYBER	7200	51374	\N	\N	\N
255578	878	1998-12-12	VYDAJ	VYBER	7800	60788	\N	\N	\N
255584	878	1997-04-22	VYDAJ	VYBER	7500	45295	\N	\N	\N
255585	878	1997-10-15	VYDAJ	VYBER	11400	40146	\N	\N	\N
255586	878	1997-08-05	VYDAJ	VYBER	4500	32938	\N	\N	\N
255587	878	1997-06-09	VYDAJ	VYBER	9900	60909	\N	\N	\N
255588	878	1997-06-20	VYDAJ	VYBER	8100	30633	\N	\N	\N
255589	878	1997-04-01	VYDAJ	VYBER	2400	33322	\N	\N	\N
255590	878	1998-11-23	VYDAJ	VYBER	12000	37221	\N	\N	\N
255591	878	1998-02-28	VYDAJ	VYBER	8100	38543	\N	\N	\N
255592	878	1998-05-11	VYDAJ	VYBER	9300	37595	\N	\N	\N
255593	878	1998-03-09	VYDAJ	VYBER	8100	49902	\N	\N	\N
255594	878	1998-08-09	VYDAJ	VYBER	7800	64115	\N	\N	\N
255606	878	1996-11-30	VYDAJ	VYBER	15	43690	SLUZBY	\N	\N
255607	878	1996-12-31	VYDAJ	VYBER	15	44410	SLUZBY	\N	\N
255608	878	1997-01-31	VYDAJ	VYBER	15	36364	SLUZBY	\N	\N
255609	878	1997-02-28	VYDAJ	VYBER	15	30485	SLUZBY	\N	\N
255610	878	1997-03-31	VYDAJ	VYBER	15	35722	SLUZBY	\N	\N
255611	878	1997-04-30	VYDAJ	VYBER	15	37866	SLUZBY	\N	\N
255612	878	1997-05-31	VYDAJ	VYBER	15	39628	SLUZBY	\N	\N
255613	878	1997-06-30	VYDAJ	VYBER	15	29080	SLUZBY	\N	\N
255614	878	1997-07-31	VYDAJ	VYBER	15	37438	SLUZBY	\N	\N
255615	878	1997-08-31	VYDAJ	VYBER	15	43487	SLUZBY	\N	\N
255616	878	1997-09-30	VYDAJ	VYBER	15	46367	SLUZBY	\N	\N
255617	878	1997-10-31	VYDAJ	VYBER	15	28446	SLUZBY	\N	\N
255618	878	1997-11-30	VYDAJ	VYBER	15	35410	SLUZBY	\N	\N
255619	878	1997-12-31	VYDAJ	VYBER	15	31118	SLUZBY	\N	\N
255620	878	1998-01-31	VYDAJ	VYBER	15	32384	SLUZBY	\N	\N
255621	878	1998-02-28	VYDAJ	VYBER	15	38529	SLUZBY	\N	\N
255622	878	1998-03-31	VYDAJ	VYBER	15	39878	SLUZBY	\N	\N
255623	878	1998-04-30	VYDAJ	VYBER	15	27422	SLUZBY	\N	\N
255624	878	1998-05-31	VYDAJ	VYBER	15	41937	SLUZBY	\N	\N
255625	878	1998-06-30	VYDAJ	VYBER	15	41275	SLUZBY	\N	\N
255626	878	1998-07-31	VYDAJ	VYBER	15	52442	SLUZBY	\N	\N
255627	878	1998-08-31	VYDAJ	VYBER	15	30414	SLUZBY	\N	\N
255628	878	1998-09-30	VYDAJ	VYBER	15	43749	SLUZBY	\N	\N
255629	878	1998-10-31	VYDAJ	VYBER	15	43248	SLUZBY	\N	\N
255630	878	1998-11-30	VYDAJ	VYBER	15	37407	SLUZBY	\N	\N
255631	878	1996-07-29	PRIJEM	VKLAD	400	24416	\N	\N	\N
255632	878	1996-08-28	VYDAJ	VYBER	13500	34342	\N	\N	\N
255633	878	1996-09-27	VYDAJ	VYBER	16000	41865	\N	\N	\N
255634	878	1996-10-27	VYDAJ	VYBER	21100	44328	\N	\N	\N
255635	878	1996-11-26	VYDAJ	VYBER	24400	43520	\N	\N	\N
255636	878	1996-12-26	VYDAJ	VYBER	25300	44171	\N	\N	\N
255637	878	1997-01-25	VYDAJ	VYBER	20300	36160	\N	\N	\N
255638	878	1997-02-24	VYDAJ	VYBER	13400	30321	\N	\N	\N
255639	878	1997-03-26	VYDAJ	VYBER	14400	35558	\N	\N	\N
255640	878	1997-04-25	VYDAJ	VYBER	7600	37695	\N	\N	\N
255641	878	1997-05-25	VYDAJ	VYBER	17900	39439	\N	\N	\N
255642	878	1997-06-24	VYDAJ	VYBER	1700	28933	\N	\N	\N
255643	878	1997-07-24	VYDAJ	VYBER	6200	37280	\N	\N	\N
255644	878	1997-08-23	VYDAJ	VYBER	9100	43311	\N	\N	\N
255645	878	1997-09-22	VYDAJ	VYBER	16800	46160	\N	\N	\N
255646	878	1997-10-22	PRIJEM	VKLAD	2000	28289	\N	\N	\N
255647	878	1997-11-21	VYDAJ	VYBER	2000	45919	\N	\N	\N
255648	878	1997-12-21	VYDAJ	VYBER	4800	40731	\N	\N	\N
255649	878	1998-01-20	PRIJEM	VKLAD	5100	32261	\N	\N	\N
255650	878	1998-02-19	VYDAJ	VYBER	5400	46457	\N	\N	\N
255651	878	1998-03-21	VYDAJ	VYBER	2000	43996	\N	\N	\N
255652	878	1998-04-20	VYDAJ	VYBER	9500	49851	\N	\N	\N
255653	878	1998-05-20	PRIJEM	VKLAD	4200	41795	\N	\N	\N
255654	878	1998-06-19	VYDAJ	VYBER	14100	59018	\N	\N	\N
255655	878	1998-07-19	VYDAJ	VYBER	3500	52243	\N	\N	\N
255656	878	1998-08-18	VYDAJ	VYBER	900	40369	\N	\N	\N
255657	878	1998-09-17	VYDAJ	VYBER	6300	43587	\N	\N	\N
255658	878	1998-10-17	VYDAJ	VYBER	7800	43070	\N	\N	\N
255659	878	1998-11-16	VYDAJ	VYBER	13500	49221	\N	\N	\N
255690	879	1997-06-04	PRIJEM	VKLAD	500	500	\N	\N	\N
255696	879	1997-06-10	PRIJEM	PREVOD Z UCTU	3141	3641	\N	WX	52481949
255697	879	1997-07-10	PRIJEM	PREVOD Z UCTU	3141	6793	\N	WX	52481949
255698	879	1997-08-10	PRIJEM	PREVOD Z UCTU	3141	9949	\N	WX	52481949
255699	879	1997-09-10	PRIJEM	PREVOD Z UCTU	3141	13105	\N	WX	52481949
255700	879	1997-10-10	PRIJEM	PREVOD Z UCTU	3141	16261	\N	WX	52481949
255701	879	1997-11-10	PRIJEM	PREVOD Z UCTU	3141	14971	\N	WX	52481949
255702	879	1997-12-10	PRIJEM	PREVOD Z UCTU	3141	16065	\N	WX	52481949
255703	879	1998-01-10	PRIJEM	PREVOD Z UCTU	3141	13202	\N	WX	52481949
255704	879	1998-02-10	PRIJEM	PREVOD Z UCTU	3141	11706	\N	WX	52481949
255705	879	1998-03-10	PRIJEM	PREVOD Z UCTU	3141	12786	\N	WX	52481949
255706	879	1998-04-10	PRIJEM	PREVOD Z UCTU	3141	13870	\N	WX	52481949
255707	879	1998-05-10	PRIJEM	PREVOD Z UCTU	3141	14959	\N	WX	52481949
255708	879	1998-06-10	PRIJEM	PREVOD Z UCTU	3141	16053	\N	WX	52481949
255709	879	1998-07-10	PRIJEM	PREVOD Z UCTU	3141	15376	\N	WX	52481949
255710	879	1998-08-10	PRIJEM	PREVOD Z UCTU	3141	15208	\N	WX	52481949
255711	879	1998-09-10	PRIJEM	PREVOD Z UCTU	3141	16302	\N	WX	52481949
255712	879	1998-10-10	PRIJEM	PREVOD Z UCTU	3141	17401	\N	WX	52481949
255713	879	1998-11-10	PRIJEM	PREVOD Z UCTU	3141	17694	\N	WX	52481949
255714	879	1998-12-10	PRIJEM	PREVOD Z UCTU	3141	15918	\N	WX	52481949
255725	879	1997-11-08	VYDAJ	PREVOD NA UCET	2094	11830	\N	MN	22161680
255726	879	1997-12-08	VYDAJ	PREVOD NA UCET	2094	12924	\N	MN	22161680
255727	879	1998-01-08	VYDAJ	PREVOD NA UCET	2094	10061	\N	MN	22161680
255728	879	1998-02-08	VYDAJ	PREVOD NA UCET	2094	8565	\N	MN	22161680
255729	879	1998-03-08	VYDAJ	PREVOD NA UCET	2094	9645	\N	MN	22161680
255730	879	1998-04-08	VYDAJ	PREVOD NA UCET	2094	10729	\N	MN	22161680
255731	879	1998-05-08	VYDAJ	PREVOD NA UCET	2094	11818	\N	MN	22161680
255732	879	1998-06-08	VYDAJ	PREVOD NA UCET	2094	12912	\N	MN	22161680
255733	879	1998-07-08	VYDAJ	PREVOD NA UCET	2094	12235	\N	MN	22161680
255734	879	1998-08-08	VYDAJ	PREVOD NA UCET	2094	12067	\N	MN	22161680
255735	879	1998-09-08	VYDAJ	PREVOD NA UCET	2094	13161	\N	MN	22161680
255736	879	1998-10-08	VYDAJ	PREVOD NA UCET	2094	14260	\N	MN	22161680
255737	879	1998-11-08	VYDAJ	PREVOD NA UCET	2094	14553	\N	MN	22161680
255738	879	1998-12-08	VYDAJ	PREVOD NA UCET	2094	14157	\N	MN	22161680
255740	879	1998-06-12	VYDAJ	VYBER	1770	14283	\N	\N	\N
255741	879	1997-12-28	VYDAJ	VYBER	660	15405	\N	\N	\N
255750	879	1998-01-21	VYDAJ	VYBER	780	12422	\N	\N	\N
255756	879	1997-10-11	VYDAJ	VYBER	1320	14941	\N	\N	\N
255758	879	1997-11-04	VYDAJ	VYBER	1050	13924	\N	\N	\N
255761	879	1998-10-21	VYDAJ	VYBER	330	17071	\N	\N	\N
255762	879	1998-11-03	VYDAJ	VYBER	480	16647	\N	\N	\N
255763	879	1998-12-09	VYDAJ	VYBER	1380	12777	\N	\N	\N
255764	879	1998-07-13	VYDAJ	VYBER	1260	14116	\N	\N	\N
255775	879	1997-10-31	VYDAJ	VYBER	15	14974	SLUZBY	\N	\N
255776	879	1997-11-30	VYDAJ	VYBER	15	15018	SLUZBY	\N	\N
255777	879	1997-12-31	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
255778	879	1998-01-31	VYDAJ	VYBER	15	10659	SLUZBY	\N	\N
255779	879	1998-02-28	VYDAJ	VYBER	15	11739	SLUZBY	\N	\N
255780	879	1998-03-31	VYDAJ	VYBER	15	12823	SLUZBY	\N	\N
255781	879	1998-04-30	VYDAJ	VYBER	15	13912	SLUZBY	\N	\N
255782	879	1998-05-31	VYDAJ	VYBER	15	15006	SLUZBY	\N	\N
255783	879	1998-06-30	VYDAJ	VYBER	15	14329	SLUZBY	\N	\N
255784	879	1998-07-31	VYDAJ	VYBER	15	14161	SLUZBY	\N	\N
255785	879	1998-08-31	VYDAJ	VYBER	15	15255	SLUZBY	\N	\N
255786	879	1998-09-30	VYDAJ	VYBER	15	16354	SLUZBY	\N	\N
255787	879	1998-10-31	VYDAJ	VYBER	15	17127	SLUZBY	\N	\N
255788	879	1998-11-30	VYDAJ	VYBER	15	16251	SLUZBY	\N	\N
255789	879	1997-12-31	VYDAJ	VYBER	3300	12155	\N	\N	\N
255790	879	1998-01-30	VYDAJ	VYBER	1800	10622	\N	\N	\N
255791	879	1998-11-26	VYDAJ	VYBER	1500	16194	\N	\N	\N
255811	880	1996-12-08	PRIJEM	VKLAD	700	700	\N	\N	\N
255824	880	1997-01-08	PRIJEM	PREVOD Z UCTU	16901	29001	\N	MN	53115957
255825	880	1997-02-08	PRIJEM	PREVOD Z UCTU	16901	43096	\N	MN	53115957
255826	880	1997-03-08	PRIJEM	PREVOD Z UCTU	16901	60161	\N	MN	53115957
255827	880	1997-04-08	PRIJEM	PREVOD Z UCTU	16901	52497	\N	MN	53115957
255828	880	1997-05-08	PRIJEM	PREVOD Z UCTU	16901	56824	\N	MN	53115957
255829	880	1997-06-08	PRIJEM	PREVOD Z UCTU	25352	64239	\N	MN	53115957
255830	880	1997-07-08	PRIJEM	PREVOD Z UCTU	16901	51423	\N	MN	53115957
255831	880	1997-08-08	PRIJEM	PREVOD Z UCTU	16901	45264	\N	MN	53115957
255832	880	1997-09-08	PRIJEM	PREVOD Z UCTU	16901	54562	\N	MN	53115957
255833	880	1997-10-08	PRIJEM	PREVOD Z UCTU	16901	50304	\N	MN	53115957
255834	880	1997-11-08	PRIJEM	PREVOD Z UCTU	16901	47738	\N	MN	53115957
255835	880	1997-12-08	PRIJEM	PREVOD Z UCTU	25352	62205	\N	MN	53115957
255836	880	1998-01-08	PRIJEM	PREVOD Z UCTU	16901	37350	\N	MN	53115957
255837	880	1998-02-08	PRIJEM	PREVOD Z UCTU	16901	40796	\N	MN	53115957
255838	880	1998-03-08	PRIJEM	PREVOD Z UCTU	16901	50974	\N	MN	53115957
255839	880	1998-04-08	PRIJEM	PREVOD Z UCTU	16901	43595	\N	MN	53115957
255840	880	1998-05-08	PRIJEM	PREVOD Z UCTU	16901	47875	\N	MN	53115957
255841	880	1998-06-08	PRIJEM	PREVOD Z UCTU	25352	63744	\N	MN	53115957
255842	880	1998-07-08	PRIJEM	PREVOD Z UCTU	16901	62321	\N	MN	53115957
255843	880	1998-08-08	PRIJEM	PREVOD Z UCTU	16901	58106	\N	MN	53115957
255844	880	1998-09-08	PRIJEM	PREVOD Z UCTU	16901	54949	\N	MN	53115957
255845	880	1998-10-08	PRIJEM	PREVOD Z UCTU	16901	54786	\N	MN	53115957
255846	880	1998-11-08	PRIJEM	PREVOD Z UCTU	16901	61224	\N	MN	53115957
255847	880	1998-12-08	PRIJEM	PREVOD Z UCTU	25352	59637	\N	MN	53115957
255900	880	1997-05-09	VYDAJ	PREVOD NA UCET	4840	51984	SIPO	OP	25282103
255901	880	1997-06-09	VYDAJ	PREVOD NA UCET	4840	59399	SIPO	OP	25282103
255902	880	1997-07-09	VYDAJ	PREVOD NA UCET	4840	46583	SIPO	OP	25282103
255903	880	1997-08-09	VYDAJ	PREVOD NA UCET	4840	40424	SIPO	OP	25282103
255904	880	1997-09-09	VYDAJ	PREVOD NA UCET	4840	49722	SIPO	OP	25282103
255905	880	1997-10-09	VYDAJ	PREVOD NA UCET	4840	45464	SIPO	OP	25282103
255906	880	1997-11-09	VYDAJ	PREVOD NA UCET	4840	42898	SIPO	OP	25282103
255907	880	1997-12-09	VYDAJ	PREVOD NA UCET	4840	48665	SIPO	OP	25282103
255908	880	1998-01-09	VYDAJ	PREVOD NA UCET	4840	18110	SIPO	OP	25282103
255909	880	1998-02-09	VYDAJ	PREVOD NA UCET	4840	35956	SIPO	OP	25282103
255910	880	1998-03-09	VYDAJ	PREVOD NA UCET	4840	46134	SIPO	OP	25282103
255911	880	1998-04-09	VYDAJ	PREVOD NA UCET	4840	38755	SIPO	OP	25282103
255912	880	1998-05-09	VYDAJ	PREVOD NA UCET	4840	43035	SIPO	OP	25282103
255913	880	1998-06-09	VYDAJ	PREVOD NA UCET	4840	58904	SIPO	OP	25282103
255914	880	1998-07-09	VYDAJ	PREVOD NA UCET	4840	57481	SIPO	OP	25282103
255915	880	1998-08-09	VYDAJ	PREVOD NA UCET	4840	53266	SIPO	OP	25282103
255916	880	1998-09-09	VYDAJ	PREVOD NA UCET	4840	50109	SIPO	OP	25282103
255917	880	1998-10-09	VYDAJ	PREVOD NA UCET	4840	49946	SIPO	OP	25282103
255918	880	1998-11-09	VYDAJ	PREVOD NA UCET	4840	56384	SIPO	OP	25282103
255919	880	1998-12-09	VYDAJ	PREVOD NA UCET	4840	54797	SIPO	OP	25282103
255932	880	1997-10-28	VYBER	VYBER	5686	33086	\N	\N	\N
255934	880	1997-07-19	VYBER	VYBER	23764	22819	\N	\N	\N
255935	880	1997-10-16	VYBER	VYBER	6692	38772	\N	\N	\N
255937	880	1998-03-18	VYBER	VYBER	24462	21672	\N	\N	\N
255938	880	1998-12-25	VYBER	VYBER	19780	35017	\N	\N	\N
255947	880	1997-12-08	VYDAJ	VYBER	8700	53505	\N	\N	\N
255948	880	1998-12-02	VYDAJ	VYBER KARTOU	3300	34285	\N	\N	0
255964	880	1998-01-05	VYDAJ	VYBER	7200	20449	\N	\N	\N
255965	880	1998-01-05	VYDAJ	VYBER	3000	27649	\N	\N	\N
255973	880	1997-06-27	VYDAJ	VYBER	5400	53999	\N	\N	\N
255974	880	1997-09-29	VYDAJ	VYBER	11400	38322	\N	\N	\N
255976	880	1997-07-06	VYDAJ	VYBER	12600	34522	\N	\N	\N
255977	880	1998-01-08	VYDAJ	VYBER	14400	22950	\N	\N	\N
255978	880	1998-01-05	VYDAJ	VYBER	7200	30649	\N	\N	\N
255980	880	1998-08-19	VYDAJ	VYBER	5100	48166	\N	\N	\N
255981	880	1998-04-12	VYDAJ	VYBER	4200	34555	\N	\N	\N
255982	880	1998-11-30	VYDAJ	VYBER	8400	37585	\N	\N	\N
256000	880	1997-05-31	VYDAJ	VYBER	15	52187	SLUZBY	\N	\N
256001	880	1997-06-30	VYDAJ	VYBER	15	54222	SLUZBY	\N	\N
256002	880	1997-07-31	VYDAJ	VYBER	15	22963	SLUZBY	\N	\N
256003	880	1997-08-31	VYDAJ	VYBER	15	40561	SLUZBY	\N	\N
256004	880	1997-09-30	VYDAJ	VYBER	15	38503	SLUZBY	\N	\N
256005	880	1997-10-31	VYDAJ	VYBER	15	33237	SLUZBY	\N	\N
256006	880	1997-11-30	VYDAJ	VYBER	15	43053	SLUZBY	\N	\N
256007	880	1997-12-31	VYDAJ	VYBER	15	48849	SLUZBY	\N	\N
256008	880	1998-01-31	VYDAJ	VYBER	15	18195	SLUZBY	\N	\N
256009	880	1998-02-28	VYDAJ	VYBER	15	36073	SLUZBY	\N	\N
256010	880	1998-03-31	VYDAJ	VYBER	15	21794	SLUZBY	\N	\N
256011	880	1998-04-30	VYDAJ	VYBER	15	34674	SLUZBY	\N	\N
256012	880	1998-05-31	VYDAJ	VYBER	15	43192	SLUZBY	\N	\N
256013	880	1998-06-30	VYDAJ	VYBER	15	59120	SLUZBY	\N	\N
256014	880	1998-07-31	VYDAJ	VYBER	15	41205	SLUZBY	\N	\N
256015	880	1998-08-31	VYDAJ	VYBER	15	38048	SLUZBY	\N	\N
256016	880	1998-09-30	VYDAJ	VYBER	15	37885	SLUZBY	\N	\N
256017	880	1998-10-31	VYDAJ	VYBER	15	44323	SLUZBY	\N	\N
256018	880	1998-11-30	VYDAJ	VYBER	15	45985	SLUZBY	\N	\N
256019	880	1997-01-07	PRIJEM	VKLAD	11400	12100	\N	\N	\N
256020	880	1997-02-06	VYDAJ	VYBER	2900	26195	\N	\N	\N
256021	880	1997-03-08	VYDAJ	VYBER	18000	42161	\N	\N	\N
256022	880	1997-04-07	VYDAJ	VYBER	6800	35596	\N	\N	\N
256023	880	1997-05-07	VYDAJ	VYBER	12800	39923	\N	\N	\N
256024	880	1997-06-06	VYDAJ	VYBER	13300	38887	\N	\N	\N
256025	880	1997-07-06	VYDAJ	VYBER	7100	47122	\N	\N	\N
256026	880	1997-08-05	PRIJEM	VKLAD	5400	28363	\N	\N	\N
256027	880	1997-09-04	VYDAJ	VYBER	2900	37661	\N	\N	\N
256028	880	1997-10-04	VYDAJ	VYBER	5100	33403	\N	\N	\N
256029	880	1997-11-03	VYDAJ	VYBER	2400	30837	\N	\N	\N
256030	880	1997-12-03	VYDAJ	VYBER	6200	36853	\N	\N	\N
256031	880	1998-01-02	VYDAJ	VYBER	11000	37849	\N	\N	\N
256032	880	1998-02-01	PRIJEM	VKLAD	5700	23895	\N	\N	\N
256033	880	1998-03-03	VYDAJ	VYBER	2000	34073	\N	\N	\N
256034	880	1998-04-02	PRIJEM	VKLAD	4900	26694	\N	\N	\N
256035	880	1998-05-02	VYDAJ	VYBER	3700	30974	\N	\N	\N
256036	880	1998-06-01	VYDAJ	VYBER	4800	38392	\N	\N	\N
256037	880	1998-07-01	VYDAJ	VYBER	13700	45420	\N	\N	\N
256038	880	1998-07-31	VYDAJ	VYBER	16500	41219	\N	\N	\N
256039	880	1998-08-30	VYDAJ	VYBER	10300	37866	\N	\N	\N
256040	880	1998-09-29	VYDAJ	VYBER	12400	37709	\N	\N	\N
256041	880	1998-10-29	VYDAJ	VYBER	5800	44146	\N	\N	\N
256042	880	1998-11-28	VYDAJ	VYBER	10600	45784	\N	\N	\N
256849	882	1993-03-06	PRIJEM	VKLAD	300	300	\N	\N	\N
256852	882	1993-03-10	PRIJEM	VKLAD	11587	11887	\N	\N	\N
256853	882	1993-04-10	PRIJEM	VKLAD	11587	29109	\N	\N	\N
256854	882	1993-05-10	PRIJEM	VKLAD	11587	35996	\N	\N	\N
256855	882	1993-06-10	PRIJEM	VKLAD	17381	49218	\N	\N	\N
256856	882	1993-07-10	PRIJEM	VKLAD	11587	47694	\N	\N	\N
256857	882	1993-08-10	PRIJEM	VKLAD	11587	41497	\N	\N	\N
256858	882	1993-09-10	PRIJEM	VKLAD	11587	37796	\N	\N	\N
256859	882	1993-10-10	PRIJEM	VKLAD	11587	41616	\N	\N	\N
256860	882	1993-11-10	PRIJEM	VKLAD	11587	38129	\N	\N	\N
256861	882	1993-12-10	PRIJEM	VKLAD	17381	44824	\N	\N	\N
256862	882	1994-01-10	PRIJEM	VKLAD	11587	35216	\N	\N	\N
256863	882	1994-02-10	PRIJEM	VKLAD	11587	34330	\N	\N	\N
256864	882	1994-03-10	PRIJEM	VKLAD	11587	37928	\N	\N	\N
256865	882	1994-04-10	PRIJEM	VKLAD	11587	39045	\N	\N	\N
256866	882	1994-05-10	PRIJEM	VKLAD	11587	41463	\N	\N	\N
256867	882	1994-06-10	PRIJEM	VKLAD	17381	47683	\N	\N	\N
256868	882	1994-07-10	PRIJEM	VKLAD	11587	40100	\N	\N	\N
256869	882	1994-08-10	PRIJEM	VKLAD	11587	34720	\N	\N	\N
256870	882	1994-09-10	PRIJEM	VKLAD	11587	36381	\N	\N	\N
256871	882	1994-10-10	PRIJEM	VKLAD	11587	30123	\N	\N	\N
256872	882	1994-11-10	PRIJEM	VKLAD	11587	35085	\N	\N	\N
256873	882	1994-12-10	PRIJEM	VKLAD	17381	38595	\N	\N	\N
256874	882	1995-01-10	PRIJEM	VKLAD	11587	38823	\N	\N	\N
256875	882	1995-02-10	PRIJEM	VKLAD	11587	28831	\N	\N	\N
256876	882	1995-03-10	PRIJEM	VKLAD	11587	35405	\N	\N	\N
256877	882	1995-04-10	PRIJEM	VKLAD	11587	40305	\N	\N	\N
256878	882	1995-05-10	PRIJEM	VKLAD	11587	41277	\N	\N	\N
256879	882	1995-06-10	PRIJEM	VKLAD	17381	48369	\N	\N	\N
256880	882	1995-07-10	PRIJEM	VKLAD	11587	27573	\N	\N	\N
256881	882	1995-08-10	PRIJEM	VKLAD	11587	33603	\N	\N	\N
256882	882	1995-09-10	PRIJEM	VKLAD	11587	36893	\N	\N	\N
256883	882	1995-10-10	PRIJEM	VKLAD	11587	34149	\N	\N	\N
256884	882	1995-11-10	PRIJEM	VKLAD	11587	36739	\N	\N	\N
256885	882	1995-12-10	PRIJEM	VKLAD	17381	42930	\N	\N	\N
256886	882	1996-01-10	PRIJEM	VKLAD	11587	37901	\N	\N	\N
256887	882	1996-02-10	PRIJEM	VKLAD	11587	24810	\N	\N	\N
256888	882	1996-03-10	PRIJEM	VKLAD	11587	29163	\N	\N	\N
256889	882	1996-04-10	PRIJEM	VKLAD	11587	30328	\N	\N	\N
256890	882	1996-05-10	PRIJEM	VKLAD	11587	30493	\N	\N	\N
256891	882	1996-06-10	PRIJEM	VKLAD	17381	34707	\N	\N	\N
256892	882	1996-07-10	PRIJEM	VKLAD	11587	25735	\N	\N	\N
256893	882	1996-08-10	PRIJEM	VKLAD	11587	34100	\N	\N	\N
256894	882	1996-09-10	PRIJEM	VKLAD	11587	26865	\N	\N	\N
256895	882	1996-10-10	PRIJEM	VKLAD	11587	24209	\N	\N	\N
256896	882	1996-11-10	PRIJEM	VKLAD	11587	32564	\N	\N	\N
256897	882	1996-12-10	PRIJEM	VKLAD	17381	29809	\N	\N	\N
256898	882	1997-01-10	PRIJEM	VKLAD	11587	27300	\N	\N	\N
256899	882	1997-02-10	PRIJEM	VKLAD	11587	22099	\N	\N	\N
256900	882	1997-03-10	PRIJEM	VKLAD	11587	25642	\N	\N	\N
256901	882	1997-04-10	PRIJEM	VKLAD	11587	32801	\N	\N	\N
256902	882	1997-05-10	PRIJEM	VKLAD	11587	37581	\N	\N	\N
256903	882	1997-06-10	PRIJEM	VKLAD	17381	51785	\N	\N	\N
256904	882	1997-07-10	PRIJEM	VKLAD	11587	24558	\N	\N	\N
256905	882	1997-08-10	PRIJEM	VKLAD	11587	32914	\N	\N	\N
256906	882	1997-09-10	PRIJEM	VKLAD	11587	41304	\N	\N	\N
256907	882	1997-10-10	PRIJEM	VKLAD	11587	49729	\N	\N	\N
256908	882	1997-11-10	PRIJEM	VKLAD	11587	58189	\N	\N	\N
256909	882	1997-12-10	PRIJEM	VKLAD	17381	31472	\N	\N	\N
256910	882	1998-01-10	PRIJEM	VKLAD	11587	31087	\N	\N	\N
256911	882	1998-02-10	PRIJEM	VKLAD	11587	26843	\N	\N	\N
256912	882	1998-03-10	PRIJEM	VKLAD	11587	35206	\N	\N	\N
256913	882	1998-04-10	PRIJEM	VKLAD	11587	43605	\N	\N	\N
256914	882	1998-05-10	PRIJEM	VKLAD	11587	52038	\N	\N	\N
256915	882	1998-06-10	PRIJEM	VKLAD	17381	60538	\N	\N	\N
256916	882	1998-07-10	PRIJEM	VKLAD	11587	49324	\N	\N	\N
256917	882	1998-08-10	PRIJEM	VKLAD	11587	54540	\N	\N	\N
256918	882	1998-09-10	PRIJEM	VKLAD	11587	63019	\N	\N	\N
256919	882	1998-10-10	PRIJEM	VKLAD	11587	71533	\N	\N	\N
256920	882	1998-11-10	PRIJEM	VKLAD	11587	80082	\N	\N	\N
256921	882	1998-12-10	PRIJEM	VKLAD	17381	84447	\N	\N	\N
256929	882	1993-08-08	VYDAJ	PREVOD NA UCET	3306	29910	SIPO	CD	5837190
256930	882	1993-09-08	VYDAJ	PREVOD NA UCET	3306	26209	SIPO	CD	5837190
256931	882	1993-10-08	VYDAJ	PREVOD NA UCET	3306	30029	SIPO	CD	5837190
256932	882	1993-11-08	VYDAJ	PREVOD NA UCET	3306	27862	SIPO	CD	5837190
256933	882	1993-12-08	VYDAJ	PREVOD NA UCET	3306	27443	SIPO	CD	5837190
256934	882	1994-01-08	VYDAJ	PREVOD NA UCET	3306	25789	SIPO	CD	5837190
256935	882	1994-02-08	VYDAJ	PREVOD NA UCET	3306	22743	SIPO	CD	5837190
256936	882	1994-03-08	VYDAJ	PREVOD NA UCET	3306	26341	SIPO	CD	5837190
256937	882	1994-04-08	VYDAJ	PREVOD NA UCET	3306	27458	SIPO	CD	5837190
256938	882	1994-05-08	VYDAJ	PREVOD NA UCET	3306	29876	SIPO	CD	5837190
256939	882	1994-06-08	VYDAJ	PREVOD NA UCET	3306	30303	SIPO	CD	5837190
256940	882	1994-07-08	VYDAJ	PREVOD NA UCET	3306	28513	SIPO	CD	5837190
256941	882	1994-08-08	VYDAJ	PREVOD NA UCET	3306	23133	SIPO	CD	5837190
256942	882	1994-09-08	VYDAJ	PREVOD NA UCET	3306	24794	SIPO	CD	5837190
256943	882	1994-10-08	VYDAJ	PREVOD NA UCET	3306	18536	SIPO	CD	5837190
256944	882	1994-11-08	VYDAJ	PREVOD NA UCET	3306	23498	SIPO	CD	5837190
256945	882	1994-12-08	VYDAJ	PREVOD NA UCET	3306	21215	SIPO	CD	5837190
256946	882	1995-01-08	VYDAJ	PREVOD NA UCET	3306	27236	SIPO	CD	5837190
256947	882	1995-02-08	VYDAJ	PREVOD NA UCET	3306	17244	SIPO	CD	5837190
256948	882	1995-03-08	VYDAJ	PREVOD NA UCET	3306	23818	SIPO	CD	5837190
256949	882	1995-04-08	VYDAJ	PREVOD NA UCET	3306	28718	SIPO	CD	5837190
256950	882	1995-05-08	VYDAJ	PREVOD NA UCET	3306	29690	SIPO	CD	5837190
256951	882	1995-06-08	VYDAJ	PREVOD NA UCET	3306	30989	SIPO	CD	5837190
256952	882	1995-07-08	VYDAJ	PREVOD NA UCET	3306	15986	SIPO	CD	5837190
256953	882	1995-08-08	VYDAJ	PREVOD NA UCET	3306	22016	SIPO	CD	5837190
256954	882	1995-09-08	VYDAJ	PREVOD NA UCET	3306	25306	SIPO	CD	5837190
256955	882	1995-10-08	VYDAJ	PREVOD NA UCET	3306	22562	SIPO	CD	5837190
256956	882	1995-11-08	VYDAJ	PREVOD NA UCET	3306	25152	SIPO	CD	5837190
256957	882	1995-12-08	VYDAJ	PREVOD NA UCET	3306	25549	SIPO	CD	5837190
256958	882	1996-01-08	VYDAJ	PREVOD NA UCET	3306	26314	SIPO	CD	5837190
256959	882	1996-02-08	VYDAJ	PREVOD NA UCET	3306	13223	SIPO	CD	5837190
256960	882	1996-03-08	VYDAJ	PREVOD NA UCET	3306	17576	SIPO	CD	5837190
256961	882	1996-04-08	VYDAJ	PREVOD NA UCET	3306	18741	SIPO	CD	5837190
256962	882	1996-05-08	VYDAJ	PREVOD NA UCET	3306	18906	SIPO	CD	5837190
256963	882	1996-06-08	VYDAJ	PREVOD NA UCET	3306	17326	SIPO	CD	5837190
256964	882	1996-07-08	VYDAJ	PREVOD NA UCET	3306	14148	SIPO	CD	5837190
256965	882	1996-08-08	VYDAJ	PREVOD NA UCET	3306	22513	SIPO	CD	5837190
256966	882	1996-09-08	VYDAJ	PREVOD NA UCET	3306	15278	SIPO	CD	5837190
256967	882	1996-10-08	VYDAJ	PREVOD NA UCET	3306	12622	SIPO	CD	5837190
256968	882	1996-11-08	VYDAJ	PREVOD NA UCET	3306	20977	SIPO	CD	5837190
256969	882	1996-12-08	VYDAJ	PREVOD NA UCET	3306	12429	SIPO	CD	5837190
256970	882	1997-01-08	VYDAJ	PREVOD NA UCET	3306	15713	SIPO	CD	5837190
256971	882	1997-02-08	VYDAJ	PREVOD NA UCET	3306	10512	SIPO	CD	5837190
256972	882	1997-03-08	VYDAJ	PREVOD NA UCET	3306	14055	SIPO	CD	5837190
256973	882	1997-04-08	VYDAJ	PREVOD NA UCET	3306	21214	SIPO	CD	5837190
256974	882	1997-05-08	VYDAJ	PREVOD NA UCET	3306	25994	SIPO	CD	5837190
256975	882	1997-06-08	VYDAJ	PREVOD NA UCET	3306	34405	SIPO	CD	5837190
256976	882	1997-07-08	VYDAJ	PREVOD NA UCET	3306	12971	SIPO	CD	5837190
256977	882	1997-08-08	VYDAJ	PREVOD NA UCET	3306	21327	SIPO	CD	5837190
256978	882	1997-09-08	VYDAJ	PREVOD NA UCET	3306	29717	SIPO	CD	5837190
256979	882	1997-10-08	VYDAJ	PREVOD NA UCET	3306	38142	SIPO	CD	5837190
256980	882	1997-11-08	VYDAJ	PREVOD NA UCET	3306	46602	SIPO	CD	5837190
256981	882	1997-12-08	VYDAJ	PREVOD NA UCET	3306	14092	SIPO	CD	5837190
256982	882	1998-01-08	VYDAJ	PREVOD NA UCET	3306	19500	SIPO	CD	5837190
256983	882	1998-02-08	VYDAJ	PREVOD NA UCET	3306	15256	SIPO	CD	5837190
256984	882	1998-03-08	VYDAJ	PREVOD NA UCET	3306	23619	SIPO	CD	5837190
256985	882	1998-04-08	VYDAJ	PREVOD NA UCET	3306	32018	SIPO	CD	5837190
256986	882	1998-05-08	VYDAJ	PREVOD NA UCET	3306	40451	SIPO	CD	5837190
256987	882	1998-06-08	VYDAJ	PREVOD NA UCET	3306	43157	SIPO	CD	5837190
256988	882	1998-07-08	VYDAJ	PREVOD NA UCET	3306	37737	SIPO	CD	5837190
256989	882	1998-08-08	VYDAJ	PREVOD NA UCET	3306	42953	SIPO	CD	5837190
256990	882	1998-09-08	VYDAJ	PREVOD NA UCET	3306	51432	SIPO	CD	5837190
256991	882	1998-10-08	VYDAJ	PREVOD NA UCET	3306	59946	SIPO	CD	5837190
256992	882	1998-11-08	VYDAJ	PREVOD NA UCET	3306	68495	SIPO	CD	5837190
256993	882	1998-12-08	VYDAJ	PREVOD NA UCET	3306	67066	SIPO	CD	5837190
256996	882	1995-06-13	VYDAJ	VYBER	26880	21489	\N	\N	\N
256999	882	1998-06-20	VYDAJ	VYBER	19680	40858	\N	\N	\N
257001	882	1994-01-25	VYDAJ	VYBER	9120	22136	\N	\N	\N
257002	882	1995-01-14	VYDAJ	VYBER	8160	27423	\N	\N	\N
257005	882	1998-01-12	VYDAJ	VYBER	8160	22927	\N	\N	\N
257006	882	1993-12-12	VYDAJ	VYBER	1440	43384	\N	\N	\N
257007	882	1994-12-02	VYDAJ	VYBER	4320	24521	\N	\N	\N
257008	882	1995-12-29	VYDAJ	VYBER	3840	29490	\N	\N	\N
257009	882	1996-12-30	VYDAJ	VYBER	1760	28049	\N	\N	\N
257010	882	1997-12-23	VYDAJ	VYBER	1920	29552	\N	\N	\N
257011	882	1998-12-01	VYDAJ	VYBER KARTOU	1100	70372	\N	\N	0
257018	882	1994-01-04	VYDAJ	VYBER	2160	32575	\N	\N	\N
257019	882	1994-01-04	VYDAJ	VYBER	2760	29815	\N	\N	\N
257020	882	1994-01-04	VYDAJ	VYBER	720	29095	\N	\N	\N
257021	882	1994-01-18	VYDAJ	VYBER	1800	33416	\N	\N	\N
257022	882	1994-01-08	VYDAJ	VYBER	2160	23629	\N	\N	\N
257023	882	1994-01-21	VYDAJ	VYBER	2160	31256	\N	\N	\N
257024	882	1995-01-18	VYDAJ	VYBER	720	26703	\N	\N	\N
257025	882	1995-01-04	VYDAJ	VYBER	1080	31142	\N	\N	\N
257026	882	1995-01-05	VYDAJ	VYBER	600	30542	\N	\N	\N
257027	882	1995-01-27	VYDAJ	VYBER	1320	23683	\N	\N	\N
257028	882	1995-01-28	VYDAJ	VYBER	3240	20443	\N	\N	\N
257029	882	1995-01-14	VYDAJ	VYBER	3240	35583	\N	\N	\N
257030	882	1996-01-28	VYDAJ	VYBER	960	19781	\N	\N	\N
257031	882	1996-01-22	VYDAJ	VYBER	720	27941	\N	\N	\N
257032	882	1996-01-20	VYDAJ	VYBER	1440	28661	\N	\N	\N
257033	882	1996-01-25	VYDAJ	VYBER	1440	20741	\N	\N	\N
257034	882	1996-01-23	VYDAJ	VYBER	2520	25421	\N	\N	\N
257035	882	1996-01-24	VYDAJ	VYBER	3240	22181	\N	\N	\N
257038	882	1997-01-12	VYDAJ	VYBER	2040	25260	\N	\N	\N
257041	882	1997-01-01	VYDAJ	VYBER	2880	25259	\N	\N	\N
257042	882	1998-01-20	VYDAJ	VYBER	1200	21727	\N	\N	\N
257043	882	1998-01-25	VYDAJ	VYBER	1560	18487	\N	\N	\N
257044	882	1998-01-05	VYDAJ	VYBER	1920	23886	\N	\N	\N
257045	882	1998-01-03	VYDAJ	VYBER	1800	25806	\N	\N	\N
257046	882	1998-01-01	VYDAJ	VYBER	2040	27606	\N	\N	\N
257047	882	1998-01-05	VYDAJ	VYBER	1080	22806	\N	\N	\N
257048	882	1993-09-05	VYDAJ	VYBER	5640	29515	\N	\N	\N
257050	882	1993-11-09	VYDAJ	VYBER	1320	26542	\N	\N	\N
257051	882	1993-07-25	VYDAJ	VYBER	3360	44334	\N	\N	\N
257052	882	1993-11-25	VYDAJ	VYBER	5520	32609	\N	\N	\N
257054	882	1994-10-05	VYDAJ	VYBER	5640	21842	\N	\N	\N
257055	882	1994-09-21	VYDAJ	VYBER	720	35661	\N	\N	\N
257056	882	1994-06-21	VYDAJ	VYBER	4920	42763	\N	\N	\N
257057	882	1994-11-25	VYDAJ	VYBER	2160	32925	\N	\N	\N
257058	882	1994-09-02	VYDAJ	VYBER	840	28100	\N	\N	\N
257059	882	1994-10-10	VYDAJ	VYBER	1680	28443	\N	\N	\N
257060	882	1994-08-07	VYDAJ	VYBER	4800	26439	\N	\N	\N
257061	882	1994-10-24	VYDAJ	VYBER	2640	25803	\N	\N	\N
257062	882	1995-04-16	VYDAJ	VYBER	4440	35865	\N	\N	\N
257063	882	1995-10-04	VYDAJ	VYBER	1440	25868	\N	\N	\N
257064	882	1995-05-21	VYDAJ	VYBER	3720	37557	\N	\N	\N
257065	882	1995-07-23	VYDAJ	VYBER	4440	23133	\N	\N	\N
257066	882	1995-07-08	VYDAJ	VYBER	3600	19292	\N	\N	\N
257067	882	1996-05-12	VYDAJ	VYBER	3840	26653	\N	\N	\N
257068	882	1996-02-07	VYDAJ	VYBER	3360	16529	\N	\N	\N
257069	882	1996-04-13	VYDAJ	VYBER	3000	27328	\N	\N	\N
257070	882	1996-07-03	VYDAJ	VYBER	4440	17454	\N	\N	\N
257071	882	1997-02-27	VYDAJ	VYBER	4800	17299	\N	\N	\N
257072	882	1997-03-21	VYDAJ	VYBER	1200	24442	\N	\N	\N
257073	882	1997-04-11	VYDAJ	VYBER	3600	29201	\N	\N	\N
257074	882	1997-01-02	VYDAJ	VYBER	1080	24179	\N	\N	\N
257075	882	1997-01-02	VYDAJ	VYBER	5160	19019	\N	\N	\N
257076	882	1998-11-15	VYDAJ	VYBER KARTOU	2500	77582	\N	\N	0
257077	882	1998-07-29	VYDAJ	VYBER	3240	46084	\N	\N	\N
257078	882	1998-01-23	VYDAJ	VYBER	1680	20047	\N	\N	\N
257079	882	1998-11-21	VYDAJ	VYBER KARTOU	3200	74382	\N	\N	0
257080	882	1998-11-24	VYDAJ	VYBER KARTOU	3200	71182	\N	\N	0
257082	882	1998-05-29	VYDAJ	VYBER	5760	46278	\N	\N	\N
257090	882	1993-07-31	VYDAJ	VYBER	15	44516	SLUZBY	\N	\N
257091	882	1993-08-31	VYDAJ	VYBER	15	41655	SLUZBY	\N	\N
257092	882	1993-09-30	VYDAJ	VYBER	15	37935	SLUZBY	\N	\N
257093	882	1993-10-31	VYDAJ	VYBER	15	41768	SLUZBY	\N	\N
257094	882	1993-11-30	VYDAJ	VYBER	15	32749	SLUZBY	\N	\N
257095	882	1993-12-31	VYDAJ	VYBER	15	34735	SLUZBY	\N	\N
257096	882	1994-01-31	VYDAJ	VYBER	15	26049	SLUZBY	\N	\N
257097	882	1994-02-28	VYDAJ	VYBER	15	34447	SLUZBY	\N	\N
257098	882	1994-03-31	VYDAJ	VYBER	15	30764	SLUZBY	\N	\N
257099	882	1994-04-30	VYDAJ	VYBER	15	39182	SLUZBY	\N	\N
257100	882	1994-05-31	VYDAJ	VYBER	15	33609	SLUZBY	\N	\N
257101	882	1994-06-30	VYDAJ	VYBER	15	31819	SLUZBY	\N	\N
257102	882	1994-07-31	VYDAJ	VYBER	15	31239	SLUZBY	\N	\N
257103	882	1994-08-31	VYDAJ	VYBER	15	28940	SLUZBY	\N	\N
257104	882	1994-09-30	VYDAJ	VYBER	15	27482	SLUZBY	\N	\N
257105	882	1994-10-31	VYDAJ	VYBER	15	26804	SLUZBY	\N	\N
257106	882	1994-11-30	VYDAJ	VYBER	15	28841	SLUZBY	\N	\N
257107	882	1994-12-31	VYDAJ	VYBER	15	32222	SLUZBY	\N	\N
257108	882	1995-01-31	VYDAJ	VYBER	15	20550	SLUZBY	\N	\N
257109	882	1995-02-28	VYDAJ	VYBER	15	27124	SLUZBY	\N	\N
257110	882	1995-03-31	VYDAJ	VYBER	15	32024	SLUZBY	\N	\N
257111	882	1995-04-30	VYDAJ	VYBER	15	32996	SLUZBY	\N	\N
257112	882	1995-05-31	VYDAJ	VYBER	15	34295	SLUZBY	\N	\N
257113	882	1995-06-30	VYDAJ	VYBER	15	22892	SLUZBY	\N	\N
257114	882	1995-07-31	VYDAJ	VYBER	15	25322	SLUZBY	\N	\N
257115	882	1995-08-31	VYDAJ	VYBER	15	28612	SLUZBY	\N	\N
257116	882	1995-09-30	VYDAJ	VYBER	15	27308	SLUZBY	\N	\N
257117	882	1995-10-31	VYDAJ	VYBER	15	28458	SLUZBY	\N	\N
257118	882	1995-11-30	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
257119	882	1995-12-31	VYDAJ	VYBER	15	29620	SLUZBY	\N	\N
257120	882	1996-01-31	VYDAJ	VYBER	15	19889	SLUZBY	\N	\N
257121	882	1996-02-29	VYDAJ	VYBER	15	20882	SLUZBY	\N	\N
257122	882	1996-03-31	VYDAJ	VYBER	15	22047	SLUZBY	\N	\N
257123	882	1996-04-30	VYDAJ	VYBER	15	22212	SLUZBY	\N	\N
257124	882	1996-05-31	VYDAJ	VYBER	15	20632	SLUZBY	\N	\N
257125	882	1996-06-30	VYDAJ	VYBER	15	21894	SLUZBY	\N	\N
257126	882	1996-07-31	VYDAJ	VYBER	15	25819	SLUZBY	\N	\N
257127	882	1996-08-31	VYDAJ	VYBER	15	18584	SLUZBY	\N	\N
257128	882	1996-09-30	VYDAJ	VYBER	15	15928	SLUZBY	\N	\N
257129	882	1996-10-31	VYDAJ	VYBER	15	24283	SLUZBY	\N	\N
257130	882	1996-11-30	VYDAJ	VYBER	15	15735	SLUZBY	\N	\N
257131	882	1996-12-31	VYDAJ	VYBER	15	28139	SLUZBY	\N	\N
257132	882	1997-01-31	VYDAJ	VYBER	15	13818	SLUZBY	\N	\N
257133	882	1997-02-28	VYDAJ	VYBER	15	17361	SLUZBY	\N	\N
257134	882	1997-03-31	VYDAJ	VYBER	15	24520	SLUZBY	\N	\N
257135	882	1997-04-30	VYDAJ	VYBER	15	29300	SLUZBY	\N	\N
257136	882	1997-05-31	VYDAJ	VYBER	15	37711	SLUZBY	\N	\N
257137	882	1997-06-30	VYDAJ	VYBER	15	16277	SLUZBY	\N	\N
257138	882	1997-07-31	VYDAJ	VYBER	15	24633	SLUZBY	\N	\N
257139	882	1997-08-31	VYDAJ	VYBER	15	33023	SLUZBY	\N	\N
257140	882	1997-09-30	VYDAJ	VYBER	15	41448	SLUZBY	\N	\N
257141	882	1997-10-31	VYDAJ	VYBER	15	49908	SLUZBY	\N	\N
257142	882	1997-11-30	VYDAJ	VYBER	15	17398	SLUZBY	\N	\N
257143	882	1997-12-31	VYDAJ	VYBER	15	29646	SLUZBY	\N	\N
257144	882	1998-01-31	VYDAJ	VYBER	15	18562	SLUZBY	\N	\N
257145	882	1998-02-28	VYDAJ	VYBER	15	26925	SLUZBY	\N	\N
257146	882	1998-03-31	VYDAJ	VYBER	15	35324	SLUZBY	\N	\N
257147	882	1998-04-30	VYDAJ	VYBER	15	43757	SLUZBY	\N	\N
257148	882	1998-05-31	VYDAJ	VYBER	15	46463	SLUZBY	\N	\N
257149	882	1998-06-30	VYDAJ	VYBER	15	41043	SLUZBY	\N	\N
257150	882	1998-07-31	VYDAJ	VYBER	15	46259	SLUZBY	\N	\N
257151	882	1998-08-31	VYDAJ	VYBER	15	54738	SLUZBY	\N	\N
257152	882	1998-09-30	VYDAJ	VYBER	15	63252	SLUZBY	\N	\N
257153	882	1998-10-31	VYDAJ	VYBER	15	71801	SLUZBY	\N	\N
257154	882	1998-11-30	VYDAJ	VYBER	15	71472	SLUZBY	\N	\N
257155	882	1993-04-05	PRIJEM	VKLAD	5600	17522	\N	\N	\N
257156	882	1993-05-05	VYDAJ	VYBER	4800	24409	\N	\N	\N
257157	882	1993-06-04	VYDAJ	VYBER	4300	31838	\N	\N	\N
257158	882	1993-07-04	VYDAJ	VYBER	13300	36107	\N	\N	\N
257159	882	1993-08-03	VYDAJ	VYBER	11300	33216	\N	\N	\N
257160	882	1993-09-02	VYDAJ	VYBER	6500	35155	\N	\N	\N
257161	882	1993-10-02	VYDAJ	VYBER	4600	33335	\N	\N	\N
257162	882	1993-11-01	VYDAJ	VYBER	10600	31168	\N	\N	\N
257163	882	1993-12-01	VYDAJ	VYBER	2000	30749	\N	\N	\N
257164	882	1993-12-31	VYDAJ	VYBER	8800	34749	\N	\N	\N
257165	882	1994-01-30	PRIJEM	VKLAD	3800	25936	\N	\N	\N
257166	882	1994-03-01	VYDAJ	VYBER	4800	29647	\N	\N	\N
257167	882	1994-03-31	VYDAJ	VYBER	7300	30779	\N	\N	\N
257168	882	1994-04-30	VYDAJ	VYBER	6000	33182	\N	\N	\N
257169	882	1994-05-30	VYDAJ	VYBER	8000	33463	\N	\N	\N
257170	882	1994-06-29	VYDAJ	VYBER	11100	31663	\N	\N	\N
257171	882	1994-07-29	VYDAJ	VYBER	9000	31100	\N	\N	\N
257172	882	1994-08-28	VYDAJ	VYBER	5900	28820	\N	\N	\N
257173	882	1994-09-27	VYDAJ	VYBER	8300	27361	\N	\N	\N
257174	882	1994-10-27	PRIJEM	VKLAD	900	26703	\N	\N	\N
257175	882	1994-11-26	VYDAJ	VYBER	4200	28725	\N	\N	\N
257176	882	1994-12-26	VYDAJ	VYBER	6500	32095	\N	\N	\N
257177	882	1995-01-25	VYDAJ	VYBER	1700	25003	\N	\N	\N
257178	882	1995-02-24	VYDAJ	VYBER	1800	27031	\N	\N	\N
257179	882	1995-03-26	VYDAJ	VYBER	3500	31905	\N	\N	\N
257180	882	1995-04-25	VYDAJ	VYBER	3000	32865	\N	\N	\N
257181	882	1995-05-25	VYDAJ	VYBER	3400	34157	\N	\N	\N
257182	882	1995-06-24	PRIJEM	VKLAD	1300	22789	\N	\N	\N
257183	882	1995-07-24	PRIJEM	VKLAD	2100	25233	\N	\N	\N
257184	882	1995-08-23	VYDAJ	VYBER	5100	28503	\N	\N	\N
257185	882	1995-09-22	VYDAJ	VYBER	9700	27193	\N	\N	\N
257186	882	1995-10-22	VYDAJ	VYBER	5800	28349	\N	\N	\N
257187	882	1995-11-21	VYDAJ	VYBER	8000	28739	\N	\N	\N
257188	882	1995-12-21	VYDAJ	VYBER	9600	33330	\N	\N	\N
257189	882	1996-01-20	VYDAJ	VYBER	7800	30101	\N	\N	\N
257190	882	1996-02-19	VYDAJ	VYBER	4000	20810	\N	\N	\N
257191	882	1996-03-20	VYDAJ	VYBER	7200	21963	\N	\N	\N
257192	882	1996-04-19	VYDAJ	VYBER	5200	22128	\N	\N	\N
257193	882	1996-05-19	VYDAJ	VYBER	6100	20553	\N	\N	\N
257194	882	1996-06-18	VYDAJ	VYBER	12900	21807	\N	\N	\N
257195	882	1996-08-17	VYDAJ	VYBER	15600	18500	\N	\N	\N
257196	882	1996-09-16	VYDAJ	VYBER	11000	15865	\N	\N	\N
257197	882	1996-11-15	VYDAJ	VYBER	16900	15664	\N	\N	\N
257198	882	1997-01-14	VYDAJ	VYBER	11500	13760	\N	\N	\N
257199	882	1997-06-13	VYDAJ	VYBER	35600	16185	\N	\N	\N
257200	882	1997-11-10	VYDAJ	VYBER	41000	17189	\N	\N	\N
257271	883	1993-12-17	PRIJEM	VKLAD	800	800	\N	\N	\N
257284	883	1994-01-12	PRIJEM	VKLAD	16422	17222	\N	\N	\N
257285	883	1994-02-12	PRIJEM	VKLAD	16422	38491	\N	\N	\N
257286	883	1994-03-12	PRIJEM	VKLAD	16422	49628	\N	\N	\N
257287	883	1994-04-12	PRIJEM	VKLAD	16422	54297	\N	\N	\N
257288	883	1994-05-12	PRIJEM	VKLAD	16422	57784	\N	\N	\N
257289	883	1994-06-12	PRIJEM	VKLAD	24633	59676	\N	\N	\N
257290	883	1994-07-12	PRIJEM	VKLAD	16422	45386	\N	\N	\N
257291	883	1994-08-12	PRIJEM	VKLAD	16422	43334	\N	\N	\N
257292	883	1994-09-12	PRIJEM	VKLAD	16422	43379	\N	\N	\N
257293	883	1994-10-12	PRIJEM	VKLAD	16422	39895	\N	\N	\N
257294	883	1994-11-12	PRIJEM	VKLAD	16422	38262	\N	\N	\N
257295	883	1994-12-12	PRIJEM	VKLAD	24633	46559	\N	\N	\N
257296	883	1995-01-12	PRIJEM	VKLAD	16422	38385	\N	\N	\N
257297	883	1995-02-12	PRIJEM	VKLAD	16422	37040	\N	\N	\N
257298	883	1995-03-12	PRIJEM	VKLAD	16422	39639	\N	\N	\N
257299	883	1995-04-12	PRIJEM	VKLAD	16422	38155	\N	\N	\N
257300	883	1995-05-12	PRIJEM	VKLAD	16422	42393	\N	\N	\N
257301	883	1995-06-12	PRIJEM	VKLAD	24633	52768	\N	\N	\N
257302	883	1995-07-12	PRIJEM	VKLAD	16422	45402	\N	\N	\N
257303	883	1995-08-12	PRIJEM	VKLAD	16422	39550	\N	\N	\N
257304	883	1995-09-12	PRIJEM	VKLAD	16422	42110	\N	\N	\N
257305	883	1995-10-12	PRIJEM	VKLAD	16422	40273	\N	\N	\N
257306	883	1995-11-12	PRIJEM	VKLAD	16422	41652	\N	\N	\N
257307	883	1995-12-12	PRIJEM	VKLAD	24633	52203	\N	\N	\N
257308	883	1996-01-12	PRIJEM	VKLAD	16422	46430	\N	\N	\N
257309	883	1996-02-12	PRIJEM	VKLAD	16422	36419	\N	\N	\N
257310	883	1996-03-12	PRIJEM	VKLAD	16422	36388	\N	\N	\N
257311	883	1996-04-12	PRIJEM	VKLAD	16422	35825	\N	\N	\N
257312	883	1996-05-12	PRIJEM	VKLAD	16422	37360	\N	\N	\N
257313	883	1996-06-12	PRIJEM	VKLAD	24633	37791	\N	\N	\N
257314	883	1996-07-12	PRIJEM	VKLAD	16422	31663	\N	\N	\N
257315	883	1996-08-12	PRIJEM	VKLAD	16422	33885	\N	\N	\N
257316	883	1996-09-12	PRIJEM	VKLAD	16422	29530	\N	\N	\N
257317	883	1996-10-12	PRIJEM	VKLAD	16422	34541	\N	\N	\N
257318	883	1996-11-12	PRIJEM	VKLAD	16422	37367	\N	\N	\N
257319	883	1996-12-12	PRIJEM	VKLAD	24633	47317	\N	\N	\N
257320	883	1997-01-12	PRIJEM	VKLAD	16422	41981	\N	\N	\N
257321	883	1997-02-12	PRIJEM	VKLAD	16422	39507	\N	\N	\N
257322	883	1997-03-12	PRIJEM	VKLAD	16422	34330	\N	\N	\N
257323	883	1997-04-12	PRIJEM	VKLAD	16422	38137	\N	\N	\N
257324	883	1997-05-12	PRIJEM	VKLAD	16422	37075	\N	\N	\N
257325	883	1997-06-12	PRIJEM	VKLAD	24633	45819	\N	\N	\N
257326	883	1997-07-12	PRIJEM	VKLAD	16422	41327	\N	\N	\N
257327	883	1997-08-12	PRIJEM	VKLAD	16422	42377	\N	\N	\N
257328	883	1997-09-12	PRIJEM	VKLAD	16422	39628	\N	\N	\N
257329	883	1997-10-12	PRIJEM	VKLAD	16422	41470	\N	\N	\N
257330	883	1997-11-12	PRIJEM	VKLAD	16422	39189	\N	\N	\N
257331	883	1997-12-12	PRIJEM	VKLAD	24633	45559	\N	\N	\N
257332	883	1998-01-12	PRIJEM	VKLAD	16422	41586	\N	\N	\N
257333	883	1998-02-12	PRIJEM	VKLAD	16422	29319	\N	\N	\N
257334	883	1998-03-12	PRIJEM	VKLAD	16422	32115	\N	\N	\N
257335	883	1998-04-12	PRIJEM	VKLAD	16422	34324	\N	\N	\N
257336	883	1998-05-12	PRIJEM	VKLAD	16422	39443	\N	\N	\N
257337	883	1998-06-12	PRIJEM	VKLAD	24633	51894	\N	\N	\N
257338	883	1998-07-12	PRIJEM	VKLAD	16422	42760	\N	\N	\N
257339	883	1998-08-12	PRIJEM	VKLAD	16422	39205	\N	\N	\N
257340	883	1998-09-12	PRIJEM	VKLAD	16422	27651	\N	\N	\N
257341	883	1998-10-12	PRIJEM	VKLAD	16422	30741	\N	\N	\N
257342	883	1998-11-12	PRIJEM	VKLAD	16422	35243	\N	\N	\N
257343	883	1998-12-12	PRIJEM	VKLAD	24633	45272	\N	\N	\N
257361	883	1994-06-07	VYDAJ	PREVOD NA UCET	6195	35043	SIPO	GH	72100633
257362	883	1994-07-07	VYDAJ	PREVOD NA UCET	6195	28964	SIPO	GH	72100633
257363	883	1994-08-07	VYDAJ	PREVOD NA UCET	6195	26912	SIPO	GH	72100633
257364	883	1994-09-07	VYDAJ	PREVOD NA UCET	6195	26957	SIPO	GH	72100633
257365	883	1994-10-07	VYDAJ	PREVOD NA UCET	6195	23473	SIPO	GH	72100633
257366	883	1994-11-07	VYDAJ	PREVOD NA UCET	6195	21840	SIPO	GH	72100633
257367	883	1994-12-07	VYDAJ	PREVOD NA UCET	6195	23366	SIPO	GH	72100633
257368	883	1995-01-07	VYDAJ	PREVOD NA UCET	6195	23263	SIPO	GH	72100633
257369	883	1995-02-07	VYDAJ	PREVOD NA UCET	6195	19218	SIPO	GH	72100633
257370	883	1995-03-07	VYDAJ	PREVOD NA UCET	6195	23217	SIPO	GH	72100633
257371	883	1995-04-07	VYDAJ	PREVOD NA UCET	6195	19733	SIPO	GH	72100633
257372	883	1995-05-07	VYDAJ	PREVOD NA UCET	6195	29871	SIPO	GH	72100633
257373	883	1995-06-07	VYDAJ	PREVOD NA UCET	6195	34135	SIPO	GH	72100633
257374	883	1995-07-07	VYDAJ	PREVOD NA UCET	6195	42980	SIPO	GH	72100633
257375	883	1995-08-07	VYDAJ	PREVOD NA UCET	6195	33328	SIPO	GH	72100633
257376	883	1995-09-07	VYDAJ	PREVOD NA UCET	6195	31288	SIPO	GH	72100633
257377	883	1995-10-07	VYDAJ	PREVOD NA UCET	6195	33851	SIPO	GH	72100633
257378	883	1995-11-07	VYDAJ	PREVOD NA UCET	6195	25230	SIPO	GH	72100633
257379	883	1995-12-07	VYDAJ	PREVOD NA UCET	6195	32070	SIPO	GH	72100633
257380	883	1996-01-07	VYDAJ	PREVOD NA UCET	6195	30008	SIPO	GH	72100633
257381	883	1996-02-07	VYDAJ	PREVOD NA UCET	6195	19997	SIPO	GH	72100633
257382	883	1996-03-07	VYDAJ	PREVOD NA UCET	6195	19966	SIPO	GH	72100633
257383	883	1996-04-07	VYDAJ	PREVOD NA UCET	6195	19403	SIPO	GH	72100633
257384	883	1996-05-07	VYDAJ	PREVOD NA UCET	6195	20938	SIPO	GH	72100633
257385	883	1996-06-07	VYDAJ	PREVOD NA UCET	6195	13158	SIPO	GH	72100633
257386	883	1996-07-07	VYDAJ	PREVOD NA UCET	6195	15241	SIPO	GH	72100633
257387	883	1996-08-07	VYDAJ	PREVOD NA UCET	6195	17463	SIPO	GH	72100633
257388	883	1996-09-07	VYDAJ	PREVOD NA UCET	6195	13108	SIPO	GH	72100633
257389	883	1996-10-07	VYDAJ	PREVOD NA UCET	6195	18119	SIPO	GH	72100633
257390	883	1996-11-07	VYDAJ	PREVOD NA UCET	6195	20945	SIPO	GH	72100633
257391	883	1996-12-07	VYDAJ	PREVOD NA UCET	6195	22684	SIPO	GH	72100633
257392	883	1997-01-07	VYDAJ	PREVOD NA UCET	6195	25559	SIPO	GH	72100633
257393	883	1997-02-07	VYDAJ	PREVOD NA UCET	6195	23085	SIPO	GH	72100633
257394	883	1997-03-07	VYDAJ	PREVOD NA UCET	6195	22828	SIPO	GH	72100633
257395	883	1997-04-07	VYDAJ	PREVOD NA UCET	6195	21715	SIPO	GH	72100633
257396	883	1997-05-07	VYDAJ	PREVOD NA UCET	6195	20653	SIPO	GH	72100633
257397	883	1997-06-07	VYDAJ	PREVOD NA UCET	6195	21186	SIPO	GH	72100633
257398	883	1997-07-07	VYDAJ	PREVOD NA UCET	6195	24905	SIPO	GH	72100633
257399	883	1997-08-07	VYDAJ	PREVOD NA UCET	6195	25955	SIPO	GH	72100633
257400	883	1997-09-07	VYDAJ	PREVOD NA UCET	6195	23206	SIPO	GH	72100633
257401	883	1997-10-07	VYDAJ	PREVOD NA UCET	6195	25048	SIPO	GH	72100633
257402	883	1997-11-07	VYDAJ	PREVOD NA UCET	6195	22767	SIPO	GH	72100633
257403	883	1997-12-07	VYDAJ	PREVOD NA UCET	6195	20926	SIPO	GH	72100633
257404	883	1998-01-07	VYDAJ	PREVOD NA UCET	6195	25164	SIPO	GH	72100633
257405	883	1998-02-07	VYDAJ	PREVOD NA UCET	6195	12897	SIPO	GH	72100633
257406	883	1998-03-07	VYDAJ	PREVOD NA UCET	6195	15693	SIPO	GH	72100633
257407	883	1998-04-07	VYDAJ	PREVOD NA UCET	6195	17902	SIPO	GH	72100633
257408	883	1998-05-07	VYDAJ	PREVOD NA UCET	6195	23021	SIPO	GH	72100633
257409	883	1998-06-07	VYDAJ	PREVOD NA UCET	6195	27261	SIPO	GH	72100633
257410	883	1998-07-07	VYDAJ	PREVOD NA UCET	6195	26338	SIPO	GH	72100633
257411	883	1998-08-07	VYDAJ	PREVOD NA UCET	6195	22783	SIPO	GH	72100633
257412	883	1998-09-07	VYDAJ	PREVOD NA UCET	6195	11229	SIPO	GH	72100633
257413	883	1998-10-07	VYDAJ	PREVOD NA UCET	6195	14319	SIPO	GH	72100633
257414	883	1998-11-07	VYDAJ	PREVOD NA UCET	6195	18821	SIPO	GH	72100633
257415	883	1998-12-07	VYDAJ	PREVOD NA UCET	6195	20639	SIPO	GH	72100633
257433	883	1994-06-05	VYDAJ	PREVOD NA UCET	1756	41238	 	EF	91641729
257434	883	1994-07-05	VYDAJ	PREVOD NA UCET	1756	35159	 	EF	91641729
257435	883	1994-08-05	VYDAJ	PREVOD NA UCET	1756	33107	 	EF	91641729
257436	883	1994-09-05	VYDAJ	PREVOD NA UCET	1756	33152	 	EF	91641729
257437	883	1994-10-05	VYDAJ	PREVOD NA UCET	1756	29668	 	EF	91641729
257438	883	1994-11-05	VYDAJ	PREVOD NA UCET	1756	28035	 	EF	91641729
257439	883	1994-12-05	VYDAJ	PREVOD NA UCET	1756	29561	 	EF	91641729
257440	883	1995-01-05	VYDAJ	PREVOD NA UCET	1756	29458	 	EF	91641729
257441	883	1995-02-05	VYDAJ	PREVOD NA UCET	1756	25413	 	EF	91641729
257442	883	1995-03-05	VYDAJ	PREVOD NA UCET	1756	29412	 	EF	91641729
257443	883	1995-04-05	VYDAJ	PREVOD NA UCET	1756	25928	 	EF	91641729
257444	883	1995-05-05	VYDAJ	PREVOD NA UCET	1756	36066	 	EF	91641729
257445	883	1995-06-05	VYDAJ	PREVOD NA UCET	1756	40330	 	EF	91641729
257446	883	1995-07-05	VYDAJ	PREVOD NA UCET	1756	49175	 	EF	91641729
257447	883	1995-08-05	VYDAJ	PREVOD NA UCET	1756	43363	 	EF	91641729
257448	883	1995-09-05	VYDAJ	PREVOD NA UCET	1756	37483	 	EF	91641729
257449	883	1995-10-05	VYDAJ	PREVOD NA UCET	1756	40046	 	EF	91641729
257450	883	1995-11-05	VYDAJ	PREVOD NA UCET	1756	32925	 	EF	91641729
257451	883	1995-12-05	VYDAJ	PREVOD NA UCET	1756	38265	 	EF	91641729
257452	883	1996-01-05	VYDAJ	PREVOD NA UCET	1756	47603	 	EF	91641729
257453	883	1996-02-05	VYDAJ	PREVOD NA UCET	1756	26192	 	EF	91641729
257454	883	1996-03-05	VYDAJ	PREVOD NA UCET	1756	32161	 	EF	91641729
257455	883	1996-04-05	VYDAJ	PREVOD NA UCET	1756	34298	 	EF	91641729
257456	883	1996-05-05	VYDAJ	PREVOD NA UCET	1756	31333	 	EF	91641729
257457	883	1996-06-05	VYDAJ	PREVOD NA UCET	1756	19353	 	EF	91641729
257458	883	1996-07-05	VYDAJ	PREVOD NA UCET	1756	24196	 	EF	91641729
257459	883	1996-08-05	VYDAJ	PREVOD NA UCET	1756	23658	 	EF	91641729
257460	883	1996-09-05	VYDAJ	PREVOD NA UCET	1756	25183	 	EF	91641729
257461	883	1996-10-05	VYDAJ	PREVOD NA UCET	1756	24314	 	EF	91641729
257462	883	1996-11-05	VYDAJ	PREVOD NA UCET	1756	27140	 	EF	91641729
257463	883	1996-12-05	VYDAJ	PREVOD NA UCET	1756	28879	 	EF	91641729
257464	883	1997-01-05	VYDAJ	PREVOD NA UCET	1756	31754	 	EF	91641729
257465	883	1997-02-05	VYDAJ	PREVOD NA UCET	1756	29280	 	EF	91641729
257466	883	1997-03-05	VYDAJ	PREVOD NA UCET	1756	29023	 	EF	91641729
257467	883	1997-04-05	VYDAJ	PREVOD NA UCET	1756	27910	 	EF	91641729
257468	883	1997-05-05	VYDAJ	PREVOD NA UCET	1756	26848	 	EF	91641729
257469	883	1997-06-05	VYDAJ	PREVOD NA UCET	1756	27381	 	EF	91641729
257470	883	1997-07-05	VYDAJ	PREVOD NA UCET	1756	31100	 	EF	91641729
257471	883	1997-08-05	VYDAJ	PREVOD NA UCET	1756	32150	 	EF	91641729
257472	883	1997-09-05	VYDAJ	PREVOD NA UCET	1756	29401	 	EF	91641729
257473	883	1997-10-05	VYDAJ	PREVOD NA UCET	1756	31243	 	EF	91641729
257474	883	1997-11-05	VYDAJ	PREVOD NA UCET	1756	28962	 	EF	91641729
257475	883	1997-12-05	VYDAJ	PREVOD NA UCET	1756	27121	 	EF	91641729
257476	883	1998-01-05	VYDAJ	PREVOD NA UCET	1756	31359	 	EF	91641729
257477	883	1998-02-05	VYDAJ	PREVOD NA UCET	1756	19092	 	EF	91641729
257478	883	1998-03-05	VYDAJ	PREVOD NA UCET	1756	21888	 	EF	91641729
257479	883	1998-04-05	VYDAJ	PREVOD NA UCET	1756	24097	 	EF	91641729
257480	883	1998-05-05	VYDAJ	PREVOD NA UCET	1756	29216	 	EF	91641729
257481	883	1998-06-05	VYDAJ	PREVOD NA UCET	1756	33456	 	EF	91641729
257482	883	1998-07-05	VYDAJ	PREVOD NA UCET	1756	32533	 	EF	91641729
257483	883	1998-08-05	VYDAJ	PREVOD NA UCET	1756	28978	 	EF	91641729
257484	883	1998-09-05	VYDAJ	PREVOD NA UCET	1756	17424	 	EF	91641729
257485	883	1998-10-05	VYDAJ	PREVOD NA UCET	1756	20514	 	EF	91641729
257486	883	1998-11-05	VYDAJ	PREVOD NA UCET	1756	25016	 	EF	91641729
257487	883	1998-12-05	VYDAJ	PREVOD NA UCET	1756	26834	 	EF	91641729
257504	883	1994-05-14	VYDAJ	PREVOD NA UCET	455	57329	POJISTNE	QR	20838284
257505	883	1994-06-14	VYDAJ	PREVOD NA UCET	455	59221	POJISTNE	QR	20838284
257506	883	1994-07-14	VYDAJ	PREVOD NA UCET	455	44931	POJISTNE	QR	20838284
257507	883	1994-08-14	VYDAJ	PREVOD NA UCET	455	34779	POJISTNE	QR	20838284
257508	883	1994-09-14	VYDAJ	PREVOD NA UCET	455	32624	POJISTNE	QR	20838284
257509	883	1994-10-14	VYDAJ	PREVOD NA UCET	455	32440	POJISTNE	QR	20838284
257510	883	1994-11-14	VYDAJ	PREVOD NA UCET	455	31207	POJISTNE	QR	20838284
257511	883	1994-12-14	VYDAJ	PREVOD NA UCET	455	31104	POJISTNE	QR	20838284
257512	883	1995-01-14	VYDAJ	PREVOD NA UCET	455	37930	POJISTNE	QR	20838284
257513	883	1995-02-14	VYDAJ	PREVOD NA UCET	455	31065	POJISTNE	QR	20838284
257514	883	1995-03-14	VYDAJ	PREVOD NA UCET	455	27584	POJISTNE	QR	20838284
257515	883	1995-04-14	VYDAJ	PREVOD NA UCET	455	37700	POJISTNE	QR	20838284
257516	883	1995-05-14	VYDAJ	PREVOD NA UCET	455	41938	POJISTNE	QR	20838284
257517	883	1995-06-14	VYDAJ	PREVOD NA UCET	455	52313	POJISTNE	QR	20838284
257518	883	1995-07-14	VYDAJ	PREVOD NA UCET	455	44947	POJISTNE	QR	20838284
257519	883	1995-08-14	VYDAJ	PREVOD NA UCET	455	39095	POJISTNE	QR	20838284
257520	883	1995-09-14	VYDAJ	PREVOD NA UCET	455	41655	POJISTNE	QR	20838284
257521	883	1995-10-14	VYDAJ	PREVOD NA UCET	455	39818	POJISTNE	QR	20838284
257522	883	1995-11-14	VYDAJ	PREVOD NA UCET	455	41197	POJISTNE	QR	20838284
257523	883	1995-12-14	VYDAJ	PREVOD NA UCET	455	49188	POJISTNE	QR	20838284
257524	883	1996-01-14	VYDAJ	PREVOD NA UCET	455	34615	POJISTNE	QR	20838284
257525	883	1996-02-14	VYDAJ	PREVOD NA UCET	455	33804	POJISTNE	QR	20838284
257526	883	1996-03-14	VYDAJ	PREVOD NA UCET	455	35933	POJISTNE	QR	20838284
257527	883	1996-04-14	VYDAJ	PREVOD NA UCET	455	35370	POJISTNE	QR	20838284
257528	883	1996-05-14	VYDAJ	PREVOD NA UCET	455	36905	POJISTNE	QR	20838284
257529	883	1996-06-14	VYDAJ	PREVOD NA UCET	455	37336	POJISTNE	QR	20838284
257530	883	1996-07-14	VYDAJ	PREVOD NA UCET	455	31208	POJISTNE	QR	20838284
257531	883	1996-08-14	VYDAJ	PREVOD NA UCET	455	33430	POJISTNE	QR	20838284
257532	883	1996-09-14	VYDAJ	PREVOD NA UCET	455	29075	POJISTNE	QR	20838284
257533	883	1996-10-14	VYDAJ	PREVOD NA UCET	455	34086	POJISTNE	QR	20838284
257534	883	1996-11-14	VYDAJ	PREVOD NA UCET	455	36912	POJISTNE	QR	20838284
257535	883	1996-12-14	VYDAJ	PREVOD NA UCET	455	46862	POJISTNE	QR	20838284
257536	883	1997-01-14	VYDAJ	PREVOD NA UCET	455	41526	POJISTNE	QR	20838284
257537	883	1997-02-14	VYDAJ	PREVOD NA UCET	455	39052	POJISTNE	QR	20838284
257538	883	1997-03-14	VYDAJ	PREVOD NA UCET	455	31955	POJISTNE	QR	20838284
257539	883	1997-04-14	VYDAJ	PREVOD NA UCET	455	37682	POJISTNE	QR	20838284
257540	883	1997-05-14	VYDAJ	PREVOD NA UCET	455	36620	POJISTNE	QR	20838284
257541	883	1997-06-14	VYDAJ	PREVOD NA UCET	455	42724	POJISTNE	QR	20838284
257542	883	1997-07-14	VYDAJ	PREVOD NA UCET	455	40872	POJISTNE	QR	20838284
257543	883	1997-08-14	VYDAJ	PREVOD NA UCET	455	41922	POJISTNE	QR	20838284
257544	883	1997-09-14	VYDAJ	PREVOD NA UCET	455	39173	POJISTNE	QR	20838284
257545	883	1997-10-14	VYDAJ	PREVOD NA UCET	455	37415	POJISTNE	QR	20838284
257546	883	1997-11-14	VYDAJ	PREVOD NA UCET	455	38734	POJISTNE	QR	20838284
257547	883	1997-12-14	VYDAJ	PREVOD NA UCET	455	45104	POJISTNE	QR	20838284
257548	883	1998-01-14	VYDAJ	PREVOD NA UCET	455	41131	POJISTNE	QR	20838284
257549	883	1998-02-14	VYDAJ	PREVOD NA UCET	455	28864	POJISTNE	QR	20838284
257550	883	1998-03-14	VYDAJ	PREVOD NA UCET	455	31660	POJISTNE	QR	20838284
257551	883	1998-04-14	VYDAJ	PREVOD NA UCET	455	33869	POJISTNE	QR	20838284
257552	883	1998-05-14	VYDAJ	PREVOD NA UCET	455	38988	POJISTNE	QR	20838284
257553	883	1998-06-14	VYDAJ	PREVOD NA UCET	455	51439	POJISTNE	QR	20838284
257554	883	1998-07-14	VYDAJ	PREVOD NA UCET	455	42305	POJISTNE	QR	20838284
257555	883	1998-08-14	VYDAJ	PREVOD NA UCET	455	38750	POJISTNE	QR	20838284
257556	883	1998-09-14	VYDAJ	PREVOD NA UCET	455	27196	POJISTNE	QR	20838284
257557	883	1998-10-14	VYDAJ	PREVOD NA UCET	455	30286	POJISTNE	QR	20838284
257558	883	1998-11-14	VYDAJ	PREVOD NA UCET	455	34788	POJISTNE	QR	20838284
257559	883	1998-12-14	VYDAJ	PREVOD NA UCET	455	44817	POJISTNE	QR	20838284
257563	883	1996-06-02	VYDAJ	VYBER	18720	18309	\N	\N	\N
257568	883	1995-01-26	VYDAJ	VYBER	10880	27050	\N	\N	\N
257569	883	1996-01-12	VYDAJ	VYBER	11360	35070	\N	\N	\N
257570	883	1997-01-19	VYDAJ	VYBER	5120	36406	\N	\N	\N
257571	883	1998-01-14	VYDAJ	VYBER	14080	27051	\N	\N	\N
257573	883	1994-12-11	VYDAJ	VYBER	1440	21926	\N	\N	\N
257574	883	1995-12-13	VYDAJ	VYBER	2560	49643	\N	\N	\N
257575	883	1996-12-19	VYDAJ	VYBER	1600	45262	\N	\N	\N
257576	883	1997-12-23	VYDAJ	VYBER	4320	40784	\N	\N	\N
257577	883	1998-12-26	VYDAJ	VYBER	2720	31097	\N	\N	\N
257584	883	1994-09-27	VYDAJ	VYBER	1320	31304	\N	\N	\N
257586	883	1994-10-23	VYDAJ	VYBER	2760	29680	\N	\N	\N
257587	883	1994-06-21	VYDAJ	VYBER	2760	36761	\N	\N	\N
257588	883	1995-02-12	VYDAJ	VYBER	5520	31520	\N	\N	\N
257589	883	1995-06-19	VYDAJ	VYBER	1560	50753	\N	\N	\N
257590	883	1995-08-05	VYDAJ	VYBER	3840	39523	\N	\N	\N
257591	883	1995-11-16	VYDAJ	VYBER	1320	39877	\N	\N	\N
257592	883	1995-11-02	VYDAJ	VYBER	5280	34681	\N	\N	\N
257593	883	1996-05-01	VYDAJ	VYBER	2400	33089	\N	\N	\N
257594	883	1996-01-24	VYDAJ	VYBER	3000	31615	\N	\N	\N
257595	883	1996-09-06	VYDAJ	VYBER	5880	19303	\N	\N	\N
257596	883	1996-02-14	VYDAJ	VYBER	2160	34259	\N	\N	\N
257597	883	1996-07-05	VYDAJ	VYBER	2760	21436	\N	\N	\N
257598	883	1997-12-03	VYDAJ	VYBER	3480	28877	\N	\N	\N
257599	883	1997-03-13	VYDAJ	VYBER	1920	32410	\N	\N	\N
257600	883	1997-10-27	VYDAJ	VYBER	4320	30595	\N	\N	\N
257601	883	1997-06-12	VYDAJ	VYBER	2640	43179	\N	\N	\N
257602	883	1997-03-07	VYDAJ	VYBER	4920	17908	\N	\N	\N
257603	883	1997-10-14	VYDAJ	VYBER	3600	37870	\N	\N	\N
257604	883	1998-12-20	VYDAJ	VYBER	1920	42897	\N	\N	\N
257605	883	1998-09-04	VYDAJ	VYBER	5880	19180	\N	\N	\N
257606	883	1998-12-26	VYDAJ	VYBER	4080	33817	\N	\N	\N
257608	883	1998-12-01	VYDAJ	VYBER	1200	28590	\N	\N	\N
257626	883	1994-05-31	VYDAJ	VYBER	15	42994	SLUZBY	\N	\N
257627	883	1994-06-30	VYDAJ	VYBER	15	36915	SLUZBY	\N	\N
257628	883	1994-07-31	VYDAJ	VYBER	15	34863	SLUZBY	\N	\N
257629	883	1994-08-31	VYDAJ	VYBER	15	34908	SLUZBY	\N	\N
257630	883	1994-09-30	VYDAJ	VYBER	15	31424	SLUZBY	\N	\N
257631	883	1994-10-31	VYDAJ	VYBER	15	29791	SLUZBY	\N	\N
257632	883	1994-11-30	VYDAJ	VYBER	15	31317	SLUZBY	\N	\N
257633	883	1994-12-31	VYDAJ	VYBER	15	31214	SLUZBY	\N	\N
257634	883	1995-01-31	VYDAJ	VYBER	15	27169	SLUZBY	\N	\N
257635	883	1995-02-28	VYDAJ	VYBER	15	31168	SLUZBY	\N	\N
257636	883	1995-03-31	VYDAJ	VYBER	15	27684	SLUZBY	\N	\N
257637	883	1995-04-30	VYDAJ	VYBER	15	37822	SLUZBY	\N	\N
257638	883	1995-05-31	VYDAJ	VYBER	15	42086	SLUZBY	\N	\N
257639	883	1995-06-30	VYDAJ	VYBER	15	50931	SLUZBY	\N	\N
257640	883	1995-07-31	VYDAJ	VYBER	15	45119	SLUZBY	\N	\N
257641	883	1995-08-31	VYDAJ	VYBER	15	39239	SLUZBY	\N	\N
257642	883	1995-09-30	VYDAJ	VYBER	15	41802	SLUZBY	\N	\N
257643	883	1995-10-31	VYDAJ	VYBER	15	39961	SLUZBY	\N	\N
257644	883	1995-11-30	VYDAJ	VYBER	15	40021	SLUZBY	\N	\N
257645	883	1995-12-31	VYDAJ	VYBER	15	49359	SLUZBY	\N	\N
257646	883	1996-01-31	VYDAJ	VYBER	15	31748	SLUZBY	\N	\N
257647	883	1996-02-29	VYDAJ	VYBER	15	33917	SLUZBY	\N	\N
257648	883	1996-03-31	VYDAJ	VYBER	15	36054	SLUZBY	\N	\N
257649	883	1996-04-30	VYDAJ	VYBER	15	35489	SLUZBY	\N	\N
257650	883	1996-05-31	VYDAJ	VYBER	15	37029	SLUZBY	\N	\N
257651	883	1996-06-30	VYDAJ	VYBER	15	37452	SLUZBY	\N	\N
257652	883	1996-07-31	VYDAJ	VYBER	15	31314	SLUZBY	\N	\N
257653	883	1996-08-31	VYDAJ	VYBER	15	33539	SLUZBY	\N	\N
257654	883	1996-09-30	VYDAJ	VYBER	15	29170	SLUZBY	\N	\N
257655	883	1996-10-31	VYDAJ	VYBER	15	34196	SLUZBY	\N	\N
257656	883	1996-11-30	VYDAJ	VYBER	15	37035	SLUZBY	\N	\N
257657	883	1996-12-31	VYDAJ	VYBER	15	33510	SLUZBY	\N	\N
257658	883	1997-01-31	VYDAJ	VYBER	15	31036	SLUZBY	\N	\N
257659	883	1997-02-28	VYDAJ	VYBER	15	39179	SLUZBY	\N	\N
257660	883	1997-03-31	VYDAJ	VYBER	15	32066	SLUZBY	\N	\N
257661	883	1997-04-30	VYDAJ	VYBER	15	28604	SLUZBY	\N	\N
257662	883	1997-05-31	VYDAJ	VYBER	15	29137	SLUZBY	\N	\N
257663	883	1997-06-30	VYDAJ	VYBER	15	32856	SLUZBY	\N	\N
257664	883	1997-07-31	VYDAJ	VYBER	15	33906	SLUZBY	\N	\N
257665	883	1997-08-31	VYDAJ	VYBER	15	31157	SLUZBY	\N	\N
257666	883	1997-09-30	VYDAJ	VYBER	15	32999	SLUZBY	\N	\N
257667	883	1997-10-31	VYDAJ	VYBER	15	30718	SLUZBY	\N	\N
257668	883	1997-11-30	VYDAJ	VYBER	15	32357	SLUZBY	\N	\N
257669	883	1997-12-31	VYDAJ	VYBER	15	33115	SLUZBY	\N	\N
257670	883	1998-01-31	VYDAJ	VYBER	15	20848	SLUZBY	\N	\N
257671	883	1998-02-28	VYDAJ	VYBER	15	23644	SLUZBY	\N	\N
257672	883	1998-03-31	VYDAJ	VYBER	15	25853	SLUZBY	\N	\N
257673	883	1998-04-30	VYDAJ	VYBER	15	30972	SLUZBY	\N	\N
257674	883	1998-05-31	VYDAJ	VYBER	15	35212	SLUZBY	\N	\N
257675	883	1998-06-30	VYDAJ	VYBER	15	34289	SLUZBY	\N	\N
257676	883	1998-07-31	VYDAJ	VYBER	15	30734	SLUZBY	\N	\N
257677	883	1998-08-31	VYDAJ	VYBER	15	25060	SLUZBY	\N	\N
257678	883	1998-09-30	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
257679	883	1998-10-31	VYDAJ	VYBER	15	26772	SLUZBY	\N	\N
257680	883	1998-11-30	VYDAJ	VYBER	15	29790	SLUZBY	\N	\N
257681	883	1994-01-16	PRIJEM	VKLAD	4800	22022	\N	\N	\N
257682	883	1994-02-15	VYDAJ	VYBER	5400	33091	\N	\N	\N
257683	883	1994-03-17	VYDAJ	VYBER	11900	37728	\N	\N	\N
257684	883	1994-04-16	VYDAJ	VYBER	13100	41197	\N	\N	\N
257685	883	1994-05-16	VYDAJ	VYBER	14500	42829	\N	\N	\N
257686	883	1994-06-15	VYDAJ	VYBER	19700	39521	\N	\N	\N
257687	883	1994-07-15	VYDAJ	VYBER	10200	34731	\N	\N	\N
257688	883	1994-08-14	VYDAJ	VYBER	8100	35234	\N	\N	\N
257689	883	1994-09-13	VYDAJ	VYBER	10300	33079	\N	\N	\N
257690	883	1994-10-13	VYDAJ	VYBER	7000	32895	\N	\N	\N
257691	883	1994-11-12	VYDAJ	VYBER	6600	31662	\N	\N	\N
257692	883	1994-12-12	VYDAJ	VYBER	15000	31559	\N	\N	\N
257693	883	1995-01-11	VYDAJ	VYBER	1300	21963	\N	\N	\N
257694	883	1995-02-10	PRIJEM	VKLAD	1400	20618	\N	\N	\N
257695	883	1995-03-12	VYDAJ	VYBER	11600	28039	\N	\N	\N
257696	883	1995-04-11	PRIJEM	VKLAD	2000	21733	\N	\N	\N
257697	883	1995-05-11	VYDAJ	VYBER	3900	25971	\N	\N	\N
257698	883	1995-06-10	VYDAJ	VYBER	6000	28135	\N	\N	\N
257699	883	1995-07-10	VYDAJ	VYBER	14000	28980	\N	\N	\N
257700	883	1995-08-09	VYDAJ	VYBER	10200	23128	\N	\N	\N
257701	883	1995-09-08	VYDAJ	VYBER	5600	25688	\N	\N	\N
257702	883	1995-10-08	VYDAJ	VYBER	10000	23851	\N	\N	\N
257703	883	1995-11-07	VYDAJ	VYBER	1500	31425	\N	\N	\N
257704	883	1995-12-07	VYDAJ	VYBER	4500	27570	\N	\N	\N
257705	883	1996-01-06	VYDAJ	VYBER	11400	36203	\N	\N	\N
257706	883	1996-02-05	VYDAJ	VYBER	3800	27948	\N	\N	\N
257707	883	1996-03-06	VYDAJ	VYBER	6000	26161	\N	\N	\N
257708	883	1996-04-05	VYDAJ	VYBER	8700	25598	\N	\N	\N
257709	883	1996-05-05	VYDAJ	VYBER	4200	27133	\N	\N	\N
257710	883	1996-06-04	PRIJEM	VKLAD	2800	21109	\N	\N	\N
257711	883	1996-07-04	VYDAJ	VYBER	11500	25952	\N	\N	\N
257712	883	1996-08-03	VYDAJ	VYBER	5900	25414	\N	\N	\N
257713	883	1996-09-02	VYDAJ	VYBER	6600	26939	\N	\N	\N
257714	883	1996-10-02	VYDAJ	VYBER	3100	26070	\N	\N	\N
257715	883	1996-11-01	VYDAJ	VYBER	5300	28896	\N	\N	\N
257716	883	1996-12-01	VYDAJ	VYBER	6400	30635	\N	\N	\N
257717	883	1996-12-31	VYDAJ	VYBER	11900	33525	\N	\N	\N
257718	883	1997-01-30	VYDAJ	VYBER	5500	30906	\N	\N	\N
257719	883	1997-03-01	VYDAJ	VYBER	8400	30779	\N	\N	\N
257720	883	1997-03-31	VYDAJ	VYBER	2400	29666	\N	\N	\N
257721	883	1997-04-30	VYDAJ	VYBER	9200	28618	\N	\N	\N
257722	883	1997-05-30	VYDAJ	VYBER	7600	29020	\N	\N	\N
257723	883	1997-06-29	VYDAJ	VYBER	10000	32724	\N	\N	\N
257724	883	1997-07-29	VYDAJ	VYBER	7100	33772	\N	\N	\N
257725	883	1997-08-28	VYDAJ	VYBER	10900	31022	\N	\N	\N
257726	883	1997-09-27	VYDAJ	VYBER	6300	32873	\N	\N	\N
257727	883	1997-10-27	VYDAJ	VYBER	2500	34915	\N	\N	\N
257728	883	1997-11-26	VYDAJ	VYBER	6500	32234	\N	\N	\N
257729	883	1997-12-26	VYDAJ	VYBER	7800	32984	\N	\N	\N
257730	883	1998-01-25	VYDAJ	VYBER	6300	20751	\N	\N	\N
257731	883	1998-02-24	VYDAJ	VYBER	5300	23564	\N	\N	\N
257732	883	1998-03-26	VYDAJ	VYBER	5900	25760	\N	\N	\N
257733	883	1998-04-25	VYDAJ	VYBER	3000	30869	\N	\N	\N
257734	883	1998-05-25	VYDAJ	VYBER	3900	35088	\N	\N	\N
257735	883	1998-06-24	VYDAJ	VYBER	17300	34139	\N	\N	\N
257736	883	1998-07-24	VYDAJ	VYBER	11700	30605	\N	\N	\N
257737	883	1998-08-23	VYDAJ	VYBER	13800	24950	\N	\N	\N
257738	883	1998-09-22	VYDAJ	VYBER	5000	22196	\N	\N	\N
257739	883	1998-10-22	VYDAJ	VYBER	3600	26686	\N	\N	\N
257740	883	1998-11-21	VYDAJ	VYBER	5100	29688	\N	\N	\N
257741	883	1998-12-21	VYDAJ	VYBER	5000	37897	\N	\N	\N
257802	884	1993-12-07	PRIJEM	VKLAD	500	3889	\N	\N	\N
257814	884	1993-12-07	PRIJEM	PREVOD Z UCTU	3389	3389	\N	KL	35420459
257815	884	1994-01-07	PRIJEM	PREVOD Z UCTU	3389	7289	\N	KL	35420459
257816	884	1994-02-07	PRIJEM	PREVOD Z UCTU	3389	10693	\N	KL	35420459
257817	884	1994-03-07	PRIJEM	PREVOD Z UCTU	3389	14096	\N	KL	35420459
257818	884	1994-04-07	PRIJEM	PREVOD Z UCTU	3389	17499	\N	KL	35420459
257819	884	1994-05-07	PRIJEM	PREVOD Z UCTU	3389	18630	\N	KL	35420459
257820	884	1994-06-07	PRIJEM	PREVOD Z UCTU	3389	15652	\N	KL	35420459
257821	884	1994-07-07	PRIJEM	PREVOD Z UCTU	3389	16835	\N	KL	35420459
257822	884	1994-08-07	PRIJEM	PREVOD Z UCTU	3389	18020	\N	KL	35420459
257823	884	1994-09-07	PRIJEM	PREVOD Z UCTU	3389	19209	\N	KL	35420459
257824	884	1994-10-07	PRIJEM	PREVOD Z UCTU	3389	18931	\N	KL	35420459
257825	884	1994-11-07	PRIJEM	PREVOD Z UCTU	3389	20124	\N	KL	35420459
257826	884	1994-12-07	PRIJEM	PREVOD Z UCTU	3389	19221	\N	KL	35420459
257827	884	1995-01-07	PRIJEM	PREVOD Z UCTU	3389	19244	\N	KL	35420459
257828	884	1995-02-07	PRIJEM	PREVOD Z UCTU	3389	16356	\N	KL	35420459
257829	884	1995-03-07	PRIJEM	PREVOD Z UCTU	3389	17268	\N	KL	35420459
257830	884	1995-04-07	PRIJEM	PREVOD Z UCTU	3389	17644	\N	KL	35420459
257831	884	1995-05-07	PRIJEM	PREVOD Z UCTU	3389	17991	\N	KL	35420459
257832	884	1995-06-07	PRIJEM	PREVOD Z UCTU	3389	19180	\N	KL	35420459
257833	884	1995-07-07	PRIJEM	PREVOD Z UCTU	3389	16492	\N	KL	35420459
257834	884	1995-08-07	PRIJEM	PREVOD Z UCTU	3389	17675	\N	KL	35420459
257835	884	1995-09-07	PRIJEM	PREVOD Z UCTU	3389	18863	\N	KL	35420459
257836	884	1995-10-07	PRIJEM	PREVOD Z UCTU	3389	20056	\N	KL	35420459
257837	884	1995-11-07	PRIJEM	PREVOD Z UCTU	3389	21254	\N	KL	35420459
257838	884	1995-12-07	PRIJEM	PREVOD Z UCTU	3389	22457	\N	KL	35420459
257839	884	1996-01-07	PRIJEM	PREVOD Z UCTU	3389	20453	\N	KL	35420459
257840	884	1996-02-07	PRIJEM	PREVOD Z UCTU	3389	17896	\N	KL	35420459
257841	884	1996-03-07	PRIJEM	PREVOD Z UCTU	3389	19085	\N	KL	35420459
257842	884	1996-04-07	PRIJEM	PREVOD Z UCTU	3389	20279	\N	KL	35420459
257843	884	1996-05-07	PRIJEM	PREVOD Z UCTU	3389	20213	\N	KL	35420459
257844	884	1996-06-07	PRIJEM	PREVOD Z UCTU	3389	21412	\N	KL	35420459
257845	884	1996-07-07	PRIJEM	PREVOD Z UCTU	3389	19732	\N	KL	35420459
257846	884	1996-08-07	PRIJEM	PREVOD Z UCTU	3389	20928	\N	KL	35420459
257847	884	1996-09-07	PRIJEM	PREVOD Z UCTU	3389	22129	\N	KL	35420459
257848	884	1996-10-07	PRIJEM	PREVOD Z UCTU	3389	23336	\N	KL	35420459
257849	884	1996-11-07	PRIJEM	PREVOD Z UCTU	3389	24547	\N	KL	35420459
257850	884	1996-12-07	PRIJEM	PREVOD Z UCTU	3389	24713	\N	KL	35420459
257851	884	1997-01-07	PRIJEM	PREVOD Z UCTU	3389	24879	\N	KL	35420459
257852	884	1997-02-07	PRIJEM	PREVOD Z UCTU	3389	23513	\N	KL	35420459
258067	884	1996-05-31	VYDAJ	VYBER	15	20282	SLUZBY	\N	\N
257853	884	1997-03-07	PRIJEM	PREVOD Z UCTU	3389	24725	\N	KL	35420459
257854	884	1997-04-07	PRIJEM	PREVOD Z UCTU	3389	25941	\N	KL	35420459
257855	884	1997-05-07	PRIJEM	PREVOD Z UCTU	3389	26963	\N	KL	35420459
257856	884	1997-06-07	PRIJEM	PREVOD Z UCTU	3389	28189	\N	KL	35420459
257857	884	1997-07-07	PRIJEM	PREVOD Z UCTU	3389	24218	\N	KL	35420459
257858	884	1997-08-07	PRIJEM	PREVOD Z UCTU	3389	25433	\N	KL	35420459
257859	884	1997-09-07	PRIJEM	PREVOD Z UCTU	3389	26652	\N	KL	35420459
257860	884	1997-10-07	PRIJEM	PREVOD Z UCTU	3389	27376	\N	KL	35420459
257861	884	1997-11-07	PRIJEM	PREVOD Z UCTU	3389	28603	\N	KL	35420459
257862	884	1997-12-07	PRIJEM	PREVOD Z UCTU	3389	27731	\N	KL	35420459
257863	884	1998-01-07	PRIJEM	PREVOD Z UCTU	3389	26260	\N	KL	35420459
257864	884	1998-02-07	PRIJEM	PREVOD Z UCTU	3389	25288	\N	KL	35420459
257865	884	1998-03-07	PRIJEM	PREVOD Z UCTU	3389	26506	\N	KL	35420459
257866	884	1998-04-07	PRIJEM	PREVOD Z UCTU	3389	27730	\N	KL	35420459
257867	884	1998-05-07	PRIJEM	PREVOD Z UCTU	3389	28958	\N	KL	35420459
257868	884	1998-06-07	PRIJEM	PREVOD Z UCTU	3389	29532	\N	KL	35420459
257869	884	1998-07-07	PRIJEM	PREVOD Z UCTU	3389	26384	\N	KL	35420459
257870	884	1998-08-07	PRIJEM	PREVOD Z UCTU	3389	27336	\N	KL	35420459
257871	884	1998-09-07	PRIJEM	PREVOD Z UCTU	3389	28562	\N	KL	35420459
257872	884	1998-10-07	PRIJEM	PREVOD Z UCTU	3389	29393	\N	KL	35420459
257873	884	1998-11-07	PRIJEM	PREVOD Z UCTU	3389	25657	\N	KL	35420459
257874	884	1998-12-07	PRIJEM	PREVOD Z UCTU	3389	21173	\N	KL	35420459
257891	884	1994-05-05	VYDAJ	PREVOD NA UCET	2259	15241	\N	AB	15814888
257892	884	1994-06-05	VYDAJ	PREVOD NA UCET	2259	16433	\N	AB	15814888
257893	884	1994-07-05	VYDAJ	PREVOD NA UCET	2259	13446	\N	AB	15814888
257894	884	1994-08-05	VYDAJ	PREVOD NA UCET	2259	14631	\N	AB	15814888
257895	884	1994-09-05	VYDAJ	PREVOD NA UCET	2259	15820	\N	AB	15814888
257896	884	1994-10-05	VYDAJ	PREVOD NA UCET	2259	15752	\N	AB	15814888
257897	884	1994-11-05	VYDAJ	PREVOD NA UCET	2259	16735	\N	AB	15814888
257898	884	1994-12-05	VYDAJ	PREVOD NA UCET	2259	15832	\N	AB	15814888
257899	884	1995-01-05	VYDAJ	PREVOD NA UCET	2259	15855	\N	AB	15814888
257900	884	1995-02-05	VYDAJ	PREVOD NA UCET	2259	12967	\N	AB	15814888
257901	884	1995-03-05	VYDAJ	PREVOD NA UCET	2259	13879	\N	AB	15814888
257902	884	1995-04-05	VYDAJ	PREVOD NA UCET	2259	14255	\N	AB	15814888
257903	884	1995-05-05	VYDAJ	PREVOD NA UCET	2259	14602	\N	AB	15814888
257904	884	1995-06-05	VYDAJ	PREVOD NA UCET	2259	15791	\N	AB	15814888
257905	884	1995-07-05	VYDAJ	PREVOD NA UCET	2259	13103	\N	AB	15814888
257906	884	1995-08-05	VYDAJ	PREVOD NA UCET	2259	14286	\N	AB	15814888
257907	884	1995-09-05	VYDAJ	PREVOD NA UCET	2259	15474	\N	AB	15814888
257908	884	1995-10-05	VYDAJ	PREVOD NA UCET	2259	16667	\N	AB	15814888
257909	884	1995-11-05	VYDAJ	PREVOD NA UCET	2259	17865	\N	AB	15814888
257910	884	1995-12-05	VYDAJ	PREVOD NA UCET	2259	19068	\N	AB	15814888
257911	884	1996-01-05	VYDAJ	PREVOD NA UCET	2259	18144	\N	AB	15814888
257912	884	1996-02-05	VYDAJ	PREVOD NA UCET	2259	14507	\N	AB	15814888
257913	884	1996-03-05	VYDAJ	PREVOD NA UCET	2259	15696	\N	AB	15814888
257914	884	1996-04-05	VYDAJ	PREVOD NA UCET	2259	16890	\N	AB	15814888
257915	884	1996-05-05	VYDAJ	PREVOD NA UCET	2259	16824	\N	AB	15814888
257916	884	1996-06-05	VYDAJ	PREVOD NA UCET	2259	18023	\N	AB	15814888
257917	884	1996-07-05	VYDAJ	PREVOD NA UCET	2259	16343	\N	AB	15814888
257918	884	1996-08-05	VYDAJ	PREVOD NA UCET	2259	17539	\N	AB	15814888
257919	884	1996-09-05	VYDAJ	PREVOD NA UCET	2259	18740	\N	AB	15814888
257920	884	1996-10-05	VYDAJ	PREVOD NA UCET	2259	19947	\N	AB	15814888
257921	884	1996-11-05	VYDAJ	PREVOD NA UCET	2259	21158	\N	AB	15814888
257922	884	1996-12-05	VYDAJ	PREVOD NA UCET	2259	21324	\N	AB	15814888
257923	884	1997-01-05	VYDAJ	PREVOD NA UCET	2259	21970	\N	AB	15814888
257924	884	1997-02-05	VYDAJ	PREVOD NA UCET	2259	20124	\N	AB	15814888
257925	884	1997-03-05	VYDAJ	PREVOD NA UCET	2259	21336	\N	AB	15814888
257926	884	1997-04-05	VYDAJ	PREVOD NA UCET	2259	22552	\N	AB	15814888
257927	884	1997-05-05	VYDAJ	PREVOD NA UCET	2259	23574	\N	AB	15814888
257928	884	1997-06-05	VYDAJ	PREVOD NA UCET	2259	24800	\N	AB	15814888
257929	884	1997-07-05	VYDAJ	PREVOD NA UCET	2259	20829	\N	AB	15814888
257930	884	1997-08-05	VYDAJ	PREVOD NA UCET	2259	22044	\N	AB	15814888
257931	884	1997-09-05	VYDAJ	PREVOD NA UCET	2259	23263	\N	AB	15814888
257932	884	1997-10-05	VYDAJ	PREVOD NA UCET	2259	23987	\N	AB	15814888
257933	884	1997-11-05	VYDAJ	PREVOD NA UCET	2259	25214	\N	AB	15814888
257934	884	1997-12-05	VYDAJ	PREVOD NA UCET	2259	24342	\N	AB	15814888
257935	884	1998-01-05	VYDAJ	PREVOD NA UCET	2259	22871	\N	AB	15814888
257936	884	1998-02-05	VYDAJ	PREVOD NA UCET	2259	21899	\N	AB	15814888
257937	884	1998-03-05	VYDAJ	PREVOD NA UCET	2259	23117	\N	AB	15814888
257938	884	1998-04-05	VYDAJ	PREVOD NA UCET	2259	24341	\N	AB	15814888
257939	884	1998-05-05	VYDAJ	PREVOD NA UCET	2259	25569	\N	AB	15814888
257940	884	1998-06-05	VYDAJ	PREVOD NA UCET	2259	26143	\N	AB	15814888
257941	884	1998-07-05	VYDAJ	PREVOD NA UCET	2259	22995	\N	AB	15814888
257942	884	1998-08-05	VYDAJ	PREVOD NA UCET	2259	23947	\N	AB	15814888
257943	884	1998-09-05	VYDAJ	PREVOD NA UCET	2259	25173	\N	AB	15814888
257944	884	1998-10-05	VYDAJ	PREVOD NA UCET	2259	26004	\N	AB	15814888
257945	884	1998-11-05	VYDAJ	PREVOD NA UCET	2259	22268	\N	AB	15814888
257946	884	1998-12-05	VYDAJ	PREVOD NA UCET	2259	17784	\N	AB	15814888
257948	884	1994-06-05	VYDAJ	VYBER	4170	12263	\N	\N	\N
257949	884	1995-06-08	VYDAJ	VYBER	3870	15310	\N	\N	\N
257950	884	1996-06-23	VYDAJ	VYBER	2880	18532	\N	\N	\N
257951	884	1997-06-14	VYDAJ	VYBER	4800	23389	\N	\N	\N
257952	884	1998-06-23	VYDAJ	VYBER	3600	25932	\N	\N	\N
257955	884	1995-01-28	VYDAJ	VYBER	1770	16844	\N	\N	\N
257956	884	1996-01-06	VYDAJ	VYBER	1080	17064	\N	\N	\N
257957	884	1997-01-15	VYDAJ	VYBER	1110	23769	\N	\N	\N
257958	884	1998-01-01	VYDAJ	VYBER	1800	25130	\N	\N	\N
257960	884	1994-12-08	VYDAJ	VYBER	420	18801	\N	\N	\N
257961	884	1995-12-09	VYDAJ	VYBER	660	21797	\N	\N	\N
257962	884	1996-12-12	VYDAJ	VYBER	240	24473	\N	\N	\N
257963	884	1997-12-18	VYDAJ	VYBER	240	27491	\N	\N	\N
257964	884	1998-12-21	VYDAJ	VYBER	510	20663	\N	\N	\N
257977	884	1995-01-30	VYDAJ	VYBER	300	15944	\N	\N	\N
257978	884	1995-01-25	VYDAJ	VYBER	150	18614	\N	\N	\N
257979	884	1995-01-01	VYDAJ	VYBER	750	18114	\N	\N	\N
257980	884	1995-01-28	VYDAJ	VYBER	600	16244	\N	\N	\N
257981	884	1995-01-30	VYDAJ	VYBER	780	15164	\N	\N	\N
257982	884	1995-01-15	VYDAJ	VYBER	480	18764	\N	\N	\N
257983	884	1996-01-18	VYDAJ	VYBER	240	18953	\N	\N	\N
257984	884	1996-01-20	VYDAJ	VYBER	840	17363	\N	\N	\N
257985	884	1996-01-07	VYDAJ	VYBER	390	20063	\N	\N	\N
257986	884	1996-01-27	VYDAJ	VYBER	360	17003	\N	\N	\N
257987	884	1996-01-12	VYDAJ	VYBER	870	19193	\N	\N	\N
257988	884	1996-01-18	VYDAJ	VYBER	750	18203	\N	\N	\N
257989	884	1997-01-28	VYDAJ	VYBER	180	22299	\N	\N	\N
257990	884	1997-01-19	VYDAJ	VYBER	450	23319	\N	\N	\N
257991	884	1997-01-01	VYDAJ	VYBER	180	24379	\N	\N	\N
257992	884	1997-01-05	VYDAJ	VYBER	150	24229	\N	\N	\N
257993	884	1997-01-05	VYDAJ	VYBER	480	21490	\N	\N	\N
257994	884	1997-01-27	VYDAJ	VYBER	840	22479	\N	\N	\N
257995	884	1998-01-09	VYDAJ	VYBER	270	25990	\N	\N	\N
257996	884	1998-01-14	VYDAJ	VYBER	630	25360	\N	\N	\N
257997	884	1998-01-16	VYDAJ	VYBER	510	24850	\N	\N	\N
257998	884	1998-01-29	VYDAJ	VYBER	600	24070	\N	\N	\N
257999	884	1998-01-21	VYDAJ	VYBER	180	24670	\N	\N	\N
258000	884	1998-01-01	VYDAJ	VYBER	660	26930	\N	\N	\N
258005	884	1994-11-23	VYDAJ	VYBER	900	19224	\N	\N	\N
258006	884	1994-11-26	VYDAJ	VYBER	1200	18024	\N	\N	\N
258007	884	1994-10-06	VYDAJ	VYBER	210	15542	\N	\N	\N
258009	884	1994-09-14	VYDAJ	VYBER	1260	17949	\N	\N	\N
258010	884	1995-03-31	VYDAJ	VYBER	810	16529	\N	\N	\N
258011	884	1995-12-21	VYDAJ	VYBER	180	21617	\N	\N	\N
258012	884	1995-04-19	VYDAJ	VYBER	840	16804	\N	\N	\N
258013	884	1995-02-07	VYDAJ	VYBER	270	16086	\N	\N	\N
258014	884	1996-01-02	VYDAJ	VYBER	1290	20403	\N	\N	\N
258015	884	1996-04-09	VYDAJ	VYBER	1260	19019	\N	\N	\N
258016	884	1996-11-28	VYDAJ	VYBER	1050	23497	\N	\N	\N
258017	884	1996-01-30	VYDAJ	VYBER	300	16703	\N	\N	\N
258018	884	1997-06-20	VYDAJ	VYBER	390	22999	\N	\N	\N
258019	884	1998-08-01	VYDAJ	VYBER	270	26206	\N	\N	\N
258020	884	1998-07-01	VYDAJ	VYBER	780	25254	\N	\N	\N
258021	884	1998-10-25	VYDAJ	VYBER	480	24433	\N	\N	\N
258022	884	1998-11-07	VYDAJ	VYBER	540	25117	\N	\N	\N
258023	884	1998-12-03	VYDAJ	VYBER	1050	20043	\N	\N	\N
258024	884	1998-05-29	VYDAJ	VYBER	660	28298	\N	\N	\N
258025	884	1998-10-24	VYDAJ	VYBER	780	24913	\N	\N	\N
258042	884	1994-04-30	VYDAJ	VYBER	15	17500	SLUZBY	\N	\N
258043	884	1994-05-31	VYDAJ	VYBER	15	18692	SLUZBY	\N	\N
258044	884	1994-06-30	VYDAJ	VYBER	15	15705	SLUZBY	\N	\N
258045	884	1994-07-31	VYDAJ	VYBER	15	16890	SLUZBY	\N	\N
258046	884	1994-08-31	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
258047	884	1994-09-30	VYDAJ	VYBER	15	18011	SLUZBY	\N	\N
258048	884	1994-10-31	VYDAJ	VYBER	15	18994	SLUZBY	\N	\N
258049	884	1994-11-30	VYDAJ	VYBER	15	18091	SLUZBY	\N	\N
258050	884	1994-12-31	VYDAJ	VYBER	15	18864	SLUZBY	\N	\N
258051	884	1995-01-31	VYDAJ	VYBER	15	15226	SLUZBY	\N	\N
258052	884	1995-02-28	VYDAJ	VYBER	15	16138	SLUZBY	\N	\N
258053	884	1995-03-31	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
258054	884	1995-04-30	VYDAJ	VYBER	15	16861	SLUZBY	\N	\N
258055	884	1995-05-31	VYDAJ	VYBER	15	18050	SLUZBY	\N	\N
258056	884	1995-06-30	VYDAJ	VYBER	15	15362	SLUZBY	\N	\N
258057	884	1995-07-31	VYDAJ	VYBER	15	16545	SLUZBY	\N	\N
258058	884	1995-08-31	VYDAJ	VYBER	15	17733	SLUZBY	\N	\N
258059	884	1995-09-30	VYDAJ	VYBER	15	18926	SLUZBY	\N	\N
258060	884	1995-10-31	VYDAJ	VYBER	15	20124	SLUZBY	\N	\N
258061	884	1995-11-30	VYDAJ	VYBER	15	21327	SLUZBY	\N	\N
258062	884	1995-12-31	VYDAJ	VYBER	15	21693	SLUZBY	\N	\N
258063	884	1996-01-31	VYDAJ	VYBER	15	16766	SLUZBY	\N	\N
258064	884	1996-02-29	VYDAJ	VYBER	15	17955	SLUZBY	\N	\N
258065	884	1996-03-31	VYDAJ	VYBER	15	19149	SLUZBY	\N	\N
258066	884	1996-04-30	VYDAJ	VYBER	15	19083	SLUZBY	\N	\N
258068	884	1996-06-30	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
258069	884	1996-07-31	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
258070	884	1996-08-31	VYDAJ	VYBER	15	20999	SLUZBY	\N	\N
258071	884	1996-09-30	VYDAJ	VYBER	15	22206	SLUZBY	\N	\N
258072	884	1996-10-31	VYDAJ	VYBER	15	23417	SLUZBY	\N	\N
258073	884	1996-11-30	VYDAJ	VYBER	15	23583	SLUZBY	\N	\N
258074	884	1996-12-31	VYDAJ	VYBER	15	24559	SLUZBY	\N	\N
258075	884	1997-01-31	VYDAJ	VYBER	15	22383	SLUZBY	\N	\N
258076	884	1997-02-28	VYDAJ	VYBER	15	23595	SLUZBY	\N	\N
258077	884	1997-03-31	VYDAJ	VYBER	15	24811	SLUZBY	\N	\N
258078	884	1997-04-30	VYDAJ	VYBER	15	25833	SLUZBY	\N	\N
258079	884	1997-05-31	VYDAJ	VYBER	15	27059	SLUZBY	\N	\N
258080	884	1997-06-30	VYDAJ	VYBER	15	23088	SLUZBY	\N	\N
258081	884	1997-07-31	VYDAJ	VYBER	15	24303	SLUZBY	\N	\N
258082	884	1997-08-31	VYDAJ	VYBER	15	25522	SLUZBY	\N	\N
258083	884	1997-09-30	VYDAJ	VYBER	15	26246	SLUZBY	\N	\N
258084	884	1997-10-31	VYDAJ	VYBER	15	27473	SLUZBY	\N	\N
258085	884	1997-11-30	VYDAJ	VYBER	15	26601	SLUZBY	\N	\N
258086	884	1997-12-31	VYDAJ	VYBER	15	27590	SLUZBY	\N	\N
258087	884	1998-01-31	VYDAJ	VYBER	15	24158	SLUZBY	\N	\N
258088	884	1998-02-28	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
258089	884	1998-03-31	VYDAJ	VYBER	15	26600	SLUZBY	\N	\N
258090	884	1998-04-30	VYDAJ	VYBER	15	27828	SLUZBY	\N	\N
258091	884	1998-05-31	VYDAJ	VYBER	15	28402	SLUZBY	\N	\N
258092	884	1998-06-30	VYDAJ	VYBER	15	26034	SLUZBY	\N	\N
258093	884	1998-07-31	VYDAJ	VYBER	15	26476	SLUZBY	\N	\N
258094	884	1998-08-31	VYDAJ	VYBER	15	27432	SLUZBY	\N	\N
258095	884	1998-09-30	VYDAJ	VYBER	15	28263	SLUZBY	\N	\N
258096	884	1998-10-31	VYDAJ	VYBER	15	24527	SLUZBY	\N	\N
258097	884	1998-11-30	VYDAJ	VYBER	15	21093	SLUZBY	\N	\N
258098	884	1997-04-20	VYDAJ	VYBER	200	25741	\N	\N	\N
258099	884	1997-09-17	VYDAJ	VYBER	500	26152	\N	\N	\N
258100	884	1997-11-16	VYDAJ	VYBER	2100	26503	\N	\N	\N
258101	884	1998-09-12	VYDAJ	VYBER	400	28162	\N	\N	\N
258102	884	1998-10-12	VYDAJ	VYBER	3700	25693	\N	\N	\N
258103	884	1998-11-11	VYDAJ	VYBER	4100	21017	\N	\N	\N
258165	885	1993-06-25	PRIJEM	VKLAD	300	300	\N	\N	\N
258172	885	1993-07-07	PRIJEM	VKLAD	21038	21338	\N	\N	\N
258173	885	1993-08-07	PRIJEM	VKLAD	21038	45299	\N	\N	\N
258174	885	1993-09-07	PRIJEM	VKLAD	21038	58452	\N	\N	\N
258175	885	1993-10-07	PRIJEM	VKLAD	21038	60548	\N	\N	\N
258176	885	1993-11-07	PRIJEM	VKLAD	21038	62051	\N	\N	\N
258177	885	1993-12-07	PRIJEM	VKLAD	31557	73809	\N	\N	\N
258178	885	1994-01-07	PRIJEM	VKLAD	21038	66276	\N	\N	\N
258179	885	1994-02-07	PRIJEM	VKLAD	21038	62017	\N	\N	\N
258180	885	1994-03-07	PRIJEM	VKLAD	21038	63954	\N	\N	\N
258181	885	1994-04-07	PRIJEM	VKLAD	21038	60596	\N	\N	\N
258182	885	1994-05-07	PRIJEM	VKLAD	21038	64430	\N	\N	\N
258183	885	1994-06-07	PRIJEM	VKLAD	31557	76795	\N	\N	\N
258184	885	1994-07-07	PRIJEM	VKLAD	21038	53661	\N	\N	\N
258185	885	1994-08-07	PRIJEM	VKLAD	21038	60468	\N	\N	\N
258186	885	1994-09-07	PRIJEM	VKLAD	21038	62090	\N	\N	\N
258187	885	1994-10-07	PRIJEM	VKLAD	21038	64121	\N	\N	\N
258188	885	1994-11-07	PRIJEM	VKLAD	21038	64056	\N	\N	\N
258189	885	1994-12-07	PRIJEM	VKLAD	31557	74608	\N	\N	\N
258190	885	1995-01-07	PRIJEM	VKLAD	21038	65458	\N	\N	\N
258191	885	1995-02-07	PRIJEM	VKLAD	21038	54284	\N	\N	\N
258192	885	1995-03-07	PRIJEM	VKLAD	21038	63692	\N	\N	\N
258193	885	1995-04-07	PRIJEM	VKLAD	21038	67831	\N	\N	\N
258194	885	1995-05-07	PRIJEM	VKLAD	21038	69881	\N	\N	\N
258195	885	1995-06-07	PRIJEM	VKLAD	31557	81155	\N	\N	\N
258196	885	1995-07-07	PRIJEM	VKLAD	21038	61421	\N	\N	\N
258197	885	1995-08-07	PRIJEM	VKLAD	21038	63241	\N	\N	\N
258198	885	1995-09-07	PRIJEM	VKLAD	21038	62360	\N	\N	\N
258199	885	1995-10-07	PRIJEM	VKLAD	21038	66886	\N	\N	\N
258200	885	1995-11-07	PRIJEM	VKLAD	21038	65716	\N	\N	\N
258201	885	1995-12-07	PRIJEM	VKLAD	31557	80674	\N	\N	\N
258202	885	1996-01-07	PRIJEM	VKLAD	21038	69127	\N	\N	\N
258203	885	1996-02-07	PRIJEM	VKLAD	21038	60454	\N	\N	\N
258204	885	1996-03-07	PRIJEM	VKLAD	21038	66603	\N	\N	\N
258205	885	1996-04-07	PRIJEM	VKLAD	21038	64834	\N	\N	\N
258206	885	1996-05-07	PRIJEM	VKLAD	21038	66762	\N	\N	\N
258207	885	1996-06-07	PRIJEM	VKLAD	31557	75016	\N	\N	\N
258208	885	1996-07-07	PRIJEM	VKLAD	21038	67559	\N	\N	\N
258209	885	1996-08-07	PRIJEM	VKLAD	21038	68995	\N	\N	\N
258210	885	1996-09-07	PRIJEM	VKLAD	21038	66626	\N	\N	\N
258211	885	1996-10-07	PRIJEM	VKLAD	21038	67351	\N	\N	\N
258212	885	1996-11-07	PRIJEM	VKLAD	21038	63275	\N	\N	\N
258213	885	1996-12-07	PRIJEM	VKLAD	31557	82962	\N	\N	\N
258214	885	1997-01-07	PRIJEM	VKLAD	21038	80104	\N	\N	\N
258215	885	1997-02-07	PRIJEM	VKLAD	21038	78739	\N	\N	\N
258216	885	1997-03-07	PRIJEM	VKLAD	21038	77377	\N	\N	\N
258217	885	1997-04-07	PRIJEM	VKLAD	21038	78417	\N	\N	\N
258218	885	1997-05-07	PRIJEM	VKLAD	21038	76458	\N	\N	\N
258219	885	1997-06-07	PRIJEM	VKLAD	31557	87213	\N	\N	\N
258220	885	1997-07-07	PRIJEM	VKLAD	21038	79776	\N	\N	\N
258221	885	1997-08-07	PRIJEM	VKLAD	21038	81225	\N	\N	\N
258222	885	1997-09-07	PRIJEM	VKLAD	21038	81277	\N	\N	\N
258223	885	1997-10-07	PRIJEM	VKLAD	21038	86431	\N	\N	\N
258224	885	1997-11-07	PRIJEM	VKLAD	21038	87202	\N	\N	\N
258225	885	1997-12-07	PRIJEM	VKLAD	31557	100994	\N	\N	\N
258226	885	1998-01-07	PRIJEM	VKLAD	21038	98714	\N	\N	\N
258227	885	1998-02-07	PRIJEM	VKLAD	21038	91013	\N	\N	\N
258228	885	1998-03-07	PRIJEM	VKLAD	21038	90987	\N	\N	\N
258229	885	1998-04-07	PRIJEM	VKLAD	21038	90870	\N	\N	\N
258230	885	1998-05-07	PRIJEM	VKLAD	21038	91042	\N	\N	\N
258231	885	1998-06-07	PRIJEM	VKLAD	31557	100026	\N	\N	\N
258232	885	1998-07-07	PRIJEM	VKLAD	21038	94100	\N	\N	\N
258233	885	1998-08-07	PRIJEM	VKLAD	21038	97882	\N	\N	\N
258234	885	1998-09-07	PRIJEM	VKLAD	21038	101278	\N	\N	\N
258235	885	1998-10-07	PRIJEM	VKLAD	21038	103083	\N	\N	\N
258236	885	1998-11-07	PRIJEM	VKLAD	21038	105597	\N	\N	\N
258237	885	1998-12-07	PRIJEM	VKLAD	31557	115837	\N	\N	\N
258248	885	1993-11-08	VYDAJ	PREVOD NA UCET	872	61179	SIPO	GH	90082960
258249	885	1993-12-08	VYDAJ	PREVOD NA UCET	872	72937	SIPO	GH	90082960
258250	885	1994-01-08	VYDAJ	PREVOD NA UCET	872	65404	SIPO	GH	90082960
258251	885	1994-02-08	VYDAJ	PREVOD NA UCET	872	61145	SIPO	GH	90082960
258252	885	1994-03-08	VYDAJ	PREVOD NA UCET	872	63082	SIPO	GH	90082960
258253	885	1994-04-08	VYDAJ	PREVOD NA UCET	872	59724	SIPO	GH	90082960
258254	885	1994-05-08	VYDAJ	PREVOD NA UCET	872	63558	SIPO	GH	90082960
258255	885	1994-06-08	VYDAJ	PREVOD NA UCET	872	75923	SIPO	GH	90082960
258256	885	1994-07-08	VYDAJ	PREVOD NA UCET	872	52789	SIPO	GH	90082960
258257	885	1994-08-08	VYDAJ	PREVOD NA UCET	872	57896	SIPO	GH	90082960
258258	885	1994-09-08	VYDAJ	PREVOD NA UCET	872	61218	SIPO	GH	90082960
258259	885	1994-10-08	VYDAJ	PREVOD NA UCET	872	63249	SIPO	GH	90082960
258260	885	1994-11-08	VYDAJ	PREVOD NA UCET	872	63184	SIPO	GH	90082960
258261	885	1994-12-08	VYDAJ	PREVOD NA UCET	872	73736	SIPO	GH	90082960
258262	885	1995-01-08	VYDAJ	PREVOD NA UCET	872	64586	SIPO	GH	90082960
258263	885	1995-02-08	VYDAJ	PREVOD NA UCET	872	53412	SIPO	GH	90082960
258264	885	1995-03-08	VYDAJ	PREVOD NA UCET	872	62820	SIPO	GH	90082960
258265	885	1995-04-08	VYDAJ	PREVOD NA UCET	872	66959	SIPO	GH	90082960
258266	885	1995-05-08	VYDAJ	PREVOD NA UCET	872	69009	SIPO	GH	90082960
258267	885	1995-06-08	VYDAJ	PREVOD NA UCET	872	80283	SIPO	GH	90082960
258268	885	1995-07-08	VYDAJ	PREVOD NA UCET	872	60549	SIPO	GH	90082960
258269	885	1995-08-08	VYDAJ	PREVOD NA UCET	872	62369	SIPO	GH	90082960
258270	885	1995-09-08	VYDAJ	PREVOD NA UCET	872	61488	SIPO	GH	90082960
258271	885	1995-10-08	VYDAJ	PREVOD NA UCET	872	66014	SIPO	GH	90082960
258272	885	1995-11-08	VYDAJ	PREVOD NA UCET	872	64844	SIPO	GH	90082960
258273	885	1995-12-08	VYDAJ	PREVOD NA UCET	872	79802	SIPO	GH	90082960
258274	885	1996-01-08	VYDAJ	PREVOD NA UCET	872	68255	SIPO	GH	90082960
258275	885	1996-02-08	VYDAJ	PREVOD NA UCET	872	59582	SIPO	GH	90082960
258276	885	1996-03-08	VYDAJ	PREVOD NA UCET	872	65731	SIPO	GH	90082960
258277	885	1996-04-08	VYDAJ	PREVOD NA UCET	872	63962	SIPO	GH	90082960
258278	885	1996-05-08	VYDAJ	PREVOD NA UCET	872	65890	SIPO	GH	90082960
258279	885	1996-06-08	VYDAJ	PREVOD NA UCET	872	74144	SIPO	GH	90082960
258280	885	1996-07-08	VYDAJ	PREVOD NA UCET	872	66687	SIPO	GH	90082960
258281	885	1996-08-08	VYDAJ	PREVOD NA UCET	872	51623	SIPO	GH	90082960
258282	885	1996-09-08	VYDAJ	PREVOD NA UCET	872	48554	SIPO	GH	90082960
258283	885	1996-10-08	VYDAJ	PREVOD NA UCET	872	51779	SIPO	GH	90082960
258284	885	1996-11-08	VYDAJ	PREVOD NA UCET	872	62403	SIPO	GH	90082960
258285	885	1996-12-08	VYDAJ	PREVOD NA UCET	872	82090	SIPO	GH	90082960
258286	885	1997-01-08	VYDAJ	PREVOD NA UCET	872	79232	SIPO	GH	90082960
258287	885	1997-02-08	VYDAJ	PREVOD NA UCET	872	77867	SIPO	GH	90082960
258288	885	1997-03-08	VYDAJ	PREVOD NA UCET	872	76505	SIPO	GH	90082960
258289	885	1997-04-08	VYDAJ	PREVOD NA UCET	872	77545	SIPO	GH	90082960
258290	885	1997-05-08	VYDAJ	PREVOD NA UCET	872	75586	SIPO	GH	90082960
258291	885	1997-06-08	VYDAJ	PREVOD NA UCET	872	86341	SIPO	GH	90082960
258292	885	1997-07-08	VYDAJ	PREVOD NA UCET	872	78904	SIPO	GH	90082960
258293	885	1997-08-08	VYDAJ	PREVOD NA UCET	872	80353	SIPO	GH	90082960
258294	885	1997-09-08	VYDAJ	PREVOD NA UCET	872	80405	SIPO	GH	90082960
258295	885	1997-10-08	VYDAJ	PREVOD NA UCET	872	85559	SIPO	GH	90082960
258296	885	1997-11-08	VYDAJ	PREVOD NA UCET	872	86330	SIPO	GH	90082960
258297	885	1997-12-08	VYDAJ	PREVOD NA UCET	872	100122	SIPO	GH	90082960
258298	885	1998-01-08	VYDAJ	PREVOD NA UCET	872	97842	SIPO	GH	90082960
258299	885	1998-02-08	VYDAJ	PREVOD NA UCET	872	90141	SIPO	GH	90082960
258300	885	1998-03-08	VYDAJ	PREVOD NA UCET	872	90115	SIPO	GH	90082960
258301	885	1998-04-08	VYDAJ	PREVOD NA UCET	872	89998	SIPO	GH	90082960
258302	885	1998-05-08	VYDAJ	PREVOD NA UCET	872	90170	SIPO	GH	90082960
258303	885	1998-06-08	VYDAJ	PREVOD NA UCET	872	99154	SIPO	GH	90082960
258304	885	1998-07-08	VYDAJ	PREVOD NA UCET	872	93228	SIPO	GH	90082960
258305	885	1998-08-08	VYDAJ	PREVOD NA UCET	872	97010	SIPO	GH	90082960
258306	885	1998-09-08	VYDAJ	PREVOD NA UCET	872	100406	SIPO	GH	90082960
258307	885	1998-10-08	VYDAJ	PREVOD NA UCET	872	102211	SIPO	GH	90082960
258308	885	1998-11-08	VYDAJ	PREVOD NA UCET	872	104725	SIPO	GH	90082960
258309	885	1998-12-08	VYDAJ	PREVOD NA UCET	872	114965	SIPO	GH	90082960
258320	885	1993-11-10	VYDAJ	PREVOD NA UCET	2420	58759	 	UV	97141348
258321	885	1993-12-10	VYDAJ	PREVOD NA UCET	2420	70517	 	UV	97141348
258322	885	1994-01-10	VYDAJ	PREVOD NA UCET	2420	61884	 	UV	97141348
258323	885	1994-02-10	VYDAJ	PREVOD NA UCET	2420	58725	 	UV	97141348
258324	885	1994-03-10	VYDAJ	PREVOD NA UCET	2420	60662	 	UV	97141348
258325	885	1994-04-10	VYDAJ	PREVOD NA UCET	2420	57304	 	UV	97141348
258326	885	1994-05-10	VYDAJ	PREVOD NA UCET	2420	61138	 	UV	97141348
258327	885	1994-06-10	VYDAJ	PREVOD NA UCET	2420	73503	 	UV	97141348
258328	885	1994-07-10	VYDAJ	PREVOD NA UCET	2420	50369	 	UV	97141348
258329	885	1994-08-10	VYDAJ	PREVOD NA UCET	2420	55476	 	UV	97141348
258330	885	1994-09-10	VYDAJ	PREVOD NA UCET	2420	58798	 	UV	97141348
258331	885	1994-10-10	VYDAJ	PREVOD NA UCET	2420	60829	 	UV	97141348
258332	885	1994-11-10	VYDAJ	PREVOD NA UCET	2420	60764	 	UV	97141348
258333	885	1994-12-10	VYDAJ	PREVOD NA UCET	2420	71316	 	UV	97141348
258334	885	1995-01-10	VYDAJ	PREVOD NA UCET	2420	62166	 	UV	97141348
258335	885	1995-02-10	VYDAJ	PREVOD NA UCET	2420	50992	 	UV	97141348
258336	885	1995-03-10	VYDAJ	PREVOD NA UCET	2420	60400	 	UV	97141348
258337	885	1995-04-10	VYDAJ	PREVOD NA UCET	2420	64539	 	UV	97141348
258338	885	1995-05-10	VYDAJ	PREVOD NA UCET	2420	66589	 	UV	97141348
258339	885	1995-06-10	VYDAJ	PREVOD NA UCET	2420	77863	 	UV	97141348
258340	885	1995-07-10	VYDAJ	PREVOD NA UCET	2420	58129	 	UV	97141348
258341	885	1995-08-10	VYDAJ	PREVOD NA UCET	2420	59949	 	UV	97141348
258342	885	1995-09-10	VYDAJ	PREVOD NA UCET	2420	59068	 	UV	97141348
258343	885	1995-10-10	VYDAJ	PREVOD NA UCET	2420	63594	 	UV	97141348
258344	885	1995-11-10	VYDAJ	PREVOD NA UCET	2420	62424	 	UV	97141348
258345	885	1995-12-10	VYDAJ	PREVOD NA UCET	2420	77382	 	UV	97141348
258346	885	1996-01-10	VYDAJ	PREVOD NA UCET	2420	65835	 	UV	97141348
258347	885	1996-02-10	VYDAJ	PREVOD NA UCET	2420	57162	 	UV	97141348
258348	885	1996-03-10	VYDAJ	PREVOD NA UCET	2420	63311	 	UV	97141348
258349	885	1996-04-10	VYDAJ	PREVOD NA UCET	2420	61542	 	UV	97141348
258350	885	1996-05-10	VYDAJ	PREVOD NA UCET	2420	63470	 	UV	97141348
258351	885	1996-06-10	VYDAJ	PREVOD NA UCET	2420	49924	 	UV	97141348
258352	885	1996-07-10	VYDAJ	PREVOD NA UCET	2420	47767	 	UV	97141348
258353	885	1996-08-10	VYDAJ	PREVOD NA UCET	2420	49203	 	UV	97141348
258354	885	1996-09-10	VYDAJ	PREVOD NA UCET	2420	46134	 	UV	97141348
258355	885	1996-10-10	VYDAJ	PREVOD NA UCET	2420	49359	 	UV	97141348
258356	885	1996-11-10	VYDAJ	PREVOD NA UCET	2420	59983	 	UV	97141348
258357	885	1996-12-10	VYDAJ	PREVOD NA UCET	2420	79670	 	UV	97141348
258358	885	1997-01-10	VYDAJ	PREVOD NA UCET	2420	76812	 	UV	97141348
258359	885	1997-02-10	VYDAJ	PREVOD NA UCET	2420	75447	 	UV	97141348
258360	885	1997-03-10	VYDAJ	PREVOD NA UCET	2420	74085	 	UV	97141348
258361	885	1997-04-10	VYDAJ	PREVOD NA UCET	2420	75125	 	UV	97141348
258362	885	1997-05-10	VYDAJ	PREVOD NA UCET	2420	73166	 	UV	97141348
258363	885	1997-06-10	VYDAJ	PREVOD NA UCET	2420	83921	 	UV	97141348
258364	885	1997-07-10	VYDAJ	PREVOD NA UCET	2420	76484	 	UV	97141348
258365	885	1997-08-10	VYDAJ	PREVOD NA UCET	2420	77933	 	UV	97141348
258366	885	1997-09-10	VYDAJ	PREVOD NA UCET	2420	77985	 	UV	97141348
258367	885	1997-10-10	VYDAJ	PREVOD NA UCET	2420	83139	 	UV	97141348
258368	885	1997-11-10	VYDAJ	PREVOD NA UCET	2420	83910	 	UV	97141348
258369	885	1997-12-10	VYDAJ	PREVOD NA UCET	2420	97702	 	UV	97141348
258370	885	1998-01-10	VYDAJ	PREVOD NA UCET	2420	94522	 	UV	97141348
258371	885	1998-02-10	VYDAJ	PREVOD NA UCET	2420	87721	 	UV	97141348
258372	885	1998-03-10	VYDAJ	PREVOD NA UCET	2420	87695	 	UV	97141348
258373	885	1998-04-10	VYDAJ	PREVOD NA UCET	2420	87578	 	UV	97141348
258374	885	1998-05-10	VYDAJ	PREVOD NA UCET	2420	87750	 	UV	97141348
258375	885	1998-06-10	VYDAJ	PREVOD NA UCET	2420	96734	 	UV	97141348
258376	885	1998-07-10	VYDAJ	PREVOD NA UCET	2420	90808	 	UV	97141348
258377	885	1998-08-10	VYDAJ	PREVOD NA UCET	2420	94590	 	UV	97141348
258378	885	1998-09-10	VYDAJ	PREVOD NA UCET	2420	97986	 	UV	97141348
258379	885	1998-10-10	VYDAJ	PREVOD NA UCET	2420	99791	 	UV	97141348
258380	885	1998-11-10	VYDAJ	PREVOD NA UCET	2420	102305	 	UV	97141348
258381	885	1998-12-10	VYDAJ	PREVOD NA UCET	2420	112545	 	UV	97141348
258383	885	1994-06-27	VYDAJ	VYBER	18200	32403	\N	\N	\N
258384	885	1995-06-27	VYDAJ	VYBER	13000	40163	\N	\N	\N
258385	885	1996-06-02	VYDAJ	VYBER	5400	43459	\N	\N	\N
258386	885	1997-06-21	VYDAJ	VYBER	5400	78521	\N	\N	\N
258387	885	1998-06-13	VYDAJ	VYBER	9400	87334	\N	\N	\N
258388	885	1993-12-18	VYDAJ	VYBER	1100	69417	\N	\N	\N
258389	885	1994-12-12	VYDAJ	VYBER KARTOU	2100	69216	\N	\N	0
258390	885	1995-12-19	VYDAJ	VYBER KARTOU	2800	49082	\N	\N	0
258391	885	1996-12-19	VYDAJ	VYBER KARTOU	2000	77670	\N	\N	0
258392	885	1997-12-25	VYDAJ	VYBER KARTOU	700	97002	\N	\N	0
258393	885	1998-12-28	VYDAJ	VYBER KARTOU	800	87945	\N	\N	0
258400	885	1994-01-04	VYDAJ	VYBER	1900	45238	\N	\N	\N
258401	885	1994-01-13	VYDAJ	VYBER	2900	57184	\N	\N	\N
258402	885	1994-01-18	VYDAJ	VYBER	2500	54684	\N	\N	\N
258403	885	1994-01-12	VYDAJ	VYBER	1800	60084	\N	\N	\N
258404	885	1994-01-09	VYDAJ	VYBER	1100	64304	\N	\N	\N
258405	885	1994-01-19	VYDAJ	VYBER	1700	52984	\N	\N	\N
258406	885	1995-01-25	VYDAJ	VYBER KARTOU	1800	36666	\N	\N	0
258407	885	1995-01-27	VYDAJ	VYBER KARTOU	900	33066	\N	\N	0
258408	885	1995-01-21	VYDAJ	VYBER KARTOU	2600	38466	\N	\N	0
258409	885	1995-01-18	VYDAJ	VYBER KARTOU	800	43266	\N	\N	0
258410	885	1995-01-02	VYDAJ	VYBER KARTOU	2100	44420	\N	\N	0
258411	885	1995-01-14	VYDAJ	VYBER KARTOU	2900	59266	\N	\N	0
258412	885	1996-01-17	VYDAJ	VYBER KARTOU	900	44835	\N	\N	0
258413	885	1996-01-21	VYDAJ	VYBER KARTOU	2800	42035	\N	\N	0
258414	885	1996-01-11	VYDAJ	VYBER KARTOU	1400	64435	\N	\N	0
258415	885	1996-01-05	VYDAJ	VYBER KARTOU	1200	48089	\N	\N	0
258416	885	1996-01-25	VYDAJ	VYBER KARTOU	1300	40735	\N	\N	0
258417	885	1996-01-26	VYDAJ	VYBER KARTOU	1500	39235	\N	\N	0
258418	885	1997-01-24	VYDAJ	VYBER KARTOU	1600	72412	\N	\N	0
258419	885	1997-01-25	VYDAJ	VYBER KARTOU	1600	70812	\N	\N	0
258420	885	1997-01-25	VYDAJ	VYBER KARTOU	1500	69312	\N	\N	0
258421	885	1997-01-29	VYDAJ	VYBER KARTOU	800	68512	\N	\N	0
258422	885	1997-01-01	VYDAJ	VYBER KARTOU	2600	75366	\N	\N	0
258423	885	1997-01-14	VYDAJ	VYBER KARTOU	2800	74012	\N	\N	0
258424	885	1998-01-21	VYDAJ	VYBER KARTOU	2600	91922	\N	\N	0
258425	885	1998-01-08	VYDAJ	VYBER KARTOU	900	96942	\N	\N	0
258426	885	1998-01-25	VYDAJ	VYBER KARTOU	900	91022	\N	\N	0
258427	885	1998-01-25	VYDAJ	VYBER KARTOU	2800	88222	\N	\N	0
258428	885	1998-01-29	VYDAJ	VYBER KARTOU	600	87622	\N	\N	0
258429	885	1998-01-02	VYDAJ	VYBER KARTOU	1900	77676	\N	\N	0
258433	885	1994-12-16	VYDAJ	VYBER KARTOU	1300	67916	\N	\N	0
258434	885	1994-03-28	VYDAJ	VYBER	3500	39362	\N	\N	\N
258435	885	1994-08-08	VYDAJ	VYBER	1700	58768	\N	\N	\N
258436	885	1995-01-25	VYDAJ	VYBER KARTOU	2700	33966	\N	\N	0
258437	885	1995-01-18	VYDAJ	VYBER KARTOU	2200	41066	\N	\N	0
258438	885	1996-07-06	VYDAJ	VYBER KARTOU	3600	46521	\N	\N	0
258439	885	1996-04-03	VYDAJ	VYBER KARTOU	1600	45496	\N	\N	0
258440	885	1996-11-01	VYDAJ	VYBER KARTOU	500	44937	\N	\N	0
258441	885	1996-04-06	VYDAJ	VYBER KARTOU	1700	43796	\N	\N	0
258442	885	1996-08-27	VYDAJ	VYBER KARTOU	3800	45403	\N	\N	0
258443	885	1996-10-13	VYDAJ	VYBER	4100	45259	\N	\N	\N
258444	885	1997-11-13	VYDAJ	VYBER KARTOU	1600	82310	\N	\N	0
258445	885	1998-08-30	VYDAJ	VYBER KARTOU	3600	79890	\N	\N	0
258446	885	1998-05-15	VYDAJ	VYBER KARTOU	2500	85250	\N	\N	0
258447	885	1998-03-16	VYDAJ	VYBER	4100	83595	\N	\N	\N
258448	885	1998-09-21	VYDAJ	VYBER KARTOU	3400	94586	\N	\N	0
258449	885	1998-07-26	VYDAJ	VYBER KARTOU	1800	89008	\N	\N	0
258450	885	1998-07-30	VYDAJ	VYBER KARTOU	1700	76508	\N	\N	0
258462	885	1993-11-30	VYDAJ	VYBER	15	42252	SLUZBY	\N	\N
258463	885	1993-12-31	VYDAJ	VYBER	15	47138	SLUZBY	\N	\N
258464	885	1994-01-31	VYDAJ	VYBER	15	40979	SLUZBY	\N	\N
258465	885	1994-02-28	VYDAJ	VYBER	15	42916	SLUZBY	\N	\N
258466	885	1994-03-31	VYDAJ	VYBER	15	39558	SLUZBY	\N	\N
258467	885	1994-04-30	VYDAJ	VYBER	15	43392	SLUZBY	\N	\N
258468	885	1994-05-31	VYDAJ	VYBER	15	45238	SLUZBY	\N	\N
258469	885	1994-06-30	VYDAJ	VYBER	15	32623	SLUZBY	\N	\N
258470	885	1994-07-31	VYDAJ	VYBER	15	39430	SLUZBY	\N	\N
258471	885	1994-08-31	VYDAJ	VYBER	15	41052	SLUZBY	\N	\N
258472	885	1994-09-30	VYDAJ	VYBER	15	43083	SLUZBY	\N	\N
258473	885	1994-10-31	VYDAJ	VYBER	15	43018	SLUZBY	\N	\N
258474	885	1994-11-30	VYDAJ	VYBER	15	43051	SLUZBY	\N	\N
258475	885	1994-12-31	VYDAJ	VYBER	15	46520	SLUZBY	\N	\N
258476	885	1995-01-31	VYDAJ	VYBER	15	33246	SLUZBY	\N	\N
258477	885	1995-02-28	VYDAJ	VYBER	15	42654	SLUZBY	\N	\N
258478	885	1995-03-31	VYDAJ	VYBER	15	46793	SLUZBY	\N	\N
258479	885	1995-04-30	VYDAJ	VYBER	15	48843	SLUZBY	\N	\N
258480	885	1995-05-31	VYDAJ	VYBER	15	49598	SLUZBY	\N	\N
258481	885	1995-06-30	VYDAJ	VYBER	15	40383	SLUZBY	\N	\N
258482	885	1995-07-31	VYDAJ	VYBER	15	42203	SLUZBY	\N	\N
258483	885	1995-08-31	VYDAJ	VYBER	15	41322	SLUZBY	\N	\N
258484	885	1995-09-30	VYDAJ	VYBER	15	45848	SLUZBY	\N	\N
258485	885	1995-10-31	VYDAJ	VYBER	15	44678	SLUZBY	\N	\N
258486	885	1995-11-30	VYDAJ	VYBER	15	49117	SLUZBY	\N	\N
258487	885	1995-12-31	VYDAJ	VYBER	15	49289	SLUZBY	\N	\N
258488	885	1996-01-31	VYDAJ	VYBER	15	39416	SLUZBY	\N	\N
258489	885	1996-02-29	VYDAJ	VYBER	15	45565	SLUZBY	\N	\N
258490	885	1996-03-31	VYDAJ	VYBER	15	47096	SLUZBY	\N	\N
258491	885	1996-04-30	VYDAJ	VYBER	15	45724	SLUZBY	\N	\N
258492	885	1996-05-31	VYDAJ	VYBER	15	48859	SLUZBY	\N	\N
258493	885	1996-06-30	VYDAJ	VYBER	15	50121	SLUZBY	\N	\N
258494	885	1996-07-31	VYDAJ	VYBER	15	47957	SLUZBY	\N	\N
258495	885	1996-08-31	VYDAJ	VYBER	15	45588	SLUZBY	\N	\N
258496	885	1996-09-30	VYDAJ	VYBER	15	46313	SLUZBY	\N	\N
258497	885	1996-10-31	VYDAJ	VYBER	15	45437	SLUZBY	\N	\N
258498	885	1996-11-30	VYDAJ	VYBER	15	60205	SLUZBY	\N	\N
258499	885	1996-12-31	VYDAJ	VYBER	15	77966	SLUZBY	\N	\N
258500	885	1997-01-31	VYDAJ	VYBER	15	68801	SLUZBY	\N	\N
258501	885	1997-02-28	VYDAJ	VYBER	15	75739	SLUZBY	\N	\N
258502	885	1997-03-31	VYDAJ	VYBER	15	74379	SLUZBY	\N	\N
258503	885	1997-04-30	VYDAJ	VYBER	15	75420	SLUZBY	\N	\N
258504	885	1997-05-31	VYDAJ	VYBER	15	73456	SLUZBY	\N	\N
258505	885	1997-06-30	VYDAJ	VYBER	15	78838	SLUZBY	\N	\N
258506	885	1997-07-31	VYDAJ	VYBER	15	76787	SLUZBY	\N	\N
258507	885	1997-08-31	VYDAJ	VYBER	15	78239	SLUZBY	\N	\N
258508	885	1997-09-30	VYDAJ	VYBER	15	78293	SLUZBY	\N	\N
258509	885	1997-10-31	VYDAJ	VYBER	15	83464	SLUZBY	\N	\N
258510	885	1997-11-30	VYDAJ	VYBER	15	82637	SLUZBY	\N	\N
258511	885	1997-12-31	VYDAJ	VYBER	15	79576	SLUZBY	\N	\N
258512	885	1998-01-31	VYDAJ	VYBER	15	69975	SLUZBY	\N	\N
258513	885	1998-02-28	VYDAJ	VYBER	15	88049	SLUZBY	\N	\N
258514	885	1998-03-31	VYDAJ	VYBER	15	69832	SLUZBY	\N	\N
258515	885	1998-04-30	VYDAJ	VYBER	15	87904	SLUZBY	\N	\N
258516	885	1998-05-31	VYDAJ	VYBER	15	68469	SLUZBY	\N	\N
258517	885	1998-06-30	VYDAJ	VYBER	15	73062	SLUZBY	\N	\N
258518	885	1998-07-31	VYDAJ	VYBER	15	76844	SLUZBY	\N	\N
258519	885	1998-08-31	VYDAJ	VYBER	15	80240	SLUZBY	\N	\N
258520	885	1998-09-30	VYDAJ	VYBER	15	82045	SLUZBY	\N	\N
258521	885	1998-10-31	VYDAJ	VYBER	15	84559	SLUZBY	\N	\N
258522	885	1998-11-30	VYDAJ	VYBER	15	84280	SLUZBY	\N	\N
258523	885	1993-07-25	PRIJEM	VKLAD	2900	24238	\N	\N	\N
258524	885	1993-08-24	VYDAJ	VYBER	8000	37299	\N	\N	\N
258525	885	1993-09-23	VYDAJ	VYBER	19100	39352	\N	\N	\N
258526	885	1993-10-23	VYDAJ	VYBER	19700	40848	\N	\N	\N
258527	885	1993-11-22	VYDAJ	VYBER	16700	42059	\N	\N	\N
258528	885	1993-12-22	VYDAJ	VYBER	22500	46917	\N	\N	\N
258529	885	1994-01-21	VYDAJ	VYBER	12200	40784	\N	\N	\N
258530	885	1994-02-20	VYDAJ	VYBER	16000	42725	\N	\N	\N
258531	885	1994-03-22	VYDAJ	VYBER	17800	42862	\N	\N	\N
258532	885	1994-04-21	VYDAJ	VYBER	14100	43204	\N	\N	\N
258533	885	1994-05-21	VYDAJ	VYBER	16100	45038	\N	\N	\N
258534	885	1994-06-20	VYDAJ	VYBER	22900	50603	\N	\N	\N
258535	885	1994-07-20	VYDAJ	VYBER	11100	39269	\N	\N	\N
258536	885	1994-08-19	VYDAJ	VYBER	14600	40876	\N	\N	\N
258537	885	1994-09-18	VYDAJ	VYBER	15900	42898	\N	\N	\N
258538	885	1994-10-18	VYDAJ	VYBER	18000	42829	\N	\N	\N
258539	885	1994-11-17	VYDAJ	VYBER	17900	42864	\N	\N	\N
258540	885	1994-12-17	VYDAJ	VYBER	21600	46316	\N	\N	\N
258541	885	1995-01-16	VYDAJ	VYBER	15200	44066	\N	\N	\N
258542	885	1995-02-15	VYDAJ	VYBER	8500	42492	\N	\N	\N
258543	885	1995-03-17	VYDAJ	VYBER	13800	46600	\N	\N	\N
258544	885	1995-04-16	VYDAJ	VYBER	15900	48639	\N	\N	\N
258545	885	1995-05-16	VYDAJ	VYBER	17200	49389	\N	\N	\N
258546	885	1995-06-15	VYDAJ	VYBER	24700	53163	\N	\N	\N
258547	885	1995-07-15	VYDAJ	VYBER	16100	42029	\N	\N	\N
258548	885	1995-08-14	VYDAJ	VYBER	18800	41149	\N	\N	\N
258549	885	1995-09-13	VYDAJ	VYBER	13400	45668	\N	\N	\N
258550	885	1995-10-13	VYDAJ	VYBER	19100	44494	\N	\N	\N
258551	885	1995-11-12	VYDAJ	VYBER	13500	48924	\N	\N	\N
258552	885	1995-12-12	VYDAJ	VYBER	25500	51882	\N	\N	\N
258553	885	1996-01-11	VYDAJ	VYBER	18700	45735	\N	\N	\N
258554	885	1996-02-10	VYDAJ	VYBER	11800	45362	\N	\N	\N
258555	885	1996-03-11	VYDAJ	VYBER	16400	46911	\N	\N	\N
258556	885	1996-04-10	VYDAJ	VYBER	16000	45542	\N	\N	\N
258557	885	1996-05-10	VYDAJ	VYBER	14800	48670	\N	\N	\N
258558	885	1996-06-09	VYDAJ	VYBER	21800	52344	\N	\N	\N
258559	885	1996-07-09	VYDAJ	VYBER	16500	50187	\N	\N	\N
258560	885	1996-08-08	VYDAJ	VYBER	16500	52495	\N	\N	\N
258561	885	1996-09-07	VYDAJ	VYBER	17200	49426	\N	\N	\N
258562	885	1996-10-07	VYDAJ	VYBER	14700	52651	\N	\N	\N
258563	885	1996-11-06	VYDAJ	VYBER KARTOU	2700	42237	\N	\N	0
258564	885	1996-12-06	VYDAJ	VYBER	8800	51405	\N	\N	\N
258565	885	1997-01-05	VYDAJ	VYBER	16300	59066	\N	\N	\N
258566	885	1997-02-04	VYDAJ	VYBER	11100	57701	\N	\N	\N
258567	885	1997-03-06	VYDAJ	VYBER	19400	56339	\N	\N	\N
258568	885	1997-04-05	VYDAJ	VYBER	17000	57379	\N	\N	\N
258569	885	1997-05-05	VYDAJ	VYBER	20000	55420	\N	\N	\N
258570	885	1997-06-04	VYDAJ	VYBER	17800	55656	\N	\N	\N
258571	885	1997-07-04	VYDAJ	VYBER	20100	58738	\N	\N	\N
258572	885	1997-08-03	VYDAJ	VYBER	16600	60187	\N	\N	\N
258573	885	1997-09-02	VYDAJ	VYBER	18000	60239	\N	\N	\N
258574	885	1997-10-02	VYDAJ	VYBER	12900	65393	\N	\N	\N
258575	885	1997-11-01	VYDAJ	VYBER	17300	66164	\N	\N	\N
258576	885	1997-12-01	VYDAJ	VYBER	13200	69437	\N	\N	\N
258577	885	1997-12-31	VYDAJ	VYBER	17800	79591	\N	\N	\N
258578	885	1998-01-30	VYDAJ	VYBER	18000	69622	\N	\N	\N
258579	885	1998-03-01	VYDAJ	VYBER	18100	69949	\N	\N	\N
258580	885	1998-03-31	VYDAJ	VYBER	14100	69846	\N	\N	\N
258581	885	1998-04-30	VYDAJ	VYBER	17900	70004	\N	\N	\N
258582	885	1998-05-30	VYDAJ	VYBER	17100	68150	\N	\N	\N
258583	885	1998-06-29	VYDAJ	VYBER	14600	72734	\N	\N	\N
258584	885	1998-07-29	VYDAJ	VYBER	10800	78208	\N	\N	\N
258585	885	1998-08-28	VYDAJ	VYBER	11100	83490	\N	\N	\N
258586	885	1998-09-27	VYDAJ	VYBER	12900	81686	\N	\N	\N
258587	885	1998-10-27	VYDAJ	VYBER	15600	84191	\N	\N	\N
258588	885	1998-11-26	VYDAJ	VYBER	18400	83905	\N	\N	\N
258589	885	1998-12-26	VYDAJ	VYBER	23800	88745	\N	\N	\N
258656	886	1993-06-23	PRIJEM	VKLAD	900	900	\N	\N	\N
258663	886	1993-07-10	PRIJEM	VKLAD	18469	19369	\N	\N	\N
258664	886	1993-08-10	PRIJEM	VKLAD	18469	42467	\N	\N	\N
258665	886	1993-09-10	PRIJEM	VKLAD	18469	51848	\N	\N	\N
258666	886	1993-10-10	PRIJEM	VKLAD	18469	58665	\N	\N	\N
258667	886	1993-11-10	PRIJEM	VKLAD	18469	59102	\N	\N	\N
258668	886	1993-12-10	PRIJEM	VKLAD	27704	59726	\N	\N	\N
258669	886	1994-01-10	PRIJEM	VKLAD	18469	55912	\N	\N	\N
258670	886	1994-02-10	PRIJEM	VKLAD	18469	46390	\N	\N	\N
258671	886	1994-03-10	PRIJEM	VKLAD	18469	47938	\N	\N	\N
258672	886	1994-04-10	PRIJEM	VKLAD	18469	48392	\N	\N	\N
258673	886	1994-05-10	PRIJEM	VKLAD	18469	49347	\N	\N	\N
258674	886	1994-06-10	PRIJEM	VKLAD	27704	61247	\N	\N	\N
258675	886	1994-07-10	PRIJEM	VKLAD	18469	52328	\N	\N	\N
258676	886	1994-08-10	PRIJEM	VKLAD	18469	51094	\N	\N	\N
258677	886	1994-09-10	PRIJEM	VKLAD	18469	52459	\N	\N	\N
258678	886	1994-10-10	PRIJEM	VKLAD	18469	50230	\N	\N	\N
258679	886	1994-11-10	PRIJEM	VKLAD	18469	50708	\N	\N	\N
258680	886	1994-12-10	PRIJEM	VKLAD	27704	61721	\N	\N	\N
258681	886	1995-01-10	PRIJEM	VKLAD	18469	58123	\N	\N	\N
258682	886	1995-02-10	PRIJEM	VKLAD	18469	56615	\N	\N	\N
258683	886	1995-03-10	PRIJEM	VKLAD	18469	62108	\N	\N	\N
258684	886	1995-04-10	PRIJEM	VKLAD	18469	59414	\N	\N	\N
258685	886	1995-05-10	PRIJEM	VKLAD	18469	60512	\N	\N	\N
258686	886	1995-06-10	PRIJEM	VKLAD	27704	73961	\N	\N	\N
258687	886	1995-07-10	PRIJEM	VKLAD	18469	60070	\N	\N	\N
258688	886	1995-08-10	PRIJEM	VKLAD	18469	66180	\N	\N	\N
258689	886	1995-09-10	PRIJEM	VKLAD	18469	70710	\N	\N	\N
258690	886	1995-10-10	PRIJEM	VKLAD	18469	64932	\N	\N	\N
258691	886	1995-11-10	PRIJEM	VKLAD	18469	65949	\N	\N	\N
258692	886	1995-12-10	PRIJEM	VKLAD	27704	72701	\N	\N	\N
258693	886	1996-01-10	PRIJEM	VKLAD	18469	65525	\N	\N	\N
258694	886	1996-02-10	PRIJEM	VKLAD	18469	61845	\N	\N	\N
258695	886	1996-03-10	PRIJEM	VKLAD	18469	69275	\N	\N	\N
258696	886	1996-04-10	PRIJEM	VKLAD	18469	68239	\N	\N	\N
258697	886	1996-05-10	PRIJEM	VKLAD	18469	72209	\N	\N	\N
258698	886	1996-06-10	PRIJEM	VKLAD	27704	84624	\N	\N	\N
258699	886	1996-07-10	PRIJEM	VKLAD	18469	64576	\N	\N	\N
258700	886	1996-08-10	PRIJEM	VKLAD	18469	65319	\N	\N	\N
258701	886	1996-09-10	PRIJEM	VKLAD	18469	69667	\N	\N	\N
258702	886	1996-10-10	PRIJEM	VKLAD	18469	74436	\N	\N	\N
258703	886	1996-11-10	PRIJEM	VKLAD	18469	74724	\N	\N	\N
258704	886	1996-12-10	PRIJEM	VKLAD	27704	85651	\N	\N	\N
258705	886	1997-01-10	PRIJEM	VKLAD	18469	77775	\N	\N	\N
258706	886	1997-02-10	PRIJEM	VKLAD	18469	73361	\N	\N	\N
258707	886	1997-03-10	PRIJEM	VKLAD	18469	75745	\N	\N	\N
258708	886	1997-04-10	PRIJEM	VKLAD	18469	78341	\N	\N	\N
258709	886	1997-05-10	PRIJEM	VKLAD	18469	80538	\N	\N	\N
258710	886	1997-06-10	PRIJEM	VKLAD	27704	86784	\N	\N	\N
258711	886	1997-07-10	PRIJEM	VKLAD	18469	76009	\N	\N	\N
258712	886	1997-08-10	PRIJEM	VKLAD	18469	77105	\N	\N	\N
258713	886	1997-09-10	PRIJEM	VKLAD	18469	79708	\N	\N	\N
258714	886	1997-10-10	PRIJEM	VKLAD	18469	82010	\N	\N	\N
258715	886	1997-11-10	PRIJEM	VKLAD	18469	84415	\N	\N	\N
258716	886	1997-12-10	PRIJEM	VKLAD	27704	99265	\N	\N	\N
258717	886	1998-01-10	PRIJEM	VKLAD	18469	95024	\N	\N	\N
258718	886	1998-02-10	PRIJEM	VKLAD	18469	92176	\N	\N	\N
258719	886	1998-03-10	PRIJEM	VKLAD	18469	97321	\N	\N	\N
258720	886	1998-04-10	PRIJEM	VKLAD	18469	104390	\N	\N	\N
258721	886	1998-05-10	PRIJEM	VKLAD	18469	107186	\N	\N	\N
258722	886	1998-06-10	PRIJEM	VKLAD	27704	91529	\N	\N	\N
258723	886	1998-07-10	PRIJEM	VKLAD	18469	96996	\N	\N	\N
258724	886	1998-08-10	PRIJEM	VKLAD	18469	101360	\N	\N	\N
258725	886	1998-09-10	PRIJEM	VKLAD	18469	111246	\N	\N	\N
258726	886	1998-10-10	PRIJEM	VKLAD	18469	114063	\N	\N	\N
258727	886	1998-11-10	PRIJEM	VKLAD	18469	119897	\N	\N	\N
258728	886	1998-12-10	PRIJEM	VKLAD	27704	105483	\N	\N	\N
258739	886	1993-11-12	VYDAJ	PREVOD NA UCET	9034	50068	SIPO	AB	44119823
258740	886	1993-12-12	VYDAJ	PREVOD NA UCET	9034	50692	SIPO	AB	44119823
258741	886	1994-01-12	VYDAJ	PREVOD NA UCET	9034	46878	SIPO	AB	44119823
258742	886	1994-02-12	VYDAJ	PREVOD NA UCET	9034	37356	SIPO	AB	44119823
258743	886	1994-03-12	VYDAJ	PREVOD NA UCET	9034	38904	SIPO	AB	44119823
258744	886	1994-04-12	VYDAJ	PREVOD NA UCET	9034	39358	SIPO	AB	44119823
258745	886	1994-05-12	VYDAJ	PREVOD NA UCET	9034	40313	SIPO	AB	44119823
258746	886	1994-06-12	VYDAJ	PREVOD NA UCET	9034	52213	SIPO	AB	44119823
258747	886	1994-07-12	VYDAJ	PREVOD NA UCET	9034	43294	SIPO	AB	44119823
258748	886	1994-08-12	VYDAJ	PREVOD NA UCET	9034	42060	SIPO	AB	44119823
258749	886	1994-09-12	VYDAJ	PREVOD NA UCET	9034	43425	SIPO	AB	44119823
258750	886	1994-10-12	VYDAJ	PREVOD NA UCET	9034	41196	SIPO	AB	44119823
258751	886	1994-11-12	VYDAJ	PREVOD NA UCET	9034	41674	SIPO	AB	44119823
258752	886	1994-12-12	VYDAJ	PREVOD NA UCET	9034	52687	SIPO	AB	44119823
258753	886	1995-01-12	VYDAJ	PREVOD NA UCET	9034	45889	SIPO	AB	44119823
258754	886	1995-02-12	VYDAJ	PREVOD NA UCET	9034	47581	SIPO	AB	44119823
258755	886	1995-03-12	VYDAJ	PREVOD NA UCET	9034	53074	SIPO	AB	44119823
258756	886	1995-04-12	VYDAJ	PREVOD NA UCET	9034	50380	SIPO	AB	44119823
258757	886	1995-05-12	VYDAJ	PREVOD NA UCET	9034	51478	SIPO	AB	44119823
258758	886	1995-06-12	VYDAJ	PREVOD NA UCET	9034	64927	SIPO	AB	44119823
258759	886	1995-07-12	VYDAJ	PREVOD NA UCET	9034	51036	SIPO	AB	44119823
258760	886	1995-08-12	VYDAJ	PREVOD NA UCET	9034	52046	SIPO	AB	44119823
258761	886	1995-09-12	VYDAJ	PREVOD NA UCET	9034	46276	SIPO	AB	44119823
258762	886	1995-10-12	VYDAJ	PREVOD NA UCET	9034	47298	SIPO	AB	44119823
258763	886	1995-11-12	VYDAJ	PREVOD NA UCET	9034	46515	SIPO	AB	44119823
258764	886	1995-12-12	VYDAJ	PREVOD NA UCET	9034	49567	SIPO	AB	44119823
258765	886	1996-01-12	VYDAJ	PREVOD NA UCET	9034	53391	SIPO	AB	44119823
258766	886	1996-02-12	VYDAJ	PREVOD NA UCET	9034	52811	SIPO	AB	44119823
258767	886	1996-03-12	VYDAJ	PREVOD NA UCET	9034	60241	SIPO	AB	44119823
258768	886	1996-04-12	VYDAJ	PREVOD NA UCET	9034	59205	SIPO	AB	44119823
258769	886	1996-05-12	VYDAJ	PREVOD NA UCET	9034	63175	SIPO	AB	44119823
258770	886	1996-06-12	VYDAJ	PREVOD NA UCET	9034	75590	SIPO	AB	44119823
258771	886	1996-07-12	VYDAJ	PREVOD NA UCET	9034	55542	SIPO	AB	44119823
258772	886	1996-08-12	VYDAJ	PREVOD NA UCET	9034	56285	SIPO	AB	44119823
258773	886	1996-09-12	VYDAJ	PREVOD NA UCET	9034	60633	SIPO	AB	44119823
258774	886	1996-10-12	VYDAJ	PREVOD NA UCET	9034	65402	SIPO	AB	44119823
258775	886	1996-11-12	VYDAJ	PREVOD NA UCET	9034	65690	SIPO	AB	44119823
258776	886	1996-12-12	VYDAJ	PREVOD NA UCET	9034	76617	SIPO	AB	44119823
258777	886	1997-01-12	VYDAJ	PREVOD NA UCET	9034	67941	SIPO	AB	44119823
258778	886	1997-02-12	VYDAJ	PREVOD NA UCET	9034	64327	SIPO	AB	44119823
258779	886	1997-03-12	VYDAJ	PREVOD NA UCET	9034	66711	SIPO	AB	44119823
258780	886	1997-04-12	VYDAJ	PREVOD NA UCET	9034	69307	SIPO	AB	44119823
258781	886	1997-05-12	VYDAJ	PREVOD NA UCET	9034	71504	SIPO	AB	44119823
258782	886	1997-06-12	VYDAJ	PREVOD NA UCET	9034	77750	SIPO	AB	44119823
258783	886	1997-07-12	VYDAJ	PREVOD NA UCET	9034	66975	SIPO	AB	44119823
258784	886	1997-08-12	VYDAJ	PREVOD NA UCET	9034	68071	SIPO	AB	44119823
258785	886	1997-09-12	VYDAJ	PREVOD NA UCET	9034	67974	SIPO	AB	44119823
258786	886	1997-10-12	VYDAJ	PREVOD NA UCET	9034	72976	SIPO	AB	44119823
258787	886	1997-11-12	VYDAJ	PREVOD NA UCET	9034	75381	SIPO	AB	44119823
258788	886	1997-12-12	VYDAJ	PREVOD NA UCET	9034	90231	SIPO	AB	44119823
258789	886	1998-01-12	VYDAJ	PREVOD NA UCET	9034	83090	SIPO	AB	44119823
258790	886	1998-02-12	VYDAJ	PREVOD NA UCET	9034	83142	SIPO	AB	44119823
258791	886	1998-03-12	VYDAJ	PREVOD NA UCET	9034	88287	SIPO	AB	44119823
258792	886	1998-04-12	VYDAJ	PREVOD NA UCET	9034	95356	SIPO	AB	44119823
258793	886	1998-05-12	VYDAJ	PREVOD NA UCET	9034	98152	SIPO	AB	44119823
258794	886	1998-06-12	VYDAJ	PREVOD NA UCET	9034	82495	SIPO	AB	44119823
258795	886	1998-07-12	VYDAJ	PREVOD NA UCET	9034	87962	SIPO	AB	44119823
258796	886	1998-08-12	VYDAJ	PREVOD NA UCET	9034	92326	SIPO	AB	44119823
258797	886	1998-09-12	VYDAJ	PREVOD NA UCET	9034	102212	SIPO	AB	44119823
258798	886	1998-10-12	VYDAJ	PREVOD NA UCET	9034	105029	SIPO	AB	44119823
258799	886	1998-11-12	VYDAJ	PREVOD NA UCET	9034	60863	SIPO	AB	44119823
258800	886	1998-12-12	VYDAJ	PREVOD NA UCET	9034	96449	SIPO	AB	44119823
258802	886	1994-06-16	VYDAJ	VYBER	12800	39413	\N	\N	\N
258803	886	1995-06-17	VYDAJ	VYBER	11200	41427	\N	\N	\N
258804	886	1996-06-13	VYDAJ	VYBER	27900	47690	\N	\N	\N
258805	886	1997-06-27	VYDAJ	VYBER	11500	64650	\N	\N	\N
258806	886	1998-06-06	VYDAJ	VYBER	29200	63825	\N	\N	\N
258807	886	1993-12-30	VYDAJ	VYBER	1000	38392	\N	\N	\N
258808	886	1994-12-02	VYDAJ	VYBER	2500	34017	\N	\N	\N
258809	886	1995-12-09	VYDAJ	VYBER	1700	44997	\N	\N	\N
258810	886	1996-12-16	VYDAJ	VYBER	1600	75017	\N	\N	\N
258811	886	1997-12-14	VYDAJ	VYBER KARTOU	800	89431	\N	\N	0
258812	886	1998-12-13	VYDAJ	VYBER KARTOU	2900	93549	\N	\N	0
258819	886	1994-01-29	VYDAJ	VYBER	1700	27778	\N	\N	\N
258820	886	1994-01-26	VYDAJ	VYBER	500	29478	\N	\N	\N
258821	886	1994-01-25	VYDAJ	VYBER	2800	29978	\N	\N	\N
258822	886	1994-01-04	VYDAJ	VYBER	600	37943	\N	\N	\N
258823	886	1994-01-16	VYDAJ	VYBER	1700	45178	\N	\N	\N
258824	886	1994-01-08	VYDAJ	VYBER	500	37443	\N	\N	\N
258825	886	1995-01-11	VYDAJ	VYBER	900	57223	\N	\N	\N
258826	886	1995-01-17	VYDAJ	VYBER	700	37989	\N	\N	\N
258827	886	1995-01-11	VYDAJ	VYBER	2300	54923	\N	\N	\N
258828	886	1995-01-08	VYDAJ	VYBER	900	39654	\N	\N	\N
258829	886	1995-01-02	VYDAJ	VYBER	800	43154	\N	\N	\N
258830	886	1995-01-07	VYDAJ	VYBER	2600	40554	\N	\N	\N
258831	886	1996-01-05	VYDAJ	VYBER	1000	45956	\N	\N	\N
258832	886	1996-01-04	VYDAJ	VYBER	2800	46956	\N	\N	\N
258833	886	1996-01-28	VYDAJ	VYBER	2000	43391	\N	\N	\N
258834	886	1996-01-16	VYDAJ	VYBER	2300	50191	\N	\N	\N
258835	886	1996-01-13	VYDAJ	VYBER	900	52491	\N	\N	\N
258836	886	1996-01-16	VYDAJ	VYBER	1000	49191	\N	\N	\N
258837	886	1997-01-04	VYDAJ	VYBER	700	59306	\N	\N	\N
258838	886	1997-01-15	VYDAJ	VYBER	2600	63341	\N	\N	\N
258839	886	1997-01-30	VYDAJ	VYBER	2600	60741	\N	\N	\N
258840	886	1997-01-02	VYDAJ	VYBER	500	74806	\N	\N	\N
258841	886	1997-01-11	VYDAJ	VYBER	800	76975	\N	\N	\N
258842	886	1997-01-14	VYDAJ	VYBER	2000	65941	\N	\N	\N
258843	886	1998-01-17	VYDAJ	VYBER KARTOU	2700	79590	\N	\N	0
258844	886	1998-01-27	VYDAJ	VYBER KARTOU	2400	77190	\N	\N	0
258845	886	1998-01-12	VYDAJ	VYBER KARTOU	2900	92124	\N	\N	0
258846	886	1998-01-13	VYDAJ	VYBER KARTOU	800	82290	\N	\N	0
258847	886	1998-01-05	VYDAJ	VYBER KARTOU	2400	76555	\N	\N	0
258848	886	1998-01-30	VYDAJ	VYBER KARTOU	2900	73390	\N	\N	0
258849	886	1993-11-26	VYDAJ	VYBER	3100	31868	\N	\N	\N
258855	886	1994-11-04	VYDAJ	VYBER	4400	32239	\N	\N	\N
258856	886	1994-10-08	VYDAJ	VYBER	4300	31761	\N	\N	\N
258857	886	1994-06-16	VYDAJ	VYBER	3000	36413	\N	\N	\N
258858	886	1994-06-07	VYDAJ	VYBER	1400	33543	\N	\N	\N
258859	886	1994-11-13	VYDAJ	VYBER	1100	40574	\N	\N	\N
258860	886	1995-01-12	VYDAJ	VYBER	4400	41489	\N	\N	\N
258861	886	1995-03-28	VYDAJ	VYBER	4000	40774	\N	\N	\N
258862	886	1995-05-06	VYDAJ	VYBER	1200	42043	\N	\N	\N
258863	886	1996-08-04	VYDAJ	VYBER	3300	48250	\N	\N	\N
258864	886	1996-01-10	VYDAJ	VYBER	3100	62425	\N	\N	\N
258865	886	1996-08-03	VYDAJ	VYBER	4200	51550	\N	\N	\N
258866	886	1996-11-08	VYDAJ	VYBER	3100	56255	\N	\N	\N
258867	886	1996-01-18	VYDAJ	VYBER	3800	45391	\N	\N	\N
258868	886	1997-04-13	VYDAJ	VYBER	1500	67807	\N	\N	\N
258869	886	1997-04-05	VYDAJ	VYBER	1800	59872	\N	\N	\N
258870	886	1997-06-18	VYDAJ	VYBER	1600	76150	\N	\N	\N
258871	886	1997-09-10	VYDAJ	VYBER KARTOU	2700	77008	\N	\N	0
258872	886	1997-05-23	VYDAJ	VYBER	2200	69304	\N	\N	\N
258873	886	1998-06-19	VYDAJ	VYBER KARTOU	4600	77895	\N	\N	0
258874	886	1998-09-19	VYDAJ	VYBER KARTOU	4200	98012	\N	\N	0
258886	886	1993-11-30	VYDAJ	VYBER	15	32022	SLUZBY	\N	\N
258887	886	1993-12-31	VYDAJ	VYBER	15	38543	SLUZBY	\N	\N
258888	886	1994-01-31	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
258889	886	1994-02-28	VYDAJ	VYBER	15	29469	SLUZBY	\N	\N
258890	886	1994-03-31	VYDAJ	VYBER	15	29923	SLUZBY	\N	\N
258891	886	1994-04-30	VYDAJ	VYBER	15	30878	SLUZBY	\N	\N
258892	886	1994-05-31	VYDAJ	VYBER	15	34943	SLUZBY	\N	\N
258893	886	1994-06-30	VYDAJ	VYBER	15	33859	SLUZBY	\N	\N
258894	886	1994-07-31	VYDAJ	VYBER	15	32625	SLUZBY	\N	\N
258895	886	1994-08-31	VYDAJ	VYBER	15	33990	SLUZBY	\N	\N
258896	886	1994-09-30	VYDAJ	VYBER	15	36061	SLUZBY	\N	\N
258897	886	1994-10-31	VYDAJ	VYBER	15	36639	SLUZBY	\N	\N
258898	886	1994-11-30	VYDAJ	VYBER	15	36517	SLUZBY	\N	\N
258899	886	1994-12-31	VYDAJ	VYBER	15	43954	SLUZBY	\N	\N
258900	886	1995-01-31	VYDAJ	VYBER	15	38146	SLUZBY	\N	\N
258901	886	1995-02-28	VYDAJ	VYBER	15	43639	SLUZBY	\N	\N
258902	886	1995-03-31	VYDAJ	VYBER	15	40945	SLUZBY	\N	\N
258903	886	1995-04-30	VYDAJ	VYBER	15	43243	SLUZBY	\N	\N
258904	886	1995-05-31	VYDAJ	VYBER	15	46257	SLUZBY	\N	\N
258905	886	1995-06-30	VYDAJ	VYBER	15	41601	SLUZBY	\N	\N
258906	886	1995-07-31	VYDAJ	VYBER	15	47711	SLUZBY	\N	\N
258907	886	1995-08-31	VYDAJ	VYBER	15	52241	SLUZBY	\N	\N
258908	886	1995-09-30	VYDAJ	VYBER	15	46463	SLUZBY	\N	\N
258909	886	1995-10-31	VYDAJ	VYBER	15	47480	SLUZBY	\N	\N
258910	886	1995-11-30	VYDAJ	VYBER	15	46697	SLUZBY	\N	\N
258911	886	1995-12-31	VYDAJ	VYBER	15	49756	SLUZBY	\N	\N
258912	886	1996-01-31	VYDAJ	VYBER	15	43576	SLUZBY	\N	\N
258913	886	1996-02-29	VYDAJ	VYBER	15	53006	SLUZBY	\N	\N
258914	886	1996-03-31	VYDAJ	VYBER	15	60470	SLUZBY	\N	\N
258915	886	1996-04-30	VYDAJ	VYBER	15	59440	SLUZBY	\N	\N
258916	886	1996-05-31	VYDAJ	VYBER	15	63420	SLUZBY	\N	\N
258917	886	1996-06-30	VYDAJ	VYBER	15	47907	SLUZBY	\N	\N
258918	886	1996-07-31	VYDAJ	VYBER	15	55750	SLUZBY	\N	\N
258919	886	1996-08-31	VYDAJ	VYBER	15	56498	SLUZBY	\N	\N
258920	886	1996-09-30	VYDAJ	VYBER	15	60867	SLUZBY	\N	\N
258921	886	1996-10-31	VYDAJ	VYBER	15	65655	SLUZBY	\N	\N
258922	886	1996-11-30	VYDAJ	VYBER	15	65947	SLUZBY	\N	\N
258923	886	1996-12-31	VYDAJ	VYBER	15	75306	SLUZBY	\N	\N
258924	886	1997-01-31	VYDAJ	VYBER	15	60992	SLUZBY	\N	\N
258925	886	1997-02-28	VYDAJ	VYBER	15	64576	SLUZBY	\N	\N
258926	886	1997-03-31	VYDAJ	VYBER	15	66972	SLUZBY	\N	\N
258927	886	1997-04-30	VYDAJ	VYBER	15	68069	SLUZBY	\N	\N
258928	886	1997-05-31	VYDAJ	VYBER	15	69580	SLUZBY	\N	\N
258929	886	1997-06-30	VYDAJ	VYBER	15	64940	SLUZBY	\N	\N
258930	886	1997-07-31	VYDAJ	VYBER	15	67236	SLUZBY	\N	\N
258931	886	1997-08-31	VYDAJ	VYBER	15	68339	SLUZBY	\N	\N
258932	886	1997-09-30	VYDAJ	VYBER	15	63541	SLUZBY	\N	\N
258933	886	1997-10-31	VYDAJ	VYBER	15	65946	SLUZBY	\N	\N
258934	886	1997-11-30	VYDAJ	VYBER	15	71561	SLUZBY	\N	\N
258935	886	1997-12-31	VYDAJ	VYBER	15	78955	SLUZBY	\N	\N
258936	886	1998-01-31	VYDAJ	VYBER	15	73707	SLUZBY	\N	\N
258937	886	1998-02-28	VYDAJ	VYBER	15	78852	SLUZBY	\N	\N
258938	886	1998-03-31	VYDAJ	VYBER	15	85921	SLUZBY	\N	\N
258939	886	1998-04-30	VYDAJ	VYBER	15	88717	SLUZBY	\N	\N
258940	886	1998-05-31	VYDAJ	VYBER	15	93025	SLUZBY	\N	\N
258941	886	1998-06-30	VYDAJ	VYBER	15	78527	SLUZBY	\N	\N
258942	886	1998-07-31	VYDAJ	VYBER	15	82891	SLUZBY	\N	\N
258943	886	1998-08-31	VYDAJ	VYBER	15	92777	SLUZBY	\N	\N
258944	886	1998-09-30	VYDAJ	VYBER	15	95594	SLUZBY	\N	\N
258945	886	1998-10-31	VYDAJ	VYBER	15	101428	SLUZBY	\N	\N
258946	886	1998-11-30	VYDAJ	VYBER	15	77779	SLUZBY	\N	\N
258947	886	1993-07-23	PRIJEM	VKLAD	4600	23969	\N	\N	\N
258948	886	1993-08-22	VYDAJ	VYBER	9200	33267	\N	\N	\N
258949	886	1993-09-21	VYDAJ	VYBER	11800	40048	\N	\N	\N
258950	886	1993-10-21	VYDAJ	VYBER	18200	40465	\N	\N	\N
258951	886	1993-11-20	VYDAJ	VYBER	15100	34968	\N	\N	\N
258952	886	1993-12-20	VYDAJ	VYBER	11300	39392	\N	\N	\N
258953	886	1994-01-19	VYDAJ	VYBER	12400	32778	\N	\N	\N
258954	886	1994-02-18	VYDAJ	VYBER	8000	29356	\N	\N	\N
258955	886	1994-03-20	VYDAJ	VYBER	9100	29804	\N	\N	\N
258956	886	1994-04-19	VYDAJ	VYBER	8600	30758	\N	\N	\N
258957	886	1994-05-19	VYDAJ	VYBER	5500	34813	\N	\N	\N
258958	886	1994-06-18	VYDAJ	VYBER	2700	33713	\N	\N	\N
258959	886	1994-07-18	VYDAJ	VYBER	10800	32494	\N	\N	\N
258960	886	1994-08-17	VYDAJ	VYBER	8200	33860	\N	\N	\N
258961	886	1994-09-16	VYDAJ	VYBER	7500	35925	\N	\N	\N
258962	886	1994-10-16	VYDAJ	VYBER	4700	36496	\N	\N	\N
258963	886	1994-11-15	VYDAJ	VYBER	4200	36374	\N	\N	\N
258964	886	1994-12-15	VYDAJ	VYBER	8900	43787	\N	\N	\N
258965	886	1995-01-14	VYDAJ	VYBER	2800	38689	\N	\N	\N
258966	886	1995-02-13	VYDAJ	VYBER	4100	43481	\N	\N	\N
258967	886	1995-03-15	VYDAJ	VYBER	8300	44774	\N	\N	\N
258968	886	1995-04-14	VYDAJ	VYBER	7300	43080	\N	\N	\N
258969	886	1995-05-14	VYDAJ	VYBER	5400	46078	\N	\N	\N
258970	886	1995-06-13	VYDAJ	VYBER	12300	52627	\N	\N	\N
258971	886	1995-07-13	VYDAJ	VYBER	3500	47536	\N	\N	\N
258972	886	1995-08-12	VYDAJ	VYBER	5100	61080	\N	\N	\N
258973	886	1995-09-11	VYDAJ	VYBER	15400	55310	\N	\N	\N
258974	886	1995-10-11	VYDAJ	VYBER	8600	56332	\N	\N	\N
258975	886	1995-11-10	VYDAJ	VYBER	10400	55549	\N	\N	\N
258976	886	1995-12-10	VYDAJ	VYBER	14100	58601	\N	\N	\N
258977	886	1996-01-09	PRIJEM	VKLAD	1100	47056	\N	\N	\N
258978	886	1996-02-08	VYDAJ	VYBER	200	43376	\N	\N	\N
258979	886	1996-03-09	VYDAJ	VYBER	2200	50806	\N	\N	\N
258980	886	1996-04-08	VYDAJ	VYBER	10700	49770	\N	\N	\N
258981	886	1996-05-08	VYDAJ	VYBER	5700	53740	\N	\N	\N
258982	886	1996-06-07	VYDAJ	VYBER	6500	56920	\N	\N	\N
258983	886	1996-07-07	VYDAJ	VYBER	1800	46107	\N	\N	\N
258984	886	1996-08-06	VYDAJ	VYBER	1400	46850	\N	\N	\N
258985	886	1996-09-05	VYDAJ	VYBER	5300	51198	\N	\N	\N
258986	886	1996-10-05	VYDAJ	VYBER	4900	55967	\N	\N	\N
258987	886	1996-11-04	VYDAJ	VYBER	6300	59355	\N	\N	\N
258988	886	1996-12-04	VYDAJ	VYBER	8000	57947	\N	\N	\N
258989	886	1997-01-03	VYDAJ	VYBER	14800	60006	\N	\N	\N
258990	886	1997-02-02	VYDAJ	VYBER	6100	54892	\N	\N	\N
258991	886	1997-03-04	VYDAJ	VYBER	7300	57276	\N	\N	\N
258992	886	1997-04-03	VYDAJ	VYBER	5300	61672	\N	\N	\N
258993	886	1997-05-03	VYDAJ	VYBER	6000	62069	\N	\N	\N
258994	886	1997-06-02	VYDAJ	VYBER	10500	59080	\N	\N	\N
258995	886	1997-07-02	VYDAJ	VYBER	7400	57540	\N	\N	\N
258996	886	1997-08-01	VYDAJ	VYBER	8600	58636	\N	\N	\N
258997	886	1997-08-31	VYDAJ	VYBER	7100	61239	\N	\N	\N
258998	886	1997-09-30	VYDAJ	VYBER KARTOU	4700	63556	\N	\N	0
258999	886	1997-10-30	VYDAJ	VYBER KARTOU	7300	65676	\N	\N	0
259000	886	1997-11-29	VYDAJ	VYBER KARTOU	4100	71281	\N	\N	0
259001	886	1997-12-29	VYDAJ	VYBER	10800	78631	\N	\N	\N
259002	886	1998-01-28	VYDAJ	VYBER KARTOU	900	76290	\N	\N	0
259003	886	1998-02-27	VYDAJ	VYBER KARTOU	4600	78542	\N	\N	0
259004	886	1998-03-29	VYDAJ	VYBER KARTOU	2700	85587	\N	\N	0
259005	886	1998-04-28	VYDAJ	VYBER KARTOU	7000	88356	\N	\N	0
259006	886	1998-05-28	VYDAJ	VYBER KARTOU	5500	92652	\N	\N	0
259007	886	1998-06-27	PRIJEM	VKLAD	300	78195	\N	\N	\N
259008	886	1998-07-27	VYDAJ	VYBER KARTOU	5400	82562	\N	\N	0
259009	886	1998-08-26	PRIJEM	VKLAD	100	92426	\N	\N	\N
259010	886	1998-09-25	VYDAJ	VYBER KARTOU	2800	95212	\N	\N	0
259011	886	1998-10-25	VYDAJ	VYBER KARTOU	4000	101029	\N	\N	0
259012	886	1998-11-10	VYDAJ	VYBER	50000	69897	\N	\N	\N
259013	886	1998-11-24	PRIJEM	VKLAD	16600	77463	\N	\N	\N
259080	887	1993-05-05	PRIJEM	VKLAD	600	5114	\N	\N	\N
259085	887	1993-05-05	PRIJEM	PREVOD Z UCTU	4514	4514	DUCHOD	AB	52114474
259086	887	1993-06-05	PRIJEM	PREVOD Z UCTU	4514	9647	DUCHOD	AB	52114474
259087	887	1993-07-05	PRIJEM	PREVOD Z UCTU	4514	14182	DUCHOD	AB	52114474
259088	887	1993-08-05	PRIJEM	PREVOD Z UCTU	4514	18717	DUCHOD	AB	52114474
259089	887	1993-09-05	PRIJEM	PREVOD Z UCTU	4514	23252	DUCHOD	AB	52114474
259090	887	1993-10-05	PRIJEM	PREVOD Z UCTU	4514	23458	DUCHOD	AB	52114474
259091	887	1993-11-05	PRIJEM	PREVOD Z UCTU	4514	25031	DUCHOD	AB	52114474
259092	887	1993-12-05	PRIJEM	PREVOD Z UCTU	4514	26610	DUCHOD	AB	52114474
259093	887	1994-01-05	PRIJEM	PREVOD Z UCTU	4514	26396	DUCHOD	AB	52114474
259094	887	1994-02-05	PRIJEM	PREVOD Z UCTU	4514	23424	DUCHOD	AB	52114474
259095	887	1994-03-05	PRIJEM	PREVOD Z UCTU	4514	24996	DUCHOD	AB	52114474
259096	887	1994-04-05	PRIJEM	PREVOD Z UCTU	4514	26576	DUCHOD	AB	52114474
259097	887	1994-05-05	PRIJEM	PREVOD Z UCTU	4514	28162	DUCHOD	AB	52114474
259098	887	1994-06-05	PRIJEM	PREVOD Z UCTU	4514	24142	DUCHOD	AB	52114474
259099	887	1994-07-05	PRIJEM	PREVOD Z UCTU	4514	15138	DUCHOD	AB	52114474
259100	887	1994-08-05	PRIJEM	PREVOD Z UCTU	4514	16676	DUCHOD	AB	52114474
259101	887	1994-09-05	PRIJEM	PREVOD Z UCTU	4514	18221	DUCHOD	AB	52114474
259102	887	1994-10-05	PRIJEM	PREVOD Z UCTU	4514	19772	DUCHOD	AB	52114474
259103	887	1994-11-05	PRIJEM	PREVOD Z UCTU	4514	21329	DUCHOD	AB	52114474
259104	887	1994-12-05	PRIJEM	PREVOD Z UCTU	4514	22543	DUCHOD	AB	52114474
259105	887	1995-01-05	PRIJEM	PREVOD Z UCTU	4514	22357	DUCHOD	AB	52114474
259106	887	1995-02-05	PRIJEM	PREVOD Z UCTU	4514	20869	DUCHOD	AB	52114474
259107	887	1995-03-05	PRIJEM	PREVOD Z UCTU	4514	22431	DUCHOD	AB	52114474
259108	887	1995-04-05	PRIJEM	PREVOD Z UCTU	4514	21995	DUCHOD	AB	52114474
259109	887	1995-05-05	PRIJEM	PREVOD Z UCTU	4514	21002	DUCHOD	AB	52114474
259110	887	1995-06-05	PRIJEM	PREVOD Z UCTU	4514	22568	DUCHOD	AB	52114474
259111	887	1995-07-05	PRIJEM	PREVOD Z UCTU	4514	18383	DUCHOD	AB	52114474
259112	887	1995-08-05	PRIJEM	PREVOD Z UCTU	4514	19935	DUCHOD	AB	52114474
259113	887	1995-09-05	PRIJEM	PREVOD Z UCTU	4514	19570	DUCHOD	AB	52114474
259114	887	1995-10-05	PRIJEM	PREVOD Z UCTU	4514	17438	DUCHOD	AB	52114474
259308	887	1996-01-31	VYDAJ	VYBER	15	15793	SLUZBY	\N	\N
259115	887	1995-11-05	PRIJEM	PREVOD Z UCTU	4514	18986	DUCHOD	AB	52114474
259116	887	1995-12-05	PRIJEM	PREVOD Z UCTU	4514	20539	DUCHOD	AB	52114474
259117	887	1996-01-05	PRIJEM	PREVOD Z UCTU	4514	21248	DUCHOD	AB	52114474
259118	887	1996-02-05	PRIJEM	PREVOD Z UCTU	4514	20307	DUCHOD	AB	52114474
259119	887	1996-03-05	PRIJEM	PREVOD Z UCTU	4514	20865	DUCHOD	AB	52114474
259120	887	1996-04-05	PRIJEM	PREVOD Z UCTU	4514	20623	DUCHOD	AB	52114474
259121	887	1996-05-05	PRIJEM	PREVOD Z UCTU	4514	19379	DUCHOD	AB	52114474
259122	887	1996-06-05	PRIJEM	PREVOD Z UCTU	4514	18831	DUCHOD	AB	52114474
259123	887	1996-07-05	PRIJEM	PREVOD Z UCTU	4514	20183	DUCHOD	AB	52114474
259124	887	1996-08-05	PRIJEM	PREVOD Z UCTU	4514	21742	DUCHOD	AB	52114474
259125	887	1996-09-05	PRIJEM	PREVOD Z UCTU	4514	22205	DUCHOD	AB	52114474
259126	887	1996-10-05	PRIJEM	PREVOD Z UCTU	4514	18861	DUCHOD	AB	52114474
259127	887	1996-11-05	PRIJEM	PREVOD Z UCTU	4514	19412	DUCHOD	AB	52114474
259128	887	1996-12-05	PRIJEM	PREVOD Z UCTU	4514	18762	DUCHOD	AB	52114474
259129	887	1997-01-05	PRIJEM	PREVOD Z UCTU	4514	20014	DUCHOD	AB	52114474
259130	887	1997-02-05	PRIJEM	PREVOD Z UCTU	4514	17771	DUCHOD	AB	52114474
259131	887	1997-03-05	PRIJEM	PREVOD Z UCTU	4514	15110	DUCHOD	AB	52114474
259132	887	1997-04-05	PRIJEM	PREVOD Z UCTU	4514	16647	DUCHOD	AB	52114474
259133	887	1997-05-05	PRIJEM	PREVOD Z UCTU	4514	18190	DUCHOD	AB	52114474
259134	887	1997-06-05	PRIJEM	PREVOD Z UCTU	4514	19019	DUCHOD	AB	52114474
259135	887	1997-07-05	PRIJEM	PREVOD Z UCTU	4514	20573	DUCHOD	AB	52114474
259136	887	1997-08-05	PRIJEM	PREVOD Z UCTU	4514	22132	DUCHOD	AB	52114474
259137	887	1997-09-05	PRIJEM	PREVOD Z UCTU	4514	20170	DUCHOD	AB	52114474
259138	887	1997-10-05	PRIJEM	PREVOD Z UCTU	4514	21728	DUCHOD	AB	52114474
259139	887	1997-11-05	PRIJEM	PREVOD Z UCTU	4514	21212	DUCHOD	AB	52114474
259140	887	1997-12-05	PRIJEM	PREVOD Z UCTU	4514	22781	DUCHOD	AB	52114474
259141	887	1998-01-05	PRIJEM	PREVOD Z UCTU	4514	21098	DUCHOD	AB	52114474
259142	887	1998-02-05	PRIJEM	PREVOD Z UCTU	4514	22666	DUCHOD	AB	52114474
259143	887	1998-03-05	PRIJEM	PREVOD Z UCTU	4514	24233	DUCHOD	AB	52114474
259144	887	1998-04-05	PRIJEM	PREVOD Z UCTU	4514	23644	DUCHOD	AB	52114474
259145	887	1998-05-05	PRIJEM	PREVOD Z UCTU	4514	25216	DUCHOD	AB	52114474
259146	887	1998-06-05	PRIJEM	PREVOD Z UCTU	4514	26794	DUCHOD	AB	52114474
259147	887	1998-07-05	PRIJEM	PREVOD Z UCTU	4514	20256	DUCHOD	AB	52114474
259148	887	1998-08-05	PRIJEM	PREVOD Z UCTU	4514	21012	DUCHOD	AB	52114474
259149	887	1998-09-05	PRIJEM	PREVOD Z UCTU	4514	22573	DUCHOD	AB	52114474
259150	887	1998-10-05	PRIJEM	PREVOD Z UCTU	4514	20853	DUCHOD	AB	52114474
259151	887	1998-11-05	PRIJEM	PREVOD Z UCTU	4514	22413	DUCHOD	AB	52114474
259152	887	1998-12-05	PRIJEM	PREVOD Z UCTU	4514	20937	DUCHOD	AB	52114474
259161	887	1993-09-14	VYDAJ	PREVOD NA UCET	3009	18883	SIPO	EF	94832020
259162	887	1993-10-14	VYDAJ	PREVOD NA UCET	3009	20449	SIPO	EF	94832020
259163	887	1993-11-14	VYDAJ	PREVOD NA UCET	3009	22022	SIPO	EF	94832020
259164	887	1993-12-14	VYDAJ	PREVOD NA UCET	3009	23601	SIPO	EF	94832020
259165	887	1994-01-14	VYDAJ	PREVOD NA UCET	3009	23387	SIPO	EF	94832020
259166	887	1994-02-14	VYDAJ	PREVOD NA UCET	3009	20415	SIPO	EF	94832020
259167	887	1994-03-14	VYDAJ	PREVOD NA UCET	3009	21987	SIPO	EF	94832020
259168	887	1994-04-14	VYDAJ	PREVOD NA UCET	3009	23567	SIPO	EF	94832020
259169	887	1994-05-14	VYDAJ	PREVOD NA UCET	3009	23153	SIPO	EF	94832020
259170	887	1994-06-14	VYDAJ	PREVOD NA UCET	3009	10583	SIPO	EF	94832020
259171	887	1994-07-14	VYDAJ	PREVOD NA UCET	3009	12129	SIPO	EF	94832020
259172	887	1994-08-14	VYDAJ	PREVOD NA UCET	3009	13667	SIPO	EF	94832020
259173	887	1994-09-14	VYDAJ	PREVOD NA UCET	3009	15212	SIPO	EF	94832020
259174	887	1994-10-14	VYDAJ	PREVOD NA UCET	3009	16763	SIPO	EF	94832020
259175	887	1994-11-14	VYDAJ	PREVOD NA UCET	3009	18320	SIPO	EF	94832020
259176	887	1994-12-14	VYDAJ	PREVOD NA UCET	3009	19534	SIPO	EF	94832020
259177	887	1995-01-14	VYDAJ	PREVOD NA UCET	3009	19348	SIPO	EF	94832020
259178	887	1995-02-14	VYDAJ	PREVOD NA UCET	3009	17860	SIPO	EF	94832020
259179	887	1995-03-14	VYDAJ	PREVOD NA UCET	3009	19422	SIPO	EF	94832020
259180	887	1995-04-14	VYDAJ	PREVOD NA UCET	3009	18986	SIPO	EF	94832020
259181	887	1995-05-14	VYDAJ	PREVOD NA UCET	3009	17993	SIPO	EF	94832020
259182	887	1995-06-14	VYDAJ	PREVOD NA UCET	3009	19559	SIPO	EF	94832020
259183	887	1995-07-14	VYDAJ	PREVOD NA UCET	3009	15374	SIPO	EF	94832020
259184	887	1995-08-14	VYDAJ	PREVOD NA UCET	3009	16926	SIPO	EF	94832020
259185	887	1995-09-14	VYDAJ	PREVOD NA UCET	3009	12881	SIPO	EF	94832020
259186	887	1995-10-14	VYDAJ	PREVOD NA UCET	3009	14429	SIPO	EF	94832020
259187	887	1995-11-14	VYDAJ	PREVOD NA UCET	3009	15977	SIPO	EF	94832020
259188	887	1995-12-14	VYDAJ	PREVOD NA UCET	3009	17530	SIPO	EF	94832020
259189	887	1996-01-14	VYDAJ	PREVOD NA UCET	3009	18239	SIPO	EF	94832020
259190	887	1996-02-14	VYDAJ	PREVOD NA UCET	3009	17298	SIPO	EF	94832020
259191	887	1996-03-14	VYDAJ	PREVOD NA UCET	3009	17856	SIPO	EF	94832020
259192	887	1996-04-14	VYDAJ	PREVOD NA UCET	3009	17614	SIPO	EF	94832020
259193	887	1996-05-14	VYDAJ	PREVOD NA UCET	3009	16370	SIPO	EF	94832020
259194	887	1996-06-14	VYDAJ	PREVOD NA UCET	3009	15822	SIPO	EF	94832020
259195	887	1996-07-14	VYDAJ	PREVOD NA UCET	3009	17174	SIPO	EF	94832020
259196	887	1996-08-14	VYDAJ	PREVOD NA UCET	3009	18733	SIPO	EF	94832020
259197	887	1996-09-14	VYDAJ	PREVOD NA UCET	3009	19196	SIPO	EF	94832020
259198	887	1996-10-14	VYDAJ	PREVOD NA UCET	3009	15852	SIPO	EF	94832020
259199	887	1996-11-14	VYDAJ	PREVOD NA UCET	3009	16403	SIPO	EF	94832020
259200	887	1996-12-14	VYDAJ	PREVOD NA UCET	3009	15753	SIPO	EF	94832020
259201	887	1997-01-14	VYDAJ	PREVOD NA UCET	3009	17005	SIPO	EF	94832020
259202	887	1997-02-14	VYDAJ	PREVOD NA UCET	3009	10562	SIPO	EF	94832020
259203	887	1997-03-14	VYDAJ	PREVOD NA UCET	3009	12101	SIPO	EF	94832020
259204	887	1997-04-14	VYDAJ	PREVOD NA UCET	3009	13638	SIPO	EF	94832020
259205	887	1997-05-14	VYDAJ	PREVOD NA UCET	3009	14461	SIPO	EF	94832020
259206	887	1997-06-14	VYDAJ	PREVOD NA UCET	3009	16010	SIPO	EF	94832020
259207	887	1997-07-14	VYDAJ	PREVOD NA UCET	3009	17564	SIPO	EF	94832020
259208	887	1997-08-14	VYDAJ	PREVOD NA UCET	3009	15603	SIPO	EF	94832020
259209	887	1997-09-14	VYDAJ	PREVOD NA UCET	3009	17161	SIPO	EF	94832020
259210	887	1997-10-14	VYDAJ	PREVOD NA UCET	3009	18719	SIPO	EF	94832020
259211	887	1997-11-14	VYDAJ	PREVOD NA UCET	3009	18203	SIPO	EF	94832020
259212	887	1997-12-14	VYDAJ	PREVOD NA UCET	3009	19772	SIPO	EF	94832020
259213	887	1998-01-14	VYDAJ	PREVOD NA UCET	3009	18089	SIPO	EF	94832020
259214	887	1998-02-14	VYDAJ	PREVOD NA UCET	3009	19657	SIPO	EF	94832020
259215	887	1998-03-14	VYDAJ	PREVOD NA UCET	3009	19064	SIPO	EF	94832020
259216	887	1998-04-14	VYDAJ	PREVOD NA UCET	3009	20635	SIPO	EF	94832020
259217	887	1998-05-14	VYDAJ	PREVOD NA UCET	3009	22207	SIPO	EF	94832020
259218	887	1998-06-14	VYDAJ	PREVOD NA UCET	3009	15685	SIPO	EF	94832020
259219	887	1998-07-14	VYDAJ	PREVOD NA UCET	3009	17247	SIPO	EF	94832020
259220	887	1998-08-14	VYDAJ	PREVOD NA UCET	3009	18003	SIPO	EF	94832020
259221	887	1998-09-14	VYDAJ	PREVOD NA UCET	3009	16284	SIPO	EF	94832020
259222	887	1998-10-14	VYDAJ	PREVOD NA UCET	3009	17844	SIPO	EF	94832020
259223	887	1998-11-14	VYDAJ	PREVOD NA UCET	3009	19404	SIPO	EF	94832020
259224	887	1998-12-14	VYDAJ	PREVOD NA UCET	3009	17928	SIPO	EF	94832020
259226	887	1994-06-08	VYDAJ	VYBER	10550	13592	\N	\N	\N
259227	887	1995-06-26	VYDAJ	VYBER	5750	13809	\N	\N	\N
259230	887	1998-06-07	VYDAJ	VYBER	8100	18694	\N	\N	\N
259232	887	1994-01-20	VYDAJ	VYBER	4550	18837	\N	\N	\N
259233	887	1995-01-17	VYDAJ	VYBER	3050	16298	\N	\N	\N
259236	887	1998-01-04	VYDAJ	VYBER	2550	16584	\N	\N	\N
259237	887	1993-12-30	VYDAJ	VYBER	300	23301	\N	\N	\N
259238	887	1994-12-02	VYDAJ	VYBER	350	18029	\N	\N	\N
259239	887	1995-12-17	VYDAJ	VYBER	850	16680	\N	\N	\N
259240	887	1996-12-15	VYDAJ	VYBER	300	15453	\N	\N	\N
259241	887	1997-12-15	VYDAJ	VYBER	700	19072	\N	\N	\N
259242	887	1998-12-19	VYDAJ	VYBER	850	17078	\N	\N	\N
259244	887	1993-09-05	VYDAJ	VYBER	1360	21892	\N	\N	\N
259246	887	1994-05-16	VYDAJ	VYBER	3600	19553	\N	\N	\N
259247	887	1994-12-29	VYDAJ	VYBER	1760	17774	\N	\N	\N
259248	887	1994-05-12	VYDAJ	VYBER	2000	26162	\N	\N	\N
259250	887	1995-08-20	VYDAJ	VYBER	1920	15006	\N	\N	\N
259251	887	1995-09-07	VYDAJ	VYBER	3680	15890	\N	\N	\N
259252	887	1995-03-16	VYDAJ	VYBER	2000	17422	\N	\N	\N
259253	887	1995-04-30	VYDAJ	VYBER	2560	16488	\N	\N	\N
259258	887	1997-08-13	VYDAJ	VYBER	3520	18612	\N	\N	\N
259261	887	1997-05-11	VYDAJ	VYBER	720	17470	\N	\N	\N
259262	887	1997-11-03	VYDAJ	VYBER	2080	16698	\N	\N	\N
259265	887	1998-03-10	VYDAJ	VYBER	2160	22073	\N	\N	\N
259266	887	1998-11-25	VYDAJ	VYBER	3040	16364	\N	\N	\N
259267	887	1998-09-07	VYDAJ	VYBER	3280	19293	\N	\N	\N
259268	887	1998-07-16	VYDAJ	VYBER	800	16447	\N	\N	\N
259280	887	1993-09-30	VYDAJ	VYBER	15	18944	SLUZBY	\N	\N
259281	887	1993-10-31	VYDAJ	VYBER	15	20517	SLUZBY	\N	\N
259282	887	1993-11-30	VYDAJ	VYBER	15	22096	SLUZBY	\N	\N
259283	887	1993-12-31	VYDAJ	VYBER	15	21882	SLUZBY	\N	\N
259284	887	1994-01-31	VYDAJ	VYBER	15	18910	SLUZBY	\N	\N
259285	887	1994-02-28	VYDAJ	VYBER	15	20482	SLUZBY	\N	\N
259286	887	1994-03-31	VYDAJ	VYBER	15	22062	SLUZBY	\N	\N
259287	887	1994-04-30	VYDAJ	VYBER	15	23648	SLUZBY	\N	\N
259288	887	1994-05-31	VYDAJ	VYBER	15	19628	SLUZBY	\N	\N
259289	887	1994-06-30	VYDAJ	VYBER	15	10624	SLUZBY	\N	\N
259290	887	1994-07-31	VYDAJ	VYBER	15	12162	SLUZBY	\N	\N
259291	887	1994-08-31	VYDAJ	VYBER	15	13707	SLUZBY	\N	\N
259292	887	1994-09-30	VYDAJ	VYBER	15	15258	SLUZBY	\N	\N
259293	887	1994-10-31	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
259294	887	1994-11-30	VYDAJ	VYBER	15	18379	SLUZBY	\N	\N
259295	887	1994-12-31	VYDAJ	VYBER	15	17843	SLUZBY	\N	\N
259296	887	1995-01-31	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
259297	887	1995-02-28	VYDAJ	VYBER	15	17917	SLUZBY	\N	\N
259298	887	1995-03-31	VYDAJ	VYBER	15	17481	SLUZBY	\N	\N
259299	887	1995-04-30	VYDAJ	VYBER	15	19048	SLUZBY	\N	\N
259300	887	1995-05-31	VYDAJ	VYBER	15	18054	SLUZBY	\N	\N
259301	887	1995-06-30	VYDAJ	VYBER	15	13869	SLUZBY	\N	\N
259302	887	1995-07-31	VYDAJ	VYBER	15	15421	SLUZBY	\N	\N
259303	887	1995-08-31	VYDAJ	VYBER	15	15056	SLUZBY	\N	\N
259304	887	1995-09-30	VYDAJ	VYBER	15	12924	SLUZBY	\N	\N
259305	887	1995-10-31	VYDAJ	VYBER	15	14472	SLUZBY	\N	\N
259306	887	1995-11-30	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
259307	887	1995-12-31	VYDAJ	VYBER	15	16734	SLUZBY	\N	\N
259309	887	1996-02-29	VYDAJ	VYBER	15	16351	SLUZBY	\N	\N
259310	887	1996-03-31	VYDAJ	VYBER	15	16109	SLUZBY	\N	\N
259311	887	1996-04-30	VYDAJ	VYBER	15	14865	SLUZBY	\N	\N
259312	887	1996-05-31	VYDAJ	VYBER	15	14317	SLUZBY	\N	\N
259313	887	1996-06-30	VYDAJ	VYBER	15	15669	SLUZBY	\N	\N
259314	887	1996-07-31	VYDAJ	VYBER	15	17228	SLUZBY	\N	\N
259315	887	1996-08-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
259316	887	1996-09-30	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
259317	887	1996-10-31	VYDAJ	VYBER	15	14898	SLUZBY	\N	\N
259318	887	1996-11-30	VYDAJ	VYBER	15	14248	SLUZBY	\N	\N
259319	887	1996-12-31	VYDAJ	VYBER	15	15500	SLUZBY	\N	\N
259320	887	1997-01-31	VYDAJ	VYBER	15	13257	SLUZBY	\N	\N
259321	887	1997-02-28	VYDAJ	VYBER	15	10596	SLUZBY	\N	\N
259322	887	1997-03-31	VYDAJ	VYBER	15	12133	SLUZBY	\N	\N
259323	887	1997-04-30	VYDAJ	VYBER	15	13676	SLUZBY	\N	\N
259324	887	1997-05-31	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
259325	887	1997-06-30	VYDAJ	VYBER	15	16059	SLUZBY	\N	\N
259326	887	1997-07-31	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
259327	887	1997-08-31	VYDAJ	VYBER	15	15656	SLUZBY	\N	\N
259328	887	1997-09-30	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
259329	887	1997-10-31	VYDAJ	VYBER	15	18778	SLUZBY	\N	\N
259330	887	1997-11-30	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
259331	887	1997-12-31	VYDAJ	VYBER	15	19134	SLUZBY	\N	\N
259332	887	1998-01-31	VYDAJ	VYBER	15	18152	SLUZBY	\N	\N
259333	887	1998-02-28	VYDAJ	VYBER	15	19719	SLUZBY	\N	\N
259334	887	1998-03-31	VYDAJ	VYBER	15	19130	SLUZBY	\N	\N
259335	887	1998-04-30	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
259336	887	1998-05-31	VYDAJ	VYBER	15	22280	SLUZBY	\N	\N
259337	887	1998-06-30	VYDAJ	VYBER	15	15742	SLUZBY	\N	\N
259338	887	1998-07-31	VYDAJ	VYBER	15	16498	SLUZBY	\N	\N
259339	887	1998-08-31	VYDAJ	VYBER	15	18059	SLUZBY	\N	\N
259340	887	1998-09-30	VYDAJ	VYBER	15	16339	SLUZBY	\N	\N
259341	887	1998-10-31	VYDAJ	VYBER	15	17899	SLUZBY	\N	\N
259342	887	1998-11-30	VYDAJ	VYBER	15	16423	SLUZBY	\N	\N
259343	887	1993-12-31	VYDAJ	VYBER	1500	21897	\N	\N	\N
259344	887	1996-01-20	VYDAJ	VYBER	2500	15739	\N	\N	\N
259345	887	1996-02-19	VYDAJ	VYBER	1000	16298	\N	\N	\N
259346	887	1996-03-20	VYDAJ	VYBER	1800	16056	\N	\N	\N
259347	887	1996-04-19	VYDAJ	VYBER	2800	14814	\N	\N	\N
259348	887	1996-05-19	VYDAJ	VYBER	2100	14270	\N	\N	\N
259349	887	1996-06-18	VYDAJ	VYBER	200	15622	\N	\N	\N
259350	887	1996-08-17	VYDAJ	VYBER	1100	17633	\N	\N	\N
259351	887	1996-09-16	VYDAJ	VYBER	4900	14296	\N	\N	\N
259352	887	1996-10-16	VYDAJ	VYBER	1000	14852	\N	\N	\N
259353	887	1996-11-15	VYDAJ	VYBER	2200	14203	\N	\N	\N
259354	887	1997-01-14	VYDAJ	VYBER	3800	13205	\N	\N	\N
259355	887	1997-02-13	VYDAJ	VYBER	4200	13571	\N	\N	\N
259424	888	1996-10-28	PRIJEM	VKLAD	800	800	\N	\N	\N
259435	888	1996-11-08	PRIJEM	PREVOD Z UCTU	6107	6907	DUCHOD	KL	82927399
259436	888	1996-12-08	PRIJEM	PREVOD Z UCTU	6107	13014	DUCHOD	KL	82927399
259437	888	1997-01-08	PRIJEM	PREVOD Z UCTU	6107	19121	DUCHOD	KL	82927399
259438	888	1997-02-08	PRIJEM	PREVOD Z UCTU	6107	25228	DUCHOD	KL	82927399
259439	888	1997-03-08	PRIJEM	PREVOD Z UCTU	6107	31335	DUCHOD	KL	82927399
259440	888	1997-04-08	PRIJEM	PREVOD Z UCTU	6107	32629	DUCHOD	KL	82927399
259441	888	1997-05-08	PRIJEM	PREVOD Z UCTU	6107	34657	DUCHOD	KL	82927399
259442	888	1997-06-08	PRIJEM	PREVOD Z UCTU	6107	32789	DUCHOD	KL	82927399
259443	888	1997-07-08	PRIJEM	PREVOD Z UCTU	6107	26500	DUCHOD	KL	82927399
259444	888	1997-08-08	PRIJEM	PREVOD Z UCTU	6107	30699	DUCHOD	KL	82927399
259445	888	1997-09-08	PRIJEM	PREVOD Z UCTU	6107	32714	DUCHOD	KL	82927399
259446	888	1997-10-08	PRIJEM	PREVOD Z UCTU	6107	35341	DUCHOD	KL	82927399
259447	888	1997-11-08	PRIJEM	PREVOD Z UCTU	6107	35937	DUCHOD	KL	82927399
259448	888	1997-12-08	PRIJEM	PREVOD Z UCTU	6107	34068	DUCHOD	KL	82927399
259449	888	1998-01-08	PRIJEM	PREVOD Z UCTU	6107	29000	DUCHOD	KL	82927399
259450	888	1998-02-08	PRIJEM	PREVOD Z UCTU	6107	19899	DUCHOD	KL	82927399
259451	888	1998-03-08	PRIJEM	PREVOD Z UCTU	6107	22869	DUCHOD	KL	82927399
259452	888	1998-04-08	PRIJEM	PREVOD Z UCTU	6107	27454	DUCHOD	KL	82927399
259453	888	1998-05-08	PRIJEM	PREVOD Z UCTU	6107	30655	DUCHOD	KL	82927399
259454	888	1998-06-08	PRIJEM	PREVOD Z UCTU	6107	26083	DUCHOD	KL	82927399
259455	888	1998-07-08	PRIJEM	PREVOD Z UCTU	6107	22910	DUCHOD	KL	82927399
259456	888	1998-08-08	PRIJEM	PREVOD Z UCTU	6107	17679	DUCHOD	KL	82927399
259457	888	1998-09-08	PRIJEM	PREVOD Z UCTU	6107	18335	DUCHOD	KL	82927399
259458	888	1998-10-08	PRIJEM	PREVOD Z UCTU	6107	22500	DUCHOD	KL	82927399
259459	888	1998-11-08	PRIJEM	PREVOD Z UCTU	6107	26283	DUCHOD	KL	82927399
259460	888	1998-12-08	PRIJEM	PREVOD Z UCTU	6107	28220	DUCHOD	KL	82927399
259475	888	1997-03-08	VYDAJ	PREVOD NA UCET	1592	29743	SIPO	AB	42709922
259476	888	1997-04-08	VYDAJ	PREVOD NA UCET	1592	31037	SIPO	AB	42709922
259477	888	1997-05-08	VYDAJ	PREVOD NA UCET	1592	33065	SIPO	AB	42709922
259478	888	1997-06-08	VYDAJ	PREVOD NA UCET	1592	31197	SIPO	AB	42709922
259479	888	1997-07-08	VYDAJ	PREVOD NA UCET	1592	24908	SIPO	AB	42709922
259480	888	1997-08-08	VYDAJ	PREVOD NA UCET	1592	29107	SIPO	AB	42709922
259481	888	1997-09-08	VYDAJ	PREVOD NA UCET	1592	31122	SIPO	AB	42709922
259482	888	1997-10-08	VYDAJ	PREVOD NA UCET	1592	33749	SIPO	AB	42709922
259483	888	1997-11-08	VYDAJ	PREVOD NA UCET	1592	34345	SIPO	AB	42709922
259484	888	1997-12-08	VYDAJ	PREVOD NA UCET	1592	32476	SIPO	AB	42709922
259485	888	1998-01-08	VYDAJ	PREVOD NA UCET	1592	27408	SIPO	AB	42709922
259486	888	1998-02-08	VYDAJ	PREVOD NA UCET	1592	18307	SIPO	AB	42709922
259487	888	1998-03-08	VYDAJ	PREVOD NA UCET	1592	21277	SIPO	AB	42709922
259488	888	1998-04-08	VYDAJ	PREVOD NA UCET	1592	25862	SIPO	AB	42709922
259489	888	1998-05-08	VYDAJ	PREVOD NA UCET	1592	29063	SIPO	AB	42709922
259490	888	1998-06-08	VYDAJ	PREVOD NA UCET	1592	24491	SIPO	AB	42709922
259491	888	1998-07-08	VYDAJ	PREVOD NA UCET	1592	21318	SIPO	AB	42709922
259492	888	1998-08-08	VYDAJ	PREVOD NA UCET	1592	16087	SIPO	AB	42709922
259493	888	1998-09-08	VYDAJ	PREVOD NA UCET	1592	16743	SIPO	AB	42709922
259494	888	1998-10-08	VYDAJ	PREVOD NA UCET	1592	20908	SIPO	AB	42709922
259495	888	1998-11-08	VYDAJ	PREVOD NA UCET	1592	24691	SIPO	AB	42709922
259496	888	1998-12-08	VYDAJ	PREVOD NA UCET	1592	26628	SIPO	AB	42709922
259498	888	1997-06-21	VYDAJ	VYBER	10900	20297	\N	\N	\N
259502	888	1998-01-11	VYDAJ	VYBER	1750	25658	\N	\N	\N
259504	888	1997-12-19	VYDAJ	VYBER	1350	31126	\N	\N	\N
259505	888	1998-12-25	VYDAJ	VYBER	1050	21258	\N	\N	\N
259518	888	1998-01-23	VYDAJ	VYBER	2080	15878	\N	\N	\N
259519	888	1998-01-28	VYDAJ	VYBER	2160	13718	\N	\N	\N
259520	888	1998-01-12	VYDAJ	VYBER	1600	24058	\N	\N	\N
259521	888	1998-01-15	VYDAJ	VYBER	800	23258	\N	\N	\N
259522	888	1998-01-02	VYDAJ	VYBER	1440	22893	\N	\N	\N
259523	888	1998-01-21	VYDAJ	VYBER	800	17958	\N	\N	\N
259529	888	1997-07-23	VYDAJ	VYBER	400	24508	\N	\N	\N
259530	888	1997-10-23	VYDAJ	VYBER	1440	29709	\N	\N	\N
259531	888	1998-12-13	VYDAJ	VYBER	2080	22308	\N	\N	\N
259532	888	1998-12-11	VYDAJ	VYBER	2240	24388	\N	\N	\N
259533	888	1998-06-19	VYDAJ	VYBER	3360	21131	\N	\N	\N
259534	888	1998-06-06	VYDAJ	VYBER	1280	19976	\N	\N	\N
259535	888	1998-11-27	VYDAJ	VYBER	2160	22031	\N	\N	\N
259536	888	1998-12-28	VYDAJ	VYBER	1920	19338	\N	\N	\N
259552	888	1997-03-31	VYDAJ	VYBER	15	26522	SLUZBY	\N	\N
259553	888	1997-04-30	VYDAJ	VYBER	15	28550	SLUZBY	\N	\N
259554	888	1997-05-31	VYDAJ	VYBER	15	26682	SLUZBY	\N	\N
259555	888	1997-06-30	VYDAJ	VYBER	15	20393	SLUZBY	\N	\N
259556	888	1997-07-31	VYDAJ	VYBER	15	24592	SLUZBY	\N	\N
259557	888	1997-08-31	VYDAJ	VYBER	15	26607	SLUZBY	\N	\N
259558	888	1997-09-30	VYDAJ	VYBER	15	29234	SLUZBY	\N	\N
259559	888	1997-10-31	VYDAJ	VYBER	15	29830	SLUZBY	\N	\N
259560	888	1997-11-30	VYDAJ	VYBER	15	27961	SLUZBY	\N	\N
259561	888	1997-12-31	VYDAJ	VYBER	15	24333	SLUZBY	\N	\N
259562	888	1998-01-31	VYDAJ	VYBER	15	13792	SLUZBY	\N	\N
259563	888	1998-02-28	VYDAJ	VYBER	15	16762	SLUZBY	\N	\N
259564	888	1998-03-31	VYDAJ	VYBER	15	21347	SLUZBY	\N	\N
259565	888	1998-04-30	VYDAJ	VYBER	15	24548	SLUZBY	\N	\N
259566	888	1998-05-31	VYDAJ	VYBER	15	21256	SLUZBY	\N	\N
259567	888	1998-06-30	VYDAJ	VYBER	15	16803	SLUZBY	\N	\N
259568	888	1998-07-31	VYDAJ	VYBER	15	11572	SLUZBY	\N	\N
259569	888	1998-08-31	VYDAJ	VYBER	15	12228	SLUZBY	\N	\N
259570	888	1998-09-30	VYDAJ	VYBER	15	16393	SLUZBY	\N	\N
259571	888	1998-10-31	VYDAJ	VYBER	15	20176	SLUZBY	\N	\N
259572	888	1998-11-30	VYDAJ	VYBER	15	22113	SLUZBY	\N	\N
259573	888	1997-03-27	VYDAJ	VYBER	3300	26443	\N	\N	\N
259574	888	1997-04-26	VYDAJ	VYBER	2600	28437	\N	\N	\N
259575	888	1997-05-26	VYDAJ	VYBER	6500	26565	\N	\N	\N
259576	888	1997-08-24	VYDAJ	VYBER	2600	26507	\N	\N	\N
259577	888	1997-09-23	VYDAJ	VYBER	2000	29122	\N	\N	\N
259578	888	1997-10-23	VYDAJ	VYBER	2600	31149	\N	\N	\N
259579	888	1997-11-22	VYDAJ	VYBER	6500	27845	\N	\N	\N
259580	888	1997-12-22	VYDAJ	VYBER	6900	24226	\N	\N	\N
259581	888	1998-01-21	VYDAJ	VYBER	4500	18758	\N	\N	\N
259582	888	1998-02-20	VYDAJ	VYBER	1600	16707	\N	\N	\N
259583	888	1998-04-21	VYDAJ	VYBER	1400	24462	\N	\N	\N
259584	888	1998-05-21	VYDAJ	VYBER	7900	21163	\N	\N	\N
259585	888	1998-06-20	VYDAJ	VYBER	4400	16731	\N	\N	\N
259586	888	1998-07-20	VYDAJ	VYBER	9800	11518	\N	\N	\N
259587	888	1998-08-19	VYDAJ	VYBER	3900	12187	\N	\N	\N
259588	888	1998-09-18	VYDAJ	VYBER	400	16343	\N	\N	\N
259589	888	1998-10-18	VYDAJ	VYBER	800	20108	\N	\N	\N
259590	888	1998-11-17	VYDAJ	VYBER	500	24191	\N	\N	\N
259613	889	1997-12-22	PRIJEM	VKLAD	300	300	\N	\N	\N
259626	889	1998-01-05	PRIJEM	PREVOD Z UCTU	4976	5276	DUCHOD	IJ	5897647
259627	889	1998-02-05	PRIJEM	PREVOD Z UCTU	4976	10252	DUCHOD	IJ	5897647
259628	889	1998-03-05	PRIJEM	PREVOD Z UCTU	4976	15228	DUCHOD	IJ	5897647
259629	889	1998-04-05	PRIJEM	PREVOD Z UCTU	4976	20204	DUCHOD	IJ	5897647
259630	889	1998-05-05	PRIJEM	PREVOD Z UCTU	4976	25180	DUCHOD	IJ	5897647
259631	889	1998-06-05	PRIJEM	PREVOD Z UCTU	4976	26955	DUCHOD	IJ	5897647
259632	889	1998-07-05	PRIJEM	PREVOD Z UCTU	4976	28761	DUCHOD	IJ	5897647
259633	889	1998-08-05	PRIJEM	PREVOD Z UCTU	4976	28167	DUCHOD	IJ	5897647
259634	889	1998-09-05	PRIJEM	PREVOD Z UCTU	4976	28573	DUCHOD	IJ	5897647
259635	889	1998-10-05	PRIJEM	PREVOD Z UCTU	4976	30380	DUCHOD	IJ	5897647
259636	889	1998-11-05	PRIJEM	PREVOD Z UCTU	4976	27305	DUCHOD	IJ	5897647
259637	889	1998-12-05	PRIJEM	PREVOD Z UCTU	4976	29107	DUCHOD	IJ	5897647
259654	889	1998-05-10	VYDAJ	PREVOD NA UCET	1292	23888	SIPO	YZ	22207898
259655	889	1998-06-10	VYDAJ	PREVOD NA UCET	1292	25663	SIPO	YZ	22207898
259656	889	1998-07-10	VYDAJ	PREVOD NA UCET	1292	27469	SIPO	YZ	22207898
259657	889	1998-08-10	VYDAJ	PREVOD NA UCET	1292	26875	SIPO	YZ	22207898
259658	889	1998-09-10	VYDAJ	PREVOD NA UCET	1292	27281	SIPO	YZ	22207898
259659	889	1998-10-10	VYDAJ	PREVOD NA UCET	1292	23523	SIPO	YZ	22207898
259660	889	1998-11-10	VYDAJ	PREVOD NA UCET	1292	26013	SIPO	YZ	22207898
259661	889	1998-12-10	VYDAJ	PREVOD NA UCET	1292	27815	SIPO	YZ	22207898
259678	889	1998-05-10	VYDAJ	PREVOD NA UCET	1965	21923	 	IJ	99116205
259679	889	1998-06-10	VYDAJ	PREVOD NA UCET	1965	23698	 	IJ	99116205
259680	889	1998-07-10	VYDAJ	PREVOD NA UCET	1965	25504	 	IJ	99116205
259681	889	1998-08-10	VYDAJ	PREVOD NA UCET	1965	24910	 	IJ	99116205
259682	889	1998-09-10	VYDAJ	PREVOD NA UCET	1965	25316	 	IJ	99116205
259683	889	1998-10-10	VYDAJ	PREVOD NA UCET	1965	24815	 	IJ	99116205
259684	889	1998-11-10	VYDAJ	PREVOD NA UCET	1965	24048	 	IJ	99116205
259685	889	1998-12-10	VYDAJ	PREVOD NA UCET	1965	25850	 	IJ	99116205
259691	889	1998-12-20	VYDAJ	VYBER	800	25050	\N	\N	\N
259711	889	1998-10-08	VYDAJ	VYBER	3600	26780	\N	\N	\N
259712	889	1998-07-22	VYDAJ	VYBER	2400	23104	\N	\N	\N
259713	889	1998-10-19	VYDAJ	VYBER	1280	22243	\N	\N	\N
259731	889	1998-05-31	VYDAJ	VYBER	15	21979	SLUZBY	\N	\N
259732	889	1998-06-30	VYDAJ	VYBER	15	23785	SLUZBY	\N	\N
259733	889	1998-07-31	VYDAJ	VYBER	15	23191	SLUZBY	\N	\N
259734	889	1998-08-31	VYDAJ	VYBER	15	23597	SLUZBY	\N	\N
259735	889	1998-09-30	VYDAJ	VYBER	15	25404	SLUZBY	\N	\N
259736	889	1998-10-31	VYDAJ	VYBER	15	22329	SLUZBY	\N	\N
259737	889	1998-11-30	VYDAJ	VYBER	15	24131	SLUZBY	\N	\N
259738	889	1998-08-19	VYDAJ	VYBER	1400	23510	\N	\N	\N
259747	890	1993-02-05	PRIJEM	VKLAD	700	700	\N	\N	\N
259749	890	1993-02-09	PRIJEM	VKLAD	7041	7741	\N	\N	\N
259750	890	1993-03-09	PRIJEM	VKLAD	7041	25505	\N	\N	\N
259751	890	1993-04-09	PRIJEM	VKLAD	7041	32833	\N	\N	\N
259752	890	1993-05-09	PRIJEM	VKLAD	7041	37003	\N	\N	\N
259753	890	1993-06-09	PRIJEM	VKLAD	10562	39814	\N	\N	\N
259754	890	1993-07-09	PRIJEM	VKLAD	7041	30223	\N	\N	\N
259755	890	1993-08-09	PRIJEM	VKLAD	7041	31224	\N	\N	\N
259756	890	1993-09-09	PRIJEM	VKLAD	7041	33430	\N	\N	\N
259757	890	1993-10-09	PRIJEM	VKLAD	7041	34145	\N	\N	\N
259758	890	1993-11-09	PRIJEM	VKLAD	7041	34465	\N	\N	\N
259759	890	1993-12-09	PRIJEM	VKLAD	10562	37106	\N	\N	\N
259760	890	1994-01-09	PRIJEM	VKLAD	7041	29073	\N	\N	\N
259761	890	1994-02-09	PRIJEM	VKLAD	7041	26315	\N	\N	\N
259762	890	1994-03-09	PRIJEM	VKLAD	7041	32396	\N	\N	\N
259763	890	1994-04-09	PRIJEM	VKLAD	7041	35003	\N	\N	\N
259764	890	1994-05-09	PRIJEM	VKLAD	7041	34623	\N	\N	\N
259765	890	1994-06-09	PRIJEM	VKLAD	10562	39866	\N	\N	\N
259766	890	1994-07-09	PRIJEM	VKLAD	7041	38499	\N	\N	\N
259767	890	1994-08-09	PRIJEM	VKLAD	7041	34210	\N	\N	\N
259768	890	1994-09-09	PRIJEM	VKLAD	7041	35526	\N	\N	\N
259769	890	1994-10-09	PRIJEM	VKLAD	7041	32157	\N	\N	\N
259770	890	1994-11-09	PRIJEM	VKLAD	7041	29080	\N	\N	\N
259771	890	1994-12-09	PRIJEM	VKLAD	10562	37695	\N	\N	\N
259772	890	1995-01-09	PRIJEM	VKLAD	7041	33293	\N	\N	\N
259773	890	1995-02-09	PRIJEM	VKLAD	7041	24902	\N	\N	\N
259774	890	1995-03-09	PRIJEM	VKLAD	7041	28710	\N	\N	\N
259775	890	1995-04-09	PRIJEM	VKLAD	7041	34003	\N	\N	\N
259776	890	1995-05-09	PRIJEM	VKLAD	7041	37516	\N	\N	\N
259777	890	1995-06-09	PRIJEM	VKLAD	10562	41862	\N	\N	\N
259778	890	1995-07-09	PRIJEM	VKLAD	7041	34157	\N	\N	\N
259779	890	1995-08-09	PRIJEM	VKLAD	7041	34473	\N	\N	\N
259780	890	1995-09-09	PRIJEM	VKLAD	7041	31823	\N	\N	\N
259781	890	1995-10-09	PRIJEM	VKLAD	7041	33925	\N	\N	\N
259782	890	1995-11-09	PRIJEM	VKLAD	7041	38339	\N	\N	\N
259783	890	1995-12-09	PRIJEM	VKLAD	10562	39482	\N	\N	\N
259784	890	1996-01-09	PRIJEM	VKLAD	7041	32645	\N	\N	\N
259785	890	1996-02-09	PRIJEM	VKLAD	7041	30920	\N	\N	\N
259786	890	1996-03-09	PRIJEM	VKLAD	7041	33218	\N	\N	\N
259787	890	1996-04-09	PRIJEM	VKLAD	7041	32320	\N	\N	\N
259788	890	1996-05-09	PRIJEM	VKLAD	7041	30517	\N	\N	\N
259789	890	1996-06-09	PRIJEM	VKLAD	10562	32449	\N	\N	\N
259790	890	1996-07-09	PRIJEM	VKLAD	7041	24367	\N	\N	\N
259791	890	1996-08-09	PRIJEM	VKLAD	7041	23230	\N	\N	\N
259792	890	1996-09-09	PRIJEM	VKLAD	7041	26998	\N	\N	\N
259793	890	1996-10-09	PRIJEM	VKLAD	7041	27274	\N	\N	\N
259794	890	1996-11-09	PRIJEM	VKLAD	7041	26048	\N	\N	\N
259795	890	1996-12-09	PRIJEM	VKLAD	10562	25931	\N	\N	\N
259796	890	1997-01-09	PRIJEM	VKLAD	7041	25277	\N	\N	\N
259797	890	1997-02-09	PRIJEM	VKLAD	7041	22017	\N	\N	\N
259798	890	1997-03-09	PRIJEM	VKLAD	7041	26304	\N	\N	\N
259799	890	1997-04-09	PRIJEM	VKLAD	7041	23449	\N	\N	\N
259800	890	1997-05-09	PRIJEM	VKLAD	7041	23609	\N	\N	\N
259801	890	1997-06-09	PRIJEM	VKLAD	10562	26287	\N	\N	\N
259802	890	1997-07-09	PRIJEM	VKLAD	7041	22887	\N	\N	\N
259803	890	1997-08-09	PRIJEM	VKLAD	7041	23845	\N	\N	\N
259804	890	1997-09-09	PRIJEM	VKLAD	7041	27814	\N	\N	\N
259805	890	1997-10-09	PRIJEM	VKLAD	7041	20871	\N	\N	\N
259806	890	1997-11-09	PRIJEM	VKLAD	7041	24828	\N	\N	\N
259807	890	1997-12-09	PRIJEM	VKLAD	10562	23998	\N	\N	\N
259808	890	1998-01-09	PRIJEM	VKLAD	7041	22598	\N	\N	\N
259809	890	1998-02-09	PRIJEM	VKLAD	7041	23078	\N	\N	\N
259810	890	1998-03-09	PRIJEM	VKLAD	7041	27043	\N	\N	\N
259811	890	1998-04-09	PRIJEM	VKLAD	7041	27180	\N	\N	\N
259812	890	1998-05-09	PRIJEM	VKLAD	7041	29363	\N	\N	\N
259813	890	1998-06-09	PRIJEM	VKLAD	10562	36877	\N	\N	\N
259814	890	1998-07-09	PRIJEM	VKLAD	7041	17730	\N	\N	\N
259815	890	1998-08-09	PRIJEM	VKLAD	7041	21672	\N	\N	\N
259816	890	1998-09-09	PRIJEM	VKLAD	7041	25632	\N	\N	\N
259817	890	1998-10-09	PRIJEM	VKLAD	7041	29607	\N	\N	\N
259818	890	1998-11-09	PRIJEM	VKLAD	7041	33599	\N	\N	\N
259819	890	1998-12-09	PRIJEM	VKLAD	10562	39568	\N	\N	\N
259825	890	1993-06-10	VYDAJ	PREVOD NA UCET	3136	36678	SIPO	EF	66783034
259826	890	1993-07-10	VYDAJ	PREVOD NA UCET	3136	27087	SIPO	EF	66783034
259827	890	1993-08-10	VYDAJ	PREVOD NA UCET	3136	28088	SIPO	EF	66783034
259828	890	1993-09-10	VYDAJ	PREVOD NA UCET	3136	30294	SIPO	EF	66783034
259829	890	1993-10-10	VYDAJ	PREVOD NA UCET	3136	31009	SIPO	EF	66783034
259830	890	1993-11-10	VYDAJ	PREVOD NA UCET	3136	31329	SIPO	EF	66783034
259831	890	1993-12-10	VYDAJ	PREVOD NA UCET	3136	33970	SIPO	EF	66783034
259832	890	1994-01-10	VYDAJ	PREVOD NA UCET	3136	24137	SIPO	EF	66783034
259833	890	1994-02-10	VYDAJ	PREVOD NA UCET	3136	23179	SIPO	EF	66783034
259834	890	1994-03-10	VYDAJ	PREVOD NA UCET	3136	29260	SIPO	EF	66783034
259835	890	1994-04-10	VYDAJ	PREVOD NA UCET	3136	31867	SIPO	EF	66783034
259836	890	1994-05-10	VYDAJ	PREVOD NA UCET	3136	31487	SIPO	EF	66783034
259837	890	1994-06-10	VYDAJ	PREVOD NA UCET	3136	36730	SIPO	EF	66783034
259838	890	1994-07-10	VYDAJ	PREVOD NA UCET	3136	35363	SIPO	EF	66783034
259839	890	1994-08-10	VYDAJ	PREVOD NA UCET	3136	31074	SIPO	EF	66783034
259840	890	1994-09-10	VYDAJ	PREVOD NA UCET	3136	32390	SIPO	EF	66783034
259841	890	1994-10-10	VYDAJ	PREVOD NA UCET	3136	29021	SIPO	EF	66783034
259842	890	1994-11-10	VYDAJ	PREVOD NA UCET	3136	25944	SIPO	EF	66783034
259843	890	1994-12-10	VYDAJ	PREVOD NA UCET	3136	34559	SIPO	EF	66783034
259844	890	1995-01-10	VYDAJ	PREVOD NA UCET	3136	30157	SIPO	EF	66783034
259845	890	1995-02-10	VYDAJ	PREVOD NA UCET	3136	21766	SIPO	EF	66783034
259846	890	1995-03-10	VYDAJ	PREVOD NA UCET	3136	25574	SIPO	EF	66783034
259847	890	1995-04-10	VYDAJ	PREVOD NA UCET	3136	30867	SIPO	EF	66783034
259848	890	1995-05-10	VYDAJ	PREVOD NA UCET	3136	34380	SIPO	EF	66783034
259849	890	1995-06-10	VYDAJ	PREVOD NA UCET	3136	38726	SIPO	EF	66783034
259850	890	1995-07-10	VYDAJ	PREVOD NA UCET	3136	31021	SIPO	EF	66783034
259851	890	1995-08-10	VYDAJ	PREVOD NA UCET	3136	31337	SIPO	EF	66783034
259852	890	1995-09-10	VYDAJ	PREVOD NA UCET	3136	28687	SIPO	EF	66783034
259853	890	1995-10-10	VYDAJ	PREVOD NA UCET	3136	30789	SIPO	EF	66783034
259854	890	1995-11-10	VYDAJ	PREVOD NA UCET	3136	35203	SIPO	EF	66783034
259855	890	1995-12-10	VYDAJ	PREVOD NA UCET	3136	36346	SIPO	EF	66783034
259856	890	1996-01-10	VYDAJ	PREVOD NA UCET	3136	29509	SIPO	EF	66783034
259857	890	1996-02-10	VYDAJ	PREVOD NA UCET	3136	27784	SIPO	EF	66783034
259858	890	1996-03-10	VYDAJ	PREVOD NA UCET	3136	30082	SIPO	EF	66783034
259859	890	1996-04-10	VYDAJ	PREVOD NA UCET	3136	29184	SIPO	EF	66783034
259860	890	1996-05-10	VYDAJ	PREVOD NA UCET	3136	27381	SIPO	EF	66783034
259861	890	1996-06-10	VYDAJ	PREVOD NA UCET	3136	29313	SIPO	EF	66783034
259862	890	1996-07-10	VYDAJ	PREVOD NA UCET	3136	21231	SIPO	EF	66783034
259863	890	1996-08-10	VYDAJ	PREVOD NA UCET	3136	20094	SIPO	EF	66783034
259864	890	1996-09-10	VYDAJ	PREVOD NA UCET	3136	23862	SIPO	EF	66783034
259865	890	1996-10-10	VYDAJ	PREVOD NA UCET	3136	24138	SIPO	EF	66783034
259866	890	1996-11-10	VYDAJ	PREVOD NA UCET	3136	22912	SIPO	EF	66783034
259867	890	1996-12-10	VYDAJ	PREVOD NA UCET	3136	22795	SIPO	EF	66783034
259868	890	1997-01-10	VYDAJ	PREVOD NA UCET	3136	22141	SIPO	EF	66783034
259869	890	1997-02-10	VYDAJ	PREVOD NA UCET	3136	18881	SIPO	EF	66783034
259870	890	1997-03-10	VYDAJ	PREVOD NA UCET	3136	23168	SIPO	EF	66783034
259871	890	1997-04-10	VYDAJ	PREVOD NA UCET	3136	20313	SIPO	EF	66783034
259872	890	1997-05-10	VYDAJ	PREVOD NA UCET	3136	20473	SIPO	EF	66783034
259873	890	1997-06-10	VYDAJ	PREVOD NA UCET	3136	23151	SIPO	EF	66783034
259874	890	1997-07-10	VYDAJ	PREVOD NA UCET	3136	19751	SIPO	EF	66783034
259875	890	1997-08-10	VYDAJ	PREVOD NA UCET	3136	20709	SIPO	EF	66783034
259876	890	1997-09-10	VYDAJ	PREVOD NA UCET	3136	24678	SIPO	EF	66783034
259877	890	1997-10-10	VYDAJ	PREVOD NA UCET	3136	17735	SIPO	EF	66783034
259878	890	1997-11-10	VYDAJ	PREVOD NA UCET	3136	21692	SIPO	EF	66783034
259879	890	1997-12-10	VYDAJ	PREVOD NA UCET	3136	20862	SIPO	EF	66783034
259880	890	1998-01-10	VYDAJ	PREVOD NA UCET	3136	19462	SIPO	EF	66783034
259881	890	1998-02-10	VYDAJ	PREVOD NA UCET	3136	19942	SIPO	EF	66783034
259882	890	1998-03-10	VYDAJ	PREVOD NA UCET	3136	23907	SIPO	EF	66783034
259883	890	1998-04-10	VYDAJ	PREVOD NA UCET	3136	24044	SIPO	EF	66783034
259884	890	1998-05-10	VYDAJ	PREVOD NA UCET	3136	26227	SIPO	EF	66783034
259885	890	1998-06-10	VYDAJ	PREVOD NA UCET	3136	10641	SIPO	EF	66783034
259886	890	1998-07-10	VYDAJ	PREVOD NA UCET	3136	14594	SIPO	EF	66783034
259887	890	1998-08-10	VYDAJ	PREVOD NA UCET	3136	18536	SIPO	EF	66783034
259888	890	1998-09-10	VYDAJ	PREVOD NA UCET	3136	22496	SIPO	EF	66783034
259889	890	1998-10-10	VYDAJ	PREVOD NA UCET	3136	26471	SIPO	EF	66783034
259890	890	1998-11-10	VYDAJ	PREVOD NA UCET	3136	30463	SIPO	EF	66783034
259891	890	1998-12-10	VYDAJ	PREVOD NA UCET	3136	36432	SIPO	EF	66783034
259892	890	1993-06-22	VYDAJ	VYBER	12320	24358	\N	\N	\N
259895	890	1996-06-15	VYDAJ	VYBER	9440	19873	\N	\N	\N
259904	890	1993-12-27	VYDAJ	VYBER	4160	29810	\N	\N	\N
259905	890	1994-12-23	VYDAJ	VYBER	1120	33439	\N	\N	\N
259906	890	1995-12-28	VYDAJ	VYBER	2720	28126	\N	\N	\N
259908	890	1997-12-11	VYDAJ	VYBER	1760	19102	\N	\N	\N
259909	890	1998-12-30	VYDAJ	VYBER	1920	34512	\N	\N	\N
259916	890	1994-01-03	VYDAJ	VYBER	1200	25032	\N	\N	\N
259917	890	1994-01-14	VYDAJ	VYBER	2040	20417	\N	\N	\N
259918	890	1994-01-30	VYDAJ	VYBER	2520	17897	\N	\N	\N
259919	890	1994-01-12	VYDAJ	VYBER	1680	22457	\N	\N	\N
259920	890	1994-01-10	VYDAJ	VYBER	1800	27273	\N	\N	\N
259921	890	1994-01-04	VYDAJ	VYBER	3000	22032	\N	\N	\N
259922	890	1995-01-12	VYDAJ	VYBER	2040	23917	\N	\N	\N
259923	890	1995-01-30	VYDAJ	VYBER	3240	17777	\N	\N	\N
259924	890	1995-01-16	VYDAJ	VYBER	2160	21757	\N	\N	\N
259925	890	1995-01-10	VYDAJ	VYBER	3240	26917	\N	\N	\N
259926	890	1995-01-12	VYDAJ	VYBER	960	25957	\N	\N	\N
259927	890	1995-01-30	VYDAJ	VYBER	2640	21017	\N	\N	\N
259928	890	1996-01-22	VYDAJ	VYBER	840	23789	\N	\N	\N
259929	890	1996-01-08	VYDAJ	VYBER	1080	25604	\N	\N	\N
259930	890	1996-01-06	VYDAJ	VYBER	1560	26684	\N	\N	\N
259931	890	1996-01-20	VYDAJ	VYBER	1920	18829	\N	\N	\N
259932	890	1996-01-16	VYDAJ	VYBER	2640	20749	\N	\N	\N
259933	890	1996-01-12	VYDAJ	VYBER	1680	27829	\N	\N	\N
259936	890	1997-01-19	VYDAJ	VYBER	2520	14921	\N	\N	\N
259943	890	1998-01-13	VYDAJ	VYBER	2880	16582	\N	\N	\N
259945	890	1998-01-05	VYDAJ	VYBER	2400	16757	\N	\N	\N
259950	890	1994-08-04	VYDAJ	VYBER	1320	27169	\N	\N	\N
259951	890	1994-09-18	VYDAJ	VYBER	4080	28310	\N	\N	\N
259952	890	1994-10-31	VYDAJ	VYBER	2280	22054	\N	\N	\N
259953	890	1994-09-22	VYDAJ	VYBER	600	27710	\N	\N	\N
259954	890	1995-07-02	VYDAJ	VYBER	3840	27116	\N	\N	\N
259955	890	1995-02-13	VYDAJ	VYBER	3960	17806	\N	\N	\N
259956	890	1995-08-24	VYDAJ	VYBER	4560	26777	\N	\N	\N
259957	890	1996-06-16	VYDAJ	VYBER	2520	17353	\N	\N	\N
259958	890	1996-12-22	VYDAJ	VYBER	720	18175	\N	\N	\N
259959	890	1996-06-02	VYDAJ	VYBER	1080	21887	\N	\N	\N
259960	890	1996-01-15	VYDAJ	VYBER	4440	23389	\N	\N	\N
259962	890	1997-03-12	VYDAJ	VYBER	720	22448	\N	\N	\N
259964	890	1997-06-17	VYDAJ	VYBER	4560	15791	\N	\N	\N
259965	890	1997-02-14	VYDAJ	VYBER	2280	19201	\N	\N	\N
259966	890	1998-01-06	VYDAJ	VYBER	1200	15557	\N	\N	\N
259968	890	1998-12-05	VYDAJ	VYBER	1560	29006	\N	\N	\N
259969	890	1998-03-23	VYDAJ	VYBER	3840	20067	\N	\N	\N
259970	890	1998-05-06	VYDAJ	VYBER	1800	22322	\N	\N	\N
259971	890	1998-01-30	VYDAJ	VYBER	600	15982	\N	\N	\N
259978	890	1993-06-30	VYDAJ	VYBER	15	24482	SLUZBY	\N	\N
259979	890	1993-07-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
259980	890	1993-08-31	VYDAJ	VYBER	15	28189	SLUZBY	\N	\N
259981	890	1993-09-30	VYDAJ	VYBER	15	30404	SLUZBY	\N	\N
259982	890	1993-10-31	VYDAJ	VYBER	15	31124	SLUZBY	\N	\N
259983	890	1993-11-30	VYDAJ	VYBER	15	31445	SLUZBY	\N	\N
259984	890	1993-12-31	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
259985	890	1994-01-31	VYDAJ	VYBER	15	19274	SLUZBY	\N	\N
259986	890	1994-02-28	VYDAJ	VYBER	15	23255	SLUZBY	\N	\N
259987	890	1994-03-31	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
259988	890	1994-04-30	VYDAJ	VYBER	15	31982	SLUZBY	\N	\N
259989	890	1994-05-31	VYDAJ	VYBER	15	29304	SLUZBY	\N	\N
259990	890	1994-06-30	VYDAJ	VYBER	15	31458	SLUZBY	\N	\N
259991	890	1994-07-31	VYDAJ	VYBER	15	28489	SLUZBY	\N	\N
259992	890	1994-08-31	VYDAJ	VYBER	15	28485	SLUZBY	\N	\N
259993	890	1994-09-30	VYDAJ	VYBER	15	25116	SLUZBY	\N	\N
259994	890	1994-10-31	VYDAJ	VYBER	15	22039	SLUZBY	\N	\N
259995	890	1994-11-30	VYDAJ	VYBER	15	27133	SLUZBY	\N	\N
259996	890	1994-12-31	VYDAJ	VYBER	15	26252	SLUZBY	\N	\N
259997	890	1995-01-31	VYDAJ	VYBER	15	17861	SLUZBY	\N	\N
259998	890	1995-02-28	VYDAJ	VYBER	15	21669	SLUZBY	\N	\N
259999	890	1995-03-31	VYDAJ	VYBER	15	26962	SLUZBY	\N	\N
260000	890	1995-04-30	VYDAJ	VYBER	15	30475	SLUZBY	\N	\N
260001	890	1995-05-31	VYDAJ	VYBER	15	31300	SLUZBY	\N	\N
260002	890	1995-06-30	VYDAJ	VYBER	15	30956	SLUZBY	\N	\N
260003	890	1995-07-31	VYDAJ	VYBER	15	27432	SLUZBY	\N	\N
260004	890	1995-08-31	VYDAJ	VYBER	15	24782	SLUZBY	\N	\N
260005	890	1995-09-30	VYDAJ	VYBER	15	26884	SLUZBY	\N	\N
260006	890	1995-10-31	VYDAJ	VYBER	15	31298	SLUZBY	\N	\N
260007	890	1995-11-30	VYDAJ	VYBER	15	28921	SLUZBY	\N	\N
260008	890	1995-12-31	VYDAJ	VYBER	15	28244	SLUZBY	\N	\N
260009	890	1996-01-31	VYDAJ	VYBER	15	23879	SLUZBY	\N	\N
260010	890	1996-02-29	VYDAJ	VYBER	15	26177	SLUZBY	\N	\N
260011	890	1996-03-31	VYDAJ	VYBER	15	25279	SLUZBY	\N	\N
260012	890	1996-04-30	VYDAJ	VYBER	15	23476	SLUZBY	\N	\N
260013	890	1996-05-31	VYDAJ	VYBER	15	22967	SLUZBY	\N	\N
260014	890	1996-06-30	VYDAJ	VYBER	15	17326	SLUZBY	\N	\N
260015	890	1996-07-31	VYDAJ	VYBER	15	16189	SLUZBY	\N	\N
260016	890	1996-08-31	VYDAJ	VYBER	15	19957	SLUZBY	\N	\N
260017	890	1996-09-30	VYDAJ	VYBER	15	20233	SLUZBY	\N	\N
260018	890	1996-10-31	VYDAJ	VYBER	15	19007	SLUZBY	\N	\N
260019	890	1996-11-30	VYDAJ	VYBER	15	15370	SLUZBY	\N	\N
260020	890	1996-12-31	VYDAJ	VYBER	15	18236	SLUZBY	\N	\N
260021	890	1997-01-31	VYDAJ	VYBER	15	14976	SLUZBY	\N	\N
260022	890	1997-02-28	VYDAJ	VYBER	15	19263	SLUZBY	\N	\N
260023	890	1997-03-31	VYDAJ	VYBER	15	16408	SLUZBY	\N	\N
260024	890	1997-04-30	VYDAJ	VYBER	15	16568	SLUZBY	\N	\N
260025	890	1997-05-31	VYDAJ	VYBER	15	15725	SLUZBY	\N	\N
260026	890	1997-06-30	VYDAJ	VYBER	15	15846	SLUZBY	\N	\N
260027	890	1997-07-31	VYDAJ	VYBER	15	16804	SLUZBY	\N	\N
260028	890	1997-08-31	VYDAJ	VYBER	15	20773	SLUZBY	\N	\N
260029	890	1997-09-30	VYDAJ	VYBER	15	13830	SLUZBY	\N	\N
260030	890	1997-10-31	VYDAJ	VYBER	15	17787	SLUZBY	\N	\N
260031	890	1997-11-30	VYDAJ	VYBER	15	13436	SLUZBY	\N	\N
260032	890	1997-12-31	VYDAJ	VYBER	15	19157	SLUZBY	\N	\N
260033	890	1998-01-31	VYDAJ	VYBER	15	16037	SLUZBY	\N	\N
260034	890	1998-02-28	VYDAJ	VYBER	15	20002	SLUZBY	\N	\N
260035	890	1998-03-31	VYDAJ	VYBER	15	20139	SLUZBY	\N	\N
260036	890	1998-04-30	VYDAJ	VYBER	15	24122	SLUZBY	\N	\N
260037	890	1998-05-31	VYDAJ	VYBER	15	26316	SLUZBY	\N	\N
260038	890	1998-06-30	VYDAJ	VYBER	15	10689	SLUZBY	\N	\N
260039	890	1998-07-31	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
260040	890	1998-08-31	VYDAJ	VYBER	15	18591	SLUZBY	\N	\N
260041	890	1998-09-30	VYDAJ	VYBER	15	22566	SLUZBY	\N	\N
260042	890	1998-10-31	VYDAJ	VYBER	15	26558	SLUZBY	\N	\N
260043	890	1998-11-30	VYDAJ	VYBER	15	30566	SLUZBY	\N	\N
260044	890	1993-03-07	PRIJEM	VKLAD	10700	18464	\N	\N	\N
260045	890	1993-04-06	PRIJEM	VKLAD	200	25792	\N	\N	\N
260046	890	1993-05-06	VYDAJ	VYBER	3000	29962	\N	\N	\N
260047	890	1993-06-05	VYDAJ	VYBER	7900	29253	\N	\N	\N
260048	890	1993-07-05	VYDAJ	VYBER	1300	23182	\N	\N	\N
260049	890	1993-08-04	VYDAJ	VYBER	3000	24183	\N	\N	\N
260050	890	1993-09-03	VYDAJ	VYBER	1800	26389	\N	\N	\N
260051	890	1993-10-03	VYDAJ	VYBER	3300	27104	\N	\N	\N
260052	890	1993-11-02	VYDAJ	VYBER	3700	27424	\N	\N	\N
260053	890	1993-12-02	VYDAJ	VYBER	4900	26545	\N	\N	\N
260054	890	1994-01-01	VYDAJ	VYBER	3700	26232	\N	\N	\N
260055	890	1994-01-31	PRIJEM	VKLAD	1300	19288	\N	\N	\N
260056	890	1994-03-02	PRIJEM	VKLAD	2100	25355	\N	\N	\N
260057	890	1994-04-01	VYDAJ	VYBER	1400	27962	\N	\N	\N
260058	890	1994-05-01	VYDAJ	VYBER	4400	27582	\N	\N	\N
260059	890	1994-05-31	VYDAJ	VYBER	2300	29319	\N	\N	\N
260060	890	1994-06-30	VYDAJ	VYBER	5400	31473	\N	\N	\N
260061	890	1994-07-30	VYDAJ	VYBER	7000	28363	\N	\N	\N
260062	890	1994-08-29	VYDAJ	VYBER	2700	28374	\N	\N	\N
260063	890	1994-09-28	VYDAJ	VYBER	2700	25010	\N	\N	\N
260064	890	1994-10-28	VYDAJ	VYBER	4800	24221	\N	\N	\N
260065	890	1994-11-27	PRIJEM	VKLAD	1100	27044	\N	\N	\N
260066	890	1994-12-27	VYDAJ	VYBER	7300	26139	\N	\N	\N
260067	890	1995-01-26	PRIJEM	VKLAD	1900	23657	\N	\N	\N
260068	890	1995-02-25	PRIJEM	VKLAD	3800	21606	\N	\N	\N
260069	890	1995-03-27	PRIJEM	VKLAD	1300	26874	\N	\N	\N
260070	890	1995-04-26	VYDAJ	VYBER	500	30367	\N	\N	\N
260071	890	1995-05-26	VYDAJ	VYBER	3200	31180	\N	\N	\N
260072	890	1995-06-25	VYDAJ	VYBER	7900	30826	\N	\N	\N
260073	890	1995-07-25	VYDAJ	VYBER	3700	27321	\N	\N	\N
260074	890	1995-08-24	VYDAJ	VYBER	2100	24677	\N	\N	\N
260075	890	1995-09-23	VYDAJ	VYBER	1900	26787	\N	\N	\N
260076	890	1995-10-23	PRIJEM	VKLAD	400	31189	\N	\N	\N
260077	890	1995-11-22	VYDAJ	VYBER	6400	28803	\N	\N	\N
260078	890	1995-12-22	VYDAJ	VYBER	5500	30846	\N	\N	\N
260079	890	1996-01-21	PRIJEM	VKLAD	5800	24629	\N	\N	\N
260080	890	1996-02-20	VYDAJ	VYBER	1700	26084	\N	\N	\N
260081	890	1996-03-21	VYDAJ	VYBER	4900	25182	\N	\N	\N
260082	890	1996-04-20	VYDAJ	VYBER	5800	23384	\N	\N	\N
260083	890	1996-05-20	VYDAJ	VYBER	4500	22881	\N	\N	\N
260084	890	1996-06-19	VYDAJ	VYBER	100	17253	\N	\N	\N
260085	890	1996-07-19	VYDAJ	VYBER	5100	16131	\N	\N	\N
260086	890	1996-08-18	VYDAJ	VYBER	200	19894	\N	\N	\N
260087	890	1996-09-17	VYDAJ	VYBER	3700	20162	\N	\N	\N
260088	890	1996-10-17	VYDAJ	VYBER	5200	18938	\N	\N	\N
260089	890	1996-11-16	VYDAJ	VYBER	7600	15312	\N	\N	\N
260090	890	1996-12-16	VYDAJ	VYBER	3900	18895	\N	\N	\N
260091	890	1997-01-15	VYDAJ	VYBER	4700	17441	\N	\N	\N
260092	890	1997-02-14	PRIJEM	VKLAD	2600	21481	\N	\N	\N
260093	890	1997-03-16	VYDAJ	VYBER	6100	16348	\N	\N	\N
260094	890	1997-04-15	VYDAJ	VYBER	3800	16513	\N	\N	\N
260095	890	1997-05-15	VYDAJ	VYBER	4800	15673	\N	\N	\N
260096	890	1997-06-14	VYDAJ	VYBER	2800	20351	\N	\N	\N
260097	890	1997-07-14	VYDAJ	VYBER	3000	16751	\N	\N	\N
260098	890	1997-09-12	VYDAJ	VYBER	10900	13778	\N	\N	\N
260099	890	1997-11-11	VYDAJ	VYBER	8300	13392	\N	\N	\N
260100	890	1998-06-09	VYDAJ	VYBER	23100	13777	\N	\N	\N
260172	891	1996-05-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
260178	891	1996-06-13	PRIJEM	PREVOD Z UCTU	5997	6997	DUCHOD	IJ	18260264
260179	891	1996-07-13	PRIJEM	PREVOD Z UCTU	5997	12994	DUCHOD	IJ	18260264
260180	891	1996-08-13	PRIJEM	PREVOD Z UCTU	5997	18991	DUCHOD	IJ	18260264
260181	891	1996-09-13	PRIJEM	PREVOD Z UCTU	5997	24988	DUCHOD	IJ	18260264
260182	891	1996-10-13	PRIJEM	PREVOD Z UCTU	5997	30985	DUCHOD	IJ	18260264
260183	891	1996-11-13	PRIJEM	PREVOD Z UCTU	5997	32629	DUCHOD	IJ	18260264
260184	891	1996-12-13	PRIJEM	PREVOD Z UCTU	5997	35304	DUCHOD	IJ	18260264
260185	891	1997-01-13	PRIJEM	PREVOD Z UCTU	5997	39641	DUCHOD	IJ	18260264
260186	891	1997-02-13	PRIJEM	PREVOD Z UCTU	5997	32628	DUCHOD	IJ	18260264
260187	891	1997-03-13	PRIJEM	PREVOD Z UCTU	5997	34592	DUCHOD	IJ	18260264
260188	891	1997-04-13	PRIJEM	PREVOD Z UCTU	5997	34518	DUCHOD	IJ	18260264
260189	891	1997-05-13	PRIJEM	PREVOD Z UCTU	5997	37173	DUCHOD	IJ	18260264
260190	891	1997-06-13	PRIJEM	PREVOD Z UCTU	5997	39716	DUCHOD	IJ	18260264
260191	891	1997-07-13	PRIJEM	PREVOD Z UCTU	5997	33282	DUCHOD	IJ	18260264
260192	891	1997-08-13	PRIJEM	PREVOD Z UCTU	5997	33002	DUCHOD	IJ	18260264
260193	891	1997-09-13	PRIJEM	PREVOD Z UCTU	5997	27662	DUCHOD	IJ	18260264
260194	891	1997-10-13	PRIJEM	PREVOD Z UCTU	5997	25855	DUCHOD	IJ	18260264
260195	891	1997-11-13	PRIJEM	PREVOD Z UCTU	5997	27148	DUCHOD	IJ	18260264
260196	891	1997-12-13	PRIJEM	PREVOD Z UCTU	5997	24885	DUCHOD	IJ	18260264
260197	891	1998-01-13	PRIJEM	PREVOD Z UCTU	5997	23298	DUCHOD	IJ	18260264
260198	891	1998-02-13	PRIJEM	PREVOD Z UCTU	5997	18970	DUCHOD	IJ	18260264
260199	891	1998-03-13	PRIJEM	PREVOD Z UCTU	5997	20995	DUCHOD	IJ	18260264
260200	891	1998-04-13	PRIJEM	PREVOD Z UCTU	5997	23653	DUCHOD	IJ	18260264
260201	891	1998-05-13	PRIJEM	PREVOD Z UCTU	5997	23876	DUCHOD	IJ	18260264
260202	891	1998-06-13	PRIJEM	PREVOD Z UCTU	5997	28167	DUCHOD	IJ	18260264
260203	891	1998-07-13	PRIJEM	PREVOD Z UCTU	5997	29523	DUCHOD	IJ	18260264
260204	891	1998-08-13	PRIJEM	PREVOD Z UCTU	5997	33838	DUCHOD	IJ	18260264
260205	891	1998-09-13	PRIJEM	PREVOD Z UCTU	5997	37210	DUCHOD	IJ	18260264
260206	891	1998-10-13	PRIJEM	PREVOD Z UCTU	5997	38916	DUCHOD	IJ	18260264
260207	891	1998-11-13	PRIJEM	PREVOD Z UCTU	5997	43272	DUCHOD	IJ	18260264
260208	891	1998-12-13	PRIJEM	PREVOD Z UCTU	5997	46293	DUCHOD	IJ	18260264
260219	891	1996-11-05	VYDAJ	PREVOD NA UCET	1784	26632	SIPO	MN	68707388
260220	891	1996-12-05	VYDAJ	PREVOD NA UCET	1784	29557	SIPO	MN	68707388
260221	891	1997-01-05	VYDAJ	PREVOD NA UCET	1784	33644	SIPO	MN	68707388
260222	891	1997-02-05	VYDAJ	PREVOD NA UCET	1784	26631	SIPO	MN	68707388
260223	891	1997-03-05	VYDAJ	PREVOD NA UCET	1784	29155	SIPO	MN	68707388
260224	891	1997-04-05	VYDAJ	PREVOD NA UCET	1784	28521	SIPO	MN	68707388
260225	891	1997-05-05	VYDAJ	PREVOD NA UCET	1784	31176	SIPO	MN	68707388
260226	891	1997-06-05	VYDAJ	PREVOD NA UCET	1784	33719	SIPO	MN	68707388
260227	891	1997-07-05	VYDAJ	PREVOD NA UCET	1784	27285	SIPO	MN	68707388
260228	891	1997-08-05	VYDAJ	PREVOD NA UCET	1784	27005	SIPO	MN	68707388
260229	891	1997-09-05	VYDAJ	PREVOD NA UCET	1784	23265	SIPO	MN	68707388
260230	891	1997-10-05	VYDAJ	PREVOD NA UCET	1784	19858	SIPO	MN	68707388
260231	891	1997-11-05	VYDAJ	PREVOD NA UCET	1784	21151	SIPO	MN	68707388
260232	891	1997-12-05	VYDAJ	PREVOD NA UCET	1784	22248	SIPO	MN	68707388
260233	891	1998-01-05	VYDAJ	PREVOD NA UCET	1784	17301	SIPO	MN	68707388
260234	891	1998-02-05	VYDAJ	PREVOD NA UCET	1784	12973	SIPO	MN	68707388
260235	891	1998-03-05	VYDAJ	PREVOD NA UCET	1784	14998	SIPO	MN	68707388
260236	891	1998-04-05	VYDAJ	PREVOD NA UCET	1784	18776	SIPO	MN	68707388
260237	891	1998-05-05	VYDAJ	PREVOD NA UCET	1784	17879	SIPO	MN	68707388
260238	891	1998-06-05	VYDAJ	PREVOD NA UCET	1784	22170	SIPO	MN	68707388
260239	891	1998-07-05	VYDAJ	PREVOD NA UCET	1784	23526	SIPO	MN	68707388
260240	891	1998-08-05	VYDAJ	PREVOD NA UCET	1784	27841	SIPO	MN	68707388
260241	891	1998-09-05	VYDAJ	PREVOD NA UCET	1784	32173	SIPO	MN	68707388
260242	891	1998-10-05	VYDAJ	PREVOD NA UCET	1784	35559	SIPO	MN	68707388
260243	891	1998-11-05	VYDAJ	PREVOD NA UCET	1784	37275	SIPO	MN	68707388
260244	891	1998-12-05	VYDAJ	PREVOD NA UCET	1784	40296	SIPO	MN	68707388
260246	891	1997-06-29	VYDAJ	VYBER	2600	31816	\N	\N	\N
260247	891	1998-06-27	VYDAJ	VYBER	2950	25217	\N	\N	\N
260249	891	1997-01-20	VYDAJ	VYBER	4750	28291	\N	\N	\N
260250	891	1998-01-30	VYDAJ	VYBER	2100	14698	\N	\N	\N
260251	891	1996-12-05	VYDAJ	VYBER	250	29307	\N	\N	\N
260252	891	1997-12-23	VYDAJ	VYBER	350	19015	\N	\N	\N
260253	891	1998-12-03	VYDAJ	VYBER	1350	42080	\N	\N	\N
260258	891	1997-09-08	VYDAJ	VYBER	1600	21665	\N	\N	\N
260259	891	1997-12-17	VYDAJ	VYBER	3120	19365	\N	\N	\N
260260	891	1997-12-07	VYDAJ	VYBER	3360	18888	\N	\N	\N
260261	891	1997-04-28	VYDAJ	VYBER	1680	32838	\N	\N	\N
260262	891	1997-07-04	VYDAJ	VYBER	2880	29069	\N	\N	\N
260263	891	1997-03-06	VYDAJ	VYBER	560	28595	\N	\N	\N
260264	891	1997-08-31	VYDAJ	VYBER	1600	25049	\N	\N	\N
260265	891	1997-08-28	VYDAJ	VYBER	2960	26542	\N	\N	\N
260266	891	1998-04-18	VYDAJ	VYBER	1760	19593	\N	\N	\N
260267	891	1998-09-10	VYDAJ	VYBER	960	31213	\N	\N	\N
260268	891	1998-02-16	VYDAJ	VYBER	2240	16730	\N	\N	\N
260269	891	1998-04-11	VYDAJ	VYBER	1120	17656	\N	\N	\N
260270	891	1998-10-10	VYDAJ	VYBER	2640	32919	\N	\N	\N
260271	891	1998-12-28	VYDAJ	VYBER	1920	44373	\N	\N	\N
260282	891	1996-10-31	VYDAJ	VYBER	15	28416	SLUZBY	\N	\N
260283	891	1996-11-30	VYDAJ	VYBER	15	31341	SLUZBY	\N	\N
260284	891	1996-12-31	VYDAJ	VYBER	15	35428	SLUZBY	\N	\N
260285	891	1997-01-31	VYDAJ	VYBER	15	28415	SLUZBY	\N	\N
260286	891	1997-02-28	VYDAJ	VYBER	15	30939	SLUZBY	\N	\N
260287	891	1997-03-31	VYDAJ	VYBER	15	30305	SLUZBY	\N	\N
260288	891	1997-04-30	VYDAJ	VYBER	15	32960	SLUZBY	\N	\N
260289	891	1997-05-31	VYDAJ	VYBER	15	35503	SLUZBY	\N	\N
260290	891	1997-06-30	VYDAJ	VYBER	15	31949	SLUZBY	\N	\N
260291	891	1997-07-31	VYDAJ	VYBER	15	28789	SLUZBY	\N	\N
260292	891	1997-08-31	VYDAJ	VYBER	15	26649	SLUZBY	\N	\N
260293	891	1997-09-30	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
260294	891	1997-10-31	VYDAJ	VYBER	15	22935	SLUZBY	\N	\N
260295	891	1997-11-30	VYDAJ	VYBER	15	24032	SLUZBY	\N	\N
260296	891	1997-12-31	VYDAJ	VYBER	15	19085	SLUZBY	\N	\N
260297	891	1998-01-31	VYDAJ	VYBER	15	14757	SLUZBY	\N	\N
260298	891	1998-02-28	VYDAJ	VYBER	15	16782	SLUZBY	\N	\N
260299	891	1998-03-31	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
260300	891	1998-04-30	VYDAJ	VYBER	15	19663	SLUZBY	\N	\N
260301	891	1998-05-31	VYDAJ	VYBER	15	23954	SLUZBY	\N	\N
260302	891	1998-06-30	VYDAJ	VYBER	15	25310	SLUZBY	\N	\N
260303	891	1998-07-31	VYDAJ	VYBER	15	29625	SLUZBY	\N	\N
260304	891	1998-08-31	VYDAJ	VYBER	15	33957	SLUZBY	\N	\N
260305	891	1998-09-30	VYDAJ	VYBER	15	37343	SLUZBY	\N	\N
260306	891	1998-10-31	VYDAJ	VYBER	15	39059	SLUZBY	\N	\N
260307	891	1998-11-30	VYDAJ	VYBER	15	43430	SLUZBY	\N	\N
260308	891	1996-10-20	VYDAJ	VYBER	2600	28385	\N	\N	\N
260309	891	1996-11-19	VYDAJ	VYBER	1400	31229	\N	\N	\N
260310	891	1997-01-18	VYDAJ	VYBER	6600	33041	\N	\N	\N
260311	891	1997-02-17	VYDAJ	VYBER	1800	30828	\N	\N	\N
260312	891	1997-03-19	VYDAJ	VYBER	4400	30192	\N	\N	\N
260313	891	1997-05-18	VYDAJ	VYBER	1800	35373	\N	\N	\N
260314	891	1997-06-17	VYDAJ	VYBER	5300	34416	\N	\N	\N
260315	891	1997-07-17	VYDAJ	VYBER	4600	28682	\N	\N	\N
260316	891	1997-08-16	VYDAJ	VYBER	3500	29502	\N	\N	\N
260317	891	1997-09-15	VYDAJ	VYBER	6100	21562	\N	\N	\N
260318	891	1997-10-15	VYDAJ	VYBER	3000	22855	\N	\N	\N
260319	891	1997-11-14	VYDAJ	VYBER	3200	23948	\N	\N	\N
260320	891	1997-12-14	VYDAJ	VYBER	2400	22485	\N	\N	\N
260321	891	1998-01-13	VYDAJ	VYBER	6500	16798	\N	\N	\N
260322	891	1998-03-14	VYDAJ	VYBER	500	20495	\N	\N	\N
260323	891	1998-04-13	VYDAJ	VYBER	2300	21353	\N	\N	\N
260351	892	1993-03-20	PRIJEM	VKLAD	900	900	\N	\N	\N
260355	892	1993-04-09	PRIJEM	PREVOD Z UCTU	6177	7077	DUCHOD	IJ	90831237
260356	892	1993-05-09	PRIJEM	PREVOD Z UCTU	6177	13254	DUCHOD	IJ	90831237
260357	892	1993-06-09	PRIJEM	PREVOD Z UCTU	6177	19431	DUCHOD	IJ	90831237
260358	892	1993-07-09	PRIJEM	PREVOD Z UCTU	6177	25608	DUCHOD	IJ	90831237
260359	892	1993-08-09	PRIJEM	PREVOD Z UCTU	6177	29729	DUCHOD	IJ	90831237
260360	892	1993-09-09	PRIJEM	PREVOD Z UCTU	6177	31489	DUCHOD	IJ	90831237
260361	892	1993-10-09	PRIJEM	PREVOD Z UCTU	6177	32458	DUCHOD	IJ	90831237
260362	892	1993-11-09	PRIJEM	PREVOD Z UCTU	6177	33932	DUCHOD	IJ	90831237
260363	892	1993-12-09	PRIJEM	PREVOD Z UCTU	6177	28477	DUCHOD	IJ	90831237
260364	892	1994-01-09	PRIJEM	PREVOD Z UCTU	6177	20598	DUCHOD	IJ	90831237
260365	892	1994-02-09	PRIJEM	PREVOD Z UCTU	6177	16153	DUCHOD	IJ	90831237
260366	892	1994-03-09	PRIJEM	PREVOD Z UCTU	6177	19463	DUCHOD	IJ	90831237
260367	892	1994-04-09	PRIJEM	PREVOD Z UCTU	6177	20947	DUCHOD	IJ	90831237
260368	892	1994-05-09	PRIJEM	PREVOD Z UCTU	6177	24276	DUCHOD	IJ	90831237
260369	892	1994-06-09	PRIJEM	PREVOD Z UCTU	6177	24898	DUCHOD	IJ	90831237
260370	892	1994-07-09	PRIJEM	PREVOD Z UCTU	6177	17170	DUCHOD	IJ	90831237
260371	892	1994-08-09	PRIJEM	PREVOD Z UCTU	6177	20484	DUCHOD	IJ	90831237
260372	892	1994-09-09	PRIJEM	PREVOD Z UCTU	6177	20051	DUCHOD	IJ	90831237
260373	892	1994-10-09	PRIJEM	PREVOD Z UCTU	6177	23377	DUCHOD	IJ	90831237
260374	892	1994-11-09	PRIJEM	PREVOD Z UCTU	6177	26717	DUCHOD	IJ	90831237
260375	892	1994-12-09	PRIJEM	PREVOD Z UCTU	6177	29468	DUCHOD	IJ	90831237
260376	892	1995-01-09	PRIJEM	PREVOD Z UCTU	6177	27570	DUCHOD	IJ	90831237
260377	892	1995-02-09	PRIJEM	PREVOD Z UCTU	6177	17594	DUCHOD	IJ	90831237
260378	892	1995-03-09	PRIJEM	PREVOD Z UCTU	6177	20910	DUCHOD	IJ	90831237
260379	892	1995-04-09	PRIJEM	PREVOD Z UCTU	6177	24240	DUCHOD	IJ	90831237
260380	892	1995-05-09	PRIJEM	PREVOD Z UCTU	6177	27584	DUCHOD	IJ	90831237
260381	892	1995-06-09	PRIJEM	PREVOD Z UCTU	6177	29021	DUCHOD	IJ	90831237
260382	892	1995-07-09	PRIJEM	PREVOD Z UCTU	6177	29024	DUCHOD	IJ	90831237
260383	892	1995-08-09	PRIJEM	PREVOD Z UCTU	6177	31345	DUCHOD	IJ	90831237
260384	892	1995-09-09	PRIJEM	PREVOD Z UCTU	6177	34717	DUCHOD	IJ	90831237
260385	892	1995-10-09	PRIJEM	PREVOD Z UCTU	6177	34304	DUCHOD	IJ	90831237
260386	892	1995-11-09	PRIJEM	PREVOD Z UCTU	6177	33192	DUCHOD	IJ	90831237
260387	892	1995-12-09	PRIJEM	PREVOD Z UCTU	6177	30474	DUCHOD	IJ	90831237
260388	892	1996-01-09	PRIJEM	PREVOD Z UCTU	6177	26667	DUCHOD	IJ	90831237
260389	892	1996-02-09	PRIJEM	PREVOD Z UCTU	6177	23076	DUCHOD	IJ	90831237
260390	892	1996-03-09	PRIJEM	PREVOD Z UCTU	6177	26114	DUCHOD	IJ	90831237
260391	892	1996-04-09	PRIJEM	PREVOD Z UCTU	6177	26762	DUCHOD	IJ	90831237
260392	892	1996-05-09	PRIJEM	PREVOD Z UCTU	6177	25915	DUCHOD	IJ	90831237
260393	892	1996-06-09	PRIJEM	PREVOD Z UCTU	6177	26767	DUCHOD	IJ	90831237
260394	892	1996-07-09	PRIJEM	PREVOD Z UCTU	6177	26159	DUCHOD	IJ	90831237
260395	892	1996-08-09	PRIJEM	PREVOD Z UCTU	6177	23947	DUCHOD	IJ	90831237
260396	892	1996-09-09	PRIJEM	PREVOD Z UCTU	6177	23289	DUCHOD	IJ	90831237
260397	892	1996-10-09	PRIJEM	PREVOD Z UCTU	6177	17026	DUCHOD	IJ	90831237
260398	892	1996-11-09	PRIJEM	PREVOD Z UCTU	6177	20338	DUCHOD	IJ	90831237
260399	892	1996-12-09	PRIJEM	PREVOD Z UCTU	6177	23665	DUCHOD	IJ	90831237
260400	892	1997-01-09	PRIJEM	PREVOD Z UCTU	6177	23573	DUCHOD	IJ	90831237
260401	892	1997-02-09	PRIJEM	PREVOD Z UCTU	6177	18831	DUCHOD	IJ	90831237
260402	892	1997-03-09	PRIJEM	PREVOD Z UCTU	6177	21668	DUCHOD	IJ	90831237
260403	892	1997-04-09	PRIJEM	PREVOD Z UCTU	6177	24999	DUCHOD	IJ	90831237
260404	892	1997-05-09	PRIJEM	PREVOD Z UCTU	6177	17439	DUCHOD	IJ	90831237
260405	892	1997-06-09	PRIJEM	PREVOD Z UCTU	6177	19153	DUCHOD	IJ	90831237
260406	892	1997-07-09	PRIJEM	PREVOD Z UCTU	6177	22474	DUCHOD	IJ	90831237
260407	892	1997-08-09	PRIJEM	PREVOD Z UCTU	6177	25809	DUCHOD	IJ	90831237
260408	892	1997-09-09	PRIJEM	PREVOD Z UCTU	6177	29156	DUCHOD	IJ	90831237
260409	892	1997-10-09	PRIJEM	PREVOD Z UCTU	6177	32519	DUCHOD	IJ	90831237
260410	892	1997-11-09	PRIJEM	PREVOD Z UCTU	6177	34614	DUCHOD	IJ	90831237
260411	892	1997-12-09	PRIJEM	PREVOD Z UCTU	6177	34852	DUCHOD	IJ	90831237
260412	892	1998-01-09	PRIJEM	PREVOD Z UCTU	6177	31448	DUCHOD	IJ	90831237
260413	892	1998-02-09	PRIJEM	PREVOD Z UCTU	6177	28974	DUCHOD	IJ	90831237
260414	892	1998-03-09	PRIJEM	PREVOD Z UCTU	6177	31532	DUCHOD	IJ	90831237
260415	892	1998-04-09	PRIJEM	PREVOD Z UCTU	6177	34903	DUCHOD	IJ	90831237
260416	892	1998-05-09	PRIJEM	PREVOD Z UCTU	6177	36283	DUCHOD	IJ	90831237
260417	892	1998-06-09	PRIJEM	PREVOD Z UCTU	6177	39675	DUCHOD	IJ	90831237
260418	892	1998-07-09	PRIJEM	PREVOD Z UCTU	6177	39089	DUCHOD	IJ	90831237
260419	892	1998-08-09	PRIJEM	PREVOD Z UCTU	6177	42492	DUCHOD	IJ	90831237
260420	892	1998-09-09	PRIJEM	PREVOD Z UCTU	6177	45910	DUCHOD	IJ	90831237
260421	892	1998-10-09	PRIJEM	PREVOD Z UCTU	6177	49340	DUCHOD	IJ	90831237
260422	892	1998-11-09	PRIJEM	PREVOD Z UCTU	6177	52786	DUCHOD	IJ	90831237
260423	892	1998-12-09	PRIJEM	PREVOD Z UCTU	6177	54945	DUCHOD	IJ	90831237
260431	892	1993-08-09	VYDAJ	PREVOD NA UCET	406	29323	SIPO	CD	66285890
260432	892	1993-09-09	VYDAJ	PREVOD NA UCET	406	31083	SIPO	CD	66285890
260433	892	1993-10-09	VYDAJ	PREVOD NA UCET	406	32052	SIPO	CD	66285890
260434	892	1993-11-09	VYDAJ	PREVOD NA UCET	406	32566	SIPO	CD	66285890
260435	892	1993-12-09	VYDAJ	PREVOD NA UCET	406	28071	SIPO	CD	66285890
260436	892	1994-01-09	VYDAJ	PREVOD NA UCET	406	20192	SIPO	CD	66285890
260437	892	1994-02-09	VYDAJ	PREVOD NA UCET	406	15747	SIPO	CD	66285890
260438	892	1994-03-09	VYDAJ	PREVOD NA UCET	406	17217	SIPO	CD	66285890
260439	892	1994-04-09	VYDAJ	PREVOD NA UCET	406	20541	SIPO	CD	66285890
260440	892	1994-05-09	VYDAJ	PREVOD NA UCET	406	23870	SIPO	CD	66285890
260441	892	1994-06-09	VYDAJ	PREVOD NA UCET	406	24492	SIPO	CD	66285890
260442	892	1994-07-09	VYDAJ	PREVOD NA UCET	406	16764	SIPO	CD	66285890
260443	892	1994-08-09	VYDAJ	PREVOD NA UCET	406	20078	SIPO	CD	66285890
260444	892	1994-09-09	VYDAJ	PREVOD NA UCET	406	19645	SIPO	CD	66285890
260445	892	1994-10-09	VYDAJ	PREVOD NA UCET	406	22971	SIPO	CD	66285890
260446	892	1994-11-09	VYDAJ	PREVOD NA UCET	406	26311	SIPO	CD	66285890
260447	892	1994-12-09	VYDAJ	PREVOD NA UCET	406	29062	SIPO	CD	66285890
260448	892	1995-01-09	VYDAJ	PREVOD NA UCET	406	27164	SIPO	CD	66285890
260449	892	1995-02-09	VYDAJ	PREVOD NA UCET	406	17188	SIPO	CD	66285890
260450	892	1995-03-09	VYDAJ	PREVOD NA UCET	406	20504	SIPO	CD	66285890
260451	892	1995-04-09	VYDAJ	PREVOD NA UCET	406	23834	SIPO	CD	66285890
260452	892	1995-05-09	VYDAJ	PREVOD NA UCET	406	27178	SIPO	CD	66285890
260453	892	1995-06-09	VYDAJ	PREVOD NA UCET	406	28615	SIPO	CD	66285890
260454	892	1995-07-09	VYDAJ	PREVOD NA UCET	406	28618	SIPO	CD	66285890
260455	892	1995-08-09	VYDAJ	PREVOD NA UCET	406	30939	SIPO	CD	66285890
260456	892	1995-09-09	VYDAJ	PREVOD NA UCET	406	34311	SIPO	CD	66285890
260457	892	1995-10-09	VYDAJ	PREVOD NA UCET	406	33898	SIPO	CD	66285890
260458	892	1995-11-09	VYDAJ	PREVOD NA UCET	406	32786	SIPO	CD	66285890
260459	892	1995-12-09	VYDAJ	PREVOD NA UCET	406	30068	SIPO	CD	66285890
260460	892	1996-01-09	VYDAJ	PREVOD NA UCET	406	26261	SIPO	CD	66285890
260461	892	1996-02-09	VYDAJ	PREVOD NA UCET	406	22670	SIPO	CD	66285890
260462	892	1996-03-09	VYDAJ	PREVOD NA UCET	406	25708	SIPO	CD	66285890
260463	892	1996-04-09	VYDAJ	PREVOD NA UCET	406	26356	SIPO	CD	66285890
260464	892	1996-05-09	VYDAJ	PREVOD NA UCET	406	25509	SIPO	CD	66285890
260465	892	1996-06-09	VYDAJ	PREVOD NA UCET	406	26361	SIPO	CD	66285890
260466	892	1996-07-09	VYDAJ	PREVOD NA UCET	406	25753	SIPO	CD	66285890
260467	892	1996-08-09	VYDAJ	PREVOD NA UCET	406	23541	SIPO	CD	66285890
260468	892	1996-09-09	VYDAJ	PREVOD NA UCET	406	22883	SIPO	CD	66285890
260469	892	1996-10-09	VYDAJ	PREVOD NA UCET	406	16620	SIPO	CD	66285890
260470	892	1996-11-09	VYDAJ	PREVOD NA UCET	406	19932	SIPO	CD	66285890
260471	892	1996-12-09	VYDAJ	PREVOD NA UCET	406	23259	SIPO	CD	66285890
260472	892	1997-01-09	VYDAJ	PREVOD NA UCET	406	23167	SIPO	CD	66285890
260473	892	1997-02-09	VYDAJ	PREVOD NA UCET	406	18425	SIPO	CD	66285890
260474	892	1997-03-09	VYDAJ	PREVOD NA UCET	406	21262	SIPO	CD	66285890
260475	892	1997-04-09	VYDAJ	PREVOD NA UCET	406	24593	SIPO	CD	66285890
260476	892	1997-05-09	VYDAJ	PREVOD NA UCET	406	17033	SIPO	CD	66285890
260477	892	1997-06-09	VYDAJ	PREVOD NA UCET	406	18747	SIPO	CD	66285890
260478	892	1997-07-09	VYDAJ	PREVOD NA UCET	406	22068	SIPO	CD	66285890
260479	892	1997-08-09	VYDAJ	PREVOD NA UCET	406	25403	SIPO	CD	66285890
260480	892	1997-09-09	VYDAJ	PREVOD NA UCET	406	28750	SIPO	CD	66285890
260481	892	1997-10-09	VYDAJ	PREVOD NA UCET	406	32113	SIPO	CD	66285890
260482	892	1997-11-09	VYDAJ	PREVOD NA UCET	406	34208	SIPO	CD	66285890
260483	892	1997-12-09	VYDAJ	PREVOD NA UCET	406	34446	SIPO	CD	66285890
260484	892	1998-01-09	VYDAJ	PREVOD NA UCET	406	31042	SIPO	CD	66285890
260485	892	1998-02-09	VYDAJ	PREVOD NA UCET	406	28568	SIPO	CD	66285890
260486	892	1998-03-09	VYDAJ	PREVOD NA UCET	406	31126	SIPO	CD	66285890
260487	892	1998-04-09	VYDAJ	PREVOD NA UCET	406	34497	SIPO	CD	66285890
260488	892	1998-05-09	VYDAJ	PREVOD NA UCET	406	35877	SIPO	CD	66285890
260489	892	1998-06-09	VYDAJ	PREVOD NA UCET	406	39269	SIPO	CD	66285890
260490	892	1998-07-09	VYDAJ	PREVOD NA UCET	406	38683	SIPO	CD	66285890
260491	892	1998-08-09	VYDAJ	PREVOD NA UCET	406	42086	SIPO	CD	66285890
260492	892	1998-09-09	VYDAJ	PREVOD NA UCET	406	45504	SIPO	CD	66285890
260493	892	1998-10-09	VYDAJ	PREVOD NA UCET	406	48934	SIPO	CD	66285890
260494	892	1998-11-09	VYDAJ	PREVOD NA UCET	406	52380	SIPO	CD	66285890
260495	892	1998-12-09	VYDAJ	PREVOD NA UCET	406	54539	SIPO	CD	66285890
260504	892	1993-09-05	VYDAJ	PREVOD NA UCET	2509	25312	 	CD	25392246
260505	892	1993-10-05	VYDAJ	PREVOD NA UCET	2509	26281	 	CD	25392246
260506	892	1993-11-05	VYDAJ	PREVOD NA UCET	2509	27755	 	CD	25392246
260507	892	1993-12-05	VYDAJ	PREVOD NA UCET	2509	22300	 	CD	25392246
260508	892	1994-01-05	VYDAJ	PREVOD NA UCET	2509	18971	 	CD	25392246
260509	892	1994-02-05	VYDAJ	PREVOD NA UCET	2509	9976	 	CD	25392246
260510	892	1994-03-05	VYDAJ	PREVOD NA UCET	2509	13286	 	CD	25392246
260511	892	1994-04-05	VYDAJ	PREVOD NA UCET	2509	14770	 	CD	25392246
260512	892	1994-05-05	VYDAJ	PREVOD NA UCET	2509	18099	 	CD	25392246
260513	892	1994-06-05	VYDAJ	PREVOD NA UCET	2509	18721	 	CD	25392246
260514	892	1994-07-05	VYDAJ	PREVOD NA UCET	2509	10993	 	CD	25392246
260515	892	1994-08-05	VYDAJ	PREVOD NA UCET	2509	14307	 	CD	25392246
260516	892	1994-09-05	VYDAJ	PREVOD NA UCET	2509	13874	 	CD	25392246
260517	892	1994-10-05	VYDAJ	PREVOD NA UCET	2509	17200	 	CD	25392246
260518	892	1994-11-05	VYDAJ	PREVOD NA UCET	2509	20540	 	CD	25392246
260519	892	1994-12-05	VYDAJ	PREVOD NA UCET	2509	23291	 	CD	25392246
260520	892	1995-01-05	VYDAJ	PREVOD NA UCET	2509	22913	 	CD	25392246
260521	892	1995-02-05	VYDAJ	PREVOD NA UCET	2509	11417	 	CD	25392246
260522	892	1995-03-05	VYDAJ	PREVOD NA UCET	2509	14733	 	CD	25392246
260523	892	1995-04-05	VYDAJ	PREVOD NA UCET	2509	18063	 	CD	25392246
260524	892	1995-05-05	VYDAJ	PREVOD NA UCET	2509	21407	 	CD	25392246
260525	892	1995-06-05	VYDAJ	PREVOD NA UCET	2509	22844	 	CD	25392246
260526	892	1995-07-05	VYDAJ	PREVOD NA UCET	2509	22847	 	CD	25392246
260527	892	1995-08-05	VYDAJ	PREVOD NA UCET	2509	25168	 	CD	25392246
260528	892	1995-09-05	VYDAJ	PREVOD NA UCET	2509	28540	 	CD	25392246
260529	892	1995-10-05	VYDAJ	PREVOD NA UCET	2509	31927	 	CD	25392246
260530	892	1995-11-05	VYDAJ	PREVOD NA UCET	2509	31515	 	CD	25392246
260531	892	1995-12-05	VYDAJ	PREVOD NA UCET	2509	30397	 	CD	25392246
260532	892	1996-01-05	VYDAJ	PREVOD NA UCET	2509	22490	 	CD	25392246
260533	892	1996-02-05	VYDAJ	PREVOD NA UCET	2509	16899	 	CD	25392246
260534	892	1996-03-05	VYDAJ	PREVOD NA UCET	2509	19937	 	CD	25392246
260535	892	1996-04-05	VYDAJ	PREVOD NA UCET	2509	20585	 	CD	25392246
260536	892	1996-05-05	VYDAJ	PREVOD NA UCET	2509	19738	 	CD	25392246
260537	892	1996-06-05	VYDAJ	PREVOD NA UCET	2509	20590	 	CD	25392246
260538	892	1996-07-05	VYDAJ	PREVOD NA UCET	2509	21342	 	CD	25392246
260539	892	1996-08-05	VYDAJ	PREVOD NA UCET	2509	18570	 	CD	25392246
260540	892	1996-09-05	VYDAJ	PREVOD NA UCET	2509	17112	 	CD	25392246
260541	892	1996-10-05	VYDAJ	PREVOD NA UCET	2509	10849	 	CD	25392246
260542	892	1996-11-05	VYDAJ	PREVOD NA UCET	2509	14161	 	CD	25392246
260543	892	1996-12-05	VYDAJ	PREVOD NA UCET	2509	17488	 	CD	25392246
260544	892	1997-01-05	VYDAJ	PREVOD NA UCET	2509	17396	 	CD	25392246
260545	892	1997-02-05	VYDAJ	PREVOD NA UCET	2509	12654	 	CD	25392246
260546	892	1997-03-05	VYDAJ	PREVOD NA UCET	2509	15491	 	CD	25392246
260547	892	1997-04-05	VYDAJ	PREVOD NA UCET	2509	18822	 	CD	25392246
260548	892	1997-05-05	VYDAJ	PREVOD NA UCET	2509	11262	 	CD	25392246
260549	892	1997-06-05	VYDAJ	PREVOD NA UCET	2509	12976	 	CD	25392246
260550	892	1997-07-05	VYDAJ	PREVOD NA UCET	2509	16297	 	CD	25392246
260551	892	1997-08-05	VYDAJ	PREVOD NA UCET	2509	19632	 	CD	25392246
260552	892	1997-09-05	VYDAJ	PREVOD NA UCET	2509	22979	 	CD	25392246
260553	892	1997-10-05	VYDAJ	PREVOD NA UCET	2509	26342	 	CD	25392246
260554	892	1997-11-05	VYDAJ	PREVOD NA UCET	2509	28437	 	CD	25392246
260555	892	1997-12-05	VYDAJ	PREVOD NA UCET	2509	28675	 	CD	25392246
260556	892	1998-01-05	VYDAJ	PREVOD NA UCET	2509	26871	 	CD	25392246
260557	892	1998-02-05	VYDAJ	PREVOD NA UCET	2509	22797	 	CD	25392246
260558	892	1998-03-05	VYDAJ	PREVOD NA UCET	2509	25355	 	CD	25392246
260559	892	1998-04-05	VYDAJ	PREVOD NA UCET	2509	28726	 	CD	25392246
260560	892	1998-05-05	VYDAJ	PREVOD NA UCET	2509	30106	 	CD	25392246
260561	892	1998-06-05	VYDAJ	PREVOD NA UCET	2509	33498	 	CD	25392246
260562	892	1998-07-05	VYDAJ	PREVOD NA UCET	2509	32912	 	CD	25392246
260563	892	1998-08-05	VYDAJ	PREVOD NA UCET	2509	36315	 	CD	25392246
260564	892	1998-09-05	VYDAJ	PREVOD NA UCET	2509	39733	 	CD	25392246
260565	892	1998-10-05	VYDAJ	PREVOD NA UCET	2509	43163	 	CD	25392246
260566	892	1998-11-05	VYDAJ	PREVOD NA UCET	2509	46609	 	CD	25392246
260567	892	1998-12-05	VYDAJ	PREVOD NA UCET	2509	50068	 	CD	25392246
260569	892	1994-06-16	VYDAJ	VYBER	11050	13442	\N	\N	\N
260573	892	1998-06-11	VYDAJ	VYBER	2700	35289	\N	\N	\N
260575	892	1994-01-07	VYDAJ	VYBER	4550	14421	\N	\N	\N
260576	892	1995-01-25	VYDAJ	VYBER	3350	15294	\N	\N	\N
260577	892	1996-01-27	VYDAJ	VYBER	3500	21721	\N	\N	\N
260578	892	1997-01-11	VYDAJ	VYBER	950	22217	\N	\N	\N
260579	892	1998-01-04	VYDAJ	VYBER	2950	29860	\N	\N	\N
260580	892	1993-12-14	VYDAJ	VYBER	300	27771	\N	\N	\N
260581	892	1994-12-19	VYDAJ	VYBER	900	27562	\N	\N	\N
260582	892	1995-12-08	VYDAJ	VYBER	1300	24297	\N	\N	\N
260583	892	1996-12-21	VYDAJ	VYBER	1350	21909	\N	\N	\N
260584	892	1997-12-03	VYDAJ	VYBER	900	31184	\N	\N	\N
260585	892	1998-12-08	VYDAJ	VYBER	1300	48768	\N	\N	\N
260592	892	1994-01-10	VYDAJ	VYBER	1840	18352	\N	\N	\N
260593	892	1994-01-24	VYDAJ	VYBER	2080	12432	\N	\N	\N
260594	892	1994-01-02	VYDAJ	VYBER	480	23480	\N	\N	\N
260596	892	1994-01-13	VYDAJ	VYBER	1840	16512	\N	\N	\N
260597	892	1994-01-16	VYDAJ	VYBER	2000	14512	\N	\N	\N
260599	892	1995-01-02	VYDAJ	VYBER	2240	25422	\N	\N	\N
260600	892	1995-01-08	VYDAJ	VYBER	1520	21393	\N	\N	\N
260601	892	1995-01-17	VYDAJ	VYBER	2000	20324	\N	\N	\N
260602	892	1995-01-17	VYDAJ	VYBER	1680	18644	\N	\N	\N
260603	892	1995-01-27	VYDAJ	VYBER	1440	13854	\N	\N	\N
260604	892	1996-01-08	VYDAJ	VYBER	1520	20490	\N	\N	\N
260605	892	1996-01-28	VYDAJ	VYBER	400	21321	\N	\N	\N
260606	892	1996-01-04	VYDAJ	VYBER	880	29299	\N	\N	\N
260607	892	1996-01-05	VYDAJ	VYBER	480	22010	\N	\N	\N
260608	892	1996-01-29	VYDAJ	VYBER	2000	19321	\N	\N	\N
260609	892	1996-01-11	VYDAJ	VYBER	1040	25221	\N	\N	\N
260610	892	1997-01-14	VYDAJ	VYBER	1280	19817	\N	\N	\N
260611	892	1997-01-21	VYDAJ	VYBER	1760	18057	\N	\N	\N
260612	892	1997-01-14	VYDAJ	VYBER	1120	21097	\N	\N	\N
260613	892	1997-01-26	VYDAJ	VYBER	2160	15097	\N	\N	\N
260614	892	1997-01-05	VYDAJ	VYBER	2080	19905	\N	\N	\N
260615	892	1997-01-21	VYDAJ	VYBER	800	17257	\N	\N	\N
260616	892	1998-01-29	VYDAJ	VYBER	2320	25202	\N	\N	\N
260617	892	1998-01-01	VYDAJ	VYBER	1760	32810	\N	\N	\N
260618	892	1998-01-05	VYDAJ	VYBER	480	29380	\N	\N	\N
260619	892	1998-01-13	VYDAJ	VYBER	1200	29842	\N	\N	\N
260620	892	1998-01-06	VYDAJ	VYBER	1600	25271	\N	\N	\N
260621	892	1998-01-22	VYDAJ	VYBER	2320	27522	\N	\N	\N
260624	892	1993-11-09	VYDAJ	VYBER	960	32972	\N	\N	\N
260625	892	1993-11-19	VYDAJ	VYBER	1360	24706	\N	\N	\N
260630	892	1994-03-09	VYDAJ	VYBER	1840	17623	\N	\N	\N
260631	892	1994-01-03	VYDAJ	VYBER	2000	21480	\N	\N	\N
260633	892	1994-09-01	VYDAJ	VYBER	3760	16383	\N	\N	\N
260634	892	1994-05-24	VYDAJ	VYBER	1280	22590	\N	\N	\N
260635	892	1994-06-01	VYDAJ	VYBER	1440	21230	\N	\N	\N
260636	892	1995-06-04	VYDAJ	VYBER	1920	25353	\N	\N	\N
260638	892	1995-07-03	VYDAJ	VYBER	3360	25356	\N	\N	\N
260639	892	1995-01-15	VYDAJ	VYBER	2640	22324	\N	\N	\N
260640	892	1995-07-13	VYDAJ	VYBER	1040	27578	\N	\N	\N
260641	892	1996-07-23	VYDAJ	VYBER	2960	22793	\N	\N	\N
260642	892	1996-07-06	VYDAJ	VYBER	1360	19982	\N	\N	\N
260643	892	1996-08-05	VYDAJ	VYBER	800	17770	\N	\N	\N
260645	892	1996-03-26	VYDAJ	VYBER	2000	23708	\N	\N	\N
260646	892	1997-02-09	VYDAJ	VYBER	480	17945	\N	\N	\N
260649	892	1997-11-13	VYDAJ	VYBER	2240	31968	\N	\N	\N
260650	892	1997-06-05	VYDAJ	VYBER	1600	15485	\N	\N	\N
260651	892	1997-10-19	VYDAJ	VYBER	560	31553	\N	\N	\N
260652	892	1997-11-05	VYDAJ	VYBER	720	30946	\N	\N	\N
260653	892	1998-02-14	VYDAJ	VYBER	800	27768	\N	\N	\N
260654	892	1998-12-26	VYDAJ	VYBER	960	53579	\N	\N	\N
260655	892	1998-06-10	VYDAJ	VYBER	1280	37989	\N	\N	\N
260656	892	1998-04-11	VYDAJ	VYBER	2000	32497	\N	\N	\N
260665	892	1993-08-31	VYDAJ	VYBER	15	27821	SLUZBY	\N	\N
260666	892	1993-09-30	VYDAJ	VYBER	15	28790	SLUZBY	\N	\N
260667	892	1993-10-31	VYDAJ	VYBER	15	30264	SLUZBY	\N	\N
260668	892	1993-11-30	VYDAJ	VYBER	15	24809	SLUZBY	\N	\N
260669	892	1993-12-31	VYDAJ	VYBER	15	23960	SLUZBY	\N	\N
260670	892	1994-01-31	VYDAJ	VYBER	15	12485	SLUZBY	\N	\N
260671	892	1994-02-28	VYDAJ	VYBER	15	15795	SLUZBY	\N	\N
260672	892	1994-03-31	VYDAJ	VYBER	15	17279	SLUZBY	\N	\N
260673	892	1994-04-30	VYDAJ	VYBER	15	20608	SLUZBY	\N	\N
260674	892	1994-05-31	VYDAJ	VYBER	15	22670	SLUZBY	\N	\N
260675	892	1994-06-30	VYDAJ	VYBER	15	13502	SLUZBY	\N	\N
260676	892	1994-07-31	VYDAJ	VYBER	15	16816	SLUZBY	\N	\N
260677	892	1994-08-31	VYDAJ	VYBER	15	20143	SLUZBY	\N	\N
260678	892	1994-09-30	VYDAJ	VYBER	15	19709	SLUZBY	\N	\N
260679	892	1994-10-31	VYDAJ	VYBER	15	23049	SLUZBY	\N	\N
260680	892	1994-11-30	VYDAJ	VYBER	15	25800	SLUZBY	\N	\N
260681	892	1994-12-31	VYDAJ	VYBER	15	27662	SLUZBY	\N	\N
260682	892	1995-01-31	VYDAJ	VYBER	15	13926	SLUZBY	\N	\N
260683	892	1995-02-28	VYDAJ	VYBER	15	17242	SLUZBY	\N	\N
260684	892	1995-03-31	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
260685	892	1995-04-30	VYDAJ	VYBER	15	23916	SLUZBY	\N	\N
260686	892	1995-05-31	VYDAJ	VYBER	15	27273	SLUZBY	\N	\N
260687	892	1995-06-30	VYDAJ	VYBER	15	28716	SLUZBY	\N	\N
260688	892	1995-07-31	VYDAJ	VYBER	15	27677	SLUZBY	\N	\N
260689	892	1995-08-31	VYDAJ	VYBER	15	31049	SLUZBY	\N	\N
260690	892	1995-09-30	VYDAJ	VYBER	15	34436	SLUZBY	\N	\N
260691	892	1995-10-31	VYDAJ	VYBER	15	34024	SLUZBY	\N	\N
260692	892	1995-11-30	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
260693	892	1995-12-31	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
260694	892	1996-01-31	VYDAJ	VYBER	15	19408	SLUZBY	\N	\N
260695	892	1996-02-29	VYDAJ	VYBER	15	22746	SLUZBY	\N	\N
260696	892	1996-03-31	VYDAJ	VYBER	15	23794	SLUZBY	\N	\N
260697	892	1996-04-30	VYDAJ	VYBER	15	26447	SLUZBY	\N	\N
260698	892	1996-05-31	VYDAJ	VYBER	15	25599	SLUZBY	\N	\N
260699	892	1996-06-30	VYDAJ	VYBER	15	26451	SLUZBY	\N	\N
260700	892	1996-07-31	VYDAJ	VYBER	15	22879	SLUZBY	\N	\N
260701	892	1996-08-31	VYDAJ	VYBER	15	23621	SLUZBY	\N	\N
260702	892	1996-09-30	VYDAJ	VYBER	15	13358	SLUZBY	\N	\N
260703	892	1996-10-31	VYDAJ	VYBER	15	16670	SLUZBY	\N	\N
260704	892	1996-11-30	VYDAJ	VYBER	15	19997	SLUZBY	\N	\N
260705	892	1996-12-31	VYDAJ	VYBER	15	21985	SLUZBY	\N	\N
260706	892	1997-01-31	VYDAJ	VYBER	15	15163	SLUZBY	\N	\N
260707	892	1997-02-28	VYDAJ	VYBER	15	18000	SLUZBY	\N	\N
260708	892	1997-03-31	VYDAJ	VYBER	15	21331	SLUZBY	\N	\N
260709	892	1997-04-30	VYDAJ	VYBER	15	13771	SLUZBY	\N	\N
260710	892	1997-05-31	VYDAJ	VYBER	15	17085	SLUZBY	\N	\N
260711	892	1997-06-30	VYDAJ	VYBER	15	18806	SLUZBY	\N	\N
260712	892	1997-07-31	VYDAJ	VYBER	15	22141	SLUZBY	\N	\N
260713	892	1997-08-31	VYDAJ	VYBER	15	25488	SLUZBY	\N	\N
260714	892	1997-09-30	VYDAJ	VYBER	15	28851	SLUZBY	\N	\N
260715	892	1997-10-31	VYDAJ	VYBER	15	31666	SLUZBY	\N	\N
260716	892	1997-11-30	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
260717	892	1997-12-31	VYDAJ	VYBER	15	34570	SLUZBY	\N	\N
260718	892	1998-01-31	VYDAJ	VYBER	15	25306	SLUZBY	\N	\N
260719	892	1998-02-28	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
260720	892	1998-03-31	VYDAJ	VYBER	15	31235	SLUZBY	\N	\N
260721	892	1998-04-30	VYDAJ	VYBER	15	32615	SLUZBY	\N	\N
260722	892	1998-05-31	VYDAJ	VYBER	15	36007	SLUZBY	\N	\N
260723	892	1998-06-30	VYDAJ	VYBER	15	35421	SLUZBY	\N	\N
260724	892	1998-07-31	VYDAJ	VYBER	15	38824	SLUZBY	\N	\N
260725	892	1998-08-31	VYDAJ	VYBER	15	42242	SLUZBY	\N	\N
260726	892	1998-09-30	VYDAJ	VYBER	15	45672	SLUZBY	\N	\N
260727	892	1998-10-31	VYDAJ	VYBER	15	49118	SLUZBY	\N	\N
260728	892	1998-11-30	VYDAJ	VYBER	15	52577	SLUZBY	\N	\N
260729	892	1993-07-18	VYDAJ	VYBER	2100	23508	\N	\N	\N
260730	892	1993-08-17	VYDAJ	VYBER	1600	27723	\N	\N	\N
260731	892	1993-09-16	VYDAJ	VYBER	2400	28683	\N	\N	\N
260732	892	1993-10-16	VYDAJ	VYBER	1900	30152	\N	\N	\N
260733	892	1993-11-15	VYDAJ	VYBER	6500	26066	\N	\N	\N
260734	892	1993-12-15	VYDAJ	VYBER	3900	23871	\N	\N	\N
260735	892	1994-11-10	VYDAJ	VYBER	600	25711	\N	\N	\N
260736	892	1994-12-10	VYDAJ	VYBER	600	28462	\N	\N	\N
260737	892	1995-01-09	VYDAJ	VYBER	2200	24964	\N	\N	\N
260738	892	1995-10-06	VYDAJ	VYBER	3800	28127	\N	\N	\N
260739	892	1995-11-05	VYDAJ	VYBER	4500	27015	\N	\N	\N
260740	892	1995-12-05	VYDAJ	VYBER	4800	25597	\N	\N	\N
260741	892	1996-01-04	VYDAJ	VYBER	4300	24999	\N	\N	\N
260742	892	1996-03-04	VYDAJ	VYBER	300	22446	\N	\N	\N
260743	892	1996-04-03	VYDAJ	VYBER	700	23094	\N	\N	\N
260744	892	1996-05-03	VYDAJ	VYBER	4200	22247	\N	\N	\N
260745	892	1996-06-02	VYDAJ	VYBER	2500	23099	\N	\N	\N
260746	892	1996-07-02	VYDAJ	VYBER	2600	23851	\N	\N	\N
260747	892	1996-08-01	VYDAJ	VYBER	1800	21079	\N	\N	\N
260748	892	1996-08-31	VYDAJ	VYBER	4000	19621	\N	\N	\N
260749	892	1996-09-30	VYDAJ	VYBER	9600	13373	\N	\N	\N
260750	892	1997-04-28	VYDAJ	VYBER	10900	13693	\N	\N	\N
260817	893	1995-04-12	PRIJEM	VKLAD	900	900	\N	\N	\N
260822	893	1995-05-09	PRIJEM	VKLAD	22130	23030	\N	\N	\N
260823	893	1995-06-09	PRIJEM	VKLAD	33195	59094	\N	\N	\N
260824	893	1995-07-09	PRIJEM	VKLAD	22130	64778	\N	\N	\N
260825	893	1995-08-09	PRIJEM	VKLAD	22130	68295	\N	\N	\N
260826	893	1995-09-09	PRIJEM	VKLAD	22130	69119	\N	\N	\N
260827	893	1995-10-09	PRIJEM	VKLAD	22130	72039	\N	\N	\N
260828	893	1995-11-09	PRIJEM	VKLAD	22130	62070	\N	\N	\N
260829	893	1995-12-09	PRIJEM	VKLAD	33195	81730	\N	\N	\N
260830	893	1996-01-09	PRIJEM	VKLAD	22130	75234	\N	\N	\N
260831	893	1996-02-09	PRIJEM	VKLAD	22130	64936	\N	\N	\N
260832	893	1996-03-09	PRIJEM	VKLAD	22130	65555	\N	\N	\N
260833	893	1996-04-09	PRIJEM	VKLAD	22130	76132	\N	\N	\N
260834	893	1996-05-09	PRIJEM	VKLAD	22130	74760	\N	\N	\N
260835	893	1996-06-09	PRIJEM	VKLAD	33195	70346	\N	\N	\N
260836	893	1996-07-09	PRIJEM	VKLAD	22130	76139	\N	\N	\N
260837	893	1996-08-09	PRIJEM	VKLAD	22130	82865	\N	\N	\N
260838	893	1996-09-09	PRIJEM	VKLAD	22130	88419	\N	\N	\N
260839	893	1996-10-09	PRIJEM	VKLAD	22130	87996	\N	\N	\N
260840	893	1996-11-09	PRIJEM	VKLAD	22130	88279	\N	\N	\N
260841	893	1996-12-09	PRIJEM	VKLAD	33195	96126	\N	\N	\N
260842	893	1997-01-09	PRIJEM	VKLAD	22130	70488	\N	\N	\N
260843	893	1997-02-09	PRIJEM	VKLAD	22130	71514	\N	\N	\N
260844	893	1997-03-09	PRIJEM	VKLAD	22130	77113	\N	\N	\N
260845	893	1997-04-09	PRIJEM	VKLAD	22130	77143	\N	\N	\N
260846	893	1997-05-09	PRIJEM	VKLAD	22130	77379	\N	\N	\N
260847	893	1997-06-09	PRIJEM	VKLAD	33195	93378	\N	\N	\N
260848	893	1997-07-09	PRIJEM	VKLAD	22130	65947	\N	\N	\N
260849	893	1997-08-09	PRIJEM	VKLAD	22130	75081	\N	\N	\N
260850	893	1997-09-09	PRIJEM	VKLAD	22130	82718	\N	\N	\N
260851	893	1997-10-09	PRIJEM	VKLAD	22130	85986	\N	\N	\N
260852	893	1997-11-09	PRIJEM	VKLAD	22130	87368	\N	\N	\N
260853	893	1997-12-09	PRIJEM	VKLAD	33195	100578	\N	\N	\N
260854	893	1998-01-09	PRIJEM	VKLAD	22130	92423	\N	\N	\N
260855	893	1998-02-09	PRIJEM	VKLAD	22130	81622	\N	\N	\N
260856	893	1998-03-09	PRIJEM	VKLAD	22130	87787	\N	\N	\N
260857	893	1998-04-09	PRIJEM	VKLAD	22130	90475	\N	\N	\N
260858	893	1998-05-09	PRIJEM	VKLAD	22130	92374	\N	\N	\N
260859	893	1998-06-09	PRIJEM	VKLAD	33195	97902	\N	\N	\N
260860	893	1998-07-09	PRIJEM	VKLAD	22130	81570	\N	\N	\N
260861	893	1998-08-09	PRIJEM	VKLAD	22130	87736	\N	\N	\N
260862	893	1998-09-09	PRIJEM	VKLAD	22130	88422	\N	\N	\N
260863	893	1998-10-09	PRIJEM	VKLAD	22130	93474	\N	\N	\N
260864	893	1998-11-09	PRIJEM	VKLAD	22130	91805	\N	\N	\N
260865	893	1998-12-09	PRIJEM	VKLAD	33195	96512	\N	\N	\N
260867	893	1996-06-04	VYDAJ	VYBER	37600	37451	\N	\N	\N
260868	893	1997-06-11	VYDAJ	VYBER	46400	46978	\N	\N	\N
260869	893	1998-06-17	VYDAJ	VYBER	24160	73742	\N	\N	\N
260871	893	1996-01-17	VYDAJ	VYBER	12640	58994	\N	\N	\N
260872	893	1997-01-03	VYDAJ	VYBER	12480	53518	\N	\N	\N
260873	893	1998-01-19	VYDAJ	VYBER	4800	84263	\N	\N	\N
260874	893	1995-12-19	VYDAJ	VYBER	4640	77090	\N	\N	\N
260875	893	1996-12-14	VYDAJ	VYBER	2400	93726	\N	\N	\N
260876	893	1997-12-20	VYDAJ	VYBER	3680	96898	\N	\N	\N
260877	893	1998-12-08	VYDAJ	VYBER	4640	63317	\N	\N	\N
260884	893	1996-01-30	VYDAJ	VYBER	2160	55154	\N	\N	\N
260885	893	1996-01-05	VYDAJ	VYBER	3240	66104	\N	\N	\N
260886	893	1996-01-09	VYDAJ	VYBER	1560	73674	\N	\N	\N
260887	893	1996-01-10	VYDAJ	VYBER	2040	71634	\N	\N	\N
260888	893	1996-01-21	VYDAJ	VYBER	1680	57314	\N	\N	\N
260889	893	1996-01-05	VYDAJ	VYBER	3000	69344	\N	\N	\N
260890	893	1997-01-06	VYDAJ	VYBER	2880	48358	\N	\N	\N
260891	893	1997-01-03	VYDAJ	VYBER	2280	51238	\N	\N	\N
260892	893	1997-01-23	VYDAJ	VYBER	2040	63168	\N	\N	\N
260893	893	1997-01-17	VYDAJ	VYBER	3120	67368	\N	\N	\N
260894	893	1997-01-17	VYDAJ	VYBER	2160	65208	\N	\N	\N
260895	893	1997-01-29	VYDAJ	VYBER	3480	59688	\N	\N	\N
260896	893	1998-01-14	VYDAJ	VYBER	3360	89063	\N	\N	\N
260897	893	1998-01-29	VYDAJ	VYBER	3480	62423	\N	\N	\N
260898	893	1998-01-03	VYDAJ	VYBER	1200	70293	\N	\N	\N
260899	893	1998-01-23	VYDAJ	VYBER	3480	77303	\N	\N	\N
260900	893	1998-01-21	VYDAJ	VYBER	3480	80783	\N	\N	\N
260901	893	1998-01-29	VYDAJ	VYBER	3240	59183	\N	\N	\N
260903	893	1995-11-09	VYDAJ	VYBER	2760	59310	\N	\N	\N
260906	893	1996-02-18	VYDAJ	VYBER	5160	59776	\N	\N	\N
260907	893	1996-04-17	VYDAJ	VYBER	5160	69652	\N	\N	\N
260908	893	1996-01-01	VYDAJ	VYBER	5040	72344	\N	\N	\N
260909	893	1996-02-21	VYDAJ	VYBER	5280	54496	\N	\N	\N
260910	893	1996-04-12	VYDAJ	VYBER	1320	74812	\N	\N	\N
260911	893	1997-07-11	VYDAJ	VYBER	4320	61627	\N	\N	\N
260912	893	1997-11-08	VYDAJ	VYBER	3000	65238	\N	\N	\N
260913	893	1997-07-07	VYDAJ	VYBER	3360	43817	\N	\N	\N
260914	893	1997-12-30	VYDAJ	VYBER	3000	71198	\N	\N	\N
260915	893	1997-02-05	VYDAJ	VYBER	960	49384	\N	\N	\N
260916	893	1998-11-26	VYDAJ	VYBER	4320	67685	\N	\N	\N
260917	893	1998-06-04	VYDAJ	VYBER	3240	64707	\N	\N	\N
260918	893	1998-10-29	VYDAJ	VYBER	5280	69394	\N	\N	\N
260919	893	1998-09-16	VYDAJ	VYBER	2760	85662	\N	\N	\N
260920	893	1998-12-16	VYDAJ	VYBER	5640	90872	\N	\N	\N
260930	893	1995-09-30	VYDAJ	VYBER	15	49909	SLUZBY	\N	\N
260931	893	1995-10-31	VYDAJ	VYBER	15	52640	SLUZBY	\N	\N
260932	893	1995-11-30	VYDAJ	VYBER	15	59535	SLUZBY	\N	\N
260933	893	1995-12-31	VYDAJ	VYBER	15	77384	SLUZBY	\N	\N
260934	893	1996-01-31	VYDAJ	VYBER	15	55406	SLUZBY	\N	\N
260935	893	1996-02-29	VYDAJ	VYBER	15	54725	SLUZBY	\N	\N
260936	893	1996-03-31	VYDAJ	VYBER	15	65802	SLUZBY	\N	\N
260937	893	1996-04-30	VYDAJ	VYBER	15	69930	SLUZBY	\N	\N
260938	893	1996-05-31	VYDAJ	VYBER	15	75051	SLUZBY	\N	\N
260939	893	1996-06-30	VYDAJ	VYBER	15	70609	SLUZBY	\N	\N
260940	893	1996-07-31	VYDAJ	VYBER	15	76435	SLUZBY	\N	\N
260941	893	1996-08-31	VYDAJ	VYBER	15	83189	SLUZBY	\N	\N
260942	893	1996-09-30	VYDAJ	VYBER	15	88766	SLUZBY	\N	\N
260943	893	1996-10-31	VYDAJ	VYBER	15	88349	SLUZBY	\N	\N
260944	893	1996-11-30	VYDAJ	VYBER	15	88631	SLUZBY	\N	\N
260945	893	1996-12-31	VYDAJ	VYBER	15	94098	SLUZBY	\N	\N
260946	893	1997-01-31	VYDAJ	VYBER	15	59944	SLUZBY	\N	\N
260947	893	1997-02-28	VYDAJ	VYBER	15	71783	SLUZBY	\N	\N
260948	893	1997-03-31	VYDAJ	VYBER	15	77413	SLUZBY	\N	\N
260949	893	1997-04-30	VYDAJ	VYBER	15	77449	SLUZBY	\N	\N
260950	893	1997-05-31	VYDAJ	VYBER	15	60183	SLUZBY	\N	\N
260951	893	1997-06-30	VYDAJ	VYBER	15	47177	SLUZBY	\N	\N
260952	893	1997-07-31	VYDAJ	VYBER	15	52951	SLUZBY	\N	\N
260953	893	1997-08-31	VYDAJ	VYBER	15	60588	SLUZBY	\N	\N
260954	893	1997-09-30	VYDAJ	VYBER	15	63856	SLUZBY	\N	\N
260955	893	1997-10-31	VYDAJ	VYBER	15	68238	SLUZBY	\N	\N
260956	893	1997-11-30	VYDAJ	VYBER	15	67383	SLUZBY	\N	\N
260957	893	1997-12-31	VYDAJ	VYBER	15	71493	SLUZBY	\N	\N
260958	893	1998-01-31	VYDAJ	VYBER	15	59492	SLUZBY	\N	\N
260959	893	1998-02-28	VYDAJ	VYBER	15	65657	SLUZBY	\N	\N
260960	893	1998-03-31	VYDAJ	VYBER	15	68345	SLUZBY	\N	\N
260961	893	1998-04-30	VYDAJ	VYBER	15	70244	SLUZBY	\N	\N
260962	893	1998-05-31	VYDAJ	VYBER	15	67947	SLUZBY	\N	\N
260963	893	1998-06-30	VYDAJ	VYBER	15	59440	SLUZBY	\N	\N
260964	893	1998-07-31	VYDAJ	VYBER	15	65606	SLUZBY	\N	\N
260965	893	1998-08-31	VYDAJ	VYBER	15	66292	SLUZBY	\N	\N
260966	893	1998-09-30	VYDAJ	VYBER	15	71344	SLUZBY	\N	\N
260967	893	1998-10-31	VYDAJ	VYBER	15	69675	SLUZBY	\N	\N
260968	893	1998-11-30	VYDAJ	VYBER	15	67957	SLUZBY	\N	\N
260969	893	1995-05-12	PRIJEM	VKLAD	2800	25830	\N	\N	\N
260970	893	1995-06-11	VYDAJ	VYBER	16600	42494	\N	\N	\N
260971	893	1995-07-11	VYDAJ	VYBER	18800	45978	\N	\N	\N
260972	893	1995-08-10	VYDAJ	VYBER	21500	46795	\N	\N	\N
260973	893	1995-09-09	VYDAJ	VYBER	19400	49719	\N	\N	\N
260974	893	1995-10-09	VYDAJ	VYBER	19600	52439	\N	\N	\N
260975	893	1995-11-08	VYDAJ	VYBER	12700	39940	\N	\N	\N
260976	893	1995-12-08	VYDAJ	VYBER	11000	48535	\N	\N	\N
260977	893	1996-01-07	VYDAJ	VYBER	13000	53104	\N	\N	\N
260978	893	1996-02-06	VYDAJ	VYBER	12600	42806	\N	\N	\N
260979	893	1996-03-07	VYDAJ	VYBER	11300	43425	\N	\N	\N
260980	893	1996-04-06	VYDAJ	VYBER	11800	54002	\N	\N	\N
260981	893	1996-05-06	VYDAJ	VYBER	17300	52630	\N	\N	\N
260982	893	1996-06-05	VYDAJ	VYBER	300	37151	\N	\N	\N
260983	893	1996-07-05	VYDAJ	VYBER	16600	54009	\N	\N	\N
260984	893	1996-08-04	VYDAJ	VYBER	15700	60735	\N	\N	\N
260985	893	1996-09-03	VYDAJ	VYBER	16900	66289	\N	\N	\N
260986	893	1996-10-03	VYDAJ	VYBER	22900	65866	\N	\N	\N
260987	893	1996-11-02	VYDAJ	VYBER	22200	66149	\N	\N	\N
260988	893	1996-12-02	VYDAJ	VYBER	25700	62931	\N	\N	\N
260989	893	1997-01-01	VYDAJ	VYBER	28100	65998	\N	\N	\N
260990	893	1997-01-31	VYDAJ	VYBER	9600	50344	\N	\N	\N
260991	893	1997-03-02	VYDAJ	VYBER	16800	54983	\N	\N	\N
260992	893	1997-04-01	VYDAJ	VYBER	22400	55013	\N	\N	\N
260993	893	1997-05-01	VYDAJ	VYBER	22200	55249	\N	\N	\N
260994	893	1997-05-31	VYDAJ	VYBER	17500	60198	\N	\N	\N
260995	893	1997-07-30	VYDAJ	VYBER	8900	52727	\N	\N	\N
260996	893	1997-08-29	VYDAJ	VYBER	14700	60381	\N	\N	\N
260997	893	1997-09-28	VYDAJ	VYBER	19100	63618	\N	\N	\N
260998	893	1997-10-28	VYDAJ	VYBER	18000	67986	\N	\N	\N
260999	893	1997-11-27	VYDAJ	VYBER	20300	67068	\N	\N	\N
261000	893	1997-12-27	VYDAJ	VYBER	22700	74198	\N	\N	\N
261001	893	1998-01-26	VYDAJ	VYBER	11400	65903	\N	\N	\N
261002	893	1998-02-25	VYDAJ	VYBER	16200	65422	\N	\N	\N
261003	893	1998-03-27	VYDAJ	VYBER	19700	68087	\N	\N	\N
261004	893	1998-04-26	VYDAJ	VYBER	20500	69975	\N	\N	\N
261005	893	1998-05-26	VYDAJ	VYBER	24700	67674	\N	\N	\N
261006	893	1998-06-25	VYDAJ	VYBER	14600	59142	\N	\N	\N
261007	893	1998-07-25	VYDAJ	VYBER	16200	65370	\N	\N	\N
261008	893	1998-08-24	VYDAJ	VYBER	21700	66036	\N	\N	\N
261009	893	1998-09-23	VYDAJ	VYBER	14600	71062	\N	\N	\N
261010	893	1998-10-23	VYDAJ	VYBER	18800	74674	\N	\N	\N
261011	893	1998-11-22	VYDAJ	VYBER	19800	72005	\N	\N	\N
261056	894	1995-08-27	PRIJEM	VKLAD	800	800	\N	\N	\N
261065	894	1995-09-14	PRIJEM	PREVOD Z UCTU	6676	7476	DUCHOD	ST	50319933
261066	894	1995-10-14	PRIJEM	PREVOD Z UCTU	6676	14152	DUCHOD	ST	50319933
261067	894	1995-11-14	PRIJEM	PREVOD Z UCTU	6676	20828	DUCHOD	ST	50319933
261068	894	1995-12-14	PRIJEM	PREVOD Z UCTU	6676	27321	DUCHOD	ST	50319933
261069	894	1996-01-14	PRIJEM	PREVOD Z UCTU	6676	33689	DUCHOD	ST	50319933
261070	894	1996-02-14	PRIJEM	PREVOD Z UCTU	6676	27813	DUCHOD	ST	50319933
261071	894	1996-03-14	PRIJEM	PREVOD Z UCTU	6676	27566	DUCHOD	ST	50319933
261072	894	1996-04-14	PRIJEM	PREVOD Z UCTU	6676	29119	DUCHOD	ST	50319933
261073	894	1996-05-14	PRIJEM	PREVOD Z UCTU	6676	28314	DUCHOD	ST	50319933
261074	894	1996-06-14	PRIJEM	PREVOD Z UCTU	6676	26966	DUCHOD	ST	50319933
261075	894	1996-07-14	PRIJEM	PREVOD Z UCTU	6676	16393	DUCHOD	ST	50319933
261076	894	1996-08-14	PRIJEM	PREVOD Z UCTU	6676	17878	DUCHOD	ST	50319933
261077	894	1996-09-14	PRIJEM	PREVOD Z UCTU	6676	21693	DUCHOD	ST	50319933
261078	894	1996-10-14	PRIJEM	PREVOD Z UCTU	6676	21518	DUCHOD	ST	50319933
261079	894	1996-11-14	PRIJEM	PREVOD Z UCTU	6676	20140	DUCHOD	ST	50319933
261080	894	1996-12-14	PRIJEM	PREVOD Z UCTU	6676	17854	DUCHOD	ST	50319933
261081	894	1997-01-14	PRIJEM	PREVOD Z UCTU	6676	15459	DUCHOD	ST	50319933
261082	894	1997-02-14	PRIJEM	PREVOD Z UCTU	6676	14875	DUCHOD	ST	50319933
261083	894	1997-03-14	PRIJEM	PREVOD Z UCTU	6676	18677	DUCHOD	ST	50319933
261084	894	1997-04-14	PRIJEM	PREVOD Z UCTU	6676	22496	DUCHOD	ST	50319933
261085	894	1997-05-14	PRIJEM	PREVOD Z UCTU	6676	17314	DUCHOD	ST	50319933
261086	894	1997-06-14	PRIJEM	PREVOD Z UCTU	6676	15616	DUCHOD	ST	50319933
261087	894	1997-07-14	PRIJEM	PREVOD Z UCTU	6676	19422	DUCHOD	ST	50319933
261088	894	1997-08-14	PRIJEM	PREVOD Z UCTU	6676	17532	DUCHOD	ST	50319933
261089	894	1997-09-14	PRIJEM	PREVOD Z UCTU	6676	18138	DUCHOD	ST	50319933
261090	894	1997-10-14	PRIJEM	PREVOD Z UCTU	6676	16242	DUCHOD	ST	50319933
261091	894	1997-11-14	PRIJEM	PREVOD Z UCTU	6676	15840	DUCHOD	ST	50319933
261092	894	1997-12-14	PRIJEM	PREVOD Z UCTU	6676	14946	DUCHOD	ST	50319933
261093	894	1998-01-14	PRIJEM	PREVOD Z UCTU	6676	15440	DUCHOD	ST	50319933
261094	894	1998-02-14	PRIJEM	PREVOD Z UCTU	6676	17283	DUCHOD	ST	50319933
261095	894	1998-03-14	PRIJEM	PREVOD Z UCTU	6676	21094	DUCHOD	ST	50319933
261096	894	1998-04-14	PRIJEM	PREVOD Z UCTU	6676	15421	DUCHOD	ST	50319933
261097	894	1998-05-14	PRIJEM	PREVOD Z UCTU	6676	19226	DUCHOD	ST	50319933
261098	894	1998-06-14	PRIJEM	PREVOD Z UCTU	6676	19926	DUCHOD	ST	50319933
261099	894	1998-07-14	PRIJEM	PREVOD Z UCTU	6676	21668	DUCHOD	ST	50319933
261100	894	1998-08-14	PRIJEM	PREVOD Z UCTU	6676	25499	DUCHOD	ST	50319933
261101	894	1998-09-14	PRIJEM	PREVOD Z UCTU	6676	29345	DUCHOD	ST	50319933
261102	894	1998-10-14	PRIJEM	PREVOD Z UCTU	6676	33208	DUCHOD	ST	50319933
261103	894	1998-11-14	PRIJEM	PREVOD Z UCTU	6676	19186	DUCHOD	ST	50319933
261104	894	1998-12-14	PRIJEM	PREVOD Z UCTU	6676	20626	DUCHOD	ST	50319933
261118	894	1996-02-09	VYDAJ	PREVOD NA UCET	2914	23057	SIPO	QR	4965514
261119	894	1996-03-09	VYDAJ	PREVOD NA UCET	2914	20890	SIPO	QR	4965514
261120	894	1996-04-09	VYDAJ	PREVOD NA UCET	2914	22443	SIPO	QR	4965514
261121	894	1996-05-09	VYDAJ	PREVOD NA UCET	2914	21638	SIPO	QR	4965514
261122	894	1996-06-09	VYDAJ	PREVOD NA UCET	2914	20290	SIPO	QR	4965514
261123	894	1996-07-09	VYDAJ	PREVOD NA UCET	2914	9717	SIPO	QR	4965514
261124	894	1996-08-09	VYDAJ	PREVOD NA UCET	2914	11202	SIPO	QR	4965514
261125	894	1996-09-09	VYDAJ	PREVOD NA UCET	2914	15017	SIPO	QR	4965514
261126	894	1996-10-09	VYDAJ	PREVOD NA UCET	2914	14842	SIPO	QR	4965514
261127	894	1996-11-09	VYDAJ	PREVOD NA UCET	2914	13464	SIPO	QR	4965514
261128	894	1996-12-09	VYDAJ	PREVOD NA UCET	2914	11178	SIPO	QR	4965514
261129	894	1997-01-09	VYDAJ	PREVOD NA UCET	2914	8783	SIPO	QR	4965514
261130	894	1997-02-09	VYDAJ	PREVOD NA UCET	2914	8199	SIPO	QR	4965514
261131	894	1997-03-09	VYDAJ	PREVOD NA UCET	2914	12001	SIPO	QR	4965514
261132	894	1997-04-09	VYDAJ	PREVOD NA UCET	2914	15820	SIPO	QR	4965514
261133	894	1997-05-09	VYDAJ	PREVOD NA UCET	2914	10638	SIPO	QR	4965514
261134	894	1997-06-09	VYDAJ	PREVOD NA UCET	2914	8940	SIPO	QR	4965514
261135	894	1997-07-09	VYDAJ	PREVOD NA UCET	2914	12746	SIPO	QR	4965514
261136	894	1997-08-09	VYDAJ	PREVOD NA UCET	2914	10856	SIPO	QR	4965514
261137	894	1997-09-09	VYDAJ	PREVOD NA UCET	2914	11462	SIPO	QR	4965514
261138	894	1997-10-09	VYDAJ	PREVOD NA UCET	2914	9566	SIPO	QR	4965514
261139	894	1997-11-09	VYDAJ	PREVOD NA UCET	2914	9164	SIPO	QR	4965514
261140	894	1997-12-09	VYDAJ	PREVOD NA UCET	2914	8270	SIPO	QR	4965514
261141	894	1998-01-09	VYDAJ	PREVOD NA UCET	2914	8764	SIPO	QR	4965514
261142	894	1998-02-09	VYDAJ	PREVOD NA UCET	2914	10607	SIPO	QR	4965514
261143	894	1998-03-09	VYDAJ	PREVOD NA UCET	2914	14418	SIPO	QR	4965514
261144	894	1998-04-09	VYDAJ	PREVOD NA UCET	2914	8745	SIPO	QR	4965514
261145	894	1998-05-09	VYDAJ	PREVOD NA UCET	2914	12550	SIPO	QR	4965514
261146	894	1998-06-09	VYDAJ	PREVOD NA UCET	2914	13250	SIPO	QR	4965514
261147	894	1998-07-09	VYDAJ	PREVOD NA UCET	2914	14992	SIPO	QR	4965514
261148	894	1998-08-09	VYDAJ	PREVOD NA UCET	2914	18823	SIPO	QR	4965514
261149	894	1998-09-09	VYDAJ	PREVOD NA UCET	2914	22669	SIPO	QR	4965514
261150	894	1998-10-09	VYDAJ	PREVOD NA UCET	2914	26532	SIPO	QR	4965514
261151	894	1998-11-09	VYDAJ	PREVOD NA UCET	2914	12510	SIPO	QR	4965514
261152	894	1998-12-09	VYDAJ	PREVOD NA UCET	2914	13950	SIPO	QR	4965514
261154	894	1996-06-18	VYDAJ	VYBER	14400	12566	\N	\N	\N
261158	894	1996-01-23	VYDAJ	VYBER	600	29889	\N	\N	\N
261160	894	1998-01-30	VYDAJ	VYBER	1000	13480	\N	\N	\N
261162	894	1996-12-14	VYDAJ	VYBER	700	17154	\N	\N	\N
261164	894	1998-12-18	VYDAJ	VYBER	1050	15896	\N	\N	\N
261171	894	1996-01-15	VYDAJ	VYBER	2240	31449	\N	\N	\N
261172	894	1996-01-24	VYDAJ	VYBER	1920	27069	\N	\N	\N
261173	894	1996-01-25	VYDAJ	VYBER	720	26349	\N	\N	\N
261175	894	1996-01-18	VYDAJ	VYBER	960	30489	\N	\N	\N
261181	894	1997-01-18	VYDAJ	VYBER	1200	13779	\N	\N	\N
261182	894	1997-01-18	VYDAJ	VYBER	480	14979	\N	\N	\N
261186	894	1998-01-15	VYDAJ	VYBER	960	14480	\N	\N	\N
261191	894	1996-01-28	VYDAJ	VYBER	480	25869	\N	\N	\N
261192	894	1996-02-11	VYDAJ	VYBER	1920	21137	\N	\N	\N
261194	894	1996-04-18	VYDAJ	VYBER	3360	25759	\N	\N	\N
261195	894	1996-07-18	VYDAJ	VYBER	2320	14073	\N	\N	\N
261202	894	1998-12-02	VYDAJ	VYBER	2400	16864	\N	\N	\N
261204	894	1998-06-24	VYDAJ	VYBER	2080	17846	\N	\N	\N
261205	894	1998-06-03	VYDAJ	VYBER	3120	16164	\N	\N	\N
261206	894	1998-12-16	VYDAJ	VYBER	3680	16946	\N	\N	\N
261220	894	1996-01-31	VYDAJ	VYBER	15	25971	SLUZBY	\N	\N
261221	894	1996-02-29	VYDAJ	VYBER	15	23804	SLUZBY	\N	\N
261222	894	1996-03-31	VYDAJ	VYBER	15	25357	SLUZBY	\N	\N
261223	894	1996-04-30	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
261224	894	1996-05-31	VYDAJ	VYBER	15	23204	SLUZBY	\N	\N
261225	894	1996-06-30	VYDAJ	VYBER	15	12631	SLUZBY	\N	\N
261226	894	1996-07-31	VYDAJ	VYBER	15	14116	SLUZBY	\N	\N
261227	894	1996-08-31	VYDAJ	VYBER	15	17931	SLUZBY	\N	\N
261228	894	1996-09-30	VYDAJ	VYBER	15	17756	SLUZBY	\N	\N
261229	894	1996-10-31	VYDAJ	VYBER	15	16378	SLUZBY	\N	\N
261230	894	1996-11-30	VYDAJ	VYBER	15	14092	SLUZBY	\N	\N
261231	894	1996-12-31	VYDAJ	VYBER	15	11697	SLUZBY	\N	\N
261232	894	1997-01-31	VYDAJ	VYBER	15	11113	SLUZBY	\N	\N
261233	894	1997-02-28	VYDAJ	VYBER	15	14915	SLUZBY	\N	\N
261234	894	1997-03-31	VYDAJ	VYBER	15	18734	SLUZBY	\N	\N
261235	894	1997-04-30	VYDAJ	VYBER	15	13552	SLUZBY	\N	\N
261236	894	1997-05-31	VYDAJ	VYBER	15	11854	SLUZBY	\N	\N
261237	894	1997-06-30	VYDAJ	VYBER	15	15660	SLUZBY	\N	\N
261238	894	1997-07-31	VYDAJ	VYBER	15	13770	SLUZBY	\N	\N
261239	894	1997-08-31	VYDAJ	VYBER	15	14376	SLUZBY	\N	\N
261240	894	1997-09-30	VYDAJ	VYBER	15	12480	SLUZBY	\N	\N
261241	894	1997-10-31	VYDAJ	VYBER	15	12078	SLUZBY	\N	\N
261242	894	1997-11-30	VYDAJ	VYBER	15	11184	SLUZBY	\N	\N
261243	894	1997-12-31	VYDAJ	VYBER	15	11678	SLUZBY	\N	\N
261244	894	1998-01-31	VYDAJ	VYBER	15	13521	SLUZBY	\N	\N
261245	894	1998-02-28	VYDAJ	VYBER	15	17332	SLUZBY	\N	\N
261246	894	1998-03-31	VYDAJ	VYBER	15	11659	SLUZBY	\N	\N
261247	894	1998-04-30	VYDAJ	VYBER	15	15464	SLUZBY	\N	\N
261248	894	1998-05-31	VYDAJ	VYBER	15	19284	SLUZBY	\N	\N
261249	894	1998-06-30	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
261250	894	1998-07-31	VYDAJ	VYBER	15	21737	SLUZBY	\N	\N
261251	894	1998-08-31	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
261252	894	1998-09-30	VYDAJ	VYBER	15	29446	SLUZBY	\N	\N
261253	894	1998-10-31	VYDAJ	VYBER	15	33324	SLUZBY	\N	\N
261254	894	1998-11-30	VYDAJ	VYBER	15	19264	SLUZBY	\N	\N
261255	894	1995-11-25	VYDAJ	VYBER	200	20628	\N	\N	\N
261256	894	1995-12-25	VYDAJ	VYBER	400	26921	\N	\N	\N
261257	894	1996-01-24	VYDAJ	VYBER	900	28989	\N	\N	\N
261258	894	1996-02-23	VYDAJ	VYBER	4100	23713	\N	\N	\N
261259	894	1996-03-24	VYDAJ	VYBER	2300	25266	\N	\N	\N
261260	894	1996-04-23	VYDAJ	VYBER	1300	24459	\N	\N	\N
261261	894	1996-05-23	VYDAJ	VYBER	5200	23114	\N	\N	\N
261262	894	1996-09-20	VYDAJ	VYBER	4000	17693	\N	\N	\N
261263	894	1996-10-20	VYDAJ	VYBER	5200	16318	\N	\N	\N
261264	894	1996-11-19	VYDAJ	VYBER	6100	14040	\N	\N	\N
261265	894	1996-12-19	VYDAJ	VYBER	5500	11654	\N	\N	\N
261266	894	1997-01-18	VYDAJ	VYBER	2700	11079	\N	\N	\N
261267	894	1997-04-18	VYDAJ	VYBER	9000	13496	\N	\N	\N
261268	894	1997-05-18	VYDAJ	VYBER	5500	11814	\N	\N	\N
261269	894	1997-07-17	VYDAJ	VYBER	5700	13722	\N	\N	\N
261270	894	1997-08-16	VYDAJ	VYBER	3200	14332	\N	\N	\N
261271	894	1997-09-15	VYDAJ	VYBER	5700	12438	\N	\N	\N
261272	894	1997-10-15	VYDAJ	VYBER	4200	12042	\N	\N	\N
261273	894	1997-11-14	VYDAJ	VYBER	4700	11140	\N	\N	\N
261274	894	1997-12-14	VYDAJ	VYBER	3300	11646	\N	\N	\N
261275	894	1998-03-14	VYDAJ	VYBER	9500	11594	\N	\N	\N
261276	894	1998-11-09	VYDAJ	VYBER	17900	15424	\N	\N	\N
261315	895	1996-03-12	PRIJEM	VKLAD	600	600	\N	\N	\N
261318	895	1996-03-13	PRIJEM	PREVOD Z UCTU	2966	3566	\N	CD	28032946
261319	895	1996-04-13	PRIJEM	PREVOD Z UCTU	2966	6541	\N	CD	28032946
261320	895	1996-05-13	PRIJEM	PREVOD Z UCTU	2966	9522	\N	CD	28032946
261321	895	1996-06-13	PRIJEM	PREVOD Z UCTU	2966	12503	\N	CD	28032946
261322	895	1996-07-13	PRIJEM	PREVOD Z UCTU	2966	15484	\N	CD	28032946
261323	895	1996-08-13	PRIJEM	PREVOD Z UCTU	2966	14279	\N	CD	28032946
261324	895	1996-09-13	PRIJEM	PREVOD Z UCTU	2966	15309	\N	CD	28032946
261325	895	1996-10-13	PRIJEM	PREVOD Z UCTU	2966	15984	\N	CD	28032946
261326	895	1996-11-13	PRIJEM	PREVOD Z UCTU	2966	17023	\N	CD	28032946
261327	895	1996-12-13	PRIJEM	PREVOD Z UCTU	2966	17195	\N	CD	28032946
261328	895	1997-01-13	PRIJEM	PREVOD Z UCTU	2966	18238	\N	CD	28032946
261329	895	1997-02-13	PRIJEM	PREVOD Z UCTU	2966	16429	\N	CD	28032946
261330	895	1997-03-13	PRIJEM	PREVOD Z UCTU	2966	17468	\N	CD	28032946
261331	895	1997-04-13	PRIJEM	PREVOD Z UCTU	2966	17581	\N	CD	28032946
261332	895	1997-05-13	PRIJEM	PREVOD Z UCTU	2966	17935	\N	CD	28032946
261333	895	1997-06-13	PRIJEM	PREVOD Z UCTU	2966	18980	\N	CD	28032946
261334	895	1997-07-13	PRIJEM	PREVOD Z UCTU	2966	20030	\N	CD	28032946
261335	895	1997-08-13	PRIJEM	PREVOD Z UCTU	2966	20484	\N	CD	28032946
261336	895	1997-09-13	PRIJEM	PREVOD Z UCTU	2966	21539	\N	CD	28032946
261337	895	1997-10-13	PRIJEM	PREVOD Z UCTU	2966	20419	\N	CD	28032946
261338	895	1997-11-13	PRIJEM	PREVOD Z UCTU	2966	20546	\N	CD	28032946
261339	895	1997-12-13	PRIJEM	PREVOD Z UCTU	2966	21603	\N	CD	28032946
261340	895	1998-01-13	PRIJEM	PREVOD Z UCTU	2966	18493	\N	CD	28032946
261341	895	1998-02-13	PRIJEM	PREVOD Z UCTU	2966	18853	\N	CD	28032946
261342	895	1998-03-13	PRIJEM	PREVOD Z UCTU	2966	17804	\N	CD	28032946
261343	895	1998-04-13	PRIJEM	PREVOD Z UCTU	2966	16750	\N	CD	28032946
261344	895	1998-05-13	PRIJEM	PREVOD Z UCTU	2966	17792	\N	CD	28032946
261345	895	1998-06-13	PRIJEM	PREVOD Z UCTU	2966	17514	\N	CD	28032946
261346	895	1998-07-13	PRIJEM	PREVOD Z UCTU	2966	15657	\N	CD	28032946
261347	895	1998-08-13	PRIJEM	PREVOD Z UCTU	2966	16692	\N	CD	28032946
261348	895	1998-09-13	PRIJEM	PREVOD Z UCTU	2966	16112	\N	CD	28032946
261349	895	1998-10-13	PRIJEM	PREVOD Z UCTU	2966	17149	\N	CD	28032946
261350	895	1998-11-13	PRIJEM	PREVOD Z UCTU	2966	17832	\N	CD	28032946
261351	895	1998-12-13	PRIJEM	PREVOD Z UCTU	2966	18876	\N	CD	28032946
261358	895	1996-07-13	VYDAJ	PREVOD NA UCET	523	14961	SIPO	CD	87954961
261359	895	1996-08-13	VYDAJ	PREVOD NA UCET	523	13756	SIPO	CD	87954961
261360	895	1996-09-13	VYDAJ	PREVOD NA UCET	523	14786	SIPO	CD	87954961
261361	895	1996-10-13	VYDAJ	PREVOD NA UCET	523	15461	SIPO	CD	87954961
261362	895	1996-11-13	VYDAJ	PREVOD NA UCET	523	16500	SIPO	CD	87954961
261363	895	1996-12-13	VYDAJ	PREVOD NA UCET	523	16672	SIPO	CD	87954961
261364	895	1997-01-13	VYDAJ	PREVOD NA UCET	523	17715	SIPO	CD	87954961
261365	895	1997-02-13	VYDAJ	PREVOD NA UCET	523	15906	SIPO	CD	87954961
261366	895	1997-03-13	VYDAJ	PREVOD NA UCET	523	16945	SIPO	CD	87954961
261367	895	1997-04-13	VYDAJ	PREVOD NA UCET	523	17058	SIPO	CD	87954961
261368	895	1997-05-13	VYDAJ	PREVOD NA UCET	523	17412	SIPO	CD	87954961
261369	895	1997-06-13	VYDAJ	PREVOD NA UCET	523	18457	SIPO	CD	87954961
261370	895	1997-07-13	VYDAJ	PREVOD NA UCET	523	19507	SIPO	CD	87954961
261371	895	1997-08-13	VYDAJ	PREVOD NA UCET	523	19961	SIPO	CD	87954961
261372	895	1997-09-13	VYDAJ	PREVOD NA UCET	523	21016	SIPO	CD	87954961
261373	895	1997-10-13	VYDAJ	PREVOD NA UCET	523	19896	SIPO	CD	87954961
261374	895	1997-11-13	VYDAJ	PREVOD NA UCET	523	20023	SIPO	CD	87954961
261375	895	1997-12-13	VYDAJ	PREVOD NA UCET	523	21080	SIPO	CD	87954961
261376	895	1998-01-13	VYDAJ	PREVOD NA UCET	523	17970	SIPO	CD	87954961
261377	895	1998-02-13	VYDAJ	PREVOD NA UCET	523	18330	SIPO	CD	87954961
261378	895	1998-03-13	VYDAJ	PREVOD NA UCET	523	17281	SIPO	CD	87954961
261379	895	1998-04-13	VYDAJ	PREVOD NA UCET	523	16227	SIPO	CD	87954961
261380	895	1998-05-13	VYDAJ	PREVOD NA UCET	523	17269	SIPO	CD	87954961
261381	895	1998-06-13	VYDAJ	PREVOD NA UCET	523	16991	SIPO	CD	87954961
261382	895	1998-07-13	VYDAJ	PREVOD NA UCET	523	15134	SIPO	CD	87954961
261383	895	1998-08-13	VYDAJ	PREVOD NA UCET	523	16169	SIPO	CD	87954961
261384	895	1998-09-13	VYDAJ	PREVOD NA UCET	523	15589	SIPO	CD	87954961
261385	895	1998-10-13	VYDAJ	PREVOD NA UCET	523	16626	SIPO	CD	87954961
261386	895	1998-11-13	VYDAJ	PREVOD NA UCET	523	17309	SIPO	CD	87954961
261387	895	1998-12-13	VYDAJ	PREVOD NA UCET	523	18353	SIPO	CD	87954961
261395	895	1996-08-07	VYDAJ	PREVOD NA UCET	1454	11313	 	QR	84034579
261396	895	1996-09-07	VYDAJ	PREVOD NA UCET	1454	12343	 	QR	84034579
261397	895	1996-10-07	VYDAJ	PREVOD NA UCET	1454	13018	 	QR	84034579
261398	895	1996-11-07	VYDAJ	PREVOD NA UCET	1454	14057	 	QR	84034579
261399	895	1996-12-07	VYDAJ	PREVOD NA UCET	1454	14229	 	QR	84034579
261400	895	1997-01-07	VYDAJ	PREVOD NA UCET	1454	15272	 	QR	84034579
261401	895	1997-02-07	VYDAJ	PREVOD NA UCET	1454	13463	 	QR	84034579
261402	895	1997-03-07	VYDAJ	PREVOD NA UCET	1454	14502	 	QR	84034579
261403	895	1997-04-07	VYDAJ	PREVOD NA UCET	1454	15545	 	QR	84034579
261404	895	1997-05-07	VYDAJ	PREVOD NA UCET	1454	14969	 	QR	84034579
261405	895	1997-06-07	VYDAJ	PREVOD NA UCET	1454	16014	 	QR	84034579
261406	895	1997-07-07	VYDAJ	PREVOD NA UCET	1454	17064	 	QR	84034579
261407	895	1997-08-07	VYDAJ	PREVOD NA UCET	1454	17518	 	QR	84034579
261408	895	1997-09-07	VYDAJ	PREVOD NA UCET	1454	18573	 	QR	84034579
261409	895	1997-10-07	VYDAJ	PREVOD NA UCET	1454	18233	 	QR	84034579
261410	895	1997-11-07	VYDAJ	PREVOD NA UCET	1454	18510	 	QR	84034579
261411	895	1997-12-07	VYDAJ	PREVOD NA UCET	1454	18637	 	QR	84034579
261412	895	1998-01-07	VYDAJ	PREVOD NA UCET	1454	16907	 	QR	84034579
261413	895	1998-02-07	VYDAJ	PREVOD NA UCET	1454	16577	 	QR	84034579
261414	895	1998-03-07	VYDAJ	PREVOD NA UCET	1454	14838	 	QR	84034579
261415	895	1998-04-07	VYDAJ	PREVOD NA UCET	1454	13784	 	QR	84034579
261416	895	1998-05-07	VYDAJ	PREVOD NA UCET	1454	14826	 	QR	84034579
261417	895	1998-06-07	VYDAJ	PREVOD NA UCET	1454	14548	 	QR	84034579
261418	895	1998-07-07	VYDAJ	PREVOD NA UCET	1454	12691	 	QR	84034579
261419	895	1998-08-07	VYDAJ	PREVOD NA UCET	1454	13726	 	QR	84034579
261420	895	1998-09-07	VYDAJ	PREVOD NA UCET	1454	13146	 	QR	84034579
261421	895	1998-10-07	VYDAJ	PREVOD NA UCET	1454	14183	 	QR	84034579
261422	895	1998-11-07	VYDAJ	PREVOD NA UCET	1454	15226	 	QR	84034579
261423	895	1998-12-07	VYDAJ	PREVOD NA UCET	1454	15910	 	QR	84034579
261428	895	1997-01-16	VYDAJ	VYBER	2850	14865	\N	\N	\N
261429	895	1998-01-03	VYDAJ	VYBER	1410	19351	\N	\N	\N
261430	895	1996-12-06	VYDAJ	VYBER	870	15683	\N	\N	\N
261431	895	1997-12-29	VYDAJ	VYBER	390	20690	\N	\N	\N
261432	895	1998-12-23	VYDAJ	VYBER	660	17693	\N	\N	\N
261433	895	1996-09-23	VYDAJ	VYBER	360	14426	\N	\N	\N
261438	895	1996-07-22	VYDAJ	VYBER	1200	13761	\N	\N	\N
261439	895	1996-07-24	VYDAJ	VYBER	1020	12741	\N	\N	\N
261440	895	1997-04-12	VYDAJ	VYBER	930	14615	\N	\N	\N
261441	895	1997-11-12	VYDAJ	VYBER	930	17580	\N	\N	\N
261442	895	1997-04-16	VYDAJ	VYBER	690	16368	\N	\N	\N
261443	895	1997-10-08	VYDAJ	VYBER	780	17453	\N	\N	\N
261444	895	1998-01-12	VYDAJ	VYBER	1380	15527	\N	\N	\N
261445	895	1998-01-06	VYDAJ	VYBER	990	18361	\N	\N	\N
261446	895	1998-09-05	VYDAJ	VYBER	600	14600	\N	\N	\N
261447	895	1998-11-08	VYDAJ	VYBER	360	14866	\N	\N	\N
261448	895	1998-02-11	VYDAJ	VYBER	690	15887	\N	\N	\N
261449	895	1998-05-16	VYDAJ	VYBER	1320	15949	\N	\N	\N
261450	895	1998-09-03	VYDAJ	VYBER	1020	15200	\N	\N	\N
261458	895	1996-07-31	VYDAJ	VYBER	15	12767	SLUZBY	\N	\N
261459	895	1996-08-31	VYDAJ	VYBER	15	13797	SLUZBY	\N	\N
261460	895	1996-09-30	VYDAJ	VYBER	15	14472	SLUZBY	\N	\N
261461	895	1996-10-31	VYDAJ	VYBER	15	15511	SLUZBY	\N	\N
261462	895	1996-11-30	VYDAJ	VYBER	15	16553	SLUZBY	\N	\N
261463	895	1996-12-31	VYDAJ	VYBER	15	16726	SLUZBY	\N	\N
261464	895	1997-01-31	VYDAJ	VYBER	15	14917	SLUZBY	\N	\N
261465	895	1997-02-28	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
261466	895	1997-03-31	VYDAJ	VYBER	15	16999	SLUZBY	\N	\N
261467	895	1997-04-30	VYDAJ	VYBER	15	16423	SLUZBY	\N	\N
261468	895	1997-05-31	VYDAJ	VYBER	15	17468	SLUZBY	\N	\N
261469	895	1997-06-30	VYDAJ	VYBER	15	18518	SLUZBY	\N	\N
261470	895	1997-07-31	VYDAJ	VYBER	15	19572	SLUZBY	\N	\N
261471	895	1997-08-31	VYDAJ	VYBER	15	20027	SLUZBY	\N	\N
261472	895	1997-09-30	VYDAJ	VYBER	15	21087	SLUZBY	\N	\N
261473	895	1997-10-31	VYDAJ	VYBER	15	19964	SLUZBY	\N	\N
261474	895	1997-11-30	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
261475	895	1997-12-31	VYDAJ	VYBER	15	20761	SLUZBY	\N	\N
261476	895	1998-01-31	VYDAJ	VYBER	15	18031	SLUZBY	\N	\N
261477	895	1998-02-28	VYDAJ	VYBER	15	18392	SLUZBY	\N	\N
261478	895	1998-03-31	VYDAJ	VYBER	15	17338	SLUZBY	\N	\N
261479	895	1998-04-30	VYDAJ	VYBER	15	16280	SLUZBY	\N	\N
261480	895	1998-05-31	VYDAJ	VYBER	15	16002	SLUZBY	\N	\N
261481	895	1998-06-30	VYDAJ	VYBER	15	17045	SLUZBY	\N	\N
261482	895	1998-07-31	VYDAJ	VYBER	15	15180	SLUZBY	\N	\N
261483	895	1998-08-31	VYDAJ	VYBER	15	16220	SLUZBY	\N	\N
261484	895	1998-09-30	VYDAJ	VYBER	15	15637	SLUZBY	\N	\N
261485	895	1998-10-31	VYDAJ	VYBER	15	16680	SLUZBY	\N	\N
261486	895	1998-11-30	VYDAJ	VYBER	15	17364	SLUZBY	\N	\N
261487	895	1997-08-04	VYDAJ	VYBER	600	18972	\N	\N	\N
261488	895	1997-10-03	VYDAJ	VYBER	1400	19687	\N	\N	\N
261489	895	1998-03-02	VYDAJ	VYBER	2100	16292	\N	\N	\N
261490	895	1998-04-01	VYDAJ	VYBER	2100	15238	\N	\N	\N
261491	895	1998-06-30	VYDAJ	VYBER	2900	14145	\N	\N	\N
261526	896	1995-06-11	PRIJEM	VKLAD	600	600	\N	\N	\N
261533	896	1995-07-08	PRIJEM	VKLAD	9802	10402	\N	\N	\N
261534	896	1995-08-08	PRIJEM	VKLAD	9802	27955	\N	\N	\N
261535	896	1995-09-08	PRIJEM	VKLAD	9802	34151	\N	\N	\N
261536	896	1995-10-08	PRIJEM	VKLAD	9802	39771	\N	\N	\N
261537	896	1995-11-08	PRIJEM	VKLAD	9802	38293	\N	\N	\N
261538	896	1995-12-08	PRIJEM	VKLAD	14703	41376	\N	\N	\N
261539	896	1996-01-08	PRIJEM	VKLAD	9802	29760	\N	\N	\N
261540	896	1996-02-08	PRIJEM	VKLAD	9802	23917	\N	\N	\N
261541	896	1996-03-08	PRIJEM	VKLAD	9802	26767	\N	\N	\N
261542	896	1996-04-08	PRIJEM	VKLAD	9802	30332	\N	\N	\N
261543	896	1996-05-08	PRIJEM	VKLAD	9802	28112	\N	\N	\N
261544	896	1996-06-08	PRIJEM	VKLAD	14703	29979	\N	\N	\N
261545	896	1996-07-08	PRIJEM	VKLAD	9802	27745	\N	\N	\N
261546	896	1996-08-08	PRIJEM	VKLAD	9802	27115	\N	\N	\N
261547	896	1996-09-08	PRIJEM	VKLAD	9802	28885	\N	\N	\N
261548	896	1996-10-08	PRIJEM	VKLAD	9802	27960	\N	\N	\N
261549	896	1996-11-08	PRIJEM	VKLAD	9802	22421	\N	\N	\N
261550	896	1996-12-08	PRIJEM	VKLAD	14703	27470	\N	\N	\N
261551	896	1997-01-08	PRIJEM	VKLAD	9802	20735	\N	\N	\N
261552	896	1997-02-08	PRIJEM	VKLAD	9802	22671	\N	\N	\N
261553	896	1997-03-08	PRIJEM	VKLAD	9802	22807	\N	\N	\N
261554	896	1997-04-08	PRIJEM	VKLAD	9802	22458	\N	\N	\N
261555	896	1997-05-08	PRIJEM	VKLAD	9802	29108	\N	\N	\N
261556	896	1997-06-08	PRIJEM	VKLAD	14703	28972	\N	\N	\N
261557	896	1997-07-08	PRIJEM	VKLAD	9802	21321	\N	\N	\N
261558	896	1997-08-08	PRIJEM	VKLAD	9802	24046	\N	\N	\N
261559	896	1997-09-08	PRIJEM	VKLAD	9802	24386	\N	\N	\N
261560	896	1997-10-08	PRIJEM	VKLAD	9802	22527	\N	\N	\N
261561	896	1997-11-08	PRIJEM	VKLAD	9802	28363	\N	\N	\N
261562	896	1997-12-08	PRIJEM	VKLAD	14703	39925	\N	\N	\N
261563	896	1998-01-08	PRIJEM	VKLAD	9802	21413	\N	\N	\N
261564	896	1998-02-08	PRIJEM	VKLAD	9802	23840	\N	\N	\N
261565	896	1998-03-08	PRIJEM	VKLAD	9802	30481	\N	\N	\N
261566	896	1998-04-08	PRIJEM	VKLAD	9802	37150	\N	\N	\N
261567	896	1998-05-08	PRIJEM	VKLAD	9802	38739	\N	\N	\N
261568	896	1998-06-08	PRIJEM	VKLAD	14703	50344	\N	\N	\N
261569	896	1998-07-08	PRIJEM	VKLAD	9802	38770	\N	\N	\N
261570	896	1998-08-08	PRIJEM	VKLAD	9802	36168	\N	\N	\N
261571	896	1998-09-08	PRIJEM	VKLAD	9802	42869	\N	\N	\N
261572	896	1998-10-08	PRIJEM	VKLAD	9802	46783	\N	\N	\N
261573	896	1998-11-08	PRIJEM	VKLAD	9802	53520	\N	\N	\N
261574	896	1998-12-08	PRIJEM	VKLAD	14703	65186	\N	\N	\N
261585	896	1995-11-13	VYDAJ	PREVOD NA UCET	3220	26573	SIPO	QR	9933358
261586	896	1995-12-13	VYDAJ	PREVOD NA UCET	3220	28156	SIPO	QR	9933358
261587	896	1996-01-13	VYDAJ	PREVOD NA UCET	3220	21240	SIPO	QR	9933358
261588	896	1996-02-13	VYDAJ	PREVOD NA UCET	3220	20697	SIPO	QR	9933358
261589	896	1996-03-13	VYDAJ	PREVOD NA UCET	3220	23547	SIPO	QR	9933358
261590	896	1996-04-13	VYDAJ	PREVOD NA UCET	3220	27112	SIPO	QR	9933358
261591	896	1996-05-13	VYDAJ	PREVOD NA UCET	3220	24892	SIPO	QR	9933358
261592	896	1996-06-13	VYDAJ	PREVOD NA UCET	3220	23459	SIPO	QR	9933358
261593	896	1996-07-13	VYDAJ	PREVOD NA UCET	3220	24525	SIPO	QR	9933358
261594	896	1996-08-13	VYDAJ	PREVOD NA UCET	3220	23895	SIPO	QR	9933358
261595	896	1996-09-13	VYDAJ	PREVOD NA UCET	3220	25665	SIPO	QR	9933358
261596	896	1996-10-13	VYDAJ	PREVOD NA UCET	3220	24740	SIPO	QR	9933358
261597	896	1996-11-13	VYDAJ	PREVOD NA UCET	3220	19201	SIPO	QR	9933358
261598	896	1996-12-13	VYDAJ	PREVOD NA UCET	3220	24250	SIPO	QR	9933358
261599	896	1997-01-13	VYDAJ	PREVOD NA UCET	3220	16015	SIPO	QR	9933358
261600	896	1997-02-13	VYDAJ	PREVOD NA UCET	3220	19451	SIPO	QR	9933358
261601	896	1997-03-13	VYDAJ	PREVOD NA UCET	3220	19587	SIPO	QR	9933358
261602	896	1997-04-13	VYDAJ	PREVOD NA UCET	3220	19238	SIPO	QR	9933358
261603	896	1997-05-13	VYDAJ	PREVOD NA UCET	3220	25888	SIPO	QR	9933358
261604	896	1997-06-13	VYDAJ	PREVOD NA UCET	3220	25752	SIPO	QR	9933358
261605	896	1997-07-13	VYDAJ	PREVOD NA UCET	3220	15401	SIPO	QR	9933358
261606	896	1997-08-13	VYDAJ	PREVOD NA UCET	3220	20826	SIPO	QR	9933358
261607	896	1997-09-13	VYDAJ	PREVOD NA UCET	3220	21166	SIPO	QR	9933358
261608	896	1997-10-13	VYDAJ	PREVOD NA UCET	3220	19307	SIPO	QR	9933358
261609	896	1997-11-13	VYDAJ	PREVOD NA UCET	3220	25143	SIPO	QR	9933358
261610	896	1997-12-13	VYDAJ	PREVOD NA UCET	3220	34505	SIPO	QR	9933358
261611	896	1998-01-13	VYDAJ	PREVOD NA UCET	3220	16293	SIPO	QR	9933358
261612	896	1998-02-13	VYDAJ	PREVOD NA UCET	3220	20620	SIPO	QR	9933358
261613	896	1998-03-13	VYDAJ	PREVOD NA UCET	3220	27261	SIPO	QR	9933358
261614	896	1998-04-13	VYDAJ	PREVOD NA UCET	3220	30130	SIPO	QR	9933358
261615	896	1998-05-13	VYDAJ	PREVOD NA UCET	3220	35519	SIPO	QR	9933358
261616	896	1998-06-13	VYDAJ	PREVOD NA UCET	3220	47124	SIPO	QR	9933358
261617	896	1998-07-13	VYDAJ	PREVOD NA UCET	3220	35550	SIPO	QR	9933358
261618	896	1998-08-13	VYDAJ	PREVOD NA UCET	3220	32948	SIPO	QR	9933358
261619	896	1998-09-13	VYDAJ	PREVOD NA UCET	3220	39649	SIPO	QR	9933358
261620	896	1998-10-13	VYDAJ	PREVOD NA UCET	3220	43563	SIPO	QR	9933358
261621	896	1998-11-13	VYDAJ	PREVOD NA UCET	3220	50300	SIPO	QR	9933358
261622	896	1998-12-13	VYDAJ	PREVOD NA UCET	3220	61966	SIPO	QR	9933358
261626	896	1998-06-24	VYDAJ	VYBER	18300	28824	\N	\N	\N
261628	896	1996-01-26	VYDAJ	VYBER	1400	19040	\N	\N	\N
261631	896	1995-12-26	VYDAJ	VYBER	1100	27056	\N	\N	\N
261632	896	1996-12-29	VYDAJ	VYBER	2200	22050	\N	\N	\N
261633	896	1997-12-08	VYDAJ	VYBER	1400	38525	\N	\N	\N
261634	896	1998-12-24	VYDAJ	VYBER	1200	15066	\N	\N	\N
261641	896	1996-01-10	VYDAJ	VYBER	2200	24460	\N	\N	\N
261642	896	1996-01-10	VYDAJ	VYBER	2300	26660	\N	\N	\N
261643	896	1996-01-03	VYDAJ	VYBER	800	22558	\N	\N	\N
261644	896	1996-01-27	VYDAJ	VYBER	1400	14740	\N	\N	\N
261645	896	1996-01-27	VYDAJ	VYBER	2900	16140	\N	\N	\N
261646	896	1996-01-08	VYDAJ	VYBER	800	28960	\N	\N	\N
261647	896	1997-01-01	VYDAJ	VYBER	800	21333	\N	\N	\N
261649	896	1997-01-09	VYDAJ	VYBER	1500	19235	\N	\N	\N
261650	896	1997-01-20	VYDAJ	VYBER	1400	12815	\N	\N	\N
261652	896	1997-01-20	VYDAJ	VYBER	1800	14215	\N	\N	\N
261653	896	1998-01-21	VYDAJ	VYBER	600	15693	\N	\N	\N
261654	896	1998-01-11	VYDAJ	VYBER	1900	19513	\N	\N	\N
261656	896	1998-01-22	VYDAJ	VYBER	700	14993	\N	\N	\N
261657	896	1998-01-27	VYDAJ	VYBER	1000	13993	\N	\N	\N
261665	896	1996-10-28	VYDAJ	VYBER	2500	18040	\N	\N	\N
261667	896	1996-06-08	VYDAJ	VYBER	3300	26679	\N	\N	\N
261668	896	1996-01-01	VYDAJ	VYBER	3800	23358	\N	\N	\N
261669	896	1996-10-21	VYDAJ	VYBER	4200	20540	\N	\N	\N
261670	896	1996-01-18	VYDAJ	VYBER	800	20440	\N	\N	\N
261671	896	1996-05-14	VYDAJ	VYBER	3600	21292	\N	\N	\N
261672	896	1996-10-01	VYDAJ	VYBER	800	24958	\N	\N	\N
261673	896	1997-12-10	VYDAJ	VYBER	800	37725	\N	\N	\N
261674	896	1997-06-20	VYDAJ	VYBER	3100	22652	\N	\N	\N
261675	896	1997-07-28	VYDAJ	VYBER	1200	14201	\N	\N	\N
261677	896	1997-10-29	VYDAJ	VYBER	800	18507	\N	\N	\N
261678	896	1997-07-12	VYDAJ	VYBER	2700	18621	\N	\N	\N
261679	896	1998-08-01	VYDAJ	VYBER	2700	28666	\N	\N	\N
261680	896	1998-04-09	VYDAJ	VYBER	3800	33350	\N	\N	\N
261681	896	1998-04-18	VYDAJ	VYBER	1300	28830	\N	\N	\N
261682	896	1998-09-14	VYDAJ	VYBER	2800	36849	\N	\N	\N
261683	896	1998-07-23	VYDAJ	VYBER	4300	31250	\N	\N	\N
261684	896	1998-08-03	VYDAJ	VYBER	2300	26366	\N	\N	\N
261696	896	1995-11-30	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
261697	896	1995-12-31	VYDAJ	VYBER	15	27158	SLUZBY	\N	\N
261698	896	1996-01-31	VYDAJ	VYBER	15	14815	SLUZBY	\N	\N
261699	896	1996-02-29	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
261700	896	1996-03-31	VYDAJ	VYBER	15	23630	SLUZBY	\N	\N
261701	896	1996-04-30	VYDAJ	VYBER	15	27210	SLUZBY	\N	\N
261702	896	1996-05-31	VYDAJ	VYBER	15	21376	SLUZBY	\N	\N
261703	896	1996-06-30	VYDAJ	VYBER	15	23543	SLUZBY	\N	\N
261704	896	1996-07-31	VYDAJ	VYBER	15	24613	SLUZBY	\N	\N
261705	896	1996-08-31	VYDAJ	VYBER	15	23983	SLUZBY	\N	\N
261706	896	1996-09-30	VYDAJ	VYBER	15	25758	SLUZBY	\N	\N
261707	896	1996-10-31	VYDAJ	VYBER	15	18119	SLUZBY	\N	\N
261708	896	1996-11-30	VYDAJ	VYBER	15	19267	SLUZBY	\N	\N
261709	896	1996-12-31	VYDAJ	VYBER	15	22133	SLUZBY	\N	\N
261710	896	1997-01-31	VYDAJ	VYBER	15	12869	SLUZBY	\N	\N
261711	896	1997-02-28	VYDAJ	VYBER	15	19505	SLUZBY	\N	\N
261712	896	1997-03-31	VYDAJ	VYBER	15	19656	SLUZBY	\N	\N
261713	896	1997-04-30	VYDAJ	VYBER	15	19306	SLUZBY	\N	\N
261714	896	1997-05-31	VYDAJ	VYBER	15	14269	SLUZBY	\N	\N
261715	896	1997-06-30	VYDAJ	VYBER	15	11519	SLUZBY	\N	\N
261716	896	1997-07-31	VYDAJ	VYBER	15	14244	SLUZBY	\N	\N
261717	896	1997-08-31	VYDAJ	VYBER	15	14584	SLUZBY	\N	\N
261718	896	1997-09-30	VYDAJ	VYBER	15	12725	SLUZBY	\N	\N
261719	896	1997-10-31	VYDAJ	VYBER	15	18561	SLUZBY	\N	\N
261720	896	1997-11-30	VYDAJ	VYBER	15	25222	SLUZBY	\N	\N
261721	896	1997-12-31	VYDAJ	VYBER	15	11611	SLUZBY	\N	\N
261722	896	1998-01-31	VYDAJ	VYBER	15	14038	SLUZBY	\N	\N
261723	896	1998-02-28	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
261724	896	1998-03-31	VYDAJ	VYBER	15	27348	SLUZBY	\N	\N
261725	896	1998-04-30	VYDAJ	VYBER	15	28937	SLUZBY	\N	\N
261726	896	1998-05-31	VYDAJ	VYBER	15	35641	SLUZBY	\N	\N
261727	896	1998-06-30	VYDAJ	VYBER	15	28968	SLUZBY	\N	\N
261728	896	1998-07-31	VYDAJ	VYBER	15	31366	SLUZBY	\N	\N
261729	896	1998-08-31	VYDAJ	VYBER	15	33067	SLUZBY	\N	\N
261730	896	1998-09-30	VYDAJ	VYBER	15	36981	SLUZBY	\N	\N
261731	896	1998-10-31	VYDAJ	VYBER	15	43718	SLUZBY	\N	\N
261732	896	1998-11-30	VYDAJ	VYBER	15	50483	SLUZBY	\N	\N
261733	896	1995-07-11	PRIJEM	VKLAD	7700	18102	\N	\N	\N
261734	896	1995-08-10	VYDAJ	VYBER	3700	24255	\N	\N	\N
261735	896	1995-09-09	VYDAJ	VYBER	4300	29851	\N	\N	\N
261736	896	1995-10-09	VYDAJ	VYBER	11400	28371	\N	\N	\N
261737	896	1995-11-08	VYDAJ	VYBER	8500	29793	\N	\N	\N
261738	896	1995-12-08	VYDAJ	VYBER	10000	31376	\N	\N	\N
261739	896	1996-01-07	VYDAJ	VYBER	2600	19958	\N	\N	\N
261740	896	1996-02-06	VYDAJ	VYBER	700	14115	\N	\N	\N
261741	896	1996-03-07	VYDAJ	VYBER	3800	16965	\N	\N	\N
261742	896	1996-04-06	VYDAJ	VYBER	3100	20530	\N	\N	\N
261743	896	1996-05-06	VYDAJ	VYBER	8900	18310	\N	\N	\N
261744	896	1996-06-05	VYDAJ	VYBER	6100	15276	\N	\N	\N
261745	896	1996-07-05	VYDAJ	VYBER	5600	17943	\N	\N	\N
261746	896	1996-08-04	VYDAJ	VYBER	7300	17313	\N	\N	\N
261747	896	1996-09-03	VYDAJ	VYBER	4900	19083	\N	\N	\N
261748	896	1996-10-03	VYDAJ	VYBER	6800	18158	\N	\N	\N
261749	896	1996-11-02	VYDAJ	VYBER	5500	12619	\N	\N	\N
261750	896	1996-12-02	VYDAJ	VYBER	6500	12767	\N	\N	\N
261751	896	1997-01-01	VYDAJ	VYBER	10400	10933	\N	\N	\N
261752	896	1997-03-02	VYDAJ	VYBER	6500	13005	\N	\N	\N
261753	896	1997-04-01	VYDAJ	VYBER	7000	12656	\N	\N	\N
261754	896	1997-05-31	VYDAJ	VYBER	11700	14283	\N	\N	\N
261755	896	1997-06-30	VYDAJ	VYBER	11200	11533	\N	\N	\N
261756	896	1997-08-29	VYDAJ	VYBER	6300	14526	\N	\N	\N
261757	896	1997-09-28	VYDAJ	VYBER	8500	12666	\N	\N	\N
261758	896	1997-12-27	VYDAJ	VYBER	23000	11505	\N	\N	\N
261759	896	1998-12-22	VYDAJ	VYBER	45700	16266	\N	\N	\N
261802	897	1993-04-26	PRIJEM	VKLAD	600	600	\N	\N	\N
261804	897	1993-06-25	PRIJEM	VKLAD	16454	76143	\N	\N	\N
261805	897	1993-12-17	PRIJEM	VKLAD	5640	16438	\N	\N	\N
261806	897	1993-05-20	PRIJEM	VKLAD	45871	94964	\N	\N	\N
261807	897	1993-05-18	PRIJEM	VKLAD	48493	49093	\N	\N	\N
261808	897	1993-10-03	PRIJEM	VKLAD	9437	40048	\N	\N	\N
261809	897	1993-07-08	PRIJEM	VKLAD	16538	69443	\N	\N	\N
261810	897	1994-02-26	PRIJEM	VKLAD	47825	93359	\N	\N	\N
261811	897	1994-05-17	PRIJEM	VKLAD	33464	116343	\N	\N	\N
261812	897	1994-11-27	PRIJEM	VKLAD	19405	47378	\N	\N	\N
261813	897	1994-05-11	PRIJEM	VKLAD	7102	89555	\N	\N	\N
261814	897	1994-08-16	PRIJEM	VKLAD	46900	117117	\N	\N	\N
261815	897	1994-06-18	PRIJEM	VKLAD	27297	93792	\N	\N	\N
261816	897	1994-06-03	PRIJEM	VKLAD	28283	115490	\N	\N	\N
261817	897	1994-05-04	PRIJEM	VKLAD	36427	85363	\N	\N	\N
261818	897	1994-10-20	PRIJEM	VKLAD	35594	70640	\N	\N	\N
261819	897	1994-03-15	PRIJEM	VKLAD	13479	97414	\N	\N	\N
261820	897	1994-04-27	PRIJEM	VKLAD	20331	77067	\N	\N	\N
261821	897	1994-08-04	PRIJEM	VKLAD	22560	79803	\N	\N	\N
261822	897	1994-06-11	PRIJEM	VKLAD	25091	73171	\N	\N	\N
261823	897	1994-05-20	PRIJEM	VKLAD	47666	101109	\N	\N	\N
261824	897	1994-09-17	PRIJEM	VKLAD	46460	84984	\N	\N	\N
261825	897	1994-01-24	PRIJEM	VKLAD	18696	37409	\N	\N	\N
261826	897	1994-02-16	PRIJEM	VKLAD	44153	63134	\N	\N	\N
261827	897	1994-03-31	PRIJEM	VKLAD	28719	91033	\N	\N	\N
261828	897	1994-10-13	PRIJEM	VKLAD	6407	51022	\N	\N	\N
261829	897	1994-06-03	PRIJEM	VKLAD	22486	87207	\N	\N	\N
261830	897	1994-10-07	PRIJEM	VKLAD	26620	66378	\N	\N	\N
261831	897	1994-12-26	PRIJEM	VKLAD	36200	61009	\N	\N	\N
261832	897	1994-04-18	PRIJEM	VKLAD	31241	114936	\N	\N	\N
261833	897	1994-07-08	PRIJEM	VKLAD	43529	89658	\N	\N	\N
261834	897	1994-02-07	PRIJEM	VKLAD	13911	33772	\N	\N	\N
261835	897	1994-04-05	PRIJEM	VKLAD	37875	129246	\N	\N	\N
261836	897	1995-09-07	PRIJEM	VKLAD	8919	23883	\N	\N	\N
261837	897	1995-10-31	PRIJEM	VKLAD	46208	72435	\N	\N	\N
261838	897	1995-12-08	PRIJEM	VKLAD	13906	52548	\N	\N	\N
261839	897	1996-07-29	PRIJEM	VKLAD	21473	49526	\N	\N	\N
261840	897	1996-05-20	PRIJEM	VKLAD	10555	59280	\N	\N	\N
261841	897	1996-12-12	PRIJEM	VKLAD	31527	67731	\N	\N	\N
261842	897	1996-03-29	PRIJEM	VKLAD	10889	65679	\N	\N	\N
261843	897	1996-04-05	PRIJEM	VKLAD	33147	99051	\N	\N	\N
261844	897	1996-05-22	PRIJEM	VKLAD	13007	72287	\N	\N	\N
261845	897	1996-07-30	PRIJEM	VKLAD	30081	79607	\N	\N	\N
261846	897	1996-01-08	PRIJEM	VKLAD	11275	81321	\N	\N	\N
261847	897	1996-03-20	PRIJEM	VKLAD	22256	59700	\N	\N	\N
261848	897	1996-08-10	PRIJEM	VKLAD	10653	83805	\N	\N	\N
261849	897	1996-02-20	PRIJEM	VKLAD	14914	92029	\N	\N	\N
261850	897	1996-06-13	PRIJEM	VKLAD	18952	85319	\N	\N	\N
261851	897	1996-08-05	PRIJEM	VKLAD	39006	118762	\N	\N	\N
261852	897	1996-05-30	PRIJEM	VKLAD	5360	105876	\N	\N	\N
261853	897	1996-01-04	PRIJEM	VKLAD	47834	72956	\N	\N	\N
261854	897	1996-12-13	PRIJEM	VKLAD	5201	72932	\N	\N	\N
261855	897	1996-02-16	PRIJEM	VKLAD	49935	77115	\N	\N	\N
261856	897	1996-05-19	PRIJEM	VKLAD	10950	48725	\N	\N	\N
261857	897	1996-05-25	PRIJEM	VKLAD	28229	100516	\N	\N	\N
261858	897	1997-01-04	PRIJEM	VKLAD	22585	79663	\N	\N	\N
261859	897	1997-07-27	PRIJEM	VKLAD	32957	102961	\N	\N	\N
261860	897	1997-07-26	PRIJEM	VKLAD	40979	70004	\N	\N	\N
261861	897	1998-08-02	PRIJEM	VKLAD	27056	68197	\N	\N	\N
261862	897	1998-06-19	PRIJEM	VKLAD	42110	79534	\N	\N	\N
261863	897	1998-02-23	PRIJEM	VKLAD	34828	75474	\N	\N	\N
261864	897	1998-09-10	PRIJEM	VKLAD	11885	96133	\N	\N	\N
261865	897	1998-10-24	PRIJEM	VKLAD	31241	107078	\N	\N	\N
261866	897	1998-02-15	PRIJEM	VKLAD	10567	31682	\N	\N	\N
261867	897	1998-08-13	PRIJEM	VKLAD	28022	120222	\N	\N	\N
261868	897	1998-08-29	PRIJEM	VKLAD	14309	97782	\N	\N	\N
261869	897	1998-04-20	PRIJEM	VKLAD	41157	91607	\N	\N	\N
261870	897	1998-08-23	PRIJEM	VKLAD	37627	92373	\N	\N	\N
261871	897	1998-08-05	PRIJEM	VKLAD	26913	95110	\N	\N	\N
261872	897	1998-04-03	PRIJEM	VKLAD	7540	78632	\N	\N	\N
261873	897	1998-09-21	PRIJEM	VKLAD	9100	81829	\N	\N	\N
261874	897	1998-02-22	PRIJEM	VKLAD	8964	40646	\N	\N	\N
261875	897	1998-03-06	PRIJEM	VKLAD	37588	106423	\N	\N	\N
261876	897	1998-04-29	PRIJEM	VKLAD	46353	146944	\N	\N	\N
261877	897	1998-09-20	PRIJEM	VKLAD	23072	112529	\N	\N	\N
261878	897	1998-04-28	PRIJEM	VKLAD	41584	133191	\N	\N	\N
261879	897	1998-08-30	PRIJEM	VKLAD	33086	130868	\N	\N	\N
261880	897	1998-07-20	PRIJEM	VKLAD	23105	54800	\N	\N	\N
261881	897	1998-05-18	PRIJEM	VKLAD	14274	65399	\N	\N	\N
261882	897	1998-12-16	PRIJEM	VKLAD	11319	80084	\N	\N	\N
261883	897	1998-01-20	PRIJEM	VKLAD	20900	40911	\N	\N	\N
261884	897	1998-12-06	PRIJEM	VKLAD	5230	78351	\N	\N	\N
261885	897	1998-09-23	PRIJEM	VKLAD	49615	131444	\N	\N	\N
261895	897	1993-10-06	VYDAJ	PREVOD NA UCET	2910	37138	SIPO	GH	76899188
261896	897	1993-11-06	VYDAJ	PREVOD NA UCET	2910	25678	SIPO	GH	76899188
261897	897	1993-12-06	VYDAJ	PREVOD NA UCET	2910	17474	SIPO	GH	76899188
261898	897	1994-01-06	VYDAJ	PREVOD NA UCET	2910	16289	SIPO	GH	76899188
261899	897	1994-02-06	VYDAJ	PREVOD NA UCET	2910	19861	SIPO	GH	76899188
261900	897	1994-03-06	VYDAJ	PREVOD NA UCET	2910	90611	SIPO	GH	76899188
261901	897	1994-04-06	VYDAJ	PREVOD NA UCET	2910	97536	SIPO	GH	76899188
261902	897	1994-05-06	VYDAJ	PREVOD NA UCET	2910	82453	SIPO	GH	76899188
261903	897	1994-06-06	VYDAJ	PREVOD NA UCET	2910	48080	SIPO	GH	76899188
261904	897	1994-07-06	VYDAJ	PREVOD NA UCET	2910	46129	SIPO	GH	76899188
261905	897	1994-08-06	VYDAJ	PREVOD NA UCET	2910	76893	SIPO	GH	76899188
261906	897	1994-09-06	VYDAJ	PREVOD NA UCET	2910	49154	SIPO	GH	76899188
261907	897	1994-10-06	VYDAJ	PREVOD NA UCET	2910	39758	SIPO	GH	76899188
261908	897	1994-11-06	VYDAJ	PREVOD NA UCET	2910	29649	SIPO	GH	76899188
261909	897	1994-12-06	VYDAJ	PREVOD NA UCET	2910	41885	SIPO	GH	76899188
261910	897	1995-01-06	VYDAJ	PREVOD NA UCET	2910	49563	SIPO	GH	76899188
261911	897	1995-02-06	VYDAJ	PREVOD NA UCET	2910	19711	SIPO	GH	76899188
261912	897	1995-03-06	VYDAJ	PREVOD NA UCET	2910	17095	SIPO	GH	76899188
261913	897	1995-04-06	VYDAJ	PREVOD NA UCET	2910	19777	SIPO	GH	76899188
261914	897	1995-05-06	VYDAJ	PREVOD NA UCET	2910	16859	SIPO	GH	76899188
261915	897	1995-06-06	VYDAJ	PREVOD NA UCET	2910	17838	SIPO	GH	76899188
261916	897	1995-07-06	VYDAJ	PREVOD NA UCET	2910	16918	SIPO	GH	76899188
261917	897	1995-08-06	VYDAJ	PREVOD NA UCET	2910	15592	SIPO	GH	76899188
261918	897	1995-09-06	VYDAJ	PREVOD NA UCET	2910	14964	SIPO	GH	76899188
261919	897	1995-10-06	VYDAJ	PREVOD NA UCET	2910	21593	SIPO	GH	76899188
261920	897	1995-11-06	VYDAJ	PREVOD NA UCET	2910	69511	SIPO	GH	76899188
261921	897	1995-12-06	VYDAJ	PREVOD NA UCET	2910	38642	SIPO	GH	76899188
261922	897	1996-01-06	VYDAJ	PREVOD NA UCET	2910	70046	SIPO	GH	76899188
261923	897	1996-02-06	VYDAJ	PREVOD NA UCET	2910	25856	SIPO	GH	76899188
261924	897	1996-03-06	VYDAJ	PREVOD NA UCET	2910	69920	SIPO	GH	76899188
261925	897	1996-04-06	VYDAJ	PREVOD NA UCET	2910	96141	SIPO	GH	76899188
261926	897	1996-05-06	VYDAJ	PREVOD NA UCET	2910	49051	SIPO	GH	76899188
261927	897	1996-06-06	VYDAJ	PREVOD NA UCET	2910	103208	SIPO	GH	76899188
261928	897	1996-07-06	VYDAJ	PREVOD NA UCET	2910	39429	SIPO	GH	76899188
261929	897	1996-08-06	VYDAJ	PREVOD NA UCET	2910	95152	SIPO	GH	76899188
261930	897	1996-09-06	VYDAJ	PREVOD NA UCET	2910	55400	SIPO	GH	76899188
261931	897	1996-10-06	VYDAJ	PREVOD NA UCET	2910	31896	SIPO	GH	76899188
261932	897	1996-11-06	VYDAJ	PREVOD NA UCET	2910	42287	SIPO	GH	76899188
261933	897	1996-12-06	VYDAJ	PREVOD NA UCET	2910	36204	SIPO	GH	76899188
261934	897	1997-01-06	VYDAJ	PREVOD NA UCET	2910	59853	SIPO	GH	76899188
261935	897	1997-02-06	VYDAJ	PREVOD NA UCET	2910	33308	SIPO	GH	76899188
261936	897	1997-03-06	VYDAJ	PREVOD NA UCET	2910	28399	SIPO	GH	76899188
261937	897	1997-04-06	VYDAJ	PREVOD NA UCET	2910	27792	SIPO	GH	76899188
261938	897	1997-05-06	VYDAJ	PREVOD NA UCET	2910	30783	SIPO	GH	76899188
261939	897	1997-06-06	VYDAJ	PREVOD NA UCET	2910	35283	SIPO	GH	76899188
261940	897	1997-07-06	VYDAJ	PREVOD NA UCET	2910	35701	SIPO	GH	76899188
261941	897	1997-08-06	VYDAJ	PREVOD NA UCET	2910	71014	SIPO	GH	76899188
261942	897	1997-09-06	VYDAJ	PREVOD NA UCET	2910	56106	SIPO	GH	76899188
261943	897	1997-10-06	VYDAJ	PREVOD NA UCET	2910	52924	SIPO	GH	76899188
261944	897	1997-11-06	VYDAJ	PREVOD NA UCET	2910	52920	SIPO	GH	76899188
261945	897	1997-12-06	VYDAJ	PREVOD NA UCET	2910	50114	SIPO	GH	76899188
261946	897	1998-01-06	VYDAJ	PREVOD NA UCET	2910	35387	SIPO	GH	76899188
261947	897	1998-02-06	VYDAJ	PREVOD NA UCET	2910	27791	SIPO	GH	76899188
261948	897	1998-03-06	VYDAJ	PREVOD NA UCET	2910	103513	SIPO	GH	76899188
261949	897	1998-04-06	VYDAJ	PREVOD NA UCET	2910	75722	SIPO	GH	76899188
261950	897	1998-05-06	VYDAJ	PREVOD NA UCET	2910	76133	SIPO	GH	76899188
261951	897	1998-06-06	VYDAJ	PREVOD NA UCET	2910	44100	SIPO	GH	76899188
261952	897	1998-07-06	VYDAJ	PREVOD NA UCET	2910	49510	SIPO	GH	76899188
261953	897	1998-08-06	VYDAJ	PREVOD NA UCET	2910	92200	SIPO	GH	76899188
261954	897	1998-09-06	VYDAJ	PREVOD NA UCET	2910	84248	SIPO	GH	76899188
261955	897	1998-10-06	VYDAJ	PREVOD NA UCET	2910	82513	SIPO	GH	76899188
261956	897	1998-11-06	VYDAJ	PREVOD NA UCET	2910	74018	SIPO	GH	76899188
261957	897	1998-12-06	VYDAJ	PREVOD NA UCET	2910	75441	SIPO	GH	76899188
261967	897	1993-10-13	VYDAJ	PREVOD NA UCET	6676	30462	 	AB	1613778
261968	897	1993-11-13	VYDAJ	PREVOD NA UCET	6676	19002	 	AB	1613778
261969	897	1993-12-13	VYDAJ	PREVOD NA UCET	6676	10798	 	AB	1613778
261970	897	1994-01-13	VYDAJ	PREVOD NA UCET	6676	9613	 	AB	1613778
261971	897	1994-02-13	VYDAJ	PREVOD NA UCET	6676	18981	 	AB	1613778
261972	897	1994-03-13	VYDAJ	PREVOD NA UCET	6676	83935	 	AB	1613778
261973	897	1994-04-13	VYDAJ	PREVOD NA UCET	6676	83695	 	AB	1613778
261974	897	1994-05-13	VYDAJ	PREVOD NA UCET	6676	82879	 	AB	1613778
261975	897	1994-06-13	VYDAJ	PREVOD NA UCET	6676	66495	 	AB	1613778
261976	897	1994-07-13	VYDAJ	PREVOD NA UCET	6676	82982	 	AB	1613778
261977	897	1994-08-13	VYDAJ	PREVOD NA UCET	6676	70217	 	AB	1613778
261978	897	1994-09-13	VYDAJ	PREVOD NA UCET	6676	42478	 	AB	1613778
261979	897	1994-10-13	VYDAJ	PREVOD NA UCET	6676	44346	 	AB	1613778
261980	897	1994-11-13	VYDAJ	PREVOD NA UCET	6676	22973	 	AB	1613778
261981	897	1994-12-13	VYDAJ	PREVOD NA UCET	6676	35209	 	AB	1613778
261982	897	1995-01-13	VYDAJ	PREVOD NA UCET	6676	25487	 	AB	1613778
261983	897	1995-02-13	VYDAJ	PREVOD NA UCET	6676	13035	 	AB	1613778
261984	897	1995-03-13	VYDAJ	PREVOD NA UCET	6676	10419	 	AB	1613778
261985	897	1995-04-13	VYDAJ	PREVOD NA UCET	6676	13101	 	AB	1613778
261986	897	1995-05-13	VYDAJ	PREVOD NA UCET	6676	10183	 	AB	1613778
261987	897	1995-06-13	VYDAJ	PREVOD NA UCET	6676	11162	 	AB	1613778
261988	897	1995-07-13	VYDAJ	PREVOD NA UCET	6676	10242	 	AB	1613778
261989	897	1995-08-13	VYDAJ	PREVOD NA UCET	6676	8916	 	AB	1613778
261990	897	1995-09-13	VYDAJ	PREVOD NA UCET	6676	24407	 	AB	1613778
261991	897	1995-10-13	VYDAJ	PREVOD NA UCET	6676	26117	 	AB	1613778
261992	897	1995-11-13	VYDAJ	PREVOD NA UCET	6676	46135	 	AB	1613778
261993	897	1995-12-13	VYDAJ	PREVOD NA UCET	6676	35772	 	AB	1613778
261994	897	1996-01-13	VYDAJ	PREVOD NA UCET	6676	51045	 	AB	1613778
261995	897	1996-02-13	VYDAJ	PREVOD NA UCET	6676	27180	 	AB	1613778
261996	897	1996-03-13	VYDAJ	PREVOD NA UCET	6676	37444	 	AB	1613778
261997	897	1996-04-13	VYDAJ	PREVOD NA UCET	6676	64665	 	AB	1613778
261998	897	1996-05-13	VYDAJ	PREVOD NA UCET	6676	37775	 	AB	1613778
261999	897	1996-06-13	VYDAJ	PREVOD NA UCET	6676	78643	 	AB	1613778
262000	897	1996-07-13	VYDAJ	PREVOD NA UCET	6676	36153	 	AB	1613778
262001	897	1996-08-13	VYDAJ	PREVOD NA UCET	6676	77129	 	AB	1613778
262002	897	1996-09-13	VYDAJ	PREVOD NA UCET	6676	46824	 	AB	1613778
262003	897	1996-10-13	VYDAJ	PREVOD NA UCET	6676	34720	 	AB	1613778
262004	897	1996-11-13	VYDAJ	PREVOD NA UCET	6676	25711	 	AB	1613778
262005	897	1996-12-13	VYDAJ	PREVOD NA UCET	6676	66256	 	AB	1613778
262006	897	1997-01-13	VYDAJ	PREVOD NA UCET	6676	36677	 	AB	1613778
262007	897	1997-02-13	VYDAJ	PREVOD NA UCET	6676	17632	 	AB	1613778
262008	897	1997-03-13	VYDAJ	PREVOD NA UCET	6676	21723	 	AB	1613778
262009	897	1997-04-13	VYDAJ	PREVOD NA UCET	6676	21116	 	AB	1613778
262010	897	1997-05-13	VYDAJ	PREVOD NA UCET	6676	24107	 	AB	1613778
262011	897	1997-06-13	VYDAJ	PREVOD NA UCET	6676	28607	 	AB	1613778
262012	897	1997-07-13	VYDAJ	PREVOD NA UCET	6676	29025	 	AB	1613778
262013	897	1997-08-13	VYDAJ	PREVOD NA UCET	6676	64338	 	AB	1613778
262014	897	1997-09-13	VYDAJ	PREVOD NA UCET	6676	49430	 	AB	1613778
262015	897	1997-10-13	VYDAJ	PREVOD NA UCET	6676	46248	 	AB	1613778
262016	897	1997-11-13	VYDAJ	PREVOD NA UCET	6676	46244	 	AB	1613778
262017	897	1997-12-13	VYDAJ	PREVOD NA UCET	6676	39538	 	AB	1613778
262018	897	1998-01-13	VYDAJ	PREVOD NA UCET	6676	20011	 	AB	1613778
262019	897	1998-02-13	VYDAJ	PREVOD NA UCET	6676	21115	 	AB	1613778
262020	897	1998-03-13	VYDAJ	PREVOD NA UCET	6676	83559	 	AB	1613778
262021	897	1998-04-13	VYDAJ	PREVOD NA UCET	6676	50450	 	AB	1613778
262022	897	1998-05-13	VYDAJ	PREVOD NA UCET	6676	51125	 	AB	1613778
262023	897	1998-06-13	VYDAJ	PREVOD NA UCET	6676	37424	 	AB	1613778
262024	897	1998-07-13	VYDAJ	PREVOD NA UCET	6676	31695	 	AB	1613778
262025	897	1998-08-13	VYDAJ	PREVOD NA UCET	6676	59246	 	AB	1613778
262026	897	1998-09-13	VYDAJ	PREVOD NA UCET	6676	89457	 	AB	1613778
262027	897	1998-10-13	VYDAJ	PREVOD NA UCET	6676	75837	 	AB	1613778
262028	897	1998-11-13	VYDAJ	PREVOD NA UCET	6676	67342	 	AB	1613778
262029	897	1998-12-13	VYDAJ	PREVOD NA UCET	6676	68765	 	AB	1613778
262037	897	1994-04-11	VYBER	VYBER	7165	90371	\N	\N	\N
262038	897	1994-09-16	VYBER	VYBER	3954	38524	\N	\N	\N
262039	897	1994-10-11	VYBER	VYBER	21763	44615	\N	\N	\N
262040	897	1994-04-28	VYBER	VYBER	15857	61210	\N	\N	\N
262042	897	1994-10-20	VYBER	VYBER	24032	46608	\N	\N	\N
262044	897	1994-02-12	VYBER	VYBER	8115	25657	\N	\N	\N
262045	897	1994-10-25	VYBER	VYBER	14233	32375	\N	\N	\N
262046	897	1996-10-02	VYBER	VYBER	12211	34806	\N	\N	\N
262047	897	1996-04-14	VYBER	VYBER	12947	51718	\N	\N	\N
262048	897	1996-03-24	VYBER	VYBER	4910	54790	\N	\N	\N
262049	897	1996-08-31	VYBER	VYBER	19132	58324	\N	\N	\N
262051	897	1996-06-17	VYBER	VYBER	21692	56951	\N	\N	\N
262052	897	1996-12-18	VYBER	VYBER	5659	60597	\N	\N	\N
262054	897	1996-10-23	VYBER	VYBER	6355	28365	\N	\N	\N
262055	897	1996-02-05	VYBER	VYBER	11678	28766	\N	\N	\N
262056	897	1996-02-23	VYBER	VYBER	19410	72619	\N	\N	\N
262057	897	1996-07-02	VYBER	VYBER	14907	42339	\N	\N	\N
262058	897	1996-06-11	VYBER	VYBER	9041	66367	\N	\N	\N
262059	897	1996-12-24	VYBER	VYBER	3713	56884	\N	\N	\N
262060	897	1998-05-11	VYBER	VYBER	4832	71301	\N	\N	\N
262061	897	1998-05-24	VYBER	VYBER	16144	49255	\N	\N	\N
262062	897	1998-09-23	VYBER	VYBER	4593	126851	\N	\N	\N
262063	897	1998-07-31	VYBER	VYBER	18941	41156	\N	\N	\N
262064	897	1998-02-06	VYBER	VYBER	5337	30701	\N	\N	\N
262065	897	1998-02-03	VYBER	VYBER	12806	36038	\N	\N	\N
262066	897	1998-04-13	VYBER	VYBER	18596	57126	\N	\N	\N
262067	897	1998-10-31	VYBER	VYBER	12380	76942	\N	\N	\N
262069	897	1998-03-09	VYBER	VYBER	13278	90235	\N	\N	\N
262070	897	1998-05-28	VYBER	VYBER	12985	36270	\N	\N	\N
262071	897	1998-07-13	VYBER	VYBER	11139	38371	\N	\N	\N
262073	897	1994-06-25	VYDAJ	VYBER	10200	48792	\N	\N	\N
262077	897	1998-06-21	VYDAJ	VYBER	19500	60034	\N	\N	\N
262079	897	1994-01-25	VYDAJ	VYBER	9900	27509	\N	\N	\N
262085	897	1994-12-01	VYDAJ	VYBER	2700	44795	\N	\N	\N
262086	897	1995-12-08	VYDAJ	VYBER	3900	48648	\N	\N	\N
262088	897	1997-12-07	VYDAJ	VYBER KARTOU	3900	46214	\N	\N	0
262089	897	1998-12-17	VYDAJ	VYBER	8700	71384	\N	\N	\N
262098	897	1994-01-25	VYDAJ	VYBER	3000	24509	\N	\N	\N
262100	897	1994-01-28	VYDAJ	VYBER	1800	22709	\N	\N	\N
262102	897	1995-01-28	VYDAJ	VYBER	3900	22487	\N	\N	\N
262103	897	1995-01-11	VYDAJ	VYBER	4800	39663	\N	\N	\N
262105	897	1995-01-12	VYDAJ	VYBER	7500	32163	\N	\N	\N
262107	897	1995-01-02	VYDAJ	VYBER	8700	52473	\N	\N	\N
262108	897	1996-01-09	VYDAJ	VYBER	1800	77421	\N	\N	\N
262109	897	1996-01-02	VYDAJ	VYBER	6900	29022	\N	\N	\N
262110	897	1996-01-19	VYDAJ	VYBER	6600	44445	\N	\N	\N
262111	897	1996-01-08	VYDAJ	VYBER	2100	79221	\N	\N	\N
262112	897	1996-01-29	VYDAJ	VYBER	4200	40245	\N	\N	\N
262113	897	1996-01-02	VYDAJ	VYBER	3900	25122	\N	\N	\N
262114	897	1997-01-18	VYDAJ	VYBER	7500	29177	\N	\N	\N
262116	897	1997-01-05	VYDAJ	VYBER	6000	73663	\N	\N	\N
262117	897	1997-01-23	VYDAJ	VYBER KARTOU	3900	25277	\N	\N	0
262118	897	1997-01-08	VYDAJ	VYBER	7800	43353	\N	\N	\N
262119	897	1997-01-07	VYDAJ	VYBER	8700	51153	\N	\N	\N
262120	897	1998-01-01	VYDAJ	VYBER	6000	44597	\N	\N	\N
262122	897	1998-01-06	VYDAJ	VYBER KARTOU	2700	38297	\N	\N	0
262123	897	1998-01-11	VYDAJ	VYBER	8700	26687	\N	\N	\N
262124	897	1998-01-05	VYDAJ	VYBER KARTOU	3600	40997	\N	\N	0
262130	897	1994-09-19	VYDAJ	VYBER	13200	42484	\N	\N	\N
262131	897	1994-12-25	VYDAJ	VYBER	9900	24809	\N	\N	\N
262132	897	1994-05-01	VYDAJ	VYBER	12600	48936	\N	\N	\N
262134	897	1995-12-01	VYDAJ	VYBER	4800	41552	\N	\N	\N
262135	897	1995-01-11	VYDAJ	VYBER	5100	44463	\N	\N	\N
262138	897	1996-11-09	VYDAJ	VYBER	9900	32387	\N	\N	\N
262141	897	1996-03-12	VYDAJ	VYBER	10200	44120	\N	\N	\N
262142	897	1996-07-14	VYDAJ	VYBER	8100	28053	\N	\N	\N
262143	897	1997-07-30	VYDAJ	VYBER	4800	98161	\N	\N	\N
262144	897	1997-02-06	VYDAJ	VYBER	9000	24308	\N	\N	\N
262147	897	1998-06-25	VYDAJ	VYBER	10500	49534	\N	\N	\N
262148	897	1998-05-12	VYDAJ	VYBER	13500	57801	\N	\N	\N
262149	897	1998-08-22	VYDAJ	VYBER	4500	54746	\N	\N	\N
262150	897	1998-08-31	VYDAJ	VYBER KARTOU	2700	87158	\N	\N	0
262161	897	1993-10-31	VYDAJ	VYBER	15	28588	SLUZBY	\N	\N
262162	897	1993-11-30	VYDAJ	VYBER	15	20384	SLUZBY	\N	\N
262163	897	1993-12-31	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
262164	897	1994-01-31	VYDAJ	VYBER	15	22771	SLUZBY	\N	\N
262165	897	1994-02-28	VYDAJ	VYBER	15	93521	SLUZBY	\N	\N
262166	897	1994-03-31	VYDAJ	VYBER	15	91371	SLUZBY	\N	\N
262167	897	1994-04-30	VYDAJ	VYBER	15	61536	SLUZBY	\N	\N
262168	897	1994-05-31	VYDAJ	VYBER	15	64721	SLUZBY	\N	\N
262169	897	1994-06-30	VYDAJ	VYBER	15	49039	SLUZBY	\N	\N
262170	897	1994-07-31	VYDAJ	VYBER	15	57243	SLUZBY	\N	\N
262171	897	1994-08-31	VYDAJ	VYBER	15	52064	SLUZBY	\N	\N
262172	897	1994-09-30	VYDAJ	VYBER	15	42668	SLUZBY	\N	\N
262173	897	1994-10-31	VYDAJ	VYBER	15	32559	SLUZBY	\N	\N
262174	897	1994-11-30	VYDAJ	VYBER	15	47495	SLUZBY	\N	\N
262175	897	1994-12-31	VYDAJ	VYBER	15	61173	SLUZBY	\N	\N
262176	897	1995-01-31	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
262177	897	1995-02-28	VYDAJ	VYBER	15	20005	SLUZBY	\N	\N
262178	897	1995-03-31	VYDAJ	VYBER	15	22687	SLUZBY	\N	\N
262179	897	1995-04-30	VYDAJ	VYBER	15	19769	SLUZBY	\N	\N
262180	897	1995-05-31	VYDAJ	VYBER	15	20748	SLUZBY	\N	\N
262181	897	1995-06-30	VYDAJ	VYBER	15	19828	SLUZBY	\N	\N
262182	897	1995-07-31	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
262183	897	1995-08-31	VYDAJ	VYBER	15	17874	SLUZBY	\N	\N
262184	897	1995-09-30	VYDAJ	VYBER	15	24503	SLUZBY	\N	\N
262185	897	1995-10-31	VYDAJ	VYBER	15	72421	SLUZBY	\N	\N
262186	897	1995-11-30	VYDAJ	VYBER	15	46352	SLUZBY	\N	\N
262187	897	1995-12-31	VYDAJ	VYBER	15	35922	SLUZBY	\N	\N
262188	897	1996-01-31	VYDAJ	VYBER	15	40444	SLUZBY	\N	\N
262189	897	1996-02-29	VYDAJ	VYBER	15	72830	SLUZBY	\N	\N
262190	897	1996-03-31	VYDAJ	VYBER	15	65904	SLUZBY	\N	\N
262191	897	1996-04-30	VYDAJ	VYBER	15	51961	SLUZBY	\N	\N
262192	897	1996-05-31	VYDAJ	VYBER	15	106118	SLUZBY	\N	\N
262193	897	1996-06-30	VYDAJ	VYBER	15	57246	SLUZBY	\N	\N
262194	897	1996-07-31	VYDAJ	VYBER	15	79756	SLUZBY	\N	\N
262195	897	1996-08-31	VYDAJ	VYBER	15	58310	SLUZBY	\N	\N
262196	897	1996-09-30	VYDAJ	VYBER	15	47017	SLUZBY	\N	\N
262197	897	1996-10-31	VYDAJ	VYBER	15	28497	SLUZBY	\N	\N
262198	897	1996-11-30	VYDAJ	VYBER	15	25814	SLUZBY	\N	\N
262199	897	1996-12-31	VYDAJ	VYBER	15	57078	SLUZBY	\N	\N
262200	897	1997-01-31	VYDAJ	VYBER	15	25418	SLUZBY	\N	\N
262201	897	1997-02-28	VYDAJ	VYBER	15	17709	SLUZBY	\N	\N
262202	897	1997-03-31	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
262203	897	1997-04-30	VYDAJ	VYBER	15	21193	SLUZBY	\N	\N
262204	897	1997-05-31	VYDAJ	VYBER	15	24193	SLUZBY	\N	\N
262205	897	1997-06-30	VYDAJ	VYBER	15	28711	SLUZBY	\N	\N
262206	897	1997-07-31	VYDAJ	VYBER	15	98324	SLUZBY	\N	\N
262207	897	1997-08-31	VYDAJ	VYBER	15	64616	SLUZBY	\N	\N
262208	897	1997-09-30	VYDAJ	VYBER	15	49634	SLUZBY	\N	\N
262209	897	1997-10-31	VYDAJ	VYBER	15	46430	SLUZBY	\N	\N
262210	897	1997-11-30	VYDAJ	VYBER	15	46424	SLUZBY	\N	\N
262211	897	1997-12-31	VYDAJ	VYBER	15	50597	SLUZBY	\N	\N
262212	897	1998-01-31	VYDAJ	VYBER	15	48844	SLUZBY	\N	\N
262213	897	1998-02-28	VYDAJ	VYBER	15	75635	SLUZBY	\N	\N
262214	897	1998-03-31	VYDAJ	VYBER	15	71092	SLUZBY	\N	\N
262215	897	1998-04-30	VYDAJ	VYBER	15	90543	SLUZBY	\N	\N
262216	897	1998-05-31	VYDAJ	VYBER	15	47010	SLUZBY	\N	\N
262217	897	1998-06-30	VYDAJ	VYBER	15	52420	SLUZBY	\N	\N
262218	897	1998-07-31	VYDAJ	VYBER	15	41141	SLUZBY	\N	\N
262219	897	1998-08-31	VYDAJ	VYBER	15	89858	SLUZBY	\N	\N
262220	897	1998-09-30	VYDAJ	VYBER	15	85423	SLUZBY	\N	\N
262221	897	1998-10-31	VYDAJ	VYBER	15	76928	SLUZBY	\N	\N
262222	897	1998-11-30	VYDAJ	VYBER	15	73121	SLUZBY	\N	\N
262223	897	1993-05-26	VYDAJ	VYBER	35400	59564	\N	\N	\N
262224	897	1993-06-25	VYDAJ	VYBER	23500	52643	\N	\N	\N
262225	897	1993-07-25	VYDAJ	VYBER	23800	45643	\N	\N	\N
262226	897	1993-08-24	VYDAJ	VYBER	8700	37231	\N	\N	\N
262227	897	1993-09-23	VYDAJ	VYBER	7000	30421	\N	\N	\N
262228	897	1993-10-23	VYDAJ	VYBER	2000	28462	\N	\N	\N
262229	897	1993-11-22	PRIJEM	VKLAD	1300	20302	\N	\N	\N
262230	897	1993-12-22	PRIJEM	VKLAD	2700	19138	\N	\N	\N
262231	897	1994-01-21	PRIJEM	VKLAD	9100	18713	\N	\N	\N
262232	897	1994-02-20	VYDAJ	VYBER	17600	45534	\N	\N	\N
262233	897	1994-03-22	VYDAJ	VYBER	35100	62314	\N	\N	\N
262234	897	1994-04-05	VYDAJ	VYBER	28800	100446	\N	\N	\N
262235	897	1994-04-18	VYDAJ	VYBER	23400	91536	\N	\N	\N
262236	897	1994-04-21	VYDAJ	VYBER	34800	56736	\N	\N	\N
262237	897	1994-05-17	VYDAJ	VYBER	62900	53443	\N	\N	\N
262238	897	1994-05-21	VYDAJ	VYBER	36700	64409	\N	\N	\N
262239	897	1994-06-03	VYDAJ	VYBER	64500	50990	\N	\N	\N
262240	897	1994-06-20	VYDAJ	VYBER	34800	58992	\N	\N	\N
262241	897	1994-07-20	VYDAJ	VYBER	26000	56982	\N	\N	\N
262242	897	1994-08-16	VYDAJ	VYBER	37400	79717	\N	\N	\N
262243	897	1994-08-19	VYDAJ	VYBER	27900	51817	\N	\N	\N
262244	897	1994-09-18	VYDAJ	VYBER	29300	55684	\N	\N	\N
262245	897	1994-10-18	VYDAJ	VYBER	9300	35046	\N	\N	\N
262246	897	1994-11-17	PRIJEM	VKLAD	5000	27973	\N	\N	\N
262247	897	1994-12-17	VYDAJ	VYBER	500	34709	\N	\N	\N
262248	897	1995-01-16	PRIJEM	VKLAD	900	26387	\N	\N	\N
262249	897	1995-02-15	PRIJEM	VKLAD	6900	19935	\N	\N	\N
262250	897	1995-03-17	PRIJEM	VKLAD	12200	22619	\N	\N	\N
262251	897	1995-04-16	PRIJEM	VKLAD	6600	19701	\N	\N	\N
262252	897	1995-05-16	PRIJEM	VKLAD	10500	20683	\N	\N	\N
262253	897	1995-06-15	PRIJEM	VKLAD	8600	19762	\N	\N	\N
262254	897	1995-07-15	PRIJEM	VKLAD	8200	18442	\N	\N	\N
262255	897	1995-08-14	PRIJEM	VKLAD	8900	17816	\N	\N	\N
262256	897	1995-09-13	PRIJEM	VKLAD	7200	31083	\N	\N	\N
262257	897	1995-10-13	PRIJEM	VKLAD	11200	32793	\N	\N	\N
262258	897	1995-11-12	VYDAJ	VYBER	16700	52811	\N	\N	\N
262259	897	1995-12-12	VYDAJ	VYBER	6200	42448	\N	\N	\N
262260	897	1996-01-11	VYDAJ	VYBER	19700	57721	\N	\N	\N
262261	897	1996-02-10	PRIJEM	VKLAD	8000	33856	\N	\N	\N
262262	897	1996-03-11	VYDAJ	VYBER	15600	54320	\N	\N	\N
262263	897	1996-04-10	VYDAJ	VYBER	24800	71341	\N	\N	\N
262264	897	1996-05-10	VYDAJ	VYBER	4600	44451	\N	\N	\N
262265	897	1996-06-09	VYDAJ	VYBER	27800	75408	\N	\N	\N
262266	897	1996-07-09	PRIJEM	VKLAD	3400	42829	\N	\N	\N
262267	897	1996-08-05	VYDAJ	VYBER	20700	98062	\N	\N	\N
262268	897	1996-08-08	VYDAJ	VYBER	22000	73152	\N	\N	\N
262269	897	1996-09-07	VYDAJ	VYBER KARTOU	1900	53500	\N	\N	0
262270	897	1996-10-07	PRIJEM	VKLAD	9500	41396	\N	\N	\N
262271	897	1996-11-06	PRIJEM	VKLAD	16700	45197	\N	\N	\N
262272	897	1996-12-06	PRIJEM	VKLAD	13300	39114	\N	\N	\N
262273	897	1997-01-05	VYDAJ	VYBER	10900	62763	\N	\N	\N
262274	897	1997-02-04	PRIJEM	VKLAD	10800	36218	\N	\N	\N
262275	897	1997-03-06	PRIJEM	VKLAD	13600	31309	\N	\N	\N
262276	897	1997-04-05	PRIJEM	VKLAD	8900	30702	\N	\N	\N
262277	897	1997-05-05	PRIJEM	VKLAD	12500	33693	\N	\N	\N
262278	897	1997-06-04	PRIJEM	VKLAD	14000	38193	\N	\N	\N
262279	897	1997-07-04	PRIJEM	VKLAD	9900	38611	\N	\N	\N
262280	897	1997-08-03	VYDAJ	VYBER	24400	73924	\N	\N	\N
262281	897	1997-09-02	VYDAJ	VYBER	5600	59016	\N	\N	\N
262282	897	1997-10-02	PRIJEM	VKLAD	6200	55834	\N	\N	\N
262283	897	1997-11-01	PRIJEM	VKLAD	9400	55830	\N	\N	\N
262284	897	1997-12-01	PRIJEM	VKLAD	6600	53024	\N	\N	\N
262285	897	1997-12-31	PRIJEM	VKLAD	10900	50611	\N	\N	\N
262286	897	1998-01-30	PRIJEM	VKLAD	7800	48711	\N	\N	\N
262287	897	1998-03-01	VYDAJ	VYBER	6800	68835	\N	\N	\N
262288	897	1998-03-31	VYDAJ	VYBER	12800	71107	\N	\N	\N
262289	897	1998-04-28	VYDAJ	VYBER	32600	100591	\N	\N	\N
262290	897	1998-04-29	VYDAJ	VYBER	56700	90244	\N	\N	\N
262291	897	1998-04-30	VYDAJ	VYBER	11500	79043	\N	\N	\N
262292	897	1998-05-30	PRIJEM	VKLAD	10500	46770	\N	\N	\N
262293	897	1998-06-29	PRIJEM	VKLAD	2700	52234	\N	\N	\N
262294	897	1998-07-29	PRIJEM	VKLAD	5100	59900	\N	\N	\N
262295	897	1998-08-13	VYDAJ	VYBER	54300	65922	\N	\N	\N
262296	897	1998-08-28	VYDAJ	VYBER	8900	83473	\N	\N	\N
262297	897	1998-08-30	VYDAJ	VYBER	41300	89568	\N	\N	\N
262298	897	1998-09-20	VYDAJ	VYBER	39800	72729	\N	\N	\N
262299	897	1998-09-23	VYDAJ	VYBER	38900	87951	\N	\N	\N
262300	897	1998-09-27	VYDAJ	VYBER KARTOU	2900	85051	\N	\N	0
262301	897	1998-10-27	VYDAJ	VYBER	18100	88978	\N	\N	\N
262302	897	1998-11-26	PRIJEM	VKLAD	5500	72842	\N	\N	\N
262371	898	1996-03-27	PRIJEM	VKLAD	200	200	\N	\N	\N
262375	898	1996-04-10	PRIJEM	VKLAD	17927	18127	\N	\N	\N
262376	898	1996-05-10	PRIJEM	VKLAD	17927	38769	\N	\N	\N
262377	898	1996-06-10	PRIJEM	VKLAD	26891	58655	\N	\N	\N
262378	898	1996-07-10	PRIJEM	VKLAD	17927	61223	\N	\N	\N
262379	898	1996-08-10	PRIJEM	VKLAD	17927	63332	\N	\N	\N
262380	898	1996-09-10	PRIJEM	VKLAD	17927	62194	\N	\N	\N
262381	898	1996-10-10	PRIJEM	VKLAD	17927	56251	\N	\N	\N
262382	898	1996-11-10	PRIJEM	VKLAD	17927	55989	\N	\N	\N
262383	898	1996-12-10	PRIJEM	VKLAD	26891	64151	\N	\N	\N
262384	898	1997-01-10	PRIJEM	VKLAD	17927	49924	\N	\N	\N
262385	898	1997-02-10	PRIJEM	VKLAD	17927	45613	\N	\N	\N
262386	898	1997-03-10	PRIJEM	VKLAD	17927	49609	\N	\N	\N
262387	898	1997-04-10	PRIJEM	VKLAD	17927	51420	\N	\N	\N
262388	898	1997-05-10	PRIJEM	VKLAD	17927	52738	\N	\N	\N
262389	898	1997-06-10	PRIJEM	VKLAD	26891	57754	\N	\N	\N
262390	898	1997-07-10	PRIJEM	VKLAD	17927	47695	\N	\N	\N
262391	898	1997-08-10	PRIJEM	VKLAD	17927	45892	\N	\N	\N
262392	898	1997-09-10	PRIJEM	VKLAD	17927	46477	\N	\N	\N
262393	898	1997-10-10	PRIJEM	VKLAD	17927	43082	\N	\N	\N
262394	898	1997-11-10	PRIJEM	VKLAD	17927	42123	\N	\N	\N
262395	898	1997-12-10	PRIJEM	VKLAD	26891	58073	\N	\N	\N
262396	898	1998-01-10	PRIJEM	VKLAD	17927	44035	\N	\N	\N
262397	898	1998-02-10	PRIJEM	VKLAD	17927	31819	\N	\N	\N
262398	898	1998-03-10	PRIJEM	VKLAD	17927	39982	\N	\N	\N
262399	898	1998-04-10	PRIJEM	VKLAD	17927	45857	\N	\N	\N
262400	898	1998-05-10	PRIJEM	VKLAD	17927	49647	\N	\N	\N
262401	898	1998-06-10	PRIJEM	VKLAD	26891	58608	\N	\N	\N
262402	898	1998-07-10	PRIJEM	VKLAD	17927	46355	\N	\N	\N
262403	898	1998-08-10	PRIJEM	VKLAD	17927	52351	\N	\N	\N
262404	898	1998-09-10	PRIJEM	VKLAD	17927	55886	\N	\N	\N
262405	898	1998-10-10	PRIJEM	VKLAD	17927	64526	\N	\N	\N
262406	898	1998-11-10	PRIJEM	VKLAD	17927	63477	\N	\N	\N
262407	898	1998-12-10	PRIJEM	VKLAD	26891	69388	\N	\N	\N
262415	898	1996-08-12	VYDAJ	PREVOD NA UCET	2882	60450	SIPO	EF	70056313
262416	898	1996-09-12	VYDAJ	PREVOD NA UCET	2882	59312	SIPO	EF	70056313
262417	898	1996-10-12	VYDAJ	PREVOD NA UCET	2882	53369	SIPO	EF	70056313
262418	898	1996-11-12	VYDAJ	PREVOD NA UCET	2882	53107	SIPO	EF	70056313
262419	898	1996-12-12	VYDAJ	PREVOD NA UCET	2882	61269	SIPO	EF	70056313
262420	898	1997-01-12	VYDAJ	PREVOD NA UCET	2882	47042	SIPO	EF	70056313
262421	898	1997-02-12	VYDAJ	PREVOD NA UCET	2882	42731	SIPO	EF	70056313
262422	898	1997-03-12	VYDAJ	PREVOD NA UCET	2882	46727	SIPO	EF	70056313
262423	898	1997-04-12	VYDAJ	PREVOD NA UCET	2882	48538	SIPO	EF	70056313
262424	898	1997-05-12	VYDAJ	PREVOD NA UCET	2882	49856	SIPO	EF	70056313
262425	898	1997-06-12	VYDAJ	PREVOD NA UCET	2882	54872	SIPO	EF	70056313
262426	898	1997-07-12	VYDAJ	PREVOD NA UCET	2882	44813	SIPO	EF	70056313
262427	898	1997-08-12	VYDAJ	PREVOD NA UCET	2882	39410	SIPO	EF	70056313
262428	898	1997-09-12	VYDAJ	PREVOD NA UCET	2882	43595	SIPO	EF	70056313
262429	898	1997-10-12	VYDAJ	PREVOD NA UCET	2882	40200	SIPO	EF	70056313
262430	898	1997-11-12	VYDAJ	PREVOD NA UCET	2882	39241	SIPO	EF	70056313
262431	898	1997-12-12	VYDAJ	PREVOD NA UCET	2882	55191	SIPO	EF	70056313
262432	898	1998-01-12	VYDAJ	PREVOD NA UCET	2882	41153	SIPO	EF	70056313
262433	898	1998-02-12	VYDAJ	PREVOD NA UCET	2882	28937	SIPO	EF	70056313
262434	898	1998-03-12	VYDAJ	PREVOD NA UCET	2882	37100	SIPO	EF	70056313
262435	898	1998-04-12	VYDAJ	PREVOD NA UCET	2882	42975	SIPO	EF	70056313
262436	898	1998-05-12	VYDAJ	PREVOD NA UCET	2882	46765	SIPO	EF	70056313
262437	898	1998-06-12	VYDAJ	PREVOD NA UCET	2882	55726	SIPO	EF	70056313
262438	898	1998-07-12	VYDAJ	PREVOD NA UCET	2882	43473	SIPO	EF	70056313
262439	898	1998-08-12	VYDAJ	PREVOD NA UCET	2882	49469	SIPO	EF	70056313
262440	898	1998-09-12	VYDAJ	PREVOD NA UCET	2882	53004	SIPO	EF	70056313
262441	898	1998-10-12	VYDAJ	PREVOD NA UCET	2882	61644	SIPO	EF	70056313
262442	898	1998-11-12	VYDAJ	PREVOD NA UCET	2882	43895	SIPO	EF	70056313
262443	898	1998-12-12	VYDAJ	PREVOD NA UCET	2882	48606	SIPO	EF	70056313
262452	898	1996-09-07	VYDAJ	PREVOD NA UCET	1582	44267	 	UV	34259772
262453	898	1996-10-07	VYDAJ	PREVOD NA UCET	1582	38324	 	UV	34259772
262454	898	1996-11-07	VYDAJ	PREVOD NA UCET	1582	38062	 	UV	34259772
262455	898	1996-12-07	VYDAJ	PREVOD NA UCET	1582	37261	 	UV	34259772
262456	898	1997-01-07	VYDAJ	PREVOD NA UCET	1582	31997	 	UV	34259772
262457	898	1997-02-07	VYDAJ	PREVOD NA UCET	1582	27686	 	UV	34259772
262458	898	1997-03-07	VYDAJ	PREVOD NA UCET	1582	31682	 	UV	34259772
262459	898	1997-04-07	VYDAJ	PREVOD NA UCET	1582	33493	 	UV	34259772
262460	898	1997-05-07	VYDAJ	PREVOD NA UCET	1582	34811	 	UV	34259772
262461	898	1997-06-07	VYDAJ	PREVOD NA UCET	1582	30864	 	UV	34259772
262462	898	1997-07-07	VYDAJ	PREVOD NA UCET	1582	29768	 	UV	34259772
262463	898	1997-08-07	VYDAJ	PREVOD NA UCET	1582	27965	 	UV	34259772
262464	898	1997-09-07	VYDAJ	PREVOD NA UCET	1582	28550	 	UV	34259772
262465	898	1997-10-07	VYDAJ	PREVOD NA UCET	1582	25155	 	UV	34259772
262466	898	1997-11-07	VYDAJ	PREVOD NA UCET	1582	27796	 	UV	34259772
262467	898	1997-12-07	VYDAJ	PREVOD NA UCET	1582	31182	 	UV	34259772
262468	898	1998-01-07	VYDAJ	PREVOD NA UCET	1582	26108	 	UV	34259772
262469	898	1998-02-07	VYDAJ	PREVOD NA UCET	1582	13892	 	UV	34259772
262470	898	1998-03-07	VYDAJ	PREVOD NA UCET	1582	23735	 	UV	34259772
262471	898	1998-04-07	VYDAJ	PREVOD NA UCET	1582	27930	 	UV	34259772
262472	898	1998-05-07	VYDAJ	PREVOD NA UCET	1582	31720	 	UV	34259772
262473	898	1998-06-07	VYDAJ	PREVOD NA UCET	1582	31718	 	UV	34259772
262474	898	1998-07-07	VYDAJ	PREVOD NA UCET	1582	28428	 	UV	34259772
262475	898	1998-08-07	VYDAJ	PREVOD NA UCET	1582	34424	 	UV	34259772
262476	898	1998-09-07	VYDAJ	PREVOD NA UCET	1582	37959	 	UV	34259772
262477	898	1998-10-07	VYDAJ	PREVOD NA UCET	1582	46599	 	UV	34259772
262478	898	1998-11-07	VYDAJ	PREVOD NA UCET	1582	45550	 	UV	34259772
262479	898	1998-12-07	VYDAJ	PREVOD NA UCET	1582	42497	 	UV	34259772
262482	898	1998-06-26	VYDAJ	VYBER	4800	29866	\N	\N	\N
262484	898	1997-01-28	VYDAJ	VYBER	3520	29122	\N	\N	\N
262485	898	1998-01-24	VYDAJ	VYBER	13440	15373	\N	\N	\N
262486	898	1996-12-02	VYDAJ	VYBER	2240	38843	\N	\N	\N
262487	898	1997-12-29	VYDAJ	VYBER	3040	39051	\N	\N	\N
262488	898	1998-12-18	VYDAJ	VYBER	4640	43966	\N	\N	\N
262495	898	1997-01-05	VYDAJ	VYBER	1320	33579	\N	\N	\N
262496	898	1997-01-02	VYDAJ	VYBER	3120	34899	\N	\N	\N
262497	898	1997-01-20	VYDAJ	VYBER	1080	45242	\N	\N	\N
262498	898	1997-01-01	VYDAJ	VYBER	2520	38019	\N	\N	\N
262499	898	1997-01-21	VYDAJ	VYBER	2400	32642	\N	\N	\N
262500	898	1997-01-16	VYDAJ	VYBER	720	46322	\N	\N	\N
262501	898	1998-01-01	VYDAJ	VYBER	3480	32130	\N	\N	\N
262502	898	1998-01-14	VYDAJ	VYBER	2880	38273	\N	\N	\N
262503	898	1998-01-06	VYDAJ	VYBER	1440	27690	\N	\N	\N
262504	898	1998-01-01	VYDAJ	VYBER	1440	30690	\N	\N	\N
262505	898	1998-01-02	VYDAJ	VYBER	1560	29130	\N	\N	\N
262506	898	1998-01-20	VYDAJ	VYBER	960	28813	\N	\N	\N
262507	898	1996-12-27	VYDAJ	VYBER	4320	40349	\N	\N	\N
262508	898	1996-10-16	VYDAJ	VYBER	600	52769	\N	\N	\N
262511	898	1997-08-10	VYDAJ	VYBER	3600	42292	\N	\N	\N
262512	898	1997-07-04	VYDAJ	VYBER	4680	31350	\N	\N	\N
262513	898	1997-05-15	VYDAJ	VYBER	2160	47696	\N	\N	\N
262514	898	1997-10-21	VYDAJ	VYBER	4440	29260	\N	\N	\N
262515	898	1997-12-30	VYDAJ	VYBER	3600	35451	\N	\N	\N
262516	898	1997-09-25	VYDAJ	VYBER	2280	26615	\N	\N	\N
262517	898	1997-11-08	VYDAJ	VYBER	3600	24196	\N	\N	\N
262518	898	1998-01-16	VYDAJ	VYBER	2400	29773	\N	\N	\N
262519	898	1998-03-26	VYDAJ	VYBER	1200	29400	\N	\N	\N
262520	898	1998-06-21	VYDAJ	VYBER	5760	34666	\N	\N	\N
262522	898	1998-03-09	VYDAJ	VYBER	1680	22055	\N	\N	\N
262523	898	1998-08-26	VYDAJ	VYBER	1080	39389	\N	\N	\N
262532	898	1996-08-31	VYDAJ	VYBER	15	45849	SLUZBY	\N	\N
262533	898	1996-09-30	VYDAJ	VYBER	15	39906	SLUZBY	\N	\N
262534	898	1996-10-31	VYDAJ	VYBER	15	39644	SLUZBY	\N	\N
262535	898	1996-11-30	VYDAJ	VYBER	15	41083	SLUZBY	\N	\N
262536	898	1996-12-31	VYDAJ	VYBER	15	40539	SLUZBY	\N	\N
262537	898	1997-01-31	VYDAJ	VYBER	15	29268	SLUZBY	\N	\N
262538	898	1997-02-28	VYDAJ	VYBER	15	33264	SLUZBY	\N	\N
262539	898	1997-03-31	VYDAJ	VYBER	15	35075	SLUZBY	\N	\N
262540	898	1997-04-30	VYDAJ	VYBER	15	36393	SLUZBY	\N	\N
262541	898	1997-05-31	VYDAJ	VYBER	15	32446	SLUZBY	\N	\N
262542	898	1997-06-30	VYDAJ	VYBER	15	36030	SLUZBY	\N	\N
262543	898	1997-07-31	VYDAJ	VYBER	15	29547	SLUZBY	\N	\N
262544	898	1997-08-31	VYDAJ	VYBER	15	30132	SLUZBY	\N	\N
262545	898	1997-09-30	VYDAJ	VYBER	15	26737	SLUZBY	\N	\N
262546	898	1997-10-31	VYDAJ	VYBER	15	29378	SLUZBY	\N	\N
262547	898	1997-11-30	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
262548	898	1997-12-31	VYDAJ	VYBER	15	35610	SLUZBY	\N	\N
262549	898	1998-01-31	VYDAJ	VYBER	15	15474	SLUZBY	\N	\N
262550	898	1998-02-28	VYDAJ	VYBER	15	25317	SLUZBY	\N	\N
262551	898	1998-03-31	VYDAJ	VYBER	15	29512	SLUZBY	\N	\N
262552	898	1998-04-30	VYDAJ	VYBER	15	33302	SLUZBY	\N	\N
262553	898	1998-05-31	VYDAJ	VYBER	15	33300	SLUZBY	\N	\N
262554	898	1998-06-30	VYDAJ	VYBER	15	30010	SLUZBY	\N	\N
262555	898	1998-07-31	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
262556	898	1998-08-31	VYDAJ	VYBER	15	39541	SLUZBY	\N	\N
262557	898	1998-09-30	VYDAJ	VYBER	15	48181	SLUZBY	\N	\N
262558	898	1998-10-31	VYDAJ	VYBER	15	47132	SLUZBY	\N	\N
262559	898	1998-11-30	VYDAJ	VYBER	15	44079	SLUZBY	\N	\N
262560	898	1996-04-26	PRIJEM	VKLAD	2700	20827	\N	\N	\N
262561	898	1996-05-26	VYDAJ	VYBER	7100	31669	\N	\N	\N
262562	898	1996-06-25	VYDAJ	VYBER	15500	43155	\N	\N	\N
262563	898	1996-07-25	VYDAJ	VYBER	16000	45223	\N	\N	\N
262564	898	1996-08-24	VYDAJ	VYBER	14800	45650	\N	\N	\N
262565	898	1996-09-23	VYDAJ	VYBER	19600	39712	\N	\N	\N
262566	898	1996-10-23	VYDAJ	VYBER	13300	39469	\N	\N	\N
262567	898	1996-11-22	VYDAJ	VYBER	12200	40907	\N	\N	\N
262568	898	1996-12-22	VYDAJ	VYBER	16600	44669	\N	\N	\N
262569	898	1997-01-21	VYDAJ	VYBER	10200	35042	\N	\N	\N
262570	898	1997-02-20	VYDAJ	VYBER	9600	33131	\N	\N	\N
262571	898	1997-03-22	VYDAJ	VYBER	11800	34927	\N	\N	\N
262572	898	1997-04-21	VYDAJ	VYBER	12300	36238	\N	\N	\N
262573	898	1997-05-21	VYDAJ	VYBER	15400	32296	\N	\N	\N
262574	898	1997-06-20	VYDAJ	VYBER	19000	35872	\N	\N	\N
262575	898	1997-07-20	VYDAJ	VYBER	15400	29413	\N	\N	\N
262576	898	1997-08-19	VYDAJ	VYBER	9400	30010	\N	\N	\N
262577	898	1997-09-18	VYDAJ	VYBER	14700	28895	\N	\N	\N
262578	898	1997-10-18	VYDAJ	VYBER	6500	33700	\N	\N	\N
262579	898	1997-11-17	VYDAJ	VYBER	6600	32641	\N	\N	\N
262580	898	1997-12-17	VYDAJ	VYBER	13100	42091	\N	\N	\N
262581	898	1998-01-16	VYDAJ	VYBER	6100	32173	\N	\N	\N
262582	898	1998-02-15	VYDAJ	VYBER	3700	25237	\N	\N	\N
262583	898	1998-03-17	VYDAJ	VYBER	6500	30600	\N	\N	\N
262584	898	1998-04-16	VYDAJ	VYBER	9800	33175	\N	\N	\N
262585	898	1998-05-16	VYDAJ	VYBER	13600	33165	\N	\N	\N
262586	898	1998-06-15	VYDAJ	VYBER	15300	40426	\N	\N	\N
262587	898	1998-07-15	VYDAJ	VYBER	7600	35873	\N	\N	\N
262588	898	1998-08-14	VYDAJ	VYBER	9000	40469	\N	\N	\N
262589	898	1998-09-13	VYDAJ	VYBER	5000	48004	\N	\N	\N
262590	898	1998-10-13	VYDAJ	VYBER	14700	46944	\N	\N	\N
262591	898	1998-11-12	VYDAJ	VYBER	16700	46777	\N	\N	\N
262592	898	1998-12-12	VYDAJ	VYBER	17900	51488	\N	\N	\N
262626	899	1993-06-21	PRIJEM	VKLAD	900	900	\N	\N	\N
262633	899	1993-07-06	PRIJEM	PREVOD Z UCTU	16266	17166	\N	QR	61017179
262634	899	1993-08-06	PRIJEM	PREVOD Z UCTU	16266	38064	\N	QR	61017179
262635	899	1993-09-06	PRIJEM	PREVOD Z UCTU	16266	45333	\N	QR	61017179
262636	899	1993-10-06	PRIJEM	PREVOD Z UCTU	16266	53533	\N	QR	61017179
262637	899	1993-11-06	PRIJEM	PREVOD Z UCTU	16266	55256	\N	QR	61017179
262638	899	1993-12-06	PRIJEM	PREVOD Z UCTU	24399	60509	\N	QR	61017179
262639	899	1994-01-06	PRIJEM	PREVOD Z UCTU	16266	59267	\N	QR	61017179
262640	899	1994-02-06	PRIJEM	PREVOD Z UCTU	16266	35548	\N	QR	61017179
262641	899	1994-03-06	PRIJEM	PREVOD Z UCTU	16266	40669	\N	QR	61017179
262642	899	1994-04-06	PRIJEM	PREVOD Z UCTU	16266	47535	\N	QR	61017179
262643	899	1994-05-06	PRIJEM	PREVOD Z UCTU	16266	43674	\N	QR	61017179
262644	899	1994-06-06	PRIJEM	PREVOD Z UCTU	24399	56883	\N	QR	61017179
262645	899	1994-07-06	PRIJEM	PREVOD Z UCTU	16266	58089	\N	QR	61017179
262646	899	1994-08-06	PRIJEM	PREVOD Z UCTU	16266	50999	\N	QR	61017179
262647	899	1994-09-06	PRIJEM	PREVOD Z UCTU	16266	57109	\N	QR	61017179
262648	899	1994-10-06	PRIJEM	PREVOD Z UCTU	16266	48411	\N	QR	61017179
262649	899	1994-11-06	PRIJEM	PREVOD Z UCTU	16266	41386	\N	QR	61017179
262650	899	1994-12-06	PRIJEM	PREVOD Z UCTU	24399	56392	\N	QR	61017179
262651	899	1995-01-06	PRIJEM	PREVOD Z UCTU	16266	38182	\N	QR	61017179
262652	899	1995-02-06	PRIJEM	PREVOD Z UCTU	16266	36930	\N	QR	61017179
262653	899	1995-03-06	PRIJEM	PREVOD Z UCTU	16266	46593	\N	QR	61017179
262654	899	1995-04-06	PRIJEM	PREVOD Z UCTU	16266	41586	\N	QR	61017179
262655	899	1995-05-06	PRIJEM	PREVOD Z UCTU	16266	40556	\N	QR	61017179
262656	899	1995-06-06	PRIJEM	PREVOD Z UCTU	24399	48051	\N	QR	61017179
262657	899	1995-07-06	PRIJEM	PREVOD Z UCTU	16266	50228	\N	QR	61017179
262658	899	1995-08-06	PRIJEM	PREVOD Z UCTU	16266	45610	\N	QR	61017179
262659	899	1995-09-06	PRIJEM	PREVOD Z UCTU	16266	49595	\N	QR	61017179
262660	899	1995-10-06	PRIJEM	PREVOD Z UCTU	16266	47982	\N	QR	61017179
262661	899	1995-11-06	PRIJEM	PREVOD Z UCTU	16266	47362	\N	QR	61017179
262662	899	1995-12-06	PRIJEM	PREVOD Z UCTU	24399	55160	\N	QR	61017179
262663	899	1996-01-06	PRIJEM	PREVOD Z UCTU	16266	47753	\N	QR	61017179
262664	899	1996-02-06	PRIJEM	PREVOD Z UCTU	16266	37711	\N	QR	61017179
262665	899	1996-03-06	PRIJEM	PREVOD Z UCTU	16266	44406	\N	QR	61017179
262666	899	1996-04-06	PRIJEM	PREVOD Z UCTU	16266	44373	\N	QR	61017179
262667	899	1996-05-06	PRIJEM	PREVOD Z UCTU	16266	37254	\N	QR	61017179
262668	899	1996-06-06	PRIJEM	PREVOD Z UCTU	24399	44834	\N	QR	61017179
262669	899	1996-07-06	PRIJEM	PREVOD Z UCTU	16266	47156	\N	QR	61017179
262670	899	1996-08-06	PRIJEM	PREVOD Z UCTU	16266	46401	\N	QR	61017179
262671	899	1996-09-06	PRIJEM	PREVOD Z UCTU	16266	41460	\N	QR	61017179
262672	899	1996-10-06	PRIJEM	PREVOD Z UCTU	16266	43882	\N	QR	61017179
262673	899	1996-11-06	PRIJEM	PREVOD Z UCTU	16266	40677	\N	QR	61017179
262674	899	1996-12-06	PRIJEM	PREVOD Z UCTU	24399	49722	\N	QR	61017179
262675	899	1997-01-06	PRIJEM	PREVOD Z UCTU	16266	35648	\N	QR	61017179
262676	899	1997-02-06	PRIJEM	PREVOD Z UCTU	16266	32413	\N	QR	61017179
262677	899	1997-03-06	PRIJEM	PREVOD Z UCTU	16266	34255	\N	QR	61017179
262678	899	1997-04-06	PRIJEM	PREVOD Z UCTU	16266	37742	\N	QR	61017179
262679	899	1997-05-06	PRIJEM	PREVOD Z UCTU	16266	39100	\N	QR	61017179
262680	899	1997-06-06	PRIJEM	PREVOD Z UCTU	24399	43613	\N	QR	61017179
262681	899	1997-07-06	PRIJEM	PREVOD Z UCTU	16266	39279	\N	QR	61017179
262682	899	1997-08-06	PRIJEM	PREVOD Z UCTU	16266	39442	\N	QR	61017179
262683	899	1997-09-06	PRIJEM	PREVOD Z UCTU	16266	34946	\N	QR	61017179
262684	899	1997-10-06	PRIJEM	PREVOD Z UCTU	16266	36873	\N	QR	61017179
262685	899	1997-11-06	PRIJEM	PREVOD Z UCTU	16266	37908	\N	QR	61017179
262686	899	1997-12-06	PRIJEM	PREVOD Z UCTU	24399	43579	\N	QR	61017179
262687	899	1998-01-06	PRIJEM	PREVOD Z UCTU	16266	32233	\N	QR	61017179
262688	899	1998-02-06	PRIJEM	PREVOD Z UCTU	16266	42588	\N	QR	61017179
262689	899	1998-03-06	PRIJEM	PREVOD Z UCTU	16266	35742	\N	QR	61017179
262690	899	1998-04-06	PRIJEM	PREVOD Z UCTU	16266	36672	\N	QR	61017179
262691	899	1998-05-06	PRIJEM	PREVOD Z UCTU	16266	36305	\N	QR	61017179
262692	899	1998-06-06	PRIJEM	PREVOD Z UCTU	24399	49073	\N	QR	61017179
262693	899	1998-07-06	PRIJEM	PREVOD Z UCTU	16266	32839	\N	QR	61017179
262694	899	1998-08-06	PRIJEM	PREVOD Z UCTU	16266	47058	\N	QR	61017179
262695	899	1998-09-06	PRIJEM	PREVOD Z UCTU	16266	34061	\N	QR	61017179
262696	899	1998-10-06	PRIJEM	PREVOD Z UCTU	16266	31279	\N	QR	61017179
262697	899	1998-11-06	PRIJEM	PREVOD Z UCTU	16266	47592	\N	QR	61017179
262698	899	1998-12-06	PRIJEM	PREVOD Z UCTU	24399	61612	\N	QR	61017179
262780	899	1994-04-10	VYBER	VYBER	21729	25806	\N	\N	\N
262781	899	1994-02-11	VYBER	VYBER	5330	30218	\N	\N	\N
262783	899	1994-09-13	VYBER	VYBER	22798	34311	\N	\N	\N
262787	899	1995-03-10	VYBER	VYBER	17071	29522	\N	\N	\N
262789	899	1995-12-05	VYBER	VYBER	3625	30761	\N	\N	\N
262794	899	1996-10-13	VYBER	VYBER	12804	31078	\N	\N	\N
262797	899	1996-08-26	VYBER	VYBER	2580	40521	\N	\N	\N
262803	899	1997-05-01	VYBER	VYBER	9341	22834	\N	\N	\N
262810	899	1997-07-11	VYBER	VYBER	9588	29691	\N	\N	\N
262813	899	1997-08-11	VYBER	VYBER	12350	27092	\N	\N	\N
262824	899	1997-06-19	VYDAJ	VYBER	20700	22913	\N	\N	\N
262825	899	1998-06-09	VYDAJ	VYBER	14400	34673	\N	\N	\N
262827	899	1994-01-12	VYDAJ	VYBER	18600	40667	\N	\N	\N
262832	899	1993-12-04	VYDAJ	VYBER	6300	36110	\N	\N	\N
262833	899	1994-12-26	VYDAJ	VYBER	7200	31692	\N	\N	\N
262834	899	1995-12-16	VYDAJ	VYBER	3000	31360	\N	\N	\N
262835	899	1996-12-24	VYDAJ	VYBER	6000	43722	\N	\N	\N
262836	899	1997-12-10	VYDAJ	VYBER	5400	38179	\N	\N	\N
262837	899	1998-12-07	VYDAJ	VYBER	7800	53812	\N	\N	\N
262845	899	1994-01-16	VYDAJ	VYBER	8700	31967	\N	\N	\N
262848	899	1994-01-18	VYDAJ	VYBER	7500	19167	\N	\N	\N
262850	899	1995-01-07	VYDAJ	VYBER	5100	25882	\N	\N	\N
262852	899	1995-01-06	VYDAJ	VYBER	7200	30982	\N	\N	\N
262855	899	1995-01-25	VYDAJ	VYBER	3000	20582	\N	\N	\N
262858	899	1996-01-07	VYDAJ	VYBER	8700	27353	\N	\N	\N
262859	899	1996-01-14	VYDAJ	VYBER	1800	21353	\N	\N	\N
262860	899	1996-01-12	VYDAJ	VYBER	4200	23153	\N	\N	\N
262862	899	1997-01-20	VYDAJ	VYBER	3600	24548	\N	\N	\N
262863	899	1997-01-07	VYDAJ	VYBER	1800	33848	\N	\N	\N
262865	899	1997-01-16	VYDAJ	VYBER	5700	28148	\N	\N	\N
262867	899	1997-01-21	VYDAJ	VYBER	2700	21848	\N	\N	\N
262868	899	1998-01-07	VYDAJ	VYBER	1800	30433	\N	\N	\N
262869	899	1998-01-18	VYDAJ	VYBER	4200	26233	\N	\N	\N
262878	899	1994-02-19	VYDAJ	VYBER	3600	24318	\N	\N	\N
262879	899	1994-07-13	VYDAJ	VYBER	14400	43689	\N	\N	\N
262881	899	1994-10-19	VYDAJ	VYBER	11700	25011	\N	\N	\N
262883	899	1994-12-27	VYDAJ	VYBER	9900	21792	\N	\N	\N
262884	899	1995-09-15	VYDAJ	VYBER	3000	31595	\N	\N	\N
262886	899	1995-05-03	VYDAJ	VYBER	6300	24290	\N	\N	\N
262887	899	1995-01-13	VYDAJ	VYBER	3000	23582	\N	\N	\N
262888	899	1995-05-09	VYDAJ	VYBER	14400	26156	\N	\N	\N
262889	899	1995-07-08	VYDAJ	VYBER	8400	41828	\N	\N	\N
262890	899	1996-08-25	VYDAJ	VYBER	3300	43101	\N	\N	\N
262891	899	1996-04-18	VYDAJ	VYBER	7200	20873	\N	\N	\N
262893	899	1996-11-30	VYDAJ	VYBER	6000	34837	\N	\N	\N
262895	899	1996-12-25	VYDAJ	VYBER	14700	29022	\N	\N	\N
262896	899	1997-12-15	VYDAJ	VYBER	9600	28579	\N	\N	\N
262897	899	1997-04-24	VYDAJ	VYBER	5700	32042	\N	\N	\N
262899	899	1997-07-18	VYDAJ	VYBER	6600	23091	\N	\N	\N
262900	899	1997-02-12	VYDAJ	VYBER	6300	26113	\N	\N	\N
262901	899	1997-05-06	VYDAJ	VYBER	7800	31300	\N	\N	\N
262902	899	1998-08-03	VYDAJ	VYBER	2100	30792	\N	\N	\N
262903	899	1998-11-19	VYDAJ	VYBER	10500	37092	\N	\N	\N
262904	899	1998-05-26	VYDAJ	VYBER	11700	24605	\N	\N	\N
262916	899	1993-11-30	VYDAJ	VYBER	15	42410	SLUZBY	\N	\N
262917	899	1993-12-31	VYDAJ	VYBER	15	43001	SLUZBY	\N	\N
262918	899	1994-01-31	VYDAJ	VYBER	15	19282	SLUZBY	\N	\N
262919	899	1994-02-28	VYDAJ	VYBER	15	24403	SLUZBY	\N	\N
262920	899	1994-03-31	VYDAJ	VYBER	15	31269	SLUZBY	\N	\N
262921	899	1994-04-30	VYDAJ	VYBER	15	27408	SLUZBY	\N	\N
262922	899	1994-05-31	VYDAJ	VYBER	15	32484	SLUZBY	\N	\N
262923	899	1994-06-30	VYDAJ	VYBER	15	41823	SLUZBY	\N	\N
262924	899	1994-07-31	VYDAJ	VYBER	15	34733	SLUZBY	\N	\N
262925	899	1994-08-31	VYDAJ	VYBER	15	40843	SLUZBY	\N	\N
262926	899	1994-09-30	VYDAJ	VYBER	15	32145	SLUZBY	\N	\N
262927	899	1994-10-31	VYDAJ	VYBER	15	25120	SLUZBY	\N	\N
262928	899	1994-11-30	VYDAJ	VYBER	15	31993	SLUZBY	\N	\N
262929	899	1994-12-31	VYDAJ	VYBER	15	21916	SLUZBY	\N	\N
262930	899	1995-01-31	VYDAJ	VYBER	15	20664	SLUZBY	\N	\N
262931	899	1995-02-28	VYDAJ	VYBER	15	30327	SLUZBY	\N	\N
262932	899	1995-03-31	VYDAJ	VYBER	15	25320	SLUZBY	\N	\N
262933	899	1995-04-30	VYDAJ	VYBER	15	30590	SLUZBY	\N	\N
262934	899	1995-05-31	VYDAJ	VYBER	15	23652	SLUZBY	\N	\N
262935	899	1995-06-30	VYDAJ	VYBER	15	33962	SLUZBY	\N	\N
262936	899	1995-07-31	VYDAJ	VYBER	15	29344	SLUZBY	\N	\N
262937	899	1995-08-31	VYDAJ	VYBER	15	33329	SLUZBY	\N	\N
262938	899	1995-09-30	VYDAJ	VYBER	15	31716	SLUZBY	\N	\N
262939	899	1995-10-31	VYDAJ	VYBER	15	31096	SLUZBY	\N	\N
262940	899	1995-11-30	VYDAJ	VYBER	15	34386	SLUZBY	\N	\N
262941	899	1995-12-31	VYDAJ	VYBER	15	31487	SLUZBY	\N	\N
262942	899	1996-01-31	VYDAJ	VYBER	15	21445	SLUZBY	\N	\N
262943	899	1996-02-29	VYDAJ	VYBER	15	28140	SLUZBY	\N	\N
262944	899	1996-03-31	VYDAJ	VYBER	15	28107	SLUZBY	\N	\N
262945	899	1996-04-30	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
262946	899	1996-05-31	VYDAJ	VYBER	15	23635	SLUZBY	\N	\N
262947	899	1996-06-30	VYDAJ	VYBER	15	44990	SLUZBY	\N	\N
262948	899	1996-07-31	VYDAJ	VYBER	15	47335	SLUZBY	\N	\N
262949	899	1996-08-31	VYDAJ	VYBER	15	40694	SLUZBY	\N	\N
262950	899	1996-09-30	VYDAJ	VYBER	15	41616	SLUZBY	\N	\N
262951	899	1996-10-31	VYDAJ	VYBER	15	31211	SLUZBY	\N	\N
262952	899	1996-11-30	VYDAJ	VYBER	15	34823	SLUZBY	\N	\N
262953	899	1996-12-31	VYDAJ	VYBER	15	29182	SLUZBY	\N	\N
262954	899	1997-01-31	VYDAJ	VYBER	15	16147	SLUZBY	\N	\N
262955	899	1997-02-28	VYDAJ	VYBER	15	26189	SLUZBY	\N	\N
262956	899	1997-03-31	VYDAJ	VYBER	15	34376	SLUZBY	\N	\N
262957	899	1997-04-30	VYDAJ	VYBER	15	32175	SLUZBY	\N	\N
262958	899	1997-05-31	VYDAJ	VYBER	15	31414	SLUZBY	\N	\N
262959	899	1997-06-30	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
262960	899	1997-07-31	VYDAJ	VYBER	15	23176	SLUZBY	\N	\N
262961	899	1997-08-31	VYDAJ	VYBER	15	18680	SLUZBY	\N	\N
262962	899	1997-09-30	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
262963	899	1997-10-31	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
262964	899	1997-11-30	VYDAJ	VYBER	15	19180	SLUZBY	\N	\N
262965	899	1997-12-31	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
262966	899	1998-01-31	VYDAJ	VYBER	15	26322	SLUZBY	\N	\N
262967	899	1998-02-28	VYDAJ	VYBER	15	19476	SLUZBY	\N	\N
262968	899	1998-03-31	VYDAJ	VYBER	15	20406	SLUZBY	\N	\N
262969	899	1998-04-30	VYDAJ	VYBER	15	20039	SLUZBY	\N	\N
262970	899	1998-05-31	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
262971	899	1998-06-30	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
262972	899	1998-07-31	VYDAJ	VYBER	15	32892	SLUZBY	\N	\N
262973	899	1998-08-31	VYDAJ	VYBER	15	17795	SLUZBY	\N	\N
262974	899	1998-09-30	VYDAJ	VYBER	15	15013	SLUZBY	\N	\N
262975	899	1998-10-31	VYDAJ	VYBER	15	31326	SLUZBY	\N	\N
262976	899	1998-11-30	VYDAJ	VYBER	15	37213	SLUZBY	\N	\N
262977	899	1993-07-21	PRIJEM	VKLAD	4600	21766	\N	\N	\N
262978	899	1993-08-20	VYDAJ	VYBER	9100	28964	\N	\N	\N
262979	899	1993-09-19	VYDAJ	VYBER	8200	37133	\N	\N	\N
262980	899	1993-10-19	VYDAJ	VYBER	14700	38833	\N	\N	\N
262981	899	1993-11-18	VYDAJ	VYBER	13000	42256	\N	\N	\N
262982	899	1993-12-18	VYDAJ	VYBER	17700	42809	\N	\N	\N
262983	899	1994-01-17	VYDAJ	VYBER	5300	26667	\N	\N	\N
262984	899	1994-02-16	VYDAJ	VYBER	2300	27918	\N	\N	\N
262985	899	1994-03-18	VYDAJ	VYBER	9500	31169	\N	\N	\N
262986	899	1994-04-17	PRIJEM	VKLAD	1500	27306	\N	\N	\N
262987	899	1994-05-17	VYDAJ	VYBER	11300	32374	\N	\N	\N
262988	899	1994-06-16	VYDAJ	VYBER	15200	41683	\N	\N	\N
262989	899	1994-07-16	VYDAJ	VYBER	9100	34589	\N	\N	\N
262990	899	1994-08-15	VYDAJ	VYBER	10300	40699	\N	\N	\N
262991	899	1994-09-14	VYDAJ	VYBER	2300	32011	\N	\N	\N
262992	899	1994-10-14	VYDAJ	VYBER	11700	36711	\N	\N	\N
262993	899	1994-11-13	VYDAJ	VYBER	9500	31886	\N	\N	\N
262994	899	1994-12-13	VYDAJ	VYBER	17500	38892	\N	\N	\N
262995	899	1995-01-12	PRIJEM	VKLAD	700	26582	\N	\N	\N
262996	899	1995-02-11	VYDAJ	VYBER	6700	30230	\N	\N	\N
262997	899	1995-03-13	VYDAJ	VYBER	4300	25222	\N	\N	\N
262998	899	1995-04-12	VYDAJ	VYBER	11100	30486	\N	\N	\N
262999	899	1995-05-12	VYDAJ	VYBER	2600	23556	\N	\N	\N
263000	899	1995-06-11	VYDAJ	VYBER	14200	33851	\N	\N	\N
263001	899	1995-07-11	VYDAJ	VYBER	12600	29228	\N	\N	\N
263002	899	1995-08-10	VYDAJ	VYBER	12400	33210	\N	\N	\N
263003	899	1995-09-09	VYDAJ	VYBER	15000	34595	\N	\N	\N
263004	899	1995-10-09	VYDAJ	VYBER	17000	30982	\N	\N	\N
263005	899	1995-11-08	VYDAJ	VYBER	13100	34262	\N	\N	\N
263006	899	1995-12-08	VYDAJ	VYBER	20800	34360	\N	\N	\N
263007	899	1996-01-07	VYDAJ	VYBER	11700	36053	\N	\N	\N
263008	899	1996-02-06	VYDAJ	VYBER	9700	28011	\N	\N	\N
263009	899	1996-03-07	VYDAJ	VYBER	16400	28006	\N	\N	\N
263010	899	1996-04-06	VYDAJ	VYBER	16300	28073	\N	\N	\N
263011	899	1996-05-06	VYDAJ	VYBER	13700	23554	\N	\N	\N
263012	899	1996-06-05	VYDAJ	VYBER	3200	20435	\N	\N	\N
263013	899	1996-07-05	VYDAJ	VYBER	14100	30890	\N	\N	\N
263014	899	1996-08-04	VYDAJ	VYBER	17200	30135	\N	\N	\N
263015	899	1996-09-03	VYDAJ	VYBER	15500	25194	\N	\N	\N
263016	899	1996-10-03	VYDAJ	VYBER	14000	27616	\N	\N	\N
263017	899	1996-11-02	VYDAJ	VYBER	6800	24411	\N	\N	\N
263018	899	1996-12-02	VYDAJ	VYBER	9500	25323	\N	\N	\N
263019	899	1997-01-01	VYDAJ	VYBER	9800	19382	\N	\N	\N
263020	899	1997-01-31	VYDAJ	VYBER	5800	16162	\N	\N	\N
263021	899	1997-03-02	VYDAJ	VYBER	8200	17989	\N	\N	\N
263022	899	1997-04-01	VYDAJ	VYBER	12900	21476	\N	\N	\N
263023	899	1997-05-31	VYDAJ	VYBER	12200	19214	\N	\N	\N
263024	899	1997-08-29	VYDAJ	VYBER	8500	18592	\N	\N	\N
263025	899	1997-09-28	VYDAJ	VYBER	14400	20546	\N	\N	\N
263026	899	1997-10-28	VYDAJ	VYBER	15300	21573	\N	\N	\N
263027	899	1997-11-27	VYDAJ	VYBER	18800	19108	\N	\N	\N
263028	899	1997-12-27	VYDAJ	VYBER	12700	15879	\N	\N	\N
263029	899	1998-02-25	VYDAJ	VYBER	23200	19388	\N	\N	\N
263030	899	1998-03-27	VYDAJ	VYBER	15400	20342	\N	\N	\N
263031	899	1998-04-26	VYDAJ	VYBER	16700	19972	\N	\N	\N
263032	899	1998-06-25	VYDAJ	VYBER	18200	16473	\N	\N	\N
263033	899	1998-08-24	VYDAJ	VYBER	29400	17658	\N	\N	\N
263034	899	1998-09-23	VYDAJ	VYBER	19100	14961	\N	\N	\N
263101	900	1994-04-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
263106	900	1994-05-08	PRIJEM	VKLAD	8925	10025	\N	\N	\N
263107	900	1994-06-08	PRIJEM	VKLAD	13388	28225	\N	\N	\N
263108	900	1994-07-08	PRIJEM	VKLAD	8925	37122	\N	\N	\N
263109	900	1994-08-08	PRIJEM	VKLAD	8925	41769	\N	\N	\N
263110	900	1994-09-08	PRIJEM	VKLAD	8925	40929	\N	\N	\N
263111	900	1994-10-08	PRIJEM	VKLAD	8925	36523	\N	\N	\N
263112	900	1994-11-08	PRIJEM	VKLAD	8925	34696	\N	\N	\N
263113	900	1994-12-08	PRIJEM	VKLAD	13388	34488	\N	\N	\N
263114	900	1995-01-08	PRIJEM	VKLAD	8925	35362	\N	\N	\N
263115	900	1995-02-08	PRIJEM	VKLAD	8925	21978	\N	\N	\N
263116	900	1995-03-08	PRIJEM	VKLAD	8925	28912	\N	\N	\N
263117	900	1995-04-08	PRIJEM	VKLAD	8925	30162	\N	\N	\N
263118	900	1995-05-08	PRIJEM	VKLAD	8925	33519	\N	\N	\N
263119	900	1995-06-08	PRIJEM	VKLAD	13388	29049	\N	\N	\N
263120	900	1995-07-08	PRIJEM	VKLAD	8925	28783	\N	\N	\N
263121	900	1995-08-08	PRIJEM	VKLAD	8925	28869	\N	\N	\N
263122	900	1995-09-08	PRIJEM	VKLAD	8925	29553	\N	\N	\N
263123	900	1995-10-08	PRIJEM	VKLAD	8925	33008	\N	\N	\N
263124	900	1995-11-08	PRIJEM	VKLAD	8925	34073	\N	\N	\N
263125	900	1995-12-08	PRIJEM	VKLAD	13388	30751	\N	\N	\N
263126	900	1996-01-08	PRIJEM	VKLAD	8925	24536	\N	\N	\N
263127	900	1996-02-08	PRIJEM	VKLAD	8925	22026	\N	\N	\N
263128	900	1996-03-08	PRIJEM	VKLAD	8925	25049	\N	\N	\N
263129	900	1996-04-08	PRIJEM	VKLAD	8925	28987	\N	\N	\N
263130	900	1996-05-08	PRIJEM	VKLAD	8925	27328	\N	\N	\N
263131	900	1996-06-08	PRIJEM	VKLAD	13388	33933	\N	\N	\N
263132	900	1996-07-08	PRIJEM	VKLAD	8925	31386	\N	\N	\N
263133	900	1996-08-08	PRIJEM	VKLAD	8925	22881	\N	\N	\N
263134	900	1996-09-08	PRIJEM	VKLAD	8925	23702	\N	\N	\N
263135	900	1996-10-08	PRIJEM	VKLAD	8925	23423	\N	\N	\N
263136	900	1996-11-08	PRIJEM	VKLAD	8925	22340	\N	\N	\N
263137	900	1996-12-08	PRIJEM	VKLAD	13388	25034	\N	\N	\N
263138	900	1997-01-08	PRIJEM	VKLAD	8925	23154	\N	\N	\N
263139	900	1997-02-08	PRIJEM	VKLAD	8925	22773	\N	\N	\N
263140	900	1997-03-08	PRIJEM	VKLAD	8925	22491	\N	\N	\N
263141	900	1997-04-08	PRIJEM	VKLAD	8925	20502	\N	\N	\N
263142	900	1997-05-08	PRIJEM	VKLAD	8925	22115	\N	\N	\N
263143	900	1997-06-08	PRIJEM	VKLAD	13388	28298	\N	\N	\N
263144	900	1997-07-08	PRIJEM	VKLAD	8925	24284	\N	\N	\N
263145	900	1997-08-08	PRIJEM	VKLAD	8925	17689	\N	\N	\N
263146	900	1997-09-08	PRIJEM	VKLAD	8925	14880	\N	\N	\N
263147	900	1997-10-08	PRIJEM	VKLAD	8925	17873	\N	\N	\N
263148	900	1997-11-08	PRIJEM	VKLAD	8925	20878	\N	\N	\N
263149	900	1997-12-08	PRIJEM	VKLAD	13388	26358	\N	\N	\N
263150	900	1998-01-08	PRIJEM	VKLAD	8925	20511	\N	\N	\N
263151	900	1998-02-08	PRIJEM	VKLAD	8925	23534	\N	\N	\N
263152	900	1998-03-08	PRIJEM	VKLAD	8925	26462	\N	\N	\N
263153	900	1998-04-08	PRIJEM	VKLAD	8925	22006	\N	\N	\N
263154	900	1998-05-08	PRIJEM	VKLAD	8925	22039	\N	\N	\N
263155	900	1998-06-08	PRIJEM	VKLAD	13388	29530	\N	\N	\N
263156	900	1998-07-08	PRIJEM	VKLAD	8925	26477	\N	\N	\N
263157	900	1998-08-08	PRIJEM	VKLAD	8925	24726	\N	\N	\N
263158	900	1998-09-08	PRIJEM	VKLAD	8925	23796	\N	\N	\N
263159	900	1998-10-08	PRIJEM	VKLAD	8925	24525	\N	\N	\N
263160	900	1998-11-08	PRIJEM	VKLAD	8925	28063	\N	\N	\N
263161	900	1998-12-08	PRIJEM	VKLAD	13388	31575	\N	\N	\N
263170	900	1994-09-11	VYDAJ	PREVOD NA UCET	5950	34979	SIPO	ST	51806682
263171	900	1994-10-11	VYDAJ	PREVOD NA UCET	5950	30573	SIPO	ST	51806682
263172	900	1994-11-11	VYDAJ	PREVOD NA UCET	5950	28746	SIPO	ST	51806682
263173	900	1994-12-11	VYDAJ	PREVOD NA UCET	5950	28538	SIPO	ST	51806682
263174	900	1995-01-11	VYDAJ	PREVOD NA UCET	5950	23172	SIPO	ST	51806682
263175	900	1995-02-11	VYDAJ	PREVOD NA UCET	5950	16028	SIPO	ST	51806682
263176	900	1995-03-11	VYDAJ	PREVOD NA UCET	5950	22962	SIPO	ST	51806682
263177	900	1995-04-11	VYDAJ	PREVOD NA UCET	5950	24212	SIPO	ST	51806682
263178	900	1995-05-11	VYDAJ	PREVOD NA UCET	5950	27569	SIPO	ST	51806682
263179	900	1995-06-11	VYDAJ	PREVOD NA UCET	5950	23099	SIPO	ST	51806682
263180	900	1995-07-11	VYDAJ	PREVOD NA UCET	5950	22833	SIPO	ST	51806682
263181	900	1995-08-11	VYDAJ	PREVOD NA UCET	5950	22919	SIPO	ST	51806682
263182	900	1995-09-11	VYDAJ	PREVOD NA UCET	5950	23603	SIPO	ST	51806682
263183	900	1995-10-11	VYDAJ	PREVOD NA UCET	5950	27058	SIPO	ST	51806682
263184	900	1995-11-11	VYDAJ	PREVOD NA UCET	5950	22483	SIPO	ST	51806682
263185	900	1995-12-11	VYDAJ	PREVOD NA UCET	5950	24801	SIPO	ST	51806682
263186	900	1996-01-11	VYDAJ	PREVOD NA UCET	5950	18586	SIPO	ST	51806682
263187	900	1996-02-11	VYDAJ	PREVOD NA UCET	5950	16076	SIPO	ST	51806682
263188	900	1996-03-11	VYDAJ	PREVOD NA UCET	5950	19099	SIPO	ST	51806682
263189	900	1996-04-11	VYDAJ	PREVOD NA UCET	5950	23037	SIPO	ST	51806682
263190	900	1996-05-11	VYDAJ	PREVOD NA UCET	5950	21378	SIPO	ST	51806682
263191	900	1996-06-11	VYDAJ	PREVOD NA UCET	5950	27983	SIPO	ST	51806682
263192	900	1996-07-11	VYDAJ	PREVOD NA UCET	5950	25436	SIPO	ST	51806682
263193	900	1996-08-11	VYDAJ	PREVOD NA UCET	5950	16931	SIPO	ST	51806682
263194	900	1996-09-11	VYDAJ	PREVOD NA UCET	5950	17752	SIPO	ST	51806682
263195	900	1996-10-11	VYDAJ	PREVOD NA UCET	5950	17473	SIPO	ST	51806682
263196	900	1996-11-11	VYDAJ	PREVOD NA UCET	5950	11610	SIPO	ST	51806682
263197	900	1996-12-11	VYDAJ	PREVOD NA UCET	5950	16584	SIPO	ST	51806682
263198	900	1997-01-11	VYDAJ	PREVOD NA UCET	5950	14404	SIPO	ST	51806682
263199	900	1997-02-11	VYDAJ	PREVOD NA UCET	5950	13523	SIPO	ST	51806682
263200	900	1997-03-11	VYDAJ	PREVOD NA UCET	5950	16541	SIPO	ST	51806682
263201	900	1997-04-11	VYDAJ	PREVOD NA UCET	5950	13152	SIPO	ST	51806682
263202	900	1997-05-11	VYDAJ	PREVOD NA UCET	5950	14865	SIPO	ST	51806682
263203	900	1997-06-11	VYDAJ	PREVOD NA UCET	5950	16748	SIPO	ST	51806682
263204	900	1997-07-11	VYDAJ	PREVOD NA UCET	5950	8734	SIPO	ST	51806682
263205	900	1997-08-11	VYDAJ	PREVOD NA UCET	5950	5939	SIPO	ST	51806682
263206	900	1997-09-11	VYDAJ	PREVOD NA UCET	5950	8930	SIPO	ST	51806682
263207	900	1997-10-11	VYDAJ	PREVOD NA UCET	5950	11923	SIPO	ST	51806682
263208	900	1997-11-11	VYDAJ	PREVOD NA UCET	5950	14928	SIPO	ST	51806682
263209	900	1997-12-11	VYDAJ	PREVOD NA UCET	5950	20408	SIPO	ST	51806682
263210	900	1998-01-11	VYDAJ	PREVOD NA UCET	5950	14561	SIPO	ST	51806682
263211	900	1998-02-11	VYDAJ	PREVOD NA UCET	5950	17584	SIPO	ST	51806682
263212	900	1998-03-11	VYDAJ	PREVOD NA UCET	5950	20512	SIPO	ST	51806682
263213	900	1998-04-11	VYDAJ	PREVOD NA UCET	5950	16056	SIPO	ST	51806682
263214	900	1998-05-11	VYDAJ	PREVOD NA UCET	5950	16089	SIPO	ST	51806682
263215	900	1998-06-11	VYDAJ	PREVOD NA UCET	5950	23580	SIPO	ST	51806682
263216	900	1998-07-11	VYDAJ	PREVOD NA UCET	5950	20527	SIPO	ST	51806682
263217	900	1998-08-11	VYDAJ	PREVOD NA UCET	5950	18776	SIPO	ST	51806682
263218	900	1998-09-11	VYDAJ	PREVOD NA UCET	5950	17846	SIPO	ST	51806682
263219	900	1998-10-11	VYDAJ	PREVOD NA UCET	5950	18575	SIPO	ST	51806682
263220	900	1998-11-11	VYDAJ	PREVOD NA UCET	5950	22113	SIPO	ST	51806682
263221	900	1998-12-11	VYDAJ	PREVOD NA UCET	5950	25625	SIPO	ST	51806682
263223	900	1995-06-02	VYDAJ	VYBER	9600	15662	\N	\N	\N
263228	900	1995-01-23	VYDAJ	VYBER	2240	20052	\N	\N	\N
263232	900	1994-12-02	VYDAJ	VYBER	2720	21100	\N	\N	\N
263233	900	1995-12-14	VYDAJ	VYBER	4640	20161	\N	\N	\N
263234	900	1996-12-25	VYDAJ	VYBER	2400	14184	\N	\N	\N
263235	900	1997-12-13	VYDAJ	VYBER	3040	17368	\N	\N	\N
263236	900	1998-12-27	VYDAJ	VYBER	2880	22745	\N	\N	\N
263243	900	1995-01-27	VYDAJ	VYBER	2160	17892	\N	\N	\N
263244	900	1995-01-10	VYDAJ	VYBER	2640	29122	\N	\N	\N
263245	900	1995-01-22	VYDAJ	VYBER	1080	22292	\N	\N	\N
263246	900	1995-01-09	VYDAJ	VYBER	1560	33802	\N	\N	\N
263247	900	1995-01-29	VYDAJ	VYBER	3240	14652	\N	\N	\N
263248	900	1995-01-10	VYDAJ	VYBER	2040	31762	\N	\N	\N
263249	900	1996-01-13	VYDAJ	VYBER	2040	16546	\N	\N	\N
263251	900	1996-01-22	VYDAJ	VYBER	1800	13046	\N	\N	\N
263252	900	1996-01-04	VYDAJ	VYBER	2520	15611	\N	\N	\N
263253	900	1996-01-20	VYDAJ	VYBER	3000	14846	\N	\N	\N
263256	900	1997-01-17	VYDAJ	VYBER	600	13804	\N	\N	\N
263261	900	1998-01-01	VYDAJ	VYBER	3240	14186	\N	\N	\N
263267	900	1994-10-17	VYDAJ	VYBER	5400	25173	\N	\N	\N
263270	900	1994-11-19	VYDAJ	VYBER	1320	27426	\N	\N	\N
263271	900	1995-02-04	VYDAJ	VYBER	1680	13053	\N	\N	\N
263272	900	1995-12-06	VYDAJ	VYBER	1800	17364	\N	\N	\N
263273	900	1995-11-11	VYDAJ	VYBER	5640	28433	\N	\N	\N
263274	900	1995-07-13	VYDAJ	VYBER	960	21873	\N	\N	\N
263275	900	1995-06-12	VYDAJ	VYBER	1920	21179	\N	\N	\N
263276	900	1995-08-12	VYDAJ	VYBER	3960	18959	\N	\N	\N
263280	900	1996-07-15	VYDAJ	VYBER	5640	13896	\N	\N	\N
263281	900	1996-11-09	VYDAJ	VYBER	5880	16460	\N	\N	\N
263287	900	1997-06-17	VYDAJ	VYBER	1440	15308	\N	\N	\N
263291	900	1998-08-11	VYDAJ	VYBER	3960	14816	\N	\N	\N
263301	900	1994-09-30	VYDAJ	VYBER	15	27598	SLUZBY	\N	\N
263302	900	1994-10-31	VYDAJ	VYBER	15	25771	SLUZBY	\N	\N
263303	900	1994-11-30	VYDAJ	VYBER	15	23820	SLUZBY	\N	\N
263304	900	1994-12-31	VYDAJ	VYBER	15	26437	SLUZBY	\N	\N
263305	900	1995-01-31	VYDAJ	VYBER	15	14733	SLUZBY	\N	\N
263306	900	1995-02-28	VYDAJ	VYBER	15	19987	SLUZBY	\N	\N
263307	900	1995-03-31	VYDAJ	VYBER	15	21237	SLUZBY	\N	\N
263308	900	1995-04-30	VYDAJ	VYBER	15	24594	SLUZBY	\N	\N
263309	900	1995-05-31	VYDAJ	VYBER	15	25262	SLUZBY	\N	\N
263310	900	1995-06-30	VYDAJ	VYBER	15	19858	SLUZBY	\N	\N
263311	900	1995-07-31	VYDAJ	VYBER	15	19944	SLUZBY	\N	\N
263312	900	1995-08-31	VYDAJ	VYBER	15	20628	SLUZBY	\N	\N
263313	900	1995-09-30	VYDAJ	VYBER	15	24083	SLUZBY	\N	\N
263314	900	1995-10-31	VYDAJ	VYBER	15	25148	SLUZBY	\N	\N
263315	900	1995-11-30	VYDAJ	VYBER	15	19164	SLUZBY	\N	\N
263316	900	1995-12-31	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
263317	900	1996-01-31	VYDAJ	VYBER	15	13101	SLUZBY	\N	\N
263318	900	1996-02-29	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
263319	900	1996-03-31	VYDAJ	VYBER	15	20062	SLUZBY	\N	\N
263320	900	1996-04-30	VYDAJ	VYBER	15	18403	SLUZBY	\N	\N
263321	900	1996-05-31	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
263322	900	1996-06-30	VYDAJ	VYBER	15	22461	SLUZBY	\N	\N
263323	900	1996-07-31	VYDAJ	VYBER	15	13956	SLUZBY	\N	\N
263324	900	1996-08-31	VYDAJ	VYBER	15	14777	SLUZBY	\N	\N
263325	900	1996-09-30	VYDAJ	VYBER	15	14498	SLUZBY	\N	\N
263326	900	1996-10-31	VYDAJ	VYBER	15	13415	SLUZBY	\N	\N
263327	900	1996-11-30	VYDAJ	VYBER	15	11647	SLUZBY	\N	\N
263328	900	1996-12-31	VYDAJ	VYBER	15	14229	SLUZBY	\N	\N
263329	900	1997-01-31	VYDAJ	VYBER	15	13848	SLUZBY	\N	\N
263330	900	1997-02-28	VYDAJ	VYBER	15	13566	SLUZBY	\N	\N
263331	900	1997-03-31	VYDAJ	VYBER	15	11577	SLUZBY	\N	\N
263332	900	1997-04-30	VYDAJ	VYBER	15	13190	SLUZBY	\N	\N
263333	900	1997-05-31	VYDAJ	VYBER	15	14910	SLUZBY	\N	\N
263334	900	1997-06-30	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
263335	900	1997-07-31	VYDAJ	VYBER	15	8764	SLUZBY	\N	\N
263336	900	1997-08-31	VYDAJ	VYBER	15	5955	SLUZBY	\N	\N
263337	900	1997-09-30	VYDAJ	VYBER	15	8948	SLUZBY	\N	\N
263338	900	1997-10-31	VYDAJ	VYBER	15	11953	SLUZBY	\N	\N
263339	900	1997-11-30	VYDAJ	VYBER	15	14970	SLUZBY	\N	\N
263340	900	1997-12-31	VYDAJ	VYBER	15	17426	SLUZBY	\N	\N
263341	900	1998-01-31	VYDAJ	VYBER	15	14609	SLUZBY	\N	\N
263342	900	1998-02-28	VYDAJ	VYBER	15	17637	SLUZBY	\N	\N
263343	900	1998-03-31	VYDAJ	VYBER	15	20581	SLUZBY	\N	\N
263344	900	1998-04-30	VYDAJ	VYBER	15	16114	SLUZBY	\N	\N
263345	900	1998-05-31	VYDAJ	VYBER	15	16142	SLUZBY	\N	\N
263346	900	1998-06-30	VYDAJ	VYBER	15	23652	SLUZBY	\N	\N
263347	900	1998-07-31	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
263348	900	1998-08-31	VYDAJ	VYBER	15	14871	SLUZBY	\N	\N
263349	900	1998-09-30	VYDAJ	VYBER	15	17900	SLUZBY	\N	\N
263350	900	1998-10-31	VYDAJ	VYBER	15	18638	SLUZBY	\N	\N
263351	900	1998-11-30	VYDAJ	VYBER	15	22188	SLUZBY	\N	\N
263352	900	1994-05-26	PRIJEM	VKLAD	4800	14825	\N	\N	\N
263353	900	1994-06-25	VYDAJ	VYBER	100	28125	\N	\N	\N
263354	900	1994-07-25	VYDAJ	VYBER	4400	32722	\N	\N	\N
263355	900	1994-08-24	VYDAJ	VYBER	9900	31869	\N	\N	\N
263356	900	1994-09-23	VYDAJ	VYBER	7500	27479	\N	\N	\N
263357	900	1994-10-23	PRIJEM	VKLAD	500	25673	\N	\N	\N
263358	900	1994-11-22	VYDAJ	VYBER	3700	23726	\N	\N	\N
263359	900	1994-12-22	VYDAJ	VYBER	2200	26338	\N	\N	\N
263360	900	1995-01-21	PRIJEM	VKLAD	200	23372	\N	\N	\N
263361	900	1995-02-20	PRIJEM	VKLAD	3900	19928	\N	\N	\N
263362	900	1995-03-22	VYDAJ	VYBER	1800	21162	\N	\N	\N
263363	900	1995-04-21	PRIJEM	VKLAD	300	24512	\N	\N	\N
263364	900	1995-05-21	VYDAJ	VYBER	2400	25169	\N	\N	\N
263365	900	1995-06-20	VYDAJ	VYBER	1400	19779	\N	\N	\N
263366	900	1995-07-20	VYDAJ	VYBER	2000	19873	\N	\N	\N
263367	900	1995-08-19	PRIJEM	VKLAD	1600	20559	\N	\N	\N
263368	900	1995-09-18	PRIJEM	VKLAD	400	24003	\N	\N	\N
263369	900	1995-10-18	VYDAJ	VYBER	2000	25058	\N	\N	\N
263370	900	1995-11-17	VYDAJ	VYBER	3400	19083	\N	\N	\N
263371	900	1995-12-17	VYDAJ	VYBER	2100	18061	\N	\N	\N
263372	900	1996-01-16	PRIJEM	VKLAD	1300	17846	\N	\N	\N
263373	900	1996-03-16	PRIJEM	VKLAD	900	19999	\N	\N	\N
263374	900	1996-04-15	VYDAJ	VYBER	4700	18337	\N	\N	\N
263375	900	1996-05-15	VYDAJ	VYBER	900	20478	\N	\N	\N
263376	900	1996-06-14	VYDAJ	VYBER	5600	22383	\N	\N	\N
263377	900	1996-07-14	VYDAJ	VYBER	5900	19536	\N	\N	\N
263378	900	1996-08-13	VYDAJ	VYBER	2200	14731	\N	\N	\N
263379	900	1996-09-12	VYDAJ	VYBER	3300	14452	\N	\N	\N
263380	900	1996-10-12	VYDAJ	VYBER	4100	13373	\N	\N	\N
263381	900	1996-11-11	PRIJEM	VKLAD	1100	17560	\N	\N	\N
263382	900	1996-12-11	VYDAJ	VYBER	2500	22534	\N	\N	\N
263383	900	1997-01-10	VYDAJ	VYBER	2800	20354	\N	\N	\N
263384	900	1997-02-09	VYDAJ	VYBER	3300	19473	\N	\N	\N
263385	900	1997-03-11	VYDAJ	VYBER	5000	11541	\N	\N	\N
263386	900	1997-04-10	VYDAJ	VYBER	1400	19102	\N	\N	\N
263387	900	1997-05-10	VYDAJ	VYBER	1300	20815	\N	\N	\N
263388	900	1997-06-09	VYDAJ	VYBER	5600	22698	\N	\N	\N
263389	900	1997-07-09	VYDAJ	VYBER	9600	14684	\N	\N	\N
263390	900	1997-08-08	VYDAJ	VYBER	5800	11889	\N	\N	\N
263391	900	1997-12-06	VYDAJ	VYBER	2000	12970	\N	\N	\N
263392	900	1998-01-05	VYDAJ	VYBER	2600	11586	\N	\N	\N
263393	900	1998-03-06	VYDAJ	VYBER	100	17537	\N	\N	\N
263394	900	1998-04-05	VYDAJ	VYBER	7500	13081	\N	\N	\N
263395	900	1998-05-05	VYDAJ	VYBER	3000	13114	\N	\N	\N
263396	900	1998-07-04	VYDAJ	VYBER	6100	17552	\N	\N	\N
263397	900	1998-08-03	VYDAJ	VYBER	4800	15801	\N	\N	\N
263398	900	1998-10-02	VYDAJ	VYBER	2300	15600	\N	\N	\N
263399	900	1998-11-01	PRIJEM	VKLAD	500	19138	\N	\N	\N
263400	900	1998-12-01	VYDAJ	VYBER	4000	18188	\N	\N	\N
263457	901	1994-07-10	PRIJEM	VKLAD	900	900	\N	\N	\N
263651	901	1995-11-30	VYDAJ	VYBER	15	27247	SLUZBY	\N	\N
263464	901	1994-07-11	PRIJEM	PREVOD Z UCTU	4618	5518	DUCHOD	AB	33868909
263465	901	1994-08-11	PRIJEM	PREVOD Z UCTU	4618	10152	DUCHOD	AB	33868909
263466	901	1994-09-11	PRIJEM	PREVOD Z UCTU	4618	14793	DUCHOD	AB	33868909
263467	901	1994-10-11	PRIJEM	PREVOD Z UCTU	4618	19434	DUCHOD	AB	33868909
263468	901	1994-11-11	PRIJEM	PREVOD Z UCTU	4618	24075	DUCHOD	AB	33868909
263469	901	1994-12-11	PRIJEM	PREVOD Z UCTU	4618	26835	DUCHOD	AB	33868909
263470	901	1995-01-11	PRIJEM	PREVOD Z UCTU	4618	27468	DUCHOD	AB	33868909
263471	901	1995-02-11	PRIJEM	PREVOD Z UCTU	4618	24015	DUCHOD	AB	33868909
263472	901	1995-03-11	PRIJEM	PREVOD Z UCTU	4618	26796	DUCHOD	AB	33868909
263473	901	1995-04-11	PRIJEM	PREVOD Z UCTU	4618	25822	DUCHOD	AB	33868909
263474	901	1995-05-11	PRIJEM	PREVOD Z UCTU	4618	28611	DUCHOD	AB	33868909
263475	901	1995-06-11	PRIJEM	PREVOD Z UCTU	4618	29212	DUCHOD	AB	33868909
263476	901	1995-07-11	PRIJEM	PREVOD Z UCTU	4618	30419	DUCHOD	AB	33868909
263477	901	1995-08-11	PRIJEM	PREVOD Z UCTU	4618	28682	DUCHOD	AB	33868909
263478	901	1995-09-11	PRIJEM	PREVOD Z UCTU	4618	31485	DUCHOD	AB	33868909
263479	901	1995-10-11	PRIJEM	PREVOD Z UCTU	4618	32797	DUCHOD	AB	33868909
263480	901	1995-11-11	PRIJEM	PREVOD Z UCTU	4618	32490	DUCHOD	AB	33868909
263481	901	1995-12-11	PRIJEM	PREVOD Z UCTU	4618	30265	DUCHOD	AB	33868909
263482	901	1996-01-11	PRIJEM	PREVOD Z UCTU	4618	31795	DUCHOD	AB	33868909
263483	901	1996-02-11	PRIJEM	PREVOD Z UCTU	4618	25476	DUCHOD	AB	33868909
263484	901	1996-03-11	PRIJEM	PREVOD Z UCTU	4618	28263	DUCHOD	AB	33868909
263485	901	1996-04-11	PRIJEM	PREVOD Z UCTU	4618	28022	DUCHOD	AB	33868909
263486	901	1996-05-11	PRIJEM	PREVOD Z UCTU	4618	28645	DUCHOD	AB	33868909
263487	901	1996-06-11	PRIJEM	PREVOD Z UCTU	4618	29848	DUCHOD	AB	33868909
263488	901	1996-07-11	PRIJEM	PREVOD Z UCTU	4618	29152	DUCHOD	AB	33868909
263489	901	1996-08-11	PRIJEM	PREVOD Z UCTU	4618	30393	DUCHOD	AB	33868909
263490	901	1996-09-11	PRIJEM	PREVOD Z UCTU	4618	30899	DUCHOD	AB	33868909
263491	901	1996-10-11	PRIJEM	PREVOD Z UCTU	4618	32308	DUCHOD	AB	33868909
263492	901	1996-11-11	PRIJEM	PREVOD Z UCTU	4618	31843	DUCHOD	AB	33868909
263493	901	1996-12-11	PRIJEM	PREVOD Z UCTU	4618	30738	DUCHOD	AB	33868909
263494	901	1997-01-11	PRIJEM	PREVOD Z UCTU	4618	30826	DUCHOD	AB	33868909
263495	901	1997-02-11	PRIJEM	PREVOD Z UCTU	4618	30756	DUCHOD	AB	33868909
263496	901	1997-03-11	PRIJEM	PREVOD Z UCTU	4618	30037	DUCHOD	AB	33868909
263497	901	1997-04-11	PRIJEM	PREVOD Z UCTU	4618	32843	DUCHOD	AB	33868909
263498	901	1997-05-11	PRIJEM	PREVOD Z UCTU	4618	32958	DUCHOD	AB	33868909
263499	901	1997-06-11	PRIJEM	PREVOD Z UCTU	4618	32273	DUCHOD	AB	33868909
263500	901	1997-07-11	PRIJEM	PREVOD Z UCTU	4618	34887	DUCHOD	AB	33868909
263501	901	1997-08-11	PRIJEM	PREVOD Z UCTU	4618	33308	DUCHOD	AB	33868909
263502	901	1997-09-11	PRIJEM	PREVOD Z UCTU	4618	28544	DUCHOD	AB	33868909
263503	901	1997-10-11	PRIJEM	PREVOD Z UCTU	4618	30247	DUCHOD	AB	33868909
263504	901	1997-11-11	PRIJEM	PREVOD Z UCTU	4618	29048	DUCHOD	AB	33868909
263505	901	1997-12-11	PRIJEM	PREVOD Z UCTU	4618	31849	DUCHOD	AB	33868909
263506	901	1998-01-11	PRIJEM	PREVOD Z UCTU	4618	30120	DUCHOD	AB	33868909
263507	901	1998-02-11	PRIJEM	PREVOD Z UCTU	4618	26898	DUCHOD	AB	33868909
263508	901	1998-03-11	PRIJEM	PREVOD Z UCTU	4618	29690	DUCHOD	AB	33868909
263509	901	1998-04-11	PRIJEM	PREVOD Z UCTU	4618	31291	DUCHOD	AB	33868909
263510	901	1998-05-11	PRIJEM	PREVOD Z UCTU	4618	34101	DUCHOD	AB	33868909
263511	901	1998-06-11	PRIJEM	PREVOD Z UCTU	4618	34680	DUCHOD	AB	33868909
263512	901	1998-07-11	PRIJEM	PREVOD Z UCTU	4618	37504	DUCHOD	AB	33868909
263513	901	1998-08-11	PRIJEM	PREVOD Z UCTU	4618	40340	DUCHOD	AB	33868909
263514	901	1998-09-11	PRIJEM	PREVOD Z UCTU	4618	41024	DUCHOD	AB	33868909
263515	901	1998-10-11	PRIJEM	PREVOD Z UCTU	4618	43874	DUCHOD	AB	33868909
263516	901	1998-11-11	PRIJEM	PREVOD Z UCTU	4618	45333	DUCHOD	AB	33868909
263517	901	1998-12-11	PRIJEM	PREVOD Z UCTU	4618	45296	DUCHOD	AB	33868909
263528	901	1994-11-12	VYDAJ	PREVOD NA UCET	1910	22165	SIPO	UV	93629043
263529	901	1994-12-12	VYDAJ	PREVOD NA UCET	1910	24925	SIPO	UV	93629043
263530	901	1995-01-12	VYDAJ	PREVOD NA UCET	1910	23638	SIPO	UV	93629043
263531	901	1995-02-12	VYDAJ	PREVOD NA UCET	1910	22105	SIPO	UV	93629043
263532	901	1995-03-12	VYDAJ	PREVOD NA UCET	1910	24886	SIPO	UV	93629043
263533	901	1995-04-12	VYDAJ	PREVOD NA UCET	1910	23912	SIPO	UV	93629043
263534	901	1995-05-12	VYDAJ	PREVOD NA UCET	1910	26701	SIPO	UV	93629043
263535	901	1995-06-12	VYDAJ	PREVOD NA UCET	1910	27302	SIPO	UV	93629043
263536	901	1995-07-12	VYDAJ	PREVOD NA UCET	1910	28509	SIPO	UV	93629043
263537	901	1995-08-12	VYDAJ	PREVOD NA UCET	1910	26772	SIPO	UV	93629043
263538	901	1995-09-12	VYDAJ	PREVOD NA UCET	1910	29575	SIPO	UV	93629043
263539	901	1995-10-12	VYDAJ	PREVOD NA UCET	1910	30887	SIPO	UV	93629043
263540	901	1995-11-12	VYDAJ	PREVOD NA UCET	1910	30580	SIPO	UV	93629043
263541	901	1995-12-12	VYDAJ	PREVOD NA UCET	1910	28355	SIPO	UV	93629043
263542	901	1996-01-12	VYDAJ	PREVOD NA UCET	1910	29885	SIPO	UV	93629043
263543	901	1996-02-12	VYDAJ	PREVOD NA UCET	1910	23566	SIPO	UV	93629043
263544	901	1996-03-12	VYDAJ	PREVOD NA UCET	1910	26353	SIPO	UV	93629043
263545	901	1996-04-12	VYDAJ	PREVOD NA UCET	1910	26112	SIPO	UV	93629043
263546	901	1996-05-12	VYDAJ	PREVOD NA UCET	1910	26735	SIPO	UV	93629043
263547	901	1996-06-12	VYDAJ	PREVOD NA UCET	1910	27938	SIPO	UV	93629043
263548	901	1996-07-12	VYDAJ	PREVOD NA UCET	1910	27242	SIPO	UV	93629043
263549	901	1996-08-12	VYDAJ	PREVOD NA UCET	1910	28483	SIPO	UV	93629043
263550	901	1996-09-12	VYDAJ	PREVOD NA UCET	1910	28989	SIPO	UV	93629043
263551	901	1996-10-12	VYDAJ	PREVOD NA UCET	1910	30398	SIPO	UV	93629043
263552	901	1996-11-12	VYDAJ	PREVOD NA UCET	1910	29933	SIPO	UV	93629043
263553	901	1996-12-12	VYDAJ	PREVOD NA UCET	1910	28828	SIPO	UV	93629043
263554	901	1997-01-12	VYDAJ	PREVOD NA UCET	1910	28916	SIPO	UV	93629043
263555	901	1997-02-12	VYDAJ	PREVOD NA UCET	1910	28846	SIPO	UV	93629043
263556	901	1997-03-12	VYDAJ	PREVOD NA UCET	1910	28127	SIPO	UV	93629043
263557	901	1997-04-12	VYDAJ	PREVOD NA UCET	1910	30933	SIPO	UV	93629043
263558	901	1997-05-12	VYDAJ	PREVOD NA UCET	1910	31048	SIPO	UV	93629043
263559	901	1997-06-12	VYDAJ	PREVOD NA UCET	1910	30363	SIPO	UV	93629043
263560	901	1997-07-12	VYDAJ	PREVOD NA UCET	1910	32977	SIPO	UV	93629043
263561	901	1997-08-12	VYDAJ	PREVOD NA UCET	1910	31398	SIPO	UV	93629043
263562	901	1997-09-12	VYDAJ	PREVOD NA UCET	1910	26634	SIPO	UV	93629043
263563	901	1997-10-12	VYDAJ	PREVOD NA UCET	1910	28337	SIPO	UV	93629043
263564	901	1997-11-12	VYDAJ	PREVOD NA UCET	1910	27138	SIPO	UV	93629043
263565	901	1997-12-12	VYDAJ	PREVOD NA UCET	1910	29939	SIPO	UV	93629043
263566	901	1998-01-12	VYDAJ	PREVOD NA UCET	1910	28210	SIPO	UV	93629043
263567	901	1998-02-12	VYDAJ	PREVOD NA UCET	1910	24988	SIPO	UV	93629043
263568	901	1998-03-12	VYDAJ	PREVOD NA UCET	1910	27780	SIPO	UV	93629043
263569	901	1998-04-12	VYDAJ	PREVOD NA UCET	1910	29381	SIPO	UV	93629043
263570	901	1998-05-12	VYDAJ	PREVOD NA UCET	1910	32191	SIPO	UV	93629043
263571	901	1998-06-12	VYDAJ	PREVOD NA UCET	1910	32770	SIPO	UV	93629043
263572	901	1998-07-12	VYDAJ	PREVOD NA UCET	1910	35594	SIPO	UV	93629043
263573	901	1998-08-12	VYDAJ	PREVOD NA UCET	1910	38430	SIPO	UV	93629043
263574	901	1998-09-12	VYDAJ	PREVOD NA UCET	1910	39114	SIPO	UV	93629043
263575	901	1998-10-12	VYDAJ	PREVOD NA UCET	1910	41964	SIPO	UV	93629043
263576	901	1998-11-12	VYDAJ	PREVOD NA UCET	1910	43423	SIPO	UV	93629043
263577	901	1998-12-12	VYDAJ	PREVOD NA UCET	1910	43386	SIPO	UV	93629043
263584	901	1995-01-27	VYDAJ	VYBER	560	19318	\N	\N	\N
263585	901	1995-01-19	VYDAJ	VYBER	1760	19878	\N	\N	\N
263586	901	1995-01-17	VYDAJ	VYBER	2000	21638	\N	\N	\N
263587	901	1995-01-12	VYDAJ	VYBER	1920	25548	\N	\N	\N
263588	901	1995-01-05	VYDAJ	VYBER	1600	23410	\N	\N	\N
263589	901	1995-01-08	VYDAJ	VYBER	560	22850	\N	\N	\N
263590	901	1996-01-23	VYDAJ	VYBER	2160	20765	\N	\N	\N
263591	901	1996-01-06	VYDAJ	VYBER	1280	27177	\N	\N	\N
263592	901	1996-01-16	VYDAJ	VYBER	800	29085	\N	\N	\N
263593	901	1996-01-19	VYDAJ	VYBER	2240	25245	\N	\N	\N
263594	901	1996-01-18	VYDAJ	VYBER	1600	27485	\N	\N	\N
263595	901	1996-01-21	VYDAJ	VYBER	2320	22925	\N	\N	\N
263596	901	1997-01-25	VYDAJ	VYBER	2080	26036	\N	\N	\N
263597	901	1997-01-25	VYDAJ	VYBER	400	28116	\N	\N	\N
263598	901	1997-01-22	VYDAJ	VYBER	400	28516	\N	\N	\N
263599	901	1997-01-09	VYDAJ	VYBER	560	26208	\N	\N	\N
263600	901	1997-01-01	VYDAJ	VYBER	1680	27248	\N	\N	\N
263601	901	1997-01-08	VYDAJ	VYBER	480	26768	\N	\N	\N
263602	901	1998-01-01	VYDAJ	VYBER	1600	26942	\N	\N	\N
263603	901	1998-01-26	VYDAJ	VYBER	1760	22190	\N	\N	\N
263604	901	1998-01-17	VYDAJ	VYBER	1680	26530	\N	\N	\N
263605	901	1998-01-25	VYDAJ	VYBER	880	23950	\N	\N	\N
263606	901	1998-01-02	VYDAJ	VYBER	400	25502	\N	\N	\N
263607	901	1998-01-02	VYDAJ	VYBER	1040	25902	\N	\N	\N
263611	901	1995-10-13	VYDAJ	VYBER	3120	27767	\N	\N	\N
263612	901	1995-03-18	VYDAJ	VYBER	3760	21126	\N	\N	\N
263613	901	1995-11-27	VYDAJ	VYBER	3440	27140	\N	\N	\N
263614	901	1995-07-16	VYDAJ	VYBER	3440	25069	\N	\N	\N
263615	901	1996-05-04	VYDAJ	VYBER	1600	24027	\N	\N	\N
263616	901	1996-07-21	VYDAJ	VYBER	1360	25882	\N	\N	\N
263617	901	1996-11-02	VYDAJ	VYBER	2400	27225	\N	\N	\N
263618	901	1996-04-04	VYDAJ	VYBER	3040	23404	\N	\N	\N
263619	901	1996-10-28	VYDAJ	VYBER	880	29518	\N	\N	\N
263620	901	1996-04-30	VYDAJ	VYBER	480	25742	\N	\N	\N
263621	901	1996-11-25	VYDAJ	VYBER	3920	26013	\N	\N	\N
263622	901	1997-08-26	VYDAJ	VYBER	1600	27498	\N	\N	\N
263623	901	1997-02-14	VYDAJ	VYBER	3520	25326	\N	\N	\N
263624	901	1997-09-07	VYDAJ	VYBER	3680	23926	\N	\N	\N
263625	901	1998-05-22	VYDAJ	VYBER	2240	29951	\N	\N	\N
263626	901	1998-03-12	VYDAJ	VYBER	1200	26580	\N	\N	\N
263627	901	1998-08-18	VYDAJ	VYBER	2160	36270	\N	\N	\N
263639	901	1994-11-30	VYDAJ	VYBER	15	22217	SLUZBY	\N	\N
263640	901	1994-12-31	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
263641	901	1995-01-31	VYDAJ	VYBER	15	19397	SLUZBY	\N	\N
263642	901	1995-02-28	VYDAJ	VYBER	15	22178	SLUZBY	\N	\N
263643	901	1995-03-31	VYDAJ	VYBER	15	21204	SLUZBY	\N	\N
263644	901	1995-04-30	VYDAJ	VYBER	15	23993	SLUZBY	\N	\N
263645	901	1995-05-31	VYDAJ	VYBER	15	26794	SLUZBY	\N	\N
263646	901	1995-06-30	VYDAJ	VYBER	15	27401	SLUZBY	\N	\N
263647	901	1995-07-31	VYDAJ	VYBER	15	25164	SLUZBY	\N	\N
263648	901	1995-08-31	VYDAJ	VYBER	15	26867	SLUZBY	\N	\N
263649	901	1995-09-30	VYDAJ	VYBER	15	29679	SLUZBY	\N	\N
263650	901	1995-10-31	VYDAJ	VYBER	15	27872	SLUZBY	\N	\N
263652	901	1995-12-31	VYDAJ	VYBER	15	28457	SLUZBY	\N	\N
263653	901	1996-01-31	VYDAJ	VYBER	15	20858	SLUZBY	\N	\N
263654	901	1996-02-29	VYDAJ	VYBER	15	23645	SLUZBY	\N	\N
263655	901	1996-03-31	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
263656	901	1996-04-30	VYDAJ	VYBER	15	25727	SLUZBY	\N	\N
263657	901	1996-05-31	VYDAJ	VYBER	15	25230	SLUZBY	\N	\N
263658	901	1996-06-30	VYDAJ	VYBER	15	24534	SLUZBY	\N	\N
263659	901	1996-07-31	VYDAJ	VYBER	15	25775	SLUZBY	\N	\N
263660	901	1996-08-31	VYDAJ	VYBER	15	26281	SLUZBY	\N	\N
263661	901	1996-09-30	VYDAJ	VYBER	15	27690	SLUZBY	\N	\N
263662	901	1996-10-31	VYDAJ	VYBER	15	29625	SLUZBY	\N	\N
263663	901	1996-11-30	VYDAJ	VYBER	15	26120	SLUZBY	\N	\N
263664	901	1996-12-31	VYDAJ	VYBER	15	28928	SLUZBY	\N	\N
263665	901	1997-01-31	VYDAJ	VYBER	15	26138	SLUZBY	\N	\N
263666	901	1997-02-28	VYDAJ	VYBER	15	25419	SLUZBY	\N	\N
263667	901	1997-03-31	VYDAJ	VYBER	15	28225	SLUZBY	\N	\N
263668	901	1997-04-30	VYDAJ	VYBER	15	28340	SLUZBY	\N	\N
263669	901	1997-05-31	VYDAJ	VYBER	15	27655	SLUZBY	\N	\N
263670	901	1997-06-30	VYDAJ	VYBER	15	30269	SLUZBY	\N	\N
263671	901	1997-07-31	VYDAJ	VYBER	15	28690	SLUZBY	\N	\N
263672	901	1997-08-31	VYDAJ	VYBER	15	27606	SLUZBY	\N	\N
263673	901	1997-09-30	VYDAJ	VYBER	15	25629	SLUZBY	\N	\N
263674	901	1997-10-31	VYDAJ	VYBER	15	24430	SLUZBY	\N	\N
263675	901	1997-11-30	VYDAJ	VYBER	15	27231	SLUZBY	\N	\N
263676	901	1997-12-31	VYDAJ	VYBER	15	28542	SLUZBY	\N	\N
263677	901	1998-01-31	VYDAJ	VYBER	15	22280	SLUZBY	\N	\N
263678	901	1998-02-28	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
263679	901	1998-03-31	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
263680	901	1998-04-30	VYDAJ	VYBER	15	29483	SLUZBY	\N	\N
263681	901	1998-05-31	VYDAJ	VYBER	15	30062	SLUZBY	\N	\N
263682	901	1998-06-30	VYDAJ	VYBER	15	32886	SLUZBY	\N	\N
263683	901	1998-07-31	VYDAJ	VYBER	15	35722	SLUZBY	\N	\N
263684	901	1998-08-31	VYDAJ	VYBER	15	36406	SLUZBY	\N	\N
263685	901	1998-09-30	VYDAJ	VYBER	15	39256	SLUZBY	\N	\N
263686	901	1998-10-31	VYDAJ	VYBER	15	40715	SLUZBY	\N	\N
263687	901	1998-11-30	VYDAJ	VYBER	15	40678	SLUZBY	\N	\N
263688	901	1995-06-05	VYDAJ	VYBER	2200	24594	\N	\N	\N
263689	901	1995-07-05	VYDAJ	VYBER	1600	25801	\N	\N	\N
263690	901	1995-08-04	VYDAJ	VYBER	1100	24064	\N	\N	\N
263691	901	1995-10-03	VYDAJ	VYBER	1500	28179	\N	\N	\N
263692	901	1995-12-02	VYDAJ	VYBER	1600	25647	\N	\N	\N
263693	901	1996-04-30	VYDAJ	VYBER	100	25627	\N	\N	\N
263694	901	1996-05-30	VYDAJ	VYBER	1600	25135	\N	\N	\N
263695	901	1996-06-29	VYDAJ	VYBER	3500	24438	\N	\N	\N
263696	901	1996-07-29	VYDAJ	VYBER	200	25682	\N	\N	\N
263697	901	1996-08-28	VYDAJ	VYBER	2300	26183	\N	\N	\N
263698	901	1996-09-27	VYDAJ	VYBER	1400	27589	\N	\N	\N
263699	901	1997-04-25	VYDAJ	VYBER	2700	28233	\N	\N	\N
263700	901	1997-05-25	VYDAJ	VYBER	3500	27548	\N	\N	\N
263701	901	1997-06-24	VYDAJ	VYBER	200	30163	\N	\N	\N
263702	901	1997-07-24	VYDAJ	VYBER	4400	28577	\N	\N	\N
263703	901	1997-08-23	VYDAJ	VYBER	2300	29098	\N	\N	\N
263704	901	1997-09-22	VYDAJ	VYBER	1100	25534	\N	\N	\N
263705	901	1997-10-22	VYDAJ	VYBER	4000	24337	\N	\N	\N
263706	901	1997-12-21	VYDAJ	VYBER	1500	28439	\N	\N	\N
263707	901	1998-01-20	VYDAJ	VYBER	1700	24830	\N	\N	\N
263708	901	1998-10-17	VYDAJ	VYBER	1400	40564	\N	\N	\N
263709	901	1998-11-16	VYDAJ	VYBER	2900	40523	\N	\N	\N
263764	902	1993-06-29	PRIJEM	VKLAD	800	800	\N	\N	\N
263771	902	1993-07-06	PRIJEM	VKLAD	7731	8531	\N	\N	\N
263772	902	1993-08-06	PRIJEM	VKLAD	7731	22368	\N	\N	\N
263773	902	1993-09-06	PRIJEM	VKLAD	7731	31765	\N	\N	\N
263774	902	1993-10-06	PRIJEM	VKLAD	7731	37499	\N	\N	\N
263775	902	1993-11-06	PRIJEM	VKLAD	7731	39555	\N	\N	\N
263776	902	1993-12-06	PRIJEM	VKLAD	11596	43025	\N	\N	\N
263777	902	1994-01-06	PRIJEM	VKLAD	7731	39639	\N	\N	\N
263778	902	1994-02-06	PRIJEM	VKLAD	7731	31319	\N	\N	\N
263779	902	1994-03-06	PRIJEM	VKLAD	7731	31790	\N	\N	\N
263780	902	1994-04-06	PRIJEM	VKLAD	7731	35966	\N	\N	\N
263781	902	1994-05-06	PRIJEM	VKLAD	7731	37473	\N	\N	\N
263782	902	1994-06-06	PRIJEM	VKLAD	11596	38631	\N	\N	\N
263783	902	1994-07-06	PRIJEM	VKLAD	7731	38547	\N	\N	\N
263784	902	1994-08-06	PRIJEM	VKLAD	7731	35644	\N	\N	\N
263785	902	1994-09-06	PRIJEM	VKLAD	7731	34029	\N	\N	\N
263786	902	1994-10-06	PRIJEM	VKLAD	7731	33642	\N	\N	\N
263787	902	1994-11-06	PRIJEM	VKLAD	7731	36424	\N	\N	\N
263788	902	1994-12-06	PRIJEM	VKLAD	11596	40236	\N	\N	\N
263789	902	1995-01-06	PRIJEM	VKLAD	7731	32117	\N	\N	\N
263790	902	1995-02-06	PRIJEM	VKLAD	7731	29467	\N	\N	\N
263791	902	1995-03-06	PRIJEM	VKLAD	7731	24124	\N	\N	\N
263792	902	1995-04-06	PRIJEM	VKLAD	7731	30457	\N	\N	\N
263793	902	1995-05-06	PRIJEM	VKLAD	7731	34030	\N	\N	\N
263794	902	1995-06-06	PRIJEM	VKLAD	11596	38775	\N	\N	\N
263795	902	1995-07-06	PRIJEM	VKLAD	7731	38769	\N	\N	\N
263796	902	1995-08-06	PRIJEM	VKLAD	7731	37465	\N	\N	\N
263797	902	1995-09-06	PRIJEM	VKLAD	7731	36054	\N	\N	\N
263798	902	1995-10-06	PRIJEM	VKLAD	7731	35338	\N	\N	\N
263799	902	1995-11-06	PRIJEM	VKLAD	7731	35921	\N	\N	\N
263800	902	1995-12-06	PRIJEM	VKLAD	11596	37565	\N	\N	\N
263801	902	1996-01-06	PRIJEM	VKLAD	7731	30788	\N	\N	\N
263802	902	1996-02-06	PRIJEM	VKLAD	7731	23343	\N	\N	\N
263803	902	1996-03-06	PRIJEM	VKLAD	7731	25707	\N	\N	\N
263804	902	1996-04-06	PRIJEM	VKLAD	7731	24893	\N	\N	\N
263805	902	1996-05-06	PRIJEM	VKLAD	7731	28839	\N	\N	\N
263806	902	1996-06-06	PRIJEM	VKLAD	11596	30069	\N	\N	\N
263807	902	1996-07-06	PRIJEM	VKLAD	7731	30725	\N	\N	\N
263808	902	1996-08-06	PRIJEM	VKLAD	7731	27477	\N	\N	\N
263809	902	1996-09-06	PRIJEM	VKLAD	7731	29433	\N	\N	\N
263810	902	1996-10-06	PRIJEM	VKLAD	7731	25597	\N	\N	\N
263811	902	1996-11-06	PRIJEM	VKLAD	7731	27139	\N	\N	\N
263812	902	1996-12-06	PRIJEM	VKLAD	11596	32652	\N	\N	\N
263813	902	1997-01-06	PRIJEM	VKLAD	7731	24394	\N	\N	\N
263814	902	1997-02-06	PRIJEM	VKLAD	7731	24499	\N	\N	\N
263815	902	1997-03-06	PRIJEM	VKLAD	7731	32756	\N	\N	\N
263816	902	1997-04-06	PRIJEM	VKLAD	7731	36032	\N	\N	\N
263817	902	1997-05-06	PRIJEM	VKLAD	7731	34710	\N	\N	\N
263818	902	1997-06-06	PRIJEM	VKLAD	11596	34338	\N	\N	\N
263819	902	1997-07-06	PRIJEM	VKLAD	7731	30795	\N	\N	\N
263820	902	1997-08-06	PRIJEM	VKLAD	7731	24114	\N	\N	\N
263821	902	1997-09-06	PRIJEM	VKLAD	7731	21534	\N	\N	\N
263822	902	1997-10-06	PRIJEM	VKLAD	7731	19145	\N	\N	\N
263823	902	1997-11-06	PRIJEM	VKLAD	7731	23066	\N	\N	\N
263824	902	1997-12-06	PRIJEM	VKLAD	11596	30868	\N	\N	\N
263825	902	1998-01-06	PRIJEM	VKLAD	7731	26025	\N	\N	\N
263826	902	1998-02-06	PRIJEM	VKLAD	7731	23479	\N	\N	\N
263827	902	1998-03-06	PRIJEM	VKLAD	7731	27418	\N	\N	\N
263828	902	1998-04-06	PRIJEM	VKLAD	7731	31373	\N	\N	\N
263829	902	1998-05-06	PRIJEM	VKLAD	7731	21644	\N	\N	\N
263830	902	1998-06-06	PRIJEM	VKLAD	11596	29450	\N	\N	\N
263831	902	1998-07-06	PRIJEM	VKLAD	7731	22410	\N	\N	\N
263832	902	1998-08-06	PRIJEM	VKLAD	7731	26352	\N	\N	\N
263833	902	1998-09-06	PRIJEM	VKLAD	7731	23461	\N	\N	\N
263834	902	1998-10-06	PRIJEM	VKLAD	7731	25844	\N	\N	\N
263835	902	1998-11-06	PRIJEM	VKLAD	7731	29794	\N	\N	\N
263836	902	1998-12-06	PRIJEM	VKLAD	11596	29522	\N	\N	\N
263847	902	1993-11-09	VYDAJ	PREVOD NA UCET	260	37569	SIPO	EF	83133846
263848	902	1993-12-09	VYDAJ	PREVOD NA UCET	260	41039	SIPO	EF	83133846
263849	902	1994-01-09	VYDAJ	PREVOD NA UCET	260	37053	SIPO	EF	83133846
263850	902	1994-02-09	VYDAJ	PREVOD NA UCET	260	29333	SIPO	EF	83133846
263851	902	1994-03-09	VYDAJ	PREVOD NA UCET	260	29804	SIPO	EF	83133846
263852	902	1994-04-09	VYDAJ	PREVOD NA UCET	260	31700	SIPO	EF	83133846
263853	902	1994-05-09	VYDAJ	PREVOD NA UCET	260	35487	SIPO	EF	83133846
263854	902	1994-06-09	VYDAJ	PREVOD NA UCET	260	36645	SIPO	EF	83133846
263855	902	1994-07-09	VYDAJ	PREVOD NA UCET	260	36561	SIPO	EF	83133846
263856	902	1994-08-09	VYDAJ	PREVOD NA UCET	260	33658	SIPO	EF	83133846
263857	902	1994-09-09	VYDAJ	PREVOD NA UCET	260	32043	SIPO	EF	83133846
263858	902	1994-10-09	VYDAJ	PREVOD NA UCET	260	31656	SIPO	EF	83133846
263859	902	1994-11-09	VYDAJ	PREVOD NA UCET	260	34438	SIPO	EF	83133846
263860	902	1994-12-09	VYDAJ	PREVOD NA UCET	260	38250	SIPO	EF	83133846
263861	902	1995-01-09	VYDAJ	PREVOD NA UCET	260	17811	SIPO	EF	83133846
263862	902	1995-02-09	VYDAJ	PREVOD NA UCET	260	27481	SIPO	EF	83133846
263863	902	1995-03-09	VYDAJ	PREVOD NA UCET	260	22138	SIPO	EF	83133846
263864	902	1995-04-09	VYDAJ	PREVOD NA UCET	260	28471	SIPO	EF	83133846
263865	902	1995-05-09	VYDAJ	PREVOD NA UCET	260	32044	SIPO	EF	83133846
263866	902	1995-06-09	VYDAJ	PREVOD NA UCET	260	36789	SIPO	EF	83133846
263867	902	1995-07-09	VYDAJ	PREVOD NA UCET	260	36783	SIPO	EF	83133846
263868	902	1995-08-09	VYDAJ	PREVOD NA UCET	260	35479	SIPO	EF	83133846
263869	902	1995-09-09	VYDAJ	PREVOD NA UCET	260	34068	SIPO	EF	83133846
263870	902	1995-10-09	VYDAJ	PREVOD NA UCET	260	33352	SIPO	EF	83133846
263871	902	1995-11-09	VYDAJ	PREVOD NA UCET	260	33935	SIPO	EF	83133846
263872	902	1995-12-09	VYDAJ	PREVOD NA UCET	260	35579	SIPO	EF	83133846
263873	902	1996-01-09	VYDAJ	PREVOD NA UCET	260	28802	SIPO	EF	83133846
263874	902	1996-02-09	VYDAJ	PREVOD NA UCET	260	21357	SIPO	EF	83133846
263875	902	1996-03-09	VYDAJ	PREVOD NA UCET	260	23721	SIPO	EF	83133846
263876	902	1996-04-09	VYDAJ	PREVOD NA UCET	260	22907	SIPO	EF	83133846
263877	902	1996-05-09	VYDAJ	PREVOD NA UCET	260	23973	SIPO	EF	83133846
263878	902	1996-06-09	VYDAJ	PREVOD NA UCET	260	28083	SIPO	EF	83133846
263879	902	1996-07-09	VYDAJ	PREVOD NA UCET	260	28739	SIPO	EF	83133846
263880	902	1996-08-09	VYDAJ	PREVOD NA UCET	260	25491	SIPO	EF	83133846
263881	902	1996-09-09	VYDAJ	PREVOD NA UCET	260	22167	SIPO	EF	83133846
263882	902	1996-10-09	VYDAJ	PREVOD NA UCET	260	23611	SIPO	EF	83133846
263883	902	1996-11-09	VYDAJ	PREVOD NA UCET	260	25153	SIPO	EF	83133846
263884	902	1996-12-09	VYDAJ	PREVOD NA UCET	260	26346	SIPO	EF	83133846
263885	902	1997-01-09	VYDAJ	PREVOD NA UCET	260	23368	SIPO	EF	83133846
263886	902	1997-02-09	VYDAJ	PREVOD NA UCET	260	26813	SIPO	EF	83133846
263887	902	1997-03-09	VYDAJ	PREVOD NA UCET	260	30770	SIPO	EF	83133846
263888	902	1997-04-09	VYDAJ	PREVOD NA UCET	260	34046	SIPO	EF	83133846
263889	902	1997-05-09	VYDAJ	PREVOD NA UCET	260	29124	SIPO	EF	83133846
263890	902	1997-06-09	VYDAJ	PREVOD NA UCET	260	24852	SIPO	EF	83133846
263891	902	1997-07-09	VYDAJ	PREVOD NA UCET	260	19509	SIPO	EF	83133846
263892	902	1997-08-09	VYDAJ	PREVOD NA UCET	260	15628	SIPO	EF	83133846
263893	902	1997-09-09	VYDAJ	PREVOD NA UCET	260	13248	SIPO	EF	83133846
263894	902	1997-10-09	VYDAJ	PREVOD NA UCET	260	17159	SIPO	EF	83133846
263895	902	1997-11-09	VYDAJ	PREVOD NA UCET	260	21080	SIPO	EF	83133846
263896	902	1997-12-09	VYDAJ	PREVOD NA UCET	260	28882	SIPO	EF	83133846
263897	902	1998-01-09	VYDAJ	PREVOD NA UCET	260	21039	SIPO	EF	83133846
263898	902	1998-02-09	VYDAJ	PREVOD NA UCET	260	21493	SIPO	EF	83133846
263899	902	1998-03-09	VYDAJ	PREVOD NA UCET	260	25432	SIPO	EF	83133846
263900	902	1998-04-09	VYDAJ	PREVOD NA UCET	260	29387	SIPO	EF	83133846
263901	902	1998-05-09	VYDAJ	PREVOD NA UCET	260	19658	SIPO	EF	83133846
263902	902	1998-06-09	VYDAJ	PREVOD NA UCET	260	27464	SIPO	EF	83133846
263903	902	1998-07-09	VYDAJ	PREVOD NA UCET	260	20424	SIPO	EF	83133846
263904	902	1998-08-09	VYDAJ	PREVOD NA UCET	260	24366	SIPO	EF	83133846
263905	902	1998-09-09	VYDAJ	PREVOD NA UCET	260	21475	SIPO	EF	83133846
263906	902	1998-10-09	VYDAJ	PREVOD NA UCET	260	23858	SIPO	EF	83133846
263907	902	1998-11-09	VYDAJ	PREVOD NA UCET	260	27808	SIPO	EF	83133846
263908	902	1998-12-09	VYDAJ	PREVOD NA UCET	260	27536	SIPO	EF	83133846
263919	902	1993-11-12	VYDAJ	PREVOD NA UCET	1869	35700	 	OP	54130822
263920	902	1993-12-12	VYDAJ	PREVOD NA UCET	1869	39170	 	OP	54130822
263921	902	1994-01-12	VYDAJ	PREVOD NA UCET	1869	35184	 	OP	54130822
263922	902	1994-02-12	VYDAJ	PREVOD NA UCET	1869	27464	 	OP	54130822
263923	902	1994-03-12	VYDAJ	PREVOD NA UCET	1869	27935	 	OP	54130822
263924	902	1994-04-12	VYDAJ	PREVOD NA UCET	1869	29831	 	OP	54130822
263925	902	1994-05-12	VYDAJ	PREVOD NA UCET	1869	33618	 	OP	54130822
263926	902	1994-06-12	VYDAJ	PREVOD NA UCET	1869	34776	 	OP	54130822
263927	902	1994-07-12	VYDAJ	PREVOD NA UCET	1869	34692	 	OP	54130822
263928	902	1994-08-12	VYDAJ	PREVOD NA UCET	1869	31789	 	OP	54130822
263929	902	1994-09-12	VYDAJ	PREVOD NA UCET	1869	30174	 	OP	54130822
263930	902	1994-10-12	VYDAJ	PREVOD NA UCET	1869	29787	 	OP	54130822
263931	902	1994-11-12	VYDAJ	PREVOD NA UCET	1869	32569	 	OP	54130822
263932	902	1994-12-12	VYDAJ	PREVOD NA UCET	1869	36381	 	OP	54130822
263933	902	1995-01-12	VYDAJ	PREVOD NA UCET	1869	15942	 	OP	54130822
263934	902	1995-02-12	VYDAJ	PREVOD NA UCET	1869	25612	 	OP	54130822
263935	902	1995-03-12	VYDAJ	PREVOD NA UCET	1869	20269	 	OP	54130822
263936	902	1995-04-12	VYDAJ	PREVOD NA UCET	1869	26602	 	OP	54130822
263937	902	1995-05-12	VYDAJ	PREVOD NA UCET	1869	30175	 	OP	54130822
263938	902	1995-06-12	VYDAJ	PREVOD NA UCET	1869	34920	 	OP	54130822
263939	902	1995-07-12	VYDAJ	PREVOD NA UCET	1869	34914	 	OP	54130822
263940	902	1995-08-12	VYDAJ	PREVOD NA UCET	1869	33610	 	OP	54130822
263941	902	1995-09-12	VYDAJ	PREVOD NA UCET	1869	32199	 	OP	54130822
263942	902	1995-10-12	VYDAJ	PREVOD NA UCET	1869	31483	 	OP	54130822
263943	902	1995-11-12	VYDAJ	PREVOD NA UCET	1869	32066	 	OP	54130822
263944	902	1995-12-12	VYDAJ	PREVOD NA UCET	1869	33710	 	OP	54130822
263945	902	1996-01-12	VYDAJ	PREVOD NA UCET	1869	26933	 	OP	54130822
263946	902	1996-02-12	VYDAJ	PREVOD NA UCET	1869	19488	 	OP	54130822
263947	902	1996-03-12	VYDAJ	PREVOD NA UCET	1869	21852	 	OP	54130822
263948	902	1996-04-12	VYDAJ	PREVOD NA UCET	1869	21038	 	OP	54130822
263949	902	1996-05-12	VYDAJ	PREVOD NA UCET	1869	22104	 	OP	54130822
263950	902	1996-06-12	VYDAJ	PREVOD NA UCET	1869	26214	 	OP	54130822
263951	902	1996-07-12	VYDAJ	PREVOD NA UCET	1869	26870	 	OP	54130822
263952	902	1996-08-12	VYDAJ	PREVOD NA UCET	1869	21622	 	OP	54130822
263953	902	1996-09-12	VYDAJ	PREVOD NA UCET	1869	21398	 	OP	54130822
263954	902	1996-10-12	VYDAJ	PREVOD NA UCET	1869	19342	 	OP	54130822
263955	902	1996-11-12	VYDAJ	PREVOD NA UCET	1869	20984	 	OP	54130822
263956	902	1996-12-12	VYDAJ	PREVOD NA UCET	1869	24377	 	OP	54130822
263957	902	1997-01-12	VYDAJ	PREVOD NA UCET	1869	20539	 	OP	54130822
263958	902	1997-02-12	VYDAJ	PREVOD NA UCET	1869	24944	 	OP	54130822
263959	902	1997-03-12	VYDAJ	PREVOD NA UCET	1869	28201	 	OP	54130822
263960	902	1997-04-12	VYDAJ	PREVOD NA UCET	1869	26877	 	OP	54130822
263961	902	1997-05-12	VYDAJ	PREVOD NA UCET	1869	22655	 	OP	54130822
263962	902	1997-06-12	VYDAJ	PREVOD NA UCET	1869	22983	 	OP	54130822
263963	902	1997-07-12	VYDAJ	PREVOD NA UCET	1869	17640	 	OP	54130822
263964	902	1997-08-12	VYDAJ	PREVOD NA UCET	1869	13759	 	OP	54130822
263965	902	1997-09-12	VYDAJ	PREVOD NA UCET	1869	11379	 	OP	54130822
263966	902	1997-10-12	VYDAJ	PREVOD NA UCET	1869	15290	 	OP	54130822
263967	902	1997-11-12	VYDAJ	PREVOD NA UCET	1869	19211	 	OP	54130822
263968	902	1997-12-12	VYDAJ	PREVOD NA UCET	1869	27013	 	OP	54130822
263969	902	1998-01-12	VYDAJ	PREVOD NA UCET	1869	19170	 	OP	54130822
263970	902	1998-02-12	VYDAJ	PREVOD NA UCET	1869	19624	 	OP	54130822
263971	902	1998-03-12	VYDAJ	PREVOD NA UCET	1869	23563	 	OP	54130822
263972	902	1998-04-12	VYDAJ	PREVOD NA UCET	1869	27518	 	OP	54130822
263973	902	1998-05-12	VYDAJ	PREVOD NA UCET	1869	17789	 	OP	54130822
263974	902	1998-06-12	VYDAJ	PREVOD NA UCET	1869	25595	 	OP	54130822
263975	902	1998-07-12	VYDAJ	PREVOD NA UCET	1869	18555	 	OP	54130822
263976	902	1998-08-12	VYDAJ	PREVOD NA UCET	1869	22497	 	OP	54130822
263977	902	1998-09-12	VYDAJ	PREVOD NA UCET	1869	19606	 	OP	54130822
263978	902	1998-10-12	VYDAJ	PREVOD NA UCET	1869	21989	 	OP	54130822
263979	902	1998-11-12	VYDAJ	PREVOD NA UCET	1869	25939	 	OP	54130822
263980	902	1998-12-12	VYDAJ	PREVOD NA UCET	1869	25667	 	OP	54130822
263991	902	1993-11-07	VYDAJ	PREVOD NA UCET	1726	37829	POJISTNE	QR	46706521
263992	902	1993-12-07	VYDAJ	PREVOD NA UCET	1726	41299	POJISTNE	QR	46706521
263993	902	1994-01-07	VYDAJ	PREVOD NA UCET	1726	37913	POJISTNE	QR	46706521
263994	902	1994-02-07	VYDAJ	PREVOD NA UCET	1726	29593	POJISTNE	QR	46706521
263995	902	1994-03-07	VYDAJ	PREVOD NA UCET	1726	30064	POJISTNE	QR	46706521
263996	902	1994-04-07	VYDAJ	PREVOD NA UCET	1726	31960	POJISTNE	QR	46706521
263997	902	1994-05-07	VYDAJ	PREVOD NA UCET	1726	35747	POJISTNE	QR	46706521
263998	902	1994-06-07	VYDAJ	PREVOD NA UCET	1726	36905	POJISTNE	QR	46706521
263999	902	1994-07-07	VYDAJ	PREVOD NA UCET	1726	36821	POJISTNE	QR	46706521
264000	902	1994-08-07	VYDAJ	PREVOD NA UCET	1726	33918	POJISTNE	QR	46706521
264001	902	1994-09-07	VYDAJ	PREVOD NA UCET	1726	32303	POJISTNE	QR	46706521
264002	902	1994-10-07	VYDAJ	PREVOD NA UCET	1726	31916	POJISTNE	QR	46706521
264003	902	1994-11-07	VYDAJ	PREVOD NA UCET	1726	34698	POJISTNE	QR	46706521
264004	902	1994-12-07	VYDAJ	PREVOD NA UCET	1726	38510	POJISTNE	QR	46706521
264005	902	1995-01-07	VYDAJ	PREVOD NA UCET	1726	30391	POJISTNE	QR	46706521
264006	902	1995-02-07	VYDAJ	PREVOD NA UCET	1726	27741	POJISTNE	QR	46706521
264007	902	1995-03-07	VYDAJ	PREVOD NA UCET	1726	22398	POJISTNE	QR	46706521
264008	902	1995-04-07	VYDAJ	PREVOD NA UCET	1726	28731	POJISTNE	QR	46706521
264009	902	1995-05-07	VYDAJ	PREVOD NA UCET	1726	32304	POJISTNE	QR	46706521
264010	902	1995-06-07	VYDAJ	PREVOD NA UCET	1726	37049	POJISTNE	QR	46706521
264011	902	1995-07-07	VYDAJ	PREVOD NA UCET	1726	37043	POJISTNE	QR	46706521
264012	902	1995-08-07	VYDAJ	PREVOD NA UCET	1726	35739	POJISTNE	QR	46706521
264013	902	1995-09-07	VYDAJ	PREVOD NA UCET	1726	34328	POJISTNE	QR	46706521
264014	902	1995-10-07	VYDAJ	PREVOD NA UCET	1726	33612	POJISTNE	QR	46706521
264015	902	1995-11-07	VYDAJ	PREVOD NA UCET	1726	34195	POJISTNE	QR	46706521
264016	902	1995-12-07	VYDAJ	PREVOD NA UCET	1726	35839	POJISTNE	QR	46706521
264017	902	1996-01-07	VYDAJ	PREVOD NA UCET	1726	29062	POJISTNE	QR	46706521
264018	902	1996-02-07	VYDAJ	PREVOD NA UCET	1726	21617	POJISTNE	QR	46706521
264019	902	1996-03-07	VYDAJ	PREVOD NA UCET	1726	23981	POJISTNE	QR	46706521
264020	902	1996-04-07	VYDAJ	PREVOD NA UCET	1726	23167	POJISTNE	QR	46706521
264021	902	1996-05-07	VYDAJ	PREVOD NA UCET	1726	27113	POJISTNE	QR	46706521
264022	902	1996-06-07	VYDAJ	PREVOD NA UCET	1726	28343	POJISTNE	QR	46706521
264023	902	1996-07-07	VYDAJ	PREVOD NA UCET	1726	28999	POJISTNE	QR	46706521
264024	902	1996-08-07	VYDAJ	PREVOD NA UCET	1726	25751	POJISTNE	QR	46706521
264025	902	1996-09-07	VYDAJ	PREVOD NA UCET	1726	22427	POJISTNE	QR	46706521
264026	902	1996-10-07	VYDAJ	PREVOD NA UCET	1726	23871	POJISTNE	QR	46706521
264027	902	1996-11-07	VYDAJ	PREVOD NA UCET	1726	25413	POJISTNE	QR	46706521
264028	902	1996-12-07	VYDAJ	PREVOD NA UCET	1726	26606	POJISTNE	QR	46706521
264029	902	1997-01-07	VYDAJ	PREVOD NA UCET	1726	22668	POJISTNE	QR	46706521
264030	902	1997-02-07	VYDAJ	PREVOD NA UCET	1726	22773	POJISTNE	QR	46706521
264031	902	1997-03-07	VYDAJ	PREVOD NA UCET	1726	31030	POJISTNE	QR	46706521
264032	902	1997-04-07	VYDAJ	PREVOD NA UCET	1726	34306	POJISTNE	QR	46706521
264033	902	1997-05-07	VYDAJ	PREVOD NA UCET	1726	32984	POJISTNE	QR	46706521
264034	902	1997-06-07	VYDAJ	PREVOD NA UCET	1726	32612	POJISTNE	QR	46706521
264035	902	1997-07-07	VYDAJ	PREVOD NA UCET	1726	29069	POJISTNE	QR	46706521
264036	902	1997-08-07	VYDAJ	PREVOD NA UCET	1726	22388	POJISTNE	QR	46706521
264037	902	1997-09-07	VYDAJ	PREVOD NA UCET	1726	13508	POJISTNE	QR	46706521
264038	902	1997-10-07	VYDAJ	PREVOD NA UCET	1726	17419	POJISTNE	QR	46706521
264039	902	1997-11-07	VYDAJ	PREVOD NA UCET	1726	21340	POJISTNE	QR	46706521
264040	902	1997-12-07	VYDAJ	PREVOD NA UCET	1726	29142	POJISTNE	QR	46706521
264041	902	1998-01-07	VYDAJ	PREVOD NA UCET	1726	24299	POJISTNE	QR	46706521
264042	902	1998-02-07	VYDAJ	PREVOD NA UCET	1726	21753	POJISTNE	QR	46706521
264043	902	1998-03-07	VYDAJ	PREVOD NA UCET	1726	25692	POJISTNE	QR	46706521
264044	902	1998-04-07	VYDAJ	PREVOD NA UCET	1726	29647	POJISTNE	QR	46706521
264045	902	1998-05-07	VYDAJ	PREVOD NA UCET	1726	19918	POJISTNE	QR	46706521
264046	902	1998-06-07	VYDAJ	PREVOD NA UCET	1726	27724	POJISTNE	QR	46706521
264047	902	1998-07-07	VYDAJ	PREVOD NA UCET	1726	20684	POJISTNE	QR	46706521
264048	902	1998-08-07	VYDAJ	PREVOD NA UCET	1726	24626	POJISTNE	QR	46706521
264049	902	1998-09-07	VYDAJ	PREVOD NA UCET	1726	21735	POJISTNE	QR	46706521
264050	902	1998-10-07	VYDAJ	PREVOD NA UCET	1726	24118	POJISTNE	QR	46706521
264051	902	1998-11-07	VYDAJ	PREVOD NA UCET	1726	28068	POJISTNE	QR	46706521
264052	902	1998-12-07	VYDAJ	PREVOD NA UCET	1726	27796	POJISTNE	QR	46706521
264060	902	1994-01-17	VYDAJ	VYBER	4960	25064	\N	\N	\N
264061	902	1995-01-09	VYDAJ	VYBER	12320	18071	\N	\N	\N
264063	902	1997-01-08	VYDAJ	VYBER	3840	18828	\N	\N	\N
264065	902	1993-12-28	VYDAJ	VYBER	2400	31770	\N	\N	\N
264066	902	1994-12-23	VYDAJ	VYBER	2720	30861	\N	\N	\N
264067	902	1995-12-23	VYDAJ	VYBER	2400	26310	\N	\N	\N
264068	902	1996-12-06	VYDAJ	VYBER	4320	28332	\N	\N	\N
264069	902	1997-12-27	VYDAJ	VYBER	2560	21453	\N	\N	\N
264070	902	1998-12-20	VYDAJ	VYBER	4640	21027	\N	\N	\N
264077	902	1994-01-13	VYDAJ	VYBER	2280	32904	\N	\N	\N
264078	902	1994-01-15	VYDAJ	VYBER	2880	30024	\N	\N	\N
264079	902	1994-01-24	VYDAJ	VYBER	2160	18584	\N	\N	\N
264080	902	1994-01-18	VYDAJ	VYBER	3240	21824	\N	\N	\N
264081	902	1994-01-08	VYDAJ	VYBER	600	37313	\N	\N	\N
264082	902	1994-01-23	VYDAJ	VYBER	1080	20744	\N	\N	\N
264084	902	1995-01-05	VYDAJ	VYBER	2040	24386	\N	\N	\N
264086	902	1995-01-17	VYDAJ	VYBER	1200	13662	\N	\N	\N
264087	902	1995-01-13	VYDAJ	VYBER	1080	14862	\N	\N	\N
264088	902	1995-01-03	VYDAJ	VYBER	2160	28826	\N	\N	\N
264089	902	1996-01-30	VYDAJ	VYBER	1440	15533	\N	\N	\N
264090	902	1996-01-21	VYDAJ	VYBER	840	18173	\N	\N	\N
264091	902	1996-01-05	VYDAJ	VYBER	3360	23057	\N	\N	\N
264092	902	1996-01-15	VYDAJ	VYBER	3000	22133	\N	\N	\N
264093	902	1996-01-24	VYDAJ	VYBER	1200	16973	\N	\N	\N
264094	902	1996-01-19	VYDAJ	VYBER	3120	19013	\N	\N	\N
264095	902	1997-01-30	VYDAJ	VYBER	1080	16699	\N	\N	\N
264096	902	1997-01-09	VYDAJ	VYBER	960	22408	\N	\N	\N
264097	902	1997-01-03	VYDAJ	VYBER	3120	16663	\N	\N	\N
264098	902	1997-01-30	VYDAJ	VYBER	2760	17779	\N	\N	\N
264099	902	1997-01-02	VYDAJ	VYBER	1560	19783	\N	\N	\N
264100	902	1997-01-01	VYDAJ	VYBER	3120	21343	\N	\N	\N
264101	902	1998-01-03	VYDAJ	VYBER	1560	18294	\N	\N	\N
264102	902	1998-01-07	VYDAJ	VYBER	3000	21299	\N	\N	\N
264104	902	1998-01-02	VYDAJ	VYBER	1680	19854	\N	\N	\N
264105	902	1998-01-14	VYDAJ	VYBER	3480	15690	\N	\N	\N
264113	902	1994-11-17	VYDAJ	VYBER	4440	28129	\N	\N	\N
264114	902	1994-06-21	VYDAJ	VYBER	1680	33096	\N	\N	\N
264115	902	1994-04-06	VYDAJ	VYBER	2280	33686	\N	\N	\N
264116	902	1994-09-14	VYDAJ	VYBER	5760	24414	\N	\N	\N
264117	902	1995-01-04	VYDAJ	VYBER	2400	26426	\N	\N	\N
264118	902	1995-04-04	VYDAJ	VYBER	3720	22726	\N	\N	\N
264119	902	1995-10-17	VYDAJ	VYBER	1800	29683	\N	\N	\N
264120	902	1995-02-27	VYDAJ	VYBER	4560	16312	\N	\N	\N
264121	902	1995-02-18	VYDAJ	VYBER	5640	19972	\N	\N	\N
264122	902	1996-03-03	VYDAJ	VYBER	3480	17976	\N	\N	\N
264123	902	1996-09-17	VYDAJ	VYBER	3600	17798	\N	\N	\N
264124	902	1996-05-08	VYDAJ	VYBER	2880	24233	\N	\N	\N
264125	902	1996-03-21	VYDAJ	VYBER	4560	17092	\N	\N	\N
264126	902	1996-09-07	VYDAJ	VYBER	5280	24153	\N	\N	\N
264128	902	1997-05-09	VYDAJ	VYBER	3600	29384	\N	\N	\N
264129	902	1997-12-14	VYDAJ	VYBER	3000	24013	\N	\N	\N
264131	902	1997-07-25	VYDAJ	VYBER	1320	16320	\N	\N	\N
264132	902	1998-08-26	VYDAJ	VYBER	1440	21057	\N	\N	\N
264133	902	1998-10-03	VYDAJ	VYBER	1560	18113	\N	\N	\N
264145	902	1993-11-30	VYDAJ	VYBER	15	31429	SLUZBY	\N	\N
264146	902	1993-12-31	VYDAJ	VYBER	15	31908	SLUZBY	\N	\N
264147	902	1994-01-31	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
264148	902	1994-02-28	VYDAJ	VYBER	15	24059	SLUZBY	\N	\N
264149	902	1994-03-31	VYDAJ	VYBER	15	28235	SLUZBY	\N	\N
264150	902	1994-04-30	VYDAJ	VYBER	15	29742	SLUZBY	\N	\N
264151	902	1994-05-31	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
264152	902	1994-06-30	VYDAJ	VYBER	15	30816	SLUZBY	\N	\N
264153	902	1994-07-31	VYDAJ	VYBER	15	27913	SLUZBY	\N	\N
264154	902	1994-08-31	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
264155	902	1994-09-30	VYDAJ	VYBER	15	25911	SLUZBY	\N	\N
264156	902	1994-10-31	VYDAJ	VYBER	15	28693	SLUZBY	\N	\N
264157	902	1994-11-30	VYDAJ	VYBER	15	28640	SLUZBY	\N	\N
264158	902	1994-12-31	VYDAJ	VYBER	15	30986	SLUZBY	\N	\N
264159	902	1995-01-31	VYDAJ	VYBER	15	21736	SLUZBY	\N	\N
264160	902	1995-02-28	VYDAJ	VYBER	15	16393	SLUZBY	\N	\N
264161	902	1995-03-31	VYDAJ	VYBER	15	26446	SLUZBY	\N	\N
264162	902	1995-04-30	VYDAJ	VYBER	15	26299	SLUZBY	\N	\N
264163	902	1995-05-31	VYDAJ	VYBER	15	27179	SLUZBY	\N	\N
264164	902	1995-06-30	VYDAJ	VYBER	15	31038	SLUZBY	\N	\N
264165	902	1995-07-31	VYDAJ	VYBER	15	29734	SLUZBY	\N	\N
264166	902	1995-08-31	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
264167	902	1995-09-30	VYDAJ	VYBER	15	27607	SLUZBY	\N	\N
264168	902	1995-10-31	VYDAJ	VYBER	15	28190	SLUZBY	\N	\N
264169	902	1995-11-30	VYDAJ	VYBER	15	25969	SLUZBY	\N	\N
264170	902	1995-12-31	VYDAJ	VYBER	15	26417	SLUZBY	\N	\N
264171	902	1996-01-31	VYDAJ	VYBER	15	15612	SLUZBY	\N	\N
264172	902	1996-02-29	VYDAJ	VYBER	15	21456	SLUZBY	\N	\N
264173	902	1996-03-31	VYDAJ	VYBER	15	17162	SLUZBY	\N	\N
264174	902	1996-04-30	VYDAJ	VYBER	15	21108	SLUZBY	\N	\N
264175	902	1996-05-31	VYDAJ	VYBER	15	18473	SLUZBY	\N	\N
264176	902	1996-06-30	VYDAJ	VYBER	15	22994	SLUZBY	\N	\N
264177	902	1996-07-31	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
264178	902	1996-08-31	VYDAJ	VYBER	15	21702	SLUZBY	\N	\N
264179	902	1996-09-30	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
264180	902	1996-10-31	VYDAJ	VYBER	15	19408	SLUZBY	\N	\N
264181	902	1996-11-30	VYDAJ	VYBER	15	21056	SLUZBY	\N	\N
264182	902	1996-12-31	VYDAJ	VYBER	15	24463	SLUZBY	\N	\N
264183	902	1997-01-31	VYDAJ	VYBER	15	16768	SLUZBY	\N	\N
264184	902	1997-02-28	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
264185	902	1997-03-31	VYDAJ	VYBER	15	28301	SLUZBY	\N	\N
264186	902	1997-04-30	VYDAJ	VYBER	15	26979	SLUZBY	\N	\N
264187	902	1997-05-31	VYDAJ	VYBER	15	22742	SLUZBY	\N	\N
264188	902	1997-06-30	VYDAJ	VYBER	15	23064	SLUZBY	\N	\N
264189	902	1997-07-31	VYDAJ	VYBER	15	16383	SLUZBY	\N	\N
264190	902	1997-08-31	VYDAJ	VYBER	15	13803	SLUZBY	\N	\N
264191	902	1997-09-30	VYDAJ	VYBER	15	11414	SLUZBY	\N	\N
264192	902	1997-10-31	VYDAJ	VYBER	15	15335	SLUZBY	\N	\N
264193	902	1997-11-30	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
264194	902	1997-12-31	VYDAJ	VYBER	15	21534	SLUZBY	\N	\N
264195	902	1998-01-31	VYDAJ	VYBER	15	15748	SLUZBY	\N	\N
264196	902	1998-02-28	VYDAJ	VYBER	15	19687	SLUZBY	\N	\N
264197	902	1998-03-31	VYDAJ	VYBER	15	23642	SLUZBY	\N	\N
264198	902	1998-04-30	VYDAJ	VYBER	15	27613	SLUZBY	\N	\N
264199	902	1998-05-31	VYDAJ	VYBER	15	17854	SLUZBY	\N	\N
264200	902	1998-06-30	VYDAJ	VYBER	15	25679	SLUZBY	\N	\N
264201	902	1998-07-31	VYDAJ	VYBER	15	18621	SLUZBY	\N	\N
264202	902	1998-08-31	VYDAJ	VYBER	15	21130	SLUZBY	\N	\N
264203	902	1998-09-30	VYDAJ	VYBER	15	19673	SLUZBY	\N	\N
264204	902	1998-10-31	VYDAJ	VYBER	15	22063	SLUZBY	\N	\N
264205	902	1998-11-30	VYDAJ	VYBER	15	17926	SLUZBY	\N	\N
264206	902	1993-07-29	PRIJEM	VKLAD	6100	14631	\N	\N	\N
264207	902	1993-08-28	PRIJEM	VKLAD	1600	23968	\N	\N	\N
264208	902	1993-09-27	VYDAJ	VYBER	2100	29665	\N	\N	\N
264209	902	1993-10-27	VYDAJ	VYBER	5800	31699	\N	\N	\N
264210	902	1993-11-26	VYDAJ	VYBER	4400	31300	\N	\N	\N
264211	902	1993-12-26	VYDAJ	VYBER	5000	34170	\N	\N	\N
264212	902	1994-01-25	PRIJEM	VKLAD	4900	23484	\N	\N	\N
264213	902	1994-02-24	VYDAJ	VYBER	3500	23964	\N	\N	\N
264214	902	1994-03-26	PRIJEM	VKLAD	200	28135	\N	\N	\N
264215	902	1994-04-25	VYDAJ	VYBER	200	29631	\N	\N	\N
264216	902	1994-05-25	VYDAJ	VYBER	6700	26918	\N	\N	\N
264217	902	1994-06-24	VYDAJ	VYBER	2400	30696	\N	\N	\N
264218	902	1994-07-24	VYDAJ	VYBER	6900	27792	\N	\N	\N
264219	902	1994-08-23	VYDAJ	VYBER	5600	26189	\N	\N	\N
264220	902	1994-09-22	PRIJEM	VKLAD	1400	25814	\N	\N	\N
264221	902	1994-10-22	VYDAJ	VYBER	1200	28587	\N	\N	\N
264222	902	1994-11-21	PRIJEM	VKLAD	400	28529	\N	\N	\N
264223	902	1994-12-21	VYDAJ	VYBER	2800	33581	\N	\N	\N
264224	902	1995-01-20	PRIJEM	VKLAD	8000	21662	\N	\N	\N
264225	902	1995-02-19	PRIJEM	VKLAD	900	20872	\N	\N	\N
264226	902	1995-03-21	PRIJEM	VKLAD	6100	26369	\N	\N	\N
264227	902	1995-04-20	VYDAJ	VYBER	400	26202	\N	\N	\N
264228	902	1995-05-20	VYDAJ	VYBER	3100	27075	\N	\N	\N
264229	902	1995-06-19	VYDAJ	VYBER	4000	30920	\N	\N	\N
264230	902	1995-07-19	VYDAJ	VYBER	5300	29614	\N	\N	\N
264231	902	1995-08-18	VYDAJ	VYBER	5400	28210	\N	\N	\N
264232	902	1995-09-17	VYDAJ	VYBER	4700	27499	\N	\N	\N
264233	902	1995-10-17	VYDAJ	VYBER	1600	28083	\N	\N	\N
264234	902	1995-11-16	VYDAJ	VYBER	6200	25866	\N	\N	\N
264235	902	1995-12-16	VYDAJ	VYBER	5000	28710	\N	\N	\N
264236	902	1996-01-15	VYDAJ	VYBER	1800	25133	\N	\N	\N
264237	902	1996-02-14	PRIJEM	VKLAD	1900	21388	\N	\N	\N
264238	902	1996-03-15	VYDAJ	VYBER	200	21652	\N	\N	\N
264239	902	1996-05-14	VYDAJ	VYBER	3700	18404	\N	\N	\N
264240	902	1996-06-13	VYDAJ	VYBER	3300	22914	\N	\N	\N
264241	902	1996-07-13	VYDAJ	VYBER	7200	19670	\N	\N	\N
264242	902	1996-08-12	VYDAJ	VYBER	2000	23491	\N	\N	\N
264243	902	1996-09-11	PRIJEM	VKLAD	1100	23267	\N	\N	\N
264244	902	1996-10-11	VYDAJ	VYBER	2400	21211	\N	\N	\N
264245	902	1996-11-10	VYDAJ	VYBER	2300	22853	\N	\N	\N
264246	902	1996-12-10	VYDAJ	VYBER	100	26246	\N	\N	\N
264247	902	1997-01-09	PRIJEM	VKLAD	4800	23628	\N	\N	\N
264248	902	1997-02-08	PRIJEM	VKLAD	4300	27073	\N	\N	\N
264249	902	1997-03-10	VYDAJ	VYBER	700	30070	\N	\N	\N
264250	902	1997-04-09	VYDAJ	VYBER	5300	28746	\N	\N	\N
264251	902	1997-05-09	VYDAJ	VYBER	4600	24524	\N	\N	\N
264252	902	1997-06-08	VYDAJ	VYBER	7500	25112	\N	\N	\N
264253	902	1997-07-08	VYDAJ	VYBER	9300	19769	\N	\N	\N
264254	902	1997-08-07	VYDAJ	VYBER	6500	15888	\N	\N	\N
264255	902	1997-09-06	VYDAJ	VYBER	6300	15234	\N	\N	\N
264256	902	1998-05-04	VYDAJ	VYBER	13700	13913	\N	\N	\N
264257	902	1998-07-03	VYDAJ	VYBER	11000	14679	\N	\N	\N
264258	902	1998-09-01	VYDAJ	VYBER	5400	15730	\N	\N	\N
264259	902	1998-11-30	VYDAJ	VYBER	8100	17941	\N	\N	\N
264326	903	1993-12-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
264338	903	1993-12-10	PRIJEM	PREVOD Z UCTU	3871	4971	\N	WX	56348478
264339	903	1994-01-10	PRIJEM	PREVOD Z UCTU	3871	16357	\N	WX	56348478
264340	903	1994-02-10	PRIJEM	PREVOD Z UCTU	3871	26482	\N	WX	56348478
264341	903	1994-03-10	PRIJEM	PREVOD Z UCTU	3871	30450	\N	WX	56348478
264342	903	1994-04-10	PRIJEM	PREVOD Z UCTU	3871	32338	\N	WX	56348478
264343	903	1994-05-10	PRIJEM	PREVOD Z UCTU	3871	33437	\N	WX	56348478
264344	903	1994-06-10	PRIJEM	PREVOD Z UCTU	3871	30992	\N	WX	56348478
264345	903	1994-07-10	PRIJEM	PREVOD Z UCTU	3871	26774	\N	WX	56348478
264346	903	1994-08-10	PRIJEM	PREVOD Z UCTU	3871	29146	\N	WX	56348478
264347	903	1994-09-10	PRIJEM	PREVOD Z UCTU	3871	28431	\N	WX	56348478
264348	903	1994-10-10	PRIJEM	PREVOD Z UCTU	3871	29717	\N	WX	56348478
264349	903	1994-11-10	PRIJEM	PREVOD Z UCTU	3871	29106	\N	WX	56348478
264350	903	1994-12-10	PRIJEM	PREVOD Z UCTU	3871	25164	\N	WX	56348478
264351	903	1995-01-10	PRIJEM	PREVOD Z UCTU	3871	25830	\N	WX	56348478
264352	903	1995-02-10	PRIJEM	PREVOD Z UCTU	3871	22339	\N	WX	56348478
264353	903	1995-03-10	PRIJEM	PREVOD Z UCTU	3871	22798	\N	WX	56348478
264354	903	1995-04-10	PRIJEM	PREVOD Z UCTU	3871	25259	\N	WX	56348478
264355	903	1995-05-10	PRIJEM	PREVOD Z UCTU	3871	20834	\N	WX	56348478
264356	903	1995-06-10	PRIJEM	PREVOD Z UCTU	3871	21690	\N	WX	56348478
264357	903	1995-07-10	PRIJEM	PREVOD Z UCTU	3871	20566	\N	WX	56348478
264358	903	1995-08-10	PRIJEM	PREVOD Z UCTU	3871	22419	\N	WX	56348478
264359	903	1995-09-10	PRIJEM	PREVOD Z UCTU	3871	23676	\N	WX	56348478
264360	903	1995-10-10	PRIJEM	PREVOD Z UCTU	3871	22837	\N	WX	56348478
264361	903	1995-11-10	PRIJEM	PREVOD Z UCTU	3871	23099	\N	WX	56348478
264362	903	1995-12-10	PRIJEM	PREVOD Z UCTU	3871	24560	\N	WX	56348478
264363	903	1996-01-10	PRIJEM	PREVOD Z UCTU	3871	23135	\N	WX	56348478
264364	903	1996-02-10	PRIJEM	PREVOD Z UCTU	3871	18057	\N	WX	56348478
264365	903	1996-03-10	PRIJEM	PREVOD Z UCTU	3871	17694	\N	WX	56348478
264366	903	1996-04-10	PRIJEM	PREVOD Z UCTU	3871	17141	\N	WX	56348478
264367	903	1996-05-10	PRIJEM	PREVOD Z UCTU	3871	20278	\N	WX	56348478
264368	903	1996-06-10	PRIJEM	PREVOD Z UCTU	3871	18466	\N	WX	56348478
264369	903	1996-07-10	PRIJEM	PREVOD Z UCTU	3871	20711	\N	WX	56348478
264370	903	1996-08-10	PRIJEM	PREVOD Z UCTU	3871	17257	\N	WX	56348478
264371	903	1996-09-10	PRIJEM	PREVOD Z UCTU	3871	19693	\N	WX	56348478
264372	903	1996-10-10	PRIJEM	PREVOD Z UCTU	3871	18336	\N	WX	56348478
264373	903	1996-11-10	PRIJEM	PREVOD Z UCTU	3871	19875	\N	WX	56348478
264374	903	1996-12-10	PRIJEM	PREVOD Z UCTU	3871	18518	\N	WX	56348478
264375	903	1997-01-10	PRIJEM	PREVOD Z UCTU	3871	17215	\N	WX	56348478
264376	903	1997-02-10	PRIJEM	PREVOD Z UCTU	3871	17088	\N	WX	56348478
264377	903	1997-03-10	PRIJEM	PREVOD Z UCTU	3871	15319	\N	WX	56348478
264378	903	1997-04-10	PRIJEM	PREVOD Z UCTU	3871	16645	\N	WX	56348478
264379	903	1997-05-10	PRIJEM	PREVOD Z UCTU	3871	17977	\N	WX	56348478
264380	903	1997-06-10	PRIJEM	PREVOD Z UCTU	3871	17484	\N	WX	56348478
264381	903	1997-07-10	PRIJEM	PREVOD Z UCTU	3871	18821	\N	WX	56348478
264382	903	1997-08-10	PRIJEM	PREVOD Z UCTU	3871	20162	\N	WX	56348478
264383	903	1997-09-10	PRIJEM	PREVOD Z UCTU	3871	20396	\N	WX	56348478
264384	903	1997-10-10	PRIJEM	PREVOD Z UCTU	3871	21743	\N	WX	56348478
264385	903	1997-11-10	PRIJEM	PREVOD Z UCTU	3871	23096	\N	WX	56348478
264386	903	1997-12-10	PRIJEM	PREVOD Z UCTU	3871	23884	\N	WX	56348478
264387	903	1998-01-10	PRIJEM	PREVOD Z UCTU	3871	23655	\N	WX	56348478
264388	903	1998-02-10	PRIJEM	PREVOD Z UCTU	3871	22252	\N	WX	56348478
264389	903	1998-03-10	PRIJEM	PREVOD Z UCTU	3871	23606	\N	WX	56348478
264390	903	1998-04-10	PRIJEM	PREVOD Z UCTU	3871	24817	\N	WX	56348478
264391	903	1998-05-10	PRIJEM	PREVOD Z UCTU	3871	18869	\N	WX	56348478
264392	903	1998-06-10	PRIJEM	PREVOD Z UCTU	3871	16102	\N	WX	56348478
264393	903	1998-07-10	PRIJEM	PREVOD Z UCTU	3871	17431	\N	WX	56348478
264394	903	1998-08-10	PRIJEM	PREVOD Z UCTU	3871	18765	\N	WX	56348478
264395	903	1998-09-10	PRIJEM	PREVOD Z UCTU	3871	20105	\N	WX	56348478
264396	903	1998-10-10	PRIJEM	PREVOD Z UCTU	3871	20879	\N	WX	56348478
264397	903	1998-11-10	PRIJEM	PREVOD Z UCTU	3871	22228	\N	WX	56348478
264398	903	1998-12-10	PRIJEM	PREVOD Z UCTU	3871	22832	\N	WX	56348478
264414	903	1994-04-12	VYDAJ	PREVOD NA UCET	2580	29758	SIPO	GH	40163380
264415	903	1994-05-12	VYDAJ	PREVOD NA UCET	2580	30857	SIPO	GH	40163380
264416	903	1994-06-12	VYDAJ	PREVOD NA UCET	2580	19622	SIPO	GH	40163380
264417	903	1994-07-12	VYDAJ	PREVOD NA UCET	2580	24194	SIPO	GH	40163380
264418	903	1994-08-12	VYDAJ	PREVOD NA UCET	2580	26566	SIPO	GH	40163380
264419	903	1994-09-12	VYDAJ	PREVOD NA UCET	2580	25851	SIPO	GH	40163380
264420	903	1994-10-12	VYDAJ	PREVOD NA UCET	2580	27137	SIPO	GH	40163380
264421	903	1994-11-12	VYDAJ	PREVOD NA UCET	2580	26526	SIPO	GH	40163380
264422	903	1994-12-12	VYDAJ	PREVOD NA UCET	2580	22584	SIPO	GH	40163380
264423	903	1995-01-12	VYDAJ	PREVOD NA UCET	2580	22380	SIPO	GH	40163380
264424	903	1995-02-12	VYDAJ	PREVOD NA UCET	2580	19759	SIPO	GH	40163380
264425	903	1995-03-12	VYDAJ	PREVOD NA UCET	2580	20218	SIPO	GH	40163380
264426	903	1995-04-12	VYDAJ	PREVOD NA UCET	2580	22679	SIPO	GH	40163380
264427	903	1995-05-12	VYDAJ	PREVOD NA UCET	2580	18254	SIPO	GH	40163380
264428	903	1995-06-12	VYDAJ	PREVOD NA UCET	2580	19110	SIPO	GH	40163380
264429	903	1995-07-12	VYDAJ	PREVOD NA UCET	2580	17986	SIPO	GH	40163380
264430	903	1995-08-12	VYDAJ	PREVOD NA UCET	2580	19839	SIPO	GH	40163380
264431	903	1995-09-12	VYDAJ	PREVOD NA UCET	2580	20496	SIPO	GH	40163380
264432	903	1995-10-12	VYDAJ	PREVOD NA UCET	2580	20257	SIPO	GH	40163380
264433	903	1995-11-12	VYDAJ	PREVOD NA UCET	2580	20519	SIPO	GH	40163380
264434	903	1995-12-12	VYDAJ	PREVOD NA UCET	2580	21980	SIPO	GH	40163380
264435	903	1996-01-12	VYDAJ	PREVOD NA UCET	2580	17975	SIPO	GH	40163380
264436	903	1996-02-12	VYDAJ	PREVOD NA UCET	2580	15477	SIPO	GH	40163380
264437	903	1996-03-12	VYDAJ	PREVOD NA UCET	2580	15114	SIPO	GH	40163380
264438	903	1996-04-12	VYDAJ	PREVOD NA UCET	2580	14561	SIPO	GH	40163380
264439	903	1996-05-12	VYDAJ	PREVOD NA UCET	2580	17698	SIPO	GH	40163380
264440	903	1996-06-12	VYDAJ	PREVOD NA UCET	2580	15886	SIPO	GH	40163380
264441	903	1996-07-12	VYDAJ	PREVOD NA UCET	2580	18131	SIPO	GH	40163380
264442	903	1996-08-12	VYDAJ	PREVOD NA UCET	2580	14677	SIPO	GH	40163380
264443	903	1996-09-12	VYDAJ	PREVOD NA UCET	2580	17113	SIPO	GH	40163380
264444	903	1996-10-12	VYDAJ	PREVOD NA UCET	2580	15756	SIPO	GH	40163380
264445	903	1996-11-12	VYDAJ	PREVOD NA UCET	2580	17295	SIPO	GH	40163380
264446	903	1996-12-12	VYDAJ	PREVOD NA UCET	2580	15938	SIPO	GH	40163380
264447	903	1997-01-12	VYDAJ	PREVOD NA UCET	2580	14485	SIPO	GH	40163380
264448	903	1997-02-12	VYDAJ	PREVOD NA UCET	2580	14508	SIPO	GH	40163380
264449	903	1997-03-12	VYDAJ	PREVOD NA UCET	2580	12739	SIPO	GH	40163380
264450	903	1997-04-12	VYDAJ	PREVOD NA UCET	2580	14065	SIPO	GH	40163380
264451	903	1997-05-12	VYDAJ	PREVOD NA UCET	2580	14647	SIPO	GH	40163380
264452	903	1997-06-12	VYDAJ	PREVOD NA UCET	2580	14904	SIPO	GH	40163380
264453	903	1997-07-12	VYDAJ	PREVOD NA UCET	2580	16241	SIPO	GH	40163380
264454	903	1997-08-12	VYDAJ	PREVOD NA UCET	2580	16472	SIPO	GH	40163380
264455	903	1997-09-12	VYDAJ	PREVOD NA UCET	2580	17816	SIPO	GH	40163380
264456	903	1997-10-12	VYDAJ	PREVOD NA UCET	2580	19163	SIPO	GH	40163380
264457	903	1997-11-12	VYDAJ	PREVOD NA UCET	2580	20516	SIPO	GH	40163380
264458	903	1997-12-12	VYDAJ	PREVOD NA UCET	2580	21304	SIPO	GH	40163380
264459	903	1998-01-12	VYDAJ	PREVOD NA UCET	2580	20655	SIPO	GH	40163380
264460	903	1998-02-12	VYDAJ	PREVOD NA UCET	2580	19672	SIPO	GH	40163380
264461	903	1998-03-12	VYDAJ	PREVOD NA UCET	2580	21026	SIPO	GH	40163380
264462	903	1998-04-12	VYDAJ	PREVOD NA UCET	2580	22237	SIPO	GH	40163380
264463	903	1998-05-12	VYDAJ	PREVOD NA UCET	2580	16289	SIPO	GH	40163380
264464	903	1998-06-12	VYDAJ	PREVOD NA UCET	2580	13522	SIPO	GH	40163380
264465	903	1998-07-12	VYDAJ	PREVOD NA UCET	2580	14851	SIPO	GH	40163380
264466	903	1998-08-12	VYDAJ	PREVOD NA UCET	2580	16185	SIPO	GH	40163380
264467	903	1998-09-12	VYDAJ	PREVOD NA UCET	2580	17195	SIPO	GH	40163380
264468	903	1998-10-12	VYDAJ	PREVOD NA UCET	2580	18299	SIPO	GH	40163380
264469	903	1998-11-12	VYDAJ	PREVOD NA UCET	2580	19648	SIPO	GH	40163380
264470	903	1998-12-12	VYDAJ	PREVOD NA UCET	2580	20252	SIPO	GH	40163380
264472	903	1994-06-10	VYDAJ	VYBER	8790	22202	\N	\N	\N
264474	903	1996-06-08	VYDAJ	VYBER	2550	14595	\N	\N	\N
264479	903	1995-01-26	VYDAJ	VYBER	720	20310	\N	\N	\N
264480	903	1996-01-11	VYDAJ	VYBER	1470	20555	\N	\N	\N
264482	903	1998-01-15	VYDAJ	VYBER	1170	19035	\N	\N	\N
264484	903	1994-12-09	VYDAJ	VYBER	630	21293	\N	\N	\N
264485	903	1995-12-27	VYDAJ	VYBER	810	21170	\N	\N	\N
264486	903	1996-12-23	VYDAJ	VYBER	240	15698	\N	\N	\N
264487	903	1997-12-26	VYDAJ	VYBER	210	21094	\N	\N	\N
264488	903	1998-12-03	VYDAJ	VYBER	750	18961	\N	\N	\N
264501	903	1995-01-12	VYDAJ	VYBER	870	24960	\N	\N	\N
264502	903	1995-01-07	VYDAJ	VYBER	510	21959	\N	\N	\N
264503	903	1995-01-26	VYDAJ	VYBER	360	21030	\N	\N	\N
264504	903	1995-01-15	VYDAJ	VYBER	750	21630	\N	\N	\N
264505	903	1995-01-23	VYDAJ	VYBER	240	21390	\N	\N	\N
264506	903	1995-01-30	VYDAJ	VYBER	180	20130	\N	\N	\N
264507	903	1996-01-25	VYDAJ	VYBER	210	17105	\N	\N	\N
264508	903	1996-01-07	VYDAJ	VYBER	480	19264	\N	\N	\N
264509	903	1996-01-10	VYDAJ	VYBER	540	22595	\N	\N	\N
264510	903	1996-01-10	VYDAJ	VYBER	570	22025	\N	\N	\N
264511	903	1996-01-27	VYDAJ	VYBER	780	16325	\N	\N	\N
264512	903	1996-01-23	VYDAJ	VYBER	660	17315	\N	\N	\N
264515	903	1997-01-30	VYDAJ	VYBER	240	13175	\N	\N	\N
264516	903	1997-01-10	VYDAJ	VYBER	150	17065	\N	\N	\N
264517	903	1997-01-12	VYDAJ	VYBER	540	13945	\N	\N	\N
264518	903	1997-01-18	VYDAJ	VYBER	330	13615	\N	\N	\N
264519	903	1998-01-10	VYDAJ	VYBER	420	23235	\N	\N	\N
264520	903	1998-01-12	VYDAJ	VYBER	450	20205	\N	\N	\N
264521	903	1998-01-27	VYDAJ	VYBER	240	18315	\N	\N	\N
264522	903	1998-01-03	VYDAJ	VYBER	510	20654	\N	\N	\N
264523	903	1998-01-21	VYDAJ	VYBER	480	18555	\N	\N	\N
264524	903	1998-01-05	VYDAJ	VYBER	870	19784	\N	\N	\N
264532	903	1994-06-02	VYDAJ	VYBER	150	30821	\N	\N	\N
264533	903	1995-04-20	VYDAJ	VYBER	1320	20789	\N	\N	\N
264534	903	1995-02-09	VYDAJ	VYBER	1140	18468	\N	\N	\N
264535	903	1995-09-11	VYDAJ	VYBER	600	23076	\N	\N	\N
264536	903	1995-04-14	VYDAJ	VYBER	570	22109	\N	\N	\N
264537	903	1995-06-29	VYDAJ	VYBER	480	18630	\N	\N	\N
264538	903	1996-04-05	VYDAJ	VYBER	390	13270	\N	\N	\N
264539	903	1996-06-03	VYDAJ	VYBER	1410	17145	\N	\N	\N
264540	903	1997-05-10	VYDAJ	VYBER	750	17227	\N	\N	\N
264541	903	1997-08-11	VYDAJ	VYBER	1110	19052	\N	\N	\N
264542	903	1997-11-22	VYDAJ	VYBER	570	19946	\N	\N	\N
264543	903	1997-06-09	VYDAJ	VYBER	810	13613	\N	\N	\N
264544	903	1997-05-27	VYDAJ	VYBER	270	14377	\N	\N	\N
264545	903	1998-03-31	VYDAJ	VYBER	150	20946	\N	\N	\N
264546	903	1998-09-16	VYDAJ	VYBER	240	16955	\N	\N	\N
264548	903	1998-09-12	VYDAJ	VYBER	330	19775	\N	\N	\N
264565	903	1994-04-30	VYDAJ	VYBER	15	29866	SLUZBY	\N	\N
264566	903	1994-05-31	VYDAJ	VYBER	15	30971	SLUZBY	\N	\N
264567	903	1994-06-30	VYDAJ	VYBER	15	19703	SLUZBY	\N	\N
264568	903	1994-07-31	VYDAJ	VYBER	15	24275	SLUZBY	\N	\N
264569	903	1994-08-31	VYDAJ	VYBER	15	26660	SLUZBY	\N	\N
264570	903	1994-09-30	VYDAJ	VYBER	15	25946	SLUZBY	\N	\N
264571	903	1994-10-31	VYDAJ	VYBER	15	27235	SLUZBY	\N	\N
264572	903	1994-11-30	VYDAJ	VYBER	15	26623	SLUZBY	\N	\N
264573	903	1994-12-31	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
264574	903	1995-01-31	VYDAJ	VYBER	15	20208	SLUZBY	\N	\N
264575	903	1995-02-28	VYDAJ	VYBER	15	19827	SLUZBY	\N	\N
264576	903	1995-03-31	VYDAJ	VYBER	15	20288	SLUZBY	\N	\N
264577	903	1995-04-30	VYDAJ	VYBER	15	20863	SLUZBY	\N	\N
264578	903	1995-05-31	VYDAJ	VYBER	15	18319	SLUZBY	\N	\N
264579	903	1995-06-30	VYDAJ	VYBER	15	18695	SLUZBY	\N	\N
264580	903	1995-07-31	VYDAJ	VYBER	15	18048	SLUZBY	\N	\N
264581	903	1995-08-31	VYDAJ	VYBER	15	19905	SLUZBY	\N	\N
264582	903	1995-09-30	VYDAJ	VYBER	15	20566	SLUZBY	\N	\N
264583	903	1995-10-31	VYDAJ	VYBER	15	20328	SLUZBY	\N	\N
264584	903	1995-11-30	VYDAJ	VYBER	15	20689	SLUZBY	\N	\N
264585	903	1995-12-31	VYDAJ	VYBER	15	19744	SLUZBY	\N	\N
264586	903	1996-01-31	VYDAJ	VYBER	15	14186	SLUZBY	\N	\N
264587	903	1996-02-29	VYDAJ	VYBER	15	13823	SLUZBY	\N	\N
264588	903	1996-03-31	VYDAJ	VYBER	15	13660	SLUZBY	\N	\N
264589	903	1996-04-30	VYDAJ	VYBER	15	16407	SLUZBY	\N	\N
264590	903	1996-05-31	VYDAJ	VYBER	15	18555	SLUZBY	\N	\N
264591	903	1996-06-30	VYDAJ	VYBER	15	16840	SLUZBY	\N	\N
264592	903	1996-07-31	VYDAJ	VYBER	15	13386	SLUZBY	\N	\N
264593	903	1996-08-31	VYDAJ	VYBER	15	15822	SLUZBY	\N	\N
264594	903	1996-09-30	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
264595	903	1996-10-31	VYDAJ	VYBER	15	16004	SLUZBY	\N	\N
264596	903	1996-11-30	VYDAJ	VYBER	15	14647	SLUZBY	\N	\N
264597	903	1996-12-31	VYDAJ	VYBER	15	13344	SLUZBY	\N	\N
264598	903	1997-01-31	VYDAJ	VYBER	15	13217	SLUZBY	\N	\N
264599	903	1997-02-28	VYDAJ	VYBER	15	11448	SLUZBY	\N	\N
264600	903	1997-03-31	VYDAJ	VYBER	15	12774	SLUZBY	\N	\N
264601	903	1997-04-30	VYDAJ	VYBER	15	14106	SLUZBY	\N	\N
264602	903	1997-05-31	VYDAJ	VYBER	15	14423	SLUZBY	\N	\N
264603	903	1997-06-30	VYDAJ	VYBER	15	14950	SLUZBY	\N	\N
264604	903	1997-07-31	VYDAJ	VYBER	15	16291	SLUZBY	\N	\N
264605	903	1997-08-31	VYDAJ	VYBER	15	16525	SLUZBY	\N	\N
264606	903	1997-09-30	VYDAJ	VYBER	15	17872	SLUZBY	\N	\N
264607	903	1997-10-31	VYDAJ	VYBER	15	19225	SLUZBY	\N	\N
264608	903	1997-11-30	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
264609	903	1997-12-31	VYDAJ	VYBER	15	21164	SLUZBY	\N	\N
264610	903	1998-01-31	VYDAJ	VYBER	15	18381	SLUZBY	\N	\N
264611	903	1998-02-28	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
264612	903	1998-03-31	VYDAJ	VYBER	15	21096	SLUZBY	\N	\N
264613	903	1998-04-30	VYDAJ	VYBER	15	14998	SLUZBY	\N	\N
264614	903	1998-05-31	VYDAJ	VYBER	15	12231	SLUZBY	\N	\N
264615	903	1998-06-30	VYDAJ	VYBER	15	13560	SLUZBY	\N	\N
264616	903	1998-07-31	VYDAJ	VYBER	15	14894	SLUZBY	\N	\N
264617	903	1998-08-31	VYDAJ	VYBER	15	16234	SLUZBY	\N	\N
264618	903	1998-09-30	VYDAJ	VYBER	15	17008	SLUZBY	\N	\N
264619	903	1998-10-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
264620	903	1998-11-30	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
264621	903	1994-01-09	PRIJEM	VKLAD	7500	12486	\N	\N	\N
264622	903	1994-02-08	PRIJEM	VKLAD	6200	22611	\N	\N	\N
264623	903	1994-03-10	VYDAJ	VYBER	1800	28650	\N	\N	\N
264624	903	1994-04-09	VYDAJ	VYBER	300	28467	\N	\N	\N
264625	903	1994-05-09	VYDAJ	VYBER	300	29566	\N	\N	\N
264626	903	1994-06-08	VYDAJ	VYBER	3700	27121	\N	\N	\N
264627	903	1994-07-08	PRIJEM	VKLAD	3200	22903	\N	\N	\N
264628	903	1994-08-07	PRIJEM	VKLAD	1000	25275	\N	\N	\N
264629	903	1994-09-06	VYDAJ	VYBER	2100	24560	\N	\N	\N
264630	903	1994-10-06	VYDAJ	VYBER	100	25846	\N	\N	\N
264631	903	1994-11-05	VYDAJ	VYBER	2000	25235	\N	\N	\N
264632	903	1994-12-05	VYDAJ	VYBER	4700	21923	\N	\N	\N
264633	903	1995-01-04	VYDAJ	VYBER	200	22469	\N	\N	\N
264634	903	1995-02-03	VYDAJ	VYBER	600	19608	\N	\N	\N
264635	903	1995-03-05	VYDAJ	VYBER	900	18927	\N	\N	\N
264636	903	1995-04-04	PRIJEM	VKLAD	1100	21388	\N	\N	\N
264637	903	1995-05-04	VYDAJ	VYBER	3900	16963	\N	\N	\N
264638	903	1995-06-03	VYDAJ	VYBER	500	17819	\N	\N	\N
264639	903	1995-07-03	VYDAJ	VYBER	2000	16695	\N	\N	\N
264640	903	1995-08-02	PRIJEM	VKLAD	500	18548	\N	\N	\N
264641	903	1995-09-01	VYDAJ	VYBER	100	19805	\N	\N	\N
264642	903	1995-10-01	VYDAJ	VYBER	1600	18966	\N	\N	\N
264643	903	1995-10-31	VYDAJ	VYBER	1100	19228	\N	\N	\N
264644	903	1995-11-30	PRIJEM	VKLAD	100	20619	\N	\N	\N
264645	903	1995-12-30	VYDAJ	VYBER	1500	19670	\N	\N	\N
264646	903	1996-01-29	VYDAJ	VYBER	2200	14125	\N	\N	\N
264647	903	1996-02-28	VYDAJ	VYBER	1700	13777	\N	\N	\N
264648	903	1996-03-29	VYDAJ	VYBER	1500	13614	\N	\N	\N
264649	903	1996-04-28	PRIJEM	VKLAD	1800	16361	\N	\N	\N
264650	903	1996-05-28	PRIJEM	VKLAD	800	18498	\N	\N	\N
264651	903	1996-06-27	PRIJEM	VKLAD	900	16786	\N	\N	\N
264652	903	1996-07-27	VYDAJ	VYBER	4800	13331	\N	\N	\N
264653	903	1996-08-26	PRIJEM	VKLAD	1100	15777	\N	\N	\N
264654	903	1996-09-25	VYDAJ	VYBER	2700	14413	\N	\N	\N
264655	903	1996-10-25	PRIJEM	VKLAD	200	15956	\N	\N	\N
264656	903	1996-11-24	VYDAJ	VYBER	2700	14595	\N	\N	\N
264657	903	1996-12-24	VYDAJ	VYBER	2400	13298	\N	\N	\N
264658	903	1997-01-23	VYDAJ	VYBER	200	13415	\N	\N	\N
264659	903	1997-02-22	VYDAJ	VYBER	3100	11408	\N	\N	\N
264660	903	1998-04-18	VYDAJ	VYBER	7300	14937	\N	\N	\N
264661	903	1998-05-18	VYDAJ	VYBER	4100	12189	\N	\N	\N
264723	904	1994-03-20	PRIJEM	VKLAD	300	300	\N	\N	\N
264727	904	1994-04-13	PRIJEM	VKLAD	18625	18925	\N	\N	\N
264728	904	1994-05-13	PRIJEM	VKLAD	18625	37982	\N	\N	\N
264729	904	1994-06-13	PRIJEM	VKLAD	27938	60724	\N	\N	\N
264730	904	1994-07-13	PRIJEM	VKLAD	18625	61102	\N	\N	\N
264731	904	1994-08-13	PRIJEM	VKLAD	18625	60001	\N	\N	\N
264732	904	1994-09-13	PRIJEM	VKLAD	18625	58781	\N	\N	\N
264733	904	1994-10-13	PRIJEM	VKLAD	18625	61693	\N	\N	\N
264734	904	1994-11-13	PRIJEM	VKLAD	18625	63286	\N	\N	\N
264735	904	1994-12-13	PRIJEM	VKLAD	27938	70891	\N	\N	\N
264736	904	1995-01-13	PRIJEM	VKLAD	18625	65010	\N	\N	\N
264737	904	1995-02-13	PRIJEM	VKLAD	18625	56564	\N	\N	\N
264738	904	1995-03-13	PRIJEM	VKLAD	18625	57234	\N	\N	\N
264739	904	1995-04-13	PRIJEM	VKLAD	18625	56487	\N	\N	\N
264740	904	1995-05-13	PRIJEM	VKLAD	18625	56946	\N	\N	\N
264741	904	1995-06-13	PRIJEM	VKLAD	27938	71544	\N	\N	\N
264742	904	1995-07-13	PRIJEM	VKLAD	18625	61823	\N	\N	\N
264743	904	1995-08-13	PRIJEM	VKLAD	18625	50765	\N	\N	\N
264744	904	1995-09-13	PRIJEM	VKLAD	18625	58472	\N	\N	\N
264745	904	1995-10-13	PRIJEM	VKLAD	18625	59713	\N	\N	\N
264746	904	1995-11-13	PRIJEM	VKLAD	18625	62870	\N	\N	\N
264747	904	1995-12-13	PRIJEM	VKLAD	27938	68630	\N	\N	\N
264748	904	1996-01-13	PRIJEM	VKLAD	18625	64248	\N	\N	\N
264749	904	1996-02-13	PRIJEM	VKLAD	18625	60402	\N	\N	\N
264750	904	1996-03-13	PRIJEM	VKLAD	18625	64244	\N	\N	\N
264751	904	1996-04-13	PRIJEM	VKLAD	18625	63315	\N	\N	\N
264752	904	1996-05-13	PRIJEM	VKLAD	18625	59711	\N	\N	\N
264753	904	1996-06-13	PRIJEM	VKLAD	27938	72876	\N	\N	\N
264754	904	1996-07-13	PRIJEM	VKLAD	18625	64367	\N	\N	\N
264755	904	1996-08-13	PRIJEM	VKLAD	18625	64652	\N	\N	\N
264756	904	1996-09-13	PRIJEM	VKLAD	18625	66531	\N	\N	\N
264757	904	1996-10-13	PRIJEM	VKLAD	18625	63952	\N	\N	\N
264758	904	1996-11-13	PRIJEM	VKLAD	18625	66823	\N	\N	\N
264759	904	1996-12-13	PRIJEM	VKLAD	27938	79098	\N	\N	\N
264760	904	1997-01-13	PRIJEM	VKLAD	18625	70558	\N	\N	\N
264761	904	1997-02-13	PRIJEM	VKLAD	18625	74035	\N	\N	\N
264762	904	1997-03-13	PRIJEM	VKLAD	18625	79038	\N	\N	\N
264763	904	1997-04-13	PRIJEM	VKLAD	18625	80768	\N	\N	\N
264764	904	1997-05-13	PRIJEM	VKLAD	18625	81711	\N	\N	\N
264765	904	1997-06-13	PRIJEM	VKLAD	27938	91571	\N	\N	\N
264766	904	1997-07-13	PRIJEM	VKLAD	18625	84445	\N	\N	\N
264767	904	1997-08-13	PRIJEM	VKLAD	18625	78617	\N	\N	\N
264768	904	1997-09-13	PRIJEM	VKLAD	18625	77460	\N	\N	\N
264769	904	1997-10-13	PRIJEM	VKLAD	18625	78663	\N	\N	\N
264770	904	1997-11-13	PRIJEM	VKLAD	18625	75920	\N	\N	\N
264771	904	1997-12-13	PRIJEM	VKLAD	27938	79792	\N	\N	\N
264772	904	1998-01-13	PRIJEM	VKLAD	18625	81282	\N	\N	\N
264773	904	1998-02-13	PRIJEM	VKLAD	18625	74884	\N	\N	\N
264774	904	1998-03-13	PRIJEM	VKLAD	18625	79970	\N	\N	\N
264775	904	1998-04-13	PRIJEM	VKLAD	18625	81245	\N	\N	\N
264776	904	1998-05-13	PRIJEM	VKLAD	18625	83359	\N	\N	\N
264777	904	1998-06-13	PRIJEM	VKLAD	27938	93848	\N	\N	\N
264778	904	1998-07-13	PRIJEM	VKLAD	18625	92232	\N	\N	\N
264779	904	1998-08-13	PRIJEM	VKLAD	18625	93445	\N	\N	\N
264780	904	1998-09-13	PRIJEM	VKLAD	18625	97865	\N	\N	\N
264781	904	1998-10-13	PRIJEM	VKLAD	18625	95098	\N	\N	\N
264782	904	1998-11-13	PRIJEM	VKLAD	18625	94020	\N	\N	\N
264783	904	1998-12-13	PRIJEM	VKLAD	27938	105656	\N	\N	\N
264784	904	1994-12-26	VYDAJ	VYBER	2080	46211	\N	\N	\N
264785	904	1995-12-03	VYDAJ	VYBER	3520	59592	\N	\N	\N
264786	904	1996-12-01	VYDAJ	VYBER	2720	64361	\N	\N	\N
264787	904	1997-12-07	VYDAJ	VYBER KARTOU	1100	51855	\N	\N	0
264788	904	1998-12-09	VYDAJ	VYBER KARTOU	2100	77718	\N	\N	0
264795	904	1995-01-28	VYDAJ	VYBER	2040	39810	\N	\N	\N
264796	904	1995-01-13	VYDAJ	VYBER	1320	60450	\N	\N	\N
264797	904	1995-01-30	VYDAJ	VYBER	2040	37770	\N	\N	\N
264798	904	1995-01-18	VYDAJ	VYBER	600	42450	\N	\N	\N
264799	904	1995-01-24	VYDAJ	VYBER	600	41850	\N	\N	\N
264800	904	1995-01-13	VYDAJ	VYBER	3240	61770	\N	\N	\N
264801	904	1996-01-25	VYDAJ	VYBER	1920	53328	\N	\N	\N
264802	904	1996-01-02	VYDAJ	VYBER	3360	65523	\N	\N	\N
264803	904	1996-01-20	VYDAJ	VYBER	2280	59568	\N	\N	\N
264804	904	1996-01-04	VYDAJ	VYBER	600	64923	\N	\N	\N
264805	904	1996-01-21	VYDAJ	VYBER	2160	57408	\N	\N	\N
264806	904	1996-01-20	VYDAJ	VYBER	2400	61848	\N	\N	\N
264807	904	1997-01-04	VYDAJ	VYBER	1080	56733	\N	\N	\N
264808	904	1997-01-11	VYDAJ	VYBER	2280	51933	\N	\N	\N
264809	904	1997-01-08	VYDAJ	VYBER	2520	54213	\N	\N	\N
264810	904	1997-01-23	VYDAJ	VYBER	2040	65758	\N	\N	\N
264811	904	1997-01-03	VYDAJ	VYBER	1440	57813	\N	\N	\N
264812	904	1997-01-02	VYDAJ	VYBER	720	78653	\N	\N	\N
264813	904	1998-01-29	VYDAJ	VYBER KARTOU	2200	61582	\N	\N	0
264814	904	1998-01-30	VYDAJ	VYBER KARTOU	3000	58582	\N	\N	0
264815	904	1998-01-18	VYDAJ	VYBER KARTOU	1900	79382	\N	\N	0
264816	904	1998-01-24	VYDAJ	VYBER KARTOU	800	78582	\N	\N	0
264817	904	1998-01-12	VYDAJ	VYBER KARTOU	1000	62657	\N	\N	0
264818	904	1998-01-25	VYDAJ	VYBER KARTOU	1400	77182	\N	\N	0
264821	904	1994-09-16	VYDAJ	VYBER	1200	57581	\N	\N	\N
264824	904	1995-07-08	VYDAJ	VYBER	4440	43198	\N	\N	\N
264825	904	1995-05-05	VYDAJ	VYBER	840	38321	\N	\N	\N
264826	904	1995-04-10	VYDAJ	VYBER	1920	37862	\N	\N	\N
264827	904	1995-04-17	VYDAJ	VYBER	4080	39007	\N	\N	\N
264828	904	1995-06-24	VYDAJ	VYBER	2520	47424	\N	\N	\N
264829	904	1996-09-28	VYDAJ	VYBER	5760	60771	\N	\N	\N
264830	904	1996-02-03	VYDAJ	VYBER	2280	51277	\N	\N	\N
264831	904	1996-01-22	VYDAJ	VYBER	2160	55248	\N	\N	\N
264832	904	1996-07-11	VYDAJ	VYBER	4800	45742	\N	\N	\N
264833	904	1996-05-09	VYDAJ	VYBER	5280	41086	\N	\N	\N
264834	904	1997-01-17	VYDAJ	VYBER	2760	67798	\N	\N	\N
264835	904	1997-11-21	VYDAJ	VYBER KARTOU	5500	70420	\N	\N	0
264836	904	1997-09-02	VYDAJ	VYBER KARTOU	3700	58835	\N	\N	0
264837	904	1998-03-23	VYDAJ	VYBER KARTOU	5300	74670	\N	\N	0
264838	904	1998-04-03	VYDAJ	VYBER KARTOU	4300	62620	\N	\N	0
264839	904	1998-02-10	VYDAJ	VYBER KARTOU	2600	56259	\N	\N	0
264848	904	1994-08-31	VYDAJ	VYBER	15	40156	SLUZBY	\N	\N
264849	904	1994-09-30	VYDAJ	VYBER	15	43068	SLUZBY	\N	\N
264850	904	1994-10-31	VYDAJ	VYBER	15	44661	SLUZBY	\N	\N
264851	904	1994-11-30	VYDAJ	VYBER	15	42953	SLUZBY	\N	\N
264852	904	1994-12-31	VYDAJ	VYBER	15	46385	SLUZBY	\N	\N
264853	904	1995-01-31	VYDAJ	VYBER	15	37939	SLUZBY	\N	\N
264854	904	1995-02-28	VYDAJ	VYBER	15	38609	SLUZBY	\N	\N
264855	904	1995-03-31	VYDAJ	VYBER	15	39782	SLUZBY	\N	\N
264856	904	1995-04-30	VYDAJ	VYBER	15	39161	SLUZBY	\N	\N
264857	904	1995-05-31	VYDAJ	VYBER	15	43607	SLUZBY	\N	\N
264858	904	1995-06-30	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
264859	904	1995-07-31	VYDAJ	VYBER	15	41440	SLUZBY	\N	\N
264860	904	1995-08-31	VYDAJ	VYBER	15	50947	SLUZBY	\N	\N
264861	904	1995-09-30	VYDAJ	VYBER	15	58688	SLUZBY	\N	\N
264862	904	1995-10-31	VYDAJ	VYBER	15	59945	SLUZBY	\N	\N
264863	904	1995-11-30	VYDAJ	VYBER	15	63112	SLUZBY	\N	\N
264864	904	1995-12-31	VYDAJ	VYBER	15	68883	SLUZBY	\N	\N
264865	904	1996-01-31	VYDAJ	VYBER	15	53557	SLUZBY	\N	\N
264866	904	1996-02-29	VYDAJ	VYBER	15	60619	SLUZBY	\N	\N
264867	904	1996-03-31	VYDAJ	VYBER	15	64490	SLUZBY	\N	\N
264868	904	1996-04-30	VYDAJ	VYBER	15	63566	SLUZBY	\N	\N
264869	904	1996-05-31	VYDAJ	VYBER	15	59938	SLUZBY	\N	\N
264870	904	1996-06-30	VYDAJ	VYBER	15	73142	SLUZBY	\N	\N
264871	904	1996-07-31	VYDAJ	VYBER	15	64627	SLUZBY	\N	\N
264872	904	1996-08-31	VYDAJ	VYBER	15	64906	SLUZBY	\N	\N
264873	904	1996-09-30	VYDAJ	VYBER	15	61027	SLUZBY	\N	\N
264874	904	1996-10-31	VYDAJ	VYBER	15	64198	SLUZBY	\N	\N
264875	904	1996-11-30	VYDAJ	VYBER	15	67081	SLUZBY	\N	\N
264876	904	1996-12-31	VYDAJ	VYBER	15	79373	SLUZBY	\N	\N
264877	904	1997-01-31	VYDAJ	VYBER	15	66010	SLUZBY	\N	\N
264878	904	1997-02-28	VYDAJ	VYBER	15	74313	SLUZBY	\N	\N
264879	904	1997-03-31	VYDAJ	VYBER	15	79343	SLUZBY	\N	\N
264880	904	1997-04-30	VYDAJ	VYBER	15	81086	SLUZBY	\N	\N
264881	904	1997-05-31	VYDAJ	VYBER	15	82034	SLUZBY	\N	\N
264882	904	1997-06-30	VYDAJ	VYBER	15	91920	SLUZBY	\N	\N
264883	904	1997-07-31	VYDAJ	VYBER	15	84792	SLUZBY	\N	\N
264884	904	1997-08-31	VYDAJ	VYBER	15	62535	SLUZBY	\N	\N
264885	904	1997-09-30	VYDAJ	VYBER	15	60038	SLUZBY	\N	\N
264886	904	1997-10-31	VYDAJ	VYBER	15	57295	SLUZBY	\N	\N
264887	904	1997-11-30	VYDAJ	VYBER	15	52955	SLUZBY	\N	\N
264888	904	1997-12-31	VYDAJ	VYBER	15	63657	SLUZBY	\N	\N
264889	904	1998-01-31	VYDAJ	VYBER	15	58859	SLUZBY	\N	\N
264890	904	1998-02-28	VYDAJ	VYBER	15	61345	SLUZBY	\N	\N
264891	904	1998-03-31	VYDAJ	VYBER	15	66920	SLUZBY	\N	\N
264892	904	1998-04-30	VYDAJ	VYBER	15	64734	SLUZBY	\N	\N
264893	904	1998-05-31	VYDAJ	VYBER	15	65910	SLUZBY	\N	\N
264894	904	1998-06-30	VYDAJ	VYBER	15	73607	SLUZBY	\N	\N
264895	904	1998-07-31	VYDAJ	VYBER	15	74820	SLUZBY	\N	\N
264896	904	1998-08-31	VYDAJ	VYBER	15	79240	SLUZBY	\N	\N
264897	904	1998-09-30	VYDAJ	VYBER	15	76473	SLUZBY	\N	\N
264898	904	1998-10-31	VYDAJ	VYBER	15	75395	SLUZBY	\N	\N
264899	904	1998-11-30	VYDAJ	VYBER	15	79818	SLUZBY	\N	\N
264900	904	1994-04-19	PRIJEM	VKLAD	400	19325	\N	\N	\N
264901	904	1994-05-19	VYDAJ	VYBER	5300	32682	\N	\N	\N
264902	904	1994-06-18	VYDAJ	VYBER	18400	42324	\N	\N	\N
264903	904	1994-07-18	VYDAJ	VYBER	19900	41202	\N	\N	\N
264904	904	1994-08-17	VYDAJ	VYBER	20000	40001	\N	\N	\N
264905	904	1994-09-16	VYDAJ	VYBER	14700	42881	\N	\N	\N
264906	904	1994-10-16	VYDAJ	VYBER	17200	44493	\N	\N	\N
264907	904	1994-11-15	VYDAJ	VYBER	20500	42786	\N	\N	\N
264908	904	1994-12-15	VYDAJ	VYBER	22600	48291	\N	\N	\N
264909	904	1995-01-14	VYDAJ	VYBER	17400	43050	\N	\N	\N
264910	904	1995-02-13	VYDAJ	VYBER	18100	38464	\N	\N	\N
264911	904	1995-03-15	VYDAJ	VYBER	17600	39634	\N	\N	\N
264912	904	1995-04-14	VYDAJ	VYBER	13400	43087	\N	\N	\N
264913	904	1995-05-14	VYDAJ	VYBER	13500	43446	\N	\N	\N
264914	904	1995-06-13	VYDAJ	VYBER	21600	49944	\N	\N	\N
264915	904	1995-07-13	VYDAJ	VYBER	20600	41223	\N	\N	\N
264916	904	1995-08-12	VYDAJ	VYBER	9300	32140	\N	\N	\N
264917	904	1995-09-11	VYDAJ	VYBER	11100	39847	\N	\N	\N
264918	904	1995-10-11	VYDAJ	VYBER	17600	41088	\N	\N	\N
264919	904	1995-11-10	VYDAJ	VYBER	15700	44245	\N	\N	\N
264920	904	1995-12-10	VYDAJ	VYBER	18900	40692	\N	\N	\N
264921	904	1996-01-09	VYDAJ	VYBER	19300	45623	\N	\N	\N
264922	904	1996-02-08	VYDAJ	VYBER	9500	41777	\N	\N	\N
264923	904	1996-03-09	VYDAJ	VYBER	15000	45619	\N	\N	\N
264924	904	1996-04-08	VYDAJ	VYBER	19800	44690	\N	\N	\N
264925	904	1996-05-08	VYDAJ	VYBER	17200	46366	\N	\N	\N
264926	904	1996-06-07	VYDAJ	VYBER	15000	44938	\N	\N	\N
264927	904	1996-07-07	VYDAJ	VYBER	22600	50542	\N	\N	\N
264928	904	1996-08-06	VYDAJ	VYBER	18600	46027	\N	\N	\N
264929	904	1996-09-05	VYDAJ	VYBER	17000	47906	\N	\N	\N
264930	904	1996-10-05	VYDAJ	VYBER	15700	45327	\N	\N	\N
264931	904	1996-11-04	VYDAJ	VYBER	16000	48198	\N	\N	\N
264932	904	1996-12-04	VYDAJ	VYBER	13200	51161	\N	\N	\N
264933	904	1997-01-03	VYDAJ	VYBER	19400	59253	\N	\N	\N
264934	904	1997-02-02	VYDAJ	VYBER	10600	55410	\N	\N	\N
264935	904	1997-03-04	VYDAJ	VYBER	13900	60413	\N	\N	\N
264936	904	1997-04-03	VYDAJ	VYBER	17200	62143	\N	\N	\N
264937	904	1997-05-03	VYDAJ	VYBER	18000	63086	\N	\N	\N
264938	904	1997-06-02	VYDAJ	VYBER	18400	63634	\N	\N	\N
264939	904	1997-07-02	VYDAJ	VYBER	26100	65820	\N	\N	\N
264940	904	1997-08-01	VYDAJ	VYBER	24800	59992	\N	\N	\N
264941	904	1997-08-31	VYDAJ	VYBER	16400	62550	\N	\N	\N
264942	904	1997-09-30	VYDAJ	VYBER	17700	60053	\N	\N	\N
264943	904	1997-10-30	VYDAJ	VYBER	21600	57063	\N	\N	\N
264944	904	1997-11-29	VYDAJ	VYBER	17700	52720	\N	\N	\N
264945	904	1997-12-29	VYDAJ	VYBER	16400	63392	\N	\N	\N
264946	904	1998-01-28	VYDAJ	VYBER	13400	63782	\N	\N	\N
264947	904	1998-02-27	VYDAJ	VYBER	13800	61084	\N	\N	\N
264948	904	1998-03-29	VYDAJ	VYBER KARTOU	8000	66670	\N	\N	0
264949	904	1998-04-28	VYDAJ	VYBER	16800	64445	\N	\N	\N
264950	904	1998-05-28	VYDAJ	VYBER	17700	65659	\N	\N	\N
264951	904	1998-06-27	VYDAJ	VYBER	20500	73348	\N	\N	\N
264952	904	1998-07-27	VYDAJ	VYBER	17700	74532	\N	\N	\N
264953	904	1998-08-26	VYDAJ	VYBER	14500	78945	\N	\N	\N
264954	904	1998-09-25	VYDAJ	VYBER	21700	76165	\N	\N	\N
264955	904	1998-10-25	VYDAJ	VYBER	20000	75098	\N	\N	\N
264956	904	1998-11-24	VYDAJ	VYBER	14500	79520	\N	\N	\N
265014	905	1996-12-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
265027	905	1997-01-09	PRIJEM	VKLAD	9264	10264	\N	\N	\N
265028	905	1997-02-09	PRIJEM	VKLAD	9264	25877	\N	\N	\N
265029	905	1997-03-09	PRIJEM	VKLAD	9264	31326	\N	\N	\N
265030	905	1997-04-09	PRIJEM	VKLAD	9264	31683	\N	\N	\N
265031	905	1997-05-09	PRIJEM	VKLAD	9264	30938	\N	\N	\N
265032	905	1997-06-09	PRIJEM	VKLAD	13896	29264	\N	\N	\N
265033	905	1997-07-09	PRIJEM	VKLAD	9264	27414	\N	\N	\N
265034	905	1997-08-09	PRIJEM	VKLAD	9264	21038	\N	\N	\N
265035	905	1997-09-09	PRIJEM	VKLAD	9264	20476	\N	\N	\N
265036	905	1997-10-09	PRIJEM	VKLAD	9264	22111	\N	\N	\N
265037	905	1997-11-09	PRIJEM	VKLAD	9264	24652	\N	\N	\N
265038	905	1997-12-09	PRIJEM	VKLAD	13896	28435	\N	\N	\N
265039	905	1998-01-09	PRIJEM	VKLAD	9264	20900	\N	\N	\N
265040	905	1998-02-09	PRIJEM	VKLAD	9264	24045	\N	\N	\N
265041	905	1998-03-09	PRIJEM	VKLAD	9264	27193	\N	\N	\N
265042	905	1998-04-09	PRIJEM	VKLAD	9264	20554	\N	\N	\N
265043	905	1998-05-09	PRIJEM	VKLAD	9264	23697	\N	\N	\N
265044	905	1998-06-09	PRIJEM	VKLAD	13896	26575	\N	\N	\N
265045	905	1998-07-09	PRIJEM	VKLAD	9264	21433	\N	\N	\N
265046	905	1998-08-09	PRIJEM	VKLAD	9264	23014	\N	\N	\N
265047	905	1998-09-09	PRIJEM	VKLAD	9264	22551	\N	\N	\N
265048	905	1998-10-09	PRIJEM	VKLAD	9264	25693	\N	\N	\N
265049	905	1998-11-09	PRIJEM	VKLAD	9264	23202	\N	\N	\N
265050	905	1998-12-09	PRIJEM	VKLAD	13896	27879	\N	\N	\N
265067	905	1997-05-13	VYDAJ	PREVOD NA UCET	6086	17499	SIPO	EF	79027634
265068	905	1997-06-13	VYDAJ	PREVOD NA UCET	6086	18125	SIPO	EF	79027634
265069	905	1997-07-13	VYDAJ	PREVOD NA UCET	6086	15375	SIPO	EF	79027634
265070	905	1997-08-13	VYDAJ	PREVOD NA UCET	6086	14899	SIPO	EF	79027634
265071	905	1997-09-13	VYDAJ	PREVOD NA UCET	6086	14337	SIPO	EF	79027634
265072	905	1997-10-13	VYDAJ	PREVOD NA UCET	6086	15972	SIPO	EF	79027634
265073	905	1997-11-13	VYDAJ	PREVOD NA UCET	6086	18513	SIPO	EF	79027634
265074	905	1997-12-13	VYDAJ	PREVOD NA UCET	6086	22296	SIPO	EF	79027634
265075	905	1998-01-13	VYDAJ	PREVOD NA UCET	6086	14761	SIPO	EF	79027634
265076	905	1998-02-13	VYDAJ	PREVOD NA UCET	6086	17906	SIPO	EF	79027634
265077	905	1998-03-13	VYDAJ	PREVOD NA UCET	6086	21054	SIPO	EF	79027634
265078	905	1998-04-13	VYDAJ	PREVOD NA UCET	6086	14415	SIPO	EF	79027634
265079	905	1998-05-13	VYDAJ	PREVOD NA UCET	6086	17558	SIPO	EF	79027634
265080	905	1998-06-13	VYDAJ	PREVOD NA UCET	6086	20436	SIPO	EF	79027634
265081	905	1998-07-13	VYDAJ	PREVOD NA UCET	6086	13734	SIPO	EF	79027634
265082	905	1998-08-13	VYDAJ	PREVOD NA UCET	6086	16875	SIPO	EF	79027634
265083	905	1998-09-13	VYDAJ	PREVOD NA UCET	6086	16412	SIPO	EF	79027634
265084	905	1998-10-13	VYDAJ	PREVOD NA UCET	6086	19554	SIPO	EF	79027634
265085	905	1998-11-13	VYDAJ	PREVOD NA UCET	6086	17063	SIPO	EF	79027634
265086	905	1998-12-13	VYDAJ	PREVOD NA UCET	6086	21740	SIPO	EF	79027634
265104	905	1997-06-08	VYDAJ	PREVOD NA UCET	37	15368	 	IJ	93500333
265105	905	1997-07-08	VYDAJ	PREVOD NA UCET	37	18150	 	IJ	93500333
265106	905	1997-08-08	VYDAJ	PREVOD NA UCET	37	12274	 	IJ	93500333
265107	905	1997-09-08	VYDAJ	PREVOD NA UCET	37	11212	 	IJ	93500333
265108	905	1997-10-08	VYDAJ	PREVOD NA UCET	37	12847	 	IJ	93500333
265109	905	1997-11-08	VYDAJ	PREVOD NA UCET	37	15388	 	IJ	93500333
265110	905	1997-12-08	VYDAJ	PREVOD NA UCET	37	14539	 	IJ	93500333
265111	905	1998-01-08	VYDAJ	PREVOD NA UCET	37	11636	 	IJ	93500333
265112	905	1998-02-08	VYDAJ	PREVOD NA UCET	37	14781	 	IJ	93500333
265113	905	1998-03-08	VYDAJ	PREVOD NA UCET	37	17929	 	IJ	93500333
265114	905	1998-04-08	VYDAJ	PREVOD NA UCET	37	11290	 	IJ	93500333
265115	905	1998-05-08	VYDAJ	PREVOD NA UCET	37	14433	 	IJ	93500333
265116	905	1998-06-08	VYDAJ	PREVOD NA UCET	37	12679	 	IJ	93500333
265117	905	1998-07-08	VYDAJ	PREVOD NA UCET	37	12169	 	IJ	93500333
265118	905	1998-08-08	VYDAJ	PREVOD NA UCET	37	13750	 	IJ	93500333
265119	905	1998-09-08	VYDAJ	PREVOD NA UCET	37	13287	 	IJ	93500333
265120	905	1998-10-08	VYDAJ	PREVOD NA UCET	37	16429	 	IJ	93500333
265121	905	1998-11-08	VYDAJ	PREVOD NA UCET	37	13938	 	IJ	93500333
265122	905	1998-12-08	VYDAJ	PREVOD NA UCET	37	13983	 	IJ	93500333
265139	905	1997-05-09	VYDAJ	PREVOD NA UCET	53	30885	POJISTNE	KL	13783419
265140	905	1997-06-09	VYDAJ	PREVOD NA UCET	53	24211	POJISTNE	KL	13783419
265141	905	1997-07-09	VYDAJ	PREVOD NA UCET	53	27361	POJISTNE	KL	13783419
265142	905	1997-08-09	VYDAJ	PREVOD NA UCET	53	20985	POJISTNE	KL	13783419
265143	905	1997-09-09	VYDAJ	PREVOD NA UCET	53	20423	POJISTNE	KL	13783419
265144	905	1997-10-09	VYDAJ	PREVOD NA UCET	53	22058	POJISTNE	KL	13783419
265145	905	1997-11-09	VYDAJ	PREVOD NA UCET	53	24599	POJISTNE	KL	13783419
265146	905	1997-12-09	VYDAJ	PREVOD NA UCET	53	28382	POJISTNE	KL	13783419
265147	905	1998-01-09	VYDAJ	PREVOD NA UCET	53	20847	POJISTNE	KL	13783419
265148	905	1998-02-09	VYDAJ	PREVOD NA UCET	53	23992	POJISTNE	KL	13783419
265149	905	1998-03-09	VYDAJ	PREVOD NA UCET	53	27140	POJISTNE	KL	13783419
265150	905	1998-04-09	VYDAJ	PREVOD NA UCET	53	20501	POJISTNE	KL	13783419
265151	905	1998-05-09	VYDAJ	PREVOD NA UCET	53	23644	POJISTNE	KL	13783419
265152	905	1998-06-09	VYDAJ	PREVOD NA UCET	53	26522	POJISTNE	KL	13783419
265153	905	1998-07-09	VYDAJ	PREVOD NA UCET	53	21380	POJISTNE	KL	13783419
265154	905	1998-08-09	VYDAJ	PREVOD NA UCET	53	22961	POJISTNE	KL	13783419
265155	905	1998-09-09	VYDAJ	PREVOD NA UCET	53	22498	POJISTNE	KL	13783419
265156	905	1998-10-09	VYDAJ	PREVOD NA UCET	53	25640	POJISTNE	KL	13783419
265157	905	1998-11-09	VYDAJ	PREVOD NA UCET	53	23149	POJISTNE	KL	13783419
265158	905	1998-12-09	VYDAJ	PREVOD NA UCET	53	27826	POJISTNE	KL	13783419
265177	905	1997-08-31	VYDAJ	VYBER	2400	12564	\N	\N	\N
265179	905	1997-08-07	VYDAJ	VYBER	3120	12311	\N	\N	\N
265181	905	1997-05-31	VYDAJ	VYBER	2160	15405	\N	\N	\N
265184	905	1998-08-20	VYDAJ	VYBER	3600	13275	\N	\N	\N
265185	905	1998-10-25	VYDAJ	VYBER	5640	13914	\N	\N	\N
265187	905	1998-07-11	VYDAJ	VYBER	1560	19820	\N	\N	\N
265206	905	1997-05-31	VYDAJ	VYBER	15	17565	SLUZBY	\N	\N
265207	905	1997-06-30	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
265208	905	1997-07-31	VYDAJ	VYBER	15	15431	SLUZBY	\N	\N
265209	905	1997-08-31	VYDAJ	VYBER	15	12549	SLUZBY	\N	\N
265210	905	1997-09-30	VYDAJ	VYBER	15	14384	SLUZBY	\N	\N
265211	905	1997-10-31	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
265212	905	1997-11-30	VYDAJ	VYBER	15	18576	SLUZBY	\N	\N
265213	905	1997-12-31	VYDAJ	VYBER	15	22373	SLUZBY	\N	\N
265214	905	1998-01-31	VYDAJ	VYBER	15	14818	SLUZBY	\N	\N
265215	905	1998-02-28	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
265216	905	1998-03-31	VYDAJ	VYBER	15	21127	SLUZBY	\N	\N
265217	905	1998-04-30	VYDAJ	VYBER	15	14470	SLUZBY	\N	\N
265218	905	1998-05-31	VYDAJ	VYBER	15	17616	SLUZBY	\N	\N
265219	905	1998-06-30	VYDAJ	VYBER	15	20506	SLUZBY	\N	\N
265220	905	1998-07-31	VYDAJ	VYBER	15	13787	SLUZBY	\N	\N
265221	905	1998-08-31	VYDAJ	VYBER	15	13324	SLUZBY	\N	\N
265222	905	1998-09-30	VYDAJ	VYBER	15	16466	SLUZBY	\N	\N
265223	905	1998-10-31	VYDAJ	VYBER	15	13975	SLUZBY	\N	\N
265224	905	1998-11-30	VYDAJ	VYBER	15	17120	SLUZBY	\N	\N
265225	905	1997-01-10	PRIJEM	VKLAD	6300	16564	\N	\N	\N
265226	905	1997-02-09	VYDAJ	VYBER	3900	21977	\N	\N	\N
265227	905	1997-03-11	VYDAJ	VYBER	9000	22326	\N	\N	\N
265228	905	1997-04-10	VYDAJ	VYBER	10100	21583	\N	\N	\N
265229	905	1997-05-10	VYDAJ	VYBER	7300	23585	\N	\N	\N
265230	905	1997-06-09	VYDAJ	VYBER	5000	24264	\N	\N	\N
265231	905	1997-07-09	VYDAJ	VYBER	5900	21461	\N	\N	\N
265232	905	1997-08-08	VYDAJ	VYBER	500	11774	\N	\N	\N
265233	905	1997-09-07	VYDAJ	VYBER	1300	11249	\N	\N	\N
265234	905	1997-10-07	VYDAJ	VYBER	1500	12884	\N	\N	\N
265235	905	1997-11-06	VYDAJ	VYBER	600	15425	\N	\N	\N
265236	905	1997-12-06	VYDAJ	VYBER	4000	14576	\N	\N	\N
265237	905	1998-01-05	VYDAJ	VYBER	10700	11673	\N	\N	\N
265238	905	1998-04-05	VYDAJ	VYBER	9800	11327	\N	\N	\N
265239	905	1998-06-04	VYDAJ	VYBER	4900	12716	\N	\N	\N
265240	905	1998-07-04	VYDAJ	VYBER	8300	12206	\N	\N	\N
265241	905	1998-12-01	VYDAJ	VYBER	3100	14020	\N	\N	\N
265266	906	1997-12-27	PRIJEM	VKLAD	800	800	\N	\N	\N
265279	906	1998-01-06	PRIJEM	PREVOD Z UCTU	3361	4161	\N	OP	97056167
265280	906	1998-02-06	PRIJEM	PREVOD Z UCTU	3361	7522	\N	OP	97056167
265281	906	1998-03-06	PRIJEM	PREVOD Z UCTU	3361	10883	\N	OP	97056167
265282	906	1998-04-06	PRIJEM	PREVOD Z UCTU	3361	14244	\N	OP	97056167
265283	906	1998-05-06	PRIJEM	PREVOD Z UCTU	3361	17605	\N	OP	97056167
265284	906	1998-06-06	PRIJEM	PREVOD Z UCTU	3361	18611	\N	OP	97056167
265285	906	1998-07-06	PRIJEM	PREVOD Z UCTU	3361	16268	\N	OP	97056167
265286	906	1998-08-06	PRIJEM	PREVOD Z UCTU	3361	16200	\N	OP	97056167
265287	906	1998-09-06	PRIJEM	PREVOD Z UCTU	3361	16341	\N	OP	97056167
265288	906	1998-10-06	PRIJEM	PREVOD Z UCTU	3361	17505	\N	OP	97056167
265289	906	1998-11-06	PRIJEM	PREVOD Z UCTU	3361	18674	\N	OP	97056167
265290	906	1998-12-06	PRIJEM	PREVOD Z UCTU	3361	19848	\N	OP	97056167
265307	906	1998-05-08	VYDAJ	PREVOD NA UCET	2240	15365	\N	AB	85822999
265308	906	1998-06-08	VYDAJ	PREVOD NA UCET	2240	14301	\N	AB	85822999
265309	906	1998-07-08	VYDAJ	PREVOD NA UCET	2240	14028	\N	AB	85822999
265310	906	1998-08-08	VYDAJ	PREVOD NA UCET	2240	13960	\N	AB	85822999
265311	906	1998-09-08	VYDAJ	PREVOD NA UCET	2240	14101	\N	AB	85822999
265312	906	1998-10-08	VYDAJ	PREVOD NA UCET	2240	15265	\N	AB	85822999
265313	906	1998-11-08	VYDAJ	PREVOD NA UCET	2240	16434	\N	AB	85822999
265314	906	1998-12-08	VYDAJ	PREVOD NA UCET	2240	17608	\N	AB	85822999
265316	906	1998-06-06	VYDAJ	VYBER	2070	16541	\N	\N	\N
265320	906	1998-12-26	VYDAJ	VYBER	330	17278	\N	\N	\N
265340	906	1998-07-12	VYDAJ	VYBER	1230	12798	\N	\N	\N
265341	906	1998-07-02	VYDAJ	VYBER	1050	13297	\N	\N	\N
265343	906	1998-05-25	VYDAJ	VYBER	150	15215	\N	\N	\N
265344	906	1998-07-05	VYDAJ	VYBER	390	12907	\N	\N	\N
265345	906	1998-08-11	VYDAJ	VYBER	1020	12940	\N	\N	\N
265363	906	1998-05-31	VYDAJ	VYBER	15	15250	SLUZBY	\N	\N
265364	906	1998-06-30	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
265365	906	1998-07-31	VYDAJ	VYBER	15	12839	SLUZBY	\N	\N
265366	906	1998-08-31	VYDAJ	VYBER	15	12980	SLUZBY	\N	\N
265367	906	1998-09-30	VYDAJ	VYBER	15	14144	SLUZBY	\N	\N
265368	906	1998-10-31	VYDAJ	VYBER	15	15313	SLUZBY	\N	\N
265369	906	1998-11-30	VYDAJ	VYBER	15	16487	SLUZBY	\N	\N
265378	907	1993-07-09	PRIJEM	VKLAD	300	300	\N	\N	\N
265385	907	1993-07-11	PRIJEM	PREVOD Z UCTU	3178	3478	\N	CD	90560471
265386	907	1993-08-11	PRIJEM	PREVOD Z UCTU	3178	18366	\N	CD	90560471
265387	907	1993-09-11	PRIJEM	PREVOD Z UCTU	3178	24700	\N	CD	90560471
265388	907	1993-10-11	PRIJEM	PREVOD Z UCTU	3178	26972	\N	CD	90560471
265389	907	1993-11-11	PRIJEM	PREVOD Z UCTU	3178	28060	\N	CD	90560471
265390	907	1993-12-11	PRIJEM	PREVOD Z UCTU	3178	27464	\N	CD	90560471
265391	907	1994-01-11	PRIJEM	PREVOD Z UCTU	3178	30326	\N	CD	90560471
265392	907	1994-02-11	PRIJEM	PREVOD Z UCTU	3178	28033	\N	CD	90560471
265393	907	1994-03-11	PRIJEM	PREVOD Z UCTU	3178	28987	\N	CD	90560471
265394	907	1994-04-11	PRIJEM	PREVOD Z UCTU	3178	27644	\N	CD	90560471
265395	907	1994-05-11	PRIJEM	PREVOD Z UCTU	3178	26598	\N	CD	90560471
265396	907	1994-06-11	PRIJEM	PREVOD Z UCTU	3178	28237	\N	CD	90560471
265397	907	1994-07-11	PRIJEM	PREVOD Z UCTU	3178	28005	\N	CD	90560471
265398	907	1994-08-11	PRIJEM	PREVOD Z UCTU	3178	26508	\N	CD	90560471
265399	907	1994-09-11	PRIJEM	PREVOD Z UCTU	3178	30856	\N	CD	90560471
265400	907	1994-10-11	PRIJEM	PREVOD Z UCTU	3178	32915	\N	CD	90560471
265401	907	1994-11-11	PRIJEM	PREVOD Z UCTU	3178	31586	\N	CD	90560471
265402	907	1994-12-11	PRIJEM	PREVOD Z UCTU	3178	32117	\N	CD	90560471
265403	907	1995-01-11	PRIJEM	PREVOD Z UCTU	3178	33196	\N	CD	90560471
265404	907	1995-02-11	PRIJEM	PREVOD Z UCTU	3178	30015	\N	CD	90560471
265405	907	1995-03-11	PRIJEM	PREVOD Z UCTU	3178	32975	\N	CD	90560471
265406	907	1995-04-11	PRIJEM	PREVOD Z UCTU	3178	30544	\N	CD	90560471
265407	907	1995-05-11	PRIJEM	PREVOD Z UCTU	3178	29706	\N	CD	90560471
265408	907	1995-06-11	PRIJEM	PREVOD Z UCTU	3178	25334	\N	CD	90560471
265409	907	1995-07-11	PRIJEM	PREVOD Z UCTU	3178	28081	\N	CD	90560471
265410	907	1995-08-11	PRIJEM	PREVOD Z UCTU	3178	27871	\N	CD	90560471
265411	907	1995-09-11	PRIJEM	PREVOD Z UCTU	3178	27921	\N	CD	90560471
265412	907	1995-10-11	PRIJEM	PREVOD Z UCTU	3178	28271	\N	CD	90560471
265413	907	1995-11-11	PRIJEM	PREVOD Z UCTU	3178	26621	\N	CD	90560471
265414	907	1995-12-11	PRIJEM	PREVOD Z UCTU	3178	25896	\N	CD	90560471
265415	907	1996-01-11	PRIJEM	PREVOD Z UCTU	3178	28151	\N	CD	90560471
265416	907	1996-02-11	PRIJEM	PREVOD Z UCTU	3178	28694	\N	CD	90560471
265417	907	1996-03-11	PRIJEM	PREVOD Z UCTU	3178	25045	\N	CD	90560471
265418	907	1996-04-11	PRIJEM	PREVOD Z UCTU	3178	25873	\N	CD	90560471
265419	907	1996-05-11	PRIJEM	PREVOD Z UCTU	3178	23712	\N	CD	90560471
265420	907	1996-06-11	PRIJEM	PREVOD Z UCTU	3178	20440	\N	CD	90560471
265421	907	1996-07-11	PRIJEM	PREVOD Z UCTU	3178	17764	\N	CD	90560471
265422	907	1996-08-11	PRIJEM	PREVOD Z UCTU	3178	20975	\N	CD	90560471
265423	907	1996-09-11	PRIJEM	PREVOD Z UCTU	3178	23598	\N	CD	90560471
265424	907	1996-10-11	PRIJEM	PREVOD Z UCTU	3178	21425	\N	CD	90560471
265425	907	1996-11-11	PRIJEM	PREVOD Z UCTU	3178	22399	\N	CD	90560471
265426	907	1996-12-11	PRIJEM	PREVOD Z UCTU	3178	21072	\N	CD	90560471
265427	907	1997-01-11	PRIJEM	PREVOD Z UCTU	3178	21693	\N	CD	90560471
265428	907	1997-02-11	PRIJEM	PREVOD Z UCTU	3178	17737	\N	CD	90560471
265429	907	1997-03-11	PRIJEM	PREVOD Z UCTU	3178	20947	\N	CD	90560471
265430	907	1997-04-11	PRIJEM	PREVOD Z UCTU	3178	21768	\N	CD	90560471
265431	907	1997-05-11	PRIJEM	PREVOD Z UCTU	3178	19486	\N	CD	90560471
265432	907	1997-06-11	PRIJEM	PREVOD Z UCTU	3178	21101	\N	CD	90560471
265433	907	1997-07-11	PRIJEM	PREVOD Z UCTU	3178	18107	\N	CD	90560471
265434	907	1997-08-11	PRIJEM	PREVOD Z UCTU	3178	20619	\N	CD	90560471
265435	907	1997-09-11	PRIJEM	PREVOD Z UCTU	3178	20636	\N	CD	90560471
265436	907	1997-10-11	PRIJEM	PREVOD Z UCTU	3178	19750	\N	CD	90560471
265437	907	1997-11-11	PRIJEM	PREVOD Z UCTU	3178	21338	\N	CD	90560471
265438	907	1997-12-11	PRIJEM	PREVOD Z UCTU	3178	21348	\N	CD	90560471
265439	907	1998-01-11	PRIJEM	PREVOD Z UCTU	3178	20029	\N	CD	90560471
265440	907	1998-02-11	PRIJEM	PREVOD Z UCTU	3178	18662	\N	CD	90560471
265441	907	1998-03-11	PRIJEM	PREVOD Z UCTU	3178	19786	\N	CD	90560471
265442	907	1998-04-11	PRIJEM	PREVOD Z UCTU	3178	19999	\N	CD	90560471
265443	907	1998-05-11	PRIJEM	PREVOD Z UCTU	3178	21115	\N	CD	90560471
265444	907	1998-06-11	PRIJEM	PREVOD Z UCTU	3178	16922	\N	CD	90560471
265445	907	1998-07-11	PRIJEM	PREVOD Z UCTU	3178	18025	\N	CD	90560471
265446	907	1998-08-11	PRIJEM	PREVOD Z UCTU	3178	19132	\N	CD	90560471
265447	907	1998-09-11	PRIJEM	PREVOD Z UCTU	3178	20244	\N	CD	90560471
265448	907	1998-10-11	PRIJEM	PREVOD Z UCTU	3178	18484	\N	CD	90560471
265449	907	1998-11-11	PRIJEM	PREVOD Z UCTU	3178	17487	\N	CD	90560471
265450	907	1998-12-11	PRIJEM	PREVOD Z UCTU	3178	18592	\N	CD	90560471
265461	907	1993-11-12	VYDAJ	PREVOD NA UCET	2118	25942	SIPO	UV	56898051
265462	907	1993-12-12	VYDAJ	PREVOD NA UCET	2118	25346	SIPO	UV	56898051
265463	907	1994-01-12	VYDAJ	PREVOD NA UCET	2118	28208	SIPO	UV	56898051
265464	907	1994-02-12	VYDAJ	PREVOD NA UCET	2118	25915	SIPO	UV	56898051
265465	907	1994-03-12	VYDAJ	PREVOD NA UCET	2118	26869	SIPO	UV	56898051
265466	907	1994-04-12	VYDAJ	PREVOD NA UCET	2118	25526	SIPO	UV	56898051
265467	907	1994-05-12	VYDAJ	PREVOD NA UCET	2118	24480	SIPO	UV	56898051
265468	907	1994-06-12	VYDAJ	PREVOD NA UCET	2118	25219	SIPO	UV	56898051
265469	907	1994-07-12	VYDAJ	PREVOD NA UCET	2118	25887	SIPO	UV	56898051
265470	907	1994-08-12	VYDAJ	PREVOD NA UCET	2118	24390	SIPO	UV	56898051
265471	907	1994-09-12	VYDAJ	PREVOD NA UCET	2118	28738	SIPO	UV	56898051
265472	907	1994-10-12	VYDAJ	PREVOD NA UCET	2118	30797	SIPO	UV	56898051
265473	907	1994-11-12	VYDAJ	PREVOD NA UCET	2118	29468	SIPO	UV	56898051
265474	907	1994-12-12	VYDAJ	PREVOD NA UCET	2118	29999	SIPO	UV	56898051
265475	907	1995-01-12	VYDAJ	PREVOD NA UCET	2118	31078	SIPO	UV	56898051
265476	907	1995-02-12	VYDAJ	PREVOD NA UCET	2118	27897	SIPO	UV	56898051
265477	907	1995-03-12	VYDAJ	PREVOD NA UCET	2118	30857	SIPO	UV	56898051
265478	907	1995-04-12	VYDAJ	PREVOD NA UCET	2118	28426	SIPO	UV	56898051
265479	907	1995-05-12	VYDAJ	PREVOD NA UCET	2118	27588	SIPO	UV	56898051
265480	907	1995-06-12	VYDAJ	PREVOD NA UCET	2118	23216	SIPO	UV	56898051
265481	907	1995-07-12	VYDAJ	PREVOD NA UCET	2118	25963	SIPO	UV	56898051
265482	907	1995-08-12	VYDAJ	PREVOD NA UCET	2118	25753	SIPO	UV	56898051
265483	907	1995-09-12	VYDAJ	PREVOD NA UCET	2118	25803	SIPO	UV	56898051
265484	907	1995-10-12	VYDAJ	PREVOD NA UCET	2118	26153	SIPO	UV	56898051
265485	907	1995-11-12	VYDAJ	PREVOD NA UCET	2118	24503	SIPO	UV	56898051
265486	907	1995-12-12	VYDAJ	PREVOD NA UCET	2118	23778	SIPO	UV	56898051
265487	907	1996-01-12	VYDAJ	PREVOD NA UCET	2118	26033	SIPO	UV	56898051
265488	907	1996-02-12	VYDAJ	PREVOD NA UCET	2118	26576	SIPO	UV	56898051
265489	907	1996-03-12	VYDAJ	PREVOD NA UCET	2118	22927	SIPO	UV	56898051
265490	907	1996-04-12	VYDAJ	PREVOD NA UCET	2118	23755	SIPO	UV	56898051
265491	907	1996-05-12	VYDAJ	PREVOD NA UCET	2118	21594	SIPO	UV	56898051
265492	907	1996-06-12	VYDAJ	PREVOD NA UCET	2118	18322	SIPO	UV	56898051
265493	907	1996-07-12	VYDAJ	PREVOD NA UCET	2118	15646	SIPO	UV	56898051
265494	907	1996-08-12	VYDAJ	PREVOD NA UCET	2118	18857	SIPO	UV	56898051
265495	907	1996-09-12	VYDAJ	PREVOD NA UCET	2118	21480	SIPO	UV	56898051
265496	907	1996-10-12	VYDAJ	PREVOD NA UCET	2118	19307	SIPO	UV	56898051
265497	907	1996-11-12	VYDAJ	PREVOD NA UCET	2118	20281	SIPO	UV	56898051
265498	907	1996-12-12	VYDAJ	PREVOD NA UCET	2118	18954	SIPO	UV	56898051
265499	907	1997-01-12	VYDAJ	PREVOD NA UCET	2118	19575	SIPO	UV	56898051
265500	907	1997-02-12	VYDAJ	PREVOD NA UCET	2118	15619	SIPO	UV	56898051
265501	907	1997-03-12	VYDAJ	PREVOD NA UCET	2118	18829	SIPO	UV	56898051
265502	907	1997-04-12	VYDAJ	PREVOD NA UCET	2118	19650	SIPO	UV	56898051
265503	907	1997-05-12	VYDAJ	PREVOD NA UCET	2118	17368	SIPO	UV	56898051
265504	907	1997-06-12	VYDAJ	PREVOD NA UCET	2118	18983	SIPO	UV	56898051
265505	907	1997-07-12	VYDAJ	PREVOD NA UCET	2118	15989	SIPO	UV	56898051
265506	907	1997-08-12	VYDAJ	PREVOD NA UCET	2118	18501	SIPO	UV	56898051
265507	907	1997-09-12	VYDAJ	PREVOD NA UCET	2118	18518	SIPO	UV	56898051
265508	907	1997-10-12	VYDAJ	PREVOD NA UCET	2118	17632	SIPO	UV	56898051
265509	907	1997-11-12	VYDAJ	PREVOD NA UCET	2118	19220	SIPO	UV	56898051
265510	907	1997-12-12	VYDAJ	PREVOD NA UCET	2118	19230	SIPO	UV	56898051
265511	907	1998-01-12	VYDAJ	PREVOD NA UCET	2118	17911	SIPO	UV	56898051
265512	907	1998-02-12	VYDAJ	PREVOD NA UCET	2118	16544	SIPO	UV	56898051
265513	907	1998-03-12	VYDAJ	PREVOD NA UCET	2118	17668	SIPO	UV	56898051
265514	907	1998-04-12	VYDAJ	PREVOD NA UCET	2118	17881	SIPO	UV	56898051
265515	907	1998-05-12	VYDAJ	PREVOD NA UCET	2118	18997	SIPO	UV	56898051
265516	907	1998-06-12	VYDAJ	PREVOD NA UCET	2118	14804	SIPO	UV	56898051
265517	907	1998-07-12	VYDAJ	PREVOD NA UCET	2118	15907	SIPO	UV	56898051
265518	907	1998-08-12	VYDAJ	PREVOD NA UCET	2118	17014	SIPO	UV	56898051
265519	907	1998-09-12	VYDAJ	PREVOD NA UCET	2118	15526	SIPO	UV	56898051
265520	907	1998-10-12	VYDAJ	PREVOD NA UCET	2118	14266	SIPO	UV	56898051
265521	907	1998-11-12	VYDAJ	PREVOD NA UCET	2118	15369	SIPO	UV	56898051
265522	907	1998-12-12	VYDAJ	PREVOD NA UCET	2118	16474	SIPO	UV	56898051
265524	907	1994-06-15	VYDAJ	VYBER	5370	19849	\N	\N	\N
265525	907	1995-06-08	VYDAJ	VYBER	4800	22156	\N	\N	\N
265526	907	1996-06-19	VYDAJ	VYBER	1890	16432	\N	\N	\N
265530	907	1994-01-26	VYDAJ	VYBER	1950	26258	\N	\N	\N
265531	907	1995-01-22	VYDAJ	VYBER	1620	29458	\N	\N	\N
265532	907	1996-01-08	VYDAJ	VYBER	690	24973	\N	\N	\N
265533	907	1997-01-14	VYDAJ	VYBER	2070	17505	\N	\N	\N
265534	907	1998-01-07	VYDAJ	VYBER	1440	16851	\N	\N	\N
265535	907	1993-12-24	VYDAJ	VYBER	390	24956	\N	\N	\N
265536	907	1994-12-25	VYDAJ	VYBER	390	29609	\N	\N	\N
265537	907	1995-12-07	VYDAJ	VYBER	870	22718	\N	\N	\N
265538	907	1996-12-29	VYDAJ	VYBER	300	18454	\N	\N	\N
265539	907	1997-12-05	VYDAJ	VYBER	510	18170	\N	\N	\N
265540	907	1998-12-21	VYDAJ	VYBER	180	16294	\N	\N	\N
265543	907	1993-11-20	VYDAJ	VYBER	450	25492	\N	\N	\N
265547	907	1994-08-31	VYDAJ	VYBER	1200	23278	\N	\N	\N
265548	907	1994-12-03	VYDAJ	VYBER	240	28939	\N	\N	\N
265549	907	1994-07-21	VYDAJ	VYBER	1440	24447	\N	\N	\N
265550	907	1994-06-09	VYDAJ	VYBER	210	25059	\N	\N	\N
265551	907	1994-06-12	VYDAJ	VYBER	900	27337	\N	\N	\N
265552	907	1995-01-26	VYDAJ	VYBER	630	28828	\N	\N	\N
265553	907	1995-07-22	VYDAJ	VYBER	570	25393	\N	\N	\N
265554	907	1995-06-16	VYDAJ	VYBER	300	22916	\N	\N	\N
265555	907	1995-07-25	VYDAJ	VYBER	1290	24103	\N	\N	\N
265556	907	1995-05-26	VYDAJ	VYBER	1230	26358	\N	\N	\N
265558	907	1996-10-25	VYDAJ	VYBER	1050	19157	\N	\N	\N
265559	907	1996-11-19	VYDAJ	VYBER	1350	18931	\N	\N	\N
265560	907	1996-03-22	VYDAJ	VYBER	510	22417	\N	\N	\N
265561	907	1996-02-08	VYDAJ	VYBER	810	25516	\N	\N	\N
265562	907	1997-06-30	VYDAJ	VYBER	900	15153	\N	\N	\N
265563	907	1997-07-07	VYDAJ	VYBER	210	14929	\N	\N	\N
265564	907	1997-10-25	VYDAJ	VYBER	1170	18102	\N	\N	\N
265565	907	1997-10-13	VYDAJ	VYBER	660	16972	\N	\N	\N
265566	907	1998-02-23	VYDAJ	VYBER	660	17784	\N	\N	\N
265567	907	1998-02-28	VYDAJ	VYBER	1230	16623	\N	\N	\N
265569	907	1998-09-25	VYDAJ	VYBER	270	15256	\N	\N	\N
265570	907	1998-01-23	VYDAJ	VYBER	480	15431	\N	\N	\N
265582	907	1993-11-30	VYDAJ	VYBER	15	25586	SLUZBY	\N	\N
265583	907	1993-12-31	VYDAJ	VYBER	15	25048	SLUZBY	\N	\N
265584	907	1994-01-31	VYDAJ	VYBER	15	26355	SLUZBY	\N	\N
265585	907	1994-02-28	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
265586	907	1994-03-31	VYDAJ	VYBER	15	26966	SLUZBY	\N	\N
265587	907	1994-04-30	VYDAJ	VYBER	15	25620	SLUZBY	\N	\N
265588	907	1994-05-31	VYDAJ	VYBER	15	24569	SLUZBY	\N	\N
265589	907	1994-06-30	VYDAJ	VYBER	15	19927	SLUZBY	\N	\N
265590	907	1994-07-31	VYDAJ	VYBER	15	24530	SLUZBY	\N	\N
265591	907	1994-08-31	VYDAJ	VYBER	15	24478	SLUZBY	\N	\N
265592	907	1994-09-30	VYDAJ	VYBER	15	28837	SLUZBY	\N	\N
265593	907	1994-10-31	VYDAJ	VYBER	15	30908	SLUZBY	\N	\N
265594	907	1994-11-30	VYDAJ	VYBER	15	29579	SLUZBY	\N	\N
265595	907	1994-12-31	VYDAJ	VYBER	15	30018	SLUZBY	\N	\N
265596	907	1995-01-31	VYDAJ	VYBER	15	26837	SLUZBY	\N	\N
265597	907	1995-02-28	VYDAJ	VYBER	15	27997	SLUZBY	\N	\N
265598	907	1995-03-31	VYDAJ	VYBER	15	30966	SLUZBY	\N	\N
265599	907	1995-04-30	VYDAJ	VYBER	15	26528	SLUZBY	\N	\N
265600	907	1995-05-31	VYDAJ	VYBER	15	26956	SLUZBY	\N	\N
265601	907	1995-06-30	VYDAJ	VYBER	15	24903	SLUZBY	\N	\N
265602	907	1995-07-31	VYDAJ	VYBER	15	24693	SLUZBY	\N	\N
265603	907	1995-08-31	VYDAJ	VYBER	15	24743	SLUZBY	\N	\N
265604	907	1995-09-30	VYDAJ	VYBER	15	25093	SLUZBY	\N	\N
265605	907	1995-10-31	VYDAJ	VYBER	15	23443	SLUZBY	\N	\N
265606	907	1995-11-30	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
265607	907	1995-12-31	VYDAJ	VYBER	15	25663	SLUZBY	\N	\N
265608	907	1996-01-31	VYDAJ	VYBER	15	26326	SLUZBY	\N	\N
265609	907	1996-02-29	VYDAJ	VYBER	15	21867	SLUZBY	\N	\N
265610	907	1996-03-31	VYDAJ	VYBER	15	22695	SLUZBY	\N	\N
265611	907	1996-04-30	VYDAJ	VYBER	15	20534	SLUZBY	\N	\N
265612	907	1996-05-31	VYDAJ	VYBER	15	17262	SLUZBY	\N	\N
265613	907	1996-06-30	VYDAJ	VYBER	15	14586	SLUZBY	\N	\N
265614	907	1996-07-31	VYDAJ	VYBER	15	17797	SLUZBY	\N	\N
265615	907	1996-08-31	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
265616	907	1996-09-30	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
265617	907	1996-10-31	VYDAJ	VYBER	15	19221	SLUZBY	\N	\N
265618	907	1996-11-30	VYDAJ	VYBER	15	17894	SLUZBY	\N	\N
265619	907	1996-12-31	VYDAJ	VYBER	15	18515	SLUZBY	\N	\N
265620	907	1997-01-31	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
265621	907	1997-02-28	VYDAJ	VYBER	15	17769	SLUZBY	\N	\N
265622	907	1997-03-31	VYDAJ	VYBER	15	18590	SLUZBY	\N	\N
265623	907	1997-04-30	VYDAJ	VYBER	15	16308	SLUZBY	\N	\N
265624	907	1997-05-31	VYDAJ	VYBER	15	17923	SLUZBY	\N	\N
265625	907	1997-06-30	VYDAJ	VYBER	15	15139	SLUZBY	\N	\N
265626	907	1997-07-31	VYDAJ	VYBER	15	17441	SLUZBY	\N	\N
265627	907	1997-08-31	VYDAJ	VYBER	15	17458	SLUZBY	\N	\N
265628	907	1997-09-30	VYDAJ	VYBER	15	16572	SLUZBY	\N	\N
265629	907	1997-10-31	VYDAJ	VYBER	15	18160	SLUZBY	\N	\N
265630	907	1997-11-30	VYDAJ	VYBER	15	18680	SLUZBY	\N	\N
265631	907	1997-12-31	VYDAJ	VYBER	15	18291	SLUZBY	\N	\N
265632	907	1998-01-31	VYDAJ	VYBER	15	15484	SLUZBY	\N	\N
265633	907	1998-02-28	VYDAJ	VYBER	15	16608	SLUZBY	\N	\N
265634	907	1998-03-31	VYDAJ	VYBER	15	16821	SLUZBY	\N	\N
265635	907	1998-04-30	VYDAJ	VYBER	15	17937	SLUZBY	\N	\N
265636	907	1998-05-31	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
265637	907	1998-06-30	VYDAJ	VYBER	15	14847	SLUZBY	\N	\N
265638	907	1998-07-31	VYDAJ	VYBER	15	15954	SLUZBY	\N	\N
265639	907	1998-08-31	VYDAJ	VYBER	15	17066	SLUZBY	\N	\N
265640	907	1998-09-30	VYDAJ	VYBER	15	15306	SLUZBY	\N	\N
265641	907	1998-10-31	VYDAJ	VYBER	15	14309	SLUZBY	\N	\N
265642	907	1998-11-30	VYDAJ	VYBER	15	15414	SLUZBY	\N	\N
265643	907	1993-08-08	PRIJEM	VKLAD	11700	15188	\N	\N	\N
265644	907	1993-09-07	PRIJEM	VKLAD	3100	21522	\N	\N	\N
265645	907	1993-10-07	VYDAJ	VYBER	1000	23794	\N	\N	\N
265646	907	1993-11-06	VYDAJ	VYBER	2200	24882	\N	\N	\N
265647	907	1993-12-06	VYDAJ	VYBER	1300	24286	\N	\N	\N
265648	907	1994-01-05	PRIJEM	VKLAD	2100	27148	\N	\N	\N
265649	907	1994-02-04	VYDAJ	VYBER	1500	24855	\N	\N	\N
265650	907	1994-03-06	VYDAJ	VYBER	200	25809	\N	\N	\N
265651	907	1994-04-05	VYDAJ	VYBER	2500	24466	\N	\N	\N
265652	907	1994-05-05	VYDAJ	VYBER	2200	23420	\N	\N	\N
265653	907	1994-06-04	PRIJEM	VKLAD	700	25269	\N	\N	\N
265654	907	1994-07-04	PRIJEM	VKLAD	4900	24827	\N	\N	\N
265655	907	1994-08-03	VYDAJ	VYBER	1200	23330	\N	\N	\N
265656	907	1994-09-02	PRIJEM	VKLAD	4400	27678	\N	\N	\N
265657	907	1994-10-02	PRIJEM	VKLAD	900	29737	\N	\N	\N
265658	907	1994-11-01	VYDAJ	VYBER	2500	28408	\N	\N	\N
265659	907	1994-12-01	VYDAJ	VYBER	400	29179	\N	\N	\N
265660	907	1994-12-31	PRIJEM	VKLAD	300	29909	\N	\N	\N
265661	907	1995-01-30	VYDAJ	VYBER	2100	26728	\N	\N	\N
265662	907	1995-03-01	PRIJEM	VKLAD	1800	29797	\N	\N	\N
265663	907	1995-03-31	VYDAJ	VYBER	3600	27366	\N	\N	\N
265664	907	1995-04-30	VYDAJ	VYBER	2000	26543	\N	\N	\N
265665	907	1995-05-30	PRIJEM	VKLAD	500	26858	\N	\N	\N
265666	907	1995-06-29	PRIJEM	VKLAD	1900	24816	\N	\N	\N
265667	907	1995-07-29	PRIJEM	VKLAD	500	24603	\N	\N	\N
265668	907	1995-08-28	VYDAJ	VYBER	1100	24653	\N	\N	\N
265669	907	1995-09-27	VYDAJ	VYBER	800	25003	\N	\N	\N
265670	907	1995-10-27	VYDAJ	VYBER	2800	23353	\N	\N	\N
265671	907	1995-11-26	VYDAJ	VYBER	1000	23503	\N	\N	\N
265672	907	1995-12-26	PRIJEM	VKLAD	1800	25578	\N	\N	\N
265673	907	1996-01-25	PRIJEM	VKLAD	200	26233	\N	\N	\N
265674	907	1996-02-24	VYDAJ	VYBER	4800	21776	\N	\N	\N
265675	907	1996-03-25	PRIJEM	VKLAD	200	22617	\N	\N	\N
265676	907	1996-04-24	VYDAJ	VYBER	3300	20455	\N	\N	\N
265677	907	1996-05-24	VYDAJ	VYBER	4400	17194	\N	\N	\N
265678	907	1996-06-23	VYDAJ	VYBER	1900	14532	\N	\N	\N
265679	907	1996-07-23	PRIJEM	VKLAD	2100	17746	\N	\N	\N
265680	907	1996-08-22	PRIJEM	VKLAD	1500	20357	\N	\N	\N
265681	907	1996-09-21	VYDAJ	VYBER	3300	18180	\N	\N	\N
265682	907	1996-10-21	PRIJEM	VKLAD	900	20207	\N	\N	\N
265683	907	1996-11-20	VYDAJ	VYBER	1100	17831	\N	\N	\N
265684	907	1996-12-20	VYDAJ	VYBER	200	18754	\N	\N	\N
265685	907	1997-01-19	VYDAJ	VYBER	3000	14505	\N	\N	\N
265686	907	1997-02-18	PRIJEM	VKLAD	2100	17719	\N	\N	\N
265687	907	1997-03-20	VYDAJ	VYBER	300	18529	\N	\N	\N
265688	907	1997-04-19	VYDAJ	VYBER	3400	16250	\N	\N	\N
265689	907	1997-05-19	PRIJEM	VKLAD	500	17868	\N	\N	\N
265690	907	1997-06-18	VYDAJ	VYBER	3000	15983	\N	\N	\N
265691	907	1997-07-18	PRIJEM	VKLAD	1400	17389	\N	\N	\N
265692	907	1997-08-17	VYDAJ	VYBER	1100	17401	\N	\N	\N
265693	907	1997-09-16	VYDAJ	VYBER	2000	16518	\N	\N	\N
265694	907	1997-10-16	PRIJEM	VKLAD	2300	19272	\N	\N	\N
265695	907	1997-11-15	VYDAJ	VYBER	600	18620	\N	\N	\N
265696	907	1997-12-15	VYDAJ	VYBER	1000	18230	\N	\N	\N
265697	907	1998-01-14	VYDAJ	VYBER	2000	15911	\N	\N	\N
265698	907	1998-02-13	PRIJEM	VKLAD	1900	18444	\N	\N	\N
265699	907	1998-03-15	VYDAJ	VYBER	900	16768	\N	\N	\N
265700	907	1998-05-14	VYDAJ	VYBER	5300	13697	\N	\N	\N
265701	907	1998-09-11	VYDAJ	VYBER	2600	17644	\N	\N	\N
265702	907	1998-10-11	VYDAJ	VYBER	2100	16384	\N	\N	\N
265769	908	1994-04-29	PRIJEM	VKLAD	900	900	\N	\N	\N
265771	908	1994-06-18	PRIJEM	VKLAD	24414	38419	\N	\N	\N
265772	908	1995-02-04	PRIJEM	VKLAD	49016	69198	\N	\N	\N
265773	908	1995-12-15	PRIJEM	VKLAD	17642	39595	\N	\N	\N
265774	908	1996-10-02	PRIJEM	VKLAD	28209	53298	\N	\N	\N
265775	908	1996-11-16	PRIJEM	VKLAD	47714	84919	\N	\N	\N
265776	908	1997-12-15	PRIJEM	VKLAD	46885	64250	\N	\N	\N
265777	908	1997-12-16	PRIJEM	VKLAD	12014	76264	\N	\N	\N
265778	908	1998-12-06	PRIJEM	VKLAD	3482	22567	\N	\N	\N
265779	908	1998-11-10	PRIJEM	VKLAD	10470	32088	\N	\N	\N
265784	908	1994-05-13	PRIJEM	VKLAD	600	1500	\N	\N	\N
265785	908	1994-06-15	PRIJEM	VKLAD	600	14005	\N	\N	\N
265786	908	1994-07-16	PRIJEM	VKLAD	600	33818	\N	\N	\N
265787	908	1994-08-14	PRIJEM	VKLAD	600	31155	\N	\N	\N
265788	908	1994-09-15	PRIJEM	VKLAD	600	26564	\N	\N	\N
265789	908	1994-10-14	PRIJEM	VKLAD	600	23706	\N	\N	\N
265790	908	1994-11-16	PRIJEM	VKLAD	600	22789	\N	\N	\N
265791	908	1994-12-16	PRIJEM	VKLAD	600	24719	\N	\N	\N
265792	908	1995-01-16	PRIJEM	VKLAD	600	20558	\N	\N	\N
265793	908	1995-02-16	PRIJEM	VKLAD	600	69798	\N	\N	\N
265794	908	1995-03-13	PRIJEM	VKLAD	600	43090	\N	\N	\N
265795	908	1995-04-17	PRIJEM	VKLAD	600	32046	\N	\N	\N
265796	908	1995-05-13	PRIJEM	VKLAD	600	25255	\N	\N	\N
265797	908	1995-06-16	PRIJEM	VKLAD	600	23642	\N	\N	\N
265798	908	1995-07-14	PRIJEM	VKLAD	600	20720	\N	\N	\N
265799	908	1995-08-17	PRIJEM	VKLAD	600	22143	\N	\N	\N
265800	908	1995-09-14	PRIJEM	VKLAD	600	23320	\N	\N	\N
265801	908	1995-10-16	PRIJEM	VKLAD	600	21196	\N	\N	\N
265802	908	1995-11-16	PRIJEM	VKLAD	600	24071	\N	\N	\N
265803	908	1995-12-16	PRIJEM	VKLAD	600	40195	\N	\N	\N
265804	908	1996-01-14	PRIJEM	VKLAD	600	26249	\N	\N	\N
265805	908	1996-02-14	PRIJEM	VKLAD	600	17134	\N	\N	\N
265806	908	1996-03-15	PRIJEM	VKLAD	600	22099	\N	\N	\N
265807	908	1996-04-16	PRIJEM	VKLAD	600	28585	\N	\N	\N
265808	908	1996-05-16	PRIJEM	VKLAD	600	31391	\N	\N	\N
265809	908	1996-06-17	PRIJEM	VKLAD	600	29300	\N	\N	\N
265810	908	1996-07-14	PRIJEM	VKLAD	600	29104	\N	\N	\N
265811	908	1996-08-14	PRIJEM	VKLAD	600	28507	\N	\N	\N
265812	908	1996-09-16	PRIJEM	VKLAD	600	25002	\N	\N	\N
265813	908	1996-10-14	PRIJEM	VKLAD	600	52448	\N	\N	\N
265814	908	1996-11-16	PRIJEM	VKLAD	600	37205	\N	\N	\N
265815	908	1996-12-16	PRIJEM	VKLAD	600	57676	\N	\N	\N
265816	908	1997-01-14	PRIJEM	VKLAD	600	38255	\N	\N	\N
265817	908	1997-02-16	PRIJEM	VKLAD	600	33866	\N	\N	\N
265818	908	1997-03-16	PRIJEM	VKLAD	600	27792	\N	\N	\N
265819	908	1997-04-13	PRIJEM	VKLAD	600	28505	\N	\N	\N
265820	908	1997-05-15	PRIJEM	VKLAD	600	23451	\N	\N	\N
265821	908	1997-06-17	PRIJEM	VKLAD	600	22333	\N	\N	\N
265822	908	1997-07-15	PRIJEM	VKLAD	600	20612	\N	\N	\N
265823	908	1997-08-16	PRIJEM	VKLAD	600	17383	\N	\N	\N
265824	908	1997-09-14	PRIJEM	VKLAD	600	17046	\N	\N	\N
265825	908	1997-10-16	PRIJEM	VKLAD	600	17702	\N	\N	\N
265826	908	1997-11-16	PRIJEM	VKLAD	600	17308	\N	\N	\N
265827	908	1997-12-17	PRIJEM	VKLAD	600	76364	\N	\N	\N
265828	908	1998-01-16	PRIJEM	VKLAD	600	38298	\N	\N	\N
265829	908	1998-02-14	PRIJEM	VKLAD	600	18281	\N	\N	\N
265830	908	1998-03-17	PRIJEM	VKLAD	600	18958	\N	\N	\N
265831	908	1998-04-17	PRIJEM	VKLAD	600	19618	\N	\N	\N
265832	908	1998-05-17	PRIJEM	VKLAD	600	18231	\N	\N	\N
265833	908	1998-06-17	PRIJEM	VKLAD	600	18891	\N	\N	\N
265834	908	1998-07-14	PRIJEM	VKLAD	600	19551	\N	\N	\N
265835	908	1998-08-14	PRIJEM	VKLAD	600	20214	\N	\N	\N
265836	908	1998-09-17	PRIJEM	VKLAD	600	20879	\N	\N	\N
265837	908	1998-10-13	PRIJEM	VKLAD	600	21547	\N	\N	\N
265838	908	1998-11-15	PRIJEM	VKLAD	600	32688	\N	\N	\N
265839	908	1998-12-14	PRIJEM	VKLAD	600	23167	\N	\N	\N
265846	908	1995-01-10	VYDAJ	VYBER	1000	21008	\N	\N	\N
265847	908	1996-01-22	VYDAJ	VYBER	6900	18749	\N	\N	\N
265848	908	1997-01-20	VYDAJ	VYBER	3800	34455	\N	\N	\N
265849	908	1998-01-29	VYDAJ	VYBER	9700	26598	\N	\N	\N
265850	908	1994-12-07	VYDAJ	VYBER	800	24119	\N	\N	\N
265851	908	1995-12-08	VYDAJ	VYBER	800	21953	\N	\N	\N
265852	908	1996-12-29	VYDAJ	VYBER	2500	55176	\N	\N	\N
265853	908	1997-12-16	VYDAJ	VYBER	500	75764	\N	\N	\N
265854	908	1998-12-18	VYDAJ	VYBER	1400	21767	\N	\N	\N
265861	908	1995-01-04	VYDAJ	VYBER	250	22708	\N	\N	\N
265862	908	1995-01-02	VYDAJ	VYBER	1150	22958	\N	\N	\N
265863	908	1995-01-14	VYDAJ	VYBER	1050	19958	\N	\N	\N
265864	908	1995-01-19	VYDAJ	VYBER	250	20308	\N	\N	\N
265865	908	1995-01-02	VYDAJ	VYBER	1400	24108	\N	\N	\N
265866	908	1995-01-09	VYDAJ	VYBER	700	22008	\N	\N	\N
265867	908	1996-01-30	VYDAJ	VYBER	250	17699	\N	\N	\N
265868	908	1996-01-04	VYDAJ	VYBER	500	27949	\N	\N	\N
265869	908	1996-01-04	VYDAJ	VYBER	1000	26949	\N	\N	\N
265870	908	1996-01-23	VYDAJ	VYBER	800	17949	\N	\N	\N
265871	908	1996-01-06	VYDAJ	VYBER	250	26449	\N	\N	\N
265872	908	1996-01-09	VYDAJ	VYBER	800	25649	\N	\N	\N
265873	908	1997-01-01	VYDAJ	VYBER	1400	54055	\N	\N	\N
265874	908	1997-01-25	VYDAJ	VYBER	650	33805	\N	\N	\N
265875	908	1997-01-02	VYDAJ	VYBER	450	53055	\N	\N	\N
265876	908	1997-01-02	VYDAJ	VYBER	550	53505	\N	\N	\N
265877	908	1997-01-06	VYDAJ	VYBER	1100	51355	\N	\N	\N
265878	908	1997-01-05	VYDAJ	VYBER	600	52455	\N	\N	\N
265879	908	1998-01-18	VYDAJ	VYBER	250	36848	\N	\N	\N
265880	908	1998-01-29	VYDAJ	VYBER	550	36298	\N	\N	\N
265881	908	1998-01-06	VYDAJ	VYBER	1200	74448	\N	\N	\N
265882	908	1998-01-08	VYDAJ	VYBER	250	74198	\N	\N	\N
265883	908	1998-01-03	VYDAJ	VYBER	900	75648	\N	\N	\N
265884	908	1998-01-17	VYDAJ	VYBER	1200	37098	\N	\N	\N
265885	908	1994-11-23	VYDAJ	VYBER	350	22439	\N	\N	\N
265887	908	1994-10-03	VYDAJ	VYBER	1000	23356	\N	\N	\N
265888	908	1994-10-27	VYDAJ	VYBER	400	22106	\N	\N	\N
265889	908	1994-10-05	VYDAJ	VYBER	250	23106	\N	\N	\N
265890	908	1995-03-09	VYDAJ	VYBER	1650	42490	\N	\N	\N
265891	908	1995-07-08	VYDAJ	VYBER	500	20120	\N	\N	\N
265892	908	1995-07-30	VYDAJ	VYBER	750	21470	\N	\N	\N
265893	908	1996-08-31	VYDAJ	VYBER	1800	23817	\N	\N	\N
265894	908	1996-01-03	VYDAJ	VYBER	2250	28449	\N	\N	\N
265895	908	1996-02-07	VYDAJ	VYBER	1250	16534	\N	\N	\N
265896	908	1996-10-07	VYDAJ	VYBER	1450	51848	\N	\N	\N
265897	908	1996-01-04	VYDAJ	VYBER	250	26699	\N	\N	\N
265898	908	1997-04-23	VYDAJ	VYBER	1050	22855	\N	\N	\N
265899	908	1997-06-23	VYDAJ	VYBER	1200	21133	\N	\N	\N
265900	908	1997-07-08	VYDAJ	VYBER	1000	20212	\N	\N	\N
265901	908	1997-11-13	VYDAJ	VYBER	1050	16708	\N	\N	\N
265902	908	1998-05-01	VYDAJ	VYBER	1000	17631	\N	\N	\N
265903	908	1998-01-10	VYDAJ	VYBER	600	37698	\N	\N	\N
265904	908	1998-04-23	VYDAJ	VYBER	1050	18568	\N	\N	\N
265905	908	1998-12-19	VYDAJ	VYBER	2000	19767	\N	\N	\N
265914	908	1994-08-31	VYDAJ	VYBER	15	25964	SLUZBY	\N	\N
265915	908	1994-09-30	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
265916	908	1994-10-31	VYDAJ	VYBER	15	22189	SLUZBY	\N	\N
265917	908	1994-11-30	VYDAJ	VYBER	15	24919	SLUZBY	\N	\N
265918	908	1994-12-31	VYDAJ	VYBER	15	25508	SLUZBY	\N	\N
265919	908	1995-01-31	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
265920	908	1995-02-28	VYDAJ	VYBER	15	44140	SLUZBY	\N	\N
265921	908	1995-03-31	VYDAJ	VYBER	15	31446	SLUZBY	\N	\N
265922	908	1995-04-30	VYDAJ	VYBER	15	24655	SLUZBY	\N	\N
265923	908	1995-05-31	VYDAJ	VYBER	15	23042	SLUZBY	\N	\N
265924	908	1995-06-30	VYDAJ	VYBER	15	20620	SLUZBY	\N	\N
265925	908	1995-07-31	VYDAJ	VYBER	15	21543	SLUZBY	\N	\N
265926	908	1995-08-31	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
265927	908	1995-09-30	VYDAJ	VYBER	15	20596	SLUZBY	\N	\N
265928	908	1995-10-31	VYDAJ	VYBER	15	23471	SLUZBY	\N	\N
265929	908	1995-11-30	VYDAJ	VYBER	15	22753	SLUZBY	\N	\N
265930	908	1995-12-31	VYDAJ	VYBER	15	30699	SLUZBY	\N	\N
265931	908	1996-01-31	VYDAJ	VYBER	15	17784	SLUZBY	\N	\N
265932	908	1996-02-29	VYDAJ	VYBER	15	21499	SLUZBY	\N	\N
265933	908	1996-03-31	VYDAJ	VYBER	15	27985	SLUZBY	\N	\N
265934	908	1996-04-30	VYDAJ	VYBER	15	30791	SLUZBY	\N	\N
265935	908	1996-05-31	VYDAJ	VYBER	15	28700	SLUZBY	\N	\N
265936	908	1996-06-30	VYDAJ	VYBER	15	28504	SLUZBY	\N	\N
265937	908	1996-07-31	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
265938	908	1996-08-31	VYDAJ	VYBER	15	23802	SLUZBY	\N	\N
265939	908	1996-09-30	VYDAJ	VYBER	15	25089	SLUZBY	\N	\N
265940	908	1996-10-31	VYDAJ	VYBER	15	42305	SLUZBY	\N	\N
265941	908	1996-11-30	VYDAJ	VYBER	15	85076	SLUZBY	\N	\N
265942	908	1996-12-31	VYDAJ	VYBER	15	55455	SLUZBY	\N	\N
265943	908	1997-01-31	VYDAJ	VYBER	15	33966	SLUZBY	\N	\N
265944	908	1997-02-28	VYDAJ	VYBER	15	33992	SLUZBY	\N	\N
265945	908	1997-03-31	VYDAJ	VYBER	15	27905	SLUZBY	\N	\N
265946	908	1997-04-30	VYDAJ	VYBER	15	22951	SLUZBY	\N	\N
265947	908	1997-05-31	VYDAJ	VYBER	15	23533	SLUZBY	\N	\N
265948	908	1997-06-30	VYDAJ	VYBER	15	21212	SLUZBY	\N	\N
265949	908	1997-07-31	VYDAJ	VYBER	15	20683	SLUZBY	\N	\N
265950	908	1997-08-31	VYDAJ	VYBER	15	17446	SLUZBY	\N	\N
265951	908	1997-09-30	VYDAJ	VYBER	15	17102	SLUZBY	\N	\N
265952	908	1997-10-31	VYDAJ	VYBER	15	17758	SLUZBY	\N	\N
265953	908	1997-11-30	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
265954	908	1997-12-31	VYDAJ	VYBER	15	76548	SLUZBY	\N	\N
265955	908	1998-01-31	VYDAJ	VYBER	15	26781	SLUZBY	\N	\N
265956	908	1998-02-28	VYDAJ	VYBER	15	18358	SLUZBY	\N	\N
265957	908	1998-03-31	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
265958	908	1998-04-30	VYDAJ	VYBER	15	18631	SLUZBY	\N	\N
265959	908	1998-05-31	VYDAJ	VYBER	15	18291	SLUZBY	\N	\N
265960	908	1998-06-30	VYDAJ	VYBER	15	18951	SLUZBY	\N	\N
265961	908	1998-07-31	VYDAJ	VYBER	15	19614	SLUZBY	\N	\N
265962	908	1998-08-31	VYDAJ	VYBER	15	20279	SLUZBY	\N	\N
265963	908	1998-09-30	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
265964	908	1998-10-31	VYDAJ	VYBER	15	21618	SLUZBY	\N	\N
265965	908	1998-11-30	VYDAJ	VYBER	15	32785	SLUZBY	\N	\N
265966	908	1994-05-29	PRIJEM	VKLAD	11900	13400	\N	\N	\N
265967	908	1994-06-28	VYDAJ	VYBER	5300	33119	\N	\N	\N
265968	908	1994-07-28	VYDAJ	VYBER	3400	30418	\N	\N	\N
265969	908	1994-08-27	VYDAJ	VYBER	5300	25855	\N	\N	\N
265970	908	1994-09-26	VYDAJ	VYBER	2300	24264	\N	\N	\N
265971	908	1994-10-26	VYDAJ	VYBER	1200	22506	\N	\N	\N
265972	908	1994-11-25	PRIJEM	VKLAD	2400	24839	\N	\N	\N
265973	908	1994-12-25	PRIJEM	VKLAD	700	25419	\N	\N	\N
265974	908	1995-01-24	VYDAJ	VYBER	200	20108	\N	\N	\N
265975	908	1995-02-23	VYDAJ	VYBER	25800	43998	\N	\N	\N
265976	908	1995-03-25	VYDAJ	VYBER	11800	31290	\N	\N	\N
265977	908	1995-04-24	VYDAJ	VYBER	7500	24546	\N	\N	\N
265978	908	1995-05-24	VYDAJ	VYBER	2300	22955	\N	\N	\N
265979	908	1995-06-23	VYDAJ	VYBER	3100	20542	\N	\N	\N
265980	908	1995-07-23	PRIJEM	VKLAD	1500	22220	\N	\N	\N
265981	908	1995-08-22	PRIJEM	VKLAD	500	22643	\N	\N	\N
265982	908	1995-09-21	VYDAJ	VYBER	2800	20520	\N	\N	\N
265983	908	1995-10-21	PRIJEM	VKLAD	2200	23396	\N	\N	\N
265984	908	1995-11-20	VYDAJ	VYBER	1400	22671	\N	\N	\N
265985	908	1995-12-20	VYDAJ	VYBER	9600	30595	\N	\N	\N
265986	908	1996-01-19	VYDAJ	VYBER	600	25649	\N	\N	\N
265987	908	1996-02-18	PRIJEM	VKLAD	4300	21434	\N	\N	\N
265988	908	1996-03-19	PRIJEM	VKLAD	5800	27899	\N	\N	\N
265989	908	1996-04-18	PRIJEM	VKLAD	2100	30685	\N	\N	\N
265990	908	1996-05-18	VYDAJ	VYBER	2800	28591	\N	\N	\N
265991	908	1996-06-17	VYDAJ	VYBER	900	28400	\N	\N	\N
265992	908	1996-07-17	VYDAJ	VYBER	1300	27804	\N	\N	\N
265993	908	1996-08-16	VYDAJ	VYBER	3000	25507	\N	\N	\N
265994	908	1996-09-15	PRIJEM	VKLAD	600	24402	\N	\N	\N
265995	908	1996-10-15	VYDAJ	VYBER	10300	42148	\N	\N	\N
265996	908	1996-11-14	VYDAJ	VYBER	5700	36605	\N	\N	\N
265997	908	1996-12-14	VYDAJ	VYBER	28000	57076	\N	\N	\N
265998	908	1997-01-13	VYDAJ	VYBER	13700	37655	\N	\N	\N
265999	908	1997-02-12	VYDAJ	VYBER	700	33266	\N	\N	\N
266000	908	1997-03-14	VYDAJ	VYBER	6800	27192	\N	\N	\N
266001	908	1997-04-13	VYDAJ	VYBER	4600	23905	\N	\N	\N
266002	908	1997-05-13	VYDAJ	VYBER	100	22851	\N	\N	\N
266003	908	1997-06-12	VYDAJ	VYBER	1800	21733	\N	\N	\N
266004	908	1997-07-12	VYDAJ	VYBER	200	20012	\N	\N	\N
266005	908	1997-08-11	VYDAJ	VYBER	3900	16783	\N	\N	\N
266006	908	1997-09-10	VYDAJ	VYBER	1000	16446	\N	\N	\N
266007	908	1998-01-08	VYDAJ	VYBER	35900	38298	\N	\N	\N
266008	908	1998-02-07	VYDAJ	VYBER	9100	17681	\N	\N	\N
266009	908	1998-12-04	VYDAJ	VYBER	13700	19085	\N	\N	\N
266066	909	1997-09-02	PRIJEM	VKLAD	900	900	\N	\N	\N
266075	909	1997-09-14	PRIJEM	PREVOD Z UCTU	2925	3825	\N	AB	71872031
266076	909	1997-10-14	PRIJEM	PREVOD Z UCTU	2925	6759	\N	AB	71872031
266077	909	1997-11-14	PRIJEM	PREVOD Z UCTU	2925	9700	\N	AB	71872031
266078	909	1997-12-14	PRIJEM	PREVOD Z UCTU	2925	12641	\N	AB	71872031
266079	909	1998-01-14	PRIJEM	PREVOD Z UCTU	2925	15582	\N	AB	71872031
266080	909	1998-02-14	PRIJEM	PREVOD Z UCTU	2925	14537	\N	AB	71872031
266081	909	1998-03-14	PRIJEM	PREVOD Z UCTU	2925	15556	\N	AB	71872031
266082	909	1998-04-14	PRIJEM	PREVOD Z UCTU	2925	15409	\N	AB	71872031
266083	909	1998-05-14	PRIJEM	PREVOD Z UCTU	2925	15832	\N	AB	71872031
266084	909	1998-06-14	PRIJEM	PREVOD Z UCTU	2925	16855	\N	AB	71872031
266085	909	1998-07-14	PRIJEM	PREVOD Z UCTU	2925	17043	\N	AB	71872031
266086	909	1998-08-14	PRIJEM	PREVOD Z UCTU	2925	18072	\N	AB	71872031
266087	909	1998-09-14	PRIJEM	PREVOD Z UCTU	2925	19106	\N	AB	71872031
266088	909	1998-10-14	PRIJEM	PREVOD Z UCTU	2925	20145	\N	AB	71872031
266089	909	1998-11-14	PRIJEM	PREVOD Z UCTU	2925	21187	\N	AB	71872031
266090	909	1998-12-14	PRIJEM	PREVOD Z UCTU	2925	21334	\N	AB	71872031
266104	909	1998-02-06	VYDAJ	PREVOD NA UCET	1950	11612	\N	ST	43062096
266105	909	1998-03-06	VYDAJ	PREVOD NA UCET	1950	12631	\N	ST	43062096
266106	909	1998-04-06	VYDAJ	PREVOD NA UCET	1950	12484	\N	ST	43062096
266107	909	1998-05-06	VYDAJ	PREVOD NA UCET	1950	13267	\N	ST	43062096
266108	909	1998-06-06	VYDAJ	PREVOD NA UCET	1950	13930	\N	ST	43062096
266109	909	1998-07-06	VYDAJ	PREVOD NA UCET	1950	14118	\N	ST	43062096
266110	909	1998-08-06	VYDAJ	PREVOD NA UCET	1950	15147	\N	ST	43062096
266111	909	1998-09-06	VYDAJ	PREVOD NA UCET	1950	16181	\N	ST	43062096
266112	909	1998-10-06	VYDAJ	PREVOD NA UCET	1950	17220	\N	ST	43062096
266113	909	1998-11-06	VYDAJ	PREVOD NA UCET	1950	18262	\N	ST	43062096
266114	909	1998-12-06	VYDAJ	PREVOD NA UCET	1950	18949	\N	ST	43062096
266118	909	1998-12-05	VYDAJ	VYBER	360	20899	\N	\N	\N
266126	909	1998-01-29	VYDAJ	VYBER	840	13542	\N	\N	\N
266127	909	1998-01-19	VYDAJ	VYBER	540	15042	\N	\N	\N
266128	909	1998-01-25	VYDAJ	VYBER	660	14382	\N	\N	\N
266137	909	1998-03-14	VYDAJ	VYBER	1170	14386	\N	\N	\N
266138	909	1998-04-21	VYDAJ	VYBER	240	15169	\N	\N	\N
266139	909	1998-06-23	VYDAJ	VYBER	840	16015	\N	\N	\N
266140	909	1998-12-11	VYDAJ	VYBER	540	18409	\N	\N	\N
266141	909	1998-05-07	VYDAJ	VYBER	360	12907	\N	\N	\N
266155	909	1998-01-31	VYDAJ	VYBER	15	13562	SLUZBY	\N	\N
266156	909	1998-02-28	VYDAJ	VYBER	15	14581	SLUZBY	\N	\N
266157	909	1998-03-31	VYDAJ	VYBER	15	14434	SLUZBY	\N	\N
266158	909	1998-04-30	VYDAJ	VYBER	15	15217	SLUZBY	\N	\N
266159	909	1998-05-31	VYDAJ	VYBER	15	15880	SLUZBY	\N	\N
266160	909	1998-06-30	VYDAJ	VYBER	15	16068	SLUZBY	\N	\N
266161	909	1998-07-31	VYDAJ	VYBER	15	17097	SLUZBY	\N	\N
266162	909	1998-08-31	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
266163	909	1998-09-30	VYDAJ	VYBER	15	19170	SLUZBY	\N	\N
266164	909	1998-10-31	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
266165	909	1998-11-30	VYDAJ	VYBER	15	21259	SLUZBY	\N	\N
266182	910	1997-02-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
266184	910	1997-02-09	PRIJEM	PREVOD Z UCTU	5108	6208	DUCHOD	QR	97761958
266185	910	1997-03-09	PRIJEM	PREVOD Z UCTU	5108	11335	DUCHOD	QR	97761958
266186	910	1997-04-09	PRIJEM	PREVOD Z UCTU	5108	16468	DUCHOD	QR	97761958
266187	910	1997-05-09	PRIJEM	PREVOD Z UCTU	5108	21602	DUCHOD	QR	97761958
266188	910	1997-06-09	PRIJEM	PREVOD Z UCTU	5108	26736	DUCHOD	QR	97761958
266189	910	1997-07-09	PRIJEM	PREVOD Z UCTU	5108	20639	DUCHOD	QR	97761958
266190	910	1997-08-09	PRIJEM	PREVOD Z UCTU	5108	23879	DUCHOD	QR	97761958
266191	910	1997-09-09	PRIJEM	PREVOD Z UCTU	5108	27131	DUCHOD	QR	97761958
266192	910	1997-10-09	PRIJEM	PREVOD Z UCTU	5108	30397	DUCHOD	QR	97761958
266193	910	1997-11-09	PRIJEM	PREVOD Z UCTU	5108	30555	DUCHOD	QR	97761958
266194	910	1997-12-09	PRIJEM	PREVOD Z UCTU	5108	33835	DUCHOD	QR	97761958
266195	910	1998-01-09	PRIJEM	PREVOD Z UCTU	5108	32404	DUCHOD	QR	97761958
266196	910	1998-02-09	PRIJEM	PREVOD Z UCTU	5108	28954	DUCHOD	QR	97761958
266197	910	1998-03-09	PRIJEM	PREVOD Z UCTU	5108	29986	DUCHOD	QR	97761958
266198	910	1998-04-09	PRIJEM	PREVOD Z UCTU	5108	33264	DUCHOD	QR	97761958
266199	910	1998-05-09	PRIJEM	PREVOD Z UCTU	5108	36555	DUCHOD	QR	97761958
266200	910	1998-06-09	PRIJEM	PREVOD Z UCTU	5108	39860	DUCHOD	QR	97761958
266501	911	1996-10-11	PRIJEM	VKLAD	2700	17968	\N	\N	\N
266201	910	1998-07-09	PRIJEM	PREVOD Z UCTU	5108	39975	DUCHOD	QR	97761958
266202	910	1998-08-09	PRIJEM	PREVOD Z UCTU	5108	43294	DUCHOD	QR	97761958
266203	910	1998-09-09	PRIJEM	PREVOD Z UCTU	5108	46627	DUCHOD	QR	97761958
266204	910	1998-10-09	PRIJEM	PREVOD Z UCTU	5108	43670	DUCHOD	QR	97761958
266205	910	1998-11-09	PRIJEM	PREVOD Z UCTU	5108	38998	DUCHOD	QR	97761958
266206	910	1998-12-09	PRIJEM	PREVOD Z UCTU	5108	35577	DUCHOD	QR	97761958
266213	910	1997-07-05	VYDAJ	PREVOD NA UCET	1937	17291	SIPO	YZ	11557114
266214	910	1997-08-05	VYDAJ	PREVOD NA UCET	1937	18771	SIPO	YZ	11557114
266215	910	1997-09-05	VYDAJ	PREVOD NA UCET	1937	22023	SIPO	YZ	11557114
266216	910	1997-10-05	VYDAJ	PREVOD NA UCET	1937	25289	SIPO	YZ	11557114
266217	910	1997-11-05	VYDAJ	PREVOD NA UCET	1937	25447	SIPO	YZ	11557114
266218	910	1997-12-05	VYDAJ	PREVOD NA UCET	1937	28727	SIPO	YZ	11557114
266219	910	1998-01-05	VYDAJ	PREVOD NA UCET	1937	29216	SIPO	YZ	11557114
266220	910	1998-02-05	VYDAJ	PREVOD NA UCET	1937	23846	SIPO	YZ	11557114
266221	910	1998-03-05	VYDAJ	PREVOD NA UCET	1937	24878	SIPO	YZ	11557114
266222	910	1998-04-05	VYDAJ	PREVOD NA UCET	1937	28156	SIPO	YZ	11557114
266223	910	1998-05-05	VYDAJ	PREVOD NA UCET	1937	31447	SIPO	YZ	11557114
266224	910	1998-06-05	VYDAJ	PREVOD NA UCET	1937	34752	SIPO	YZ	11557114
266225	910	1998-07-05	VYDAJ	PREVOD NA UCET	1937	34867	SIPO	YZ	11557114
266226	910	1998-08-05	VYDAJ	PREVOD NA UCET	1937	38186	SIPO	YZ	11557114
266227	910	1998-09-05	VYDAJ	PREVOD NA UCET	1937	41519	SIPO	YZ	11557114
266228	910	1998-10-05	VYDAJ	PREVOD NA UCET	1937	38562	SIPO	YZ	11557114
266229	910	1998-11-05	VYDAJ	PREVOD NA UCET	1937	33890	SIPO	YZ	11557114
266230	910	1998-12-05	VYDAJ	PREVOD NA UCET	1937	30469	SIPO	YZ	11557114
266231	910	1997-06-14	VYDAJ	VYBER	7550	19186	\N	\N	\N
266232	910	1998-06-23	VYDAJ	VYBER	2400	36660	\N	\N	\N
266234	910	1998-01-23	VYDAJ	VYBER	3850	27834	\N	\N	\N
266235	910	1997-12-11	VYDAJ	VYBER	1200	32635	\N	\N	\N
266236	910	1998-12-12	VYDAJ	VYBER	1050	34527	\N	\N	\N
266243	910	1998-01-07	VYDAJ	VYBER	400	27296	\N	\N	\N
266244	910	1998-01-07	VYDAJ	VYBER	480	27696	\N	\N	\N
266245	910	1998-01-24	VYDAJ	VYBER	2160	25674	\N	\N	\N
266246	910	1998-01-04	VYDAJ	VYBER	560	31153	\N	\N	\N
266247	910	1998-01-05	VYDAJ	VYBER	1040	28176	\N	\N	\N
266248	910	1998-01-22	VYDAJ	VYBER	720	31684	\N	\N	\N
266249	910	1997-07-07	VYDAJ	VYBER	1760	15531	\N	\N	\N
266251	910	1997-12-19	VYDAJ	VYBER	1040	31595	\N	\N	\N
266252	910	1997-10-27	VYDAJ	VYBER	3120	27277	\N	\N	\N
266253	910	1998-02-23	VYDAJ	VYBER	1760	27194	\N	\N	\N
266254	910	1998-02-25	VYDAJ	VYBER	480	26714	\N	\N	\N
266255	910	1998-06-17	VYDAJ	VYBER	800	39060	\N	\N	\N
266256	910	1998-11-17	VYDAJ	VYBER	3360	32278	\N	\N	\N
266257	910	1998-11-11	VYDAJ	VYBER	3360	35638	\N	\N	\N
266264	910	1997-06-30	VYDAJ	VYBER	15	19228	SLUZBY	\N	\N
266265	910	1997-07-31	VYDAJ	VYBER	15	20708	SLUZBY	\N	\N
266266	910	1997-08-31	VYDAJ	VYBER	15	23960	SLUZBY	\N	\N
266267	910	1997-09-30	VYDAJ	VYBER	15	27226	SLUZBY	\N	\N
266268	910	1997-10-31	VYDAJ	VYBER	15	27384	SLUZBY	\N	\N
266269	910	1997-11-30	VYDAJ	VYBER	15	30664	SLUZBY	\N	\N
266270	910	1997-12-31	VYDAJ	VYBER	15	31713	SLUZBY	\N	\N
266271	910	1998-01-31	VYDAJ	VYBER	15	25783	SLUZBY	\N	\N
266272	910	1998-02-28	VYDAJ	VYBER	15	26815	SLUZBY	\N	\N
266273	910	1998-03-31	VYDAJ	VYBER	15	30093	SLUZBY	\N	\N
266274	910	1998-04-30	VYDAJ	VYBER	15	33384	SLUZBY	\N	\N
266275	910	1998-05-31	VYDAJ	VYBER	15	36689	SLUZBY	\N	\N
266276	910	1998-06-30	VYDAJ	VYBER	15	36804	SLUZBY	\N	\N
266277	910	1998-07-31	VYDAJ	VYBER	15	40123	SLUZBY	\N	\N
266278	910	1998-08-31	VYDAJ	VYBER	15	43456	SLUZBY	\N	\N
266279	910	1998-09-30	VYDAJ	VYBER	15	40499	SLUZBY	\N	\N
266280	910	1998-10-31	VYDAJ	VYBER	15	35827	SLUZBY	\N	\N
266281	910	1998-11-30	VYDAJ	VYBER	15	32406	SLUZBY	\N	\N
266282	910	1998-09-26	VYDAJ	VYBER	6300	40327	\N	\N	\N
266283	910	1998-10-26	VYDAJ	VYBER	8000	35670	\N	\N	\N
266307	911	1996-08-12	PRIJEM	VKLAD	600	600	\N	\N	\N
266309	911	1996-08-25	PRIJEM	VKLAD	9815	10415	\N	\N	\N
266311	911	1996-10-13	PRIJEM	VKLAD	31768	49736	\N	\N	\N
266312	911	1996-11-22	PRIJEM	VKLAD	39150	74930	\N	\N	\N
266319	911	1997-04-05	PRIJEM	VKLAD	13268	40951	\N	\N	\N
266320	911	1997-05-13	PRIJEM	VKLAD	18020	45658	\N	\N	\N
266321	911	1997-09-23	PRIJEM	VKLAD	42999	80996	\N	\N	\N
266322	911	1997-06-09	PRIJEM	VKLAD	40228	82478	\N	\N	\N
266323	911	1997-02-10	PRIJEM	VKLAD	14556	49177	\N	\N	\N
266324	911	1997-05-13	PRIJEM	VKLAD	24380	70038	\N	\N	\N
266325	911	1997-11-13	PRIJEM	VKLAD	8175	47981	\N	\N	\N
266326	911	1997-12-09	PRIJEM	VKLAD	23224	81215	\N	\N	\N
266327	911	1997-10-16	PRIJEM	VKLAD	9214	62056	\N	\N	\N
266328	911	1997-11-20	PRIJEM	VKLAD	45606	93587	\N	\N	\N
266329	911	1997-01-05	PRIJEM	VKLAD	12919	62400	\N	\N	\N
266330	911	1998-01-04	PRIJEM	VKLAD	49983	104683	\N	\N	\N
266331	911	1998-05-06	PRIJEM	VKLAD	16802	54086	\N	\N	\N
266346	911	1997-03-05	VYDAJ	PREVOD NA UCET	9600	20154	SIPO	GH	17067635
266347	911	1997-04-05	VYDAJ	PREVOD NA UCET	9600	24198	SIPO	GH	17067635
266348	911	1997-05-05	VYDAJ	PREVOD NA UCET	9600	20438	SIPO	GH	17067635
266349	911	1997-06-05	VYDAJ	PREVOD NA UCET	9600	45250	SIPO	GH	17067635
266350	911	1997-07-05	VYDAJ	PREVOD NA UCET	9600	56340	SIPO	GH	17067635
266351	911	1997-08-05	VYDAJ	PREVOD NA UCET	9600	35806	SIPO	GH	17067635
266352	911	1997-09-05	VYDAJ	PREVOD NA UCET	9600	30997	SIPO	GH	17067635
266353	911	1997-10-05	VYDAJ	PREVOD NA UCET	9600	71588	SIPO	GH	17067635
266354	911	1997-11-05	VYDAJ	PREVOD NA UCET	9600	39806	SIPO	GH	17067635
266355	911	1997-12-05	VYDAJ	PREVOD NA UCET	9600	62591	SIPO	GH	17067635
266356	911	1998-01-05	VYDAJ	PREVOD NA UCET	9600	52283	SIPO	GH	17067635
266357	911	1998-02-05	VYDAJ	PREVOD NA UCET	9600	28763	SIPO	GH	17067635
266358	911	1998-03-05	VYDAJ	PREVOD NA UCET	9600	41196	SIPO	GH	17067635
266359	911	1998-04-05	VYDAJ	PREVOD NA UCET	9600	38507	SIPO	GH	17067635
266360	911	1998-05-05	VYDAJ	PREVOD NA UCET	9600	37284	SIPO	GH	17067635
266361	911	1998-06-05	VYDAJ	PREVOD NA UCET	9600	53780	SIPO	GH	17067635
266362	911	1998-07-05	VYDAJ	PREVOD NA UCET	9600	51341	SIPO	GH	17067635
266363	911	1998-08-05	VYDAJ	PREVOD NA UCET	9600	39781	SIPO	GH	17067635
266364	911	1998-09-05	VYDAJ	PREVOD NA UCET	9600	43760	SIPO	GH	17067635
266365	911	1998-10-05	VYDAJ	PREVOD NA UCET	9600	43952	SIPO	GH	17067635
266366	911	1998-11-05	VYDAJ	PREVOD NA UCET	9600	37779	SIPO	GH	17067635
266367	911	1998-12-05	VYDAJ	PREVOD NA UCET	9600	35991	SIPO	GH	17067635
266382	911	1997-03-05	VYDAJ	PREVOD NA UCET	968	19186	 	WX	10116327
266383	911	1997-04-05	VYDAJ	PREVOD NA UCET	968	33798	 	WX	10116327
266384	911	1997-05-05	VYDAJ	PREVOD NA UCET	968	30038	 	WX	10116327
266385	911	1997-06-05	VYDAJ	PREVOD NA UCET	968	54850	 	WX	10116327
266386	911	1997-07-05	VYDAJ	PREVOD NA UCET	968	55372	 	WX	10116327
266387	911	1997-08-05	VYDAJ	PREVOD NA UCET	968	45406	 	WX	10116327
266388	911	1997-09-05	VYDAJ	PREVOD NA UCET	968	40597	 	WX	10116327
266389	911	1997-10-05	VYDAJ	PREVOD NA UCET	968	70620	 	WX	10116327
266390	911	1997-11-05	VYDAJ	PREVOD NA UCET	968	49406	 	WX	10116327
266391	911	1997-12-05	VYDAJ	PREVOD NA UCET	968	72191	 	WX	10116327
266392	911	1998-01-05	VYDAJ	PREVOD NA UCET	968	51315	 	WX	10116327
266393	911	1998-02-05	VYDAJ	PREVOD NA UCET	968	38363	 	WX	10116327
266394	911	1998-03-05	VYDAJ	PREVOD NA UCET	968	40228	 	WX	10116327
266395	911	1998-04-05	VYDAJ	PREVOD NA UCET	968	48107	 	WX	10116327
266396	911	1998-05-05	VYDAJ	PREVOD NA UCET	968	46884	 	WX	10116327
266397	911	1998-06-05	VYDAJ	PREVOD NA UCET	968	52812	 	WX	10116327
266398	911	1998-07-05	VYDAJ	PREVOD NA UCET	968	60941	 	WX	10116327
266399	911	1998-08-05	VYDAJ	PREVOD NA UCET	968	38813	 	WX	10116327
266400	911	1998-09-05	VYDAJ	PREVOD NA UCET	968	42792	 	WX	10116327
266401	911	1998-10-05	VYDAJ	PREVOD NA UCET	968	42984	 	WX	10116327
266402	911	1998-11-05	VYDAJ	PREVOD NA UCET	968	36811	 	WX	10116327
266403	911	1998-12-05	VYDAJ	PREVOD NA UCET	968	45591	 	WX	10116327
266409	911	1997-02-10	VYBER	VYBER	19553	29624	\N	\N	\N
266410	911	1997-12-17	VYBER	VYBER	5489	75726	\N	\N	\N
266411	911	1997-04-05	VYBER	VYBER	6185	34766	\N	\N	\N
266415	911	1997-10-21	VYBER	VYBER	24898	37158	\N	\N	\N
266416	911	1997-07-03	VYBER	VYBER	16835	65940	\N	\N	\N
266417	911	1997-10-15	VYBER	VYBER	7478	52842	\N	\N	\N
266418	911	1997-11-26	VYBER	VYBER	20664	72923	\N	\N	\N
266419	911	1998-07-12	VYBER	VYBER	10319	41022	\N	\N	\N
266421	911	1998-04-17	VYBER	VYBER	12593	25914	\N	\N	\N
266423	911	1998-10-12	VYBER	VYBER	8862	34122	\N	\N	\N
266424	911	1998-07-14	VYBER	VYBER	7702	33320	\N	\N	\N
266425	911	1998-12-27	VYBER	VYBER	9240	26751	\N	\N	\N
266426	911	1998-10-12	VYBER	VYBER	4374	29748	\N	\N	\N
266432	911	1998-01-10	VYDAJ	VYBER	24000	21015	\N	\N	\N
266434	911	1997-12-30	VYDAJ	VYBER	8700	54426	\N	\N	\N
266435	911	1998-12-05	VYDAJ	VYBER KARTOU	3000	46559	\N	\N	0
266450	911	1998-01-04	VYDAJ	VYBER	7200	99083	\N	\N	\N
266453	911	1998-01-08	VYDAJ	VYBER	6300	45015	\N	\N	\N
266458	911	1997-12-19	VYDAJ	VYBER	12600	63126	\N	\N	\N
266459	911	1997-05-18	VYDAJ	VYBER	14400	55638	\N	\N	\N
266461	911	1998-06-10	VYDAJ	VYBER KARTOU	3000	49812	\N	\N	0
266478	911	1997-02-28	VYDAJ	VYBER	15	29754	SLUZBY	\N	\N
266479	911	1997-03-31	VYDAJ	VYBER	15	27683	SLUZBY	\N	\N
266480	911	1997-04-30	VYDAJ	VYBER	15	31006	SLUZBY	\N	\N
266481	911	1997-05-31	VYDAJ	VYBER	15	55818	SLUZBY	\N	\N
266482	911	1997-06-30	VYDAJ	VYBER	15	82775	SLUZBY	\N	\N
266483	911	1997-07-31	VYDAJ	VYBER	15	46374	SLUZBY	\N	\N
266484	911	1997-08-31	VYDAJ	VYBER	15	41565	SLUZBY	\N	\N
266485	911	1997-09-30	VYDAJ	VYBER	15	81188	SLUZBY	\N	\N
266486	911	1997-10-31	VYDAJ	VYBER	15	37374	SLUZBY	\N	\N
266487	911	1997-11-30	VYDAJ	VYBER	15	73159	SLUZBY	\N	\N
266488	911	1997-12-31	VYDAJ	VYBER	15	54700	SLUZBY	\N	\N
266489	911	1998-01-31	VYDAJ	VYBER	15	21131	SLUZBY	\N	\N
266490	911	1998-02-28	VYDAJ	VYBER	15	28896	SLUZBY	\N	\N
266491	911	1998-03-31	VYDAJ	VYBER	15	40375	SLUZBY	\N	\N
266492	911	1998-04-30	VYDAJ	VYBER	15	26052	SLUZBY	\N	\N
266493	911	1998-05-31	VYDAJ	VYBER	15	54280	SLUZBY	\N	\N
266494	911	1998-06-30	VYDAJ	VYBER	15	50009	SLUZBY	\N	\N
266495	911	1998-07-31	VYDAJ	VYBER	15	33481	SLUZBY	\N	\N
266496	911	1998-08-31	VYDAJ	VYBER	15	38960	SLUZBY	\N	\N
266497	911	1998-09-30	VYDAJ	VYBER	15	42952	SLUZBY	\N	\N
266498	911	1998-10-31	VYDAJ	VYBER	15	47379	SLUZBY	\N	\N
266499	911	1998-11-30	VYDAJ	VYBER	15	49559	SLUZBY	\N	\N
266500	911	1996-09-11	PRIJEM	VKLAD	4800	15225	\N	\N	\N
266502	911	1996-11-10	VYDAJ	VYBER	14100	35780	\N	\N	\N
266503	911	1996-12-10	VYDAJ	VYBER	26000	49169	\N	\N	\N
266504	911	1997-01-09	VYDAJ	VYBER	17000	45400	\N	\N	\N
266505	911	1997-02-08	VYDAJ	VYBER	11000	34621	\N	\N	\N
266506	911	1997-03-10	PRIJEM	VKLAD	8400	27586	\N	\N	\N
266507	911	1997-04-09	PRIJEM	VKLAD	6700	30898	\N	\N	\N
266508	911	1997-05-09	PRIJEM	VKLAD	7200	27638	\N	\N	\N
266509	911	1997-06-08	VYDAJ	VYBER	3000	42250	\N	\N	\N
266510	911	1997-07-08	VYDAJ	VYBER	9200	46172	\N	\N	\N
266511	911	1997-08-07	PRIJEM	VKLAD	5600	41406	\N	\N	\N
266512	911	1997-09-06	PRIJEM	VKLAD	7000	37997	\N	\N	\N
266513	911	1997-10-06	VYDAJ	VYBER	10300	60320	\N	\N	\N
266514	911	1997-11-05	PRIJEM	VKLAD	13000	50374	\N	\N	\N
266515	911	1997-12-05	VYDAJ	VYBER	4600	57991	\N	\N	\N
266516	911	1998-01-04	VYDAJ	VYBER	37200	61883	\N	\N	\N
266517	911	1998-01-04	PRIJEM	VKLAD	1600	106283	\N	\N	\N
266518	911	1998-02-03	PRIJEM	VKLAD	18200	39331	\N	\N	\N
266519	911	1998-03-05	PRIJEM	VKLAD	21900	50796	\N	\N	\N
266520	911	1998-04-04	PRIJEM	VKLAD	8700	49075	\N	\N	\N
266521	911	1998-05-04	PRIJEM	VKLAD	21800	47852	\N	\N	\N
266522	911	1998-06-03	PRIJEM	VKLAD	9100	63380	\N	\N	\N
266523	911	1998-07-03	PRIJEM	VKLAD	11900	61909	\N	\N	\N
266524	911	1998-08-02	PRIJEM	VKLAD	15900	49381	\N	\N	\N
266525	911	1998-09-01	PRIJEM	VKLAD	14400	53360	\N	\N	\N
266526	911	1998-10-01	PRIJEM	VKLAD	10600	53552	\N	\N	\N
266527	911	1998-10-31	PRIJEM	VKLAD	17500	47248	\N	\N	\N
266528	911	1998-11-30	PRIJEM	VKLAD	12600	49411	\N	\N	\N
266558	912	1997-04-27	PRIJEM	VKLAD	400	400	\N	\N	\N
266563	912	1997-05-13	PRIJEM	PREVOD Z UCTU	3499	3899	\N	MN	47564983
266564	912	1997-06-13	PRIJEM	PREVOD Z UCTU	3499	7398	\N	MN	47564983
266565	912	1997-07-13	PRIJEM	PREVOD Z UCTU	3499	10897	\N	MN	47564983
266566	912	1997-08-13	PRIJEM	PREVOD Z UCTU	3499	14396	\N	MN	47564983
266567	912	1997-09-13	PRIJEM	PREVOD Z UCTU	3499	17895	\N	MN	47564983
266568	912	1997-10-13	PRIJEM	PREVOD Z UCTU	3499	19050	\N	MN	47564983
266569	912	1997-11-13	PRIJEM	PREVOD Z UCTU	3499	20130	\N	MN	47564983
266570	912	1997-12-13	PRIJEM	PREVOD Z UCTU	3499	20223	\N	MN	47564983
266571	912	1998-01-13	PRIJEM	PREVOD Z UCTU	3499	19627	\N	MN	47564983
266572	912	1998-02-13	PRIJEM	PREVOD Z UCTU	3499	17826	\N	MN	47564983
266573	912	1998-03-13	PRIJEM	PREVOD Z UCTU	3499	18450	\N	MN	47564983
266574	912	1998-04-13	PRIJEM	PREVOD Z UCTU	3499	19197	\N	MN	47564983
266575	912	1998-05-13	PRIJEM	PREVOD Z UCTU	3499	20188	\N	MN	47564983
266576	912	1998-06-13	PRIJEM	PREVOD Z UCTU	3499	21422	\N	MN	47564983
266577	912	1998-07-13	PRIJEM	PREVOD Z UCTU	3499	20379	\N	MN	47564983
266578	912	1998-08-13	PRIJEM	PREVOD Z UCTU	3499	21614	\N	MN	47564983
266579	912	1998-09-13	PRIJEM	PREVOD Z UCTU	3499	22854	\N	MN	47564983
266580	912	1998-10-13	PRIJEM	PREVOD Z UCTU	3499	24100	\N	MN	47564983
266581	912	1998-11-13	PRIJEM	PREVOD Z UCTU	3499	25351	\N	MN	47564983
266582	912	1998-12-13	PRIJEM	PREVOD Z UCTU	3499	22288	\N	MN	47564983
266592	912	1997-10-11	VYDAJ	PREVOD NA UCET	2332	15551	\N	WX	13603061
266593	912	1997-11-11	VYDAJ	PREVOD NA UCET	2332	16631	\N	WX	13603061
266594	912	1997-12-11	VYDAJ	PREVOD NA UCET	2332	16724	\N	WX	13603061
266595	912	1998-01-11	VYDAJ	PREVOD NA UCET	2332	16128	\N	WX	13603061
266596	912	1998-02-11	VYDAJ	PREVOD NA UCET	2332	14327	\N	WX	13603061
266597	912	1998-03-11	VYDAJ	PREVOD NA UCET	2332	14951	\N	WX	13603061
266598	912	1998-04-11	VYDAJ	PREVOD NA UCET	2332	15698	\N	WX	13603061
266599	912	1998-05-11	VYDAJ	PREVOD NA UCET	2332	16929	\N	WX	13603061
266600	912	1998-06-11	VYDAJ	PREVOD NA UCET	2332	17923	\N	WX	13603061
266601	912	1998-07-11	VYDAJ	PREVOD NA UCET	2332	16880	\N	WX	13603061
266602	912	1998-08-11	VYDAJ	PREVOD NA UCET	2332	18115	\N	WX	13603061
266603	912	1998-09-11	VYDAJ	PREVOD NA UCET	2332	19355	\N	WX	13603061
266604	912	1998-10-11	VYDAJ	PREVOD NA UCET	2332	20601	\N	WX	13603061
266605	912	1998-11-11	VYDAJ	PREVOD NA UCET	2332	21852	\N	WX	13603061
266606	912	1998-12-11	VYDAJ	PREVOD NA UCET	2332	18789	\N	WX	13603061
266610	912	1998-01-27	VYDAJ	VYBER	870	17197	\N	\N	\N
266611	912	1997-12-15	VYDAJ	VYBER	450	19773	\N	\N	\N
266612	912	1998-12-24	VYDAJ	VYBER	570	18618	\N	\N	\N
266619	912	1998-01-10	VYDAJ	VYBER	480	18460	\N	\N	\N
266620	912	1998-01-03	VYDAJ	VYBER	570	18940	\N	\N	\N
266621	912	1998-01-30	VYDAJ	VYBER	600	16597	\N	\N	\N
266622	912	1998-01-01	VYDAJ	VYBER	330	19510	\N	\N	\N
266623	912	1998-01-13	VYDAJ	VYBER	780	18847	\N	\N	\N
266624	912	1998-01-19	VYDAJ	VYBER	780	18067	\N	\N	\N
266625	912	1997-11-24	VYDAJ	VYBER	1140	18990	\N	\N	\N
266627	912	1997-10-22	VYDAJ	VYBER	150	18900	\N	\N	\N
266629	912	1998-02-24	VYDAJ	VYBER	600	17226	\N	\N	\N
266630	912	1998-06-24	VYDAJ	VYBER	1320	19142	\N	\N	\N
266631	912	1998-06-18	VYDAJ	VYBER	960	20462	\N	\N	\N
266632	912	1998-05-11	VYDAJ	VYBER	240	16689	\N	\N	\N
266633	912	1998-04-03	VYDAJ	VYBER	480	18030	\N	\N	\N
266634	912	1998-11-15	VYDAJ	VYBER	900	23341	\N	\N	\N
266635	912	1998-11-14	VYDAJ	VYBER	1110	24241	\N	\N	\N
266645	912	1997-09-30	VYDAJ	VYBER	15	17883	SLUZBY	\N	\N
266646	912	1997-10-31	VYDAJ	VYBER	15	18963	SLUZBY	\N	\N
266647	912	1997-11-30	VYDAJ	VYBER	15	19056	SLUZBY	\N	\N
266648	912	1997-12-31	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
266649	912	1998-01-31	VYDAJ	VYBER	15	16659	SLUZBY	\N	\N
266650	912	1998-02-28	VYDAJ	VYBER	15	17283	SLUZBY	\N	\N
266651	912	1998-03-31	VYDAJ	VYBER	15	18510	SLUZBY	\N	\N
266652	912	1998-04-30	VYDAJ	VYBER	15	19261	SLUZBY	\N	\N
266653	912	1998-05-31	VYDAJ	VYBER	15	20255	SLUZBY	\N	\N
266654	912	1998-06-30	VYDAJ	VYBER	15	19212	SLUZBY	\N	\N
266655	912	1998-07-31	VYDAJ	VYBER	15	20447	SLUZBY	\N	\N
266656	912	1998-08-31	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
266657	912	1998-09-30	VYDAJ	VYBER	15	22933	SLUZBY	\N	\N
266658	912	1998-10-31	VYDAJ	VYBER	15	24184	SLUZBY	\N	\N
266659	912	1998-11-30	VYDAJ	VYBER	15	21121	SLUZBY	\N	\N
266660	912	1998-11-18	VYDAJ	VYBER	2300	21041	\N	\N	\N
266661	912	1998-12-18	VYDAJ	VYBER	3100	19188	\N	\N	\N
266678	913	1996-05-10	PRIJEM	VKLAD	300	300	\N	\N	\N
266684	913	1996-06-06	PRIJEM	VKLAD	20214	20514	\N	\N	\N
266685	913	1996-07-06	PRIJEM	VKLAD	13476	35658	\N	\N	\N
266686	913	1996-08-06	PRIJEM	VKLAD	13476	41343	\N	\N	\N
266687	913	1996-09-06	PRIJEM	VKLAD	13476	41134	\N	\N	\N
266688	913	1996-10-06	PRIJEM	VKLAD	13476	43533	\N	\N	\N
266689	913	1996-11-06	PRIJEM	VKLAD	13476	36627	\N	\N	\N
266690	913	1996-12-06	PRIJEM	VKLAD	20214	33296	\N	\N	\N
266691	913	1997-01-06	PRIJEM	VKLAD	13476	38164	\N	\N	\N
266692	913	1997-02-06	PRIJEM	VKLAD	13476	34249	\N	\N	\N
266693	913	1997-03-06	PRIJEM	VKLAD	13476	38828	\N	\N	\N
266694	913	1997-04-06	PRIJEM	VKLAD	13476	38787	\N	\N	\N
266695	913	1997-05-06	PRIJEM	VKLAD	13476	45040	\N	\N	\N
266696	913	1997-06-06	PRIJEM	VKLAD	20214	55203	\N	\N	\N
266697	913	1997-07-06	PRIJEM	VKLAD	13476	48768	\N	\N	\N
266698	913	1997-08-06	PRIJEM	VKLAD	13476	49711	\N	\N	\N
266699	913	1997-09-06	PRIJEM	VKLAD	13476	51360	\N	\N	\N
266700	913	1997-10-06	PRIJEM	VKLAD	13476	47828	\N	\N	\N
266701	913	1997-11-06	PRIJEM	VKLAD	13476	50670	\N	\N	\N
266702	913	1997-12-06	PRIJEM	VKLAD	20214	54451	\N	\N	\N
266703	913	1998-01-06	PRIJEM	VKLAD	13476	52315	\N	\N	\N
266704	913	1998-02-06	PRIJEM	VKLAD	13476	37597	\N	\N	\N
266705	913	1998-03-06	PRIJEM	VKLAD	13476	47997	\N	\N	\N
266706	913	1998-04-06	PRIJEM	VKLAD	13476	51933	\N	\N	\N
266707	913	1998-05-06	PRIJEM	VKLAD	13476	48246	\N	\N	\N
266708	913	1998-06-06	PRIJEM	VKLAD	20214	36824	\N	\N	\N
266709	913	1998-07-06	PRIJEM	VKLAD	13476	47431	\N	\N	\N
266710	913	1998-08-06	PRIJEM	VKLAD	13476	50716	\N	\N	\N
266711	913	1998-09-06	PRIJEM	VKLAD	13476	51573	\N	\N	\N
266712	913	1998-10-06	PRIJEM	VKLAD	13476	47222	\N	\N	\N
266713	913	1998-11-06	PRIJEM	VKLAD	13476	46489	\N	\N	\N
266714	913	1998-12-06	PRIJEM	VKLAD	20214	56258	\N	\N	\N
266724	913	1996-10-14	VYDAJ	PREVOD NA UCET	2128	23049	SIPO	EF	87569880
266725	913	1996-11-14	VYDAJ	PREVOD NA UCET	2128	18543	SIPO	EF	87569880
266726	913	1996-12-14	VYDAJ	PREVOD NA UCET	2128	22312	SIPO	EF	87569880
266727	913	1997-01-14	VYDAJ	PREVOD NA UCET	2128	29180	SIPO	EF	87569880
266728	913	1997-02-14	VYDAJ	PREVOD NA UCET	2128	25265	SIPO	EF	87569880
266729	913	1997-03-14	VYDAJ	PREVOD NA UCET	2128	26644	SIPO	EF	87569880
266730	913	1997-04-14	VYDAJ	PREVOD NA UCET	2128	27763	SIPO	EF	87569880
266731	913	1997-05-14	VYDAJ	PREVOD NA UCET	2128	36056	SIPO	EF	87569880
266732	913	1997-06-14	VYDAJ	PREVOD NA UCET	2128	46219	SIPO	EF	87569880
266733	913	1997-07-14	VYDAJ	PREVOD NA UCET	2128	39784	SIPO	EF	87569880
266734	913	1997-08-14	VYDAJ	PREVOD NA UCET	2128	40727	SIPO	EF	87569880
266735	913	1997-09-14	VYDAJ	PREVOD NA UCET	2128	42376	SIPO	EF	87569880
266736	913	1997-10-14	VYDAJ	PREVOD NA UCET	2128	38844	SIPO	EF	87569880
266737	913	1997-11-14	VYDAJ	PREVOD NA UCET	2128	40366	SIPO	EF	87569880
266738	913	1997-12-14	VYDAJ	PREVOD NA UCET	2128	45467	SIPO	EF	87569880
266739	913	1998-01-14	VYDAJ	PREVOD NA UCET	2128	40091	SIPO	EF	87569880
266740	913	1998-02-14	VYDAJ	PREVOD NA UCET	2128	28613	SIPO	EF	87569880
266741	913	1998-03-14	VYDAJ	PREVOD NA UCET	2128	39013	SIPO	EF	87569880
266742	913	1998-04-14	VYDAJ	PREVOD NA UCET	2128	42949	SIPO	EF	87569880
266743	913	1998-05-14	VYDAJ	PREVOD NA UCET	2128	39262	SIPO	EF	87569880
266744	913	1998-06-14	VYDAJ	PREVOD NA UCET	2128	27840	SIPO	EF	87569880
266745	913	1998-07-14	VYDAJ	PREVOD NA UCET	2128	34607	SIPO	EF	87569880
266746	913	1998-08-14	VYDAJ	PREVOD NA UCET	2128	37652	SIPO	EF	87569880
266747	913	1998-09-14	VYDAJ	PREVOD NA UCET	2128	42589	SIPO	EF	87569880
266748	913	1998-10-14	VYDAJ	PREVOD NA UCET	2128	38238	SIPO	EF	87569880
266749	913	1998-11-14	VYDAJ	PREVOD NA UCET	2128	37505	SIPO	EF	87569880
266750	913	1998-12-14	VYDAJ	PREVOD NA UCET	2128	47274	SIPO	EF	87569880
266760	913	1996-10-07	VYDAJ	PREVOD NA UCET	2357	36677	 	QR	52878284
266761	913	1996-11-07	VYDAJ	PREVOD NA UCET	2357	20671	 	QR	52878284
266762	913	1996-12-07	VYDAJ	PREVOD NA UCET	2357	24440	 	QR	52878284
266763	913	1997-01-07	VYDAJ	PREVOD NA UCET	2357	31308	 	QR	52878284
266764	913	1997-02-07	VYDAJ	PREVOD NA UCET	2357	27393	 	QR	52878284
266765	913	1997-03-07	VYDAJ	PREVOD NA UCET	2357	28772	 	QR	52878284
266766	913	1997-04-07	VYDAJ	PREVOD NA UCET	2357	31931	 	QR	52878284
266767	913	1997-05-07	VYDAJ	PREVOD NA UCET	2357	38184	 	QR	52878284
266768	913	1997-06-07	VYDAJ	PREVOD NA UCET	2357	48347	 	QR	52878284
266769	913	1997-07-07	VYDAJ	PREVOD NA UCET	2357	41912	 	QR	52878284
266770	913	1997-08-07	VYDAJ	PREVOD NA UCET	2357	42855	 	QR	52878284
266771	913	1997-09-07	VYDAJ	PREVOD NA UCET	2357	44504	 	QR	52878284
266772	913	1997-10-07	VYDAJ	PREVOD NA UCET	2357	40972	 	QR	52878284
266773	913	1997-11-07	VYDAJ	PREVOD NA UCET	2357	43814	 	QR	52878284
266774	913	1997-12-07	VYDAJ	PREVOD NA UCET	2357	47595	 	QR	52878284
266775	913	1998-01-07	VYDAJ	PREVOD NA UCET	2357	45459	 	QR	52878284
266776	913	1998-02-07	VYDAJ	PREVOD NA UCET	2357	30741	 	QR	52878284
266777	913	1998-03-07	VYDAJ	PREVOD NA UCET	2357	41141	 	QR	52878284
266778	913	1998-04-07	VYDAJ	PREVOD NA UCET	2357	45077	 	QR	52878284
266779	913	1998-05-07	VYDAJ	PREVOD NA UCET	2357	41390	 	QR	52878284
266780	913	1998-06-07	VYDAJ	PREVOD NA UCET	2357	29968	 	QR	52878284
266781	913	1998-07-07	VYDAJ	PREVOD NA UCET	2357	36735	 	QR	52878284
266782	913	1998-08-07	VYDAJ	PREVOD NA UCET	2357	39780	 	QR	52878284
266783	913	1998-09-07	VYDAJ	PREVOD NA UCET	2357	44717	 	QR	52878284
266784	913	1998-10-07	VYDAJ	PREVOD NA UCET	2357	40366	 	QR	52878284
266785	913	1998-11-07	VYDAJ	PREVOD NA UCET	2357	39633	 	QR	52878284
266786	913	1998-12-07	VYDAJ	PREVOD NA UCET	2357	49402	 	QR	52878284
266796	913	1996-10-06	VYDAJ	PREVOD NA UCET	4499	39034	POJISTNE	KL	91468649
266797	913	1996-11-06	VYDAJ	PREVOD NA UCET	4499	32128	POJISTNE	KL	91468649
266798	913	1996-12-06	VYDAJ	PREVOD NA UCET	4499	26797	POJISTNE	KL	91468649
266799	913	1997-01-06	VYDAJ	PREVOD NA UCET	4499	33665	POJISTNE	KL	91468649
266800	913	1997-02-06	VYDAJ	PREVOD NA UCET	4499	29750	POJISTNE	KL	91468649
266801	913	1997-03-06	VYDAJ	PREVOD NA UCET	4499	31129	POJISTNE	KL	91468649
266802	913	1997-04-06	VYDAJ	PREVOD NA UCET	4499	34288	POJISTNE	KL	91468649
266803	913	1997-05-06	VYDAJ	PREVOD NA UCET	4499	40541	POJISTNE	KL	91468649
266804	913	1997-06-06	VYDAJ	PREVOD NA UCET	4499	50704	POJISTNE	KL	91468649
266805	913	1997-07-06	VYDAJ	PREVOD NA UCET	4499	44269	POJISTNE	KL	91468649
266806	913	1997-08-06	VYDAJ	PREVOD NA UCET	4499	45212	POJISTNE	KL	91468649
266807	913	1997-09-06	VYDAJ	PREVOD NA UCET	4499	46861	POJISTNE	KL	91468649
266808	913	1997-10-06	VYDAJ	PREVOD NA UCET	4499	43329	POJISTNE	KL	91468649
266809	913	1997-11-06	VYDAJ	PREVOD NA UCET	4499	46171	POJISTNE	KL	91468649
266810	913	1997-12-06	VYDAJ	PREVOD NA UCET	4499	49952	POJISTNE	KL	91468649
266811	913	1998-01-06	VYDAJ	PREVOD NA UCET	4499	47816	POJISTNE	KL	91468649
266812	913	1998-02-06	VYDAJ	PREVOD NA UCET	4499	33098	POJISTNE	KL	91468649
266813	913	1998-03-06	VYDAJ	PREVOD NA UCET	4499	43498	POJISTNE	KL	91468649
266814	913	1998-04-06	VYDAJ	PREVOD NA UCET	4499	47434	POJISTNE	KL	91468649
266815	913	1998-05-06	VYDAJ	PREVOD NA UCET	4499	43747	POJISTNE	KL	91468649
266816	913	1998-06-06	VYDAJ	PREVOD NA UCET	4499	32325	POJISTNE	KL	91468649
266817	913	1998-07-06	VYDAJ	PREVOD NA UCET	4499	42932	POJISTNE	KL	91468649
266818	913	1998-08-06	VYDAJ	PREVOD NA UCET	4499	42137	POJISTNE	KL	91468649
266819	913	1998-09-06	VYDAJ	PREVOD NA UCET	4499	47074	POJISTNE	KL	91468649
266820	913	1998-10-06	VYDAJ	PREVOD NA UCET	4499	42723	POJISTNE	KL	91468649
266821	913	1998-11-06	VYDAJ	PREVOD NA UCET	4499	41990	POJISTNE	KL	91468649
266822	913	1998-12-06	VYDAJ	PREVOD NA UCET	4499	51759	POJISTNE	KL	91468649
266824	913	1997-06-17	VYDAJ	VYBER	10880	35339	\N	\N	\N
266825	913	1998-06-02	VYDAJ	VYBER	24000	16610	\N	\N	\N
266828	913	1998-01-25	VYDAJ	VYBER	5760	24851	\N	\N	\N
266835	913	1997-01-22	VYDAJ	VYBER	2880	24740	\N	\N	\N
266836	913	1997-01-21	VYDAJ	VYBER	1560	27620	\N	\N	\N
266837	913	1997-01-28	VYDAJ	VYBER	3240	18020	\N	\N	\N
266838	913	1997-01-25	VYDAJ	VYBER	1200	23540	\N	\N	\N
266839	913	1997-01-26	VYDAJ	VYBER	2280	21260	\N	\N	\N
266840	913	1997-01-29	VYDAJ	VYBER	2640	15380	\N	\N	\N
266841	913	1998-01-25	VYDAJ	VYBER	2760	30611	\N	\N	\N
266842	913	1998-01-12	VYDAJ	VYBER	2160	42219	\N	\N	\N
266843	913	1998-01-20	VYDAJ	VYBER	3000	35411	\N	\N	\N
266844	913	1998-01-12	VYDAJ	VYBER	1080	44379	\N	\N	\N
266845	913	1998-01-19	VYDAJ	VYBER	1680	38411	\N	\N	\N
266846	913	1998-01-25	VYDAJ	VYBER	2040	33371	\N	\N	\N
266847	913	1996-11-18	VYDAJ	VYBER	5520	13023	\N	\N	\N
266854	913	1997-04-08	VYDAJ	VYBER	2040	29891	\N	\N	\N
266855	913	1997-11-17	VYDAJ	VYBER	2280	38086	\N	\N	\N
266856	913	1997-03-15	VYDAJ	VYBER	4920	21724	\N	\N	\N
266857	913	1997-09-19	VYDAJ	VYBER	4080	38296	\N	\N	\N
266858	913	1997-04-30	VYDAJ	VYBER	2400	25464	\N	\N	\N
266859	913	1997-11-08	VYDAJ	VYBER	1320	42494	\N	\N	\N
266860	913	1998-07-06	VYDAJ	VYBER	3840	39092	\N	\N	\N
266861	913	1998-02-02	VYDAJ	VYBER	5880	24121	\N	\N	\N
266862	913	1998-10-19	VYDAJ	VYBER	4560	33678	\N	\N	\N
266863	913	1998-04-24	VYDAJ	VYBER	1320	41629	\N	\N	\N
266864	913	1998-08-06	VYDAJ	VYBER	4080	46636	\N	\N	\N
266865	913	1998-12-21	VYDAJ	VYBER	5760	41514	\N	\N	\N
266866	913	1998-04-29	VYDAJ	VYBER	4920	36709	\N	\N	\N
266877	913	1996-10-31	VYDAJ	VYBER	15	23151	SLUZBY	\N	\N
266878	913	1996-11-30	VYDAJ	VYBER	15	13082	SLUZBY	\N	\N
266879	913	1996-12-31	VYDAJ	VYBER	15	22388	SLUZBY	\N	\N
266880	913	1997-01-31	VYDAJ	VYBER	15	15473	SLUZBY	\N	\N
266881	913	1997-02-28	VYDAJ	VYBER	15	25352	SLUZBY	\N	\N
266882	913	1997-03-31	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
266883	913	1997-04-30	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
266884	913	1997-05-31	VYDAJ	VYBER	15	36189	SLUZBY	\N	\N
266885	913	1997-06-30	VYDAJ	VYBER	15	35492	SLUZBY	\N	\N
266886	913	1997-07-31	VYDAJ	VYBER	15	39935	SLUZBY	\N	\N
266887	913	1997-08-31	VYDAJ	VYBER	15	40884	SLUZBY	\N	\N
266888	913	1997-09-30	VYDAJ	VYBER	15	38452	SLUZBY	\N	\N
266889	913	1997-10-31	VYDAJ	VYBER	15	38994	SLUZBY	\N	\N
266890	913	1997-11-30	VYDAJ	VYBER	15	38237	SLUZBY	\N	\N
266891	913	1997-12-31	VYDAJ	VYBER	15	45639	SLUZBY	\N	\N
266892	913	1998-01-31	VYDAJ	VYBER	15	30001	SLUZBY	\N	\N
266893	913	1998-02-28	VYDAJ	VYBER	15	28721	SLUZBY	\N	\N
266894	913	1998-03-31	VYDAJ	VYBER	15	39157	SLUZBY	\N	\N
266895	913	1998-04-30	VYDAJ	VYBER	15	34770	SLUZBY	\N	\N
266896	913	1998-05-31	VYDAJ	VYBER	15	40610	SLUZBY	\N	\N
266897	913	1998-06-30	VYDAJ	VYBER	15	33955	SLUZBY	\N	\N
266898	913	1998-07-31	VYDAJ	VYBER	15	37240	SLUZBY	\N	\N
266899	913	1998-08-31	VYDAJ	VYBER	15	38097	SLUZBY	\N	\N
266900	913	1998-09-30	VYDAJ	VYBER	15	33746	SLUZBY	\N	\N
266901	913	1998-10-31	VYDAJ	VYBER	15	33013	SLUZBY	\N	\N
266902	913	1998-11-30	VYDAJ	VYBER	15	36044	SLUZBY	\N	\N
266903	913	1996-06-09	PRIJEM	VKLAD	1600	22114	\N	\N	\N
266904	913	1996-07-09	VYDAJ	VYBER	7900	27758	\N	\N	\N
266905	913	1996-08-08	VYDAJ	VYBER	13800	27543	\N	\N	\N
266906	913	1996-09-07	VYDAJ	VYBER	11200	29934	\N	\N	\N
266907	913	1996-10-07	VYDAJ	VYBER	11500	25177	\N	\N	\N
266908	913	1996-11-06	VYDAJ	VYBER	9100	23028	\N	\N	\N
266909	913	1996-12-06	VYDAJ	VYBER	2000	31296	\N	\N	\N
266910	913	1997-01-05	PRIJEM	VKLAD	2300	24688	\N	\N	\N
266911	913	1997-02-04	PRIJEM	VKLAD	5300	20773	\N	\N	\N
266912	913	1997-03-06	VYDAJ	VYBER	3200	35628	\N	\N	\N
266913	913	1997-04-05	PRIJEM	VKLAD	3500	25311	\N	\N	\N
266914	913	1997-05-05	PRIJEM	VKLAD	6100	31564	\N	\N	\N
266915	913	1997-06-04	VYDAJ	VYBER	1200	34989	\N	\N	\N
266916	913	1997-07-04	VYDAJ	VYBER	200	35292	\N	\N	\N
266917	913	1997-08-03	VYDAJ	VYBER	3700	36235	\N	\N	\N
266918	913	1997-09-02	VYDAJ	VYBER	3000	37884	\N	\N	\N
266919	913	1997-10-02	VYDAJ	VYBER	4100	34352	\N	\N	\N
266920	913	1997-11-01	VYDAJ	VYBER	1800	37194	\N	\N	\N
266921	913	1997-12-01	VYDAJ	VYBER	4000	34237	\N	\N	\N
266922	913	1997-12-31	VYDAJ	VYBER	6800	38839	\N	\N	\N
266923	913	1998-01-30	PRIJEM	VKLAD	5000	29851	\N	\N	\N
266924	913	1998-03-01	PRIJEM	VKLAD	5800	34521	\N	\N	\N
266925	913	1998-03-31	VYDAJ	VYBER	700	38457	\N	\N	\N
266926	913	1998-04-30	VYDAJ	VYBER	2100	34785	\N	\N	\N
266927	913	1998-05-30	PRIJEM	VKLAD	1200	40462	\N	\N	\N
266928	913	1998-06-29	PRIJEM	VKLAD	6000	33840	\N	\N	\N
266929	913	1998-07-29	PRIJEM	VKLAD	2500	37107	\N	\N	\N
266930	913	1998-08-28	PRIJEM	VKLAD	300	37952	\N	\N	\N
266931	913	1998-09-27	VYDAJ	VYBER	9000	33589	\N	\N	\N
266932	913	1998-10-27	VYDAJ	VYBER	800	32878	\N	\N	\N
266933	913	1998-11-26	VYDAJ	VYBER	1600	35905	\N	\N	\N
266965	914	1993-11-14	PRIJEM	VKLAD	800	800	\N	\N	\N
266977	914	1993-12-14	PRIJEM	PREVOD Z UCTU	3448	4248	\N	MN	44114095
266978	914	1994-01-14	PRIJEM	PREVOD Z UCTU	3448	7696	\N	MN	44114095
266979	914	1994-02-14	PRIJEM	PREVOD Z UCTU	3448	11144	\N	MN	44114095
266980	914	1994-03-14	PRIJEM	PREVOD Z UCTU	3448	14592	\N	MN	44114095
266981	914	1994-04-14	PRIJEM	PREVOD Z UCTU	3448	18040	\N	MN	44114095
266982	914	1994-05-14	PRIJEM	PREVOD Z UCTU	3448	19178	\N	MN	44114095
266983	914	1994-06-14	PRIJEM	PREVOD Z UCTU	3448	14481	\N	MN	44114095
266984	914	1994-07-14	PRIJEM	PREVOD Z UCTU	3448	15679	\N	MN	44114095
266985	914	1994-08-14	PRIJEM	PREVOD Z UCTU	3448	16427	\N	MN	44114095
266986	914	1994-09-14	PRIJEM	PREVOD Z UCTU	3448	17628	\N	MN	44114095
266987	914	1994-10-14	PRIJEM	PREVOD Z UCTU	3448	18835	\N	MN	44114095
266988	914	1994-11-14	PRIJEM	PREVOD Z UCTU	3448	17977	\N	MN	44114095
266989	914	1994-12-14	PRIJEM	PREVOD Z UCTU	3448	17233	\N	MN	44114095
266990	914	1995-01-14	PRIJEM	PREVOD Z UCTU	3448	16759	\N	MN	44114095
266991	914	1995-02-14	PRIJEM	PREVOD Z UCTU	3448	15349	\N	MN	44114095
266992	914	1995-03-14	PRIJEM	PREVOD Z UCTU	3448	16546	\N	MN	44114095
266993	914	1995-04-14	PRIJEM	PREVOD Z UCTU	3448	17748	\N	MN	44114095
266994	914	1995-05-14	PRIJEM	PREVOD Z UCTU	3448	18955	\N	MN	44114095
266995	914	1995-06-14	PRIJEM	PREVOD Z UCTU	3448	19567	\N	MN	44114095
266996	914	1995-07-14	PRIJEM	PREVOD Z UCTU	3448	16010	\N	MN	44114095
266997	914	1995-08-14	PRIJEM	PREVOD Z UCTU	3448	17210	\N	MN	44114095
266998	914	1995-09-14	PRIJEM	PREVOD Z UCTU	3448	17815	\N	MN	44114095
266999	914	1995-10-14	PRIJEM	PREVOD Z UCTU	3448	16221	\N	MN	44114095
267000	914	1995-11-14	PRIJEM	PREVOD Z UCTU	3448	16373	\N	MN	44114095
267001	914	1995-12-14	PRIJEM	PREVOD Z UCTU	3448	13813	\N	MN	44114095
267002	914	1996-01-14	PRIJEM	PREVOD Z UCTU	3448	14254	\N	MN	44114095
267003	914	1996-02-14	PRIJEM	PREVOD Z UCTU	3448	14544	\N	MN	44114095
267004	914	1996-03-14	PRIJEM	PREVOD Z UCTU	3448	14338	\N	MN	44114095
267222	914	1995-08-31	VYDAJ	VYBER	15	17265	SLUZBY	\N	\N
267005	914	1996-04-14	PRIJEM	PREVOD Z UCTU	3448	13330	\N	MN	44114095
267006	914	1996-05-14	PRIJEM	PREVOD Z UCTU	3448	14519	\N	MN	44114095
267007	914	1996-06-14	PRIJEM	PREVOD Z UCTU	3448	15081	\N	MN	44114095
267008	914	1996-07-14	PRIJEM	PREVOD Z UCTU	3448	16277	\N	MN	44114095
267009	914	1996-08-14	PRIJEM	PREVOD Z UCTU	3448	17478	\N	MN	44114095
267010	914	1996-09-14	PRIJEM	PREVOD Z UCTU	3448	18534	\N	MN	44114095
267011	914	1996-10-14	PRIJEM	PREVOD Z UCTU	3448	18302	\N	MN	44114095
267012	914	1996-11-14	PRIJEM	PREVOD Z UCTU	3448	19511	\N	MN	44114095
267013	914	1996-12-14	PRIJEM	PREVOD Z UCTU	3448	20035	\N	MN	44114095
267014	914	1997-01-14	PRIJEM	PREVOD Z UCTU	3448	19570	\N	MN	44114095
267015	914	1997-02-14	PRIJEM	PREVOD Z UCTU	3448	18680	\N	MN	44114095
267016	914	1997-03-14	PRIJEM	PREVOD Z UCTU	3448	19620	\N	MN	44114095
267017	914	1997-04-14	PRIJEM	PREVOD Z UCTU	3448	20835	\N	MN	44114095
267018	914	1997-05-14	PRIJEM	PREVOD Z UCTU	3448	22054	\N	MN	44114095
267019	914	1997-06-14	PRIJEM	PREVOD Z UCTU	3448	23279	\N	MN	44114095
267020	914	1997-07-14	PRIJEM	PREVOD Z UCTU	3448	19580	\N	MN	44114095
267021	914	1997-08-14	PRIJEM	PREVOD Z UCTU	3448	19713	\N	MN	44114095
267022	914	1997-09-14	PRIJEM	PREVOD Z UCTU	3448	20927	\N	MN	44114095
267023	914	1997-10-14	PRIJEM	PREVOD Z UCTU	3448	22147	\N	MN	44114095
267024	914	1997-11-14	PRIJEM	PREVOD Z UCTU	3448	22472	\N	MN	44114095
267025	914	1997-12-14	PRIJEM	PREVOD Z UCTU	3448	23697	\N	MN	44114095
267026	914	1998-01-14	PRIJEM	PREVOD Z UCTU	3448	22467	\N	MN	44114095
267027	914	1998-02-14	PRIJEM	PREVOD Z UCTU	3448	21891	\N	MN	44114095
267028	914	1998-03-14	PRIJEM	PREVOD Z UCTU	3448	23114	\N	MN	44114095
267029	914	1998-04-14	PRIJEM	PREVOD Z UCTU	3448	24343	\N	MN	44114095
267030	914	1998-05-14	PRIJEM	PREVOD Z UCTU	3448	24165	\N	MN	44114095
267031	914	1998-06-14	PRIJEM	PREVOD Z UCTU	3448	25398	\N	MN	44114095
267032	914	1998-07-14	PRIJEM	PREVOD Z UCTU	3448	22729	\N	MN	44114095
267033	914	1998-08-14	PRIJEM	PREVOD Z UCTU	3448	23206	\N	MN	44114095
267034	914	1998-09-14	PRIJEM	PREVOD Z UCTU	3448	24434	\N	MN	44114095
267035	914	1998-10-14	PRIJEM	PREVOD Z UCTU	3448	24977	\N	MN	44114095
267036	914	1998-11-14	PRIJEM	PREVOD Z UCTU	3448	26212	\N	MN	44114095
267037	914	1998-12-14	PRIJEM	PREVOD Z UCTU	3448	27453	\N	MN	44114095
267054	914	1994-05-08	VYDAJ	PREVOD NA UCET	2298	15730	\N	UV	90846919
267055	914	1994-06-08	VYDAJ	PREVOD NA UCET	2298	11033	\N	UV	90846919
267056	914	1994-07-08	VYDAJ	PREVOD NA UCET	2298	12231	\N	UV	90846919
267057	914	1994-08-08	VYDAJ	PREVOD NA UCET	2298	12979	\N	UV	90846919
267058	914	1994-09-08	VYDAJ	PREVOD NA UCET	2298	14180	\N	UV	90846919
267059	914	1994-10-08	VYDAJ	PREVOD NA UCET	2298	15387	\N	UV	90846919
267060	914	1994-11-08	VYDAJ	PREVOD NA UCET	2298	14529	\N	UV	90846919
267061	914	1994-12-08	VYDAJ	PREVOD NA UCET	2298	15225	\N	UV	90846919
267062	914	1995-01-08	VYDAJ	PREVOD NA UCET	2298	13311	\N	UV	90846919
267063	914	1995-02-08	VYDAJ	PREVOD NA UCET	2298	11901	\N	UV	90846919
267064	914	1995-03-08	VYDAJ	PREVOD NA UCET	2298	13098	\N	UV	90846919
267065	914	1995-04-08	VYDAJ	PREVOD NA UCET	2298	14300	\N	UV	90846919
267066	914	1995-05-08	VYDAJ	PREVOD NA UCET	2298	15507	\N	UV	90846919
267067	914	1995-06-08	VYDAJ	PREVOD NA UCET	2298	16119	\N	UV	90846919
267068	914	1995-07-08	VYDAJ	PREVOD NA UCET	2298	12562	\N	UV	90846919
267069	914	1995-08-08	VYDAJ	PREVOD NA UCET	2298	13762	\N	UV	90846919
267070	914	1995-09-08	VYDAJ	PREVOD NA UCET	2298	14367	\N	UV	90846919
267071	914	1995-10-08	VYDAJ	PREVOD NA UCET	2298	12773	\N	UV	90846919
267072	914	1995-11-08	VYDAJ	PREVOD NA UCET	2298	12925	\N	UV	90846919
267073	914	1995-12-08	VYDAJ	PREVOD NA UCET	2298	10365	\N	UV	90846919
267074	914	1996-01-08	VYDAJ	PREVOD NA UCET	2298	10806	\N	UV	90846919
267075	914	1996-02-08	VYDAJ	PREVOD NA UCET	2298	11096	\N	UV	90846919
267076	914	1996-03-08	VYDAJ	PREVOD NA UCET	2298	10890	\N	UV	90846919
267077	914	1996-04-08	VYDAJ	PREVOD NA UCET	2298	9882	\N	UV	90846919
267078	914	1996-05-08	VYDAJ	PREVOD NA UCET	2298	11071	\N	UV	90846919
267079	914	1996-06-08	VYDAJ	PREVOD NA UCET	2298	11633	\N	UV	90846919
267080	914	1996-07-08	VYDAJ	PREVOD NA UCET	2298	12829	\N	UV	90846919
267081	914	1996-08-08	VYDAJ	PREVOD NA UCET	2298	14030	\N	UV	90846919
267082	914	1996-09-08	VYDAJ	PREVOD NA UCET	2298	15086	\N	UV	90846919
267083	914	1996-10-08	VYDAJ	PREVOD NA UCET	2298	16294	\N	UV	90846919
267084	914	1996-11-08	VYDAJ	PREVOD NA UCET	2298	16063	\N	UV	90846919
267085	914	1996-12-08	VYDAJ	PREVOD NA UCET	2298	16587	\N	UV	90846919
267086	914	1997-01-08	VYDAJ	PREVOD NA UCET	2298	16542	\N	UV	90846919
267087	914	1997-02-08	VYDAJ	PREVOD NA UCET	2298	15232	\N	UV	90846919
267088	914	1997-03-08	VYDAJ	PREVOD NA UCET	2298	16172	\N	UV	90846919
267089	914	1997-04-08	VYDAJ	PREVOD NA UCET	2298	17387	\N	UV	90846919
267090	914	1997-05-08	VYDAJ	PREVOD NA UCET	2298	18606	\N	UV	90846919
267091	914	1997-06-08	VYDAJ	PREVOD NA UCET	2298	19831	\N	UV	90846919
267092	914	1997-07-08	VYDAJ	PREVOD NA UCET	2298	16132	\N	UV	90846919
267093	914	1997-08-08	VYDAJ	PREVOD NA UCET	2298	16265	\N	UV	90846919
267094	914	1997-09-08	VYDAJ	PREVOD NA UCET	2298	17479	\N	UV	90846919
267095	914	1997-10-08	VYDAJ	PREVOD NA UCET	2298	18699	\N	UV	90846919
267096	914	1997-11-08	VYDAJ	PREVOD NA UCET	2298	19024	\N	UV	90846919
267097	914	1997-12-08	VYDAJ	PREVOD NA UCET	2298	20249	\N	UV	90846919
267098	914	1998-01-08	VYDAJ	PREVOD NA UCET	2298	19019	\N	UV	90846919
267099	914	1998-02-08	VYDAJ	PREVOD NA UCET	2298	18443	\N	UV	90846919
267100	914	1998-03-08	VYDAJ	PREVOD NA UCET	2298	19666	\N	UV	90846919
267101	914	1998-04-08	VYDAJ	PREVOD NA UCET	2298	20895	\N	UV	90846919
267102	914	1998-05-08	VYDAJ	PREVOD NA UCET	2298	20717	\N	UV	90846919
267103	914	1998-06-08	VYDAJ	PREVOD NA UCET	2298	21950	\N	UV	90846919
267104	914	1998-07-08	VYDAJ	PREVOD NA UCET	2298	19281	\N	UV	90846919
267105	914	1998-08-08	VYDAJ	PREVOD NA UCET	2298	19758	\N	UV	90846919
267106	914	1998-09-08	VYDAJ	PREVOD NA UCET	2298	20986	\N	UV	90846919
267107	914	1998-10-08	VYDAJ	PREVOD NA UCET	2298	21529	\N	UV	90846919
267108	914	1998-11-08	VYDAJ	PREVOD NA UCET	2298	22764	\N	UV	90846919
267109	914	1998-12-08	VYDAJ	PREVOD NA UCET	2298	24005	\N	UV	90846919
267111	914	1994-06-07	VYDAJ	VYBER	5910	13331	\N	\N	\N
267112	914	1995-06-29	VYDAJ	VYBER	4770	14797	\N	\N	\N
267114	914	1997-06-19	VYDAJ	VYBER	4920	18359	\N	\N	\N
267115	914	1998-06-19	VYDAJ	VYBER	3900	21498	\N	\N	\N
267118	914	1995-01-20	VYDAJ	VYBER	630	16129	\N	\N	\N
267120	914	1997-01-18	VYDAJ	VYBER	480	18730	\N	\N	\N
267121	914	1998-01-04	VYDAJ	VYBER	1230	21527	\N	\N	\N
267123	914	1994-12-07	VYDAJ	VYBER	510	17523	\N	\N	\N
267124	914	1995-12-14	VYDAJ	VYBER	450	13363	\N	\N	\N
267125	914	1996-12-02	VYDAJ	VYBER	390	19185	\N	\N	\N
267126	914	1997-12-15	VYDAJ	VYBER	180	23517	\N	\N	\N
267127	914	1998-12-21	VYDAJ	VYBER	810	26643	\N	\N	\N
267140	914	1995-01-30	VYDAJ	VYBER	870	14149	\N	\N	\N
267141	914	1995-01-21	VYDAJ	VYBER	540	15589	\N	\N	\N
267142	914	1995-01-21	VYDAJ	VYBER	420	15169	\N	\N	\N
267143	914	1995-01-05	VYDAJ	VYBER	690	15609	\N	\N	\N
267144	914	1995-01-30	VYDAJ	VYBER	150	15019	\N	\N	\N
267145	914	1995-01-04	VYDAJ	VYBER	630	16299	\N	\N	\N
267146	914	1996-01-18	VYDAJ	VYBER	150	14104	\N	\N	\N
267147	914	1996-01-23	VYDAJ	VYBER	330	13774	\N	\N	\N
267148	914	1996-01-29	VYDAJ	VYBER	420	13354	\N	\N	\N
267152	914	1997-01-01	VYDAJ	VYBER	570	18840	\N	\N	\N
267153	914	1997-01-21	VYDAJ	VYBER	420	18310	\N	\N	\N
267154	914	1997-01-18	VYDAJ	VYBER	360	19210	\N	\N	\N
267155	914	1997-01-25	VYDAJ	VYBER	510	17470	\N	\N	\N
267156	914	1997-01-08	VYDAJ	VYBER	420	16122	\N	\N	\N
267157	914	1997-01-23	VYDAJ	VYBER	330	17980	\N	\N	\N
267158	914	1998-01-28	VYDAJ	VYBER	300	21207	\N	\N	\N
267159	914	1998-01-25	VYDAJ	VYBER	720	21507	\N	\N	\N
267160	914	1998-01-29	VYDAJ	VYBER	540	20667	\N	\N	\N
267161	914	1998-01-17	VYDAJ	VYBER	240	22227	\N	\N	\N
267162	914	1998-01-06	VYDAJ	VYBER	210	21317	\N	\N	\N
267163	914	1998-01-03	VYDAJ	VYBER	840	22757	\N	\N	\N
267167	914	1994-12-09	VYDAJ	VYBER	1440	13785	\N	\N	\N
267168	914	1994-10-31	VYDAJ	VYBER	1380	17111	\N	\N	\N
267170	914	1994-11-02	VYDAJ	VYBER	270	16827	\N	\N	\N
267171	914	1994-10-30	VYDAJ	VYBER	420	18415	\N	\N	\N
267172	914	1994-07-19	VYDAJ	VYBER	450	15229	\N	\N	\N
267175	914	1995-10-31	VYDAJ	VYBER	1050	15237	\N	\N	\N
267176	914	1995-11-22	VYDAJ	VYBER	660	15713	\N	\N	\N
267177	914	1995-05-21	VYDAJ	VYBER	600	18355	\N	\N	\N
267178	914	1995-01-04	VYDAJ	VYBER	360	16929	\N	\N	\N
267179	914	1996-12-07	VYDAJ	VYBER	300	18885	\N	\N	\N
267180	914	1996-10-09	VYDAJ	VYBER	1440	14854	\N	\N	\N
267181	914	1996-05-19	VYDAJ	VYBER	630	13889	\N	\N	\N
267182	914	1996-12-23	VYDAJ	VYBER	690	19345	\N	\N	\N
267183	914	1996-09-06	VYDAJ	VYBER	150	17384	\N	\N	\N
267184	914	1997-07-19	VYDAJ	VYBER	1080	18500	\N	\N	\N
267185	914	1997-02-22	VYDAJ	VYBER	270	18410	\N	\N	\N
267186	914	1997-11-02	VYDAJ	VYBER	900	21322	\N	\N	\N
267187	914	1998-04-26	VYDAJ	VYBER	1410	22933	\N	\N	\N
267188	914	1998-08-07	VYDAJ	VYBER	750	22056	\N	\N	\N
267189	914	1998-10-07	VYDAJ	VYBER	690	23827	\N	\N	\N
267206	914	1994-04-30	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
267207	914	1994-05-31	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
267208	914	1994-06-30	VYDAJ	VYBER	15	14529	SLUZBY	\N	\N
267209	914	1994-07-31	VYDAJ	VYBER	15	15277	SLUZBY	\N	\N
267210	914	1994-08-31	VYDAJ	VYBER	15	16478	SLUZBY	\N	\N
267211	914	1994-09-30	VYDAJ	VYBER	15	17685	SLUZBY	\N	\N
267212	914	1994-10-31	VYDAJ	VYBER	15	17097	SLUZBY	\N	\N
267213	914	1994-11-30	VYDAJ	VYBER	15	18033	SLUZBY	\N	\N
267214	914	1994-12-31	VYDAJ	VYBER	15	17289	SLUZBY	\N	\N
267215	914	1995-01-31	VYDAJ	VYBER	15	14199	SLUZBY	\N	\N
267216	914	1995-02-28	VYDAJ	VYBER	15	15396	SLUZBY	\N	\N
267217	914	1995-03-31	VYDAJ	VYBER	15	16598	SLUZBY	\N	\N
267218	914	1995-04-30	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
267219	914	1995-05-31	VYDAJ	VYBER	15	18417	SLUZBY	\N	\N
267220	914	1995-06-30	VYDAJ	VYBER	15	14860	SLUZBY	\N	\N
267221	914	1995-07-31	VYDAJ	VYBER	15	16060	SLUZBY	\N	\N
267223	914	1995-09-30	VYDAJ	VYBER	15	17871	SLUZBY	\N	\N
267224	914	1995-10-31	VYDAJ	VYBER	15	15223	SLUZBY	\N	\N
267225	914	1995-11-30	VYDAJ	VYBER	15	15763	SLUZBY	\N	\N
267226	914	1995-12-31	VYDAJ	VYBER	15	13404	SLUZBY	\N	\N
267227	914	1996-01-31	VYDAJ	VYBER	15	13394	SLUZBY	\N	\N
267228	914	1996-02-29	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
267229	914	1996-03-31	VYDAJ	VYBER	15	14380	SLUZBY	\N	\N
267230	914	1996-04-30	VYDAJ	VYBER	15	13369	SLUZBY	\N	\N
267231	914	1996-05-31	VYDAJ	VYBER	15	13931	SLUZBY	\N	\N
267232	914	1996-06-30	VYDAJ	VYBER	15	15127	SLUZBY	\N	\N
267233	914	1996-07-31	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
267234	914	1996-08-31	VYDAJ	VYBER	15	17534	SLUZBY	\N	\N
267235	914	1996-09-30	VYDAJ	VYBER	15	18592	SLUZBY	\N	\N
267236	914	1996-10-31	VYDAJ	VYBER	15	18361	SLUZBY	\N	\N
267237	914	1996-11-30	VYDAJ	VYBER	15	19575	SLUZBY	\N	\N
267238	914	1996-12-31	VYDAJ	VYBER	15	19410	SLUZBY	\N	\N
267239	914	1997-01-31	VYDAJ	VYBER	15	17530	SLUZBY	\N	\N
267240	914	1997-02-28	VYDAJ	VYBER	15	18470	SLUZBY	\N	\N
267241	914	1997-03-31	VYDAJ	VYBER	15	19685	SLUZBY	\N	\N
267242	914	1997-04-30	VYDAJ	VYBER	15	20904	SLUZBY	\N	\N
267243	914	1997-05-31	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
267244	914	1997-06-30	VYDAJ	VYBER	15	18430	SLUZBY	\N	\N
267245	914	1997-07-31	VYDAJ	VYBER	15	18563	SLUZBY	\N	\N
267246	914	1997-08-31	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
267247	914	1997-09-30	VYDAJ	VYBER	15	20997	SLUZBY	\N	\N
267248	914	1997-10-31	VYDAJ	VYBER	15	22222	SLUZBY	\N	\N
267249	914	1997-11-30	VYDAJ	VYBER	15	22547	SLUZBY	\N	\N
267250	914	1997-12-31	VYDAJ	VYBER	15	23597	SLUZBY	\N	\N
267251	914	1998-01-31	VYDAJ	VYBER	15	20741	SLUZBY	\N	\N
267252	914	1998-02-28	VYDAJ	VYBER	15	21964	SLUZBY	\N	\N
267253	914	1998-03-31	VYDAJ	VYBER	15	23193	SLUZBY	\N	\N
267254	914	1998-04-30	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
267255	914	1998-05-31	VYDAJ	VYBER	15	24248	SLUZBY	\N	\N
267256	914	1998-06-30	VYDAJ	VYBER	15	21579	SLUZBY	\N	\N
267257	914	1998-07-31	VYDAJ	VYBER	15	22806	SLUZBY	\N	\N
267258	914	1998-08-31	VYDAJ	VYBER	15	23284	SLUZBY	\N	\N
267259	914	1998-09-30	VYDAJ	VYBER	15	24517	SLUZBY	\N	\N
267260	914	1998-10-31	VYDAJ	VYBER	15	25062	SLUZBY	\N	\N
267261	914	1998-11-30	VYDAJ	VYBER	15	26303	SLUZBY	\N	\N
267262	914	1995-09-05	VYDAJ	VYBER	600	16665	\N	\N	\N
267263	914	1995-10-05	VYDAJ	VYBER	2800	15071	\N	\N	\N
267264	914	1995-12-04	VYDAJ	VYBER	3100	12663	\N	\N	\N
267265	914	1996-01-03	VYDAJ	VYBER	300	13104	\N	\N	\N
267266	914	1996-03-03	VYDAJ	VYBER	1400	13188	\N	\N	\N
267267	914	1996-04-02	VYDAJ	VYBER	2200	12180	\N	\N	\N
267325	915	1995-01-18	PRIJEM	VKLAD	700	700	\N	\N	\N
267327	915	1995-02-09	PRIJEM	PREVOD Z UCTU	38694	39394	\N	UV	92093485
267328	915	1995-03-09	PRIJEM	PREVOD Z UCTU	38694	69944	\N	UV	92093485
267329	915	1995-04-09	PRIJEM	PREVOD Z UCTU	38694	88400	\N	UV	92093485
267330	915	1995-05-09	PRIJEM	PREVOD Z UCTU	38694	98118	\N	UV	92093485
267331	915	1995-06-09	PRIJEM	PREVOD Z UCTU	58041	121713	\N	UV	92093485
267332	915	1995-07-09	PRIJEM	PREVOD Z UCTU	38694	79521	\N	UV	92093485
267333	915	1995-08-09	PRIJEM	PREVOD Z UCTU	38694	74403	\N	UV	92093485
267334	915	1995-09-09	PRIJEM	PREVOD Z UCTU	38694	82390	\N	UV	92093485
267335	915	1995-10-09	PRIJEM	PREVOD Z UCTU	38694	66488	\N	UV	92093485
267336	915	1995-11-09	PRIJEM	PREVOD Z UCTU	38694	56825	\N	UV	92093485
267337	915	1995-12-09	PRIJEM	PREVOD Z UCTU	58041	91034	\N	UV	92093485
267338	915	1996-01-09	PRIJEM	PREVOD Z UCTU	38694	66450	\N	UV	92093485
267339	915	1996-02-09	PRIJEM	PREVOD Z UCTU	38694	56010	\N	UV	92093485
267340	915	1996-03-09	PRIJEM	PREVOD Z UCTU	38694	69475	\N	UV	92093485
267341	915	1996-04-09	PRIJEM	PREVOD Z UCTU	38694	63738	\N	UV	92093485
267342	915	1996-05-09	PRIJEM	PREVOD Z UCTU	38694	70607	\N	UV	92093485
267343	915	1996-06-09	PRIJEM	PREVOD Z UCTU	58041	89749	\N	UV	92093485
267344	915	1996-07-09	PRIJEM	PREVOD Z UCTU	38694	64942	\N	UV	92093485
267345	915	1996-08-09	PRIJEM	PREVOD Z UCTU	38694	65311	\N	UV	92093485
267346	915	1996-09-09	PRIJEM	PREVOD Z UCTU	38694	65468	\N	UV	92093485
267347	915	1996-10-09	PRIJEM	PREVOD Z UCTU	38694	59709	\N	UV	92093485
267348	915	1996-11-09	PRIJEM	PREVOD Z UCTU	38694	60841	\N	UV	92093485
267349	915	1996-12-09	PRIJEM	PREVOD Z UCTU	58041	85877	\N	UV	92093485
267350	915	1997-01-09	PRIJEM	PREVOD Z UCTU	38694	58902	\N	UV	92093485
267351	915	1997-02-09	PRIJEM	PREVOD Z UCTU	38694	62788	\N	UV	92093485
267352	915	1997-03-09	PRIJEM	PREVOD Z UCTU	38694	61244	\N	UV	92093485
267353	915	1997-04-09	PRIJEM	PREVOD Z UCTU	38694	69840	\N	UV	92093485
267354	915	1997-05-09	PRIJEM	PREVOD Z UCTU	38694	71767	\N	UV	92093485
267355	915	1997-06-09	PRIJEM	PREVOD Z UCTU	58041	89159	\N	UV	92093485
267356	915	1997-07-09	PRIJEM	PREVOD Z UCTU	38694	83409	\N	UV	92093485
267357	915	1997-08-09	PRIJEM	PREVOD Z UCTU	38694	85209	\N	UV	92093485
267358	915	1997-09-09	PRIJEM	PREVOD Z UCTU	38694	86620	\N	UV	92093485
267359	915	1997-10-09	PRIJEM	PREVOD Z UCTU	38694	87328	\N	UV	92093485
267360	915	1997-11-09	PRIJEM	PREVOD Z UCTU	38694	85840	\N	UV	92093485
267361	915	1997-12-09	PRIJEM	PREVOD Z UCTU	58041	105699	\N	UV	92093485
267362	915	1998-01-09	PRIJEM	PREVOD Z UCTU	38694	101572	\N	UV	92093485
267363	915	1998-02-09	PRIJEM	PREVOD Z UCTU	38694	85725	\N	UV	92093485
267364	915	1998-03-09	PRIJEM	PREVOD Z UCTU	38694	91950	\N	UV	92093485
267365	915	1998-04-09	PRIJEM	PREVOD Z UCTU	38694	75579	\N	UV	92093485
267366	915	1998-05-09	PRIJEM	PREVOD Z UCTU	38694	66751	\N	UV	92093485
267367	915	1998-06-09	PRIJEM	PREVOD Z UCTU	58041	90382	\N	UV	92093485
267368	915	1998-07-09	PRIJEM	PREVOD Z UCTU	38694	87495	\N	UV	92093485
267369	915	1998-08-09	PRIJEM	PREVOD Z UCTU	38694	92805	\N	UV	92093485
267370	915	1998-09-09	PRIJEM	PREVOD Z UCTU	38694	88518	\N	UV	92093485
267371	915	1998-10-09	PRIJEM	PREVOD Z UCTU	38694	80419	\N	UV	92093485
267372	915	1998-11-09	PRIJEM	PREVOD Z UCTU	38694	79905	\N	UV	92093485
267373	915	1998-12-09	PRIJEM	PREVOD Z UCTU	58041	103868	\N	UV	92093485
267379	915	1995-06-22	VYDAJ	VYBER	7300	40622	\N	\N	0
267380	915	1995-07-09	VYDAJ	VYBER	9100	70421	\N	\N	0
267381	915	1995-08-07	VYDAJ	VYBER	7800	35709	\N	\N	0
267382	915	1995-09-26	VYDAJ	VYBER	5700	27619	\N	\N	0
267383	915	1995-10-12	VYDAJ	PREVOD NA UCET	6449	31648	UVER	MN	88686042
267384	915	1995-11-12	VYDAJ	PREVOD NA UCET	6449	36085	UVER	MN	88686042
267385	915	1995-12-12	VYDAJ	PREVOD NA UCET	6449	70294	UVER	MN	88686042
267386	915	1996-01-12	VYDAJ	PREVOD NA UCET	6449	33710	UVER	MN	88686042
267387	915	1996-02-12	VYDAJ	PREVOD NA UCET	6449	35270	UVER	MN	88686042
267388	915	1996-03-12	VYDAJ	PREVOD NA UCET	6449	48735	UVER	MN	88686042
267389	915	1996-04-12	VYDAJ	PREVOD NA UCET	6449	31798	UVER	MN	88686042
267390	915	1996-05-12	VYDAJ	PREVOD NA UCET	6449	31567	UVER	MN	88686042
267391	915	1996-06-12	VYDAJ	PREVOD NA UCET	6449	40209	UVER	MN	88686042
267392	915	1996-07-12	VYDAJ	PREVOD NA UCET	6449	26502	UVER	MN	88686042
267393	915	1996-08-12	VYDAJ	PREVOD NA UCET	6449	26671	UVER	MN	88686042
267394	915	1996-09-12	VYDAJ	PREVOD NA UCET	6449	20928	UVER	MN	88686042
267395	915	1996-10-12	VYDAJ	PREVOD NA UCET	6449	20169	UVER	MN	88686042
267396	915	1996-11-12	VYDAJ	PREVOD NA UCET	6449	40101	UVER	MN	88686042
267397	915	1996-12-12	VYDAJ	PREVOD NA UCET	6449	65137	UVER	MN	88686042
267398	915	1997-01-12	VYDAJ	PREVOD NA UCET	6449	38162	UVER	MN	88686042
267399	915	1997-02-12	VYDAJ	PREVOD NA UCET	6449	34700	UVER	MN	88686042
267400	915	1997-03-12	VYDAJ	PREVOD NA UCET	6449	40504	UVER	MN	88686042
267401	915	1997-04-12	VYDAJ	PREVOD NA UCET	6449	49100	UVER	MN	88686042
267402	915	1997-05-12	VYDAJ	PREVOD NA UCET	6449	51027	UVER	MN	88686042
267403	915	1997-06-12	VYDAJ	PREVOD NA UCET	6449	56719	UVER	MN	88686042
267404	915	1997-07-12	VYDAJ	PREVOD NA UCET	6449	62669	UVER	MN	88686042
267405	915	1997-08-12	VYDAJ	PREVOD NA UCET	6449	64469	UVER	MN	88686042
267406	915	1997-09-12	VYDAJ	PREVOD NA UCET	6449	65880	UVER	MN	88686042
267407	915	1997-10-12	VYDAJ	PREVOD NA UCET	6449	66588	UVER	MN	88686042
267408	915	1997-11-12	VYDAJ	PREVOD NA UCET	6449	65100	UVER	MN	88686042
267409	915	1997-12-12	VYDAJ	PREVOD NA UCET	6449	84959	UVER	MN	88686042
267410	915	1998-01-12	VYDAJ	PREVOD NA UCET	6449	80832	UVER	MN	88686042
267411	915	1998-02-12	VYDAJ	PREVOD NA UCET	6449	64985	UVER	MN	88686042
267412	915	1998-03-12	VYDAJ	PREVOD NA UCET	6449	51667	UVER	MN	88686042
267413	915	1998-04-12	VYDAJ	PREVOD NA UCET	6449	54839	UVER	MN	88686042
267414	915	1998-05-12	VYDAJ	PREVOD NA UCET	6449	46011	UVER	MN	88686042
267415	915	1998-06-12	VYDAJ	PREVOD NA UCET	6449	56891	UVER	MN	88686042
267416	915	1998-07-12	VYDAJ	PREVOD NA UCET	6449	66755	UVER	MN	88686042
267417	915	1998-08-12	VYDAJ	PREVOD NA UCET	6449	72065	UVER	MN	88686042
267418	915	1998-09-12	VYDAJ	PREVOD NA UCET	6449	67778	UVER	MN	88686042
267419	915	1998-10-12	VYDAJ	PREVOD NA UCET	6449	59679	UVER	MN	88686042
267420	915	1998-11-12	VYDAJ	PREVOD NA UCET	6449	59165	UVER	MN	88686042
267421	915	1998-12-12	VYDAJ	PREVOD NA UCET	6449	83128	UVER	MN	88686042
267427	915	1995-06-10	VYDAJ	PREVOD NA UCET	14291	56822	SIPO	EF	73569780
267428	915	1995-07-10	VYDAJ	PREVOD NA UCET	14291	56130	SIPO	EF	73569780
267429	915	1995-08-10	VYDAJ	PREVOD NA UCET	14291	60112	SIPO	EF	73569780
267430	915	1995-09-10	VYDAJ	PREVOD NA UCET	14291	68099	SIPO	EF	73569780
267431	915	1995-10-10	VYDAJ	PREVOD NA UCET	14291	52197	SIPO	EF	73569780
267432	915	1995-11-10	VYDAJ	PREVOD NA UCET	14291	42534	SIPO	EF	73569780
267433	915	1995-12-10	VYDAJ	PREVOD NA UCET	14291	76743	SIPO	EF	73569780
267434	915	1996-01-10	VYDAJ	PREVOD NA UCET	14291	47359	SIPO	EF	73569780
267435	915	1996-02-10	VYDAJ	PREVOD NA UCET	14291	41719	SIPO	EF	73569780
267436	915	1996-03-10	VYDAJ	PREVOD NA UCET	14291	55184	SIPO	EF	73569780
267437	915	1996-04-10	VYDAJ	PREVOD NA UCET	14291	49447	SIPO	EF	73569780
267438	915	1996-05-10	VYDAJ	PREVOD NA UCET	14291	56316	SIPO	EF	73569780
267439	915	1996-06-10	VYDAJ	PREVOD NA UCET	14291	75458	SIPO	EF	73569780
267440	915	1996-07-10	VYDAJ	PREVOD NA UCET	14291	50651	SIPO	EF	73569780
267441	915	1996-08-10	VYDAJ	PREVOD NA UCET	14291	51020	SIPO	EF	73569780
267442	915	1996-09-10	VYDAJ	PREVOD NA UCET	14291	27377	SIPO	EF	73569780
267443	915	1996-10-10	VYDAJ	PREVOD NA UCET	14291	26618	SIPO	EF	73569780
267444	915	1996-11-10	VYDAJ	PREVOD NA UCET	14291	46550	SIPO	EF	73569780
267445	915	1996-12-10	VYDAJ	PREVOD NA UCET	14291	71586	SIPO	EF	73569780
267446	915	1997-01-10	VYDAJ	PREVOD NA UCET	14291	44611	SIPO	EF	73569780
267447	915	1997-02-10	VYDAJ	PREVOD NA UCET	14291	48497	SIPO	EF	73569780
267448	915	1997-03-10	VYDAJ	PREVOD NA UCET	14291	46953	SIPO	EF	73569780
267449	915	1997-04-10	VYDAJ	PREVOD NA UCET	14291	55549	SIPO	EF	73569780
267450	915	1997-05-10	VYDAJ	PREVOD NA UCET	14291	57476	SIPO	EF	73569780
267451	915	1997-06-10	VYDAJ	PREVOD NA UCET	14291	74868	SIPO	EF	73569780
267452	915	1997-07-10	VYDAJ	PREVOD NA UCET	14291	69118	SIPO	EF	73569780
267453	915	1997-08-10	VYDAJ	PREVOD NA UCET	14291	70918	SIPO	EF	73569780
267454	915	1997-09-10	VYDAJ	PREVOD NA UCET	14291	72329	SIPO	EF	73569780
267455	915	1997-10-10	VYDAJ	PREVOD NA UCET	14291	73037	SIPO	EF	73569780
267456	915	1997-11-10	VYDAJ	PREVOD NA UCET	14291	71549	SIPO	EF	73569780
267457	915	1997-12-10	VYDAJ	PREVOD NA UCET	14291	91408	SIPO	EF	73569780
267458	915	1998-01-10	VYDAJ	PREVOD NA UCET	14291	87281	SIPO	EF	73569780
267459	915	1998-02-10	VYDAJ	PREVOD NA UCET	14291	71434	SIPO	EF	73569780
267460	915	1998-03-10	VYDAJ	PREVOD NA UCET	14291	58116	SIPO	EF	73569780
267461	915	1998-04-10	VYDAJ	PREVOD NA UCET	14291	61288	SIPO	EF	73569780
267462	915	1998-05-10	VYDAJ	PREVOD NA UCET	14291	52460	SIPO	EF	73569780
267463	915	1998-06-10	VYDAJ	PREVOD NA UCET	14291	76091	SIPO	EF	73569780
267464	915	1998-07-10	VYDAJ	PREVOD NA UCET	14291	73204	SIPO	EF	73569780
267465	915	1998-08-10	VYDAJ	PREVOD NA UCET	14291	78514	SIPO	EF	73569780
267466	915	1998-09-10	VYDAJ	PREVOD NA UCET	14291	74227	SIPO	EF	73569780
267467	915	1998-10-10	VYDAJ	PREVOD NA UCET	14291	66128	SIPO	EF	73569780
267468	915	1998-11-10	VYDAJ	PREVOD NA UCET	14291	65614	SIPO	EF	73569780
267469	915	1998-12-10	VYDAJ	PREVOD NA UCET	14291	89577	SIPO	EF	73569780
267470	915	1995-09-23	VYBER	VYBER	11580	33319	\N	\N	\N
267473	915	1995-10-31	VYBER	VYBER	12128	18145	\N	\N	\N
267474	915	1996-03-29	VYBER	VYBER	7768	24914	\N	\N	\N
267475	915	1996-03-28	VYBER	VYBER	3053	32682	\N	\N	\N
267476	915	1996-12-27	VYBER	VYBER	2644	49893	\N	\N	\N
267481	915	1997-02-20	VYBER	VYBER	4567	30133	\N	\N	\N
267482	915	1997-02-11	VYBER	VYBER	7348	41149	\N	\N	\N
267483	915	1997-05-13	VYBER	VYBER	23040	27987	\N	\N	\N
267484	915	1998-11-21	VYBER	VYBER	9439	40534	\N	\N	\N
267485	915	1998-04-30	VYBER	VYBER	21995	33055	\N	\N	\N
267486	915	1998-06-11	VYBER	VYBER	12751	63340	\N	\N	\N
267487	915	1998-09-30	VYBER	VYBER	13803	41740	\N	\N	\N
267488	915	1998-05-03	VYBER	VYBER	11084	28057	\N	\N	\N
267489	915	1998-09-06	VYBER	VYBER	3396	49824	\N	\N	\N
267490	915	1998-11-02	VYBER	VYBER	4761	41211	\N	\N	\N
267491	915	1998-03-09	VYBER	VYBER	19543	72407	\N	\N	\N
267492	915	1998-02-13	VYBER	VYBER	2571	62414	\N	\N	\N
267493	915	1998-05-19	VYBER	VYBER	6222	39789	\N	\N	\N
267494	915	1998-11-17	VYBER	VYBER	9192	49973	\N	\N	\N
267495	915	1998-03-19	VYBER	VYBER	8418	43249	\N	\N	\N
267496	915	1998-04-02	VYBER	VYBER	18366	36885	\N	\N	\N
267499	915	1997-06-10	VYDAJ	VYBER	11700	63168	\N	\N	\N
267501	915	1995-12-13	VYDAJ	VYBER	5100	65194	\N	\N	\N
267502	915	1996-12-17	VYDAJ	VYBER	6000	59137	\N	\N	\N
267503	915	1997-12-07	VYDAJ	VYBER	6600	47658	\N	\N	\N
267504	915	1998-12-22	VYDAJ	VYBER	2100	81028	\N	\N	\N
267511	915	1996-01-11	VYDAJ	VYBER	7200	40159	\N	\N	\N
267512	915	1996-01-20	VYDAJ	VYBER	7500	22010	\N	\N	\N
267513	915	1996-01-09	VYDAJ	VYBER	4800	61650	\N	\N	\N
267514	915	1996-01-24	VYDAJ	VYBER	4800	17210	\N	\N	\N
267516	915	1996-01-01	VYDAJ	VYBER	7200	27756	\N	\N	\N
267517	915	1997-01-24	VYDAJ	VYBER	2100	31862	\N	\N	\N
267518	915	1997-01-05	VYDAJ	VYBER	4200	19808	\N	\N	\N
267519	915	1997-01-30	VYDAJ	VYBER	7800	24062	\N	\N	\N
267520	915	1997-01-17	VYDAJ	VYBER	4200	33962	\N	\N	\N
267521	915	1997-01-04	VYDAJ	VYBER	8700	35408	\N	\N	\N
267522	915	1997-01-01	VYDAJ	VYBER	6000	44108	\N	\N	\N
267523	915	1998-01-13	VYDAJ	VYBER	2100	78732	\N	\N	\N
267524	915	1998-01-18	VYDAJ	VYBER	3900	74832	\N	\N	\N
267525	915	1998-01-20	VYDAJ	VYBER	5700	69132	\N	\N	\N
267526	915	1998-01-30	VYDAJ	VYBER	7200	53232	\N	\N	\N
267527	915	1998-01-21	VYDAJ	VYBER	5100	64032	\N	\N	\N
267528	915	1998-01-21	VYDAJ	VYBER	3600	60432	\N	\N	\N
267529	915	1995-12-23	VYDAJ	VYBER	9300	34794	\N	\N	\N
267530	915	1995-10-11	VYDAJ	VYBER	14100	38097	\N	\N	\N
267532	915	1995-09-19	VYDAJ	VYBER	6900	44899	\N	\N	\N
267533	915	1995-12-14	VYDAJ	VYBER	2400	44094	\N	\N	\N
267535	915	1996-12-25	VYDAJ	VYBER	6600	52537	\N	\N	\N
267536	915	1996-06-17	VYDAJ	VYBER	4800	35409	\N	\N	\N
267537	915	1996-07-05	VYDAJ	VYBER	9300	26248	\N	\N	\N
267538	915	1997-10-04	VYDAJ	VYBER	4200	48634	\N	\N	\N
267539	915	1997-09-05	VYDAJ	VYBER	3600	47926	\N	\N	\N
267540	915	1997-01-05	VYDAJ	VYBER	11400	24008	\N	\N	\N
267541	915	1997-02-27	VYDAJ	VYBER	6300	23833	\N	\N	\N
267542	915	1997-11-07	VYDAJ	VYBER	6000	47146	\N	\N	\N
267543	915	1997-04-22	VYDAJ	VYBER	10200	38900	\N	\N	\N
267544	915	1998-10-20	VYDAJ	VYBER	12900	46779	\N	\N	\N
267545	915	1998-08-18	VYDAJ	VYBER	3600	68465	\N	\N	\N
267546	915	1998-06-07	VYDAJ	VYBER	4800	32341	\N	\N	\N
267553	915	1995-06-30	VYDAJ	VYBER	15	40827	SLUZBY	\N	\N
267554	915	1995-07-31	VYDAJ	VYBER	15	43509	SLUZBY	\N	\N
267555	915	1995-08-31	VYDAJ	VYBER	15	43696	SLUZBY	\N	\N
267556	915	1995-09-30	VYDAJ	VYBER	15	27794	SLUZBY	\N	\N
267557	915	1995-10-31	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
267558	915	1995-11-30	VYDAJ	VYBER	15	32993	SLUZBY	\N	\N
267559	915	1995-12-31	VYDAJ	VYBER	15	34956	SLUZBY	\N	\N
267560	915	1996-01-31	VYDAJ	VYBER	15	17316	SLUZBY	\N	\N
267561	915	1996-02-29	VYDAJ	VYBER	15	30781	SLUZBY	\N	\N
267562	915	1996-03-31	VYDAJ	VYBER	15	25044	SLUZBY	\N	\N
267563	915	1996-04-30	VYDAJ	VYBER	15	31913	SLUZBY	\N	\N
267564	915	1996-05-31	VYDAJ	VYBER	15	31708	SLUZBY	\N	\N
267565	915	1996-06-30	VYDAJ	VYBER	15	35548	SLUZBY	\N	\N
267566	915	1996-07-31	VYDAJ	VYBER	15	26617	SLUZBY	\N	\N
267567	915	1996-08-31	VYDAJ	VYBER	15	26774	SLUZBY	\N	\N
267568	915	1996-09-30	VYDAJ	VYBER	15	21015	SLUZBY	\N	\N
267569	915	1996-10-31	VYDAJ	VYBER	15	20247	SLUZBY	\N	\N
267570	915	1996-11-30	VYDAJ	VYBER	15	40236	SLUZBY	\N	\N
267571	915	1996-12-31	VYDAJ	VYBER	15	50108	SLUZBY	\N	\N
267572	915	1997-01-31	VYDAJ	VYBER	15	24194	SLUZBY	\N	\N
267573	915	1997-02-28	VYDAJ	VYBER	15	23950	SLUZBY	\N	\N
267574	915	1997-03-31	VYDAJ	VYBER	15	40646	SLUZBY	\N	\N
267575	915	1997-04-30	VYDAJ	VYBER	15	39073	SLUZBY	\N	\N
267576	915	1997-05-31	VYDAJ	VYBER	15	28118	SLUZBY	\N	\N
267577	915	1997-06-30	VYDAJ	VYBER	15	56915	SLUZBY	\N	\N
267578	915	1997-07-31	VYDAJ	VYBER	15	62915	SLUZBY	\N	\N
267579	915	1997-08-31	VYDAJ	VYBER	15	64726	SLUZBY	\N	\N
267580	915	1997-09-30	VYDAJ	VYBER	15	66134	SLUZBY	\N	\N
267581	915	1997-10-31	VYDAJ	VYBER	15	66846	SLUZBY	\N	\N
267582	915	1997-11-30	VYDAJ	VYBER	15	65358	SLUZBY	\N	\N
267583	915	1997-12-31	VYDAJ	VYBER	15	85278	SLUZBY	\N	\N
267584	915	1998-01-31	VYDAJ	VYBER	15	53531	SLUZBY	\N	\N
267585	915	1998-02-28	VYDAJ	VYBER	15	62656	SLUZBY	\N	\N
267586	915	1998-03-31	VYDAJ	VYBER	15	43451	SLUZBY	\N	\N
267587	915	1998-04-30	VYDAJ	VYBER	15	33041	SLUZBY	\N	\N
267588	915	1998-05-31	VYDAJ	VYBER	15	39941	SLUZBY	\N	\N
267589	915	1998-06-30	VYDAJ	VYBER	15	57101	SLUZBY	\N	\N
267590	915	1998-07-31	VYDAJ	VYBER	15	54111	SLUZBY	\N	\N
267591	915	1998-08-31	VYDAJ	VYBER	15	53220	SLUZBY	\N	\N
267592	915	1998-09-30	VYDAJ	VYBER	15	41725	SLUZBY	\N	\N
267593	915	1998-10-31	VYDAJ	VYBER	15	45972	SLUZBY	\N	\N
267594	915	1998-11-30	VYDAJ	VYBER	15	45827	SLUZBY	\N	\N
267595	915	1995-02-17	VYDAJ	VYBER	8200	31194	\N	\N	\N
267596	915	1995-03-19	VYDAJ	VYBER	20400	49544	\N	\N	\N
267597	915	1995-04-18	VYDAJ	VYBER	29200	59200	\N	\N	\N
267598	915	1995-05-18	VYDAJ	VYBER	34700	63418	\N	\N	\N
267599	915	1995-06-09	VYDAJ	VYBER	50600	71113	\N	\N	\N
267600	915	1995-06-17	VYDAJ	VYBER	8900	47922	\N	\N	\N
267601	915	1995-07-17	VYDAJ	VYBER	12800	43330	\N	\N	\N
267602	915	1995-08-16	VYDAJ	VYBER	16600	43512	\N	\N	\N
267603	915	1995-09-15	VYDAJ	VYBER	16300	51799	\N	\N	\N
267604	915	1995-10-15	VYDAJ	VYBER	1500	30148	\N	\N	\N
267605	915	1995-11-14	VYDAJ	VYBER	3200	32885	\N	\N	\N
267606	915	1995-12-14	VYDAJ	VYBER	18700	46494	\N	\N	\N
267607	915	1996-01-13	VYDAJ	VYBER	4200	29510	\N	\N	\N
267608	915	1996-02-12	VYDAJ	VYBER	4600	30670	\N	\N	\N
267609	915	1996-03-13	VYDAJ	VYBER	13000	35735	\N	\N	\N
267610	915	1996-04-12	VYDAJ	VYBER	11200	38247	\N	\N	\N
267611	915	1996-05-12	VYDAJ	VYBER	18300	38016	\N	\N	\N
267612	915	1996-06-11	VYDAJ	VYBER	28800	46658	\N	\N	\N
267613	915	1996-07-11	VYDAJ	VYBER	17700	32951	\N	\N	\N
267614	915	1996-08-10	VYDAJ	VYBER	17900	33120	\N	\N	\N
267615	915	1996-09-09	VYDAJ	VYBER	23800	41668	\N	\N	\N
267616	915	1996-10-09	VYDAJ	VYBER	18800	40909	\N	\N	\N
267617	915	1996-11-08	PRIJEM	VKLAD	1900	22147	\N	\N	\N
267618	915	1996-12-08	VYDAJ	VYBER	12400	27836	\N	\N	\N
267619	915	1997-01-07	PRIJEM	VKLAD	400	20208	\N	\N	\N
267620	915	1997-02-06	VYDAJ	VYBER	100	24094	\N	\N	\N
267621	915	1997-03-08	VYDAJ	VYBER	1400	22550	\N	\N	\N
267622	915	1997-04-07	VYDAJ	VYBER	9500	31146	\N	\N	\N
267623	915	1997-05-07	VYDAJ	VYBER	6000	33073	\N	\N	\N
267624	915	1997-06-06	PRIJEM	VKLAD	3000	31118	\N	\N	\N
267625	915	1997-07-06	VYDAJ	VYBER	12200	44715	\N	\N	\N
267626	915	1997-08-05	VYDAJ	VYBER	16400	46515	\N	\N	\N
267627	915	1997-09-04	VYDAJ	VYBER	13200	51526	\N	\N	\N
267628	915	1997-10-04	VYDAJ	VYBER	13300	52834	\N	\N	\N
267629	915	1997-11-03	VYDAJ	VYBER	13700	53146	\N	\N	\N
267630	915	1997-12-03	VYDAJ	VYBER	11100	54258	\N	\N	\N
267631	915	1998-01-02	VYDAJ	VYBER	22400	62878	\N	\N	\N
267632	915	1998-02-01	VYDAJ	VYBER	6500	47031	\N	\N	\N
267633	915	1998-03-03	VYDAJ	VYBER	9400	53256	\N	\N	\N
267634	915	1998-04-02	PRIJEM	VKLAD	11800	55251	\N	\N	\N
267635	915	1998-05-02	PRIJEM	VKLAD	6100	39141	\N	\N	\N
267636	915	1998-06-01	VYDAJ	VYBER	2800	37141	\N	\N	\N
267637	915	1998-07-01	VYDAJ	VYBER	8300	48801	\N	\N	\N
267638	915	1998-07-31	VYDAJ	VYBER	12900	54126	\N	\N	\N
267639	915	1998-08-30	VYDAJ	VYBER	15500	52965	\N	\N	\N
267640	915	1998-09-29	VYDAJ	VYBER	12500	55278	\N	\N	\N
267641	915	1998-10-29	VYDAJ	VYBER	1000	45779	\N	\N	\N
267642	915	1998-11-28	PRIJEM	VKLAD	5100	45634	\N	\N	\N
267690	916	1996-08-13	PRIJEM	VKLAD	600	600	\N	\N	\N
267699	916	1996-09-07	PRIJEM	VKLAD	15657	16257	\N	\N	\N
267700	916	1996-10-07	PRIJEM	VKLAD	15657	36870	\N	\N	\N
267701	916	1996-11-07	PRIJEM	VKLAD	15657	45739	\N	\N	\N
267702	916	1996-12-07	PRIJEM	VKLAD	23486	56056	\N	\N	\N
267703	916	1997-01-07	PRIJEM	VKLAD	15657	53764	\N	\N	\N
267704	916	1997-02-07	PRIJEM	VKLAD	15657	42185	\N	\N	\N
267705	916	1997-03-07	PRIJEM	VKLAD	15657	41849	\N	\N	\N
267706	916	1997-04-07	PRIJEM	VKLAD	15657	43517	\N	\N	\N
267707	916	1997-05-07	PRIJEM	VKLAD	15657	42604	\N	\N	\N
267708	916	1997-06-07	PRIJEM	VKLAD	23486	53304	\N	\N	\N
267709	916	1997-07-07	PRIJEM	VKLAD	15657	40019	\N	\N	\N
267710	916	1997-08-07	PRIJEM	VKLAD	15657	41785	\N	\N	\N
267711	916	1997-09-07	PRIJEM	VKLAD	15657	32647	\N	\N	\N
267712	916	1997-10-07	PRIJEM	VKLAD	15657	30713	\N	\N	\N
267713	916	1997-11-07	PRIJEM	VKLAD	15657	31018	\N	\N	\N
267714	916	1997-12-07	PRIJEM	VKLAD	23486	40760	\N	\N	\N
267715	916	1998-01-07	PRIJEM	VKLAD	15657	37369	\N	\N	\N
267716	916	1998-02-07	PRIJEM	VKLAD	15657	29036	\N	\N	\N
267717	916	1998-03-07	PRIJEM	VKLAD	15657	32866	\N	\N	\N
267718	916	1998-04-07	PRIJEM	VKLAD	15657	34522	\N	\N	\N
267719	916	1998-05-07	PRIJEM	VKLAD	15657	35487	\N	\N	\N
267720	916	1998-06-07	PRIJEM	VKLAD	23486	39095	\N	\N	\N
267721	916	1998-07-07	PRIJEM	VKLAD	15657	29159	\N	\N	\N
267722	916	1998-08-07	PRIJEM	VKLAD	15657	30499	\N	\N	\N
267723	916	1998-09-07	PRIJEM	VKLAD	15657	32848	\N	\N	\N
267724	916	1998-10-07	PRIJEM	VKLAD	15657	33153	\N	\N	\N
267725	916	1998-11-07	PRIJEM	VKLAD	15657	33009	\N	\N	\N
267726	916	1998-12-07	PRIJEM	VKLAD	23486	39217	\N	\N	\N
267739	916	1997-01-09	VYDAJ	PREVOD NA UCET	5299	46905	SIPO	MN	8061987
267740	916	1997-02-09	VYDAJ	PREVOD NA UCET	5299	31586	SIPO	MN	8061987
267741	916	1997-03-09	VYDAJ	PREVOD NA UCET	5299	36550	SIPO	MN	8061987
267742	916	1997-04-09	VYDAJ	PREVOD NA UCET	5299	38218	SIPO	MN	8061987
267743	916	1997-05-09	VYDAJ	PREVOD NA UCET	5299	37305	SIPO	MN	8061987
267744	916	1997-06-09	VYDAJ	PREVOD NA UCET	5299	36105	SIPO	MN	8061987
267745	916	1997-07-09	VYDAJ	PREVOD NA UCET	5299	26020	SIPO	MN	8061987
267746	916	1997-08-09	VYDAJ	PREVOD NA UCET	5299	22786	SIPO	MN	8061987
267747	916	1997-09-09	VYDAJ	PREVOD NA UCET	5299	18348	SIPO	MN	8061987
267748	916	1997-10-09	VYDAJ	PREVOD NA UCET	5299	20314	SIPO	MN	8061987
267749	916	1997-11-09	VYDAJ	PREVOD NA UCET	5299	25719	SIPO	MN	8061987
267750	916	1997-12-09	VYDAJ	PREVOD NA UCET	5299	35461	SIPO	MN	8061987
267751	916	1998-01-09	VYDAJ	PREVOD NA UCET	5299	29790	SIPO	MN	8061987
267752	916	1998-02-09	VYDAJ	PREVOD NA UCET	5299	23737	SIPO	MN	8061987
267753	916	1998-03-09	VYDAJ	PREVOD NA UCET	5299	27567	SIPO	MN	8061987
267754	916	1998-04-09	VYDAJ	PREVOD NA UCET	5299	29223	SIPO	MN	8061987
267755	916	1998-05-09	VYDAJ	PREVOD NA UCET	5299	30188	SIPO	MN	8061987
267756	916	1998-06-09	VYDAJ	PREVOD NA UCET	5299	33796	SIPO	MN	8061987
267757	916	1998-07-09	VYDAJ	PREVOD NA UCET	5299	23860	SIPO	MN	8061987
267758	916	1998-08-09	VYDAJ	PREVOD NA UCET	5299	25200	SIPO	MN	8061987
267759	916	1998-09-09	VYDAJ	PREVOD NA UCET	5299	27549	SIPO	MN	8061987
267760	916	1998-10-09	VYDAJ	PREVOD NA UCET	5299	27854	SIPO	MN	8061987
267761	916	1998-11-09	VYDAJ	PREVOD NA UCET	5299	27710	SIPO	MN	8061987
267762	916	1998-12-09	VYDAJ	PREVOD NA UCET	5299	33918	SIPO	MN	8061987
267764	916	1997-06-11	VYDAJ	VYBER	11840	24265	\N	\N	\N
267765	916	1998-06-22	VYDAJ	VYBER	7520	26276	\N	\N	\N
267768	916	1998-01-15	VYDAJ	VYBER	13120	13310	\N	\N	\N
267770	916	1997-12-11	VYDAJ	VYBER	4640	30821	\N	\N	\N
267771	916	1998-12-02	VYDAJ	VYBER	2080	15732	\N	\N	\N
267778	916	1997-01-19	VYDAJ	VYBER	2280	30845	\N	\N	\N
267779	916	1997-01-23	VYDAJ	VYBER	1080	26405	\N	\N	\N
267781	916	1997-01-22	VYDAJ	VYBER	3360	27485	\N	\N	\N
267782	916	1997-01-08	VYDAJ	VYBER	1560	52204	\N	\N	\N
267783	916	1997-01-16	VYDAJ	VYBER	1080	33125	\N	\N	\N
267784	916	1998-01-01	VYDAJ	VYBER	2160	28772	\N	\N	\N
267788	916	1998-01-08	VYDAJ	VYBER	2280	35089	\N	\N	\N
267789	916	1998-01-03	VYDAJ	VYBER	2160	26612	\N	\N	\N
267796	916	1997-09-01	VYDAJ	VYBER	5880	16990	\N	\N	\N
267797	916	1997-09-28	VYDAJ	VYBER	3360	14988	\N	\N	\N
267798	916	1997-10-30	VYDAJ	VYBER	3720	16594	\N	\N	\N
267799	916	1997-11-11	VYDAJ	VYBER	3720	21999	\N	\N	\N
267800	916	1997-03-02	VYDAJ	VYBER	5520	26192	\N	\N	\N
267801	916	1997-05-02	VYDAJ	VYBER	2880	26947	\N	\N	\N
267802	916	1998-05-10	VYDAJ	VYBER	5760	24428	\N	\N	\N
267803	916	1998-01-13	VYDAJ	VYBER	3360	26430	\N	\N	\N
267804	916	1998-09-14	VYDAJ	VYBER	5040	22509	\N	\N	\N
267805	916	1998-05-12	VYDAJ	VYBER	4800	19628	\N	\N	\N
267806	916	1998-07-02	VYDAJ	VYBER	4680	21702	\N	\N	\N
267820	916	1997-01-31	VYDAJ	VYBER	15	26528	SLUZBY	\N	\N
267821	916	1997-02-28	VYDAJ	VYBER	15	31712	SLUZBY	\N	\N
267822	916	1997-03-31	VYDAJ	VYBER	15	27860	SLUZBY	\N	\N
267823	916	1997-04-30	VYDAJ	VYBER	15	29827	SLUZBY	\N	\N
267824	916	1997-05-31	VYDAJ	VYBER	15	29818	SLUZBY	\N	\N
267825	916	1997-06-30	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
267826	916	1997-07-31	VYDAJ	VYBER	15	26128	SLUZBY	\N	\N
267827	916	1997-08-31	VYDAJ	VYBER	15	22870	SLUZBY	\N	\N
267828	916	1997-09-30	VYDAJ	VYBER	15	15056	SLUZBY	\N	\N
267829	916	1997-10-31	VYDAJ	VYBER	15	16661	SLUZBY	\N	\N
267830	916	1997-11-30	VYDAJ	VYBER	15	22075	SLUZBY	\N	\N
267831	916	1997-12-31	VYDAJ	VYBER	15	30932	SLUZBY	\N	\N
267832	916	1998-01-31	VYDAJ	VYBER	15	13379	SLUZBY	\N	\N
267833	916	1998-02-28	VYDAJ	VYBER	15	23809	SLUZBY	\N	\N
267834	916	1998-03-31	VYDAJ	VYBER	15	27665	SLUZBY	\N	\N
267835	916	1998-04-30	VYDAJ	VYBER	15	29330	SLUZBY	\N	\N
267836	916	1998-05-31	VYDAJ	VYBER	15	19709	SLUZBY	\N	\N
267837	916	1998-06-30	VYDAJ	VYBER	15	26382	SLUZBY	\N	\N
267838	916	1998-07-31	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
267839	916	1998-08-31	VYDAJ	VYBER	15	25291	SLUZBY	\N	\N
267840	916	1998-09-30	VYDAJ	VYBER	15	22596	SLUZBY	\N	\N
267841	916	1998-10-31	VYDAJ	VYBER	15	27952	SLUZBY	\N	\N
267842	916	1998-11-30	VYDAJ	VYBER	15	27812	SLUZBY	\N	\N
267843	916	1996-09-12	PRIJEM	VKLAD	4900	21157	\N	\N	\N
267844	916	1996-10-12	VYDAJ	VYBER	6900	29970	\N	\N	\N
267845	916	1996-11-11	VYDAJ	VYBER	13300	32439	\N	\N	\N
267846	916	1996-12-11	VYDAJ	VYBER	18100	37956	\N	\N	\N
267847	916	1997-01-10	VYDAJ	VYBER	12700	34205	\N	\N	\N
267848	916	1997-02-09	VYDAJ	VYBER	5300	36885	\N	\N	\N
267849	916	1997-03-11	VYDAJ	VYBER	8800	27750	\N	\N	\N
267850	916	1997-04-10	VYDAJ	VYBER	8500	29718	\N	\N	\N
267851	916	1997-05-10	VYDAJ	VYBER	7600	29705	\N	\N	\N
267852	916	1997-06-09	VYDAJ	VYBER	11900	41404	\N	\N	\N
267853	916	1997-07-09	VYDAJ	VYBER	8700	31319	\N	\N	\N
267854	916	1997-08-08	VYDAJ	VYBER	13700	28085	\N	\N	\N
267855	916	1997-09-07	VYDAJ	VYBER	9000	23647	\N	\N	\N
267856	916	1997-10-07	VYDAJ	VYBER	5100	25613	\N	\N	\N
267857	916	1997-11-06	VYDAJ	VYBER	1300	15361	\N	\N	\N
267858	916	1997-12-06	VYDAJ	VYBER	4800	17275	\N	\N	\N
267859	916	1998-01-05	VYDAJ	VYBER	4900	21712	\N	\N	\N
267860	916	1998-03-06	VYDAJ	VYBER	6600	17209	\N	\N	\N
267861	916	1998-04-05	VYDAJ	VYBER	8800	18865	\N	\N	\N
267862	916	1998-05-05	VYDAJ	VYBER	9500	19830	\N	\N	\N
267863	916	1998-06-04	VYDAJ	VYBER	4100	15609	\N	\N	\N
267864	916	1998-07-04	VYDAJ	VYBER	8200	13502	\N	\N	\N
267865	916	1998-08-03	VYDAJ	VYBER	9100	14842	\N	\N	\N
267866	916	1998-09-02	VYDAJ	VYBER	8100	17191	\N	\N	\N
267867	916	1998-10-02	VYDAJ	VYBER	5100	17496	\N	\N	\N
267868	916	1998-11-01	VYDAJ	VYBER	10600	17352	\N	\N	\N
267869	916	1998-12-01	VYDAJ	VYBER	10000	17812	\N	\N	\N
267898	917	1995-10-13	PRIJEM	VKLAD	300	300	\N	\N	\N
267908	917	1995-10-13	PRIJEM	VKLAD	7093	7393	\N	\N	\N
267909	917	1995-11-13	PRIJEM	VKLAD	7093	22787	\N	\N	\N
267910	917	1995-12-13	PRIJEM	VKLAD	10640	36984	\N	\N	\N
267911	917	1996-01-13	PRIJEM	VKLAD	7093	38408	\N	\N	\N
267912	917	1996-02-13	PRIJEM	VKLAD	7093	44659	\N	\N	\N
267913	917	1996-03-13	PRIJEM	VKLAD	7093	41344	\N	\N	\N
267914	917	1996-04-13	PRIJEM	VKLAD	7093	39828	\N	\N	\N
267915	917	1996-05-13	PRIJEM	VKLAD	7093	40685	\N	\N	\N
267916	917	1996-06-13	PRIJEM	VKLAD	10640	42163	\N	\N	\N
267917	917	1996-07-13	PRIJEM	VKLAD	7093	31244	\N	\N	\N
267918	917	1996-08-13	PRIJEM	VKLAD	7093	30080	\N	\N	\N
267919	917	1996-09-13	PRIJEM	VKLAD	7093	31026	\N	\N	\N
267920	917	1996-10-13	PRIJEM	VKLAD	7093	31211	\N	\N	\N
267921	917	1996-11-13	PRIJEM	VKLAD	7093	34542	\N	\N	\N
267922	917	1996-12-13	PRIJEM	VKLAD	10640	35115	\N	\N	\N
267923	917	1997-01-13	PRIJEM	VKLAD	7093	33681	\N	\N	\N
267924	917	1997-02-13	PRIJEM	VKLAD	7093	28360	\N	\N	\N
267925	917	1997-03-13	PRIJEM	VKLAD	7093	23628	\N	\N	\N
267926	917	1997-04-13	PRIJEM	VKLAD	7093	29426	\N	\N	\N
267927	917	1997-05-13	PRIJEM	VKLAD	7093	31888	\N	\N	\N
267928	917	1997-06-13	PRIJEM	VKLAD	10640	37570	\N	\N	\N
267929	917	1997-07-13	PRIJEM	VKLAD	7093	37183	\N	\N	\N
267930	917	1997-08-13	PRIJEM	VKLAD	7093	41943	\N	\N	\N
267931	917	1997-09-13	PRIJEM	VKLAD	7093	43199	\N	\N	\N
267932	917	1997-10-13	PRIJEM	VKLAD	7093	45882	\N	\N	\N
267933	917	1997-11-13	PRIJEM	VKLAD	7093	48676	\N	\N	\N
267934	917	1997-12-13	PRIJEM	VKLAD	10640	52028	\N	\N	\N
267935	917	1998-01-13	PRIJEM	VKLAD	7093	48164	\N	\N	\N
267936	917	1998-02-13	PRIJEM	VKLAD	7093	46975	\N	\N	\N
267937	917	1998-03-13	PRIJEM	VKLAD	7093	47675	\N	\N	\N
267938	917	1998-04-13	PRIJEM	VKLAD	7093	48479	\N	\N	\N
267939	917	1998-05-13	PRIJEM	VKLAD	7093	49524	\N	\N	\N
267940	917	1998-06-13	PRIJEM	VKLAD	10640	26620	\N	\N	\N
267941	917	1998-07-13	PRIJEM	VKLAD	7093	38662	\N	\N	\N
267942	917	1998-08-13	PRIJEM	VKLAD	7093	47530	\N	\N	\N
267943	917	1998-09-13	PRIJEM	VKLAD	7093	55935	\N	\N	\N
267944	917	1998-10-13	PRIJEM	VKLAD	7093	56571	\N	\N	\N
267945	917	1998-11-13	PRIJEM	VKLAD	7093	55109	\N	\N	\N
267946	917	1998-12-13	PRIJEM	VKLAD	10640	56609	\N	\N	\N
267961	917	1996-03-10	VYDAJ	PREVOD NA UCET	4669	40151	SIPO	YZ	8629411
267962	917	1996-04-10	VYDAJ	PREVOD NA UCET	4669	36835	SIPO	YZ	8629411
267963	917	1996-05-10	VYDAJ	PREVOD NA UCET	4669	33592	SIPO	YZ	8629411
267964	917	1996-06-10	VYDAJ	PREVOD NA UCET	4669	31524	SIPO	YZ	8629411
267965	917	1996-07-10	VYDAJ	PREVOD NA UCET	4669	24151	SIPO	YZ	8629411
267966	917	1996-08-10	VYDAJ	PREVOD NA UCET	4669	22987	SIPO	YZ	8629411
267967	917	1996-09-10	VYDAJ	PREVOD NA UCET	4669	23933	SIPO	YZ	8629411
267968	917	1996-10-10	VYDAJ	PREVOD NA UCET	4669	24118	SIPO	YZ	8629411
267969	917	1996-11-10	VYDAJ	PREVOD NA UCET	4669	27449	SIPO	YZ	8629411
267970	917	1996-12-10	VYDAJ	PREVOD NA UCET	4669	24476	SIPO	YZ	8629411
267971	917	1997-01-10	VYDAJ	PREVOD NA UCET	4669	26588	SIPO	YZ	8629411
267972	917	1997-02-10	VYDAJ	PREVOD NA UCET	4669	21267	SIPO	YZ	8629411
267973	917	1997-03-10	VYDAJ	PREVOD NA UCET	4669	16535	SIPO	YZ	8629411
267974	917	1997-04-10	VYDAJ	PREVOD NA UCET	4669	22333	SIPO	YZ	8629411
267975	917	1997-05-10	VYDAJ	PREVOD NA UCET	4669	24795	SIPO	YZ	8629411
267976	917	1997-06-10	VYDAJ	PREVOD NA UCET	4669	26930	SIPO	YZ	8629411
267977	917	1997-07-10	VYDAJ	PREVOD NA UCET	4669	30090	SIPO	YZ	8629411
267978	917	1997-08-10	VYDAJ	PREVOD NA UCET	4669	34850	SIPO	YZ	8629411
267979	917	1997-09-10	VYDAJ	PREVOD NA UCET	4669	36106	SIPO	YZ	8629411
267980	917	1997-10-10	VYDAJ	PREVOD NA UCET	4669	39389	SIPO	YZ	8629411
267981	917	1997-11-10	VYDAJ	PREVOD NA UCET	4669	41583	SIPO	YZ	8629411
267982	917	1997-12-10	VYDAJ	PREVOD NA UCET	4669	41389	SIPO	YZ	8629411
267983	917	1998-01-10	VYDAJ	PREVOD NA UCET	4669	41071	SIPO	YZ	8629411
267984	917	1998-02-10	VYDAJ	PREVOD NA UCET	4669	39882	SIPO	YZ	8629411
267985	917	1998-03-10	VYDAJ	PREVOD NA UCET	4669	40582	SIPO	YZ	8629411
267986	917	1998-04-10	VYDAJ	PREVOD NA UCET	4669	41386	SIPO	YZ	8629411
267987	917	1998-05-10	VYDAJ	PREVOD NA UCET	4669	42431	SIPO	YZ	8629411
267988	917	1998-06-10	VYDAJ	PREVOD NA UCET	4669	15981	SIPO	YZ	8629411
267989	917	1998-07-10	VYDAJ	PREVOD NA UCET	4669	31569	SIPO	YZ	8629411
267990	917	1998-08-10	VYDAJ	PREVOD NA UCET	4669	40437	SIPO	YZ	8629411
267991	917	1998-09-10	VYDAJ	PREVOD NA UCET	4669	48842	SIPO	YZ	8629411
267992	917	1998-10-10	VYDAJ	PREVOD NA UCET	4669	49478	SIPO	YZ	8629411
267993	917	1998-11-10	VYDAJ	PREVOD NA UCET	4669	48016	SIPO	YZ	8629411
267994	917	1998-12-10	VYDAJ	PREVOD NA UCET	4669	45969	SIPO	YZ	8629411
267996	917	1996-06-23	VYDAJ	VYBER	5600	30683	\N	\N	\N
267998	917	1998-06-08	VYDAJ	VYBER	24960	20650	\N	\N	\N
268001	917	1997-01-24	VYDAJ	VYBER	7360	26321	\N	\N	\N
268002	917	1998-01-19	VYDAJ	VYBER	2560	40684	\N	\N	\N
268004	917	1996-12-22	VYDAJ	VYBER	1280	33835	\N	\N	\N
268005	917	1997-12-30	VYDAJ	VYBER	3680	48348	\N	\N	\N
268006	917	1998-12-01	VYDAJ	VYBER	4480	50638	\N	\N	\N
268010	917	1996-12-01	VYDAJ	VYBER	720	33945	\N	\N	\N
268011	917	1996-08-21	VYDAJ	VYBER	5280	24800	\N	\N	\N
268012	917	1996-06-19	VYDAJ	VYBER	5880	36283	\N	\N	\N
268013	917	1996-05-01	VYDAJ	VYBER	1320	38661	\N	\N	\N
268014	917	1996-05-20	VYDAJ	VYBER	2040	38645	\N	\N	\N
268015	917	1996-09-27	VYDAJ	VYBER	4440	26586	\N	\N	\N
268016	917	1997-10-12	VYDAJ	VYBER	600	38789	\N	\N	\N
268017	917	1997-02-20	VYDAJ	VYBER	4800	18520	\N	\N	\N
268018	917	1997-02-18	VYDAJ	VYBER	5040	23320	\N	\N	\N
268019	917	1997-09-01	VYDAJ	VYBER	2520	39575	\N	\N	\N
268020	917	1997-06-27	VYDAJ	VYBER	1440	36130	\N	\N	\N
268021	917	1997-04-13	VYDAJ	VYBER	1320	28106	\N	\N	\N
268022	917	1997-05-01	VYDAJ	VYBER	3240	24964	\N	\N	\N
268023	917	1998-04-29	VYDAJ	VYBER	4560	43919	\N	\N	\N
268024	917	1998-01-15	VYDAJ	VYBER	4920	43244	\N	\N	\N
268039	917	1996-02-29	VYDAJ	VYBER	15	44820	SLUZBY	\N	\N
268040	917	1996-03-31	VYDAJ	VYBER	15	41504	SLUZBY	\N	\N
268041	917	1996-04-30	VYDAJ	VYBER	15	39981	SLUZBY	\N	\N
268042	917	1996-05-31	VYDAJ	VYBER	15	38793	SLUZBY	\N	\N
268043	917	1996-06-30	VYDAJ	VYBER	15	30820	SLUZBY	\N	\N
268044	917	1996-07-31	VYDAJ	VYBER	15	31356	SLUZBY	\N	\N
268045	917	1996-08-31	VYDAJ	VYBER	15	24902	SLUZBY	\N	\N
268046	917	1996-09-30	VYDAJ	VYBER	15	26687	SLUZBY	\N	\N
268047	917	1996-10-31	VYDAJ	VYBER	15	31318	SLUZBY	\N	\N
268048	917	1996-11-30	VYDAJ	VYBER	15	34665	SLUZBY	\N	\N
268049	917	1996-12-31	VYDAJ	VYBER	15	33957	SLUZBY	\N	\N
268050	917	1997-01-31	VYDAJ	VYBER	15	26436	SLUZBY	\N	\N
268051	917	1997-02-28	VYDAJ	VYBER	15	18604	SLUZBY	\N	\N
268052	917	1997-03-31	VYDAJ	VYBER	15	23702	SLUZBY	\N	\N
268053	917	1997-04-30	VYDAJ	VYBER	15	28204	SLUZBY	\N	\N
268054	917	1997-05-31	VYDAJ	VYBER	15	31999	SLUZBY	\N	\N
268055	917	1997-06-30	VYDAJ	VYBER	15	36259	SLUZBY	\N	\N
268056	917	1997-07-31	VYDAJ	VYBER	15	37319	SLUZBY	\N	\N
268057	917	1997-08-31	VYDAJ	VYBER	15	42095	SLUZBY	\N	\N
268058	917	1997-09-30	VYDAJ	VYBER	15	43358	SLUZBY	\N	\N
268059	917	1997-10-31	VYDAJ	VYBER	15	46052	SLUZBY	\N	\N
268060	917	1997-11-30	VYDAJ	VYBER	15	48858	SLUZBY	\N	\N
268061	917	1997-12-31	VYDAJ	VYBER	15	48540	SLUZBY	\N	\N
268062	917	1998-01-31	VYDAJ	VYBER	15	44551	SLUZBY	\N	\N
268063	917	1998-02-28	VYDAJ	VYBER	15	47151	SLUZBY	\N	\N
268064	917	1998-03-31	VYDAJ	VYBER	15	46055	SLUZBY	\N	\N
268065	917	1998-04-30	VYDAJ	VYBER	15	47100	SLUZBY	\N	\N
268066	917	1998-05-31	VYDAJ	VYBER	15	45610	SLUZBY	\N	\N
268067	917	1998-06-30	VYDAJ	VYBER	15	36238	SLUZBY	\N	\N
268068	917	1998-07-31	VYDAJ	VYBER	15	45106	SLUZBY	\N	\N
268069	917	1998-08-31	VYDAJ	VYBER	15	53511	SLUZBY	\N	\N
268070	917	1998-09-30	VYDAJ	VYBER	15	54147	SLUZBY	\N	\N
268071	917	1998-10-31	VYDAJ	VYBER	15	52685	SLUZBY	\N	\N
268072	917	1998-11-30	VYDAJ	VYBER	15	55118	SLUZBY	\N	\N
268073	917	1995-11-12	PRIJEM	VKLAD	8300	15694	\N	\N	\N
268074	917	1995-12-12	PRIJEM	VKLAD	3500	26344	\N	\N	\N
268075	917	1996-01-11	VYDAJ	VYBER	5800	31315	\N	\N	\N
268076	917	1996-02-10	VYDAJ	VYBER	1000	37566	\N	\N	\N
268077	917	1996-03-11	VYDAJ	VYBER	5900	34251	\N	\N	\N
268078	917	1996-04-10	VYDAJ	VYBER	4100	32735	\N	\N	\N
268079	917	1996-05-10	VYDAJ	VYBER	400	38261	\N	\N	\N
268080	917	1996-06-09	VYDAJ	VYBER	2600	36193	\N	\N	\N
268081	917	1996-07-09	VYDAJ	VYBER	2000	28820	\N	\N	\N
268082	917	1996-08-08	VYDAJ	VYBER	3700	27656	\N	\N	\N
268083	917	1996-09-07	PRIJEM	VKLAD	3700	28602	\N	\N	\N
268084	917	1996-10-07	PRIJEM	VKLAD	2100	28787	\N	\N	\N
268085	917	1996-11-06	PRIJEM	VKLAD	800	32118	\N	\N	\N
268086	917	1996-12-06	VYDAJ	VYBER	4800	29145	\N	\N	\N
268087	917	1997-01-05	VYDAJ	VYBER	2700	31257	\N	\N	\N
268088	917	1997-02-04	VYDAJ	VYBER	500	25936	\N	\N	\N
268089	917	1997-03-06	PRIJEM	VKLAD	2600	21204	\N	\N	\N
268090	917	1997-04-05	PRIJEM	VKLAD	3300	27002	\N	\N	\N
268091	917	1997-05-05	PRIJEM	VKLAD	4500	29464	\N	\N	\N
268092	917	1997-06-04	VYDAJ	VYBER	400	31599	\N	\N	\N
268093	917	1997-07-04	VYDAJ	VYBER	1500	34759	\N	\N	\N
268094	917	1997-08-03	PRIJEM	VKLAD	2200	39519	\N	\N	\N
268095	917	1997-09-02	PRIJEM	VKLAD	1200	40775	\N	\N	\N
268096	917	1997-10-02	PRIJEM	VKLAD	700	44058	\N	\N	\N
268097	917	1997-11-01	PRIJEM	VKLAD	200	46252	\N	\N	\N
268098	917	1997-12-01	VYDAJ	VYBER	2800	46058	\N	\N	\N
268099	917	1997-12-31	VYDAJ	VYBER	2800	45740	\N	\N	\N
268100	917	1998-01-30	PRIJEM	VKLAD	3700	44384	\N	\N	\N
268101	917	1998-03-01	VYDAJ	VYBER	1900	45251	\N	\N	\N
268102	917	1998-03-31	VYDAJ	VYBER	1800	46069	\N	\N	\N
268103	917	1998-04-30	PRIJEM	VKLAD	3000	46919	\N	\N	\N
268104	917	1998-05-30	VYDAJ	VYBER	4100	45424	\N	\N	\N
268105	917	1998-06-29	PRIJEM	VKLAD	9500	36120	\N	\N	\N
268106	917	1998-07-29	PRIJEM	VKLAD	6300	44962	\N	\N	\N
268107	917	1998-08-28	PRIJEM	VKLAD	5800	53330	\N	\N	\N
268108	917	1998-09-27	VYDAJ	VYBER	2000	53935	\N	\N	\N
268109	917	1998-10-27	VYDAJ	VYBER	4100	52471	\N	\N	\N
268110	917	1998-11-26	VYDAJ	VYBER	200	54909	\N	\N	\N
268150	918	1996-08-23	PRIJEM	VKLAD	400	400	\N	\N	\N
268151	918	1997-06-24	PRIJEM	VKLAD	7237	49354	\N	\N	\N
268152	918	1997-03-22	PRIJEM	VKLAD	27291	54891	\N	\N	\N
268153	918	1997-09-08	PRIJEM	VKLAD	34645	75788	\N	\N	\N
268154	918	1997-07-14	PRIJEM	VKLAD	5124	54751	\N	\N	\N
268155	918	1997-04-26	PRIJEM	VKLAD	25618	70583	\N	\N	\N
268156	918	1998-12-09	PRIJEM	VKLAD	22678	46434	\N	\N	\N
268157	918	1998-06-10	PRIJEM	VKLAD	47352	72680	\N	\N	\N
268158	918	1998-05-23	PRIJEM	VKLAD	11247	37360	\N	\N	\N
268159	918	1998-08-04	PRIJEM	VKLAD	40292	72165	\N	\N	\N
268160	918	1998-10-05	PRIJEM	VKLAD	45107	68177	\N	\N	\N
268161	918	1998-12-26	PRIJEM	VKLAD	6673	46207	\N	\N	\N
268162	918	1998-10-29	PRIJEM	VKLAD	27328	49521	\N	\N	\N
268163	918	1998-03-22	PRIJEM	VKLAD	24755	47508	\N	\N	\N
268185	918	1997-10-06	VYDAJ	PREVOD NA UCET	10076	45874	SIPO	ST	81464928
268186	918	1997-11-06	VYDAJ	PREVOD NA UCET	10076	16506	SIPO	ST	81464928
268187	918	1997-12-06	VYDAJ	PREVOD NA UCET	10076	13884	SIPO	ST	81464928
268188	918	1998-01-06	VYDAJ	PREVOD NA UCET	10076	7936	SIPO	ST	81464928
268189	918	1998-02-06	VYDAJ	PREVOD NA UCET	10076	7215	SIPO	ST	81464928
268190	918	1998-03-06	VYDAJ	PREVOD NA UCET	10076	7653	SIPO	ST	81464928
268191	918	1998-04-06	VYDAJ	PREVOD NA UCET	10076	35484	SIPO	ST	81464928
268192	918	1998-05-06	VYDAJ	PREVOD NA UCET	10076	8913	SIPO	ST	81464928
268193	918	1998-06-06	VYDAJ	PREVOD NA UCET	10076	25328	SIPO	ST	81464928
268194	918	1998-07-06	VYDAJ	PREVOD NA UCET	10076	17971	SIPO	ST	81464928
268195	918	1998-08-06	VYDAJ	PREVOD NA UCET	10076	60050	SIPO	ST	81464928
268196	918	1998-09-06	VYDAJ	PREVOD NA UCET	10076	12890	SIPO	ST	81464928
268197	918	1998-10-06	VYDAJ	PREVOD NA UCET	10076	56062	SIPO	ST	81464928
268198	918	1998-11-06	VYDAJ	PREVOD NA UCET	10076	37532	SIPO	ST	81464928
268199	918	1998-12-06	VYDAJ	PREVOD NA UCET	10076	23756	SIPO	ST	81464928
268221	918	1997-10-05	VYDAJ	PREVOD NA UCET	2039	55950	 	UV	19973844
268222	918	1997-11-05	VYDAJ	PREVOD NA UCET	2039	26582	 	UV	19973844
268223	918	1997-12-05	VYDAJ	PREVOD NA UCET	2039	23960	 	UV	19973844
268224	918	1998-01-05	VYDAJ	PREVOD NA UCET	2039	18012	 	UV	19973844
268225	918	1998-02-05	VYDAJ	PREVOD NA UCET	2039	17291	 	UV	19973844
268226	918	1998-03-05	VYDAJ	PREVOD NA UCET	2039	17729	 	UV	19973844
268227	918	1998-04-05	VYDAJ	PREVOD NA UCET	2039	45560	 	UV	19973844
268228	918	1998-05-05	VYDAJ	PREVOD NA UCET	2039	18989	 	UV	19973844
268229	918	1998-06-05	VYDAJ	PREVOD NA UCET	2039	35404	 	UV	19973844
268230	918	1998-07-05	VYDAJ	PREVOD NA UCET	2039	28047	 	UV	19973844
268231	918	1998-08-05	VYDAJ	PREVOD NA UCET	2039	70126	 	UV	19973844
268232	918	1998-09-05	VYDAJ	PREVOD NA UCET	2039	22966	 	UV	19973844
268233	918	1998-10-05	VYDAJ	PREVOD NA UCET	2039	66138	 	UV	19973844
268234	918	1998-11-05	VYDAJ	PREVOD NA UCET	2039	47608	 	UV	19973844
268235	918	1998-12-05	VYDAJ	PREVOD NA UCET	2039	33832	 	UV	19973844
268253	918	1997-10-26	VYBER	VYBER	2433	42241	\N	\N	\N
268256	918	1998-10-07	VYBER	VYBER	12031	44031	\N	\N	\N
268257	918	1998-08-24	VYBER	VYBER	14241	27809	\N	\N	\N
268258	918	1998-12-04	VYBER	VYBER	2513	35871	\N	\N	\N
268259	918	1998-04-23	VYBER	VYBER	14885	22999	\N	\N	\N
268260	918	1998-01-26	VYBER	VYBER	3063	19273	\N	\N	\N
268262	918	1998-08-30	VYBER	VYBER	2968	24841	\N	\N	\N
268263	918	1998-10-20	VYBER	VYBER	12444	22193	\N	\N	\N
268265	918	1998-06-14	VYBER	VYBER	4061	68619	\N	\N	\N
268266	918	1998-10-08	VYBER	VYBER	5994	38037	\N	\N	\N
268269	918	1998-06-22	VYDAJ	VYBER	27900	29919	\N	\N	\N
268274	918	1997-12-22	VYDAJ	VYBER	3600	19984	\N	\N	\N
268275	918	1998-12-28	VYDAJ	VYBER	7200	39007	\N	\N	\N
268282	918	1997-11-01	VYDAJ	VYBER	13800	28621	\N	\N	\N
268283	918	1997-11-26	VYDAJ	VYBER	2700	25906	\N	\N	\N
268285	918	1998-08-22	VYDAJ	VYBER	6300	42050	\N	\N	\N
268287	918	1998-10-04	VYDAJ	VYBER	2400	23070	\N	\N	\N
268288	918	1998-04-28	VYDAJ	VYBER	2100	20899	\N	\N	\N
268289	918	1998-08-07	VYDAJ	VYBER	3300	56750	\N	\N	\N
268311	918	1997-09-30	VYDAJ	VYBER	15	57989	SLUZBY	\N	\N
268312	918	1997-10-31	VYDAJ	VYBER	15	42421	SLUZBY	\N	\N
268313	918	1997-11-30	VYDAJ	VYBER	15	25999	SLUZBY	\N	\N
268314	918	1997-12-31	VYDAJ	VYBER	15	20051	SLUZBY	\N	\N
268315	918	1998-01-31	VYDAJ	VYBER	15	19330	SLUZBY	\N	\N
268316	918	1998-02-28	VYDAJ	VYBER	15	19768	SLUZBY	\N	\N
268317	918	1998-03-31	VYDAJ	VYBER	15	47599	SLUZBY	\N	\N
268318	918	1998-04-30	VYDAJ	VYBER	15	21028	SLUZBY	\N	\N
268319	918	1998-05-31	VYDAJ	VYBER	15	37443	SLUZBY	\N	\N
268320	918	1998-06-30	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
268321	918	1998-07-31	VYDAJ	VYBER	15	31873	SLUZBY	\N	\N
268322	918	1998-08-31	VYDAJ	VYBER	15	25005	SLUZBY	\N	\N
268323	918	1998-09-30	VYDAJ	VYBER	15	25470	SLUZBY	\N	\N
268324	918	1998-10-31	VYDAJ	VYBER	15	49647	SLUZBY	\N	\N
268325	918	1998-11-30	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
268326	918	1996-09-22	PRIJEM	VKLAD	11500	11900	\N	\N	\N
268327	918	1996-10-22	PRIJEM	VKLAD	6700	18600	\N	\N	\N
268328	918	1996-11-21	PRIJEM	VKLAD	1100	19700	\N	\N	\N
268329	918	1996-12-21	PRIJEM	VKLAD	2100	21800	\N	\N	\N
268330	918	1997-01-20	PRIJEM	VKLAD	1700	23500	\N	\N	\N
268331	918	1997-02-19	PRIJEM	VKLAD	3300	26800	\N	\N	\N
268332	918	1997-03-21	PRIJEM	VKLAD	800	27600	\N	\N	\N
268333	918	1997-04-20	VYDAJ	VYBER	10000	44965	\N	\N	\N
268334	918	1997-05-20	VYDAJ	VYBER	18200	52622	\N	\N	\N
268335	918	1997-06-19	VYDAJ	VYBER	10800	42117	\N	\N	\N
268336	918	1997-07-19	VYDAJ	VYBER	8600	46151	\N	\N	\N
268337	918	1997-08-18	VYDAJ	VYBER	5400	40951	\N	\N	\N
268338	918	1997-09-17	VYDAJ	VYBER	18000	57788	\N	\N	\N
268339	918	1997-10-17	VYDAJ	VYBER	1200	44674	\N	\N	\N
268340	918	1997-11-16	PRIJEM	VKLAD	12100	28606	\N	\N	\N
268341	918	1997-12-16	PRIJEM	VKLAD	9700	23584	\N	\N	\N
268342	918	1998-01-15	PRIJEM	VKLAD	14400	22336	\N	\N	\N
268343	918	1998-02-14	PRIJEM	VKLAD	12500	19715	\N	\N	\N
268344	918	1998-03-16	PRIJEM	VKLAD	15100	22753	\N	\N	\N
268345	918	1998-04-15	PRIJEM	VKLAD	2400	37884	\N	\N	\N
268346	918	1998-05-15	PRIJEM	VKLAD	17200	26113	\N	\N	\N
268347	918	1998-06-14	VYDAJ	VYBER	10800	57819	\N	\N	\N
268348	918	1998-07-14	PRIJEM	VKLAD	13800	31771	\N	\N	\N
268349	918	1998-08-13	VYDAJ	VYBER	8400	48350	\N	\N	\N
268350	918	1998-09-12	PRIJEM	VKLAD	12500	25390	\N	\N	\N
268351	918	1998-10-12	VYDAJ	VYBER	3400	34637	\N	\N	\N
268352	918	1998-11-11	PRIJEM	VKLAD	700	38232	\N	\N	\N
268353	918	1998-12-11	VYDAJ	VYBER	6900	39534	\N	\N	\N
268376	919	1997-03-03	PRIJEM	VKLAD	800	800	\N	\N	\N
268379	919	1997-03-08	PRIJEM	VKLAD	10698	11498	\N	\N	\N
268380	919	1997-04-08	PRIJEM	VKLAD	10698	28333	\N	\N	\N
268381	919	1997-05-08	PRIJEM	VKLAD	10698	37333	\N	\N	\N
268382	919	1997-06-08	PRIJEM	VKLAD	16047	49527	\N	\N	\N
268383	919	1997-07-08	PRIJEM	VKLAD	10698	50519	\N	\N	\N
268384	919	1997-08-08	PRIJEM	VKLAD	10698	46849	\N	\N	\N
268385	919	1997-09-08	PRIJEM	VKLAD	10698	45746	\N	\N	\N
268386	919	1997-10-08	PRIJEM	VKLAD	10698	44438	\N	\N	\N
268387	919	1997-11-08	PRIJEM	VKLAD	10698	41523	\N	\N	\N
268388	919	1997-12-08	PRIJEM	VKLAD	16047	50748	\N	\N	\N
268389	919	1998-01-08	PRIJEM	VKLAD	10698	34483	\N	\N	\N
268390	919	1998-02-08	PRIJEM	VKLAD	10698	35733	\N	\N	\N
268391	919	1998-03-08	PRIJEM	VKLAD	10698	40484	\N	\N	\N
268392	919	1998-04-08	PRIJEM	VKLAD	10698	44055	\N	\N	\N
268393	919	1998-05-08	PRIJEM	VKLAD	10698	40355	\N	\N	\N
268394	919	1998-06-08	PRIJEM	VKLAD	16047	44935	\N	\N	\N
268395	919	1998-07-08	PRIJEM	VKLAD	10698	45729	\N	\N	\N
268396	919	1998-08-08	PRIJEM	VKLAD	10698	46018	\N	\N	\N
268397	919	1998-09-08	PRIJEM	VKLAD	10698	45507	\N	\N	\N
268398	919	1998-10-08	PRIJEM	VKLAD	10698	47196	\N	\N	\N
268399	919	1998-11-08	PRIJEM	VKLAD	10698	42363	\N	\N	\N
268400	919	1998-12-08	PRIJEM	VKLAD	16047	54192	\N	\N	\N
268407	919	1997-07-13	VYDAJ	PREVOD NA UCET	4850	45669	SIPO	KL	87937092
268408	919	1997-08-13	VYDAJ	PREVOD NA UCET	4850	41999	SIPO	KL	87937092
268409	919	1997-09-13	VYDAJ	PREVOD NA UCET	4850	40896	SIPO	KL	87937092
268410	919	1997-10-13	VYDAJ	PREVOD NA UCET	4850	39588	SIPO	KL	87937092
268411	919	1997-11-13	VYDAJ	PREVOD NA UCET	4850	36673	SIPO	KL	87937092
268412	919	1997-12-13	VYDAJ	PREVOD NA UCET	4850	45898	SIPO	KL	87937092
268413	919	1998-01-13	VYDAJ	PREVOD NA UCET	4850	29633	SIPO	KL	87937092
268414	919	1998-02-13	VYDAJ	PREVOD NA UCET	4850	30883	SIPO	KL	87937092
268415	919	1998-03-13	VYDAJ	PREVOD NA UCET	4850	35634	SIPO	KL	87937092
268416	919	1998-04-13	VYDAJ	PREVOD NA UCET	4850	39205	SIPO	KL	87937092
268417	919	1998-05-13	VYDAJ	PREVOD NA UCET	4850	35505	SIPO	KL	87937092
268418	919	1998-06-13	VYDAJ	PREVOD NA UCET	4850	40085	SIPO	KL	87937092
268419	919	1998-07-13	VYDAJ	PREVOD NA UCET	4850	40879	SIPO	KL	87937092
268420	919	1998-08-13	VYDAJ	PREVOD NA UCET	4850	41168	SIPO	KL	87937092
268421	919	1998-09-13	VYDAJ	PREVOD NA UCET	4850	40657	SIPO	KL	87937092
268422	919	1998-10-13	VYDAJ	PREVOD NA UCET	4850	42346	SIPO	KL	87937092
268423	919	1998-11-13	VYDAJ	PREVOD NA UCET	4850	37513	SIPO	KL	87937092
268424	919	1998-12-13	VYDAJ	PREVOD NA UCET	4850	49342	SIPO	KL	87937092
268429	919	1997-12-18	VYDAJ	VYBER	1920	43978	\N	\N	\N
268430	919	1998-12-24	VYDAJ	VYBER	2240	38202	\N	\N	\N
268437	919	1998-01-18	VYDAJ	VYBER	3480	24593	\N	\N	\N
268438	919	1998-01-04	VYDAJ	VYBER	2880	27025	\N	\N	\N
268439	919	1998-01-01	VYDAJ	VYBER	2400	29905	\N	\N	\N
268440	919	1998-01-29	VYDAJ	VYBER	2760	24933	\N	\N	\N
268441	919	1998-01-15	VYDAJ	VYBER	1560	28073	\N	\N	\N
268442	919	1998-01-06	VYDAJ	VYBER	3240	23785	\N	\N	\N
268444	919	1997-12-20	VYDAJ	VYBER	720	43258	\N	\N	\N
268446	919	1998-10-25	VYDAJ	VYBER	5520	31526	\N	\N	\N
268447	919	1998-04-27	VYDAJ	VYBER	3360	30925	\N	\N	\N
268448	919	1998-10-21	VYDAJ	VYBER	5400	36946	\N	\N	\N
268449	919	1998-06-04	VYDAJ	VYBER	5040	28888	\N	\N	\N
268450	919	1998-04-25	VYDAJ	VYBER	4920	34285	\N	\N	\N
268458	919	1997-07-31	VYDAJ	VYBER	15	36151	SLUZBY	\N	\N
268459	919	1997-08-31	VYDAJ	VYBER	15	35048	SLUZBY	\N	\N
268460	919	1997-09-30	VYDAJ	VYBER	15	33740	SLUZBY	\N	\N
268461	919	1997-10-31	VYDAJ	VYBER	15	30825	SLUZBY	\N	\N
268462	919	1997-11-30	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
268463	919	1997-12-31	VYDAJ	VYBER	15	32305	SLUZBY	\N	\N
268464	919	1998-01-31	VYDAJ	VYBER	15	25035	SLUZBY	\N	\N
268465	919	1998-02-28	VYDAJ	VYBER	15	29786	SLUZBY	\N	\N
268466	919	1998-03-31	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
268467	919	1998-04-30	VYDAJ	VYBER	15	29657	SLUZBY	\N	\N
268468	919	1998-05-31	VYDAJ	VYBER	15	33928	SLUZBY	\N	\N
268469	919	1998-06-30	VYDAJ	VYBER	15	35031	SLUZBY	\N	\N
268470	919	1998-07-31	VYDAJ	VYBER	15	35320	SLUZBY	\N	\N
268471	919	1998-08-31	VYDAJ	VYBER	15	34809	SLUZBY	\N	\N
268472	919	1998-09-30	VYDAJ	VYBER	15	36498	SLUZBY	\N	\N
268473	919	1998-10-31	VYDAJ	VYBER	15	31665	SLUZBY	\N	\N
268474	919	1998-11-30	VYDAJ	VYBER	15	38145	SLUZBY	\N	\N
268475	919	1997-04-02	PRIJEM	VKLAD	6100	17635	\N	\N	\N
268476	919	1997-05-02	VYDAJ	VYBER	1800	26635	\N	\N	\N
268477	919	1997-06-01	VYDAJ	VYBER	4000	33480	\N	\N	\N
268478	919	1997-07-01	VYDAJ	VYBER	9900	39821	\N	\N	\N
268479	919	1997-07-31	VYDAJ	VYBER	9700	36165	\N	\N	\N
268480	919	1997-08-30	VYDAJ	VYBER	7100	34899	\N	\N	\N
268481	919	1997-09-29	VYDAJ	VYBER	7300	33596	\N	\N	\N
268482	919	1997-10-29	VYDAJ	VYBER	8900	30688	\N	\N	\N
268483	919	1997-11-28	VYDAJ	VYBER	2100	34573	\N	\N	\N
268484	919	1997-12-28	VYDAJ	VYBER	11100	32158	\N	\N	\N
268485	919	1998-01-27	PRIJEM	VKLAD	3100	27693	\N	\N	\N
268486	919	1998-02-26	VYDAJ	VYBER	1200	29683	\N	\N	\N
268487	919	1998-03-28	VYDAJ	VYBER	2400	33234	\N	\N	\N
268488	919	1998-04-27	VYDAJ	VYBER	1400	29525	\N	\N	\N
268489	919	1998-05-27	VYDAJ	VYBER	1700	33805	\N	\N	\N
268490	919	1998-06-26	VYDAJ	VYBER	5200	34885	\N	\N	\N
268491	919	1998-07-26	VYDAJ	VYBER	5700	35179	\N	\N	\N
268492	919	1998-08-25	VYDAJ	VYBER	6500	34668	\N	\N	\N
268493	919	1998-09-24	VYDAJ	VYBER	4300	36357	\N	\N	\N
268494	919	1998-10-24	PRIJEM	VKLAD	100	37046	\N	\N	\N
268495	919	1998-11-23	PRIJEM	VKLAD	500	38013	\N	\N	\N
268496	919	1998-12-23	VYDAJ	VYBER	8900	40442	\N	\N	\N
268519	920	1996-09-05	PRIJEM	VKLAD	800	800	\N	\N	\N
268528	920	1996-09-10	PRIJEM	PREVOD Z UCTU	5318	6118	DUCHOD	IJ	55278760
268529	920	1996-10-10	PRIJEM	PREVOD Z UCTU	5318	11454	DUCHOD	IJ	55278760
268530	920	1996-11-10	PRIJEM	PREVOD Z UCTU	5318	16797	DUCHOD	IJ	55278760
268531	920	1996-12-10	PRIJEM	PREVOD Z UCTU	5318	22141	DUCHOD	IJ	55278760
268532	920	1997-01-10	PRIJEM	PREVOD Z UCTU	5318	27484	DUCHOD	IJ	55278760
268533	920	1997-02-10	PRIJEM	PREVOD Z UCTU	5318	20494	DUCHOD	IJ	55278760
268534	920	1997-03-10	PRIJEM	PREVOD Z UCTU	5318	23438	DUCHOD	IJ	55278760
268535	920	1997-04-10	PRIJEM	PREVOD Z UCTU	5318	23395	DUCHOD	IJ	55278760
268536	920	1997-05-10	PRIJEM	PREVOD Z UCTU	5318	20749	DUCHOD	IJ	55278760
268537	920	1997-06-10	PRIJEM	PREVOD Z UCTU	5318	22202	DUCHOD	IJ	55278760
268538	920	1997-07-10	PRIJEM	PREVOD Z UCTU	5318	19195	DUCHOD	IJ	55278760
268539	920	1997-08-10	PRIJEM	PREVOD Z UCTU	5318	16240	DUCHOD	IJ	55278760
268540	920	1997-09-10	PRIJEM	PREVOD Z UCTU	5318	16767	DUCHOD	IJ	55278760
268541	920	1997-10-10	PRIJEM	PREVOD Z UCTU	5318	19696	DUCHOD	IJ	55278760
268542	920	1997-11-10	PRIJEM	PREVOD Z UCTU	5318	19437	DUCHOD	IJ	55278760
268543	920	1997-12-10	PRIJEM	PREVOD Z UCTU	5318	16509	DUCHOD	IJ	55278760
268544	920	1998-01-10	PRIJEM	PREVOD Z UCTU	5318	18230	DUCHOD	IJ	55278760
268545	920	1998-02-10	PRIJEM	PREVOD Z UCTU	5318	18675	DUCHOD	IJ	55278760
268546	920	1998-03-10	PRIJEM	PREVOD Z UCTU	5318	17510	DUCHOD	IJ	55278760
268547	920	1998-04-10	PRIJEM	PREVOD Z UCTU	5318	20442	DUCHOD	IJ	55278760
268548	920	1998-05-10	PRIJEM	PREVOD Z UCTU	5318	19485	DUCHOD	IJ	55278760
268549	920	1998-06-10	PRIJEM	PREVOD Z UCTU	5318	16121	DUCHOD	IJ	55278760
268550	920	1998-07-10	PRIJEM	PREVOD Z UCTU	5318	18740	DUCHOD	IJ	55278760
268551	920	1998-08-10	PRIJEM	PREVOD Z UCTU	5318	21370	DUCHOD	IJ	55278760
268552	920	1998-09-10	PRIJEM	PREVOD Z UCTU	5318	23617	DUCHOD	IJ	55278760
268553	920	1998-10-10	PRIJEM	PREVOD Z UCTU	5318	22517	DUCHOD	IJ	55278760
268554	920	1998-11-10	PRIJEM	PREVOD Z UCTU	5318	22764	DUCHOD	IJ	55278760
268555	920	1998-12-10	PRIJEM	PREVOD Z UCTU	5318	20645	DUCHOD	IJ	55278760
268568	920	1997-01-10	VYDAJ	PREVOD NA UCET	2437	23527	SIPO	MN	34669208
268844	921	1998-01-01	VYDAJ	VYBER	480	37228	\N	\N	\N
268569	920	1997-02-10	VYDAJ	PREVOD NA UCET	2437	18057	SIPO	MN	34669208
268570	920	1997-03-10	VYDAJ	PREVOD NA UCET	2437	21001	SIPO	MN	34669208
268571	920	1997-04-10	VYDAJ	PREVOD NA UCET	2437	20958	SIPO	MN	34669208
268572	920	1997-05-10	VYDAJ	PREVOD NA UCET	2437	18312	SIPO	MN	34669208
268573	920	1997-06-10	VYDAJ	PREVOD NA UCET	2437	19765	SIPO	MN	34669208
268574	920	1997-07-10	VYDAJ	PREVOD NA UCET	2437	16758	SIPO	MN	34669208
268575	920	1997-08-10	VYDAJ	PREVOD NA UCET	2437	13803	SIPO	MN	34669208
268576	920	1997-09-10	VYDAJ	PREVOD NA UCET	2437	14330	SIPO	MN	34669208
268577	920	1997-10-10	VYDAJ	PREVOD NA UCET	2437	17259	SIPO	MN	34669208
268578	920	1997-11-10	VYDAJ	PREVOD NA UCET	2437	17000	SIPO	MN	34669208
268579	920	1997-12-10	VYDAJ	PREVOD NA UCET	2437	14072	SIPO	MN	34669208
268580	920	1998-01-10	VYDAJ	PREVOD NA UCET	2437	15793	SIPO	MN	34669208
268581	920	1998-02-10	VYDAJ	PREVOD NA UCET	2437	16238	SIPO	MN	34669208
268582	920	1998-03-10	VYDAJ	PREVOD NA UCET	2437	15073	SIPO	MN	34669208
268583	920	1998-04-10	VYDAJ	PREVOD NA UCET	2437	18005	SIPO	MN	34669208
268584	920	1998-05-10	VYDAJ	PREVOD NA UCET	2437	17048	SIPO	MN	34669208
268585	920	1998-06-10	VYDAJ	PREVOD NA UCET	2437	13684	SIPO	MN	34669208
268586	920	1998-07-10	VYDAJ	PREVOD NA UCET	2437	16303	SIPO	MN	34669208
268587	920	1998-08-10	VYDAJ	PREVOD NA UCET	2437	18933	SIPO	MN	34669208
268588	920	1998-09-10	VYDAJ	PREVOD NA UCET	2437	21180	SIPO	MN	34669208
268589	920	1998-10-10	VYDAJ	PREVOD NA UCET	2437	20080	SIPO	MN	34669208
268590	920	1998-11-10	VYDAJ	PREVOD NA UCET	2437	20327	SIPO	MN	34669208
268591	920	1998-12-10	VYDAJ	PREVOD NA UCET	2437	18208	SIPO	MN	34669208
268593	920	1997-06-15	VYDAJ	VYBER	1750	18015	\N	\N	\N
268597	920	1998-12-27	VYDAJ	VYBER	550	15458	\N	\N	\N
268604	920	1997-01-13	VYDAJ	VYBER	1040	22487	\N	\N	\N
268606	920	1997-01-10	VYDAJ	VYBER	1520	25964	\N	\N	\N
268607	920	1997-01-16	VYDAJ	VYBER	400	22087	\N	\N	\N
268608	920	1997-01-18	VYDAJ	VYBER	2320	19767	\N	\N	\N
268609	920	1997-01-24	VYDAJ	VYBER	2320	15127	\N	\N	\N
268610	920	1998-01-07	VYDAJ	VYBER	400	12912	\N	\N	\N
268614	920	1998-01-14	VYDAJ	VYBER	1680	14113	\N	\N	\N
268615	920	1998-01-01	VYDAJ	VYBER	800	13312	\N	\N	\N
268620	920	1997-01-19	VYDAJ	VYBER	640	19127	\N	\N	\N
268621	920	1997-01-22	VYDAJ	VYBER	1280	17447	\N	\N	\N
268623	920	1997-11-15	VYDAJ	VYBER	960	16040	\N	\N	\N
268624	920	1997-01-20	VYDAJ	VYBER	400	18727	\N	\N	\N
268626	920	1998-10-21	VYDAJ	VYBER	800	19280	\N	\N	\N
268629	920	1998-09-12	VYDAJ	VYBER	3840	17340	\N	\N	\N
268630	920	1998-11-13	VYDAJ	VYBER	960	19367	\N	\N	\N
268645	920	1997-01-31	VYDAJ	VYBER	15	15176	SLUZBY	\N	\N
268646	920	1997-02-28	VYDAJ	VYBER	15	18120	SLUZBY	\N	\N
268647	920	1997-03-31	VYDAJ	VYBER	15	21077	SLUZBY	\N	\N
268648	920	1997-04-30	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
268649	920	1997-05-31	VYDAJ	VYBER	15	18384	SLUZBY	\N	\N
268650	920	1997-06-30	VYDAJ	VYBER	15	18077	SLUZBY	\N	\N
268651	920	1997-07-31	VYDAJ	VYBER	15	16822	SLUZBY	\N	\N
268652	920	1997-08-31	VYDAJ	VYBER	15	11449	SLUZBY	\N	\N
268653	920	1997-09-30	VYDAJ	VYBER	15	14378	SLUZBY	\N	\N
268654	920	1997-10-31	VYDAJ	VYBER	15	14119	SLUZBY	\N	\N
268655	920	1997-11-30	VYDAJ	VYBER	15	11191	SLUZBY	\N	\N
268656	920	1997-12-31	VYDAJ	VYBER	15	14112	SLUZBY	\N	\N
268657	920	1998-01-31	VYDAJ	VYBER	15	13357	SLUZBY	\N	\N
268658	920	1998-02-28	VYDAJ	VYBER	15	12192	SLUZBY	\N	\N
268659	920	1998-03-31	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
268660	920	1998-04-30	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
268661	920	1998-05-31	VYDAJ	VYBER	15	10803	SLUZBY	\N	\N
268662	920	1998-06-30	VYDAJ	VYBER	15	13422	SLUZBY	\N	\N
268663	920	1998-07-31	VYDAJ	VYBER	15	16052	SLUZBY	\N	\N
268664	920	1998-08-31	VYDAJ	VYBER	15	18299	SLUZBY	\N	\N
268665	920	1998-09-30	VYDAJ	VYBER	15	17199	SLUZBY	\N	\N
268666	920	1998-10-31	VYDAJ	VYBER	15	17446	SLUZBY	\N	\N
268667	920	1998-11-30	VYDAJ	VYBER	15	15327	SLUZBY	\N	\N
268668	920	1997-04-03	VYDAJ	VYBER	3000	18077	\N	\N	\N
268669	920	1997-05-03	VYDAJ	VYBER	5600	15431	\N	\N	\N
268670	920	1997-06-02	VYDAJ	VYBER	1500	16884	\N	\N	\N
268671	920	1997-07-02	VYDAJ	VYBER	4200	13877	\N	\N	\N
268672	920	1997-08-01	VYDAJ	VYBER	5900	10922	\N	\N	\N
268673	920	1997-08-31	VYDAJ	VYBER	2400	11464	\N	\N	\N
268674	920	1997-10-30	VYDAJ	VYBER	3200	14059	\N	\N	\N
268675	920	1997-11-29	VYDAJ	VYBER	4900	11140	\N	\N	\N
268676	920	1998-01-28	VYDAJ	VYBER	800	13313	\N	\N	\N
268677	920	1998-02-27	VYDAJ	VYBER	4100	12138	\N	\N	\N
268678	920	1998-04-28	VYDAJ	VYBER	3900	14105	\N	\N	\N
268679	920	1998-05-28	VYDAJ	VYBER	6300	10748	\N	\N	\N
268680	920	1998-06-27	VYDAJ	VYBER	300	13384	\N	\N	\N
268681	920	1998-07-27	VYDAJ	VYBER	300	16003	\N	\N	\N
268682	920	1998-08-26	VYDAJ	VYBER	700	18233	\N	\N	\N
268683	920	1998-09-25	VYDAJ	VYBER	200	17140	\N	\N	\N
268684	920	1998-10-25	VYDAJ	VYBER	1900	17380	\N	\N	\N
268685	920	1998-11-24	VYDAJ	VYBER	4100	15267	\N	\N	\N
268686	920	1998-12-24	VYDAJ	VYBER	2200	16008	\N	\N	\N
268715	921	1996-10-08	PRIJEM	VKLAD	500	500	\N	\N	\N
268725	921	1996-10-13	PRIJEM	PREVOD Z UCTU	6622	7122	DUCHOD	OP	63347643
268726	921	1996-11-13	PRIJEM	PREVOD Z UCTU	6622	13762	DUCHOD	OP	63347643
268727	921	1996-12-13	PRIJEM	PREVOD Z UCTU	6622	20414	DUCHOD	OP	63347643
268845	921	1998-01-11	VYDAJ	VYBER	1600	25668	\N	\N	\N
268728	921	1997-01-13	PRIJEM	PREVOD Z UCTU	6622	27066	DUCHOD	OP	63347643
268729	921	1997-02-13	PRIJEM	PREVOD Z UCTU	6622	32117	DUCHOD	OP	63347643
268730	921	1997-03-13	PRIJEM	PREVOD Z UCTU	6622	36637	DUCHOD	OP	63347643
268731	921	1997-04-13	PRIJEM	PREVOD Z UCTU	6622	39049	DUCHOD	OP	63347643
268732	921	1997-05-13	PRIJEM	PREVOD Z UCTU	6622	44033	DUCHOD	OP	63347643
268733	921	1997-06-13	PRIJEM	PREVOD Z UCTU	6622	32638	DUCHOD	OP	63347643
268734	921	1997-07-13	PRIJEM	PREVOD Z UCTU	6622	35927	DUCHOD	OP	63347643
268735	921	1997-08-13	PRIJEM	PREVOD Z UCTU	6622	38558	DUCHOD	OP	63347643
268736	921	1997-09-13	PRIJEM	PREVOD Z UCTU	6622	37415	DUCHOD	OP	63347643
268737	921	1997-10-13	PRIJEM	PREVOD Z UCTU	6622	39692	DUCHOD	OP	63347643
268738	921	1997-11-13	PRIJEM	PREVOD Z UCTU	6622	37379	DUCHOD	OP	63347643
268739	921	1997-12-13	PRIJEM	PREVOD Z UCTU	6622	38108	DUCHOD	OP	63347643
268740	921	1998-01-13	PRIJEM	PREVOD Z UCTU	6622	32290	DUCHOD	OP	63347643
268741	921	1998-02-13	PRIJEM	PREVOD Z UCTU	6622	31666	DUCHOD	OP	63347643
268742	921	1998-03-13	PRIJEM	PREVOD Z UCTU	6622	33326	DUCHOD	OP	63347643
268743	921	1998-04-13	PRIJEM	PREVOD Z UCTU	6622	31286	DUCHOD	OP	63347643
268744	921	1998-05-13	PRIJEM	PREVOD Z UCTU	6622	28440	DUCHOD	OP	63347643
268745	921	1998-06-13	PRIJEM	PREVOD Z UCTU	6622	24978	DUCHOD	OP	63347643
268746	921	1998-07-13	PRIJEM	PREVOD Z UCTU	6622	20182	DUCHOD	OP	63347643
268747	921	1998-08-13	PRIJEM	PREVOD Z UCTU	6622	25088	DUCHOD	OP	63347643
268748	921	1998-09-13	PRIJEM	PREVOD Z UCTU	6622	23632	DUCHOD	OP	63347643
268749	921	1998-10-13	PRIJEM	PREVOD Z UCTU	6622	25049	DUCHOD	OP	63347643
268750	921	1998-11-13	PRIJEM	PREVOD Z UCTU	6622	25472	DUCHOD	OP	63347643
268751	921	1998-12-13	PRIJEM	PREVOD Z UCTU	6622	25697	DUCHOD	OP	63347643
268766	921	1997-03-05	VYDAJ	PREVOD NA UCET	1240	30415	SIPO	QR	13826614
268767	921	1997-04-05	VYDAJ	PREVOD NA UCET	1240	34027	SIPO	QR	13826614
268768	921	1997-05-05	VYDAJ	PREVOD NA UCET	1240	37411	SIPO	QR	13826614
268769	921	1997-06-05	VYDAJ	PREVOD NA UCET	1240	38116	SIPO	QR	13826614
268770	921	1997-07-05	VYDAJ	PREVOD NA UCET	1240	29305	SIPO	QR	13826614
268771	921	1997-08-05	VYDAJ	PREVOD NA UCET	1240	31936	SIPO	QR	13826614
268772	921	1997-09-05	VYDAJ	PREVOD NA UCET	1240	30793	SIPO	QR	13826614
268773	921	1997-10-05	VYDAJ	PREVOD NA UCET	1240	33070	SIPO	QR	13826614
268774	921	1997-11-05	VYDAJ	PREVOD NA UCET	1240	30757	SIPO	QR	13826614
268775	921	1997-12-05	VYDAJ	PREVOD NA UCET	1240	32836	SIPO	QR	13826614
268776	921	1998-01-05	VYDAJ	PREVOD NA UCET	1240	29588	SIPO	QR	13826614
268777	921	1998-02-05	VYDAJ	PREVOD NA UCET	1240	25044	SIPO	QR	13826614
268778	921	1998-03-05	VYDAJ	PREVOD NA UCET	1240	26704	SIPO	QR	13826614
268779	921	1998-04-05	VYDAJ	PREVOD NA UCET	1240	24664	SIPO	QR	13826614
268780	921	1998-05-05	VYDAJ	PREVOD NA UCET	1240	21818	SIPO	QR	13826614
268781	921	1998-06-05	VYDAJ	PREVOD NA UCET	1240	18356	SIPO	QR	13826614
268782	921	1998-07-05	VYDAJ	PREVOD NA UCET	1240	13560	SIPO	QR	13826614
268783	921	1998-08-05	VYDAJ	PREVOD NA UCET	1240	18466	SIPO	QR	13826614
268784	921	1998-09-05	VYDAJ	PREVOD NA UCET	1240	17010	SIPO	QR	13826614
268785	921	1998-10-05	VYDAJ	PREVOD NA UCET	1240	18427	SIPO	QR	13826614
268786	921	1998-11-05	VYDAJ	PREVOD NA UCET	1240	18850	SIPO	QR	13826614
268787	921	1998-12-05	VYDAJ	PREVOD NA UCET	1240	19975	SIPO	QR	13826614
268801	921	1997-02-14	VYDAJ	PREVOD NA UCET	536	31581	 	YZ	38948452
268802	921	1997-03-14	VYDAJ	PREVOD NA UCET	536	36101	 	YZ	38948452
268803	921	1997-04-14	VYDAJ	PREVOD NA UCET	536	38513	 	YZ	38948452
268804	921	1997-05-14	VYDAJ	PREVOD NA UCET	536	43497	 	YZ	38948452
268805	921	1997-06-14	VYDAJ	PREVOD NA UCET	536	32102	 	YZ	38948452
268806	921	1997-07-14	VYDAJ	PREVOD NA UCET	536	35391	 	YZ	38948452
268807	921	1997-08-14	VYDAJ	PREVOD NA UCET	536	38022	 	YZ	38948452
268808	921	1997-09-14	VYDAJ	PREVOD NA UCET	536	36879	 	YZ	38948452
268809	921	1997-10-14	VYDAJ	PREVOD NA UCET	536	39156	 	YZ	38948452
268810	921	1997-11-14	VYDAJ	PREVOD NA UCET	536	36843	 	YZ	38948452
268811	921	1997-12-14	VYDAJ	PREVOD NA UCET	536	37572	 	YZ	38948452
268812	921	1998-01-14	VYDAJ	PREVOD NA UCET	536	31754	 	YZ	38948452
268813	921	1998-02-14	VYDAJ	PREVOD NA UCET	536	31130	 	YZ	38948452
268814	921	1998-03-14	VYDAJ	PREVOD NA UCET	536	32790	 	YZ	38948452
268815	921	1998-04-14	VYDAJ	PREVOD NA UCET	536	30750	 	YZ	38948452
268816	921	1998-05-14	VYDAJ	PREVOD NA UCET	536	27904	 	YZ	38948452
268817	921	1998-06-14	VYDAJ	PREVOD NA UCET	536	24442	 	YZ	38948452
268818	921	1998-07-14	VYDAJ	PREVOD NA UCET	536	19646	 	YZ	38948452
268819	921	1998-08-14	VYDAJ	PREVOD NA UCET	536	24552	 	YZ	38948452
268820	921	1998-09-14	VYDAJ	PREVOD NA UCET	536	23096	 	YZ	38948452
268821	921	1998-10-14	VYDAJ	PREVOD NA UCET	536	24513	 	YZ	38948452
268822	921	1998-11-14	VYDAJ	PREVOD NA UCET	536	24936	 	YZ	38948452
268823	921	1998-12-14	VYDAJ	PREVOD NA UCET	536	25161	 	YZ	38948452
268825	921	1997-06-08	VYDAJ	VYBER	12100	26016	\N	\N	\N
268826	921	1998-06-17	VYDAJ	VYBER	5950	18492	\N	\N	\N
268828	921	1997-12-07	VYDAJ	VYBER	1350	31486	\N	\N	\N
268829	921	1998-12-10	VYDAJ	VYBER	900	19075	\N	\N	\N
268842	921	1998-01-21	VYDAJ	VYBER	1040	30074	\N	\N	\N
268843	921	1998-01-08	VYDAJ	VYBER	2320	27268	\N	\N	\N
268846	921	1998-01-02	VYDAJ	VYBER	2000	30828	\N	\N	\N
268847	921	1998-01-15	VYDAJ	VYBER	640	31114	\N	\N	\N
268850	921	1997-08-24	VYDAJ	VYBER	3520	34502	\N	\N	\N
268851	921	1997-06-27	VYDAJ	VYBER	1680	30422	\N	\N	\N
268852	921	1997-03-24	VYDAJ	VYBER	960	35141	\N	\N	\N
268853	921	1997-07-30	VYDAJ	VYBER	2240	33151	\N	\N	\N
268854	921	1998-07-03	VYDAJ	VYBER	3760	14800	\N	\N	\N
268855	921	1998-06-03	VYDAJ	VYBER	3600	19596	\N	\N	\N
268856	921	1998-05-15	VYDAJ	VYBER	1600	26304	\N	\N	\N
268857	921	1998-09-03	VYDAJ	VYBER	2080	18250	\N	\N	\N
268872	921	1997-02-28	VYDAJ	VYBER	15	31655	SLUZBY	\N	\N
268873	921	1997-03-31	VYDAJ	VYBER	15	35267	SLUZBY	\N	\N
268874	921	1997-04-30	VYDAJ	VYBER	15	38651	SLUZBY	\N	\N
268875	921	1997-05-31	VYDAJ	VYBER	15	43656	SLUZBY	\N	\N
268876	921	1997-06-30	VYDAJ	VYBER	15	30545	SLUZBY	\N	\N
268877	921	1997-07-31	VYDAJ	VYBER	15	33276	SLUZBY	\N	\N
268878	921	1997-08-31	VYDAJ	VYBER	15	34633	SLUZBY	\N	\N
268879	921	1997-09-30	VYDAJ	VYBER	15	37010	SLUZBY	\N	\N
268880	921	1997-10-31	VYDAJ	VYBER	15	39297	SLUZBY	\N	\N
268881	921	1997-11-30	VYDAJ	VYBER	15	36976	SLUZBY	\N	\N
268882	921	1997-12-31	VYDAJ	VYBER	15	37708	SLUZBY	\N	\N
268883	921	1998-01-31	VYDAJ	VYBER	15	30184	SLUZBY	\N	\N
268884	921	1998-02-28	VYDAJ	VYBER	15	31244	SLUZBY	\N	\N
268885	921	1998-03-31	VYDAJ	VYBER	15	32904	SLUZBY	\N	\N
268886	921	1998-04-30	VYDAJ	VYBER	15	30858	SLUZBY	\N	\N
268887	921	1998-05-31	VYDAJ	VYBER	15	23196	SLUZBY	\N	\N
268888	921	1998-06-30	VYDAJ	VYBER	15	18560	SLUZBY	\N	\N
268889	921	1998-07-31	VYDAJ	VYBER	15	19706	SLUZBY	\N	\N
268890	921	1998-08-31	VYDAJ	VYBER	15	20330	SLUZBY	\N	\N
268891	921	1998-09-30	VYDAJ	VYBER	15	19667	SLUZBY	\N	\N
268892	921	1998-10-31	VYDAJ	VYBER	15	20090	SLUZBY	\N	\N
268893	921	1998-11-30	VYDAJ	VYBER	15	21215	SLUZBY	\N	\N
268894	921	1997-02-05	VYDAJ	VYBER	1600	25495	\N	\N	\N
268895	921	1997-03-07	VYDAJ	VYBER	400	30015	\N	\N	\N
268896	921	1997-04-06	VYDAJ	VYBER	1600	32427	\N	\N	\N
268897	921	1997-06-05	VYDAJ	VYBER	4300	39356	\N	\N	\N
268898	921	1997-08-04	VYDAJ	VYBER	100	33176	\N	\N	\N
268899	921	1997-09-03	VYDAJ	VYBER	2600	32033	\N	\N	\N
268900	921	1997-10-03	VYDAJ	VYBER	2700	34310	\N	\N	\N
268901	921	1997-11-02	VYDAJ	VYBER	7300	31997	\N	\N	\N
268902	921	1997-12-02	VYDAJ	VYBER	2900	34076	\N	\N	\N
268903	921	1998-01-01	VYDAJ	VYBER	4400	32828	\N	\N	\N
268904	921	1998-01-31	VYDAJ	VYBER	3900	26284	\N	\N	\N
268905	921	1998-03-02	VYDAJ	VYBER	3300	27944	\N	\N	\N
268906	921	1998-04-01	VYDAJ	VYBER	7000	25904	\N	\N	\N
268907	921	1998-05-01	VYDAJ	VYBER	7800	23058	\N	\N	\N
268908	921	1998-05-31	VYDAJ	VYBER	3200	23211	\N	\N	\N
268909	921	1998-08-29	VYDAJ	VYBER	4300	20252	\N	\N	\N
268910	921	1998-09-28	VYDAJ	VYBER	3500	19596	\N	\N	\N
268911	921	1998-10-28	VYDAJ	VYBER	4500	20013	\N	\N	\N
268912	921	1998-11-27	VYDAJ	VYBER	3800	21136	\N	\N	\N
268940	922	1995-04-27	PRIJEM	VKLAD	400	400	\N	\N	\N
268945	922	1995-05-12	PRIJEM	VKLAD	4208	4608	\N	\N	\N
268946	922	1995-06-12	PRIJEM	VKLAD	6312	23031	\N	\N	\N
268947	922	1995-07-12	PRIJEM	VKLAD	4208	27914	\N	\N	\N
268948	922	1995-08-12	PRIJEM	VKLAD	4208	29521	\N	\N	\N
268949	922	1995-09-12	PRIJEM	VKLAD	4208	31937	\N	\N	\N
268950	922	1995-10-12	PRIJEM	VKLAD	4208	31606	\N	\N	\N
268951	922	1995-11-12	PRIJEM	VKLAD	4208	33422	\N	\N	\N
268952	922	1995-12-12	PRIJEM	VKLAD	6312	34446	\N	\N	\N
268953	922	1996-01-12	PRIJEM	VKLAD	4208	15798	\N	\N	\N
268954	922	1996-02-12	PRIJEM	VKLAD	4208	23171	\N	\N	\N
268955	922	1996-03-12	PRIJEM	VKLAD	4208	23848	\N	\N	\N
268956	922	1996-04-12	PRIJEM	VKLAD	4208	28334	\N	\N	\N
268957	922	1996-05-12	PRIJEM	VKLAD	4208	26337	\N	\N	\N
268958	922	1996-06-12	PRIJEM	VKLAD	6312	30140	\N	\N	\N
268959	922	1996-07-12	PRIJEM	VKLAD	4208	31845	\N	\N	\N
268960	922	1996-08-12	PRIJEM	VKLAD	4208	25498	\N	\N	\N
268961	922	1996-09-12	PRIJEM	VKLAD	4208	23746	\N	\N	\N
268962	922	1996-10-12	PRIJEM	VKLAD	4208	29937	\N	\N	\N
268963	922	1996-11-12	PRIJEM	VKLAD	4208	32246	\N	\N	\N
268964	922	1996-12-12	PRIJEM	VKLAD	6312	33462	\N	\N	\N
268965	922	1997-01-12	PRIJEM	VKLAD	4208	25038	\N	\N	\N
268966	922	1997-02-12	PRIJEM	VKLAD	4208	19375	\N	\N	\N
268967	922	1997-03-12	PRIJEM	VKLAD	4208	28955	\N	\N	\N
268968	922	1997-04-12	PRIJEM	VKLAD	4208	26117	\N	\N	\N
268969	922	1997-05-12	PRIJEM	VKLAD	4208	27033	\N	\N	\N
268970	922	1997-06-12	PRIJEM	VKLAD	6312	38452	\N	\N	\N
268971	922	1997-07-12	PRIJEM	VKLAD	4208	17646	\N	\N	\N
268972	922	1997-08-12	PRIJEM	VKLAD	4208	31029	\N	\N	\N
268973	922	1997-09-12	PRIJEM	VKLAD	4208	44670	\N	\N	\N
268974	922	1997-10-12	PRIJEM	VKLAD	4208	50649	\N	\N	\N
268975	922	1997-11-12	PRIJEM	VKLAD	4208	52743	\N	\N	\N
268976	922	1997-12-12	PRIJEM	VKLAD	6312	56949	\N	\N	\N
268977	922	1998-01-12	PRIJEM	VKLAD	4208	51093	\N	\N	\N
268978	922	1998-02-12	PRIJEM	VKLAD	4208	45939	\N	\N	\N
268979	922	1998-03-12	PRIJEM	VKLAD	4208	42826	\N	\N	\N
268980	922	1998-04-12	PRIJEM	VKLAD	4208	43387	\N	\N	\N
268981	922	1998-05-12	PRIJEM	VKLAD	4208	45786	\N	\N	\N
268982	922	1998-06-12	PRIJEM	VKLAD	6312	54398	\N	\N	\N
268983	922	1998-07-12	PRIJEM	VKLAD	4208	53899	\N	\N	\N
268984	922	1998-08-12	PRIJEM	VKLAD	4208	57309	\N	\N	\N
268985	922	1998-09-12	PRIJEM	VKLAD	4208	57644	\N	\N	\N
268986	922	1998-10-12	PRIJEM	VKLAD	4208	61063	\N	\N	\N
268987	922	1998-11-12	PRIJEM	VKLAD	4208	65796	\N	\N	\N
268988	922	1998-12-12	PRIJEM	VKLAD	6312	65051	\N	\N	\N
268997	922	1995-09-12	VYDAJ	PREVOD NA UCET	898	31039	SIPO	AB	51777029
268998	922	1995-10-12	VYDAJ	PREVOD NA UCET	898	30708	SIPO	AB	51777029
268999	922	1995-11-12	VYDAJ	PREVOD NA UCET	898	32524	SIPO	AB	51777029
269000	922	1995-12-12	VYDAJ	PREVOD NA UCET	898	33548	SIPO	AB	51777029
269001	922	1996-01-12	VYDAJ	PREVOD NA UCET	898	14900	SIPO	AB	51777029
269002	922	1996-02-12	VYDAJ	PREVOD NA UCET	898	22273	SIPO	AB	51777029
269003	922	1996-03-12	VYDAJ	PREVOD NA UCET	898	22950	SIPO	AB	51777029
269004	922	1996-04-12	VYDAJ	PREVOD NA UCET	898	27436	SIPO	AB	51777029
269005	922	1996-05-12	VYDAJ	PREVOD NA UCET	898	25439	SIPO	AB	51777029
269006	922	1996-06-12	VYDAJ	PREVOD NA UCET	898	29242	SIPO	AB	51777029
269007	922	1996-07-12	VYDAJ	PREVOD NA UCET	898	30947	SIPO	AB	51777029
269008	922	1996-08-12	VYDAJ	PREVOD NA UCET	898	24600	SIPO	AB	51777029
269009	922	1996-09-12	VYDAJ	PREVOD NA UCET	898	22848	SIPO	AB	51777029
269010	922	1996-10-12	VYDAJ	PREVOD NA UCET	898	29039	SIPO	AB	51777029
269011	922	1996-11-12	VYDAJ	PREVOD NA UCET	898	31348	SIPO	AB	51777029
269012	922	1996-12-12	VYDAJ	PREVOD NA UCET	898	32564	SIPO	AB	51777029
269013	922	1997-01-12	VYDAJ	PREVOD NA UCET	898	24140	SIPO	AB	51777029
269014	922	1997-02-12	VYDAJ	PREVOD NA UCET	898	18477	SIPO	AB	51777029
269015	922	1997-03-12	VYDAJ	PREVOD NA UCET	898	28057	SIPO	AB	51777029
269016	922	1997-04-12	VYDAJ	PREVOD NA UCET	898	24379	SIPO	AB	51777029
269017	922	1997-05-12	VYDAJ	PREVOD NA UCET	898	26135	SIPO	AB	51777029
269018	922	1997-06-12	VYDAJ	PREVOD NA UCET	898	37554	SIPO	AB	51777029
269019	922	1997-07-12	VYDAJ	PREVOD NA UCET	898	16748	SIPO	AB	51777029
269020	922	1997-08-12	VYDAJ	PREVOD NA UCET	898	30131	SIPO	AB	51777029
269021	922	1997-09-12	VYDAJ	PREVOD NA UCET	898	43772	SIPO	AB	51777029
269022	922	1997-10-12	VYDAJ	PREVOD NA UCET	898	49751	SIPO	AB	51777029
269023	922	1997-11-12	VYDAJ	PREVOD NA UCET	898	52345	SIPO	AB	51777029
269024	922	1997-12-12	VYDAJ	PREVOD NA UCET	898	52851	SIPO	AB	51777029
269025	922	1998-01-12	VYDAJ	PREVOD NA UCET	898	50195	SIPO	AB	51777029
269026	922	1998-02-12	VYDAJ	PREVOD NA UCET	898	45041	SIPO	AB	51777029
269027	922	1998-03-12	VYDAJ	PREVOD NA UCET	898	40428	SIPO	AB	51777029
269028	922	1998-04-12	VYDAJ	PREVOD NA UCET	898	42489	SIPO	AB	51777029
269029	922	1998-05-12	VYDAJ	PREVOD NA UCET	898	44888	SIPO	AB	51777029
269030	922	1998-06-12	VYDAJ	PREVOD NA UCET	898	53500	SIPO	AB	51777029
269031	922	1998-07-12	VYDAJ	PREVOD NA UCET	898	53001	SIPO	AB	51777029
269032	922	1998-08-12	VYDAJ	PREVOD NA UCET	898	56411	SIPO	AB	51777029
269033	922	1998-09-12	VYDAJ	PREVOD NA UCET	898	56746	SIPO	AB	51777029
269034	922	1998-10-12	VYDAJ	PREVOD NA UCET	898	60165	SIPO	AB	51777029
269035	922	1998-11-12	VYDAJ	PREVOD NA UCET	898	64898	SIPO	AB	51777029
269036	922	1998-12-12	VYDAJ	PREVOD NA UCET	898	64153	SIPO	AB	51777029
269046	922	1995-10-11	VYDAJ	PREVOD NA UCET	255	27398	 	WX	73872160
269047	922	1995-11-11	VYDAJ	PREVOD NA UCET	255	29214	 	WX	73872160
269048	922	1995-12-11	VYDAJ	PREVOD NA UCET	255	28134	 	WX	73872160
269049	922	1996-01-11	VYDAJ	PREVOD NA UCET	255	11590	 	WX	73872160
269050	922	1996-02-11	VYDAJ	PREVOD NA UCET	255	18963	 	WX	73872160
269051	922	1996-03-11	VYDAJ	PREVOD NA UCET	255	19640	 	WX	73872160
269052	922	1996-04-11	VYDAJ	PREVOD NA UCET	255	24126	 	WX	73872160
269053	922	1996-05-11	VYDAJ	PREVOD NA UCET	255	22129	 	WX	73872160
269054	922	1996-06-11	VYDAJ	PREVOD NA UCET	255	23828	 	WX	73872160
269055	922	1996-07-11	VYDAJ	PREVOD NA UCET	255	27637	 	WX	73872160
269056	922	1996-08-11	VYDAJ	PREVOD NA UCET	255	21290	 	WX	73872160
269057	922	1996-09-11	VYDAJ	PREVOD NA UCET	255	19538	 	WX	73872160
269058	922	1996-10-11	VYDAJ	PREVOD NA UCET	255	25729	 	WX	73872160
269059	922	1996-11-11	VYDAJ	PREVOD NA UCET	255	28038	 	WX	73872160
269060	922	1996-12-11	VYDAJ	PREVOD NA UCET	255	27150	 	WX	73872160
269061	922	1997-01-11	VYDAJ	PREVOD NA UCET	255	20830	 	WX	73872160
269062	922	1997-02-11	VYDAJ	PREVOD NA UCET	255	15167	 	WX	73872160
269063	922	1997-03-11	VYDAJ	PREVOD NA UCET	255	24747	 	WX	73872160
269064	922	1997-04-11	VYDAJ	PREVOD NA UCET	255	21909	 	WX	73872160
269065	922	1997-05-11	VYDAJ	PREVOD NA UCET	255	22825	 	WX	73872160
269066	922	1997-06-11	VYDAJ	PREVOD NA UCET	255	32140	 	WX	73872160
269067	922	1997-07-11	VYDAJ	PREVOD NA UCET	255	13438	 	WX	73872160
269068	922	1997-08-11	VYDAJ	PREVOD NA UCET	255	26821	 	WX	73872160
269069	922	1997-09-11	VYDAJ	PREVOD NA UCET	255	40462	 	WX	73872160
269070	922	1997-10-11	VYDAJ	PREVOD NA UCET	255	46441	 	WX	73872160
269071	922	1997-11-11	VYDAJ	PREVOD NA UCET	255	48535	 	WX	73872160
269072	922	1997-12-11	VYDAJ	PREVOD NA UCET	255	50637	 	WX	73872160
269073	922	1998-01-11	VYDAJ	PREVOD NA UCET	255	46885	 	WX	73872160
269074	922	1998-02-11	VYDAJ	PREVOD NA UCET	255	41731	 	WX	73872160
269075	922	1998-03-11	VYDAJ	PREVOD NA UCET	255	38618	 	WX	73872160
269076	922	1998-04-11	VYDAJ	PREVOD NA UCET	255	39179	 	WX	73872160
269077	922	1998-05-11	VYDAJ	PREVOD NA UCET	255	41578	 	WX	73872160
269078	922	1998-06-11	VYDAJ	PREVOD NA UCET	255	48086	 	WX	73872160
269079	922	1998-07-11	VYDAJ	PREVOD NA UCET	255	49691	 	WX	73872160
269080	922	1998-08-11	VYDAJ	PREVOD NA UCET	255	53101	 	WX	73872160
269081	922	1998-09-11	VYDAJ	PREVOD NA UCET	255	53436	 	WX	73872160
269082	922	1998-10-11	VYDAJ	PREVOD NA UCET	255	56855	 	WX	73872160
269083	922	1998-11-11	VYDAJ	PREVOD NA UCET	255	61588	 	WX	73872160
269084	922	1998-12-11	VYDAJ	PREVOD NA UCET	255	58739	 	WX	73872160
269094	922	1995-10-10	VYDAJ	PREVOD NA UCET	1652	27653	POJISTNE	EF	77783399
269095	922	1995-11-10	VYDAJ	PREVOD NA UCET	1652	29469	POJISTNE	EF	77783399
269096	922	1995-12-10	VYDAJ	PREVOD NA UCET	1652	28389	POJISTNE	EF	77783399
269097	922	1996-01-10	VYDAJ	PREVOD NA UCET	1652	13885	POJISTNE	EF	77783399
269098	922	1996-02-10	VYDAJ	PREVOD NA UCET	1652	19218	POJISTNE	EF	77783399
269099	922	1996-03-10	VYDAJ	PREVOD NA UCET	1652	19895	POJISTNE	EF	77783399
269100	922	1996-04-10	VYDAJ	PREVOD NA UCET	1652	24381	POJISTNE	EF	77783399
269101	922	1996-05-10	VYDAJ	PREVOD NA UCET	1652	22384	POJISTNE	EF	77783399
269102	922	1996-06-10	VYDAJ	PREVOD NA UCET	1652	24083	POJISTNE	EF	77783399
269103	922	1996-07-10	VYDAJ	PREVOD NA UCET	1652	27892	POJISTNE	EF	77783399
269104	922	1996-08-10	VYDAJ	PREVOD NA UCET	1652	21545	POJISTNE	EF	77783399
269105	922	1996-09-10	VYDAJ	PREVOD NA UCET	1652	19793	POJISTNE	EF	77783399
269106	922	1996-10-10	VYDAJ	PREVOD NA UCET	1652	25984	POJISTNE	EF	77783399
269107	922	1996-11-10	VYDAJ	PREVOD NA UCET	1652	28293	POJISTNE	EF	77783399
269108	922	1996-12-10	VYDAJ	PREVOD NA UCET	1652	27405	POJISTNE	EF	77783399
269109	922	1997-01-10	VYDAJ	PREVOD NA UCET	1652	23965	POJISTNE	EF	77783399
269110	922	1997-02-10	VYDAJ	PREVOD NA UCET	1652	15422	POJISTNE	EF	77783399
269111	922	1997-03-10	VYDAJ	PREVOD NA UCET	1652	25002	POJISTNE	EF	77783399
269112	922	1997-04-10	VYDAJ	PREVOD NA UCET	1652	22164	POJISTNE	EF	77783399
269113	922	1997-05-10	VYDAJ	PREVOD NA UCET	1652	23080	POJISTNE	EF	77783399
269114	922	1997-06-10	VYDAJ	PREVOD NA UCET	1652	32395	POJISTNE	EF	77783399
269115	922	1997-07-10	VYDAJ	PREVOD NA UCET	1652	13693	POJISTNE	EF	77783399
269116	922	1997-08-10	VYDAJ	PREVOD NA UCET	1652	27076	POJISTNE	EF	77783399
269117	922	1997-09-10	VYDAJ	PREVOD NA UCET	1652	40717	POJISTNE	EF	77783399
269118	922	1997-10-10	VYDAJ	PREVOD NA UCET	1652	46696	POJISTNE	EF	77783399
269119	922	1997-11-10	VYDAJ	PREVOD NA UCET	1652	48790	POJISTNE	EF	77783399
269120	922	1997-12-10	VYDAJ	PREVOD NA UCET	1652	50892	POJISTNE	EF	77783399
269121	922	1998-01-10	VYDAJ	PREVOD NA UCET	1652	48240	POJISTNE	EF	77783399
269122	922	1998-02-10	VYDAJ	PREVOD NA UCET	1652	41986	POJISTNE	EF	77783399
269123	922	1998-03-10	VYDAJ	PREVOD NA UCET	1652	38873	POJISTNE	EF	77783399
269124	922	1998-04-10	VYDAJ	PREVOD NA UCET	1652	38934	POJISTNE	EF	77783399
269125	922	1998-05-10	VYDAJ	PREVOD NA UCET	1652	34633	POJISTNE	EF	77783399
269126	922	1998-06-10	VYDAJ	PREVOD NA UCET	1652	48341	POJISTNE	EF	77783399
269127	922	1998-07-10	VYDAJ	PREVOD NA UCET	1652	49946	POJISTNE	EF	77783399
269128	922	1998-08-10	VYDAJ	PREVOD NA UCET	1652	53356	POJISTNE	EF	77783399
269129	922	1998-09-10	VYDAJ	PREVOD NA UCET	1652	53691	POJISTNE	EF	77783399
269130	922	1998-10-10	VYDAJ	PREVOD NA UCET	1652	57110	POJISTNE	EF	77783399
269131	922	1998-11-10	VYDAJ	PREVOD NA UCET	1652	61843	POJISTNE	EF	77783399
269132	922	1998-12-10	VYDAJ	PREVOD NA UCET	1652	58994	POJISTNE	EF	77783399
269135	922	1997-06-23	VYDAJ	VYBER	22720	15234	\N	\N	\N
269138	922	1996-01-08	VYDAJ	VYBER	7360	19737	\N	\N	\N
269139	922	1997-01-13	VYDAJ	VYBER	4960	19180	\N	\N	\N
269140	922	1998-01-25	VYDAJ	VYBER	4960	42835	\N	\N	\N
269141	922	1995-12-14	VYDAJ	VYBER	1120	32428	\N	\N	\N
269142	922	1996-12-29	VYDAJ	VYBER	3200	28864	\N	\N	\N
269143	922	1997-12-17	VYDAJ	VYBER	1600	51251	\N	\N	\N
269144	922	1998-12-24	VYDAJ	VYBER	1600	62553	\N	\N	\N
269151	922	1996-01-09	VYDAJ	VYBER	2160	17577	\N	\N	\N
269152	922	1996-01-10	VYDAJ	VYBER	2040	11845	\N	\N	\N
269153	922	1996-01-23	VYDAJ	VYBER	1680	21520	\N	\N	\N
269154	922	1996-01-09	VYDAJ	VYBER	2040	15537	\N	\N	\N
269156	922	1996-01-28	VYDAJ	VYBER	720	20800	\N	\N	\N
269157	922	1997-01-08	VYDAJ	VYBER	1560	25617	\N	\N	\N
269158	922	1997-01-26	VYDAJ	VYBER	1800	17000	\N	\N	\N
269159	922	1997-01-14	VYDAJ	VYBER	2880	16300	\N	\N	\N
269160	922	1997-01-03	VYDAJ	VYBER	1800	27177	\N	\N	\N
269161	922	1997-01-17	VYDAJ	VYBER	1200	18800	\N	\N	\N
269162	922	1997-01-10	VYDAJ	VYBER	2880	21085	\N	\N	\N
269163	922	1998-01-17	VYDAJ	VYBER	840	47795	\N	\N	\N
269164	922	1998-01-08	VYDAJ	VYBER	1560	49892	\N	\N	\N
269165	922	1998-01-30	VYDAJ	VYBER	2160	38755	\N	\N	\N
269166	922	1998-01-11	VYDAJ	VYBER	1200	47140	\N	\N	\N
269167	922	1998-01-14	VYDAJ	VYBER	1560	48635	\N	\N	\N
269168	922	1998-01-27	VYDAJ	VYBER	1920	40915	\N	\N	\N
269173	922	1995-09-20	VYDAJ	VYBER	2040	28999	\N	\N	\N
269174	922	1995-12-20	VYDAJ	VYBER	5040	27388	\N	\N	\N
269175	922	1996-02-17	VYDAJ	VYBER	1920	20353	\N	\N	\N
269176	922	1996-08-01	VYDAJ	VYBER	1080	28477	\N	\N	\N
269177	922	1996-08-21	VYDAJ	VYBER	5760	21360	\N	\N	\N
269178	922	1996-05-03	VYDAJ	VYBER	720	28116	\N	\N	\N
269179	922	1996-08-09	VYDAJ	VYBER	5280	23197	\N	\N	\N
269180	922	1996-05-10	VYDAJ	VYBER	4080	24036	\N	\N	\N
269181	922	1996-02-21	VYDAJ	VYBER	3480	21473	\N	\N	\N
269182	922	1996-08-15	VYDAJ	VYBER	4680	19920	\N	\N	\N
269183	922	1997-03-27	VYDAJ	VYBER	5520	23717	\N	\N	\N
269184	922	1997-03-17	VYDAJ	VYBER	1920	29237	\N	\N	\N
269185	922	1997-05-03	VYDAJ	VYBER	3240	24732	\N	\N	\N
269186	922	1997-04-12	VYDAJ	VYBER	840	25277	\N	\N	\N
269187	922	1998-08-26	VYDAJ	VYBER	2880	53531	\N	\N	\N
269188	922	1998-06-01	VYDAJ	VYBER	3960	41093	\N	\N	\N
269189	922	1998-04-15	VYDAJ	VYBER	1200	41289	\N	\N	\N
269190	922	1998-05-03	VYDAJ	VYBER	5160	36285	\N	\N	\N
269191	922	1998-02-27	VYDAJ	VYBER	4680	40361	\N	\N	\N
269201	922	1995-09-30	VYDAJ	VYBER	15	29305	SLUZBY	\N	\N
269202	922	1995-10-31	VYDAJ	VYBER	15	31121	SLUZBY	\N	\N
269203	922	1995-11-30	VYDAJ	VYBER	15	30041	SLUZBY	\N	\N
269204	922	1995-12-31	VYDAJ	VYBER	15	27097	SLUZBY	\N	\N
269205	922	1996-01-31	VYDAJ	VYBER	15	20870	SLUZBY	\N	\N
269206	922	1996-02-29	VYDAJ	VYBER	15	21547	SLUZBY	\N	\N
269207	922	1996-03-31	VYDAJ	VYBER	15	26033	SLUZBY	\N	\N
269208	922	1996-04-30	VYDAJ	VYBER	15	28836	SLUZBY	\N	\N
269209	922	1996-05-31	VYDAJ	VYBER	15	25735	SLUZBY	\N	\N
269210	922	1996-06-30	VYDAJ	VYBER	15	29544	SLUZBY	\N	\N
269211	922	1996-07-31	VYDAJ	VYBER	15	29557	SLUZBY	\N	\N
269212	922	1996-08-31	VYDAJ	VYBER	15	21445	SLUZBY	\N	\N
269213	922	1996-09-30	VYDAJ	VYBER	15	27636	SLUZBY	\N	\N
269214	922	1996-10-31	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
269215	922	1996-11-30	VYDAJ	VYBER	15	29057	SLUZBY	\N	\N
269216	922	1996-12-31	VYDAJ	VYBER	15	28977	SLUZBY	\N	\N
269217	922	1997-01-31	VYDAJ	VYBER	15	17074	SLUZBY	\N	\N
269218	922	1997-02-28	VYDAJ	VYBER	15	26654	SLUZBY	\N	\N
269219	922	1997-03-31	VYDAJ	VYBER	15	23816	SLUZBY	\N	\N
269220	922	1997-04-30	VYDAJ	VYBER	15	27972	SLUZBY	\N	\N
269221	922	1997-05-31	VYDAJ	VYBER	15	34047	SLUZBY	\N	\N
269222	922	1997-06-30	VYDAJ	VYBER	15	15345	SLUZBY	\N	\N
269223	922	1997-07-31	VYDAJ	VYBER	15	28728	SLUZBY	\N	\N
269224	922	1997-08-31	VYDAJ	VYBER	15	42369	SLUZBY	\N	\N
269225	922	1997-09-30	VYDAJ	VYBER	15	48348	SLUZBY	\N	\N
269226	922	1997-10-31	VYDAJ	VYBER	15	50442	SLUZBY	\N	\N
269227	922	1997-11-30	VYDAJ	VYBER	15	52544	SLUZBY	\N	\N
269228	922	1997-12-31	VYDAJ	VYBER	15	51452	SLUZBY	\N	\N
269229	922	1998-01-31	VYDAJ	VYBER	15	38938	SLUZBY	\N	\N
269230	922	1998-02-28	VYDAJ	VYBER	15	40525	SLUZBY	\N	\N
269231	922	1998-03-31	VYDAJ	VYBER	15	40586	SLUZBY	\N	\N
269232	922	1998-04-30	VYDAJ	VYBER	15	41445	SLUZBY	\N	\N
269233	922	1998-05-31	VYDAJ	VYBER	15	45053	SLUZBY	\N	\N
269234	922	1998-06-30	VYDAJ	VYBER	15	53698	SLUZBY	\N	\N
269235	922	1998-07-31	VYDAJ	VYBER	15	53208	SLUZBY	\N	\N
269236	922	1998-08-31	VYDAJ	VYBER	15	53743	SLUZBY	\N	\N
269237	922	1998-09-30	VYDAJ	VYBER	15	56962	SLUZBY	\N	\N
269238	922	1998-10-31	VYDAJ	VYBER	15	60395	SLUZBY	\N	\N
269239	922	1998-11-30	VYDAJ	VYBER	15	65146	SLUZBY	\N	\N
269240	922	1995-05-27	PRIJEM	VKLAD	12100	16708	\N	\N	\N
269241	922	1995-06-26	PRIJEM	VKLAD	600	23631	\N	\N	\N
269242	922	1995-07-26	VYDAJ	VYBER	2700	25214	\N	\N	\N
269243	922	1995-08-25	VYDAJ	VYBER	1900	27621	\N	\N	\N
269244	922	1995-09-24	PRIJEM	VKLAD	200	29199	\N	\N	\N
269245	922	1995-10-24	PRIJEM	VKLAD	300	31008	\N	\N	\N
269246	922	1995-11-23	VYDAJ	VYBER	2600	29924	\N	\N	\N
269247	922	1995-12-23	VYDAJ	VYBER	400	26988	\N	\N	\N
269248	922	1996-01-22	PRIJEM	VKLAD	8300	23200	\N	\N	\N
269249	922	1996-02-21	PRIJEM	VKLAD	4600	24953	\N	\N	\N
269250	922	1996-03-22	PRIJEM	VKLAD	3000	25950	\N	\N	\N
269251	922	1996-04-21	PRIJEM	VKLAD	1300	28736	\N	\N	\N
269252	922	1996-05-21	PRIJEM	VKLAD	200	25639	\N	\N	\N
269253	922	1996-06-20	PRIJEM	VKLAD	200	29442	\N	\N	\N
269254	922	1996-07-20	VYDAJ	VYBER	1500	29447	\N	\N	\N
269255	922	1996-08-19	PRIJEM	VKLAD	7200	27120	\N	\N	\N
269256	922	1996-09-18	PRIJEM	VKLAD	4700	27548	\N	\N	\N
269257	922	1996-10-18	PRIJEM	VKLAD	800	29839	\N	\N	\N
269258	922	1996-11-17	VYDAJ	VYBER	2400	28948	\N	\N	\N
269259	922	1996-12-17	VYDAJ	VYBER	500	32064	\N	\N	\N
269260	922	1997-01-16	PRIJEM	VKLAD	3700	20000	\N	\N	\N
269261	922	1997-02-15	PRIJEM	VKLAD	8100	26577	\N	\N	\N
269262	922	1997-03-17	PRIJEM	VKLAD	3100	31157	\N	\N	\N
269263	922	1997-04-16	PRIJEM	VKLAD	3500	27879	\N	\N	\N
269264	922	1997-05-16	PRIJEM	VKLAD	7800	33935	\N	\N	\N
269265	922	1997-06-15	PRIJEM	VKLAD	400	37954	\N	\N	\N
269266	922	1997-07-15	PRIJEM	VKLAD	11900	28648	\N	\N	\N
269267	922	1997-08-14	PRIJEM	VKLAD	12100	42231	\N	\N	\N
269268	922	1997-09-13	PRIJEM	VKLAD	4400	48172	\N	\N	\N
269269	922	1997-10-13	PRIJEM	VKLAD	500	50251	\N	\N	\N
269270	922	1997-11-12	PRIJEM	VKLAD	500	53243	\N	\N	\N
269271	922	1997-12-12	VYDAJ	VYBER	3200	53749	\N	\N	\N
269272	922	1998-01-11	PRIJEM	VKLAD	100	48340	\N	\N	\N
269273	922	1998-02-10	PRIJEM	VKLAD	4700	43638	\N	\N	\N
269274	922	1998-03-12	VYDAJ	VYBER	1500	41326	\N	\N	\N
269275	922	1998-04-11	PRIJEM	VKLAD	500	39434	\N	\N	\N
269276	922	1998-05-11	PRIJEM	VKLAD	7200	41833	\N	\N	\N
269277	922	1998-06-10	PRIJEM	VKLAD	8900	49993	\N	\N	\N
269278	922	1998-07-10	VYDAJ	VYBER	2100	51598	\N	\N	\N
269279	922	1998-08-09	PRIJEM	VKLAD	1800	55008	\N	\N	\N
269280	922	1998-09-08	PRIJEM	VKLAD	1600	55343	\N	\N	\N
269281	922	1998-10-08	PRIJEM	VKLAD	1800	58762	\N	\N	\N
269282	922	1998-11-07	PRIJEM	VKLAD	3100	63495	\N	\N	\N
269283	922	1998-12-07	VYDAJ	VYBER	4500	60646	\N	\N	\N
269328	923	1996-02-07	PRIJEM	VKLAD	1100	6778	\N	\N	\N
269330	923	1996-02-07	PRIJEM	PREVOD Z UCTU	5678	5678	DUCHOD	OP	93250393
269331	923	1996-03-07	PRIJEM	PREVOD Z UCTU	5678	12478	DUCHOD	OP	93250393
269332	923	1996-04-07	PRIJEM	PREVOD Z UCTU	5678	18185	DUCHOD	OP	93250393
269333	923	1996-05-07	PRIJEM	PREVOD Z UCTU	5678	23891	DUCHOD	OP	93250393
269334	923	1996-06-07	PRIJEM	PREVOD Z UCTU	5678	27347	DUCHOD	OP	93250393
269335	923	1996-07-07	PRIJEM	PREVOD Z UCTU	5678	20951	DUCHOD	OP	93250393
269336	923	1996-08-07	PRIJEM	PREVOD Z UCTU	5678	24612	DUCHOD	OP	93250393
269337	923	1996-09-07	PRIJEM	PREVOD Z UCTU	5678	27888	DUCHOD	OP	93250393
269338	923	1996-10-07	PRIJEM	PREVOD Z UCTU	5678	24977	DUCHOD	OP	93250393
269339	923	1996-11-07	PRIJEM	PREVOD Z UCTU	5678	24811	DUCHOD	OP	93250393
269340	923	1996-12-07	PRIJEM	PREVOD Z UCTU	5678	26488	DUCHOD	OP	93250393
269341	923	1997-01-07	PRIJEM	PREVOD Z UCTU	5678	27473	DUCHOD	OP	93250393
269342	923	1997-02-07	PRIJEM	PREVOD Z UCTU	5678	21222	DUCHOD	OP	93250393
269343	923	1997-03-07	PRIJEM	PREVOD Z UCTU	5678	22402	DUCHOD	OP	93250393
269344	923	1997-04-07	PRIJEM	PREVOD Z UCTU	5678	24169	DUCHOD	OP	93250393
269345	923	1997-05-07	PRIJEM	PREVOD Z UCTU	5678	20102	DUCHOD	OP	93250393
269346	923	1997-06-07	PRIJEM	PREVOD Z UCTU	5678	21362	DUCHOD	OP	93250393
269347	923	1997-07-07	PRIJEM	PREVOD Z UCTU	5678	23225	DUCHOD	OP	93250393
269348	923	1997-08-07	PRIJEM	PREVOD Z UCTU	5678	24296	DUCHOD	OP	93250393
269349	923	1997-09-07	PRIJEM	PREVOD Z UCTU	5678	24170	DUCHOD	OP	93250393
269350	923	1997-10-07	PRIJEM	PREVOD Z UCTU	5678	20759	DUCHOD	OP	93250393
269351	923	1997-11-07	PRIJEM	PREVOD Z UCTU	5678	21619	DUCHOD	OP	93250393
269352	923	1997-12-07	PRIJEM	PREVOD Z UCTU	5678	24682	DUCHOD	OP	93250393
269353	923	1998-01-07	PRIJEM	PREVOD Z UCTU	5678	27357	DUCHOD	OP	93250393
269354	923	1998-02-07	PRIJEM	PREVOD Z UCTU	5678	24870	DUCHOD	OP	93250393
269355	923	1998-03-07	PRIJEM	PREVOD Z UCTU	5678	27246	DUCHOD	OP	93250393
269356	923	1998-04-07	PRIJEM	PREVOD Z UCTU	5678	29252	DUCHOD	OP	93250393
269357	923	1998-05-07	PRIJEM	PREVOD Z UCTU	5678	26498	DUCHOD	OP	93250393
269358	923	1998-06-07	PRIJEM	PREVOD Z UCTU	5678	22176	DUCHOD	OP	93250393
269359	923	1998-07-07	PRIJEM	PREVOD Z UCTU	5678	20138	DUCHOD	OP	93250393
269360	923	1998-08-07	PRIJEM	PREVOD Z UCTU	5678	18771	DUCHOD	OP	93250393
269361	923	1998-09-07	PRIJEM	PREVOD Z UCTU	5678	21121	DUCHOD	OP	93250393
269362	923	1998-10-07	PRIJEM	PREVOD Z UCTU	5678	23581	DUCHOD	OP	93250393
269363	923	1998-11-07	PRIJEM	PREVOD Z UCTU	5678	26351	DUCHOD	OP	93250393
269364	923	1998-12-07	PRIJEM	PREVOD Z UCTU	5678	30033	DUCHOD	OP	93250393
269371	923	1996-07-06	VYDAJ	PREVOD NA UCET	2087	15273	SIPO	YZ	9631318
269372	923	1996-08-06	VYDAJ	PREVOD NA UCET	2087	18934	SIPO	YZ	9631318
269373	923	1996-09-06	VYDAJ	PREVOD NA UCET	2087	22210	SIPO	YZ	9631318
269374	923	1996-10-06	VYDAJ	PREVOD NA UCET	2087	19299	SIPO	YZ	9631318
269375	923	1996-11-06	VYDAJ	PREVOD NA UCET	2087	19133	SIPO	YZ	9631318
269376	923	1996-12-06	VYDAJ	PREVOD NA UCET	2087	20810	SIPO	YZ	9631318
269377	923	1997-01-06	VYDAJ	PREVOD NA UCET	2087	21795	SIPO	YZ	9631318
269378	923	1997-02-06	VYDAJ	PREVOD NA UCET	2087	15544	SIPO	YZ	9631318
269379	923	1997-03-06	VYDAJ	PREVOD NA UCET	2087	16724	SIPO	YZ	9631318
269380	923	1997-04-06	VYDAJ	PREVOD NA UCET	2087	18491	SIPO	YZ	9631318
269381	923	1997-05-06	VYDAJ	PREVOD NA UCET	2087	14424	SIPO	YZ	9631318
269382	923	1997-06-06	VYDAJ	PREVOD NA UCET	2087	15684	SIPO	YZ	9631318
269383	923	1997-07-06	VYDAJ	PREVOD NA UCET	2087	17547	SIPO	YZ	9631318
269384	923	1997-08-06	VYDAJ	PREVOD NA UCET	2087	18618	SIPO	YZ	9631318
269385	923	1997-09-06	VYDAJ	PREVOD NA UCET	2087	18492	SIPO	YZ	9631318
269386	923	1997-10-06	VYDAJ	PREVOD NA UCET	2087	15081	SIPO	YZ	9631318
269387	923	1997-11-06	VYDAJ	PREVOD NA UCET	2087	15941	SIPO	YZ	9631318
269388	923	1997-12-06	VYDAJ	PREVOD NA UCET	2087	19004	SIPO	YZ	9631318
269389	923	1998-01-06	VYDAJ	PREVOD NA UCET	2087	21679	SIPO	YZ	9631318
269390	923	1998-02-06	VYDAJ	PREVOD NA UCET	2087	19192	SIPO	YZ	9631318
269391	923	1998-03-06	VYDAJ	PREVOD NA UCET	2087	21568	SIPO	YZ	9631318
269392	923	1998-04-06	VYDAJ	PREVOD NA UCET	2087	23574	SIPO	YZ	9631318
269393	923	1998-05-06	VYDAJ	PREVOD NA UCET	2087	20820	SIPO	YZ	9631318
269394	923	1998-06-06	VYDAJ	PREVOD NA UCET	2087	16498	SIPO	YZ	9631318
269395	923	1998-07-06	VYDAJ	PREVOD NA UCET	2087	14460	SIPO	YZ	9631318
269396	923	1998-08-06	VYDAJ	PREVOD NA UCET	2087	13093	SIPO	YZ	9631318
269397	923	1998-09-06	VYDAJ	PREVOD NA UCET	2087	15443	SIPO	YZ	9631318
269398	923	1998-10-06	VYDAJ	PREVOD NA UCET	2087	17903	SIPO	YZ	9631318
269399	923	1998-11-06	VYDAJ	PREVOD NA UCET	2087	20673	SIPO	YZ	9631318
269400	923	1998-12-06	VYDAJ	PREVOD NA UCET	2087	24355	SIPO	YZ	9631318
269401	923	1996-06-11	VYDAJ	VYBER	10050	17297	\N	\N	\N
269404	923	1996-12-28	VYDAJ	VYBER	1400	25088	\N	\N	\N
269405	923	1997-12-02	VYDAJ	VYBER	600	21091	\N	\N	\N
269406	923	1998-12-30	VYDAJ	VYBER	500	29533	\N	\N	\N
269413	923	1997-01-02	VYDAJ	VYBER	1200	23982	\N	\N	\N
269414	923	1997-01-11	VYDAJ	VYBER	1920	22513	\N	\N	\N
269415	923	1997-01-09	VYDAJ	VYBER	800	24433	\N	\N	\N
269416	923	1997-01-21	VYDAJ	VYBER	1200	20273	\N	\N	\N
269417	923	1997-01-09	VYDAJ	VYBER	2240	25233	\N	\N	\N
269418	923	1997-01-14	VYDAJ	VYBER	1040	21473	\N	\N	\N
269419	923	1998-01-10	VYDAJ	VYBER	640	25277	\N	\N	\N
269420	923	1998-01-21	VYDAJ	VYBER	1280	21677	\N	\N	\N
269421	923	1998-01-24	VYDAJ	VYBER	480	21197	\N	\N	\N
269422	923	1998-01-17	VYDAJ	VYBER	1360	22957	\N	\N	\N
269423	923	1998-01-09	VYDAJ	VYBER	1440	25917	\N	\N	\N
269424	923	1998-01-11	VYDAJ	VYBER	960	24317	\N	\N	\N
269425	923	1996-10-14	VYDAJ	VYBER	2240	22737	\N	\N	\N
269426	923	1996-09-28	VYDAJ	VYBER	3200	24688	\N	\N	\N
269431	923	1997-09-23	VYDAJ	VYBER	2880	21290	\N	\N	\N
269432	923	1997-02-04	VYDAJ	VYBER	1920	17631	\N	\N	\N
269433	923	1997-04-12	VYDAJ	VYBER	880	23289	\N	\N	\N
269434	923	1997-02-24	VYDAJ	VYBER	2480	18742	\N	\N	\N
269435	923	1997-10-07	VYDAJ	VYBER	2800	17959	\N	\N	\N
269436	923	1997-05-04	VYDAJ	VYBER	2160	16511	\N	\N	\N
269437	923	1998-04-10	VYDAJ	VYBER	2240	27012	\N	\N	\N
269438	923	1998-07-27	VYDAJ	VYBER	3920	15118	\N	\N	\N
269439	923	1998-03-30	VYDAJ	VYBER	1280	25566	\N	\N	\N
269446	923	1996-06-30	VYDAJ	VYBER	15	17360	SLUZBY	\N	\N
269447	923	1996-07-31	VYDAJ	VYBER	15	21021	SLUZBY	\N	\N
269448	923	1996-08-31	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
269449	923	1996-09-30	VYDAJ	VYBER	15	24786	SLUZBY	\N	\N
269450	923	1996-10-31	VYDAJ	VYBER	15	22820	SLUZBY	\N	\N
269451	923	1996-11-30	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
269452	923	1996-12-31	VYDAJ	VYBER	15	25182	SLUZBY	\N	\N
269453	923	1997-01-31	VYDAJ	VYBER	15	20351	SLUZBY	\N	\N
269454	923	1997-02-28	VYDAJ	VYBER	15	18811	SLUZBY	\N	\N
269455	923	1997-03-31	VYDAJ	VYBER	15	22478	SLUZBY	\N	\N
269456	923	1997-04-30	VYDAJ	VYBER	15	23371	SLUZBY	\N	\N
269457	923	1997-05-31	VYDAJ	VYBER	15	20171	SLUZBY	\N	\N
269458	923	1997-06-30	VYDAJ	VYBER	15	21434	SLUZBY	\N	\N
269459	923	1997-07-31	VYDAJ	VYBER	15	20705	SLUZBY	\N	\N
269460	923	1997-08-31	VYDAJ	VYBER	15	20579	SLUZBY	\N	\N
269461	923	1997-09-30	VYDAJ	VYBER	15	17168	SLUZBY	\N	\N
269462	923	1997-10-31	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
269463	923	1997-11-30	VYDAJ	VYBER	15	21691	SLUZBY	\N	\N
269464	923	1997-12-31	VYDAJ	VYBER	15	23766	SLUZBY	\N	\N
269465	923	1998-01-31	VYDAJ	VYBER	15	21279	SLUZBY	\N	\N
269466	923	1998-02-28	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
269467	923	1998-03-31	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
269468	923	1998-04-30	VYDAJ	VYBER	15	22907	SLUZBY	\N	\N
269469	923	1998-05-31	VYDAJ	VYBER	15	18585	SLUZBY	\N	\N
269470	923	1998-06-30	VYDAJ	VYBER	15	16547	SLUZBY	\N	\N
269471	923	1998-07-31	VYDAJ	VYBER	15	15180	SLUZBY	\N	\N
269472	923	1998-08-31	VYDAJ	VYBER	15	17530	SLUZBY	\N	\N
269473	923	1998-09-30	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
269474	923	1998-10-31	VYDAJ	VYBER	15	22760	SLUZBY	\N	\N
269475	923	1998-11-30	VYDAJ	VYBER	15	26442	SLUZBY	\N	\N
269476	923	1996-05-07	VYDAJ	VYBER	2300	21591	\N	\N	\N
269477	923	1996-09-04	VYDAJ	VYBER	400	24297	\N	\N	\N
269478	923	1996-10-04	VYDAJ	VYBER	3400	21386	\N	\N	\N
269479	923	1996-11-03	VYDAJ	VYBER	1600	21220	\N	\N	\N
269480	923	1996-12-03	VYDAJ	VYBER	2000	22897	\N	\N	\N
269481	923	1997-01-02	VYDAJ	VYBER	100	23882	\N	\N	\N
269482	923	1997-02-01	VYDAJ	VYBER	800	19551	\N	\N	\N
269483	923	1997-04-02	VYDAJ	VYBER	1900	20578	\N	\N	\N
269484	923	1997-05-02	VYDAJ	VYBER	4700	18671	\N	\N	\N
269485	923	1997-06-01	VYDAJ	VYBER	2400	17771	\N	\N	\N
269486	923	1997-07-01	VYDAJ	VYBER	1800	19634	\N	\N	\N
269487	923	1997-07-31	VYDAJ	VYBER	2600	20720	\N	\N	\N
269488	923	1997-08-30	VYDAJ	VYBER	3800	20496	\N	\N	\N
269489	923	1997-09-29	VYDAJ	VYBER	4200	17090	\N	\N	\N
269490	923	1997-12-28	VYDAJ	VYBER	1000	23682	\N	\N	\N
269491	923	1998-02-26	VYDAJ	VYBER	1300	23570	\N	\N	\N
269492	923	1998-03-28	VYDAJ	VYBER	400	26846	\N	\N	\N
269493	923	1998-04-27	VYDAJ	VYBER	4200	22812	\N	\N	\N
269494	923	1998-05-27	VYDAJ	VYBER	8000	18498	\N	\N	\N
269495	923	1998-06-26	VYDAJ	VYBER	5700	16476	\N	\N	\N
269496	923	1998-07-26	VYDAJ	VYBER	1100	19038	\N	\N	\N
269497	923	1998-08-25	VYDAJ	VYBER	1300	17471	\N	\N	\N
269498	923	1998-09-24	VYDAJ	VYBER	1200	19921	\N	\N	\N
269499	923	1998-10-24	VYDAJ	VYBER	900	22681	\N	\N	\N
269535	924	1995-12-09	PRIJEM	VKLAD	400	400	\N	\N	\N
269547	924	1995-12-10	PRIJEM	PREVOD Z UCTU	3319	3719	\N	AB	56730765
269548	924	1996-01-10	PRIJEM	PREVOD Z UCTU	3319	17149	\N	AB	56730765
269549	924	1996-02-10	PRIJEM	PREVOD Z UCTU	3319	25123	\N	AB	56730765
269550	924	1996-03-10	PRIJEM	PREVOD Z UCTU	3319	24137	\N	AB	56730765
269551	924	1996-04-10	PRIJEM	PREVOD Z UCTU	3319	26057	\N	AB	56730765
269552	924	1996-05-10	PRIJEM	PREVOD Z UCTU	3319	22851	\N	AB	56730765
269553	924	1996-06-10	PRIJEM	PREVOD Z UCTU	3319	21033	\N	AB	56730765
269554	924	1996-07-10	PRIJEM	PREVOD Z UCTU	3319	23506	\N	AB	56730765
269555	924	1996-08-10	PRIJEM	PREVOD Z UCTU	3319	20813	\N	AB	56730765
269556	924	1996-09-10	PRIJEM	PREVOD Z UCTU	3319	15564	\N	AB	56730765
269557	924	1996-10-10	PRIJEM	PREVOD Z UCTU	3319	17216	\N	AB	56730765
269558	924	1996-11-10	PRIJEM	PREVOD Z UCTU	3319	14360	\N	AB	56730765
269559	924	1996-12-10	PRIJEM	PREVOD Z UCTU	3319	13606	\N	AB	56730765
269560	924	1997-01-10	PRIJEM	PREVOD Z UCTU	3319	14747	\N	AB	56730765
269561	924	1997-02-10	PRIJEM	PREVOD Z UCTU	3319	13871	\N	AB	56730765
269562	924	1997-03-10	PRIJEM	PREVOD Z UCTU	3319	15013	\N	AB	56730765
269563	924	1997-04-10	PRIJEM	PREVOD Z UCTU	3319	14359	\N	AB	56730765
269564	924	1997-05-10	PRIJEM	PREVOD Z UCTU	3319	15403	\N	AB	56730765
269565	924	1997-06-10	PRIJEM	PREVOD Z UCTU	3319	16250	\N	AB	56730765
269566	924	1997-07-10	PRIJEM	PREVOD Z UCTU	3319	14301	\N	AB	56730765
269567	924	1997-08-10	PRIJEM	PREVOD Z UCTU	3319	15445	\N	AB	56730765
269568	924	1997-09-10	PRIJEM	PREVOD Z UCTU	3319	15872	\N	AB	56730765
269569	924	1997-10-10	PRIJEM	PREVOD Z UCTU	3319	16691	\N	AB	56730765
269570	924	1997-11-10	PRIJEM	PREVOD Z UCTU	3319	17843	\N	AB	56730765
269571	924	1997-12-10	PRIJEM	PREVOD Z UCTU	3319	18761	\N	AB	56730765
269572	924	1998-01-10	PRIJEM	PREVOD Z UCTU	3319	19922	\N	AB	56730765
269573	924	1998-02-10	PRIJEM	PREVOD Z UCTU	3319	18655	\N	AB	56730765
269574	924	1998-03-10	PRIJEM	PREVOD Z UCTU	3319	19816	\N	AB	56730765
269575	924	1998-04-10	PRIJEM	PREVOD Z UCTU	3319	20981	\N	AB	56730765
269576	924	1998-05-10	PRIJEM	PREVOD Z UCTU	3319	22152	\N	AB	56730765
269577	924	1998-06-10	PRIJEM	PREVOD Z UCTU	3319	23327	\N	AB	56730765
269578	924	1998-07-10	PRIJEM	PREVOD Z UCTU	3319	17391	\N	AB	56730765
269579	924	1998-08-10	PRIJEM	PREVOD Z UCTU	3319	18546	\N	AB	56730765
269580	924	1998-09-10	PRIJEM	PREVOD Z UCTU	3319	19706	\N	AB	56730765
269581	924	1998-10-10	PRIJEM	PREVOD Z UCTU	3319	20871	\N	AB	56730765
269582	924	1998-11-10	PRIJEM	PREVOD Z UCTU	3319	21019	\N	AB	56730765
269583	924	1998-12-10	PRIJEM	PREVOD Z UCTU	3319	22189	\N	AB	56730765
269600	924	1996-05-06	VYDAJ	PREVOD NA UCET	308	23932	SIPO	MN	21176868
269601	924	1996-06-06	VYDAJ	PREVOD NA UCET	308	17714	SIPO	MN	21176868
269602	924	1996-07-06	VYDAJ	PREVOD NA UCET	308	20187	SIPO	MN	21176868
269603	924	1996-08-06	VYDAJ	PREVOD NA UCET	308	17494	SIPO	MN	21176868
269604	924	1996-09-06	VYDAJ	PREVOD NA UCET	308	12245	SIPO	MN	21176868
269605	924	1996-10-06	VYDAJ	PREVOD NA UCET	308	13897	SIPO	MN	21176868
269606	924	1996-11-06	VYDAJ	PREVOD NA UCET	308	11041	SIPO	MN	21176868
269607	924	1996-12-06	VYDAJ	PREVOD NA UCET	308	10287	SIPO	MN	21176868
269608	924	1997-01-06	VYDAJ	PREVOD NA UCET	308	11428	SIPO	MN	21176868
269609	924	1997-02-06	VYDAJ	PREVOD NA UCET	308	10552	SIPO	MN	21176868
269610	924	1997-03-06	VYDAJ	PREVOD NA UCET	308	11694	SIPO	MN	21176868
269611	924	1997-04-06	VYDAJ	PREVOD NA UCET	308	11040	SIPO	MN	21176868
269612	924	1997-05-06	VYDAJ	PREVOD NA UCET	308	12084	SIPO	MN	21176868
269613	924	1997-06-06	VYDAJ	PREVOD NA UCET	308	12931	SIPO	MN	21176868
269614	924	1997-07-06	VYDAJ	PREVOD NA UCET	308	10982	SIPO	MN	21176868
269615	924	1997-08-06	VYDAJ	PREVOD NA UCET	308	12126	SIPO	MN	21176868
269616	924	1997-09-06	VYDAJ	PREVOD NA UCET	308	12553	SIPO	MN	21176868
269617	924	1997-10-06	VYDAJ	PREVOD NA UCET	308	13372	SIPO	MN	21176868
269618	924	1997-11-06	VYDAJ	PREVOD NA UCET	308	14524	SIPO	MN	21176868
269619	924	1997-12-06	VYDAJ	PREVOD NA UCET	308	15682	SIPO	MN	21176868
269620	924	1998-01-06	VYDAJ	PREVOD NA UCET	308	16603	SIPO	MN	21176868
269621	924	1998-02-06	VYDAJ	PREVOD NA UCET	308	15336	SIPO	MN	21176868
269622	924	1998-03-06	VYDAJ	PREVOD NA UCET	308	16497	SIPO	MN	21176868
269623	924	1998-04-06	VYDAJ	PREVOD NA UCET	308	17662	SIPO	MN	21176868
269624	924	1998-05-06	VYDAJ	PREVOD NA UCET	308	18833	SIPO	MN	21176868
269625	924	1998-06-06	VYDAJ	PREVOD NA UCET	308	20008	SIPO	MN	21176868
269626	924	1998-07-06	VYDAJ	PREVOD NA UCET	308	14072	SIPO	MN	21176868
269627	924	1998-08-06	VYDAJ	PREVOD NA UCET	308	15227	SIPO	MN	21176868
269628	924	1998-09-06	VYDAJ	PREVOD NA UCET	308	16387	SIPO	MN	21176868
269629	924	1998-10-06	VYDAJ	PREVOD NA UCET	308	17552	SIPO	MN	21176868
269630	924	1998-11-06	VYDAJ	PREVOD NA UCET	308	17700	SIPO	MN	21176868
269631	924	1998-12-06	VYDAJ	PREVOD NA UCET	308	18870	SIPO	MN	21176868
269647	924	1996-04-11	VYDAJ	PREVOD NA UCET	1904	24153	 	MN	71253311
269648	924	1996-05-11	VYDAJ	PREVOD NA UCET	1904	20947	 	MN	71253311
269649	924	1996-06-11	VYDAJ	PREVOD NA UCET	1904	19129	 	MN	71253311
269650	924	1996-07-11	VYDAJ	PREVOD NA UCET	1904	20432	 	MN	71253311
269651	924	1996-08-11	VYDAJ	PREVOD NA UCET	1904	18909	 	MN	71253311
269652	924	1996-09-11	VYDAJ	PREVOD NA UCET	1904	13660	 	MN	71253311
269653	924	1996-10-11	VYDAJ	PREVOD NA UCET	1904	15312	 	MN	71253311
269654	924	1996-11-11	VYDAJ	PREVOD NA UCET	1904	12456	 	MN	71253311
269655	924	1996-12-11	VYDAJ	PREVOD NA UCET	1904	11702	 	MN	71253311
269656	924	1997-01-11	VYDAJ	PREVOD NA UCET	1904	12843	 	MN	71253311
269657	924	1997-02-11	VYDAJ	PREVOD NA UCET	1904	11967	 	MN	71253311
269658	924	1997-03-11	VYDAJ	PREVOD NA UCET	1904	13109	 	MN	71253311
269659	924	1997-04-11	VYDAJ	PREVOD NA UCET	1904	12455	 	MN	71253311
269660	924	1997-05-11	VYDAJ	PREVOD NA UCET	1904	13499	 	MN	71253311
269661	924	1997-06-11	VYDAJ	PREVOD NA UCET	1904	14346	 	MN	71253311
269662	924	1997-07-11	VYDAJ	PREVOD NA UCET	1904	12397	 	MN	71253311
269663	924	1997-08-11	VYDAJ	PREVOD NA UCET	1904	13541	 	MN	71253311
269664	924	1997-09-11	VYDAJ	PREVOD NA UCET	1904	13968	 	MN	71253311
269665	924	1997-10-11	VYDAJ	PREVOD NA UCET	1904	14787	 	MN	71253311
269666	924	1997-11-11	VYDAJ	PREVOD NA UCET	1904	15939	 	MN	71253311
269667	924	1997-12-11	VYDAJ	PREVOD NA UCET	1904	16857	 	MN	71253311
269668	924	1998-01-11	VYDAJ	PREVOD NA UCET	1904	18018	 	MN	71253311
269669	924	1998-02-11	VYDAJ	PREVOD NA UCET	1904	16751	 	MN	71253311
269670	924	1998-03-11	VYDAJ	PREVOD NA UCET	1904	17912	 	MN	71253311
269671	924	1998-04-11	VYDAJ	PREVOD NA UCET	1904	19077	 	MN	71253311
269672	924	1998-05-11	VYDAJ	PREVOD NA UCET	1904	20248	 	MN	71253311
269673	924	1998-06-11	VYDAJ	PREVOD NA UCET	1904	21423	 	MN	71253311
269674	924	1998-07-11	VYDAJ	PREVOD NA UCET	1904	15487	 	MN	71253311
269675	924	1998-08-11	VYDAJ	PREVOD NA UCET	1904	16642	 	MN	71253311
269676	924	1998-09-11	VYDAJ	PREVOD NA UCET	1904	17802	 	MN	71253311
269677	924	1998-10-11	VYDAJ	PREVOD NA UCET	1904	18967	 	MN	71253311
269678	924	1998-11-11	VYDAJ	PREVOD NA UCET	1904	19115	 	MN	71253311
269679	924	1998-12-11	VYDAJ	PREVOD NA UCET	1904	20285	 	MN	71253311
269683	924	1998-06-25	VYDAJ	VYBER	6750	14313	\N	\N	\N
269686	924	1997-01-22	VYDAJ	VYBER	420	12423	\N	\N	\N
269687	924	1998-01-22	VYDAJ	VYBER	2430	15588	\N	\N	\N
269690	924	1997-12-09	VYDAJ	VYBER	240	15442	\N	\N	\N
269691	924	1998-12-25	VYDAJ	VYBER	480	19805	\N	\N	\N
269698	924	1996-10-31	VYDAJ	VYBER	510	14849	\N	\N	\N
269699	924	1996-08-16	VYDAJ	VYBER	150	18759	\N	\N	\N
269700	924	1996-07-11	VYDAJ	VYBER	1170	22336	\N	\N	\N
269702	924	1996-08-23	VYDAJ	VYBER	270	18489	\N	\N	\N
269704	924	1997-09-22	VYDAJ	VYBER	330	13638	\N	\N	\N
269705	924	1997-05-13	VYDAJ	VYBER	300	13199	\N	\N	\N
269706	924	1997-08-22	VYDAJ	VYBER	720	12821	\N	\N	\N
269709	924	1998-06-15	VYDAJ	VYBER	360	21063	\N	\N	\N
269710	924	1998-10-22	VYDAJ	VYBER	1020	17947	\N	\N	\N
269727	924	1996-04-30	VYDAJ	VYBER	15	24240	SLUZBY	\N	\N
269728	924	1996-05-31	VYDAJ	VYBER	15	21022	SLUZBY	\N	\N
269729	924	1996-06-30	VYDAJ	VYBER	15	19195	SLUZBY	\N	\N
269730	924	1996-07-31	VYDAJ	VYBER	15	20502	SLUZBY	\N	\N
269731	924	1996-08-31	VYDAJ	VYBER	15	18553	SLUZBY	\N	\N
269732	924	1996-09-30	VYDAJ	VYBER	15	13705	SLUZBY	\N	\N
269733	924	1996-10-31	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
269734	924	1996-11-30	VYDAJ	VYBER	15	12495	SLUZBY	\N	\N
269735	924	1996-12-31	VYDAJ	VYBER	15	11736	SLUZBY	\N	\N
269736	924	1997-01-31	VYDAJ	VYBER	15	12460	SLUZBY	\N	\N
269737	924	1997-02-28	VYDAJ	VYBER	15	12002	SLUZBY	\N	\N
269738	924	1997-03-31	VYDAJ	VYBER	15	13148	SLUZBY	\N	\N
269739	924	1997-04-30	VYDAJ	VYBER	15	12492	SLUZBY	\N	\N
269740	924	1997-05-31	VYDAJ	VYBER	15	13239	SLUZBY	\N	\N
269741	924	1997-06-30	VYDAJ	VYBER	15	14390	SLUZBY	\N	\N
269742	924	1997-07-31	VYDAJ	VYBER	15	12434	SLUZBY	\N	\N
269743	924	1997-08-31	VYDAJ	VYBER	15	12861	SLUZBY	\N	\N
269744	924	1997-09-30	VYDAJ	VYBER	15	13680	SLUZBY	\N	\N
269745	924	1997-10-31	VYDAJ	VYBER	15	14832	SLUZBY	\N	\N
269746	924	1997-11-30	VYDAJ	VYBER	15	15990	SLUZBY	\N	\N
269747	924	1997-12-31	VYDAJ	VYBER	15	16911	SLUZBY	\N	\N
269748	924	1998-01-31	VYDAJ	VYBER	15	15644	SLUZBY	\N	\N
269749	924	1998-02-28	VYDAJ	VYBER	15	16805	SLUZBY	\N	\N
269750	924	1998-03-31	VYDAJ	VYBER	15	17970	SLUZBY	\N	\N
269751	924	1998-04-30	VYDAJ	VYBER	15	19141	SLUZBY	\N	\N
269752	924	1998-05-31	VYDAJ	VYBER	15	20316	SLUZBY	\N	\N
269753	924	1998-06-30	VYDAJ	VYBER	15	14380	SLUZBY	\N	\N
269754	924	1998-07-31	VYDAJ	VYBER	15	15535	SLUZBY	\N	\N
269755	924	1998-08-31	VYDAJ	VYBER	15	16695	SLUZBY	\N	\N
269756	924	1998-09-30	VYDAJ	VYBER	15	17860	SLUZBY	\N	\N
269757	924	1998-10-31	VYDAJ	VYBER	15	18008	SLUZBY	\N	\N
269758	924	1998-11-30	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
269759	924	1996-01-08	PRIJEM	VKLAD	10100	13830	\N	\N	\N
269760	924	1996-02-07	PRIJEM	VKLAD	4600	21804	\N	\N	\N
269761	924	1996-03-08	VYDAJ	VYBER	4400	20818	\N	\N	\N
269762	924	1996-04-07	VYDAJ	VYBER	1500	22738	\N	\N	\N
269763	924	1996-05-07	VYDAJ	VYBER	4400	19532	\N	\N	\N
269764	924	1996-06-06	VYDAJ	VYBER	3000	18022	\N	\N	\N
269765	924	1996-07-06	PRIJEM	VKLAD	1300	20495	\N	\N	\N
269766	924	1996-08-05	VYDAJ	VYBER	2700	17802	\N	\N	\N
269767	924	1996-09-04	VYDAJ	VYBER	6000	12553	\N	\N	\N
269768	924	1996-10-04	PRIJEM	VKLAD	500	14205	\N	\N	\N
269769	924	1996-11-03	VYDAJ	VYBER	3500	11349	\N	\N	\N
269770	924	1996-12-03	VYDAJ	VYBER	1900	10595	\N	\N	\N
269771	924	1997-02-01	VYDAJ	VYBER	1600	10860	\N	\N	\N
269772	924	1997-04-02	VYDAJ	VYBER	1800	11348	\N	\N	\N
269773	924	1997-05-02	VYDAJ	VYBER	100	12392	\N	\N	\N
269774	924	1997-07-01	VYDAJ	VYBER	3100	11290	\N	\N	\N
269812	925	1993-02-23	PRIJEM	VKLAD	500	500	\N	\N	\N
269815	925	1993-03-09	PRIJEM	VKLAD	18500	19000	\N	\N	\N
269816	925	1993-04-09	PRIJEM	VKLAD	18500	41722	\N	\N	\N
269817	925	1993-05-09	PRIJEM	VKLAD	18500	53430	\N	\N	\N
269818	925	1993-06-09	PRIJEM	VKLAD	27750	66129	\N	\N	\N
269819	925	1993-07-09	PRIJEM	VKLAD	18500	64697	\N	\N	\N
269820	925	1993-08-09	PRIJEM	VKLAD	18500	58907	\N	\N	\N
269821	925	1993-09-09	PRIJEM	VKLAD	18500	53594	\N	\N	\N
269822	925	1993-10-09	PRIJEM	VKLAD	18500	53551	\N	\N	\N
269823	925	1993-11-09	PRIJEM	VKLAD	18500	54509	\N	\N	\N
269824	925	1993-12-09	PRIJEM	VKLAD	27750	63928	\N	\N	\N
269825	925	1994-01-09	PRIJEM	VKLAD	18500	59209	\N	\N	\N
269826	925	1994-02-09	PRIJEM	VKLAD	18500	60496	\N	\N	\N
269827	925	1994-03-09	PRIJEM	VKLAD	18500	58683	\N	\N	\N
269828	925	1994-04-09	PRIJEM	VKLAD	18500	56356	\N	\N	\N
269829	925	1994-05-09	PRIJEM	VKLAD	18500	59134	\N	\N	\N
269830	925	1994-06-09	PRIJEM	VKLAD	27750	65557	\N	\N	\N
269831	925	1994-07-09	PRIJEM	VKLAD	18500	59638	\N	\N	\N
269832	925	1994-08-09	PRIJEM	VKLAD	18500	58920	\N	\N	\N
269833	925	1994-09-09	PRIJEM	VKLAD	18500	55685	\N	\N	\N
269834	925	1994-10-09	PRIJEM	VKLAD	18500	51638	\N	\N	\N
269835	925	1994-11-09	PRIJEM	VKLAD	18500	50582	\N	\N	\N
269836	925	1994-12-09	PRIJEM	VKLAD	27750	59370	\N	\N	\N
269837	925	1995-01-09	PRIJEM	VKLAD	18500	56228	\N	\N	\N
269838	925	1995-02-09	PRIJEM	VKLAD	18500	54082	\N	\N	\N
269839	925	1995-03-09	PRIJEM	VKLAD	18500	50422	\N	\N	\N
269840	925	1995-04-09	PRIJEM	VKLAD	18500	46655	\N	\N	\N
269841	925	1995-05-09	PRIJEM	VKLAD	18500	49879	\N	\N	\N
269842	925	1995-06-09	PRIJEM	VKLAD	27750	59258	\N	\N	\N
269843	925	1995-07-09	PRIJEM	VKLAD	18500	52998	\N	\N	\N
269844	925	1995-08-09	PRIJEM	VKLAD	18500	49328	\N	\N	\N
269845	925	1995-09-09	PRIJEM	VKLAD	18500	36835	\N	\N	\N
269846	925	1995-10-09	PRIJEM	VKLAD	18500	40415	\N	\N	\N
269847	925	1995-11-09	PRIJEM	VKLAD	18500	39898	\N	\N	\N
269848	925	1995-12-09	PRIJEM	VKLAD	27750	48931	\N	\N	\N
269849	925	1996-01-09	PRIJEM	VKLAD	18500	44026	\N	\N	\N
269850	925	1996-02-09	PRIJEM	VKLAD	18500	32875	\N	\N	\N
269851	925	1996-03-09	PRIJEM	VKLAD	18500	46088	\N	\N	\N
269852	925	1996-04-09	PRIJEM	VKLAD	18500	39096	\N	\N	\N
269853	925	1996-05-09	PRIJEM	VKLAD	18500	45931	\N	\N	\N
269854	925	1996-06-09	PRIJEM	VKLAD	27750	57447	\N	\N	\N
269855	925	1996-07-09	PRIJEM	VKLAD	18500	54439	\N	\N	\N
269856	925	1996-08-09	PRIJEM	VKLAD	18500	49851	\N	\N	\N
269857	925	1996-09-09	PRIJEM	VKLAD	18500	50646	\N	\N	\N
269858	925	1996-10-09	PRIJEM	VKLAD	18500	47337	\N	\N	\N
269859	925	1996-11-09	PRIJEM	VKLAD	18500	50500	\N	\N	\N
269860	925	1996-12-09	PRIJEM	VKLAD	27750	61836	\N	\N	\N
269861	925	1997-01-09	PRIJEM	VKLAD	18500	55255	\N	\N	\N
269862	925	1997-02-09	PRIJEM	VKLAD	18500	55155	\N	\N	\N
269863	925	1997-03-09	PRIJEM	VKLAD	18500	54345	\N	\N	\N
269864	925	1997-04-09	PRIJEM	VKLAD	18500	55832	\N	\N	\N
269865	925	1997-05-09	PRIJEM	VKLAD	18500	56227	\N	\N	\N
269866	925	1997-06-09	PRIJEM	VKLAD	27750	64692	\N	\N	\N
269867	925	1997-07-09	PRIJEM	VKLAD	18500	61216	\N	\N	\N
269868	925	1997-08-09	PRIJEM	VKLAD	18500	56137	\N	\N	\N
269869	925	1997-09-09	PRIJEM	VKLAD	18500	54054	\N	\N	\N
269870	925	1997-10-09	PRIJEM	VKLAD	18500	55443	\N	\N	\N
269871	925	1997-11-09	PRIJEM	VKLAD	18500	54320	\N	\N	\N
269872	925	1997-12-09	PRIJEM	VKLAD	27750	56136	\N	\N	\N
269873	925	1998-01-09	PRIJEM	VKLAD	18500	59325	\N	\N	\N
269874	925	1998-02-09	PRIJEM	VKLAD	18500	62930	\N	\N	\N
269875	925	1998-03-09	PRIJEM	VKLAD	18500	62336	\N	\N	\N
269876	925	1998-04-09	PRIJEM	VKLAD	18500	63940	\N	\N	\N
269877	925	1998-05-09	PRIJEM	VKLAD	18500	64564	\N	\N	\N
269878	925	1998-06-09	PRIJEM	VKLAD	27750	73228	\N	\N	\N
269879	925	1998-07-09	PRIJEM	VKLAD	18500	69775	\N	\N	\N
269880	925	1998-08-09	PRIJEM	VKLAD	18500	73421	\N	\N	\N
269881	925	1998-09-09	PRIJEM	VKLAD	18500	74577	\N	\N	\N
269882	925	1998-10-09	PRIJEM	VKLAD	18500	71634	\N	\N	\N
269883	925	1998-11-09	PRIJEM	VKLAD	18500	71371	\N	\N	\N
269884	925	1998-12-09	PRIJEM	VKLAD	27750	79963	\N	\N	\N
269891	925	1993-07-09	VYDAJ	PREVOD NA UCET	5395	59302	SIPO	AB	8015108
269892	925	1993-08-09	VYDAJ	PREVOD NA UCET	5395	53512	SIPO	AB	8015108
269893	925	1993-09-09	VYDAJ	PREVOD NA UCET	5395	48199	SIPO	AB	8015108
269894	925	1993-10-09	VYDAJ	PREVOD NA UCET	5395	48156	SIPO	AB	8015108
269895	925	1993-11-09	VYDAJ	PREVOD NA UCET	5395	49114	SIPO	AB	8015108
269896	925	1993-12-09	VYDAJ	PREVOD NA UCET	5395	58533	SIPO	AB	8015108
269897	925	1994-01-09	VYDAJ	PREVOD NA UCET	5395	53814	SIPO	AB	8015108
269898	925	1994-02-09	VYDAJ	PREVOD NA UCET	5395	55101	SIPO	AB	8015108
269899	925	1994-03-09	VYDAJ	PREVOD NA UCET	5395	53288	SIPO	AB	8015108
269900	925	1994-04-09	VYDAJ	PREVOD NA UCET	5395	50961	SIPO	AB	8015108
269901	925	1994-05-09	VYDAJ	PREVOD NA UCET	5395	53739	SIPO	AB	8015108
269902	925	1994-06-09	VYDAJ	PREVOD NA UCET	5395	60162	SIPO	AB	8015108
269903	925	1994-07-09	VYDAJ	PREVOD NA UCET	5395	54243	SIPO	AB	8015108
269904	925	1994-08-09	VYDAJ	PREVOD NA UCET	5395	53525	SIPO	AB	8015108
269905	925	1994-09-09	VYDAJ	PREVOD NA UCET	5395	50290	SIPO	AB	8015108
269906	925	1994-10-09	VYDAJ	PREVOD NA UCET	5395	46243	SIPO	AB	8015108
269907	925	1994-11-09	VYDAJ	PREVOD NA UCET	5395	45187	SIPO	AB	8015108
269908	925	1994-12-09	VYDAJ	PREVOD NA UCET	5395	53975	SIPO	AB	8015108
269909	925	1995-01-09	VYDAJ	PREVOD NA UCET	5395	50833	SIPO	AB	8015108
269910	925	1995-02-09	VYDAJ	PREVOD NA UCET	5395	48687	SIPO	AB	8015108
269911	925	1995-03-09	VYDAJ	PREVOD NA UCET	5395	45027	SIPO	AB	8015108
269912	925	1995-04-09	VYDAJ	PREVOD NA UCET	5395	41260	SIPO	AB	8015108
269913	925	1995-05-09	VYDAJ	PREVOD NA UCET	5395	44484	SIPO	AB	8015108
269914	925	1995-06-09	VYDAJ	PREVOD NA UCET	5395	53863	SIPO	AB	8015108
269915	925	1995-07-09	VYDAJ	PREVOD NA UCET	5395	47603	SIPO	AB	8015108
269916	925	1995-08-09	VYDAJ	PREVOD NA UCET	5395	43933	SIPO	AB	8015108
269917	925	1995-09-09	VYDAJ	PREVOD NA UCET	5395	31440	SIPO	AB	8015108
269918	925	1995-10-09	VYDAJ	PREVOD NA UCET	5395	35020	SIPO	AB	8015108
269919	925	1995-11-09	VYDAJ	PREVOD NA UCET	5395	34503	SIPO	AB	8015108
269920	925	1995-12-09	VYDAJ	PREVOD NA UCET	5395	43536	SIPO	AB	8015108
269921	925	1996-01-09	VYDAJ	PREVOD NA UCET	5395	23031	SIPO	AB	8015108
269922	925	1996-02-09	VYDAJ	PREVOD NA UCET	5395	27480	SIPO	AB	8015108
269923	925	1996-03-09	VYDAJ	PREVOD NA UCET	5395	25093	SIPO	AB	8015108
269924	925	1996-04-09	VYDAJ	PREVOD NA UCET	5395	33701	SIPO	AB	8015108
269925	925	1996-05-09	VYDAJ	PREVOD NA UCET	5395	40536	SIPO	AB	8015108
269926	925	1996-06-09	VYDAJ	PREVOD NA UCET	5395	52052	SIPO	AB	8015108
269927	925	1996-07-09	VYDAJ	PREVOD NA UCET	5395	49044	SIPO	AB	8015108
269928	925	1996-08-09	VYDAJ	PREVOD NA UCET	5395	44456	SIPO	AB	8015108
269929	925	1996-09-09	VYDAJ	PREVOD NA UCET	5395	45251	SIPO	AB	8015108
269930	925	1996-10-09	VYDAJ	PREVOD NA UCET	5395	41942	SIPO	AB	8015108
269931	925	1996-11-09	VYDAJ	PREVOD NA UCET	5395	45105	SIPO	AB	8015108
269932	925	1996-12-09	VYDAJ	PREVOD NA UCET	5395	56441	SIPO	AB	8015108
269933	925	1997-01-09	VYDAJ	PREVOD NA UCET	5395	49860	SIPO	AB	8015108
269934	925	1997-02-09	VYDAJ	PREVOD NA UCET	5395	49760	SIPO	AB	8015108
269935	925	1997-03-09	VYDAJ	PREVOD NA UCET	5395	48950	SIPO	AB	8015108
269936	925	1997-04-09	VYDAJ	PREVOD NA UCET	5395	50437	SIPO	AB	8015108
269937	925	1997-05-09	VYDAJ	PREVOD NA UCET	5395	50832	SIPO	AB	8015108
269938	925	1997-06-09	VYDAJ	PREVOD NA UCET	5395	59297	SIPO	AB	8015108
269939	925	1997-07-09	VYDAJ	PREVOD NA UCET	5395	55821	SIPO	AB	8015108
269940	925	1997-08-09	VYDAJ	PREVOD NA UCET	5395	50742	SIPO	AB	8015108
269941	925	1997-09-09	VYDAJ	PREVOD NA UCET	5395	48659	SIPO	AB	8015108
269942	925	1997-10-09	VYDAJ	PREVOD NA UCET	5395	50048	SIPO	AB	8015108
269943	925	1997-11-09	VYDAJ	PREVOD NA UCET	5395	48925	SIPO	AB	8015108
269944	925	1997-12-09	VYDAJ	PREVOD NA UCET	5395	50741	SIPO	AB	8015108
269945	925	1998-01-09	VYDAJ	PREVOD NA UCET	5395	53930	SIPO	AB	8015108
269946	925	1998-02-09	VYDAJ	PREVOD NA UCET	5395	57535	SIPO	AB	8015108
269947	925	1998-03-09	VYDAJ	PREVOD NA UCET	5395	56941	SIPO	AB	8015108
269948	925	1998-04-09	VYDAJ	PREVOD NA UCET	5395	58545	SIPO	AB	8015108
269949	925	1998-05-09	VYDAJ	PREVOD NA UCET	5395	59169	SIPO	AB	8015108
269950	925	1998-06-09	VYDAJ	PREVOD NA UCET	5395	67833	SIPO	AB	8015108
269951	925	1998-07-09	VYDAJ	PREVOD NA UCET	5395	64380	SIPO	AB	8015108
269952	925	1998-08-09	VYDAJ	PREVOD NA UCET	5395	68026	SIPO	AB	8015108
269953	925	1998-09-09	VYDAJ	PREVOD NA UCET	5395	69182	SIPO	AB	8015108
269954	925	1998-10-09	VYDAJ	PREVOD NA UCET	5395	66239	SIPO	AB	8015108
269955	925	1998-11-09	VYDAJ	PREVOD NA UCET	5395	65976	SIPO	AB	8015108
269956	925	1998-12-09	VYDAJ	PREVOD NA UCET	5395	74568	SIPO	AB	8015108
270029	925	1993-12-26	VYDAJ	VYBER	700	40533	\N	\N	\N
270030	925	1994-12-19	VYDAJ	VYBER	800	37575	\N	\N	\N
270031	925	1995-12-05	VYDAJ	VYBER	1300	21181	\N	\N	\N
270032	925	1996-12-22	VYDAJ	VYBER	1500	54941	\N	\N	\N
270033	925	1997-12-07	VYDAJ	VYBER	2300	30486	\N	\N	\N
270034	925	1998-12-27	VYDAJ	VYBER	2000	57368	\N	\N	\N
270036	925	1993-10-11	VYDAJ	VYBER	1500	46656	\N	\N	\N
270037	925	1993-09-10	VYDAJ	VYBER	3500	44699	\N	\N	\N
270039	925	1993-09-06	VYDAJ	VYBER	2800	35094	\N	\N	\N
270041	925	1994-07-17	VYDAJ	VYBER	2300	51943	\N	\N	\N
270042	925	1994-05-15	VYDAJ	VYBER	4400	49339	\N	\N	\N
270043	925	1994-09-25	VYDAJ	VYBER	500	34490	\N	\N	\N
270044	925	1994-06-16	VYDAJ	VYBER	1500	58662	\N	\N	\N
270045	925	1994-10-04	VYDAJ	VYBER	1500	33138	\N	\N	\N
270046	925	1995-03-23	VYDAJ	VYBER	4300	28027	\N	\N	\N
270047	925	1995-08-18	VYDAJ	VYBER	4800	23133	\N	\N	\N
270048	925	1995-08-29	VYDAJ	VYBER	4900	18233	\N	\N	\N
270049	925	1996-02-03	VYDAJ	VYBER	1800	21375	\N	\N	\N
270050	925	1996-10-12	VYDAJ	VYBER	1300	40642	\N	\N	\N
270051	925	1996-03-14	VYDAJ	VYBER	600	24493	\N	\N	\N
270052	925	1997-06-27	VYDAJ	VYBER	2300	56997	\N	\N	\N
270053	925	1997-02-09	VYDAJ	VYBER	800	48960	\N	\N	\N
270054	925	1997-02-23	VYDAJ	VYBER	3700	45260	\N	\N	\N
270055	925	1997-03-27	VYDAJ	VYBER	600	48350	\N	\N	\N
270056	925	1997-12-07	VYDAJ	VYBER	1400	32786	\N	\N	\N
270057	925	1997-11-14	VYDAJ	VYBER	2900	46025	\N	\N	\N
270058	925	1997-12-07	VYDAJ	VYBER	2100	28386	\N	\N	\N
270059	925	1998-05-20	VYDAJ	VYBER	3800	55369	\N	\N	\N
270060	925	1998-10-16	VYDAJ	VYBER	800	65439	\N	\N	\N
270068	925	1993-07-31	VYDAJ	VYBER	15	40407	SLUZBY	\N	\N
270069	925	1993-08-31	VYDAJ	VYBER	15	37894	SLUZBY	\N	\N
270070	925	1993-09-30	VYDAJ	VYBER	15	35051	SLUZBY	\N	\N
270071	925	1993-10-31	VYDAJ	VYBER	15	36009	SLUZBY	\N	\N
270072	925	1993-11-30	VYDAJ	VYBER	15	36178	SLUZBY	\N	\N
270073	925	1993-12-31	VYDAJ	VYBER	15	40709	SLUZBY	\N	\N
270074	925	1994-01-31	VYDAJ	VYBER	15	41996	SLUZBY	\N	\N
270075	925	1994-02-28	VYDAJ	VYBER	15	40183	SLUZBY	\N	\N
270076	925	1994-03-31	VYDAJ	VYBER	15	37856	SLUZBY	\N	\N
270077	925	1994-04-30	VYDAJ	VYBER	15	40634	SLUZBY	\N	\N
270078	925	1994-05-31	VYDAJ	VYBER	15	37807	SLUZBY	\N	\N
270079	925	1994-06-30	VYDAJ	VYBER	15	41138	SLUZBY	\N	\N
270080	925	1994-07-31	VYDAJ	VYBER	15	40420	SLUZBY	\N	\N
270081	925	1994-08-31	VYDAJ	VYBER	15	37185	SLUZBY	\N	\N
270082	925	1994-09-30	VYDAJ	VYBER	15	34638	SLUZBY	\N	\N
270083	925	1994-10-31	VYDAJ	VYBER	15	32082	SLUZBY	\N	\N
270084	925	1994-11-30	VYDAJ	VYBER	15	31620	SLUZBY	\N	\N
270085	925	1994-12-31	VYDAJ	VYBER	15	37728	SLUZBY	\N	\N
270086	925	1995-01-31	VYDAJ	VYBER	15	35582	SLUZBY	\N	\N
270087	925	1995-02-28	VYDAJ	VYBER	15	31922	SLUZBY	\N	\N
270088	925	1995-03-31	VYDAJ	VYBER	15	28155	SLUZBY	\N	\N
270089	925	1995-04-30	VYDAJ	VYBER	15	31379	SLUZBY	\N	\N
270090	925	1995-05-31	VYDAJ	VYBER	15	31508	SLUZBY	\N	\N
270091	925	1995-06-30	VYDAJ	VYBER	15	34498	SLUZBY	\N	\N
270092	925	1995-07-31	VYDAJ	VYBER	15	30828	SLUZBY	\N	\N
270093	925	1995-08-31	VYDAJ	VYBER	15	18335	SLUZBY	\N	\N
270094	925	1995-09-30	VYDAJ	VYBER	15	21915	SLUZBY	\N	\N
270095	925	1995-10-31	VYDAJ	VYBER	15	21398	SLUZBY	\N	\N
270096	925	1995-11-30	VYDAJ	VYBER	15	22481	SLUZBY	\N	\N
270097	925	1995-12-31	VYDAJ	VYBER	15	25526	SLUZBY	\N	\N
270098	925	1996-01-31	VYDAJ	VYBER	15	23175	SLUZBY	\N	\N
270099	925	1996-02-29	VYDAJ	VYBER	15	27588	SLUZBY	\N	\N
270100	925	1996-03-31	VYDAJ	VYBER	15	24596	SLUZBY	\N	\N
270101	925	1996-04-30	VYDAJ	VYBER	15	33831	SLUZBY	\N	\N
270102	925	1996-05-31	VYDAJ	VYBER	15	40697	SLUZBY	\N	\N
270103	925	1996-06-30	VYDAJ	VYBER	15	52239	SLUZBY	\N	\N
270104	925	1996-07-31	VYDAJ	VYBER	15	49251	SLUZBY	\N	\N
270105	925	1996-08-31	VYDAJ	VYBER	15	44646	SLUZBY	\N	\N
270106	925	1996-09-30	VYDAJ	VYBER	15	45437	SLUZBY	\N	\N
270107	925	1996-10-31	VYDAJ	VYBER	15	40800	SLUZBY	\N	\N
270108	925	1996-11-30	VYDAJ	VYBER	15	45286	SLUZBY	\N	\N
270109	925	1996-12-31	VYDAJ	VYBER	15	55155	SLUZBY	\N	\N
270110	925	1997-01-31	VYDAJ	VYBER	15	50055	SLUZBY	\N	\N
270111	925	1997-02-28	VYDAJ	VYBER	15	45445	SLUZBY	\N	\N
270112	925	1997-03-31	VYDAJ	VYBER	15	48532	SLUZBY	\N	\N
270113	925	1997-04-30	VYDAJ	VYBER	15	50627	SLUZBY	\N	\N
270114	925	1997-05-31	VYDAJ	VYBER	15	51042	SLUZBY	\N	\N
270115	925	1997-06-30	VYDAJ	VYBER	15	57216	SLUZBY	\N	\N
270116	925	1997-07-31	VYDAJ	VYBER	15	56037	SLUZBY	\N	\N
270117	925	1997-08-31	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
270118	925	1997-09-30	VYDAJ	VYBER	15	36943	SLUZBY	\N	\N
270119	925	1997-10-31	VYDAJ	VYBER	15	35820	SLUZBY	\N	\N
270120	925	1997-11-30	VYDAJ	VYBER	15	34186	SLUZBY	\N	\N
270121	925	1997-12-31	VYDAJ	VYBER	15	40825	SLUZBY	\N	\N
270122	925	1998-01-31	VYDAJ	VYBER	15	44430	SLUZBY	\N	\N
270123	925	1998-02-28	VYDAJ	VYBER	15	43836	SLUZBY	\N	\N
270124	925	1998-03-31	VYDAJ	VYBER	15	45440	SLUZBY	\N	\N
270125	925	1998-04-30	VYDAJ	VYBER	15	46064	SLUZBY	\N	\N
270126	925	1998-05-31	VYDAJ	VYBER	15	45478	SLUZBY	\N	\N
270127	925	1998-06-30	VYDAJ	VYBER	15	51275	SLUZBY	\N	\N
270128	925	1998-07-31	VYDAJ	VYBER	15	54921	SLUZBY	\N	\N
270129	925	1998-08-31	VYDAJ	VYBER	15	56077	SLUZBY	\N	\N
270130	925	1998-09-30	VYDAJ	VYBER	15	53134	SLUZBY	\N	\N
270131	925	1998-10-31	VYDAJ	VYBER	15	52871	SLUZBY	\N	\N
270132	925	1998-11-30	VYDAJ	VYBER	15	52213	SLUZBY	\N	\N
270133	925	1993-03-25	PRIJEM	VKLAD	4200	23200	\N	\N	\N
270134	925	1993-04-24	VYDAJ	VYBER	6900	34822	\N	\N	\N
270135	925	1993-05-24	VYDAJ	VYBER	15200	38230	\N	\N	\N
270136	925	1993-06-23	VYDAJ	VYBER	20100	46029	\N	\N	\N
270137	925	1993-07-23	VYDAJ	VYBER	19100	40202	\N	\N	\N
270138	925	1993-08-22	VYDAJ	VYBER	15800	37712	\N	\N	\N
270139	925	1993-09-21	VYDAJ	VYBER	9800	34899	\N	\N	\N
270140	925	1993-10-21	VYDAJ	VYBER	10800	35856	\N	\N	\N
270141	925	1993-11-20	VYDAJ	VYBER	13100	36014	\N	\N	\N
270142	925	1993-12-20	VYDAJ	VYBER	17300	41233	\N	\N	\N
270143	925	1994-01-19	VYDAJ	VYBER	12000	41814	\N	\N	\N
270144	925	1994-02-18	VYDAJ	VYBER	15100	40001	\N	\N	\N
270145	925	1994-03-20	VYDAJ	VYBER	15600	37688	\N	\N	\N
270146	925	1994-04-19	VYDAJ	VYBER	10500	40461	\N	\N	\N
270147	925	1994-05-19	VYDAJ	VYBER	11700	37639	\N	\N	\N
270148	925	1994-06-18	VYDAJ	VYBER	17700	40962	\N	\N	\N
270149	925	1994-07-18	VYDAJ	VYBER	11700	40243	\N	\N	\N
270150	925	1994-08-17	VYDAJ	VYBER	16500	37025	\N	\N	\N
270151	925	1994-09-16	VYDAJ	VYBER	15300	34990	\N	\N	\N
270152	925	1994-10-16	VYDAJ	VYBER	14300	31943	\N	\N	\N
270153	925	1994-11-15	VYDAJ	VYBER	13700	31487	\N	\N	\N
270154	925	1994-12-15	VYDAJ	VYBER	15600	38375	\N	\N	\N
270155	925	1995-01-14	VYDAJ	VYBER	15400	35433	\N	\N	\N
270156	925	1995-02-13	VYDAJ	VYBER	16900	31787	\N	\N	\N
270157	925	1995-03-15	VYDAJ	VYBER	12700	32327	\N	\N	\N
270158	925	1995-04-14	VYDAJ	VYBER	10000	31260	\N	\N	\N
270159	925	1995-05-14	VYDAJ	VYBER	13100	31384	\N	\N	\N
270160	925	1995-06-13	VYDAJ	VYBER	19500	34363	\N	\N	\N
270161	925	1995-07-13	VYDAJ	VYBER	16900	30703	\N	\N	\N
270162	925	1995-08-12	VYDAJ	VYBER	16000	27933	\N	\N	\N
270163	925	1995-09-11	VYDAJ	VYBER	9600	21840	\N	\N	\N
270164	925	1995-10-11	VYDAJ	VYBER	13700	21320	\N	\N	\N
270165	925	1995-11-10	VYDAJ	VYBER	12100	22403	\N	\N	\N
270166	925	1995-12-10	VYDAJ	VYBER	18100	25436	\N	\N	\N
270167	925	1996-01-09	VYDAJ	VYBER	15600	28426	\N	\N	\N
270168	925	1996-02-08	VYDAJ	VYBER	7000	14375	\N	\N	\N
270169	925	1996-03-09	VYDAJ	VYBER	15600	30488	\N	\N	\N
270170	925	1996-04-08	VYDAJ	VYBER	4000	20596	\N	\N	\N
270171	925	1996-05-08	VYDAJ	VYBER	6400	27431	\N	\N	\N
270172	925	1996-06-07	VYDAJ	VYBER	11000	29697	\N	\N	\N
270173	925	1996-07-07	VYDAJ	VYBER	16300	35939	\N	\N	\N
270174	925	1996-08-06	VYDAJ	VYBER	17900	31351	\N	\N	\N
270175	925	1996-09-05	VYDAJ	VYBER	12500	32146	\N	\N	\N
270176	925	1996-10-05	VYDAJ	VYBER	16600	28837	\N	\N	\N
270177	925	1996-11-04	VYDAJ	VYBER	8800	32000	\N	\N	\N
270178	925	1996-12-04	VYDAJ	VYBER	11200	34086	\N	\N	\N
270179	925	1997-01-03	VYDAJ	VYBER	18400	36755	\N	\N	\N
270180	925	1997-02-02	VYDAJ	VYBER	13400	36655	\N	\N	\N
270181	925	1997-03-04	VYDAJ	VYBER	9600	35845	\N	\N	\N
270182	925	1997-04-03	VYDAJ	VYBER	11200	37332	\N	\N	\N
270183	925	1997-05-03	VYDAJ	VYBER	12900	37727	\N	\N	\N
270184	925	1997-06-02	VYDAJ	VYBER	14100	36942	\N	\N	\N
270185	925	1997-07-02	VYDAJ	VYBER	14500	42716	\N	\N	\N
270186	925	1997-08-01	VYDAJ	VYBER	18400	37637	\N	\N	\N
270187	925	1997-08-31	VYDAJ	VYBER	15400	35569	\N	\N	\N
270188	925	1997-09-30	VYDAJ	VYBER	11900	36958	\N	\N	\N
270189	925	1997-10-30	VYDAJ	VYBER	14400	35648	\N	\N	\N
270190	925	1997-11-29	VYDAJ	VYBER	12000	34025	\N	\N	\N
270191	925	1997-12-29	VYDAJ	VYBER	10100	40641	\N	\N	\N
270192	925	1998-01-28	VYDAJ	VYBER	9700	44230	\N	\N	\N
270193	925	1998-02-27	VYDAJ	VYBER	13900	43635	\N	\N	\N
270194	925	1998-03-29	VYDAJ	VYBER	11700	45241	\N	\N	\N
270195	925	1998-04-28	VYDAJ	VYBER	12700	45845	\N	\N	\N
270196	925	1998-05-28	VYDAJ	VYBER	10100	45269	\N	\N	\N
270197	925	1998-06-27	VYDAJ	VYBER	16800	51033	\N	\N	\N
270198	925	1998-07-27	VYDAJ	VYBER	9700	54680	\N	\N	\N
270199	925	1998-08-26	VYDAJ	VYBER	12200	55826	\N	\N	\N
270200	925	1998-09-25	VYDAJ	VYBER	16300	52882	\N	\N	\N
270201	925	1998-10-25	VYDAJ	VYBER	12800	52639	\N	\N	\N
270202	925	1998-11-24	VYDAJ	VYBER	14000	51976	\N	\N	\N
270203	925	1998-12-24	VYDAJ	VYBER	15200	59368	\N	\N	\N
270274	926	1996-11-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
270285	926	1996-11-10	PRIJEM	PREVOD Z UCTU	4714	5814	DUCHOD	OP	31212187
270286	926	1996-12-10	PRIJEM	PREVOD Z UCTU	4714	10545	DUCHOD	OP	31212187
270287	926	1997-01-10	PRIJEM	PREVOD Z UCTU	4714	15283	DUCHOD	OP	31212187
270288	926	1997-02-10	PRIJEM	PREVOD Z UCTU	4714	20021	DUCHOD	OP	31212187
270289	926	1997-03-10	PRIJEM	PREVOD Z UCTU	4714	24760	DUCHOD	OP	31212187
270290	926	1997-04-10	PRIJEM	PREVOD Z UCTU	4714	27784	DUCHOD	OP	31212187
270291	926	1997-05-10	PRIJEM	PREVOD Z UCTU	4714	29400	DUCHOD	OP	31212187
270292	926	1997-06-10	PRIJEM	PREVOD Z UCTU	4714	32464	DUCHOD	OP	31212187
270293	926	1997-07-10	PRIJEM	PREVOD Z UCTU	4714	28685	DUCHOD	OP	31212187
270294	926	1997-08-10	PRIJEM	PREVOD Z UCTU	4714	28043	DUCHOD	OP	31212187
270295	926	1997-09-10	PRIJEM	PREVOD Z UCTU	4714	25556	DUCHOD	OP	31212187
270296	926	1997-10-10	PRIJEM	PREVOD Z UCTU	4714	20000	DUCHOD	OP	31212187
270297	926	1997-11-10	PRIJEM	PREVOD Z UCTU	4714	23028	DUCHOD	OP	31212187
270298	926	1997-12-10	PRIJEM	PREVOD Z UCTU	4714	26064	DUCHOD	OP	31212187
270299	926	1998-01-10	PRIJEM	PREVOD Z UCTU	4714	20829	DUCHOD	OP	31212187
270300	926	1998-02-10	PRIJEM	PREVOD Z UCTU	4714	19047	DUCHOD	OP	31212187
270301	926	1998-03-10	PRIJEM	PREVOD Z UCTU	4714	18163	DUCHOD	OP	31212187
270302	926	1998-04-10	PRIJEM	PREVOD Z UCTU	4714	19578	DUCHOD	OP	31212187
270303	926	1998-05-10	PRIJEM	PREVOD Z UCTU	4714	22599	DUCHOD	OP	31212187
270304	926	1998-06-10	PRIJEM	PREVOD Z UCTU	4714	17325	DUCHOD	OP	31212187
270305	926	1998-07-10	PRIJEM	PREVOD Z UCTU	4714	17034	DUCHOD	OP	31212187
270306	926	1998-08-10	PRIJEM	PREVOD Z UCTU	4714	17042	DUCHOD	OP	31212187
270307	926	1998-09-10	PRIJEM	PREVOD Z UCTU	4714	20053	DUCHOD	OP	31212187
270308	926	1998-10-10	PRIJEM	PREVOD Z UCTU	4714	23076	DUCHOD	OP	31212187
270309	926	1998-11-10	PRIJEM	PREVOD Z UCTU	4714	25812	DUCHOD	OP	31212187
270310	926	1998-12-10	PRIJEM	PREVOD Z UCTU	4714	28058	DUCHOD	OP	31212187
270325	926	1997-03-11	VYDAJ	PREVOD NA UCET	1748	23012	SIPO	UV	50076764
270326	926	1997-04-11	VYDAJ	PREVOD NA UCET	1748	26036	SIPO	UV	50076764
270327	926	1997-05-11	VYDAJ	PREVOD NA UCET	1748	27652	SIPO	UV	50076764
270328	926	1997-06-11	VYDAJ	PREVOD NA UCET	1748	30716	SIPO	UV	50076764
270329	926	1997-07-11	VYDAJ	PREVOD NA UCET	1748	26937	SIPO	UV	50076764
270330	926	1997-08-11	VYDAJ	PREVOD NA UCET	1748	26295	SIPO	UV	50076764
270331	926	1997-09-11	VYDAJ	PREVOD NA UCET	1748	23808	SIPO	UV	50076764
270332	926	1997-10-11	VYDAJ	PREVOD NA UCET	1748	18252	SIPO	UV	50076764
270333	926	1997-11-11	VYDAJ	PREVOD NA UCET	1748	21280	SIPO	UV	50076764
270334	926	1997-12-11	VYDAJ	PREVOD NA UCET	1748	24316	SIPO	UV	50076764
270335	926	1998-01-11	VYDAJ	PREVOD NA UCET	1748	17641	SIPO	UV	50076764
270336	926	1998-02-11	VYDAJ	PREVOD NA UCET	1748	17299	SIPO	UV	50076764
270337	926	1998-03-11	VYDAJ	PREVOD NA UCET	1748	16415	SIPO	UV	50076764
270338	926	1998-04-11	VYDAJ	PREVOD NA UCET	1748	17830	SIPO	UV	50076764
270339	926	1998-05-11	VYDAJ	PREVOD NA UCET	1748	20851	SIPO	UV	50076764
270340	926	1998-06-11	VYDAJ	PREVOD NA UCET	1748	15577	SIPO	UV	50076764
270341	926	1998-07-11	VYDAJ	PREVOD NA UCET	1748	15286	SIPO	UV	50076764
270342	926	1998-08-11	VYDAJ	PREVOD NA UCET	1748	15294	SIPO	UV	50076764
270343	926	1998-09-11	VYDAJ	PREVOD NA UCET	1748	18305	SIPO	UV	50076764
270344	926	1998-10-11	VYDAJ	PREVOD NA UCET	1748	21328	SIPO	UV	50076764
270345	926	1998-11-11	VYDAJ	PREVOD NA UCET	1748	24064	SIPO	UV	50076764
270346	926	1998-12-11	VYDAJ	PREVOD NA UCET	1748	26310	SIPO	UV	50076764
270348	926	1997-06-26	VYDAJ	VYBER	6850	23866	\N	\N	\N
270354	926	1997-12-16	VYDAJ	VYBER	500	23816	\N	\N	\N
270355	926	1998-12-16	VYDAJ	VYBER	1400	24910	\N	\N	\N
270368	926	1998-01-02	VYDAJ	VYBER	1120	19475	\N	\N	\N
270369	926	1998-01-19	VYDAJ	VYBER	640	14281	\N	\N	\N
270370	926	1998-01-18	VYDAJ	VYBER	960	14921	\N	\N	\N
270372	926	1998-01-13	VYDAJ	VYBER	1760	15881	\N	\N	\N
270373	926	1998-01-10	VYDAJ	VYBER	1440	19389	\N	\N	\N
270377	926	1997-08-26	VYDAJ	VYBER	1840	24455	\N	\N	\N
270378	926	1997-10-09	VYDAJ	VYBER	3600	15286	\N	\N	\N
270379	926	1997-05-09	VYDAJ	VYBER	1040	24686	\N	\N	\N
270383	926	1998-01-05	VYDAJ	VYBER	3360	16115	\N	\N	\N
270399	926	1997-03-31	VYDAJ	VYBER	15	23070	SLUZBY	\N	\N
270400	926	1997-04-30	VYDAJ	VYBER	15	26126	SLUZBY	\N	\N
270401	926	1997-05-31	VYDAJ	VYBER	15	27750	SLUZBY	\N	\N
270402	926	1997-06-30	VYDAJ	VYBER	15	23971	SLUZBY	\N	\N
270403	926	1997-07-31	VYDAJ	VYBER	15	23329	SLUZBY	\N	\N
270404	926	1997-08-31	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
270405	926	1997-09-30	VYDAJ	VYBER	15	18886	SLUZBY	\N	\N
270406	926	1997-10-31	VYDAJ	VYBER	15	18314	SLUZBY	\N	\N
270407	926	1997-11-30	VYDAJ	VYBER	15	21350	SLUZBY	\N	\N
270408	926	1997-12-31	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
270409	926	1998-01-31	VYDAJ	VYBER	15	14333	SLUZBY	\N	\N
270410	926	1998-02-28	VYDAJ	VYBER	15	13449	SLUZBY	\N	\N
270411	926	1998-03-31	VYDAJ	VYBER	15	14864	SLUZBY	\N	\N
270412	926	1998-04-30	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
270413	926	1998-05-31	VYDAJ	VYBER	15	12611	SLUZBY	\N	\N
270414	926	1998-06-30	VYDAJ	VYBER	15	12320	SLUZBY	\N	\N
270415	926	1998-07-31	VYDAJ	VYBER	15	12328	SLUZBY	\N	\N
270416	926	1998-08-31	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
270417	926	1998-09-30	VYDAJ	VYBER	15	18362	SLUZBY	\N	\N
270418	926	1998-10-31	VYDAJ	VYBER	15	21098	SLUZBY	\N	\N
270419	926	1998-11-30	VYDAJ	VYBER	15	23344	SLUZBY	\N	\N
270420	926	1997-04-30	VYDAJ	VYBER	400	25726	\N	\N	\N
270421	926	1997-07-29	VYDAJ	VYBER	3700	23237	\N	\N	\N
270422	926	1997-08-28	VYDAJ	VYBER	3700	20755	\N	\N	\N
270423	926	1997-09-27	VYDAJ	VYBER	5000	18808	\N	\N	\N
270424	926	1997-12-26	VYDAJ	VYBER	3300	20516	\N	\N	\N
270425	926	1998-02-24	VYDAJ	VYBER	3900	13399	\N	\N	\N
270426	926	1998-03-26	VYDAJ	VYBER	1600	14815	\N	\N	\N
270427	926	1998-05-25	VYDAJ	VYBER	8300	12551	\N	\N	\N
270428	926	1998-06-24	VYDAJ	VYBER	3300	12277	\N	\N	\N
270429	926	1998-07-24	VYDAJ	VYBER	3000	12286	\N	\N	\N
270430	926	1998-10-22	VYDAJ	VYBER	300	21028	\N	\N	\N
270431	926	1998-11-21	VYDAJ	VYBER	800	23264	\N	\N	\N
270458	927	1997-04-12	PRIJEM	VKLAD	400	400	\N	\N	\N
270463	927	1997-05-11	PRIJEM	VKLAD	11934	12334	\N	\N	\N
270464	927	1997-06-11	PRIJEM	VKLAD	17901	34580	\N	\N	\N
270465	927	1997-07-11	PRIJEM	VKLAD	11934	37433	\N	\N	\N
270466	927	1997-08-11	PRIJEM	VKLAD	11934	38219	\N	\N	\N
270467	927	1997-09-11	PRIJEM	VKLAD	11934	42111	\N	\N	\N
270468	927	1997-10-11	PRIJEM	VKLAD	11934	38091	\N	\N	\N
270469	927	1997-11-11	PRIJEM	VKLAD	11934	29362	\N	\N	\N
270470	927	1997-12-11	PRIJEM	VKLAD	17901	30666	\N	\N	\N
270471	927	1998-01-11	PRIJEM	VKLAD	11934	23156	\N	\N	\N
270472	927	1998-02-11	PRIJEM	VKLAD	11934	19462	\N	\N	\N
270473	927	1998-03-11	PRIJEM	VKLAD	11934	23444	\N	\N	\N
270474	927	1998-04-11	PRIJEM	VKLAD	11934	18240	\N	\N	\N
270475	927	1998-05-11	PRIJEM	VKLAD	11934	22825	\N	\N	\N
270476	927	1998-06-11	PRIJEM	VKLAD	17901	27389	\N	\N	\N
270477	927	1998-07-11	PRIJEM	VKLAD	11934	22001	\N	\N	\N
270478	927	1998-08-11	PRIJEM	VKLAD	11934	22104	\N	\N	\N
270479	927	1998-09-11	PRIJEM	VKLAD	11934	20301	\N	\N	\N
270480	927	1998-10-11	PRIJEM	VKLAD	11934	19253	\N	\N	\N
270481	927	1998-11-11	PRIJEM	VKLAD	11934	22235	\N	\N	\N
270482	927	1998-12-11	PRIJEM	VKLAD	17901	26288	\N	\N	\N
270491	927	1997-09-14	VYDAJ	PREVOD NA UCET	1623	40488	SIPO	AB	99075811
270492	927	1997-10-14	VYDAJ	PREVOD NA UCET	1623	36468	SIPO	AB	99075811
270493	927	1997-11-14	VYDAJ	PREVOD NA UCET	1623	27739	SIPO	AB	99075811
270494	927	1997-12-14	VYDAJ	PREVOD NA UCET	1623	29043	SIPO	AB	99075811
270495	927	1998-01-14	VYDAJ	PREVOD NA UCET	1623	15773	SIPO	AB	99075811
270496	927	1998-02-14	VYDAJ	PREVOD NA UCET	1623	17839	SIPO	AB	99075811
270497	927	1998-03-14	VYDAJ	PREVOD NA UCET	1623	21821	SIPO	AB	99075811
270498	927	1998-04-14	VYDAJ	PREVOD NA UCET	1623	16617	SIPO	AB	99075811
270499	927	1998-05-14	VYDAJ	PREVOD NA UCET	1623	21202	SIPO	AB	99075811
270500	927	1998-06-14	VYDAJ	PREVOD NA UCET	1623	25766	SIPO	AB	99075811
270501	927	1998-07-14	VYDAJ	PREVOD NA UCET	1623	20378	SIPO	AB	99075811
270502	927	1998-08-14	VYDAJ	PREVOD NA UCET	1623	20481	SIPO	AB	99075811
270503	927	1998-09-14	VYDAJ	PREVOD NA UCET	1623	18678	SIPO	AB	99075811
270504	927	1998-10-14	VYDAJ	PREVOD NA UCET	1623	17630	SIPO	AB	99075811
270505	927	1998-11-14	VYDAJ	PREVOD NA UCET	1623	20612	SIPO	AB	99075811
270506	927	1998-12-14	VYDAJ	PREVOD NA UCET	1623	24665	SIPO	AB	99075811
270516	927	1997-10-09	VYDAJ	PREVOD NA UCET	5782	34857	 	OP	57618069
270517	927	1997-11-09	VYDAJ	PREVOD NA UCET	5782	17428	 	OP	57618069
270518	927	1997-12-09	VYDAJ	PREVOD NA UCET	5782	12765	 	OP	57618069
270519	927	1998-01-09	VYDAJ	PREVOD NA UCET	5782	11222	 	OP	57618069
270520	927	1998-02-09	VYDAJ	PREVOD NA UCET	5782	7528	 	OP	57618069
270521	927	1998-03-09	VYDAJ	PREVOD NA UCET	5782	11510	 	OP	57618069
270522	927	1998-04-09	VYDAJ	PREVOD NA UCET	5782	6306	 	OP	57618069
270523	927	1998-05-09	VYDAJ	PREVOD NA UCET	5782	10891	 	OP	57618069
270524	927	1998-06-09	VYDAJ	PREVOD NA UCET	5782	9488	 	OP	57618069
270525	927	1998-07-09	VYDAJ	PREVOD NA UCET	5782	10067	 	OP	57618069
270526	927	1998-08-09	VYDAJ	PREVOD NA UCET	5782	10170	 	OP	57618069
270527	927	1998-09-09	VYDAJ	PREVOD NA UCET	5782	8367	 	OP	57618069
270528	927	1998-10-09	VYDAJ	PREVOD NA UCET	5782	7319	 	OP	57618069
270529	927	1998-11-09	VYDAJ	PREVOD NA UCET	5782	10301	 	OP	57618069
270530	927	1998-12-09	VYDAJ	PREVOD NA UCET	5782	8387	 	OP	57618069
270535	927	1997-12-27	VYDAJ	VYBER	1440	27603	\N	\N	\N
270545	927	1998-01-16	VYDAJ	VYBER	2520	13253	\N	\N	\N
270554	927	1998-01-11	VYDAJ	VYBER	5760	17396	\N	\N	\N
270555	927	1998-03-19	VYDAJ	VYBER	1800	20021	\N	\N	\N
270556	927	1998-10-03	VYDAJ	VYBER	2640	16101	\N	\N	\N
270557	927	1998-11-16	VYDAJ	VYBER	4200	16412	\N	\N	\N
270558	927	1998-02-18	VYDAJ	VYBER	600	17239	\N	\N	\N
270568	927	1997-09-30	VYDAJ	VYBER	15	40639	SLUZBY	\N	\N
270569	927	1997-10-31	VYDAJ	VYBER	15	36610	SLUZBY	\N	\N
270570	927	1997-11-30	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
270571	927	1997-12-31	VYDAJ	VYBER	15	27704	SLUZBY	\N	\N
270572	927	1998-01-31	VYDAJ	VYBER	15	13310	SLUZBY	\N	\N
270573	927	1998-02-28	VYDAJ	VYBER	15	17292	SLUZBY	\N	\N
270574	927	1998-03-31	VYDAJ	VYBER	15	20088	SLUZBY	\N	\N
270575	927	1998-04-30	VYDAJ	VYBER	15	16673	SLUZBY	\N	\N
270576	927	1998-05-31	VYDAJ	VYBER	15	21270	SLUZBY	\N	\N
270577	927	1998-06-30	VYDAJ	VYBER	15	25849	SLUZBY	\N	\N
270578	927	1998-07-31	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
270579	927	1998-08-31	VYDAJ	VYBER	15	20549	SLUZBY	\N	\N
270580	927	1998-09-30	VYDAJ	VYBER	15	18741	SLUZBY	\N	\N
270581	927	1998-10-31	VYDAJ	VYBER	15	17683	SLUZBY	\N	\N
270582	927	1998-11-30	VYDAJ	VYBER	15	16469	SLUZBY	\N	\N
270583	927	1997-05-12	PRIJEM	VKLAD	4300	16634	\N	\N	\N
270584	927	1997-06-11	VYDAJ	VYBER	9200	25380	\N	\N	\N
270585	927	1997-07-11	VYDAJ	VYBER	7500	29933	\N	\N	\N
270586	927	1997-08-10	VYDAJ	VYBER	3800	26285	\N	\N	\N
270587	927	1997-09-09	VYDAJ	VYBER	8200	30177	\N	\N	\N
270588	927	1997-10-09	VYDAJ	VYBER	8700	26157	\N	\N	\N
270589	927	1997-11-08	VYDAJ	VYBER	13400	23210	\N	\N	\N
270590	927	1997-12-08	VYDAJ	VYBER	9300	18547	\N	\N	\N
270591	927	1998-01-07	VYDAJ	VYBER	10700	17004	\N	\N	\N
270592	927	1998-04-07	VYDAJ	VYBER	8000	12088	\N	\N	\N
270593	927	1998-06-06	VYDAJ	VYBER	6000	15270	\N	\N	\N
270594	927	1998-07-06	VYDAJ	VYBER	10000	15849	\N	\N	\N
270595	927	1998-08-05	VYDAJ	VYBER	4500	15952	\N	\N	\N
270596	927	1998-09-04	VYDAJ	VYBER	6400	14149	\N	\N	\N
270597	927	1998-10-04	VYDAJ	VYBER	3000	13101	\N	\N	\N
270598	927	1998-11-03	VYDAJ	VYBER	1600	16083	\N	\N	\N
270599	927	1998-12-03	VYDAJ	VYBER	2300	14169	\N	\N	\N
270620	928	1993-04-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
270625	928	1993-05-07	PRIJEM	VKLAD	6842	7942	\N	\N	\N
270626	928	1993-06-07	PRIJEM	VKLAD	10263	28420	\N	\N	\N
270627	928	1993-07-07	PRIJEM	VKLAD	6842	34745	\N	\N	\N
270628	928	1993-08-07	PRIJEM	VKLAD	6842	38307	\N	\N	\N
270629	928	1993-09-07	PRIJEM	VKLAD	6842	35476	\N	\N	\N
270630	928	1993-10-07	PRIJEM	VKLAD	6842	32957	\N	\N	\N
270631	928	1993-11-07	PRIJEM	VKLAD	6842	29410	\N	\N	\N
270632	928	1993-12-07	PRIJEM	VKLAD	10263	33575	\N	\N	\N
270633	928	1994-01-07	PRIJEM	VKLAD	6842	31745	\N	\N	\N
270634	928	1994-02-07	PRIJEM	VKLAD	6842	21268	\N	\N	\N
270635	928	1994-03-07	PRIJEM	VKLAD	6842	22518	\N	\N	\N
270636	928	1994-04-07	PRIJEM	VKLAD	6842	28159	\N	\N	\N
270637	928	1994-05-07	PRIJEM	VKLAD	6842	28356	\N	\N	\N
270638	928	1994-06-07	PRIJEM	VKLAD	10263	33237	\N	\N	\N
270639	928	1994-07-07	PRIJEM	VKLAD	6842	29348	\N	\N	\N
270640	928	1994-08-07	PRIJEM	VKLAD	6842	31878	\N	\N	\N
270641	928	1994-09-07	PRIJEM	VKLAD	6842	32751	\N	\N	\N
270642	928	1994-10-07	PRIJEM	VKLAD	6842	35832	\N	\N	\N
270643	928	1994-11-07	PRIJEM	VKLAD	6842	30891	\N	\N	\N
270644	928	1994-12-07	PRIJEM	VKLAD	10263	34023	\N	\N	\N
270645	928	1995-01-07	PRIJEM	VKLAD	6842	30189	\N	\N	\N
270646	928	1995-02-07	PRIJEM	VKLAD	6842	25639	\N	\N	\N
270647	928	1995-03-07	PRIJEM	VKLAD	6842	29906	\N	\N	\N
270648	928	1995-04-07	PRIJEM	VKLAD	6842	33483	\N	\N	\N
270649	928	1995-05-07	PRIJEM	VKLAD	6842	36667	\N	\N	\N
270650	928	1995-06-07	PRIJEM	VKLAD	10263	39157	\N	\N	\N
270651	928	1995-07-07	PRIJEM	VKLAD	6842	37828	\N	\N	\N
270652	928	1995-08-07	PRIJEM	VKLAD	6842	35601	\N	\N	\N
270653	928	1995-09-07	PRIJEM	VKLAD	6842	35486	\N	\N	\N
270654	928	1995-10-07	PRIJEM	VKLAD	6842	37175	\N	\N	\N
270655	928	1995-11-07	PRIJEM	VKLAD	6842	36967	\N	\N	\N
270656	928	1995-12-07	PRIJEM	VKLAD	10263	40080	\N	\N	\N
270657	928	1996-01-07	PRIJEM	VKLAD	6842	30544	\N	\N	\N
270658	928	1996-02-07	PRIJEM	VKLAD	6842	20721	\N	\N	\N
270659	928	1996-03-07	PRIJEM	VKLAD	6842	27165	\N	\N	\N
270660	928	1996-04-07	PRIJEM	VKLAD	6842	30381	\N	\N	\N
270661	928	1996-05-07	PRIJEM	VKLAD	6842	36772	\N	\N	\N
270662	928	1996-06-07	PRIJEM	VKLAD	10263	46303	\N	\N	\N
270663	928	1996-07-07	PRIJEM	VKLAD	6842	48037	\N	\N	\N
270664	928	1996-08-07	PRIJEM	VKLAD	6842	50685	\N	\N	\N
270665	928	1996-09-07	PRIJEM	VKLAD	6842	53138	\N	\N	\N
270666	928	1996-10-07	PRIJEM	VKLAD	6842	50622	\N	\N	\N
270667	928	1996-11-07	PRIJEM	VKLAD	6842	52077	\N	\N	\N
270668	928	1996-12-07	PRIJEM	VKLAD	10263	55664	\N	\N	\N
270669	928	1997-01-07	PRIJEM	VKLAD	6842	49540	\N	\N	\N
270670	928	1997-02-07	PRIJEM	VKLAD	6842	52338	\N	\N	\N
270671	928	1997-03-07	PRIJEM	VKLAD	6842	56095	\N	\N	\N
270672	928	1997-04-07	PRIJEM	VKLAD	6842	61076	\N	\N	\N
270673	928	1997-05-07	PRIJEM	VKLAD	6842	60616	\N	\N	\N
270674	928	1997-06-07	PRIJEM	VKLAD	10263	69039	\N	\N	\N
270675	928	1997-07-07	PRIJEM	VKLAD	6842	68945	\N	\N	\N
270676	928	1997-08-07	PRIJEM	VKLAD	6842	72377	\N	\N	\N
270677	928	1997-09-07	PRIJEM	VKLAD	6842	72881	\N	\N	\N
270678	928	1997-10-07	PRIJEM	VKLAD	6842	72562	\N	\N	\N
270679	928	1997-11-07	PRIJEM	VKLAD	6842	68162	\N	\N	\N
270680	928	1997-12-07	PRIJEM	VKLAD	10263	69535	\N	\N	\N
270681	928	1998-01-07	PRIJEM	VKLAD	6842	62746	\N	\N	\N
270682	928	1998-02-07	PRIJEM	VKLAD	6842	59021	\N	\N	\N
270683	928	1998-03-07	PRIJEM	VKLAD	6842	60627	\N	\N	\N
270684	928	1998-04-07	PRIJEM	VKLAD	6842	66127	\N	\N	\N
270685	928	1998-05-07	PRIJEM	VKLAD	6842	70242	\N	\N	\N
270686	928	1998-06-07	PRIJEM	VKLAD	10263	32875	\N	\N	\N
270687	928	1998-07-07	PRIJEM	VKLAD	6842	50070	\N	\N	\N
270688	928	1998-08-07	PRIJEM	VKLAD	6842	56113	\N	\N	\N
270689	928	1998-09-07	PRIJEM	VKLAD	6842	59704	\N	\N	\N
270690	928	1998-10-07	PRIJEM	VKLAD	6842	64764	\N	\N	\N
270691	928	1998-11-07	PRIJEM	VKLAD	6842	70776	\N	\N	\N
270692	928	1998-12-07	PRIJEM	VKLAD	10263	78232	\N	\N	\N
270701	928	1993-09-14	VYDAJ	PREVOD NA UCET	4561	26115	SIPO	EF	72199558
270702	928	1993-10-14	VYDAJ	PREVOD NA UCET	4561	28396	SIPO	EF	72199558
270703	928	1993-11-14	VYDAJ	PREVOD NA UCET	4561	24849	SIPO	EF	72199558
270704	928	1993-12-14	VYDAJ	PREVOD NA UCET	4561	29014	SIPO	EF	72199558
270705	928	1994-01-14	VYDAJ	PREVOD NA UCET	4561	26344	SIPO	EF	72199558
270706	928	1994-02-14	VYDAJ	PREVOD NA UCET	4561	16707	SIPO	EF	72199558
270707	928	1994-03-14	VYDAJ	PREVOD NA UCET	4561	17957	SIPO	EF	72199558
270708	928	1994-04-14	VYDAJ	PREVOD NA UCET	4561	23598	SIPO	EF	72199558
270709	928	1994-05-14	VYDAJ	PREVOD NA UCET	4561	23795	SIPO	EF	72199558
270710	928	1994-06-14	VYDAJ	PREVOD NA UCET	4561	28676	SIPO	EF	72199558
270711	928	1994-07-14	VYDAJ	PREVOD NA UCET	4561	21547	SIPO	EF	72199558
270712	928	1994-08-14	VYDAJ	PREVOD NA UCET	4561	27317	SIPO	EF	72199558
270713	928	1994-09-14	VYDAJ	PREVOD NA UCET	4561	28190	SIPO	EF	72199558
270714	928	1994-10-14	VYDAJ	PREVOD NA UCET	4561	25391	SIPO	EF	72199558
270715	928	1994-11-14	VYDAJ	PREVOD NA UCET	4561	22850	SIPO	EF	72199558
270716	928	1994-12-14	VYDAJ	PREVOD NA UCET	4561	29462	SIPO	EF	72199558
270717	928	1995-01-14	VYDAJ	PREVOD NA UCET	4561	23348	SIPO	EF	72199558
270718	928	1995-02-14	VYDAJ	PREVOD NA UCET	4561	21078	SIPO	EF	72199558
270719	928	1995-03-14	VYDAJ	PREVOD NA UCET	4561	25345	SIPO	EF	72199558
270720	928	1995-04-14	VYDAJ	PREVOD NA UCET	4561	28922	SIPO	EF	72199558
270721	928	1995-05-14	VYDAJ	PREVOD NA UCET	4561	32106	SIPO	EF	72199558
270722	928	1995-06-14	VYDAJ	PREVOD NA UCET	4561	29076	SIPO	EF	72199558
270723	928	1995-07-14	VYDAJ	PREVOD NA UCET	4561	33267	SIPO	EF	72199558
270724	928	1995-08-14	VYDAJ	PREVOD NA UCET	4561	28540	SIPO	EF	72199558
270725	928	1995-09-14	VYDAJ	PREVOD NA UCET	4561	30225	SIPO	EF	72199558
270726	928	1995-10-14	VYDAJ	PREVOD NA UCET	4561	30014	SIPO	EF	72199558
270727	928	1995-11-14	VYDAJ	PREVOD NA UCET	4561	29706	SIPO	EF	72199558
270728	928	1995-12-14	VYDAJ	PREVOD NA UCET	4561	35019	SIPO	EF	72199558
270729	928	1996-01-14	VYDAJ	PREVOD NA UCET	4561	21483	SIPO	EF	72199558
270730	928	1996-02-14	VYDAJ	PREVOD NA UCET	4561	20260	SIPO	EF	72199558
270731	928	1996-03-14	VYDAJ	PREVOD NA UCET	4561	28604	SIPO	EF	72199558
270732	928	1996-04-14	VYDAJ	PREVOD NA UCET	4561	29820	SIPO	EF	72199558
270733	928	1996-05-14	VYDAJ	PREVOD NA UCET	4561	35911	SIPO	EF	72199558
270734	928	1996-06-14	VYDAJ	PREVOD NA UCET	4561	41042	SIPO	EF	72199558
270735	928	1996-07-14	VYDAJ	PREVOD NA UCET	4561	43676	SIPO	EF	72199558
270736	928	1996-08-14	VYDAJ	PREVOD NA UCET	4561	46124	SIPO	EF	72199558
270737	928	1996-09-14	VYDAJ	PREVOD NA UCET	4561	45977	SIPO	EF	72199558
270738	928	1996-10-14	VYDAJ	PREVOD NA UCET	4561	46061	SIPO	EF	72199558
270739	928	1996-11-14	VYDAJ	PREVOD NA UCET	4561	47516	SIPO	EF	72199558
270740	928	1996-12-14	VYDAJ	PREVOD NA UCET	4561	51103	SIPO	EF	72199558
270741	928	1997-01-14	VYDAJ	PREVOD NA UCET	4561	43419	SIPO	EF	72199558
270742	928	1997-02-14	VYDAJ	PREVOD NA UCET	4561	47777	SIPO	EF	72199558
270743	928	1997-03-14	VYDAJ	PREVOD NA UCET	4561	51534	SIPO	EF	72199558
270744	928	1997-04-14	VYDAJ	PREVOD NA UCET	4561	56515	SIPO	EF	72199558
270745	928	1997-05-14	VYDAJ	PREVOD NA UCET	4561	56055	SIPO	EF	72199558
270746	928	1997-06-14	VYDAJ	PREVOD NA UCET	4561	64478	SIPO	EF	72199558
270747	928	1997-07-14	VYDAJ	PREVOD NA UCET	4561	64384	SIPO	EF	72199558
270748	928	1997-08-14	VYDAJ	PREVOD NA UCET	4561	67816	SIPO	EF	72199558
270749	928	1997-09-14	VYDAJ	PREVOD NA UCET	4561	64960	SIPO	EF	72199558
270750	928	1997-10-14	VYDAJ	PREVOD NA UCET	4561	68001	SIPO	EF	72199558
270751	928	1997-11-14	VYDAJ	PREVOD NA UCET	4561	63601	SIPO	EF	72199558
270752	928	1997-12-14	VYDAJ	PREVOD NA UCET	4561	64974	SIPO	EF	72199558
270753	928	1998-01-14	VYDAJ	PREVOD NA UCET	4561	55545	SIPO	EF	72199558
270754	928	1998-02-14	VYDAJ	PREVOD NA UCET	4561	54460	SIPO	EF	72199558
270755	928	1998-03-14	VYDAJ	PREVOD NA UCET	4561	56066	SIPO	EF	72199558
270756	928	1998-04-14	VYDAJ	PREVOD NA UCET	4561	61566	SIPO	EF	72199558
270757	928	1998-05-14	VYDAJ	PREVOD NA UCET	4561	65681	SIPO	EF	72199558
270758	928	1998-06-14	VYDAJ	PREVOD NA UCET	4561	28314	SIPO	EF	72199558
270759	928	1998-07-14	VYDAJ	PREVOD NA UCET	4561	43589	SIPO	EF	72199558
270760	928	1998-08-14	VYDAJ	PREVOD NA UCET	4561	49272	SIPO	EF	72199558
270761	928	1998-09-14	VYDAJ	PREVOD NA UCET	4561	49623	SIPO	EF	72199558
270762	928	1998-10-14	VYDAJ	PREVOD NA UCET	4561	60203	SIPO	EF	72199558
270763	928	1998-11-14	VYDAJ	PREVOD NA UCET	4561	66215	SIPO	EF	72199558
270764	928	1998-12-14	VYDAJ	PREVOD NA UCET	4561	73671	SIPO	EF	72199558
270769	928	1997-06-25	VYDAJ	VYBER	5920	58558	\N	\N	\N
270770	928	1998-06-01	VYDAJ	VYBER	40320	22612	\N	\N	\N
270772	928	1994-01-23	VYDAJ	VYBER	3520	20344	\N	\N	\N
270774	928	1996-01-13	VYDAJ	VYBER	8000	26044	\N	\N	\N
270775	928	1997-01-17	VYDAJ	VYBER	5120	38299	\N	\N	\N
270776	928	1998-01-25	VYDAJ	VYBER	8000	44065	\N	\N	\N
270777	928	1993-12-17	VYDAJ	VYBER	2400	26614	\N	\N	\N
270778	928	1994-12-02	VYDAJ	VYBER	2880	23760	\N	\N	\N
270779	928	1995-12-30	VYDAJ	VYBER	4000	31019	\N	\N	\N
270780	928	1996-12-24	VYDAJ	VYBER	3360	47743	\N	\N	\N
270781	928	1997-12-06	VYDAJ	VYBER	4480	59272	\N	\N	\N
270782	928	1998-12-28	VYDAJ	VYBER	3680	63891	\N	\N	\N
270789	928	1994-01-27	VYDAJ	VYBER	1920	14344	\N	\N	\N
270790	928	1994-01-23	VYDAJ	VYBER	1560	23864	\N	\N	\N
270791	928	1994-01-24	VYDAJ	VYBER	1920	18424	\N	\N	\N
270792	928	1994-01-13	VYDAJ	VYBER	840	30905	\N	\N	\N
270793	928	1994-01-21	VYDAJ	VYBER	3120	25424	\N	\N	\N
270794	928	1994-01-26	VYDAJ	VYBER	2160	16264	\N	\N	\N
270795	928	1995-01-09	VYDAJ	VYBER	1440	27909	\N	\N	\N
270796	928	1995-01-09	VYDAJ	VYBER	840	29349	\N	\N	\N
270797	928	1995-01-02	VYDAJ	VYBER	1320	25747	\N	\N	\N
270798	928	1995-01-22	VYDAJ	VYBER	840	22668	\N	\N	\N
270799	928	1995-01-06	VYDAJ	VYBER	2400	23347	\N	\N	\N
270800	928	1995-01-17	VYDAJ	VYBER	1440	23508	\N	\N	\N
270801	928	1996-01-16	VYDAJ	VYBER	1680	19803	\N	\N	\N
270802	928	1996-01-01	VYDAJ	VYBER	3360	27782	\N	\N	\N
270803	928	1996-01-28	VYDAJ	VYBER	3000	13803	\N	\N	\N
270804	928	1996-01-06	VYDAJ	VYBER	3120	23702	\N	\N	\N
270805	928	1996-01-17	VYDAJ	VYBER	3000	16803	\N	\N	\N
270806	928	1996-01-02	VYDAJ	VYBER	960	26822	\N	\N	\N
270807	928	1997-01-02	VYDAJ	VYBER	1920	41698	\N	\N	\N
270808	928	1997-01-29	VYDAJ	VYBER	1680	36619	\N	\N	\N
270809	928	1997-01-03	VYDAJ	VYBER	3000	38698	\N	\N	\N
270810	928	1997-01-07	VYDAJ	VYBER	1560	47980	\N	\N	\N
270811	928	1997-01-01	VYDAJ	VYBER	3480	43618	\N	\N	\N
270812	928	1997-01-29	VYDAJ	VYBER	1680	34939	\N	\N	\N
270813	928	1998-01-02	VYDAJ	VYBER	2160	58304	\N	\N	\N
270814	928	1998-01-13	VYDAJ	VYBER	2040	60106	\N	\N	\N
270815	928	1998-01-11	VYDAJ	VYBER	600	62146	\N	\N	\N
270816	928	1998-01-05	VYDAJ	VYBER	2400	55904	\N	\N	\N
270817	928	1998-01-22	VYDAJ	VYBER	2880	52065	\N	\N	\N
270818	928	1998-01-22	VYDAJ	VYBER	600	54945	\N	\N	\N
270819	928	1993-11-24	VYDAJ	VYBER	1920	23229	\N	\N	\N
270821	928	1993-10-20	VYDAJ	VYBER	2520	25876	\N	\N	\N
270824	928	1993-09-08	VYDAJ	VYBER	4800	30676	\N	\N	\N
270825	928	1994-02-18	VYDAJ	VYBER	4080	12627	\N	\N	\N
270826	928	1994-10-22	VYDAJ	VYBER	5640	23951	\N	\N	\N
270827	928	1994-02-24	VYDAJ	VYBER	1800	15627	\N	\N	\N
270828	928	1994-07-08	VYDAJ	VYBER	3240	26108	\N	\N	\N
270829	928	1994-07-02	VYDAJ	VYBER	3360	22506	\N	\N	\N
270830	928	1994-10-10	VYDAJ	VYBER	5880	29952	\N	\N	\N
270831	928	1994-04-20	VYDAJ	VYBER	4560	19038	\N	\N	\N
270832	928	1994-11-14	VYDAJ	VYBER	3480	27411	\N	\N	\N
270833	928	1995-06-13	VYDAJ	VYBER	5520	33637	\N	\N	\N
270834	928	1995-05-14	VYDAJ	VYBER	1920	30186	\N	\N	\N
270835	928	1995-02-01	VYDAJ	VYBER	3960	18797	\N	\N	\N
270836	928	1995-07-24	VYDAJ	VYBER	1920	28647	\N	\N	\N
270837	928	1995-03-02	VYDAJ	VYBER	1200	23064	\N	\N	\N
270838	928	1996-04-05	VYDAJ	VYBER	5160	23539	\N	\N	\N
270839	928	1996-10-03	VYDAJ	VYBER	3480	42680	\N	\N	\N
270840	928	1996-12-29	VYDAJ	VYBER	840	46903	\N	\N	\N
270841	928	1997-09-10	VYDAJ	VYBER	3360	69521	\N	\N	\N
270842	928	1997-05-03	VYDAJ	VYBER	4560	52174	\N	\N	\N
270843	928	1997-08-18	VYDAJ	VYBER	2640	65176	\N	\N	\N
270844	928	1997-10-20	VYDAJ	VYBER	5640	62361	\N	\N	\N
270845	928	1997-12-20	VYDAJ	VYBER	3960	61014	\N	\N	\N
270846	928	1998-03-03	VYDAJ	VYBER	1680	53785	\N	\N	\N
270847	928	1998-07-08	VYDAJ	VYBER	1920	48150	\N	\N	\N
270848	928	1998-07-18	VYDAJ	VYBER	4680	38909	\N	\N	\N
270849	928	1998-09-09	VYDAJ	VYBER	5520	54184	\N	\N	\N
270850	928	1998-08-12	VYDAJ	VYBER	2280	53833	\N	\N	\N
270851	928	1998-06-17	VYDAJ	VYBER	1920	26394	\N	\N	\N
270861	928	1993-09-30	VYDAJ	VYBER	15	26115	SLUZBY	\N	\N
270862	928	1993-10-31	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
270863	928	1993-11-30	VYDAJ	VYBER	15	23312	SLUZBY	\N	\N
270864	928	1993-12-31	VYDAJ	VYBER	15	24903	SLUZBY	\N	\N
270865	928	1994-01-31	VYDAJ	VYBER	15	14426	SLUZBY	\N	\N
270866	928	1994-02-28	VYDAJ	VYBER	15	15676	SLUZBY	\N	\N
270867	928	1994-03-31	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
270868	928	1994-04-30	VYDAJ	VYBER	15	21514	SLUZBY	\N	\N
270869	928	1994-05-31	VYDAJ	VYBER	15	22974	SLUZBY	\N	\N
270870	928	1994-06-30	VYDAJ	VYBER	15	25866	SLUZBY	\N	\N
270871	928	1994-07-31	VYDAJ	VYBER	15	25036	SLUZBY	\N	\N
270872	928	1994-08-31	VYDAJ	VYBER	15	25909	SLUZBY	\N	\N
270873	928	1994-09-30	VYDAJ	VYBER	15	28990	SLUZBY	\N	\N
270874	928	1994-10-31	VYDAJ	VYBER	15	24049	SLUZBY	\N	\N
270875	928	1994-11-30	VYDAJ	VYBER	15	26640	SLUZBY	\N	\N
270876	928	1994-12-31	VYDAJ	VYBER	15	27067	SLUZBY	\N	\N
270877	928	1995-01-31	VYDAJ	VYBER	15	22757	SLUZBY	\N	\N
270878	928	1995-02-28	VYDAJ	VYBER	15	24264	SLUZBY	\N	\N
270879	928	1995-03-31	VYDAJ	VYBER	15	26641	SLUZBY	\N	\N
270880	928	1995-04-30	VYDAJ	VYBER	15	29825	SLUZBY	\N	\N
270881	928	1995-05-31	VYDAJ	VYBER	15	28894	SLUZBY	\N	\N
270882	928	1995-06-30	VYDAJ	VYBER	15	30986	SLUZBY	\N	\N
270883	928	1995-07-31	VYDAJ	VYBER	15	28759	SLUZBY	\N	\N
270884	928	1995-08-31	VYDAJ	VYBER	15	28644	SLUZBY	\N	\N
270885	928	1995-09-30	VYDAJ	VYBER	15	30333	SLUZBY	\N	\N
270886	928	1995-10-31	VYDAJ	VYBER	15	30125	SLUZBY	\N	\N
270887	928	1995-11-30	VYDAJ	VYBER	15	29817	SLUZBY	\N	\N
270888	928	1995-12-31	VYDAJ	VYBER	15	31142	SLUZBY	\N	\N
270889	928	1996-01-31	VYDAJ	VYBER	15	13879	SLUZBY	\N	\N
270890	928	1996-02-29	VYDAJ	VYBER	15	20323	SLUZBY	\N	\N
270891	928	1996-03-31	VYDAJ	VYBER	15	28699	SLUZBY	\N	\N
270892	928	1996-04-30	VYDAJ	VYBER	15	29930	SLUZBY	\N	\N
270893	928	1996-05-31	VYDAJ	VYBER	15	36040	SLUZBY	\N	\N
270894	928	1996-06-30	VYDAJ	VYBER	15	41195	SLUZBY	\N	\N
270895	928	1996-07-31	VYDAJ	VYBER	15	43843	SLUZBY	\N	\N
270896	928	1996-08-31	VYDAJ	VYBER	15	46296	SLUZBY	\N	\N
270897	928	1996-09-30	VYDAJ	VYBER	15	46160	SLUZBY	\N	\N
270898	928	1996-10-31	VYDAJ	VYBER	15	46235	SLUZBY	\N	\N
270899	928	1996-11-30	VYDAJ	VYBER	15	47701	SLUZBY	\N	\N
270900	928	1996-12-31	VYDAJ	VYBER	15	47098	SLUZBY	\N	\N
270901	928	1997-01-31	VYDAJ	VYBER	15	35096	SLUZBY	\N	\N
270902	928	1997-02-28	VYDAJ	VYBER	15	47953	SLUZBY	\N	\N
270903	928	1997-03-31	VYDAJ	VYBER	15	51734	SLUZBY	\N	\N
270904	928	1997-04-30	VYDAJ	VYBER	15	56734	SLUZBY	\N	\N
270905	928	1997-05-31	VYDAJ	VYBER	15	56276	SLUZBY	\N	\N
270906	928	1997-06-30	VYDAJ	VYBER	15	58803	SLUZBY	\N	\N
270907	928	1997-07-31	VYDAJ	VYBER	15	64635	SLUZBY	\N	\N
270908	928	1997-08-31	VYDAJ	VYBER	15	65439	SLUZBY	\N	\N
270909	928	1997-09-30	VYDAJ	VYBER	15	65220	SLUZBY	\N	\N
270910	928	1997-10-31	VYDAJ	VYBER	15	62620	SLUZBY	\N	\N
270911	928	1997-11-30	VYDAJ	VYBER	15	63852	SLUZBY	\N	\N
270912	928	1997-12-31	VYDAJ	VYBER	15	61264	SLUZBY	\N	\N
270913	928	1998-01-31	VYDAJ	VYBER	15	52179	SLUZBY	\N	\N
270914	928	1998-02-28	VYDAJ	VYBER	15	54665	SLUZBY	\N	\N
270915	928	1998-03-31	VYDAJ	VYBER	15	59285	SLUZBY	\N	\N
270916	928	1998-04-30	VYDAJ	VYBER	15	63400	SLUZBY	\N	\N
270917	928	1998-05-31	VYDAJ	VYBER	15	62932	SLUZBY	\N	\N
270918	928	1998-06-30	VYDAJ	VYBER	15	43228	SLUZBY	\N	\N
270919	928	1998-07-31	VYDAJ	VYBER	15	49271	SLUZBY	\N	\N
270920	928	1998-08-31	VYDAJ	VYBER	15	52862	SLUZBY	\N	\N
270921	928	1998-09-30	VYDAJ	VYBER	15	57922	SLUZBY	\N	\N
270922	928	1998-10-31	VYDAJ	VYBER	15	63934	SLUZBY	\N	\N
270923	928	1998-11-30	VYDAJ	VYBER	15	67969	SLUZBY	\N	\N
270924	928	1993-05-26	PRIJEM	VKLAD	10200	18142	\N	\N	\N
270925	928	1993-06-25	VYDAJ	VYBER	600	27820	\N	\N	\N
270926	928	1993-07-25	VYDAJ	VYBER	3400	31345	\N	\N	\N
270927	928	1993-08-24	VYDAJ	VYBER	9800	28507	\N	\N	\N
270928	928	1993-09-23	VYDAJ	VYBER	100	26015	\N	\N	\N
270929	928	1993-10-23	VYDAJ	VYBER	3400	22476	\N	\N	\N
270930	928	1993-11-22	PRIJEM	VKLAD	300	25149	\N	\N	\N
270931	928	1993-12-22	VYDAJ	VYBER	1800	24814	\N	\N	\N
270932	928	1994-01-21	PRIJEM	VKLAD	2200	28544	\N	\N	\N
270933	928	1994-02-20	PRIJEM	VKLAD	4800	17427	\N	\N	\N
270934	928	1994-03-22	PRIJEM	VKLAD	3300	21257	\N	\N	\N
270935	928	1994-04-21	PRIJEM	VKLAD	2400	21438	\N	\N	\N
270936	928	1994-05-21	VYDAJ	VYBER	900	22895	\N	\N	\N
270937	928	1994-06-20	VYDAJ	VYBER	2900	25776	\N	\N	\N
270938	928	1994-07-20	PRIJEM	VKLAD	3400	24947	\N	\N	\N
270939	928	1994-08-19	VYDAJ	VYBER	1500	25817	\N	\N	\N
270940	928	1994-09-18	PRIJEM	VKLAD	700	28890	\N	\N	\N
270941	928	1994-10-18	PRIJEM	VKLAD	4200	29591	\N	\N	\N
270942	928	1994-11-17	PRIJEM	VKLAD	3700	26550	\N	\N	\N
270943	928	1994-12-17	VYDAJ	VYBER	2500	26962	\N	\N	\N
270944	928	1995-01-16	PRIJEM	VKLAD	1600	24948	\N	\N	\N
270945	928	1995-02-15	PRIJEM	VKLAD	3100	24178	\N	\N	\N
270946	928	1995-03-17	PRIJEM	VKLAD	1200	26545	\N	\N	\N
270947	928	1995-04-16	PRIJEM	VKLAD	800	29722	\N	\N	\N
270948	928	1995-05-16	VYDAJ	VYBER	1400	28786	\N	\N	\N
270949	928	1995-06-15	PRIJEM	VKLAD	1800	30876	\N	\N	\N
270950	928	1995-07-15	VYDAJ	VYBER	2700	30567	\N	\N	\N
270951	928	1995-08-14	VYDAJ	VYBER	2500	33101	\N	\N	\N
270952	928	1995-09-13	VYDAJ	VYBER	700	34786	\N	\N	\N
270953	928	1995-10-13	VYDAJ	VYBER	2600	34575	\N	\N	\N
270954	928	1995-11-12	VYDAJ	VYBER	2700	34267	\N	\N	\N
270955	928	1995-12-12	VYDAJ	VYBER	500	39580	\N	\N	\N
270956	928	1996-01-11	PRIJEM	VKLAD	3500	34044	\N	\N	\N
270957	928	1996-02-10	PRIJEM	VKLAD	4100	24821	\N	\N	\N
270958	928	1996-03-11	PRIJEM	VKLAD	6000	33165	\N	\N	\N
270959	928	1996-04-10	PRIJEM	VKLAD	4000	34381	\N	\N	\N
270960	928	1996-05-10	PRIJEM	VKLAD	3700	40472	\N	\N	\N
270961	928	1996-06-09	VYDAJ	VYBER	700	45603	\N	\N	\N
270962	928	1996-07-09	PRIJEM	VKLAD	200	48237	\N	\N	\N
270963	928	1996-09-07	VYDAJ	VYBER	2600	50538	\N	\N	\N
270964	928	1996-10-07	PRIJEM	VKLAD	1100	43780	\N	\N	\N
270965	928	1996-11-06	VYDAJ	VYBER	1000	45235	\N	\N	\N
270966	928	1996-12-06	VYDAJ	VYBER	2300	45401	\N	\N	\N
270967	928	1997-01-05	PRIJEM	VKLAD	4000	42698	\N	\N	\N
270968	928	1997-02-04	PRIJEM	VKLAD	10400	45496	\N	\N	\N
270969	928	1997-03-06	PRIJEM	VKLAD	1300	49253	\N	\N	\N
270970	928	1997-04-05	PRIJEM	VKLAD	2500	54234	\N	\N	\N
270971	928	1997-05-05	PRIJEM	VKLAD	1600	53774	\N	\N	\N
270972	928	1997-06-04	PRIJEM	VKLAD	2500	58776	\N	\N	\N
270973	928	1997-07-04	PRIJEM	VKLAD	3300	62103	\N	\N	\N
270974	928	1997-08-03	PRIJEM	VKLAD	900	65535	\N	\N	\N
270975	928	1997-09-02	PRIJEM	VKLAD	600	66039	\N	\N	\N
270976	928	1997-10-02	PRIJEM	VKLAD	500	65720	\N	\N	\N
270977	928	1997-11-01	VYDAJ	VYBER	1300	61320	\N	\N	\N
270978	928	1997-12-01	VYDAJ	VYBER	100	63752	\N	\N	\N
270979	928	1997-12-31	VYDAJ	VYBER	800	60464	\N	\N	\N
270980	928	1998-01-30	PRIJEM	VKLAD	7900	51965	\N	\N	\N
270981	928	1998-03-01	PRIJEM	VKLAD	800	55465	\N	\N	\N
270982	928	1998-03-31	PRIJEM	VKLAD	3000	59066	\N	\N	\N
270983	928	1998-04-30	PRIJEM	VKLAD	1600	63166	\N	\N	\N
270984	928	1998-05-30	VYDAJ	VYBER	3000	62681	\N	\N	\N
270985	928	1998-06-29	PRIJEM	VKLAD	16700	43094	\N	\N	\N
270986	928	1998-07-29	PRIJEM	VKLAD	10200	49109	\N	\N	\N
270987	928	1998-08-28	PRIJEM	VKLAD	3400	52672	\N	\N	\N
270988	928	1998-09-27	PRIJEM	VKLAD	8100	57723	\N	\N	\N
270989	928	1998-10-27	PRIJEM	VKLAD	3500	63703	\N	\N	\N
270990	928	1998-11-26	PRIJEM	VKLAD	1500	67715	\N	\N	\N
270991	928	1998-12-26	VYDAJ	VYBER	6100	67571	\N	\N	\N
271060	929	1993-07-03	PRIJEM	VKLAD	200	200	\N	\N	\N
271067	929	1993-07-06	PRIJEM	VKLAD	8827	9027	\N	\N	\N
271068	929	1993-08-06	PRIJEM	VKLAD	8827	27986	\N	\N	\N
271069	929	1993-09-06	PRIJEM	VKLAD	8827	33816	\N	\N	\N
271070	929	1993-10-06	PRIJEM	VKLAD	8827	35680	\N	\N	\N
271071	929	1993-11-06	PRIJEM	VKLAD	8827	38654	\N	\N	\N
271072	929	1993-12-06	PRIJEM	VKLAD	13240	39729	\N	\N	\N
271073	929	1994-01-06	PRIJEM	VKLAD	8827	33585	\N	\N	\N
271074	929	1994-02-06	PRIJEM	VKLAD	8827	31116	\N	\N	\N
271075	929	1994-03-06	PRIJEM	VKLAD	8827	33347	\N	\N	\N
271076	929	1994-04-06	PRIJEM	VKLAD	8827	34087	\N	\N	\N
271077	929	1994-05-06	PRIJEM	VKLAD	8827	34830	\N	\N	\N
271078	929	1994-06-06	PRIJEM	VKLAD	13240	39684	\N	\N	\N
271079	929	1994-07-06	PRIJEM	VKLAD	8827	36346	\N	\N	\N
271080	929	1994-08-06	PRIJEM	VKLAD	8827	34999	\N	\N	\N
271081	929	1994-09-06	PRIJEM	VKLAD	8827	36736	\N	\N	\N
271082	929	1994-10-06	PRIJEM	VKLAD	8827	36488	\N	\N	\N
271083	929	1994-11-06	PRIJEM	VKLAD	8827	39344	\N	\N	\N
271084	929	1994-12-06	PRIJEM	VKLAD	13240	43322	\N	\N	\N
271085	929	1995-01-06	PRIJEM	VKLAD	8827	40896	\N	\N	\N
271086	929	1995-02-06	PRIJEM	VKLAD	8827	37056	\N	\N	\N
271087	929	1995-03-06	PRIJEM	VKLAD	8827	38400	\N	\N	\N
271088	929	1995-04-06	PRIJEM	VKLAD	8827	42062	\N	\N	\N
271089	929	1995-05-06	PRIJEM	VKLAD	8827	44838	\N	\N	\N
271090	929	1995-06-06	PRIJEM	VKLAD	13240	44235	\N	\N	\N
271091	929	1995-07-06	PRIJEM	VKLAD	8827	44418	\N	\N	\N
271092	929	1995-08-06	PRIJEM	VKLAD	8827	43802	\N	\N	\N
271093	929	1995-09-06	PRIJEM	VKLAD	8827	45984	\N	\N	\N
271094	929	1995-10-06	PRIJEM	VKLAD	8827	49677	\N	\N	\N
271095	929	1995-11-06	PRIJEM	VKLAD	8827	48579	\N	\N	\N
271096	929	1995-12-06	PRIJEM	VKLAD	13240	51788	\N	\N	\N
271097	929	1996-01-06	PRIJEM	VKLAD	8827	38477	\N	\N	\N
271098	929	1996-02-06	PRIJEM	VKLAD	8827	34437	\N	\N	\N
271099	929	1996-03-06	PRIJEM	VKLAD	8827	41788	\N	\N	\N
271100	929	1996-04-06	PRIJEM	VKLAD	8827	44362	\N	\N	\N
271101	929	1996-05-06	PRIJEM	VKLAD	8827	46946	\N	\N	\N
271102	929	1996-06-06	PRIJEM	VKLAD	13240	50049	\N	\N	\N
271103	929	1996-07-06	PRIJEM	VKLAD	8827	45643	\N	\N	\N
271104	929	1996-08-06	PRIJEM	VKLAD	8827	47230	\N	\N	\N
271105	929	1996-09-06	PRIJEM	VKLAD	8827	39910	\N	\N	\N
271106	929	1996-10-06	PRIJEM	VKLAD	8827	36461	\N	\N	\N
271107	929	1996-11-06	PRIJEM	VKLAD	8827	36005	\N	\N	\N
271108	929	1996-12-06	PRIJEM	VKLAD	13240	38756	\N	\N	\N
271109	929	1997-01-06	PRIJEM	VKLAD	8827	36000	\N	\N	\N
271110	929	1997-02-06	PRIJEM	VKLAD	8827	25414	\N	\N	\N
271111	929	1997-03-06	PRIJEM	VKLAD	8827	25812	\N	\N	\N
271112	929	1997-04-06	PRIJEM	VKLAD	8827	28919	\N	\N	\N
271113	929	1997-05-06	PRIJEM	VKLAD	8827	25120	\N	\N	\N
271114	929	1997-06-06	PRIJEM	VKLAD	13240	29833	\N	\N	\N
271115	929	1997-07-06	PRIJEM	VKLAD	8827	27539	\N	\N	\N
271116	929	1997-08-06	PRIJEM	VKLAD	8827	27946	\N	\N	\N
271117	929	1997-09-06	PRIJEM	VKLAD	8827	27051	\N	\N	\N
271118	929	1997-10-06	PRIJEM	VKLAD	8827	22941	\N	\N	\N
271119	929	1997-11-06	PRIJEM	VKLAD	8827	25936	\N	\N	\N
271120	929	1997-12-06	PRIJEM	VKLAD	13240	29143	\N	\N	\N
271121	929	1998-01-06	PRIJEM	VKLAD	8827	26452	\N	\N	\N
271122	929	1998-02-06	PRIJEM	VKLAD	8827	25152	\N	\N	\N
271123	929	1998-03-06	PRIJEM	VKLAD	8827	28155	\N	\N	\N
271124	929	1998-04-06	PRIJEM	VKLAD	8827	23347	\N	\N	\N
271125	929	1998-05-06	PRIJEM	VKLAD	8827	23232	\N	\N	\N
271126	929	1998-06-06	PRIJEM	VKLAD	13240	31041	\N	\N	\N
271127	929	1998-07-06	PRIJEM	VKLAD	8827	24764	\N	\N	\N
271128	929	1998-08-06	PRIJEM	VKLAD	8827	27765	\N	\N	\N
271129	929	1998-09-06	PRIJEM	VKLAD	8827	23455	\N	\N	\N
271130	929	1998-10-06	PRIJEM	VKLAD	8827	26450	\N	\N	\N
271131	929	1998-11-06	PRIJEM	VKLAD	8827	29458	\N	\N	\N
271132	929	1998-12-06	PRIJEM	VKLAD	13240	36891	\N	\N	\N
271143	929	1993-11-07	VYDAJ	PREVOD NA UCET	5884	32770	SIPO	ST	61865889
271144	929	1993-12-07	VYDAJ	PREVOD NA UCET	5884	33845	SIPO	ST	61865889
271145	929	1994-01-07	VYDAJ	PREVOD NA UCET	5884	27701	SIPO	ST	61865889
271146	929	1994-02-07	VYDAJ	PREVOD NA UCET	5884	25232	SIPO	ST	61865889
271147	929	1994-03-07	VYDAJ	PREVOD NA UCET	5884	27463	SIPO	ST	61865889
271148	929	1994-04-07	VYDAJ	PREVOD NA UCET	5884	28203	SIPO	ST	61865889
271149	929	1994-05-07	VYDAJ	PREVOD NA UCET	5884	28946	SIPO	ST	61865889
271150	929	1994-06-07	VYDAJ	PREVOD NA UCET	5884	33800	SIPO	ST	61865889
271151	929	1994-07-07	VYDAJ	PREVOD NA UCET	5884	30462	SIPO	ST	61865889
271152	929	1994-08-07	VYDAJ	PREVOD NA UCET	5884	29115	SIPO	ST	61865889
271153	929	1994-09-07	VYDAJ	PREVOD NA UCET	5884	30852	SIPO	ST	61865889
271154	929	1994-10-07	VYDAJ	PREVOD NA UCET	5884	30604	SIPO	ST	61865889
271155	929	1994-11-07	VYDAJ	PREVOD NA UCET	5884	33460	SIPO	ST	61865889
271156	929	1994-12-07	VYDAJ	PREVOD NA UCET	5884	37438	SIPO	ST	61865889
271157	929	1995-01-07	VYDAJ	PREVOD NA UCET	5884	35012	SIPO	ST	61865889
271158	929	1995-02-07	VYDAJ	PREVOD NA UCET	5884	31172	SIPO	ST	61865889
271159	929	1995-03-07	VYDAJ	PREVOD NA UCET	5884	32516	SIPO	ST	61865889
271160	929	1995-04-07	VYDAJ	PREVOD NA UCET	5884	36178	SIPO	ST	61865889
271161	929	1995-05-07	VYDAJ	PREVOD NA UCET	5884	38954	SIPO	ST	61865889
271162	929	1995-06-07	VYDAJ	PREVOD NA UCET	5884	38351	SIPO	ST	61865889
271163	929	1995-07-07	VYDAJ	PREVOD NA UCET	5884	38534	SIPO	ST	61865889
271164	929	1995-08-07	VYDAJ	PREVOD NA UCET	5884	37918	SIPO	ST	61865889
271165	929	1995-09-07	VYDAJ	PREVOD NA UCET	5884	40100	SIPO	ST	61865889
271166	929	1995-10-07	VYDAJ	PREVOD NA UCET	5884	43793	SIPO	ST	61865889
271167	929	1995-11-07	VYDAJ	PREVOD NA UCET	5884	42695	SIPO	ST	61865889
271168	929	1995-12-07	VYDAJ	PREVOD NA UCET	5884	45904	SIPO	ST	61865889
271169	929	1996-01-07	VYDAJ	PREVOD NA UCET	5884	30293	SIPO	ST	61865889
271170	929	1996-02-07	VYDAJ	PREVOD NA UCET	5884	28553	SIPO	ST	61865889
271171	929	1996-03-07	VYDAJ	PREVOD NA UCET	5884	35904	SIPO	ST	61865889
271172	929	1996-04-07	VYDAJ	PREVOD NA UCET	5884	38478	SIPO	ST	61865889
271173	929	1996-05-07	VYDAJ	PREVOD NA UCET	5884	41062	SIPO	ST	61865889
271174	929	1996-06-07	VYDAJ	PREVOD NA UCET	5884	44165	SIPO	ST	61865889
271175	929	1996-07-07	VYDAJ	PREVOD NA UCET	5884	39759	SIPO	ST	61865889
271176	929	1996-08-07	VYDAJ	PREVOD NA UCET	5884	41346	SIPO	ST	61865889
271177	929	1996-09-07	VYDAJ	PREVOD NA UCET	5884	34026	SIPO	ST	61865889
271178	929	1996-10-07	VYDAJ	PREVOD NA UCET	5884	30577	SIPO	ST	61865889
271179	929	1996-11-07	VYDAJ	PREVOD NA UCET	5884	30121	SIPO	ST	61865889
271180	929	1996-12-07	VYDAJ	PREVOD NA UCET	5884	32872	SIPO	ST	61865889
271181	929	1997-01-07	VYDAJ	PREVOD NA UCET	5884	30116	SIPO	ST	61865889
271182	929	1997-02-07	VYDAJ	PREVOD NA UCET	5884	19530	SIPO	ST	61865889
271183	929	1997-03-07	VYDAJ	PREVOD NA UCET	5884	19928	SIPO	ST	61865889
271184	929	1997-04-07	VYDAJ	PREVOD NA UCET	5884	18735	SIPO	ST	61865889
271185	929	1997-05-07	VYDAJ	PREVOD NA UCET	5884	19236	SIPO	ST	61865889
271186	929	1997-06-07	VYDAJ	PREVOD NA UCET	5884	23949	SIPO	ST	61865889
271187	929	1997-07-07	VYDAJ	PREVOD NA UCET	5884	21655	SIPO	ST	61865889
271188	929	1997-08-07	VYDAJ	PREVOD NA UCET	5884	22062	SIPO	ST	61865889
271189	929	1997-09-07	VYDAJ	PREVOD NA UCET	5884	21167	SIPO	ST	61865889
271190	929	1997-10-07	VYDAJ	PREVOD NA UCET	5884	17057	SIPO	ST	61865889
271191	929	1997-11-07	VYDAJ	PREVOD NA UCET	5884	20052	SIPO	ST	61865889
271192	929	1997-12-07	VYDAJ	PREVOD NA UCET	5884	23259	SIPO	ST	61865889
271193	929	1998-01-07	VYDAJ	PREVOD NA UCET	5884	20568	SIPO	ST	61865889
271194	929	1998-02-07	VYDAJ	PREVOD NA UCET	5884	19268	SIPO	ST	61865889
271195	929	1998-03-07	VYDAJ	PREVOD NA UCET	5884	22271	SIPO	ST	61865889
271196	929	1998-04-07	VYDAJ	PREVOD NA UCET	5884	17463	SIPO	ST	61865889
271197	929	1998-05-07	VYDAJ	PREVOD NA UCET	5884	17348	SIPO	ST	61865889
271198	929	1998-06-07	VYDAJ	PREVOD NA UCET	5884	25157	SIPO	ST	61865889
271199	929	1998-07-07	VYDAJ	PREVOD NA UCET	5884	18880	SIPO	ST	61865889
271200	929	1998-08-07	VYDAJ	PREVOD NA UCET	5884	14581	SIPO	ST	61865889
271201	929	1998-09-07	VYDAJ	PREVOD NA UCET	5884	17571	SIPO	ST	61865889
271202	929	1998-10-07	VYDAJ	PREVOD NA UCET	5884	20566	SIPO	ST	61865889
271203	929	1998-11-07	VYDAJ	PREVOD NA UCET	5884	23574	SIPO	ST	61865889
271204	929	1998-12-07	VYDAJ	PREVOD NA UCET	5884	29907	SIPO	ST	61865889
271205	929	1993-12-14	VYDAJ	VYBER	2200	31645	\N	\N	\N
271206	929	1994-12-29	VYDAJ	VYBER	2100	31938	\N	\N	\N
271207	929	1995-12-23	VYDAJ	VYBER	2500	32704	\N	\N	\N
271208	929	1996-12-11	VYDAJ	VYBER	900	31972	\N	\N	\N
271209	929	1997-12-13	VYDAJ	VYBER	2800	20459	\N	\N	\N
271210	929	1998-12-06	VYDAJ	VYBER	1100	35791	\N	\N	\N
271217	929	1994-01-02	VYDAJ	VYBER	2300	24758	\N	\N	\N
271218	929	1994-01-29	VYDAJ	VYBER	1400	22201	\N	\N	\N
271219	929	1994-01-17	VYDAJ	VYBER	1000	24501	\N	\N	\N
271220	929	1994-01-07	VYDAJ	VYBER	1700	26001	\N	\N	\N
271221	929	1994-01-15	VYDAJ	VYBER	500	25501	\N	\N	\N
271222	929	1994-01-17	VYDAJ	VYBER	2300	22201	\N	\N	\N
271223	929	1995-01-17	VYDAJ	VYBER	600	32812	\N	\N	\N
271224	929	1995-01-23	VYDAJ	VYBER	800	30212	\N	\N	\N
271225	929	1995-01-26	VYDAJ	VYBER	1500	28112	\N	\N	\N
271226	929	1995-01-12	VYDAJ	VYBER	1600	33412	\N	\N	\N
271227	929	1995-01-24	VYDAJ	VYBER	600	29612	\N	\N	\N
271228	929	1995-01-21	VYDAJ	VYBER	1800	31012	\N	\N	\N
271229	929	1996-01-07	VYDAJ	VYBER	2300	36177	\N	\N	\N
271230	929	1996-01-26	VYDAJ	VYBER	2800	25493	\N	\N	\N
271231	929	1996-01-24	VYDAJ	VYBER	1500	28293	\N	\N	\N
271232	929	1996-01-20	VYDAJ	VYBER	2100	29793	\N	\N	\N
271233	929	1996-01-20	VYDAJ	VYBER	1600	31893	\N	\N	\N
271234	929	1996-01-02	VYDAJ	VYBER	1200	31650	\N	\N	\N
271235	929	1997-01-11	VYDAJ	VYBER	1600	21916	\N	\N	\N
271236	929	1997-01-10	VYDAJ	VYBER	1500	23516	\N	\N	\N
271237	929	1997-01-28	VYDAJ	VYBER	800	16516	\N	\N	\N
271238	929	1997-01-09	VYDAJ	VYBER	2900	25016	\N	\N	\N
271239	929	1997-01-07	VYDAJ	VYBER	2200	27916	\N	\N	\N
271240	929	1997-01-24	VYDAJ	VYBER	1200	17316	\N	\N	\N
271242	929	1998-01-16	VYDAJ	VYBER	600	17668	\N	\N	\N
271243	929	1998-01-12	VYDAJ	VYBER	2300	18268	\N	\N	\N
271244	929	1998-01-02	VYDAJ	VYBER	2300	17625	\N	\N	\N
271246	929	1998-01-01	VYDAJ	VYBER	600	19925	\N	\N	\N
271253	929	1994-05-14	VYDAJ	VYBER	2400	26546	\N	\N	\N
271254	929	1994-07-19	VYDAJ	VYBER	500	29962	\N	\N	\N
271255	929	1994-11-05	VYDAJ	VYBER	2300	30517	\N	\N	\N
271256	929	1994-07-01	VYDAJ	VYBER	3800	27519	\N	\N	\N
271257	929	1994-08-11	VYDAJ	VYBER	4500	24615	\N	\N	\N
271258	929	1994-03-29	VYDAJ	VYBER	700	26763	\N	\N	\N
271259	929	1994-09-27	VYDAJ	VYBER	3500	27552	\N	\N	\N
271260	929	1995-07-27	VYDAJ	VYBER	3900	34834	\N	\N	\N
271261	929	1995-12-19	VYDAJ	VYBER	2800	36604	\N	\N	\N
271262	929	1995-12-15	VYDAJ	VYBER	3000	42904	\N	\N	\N
271263	929	1995-02-09	VYDAJ	VYBER	4800	26372	\N	\N	\N
271264	929	1995-12-16	VYDAJ	VYBER	3500	39404	\N	\N	\N
271265	929	1995-06-04	VYDAJ	VYBER	4400	30995	\N	\N	\N
271266	929	1996-06-02	VYDAJ	VYBER	1300	36809	\N	\N	\N
271267	929	1996-02-13	VYDAJ	VYBER	500	28053	\N	\N	\N
271268	929	1996-09-08	VYDAJ	VYBER	4400	29626	\N	\N	\N
271269	929	1996-01-03	VYDAJ	VYBER	2000	29650	\N	\N	\N
271270	929	1996-09-01	VYDAJ	VYBER	2600	31083	\N	\N	\N
271271	929	1997-04-07	VYDAJ	VYBER	3700	24619	\N	\N	\N
271273	929	1997-05-29	VYDAJ	VYBER	1600	16536	\N	\N	\N
271274	929	1997-04-06	VYDAJ	VYBER	600	28319	\N	\N	\N
271280	929	1998-01-17	VYDAJ	VYBER	1400	16268	\N	\N	\N
271292	929	1993-11-30	VYDAJ	VYBER	15	32889	SLUZBY	\N	\N
271293	929	1993-12-31	VYDAJ	VYBER	15	27058	SLUZBY	\N	\N
271294	929	1994-01-31	VYDAJ	VYBER	15	22289	SLUZBY	\N	\N
271295	929	1994-02-28	VYDAJ	VYBER	15	25320	SLUZBY	\N	\N
271296	929	1994-03-31	VYDAJ	VYBER	15	25260	SLUZBY	\N	\N
271297	929	1994-04-30	VYDAJ	VYBER	15	26003	SLUZBY	\N	\N
271298	929	1994-05-31	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
271299	929	1994-06-30	VYDAJ	VYBER	15	31319	SLUZBY	\N	\N
271300	929	1994-07-31	VYDAJ	VYBER	15	26172	SLUZBY	\N	\N
271301	929	1994-08-31	VYDAJ	VYBER	15	27909	SLUZBY	\N	\N
271302	929	1994-09-30	VYDAJ	VYBER	15	27661	SLUZBY	\N	\N
271303	929	1994-10-31	VYDAJ	VYBER	15	32817	SLUZBY	\N	\N
271304	929	1994-11-30	VYDAJ	VYBER	15	30082	SLUZBY	\N	\N
271305	929	1994-12-31	VYDAJ	VYBER	15	32069	SLUZBY	\N	\N
271306	929	1995-01-31	VYDAJ	VYBER	15	28229	SLUZBY	\N	\N
271307	929	1995-02-28	VYDAJ	VYBER	15	29573	SLUZBY	\N	\N
271308	929	1995-03-31	VYDAJ	VYBER	15	33235	SLUZBY	\N	\N
271309	929	1995-04-30	VYDAJ	VYBER	15	36011	SLUZBY	\N	\N
271310	929	1995-05-31	VYDAJ	VYBER	15	35395	SLUZBY	\N	\N
271311	929	1995-06-30	VYDAJ	VYBER	15	35591	SLUZBY	\N	\N
271312	929	1995-07-31	VYDAJ	VYBER	15	34975	SLUZBY	\N	\N
271313	929	1995-08-31	VYDAJ	VYBER	15	37157	SLUZBY	\N	\N
271314	929	1995-09-30	VYDAJ	VYBER	15	40850	SLUZBY	\N	\N
271315	929	1995-10-31	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
271316	929	1995-11-30	VYDAJ	VYBER	15	38548	SLUZBY	\N	\N
271317	929	1995-12-31	VYDAJ	VYBER	15	32850	SLUZBY	\N	\N
271318	929	1996-01-31	VYDAJ	VYBER	15	25610	SLUZBY	\N	\N
271319	929	1996-02-29	VYDAJ	VYBER	15	32961	SLUZBY	\N	\N
271320	929	1996-03-31	VYDAJ	VYBER	15	35535	SLUZBY	\N	\N
271321	929	1996-04-30	VYDAJ	VYBER	15	38119	SLUZBY	\N	\N
271322	929	1996-05-31	VYDAJ	VYBER	15	38109	SLUZBY	\N	\N
271323	929	1996-06-30	VYDAJ	VYBER	15	36816	SLUZBY	\N	\N
271324	929	1996-07-31	VYDAJ	VYBER	15	38403	SLUZBY	\N	\N
271325	929	1996-08-31	VYDAJ	VYBER	15	33683	SLUZBY	\N	\N
271326	929	1996-09-30	VYDAJ	VYBER	15	27634	SLUZBY	\N	\N
271327	929	1996-10-31	VYDAJ	VYBER	15	27178	SLUZBY	\N	\N
271328	929	1996-11-30	VYDAJ	VYBER	15	25516	SLUZBY	\N	\N
271329	929	1996-12-31	VYDAJ	VYBER	15	27173	SLUZBY	\N	\N
271330	929	1997-01-31	VYDAJ	VYBER	15	16587	SLUZBY	\N	\N
271331	929	1997-02-28	VYDAJ	VYBER	15	16985	SLUZBY	\N	\N
271332	929	1997-03-31	VYDAJ	VYBER	15	20092	SLUZBY	\N	\N
271333	929	1997-04-30	VYDAJ	VYBER	15	16293	SLUZBY	\N	\N
271334	929	1997-05-31	VYDAJ	VYBER	15	16593	SLUZBY	\N	\N
271335	929	1997-06-30	VYDAJ	VYBER	15	18712	SLUZBY	\N	\N
271336	929	1997-07-31	VYDAJ	VYBER	15	19119	SLUZBY	\N	\N
271337	929	1997-08-31	VYDAJ	VYBER	15	18224	SLUZBY	\N	\N
271338	929	1997-09-30	VYDAJ	VYBER	15	14114	SLUZBY	\N	\N
271339	929	1997-10-31	VYDAJ	VYBER	15	17109	SLUZBY	\N	\N
271340	929	1997-11-30	VYDAJ	VYBER	15	15903	SLUZBY	\N	\N
271341	929	1997-12-31	VYDAJ	VYBER	15	20525	SLUZBY	\N	\N
271342	929	1998-01-31	VYDAJ	VYBER	15	16325	SLUZBY	\N	\N
271343	929	1998-02-28	VYDAJ	VYBER	15	19328	SLUZBY	\N	\N
271344	929	1998-03-31	VYDAJ	VYBER	15	14520	SLUZBY	\N	\N
271345	929	1998-04-30	VYDAJ	VYBER	15	14405	SLUZBY	\N	\N
271346	929	1998-05-31	VYDAJ	VYBER	15	17801	SLUZBY	\N	\N
271347	929	1998-06-30	VYDAJ	VYBER	15	15937	SLUZBY	\N	\N
271348	929	1998-07-31	VYDAJ	VYBER	15	18938	SLUZBY	\N	\N
271349	929	1998-08-31	VYDAJ	VYBER	15	14628	SLUZBY	\N	\N
271350	929	1998-09-30	VYDAJ	VYBER	15	17623	SLUZBY	\N	\N
271351	929	1998-10-31	VYDAJ	VYBER	15	20631	SLUZBY	\N	\N
271352	929	1998-11-30	VYDAJ	VYBER	15	23651	SLUZBY	\N	\N
271353	929	1993-08-02	PRIJEM	VKLAD	10100	19159	\N	\N	\N
271354	929	1993-09-01	VYDAJ	VYBER	3100	24989	\N	\N	\N
271355	929	1993-10-01	VYDAJ	VYBER	7100	26853	\N	\N	\N
271356	929	1993-10-31	VYDAJ	VYBER	6000	29827	\N	\N	\N
271357	929	1993-11-30	VYDAJ	VYBER	6400	26489	\N	\N	\N
271358	929	1993-12-30	VYDAJ	VYBER	4700	26945	\N	\N	\N
271359	929	1994-01-29	PRIJEM	VKLAD	1400	23601	\N	\N	\N
271360	929	1994-02-28	VYDAJ	VYBER	800	24520	\N	\N	\N
271361	929	1994-03-30	VYDAJ	VYBER	1600	25163	\N	\N	\N
271362	929	1994-04-29	VYDAJ	VYBER	2300	25903	\N	\N	\N
271363	929	1994-05-29	VYDAJ	VYBER	200	26346	\N	\N	\N
271364	929	1994-06-28	VYDAJ	VYBER	2600	31200	\N	\N	\N
271365	929	1994-07-28	VYDAJ	VYBER	3900	26062	\N	\N	\N
271366	929	1994-08-27	PRIJEM	VKLAD	3200	27815	\N	\N	\N
271367	929	1994-09-26	PRIJEM	VKLAD	200	31052	\N	\N	\N
271368	929	1994-10-26	PRIJEM	VKLAD	2100	32704	\N	\N	\N
271369	929	1994-11-25	VYDAJ	VYBER	3500	29960	\N	\N	\N
271370	929	1994-12-25	VYDAJ	VYBER	3400	34038	\N	\N	\N
271371	929	1995-02-23	PRIJEM	VKLAD	3100	29472	\N	\N	\N
271372	929	1995-03-25	PRIJEM	VKLAD	600	33116	\N	\N	\N
271373	929	1995-04-24	VYDAJ	VYBER	300	35878	\N	\N	\N
271374	929	1995-05-24	VYDAJ	VYBER	3700	35254	\N	\N	\N
271375	929	1995-06-23	VYDAJ	VYBER	2900	35451	\N	\N	\N
271376	929	1995-07-23	PRIJEM	VKLAD	200	38734	\N	\N	\N
271377	929	1995-08-22	VYDAJ	VYBER	900	37018	\N	\N	\N
271378	929	1995-09-21	PRIJEM	VKLAD	600	40700	\N	\N	\N
271379	929	1995-10-21	VYDAJ	VYBER	4200	39593	\N	\N	\N
271380	929	1995-11-20	VYDAJ	VYBER	4300	38395	\N	\N	\N
271381	929	1995-12-20	VYDAJ	VYBER	1400	35204	\N	\N	\N
271382	929	1996-01-19	PRIJEM	VKLAD	3200	33493	\N	\N	\N
271383	929	1996-02-18	PRIJEM	VKLAD	4800	32853	\N	\N	\N
271384	929	1996-03-19	VYDAJ	VYBER	500	35404	\N	\N	\N
271385	929	1996-04-18	VYDAJ	VYBER	500	37978	\N	\N	\N
271386	929	1996-05-18	VYDAJ	VYBER	3100	37962	\N	\N	\N
271387	929	1996-06-17	VYDAJ	VYBER	7500	36665	\N	\N	\N
271388	929	1996-07-17	VYDAJ	VYBER	1500	38259	\N	\N	\N
271389	929	1996-08-16	VYDAJ	VYBER	7800	33546	\N	\N	\N
271390	929	1996-09-15	VYDAJ	VYBER	2100	27526	\N	\N	\N
271391	929	1996-10-15	VYDAJ	VYBER	3500	27077	\N	\N	\N
271392	929	1996-11-14	VYDAJ	VYBER	4700	25421	\N	\N	\N
271393	929	1996-12-14	VYDAJ	VYBER	4900	27072	\N	\N	\N
271394	929	1997-01-13	VYDAJ	VYBER	3400	18516	\N	\N	\N
271395	929	1997-02-12	VYDAJ	VYBER	2600	16930	\N	\N	\N
271396	929	1997-03-14	PRIJEM	VKLAD	100	20028	\N	\N	\N
271397	929	1997-04-13	VYDAJ	VYBER	2500	16235	\N	\N	\N
271398	929	1997-05-13	VYDAJ	VYBER	1100	18136	\N	\N	\N
271399	929	1997-06-12	VYDAJ	VYBER	5300	18649	\N	\N	\N
271400	929	1997-07-12	VYDAJ	VYBER	2600	19055	\N	\N	\N
271401	929	1997-08-11	VYDAJ	VYBER	3900	18162	\N	\N	\N
271402	929	1997-09-10	VYDAJ	VYBER	7100	14067	\N	\N	\N
271403	929	1997-11-09	VYDAJ	VYBER	4200	15852	\N	\N	\N
271404	929	1998-03-09	VYDAJ	VYBER	7800	14471	\N	\N	\N
271405	929	1998-04-08	VYDAJ	VYBER	3100	14363	\N	\N	\N
271406	929	1998-05-08	PRIJEM	VKLAD	400	17748	\N	\N	\N
271407	929	1998-06-07	VYDAJ	VYBER	9300	15857	\N	\N	\N
271408	929	1998-08-06	VYDAJ	VYBER	7300	20465	\N	\N	\N
271475	930	1993-08-03	PRIJEM	VKLAD	300	300	\N	\N	\N
271483	930	1993-08-12	PRIJEM	VKLAD	14035	14335	\N	\N	\N
271484	930	1993-09-12	PRIJEM	VKLAD	14035	32109	\N	\N	\N
271485	930	1993-10-12	PRIJEM	VKLAD	14035	42750	\N	\N	\N
271486	930	1993-11-12	PRIJEM	VKLAD	14035	49548	\N	\N	\N
271487	930	1993-12-12	PRIJEM	VKLAD	21052	60496	\N	\N	\N
271488	930	1994-01-12	PRIJEM	VKLAD	14035	46330	\N	\N	\N
271489	930	1994-02-12	PRIJEM	VKLAD	14035	35689	\N	\N	\N
271490	930	1994-03-12	PRIJEM	VKLAD	14035	40564	\N	\N	\N
271491	930	1994-04-12	PRIJEM	VKLAD	14035	43653	\N	\N	\N
271492	930	1994-05-12	PRIJEM	VKLAD	14035	43651	\N	\N	\N
271493	930	1994-06-12	PRIJEM	VKLAD	21052	53367	\N	\N	\N
271494	930	1994-07-12	PRIJEM	VKLAD	14035	39401	\N	\N	\N
271495	930	1994-08-12	PRIJEM	VKLAD	14035	44282	\N	\N	\N
271496	930	1994-09-12	PRIJEM	VKLAD	14035	45582	\N	\N	\N
271497	930	1994-10-12	PRIJEM	VKLAD	14035	41960	\N	\N	\N
271498	930	1994-11-12	PRIJEM	VKLAD	14035	37849	\N	\N	\N
271499	930	1994-12-12	PRIJEM	VKLAD	21052	42446	\N	\N	\N
271500	930	1995-01-12	PRIJEM	VKLAD	14035	39955	\N	\N	\N
271501	930	1995-02-12	PRIJEM	VKLAD	14035	36046	\N	\N	\N
271502	930	1995-03-12	PRIJEM	VKLAD	14035	39011	\N	\N	\N
271503	930	1995-04-12	PRIJEM	VKLAD	14035	43690	\N	\N	\N
271504	930	1995-05-12	PRIJEM	VKLAD	14035	42984	\N	\N	\N
271505	930	1995-06-12	PRIJEM	VKLAD	21052	52116	\N	\N	\N
271506	930	1995-07-12	PRIJEM	VKLAD	14035	37832	\N	\N	\N
271507	930	1995-08-12	PRIJEM	VKLAD	14035	44509	\N	\N	\N
271508	930	1995-09-12	PRIJEM	VKLAD	14035	44882	\N	\N	\N
271509	930	1995-10-12	PRIJEM	VKLAD	14035	44780	\N	\N	\N
271510	930	1995-11-12	PRIJEM	VKLAD	14035	43018	\N	\N	\N
271511	930	1995-12-12	PRIJEM	VKLAD	21052	51248	\N	\N	\N
271512	930	1996-01-12	PRIJEM	VKLAD	14035	38631	\N	\N	\N
271513	930	1996-02-12	PRIJEM	VKLAD	14035	40143	\N	\N	\N
271514	930	1996-03-12	PRIJEM	VKLAD	14035	44913	\N	\N	\N
271515	930	1996-04-12	PRIJEM	VKLAD	14035	50016	\N	\N	\N
271516	930	1996-05-12	PRIJEM	VKLAD	14035	50634	\N	\N	\N
271517	930	1996-06-12	PRIJEM	VKLAD	21052	60675	\N	\N	\N
271518	930	1996-07-12	PRIJEM	VKLAD	14035	56237	\N	\N	\N
271519	930	1996-08-12	PRIJEM	VKLAD	14035	56479	\N	\N	\N
271520	930	1996-09-12	PRIJEM	VKLAD	14035	60929	\N	\N	\N
271521	930	1996-10-12	PRIJEM	VKLAD	14035	62592	\N	\N	\N
271522	930	1996-11-12	PRIJEM	VKLAD	14035	51311	\N	\N	\N
271523	930	1996-12-12	PRIJEM	VKLAD	21052	62167	\N	\N	\N
271524	930	1997-01-12	PRIJEM	VKLAD	14035	33552	\N	\N	\N
271525	930	1997-02-12	PRIJEM	VKLAD	14035	41380	\N	\N	\N
271526	930	1997-03-12	PRIJEM	VKLAD	14035	49820	\N	\N	\N
271527	930	1997-04-12	PRIJEM	VKLAD	14035	58652	\N	\N	\N
271528	930	1997-05-12	PRIJEM	VKLAD	14035	59406	\N	\N	\N
271529	930	1997-06-12	PRIJEM	VKLAD	21052	66875	\N	\N	\N
271530	930	1997-07-12	PRIJEM	VKLAD	14035	36304	\N	\N	\N
271531	930	1997-08-12	PRIJEM	VKLAD	14035	47890	\N	\N	\N
271532	930	1997-09-12	PRIJEM	VKLAD	14035	60413	\N	\N	\N
271533	930	1997-10-12	PRIJEM	VKLAD	14035	61651	\N	\N	\N
271534	930	1997-11-12	PRIJEM	VKLAD	14035	65583	\N	\N	\N
271535	930	1997-12-12	PRIJEM	VKLAD	21052	76690	\N	\N	\N
271536	930	1998-01-12	PRIJEM	VKLAD	14035	69798	\N	\N	\N
271537	930	1998-02-12	PRIJEM	VKLAD	14035	65961	\N	\N	\N
271538	930	1998-03-12	PRIJEM	VKLAD	14035	63412	\N	\N	\N
271539	930	1998-04-12	PRIJEM	VKLAD	14035	63098	\N	\N	\N
271540	930	1998-05-12	PRIJEM	VKLAD	14035	64386	\N	\N	\N
271541	930	1998-06-12	PRIJEM	VKLAD	21052	68614	\N	\N	\N
271542	930	1998-07-12	PRIJEM	VKLAD	14035	63023	\N	\N	\N
271543	930	1998-08-12	PRIJEM	VKLAD	14035	61488	\N	\N	\N
271544	930	1998-09-12	PRIJEM	VKLAD	14035	65369	\N	\N	\N
271545	930	1998-10-12	PRIJEM	VKLAD	14035	63098	\N	\N	\N
271546	930	1998-11-12	PRIJEM	VKLAD	14035	60494	\N	\N	\N
271547	930	1998-12-12	PRIJEM	VKLAD	21052	62761	\N	\N	\N
271559	930	1993-12-14	VYDAJ	PREVOD NA UCET	9356	51140	SIPO	IJ	14144766
271560	930	1994-01-14	VYDAJ	PREVOD NA UCET	9356	34334	SIPO	IJ	14144766
271561	930	1994-02-14	VYDAJ	PREVOD NA UCET	9356	26333	SIPO	IJ	14144766
271562	930	1994-03-14	VYDAJ	PREVOD NA UCET	9356	31208	SIPO	IJ	14144766
271563	930	1994-04-14	VYDAJ	PREVOD NA UCET	9356	34297	SIPO	IJ	14144766
271564	930	1994-05-14	VYDAJ	PREVOD NA UCET	9356	34295	SIPO	IJ	14144766
271565	930	1994-06-14	VYDAJ	PREVOD NA UCET	9356	44011	SIPO	IJ	14144766
271566	930	1994-07-14	VYDAJ	PREVOD NA UCET	9356	30045	SIPO	IJ	14144766
271567	930	1994-08-14	VYDAJ	PREVOD NA UCET	9356	34926	SIPO	IJ	14144766
271568	930	1994-09-14	VYDAJ	PREVOD NA UCET	9356	33106	SIPO	IJ	14144766
271569	930	1994-10-14	VYDAJ	PREVOD NA UCET	9356	32604	SIPO	IJ	14144766
271570	930	1994-11-14	VYDAJ	PREVOD NA UCET	9356	28493	SIPO	IJ	14144766
271571	930	1994-12-14	VYDAJ	PREVOD NA UCET	9356	33090	SIPO	IJ	14144766
271572	930	1995-01-14	VYDAJ	PREVOD NA UCET	9356	25799	SIPO	IJ	14144766
271573	930	1995-02-14	VYDAJ	PREVOD NA UCET	9356	26690	SIPO	IJ	14144766
271574	930	1995-03-14	VYDAJ	PREVOD NA UCET	9356	29655	SIPO	IJ	14144766
271575	930	1995-04-14	VYDAJ	PREVOD NA UCET	9356	34334	SIPO	IJ	14144766
271576	930	1995-05-14	VYDAJ	PREVOD NA UCET	9356	33628	SIPO	IJ	14144766
271577	930	1995-06-14	VYDAJ	PREVOD NA UCET	9356	21800	SIPO	IJ	14144766
271578	930	1995-07-14	VYDAJ	PREVOD NA UCET	9356	28476	SIPO	IJ	14144766
271579	930	1995-08-14	VYDAJ	PREVOD NA UCET	9356	35153	SIPO	IJ	14144766
271580	930	1995-09-14	VYDAJ	PREVOD NA UCET	9356	35526	SIPO	IJ	14144766
271581	930	1995-10-14	VYDAJ	PREVOD NA UCET	9356	35424	SIPO	IJ	14144766
271582	930	1995-11-14	VYDAJ	PREVOD NA UCET	9356	33662	SIPO	IJ	14144766
271583	930	1995-12-14	VYDAJ	PREVOD NA UCET	9356	41892	SIPO	IJ	14144766
271584	930	1996-01-14	VYDAJ	PREVOD NA UCET	9356	29275	SIPO	IJ	14144766
271585	930	1996-02-14	VYDAJ	PREVOD NA UCET	9356	28867	SIPO	IJ	14144766
271687	930	1996-12-18	VYDAJ	VYBER	5880	45431	\N	\N	\N
271586	930	1996-03-14	VYDAJ	PREVOD NA UCET	9356	35557	SIPO	IJ	14144766
271587	930	1996-04-14	VYDAJ	PREVOD NA UCET	9356	40660	SIPO	IJ	14144766
271588	930	1996-05-14	VYDAJ	PREVOD NA UCET	9356	41278	SIPO	IJ	14144766
271589	930	1996-06-14	VYDAJ	PREVOD NA UCET	9356	51319	SIPO	IJ	14144766
271590	930	1996-07-14	VYDAJ	PREVOD NA UCET	9356	46881	SIPO	IJ	14144766
271591	930	1996-08-14	VYDAJ	PREVOD NA UCET	9356	47123	SIPO	IJ	14144766
271592	930	1996-09-14	VYDAJ	PREVOD NA UCET	9356	51573	SIPO	IJ	14144766
271593	930	1996-10-14	VYDAJ	PREVOD NA UCET	9356	53236	SIPO	IJ	14144766
271594	930	1996-11-14	VYDAJ	PREVOD NA UCET	9356	41955	SIPO	IJ	14144766
271595	930	1996-12-14	VYDAJ	PREVOD NA UCET	9356	52811	SIPO	IJ	14144766
271596	930	1997-01-14	VYDAJ	PREVOD NA UCET	9356	36836	SIPO	IJ	14144766
271597	930	1997-02-14	VYDAJ	PREVOD NA UCET	9356	35664	SIPO	IJ	14144766
271598	930	1997-03-14	VYDAJ	PREVOD NA UCET	9356	40464	SIPO	IJ	14144766
271599	930	1997-04-14	VYDAJ	PREVOD NA UCET	9356	49496	SIPO	IJ	14144766
271600	930	1997-05-14	VYDAJ	PREVOD NA UCET	9356	50050	SIPO	IJ	14144766
271601	930	1997-06-14	VYDAJ	PREVOD NA UCET	9356	48019	SIPO	IJ	14144766
271602	930	1997-07-14	VYDAJ	PREVOD NA UCET	9356	33748	SIPO	IJ	14144766
271603	930	1997-08-14	VYDAJ	PREVOD NA UCET	9356	40734	SIPO	IJ	14144766
271604	930	1997-09-14	VYDAJ	PREVOD NA UCET	9356	51057	SIPO	IJ	14144766
271605	930	1997-10-14	VYDAJ	PREVOD NA UCET	9356	50375	SIPO	IJ	14144766
271606	930	1997-11-14	VYDAJ	PREVOD NA UCET	9356	56227	SIPO	IJ	14144766
271607	930	1997-12-14	VYDAJ	PREVOD NA UCET	9356	67334	SIPO	IJ	14144766
271608	930	1998-01-14	VYDAJ	PREVOD NA UCET	9356	57922	SIPO	IJ	14144766
271609	930	1998-02-14	VYDAJ	PREVOD NA UCET	9356	56605	SIPO	IJ	14144766
271610	930	1998-03-14	VYDAJ	PREVOD NA UCET	9356	54056	SIPO	IJ	14144766
271611	930	1998-04-14	VYDAJ	PREVOD NA UCET	9356	53742	SIPO	IJ	14144766
271612	930	1998-05-14	VYDAJ	PREVOD NA UCET	9356	55030	SIPO	IJ	14144766
271613	930	1998-06-14	VYDAJ	PREVOD NA UCET	9356	59258	SIPO	IJ	14144766
271614	930	1998-07-14	VYDAJ	PREVOD NA UCET	9356	53667	SIPO	IJ	14144766
271615	930	1998-08-14	VYDAJ	PREVOD NA UCET	9356	52132	SIPO	IJ	14144766
271616	930	1998-09-14	VYDAJ	PREVOD NA UCET	9356	56013	SIPO	IJ	14144766
271617	930	1998-10-14	VYDAJ	PREVOD NA UCET	9356	53742	SIPO	IJ	14144766
271618	930	1998-11-14	VYDAJ	PREVOD NA UCET	9356	51138	SIPO	IJ	14144766
271619	930	1998-12-14	VYDAJ	PREVOD NA UCET	9356	53405	SIPO	IJ	14144766
271621	930	1994-06-18	VYDAJ	VYBER	17440	26571	\N	\N	\N
271622	930	1995-06-12	VYDAJ	VYBER	20960	31156	\N	\N	\N
271624	930	1997-06-28	VYDAJ	VYBER	25920	22099	\N	\N	\N
271627	930	1994-01-01	VYDAJ	VYBER	3200	33375	\N	\N	\N
271628	930	1995-01-16	VYDAJ	VYBER	4160	20079	\N	\N	\N
271629	930	1996-01-05	VYDAJ	VYBER	12640	25796	\N	\N	\N
271630	930	1997-01-03	VYDAJ	VYBER	12800	24677	\N	\N	\N
271631	930	1998-01-26	VYDAJ	VYBER	3840	51802	\N	\N	\N
271632	930	1993-12-26	VYDAJ	VYBER	2560	48580	\N	\N	\N
271633	930	1994-12-11	VYDAJ	VYBER	3520	21394	\N	\N	\N
271634	930	1995-12-06	VYDAJ	VYBER	2080	30196	\N	\N	\N
271635	930	1996-12-26	VYDAJ	VYBER	4640	40791	\N	\N	\N
271636	930	1997-12-30	VYDAJ	VYBER	800	66534	\N	\N	\N
271637	930	1998-12-07	VYDAJ	VYBER	3200	41709	\N	\N	\N
271644	930	1994-01-03	VYDAJ	VYBER	1080	32295	\N	\N	\N
271645	930	1994-01-19	VYDAJ	VYBER	1800	32534	\N	\N	\N
271646	930	1994-01-12	VYDAJ	VYBER	960	45370	\N	\N	\N
271647	930	1994-01-13	VYDAJ	VYBER	1680	43690	\N	\N	\N
271648	930	1994-01-23	VYDAJ	VYBER	3240	29294	\N	\N	\N
271649	930	1994-01-28	VYDAJ	VYBER	2040	27254	\N	\N	\N
271650	930	1995-01-10	VYDAJ	VYBER	1320	25920	\N	\N	\N
271651	930	1995-01-03	VYDAJ	VYBER	1560	27240	\N	\N	\N
271652	930	1995-01-29	VYDAJ	VYBER	3360	21919	\N	\N	\N
271653	930	1995-01-14	VYDAJ	VYBER	1560	35155	\N	\N	\N
271654	930	1995-01-13	VYDAJ	VYBER	3240	36715	\N	\N	\N
271655	930	1995-01-15	VYDAJ	VYBER	1560	24239	\N	\N	\N
271656	930	1996-01-24	VYDAJ	VYBER	960	30675	\N	\N	\N
271657	930	1996-01-05	VYDAJ	VYBER	1200	24596	\N	\N	\N
271658	930	1996-01-30	VYDAJ	VYBER	1920	28755	\N	\N	\N
271659	930	1996-01-17	VYDAJ	VYBER	1200	28075	\N	\N	\N
271660	930	1996-01-23	VYDAJ	VYBER	840	31635	\N	\N	\N
271661	930	1996-01-02	VYDAJ	VYBER	1200	38436	\N	\N	\N
271662	930	1997-01-24	VYDAJ	VYBER	2280	32156	\N	\N	\N
271663	930	1997-01-14	VYDAJ	VYBER	960	46192	\N	\N	\N
271664	930	1997-01-03	VYDAJ	VYBER	3360	21317	\N	\N	\N
271665	930	1997-01-18	VYDAJ	VYBER	720	36116	\N	\N	\N
271666	930	1997-01-20	VYDAJ	VYBER	1680	34436	\N	\N	\N
271667	930	1997-01-01	VYDAJ	VYBER	3480	37477	\N	\N	\N
271668	930	1998-01-12	VYDAJ	VYBER	2520	67278	\N	\N	\N
271669	930	1998-01-04	VYDAJ	VYBER	1800	61383	\N	\N	\N
271670	930	1998-01-03	VYDAJ	VYBER	1320	65463	\N	\N	\N
271671	930	1998-01-09	VYDAJ	VYBER	3120	58263	\N	\N	\N
271672	930	1998-01-03	VYDAJ	VYBER	2280	63183	\N	\N	\N
271673	930	1998-01-15	VYDAJ	VYBER	2280	55642	\N	\N	\N
271678	930	1994-09-13	VYDAJ	VYBER	3120	42462	\N	\N	\N
271679	930	1994-06-27	VYDAJ	VYBER	1920	24651	\N	\N	\N
271680	930	1994-02-10	VYDAJ	VYBER	2880	21654	\N	\N	\N
271681	930	1994-11-21	VYDAJ	VYBER	2280	26213	\N	\N	\N
271682	930	1994-02-05	VYDAJ	VYBER	840	24534	\N	\N	\N
271683	930	1994-11-07	VYDAJ	VYBER	4200	23814	\N	\N	\N
271684	930	1995-06-03	VYDAJ	VYBER	1680	31064	\N	\N	\N
271685	930	1995-08-16	VYDAJ	VYBER	3120	32033	\N	\N	\N
271686	930	1995-10-31	VYDAJ	VYBER	3360	28983	\N	\N	\N
271688	930	1996-02-14	VYDAJ	VYBER	1920	38223	\N	\N	\N
271689	930	1996-06-26	VYDAJ	VYBER	2880	42039	\N	\N	\N
271690	930	1996-11-01	VYDAJ	VYBER	5880	37276	\N	\N	\N
271691	930	1996-10-23	VYDAJ	VYBER	4560	42976	\N	\N	\N
271692	930	1996-02-02	VYDAJ	VYBER	2760	26108	\N	\N	\N
271693	930	1997-10-14	VYDAJ	VYBER	1920	59731	\N	\N	\N
271694	930	1997-02-12	VYDAJ	VYBER	1560	39820	\N	\N	\N
271695	930	1997-01-30	VYDAJ	VYBER	4920	27236	\N	\N	\N
271696	930	1997-11-02	VYDAJ	VYBER	4920	45648	\N	\N	\N
271697	930	1997-09-30	VYDAJ	VYBER	1200	46916	\N	\N	\N
271698	930	1997-04-27	VYDAJ	VYBER	4320	45176	\N	\N	\N
271699	930	1997-01-07	VYDAJ	VYBER	1800	19517	\N	\N	\N
271700	930	1997-09-23	VYDAJ	VYBER	3120	47937	\N	\N	\N
271701	930	1998-06-16	VYDAJ	VYBER	2640	56618	\N	\N	\N
271702	930	1998-11-24	VYDAJ	VYBER	1320	49818	\N	\N	\N
271703	930	1998-09-28	VYDAJ	VYBER	2760	53253	\N	\N	\N
271704	930	1998-10-19	VYDAJ	VYBER	5880	47862	\N	\N	\N
271705	930	1998-02-28	VYDAJ	VYBER	5040	51792	\N	\N	\N
271706	930	1998-07-25	VYDAJ	VYBER	1320	52347	\N	\N	\N
271707	930	1998-06-10	VYDAJ	VYBER	3480	47562	\N	\N	\N
271708	930	1998-06-17	VYDAJ	VYBER	3840	52778	\N	\N	\N
271721	930	1993-12-31	VYDAJ	VYBER	15	36575	SLUZBY	\N	\N
271722	930	1994-01-31	VYDAJ	VYBER	15	25374	SLUZBY	\N	\N
271723	930	1994-02-28	VYDAJ	VYBER	15	26429	SLUZBY	\N	\N
271724	930	1994-03-31	VYDAJ	VYBER	15	29618	SLUZBY	\N	\N
271725	930	1994-04-30	VYDAJ	VYBER	15	34416	SLUZBY	\N	\N
271726	930	1994-05-31	VYDAJ	VYBER	15	32315	SLUZBY	\N	\N
271727	930	1994-06-30	VYDAJ	VYBER	15	25366	SLUZBY	\N	\N
271728	930	1994-07-31	VYDAJ	VYBER	15	30247	SLUZBY	\N	\N
271729	930	1994-08-31	VYDAJ	VYBER	15	31547	SLUZBY	\N	\N
271730	930	1994-09-30	VYDAJ	VYBER	15	27925	SLUZBY	\N	\N
271731	930	1994-10-31	VYDAJ	VYBER	15	28014	SLUZBY	\N	\N
271732	930	1994-11-30	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
271733	930	1994-12-31	VYDAJ	VYBER	15	28800	SLUZBY	\N	\N
271734	930	1995-01-31	VYDAJ	VYBER	15	22011	SLUZBY	\N	\N
271735	930	1995-02-28	VYDAJ	VYBER	15	24976	SLUZBY	\N	\N
271736	930	1995-03-31	VYDAJ	VYBER	15	29655	SLUZBY	\N	\N
271737	930	1995-04-30	VYDAJ	VYBER	15	28949	SLUZBY	\N	\N
271738	930	1995-05-31	VYDAJ	VYBER	15	32744	SLUZBY	\N	\N
271739	930	1995-06-30	VYDAJ	VYBER	15	23797	SLUZBY	\N	\N
271740	930	1995-07-31	VYDAJ	VYBER	15	30474	SLUZBY	\N	\N
271741	930	1995-08-31	VYDAJ	VYBER	15	30847	SLUZBY	\N	\N
271742	930	1995-09-30	VYDAJ	VYBER	15	30745	SLUZBY	\N	\N
271743	930	1995-10-31	VYDAJ	VYBER	15	32343	SLUZBY	\N	\N
271744	930	1995-11-30	VYDAJ	VYBER	15	32276	SLUZBY	\N	\N
271745	930	1995-12-31	VYDAJ	VYBER	15	39636	SLUZBY	\N	\N
271746	930	1996-01-31	VYDAJ	VYBER	15	28868	SLUZBY	\N	\N
271747	930	1996-02-29	VYDAJ	VYBER	15	30878	SLUZBY	\N	\N
271748	930	1996-03-31	VYDAJ	VYBER	15	35981	SLUZBY	\N	\N
271749	930	1996-04-30	VYDAJ	VYBER	15	36599	SLUZBY	\N	\N
271750	930	1996-05-31	VYDAJ	VYBER	15	39623	SLUZBY	\N	\N
271751	930	1996-06-30	VYDAJ	VYBER	15	42202	SLUZBY	\N	\N
271752	930	1996-07-31	VYDAJ	VYBER	15	42444	SLUZBY	\N	\N
271753	930	1996-08-31	VYDAJ	VYBER	15	46894	SLUZBY	\N	\N
271754	930	1996-09-30	VYDAJ	VYBER	15	48557	SLUZBY	\N	\N
271755	930	1996-10-31	VYDAJ	VYBER	15	43156	SLUZBY	\N	\N
271756	930	1996-11-30	VYDAJ	VYBER	15	41115	SLUZBY	\N	\N
271757	930	1996-12-31	VYDAJ	VYBER	15	40957	SLUZBY	\N	\N
271758	930	1997-01-31	VYDAJ	VYBER	15	27345	SLUZBY	\N	\N
271759	930	1997-02-28	VYDAJ	VYBER	15	35785	SLUZBY	\N	\N
271760	930	1997-03-31	VYDAJ	VYBER	15	44617	SLUZBY	\N	\N
271761	930	1997-04-30	VYDAJ	VYBER	15	45371	SLUZBY	\N	\N
271762	930	1997-05-31	VYDAJ	VYBER	15	45823	SLUZBY	\N	\N
271763	930	1997-06-30	VYDAJ	VYBER	15	22269	SLUZBY	\N	\N
271764	930	1997-07-31	VYDAJ	VYBER	15	33855	SLUZBY	\N	\N
271765	930	1997-08-31	VYDAJ	VYBER	15	40878	SLUZBY	\N	\N
271766	930	1997-09-30	VYDAJ	VYBER	15	48116	SLUZBY	\N	\N
271767	930	1997-10-31	VYDAJ	VYBER	15	50568	SLUZBY	\N	\N
271768	930	1997-11-30	VYDAJ	VYBER	15	56438	SLUZBY	\N	\N
271769	930	1997-12-31	VYDAJ	VYBER	15	66783	SLUZBY	\N	\N
271770	930	1998-01-31	VYDAJ	VYBER	15	52026	SLUZBY	\N	\N
271771	930	1998-02-28	VYDAJ	VYBER	15	51777	SLUZBY	\N	\N
271772	930	1998-03-31	VYDAJ	VYBER	15	54263	SLUZBY	\N	\N
271773	930	1998-04-30	VYDAJ	VYBER	15	53951	SLUZBY	\N	\N
271774	930	1998-05-31	VYDAJ	VYBER	15	55242	SLUZBY	\N	\N
271775	930	1998-06-30	VYDAJ	VYBER	15	52988	SLUZBY	\N	\N
271776	930	1998-07-31	VYDAJ	VYBER	15	52553	SLUZBY	\N	\N
271777	930	1998-08-31	VYDAJ	VYBER	15	52334	SLUZBY	\N	\N
271778	930	1998-09-30	VYDAJ	VYBER	15	53463	SLUZBY	\N	\N
271779	930	1998-10-31	VYDAJ	VYBER	15	48059	SLUZBY	\N	\N
271780	930	1998-11-30	VYDAJ	VYBER	15	50009	SLUZBY	\N	\N
271781	930	1993-09-02	PRIJEM	VKLAD	3700	18074	\N	\N	\N
271782	930	1993-10-02	VYDAJ	VYBER	3500	28715	\N	\N	\N
271783	930	1993-11-01	VYDAJ	VYBER	7400	35513	\N	\N	\N
271784	930	1993-12-01	VYDAJ	VYBER	10300	39444	\N	\N	\N
271785	930	1993-12-31	VYDAJ	VYBER	12200	36589	\N	\N	\N
271786	930	1994-01-30	VYDAJ	VYBER	2000	25254	\N	\N	\N
271787	930	1994-03-01	PRIJEM	VKLAD	100	26529	\N	\N	\N
271788	930	1994-03-31	VYDAJ	VYBER	1700	29633	\N	\N	\N
271789	930	1994-04-30	VYDAJ	VYBER	4800	29616	\N	\N	\N
271790	930	1994-05-30	VYDAJ	VYBER	2100	32195	\N	\N	\N
271791	930	1994-06-29	PRIJEM	VKLAD	600	25251	\N	\N	\N
271792	930	1994-07-29	PRIJEM	VKLAD	100	30145	\N	\N	\N
271793	930	1994-08-28	VYDAJ	VYBER	3500	31426	\N	\N	\N
271794	930	1994-09-27	VYDAJ	VYBER	5300	27806	\N	\N	\N
271795	930	1994-10-27	VYDAJ	VYBER	4700	27904	\N	\N	\N
271796	930	1994-11-26	VYDAJ	VYBER	1400	24813	\N	\N	\N
271797	930	1994-12-26	VYDAJ	VYBER	4400	28690	\N	\N	\N
271798	930	1995-01-25	PRIJEM	VKLAD	5200	25279	\N	\N	\N
271799	930	1995-02-24	VYDAJ	VYBER	1800	24890	\N	\N	\N
271800	930	1995-03-26	VYDAJ	VYBER	100	29555	\N	\N	\N
271801	930	1995-04-25	VYDAJ	VYBER	5500	28834	\N	\N	\N
271802	930	1995-05-25	VYDAJ	VYBER	1000	32628	\N	\N	\N
271803	930	1995-06-24	PRIJEM	VKLAD	1900	23700	\N	\N	\N
271804	930	1995-07-24	PRIJEM	VKLAD	1900	30376	\N	\N	\N
271805	930	1995-08-23	VYDAJ	VYBER	1300	30733	\N	\N	\N
271806	930	1995-09-22	VYDAJ	VYBER	4900	30626	\N	\N	\N
271807	930	1995-10-22	VYDAJ	VYBER	3200	32224	\N	\N	\N
271808	930	1995-11-21	VYDAJ	VYBER	1500	32162	\N	\N	\N
271809	930	1995-12-21	VYDAJ	VYBER	2400	39492	\N	\N	\N
271810	930	1996-01-20	PRIJEM	VKLAD	4400	32475	\N	\N	\N
271811	930	1996-02-19	PRIJEM	VKLAD	1900	30767	\N	\N	\N
271812	930	1996-03-20	PRIJEM	VKLAD	300	35857	\N	\N	\N
271813	930	1996-04-19	VYDAJ	VYBER	4200	36460	\N	\N	\N
271814	930	1996-05-19	VYDAJ	VYBER	1800	39478	\N	\N	\N
271815	930	1996-06-18	VYDAJ	VYBER	6400	44919	\N	\N	\N
271816	930	1996-07-18	VYDAJ	VYBER	4600	42281	\N	\N	\N
271817	930	1996-08-17	VYDAJ	VYBER	400	46723	\N	\N	\N
271818	930	1996-09-16	VYDAJ	VYBER	3200	48373	\N	\N	\N
271819	930	1996-10-16	VYDAJ	VYBER	5700	47536	\N	\N	\N
271820	930	1996-11-15	VYDAJ	VYBER	1000	40955	\N	\N	\N
271821	930	1996-12-15	VYDAJ	VYBER	1500	51311	\N	\N	\N
271822	930	1997-01-14	PRIJEM	VKLAD	13600	47152	\N	\N	\N
271823	930	1997-02-13	PRIJEM	VKLAD	5200	45020	\N	\N	\N
271824	930	1997-03-15	PRIJEM	VKLAD	4000	44464	\N	\N	\N
271825	930	1997-04-14	PRIJEM	VKLAD	200	58852	\N	\N	\N
271826	930	1997-05-14	VYDAJ	VYBER	4400	45650	\N	\N	\N
271827	930	1997-06-13	VYDAJ	VYBER	9500	57375	\N	\N	\N
271828	930	1997-07-13	PRIJEM	VKLAD	6800	43104	\N	\N	\N
271829	930	1997-08-12	PRIJEM	VKLAD	2200	50090	\N	\N	\N
271830	930	1997-09-11	PRIJEM	VKLAD	5500	46378	\N	\N	\N
271831	930	1997-10-11	PRIJEM	VKLAD	700	47616	\N	\N	\N
271832	930	1997-11-10	PRIJEM	VKLAD	5900	51548	\N	\N	\N
271833	930	1997-12-10	VYDAJ	VYBER	800	55638	\N	\N	\N
271834	930	1998-01-09	VYDAJ	VYBER	2500	55763	\N	\N	\N
271835	930	1998-02-08	VYDAJ	VYBER	100	51926	\N	\N	\N
271836	930	1998-03-10	VYDAJ	VYBER	2400	49377	\N	\N	\N
271837	930	1998-04-09	VYDAJ	VYBER	5200	49063	\N	\N	\N
271838	930	1998-05-09	VYDAJ	VYBER	3600	50351	\N	\N	\N
271839	930	1998-06-08	VYDAJ	VYBER	4200	51042	\N	\N	\N
271840	930	1998-07-08	VYDAJ	VYBER	4000	48988	\N	\N	\N
271841	930	1998-08-07	VYDAJ	VYBER	5100	47453	\N	\N	\N
271842	930	1998-09-06	VYDAJ	VYBER	1000	51334	\N	\N	\N
271843	930	1998-10-06	VYDAJ	VYBER	4400	49063	\N	\N	\N
271844	930	1998-11-05	VYDAJ	VYBER	1600	46459	\N	\N	\N
271845	930	1998-12-05	VYDAJ	VYBER	5100	44909	\N	\N	\N
271911	931	1993-10-15	PRIJEM	VKLAD	700	700	\N	\N	\N
271922	931	1993-11-14	PRIJEM	VKLAD	5211	5911	\N	\N	\N
271923	931	1993-12-14	PRIJEM	VKLAD	7817	21760	\N	\N	\N
271924	931	1994-01-14	PRIJEM	VKLAD	5211	28348	\N	\N	\N
271925	931	1994-02-14	PRIJEM	VKLAD	5211	29966	\N	\N	\N
271926	931	1994-03-14	PRIJEM	VKLAD	5211	35299	\N	\N	\N
271927	931	1994-04-14	PRIJEM	VKLAD	5211	29858	\N	\N	\N
271928	931	1994-05-14	PRIJEM	VKLAD	5211	31606	\N	\N	\N
271929	931	1994-06-14	PRIJEM	VKLAD	7817	34661	\N	\N	\N
271930	931	1994-07-14	PRIJEM	VKLAD	5211	27670	\N	\N	\N
271931	931	1994-08-14	PRIJEM	VKLAD	5211	29101	\N	\N	\N
271932	931	1994-09-14	PRIJEM	VKLAD	5211	31140	\N	\N	\N
271933	931	1994-10-14	PRIJEM	VKLAD	5211	30387	\N	\N	\N
271934	931	1994-11-14	PRIJEM	VKLAD	5211	34434	\N	\N	\N
271935	931	1994-12-14	PRIJEM	VKLAD	7817	27978	\N	\N	\N
271936	931	1995-01-14	PRIJEM	VKLAD	5211	25836	\N	\N	\N
271937	931	1995-02-14	PRIJEM	VKLAD	5211	29858	\N	\N	\N
271938	931	1995-03-14	PRIJEM	VKLAD	5211	31597	\N	\N	\N
271939	931	1995-04-14	PRIJEM	VKLAD	5211	31046	\N	\N	\N
271940	931	1995-05-14	PRIJEM	VKLAD	5211	35595	\N	\N	\N
271941	931	1995-06-14	PRIJEM	VKLAD	7817	40764	\N	\N	\N
271942	931	1995-07-14	PRIJEM	VKLAD	5211	37145	\N	\N	\N
271943	931	1995-08-14	PRIJEM	VKLAD	5211	36321	\N	\N	\N
271944	931	1995-09-14	PRIJEM	VKLAD	5211	36328	\N	\N	\N
271945	931	1995-10-14	PRIJEM	VKLAD	5211	34996	\N	\N	\N
271946	931	1995-11-14	PRIJEM	VKLAD	5211	33260	\N	\N	\N
271947	931	1995-12-14	PRIJEM	VKLAD	7817	33422	\N	\N	\N
271948	931	1996-01-14	PRIJEM	VKLAD	5211	28513	\N	\N	\N
271949	931	1996-02-14	PRIJEM	VKLAD	5211	28185	\N	\N	\N
271950	931	1996-03-14	PRIJEM	VKLAD	5211	30417	\N	\N	\N
271951	931	1996-04-14	PRIJEM	VKLAD	5211	28479	\N	\N	\N
271952	931	1996-05-14	PRIJEM	VKLAD	5211	31218	\N	\N	\N
271953	931	1996-06-14	PRIJEM	VKLAD	7817	26289	\N	\N	\N
271954	931	1996-07-14	PRIJEM	VKLAD	5211	22004	\N	\N	\N
271955	931	1996-08-14	PRIJEM	VKLAD	5211	23912	\N	\N	\N
271956	931	1996-09-14	PRIJEM	VKLAD	5211	26628	\N	\N	\N
271957	931	1996-10-14	PRIJEM	VKLAD	5211	26355	\N	\N	\N
271958	931	1996-11-14	PRIJEM	VKLAD	5211	27381	\N	\N	\N
271959	931	1996-12-14	PRIJEM	VKLAD	7817	28015	\N	\N	\N
271960	931	1997-01-14	PRIJEM	VKLAD	5211	29281	\N	\N	\N
271961	931	1997-02-14	PRIJEM	VKLAD	5211	23450	\N	\N	\N
271962	931	1997-03-14	PRIJEM	VKLAD	5211	22826	\N	\N	\N
271963	931	1997-04-14	PRIJEM	VKLAD	5211	22400	\N	\N	\N
271964	931	1997-05-14	PRIJEM	VKLAD	5211	25012	\N	\N	\N
271965	931	1997-06-14	PRIJEM	VKLAD	7817	25735	\N	\N	\N
271966	931	1997-07-14	PRIJEM	VKLAD	5211	26952	\N	\N	\N
271967	931	1997-08-14	PRIJEM	VKLAD	5211	23416	\N	\N	\N
271968	931	1997-09-14	PRIJEM	VKLAD	5211	22911	\N	\N	\N
271969	931	1997-10-14	PRIJEM	VKLAD	5211	20438	\N	\N	\N
271970	931	1997-11-14	PRIJEM	VKLAD	5211	18858	\N	\N	\N
271971	931	1997-12-14	PRIJEM	VKLAD	7817	23158	\N	\N	\N
271972	931	1998-01-14	PRIJEM	VKLAD	5211	26787	\N	\N	\N
271973	931	1998-02-14	PRIJEM	VKLAD	5211	27512	\N	\N	\N
271974	931	1998-03-14	PRIJEM	VKLAD	5211	26179	\N	\N	\N
271975	931	1998-04-14	PRIJEM	VKLAD	5211	27403	\N	\N	\N
271976	931	1998-05-14	PRIJEM	VKLAD	5211	32435	\N	\N	\N
271977	931	1998-06-14	PRIJEM	VKLAD	7817	33086	\N	\N	\N
271978	931	1998-07-14	PRIJEM	VKLAD	5211	31829	\N	\N	\N
271979	931	1998-08-14	PRIJEM	VKLAD	5211	28168	\N	\N	\N
271980	931	1998-09-14	PRIJEM	VKLAD	5211	21848	\N	\N	\N
271981	931	1998-10-14	PRIJEM	VKLAD	5211	22952	\N	\N	\N
271982	931	1998-11-14	PRIJEM	VKLAD	5211	16347	\N	\N	\N
271983	931	1998-12-14	PRIJEM	VKLAD	7817	20734	\N	\N	\N
271999	931	1994-04-08	VYDAJ	PREVOD NA UCET	998	29859	SIPO	QR	69328868
272000	931	1994-05-08	VYDAJ	PREVOD NA UCET	998	28107	SIPO	QR	69328868
272001	931	1994-06-08	VYDAJ	PREVOD NA UCET	998	29857	SIPO	QR	69328868
272002	931	1994-07-08	VYDAJ	PREVOD NA UCET	998	23471	SIPO	QR	69328868
272003	931	1994-08-08	VYDAJ	PREVOD NA UCET	998	25302	SIPO	QR	69328868
272004	931	1994-09-08	VYDAJ	PREVOD NA UCET	998	27341	SIPO	QR	69328868
272005	931	1994-10-08	VYDAJ	PREVOD NA UCET	998	29388	SIPO	QR	69328868
272006	931	1994-11-08	VYDAJ	PREVOD NA UCET	998	28635	SIPO	QR	69328868
272007	931	1994-12-08	VYDAJ	PREVOD NA UCET	998	32693	SIPO	QR	69328868
272008	931	1995-01-08	VYDAJ	PREVOD NA UCET	998	22237	SIPO	QR	69328868
272009	931	1995-02-08	VYDAJ	PREVOD NA UCET	998	26259	SIPO	QR	69328868
272010	931	1995-03-08	VYDAJ	PREVOD NA UCET	998	28098	SIPO	QR	69328868
272011	931	1995-04-08	VYDAJ	PREVOD NA UCET	998	29847	SIPO	QR	69328868
272012	931	1995-05-08	VYDAJ	PREVOD NA UCET	998	31996	SIPO	QR	69328868
272013	931	1995-06-08	VYDAJ	PREVOD NA UCET	998	34559	SIPO	QR	69328868
272014	931	1995-07-08	VYDAJ	PREVOD NA UCET	998	33546	SIPO	QR	69328868
272015	931	1995-08-08	VYDAJ	PREVOD NA UCET	998	32722	SIPO	QR	69328868
272016	931	1995-09-08	VYDAJ	PREVOD NA UCET	998	32729	SIPO	QR	69328868
272017	931	1995-10-08	VYDAJ	PREVOD NA UCET	998	31397	SIPO	QR	69328868
272018	931	1995-11-08	VYDAJ	PREVOD NA UCET	998	29661	SIPO	QR	69328868
272019	931	1995-12-08	VYDAJ	PREVOD NA UCET	998	27218	SIPO	QR	69328868
272020	931	1996-01-08	VYDAJ	PREVOD NA UCET	998	24914	SIPO	QR	69328868
272021	931	1996-02-08	VYDAJ	PREVOD NA UCET	998	24586	SIPO	QR	69328868
272022	931	1996-03-08	VYDAJ	PREVOD NA UCET	998	26818	SIPO	QR	69328868
272023	931	1996-04-08	VYDAJ	PREVOD NA UCET	998	27160	SIPO	QR	69328868
272024	931	1996-05-08	VYDAJ	PREVOD NA UCET	998	27619	SIPO	QR	69328868
272025	931	1996-06-08	VYDAJ	PREVOD NA UCET	998	20085	SIPO	QR	69328868
272026	931	1996-07-08	VYDAJ	PREVOD NA UCET	998	18405	SIPO	QR	69328868
272027	931	1996-08-08	VYDAJ	PREVOD NA UCET	998	20313	SIPO	QR	69328868
272028	931	1996-09-08	VYDAJ	PREVOD NA UCET	998	23029	SIPO	QR	69328868
272029	931	1996-10-08	VYDAJ	PREVOD NA UCET	998	22756	SIPO	QR	69328868
272030	931	1996-11-08	VYDAJ	PREVOD NA UCET	998	23782	SIPO	QR	69328868
272031	931	1996-12-08	VYDAJ	PREVOD NA UCET	998	21810	SIPO	QR	69328868
272032	931	1997-01-08	VYDAJ	PREVOD NA UCET	998	25682	SIPO	QR	69328868
272033	931	1997-02-08	VYDAJ	PREVOD NA UCET	998	19851	SIPO	QR	69328868
272034	931	1997-03-08	VYDAJ	PREVOD NA UCET	998	19227	SIPO	QR	69328868
272035	931	1997-04-08	VYDAJ	PREVOD NA UCET	998	18801	SIPO	QR	69328868
272036	931	1997-05-08	VYDAJ	PREVOD NA UCET	998	21413	SIPO	QR	69328868
272037	931	1997-06-08	VYDAJ	PREVOD NA UCET	998	19530	SIPO	QR	69328868
272038	931	1997-07-08	VYDAJ	PREVOD NA UCET	998	23353	SIPO	QR	69328868
272039	931	1997-08-08	VYDAJ	PREVOD NA UCET	998	19817	SIPO	QR	69328868
272040	931	1997-09-08	VYDAJ	PREVOD NA UCET	998	19312	SIPO	QR	69328868
272041	931	1997-10-08	VYDAJ	PREVOD NA UCET	998	16839	SIPO	QR	69328868
272042	931	1997-11-08	VYDAJ	PREVOD NA UCET	998	15259	SIPO	QR	69328868
272043	931	1997-12-08	VYDAJ	PREVOD NA UCET	998	16954	SIPO	QR	69328868
272044	931	1998-01-08	VYDAJ	PREVOD NA UCET	998	23188	SIPO	QR	69328868
272045	931	1998-02-08	VYDAJ	PREVOD NA UCET	998	23913	SIPO	QR	69328868
272046	931	1998-03-08	VYDAJ	PREVOD NA UCET	998	22580	SIPO	QR	69328868
272047	931	1998-04-08	VYDAJ	PREVOD NA UCET	998	23804	SIPO	QR	69328868
272048	931	1998-05-08	VYDAJ	PREVOD NA UCET	998	28836	SIPO	QR	69328868
272049	931	1998-06-08	VYDAJ	PREVOD NA UCET	998	26881	SIPO	QR	69328868
272050	931	1998-07-08	VYDAJ	PREVOD NA UCET	998	28230	SIPO	QR	69328868
272051	931	1998-08-08	VYDAJ	PREVOD NA UCET	998	24569	SIPO	QR	69328868
272052	931	1998-09-08	VYDAJ	PREVOD NA UCET	998	18249	SIPO	QR	69328868
272053	931	1998-10-08	VYDAJ	PREVOD NA UCET	998	19353	SIPO	QR	69328868
272054	931	1998-11-08	VYDAJ	PREVOD NA UCET	998	12748	SIPO	QR	69328868
272055	931	1998-12-08	VYDAJ	PREVOD NA UCET	998	14530	SIPO	QR	69328868
272071	931	1994-04-13	VYDAJ	PREVOD NA UCET	1151	28247	 	OP	98647319
272072	931	1994-05-13	VYDAJ	PREVOD NA UCET	1151	26395	 	OP	98647319
272073	931	1994-06-13	VYDAJ	PREVOD NA UCET	1151	26845	 	OP	98647319
272074	931	1994-07-13	VYDAJ	PREVOD NA UCET	1151	22459	 	OP	98647319
272075	931	1994-08-13	VYDAJ	PREVOD NA UCET	1151	23890	 	OP	98647319
272076	931	1994-09-13	VYDAJ	PREVOD NA UCET	1151	25929	 	OP	98647319
272077	931	1994-10-13	VYDAJ	PREVOD NA UCET	1151	25176	 	OP	98647319
272078	931	1994-11-13	VYDAJ	PREVOD NA UCET	1151	29223	 	OP	98647319
272079	931	1994-12-13	VYDAJ	PREVOD NA UCET	1151	20161	 	OP	98647319
272080	931	1995-01-13	VYDAJ	PREVOD NA UCET	1151	20625	 	OP	98647319
272081	931	1995-02-13	VYDAJ	PREVOD NA UCET	1151	24647	 	OP	98647319
272082	931	1995-03-13	VYDAJ	PREVOD NA UCET	1151	26386	 	OP	98647319
272083	931	1995-04-13	VYDAJ	PREVOD NA UCET	1151	25835	 	OP	98647319
272084	931	1995-05-13	VYDAJ	PREVOD NA UCET	1151	30384	 	OP	98647319
272085	931	1995-06-13	VYDAJ	PREVOD NA UCET	1151	32947	 	OP	98647319
272086	931	1995-07-13	VYDAJ	PREVOD NA UCET	1151	31934	 	OP	98647319
272087	931	1995-08-13	VYDAJ	PREVOD NA UCET	1151	31110	 	OP	98647319
272088	931	1995-09-13	VYDAJ	PREVOD NA UCET	1151	31117	 	OP	98647319
272089	931	1995-10-13	VYDAJ	PREVOD NA UCET	1151	29785	 	OP	98647319
272090	931	1995-11-13	VYDAJ	PREVOD NA UCET	1151	28049	 	OP	98647319
272091	931	1995-12-13	VYDAJ	PREVOD NA UCET	1151	25606	 	OP	98647319
272092	931	1996-01-13	VYDAJ	PREVOD NA UCET	1151	23302	 	OP	98647319
272093	931	1996-02-13	VYDAJ	PREVOD NA UCET	1151	22974	 	OP	98647319
272094	931	1996-03-13	VYDAJ	PREVOD NA UCET	1151	25206	 	OP	98647319
272095	931	1996-04-13	VYDAJ	PREVOD NA UCET	1151	23268	 	OP	98647319
272096	931	1996-05-13	VYDAJ	PREVOD NA UCET	1151	26007	 	OP	98647319
272097	931	1996-06-13	VYDAJ	PREVOD NA UCET	1151	18473	 	OP	98647319
272098	931	1996-07-13	VYDAJ	PREVOD NA UCET	1151	16793	 	OP	98647319
272099	931	1996-08-13	VYDAJ	PREVOD NA UCET	1151	18701	 	OP	98647319
272100	931	1996-09-13	VYDAJ	PREVOD NA UCET	1151	21417	 	OP	98647319
272101	931	1996-10-13	VYDAJ	PREVOD NA UCET	1151	21144	 	OP	98647319
272102	931	1996-11-13	VYDAJ	PREVOD NA UCET	1151	22170	 	OP	98647319
272103	931	1996-12-13	VYDAJ	PREVOD NA UCET	1151	20198	 	OP	98647319
272104	931	1997-01-13	VYDAJ	PREVOD NA UCET	1151	24070	 	OP	98647319
272105	931	1997-02-13	VYDAJ	PREVOD NA UCET	1151	18239	 	OP	98647319
272106	931	1997-03-13	VYDAJ	PREVOD NA UCET	1151	17615	 	OP	98647319
272107	931	1997-04-13	VYDAJ	PREVOD NA UCET	1151	17189	 	OP	98647319
272108	931	1997-05-13	VYDAJ	PREVOD NA UCET	1151	19801	 	OP	98647319
272109	931	1997-06-13	VYDAJ	PREVOD NA UCET	1151	17918	 	OP	98647319
272110	931	1997-07-13	VYDAJ	PREVOD NA UCET	1151	21741	 	OP	98647319
272111	931	1997-08-13	VYDAJ	PREVOD NA UCET	1151	18205	 	OP	98647319
272112	931	1997-09-13	VYDAJ	PREVOD NA UCET	1151	17700	 	OP	98647319
272113	931	1997-10-13	VYDAJ	PREVOD NA UCET	1151	15227	 	OP	98647319
272114	931	1997-11-13	VYDAJ	PREVOD NA UCET	1151	13647	 	OP	98647319
272115	931	1997-12-13	VYDAJ	PREVOD NA UCET	1151	15342	 	OP	98647319
272116	931	1998-01-13	VYDAJ	PREVOD NA UCET	1151	21576	 	OP	98647319
272117	931	1998-02-13	VYDAJ	PREVOD NA UCET	1151	22301	 	OP	98647319
272118	931	1998-03-13	VYDAJ	PREVOD NA UCET	1151	20968	 	OP	98647319
272119	931	1998-04-13	VYDAJ	PREVOD NA UCET	1151	22192	 	OP	98647319
272120	931	1998-05-13	VYDAJ	PREVOD NA UCET	1151	27224	 	OP	98647319
272121	931	1998-06-13	VYDAJ	PREVOD NA UCET	1151	25269	 	OP	98647319
272122	931	1998-07-13	VYDAJ	PREVOD NA UCET	1151	26618	 	OP	98647319
272123	931	1998-08-13	VYDAJ	PREVOD NA UCET	1151	22957	 	OP	98647319
272124	931	1998-09-13	VYDAJ	PREVOD NA UCET	1151	16637	 	OP	98647319
272125	931	1998-10-13	VYDAJ	PREVOD NA UCET	1151	17741	 	OP	98647319
272126	931	1998-11-13	VYDAJ	PREVOD NA UCET	1151	11136	 	OP	98647319
272127	931	1998-12-13	VYDAJ	PREVOD NA UCET	1151	12918	 	OP	98647319
272143	931	1994-04-09	VYDAJ	PREVOD NA UCET	461	29398	POJISTNE	KL	13773954
272144	931	1994-05-09	VYDAJ	PREVOD NA UCET	461	27646	POJISTNE	KL	13773954
272145	931	1994-06-09	VYDAJ	PREVOD NA UCET	461	29396	POJISTNE	KL	13773954
272146	931	1994-07-09	VYDAJ	PREVOD NA UCET	461	23010	POJISTNE	KL	13773954
272147	931	1994-08-09	VYDAJ	PREVOD NA UCET	461	24841	POJISTNE	KL	13773954
272148	931	1994-09-09	VYDAJ	PREVOD NA UCET	461	26880	POJISTNE	KL	13773954
272149	931	1994-10-09	VYDAJ	PREVOD NA UCET	461	28927	POJISTNE	KL	13773954
272150	931	1994-11-09	VYDAJ	PREVOD NA UCET	461	30374	POJISTNE	KL	13773954
272151	931	1994-12-09	VYDAJ	PREVOD NA UCET	461	28432	POJISTNE	KL	13773954
272152	931	1995-01-09	VYDAJ	PREVOD NA UCET	461	21776	POJISTNE	KL	13773954
272153	931	1995-02-09	VYDAJ	PREVOD NA UCET	461	25798	POJISTNE	KL	13773954
272154	931	1995-03-09	VYDAJ	PREVOD NA UCET	461	27637	POJISTNE	KL	13773954
272155	931	1995-04-09	VYDAJ	PREVOD NA UCET	461	26986	POJISTNE	KL	13773954
272156	931	1995-05-09	VYDAJ	PREVOD NA UCET	461	31535	POJISTNE	KL	13773954
272157	931	1995-06-09	VYDAJ	PREVOD NA UCET	461	34098	POJISTNE	KL	13773954
272158	931	1995-07-09	VYDAJ	PREVOD NA UCET	461	33085	POJISTNE	KL	13773954
272159	931	1995-08-09	VYDAJ	PREVOD NA UCET	461	32261	POJISTNE	KL	13773954
272160	931	1995-09-09	VYDAJ	PREVOD NA UCET	461	32268	POJISTNE	KL	13773954
272161	931	1995-10-09	VYDAJ	PREVOD NA UCET	461	30936	POJISTNE	KL	13773954
272162	931	1995-11-09	VYDAJ	PREVOD NA UCET	461	29200	POJISTNE	KL	13773954
272163	931	1995-12-09	VYDAJ	PREVOD NA UCET	461	26757	POJISTNE	KL	13773954
272164	931	1996-01-09	VYDAJ	PREVOD NA UCET	461	24453	POJISTNE	KL	13773954
272165	931	1996-02-09	VYDAJ	PREVOD NA UCET	461	24125	POJISTNE	KL	13773954
272166	931	1996-03-09	VYDAJ	PREVOD NA UCET	461	26357	POJISTNE	KL	13773954
272167	931	1996-04-09	VYDAJ	PREVOD NA UCET	461	26699	POJISTNE	KL	13773954
272168	931	1996-05-09	VYDAJ	PREVOD NA UCET	461	27158	POJISTNE	KL	13773954
272169	931	1996-06-09	VYDAJ	PREVOD NA UCET	461	19624	POJISTNE	KL	13773954
272170	931	1996-07-09	VYDAJ	PREVOD NA UCET	461	17944	POJISTNE	KL	13773954
272171	931	1996-08-09	VYDAJ	PREVOD NA UCET	461	19852	POJISTNE	KL	13773954
272172	931	1996-09-09	VYDAJ	PREVOD NA UCET	461	22568	POJISTNE	KL	13773954
272173	931	1996-10-09	VYDAJ	PREVOD NA UCET	461	22295	POJISTNE	KL	13773954
272174	931	1996-11-09	VYDAJ	PREVOD NA UCET	461	23321	POJISTNE	KL	13773954
272175	931	1996-12-09	VYDAJ	PREVOD NA UCET	461	21349	POJISTNE	KL	13773954
272176	931	1997-01-09	VYDAJ	PREVOD NA UCET	461	25221	POJISTNE	KL	13773954
272177	931	1997-02-09	VYDAJ	PREVOD NA UCET	461	19390	POJISTNE	KL	13773954
272178	931	1997-03-09	VYDAJ	PREVOD NA UCET	461	18766	POJISTNE	KL	13773954
272179	931	1997-04-09	VYDAJ	PREVOD NA UCET	461	18340	POJISTNE	KL	13773954
272180	931	1997-05-09	VYDAJ	PREVOD NA UCET	461	20952	POJISTNE	KL	13773954
272181	931	1997-06-09	VYDAJ	PREVOD NA UCET	461	19069	POJISTNE	KL	13773954
272182	931	1997-07-09	VYDAJ	PREVOD NA UCET	461	22892	POJISTNE	KL	13773954
272183	931	1997-08-09	VYDAJ	PREVOD NA UCET	461	19356	POJISTNE	KL	13773954
272184	931	1997-09-09	VYDAJ	PREVOD NA UCET	461	18851	POJISTNE	KL	13773954
272185	931	1997-10-09	VYDAJ	PREVOD NA UCET	461	16378	POJISTNE	KL	13773954
272186	931	1997-11-09	VYDAJ	PREVOD NA UCET	461	14798	POJISTNE	KL	13773954
272187	931	1997-12-09	VYDAJ	PREVOD NA UCET	461	16493	POJISTNE	KL	13773954
272188	931	1998-01-09	VYDAJ	PREVOD NA UCET	461	22727	POJISTNE	KL	13773954
272189	931	1998-02-09	VYDAJ	PREVOD NA UCET	461	23452	POJISTNE	KL	13773954
272190	931	1998-03-09	VYDAJ	PREVOD NA UCET	461	22119	POJISTNE	KL	13773954
272191	931	1998-04-09	VYDAJ	PREVOD NA UCET	461	23343	POJISTNE	KL	13773954
272192	931	1998-05-09	VYDAJ	PREVOD NA UCET	461	28375	POJISTNE	KL	13773954
272193	931	1998-06-09	VYDAJ	PREVOD NA UCET	461	26420	POJISTNE	KL	13773954
272194	931	1998-07-09	VYDAJ	PREVOD NA UCET	461	27769	POJISTNE	KL	13773954
272195	931	1998-08-09	VYDAJ	PREVOD NA UCET	461	24108	POJISTNE	KL	13773954
272196	931	1998-09-09	VYDAJ	PREVOD NA UCET	461	17788	POJISTNE	KL	13773954
272197	931	1998-10-09	VYDAJ	PREVOD NA UCET	461	18892	POJISTNE	KL	13773954
272198	931	1998-11-09	VYDAJ	PREVOD NA UCET	461	12287	POJISTNE	KL	13773954
272199	931	1998-12-09	VYDAJ	PREVOD NA UCET	461	14069	POJISTNE	KL	13773954
272215	931	1994-04-05	VYDAJ	PREVOD NA UCET	864	30857	 	MN	2668875
272216	931	1994-05-05	VYDAJ	PREVOD NA UCET	864	29105	 	MN	2668875
272217	931	1994-06-05	VYDAJ	PREVOD NA UCET	864	30855	 	MN	2668875
272218	931	1994-07-05	VYDAJ	PREVOD NA UCET	864	24469	 	MN	2668875
272219	931	1994-08-05	VYDAJ	PREVOD NA UCET	864	26900	 	MN	2668875
272220	931	1994-09-05	VYDAJ	PREVOD NA UCET	864	28339	 	MN	2668875
272221	931	1994-10-05	VYDAJ	PREVOD NA UCET	864	30386	 	MN	2668875
272222	931	1994-11-05	VYDAJ	PREVOD NA UCET	864	29633	 	MN	2668875
272223	931	1994-12-05	VYDAJ	PREVOD NA UCET	864	33691	 	MN	2668875
272224	931	1995-01-05	VYDAJ	PREVOD NA UCET	864	20135	 	MN	2668875
272225	931	1995-02-05	VYDAJ	PREVOD NA UCET	864	25057	 	MN	2668875
272226	931	1995-03-05	VYDAJ	PREVOD NA UCET	864	29096	 	MN	2668875
272227	931	1995-04-05	VYDAJ	PREVOD NA UCET	864	30845	 	MN	2668875
272228	931	1995-05-05	VYDAJ	PREVOD NA UCET	864	30294	 	MN	2668875
272229	931	1995-06-05	VYDAJ	PREVOD NA UCET	864	34857	 	MN	2668875
272230	931	1995-07-05	VYDAJ	PREVOD NA UCET	864	40044	 	MN	2668875
272231	931	1995-08-05	VYDAJ	PREVOD NA UCET	864	36420	 	MN	2668875
272232	931	1995-09-05	VYDAJ	PREVOD NA UCET	864	33727	 	MN	2668875
272233	931	1995-10-05	VYDAJ	PREVOD NA UCET	864	35595	 	MN	2668875
272234	931	1995-11-05	VYDAJ	PREVOD NA UCET	864	30659	 	MN	2668875
272235	931	1995-12-05	VYDAJ	PREVOD NA UCET	864	28216	 	MN	2668875
272236	931	1996-01-05	VYDAJ	PREVOD NA UCET	864	25912	 	MN	2668875
272237	931	1996-02-05	VYDAJ	PREVOD NA UCET	864	25584	 	MN	2668875
272238	931	1996-03-05	VYDAJ	PREVOD NA UCET	864	27816	 	MN	2668875
272239	931	1996-04-05	VYDAJ	PREVOD NA UCET	864	28158	 	MN	2668875
272240	931	1996-05-05	VYDAJ	PREVOD NA UCET	864	28617	 	MN	2668875
272241	931	1996-06-05	VYDAJ	PREVOD NA UCET	864	21083	 	MN	2668875
272242	931	1996-07-05	VYDAJ	PREVOD NA UCET	864	19403	 	MN	2668875
272243	931	1996-08-05	VYDAJ	PREVOD NA UCET	864	21311	 	MN	2668875
272244	931	1996-09-05	VYDAJ	PREVOD NA UCET	864	24027	 	MN	2668875
272245	931	1996-10-05	VYDAJ	PREVOD NA UCET	864	23754	 	MN	2668875
272246	931	1996-11-05	VYDAJ	PREVOD NA UCET	864	24780	 	MN	2668875
272247	931	1996-12-05	VYDAJ	PREVOD NA UCET	864	22808	 	MN	2668875
272248	931	1997-01-05	VYDAJ	PREVOD NA UCET	864	26680	 	MN	2668875
272249	931	1997-02-05	VYDAJ	PREVOD NA UCET	864	23849	 	MN	2668875
272250	931	1997-03-05	VYDAJ	PREVOD NA UCET	864	20225	 	MN	2668875
272251	931	1997-04-05	VYDAJ	PREVOD NA UCET	864	19799	 	MN	2668875
272252	931	1997-05-05	VYDAJ	PREVOD NA UCET	864	22411	 	MN	2668875
272253	931	1997-06-05	VYDAJ	PREVOD NA UCET	864	20528	 	MN	2668875
272254	931	1997-07-05	VYDAJ	PREVOD NA UCET	864	24351	 	MN	2668875
272255	931	1997-08-05	VYDAJ	PREVOD NA UCET	864	20815	 	MN	2668875
272256	931	1997-09-05	VYDAJ	PREVOD NA UCET	864	20310	 	MN	2668875
272257	931	1997-10-05	VYDAJ	PREVOD NA UCET	864	17837	 	MN	2668875
272258	931	1997-11-05	VYDAJ	PREVOD NA UCET	864	18537	 	MN	2668875
272259	931	1997-12-05	VYDAJ	PREVOD NA UCET	864	17952	 	MN	2668875
272260	931	1998-01-05	VYDAJ	PREVOD NA UCET	864	24186	 	MN	2668875
272261	931	1998-02-05	VYDAJ	PREVOD NA UCET	864	24911	 	MN	2668875
272262	931	1998-03-05	VYDAJ	PREVOD NA UCET	864	23578	 	MN	2668875
272263	931	1998-04-05	VYDAJ	PREVOD NA UCET	864	24802	 	MN	2668875
272264	931	1998-05-05	VYDAJ	PREVOD NA UCET	864	29834	 	MN	2668875
272265	931	1998-06-05	VYDAJ	PREVOD NA UCET	864	27879	 	MN	2668875
272266	931	1998-07-05	VYDAJ	PREVOD NA UCET	864	29228	 	MN	2668875
272267	931	1998-08-05	VYDAJ	PREVOD NA UCET	864	25567	 	MN	2668875
272268	931	1998-09-05	VYDAJ	PREVOD NA UCET	864	19247	 	MN	2668875
272269	931	1998-10-05	VYDAJ	PREVOD NA UCET	864	20351	 	MN	2668875
272270	931	1998-11-05	VYDAJ	PREVOD NA UCET	864	13746	 	MN	2668875
272271	931	1998-12-05	VYDAJ	PREVOD NA UCET	864	15528	 	MN	2668875
272273	931	1994-06-23	VYDAJ	VYBER	9440	25221	\N	\N	\N
272281	931	1996-01-26	VYDAJ	VYBER	4960	23553	\N	\N	\N
272282	931	1997-01-17	VYDAJ	VYBER	4960	24321	\N	\N	\N
272285	931	1994-12-12	VYDAJ	VYBER	2080	21312	\N	\N	\N
272286	931	1995-12-28	VYDAJ	VYBER	4160	29262	\N	\N	\N
272287	931	1996-12-18	VYDAJ	VYBER	960	27055	\N	\N	\N
272288	931	1997-12-20	VYDAJ	VYBER	1280	21878	\N	\N	\N
272289	931	1998-12-14	VYDAJ	VYBER	2080	18654	\N	\N	\N
272294	931	1994-12-27	VYDAJ	VYBER	5400	20898	\N	\N	\N
272295	931	1994-12-26	VYDAJ	VYBER	1680	26298	\N	\N	\N
272296	931	1994-08-07	VYDAJ	VYBER	600	26300	\N	\N	\N
272297	931	1994-12-11	VYDAJ	VYBER	5040	23392	\N	\N	\N
272298	931	1995-08-23	VYDAJ	VYBER	1560	33561	\N	\N	\N
272299	931	1995-12-30	VYDAJ	VYBER	1800	27462	\N	\N	\N
272300	931	1995-08-22	VYDAJ	VYBER	1200	35121	\N	\N	\N
272301	931	1996-06-26	VYDAJ	VYBER	2160	20889	\N	\N	\N
272302	931	1996-06-18	VYDAJ	VYBER	3240	23049	\N	\N	\N
272303	931	1996-04-10	VYDAJ	VYBER	2280	24419	\N	\N	\N
272304	931	1996-06-02	VYDAJ	VYBER	5880	21947	\N	\N	\N
272306	931	1997-02-28	VYDAJ	VYBER	2640	21089	\N	\N	\N
272307	931	1997-08-31	VYDAJ	VYBER	4320	21188	\N	\N	\N
272308	931	1997-09-27	VYDAJ	VYBER	2880	18631	\N	\N	\N
272309	931	1997-04-03	VYDAJ	VYBER	4440	20663	\N	\N	\N
272310	931	1997-02-05	VYDAJ	VYBER	3000	20849	\N	\N	\N
272311	931	1997-11-06	VYDAJ	VYBER	2280	16257	\N	\N	\N
272312	931	1997-07-28	VYDAJ	VYBER	1560	21592	\N	\N	\N
272313	931	1998-08-22	VYDAJ	VYBER	3240	20028	\N	\N	\N
272314	931	1998-02-23	VYDAJ	VYBER	5760	24352	\N	\N	\N
272331	931	1994-03-31	VYDAJ	VYBER	15	31721	SLUZBY	\N	\N
272332	931	1994-04-30	VYDAJ	VYBER	15	29969	SLUZBY	\N	\N
272333	931	1994-05-31	VYDAJ	VYBER	15	31719	SLUZBY	\N	\N
272334	931	1994-06-30	VYDAJ	VYBER	15	25333	SLUZBY	\N	\N
272335	931	1994-07-31	VYDAJ	VYBER	15	27764	SLUZBY	\N	\N
272336	931	1994-08-31	VYDAJ	VYBER	15	29203	SLUZBY	\N	\N
272337	931	1994-09-30	VYDAJ	VYBER	15	31250	SLUZBY	\N	\N
272338	931	1994-10-31	VYDAJ	VYBER	15	30497	SLUZBY	\N	\N
272339	931	1994-11-30	VYDAJ	VYBER	15	34555	SLUZBY	\N	\N
272340	931	1994-12-31	VYDAJ	VYBER	15	20999	SLUZBY	\N	\N
272341	931	1995-01-31	VYDAJ	VYBER	15	25921	SLUZBY	\N	\N
272342	931	1995-02-28	VYDAJ	VYBER	15	29960	SLUZBY	\N	\N
272343	931	1995-03-31	VYDAJ	VYBER	15	31709	SLUZBY	\N	\N
272344	931	1995-04-30	VYDAJ	VYBER	15	31158	SLUZBY	\N	\N
272345	931	1995-05-31	VYDAJ	VYBER	15	35721	SLUZBY	\N	\N
272346	931	1995-06-30	VYDAJ	VYBER	15	40908	SLUZBY	\N	\N
272347	931	1995-07-31	VYDAJ	VYBER	15	37284	SLUZBY	\N	\N
272348	931	1995-08-31	VYDAJ	VYBER	15	33691	SLUZBY	\N	\N
272349	931	1995-09-30	VYDAJ	VYBER	15	36459	SLUZBY	\N	\N
272350	931	1995-10-31	VYDAJ	VYBER	15	35123	SLUZBY	\N	\N
272351	931	1995-11-30	VYDAJ	VYBER	15	33380	SLUZBY	\N	\N
272352	931	1995-12-31	VYDAJ	VYBER	15	27576	SLUZBY	\N	\N
272353	931	1996-01-31	VYDAJ	VYBER	15	23648	SLUZBY	\N	\N
272354	931	1996-02-29	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
272355	931	1996-03-31	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
272356	931	1996-04-30	VYDAJ	VYBER	15	28581	SLUZBY	\N	\N
272357	931	1996-05-31	VYDAJ	VYBER	15	31327	SLUZBY	\N	\N
272358	931	1996-06-30	VYDAJ	VYBER	15	20967	SLUZBY	\N	\N
272359	931	1996-07-31	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
272360	931	1996-08-31	VYDAJ	VYBER	15	24891	SLUZBY	\N	\N
272361	931	1996-09-30	VYDAJ	VYBER	15	24618	SLUZBY	\N	\N
272362	931	1996-10-31	VYDAJ	VYBER	15	25644	SLUZBY	\N	\N
272363	931	1996-11-30	VYDAJ	VYBER	15	23672	SLUZBY	\N	\N
272364	931	1996-12-31	VYDAJ	VYBER	15	27544	SLUZBY	\N	\N
272365	931	1997-01-31	VYDAJ	VYBER	15	24713	SLUZBY	\N	\N
272366	931	1997-02-28	VYDAJ	VYBER	15	23729	SLUZBY	\N	\N
272367	931	1997-03-31	VYDAJ	VYBER	15	25103	SLUZBY	\N	\N
272368	931	1997-04-30	VYDAJ	VYBER	15	23275	SLUZBY	\N	\N
272369	931	1997-05-31	VYDAJ	VYBER	15	21392	SLUZBY	\N	\N
272370	931	1997-06-30	VYDAJ	VYBER	15	25215	SLUZBY	\N	\N
272371	931	1997-07-31	VYDAJ	VYBER	15	21679	SLUZBY	\N	\N
272372	931	1997-08-31	VYDAJ	VYBER	15	21174	SLUZBY	\N	\N
272373	931	1997-09-30	VYDAJ	VYBER	15	18701	SLUZBY	\N	\N
272374	931	1997-10-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
272375	931	1997-11-30	VYDAJ	VYBER	15	18816	SLUZBY	\N	\N
272376	931	1997-12-31	VYDAJ	VYBER	15	25050	SLUZBY	\N	\N
272377	931	1998-01-31	VYDAJ	VYBER	15	25775	SLUZBY	\N	\N
272378	931	1998-02-28	VYDAJ	VYBER	15	24442	SLUZBY	\N	\N
272379	931	1998-03-31	VYDAJ	VYBER	15	25666	SLUZBY	\N	\N
272380	931	1998-04-30	VYDAJ	VYBER	15	30698	SLUZBY	\N	\N
272381	931	1998-05-31	VYDAJ	VYBER	15	28743	SLUZBY	\N	\N
272382	931	1998-06-30	VYDAJ	VYBER	15	30092	SLUZBY	\N	\N
272383	931	1998-07-31	VYDAJ	VYBER	15	26431	SLUZBY	\N	\N
272384	931	1998-08-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
272385	931	1998-09-30	VYDAJ	VYBER	15	21215	SLUZBY	\N	\N
272386	931	1998-10-31	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
272387	931	1998-11-30	VYDAJ	VYBER	15	16392	SLUZBY	\N	\N
272388	931	1993-11-14	PRIJEM	VKLAD	8000	13911	\N	\N	\N
272389	931	1993-12-14	PRIJEM	VKLAD	3500	25260	\N	\N	\N
272390	931	1994-01-13	VYDAJ	VYBER	2200	23137	\N	\N	\N
272391	931	1994-02-12	VYDAJ	VYBER	3700	24755	\N	\N	\N
272392	931	1994-03-14	VYDAJ	VYBER	3700	31599	\N	\N	\N
272393	931	1994-04-13	VYDAJ	VYBER	3600	24647	\N	\N	\N
272394	931	1994-05-13	VYDAJ	VYBER	100	27546	\N	\N	\N
272395	931	1994-06-12	VYDAJ	VYBER	1400	27996	\N	\N	\N
272396	931	1994-07-12	PRIJEM	VKLAD	600	23610	\N	\N	\N
272397	931	1994-08-11	PRIJEM	VKLAD	200	25041	\N	\N	\N
272398	931	1994-09-10	PRIJEM	VKLAD	200	27080	\N	\N	\N
272399	931	1994-10-10	VYDAJ	VYBER	2600	26327	\N	\N	\N
272400	931	1994-11-09	PRIJEM	VKLAD	2200	30835	\N	\N	\N
272401	931	1994-12-09	VYDAJ	VYBER	3800	28893	\N	\N	\N
272402	931	1995-01-08	PRIJEM	VKLAD	3100	23235	\N	\N	\N
272403	931	1995-02-07	PRIJEM	VKLAD	2200	27257	\N	\N	\N
272404	931	1995-03-09	VYDAJ	VYBER	100	27537	\N	\N	\N
272405	931	1995-04-08	VYDAJ	VYBER	2400	27447	\N	\N	\N
272406	931	1995-05-08	PRIJEM	VKLAD	2700	32994	\N	\N	\N
272407	931	1995-06-07	PRIJEM	VKLAD	700	35557	\N	\N	\N
272408	931	1995-07-07	VYDAJ	VYBER	5500	34544	\N	\N	\N
272409	931	1995-08-06	VYDAJ	VYBER	2700	33720	\N	\N	\N
272410	931	1995-09-05	PRIJEM	VKLAD	900	34591	\N	\N	\N
272411	931	1995-10-05	VYDAJ	VYBER	3200	32395	\N	\N	\N
272412	931	1995-11-04	VYDAJ	VYBER	3600	31523	\N	\N	\N
272413	931	1995-12-04	VYDAJ	VYBER	4300	29080	\N	\N	\N
272414	931	1996-01-03	VYDAJ	VYBER	800	26776	\N	\N	\N
272415	931	1996-02-02	PRIJEM	VKLAD	2800	26448	\N	\N	\N
272416	931	1996-03-03	PRIJEM	VKLAD	400	28680	\N	\N	\N
272417	931	1996-04-02	VYDAJ	VYBER	1500	29022	\N	\N	\N
272418	931	1996-05-02	PRIJEM	VKLAD	900	29481	\N	\N	\N
272419	931	1996-06-01	VYDAJ	VYBER	3500	27827	\N	\N	\N
272420	931	1996-07-01	VYDAJ	VYBER	700	20267	\N	\N	\N
272421	931	1996-07-31	PRIJEM	VKLAD	100	22104	\N	\N	\N
272422	931	1996-08-30	PRIJEM	VKLAD	900	24812	\N	\N	\N
272423	931	1996-09-29	VYDAJ	VYBER	2100	24528	\N	\N	\N
272424	931	1996-10-29	VYDAJ	VYBER	800	25555	\N	\N	\N
272425	931	1996-11-28	VYDAJ	VYBER	3800	23581	\N	\N	\N
272426	931	1996-12-28	PRIJEM	VKLAD	400	27455	\N	\N	\N
272427	931	1997-01-27	PRIJEM	VKLAD	300	24621	\N	\N	\N
272428	931	1997-02-26	PRIJEM	VKLAD	200	23650	\N	\N	\N
272429	931	1997-03-28	PRIJEM	VKLAD	2200	25026	\N	\N	\N
272430	931	1997-04-27	PRIJEM	VKLAD	800	23200	\N	\N	\N
272431	931	1997-05-27	VYDAJ	VYBER	3700	21312	\N	\N	\N
272432	931	1997-06-26	VYDAJ	VYBER	600	25135	\N	\N	\N
272433	931	1997-07-26	VYDAJ	VYBER	3800	23152	\N	\N	\N
272434	931	1997-08-25	PRIJEM	VKLAD	2000	25416	\N	\N	\N
272435	931	1997-09-24	VYDAJ	VYBER	1400	21511	\N	\N	\N
272436	931	1997-10-24	VYDAJ	VYBER	1100	19338	\N	\N	\N
272437	931	1997-11-23	VYDAJ	VYBER	100	18758	\N	\N	\N
272438	931	1997-12-23	PRIJEM	VKLAD	3100	24978	\N	\N	\N
272439	931	1998-01-22	VYDAJ	VYBER	1100	25687	\N	\N	\N
272440	931	1998-02-21	PRIJEM	VKLAD	2600	30112	\N	\N	\N
272441	931	1998-03-23	VYDAJ	VYBER	600	25579	\N	\N	\N
272442	931	1998-04-22	PRIJEM	VKLAD	3200	30603	\N	\N	\N
272443	931	1998-05-22	VYDAJ	VYBER	3800	28635	\N	\N	\N
272444	931	1998-06-21	VYDAJ	VYBER	3100	29986	\N	\N	\N
272445	931	1998-07-21	VYDAJ	VYBER	5500	26329	\N	\N	\N
272446	931	1998-08-20	VYDAJ	VYBER	4900	23268	\N	\N	\N
272447	931	1998-09-19	VYDAJ	VYBER	700	21148	\N	\N	\N
272448	931	1998-10-19	VYDAJ	VYBER	8400	14552	\N	\N	\N
272511	932	1996-07-08	PRIJEM	VKLAD	900	900	\N	\N	\N
272518	932	1996-07-11	PRIJEM	PREVOD Z UCTU	4756	5656	DUCHOD	GH	57966750
272519	932	1996-08-11	PRIJEM	PREVOD Z UCTU	4756	10428	DUCHOD	GH	57966750
272520	932	1996-09-11	PRIJEM	PREVOD Z UCTU	4756	15208	DUCHOD	GH	57966750
272521	932	1996-10-11	PRIJEM	PREVOD Z UCTU	4756	19987	DUCHOD	GH	57966750
272522	932	1996-11-11	PRIJEM	PREVOD Z UCTU	4756	24767	DUCHOD	GH	57966750
272523	932	1996-12-11	PRIJEM	PREVOD Z UCTU	4756	25991	DUCHOD	GH	57966750
272524	932	1997-01-11	PRIJEM	PREVOD Z UCTU	4756	26765	DUCHOD	GH	57966750
272525	932	1997-02-11	PRIJEM	PREVOD Z UCTU	4756	22413	DUCHOD	GH	57966750
272526	932	1997-03-11	PRIJEM	PREVOD Z UCTU	4756	24452	DUCHOD	GH	57966750
272527	932	1997-04-11	PRIJEM	PREVOD Z UCTU	4756	26499	DUCHOD	GH	57966750
272528	932	1997-05-11	PRIJEM	PREVOD Z UCTU	4756	28555	DUCHOD	GH	57966750
272529	932	1997-06-11	PRIJEM	PREVOD Z UCTU	4756	29180	DUCHOD	GH	57966750
272530	932	1997-07-11	PRIJEM	PREVOD Z UCTU	4756	21993	DUCHOD	GH	57966750
272531	932	1997-08-11	PRIJEM	PREVOD Z UCTU	4756	24030	DUCHOD	GH	57966750
272532	932	1997-09-11	PRIJEM	PREVOD Z UCTU	4756	26076	DUCHOD	GH	57966750
272533	932	1997-10-11	PRIJEM	PREVOD Z UCTU	4756	25166	DUCHOD	GH	57966750
272534	932	1997-11-11	PRIJEM	PREVOD Z UCTU	4756	27217	DUCHOD	GH	57966750
272535	932	1997-12-11	PRIJEM	PREVOD Z UCTU	4756	29276	DUCHOD	GH	57966750
272536	932	1998-01-11	PRIJEM	PREVOD Z UCTU	4756	26613	DUCHOD	GH	57966750
272537	932	1998-02-11	PRIJEM	PREVOD Z UCTU	4756	20502	DUCHOD	GH	57966750
272538	932	1998-03-11	PRIJEM	PREVOD Z UCTU	4756	22534	DUCHOD	GH	57966750
272539	932	1998-04-11	PRIJEM	PREVOD Z UCTU	4756	24574	DUCHOD	GH	57966750
272540	932	1998-05-11	PRIJEM	PREVOD Z UCTU	4756	23579	DUCHOD	GH	57966750
272541	932	1998-06-11	PRIJEM	PREVOD Z UCTU	4756	25624	DUCHOD	GH	57966750
272542	932	1998-07-11	PRIJEM	PREVOD Z UCTU	4756	21314	DUCHOD	GH	57966750
272543	932	1998-08-11	PRIJEM	PREVOD Z UCTU	4756	23349	DUCHOD	GH	57966750
272544	932	1998-09-11	PRIJEM	PREVOD Z UCTU	4756	25391	DUCHOD	GH	57966750
272545	932	1998-10-11	PRIJEM	PREVOD Z UCTU	4756	27442	DUCHOD	GH	57966750
272546	932	1998-11-11	PRIJEM	PREVOD Z UCTU	4756	29502	DUCHOD	GH	57966750
272547	932	1998-12-11	PRIJEM	PREVOD Z UCTU	4756	28447	DUCHOD	GH	57966750
272559	932	1996-12-09	VYDAJ	PREVOD NA UCET	2793	21235	SIPO	IJ	95952808
272560	932	1997-01-09	VYDAJ	PREVOD NA UCET	2793	22009	SIPO	IJ	95952808
272561	932	1997-02-09	VYDAJ	PREVOD NA UCET	2793	17657	SIPO	IJ	95952808
272562	932	1997-03-09	VYDAJ	PREVOD NA UCET	2793	19696	SIPO	IJ	95952808
272563	932	1997-04-09	VYDAJ	PREVOD NA UCET	2793	21743	SIPO	IJ	95952808
272564	932	1997-05-09	VYDAJ	PREVOD NA UCET	2793	23799	SIPO	IJ	95952808
272565	932	1997-06-09	VYDAJ	PREVOD NA UCET	2793	24424	SIPO	IJ	95952808
272566	932	1997-07-09	VYDAJ	PREVOD NA UCET	2793	17237	SIPO	IJ	95952808
272567	932	1997-08-09	VYDAJ	PREVOD NA UCET	2793	19274	SIPO	IJ	95952808
272568	932	1997-09-09	VYDAJ	PREVOD NA UCET	2793	21320	SIPO	IJ	95952808
272569	932	1997-10-09	VYDAJ	PREVOD NA UCET	2793	20410	SIPO	IJ	95952808
272570	932	1997-11-09	VYDAJ	PREVOD NA UCET	2793	22461	SIPO	IJ	95952808
272571	932	1997-12-09	VYDAJ	PREVOD NA UCET	2793	24520	SIPO	IJ	95952808
272572	932	1998-01-09	VYDAJ	PREVOD NA UCET	2793	21857	SIPO	IJ	95952808
272573	932	1998-02-09	VYDAJ	PREVOD NA UCET	2793	15746	SIPO	IJ	95952808
272574	932	1998-03-09	VYDAJ	PREVOD NA UCET	2793	17778	SIPO	IJ	95952808
272575	932	1998-04-09	VYDAJ	PREVOD NA UCET	2793	19818	SIPO	IJ	95952808
272576	932	1998-05-09	VYDAJ	PREVOD NA UCET	2793	18823	SIPO	IJ	95952808
272577	932	1998-06-09	VYDAJ	PREVOD NA UCET	2793	20868	SIPO	IJ	95952808
272578	932	1998-07-09	VYDAJ	PREVOD NA UCET	2793	16558	SIPO	IJ	95952808
272579	932	1998-08-09	VYDAJ	PREVOD NA UCET	2793	18593	SIPO	IJ	95952808
272580	932	1998-09-09	VYDAJ	PREVOD NA UCET	2793	20635	SIPO	IJ	95952808
272581	932	1998-10-09	VYDAJ	PREVOD NA UCET	2793	22686	SIPO	IJ	95952808
272582	932	1998-11-09	VYDAJ	PREVOD NA UCET	2793	24746	SIPO	IJ	95952808
272583	932	1998-12-09	VYDAJ	PREVOD NA UCET	2793	23691	SIPO	IJ	95952808
272585	932	1997-06-27	VYDAJ	VYBER	9250	19930	\N	\N	\N
272586	932	1998-06-18	VYDAJ	VYBER	6350	19274	\N	\N	\N
272587	932	1996-12-02	VYDAJ	VYBER	750	24028	\N	\N	\N
272588	932	1997-12-29	VYDAJ	VYBER	250	29026	\N	\N	\N
272589	932	1998-12-21	VYDAJ	VYBER	300	28147	\N	\N	\N
272596	932	1997-01-16	VYDAJ	VYBER	1680	23725	\N	\N	\N
272597	932	1997-01-05	VYDAJ	VYBER	1280	24802	\N	\N	\N
272598	932	1997-01-30	VYDAJ	VYBER	1600	20365	\N	\N	\N
272599	932	1997-01-20	VYDAJ	VYBER	1120	22605	\N	\N	\N
272600	932	1997-01-12	VYDAJ	VYBER	1360	25405	\N	\N	\N
272601	932	1997-01-21	VYDAJ	VYBER	640	21965	\N	\N	\N
272602	932	1998-01-26	VYDAJ	VYBER	1520	23013	\N	\N	\N
272603	932	1998-01-11	VYDAJ	VYBER	2080	24533	\N	\N	\N
272604	932	1998-01-27	VYDAJ	VYBER	1600	21413	\N	\N	\N
272605	932	1998-01-04	VYDAJ	VYBER	1840	25610	\N	\N	\N
272606	932	1998-01-04	VYDAJ	VYBER	960	24650	\N	\N	\N
272607	932	1998-01-28	VYDAJ	VYBER	880	20533	\N	\N	\N
272611	932	1997-09-20	VYDAJ	VYBER	2960	23116	\N	\N	\N
272612	932	1997-12-30	VYDAJ	VYBER	1280	27746	\N	\N	\N
272613	932	1997-06-03	VYDAJ	VYBER	1440	27217	\N	\N	\N
272614	932	1998-12-04	VYDAJ	VYBER	880	26484	\N	\N	\N
272615	932	1998-05-02	VYDAJ	VYBER	1600	21616	\N	\N	\N
272616	932	1998-11-19	VYDAJ	VYBER	2240	27262	\N	\N	\N
272617	932	1998-01-02	VYDAJ	VYBER	400	27450	\N	\N	\N
272618	932	1998-04-19	VYDAJ	VYBER	1440	23134	\N	\N	\N
272619	932	1998-02-09	VYDAJ	VYBER	2080	18539	\N	\N	\N
272631	932	1996-11-30	VYDAJ	VYBER	15	24778	SLUZBY	\N	\N
272632	932	1996-12-31	VYDAJ	VYBER	15	26082	SLUZBY	\N	\N
272633	932	1997-01-31	VYDAJ	VYBER	15	20450	SLUZBY	\N	\N
272634	932	1997-02-28	VYDAJ	VYBER	15	22489	SLUZBY	\N	\N
272635	932	1997-03-31	VYDAJ	VYBER	15	24536	SLUZBY	\N	\N
272636	932	1997-04-30	VYDAJ	VYBER	15	26592	SLUZBY	\N	\N
272637	932	1997-05-31	VYDAJ	VYBER	15	28657	SLUZBY	\N	\N
272638	932	1997-06-30	VYDAJ	VYBER	15	20030	SLUZBY	\N	\N
272639	932	1997-07-31	VYDAJ	VYBER	15	22067	SLUZBY	\N	\N
272640	932	1997-08-31	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
272641	932	1997-09-30	VYDAJ	VYBER	15	23203	SLUZBY	\N	\N
272642	932	1997-10-31	VYDAJ	VYBER	15	25254	SLUZBY	\N	\N
272643	932	1997-11-30	VYDAJ	VYBER	15	27313	SLUZBY	\N	\N
272644	932	1997-12-31	VYDAJ	VYBER	15	27850	SLUZBY	\N	\N
272645	932	1998-01-31	VYDAJ	VYBER	15	20619	SLUZBY	\N	\N
272646	932	1998-02-28	VYDAJ	VYBER	15	20571	SLUZBY	\N	\N
272647	932	1998-03-31	VYDAJ	VYBER	15	22611	SLUZBY	\N	\N
272648	932	1998-04-30	VYDAJ	VYBER	15	23216	SLUZBY	\N	\N
272649	932	1998-05-31	VYDAJ	VYBER	15	23661	SLUZBY	\N	\N
272650	932	1998-06-30	VYDAJ	VYBER	15	19351	SLUZBY	\N	\N
272651	932	1998-07-31	VYDAJ	VYBER	15	21386	SLUZBY	\N	\N
272652	932	1998-08-31	VYDAJ	VYBER	15	23428	SLUZBY	\N	\N
272653	932	1998-09-30	VYDAJ	VYBER	15	25479	SLUZBY	\N	\N
272654	932	1998-10-31	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
272655	932	1998-11-30	VYDAJ	VYBER	15	27364	SLUZBY	\N	\N
272686	933	1995-11-18	PRIJEM	VKLAD	800	800	\N	\N	\N
272698	933	1995-12-11	PRIJEM	PREVOD Z UCTU	6583	7383	DUCHOD	WX	9321898
272699	933	1996-01-11	PRIJEM	PREVOD Z UCTU	6583	13966	DUCHOD	WX	9321898
272700	933	1996-02-11	PRIJEM	PREVOD Z UCTU	6583	20549	DUCHOD	WX	9321898
272701	933	1996-03-11	PRIJEM	PREVOD Z UCTU	6583	27132	DUCHOD	WX	9321898
272702	933	1996-04-11	PRIJEM	PREVOD Z UCTU	6583	33569	DUCHOD	WX	9321898
272703	933	1996-05-11	PRIJEM	PREVOD Z UCTU	6583	35138	DUCHOD	WX	9321898
272704	933	1996-06-11	PRIJEM	PREVOD Z UCTU	6583	34453	DUCHOD	WX	9321898
272705	933	1996-07-11	PRIJEM	PREVOD Z UCTU	6583	31704	DUCHOD	WX	9321898
272706	933	1996-08-11	PRIJEM	PREVOD Z UCTU	6583	35816	DUCHOD	WX	9321898
272707	933	1996-09-11	PRIJEM	PREVOD Z UCTU	6583	36536	DUCHOD	WX	9321898
272708	933	1996-10-11	PRIJEM	PREVOD Z UCTU	6583	37258	DUCHOD	WX	9321898
272709	933	1996-11-11	PRIJEM	PREVOD Z UCTU	6583	36781	DUCHOD	WX	9321898
272710	933	1996-12-11	PRIJEM	PREVOD Z UCTU	6583	35352	DUCHOD	WX	9321898
272711	933	1997-01-11	PRIJEM	PREVOD Z UCTU	6583	31246	DUCHOD	WX	9321898
272712	933	1997-02-11	PRIJEM	PREVOD Z UCTU	6583	24937	DUCHOD	WX	9321898
272713	933	1997-03-11	PRIJEM	PREVOD Z UCTU	6583	28378	DUCHOD	WX	9321898
272714	933	1997-04-11	PRIJEM	PREVOD Z UCTU	6583	31171	DUCHOD	WX	9321898
272715	933	1997-05-11	PRIJEM	PREVOD Z UCTU	6583	31773	DUCHOD	WX	9321898
272716	933	1997-06-11	PRIJEM	PREVOD Z UCTU	6583	24134	DUCHOD	WX	9321898
272717	933	1997-07-11	PRIJEM	PREVOD Z UCTU	6583	28223	DUCHOD	WX	9321898
272718	933	1997-08-11	PRIJEM	PREVOD Z UCTU	6583	28519	DUCHOD	WX	9321898
272719	933	1997-09-11	PRIJEM	PREVOD Z UCTU	6583	28680	DUCHOD	WX	9321898
272720	933	1997-10-11	PRIJEM	PREVOD Z UCTU	6583	31741	DUCHOD	WX	9321898
272721	933	1997-11-11	PRIJEM	PREVOD Z UCTU	6583	35852	DUCHOD	WX	9321898
272722	933	1997-12-11	PRIJEM	PREVOD Z UCTU	6583	35584	DUCHOD	WX	9321898
272723	933	1998-01-11	PRIJEM	PREVOD Z UCTU	6583	31464	DUCHOD	WX	9321898
272724	933	1998-02-11	PRIJEM	PREVOD Z UCTU	6583	28403	DUCHOD	WX	9321898
272725	933	1998-03-11	PRIJEM	PREVOD Z UCTU	6583	32499	DUCHOD	WX	9321898
272726	933	1998-04-11	PRIJEM	PREVOD Z UCTU	6583	35089	DUCHOD	WX	9321898
272727	933	1998-05-11	PRIJEM	PREVOD Z UCTU	6583	36169	DUCHOD	WX	9321898
272728	933	1998-06-11	PRIJEM	PREVOD Z UCTU	6583	37698	DUCHOD	WX	9321898
272729	933	1998-07-11	PRIJEM	PREVOD Z UCTU	6583	29392	DUCHOD	WX	9321898
272730	933	1998-08-11	PRIJEM	PREVOD Z UCTU	6583	33493	DUCHOD	WX	9321898
272731	933	1998-09-11	PRIJEM	PREVOD Z UCTU	6583	33711	DUCHOD	WX	9321898
272732	933	1998-10-11	PRIJEM	PREVOD Z UCTU	6583	35732	DUCHOD	WX	9321898
272733	933	1998-11-11	PRIJEM	PREVOD Z UCTU	6583	35458	DUCHOD	WX	9321898
272734	933	1998-12-11	PRIJEM	PREVOD Z UCTU	6583	31683	DUCHOD	WX	9321898
272751	933	1996-05-08	VYDAJ	PREVOD NA UCET	2584	28555	SIPO	GH	91725241
272752	933	1996-06-08	VYDAJ	PREVOD NA UCET	2584	27870	SIPO	GH	91725241
272753	933	1996-07-08	VYDAJ	PREVOD NA UCET	2584	25121	SIPO	GH	91725241
272754	933	1996-08-08	VYDAJ	PREVOD NA UCET	2584	29233	SIPO	GH	91725241
272755	933	1996-09-08	VYDAJ	PREVOD NA UCET	2584	29953	SIPO	GH	91725241
272756	933	1996-10-08	VYDAJ	PREVOD NA UCET	2584	30675	SIPO	GH	91725241
272757	933	1996-11-08	VYDAJ	PREVOD NA UCET	2584	30198	SIPO	GH	91725241
272758	933	1996-12-08	VYDAJ	PREVOD NA UCET	2584	30119	SIPO	GH	91725241
272759	933	1997-01-08	VYDAJ	PREVOD NA UCET	2584	24663	SIPO	GH	91725241
272760	933	1997-02-08	VYDAJ	PREVOD NA UCET	2584	18354	SIPO	GH	91725241
272761	933	1997-03-08	VYDAJ	PREVOD NA UCET	2584	21795	SIPO	GH	91725241
272762	933	1997-04-08	VYDAJ	PREVOD NA UCET	2584	24588	SIPO	GH	91725241
272892	933	1996-03-17	VYDAJ	VYBER	200	26932	\N	\N	\N
272763	933	1997-05-08	VYDAJ	PREVOD NA UCET	2584	25190	SIPO	GH	91725241
272764	933	1997-06-08	VYDAJ	PREVOD NA UCET	2584	17551	SIPO	GH	91725241
272765	933	1997-07-08	VYDAJ	PREVOD NA UCET	2584	21640	SIPO	GH	91725241
272766	933	1997-08-08	VYDAJ	PREVOD NA UCET	2584	25736	SIPO	GH	91725241
272767	933	1997-09-08	VYDAJ	PREVOD NA UCET	2584	22597	SIPO	GH	91725241
272768	933	1997-10-08	VYDAJ	PREVOD NA UCET	2584	25158	SIPO	GH	91725241
272769	933	1997-11-08	VYDAJ	PREVOD NA UCET	2584	29269	SIPO	GH	91725241
272770	933	1997-12-08	VYDAJ	PREVOD NA UCET	2584	29001	SIPO	GH	91725241
272771	933	1998-01-08	VYDAJ	PREVOD NA UCET	2584	24881	SIPO	GH	91725241
272772	933	1998-02-08	VYDAJ	PREVOD NA UCET	2584	21820	SIPO	GH	91725241
272773	933	1998-03-08	VYDAJ	PREVOD NA UCET	2584	25916	SIPO	GH	91725241
272774	933	1998-04-08	VYDAJ	PREVOD NA UCET	2584	28506	SIPO	GH	91725241
272775	933	1998-05-08	VYDAJ	PREVOD NA UCET	2584	29586	SIPO	GH	91725241
272776	933	1998-06-08	VYDAJ	PREVOD NA UCET	2584	31115	SIPO	GH	91725241
272777	933	1998-07-08	VYDAJ	PREVOD NA UCET	2584	22809	SIPO	GH	91725241
272778	933	1998-08-08	VYDAJ	PREVOD NA UCET	2584	26910	SIPO	GH	91725241
272779	933	1998-09-08	VYDAJ	PREVOD NA UCET	2584	27128	SIPO	GH	91725241
272780	933	1998-10-08	VYDAJ	PREVOD NA UCET	2584	29149	SIPO	GH	91725241
272781	933	1998-11-08	VYDAJ	PREVOD NA UCET	2584	28875	SIPO	GH	91725241
272782	933	1998-12-08	VYDAJ	PREVOD NA UCET	2584	25100	SIPO	GH	91725241
272784	933	1996-06-17	VYDAJ	VYBER	3800	28953	\N	\N	\N
272785	933	1997-06-04	VYDAJ	VYBER	11250	20135	\N	\N	\N
272786	933	1998-06-11	VYDAJ	VYBER	10250	27448	\N	\N	\N
272789	933	1997-01-01	VYDAJ	VYBER	3600	27247	\N	\N	\N
272790	933	1998-01-15	VYDAJ	VYBER	600	29264	\N	\N	\N
272792	933	1996-12-08	VYDAJ	VYBER	1350	28769	\N	\N	\N
272793	933	1997-12-05	VYDAJ	VYBER	1350	31585	\N	\N	\N
272794	933	1998-12-29	VYDAJ	VYBER	600	31083	\N	\N	\N
272807	933	1997-01-14	VYDAJ	VYBER	880	26766	\N	\N	\N
272808	933	1997-01-15	VYDAJ	VYBER	1760	25006	\N	\N	\N
272809	933	1997-01-19	VYDAJ	VYBER	1440	23566	\N	\N	\N
272810	933	1997-01-26	VYDAJ	VYBER	1200	21566	\N	\N	\N
272811	933	1997-01-21	VYDAJ	VYBER	800	22766	\N	\N	\N
272812	933	1997-01-30	VYDAJ	VYBER	720	20846	\N	\N	\N
272813	933	1998-01-21	VYDAJ	VYBER	2160	24944	\N	\N	\N
272814	933	1998-01-02	VYDAJ	VYBER	1040	27465	\N	\N	\N
272815	933	1998-01-19	VYDAJ	VYBER	640	27744	\N	\N	\N
272816	933	1998-01-11	VYDAJ	VYBER	1600	29864	\N	\N	\N
272817	933	1998-01-19	VYDAJ	VYBER	880	28384	\N	\N	\N
272818	933	1998-01-21	VYDAJ	VYBER	640	27104	\N	\N	\N
272826	933	1996-07-06	VYDAJ	VYBER	1360	27705	\N	\N	\N
272827	933	1996-12-12	VYDAJ	VYBER	3520	31832	\N	\N	\N
272828	933	1996-04-16	VYDAJ	VYBER	1840	31029	\N	\N	\N
272831	933	1997-12-20	VYDAJ	VYBER	3840	31744	\N	\N	\N
272832	933	1997-09-03	VYDAJ	VYBER	3440	25181	\N	\N	\N
272833	933	1997-09-26	VYDAJ	VYBER	1040	27640	\N	\N	\N
272834	933	1997-02-15	VYDAJ	VYBER	640	24297	\N	\N	\N
272835	933	1997-04-17	VYDAJ	VYBER	3200	27671	\N	\N	\N
272836	933	1997-12-29	VYDAJ	VYBER	3360	28384	\N	\N	\N
272837	933	1997-11-19	VYDAJ	VYBER	3040	32812	\N	\N	\N
272838	933	1998-10-02	VYDAJ	VYBER	400	33433	\N	\N	\N
272839	933	1998-11-19	VYDAJ	VYBER	2400	33058	\N	\N	\N
272840	933	1998-01-26	VYDAJ	VYBER	640	24304	\N	\N	\N
272841	933	1998-04-22	VYDAJ	VYBER	3040	32049	\N	\N	\N
272842	933	1998-03-11	VYDAJ	VYBER	1520	30979	\N	\N	\N
272843	933	1998-06-12	VYDAJ	VYBER	2160	25288	\N	\N	\N
272860	933	1996-04-30	VYDAJ	VYBER	15	31139	SLUZBY	\N	\N
272861	933	1996-05-31	VYDAJ	VYBER	15	30454	SLUZBY	\N	\N
272862	933	1996-06-30	VYDAJ	VYBER	15	29065	SLUZBY	\N	\N
272863	933	1996-07-31	VYDAJ	VYBER	15	31817	SLUZBY	\N	\N
272864	933	1996-08-31	VYDAJ	VYBER	15	32537	SLUZBY	\N	\N
272865	933	1996-09-30	VYDAJ	VYBER	15	33259	SLUZBY	\N	\N
272866	933	1996-10-31	VYDAJ	VYBER	15	32782	SLUZBY	\N	\N
272867	933	1996-11-30	VYDAJ	VYBER	15	32703	SLUZBY	\N	\N
272868	933	1996-12-31	VYDAJ	VYBER	15	30847	SLUZBY	\N	\N
272869	933	1997-01-31	VYDAJ	VYBER	15	20938	SLUZBY	\N	\N
272870	933	1997-02-28	VYDAJ	VYBER	15	24379	SLUZBY	\N	\N
272871	933	1997-03-31	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
272872	933	1997-04-30	VYDAJ	VYBER	15	27774	SLUZBY	\N	\N
272873	933	1997-05-31	VYDAJ	VYBER	15	31385	SLUZBY	\N	\N
272874	933	1997-06-30	VYDAJ	VYBER	15	24224	SLUZBY	\N	\N
272875	933	1997-07-31	VYDAJ	VYBER	15	28320	SLUZBY	\N	\N
272876	933	1997-08-31	VYDAJ	VYBER	15	28621	SLUZBY	\N	\N
272877	933	1997-09-30	VYDAJ	VYBER	15	27742	SLUZBY	\N	\N
272878	933	1997-10-31	VYDAJ	VYBER	15	31853	SLUZBY	\N	\N
272879	933	1997-11-30	VYDAJ	VYBER	15	32935	SLUZBY	\N	\N
272880	933	1997-12-31	VYDAJ	VYBER	15	28505	SLUZBY	\N	\N
272881	933	1998-01-31	VYDAJ	VYBER	15	24404	SLUZBY	\N	\N
272882	933	1998-02-28	VYDAJ	VYBER	15	28500	SLUZBY	\N	\N
272883	933	1998-03-31	VYDAJ	VYBER	15	31090	SLUZBY	\N	\N
272884	933	1998-04-30	VYDAJ	VYBER	15	32170	SLUZBY	\N	\N
272885	933	1998-05-31	VYDAJ	VYBER	15	36299	SLUZBY	\N	\N
272886	933	1998-06-30	VYDAJ	VYBER	15	25393	SLUZBY	\N	\N
272887	933	1998-07-31	VYDAJ	VYBER	15	29494	SLUZBY	\N	\N
272888	933	1998-08-31	VYDAJ	VYBER	15	33612	SLUZBY	\N	\N
272889	933	1998-09-30	VYDAJ	VYBER	15	33833	SLUZBY	\N	\N
272890	933	1998-10-31	VYDAJ	VYBER	15	35859	SLUZBY	\N	\N
272891	933	1998-11-30	VYDAJ	VYBER	15	33184	SLUZBY	\N	\N
272893	933	1996-04-16	VYDAJ	VYBER	700	32869	\N	\N	\N
272894	933	1996-05-16	VYDAJ	VYBER	4800	30338	\N	\N	\N
272895	933	1996-06-15	VYDAJ	VYBER	1700	32753	\N	\N	\N
272896	933	1996-08-14	VYDAJ	VYBER	3400	32416	\N	\N	\N
272897	933	1996-09-13	VYDAJ	VYBER	3400	33136	\N	\N	\N
272898	933	1996-10-13	VYDAJ	VYBER	4600	32658	\N	\N	\N
272899	933	1996-11-12	VYDAJ	VYBER	4200	32581	\N	\N	\N
272900	933	1996-12-12	VYDAJ	VYBER	1100	30732	\N	\N	\N
272901	933	1997-01-11	VYDAJ	VYBER	3600	27646	\N	\N	\N
272902	933	1997-03-12	VYDAJ	VYBER	1300	27078	\N	\N	\N
272903	933	1997-04-11	VYDAJ	VYBER	300	30871	\N	\N	\N
272904	933	1997-05-11	VYDAJ	VYBER	500	31273	\N	\N	\N
272905	933	1997-08-09	VYDAJ	VYBER	3800	21936	\N	\N	\N
272906	933	1997-09-08	VYDAJ	VYBER	500	22097	\N	\N	\N
272907	933	1998-06-05	VYDAJ	VYBER	2600	33699	\N	\N	\N
272908	933	1998-09-03	VYDAJ	VYBER	3900	29712	\N	\N	\N
272909	933	1998-10-03	VYDAJ	VYBER	1700	31733	\N	\N	\N
272910	933	1998-11-02	VYDAJ	VYBER	4400	31459	\N	\N	\N
272911	933	1998-12-02	VYDAJ	VYBER	5500	27684	\N	\N	\N
272946	934	1997-11-27	PRIJEM	VKLAD	300	300	\N	\N	\N
272958	934	1997-12-14	PRIJEM	PREVOD Z UCTU	6025	6325	DUCHOD	OP	20096636
272959	934	1998-01-14	PRIJEM	PREVOD Z UCTU	6025	12350	DUCHOD	OP	20096636
272960	934	1998-02-14	PRIJEM	PREVOD Z UCTU	6025	18375	DUCHOD	OP	20096636
272961	934	1998-03-14	PRIJEM	PREVOD Z UCTU	6025	24400	DUCHOD	OP	20096636
272962	934	1998-04-14	PRIJEM	PREVOD Z UCTU	6025	30425	DUCHOD	OP	20096636
272963	934	1998-05-14	PRIJEM	PREVOD Z UCTU	6025	33204	DUCHOD	OP	20096636
272964	934	1998-06-14	PRIJEM	PREVOD Z UCTU	6025	36112	DUCHOD	OP	20096636
272965	934	1998-07-14	PRIJEM	PREVOD Z UCTU	6025	26454	DUCHOD	OP	20096636
272966	934	1998-08-14	PRIJEM	PREVOD Z UCTU	6025	29333	DUCHOD	OP	20096636
272967	934	1998-09-14	PRIJEM	PREVOD Z UCTU	6025	30225	DUCHOD	OP	20096636
272968	934	1998-10-14	PRIJEM	PREVOD Z UCTU	6025	33120	DUCHOD	OP	20096636
272969	934	1998-11-14	PRIJEM	PREVOD Z UCTU	6025	36028	DUCHOD	OP	20096636
272970	934	1998-12-14	PRIJEM	PREVOD Z UCTU	6025	34624	DUCHOD	OP	20096636
272987	934	1998-05-09	VYDAJ	PREVOD NA UCET	3236	27179	SIPO	MN	80159562
272988	934	1998-06-09	VYDAJ	PREVOD NA UCET	3236	30087	SIPO	MN	80159562
272989	934	1998-07-09	VYDAJ	PREVOD NA UCET	3236	20429	SIPO	MN	80159562
272990	934	1998-08-09	VYDAJ	PREVOD NA UCET	3236	23308	SIPO	MN	80159562
272991	934	1998-09-09	VYDAJ	PREVOD NA UCET	3236	24200	SIPO	MN	80159562
272992	934	1998-10-09	VYDAJ	PREVOD NA UCET	3236	27095	SIPO	MN	80159562
272993	934	1998-11-09	VYDAJ	PREVOD NA UCET	3236	30003	SIPO	MN	80159562
272994	934	1998-12-09	VYDAJ	PREVOD NA UCET	3236	30519	SIPO	MN	80159562
272996	934	1998-06-15	VYDAJ	VYBER	12550	23562	\N	\N	\N
273000	934	1998-12-17	VYDAJ	VYBER	350	34274	\N	\N	\N
273022	934	1998-12-11	VYDAJ	VYBER	720	29799	\N	\N	\N
273023	934	1998-12-11	VYDAJ	VYBER	1200	28599	\N	\N	\N
273024	934	1998-09-07	VYDAJ	VYBER	2000	27436	\N	\N	\N
273041	934	1998-04-30	VYDAJ	VYBER	15	30415	SLUZBY	\N	\N
273042	934	1998-05-31	VYDAJ	VYBER	15	33323	SLUZBY	\N	\N
273043	934	1998-06-30	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
273044	934	1998-07-31	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
273045	934	1998-08-31	VYDAJ	VYBER	15	29436	SLUZBY	\N	\N
273046	934	1998-09-30	VYDAJ	VYBER	15	30331	SLUZBY	\N	\N
273047	934	1998-10-31	VYDAJ	VYBER	15	33239	SLUZBY	\N	\N
273048	934	1998-11-30	VYDAJ	VYBER	15	33755	SLUZBY	\N	\N
273049	934	1998-11-22	VYDAJ	VYBER	2400	33628	\N	\N	\N
273059	935	1996-12-25	PRIJEM	VKLAD	500	500	\N	\N	\N
273072	935	1997-01-11	PRIJEM	PREVOD Z UCTU	3177	3677	\N	AB	83191752
273073	935	1997-02-11	PRIJEM	PREVOD Z UCTU	3177	6854	\N	AB	83191752
273074	935	1997-03-11	PRIJEM	PREVOD Z UCTU	3177	10031	\N	AB	83191752
273075	935	1997-04-11	PRIJEM	PREVOD Z UCTU	3177	13208	\N	AB	83191752
273076	935	1997-05-11	PRIJEM	PREVOD Z UCTU	3177	16385	\N	AB	83191752
273077	935	1997-06-11	PRIJEM	PREVOD Z UCTU	3177	17468	\N	AB	83191752
273078	935	1997-07-11	PRIJEM	PREVOD Z UCTU	3177	17914	\N	AB	83191752
273079	935	1997-08-11	PRIJEM	PREVOD Z UCTU	3177	19022	\N	AB	83191752
273080	935	1997-09-11	PRIJEM	PREVOD Z UCTU	3177	19926	\N	AB	83191752
273081	935	1997-10-11	PRIJEM	PREVOD Z UCTU	3177	21043	\N	AB	83191752
273082	935	1997-11-11	PRIJEM	PREVOD Z UCTU	3177	21664	\N	AB	83191752
273083	935	1997-12-11	PRIJEM	PREVOD Z UCTU	3177	22788	\N	AB	83191752
273084	935	1998-01-11	PRIJEM	PREVOD Z UCTU	3177	20512	\N	AB	83191752
273085	935	1998-02-11	PRIJEM	PREVOD Z UCTU	3177	19139	\N	AB	83191752
273086	935	1998-03-11	PRIJEM	PREVOD Z UCTU	3177	18869	\N	AB	83191752
273087	935	1998-04-11	PRIJEM	PREVOD Z UCTU	3177	19982	\N	AB	83191752
273088	935	1998-05-11	PRIJEM	PREVOD Z UCTU	3177	21099	\N	AB	83191752
273089	935	1998-06-11	PRIJEM	PREVOD Z UCTU	3177	17163	\N	AB	83191752
273090	935	1998-07-11	PRIJEM	PREVOD Z UCTU	3177	16856	\N	AB	83191752
273091	935	1998-08-11	PRIJEM	PREVOD Z UCTU	3177	17960	\N	AB	83191752
273092	935	1998-09-11	PRIJEM	PREVOD Z UCTU	3177	16063	\N	AB	83191752
273093	935	1998-10-11	PRIJEM	PREVOD Z UCTU	3177	16773	\N	AB	83191752
273094	935	1998-11-11	PRIJEM	PREVOD Z UCTU	3177	17877	\N	AB	83191752
273343	936	1997-06-11	VYDAJ	VYBER	2450	18772	\N	\N	\N
273095	935	1998-12-11	PRIJEM	PREVOD Z UCTU	3177	18685	\N	AB	83191752
273112	935	1997-05-12	VYDAJ	PREVOD NA UCET	2118	14267	\N	OP	14574545
273113	935	1997-06-12	VYDAJ	PREVOD NA UCET	2118	15350	\N	OP	14574545
273114	935	1997-07-12	VYDAJ	PREVOD NA UCET	2118	15796	\N	OP	14574545
273115	935	1997-08-12	VYDAJ	PREVOD NA UCET	2118	16904	\N	OP	14574545
273116	935	1997-09-12	VYDAJ	PREVOD NA UCET	2118	17808	\N	OP	14574545
273117	935	1997-10-12	VYDAJ	PREVOD NA UCET	2118	18925	\N	OP	14574545
273118	935	1997-11-12	VYDAJ	PREVOD NA UCET	2118	19546	\N	OP	14574545
273119	935	1997-12-12	VYDAJ	PREVOD NA UCET	2118	20670	\N	OP	14574545
273120	935	1998-01-12	VYDAJ	PREVOD NA UCET	2118	17944	\N	OP	14574545
273121	935	1998-02-12	VYDAJ	PREVOD NA UCET	2118	17021	\N	OP	14574545
273122	935	1998-03-12	VYDAJ	PREVOD NA UCET	2118	16751	\N	OP	14574545
273123	935	1998-04-12	VYDAJ	PREVOD NA UCET	2118	17864	\N	OP	14574545
273124	935	1998-05-12	VYDAJ	PREVOD NA UCET	2118	18981	\N	OP	14574545
273125	935	1998-06-12	VYDAJ	PREVOD NA UCET	2118	15045	\N	OP	14574545
273126	935	1998-07-12	VYDAJ	PREVOD NA UCET	2118	14738	\N	OP	14574545
273127	935	1998-08-12	VYDAJ	PREVOD NA UCET	2118	15842	\N	OP	14574545
273128	935	1998-09-12	VYDAJ	PREVOD NA UCET	2118	13945	\N	OP	14574545
273129	935	1998-10-12	VYDAJ	PREVOD NA UCET	2118	14655	\N	OP	14574545
273130	935	1998-11-12	VYDAJ	PREVOD NA UCET	2118	15759	\N	OP	14574545
273131	935	1998-12-12	VYDAJ	PREVOD NA UCET	2118	16567	\N	OP	14574545
273134	935	1998-06-14	VYDAJ	VYBER	1410	13635	\N	\N	\N
273137	935	1998-01-11	VYDAJ	VYBER	450	20062	\N	\N	\N
273139	935	1997-12-30	VYDAJ	VYBER	150	17720	\N	\N	\N
273140	935	1998-12-03	VYDAJ	VYBER	300	15508	\N	\N	\N
273153	935	1998-01-05	VYDAJ	VYBER	180	17335	\N	\N	\N
273154	935	1998-01-23	VYDAJ	VYBER	630	16444	\N	\N	\N
273155	935	1998-01-22	VYDAJ	VYBER	870	17074	\N	\N	\N
273156	935	1998-01-25	VYDAJ	VYBER	270	16174	\N	\N	\N
273157	935	1998-01-29	VYDAJ	VYBER	270	15904	\N	\N	\N
273158	935	1998-01-04	VYDAJ	VYBER	270	17515	\N	\N	\N
273167	935	1997-06-23	VYDAJ	VYBER	660	14690	\N	\N	\N
273168	935	1997-08-31	VYDAJ	VYBER	210	16749	\N	\N	\N
273170	935	1998-06-01	VYDAJ	VYBER	450	13986	\N	\N	\N
273171	935	1998-02-15	VYDAJ	VYBER	1380	15641	\N	\N	\N
273172	935	1998-09-16	VYDAJ	VYBER	390	13555	\N	\N	\N
273190	935	1997-05-31	VYDAJ	VYBER	15	14291	SLUZBY	\N	\N
273191	935	1997-06-30	VYDAJ	VYBER	15	14737	SLUZBY	\N	\N
273192	935	1997-07-31	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
273193	935	1997-08-31	VYDAJ	VYBER	15	16959	SLUZBY	\N	\N
273194	935	1997-09-30	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
273195	935	1997-10-31	VYDAJ	VYBER	15	18487	SLUZBY	\N	\N
273196	935	1997-11-30	VYDAJ	VYBER	15	19611	SLUZBY	\N	\N
273197	935	1997-12-31	VYDAJ	VYBER	15	17785	SLUZBY	\N	\N
273198	935	1998-01-31	VYDAJ	VYBER	15	15962	SLUZBY	\N	\N
273199	935	1998-02-28	VYDAJ	VYBER	15	15692	SLUZBY	\N	\N
273200	935	1998-03-31	VYDAJ	VYBER	15	16805	SLUZBY	\N	\N
273201	935	1998-04-30	VYDAJ	VYBER	15	17922	SLUZBY	\N	\N
273202	935	1998-05-31	VYDAJ	VYBER	15	14436	SLUZBY	\N	\N
273203	935	1998-06-30	VYDAJ	VYBER	15	13679	SLUZBY	\N	\N
273204	935	1998-07-31	VYDAJ	VYBER	15	14783	SLUZBY	\N	\N
273205	935	1998-08-31	VYDAJ	VYBER	15	12886	SLUZBY	\N	\N
273206	935	1998-09-30	VYDAJ	VYBER	15	13596	SLUZBY	\N	\N
273207	935	1998-10-31	VYDAJ	VYBER	15	14700	SLUZBY	\N	\N
273208	935	1998-11-30	VYDAJ	VYBER	15	15808	SLUZBY	\N	\N
273209	935	1997-10-21	VYDAJ	VYBER	500	18425	\N	\N	\N
273210	935	1997-12-20	VYDAJ	VYBER	2800	17870	\N	\N	\N
273211	935	1998-05-19	VYDAJ	VYBER	4600	14381	\N	\N	\N
273212	935	1998-08-17	VYDAJ	VYBER	3000	12842	\N	\N	\N
273233	936	1996-03-02	PRIJEM	VKLAD	700	700	\N	\N	\N
273236	936	1996-03-10	PRIJEM	PREVOD Z UCTU	4507	5207	DUCHOD	WX	68387925
273237	936	1996-04-10	PRIJEM	PREVOD Z UCTU	4507	9729	DUCHOD	WX	68387925
273238	936	1996-05-10	PRIJEM	PREVOD Z UCTU	4507	14258	DUCHOD	WX	68387925
273239	936	1996-06-10	PRIJEM	PREVOD Z UCTU	4507	18787	DUCHOD	WX	68387925
273240	936	1996-07-10	PRIJEM	PREVOD Z UCTU	4507	23316	DUCHOD	WX	68387925
273241	936	1996-08-10	PRIJEM	PREVOD Z UCTU	4507	22227	DUCHOD	WX	68387925
273242	936	1996-09-10	PRIJEM	PREVOD Z UCTU	4507	23806	DUCHOD	WX	68387925
273243	936	1996-10-10	PRIJEM	PREVOD Z UCTU	4507	21628	DUCHOD	WX	68387925
273244	936	1996-11-10	PRIJEM	PREVOD Z UCTU	4507	23204	DUCHOD	WX	68387925
273245	936	1996-12-10	PRIJEM	PREVOD Z UCTU	4507	24286	DUCHOD	WX	68387925
273246	936	1997-01-10	PRIJEM	PREVOD Z UCTU	4507	24562	DUCHOD	WX	68387925
273247	936	1997-02-10	PRIJEM	PREVOD Z UCTU	4507	15586	DUCHOD	WX	68387925
273248	936	1997-03-10	PRIJEM	PREVOD Z UCTU	4507	17137	DUCHOD	WX	68387925
273249	936	1997-04-10	PRIJEM	PREVOD Z UCTU	4507	18093	DUCHOD	WX	68387925
273250	936	1997-05-10	PRIJEM	PREVOD Z UCTU	4507	19654	DUCHOD	WX	68387925
273251	936	1997-06-10	PRIJEM	PREVOD Z UCTU	4507	21222	DUCHOD	WX	68387925
273252	936	1997-07-10	PRIJEM	PREVOD Z UCTU	4507	20339	DUCHOD	WX	68387925
273253	936	1997-08-10	PRIJEM	PREVOD Z UCTU	4507	17582	DUCHOD	WX	68387925
273254	936	1997-09-10	PRIJEM	PREVOD Z UCTU	4507	16092	DUCHOD	WX	68387925
273255	936	1997-10-10	PRIJEM	PREVOD Z UCTU	4507	14919	DUCHOD	WX	68387925
273256	936	1997-11-10	PRIJEM	PREVOD Z UCTU	4507	16467	DUCHOD	WX	68387925
273257	936	1997-12-10	PRIJEM	PREVOD Z UCTU	4507	18021	DUCHOD	WX	68387925
273258	936	1998-01-10	PRIJEM	PREVOD Z UCTU	4507	15650	DUCHOD	WX	68387925
273259	936	1998-02-10	PRIJEM	PREVOD Z UCTU	4507	15275	DUCHOD	WX	68387925
273260	936	1998-03-10	PRIJEM	PREVOD Z UCTU	4507	15701	DUCHOD	WX	68387925
273261	936	1998-04-10	PRIJEM	PREVOD Z UCTU	4507	16851	DUCHOD	WX	68387925
273262	936	1998-05-10	PRIJEM	PREVOD Z UCTU	4507	17525	DUCHOD	WX	68387925
273263	936	1998-06-10	PRIJEM	PREVOD Z UCTU	4507	19084	DUCHOD	WX	68387925
273264	936	1998-07-10	PRIJEM	PREVOD Z UCTU	4507	20649	DUCHOD	WX	68387925
273265	936	1998-08-10	PRIJEM	PREVOD Z UCTU	4507	22220	DUCHOD	WX	68387925
273266	936	1998-09-10	PRIJEM	PREVOD Z UCTU	4507	20198	DUCHOD	WX	68387925
273267	936	1998-10-10	PRIJEM	PREVOD Z UCTU	4507	21768	DUCHOD	WX	68387925
273268	936	1998-11-10	PRIJEM	PREVOD Z UCTU	4507	23344	DUCHOD	WX	68387925
273269	936	1998-12-10	PRIJEM	PREVOD Z UCTU	4507	23016	DUCHOD	WX	68387925
273277	936	1996-08-06	VYDAJ	PREVOD NA UCET	2780	17720	SIPO	ST	95479797
273278	936	1996-09-06	VYDAJ	PREVOD NA UCET	2780	19299	SIPO	ST	95479797
273279	936	1996-10-06	VYDAJ	PREVOD NA UCET	2780	17121	SIPO	ST	95479797
273280	936	1996-11-06	VYDAJ	PREVOD NA UCET	2780	18697	SIPO	ST	95479797
273281	936	1996-12-06	VYDAJ	PREVOD NA UCET	2780	19779	SIPO	ST	95479797
273282	936	1997-01-06	VYDAJ	PREVOD NA UCET	2780	20615	SIPO	ST	95479797
273283	936	1997-02-06	VYDAJ	PREVOD NA UCET	2780	11079	SIPO	ST	95479797
273284	936	1997-03-06	VYDAJ	PREVOD NA UCET	2780	12630	SIPO	ST	95479797
273285	936	1997-04-06	VYDAJ	PREVOD NA UCET	2780	13586	SIPO	ST	95479797
273286	936	1997-05-06	VYDAJ	PREVOD NA UCET	2780	15147	SIPO	ST	95479797
273287	936	1997-06-06	VYDAJ	PREVOD NA UCET	2780	16715	SIPO	ST	95479797
273288	936	1997-07-06	VYDAJ	PREVOD NA UCET	2780	15832	SIPO	ST	95479797
273289	936	1997-08-06	VYDAJ	PREVOD NA UCET	2780	13075	SIPO	ST	95479797
273290	936	1997-09-06	VYDAJ	PREVOD NA UCET	2780	11585	SIPO	ST	95479797
273291	936	1997-10-06	VYDAJ	PREVOD NA UCET	2780	10412	SIPO	ST	95479797
273292	936	1997-11-06	VYDAJ	PREVOD NA UCET	2780	11960	SIPO	ST	95479797
273293	936	1997-12-06	VYDAJ	PREVOD NA UCET	2780	13514	SIPO	ST	95479797
273294	936	1998-01-06	VYDAJ	PREVOD NA UCET	2780	11143	SIPO	ST	95479797
273295	936	1998-02-06	VYDAJ	PREVOD NA UCET	2780	10768	SIPO	ST	95479797
273296	936	1998-03-06	VYDAJ	PREVOD NA UCET	2780	11194	SIPO	ST	95479797
273297	936	1998-04-06	VYDAJ	PREVOD NA UCET	2780	12344	SIPO	ST	95479797
273298	936	1998-05-06	VYDAJ	PREVOD NA UCET	2780	13018	SIPO	ST	95479797
273299	936	1998-06-06	VYDAJ	PREVOD NA UCET	2780	14577	SIPO	ST	95479797
273300	936	1998-07-06	VYDAJ	PREVOD NA UCET	2780	16142	SIPO	ST	95479797
273301	936	1998-08-06	VYDAJ	PREVOD NA UCET	2780	17713	SIPO	ST	95479797
273302	936	1998-09-06	VYDAJ	PREVOD NA UCET	2780	15691	SIPO	ST	95479797
273303	936	1998-10-06	VYDAJ	PREVOD NA UCET	2780	17261	SIPO	ST	95479797
273304	936	1998-11-06	VYDAJ	PREVOD NA UCET	2780	18837	SIPO	ST	95479797
273305	936	1998-12-06	VYDAJ	PREVOD NA UCET	2780	19859	SIPO	ST	95479797
273312	936	1996-07-12	VYDAJ	PREVOD NA UCET	224	23092	 	YZ	51554924
273313	936	1996-08-12	VYDAJ	PREVOD NA UCET	224	22003	 	YZ	51554924
273314	936	1996-09-12	VYDAJ	PREVOD NA UCET	224	23582	 	YZ	51554924
273315	936	1996-10-12	VYDAJ	PREVOD NA UCET	224	21404	 	YZ	51554924
273316	936	1996-11-12	VYDAJ	PREVOD NA UCET	224	22980	 	YZ	51554924
273317	936	1996-12-12	VYDAJ	PREVOD NA UCET	224	24062	 	YZ	51554924
273318	936	1997-01-12	VYDAJ	PREVOD NA UCET	224	24338	 	YZ	51554924
273319	936	1997-02-12	VYDAJ	PREVOD NA UCET	224	15362	 	YZ	51554924
273320	936	1997-03-12	VYDAJ	PREVOD NA UCET	224	16913	 	YZ	51554924
273321	936	1997-04-12	VYDAJ	PREVOD NA UCET	224	17869	 	YZ	51554924
273322	936	1997-05-12	VYDAJ	PREVOD NA UCET	224	19430	 	YZ	51554924
273323	936	1997-06-12	VYDAJ	PREVOD NA UCET	224	18548	 	YZ	51554924
273324	936	1997-07-12	VYDAJ	PREVOD NA UCET	224	20115	 	YZ	51554924
273325	936	1997-08-12	VYDAJ	PREVOD NA UCET	224	17358	 	YZ	51554924
273326	936	1997-09-12	VYDAJ	PREVOD NA UCET	224	15868	 	YZ	51554924
273327	936	1997-10-12	VYDAJ	PREVOD NA UCET	224	14695	 	YZ	51554924
273328	936	1997-11-12	VYDAJ	PREVOD NA UCET	224	16243	 	YZ	51554924
273329	936	1997-12-12	VYDAJ	PREVOD NA UCET	224	17797	 	YZ	51554924
273330	936	1998-01-12	VYDAJ	PREVOD NA UCET	224	14066	 	YZ	51554924
273331	936	1998-02-12	VYDAJ	PREVOD NA UCET	224	13931	 	YZ	51554924
273332	936	1998-03-12	VYDAJ	PREVOD NA UCET	224	15477	 	YZ	51554924
273333	936	1998-04-12	VYDAJ	PREVOD NA UCET	224	16627	 	YZ	51554924
273334	936	1998-05-12	VYDAJ	PREVOD NA UCET	224	17301	 	YZ	51554924
273335	936	1998-06-12	VYDAJ	PREVOD NA UCET	224	18860	 	YZ	51554924
273336	936	1998-07-12	VYDAJ	PREVOD NA UCET	224	20425	 	YZ	51554924
273337	936	1998-08-12	VYDAJ	PREVOD NA UCET	224	21996	 	YZ	51554924
273338	936	1998-09-12	VYDAJ	PREVOD NA UCET	224	19974	 	YZ	51554924
273339	936	1998-10-12	VYDAJ	PREVOD NA UCET	224	21544	 	YZ	51554924
273340	936	1998-11-12	VYDAJ	PREVOD NA UCET	224	23120	 	YZ	51554924
273341	936	1998-12-12	VYDAJ	PREVOD NA UCET	224	22792	 	YZ	51554924
273346	936	1997-01-19	VYDAJ	VYBER	3750	19228	\N	\N	\N
273347	936	1998-01-01	VYDAJ	VYBER	1650	15603	\N	\N	\N
273348	936	1996-12-28	VYDAJ	VYBER	750	23312	\N	\N	\N
273349	936	1997-12-15	VYDAJ	VYBER	600	17197	\N	\N	\N
273350	936	1998-12-07	VYDAJ	VYBER	1350	18509	\N	\N	\N
273357	936	1997-01-14	VYDAJ	VYBER	1360	22978	\N	\N	\N
273358	936	1997-01-27	VYDAJ	VYBER	2320	15228	\N	\N	\N
273359	936	1997-01-28	VYDAJ	VYBER	1440	13788	\N	\N	\N
273360	936	1997-01-08	VYDAJ	VYBER	560	20055	\N	\N	\N
273361	936	1997-01-25	VYDAJ	VYBER	1680	17548	\N	\N	\N
273364	936	1998-01-20	VYDAJ	VYBER	560	13506	\N	\N	\N
273368	936	1998-01-10	VYDAJ	VYBER	1360	14290	\N	\N	\N
273371	936	1996-07-14	VYDAJ	VYBER	2640	20452	\N	\N	\N
273374	936	1996-09-26	VYDAJ	VYBER	3760	19822	\N	\N	\N
273376	936	1997-08-14	VYDAJ	VYBER	3040	14318	\N	\N	\N
273377	936	1997-09-15	VYDAJ	VYBER	2720	13148	\N	\N	\N
273378	936	1997-08-05	VYDAJ	VYBER	640	15855	\N	\N	\N
273379	936	1997-07-17	VYDAJ	VYBER	3680	16435	\N	\N	\N
273380	936	1998-11-27	VYDAJ	VYBER	560	22560	\N	\N	\N
273381	936	1998-01-02	VYDAJ	VYBER	1680	13923	\N	\N	\N
273382	936	1998-09-04	VYDAJ	VYBER	3600	18471	\N	\N	\N
273383	936	1998-04-18	VYDAJ	VYBER	880	15747	\N	\N	\N
273385	936	1998-03-26	VYDAJ	VYBER	400	15077	\N	\N	\N
273386	936	1998-02-11	VYDAJ	VYBER	1120	14155	\N	\N	\N
273394	936	1996-07-31	VYDAJ	VYBER	15	20500	SLUZBY	\N	\N
273395	936	1996-08-31	VYDAJ	VYBER	15	22079	SLUZBY	\N	\N
273396	936	1996-09-30	VYDAJ	VYBER	15	19901	SLUZBY	\N	\N
273397	936	1996-10-31	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
273398	936	1996-11-30	VYDAJ	VYBER	15	22559	SLUZBY	\N	\N
273399	936	1996-12-31	VYDAJ	VYBER	15	23395	SLUZBY	\N	\N
273400	936	1997-01-31	VYDAJ	VYBER	15	13859	SLUZBY	\N	\N
273401	936	1997-02-28	VYDAJ	VYBER	15	15410	SLUZBY	\N	\N
273402	936	1997-03-31	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
273403	936	1997-04-30	VYDAJ	VYBER	15	17927	SLUZBY	\N	\N
273404	936	1997-05-31	VYDAJ	VYBER	15	19495	SLUZBY	\N	\N
273405	936	1997-06-30	VYDAJ	VYBER	15	18612	SLUZBY	\N	\N
273406	936	1997-07-31	VYDAJ	VYBER	15	16495	SLUZBY	\N	\N
273407	936	1997-08-31	VYDAJ	VYBER	15	14365	SLUZBY	\N	\N
273408	936	1997-09-30	VYDAJ	VYBER	15	13192	SLUZBY	\N	\N
273409	936	1997-10-31	VYDAJ	VYBER	15	14740	SLUZBY	\N	\N
273410	936	1997-11-30	VYDAJ	VYBER	15	16294	SLUZBY	\N	\N
273411	936	1997-12-31	VYDAJ	VYBER	15	17253	SLUZBY	\N	\N
273412	936	1998-01-31	VYDAJ	VYBER	15	13548	SLUZBY	\N	\N
273413	936	1998-02-28	VYDAJ	VYBER	15	13974	SLUZBY	\N	\N
273414	936	1998-03-31	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
273415	936	1998-04-30	VYDAJ	VYBER	15	15798	SLUZBY	\N	\N
273416	936	1998-05-31	VYDAJ	VYBER	15	17357	SLUZBY	\N	\N
273417	936	1998-06-30	VYDAJ	VYBER	15	18922	SLUZBY	\N	\N
273418	936	1998-07-31	VYDAJ	VYBER	15	20493	SLUZBY	\N	\N
273419	936	1998-08-31	VYDAJ	VYBER	15	22071	SLUZBY	\N	\N
273420	936	1998-09-30	VYDAJ	VYBER	15	20041	SLUZBY	\N	\N
273421	936	1998-10-31	VYDAJ	VYBER	15	21617	SLUZBY	\N	\N
273422	936	1998-11-30	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
273423	936	1996-11-27	VYDAJ	VYBER	500	22480	\N	\N	\N
273424	936	1997-03-27	VYDAJ	VYBER	600	16313	\N	\N	\N
273459	937	1995-08-26	PRIJEM	VKLAD	900	900	\N	\N	\N
273468	937	1995-09-10	PRIJEM	PREVOD Z UCTU	4435	5335	DUCHOD	QR	42227661
273469	937	1995-10-10	PRIJEM	PREVOD Z UCTU	4435	9770	DUCHOD	QR	42227661
273470	937	1995-11-10	PRIJEM	PREVOD Z UCTU	4435	14205	DUCHOD	QR	42227661
273471	937	1995-12-10	PRIJEM	PREVOD Z UCTU	4435	18640	DUCHOD	QR	42227661
273472	937	1996-01-10	PRIJEM	PREVOD Z UCTU	4435	23075	DUCHOD	QR	42227661
273473	937	1996-02-10	PRIJEM	PREVOD Z UCTU	4435	16717	DUCHOD	QR	42227661
273474	937	1996-03-10	PRIJEM	PREVOD Z UCTU	4435	19444	DUCHOD	QR	42227661
273475	937	1996-04-10	PRIJEM	PREVOD Z UCTU	4435	22182	DUCHOD	QR	42227661
273476	937	1996-05-10	PRIJEM	PREVOD Z UCTU	4435	24932	DUCHOD	QR	42227661
273477	937	1996-06-10	PRIJEM	PREVOD Z UCTU	4435	27693	DUCHOD	QR	42227661
273478	937	1996-07-10	PRIJEM	PREVOD Z UCTU	4435	24952	DUCHOD	QR	42227661
273479	937	1996-08-10	PRIJEM	PREVOD Z UCTU	4435	27073	DUCHOD	QR	42227661
273480	937	1996-09-10	PRIJEM	PREVOD Z UCTU	4435	25721	DUCHOD	QR	42227661
273481	937	1996-10-10	PRIJEM	PREVOD Z UCTU	4435	27365	DUCHOD	QR	42227661
273482	937	1996-11-10	PRIJEM	PREVOD Z UCTU	4435	28860	DUCHOD	QR	42227661
273483	937	1996-12-10	PRIJEM	PREVOD Z UCTU	4435	31642	DUCHOD	QR	42227661
273484	937	1997-01-10	PRIJEM	PREVOD Z UCTU	4435	32279	DUCHOD	QR	42227661
273485	937	1997-02-10	PRIJEM	PREVOD Z UCTU	4435	26021	DUCHOD	QR	42227661
273486	937	1997-03-10	PRIJEM	PREVOD Z UCTU	4435	28786	DUCHOD	QR	42227661
273487	937	1997-04-10	PRIJEM	PREVOD Z UCTU	4435	28458	DUCHOD	QR	42227661
273488	937	1997-05-10	PRIJEM	PREVOD Z UCTU	4435	28127	DUCHOD	QR	42227661
273489	937	1997-06-10	PRIJEM	PREVOD Z UCTU	4435	25992	DUCHOD	QR	42227661
273490	937	1997-07-10	PRIJEM	PREVOD Z UCTU	4435	21150	DUCHOD	QR	42227661
273491	937	1997-08-10	PRIJEM	PREVOD Z UCTU	4435	20351	DUCHOD	QR	42227661
273492	937	1997-09-10	PRIJEM	PREVOD Z UCTU	4435	23098	DUCHOD	QR	42227661
273493	937	1997-10-10	PRIJEM	PREVOD Z UCTU	4435	24169	DUCHOD	QR	42227661
273494	937	1997-11-10	PRIJEM	PREVOD Z UCTU	4435	26927	DUCHOD	QR	42227661
273495	937	1997-12-10	PRIJEM	PREVOD Z UCTU	4435	29195	DUCHOD	QR	42227661
273496	937	1998-01-10	PRIJEM	PREVOD Z UCTU	4435	27483	DUCHOD	QR	42227661
273497	937	1998-02-10	PRIJEM	PREVOD Z UCTU	4435	24612	DUCHOD	QR	42227661
273498	937	1998-03-10	PRIJEM	PREVOD Z UCTU	4435	23770	DUCHOD	QR	42227661
273499	937	1998-04-10	PRIJEM	PREVOD Z UCTU	4435	26532	DUCHOD	QR	42227661
273500	937	1998-05-10	PRIJEM	PREVOD Z UCTU	4435	29299	DUCHOD	QR	42227661
273501	937	1998-06-10	PRIJEM	PREVOD Z UCTU	4435	31277	DUCHOD	QR	42227661
273502	937	1998-07-10	PRIJEM	PREVOD Z UCTU	4435	26434	DUCHOD	QR	42227661
273503	937	1998-08-10	PRIJEM	PREVOD Z UCTU	4435	29200	DUCHOD	QR	42227661
273504	937	1998-09-10	PRIJEM	PREVOD Z UCTU	4435	28136	DUCHOD	QR	42227661
273505	937	1998-10-10	PRIJEM	PREVOD Z UCTU	4435	27906	DUCHOD	QR	42227661
273506	937	1998-11-10	PRIJEM	PREVOD Z UCTU	4435	30682	DUCHOD	QR	42227661
273507	937	1998-12-10	PRIJEM	PREVOD Z UCTU	4435	33466	DUCHOD	QR	42227661
273520	937	1996-01-14	VYDAJ	PREVOD NA UCET	1751	16974	SIPO	IJ	99500470
273521	937	1996-02-14	VYDAJ	PREVOD NA UCET	1751	14966	SIPO	IJ	99500470
273522	937	1996-03-14	VYDAJ	PREVOD NA UCET	1751	17693	SIPO	IJ	99500470
273523	937	1996-04-14	VYDAJ	PREVOD NA UCET	1751	20431	SIPO	IJ	99500470
273524	937	1996-05-14	VYDAJ	PREVOD NA UCET	1751	23181	SIPO	IJ	99500470
273525	937	1996-06-14	VYDAJ	PREVOD NA UCET	1751	20442	SIPO	IJ	99500470
273526	937	1996-07-14	VYDAJ	PREVOD NA UCET	1751	23201	SIPO	IJ	99500470
273527	937	1996-08-14	VYDAJ	PREVOD NA UCET	1751	25322	SIPO	IJ	99500470
273528	937	1996-09-14	VYDAJ	PREVOD NA UCET	1751	23970	SIPO	IJ	99500470
273529	937	1996-10-14	VYDAJ	PREVOD NA UCET	1751	25614	SIPO	IJ	99500470
273530	937	1996-11-14	VYDAJ	PREVOD NA UCET	1751	27109	SIPO	IJ	99500470
273531	937	1996-12-14	VYDAJ	PREVOD NA UCET	1751	29041	SIPO	IJ	99500470
273532	937	1997-01-14	VYDAJ	PREVOD NA UCET	1751	29248	SIPO	IJ	99500470
273533	937	1997-02-14	VYDAJ	PREVOD NA UCET	1751	24270	SIPO	IJ	99500470
273534	937	1997-03-14	VYDAJ	PREVOD NA UCET	1751	27035	SIPO	IJ	99500470
273535	937	1997-04-14	VYDAJ	PREVOD NA UCET	1751	26707	SIPO	IJ	99500470
273536	937	1997-05-14	VYDAJ	PREVOD NA UCET	1751	26376	SIPO	IJ	99500470
273537	937	1997-06-14	VYDAJ	PREVOD NA UCET	1751	24241	SIPO	IJ	99500470
273538	937	1997-07-14	VYDAJ	PREVOD NA UCET	1751	19399	SIPO	IJ	99500470
273539	937	1997-08-14	VYDAJ	PREVOD NA UCET	1751	18600	SIPO	IJ	99500470
273540	937	1997-09-14	VYDAJ	PREVOD NA UCET	1751	19667	SIPO	IJ	99500470
273541	937	1997-10-14	VYDAJ	PREVOD NA UCET	1751	22418	SIPO	IJ	99500470
273542	937	1997-11-14	VYDAJ	PREVOD NA UCET	1751	24676	SIPO	IJ	99500470
273543	937	1997-12-14	VYDAJ	PREVOD NA UCET	1751	27444	SIPO	IJ	99500470
273544	937	1998-01-14	VYDAJ	PREVOD NA UCET	1751	25172	SIPO	IJ	99500470
273545	937	1998-02-14	VYDAJ	PREVOD NA UCET	1751	22861	SIPO	IJ	99500470
273546	937	1998-03-14	VYDAJ	PREVOD NA UCET	1751	22019	SIPO	IJ	99500470
273547	937	1998-04-14	VYDAJ	PREVOD NA UCET	1751	24781	SIPO	IJ	99500470
273548	937	1998-05-14	VYDAJ	PREVOD NA UCET	1751	26748	SIPO	IJ	99500470
273549	937	1998-06-14	VYDAJ	PREVOD NA UCET	1751	29526	SIPO	IJ	99500470
273550	937	1998-07-14	VYDAJ	PREVOD NA UCET	1751	24683	SIPO	IJ	99500470
273551	937	1998-08-14	VYDAJ	PREVOD NA UCET	1751	27449	SIPO	IJ	99500470
273552	937	1998-09-14	VYDAJ	PREVOD NA UCET	1751	26385	SIPO	IJ	99500470
273553	937	1998-10-14	VYDAJ	PREVOD NA UCET	1751	26155	SIPO	IJ	99500470
273554	937	1998-11-14	VYDAJ	PREVOD NA UCET	1751	28931	SIPO	IJ	99500470
273555	937	1998-12-14	VYDAJ	PREVOD NA UCET	1751	31715	SIPO	IJ	99500470
273557	937	1996-06-11	VYDAJ	VYBER	5500	22193	\N	\N	\N
273558	937	1997-06-25	VYDAJ	VYBER	6700	16641	\N	\N	\N
273559	937	1998-06-23	VYDAJ	VYBER	3700	21906	\N	\N	\N
273561	937	1996-01-10	VYDAJ	VYBER	4350	18725	\N	\N	\N
273562	937	1997-01-02	VYDAJ	VYBER	1300	27844	\N	\N	\N
273563	937	1998-01-23	VYDAJ	VYBER	1800	23372	\N	\N	\N
273565	937	1996-12-14	VYDAJ	VYBER	850	30792	\N	\N	\N
273566	937	1997-12-15	VYDAJ	VYBER	250	27194	\N	\N	\N
273567	937	1998-12-29	VYDAJ	VYBER	700	31015	\N	\N	\N
273575	937	1996-01-14	VYDAJ	VYBER	2000	14974	\N	\N	\N
273578	937	1996-01-15	VYDAJ	VYBER	2240	12734	\N	\N	\N
273580	937	1997-01-26	VYDAJ	VYBER	2240	23168	\N	\N	\N
273581	937	1997-01-15	VYDAJ	VYBER	1760	27488	\N	\N	\N
273582	937	1997-01-13	VYDAJ	VYBER	1280	30999	\N	\N	\N
273583	937	1997-01-21	VYDAJ	VYBER	2080	25408	\N	\N	\N
273584	937	1997-01-27	VYDAJ	VYBER	640	22528	\N	\N	\N
273585	937	1997-01-27	VYDAJ	VYBER	1040	21488	\N	\N	\N
273586	937	1998-01-01	VYDAJ	VYBER	2080	24568	\N	\N	\N
273587	937	1998-01-13	VYDAJ	VYBER	560	26923	\N	\N	\N
273588	937	1998-01-08	VYDAJ	VYBER	1120	23048	\N	\N	\N
273589	937	1998-01-25	VYDAJ	VYBER	800	22572	\N	\N	\N
273590	937	1998-01-06	VYDAJ	VYBER	400	24168	\N	\N	\N
273591	937	1998-01-01	VYDAJ	VYBER	640	26648	\N	\N	\N
273596	937	1996-11-04	VYDAJ	VYBER	1280	24425	\N	\N	\N
273597	937	1996-08-27	VYDAJ	VYBER	3920	21202	\N	\N	\N
273598	937	1996-01-17	VYDAJ	VYBER	480	12254	\N	\N	\N
273599	937	1996-10-05	VYDAJ	VYBER	1120	22930	\N	\N	\N
273601	937	1996-07-28	VYDAJ	VYBER	640	22561	\N	\N	\N
273602	937	1997-08-09	VYDAJ	VYBER	1840	15916	\N	\N	\N
273603	937	1997-04-16	VYDAJ	VYBER	2000	24707	\N	\N	\N
273604	937	1997-09-10	VYDAJ	VYBER	1680	21418	\N	\N	\N
273605	937	1998-02-22	VYDAJ	VYBER	800	22061	\N	\N	\N
273606	937	1998-03-01	VYDAJ	VYBER	2800	19335	\N	\N	\N
273607	937	1998-08-19	VYDAJ	VYBER	1360	26089	\N	\N	\N
273608	937	1998-01-26	VYDAJ	VYBER	2480	20092	\N	\N	\N
273609	937	1998-09-22	VYDAJ	VYBER	2800	23585	\N	\N	\N
273610	937	1998-08-30	VYDAJ	VYBER	2480	23609	\N	\N	\N
273611	937	1998-06-19	VYDAJ	VYBER	3920	25606	\N	\N	\N
273625	937	1996-01-31	VYDAJ	VYBER	15	12282	SLUZBY	\N	\N
273626	937	1996-02-29	VYDAJ	VYBER	15	15009	SLUZBY	\N	\N
273627	937	1996-03-31	VYDAJ	VYBER	15	17747	SLUZBY	\N	\N
273628	937	1996-04-30	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
273629	937	1996-05-31	VYDAJ	VYBER	15	23258	SLUZBY	\N	\N
273630	937	1996-06-30	VYDAJ	VYBER	15	20517	SLUZBY	\N	\N
273631	937	1996-07-31	VYDAJ	VYBER	15	22638	SLUZBY	\N	\N
273632	937	1996-08-31	VYDAJ	VYBER	15	21286	SLUZBY	\N	\N
273633	937	1996-09-30	VYDAJ	VYBER	15	24050	SLUZBY	\N	\N
273634	937	1996-10-31	VYDAJ	VYBER	15	25705	SLUZBY	\N	\N
273635	937	1996-11-30	VYDAJ	VYBER	15	27207	SLUZBY	\N	\N
273636	937	1996-12-31	VYDAJ	VYBER	15	29144	SLUZBY	\N	\N
273637	937	1997-01-31	VYDAJ	VYBER	15	21586	SLUZBY	\N	\N
273638	937	1997-02-28	VYDAJ	VYBER	15	24351	SLUZBY	\N	\N
273639	937	1997-03-31	VYDAJ	VYBER	15	24023	SLUZBY	\N	\N
273640	937	1997-04-30	VYDAJ	VYBER	15	23692	SLUZBY	\N	\N
273641	937	1997-05-31	VYDAJ	VYBER	15	21557	SLUZBY	\N	\N
273642	937	1997-06-30	VYDAJ	VYBER	15	16715	SLUZBY	\N	\N
273643	937	1997-07-31	VYDAJ	VYBER	15	17756	SLUZBY	\N	\N
273644	937	1997-08-31	VYDAJ	VYBER	15	18663	SLUZBY	\N	\N
273645	937	1997-09-30	VYDAJ	VYBER	15	19734	SLUZBY	\N	\N
273646	937	1997-10-31	VYDAJ	VYBER	15	22492	SLUZBY	\N	\N
273647	937	1997-11-30	VYDAJ	VYBER	15	24760	SLUZBY	\N	\N
273648	937	1997-12-31	VYDAJ	VYBER	15	27288	SLUZBY	\N	\N
273649	937	1998-01-31	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
273650	937	1998-02-28	VYDAJ	VYBER	15	22135	SLUZBY	\N	\N
273651	937	1998-03-31	VYDAJ	VYBER	15	22097	SLUZBY	\N	\N
273652	937	1998-04-30	VYDAJ	VYBER	15	24864	SLUZBY	\N	\N
273653	937	1998-05-31	VYDAJ	VYBER	15	26842	SLUZBY	\N	\N
273654	937	1998-06-30	VYDAJ	VYBER	15	21999	SLUZBY	\N	\N
273655	937	1998-07-31	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
273656	937	1998-08-31	VYDAJ	VYBER	15	23701	SLUZBY	\N	\N
273657	937	1998-09-30	VYDAJ	VYBER	15	23671	SLUZBY	\N	\N
273658	937	1998-10-31	VYDAJ	VYBER	15	26247	SLUZBY	\N	\N
273659	937	1998-11-30	VYDAJ	VYBER	15	29031	SLUZBY	\N	\N
273660	937	1996-08-20	VYDAJ	VYBER	200	25122	\N	\N	\N
273661	937	1997-03-18	VYDAJ	VYBER	3100	23935	\N	\N	\N
273662	937	1997-04-17	VYDAJ	VYBER	1100	23607	\N	\N	\N
273663	937	1997-05-17	VYDAJ	VYBER	4900	21476	\N	\N	\N
273664	937	1997-06-16	VYDAJ	VYBER	900	23341	\N	\N	\N
273665	937	1997-07-16	VYDAJ	VYBER	1700	17699	\N	\N	\N
273666	937	1997-11-13	VYDAJ	VYBER	500	26427	\N	\N	\N
273667	937	1998-05-12	VYDAJ	VYBER	800	28499	\N	\N	\N
273668	937	1998-10-09	VYDAJ	VYBER	200	23471	\N	\N	\N
273705	938	1997-12-13	PRIJEM	VKLAD	700	700	\N	\N	\N
273718	938	1998-01-13	PRIJEM	VKLAD	4923	18223	\N	\N	\N
273719	938	1998-02-13	PRIJEM	VKLAD	4923	24793	\N	\N	\N
273720	938	1998-03-13	PRIJEM	VKLAD	4923	29807	\N	\N	\N
273721	938	1998-04-13	PRIJEM	VKLAD	4923	30735	\N	\N	\N
273722	938	1998-05-13	PRIJEM	VKLAD	4923	31278	\N	\N	\N
273723	938	1998-06-13	PRIJEM	VKLAD	7385	37424	\N	\N	\N
273724	938	1998-07-13	PRIJEM	VKLAD	4923	37225	\N	\N	\N
273725	938	1998-08-13	PRIJEM	VKLAD	4923	35335	\N	\N	\N
273726	938	1998-09-13	PRIJEM	VKLAD	4923	32453	\N	\N	\N
273727	938	1998-10-13	PRIJEM	VKLAD	4923	36341	\N	\N	\N
273728	938	1998-11-13	PRIJEM	VKLAD	4923	35442	\N	\N	\N
273729	938	1998-12-13	PRIJEM	VKLAD	7385	36305	\N	\N	\N
273747	938	1998-06-09	VYDAJ	PREVOD NA UCET	3282	28111	SIPO	AB	33329439
273748	938	1998-07-09	VYDAJ	PREVOD NA UCET	3282	34273	SIPO	AB	33329439
273749	938	1998-08-09	VYDAJ	PREVOD NA UCET	3282	34083	SIPO	AB	33329439
273750	938	1998-09-09	VYDAJ	PREVOD NA UCET	3282	27901	SIPO	AB	33329439
273751	938	1998-10-09	VYDAJ	PREVOD NA UCET	3282	31789	SIPO	AB	33329439
273752	938	1998-11-09	VYDAJ	PREVOD NA UCET	3282	30890	SIPO	AB	33329439
273753	938	1998-12-09	VYDAJ	PREVOD NA UCET	3282	31091	SIPO	AB	33329439
273771	938	1998-06-12	VYDAJ	PREVOD NA UCET	371	30040	UVER	GH	56959378
273772	938	1998-07-12	VYDAJ	PREVOD NA UCET	371	32302	UVER	GH	56959378
273773	938	1998-08-12	VYDAJ	PREVOD NA UCET	371	30412	UVER	GH	56959378
273774	938	1998-09-12	VYDAJ	PREVOD NA UCET	371	27530	UVER	GH	56959378
273775	938	1998-10-12	VYDAJ	PREVOD NA UCET	371	31418	UVER	GH	56959378
273776	938	1998-11-12	VYDAJ	PREVOD NA UCET	371	30519	UVER	GH	56959378
273777	938	1998-12-12	VYDAJ	PREVOD NA UCET	371	28920	UVER	GH	56959378
273781	938	1998-12-02	VYDAJ	VYBER	1600	33973	\N	\N	\N
273802	938	1998-12-23	VYDAJ	VYBER	5640	29585	\N	\N	\N
273803	938	1998-12-12	VYDAJ	VYBER	1800	29291	\N	\N	\N
273804	938	1998-08-23	VYDAJ	VYBER	4080	31255	\N	\N	\N
273805	938	1998-12-19	VYDAJ	VYBER	1080	35225	\N	\N	\N
273823	938	1998-05-31	VYDAJ	VYBER	15	31393	SLUZBY	\N	\N
273824	938	1998-06-30	VYDAJ	VYBER	15	37555	SLUZBY	\N	\N
273825	938	1998-07-31	VYDAJ	VYBER	15	37365	SLUZBY	\N	\N
273826	938	1998-08-31	VYDAJ	VYBER	15	31383	SLUZBY	\N	\N
273827	938	1998-09-30	VYDAJ	VYBER	15	32571	SLUZBY	\N	\N
273828	938	1998-10-31	VYDAJ	VYBER	15	36472	SLUZBY	\N	\N
273829	938	1998-11-30	VYDAJ	VYBER	15	35573	SLUZBY	\N	\N
273830	938	1998-01-12	PRIJEM	VKLAD	12600	13300	\N	\N	\N
273831	938	1998-02-11	PRIJEM	VKLAD	1600	19870	\N	\N	\N
273832	938	1998-03-13	VYDAJ	VYBER	4300	25507	\N	\N	\N
273833	938	1998-04-12	PRIJEM	VKLAD	200	25812	\N	\N	\N
273834	938	1998-05-12	VYDAJ	VYBER	4500	26355	\N	\N	\N
273835	938	1998-06-11	PRIJEM	VKLAD	2300	30411	\N	\N	\N
273836	938	1998-07-11	VYDAJ	VYBER	1600	32673	\N	\N	\N
273837	938	1998-08-10	VYDAJ	VYBER	3300	30783	\N	\N	\N
273838	938	1998-09-09	VYDAJ	VYBER	200	31183	\N	\N	\N
273839	938	1998-10-09	PRIJEM	VKLAD	2500	35071	\N	\N	\N
273840	938	1998-11-08	VYDAJ	VYBER	2300	34172	\N	\N	\N
273841	938	1998-12-08	PRIJEM	VKLAD	400	34373	\N	\N	\N
273854	939	1994-10-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
273864	939	1994-10-05	PRIJEM	PREVOD Z UCTU	3163	4263	\N	OP	95001059
273865	939	1994-11-05	PRIJEM	PREVOD Z UCTU	3163	7442	\N	OP	95001059
273866	939	1994-12-05	PRIJEM	PREVOD Z UCTU	3163	10622	\N	OP	95001059
273867	939	1995-01-05	PRIJEM	PREVOD Z UCTU	3163	13803	\N	OP	95001059
273868	939	1995-02-05	PRIJEM	PREVOD Z UCTU	3163	16984	\N	OP	95001059
273869	939	1995-03-05	PRIJEM	PREVOD Z UCTU	3163	18070	\N	OP	95001059
273870	939	1995-04-05	PRIJEM	PREVOD Z UCTU	3163	19176	\N	OP	95001059
273871	939	1995-05-05	PRIJEM	PREVOD Z UCTU	3163	20286	\N	OP	95001059
273872	939	1995-06-05	PRIJEM	PREVOD Z UCTU	3163	21401	\N	OP	95001059
273873	939	1995-07-05	PRIJEM	PREVOD Z UCTU	3163	19604	\N	OP	95001059
273874	939	1995-08-05	PRIJEM	PREVOD Z UCTU	3163	20716	\N	OP	95001059
273875	939	1995-09-05	PRIJEM	PREVOD Z UCTU	3163	21472	\N	OP	95001059
273876	939	1995-10-05	PRIJEM	PREVOD Z UCTU	3163	22592	\N	OP	95001059
273877	939	1995-11-05	PRIJEM	PREVOD Z UCTU	3163	23057	\N	OP	95001059
273878	939	1995-12-05	PRIJEM	PREVOD Z UCTU	3163	21784	\N	OP	95001059
273879	939	1996-01-05	PRIJEM	PREVOD Z UCTU	3163	22274	\N	OP	95001059
273880	939	1996-02-05	PRIJEM	PREVOD Z UCTU	3163	20002	\N	OP	95001059
273881	939	1996-03-05	PRIJEM	PREVOD Z UCTU	3163	20815	\N	OP	95001059
273882	939	1996-04-05	PRIJEM	PREVOD Z UCTU	3163	21932	\N	OP	95001059
273883	939	1996-05-05	PRIJEM	PREVOD Z UCTU	3163	23053	\N	OP	95001059
273884	939	1996-06-05	PRIJEM	PREVOD Z UCTU	3163	24179	\N	OP	95001059
273885	939	1996-07-05	PRIJEM	PREVOD Z UCTU	3163	22187	\N	OP	95001059
273886	939	1996-08-05	PRIJEM	PREVOD Z UCTU	3163	22679	\N	OP	95001059
273887	939	1996-09-05	PRIJEM	PREVOD Z UCTU	3163	22337	\N	OP	95001059
273888	939	1996-10-05	PRIJEM	PREVOD Z UCTU	3163	22950	\N	OP	95001059
273889	939	1996-11-05	PRIJEM	PREVOD Z UCTU	3163	22784	\N	OP	95001059
273890	939	1996-12-05	PRIJEM	PREVOD Z UCTU	3163	23909	\N	OP	95001059
273891	939	1997-01-05	PRIJEM	PREVOD Z UCTU	3163	24828	\N	OP	95001059
273892	939	1997-02-05	PRIJEM	PREVOD Z UCTU	3163	19867	\N	OP	95001059
273893	939	1997-03-05	PRIJEM	PREVOD Z UCTU	3163	20979	\N	OP	95001059
273894	939	1997-04-05	PRIJEM	PREVOD Z UCTU	3163	22097	\N	OP	95001059
273895	939	1997-05-05	PRIJEM	PREVOD Z UCTU	3163	23218	\N	OP	95001059
273896	939	1997-06-05	PRIJEM	PREVOD Z UCTU	3163	24345	\N	OP	95001059
273897	939	1997-07-05	PRIJEM	PREVOD Z UCTU	3163	17955	\N	OP	95001059
273898	939	1997-08-05	PRIJEM	PREVOD Z UCTU	3163	19059	\N	OP	95001059
273899	939	1997-09-05	PRIJEM	PREVOD Z UCTU	3163	20168	\N	OP	95001059
273900	939	1997-10-05	PRIJEM	PREVOD Z UCTU	3163	20172	\N	OP	95001059
273901	939	1997-11-05	PRIJEM	PREVOD Z UCTU	3163	21285	\N	OP	95001059
273902	939	1997-12-05	PRIJEM	PREVOD Z UCTU	3163	22403	\N	OP	95001059
273903	939	1998-01-05	PRIJEM	PREVOD Z UCTU	3163	22204	\N	OP	95001059
273904	939	1998-02-05	PRIJEM	PREVOD Z UCTU	3163	18459	\N	OP	95001059
273905	939	1998-03-05	PRIJEM	PREVOD Z UCTU	3163	19565	\N	OP	95001059
273906	939	1998-04-05	PRIJEM	PREVOD Z UCTU	3163	20676	\N	OP	95001059
273907	939	1998-05-05	PRIJEM	PREVOD Z UCTU	3163	21131	\N	OP	95001059
273908	939	1998-06-05	PRIJEM	PREVOD Z UCTU	3163	19460	\N	OP	95001059
273909	939	1998-07-05	PRIJEM	PREVOD Z UCTU	3163	20574	\N	OP	95001059
273910	939	1998-08-05	PRIJEM	PREVOD Z UCTU	3163	21178	\N	OP	95001059
273911	939	1998-09-05	PRIJEM	PREVOD Z UCTU	3163	21364	\N	OP	95001059
273912	939	1998-10-05	PRIJEM	PREVOD Z UCTU	3163	22482	\N	OP	95001059
273913	939	1998-11-05	PRIJEM	PREVOD Z UCTU	3163	22522	\N	OP	95001059
273914	939	1998-12-05	PRIJEM	PREVOD Z UCTU	3163	23645	\N	OP	95001059
273928	939	1995-02-11	VYDAJ	PREVOD NA UCET	2108	14876	\N	QR	68136739
273929	939	1995-03-11	VYDAJ	PREVOD NA UCET	2108	15962	\N	QR	68136739
273930	939	1995-04-11	VYDAJ	PREVOD NA UCET	2108	17068	\N	QR	68136739
273931	939	1995-05-11	VYDAJ	PREVOD NA UCET	2108	18178	\N	QR	68136739
273932	939	1995-06-11	VYDAJ	PREVOD NA UCET	2108	19293	\N	QR	68136739
273933	939	1995-07-11	VYDAJ	PREVOD NA UCET	2108	17496	\N	QR	68136739
273934	939	1995-08-11	VYDAJ	PREVOD NA UCET	2108	18608	\N	QR	68136739
273935	939	1995-09-11	VYDAJ	PREVOD NA UCET	2108	19364	\N	QR	68136739
273936	939	1995-10-11	VYDAJ	PREVOD NA UCET	2108	20094	\N	QR	68136739
273937	939	1995-11-11	VYDAJ	PREVOD NA UCET	2108	20949	\N	QR	68136739
273938	939	1995-12-11	VYDAJ	PREVOD NA UCET	2108	19676	\N	QR	68136739
273939	939	1996-01-11	VYDAJ	PREVOD NA UCET	2108	19836	\N	QR	68136739
273940	939	1996-02-11	VYDAJ	PREVOD NA UCET	2108	17894	\N	QR	68136739
273941	939	1996-03-11	VYDAJ	PREVOD NA UCET	2108	18707	\N	QR	68136739
273942	939	1996-04-11	VYDAJ	PREVOD NA UCET	2108	19824	\N	QR	68136739
273943	939	1996-05-11	VYDAJ	PREVOD NA UCET	2108	20945	\N	QR	68136739
273944	939	1996-06-11	VYDAJ	PREVOD NA UCET	2108	21591	\N	QR	68136739
273945	939	1996-07-11	VYDAJ	PREVOD NA UCET	2108	20079	\N	QR	68136739
273946	939	1996-08-11	VYDAJ	PREVOD NA UCET	2108	20571	\N	QR	68136739
273947	939	1996-09-11	VYDAJ	PREVOD NA UCET	2108	20229	\N	QR	68136739
273948	939	1996-10-11	VYDAJ	PREVOD NA UCET	2108	19552	\N	QR	68136739
273949	939	1996-11-11	VYDAJ	PREVOD NA UCET	2108	20676	\N	QR	68136739
273950	939	1996-12-11	VYDAJ	PREVOD NA UCET	2108	21801	\N	QR	68136739
273951	939	1997-01-11	VYDAJ	PREVOD NA UCET	2108	21580	\N	QR	68136739
273952	939	1997-02-11	VYDAJ	PREVOD NA UCET	2108	17759	\N	QR	68136739
273953	939	1997-03-11	VYDAJ	PREVOD NA UCET	2108	18871	\N	QR	68136739
273954	939	1997-04-11	VYDAJ	PREVOD NA UCET	2108	19989	\N	QR	68136739
273955	939	1997-05-11	VYDAJ	PREVOD NA UCET	2108	21110	\N	QR	68136739
273956	939	1997-06-11	VYDAJ	PREVOD NA UCET	2108	14947	\N	QR	68136739
273957	939	1997-07-11	VYDAJ	PREVOD NA UCET	2108	15847	\N	QR	68136739
273958	939	1997-08-11	VYDAJ	PREVOD NA UCET	2108	16951	\N	QR	68136739
273959	939	1997-09-11	VYDAJ	PREVOD NA UCET	2108	18060	\N	QR	68136739
273960	939	1997-10-11	VYDAJ	PREVOD NA UCET	2108	18064	\N	QR	68136739
273961	939	1997-11-11	VYDAJ	PREVOD NA UCET	2108	19177	\N	QR	68136739
273962	939	1997-12-11	VYDAJ	PREVOD NA UCET	2108	19335	\N	QR	68136739
273963	939	1998-01-11	VYDAJ	PREVOD NA UCET	2108	18176	\N	QR	68136739
273964	939	1998-02-11	VYDAJ	PREVOD NA UCET	2108	16351	\N	QR	68136739
273965	939	1998-03-11	VYDAJ	PREVOD NA UCET	2108	17457	\N	QR	68136739
273966	939	1998-04-11	VYDAJ	PREVOD NA UCET	2108	18568	\N	QR	68136739
273967	939	1998-05-11	VYDAJ	PREVOD NA UCET	2108	19023	\N	QR	68136739
273968	939	1998-06-11	VYDAJ	PREVOD NA UCET	2108	17352	\N	QR	68136739
273969	939	1998-07-11	VYDAJ	PREVOD NA UCET	2108	17956	\N	QR	68136739
273970	939	1998-08-11	VYDAJ	PREVOD NA UCET	2108	18140	\N	QR	68136739
273971	939	1998-09-11	VYDAJ	PREVOD NA UCET	2108	19256	\N	QR	68136739
273972	939	1998-10-11	VYDAJ	PREVOD NA UCET	2108	20374	\N	QR	68136739
273973	939	1998-11-11	VYDAJ	PREVOD NA UCET	2108	20414	\N	QR	68136739
273974	939	1998-12-11	VYDAJ	PREVOD NA UCET	2108	21087	\N	QR	68136739
273976	939	1995-06-17	VYDAJ	VYBER	2910	16383	\N	\N	\N
273977	939	1996-06-26	VYDAJ	VYBER	2640	18951	\N	\N	\N
273978	939	1997-06-10	VYDAJ	VYBER	7290	17055	\N	\N	\N
273979	939	1998-06-01	VYDAJ	VYBER	1800	16297	\N	\N	\N
273982	939	1996-01-19	VYDAJ	VYBER	300	18636	\N	\N	\N
273983	939	1997-01-30	VYDAJ	VYBER	2820	16630	\N	\N	\N
273986	939	1995-12-14	VYDAJ	VYBER	630	19046	\N	\N	\N
273987	939	1996-12-20	VYDAJ	VYBER	210	21591	\N	\N	\N
273988	939	1997-12-23	VYDAJ	VYBER	360	18975	\N	\N	\N
273989	939	1998-12-07	VYDAJ	VYBER	450	23195	\N	\N	\N
274002	939	1996-01-26	VYDAJ	VYBER	240	16776	\N	\N	\N
274003	939	1996-01-12	VYDAJ	VYBER	150	19686	\N	\N	\N
274004	939	1996-01-17	VYDAJ	VYBER	750	18936	\N	\N	\N
274005	939	1996-01-21	VYDAJ	VYBER	750	17886	\N	\N	\N
274006	939	1996-01-07	VYDAJ	VYBER	330	21944	\N	\N	\N
274007	939	1996-01-23	VYDAJ	VYBER	870	17016	\N	\N	\N
274008	939	1997-01-22	VYDAJ	VYBER	480	20260	\N	\N	\N
274009	939	1997-01-28	VYDAJ	VYBER	570	19450	\N	\N	\N
274010	939	1997-01-22	VYDAJ	VYBER	450	20740	\N	\N	\N
274011	939	1997-01-25	VYDAJ	VYBER	240	20020	\N	\N	\N
274012	939	1997-01-15	VYDAJ	VYBER	390	21190	\N	\N	\N
274013	939	1997-01-06	VYDAJ	VYBER	510	24318	\N	\N	\N
274014	939	1998-01-24	VYDAJ	VYBER	840	15926	\N	\N	\N
274015	939	1998-01-07	VYDAJ	VYBER	690	21514	\N	\N	\N
274016	939	1998-01-11	VYDAJ	VYBER	780	17396	\N	\N	\N
274017	939	1998-01-21	VYDAJ	VYBER	420	16766	\N	\N	\N
274018	939	1998-01-07	VYDAJ	VYBER	660	20854	\N	\N	\N
274019	939	1998-01-25	VYDAJ	VYBER	690	15236	\N	\N	\N
274023	939	1995-11-28	VYDAJ	VYBER	1440	18549	\N	\N	\N
274024	939	1995-11-04	VYDAJ	VYBER	270	19894	\N	\N	\N
274025	939	1995-10-07	VYDAJ	VYBER	390	22202	\N	\N	\N
274026	939	1995-11-24	VYDAJ	VYBER	960	19989	\N	\N	\N
274027	939	1995-08-27	VYDAJ	VYBER	360	18248	\N	\N	\N
274028	939	1996-10-01	VYDAJ	VYBER	510	19787	\N	\N	\N
274029	939	1996-08-11	VYDAJ	VYBER	1470	19101	\N	\N	\N
274030	939	1996-02-19	VYDAJ	VYBER	300	17594	\N	\N	\N
274031	939	1996-06-11	VYDAJ	VYBER	480	23699	\N	\N	\N
274032	939	1996-10-05	VYDAJ	VYBER	1290	21660	\N	\N	\N
274033	939	1996-08-03	VYDAJ	VYBER	630	19516	\N	\N	\N
274034	939	1997-01-10	VYDAJ	VYBER	630	23688	\N	\N	\N
274035	939	1997-12-09	VYDAJ	VYBER	960	21443	\N	\N	\N
274036	939	1997-09-30	VYDAJ	VYBER	1110	17009	\N	\N	\N
274037	939	1997-06-24	VYDAJ	VYBER	210	14737	\N	\N	\N
274040	939	1998-01-17	VYDAJ	VYBER	210	17186	\N	\N	\N
274041	939	1998-05-23	VYDAJ	VYBER	990	18033	\N	\N	\N
274042	939	1998-01-11	VYDAJ	VYBER	570	20284	\N	\N	\N
274043	939	1998-08-08	VYDAJ	VYBER	930	20248	\N	\N	\N
274044	939	1998-10-19	VYDAJ	VYBER	1080	19294	\N	\N	\N
274045	939	1998-07-09	VYDAJ	VYBER	510	20064	\N	\N	\N
274046	939	1998-05-02	VYDAJ	VYBER	660	17968	\N	\N	\N
274061	939	1995-02-28	VYDAJ	VYBER	15	14907	SLUZBY	\N	\N
274062	939	1995-03-31	VYDAJ	VYBER	15	16013	SLUZBY	\N	\N
274063	939	1995-04-30	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
274064	939	1995-05-31	VYDAJ	VYBER	15	18238	SLUZBY	\N	\N
274065	939	1995-06-30	VYDAJ	VYBER	15	16441	SLUZBY	\N	\N
274066	939	1995-07-31	VYDAJ	VYBER	15	17553	SLUZBY	\N	\N
274067	939	1995-08-31	VYDAJ	VYBER	15	18309	SLUZBY	\N	\N
274068	939	1995-09-30	VYDAJ	VYBER	15	19429	SLUZBY	\N	\N
274069	939	1995-10-31	VYDAJ	VYBER	15	20164	SLUZBY	\N	\N
274070	939	1995-11-30	VYDAJ	VYBER	15	18621	SLUZBY	\N	\N
274071	939	1995-12-31	VYDAJ	VYBER	15	19111	SLUZBY	\N	\N
274072	939	1996-01-31	VYDAJ	VYBER	15	16839	SLUZBY	\N	\N
274073	939	1996-02-29	VYDAJ	VYBER	15	17652	SLUZBY	\N	\N
274074	939	1996-03-31	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
274075	939	1996-04-30	VYDAJ	VYBER	15	19890	SLUZBY	\N	\N
274076	939	1996-05-31	VYDAJ	VYBER	15	21016	SLUZBY	\N	\N
274077	939	1996-06-30	VYDAJ	VYBER	15	19024	SLUZBY	\N	\N
274078	939	1996-07-31	VYDAJ	VYBER	15	20146	SLUZBY	\N	\N
274079	939	1996-08-31	VYDAJ	VYBER	15	19174	SLUZBY	\N	\N
274080	939	1996-09-30	VYDAJ	VYBER	15	20297	SLUZBY	\N	\N
274081	939	1996-10-31	VYDAJ	VYBER	15	19621	SLUZBY	\N	\N
274082	939	1996-11-30	VYDAJ	VYBER	15	20746	SLUZBY	\N	\N
274083	939	1996-12-31	VYDAJ	VYBER	15	21665	SLUZBY	\N	\N
274084	939	1997-01-31	VYDAJ	VYBER	15	16704	SLUZBY	\N	\N
274085	939	1997-02-28	VYDAJ	VYBER	15	17816	SLUZBY	\N	\N
274086	939	1997-03-31	VYDAJ	VYBER	15	18934	SLUZBY	\N	\N
274087	939	1997-04-30	VYDAJ	VYBER	15	20055	SLUZBY	\N	\N
274088	939	1997-05-31	VYDAJ	VYBER	15	21182	SLUZBY	\N	\N
274089	939	1997-06-30	VYDAJ	VYBER	15	14792	SLUZBY	\N	\N
274090	939	1997-07-31	VYDAJ	VYBER	15	15896	SLUZBY	\N	\N
274091	939	1997-08-31	VYDAJ	VYBER	15	17005	SLUZBY	\N	\N
274092	939	1997-09-30	VYDAJ	VYBER	15	18119	SLUZBY	\N	\N
274093	939	1997-10-31	VYDAJ	VYBER	15	18122	SLUZBY	\N	\N
274094	939	1997-11-30	VYDAJ	VYBER	15	19240	SLUZBY	\N	\N
274095	939	1997-12-31	VYDAJ	VYBER	15	19041	SLUZBY	\N	\N
274096	939	1998-01-31	VYDAJ	VYBER	15	15296	SLUZBY	\N	\N
274097	939	1998-02-28	VYDAJ	VYBER	15	16402	SLUZBY	\N	\N
274098	939	1998-03-31	VYDAJ	VYBER	15	17513	SLUZBY	\N	\N
274099	939	1998-04-30	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
274100	939	1998-05-31	VYDAJ	VYBER	15	18097	SLUZBY	\N	\N
274101	939	1998-06-30	VYDAJ	VYBER	15	17411	SLUZBY	\N	\N
274102	939	1998-07-31	VYDAJ	VYBER	15	18015	SLUZBY	\N	\N
274103	939	1998-08-31	VYDAJ	VYBER	15	18201	SLUZBY	\N	\N
274104	939	1998-09-30	VYDAJ	VYBER	15	19319	SLUZBY	\N	\N
274105	939	1998-10-31	VYDAJ	VYBER	15	19359	SLUZBY	\N	\N
274106	939	1998-11-30	VYDAJ	VYBER	15	20482	SLUZBY	\N	\N
274158	940	1994-11-15	PRIJEM	VKLAD	300	300	\N	\N	\N
274170	940	1994-12-11	PRIJEM	PREVOD Z UCTU	56756	57056	\N	ST	99876164
274171	940	1995-01-11	PRIJEM	PREVOD Z UCTU	37837	78887	\N	ST	99876164
274172	940	1995-02-11	PRIJEM	PREVOD Z UCTU	37837	89820	\N	ST	99876164
274173	940	1995-03-11	PRIJEM	PREVOD Z UCTU	37837	94384	\N	ST	99876164
274174	940	1995-04-11	PRIJEM	PREVOD Z UCTU	37837	99267	\N	ST	99876164
274175	940	1995-05-11	PRIJEM	PREVOD Z UCTU	37837	67471	\N	ST	99876164
274176	940	1995-06-11	PRIJEM	PREVOD Z UCTU	56756	87289	\N	ST	99876164
274177	940	1995-07-11	PRIJEM	PREVOD Z UCTU	37837	80045	\N	ST	99876164
274178	940	1995-08-11	PRIJEM	PREVOD Z UCTU	37837	83825	\N	ST	99876164
274179	940	1995-09-11	PRIJEM	PREVOD Z UCTU	37837	97275	\N	ST	99876164
274180	940	1995-10-11	PRIJEM	PREVOD Z UCTU	37837	88948	\N	ST	99876164
274181	940	1995-11-11	PRIJEM	PREVOD Z UCTU	37837	91491	\N	ST	99876164
274182	940	1995-12-11	PRIJEM	PREVOD Z UCTU	56756	105636	\N	ST	99876164
274183	940	1996-01-11	PRIJEM	PREVOD Z UCTU	37837	91275	\N	ST	99876164
274184	940	1996-02-11	PRIJEM	PREVOD Z UCTU	37837	99245	\N	ST	99876164
274185	940	1996-03-11	PRIJEM	PREVOD Z UCTU	37837	109362	\N	ST	99876164
274186	940	1996-04-11	PRIJEM	PREVOD Z UCTU	37837	74831	\N	ST	99876164
274187	940	1996-05-11	PRIJEM	PREVOD Z UCTU	37837	99217	\N	ST	99876164
274188	940	1996-06-11	PRIJEM	PREVOD Z UCTU	56756	126427	\N	ST	99876164
274189	940	1996-07-11	PRIJEM	PREVOD Z UCTU	37837	89944	\N	ST	99876164
274190	940	1996-08-11	PRIJEM	PREVOD Z UCTU	37837	101169	\N	ST	99876164
274191	940	1996-09-11	PRIJEM	PREVOD Z UCTU	37837	86911	\N	ST	99876164
274192	940	1996-10-11	PRIJEM	PREVOD Z UCTU	37837	90751	\N	ST	99876164
274193	940	1996-11-11	PRIJEM	PREVOD Z UCTU	37837	80492	\N	ST	99876164
274194	940	1996-12-11	PRIJEM	PREVOD Z UCTU	56756	106085	\N	ST	99876164
274195	940	1997-01-11	PRIJEM	PREVOD Z UCTU	37837	117420	\N	ST	99876164
274196	940	1997-02-11	PRIJEM	PREVOD Z UCTU	37837	98167	\N	ST	99876164
274197	940	1997-03-11	PRIJEM	PREVOD Z UCTU	37837	101803	\N	ST	99876164
274198	940	1997-04-11	PRIJEM	PREVOD Z UCTU	37837	109631	\N	ST	99876164
274199	940	1997-05-11	PRIJEM	PREVOD Z UCTU	37837	118414	\N	ST	99876164
274200	940	1997-06-11	PRIJEM	PREVOD Z UCTU	56756	117147	\N	ST	99876164
274201	940	1997-07-11	PRIJEM	PREVOD Z UCTU	37837	75727	\N	ST	99876164
274202	940	1997-08-11	PRIJEM	PREVOD Z UCTU	37837	93037	\N	ST	99876164
274203	940	1997-09-11	PRIJEM	PREVOD Z UCTU	37837	108442	\N	ST	99876164
274204	940	1997-10-11	PRIJEM	PREVOD Z UCTU	37837	88959	\N	ST	99876164
274205	940	1997-11-11	PRIJEM	PREVOD Z UCTU	37837	103329	\N	ST	99876164
274206	940	1997-12-11	PRIJEM	PREVOD Z UCTU	56756	131384	\N	ST	99876164
274207	940	1998-01-11	PRIJEM	PREVOD Z UCTU	37837	79648	\N	ST	99876164
274208	940	1998-02-11	PRIJEM	PREVOD Z UCTU	37837	108221	\N	ST	99876164
274209	940	1998-03-11	PRIJEM	PREVOD Z UCTU	37837	119873	\N	ST	99876164
274210	940	1998-04-11	PRIJEM	PREVOD Z UCTU	37837	90228	\N	ST	99876164
274211	940	1998-05-11	PRIJEM	PREVOD Z UCTU	37837	108704	\N	ST	99876164
274212	940	1998-06-11	PRIJEM	PREVOD Z UCTU	56756	114279	\N	ST	99876164
274213	940	1998-07-11	PRIJEM	PREVOD Z UCTU	37837	95353	\N	ST	99876164
274214	940	1998-08-11	PRIJEM	PREVOD Z UCTU	37837	113949	\N	ST	99876164
274215	940	1998-09-11	PRIJEM	PREVOD Z UCTU	37837	83046	\N	ST	99876164
274216	940	1998-10-11	PRIJEM	PREVOD Z UCTU	37837	104714	\N	ST	99876164
274217	940	1998-11-11	PRIJEM	PREVOD Z UCTU	37837	115641	\N	ST	99876164
274218	940	1998-12-11	PRIJEM	PREVOD Z UCTU	56756	136560	\N	ST	99876164
274234	940	1995-04-25	VYDAJ	VYBER	4500	49207	\N	\N	0
274235	940	1995-05-08	VYDAJ	VYBER	6000	29634	\N	\N	0
274236	940	1995-06-02	VYDAJ	VYBER	4400	43457	\N	\N	0
274237	940	1995-07-06	VYDAJ	VYBER	5700	42208	\N	\N	0
274238	940	1995-08-13	VYDAJ	VYBER	4300	59225	\N	\N	0
274239	940	1995-09-19	VYDAJ	VYBER	4200	58875	\N	\N	0
274240	940	1995-10-07	VYDAJ	VYBER	3500	51111	\N	\N	0
274241	940	1995-11-21	VYDAJ	VYBER	4500	74391	\N	\N	0
274242	940	1995-12-03	VYDAJ	VYBER	5800	68880	\N	\N	0
274243	940	1996-01-14	VYDAJ	VYBER	3900	87375	\N	\N	0
274244	940	1996-02-08	VYDAJ	VYBER	5400	82308	\N	\N	0
274245	940	1996-03-21	VYDAJ	VYBER	4300	41748	\N	\N	0
274246	940	1996-04-04	VYDAJ	VYBER	4900	37094	\N	\N	0
274247	940	1996-05-12	VYDAJ	VYBER	4600	94617	\N	\N	0
274248	940	1996-06-12	VYDAJ	PREVOD NA UCET	4738	85489	UVER	OP	99014985
274249	940	1996-07-12	VYDAJ	PREVOD NA UCET	4738	85206	UVER	OP	99014985
274250	940	1996-08-12	VYDAJ	PREVOD NA UCET	4738	96431	UVER	OP	99014985
274251	940	1996-09-12	VYDAJ	PREVOD NA UCET	4738	82173	UVER	OP	99014985
274252	940	1996-10-12	VYDAJ	PREVOD NA UCET	4738	86013	UVER	OP	99014985
274253	940	1996-11-12	VYDAJ	PREVOD NA UCET	4738	75754	UVER	OP	99014985
274254	940	1996-12-12	VYDAJ	PREVOD NA UCET	4738	101347	UVER	OP	99014985
274255	940	1997-01-12	VYDAJ	PREVOD NA UCET	4738	88382	UVER	OP	99014985
274256	940	1997-02-12	VYDAJ	PREVOD NA UCET	4738	93429	UVER	OP	99014985
274257	940	1997-03-12	VYDAJ	PREVOD NA UCET	4738	97065	UVER	OP	99014985
274258	940	1997-04-12	VYDAJ	PREVOD NA UCET	4738	104893	UVER	OP	99014985
274259	940	1997-05-12	VYDAJ	PREVOD NA UCET	4738	67076	UVER	OP	99014985
274260	940	1997-06-12	VYDAJ	PREVOD NA UCET	4738	61809	UVER	OP	99014985
274261	940	1997-07-12	VYDAJ	PREVOD NA UCET	4738	70989	UVER	OP	99014985
274262	940	1997-08-12	VYDAJ	PREVOD NA UCET	4738	88299	UVER	OP	99014985
274263	940	1997-09-12	VYDAJ	PREVOD NA UCET	4738	48704	UVER	OP	99014985
274264	940	1997-10-12	VYDAJ	PREVOD NA UCET	4738	78821	UVER	OP	99014985
274265	940	1997-11-12	VYDAJ	PREVOD NA UCET	4738	98591	UVER	OP	99014985
274266	940	1997-12-12	VYDAJ	PREVOD NA UCET	4738	63446	UVER	OP	99014985
274267	940	1998-01-12	VYDAJ	PREVOD NA UCET	4738	74910	UVER	OP	99014985
274268	940	1998-02-12	VYDAJ	PREVOD NA UCET	4738	103483	UVER	OP	99014985
274269	940	1998-03-12	VYDAJ	PREVOD NA UCET	4738	60935	UVER	OP	99014985
274270	940	1998-04-12	VYDAJ	PREVOD NA UCET	4738	85490	UVER	OP	99014985
274271	940	1998-05-12	VYDAJ	PREVOD NA UCET	4738	103966	UVER	OP	99014985
274272	940	1998-06-12	VYDAJ	PREVOD NA UCET	4738	60641	UVER	OP	99014985
274273	940	1998-07-12	VYDAJ	PREVOD NA UCET	4738	90615	UVER	OP	99014985
274274	940	1998-08-12	VYDAJ	PREVOD NA UCET	4738	78411	UVER	OP	99014985
274275	940	1998-09-12	VYDAJ	PREVOD NA UCET	4738	78308	UVER	OP	99014985
274276	940	1998-10-12	VYDAJ	PREVOD NA UCET	4738	99976	UVER	OP	99014985
274277	940	1998-11-12	VYDAJ	PREVOD NA UCET	4738	110903	UVER	OP	99014985
274278	940	1998-12-12	VYDAJ	PREVOD NA UCET	4738	111122	UVER	OP	99014985
274283	940	1995-07-16	VYBER	VYBER	4857	52088	\N	\N	\N
274284	940	1995-04-18	VYBER	VYBER	14160	53707	\N	\N	\N
274285	940	1995-06-08	VYBER	VYBER	12924	30533	\N	\N	\N
274287	940	1996-10-25	VYBER	VYBER	21169	39843	\N	\N	\N
274288	940	1996-09-03	VYBER	VYBER	11479	44574	\N	\N	\N
274289	940	1996-06-21	VYBER	VYBER	17627	67862	\N	\N	\N
274290	940	1996-10-22	VYBER	VYBER	4639	61012	\N	\N	\N
274291	940	1996-10-18	VYBER	VYBER	20362	65651	\N	\N	\N
274292	940	1996-10-04	VYBER	VYBER	9902	56614	\N	\N	\N
274293	940	1996-07-26	VYBER	VYBER	8576	76630	\N	\N	\N
274294	940	1996-08-17	VYBER	VYBER	15466	70465	\N	\N	\N
274295	940	1996-10-28	VYBER	VYBER	5427	34416	\N	\N	\N
274296	940	1996-11-30	VYBER	VYBER	14133	48644	\N	\N	\N
274297	940	1996-03-15	VYBER	VYBER	6514	46048	\N	\N	\N
274298	940	1996-06-22	VYBER	VYBER	3670	64192	\N	\N	\N
274299	940	1996-07-07	VYBER	VYBER	6111	58407	\N	\N	\N
274300	940	1996-09-19	VYBER	VYBER	15917	66256	\N	\N	\N
274301	940	1997-07-04	VYBER	VYBER	15171	37890	\N	\N	\N
274302	940	1997-04-05	VYBER	VYBER	3440	71794	\N	\N	\N
274303	940	1998-08-20	VYBER	VYBER	23172	55239	\N	\N	\N
274304	940	1998-11-16	VYBER	VYBER	9749	101154	\N	\N	\N
274305	940	1998-03-28	VYBER	VYBER	19710	41225	\N	\N	\N
274310	940	1998-06-05	VYDAJ	VYBER	30600	57523	\N	\N	\N
274313	940	1996-01-06	VYDAJ	VYBER	15000	64038	\N	\N	\N
274314	940	1997-01-24	VYDAJ	VYBER	19800	68582	\N	\N	\N
274315	940	1998-01-08	VYDAJ	VYBER	19200	41811	\N	\N	\N
274317	940	1995-12-08	VYDAJ	VYBER	3300	65580	\N	\N	\N
274318	940	1996-12-30	VYDAJ	VYBER	1800	99547	\N	\N	\N
274319	940	1997-12-04	VYDAJ	VYBER	2400	74628	\N	\N	\N
274320	940	1998-12-23	VYDAJ	VYBER KARTOU	2400	108722	\N	\N	0
274324	940	1995-07-19	VYDAJ	VYBER	6300	45788	\N	\N	\N
274326	940	1995-05-07	VYDAJ	VYBER	13800	35634	\N	\N	\N
274327	940	1995-11-13	VYDAJ	VYBER	12600	78891	\N	\N	\N
274328	940	1995-09-30	VYDAJ	VYBER	4500	54625	\N	\N	\N
274329	940	1995-07-05	VYDAJ	VYBER	12300	47908	\N	\N	\N
274330	940	1996-08-15	VYDAJ	VYBER	10500	85931	\N	\N	\N
274331	940	1996-11-13	VYDAJ	VYBER	13200	62554	\N	\N	\N
274332	940	1996-08-23	VYDAJ	VYBER	14700	55765	\N	\N	\N
274333	940	1997-06-18	VYDAJ	VYBER	2400	59409	\N	\N	\N
274334	940	1997-04-02	VYDAJ	VYBER	6300	91134	\N	\N	\N
274335	940	1997-03-07	VYDAJ	VYBER	9600	63966	\N	\N	\N
274336	940	1997-07-15	VYDAJ	VYBER	14700	56289	\N	\N	\N
274337	940	1997-10-11	VYDAJ	VYBER	5400	83559	\N	\N	\N
274338	940	1998-09-08	VYDAJ	VYBER	12600	45209	\N	\N	\N
274339	940	1998-04-22	VYDAJ	VYBER	5400	80090	\N	\N	\N
274340	940	1998-06-23	VYDAJ	VYBER KARTOU	3000	57641	\N	\N	0
274341	940	1998-07-12	VYDAJ	VYBER KARTOU	1500	89115	\N	\N	0
274342	940	1998-06-24	VYDAJ	VYBER KARTOU	3300	54341	\N	\N	0
274359	940	1995-04-30	VYDAJ	VYBER	15	49434	SLUZBY	\N	\N
274360	940	1995-05-31	VYDAJ	VYBER	15	47857	SLUZBY	\N	\N
274361	940	1995-06-30	VYDAJ	VYBER	15	60208	SLUZBY	\N	\N
274362	940	1995-07-31	VYDAJ	VYBER	15	45988	SLUZBY	\N	\N
274363	940	1995-08-31	VYDAJ	VYBER	15	59438	SLUZBY	\N	\N
274364	940	1995-09-30	VYDAJ	VYBER	15	54611	SLUZBY	\N	\N
274365	940	1995-10-31	VYDAJ	VYBER	15	62654	SLUZBY	\N	\N
274366	940	1995-11-30	VYDAJ	VYBER	15	74680	SLUZBY	\N	\N
274367	940	1995-12-31	VYDAJ	VYBER	15	79038	SLUZBY	\N	\N
274368	940	1996-01-31	VYDAJ	VYBER	15	87708	SLUZBY	\N	\N
274369	940	1996-02-29	VYDAJ	VYBER	15	99625	SLUZBY	\N	\N
274370	940	1996-03-31	VYDAJ	VYBER	15	41994	SLUZBY	\N	\N
274371	940	1996-04-30	VYDAJ	VYBER	15	75080	SLUZBY	\N	\N
274372	940	1996-05-31	VYDAJ	VYBER	15	94971	SLUZBY	\N	\N
274373	940	1996-06-30	VYDAJ	VYBER	15	64518	SLUZBY	\N	\N
274374	940	1996-07-31	VYDAJ	VYBER	15	76932	SLUZBY	\N	\N
274375	940	1996-08-31	VYDAJ	VYBER	15	56053	SLUZBY	\N	\N
274376	940	1996-09-30	VYDAJ	VYBER	15	66516	SLUZBY	\N	\N
274377	940	1996-10-31	VYDAJ	VYBER	15	34655	SLUZBY	\N	\N
274378	940	1996-11-30	VYDAJ	VYBER	15	48629	SLUZBY	\N	\N
274379	940	1996-12-31	VYDAJ	VYBER	15	99883	SLUZBY	\N	\N
274380	940	1997-01-31	VYDAJ	VYBER	15	68930	SLUZBY	\N	\N
274381	940	1997-02-28	VYDAJ	VYBER	15	93766	SLUZBY	\N	\N
274382	940	1997-03-31	VYDAJ	VYBER	15	97434	SLUZBY	\N	\N
274383	940	1997-04-30	VYDAJ	VYBER	15	105277	SLUZBY	\N	\N
274384	940	1997-05-31	VYDAJ	VYBER	15	67391	SLUZBY	\N	\N
274385	940	1997-06-30	VYDAJ	VYBER	15	59661	SLUZBY	\N	\N
274386	940	1997-07-31	VYDAJ	VYBER	15	56500	SLUZBY	\N	\N
274387	940	1997-08-31	VYDAJ	VYBER	15	88605	SLUZBY	\N	\N
274388	940	1997-09-30	VYDAJ	VYBER	15	51122	SLUZBY	\N	\N
274389	940	1997-10-31	VYDAJ	VYBER	15	65492	SLUZBY	\N	\N
274390	940	1997-11-30	VYDAJ	VYBER	15	77028	SLUZBY	\N	\N
274391	940	1997-12-31	VYDAJ	VYBER	15	61011	SLUZBY	\N	\N
274392	940	1998-01-31	VYDAJ	VYBER	15	70384	SLUZBY	\N	\N
274393	940	1998-02-28	VYDAJ	VYBER	15	82036	SLUZBY	\N	\N
274394	940	1998-03-31	VYDAJ	VYBER	15	52391	SLUZBY	\N	\N
274395	940	1998-04-30	VYDAJ	VYBER	15	70867	SLUZBY	\N	\N
274396	940	1998-05-31	VYDAJ	VYBER	15	88123	SLUZBY	\N	\N
274397	940	1998-06-30	VYDAJ	VYBER	15	57516	SLUZBY	\N	\N
274398	940	1998-07-31	VYDAJ	VYBER	15	76112	SLUZBY	\N	\N
274399	940	1998-08-31	VYDAJ	VYBER	15	57809	SLUZBY	\N	\N
274400	940	1998-09-30	VYDAJ	VYBER	15	66877	SLUZBY	\N	\N
274401	940	1998-10-31	VYDAJ	VYBER	15	77804	SLUZBY	\N	\N
274402	940	1998-11-30	VYDAJ	VYBER	15	79804	SLUZBY	\N	\N
274403	940	1994-12-15	VYDAJ	VYBER	16100	40956	\N	\N	\N
274404	940	1995-01-14	VYDAJ	VYBER	27100	51787	\N	\N	\N
274405	940	1995-02-13	VYDAJ	VYBER	33500	56320	\N	\N	\N
274406	940	1995-03-15	VYDAJ	VYBER	33200	61184	\N	\N	\N
274407	940	1995-04-14	VYDAJ	VYBER	31400	67867	\N	\N	\N
274408	940	1995-05-14	VYDAJ	VYBER	19800	47671	\N	\N	\N
274409	940	1995-06-13	VYDAJ	VYBER	27300	59989	\N	\N	\N
274410	940	1995-07-13	VYDAJ	VYBER	23100	56945	\N	\N	\N
274411	940	1995-08-12	VYDAJ	VYBER	20300	63525	\N	\N	\N
274412	940	1995-09-11	VYDAJ	VYBER	34200	63075	\N	\N	\N
274413	940	1995-10-11	VYDAJ	VYBER	26600	62348	\N	\N	\N
274414	940	1995-11-10	VYDAJ	VYBER	9000	53654	\N	\N	\N
274415	940	1995-12-10	VYDAJ	VYBER	16700	48880	\N	\N	\N
274416	940	1995-12-11	VYDAJ	VYBER	26900	78736	\N	\N	\N
274417	940	1996-01-09	VYDAJ	VYBER	10600	53438	\N	\N	\N
274418	940	1996-02-08	VYDAJ	VYBER	20900	61408	\N	\N	\N
274419	940	1996-03-09	VYDAJ	VYBER	28100	71525	\N	\N	\N
274420	940	1996-03-11	VYDAJ	VYBER	56800	52562	\N	\N	\N
274421	940	1996-04-08	VYDAJ	VYBER	100	36994	\N	\N	\N
274422	940	1996-05-08	VYDAJ	VYBER	13700	61380	\N	\N	\N
274423	940	1996-06-07	VYDAJ	VYBER	25300	69671	\N	\N	\N
274424	940	1996-06-11	VYDAJ	VYBER	36200	90227	\N	\N	\N
274425	940	1996-07-07	VYDAJ	VYBER	6300	52107	\N	\N	\N
274426	940	1996-08-06	VYDAJ	VYBER	13600	63332	\N	\N	\N
274427	940	1996-09-05	PRIJEM	VKLAD	4500	49074	\N	\N	\N
274428	940	1996-10-05	VYDAJ	VYBER	3700	52914	\N	\N	\N
274429	940	1996-11-04	PRIJEM	VKLAD	8000	42655	\N	\N	\N
274430	940	1996-12-04	PRIJEM	VKLAD	700	49329	\N	\N	\N
274431	940	1997-01-03	VYDAJ	VYBER	20300	79583	\N	\N	\N
274432	940	1997-01-11	VYDAJ	VYBER	24300	93120	\N	\N	\N
274433	940	1997-02-02	VYDAJ	VYBER	8600	60330	\N	\N	\N
274434	940	1997-03-04	VYDAJ	VYBER	20200	73566	\N	\N	\N
274435	940	1997-04-03	VYDAJ	VYBER	15900	75234	\N	\N	\N
274436	940	1997-05-03	VYDAJ	VYBER	24700	80577	\N	\N	\N
274437	940	1997-05-11	VYDAJ	VYBER	46600	71814	\N	\N	\N
274438	940	1997-06-02	VYDAJ	VYBER	7000	60391	\N	\N	\N
274439	940	1997-06-11	VYDAJ	VYBER	50600	66547	\N	\N	\N
274440	940	1997-07-02	VYDAJ	VYBER	6600	53061	\N	\N	\N
274441	940	1997-08-01	VYDAJ	VYBER	1300	55200	\N	\N	\N
274442	940	1997-08-31	VYDAJ	VYBER	18000	70605	\N	\N	\N
274443	940	1997-09-11	VYDAJ	VYBER	55000	53442	\N	\N	\N
274444	940	1997-09-30	PRIJEM	VKLAD	2200	51136	\N	\N	\N
274445	940	1997-10-30	VYDAJ	VYBER	13600	65221	\N	\N	\N
274446	940	1997-11-29	VYDAJ	VYBER	21900	76691	\N	\N	\N
274447	940	1997-12-11	VYDAJ	VYBER	63200	68184	\N	\N	\N
274448	940	1997-12-29	VYDAJ	VYBER	2700	60746	\N	\N	\N
274449	940	1998-01-28	VYDAJ	VYBER	4800	70110	\N	\N	\N
274450	940	1998-02-27	VYDAJ	VYBER	21800	81683	\N	\N	\N
274451	940	1998-03-11	VYDAJ	VYBER	54200	65673	\N	\N	\N
274452	940	1998-03-29	PRIJEM	VKLAD	10900	52125	\N	\N	\N
274453	940	1998-04-28	VYDAJ	VYBER	9500	70590	\N	\N	\N
274454	940	1998-05-28	VYDAJ	VYBER	16200	87766	\N	\N	\N
274455	940	1998-06-11	VYDAJ	VYBER	48900	65379	\N	\N	\N
274456	940	1998-06-27	PRIJEM	VKLAD	2900	57241	\N	\N	\N
274457	940	1998-07-27	VYDAJ	VYBER	13300	75815	\N	\N	\N
274458	940	1998-08-11	VYDAJ	VYBER	30800	83149	\N	\N	\N
274459	940	1998-08-26	PRIJEM	VKLAD	2300	57539	\N	\N	\N
274460	940	1998-09-25	VYDAJ	VYBER	11700	66608	\N	\N	\N
274461	940	1998-10-25	VYDAJ	VYBER	22500	77476	\N	\N	\N
274462	940	1998-11-24	VYDAJ	VYBER	21700	79454	\N	\N	\N
274463	940	1998-12-11	VYDAJ	VYBER	20700	115860	\N	\N	\N
274513	941	1994-06-08	PRIJEM	VKLAD	200	200	\N	\N	\N
274519	941	1994-06-14	PRIJEM	VKLAD	8711	8911	\N	\N	\N
274520	941	1994-07-14	PRIJEM	VKLAD	5807	24539	\N	\N	\N
274521	941	1994-08-14	PRIJEM	VKLAD	5807	32921	\N	\N	\N
274522	941	1994-09-14	PRIJEM	VKLAD	5807	36650	\N	\N	\N
274523	941	1994-10-14	PRIJEM	VKLAD	5807	36903	\N	\N	\N
274524	941	1994-11-14	PRIJEM	VKLAD	5807	34778	\N	\N	\N
274525	941	1994-12-14	PRIJEM	VKLAD	8711	32809	\N	\N	\N
274526	941	1995-01-14	PRIJEM	VKLAD	5807	27145	\N	\N	\N
274527	941	1995-02-14	PRIJEM	VKLAD	5807	22217	\N	\N	\N
274528	941	1995-03-14	PRIJEM	VKLAD	5807	26315	\N	\N	\N
274529	941	1995-04-14	PRIJEM	VKLAD	5807	28338	\N	\N	\N
274530	941	1995-05-14	PRIJEM	VKLAD	5807	27274	\N	\N	\N
274531	941	1995-06-14	PRIJEM	VKLAD	8711	27913	\N	\N	\N
274532	941	1995-07-14	PRIJEM	VKLAD	5807	23304	\N	\N	\N
274533	941	1995-08-14	PRIJEM	VKLAD	5807	20588	\N	\N	\N
274534	941	1995-09-14	PRIJEM	VKLAD	5807	19207	\N	\N	\N
274535	941	1995-10-14	PRIJEM	VKLAD	5807	20306	\N	\N	\N
274536	941	1995-11-14	PRIJEM	VKLAD	5807	16649	\N	\N	\N
274537	941	1995-12-14	PRIJEM	VKLAD	8711	18442	\N	\N	\N
274538	941	1996-01-14	PRIJEM	VKLAD	5807	15536	\N	\N	\N
274539	941	1996-02-14	PRIJEM	VKLAD	5807	15639	\N	\N	\N
274540	941	1996-03-14	PRIJEM	VKLAD	5807	20722	\N	\N	\N
274541	941	1996-04-14	PRIJEM	VKLAD	5807	20505	\N	\N	\N
274542	941	1996-05-14	PRIJEM	VKLAD	5807	20407	\N	\N	\N
274543	941	1996-06-14	PRIJEM	VKLAD	8711	25713	\N	\N	\N
274544	941	1996-07-14	PRIJEM	VKLAD	5807	21923	\N	\N	\N
274545	941	1996-08-14	PRIJEM	VKLAD	5807	18629	\N	\N	\N
274546	941	1996-09-14	PRIJEM	VKLAD	5807	17381	\N	\N	\N
274547	941	1996-10-14	PRIJEM	VKLAD	5807	17770	\N	\N	\N
274548	941	1996-11-14	PRIJEM	VKLAD	5807	15758	\N	\N	\N
274549	941	1996-12-14	PRIJEM	VKLAD	8711	17941	\N	\N	\N
274550	941	1997-01-14	PRIJEM	VKLAD	5807	15423	\N	\N	\N
274551	941	1997-02-14	PRIJEM	VKLAD	5807	14481	\N	\N	\N
274552	941	1997-03-14	PRIJEM	VKLAD	5807	16458	\N	\N	\N
274553	941	1997-04-14	PRIJEM	VKLAD	5807	14740	\N	\N	\N
274554	941	1997-05-14	PRIJEM	VKLAD	5807	16719	\N	\N	\N
274555	941	1997-06-14	PRIJEM	VKLAD	8711	21609	\N	\N	\N
274556	941	1997-07-14	PRIJEM	VKLAD	5807	14199	\N	\N	\N
274557	941	1997-08-14	PRIJEM	VKLAD	5807	16175	\N	\N	\N
274558	941	1997-09-14	PRIJEM	VKLAD	5807	18159	\N	\N	\N
274559	941	1997-10-14	PRIJEM	VKLAD	5807	20152	\N	\N	\N
274560	941	1997-11-14	PRIJEM	VKLAD	5807	17946	\N	\N	\N
274561	941	1997-12-14	PRIJEM	VKLAD	8711	22841	\N	\N	\N
274562	941	1998-01-14	PRIJEM	VKLAD	5807	17002	\N	\N	\N
274563	941	1998-02-14	PRIJEM	VKLAD	5807	15631	\N	\N	\N
274564	941	1998-03-14	PRIJEM	VKLAD	5807	17612	\N	\N	\N
274565	941	1998-04-14	PRIJEM	VKLAD	5807	19602	\N	\N	\N
274566	941	1998-05-14	PRIJEM	VKLAD	5807	21600	\N	\N	\N
274567	941	1998-06-14	PRIJEM	VKLAD	8711	23268	\N	\N	\N
274568	941	1998-07-14	PRIJEM	VKLAD	5807	25276	\N	\N	\N
274569	941	1998-08-14	PRIJEM	VKLAD	5807	27297	\N	\N	\N
274570	941	1998-09-14	PRIJEM	VKLAD	5807	23925	\N	\N	\N
274571	941	1998-10-14	PRIJEM	VKLAD	5807	21381	\N	\N	\N
274572	941	1998-11-14	PRIJEM	VKLAD	5807	23392	\N	\N	\N
274573	941	1998-12-14	PRIJEM	VKLAD	8711	28309	\N	\N	\N
274584	941	1994-11-12	VYDAJ	PREVOD NA UCET	3871	28971	SIPO	GH	16961235
274585	941	1994-12-12	VYDAJ	PREVOD NA UCET	3871	24099	SIPO	GH	16961235
274586	941	1995-01-12	VYDAJ	PREVOD NA UCET	3871	21338	SIPO	GH	16961235
274587	941	1995-02-12	VYDAJ	PREVOD NA UCET	3871	16410	SIPO	GH	16961235
274588	941	1995-03-12	VYDAJ	PREVOD NA UCET	3871	20508	SIPO	GH	16961235
274589	941	1995-04-12	VYDAJ	PREVOD NA UCET	3871	22531	SIPO	GH	16961235
274590	941	1995-05-12	VYDAJ	PREVOD NA UCET	3871	21467	SIPO	GH	16961235
274591	941	1995-06-12	VYDAJ	PREVOD NA UCET	3871	19202	SIPO	GH	16961235
274592	941	1995-07-12	VYDAJ	PREVOD NA UCET	3871	17497	SIPO	GH	16961235
274593	941	1995-08-12	VYDAJ	PREVOD NA UCET	3871	14781	SIPO	GH	16961235
274594	941	1995-09-12	VYDAJ	PREVOD NA UCET	3871	13400	SIPO	GH	16961235
274595	941	1995-10-12	VYDAJ	PREVOD NA UCET	3871	14499	SIPO	GH	16961235
274596	941	1995-11-12	VYDAJ	PREVOD NA UCET	3871	10842	SIPO	GH	16961235
274597	941	1995-12-12	VYDAJ	PREVOD NA UCET	3871	9732	SIPO	GH	16961235
274598	941	1996-01-12	VYDAJ	PREVOD NA UCET	3871	9729	SIPO	GH	16961235
274599	941	1996-02-12	VYDAJ	PREVOD NA UCET	3871	9832	SIPO	GH	16961235
274600	941	1996-03-12	VYDAJ	PREVOD NA UCET	3871	14915	SIPO	GH	16961235
274601	941	1996-04-12	VYDAJ	PREVOD NA UCET	3871	14698	SIPO	GH	16961235
274602	941	1996-05-12	VYDAJ	PREVOD NA UCET	3871	14600	SIPO	GH	16961235
274603	941	1996-06-12	VYDAJ	PREVOD NA UCET	3871	17003	SIPO	GH	16961235
274604	941	1996-07-12	VYDAJ	PREVOD NA UCET	3871	16116	SIPO	GH	16961235
274605	941	1996-08-12	VYDAJ	PREVOD NA UCET	3871	12822	SIPO	GH	16961235
274606	941	1996-09-12	VYDAJ	PREVOD NA UCET	3871	11574	SIPO	GH	16961235
274607	941	1996-10-12	VYDAJ	PREVOD NA UCET	3871	11963	SIPO	GH	16961235
274608	941	1996-11-12	VYDAJ	PREVOD NA UCET	3871	9951	SIPO	GH	16961235
274609	941	1996-12-12	VYDAJ	PREVOD NA UCET	3871	9231	SIPO	GH	16961235
274610	941	1997-01-12	VYDAJ	PREVOD NA UCET	3871	9616	SIPO	GH	16961235
274611	941	1997-02-12	VYDAJ	PREVOD NA UCET	3871	8674	SIPO	GH	16961235
274612	941	1997-03-12	VYDAJ	PREVOD NA UCET	3871	10651	SIPO	GH	16961235
274613	941	1997-04-12	VYDAJ	PREVOD NA UCET	3871	8933	SIPO	GH	16961235
274614	941	1997-05-12	VYDAJ	PREVOD NA UCET	3871	10912	SIPO	GH	16961235
274615	941	1997-06-12	VYDAJ	PREVOD NA UCET	3871	12898	SIPO	GH	16961235
274616	941	1997-07-12	VYDAJ	PREVOD NA UCET	3871	8392	SIPO	GH	16961235
274617	941	1997-08-12	VYDAJ	PREVOD NA UCET	3871	10368	SIPO	GH	16961235
274618	941	1997-09-12	VYDAJ	PREVOD NA UCET	3871	12352	SIPO	GH	16961235
274619	941	1997-10-12	VYDAJ	PREVOD NA UCET	3871	14345	SIPO	GH	16961235
274620	941	1997-11-12	VYDAJ	PREVOD NA UCET	3871	12139	SIPO	GH	16961235
274621	941	1997-12-12	VYDAJ	PREVOD NA UCET	3871	14131	SIPO	GH	16961235
274622	941	1998-01-12	VYDAJ	PREVOD NA UCET	3871	11195	SIPO	GH	16961235
274623	941	1998-02-12	VYDAJ	PREVOD NA UCET	3871	9824	SIPO	GH	16961235
274624	941	1998-03-12	VYDAJ	PREVOD NA UCET	3871	11805	SIPO	GH	16961235
274625	941	1998-04-12	VYDAJ	PREVOD NA UCET	3871	13795	SIPO	GH	16961235
274626	941	1998-05-12	VYDAJ	PREVOD NA UCET	3871	15793	SIPO	GH	16961235
274627	941	1998-06-12	VYDAJ	PREVOD NA UCET	3871	14557	SIPO	GH	16961235
274628	941	1998-07-12	VYDAJ	PREVOD NA UCET	3871	19469	SIPO	GH	16961235
274629	941	1998-08-12	VYDAJ	PREVOD NA UCET	3871	21490	SIPO	GH	16961235
274630	941	1998-09-12	VYDAJ	PREVOD NA UCET	3871	18118	SIPO	GH	16961235
274631	941	1998-10-12	VYDAJ	PREVOD NA UCET	3871	15574	SIPO	GH	16961235
274632	941	1998-11-12	VYDAJ	PREVOD NA UCET	3871	17585	SIPO	GH	16961235
274633	941	1998-12-12	VYDAJ	PREVOD NA UCET	3871	19598	SIPO	GH	16961235
274640	941	1995-01-19	VYDAJ	VYBER	8000	16505	\N	\N	\N
274641	941	1996-01-05	VYDAJ	VYBER	3840	13600	\N	\N	\N
274644	941	1994-12-09	VYDAJ	VYBER	3840	27970	\N	\N	\N
274645	941	1995-12-03	VYDAJ	VYBER	1600	13603	\N	\N	\N
274647	941	1997-12-20	VYDAJ	VYBER	4000	18841	\N	\N	\N
274648	941	1998-12-19	VYDAJ	VYBER	800	27509	\N	\N	\N
274655	941	1995-01-07	VYDAJ	VYBER	3240	25209	\N	\N	\N
274656	941	1995-01-07	VYDAJ	VYBER	1680	28449	\N	\N	\N
274657	941	1995-01-16	VYDAJ	VYBER	2640	24505	\N	\N	\N
274660	941	1995-01-19	VYDAJ	VYBER	3000	13505	\N	\N	\N
274661	941	1996-01-30	VYDAJ	VYBER	2880	13656	\N	\N	\N
274664	941	1996-01-04	VYDAJ	VYBER	2160	17440	\N	\N	\N
274665	941	1996-01-15	VYDAJ	VYBER	600	14936	\N	\N	\N
274669	941	1997-01-20	VYDAJ	VYBER	720	14703	\N	\N	\N
274673	941	1998-01-02	VYDAJ	VYBER	2880	16026	\N	\N	\N
274675	941	1998-01-11	VYDAJ	VYBER	960	15066	\N	\N	\N
274676	941	1998-01-26	VYDAJ	VYBER	1080	15082	\N	\N	\N
274677	941	1998-01-22	VYDAJ	VYBER	840	16162	\N	\N	\N
274678	941	1998-01-29	VYDAJ	VYBER	1440	13642	\N	\N	\N
274681	941	1995-07-04	VYDAJ	VYBER	3120	21368	\N	\N	\N
274682	941	1995-06-25	VYDAJ	VYBER	4320	23593	\N	\N	\N
274684	941	1995-11-06	VYDAJ	VYBER	3240	15433	\N	\N	\N
274685	941	1995-07-16	VYDAJ	VYBER	4920	18384	\N	\N	\N
274686	941	1995-08-17	VYDAJ	VYBER	1680	18908	\N	\N	\N
274687	941	1995-11-09	VYDAJ	VYBER	720	14713	\N	\N	\N
274689	941	1996-08-25	VYDAJ	VYBER	2640	15989	\N	\N	\N
274690	941	1996-03-24	VYDAJ	VYBER	1320	19402	\N	\N	\N
274691	941	1996-07-29	VYDAJ	VYBER	4800	16623	\N	\N	\N
274692	941	1996-06-16	VYDAJ	VYBER	4200	21513	\N	\N	\N
274698	941	1997-10-21	VYDAJ	VYBER	4200	15952	\N	\N	\N
274699	941	1998-05-27	VYDAJ	VYBER	3240	18360	\N	\N	\N
274700	941	1998-08-29	VYDAJ	VYBER	5400	21897	\N	\N	\N
274701	941	1998-12-28	VYDAJ	VYBER	2040	25469	\N	\N	\N
274702	941	1998-10-02	VYDAJ	VYBER	4560	19445	\N	\N	\N
274714	941	1994-10-31	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
274715	941	1994-11-30	VYDAJ	VYBER	15	34910	SLUZBY	\N	\N
274716	941	1994-12-31	VYDAJ	VYBER	15	32929	SLUZBY	\N	\N
274717	941	1995-01-31	VYDAJ	VYBER	15	13581	SLUZBY	\N	\N
274718	941	1995-02-28	VYDAJ	VYBER	15	22279	SLUZBY	\N	\N
274719	941	1995-03-31	VYDAJ	VYBER	15	26402	SLUZBY	\N	\N
274720	941	1995-04-30	VYDAJ	VYBER	15	28438	SLUZBY	\N	\N
274721	941	1995-05-31	VYDAJ	VYBER	15	27373	SLUZBY	\N	\N
274722	941	1995-06-30	VYDAJ	VYBER	15	23688	SLUZBY	\N	\N
274723	941	1995-07-31	VYDAJ	VYBER	15	18452	SLUZBY	\N	\N
274724	941	1995-08-31	VYDAJ	VYBER	15	18971	SLUZBY	\N	\N
274725	941	1995-09-30	VYDAJ	VYBER	15	19270	SLUZBY	\N	\N
274726	941	1995-10-31	VYDAJ	VYBER	15	18673	SLUZBY	\N	\N
274727	941	1995-11-30	VYDAJ	VYBER	15	16703	SLUZBY	\N	\N
274728	941	1995-12-31	VYDAJ	VYBER	15	19600	SLUZBY	\N	\N
274729	941	1996-01-31	VYDAJ	VYBER	15	13703	SLUZBY	\N	\N
274730	941	1996-02-29	VYDAJ	VYBER	15	18786	SLUZBY	\N	\N
274731	941	1996-03-31	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
274732	941	1996-04-30	VYDAJ	VYBER	15	18471	SLUZBY	\N	\N
274733	941	1996-05-31	VYDAJ	VYBER	15	20874	SLUZBY	\N	\N
274734	941	1996-06-30	VYDAJ	VYBER	15	19987	SLUZBY	\N	\N
274735	941	1996-07-31	VYDAJ	VYBER	15	16693	SLUZBY	\N	\N
274736	941	1996-08-31	VYDAJ	VYBER	15	15445	SLUZBY	\N	\N
274737	941	1996-09-30	VYDAJ	VYBER	15	15834	SLUZBY	\N	\N
274738	941	1996-10-31	VYDAJ	VYBER	15	13822	SLUZBY	\N	\N
274739	941	1996-11-30	VYDAJ	VYBER	15	13102	SLUZBY	\N	\N
274740	941	1996-12-31	VYDAJ	VYBER	15	13487	SLUZBY	\N	\N
274741	941	1997-01-31	VYDAJ	VYBER	15	12545	SLUZBY	\N	\N
274742	941	1997-02-28	VYDAJ	VYBER	15	14522	SLUZBY	\N	\N
274743	941	1997-03-31	VYDAJ	VYBER	15	12804	SLUZBY	\N	\N
274744	941	1997-04-30	VYDAJ	VYBER	15	14783	SLUZBY	\N	\N
274745	941	1997-05-31	VYDAJ	VYBER	15	16769	SLUZBY	\N	\N
274746	941	1997-06-30	VYDAJ	VYBER	15	12263	SLUZBY	\N	\N
274747	941	1997-07-31	VYDAJ	VYBER	15	14239	SLUZBY	\N	\N
274748	941	1997-08-31	VYDAJ	VYBER	15	16223	SLUZBY	\N	\N
274749	941	1997-09-30	VYDAJ	VYBER	15	18216	SLUZBY	\N	\N
274750	941	1997-10-31	VYDAJ	VYBER	15	16010	SLUZBY	\N	\N
274751	941	1997-11-30	VYDAJ	VYBER	15	18002	SLUZBY	\N	\N
274752	941	1997-12-31	VYDAJ	VYBER	15	18906	SLUZBY	\N	\N
274753	941	1998-01-31	VYDAJ	VYBER	15	13695	SLUZBY	\N	\N
274754	941	1998-02-28	VYDAJ	VYBER	15	15676	SLUZBY	\N	\N
274755	941	1998-03-31	VYDAJ	VYBER	15	17666	SLUZBY	\N	\N
274756	941	1998-04-30	VYDAJ	VYBER	15	19664	SLUZBY	\N	\N
274757	941	1998-05-31	VYDAJ	VYBER	15	18428	SLUZBY	\N	\N
274758	941	1998-06-30	VYDAJ	VYBER	15	23340	SLUZBY	\N	\N
274759	941	1998-07-31	VYDAJ	VYBER	15	25361	SLUZBY	\N	\N
274760	941	1998-08-31	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
274761	941	1998-09-30	VYDAJ	VYBER	15	24005	SLUZBY	\N	\N
274762	941	1998-10-31	VYDAJ	VYBER	15	21456	SLUZBY	\N	\N
274763	941	1998-11-30	VYDAJ	VYBER	15	23469	SLUZBY	\N	\N
274764	941	1994-07-08	PRIJEM	VKLAD	9800	18732	\N	\N	\N
274765	941	1994-08-07	PRIJEM	VKLAD	2500	27114	\N	\N	\N
274766	941	1994-09-06	VYDAJ	VYBER	2200	30843	\N	\N	\N
274767	941	1994-10-06	VYDAJ	VYBER	5700	31096	\N	\N	\N
274768	941	1994-11-05	VYDAJ	VYBER	4200	32842	\N	\N	\N
274769	941	1994-12-05	VYDAJ	VYBER	3100	31810	\N	\N	\N
274770	941	1995-01-04	VYDAJ	VYBER	2800	30129	\N	\N	\N
274771	941	1995-02-03	PRIJEM	VKLAD	6700	20281	\N	\N	\N
274772	941	1995-03-05	PRIJEM	VKLAD	2100	24379	\N	\N	\N
274773	941	1995-05-04	VYDAJ	VYBER	3100	25338	\N	\N	\N
274774	941	1995-06-03	VYDAJ	VYBER	4300	23073	\N	\N	\N
274775	941	1995-07-03	PRIJEM	VKLAD	800	24488	\N	\N	\N
274776	941	1995-08-02	PRIJEM	VKLAD	200	18652	\N	\N	\N
274777	941	1995-09-01	VYDAJ	VYBER	1700	17271	\N	\N	\N
274778	941	1995-10-01	VYDAJ	VYBER	900	18370	\N	\N	\N
274779	941	1995-10-31	VYDAJ	VYBER	1700	18687	\N	\N	\N
274780	941	1995-11-30	VYDAJ	VYBER	1500	15203	\N	\N	\N
274781	941	1995-12-30	PRIJEM	VKLAD	1100	19542	\N	\N	\N
274782	941	1996-01-29	PRIJEM	VKLAD	1600	16536	\N	\N	\N
274783	941	1996-02-28	PRIJEM	VKLAD	3100	18739	\N	\N	\N
274784	941	1996-03-29	VYDAJ	VYBER	900	18502	\N	\N	\N
274785	941	1996-04-28	VYDAJ	VYBER	2100	18405	\N	\N	\N
274786	941	1996-05-28	PRIJEM	VKLAD	400	20807	\N	\N	\N
274787	941	1996-06-27	VYDAJ	VYBER	1600	19913	\N	\N	\N
274788	941	1996-07-27	VYDAJ	VYBER	500	21423	\N	\N	\N
274789	941	1996-08-26	VYDAJ	VYBER	600	15389	\N	\N	\N
274790	941	1996-09-25	VYDAJ	VYBER	1600	15781	\N	\N	\N
274791	941	1996-10-25	VYDAJ	VYBER	4000	13770	\N	\N	\N
274792	941	1996-11-24	VYDAJ	VYBER	2700	13058	\N	\N	\N
274793	941	1996-12-24	VYDAJ	VYBER	4500	13441	\N	\N	\N
274794	941	1997-01-23	VYDAJ	VYBER	2200	12503	\N	\N	\N
274795	941	1997-03-24	VYDAJ	VYBER	3700	12758	\N	\N	\N
274796	941	1997-06-22	VYDAJ	VYBER	9400	12209	\N	\N	\N
274852	942	1993-08-16	PRIJEM	VKLAD	800	800	\N	\N	\N
274855	942	1994-07-01	PRIJEM	VKLAD	8600	36842	\N	\N	\N
274856	942	1994-04-04	PRIJEM	VKLAD	25048	50013	\N	\N	\N
274857	942	1995-01-03	PRIJEM	VKLAD	3171	25259	\N	\N	\N
274858	942	1995-08-14	PRIJEM	VKLAD	29084	48962	\N	\N	\N
274859	942	1996-06-22	PRIJEM	VKLAD	35578	54493	\N	\N	\N
274860	942	1996-08-04	PRIJEM	VKLAD	45515	73275	\N	\N	\N
274861	942	1997-12-03	PRIJEM	VKLAD	10420	44084	\N	\N	\N
274862	942	1997-12-11	PRIJEM	VKLAD	37748	81832	\N	\N	\N
274863	942	1998-12-13	PRIJEM	VKLAD	36347	74561	\N	\N	\N
274864	942	1998-09-15	PRIJEM	VKLAD	29608	69363	\N	\N	\N
274873	942	1993-09-15	PRIJEM	VKLAD	800	11403	\N	\N	\N
274874	942	1993-10-17	PRIJEM	VKLAD	800	19231	\N	\N	\N
274875	942	1993-11-16	PRIJEM	VKLAD	800	23183	\N	\N	\N
274876	942	1993-12-17	PRIJEM	VKLAD	800	25159	\N	\N	\N
274877	942	1994-01-13	PRIJEM	VKLAD	800	21597	\N	\N	\N
274878	942	1994-02-14	PRIJEM	VKLAD	800	22214	\N	\N	\N
274879	942	1994-03-17	PRIJEM	VKLAD	800	24280	\N	\N	\N
274880	942	1994-04-16	PRIJEM	VKLAD	800	35513	\N	\N	\N
274881	942	1994-05-17	PRIJEM	VKLAD	800	29810	\N	\N	\N
274882	942	1994-06-17	PRIJEM	VKLAD	800	27534	\N	\N	\N
274883	942	1994-07-14	PRIJEM	VKLAD	800	30742	\N	\N	\N
274884	942	1994-08-16	PRIJEM	VKLAD	800	29653	\N	\N	\N
274885	942	1994-09-13	PRIJEM	VKLAD	800	26665	\N	\N	\N
274886	942	1994-10-15	PRIJEM	VKLAD	800	25416	\N	\N	\N
274887	942	1994-11-15	PRIJEM	VKLAD	800	26459	\N	\N	\N
274888	942	1994-12-14	PRIJEM	VKLAD	800	22853	\N	\N	\N
274889	942	1995-01-14	PRIJEM	VKLAD	800	19309	\N	\N	\N
274890	942	1995-02-16	PRIJEM	VKLAD	800	16468	\N	\N	\N
274891	942	1995-03-15	PRIJEM	VKLAD	800	17517	\N	\N	\N
274892	942	1995-04-14	PRIJEM	VKLAD	800	21275	\N	\N	\N
274893	942	1995-05-14	PRIJEM	VKLAD	800	23645	\N	\N	\N
274894	942	1995-06-13	PRIJEM	VKLAD	800	21827	\N	\N	\N
274895	942	1995-07-14	PRIJEM	VKLAD	800	20007	\N	\N	\N
274896	942	1995-08-16	PRIJEM	VKLAD	800	49762	\N	\N	\N
274897	942	1995-09-14	PRIJEM	VKLAD	800	38305	\N	\N	\N
274898	942	1995-10-17	PRIJEM	VKLAD	800	28773	\N	\N	\N
274899	942	1995-11-14	PRIJEM	VKLAD	800	26701	\N	\N	\N
274900	942	1995-12-17	PRIJEM	VKLAD	800	23901	\N	\N	\N
274901	942	1996-01-16	PRIJEM	VKLAD	800	14887	\N	\N	\N
274902	942	1996-02-14	PRIJEM	VKLAD	800	16086	\N	\N	\N
274903	942	1996-03-17	PRIJEM	VKLAD	800	18034	\N	\N	\N
274904	942	1996-04-14	PRIJEM	VKLAD	800	18294	\N	\N	\N
274905	942	1996-05-16	PRIJEM	VKLAD	800	16857	\N	\N	\N
274906	942	1996-06-13	PRIJEM	VKLAD	800	18315	\N	\N	\N
274907	942	1996-07-13	PRIJEM	VKLAD	800	35496	\N	\N	\N
274908	942	1996-08-14	PRIJEM	VKLAD	800	74075	\N	\N	\N
274909	942	1996-09-13	PRIJEM	VKLAD	800	44580	\N	\N	\N
274910	942	1996-10-13	PRIJEM	VKLAD	800	29844	\N	\N	\N
274911	942	1996-11-17	PRIJEM	VKLAD	800	24750	\N	\N	\N
274912	942	1996-12-17	PRIJEM	VKLAD	800	19234	\N	\N	\N
274913	942	1997-01-14	PRIJEM	VKLAD	800	16550	\N	\N	\N
274914	942	1997-02-13	PRIJEM	VKLAD	800	15951	\N	\N	\N
274915	942	1997-03-15	PRIJEM	VKLAD	800	15148	\N	\N	\N
274916	942	1997-04-16	PRIJEM	VKLAD	800	15444	\N	\N	\N
274917	942	1997-05-16	PRIJEM	VKLAD	800	16895	\N	\N	\N
274918	942	1997-06-17	PRIJEM	VKLAD	800	18148	\N	\N	\N
274919	942	1997-07-14	PRIJEM	VKLAD	800	18759	\N	\N	\N
274920	942	1997-08-14	PRIJEM	VKLAD	800	20823	\N	\N	\N
274921	942	1997-09-17	PRIJEM	VKLAD	800	24946	\N	\N	\N
274922	942	1997-10-16	PRIJEM	VKLAD	800	30039	\N	\N	\N
274923	942	1997-11-15	PRIJEM	VKLAD	800	32047	\N	\N	\N
274924	942	1997-12-15	PRIJEM	VKLAD	800	81332	\N	\N	\N
274925	942	1998-01-17	PRIJEM	VKLAD	800	50012	\N	\N	\N
274926	942	1998-02-13	PRIJEM	VKLAD	800	44104	\N	\N	\N
274927	942	1998-03-17	PRIJEM	VKLAD	800	41267	\N	\N	\N
274928	942	1998-04-13	PRIJEM	VKLAD	800	37116	\N	\N	\N
274929	942	1998-05-14	PRIJEM	VKLAD	800	35050	\N	\N	\N
274930	942	1998-06-14	PRIJEM	VKLAD	800	25082	\N	\N	\N
274931	942	1998-07-16	PRIJEM	VKLAD	800	31895	\N	\N	\N
274932	942	1998-08-13	PRIJEM	VKLAD	800	36815	\N	\N	\N
274933	942	1998-09-15	PRIJEM	VKLAD	800	39755	\N	\N	\N
274934	942	1998-10-14	PRIJEM	VKLAD	800	55441	\N	\N	\N
274935	942	1998-11-16	PRIJEM	VKLAD	800	47237	\N	\N	\N
274936	942	1998-12-13	PRIJEM	VKLAD	800	75361	\N	\N	\N
274944	942	1993-08-18	PRIJEM	VKLAD	600	1400	\N	\N	\N
274945	942	1993-09-18	PRIJEM	VKLAD	600	12003	\N	\N	\N
274946	942	1993-10-18	PRIJEM	VKLAD	600	19831	\N	\N	\N
274947	942	1993-11-18	PRIJEM	VKLAD	600	23783	\N	\N	\N
274948	942	1993-12-18	PRIJEM	VKLAD	600	25759	\N	\N	\N
274949	942	1994-01-18	PRIJEM	VKLAD	600	20947	\N	\N	\N
274950	942	1994-02-18	PRIJEM	VKLAD	600	22814	\N	\N	\N
274951	942	1994-03-18	PRIJEM	VKLAD	600	24880	\N	\N	\N
274952	942	1994-04-18	PRIJEM	VKLAD	600	36113	\N	\N	\N
274953	942	1994-05-18	PRIJEM	VKLAD	600	30410	\N	\N	\N
274954	942	1994-06-18	PRIJEM	VKLAD	600	28134	\N	\N	\N
274955	942	1994-07-18	PRIJEM	VKLAD	600	31342	\N	\N	\N
274956	942	1994-08-18	PRIJEM	VKLAD	600	30253	\N	\N	\N
274957	942	1994-09-18	PRIJEM	VKLAD	600	27265	\N	\N	\N
274958	942	1994-10-18	PRIJEM	VKLAD	600	26016	\N	\N	\N
274959	942	1994-11-18	PRIJEM	VKLAD	600	27059	\N	\N	\N
274960	942	1994-12-18	PRIJEM	VKLAD	600	23453	\N	\N	\N
274961	942	1995-01-18	PRIJEM	VKLAD	600	13709	\N	\N	\N
274962	942	1995-02-18	PRIJEM	VKLAD	600	17068	\N	\N	\N
274963	942	1995-03-18	PRIJEM	VKLAD	600	18117	\N	\N	\N
274964	942	1995-04-18	PRIJEM	VKLAD	600	21875	\N	\N	\N
274965	942	1995-05-18	PRIJEM	VKLAD	600	24245	\N	\N	\N
274966	942	1995-06-18	PRIJEM	VKLAD	600	22427	\N	\N	\N
274967	942	1995-07-18	PRIJEM	VKLAD	600	20607	\N	\N	\N
274968	942	1995-08-18	PRIJEM	VKLAD	600	50362	\N	\N	\N
274969	942	1995-09-18	PRIJEM	VKLAD	600	38905	\N	\N	\N
274970	942	1995-10-18	PRIJEM	VKLAD	600	29373	\N	\N	\N
274971	942	1995-11-18	PRIJEM	VKLAD	600	27301	\N	\N	\N
274972	942	1995-12-18	PRIJEM	VKLAD	600	24501	\N	\N	\N
274973	942	1996-01-18	PRIJEM	VKLAD	600	15487	\N	\N	\N
274974	942	1996-02-18	PRIJEM	VKLAD	600	16686	\N	\N	\N
274975	942	1996-03-18	PRIJEM	VKLAD	600	18634	\N	\N	\N
274976	942	1996-04-18	PRIJEM	VKLAD	600	18894	\N	\N	\N
274977	942	1996-05-18	PRIJEM	VKLAD	600	16457	\N	\N	\N
274978	942	1996-06-18	PRIJEM	VKLAD	600	18915	\N	\N	\N
274979	942	1996-07-18	PRIJEM	VKLAD	600	36096	\N	\N	\N
274980	942	1996-08-18	PRIJEM	VKLAD	600	74675	\N	\N	\N
274981	942	1996-09-18	PRIJEM	VKLAD	600	45180	\N	\N	\N
274982	942	1996-10-18	PRIJEM	VKLAD	600	30444	\N	\N	\N
274983	942	1996-11-18	PRIJEM	VKLAD	600	25350	\N	\N	\N
274984	942	1996-12-18	PRIJEM	VKLAD	600	19834	\N	\N	\N
274985	942	1997-01-18	PRIJEM	VKLAD	600	16150	\N	\N	\N
274986	942	1997-02-18	PRIJEM	VKLAD	600	16001	\N	\N	\N
274987	942	1997-03-18	PRIJEM	VKLAD	600	15748	\N	\N	\N
274988	942	1997-04-18	PRIJEM	VKLAD	600	16044	\N	\N	\N
274989	942	1997-05-18	PRIJEM	VKLAD	600	17495	\N	\N	\N
274990	942	1997-06-18	PRIJEM	VKLAD	600	18748	\N	\N	\N
274991	942	1997-07-18	PRIJEM	VKLAD	600	19359	\N	\N	\N
274992	942	1997-08-18	PRIJEM	VKLAD	600	21423	\N	\N	\N
274993	942	1997-09-18	PRIJEM	VKLAD	600	25546	\N	\N	\N
274994	942	1997-10-18	PRIJEM	VKLAD	600	30639	\N	\N	\N
274995	942	1997-11-18	PRIJEM	VKLAD	600	32647	\N	\N	\N
274996	942	1997-12-18	PRIJEM	VKLAD	600	81932	\N	\N	\N
274997	942	1998-01-18	PRIJEM	VKLAD	600	50612	\N	\N	\N
274998	942	1998-02-18	PRIJEM	VKLAD	600	44704	\N	\N	\N
274999	942	1998-03-18	PRIJEM	VKLAD	600	41867	\N	\N	\N
275000	942	1998-04-18	PRIJEM	VKLAD	600	37716	\N	\N	\N
275001	942	1998-05-18	PRIJEM	VKLAD	600	35650	\N	\N	\N
275002	942	1998-06-18	PRIJEM	VKLAD	600	25682	\N	\N	\N
275003	942	1998-07-18	PRIJEM	VKLAD	600	32495	\N	\N	\N
275004	942	1998-08-18	PRIJEM	VKLAD	600	37415	\N	\N	\N
275005	942	1998-09-18	PRIJEM	VKLAD	600	69963	\N	\N	\N
275006	942	1998-10-18	PRIJEM	VKLAD	600	56041	\N	\N	\N
275007	942	1998-11-18	PRIJEM	VKLAD	600	47837	\N	\N	\N
275008	942	1998-12-18	PRIJEM	VKLAD	600	73861	\N	\N	\N
275014	942	1998-06-10	VYDAJ	VYBER	10600	24282	\N	\N	\N
275016	942	1994-01-26	VYDAJ	VYBER	5200	15747	\N	\N	\N
275017	942	1995-01-16	VYDAJ	VYBER	4800	13109	\N	\N	\N
275018	942	1996-01-04	VYDAJ	VYBER	9300	14087	\N	\N	\N
275020	942	1998-01-13	VYDAJ	VYBER	2400	49212	\N	\N	\N
275028	942	1994-01-07	VYDAJ	VYBER	7900	14497	\N	\N	\N
275029	942	1995-01-11	VYDAJ	VYBER	1200	19209	\N	\N	\N
275032	942	1998-01-13	VYDAJ	VYBER	2200	51612	\N	\N	\N
275033	942	1993-12-25	VYDAJ	VYBER	500	25259	\N	\N	\N
275034	942	1994-12-19	VYDAJ	VYBER	900	22553	\N	\N	\N
275035	942	1995-12-24	VYDAJ	VYBER	2200	22301	\N	\N	\N
275036	942	1996-12-15	VYDAJ	VYBER	1600	18434	\N	\N	\N
275037	942	1997-12-14	VYDAJ	VYBER	1300	80532	\N	\N	\N
275038	942	1998-12-17	VYDAJ	VYBER	2100	73261	\N	\N	\N
275045	942	1994-01-06	VYDAJ	VYBER	1100	23797	\N	\N	\N
275046	942	1994-01-07	VYDAJ	VYBER	400	22397	\N	\N	\N
275047	942	1994-01-06	VYDAJ	VYBER	1000	22797	\N	\N	\N
275048	942	1994-01-14	VYDAJ	VYBER	350	21247	\N	\N	\N
275049	942	1994-01-14	VYDAJ	VYBER	900	20347	\N	\N	\N
275050	942	1994-01-01	VYDAJ	VYBER	450	24897	\N	\N	\N
275051	942	1995-01-14	VYDAJ	VYBER	1400	17909	\N	\N	\N
275052	942	1995-01-10	VYDAJ	VYBER	450	22909	\N	\N	\N
275053	942	1995-01-01	VYDAJ	VYBER	550	22088	\N	\N	\N
275054	942	1995-01-11	VYDAJ	VYBER	1300	20409	\N	\N	\N
275055	942	1995-01-13	VYDAJ	VYBER	700	18509	\N	\N	\N
275056	942	1995-01-10	VYDAJ	VYBER	1200	21709	\N	\N	\N
275059	942	1996-01-27	VYDAJ	VYBER	1300	13637	\N	\N	\N
275060	942	1996-01-25	VYDAJ	VYBER	550	14937	\N	\N	\N
275063	942	1997-01-20	VYDAJ	VYBER	550	15600	\N	\N	\N
275064	942	1997-01-15	VYDAJ	VYBER	1000	15550	\N	\N	\N
275066	942	1997-01-26	VYDAJ	VYBER	1000	14600	\N	\N	\N
275067	942	1997-01-06	VYDAJ	VYBER	1350	15750	\N	\N	\N
275069	942	1998-01-03	VYDAJ	VYBER	1450	56412	\N	\N	\N
275070	942	1998-01-23	VYDAJ	VYBER	700	43112	\N	\N	\N
275071	942	1998-01-06	VYDAJ	VYBER	400	56012	\N	\N	\N
275072	942	1998-01-09	VYDAJ	VYBER	850	55162	\N	\N	\N
275073	942	1998-01-02	VYDAJ	VYBER	350	57862	\N	\N	\N
275074	942	1998-01-09	VYDAJ	VYBER	1350	53812	\N	\N	\N
275079	942	1994-12-07	VYDAJ	VYBER	650	26503	\N	\N	\N
275080	942	1994-12-09	VYDAJ	VYBER	1650	22053	\N	\N	\N
275081	942	1994-08-06	VYDAJ	VYBER	300	31153	\N	\N	\N
275082	942	1994-09-02	VYDAJ	VYBER	1300	29065	\N	\N	\N
275083	942	1994-10-18	VYDAJ	VYBER	1250	24766	\N	\N	\N
275084	942	1994-04-23	VYDAJ	VYBER	350	35763	\N	\N	\N
275085	942	1994-04-04	VYDAJ	VYBER	500	49513	\N	\N	\N
275086	942	1994-10-10	VYDAJ	VYBER	1250	26116	\N	\N	\N
275087	942	1995-06-27	VYDAJ	VYBER	1400	21027	\N	\N	\N
275089	942	1995-11-23	VYDAJ	VYBER	1900	25401	\N	\N	\N
275090	942	1996-03-03	VYDAJ	VYBER	1150	19284	\N	\N	\N
275091	942	1996-03-08	VYDAJ	VYBER	2050	17234	\N	\N	\N
275092	942	1996-05-16	VYDAJ	VYBER	1000	15857	\N	\N	\N
275093	942	1997-09-12	VYDAJ	VYBER	1050	24146	\N	\N	\N
275094	942	1997-02-17	VYDAJ	VYBER	550	15401	\N	\N	\N
275095	942	1997-04-11	VYDAJ	VYBER	1350	14644	\N	\N	\N
275096	942	1997-12-19	VYDAJ	VYBER	1650	80282	\N	\N	\N
275097	942	1997-07-05	VYDAJ	VYBER	1950	19859	\N	\N	\N
275098	942	1997-07-05	VYDAJ	VYBER	1900	17959	\N	\N	\N
275100	942	1997-02-19	VYDAJ	VYBER	1000	15001	\N	\N	\N
275101	942	1998-05-29	VYDAJ	VYBER	1500	34750	\N	\N	\N
275102	942	1998-02-23	VYDAJ	VYBER	1600	41204	\N	\N	\N
275103	942	1998-05-01	VYDAJ	VYBER	1500	34250	\N	\N	\N
275104	942	1998-03-13	VYDAJ	VYBER	900	40467	\N	\N	\N
275105	942	1998-09-01	VYDAJ	VYBER	1500	38955	\N	\N	\N
275116	942	1993-10-31	VYDAJ	VYBER	15	19883	SLUZBY	\N	\N
275117	942	1993-11-30	VYDAJ	VYBER	15	23859	SLUZBY	\N	\N
275118	942	1993-12-31	VYDAJ	VYBER	15	25347	SLUZBY	\N	\N
275119	942	1994-01-31	VYDAJ	VYBER	15	15814	SLUZBY	\N	\N
275120	942	1994-02-28	VYDAJ	VYBER	15	22880	SLUZBY	\N	\N
275121	942	1994-03-31	VYDAJ	VYBER	15	24965	SLUZBY	\N	\N
275122	942	1994-04-30	VYDAJ	VYBER	15	35910	SLUZBY	\N	\N
275123	942	1994-05-31	VYDAJ	VYBER	15	30534	SLUZBY	\N	\N
275124	942	1994-06-30	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
275125	942	1994-07-31	VYDAJ	VYBER	15	31453	SLUZBY	\N	\N
275126	942	1994-08-31	VYDAJ	VYBER	15	30365	SLUZBY	\N	\N
275127	942	1994-09-30	VYDAJ	VYBER	15	27366	SLUZBY	\N	\N
275128	942	1994-10-31	VYDAJ	VYBER	15	24859	SLUZBY	\N	\N
275129	942	1994-11-30	VYDAJ	VYBER	15	27153	SLUZBY	\N	\N
275130	942	1994-12-31	VYDAJ	VYBER	15	22638	SLUZBY	\N	\N
275131	942	1995-01-31	VYDAJ	VYBER	15	13768	SLUZBY	\N	\N
275132	942	1995-02-28	VYDAJ	VYBER	15	17117	SLUZBY	\N	\N
275133	942	1995-03-31	VYDAJ	VYBER	15	18175	SLUZBY	\N	\N
275134	942	1995-04-30	VYDAJ	VYBER	15	21945	SLUZBY	\N	\N
275135	942	1995-05-31	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
275136	942	1995-06-30	VYDAJ	VYBER	15	21107	SLUZBY	\N	\N
275137	942	1995-07-31	VYDAJ	VYBER	15	20678	SLUZBY	\N	\N
275138	942	1995-08-31	VYDAJ	VYBER	15	50505	SLUZBY	\N	\N
275139	942	1995-09-30	VYDAJ	VYBER	15	39073	SLUZBY	\N	\N
275140	942	1995-10-31	VYDAJ	VYBER	15	29501	SLUZBY	\N	\N
275141	942	1995-11-30	VYDAJ	VYBER	15	25501	SLUZBY	\N	\N
275142	942	1995-12-31	VYDAJ	VYBER	15	22387	SLUZBY	\N	\N
275143	942	1996-01-31	VYDAJ	VYBER	15	13686	SLUZBY	\N	\N
275144	942	1996-02-29	VYDAJ	VYBER	15	16734	SLUZBY	\N	\N
275145	942	1996-03-31	VYDAJ	VYBER	15	18694	SLUZBY	\N	\N
275146	942	1996-04-30	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
275147	942	1996-05-31	VYDAJ	VYBER	15	16515	SLUZBY	\N	\N
275148	942	1996-06-30	VYDAJ	VYBER	15	54596	SLUZBY	\N	\N
275149	942	1996-07-31	VYDAJ	VYBER	15	27760	SLUZBY	\N	\N
275150	942	1996-08-31	VYDAJ	VYBER	15	43780	SLUZBY	\N	\N
275151	942	1996-09-30	VYDAJ	VYBER	15	29044	SLUZBY	\N	\N
275152	942	1996-10-31	VYDAJ	VYBER	15	23950	SLUZBY	\N	\N
275153	942	1996-11-30	VYDAJ	VYBER	15	20034	SLUZBY	\N	\N
275154	942	1996-12-31	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
275155	942	1997-01-31	VYDAJ	VYBER	15	15151	SLUZBY	\N	\N
275156	942	1997-02-28	VYDAJ	VYBER	15	14348	SLUZBY	\N	\N
275157	942	1997-03-31	VYDAJ	VYBER	15	15994	SLUZBY	\N	\N
275158	942	1997-04-30	VYDAJ	VYBER	15	16095	SLUZBY	\N	\N
275159	942	1997-05-31	VYDAJ	VYBER	15	17348	SLUZBY	\N	\N
275160	942	1997-06-30	VYDAJ	VYBER	15	21809	SLUZBY	\N	\N
275161	942	1997-07-31	VYDAJ	VYBER	15	20023	SLUZBY	\N	\N
275162	942	1997-08-31	VYDAJ	VYBER	15	25196	SLUZBY	\N	\N
275163	942	1997-09-30	VYDAJ	VYBER	15	29239	SLUZBY	\N	\N
275164	942	1997-10-31	VYDAJ	VYBER	15	31247	SLUZBY	\N	\N
275165	942	1997-11-30	VYDAJ	VYBER	15	33664	SLUZBY	\N	\N
275166	942	1997-12-31	VYDAJ	VYBER	15	58212	SLUZBY	\N	\N
275167	942	1998-01-31	VYDAJ	VYBER	15	43304	SLUZBY	\N	\N
275168	942	1998-02-28	VYDAJ	VYBER	15	41367	SLUZBY	\N	\N
275169	942	1998-03-31	VYDAJ	VYBER	15	36316	SLUZBY	\N	\N
275170	942	1998-04-30	VYDAJ	VYBER	15	35750	SLUZBY	\N	\N
275171	942	1998-05-31	VYDAJ	VYBER	15	34882	SLUZBY	\N	\N
275172	942	1998-06-30	VYDAJ	VYBER	15	31095	SLUZBY	\N	\N
275173	942	1998-07-31	VYDAJ	VYBER	15	36015	SLUZBY	\N	\N
275174	942	1998-08-31	VYDAJ	VYBER	15	40455	SLUZBY	\N	\N
275175	942	1998-09-30	VYDAJ	VYBER	15	54641	SLUZBY	\N	\N
275176	942	1998-10-31	VYDAJ	VYBER	15	46437	SLUZBY	\N	\N
275177	942	1998-11-30	VYDAJ	VYBER	15	38214	SLUZBY	\N	\N
275178	942	1993-09-15	PRIJEM	VKLAD	9200	10603	\N	\N	\N
275179	942	1993-10-15	PRIJEM	VKLAD	6400	18431	\N	\N	\N
275180	942	1993-11-14	PRIJEM	VKLAD	2500	22383	\N	\N	\N
275181	942	1993-12-14	PRIJEM	VKLAD	500	24359	\N	\N	\N
275182	942	1994-01-13	PRIJEM	VKLAD	6300	20797	\N	\N	\N
275183	942	1994-02-12	PRIJEM	VKLAD	5600	21414	\N	\N	\N
275184	942	1994-03-14	PRIJEM	VKLAD	600	23480	\N	\N	\N
275185	942	1994-04-13	VYDAJ	VYBER	14800	34713	\N	\N	\N
275186	942	1994-05-13	VYDAJ	VYBER	6900	29010	\N	\N	\N
275187	942	1994-06-12	VYDAJ	VYBER	3800	26734	\N	\N	\N
275188	942	1994-07-12	VYDAJ	VYBER	6900	29942	\N	\N	\N
275189	942	1994-08-11	VYDAJ	VYBER	2300	28853	\N	\N	\N
275190	942	1994-09-10	VYDAJ	VYBER	3200	25865	\N	\N	\N
275191	942	1994-10-10	VYDAJ	VYBER	1500	24616	\N	\N	\N
275192	942	1994-11-09	PRIJEM	VKLAD	800	25659	\N	\N	\N
275193	942	1994-12-09	VYDAJ	VYBER	2800	23703	\N	\N	\N
275194	942	1995-01-08	VYDAJ	VYBER	1900	23359	\N	\N	\N
275195	942	1995-02-07	PRIJEM	VKLAD	1900	15668	\N	\N	\N
275196	942	1995-03-09	VYDAJ	VYBER	400	16717	\N	\N	\N
275197	942	1995-04-08	PRIJEM	VKLAD	2300	20475	\N	\N	\N
275198	942	1995-05-08	PRIJEM	VKLAD	900	22845	\N	\N	\N
275199	942	1995-06-07	VYDAJ	VYBER	3300	21027	\N	\N	\N
275200	942	1995-07-07	VYDAJ	VYBER	1900	19207	\N	\N	\N
275201	942	1995-08-06	VYDAJ	VYBER	800	19878	\N	\N	\N
275202	942	1995-09-05	VYDAJ	VYBER	13000	37505	\N	\N	\N
275203	942	1995-10-05	VYDAJ	VYBER	11100	27973	\N	\N	\N
275204	942	1995-11-04	VYDAJ	VYBER	3600	25901	\N	\N	\N
275205	942	1995-12-04	VYDAJ	VYBER	2400	23101	\N	\N	\N
275206	942	1996-01-03	PRIJEM	VKLAD	1000	23387	\N	\N	\N
275207	942	1996-02-02	PRIJEM	VKLAD	1600	15286	\N	\N	\N
275208	942	1996-03-03	PRIJEM	VKLAD	3700	20434	\N	\N	\N
275209	942	1996-04-02	VYDAJ	VYBER	1200	17494	\N	\N	\N
275210	942	1996-05-02	VYDAJ	VYBER	2900	16057	\N	\N	\N
275211	942	1996-06-01	PRIJEM	VKLAD	1000	17515	\N	\N	\N
275212	942	1996-07-01	VYDAJ	VYBER	19900	34696	\N	\N	\N
275213	942	1996-07-31	VYDAJ	VYBER	8500	27774	\N	\N	\N
275214	942	1996-08-30	VYDAJ	VYBER	31100	43575	\N	\N	\N
275215	942	1996-09-29	VYDAJ	VYBER	16300	28880	\N	\N	\N
275216	942	1996-10-29	VYDAJ	VYBER	6600	23844	\N	\N	\N
275217	942	1996-11-28	VYDAJ	VYBER	5400	19950	\N	\N	\N
275218	942	1996-12-28	VYDAJ	VYBER	2800	17034	\N	\N	\N
275219	942	1997-01-27	PRIJEM	VKLAD	500	15100	\N	\N	\N
275220	942	1997-02-26	VYDAJ	VYBER	700	14301	\N	\N	\N
275221	942	1997-03-28	PRIJEM	VKLAD	200	15948	\N	\N	\N
275222	942	1997-05-27	VYDAJ	VYBER	200	17295	\N	\N	\N
275223	942	1997-06-26	PRIJEM	VKLAD	3000	21748	\N	\N	\N
275224	942	1997-07-26	PRIJEM	VKLAD	600	19959	\N	\N	\N
275225	942	1997-08-25	PRIJEM	VKLAD	3700	25123	\N	\N	\N
275226	942	1997-09-24	PRIJEM	VKLAD	3600	29146	\N	\N	\N
275227	942	1997-10-24	PRIJEM	VKLAD	500	31139	\N	\N	\N
275228	942	1997-11-23	PRIJEM	VKLAD	900	33547	\N	\N	\N
275229	942	1997-12-23	VYDAJ	VYBER	22300	57982	\N	\N	\N
275230	942	1998-01-22	VYDAJ	VYBER	6800	43812	\N	\N	\N
275231	942	1998-02-21	VYDAJ	VYBER	1900	42804	\N	\N	\N
275232	942	1998-03-23	VYDAJ	VYBER	5700	36167	\N	\N	\N
275233	942	1998-04-22	VYDAJ	VYBER	2100	35616	\N	\N	\N
275234	942	1998-05-22	PRIJEM	VKLAD	600	36250	\N	\N	\N
275235	942	1998-06-21	PRIJEM	VKLAD	5300	30982	\N	\N	\N
275236	942	1998-07-21	PRIJEM	VKLAD	3400	35895	\N	\N	\N
275237	942	1998-08-20	PRIJEM	VKLAD	2900	40315	\N	\N	\N
275238	942	1998-09-19	VYDAJ	VYBER	15500	54463	\N	\N	\N
275239	942	1998-10-19	VYDAJ	VYBER	9800	46241	\N	\N	\N
275240	942	1998-11-18	VYDAJ	VYBER	9800	38037	\N	\N	\N
275306	943	1993-02-03	PRIJEM	VKLAD	800	800	\N	\N	\N
275308	943	1993-02-06	PRIJEM	PREVOD Z UCTU	3217	4017	\N	OP	70103525
275309	943	1993-03-06	PRIJEM	PREVOD Z UCTU	3217	7248	\N	OP	70103525
275310	943	1993-04-06	PRIJEM	PREVOD Z UCTU	3217	10482	\N	OP	70103525
275311	943	1993-05-06	PRIJEM	PREVOD Z UCTU	3217	13715	\N	OP	70103525
275312	943	1993-06-06	PRIJEM	PREVOD Z UCTU	3217	16949	\N	OP	70103525
275313	943	1993-07-06	PRIJEM	PREVOD Z UCTU	3217	17074	\N	OP	70103525
275314	943	1993-08-06	PRIJEM	PREVOD Z UCTU	3217	18193	\N	OP	70103525
275315	943	1993-09-06	PRIJEM	PREVOD Z UCTU	3217	19318	\N	OP	70103525
275316	943	1993-10-06	PRIJEM	PREVOD Z UCTU	3217	20447	\N	OP	70103525
275317	943	1993-11-06	PRIJEM	PREVOD Z UCTU	3217	21581	\N	OP	70103525
275318	943	1993-12-06	PRIJEM	PREVOD Z UCTU	3217	21636	\N	OP	70103525
275319	943	1994-01-06	PRIJEM	PREVOD Z UCTU	3217	22143	\N	OP	70103525
275320	943	1994-02-06	PRIJEM	PREVOD Z UCTU	3217	19257	\N	OP	70103525
275321	943	1994-03-06	PRIJEM	PREVOD Z UCTU	3217	20386	\N	OP	70103525
275322	943	1994-04-06	PRIJEM	PREVOD Z UCTU	3217	19775	\N	OP	70103525
275323	943	1994-05-06	PRIJEM	PREVOD Z UCTU	3217	20906	\N	OP	70103525
275324	943	1994-06-06	PRIJEM	PREVOD Z UCTU	3217	21410	\N	OP	70103525
275325	943	1994-07-06	PRIJEM	PREVOD Z UCTU	3217	22548	\N	OP	70103525
275326	943	1994-08-06	PRIJEM	PREVOD Z UCTU	3217	23690	\N	OP	70103525
275327	943	1994-09-06	PRIJEM	PREVOD Z UCTU	3217	23968	\N	OP	70103525
275328	943	1994-10-06	PRIJEM	PREVOD Z UCTU	3217	23533	\N	OP	70103525
275329	943	1994-11-06	PRIJEM	PREVOD Z UCTU	3217	24680	\N	OP	70103525
275330	943	1994-12-06	PRIJEM	PREVOD Z UCTU	3217	25831	\N	OP	70103525
275331	943	1995-01-06	PRIJEM	PREVOD Z UCTU	3217	24155	\N	OP	70103525
275332	943	1995-02-06	PRIJEM	PREVOD Z UCTU	3217	22721	\N	OP	70103525
275333	943	1995-03-06	PRIJEM	PREVOD Z UCTU	3217	23353	\N	OP	70103525
275334	943	1995-04-06	PRIJEM	PREVOD Z UCTU	3217	24499	\N	OP	70103525
275335	943	1995-05-06	PRIJEM	PREVOD Z UCTU	3217	24988	\N	OP	70103525
275336	943	1995-06-06	PRIJEM	PREVOD Z UCTU	3217	25569	\N	OP	70103525
275337	943	1995-07-06	PRIJEM	PREVOD Z UCTU	3217	18026	\N	OP	70103525
275338	943	1995-08-06	PRIJEM	PREVOD Z UCTU	3217	17675	\N	OP	70103525
275339	943	1995-09-06	PRIJEM	PREVOD Z UCTU	3217	18797	\N	OP	70103525
275340	943	1995-10-06	PRIJEM	PREVOD Z UCTU	3217	19923	\N	OP	70103525
275341	943	1995-11-06	PRIJEM	PREVOD Z UCTU	3217	21054	\N	OP	70103525
275342	943	1995-12-06	PRIJEM	PREVOD Z UCTU	3217	21260	\N	OP	70103525
275343	943	1996-01-06	PRIJEM	PREVOD Z UCTU	3217	21616	\N	OP	70103525
275344	943	1996-02-06	PRIJEM	PREVOD Z UCTU	3217	19116	\N	OP	70103525
275345	943	1996-03-06	PRIJEM	PREVOD Z UCTU	3217	19461	\N	OP	70103525
275346	943	1996-04-06	PRIJEM	PREVOD Z UCTU	3217	20590	\N	OP	70103525
275347	943	1996-05-06	PRIJEM	PREVOD Z UCTU	3217	21724	\N	OP	70103525
275348	943	1996-06-06	PRIJEM	PREVOD Z UCTU	3217	21511	\N	OP	70103525
275349	943	1996-07-06	PRIJEM	PREVOD Z UCTU	3217	18865	\N	OP	70103525
275350	943	1996-08-06	PRIJEM	PREVOD Z UCTU	3217	19991	\N	OP	70103525
275351	943	1996-09-06	PRIJEM	PREVOD Z UCTU	3217	21122	\N	OP	70103525
275352	943	1996-10-06	PRIJEM	PREVOD Z UCTU	3217	22258	\N	OP	70103525
275353	943	1996-11-06	PRIJEM	PREVOD Z UCTU	3217	23398	\N	OP	70103525
275354	943	1996-12-06	PRIJEM	PREVOD Z UCTU	3217	24543	\N	OP	70103525
275355	943	1997-01-06	PRIJEM	PREVOD Z UCTU	3217	22389	\N	OP	70103525
275356	943	1997-02-06	PRIJEM	PREVOD Z UCTU	3217	21608	\N	OP	70103525
275357	943	1997-03-06	PRIJEM	PREVOD Z UCTU	3217	22746	\N	OP	70103525
275358	943	1997-04-06	PRIJEM	PREVOD Z UCTU	3217	23888	\N	OP	70103525
275359	943	1997-05-06	PRIJEM	PREVOD Z UCTU	3217	23591	\N	OP	70103525
275360	943	1997-06-06	PRIJEM	PREVOD Z UCTU	3217	24737	\N	OP	70103525
275361	943	1997-07-06	PRIJEM	PREVOD Z UCTU	3217	22192	\N	OP	70103525
275362	943	1997-08-06	PRIJEM	PREVOD Z UCTU	3217	23332	\N	OP	70103525
275363	943	1997-09-06	PRIJEM	PREVOD Z UCTU	3217	24326	\N	OP	70103525
275364	943	1997-10-06	PRIJEM	PREVOD Z UCTU	3217	25474	\N	OP	70103525
275365	943	1997-11-06	PRIJEM	PREVOD Z UCTU	3217	26627	\N	OP	70103525
275366	943	1997-12-06	PRIJEM	PREVOD Z UCTU	3217	27785	\N	OP	70103525
275367	943	1998-01-06	PRIJEM	PREVOD Z UCTU	3217	27566	\N	OP	70103525
275368	943	1998-02-06	PRIJEM	PREVOD Z UCTU	3217	25031	\N	OP	70103525
275369	943	1998-03-06	PRIJEM	PREVOD Z UCTU	3217	26182	\N	OP	70103525
275370	943	1998-04-06	PRIJEM	PREVOD Z UCTU	3217	27337	\N	OP	70103525
275371	943	1998-05-06	PRIJEM	PREVOD Z UCTU	3217	28498	\N	OP	70103525
275372	943	1998-06-06	PRIJEM	PREVOD Z UCTU	3217	29663	\N	OP	70103525
275373	943	1998-07-06	PRIJEM	PREVOD Z UCTU	3217	28547	\N	OP	70103525
275374	943	1998-08-06	PRIJEM	PREVOD Z UCTU	3217	29712	\N	OP	70103525
275375	943	1998-09-06	PRIJEM	PREVOD Z UCTU	3217	29802	\N	OP	70103525
275376	943	1998-10-06	PRIJEM	PREVOD Z UCTU	3217	29742	\N	OP	70103525
275377	943	1998-11-06	PRIJEM	PREVOD Z UCTU	3217	29920	\N	OP	70103525
275378	943	1998-12-06	PRIJEM	PREVOD Z UCTU	3217	30490	\N	OP	70103525
275384	943	1993-06-07	VYDAJ	PREVOD NA UCET	2144	13815	\N	AB	8294791
275385	943	1993-07-07	VYDAJ	PREVOD NA UCET	2144	14930	\N	AB	8294791
275386	943	1993-08-07	VYDAJ	PREVOD NA UCET	2144	16049	\N	AB	8294791
275387	943	1993-09-07	VYDAJ	PREVOD NA UCET	2144	17174	\N	AB	8294791
275388	943	1993-10-07	VYDAJ	PREVOD NA UCET	2144	18303	\N	AB	8294791
275389	943	1993-11-07	VYDAJ	PREVOD NA UCET	2144	19437	\N	AB	8294791
275390	943	1993-12-07	VYDAJ	PREVOD NA UCET	2144	19492	\N	AB	8294791
275391	943	1994-01-07	VYDAJ	PREVOD NA UCET	2144	19999	\N	AB	8294791
275392	943	1994-02-07	VYDAJ	PREVOD NA UCET	2144	17113	\N	AB	8294791
275393	943	1994-03-07	VYDAJ	PREVOD NA UCET	2144	18242	\N	AB	8294791
275394	943	1994-04-07	VYDAJ	PREVOD NA UCET	2144	17631	\N	AB	8294791
275395	943	1994-05-07	VYDAJ	PREVOD NA UCET	2144	18762	\N	AB	8294791
275396	943	1994-06-07	VYDAJ	PREVOD NA UCET	2144	19266	\N	AB	8294791
275397	943	1994-07-07	VYDAJ	PREVOD NA UCET	2144	20404	\N	AB	8294791
275398	943	1994-08-07	VYDAJ	PREVOD NA UCET	2144	21546	\N	AB	8294791
275399	943	1994-09-07	VYDAJ	PREVOD NA UCET	2144	21824	\N	AB	8294791
275400	943	1994-10-07	VYDAJ	PREVOD NA UCET	2144	21389	\N	AB	8294791
275401	943	1994-11-07	VYDAJ	PREVOD NA UCET	2144	22536	\N	AB	8294791
275402	943	1994-12-07	VYDAJ	PREVOD NA UCET	2144	23687	\N	AB	8294791
275403	943	1995-01-07	VYDAJ	PREVOD NA UCET	2144	21171	\N	AB	8294791
275404	943	1995-02-07	VYDAJ	PREVOD NA UCET	2144	20577	\N	AB	8294791
275405	943	1995-03-07	VYDAJ	PREVOD NA UCET	2144	21209	\N	AB	8294791
275406	943	1995-04-07	VYDAJ	PREVOD NA UCET	2144	22355	\N	AB	8294791
275407	943	1995-05-07	VYDAJ	PREVOD NA UCET	2144	22844	\N	AB	8294791
275408	943	1995-06-07	VYDAJ	PREVOD NA UCET	2144	23425	\N	AB	8294791
275409	943	1995-07-07	VYDAJ	PREVOD NA UCET	2144	14412	\N	AB	8294791
275410	943	1995-08-07	VYDAJ	PREVOD NA UCET	2144	15531	\N	AB	8294791
275411	943	1995-09-07	VYDAJ	PREVOD NA UCET	2144	16653	\N	AB	8294791
275412	943	1995-10-07	VYDAJ	PREVOD NA UCET	2144	17779	\N	AB	8294791
275413	943	1995-11-07	VYDAJ	PREVOD NA UCET	2144	18910	\N	AB	8294791
275414	943	1995-12-07	VYDAJ	PREVOD NA UCET	2144	19116	\N	AB	8294791
275415	943	1996-01-07	VYDAJ	PREVOD NA UCET	2144	18902	\N	AB	8294791
275416	943	1996-02-07	VYDAJ	PREVOD NA UCET	2144	16192	\N	AB	8294791
275417	943	1996-03-07	VYDAJ	PREVOD NA UCET	2144	17317	\N	AB	8294791
275418	943	1996-04-07	VYDAJ	PREVOD NA UCET	2144	18446	\N	AB	8294791
275419	943	1996-05-07	VYDAJ	PREVOD NA UCET	2144	19580	\N	AB	8294791
275420	943	1996-06-07	VYDAJ	PREVOD NA UCET	2144	19367	\N	AB	8294791
275421	943	1996-07-07	VYDAJ	PREVOD NA UCET	2144	16721	\N	AB	8294791
275422	943	1996-08-07	VYDAJ	PREVOD NA UCET	2144	17847	\N	AB	8294791
275423	943	1996-09-07	VYDAJ	PREVOD NA UCET	2144	18978	\N	AB	8294791
275424	943	1996-10-07	VYDAJ	PREVOD NA UCET	2144	20114	\N	AB	8294791
275425	943	1996-11-07	VYDAJ	PREVOD NA UCET	2144	21254	\N	AB	8294791
275426	943	1996-12-07	VYDAJ	PREVOD NA UCET	2144	22399	\N	AB	8294791
275427	943	1997-01-07	VYDAJ	PREVOD NA UCET	2144	20245	\N	AB	8294791
275428	943	1997-02-07	VYDAJ	PREVOD NA UCET	2144	19464	\N	AB	8294791
275429	943	1997-03-07	VYDAJ	PREVOD NA UCET	2144	20602	\N	AB	8294791
275430	943	1997-04-07	VYDAJ	PREVOD NA UCET	2144	21744	\N	AB	8294791
275431	943	1997-05-07	VYDAJ	PREVOD NA UCET	2144	21447	\N	AB	8294791
275432	943	1997-06-07	VYDAJ	PREVOD NA UCET	2144	22593	\N	AB	8294791
275433	943	1997-07-07	VYDAJ	PREVOD NA UCET	2144	20048	\N	AB	8294791
275434	943	1997-08-07	VYDAJ	PREVOD NA UCET	2144	21188	\N	AB	8294791
275435	943	1997-09-07	VYDAJ	PREVOD NA UCET	2144	22182	\N	AB	8294791
275436	943	1997-10-07	VYDAJ	PREVOD NA UCET	2144	23330	\N	AB	8294791
275437	943	1997-11-07	VYDAJ	PREVOD NA UCET	2144	24483	\N	AB	8294791
275438	943	1997-12-07	VYDAJ	PREVOD NA UCET	2144	25641	\N	AB	8294791
275439	943	1998-01-07	VYDAJ	PREVOD NA UCET	2144	25422	\N	AB	8294791
275440	943	1998-02-07	VYDAJ	PREVOD NA UCET	2144	22887	\N	AB	8294791
275441	943	1998-03-07	VYDAJ	PREVOD NA UCET	2144	24038	\N	AB	8294791
275442	943	1998-04-07	VYDAJ	PREVOD NA UCET	2144	25193	\N	AB	8294791
275443	943	1998-05-07	VYDAJ	PREVOD NA UCET	2144	26354	\N	AB	8294791
275444	943	1998-06-07	VYDAJ	PREVOD NA UCET	2144	27519	\N	AB	8294791
275445	943	1998-07-07	VYDAJ	PREVOD NA UCET	2144	26403	\N	AB	8294791
275446	943	1998-08-07	VYDAJ	PREVOD NA UCET	2144	27568	\N	AB	8294791
275447	943	1998-09-07	VYDAJ	PREVOD NA UCET	2144	27658	\N	AB	8294791
275448	943	1998-10-07	VYDAJ	PREVOD NA UCET	2144	27598	\N	AB	8294791
275449	943	1998-11-07	VYDAJ	PREVOD NA UCET	2144	27776	\N	AB	8294791
275450	943	1998-12-07	VYDAJ	PREVOD NA UCET	2144	28346	\N	AB	8294791
275451	943	1993-06-07	VYDAJ	VYBER	990	15959	\N	\N	\N
275453	943	1995-06-08	VYDAJ	VYBER	8670	14755	\N	\N	\N
275454	943	1996-06-23	VYDAJ	VYBER	2970	16397	\N	\N	\N
275455	943	1997-06-24	VYDAJ	VYBER	2310	18903	\N	\N	\N
275456	943	1998-06-13	VYDAJ	VYBER	2280	25239	\N	\N	\N
275457	943	1993-12-18	VYDAJ	VYBER	630	18862	\N	\N	\N
275458	943	1994-12-20	VYDAJ	VYBER	570	23117	\N	\N	\N
275459	943	1995-12-28	VYDAJ	VYBER	180	18936	\N	\N	\N
275460	943	1996-12-10	VYDAJ	VYBER	300	22099	\N	\N	\N
275461	943	1997-12-20	VYDAJ	VYBER	630	25011	\N	\N	\N
275462	943	1998-12-26	VYDAJ	VYBER	660	27026	\N	\N	\N
275469	943	1994-01-13	VYDAJ	VYBER	210	18349	\N	\N	\N
275470	943	1994-01-30	VYDAJ	VYBER	750	15979	\N	\N	\N
275471	943	1994-01-10	VYDAJ	VYBER	360	18559	\N	\N	\N
275472	943	1994-01-26	VYDAJ	VYBER	660	16729	\N	\N	\N
275473	943	1994-01-09	VYDAJ	VYBER	390	19609	\N	\N	\N
275474	943	1994-01-09	VYDAJ	VYBER	690	18919	\N	\N	\N
275475	943	1995-01-07	VYDAJ	VYBER	840	23315	\N	\N	\N
275476	943	1995-01-10	VYDAJ	VYBER	180	20991	\N	\N	\N
275477	943	1995-01-03	VYDAJ	VYBER	240	22078	\N	\N	\N
275478	943	1995-01-28	VYDAJ	VYBER	540	20061	\N	\N	\N
275479	943	1995-01-16	VYDAJ	VYBER	390	20601	\N	\N	\N
275480	943	1995-01-03	VYDAJ	VYBER	180	22318	\N	\N	\N
275481	943	1996-01-21	VYDAJ	VYBER	840	15842	\N	\N	\N
275482	943	1996-01-11	VYDAJ	VYBER	840	18062	\N	\N	\N
275483	943	1996-01-11	VYDAJ	VYBER	630	17432	\N	\N	\N
275484	943	1996-01-13	VYDAJ	VYBER	750	16682	\N	\N	\N
275485	943	1996-01-04	VYDAJ	VYBER	600	18399	\N	\N	\N
275486	943	1996-01-06	VYDAJ	VYBER	570	21046	\N	\N	\N
275487	943	1997-01-05	VYDAJ	VYBER	540	19172	\N	\N	\N
275488	943	1997-01-27	VYDAJ	VYBER	600	18325	\N	\N	\N
275489	943	1997-01-26	VYDAJ	VYBER	810	18925	\N	\N	\N
275490	943	1997-01-19	VYDAJ	VYBER	510	19735	\N	\N	\N
275491	943	1997-01-02	VYDAJ	VYBER	720	19712	\N	\N	\N
275492	943	1997-01-01	VYDAJ	VYBER	540	20432	\N	\N	\N
275493	943	1998-01-10	VYDAJ	VYBER	660	24762	\N	\N	\N
275494	943	1998-01-03	VYDAJ	VYBER	750	24349	\N	\N	\N
275495	943	1998-01-15	VYDAJ	VYBER	690	24072	\N	\N	\N
275496	943	1998-01-21	VYDAJ	VYBER	630	21732	\N	\N	\N
275497	943	1998-01-17	VYDAJ	VYBER	840	23232	\N	\N	\N
275498	943	1998-01-19	VYDAJ	VYBER	870	22362	\N	\N	\N
275502	943	1993-11-11	VYDAJ	VYBER	1080	18357	\N	\N	\N
275503	943	1994-03-15	VYDAJ	VYBER	330	17162	\N	\N	\N
275504	943	1994-09-08	VYDAJ	VYBER	1080	20744	\N	\N	\N
275505	943	1994-01-21	VYDAJ	VYBER	960	17389	\N	\N	\N
275506	943	1994-03-22	VYDAJ	VYBER	660	16502	\N	\N	\N
275507	943	1994-09-05	VYDAJ	VYBER	870	20751	\N	\N	\N
275508	943	1994-05-13	VYDAJ	VYBER	630	18132	\N	\N	\N
275509	943	1994-03-10	VYDAJ	VYBER	750	17492	\N	\N	\N
275510	943	1995-07-06	VYDAJ	VYBER	1470	16556	\N	\N	\N
275511	943	1995-05-24	VYDAJ	VYBER	570	22274	\N	\N	\N
275512	943	1995-01-28	VYDAJ	VYBER	630	19431	\N	\N	\N
275513	943	1995-11-30	VYDAJ	VYBER	930	18058	\N	\N	\N
275514	943	1995-01-05	VYDAJ	VYBER	1140	20938	\N	\N	\N
275515	943	1995-04-13	VYDAJ	VYBER	660	21695	\N	\N	\N
275516	943	1995-02-25	VYDAJ	VYBER	510	20067	\N	\N	\N
275517	943	1996-06-28	VYDAJ	VYBER	810	15587	\N	\N	\N
275518	943	1996-02-06	VYDAJ	VYBER	780	18336	\N	\N	\N
275519	943	1996-05-21	VYDAJ	VYBER	330	19250	\N	\N	\N
275520	943	1996-05-27	VYDAJ	VYBER	1020	18230	\N	\N	\N
275521	943	1997-06-18	VYDAJ	VYBER	1380	21213	\N	\N	\N
275522	943	1997-04-14	VYDAJ	VYBER	1440	20304	\N	\N	\N
275523	943	1997-08-24	VYDAJ	VYBER	150	21038	\N	\N	\N
275524	943	1998-09-30	VYDAJ	VYBER	1230	26539	\N	\N	\N
275525	943	1998-08-27	VYDAJ	VYBER	1080	26488	\N	\N	\N
275526	943	1998-10-19	VYDAJ	VYBER	990	26608	\N	\N	\N
275527	943	1998-11-21	VYDAJ	VYBER	600	27176	\N	\N	\N
275528	943	1998-12-16	VYDAJ	VYBER	660	27686	\N	\N	\N
275535	943	1993-06-30	VYDAJ	VYBER	15	13857	SLUZBY	\N	\N
275536	943	1993-07-31	VYDAJ	VYBER	15	14976	SLUZBY	\N	\N
275537	943	1993-08-31	VYDAJ	VYBER	15	16101	SLUZBY	\N	\N
275538	943	1993-09-30	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
275539	943	1993-10-31	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
275540	943	1993-11-30	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
275541	943	1993-12-31	VYDAJ	VYBER	15	18926	SLUZBY	\N	\N
275542	943	1994-01-31	VYDAJ	VYBER	15	16040	SLUZBY	\N	\N
275543	943	1994-02-28	VYDAJ	VYBER	15	17169	SLUZBY	\N	\N
275544	943	1994-03-31	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
275545	943	1994-04-30	VYDAJ	VYBER	15	17689	SLUZBY	\N	\N
275546	943	1994-05-31	VYDAJ	VYBER	15	18193	SLUZBY	\N	\N
275547	943	1994-06-30	VYDAJ	VYBER	15	19331	SLUZBY	\N	\N
275548	943	1994-07-31	VYDAJ	VYBER	15	20473	SLUZBY	\N	\N
275549	943	1994-08-31	VYDAJ	VYBER	15	21621	SLUZBY	\N	\N
275550	943	1994-09-30	VYDAJ	VYBER	15	20316	SLUZBY	\N	\N
275551	943	1994-10-31	VYDAJ	VYBER	15	21463	SLUZBY	\N	\N
275552	943	1994-11-30	VYDAJ	VYBER	15	22614	SLUZBY	\N	\N
275553	943	1994-12-31	VYDAJ	VYBER	15	22498	SLUZBY	\N	\N
275554	943	1995-01-31	VYDAJ	VYBER	15	19504	SLUZBY	\N	\N
275555	943	1995-02-28	VYDAJ	VYBER	15	20136	SLUZBY	\N	\N
275556	943	1995-03-31	VYDAJ	VYBER	15	21282	SLUZBY	\N	\N
275557	943	1995-04-30	VYDAJ	VYBER	15	21771	SLUZBY	\N	\N
275558	943	1995-05-31	VYDAJ	VYBER	15	22352	SLUZBY	\N	\N
275559	943	1995-06-30	VYDAJ	VYBER	15	14809	SLUZBY	\N	\N
275560	943	1995-07-31	VYDAJ	VYBER	15	14458	SLUZBY	\N	\N
275561	943	1995-08-31	VYDAJ	VYBER	15	15580	SLUZBY	\N	\N
275562	943	1995-09-30	VYDAJ	VYBER	15	16706	SLUZBY	\N	\N
275563	943	1995-10-31	VYDAJ	VYBER	15	17837	SLUZBY	\N	\N
275564	943	1995-11-30	VYDAJ	VYBER	15	18043	SLUZBY	\N	\N
275565	943	1995-12-31	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
275566	943	1996-01-31	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
275567	943	1996-02-29	VYDAJ	VYBER	15	16244	SLUZBY	\N	\N
275568	943	1996-03-31	VYDAJ	VYBER	15	17373	SLUZBY	\N	\N
275569	943	1996-04-30	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
275570	943	1996-05-31	VYDAJ	VYBER	15	18294	SLUZBY	\N	\N
275571	943	1996-06-30	VYDAJ	VYBER	15	15648	SLUZBY	\N	\N
275572	943	1996-07-31	VYDAJ	VYBER	15	16774	SLUZBY	\N	\N
275573	943	1996-08-31	VYDAJ	VYBER	15	17905	SLUZBY	\N	\N
275574	943	1996-09-30	VYDAJ	VYBER	15	19041	SLUZBY	\N	\N
275575	943	1996-10-31	VYDAJ	VYBER	15	20181	SLUZBY	\N	\N
275576	943	1996-11-30	VYDAJ	VYBER	15	21326	SLUZBY	\N	\N
275577	943	1996-12-31	VYDAJ	VYBER	15	20972	SLUZBY	\N	\N
275578	943	1997-01-31	VYDAJ	VYBER	15	18391	SLUZBY	\N	\N
275579	943	1997-02-28	VYDAJ	VYBER	15	19529	SLUZBY	\N	\N
275580	943	1997-03-31	VYDAJ	VYBER	15	20671	SLUZBY	\N	\N
275581	943	1997-04-30	VYDAJ	VYBER	15	20374	SLUZBY	\N	\N
275582	943	1997-05-31	VYDAJ	VYBER	15	21520	SLUZBY	\N	\N
275583	943	1997-06-30	VYDAJ	VYBER	15	18975	SLUZBY	\N	\N
275584	943	1997-07-31	VYDAJ	VYBER	15	20115	SLUZBY	\N	\N
275585	943	1997-08-31	VYDAJ	VYBER	15	21109	SLUZBY	\N	\N
275586	943	1997-09-30	VYDAJ	VYBER	15	22257	SLUZBY	\N	\N
275587	943	1997-10-31	VYDAJ	VYBER	15	23410	SLUZBY	\N	\N
275588	943	1997-11-30	VYDAJ	VYBER	15	24568	SLUZBY	\N	\N
275589	943	1997-12-31	VYDAJ	VYBER	15	25099	SLUZBY	\N	\N
275590	943	1998-01-31	VYDAJ	VYBER	15	21814	SLUZBY	\N	\N
275591	943	1998-02-28	VYDAJ	VYBER	15	22965	SLUZBY	\N	\N
275592	943	1998-03-31	VYDAJ	VYBER	15	24120	SLUZBY	\N	\N
275593	943	1998-04-30	VYDAJ	VYBER	15	25281	SLUZBY	\N	\N
275594	943	1998-05-31	VYDAJ	VYBER	15	26446	SLUZBY	\N	\N
275595	943	1998-06-30	VYDAJ	VYBER	15	25330	SLUZBY	\N	\N
275596	943	1998-07-31	VYDAJ	VYBER	15	26495	SLUZBY	\N	\N
275597	943	1998-08-31	VYDAJ	VYBER	15	26585	SLUZBY	\N	\N
275598	943	1998-09-30	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
275599	943	1998-10-31	VYDAJ	VYBER	15	26703	SLUZBY	\N	\N
275600	943	1998-11-30	VYDAJ	VYBER	15	27273	SLUZBY	\N	\N
275601	943	1994-09-26	VYDAJ	VYBER	500	20244	\N	\N	\N
275602	943	1994-12-25	VYDAJ	VYBER	700	22417	\N	\N	\N
275603	943	1996-12-14	VYDAJ	VYBER	1200	20899	\N	\N	\N
275675	944	1993-03-08	PRIJEM	VKLAD	500	17427	\N	\N	\N
275678	944	1993-03-08	PRIJEM	VKLAD	16927	16927	\N	\N	\N
275679	944	1993-04-08	PRIJEM	VKLAD	16927	38010	\N	\N	\N
275680	944	1993-05-08	PRIJEM	VKLAD	16927	46176	\N	\N	\N
275681	944	1993-06-08	PRIJEM	VKLAD	25390	60250	\N	\N	\N
275682	944	1993-07-08	PRIJEM	VKLAD	16927	58715	\N	\N	\N
275683	944	1993-08-08	PRIJEM	VKLAD	16927	57812	\N	\N	\N
275684	944	1993-09-08	PRIJEM	VKLAD	16927	53076	\N	\N	\N
275685	944	1993-10-08	PRIJEM	VKLAD	16927	48244	\N	\N	\N
275686	944	1993-11-08	PRIJEM	VKLAD	16927	48322	\N	\N	\N
275687	944	1993-12-08	PRIJEM	VKLAD	25390	54828	\N	\N	\N
275688	944	1994-01-08	PRIJEM	VKLAD	16927	52709	\N	\N	\N
275689	944	1994-02-08	PRIJEM	VKLAD	16927	37670	\N	\N	\N
275690	944	1994-03-08	PRIJEM	VKLAD	16927	45863	\N	\N	\N
275691	944	1994-04-08	PRIJEM	VKLAD	16927	46995	\N	\N	\N
275692	944	1994-05-08	PRIJEM	VKLAD	16927	46771	\N	\N	\N
275693	944	1994-06-08	PRIJEM	VKLAD	25390	54971	\N	\N	\N
275694	944	1994-07-08	PRIJEM	VKLAD	16927	50188	\N	\N	\N
275695	944	1994-08-08	PRIJEM	VKLAD	16927	48124	\N	\N	\N
275696	944	1994-09-08	PRIJEM	VKLAD	16927	47962	\N	\N	\N
275697	944	1994-10-08	PRIJEM	VKLAD	16927	47998	\N	\N	\N
275698	944	1994-11-08	PRIJEM	VKLAD	16927	51535	\N	\N	\N
275699	944	1994-12-08	PRIJEM	VKLAD	25390	58645	\N	\N	\N
275700	944	1995-01-08	PRIJEM	VKLAD	16927	42055	\N	\N	\N
275701	944	1995-02-08	PRIJEM	VKLAD	16927	43546	\N	\N	\N
275702	944	1995-03-08	PRIJEM	VKLAD	16927	44699	\N	\N	\N
275703	944	1995-04-08	PRIJEM	VKLAD	16927	49521	\N	\N	\N
275704	944	1995-05-08	PRIJEM	VKLAD	16927	46814	\N	\N	\N
275705	944	1995-06-08	PRIJEM	VKLAD	25390	55704	\N	\N	\N
275706	944	1995-07-08	PRIJEM	VKLAD	16927	52356	\N	\N	\N
275707	944	1995-08-08	PRIJEM	VKLAD	16927	53224	\N	\N	\N
275708	944	1995-09-08	PRIJEM	VKLAD	16927	56277	\N	\N	\N
275709	944	1995-10-08	PRIJEM	VKLAD	16927	55079	\N	\N	\N
275710	944	1995-11-08	PRIJEM	VKLAD	16927	58880	\N	\N	\N
275711	944	1995-12-08	PRIJEM	VKLAD	25390	69717	\N	\N	\N
275712	944	1996-01-08	PRIJEM	VKLAD	16927	63346	\N	\N	\N
275713	944	1996-02-08	PRIJEM	VKLAD	16927	57153	\N	\N	\N
275714	944	1996-03-08	PRIJEM	VKLAD	16927	61320	\N	\N	\N
275715	944	1996-04-08	PRIJEM	VKLAD	16927	63501	\N	\N	\N
275716	944	1996-05-08	PRIJEM	VKLAD	16927	64766	\N	\N	\N
275717	944	1996-06-08	PRIJEM	VKLAD	25390	57982	\N	\N	\N
275718	944	1996-07-08	PRIJEM	VKLAD	16927	64753	\N	\N	\N
275719	944	1996-08-08	PRIJEM	VKLAD	16927	66344	\N	\N	\N
275720	944	1996-09-08	PRIJEM	VKLAD	16927	63276	\N	\N	\N
275721	944	1996-10-08	PRIJEM	VKLAD	16927	60857	\N	\N	\N
275722	944	1996-11-08	PRIJEM	VKLAD	16927	62729	\N	\N	\N
275723	944	1996-12-08	PRIJEM	VKLAD	25390	68062	\N	\N	\N
275724	944	1997-01-08	PRIJEM	VKLAD	16927	59480	\N	\N	\N
275725	944	1997-02-08	PRIJEM	VKLAD	16927	40990	\N	\N	\N
275726	944	1997-03-08	PRIJEM	VKLAD	16927	47386	\N	\N	\N
275727	944	1997-04-08	PRIJEM	VKLAD	16927	50903	\N	\N	\N
275728	944	1997-05-08	PRIJEM	VKLAD	16927	52130	\N	\N	\N
275729	944	1997-06-08	PRIJEM	VKLAD	25390	60021	\N	\N	\N
275730	944	1997-07-08	PRIJEM	VKLAD	16927	50150	\N	\N	\N
275731	944	1997-08-08	PRIJEM	VKLAD	16927	45219	\N	\N	\N
275732	944	1997-09-08	PRIJEM	VKLAD	16927	47621	\N	\N	\N
275733	944	1997-10-08	PRIJEM	VKLAD	16927	47826	\N	\N	\N
275734	944	1997-11-08	PRIJEM	VKLAD	16927	48898	\N	\N	\N
275735	944	1997-12-08	PRIJEM	VKLAD	25390	54996	\N	\N	\N
275736	944	1998-01-08	PRIJEM	VKLAD	16927	49515	\N	\N	\N
275737	944	1998-02-08	PRIJEM	VKLAD	16927	42521	\N	\N	\N
275738	944	1998-03-08	PRIJEM	VKLAD	16927	45708	\N	\N	\N
275739	944	1998-04-08	PRIJEM	VKLAD	16927	48409	\N	\N	\N
275740	944	1998-05-08	PRIJEM	VKLAD	16927	49015	\N	\N	\N
275741	944	1998-06-08	PRIJEM	VKLAD	25390	52144	\N	\N	\N
275742	944	1998-07-08	PRIJEM	VKLAD	16927	49544	\N	\N	\N
275743	944	1998-08-08	PRIJEM	VKLAD	16927	51055	\N	\N	\N
275744	944	1998-09-08	PRIJEM	VKLAD	16927	54777	\N	\N	\N
275745	944	1998-10-08	PRIJEM	VKLAD	16927	53196	\N	\N	\N
275746	944	1998-11-08	PRIJEM	VKLAD	16927	43658	\N	\N	\N
275747	944	1998-12-08	PRIJEM	VKLAD	25390	53737	\N	\N	\N
275755	944	1993-08-05	VYDAJ	PREVOD NA UCET	5361	40885	SIPO	IJ	46210002
275756	944	1993-09-05	VYDAJ	PREVOD NA UCET	5361	36149	SIPO	IJ	46210002
275757	944	1993-10-05	VYDAJ	PREVOD NA UCET	5361	31317	SIPO	IJ	46210002
275758	944	1993-11-05	VYDAJ	PREVOD NA UCET	5361	31395	SIPO	IJ	46210002
275759	944	1993-12-05	VYDAJ	PREVOD NA UCET	5361	29438	SIPO	IJ	46210002
275760	944	1994-01-05	VYDAJ	PREVOD NA UCET	5361	35782	SIPO	IJ	46210002
275761	944	1994-02-05	VYDAJ	PREVOD NA UCET	5361	20743	SIPO	IJ	46210002
275762	944	1994-03-05	VYDAJ	PREVOD NA UCET	5361	28936	SIPO	IJ	46210002
275763	944	1994-04-05	VYDAJ	PREVOD NA UCET	5361	30068	SIPO	IJ	46210002
275764	944	1994-05-05	VYDAJ	PREVOD NA UCET	5361	29844	SIPO	IJ	46210002
275765	944	1994-06-05	VYDAJ	PREVOD NA UCET	5361	29581	SIPO	IJ	46210002
275766	944	1994-07-05	VYDAJ	PREVOD NA UCET	5361	33261	SIPO	IJ	46210002
275767	944	1994-08-05	VYDAJ	PREVOD NA UCET	5361	31197	SIPO	IJ	46210002
275768	944	1994-09-05	VYDAJ	PREVOD NA UCET	5361	31035	SIPO	IJ	46210002
275769	944	1994-10-05	VYDAJ	PREVOD NA UCET	5361	31071	SIPO	IJ	46210002
275770	944	1994-11-05	VYDAJ	PREVOD NA UCET	5361	34608	SIPO	IJ	46210002
275771	944	1994-12-05	VYDAJ	PREVOD NA UCET	5361	35815	SIPO	IJ	46210002
275772	944	1995-01-05	VYDAJ	PREVOD NA UCET	5361	28128	SIPO	IJ	46210002
275773	944	1995-02-05	VYDAJ	PREVOD NA UCET	5361	26619	SIPO	IJ	46210002
275774	944	1995-03-05	VYDAJ	PREVOD NA UCET	5361	27772	SIPO	IJ	46210002
275775	944	1995-04-05	VYDAJ	PREVOD NA UCET	5361	32594	SIPO	IJ	46210002
275776	944	1995-05-05	VYDAJ	PREVOD NA UCET	5361	29887	SIPO	IJ	46210002
275777	944	1995-06-05	VYDAJ	PREVOD NA UCET	5361	30314	SIPO	IJ	46210002
275778	944	1995-07-05	VYDAJ	PREVOD NA UCET	5361	35429	SIPO	IJ	46210002
275779	944	1995-08-05	VYDAJ	PREVOD NA UCET	5361	36297	SIPO	IJ	46210002
275780	944	1995-09-05	VYDAJ	PREVOD NA UCET	5361	39350	SIPO	IJ	46210002
275781	944	1995-10-05	VYDAJ	PREVOD NA UCET	5361	38152	SIPO	IJ	46210002
275782	944	1995-11-05	VYDAJ	PREVOD NA UCET	5361	41953	SIPO	IJ	46210002
275783	944	1995-12-05	VYDAJ	PREVOD NA UCET	5361	44327	SIPO	IJ	46210002
275784	944	1996-01-05	VYDAJ	PREVOD NA UCET	5361	47139	SIPO	IJ	46210002
275785	944	1996-02-05	VYDAJ	PREVOD NA UCET	5361	40226	SIPO	IJ	46210002
275786	944	1996-03-05	VYDAJ	PREVOD NA UCET	5361	44393	SIPO	IJ	46210002
275787	944	1996-04-05	VYDAJ	PREVOD NA UCET	5361	46574	SIPO	IJ	46210002
275788	944	1996-05-05	VYDAJ	PREVOD NA UCET	5361	47839	SIPO	IJ	46210002
275789	944	1996-06-05	VYDAJ	PREVOD NA UCET	5361	32592	SIPO	IJ	46210002
275790	944	1996-07-05	VYDAJ	PREVOD NA UCET	5361	47826	SIPO	IJ	46210002
275791	944	1996-08-05	VYDAJ	PREVOD NA UCET	5361	49417	SIPO	IJ	46210002
275792	944	1996-09-05	VYDAJ	PREVOD NA UCET	5361	46349	SIPO	IJ	46210002
275793	944	1996-10-05	VYDAJ	PREVOD NA UCET	5361	43930	SIPO	IJ	46210002
275794	944	1996-11-05	VYDAJ	PREVOD NA UCET	5361	45802	SIPO	IJ	46210002
275795	944	1996-12-05	VYDAJ	PREVOD NA UCET	5361	42672	SIPO	IJ	46210002
275796	944	1997-01-05	VYDAJ	PREVOD NA UCET	5361	42553	SIPO	IJ	46210002
275797	944	1997-02-05	VYDAJ	PREVOD NA UCET	5361	24063	SIPO	IJ	46210002
275798	944	1997-03-05	VYDAJ	PREVOD NA UCET	5361	30459	SIPO	IJ	46210002
275799	944	1997-04-05	VYDAJ	PREVOD NA UCET	5361	33976	SIPO	IJ	46210002
275800	944	1997-05-05	VYDAJ	PREVOD NA UCET	5361	35203	SIPO	IJ	46210002
275801	944	1997-06-05	VYDAJ	PREVOD NA UCET	5361	34631	SIPO	IJ	46210002
275802	944	1997-07-05	VYDAJ	PREVOD NA UCET	5361	33223	SIPO	IJ	46210002
275803	944	1997-08-05	VYDAJ	PREVOD NA UCET	5361	28292	SIPO	IJ	46210002
275804	944	1997-09-05	VYDAJ	PREVOD NA UCET	5361	30694	SIPO	IJ	46210002
275805	944	1997-10-05	VYDAJ	PREVOD NA UCET	5361	30899	SIPO	IJ	46210002
275806	944	1997-11-05	VYDAJ	PREVOD NA UCET	5361	31971	SIPO	IJ	46210002
275807	944	1997-12-05	VYDAJ	PREVOD NA UCET	5361	29606	SIPO	IJ	46210002
275808	944	1998-01-05	VYDAJ	PREVOD NA UCET	5361	32588	SIPO	IJ	46210002
275809	944	1998-02-05	VYDAJ	PREVOD NA UCET	5361	25594	SIPO	IJ	46210002
275810	944	1998-03-05	VYDAJ	PREVOD NA UCET	5361	28781	SIPO	IJ	46210002
275811	944	1998-04-05	VYDAJ	PREVOD NA UCET	5361	31482	SIPO	IJ	46210002
275812	944	1998-05-05	VYDAJ	PREVOD NA UCET	5361	32088	SIPO	IJ	46210002
275813	944	1998-06-05	VYDAJ	PREVOD NA UCET	5361	26754	SIPO	IJ	46210002
275814	944	1998-07-05	VYDAJ	PREVOD NA UCET	5361	32617	SIPO	IJ	46210002
275815	944	1998-08-05	VYDAJ	PREVOD NA UCET	5361	34128	SIPO	IJ	46210002
275816	944	1998-09-05	VYDAJ	PREVOD NA UCET	5361	37850	SIPO	IJ	46210002
275817	944	1998-10-05	VYDAJ	PREVOD NA UCET	5361	36269	SIPO	IJ	46210002
275818	944	1998-11-05	VYDAJ	PREVOD NA UCET	5361	28031	SIPO	IJ	46210002
275819	944	1998-12-05	VYDAJ	PREVOD NA UCET	5361	38447	SIPO	IJ	46210002
275823	944	1996-06-03	VYDAJ	VYBER	16640	37953	\N	\N	\N
275827	944	1994-01-21	VYDAJ	VYBER	13600	31189	\N	\N	\N
275828	944	1995-01-01	VYDAJ	VYBER	11360	33489	\N	\N	\N
275829	944	1996-01-16	VYDAJ	VYBER	4480	52986	\N	\N	\N
275830	944	1997-01-23	VYDAJ	VYBER	8480	31780	\N	\N	\N
275832	944	1993-12-14	VYDAJ	VYBER	2080	52748	\N	\N	\N
275833	944	1994-12-07	VYDAJ	VYBER	2560	33255	\N	\N	\N
275834	944	1995-12-17	VYDAJ	VYBER	2400	61677	\N	\N	\N
275835	944	1996-12-19	VYDAJ	VYBER	2400	50462	\N	\N	\N
275836	944	1997-12-08	VYDAJ	VYBER	3040	51956	\N	\N	\N
275837	944	1998-12-22	VYDAJ	VYBER	1120	52617	\N	\N	\N
275844	944	1994-01-09	VYDAJ	VYBER	3360	49349	\N	\N	\N
275845	944	1994-01-28	VYDAJ	VYBER	1560	26989	\N	\N	\N
275846	944	1994-01-09	VYDAJ	VYBER	1320	48029	\N	\N	\N
275847	944	1994-01-28	VYDAJ	VYBER	2640	28549	\N	\N	\N
275848	944	1994-01-18	VYDAJ	VYBER	3240	44789	\N	\N	\N
275849	944	1994-01-29	VYDAJ	VYBER	1440	25549	\N	\N	\N
275850	944	1995-01-06	VYDAJ	VYBER	3000	25128	\N	\N	\N
275851	944	1995-01-14	VYDAJ	VYBER	2520	39535	\N	\N	\N
275852	944	1995-01-30	VYDAJ	VYBER	2520	31835	\N	\N	\N
275853	944	1995-01-27	VYDAJ	VYBER	3000	34355	\N	\N	\N
275854	944	1995-01-21	VYDAJ	VYBER	720	38815	\N	\N	\N
275855	944	1995-01-26	VYDAJ	VYBER	3360	35455	\N	\N	\N
275856	944	1996-01-10	VYDAJ	VYBER	1680	61666	\N	\N	\N
275857	944	1996-01-15	VYDAJ	VYBER	2880	57466	\N	\N	\N
275858	944	1996-01-14	VYDAJ	VYBER	1320	60346	\N	\N	\N
275859	944	1996-01-02	VYDAJ	VYBER	600	52500	\N	\N	\N
275860	944	1996-01-06	VYDAJ	VYBER	720	46419	\N	\N	\N
275861	944	1996-01-25	VYDAJ	VYBER	3480	45386	\N	\N	\N
275862	944	1997-01-02	VYDAJ	VYBER	2760	47914	\N	\N	\N
275863	944	1997-01-12	VYDAJ	VYBER	2400	53840	\N	\N	\N
275864	944	1997-01-11	VYDAJ	VYBER	3240	56240	\N	\N	\N
275865	944	1997-01-24	VYDAJ	VYBER	2520	29260	\N	\N	\N
275866	944	1997-01-18	VYDAJ	VYBER	1440	43260	\N	\N	\N
275867	944	1997-01-12	VYDAJ	VYBER	840	53000	\N	\N	\N
275868	944	1998-01-08	VYDAJ	VYBER	600	48915	\N	\N	\N
275869	944	1998-01-19	VYDAJ	VYBER	3240	35975	\N	\N	\N
275870	944	1998-01-30	VYDAJ	VYBER	2880	30815	\N	\N	\N
275871	944	1998-01-05	VYDAJ	VYBER	3360	37949	\N	\N	\N
275872	944	1998-01-19	VYDAJ	VYBER	2280	33695	\N	\N	\N
275873	944	1998-01-10	VYDAJ	VYBER	1080	42315	\N	\N	\N
275876	944	1993-08-10	VYDAJ	VYBER	720	57092	\N	\N	\N
275877	944	1993-10-15	VYDAJ	VYBER	4560	43684	\N	\N	\N
275878	944	1994-06-13	VYDAJ	VYBER	3240	51731	\N	\N	\N
275879	944	1994-04-27	VYDAJ	VYBER	5160	41835	\N	\N	\N
275880	944	1994-07-18	VYDAJ	VYBER	1920	42388	\N	\N	\N
275881	944	1994-11-15	VYDAJ	VYBER	1440	50095	\N	\N	\N
275882	944	1994-07-15	VYDAJ	VYBER	5880	44308	\N	\N	\N
275883	944	1995-02-09	VYDAJ	VYBER	1200	42346	\N	\N	\N
275884	944	1995-03-01	VYDAJ	VYBER	2760	33133	\N	\N	\N
275885	944	1995-12-10	VYDAJ	VYBER	5640	64077	\N	\N	\N
275886	944	1995-09-26	VYDAJ	VYBER	4560	43317	\N	\N	\N
275887	944	1995-10-29	VYDAJ	VYBER	1560	47119	\N	\N	\N
275888	944	1995-04-19	VYDAJ	VYBER	4440	45081	\N	\N	\N
275889	944	1995-07-24	VYDAJ	VYBER	2880	49476	\N	\N	\N
275890	944	1996-04-15	VYDAJ	VYBER	3120	60381	\N	\N	\N
275891	944	1996-01-18	VYDAJ	VYBER	1320	51666	\N	\N	\N
275892	944	1996-08-31	VYDAJ	VYBER	2160	51710	\N	\N	\N
275893	944	1996-09-08	VYDAJ	VYBER	720	62556	\N	\N	\N
275894	944	1996-10-04	VYDAJ	VYBER	3480	49291	\N	\N	\N
275895	944	1997-06-14	VYDAJ	VYBER	5400	54621	\N	\N	\N
275896	944	1997-01-22	VYDAJ	VYBER	3000	40260	\N	\N	\N
275897	944	1997-07-20	VYDAJ	VYBER	2040	33510	\N	\N	\N
275898	944	1997-11-29	VYDAJ	VYBER	5280	34818	\N	\N	\N
275899	944	1997-10-28	VYDAJ	VYBER	2040	37186	\N	\N	\N
275900	944	1998-01-09	VYDAJ	VYBER	5520	43395	\N	\N	\N
275901	944	1998-05-22	VYDAJ	VYBER	5640	34375	\N	\N	\N
275902	944	1998-06-02	VYDAJ	VYBER	2400	32115	\N	\N	\N
275903	944	1998-10-26	VYDAJ	VYBER	4440	33256	\N	\N	\N
275911	944	1993-07-31	VYDAJ	VYBER	15	58946	SLUZBY	\N	\N
275912	944	1993-08-31	VYDAJ	VYBER	15	57310	SLUZBY	\N	\N
275913	944	1993-09-30	VYDAJ	VYBER	15	53278	SLUZBY	\N	\N
275914	944	1993-10-31	VYDAJ	VYBER	15	43856	SLUZBY	\N	\N
275915	944	1993-11-30	VYDAJ	VYBER	15	48499	SLUZBY	\N	\N
275916	944	1993-12-31	VYDAJ	VYBER	15	52943	SLUZBY	\N	\N
275917	944	1994-01-31	VYDAJ	VYBER	15	25704	SLUZBY	\N	\N
275918	944	1994-02-28	VYDAJ	VYBER	15	37797	SLUZBY	\N	\N
275919	944	1994-03-31	VYDAJ	VYBER	15	46029	SLUZBY	\N	\N
275920	944	1994-04-30	VYDAJ	VYBER	15	42005	SLUZBY	\N	\N
275921	944	1994-05-31	VYDAJ	VYBER	15	46942	SLUZBY	\N	\N
275922	944	1994-06-30	VYDAJ	VYBER	15	51922	SLUZBY	\N	\N
275923	944	1994-07-31	VYDAJ	VYBER	15	42558	SLUZBY	\N	\N
275924	944	1994-08-31	VYDAJ	VYBER	15	36396	SLUZBY	\N	\N
275925	944	1994-09-30	VYDAJ	VYBER	15	36432	SLUZBY	\N	\N
275926	944	1994-10-31	VYDAJ	VYBER	15	39969	SLUZBY	\N	\N
275927	944	1994-11-30	VYDAJ	VYBER	15	41176	SLUZBY	\N	\N
275928	944	1994-12-31	VYDAJ	VYBER	15	44849	SLUZBY	\N	\N
275929	944	1995-01-31	VYDAJ	VYBER	15	31980	SLUZBY	\N	\N
275930	944	1995-02-28	VYDAJ	VYBER	15	35893	SLUZBY	\N	\N
275931	944	1995-03-31	VYDAJ	VYBER	15	37955	SLUZBY	\N	\N
275932	944	1995-04-30	VYDAJ	VYBER	15	35248	SLUZBY	\N	\N
275933	944	1995-05-31	VYDAJ	VYBER	15	35675	SLUZBY	\N	\N
275934	944	1995-06-30	VYDAJ	VYBER	15	40790	SLUZBY	\N	\N
275935	944	1995-07-31	VYDAJ	VYBER	15	41658	SLUZBY	\N	\N
275936	944	1995-08-31	VYDAJ	VYBER	15	44711	SLUZBY	\N	\N
275937	944	1995-09-30	VYDAJ	VYBER	15	43513	SLUZBY	\N	\N
275938	944	1995-10-31	VYDAJ	VYBER	15	47314	SLUZBY	\N	\N
275939	944	1995-11-30	VYDAJ	VYBER	15	49688	SLUZBY	\N	\N
275940	944	1995-12-31	VYDAJ	VYBER	15	53100	SLUZBY	\N	\N
275941	944	1996-01-31	VYDAJ	VYBER	15	45587	SLUZBY	\N	\N
275942	944	1996-02-29	VYDAJ	VYBER	15	49754	SLUZBY	\N	\N
275943	944	1996-03-31	VYDAJ	VYBER	15	51935	SLUZBY	\N	\N
275944	944	1996-04-30	VYDAJ	VYBER	15	53200	SLUZBY	\N	\N
275945	944	1996-05-31	VYDAJ	VYBER	15	54593	SLUZBY	\N	\N
275946	944	1996-06-30	VYDAJ	VYBER	15	53187	SLUZBY	\N	\N
275947	944	1996-07-31	VYDAJ	VYBER	15	54778	SLUZBY	\N	\N
275948	944	1996-08-31	VYDAJ	VYBER	15	53870	SLUZBY	\N	\N
275949	944	1996-09-30	VYDAJ	VYBER	15	52771	SLUZBY	\N	\N
275950	944	1996-10-31	VYDAJ	VYBER	15	51163	SLUZBY	\N	\N
275951	944	1996-11-30	VYDAJ	VYBER	15	48033	SLUZBY	\N	\N
275952	944	1996-12-31	VYDAJ	VYBER	15	50674	SLUZBY	\N	\N
275953	944	1997-01-31	VYDAJ	VYBER	15	29424	SLUZBY	\N	\N
275954	944	1997-02-28	VYDAJ	VYBER	15	35820	SLUZBY	\N	\N
275955	944	1997-03-31	VYDAJ	VYBER	15	39337	SLUZBY	\N	\N
275956	944	1997-04-30	VYDAJ	VYBER	15	40564	SLUZBY	\N	\N
275957	944	1997-05-31	VYDAJ	VYBER	15	39992	SLUZBY	\N	\N
275958	944	1997-06-30	VYDAJ	VYBER	15	38584	SLUZBY	\N	\N
275959	944	1997-07-31	VYDAJ	VYBER	15	33653	SLUZBY	\N	\N
275960	944	1997-08-31	VYDAJ	VYBER	15	36055	SLUZBY	\N	\N
275961	944	1997-09-30	VYDAJ	VYBER	15	36260	SLUZBY	\N	\N
275962	944	1997-10-31	VYDAJ	VYBER	15	37332	SLUZBY	\N	\N
275963	944	1997-11-30	VYDAJ	VYBER	15	34967	SLUZBY	\N	\N
275964	944	1997-12-31	VYDAJ	VYBER	15	41309	SLUZBY	\N	\N
275965	944	1998-01-31	VYDAJ	VYBER	15	30955	SLUZBY	\N	\N
275966	944	1998-02-28	VYDAJ	VYBER	15	34142	SLUZBY	\N	\N
275967	944	1998-03-31	VYDAJ	VYBER	15	36843	SLUZBY	\N	\N
275968	944	1998-04-30	VYDAJ	VYBER	15	37449	SLUZBY	\N	\N
275969	944	1998-05-31	VYDAJ	VYBER	15	34515	SLUZBY	\N	\N
275970	944	1998-06-30	VYDAJ	VYBER	15	37978	SLUZBY	\N	\N
275971	944	1998-07-31	VYDAJ	VYBER	15	39489	SLUZBY	\N	\N
275972	944	1998-08-31	VYDAJ	VYBER	15	43211	SLUZBY	\N	\N
275973	944	1998-09-30	VYDAJ	VYBER	15	41630	SLUZBY	\N	\N
275974	944	1998-10-31	VYDAJ	VYBER	15	33392	SLUZBY	\N	\N
275975	944	1998-11-30	VYDAJ	VYBER	15	43808	SLUZBY	\N	\N
275976	944	1993-04-07	PRIJEM	VKLAD	3600	21083	\N	\N	\N
275977	944	1993-05-07	VYDAJ	VYBER	8900	29249	\N	\N	\N
275978	944	1993-06-06	VYDAJ	VYBER	11500	34860	\N	\N	\N
275979	944	1993-07-06	VYDAJ	VYBER	18700	41788	\N	\N	\N
275980	944	1993-08-05	VYDAJ	VYBER	12700	46246	\N	\N	\N
275981	944	1993-09-04	VYDAJ	VYBER	15800	41510	\N	\N	\N
275982	944	1993-10-04	VYDAJ	VYBER	16600	36678	\N	\N	\N
275983	944	1993-11-03	VYDAJ	VYBER	7100	36756	\N	\N	\N
275984	944	1993-12-03	VYDAJ	VYBER	13700	34799	\N	\N	\N
275985	944	1994-01-02	VYDAJ	VYBER	11800	41143	\N	\N	\N
275986	944	1994-02-01	PRIJEM	VKLAD	400	26104	\N	\N	\N
275987	944	1994-03-03	VYDAJ	VYBER	3500	34297	\N	\N	\N
275988	944	1994-04-02	VYDAJ	VYBER	10600	35429	\N	\N	\N
275989	944	1994-05-02	VYDAJ	VYBER	6800	35205	\N	\N	\N
275990	944	1994-06-01	VYDAJ	VYBER	12000	34942	\N	\N	\N
275991	944	1994-07-01	VYDAJ	VYBER	13300	38622	\N	\N	\N
275992	944	1994-07-31	VYDAJ	VYBER	6000	36558	\N	\N	\N
275993	944	1994-08-30	VYDAJ	VYBER	11900	36224	\N	\N	\N
275994	944	1994-09-29	VYDAJ	VYBER	11700	36262	\N	\N	\N
275995	944	1994-10-29	VYDAJ	VYBER	8200	39798	\N	\N	\N
275996	944	1994-11-28	VYDAJ	VYBER	9100	40995	\N	\N	\N
275997	944	1994-12-28	VYDAJ	VYBER	14000	44645	\N	\N	\N
275998	944	1995-01-27	PRIJEM	VKLAD	1900	37355	\N	\N	\N
275999	944	1995-02-26	VYDAJ	VYBER	6600	35746	\N	\N	\N
276000	944	1995-03-28	VYDAJ	VYBER	6900	37799	\N	\N	\N
276001	944	1995-04-27	VYDAJ	VYBER	10000	35081	\N	\N	\N
276002	944	1995-05-27	VYDAJ	VYBER	11300	35514	\N	\N	\N
276003	944	1995-06-26	VYDAJ	VYBER	15100	40604	\N	\N	\N
276004	944	1995-07-26	VYDAJ	VYBER	8000	41476	\N	\N	\N
276005	944	1995-08-25	VYDAJ	VYBER	8700	44524	\N	\N	\N
276006	944	1995-09-24	VYDAJ	VYBER	8400	47877	\N	\N	\N
276007	944	1995-10-24	VYDAJ	VYBER	6400	48679	\N	\N	\N
276008	944	1995-11-23	VYDAJ	VYBER	9400	49480	\N	\N	\N
276009	944	1995-12-23	VYDAJ	VYBER	8800	52877	\N	\N	\N
276010	944	1996-01-22	VYDAJ	VYBER	2800	48866	\N	\N	\N
276011	944	1996-02-21	VYDAJ	VYBER	7600	49553	\N	\N	\N
276012	944	1996-03-22	VYDAJ	VYBER	9600	51720	\N	\N	\N
276013	944	1996-04-21	VYDAJ	VYBER	7400	52981	\N	\N	\N
276014	944	1996-05-21	VYDAJ	VYBER	10400	54366	\N	\N	\N
276015	944	1996-06-20	VYDAJ	VYBER	5000	52982	\N	\N	\N
276016	944	1996-07-20	VYDAJ	VYBER	10200	54553	\N	\N	\N
276017	944	1996-08-19	VYDAJ	VYBER	12700	53644	\N	\N	\N
276018	944	1996-09-18	VYDAJ	VYBER	10000	52556	\N	\N	\N
276019	944	1996-10-18	VYDAJ	VYBER	9900	50957	\N	\N	\N
276020	944	1996-11-17	VYDAJ	VYBER	14900	47829	\N	\N	\N
276021	944	1996-12-17	VYDAJ	VYBER	15200	52862	\N	\N	\N
276022	944	1997-01-16	VYDAJ	VYBER	8300	44700	\N	\N	\N
276023	944	1997-02-15	VYDAJ	VYBER	5300	35690	\N	\N	\N
276024	944	1997-03-17	VYDAJ	VYBER	8200	39186	\N	\N	\N
276025	944	1997-04-16	VYDAJ	VYBER	10500	40403	\N	\N	\N
276026	944	1997-05-16	VYDAJ	VYBER	12300	39830	\N	\N	\N
276027	944	1997-06-15	VYDAJ	VYBER	16200	38421	\N	\N	\N
276028	944	1997-07-15	VYDAJ	VYBER	14600	35550	\N	\N	\N
276029	944	1997-08-14	VYDAJ	VYBER	9300	35919	\N	\N	\N
276030	944	1997-09-13	VYDAJ	VYBER	11500	36121	\N	\N	\N
276031	944	1997-10-13	VYDAJ	VYBER	8600	39226	\N	\N	\N
276032	944	1997-11-12	VYDAJ	VYBER	8800	40098	\N	\N	\N
276033	944	1997-12-12	VYDAJ	VYBER	10800	41156	\N	\N	\N
276034	944	1998-01-11	VYDAJ	VYBER	3100	39215	\N	\N	\N
276035	944	1998-02-10	VYDAJ	VYBER	8500	34021	\N	\N	\N
276036	944	1998-03-12	VYDAJ	VYBER	9000	36708	\N	\N	\N
276037	944	1998-04-11	VYDAJ	VYBER	11100	37309	\N	\N	\N
276038	944	1998-05-11	VYDAJ	VYBER	9000	40015	\N	\N	\N
276039	944	1998-06-10	VYDAJ	VYBER	14300	37844	\N	\N	\N
276040	944	1998-07-10	VYDAJ	VYBER	10200	39344	\N	\N	\N
276041	944	1998-08-09	VYDAJ	VYBER	8000	43055	\N	\N	\N
276042	944	1998-09-08	VYDAJ	VYBER	13300	41477	\N	\N	\N
276043	944	1998-10-08	VYDAJ	VYBER	15500	37696	\N	\N	\N
276044	944	1998-11-07	VYDAJ	VYBER	1300	26731	\N	\N	\N
276045	944	1998-12-07	VYDAJ	VYBER	10100	28347	\N	\N	\N
276116	945	1996-08-16	PRIJEM	VKLAD	600	600	\N	\N	\N
276117	945	1996-11-14	PRIJEM	VKLAD	36616	67576	\N	\N	\N
276118	945	1996-12-17	PRIJEM	VKLAD	22370	57513	\N	\N	\N
276119	945	1996-09-22	PRIJEM	VKLAD	18885	32285	\N	\N	\N
276120	945	1997-04-21	PRIJEM	VKLAD	27490	55437	\N	\N	\N
276121	945	1998-04-15	PRIJEM	VKLAD	32889	59698	\N	\N	\N
276122	945	1998-07-24	PRIJEM	VKLAD	39594	96014	\N	\N	\N
276123	945	1998-05-22	PRIJEM	VKLAD	23310	63975	\N	\N	\N
276124	945	1998-07-24	PRIJEM	VKLAD	19592	56420	\N	\N	\N
276125	945	1998-03-08	PRIJEM	VKLAD	34122	66209	\N	\N	\N
276152	945	1998-03-10	VYDAJ	PREVOD NA UCET	8215	41894	SIPO	YZ	63545399
276153	945	1998-04-10	VYDAJ	PREVOD NA UCET	8215	26809	SIPO	YZ	63545399
276154	945	1998-05-10	VYDAJ	PREVOD NA UCET	8215	40665	SIPO	YZ	63545399
276155	945	1998-06-10	VYDAJ	PREVOD NA UCET	8215	45269	SIPO	YZ	63545399
276156	945	1998-07-10	VYDAJ	PREVOD NA UCET	8215	36828	SIPO	YZ	63545399
276157	945	1998-08-10	VYDAJ	PREVOD NA UCET	8215	58214	SIPO	YZ	63545399
276158	945	1998-09-10	VYDAJ	PREVOD NA UCET	8215	47453	SIPO	YZ	63545399
276159	945	1998-10-10	VYDAJ	PREVOD NA UCET	8215	35830	SIPO	YZ	63545399
276160	945	1998-11-10	VYDAJ	PREVOD NA UCET	8215	31560	SIPO	YZ	63545399
276161	945	1998-12-10	VYDAJ	PREVOD NA UCET	8215	26867	SIPO	YZ	63545399
276165	945	1998-06-29	VYBER	VYBER	3141	39849	\N	\N	\N
276166	945	1998-08-04	VYBER	VYBER	11490	79329	\N	\N	\N
276167	945	1998-03-31	VYBER	VYBER	6045	36039	\N	\N	\N
276168	945	1998-06-22	VYBER	VYBER	2279	42990	\N	\N	\N
276211	945	1998-09-20	VYDAJ	VYBER KARTOU	3000	44453	\N	\N	0
276213	945	1998-07-30	VYDAJ	VYBER	5400	90614	\N	\N	\N
276214	945	1998-04-03	VYDAJ	VYBER	9300	26724	\N	\N	\N
276244	945	1998-03-31	VYDAJ	VYBER	15	36024	SLUZBY	\N	\N
276245	945	1998-04-30	VYDAJ	VYBER	15	59880	SLUZBY	\N	\N
276246	945	1998-05-31	VYDAJ	VYBER	15	64184	SLUZBY	\N	\N
276247	945	1998-06-30	VYDAJ	VYBER	15	40043	SLUZBY	\N	\N
276248	945	1998-07-31	VYDAJ	VYBER	15	90819	SLUZBY	\N	\N
276249	945	1998-08-31	VYDAJ	VYBER	15	58468	SLUZBY	\N	\N
276250	945	1998-09-30	VYDAJ	VYBER	15	44645	SLUZBY	\N	\N
276251	945	1998-10-31	VYDAJ	VYBER	15	35975	SLUZBY	\N	\N
276252	945	1998-11-30	VYDAJ	VYBER	15	31682	SLUZBY	\N	\N
276253	945	1996-09-15	PRIJEM	VKLAD	12800	13400	\N	\N	\N
276254	945	1996-10-15	VYDAJ	VYBER	1500	30825	\N	\N	\N
276255	945	1996-11-14	VYDAJ	VYBER	21700	45876	\N	\N	\N
276256	945	1996-12-14	VYDAJ	VYBER	10900	35143	\N	\N	\N
276257	945	1997-01-13	VYDAJ	VYBER	14500	43227	\N	\N	\N
276258	945	1997-02-12	VYDAJ	VYBER	9200	34267	\N	\N	\N
276259	945	1997-03-14	VYDAJ	VYBER	3400	31107	\N	\N	\N
276260	945	1997-04-13	VYDAJ	VYBER	3400	27947	\N	\N	\N
276261	945	1997-05-13	VYDAJ	VYBER	13900	41774	\N	\N	\N
276262	945	1997-06-12	VYDAJ	VYBER	10400	31605	\N	\N	\N
276263	945	1997-07-12	VYDAJ	VYBER	4700	27136	\N	\N	\N
276264	945	1997-08-11	VYDAJ	VYBER	400	26968	\N	\N	\N
276265	945	1997-09-10	PRIJEM	VKLAD	2400	29599	\N	\N	\N
276266	945	1997-10-10	PRIJEM	VKLAD	1400	31231	\N	\N	\N
276267	945	1997-11-09	PRIJEM	VKLAD	5000	36462	\N	\N	\N
276268	945	1997-12-09	VYDAJ	VYBER KARTOU	100	36593	\N	\N	0
276269	945	1998-01-08	VYDAJ	VYBER KARTOU	1800	35025	\N	\N	0
276270	945	1998-02-07	VYDAJ	VYBER KARTOU	3400	31856	\N	\N	0
276271	945	1998-03-09	VYDAJ	VYBER	16100	50109	\N	\N	\N
276272	945	1998-04-08	PRIJEM	VKLAD	8300	35024	\N	\N	\N
276273	945	1998-05-08	VYDAJ	VYBER	11000	48880	\N	\N	\N
276274	945	1998-06-07	VYDAJ	VYBER	10700	53484	\N	\N	\N
276275	945	1998-07-07	PRIJEM	VKLAD	5000	45043	\N	\N	\N
276276	945	1998-08-06	VYDAJ	VYBER	12900	66429	\N	\N	\N
276277	945	1998-09-05	VYDAJ	VYBER KARTOU	2800	55668	\N	\N	0
276278	945	1998-10-05	VYDAJ	VYBER KARTOU	600	44045	\N	\N	0
276279	945	1998-11-04	PRIJEM	VKLAD	3800	39775	\N	\N	\N
276280	945	1998-12-04	PRIJEM	VKLAD	3400	35082	\N	\N	\N
276309	946	1996-01-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
276310	946	1996-01-06	PRIJEM	VKLAD	17475	18575	\N	\N	\N
276311	946	1996-02-06	PRIJEM	VKLAD	17475	38915	\N	\N	\N
276312	946	1996-03-06	PRIJEM	VKLAD	17475	51079	\N	\N	\N
276313	946	1996-04-06	PRIJEM	VKLAD	17475	55846	\N	\N	\N
276314	946	1996-05-06	PRIJEM	VKLAD	17475	60181	\N	\N	\N
276315	946	1996-06-06	PRIJEM	VKLAD	26212	67965	\N	\N	\N
276316	946	1996-07-06	PRIJEM	VKLAD	17475	66301	\N	\N	\N
276317	946	1996-08-06	PRIJEM	VKLAD	17475	62263	\N	\N	\N
276318	946	1996-09-06	PRIJEM	VKLAD	17475	59810	\N	\N	\N
276319	946	1996-10-06	PRIJEM	VKLAD	17475	63749	\N	\N	\N
276320	946	1996-11-06	PRIJEM	VKLAD	17475	61850	\N	\N	\N
276321	946	1996-12-06	PRIJEM	VKLAD	26212	67865	\N	\N	\N
276322	946	1997-01-06	PRIJEM	VKLAD	17475	64225	\N	\N	\N
276323	946	1997-02-06	PRIJEM	VKLAD	17475	58308	\N	\N	\N
276324	946	1997-03-06	PRIJEM	VKLAD	17475	54759	\N	\N	\N
276325	946	1997-04-06	PRIJEM	VKLAD	17475	54275	\N	\N	\N
276326	946	1997-05-06	PRIJEM	VKLAD	17475	58091	\N	\N	\N
276327	946	1997-06-06	PRIJEM	VKLAD	26212	66357	\N	\N	\N
276328	946	1997-07-06	PRIJEM	VKLAD	17475	63390	\N	\N	\N
276329	946	1997-08-06	PRIJEM	VKLAD	17475	60037	\N	\N	\N
276330	946	1997-09-06	PRIJEM	VKLAD	17475	52569	\N	\N	\N
276331	946	1997-10-06	PRIJEM	VKLAD	17475	52015	\N	\N	\N
276332	946	1997-11-06	PRIJEM	VKLAD	17475	50016	\N	\N	\N
276333	946	1997-12-06	PRIJEM	VKLAD	26212	57263	\N	\N	\N
276334	946	1998-01-06	PRIJEM	VKLAD	17475	48981	\N	\N	\N
276335	946	1998-02-06	PRIJEM	VKLAD	17475	35491	\N	\N	\N
276336	946	1998-03-06	PRIJEM	VKLAD	17475	37063	\N	\N	\N
276337	946	1998-04-06	PRIJEM	VKLAD	17475	40613	\N	\N	\N
276338	946	1998-05-06	PRIJEM	VKLAD	17475	44710	\N	\N	\N
276339	946	1998-06-06	PRIJEM	VKLAD	26212	53319	\N	\N	\N
276340	946	1998-07-06	PRIJEM	VKLAD	17475	51803	\N	\N	\N
276341	946	1998-08-06	PRIJEM	VKLAD	17475	48700	\N	\N	\N
276342	946	1998-09-06	PRIJEM	VKLAD	17475	48288	\N	\N	\N
276343	946	1998-10-06	PRIJEM	VKLAD	17475	50479	\N	\N	\N
276344	946	1998-11-06	PRIJEM	VKLAD	17475	50776	\N	\N	\N
276345	946	1998-12-06	PRIJEM	VKLAD	26212	63018	\N	\N	\N
276346	946	1996-12-20	VYDAJ	VYBER	1100	66765	\N	\N	\N
276347	946	1997-12-27	VYDAJ	VYBER	1800	33563	\N	\N	\N
276348	946	1998-12-30	VYDAJ	VYBER	1500	33418	\N	\N	\N
276355	946	1997-01-05	VYDAJ	VYBER	2200	46750	\N	\N	\N
276356	946	1997-01-24	VYDAJ	VYBER	500	53225	\N	\N	\N
276357	946	1997-01-08	VYDAJ	VYBER	1900	62325	\N	\N	\N
276358	946	1997-01-23	VYDAJ	VYBER	2700	53725	\N	\N	\N
276359	946	1997-01-26	VYDAJ	VYBER	700	42225	\N	\N	\N
276360	946	1997-01-20	VYDAJ	VYBER	2700	56425	\N	\N	\N
276361	946	1998-01-17	VYDAJ	VYBER	2900	43681	\N	\N	\N
276362	946	1998-01-15	VYDAJ	VYBER	2400	46581	\N	\N	\N
276363	946	1998-01-24	VYDAJ	VYBER	1500	23781	\N	\N	\N
276364	946	1998-01-02	VYDAJ	VYBER	2200	31506	\N	\N	\N
276365	946	1998-01-21	VYDAJ	VYBER	2800	25281	\N	\N	\N
276366	946	1998-01-29	VYDAJ	VYBER	2700	21081	\N	\N	\N
276367	946	1996-08-29	VYDAJ	VYBER	3400	42163	\N	\N	\N
276368	946	1996-11-09	VYDAJ	VYBER	2900	58950	\N	\N	\N
276369	946	1996-10-01	VYDAJ	VYBER	700	46274	\N	\N	\N
276371	946	1996-05-25	VYDAJ	VYBER	4100	56081	\N	\N	\N
276373	946	1997-12-20	VYDAJ	VYBER	1100	55463	\N	\N	\N
276374	946	1997-01-29	VYDAJ	VYBER	1600	40625	\N	\N	\N
276375	946	1997-12-14	VYDAJ	VYBER	700	56563	\N	\N	\N
276376	946	1997-02-13	VYDAJ	VYBER	3400	54908	\N	\N	\N
276377	946	1997-02-26	VYDAJ	VYBER	1400	37108	\N	\N	\N
276378	946	1997-01-12	VYDAJ	VYBER	3200	59125	\N	\N	\N
276379	946	1997-11-13	VYDAJ	VYBER	2700	47316	\N	\N	\N
276380	946	1997-09-02	VYDAJ	VYBER	3200	35094	\N	\N	\N
276381	946	1998-04-17	VYDAJ	VYBER	3400	37213	\N	\N	\N
276382	946	1998-02-17	VYDAJ	VYBER	3800	31691	\N	\N	\N
276383	946	1998-12-30	VYDAJ	VYBER	3400	34918	\N	\N	\N
276384	946	1998-04-03	VYDAJ	VYBER	2800	23138	\N	\N	\N
276385	946	1998-01-20	VYDAJ	VYBER	3100	28081	\N	\N	\N
276386	946	1998-02-21	VYDAJ	VYBER	700	19491	\N	\N	\N
276387	946	1998-02-03	VYDAJ	VYBER	3200	18016	\N	\N	\N
276393	946	1996-05-31	VYDAJ	VYBER	15	41753	SLUZBY	\N	\N
276394	946	1996-06-30	VYDAJ	VYBER	15	48826	SLUZBY	\N	\N
276395	946	1996-07-31	VYDAJ	VYBER	15	44788	SLUZBY	\N	\N
276396	946	1996-08-31	VYDAJ	VYBER	15	42335	SLUZBY	\N	\N
276397	946	1996-09-30	VYDAJ	VYBER	15	46974	SLUZBY	\N	\N
276398	946	1996-10-31	VYDAJ	VYBER	15	44375	SLUZBY	\N	\N
276399	946	1996-11-30	VYDAJ	VYBER	15	41653	SLUZBY	\N	\N
276400	946	1996-12-31	VYDAJ	VYBER	15	48950	SLUZBY	\N	\N
276401	946	1997-01-31	VYDAJ	VYBER	15	40833	SLUZBY	\N	\N
276402	946	1997-02-28	VYDAJ	VYBER	15	37284	SLUZBY	\N	\N
276403	946	1997-03-31	VYDAJ	VYBER	15	36800	SLUZBY	\N	\N
276404	946	1997-04-30	VYDAJ	VYBER	15	40616	SLUZBY	\N	\N
276405	946	1997-05-31	VYDAJ	VYBER	15	40145	SLUZBY	\N	\N
276406	946	1997-06-30	VYDAJ	VYBER	15	45915	SLUZBY	\N	\N
276407	946	1997-07-31	VYDAJ	VYBER	15	42562	SLUZBY	\N	\N
276408	946	1997-08-31	VYDAJ	VYBER	15	38294	SLUZBY	\N	\N
276409	946	1997-09-30	VYDAJ	VYBER	15	34540	SLUZBY	\N	\N
276410	946	1997-10-31	VYDAJ	VYBER	15	32541	SLUZBY	\N	\N
276411	946	1997-11-30	VYDAJ	VYBER	15	31051	SLUZBY	\N	\N
276412	946	1997-12-31	VYDAJ	VYBER	15	33706	SLUZBY	\N	\N
276413	946	1998-01-31	VYDAJ	VYBER	15	21216	SLUZBY	\N	\N
276414	946	1998-02-28	VYDAJ	VYBER	15	19588	SLUZBY	\N	\N
276415	946	1998-03-31	VYDAJ	VYBER	15	25938	SLUZBY	\N	\N
276416	946	1998-04-30	VYDAJ	VYBER	15	27235	SLUZBY	\N	\N
276417	946	1998-05-31	VYDAJ	VYBER	15	27107	SLUZBY	\N	\N
276418	946	1998-06-30	VYDAJ	VYBER	15	34328	SLUZBY	\N	\N
276419	946	1998-07-31	VYDAJ	VYBER	15	31225	SLUZBY	\N	\N
276420	946	1998-08-31	VYDAJ	VYBER	15	30813	SLUZBY	\N	\N
276421	946	1998-09-30	VYDAJ	VYBER	15	33004	SLUZBY	\N	\N
276422	946	1998-10-31	VYDAJ	VYBER	15	33301	SLUZBY	\N	\N
276423	946	1998-11-30	VYDAJ	VYBER	15	36806	SLUZBY	\N	\N
276424	946	1996-01-31	PRIJEM	VKLAD	2800	21375	\N	\N	\N
276425	946	1996-03-01	VYDAJ	VYBER	5400	33604	\N	\N	\N
276426	946	1996-03-31	VYDAJ	VYBER	12900	38371	\N	\N	\N
276427	946	1996-04-30	VYDAJ	VYBER	13300	42706	\N	\N	\N
276428	946	1996-05-30	VYDAJ	VYBER	14500	41581	\N	\N	\N
276429	946	1996-06-29	VYDAJ	VYBER	19300	48665	\N	\N	\N
276430	946	1996-07-29	VYDAJ	VYBER	21700	44601	\N	\N	\N
276431	946	1996-08-28	VYDAJ	VYBER	16700	45563	\N	\N	\N
276432	946	1996-09-27	VYDAJ	VYBER	13000	46810	\N	\N	\N
276433	946	1996-10-27	VYDAJ	VYBER	19600	44149	\N	\N	\N
276434	946	1996-11-26	VYDAJ	VYBER	17500	41450	\N	\N	\N
276435	946	1996-12-26	VYDAJ	VYBER	18000	48765	\N	\N	\N
276436	946	1997-01-25	VYDAJ	VYBER	10300	42925	\N	\N	\N
276437	946	1997-02-24	VYDAJ	VYBER	16400	38508	\N	\N	\N
276438	946	1997-03-26	VYDAJ	VYBER	18100	36659	\N	\N	\N
276439	946	1997-04-25	VYDAJ	VYBER	13800	40475	\N	\N	\N
276440	946	1997-05-25	VYDAJ	VYBER	18100	39991	\N	\N	\N
276441	946	1997-06-24	VYDAJ	VYBER	20600	45757	\N	\N	\N
276442	946	1997-07-24	VYDAJ	VYBER	21000	42390	\N	\N	\N
276443	946	1997-08-23	VYDAJ	VYBER	21900	38137	\N	\N	\N
276444	946	1997-09-22	VYDAJ	VYBER	18200	34369	\N	\N	\N
276445	946	1997-10-22	VYDAJ	VYBER	19600	32415	\N	\N	\N
276446	946	1997-11-21	VYDAJ	VYBER	16400	30916	\N	\N	\N
276447	946	1997-12-21	VYDAJ	VYBER	20100	35363	\N	\N	\N
276448	946	1998-01-20	VYDAJ	VYBER	12500	31181	\N	\N	\N
276449	946	1998-02-19	VYDAJ	VYBER	11500	20191	\N	\N	\N
276450	946	1998-03-21	VYDAJ	VYBER	11200	25863	\N	\N	\N
276451	946	1998-04-20	VYDAJ	VYBER	10100	27113	\N	\N	\N
276452	946	1998-05-20	VYDAJ	VYBER	17700	27010	\N	\N	\N
276453	946	1998-06-19	VYDAJ	VYBER	19100	34219	\N	\N	\N
276454	946	1998-07-19	VYDAJ	VYBER	20700	31103	\N	\N	\N
276455	946	1998-08-18	VYDAJ	VYBER	18000	30700	\N	\N	\N
276456	946	1998-09-17	VYDAJ	VYBER	15400	32888	\N	\N	\N
276457	946	1998-10-17	VYDAJ	VYBER	17300	33179	\N	\N	\N
276458	946	1998-11-16	VYDAJ	VYBER	14100	36676	\N	\N	\N
276459	946	1998-12-16	VYDAJ	VYBER	24700	38318	\N	\N	\N
276496	947	1993-05-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
276502	947	1993-06-10	PRIJEM	VKLAD	6051	7151	\N	\N	\N
276503	947	1993-07-10	PRIJEM	VKLAD	4034	19417	\N	\N	\N
276504	947	1993-08-10	PRIJEM	VKLAD	4034	25929	\N	\N	\N
276505	947	1993-09-10	PRIJEM	VKLAD	4034	28460	\N	\N	\N
276506	947	1993-10-10	PRIJEM	VKLAD	4034	32504	\N	\N	\N
276507	947	1993-11-10	PRIJEM	VKLAD	4034	28948	\N	\N	\N
276508	947	1993-12-10	PRIJEM	VKLAD	6051	29370	\N	\N	\N
276509	947	1994-01-10	PRIJEM	VKLAD	4034	17965	\N	\N	\N
276510	947	1994-02-10	PRIJEM	VKLAD	4034	19369	\N	\N	\N
276511	947	1994-03-10	PRIJEM	VKLAD	4034	25184	\N	\N	\N
276512	947	1994-04-10	PRIJEM	VKLAD	4034	25912	\N	\N	\N
276513	947	1994-05-10	PRIJEM	VKLAD	4034	24435	\N	\N	\N
276514	947	1994-06-10	PRIJEM	VKLAD	6051	26473	\N	\N	\N
276515	947	1994-07-10	PRIJEM	VKLAD	4034	25697	\N	\N	\N
276516	947	1994-08-10	PRIJEM	VKLAD	4034	26325	\N	\N	\N
276517	947	1994-09-10	PRIJEM	VKLAD	4034	24157	\N	\N	\N
276518	947	1994-10-10	PRIJEM	VKLAD	4034	27576	\N	\N	\N
276519	947	1994-11-10	PRIJEM	VKLAD	4034	25811	\N	\N	\N
276520	947	1994-12-10	PRIJEM	VKLAD	6051	27661	\N	\N	\N
276521	947	1995-01-10	PRIJEM	VKLAD	4034	18896	\N	\N	\N
276522	947	1995-02-10	PRIJEM	VKLAD	4034	18875	\N	\N	\N
276523	947	1995-03-10	PRIJEM	VKLAD	4034	19274	\N	\N	\N
276524	947	1995-04-10	PRIJEM	VKLAD	4034	20578	\N	\N	\N
276525	947	1995-05-10	PRIJEM	VKLAD	4034	19186	\N	\N	\N
276526	947	1995-06-10	PRIJEM	VKLAD	6051	20807	\N	\N	\N
276527	947	1995-07-10	PRIJEM	VKLAD	4034	20594	\N	\N	\N
276528	947	1995-08-10	PRIJEM	VKLAD	4034	18303	\N	\N	\N
276529	947	1995-09-10	PRIJEM	VKLAD	4034	15104	\N	\N	\N
276530	947	1995-10-10	PRIJEM	VKLAD	4034	15168	\N	\N	\N
276531	947	1995-11-10	PRIJEM	VKLAD	4034	15154	\N	\N	\N
276532	947	1995-12-10	PRIJEM	VKLAD	6051	21156	\N	\N	\N
276533	947	1996-01-10	PRIJEM	VKLAD	4034	17330	\N	\N	\N
276534	947	1996-02-10	PRIJEM	VKLAD	4034	18260	\N	\N	\N
276535	947	1996-03-10	PRIJEM	VKLAD	4034	17471	\N	\N	\N
276536	947	1996-04-10	PRIJEM	VKLAD	4034	21764	\N	\N	\N
276537	947	1996-05-10	PRIJEM	VKLAD	4034	20874	\N	\N	\N
276538	947	1996-06-10	PRIJEM	VKLAD	6051	24101	\N	\N	\N
276539	947	1996-07-10	PRIJEM	VKLAD	4034	22740	\N	\N	\N
276540	947	1996-08-10	PRIJEM	VKLAD	4034	26057	\N	\N	\N
276541	947	1996-09-10	PRIJEM	VKLAD	4034	28388	\N	\N	\N
276542	947	1996-10-10	PRIJEM	VKLAD	4034	28928	\N	\N	\N
276543	947	1996-11-10	PRIJEM	VKLAD	4034	32171	\N	\N	\N
276544	947	1996-12-10	PRIJEM	VKLAD	6051	31684	\N	\N	\N
276545	947	1997-01-10	PRIJEM	VKLAD	4034	27771	\N	\N	\N
276546	947	1997-02-10	PRIJEM	VKLAD	4034	25252	\N	\N	\N
276547	947	1997-03-10	PRIJEM	VKLAD	4034	32783	\N	\N	\N
276548	947	1997-04-10	PRIJEM	VKLAD	4034	35842	\N	\N	\N
276549	947	1997-05-10	PRIJEM	VKLAD	4034	37212	\N	\N	\N
276550	947	1997-06-10	PRIJEM	VKLAD	6051	40806	\N	\N	\N
276551	947	1997-07-10	PRIJEM	VKLAD	4034	40892	\N	\N	\N
276552	947	1997-08-10	PRIJEM	VKLAD	4034	44886	\N	\N	\N
276553	947	1997-09-10	PRIJEM	VKLAD	4034	50899	\N	\N	\N
276554	947	1997-10-10	PRIJEM	VKLAD	4034	51047	\N	\N	\N
276555	947	1997-11-10	PRIJEM	VKLAD	4034	53382	\N	\N	\N
276556	947	1997-12-10	PRIJEM	VKLAD	6051	60667	\N	\N	\N
276557	947	1998-01-10	PRIJEM	VKLAD	4034	46721	\N	\N	\N
276558	947	1998-02-10	PRIJEM	VKLAD	4034	51503	\N	\N	\N
276559	947	1998-03-10	PRIJEM	VKLAD	4034	55986	\N	\N	\N
276560	947	1998-04-10	PRIJEM	VKLAD	4034	59444	\N	\N	\N
276561	947	1998-05-10	PRIJEM	VKLAD	4034	59510	\N	\N	\N
276562	947	1998-06-10	PRIJEM	VKLAD	6051	64798	\N	\N	\N
276563	947	1998-07-10	PRIJEM	VKLAD	4034	48458	\N	\N	\N
276564	947	1998-08-10	PRIJEM	VKLAD	4034	55589	\N	\N	\N
276565	947	1998-09-10	PRIJEM	VKLAD	4034	56439	\N	\N	\N
276566	947	1998-10-10	PRIJEM	VKLAD	4034	49563	\N	\N	\N
276567	947	1998-11-10	PRIJEM	VKLAD	4034	51914	\N	\N	\N
276568	947	1998-12-10	PRIJEM	VKLAD	6051	58873	\N	\N	\N
276578	947	1993-10-13	VYDAJ	PREVOD NA UCET	1546	30958	SIPO	GH	67947453
276579	947	1993-11-13	VYDAJ	PREVOD NA UCET	1546	28202	SIPO	GH	67947453
276580	947	1993-12-13	VYDAJ	PREVOD NA UCET	1546	24144	SIPO	GH	67947453
276581	947	1994-01-13	VYDAJ	PREVOD NA UCET	1546	17259	SIPO	GH	67947453
276582	947	1994-02-13	VYDAJ	PREVOD NA UCET	1546	22223	SIPO	GH	67947453
276583	947	1994-03-13	VYDAJ	PREVOD NA UCET	1546	23638	SIPO	GH	67947453
276584	947	1994-04-13	VYDAJ	PREVOD NA UCET	1546	21466	SIPO	GH	67947453
276585	947	1994-05-13	VYDAJ	PREVOD NA UCET	1546	21489	SIPO	GH	67947453
276586	947	1994-06-13	VYDAJ	PREVOD NA UCET	1546	22727	SIPO	GH	67947453
276587	947	1994-07-13	VYDAJ	PREVOD NA UCET	1546	23351	SIPO	GH	67947453
276588	947	1994-08-13	VYDAJ	PREVOD NA UCET	1546	22379	SIPO	GH	67947453
276589	947	1994-09-13	VYDAJ	PREVOD NA UCET	1546	22611	SIPO	GH	67947453
276590	947	1994-10-13	VYDAJ	PREVOD NA UCET	1546	26030	SIPO	GH	67947453
276591	947	1994-11-13	VYDAJ	PREVOD NA UCET	1546	24265	SIPO	GH	67947453
276592	947	1994-12-13	VYDAJ	PREVOD NA UCET	1546	26115	SIPO	GH	67947453
276593	947	1995-01-13	VYDAJ	PREVOD NA UCET	1546	13630	SIPO	GH	67947453
276594	947	1995-02-13	VYDAJ	PREVOD NA UCET	1546	17329	SIPO	GH	67947453
276595	947	1995-03-13	VYDAJ	PREVOD NA UCET	1546	17728	SIPO	GH	67947453
276596	947	1995-04-13	VYDAJ	PREVOD NA UCET	1546	19032	SIPO	GH	67947453
276597	947	1995-05-13	VYDAJ	PREVOD NA UCET	1546	17640	SIPO	GH	67947453
276598	947	1995-06-13	VYDAJ	PREVOD NA UCET	1546	19261	SIPO	GH	67947453
276599	947	1995-07-13	VYDAJ	PREVOD NA UCET	1546	19048	SIPO	GH	67947453
276600	947	1995-08-13	VYDAJ	PREVOD NA UCET	1546	16757	SIPO	GH	67947453
276601	947	1995-09-13	VYDAJ	PREVOD NA UCET	1546	12238	SIPO	GH	67947453
276602	947	1995-10-13	VYDAJ	PREVOD NA UCET	1546	13622	SIPO	GH	67947453
276603	947	1995-11-13	VYDAJ	PREVOD NA UCET	1546	13608	SIPO	GH	67947453
276604	947	1995-12-13	VYDAJ	PREVOD NA UCET	1546	14970	SIPO	GH	67947453
276605	947	1996-01-13	VYDAJ	PREVOD NA UCET	1546	15784	SIPO	GH	67947453
276606	947	1996-02-13	VYDAJ	PREVOD NA UCET	1546	16714	SIPO	GH	67947453
276607	947	1996-03-13	VYDAJ	PREVOD NA UCET	1546	15925	SIPO	GH	67947453
276608	947	1996-04-13	VYDAJ	PREVOD NA UCET	1546	20218	SIPO	GH	67947453
276609	947	1996-05-13	VYDAJ	PREVOD NA UCET	1546	19328	SIPO	GH	67947453
276610	947	1996-06-13	VYDAJ	PREVOD NA UCET	1546	22555	SIPO	GH	67947453
276611	947	1996-07-13	VYDAJ	PREVOD NA UCET	1546	21194	SIPO	GH	67947453
276612	947	1996-08-13	VYDAJ	PREVOD NA UCET	1546	24511	SIPO	GH	67947453
276613	947	1996-09-13	VYDAJ	PREVOD NA UCET	1546	26842	SIPO	GH	67947453
276614	947	1996-10-13	VYDAJ	PREVOD NA UCET	1546	27382	SIPO	GH	67947453
276615	947	1996-11-13	VYDAJ	PREVOD NA UCET	1546	30625	SIPO	GH	67947453
276616	947	1996-12-13	VYDAJ	PREVOD NA UCET	1546	30138	SIPO	GH	67947453
276617	947	1997-01-13	VYDAJ	PREVOD NA UCET	1546	22985	SIPO	GH	67947453
276618	947	1997-02-13	VYDAJ	PREVOD NA UCET	1546	23706	SIPO	GH	67947453
276619	947	1997-03-13	VYDAJ	PREVOD NA UCET	1546	31237	SIPO	GH	67947453
276620	947	1997-04-13	VYDAJ	PREVOD NA UCET	1546	34296	SIPO	GH	67947453
276621	947	1997-05-13	VYDAJ	PREVOD NA UCET	1546	35666	SIPO	GH	67947453
276622	947	1997-06-13	VYDAJ	PREVOD NA UCET	1546	39260	SIPO	GH	67947453
276623	947	1997-07-13	VYDAJ	PREVOD NA UCET	1546	39346	SIPO	GH	67947453
276624	947	1997-08-13	VYDAJ	PREVOD NA UCET	1546	43340	SIPO	GH	67947453
276625	947	1997-09-13	VYDAJ	PREVOD NA UCET	1546	49353	SIPO	GH	67947453
276626	947	1997-10-13	VYDAJ	PREVOD NA UCET	1546	49501	SIPO	GH	67947453
276627	947	1997-11-13	VYDAJ	PREVOD NA UCET	1546	51836	SIPO	GH	67947453
276628	947	1997-12-13	VYDAJ	PREVOD NA UCET	1546	59121	SIPO	GH	67947453
276629	947	1998-01-13	VYDAJ	PREVOD NA UCET	1546	43015	SIPO	GH	67947453
276630	947	1998-02-13	VYDAJ	PREVOD NA UCET	1546	49957	SIPO	GH	67947453
276631	947	1998-03-13	VYDAJ	PREVOD NA UCET	1546	54440	SIPO	GH	67947453
276632	947	1998-04-13	VYDAJ	PREVOD NA UCET	1546	57898	SIPO	GH	67947453
276633	947	1998-05-13	VYDAJ	PREVOD NA UCET	1546	57964	SIPO	GH	67947453
276634	947	1998-06-13	VYDAJ	PREVOD NA UCET	1546	26292	SIPO	GH	67947453
276635	947	1998-07-13	VYDAJ	PREVOD NA UCET	1546	46912	SIPO	GH	67947453
276636	947	1998-08-13	VYDAJ	PREVOD NA UCET	1546	54043	SIPO	GH	67947453
276637	947	1998-09-13	VYDAJ	PREVOD NA UCET	1546	54893	SIPO	GH	67947453
276638	947	1998-10-13	VYDAJ	PREVOD NA UCET	1546	48017	SIPO	GH	67947453
276639	947	1998-11-13	VYDAJ	PREVOD NA UCET	1546	50368	SIPO	GH	67947453
276640	947	1998-12-13	VYDAJ	PREVOD NA UCET	1546	53647	SIPO	GH	67947453
276651	947	1993-11-06	VYDAJ	PREVOD NA UCET	1143	24914	 	EF	99499773
276652	947	1993-12-06	VYDAJ	PREVOD NA UCET	1143	23319	 	EF	99499773
276653	947	1994-01-06	VYDAJ	PREVOD NA UCET	1143	17291	 	EF	99499773
276654	947	1994-02-06	VYDAJ	PREVOD NA UCET	1143	15335	 	EF	99499773
276655	947	1994-03-06	VYDAJ	PREVOD NA UCET	1143	21150	 	EF	99499773
276656	947	1994-04-06	VYDAJ	PREVOD NA UCET	1143	21878	 	EF	99499773
276657	947	1994-05-06	VYDAJ	PREVOD NA UCET	1143	20401	 	EF	99499773
276658	947	1994-06-06	VYDAJ	PREVOD NA UCET	1143	20422	 	EF	99499773
276659	947	1994-07-06	VYDAJ	PREVOD NA UCET	1143	21663	 	EF	99499773
276660	947	1994-08-06	VYDAJ	PREVOD NA UCET	1143	22291	 	EF	99499773
276661	947	1994-09-06	VYDAJ	PREVOD NA UCET	1143	16023	 	EF	99499773
276662	947	1994-10-06	VYDAJ	PREVOD NA UCET	1143	21542	 	EF	99499773
276663	947	1994-11-06	VYDAJ	PREVOD NA UCET	1143	24977	 	EF	99499773
276664	947	1994-12-06	VYDAJ	PREVOD NA UCET	1143	23210	 	EF	99499773
276665	947	1995-01-06	VYDAJ	PREVOD NA UCET	1143	16742	 	EF	99499773
276666	947	1995-02-06	VYDAJ	PREVOD NA UCET	1143	14841	 	EF	99499773
276667	947	1995-03-06	VYDAJ	PREVOD NA UCET	1143	16240	 	EF	99499773
276668	947	1995-04-06	VYDAJ	PREVOD NA UCET	1143	16644	 	EF	99499773
276669	947	1995-05-06	VYDAJ	PREVOD NA UCET	1143	17952	 	EF	99499773
276670	947	1995-06-06	VYDAJ	PREVOD NA UCET	1143	16556	 	EF	99499773
276671	947	1995-07-06	VYDAJ	PREVOD NA UCET	1143	16560	 	EF	99499773
276672	947	1995-08-06	VYDAJ	PREVOD NA UCET	1143	14269	 	EF	99499773
276673	947	1995-09-06	VYDAJ	PREVOD NA UCET	1143	11070	 	EF	99499773
276674	947	1995-10-06	VYDAJ	PREVOD NA UCET	1143	11134	 	EF	99499773
276675	947	1995-11-06	VYDAJ	PREVOD NA UCET	1143	11120	 	EF	99499773
276676	947	1995-12-06	VYDAJ	PREVOD NA UCET	1143	15105	 	EF	99499773
276677	947	1996-01-06	VYDAJ	PREVOD NA UCET	1143	14376	 	EF	99499773
276678	947	1996-02-06	VYDAJ	PREVOD NA UCET	1143	14226	 	EF	99499773
276679	947	1996-03-06	VYDAJ	PREVOD NA UCET	1143	13437	 	EF	99499773
276680	947	1996-04-06	VYDAJ	PREVOD NA UCET	1143	17730	 	EF	99499773
276681	947	1996-05-06	VYDAJ	PREVOD NA UCET	1143	16840	 	EF	99499773
276682	947	1996-06-06	VYDAJ	PREVOD NA UCET	1143	18050	 	EF	99499773
276683	947	1996-07-06	VYDAJ	PREVOD NA UCET	1143	18706	 	EF	99499773
276684	947	1996-08-06	VYDAJ	PREVOD NA UCET	1143	22023	 	EF	99499773
276685	947	1996-09-06	VYDAJ	PREVOD NA UCET	1143	24354	 	EF	99499773
276686	947	1996-10-06	VYDAJ	PREVOD NA UCET	1143	24894	 	EF	99499773
276687	947	1996-11-06	VYDAJ	PREVOD NA UCET	1143	28137	 	EF	99499773
276688	947	1996-12-06	VYDAJ	PREVOD NA UCET	1143	28993	 	EF	99499773
276689	947	1997-01-06	VYDAJ	PREVOD NA UCET	1143	23737	 	EF	99499773
276690	947	1997-02-06	VYDAJ	PREVOD NA UCET	1143	21218	 	EF	99499773
276691	947	1997-03-06	VYDAJ	PREVOD NA UCET	1143	28749	 	EF	99499773
276692	947	1997-04-06	VYDAJ	PREVOD NA UCET	1143	31808	 	EF	99499773
276693	947	1997-05-06	VYDAJ	PREVOD NA UCET	1143	33178	 	EF	99499773
276694	947	1997-06-06	VYDAJ	PREVOD NA UCET	1143	34755	 	EF	99499773
276695	947	1997-07-06	VYDAJ	PREVOD NA UCET	1143	36858	 	EF	99499773
276696	947	1997-08-06	VYDAJ	PREVOD NA UCET	1143	40852	 	EF	99499773
276697	947	1997-09-06	VYDAJ	PREVOD NA UCET	1143	46865	 	EF	99499773
276698	947	1997-10-06	VYDAJ	PREVOD NA UCET	1143	47013	 	EF	99499773
276699	947	1997-11-06	VYDAJ	PREVOD NA UCET	1143	49348	 	EF	99499773
276700	947	1997-12-06	VYDAJ	PREVOD NA UCET	1143	54616	 	EF	99499773
276701	947	1998-01-06	VYDAJ	PREVOD NA UCET	1143	46287	 	EF	99499773
276702	947	1998-02-06	VYDAJ	PREVOD NA UCET	1143	47469	 	EF	99499773
276703	947	1998-03-06	VYDAJ	PREVOD NA UCET	1143	54112	 	EF	99499773
276704	947	1998-04-06	VYDAJ	PREVOD NA UCET	1143	55410	 	EF	99499773
276705	947	1998-05-06	VYDAJ	PREVOD NA UCET	1143	55476	 	EF	99499773
276706	947	1998-06-06	VYDAJ	PREVOD NA UCET	1143	58747	 	EF	99499773
276707	947	1998-07-06	VYDAJ	PREVOD NA UCET	1143	44424	 	EF	99499773
276708	947	1998-08-06	VYDAJ	PREVOD NA UCET	1143	51555	 	EF	99499773
276709	947	1998-09-06	VYDAJ	PREVOD NA UCET	1143	52405	 	EF	99499773
276710	947	1998-10-06	VYDAJ	PREVOD NA UCET	1143	45529	 	EF	99499773
276711	947	1998-11-06	VYDAJ	PREVOD NA UCET	1143	47880	 	EF	99499773
276712	947	1998-12-06	VYDAJ	PREVOD NA UCET	1143	52822	 	EF	99499773
276718	947	1998-06-12	VYDAJ	VYBER	36960	27838	\N	\N	\N
276724	947	1998-01-19	VYDAJ	VYBER	6880	36135	\N	\N	\N
276725	947	1993-12-12	VYDAJ	VYBER	3680	25690	\N	\N	\N
276726	947	1994-12-20	VYDAJ	VYBER	1120	24995	\N	\N	\N
276727	947	1995-12-10	VYDAJ	VYBER	4640	16516	\N	\N	\N
276728	947	1996-12-06	VYDAJ	VYBER	3360	25633	\N	\N	\N
276729	947	1997-12-29	VYDAJ	VYBER	4320	58001	\N	\N	\N
276730	947	1998-12-11	VYDAJ	VYBER	3680	55193	\N	\N	\N
276738	947	1994-01-06	VYDAJ	VYBER	2760	20474	\N	\N	\N
276739	947	1994-01-06	VYDAJ	VYBER	2040	18434	\N	\N	\N
276740	947	1994-01-07	VYDAJ	VYBER	3360	13931	\N	\N	\N
276742	947	1994-01-17	VYDAJ	VYBER	840	16419	\N	\N	\N
276744	947	1995-01-13	VYDAJ	VYBER	2400	15176	\N	\N	\N
276745	947	1995-01-10	VYDAJ	VYBER	1320	17576	\N	\N	\N
276748	947	1995-01-03	VYDAJ	VYBER	2400	17885	\N	\N	\N
276752	947	1996-01-06	VYDAJ	VYBER	1080	13296	\N	\N	\N
276753	947	1996-01-18	VYDAJ	VYBER	2160	13624	\N	\N	\N
276755	947	1997-01-16	VYDAJ	VYBER	960	22025	\N	\N	\N
276756	947	1997-01-03	VYDAJ	VYBER	1440	24880	\N	\N	\N
276757	947	1997-01-18	VYDAJ	VYBER	2520	19505	\N	\N	\N
276758	947	1997-01-21	VYDAJ	VYBER	1920	14705	\N	\N	\N
276759	947	1997-01-19	VYDAJ	VYBER	2880	16625	\N	\N	\N
276760	947	1997-01-27	VYDAJ	VYBER	1920	22285	\N	\N	\N
276761	947	1998-01-04	VYDAJ	VYBER	3360	49110	\N	\N	\N
276762	947	1998-01-08	VYDAJ	VYBER	1080	42687	\N	\N	\N
276763	947	1998-01-06	VYDAJ	VYBER	1680	47430	\N	\N	\N
276764	947	1998-01-02	VYDAJ	VYBER	3480	54750	\N	\N	\N
276765	947	1998-01-12	VYDAJ	VYBER	2160	44561	\N	\N	\N
276766	947	1998-01-08	VYDAJ	VYBER	2520	43767	\N	\N	\N
276767	947	1993-12-05	VYDAJ	VYBER	3840	24462	\N	\N	\N
276772	947	1994-01-10	VYDAJ	VYBER	4560	13405	\N	\N	\N
276773	947	1994-08-13	VYDAJ	VYBER	5280	17099	\N	\N	\N
276774	947	1995-01-02	VYDAJ	VYBER	4800	20285	\N	\N	\N
276775	947	1995-06-25	VYDAJ	VYBER	720	18541	\N	\N	\N
276776	947	1995-09-10	VYDAJ	VYBER	1320	13784	\N	\N	\N
276777	947	1995-01-08	VYDAJ	VYBER	4680	14862	\N	\N	\N
276778	947	1996-06-25	VYDAJ	VYBER	1080	21475	\N	\N	\N
276779	947	1996-12-20	VYDAJ	VYBER	2520	27618	\N	\N	\N
276780	947	1996-02-18	VYDAJ	VYBER	3480	13234	\N	\N	\N
276781	947	1997-06-20	VYDAJ	VYBER	2400	36860	\N	\N	\N
276782	947	1997-11-23	VYDAJ	VYBER	1080	55556	\N	\N	\N
276783	947	1997-01-12	VYDAJ	VYBER	3240	24531	\N	\N	\N
276784	947	1997-05-26	VYDAJ	VYBER	3000	35766	\N	\N	\N
276785	947	1997-09-17	VYDAJ	VYBER	4680	44673	\N	\N	\N
276786	947	1998-01-03	VYDAJ	VYBER	2280	52470	\N	\N	\N
276787	947	1998-12-17	VYDAJ	VYBER	2400	51247	\N	\N	\N
276788	947	1998-10-23	VYDAJ	VYBER	3480	48837	\N	\N	\N
276789	947	1998-09-23	VYDAJ	VYBER	5520	46473	\N	\N	\N
276790	947	1998-03-09	VYDAJ	VYBER	2160	51952	\N	\N	\N
276801	947	1993-10-31	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
276802	947	1993-11-30	VYDAJ	VYBER	15	28302	SLUZBY	\N	\N
276803	947	1993-12-31	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
276804	947	1994-01-31	VYDAJ	VYBER	15	16478	SLUZBY	\N	\N
276805	947	1994-02-28	VYDAJ	VYBER	15	22293	SLUZBY	\N	\N
276806	947	1994-03-31	VYDAJ	VYBER	15	23021	SLUZBY	\N	\N
276807	947	1994-04-30	VYDAJ	VYBER	15	21544	SLUZBY	\N	\N
276808	947	1994-05-31	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
276809	947	1994-06-30	VYDAJ	VYBER	15	22806	SLUZBY	\N	\N
276810	947	1994-07-31	VYDAJ	VYBER	15	23434	SLUZBY	\N	\N
276811	947	1994-08-31	VYDAJ	VYBER	15	17166	SLUZBY	\N	\N
276812	947	1994-09-30	VYDAJ	VYBER	15	22685	SLUZBY	\N	\N
276813	947	1994-10-31	VYDAJ	VYBER	15	26120	SLUZBY	\N	\N
276814	947	1994-11-30	VYDAJ	VYBER	15	24353	SLUZBY	\N	\N
276815	947	1994-12-31	VYDAJ	VYBER	15	25085	SLUZBY	\N	\N
276816	947	1995-01-31	VYDAJ	VYBER	15	13684	SLUZBY	\N	\N
276817	947	1995-02-28	VYDAJ	VYBER	15	17383	SLUZBY	\N	\N
276818	947	1995-03-31	VYDAJ	VYBER	15	17787	SLUZBY	\N	\N
276819	947	1995-04-30	VYDAJ	VYBER	15	19095	SLUZBY	\N	\N
276820	947	1995-05-31	VYDAJ	VYBER	15	17699	SLUZBY	\N	\N
276821	947	1995-06-30	VYDAJ	VYBER	15	18603	SLUZBY	\N	\N
276822	947	1995-07-31	VYDAJ	VYBER	15	19112	SLUZBY	\N	\N
276823	947	1995-08-31	VYDAJ	VYBER	15	16813	SLUZBY	\N	\N
276824	947	1995-09-30	VYDAJ	VYBER	15	12277	SLUZBY	\N	\N
276825	947	1995-10-31	VYDAJ	VYBER	15	13663	SLUZBY	\N	\N
276826	947	1995-11-30	VYDAJ	VYBER	15	13648	SLUZBY	\N	\N
276827	947	1995-12-31	VYDAJ	VYBER	15	15019	SLUZBY	\N	\N
276828	947	1996-01-31	VYDAJ	VYBER	15	13669	SLUZBY	\N	\N
276829	947	1996-02-29	VYDAJ	VYBER	15	13280	SLUZBY	\N	\N
276830	947	1996-03-31	VYDAJ	VYBER	15	15973	SLUZBY	\N	\N
276831	947	1996-04-30	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
276832	947	1996-05-31	VYDAJ	VYBER	15	19193	SLUZBY	\N	\N
276833	947	1996-06-30	VYDAJ	VYBER	15	21549	SLUZBY	\N	\N
276834	947	1996-07-31	VYDAJ	VYBER	15	23166	SLUZBY	\N	\N
276835	947	1996-08-31	VYDAJ	VYBER	15	25497	SLUZBY	\N	\N
276836	947	1996-09-30	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
276837	947	1996-10-31	VYDAJ	VYBER	15	29280	SLUZBY	\N	\N
276838	947	1996-11-30	VYDAJ	VYBER	15	30136	SLUZBY	\N	\N
276839	947	1996-12-31	VYDAJ	VYBER	15	26320	SLUZBY	\N	\N
276840	947	1997-01-31	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
276841	947	1997-02-28	VYDAJ	VYBER	15	29892	SLUZBY	\N	\N
276842	947	1997-03-31	VYDAJ	VYBER	15	32951	SLUZBY	\N	\N
276843	947	1997-04-30	VYDAJ	VYBER	15	34321	SLUZBY	\N	\N
276844	947	1997-05-31	VYDAJ	VYBER	15	35898	SLUZBY	\N	\N
276845	947	1997-06-30	VYDAJ	VYBER	15	38001	SLUZBY	\N	\N
276846	947	1997-07-31	VYDAJ	VYBER	15	41995	SLUZBY	\N	\N
276847	947	1997-08-31	VYDAJ	VYBER	15	48008	SLUZBY	\N	\N
276848	947	1997-09-30	VYDAJ	VYBER	15	48156	SLUZBY	\N	\N
276849	947	1997-10-31	VYDAJ	VYBER	15	50491	SLUZBY	\N	\N
276850	947	1997-11-30	VYDAJ	VYBER	15	55759	SLUZBY	\N	\N
276851	947	1997-12-31	VYDAJ	VYBER	15	58230	SLUZBY	\N	\N
276852	947	1998-01-31	VYDAJ	VYBER	15	48612	SLUZBY	\N	\N
276853	947	1998-02-28	VYDAJ	VYBER	15	55255	SLUZBY	\N	\N
276854	947	1998-03-31	VYDAJ	VYBER	15	56553	SLUZBY	\N	\N
276855	947	1998-04-30	VYDAJ	VYBER	15	56619	SLUZBY	\N	\N
276856	947	1998-05-31	VYDAJ	VYBER	15	59890	SLUZBY	\N	\N
276857	947	1998-06-30	VYDAJ	VYBER	15	45567	SLUZBY	\N	\N
276858	947	1998-07-31	VYDAJ	VYBER	15	52698	SLUZBY	\N	\N
276859	947	1998-08-31	VYDAJ	VYBER	15	53548	SLUZBY	\N	\N
276860	947	1998-09-30	VYDAJ	VYBER	15	46672	SLUZBY	\N	\N
276861	947	1998-10-31	VYDAJ	VYBER	15	49023	SLUZBY	\N	\N
276862	947	1998-11-30	VYDAJ	VYBER	15	53965	SLUZBY	\N	\N
276863	947	1993-06-16	PRIJEM	VKLAD	8200	15351	\N	\N	\N
276864	947	1993-07-16	PRIJEM	VKLAD	2400	21817	\N	\N	\N
276865	947	1993-08-15	VYDAJ	VYBER	1600	24329	\N	\N	\N
276866	947	1993-09-14	VYDAJ	VYBER	100	28360	\N	\N	\N
276867	947	1993-10-14	VYDAJ	VYBER	5000	25958	\N	\N	\N
276868	947	1993-11-13	PRIJEM	VKLAD	800	29748	\N	\N	\N
276869	947	1993-12-13	VYDAJ	VYBER	1000	23144	\N	\N	\N
276870	947	1994-01-12	PRIJEM	VKLAD	5400	18805	\N	\N	\N
276871	947	1994-02-11	PRIJEM	VKLAD	4400	23769	\N	\N	\N
276872	947	1994-03-13	VYDAJ	VYBER	700	22938	\N	\N	\N
276873	947	1994-04-12	VYDAJ	VYBER	2900	23012	\N	\N	\N
276874	947	1994-05-12	VYDAJ	VYBER	1400	23035	\N	\N	\N
276875	947	1994-06-11	VYDAJ	VYBER	2200	24273	\N	\N	\N
276876	947	1994-07-11	VYDAJ	VYBER	800	24897	\N	\N	\N
276877	947	1994-08-10	VYDAJ	VYBER	2400	23925	\N	\N	\N
276878	947	1994-09-09	PRIJEM	VKLAD	4100	20123	\N	\N	\N
276879	947	1994-10-09	PRIJEM	VKLAD	2000	23542	\N	\N	\N
276880	947	1994-11-08	VYDAJ	VYBER	3200	21777	\N	\N	\N
276881	947	1994-12-08	VYDAJ	VYBER	1600	21610	\N	\N	\N
276882	947	1995-01-07	PRIJEM	VKLAD	2800	19542	\N	\N	\N
276883	947	1995-02-06	PRIJEM	VKLAD	2300	15984	\N	\N	\N
276884	947	1995-03-08	VYDAJ	VYBER	1000	15240	\N	\N	\N
276885	947	1995-04-07	VYDAJ	VYBER	100	16544	\N	\N	\N
276886	947	1995-05-07	VYDAJ	VYBER	2800	15152	\N	\N	\N
276887	947	1995-06-06	VYDAJ	VYBER	1800	14756	\N	\N	\N
276888	947	1995-07-06	VYDAJ	VYBER	900	17703	\N	\N	\N
276889	947	1995-08-05	VYDAJ	VYBER	3700	15412	\N	\N	\N
276890	947	1995-09-04	VYDAJ	VYBER	4600	12213	\N	\N	\N
276891	947	1995-11-03	VYDAJ	VYBER	1400	12263	\N	\N	\N
276892	947	1995-12-03	PRIJEM	VKLAD	2600	16248	\N	\N	\N
276893	947	1996-01-02	PRIJEM	VKLAD	500	15519	\N	\N	\N
276894	947	1996-02-01	PRIJEM	VKLAD	1700	15369	\N	\N	\N
276895	947	1996-03-02	PRIJEM	VKLAD	1300	14580	\N	\N	\N
276896	947	1996-04-01	PRIJEM	VKLAD	2900	18873	\N	\N	\N
276897	947	1996-05-01	VYDAJ	VYBER	2300	17983	\N	\N	\N
276898	947	1996-05-31	VYDAJ	VYBER	200	19208	\N	\N	\N
276899	947	1996-06-30	VYDAJ	VYBER	1700	19849	\N	\N	\N
276900	947	1996-07-30	PRIJEM	VKLAD	1900	23094	\N	\N	\N
276901	947	1996-08-29	PRIJEM	VKLAD	900	25411	\N	\N	\N
276902	947	1996-09-28	VYDAJ	VYBER	900	25942	\N	\N	\N
276903	947	1996-10-28	PRIJEM	VKLAD	1800	29182	\N	\N	\N
276904	947	1996-11-27	VYDAJ	VYBER	600	30025	\N	\N	\N
276905	947	1996-12-27	VYDAJ	VYBER	1400	26218	\N	\N	\N
276906	947	1997-01-26	PRIJEM	VKLAD	9500	24205	\N	\N	\N
276907	947	1997-02-25	PRIJEM	VKLAD	6100	29806	\N	\N	\N
276908	947	1997-03-27	PRIJEM	VKLAD	1600	32837	\N	\N	\N
276909	947	1997-04-26	VYDAJ	VYBER	100	34196	\N	\N	\N
276910	947	1997-05-26	PRIJEM	VKLAD	3100	38766	\N	\N	\N
276911	947	1997-06-25	PRIJEM	VKLAD	1000	37860	\N	\N	\N
276912	947	1997-07-25	PRIJEM	VKLAD	2500	41846	\N	\N	\N
276913	947	1997-08-24	PRIJEM	VKLAD	4500	47840	\N	\N	\N
276914	947	1997-09-23	PRIJEM	VKLAD	3300	47973	\N	\N	\N
276915	947	1997-10-23	PRIJEM	VKLAD	800	50301	\N	\N	\N
276916	947	1997-11-22	PRIJEM	VKLAD	4800	56636	\N	\N	\N
276917	947	1997-12-22	PRIJEM	VKLAD	3200	62321	\N	\N	\N
276918	947	1998-01-21	PRIJEM	VKLAD	12300	48435	\N	\N	\N
276919	947	1998-02-20	PRIJEM	VKLAD	5100	55057	\N	\N	\N
276920	947	1998-03-22	PRIJEM	VKLAD	1900	56340	\N	\N	\N
276921	947	1998-04-21	VYDAJ	VYBER	1500	56398	\N	\N	\N
276922	947	1998-05-21	PRIJEM	VKLAD	1700	59664	\N	\N	\N
276923	947	1998-06-20	PRIJEM	VKLAD	19100	45392	\N	\N	\N
276924	947	1998-07-20	PRIJEM	VKLAD	5600	52512	\N	\N	\N
276925	947	1998-08-19	VYDAJ	VYBER	700	53343	\N	\N	\N
276926	947	1998-09-18	VYDAJ	VYBER	2900	51993	\N	\N	\N
276927	947	1998-10-18	PRIJEM	VKLAD	4300	52317	\N	\N	\N
276928	947	1998-11-17	PRIJEM	VKLAD	3400	53768	\N	\N	\N
277395	949	1996-02-13	PRIJEM	VKLAD	700	700	\N	\N	\N
277398	949	1996-03-05	PRIJEM	PREVOD Z UCTU	13201	13901	\N	YZ	84689288
277399	949	1996-04-05	PRIJEM	PREVOD Z UCTU	13201	33150	\N	YZ	84689288
277400	949	1996-05-05	PRIJEM	PREVOD Z UCTU	13201	39750	\N	YZ	84689288
277401	949	1996-06-05	PRIJEM	PREVOD Z UCTU	19802	50473	\N	YZ	84689288
277402	949	1996-07-05	PRIJEM	PREVOD Z UCTU	13201	48413	\N	YZ	84689288
277403	949	1996-08-05	PRIJEM	PREVOD Z UCTU	13201	47143	\N	YZ	84689288
277404	949	1996-09-05	PRIJEM	PREVOD Z UCTU	13201	22095	\N	YZ	84689288
277405	949	1996-10-05	PRIJEM	PREVOD Z UCTU	13201	18107	\N	YZ	84689288
277406	949	1996-11-05	PRIJEM	PREVOD Z UCTU	13201	32456	\N	YZ	84689288
277407	949	1996-12-05	PRIJEM	PREVOD Z UCTU	19802	35149	\N	YZ	84689288
277408	949	1997-01-05	PRIJEM	PREVOD Z UCTU	13201	21098	\N	YZ	84689288
277409	949	1997-02-05	PRIJEM	PREVOD Z UCTU	13201	12730	\N	YZ	84689288
277410	949	1997-03-05	PRIJEM	PREVOD Z UCTU	13201	33983	\N	YZ	84689288
277411	949	1997-04-05	PRIJEM	PREVOD Z UCTU	13201	33368	\N	YZ	84689288
277412	949	1997-05-05	PRIJEM	PREVOD Z UCTU	13201	48386	\N	YZ	84689288
277413	949	1997-06-05	PRIJEM	PREVOD Z UCTU	19802	64450	\N	YZ	84689288
277414	949	1997-07-05	PRIJEM	PREVOD Z UCTU	13201	28822	\N	YZ	84689288
277415	949	1997-08-05	PRIJEM	PREVOD Z UCTU	13201	42827	\N	YZ	84689288
277416	949	1997-09-05	PRIJEM	PREVOD Z UCTU	13201	54878	\N	YZ	84689288
277417	949	1997-10-05	PRIJEM	PREVOD Z UCTU	13201	62185	\N	YZ	84689288
277418	949	1997-11-05	PRIJEM	PREVOD Z UCTU	13201	59986	\N	YZ	84689288
277419	949	1997-12-05	PRIJEM	PREVOD Z UCTU	19802	63211	\N	YZ	84689288
277420	949	1998-01-05	PRIJEM	PREVOD Z UCTU	13201	60837	\N	YZ	84689288
277421	949	1998-02-05	PRIJEM	PREVOD Z UCTU	13201	50425	\N	YZ	84689288
277422	949	1998-03-05	PRIJEM	PREVOD Z UCTU	13201	55610	\N	YZ	84689288
277423	949	1998-04-05	PRIJEM	PREVOD Z UCTU	13201	59212	\N	YZ	84689288
277424	949	1998-05-05	PRIJEM	PREVOD Z UCTU	13201	62434	\N	YZ	84689288
277425	949	1998-06-05	PRIJEM	PREVOD Z UCTU	19802	65461	\N	YZ	84689288
277426	949	1998-07-05	PRIJEM	PREVOD Z UCTU	13201	67915	\N	YZ	84689288
277427	949	1998-08-05	PRIJEM	PREVOD Z UCTU	13201	59485	\N	YZ	84689288
277428	949	1998-09-05	PRIJEM	PREVOD Z UCTU	13201	65111	\N	YZ	84689288
277429	949	1998-10-05	PRIJEM	PREVOD Z UCTU	13201	66715	\N	YZ	84689288
277430	949	1998-11-05	PRIJEM	PREVOD Z UCTU	13201	71171	\N	YZ	84689288
277431	949	1998-12-05	PRIJEM	PREVOD Z UCTU	19802	81900	\N	YZ	84689288
277433	949	1996-09-26	VYBER	VYBER	14732	4863	\N	\N	\N
277435	949	1996-08-11	VYBER	VYBER	24812	22331	\N	\N	\N
277438	949	1997-06-18	VYBER	VYBER	3992	48458	\N	\N	\N
277439	949	1998-12-10	VYBER	VYBER	10495	65405	\N	\N	\N
277440	949	1998-07-09	VYBER	VYBER	9637	58278	\N	\N	\N
277442	949	1997-06-25	VYDAJ	VYBER	33000	15458	\N	\N	\N
277444	949	1996-12-18	VYDAJ	VYBER	4800	10249	\N	\N	\N
277445	949	1997-12-07	VYDAJ	VYBER	5400	57811	\N	\N	\N
277446	949	1998-12-08	VYDAJ	VYBER	6000	75900	\N	\N	\N
277453	949	1997-01-19	VYDAJ	VYBER	3900	5498	\N	\N	\N
277454	949	1997-01-01	VYDAJ	VYBER	2400	7897	\N	\N	\N
277455	949	1997-01-30	VYDAJ	VYBER	6000	-502	\N	\N	\N
277456	949	1997-01-10	VYDAJ	VYBER	5700	18398	\N	\N	\N
277457	949	1997-01-15	VYDAJ	VYBER	3900	9398	\N	\N	\N
277458	949	1997-01-14	VYDAJ	VYBER	5100	13298	\N	\N	\N
277459	949	1998-01-05	VYDAJ	VYBER	3000	57837	\N	\N	\N
277460	949	1998-01-16	VYDAJ	VYBER	8100	45237	\N	\N	\N
277461	949	1998-01-01	VYDAJ	VYBER	6600	51436	\N	\N	\N
277462	949	1998-01-17	VYDAJ	VYBER	6000	37437	\N	\N	\N
277463	949	1998-01-17	VYDAJ	VYBER	1800	43437	\N	\N	\N
277464	949	1998-01-09	VYDAJ	VYBER	4500	53337	\N	\N	\N
277465	949	1996-08-15	VYDAJ	VYBER	13200	8831	\N	\N	\N
277466	949	1996-11-30	VYDAJ	VYBER	12900	15362	\N	\N	\N
277467	949	1996-12-14	VYDAJ	VYBER	13200	15049	\N	\N	\N
277470	949	1997-07-14	VYDAJ	VYBER	7500	29522	\N	\N	\N
277471	949	1997-03-18	VYDAJ	VYBER	12000	20083	\N	\N	\N
277472	949	1997-11-24	VYDAJ	VYBER	8400	51586	\N	\N	\N
277473	949	1998-02-27	VYDAJ	VYBER	11700	38725	\N	\N	\N
277474	949	1998-12-25	VYDAJ	VYBER	13800	51605	\N	\N	\N
277475	949	1998-07-10	VYDAJ	VYBER	10500	47778	\N	\N	\N
277476	949	1998-05-05	VYDAJ	VYBER	4800	57634	\N	\N	\N
277477	949	1998-03-17	VYDAJ	VYBER	3300	52310	\N	\N	\N
277478	949	1998-04-16	VYDAJ	VYBER	3300	55912	\N	\N	\N
277486	949	1996-07-31	VYDAJ	VYBER	15	33942	SLUZBY	\N	\N
277487	949	1996-08-31	VYDAJ	VYBER	15	8894	SLUZBY	\N	\N
277488	949	1996-09-30	VYDAJ	VYBER	15	4906	SLUZBY	\N	\N
277489	949	1996-10-31	VYDAJ	VYBER	15	19255	SLUZBY	\N	\N
277490	949	1996-11-30	VYDAJ	VYBER	15	15347	SLUZBY	\N	\N
277491	949	1996-12-31	VYDAJ	VYBER	15	10297	SLUZBY	\N	\N
277492	949	1997-01-31	VYDAJ	VYBER	15	-471	SLUZBY	\N	\N
277493	949	1997-02-28	VYDAJ	VYBER	15	20783	SLUZBY	\N	\N
277494	949	1997-03-31	VYDAJ	VYBER	15	20167	SLUZBY	\N	\N
277495	949	1997-04-30	VYDAJ	VYBER	15	35185	SLUZBY	\N	\N
277496	949	1997-05-31	VYDAJ	VYBER	15	44648	SLUZBY	\N	\N
277497	949	1997-06-30	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
277498	949	1997-07-31	VYDAJ	VYBER	15	29626	SLUZBY	\N	\N
277499	949	1997-08-31	VYDAJ	VYBER	15	41677	SLUZBY	\N	\N
277500	949	1997-09-30	VYDAJ	VYBER	15	48984	SLUZBY	\N	\N
277501	949	1997-10-31	VYDAJ	VYBER	15	52385	SLUZBY	\N	\N
277502	949	1997-11-30	VYDAJ	VYBER	15	51809	SLUZBY	\N	\N
277503	949	1997-12-31	VYDAJ	VYBER	15	58036	SLUZBY	\N	\N
277504	949	1998-01-31	VYDAJ	VYBER	15	37624	SLUZBY	\N	\N
277505	949	1998-02-28	VYDAJ	VYBER	15	38909	SLUZBY	\N	\N
277506	949	1998-03-31	VYDAJ	VYBER	15	52511	SLUZBY	\N	\N
277507	949	1998-04-30	VYDAJ	VYBER	15	56133	SLUZBY	\N	\N
277508	949	1998-05-31	VYDAJ	VYBER	15	57859	SLUZBY	\N	\N
277509	949	1998-06-30	VYDAJ	VYBER	15	65714	SLUZBY	\N	\N
277510	949	1998-07-31	VYDAJ	VYBER	15	47984	SLUZBY	\N	\N
277511	949	1998-08-31	VYDAJ	VYBER	15	51910	SLUZBY	\N	\N
277512	949	1998-09-30	VYDAJ	VYBER	15	65314	SLUZBY	\N	\N
277513	949	1998-10-31	VYDAJ	VYBER	15	57970	SLUZBY	\N	\N
277514	949	1998-11-30	VYDAJ	VYBER	15	62098	SLUZBY	\N	\N
277515	949	1996-03-14	PRIJEM	VKLAD	6000	19901	\N	\N	\N
277516	949	1996-04-13	VYDAJ	VYBER	6700	26450	\N	\N	\N
277517	949	1996-05-13	VYDAJ	VYBER	9200	30550	\N	\N	\N
277518	949	1996-06-12	VYDAJ	VYBER	15400	35073	\N	\N	\N
277519	949	1996-07-12	VYDAJ	VYBER	14600	33813	\N	\N	\N
277520	949	1996-08-11	VYDAJ	VYBER	300	22031	\N	\N	\N
277521	949	1996-09-10	VYDAJ	VYBER	2500	19595	\N	\N	\N
277522	949	1996-10-10	PRIJEM	VKLAD	1100	19207	\N	\N	\N
277523	949	1996-11-09	VYDAJ	VYBER	4300	28156	\N	\N	\N
277524	949	1996-12-09	VYDAJ	VYBER	6900	28249	\N	\N	\N
277525	949	1997-01-08	PRIJEM	VKLAD	3000	24098	\N	\N	\N
277526	949	1997-02-07	PRIJEM	VKLAD	8000	20730	\N	\N	\N
277527	949	1997-03-09	VYDAJ	VYBER	1900	32083	\N	\N	\N
277528	949	1997-04-08	PRIJEM	VKLAD	1700	35068	\N	\N	\N
277529	949	1997-05-08	VYDAJ	VYBER	3900	44486	\N	\N	\N
277530	949	1997-06-07	VYDAJ	VYBER	12000	52450	\N	\N	\N
277531	949	1997-07-07	PRIJEM	VKLAD	8200	37022	\N	\N	\N
277532	949	1997-08-06	VYDAJ	VYBER	1300	41527	\N	\N	\N
277533	949	1997-09-05	VYDAJ	VYBER	6100	48778	\N	\N	\N
277534	949	1997-10-05	VYDAJ	VYBER	10000	52185	\N	\N	\N
277535	949	1997-11-04	VYDAJ	VYBER	5600	46785	\N	\N	\N
277536	949	1997-12-04	VYDAJ	VYBER	8400	43409	\N	\N	\N
277537	949	1998-01-03	VYDAJ	VYBER	3800	47636	\N	\N	\N
277538	949	1998-02-02	VYDAJ	VYBER	400	37224	\N	\N	\N
277539	949	1998-03-04	PRIJEM	VKLAD	3500	42409	\N	\N	\N
277540	949	1998-04-03	VYDAJ	VYBER	6500	46011	\N	\N	\N
277541	949	1998-05-03	VYDAJ	VYBER	6900	49233	\N	\N	\N
277542	949	1998-06-02	VYDAJ	VYBER	12200	45659	\N	\N	\N
277543	949	1998-07-02	VYDAJ	VYBER	11000	54714	\N	\N	\N
277544	949	1998-08-01	VYDAJ	VYBER	1700	46284	\N	\N	\N
277545	949	1998-08-31	VYDAJ	VYBER	7800	51925	\N	\N	\N
277546	949	1998-09-30	VYDAJ	VYBER	11800	53514	\N	\N	\N
277547	949	1998-10-30	VYDAJ	VYBER	9000	57715	\N	\N	\N
277548	949	1998-11-29	VYDAJ	VYBER	9300	61871	\N	\N	\N
277585	950	1993-08-26	PRIJEM	VKLAD	200	200	\N	\N	\N
277594	950	1993-09-09	PRIJEM	VKLAD	19591	19791	\N	\N	\N
277595	950	1993-10-09	PRIJEM	VKLAD	19591	39999	\N	\N	\N
277596	950	1993-11-09	PRIJEM	VKLAD	19591	53187	\N	\N	\N
277597	950	1993-12-09	PRIJEM	VKLAD	29386	68018	\N	\N	\N
277598	950	1994-01-09	PRIJEM	VKLAD	19591	68280	\N	\N	\N
277599	950	1994-02-09	PRIJEM	VKLAD	19591	52525	\N	\N	\N
277600	950	1994-03-09	PRIJEM	VKLAD	19591	46039	\N	\N	\N
277601	950	1994-04-09	PRIJEM	VKLAD	19591	46875	\N	\N	\N
277602	950	1994-05-09	PRIJEM	VKLAD	19591	46613	\N	\N	\N
277603	950	1994-06-09	PRIJEM	VKLAD	29386	57388	\N	\N	\N
277604	950	1994-07-09	PRIJEM	VKLAD	19591	49999	\N	\N	\N
277605	950	1994-08-09	PRIJEM	VKLAD	19591	47144	\N	\N	\N
277606	950	1994-09-09	PRIJEM	VKLAD	19591	44629	\N	\N	\N
277607	950	1994-10-09	PRIJEM	VKLAD	19591	39290	\N	\N	\N
277608	950	1994-11-09	PRIJEM	VKLAD	19591	47704	\N	\N	\N
277609	950	1994-12-09	PRIJEM	VKLAD	29386	55430	\N	\N	\N
277610	950	1995-01-09	PRIJEM	VKLAD	19591	38361	\N	\N	\N
277611	950	1995-02-09	PRIJEM	VKLAD	19591	45780	\N	\N	\N
277612	950	1995-03-09	PRIJEM	VKLAD	19591	53418	\N	\N	\N
277613	950	1995-04-09	PRIJEM	VKLAD	19591	58586	\N	\N	\N
277614	950	1995-05-09	PRIJEM	VKLAD	19591	59264	\N	\N	\N
277615	950	1995-06-09	PRIJEM	VKLAD	29386	36722	\N	\N	\N
277616	950	1995-07-09	PRIJEM	VKLAD	19591	51050	\N	\N	\N
277617	950	1995-08-09	PRIJEM	VKLAD	19591	60214	\N	\N	\N
277618	950	1995-09-09	PRIJEM	VKLAD	19591	65408	\N	\N	\N
277619	950	1995-10-09	PRIJEM	VKLAD	19591	69319	\N	\N	\N
277620	950	1995-11-09	PRIJEM	VKLAD	19591	65644	\N	\N	\N
277621	950	1995-12-09	PRIJEM	VKLAD	29386	77350	\N	\N	\N
277622	950	1996-01-09	PRIJEM	VKLAD	19591	73086	\N	\N	\N
277623	950	1996-02-09	PRIJEM	VKLAD	19591	75726	\N	\N	\N
277624	950	1996-03-09	PRIJEM	VKLAD	19591	70667	\N	\N	\N
277625	950	1996-04-09	PRIJEM	VKLAD	19591	74399	\N	\N	\N
277626	950	1996-05-09	PRIJEM	VKLAD	19591	79146	\N	\N	\N
277627	950	1996-06-09	PRIJEM	VKLAD	29386	93607	\N	\N	\N
277628	950	1996-07-09	PRIJEM	VKLAD	19591	55981	\N	\N	\N
277629	950	1996-08-09	PRIJEM	VKLAD	19591	72182	\N	\N	\N
277630	950	1996-09-09	PRIJEM	VKLAD	19591	79224	\N	\N	\N
277631	950	1996-10-09	PRIJEM	VKLAD	19591	84793	\N	\N	\N
277632	950	1996-11-09	PRIJEM	VKLAD	19591	81948	\N	\N	\N
277633	950	1996-12-09	PRIJEM	VKLAD	29386	97137	\N	\N	\N
277634	950	1997-01-09	PRIJEM	VKLAD	19591	94356	\N	\N	\N
277635	950	1997-02-09	PRIJEM	VKLAD	19591	87004	\N	\N	\N
277636	950	1997-03-09	PRIJEM	VKLAD	19591	94418	\N	\N	\N
277637	950	1997-04-09	PRIJEM	VKLAD	19591	101565	\N	\N	\N
277638	950	1997-05-09	PRIJEM	VKLAD	19591	107141	\N	\N	\N
277639	950	1997-06-09	PRIJEM	VKLAD	29386	115037	\N	\N	\N
277640	950	1997-07-09	PRIJEM	VKLAD	19591	82917	\N	\N	\N
277641	950	1997-08-09	PRIJEM	VKLAD	19591	97695	\N	\N	\N
277642	950	1997-09-09	PRIJEM	VKLAD	19591	104648	\N	\N	\N
277643	950	1997-10-09	PRIJEM	VKLAD	19591	105935	\N	\N	\N
277644	950	1997-11-09	PRIJEM	VKLAD	19591	109520	\N	\N	\N
277645	950	1997-12-09	PRIJEM	VKLAD	29386	119123	\N	\N	\N
277646	950	1998-01-09	PRIJEM	VKLAD	19591	77250	\N	\N	\N
277647	950	1998-02-09	PRIJEM	VKLAD	19591	95228	\N	\N	\N
277648	950	1998-03-09	PRIJEM	VKLAD	19591	104766	\N	\N	\N
277649	950	1998-04-09	PRIJEM	VKLAD	19591	103487	\N	\N	\N
277650	950	1998-05-09	PRIJEM	VKLAD	19591	110070	\N	\N	\N
277651	950	1998-06-09	PRIJEM	VKLAD	29386	123575	\N	\N	\N
277652	950	1998-07-09	PRIJEM	VKLAD	19591	89692	\N	\N	\N
277653	950	1998-08-09	PRIJEM	VKLAD	19591	105299	\N	\N	\N
277654	950	1998-09-09	PRIJEM	VKLAD	19591	116986	\N	\N	\N
277655	950	1998-10-09	PRIJEM	VKLAD	19591	125322	\N	\N	\N
277656	950	1998-11-09	PRIJEM	VKLAD	19591	97486	\N	\N	\N
277657	950	1998-12-09	PRIJEM	VKLAD	29386	128742	\N	\N	\N
277671	950	1994-02-07	VYDAJ	PREVOD NA UCET	8910	32934	SIPO	CD	13765102
277672	950	1994-03-07	VYDAJ	PREVOD NA UCET	8910	26448	SIPO	CD	13765102
277673	950	1994-04-07	VYDAJ	PREVOD NA UCET	8910	27284	SIPO	CD	13765102
277674	950	1994-05-07	VYDAJ	PREVOD NA UCET	8910	27022	SIPO	CD	13765102
277675	950	1994-06-07	VYDAJ	PREVOD NA UCET	8910	28002	SIPO	CD	13765102
277676	950	1994-07-07	VYDAJ	PREVOD NA UCET	8910	30408	SIPO	CD	13765102
277677	950	1994-08-07	VYDAJ	PREVOD NA UCET	8910	27553	SIPO	CD	13765102
277678	950	1994-09-07	VYDAJ	PREVOD NA UCET	8910	25038	SIPO	CD	13765102
277679	950	1994-10-07	VYDAJ	PREVOD NA UCET	8910	19699	SIPO	CD	13765102
277680	950	1994-11-07	VYDAJ	PREVOD NA UCET	8910	28113	SIPO	CD	13765102
277681	950	1994-12-07	VYDAJ	PREVOD NA UCET	8910	26044	SIPO	CD	13765102
277682	950	1995-01-07	VYDAJ	PREVOD NA UCET	8910	18770	SIPO	CD	13765102
277683	950	1995-02-07	VYDAJ	PREVOD NA UCET	8910	26189	SIPO	CD	13765102
277684	950	1995-03-07	VYDAJ	PREVOD NA UCET	8910	33827	SIPO	CD	13765102
277685	950	1995-04-07	VYDAJ	PREVOD NA UCET	8910	38995	SIPO	CD	13765102
277686	950	1995-05-07	VYDAJ	PREVOD NA UCET	8910	39673	SIPO	CD	13765102
277687	950	1995-06-07	VYDAJ	PREVOD NA UCET	8910	7336	SIPO	CD	13765102
277688	950	1995-07-07	VYDAJ	PREVOD NA UCET	8910	31459	SIPO	CD	13765102
277689	950	1995-08-07	VYDAJ	PREVOD NA UCET	8910	40623	SIPO	CD	13765102
277690	950	1995-09-07	VYDAJ	PREVOD NA UCET	8910	45817	SIPO	CD	13765102
277691	950	1995-10-07	VYDAJ	PREVOD NA UCET	8910	49728	SIPO	CD	13765102
277692	950	1995-11-07	VYDAJ	PREVOD NA UCET	8910	46053	SIPO	CD	13765102
277693	950	1995-12-07	VYDAJ	PREVOD NA UCET	8910	47964	SIPO	CD	13765102
277694	950	1996-01-07	VYDAJ	PREVOD NA UCET	8910	53495	SIPO	CD	13765102
277695	950	1996-02-07	VYDAJ	PREVOD NA UCET	8910	56135	SIPO	CD	13765102
277696	950	1996-03-07	VYDAJ	PREVOD NA UCET	8910	51076	SIPO	CD	13765102
277697	950	1996-04-07	VYDAJ	PREVOD NA UCET	8910	54808	SIPO	CD	13765102
277698	950	1996-05-07	VYDAJ	PREVOD NA UCET	8910	59555	SIPO	CD	13765102
277699	950	1996-06-07	VYDAJ	PREVOD NA UCET	8910	64221	SIPO	CD	13765102
277700	950	1996-07-07	VYDAJ	PREVOD NA UCET	8910	36390	SIPO	CD	13765102
277701	950	1996-08-07	VYDAJ	PREVOD NA UCET	8910	52591	SIPO	CD	13765102
277702	950	1996-09-07	VYDAJ	PREVOD NA UCET	8910	59633	SIPO	CD	13765102
277703	950	1996-10-07	VYDAJ	PREVOD NA UCET	8910	65202	SIPO	CD	13765102
277704	950	1996-11-07	VYDAJ	PREVOD NA UCET	8910	66077	SIPO	CD	13765102
277705	950	1996-12-07	VYDAJ	PREVOD NA UCET	8910	73351	SIPO	CD	13765102
277706	950	1997-01-07	VYDAJ	PREVOD NA UCET	8910	74765	SIPO	CD	13765102
277707	950	1997-02-07	VYDAJ	PREVOD NA UCET	8910	67413	SIPO	CD	13765102
277708	950	1997-03-07	VYDAJ	PREVOD NA UCET	8910	78427	SIPO	CD	13765102
277709	950	1997-04-07	VYDAJ	PREVOD NA UCET	8910	85874	SIPO	CD	13765102
277710	950	1997-05-07	VYDAJ	PREVOD NA UCET	8910	93050	SIPO	CD	13765102
277711	950	1997-06-07	VYDAJ	PREVOD NA UCET	8910	85651	SIPO	CD	13765102
277712	950	1997-07-07	VYDAJ	PREVOD NA UCET	8910	63326	SIPO	CD	13765102
277713	950	1997-08-07	VYDAJ	PREVOD NA UCET	8910	78104	SIPO	CD	13765102
277714	950	1997-09-07	VYDAJ	PREVOD NA UCET	8910	85057	SIPO	CD	13765102
277715	950	1997-10-07	VYDAJ	PREVOD NA UCET	8910	86344	SIPO	CD	13765102
277716	950	1997-11-07	VYDAJ	PREVOD NA UCET	8910	89929	SIPO	CD	13765102
277717	950	1997-12-07	VYDAJ	PREVOD NA UCET	8910	89737	SIPO	CD	13765102
277718	950	1998-01-07	VYDAJ	PREVOD NA UCET	8910	57659	SIPO	CD	13765102
277719	950	1998-02-07	VYDAJ	PREVOD NA UCET	8910	75637	SIPO	CD	13765102
277720	950	1998-03-07	VYDAJ	PREVOD NA UCET	8910	85175	SIPO	CD	13765102
277721	950	1998-04-07	VYDAJ	PREVOD NA UCET	8910	83896	SIPO	CD	13765102
277722	950	1998-05-07	VYDAJ	PREVOD NA UCET	8910	90479	SIPO	CD	13765102
277723	950	1998-06-07	VYDAJ	PREVOD NA UCET	8910	94189	SIPO	CD	13765102
277724	950	1998-07-07	VYDAJ	PREVOD NA UCET	8910	70101	SIPO	CD	13765102
277725	950	1998-08-07	VYDAJ	PREVOD NA UCET	8910	85708	SIPO	CD	13765102
277726	950	1998-09-07	VYDAJ	PREVOD NA UCET	8910	97395	SIPO	CD	13765102
277727	950	1998-10-07	VYDAJ	PREVOD NA UCET	8910	105731	SIPO	CD	13765102
277728	950	1998-11-07	VYDAJ	PREVOD NA UCET	8910	77895	SIPO	CD	13765102
277729	950	1998-12-07	VYDAJ	PREVOD NA UCET	8910	99356	SIPO	CD	13765102
277731	950	1994-06-17	VYDAJ	VYBER	11040	46348	\N	\N	\N
277732	950	1995-06-02	VYDAJ	VYBER	33120	16246	\N	\N	\N
277733	950	1996-06-19	VYDAJ	VYBER	32960	45047	\N	\N	\N
277734	950	1997-06-17	VYDAJ	VYBER	39680	51637	\N	\N	\N
277735	950	1998-06-13	VYDAJ	VYBER	24960	60115	\N	\N	\N
277737	950	1994-01-30	VYDAJ	VYBER	5120	41660	\N	\N	\N
277738	950	1995-01-05	VYDAJ	VYBER	15520	27680	\N	\N	\N
277739	950	1996-01-03	VYDAJ	VYBER KARTOU	2700	62405	\N	\N	0
277740	950	1997-01-12	VYDAJ	VYBER	15360	78996	\N	\N	\N
277741	950	1998-01-02	VYDAJ	VYBER	14720	66569	\N	\N	\N
277743	950	1994-12-12	VYDAJ	VYBER KARTOU	3700	51730	\N	\N	0
277744	950	1995-12-15	VYDAJ	VYBER KARTOU	3800	64850	\N	\N	0
277745	950	1996-12-17	VYDAJ	VYBER	4160	92977	\N	\N	\N
277746	950	1997-12-09	VYDAJ	VYBER KARTOU	3700	52223	\N	\N	0
277747	950	1998-12-20	VYDAJ	VYBER KARTOU	3500	85542	\N	\N	0
277752	950	1994-08-12	VYDAJ	VYBER	5040	42104	\N	\N	\N
277753	950	1994-09-21	VYDAJ	VYBER	5760	31869	\N	\N	\N
277754	950	1994-11-18	VYDAJ	VYBER	4800	42904	\N	\N	\N
277755	950	1994-06-02	VYDAJ	VYBER	2160	36912	\N	\N	\N
277756	950	1994-09-28	VYDAJ	VYBER KARTOU	3400	28469	\N	\N	0
277757	950	1994-02-22	VYDAJ	VYBER	5040	35185	\N	\N	\N
277758	950	1994-07-09	VYDAJ	VYBER KARTOU	1300	48699	\N	\N	0
277759	950	1994-12-25	VYDAJ	VYBER KARTOU	1200	43030	\N	\N	0
277760	950	1995-04-12	VYDAJ	VYBER KARTOU	1600	56986	\N	\N	0
277761	950	1995-10-30	VYDAJ	VYBER KARTOU	3400	58419	\N	\N	0
277762	950	1995-10-31	VYDAJ	VYBER KARTOU	3700	54963	\N	\N	0
277763	950	1995-11-15	VYDAJ	VYBER KARTOU	3200	56644	\N	\N	0
277764	950	1996-11-07	VYDAJ	VYBER	4320	61757	\N	\N	\N
277765	950	1996-01-30	VYDAJ	VYBER KARTOU	1400	64786	\N	\N	0
277766	950	1996-12-27	VYDAJ	VYBER	5160	87817	\N	\N	\N
277767	950	1996-03-03	VYDAJ	VYBER	5400	59986	\N	\N	\N
277768	950	1996-09-12	VYDAJ	VYBER KARTOU	1200	73824	\N	\N	0
277769	950	1997-10-10	VYDAJ	VYBER KARTOU	3700	102235	\N	\N	0
277770	950	1997-06-11	VYDAJ	VYBER	5520	91317	\N	\N	\N
277771	950	1997-09-29	VYDAJ	VYBER KARTOU	1800	102848	\N	\N	0
277772	950	1997-01-07	VYDAJ	VYBER KARTOU	2000	86175	\N	\N	0
277773	950	1998-03-23	VYDAJ	VYBER KARTOU	2800	101966	\N	\N	0
277774	950	1998-11-06	VYDAJ	VYBER	5040	86805	\N	\N	\N
277775	950	1998-10-25	VYDAJ	VYBER KARTOU	3600	65322	\N	\N	0
277776	950	1998-08-27	VYDAJ	VYBER KARTOU	2200	103099	\N	\N	0
277777	950	1998-07-26	VYDAJ	VYBER KARTOU	700	88992	\N	\N	0
277778	950	1998-12-16	VYDAJ	VYBER KARTOU	1400	89042	\N	\N	0
277779	950	1998-03-30	VYDAJ	VYBER	4560	97406	\N	\N	\N
277793	950	1994-01-31	VYDAJ	VYBER	15	41844	SLUZBY	\N	\N
277794	950	1994-02-28	VYDAJ	VYBER	15	35358	SLUZBY	\N	\N
277795	950	1994-03-31	VYDAJ	VYBER	15	36194	SLUZBY	\N	\N
277796	950	1994-04-30	VYDAJ	VYBER	15	35932	SLUZBY	\N	\N
277797	950	1994-05-31	VYDAJ	VYBER	15	39072	SLUZBY	\N	\N
277798	950	1994-06-30	VYDAJ	VYBER	15	39318	SLUZBY	\N	\N
277799	950	1994-07-31	VYDAJ	VYBER	15	36463	SLUZBY	\N	\N
277800	950	1994-08-31	VYDAJ	VYBER	15	33948	SLUZBY	\N	\N
277801	950	1994-09-30	VYDAJ	VYBER	15	28609	SLUZBY	\N	\N
277802	950	1994-10-31	VYDAJ	VYBER	15	37023	SLUZBY	\N	\N
277803	950	1994-11-30	VYDAJ	VYBER	15	34954	SLUZBY	\N	\N
277804	950	1994-12-31	VYDAJ	VYBER	15	43200	SLUZBY	\N	\N
277805	950	1995-01-31	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
277806	950	1995-02-28	VYDAJ	VYBER	15	42737	SLUZBY	\N	\N
277807	950	1995-03-31	VYDAJ	VYBER	15	47905	SLUZBY	\N	\N
277808	950	1995-04-30	VYDAJ	VYBER	15	48583	SLUZBY	\N	\N
277809	950	1995-05-31	VYDAJ	VYBER	15	49366	SLUZBY	\N	\N
277810	950	1995-06-30	VYDAJ	VYBER	15	40369	SLUZBY	\N	\N
277811	950	1995-07-31	VYDAJ	VYBER	15	49533	SLUZBY	\N	\N
277812	950	1995-08-31	VYDAJ	VYBER	15	54727	SLUZBY	\N	\N
277813	950	1995-09-30	VYDAJ	VYBER	15	58638	SLUZBY	\N	\N
277814	950	1995-10-31	VYDAJ	VYBER	15	58663	SLUZBY	\N	\N
277815	950	1995-11-30	VYDAJ	VYBER	15	56874	SLUZBY	\N	\N
277816	950	1995-12-31	VYDAJ	VYBER	15	65105	SLUZBY	\N	\N
277817	950	1996-01-31	VYDAJ	VYBER	15	65045	SLUZBY	\N	\N
277818	950	1996-02-29	VYDAJ	VYBER	15	65386	SLUZBY	\N	\N
277819	950	1996-03-31	VYDAJ	VYBER	15	63718	SLUZBY	\N	\N
277820	950	1996-04-30	VYDAJ	VYBER	15	68465	SLUZBY	\N	\N
277821	950	1996-05-31	VYDAJ	VYBER	15	73131	SLUZBY	\N	\N
277822	950	1996-06-30	VYDAJ	VYBER	15	45300	SLUZBY	\N	\N
277823	950	1996-07-31	VYDAJ	VYBER	15	61501	SLUZBY	\N	\N
277824	950	1996-08-31	VYDAJ	VYBER	15	68543	SLUZBY	\N	\N
277825	950	1996-09-30	VYDAJ	VYBER	15	74112	SLUZBY	\N	\N
277826	950	1996-10-31	VYDAJ	VYBER	15	74987	SLUZBY	\N	\N
277827	950	1996-11-30	VYDAJ	VYBER	15	82261	SLUZBY	\N	\N
277828	950	1996-12-31	VYDAJ	VYBER	15	88175	SLUZBY	\N	\N
277829	950	1997-01-31	VYDAJ	VYBER	15	79323	SLUZBY	\N	\N
277830	950	1997-02-28	VYDAJ	VYBER	15	87337	SLUZBY	\N	\N
277831	950	1997-03-31	VYDAJ	VYBER	15	94784	SLUZBY	\N	\N
277832	950	1997-04-30	VYDAJ	VYBER	15	101960	SLUZBY	\N	\N
277833	950	1997-05-31	VYDAJ	VYBER	15	107561	SLUZBY	\N	\N
277834	950	1997-06-30	VYDAJ	VYBER	15	51936	SLUZBY	\N	\N
277835	950	1997-07-31	VYDAJ	VYBER	15	83214	SLUZBY	\N	\N
277836	950	1997-08-31	VYDAJ	VYBER	15	98067	SLUZBY	\N	\N
277837	950	1997-09-30	VYDAJ	VYBER	15	103254	SLUZBY	\N	\N
277838	950	1997-10-31	VYDAJ	VYBER	15	102639	SLUZBY	\N	\N
277839	950	1997-11-30	VYDAJ	VYBER	15	109947	SLUZBY	\N	\N
277840	950	1997-12-31	VYDAJ	VYBER	15	52489	SLUZBY	\N	\N
277841	950	1998-01-31	VYDAJ	VYBER	15	77547	SLUZBY	\N	\N
277842	950	1998-02-28	VYDAJ	VYBER	15	95585	SLUZBY	\N	\N
277843	950	1998-03-31	VYDAJ	VYBER	15	97806	SLUZBY	\N	\N
277844	950	1998-04-30	VYDAJ	VYBER	15	103889	SLUZBY	\N	\N
277845	950	1998-05-31	VYDAJ	VYBER	15	110499	SLUZBY	\N	\N
277846	950	1998-06-30	VYDAJ	VYBER	15	60411	SLUZBY	\N	\N
277847	950	1998-07-31	VYDAJ	VYBER	15	94618	SLUZBY	\N	\N
277848	950	1998-08-31	VYDAJ	VYBER	15	106305	SLUZBY	\N	\N
277849	950	1998-09-30	VYDAJ	VYBER	15	114641	SLUZBY	\N	\N
277850	950	1998-10-31	VYDAJ	VYBER	15	91845	SLUZBY	\N	\N
277851	950	1998-11-30	VYDAJ	VYBER	15	108266	SLUZBY	\N	\N
277852	950	1993-09-25	PRIJEM	VKLAD	600	20391	\N	\N	\N
277853	950	1993-10-25	VYDAJ	VYBER	6500	33499	\N	\N	\N
277854	950	1993-11-24	VYDAJ	VYBER	14700	38487	\N	\N	\N
277855	950	1993-12-24	VYDAJ	VYBER	19500	48518	\N	\N	\N
277856	950	1994-01-23	VYDAJ	VYBER	21500	46780	\N	\N	\N
277857	950	1994-02-22	VYDAJ	VYBER	12300	40225	\N	\N	\N
277858	950	1994-03-24	VYDAJ	VYBER	10000	36039	\N	\N	\N
277859	950	1994-04-23	VYDAJ	VYBER	11100	35775	\N	\N	\N
277860	950	1994-05-23	VYDAJ	VYBER	7700	38913	\N	\N	\N
277861	950	1994-06-22	VYDAJ	VYBER	7200	39148	\N	\N	\N
277862	950	1994-07-22	VYDAJ	VYBER	12400	36299	\N	\N	\N
277863	950	1994-08-21	VYDAJ	VYBER	8300	33804	\N	\N	\N
277864	950	1994-09-20	VYDAJ	VYBER	7000	37629	\N	\N	\N
277865	950	1994-10-20	VYDAJ	VYBER KARTOU	2400	36890	\N	\N	0
277866	950	1994-11-19	VYDAJ	VYBER	8100	34804	\N	\N	\N
277867	950	1994-12-19	VYDAJ	VYBER	7500	44230	\N	\N	\N
277868	950	1995-01-18	VYDAJ	VYBER KARTOU	3400	34961	\N	\N	0
277869	950	1995-02-17	VYDAJ	VYBER KARTOU	3200	42580	\N	\N	0
277870	950	1995-03-19	VYDAJ	VYBER	5700	47718	\N	\N	\N
277871	950	1995-04-18	VYDAJ	VYBER	8600	48386	\N	\N	\N
277872	950	1995-05-18	VYDAJ	VYBER	10100	49164	\N	\N	\N
277873	950	1995-06-17	PRIJEM	VKLAD	3500	40222	\N	\N	\N
277874	950	1995-07-17	VYDAJ	VYBER KARTOU	1700	49350	\N	\N	0
277875	950	1995-08-16	VYDAJ	VYBER	5700	54514	\N	\N	\N
277876	950	1995-09-15	VYDAJ	VYBER	7000	58408	\N	\N	\N
277877	950	1995-10-15	VYDAJ	VYBER	7500	61819	\N	\N	\N
277878	950	1995-11-14	VYDAJ	VYBER	5800	59844	\N	\N	\N
277879	950	1995-12-14	VYDAJ	VYBER	8700	68650	\N	\N	\N
277880	950	1996-01-13	VYDAJ	VYBER	6900	66186	\N	\N	\N
277881	950	1996-02-12	VYDAJ	VYBER	10600	65126	\N	\N	\N
277882	950	1996-03-13	VYDAJ	VYBER	7200	63467	\N	\N	\N
277883	950	1996-04-12	VYDAJ	VYBER	6200	68199	\N	\N	\N
277884	950	1996-05-12	VYDAJ	VYBER	6300	72846	\N	\N	\N
277885	950	1996-06-11	VYDAJ	VYBER	15600	78007	\N	\N	\N
277886	950	1996-07-11	PRIJEM	VKLAD	5300	61281	\N	\N	\N
277887	950	1996-08-10	VYDAJ	VYBER KARTOU	3900	68282	\N	\N	0
277888	950	1996-09-09	VYDAJ	VYBER	4200	75024	\N	\N	\N
277889	950	1996-10-09	VYDAJ	VYBER	10100	74693	\N	\N	\N
277890	950	1996-11-08	PRIJEM	VKLAD	600	62357	\N	\N	\N
277891	950	1996-12-08	VYDAJ	VYBER	5600	67751	\N	\N	\N
277892	950	1997-01-07	VYDAJ	VYBER KARTOU	2500	83675	\N	\N	0
277893	950	1997-02-06	VYDAJ	VYBER KARTOU	3000	76323	\N	\N	0
277894	950	1997-03-08	VYDAJ	VYBER KARTOU	3600	74827	\N	\N	0
277895	950	1997-04-07	VYDAJ	VYBER KARTOU	3900	81974	\N	\N	0
277896	950	1997-05-07	VYDAJ	VYBER	5500	87550	\N	\N	\N
277897	950	1997-06-06	VYDAJ	VYBER	13000	94561	\N	\N	\N
277898	950	1997-06-09	VYDAJ	VYBER	18200	96837	\N	\N	\N
277899	950	1997-07-06	PRIJEM	VKLAD	20300	72236	\N	\N	\N
277900	950	1997-08-05	PRIJEM	VKLAD	3800	87014	\N	\N	\N
277901	950	1997-09-04	VYDAJ	VYBER	4100	93967	\N	\N	\N
277902	950	1997-10-04	VYDAJ	VYBER	8000	95254	\N	\N	\N
277903	950	1997-11-03	VYDAJ	VYBER KARTOU	3800	98839	\N	\N	0
277904	950	1997-12-03	VYDAJ	VYBER	11300	98647	\N	\N	\N
277905	950	1997-12-09	VYDAJ	VYBER	63200	55923	\N	\N	\N
277906	950	1998-01-02	PRIJEM	VKLAD	28800	81289	\N	\N	\N
277907	950	1998-02-01	PRIJEM	VKLAD	7000	84547	\N	\N	\N
277908	950	1998-03-03	VYDAJ	VYBER KARTOU	1500	94085	\N	\N	0
277909	950	1998-04-02	VYDAJ	VYBER	5000	92806	\N	\N	\N
277910	950	1998-05-02	VYDAJ	VYBER	4500	99389	\N	\N	\N
277911	950	1998-06-01	VYDAJ	VYBER	7400	103099	\N	\N	\N
277912	950	1998-06-09	VYDAJ	VYBER	38500	85075	\N	\N	\N
277913	950	1998-07-01	PRIJEM	VKLAD	18600	79011	\N	\N	\N
277914	950	1998-07-31	PRIJEM	VKLAD	5300	94632	\N	\N	\N
277915	950	1998-08-30	PRIJEM	VKLAD	2800	105899	\N	\N	\N
277916	950	1998-09-29	VYDAJ	VYBER KARTOU	2800	114186	\N	\N	0
277917	950	1998-10-09	VYDAJ	VYBER	56400	68922	\N	\N	\N
277918	950	1998-10-29	PRIJEM	VKLAD	26200	91522	\N	\N	\N
277919	950	1998-11-28	PRIJEM	VKLAD	10400	107886	\N	\N	\N
277920	950	1998-12-09	VYDAJ	VYBER	38300	90442	\N	\N	\N
277985	951	1996-04-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
277990	951	1996-05-12	PRIJEM	PREVOD Z UCTU	4479	5579	DUCHOD	GH	83476292
277991	951	1996-06-12	PRIJEM	PREVOD Z UCTU	4479	10058	DUCHOD	GH	83476292
277992	951	1996-07-12	PRIJEM	PREVOD Z UCTU	4479	14537	DUCHOD	GH	83476292
277993	951	1996-08-12	PRIJEM	PREVOD Z UCTU	4479	19016	DUCHOD	GH	83476292
277994	951	1996-09-12	PRIJEM	PREVOD Z UCTU	4479	23495	DUCHOD	GH	83476292
277995	951	1996-10-12	PRIJEM	PREVOD Z UCTU	4479	24130	DUCHOD	GH	83476292
277996	951	1996-11-12	PRIJEM	PREVOD Z UCTU	4479	23185	DUCHOD	GH	83476292
277997	951	1996-12-12	PRIJEM	PREVOD Z UCTU	4479	25368	DUCHOD	GH	83476292
277998	951	1997-01-12	PRIJEM	PREVOD Z UCTU	4479	23184	DUCHOD	GH	83476292
277999	951	1997-02-12	PRIJEM	PREVOD Z UCTU	4479	18157	DUCHOD	GH	83476292
278000	951	1997-03-12	PRIJEM	PREVOD Z UCTU	4479	17352	DUCHOD	GH	83476292
278001	951	1997-04-12	PRIJEM	PREVOD Z UCTU	4479	19504	DUCHOD	GH	83476292
278002	951	1997-05-12	PRIJEM	PREVOD Z UCTU	4479	18381	DUCHOD	GH	83476292
278003	951	1997-06-12	PRIJEM	PREVOD Z UCTU	4479	17667	DUCHOD	GH	83476292
278004	951	1997-07-12	PRIJEM	PREVOD Z UCTU	4479	19824	DUCHOD	GH	83476292
278005	951	1997-08-12	PRIJEM	PREVOD Z UCTU	4479	21987	DUCHOD	GH	83476292
278006	951	1997-09-12	PRIJEM	PREVOD Z UCTU	4479	24159	DUCHOD	GH	83476292
278007	951	1997-10-12	PRIJEM	PREVOD Z UCTU	4479	24177	DUCHOD	GH	83476292
278008	951	1997-11-12	PRIJEM	PREVOD Z UCTU	4479	26358	DUCHOD	GH	83476292
278009	951	1997-12-12	PRIJEM	PREVOD Z UCTU	4479	28548	DUCHOD	GH	83476292
278010	951	1998-01-12	PRIJEM	PREVOD Z UCTU	4479	27257	DUCHOD	GH	83476292
278011	951	1998-02-12	PRIJEM	PREVOD Z UCTU	4479	21569	DUCHOD	GH	83476292
278012	951	1998-03-12	PRIJEM	PREVOD Z UCTU	4479	23745	DUCHOD	GH	83476292
278013	951	1998-04-12	PRIJEM	PREVOD Z UCTU	4479	25930	DUCHOD	GH	83476292
278014	951	1998-05-12	PRIJEM	PREVOD Z UCTU	4479	28124	DUCHOD	GH	83476292
278015	951	1998-06-12	PRIJEM	PREVOD Z UCTU	4479	30322	DUCHOD	GH	83476292
278016	951	1998-07-12	PRIJEM	PREVOD Z UCTU	4479	26076	DUCHOD	GH	83476292
278017	951	1998-08-12	PRIJEM	PREVOD Z UCTU	4479	26020	DUCHOD	GH	83476292
278018	951	1998-09-12	PRIJEM	PREVOD Z UCTU	4479	20760	DUCHOD	GH	83476292
278019	951	1998-10-12	PRIJEM	PREVOD Z UCTU	4479	22927	DUCHOD	GH	83476292
278020	951	1998-11-12	PRIJEM	PREVOD Z UCTU	4479	21417	DUCHOD	GH	83476292
278021	951	1998-12-12	PRIJEM	PREVOD Z UCTU	4479	23586	DUCHOD	GH	83476292
278030	951	1996-09-12	VYDAJ	PREVOD NA UCET	2371	21124	SIPO	KL	47982436
278031	951	1996-10-12	VYDAJ	PREVOD NA UCET	2371	21759	SIPO	KL	47982436
278032	951	1996-11-12	VYDAJ	PREVOD NA UCET	2371	20814	SIPO	KL	47982436
278033	951	1996-12-12	VYDAJ	PREVOD NA UCET	2371	22997	SIPO	KL	47982436
278034	951	1997-01-12	VYDAJ	PREVOD NA UCET	2371	20813	SIPO	KL	47982436
278035	951	1997-02-12	VYDAJ	PREVOD NA UCET	2371	15786	SIPO	KL	47982436
278036	951	1997-03-12	VYDAJ	PREVOD NA UCET	2371	14981	SIPO	KL	47982436
278037	951	1997-04-12	VYDAJ	PREVOD NA UCET	2371	17133	SIPO	KL	47982436
278038	951	1997-05-12	VYDAJ	PREVOD NA UCET	2371	16010	SIPO	KL	47982436
278039	951	1997-06-12	VYDAJ	PREVOD NA UCET	2371	15296	SIPO	KL	47982436
278040	951	1997-07-12	VYDAJ	PREVOD NA UCET	2371	17453	SIPO	KL	47982436
278041	951	1997-08-12	VYDAJ	PREVOD NA UCET	2371	19616	SIPO	KL	47982436
278042	951	1997-09-12	VYDAJ	PREVOD NA UCET	2371	21788	SIPO	KL	47982436
278043	951	1997-10-12	VYDAJ	PREVOD NA UCET	2371	21806	SIPO	KL	47982436
278044	951	1997-11-12	VYDAJ	PREVOD NA UCET	2371	23987	SIPO	KL	47982436
278045	951	1997-12-12	VYDAJ	PREVOD NA UCET	2371	26177	SIPO	KL	47982436
278046	951	1998-01-12	VYDAJ	PREVOD NA UCET	2371	24886	SIPO	KL	47982436
278047	951	1998-02-12	VYDAJ	PREVOD NA UCET	2371	19198	SIPO	KL	47982436
278048	951	1998-03-12	VYDAJ	PREVOD NA UCET	2371	21374	SIPO	KL	47982436
278049	951	1998-04-12	VYDAJ	PREVOD NA UCET	2371	23559	SIPO	KL	47982436
278050	951	1998-05-12	VYDAJ	PREVOD NA UCET	2371	25753	SIPO	KL	47982436
278051	951	1998-06-12	VYDAJ	PREVOD NA UCET	2371	27951	SIPO	KL	47982436
278052	951	1998-07-12	VYDAJ	PREVOD NA UCET	2371	23705	SIPO	KL	47982436
278053	951	1998-08-12	VYDAJ	PREVOD NA UCET	2371	23649	SIPO	KL	47982436
278054	951	1998-09-12	VYDAJ	PREVOD NA UCET	2371	18389	SIPO	KL	47982436
278055	951	1998-10-12	VYDAJ	PREVOD NA UCET	2371	20556	SIPO	KL	47982436
278056	951	1998-11-12	VYDAJ	PREVOD NA UCET	2371	19046	SIPO	KL	47982436
278057	951	1998-12-12	VYDAJ	PREVOD NA UCET	2371	21215	SIPO	KL	47982436
278059	951	1997-06-01	VYDAJ	VYBER	1750	13188	\N	\N	\N
278060	951	1998-06-14	VYDAJ	VYBER	3800	24151	\N	\N	\N
278062	951	1997-01-11	VYDAJ	VYBER	1150	18705	\N	\N	\N
278063	951	1998-01-19	VYDAJ	VYBER	4350	18696	\N	\N	\N
278064	951	1996-12-18	VYDAJ	VYBER	1300	21697	\N	\N	\N
278065	951	1997-12-25	VYDAJ	VYBER	450	25727	\N	\N	\N
278066	951	1998-12-17	VYDAJ	VYBER	1000	20215	\N	\N	\N
278073	951	1997-01-29	VYDAJ	VYBER	1280	15293	\N	\N	\N
278074	951	1997-01-09	VYDAJ	VYBER	1920	19855	\N	\N	\N
278075	951	1997-01-16	VYDAJ	VYBER	2240	18573	\N	\N	\N
278076	951	1997-01-20	VYDAJ	VYBER	1120	16573	\N	\N	\N
278077	951	1997-01-17	VYDAJ	VYBER	880	17693	\N	\N	\N
278078	951	1997-01-30	VYDAJ	VYBER	1680	13613	\N	\N	\N
278079	951	1998-01-09	VYDAJ	VYBER	400	22778	\N	\N	\N
278080	951	1998-01-20	VYDAJ	VYBER	1680	17016	\N	\N	\N
278081	951	1998-01-12	VYDAJ	VYBER	1040	23846	\N	\N	\N
278082	951	1998-01-18	VYDAJ	VYBER	800	23046	\N	\N	\N
278083	951	1998-01-07	VYDAJ	VYBER	2080	23178	\N	\N	\N
278084	951	1998-01-06	VYDAJ	VYBER	560	25258	\N	\N	\N
278086	951	1996-10-04	VYDAJ	VYBER	1520	19651	\N	\N	\N
278089	951	1996-10-13	VYDAJ	VYBER	3120	18639	\N	\N	\N
278090	951	1997-09-22	VYDAJ	VYBER	2160	19628	\N	\N	\N
278091	951	1997-05-26	VYDAJ	VYBER	1120	14890	\N	\N	\N
278093	951	1997-04-17	VYDAJ	VYBER	3280	13853	\N	\N	\N
278094	951	1997-02-27	VYDAJ	VYBER	2960	12826	\N	\N	\N
278095	951	1998-07-15	VYDAJ	VYBER	2240	21465	\N	\N	\N
278096	951	1998-08-18	VYDAJ	VYBER	3680	19969	\N	\N	\N
278097	951	1998-06-24	VYDAJ	VYBER	2640	21511	\N	\N	\N
278098	951	1998-10-21	VYDAJ	VYBER	800	16876	\N	\N	\N
278099	951	1998-10-21	VYDAJ	VYBER	2880	17676	\N	\N	\N
278100	951	1998-08-29	VYDAJ	VYBER	3760	16209	\N	\N	\N
278110	951	1996-09-30	VYDAJ	VYBER	15	21171	SLUZBY	\N	\N
278111	951	1996-10-31	VYDAJ	VYBER	15	18706	SLUZBY	\N	\N
278112	951	1996-11-30	VYDAJ	VYBER	15	20889	SLUZBY	\N	\N
278113	951	1996-12-31	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
278114	951	1997-01-31	VYDAJ	VYBER	15	13678	SLUZBY	\N	\N
278115	951	1997-02-28	VYDAJ	VYBER	15	12873	SLUZBY	\N	\N
278116	951	1997-03-31	VYDAJ	VYBER	15	15025	SLUZBY	\N	\N
278117	951	1997-04-30	VYDAJ	VYBER	15	13902	SLUZBY	\N	\N
278118	951	1997-05-31	VYDAJ	VYBER	15	14938	SLUZBY	\N	\N
278119	951	1997-06-30	VYDAJ	VYBER	15	15345	SLUZBY	\N	\N
278120	951	1997-07-31	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
278121	951	1997-08-31	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
278122	951	1997-09-30	VYDAJ	VYBER	15	19698	SLUZBY	\N	\N
278123	951	1997-10-31	VYDAJ	VYBER	15	21879	SLUZBY	\N	\N
278124	951	1997-11-30	VYDAJ	VYBER	15	24069	SLUZBY	\N	\N
278125	951	1997-12-31	VYDAJ	VYBER	15	25818	SLUZBY	\N	\N
278126	951	1998-01-31	VYDAJ	VYBER	15	17090	SLUZBY	\N	\N
278127	951	1998-02-28	VYDAJ	VYBER	15	19266	SLUZBY	\N	\N
278128	951	1998-03-31	VYDAJ	VYBER	15	21451	SLUZBY	\N	\N
278129	951	1998-04-30	VYDAJ	VYBER	15	23645	SLUZBY	\N	\N
278130	951	1998-05-31	VYDAJ	VYBER	15	25843	SLUZBY	\N	\N
278131	951	1998-06-30	VYDAJ	VYBER	15	21597	SLUZBY	\N	\N
278132	951	1998-07-31	VYDAJ	VYBER	15	21541	SLUZBY	\N	\N
278133	951	1998-08-31	VYDAJ	VYBER	15	16281	SLUZBY	\N	\N
278134	951	1998-09-30	VYDAJ	VYBER	15	18448	SLUZBY	\N	\N
278135	951	1998-10-31	VYDAJ	VYBER	15	16938	SLUZBY	\N	\N
278136	951	1998-11-30	VYDAJ	VYBER	15	19107	SLUZBY	\N	\N
278165	952	1997-11-09	PRIJEM	VKLAD	400	400	\N	\N	\N
278177	952	1997-12-06	PRIJEM	VKLAD	16924	17324	\N	\N	\N
278178	952	1998-01-06	PRIJEM	VKLAD	11283	30867	\N	\N	\N
278179	952	1998-02-06	PRIJEM	VKLAD	11283	38155	\N	\N	\N
278180	952	1998-03-06	PRIJEM	VKLAD	11283	45975	\N	\N	\N
278181	952	1998-04-06	PRIJEM	VKLAD	11283	49413	\N	\N	\N
278182	952	1998-05-06	PRIJEM	VKLAD	11283	51600	\N	\N	\N
278183	952	1998-06-06	PRIJEM	VKLAD	16924	57031	\N	\N	\N
278184	952	1998-07-06	PRIJEM	VKLAD	11283	34101	\N	\N	\N
278185	952	1998-08-06	PRIJEM	VKLAD	11283	34934	\N	\N	\N
278186	952	1998-09-06	PRIJEM	VKLAD	11283	39667	\N	\N	\N
278187	952	1998-10-06	PRIJEM	VKLAD	11283	47730	\N	\N	\N
278188	952	1998-11-06	PRIJEM	VKLAD	11283	52725	\N	\N	\N
278189	952	1998-12-06	PRIJEM	VKLAD	16924	62781	\N	\N	\N
278205	952	1998-04-08	VYDAJ	PREVOD NA UCET	4946	44467	SIPO	OP	26491993
278206	952	1998-05-08	VYDAJ	PREVOD NA UCET	4946	39954	SIPO	OP	26491993
278207	952	1998-06-08	VYDAJ	PREVOD NA UCET	4946	40985	SIPO	OP	26491993
278208	952	1998-07-08	VYDAJ	PREVOD NA UCET	4946	28955	SIPO	OP	26491993
278209	952	1998-08-08	VYDAJ	PREVOD NA UCET	4946	26688	SIPO	OP	26491993
278210	952	1998-09-08	VYDAJ	PREVOD NA UCET	4946	34721	SIPO	OP	26491993
278211	952	1998-10-08	VYDAJ	PREVOD NA UCET	4946	42784	SIPO	OP	26491993
278212	952	1998-11-08	VYDAJ	PREVOD NA UCET	4946	47779	SIPO	OP	26491993
278213	952	1998-12-08	VYDAJ	PREVOD NA UCET	4946	57835	SIPO	OP	26491993
278215	952	1998-06-22	VYDAJ	VYBER	18300	22685	\N	\N	\N
278217	952	1998-12-30	VYDAJ	VYBER	2900	54935	\N	\N	\N
278237	952	1998-07-18	VYDAJ	VYBER	1000	27955	\N	\N	\N
278238	952	1998-11-24	VYDAJ	VYBER	3300	44479	\N	\N	\N
278241	952	1998-07-26	VYDAJ	VYBER	4400	23555	\N	\N	\N
278242	952	1998-10-27	VYDAJ	VYBER	2200	40584	\N	\N	\N
278243	952	1998-08-06	VYDAJ	VYBER	1500	31634	\N	\N	\N
278260	952	1998-04-30	VYDAJ	VYBER	15	40317	SLUZBY	\N	\N
278261	952	1998-05-31	VYDAJ	VYBER	15	40107	SLUZBY	\N	\N
278262	952	1998-06-30	VYDAJ	VYBER	15	22818	SLUZBY	\N	\N
278263	952	1998-07-31	VYDAJ	VYBER	15	23651	SLUZBY	\N	\N
278264	952	1998-08-31	VYDAJ	VYBER	15	26784	SLUZBY	\N	\N
278265	952	1998-09-30	VYDAJ	VYBER	15	34847	SLUZBY	\N	\N
278266	952	1998-10-31	VYDAJ	VYBER	15	40742	SLUZBY	\N	\N
278267	952	1998-11-30	VYDAJ	VYBER	15	44657	SLUZBY	\N	\N
278268	952	1997-12-09	PRIJEM	VKLAD	2200	19524	\N	\N	\N
278269	952	1998-01-08	VYDAJ	VYBER	4100	26767	\N	\N	\N
278270	952	1998-02-07	VYDAJ	VYBER	3600	34555	\N	\N	\N
278271	952	1998-03-09	VYDAJ	VYBER	8000	37975	\N	\N	\N
278272	952	1998-04-08	VYDAJ	VYBER	4300	40167	\N	\N	\N
278273	952	1998-05-08	VYDAJ	VYBER	6700	44900	\N	\N	\N
278274	952	1998-06-07	VYDAJ	VYBER	11100	45931	\N	\N	\N
278275	952	1998-07-07	VYDAJ	VYBER	200	33901	\N	\N	\N
278276	952	1998-08-06	VYDAJ	VYBER	1800	33134	\N	\N	\N
278277	952	1998-09-05	PRIJEM	VKLAD	1600	28384	\N	\N	\N
278278	952	1998-10-05	PRIJEM	VKLAD	1600	36447	\N	\N	\N
278279	952	1998-11-04	PRIJEM	VKLAD	700	41442	\N	\N	\N
278280	952	1998-12-04	PRIJEM	VKLAD	1200	45857	\N	\N	\N
278294	953	1995-07-22	PRIJEM	VKLAD	400	400	\N	\N	\N
278302	953	1995-08-14	PRIJEM	PREVOD Z UCTU	2930	3330	\N	MN	75143736
278303	953	1995-09-14	PRIJEM	PREVOD Z UCTU	2930	14577	\N	MN	75143736
278304	953	1995-10-14	PRIJEM	PREVOD Z UCTU	2930	23169	\N	MN	75143736
278305	953	1995-11-14	PRIJEM	PREVOD Z UCTU	2930	28191	\N	MN	75143736
278306	953	1995-12-14	PRIJEM	PREVOD Z UCTU	2930	26423	\N	MN	75143736
278307	953	1996-01-14	PRIJEM	PREVOD Z UCTU	2930	26949	\N	MN	75143736
278308	953	1996-02-14	PRIJEM	PREVOD Z UCTU	2930	23397	\N	MN	75143736
278309	953	1996-03-14	PRIJEM	PREVOD Z UCTU	2930	25747	\N	MN	75143736
278310	953	1996-04-14	PRIJEM	PREVOD Z UCTU	2930	25111	\N	MN	75143736
278311	953	1996-05-14	PRIJEM	PREVOD Z UCTU	2930	24401	\N	MN	75143736
278312	953	1996-06-14	PRIJEM	PREVOD Z UCTU	2930	29470	\N	MN	75143736
278313	953	1996-07-14	PRIJEM	PREVOD Z UCTU	2930	28146	\N	MN	75143736
278314	953	1996-08-14	PRIJEM	PREVOD Z UCTU	2930	28221	\N	MN	75143736
278315	953	1996-09-14	PRIJEM	PREVOD Z UCTU	2930	29069	\N	MN	75143736
278316	953	1996-10-14	PRIJEM	PREVOD Z UCTU	2930	30921	\N	MN	75143736
278317	953	1996-11-14	PRIJEM	PREVOD Z UCTU	2930	36299	\N	MN	75143736
278318	953	1996-12-14	PRIJEM	PREVOD Z UCTU	2930	34491	\N	MN	75143736
278319	953	1997-01-14	PRIJEM	PREVOD Z UCTU	2930	35998	\N	MN	75143736
278320	953	1997-02-14	PRIJEM	PREVOD Z UCTU	2930	36704	\N	MN	75143736
278321	953	1997-03-14	PRIJEM	PREVOD Z UCTU	2930	39415	\N	MN	75143736
278322	953	1997-04-14	PRIJEM	PREVOD Z UCTU	2930	39946	\N	MN	75143736
278323	953	1997-05-14	PRIJEM	PREVOD Z UCTU	2930	38871	\N	MN	75143736
278324	953	1997-06-14	PRIJEM	PREVOD Z UCTU	2930	40095	\N	MN	75143736
278325	953	1997-07-14	PRIJEM	PREVOD Z UCTU	2930	38210	\N	MN	75143736
278326	953	1997-08-14	PRIJEM	PREVOD Z UCTU	2930	40431	\N	MN	75143736
278327	953	1997-09-14	PRIJEM	PREVOD Z UCTU	2930	36257	\N	MN	75143736
278328	953	1997-10-14	PRIJEM	PREVOD Z UCTU	2930	34062	\N	MN	75143736
278329	953	1997-11-14	PRIJEM	PREVOD Z UCTU	2930	34366	\N	MN	75143736
278330	953	1997-12-14	PRIJEM	PREVOD Z UCTU	2930	37756	\N	MN	75143736
278331	953	1998-01-14	PRIJEM	PREVOD Z UCTU	2930	38078	\N	MN	75143736
278332	953	1998-02-14	PRIJEM	PREVOD Z UCTU	2930	34860	\N	MN	75143736
278333	953	1998-03-14	PRIJEM	PREVOD Z UCTU	2930	32765	\N	MN	75143736
278334	953	1998-04-14	PRIJEM	PREVOD Z UCTU	2930	35662	\N	MN	75143736
278335	953	1998-05-14	PRIJEM	PREVOD Z UCTU	2930	36167	\N	MN	75143736
278336	953	1998-06-14	PRIJEM	PREVOD Z UCTU	2930	36315	\N	MN	75143736
278337	953	1998-07-14	PRIJEM	PREVOD Z UCTU	2930	34662	\N	MN	75143736
278338	953	1998-08-14	PRIJEM	PREVOD Z UCTU	2930	33556	\N	MN	75143736
278339	953	1998-09-14	PRIJEM	PREVOD Z UCTU	2930	31955	\N	MN	75143736
278340	953	1998-10-14	PRIJEM	PREVOD Z UCTU	2930	33448	\N	MN	75143736
278341	953	1998-11-14	PRIJEM	PREVOD Z UCTU	2930	32145	\N	MN	75143736
278342	953	1998-12-14	PRIJEM	PREVOD Z UCTU	2930	26188	\N	MN	75143736
278355	953	1996-01-07	VYDAJ	PREVOD NA UCET	1768	25014	SIPO	OP	93842464
278356	953	1996-02-07	VYDAJ	PREVOD NA UCET	1768	20652	SIPO	OP	93842464
278357	953	1996-03-07	VYDAJ	PREVOD NA UCET	1768	23002	SIPO	OP	93842464
278358	953	1996-04-07	VYDAJ	PREVOD NA UCET	1768	22366	SIPO	OP	93842464
278359	953	1996-05-07	VYDAJ	PREVOD NA UCET	1768	21656	SIPO	OP	93842464
278360	953	1996-06-07	VYDAJ	PREVOD NA UCET	1768	26725	SIPO	OP	93842464
278361	953	1996-07-07	VYDAJ	PREVOD NA UCET	1768	25401	SIPO	OP	93842464
278362	953	1996-08-07	VYDAJ	PREVOD NA UCET	1768	25476	SIPO	OP	93842464
278363	953	1996-09-07	VYDAJ	PREVOD NA UCET	1768	27254	SIPO	OP	93842464
278364	953	1996-10-07	VYDAJ	PREVOD NA UCET	1768	28176	SIPO	OP	93842464
278365	953	1996-11-07	VYDAJ	PREVOD NA UCET	1768	28754	SIPO	OP	93842464
278366	953	1996-12-07	VYDAJ	PREVOD NA UCET	1768	34656	SIPO	OP	93842464
278367	953	1997-01-07	VYDAJ	PREVOD NA UCET	1768	31473	SIPO	OP	93842464
278368	953	1997-02-07	VYDAJ	PREVOD NA UCET	1768	33639	SIPO	OP	93842464
278369	953	1997-03-07	VYDAJ	PREVOD NA UCET	1768	35070	SIPO	OP	93842464
278370	953	1997-04-07	VYDAJ	PREVOD NA UCET	1768	37791	SIPO	OP	93842464
278371	953	1997-05-07	VYDAJ	PREVOD NA UCET	1768	38326	SIPO	OP	93842464
278372	953	1997-06-07	VYDAJ	PREVOD NA UCET	1768	37250	SIPO	OP	93842464
278373	953	1997-07-07	VYDAJ	PREVOD NA UCET	1768	37965	SIPO	OP	93842464
278374	953	1997-08-07	VYDAJ	PREVOD NA UCET	1768	36586	SIPO	OP	93842464
278375	953	1997-09-07	VYDAJ	PREVOD NA UCET	1768	38812	SIPO	OP	93842464
278376	953	1997-10-07	VYDAJ	PREVOD NA UCET	1768	34417	SIPO	OP	93842464
278377	953	1997-11-07	VYDAJ	PREVOD NA UCET	1768	32421	SIPO	OP	93842464
278378	953	1997-12-07	VYDAJ	PREVOD NA UCET	1768	31611	SIPO	OP	93842464
278379	953	1998-01-07	VYDAJ	PREVOD NA UCET	1768	35723	SIPO	OP	93842464
278380	953	1998-02-07	VYDAJ	PREVOD NA UCET	1768	32115	SIPO	OP	93842464
278381	953	1998-03-07	VYDAJ	PREVOD NA UCET	1768	33220	SIPO	OP	93842464
278382	953	1998-04-07	VYDAJ	PREVOD NA UCET	1768	32917	SIPO	OP	93842464
278383	953	1998-05-07	VYDAJ	PREVOD NA UCET	1768	34022	SIPO	OP	93842464
278384	953	1998-06-07	VYDAJ	PREVOD NA UCET	1768	33570	SIPO	OP	93842464
278385	953	1998-07-07	VYDAJ	PREVOD NA UCET	1768	31917	SIPO	OP	93842464
278386	953	1998-08-07	VYDAJ	PREVOD NA UCET	1768	31321	SIPO	OP	93842464
278387	953	1998-09-07	VYDAJ	PREVOD NA UCET	1768	29210	SIPO	OP	93842464
278388	953	1998-10-07	VYDAJ	PREVOD NA UCET	1768	30703	SIPO	OP	93842464
278389	953	1998-11-07	VYDAJ	PREVOD NA UCET	1768	29400	SIPO	OP	93842464
278390	953	1998-12-07	VYDAJ	PREVOD NA UCET	1768	23893	SIPO	OP	93842464
278403	953	1996-01-08	VYDAJ	PREVOD NA UCET	185	24829	 	OP	89555656
278404	953	1996-02-08	VYDAJ	PREVOD NA UCET	185	20467	 	OP	89555656
278405	953	1996-03-08	VYDAJ	PREVOD NA UCET	185	22817	 	OP	89555656
278406	953	1996-04-08	VYDAJ	PREVOD NA UCET	185	22181	 	OP	89555656
278407	953	1996-05-08	VYDAJ	PREVOD NA UCET	185	21471	 	OP	89555656
278408	953	1996-06-08	VYDAJ	PREVOD NA UCET	185	26540	 	OP	89555656
278409	953	1996-07-08	VYDAJ	PREVOD NA UCET	185	25216	 	OP	89555656
278410	953	1996-08-08	VYDAJ	PREVOD NA UCET	185	25291	 	OP	89555656
278411	953	1996-09-08	VYDAJ	PREVOD NA UCET	185	27069	 	OP	89555656
278412	953	1996-10-08	VYDAJ	PREVOD NA UCET	185	27991	 	OP	89555656
278413	953	1996-11-08	VYDAJ	PREVOD NA UCET	185	28569	 	OP	89555656
278414	953	1996-12-08	VYDAJ	PREVOD NA UCET	185	34471	 	OP	89555656
278415	953	1997-01-08	VYDAJ	PREVOD NA UCET	185	31288	 	OP	89555656
278416	953	1997-02-08	VYDAJ	PREVOD NA UCET	185	33454	 	OP	89555656
278417	953	1997-03-08	VYDAJ	PREVOD NA UCET	185	34885	 	OP	89555656
278418	953	1997-04-08	VYDAJ	PREVOD NA UCET	185	37606	 	OP	89555656
278419	953	1997-05-08	VYDAJ	PREVOD NA UCET	185	38141	 	OP	89555656
278420	953	1997-06-08	VYDAJ	PREVOD NA UCET	185	37065	 	OP	89555656
278421	953	1997-07-08	VYDAJ	PREVOD NA UCET	185	37780	 	OP	89555656
278422	953	1997-08-08	VYDAJ	PREVOD NA UCET	185	36401	 	OP	89555656
278423	953	1997-09-08	VYDAJ	PREVOD NA UCET	185	38627	 	OP	89555656
278424	953	1997-10-08	VYDAJ	PREVOD NA UCET	185	34232	 	OP	89555656
278425	953	1997-11-08	VYDAJ	PREVOD NA UCET	185	32236	 	OP	89555656
278426	953	1997-12-08	VYDAJ	PREVOD NA UCET	185	34826	 	OP	89555656
278427	953	1998-01-08	VYDAJ	PREVOD NA UCET	185	35538	 	OP	89555656
278428	953	1998-02-08	VYDAJ	PREVOD NA UCET	185	31930	 	OP	89555656
278429	953	1998-03-08	VYDAJ	PREVOD NA UCET	185	29835	 	OP	89555656
278430	953	1998-04-08	VYDAJ	PREVOD NA UCET	185	32732	 	OP	89555656
278431	953	1998-05-08	VYDAJ	PREVOD NA UCET	185	33237	 	OP	89555656
278432	953	1998-06-08	VYDAJ	PREVOD NA UCET	185	33385	 	OP	89555656
278433	953	1998-07-08	VYDAJ	PREVOD NA UCET	185	31732	 	OP	89555656
278434	953	1998-08-08	VYDAJ	PREVOD NA UCET	185	31136	 	OP	89555656
278435	953	1998-09-08	VYDAJ	PREVOD NA UCET	185	29025	 	OP	89555656
278436	953	1998-10-08	VYDAJ	PREVOD NA UCET	185	30518	 	OP	89555656
278437	953	1998-11-08	VYDAJ	PREVOD NA UCET	185	29215	 	OP	89555656
278438	953	1998-12-08	VYDAJ	PREVOD NA UCET	185	23708	 	OP	89555656
278440	953	1996-12-13	VYDAJ	VYBER	210	34261	\N	\N	\N
278441	953	1997-12-19	VYDAJ	VYBER	600	37156	\N	\N	\N
278442	953	1998-12-10	VYDAJ	VYBER	450	23258	\N	\N	\N
278449	953	1996-01-25	VYDAJ	VYBER	480	24519	\N	\N	\N
278450	953	1996-01-07	VYDAJ	VYBER	330	26782	\N	\N	\N
278451	953	1996-01-29	VYDAJ	VYBER	630	23469	\N	\N	\N
278452	953	1996-01-10	VYDAJ	VYBER	810	24019	\N	\N	\N
278453	953	1996-01-18	VYDAJ	VYBER	450	26499	\N	\N	\N
278454	953	1996-01-29	VYDAJ	VYBER	420	24099	\N	\N	\N
278455	953	1997-01-01	VYDAJ	VYBER	600	34021	\N	\N	\N
278456	953	1997-01-08	VYDAJ	VYBER	450	30838	\N	\N	\N
278457	953	1997-01-02	VYDAJ	VYBER	780	33241	\N	\N	\N
278458	953	1997-01-12	VYDAJ	VYBER	180	33458	\N	\N	\N
278459	953	1997-01-27	VYDAJ	VYBER	720	35278	\N	\N	\N
278460	953	1997-01-13	VYDAJ	VYBER	390	33068	\N	\N	\N
278461	953	1998-01-30	VYDAJ	VYBER	180	35348	\N	\N	\N
278462	953	1998-01-17	VYDAJ	VYBER	390	37328	\N	\N	\N
278463	953	1998-01-16	VYDAJ	VYBER	360	37718	\N	\N	\N
278464	953	1998-01-13	VYDAJ	VYBER	390	35148	\N	\N	\N
278465	953	1998-01-20	VYDAJ	VYBER	660	35738	\N	\N	\N
278466	953	1998-01-22	VYDAJ	VYBER	210	35528	\N	\N	\N
278473	953	1996-09-19	VYDAJ	VYBER	330	29839	\N	\N	\N
278474	953	1996-02-23	VYDAJ	VYBER	510	24687	\N	\N	\N
278475	953	1996-04-18	VYDAJ	VYBER	570	23341	\N	\N	\N
278476	953	1996-10-26	VYDAJ	VYBER	810	30411	\N	\N	\N
278477	953	1996-02-07	VYDAJ	VYBER	1140	22420	\N	\N	\N
278478	953	1996-09-09	VYDAJ	VYBER	930	26139	\N	\N	\N
278479	953	1997-11-15	VYDAJ	VYBER	1110	33256	\N	\N	\N
278480	953	1997-09-24	VYDAJ	VYBER	210	36047	\N	\N	\N
278481	953	1997-02-11	VYDAJ	VYBER	1080	33774	\N	\N	\N
278482	953	1997-06-18	VYDAJ	VYBER	510	39585	\N	\N	\N
278483	953	1997-04-09	VYDAJ	VYBER	1290	36316	\N	\N	\N
278484	953	1998-05-18	VYDAJ	VYBER	750	35417	\N	\N	\N
278485	953	1998-06-20	VYDAJ	VYBER	1260	35055	\N	\N	\N
278486	953	1998-06-05	VYDAJ	VYBER	1110	34438	\N	\N	\N
278487	953	1998-01-18	VYDAJ	VYBER	930	36398	\N	\N	\N
278488	953	1998-08-11	VYDAJ	VYBER	510	30626	\N	\N	\N
278501	953	1995-12-31	VYDAJ	VYBER	15	27112	SLUZBY	\N	\N
278502	953	1996-01-31	VYDAJ	VYBER	15	23560	SLUZBY	\N	\N
278503	953	1996-02-29	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
278504	953	1996-03-31	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
278505	953	1996-04-30	VYDAJ	VYBER	15	23424	SLUZBY	\N	\N
278506	953	1996-05-31	VYDAJ	VYBER	15	28493	SLUZBY	\N	\N
278507	953	1996-06-30	VYDAJ	VYBER	15	27169	SLUZBY	\N	\N
278508	953	1996-07-31	VYDAJ	VYBER	15	27244	SLUZBY	\N	\N
278509	953	1996-08-31	VYDAJ	VYBER	15	29022	SLUZBY	\N	\N
278510	953	1996-09-30	VYDAJ	VYBER	15	29944	SLUZBY	\N	\N
278511	953	1996-10-31	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
278512	953	1996-11-30	VYDAJ	VYBER	15	36424	SLUZBY	\N	\N
278513	953	1996-12-31	VYDAJ	VYBER	15	34621	SLUZBY	\N	\N
278514	953	1997-01-31	VYDAJ	VYBER	15	35407	SLUZBY	\N	\N
278515	953	1997-02-28	VYDAJ	VYBER	15	36838	SLUZBY	\N	\N
278516	953	1997-03-31	VYDAJ	VYBER	15	39559	SLUZBY	\N	\N
278517	953	1997-04-30	VYDAJ	VYBER	15	40094	SLUZBY	\N	\N
278518	953	1997-05-31	VYDAJ	VYBER	15	39018	SLUZBY	\N	\N
278519	953	1997-06-30	VYDAJ	VYBER	15	39733	SLUZBY	\N	\N
278520	953	1997-07-31	VYDAJ	VYBER	15	38354	SLUZBY	\N	\N
278521	953	1997-08-31	VYDAJ	VYBER	15	40580	SLUZBY	\N	\N
278522	953	1997-09-30	VYDAJ	VYBER	15	36185	SLUZBY	\N	\N
278523	953	1997-10-31	VYDAJ	VYBER	15	34189	SLUZBY	\N	\N
278524	953	1997-11-30	VYDAJ	VYBER	15	33379	SLUZBY	\N	\N
278525	953	1997-12-31	VYDAJ	VYBER	15	37291	SLUZBY	\N	\N
278526	953	1998-01-31	VYDAJ	VYBER	15	35483	SLUZBY	\N	\N
278527	953	1998-02-28	VYDAJ	VYBER	15	34988	SLUZBY	\N	\N
278528	953	1998-03-31	VYDAJ	VYBER	15	32885	SLUZBY	\N	\N
278529	953	1998-04-30	VYDAJ	VYBER	15	35790	SLUZBY	\N	\N
278530	953	1998-05-31	VYDAJ	VYBER	15	35548	SLUZBY	\N	\N
278531	953	1998-06-30	VYDAJ	VYBER	15	35185	SLUZBY	\N	\N
278532	953	1998-07-31	VYDAJ	VYBER	15	34789	SLUZBY	\N	\N
278533	953	1998-08-31	VYDAJ	VYBER	15	33678	SLUZBY	\N	\N
278534	953	1998-09-30	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
278535	953	1998-10-31	VYDAJ	VYBER	15	33568	SLUZBY	\N	\N
278536	953	1998-11-30	VYDAJ	VYBER	15	32261	SLUZBY	\N	\N
278537	953	1995-08-21	PRIJEM	VKLAD	8300	11630	\N	\N	\N
278538	953	1995-09-20	PRIJEM	VKLAD	5600	20177	\N	\N	\N
278539	953	1995-10-20	PRIJEM	VKLAD	2000	25169	\N	\N	\N
278540	953	1995-11-19	VYDAJ	VYBER	4800	23391	\N	\N	\N
278541	953	1995-12-19	PRIJEM	VKLAD	600	27023	\N	\N	\N
278542	953	1996-01-18	VYDAJ	VYBER	1500	24999	\N	\N	\N
278543	953	1996-02-17	PRIJEM	VKLAD	1800	25197	\N	\N	\N
278544	953	1996-03-18	VYDAJ	VYBER	1700	24047	\N	\N	\N
278545	953	1996-04-17	VYDAJ	VYBER	1200	23911	\N	\N	\N
278546	953	1996-05-17	PRIJEM	VKLAD	4000	28401	\N	\N	\N
278547	953	1996-06-16	VYDAJ	VYBER	2400	27070	\N	\N	\N
278548	953	1996-07-16	VYDAJ	VYBER	1000	27146	\N	\N	\N
278549	953	1996-08-15	PRIJEM	VKLAD	700	28921	\N	\N	\N
278550	953	1996-09-14	PRIJEM	VKLAD	1100	30169	\N	\N	\N
278551	953	1996-10-14	PRIJEM	VKLAD	300	31221	\N	\N	\N
278552	953	1996-11-13	PRIJEM	VKLAD	4800	33369	\N	\N	\N
278553	953	1996-12-13	VYDAJ	VYBER	2700	31561	\N	\N	\N
278554	953	1997-01-12	PRIJEM	VKLAD	2800	33638	\N	\N	\N
278555	953	1997-02-11	PRIJEM	VKLAD	1400	34854	\N	\N	\N
278556	953	1997-03-13	PRIJEM	VKLAD	1600	36485	\N	\N	\N
278557	953	1997-04-12	PRIJEM	VKLAD	700	37016	\N	\N	\N
278558	953	1997-05-12	VYDAJ	VYBER	2200	35941	\N	\N	\N
278559	953	1997-06-11	PRIJEM	VKLAD	100	37165	\N	\N	\N
278560	953	1997-07-11	VYDAJ	VYBER	2500	35280	\N	\N	\N
278561	953	1997-08-10	PRIJEM	VKLAD	1100	37501	\N	\N	\N
278562	953	1997-09-09	VYDAJ	VYBER	5300	33327	\N	\N	\N
278563	953	1997-10-09	VYDAJ	VYBER	3100	31132	\N	\N	\N
278564	953	1997-11-08	VYDAJ	VYBER	800	31436	\N	\N	\N
278565	953	1997-12-08	PRIJEM	VKLAD	3400	35011	\N	\N	\N
278566	953	1998-01-07	PRIJEM	VKLAD	200	37491	\N	\N	\N
278567	953	1998-02-06	VYDAJ	VYBER	1600	33883	\N	\N	\N
278568	953	1998-03-08	VYDAJ	VYBER	3200	30020	\N	\N	\N
278569	953	1998-04-07	PRIJEM	VKLAD	1800	34685	\N	\N	\N
278570	953	1998-05-07	VYDAJ	VYBER	600	33422	\N	\N	\N
278571	953	1998-06-06	PRIJEM	VKLAD	900	35338	\N	\N	\N
278572	953	1998-07-06	VYDAJ	VYBER	1500	33685	\N	\N	\N
278573	953	1998-08-05	VYDAJ	VYBER	1700	33089	\N	\N	\N
278574	953	1998-09-04	VYDAJ	VYBER	2700	30978	\N	\N	\N
278575	953	1998-10-04	PRIJEM	VKLAD	400	32471	\N	\N	\N
278576	953	1998-11-03	VYDAJ	VYBER	2400	31168	\N	\N	\N
278577	953	1998-12-03	VYDAJ	VYBER	6600	25661	\N	\N	\N
278619	954	1996-01-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
278620	954	1996-01-11	PRIJEM	VKLAD	5322	6322	\N	\N	\N
278621	954	1996-02-11	PRIJEM	VKLAD	5322	21162	\N	\N	\N
278622	954	1996-03-11	PRIJEM	VKLAD	5322	28251	\N	\N	\N
278623	954	1996-04-11	PRIJEM	VKLAD	5322	28781	\N	\N	\N
278624	954	1996-05-11	PRIJEM	VKLAD	5322	31722	\N	\N	\N
278625	954	1996-06-11	PRIJEM	VKLAD	7983	33914	\N	\N	\N
278626	954	1996-07-11	PRIJEM	VKLAD	5322	34252	\N	\N	\N
278627	954	1996-08-11	PRIJEM	VKLAD	5322	32566	\N	\N	\N
278628	954	1996-09-11	PRIJEM	VKLAD	5322	31658	\N	\N	\N
278629	954	1996-10-11	PRIJEM	VKLAD	5322	34089	\N	\N	\N
278630	954	1996-11-11	PRIJEM	VKLAD	5322	35529	\N	\N	\N
278631	954	1996-12-11	PRIJEM	VKLAD	7983	36737	\N	\N	\N
278632	954	1997-01-11	PRIJEM	VKLAD	5322	35181	\N	\N	\N
278633	954	1997-02-11	PRIJEM	VKLAD	5322	29847	\N	\N	\N
278634	954	1997-03-11	PRIJEM	VKLAD	5322	33766	\N	\N	\N
278635	954	1997-04-11	PRIJEM	VKLAD	5322	35604	\N	\N	\N
278636	954	1997-05-11	PRIJEM	VKLAD	5322	37662	\N	\N	\N
278637	954	1997-06-11	PRIJEM	VKLAD	7983	42475	\N	\N	\N
278638	954	1997-07-11	PRIJEM	VKLAD	5322	45866	\N	\N	\N
278639	954	1997-08-11	PRIJEM	VKLAD	5322	46354	\N	\N	\N
278640	954	1997-09-11	PRIJEM	VKLAD	5322	43922	\N	\N	\N
278641	954	1997-10-11	PRIJEM	VKLAD	5322	43051	\N	\N	\N
278642	954	1997-11-11	PRIJEM	VKLAD	5322	42616	\N	\N	\N
278643	954	1997-12-11	PRIJEM	VKLAD	7983	44951	\N	\N	\N
278644	954	1998-01-11	PRIJEM	VKLAD	5322	23530	\N	\N	\N
278645	954	1998-02-11	PRIJEM	VKLAD	5322	28521	\N	\N	\N
278646	954	1998-03-11	PRIJEM	VKLAD	5322	34738	\N	\N	\N
278647	954	1998-04-11	PRIJEM	VKLAD	5322	34981	\N	\N	\N
278648	954	1998-05-11	PRIJEM	VKLAD	5322	36825	\N	\N	\N
278649	954	1998-06-11	PRIJEM	VKLAD	7983	38535	\N	\N	\N
278650	954	1998-07-11	PRIJEM	VKLAD	5322	35709	\N	\N	\N
278651	954	1998-08-11	PRIJEM	VKLAD	5322	33956	\N	\N	\N
278652	954	1998-09-11	PRIJEM	VKLAD	5322	32792	\N	\N	\N
278653	954	1998-10-11	PRIJEM	VKLAD	5322	27519	\N	\N	\N
278654	954	1998-11-11	PRIJEM	VKLAD	5322	27829	\N	\N	\N
278655	954	1998-12-11	PRIJEM	VKLAD	7983	30907	\N	\N	\N
278661	954	1996-06-06	VYDAJ	PREVOD NA UCET	357	31479	SIPO	WX	698990
278662	954	1996-07-06	VYDAJ	PREVOD NA UCET	357	30172	SIPO	WX	698990
278663	954	1996-08-06	VYDAJ	PREVOD NA UCET	357	28486	SIPO	WX	698990
278664	954	1996-09-06	VYDAJ	PREVOD NA UCET	357	29484	SIPO	WX	698990
278665	954	1996-10-06	VYDAJ	PREVOD NA UCET	357	31915	SIPO	WX	698990
278666	954	1996-11-06	VYDAJ	PREVOD NA UCET	357	31449	SIPO	WX	698990
278667	954	1996-12-06	VYDAJ	PREVOD NA UCET	357	31902	SIPO	WX	698990
278668	954	1997-01-06	VYDAJ	PREVOD NA UCET	357	32181	SIPO	WX	698990
278669	954	1997-02-06	VYDAJ	PREVOD NA UCET	357	27673	SIPO	WX	698990
278670	954	1997-03-06	VYDAJ	PREVOD NA UCET	357	29686	SIPO	WX	698990
278671	954	1997-04-06	VYDAJ	PREVOD NA UCET	357	33430	SIPO	WX	698990
278672	954	1997-05-06	VYDAJ	PREVOD NA UCET	357	33582	SIPO	WX	698990
278673	954	1997-06-06	VYDAJ	PREVOD NA UCET	357	37640	SIPO	WX	698990
278674	954	1997-07-06	VYDAJ	PREVOD NA UCET	357	41786	SIPO	WX	698990
278675	954	1997-08-06	VYDAJ	PREVOD NA UCET	357	42274	SIPO	WX	698990
278676	954	1997-09-06	VYDAJ	PREVOD NA UCET	357	39842	SIPO	WX	698990
278677	954	1997-10-06	VYDAJ	PREVOD NA UCET	357	38971	SIPO	WX	698990
278678	954	1997-11-06	VYDAJ	PREVOD NA UCET	357	40442	SIPO	WX	698990
278679	954	1997-12-06	VYDAJ	PREVOD NA UCET	357	38210	SIPO	WX	698990
278680	954	1998-01-06	VYDAJ	PREVOD NA UCET	357	31650	SIPO	WX	698990
278681	954	1998-02-06	VYDAJ	PREVOD NA UCET	357	26347	SIPO	WX	698990
278682	954	1998-03-06	VYDAJ	PREVOD NA UCET	357	32564	SIPO	WX	698990
278683	954	1998-04-06	VYDAJ	PREVOD NA UCET	357	32807	SIPO	WX	698990
278684	954	1998-05-06	VYDAJ	PREVOD NA UCET	357	34651	SIPO	WX	698990
278685	954	1998-06-06	VYDAJ	PREVOD NA UCET	357	31794	SIPO	WX	698990
278686	954	1998-07-06	VYDAJ	PREVOD NA UCET	357	37615	SIPO	WX	698990
278687	954	1998-08-06	VYDAJ	PREVOD NA UCET	357	29876	SIPO	WX	698990
278688	954	1998-09-06	VYDAJ	PREVOD NA UCET	357	28712	SIPO	WX	698990
278689	954	1998-10-06	VYDAJ	PREVOD NA UCET	357	23439	SIPO	WX	698990
278690	954	1998-11-06	VYDAJ	PREVOD NA UCET	357	25655	SIPO	WX	698990
278691	954	1998-12-06	VYDAJ	PREVOD NA UCET	357	30072	SIPO	WX	698990
278697	954	1996-06-10	VYDAJ	PREVOD NA UCET	1242	25931	 	AB	55569523
278698	954	1996-07-10	VYDAJ	PREVOD NA UCET	1242	28930	 	AB	55569523
278699	954	1996-08-10	VYDAJ	PREVOD NA UCET	1242	27244	 	AB	55569523
278700	954	1996-09-10	VYDAJ	PREVOD NA UCET	1242	26336	 	AB	55569523
278701	954	1996-10-10	VYDAJ	PREVOD NA UCET	1242	28767	 	AB	55569523
278702	954	1996-11-10	VYDAJ	PREVOD NA UCET	1242	30207	 	AB	55569523
278703	954	1996-12-10	VYDAJ	PREVOD NA UCET	1242	28754	 	AB	55569523
278704	954	1997-01-10	VYDAJ	PREVOD NA UCET	1242	29859	 	AB	55569523
278705	954	1997-02-10	VYDAJ	PREVOD NA UCET	1242	24525	 	AB	55569523
278706	954	1997-03-10	VYDAJ	PREVOD NA UCET	1242	28444	 	AB	55569523
278707	954	1997-04-10	VYDAJ	PREVOD NA UCET	1242	30282	 	AB	55569523
278708	954	1997-05-10	VYDAJ	PREVOD NA UCET	1242	32340	 	AB	55569523
278709	954	1997-06-10	VYDAJ	PREVOD NA UCET	1242	34492	 	AB	55569523
278710	954	1997-07-10	VYDAJ	PREVOD NA UCET	1242	40544	 	AB	55569523
278711	954	1997-08-10	VYDAJ	PREVOD NA UCET	1242	41032	 	AB	55569523
278712	954	1997-09-10	VYDAJ	PREVOD NA UCET	1242	38600	 	AB	55569523
278713	954	1997-10-10	VYDAJ	PREVOD NA UCET	1242	37729	 	AB	55569523
278714	954	1997-11-10	VYDAJ	PREVOD NA UCET	1242	37294	 	AB	55569523
278715	954	1997-12-10	VYDAJ	PREVOD NA UCET	1242	36968	 	AB	55569523
278716	954	1998-01-10	VYDAJ	PREVOD NA UCET	1242	27168	 	AB	55569523
278717	954	1998-02-10	VYDAJ	PREVOD NA UCET	1242	23199	 	AB	55569523
278718	954	1998-03-10	VYDAJ	PREVOD NA UCET	1242	29416	 	AB	55569523
278719	954	1998-04-10	VYDAJ	PREVOD NA UCET	1242	29659	 	AB	55569523
278720	954	1998-05-10	VYDAJ	PREVOD NA UCET	1242	31503	 	AB	55569523
278721	954	1998-06-10	VYDAJ	PREVOD NA UCET	1242	30552	 	AB	55569523
278722	954	1998-07-10	VYDAJ	PREVOD NA UCET	1242	30387	 	AB	55569523
278723	954	1998-08-10	VYDAJ	PREVOD NA UCET	1242	28634	 	AB	55569523
278724	954	1998-09-10	VYDAJ	PREVOD NA UCET	1242	27470	 	AB	55569523
278725	954	1998-10-10	VYDAJ	PREVOD NA UCET	1242	22197	 	AB	55569523
278726	954	1998-11-10	VYDAJ	PREVOD NA UCET	1242	22507	 	AB	55569523
278727	954	1998-12-10	VYDAJ	PREVOD NA UCET	1242	26924	 	AB	55569523
278733	954	1996-06-06	VYDAJ	PREVOD NA UCET	1906	29573	POJISTNE	OP	8703875
278734	954	1996-07-06	VYDAJ	PREVOD NA UCET	1906	30529	POJISTNE	OP	8703875
278735	954	1996-08-06	VYDAJ	PREVOD NA UCET	1906	28843	POJISTNE	OP	8703875
278736	954	1996-09-06	VYDAJ	PREVOD NA UCET	1906	27578	POJISTNE	OP	8703875
278737	954	1996-10-06	VYDAJ	PREVOD NA UCET	1906	30009	POJISTNE	OP	8703875
278738	954	1996-11-06	VYDAJ	PREVOD NA UCET	1906	31806	POJISTNE	OP	8703875
278739	954	1996-12-06	VYDAJ	PREVOD NA UCET	1906	29996	POJISTNE	OP	8703875
278740	954	1997-01-06	VYDAJ	PREVOD NA UCET	1906	32538	POJISTNE	OP	8703875
278741	954	1997-02-06	VYDAJ	PREVOD NA UCET	1906	25767	POJISTNE	OP	8703875
278742	954	1997-03-06	VYDAJ	PREVOD NA UCET	1906	30043	POJISTNE	OP	8703875
278743	954	1997-04-06	VYDAJ	PREVOD NA UCET	1906	31524	POJISTNE	OP	8703875
278744	954	1997-05-06	VYDAJ	PREVOD NA UCET	1906	33939	POJISTNE	OP	8703875
278745	954	1997-06-06	VYDAJ	PREVOD NA UCET	1906	35734	POJISTNE	OP	8703875
278746	954	1997-07-06	VYDAJ	PREVOD NA UCET	1906	42143	POJISTNE	OP	8703875
278747	954	1997-08-06	VYDAJ	PREVOD NA UCET	1906	42631	POJISTNE	OP	8703875
278748	954	1997-09-06	VYDAJ	PREVOD NA UCET	1906	40199	POJISTNE	OP	8703875
278749	954	1997-10-06	VYDAJ	PREVOD NA UCET	1906	39328	POJISTNE	OP	8703875
278750	954	1997-11-06	VYDAJ	PREVOD NA UCET	1906	38536	POJISTNE	OP	8703875
278751	954	1997-12-06	VYDAJ	PREVOD NA UCET	1906	38567	POJISTNE	OP	8703875
278752	954	1998-01-06	VYDAJ	PREVOD NA UCET	1906	32007	POJISTNE	OP	8703875
278753	954	1998-02-06	VYDAJ	PREVOD NA UCET	1906	24441	POJISTNE	OP	8703875
278754	954	1998-03-06	VYDAJ	PREVOD NA UCET	1906	30658	POJISTNE	OP	8703875
278755	954	1998-04-06	VYDAJ	PREVOD NA UCET	1906	30901	POJISTNE	OP	8703875
278756	954	1998-05-06	VYDAJ	PREVOD NA UCET	1906	32745	POJISTNE	OP	8703875
278757	954	1998-06-06	VYDAJ	PREVOD NA UCET	1906	32151	POJISTNE	OP	8703875
278758	954	1998-07-06	VYDAJ	PREVOD NA UCET	1906	35709	POJISTNE	OP	8703875
278759	954	1998-08-06	VYDAJ	PREVOD NA UCET	1906	30233	POJISTNE	OP	8703875
278760	954	1998-09-06	VYDAJ	PREVOD NA UCET	1906	29069	POJISTNE	OP	8703875
278761	954	1998-10-06	VYDAJ	PREVOD NA UCET	1906	23796	POJISTNE	OP	8703875
278762	954	1998-11-06	VYDAJ	PREVOD NA UCET	1906	23749	POJISTNE	OP	8703875
278763	954	1998-12-06	VYDAJ	PREVOD NA UCET	1906	28166	POJISTNE	OP	8703875
278768	954	1997-01-16	VYDAJ	VYBER	3200	31021	\N	\N	\N
278769	954	1998-01-10	VYDAJ	VYBER	8960	18208	\N	\N	\N
278770	954	1996-12-16	VYDAJ	VYBER	2880	33857	\N	\N	\N
278771	954	1997-12-27	VYDAJ	VYBER	2400	42551	\N	\N	\N
278772	954	1998-12-10	VYDAJ	VYBER	4000	22924	\N	\N	\N
278779	954	1997-01-28	VYDAJ	VYBER	2400	22021	\N	\N	\N
278780	954	1997-01-09	VYDAJ	VYBER	1080	31101	\N	\N	\N
278781	954	1997-01-24	VYDAJ	VYBER	3480	24421	\N	\N	\N
278782	954	1997-01-20	VYDAJ	VYBER	3120	27901	\N	\N	\N
278783	954	1997-01-04	VYDAJ	VYBER	840	34444	\N	\N	\N
278784	954	1997-01-11	VYDAJ	VYBER	960	34221	\N	\N	\N
278785	954	1998-01-19	VYDAJ	VYBER	2040	19690	\N	\N	\N
278786	954	1998-01-30	VYDAJ	VYBER	2880	26610	\N	\N	\N
278787	954	1998-01-01	VYDAJ	VYBER	600	38713	\N	\N	\N
278788	954	1998-01-05	VYDAJ	VYBER	3240	33913	\N	\N	\N
278789	954	1998-01-15	VYDAJ	VYBER	1800	21730	\N	\N	\N
278790	954	1998-01-09	VYDAJ	VYBER	3240	28410	\N	\N	\N
278791	954	1996-07-17	VYDAJ	VYBER	4320	29932	\N	\N	\N
278792	954	1996-08-30	VYDAJ	VYBER	3240	29326	\N	\N	\N
278793	954	1997-09-14	VYDAJ	VYBER	5040	38882	\N	\N	\N
278794	954	1997-08-26	VYDAJ	VYBER	3720	42634	\N	\N	\N
278795	954	1997-04-19	VYDAJ	VYBER	5280	30324	\N	\N	\N
278796	954	1997-06-27	VYDAJ	VYBER	1080	41395	\N	\N	\N
278797	954	1997-10-11	VYDAJ	VYBER	4800	38251	\N	\N	\N
278798	954	1998-07-08	VYDAJ	VYBER	4080	31629	\N	\N	\N
278799	954	1998-01-04	VYDAJ	VYBER	1560	37153	\N	\N	\N
278805	954	1996-05-31	VYDAJ	VYBER	15	31836	SLUZBY	\N	\N
278806	954	1996-06-30	VYDAJ	VYBER	15	34035	SLUZBY	\N	\N
278807	954	1996-07-31	VYDAJ	VYBER	15	30049	SLUZBY	\N	\N
278808	954	1996-08-31	VYDAJ	VYBER	15	29441	SLUZBY	\N	\N
278809	954	1996-09-30	VYDAJ	VYBER	15	31772	SLUZBY	\N	\N
278810	954	1996-10-31	VYDAJ	VYBER	15	34212	SLUZBY	\N	\N
278811	954	1996-11-30	VYDAJ	VYBER	15	35659	SLUZBY	\N	\N
278812	954	1996-12-31	VYDAJ	VYBER	15	33984	SLUZBY	\N	\N
278813	954	1997-01-31	VYDAJ	VYBER	15	22130	SLUZBY	\N	\N
278814	954	1997-02-28	VYDAJ	VYBER	15	29949	SLUZBY	\N	\N
278815	954	1997-03-31	VYDAJ	VYBER	15	33887	SLUZBY	\N	\N
278816	954	1997-04-30	VYDAJ	VYBER	15	30445	SLUZBY	\N	\N
278817	954	1997-05-31	VYDAJ	VYBER	15	37797	SLUZBY	\N	\N
278818	954	1997-06-30	VYDAJ	VYBER	15	41549	SLUZBY	\N	\N
278819	954	1997-07-31	VYDAJ	VYBER	15	46037	SLUZBY	\N	\N
278820	954	1997-08-31	VYDAJ	VYBER	15	42105	SLUZBY	\N	\N
278821	954	1997-09-30	VYDAJ	VYBER	15	41234	SLUZBY	\N	\N
278822	954	1997-10-31	VYDAJ	VYBER	15	40799	SLUZBY	\N	\N
278823	954	1997-11-30	VYDAJ	VYBER	15	40473	SLUZBY	\N	\N
278824	954	1997-12-31	VYDAJ	VYBER	15	39313	SLUZBY	\N	\N
278825	954	1998-01-31	VYDAJ	VYBER	15	26704	SLUZBY	\N	\N
278826	954	1998-02-28	VYDAJ	VYBER	15	32921	SLUZBY	\N	\N
278827	954	1998-03-31	VYDAJ	VYBER	15	33164	SLUZBY	\N	\N
278828	954	1998-04-30	VYDAJ	VYBER	15	35008	SLUZBY	\N	\N
278829	954	1998-05-31	VYDAJ	VYBER	15	34057	SLUZBY	\N	\N
278830	954	1998-06-30	VYDAJ	VYBER	15	37972	SLUZBY	\N	\N
278831	954	1998-07-31	VYDAJ	VYBER	15	32139	SLUZBY	\N	\N
278832	954	1998-08-31	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
278833	954	1998-09-30	VYDAJ	VYBER	15	25702	SLUZBY	\N	\N
278834	954	1998-10-31	VYDAJ	VYBER	15	26012	SLUZBY	\N	\N
278835	954	1998-11-30	VYDAJ	VYBER	15	30429	SLUZBY	\N	\N
278836	954	1996-02-07	PRIJEM	VKLAD	9500	15840	\N	\N	\N
278837	954	1996-03-08	PRIJEM	VKLAD	1700	22929	\N	\N	\N
278838	954	1996-04-07	VYDAJ	VYBER	4900	23459	\N	\N	\N
278839	954	1996-05-07	VYDAJ	VYBER	2500	26400	\N	\N	\N
278840	954	1996-06-06	VYDAJ	VYBER	2400	27173	\N	\N	\N
278841	954	1996-07-06	VYDAJ	VYBER	1600	32435	\N	\N	\N
278842	954	1996-08-05	PRIJEM	VKLAD	700	30749	\N	\N	\N
278843	954	1996-09-04	PRIJEM	VKLAD	400	29841	\N	\N	\N
278844	954	1996-10-04	PRIJEM	VKLAD	500	32272	\N	\N	\N
278845	954	1996-11-03	VYDAJ	VYBER	500	33712	\N	\N	\N
278846	954	1996-12-03	VYDAJ	VYBER	3400	32259	\N	\N	\N
278847	954	1997-01-02	PRIJEM	VKLAD	1300	35284	\N	\N	\N
278848	954	1997-02-01	PRIJEM	VKLAD	5900	28030	\N	\N	\N
278849	954	1997-03-03	PRIJEM	VKLAD	2000	31949	\N	\N	\N
278850	954	1997-04-02	VYDAJ	VYBER	100	33787	\N	\N	\N
278851	954	1997-05-02	PRIJEM	VKLAD	5400	35845	\N	\N	\N
278852	954	1997-06-01	PRIJEM	VKLAD	200	37997	\N	\N	\N
278853	954	1997-07-01	PRIJEM	VKLAD	2500	44049	\N	\N	\N
278854	954	1997-07-31	VYDAJ	VYBER	1500	44537	\N	\N	\N
278855	954	1997-08-30	VYDAJ	VYBER	700	41934	\N	\N	\N
278856	954	1997-09-29	PRIJEM	VKLAD	2200	41082	\N	\N	\N
278857	954	1997-10-29	PRIJEM	VKLAD	2400	40651	\N	\N	\N
278858	954	1997-11-28	VYDAJ	VYBER	2300	40316	\N	\N	\N
278859	954	1997-12-28	VYDAJ	VYBER	3400	39151	\N	\N	\N
278860	954	1998-01-27	PRIJEM	VKLAD	9800	29490	\N	\N	\N
278861	954	1998-02-26	PRIJEM	VKLAD	4300	32821	\N	\N	\N
278862	954	1998-03-28	VYDAJ	VYBER	1700	33038	\N	\N	\N
278863	954	1998-04-27	VYDAJ	VYBER	100	34881	\N	\N	\N
278864	954	1998-05-27	VYDAJ	VYBER	2900	33925	\N	\N	\N
278865	954	1998-06-26	VYDAJ	VYBER	700	37835	\N	\N	\N
278866	954	1998-07-26	VYDAJ	VYBER	3700	32009	\N	\N	\N
278867	954	1998-08-25	VYDAJ	VYBER	3100	30856	\N	\N	\N
278868	954	1998-09-24	VYDAJ	VYBER	7200	25592	\N	\N	\N
278869	954	1998-10-24	VYDAJ	VYBER	1600	25919	\N	\N	\N
278870	954	1998-11-23	PRIJEM	VKLAD	2500	30329	\N	\N	\N
278907	955	1996-07-08	PRIJEM	VKLAD	400	400	\N	\N	\N
278915	955	1996-08-08	PRIJEM	VKLAD	13861	29061	\N	\N	\N
278916	955	1996-09-08	PRIJEM	VKLAD	13861	40216	\N	\N	\N
278917	955	1996-10-08	PRIJEM	VKLAD	13861	46134	\N	\N	\N
278918	955	1996-11-08	PRIJEM	VKLAD	13861	49181	\N	\N	\N
278919	955	1996-12-08	PRIJEM	VKLAD	20792	58275	\N	\N	\N
278920	955	1997-01-08	PRIJEM	VKLAD	13861	47061	\N	\N	\N
278921	955	1997-02-08	PRIJEM	VKLAD	13861	33306	\N	\N	\N
278922	955	1997-03-08	PRIJEM	VKLAD	13861	37871	\N	\N	\N
278923	955	1997-04-08	PRIJEM	VKLAD	13861	38858	\N	\N	\N
278924	955	1997-05-08	PRIJEM	VKLAD	13861	36753	\N	\N	\N
278925	955	1997-06-08	PRIJEM	VKLAD	20792	39892	\N	\N	\N
278926	955	1997-07-08	PRIJEM	VKLAD	13861	34387	\N	\N	\N
278927	955	1997-08-08	PRIJEM	VKLAD	13861	33525	\N	\N	\N
278928	955	1997-09-08	PRIJEM	VKLAD	13861	33294	\N	\N	\N
278929	955	1997-10-08	PRIJEM	VKLAD	13861	31964	\N	\N	\N
278930	955	1997-11-08	PRIJEM	VKLAD	13861	34632	\N	\N	\N
278931	955	1997-12-08	PRIJEM	VKLAD	20792	35719	\N	\N	\N
278932	955	1998-01-08	PRIJEM	VKLAD	13861	20649	\N	\N	\N
278933	955	1998-02-08	PRIJEM	VKLAD	13861	24322	\N	\N	\N
278934	955	1998-03-08	PRIJEM	VKLAD	13861	32472	\N	\N	\N
278935	955	1998-04-08	PRIJEM	VKLAD	13861	40237	\N	\N	\N
278936	955	1998-05-08	PRIJEM	VKLAD	13861	38530	\N	\N	\N
278937	955	1998-06-08	PRIJEM	VKLAD	20792	44047	\N	\N	\N
278938	955	1998-07-08	PRIJEM	VKLAD	13861	43549	\N	\N	\N
278939	955	1998-08-08	PRIJEM	VKLAD	13861	39010	\N	\N	\N
278940	955	1998-09-08	PRIJEM	VKLAD	13861	37717	\N	\N	\N
278941	955	1998-10-08	PRIJEM	VKLAD	13861	41201	\N	\N	\N
278942	955	1998-11-08	PRIJEM	VKLAD	13861	43698	\N	\N	\N
278943	955	1998-12-08	PRIJEM	VKLAD	20792	56338	\N	\N	\N
278956	955	1997-01-07	VYDAJ	PREVOD NA UCET	7411	33200	SIPO	MN	52028411
278957	955	1997-02-07	VYDAJ	PREVOD NA UCET	7411	19445	SIPO	MN	52028411
278958	955	1997-03-07	VYDAJ	PREVOD NA UCET	7411	24010	SIPO	MN	52028411
278959	955	1997-04-07	VYDAJ	PREVOD NA UCET	7411	24997	SIPO	MN	52028411
278960	955	1997-05-07	VYDAJ	PREVOD NA UCET	7411	22892	SIPO	MN	52028411
278961	955	1997-06-07	VYDAJ	PREVOD NA UCET	7411	19100	SIPO	MN	52028411
278962	955	1997-07-07	VYDAJ	PREVOD NA UCET	7411	20526	SIPO	MN	52028411
278963	955	1997-08-07	VYDAJ	PREVOD NA UCET	7411	19664	SIPO	MN	52028411
278964	955	1997-09-07	VYDAJ	PREVOD NA UCET	7411	19433	SIPO	MN	52028411
278965	955	1997-10-07	VYDAJ	PREVOD NA UCET	7411	18103	SIPO	MN	52028411
278966	955	1997-11-07	VYDAJ	PREVOD NA UCET	7411	20771	SIPO	MN	52028411
278967	955	1997-12-07	VYDAJ	PREVOD NA UCET	7411	14928	SIPO	MN	52028411
278968	955	1998-01-07	VYDAJ	PREVOD NA UCET	7411	6788	SIPO	MN	52028411
278969	955	1998-02-07	VYDAJ	PREVOD NA UCET	7411	10461	SIPO	MN	52028411
278970	955	1998-03-07	VYDAJ	PREVOD NA UCET	7411	18611	SIPO	MN	52028411
278971	955	1998-04-07	VYDAJ	PREVOD NA UCET	7411	26376	SIPO	MN	52028411
278972	955	1998-05-07	VYDAJ	PREVOD NA UCET	7411	24669	SIPO	MN	52028411
278973	955	1998-06-07	VYDAJ	PREVOD NA UCET	7411	23256	SIPO	MN	52028411
278974	955	1998-07-07	VYDAJ	PREVOD NA UCET	7411	29688	SIPO	MN	52028411
278975	955	1998-08-07	VYDAJ	PREVOD NA UCET	7411	25149	SIPO	MN	52028411
278976	955	1998-09-07	VYDAJ	PREVOD NA UCET	7411	23856	SIPO	MN	52028411
278977	955	1998-10-07	VYDAJ	PREVOD NA UCET	7411	27340	SIPO	MN	52028411
278978	955	1998-11-07	VYDAJ	PREVOD NA UCET	7411	29837	SIPO	MN	52028411
278979	955	1998-12-07	VYDAJ	PREVOD NA UCET	7411	35546	SIPO	MN	52028411
278981	955	1997-06-12	VYDAJ	VYBER	5760	34132	\N	\N	\N
278984	955	1997-01-25	VYDAJ	VYBER	10880	28141	\N	\N	\N
278985	955	1998-01-01	VYDAJ	VYBER	13120	14199	\N	\N	\N
278986	955	1996-12-21	VYDAJ	VYBER	2080	56195	\N	\N	\N
278987	955	1997-12-10	VYDAJ	VYBER	2720	32999	\N	\N	\N
278988	955	1998-12-10	VYDAJ	VYBER	1280	55058	\N	\N	\N
278995	955	1997-01-27	VYDAJ	VYBER	1800	26341	\N	\N	\N
278996	955	1997-01-17	VYDAJ	VYBER	720	40941	\N	\N	\N
278997	955	1997-01-10	VYDAJ	VYBER	2880	41661	\N	\N	\N
278998	955	1997-01-08	VYDAJ	VYBER	2520	44541	\N	\N	\N
278999	955	1997-01-27	VYDAJ	VYBER	1440	24901	\N	\N	\N
279000	955	1997-01-19	VYDAJ	VYBER	1920	39021	\N	\N	\N
279004	955	1998-01-18	VYDAJ	VYBER	3240	14409	\N	\N	\N
279005	955	1998-01-16	VYDAJ	VYBER	3000	17649	\N	\N	\N
279014	955	1997-09-09	VYDAJ	VYBER	600	32694	\N	\N	\N
279015	955	1997-07-11	VYDAJ	VYBER	5520	28867	\N	\N	\N
279016	955	1997-12-20	VYDAJ	VYBER	600	32399	\N	\N	\N
279017	955	1997-06-02	VYDAJ	VYBER	4680	32211	\N	\N	\N
279018	955	1997-12-05	VYDAJ	VYBER	1320	22339	\N	\N	\N
279019	955	1997-07-02	VYDAJ	VYBER	4320	29937	\N	\N	\N
279020	955	1998-03-05	VYDAJ	VYBER	1080	26022	\N	\N	\N
279021	955	1998-07-15	VYDAJ	VYBER	1560	41989	\N	\N	\N
279022	955	1998-08-27	VYDAJ	VYBER	4080	34930	\N	\N	\N
279023	955	1998-07-20	VYDAJ	VYBER	1080	40909	\N	\N	\N
279036	955	1996-12-31	VYDAJ	VYBER	15	56411	SLUZBY	\N	\N
279037	955	1997-01-31	VYDAJ	VYBER	15	25056	SLUZBY	\N	\N
279038	955	1997-02-28	VYDAJ	VYBER	15	33421	SLUZBY	\N	\N
279039	955	1997-03-31	VYDAJ	VYBER	15	38008	SLUZBY	\N	\N
279040	955	1997-04-30	VYDAJ	VYBER	15	39003	SLUZBY	\N	\N
279041	955	1997-05-31	VYDAJ	VYBER	15	36891	SLUZBY	\N	\N
279042	955	1997-06-30	VYDAJ	VYBER	15	34257	SLUZBY	\N	\N
279043	955	1997-07-31	VYDAJ	VYBER	15	28975	SLUZBY	\N	\N
279044	955	1997-08-31	VYDAJ	VYBER	15	33644	SLUZBY	\N	\N
279045	955	1997-09-30	VYDAJ	VYBER	15	32814	SLUZBY	\N	\N
279046	955	1997-10-31	VYDAJ	VYBER	15	32082	SLUZBY	\N	\N
279047	955	1997-11-30	VYDAJ	VYBER	15	34759	SLUZBY	\N	\N
279048	955	1997-12-31	VYDAJ	VYBER	15	27319	SLUZBY	\N	\N
279049	955	1998-01-31	VYDAJ	VYBER	15	17872	SLUZBY	\N	\N
279050	955	1998-02-28	VYDAJ	VYBER	15	27102	SLUZBY	\N	\N
279051	955	1998-03-31	VYDAJ	VYBER	15	33787	SLUZBY	\N	\N
279052	955	1998-04-30	VYDAJ	VYBER	15	32080	SLUZBY	\N	\N
279053	955	1998-05-31	VYDAJ	VYBER	15	30667	SLUZBY	\N	\N
279054	955	1998-06-30	VYDAJ	VYBER	15	37099	SLUZBY	\N	\N
279055	955	1998-07-31	VYDAJ	VYBER	15	32560	SLUZBY	\N	\N
279056	955	1998-08-31	VYDAJ	VYBER	15	31267	SLUZBY	\N	\N
279057	955	1998-09-30	VYDAJ	VYBER	15	34751	SLUZBY	\N	\N
279058	955	1998-10-31	VYDAJ	VYBER	15	37248	SLUZBY	\N	\N
279059	955	1998-11-30	VYDAJ	VYBER	15	42957	SLUZBY	\N	\N
279060	955	1996-08-07	PRIJEM	VKLAD	14800	15200	\N	\N	\N
279061	955	1996-09-06	VYDAJ	VYBER	2800	26355	\N	\N	\N
279062	955	1996-10-06	VYDAJ	VYBER	8100	32273	\N	\N	\N
279063	955	1996-11-05	VYDAJ	VYBER	11000	35320	\N	\N	\N
279064	955	1996-12-05	VYDAJ	VYBER	11900	37483	\N	\N	\N
279065	955	1997-01-04	VYDAJ	VYBER	15800	40611	\N	\N	\N
279066	955	1997-02-03	PRIJEM	VKLAD	1800	26856	\N	\N	\N
279067	955	1997-03-05	VYDAJ	VYBER	2000	31421	\N	\N	\N
279068	955	1997-04-04	VYDAJ	VYBER	5600	32408	\N	\N	\N
279069	955	1997-05-04	VYDAJ	VYBER	8700	30303	\N	\N	\N
279070	955	1997-06-03	VYDAJ	VYBER	5700	26511	\N	\N	\N
279071	955	1997-07-03	VYDAJ	VYBER	2000	27937	\N	\N	\N
279072	955	1997-08-02	VYDAJ	VYBER	1900	27075	\N	\N	\N
279073	955	1997-09-01	VYDAJ	VYBER	6800	26844	\N	\N	\N
279074	955	1997-10-01	VYDAJ	VYBER	7300	25514	\N	\N	\N
279075	955	1997-10-31	VYDAJ	VYBER	3900	28182	\N	\N	\N
279076	955	1997-11-30	VYDAJ	VYBER	11100	23659	\N	\N	\N
279077	955	1997-12-30	VYDAJ	VYBER	5200	27199	\N	\N	\N
279078	955	1998-01-29	PRIJEM	VKLAD	3400	17809	\N	\N	\N
279079	955	1998-02-28	PRIJEM	VKLAD	2700	27022	\N	\N	\N
279080	955	1998-03-30	PRIJEM	VKLAD	1200	33672	\N	\N	\N
279081	955	1998-04-29	VYDAJ	VYBER	8300	31937	\N	\N	\N
279082	955	1998-05-29	VYDAJ	VYBER	8000	30530	\N	\N	\N
279083	955	1998-06-28	VYDAJ	VYBER	7100	36947	\N	\N	\N
279084	955	1998-07-28	VYDAJ	VYBER	8500	32409	\N	\N	\N
279085	955	1998-08-27	VYDAJ	VYBER	3800	31130	\N	\N	\N
279086	955	1998-09-26	VYDAJ	VYBER	3100	34617	\N	\N	\N
279087	955	1998-10-26	VYDAJ	VYBER	4100	37101	\N	\N	\N
279088	955	1998-11-25	VYDAJ	VYBER	900	42798	\N	\N	\N
279118	956	1993-12-05	PRIJEM	VKLAD	400	400	\N	\N	\N
279121	956	1994-07-14	PRIJEM	VKLAD	14915	41881	\N	\N	\N
279122	956	1994-05-28	PRIJEM	VKLAD	33434	56479	\N	\N	\N
279123	956	1995-11-13	PRIJEM	VKLAD	26637	62070	\N	\N	\N
279124	956	1995-02-25	PRIJEM	VKLAD	12207	31103	\N	\N	\N
279125	956	1996-01-12	PRIJEM	VKLAD	39049	75878	\N	\N	\N
279126	956	1996-05-24	PRIJEM	VKLAD	35065	75324	\N	\N	\N
279127	956	1997-04-03	PRIJEM	VKLAD	21112	64460	\N	\N	\N
279128	956	1997-11-17	PRIJEM	VKLAD	20649	62826	\N	\N	\N
279129	956	1998-12-08	PRIJEM	VKLAD	14581	83437	\N	\N	\N
279130	956	1998-10-24	PRIJEM	VKLAD	14771	79500	\N	\N	\N
279142	956	1993-12-14	PRIJEM	VKLAD	1100	1500	\N	\N	\N
279143	956	1994-01-13	PRIJEM	VKLAD	1100	13804	\N	\N	\N
279144	956	1994-02-14	PRIJEM	VKLAD	1100	20541	\N	\N	\N
279145	956	1994-03-14	PRIJEM	VKLAD	1100	25014	\N	\N	\N
279146	956	1994-04-14	PRIJEM	VKLAD	1100	25310	\N	\N	\N
279147	956	1994-05-17	PRIJEM	VKLAD	1100	24895	\N	\N	\N
279148	956	1994-06-14	PRIJEM	VKLAD	1100	32028	\N	\N	\N
279149	956	1994-07-16	PRIJEM	VKLAD	1100	42981	\N	\N	\N
279150	956	1994-08-17	PRIJEM	VKLAD	1100	35926	\N	\N	\N
279151	956	1994-09-15	PRIJEM	VKLAD	1100	30777	\N	\N	\N
279152	956	1994-10-16	PRIJEM	VKLAD	1100	29701	\N	\N	\N
279153	956	1994-11-16	PRIJEM	VKLAD	1100	28761	\N	\N	\N
279154	956	1994-12-14	PRIJEM	VKLAD	1100	28462	\N	\N	\N
279155	956	1995-01-14	PRIJEM	VKLAD	1100	28716	\N	\N	\N
279156	956	1995-02-17	PRIJEM	VKLAD	1100	18896	\N	\N	\N
279157	956	1995-03-14	PRIJEM	VKLAD	1100	32371	\N	\N	\N
279158	956	1995-04-17	PRIJEM	VKLAD	1100	34187	\N	\N	\N
279159	956	1995-05-15	PRIJEM	VKLAD	1100	35210	\N	\N	\N
279160	956	1995-06-14	PRIJEM	VKLAD	1100	20437	\N	\N	\N
279161	956	1995-07-16	PRIJEM	VKLAD	1100	30825	\N	\N	\N
279162	956	1995-08-16	PRIJEM	VKLAD	1100	35236	\N	\N	\N
279163	956	1995-09-16	PRIJEM	VKLAD	1100	35165	\N	\N	\N
279164	956	1995-10-14	PRIJEM	VKLAD	1100	38294	\N	\N	\N
279165	956	1995-11-14	PRIJEM	VKLAD	1100	63170	\N	\N	\N
279166	956	1995-12-15	PRIJEM	VKLAD	1100	48504	\N	\N	\N
279167	956	1996-01-16	PRIJEM	VKLAD	1100	74928	\N	\N	\N
279168	956	1996-02-16	PRIJEM	VKLAD	1100	45383	\N	\N	\N
279169	956	1996-03-17	PRIJEM	VKLAD	1100	41749	\N	\N	\N
279170	956	1996-04-15	PRIJEM	VKLAD	1100	41005	\N	\N	\N
279171	956	1996-05-13	PRIJEM	VKLAD	1100	43659	\N	\N	\N
279172	956	1996-06-16	PRIJEM	VKLAD	1100	48821	\N	\N	\N
279173	956	1996-07-17	PRIJEM	VKLAD	1100	41450	\N	\N	\N
279174	956	1996-08-14	PRIJEM	VKLAD	1100	42905	\N	\N	\N
279175	956	1996-09-16	PRIJEM	VKLAD	1100	47169	\N	\N	\N
279176	956	1996-10-15	PRIJEM	VKLAD	1100	44542	\N	\N	\N
279177	956	1996-11-14	PRIJEM	VKLAD	1100	47212	\N	\N	\N
279178	956	1996-12-13	PRIJEM	VKLAD	1100	50294	\N	\N	\N
279179	956	1997-01-15	PRIJEM	VKLAD	1100	33525	\N	\N	\N
279180	956	1997-02-13	PRIJEM	VKLAD	1100	32663	\N	\N	\N
279181	956	1997-03-13	PRIJEM	VKLAD	1100	39995	\N	\N	\N
279182	956	1997-04-14	PRIJEM	VKLAD	1100	65560	\N	\N	\N
279183	956	1997-05-16	PRIJEM	VKLAD	1100	55757	\N	\N	\N
279184	956	1997-06-14	PRIJEM	VKLAD	1100	29656	\N	\N	\N
279185	956	1997-07-14	PRIJEM	VKLAD	1100	23990	\N	\N	\N
279186	956	1997-08-14	PRIJEM	VKLAD	1100	33487	\N	\N	\N
279187	956	1997-09-15	PRIJEM	VKLAD	1100	42918	\N	\N	\N
279188	956	1997-10-15	PRIJEM	VKLAD	1100	42519	\N	\N	\N
279189	956	1997-11-13	PRIJEM	VKLAD	1100	42577	\N	\N	\N
279190	956	1997-12-16	PRIJEM	VKLAD	1100	53025	\N	\N	\N
279191	956	1998-01-13	PRIJEM	VKLAD	1100	50497	\N	\N	\N
279192	956	1998-02-17	PRIJEM	VKLAD	1100	42028	\N	\N	\N
279193	956	1998-03-14	PRIJEM	VKLAD	1100	44389	\N	\N	\N
279194	956	1998-04-13	PRIJEM	VKLAD	1100	45650	\N	\N	\N
279195	956	1998-05-16	PRIJEM	VKLAD	1100	42119	\N	\N	\N
279196	956	1998-06-14	PRIJEM	VKLAD	1100	44679	\N	\N	\N
279197	956	1998-07-14	PRIJEM	VKLAD	1100	39315	\N	\N	\N
279198	956	1998-08-17	PRIJEM	VKLAD	1100	52733	\N	\N	\N
279199	956	1998-09-17	PRIJEM	VKLAD	1100	63407	\N	\N	\N
279200	956	1998-10-16	PRIJEM	VKLAD	1100	64729	\N	\N	\N
279201	956	1998-11-17	PRIJEM	VKLAD	1100	68564	\N	\N	\N
279202	956	1998-12-14	PRIJEM	VKLAD	1100	72337	\N	\N	\N
279204	956	1994-06-09	VYDAJ	VYBER	3000	31678	\N	\N	\N
279205	956	1995-06-05	VYDAJ	VYBER	6900	26637	\N	\N	\N
279206	956	1996-06-19	VYDAJ	VYBER	10700	38121	\N	\N	\N
279207	956	1997-06-07	VYDAJ	VYBER	19700	28556	\N	\N	\N
279208	956	1998-06-21	VYDAJ	VYBER	21000	23679	\N	\N	\N
279211	956	1995-01-21	VYDAJ	VYBER	3000	14566	\N	\N	\N
279212	956	1996-01-19	VYDAJ	VYBER	9200	64628	\N	\N	\N
279213	956	1997-01-15	VYDAJ	VYBER	9400	24125	\N	\N	\N
279214	956	1998-01-17	VYDAJ	VYBER	2000	45097	\N	\N	\N
279216	956	1994-06-03	VYDAJ	VYBER	13100	34678	\N	\N	\N
279217	956	1995-06-09	VYDAJ	VYBER	7300	19337	\N	\N	\N
279218	956	1996-06-13	VYDAJ	VYBER	27800	47721	\N	\N	\N
279219	956	1997-06-20	VYDAJ	VYBER	15300	22756	\N	\N	\N
279220	956	1998-06-11	VYDAJ	VYBER	9300	32979	\N	\N	\N
279223	956	1995-01-19	VYDAJ	VYBER	9500	17566	\N	\N	\N
279224	956	1996-01-27	VYDAJ	VYBER	6700	44078	\N	\N	\N
279225	956	1997-01-14	VYDAJ	VYBER	9300	32425	\N	\N	\N
279226	956	1998-01-04	VYDAJ	VYBER	1500	51747	\N	\N	\N
279228	956	1994-12-08	VYDAJ	VYBER	1600	27362	\N	\N	\N
279229	956	1995-12-28	VYDAJ	VYBER	2300	38604	\N	\N	\N
279230	956	1996-12-20	VYDAJ	VYBER	2400	44794	\N	\N	\N
279231	956	1997-12-09	VYDAJ	VYBER	2000	61025	\N	\N	\N
279232	956	1998-12-20	VYDAJ	VYBER	800	71537	\N	\N	\N
279245	956	1995-01-02	VYDAJ	VYBER	250	27616	\N	\N	\N
279247	956	1995-01-30	VYDAJ	VYBER	250	17716	\N	\N	\N
279248	956	1995-01-30	VYDAJ	VYBER	1450	17966	\N	\N	\N
279249	956	1995-01-14	VYDAJ	VYBER	450	28266	\N	\N	\N
279250	956	1995-01-15	VYDAJ	VYBER	1200	27066	\N	\N	\N
279251	956	1996-01-12	VYDAJ	VYBER	900	74978	\N	\N	\N
279252	956	1996-01-25	VYDAJ	VYBER	650	50778	\N	\N	\N
279253	956	1996-01-15	VYDAJ	VYBER	1150	73828	\N	\N	\N
279254	956	1996-01-10	VYDAJ	VYBER	650	36829	\N	\N	\N
279255	956	1996-01-08	VYDAJ	VYBER	1300	37479	\N	\N	\N
279256	956	1996-01-19	VYDAJ	VYBER	1100	73828	\N	\N	\N
279257	956	1997-01-21	VYDAJ	VYBER	550	34125	\N	\N	\N
279258	956	1997-01-06	VYDAJ	VYBER	1450	43525	\N	\N	\N
279259	956	1997-01-29	VYDAJ	VYBER	700	31425	\N	\N	\N
279260	956	1997-01-10	VYDAJ	VYBER	550	41725	\N	\N	\N
279261	956	1997-01-16	VYDAJ	VYBER	750	23375	\N	\N	\N
279262	956	1997-01-10	VYDAJ	VYBER	1250	42275	\N	\N	\N
279263	956	1998-01-06	VYDAJ	VYBER	1100	49847	\N	\N	\N
279264	956	1998-01-23	VYDAJ	VYBER	950	44147	\N	\N	\N
279265	956	1998-01-28	VYDAJ	VYBER	800	43347	\N	\N	\N
279266	956	1998-01-05	VYDAJ	VYBER	800	50947	\N	\N	\N
279267	956	1998-01-09	VYDAJ	VYBER	450	49397	\N	\N	\N
279268	956	1998-01-30	VYDAJ	VYBER	400	42947	\N	\N	\N
279273	956	1994-10-30	VYDAJ	VYBER	2000	26651	\N	\N	\N
279274	956	1994-05-21	VYDAJ	VYBER	1850	23045	\N	\N	\N
279275	956	1994-10-27	VYDAJ	VYBER	1050	28651	\N	\N	\N
279276	956	1994-04-14	VYDAJ	VYBER	850	24460	\N	\N	\N
279277	956	1994-04-20	VYDAJ	VYBER	2350	22110	\N	\N	\N
279278	956	1994-06-13	VYDAJ	VYBER	750	30928	\N	\N	\N
279279	956	1995-01-21	VYDAJ	VYBER	1450	13116	\N	\N	\N
279280	956	1995-11-21	VYDAJ	VYBER	2050	61120	\N	\N	\N
279281	956	1995-07-17	VYDAJ	VYBER	1250	29575	\N	\N	\N
279282	956	1995-08-09	VYDAJ	VYBER	250	34136	\N	\N	\N
279283	956	1996-03-31	VYDAJ	VYBER	1450	39920	\N	\N	\N
279284	956	1996-06-25	VYDAJ	VYBER	1400	40121	\N	\N	\N
279285	956	1996-06-23	VYDAJ	VYBER	1500	41521	\N	\N	\N
279286	956	1996-12-18	VYDAJ	VYBER	1200	49094	\N	\N	\N
279287	956	1996-10-05	VYDAJ	VYBER	300	43442	\N	\N	\N
279288	956	1996-03-24	VYDAJ	VYBER	2150	41199	\N	\N	\N
279289	956	1996-03-20	VYDAJ	VYBER	1200	40549	\N	\N	\N
279290	956	1997-02-27	VYDAJ	VYBER	2300	38763	\N	\N	\N
279291	956	1997-01-21	VYDAJ	VYBER	2000	32125	\N	\N	\N
279292	956	1997-10-11	VYDAJ	VYBER	1400	40419	\N	\N	\N
279293	956	1997-11-01	VYDAJ	VYBER	1200	41477	\N	\N	\N
279294	956	1997-10-04	VYDAJ	VYBER	1250	41819	\N	\N	\N
279295	956	1997-10-14	VYDAJ	VYBER	1200	39219	\N	\N	\N
279296	956	1997-12-15	VYDAJ	VYBER	1500	51925	\N	\N	\N
279297	956	1998-04-27	VYDAJ	VYBER	2050	43200	\N	\N	\N
279298	956	1998-05-15	VYDAJ	VYBER	2450	41019	\N	\N	\N
279315	956	1994-04-30	VYDAJ	VYBER	15	22195	SLUZBY	\N	\N
279316	956	1994-05-31	VYDAJ	VYBER	15	56578	SLUZBY	\N	\N
279317	956	1994-06-30	VYDAJ	VYBER	15	32166	SLUZBY	\N	\N
279318	956	1994-07-31	VYDAJ	VYBER	15	43126	SLUZBY	\N	\N
279319	956	1994-08-31	VYDAJ	VYBER	15	36077	SLUZBY	\N	\N
279320	956	1994-09-30	VYDAJ	VYBER	15	30901	SLUZBY	\N	\N
279321	956	1994-10-31	VYDAJ	VYBER	15	27661	SLUZBY	\N	\N
279322	956	1994-11-30	VYDAJ	VYBER	15	28962	SLUZBY	\N	\N
279323	956	1994-12-31	VYDAJ	VYBER	15	27866	SLUZBY	\N	\N
279324	956	1995-01-31	VYDAJ	VYBER	15	17796	SLUZBY	\N	\N
279325	956	1995-02-28	VYDAJ	VYBER	15	31271	SLUZBY	\N	\N
279326	956	1995-03-31	VYDAJ	VYBER	15	33087	SLUZBY	\N	\N
279327	956	1995-04-30	VYDAJ	VYBER	15	34110	SLUZBY	\N	\N
279328	956	1995-05-31	VYDAJ	VYBER	15	33537	SLUZBY	\N	\N
279329	956	1995-06-30	VYDAJ	VYBER	15	29725	SLUZBY	\N	\N
279330	956	1995-07-31	VYDAJ	VYBER	15	34386	SLUZBY	\N	\N
279331	956	1995-08-31	VYDAJ	VYBER	15	34065	SLUZBY	\N	\N
279332	956	1995-09-30	VYDAJ	VYBER	15	37194	SLUZBY	\N	\N
279333	956	1995-10-31	VYDAJ	VYBER	15	35433	SLUZBY	\N	\N
279334	956	1995-11-30	VYDAJ	VYBER	15	47404	SLUZBY	\N	\N
279335	956	1995-12-31	VYDAJ	VYBER	15	38779	SLUZBY	\N	\N
279336	956	1996-01-31	VYDAJ	VYBER	15	44283	SLUZBY	\N	\N
279337	956	1996-02-29	VYDAJ	VYBER	15	40649	SLUZBY	\N	\N
279338	956	1996-03-31	VYDAJ	VYBER	15	39905	SLUZBY	\N	\N
279339	956	1996-04-30	VYDAJ	VYBER	15	42559	SLUZBY	\N	\N
279340	956	1996-05-31	VYDAJ	VYBER	15	75521	SLUZBY	\N	\N
279341	956	1996-06-30	VYDAJ	VYBER	15	40350	SLUZBY	\N	\N
279342	956	1996-07-31	VYDAJ	VYBER	15	41805	SLUZBY	\N	\N
279343	956	1996-08-31	VYDAJ	VYBER	15	46069	SLUZBY	\N	\N
279344	956	1996-09-30	VYDAJ	VYBER	15	43742	SLUZBY	\N	\N
279345	956	1996-10-31	VYDAJ	VYBER	15	46112	SLUZBY	\N	\N
279346	956	1996-11-30	VYDAJ	VYBER	15	49194	SLUZBY	\N	\N
279347	956	1996-12-31	VYDAJ	VYBER	15	44975	SLUZBY	\N	\N
279348	956	1997-01-31	VYDAJ	VYBER	15	31563	SLUZBY	\N	\N
279349	956	1997-02-28	VYDAJ	VYBER	15	38895	SLUZBY	\N	\N
279350	956	1997-03-31	VYDAJ	VYBER	15	43348	SLUZBY	\N	\N
279351	956	1997-04-30	VYDAJ	VYBER	15	54657	SLUZBY	\N	\N
279352	956	1997-05-31	VYDAJ	VYBER	15	48256	SLUZBY	\N	\N
279353	956	1997-06-30	VYDAJ	VYBER	15	22890	SLUZBY	\N	\N
279354	956	1997-07-31	VYDAJ	VYBER	15	32387	SLUZBY	\N	\N
279355	956	1997-08-31	VYDAJ	VYBER	15	38318	SLUZBY	\N	\N
279356	956	1997-09-30	VYDAJ	VYBER	15	43069	SLUZBY	\N	\N
279357	956	1997-10-31	VYDAJ	VYBER	15	42677	SLUZBY	\N	\N
279358	956	1997-11-30	VYDAJ	VYBER	15	63025	SLUZBY	\N	\N
279359	956	1997-12-31	VYDAJ	VYBER	15	53247	SLUZBY	\N	\N
279360	956	1998-01-31	VYDAJ	VYBER	15	43128	SLUZBY	\N	\N
279361	956	1998-02-28	VYDAJ	VYBER	15	42189	SLUZBY	\N	\N
279362	956	1998-03-31	VYDAJ	VYBER	15	44550	SLUZBY	\N	\N
279363	956	1998-04-30	VYDAJ	VYBER	15	43369	SLUZBY	\N	\N
279364	956	1998-05-31	VYDAJ	VYBER	15	42279	SLUZBY	\N	\N
279365	956	1998-06-30	VYDAJ	VYBER	15	23815	SLUZBY	\N	\N
279366	956	1998-07-31	VYDAJ	VYBER	15	39433	SLUZBY	\N	\N
279367	956	1998-08-31	VYDAJ	VYBER	15	52907	SLUZBY	\N	\N
279368	956	1998-09-30	VYDAJ	VYBER	15	63629	SLUZBY	\N	\N
279369	956	1998-10-31	VYDAJ	VYBER	15	79764	SLUZBY	\N	\N
279370	956	1998-11-30	VYDAJ	VYBER	15	68856	SLUZBY	\N	\N
279371	956	1994-01-04	PRIJEM	VKLAD	11200	12704	\N	\N	\N
279372	956	1994-02-03	PRIJEM	VKLAD	5600	19441	\N	\N	\N
279373	956	1994-03-05	PRIJEM	VKLAD	3300	23914	\N	\N	\N
279374	956	1994-04-04	VYDAJ	VYBER	900	24210	\N	\N	\N
279375	956	1994-05-04	PRIJEM	VKLAD	1600	23795	\N	\N	\N
279376	956	1994-06-03	VYDAJ	VYBER	8800	47778	\N	\N	\N
279377	956	1994-07-03	VYDAJ	VYBER	5200	26966	\N	\N	\N
279378	956	1994-08-02	VYDAJ	VYBER	8300	34826	\N	\N	\N
279379	956	1994-09-01	VYDAJ	VYBER	6400	29677	\N	\N	\N
279380	956	1994-10-01	VYDAJ	VYBER	2300	28601	\N	\N	\N
279381	956	1994-10-31	PRIJEM	VKLAD	900	27551	\N	\N	\N
279382	956	1994-11-30	PRIJEM	VKLAD	100	28861	\N	\N	\N
279383	956	1994-12-30	VYDAJ	VYBER	700	27762	\N	\N	\N
279384	956	1995-01-29	PRIJEM	VKLAD	6300	19416	\N	\N	\N
279385	956	1995-02-28	PRIJEM	VKLAD	100	31285	\N	\N	\N
279386	956	1995-03-30	PRIJEM	VKLAD	600	32971	\N	\N	\N
279387	956	1995-04-29	VYDAJ	VYBER	200	33987	\N	\N	\N
279388	956	1995-05-29	VYDAJ	VYBER	1800	33410	\N	\N	\N
279389	956	1995-06-28	PRIJEM	VKLAD	9200	29637	\N	\N	\N
279390	956	1995-07-28	PRIJEM	VKLAD	4700	34275	\N	\N	\N
279391	956	1995-08-27	VYDAJ	VYBER	1300	33936	\N	\N	\N
279392	956	1995-09-26	PRIJEM	VKLAD	1900	37065	\N	\N	\N
279393	956	1995-10-26	VYDAJ	VYBER	3000	35294	\N	\N	\N
279394	956	1995-11-25	VYDAJ	VYBER	13900	47220	\N	\N	\N
279395	956	1995-12-25	VYDAJ	VYBER	7600	40904	\N	\N	\N
279396	956	1996-01-24	VYDAJ	VYBER	13200	51428	\N	\N	\N
279397	956	1996-02-23	VYDAJ	VYBER	4900	40483	\N	\N	\N
279398	956	1996-03-24	PRIJEM	VKLAD	2800	43349	\N	\N	\N
279399	956	1996-04-23	PRIJEM	VKLAD	1400	42405	\N	\N	\N
279400	956	1996-05-23	VYDAJ	VYBER	3400	40259	\N	\N	\N
279401	956	1996-06-22	PRIJEM	VKLAD	4900	43021	\N	\N	\N
279402	956	1996-07-22	PRIJEM	VKLAD	200	41650	\N	\N	\N
279403	956	1996-08-21	PRIJEM	VKLAD	3000	45905	\N	\N	\N
279404	956	1996-09-20	VYDAJ	VYBER	3600	43569	\N	\N	\N
279405	956	1996-10-20	PRIJEM	VKLAD	1400	45942	\N	\N	\N
279406	956	1996-11-19	PRIJEM	VKLAD	1800	49012	\N	\N	\N
279407	956	1996-12-19	VYDAJ	VYBER	1900	47194	\N	\N	\N
279408	956	1997-01-18	PRIJEM	VKLAD	11300	34675	\N	\N	\N
279409	956	1997-02-17	PRIJEM	VKLAD	8400	41063	\N	\N	\N
279410	956	1997-03-19	PRIJEM	VKLAD	3200	43195	\N	\N	\N
279411	956	1997-04-18	VYDAJ	VYBER	11100	54460	\N	\N	\N
279412	956	1997-05-18	VYDAJ	VYBER	7700	48057	\N	\N	\N
279413	956	1997-06-17	PRIJEM	VKLAD	8400	38056	\N	\N	\N
279414	956	1997-07-17	PRIJEM	VKLAD	8300	32290	\N	\N	\N
279415	956	1997-08-16	PRIJEM	VKLAD	4700	38187	\N	\N	\N
279416	956	1997-09-15	PRIJEM	VKLAD	3500	41818	\N	\N	\N
279417	956	1997-10-15	PRIJEM	VKLAD	2200	41419	\N	\N	\N
279418	956	1997-11-14	VYDAJ	VYBER	400	42177	\N	\N	\N
279419	956	1997-12-14	VYDAJ	VYBER	7600	53425	\N	\N	\N
279420	956	1998-01-13	VYDAJ	VYBER	3400	47097	\N	\N	\N
279421	956	1998-02-12	VYDAJ	VYBER	2200	40928	\N	\N	\N
279422	956	1998-03-14	PRIJEM	VKLAD	1100	43289	\N	\N	\N
279423	956	1998-04-13	VYDAJ	VYBER	400	45250	\N	\N	\N
279424	956	1998-05-13	PRIJEM	VKLAD	100	43469	\N	\N	\N
279425	956	1998-06-12	PRIJEM	VKLAD	10600	43579	\N	\N	\N
279426	956	1998-07-12	PRIJEM	VKLAD	14400	38215	\N	\N	\N
279427	956	1998-08-11	PRIJEM	VKLAD	12200	51633	\N	\N	\N
279428	956	1998-09-10	PRIJEM	VKLAD	9400	62307	\N	\N	\N
279429	956	1998-11-09	VYDAJ	VYBER	12300	67464	\N	\N	\N
279430	956	1998-12-09	VYDAJ	VYBER	12200	71237	\N	\N	\N
279492	957	1995-12-22	PRIJEM	VKLAD	500	500	\N	\N	\N
279505	957	1996-01-07	PRIJEM	PREVOD Z UCTU	3189	3689	\N	WX	24377680
279506	957	1996-02-07	PRIJEM	PREVOD Z UCTU	3189	17299	\N	WX	24377680
279507	957	1996-03-07	PRIJEM	PREVOD Z UCTU	3189	21152	\N	WX	24377680
279508	957	1996-04-07	PRIJEM	PREVOD Z UCTU	3189	24521	\N	WX	24377680
279509	957	1996-05-07	PRIJEM	PREVOD Z UCTU	3189	26701	\N	WX	24377680
279510	957	1996-06-07	PRIJEM	PREVOD Z UCTU	3189	26320	\N	WX	24377680
279511	957	1996-07-07	PRIJEM	PREVOD Z UCTU	3189	15780	\N	WX	24377680
279512	957	1996-08-07	PRIJEM	PREVOD Z UCTU	3189	18988	\N	WX	24377680
279513	957	1996-09-07	PRIJEM	PREVOD Z UCTU	3189	20106	\N	WX	24377680
279514	957	1996-10-07	PRIJEM	PREVOD Z UCTU	3189	21350	\N	WX	24377680
279515	957	1996-11-07	PRIJEM	PREVOD Z UCTU	3189	20316	\N	WX	24377680
279516	957	1996-12-07	PRIJEM	PREVOD Z UCTU	3189	20958	\N	WX	24377680
279517	957	1997-01-07	PRIJEM	PREVOD Z UCTU	3189	20004	\N	WX	24377680
279518	957	1997-02-07	PRIJEM	PREVOD Z UCTU	3189	21217	\N	WX	24377680
279519	957	1997-03-07	PRIJEM	PREVOD Z UCTU	3189	25150	\N	WX	24377680
279520	957	1997-04-07	PRIJEM	PREVOD Z UCTU	3189	26293	\N	WX	24377680
279521	957	1997-05-07	PRIJEM	PREVOD Z UCTU	3189	27040	\N	WX	24377680
279522	957	1997-06-07	PRIJEM	PREVOD Z UCTU	3189	28892	\N	WX	24377680
279523	957	1997-07-07	PRIJEM	PREVOD Z UCTU	3189	18534	\N	WX	24377680
279524	957	1997-08-07	PRIJEM	PREVOD Z UCTU	3189	23059	\N	WX	24377680
279525	957	1997-09-07	PRIJEM	PREVOD Z UCTU	3189	23865	\N	WX	24377680
279526	957	1997-10-07	PRIJEM	PREVOD Z UCTU	3189	25205	\N	WX	24377680
279527	957	1997-11-07	PRIJEM	PREVOD Z UCTU	3189	23672	\N	WX	24377680
279528	957	1997-12-07	PRIJEM	PREVOD Z UCTU	3189	26413	\N	WX	24377680
279529	957	1998-01-07	PRIJEM	PREVOD Z UCTU	3189	21749	\N	WX	24377680
279530	957	1998-02-07	PRIJEM	PREVOD Z UCTU	3189	15880	\N	WX	24377680
279531	957	1998-03-07	PRIJEM	PREVOD Z UCTU	3189	18109	\N	WX	24377680
279532	957	1998-04-07	PRIJEM	PREVOD Z UCTU	3189	18172	\N	WX	24377680
279533	957	1998-05-07	PRIJEM	PREVOD Z UCTU	3189	20390	\N	WX	24377680
279534	957	1998-06-07	PRIJEM	PREVOD Z UCTU	3189	23068	\N	WX	24377680
279535	957	1998-07-07	PRIJEM	PREVOD Z UCTU	3189	17997	\N	WX	24377680
279536	957	1998-08-07	PRIJEM	PREVOD Z UCTU	3189	16339	\N	WX	24377680
279537	957	1998-09-07	PRIJEM	PREVOD Z UCTU	3189	19252	\N	WX	24377680
279538	957	1998-10-07	PRIJEM	PREVOD Z UCTU	3189	16358	\N	WX	24377680
279539	957	1998-11-07	PRIJEM	PREVOD Z UCTU	3189	16353	\N	WX	24377680
279540	957	1998-12-07	PRIJEM	PREVOD Z UCTU	3189	15858	\N	WX	24377680
279557	957	1996-05-09	VYDAJ	PREVOD NA UCET	2126	24575	SIPO	CD	90061181
279558	957	1996-06-09	VYDAJ	PREVOD NA UCET	2126	23744	SIPO	CD	90061181
279559	957	1996-07-09	VYDAJ	PREVOD NA UCET	2126	13654	SIPO	CD	90061181
279560	957	1996-08-09	VYDAJ	PREVOD NA UCET	2126	16862	SIPO	CD	90061181
279561	957	1996-09-09	VYDAJ	PREVOD NA UCET	2126	17980	SIPO	CD	90061181
279562	957	1996-10-09	VYDAJ	PREVOD NA UCET	2126	19224	SIPO	CD	90061181
279563	957	1996-11-09	VYDAJ	PREVOD NA UCET	2126	16810	SIPO	CD	90061181
279564	957	1996-12-09	VYDAJ	PREVOD NA UCET	2126	18832	SIPO	CD	90061181
279565	957	1997-01-09	VYDAJ	PREVOD NA UCET	2126	17008	SIPO	CD	90061181
279566	957	1997-02-09	VYDAJ	PREVOD NA UCET	2126	19091	SIPO	CD	90061181
279567	957	1997-03-09	VYDAJ	PREVOD NA UCET	2126	23024	SIPO	CD	90061181
279568	957	1997-04-09	VYDAJ	PREVOD NA UCET	2126	24167	SIPO	CD	90061181
279569	957	1997-05-09	VYDAJ	PREVOD NA UCET	2126	24914	SIPO	CD	90061181
279570	957	1997-06-09	VYDAJ	PREVOD NA UCET	2126	26766	SIPO	CD	90061181
279571	957	1997-07-09	VYDAJ	PREVOD NA UCET	2126	16408	SIPO	CD	90061181
279572	957	1997-08-09	VYDAJ	PREVOD NA UCET	2126	20933	SIPO	CD	90061181
279573	957	1997-09-09	VYDAJ	PREVOD NA UCET	2126	21739	SIPO	CD	90061181
279574	957	1997-10-09	VYDAJ	PREVOD NA UCET	2126	23079	SIPO	CD	90061181
279575	957	1997-11-09	VYDAJ	PREVOD NA UCET	2126	21546	SIPO	CD	90061181
279576	957	1997-12-09	VYDAJ	PREVOD NA UCET	2126	24287	SIPO	CD	90061181
279577	957	1998-01-09	VYDAJ	PREVOD NA UCET	2126	19623	SIPO	CD	90061181
279578	957	1998-02-09	VYDAJ	PREVOD NA UCET	2126	15654	SIPO	CD	90061181
279579	957	1998-03-09	VYDAJ	PREVOD NA UCET	2126	15983	SIPO	CD	90061181
279580	957	1998-04-09	VYDAJ	PREVOD NA UCET	2126	16046	SIPO	CD	90061181
279581	957	1998-05-09	VYDAJ	PREVOD NA UCET	2126	18264	SIPO	CD	90061181
279582	957	1998-06-09	VYDAJ	PREVOD NA UCET	2126	20942	SIPO	CD	90061181
279583	957	1998-07-09	VYDAJ	PREVOD NA UCET	2126	15871	SIPO	CD	90061181
279584	957	1998-08-09	VYDAJ	PREVOD NA UCET	2126	16013	SIPO	CD	90061181
279585	957	1998-09-09	VYDAJ	PREVOD NA UCET	2126	13126	SIPO	CD	90061181
279586	957	1998-10-09	VYDAJ	PREVOD NA UCET	2126	10632	SIPO	CD	90061181
279587	957	1998-11-09	VYDAJ	PREVOD NA UCET	2126	14227	SIPO	CD	90061181
279588	957	1998-12-09	VYDAJ	PREVOD NA UCET	2126	13732	SIPO	CD	90061181
279590	957	1996-06-29	VYDAJ	VYBER	7230	12514	\N	\N	\N
279591	957	1997-06-28	VYDAJ	VYBER	5400	15266	\N	\N	\N
279592	957	1998-06-12	VYDAJ	VYBER	3960	15682	\N	\N	\N
279595	957	1997-01-06	VYDAJ	VYBER	1170	16815	\N	\N	\N
279596	957	1998-01-11	VYDAJ	VYBER	2040	13483	\N	\N	\N
279598	957	1996-12-25	VYDAJ	VYBER	600	18732	\N	\N	\N
279599	957	1997-12-25	VYDAJ	VYBER	780	19507	\N	\N	\N
279600	957	1998-12-17	VYDAJ	VYBER	750	12982	\N	\N	\N
279613	957	1997-01-10	VYDAJ	VYBER	720	16288	\N	\N	\N
279614	957	1997-01-18	VYDAJ	VYBER	600	17968	\N	\N	\N
279615	957	1997-01-07	VYDAJ	VYBER	870	19134	\N	\N	\N
279616	957	1997-01-06	VYDAJ	VYBER	810	17985	\N	\N	\N
279617	957	1997-01-15	VYDAJ	VYBER	180	19078	\N	\N	\N
279618	957	1997-01-16	VYDAJ	VYBER	510	18568	\N	\N	\N
279619	957	1998-01-29	VYDAJ	VYBER	300	12643	\N	\N	\N
279622	957	1998-01-06	VYDAJ	VYBER	840	18560	\N	\N	\N
279623	957	1998-01-21	VYDAJ	VYBER	540	12943	\N	\N	\N
279624	957	1998-01-01	VYDAJ	VYBER	180	19400	\N	\N	\N
279631	957	1996-08-06	VYDAJ	VYBER	300	15799	\N	\N	\N
279632	957	1996-06-07	VYDAJ	VYBER	450	25870	\N	\N	\N
279633	957	1996-11-06	VYDAJ	VYBER	960	17127	\N	\N	\N
279634	957	1996-11-08	VYDAJ	VYBER	1380	18936	\N	\N	\N
279635	957	1996-07-12	VYDAJ	VYBER	300	13354	\N	\N	\N
279636	957	1996-06-06	VYDAJ	VYBER	930	23131	\N	\N	\N
279637	957	1996-10-06	VYDAJ	VYBER	480	18161	\N	\N	\N
279638	957	1997-01-11	VYDAJ	VYBER	330	15958	\N	\N	\N
279639	957	1997-07-29	VYDAJ	VYBER	600	19808	\N	\N	\N
279640	957	1997-09-01	VYDAJ	VYBER	930	20676	\N	\N	\N
279641	957	1997-10-19	VYDAJ	VYBER	870	20409	\N	\N	\N
279643	957	1998-04-02	VYDAJ	VYBER	750	14983	\N	\N	\N
279644	957	1998-02-25	VYDAJ	VYBER	780	14874	\N	\N	\N
279645	957	1998-06-23	VYDAJ	VYBER	930	14752	\N	\N	\N
279646	957	1998-08-05	VYDAJ	VYBER	270	13150	\N	\N	\N
279647	957	1998-05-10	VYDAJ	VYBER	1350	19814	\N	\N	\N
279665	957	1996-05-31	VYDAJ	VYBER	15	24061	SLUZBY	\N	\N
279666	957	1996-06-30	VYDAJ	VYBER	15	12591	SLUZBY	\N	\N
279667	957	1996-07-31	VYDAJ	VYBER	15	16099	SLUZBY	\N	\N
279668	957	1996-08-31	VYDAJ	VYBER	15	16917	SLUZBY	\N	\N
279669	957	1996-09-30	VYDAJ	VYBER	15	18641	SLUZBY	\N	\N
279670	957	1996-10-31	VYDAJ	VYBER	15	18087	SLUZBY	\N	\N
279671	957	1996-11-30	VYDAJ	VYBER	15	17769	SLUZBY	\N	\N
279672	957	1996-12-31	VYDAJ	VYBER	15	18795	SLUZBY	\N	\N
279673	957	1997-01-31	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
279674	957	1997-02-28	VYDAJ	VYBER	15	21961	SLUZBY	\N	\N
279675	957	1997-03-31	VYDAJ	VYBER	15	23104	SLUZBY	\N	\N
279676	957	1997-04-30	VYDAJ	VYBER	15	23851	SLUZBY	\N	\N
279677	957	1997-05-31	VYDAJ	VYBER	15	25703	SLUZBY	\N	\N
279678	957	1997-06-30	VYDAJ	VYBER	15	15345	SLUZBY	\N	\N
279679	957	1997-07-31	VYDAJ	VYBER	15	19870	SLUZBY	\N	\N
279680	957	1997-08-31	VYDAJ	VYBER	15	21606	SLUZBY	\N	\N
279681	957	1997-09-30	VYDAJ	VYBER	15	22016	SLUZBY	\N	\N
279682	957	1997-10-31	VYDAJ	VYBER	15	20483	SLUZBY	\N	\N
279683	957	1997-11-30	VYDAJ	VYBER	15	23224	SLUZBY	\N	\N
279684	957	1997-12-31	VYDAJ	VYBER	15	19580	SLUZBY	\N	\N
279685	957	1998-01-31	VYDAJ	VYBER	15	12691	SLUZBY	\N	\N
279686	957	1998-02-28	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
279687	957	1998-03-31	VYDAJ	VYBER	15	15733	SLUZBY	\N	\N
279688	957	1998-04-30	VYDAJ	VYBER	15	17201	SLUZBY	\N	\N
279689	957	1998-05-31	VYDAJ	VYBER	15	19879	SLUZBY	\N	\N
279690	957	1998-06-30	VYDAJ	VYBER	15	14808	SLUZBY	\N	\N
279691	957	1998-07-31	VYDAJ	VYBER	15	13420	SLUZBY	\N	\N
279692	957	1998-08-31	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
279693	957	1998-09-30	VYDAJ	VYBER	15	13169	SLUZBY	\N	\N
279694	957	1998-10-31	VYDAJ	VYBER	15	10664	SLUZBY	\N	\N
279695	957	1998-11-30	VYDAJ	VYBER	15	14269	SLUZBY	\N	\N
279696	957	1996-01-21	PRIJEM	VKLAD	10400	14089	\N	\N	\N
279697	957	1996-02-20	PRIJEM	VKLAD	600	17899	\N	\N	\N
279698	957	1996-03-21	PRIJEM	VKLAD	100	21252	\N	\N	\N
279699	957	1996-04-20	VYDAJ	VYBER	1100	23421	\N	\N	\N
279700	957	1996-05-20	VYDAJ	VYBER	600	23975	\N	\N	\N
279701	957	1996-06-19	VYDAJ	VYBER	4000	19744	\N	\N	\N
279702	957	1996-07-19	PRIJEM	VKLAD	2700	16054	\N	\N	\N
279703	957	1996-09-17	PRIJEM	VKLAD	600	18580	\N	\N	\N
279704	957	1996-10-17	VYDAJ	VYBER	1200	18024	\N	\N	\N
279705	957	1996-11-16	PRIJEM	VKLAD	900	17710	\N	\N	\N
279706	957	1996-12-16	PRIJEM	VKLAD	500	19332	\N	\N	\N
279707	957	1997-01-15	PRIJEM	VKLAD	3300	19258	\N	\N	\N
279708	957	1997-02-14	PRIJEM	VKLAD	2800	21891	\N	\N	\N
279709	957	1997-04-15	VYDAJ	VYBER	400	23767	\N	\N	\N
279710	957	1997-05-15	PRIJEM	VKLAD	700	25614	\N	\N	\N
279711	957	1997-06-14	VYDAJ	VYBER	6100	20666	\N	\N	\N
279712	957	1997-07-14	PRIJEM	VKLAD	4000	20408	\N	\N	\N
279713	957	1997-08-13	PRIJEM	VKLAD	600	21533	\N	\N	\N
279714	957	1997-09-12	PRIJEM	VKLAD	200	21939	\N	\N	\N
279715	957	1997-10-12	VYDAJ	VYBER	1800	21279	\N	\N	\N
279716	957	1997-11-11	PRIJEM	VKLAD	1600	23146	\N	\N	\N
279717	957	1997-12-11	VYDAJ	VYBER	4000	20287	\N	\N	\N
279718	957	1998-01-10	VYDAJ	VYBER	4100	15523	\N	\N	\N
279719	957	1998-02-09	PRIJEM	VKLAD	1900	17780	\N	\N	\N
279720	957	1998-03-11	VYDAJ	VYBER	300	15683	\N	\N	\N
279721	957	1998-04-10	PRIJEM	VKLAD	1100	17146	\N	\N	\N
279722	957	1998-05-10	PRIJEM	VKLAD	2900	21164	\N	\N	\N
279723	957	1998-06-09	VYDAJ	VYBER	1300	19642	\N	\N	\N
279724	957	1998-07-09	VYDAJ	VYBER	2500	13371	\N	\N	\N
279725	957	1998-08-08	PRIJEM	VKLAD	1800	18139	\N	\N	\N
279726	957	1998-09-07	VYDAJ	VYBER	4000	15252	\N	\N	\N
279727	957	1998-10-07	VYDAJ	VYBER	3600	12758	\N	\N	\N
279728	957	1998-11-06	PRIJEM	VKLAD	2500	13164	\N	\N	\N
279729	957	1998-12-06	VYDAJ	VYBER	1600	12669	\N	\N	\N
279766	958	1996-06-06	PRIJEM	VKLAD	200	200	\N	\N	\N
279772	958	1996-06-09	PRIJEM	PREVOD Z UCTU	6491	6691	DUCHOD	ST	15309065
279773	958	1996-07-09	PRIJEM	PREVOD Z UCTU	6491	13202	DUCHOD	ST	15309065
279774	958	1996-08-09	PRIJEM	PREVOD Z UCTU	6491	19721	DUCHOD	ST	15309065
279775	958	1996-09-09	PRIJEM	PREVOD Z UCTU	6491	26240	DUCHOD	ST	15309065
279776	958	1996-10-09	PRIJEM	PREVOD Z UCTU	6491	32759	DUCHOD	ST	15309065
279777	958	1996-11-09	PRIJEM	PREVOD Z UCTU	6491	35333	DUCHOD	ST	15309065
279778	958	1996-12-09	PRIJEM	PREVOD Z UCTU	6491	36996	DUCHOD	ST	15309065
279779	958	1997-01-09	PRIJEM	PREVOD Z UCTU	6491	36980	DUCHOD	ST	15309065
279780	958	1997-02-09	PRIJEM	PREVOD Z UCTU	6491	28650	DUCHOD	ST	15309065
279781	958	1997-03-09	PRIJEM	PREVOD Z UCTU	6491	31235	DUCHOD	ST	15309065
279782	958	1997-04-09	PRIJEM	PREVOD Z UCTU	6491	30632	DUCHOD	ST	15309065
279783	958	1997-05-09	PRIJEM	PREVOD Z UCTU	6491	33231	DUCHOD	ST	15309065
279784	958	1997-06-09	PRIJEM	PREVOD Z UCTU	6491	28936	DUCHOD	ST	15309065
279785	958	1997-07-09	PRIJEM	PREVOD Z UCTU	6491	31533	DUCHOD	ST	15309065
279786	958	1997-08-09	PRIJEM	PREVOD Z UCTU	6491	32529	DUCHOD	ST	15309065
279787	958	1997-09-09	PRIJEM	PREVOD Z UCTU	6491	35131	DUCHOD	ST	15309065
279788	958	1997-10-09	PRIJEM	PREVOD Z UCTU	6491	36443	DUCHOD	ST	15309065
279789	958	1997-11-09	PRIJEM	PREVOD Z UCTU	6491	37038	DUCHOD	ST	15309065
279790	958	1997-12-09	PRIJEM	PREVOD Z UCTU	6491	36924	DUCHOD	ST	15309065
279791	958	1998-01-09	PRIJEM	PREVOD Z UCTU	6491	35787	DUCHOD	ST	15309065
279792	958	1998-02-09	PRIJEM	PREVOD Z UCTU	6491	31037	DUCHOD	ST	15309065
279793	958	1998-03-09	PRIJEM	PREVOD Z UCTU	6491	33632	DUCHOD	ST	15309065
279794	958	1998-04-09	PRIJEM	PREVOD Z UCTU	6491	31978	DUCHOD	ST	15309065
279795	958	1998-05-09	PRIJEM	PREVOD Z UCTU	6491	31782	DUCHOD	ST	15309065
279796	958	1998-06-09	PRIJEM	PREVOD Z UCTU	6491	31578	DUCHOD	ST	15309065
279797	958	1998-07-09	PRIJEM	PREVOD Z UCTU	6491	26070	DUCHOD	ST	15309065
279798	958	1998-08-09	PRIJEM	PREVOD Z UCTU	6491	26442	DUCHOD	ST	15309065
279799	958	1998-09-09	PRIJEM	PREVOD Z UCTU	6491	23852	DUCHOD	ST	15309065
279800	958	1998-10-09	PRIJEM	PREVOD Z UCTU	6491	21112	DUCHOD	ST	15309065
279801	958	1998-11-09	PRIJEM	PREVOD Z UCTU	6491	22364	DUCHOD	ST	15309065
279802	958	1998-12-09	PRIJEM	PREVOD Z UCTU	6491	23880	DUCHOD	ST	15309065
279812	958	1996-10-12	VYDAJ	PREVOD NA UCET	3990	28769	SIPO	OP	78640448
279813	958	1996-11-12	VYDAJ	PREVOD NA UCET	3990	31343	SIPO	OP	78640448
279814	958	1996-12-12	VYDAJ	PREVOD NA UCET	3990	33006	SIPO	OP	78640448
279815	958	1997-01-12	VYDAJ	PREVOD NA UCET	3990	30990	SIPO	OP	78640448
279816	958	1997-02-12	VYDAJ	PREVOD NA UCET	3990	24660	SIPO	OP	78640448
279817	958	1997-03-12	VYDAJ	PREVOD NA UCET	3990	27245	SIPO	OP	78640448
279818	958	1997-04-12	VYDAJ	PREVOD NA UCET	3990	26642	SIPO	OP	78640448
279819	958	1997-05-12	VYDAJ	PREVOD NA UCET	3990	29241	SIPO	OP	78640448
279820	958	1997-06-12	VYDAJ	PREVOD NA UCET	3990	24946	SIPO	OP	78640448
279821	958	1997-07-12	VYDAJ	PREVOD NA UCET	3990	27543	SIPO	OP	78640448
279822	958	1997-08-12	VYDAJ	PREVOD NA UCET	3990	28539	SIPO	OP	78640448
279823	958	1997-09-12	VYDAJ	PREVOD NA UCET	3990	31141	SIPO	OP	78640448
279824	958	1997-10-12	VYDAJ	PREVOD NA UCET	3990	32453	SIPO	OP	78640448
279825	958	1997-11-12	VYDAJ	PREVOD NA UCET	3990	33048	SIPO	OP	78640448
279826	958	1997-12-12	VYDAJ	PREVOD NA UCET	3990	32934	SIPO	OP	78640448
279827	958	1998-01-12	VYDAJ	PREVOD NA UCET	3990	31797	SIPO	OP	78640448
279828	958	1998-02-12	VYDAJ	PREVOD NA UCET	3990	27047	SIPO	OP	78640448
279829	958	1998-03-12	VYDAJ	PREVOD NA UCET	3990	29642	SIPO	OP	78640448
279830	958	1998-04-12	VYDAJ	PREVOD NA UCET	3990	27988	SIPO	OP	78640448
279831	958	1998-05-12	VYDAJ	PREVOD NA UCET	3990	27792	SIPO	OP	78640448
279832	958	1998-06-12	VYDAJ	PREVOD NA UCET	3990	27588	SIPO	OP	78640448
279833	958	1998-07-12	VYDAJ	PREVOD NA UCET	3990	22080	SIPO	OP	78640448
279834	958	1998-08-12	VYDAJ	PREVOD NA UCET	3990	22452	SIPO	OP	78640448
279835	958	1998-09-12	VYDAJ	PREVOD NA UCET	3990	19862	SIPO	OP	78640448
279836	958	1998-10-12	VYDAJ	PREVOD NA UCET	3990	17122	SIPO	OP	78640448
279837	958	1998-11-12	VYDAJ	PREVOD NA UCET	3990	18374	SIPO	OP	78640448
279838	958	1998-12-12	VYDAJ	PREVOD NA UCET	3990	18610	SIPO	OP	78640448
279840	958	1997-06-07	VYDAJ	VYBER	6900	22445	\N	\N	\N
279843	958	1997-01-14	VYDAJ	VYBER	4850	26140	\N	\N	\N
279844	958	1998-01-23	VYDAJ	VYBER	3200	26597	\N	\N	\N
279845	958	1996-12-02	VYDAJ	VYBER	950	30505	\N	\N	\N
279846	958	1997-12-03	VYDAJ	VYBER	650	30433	\N	\N	\N
279847	958	1998-12-20	VYDAJ	VYBER	1300	17310	\N	\N	\N
279854	958	1997-01-05	VYDAJ	VYBER	400	30489	\N	\N	\N
279855	958	1997-01-01	VYDAJ	VYBER	1600	31529	\N	\N	\N
279856	958	1997-01-21	VYDAJ	VYBER	1040	24140	\N	\N	\N
279857	958	1997-01-10	VYDAJ	VYBER	2000	34980	\N	\N	\N
279858	958	1997-01-26	VYDAJ	VYBER	2080	22060	\N	\N	\N
279859	958	1997-01-01	VYDAJ	VYBER	640	30889	\N	\N	\N
279860	958	1998-01-26	VYDAJ	VYBER	1760	24437	\N	\N	\N
279861	958	1998-01-22	VYDAJ	VYBER	480	29797	\N	\N	\N
279862	958	1998-01-19	VYDAJ	VYBER	1520	30277	\N	\N	\N
279863	958	1998-01-03	VYDAJ	VYBER	2160	30896	\N	\N	\N
279864	958	1998-01-25	VYDAJ	VYBER	400	26197	\N	\N	\N
279865	958	1998-01-04	VYDAJ	VYBER	1600	29296	\N	\N	\N
279872	958	1997-01-18	VYDAJ	VYBER	960	25180	\N	\N	\N
279873	958	1997-07-28	VYDAJ	VYBER	1600	25943	\N	\N	\N
279874	958	1997-10-22	VYDAJ	VYBER	1920	30533	\N	\N	\N
279875	958	1997-04-02	VYDAJ	VYBER	3200	24141	\N	\N	\N
279876	958	1997-11-18	VYDAJ	VYBER	2080	30968	\N	\N	\N
279877	958	1998-04-05	VYDAJ	VYBER	3760	25487	\N	\N	\N
279878	958	1998-08-15	VYDAJ	VYBER	560	21892	\N	\N	\N
279879	958	1998-11-14	VYDAJ	VYBER	1040	17334	\N	\N	\N
279880	958	1998-12-12	VYDAJ	VYBER	1280	22600	\N	\N	\N
279891	958	1996-10-31	VYDAJ	VYBER	15	28842	SLUZBY	\N	\N
279892	958	1996-11-30	VYDAJ	VYBER	15	31455	SLUZBY	\N	\N
279893	958	1996-12-31	VYDAJ	VYBER	15	33129	SLUZBY	\N	\N
279894	958	1997-01-31	VYDAJ	VYBER	15	22159	SLUZBY	\N	\N
279895	958	1997-02-28	VYDAJ	VYBER	15	24744	SLUZBY	\N	\N
279896	958	1997-03-31	VYDAJ	VYBER	15	27341	SLUZBY	\N	\N
279897	958	1997-04-30	VYDAJ	VYBER	15	26740	SLUZBY	\N	\N
279898	958	1997-05-31	VYDAJ	VYBER	15	29345	SLUZBY	\N	\N
279899	958	1997-06-30	VYDAJ	VYBER	15	25042	SLUZBY	\N	\N
279900	958	1997-07-31	VYDAJ	VYBER	15	26038	SLUZBY	\N	\N
279901	958	1997-08-31	VYDAJ	VYBER	15	28640	SLUZBY	\N	\N
279902	958	1997-09-30	VYDAJ	VYBER	15	29952	SLUZBY	\N	\N
279903	958	1997-10-31	VYDAJ	VYBER	15	30547	SLUZBY	\N	\N
279904	958	1997-11-30	VYDAJ	VYBER	15	31083	SLUZBY	\N	\N
279905	958	1997-12-31	VYDAJ	VYBER	15	33056	SLUZBY	\N	\N
279906	958	1998-01-31	VYDAJ	VYBER	15	24546	SLUZBY	\N	\N
279907	958	1998-02-28	VYDAJ	VYBER	15	27141	SLUZBY	\N	\N
279908	958	1998-03-31	VYDAJ	VYBER	15	29247	SLUZBY	\N	\N
279909	958	1998-04-30	VYDAJ	VYBER	15	25291	SLUZBY	\N	\N
279910	958	1998-05-31	VYDAJ	VYBER	15	25087	SLUZBY	\N	\N
279911	958	1998-06-30	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
279912	958	1998-07-31	VYDAJ	VYBER	15	19951	SLUZBY	\N	\N
279913	958	1998-08-31	VYDAJ	VYBER	15	17361	SLUZBY	\N	\N
279914	958	1998-09-30	VYDAJ	VYBER	15	14621	SLUZBY	\N	\N
279915	958	1998-10-31	VYDAJ	VYBER	15	15873	SLUZBY	\N	\N
279916	958	1998-11-30	VYDAJ	VYBER	15	17389	SLUZBY	\N	\N
279917	958	1997-09-29	VYDAJ	VYBER	1300	29841	\N	\N	\N
279918	958	1997-10-29	VYDAJ	VYBER	100	30433	\N	\N	\N
279919	958	1998-03-28	VYDAJ	VYBER	500	29142	\N	\N	\N
279920	958	1998-04-27	VYDAJ	VYBER	2800	25188	\N	\N	\N
279921	958	1998-05-27	VYDAJ	VYBER	2800	24992	\N	\N	\N
279922	958	1998-06-26	VYDAJ	VYBER	8100	19488	\N	\N	\N
279923	958	1998-07-26	VYDAJ	VYBER	2200	19880	\N	\N	\N
279924	958	1998-08-25	VYDAJ	VYBER	4600	17292	\N	\N	\N
279925	958	1998-09-24	VYDAJ	VYBER	5300	14562	\N	\N	\N
279926	958	1998-10-24	VYDAJ	VYBER	1300	15822	\N	\N	\N
279958	959	1996-02-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
279961	959	1996-03-14	PRIJEM	PREVOD Z UCTU	4703	5703	DUCHOD	ST	77630275
279962	959	1996-04-14	PRIJEM	PREVOD Z UCTU	4703	10406	DUCHOD	ST	77630275
279963	959	1996-05-14	PRIJEM	PREVOD Z UCTU	4703	15109	DUCHOD	ST	77630275
279964	959	1996-06-14	PRIJEM	PREVOD Z UCTU	4703	19812	DUCHOD	ST	77630275
279965	959	1996-07-14	PRIJEM	PREVOD Z UCTU	4703	23338	DUCHOD	ST	77630275
279966	959	1996-08-14	PRIJEM	PREVOD Z UCTU	4703	25346	DUCHOD	ST	77630275
279967	959	1996-09-14	PRIJEM	PREVOD Z UCTU	4703	25775	DUCHOD	ST	77630275
279968	959	1996-10-14	PRIJEM	PREVOD Z UCTU	4703	23605	DUCHOD	ST	77630275
279969	959	1996-11-14	PRIJEM	PREVOD Z UCTU	4703	22224	DUCHOD	ST	77630275
279970	959	1996-12-14	PRIJEM	PREVOD Z UCTU	4703	22139	DUCHOD	ST	77630275
279971	959	1997-01-14	PRIJEM	PREVOD Z UCTU	4703	18369	DUCHOD	ST	77630275
279972	959	1997-02-14	PRIJEM	PREVOD Z UCTU	4703	20372	DUCHOD	ST	77630275
279973	959	1997-03-14	PRIJEM	PREVOD Z UCTU	4703	22381	DUCHOD	ST	77630275
279974	959	1997-04-14	PRIJEM	PREVOD Z UCTU	4703	23398	DUCHOD	ST	77630275
279975	959	1997-05-14	PRIJEM	PREVOD Z UCTU	4703	20812	DUCHOD	ST	77630275
279976	959	1997-06-14	PRIJEM	PREVOD Z UCTU	4703	18416	DUCHOD	ST	77630275
279977	959	1997-07-14	PRIJEM	PREVOD Z UCTU	4703	18213	DUCHOD	ST	77630275
279978	959	1997-08-14	PRIJEM	PREVOD Z UCTU	4703	16445	DUCHOD	ST	77630275
279979	959	1997-09-14	PRIJEM	PREVOD Z UCTU	4703	15433	DUCHOD	ST	77630275
279980	959	1997-10-14	PRIJEM	PREVOD Z UCTU	4703	16420	DUCHOD	ST	77630275
279981	959	1997-11-14	PRIJEM	PREVOD Z UCTU	4703	15807	DUCHOD	ST	77630275
279982	959	1997-12-14	PRIJEM	PREVOD Z UCTU	4703	15292	DUCHOD	ST	77630275
279983	959	1998-01-14	PRIJEM	PREVOD Z UCTU	4703	14481	DUCHOD	ST	77630275
279984	959	1998-02-14	PRIJEM	PREVOD Z UCTU	4703	16466	DUCHOD	ST	77630275
279985	959	1998-03-14	PRIJEM	PREVOD Z UCTU	4703	18459	DUCHOD	ST	77630275
279986	959	1998-04-14	PRIJEM	PREVOD Z UCTU	4703	15391	DUCHOD	ST	77630275
279987	959	1998-05-14	PRIJEM	PREVOD Z UCTU	4703	17381	DUCHOD	ST	77630275
279988	959	1998-06-14	PRIJEM	PREVOD Z UCTU	4703	19379	DUCHOD	ST	77630275
279989	959	1998-07-14	PRIJEM	PREVOD Z UCTU	4703	21284	DUCHOD	ST	77630275
279990	959	1998-08-14	PRIJEM	PREVOD Z UCTU	4703	19895	DUCHOD	ST	77630275
279991	959	1998-09-14	PRIJEM	PREVOD Z UCTU	4703	21904	DUCHOD	ST	77630275
279992	959	1998-10-14	PRIJEM	PREVOD Z UCTU	4703	23920	DUCHOD	ST	77630275
279993	959	1998-11-14	PRIJEM	PREVOD Z UCTU	4703	25944	DUCHOD	ST	77630275
279994	959	1998-12-14	PRIJEM	PREVOD Z UCTU	4703	24296	DUCHOD	ST	77630275
280002	959	1996-08-07	VYDAJ	PREVOD NA UCET	579	22823	SIPO	OP	48082047
280003	959	1996-09-07	VYDAJ	PREVOD NA UCET	579	23252	SIPO	OP	48082047
280004	959	1996-10-07	VYDAJ	PREVOD NA UCET	579	21082	SIPO	OP	48082047
280005	959	1996-11-07	VYDAJ	PREVOD NA UCET	579	19701	SIPO	OP	48082047
280006	959	1996-12-07	VYDAJ	PREVOD NA UCET	579	20316	SIPO	OP	48082047
280007	959	1997-01-07	VYDAJ	PREVOD NA UCET	579	16726	SIPO	OP	48082047
280008	959	1997-02-07	VYDAJ	PREVOD NA UCET	579	17849	SIPO	OP	48082047
280009	959	1997-03-07	VYDAJ	PREVOD NA UCET	579	19858	SIPO	OP	48082047
280010	959	1997-04-07	VYDAJ	PREVOD NA UCET	579	20875	SIPO	OP	48082047
280011	959	1997-05-07	VYDAJ	PREVOD NA UCET	579	18289	SIPO	OP	48082047
280012	959	1997-06-07	VYDAJ	PREVOD NA UCET	579	15893	SIPO	OP	48082047
280013	959	1997-07-07	VYDAJ	PREVOD NA UCET	579	15690	SIPO	OP	48082047
280014	959	1997-08-07	VYDAJ	PREVOD NA UCET	579	13922	SIPO	OP	48082047
280015	959	1997-09-07	VYDAJ	PREVOD NA UCET	579	12910	SIPO	OP	48082047
280016	959	1997-10-07	VYDAJ	PREVOD NA UCET	579	13897	SIPO	OP	48082047
280017	959	1997-11-07	VYDAJ	PREVOD NA UCET	579	13284	SIPO	OP	48082047
280018	959	1997-12-07	VYDAJ	PREVOD NA UCET	579	12769	SIPO	OP	48082047
280019	959	1998-01-07	VYDAJ	PREVOD NA UCET	579	11958	SIPO	OP	48082047
280020	959	1998-02-07	VYDAJ	PREVOD NA UCET	579	13943	SIPO	OP	48082047
280021	959	1998-03-07	VYDAJ	PREVOD NA UCET	579	15936	SIPO	OP	48082047
280022	959	1998-04-07	VYDAJ	PREVOD NA UCET	579	13828	SIPO	OP	48082047
280023	959	1998-05-07	VYDAJ	PREVOD NA UCET	579	14858	SIPO	OP	48082047
280024	959	1998-06-07	VYDAJ	PREVOD NA UCET	579	16856	SIPO	OP	48082047
280025	959	1998-07-07	VYDAJ	PREVOD NA UCET	579	18861	SIPO	OP	48082047
280026	959	1998-08-07	VYDAJ	PREVOD NA UCET	579	17972	SIPO	OP	48082047
280027	959	1998-09-07	VYDAJ	PREVOD NA UCET	579	19381	SIPO	OP	48082047
280028	959	1998-10-07	VYDAJ	PREVOD NA UCET	579	21397	SIPO	OP	48082047
280029	959	1998-11-07	VYDAJ	PREVOD NA UCET	579	23421	SIPO	OP	48082047
280030	959	1998-12-07	VYDAJ	PREVOD NA UCET	579	21773	SIPO	OP	48082047
280038	959	1996-08-12	VYDAJ	PREVOD NA UCET	2180	20643	 	QR	1625001
280039	959	1996-09-12	VYDAJ	PREVOD NA UCET	2180	21072	 	QR	1625001
280040	959	1996-10-12	VYDAJ	PREVOD NA UCET	2180	18902	 	QR	1625001
280041	959	1996-11-12	VYDAJ	PREVOD NA UCET	2180	17521	 	QR	1625001
280042	959	1996-12-12	VYDAJ	PREVOD NA UCET	2180	17436	 	QR	1625001
280043	959	1997-01-12	VYDAJ	PREVOD NA UCET	2180	13666	 	QR	1625001
280044	959	1997-02-12	VYDAJ	PREVOD NA UCET	2180	15669	 	QR	1625001
280045	959	1997-03-12	VYDAJ	PREVOD NA UCET	2180	17678	 	QR	1625001
280046	959	1997-04-12	VYDAJ	PREVOD NA UCET	2180	18695	 	QR	1625001
280047	959	1997-05-12	VYDAJ	PREVOD NA UCET	2180	16109	 	QR	1625001
280048	959	1997-06-12	VYDAJ	PREVOD NA UCET	2180	13713	 	QR	1625001
280049	959	1997-07-12	VYDAJ	PREVOD NA UCET	2180	13510	 	QR	1625001
280050	959	1997-08-12	VYDAJ	PREVOD NA UCET	2180	11742	 	QR	1625001
280051	959	1997-09-12	VYDAJ	PREVOD NA UCET	2180	10730	 	QR	1625001
280052	959	1997-10-12	VYDAJ	PREVOD NA UCET	2180	11717	 	QR	1625001
280053	959	1997-11-12	VYDAJ	PREVOD NA UCET	2180	11104	 	QR	1625001
280054	959	1997-12-12	VYDAJ	PREVOD NA UCET	2180	10589	 	QR	1625001
280055	959	1998-01-12	VYDAJ	PREVOD NA UCET	2180	9778	 	QR	1625001
280056	959	1998-02-12	VYDAJ	PREVOD NA UCET	2180	11763	 	QR	1625001
280057	959	1998-03-12	VYDAJ	PREVOD NA UCET	2180	13756	 	QR	1625001
280058	959	1998-04-12	VYDAJ	PREVOD NA UCET	2180	10688	 	QR	1625001
280059	959	1998-05-12	VYDAJ	PREVOD NA UCET	2180	12678	 	QR	1625001
280060	959	1998-06-12	VYDAJ	PREVOD NA UCET	2180	14676	 	QR	1625001
280061	959	1998-07-12	VYDAJ	PREVOD NA UCET	2180	16581	 	QR	1625001
280062	959	1998-08-12	VYDAJ	PREVOD NA UCET	2180	15192	 	QR	1625001
280063	959	1998-09-12	VYDAJ	PREVOD NA UCET	2180	17201	 	QR	1625001
280064	959	1998-10-12	VYDAJ	PREVOD NA UCET	2180	19217	 	QR	1625001
280065	959	1998-11-12	VYDAJ	PREVOD NA UCET	2180	21241	 	QR	1625001
280066	959	1998-12-12	VYDAJ	PREVOD NA UCET	2180	19593	 	QR	1625001
280070	959	1996-12-11	VYDAJ	VYBER	700	19616	\N	\N	\N
280072	959	1998-12-29	VYDAJ	VYBER	250	24046	\N	\N	\N
280074	959	1996-09-29	VYDAJ	VYBER	3600	21575	\N	\N	\N
280075	959	1996-08-23	VYDAJ	VYBER	1600	23746	\N	\N	\N
280076	959	1997-01-11	VYDAJ	VYBER	880	15846	\N	\N	\N
280077	959	1997-07-14	VYDAJ	VYBER	3760	14453	\N	\N	\N
280081	959	1998-07-24	VYDAJ	VYBER	2800	18484	\N	\N	\N
280082	959	1998-12-04	VYDAJ	VYBER	2880	22352	\N	\N	\N
280083	959	1998-11-25	VYDAJ	VYBER	800	25144	\N	\N	\N
280084	959	1998-04-11	VYDAJ	VYBER	960	12868	\N	\N	\N
280092	959	1996-07-31	VYDAJ	VYBER	15	23402	SLUZBY	\N	\N
280093	959	1996-08-31	VYDAJ	VYBER	15	23831	SLUZBY	\N	\N
280094	959	1996-09-30	VYDAJ	VYBER	15	21661	SLUZBY	\N	\N
280095	959	1996-10-31	VYDAJ	VYBER	15	20280	SLUZBY	\N	\N
280096	959	1996-11-30	VYDAJ	VYBER	15	20895	SLUZBY	\N	\N
280097	959	1996-12-31	VYDAJ	VYBER	15	17305	SLUZBY	\N	\N
280098	959	1997-01-31	VYDAJ	VYBER	15	18428	SLUZBY	\N	\N
280099	959	1997-02-28	VYDAJ	VYBER	15	20437	SLUZBY	\N	\N
280100	959	1997-03-31	VYDAJ	VYBER	15	21454	SLUZBY	\N	\N
280101	959	1997-04-30	VYDAJ	VYBER	15	18868	SLUZBY	\N	\N
280102	959	1997-05-31	VYDAJ	VYBER	15	16472	SLUZBY	\N	\N
280103	959	1997-06-30	VYDAJ	VYBER	15	16269	SLUZBY	\N	\N
280104	959	1997-07-31	VYDAJ	VYBER	15	14501	SLUZBY	\N	\N
280105	959	1997-08-31	VYDAJ	VYBER	15	13489	SLUZBY	\N	\N
280106	959	1997-09-30	VYDAJ	VYBER	15	14476	SLUZBY	\N	\N
280107	959	1997-10-31	VYDAJ	VYBER	15	13863	SLUZBY	\N	\N
280108	959	1997-11-30	VYDAJ	VYBER	15	13348	SLUZBY	\N	\N
280109	959	1997-12-31	VYDAJ	VYBER	15	12537	SLUZBY	\N	\N
280110	959	1998-01-31	VYDAJ	VYBER	15	14522	SLUZBY	\N	\N
280111	959	1998-02-28	VYDAJ	VYBER	15	16515	SLUZBY	\N	\N
280112	959	1998-03-31	VYDAJ	VYBER	15	14407	SLUZBY	\N	\N
280113	959	1998-04-30	VYDAJ	VYBER	15	15437	SLUZBY	\N	\N
280114	959	1998-05-31	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
280115	959	1998-06-30	VYDAJ	VYBER	15	19440	SLUZBY	\N	\N
280116	959	1998-07-31	VYDAJ	VYBER	15	18551	SLUZBY	\N	\N
280117	959	1998-08-31	VYDAJ	VYBER	15	19960	SLUZBY	\N	\N
280118	959	1998-09-30	VYDAJ	VYBER	15	21976	SLUZBY	\N	\N
280119	959	1998-10-31	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
280120	959	1998-11-30	VYDAJ	VYBER	15	25232	SLUZBY	\N	\N
280121	959	1996-06-22	VYDAJ	VYBER	1200	18612	\N	\N	\N
280122	959	1996-09-20	VYDAJ	VYBER	600	25175	\N	\N	\N
280123	959	1996-10-20	VYDAJ	VYBER	3400	20205	\N	\N	\N
280124	959	1996-11-19	VYDAJ	VYBER	1400	20824	\N	\N	\N
280125	959	1996-12-19	VYDAJ	VYBER	4900	17239	\N	\N	\N
280126	959	1997-03-19	VYDAJ	VYBER	1000	21381	\N	\N	\N
280127	959	1997-04-18	VYDAJ	VYBER	4600	18798	\N	\N	\N
280128	959	1997-05-18	VYDAJ	VYBER	4400	16412	\N	\N	\N
280129	959	1997-06-17	VYDAJ	VYBER	2200	16216	\N	\N	\N
280130	959	1997-08-16	VYDAJ	VYBER	3000	13445	\N	\N	\N
280131	959	1997-09-15	VYDAJ	VYBER	1000	14433	\N	\N	\N
280132	959	1997-10-15	VYDAJ	VYBER	2600	13820	\N	\N	\N
280133	959	1997-11-14	VYDAJ	VYBER	2500	13307	\N	\N	\N
280134	959	1997-12-14	VYDAJ	VYBER	2800	12492	\N	\N	\N
280135	959	1998-03-14	VYDAJ	VYBER	4100	14359	\N	\N	\N
280136	959	1998-07-12	VYDAJ	VYBER	100	18761	\N	\N	\N
280137	959	1998-08-11	VYDAJ	VYBER	600	17372	\N	\N	\N
280169	960	1994-11-02	PRIJEM	VKLAD	200	200	\N	\N	\N
280180	960	1994-11-13	PRIJEM	PREVOD Z UCTU	40011	40211	\N	QR	1786172
280181	960	1994-12-13	PRIJEM	PREVOD Z UCTU	60016	91228	\N	QR	1786172
280182	960	1995-01-13	PRIJEM	PREVOD Z UCTU	40011	96936	\N	QR	1786172
280183	960	1995-02-13	PRIJEM	PREVOD Z UCTU	40011	101537	\N	QR	1786172
280184	960	1995-03-13	PRIJEM	PREVOD Z UCTU	40011	101505	\N	QR	1786172
280185	960	1995-04-13	PRIJEM	PREVOD Z UCTU	40011	92880	\N	QR	1786172
280186	960	1995-05-13	PRIJEM	PREVOD Z UCTU	40011	78286	\N	QR	1786172
280187	960	1995-06-13	PRIJEM	PREVOD Z UCTU	60016	91716	\N	QR	1786172
280188	960	1995-07-13	PRIJEM	PREVOD Z UCTU	40011	59672	\N	QR	1786172
280189	960	1995-08-13	PRIJEM	PREVOD Z UCTU	40011	74608	\N	QR	1786172
280190	960	1995-09-13	PRIJEM	PREVOD Z UCTU	40011	77445	\N	QR	1786172
280191	960	1995-10-13	PRIJEM	PREVOD Z UCTU	40011	70012	\N	QR	1786172
280192	960	1995-11-13	PRIJEM	PREVOD Z UCTU	40011	57180	\N	QR	1786172
280193	960	1995-12-13	PRIJEM	PREVOD Z UCTU	60016	85663	\N	QR	1786172
280194	960	1996-01-13	PRIJEM	PREVOD Z UCTU	40011	62219	\N	QR	1786172
280195	960	1996-02-13	PRIJEM	PREVOD Z UCTU	40011	56579	\N	QR	1786172
280196	960	1996-03-13	PRIJEM	PREVOD Z UCTU	40011	63000	\N	QR	1786172
280197	960	1996-04-13	PRIJEM	PREVOD Z UCTU	40011	69602	\N	QR	1786172
280198	960	1996-05-13	PRIJEM	PREVOD Z UCTU	40011	62588	\N	QR	1786172
280199	960	1996-06-13	PRIJEM	PREVOD Z UCTU	60016	92986	\N	QR	1786172
280200	960	1996-07-13	PRIJEM	PREVOD Z UCTU	40011	87353	\N	QR	1786172
280201	960	1996-08-13	PRIJEM	PREVOD Z UCTU	40011	69154	\N	QR	1786172
280202	960	1996-09-13	PRIJEM	PREVOD Z UCTU	40011	79801	\N	QR	1786172
280203	960	1996-10-13	PRIJEM	PREVOD Z UCTU	40011	64898	\N	QR	1786172
280204	960	1996-11-13	PRIJEM	PREVOD Z UCTU	40011	78198	\N	QR	1786172
280205	960	1996-12-13	PRIJEM	PREVOD Z UCTU	60016	94775	\N	QR	1786172
280206	960	1997-01-13	PRIJEM	PREVOD Z UCTU	40011	65738	\N	QR	1786172
280207	960	1997-02-13	PRIJEM	PREVOD Z UCTU	40011	64031	\N	QR	1786172
280208	960	1997-03-13	PRIJEM	PREVOD Z UCTU	40011	81021	\N	QR	1786172
280209	960	1997-04-13	PRIJEM	PREVOD Z UCTU	40011	87673	\N	QR	1786172
280210	960	1997-05-13	PRIJEM	PREVOD Z UCTU	40011	75731	\N	QR	1786172
280211	960	1997-06-13	PRIJEM	PREVOD Z UCTU	60016	108831	\N	QR	1786172
280212	960	1997-07-13	PRIJEM	PREVOD Z UCTU	40011	84917	\N	QR	1786172
280213	960	1997-08-13	PRIJEM	PREVOD Z UCTU	40011	76801	\N	QR	1786172
280214	960	1997-09-13	PRIJEM	PREVOD Z UCTU	40011	70286	\N	QR	1786172
280215	960	1997-10-13	PRIJEM	PREVOD Z UCTU	40011	82192	\N	QR	1786172
280216	960	1997-11-13	PRIJEM	PREVOD Z UCTU	40011	99760	\N	QR	1786172
280217	960	1997-12-13	PRIJEM	PREVOD Z UCTU	60016	122389	\N	QR	1786172
280218	960	1998-01-13	PRIJEM	PREVOD Z UCTU	40011	70700	\N	QR	1786172
280219	960	1998-02-13	PRIJEM	PREVOD Z UCTU	40011	61052	\N	QR	1786172
280220	960	1998-03-13	PRIJEM	PREVOD Z UCTU	40011	62095	\N	QR	1786172
280221	960	1998-04-13	PRIJEM	PREVOD Z UCTU	40011	62405	\N	QR	1786172
280222	960	1998-05-13	PRIJEM	PREVOD Z UCTU	40011	66529	\N	QR	1786172
280223	960	1998-06-13	PRIJEM	PREVOD Z UCTU	60016	114474	\N	QR	1786172
280224	960	1998-07-13	PRIJEM	PREVOD Z UCTU	40011	79906	\N	QR	1786172
280225	960	1998-08-13	PRIJEM	PREVOD Z UCTU	40011	99867	\N	QR	1786172
280226	960	1998-09-13	PRIJEM	PREVOD Z UCTU	40011	113389	\N	QR	1786172
280227	960	1998-10-13	PRIJEM	PREVOD Z UCTU	40011	88722	\N	QR	1786172
280228	960	1998-11-13	PRIJEM	PREVOD Z UCTU	40011	113512	\N	QR	1786172
280229	960	1998-12-13	PRIJEM	PREVOD Z UCTU	60016	137223	\N	QR	1786172
280245	960	1995-04-14	VYDAJ	VYBER	3400	83540	\N	\N	0
280246	960	1995-05-16	VYDAJ	VYBER	3400	68946	\N	\N	0
280247	960	1995-06-12	VYDAJ	PREVOD NA UCET	3151	31700	UVER	YZ	8817315
280248	960	1995-07-12	VYDAJ	PREVOD NA UCET	3151	19661	UVER	YZ	8817315
280249	960	1995-08-12	VYDAJ	PREVOD NA UCET	3151	34597	UVER	YZ	8817315
280250	960	1995-09-12	VYDAJ	PREVOD NA UCET	3151	37434	UVER	YZ	8817315
280251	960	1995-10-12	VYDAJ	PREVOD NA UCET	3151	30001	UVER	YZ	8817315
280252	960	1995-11-12	VYDAJ	PREVOD NA UCET	3151	17169	UVER	YZ	8817315
280253	960	1995-12-12	VYDAJ	PREVOD NA UCET	3151	25647	UVER	YZ	8817315
280254	960	1996-01-12	VYDAJ	PREVOD NA UCET	3151	22208	UVER	YZ	8817315
280255	960	1996-02-12	VYDAJ	PREVOD NA UCET	3151	16568	UVER	YZ	8817315
280256	960	1996-03-12	VYDAJ	PREVOD NA UCET	3151	22989	UVER	YZ	8817315
280257	960	1996-04-12	VYDAJ	PREVOD NA UCET	3151	34091	UVER	YZ	8817315
280258	960	1996-05-12	VYDAJ	PREVOD NA UCET	3151	22577	UVER	YZ	8817315
280259	960	1996-06-12	VYDAJ	PREVOD NA UCET	3151	32970	UVER	YZ	8817315
280260	960	1996-07-12	VYDAJ	PREVOD NA UCET	3151	47342	UVER	YZ	8817315
280261	960	1996-08-12	VYDAJ	PREVOD NA UCET	3151	29143	UVER	YZ	8817315
280262	960	1996-09-12	VYDAJ	PREVOD NA UCET	3151	39790	UVER	YZ	8817315
280263	960	1996-10-12	VYDAJ	PREVOD NA UCET	3151	24887	UVER	YZ	8817315
280264	960	1996-11-12	VYDAJ	PREVOD NA UCET	3151	38187	UVER	YZ	8817315
280265	960	1996-12-12	VYDAJ	PREVOD NA UCET	3151	34759	UVER	YZ	8817315
280266	960	1997-01-12	VYDAJ	PREVOD NA UCET	3151	25727	UVER	YZ	8817315
280267	960	1997-02-12	VYDAJ	PREVOD NA UCET	3151	24020	UVER	YZ	8817315
280268	960	1997-03-12	VYDAJ	PREVOD NA UCET	3151	41010	UVER	YZ	8817315
280269	960	1997-04-12	VYDAJ	PREVOD NA UCET	3151	47662	UVER	YZ	8817315
280270	960	1997-05-12	VYDAJ	PREVOD NA UCET	3151	35720	UVER	YZ	8817315
280271	960	1997-06-12	VYDAJ	PREVOD NA UCET	3151	48815	UVER	YZ	8817315
280272	960	1997-07-12	VYDAJ	PREVOD NA UCET	3151	44906	UVER	YZ	8817315
280273	960	1997-08-12	VYDAJ	PREVOD NA UCET	3151	36790	UVER	YZ	8817315
280274	960	1997-09-12	VYDAJ	PREVOD NA UCET	3151	30275	UVER	YZ	8817315
280275	960	1997-10-12	VYDAJ	PREVOD NA UCET	3151	42181	UVER	YZ	8817315
280276	960	1997-11-12	VYDAJ	PREVOD NA UCET	3151	59749	UVER	YZ	8817315
280277	960	1997-12-12	VYDAJ	PREVOD NA UCET	3151	62373	UVER	YZ	8817315
280278	960	1998-01-12	VYDAJ	PREVOD NA UCET	3151	30689	UVER	YZ	8817315
280279	960	1998-02-12	VYDAJ	PREVOD NA UCET	3151	21041	UVER	YZ	8817315
280280	960	1998-03-12	VYDAJ	PREVOD NA UCET	3151	22084	UVER	YZ	8817315
280281	960	1998-04-12	VYDAJ	PREVOD NA UCET	3151	22394	UVER	YZ	8817315
280282	960	1998-05-12	VYDAJ	PREVOD NA UCET	3151	26518	UVER	YZ	8817315
280283	960	1998-06-12	VYDAJ	PREVOD NA UCET	3151	54458	UVER	YZ	8817315
280284	960	1998-07-12	VYDAJ	PREVOD NA UCET	3151	39895	UVER	YZ	8817315
280285	960	1998-08-12	VYDAJ	PREVOD NA UCET	3151	59856	UVER	YZ	8817315
280286	960	1998-09-12	VYDAJ	PREVOD NA UCET	3151	73378	UVER	YZ	8817315
280287	960	1998-10-12	VYDAJ	PREVOD NA UCET	3151	48711	UVER	YZ	8817315
280288	960	1998-11-12	VYDAJ	PREVOD NA UCET	3151	73501	UVER	YZ	8817315
280289	960	1998-12-12	VYDAJ	PREVOD NA UCET	3151	77207	UVER	YZ	8817315
280304	960	1995-03-13	VYDAJ	PREVOD NA UCET	5940	95565	SIPO	CD	19250178
280305	960	1995-04-13	VYDAJ	PREVOD NA UCET	5940	86940	SIPO	CD	19250178
280306	960	1995-05-13	VYDAJ	PREVOD NA UCET	5940	72346	SIPO	CD	19250178
280307	960	1995-06-13	VYDAJ	PREVOD NA UCET	5940	85776	SIPO	CD	19250178
280308	960	1995-07-13	VYDAJ	PREVOD NA UCET	5940	53732	SIPO	CD	19250178
280309	960	1995-08-13	VYDAJ	PREVOD NA UCET	5940	68668	SIPO	CD	19250178
280310	960	1995-09-13	VYDAJ	PREVOD NA UCET	5940	71505	SIPO	CD	19250178
280311	960	1995-10-13	VYDAJ	PREVOD NA UCET	5940	47670	SIPO	CD	19250178
280312	960	1995-11-13	VYDAJ	PREVOD NA UCET	5940	51240	SIPO	CD	19250178
280313	960	1995-12-13	VYDAJ	PREVOD NA UCET	5940	79723	SIPO	CD	19250178
280314	960	1996-01-13	VYDAJ	PREVOD NA UCET	5940	56279	SIPO	CD	19250178
280315	960	1996-02-13	VYDAJ	PREVOD NA UCET	5940	50639	SIPO	CD	19250178
280316	960	1996-03-13	VYDAJ	PREVOD NA UCET	5940	57060	SIPO	CD	19250178
280317	960	1996-04-13	VYDAJ	PREVOD NA UCET	5940	63662	SIPO	CD	19250178
280318	960	1996-05-13	VYDAJ	PREVOD NA UCET	5940	56648	SIPO	CD	19250178
280319	960	1996-06-13	VYDAJ	PREVOD NA UCET	5940	87046	SIPO	CD	19250178
280320	960	1996-07-13	VYDAJ	PREVOD NA UCET	5940	81413	SIPO	CD	19250178
280321	960	1996-08-13	VYDAJ	PREVOD NA UCET	5940	63214	SIPO	CD	19250178
280322	960	1996-09-13	VYDAJ	PREVOD NA UCET	5940	73861	SIPO	CD	19250178
280323	960	1996-10-13	VYDAJ	PREVOD NA UCET	5940	58958	SIPO	CD	19250178
280324	960	1996-11-13	VYDAJ	PREVOD NA UCET	5940	72258	SIPO	CD	19250178
280325	960	1996-12-13	VYDAJ	PREVOD NA UCET	5940	88835	SIPO	CD	19250178
280326	960	1997-01-13	VYDAJ	PREVOD NA UCET	5940	59798	SIPO	CD	19250178
280327	960	1997-02-13	VYDAJ	PREVOD NA UCET	5940	58091	SIPO	CD	19250178
280328	960	1997-03-13	VYDAJ	PREVOD NA UCET	5940	75081	SIPO	CD	19250178
280329	960	1997-04-13	VYDAJ	PREVOD NA UCET	5940	81733	SIPO	CD	19250178
280330	960	1997-05-13	VYDAJ	PREVOD NA UCET	5940	69791	SIPO	CD	19250178
280331	960	1997-06-13	VYDAJ	PREVOD NA UCET	5940	102891	SIPO	CD	19250178
280332	960	1997-07-13	VYDAJ	PREVOD NA UCET	5940	78977	SIPO	CD	19250178
280333	960	1997-08-13	VYDAJ	PREVOD NA UCET	5940	70861	SIPO	CD	19250178
280334	960	1997-09-13	VYDAJ	PREVOD NA UCET	5940	64346	SIPO	CD	19250178
280335	960	1997-10-13	VYDAJ	PREVOD NA UCET	5940	76252	SIPO	CD	19250178
280336	960	1997-11-13	VYDAJ	PREVOD NA UCET	5940	93820	SIPO	CD	19250178
280337	960	1997-12-13	VYDAJ	PREVOD NA UCET	5940	75249	SIPO	CD	19250178
280338	960	1998-01-13	VYDAJ	PREVOD NA UCET	5940	64760	SIPO	CD	19250178
280339	960	1998-02-13	VYDAJ	PREVOD NA UCET	5940	31206	SIPO	CD	19250178
280340	960	1998-03-13	VYDAJ	PREVOD NA UCET	5940	56155	SIPO	CD	19250178
280341	960	1998-04-13	VYDAJ	PREVOD NA UCET	5940	56465	SIPO	CD	19250178
280342	960	1998-05-13	VYDAJ	PREVOD NA UCET	5940	60589	SIPO	CD	19250178
280343	960	1998-06-13	VYDAJ	PREVOD NA UCET	5940	108534	SIPO	CD	19250178
280344	960	1998-07-13	VYDAJ	PREVOD NA UCET	5940	73966	SIPO	CD	19250178
280345	960	1998-08-13	VYDAJ	PREVOD NA UCET	5940	82227	SIPO	CD	19250178
280346	960	1998-09-13	VYDAJ	PREVOD NA UCET	5940	107449	SIPO	CD	19250178
280347	960	1998-10-13	VYDAJ	PREVOD NA UCET	5940	82782	SIPO	CD	19250178
280348	960	1998-11-13	VYDAJ	PREVOD NA UCET	5940	107572	SIPO	CD	19250178
280349	960	1998-12-13	VYDAJ	PREVOD NA UCET	5940	99683	SIPO	CD	19250178
280361	960	1995-10-15	VYBER	VYBER	6425	41245	\N	\N	\N
280362	960	1995-04-30	VYBER	VYBER	9909	73975	\N	\N	\N
280363	960	1995-06-02	VYBER	VYBER	10638	34851	\N	\N	\N
280364	960	1995-12-08	VYBER	VYBER	6014	28798	\N	\N	\N
280365	960	1995-06-28	VYBER	VYBER	13282	72494	\N	\N	\N
280367	960	1995-08-20	VYBER	VYBER	10002	58666	\N	\N	\N
280368	960	1995-10-13	VYBER	VYBER	16402	53610	\N	\N	\N
280370	960	1995-12-15	VYBER	VYBER	24443	55280	\N	\N	\N
280371	960	1995-07-08	VYBER	VYBER	23073	22812	\N	\N	\N
280373	960	1996-09-29	VYBER	VYBER	15745	34516	\N	\N	\N
280374	960	1996-04-26	VYBER	VYBER	5495	36967	\N	\N	\N
280375	960	1996-08-11	VYBER	VYBER	21486	32294	\N	\N	\N
280377	960	1996-05-02	VYBER	VYBER	6547	30528	\N	\N	\N
280378	960	1996-02-15	VYBER	VYBER	18512	32127	\N	\N	\N
280379	960	1996-05-24	VYBER	VYBER	11805	44843	\N	\N	\N
280380	960	1996-11-16	VYBER	VYBER	14453	57805	\N	\N	\N
280381	960	1997-05-10	VYBER	VYBER	2194	38871	\N	\N	\N
280382	960	1997-07-27	VYBER	VYBER	18670	39807	\N	\N	\N
280383	960	1997-05-07	VYBER	VYBER	16518	41065	\N	\N	\N
280384	960	1997-09-17	VYBER	VYBER	11706	52640	\N	\N	\N
280385	960	1997-08-29	VYBER	VYBER	18942	33319	\N	\N	\N
280388	960	1997-11-30	VYBER	VYBER	4890	67724	\N	\N	\N
280390	960	1997-05-19	VYBER	VYBER	2862	66929	\N	\N	\N
280391	960	1998-08-22	VYBER	VYBER	6198	76029	\N	\N	\N
280392	960	1998-09-30	VYBER	VYBER	22257	28362	\N	\N	\N
280394	960	1998-11-20	VYBER	VYBER	19486	88086	\N	\N	\N
280395	960	1998-03-16	VYBER	VYBER	15389	46566	\N	\N	\N
280396	960	1998-12-25	VYBER	VYBER	11559	78119	\N	\N	\N
280397	960	1998-12-23	VYBER	VYBER	10005	89678	\N	\N	\N
280398	960	1998-01-15	VYBER	VYBER	4717	60043	\N	\N	\N
280399	960	1998-02-13	VYBER	VYBER	23906	37146	\N	\N	\N
280401	960	1998-06-22	VYBER	VYBER	14624	48010	\N	\N	\N
280402	960	1998-09-18	VYBER	VYBER	21515	50334	\N	\N	\N
280403	960	1998-04-10	VYBER	VYBER	21115	25545	\N	\N	\N
280404	960	1998-05-02	VYBER	VYBER	19294	29669	\N	\N	\N
280408	960	1997-06-25	VYDAJ	VYBER	18300	47891	\N	\N	\N
280414	960	1998-01-16	VYDAJ	VYBER	26700	28643	\N	\N	\N
280416	960	1995-12-18	VYDAJ	VYBER	1500	48380	\N	\N	\N
280417	960	1996-12-13	VYDAJ	VYBER	8100	80735	\N	\N	\N
280418	960	1997-12-09	VYDAJ	VYBER KARTOU	2100	65524	\N	\N	0
280419	960	1998-12-07	VYDAJ	VYBER KARTOU	3300	85058	\N	\N	0
280432	960	1996-01-13	VYDAJ	VYBER	8400	47879	\N	\N	\N
280433	960	1996-01-03	VYDAJ	VYBER	8700	25359	\N	\N	\N
280434	960	1996-01-19	VYDAJ	VYBER	4500	30179	\N	\N	\N
280435	960	1996-01-18	VYDAJ	VYBER	7500	34679	\N	\N	\N
280437	960	1996-01-13	VYDAJ	VYBER	5700	42179	\N	\N	\N
280438	960	1997-01-05	VYDAJ	VYBER	5700	33978	\N	\N	\N
280439	960	1997-01-05	VYDAJ	VYBER	7800	39678	\N	\N	\N
280440	960	1997-01-09	VYDAJ	VYBER	1500	32478	\N	\N	\N
280441	960	1997-01-12	VYDAJ	VYBER	3600	28878	\N	\N	\N
280442	960	1997-01-20	VYDAJ	VYBER	6000	39398	\N	\N	\N
280443	960	1997-01-04	VYDAJ	VYBER	7500	47478	\N	\N	\N
280444	960	1998-01-01	VYDAJ	VYBER	7500	55440	\N	\N	\N
280445	960	1998-01-02	VYDAJ	VYBER	8700	46740	\N	\N	\N
280447	960	1998-01-12	VYDAJ	VYBER	8700	33840	\N	\N	\N
280448	960	1998-01-03	VYDAJ	VYBER	4200	42540	\N	\N	\N
280449	960	1998-01-20	VYDAJ	VYBER	4500	24143	\N	\N	\N
280456	960	1995-11-07	VYDAJ	VYBER	13200	20320	\N	\N	\N
280458	960	1995-10-05	VYDAJ	VYBER	11700	33152	\N	\N	\N
280459	960	1995-06-29	VYDAJ	VYBER	6600	65894	\N	\N	\N
280460	960	1995-05-02	VYDAJ	VYBER	12000	38275	\N	\N	\N
280461	960	1995-12-17	VYDAJ	VYBER	5400	49880	\N	\N	\N
280462	960	1996-07-03	VYDAJ	VYBER	5400	50493	\N	\N	\N
280463	960	1996-11-21	VYDAJ	VYBER	11100	37805	\N	\N	\N
280464	960	1996-10-08	VYDAJ	VYBER	6600	28038	\N	\N	\N
280465	960	1996-04-12	VYDAJ	VYBER	4500	29591	\N	\N	\N
280466	960	1996-05-10	VYDAJ	VYBER	4800	25728	\N	\N	\N
280467	960	1996-01-19	VYDAJ	VYBER	6000	24179	\N	\N	\N
280469	960	1997-01-26	VYDAJ	VYBER	12300	27098	\N	\N	\N
280470	960	1997-10-07	VYDAJ	VYBER	5100	45332	\N	\N	\N
280471	960	1997-08-24	VYDAJ	VYBER KARTOU	3300	52261	\N	\N	0
280472	960	1998-02-25	VYDAJ	VYBER	11100	25206	\N	\N	\N
280473	960	1998-06-26	VYDAJ	VYBER KARTOU	2700	45310	\N	\N	0
280474	960	1998-02-19	VYDAJ	VYBER	5700	36306	\N	\N	\N
280475	960	1998-07-25	VYDAJ	VYBER	6600	62866	\N	\N	\N
280476	960	1998-04-18	VYDAJ	VYBER	6000	48865	\N	\N	\N
280477	960	1998-07-03	VYDAJ	VYBER KARTOU	2400	43046	\N	\N	0
280493	960	1995-03-31	VYDAJ	VYBER	100	80669	SLUZBY	\N	\N
280494	960	1995-04-30	VYDAJ	VYBER	100	73875	SLUZBY	\N	\N
280495	960	1995-05-31	VYDAJ	VYBER	100	45489	SLUZBY	\N	\N
280496	960	1995-06-30	VYDAJ	VYBER	100	66085	SLUZBY	\N	\N
280497	960	1995-07-31	VYDAJ	VYBER	100	37748	SLUZBY	\N	\N
280498	960	1995-08-31	VYDAJ	VYBER	100	40585	SLUZBY	\N	\N
280499	960	1995-09-30	VYDAJ	VYBER	100	44852	SLUZBY	\N	\N
280500	960	1995-10-31	VYDAJ	VYBER	100	33520	SLUZBY	\N	\N
280501	960	1995-11-30	VYDAJ	VYBER	100	34812	SLUZBY	\N	\N
280502	960	1995-12-31	VYDAJ	VYBER	100	34059	SLUZBY	\N	\N
280503	960	1996-01-31	VYDAJ	VYBER	100	19719	SLUZBY	\N	\N
280504	960	1996-02-29	VYDAJ	VYBER	100	26140	SLUZBY	\N	\N
280505	960	1996-03-31	VYDAJ	VYBER	100	37242	SLUZBY	\N	\N
280506	960	1996-04-30	VYDAJ	VYBER	100	37075	SLUZBY	\N	\N
280507	960	1996-05-31	VYDAJ	VYBER	100	36121	SLUZBY	\N	\N
280508	960	1996-06-30	VYDAJ	VYBER	100	55893	SLUZBY	\N	\N
280509	960	1996-07-31	VYDAJ	VYBER	100	53780	SLUZBY	\N	\N
280510	960	1996-08-31	VYDAJ	VYBER	100	42941	SLUZBY	\N	\N
280511	960	1996-09-30	VYDAJ	VYBER	100	34638	SLUZBY	\N	\N
280512	960	1996-10-31	VYDAJ	VYBER	100	41338	SLUZBY	\N	\N
280513	960	1996-11-30	VYDAJ	VYBER	100	37910	SLUZBY	\N	\N
280514	960	1996-12-31	VYDAJ	VYBER	100	54978	SLUZBY	\N	\N
280515	960	1997-01-31	VYDAJ	VYBER	100	27171	SLUZBY	\N	\N
280516	960	1997-02-28	VYDAJ	VYBER	100	44161	SLUZBY	\N	\N
280517	960	1997-03-31	VYDAJ	VYBER	100	50813	SLUZBY	\N	\N
280518	960	1997-04-30	VYDAJ	VYBER	100	57583	SLUZBY	\N	\N
280519	960	1997-05-31	VYDAJ	VYBER	100	51966	SLUZBY	\N	\N
280520	960	1997-06-30	VYDAJ	VYBER	100	48057	SLUZBY	\N	\N
280521	960	1997-07-31	VYDAJ	VYBER	100	39941	SLUZBY	\N	\N
280522	960	1997-08-31	VYDAJ	VYBER	100	33426	SLUZBY	\N	\N
280523	960	1997-09-30	VYDAJ	VYBER	100	50432	SLUZBY	\N	\N
280524	960	1997-10-31	VYDAJ	VYBER	100	62900	SLUZBY	\N	\N
280525	960	1997-11-30	VYDAJ	VYBER	100	67624	SLUZBY	\N	\N
280526	960	1997-12-31	VYDAJ	VYBER	100	62940	SLUZBY	\N	\N
280527	960	1998-01-31	VYDAJ	VYBER	100	24192	SLUZBY	\N	\N
280528	960	1998-02-28	VYDAJ	VYBER	100	25235	SLUZBY	\N	\N
280529	960	1998-03-31	VYDAJ	VYBER	100	46660	SLUZBY	\N	\N
280530	960	1998-04-30	VYDAJ	VYBER	100	48963	SLUZBY	\N	\N
280531	960	1998-05-31	VYDAJ	VYBER	100	57609	SLUZBY	\N	\N
280532	960	1998-06-30	VYDAJ	VYBER	100	45446	SLUZBY	\N	\N
280533	960	1998-07-31	VYDAJ	VYBER	100	63007	SLUZBY	\N	\N
280534	960	1998-08-31	VYDAJ	VYBER	100	76229	SLUZBY	\N	\N
280535	960	1998-09-30	VYDAJ	VYBER	100	28262	SLUZBY	\N	\N
280536	960	1998-10-31	VYDAJ	VYBER	100	82952	SLUZBY	\N	\N
280537	960	1998-11-30	VYDAJ	VYBER	100	88358	SLUZBY	\N	\N
280538	960	1994-12-02	VYDAJ	VYBER	9100	31212	\N	\N	\N
280539	960	1995-01-01	VYDAJ	VYBER	34600	56925	\N	\N	\N
280540	960	1995-01-31	VYDAJ	VYBER	35800	61526	\N	\N	\N
280541	960	1995-03-02	VYDAJ	VYBER	40300	61494	\N	\N	\N
280542	960	1995-03-13	VYDAJ	VYBER	15100	80465	\N	\N	\N
280543	960	1995-04-01	VYDAJ	VYBER	27800	52869	\N	\N	\N
280544	960	1995-05-01	VYDAJ	VYBER	23600	50275	\N	\N	\N
280545	960	1995-05-31	VYDAJ	VYBER	23600	45589	\N	\N	\N
280546	960	1995-06-30	VYDAJ	VYBER	20200	45885	\N	\N	\N
280547	960	1995-07-30	VYDAJ	VYBER	16100	37632	\N	\N	\N
280548	960	1995-08-29	VYDAJ	VYBER	18200	40466	\N	\N	\N
280549	960	1995-09-28	VYDAJ	VYBER	26800	44705	\N	\N	\N
280550	960	1995-10-28	VYDAJ	VYBER	7800	33445	\N	\N	\N
280551	960	1995-11-27	VYDAJ	VYBER	16500	34740	\N	\N	\N
280552	960	1995-12-27	VYDAJ	VYBER	14400	33980	\N	\N	\N
280553	960	1996-01-26	VYDAJ	VYBER	4500	19679	\N	\N	\N
280554	960	1996-02-25	VYDAJ	VYBER	6000	26127	\N	\N	\N
280555	960	1996-03-26	VYDAJ	VYBER	19900	37160	\N	\N	\N
280556	960	1996-04-25	VYDAJ	VYBER	21200	42462	\N	\N	\N
280557	960	1996-05-25	VYDAJ	VYBER	8800	36043	\N	\N	\N
280558	960	1996-06-24	VYDAJ	VYBER	31300	55746	\N	\N	\N
280559	960	1996-07-24	VYDAJ	VYBER	27800	53613	\N	\N	\N
280560	960	1996-08-23	VYDAJ	VYBER	20400	42814	\N	\N	\N
280561	960	1996-09-22	VYDAJ	VYBER	23600	50261	\N	\N	\N
280562	960	1996-10-22	VYDAJ	VYBER	17700	41258	\N	\N	\N
280563	960	1996-11-21	VYDAJ	VYBER	8900	48905	\N	\N	\N
280564	960	1996-12-21	VYDAJ	VYBER	25900	54835	\N	\N	\N
280565	960	1997-01-20	VYDAJ	VYBER	14400	45398	\N	\N	\N
280566	960	1997-02-19	VYDAJ	VYBER	14000	44091	\N	\N	\N
280567	960	1997-03-21	VYDAJ	VYBER	24400	50681	\N	\N	\N
280568	960	1997-04-20	VYDAJ	VYBER	24300	57433	\N	\N	\N
280569	960	1997-05-20	VYDAJ	VYBER	15100	51829	\N	\N	\N
280570	960	1997-06-19	VYDAJ	VYBER	36700	66191	\N	\N	\N
280571	960	1997-07-19	VYDAJ	VYBER	20500	58477	\N	\N	\N
280572	960	1997-08-18	VYDAJ	VYBER	15300	55561	\N	\N	\N
280573	960	1997-09-17	VYDAJ	VYBER KARTOU	2300	50340	\N	\N	0
280574	960	1997-10-17	VYDAJ	VYBER	13500	62752	\N	\N	\N
280575	960	1997-11-16	VYDAJ	VYBER	21500	72320	\N	\N	\N
280576	960	1997-12-13	VYDAJ	VYBER	41200	81189	\N	\N	\N
280577	960	1997-12-16	VYDAJ	VYBER	12500	62749	\N	\N	\N
280578	960	1998-01-15	VYDAJ	VYBER	4700	55343	\N	\N	\N
280579	960	1998-02-14	PRIJEM	VKLAD	10800	42006	\N	\N	\N
280580	960	1998-03-16	PRIJEM	VKLAD	5800	61955	\N	\N	\N
280581	960	1998-04-15	VYDAJ	VYBER KARTOU	1600	54865	\N	\N	0
280582	960	1998-05-15	VYDAJ	VYBER KARTOU	3100	57489	\N	\N	0
280583	960	1998-06-13	VYDAJ	VYBER	44900	63634	\N	\N	\N
280584	960	1998-06-14	VYDAJ	VYBER KARTOU	1000	62634	\N	\N	0
280585	960	1998-07-14	VYDAJ	VYBER	4500	69466	\N	\N	\N
280586	960	1998-08-13	VYDAJ	VYBER	11700	88167	\N	\N	\N
280587	960	1998-09-12	PRIJEM	VKLAD	300	76529	\N	\N	\N
280588	960	1998-09-13	VYDAJ	VYBER	35600	71849	\N	\N	\N
280589	960	1998-10-12	PRIJEM	VKLAD	23600	51862	\N	\N	\N
280590	960	1998-11-11	VYDAJ	VYBER	6300	76652	\N	\N	\N
280591	960	1998-12-11	VYDAJ	VYBER	4700	80358	\N	\N	\N
280592	960	1998-12-13	VYDAJ	VYBER	31600	105623	\N	\N	\N
280643	961	1997-10-18	PRIJEM	VKLAD	300	300	\N	\N	\N
280654	961	1997-11-05	PRIJEM	VKLAD	13455	13755	\N	\N	\N
280655	961	1997-12-05	PRIJEM	VKLAD	20182	37671	\N	\N	\N
280656	961	1998-01-05	PRIJEM	VKLAD	13455	45127	\N	\N	\N
280657	961	1998-02-05	PRIJEM	VKLAD	13455	45514	\N	\N	\N
280658	961	1998-03-05	PRIJEM	VKLAD	13455	43699	\N	\N	\N
280659	961	1998-04-05	PRIJEM	VKLAD	13455	35296	\N	\N	\N
280660	961	1998-05-05	PRIJEM	VKLAD	13455	29363	\N	\N	\N
280661	961	1998-06-05	PRIJEM	VKLAD	20182	30733	\N	\N	\N
280662	961	1998-07-05	PRIJEM	VKLAD	13455	27475	\N	\N	\N
280663	961	1998-08-05	PRIJEM	VKLAD	13455	24059	\N	\N	\N
280664	961	1998-09-05	PRIJEM	VKLAD	13455	29302	\N	\N	\N
280665	961	1998-10-05	PRIJEM	VKLAD	13455	33126	\N	\N	\N
280666	961	1998-11-05	PRIJEM	VKLAD	13455	25417	\N	\N	\N
280667	961	1998-12-05	PRIJEM	VKLAD	20182	37393	\N	\N	\N
280682	961	1998-03-12	VYDAJ	PREVOD NA UCET	8255	35444	SIPO	ST	58554261
280683	961	1998-04-12	VYDAJ	PREVOD NA UCET	8255	27041	SIPO	ST	58554261
280684	961	1998-05-12	VYDAJ	PREVOD NA UCET	8255	21108	SIPO	ST	58554261
280685	961	1998-06-12	VYDAJ	PREVOD NA UCET	8255	22478	SIPO	ST	58554261
280686	961	1998-07-12	VYDAJ	PREVOD NA UCET	8255	16460	SIPO	ST	58554261
280687	961	1998-08-12	VYDAJ	PREVOD NA UCET	8255	15804	SIPO	ST	58554261
280688	961	1998-09-12	VYDAJ	PREVOD NA UCET	8255	21047	SIPO	ST	58554261
280689	961	1998-10-12	VYDAJ	PREVOD NA UCET	8255	20311	SIPO	ST	58554261
280690	961	1998-11-12	VYDAJ	PREVOD NA UCET	8255	17162	SIPO	ST	58554261
280691	961	1998-12-12	VYDAJ	PREVOD NA UCET	8255	25138	SIPO	ST	58554261
280697	961	1998-12-08	VYDAJ	VYBER	4000	33393	\N	\N	\N
280704	961	1998-07-07	VYDAJ	VYBER	2760	24715	\N	\N	\N
280705	961	1998-10-09	VYDAJ	VYBER	4560	28566	\N	\N	\N
280706	961	1998-09-22	VYDAJ	VYBER	1440	19607	\N	\N	\N
280722	961	1998-03-31	VYDAJ	VYBER	15	21841	SLUZBY	\N	\N
280723	961	1998-04-30	VYDAJ	VYBER	15	15908	SLUZBY	\N	\N
280724	961	1998-05-31	VYDAJ	VYBER	15	10551	SLUZBY	\N	\N
280725	961	1998-06-30	VYDAJ	VYBER	15	14020	SLUZBY	\N	\N
280726	961	1998-07-31	VYDAJ	VYBER	15	10604	SLUZBY	\N	\N
280727	961	1998-08-31	VYDAJ	VYBER	15	15847	SLUZBY	\N	\N
280728	961	1998-09-30	VYDAJ	VYBER	15	19671	SLUZBY	\N	\N
280729	961	1998-10-31	VYDAJ	VYBER	15	11962	SLUZBY	\N	\N
280730	961	1998-11-30	VYDAJ	VYBER	15	17211	SLUZBY	\N	\N
280731	961	1997-11-17	PRIJEM	VKLAD	3700	17455	\N	\N	\N
280732	961	1997-12-17	VYDAJ	VYBER	6100	31571	\N	\N	\N
280733	961	1998-01-16	VYDAJ	VYBER	13200	31927	\N	\N	\N
280734	961	1998-02-15	VYDAJ	VYBER	15400	30114	\N	\N	\N
280735	961	1998-03-17	VYDAJ	VYBER	13700	21744	\N	\N	\N
280736	961	1998-04-16	VYDAJ	VYBER	11200	15841	\N	\N	\N
280737	961	1998-05-16	VYDAJ	VYBER	10600	10508	\N	\N	\N
280738	961	1998-06-15	VYDAJ	VYBER	8500	13978	\N	\N	\N
280739	961	1998-07-15	VYDAJ	VYBER	5900	10560	\N	\N	\N
280740	961	1998-10-13	VYDAJ	VYBER	8400	11911	\N	\N	\N
280755	962	1996-06-24	PRIJEM	VKLAD	200	200	\N	\N	\N
280762	962	1996-07-08	PRIJEM	PREVOD Z UCTU	10874	11074	\N	IJ	23014337
280763	962	1996-08-08	PRIJEM	PREVOD Z UCTU	10874	32171	\N	IJ	23014337
280764	962	1996-09-08	PRIJEM	PREVOD Z UCTU	10874	40343	\N	IJ	23014337
280765	962	1996-10-08	PRIJEM	PREVOD Z UCTU	10874	47148	\N	IJ	23014337
280766	962	1996-11-08	PRIJEM	PREVOD Z UCTU	10874	46372	\N	IJ	23014337
280767	962	1996-12-08	PRIJEM	PREVOD Z UCTU	16311	32518	\N	IJ	23014337
280768	962	1997-01-08	PRIJEM	PREVOD Z UCTU	10874	37162	\N	IJ	23014337
280769	962	1997-02-08	PRIJEM	PREVOD Z UCTU	10874	33207	\N	IJ	23014337
280770	962	1997-03-08	PRIJEM	PREVOD Z UCTU	10874	23751	\N	IJ	23014337
280771	962	1997-04-08	PRIJEM	PREVOD Z UCTU	10874	36719	\N	IJ	23014337
280772	962	1997-05-08	PRIJEM	PREVOD Z UCTU	10874	32776	\N	IJ	23014337
280773	962	1997-06-08	PRIJEM	PREVOD Z UCTU	16311	47088	\N	IJ	23014337
280774	962	1997-07-08	PRIJEM	PREVOD Z UCTU	10874	50822	\N	IJ	23014337
280775	962	1997-08-08	PRIJEM	PREVOD Z UCTU	10874	49749	\N	IJ	23014337
280776	962	1997-09-08	PRIJEM	PREVOD Z UCTU	10874	47666	\N	IJ	23014337
280777	962	1997-10-08	PRIJEM	PREVOD Z UCTU	10874	32912	\N	IJ	23014337
280778	962	1997-11-08	PRIJEM	PREVOD Z UCTU	10874	48224	\N	IJ	23014337
280779	962	1997-12-08	PRIJEM	PREVOD Z UCTU	16311	38940	\N	IJ	23014337
280780	962	1998-01-08	PRIJEM	PREVOD Z UCTU	10874	22617	\N	IJ	23014337
280781	962	1998-02-08	PRIJEM	PREVOD Z UCTU	10874	24873	\N	IJ	23014337
280782	962	1998-03-08	PRIJEM	PREVOD Z UCTU	10874	38721	\N	IJ	23014337
280783	962	1998-04-08	PRIJEM	PREVOD Z UCTU	10874	43205	\N	IJ	23014337
280784	962	1998-05-08	PRIJEM	PREVOD Z UCTU	10874	44101	\N	IJ	23014337
280785	962	1998-06-08	PRIJEM	PREVOD Z UCTU	16311	54045	\N	IJ	23014337
280786	962	1998-07-08	PRIJEM	PREVOD Z UCTU	10874	39456	\N	IJ	23014337
280787	962	1998-08-08	PRIJEM	PREVOD Z UCTU	10874	43643	\N	IJ	23014337
280788	962	1998-09-08	PRIJEM	PREVOD Z UCTU	10874	43369	\N	IJ	23014337
280789	962	1998-10-08	PRIJEM	PREVOD Z UCTU	10874	25683	\N	IJ	23014337
280790	962	1998-11-08	PRIJEM	PREVOD Z UCTU	10874	16885	\N	IJ	23014337
280791	962	1998-12-08	PRIJEM	PREVOD Z UCTU	16311	30328	\N	IJ	23014337
280797	962	1996-11-26	VYBER	VYBER	14816	16091	\N	\N	\N
280803	962	1996-11-18	VYBER	VYBER	11765	34607	\N	\N	\N
280804	962	1997-10-02	VYBER	VYBER	18778	22038	\N	\N	\N
280805	962	1997-11-21	VYBER	VYBER	17417	22507	\N	\N	\N
280806	962	1997-04-25	VYBER	VYBER	13413	21806	\N	\N	\N
280807	962	1997-03-06	VYBER	VYBER	17119	12877	\N	\N	\N
280808	962	1998-08-10	VYBER	VYBER	2872	40771	\N	\N	\N
280809	962	1998-09-24	VYBER	VYBER	6454	14715	\N	\N	\N
280812	962	1998-06-23	VYDAJ	VYBER	12900	28445	\N	\N	\N
280814	962	1997-01-09	VYDAJ	VYBER	23100	14062	\N	\N	\N
280815	962	1998-01-06	VYDAJ	VYBER	19800	11743	\N	\N	\N
280816	962	1996-12-19	VYDAJ	VYBER	5400	27118	\N	\N	\N
280817	962	1997-12-23	VYDAJ	VYBER	4200	31440	\N	\N	\N
280818	962	1998-12-21	VYDAJ	VYBER	5400	15328	\N	\N	\N
280825	962	1997-06-05	VYDAJ	VYBER	6600	30777	\N	\N	\N
280826	962	1997-08-17	VYDAJ	VYBER	5400	37149	\N	\N	\N
280827	962	1997-07-24	VYDAJ	VYBER	4800	38722	\N	\N	\N
280828	962	1997-08-16	VYDAJ	VYBER	7200	42549	\N	\N	\N
280829	962	1997-09-26	VYDAJ	VYBER	3000	40666	\N	\N	\N
280830	962	1998-09-08	VYDAJ	VYBER	2100	41269	\N	\N	\N
280831	962	1998-09-16	VYDAJ	VYBER	9000	21169	\N	\N	\N
280832	962	1998-10-14	VYDAJ	VYBER	14100	7483	\N	\N	\N
280833	962	1998-10-20	VYDAJ	VYBER	1500	5983	\N	\N	\N
280834	962	1998-01-25	VYDAJ	VYBER	10500	13917	\N	\N	\N
280846	962	1996-11-30	VYDAJ	VYBER	15	16207	SLUZBY	\N	\N
280847	962	1996-12-31	VYDAJ	VYBER	15	26288	SLUZBY	\N	\N
280848	962	1997-01-31	VYDAJ	VYBER	15	22333	SLUZBY	\N	\N
280849	962	1997-02-28	VYDAJ	VYBER	15	29996	SLUZBY	\N	\N
280850	962	1997-03-31	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
280851	962	1997-04-30	VYDAJ	VYBER	15	21902	SLUZBY	\N	\N
280852	962	1997-05-31	VYDAJ	VYBER	15	37377	SLUZBY	\N	\N
280853	962	1997-06-30	VYDAJ	VYBER	15	39948	SLUZBY	\N	\N
280854	962	1997-07-31	VYDAJ	VYBER	15	38875	SLUZBY	\N	\N
280855	962	1997-08-31	VYDAJ	VYBER	15	36792	SLUZBY	\N	\N
280856	962	1997-09-30	VYDAJ	VYBER	15	40816	SLUZBY	\N	\N
280857	962	1997-10-31	VYDAJ	VYBER	15	37350	SLUZBY	\N	\N
280858	962	1997-11-30	VYDAJ	VYBER	15	22629	SLUZBY	\N	\N
280859	962	1997-12-31	VYDAJ	VYBER	15	31543	SLUZBY	\N	\N
280860	962	1998-01-31	VYDAJ	VYBER	15	13999	SLUZBY	\N	\N
280861	962	1998-02-28	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
280862	962	1998-03-31	VYDAJ	VYBER	15	32331	SLUZBY	\N	\N
280863	962	1998-04-30	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
280864	962	1998-05-31	VYDAJ	VYBER	15	37734	SLUZBY	\N	\N
280865	962	1998-06-30	VYDAJ	VYBER	15	28582	SLUZBY	\N	\N
280866	962	1998-07-31	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
280867	962	1998-08-31	VYDAJ	VYBER	15	32495	SLUZBY	\N	\N
280868	962	1998-09-30	VYDAJ	VYBER	15	14809	SLUZBY	\N	\N
280869	962	1998-10-31	VYDAJ	VYBER	15	6011	SLUZBY	\N	\N
280870	962	1998-11-30	VYDAJ	VYBER	15	14017	SLUZBY	\N	\N
280871	962	1996-07-24	PRIJEM	VKLAD	10200	21274	\N	\N	\N
280872	962	1996-08-23	VYDAJ	VYBER	2800	29371	\N	\N	\N
280873	962	1996-09-22	VYDAJ	VYBER	4200	36143	\N	\N	\N
280874	962	1996-10-22	VYDAJ	VYBER	11800	35348	\N	\N	\N
280875	962	1996-11-21	VYDAJ	VYBER	3700	30907	\N	\N	\N
280876	962	1996-12-21	VYDAJ	VYBER	900	26218	\N	\N	\N
280877	962	1997-01-20	PRIJEM	VKLAD	8200	22262	\N	\N	\N
280878	962	1997-02-19	VYDAJ	VYBER	3300	29907	\N	\N	\N
280879	962	1997-03-21	PRIJEM	VKLAD	2000	25751	\N	\N	\N
280880	962	1997-04-20	VYDAJ	VYBER	1500	35219	\N	\N	\N
280881	962	1997-05-20	PRIJEM	VKLAD	4500	37276	\N	\N	\N
280882	962	1997-06-19	VYDAJ	VYBER	7300	39788	\N	\N	\N
280883	962	1997-07-19	VYDAJ	VYBER	7300	43522	\N	\N	\N
280884	962	1997-08-18	VYDAJ	VYBER	500	36649	\N	\N	\N
280885	962	1997-09-17	VYDAJ	VYBER	4000	43666	\N	\N	\N
280886	962	1997-10-17	PRIJEM	VKLAD	4300	37212	\N	\N	\N
280887	962	1997-11-16	VYDAJ	VYBER	8300	39924	\N	\N	\N
280888	962	1997-12-16	VYDAJ	VYBER	3300	35640	\N	\N	\N
280889	962	1998-01-15	PRIJEM	VKLAD	1800	24417	\N	\N	\N
280890	962	1998-02-14	PRIJEM	VKLAD	2900	27773	\N	\N	\N
280891	962	1998-03-16	VYDAJ	VYBER	6500	32221	\N	\N	\N
280892	962	1998-04-15	VYDAJ	VYBER	10100	33105	\N	\N	\N
280893	962	1998-05-15	VYDAJ	VYBER	6500	37601	\N	\N	\N
280894	962	1998-06-14	VYDAJ	VYBER	12700	41345	\N	\N	\N
280895	962	1998-07-14	VYDAJ	VYBER	6800	32656	\N	\N	\N
280896	962	1998-08-13	VYDAJ	VYBER	8400	32371	\N	\N	\N
280897	962	1998-09-12	VYDAJ	VYBER	11100	30169	\N	\N	\N
280898	962	1998-10-12	VYDAJ	VYBER	4100	21583	\N	\N	\N
280899	962	1998-11-11	VYDAJ	VYBER	2900	13985	\N	\N	\N
280900	962	1998-12-11	VYDAJ	VYBER	9600	20728	\N	\N	\N
280931	963	1996-08-09	PRIJEM	VKLAD	500	500	\N	\N	\N
280940	963	1996-09-07	PRIJEM	VKLAD	18506	19006	\N	\N	\N
280941	963	1996-10-07	PRIJEM	VKLAD	18506	43893	\N	\N	\N
280942	963	1996-11-07	PRIJEM	VKLAD	18506	53836	\N	\N	\N
280943	963	1996-12-07	PRIJEM	VKLAD	27759	68560	\N	\N	\N
280944	963	1997-01-07	PRIJEM	VKLAD	18506	58364	\N	\N	\N
280945	963	1997-02-07	PRIJEM	VKLAD	18506	58231	\N	\N	\N
280946	963	1997-03-07	PRIJEM	VKLAD	18506	70154	\N	\N	\N
280947	963	1997-04-07	PRIJEM	VKLAD	18506	49124	\N	\N	\N
280948	963	1997-05-07	PRIJEM	VKLAD	18506	52118	\N	\N	\N
280949	963	1997-06-07	PRIJEM	VKLAD	27759	60878	\N	\N	\N
280950	963	1997-07-07	PRIJEM	VKLAD	18506	57814	\N	\N	\N
280951	963	1997-08-07	PRIJEM	VKLAD	18506	58546	\N	\N	\N
280952	963	1997-09-07	PRIJEM	VKLAD	18506	60180	\N	\N	\N
280953	963	1997-10-07	PRIJEM	VKLAD	18506	60619	\N	\N	\N
280954	963	1997-11-07	PRIJEM	VKLAD	18506	54555	\N	\N	\N
280955	963	1997-12-07	PRIJEM	VKLAD	27759	67917	\N	\N	\N
280956	963	1998-01-07	PRIJEM	VKLAD	18506	64830	\N	\N	\N
280957	963	1998-02-07	PRIJEM	VKLAD	18506	64591	\N	\N	\N
280958	963	1998-03-07	PRIJEM	VKLAD	18506	69910	\N	\N	\N
280959	963	1998-04-07	PRIJEM	VKLAD	18506	73385	\N	\N	\N
280960	963	1998-05-07	PRIJEM	VKLAD	18506	68578	\N	\N	\N
280961	963	1998-06-07	PRIJEM	VKLAD	27759	76007	\N	\N	\N
280962	963	1998-07-07	PRIJEM	VKLAD	18506	70992	\N	\N	\N
280963	963	1998-08-07	PRIJEM	VKLAD	18506	71464	\N	\N	\N
280964	963	1998-09-07	PRIJEM	VKLAD	18506	68588	\N	\N	\N
280965	963	1998-10-07	PRIJEM	VKLAD	18506	71924	\N	\N	\N
280966	963	1998-11-07	PRIJEM	VKLAD	18506	74396	\N	\N	\N
280967	963	1998-12-07	PRIJEM	VKLAD	27759	87532	\N	\N	\N
280981	963	1997-02-06	VYDAJ	PREVOD NA UCET	3799	39725	SIPO	QR	19417429
280982	963	1997-03-06	VYDAJ	PREVOD NA UCET	3799	51648	SIPO	QR	19417429
280983	963	1997-04-06	VYDAJ	PREVOD NA UCET	3799	42118	SIPO	QR	19417429
280984	963	1997-05-06	VYDAJ	PREVOD NA UCET	3799	45512	SIPO	QR	19417429
280985	963	1997-06-06	VYDAJ	PREVOD NA UCET	3799	33119	SIPO	QR	19417429
280986	963	1997-07-06	VYDAJ	PREVOD NA UCET	3799	39308	SIPO	QR	19417429
280987	963	1997-08-06	VYDAJ	PREVOD NA UCET	3799	40040	SIPO	QR	19417429
280988	963	1997-09-06	VYDAJ	PREVOD NA UCET	3799	41674	SIPO	QR	19417429
280989	963	1997-10-06	VYDAJ	PREVOD NA UCET	3799	42113	SIPO	QR	19417429
280990	963	1997-11-06	VYDAJ	PREVOD NA UCET	3799	36049	SIPO	QR	19417429
280991	963	1997-12-06	VYDAJ	PREVOD NA UCET	3799	40158	SIPO	QR	19417429
280992	963	1998-01-06	VYDAJ	PREVOD NA UCET	3799	46324	SIPO	QR	19417429
280993	963	1998-02-06	VYDAJ	PREVOD NA UCET	3799	46085	SIPO	QR	19417429
280994	963	1998-03-06	VYDAJ	PREVOD NA UCET	3799	51404	SIPO	QR	19417429
280995	963	1998-04-06	VYDAJ	PREVOD NA UCET	3799	54879	SIPO	QR	19417429
280996	963	1998-05-06	VYDAJ	PREVOD NA UCET	3799	50072	SIPO	QR	19417429
280997	963	1998-06-06	VYDAJ	PREVOD NA UCET	3799	48248	SIPO	QR	19417429
280998	963	1998-07-06	VYDAJ	PREVOD NA UCET	3799	52486	SIPO	QR	19417429
280999	963	1998-08-06	VYDAJ	PREVOD NA UCET	3799	52958	SIPO	QR	19417429
281000	963	1998-09-06	VYDAJ	PREVOD NA UCET	3799	50082	SIPO	QR	19417429
281001	963	1998-10-06	VYDAJ	PREVOD NA UCET	3799	53418	SIPO	QR	19417429
281002	963	1998-11-06	VYDAJ	PREVOD NA UCET	3799	55890	SIPO	QR	19417429
281003	963	1998-12-06	VYDAJ	PREVOD NA UCET	3799	59773	SIPO	QR	19417429
281005	963	1997-12-17	VYDAJ	VYBER	4640	63277	\N	\N	\N
281006	963	1998-12-15	VYDAJ	VYBER	4640	82892	\N	\N	\N
281014	963	1997-10-24	VYDAJ	VYBER	5160	55459	\N	\N	\N
281015	963	1997-11-01	VYDAJ	VYBER	5640	50048	\N	\N	\N
281016	963	1997-02-10	VYDAJ	VYBER	3000	55231	\N	\N	\N
281017	963	1997-01-19	VYDAJ	VYBER	960	57404	\N	\N	\N
281018	963	1998-02-13	VYDAJ	VYBER	3720	60871	\N	\N	\N
281019	963	1998-01-09	VYDAJ	VYBER	5280	59550	\N	\N	\N
281020	963	1998-08-25	VYDAJ	VYBER	4680	64624	\N	\N	\N
281021	963	1998-09-18	VYDAJ	VYBER	3120	65468	\N	\N	\N
281022	963	1998-08-17	VYDAJ	VYBER	2160	69304	\N	\N	\N
281036	963	1997-01-31	VYDAJ	VYBER	15	57624	SLUZBY	\N	\N
281037	963	1997-02-28	VYDAJ	VYBER	15	55447	SLUZBY	\N	\N
281038	963	1997-03-31	VYDAJ	VYBER	15	45917	SLUZBY	\N	\N
281039	963	1997-04-30	VYDAJ	VYBER	15	49311	SLUZBY	\N	\N
281040	963	1997-05-31	VYDAJ	VYBER	15	52318	SLUZBY	\N	\N
281041	963	1997-06-30	VYDAJ	VYBER	15	61107	SLUZBY	\N	\N
281042	963	1997-07-31	VYDAJ	VYBER	15	58039	SLUZBY	\N	\N
281043	963	1997-08-31	VYDAJ	VYBER	15	58773	SLUZBY	\N	\N
281044	963	1997-09-30	VYDAJ	VYBER	15	60412	SLUZBY	\N	\N
281045	963	1997-10-31	VYDAJ	VYBER	15	55688	SLUZBY	\N	\N
281046	963	1997-11-30	VYDAJ	VYBER	15	54757	SLUZBY	\N	\N
281047	963	1997-12-31	VYDAJ	VYBER	15	63523	SLUZBY	\N	\N
281048	963	1998-01-31	VYDAJ	VYBER	15	59784	SLUZBY	\N	\N
281049	963	1998-02-28	VYDAJ	VYBER	15	61103	SLUZBY	\N	\N
281050	963	1998-03-31	VYDAJ	VYBER	15	70178	SLUZBY	\N	\N
281051	963	1998-04-30	VYDAJ	VYBER	15	73671	SLUZBY	\N	\N
281052	963	1998-05-31	VYDAJ	VYBER	15	68847	SLUZBY	\N	\N
281053	963	1998-06-30	VYDAJ	VYBER	15	56285	SLUZBY	\N	\N
281054	963	1998-07-31	VYDAJ	VYBER	15	56757	SLUZBY	\N	\N
281055	963	1998-08-31	VYDAJ	VYBER	15	53881	SLUZBY	\N	\N
281056	963	1998-09-30	VYDAJ	VYBER	15	57217	SLUZBY	\N	\N
281057	963	1998-10-31	VYDAJ	VYBER	15	59689	SLUZBY	\N	\N
281058	963	1998-11-30	VYDAJ	VYBER	15	63572	SLUZBY	\N	\N
281059	963	1996-09-08	PRIJEM	VKLAD	6300	25306	\N	\N	\N
281060	963	1996-10-08	VYDAJ	VYBER	8700	35193	\N	\N	\N
281061	963	1996-11-07	VYDAJ	VYBER	13200	40636	\N	\N	\N
281062	963	1996-12-07	VYDAJ	VYBER	19400	49160	\N	\N	\N
281063	963	1997-01-06	VYDAJ	VYBER	9500	39858	\N	\N	\N
281064	963	1997-02-05	VYDAJ	VYBER	14100	43524	\N	\N	\N
281065	963	1997-03-07	VYDAJ	VYBER	24500	45654	\N	\N	\N
281066	963	1997-04-06	VYDAJ	VYBER	11500	30618	\N	\N	\N
281067	963	1997-05-06	VYDAJ	VYBER	11900	33612	\N	\N	\N
281068	963	1997-06-05	VYDAJ	VYBER	15400	36918	\N	\N	\N
281069	963	1997-07-05	VYDAJ	VYBER	18000	43107	\N	\N	\N
281070	963	1997-08-04	VYDAJ	VYBER	14200	43839	\N	\N	\N
281071	963	1997-09-03	VYDAJ	VYBER	13300	45473	\N	\N	\N
281072	963	1997-10-03	VYDAJ	VYBER	14500	45912	\N	\N	\N
281073	963	1997-11-02	VYDAJ	VYBER	10200	39848	\N	\N	\N
281074	963	1997-12-02	VYDAJ	VYBER	10800	43957	\N	\N	\N
281075	963	1998-01-01	VYDAJ	VYBER	13400	50123	\N	\N	\N
281076	963	1998-01-31	VYDAJ	VYBER	9900	49884	\N	\N	\N
281077	963	1998-03-02	VYDAJ	VYBER	5900	55203	\N	\N	\N
281078	963	1998-04-01	VYDAJ	VYBER	11500	58678	\N	\N	\N
281079	963	1998-05-01	VYDAJ	VYBER	19800	53871	\N	\N	\N
281080	963	1998-05-31	VYDAJ	VYBER	16800	52047	\N	\N	\N
281081	963	1998-06-30	VYDAJ	VYBER	20000	56300	\N	\N	\N
281082	963	1998-07-30	VYDAJ	VYBER	14500	56492	\N	\N	\N
281083	963	1998-08-29	VYDAJ	VYBER	11000	53624	\N	\N	\N
281084	963	1998-09-28	VYDAJ	VYBER	8500	56968	\N	\N	\N
281085	963	1998-10-28	VYDAJ	VYBER	12500	59424	\N	\N	\N
281086	963	1998-11-27	VYDAJ	VYBER	11100	63296	\N	\N	\N
281115	964	1994-07-08	PRIJEM	VKLAD	400	400	\N	\N	\N
281116	964	1994-09-16	PRIJEM	VKLAD	30098	50335	\N	\N	\N
281118	964	1995-05-12	PRIJEM	VKLAD	8310	49512	\N	\N	\N
281119	964	1995-05-02	PRIJEM	VKLAD	32686	57902	\N	\N	\N
281120	964	1996-09-04	PRIJEM	VKLAD	32137	66557	\N	\N	\N
281121	964	1996-10-08	PRIJEM	VKLAD	39873	90162	\N	\N	\N
281122	964	1997-01-29	PRIJEM	VKLAD	7504	43563	\N	\N	\N
281123	964	1997-06-23	PRIJEM	VKLAD	22291	48704	\N	\N	\N
281124	964	1998-03-05	PRIJEM	VKLAD	6320	67555	\N	\N	\N
281125	964	1998-01-07	PRIJEM	VKLAD	33122	80259	\N	\N	\N
281132	964	1994-07-14	PRIJEM	VKLAD	500	900	\N	\N	\N
281133	964	1994-08-14	PRIJEM	VKLAD	500	13802	\N	\N	\N
281134	964	1994-09-17	PRIJEM	VKLAD	500	50835	\N	\N	\N
281135	964	1994-10-17	PRIJEM	VKLAD	500	41070	\N	\N	\N
281136	964	1994-11-14	PRIJEM	VKLAD	500	35347	\N	\N	\N
281137	964	1994-12-16	PRIJEM	VKLAD	500	33291	\N	\N	\N
281138	964	1995-01-14	PRIJEM	VKLAD	500	29119	\N	\N	\N
281139	964	1995-02-17	PRIJEM	VKLAD	500	26228	\N	\N	\N
281140	964	1995-03-14	PRIJEM	VKLAD	500	29126	\N	\N	\N
281141	964	1995-04-13	PRIJEM	VKLAD	500	25126	\N	\N	\N
281142	964	1995-05-15	PRIJEM	VKLAD	500	50012	\N	\N	\N
281143	964	1995-06-13	PRIJEM	VKLAD	500	14486	\N	\N	\N
281144	964	1995-07-15	PRIJEM	VKLAD	500	24556	\N	\N	\N
281145	964	1995-08-14	PRIJEM	VKLAD	500	28623	\N	\N	\N
281146	964	1995-09-14	PRIJEM	VKLAD	500	30819	\N	\N	\N
281147	964	1995-10-14	PRIJEM	VKLAD	500	28529	\N	\N	\N
281148	964	1995-11-16	PRIJEM	VKLAD	500	32134	\N	\N	\N
281149	964	1995-12-13	PRIJEM	VKLAD	500	33751	\N	\N	\N
281150	964	1996-01-17	PRIJEM	VKLAD	500	28775	\N	\N	\N
281151	964	1996-02-13	PRIJEM	VKLAD	500	29788	\N	\N	\N
281152	964	1996-03-14	PRIJEM	VKLAD	500	32996	\N	\N	\N
281153	964	1996-04-13	PRIJEM	VKLAD	500	32816	\N	\N	\N
281154	964	1996-05-14	PRIJEM	VKLAD	500	32736	\N	\N	\N
281155	964	1996-06-17	PRIJEM	VKLAD	500	30903	\N	\N	\N
281156	964	1996-07-16	PRIJEM	VKLAD	500	25308	\N	\N	\N
281157	964	1996-08-15	PRIJEM	VKLAD	500	31803	\N	\N	\N
281158	964	1996-09-16	PRIJEM	VKLAD	500	67057	\N	\N	\N
281159	964	1996-10-14	PRIJEM	VKLAD	500	90662	\N	\N	\N
281160	964	1996-11-13	PRIJEM	VKLAD	500	63828	\N	\N	\N
281161	964	1996-12-16	PRIJEM	VKLAD	500	50766	\N	\N	\N
281162	964	1997-01-17	PRIJEM	VKLAD	500	44459	\N	\N	\N
281163	964	1997-02-17	PRIJEM	VKLAD	500	43676	\N	\N	\N
281164	964	1997-03-17	PRIJEM	VKLAD	500	46095	\N	\N	\N
281165	964	1997-04-14	PRIJEM	VKLAD	500	48172	\N	\N	\N
281166	964	1997-05-17	PRIJEM	VKLAD	500	43550	\N	\N	\N
281167	964	1997-06-17	PRIJEM	VKLAD	500	43013	\N	\N	\N
281168	964	1997-07-14	PRIJEM	VKLAD	500	49364	\N	\N	\N
281169	964	1997-08-16	PRIJEM	VKLAD	500	48350	\N	\N	\N
281170	964	1997-09-14	PRIJEM	VKLAD	500	44528	\N	\N	\N
281171	964	1997-10-17	PRIJEM	VKLAD	500	45096	\N	\N	\N
281172	964	1997-11-14	PRIJEM	VKLAD	500	47369	\N	\N	\N
281173	964	1997-12-16	PRIJEM	VKLAD	500	49250	\N	\N	\N
281174	964	1998-01-14	PRIJEM	VKLAD	500	80759	\N	\N	\N
281175	964	1998-02-16	PRIJEM	VKLAD	500	64091	\N	\N	\N
281176	964	1998-03-15	PRIJEM	VKLAD	500	68055	\N	\N	\N
281177	964	1998-04-16	PRIJEM	VKLAD	500	63400	\N	\N	\N
281178	964	1998-05-13	PRIJEM	VKLAD	500	63144	\N	\N	\N
281179	964	1998-06-14	PRIJEM	VKLAD	500	55929	\N	\N	\N
281180	964	1998-07-13	PRIJEM	VKLAD	500	43290	\N	\N	\N
281181	964	1998-08-14	PRIJEM	VKLAD	500	48064	\N	\N	\N
281182	964	1998-09-14	PRIJEM	VKLAD	500	50349	\N	\N	\N
281183	964	1998-10-14	PRIJEM	VKLAD	500	49790	\N	\N	\N
281184	964	1998-11-14	PRIJEM	VKLAD	500	53383	\N	\N	\N
281185	964	1998-12-13	PRIJEM	VKLAD	500	54084	\N	\N	\N
281187	964	1995-06-06	VYDAJ	VYBER	23800	13986	\N	\N	\N
281188	964	1996-06-24	VYDAJ	VYBER	8200	22703	\N	\N	\N
281189	964	1997-06-20	VYDAJ	VYBER	27700	15313	\N	\N	\N
281190	964	1998-06-25	VYDAJ	VYBER	12900	44629	\N	\N	\N
281192	964	1995-01-07	VYDAJ	VYBER	3300	28619	\N	\N	\N
281193	964	1996-01-02	VYDAJ	VYBER	3900	28275	\N	\N	\N
281194	964	1997-01-25	VYDAJ	VYBER	8900	36059	\N	\N	\N
281195	964	1998-01-23	VYDAJ	VYBER	5800	63359	\N	\N	\N
281196	964	1994-12-28	VYDAJ	VYBER	600	32691	\N	\N	\N
281197	964	1995-12-13	VYDAJ	VYBER	1400	32351	\N	\N	\N
281198	964	1996-12-12	VYDAJ	VYBER	2400	50266	\N	\N	\N
281199	964	1997-12-28	VYDAJ	VYBER	2100	46950	\N	\N	\N
281200	964	1998-12-24	VYDAJ	VYBER	1700	48184	\N	\N	\N
281204	964	1995-03-18	VYDAJ	VYBER	1000	28126	\N	\N	\N
281205	964	1995-07-21	VYDAJ	VYBER	1200	23356	\N	\N	\N
281206	964	1995-04-01	VYDAJ	VYBER	2000	26226	\N	\N	\N
281207	964	1995-02-09	VYDAJ	VYBER	2100	25728	\N	\N	\N
281208	964	1995-10-04	VYDAJ	VYBER	2300	28029	\N	\N	\N
281209	964	1996-05-17	VYDAJ	VYBER	1250	31486	\N	\N	\N
281210	964	1996-07-01	VYDAJ	VYBER	600	24808	\N	\N	\N
281211	964	1996-09-22	VYDAJ	VYBER	500	66557	\N	\N	\N
281212	964	1996-09-22	VYDAJ	VYBER	1350	65207	\N	\N	\N
281213	964	1997-02-21	VYDAJ	VYBER	350	43326	\N	\N	\N
281214	964	1997-02-10	VYDAJ	VYBER	550	43176	\N	\N	\N
281215	964	1997-06-07	VYDAJ	VYBER	400	42513	\N	\N	\N
281216	964	1997-03-05	VYDAJ	VYBER	300	45595	\N	\N	\N
281217	964	1998-10-10	VYDAJ	VYBER	350	49290	\N	\N	\N
281218	964	1998-06-02	VYDAJ	VYBER	1750	55429	\N	\N	\N
281219	964	1998-09-18	VYDAJ	VYBER	1700	49449	\N	\N	\N
281220	964	1998-07-06	VYDAJ	VYBER	2050	42790	\N	\N	\N
281221	964	1998-05-24	VYDAJ	VYBER	2200	56944	\N	\N	\N
281232	964	1994-10-31	VYDAJ	VYBER	15	41247	SLUZBY	\N	\N
281233	964	1994-11-30	VYDAJ	VYBER	15	35491	SLUZBY	\N	\N
281234	964	1994-12-31	VYDAJ	VYBER	15	32819	SLUZBY	\N	\N
281235	964	1995-01-31	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
281236	964	1995-02-28	VYDAJ	VYBER	15	26326	SLUZBY	\N	\N
281237	964	1995-03-31	VYDAJ	VYBER	15	28226	SLUZBY	\N	\N
281238	964	1995-04-30	VYDAJ	VYBER	15	25216	SLUZBY	\N	\N
281239	964	1995-05-31	VYDAJ	VYBER	15	50186	SLUZBY	\N	\N
281240	964	1995-06-30	VYDAJ	VYBER	15	14556	SLUZBY	\N	\N
281241	964	1995-07-31	VYDAJ	VYBER	15	23423	SLUZBY	\N	\N
281242	964	1995-08-31	VYDAJ	VYBER	15	28719	SLUZBY	\N	\N
281243	964	1995-09-30	VYDAJ	VYBER	15	30929	SLUZBY	\N	\N
281244	964	1995-10-31	VYDAJ	VYBER	15	31634	SLUZBY	\N	\N
281245	964	1995-11-30	VYDAJ	VYBER	15	33251	SLUZBY	\N	\N
281246	964	1995-12-31	VYDAJ	VYBER	15	32175	SLUZBY	\N	\N
281247	964	1996-01-31	VYDAJ	VYBER	15	29288	SLUZBY	\N	\N
281248	964	1996-02-29	VYDAJ	VYBER	15	32496	SLUZBY	\N	\N
281249	964	1996-03-31	VYDAJ	VYBER	15	32316	SLUZBY	\N	\N
281250	964	1996-04-30	VYDAJ	VYBER	15	32236	SLUZBY	\N	\N
281251	964	1996-05-31	VYDAJ	VYBER	15	30403	SLUZBY	\N	\N
281252	964	1996-06-30	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
281253	964	1996-07-31	VYDAJ	VYBER	15	31303	SLUZBY	\N	\N
281254	964	1996-08-31	VYDAJ	VYBER	15	34420	SLUZBY	\N	\N
281255	964	1996-09-30	VYDAJ	VYBER	15	50289	SLUZBY	\N	\N
281256	964	1996-10-31	VYDAJ	VYBER	15	63328	SLUZBY	\N	\N
281257	964	1996-11-30	VYDAJ	VYBER	15	52666	SLUZBY	\N	\N
281258	964	1996-12-31	VYDAJ	VYBER	15	43959	SLUZBY	\N	\N
281259	964	1997-01-31	VYDAJ	VYBER	15	43726	SLUZBY	\N	\N
281260	964	1997-02-28	VYDAJ	VYBER	15	45895	SLUZBY	\N	\N
281261	964	1997-03-31	VYDAJ	VYBER	15	47672	SLUZBY	\N	\N
281262	964	1997-04-30	VYDAJ	VYBER	15	43050	SLUZBY	\N	\N
281263	964	1997-05-31	VYDAJ	VYBER	15	42913	SLUZBY	\N	\N
281264	964	1997-06-30	VYDAJ	VYBER	15	48864	SLUZBY	\N	\N
281265	964	1997-07-31	VYDAJ	VYBER	15	47850	SLUZBY	\N	\N
281266	964	1997-08-31	VYDAJ	VYBER	15	44028	SLUZBY	\N	\N
281267	964	1997-09-30	VYDAJ	VYBER	15	44596	SLUZBY	\N	\N
281268	964	1997-10-31	VYDAJ	VYBER	15	46869	SLUZBY	\N	\N
281269	964	1997-11-30	VYDAJ	VYBER	15	48750	SLUZBY	\N	\N
281270	964	1997-12-31	VYDAJ	VYBER	15	47137	SLUZBY	\N	\N
281271	964	1998-01-31	VYDAJ	VYBER	15	63591	SLUZBY	\N	\N
281272	964	1998-02-28	VYDAJ	VYBER	15	61235	SLUZBY	\N	\N
281273	964	1998-03-31	VYDAJ	VYBER	15	62900	SLUZBY	\N	\N
281274	964	1998-04-30	VYDAJ	VYBER	15	62644	SLUZBY	\N	\N
281275	964	1998-05-31	VYDAJ	VYBER	15	57179	SLUZBY	\N	\N
281276	964	1998-06-30	VYDAJ	VYBER	15	44840	SLUZBY	\N	\N
281277	964	1998-07-31	VYDAJ	VYBER	15	47564	SLUZBY	\N	\N
281278	964	1998-08-31	VYDAJ	VYBER	15	49849	SLUZBY	\N	\N
281279	964	1998-09-30	VYDAJ	VYBER	15	49640	SLUZBY	\N	\N
281280	964	1998-10-31	VYDAJ	VYBER	15	51683	SLUZBY	\N	\N
281281	964	1998-11-30	VYDAJ	VYBER	15	53584	SLUZBY	\N	\N
281282	964	1994-08-07	PRIJEM	VKLAD	12400	13302	\N	\N	\N
281283	964	1994-09-06	PRIJEM	VKLAD	6400	20237	\N	\N	\N
281284	964	1994-10-06	VYDAJ	VYBER	10400	40570	\N	\N	\N
281285	964	1994-11-05	VYDAJ	VYBER	6400	34847	\N	\N	\N
281286	964	1994-12-05	VYDAJ	VYBER	2700	32791	\N	\N	\N
281287	964	1995-01-04	VYDAJ	VYBER	900	31919	\N	\N	\N
281288	964	1995-02-03	VYDAJ	VYBER	1400	27828	\N	\N	\N
281289	964	1995-03-05	PRIJEM	VKLAD	2300	28626	\N	\N	\N
281290	964	1995-04-04	VYDAJ	VYBER	1600	24626	\N	\N	\N
281291	964	1995-05-04	VYDAJ	VYBER	16700	41202	\N	\N	\N
281292	964	1995-06-03	VYDAJ	VYBER	12400	37786	\N	\N	\N
281293	964	1995-07-03	PRIJEM	VKLAD	9500	24056	\N	\N	\N
281294	964	1995-08-02	PRIJEM	VKLAD	4700	28123	\N	\N	\N
281295	964	1995-09-01	PRIJEM	VKLAD	1600	30319	\N	\N	\N
281296	964	1995-10-01	VYDAJ	VYBER	600	30329	\N	\N	\N
281297	964	1995-10-31	PRIJEM	VKLAD	3000	31648	\N	\N	\N
281298	964	1995-11-30	PRIJEM	VKLAD	1000	33134	\N	\N	\N
281299	964	1995-12-30	VYDAJ	VYBER	300	32051	\N	\N	\N
281300	964	1996-01-29	PRIJEM	VKLAD	400	29175	\N	\N	\N
281301	964	1996-02-28	PRIJEM	VKLAD	2600	32388	\N	\N	\N
281302	964	1996-03-29	VYDAJ	VYBER	800	32196	\N	\N	\N
281303	964	1996-04-28	VYDAJ	VYBER	700	32116	\N	\N	\N
281304	964	1996-05-28	VYDAJ	VYBER	1200	30286	\N	\N	\N
281305	964	1996-06-27	PRIJEM	VKLAD	2600	25303	\N	\N	\N
281306	964	1996-07-27	PRIJEM	VKLAD	5900	31208	\N	\N	\N
281307	964	1996-08-26	PRIJEM	VKLAD	2500	34303	\N	\N	\N
281308	964	1996-09-25	VYDAJ	VYBER	15100	50107	\N	\N	\N
281309	964	1996-10-25	VYDAJ	VYBER	27600	63062	\N	\N	\N
281310	964	1996-11-24	VYDAJ	VYBER	11400	52428	\N	\N	\N
281311	964	1996-12-24	VYDAJ	VYBER	7000	43766	\N	\N	\N
281312	964	1997-01-23	PRIJEM	VKLAD	500	44959	\N	\N	\N
281313	964	1997-02-22	PRIJEM	VKLAD	2400	45726	\N	\N	\N
281314	964	1997-03-24	PRIJEM	VKLAD	1400	47495	\N	\N	\N
281315	964	1997-04-23	VYDAJ	VYBER	5300	42872	\N	\N	\N
281316	964	1997-05-23	VYDAJ	VYBER	800	42750	\N	\N	\N
281317	964	1997-06-22	PRIJEM	VKLAD	11100	26413	\N	\N	\N
281318	964	1997-07-22	VYDAJ	VYBER	1700	47664	\N	\N	\N
281319	964	1997-08-21	VYDAJ	VYBER	4500	43850	\N	\N	\N
281320	964	1997-09-20	VYDAJ	VYBER	100	44428	\N	\N	\N
281321	964	1997-10-20	PRIJEM	VKLAD	1600	46696	\N	\N	\N
281322	964	1997-11-19	PRIJEM	VKLAD	1200	48569	\N	\N	\N
281323	964	1997-12-19	VYDAJ	VYBER	200	49050	\N	\N	\N
281324	964	1998-01-18	VYDAJ	VYBER	11600	69159	\N	\N	\N
281325	964	1998-02-17	VYDAJ	VYBER	3100	60991	\N	\N	\N
281326	964	1998-03-19	VYDAJ	VYBER	5400	62655	\N	\N	\N
281327	964	1998-04-18	VYDAJ	VYBER	1000	62400	\N	\N	\N
281328	964	1998-05-18	VYDAJ	VYBER	4000	59144	\N	\N	\N
281329	964	1998-06-17	PRIJEM	VKLAD	1600	57529	\N	\N	\N
281330	964	1998-07-17	PRIJEM	VKLAD	4100	47390	\N	\N	\N
281331	964	1998-08-16	PRIJEM	VKLAD	1600	49664	\N	\N	\N
281332	964	1998-09-15	PRIJEM	VKLAD	800	51149	\N	\N	\N
281333	964	1998-10-15	PRIJEM	VKLAD	1700	51490	\N	\N	\N
281334	964	1998-11-14	PRIJEM	VKLAD	1200	52883	\N	\N	\N
281335	964	1998-12-14	VYDAJ	VYBER	4200	49884	\N	\N	\N
281390	965	1993-08-25	PRIJEM	VKLAD	700	700	\N	\N	\N
281399	965	1993-09-08	PRIJEM	VKLAD	4280	4980	\N	\N	\N
281400	965	1993-10-08	PRIJEM	VKLAD	4280	19875	\N	\N	\N
281401	965	1993-11-08	PRIJEM	VKLAD	4280	27428	\N	\N	\N
281402	965	1993-12-08	PRIJEM	VKLAD	6420	33749	\N	\N	\N
281403	965	1994-01-08	PRIJEM	VKLAD	4280	31743	\N	\N	\N
281404	965	1994-02-08	PRIJEM	VKLAD	4280	23562	\N	\N	\N
281405	965	1994-03-08	PRIJEM	VKLAD	4280	28063	\N	\N	\N
281406	965	1994-04-08	PRIJEM	VKLAD	4280	29278	\N	\N	\N
281407	965	1994-05-08	PRIJEM	VKLAD	4280	31900	\N	\N	\N
281408	965	1994-06-08	PRIJEM	VKLAD	6420	34370	\N	\N	\N
281409	965	1994-07-08	PRIJEM	VKLAD	4280	25800	\N	\N	\N
281410	965	1994-08-08	PRIJEM	VKLAD	4280	25303	\N	\N	\N
281411	965	1994-09-08	PRIJEM	VKLAD	4280	24903	\N	\N	\N
281412	965	1994-10-08	PRIJEM	VKLAD	4280	23002	\N	\N	\N
281413	965	1994-11-08	PRIJEM	VKLAD	4280	24797	\N	\N	\N
281414	965	1994-12-08	PRIJEM	VKLAD	6420	25534	\N	\N	\N
281415	965	1995-01-08	PRIJEM	VKLAD	4280	24835	\N	\N	\N
281416	965	1995-02-08	PRIJEM	VKLAD	4280	20926	\N	\N	\N
281417	965	1995-03-08	PRIJEM	VKLAD	4280	22111	\N	\N	\N
281418	965	1995-04-08	PRIJEM	VKLAD	4280	18902	\N	\N	\N
281419	965	1995-05-08	PRIJEM	VKLAD	4280	23591	\N	\N	\N
281420	965	1995-06-08	PRIJEM	VKLAD	6420	25123	\N	\N	\N
281421	965	1995-07-08	PRIJEM	VKLAD	4280	19610	\N	\N	\N
281422	965	1995-08-08	PRIJEM	VKLAD	4280	21191	\N	\N	\N
281423	965	1995-09-08	PRIJEM	VKLAD	4280	24485	\N	\N	\N
281424	965	1995-10-08	PRIJEM	VKLAD	4280	24883	\N	\N	\N
281425	965	1995-11-08	PRIJEM	VKLAD	4280	27387	\N	\N	\N
281426	965	1995-12-08	PRIJEM	VKLAD	6420	28534	\N	\N	\N
281427	965	1996-01-08	PRIJEM	VKLAD	4280	17237	\N	\N	\N
281428	965	1996-02-08	PRIJEM	VKLAD	4280	18010	\N	\N	\N
281429	965	1996-03-08	PRIJEM	VKLAD	4280	22993	\N	\N	\N
281430	965	1996-04-08	PRIJEM	VKLAD	4280	26593	\N	\N	\N
281431	965	1996-05-08	PRIJEM	VKLAD	4280	24692	\N	\N	\N
281432	965	1996-06-08	PRIJEM	VKLAD	6420	28433	\N	\N	\N
281433	965	1996-07-08	PRIJEM	VKLAD	4280	27849	\N	\N	\N
281434	965	1996-08-08	PRIJEM	VKLAD	4280	27763	\N	\N	\N
281435	965	1996-09-08	PRIJEM	VKLAD	4280	22857	\N	\N	\N
281436	965	1996-10-08	PRIJEM	VKLAD	4280	21945	\N	\N	\N
281437	965	1996-11-08	PRIJEM	VKLAD	4280	22726	\N	\N	\N
281438	965	1996-12-08	PRIJEM	VKLAD	6420	21744	\N	\N	\N
281439	965	1997-01-08	PRIJEM	VKLAD	4280	20332	\N	\N	\N
281440	965	1997-02-08	PRIJEM	VKLAD	4280	22710	\N	\N	\N
281441	965	1997-03-08	PRIJEM	VKLAD	4280	20398	\N	\N	\N
281442	965	1997-04-08	PRIJEM	VKLAD	4280	19886	\N	\N	\N
281443	965	1997-05-08	PRIJEM	VKLAD	4280	17369	\N	\N	\N
281444	965	1997-06-08	PRIJEM	VKLAD	6420	19384	\N	\N	\N
281445	965	1997-07-08	PRIJEM	VKLAD	4280	20462	\N	\N	\N
281446	965	1997-08-08	PRIJEM	VKLAD	4280	22246	\N	\N	\N
281447	965	1997-09-08	PRIJEM	VKLAD	4280	20937	\N	\N	\N
281448	965	1997-10-08	PRIJEM	VKLAD	4280	24125	\N	\N	\N
281449	965	1997-11-08	PRIJEM	VKLAD	4280	22523	\N	\N	\N
281450	965	1997-12-08	PRIJEM	VKLAD	6420	23054	\N	\N	\N
281451	965	1998-01-08	PRIJEM	VKLAD	4280	17427	\N	\N	\N
281452	965	1998-02-08	PRIJEM	VKLAD	4280	16096	\N	\N	\N
281453	965	1998-03-08	PRIJEM	VKLAD	4280	21160	\N	\N	\N
281454	965	1998-04-08	PRIJEM	VKLAD	4280	18633	\N	\N	\N
281455	965	1998-05-08	PRIJEM	VKLAD	4280	22208	\N	\N	\N
281456	965	1998-06-08	PRIJEM	VKLAD	6420	23835	\N	\N	\N
281457	965	1998-07-08	PRIJEM	VKLAD	4280	18828	\N	\N	\N
281458	965	1998-08-08	PRIJEM	VKLAD	4280	18010	\N	\N	\N
281459	965	1998-09-08	PRIJEM	VKLAD	4280	19481	\N	\N	\N
281460	965	1998-10-08	PRIJEM	VKLAD	4280	20959	\N	\N	\N
281461	965	1998-11-08	PRIJEM	VKLAD	4280	22442	\N	\N	\N
281462	965	1998-12-08	PRIJEM	VKLAD	6420	22469	\N	\N	\N
281475	965	1994-01-10	VYDAJ	PREVOD NA UCET	2853	28890	SIPO	GH	43064683
281476	965	1994-02-10	VYDAJ	PREVOD NA UCET	2853	20709	SIPO	GH	43064683
281477	965	1994-03-10	VYDAJ	PREVOD NA UCET	2853	25210	SIPO	GH	43064683
281478	965	1994-04-10	VYDAJ	PREVOD NA UCET	2853	26425	SIPO	GH	43064683
281479	965	1994-05-10	VYDAJ	PREVOD NA UCET	2853	29047	SIPO	GH	43064683
281480	965	1994-06-10	VYDAJ	PREVOD NA UCET	2853	31517	SIPO	GH	43064683
281481	965	1994-07-10	VYDAJ	PREVOD NA UCET	2853	22947	SIPO	GH	43064683
281482	965	1994-08-10	VYDAJ	PREVOD NA UCET	2853	22450	SIPO	GH	43064683
281483	965	1994-09-10	VYDAJ	PREVOD NA UCET	2853	22050	SIPO	GH	43064683
281484	965	1994-10-10	VYDAJ	PREVOD NA UCET	2853	20149	SIPO	GH	43064683
281485	965	1994-11-10	VYDAJ	PREVOD NA UCET	2853	21944	SIPO	GH	43064683
281486	965	1994-12-10	VYDAJ	PREVOD NA UCET	2853	22681	SIPO	GH	43064683
281487	965	1995-01-10	VYDAJ	PREVOD NA UCET	2853	21982	SIPO	GH	43064683
281488	965	1995-02-10	VYDAJ	PREVOD NA UCET	2853	18073	SIPO	GH	43064683
281489	965	1995-03-10	VYDAJ	PREVOD NA UCET	2853	19258	SIPO	GH	43064683
281490	965	1995-04-10	VYDAJ	PREVOD NA UCET	2853	16049	SIPO	GH	43064683
281491	965	1995-05-10	VYDAJ	PREVOD NA UCET	2853	20738	SIPO	GH	43064683
281492	965	1995-06-10	VYDAJ	PREVOD NA UCET	2853	22270	SIPO	GH	43064683
281493	965	1995-07-10	VYDAJ	PREVOD NA UCET	2853	16757	SIPO	GH	43064683
281494	965	1995-08-10	VYDAJ	PREVOD NA UCET	2853	18338	SIPO	GH	43064683
281495	965	1995-09-10	VYDAJ	PREVOD NA UCET	2853	21632	SIPO	GH	43064683
281496	965	1995-10-10	VYDAJ	PREVOD NA UCET	2853	22030	SIPO	GH	43064683
281497	965	1995-11-10	VYDAJ	PREVOD NA UCET	2853	24534	SIPO	GH	43064683
281498	965	1995-12-10	VYDAJ	PREVOD NA UCET	2853	25681	SIPO	GH	43064683
281499	965	1996-01-10	VYDAJ	PREVOD NA UCET	2853	12184	SIPO	GH	43064683
281500	965	1996-02-10	VYDAJ	PREVOD NA UCET	2853	15157	SIPO	GH	43064683
281501	965	1996-03-10	VYDAJ	PREVOD NA UCET	2853	20140	SIPO	GH	43064683
281502	965	1996-04-10	VYDAJ	PREVOD NA UCET	2853	23740	SIPO	GH	43064683
281503	965	1996-05-10	VYDAJ	PREVOD NA UCET	2853	21839	SIPO	GH	43064683
281504	965	1996-06-10	VYDAJ	PREVOD NA UCET	2853	23480	SIPO	GH	43064683
281505	965	1996-07-10	VYDAJ	PREVOD NA UCET	2853	24996	SIPO	GH	43064683
281506	965	1996-08-10	VYDAJ	PREVOD NA UCET	2853	18510	SIPO	GH	43064683
281507	965	1996-09-10	VYDAJ	PREVOD NA UCET	2853	18204	SIPO	GH	43064683
281508	965	1996-10-10	VYDAJ	PREVOD NA UCET	2853	15492	SIPO	GH	43064683
281509	965	1996-11-10	VYDAJ	PREVOD NA UCET	2853	19873	SIPO	GH	43064683
281510	965	1996-12-10	VYDAJ	PREVOD NA UCET	2853	18891	SIPO	GH	43064683
281511	965	1997-01-10	VYDAJ	PREVOD NA UCET	2853	17479	SIPO	GH	43064683
281512	965	1997-02-10	VYDAJ	PREVOD NA UCET	2853	19857	SIPO	GH	43064683
281513	965	1997-03-10	VYDAJ	PREVOD NA UCET	2853	17545	SIPO	GH	43064683
281514	965	1997-04-10	VYDAJ	PREVOD NA UCET	2853	17033	SIPO	GH	43064683
281515	965	1997-05-10	VYDAJ	PREVOD NA UCET	2853	14516	SIPO	GH	43064683
281516	965	1997-06-10	VYDAJ	PREVOD NA UCET	2853	16531	SIPO	GH	43064683
281517	965	1997-07-10	VYDAJ	PREVOD NA UCET	2853	17609	SIPO	GH	43064683
281518	965	1997-08-10	VYDAJ	PREVOD NA UCET	2853	19393	SIPO	GH	43064683
281519	965	1997-09-10	VYDAJ	PREVOD NA UCET	2853	18084	SIPO	GH	43064683
281520	965	1997-10-10	VYDAJ	PREVOD NA UCET	2853	21272	SIPO	GH	43064683
281521	965	1997-11-10	VYDAJ	PREVOD NA UCET	2853	19670	SIPO	GH	43064683
281522	965	1997-12-10	VYDAJ	PREVOD NA UCET	2853	18001	SIPO	GH	43064683
281523	965	1998-01-10	VYDAJ	PREVOD NA UCET	2853	14574	SIPO	GH	43064683
281524	965	1998-02-10	VYDAJ	PREVOD NA UCET	2853	13243	SIPO	GH	43064683
281525	965	1998-03-10	VYDAJ	PREVOD NA UCET	2853	18307	SIPO	GH	43064683
281526	965	1998-04-10	VYDAJ	PREVOD NA UCET	2853	15780	SIPO	GH	43064683
281527	965	1998-05-10	VYDAJ	PREVOD NA UCET	2853	19355	SIPO	GH	43064683
281528	965	1998-06-10	VYDAJ	PREVOD NA UCET	2853	20982	SIPO	GH	43064683
281529	965	1998-07-10	VYDAJ	PREVOD NA UCET	2853	15975	SIPO	GH	43064683
281530	965	1998-08-10	VYDAJ	PREVOD NA UCET	2853	15157	SIPO	GH	43064683
281531	965	1998-09-10	VYDAJ	PREVOD NA UCET	2853	16628	SIPO	GH	43064683
281532	965	1998-10-10	VYDAJ	PREVOD NA UCET	2853	18106	SIPO	GH	43064683
281533	965	1998-11-10	VYDAJ	PREVOD NA UCET	2853	15989	SIPO	GH	43064683
281534	965	1998-12-10	VYDAJ	PREVOD NA UCET	2853	19616	SIPO	GH	43064683
281536	965	1994-06-23	VYDAJ	VYBER	4400	24017	\N	\N	\N
281537	965	1995-06-17	VYDAJ	VYBER	7300	15270	\N	\N	\N
281542	965	1994-12-16	VYDAJ	VYBER	2800	19881	\N	\N	\N
281543	965	1995-12-19	VYDAJ	VYBER	2300	22181	\N	\N	\N
281544	965	1996-12-05	VYDAJ	VYBER	700	14924	\N	\N	\N
281545	965	1997-12-10	VYDAJ	VYBER	2200	20854	\N	\N	\N
281546	965	1998-12-16	VYDAJ	VYBER	1300	18316	\N	\N	\N
281553	965	1994-01-23	VYDAJ	VYBER	1800	22590	\N	\N	\N
281555	965	1994-01-15	VYDAJ	VYBER	2000	26890	\N	\N	\N
281556	965	1994-01-29	VYDAJ	VYBER	1600	20990	\N	\N	\N
281557	965	1994-01-23	VYDAJ	VYBER	2000	24390	\N	\N	\N
281559	965	1995-01-18	VYDAJ	VYBER	700	17582	\N	\N	\N
281560	965	1995-01-11	VYDAJ	VYBER	2400	19582	\N	\N	\N
281561	965	1995-01-02	VYDAJ	VYBER	1800	20555	\N	\N	\N
281562	965	1995-01-24	VYDAJ	VYBER	1000	16582	\N	\N	\N
281563	965	1995-01-12	VYDAJ	VYBER	1400	18182	\N	\N	\N
281564	965	1995-01-14	VYDAJ	VYBER	2500	15682	\N	\N	\N
281565	965	1996-01-04	VYDAJ	VYBER	1300	15157	\N	\N	\N
281566	965	1996-01-04	VYDAJ	VYBER	1300	16457	\N	\N	\N
281567	965	1996-01-15	VYDAJ	VYBER	2400	13684	\N	\N	\N
281568	965	1996-01-14	VYDAJ	VYBER	1100	16084	\N	\N	\N
281569	965	1996-01-08	VYDAJ	VYBER	2200	15037	\N	\N	\N
281570	965	1996-01-07	VYDAJ	VYBER	2200	12957	\N	\N	\N
281571	965	1997-01-18	VYDAJ	VYBER	1800	13779	\N	\N	\N
281573	965	1997-01-07	VYDAJ	VYBER	1800	16052	\N	\N	\N
281575	965	1997-01-02	VYDAJ	VYBER	1300	17652	\N	\N	\N
281576	965	1997-01-06	VYDAJ	VYBER	2500	17852	\N	\N	\N
281582	965	1998-01-19	VYDAJ	VYBER	1100	13474	\N	\N	\N
281588	965	1994-01-30	VYDAJ	VYBER	1800	19190	\N	\N	\N
281589	965	1994-06-29	VYDAJ	VYBER	2600	21417	\N	\N	\N
281590	965	1994-08-16	VYDAJ	VYBER	1800	20650	\N	\N	\N
281591	965	1994-09-30	VYDAJ	VYBER	1600	18722	\N	\N	\N
281592	965	1995-12-25	VYDAJ	VYBER	4500	17681	\N	\N	\N
281593	965	1995-08-31	VYDAJ	VYBER	1300	20205	\N	\N	\N
281594	965	1995-04-05	VYDAJ	VYBER	4600	14622	\N	\N	\N
281595	965	1995-11-20	VYDAJ	VYBER	700	22034	\N	\N	\N
281596	965	1995-07-26	VYDAJ	VYBER	600	16857	\N	\N	\N
281597	965	1996-11-11	VYDAJ	VYBER	4300	15573	\N	\N	\N
281598	965	1996-10-02	VYDAJ	VYBER	600	17665	\N	\N	\N
281600	965	1997-12-11	VYDAJ	VYBER	4400	13601	\N	\N	\N
281601	965	1997-11-24	VYDAJ	VYBER	3500	16170	\N	\N	\N
281603	965	1997-01-13	VYDAJ	VYBER	1900	15579	\N	\N	\N
281604	965	1998-05-29	VYDAJ	VYBER	4500	14855	\N	\N	\N
281605	965	1998-03-15	VYDAJ	VYBER	4100	14207	\N	\N	\N
281607	965	1998-11-10	VYDAJ	VYBER	3600	18842	\N	\N	\N
281608	965	1998-07-02	VYDAJ	VYBER	2100	14548	\N	\N	\N
281622	965	1994-01-31	VYDAJ	VYBER	15	19282	SLUZBY	\N	\N
281623	965	1994-02-28	VYDAJ	VYBER	15	23783	SLUZBY	\N	\N
281624	965	1994-03-31	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
281625	965	1994-04-30	VYDAJ	VYBER	15	27620	SLUZBY	\N	\N
281626	965	1994-05-31	VYDAJ	VYBER	15	27950	SLUZBY	\N	\N
281627	965	1994-06-30	VYDAJ	VYBER	15	21520	SLUZBY	\N	\N
281628	965	1994-07-31	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
281629	965	1994-08-31	VYDAJ	VYBER	15	20623	SLUZBY	\N	\N
281630	965	1994-09-30	VYDAJ	VYBER	15	20322	SLUZBY	\N	\N
281631	965	1994-10-31	VYDAJ	VYBER	15	20517	SLUZBY	\N	\N
281632	965	1994-11-30	VYDAJ	VYBER	15	19114	SLUZBY	\N	\N
281633	965	1994-12-31	VYDAJ	VYBER	15	22355	SLUZBY	\N	\N
281634	965	1995-01-31	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
281635	965	1995-02-28	VYDAJ	VYBER	15	17831	SLUZBY	\N	\N
281636	965	1995-03-31	VYDAJ	VYBER	15	19222	SLUZBY	\N	\N
281637	965	1995-04-30	VYDAJ	VYBER	15	19311	SLUZBY	\N	\N
281638	965	1995-05-31	VYDAJ	VYBER	15	18703	SLUZBY	\N	\N
281639	965	1995-06-30	VYDAJ	VYBER	15	15330	SLUZBY	\N	\N
281640	965	1995-07-31	VYDAJ	VYBER	15	16911	SLUZBY	\N	\N
281641	965	1995-08-31	VYDAJ	VYBER	15	21505	SLUZBY	\N	\N
281642	965	1995-09-30	VYDAJ	VYBER	15	20603	SLUZBY	\N	\N
281643	965	1995-10-31	VYDAJ	VYBER	15	23107	SLUZBY	\N	\N
281644	965	1995-11-30	VYDAJ	VYBER	15	22114	SLUZBY	\N	\N
281645	965	1995-12-31	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
281646	965	1996-01-31	VYDAJ	VYBER	15	13730	SLUZBY	\N	\N
281647	965	1996-02-29	VYDAJ	VYBER	15	18713	SLUZBY	\N	\N
281648	965	1996-03-31	VYDAJ	VYBER	15	22313	SLUZBY	\N	\N
281649	965	1996-04-30	VYDAJ	VYBER	15	20412	SLUZBY	\N	\N
281650	965	1996-05-31	VYDAJ	VYBER	15	22013	SLUZBY	\N	\N
281651	965	1996-06-30	VYDAJ	VYBER	15	23569	SLUZBY	\N	\N
281652	965	1996-07-31	VYDAJ	VYBER	15	23483	SLUZBY	\N	\N
281653	965	1996-08-31	VYDAJ	VYBER	15	18577	SLUZBY	\N	\N
281654	965	1996-09-30	VYDAJ	VYBER	15	18265	SLUZBY	\N	\N
281655	965	1996-10-31	VYDAJ	VYBER	15	15546	SLUZBY	\N	\N
281656	965	1996-11-30	VYDAJ	VYBER	15	15624	SLUZBY	\N	\N
281657	965	1996-12-31	VYDAJ	VYBER	15	18952	SLUZBY	\N	\N
281658	965	1997-01-31	VYDAJ	VYBER	15	13830	SLUZBY	\N	\N
281659	965	1997-02-28	VYDAJ	VYBER	15	19918	SLUZBY	\N	\N
281660	965	1997-03-31	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
281661	965	1997-04-30	VYDAJ	VYBER	15	17089	SLUZBY	\N	\N
281662	965	1997-05-31	VYDAJ	VYBER	15	14564	SLUZBY	\N	\N
281663	965	1997-06-30	VYDAJ	VYBER	15	16582	SLUZBY	\N	\N
281664	965	1997-07-31	VYDAJ	VYBER	15	17666	SLUZBY	\N	\N
281665	965	1997-08-31	VYDAJ	VYBER	15	19457	SLUZBY	\N	\N
281666	965	1997-09-30	VYDAJ	VYBER	15	18145	SLUZBY	\N	\N
281667	965	1997-10-31	VYDAJ	VYBER	15	21343	SLUZBY	\N	\N
281668	965	1997-11-30	VYDAJ	VYBER	15	16234	SLUZBY	\N	\N
281669	965	1997-12-31	VYDAJ	VYBER	15	13647	SLUZBY	\N	\N
281670	965	1998-01-31	VYDAJ	VYBER	15	11816	SLUZBY	\N	\N
281671	965	1998-02-28	VYDAJ	VYBER	15	13280	SLUZBY	\N	\N
281672	965	1998-03-31	VYDAJ	VYBER	15	14253	SLUZBY	\N	\N
281673	965	1998-04-30	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
281674	965	1998-05-31	VYDAJ	VYBER	15	17415	SLUZBY	\N	\N
281675	965	1998-06-30	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
281676	965	1998-07-31	VYDAJ	VYBER	15	13730	SLUZBY	\N	\N
281677	965	1998-08-31	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
281678	965	1998-09-30	VYDAJ	VYBER	15	16679	SLUZBY	\N	\N
281679	965	1998-10-31	VYDAJ	VYBER	15	18162	SLUZBY	\N	\N
281680	965	1998-11-30	VYDAJ	VYBER	15	16049	SLUZBY	\N	\N
281681	965	1993-09-24	PRIJEM	VKLAD	10600	15580	\N	\N	\N
281682	965	1993-10-24	PRIJEM	VKLAD	3200	23075	\N	\N	\N
281683	965	1993-11-23	VYDAJ	VYBER	200	27228	\N	\N	\N
281684	965	1993-12-23	VYDAJ	VYBER	6400	27349	\N	\N	\N
281685	965	1994-01-22	VYDAJ	VYBER	500	26390	\N	\N	\N
281686	965	1994-02-21	PRIJEM	VKLAD	3000	23709	\N	\N	\N
281687	965	1994-03-23	VYDAJ	VYBER	300	24910	\N	\N	\N
281688	965	1994-04-22	PRIJEM	VKLAD	1100	27525	\N	\N	\N
281689	965	1994-05-22	VYDAJ	VYBER	1200	27847	\N	\N	\N
281690	965	1994-06-21	VYDAJ	VYBER	3100	28417	\N	\N	\N
281691	965	1994-07-21	VYDAJ	VYBER	2000	20947	\N	\N	\N
281692	965	1994-08-20	VYDAJ	VYBER	100	20550	\N	\N	\N
281693	965	1994-09-19	VYDAJ	VYBER	1800	20250	\N	\N	\N
281694	965	1994-10-19	PRIJEM	VKLAD	300	20449	\N	\N	\N
281695	965	1994-11-18	VYDAJ	VYBER	2900	19044	\N	\N	\N
281696	965	1994-12-18	PRIJEM	VKLAD	2400	22281	\N	\N	\N
281697	965	1995-01-17	PRIJEM	VKLAD	2600	18282	\N	\N	\N
281698	965	1995-02-16	VYDAJ	VYBER	300	17773	\N	\N	\N
281699	965	1995-03-18	VYDAJ	VYBER	100	19158	\N	\N	\N
281700	965	1995-04-17	PRIJEM	VKLAD	3200	19249	\N	\N	\N
281701	965	1995-05-17	VYDAJ	VYBER	2100	18638	\N	\N	\N
281702	965	1995-06-16	PRIJEM	VKLAD	300	22570	\N	\N	\N
281703	965	1995-07-16	PRIJEM	VKLAD	700	17457	\N	\N	\N
281704	965	1995-08-15	PRIJEM	VKLAD	3100	21438	\N	\N	\N
281705	965	1995-09-14	VYDAJ	VYBER	1100	20532	\N	\N	\N
281706	965	1995-10-14	PRIJEM	VKLAD	1000	23030	\N	\N	\N
281707	965	1995-11-13	VYDAJ	VYBER	1800	22734	\N	\N	\N
281708	965	1995-12-13	VYDAJ	VYBER	1200	24481	\N	\N	\N
281709	965	1996-01-12	PRIJEM	VKLAD	5000	17184	\N	\N	\N
281710	965	1996-02-11	PRIJEM	VKLAD	3500	18657	\N	\N	\N
281711	965	1996-03-12	PRIJEM	VKLAD	2100	22240	\N	\N	\N
281712	965	1996-04-11	VYDAJ	VYBER	3400	20340	\N	\N	\N
281713	965	1996-05-11	PRIJEM	VKLAD	100	21939	\N	\N	\N
281714	965	1996-06-10	VYDAJ	VYBER	2100	26333	\N	\N	\N
281715	965	1996-07-10	VYDAJ	VYBER	1600	23396	\N	\N	\N
281716	965	1996-08-09	VYDAJ	VYBER	6400	21363	\N	\N	\N
281717	965	1996-09-08	VYDAJ	VYBER	1800	21057	\N	\N	\N
281718	965	1996-10-08	VYDAJ	VYBER	3600	18345	\N	\N	\N
281719	965	1996-11-07	PRIJEM	VKLAD	2900	18446	\N	\N	\N
281720	965	1996-12-07	PRIJEM	VKLAD	400	15324	\N	\N	\N
281721	965	1997-01-06	PRIJEM	VKLAD	2700	20352	\N	\N	\N
281722	965	1997-02-05	PRIJEM	VKLAD	4600	18430	\N	\N	\N
281723	965	1997-03-07	VYDAJ	VYBER	3800	16118	\N	\N	\N
281724	965	1997-04-06	VYDAJ	VYBER	2000	15606	\N	\N	\N
281725	965	1997-05-06	VYDAJ	VYBER	4000	13089	\N	\N	\N
281726	965	1997-06-05	VYDAJ	VYBER	1600	12964	\N	\N	\N
281727	965	1997-07-05	VYDAJ	VYBER	400	16182	\N	\N	\N
281728	965	1997-08-04	PRIJEM	VKLAD	300	17966	\N	\N	\N
281729	965	1997-09-03	VYDAJ	VYBER	2800	16657	\N	\N	\N
281730	965	1997-10-03	PRIJEM	VKLAD	1700	19845	\N	\N	\N
281731	965	1997-11-02	VYDAJ	VYBER	3100	18243	\N	\N	\N
281732	965	1997-12-02	PRIJEM	VKLAD	400	16634	\N	\N	\N
281733	965	1998-01-01	VYDAJ	VYBER	500	13147	\N	\N	\N
281734	965	1998-01-31	VYDAJ	VYBER	1700	11831	\N	\N	\N
281735	965	1998-03-02	PRIJEM	VKLAD	3600	16880	\N	\N	\N
281736	965	1998-04-01	PRIJEM	VKLAD	100	14353	\N	\N	\N
281737	965	1998-05-01	PRIJEM	VKLAD	2100	17928	\N	\N	\N
281738	965	1998-05-31	PRIJEM	VKLAD	2500	17430	\N	\N	\N
281739	965	1998-06-30	VYDAJ	VYBER	4400	16648	\N	\N	\N
281740	965	1998-07-30	VYDAJ	VYBER	2300	13675	\N	\N	\N
281805	966	1997-10-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
281816	966	1997-11-10	PRIJEM	PREVOD Z UCTU	3194	4294	\N	YZ	71449255
281817	966	1997-12-10	PRIJEM	PREVOD Z UCTU	3194	7488	\N	YZ	71449255
281818	966	1998-01-10	PRIJEM	PREVOD Z UCTU	3194	10682	\N	YZ	71449255
281819	966	1998-02-10	PRIJEM	PREVOD Z UCTU	3194	13876	\N	YZ	71449255
281820	966	1998-03-10	PRIJEM	PREVOD Z UCTU	3194	17070	\N	YZ	71449255
281821	966	1998-04-10	PRIJEM	PREVOD Z UCTU	3194	18159	\N	YZ	71449255
281822	966	1998-05-10	PRIJEM	PREVOD Z UCTU	3194	19274	\N	YZ	71449255
281823	966	1998-06-10	PRIJEM	PREVOD Z UCTU	3194	20394	\N	YZ	71449255
281824	966	1998-07-10	PRIJEM	PREVOD Z UCTU	3194	20438	\N	YZ	71449255
281825	966	1998-08-10	PRIJEM	PREVOD Z UCTU	3194	21563	\N	YZ	71449255
281826	966	1998-09-10	PRIJEM	PREVOD Z UCTU	3194	22693	\N	YZ	71449255
281827	966	1998-10-10	PRIJEM	PREVOD Z UCTU	3194	23827	\N	YZ	71449255
281828	966	1998-11-10	PRIJEM	PREVOD Z UCTU	3194	24396	\N	YZ	71449255
281829	966	1998-12-10	PRIJEM	PREVOD Z UCTU	3194	25390	\N	YZ	71449255
281844	966	1998-03-13	VYDAJ	PREVOD NA UCET	2129	14941	\N	GH	93294161
281845	966	1998-04-13	VYDAJ	PREVOD NA UCET	2129	16030	\N	GH	93294161
281846	966	1998-05-13	VYDAJ	PREVOD NA UCET	2129	17145	\N	GH	93294161
281847	966	1998-06-13	VYDAJ	PREVOD NA UCET	2129	18265	\N	GH	93294161
281848	966	1998-07-13	VYDAJ	PREVOD NA UCET	2129	18309	\N	GH	93294161
281849	966	1998-08-13	VYDAJ	PREVOD NA UCET	2129	19434	\N	GH	93294161
281850	966	1998-09-13	VYDAJ	PREVOD NA UCET	2129	20564	\N	GH	93294161
281851	966	1998-10-13	VYDAJ	PREVOD NA UCET	2129	21698	\N	GH	93294161
281852	966	1998-11-13	VYDAJ	PREVOD NA UCET	2129	22267	\N	GH	93294161
281853	966	1998-12-13	VYDAJ	PREVOD NA UCET	2129	23261	\N	GH	93294161
281855	966	1998-06-28	VYDAJ	VYBER	1080	17185	\N	\N	\N
281857	966	1998-12-20	VYDAJ	VYBER	630	22631	\N	\N	\N
281878	966	1998-12-05	VYDAJ	VYBER	150	22196	\N	\N	\N
281879	966	1998-11-05	VYDAJ	VYBER	570	21202	\N	\N	\N
281895	966	1998-03-31	VYDAJ	VYBER	15	14965	SLUZBY	\N	\N
281896	966	1998-04-30	VYDAJ	VYBER	15	16080	SLUZBY	\N	\N
281897	966	1998-05-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
281898	966	1998-06-30	VYDAJ	VYBER	15	17244	SLUZBY	\N	\N
281899	966	1998-07-31	VYDAJ	VYBER	15	18369	SLUZBY	\N	\N
281900	966	1998-08-31	VYDAJ	VYBER	15	19499	SLUZBY	\N	\N
281901	966	1998-09-30	VYDAJ	VYBER	15	20633	SLUZBY	\N	\N
281902	966	1998-10-31	VYDAJ	VYBER	15	21772	SLUZBY	\N	\N
281903	966	1998-11-30	VYDAJ	VYBER	15	22346	SLUZBY	\N	\N
281914	967	1996-08-17	PRIJEM	VKLAD	900	900	\N	\N	\N
281917	967	1996-10-14	PRIJEM	VKLAD	36038	72255	\N	\N	\N
281920	967	1996-12-06	PRIJEM	VKLAD	48666	89601	\N	\N	\N
281922	967	1996-09-08	PRIJEM	VKLAD	18042	18942	\N	\N	\N
281923	967	1996-09-19	PRIJEM	VKLAD	14106	36148	\N	\N	\N
281929	967	1998-09-20	PRIJEM	VKLAD	10905	92630	\N	\N	\N
281930	967	1998-01-02	PRIJEM	VKLAD	24848	52826	\N	\N	\N
281931	967	1998-10-01	PRIJEM	VKLAD	31075	124021	\N	\N	\N
281932	967	1998-10-12	PRIJEM	VKLAD	26312	93033	\N	\N	\N
281933	967	1998-04-22	PRIJEM	VKLAD	43663	106352	\N	\N	\N
281934	967	1998-08-21	PRIJEM	VKLAD	44261	80024	\N	\N	\N
281935	967	1998-09-19	PRIJEM	VKLAD	22149	81725	\N	\N	\N
281936	967	1998-09-02	PRIJEM	VKLAD	48155	128400	\N	\N	\N
281937	967	1998-12-29	PRIJEM	VKLAD	34807	58395	\N	\N	\N
281938	967	1998-02-07	PRIJEM	VKLAD	5566	26993	\N	\N	\N
281939	967	1998-04-14	PRIJEM	VKLAD	42901	69513	\N	\N	\N
281940	967	1998-05-12	PRIJEM	VKLAD	46002	81840	\N	\N	\N
281941	967	1998-07-25	PRIJEM	VKLAD	25143	55601	\N	\N	\N
281942	967	1998-05-30	PRIJEM	VKLAD	5991	57809	\N	\N	\N
281967	967	1998-01-14	VYDAJ	PREVOD NA UCET	6824	29402	SIPO	WX	9696704
281968	967	1998-02-14	VYDAJ	PREVOD NA UCET	6824	23869	SIPO	WX	9696704
281969	967	1998-03-14	VYDAJ	PREVOD NA UCET	6824	21233	SIPO	WX	9696704
281970	967	1998-04-14	VYDAJ	PREVOD NA UCET	6824	62689	SIPO	WX	9696704
281971	967	1998-05-14	VYDAJ	PREVOD NA UCET	6824	51818	SIPO	WX	9696704
281972	967	1998-06-14	VYDAJ	PREVOD NA UCET	6824	28344	SIPO	WX	9696704
281973	967	1998-07-14	VYDAJ	PREVOD NA UCET	6824	30458	SIPO	WX	9696704
281974	967	1998-08-14	VYDAJ	PREVOD NA UCET	6824	35763	SIPO	WX	9696704
281975	967	1998-09-14	VYDAJ	PREVOD NA UCET	6824	59576	SIPO	WX	9696704
281976	967	1998-10-14	VYDAJ	PREVOD NA UCET	6824	86209	SIPO	WX	9696704
281977	967	1998-11-14	VYDAJ	PREVOD NA UCET	6824	52791	SIPO	WX	9696704
281978	967	1998-12-14	VYDAJ	PREVOD NA UCET	6824	41288	SIPO	WX	9696704
282003	967	1998-05-14	VYBER	VYBER	23198	58642	\N	\N	\N
282005	967	1998-08-06	VYBER	VYBER	19446	36287	\N	\N	\N
282006	967	1998-10-27	VYBER	VYBER	8435	73489	\N	\N	\N
282007	967	1998-06-02	VYBER	VYBER	21868	36168	\N	\N	\N
282009	967	1998-10-21	VYBER	VYBER	4285	81924	\N	\N	\N
282010	967	1998-05-10	VYBER	VYBER	12613	35838	\N	\N	\N
282019	967	1998-12-28	VYDAJ	VYBER KARTOU	3600	23588	\N	\N	0
282032	967	1998-01-20	VYDAJ	VYBER	8100	21302	\N	\N	\N
282034	967	1998-01-10	VYDAJ	VYBER KARTOU	1500	36226	\N	\N	0
282036	967	1998-01-05	VYDAJ	VYBER KARTOU	3300	49526	\N	\N	0
282047	967	1998-12-23	VYDAJ	VYBER	14100	27188	\N	\N	\N
282048	967	1998-11-04	VYDAJ	VYBER	4500	69315	\N	\N	\N
282049	967	1998-11-21	VYDAJ	VYBER KARTOU	3000	49791	\N	\N	0
282051	967	1998-04-27	VYDAJ	VYBER	12000	57252	\N	\N	\N
282077	967	1998-01-31	VYDAJ	VYBER	15	21427	SLUZBY	\N	\N
282078	967	1998-02-28	VYDAJ	VYBER	15	23957	SLUZBY	\N	\N
282079	967	1998-03-31	VYDAJ	VYBER	15	21312	SLUZBY	\N	\N
282080	967	1998-04-30	VYDAJ	VYBER	15	57451	SLUZBY	\N	\N
282081	967	1998-05-31	VYDAJ	VYBER	15	58036	SLUZBY	\N	\N
282082	967	1998-06-30	VYDAJ	VYBER	15	28482	SLUZBY	\N	\N
282083	967	1998-07-31	VYDAJ	VYBER	15	55733	SLUZBY	\N	\N
282084	967	1998-08-31	VYDAJ	VYBER	15	80245	SLUZBY	\N	\N
282085	967	1998-09-30	VYDAJ	VYBER	15	92946	SLUZBY	\N	\N
282086	967	1998-10-31	VYDAJ	VYBER	15	73815	SLUZBY	\N	\N
282087	967	1998-11-30	VYDAJ	VYBER	15	50012	SLUZBY	\N	\N
282088	967	1996-09-16	PRIJEM	VKLAD	3100	22042	\N	\N	\N
282089	967	1996-10-16	VYDAJ	VYBER	23700	48555	\N	\N	\N
282090	967	1996-11-15	VYDAJ	VYBER	8000	40733	\N	\N	\N
282091	967	1996-12-15	VYDAJ	VYBER	32500	57101	\N	\N	\N
282092	967	1997-01-14	VYDAJ	VYBER	14400	42923	\N	\N	\N
282093	967	1997-02-13	VYDAJ	VYBER	7000	36161	\N	\N	\N
282094	967	1997-03-15	VYDAJ	VYBER	2500	33899	\N	\N	\N
282095	967	1997-04-14	VYDAJ	VYBER	800	33337	\N	\N	\N
282096	967	1997-05-14	VYDAJ	VYBER	1000	32575	\N	\N	\N
282097	967	1997-06-13	PRIJEM	VKLAD	300	33112	\N	\N	\N
282098	967	1997-07-13	PRIJEM	VKLAD	1200	34550	\N	\N	\N
282099	967	1997-08-12	VYDAJ	VYBER	5700	29088	\N	\N	\N
282100	967	1997-09-11	VYDAJ	VYBER	4100	25226	\N	\N	\N
282101	967	1997-10-11	VYDAJ	VYBER KARTOU	500	24964	\N	\N	0
282102	967	1997-11-10	PRIJEM	VKLAD	3600	28802	\N	\N	\N
282103	967	1997-12-10	VYDAJ	VYBER KARTOU	1300	27740	\N	\N	0
282104	967	1998-01-09	VYDAJ	VYBER	11800	37726	\N	\N	\N
282105	967	1998-02-08	PRIJEM	VKLAD	3700	30693	\N	\N	\N
282106	967	1998-03-10	PRIJEM	VKLAD	4100	28057	\N	\N	\N
282107	967	1998-04-09	PRIJEM	VKLAD	5300	26612	\N	\N	\N
282108	967	1998-04-22	VYDAJ	VYBER	37100	69252	\N	\N	\N
282109	967	1998-05-09	VYDAJ	VYBER	9000	48451	\N	\N	\N
282110	967	1998-06-08	VYDAJ	VYBER KARTOU	1000	35168	\N	\N	0
282111	967	1998-07-08	PRIJEM	VKLAD	8800	37282	\N	\N	\N
282112	967	1998-08-07	PRIJEM	VKLAD	6300	42587	\N	\N	\N
282113	967	1998-09-02	VYDAJ	VYBER	35000	93400	\N	\N	\N
282114	967	1998-09-06	VYDAJ	VYBER	27000	66400	\N	\N	\N
282115	967	1998-10-01	VYDAJ	VYBER	26000	98021	\N	\N	\N
282116	967	1998-10-06	VYDAJ	VYBER	31300	66721	\N	\N	\N
282117	967	1998-11-05	VYDAJ	VYBER	9700	59615	\N	\N	\N
282118	967	1998-12-05	VYDAJ	VYBER KARTOU	1900	48112	\N	\N	0
282147	968	1995-11-11	PRIJEM	VKLAD	200	200	\N	\N	\N
282159	968	1995-12-09	PRIJEM	VKLAD	16341	16541	\N	\N	\N
282160	968	1996-01-09	PRIJEM	VKLAD	10894	30490	\N	\N	\N
282161	968	1996-02-09	PRIJEM	VKLAD	10894	39492	\N	\N	\N
282162	968	1996-03-09	PRIJEM	VKLAD	10894	45222	\N	\N	\N
282163	968	1996-04-09	PRIJEM	VKLAD	10894	43754	\N	\N	\N
282164	968	1996-05-09	PRIJEM	VKLAD	10894	37625	\N	\N	\N
282165	968	1996-06-09	PRIJEM	VKLAD	16341	37293	\N	\N	\N
282166	968	1996-07-09	PRIJEM	VKLAD	10894	33907	\N	\N	\N
282167	968	1996-08-09	PRIJEM	VKLAD	10894	36136	\N	\N	\N
282168	968	1996-09-09	PRIJEM	VKLAD	10894	33255	\N	\N	\N
282169	968	1996-10-09	PRIJEM	VKLAD	10894	31886	\N	\N	\N
282170	968	1996-11-09	PRIJEM	VKLAD	10894	33305	\N	\N	\N
282171	968	1996-12-09	PRIJEM	VKLAD	16341	33758	\N	\N	\N
282172	968	1997-01-09	PRIJEM	VKLAD	10894	30697	\N	\N	\N
282173	968	1997-02-09	PRIJEM	VKLAD	10894	36913	\N	\N	\N
282174	968	1997-03-09	PRIJEM	VKLAD	10894	43051	\N	\N	\N
282175	968	1997-04-09	PRIJEM	VKLAD	10894	43916	\N	\N	\N
282176	968	1997-05-09	PRIJEM	VKLAD	10894	39990	\N	\N	\N
282177	968	1997-06-09	PRIJEM	VKLAD	16341	47898	\N	\N	\N
282178	968	1997-07-09	PRIJEM	VKLAD	10894	48037	\N	\N	\N
282179	968	1997-08-09	PRIJEM	VKLAD	10894	50723	\N	\N	\N
282180	968	1997-09-09	PRIJEM	VKLAD	10894	49124	\N	\N	\N
282181	968	1997-10-09	PRIJEM	VKLAD	10894	47622	\N	\N	\N
282182	968	1997-11-09	PRIJEM	VKLAD	10894	43699	\N	\N	\N
282183	968	1997-12-09	PRIJEM	VKLAD	16341	49774	\N	\N	\N
282184	968	1998-01-09	PRIJEM	VKLAD	10894	49573	\N	\N	\N
282185	968	1998-02-09	PRIJEM	VKLAD	10894	44072	\N	\N	\N
282186	968	1998-03-09	PRIJEM	VKLAD	10894	43435	\N	\N	\N
282187	968	1998-04-09	PRIJEM	VKLAD	10894	44396	\N	\N	\N
282188	968	1998-05-09	PRIJEM	VKLAD	10894	44360	\N	\N	\N
282189	968	1998-06-09	PRIJEM	VKLAD	16341	47169	\N	\N	\N
282190	968	1998-07-09	PRIJEM	VKLAD	10894	43650	\N	\N	\N
282191	968	1998-08-09	PRIJEM	VKLAD	10894	45422	\N	\N	\N
282192	968	1998-09-09	PRIJEM	VKLAD	10894	36882	\N	\N	\N
282193	968	1998-10-09	PRIJEM	VKLAD	10894	42124	\N	\N	\N
282194	968	1998-11-09	PRIJEM	VKLAD	10894	39274	\N	\N	\N
282195	968	1998-12-09	PRIJEM	VKLAD	16341	41258	\N	\N	\N
282211	968	1996-04-14	VYDAJ	PREVOD NA UCET	7262	28292	SIPO	YZ	47317737
282212	968	1996-05-14	VYDAJ	PREVOD NA UCET	7262	22863	SIPO	YZ	47317737
282213	968	1996-06-14	VYDAJ	PREVOD NA UCET	7262	30031	SIPO	YZ	47317737
282214	968	1996-07-14	VYDAJ	PREVOD NA UCET	7262	26645	SIPO	YZ	47317737
282215	968	1996-08-14	VYDAJ	PREVOD NA UCET	7262	28874	SIPO	YZ	47317737
282216	968	1996-09-14	VYDAJ	PREVOD NA UCET	7262	25993	SIPO	YZ	47317737
282217	968	1996-10-14	VYDAJ	PREVOD NA UCET	7262	22704	SIPO	YZ	47317737
282218	968	1996-11-14	VYDAJ	PREVOD NA UCET	7262	26043	SIPO	YZ	47317737
282219	968	1996-12-14	VYDAJ	PREVOD NA UCET	7262	26496	SIPO	YZ	47317737
282220	968	1997-01-14	VYDAJ	PREVOD NA UCET	7262	23435	SIPO	YZ	47317737
282221	968	1997-02-14	VYDAJ	PREVOD NA UCET	7262	29651	SIPO	YZ	47317737
282222	968	1997-03-14	VYDAJ	PREVOD NA UCET	7262	35789	SIPO	YZ	47317737
282223	968	1997-04-14	VYDAJ	PREVOD NA UCET	7262	36654	SIPO	YZ	47317737
282224	968	1997-05-14	VYDAJ	PREVOD NA UCET	7262	32728	SIPO	YZ	47317737
282225	968	1997-06-14	VYDAJ	PREVOD NA UCET	7262	40636	SIPO	YZ	47317737
282226	968	1997-07-14	VYDAJ	PREVOD NA UCET	7262	40775	SIPO	YZ	47317737
282227	968	1997-08-14	VYDAJ	PREVOD NA UCET	7262	43461	SIPO	YZ	47317737
282228	968	1997-09-14	VYDAJ	PREVOD NA UCET	7262	41862	SIPO	YZ	47317737
282229	968	1997-10-14	VYDAJ	PREVOD NA UCET	7262	35560	SIPO	YZ	47317737
282230	968	1997-11-14	VYDAJ	PREVOD NA UCET	7262	36437	SIPO	YZ	47317737
282231	968	1997-12-14	VYDAJ	PREVOD NA UCET	7262	38032	SIPO	YZ	47317737
282232	968	1998-01-14	VYDAJ	PREVOD NA UCET	7262	37031	SIPO	YZ	47317737
282233	968	1998-02-14	VYDAJ	PREVOD NA UCET	7262	36810	SIPO	YZ	47317737
282234	968	1998-03-14	VYDAJ	PREVOD NA UCET	7262	36173	SIPO	YZ	47317737
282235	968	1998-04-14	VYDAJ	PREVOD NA UCET	7262	37134	SIPO	YZ	47317737
282236	968	1998-05-14	VYDAJ	PREVOD NA UCET	7262	37098	SIPO	YZ	47317737
282237	968	1998-06-14	VYDAJ	PREVOD NA UCET	7262	39907	SIPO	YZ	47317737
282238	968	1998-07-14	VYDAJ	PREVOD NA UCET	7262	36388	SIPO	YZ	47317737
282239	968	1998-08-14	VYDAJ	PREVOD NA UCET	7262	38160	SIPO	YZ	47317737
282240	968	1998-09-14	VYDAJ	PREVOD NA UCET	7262	29620	SIPO	YZ	47317737
282241	968	1998-10-14	VYDAJ	PREVOD NA UCET	7262	34862	SIPO	YZ	47317737
282242	968	1998-11-14	VYDAJ	PREVOD NA UCET	7262	32012	SIPO	YZ	47317737
282243	968	1998-12-14	VYDAJ	PREVOD NA UCET	7262	33996	SIPO	YZ	47317737
282245	968	1996-06-25	VYDAJ	VYBER	7520	22511	\N	\N	\N
282251	968	1998-01-09	VYDAJ	VYBER	5280	44293	\N	\N	\N
282253	968	1996-12-24	VYDAJ	VYBER	3840	22656	\N	\N	\N
282254	968	1997-12-12	VYDAJ	VYBER	4480	45294	\N	\N	\N
282255	968	1998-12-26	VYDAJ	VYBER	1120	28176	\N	\N	\N
282260	968	1996-04-29	VYDAJ	VYBER	1680	26612	\N	\N	\N
282261	968	1996-11-14	VYDAJ	VYBER	5160	20883	\N	\N	\N
282262	968	1996-12-07	VYDAJ	VYBER	4800	17417	\N	\N	\N
282263	968	1996-08-30	VYDAJ	VYBER	2520	26354	\N	\N	\N
282264	968	1996-12-02	VYDAJ	VYBER	960	20017	\N	\N	\N
282265	968	1996-12-26	VYDAJ	VYBER	3240	19416	\N	\N	\N
282266	968	1996-10-14	VYDAJ	VYBER	1920	29966	\N	\N	\N
282267	968	1997-06-25	VYDAJ	VYBER	4440	36196	\N	\N	\N
282268	968	1997-05-07	VYDAJ	VYBER	5400	29096	\N	\N	\N
282269	968	1997-12-07	VYDAJ	VYBER	2040	33433	\N	\N	\N
282270	968	1997-10-10	VYDAJ	VYBER	4800	42822	\N	\N	\N
282271	968	1998-06-19	VYDAJ	VYBER	2160	37747	\N	\N	\N
282272	968	1998-07-04	VYDAJ	VYBER	3120	32756	\N	\N	\N
282273	968	1998-08-25	VYDAJ	VYBER	2880	35280	\N	\N	\N
282274	968	1998-03-15	VYDAJ	VYBER	600	35573	\N	\N	\N
282275	968	1998-03-18	VYDAJ	VYBER	3600	31973	\N	\N	\N
282276	968	1998-09-04	VYDAJ	VYBER	720	25988	\N	\N	\N
282293	968	1996-04-30	VYDAJ	VYBER	15	26731	SLUZBY	\N	\N
282294	968	1996-05-31	VYDAJ	VYBER	15	22952	SLUZBY	\N	\N
282295	968	1996-06-30	VYDAJ	VYBER	15	22613	SLUZBY	\N	\N
282296	968	1996-07-31	VYDAJ	VYBER	15	26742	SLUZBY	\N	\N
282297	968	1996-08-31	VYDAJ	VYBER	15	26461	SLUZBY	\N	\N
282298	968	1996-09-30	VYDAJ	VYBER	15	26092	SLUZBY	\N	\N
282299	968	1996-10-31	VYDAJ	VYBER	15	22811	SLUZBY	\N	\N
282300	968	1996-11-30	VYDAJ	VYBER	15	20977	SLUZBY	\N	\N
282301	968	1996-12-31	VYDAJ	VYBER	15	19503	SLUZBY	\N	\N
282302	968	1997-01-31	VYDAJ	VYBER	15	23519	SLUZBY	\N	\N
282303	968	1997-02-28	VYDAJ	VYBER	15	29757	SLUZBY	\N	\N
282304	968	1997-03-31	VYDAJ	VYBER	15	35922	SLUZBY	\N	\N
282305	968	1997-04-30	VYDAJ	VYBER	15	36796	SLUZBY	\N	\N
282306	968	1997-05-31	VYDAJ	VYBER	15	32857	SLUZBY	\N	\N
282307	968	1997-06-30	VYDAJ	VYBER	15	36343	SLUZBY	\N	\N
282308	968	1997-07-31	VYDAJ	VYBER	15	40929	SLUZBY	\N	\N
282309	968	1997-08-31	VYDAJ	VYBER	15	43630	SLUZBY	\N	\N
282310	968	1997-09-30	VYDAJ	VYBER	15	42028	SLUZBY	\N	\N
282311	968	1997-10-31	VYDAJ	VYBER	15	35705	SLUZBY	\N	\N
282312	968	1997-11-30	VYDAJ	VYBER	15	35473	SLUZBY	\N	\N
282313	968	1997-12-31	VYDAJ	VYBER	15	38679	SLUZBY	\N	\N
282314	968	1998-01-31	VYDAJ	VYBER	15	33178	SLUZBY	\N	\N
282315	968	1998-02-28	VYDAJ	VYBER	15	36941	SLUZBY	\N	\N
282316	968	1998-03-31	VYDAJ	VYBER	15	33502	SLUZBY	\N	\N
282317	968	1998-04-30	VYDAJ	VYBER	15	33466	SLUZBY	\N	\N
282318	968	1998-05-31	VYDAJ	VYBER	15	30828	SLUZBY	\N	\N
282319	968	1998-06-30	VYDAJ	VYBER	15	35876	SLUZBY	\N	\N
282320	968	1998-07-31	VYDAJ	VYBER	15	34528	SLUZBY	\N	\N
282321	968	1998-08-31	VYDAJ	VYBER	15	26708	SLUZBY	\N	\N
282322	968	1998-09-30	VYDAJ	VYBER	15	31230	SLUZBY	\N	\N
282323	968	1998-10-31	VYDAJ	VYBER	15	28380	SLUZBY	\N	\N
282324	968	1998-11-30	VYDAJ	VYBER	15	24917	SLUZBY	\N	\N
282325	968	1995-12-11	PRIJEM	VKLAD	3000	19541	\N	\N	\N
282326	968	1996-01-10	VYDAJ	VYBER	2000	28490	\N	\N	\N
282327	968	1996-02-09	VYDAJ	VYBER	5300	34192	\N	\N	\N
282328	968	1996-03-10	VYDAJ	VYBER	12500	32722	\N	\N	\N
282329	968	1996-04-09	VYDAJ	VYBER	8200	35554	\N	\N	\N
282330	968	1996-05-09	VYDAJ	VYBER	7500	30125	\N	\N	\N
282331	968	1996-06-08	VYDAJ	VYBER	2000	20952	\N	\N	\N
282332	968	1996-07-08	PRIJEM	VKLAD	400	23013	\N	\N	\N
282333	968	1996-08-07	VYDAJ	VYBER	1500	25242	\N	\N	\N
282334	968	1996-09-06	VYDAJ	VYBER	4100	22361	\N	\N	\N
282335	968	1996-10-06	VYDAJ	VYBER	5100	20992	\N	\N	\N
282336	968	1996-11-05	VYDAJ	VYBER	400	22411	\N	\N	\N
282337	968	1996-12-05	PRIJEM	VKLAD	2200	22217	\N	\N	\N
282338	968	1997-01-04	PRIJEM	VKLAD	300	19803	\N	\N	\N
282339	968	1997-02-03	PRIJEM	VKLAD	2500	26019	\N	\N	\N
282340	968	1997-03-05	PRIJEM	VKLAD	2400	32157	\N	\N	\N
282341	968	1997-04-04	VYDAJ	VYBER	2900	33022	\N	\N	\N
282342	968	1997-05-04	VYDAJ	VYBER	2300	34496	\N	\N	\N
282343	968	1997-06-03	VYDAJ	VYBER	1300	31557	\N	\N	\N
282344	968	1997-07-03	PRIJEM	VKLAD	800	37143	\N	\N	\N
282345	968	1997-08-02	VYDAJ	VYBER	1100	39829	\N	\N	\N
282346	968	1997-09-01	VYDAJ	VYBER	5400	38230	\N	\N	\N
282347	968	1997-10-01	VYDAJ	VYBER	5300	36728	\N	\N	\N
282348	968	1997-10-31	VYDAJ	VYBER	2900	32805	\N	\N	\N
282349	968	1997-11-30	VYDAJ	VYBER	1100	35487	\N	\N	\N
282350	968	1997-12-30	PRIJEM	VKLAD	500	38532	\N	\N	\N
282351	968	1998-01-29	VYDAJ	VYBER	4000	33031	\N	\N	\N
282352	968	1998-02-28	VYDAJ	VYBER	4400	32541	\N	\N	\N
282353	968	1998-03-30	PRIJEM	VKLAD	1400	33373	\N	\N	\N
282354	968	1998-04-29	VYDAJ	VYBER	3800	33334	\N	\N	\N
282355	968	1998-05-29	VYDAJ	VYBER	6400	30698	\N	\N	\N
282356	968	1998-06-28	VYDAJ	VYBER	2000	35747	\N	\N	\N
282357	968	1998-07-28	VYDAJ	VYBER	2000	34388	\N	\N	\N
282358	968	1998-08-27	VYDAJ	VYBER	8700	26580	\N	\N	\N
282359	968	1998-09-26	PRIJEM	VKLAD	1500	31120	\N	\N	\N
282360	968	1998-10-26	VYDAJ	VYBER	6600	28262	\N	\N	\N
282361	968	1998-11-25	VYDAJ	VYBER	7200	24812	\N	\N	\N
282362	968	1998-12-25	VYDAJ	VYBER	4700	29296	\N	\N	\N
282400	969	1994-01-08	PRIJEM	VKLAD	200	200	\N	\N	\N
282401	969	1994-02-27	PRIJEM	VKLAD	31224	45729	\N	\N	\N
282402	969	1994-09-27	PRIJEM	VKLAD	29837	55402	\N	\N	\N
282403	969	1995-04-18	PRIJEM	VKLAD	32888	67043	\N	\N	\N
282404	969	1995-07-22	PRIJEM	VKLAD	32091	64460	\N	\N	\N
282405	969	1996-12-04	PRIJEM	VKLAD	34633	99749	\N	\N	\N
282406	969	1996-11-24	PRIJEM	VKLAD	24947	64943	\N	\N	\N
282407	969	1997-12-17	PRIJEM	VKLAD	4669	61015	\N	\N	\N
282408	969	1997-07-29	PRIJEM	VKLAD	16294	63956	\N	\N	\N
282409	969	1998-03-22	PRIJEM	VKLAD	20003	86655	\N	\N	\N
282410	969	1998-07-31	PRIJEM	VKLAD	33193	104518	\N	\N	\N
282411	969	1994-01-13	PRIJEM	VKLAD	700	900	\N	\N	\N
282412	969	1994-02-17	PRIJEM	VKLAD	700	13205	\N	\N	\N
282413	969	1994-03-15	PRIJEM	VKLAD	700	36454	\N	\N	\N
282414	969	1994-04-13	PRIJEM	VKLAD	700	29712	\N	\N	\N
282415	969	1994-05-13	PRIJEM	VKLAD	700	26137	\N	\N	\N
282416	969	1994-06-13	PRIJEM	VKLAD	700	26740	\N	\N	\N
282417	969	1994-07-17	PRIJEM	VKLAD	700	22509	\N	\N	\N
282418	969	1994-08-14	PRIJEM	VKLAD	700	24277	\N	\N	\N
282419	969	1994-09-14	PRIJEM	VKLAD	700	24265	\N	\N	\N
282420	969	1994-10-14	PRIJEM	VKLAD	700	40410	\N	\N	\N
282421	969	1994-11-16	PRIJEM	VKLAD	700	35993	\N	\N	\N
282422	969	1994-12-14	PRIJEM	VKLAD	700	31243	\N	\N	\N
282423	969	1995-01-13	PRIJEM	VKLAD	700	25167	\N	\N	\N
282424	969	1995-02-14	PRIJEM	VKLAD	700	25957	\N	\N	\N
282425	969	1995-03-17	PRIJEM	VKLAD	700	31246	\N	\N	\N
282426	969	1995-04-15	PRIJEM	VKLAD	700	32855	\N	\N	\N
282427	969	1995-05-16	PRIJEM	VKLAD	700	50926	\N	\N	\N
282428	969	1995-06-15	PRIJEM	VKLAD	700	27832	\N	\N	\N
282429	969	1995-07-17	PRIJEM	VKLAD	700	31069	\N	\N	\N
282430	969	1995-08-17	PRIJEM	VKLAD	700	50416	\N	\N	\N
282431	969	1995-09-14	PRIJEM	VKLAD	700	45243	\N	\N	\N
282432	969	1995-10-17	PRIJEM	VKLAD	700	42016	\N	\N	\N
282433	969	1995-11-15	PRIJEM	VKLAD	700	41076	\N	\N	\N
282434	969	1995-12-15	PRIJEM	VKLAD	700	38432	\N	\N	\N
282435	969	1996-01-13	PRIJEM	VKLAD	700	37179	\N	\N	\N
282436	969	1996-02-15	PRIJEM	VKLAD	700	38509	\N	\N	\N
282437	969	1996-03-17	PRIJEM	VKLAD	700	43157	\N	\N	\N
282438	969	1996-04-14	PRIJEM	VKLAD	700	45823	\N	\N	\N
282439	969	1996-05-16	PRIJEM	VKLAD	700	44398	\N	\N	\N
282440	969	1996-06-13	PRIJEM	VKLAD	700	46072	\N	\N	\N
282441	969	1996-07-13	PRIJEM	VKLAD	700	27882	\N	\N	\N
282442	969	1996-08-17	PRIJEM	VKLAD	700	33588	\N	\N	\N
282443	969	1996-09-14	PRIJEM	VKLAD	700	37318	\N	\N	\N
282444	969	1996-10-15	PRIJEM	VKLAD	700	36856	\N	\N	\N
282445	969	1996-11-17	PRIJEM	VKLAD	700	39596	\N	\N	\N
282446	969	1996-12-15	PRIJEM	VKLAD	700	100449	\N	\N	\N
282447	969	1997-01-14	PRIJEM	VKLAD	700	60345	\N	\N	\N
282448	969	1997-02-14	PRIJEM	VKLAD	700	52934	\N	\N	\N
282449	969	1997-03-13	PRIJEM	VKLAD	700	53038	\N	\N	\N
282450	969	1997-04-13	PRIJEM	VKLAD	700	49237	\N	\N	\N
282451	969	1997-05-15	PRIJEM	VKLAD	700	50874	\N	\N	\N
282452	969	1997-06-14	PRIJEM	VKLAD	700	47271	\N	\N	\N
282453	969	1997-07-17	PRIJEM	VKLAD	700	43162	\N	\N	\N
282454	969	1997-08-13	PRIJEM	VKLAD	700	63381	\N	\N	\N
282455	969	1997-09-13	PRIJEM	VKLAD	700	56017	\N	\N	\N
282456	969	1997-10-14	PRIJEM	VKLAD	700	58435	\N	\N	\N
282457	969	1997-11-17	PRIJEM	VKLAD	700	61363	\N	\N	\N
282458	969	1997-12-17	PRIJEM	VKLAD	700	61715	\N	\N	\N
282459	969	1998-01-17	PRIJEM	VKLAD	700	57848	\N	\N	\N
282460	969	1998-02-15	PRIJEM	VKLAD	700	52434	\N	\N	\N
282461	969	1998-03-17	PRIJEM	VKLAD	700	63152	\N	\N	\N
282462	969	1998-04-15	PRIJEM	VKLAD	700	87632	\N	\N	\N
282463	969	1998-05-16	PRIJEM	VKLAD	700	81263	\N	\N	\N
282464	969	1998-06-16	PRIJEM	VKLAD	700	59870	\N	\N	\N
282465	969	1998-07-17	PRIJEM	VKLAD	700	69744	\N	\N	\N
282466	969	1998-08-16	PRIJEM	VKLAD	700	88203	\N	\N	\N
282467	969	1998-09-15	PRIJEM	VKLAD	700	78988	\N	\N	\N
282468	969	1998-10-17	PRIJEM	VKLAD	700	69522	\N	\N	\N
282469	969	1998-11-16	PRIJEM	VKLAD	700	68219	\N	\N	\N
282470	969	1998-12-17	PRIJEM	VKLAD	700	63893	\N	\N	\N
282471	969	1994-01-18	PRIJEM	VKLAD	1300	2200	\N	\N	\N
282472	969	1994-02-18	PRIJEM	VKLAD	1300	14505	\N	\N	\N
282473	969	1994-03-18	PRIJEM	VKLAD	1300	37754	\N	\N	\N
282474	969	1994-04-18	PRIJEM	VKLAD	1300	31012	\N	\N	\N
282475	969	1994-05-18	PRIJEM	VKLAD	1300	27437	\N	\N	\N
282476	969	1994-06-18	PRIJEM	VKLAD	1300	16140	\N	\N	\N
282477	969	1994-07-18	PRIJEM	VKLAD	1300	23809	\N	\N	\N
282478	969	1994-08-18	PRIJEM	VKLAD	1300	25577	\N	\N	\N
282479	969	1994-09-18	PRIJEM	VKLAD	1300	25565	\N	\N	\N
282480	969	1994-10-18	PRIJEM	VKLAD	1300	41710	\N	\N	\N
282481	969	1994-11-18	PRIJEM	VKLAD	1300	37293	\N	\N	\N
282482	969	1994-12-18	PRIJEM	VKLAD	1300	32543	\N	\N	\N
282483	969	1995-01-18	PRIJEM	VKLAD	1300	26467	\N	\N	\N
282484	969	1995-02-18	PRIJEM	VKLAD	1300	27257	\N	\N	\N
282485	969	1995-03-18	PRIJEM	VKLAD	1300	32546	\N	\N	\N
282486	969	1995-04-18	PRIJEM	VKLAD	1300	34155	\N	\N	\N
282487	969	1995-05-18	PRIJEM	VKLAD	1300	52226	\N	\N	\N
282488	969	1995-06-18	PRIJEM	VKLAD	1300	29132	\N	\N	\N
282489	969	1995-07-18	PRIJEM	VKLAD	1300	32369	\N	\N	\N
282490	969	1995-08-18	PRIJEM	VKLAD	1300	51716	\N	\N	\N
282491	969	1995-09-18	PRIJEM	VKLAD	1300	46543	\N	\N	\N
282492	969	1995-10-18	PRIJEM	VKLAD	1300	43316	\N	\N	\N
282493	969	1995-11-18	PRIJEM	VKLAD	1300	42376	\N	\N	\N
282494	969	1995-12-18	PRIJEM	VKLAD	1300	39732	\N	\N	\N
282495	969	1996-01-18	PRIJEM	VKLAD	1300	30079	\N	\N	\N
282496	969	1996-02-18	PRIJEM	VKLAD	1300	39809	\N	\N	\N
282497	969	1996-03-18	PRIJEM	VKLAD	1300	44457	\N	\N	\N
282498	969	1996-04-18	PRIJEM	VKLAD	1300	47123	\N	\N	\N
282499	969	1996-05-18	PRIJEM	VKLAD	1300	45698	\N	\N	\N
282500	969	1996-06-18	PRIJEM	VKLAD	1300	47372	\N	\N	\N
282501	969	1996-07-18	PRIJEM	VKLAD	1300	29182	\N	\N	\N
282502	969	1996-08-18	PRIJEM	VKLAD	1300	34888	\N	\N	\N
282503	969	1996-09-18	PRIJEM	VKLAD	1300	38618	\N	\N	\N
282504	969	1996-10-18	PRIJEM	VKLAD	1300	38156	\N	\N	\N
282505	969	1996-11-18	PRIJEM	VKLAD	1300	40896	\N	\N	\N
282506	969	1996-12-18	PRIJEM	VKLAD	1300	101749	\N	\N	\N
282507	969	1997-01-18	PRIJEM	VKLAD	1300	61645	\N	\N	\N
282508	969	1997-02-18	PRIJEM	VKLAD	1300	54234	\N	\N	\N
282509	969	1997-03-18	PRIJEM	VKLAD	1300	54338	\N	\N	\N
282510	969	1997-04-18	PRIJEM	VKLAD	1300	48187	\N	\N	\N
282511	969	1997-05-18	PRIJEM	VKLAD	1300	52174	\N	\N	\N
282512	969	1997-06-18	PRIJEM	VKLAD	1300	48571	\N	\N	\N
282513	969	1997-07-18	PRIJEM	VKLAD	1300	44462	\N	\N	\N
282514	969	1997-08-18	PRIJEM	VKLAD	1300	64681	\N	\N	\N
282515	969	1997-09-18	PRIJEM	VKLAD	1300	57317	\N	\N	\N
282516	969	1997-10-18	PRIJEM	VKLAD	1300	59735	\N	\N	\N
282517	969	1997-11-18	PRIJEM	VKLAD	1300	62663	\N	\N	\N
282518	969	1997-12-18	PRIJEM	VKLAD	1300	64315	\N	\N	\N
282519	969	1998-01-18	PRIJEM	VKLAD	1300	61748	\N	\N	\N
282520	969	1998-02-18	PRIJEM	VKLAD	1300	62234	\N	\N	\N
282521	969	1998-03-18	PRIJEM	VKLAD	1300	64452	\N	\N	\N
282522	969	1998-04-18	PRIJEM	VKLAD	1300	80232	\N	\N	\N
282523	969	1998-05-18	PRIJEM	VKLAD	1300	75263	\N	\N	\N
282524	969	1998-06-18	PRIJEM	VKLAD	1300	66670	\N	\N	\N
282525	969	1998-07-18	PRIJEM	VKLAD	1300	71044	\N	\N	\N
282526	969	1998-08-18	PRIJEM	VKLAD	1300	89503	\N	\N	\N
282527	969	1998-09-18	PRIJEM	VKLAD	1300	80288	\N	\N	\N
282528	969	1998-10-18	PRIJEM	VKLAD	1300	70822	\N	\N	\N
282529	969	1998-11-18	PRIJEM	VKLAD	1300	69519	\N	\N	\N
282530	969	1998-12-18	PRIJEM	VKLAD	1300	65193	\N	\N	\N
282532	969	1995-06-11	VYDAJ	VYBER	16000	27132	\N	\N	\N
282534	969	1997-06-29	VYDAJ	VYBER	6900	42271	\N	\N	\N
282535	969	1998-06-11	VYDAJ	VYBER	16400	59170	\N	\N	\N
282537	969	1995-01-26	VYDAJ	VYBER	4100	22367	\N	\N	\N
282538	969	1996-01-15	VYDAJ	VYBER	8400	28779	\N	\N	\N
282539	969	1997-01-10	VYDAJ	VYBER	8300	59645	\N	\N	\N
282540	969	1998-01-25	VYDAJ	VYBER	9000	51498	\N	\N	\N
282541	969	1994-06-14	VYDAJ	VYBER	11900	14840	\N	\N	\N
282543	969	1996-06-26	VYDAJ	VYBER	27700	27022	\N	\N	\N
282544	969	1997-06-07	VYDAJ	VYBER	5900	46571	\N	\N	\N
282545	969	1998-06-26	VYDAJ	VYBER KARTOU	3600	63070	\N	\N	0
282547	969	1995-01-02	VYDAJ	VYBER	9700	22967	\N	\N	\N
282548	969	1996-01-03	VYDAJ	VYBER	2100	36479	\N	\N	\N
282549	969	1997-01-20	VYDAJ	VYBER	2700	58945	\N	\N	\N
282550	969	1998-01-12	VYDAJ	VYBER	7400	57148	\N	\N	\N
282551	969	1994-12-09	VYDAJ	VYBER	1500	30543	\N	\N	\N
282552	969	1995-12-10	VYDAJ	VYBER	1000	37732	\N	\N	\N
282553	969	1996-12-20	VYDAJ	VYBER	2700	99049	\N	\N	\N
282554	969	1997-12-07	VYDAJ	VYBER	1100	56346	\N	\N	\N
282555	969	1998-12-02	VYDAJ	VYBER KARTOU	2200	67593	\N	\N	0
282556	969	1994-05-27	VYDAJ	VYBER	2400	25037	\N	\N	\N
282557	969	1994-06-11	VYDAJ	VYBER	600	26040	\N	\N	\N
282560	969	1995-05-04	VYDAJ	VYBER	950	50226	\N	\N	\N
282561	969	1995-04-21	VYDAJ	VYBER	350	66693	\N	\N	\N
282562	969	1995-08-20	VYDAJ	VYBER	500	51216	\N	\N	\N
282563	969	1996-06-25	VYDAJ	VYBER	2200	42722	\N	\N	\N
282564	969	1996-02-08	VYDAJ	VYBER	500	37809	\N	\N	\N
282565	969	1996-05-10	VYDAJ	VYBER	1600	43698	\N	\N	\N
282566	969	1996-08-12	VYDAJ	VYBER	1600	32888	\N	\N	\N
282567	969	1996-06-19	VYDAJ	VYBER	2450	44922	\N	\N	\N
282568	969	1997-04-15	VYDAJ	VYBER	2350	46887	\N	\N	\N
282569	969	1997-02-09	VYDAJ	VYBER	950	52234	\N	\N	\N
282570	969	1997-12-02	VYDAJ	VYBER	1200	57446	\N	\N	\N
282571	969	1997-11-22	VYDAJ	VYBER	2250	58413	\N	\N	\N
282572	969	1997-08-06	VYDAJ	VYBER	1450	62681	\N	\N	\N
282573	969	1998-06-16	VYDAJ	VYBER KARTOU	2000	65370	\N	\N	0
282574	969	1998-09-21	VYDAJ	VYBER KARTOU	300	79988	\N	\N	0
282575	969	1998-01-23	VYDAJ	VYBER	1250	60498	\N	\N	\N
282578	969	1994-02-28	VYDAJ	VYBER	15	45754	SLUZBY	\N	\N
282579	969	1994-03-31	VYDAJ	VYBER	15	37912	SLUZBY	\N	\N
282580	969	1994-04-30	VYDAJ	VYBER	15	31137	SLUZBY	\N	\N
282581	969	1994-05-31	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
282582	969	1994-06-30	VYDAJ	VYBER	15	16209	SLUZBY	\N	\N
282583	969	1994-07-31	VYDAJ	VYBER	15	23877	SLUZBY	\N	\N
282584	969	1994-08-31	VYDAJ	VYBER	15	25665	SLUZBY	\N	\N
282585	969	1994-09-30	VYDAJ	VYBER	15	55510	SLUZBY	\N	\N
282586	969	1994-10-31	VYDAJ	VYBER	15	41893	SLUZBY	\N	\N
282587	969	1994-11-30	VYDAJ	VYBER	15	37443	SLUZBY	\N	\N
282588	969	1994-12-31	VYDAJ	VYBER	15	32667	SLUZBY	\N	\N
282589	969	1995-01-31	VYDAJ	VYBER	15	22457	SLUZBY	\N	\N
282590	969	1995-02-28	VYDAJ	VYBER	15	27346	SLUZBY	\N	\N
282591	969	1995-03-31	VYDAJ	VYBER	15	32655	SLUZBY	\N	\N
282592	969	1995-04-30	VYDAJ	VYBER	15	66876	SLUZBY	\N	\N
282593	969	1995-05-31	VYDAJ	VYBER	15	52432	SLUZBY	\N	\N
282594	969	1995-06-30	VYDAJ	VYBER	15	29269	SLUZBY	\N	\N
282595	969	1995-07-31	VYDAJ	VYBER	15	64616	SLUZBY	\N	\N
282596	969	1995-08-31	VYDAJ	VYBER	15	44543	SLUZBY	\N	\N
282597	969	1995-09-30	VYDAJ	VYBER	15	46716	SLUZBY	\N	\N
282598	969	1995-10-31	VYDAJ	VYBER	15	40376	SLUZBY	\N	\N
282599	969	1995-11-30	VYDAJ	VYBER	15	38732	SLUZBY	\N	\N
282600	969	1995-12-31	VYDAJ	VYBER	15	38579	SLUZBY	\N	\N
282601	969	1996-01-31	VYDAJ	VYBER	15	38309	SLUZBY	\N	\N
282602	969	1996-02-29	VYDAJ	VYBER	15	42457	SLUZBY	\N	\N
282603	969	1996-03-31	VYDAJ	VYBER	15	45123	SLUZBY	\N	\N
282604	969	1996-04-30	VYDAJ	VYBER	15	45298	SLUZBY	\N	\N
282605	969	1996-05-31	VYDAJ	VYBER	15	45372	SLUZBY	\N	\N
282606	969	1996-06-30	VYDAJ	VYBER	15	27182	SLUZBY	\N	\N
282607	969	1996-07-31	VYDAJ	VYBER	15	34488	SLUZBY	\N	\N
282608	969	1996-08-31	VYDAJ	VYBER	15	36618	SLUZBY	\N	\N
282609	969	1996-09-30	VYDAJ	VYBER	15	36156	SLUZBY	\N	\N
282610	969	1996-10-31	VYDAJ	VYBER	15	38896	SLUZBY	\N	\N
282611	969	1996-11-30	VYDAJ	VYBER	15	65116	SLUZBY	\N	\N
282612	969	1996-12-31	VYDAJ	VYBER	15	67945	SLUZBY	\N	\N
282613	969	1997-01-31	VYDAJ	VYBER	15	53184	SLUZBY	\N	\N
282614	969	1997-02-28	VYDAJ	VYBER	15	52338	SLUZBY	\N	\N
282615	969	1997-03-31	VYDAJ	VYBER	15	48537	SLUZBY	\N	\N
282616	969	1997-04-30	VYDAJ	VYBER	15	50174	SLUZBY	\N	\N
282617	969	1997-05-31	VYDAJ	VYBER	15	52471	SLUZBY	\N	\N
282618	969	1997-06-30	VYDAJ	VYBER	15	42462	SLUZBY	\N	\N
282619	969	1997-07-31	VYDAJ	VYBER	15	64131	SLUZBY	\N	\N
282620	969	1997-08-31	VYDAJ	VYBER	15	55317	SLUZBY	\N	\N
282621	969	1997-09-30	VYDAJ	VYBER	15	57735	SLUZBY	\N	\N
282622	969	1997-10-31	VYDAJ	VYBER	15	60663	SLUZBY	\N	\N
282623	969	1997-11-30	VYDAJ	VYBER	15	58646	SLUZBY	\N	\N
282624	969	1997-12-31	VYDAJ	VYBER	15	64548	SLUZBY	\N	\N
282625	969	1998-01-31	VYDAJ	VYBER	15	51734	SLUZBY	\N	\N
282626	969	1998-02-28	VYDAJ	VYBER	15	62452	SLUZBY	\N	\N
282627	969	1998-03-31	VYDAJ	VYBER	15	86932	SLUZBY	\N	\N
282628	969	1998-04-30	VYDAJ	VYBER	15	80563	SLUZBY	\N	\N
282629	969	1998-05-31	VYDAJ	VYBER	15	75570	SLUZBY	\N	\N
282630	969	1998-06-30	VYDAJ	VYBER	15	63344	SLUZBY	\N	\N
282631	969	1998-07-31	VYDAJ	VYBER	15	104503	SLUZBY	\N	\N
282632	969	1998-08-31	VYDAJ	VYBER	15	89888	SLUZBY	\N	\N
282633	969	1998-09-30	VYDAJ	VYBER	15	80322	SLUZBY	\N	\N
282634	969	1998-10-31	VYDAJ	VYBER	15	71119	SLUZBY	\N	\N
282635	969	1998-11-30	VYDAJ	VYBER	15	69793	SLUZBY	\N	\N
282636	969	1994-02-07	PRIJEM	VKLAD	10300	12505	\N	\N	\N
282637	969	1994-03-09	VYDAJ	VYBER	10000	35754	\N	\N	\N
282638	969	1994-04-08	VYDAJ	VYBER	8900	29012	\N	\N	\N
282639	969	1994-05-08	VYDAJ	VYBER	5700	25437	\N	\N	\N
282640	969	1994-06-07	PRIJEM	VKLAD	1500	26640	\N	\N	\N
282641	969	1994-07-07	PRIJEM	VKLAD	5600	21809	\N	\N	\N
282642	969	1994-08-06	VYDAJ	VYBER	300	23577	\N	\N	\N
282643	969	1994-09-05	VYDAJ	VYBER	2100	23565	\N	\N	\N
282644	969	1994-10-05	VYDAJ	VYBER	15800	39710	\N	\N	\N
282645	969	1994-11-04	VYDAJ	VYBER	6600	35293	\N	\N	\N
282646	969	1994-12-04	VYDAJ	VYBER	5400	32043	\N	\N	\N
282647	969	1995-01-03	PRIJEM	VKLAD	1500	24467	\N	\N	\N
282648	969	1995-02-02	PRIJEM	VKLAD	2800	25257	\N	\N	\N
282649	969	1995-03-04	PRIJEM	VKLAD	3200	30546	\N	\N	\N
282650	969	1995-04-03	VYDAJ	VYBER	500	32155	\N	\N	\N
282651	969	1995-05-03	VYDAJ	VYBER	15700	51176	\N	\N	\N
282652	969	1995-06-02	VYDAJ	VYBER	9300	43132	\N	\N	\N
282653	969	1995-07-02	PRIJEM	VKLAD	1100	30369	\N	\N	\N
282654	969	1995-08-01	VYDAJ	VYBER	14900	49716	\N	\N	\N
282655	969	1995-08-31	VYDAJ	VYBER	6900	44557	\N	\N	\N
282656	969	1995-09-30	VYDAJ	VYBER	5400	41316	\N	\N	\N
282657	969	1995-10-30	VYDAJ	VYBER	3100	40216	\N	\N	\N
282658	969	1995-11-29	VYDAJ	VYBER	3800	38576	\N	\N	\N
282659	969	1995-12-29	VYDAJ	VYBER	1300	38432	\N	\N	\N
282660	969	1996-01-28	PRIJEM	VKLAD	8100	38179	\N	\N	\N
282661	969	1996-02-27	PRIJEM	VKLAD	2500	42309	\N	\N	\N
282662	969	1996-03-28	PRIJEM	VKLAD	500	44957	\N	\N	\N
282663	969	1996-04-27	VYDAJ	VYBER	2000	45123	\N	\N	\N
282664	969	1996-05-27	VYDAJ	VYBER	500	45198	\N	\N	\N
282665	969	1996-06-26	PRIJEM	VKLAD	12000	54722	\N	\N	\N
282666	969	1996-07-26	PRIJEM	VKLAD	5200	34382	\N	\N	\N
282667	969	1996-08-25	PRIJEM	VKLAD	1600	36488	\N	\N	\N
282668	969	1996-09-24	VYDAJ	VYBER	2600	36018	\N	\N	\N
282669	969	1996-10-24	PRIJEM	VKLAD	600	38756	\N	\N	\N
282670	969	1996-11-23	VYDAJ	VYBER	900	39996	\N	\N	\N
282671	969	1996-12-23	VYDAJ	VYBER	31400	67649	\N	\N	\N
282672	969	1997-01-22	VYDAJ	VYBER	6000	52945	\N	\N	\N
282673	969	1997-02-21	VYDAJ	VYBER	2100	52134	\N	\N	\N
282674	969	1997-03-23	VYDAJ	VYBER	6000	48338	\N	\N	\N
282675	969	1997-04-22	PRIJEM	VKLAD	1800	49987	\N	\N	\N
282676	969	1997-05-22	PRIJEM	VKLAD	100	52274	\N	\N	\N
282677	969	1997-06-21	PRIJEM	VKLAD	600	49171	\N	\N	\N
282678	969	1997-07-21	PRIJEM	VKLAD	3200	47662	\N	\N	\N
282679	969	1997-08-20	VYDAJ	VYBER	9600	55081	\N	\N	\N
282680	969	1997-09-19	PRIJEM	VKLAD	200	57517	\N	\N	\N
282681	969	1997-10-19	PRIJEM	VKLAD	700	60435	\N	\N	\N
282682	969	1997-11-18	VYDAJ	VYBER	2000	60663	\N	\N	\N
282683	969	1997-12-18	PRIJEM	VKLAD	1300	63015	\N	\N	\N
282684	969	1998-01-17	PRIJEM	VKLAD	2600	60448	\N	\N	\N
282685	969	1998-02-16	PRIJEM	VKLAD	8500	60934	\N	\N	\N
282686	969	1998-03-18	PRIJEM	VKLAD	2200	66652	\N	\N	\N
282687	969	1998-04-17	VYDAJ	VYBER	8700	78932	\N	\N	\N
282688	969	1998-05-17	VYDAJ	VYBER	7300	73963	\N	\N	\N
282689	969	1998-06-16	PRIJEM	VKLAD	7500	67370	\N	\N	\N
282690	969	1998-07-16	PRIJEM	VKLAD	5700	69044	\N	\N	\N
282691	969	1998-08-15	VYDAJ	VYBER	17000	87503	\N	\N	\N
282692	969	1998-09-14	VYDAJ	VYBER	11600	78288	\N	\N	\N
282693	969	1998-10-14	VYDAJ	VYBER	11500	68822	\N	\N	\N
282694	969	1998-11-13	VYDAJ	VYBER KARTOU	3600	67519	\N	\N	0
282695	969	1998-12-13	VYDAJ	VYBER	4400	63193	\N	\N	\N
282756	970	1997-07-20	PRIJEM	VKLAD	400	400	\N	\N	\N
282764	970	1997-08-10	PRIJEM	VKLAD	17348	17748	\N	\N	\N
282765	970	1997-09-10	PRIJEM	VKLAD	17348	37431	\N	\N	\N
282766	970	1997-10-10	PRIJEM	VKLAD	17348	48282	\N	\N	\N
282767	970	1997-11-10	PRIJEM	VKLAD	17348	57275	\N	\N	\N
282768	970	1997-12-10	PRIJEM	VKLAD	26022	71374	\N	\N	\N
282769	970	1998-01-10	PRIJEM	VKLAD	17348	66957	\N	\N	\N
282770	970	1998-02-10	PRIJEM	VKLAD	17348	28113	\N	\N	\N
282771	970	1998-03-10	PRIJEM	VKLAD	17348	45699	\N	\N	\N
282772	970	1998-04-10	PRIJEM	VKLAD	17348	56145	\N	\N	\N
282773	970	1998-05-10	PRIJEM	VKLAD	17348	60119	\N	\N	\N
282774	970	1998-06-10	PRIJEM	VKLAD	26022	62633	\N	\N	\N
282775	970	1998-07-10	PRIJEM	VKLAD	17348	49534	\N	\N	\N
282776	970	1998-08-10	PRIJEM	VKLAD	17348	52129	\N	\N	\N
282777	970	1998-09-10	PRIJEM	VKLAD	17348	55090	\N	\N	\N
282778	970	1998-10-10	PRIJEM	VKLAD	17348	64169	\N	\N	\N
282779	970	1998-11-10	PRIJEM	VKLAD	17348	68676	\N	\N	\N
282780	970	1998-12-10	PRIJEM	VKLAD	26022	77766	\N	\N	\N
282793	970	1998-01-05	VYDAJ	PREVOD NA UCET	5260	49609	SIPO	OP	78745192
282794	970	1998-02-05	VYDAJ	PREVOD NA UCET	5260	10765	SIPO	OP	78745192
282795	970	1998-03-05	VYDAJ	PREVOD NA UCET	5260	28351	SIPO	OP	78745192
282796	970	1998-04-05	VYDAJ	PREVOD NA UCET	5260	38797	SIPO	OP	78745192
282797	970	1998-05-05	VYDAJ	PREVOD NA UCET	5260	42771	SIPO	OP	78745192
282798	970	1998-06-05	VYDAJ	PREVOD NA UCET	5260	36611	SIPO	OP	78745192
282799	970	1998-07-05	VYDAJ	PREVOD NA UCET	5260	32186	SIPO	OP	78745192
282800	970	1998-08-05	VYDAJ	PREVOD NA UCET	5260	34781	SIPO	OP	78745192
282801	970	1998-09-05	VYDAJ	PREVOD NA UCET	5260	37742	SIPO	OP	78745192
282802	970	1998-10-05	VYDAJ	PREVOD NA UCET	5260	46821	SIPO	OP	78745192
282803	970	1998-11-05	VYDAJ	PREVOD NA UCET	5260	51328	SIPO	OP	78745192
282804	970	1998-12-05	VYDAJ	PREVOD NA UCET	5260	51744	SIPO	OP	78745192
282806	970	1998-06-29	VYDAJ	VYBER	14880	37253	\N	\N	\N
282808	970	1998-01-30	VYDAJ	VYBER	14720	16557	\N	\N	\N
282809	970	1997-12-29	VYDAJ	VYBER	1600	54674	\N	\N	\N
282810	970	1998-12-12	VYDAJ	VYBER KARTOU	2100	75666	\N	\N	0
282817	970	1998-01-30	VYDAJ	VYBER	720	15837	\N	\N	\N
282818	970	1998-01-26	VYDAJ	VYBER	1800	36917	\N	\N	\N
282819	970	1998-01-16	VYDAJ	VYBER	3120	46757	\N	\N	\N
282820	970	1998-01-23	VYDAJ	VYBER	2040	40877	\N	\N	\N
282821	970	1998-01-19	VYDAJ	VYBER	2640	44117	\N	\N	\N
282822	970	1998-01-24	VYDAJ	VYBER	2160	38717	\N	\N	\N
282828	970	1998-08-30	VYDAJ	VYBER KARTOU	4000	42829	\N	\N	0
282829	970	1998-11-23	VYDAJ	VYBER KARTOU	2300	56776	\N	\N	0
282830	970	1998-05-31	VYDAJ	VYBER	5040	41886	\N	\N	\N
282831	970	1998-07-21	VYDAJ	VYBER KARTOU	1900	44434	\N	\N	0
282832	970	1998-01-26	VYDAJ	VYBER	5640	31277	\N	\N	\N
282833	970	1998-08-03	VYDAJ	VYBER	4560	40041	\N	\N	\N
282834	970	1998-01-20	VYDAJ	VYBER	1200	42917	\N	\N	\N
282835	970	1998-01-16	VYDAJ	VYBER	5880	49877	\N	\N	\N
282848	970	1997-12-31	VYDAJ	VYBER	15	54869	SLUZBY	\N	\N
282849	970	1998-01-31	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
282850	970	1998-02-28	VYDAJ	VYBER	15	33611	SLUZBY	\N	\N
282851	970	1998-03-31	VYDAJ	VYBER	15	44057	SLUZBY	\N	\N
282852	970	1998-04-30	VYDAJ	VYBER	15	48031	SLUZBY	\N	\N
282853	970	1998-05-31	VYDAJ	VYBER	15	41871	SLUZBY	\N	\N
282854	970	1998-06-30	VYDAJ	VYBER	15	37446	SLUZBY	\N	\N
282855	970	1998-07-31	VYDAJ	VYBER	15	44601	SLUZBY	\N	\N
282856	970	1998-08-31	VYDAJ	VYBER	15	43002	SLUZBY	\N	\N
282857	970	1998-09-30	VYDAJ	VYBER	15	52081	SLUZBY	\N	\N
282858	970	1998-10-31	VYDAJ	VYBER	15	56588	SLUZBY	\N	\N
282859	970	1998-11-30	VYDAJ	VYBER	15	57004	SLUZBY	\N	\N
282860	970	1997-08-19	PRIJEM	VKLAD	2300	20048	\N	\N	\N
282861	970	1997-09-18	VYDAJ	VYBER	6600	30831	\N	\N	\N
282862	970	1997-10-18	VYDAJ	VYBER	8500	39782	\N	\N	\N
282863	970	1997-11-17	VYDAJ	VYBER	12100	45175	\N	\N	\N
282864	970	1997-12-17	VYDAJ	VYBER	15100	56274	\N	\N	\N
282865	970	1998-01-16	VYDAJ	VYBER	11200	55757	\N	\N	\N
282866	970	1998-02-15	PRIJEM	VKLAD	5400	33513	\N	\N	\N
282867	970	1998-03-17	VYDAJ	VYBER	1800	43899	\N	\N	\N
282868	970	1998-04-16	VYDAJ	VYBER	8300	47845	\N	\N	\N
282869	970	1998-05-16	VYDAJ	VYBER	13400	46719	\N	\N	\N
282870	970	1998-06-15	VYDAJ	VYBER	10500	52133	\N	\N	\N
282871	970	1998-07-15	VYDAJ	VYBER KARTOU	3200	46334	\N	\N	0
282872	970	1998-08-14	VYDAJ	VYBER	5300	46829	\N	\N	\N
282873	970	1998-09-13	VYDAJ	VYBER KARTOU	3200	51890	\N	\N	0
282874	970	1998-10-13	VYDAJ	VYBER	7800	56369	\N	\N	\N
282875	970	1998-11-12	VYDAJ	VYBER	9600	59076	\N	\N	\N
282893	971	1996-07-18	PRIJEM	VKLAD	500	500	\N	\N	\N
282901	971	1996-08-11	PRIJEM	VKLAD	9299	9799	\N	\N	\N
282902	971	1996-09-11	PRIJEM	VKLAD	9299	27635	\N	\N	\N
282903	971	1996-10-11	PRIJEM	VKLAD	9299	37430	\N	\N	\N
282904	971	1996-11-11	PRIJEM	VKLAD	9299	40854	\N	\N	\N
282905	971	1996-12-11	PRIJEM	VKLAD	13949	46335	\N	\N	\N
282906	971	1997-01-11	PRIJEM	VKLAD	9299	41446	\N	\N	\N
282907	971	1997-02-11	PRIJEM	VKLAD	9299	19255	\N	\N	\N
282908	971	1997-03-11	PRIJEM	VKLAD	9299	28109	\N	\N	\N
282909	971	1997-04-11	PRIJEM	VKLAD	9299	32640	\N	\N	\N
282910	971	1997-05-11	PRIJEM	VKLAD	9299	37091	\N	\N	\N
282911	971	1997-06-11	PRIJEM	VKLAD	13949	44405	\N	\N	\N
282912	971	1997-07-11	PRIJEM	VKLAD	9299	41479	\N	\N	\N
282913	971	1997-08-11	PRIJEM	VKLAD	9299	40652	\N	\N	\N
282914	971	1997-09-11	PRIJEM	VKLAD	9299	38137	\N	\N	\N
282915	971	1997-10-11	PRIJEM	VKLAD	9299	41306	\N	\N	\N
282916	971	1997-11-11	PRIJEM	VKLAD	9299	43082	\N	\N	\N
282917	971	1997-12-11	PRIJEM	VKLAD	13949	45107	\N	\N	\N
282918	971	1998-01-11	PRIJEM	VKLAD	9299	41650	\N	\N	\N
282919	971	1998-02-11	PRIJEM	VKLAD	9299	35100	\N	\N	\N
282920	971	1998-03-11	PRIJEM	VKLAD	9299	43657	\N	\N	\N
282921	971	1998-04-11	PRIJEM	VKLAD	9299	41652	\N	\N	\N
282922	971	1998-05-11	PRIJEM	VKLAD	9299	40008	\N	\N	\N
282923	971	1998-06-11	PRIJEM	VKLAD	13949	38907	\N	\N	\N
282924	971	1998-07-11	PRIJEM	VKLAD	9299	33887	\N	\N	\N
282925	971	1998-08-11	PRIJEM	VKLAD	9299	33153	\N	\N	\N
282926	971	1998-09-11	PRIJEM	VKLAD	9299	31011	\N	\N	\N
282927	971	1998-10-11	PRIJEM	VKLAD	9299	26561	\N	\N	\N
282928	971	1998-11-11	PRIJEM	VKLAD	9299	24263	\N	\N	\N
282929	971	1998-12-11	PRIJEM	VKLAD	13949	29676	\N	\N	\N
282942	971	1997-01-07	VYDAJ	PREVOD NA UCET	3860	32147	SIPO	YZ	43347799
282943	971	1997-02-07	VYDAJ	PREVOD NA UCET	3860	9956	SIPO	YZ	43347799
282944	971	1997-03-07	VYDAJ	PREVOD NA UCET	3860	18810	SIPO	YZ	43347799
282945	971	1997-04-07	VYDAJ	PREVOD NA UCET	3860	23341	SIPO	YZ	43347799
282946	971	1997-05-07	VYDAJ	PREVOD NA UCET	3860	27792	SIPO	YZ	43347799
282947	971	1997-06-07	VYDAJ	PREVOD NA UCET	3860	30456	SIPO	YZ	43347799
282948	971	1997-07-07	VYDAJ	PREVOD NA UCET	3860	32180	SIPO	YZ	43347799
282949	971	1997-08-07	VYDAJ	PREVOD NA UCET	3860	31353	SIPO	YZ	43347799
282950	971	1997-09-07	VYDAJ	PREVOD NA UCET	3860	28838	SIPO	YZ	43347799
282951	971	1997-10-07	VYDAJ	PREVOD NA UCET	3860	32007	SIPO	YZ	43347799
282952	971	1997-11-07	VYDAJ	PREVOD NA UCET	3860	33083	SIPO	YZ	43347799
282953	971	1997-12-07	VYDAJ	PREVOD NA UCET	3860	37458	SIPO	YZ	43347799
282954	971	1998-01-07	VYDAJ	PREVOD NA UCET	3860	38291	SIPO	YZ	43347799
282955	971	1998-02-07	VYDAJ	PREVOD NA UCET	3860	22401	SIPO	YZ	43347799
282956	971	1998-03-07	VYDAJ	PREVOD NA UCET	3860	31358	SIPO	YZ	43347799
282957	971	1998-04-07	VYDAJ	PREVOD NA UCET	3860	39953	SIPO	YZ	43347799
282958	971	1998-05-07	VYDAJ	PREVOD NA UCET	3860	37109	SIPO	YZ	43347799
282959	971	1998-06-07	VYDAJ	PREVOD NA UCET	3860	28459	SIPO	YZ	43347799
282960	971	1998-07-07	VYDAJ	PREVOD NA UCET	3860	35188	SIPO	YZ	43347799
282961	971	1998-08-07	VYDAJ	PREVOD NA UCET	3860	23854	SIPO	YZ	43347799
282962	971	1998-09-07	VYDAJ	PREVOD NA UCET	3860	21712	SIPO	YZ	43347799
282963	971	1998-10-07	VYDAJ	PREVOD NA UCET	3860	17262	SIPO	YZ	43347799
282964	971	1998-11-07	VYDAJ	PREVOD NA UCET	3860	14964	SIPO	YZ	43347799
282965	971	1998-12-07	VYDAJ	PREVOD NA UCET	3860	15728	SIPO	YZ	43347799
282968	971	1998-06-03	VYDAJ	VYBER	7840	32319	\N	\N	\N
282970	971	1997-01-11	VYDAJ	VYBER	13280	28166	\N	\N	\N
282971	971	1998-01-14	VYDAJ	VYBER	9760	31890	\N	\N	\N
282972	971	1996-12-22	VYDAJ	VYBER	4160	35875	\N	\N	\N
282973	971	1997-12-06	VYDAJ	VYBER	1920	41318	\N	\N	\N
282974	971	1998-12-29	VYDAJ	VYBER	1440	28236	\N	\N	\N
282981	971	1997-01-23	VYDAJ	VYBER	2400	21866	\N	\N	\N
282982	971	1997-01-25	VYDAJ	VYBER	1440	20426	\N	\N	\N
282983	971	1997-01-20	VYDAJ	VYBER	3480	27986	\N	\N	\N
282984	971	1997-01-29	VYDAJ	VYBER	2880	17546	\N	\N	\N
282985	971	1997-01-21	VYDAJ	VYBER	600	27386	\N	\N	\N
282986	971	1997-01-22	VYDAJ	VYBER	3120	24266	\N	\N	\N
282987	971	1998-01-30	VYDAJ	VYBER	1200	26130	\N	\N	\N
282988	971	1998-01-06	VYDAJ	VYBER	2160	42151	\N	\N	\N
282989	971	1998-01-09	VYDAJ	VYBER	1440	36851	\N	\N	\N
282990	971	1998-01-23	VYDAJ	VYBER	1080	30810	\N	\N	\N
282991	971	1998-01-29	VYDAJ	VYBER	1800	29010	\N	\N	\N
282992	971	1998-01-29	VYDAJ	VYBER	1680	27330	\N	\N	\N
282997	971	1997-08-11	VYDAJ	VYBER	4680	35972	\N	\N	\N
282998	971	1997-02-02	VYDAJ	VYBER	3840	13816	\N	\N	\N
283000	971	1997-02-23	VYDAJ	VYBER	5160	22595	\N	\N	\N
283001	971	1997-12-14	VYDAJ	VYBER	960	44147	\N	\N	\N
283002	971	1998-10-14	VYDAJ	VYBER	4680	21881	\N	\N	\N
283003	971	1998-11-03	VYDAJ	VYBER	3840	18124	\N	\N	\N
283004	971	1998-04-26	VYDAJ	VYBER	840	40812	\N	\N	\N
283005	971	1998-11-13	VYDAJ	VYBER	5040	19223	\N	\N	\N
283018	971	1996-12-31	VYDAJ	VYBER	15	36007	SLUZBY	\N	\N
283019	971	1997-01-31	VYDAJ	VYBER	15	17656	SLUZBY	\N	\N
283020	971	1997-02-28	VYDAJ	VYBER	15	22670	SLUZBY	\N	\N
283021	971	1997-03-31	VYDAJ	VYBER	15	27201	SLUZBY	\N	\N
283022	971	1997-04-30	VYDAJ	VYBER	15	31652	SLUZBY	\N	\N
283023	971	1997-05-31	VYDAJ	VYBER	15	34316	SLUZBY	\N	\N
283024	971	1997-06-30	VYDAJ	VYBER	15	36040	SLUZBY	\N	\N
283025	971	1997-07-31	VYDAJ	VYBER	15	35213	SLUZBY	\N	\N
283026	971	1997-08-31	VYDAJ	VYBER	15	32698	SLUZBY	\N	\N
283027	971	1997-09-30	VYDAJ	VYBER	15	35867	SLUZBY	\N	\N
283028	971	1997-10-31	VYDAJ	VYBER	15	36943	SLUZBY	\N	\N
283029	971	1997-11-30	VYDAJ	VYBER	15	43238	SLUZBY	\N	\N
283030	971	1997-12-31	VYDAJ	VYBER	15	44311	SLUZBY	\N	\N
283031	971	1998-01-31	VYDAJ	VYBER	15	26261	SLUZBY	\N	\N
283032	971	1998-02-28	VYDAJ	VYBER	15	35218	SLUZBY	\N	\N
283033	971	1998-03-31	VYDAJ	VYBER	15	43813	SLUZBY	\N	\N
283034	971	1998-04-30	VYDAJ	VYBER	15	40969	SLUZBY	\N	\N
283035	971	1998-05-31	VYDAJ	VYBER	15	40159	SLUZBY	\N	\N
283036	971	1998-06-30	VYDAJ	VYBER	15	39048	SLUZBY	\N	\N
283037	971	1998-07-31	VYDAJ	VYBER	15	34014	SLUZBY	\N	\N
283038	971	1998-08-31	VYDAJ	VYBER	15	33272	SLUZBY	\N	\N
283039	971	1998-09-30	VYDAJ	VYBER	15	31122	SLUZBY	\N	\N
283040	971	1998-10-31	VYDAJ	VYBER	15	21964	SLUZBY	\N	\N
283041	971	1998-11-30	VYDAJ	VYBER	15	19288	SLUZBY	\N	\N
283042	971	1996-08-17	PRIJEM	VKLAD	8500	18299	\N	\N	\N
283043	971	1996-09-16	PRIJEM	VKLAD	400	28035	\N	\N	\N
283044	971	1996-10-16	VYDAJ	VYBER	6000	31430	\N	\N	\N
283045	971	1996-11-15	VYDAJ	VYBER	8600	32254	\N	\N	\N
283046	971	1996-12-15	VYDAJ	VYBER	6300	40035	\N	\N	\N
283047	971	1997-01-14	PRIJEM	VKLAD	3300	31466	\N	\N	\N
283048	971	1997-02-13	PRIJEM	VKLAD	8500	27755	\N	\N	\N
283049	971	1997-03-15	VYDAJ	VYBER	1000	27109	\N	\N	\N
283050	971	1997-04-14	VYDAJ	VYBER	1100	31540	\N	\N	\N
283051	971	1997-05-14	VYDAJ	VYBER	2900	34191	\N	\N	\N
283052	971	1997-06-13	VYDAJ	VYBER	8500	35905	\N	\N	\N
283053	971	1997-07-13	VYDAJ	VYBER	6400	35079	\N	\N	\N
283054	971	1997-08-12	VYDAJ	VYBER	3400	32572	\N	\N	\N
283055	971	1997-09-11	VYDAJ	VYBER	2400	35737	\N	\N	\N
283056	971	1997-10-11	VYDAJ	VYBER	4500	36806	\N	\N	\N
283057	971	1997-11-10	PRIJEM	VKLAD	700	33783	\N	\N	\N
283058	971	1997-12-10	VYDAJ	VYBER	6300	31158	\N	\N	\N
283059	971	1998-01-09	VYDAJ	VYBER	4500	32351	\N	\N	\N
283060	971	1998-02-08	PRIJEM	VKLAD	3400	25801	\N	\N	\N
283061	971	1998-03-10	PRIJEM	VKLAD	3000	34358	\N	\N	\N
283062	971	1998-04-09	VYDAJ	VYBER	7600	32353	\N	\N	\N
283063	971	1998-05-09	VYDAJ	VYBER	6400	30709	\N	\N	\N
283064	971	1998-06-08	VYDAJ	VYBER	3500	24959	\N	\N	\N
283065	971	1998-07-08	VYDAJ	VYBER	10600	24588	\N	\N	\N
283066	971	1998-08-07	VYDAJ	VYBER	6300	27714	\N	\N	\N
283067	971	1998-09-06	VYDAJ	VYBER	7700	25572	\N	\N	\N
283068	971	1998-10-06	VYDAJ	VYBER	10000	21122	\N	\N	\N
283069	971	1998-11-05	PRIJEM	VKLAD	700	18824	\N	\N	\N
283070	971	1998-12-05	PRIJEM	VKLAD	300	19588	\N	\N	\N
283100	972	1996-09-29	PRIJEM	VKLAD	600	600	\N	\N	\N
283110	972	1996-10-13	PRIJEM	PREVOD Z UCTU	3058	3658	\N	KL	83651440
283111	972	1996-11-13	PRIJEM	PREVOD Z UCTU	3058	6716	\N	KL	83651440
283112	972	1996-12-13	PRIJEM	PREVOD Z UCTU	3058	9774	\N	KL	83651440
283113	972	1997-01-13	PRIJEM	PREVOD Z UCTU	3058	12832	\N	KL	83651440
283114	972	1997-02-13	PRIJEM	PREVOD Z UCTU	3058	15398	\N	KL	83651440
283115	972	1997-03-13	PRIJEM	PREVOD Z UCTU	3058	16059	\N	KL	83651440
283116	972	1997-04-13	PRIJEM	PREVOD Z UCTU	3058	17125	\N	KL	83651440
283117	972	1997-05-13	PRIJEM	PREVOD Z UCTU	3058	18196	\N	KL	83651440
283118	972	1997-06-13	PRIJEM	PREVOD Z UCTU	3058	14167	\N	KL	83651440
283119	972	1997-07-13	PRIJEM	PREVOD Z UCTU	3058	15225	\N	KL	83651440
283120	972	1997-08-13	PRIJEM	PREVOD Z UCTU	3058	16288	\N	KL	83651440
283121	972	1997-09-13	PRIJEM	PREVOD Z UCTU	3058	12450	\N	KL	83651440
283122	972	1997-10-13	PRIJEM	PREVOD Z UCTU	3058	12600	\N	KL	83651440
283123	972	1997-11-13	PRIJEM	PREVOD Z UCTU	3058	13652	\N	KL	83651440
283124	972	1997-12-13	PRIJEM	PREVOD Z UCTU	3058	14708	\N	KL	83651440
283125	972	1998-01-13	PRIJEM	PREVOD Z UCTU	3058	14957	\N	KL	83651440
283126	972	1998-02-13	PRIJEM	PREVOD Z UCTU	3058	16019	\N	KL	83651440
283127	972	1998-03-13	PRIJEM	PREVOD Z UCTU	3058	16274	\N	KL	83651440
283128	972	1998-04-13	PRIJEM	PREVOD Z UCTU	3058	17341	\N	KL	83651440
283129	972	1998-05-13	PRIJEM	PREVOD Z UCTU	3058	18022	\N	KL	83651440
283130	972	1998-06-13	PRIJEM	PREVOD Z UCTU	3058	19096	\N	KL	83651440
283131	972	1998-07-13	PRIJEM	PREVOD Z UCTU	3058	19695	\N	KL	83651440
283132	972	1998-08-13	PRIJEM	PREVOD Z UCTU	3058	20776	\N	KL	83651440
283133	972	1998-09-13	PRIJEM	PREVOD Z UCTU	3058	21862	\N	KL	83651440
283134	972	1998-10-13	PRIJEM	PREVOD Z UCTU	3058	20579	\N	KL	83651440
283135	972	1998-11-13	PRIJEM	PREVOD Z UCTU	3058	21664	\N	KL	83651440
283136	972	1998-12-13	PRIJEM	PREVOD Z UCTU	3058	21461	\N	KL	83651440
283151	972	1997-03-09	VYDAJ	PREVOD NA UCET	897	13001	\N	OP	64758044
283152	972	1997-04-09	VYDAJ	PREVOD NA UCET	897	14067	\N	OP	64758044
283153	972	1997-05-09	VYDAJ	PREVOD NA UCET	897	15138	\N	OP	64758044
283154	972	1997-06-09	VYDAJ	PREVOD NA UCET	897	11109	\N	OP	64758044
283155	972	1997-07-09	VYDAJ	PREVOD NA UCET	897	12167	\N	OP	64758044
283156	972	1997-08-09	VYDAJ	PREVOD NA UCET	897	13230	\N	OP	64758044
283157	972	1997-09-09	VYDAJ	PREVOD NA UCET	897	9392	\N	OP	64758044
283158	972	1997-10-09	VYDAJ	PREVOD NA UCET	897	9542	\N	OP	64758044
283159	972	1997-11-09	VYDAJ	PREVOD NA UCET	897	10594	\N	OP	64758044
283160	972	1997-12-09	VYDAJ	PREVOD NA UCET	897	11650	\N	OP	64758044
283161	972	1998-01-09	VYDAJ	PREVOD NA UCET	897	11899	\N	OP	64758044
283162	972	1998-02-09	VYDAJ	PREVOD NA UCET	897	12961	\N	OP	64758044
283163	972	1998-03-09	VYDAJ	PREVOD NA UCET	897	13216	\N	OP	64758044
283164	972	1998-04-09	VYDAJ	PREVOD NA UCET	897	14283	\N	OP	64758044
283165	972	1998-05-09	VYDAJ	PREVOD NA UCET	897	14964	\N	OP	64758044
283166	972	1998-06-09	VYDAJ	PREVOD NA UCET	897	16038	\N	OP	64758044
283167	972	1998-07-09	VYDAJ	PREVOD NA UCET	897	16637	\N	OP	64758044
283168	972	1998-08-09	VYDAJ	PREVOD NA UCET	897	17718	\N	OP	64758044
283169	972	1998-09-09	VYDAJ	PREVOD NA UCET	897	18804	\N	OP	64758044
283170	972	1998-10-09	VYDAJ	PREVOD NA UCET	897	17521	\N	OP	64758044
283171	972	1998-11-09	VYDAJ	PREVOD NA UCET	897	18606	\N	OP	64758044
283172	972	1998-12-09	VYDAJ	PREVOD NA UCET	897	18403	\N	OP	64758044
283186	972	1997-02-14	VYDAJ	PREVOD NA UCET	1141	14257	\N	YZ	58550822
283187	972	1997-03-14	VYDAJ	PREVOD NA UCET	1141	14918	\N	YZ	58550822
283188	972	1997-04-14	VYDAJ	PREVOD NA UCET	1141	15984	\N	YZ	58550822
283189	972	1997-05-14	VYDAJ	PREVOD NA UCET	1141	17055	\N	YZ	58550822
283190	972	1997-06-14	VYDAJ	PREVOD NA UCET	1141	13026	\N	YZ	58550822
283191	972	1997-07-14	VYDAJ	PREVOD NA UCET	1141	14084	\N	YZ	58550822
283192	972	1997-08-14	VYDAJ	PREVOD NA UCET	1141	15147	\N	YZ	58550822
283193	972	1997-09-14	VYDAJ	PREVOD NA UCET	1141	11309	\N	YZ	58550822
283194	972	1997-10-14	VYDAJ	PREVOD NA UCET	1141	11459	\N	YZ	58550822
283195	972	1997-11-14	VYDAJ	PREVOD NA UCET	1141	12511	\N	YZ	58550822
283196	972	1997-12-14	VYDAJ	PREVOD NA UCET	1141	13567	\N	YZ	58550822
283197	972	1998-01-14	VYDAJ	PREVOD NA UCET	1141	13816	\N	YZ	58550822
283198	972	1998-02-14	VYDAJ	PREVOD NA UCET	1141	14878	\N	YZ	58550822
283199	972	1998-03-14	VYDAJ	PREVOD NA UCET	1141	15133	\N	YZ	58550822
283200	972	1998-04-14	VYDAJ	PREVOD NA UCET	1141	16200	\N	YZ	58550822
283201	972	1998-05-14	VYDAJ	PREVOD NA UCET	1141	16881	\N	YZ	58550822
283202	972	1998-06-14	VYDAJ	PREVOD NA UCET	1141	17955	\N	YZ	58550822
283203	972	1998-07-14	VYDAJ	PREVOD NA UCET	1141	18554	\N	YZ	58550822
283204	972	1998-08-14	VYDAJ	PREVOD NA UCET	1141	19635	\N	YZ	58550822
283205	972	1998-09-14	VYDAJ	PREVOD NA UCET	1141	20721	\N	YZ	58550822
283206	972	1998-10-14	VYDAJ	PREVOD NA UCET	1141	19438	\N	YZ	58550822
283207	972	1998-11-14	VYDAJ	PREVOD NA UCET	1141	20523	\N	YZ	58550822
283208	972	1998-12-14	VYDAJ	PREVOD NA UCET	1141	20320	\N	YZ	58550822
283210	972	1997-12-23	VYDAJ	VYBER	810	12757	\N	\N	\N
283211	972	1998-12-14	VYDAJ	VYBER	360	19960	\N	\N	\N
283223	972	1998-12-14	VYDAJ	VYBER	270	19690	\N	\N	\N
283224	972	1998-10-07	VYDAJ	VYBER	930	18418	\N	\N	\N
283225	972	1998-11-20	VYDAJ	VYBER	1290	19233	\N	\N	\N
283226	972	1998-09-16	VYDAJ	VYBER	1440	19281	\N	\N	\N
283227	972	1998-04-28	VYDAJ	VYBER	390	15810	\N	\N	\N
283228	972	1998-02-27	VYDAJ	VYBER	810	14068	\N	\N	\N
283229	972	1998-07-01	VYDAJ	VYBER	480	17534	\N	\N	\N
283244	972	1997-02-28	VYDAJ	VYBER	15	13898	SLUZBY	\N	\N
283245	972	1997-03-31	VYDAJ	VYBER	15	14964	SLUZBY	\N	\N
283246	972	1997-04-30	VYDAJ	VYBER	15	16035	SLUZBY	\N	\N
283247	972	1997-05-31	VYDAJ	VYBER	15	12006	SLUZBY	\N	\N
283248	972	1997-06-30	VYDAJ	VYBER	15	13064	SLUZBY	\N	\N
283249	972	1997-07-31	VYDAJ	VYBER	15	14127	SLUZBY	\N	\N
283250	972	1997-08-31	VYDAJ	VYBER	15	10289	SLUZBY	\N	\N
283251	972	1997-09-30	VYDAJ	VYBER	15	10439	SLUZBY	\N	\N
283252	972	1997-10-31	VYDAJ	VYBER	15	11491	SLUZBY	\N	\N
283253	972	1997-11-30	VYDAJ	VYBER	15	12547	SLUZBY	\N	\N
283254	972	1997-12-31	VYDAJ	VYBER	15	12796	SLUZBY	\N	\N
283255	972	1998-01-31	VYDAJ	VYBER	15	13858	SLUZBY	\N	\N
283256	972	1998-02-28	VYDAJ	VYBER	15	14113	SLUZBY	\N	\N
283257	972	1998-03-31	VYDAJ	VYBER	15	15180	SLUZBY	\N	\N
283258	972	1998-04-30	VYDAJ	VYBER	15	15861	SLUZBY	\N	\N
283259	972	1998-05-31	VYDAJ	VYBER	15	16935	SLUZBY	\N	\N
283260	972	1998-06-30	VYDAJ	VYBER	15	18014	SLUZBY	\N	\N
283261	972	1998-07-31	VYDAJ	VYBER	15	18615	SLUZBY	\N	\N
283262	972	1998-08-31	VYDAJ	VYBER	15	19701	SLUZBY	\N	\N
283263	972	1998-09-30	VYDAJ	VYBER	15	19348	SLUZBY	\N	\N
283264	972	1998-10-31	VYDAJ	VYBER	15	19503	SLUZBY	\N	\N
283265	972	1998-11-30	VYDAJ	VYBER	15	19300	SLUZBY	\N	\N
283266	972	1997-01-27	VYDAJ	VYBER	500	12332	\N	\N	\N
283267	972	1997-02-26	VYDAJ	VYBER	400	13857	\N	\N	\N
283268	972	1997-05-27	VYDAJ	VYBER	5100	11955	\N	\N	\N
283269	972	1997-08-25	VYDAJ	VYBER	4900	10247	\N	\N	\N
283270	972	1997-09-24	VYDAJ	VYBER	900	10409	\N	\N	\N
283295	973	1994-11-05	PRIJEM	VKLAD	600	600	\N	\N	\N
283306	973	1994-11-14	PRIJEM	PREVOD Z UCTU	5760	6360	DUCHOD	YZ	40719056
283307	973	1994-12-14	PRIJEM	PREVOD Z UCTU	5760	12135	DUCHOD	YZ	40719056
283308	973	1995-01-14	PRIJEM	PREVOD Z UCTU	5760	17922	DUCHOD	YZ	40719056
283309	973	1995-02-14	PRIJEM	PREVOD Z UCTU	5760	23708	DUCHOD	YZ	40719056
283310	973	1995-03-14	PRIJEM	PREVOD Z UCTU	5760	29495	DUCHOD	YZ	40719056
283311	973	1995-04-14	PRIJEM	PREVOD Z UCTU	5760	29127	DUCHOD	YZ	40719056
283312	973	1995-05-14	PRIJEM	PREVOD Z UCTU	5760	32074	DUCHOD	YZ	40719056
283313	973	1995-06-14	PRIJEM	PREVOD Z UCTU	5760	24213	DUCHOD	YZ	40719056
283314	973	1995-07-14	PRIJEM	PREVOD Z UCTU	5760	27151	DUCHOD	YZ	40719056
283315	973	1995-08-14	PRIJEM	PREVOD Z UCTU	5760	30084	DUCHOD	YZ	40719056
283316	973	1995-09-14	PRIJEM	PREVOD Z UCTU	5760	33029	DUCHOD	YZ	40719056
283317	973	1995-10-14	PRIJEM	PREVOD Z UCTU	5760	34992	DUCHOD	YZ	40719056
283318	973	1995-11-14	PRIJEM	PREVOD Z UCTU	5760	37965	DUCHOD	YZ	40719056
283319	973	1995-12-14	PRIJEM	PREVOD Z UCTU	5760	40149	DUCHOD	YZ	40719056
283320	973	1996-01-14	PRIJEM	PREVOD Z UCTU	5760	36077	DUCHOD	YZ	40719056
283321	973	1996-02-14	PRIJEM	PREVOD Z UCTU	5760	37653	DUCHOD	YZ	40719056
283322	973	1996-03-14	PRIJEM	PREVOD Z UCTU	5760	37589	DUCHOD	YZ	40719056
283323	973	1996-04-14	PRIJEM	PREVOD Z UCTU	5760	40577	DUCHOD	YZ	40719056
283324	973	1996-05-14	PRIJEM	PREVOD Z UCTU	5760	40369	DUCHOD	YZ	40719056
283325	973	1996-06-14	PRIJEM	PREVOD Z UCTU	5760	40275	DUCHOD	YZ	40719056
283326	973	1996-07-14	PRIJEM	PREVOD Z UCTU	5760	39410	DUCHOD	YZ	40719056
283327	973	1996-08-14	PRIJEM	PREVOD Z UCTU	5760	39770	DUCHOD	YZ	40719056
283328	973	1996-09-14	PRIJEM	PREVOD Z UCTU	5760	42763	DUCHOD	YZ	40719056
283329	973	1996-10-14	PRIJEM	PREVOD Z UCTU	5760	45665	DUCHOD	YZ	40719056
283330	973	1996-11-14	PRIJEM	PREVOD Z UCTU	5760	42873	DUCHOD	YZ	40719056
283331	973	1996-12-14	PRIJEM	PREVOD Z UCTU	5760	42667	DUCHOD	YZ	40719056
283332	973	1997-01-14	PRIJEM	PREVOD Z UCTU	5760	36896	DUCHOD	YZ	40719056
283333	973	1997-02-14	PRIJEM	PREVOD Z UCTU	5760	35515	DUCHOD	YZ	40719056
283334	973	1997-03-14	PRIJEM	PREVOD Z UCTU	5760	38081	DUCHOD	YZ	40719056
283335	973	1997-04-14	PRIJEM	PREVOD Z UCTU	5760	38455	DUCHOD	YZ	40719056
283336	973	1997-05-14	PRIJEM	PREVOD Z UCTU	5760	40733	DUCHOD	YZ	40719056
283337	973	1997-06-14	PRIJEM	PREVOD Z UCTU	5760	30078	DUCHOD	YZ	40719056
283338	973	1997-07-14	PRIJEM	PREVOD Z UCTU	5760	33053	DUCHOD	YZ	40719056
283339	973	1997-08-14	PRIJEM	PREVOD Z UCTU	5760	35616	DUCHOD	YZ	40719056
283340	973	1997-09-14	PRIJEM	PREVOD Z UCTU	5760	35710	DUCHOD	YZ	40719056
283341	973	1997-10-14	PRIJEM	PREVOD Z UCTU	5760	35677	DUCHOD	YZ	40719056
283342	973	1997-11-14	PRIJEM	PREVOD Z UCTU	5760	34882	DUCHOD	YZ	40719056
283343	973	1997-12-14	PRIJEM	PREVOD Z UCTU	5760	32715	DUCHOD	YZ	40719056
283344	973	1998-01-14	PRIJEM	PREVOD Z UCTU	5760	35670	DUCHOD	YZ	40719056
283345	973	1998-02-14	PRIJEM	PREVOD Z UCTU	5760	35471	DUCHOD	YZ	40719056
283346	973	1998-03-14	PRIJEM	PREVOD Z UCTU	5760	38442	DUCHOD	YZ	40719056
283347	973	1998-04-14	PRIJEM	PREVOD Z UCTU	5760	41427	DUCHOD	YZ	40719056
283348	973	1998-05-14	PRIJEM	PREVOD Z UCTU	5760	42914	DUCHOD	YZ	40719056
283349	973	1998-06-14	PRIJEM	PREVOD Z UCTU	5760	40100	DUCHOD	YZ	40719056
283350	973	1998-07-14	PRIJEM	PREVOD Z UCTU	5760	30821	DUCHOD	YZ	40719056
283351	973	1998-08-14	PRIJEM	PREVOD Z UCTU	5760	27900	DUCHOD	YZ	40719056
283352	973	1998-09-14	PRIJEM	PREVOD Z UCTU	5760	27049	DUCHOD	YZ	40719056
283353	973	1998-10-14	PRIJEM	PREVOD Z UCTU	5760	24770	DUCHOD	YZ	40719056
283354	973	1998-11-14	PRIJEM	PREVOD Z UCTU	5760	24005	DUCHOD	YZ	40719056
283355	973	1998-12-14	PRIJEM	PREVOD Z UCTU	5760	26922	DUCHOD	YZ	40719056
283370	973	1995-03-14	VYDAJ	PREVOD NA UCET	2909	26586	SIPO	KL	42422169
283371	973	1995-04-14	VYDAJ	PREVOD NA UCET	2909	26218	SIPO	KL	42422169
283372	973	1995-05-14	VYDAJ	PREVOD NA UCET	2909	29165	SIPO	KL	42422169
283373	973	1995-06-14	VYDAJ	PREVOD NA UCET	2909	21304	SIPO	KL	42422169
283374	973	1995-07-14	VYDAJ	PREVOD NA UCET	2909	24242	SIPO	KL	42422169
283375	973	1995-08-14	VYDAJ	PREVOD NA UCET	2909	27175	SIPO	KL	42422169
283376	973	1995-09-14	VYDAJ	PREVOD NA UCET	2909	30120	SIPO	KL	42422169
283377	973	1995-10-14	VYDAJ	PREVOD NA UCET	2909	32083	SIPO	KL	42422169
283378	973	1995-11-14	VYDAJ	PREVOD NA UCET	2909	35056	SIPO	KL	42422169
283379	973	1995-12-14	VYDAJ	PREVOD NA UCET	2909	37240	SIPO	KL	42422169
283380	973	1996-01-14	VYDAJ	PREVOD NA UCET	2909	33168	SIPO	KL	42422169
283381	973	1996-02-14	VYDAJ	PREVOD NA UCET	2909	34744	SIPO	KL	42422169
283382	973	1996-03-14	VYDAJ	PREVOD NA UCET	2909	34680	SIPO	KL	42422169
283383	973	1996-04-14	VYDAJ	PREVOD NA UCET	2909	37668	SIPO	KL	42422169
283384	973	1996-05-14	VYDAJ	PREVOD NA UCET	2909	37460	SIPO	KL	42422169
283385	973	1996-06-14	VYDAJ	PREVOD NA UCET	2909	37366	SIPO	KL	42422169
283386	973	1996-07-14	VYDAJ	PREVOD NA UCET	2909	36501	SIPO	KL	42422169
283387	973	1996-08-14	VYDAJ	PREVOD NA UCET	2909	36861	SIPO	KL	42422169
283388	973	1996-09-14	VYDAJ	PREVOD NA UCET	2909	39854	SIPO	KL	42422169
283389	973	1996-10-14	VYDAJ	PREVOD NA UCET	2909	42756	SIPO	KL	42422169
283390	973	1996-11-14	VYDAJ	PREVOD NA UCET	2909	39964	SIPO	KL	42422169
283391	973	1996-12-14	VYDAJ	PREVOD NA UCET	2909	39758	SIPO	KL	42422169
283392	973	1997-01-14	VYDAJ	PREVOD NA UCET	2909	33987	SIPO	KL	42422169
283393	973	1997-02-14	VYDAJ	PREVOD NA UCET	2909	32606	SIPO	KL	42422169
283394	973	1997-03-14	VYDAJ	PREVOD NA UCET	2909	35172	SIPO	KL	42422169
283395	973	1997-04-14	VYDAJ	PREVOD NA UCET	2909	35546	SIPO	KL	42422169
283396	973	1997-05-14	VYDAJ	PREVOD NA UCET	2909	37824	SIPO	KL	42422169
283397	973	1997-06-14	VYDAJ	PREVOD NA UCET	2909	27169	SIPO	KL	42422169
283398	973	1997-07-14	VYDAJ	PREVOD NA UCET	2909	30144	SIPO	KL	42422169
283399	973	1997-08-14	VYDAJ	PREVOD NA UCET	2909	32707	SIPO	KL	42422169
283400	973	1997-09-14	VYDAJ	PREVOD NA UCET	2909	32801	SIPO	KL	42422169
283401	973	1997-10-14	VYDAJ	PREVOD NA UCET	2909	32768	SIPO	KL	42422169
283402	973	1997-11-14	VYDAJ	PREVOD NA UCET	2909	31973	SIPO	KL	42422169
283403	973	1997-12-14	VYDAJ	PREVOD NA UCET	2909	29806	SIPO	KL	42422169
283404	973	1998-01-14	VYDAJ	PREVOD NA UCET	2909	32761	SIPO	KL	42422169
283405	973	1998-02-14	VYDAJ	PREVOD NA UCET	2909	32562	SIPO	KL	42422169
283406	973	1998-03-14	VYDAJ	PREVOD NA UCET	2909	35533	SIPO	KL	42422169
283407	973	1998-04-14	VYDAJ	PREVOD NA UCET	2909	38518	SIPO	KL	42422169
283408	973	1998-05-14	VYDAJ	PREVOD NA UCET	2909	40005	SIPO	KL	42422169
283409	973	1998-06-14	VYDAJ	PREVOD NA UCET	2909	37191	SIPO	KL	42422169
283410	973	1998-07-14	VYDAJ	PREVOD NA UCET	2909	27912	SIPO	KL	42422169
283411	973	1998-08-14	VYDAJ	PREVOD NA UCET	2909	24991	SIPO	KL	42422169
283412	973	1998-09-14	VYDAJ	PREVOD NA UCET	2909	24140	SIPO	KL	42422169
283413	973	1998-10-14	VYDAJ	PREVOD NA UCET	2909	21861	SIPO	KL	42422169
283414	973	1998-11-14	VYDAJ	PREVOD NA UCET	2909	21096	SIPO	KL	42422169
283415	973	1998-12-14	VYDAJ	PREVOD NA UCET	2909	24013	SIPO	KL	42422169
283417	973	1995-06-13	VYDAJ	VYBER	10100	18453	\N	\N	\N
283418	973	1996-06-27	VYDAJ	VYBER	2150	35216	\N	\N	\N
283419	973	1997-06-11	VYDAJ	VYBER	13650	24318	\N	\N	\N
283420	973	1998-06-29	VYDAJ	VYBER	6250	24941	\N	\N	\N
283423	973	1996-01-07	VYDAJ	VYBER	4100	30317	\N	\N	\N
283424	973	1997-01-24	VYDAJ	VYBER	2750	29637	\N	\N	\N
283425	973	1998-01-15	VYDAJ	VYBER	2200	30561	\N	\N	\N
283431	973	1995-06-07	VYDAJ	VYBER	720	28553	\N	\N	\N
283432	973	1995-03-24	VYDAJ	VYBER	3280	23306	\N	\N	\N
283434	973	1995-12-25	VYDAJ	VYBER	2960	34280	\N	\N	\N
283435	973	1996-12-26	VYDAJ	VYBER	3120	31638	\N	\N	\N
283436	973	1996-07-17	VYDAJ	VYBER	1040	35461	\N	\N	\N
283437	973	1996-03-05	VYDAJ	VYBER	3040	31829	\N	\N	\N
283438	973	1996-05-29	VYDAJ	VYBER	880	34380	\N	\N	\N
283439	973	1996-08-01	VYDAJ	VYBER	880	34010	\N	\N	\N
283440	973	1997-10-27	VYDAJ	VYBER	3760	29008	\N	\N	\N
283441	973	1997-08-02	VYDAJ	VYBER	400	29856	\N	\N	\N
283442	973	1997-11-15	VYDAJ	VYBER	3040	28933	\N	\N	\N
283443	973	1997-01-08	VYDAJ	VYBER	640	31136	\N	\N	\N
283444	973	1997-09-05	VYDAJ	VYBER	2880	29950	\N	\N	\N
283445	973	1997-11-20	VYDAJ	VYBER	2080	26853	\N	\N	\N
283446	973	1998-01-24	VYDAJ	VYBER	960	29601	\N	\N	\N
283448	973	1998-10-20	VYDAJ	VYBER	3680	18181	\N	\N	\N
283449	973	1998-09-08	VYDAJ	VYBER	1280	21289	\N	\N	\N
283450	973	1998-07-27	VYDAJ	VYBER	2560	22052	\N	\N	\N
283467	973	1995-03-31	VYDAJ	VYBER	15	23367	SLUZBY	\N	\N
283468	973	1995-04-30	VYDAJ	VYBER	15	26314	SLUZBY	\N	\N
283469	973	1995-05-31	VYDAJ	VYBER	15	29273	SLUZBY	\N	\N
283470	973	1995-06-30	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
283471	973	1995-07-31	VYDAJ	VYBER	15	24324	SLUZBY	\N	\N
283472	973	1995-08-31	VYDAJ	VYBER	15	27269	SLUZBY	\N	\N
283473	973	1995-09-30	VYDAJ	VYBER	15	30232	SLUZBY	\N	\N
283474	973	1995-10-31	VYDAJ	VYBER	15	32205	SLUZBY	\N	\N
283475	973	1995-11-30	VYDAJ	VYBER	15	34389	SLUZBY	\N	\N
283476	973	1995-12-31	VYDAJ	VYBER	15	34417	SLUZBY	\N	\N
283477	973	1996-01-31	VYDAJ	VYBER	15	31893	SLUZBY	\N	\N
283478	973	1996-02-29	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
283479	973	1996-03-31	VYDAJ	VYBER	15	34817	SLUZBY	\N	\N
283480	973	1996-04-30	VYDAJ	VYBER	15	34609	SLUZBY	\N	\N
283481	973	1996-05-31	VYDAJ	VYBER	15	34515	SLUZBY	\N	\N
283482	973	1996-06-30	VYDAJ	VYBER	15	33650	SLUZBY	\N	\N
283483	973	1996-07-31	VYDAJ	VYBER	15	34890	SLUZBY	\N	\N
283484	973	1996-08-31	VYDAJ	VYBER	15	37003	SLUZBY	\N	\N
283485	973	1996-09-30	VYDAJ	VYBER	15	39905	SLUZBY	\N	\N
283486	973	1996-10-31	VYDAJ	VYBER	15	37113	SLUZBY	\N	\N
283487	973	1996-11-30	VYDAJ	VYBER	15	36907	SLUZBY	\N	\N
283488	973	1996-12-31	VYDAJ	VYBER	15	31776	SLUZBY	\N	\N
283489	973	1997-01-31	VYDAJ	VYBER	15	29755	SLUZBY	\N	\N
283490	973	1997-02-28	VYDAJ	VYBER	15	32321	SLUZBY	\N	\N
283491	973	1997-03-31	VYDAJ	VYBER	15	32695	SLUZBY	\N	\N
283492	973	1997-04-30	VYDAJ	VYBER	15	34973	SLUZBY	\N	\N
283493	973	1997-05-31	VYDAJ	VYBER	15	37968	SLUZBY	\N	\N
283494	973	1997-06-30	VYDAJ	VYBER	15	27293	SLUZBY	\N	\N
283495	973	1997-07-31	VYDAJ	VYBER	15	30256	SLUZBY	\N	\N
283496	973	1997-08-31	VYDAJ	VYBER	15	32830	SLUZBY	\N	\N
283497	973	1997-09-30	VYDAJ	VYBER	15	29917	SLUZBY	\N	\N
283498	973	1997-10-31	VYDAJ	VYBER	15	29122	SLUZBY	\N	\N
283499	973	1997-11-30	VYDAJ	VYBER	15	26955	SLUZBY	\N	\N
283500	973	1997-12-31	VYDAJ	VYBER	15	29910	SLUZBY	\N	\N
283501	973	1998-01-31	VYDAJ	VYBER	15	29711	SLUZBY	\N	\N
283502	973	1998-02-28	VYDAJ	VYBER	15	32682	SLUZBY	\N	\N
283503	973	1998-03-31	VYDAJ	VYBER	15	35667	SLUZBY	\N	\N
283504	973	1998-04-30	VYDAJ	VYBER	15	37154	SLUZBY	\N	\N
283505	973	1998-05-31	VYDAJ	VYBER	15	34340	SLUZBY	\N	\N
283506	973	1998-06-30	VYDAJ	VYBER	15	25061	SLUZBY	\N	\N
283507	973	1998-07-31	VYDAJ	VYBER	15	22140	SLUZBY	\N	\N
283508	973	1998-08-31	VYDAJ	VYBER	15	22569	SLUZBY	\N	\N
283509	973	1998-09-30	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
283510	973	1998-10-31	VYDAJ	VYBER	15	18245	SLUZBY	\N	\N
283511	973	1998-11-30	VYDAJ	VYBER	15	21162	SLUZBY	\N	\N
283512	973	1995-10-01	VYDAJ	VYBER	1000	29232	\N	\N	\N
283513	973	1995-11-30	VYDAJ	VYBER	800	34404	\N	\N	\N
283514	973	1996-01-29	VYDAJ	VYBER	1400	31768	\N	\N	\N
283515	973	1996-04-28	VYDAJ	VYBER	3200	34468	\N	\N	\N
283516	973	1996-05-28	VYDAJ	VYBER	2200	35260	\N	\N	\N
283517	973	1996-06-27	VYDAJ	VYBER	1700	33516	\N	\N	\N
283518	973	1996-07-27	VYDAJ	VYBER	700	34761	\N	\N	\N
283519	973	1996-09-25	VYDAJ	VYBER	100	39754	\N	\N	\N
283520	973	1996-10-25	VYDAJ	VYBER	5800	36956	\N	\N	\N
283521	973	1996-11-24	VYDAJ	VYBER	3200	36764	\N	\N	\N
283522	973	1996-12-24	VYDAJ	VYBER	5000	34758	\N	\N	\N
283523	973	1997-01-23	VYDAJ	VYBER	1600	32387	\N	\N	\N
283524	973	1997-02-22	VYDAJ	VYBER	400	32206	\N	\N	\N
283525	973	1997-03-24	VYDAJ	VYBER	2600	32572	\N	\N	\N
283526	973	1997-04-23	VYDAJ	VYBER	700	34846	\N	\N	\N
283527	973	1997-09-20	VYDAJ	VYBER	3000	29801	\N	\N	\N
283528	973	1998-04-18	VYDAJ	VYBER	1500	37018	\N	\N	\N
283529	973	1998-05-18	VYDAJ	VYBER	5800	34205	\N	\N	\N
283530	973	1998-06-17	VYDAJ	VYBER	6000	31191	\N	\N	\N
283531	973	1998-07-17	VYDAJ	VYBER	3300	24612	\N	\N	\N
283532	973	1998-08-16	VYDAJ	VYBER	2500	22491	\N	\N	\N
283533	973	1998-09-15	VYDAJ	VYBER	5200	18940	\N	\N	\N
283584	974	1994-02-25	PRIJEM	VKLAD	500	500	\N	\N	\N
283587	974	1994-03-14	PRIJEM	VKLAD	24758	25258	\N	\N	\N
283588	974	1994-04-14	PRIJEM	VKLAD	24758	48432	\N	\N	\N
283589	974	1994-05-14	PRIJEM	VKLAD	24758	62198	\N	\N	\N
283590	974	1994-06-14	PRIJEM	VKLAD	37137	82997	\N	\N	\N
283591	974	1994-07-14	PRIJEM	VKLAD	24758	76451	\N	\N	\N
283592	974	1994-08-14	PRIJEM	VKLAD	24758	73906	\N	\N	\N
283593	974	1994-09-14	PRIJEM	VKLAD	24758	67749	\N	\N	\N
283594	974	1994-10-14	PRIJEM	VKLAD	24758	69674	\N	\N	\N
283595	974	1994-11-14	PRIJEM	VKLAD	24758	71306	\N	\N	\N
283596	974	1994-12-14	PRIJEM	VKLAD	37137	86826	\N	\N	\N
283597	974	1995-01-14	PRIJEM	VKLAD	24758	77564	\N	\N	\N
283598	974	1995-02-14	PRIJEM	VKLAD	24758	56611	\N	\N	\N
283599	974	1995-03-14	PRIJEM	VKLAD	24758	64497	\N	\N	\N
283600	974	1995-04-14	PRIJEM	VKLAD	24758	71215	\N	\N	\N
283601	974	1995-05-14	PRIJEM	VKLAD	24758	71051	\N	\N	\N
283602	974	1995-06-14	PRIJEM	VKLAD	37137	84267	\N	\N	\N
283603	974	1995-07-14	PRIJEM	VKLAD	24758	72716	\N	\N	\N
283604	974	1995-08-14	PRIJEM	VKLAD	24758	68527	\N	\N	\N
283605	974	1995-09-14	PRIJEM	VKLAD	24758	68599	\N	\N	\N
283606	974	1995-10-14	PRIJEM	VKLAD	24758	70127	\N	\N	\N
283607	974	1995-11-14	PRIJEM	VKLAD	24758	70459	\N	\N	\N
283608	974	1995-12-14	PRIJEM	VKLAD	37137	85075	\N	\N	\N
283609	974	1996-01-14	PRIJEM	VKLAD	24758	69409	\N	\N	\N
283610	974	1996-02-14	PRIJEM	VKLAD	24758	53228	\N	\N	\N
283611	974	1996-03-14	PRIJEM	VKLAD	24758	57180	\N	\N	\N
283612	974	1996-04-14	PRIJEM	VKLAD	24758	62009	\N	\N	\N
283613	974	1996-05-14	PRIJEM	VKLAD	24758	63814	\N	\N	\N
283614	974	1996-06-14	PRIJEM	VKLAD	37137	78303	\N	\N	\N
283615	974	1996-07-14	PRIJEM	VKLAD	24758	63559	\N	\N	\N
283616	974	1996-08-14	PRIJEM	VKLAD	24758	51026	\N	\N	\N
283617	974	1996-09-14	PRIJEM	VKLAD	24758	58561	\N	\N	\N
283618	974	1996-10-14	PRIJEM	VKLAD	24758	61334	\N	\N	\N
283619	974	1996-11-14	PRIJEM	VKLAD	24758	61927	\N	\N	\N
283620	974	1996-12-14	PRIJEM	VKLAD	37137	73705	\N	\N	\N
283621	974	1997-01-14	PRIJEM	VKLAD	24758	56994	\N	\N	\N
283622	974	1997-02-14	PRIJEM	VKLAD	24758	46515	\N	\N	\N
283623	974	1997-03-14	PRIJEM	VKLAD	24758	48152	\N	\N	\N
283624	974	1997-04-14	PRIJEM	VKLAD	24758	43931	\N	\N	\N
283625	974	1997-05-14	PRIJEM	VKLAD	24758	47048	\N	\N	\N
283626	974	1997-06-14	PRIJEM	VKLAD	37137	57599	\N	\N	\N
283627	974	1997-07-14	PRIJEM	VKLAD	24758	55749	\N	\N	\N
283628	974	1997-08-14	PRIJEM	VKLAD	24758	54822	\N	\N	\N
283629	974	1997-09-14	PRIJEM	VKLAD	24758	57889	\N	\N	\N
283630	974	1997-10-14	PRIJEM	VKLAD	24758	57165	\N	\N	\N
283631	974	1997-11-14	PRIJEM	VKLAD	24758	51245	\N	\N	\N
283632	974	1997-12-14	PRIJEM	VKLAD	37137	60789	\N	\N	\N
283633	974	1998-01-14	PRIJEM	VKLAD	24758	50827	\N	\N	\N
283634	974	1998-02-14	PRIJEM	VKLAD	24758	48045	\N	\N	\N
283635	974	1998-03-14	PRIJEM	VKLAD	24758	51486	\N	\N	\N
283636	974	1998-04-14	PRIJEM	VKLAD	24758	52634	\N	\N	\N
283637	974	1998-05-14	PRIJEM	VKLAD	24758	50691	\N	\N	\N
283638	974	1998-06-14	PRIJEM	VKLAD	37137	61017	\N	\N	\N
283639	974	1998-07-14	PRIJEM	VKLAD	24758	59089	\N	\N	\N
283640	974	1998-08-14	PRIJEM	VKLAD	24758	56875	\N	\N	\N
283641	974	1998-09-14	PRIJEM	VKLAD	24758	49329	\N	\N	\N
283642	974	1998-10-14	PRIJEM	VKLAD	24758	47275	\N	\N	\N
283643	974	1998-11-14	PRIJEM	VKLAD	24758	44909	\N	\N	\N
283644	974	1998-12-14	PRIJEM	VKLAD	37137	56212	\N	\N	\N
283648	974	1997-06-11	VYDAJ	VYBER	6400	20462	\N	\N	\N
283649	974	1998-06-27	VYDAJ	VYBER	26880	34137	\N	\N	\N
283651	974	1995-01-26	VYDAJ	VYBER	8800	35004	\N	\N	\N
283652	974	1996-01-18	VYDAJ	VYBER	4800	36109	\N	\N	\N
283653	974	1997-01-02	VYDAJ	VYBER	14080	59896	\N	\N	\N
283654	974	1998-01-29	VYDAJ	VYBER	14400	24787	\N	\N	\N
283661	974	1995-01-17	VYDAJ	VYBER	2640	68924	\N	\N	\N
283662	974	1995-01-20	VYDAJ	VYBER	720	65204	\N	\N	\N
283663	974	1995-01-02	VYDAJ	VYBER	3120	52806	\N	\N	\N
283664	974	1995-01-16	VYDAJ	VYBER	3000	74564	\N	\N	\N
283665	974	1995-01-30	VYDAJ	VYBER	3360	31644	\N	\N	\N
283666	974	1995-01-17	VYDAJ	VYBER	3000	65924	\N	\N	\N
283667	974	1996-01-02	VYDAJ	VYBER	3240	50531	\N	\N	\N
283668	974	1996-01-30	VYDAJ	VYBER	600	28309	\N	\N	\N
283669	974	1996-01-08	VYDAJ	VYBER	3360	44651	\N	\N	\N
283670	974	1996-01-16	VYDAJ	VYBER	3000	40909	\N	\N	\N
283671	974	1996-01-28	VYDAJ	VYBER	2880	28909	\N	\N	\N
283672	974	1996-01-03	VYDAJ	VYBER	2520	48011	\N	\N	\N
283673	974	1997-01-04	VYDAJ	VYBER	1200	58696	\N	\N	\N
283674	974	1997-01-04	VYDAJ	VYBER	1560	57136	\N	\N	\N
283675	974	1997-01-19	VYDAJ	VYBER	3360	51834	\N	\N	\N
283676	974	1997-01-23	VYDAJ	VYBER	1200	50634	\N	\N	\N
283677	974	1997-01-15	VYDAJ	VYBER	1800	55194	\N	\N	\N
283678	974	1997-01-12	VYDAJ	VYBER	1200	32236	\N	\N	\N
283679	974	1998-01-17	VYDAJ	VYBER	1080	48907	\N	\N	\N
283680	974	1998-01-16	VYDAJ	VYBER	840	49987	\N	\N	\N
283681	974	1998-01-25	VYDAJ	VYBER	1920	42547	\N	\N	\N
283682	974	1998-01-29	VYDAJ	VYBER	1680	23107	\N	\N	\N
283683	974	1998-01-01	VYDAJ	VYBER	3000	58009	\N	\N	\N
283684	974	1998-01-28	VYDAJ	VYBER	3360	39187	\N	\N	\N
283687	974	1994-08-27	VYDAJ	VYBER	4200	42806	\N	\N	\N
283688	974	1995-07-12	VYDAJ	VYBER	3960	49398	\N	\N	\N
283689	974	1995-08-19	VYDAJ	VYBER	1080	43647	\N	\N	\N
283690	974	1995-07-12	VYDAJ	VYBER	1440	47958	\N	\N	\N
283691	974	1995-01-17	VYDAJ	VYBER	3000	71564	\N	\N	\N
283692	974	1995-08-01	VYDAJ	VYBER	4560	43769	\N	\N	\N
283693	974	1996-04-26	VYDAJ	VYBER	2400	38909	\N	\N	\N
283694	974	1996-07-12	VYDAJ	VYBER	3120	38801	\N	\N	\N
283695	974	1996-01-26	VYDAJ	VYBER	4320	31789	\N	\N	\N
283696	974	1996-03-21	VYDAJ	VYBER	2760	37120	\N	\N	\N
283697	974	1996-06-17	VYDAJ	VYBER	2640	41763	\N	\N	\N
283698	974	1996-02-20	VYDAJ	VYBER	3120	32308	\N	\N	\N
283699	974	1997-07-20	VYDAJ	VYBER	2400	53349	\N	\N	\N
283700	974	1997-04-09	VYDAJ	VYBER	1320	47013	\N	\N	\N
283701	974	1997-05-14	VYDAJ	VYBER	960	46088	\N	\N	\N
283702	974	1997-04-11	VYDAJ	VYBER	5640	19173	\N	\N	\N
283703	974	1997-01-29	VYDAJ	VYBER	3480	47154	\N	\N	\N
283704	974	1998-10-18	VYDAJ	VYBER	3000	44275	\N	\N	\N
283705	974	1998-05-18	VYDAJ	VYBER	4200	46491	\N	\N	\N
283706	974	1998-01-21	VYDAJ	VYBER	4440	44467	\N	\N	\N
283708	974	1998-01-05	VYDAJ	VYBER	5640	52369	\N	\N	\N
283709	974	1998-08-24	VYDAJ	VYBER	4920	51955	\N	\N	\N
283710	974	1998-08-29	VYDAJ	VYBER	1800	50155	\N	\N	\N
283718	974	1994-07-31	VYDAJ	VYBER	15	49148	SLUZBY	\N	\N
283719	974	1994-08-31	VYDAJ	VYBER	15	42991	SLUZBY	\N	\N
283720	974	1994-09-30	VYDAJ	VYBER	15	44916	SLUZBY	\N	\N
283721	974	1994-10-31	VYDAJ	VYBER	15	46548	SLUZBY	\N	\N
283722	974	1994-11-30	VYDAJ	VYBER	15	49689	SLUZBY	\N	\N
283723	974	1994-12-31	VYDAJ	VYBER	15	55926	SLUZBY	\N	\N
283724	974	1995-01-31	VYDAJ	VYBER	15	31853	SLUZBY	\N	\N
283725	974	1995-02-28	VYDAJ	VYBER	15	39739	SLUZBY	\N	\N
283726	974	1995-03-31	VYDAJ	VYBER	15	46457	SLUZBY	\N	\N
283727	974	1995-04-30	VYDAJ	VYBER	15	46293	SLUZBY	\N	\N
283728	974	1995-05-31	VYDAJ	VYBER	15	47130	SLUZBY	\N	\N
283729	974	1995-06-30	VYDAJ	VYBER	15	53358	SLUZBY	\N	\N
283730	974	1995-07-31	VYDAJ	VYBER	15	48329	SLUZBY	\N	\N
283731	974	1995-08-31	VYDAJ	VYBER	15	43841	SLUZBY	\N	\N
283732	974	1995-09-30	VYDAJ	VYBER	15	45369	SLUZBY	\N	\N
283733	974	1995-10-31	VYDAJ	VYBER	15	45701	SLUZBY	\N	\N
283734	974	1995-11-30	VYDAJ	VYBER	15	47938	SLUZBY	\N	\N
283735	974	1995-12-31	VYDAJ	VYBER	15	53771	SLUZBY	\N	\N
283736	974	1996-01-31	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
283737	974	1996-02-29	VYDAJ	VYBER	15	32422	SLUZBY	\N	\N
283738	974	1996-03-31	VYDAJ	VYBER	15	37251	SLUZBY	\N	\N
283739	974	1996-04-30	VYDAJ	VYBER	15	39056	SLUZBY	\N	\N
283740	974	1996-05-31	VYDAJ	VYBER	15	41166	SLUZBY	\N	\N
283741	974	1996-06-30	VYDAJ	VYBER	15	41921	SLUZBY	\N	\N
283742	974	1996-07-31	VYDAJ	VYBER	15	40268	SLUZBY	\N	\N
283743	974	1996-08-31	VYDAJ	VYBER	15	51203	SLUZBY	\N	\N
283744	974	1996-09-30	VYDAJ	VYBER	15	58776	SLUZBY	\N	\N
283745	974	1996-10-31	VYDAJ	VYBER	15	61569	SLUZBY	\N	\N
283746	974	1996-11-30	VYDAJ	VYBER	15	62168	SLUZBY	\N	\N
283747	974	1996-12-31	VYDAJ	VYBER	15	73976	SLUZBY	\N	\N
283748	974	1997-01-31	VYDAJ	VYBER	15	47357	SLUZBY	\N	\N
283749	974	1997-02-28	VYDAJ	VYBER	15	46694	SLUZBY	\N	\N
283750	974	1997-03-31	VYDAJ	VYBER	15	48333	SLUZBY	\N	\N
283751	974	1997-04-30	VYDAJ	VYBER	15	44090	SLUZBY	\N	\N
283752	974	1997-05-31	VYDAJ	VYBER	15	46262	SLUZBY	\N	\N
283753	974	1997-06-30	VYDAJ	VYBER	15	57791	SLUZBY	\N	\N
283754	974	1997-07-31	VYDAJ	VYBER	15	53564	SLUZBY	\N	\N
283755	974	1997-08-31	VYDAJ	VYBER	15	55031	SLUZBY	\N	\N
283756	974	1997-09-30	VYDAJ	VYBER	15	58107	SLUZBY	\N	\N
283757	974	1997-10-31	VYDAJ	VYBER	15	57387	SLUZBY	\N	\N
283758	974	1997-11-30	VYDAJ	VYBER	15	51452	SLUZBY	\N	\N
283759	974	1997-12-31	VYDAJ	VYBER	15	61009	SLUZBY	\N	\N
283760	974	1998-01-31	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
283761	974	1998-02-28	VYDAJ	VYBER	15	48128	SLUZBY	\N	\N
283762	974	1998-03-31	VYDAJ	VYBER	15	51676	SLUZBY	\N	\N
283763	974	1998-04-30	VYDAJ	VYBER	15	52833	SLUZBY	\N	\N
283764	974	1998-05-31	VYDAJ	VYBER	15	46680	SLUZBY	\N	\N
283765	974	1998-06-30	VYDAJ	VYBER	15	34331	SLUZBY	\N	\N
283766	974	1998-07-31	VYDAJ	VYBER	15	59217	SLUZBY	\N	\N
283767	974	1998-08-31	VYDAJ	VYBER	15	50371	SLUZBY	\N	\N
283768	974	1998-09-30	VYDAJ	VYBER	15	49517	SLUZBY	\N	\N
283769	974	1998-10-31	VYDAJ	VYBER	15	44451	SLUZBY	\N	\N
283770	974	1998-11-30	VYDAJ	VYBER	15	45075	SLUZBY	\N	\N
283771	974	1994-03-27	VYDAJ	VYBER	1600	23658	\N	\N	\N
283772	974	1994-04-26	VYDAJ	VYBER	11100	37332	\N	\N	\N
283773	974	1994-05-26	VYDAJ	VYBER	16500	45698	\N	\N	\N
283774	974	1994-06-25	VYDAJ	VYBER	31500	51497	\N	\N	\N
283775	974	1994-07-25	VYDAJ	VYBER	27500	48951	\N	\N	\N
283776	974	1994-08-24	VYDAJ	VYBER	26900	47006	\N	\N	\N
283777	974	1994-09-23	VYDAJ	VYBER	23000	44749	\N	\N	\N
283778	974	1994-10-23	VYDAJ	VYBER	23300	46374	\N	\N	\N
283779	974	1994-11-22	VYDAJ	VYBER	21800	49506	\N	\N	\N
283780	974	1994-12-22	VYDAJ	VYBER	31100	55726	\N	\N	\N
283781	974	1995-01-21	VYDAJ	VYBER	21400	43804	\N	\N	\N
283782	974	1995-02-20	VYDAJ	VYBER	17000	39611	\N	\N	\N
283783	974	1995-03-22	VYDAJ	VYBER	18200	46297	\N	\N	\N
283784	974	1995-04-21	VYDAJ	VYBER	25100	46115	\N	\N	\N
283785	974	1995-05-21	VYDAJ	VYBER	24100	46951	\N	\N	\N
283786	974	1995-06-20	VYDAJ	VYBER	31100	53167	\N	\N	\N
283787	974	1995-07-20	VYDAJ	VYBER	24600	48116	\N	\N	\N
283788	974	1995-08-19	VYDAJ	VYBER	23800	44727	\N	\N	\N
283789	974	1995-09-18	VYDAJ	VYBER	23400	45199	\N	\N	\N
283790	974	1995-10-18	VYDAJ	VYBER	24600	45527	\N	\N	\N
283791	974	1995-11-17	VYDAJ	VYBER	22700	47759	\N	\N	\N
283792	974	1995-12-17	VYDAJ	VYBER	31500	53575	\N	\N	\N
283793	974	1996-01-16	VYDAJ	VYBER	25500	43909	\N	\N	\N
283794	974	1996-02-15	VYDAJ	VYBER	17800	35428	\N	\N	\N
283795	974	1996-03-16	VYDAJ	VYBER	17300	39880	\N	\N	\N
283796	974	1996-04-15	VYDAJ	VYBER	20700	41309	\N	\N	\N
283797	974	1996-05-15	VYDAJ	VYBER	22800	41014	\N	\N	\N
283798	974	1996-06-14	VYDAJ	VYBER	33900	44403	\N	\N	\N
283799	974	1996-07-14	VYDAJ	VYBER	23500	40059	\N	\N	\N
283800	974	1996-08-13	VYDAJ	VYBER	14000	26268	\N	\N	\N
283801	974	1996-09-12	VYDAJ	VYBER	17400	33803	\N	\N	\N
283802	974	1996-10-12	VYDAJ	VYBER	22200	36576	\N	\N	\N
283803	974	1996-11-11	VYDAJ	VYBER	24400	37169	\N	\N	\N
283804	974	1996-12-11	VYDAJ	VYBER	25600	36568	\N	\N	\N
283805	974	1997-01-10	VYDAJ	VYBER	23700	33436	\N	\N	\N
283806	974	1997-02-09	VYDAJ	VYBER	25600	21757	\N	\N	\N
283807	974	1997-03-11	VYDAJ	VYBER	23300	23394	\N	\N	\N
283808	974	1997-04-10	VYDAJ	VYBER	22200	24813	\N	\N	\N
283809	974	1997-05-10	VYDAJ	VYBER	21800	22290	\N	\N	\N
283810	974	1997-06-09	VYDAJ	VYBER	19400	26862	\N	\N	\N
283811	974	1997-07-09	VYDAJ	VYBER	26800	30991	\N	\N	\N
283812	974	1997-08-08	VYDAJ	VYBER	23500	30064	\N	\N	\N
283813	974	1997-09-07	VYDAJ	VYBER	21900	33131	\N	\N	\N
283814	974	1997-10-07	VYDAJ	VYBER	25700	32407	\N	\N	\N
283815	974	1997-11-06	VYDAJ	VYBER	30900	26487	\N	\N	\N
283816	974	1997-12-06	VYDAJ	VYBER	27800	23652	\N	\N	\N
283817	974	1998-01-05	VYDAJ	VYBER	26300	26069	\N	\N	\N
283818	974	1998-03-06	VYDAJ	VYBER	21400	26728	\N	\N	\N
283819	974	1998-04-05	VYDAJ	VYBER	23800	27876	\N	\N	\N
283820	974	1998-05-05	VYDAJ	VYBER	26900	25933	\N	\N	\N
283821	974	1998-06-04	VYDAJ	VYBER	22800	23880	\N	\N	\N
283822	974	1998-08-03	VYDAJ	VYBER	27100	32117	\N	\N	\N
283823	974	1998-09-02	VYDAJ	VYBER	25800	24571	\N	\N	\N
283824	974	1998-10-02	VYDAJ	VYBER	27000	22517	\N	\N	\N
283825	974	1998-11-01	VYDAJ	VYBER	24300	20151	\N	\N	\N
283826	974	1998-12-01	VYDAJ	VYBER	26000	19075	\N	\N	\N
283885	975	1996-10-19	PRIJEM	VKLAD	800	800	\N	\N	\N
283896	975	1996-11-07	PRIJEM	PREVOD Z UCTU	5325	6125	DUCHOD	AB	73287576
283897	975	1996-12-07	PRIJEM	PREVOD Z UCTU	5325	11450	DUCHOD	AB	73287576
283898	975	1997-01-07	PRIJEM	PREVOD Z UCTU	5325	16775	DUCHOD	AB	73287576
283899	975	1997-02-07	PRIJEM	PREVOD Z UCTU	5325	21833	DUCHOD	AB	73287576
283900	975	1997-03-07	PRIJEM	PREVOD Z UCTU	5325	27227	DUCHOD	AB	73287576
283901	975	1997-04-07	PRIJEM	PREVOD Z UCTU	5325	28976	DUCHOD	AB	73287576
283902	975	1997-05-07	PRIJEM	PREVOD Z UCTU	5325	28351	DUCHOD	AB	73287576
283903	975	1997-06-07	PRIJEM	PREVOD Z UCTU	5325	23915	DUCHOD	AB	73287576
283904	975	1997-07-07	PRIJEM	PREVOD Z UCTU	5325	21264	DUCHOD	AB	73287576
283905	975	1997-08-07	PRIJEM	PREVOD Z UCTU	5325	16522	DUCHOD	AB	73287576
283906	975	1997-09-07	PRIJEM	PREVOD Z UCTU	5325	17949	DUCHOD	AB	73287576
283907	975	1997-10-07	PRIJEM	PREVOD Z UCTU	5325	16738	DUCHOD	AB	73287576
283908	975	1997-11-07	PRIJEM	PREVOD Z UCTU	5325	17063	DUCHOD	AB	73287576
283909	975	1997-12-07	PRIJEM	PREVOD Z UCTU	5325	16887	DUCHOD	AB	73287576
283910	975	1998-01-07	PRIJEM	PREVOD Z UCTU	5325	15661	DUCHOD	AB	73287576
283911	975	1998-02-07	PRIJEM	PREVOD Z UCTU	5325	17486	DUCHOD	AB	73287576
283912	975	1998-03-07	PRIJEM	PREVOD Z UCTU	5325	15395	DUCHOD	AB	73287576
283913	975	1998-04-07	PRIJEM	PREVOD Z UCTU	5325	16739	DUCHOD	AB	73287576
283914	975	1998-05-07	PRIJEM	PREVOD Z UCTU	5325	18568	DUCHOD	AB	73287576
283915	975	1998-06-07	PRIJEM	PREVOD Z UCTU	5325	20404	DUCHOD	AB	73287576
283916	975	1998-07-07	PRIJEM	PREVOD Z UCTU	5325	15343	DUCHOD	AB	73287576
283917	975	1998-08-07	PRIJEM	PREVOD Z UCTU	5325	17166	DUCHOD	AB	73287576
283918	975	1998-09-07	PRIJEM	PREVOD Z UCTU	5325	18996	DUCHOD	AB	73287576
283919	975	1998-10-07	PRIJEM	PREVOD Z UCTU	5325	17151	DUCHOD	AB	73287576
283920	975	1998-11-07	PRIJEM	PREVOD Z UCTU	5325	18981	DUCHOD	AB	73287576
283921	975	1998-12-07	PRIJEM	PREVOD Z UCTU	5325	20569	DUCHOD	AB	73287576
283937	975	1997-04-06	VYDAJ	PREVOD NA UCET	3550	23651	SIPO	CD	35931646
283938	975	1997-05-06	VYDAJ	PREVOD NA UCET	3550	23026	SIPO	CD	35931646
283939	975	1997-06-06	VYDAJ	PREVOD NA UCET	3550	18590	SIPO	CD	35931646
283940	975	1997-07-06	VYDAJ	PREVOD NA UCET	3550	15939	SIPO	CD	35931646
283941	975	1997-08-06	VYDAJ	PREVOD NA UCET	3550	11197	SIPO	CD	35931646
283942	975	1997-09-06	VYDAJ	PREVOD NA UCET	3550	12624	SIPO	CD	35931646
283943	975	1997-10-06	VYDAJ	PREVOD NA UCET	3550	11413	SIPO	CD	35931646
283944	975	1997-11-06	VYDAJ	PREVOD NA UCET	3550	11738	SIPO	CD	35931646
283945	975	1997-12-06	VYDAJ	PREVOD NA UCET	3550	11562	SIPO	CD	35931646
283946	975	1998-01-06	VYDAJ	PREVOD NA UCET	3550	10336	SIPO	CD	35931646
283947	975	1998-02-06	VYDAJ	PREVOD NA UCET	3550	12161	SIPO	CD	35931646
283948	975	1998-03-06	VYDAJ	PREVOD NA UCET	3550	10070	SIPO	CD	35931646
283949	975	1998-04-06	VYDAJ	PREVOD NA UCET	3550	11414	SIPO	CD	35931646
283950	975	1998-05-06	VYDAJ	PREVOD NA UCET	3550	13243	SIPO	CD	35931646
283951	975	1998-06-06	VYDAJ	PREVOD NA UCET	3550	15079	SIPO	CD	35931646
283952	975	1998-07-06	VYDAJ	PREVOD NA UCET	3550	10018	SIPO	CD	35931646
283953	975	1998-08-06	VYDAJ	PREVOD NA UCET	3550	11841	SIPO	CD	35931646
283954	975	1998-09-06	VYDAJ	PREVOD NA UCET	3550	13671	SIPO	CD	35931646
283955	975	1998-10-06	VYDAJ	PREVOD NA UCET	3550	11826	SIPO	CD	35931646
283956	975	1998-11-06	VYDAJ	PREVOD NA UCET	3550	13656	SIPO	CD	35931646
283957	975	1998-12-06	VYDAJ	PREVOD NA UCET	3550	15244	SIPO	CD	35931646
283960	975	1998-06-28	VYDAJ	VYBER	6100	13504	\N	\N	\N
283965	975	1997-12-21	VYDAJ	VYBER	250	15517	\N	\N	\N
283966	975	1998-12-04	VYDAJ	VYBER	250	18794	\N	\N	\N
283973	975	1997-07-27	VYDAJ	VYBER	2880	14684	\N	\N	\N
283974	975	1997-09-21	VYDAJ	VYBER	2640	14909	\N	\N	\N
283975	975	1997-12-19	VYDAJ	VYBER	1120	15767	\N	\N	\N
283977	975	1997-12-23	VYDAJ	VYBER	1680	13837	\N	\N	\N
283979	975	1997-11-08	VYDAJ	VYBER	2000	15063	\N	\N	\N
283980	975	1998-02-15	VYDAJ	VYBER	1040	16446	\N	\N	\N
283981	975	1998-09-27	VYDAJ	VYBER	2640	15316	\N	\N	\N
283982	975	1998-06-12	VYDAJ	VYBER	800	19604	\N	\N	\N
283983	975	1998-04-01	VYDAJ	VYBER	480	14964	\N	\N	\N
283984	975	1998-09-22	VYDAJ	VYBER	1040	17956	\N	\N	\N
283985	975	1998-03-04	VYDAJ	VYBER	2880	13620	\N	\N	\N
284001	975	1997-03-31	VYDAJ	VYBER	15	27201	SLUZBY	\N	\N
284002	975	1997-04-30	VYDAJ	VYBER	15	26576	SLUZBY	\N	\N
284003	975	1997-05-31	VYDAJ	VYBER	15	22140	SLUZBY	\N	\N
284004	975	1997-06-30	VYDAJ	VYBER	15	19489	SLUZBY	\N	\N
284005	975	1997-07-31	VYDAJ	VYBER	15	14747	SLUZBY	\N	\N
284006	975	1997-08-31	VYDAJ	VYBER	15	16174	SLUZBY	\N	\N
284007	975	1997-09-30	VYDAJ	VYBER	15	14963	SLUZBY	\N	\N
284008	975	1997-10-31	VYDAJ	VYBER	15	15288	SLUZBY	\N	\N
284009	975	1997-11-30	VYDAJ	VYBER	15	15112	SLUZBY	\N	\N
284010	975	1997-12-31	VYDAJ	VYBER	15	13886	SLUZBY	\N	\N
284011	975	1998-01-31	VYDAJ	VYBER	15	15711	SLUZBY	\N	\N
284012	975	1998-02-28	VYDAJ	VYBER	15	16500	SLUZBY	\N	\N
284013	975	1998-03-31	VYDAJ	VYBER	15	15444	SLUZBY	\N	\N
284014	975	1998-04-30	VYDAJ	VYBER	15	16793	SLUZBY	\N	\N
284015	975	1998-05-31	VYDAJ	VYBER	15	18629	SLUZBY	\N	\N
284016	975	1998-06-30	VYDAJ	VYBER	15	13568	SLUZBY	\N	\N
284017	975	1998-07-31	VYDAJ	VYBER	15	15391	SLUZBY	\N	\N
284018	975	1998-08-31	VYDAJ	VYBER	15	17221	SLUZBY	\N	\N
284019	975	1998-09-30	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
284020	975	1998-10-31	VYDAJ	VYBER	15	17206	SLUZBY	\N	\N
284021	975	1998-11-30	VYDAJ	VYBER	15	19044	SLUZBY	\N	\N
284022	975	1997-01-17	VYDAJ	VYBER	300	16475	\N	\N	\N
284023	975	1997-03-18	VYDAJ	VYBER	100	27127	\N	\N	\N
284024	975	1997-04-17	VYDAJ	VYBER	2500	26476	\N	\N	\N
284025	975	1997-05-17	VYDAJ	VYBER	6300	22051	\N	\N	\N
284026	975	1997-06-16	VYDAJ	VYBER	4500	19415	\N	\N	\N
284027	975	1997-07-16	VYDAJ	VYBER	3700	17564	\N	\N	\N
284028	975	1997-08-15	VYDAJ	VYBER	400	16122	\N	\N	\N
284029	975	1997-09-14	VYDAJ	VYBER	400	17549	\N	\N	\N
284030	975	1997-10-14	VYDAJ	VYBER	1500	15238	\N	\N	\N
284055	976	1996-01-27	PRIJEM	VKLAD	900	900	\N	\N	\N
284057	976	1996-02-06	PRIJEM	VKLAD	20949	21849	\N	\N	\N
284058	976	1996-03-06	PRIJEM	VKLAD	20949	43011	\N	\N	\N
284059	976	1996-04-06	PRIJEM	VKLAD	20949	52058	\N	\N	\N
284060	976	1996-05-06	PRIJEM	VKLAD	20949	55338	\N	\N	\N
284061	976	1996-06-06	PRIJEM	VKLAD	31424	69607	\N	\N	\N
284062	976	1996-07-06	PRIJEM	VKLAD	20949	61072	\N	\N	\N
284063	976	1996-08-06	PRIJEM	VKLAD	20949	59790	\N	\N	\N
284064	976	1996-09-06	PRIJEM	VKLAD	20949	57900	\N	\N	\N
284065	976	1996-10-06	PRIJEM	VKLAD	20949	57903	\N	\N	\N
284066	976	1996-11-06	PRIJEM	VKLAD	20949	51420	\N	\N	\N
284067	976	1996-12-06	PRIJEM	VKLAD	31424	62654	\N	\N	\N
284068	976	1997-01-06	PRIJEM	VKLAD	20949	58217	\N	\N	\N
284069	976	1997-02-06	PRIJEM	VKLAD	20949	51446	\N	\N	\N
284070	976	1997-03-06	PRIJEM	VKLAD	20949	54001	\N	\N	\N
284071	976	1997-04-06	PRIJEM	VKLAD	20949	53483	\N	\N	\N
284072	976	1997-05-06	PRIJEM	VKLAD	20949	51262	\N	\N	\N
284073	976	1997-06-06	PRIJEM	VKLAD	31424	63633	\N	\N	\N
284074	976	1997-07-06	PRIJEM	VKLAD	20949	52637	\N	\N	\N
284075	976	1997-08-06	PRIJEM	VKLAD	20949	58419	\N	\N	\N
284076	976	1997-09-06	PRIJEM	VKLAD	20949	62061	\N	\N	\N
284077	976	1997-10-06	PRIJEM	VKLAD	20949	62671	\N	\N	\N
284078	976	1997-11-06	PRIJEM	VKLAD	20949	58875	\N	\N	\N
284079	976	1997-12-06	PRIJEM	VKLAD	31424	72749	\N	\N	\N
284080	976	1998-01-06	PRIJEM	VKLAD	20949	70791	\N	\N	\N
284081	976	1998-02-06	PRIJEM	VKLAD	20949	65080	\N	\N	\N
284082	976	1998-03-06	PRIJEM	VKLAD	20949	68804	\N	\N	\N
284083	976	1998-04-06	PRIJEM	VKLAD	20949	69839	\N	\N	\N
284084	976	1998-05-06	PRIJEM	VKLAD	20949	71880	\N	\N	\N
284085	976	1998-06-06	PRIJEM	VKLAD	31424	82098	\N	\N	\N
284086	976	1998-07-06	PRIJEM	VKLAD	20949	35076	\N	\N	\N
284087	976	1998-08-06	PRIJEM	VKLAD	20949	53206	\N	\N	\N
284088	976	1998-09-06	PRIJEM	VKLAD	20949	60185	\N	\N	\N
284089	976	1998-10-06	PRIJEM	VKLAD	20949	66189	\N	\N	\N
284090	976	1998-11-06	PRIJEM	VKLAD	20949	63515	\N	\N	\N
284091	976	1998-12-06	PRIJEM	VKLAD	31424	78903	\N	\N	\N
284098	976	1996-07-05	VYDAJ	PREVOD NA UCET	5244	40123	SIPO	OP	17866748
284099	976	1996-08-05	VYDAJ	PREVOD NA UCET	5244	38841	SIPO	OP	17866748
284100	976	1996-09-05	VYDAJ	PREVOD NA UCET	5244	36951	SIPO	OP	17866748
284101	976	1996-10-05	VYDAJ	PREVOD NA UCET	5244	36954	SIPO	OP	17866748
284102	976	1996-11-05	VYDAJ	PREVOD NA UCET	5244	30471	SIPO	OP	17866748
284103	976	1996-12-05	VYDAJ	PREVOD NA UCET	5244	31230	SIPO	OP	17866748
284104	976	1997-01-05	VYDAJ	PREVOD NA UCET	5244	37268	SIPO	OP	17866748
284105	976	1997-02-05	VYDAJ	PREVOD NA UCET	5244	30497	SIPO	OP	17866748
284106	976	1997-03-05	VYDAJ	PREVOD NA UCET	5244	33052	SIPO	OP	17866748
284107	976	1997-04-05	VYDAJ	PREVOD NA UCET	5244	32534	SIPO	OP	17866748
284108	976	1997-05-05	VYDAJ	PREVOD NA UCET	5244	30313	SIPO	OP	17866748
284109	976	1997-06-05	VYDAJ	PREVOD NA UCET	5244	32210	SIPO	OP	17866748
284110	976	1997-07-05	VYDAJ	PREVOD NA UCET	5244	31688	SIPO	OP	17866748
284111	976	1997-08-05	VYDAJ	PREVOD NA UCET	5244	37470	SIPO	OP	17866748
284112	976	1997-09-05	VYDAJ	PREVOD NA UCET	5244	41112	SIPO	OP	17866748
284113	976	1997-10-05	VYDAJ	PREVOD NA UCET	5244	41722	SIPO	OP	17866748
284114	976	1997-11-05	VYDAJ	PREVOD NA UCET	5244	37926	SIPO	OP	17866748
284115	976	1997-12-05	VYDAJ	PREVOD NA UCET	5244	41326	SIPO	OP	17866748
284116	976	1998-01-05	VYDAJ	PREVOD NA UCET	5244	49842	SIPO	OP	17866748
284117	976	1998-02-05	VYDAJ	PREVOD NA UCET	5244	44131	SIPO	OP	17866748
284118	976	1998-03-05	VYDAJ	PREVOD NA UCET	5244	47855	SIPO	OP	17866748
284119	976	1998-04-05	VYDAJ	PREVOD NA UCET	5244	48890	SIPO	OP	17866748
284120	976	1998-05-05	VYDAJ	PREVOD NA UCET	5244	50931	SIPO	OP	17866748
284121	976	1998-06-05	VYDAJ	PREVOD NA UCET	5244	50674	SIPO	OP	17866748
284122	976	1998-07-05	VYDAJ	PREVOD NA UCET	5244	14127	SIPO	OP	17866748
284123	976	1998-08-05	VYDAJ	PREVOD NA UCET	5244	32257	SIPO	OP	17866748
284124	976	1998-09-05	VYDAJ	PREVOD NA UCET	5244	39236	SIPO	OP	17866748
284125	976	1998-10-05	VYDAJ	PREVOD NA UCET	5244	45240	SIPO	OP	17866748
284126	976	1998-11-05	VYDAJ	PREVOD NA UCET	5244	42566	SIPO	OP	17866748
284127	976	1998-12-05	VYDAJ	PREVOD NA UCET	5244	47480	SIPO	OP	17866748
284128	976	1996-06-16	VYDAJ	VYBER	7520	62087	\N	\N	\N
284129	976	1997-06-14	VYDAJ	VYBER	14880	48753	\N	\N	\N
284130	976	1998-06-18	VYDAJ	VYBER	42400	19178	\N	\N	\N
284131	976	1996-12-11	VYDAJ	VYBER	3680	58974	\N	\N	\N
284132	976	1997-12-06	VYDAJ	VYBER	1440	71309	\N	\N	\N
284133	976	1998-12-19	VYDAJ	VYBER	2720	54423	\N	\N	\N
284140	976	1997-01-13	VYDAJ	VYBER	2520	53537	\N	\N	\N
284141	976	1997-01-11	VYDAJ	VYBER	2160	56057	\N	\N	\N
284142	976	1997-01-28	VYDAJ	VYBER	3240	38677	\N	\N	\N
284143	976	1997-01-30	VYDAJ	VYBER	3120	35557	\N	\N	\N
284144	976	1997-01-03	VYDAJ	VYBER	1560	42512	\N	\N	\N
284145	976	1997-01-14	VYDAJ	VYBER	1320	52217	\N	\N	\N
284146	976	1998-01-29	VYDAJ	VYBER	960	49151	\N	\N	\N
284147	976	1998-01-14	VYDAJ	VYBER	3120	65751	\N	\N	\N
284148	976	1998-01-05	VYDAJ	VYBER	1560	55086	\N	\N	\N
284149	976	1998-01-21	VYDAJ	VYBER	600	50111	\N	\N	\N
284150	976	1998-01-19	VYDAJ	VYBER	2040	50711	\N	\N	\N
284151	976	1998-01-11	VYDAJ	VYBER	1920	68871	\N	\N	\N
284152	976	1996-10-14	VYDAJ	VYBER	960	56943	\N	\N	\N
284155	976	1996-11-22	VYDAJ	VYBER	4320	36300	\N	\N	\N
284157	976	1996-10-29	VYDAJ	VYBER	4320	35523	\N	\N	\N
284158	976	1997-04-24	VYDAJ	VYBER	3000	35383	\N	\N	\N
284159	976	1997-08-23	VYDAJ	VYBER	1560	46159	\N	\N	\N
284160	976	1997-02-06	VYDAJ	VYBER	4320	47126	\N	\N	\N
284161	976	1997-05-27	VYDAJ	VYBER	5880	37282	\N	\N	\N
284162	976	1998-12-07	VYDAJ	VYBER	4560	74343	\N	\N	\N
284163	976	1998-06-15	VYDAJ	VYBER	2520	79578	\N	\N	\N
284164	976	1998-10-06	VYDAJ	VYBER	5880	60309	\N	\N	\N
284172	976	1996-06-30	VYDAJ	VYBER	15	45367	SLUZBY	\N	\N
284173	976	1996-07-31	VYDAJ	VYBER	15	44085	SLUZBY	\N	\N
284174	976	1996-08-31	VYDAJ	VYBER	15	42195	SLUZBY	\N	\N
284175	976	1996-09-30	VYDAJ	VYBER	15	42198	SLUZBY	\N	\N
284176	976	1996-10-31	VYDAJ	VYBER	15	35715	SLUZBY	\N	\N
284177	976	1996-11-30	VYDAJ	VYBER	15	36474	SLUZBY	\N	\N
284178	976	1996-12-31	VYDAJ	VYBER	15	44072	SLUZBY	\N	\N
284179	976	1997-01-31	VYDAJ	VYBER	15	35741	SLUZBY	\N	\N
284180	976	1997-02-28	VYDAJ	VYBER	15	38296	SLUZBY	\N	\N
284181	976	1997-03-31	VYDAJ	VYBER	15	37778	SLUZBY	\N	\N
284182	976	1997-04-30	VYDAJ	VYBER	15	35557	SLUZBY	\N	\N
284183	976	1997-05-31	VYDAJ	VYBER	15	37454	SLUZBY	\N	\N
284184	976	1997-06-30	VYDAJ	VYBER	15	36932	SLUZBY	\N	\N
284185	976	1997-07-31	VYDAJ	VYBER	15	42714	SLUZBY	\N	\N
284186	976	1997-08-31	VYDAJ	VYBER	15	46356	SLUZBY	\N	\N
284187	976	1997-09-30	VYDAJ	VYBER	15	46966	SLUZBY	\N	\N
284188	976	1997-10-31	VYDAJ	VYBER	15	43170	SLUZBY	\N	\N
284189	976	1997-11-30	VYDAJ	VYBER	15	46570	SLUZBY	\N	\N
284190	976	1997-12-31	VYDAJ	VYBER	15	56646	SLUZBY	\N	\N
284191	976	1998-01-31	VYDAJ	VYBER	15	49375	SLUZBY	\N	\N
284192	976	1998-02-28	VYDAJ	VYBER	15	53099	SLUZBY	\N	\N
284193	976	1998-03-31	VYDAJ	VYBER	15	54134	SLUZBY	\N	\N
284194	976	1998-04-30	VYDAJ	VYBER	15	56175	SLUZBY	\N	\N
284195	976	1998-05-31	VYDAJ	VYBER	15	55918	SLUZBY	\N	\N
284196	976	1998-06-30	VYDAJ	VYBER	15	19371	SLUZBY	\N	\N
284197	976	1998-07-31	VYDAJ	VYBER	15	37501	SLUZBY	\N	\N
284198	976	1998-08-31	VYDAJ	VYBER	15	44480	SLUZBY	\N	\N
284199	976	1998-09-30	VYDAJ	VYBER	15	50484	SLUZBY	\N	\N
284200	976	1998-10-31	VYDAJ	VYBER	15	47810	SLUZBY	\N	\N
284201	976	1998-11-30	VYDAJ	VYBER	15	52724	SLUZBY	\N	\N
284202	976	1996-02-26	PRIJEM	VKLAD	200	22049	\N	\N	\N
284203	976	1996-03-27	VYDAJ	VYBER	12000	31011	\N	\N	\N
284204	976	1996-04-26	VYDAJ	VYBER	17800	34258	\N	\N	\N
284205	976	1996-05-26	VYDAJ	VYBER	17300	38038	\N	\N	\N
284206	976	1996-06-25	VYDAJ	VYBER	16900	45187	\N	\N	\N
284207	976	1996-07-25	VYDAJ	VYBER	17200	43872	\N	\N	\N
284208	976	1996-08-24	VYDAJ	VYBER	17800	41990	\N	\N	\N
284209	976	1996-09-23	VYDAJ	VYBER	15900	42000	\N	\N	\N
284210	976	1996-10-23	VYDAJ	VYBER	17100	39843	\N	\N	\N
284211	976	1996-11-22	VYDAJ	VYBER	10800	40620	\N	\N	\N
284212	976	1996-12-22	VYDAJ	VYBER	15100	43874	\N	\N	\N
284213	976	1997-01-21	VYDAJ	VYBER	10300	41917	\N	\N	\N
284214	976	1997-02-20	VYDAJ	VYBER	9000	38126	\N	\N	\N
284215	976	1997-03-22	VYDAJ	VYBER	16400	37601	\N	\N	\N
284216	976	1997-04-21	VYDAJ	VYBER	15100	38383	\N	\N	\N
284217	976	1997-05-21	VYDAJ	VYBER	8100	43162	\N	\N	\N
284218	976	1997-06-20	VYDAJ	VYBER	12000	36753	\N	\N	\N
284219	976	1997-07-20	VYDAJ	VYBER	10100	42537	\N	\N	\N
284220	976	1997-08-19	VYDAJ	VYBER	10700	47719	\N	\N	\N
284221	976	1997-09-18	VYDAJ	VYBER	15300	46761	\N	\N	\N
284222	976	1997-10-18	VYDAJ	VYBER	19700	42971	\N	\N	\N
284223	976	1997-11-17	VYDAJ	VYBER	12500	46375	\N	\N	\N
284224	976	1997-12-17	VYDAJ	VYBER	14900	56409	\N	\N	\N
284225	976	1998-01-16	VYDAJ	VYBER	13000	52751	\N	\N	\N
284226	976	1998-02-15	VYDAJ	VYBER	12200	52880	\N	\N	\N
284227	976	1998-03-17	VYDAJ	VYBER	14900	53904	\N	\N	\N
284228	976	1998-04-16	VYDAJ	VYBER	13900	55939	\N	\N	\N
284229	976	1998-05-16	VYDAJ	VYBER	16200	55680	\N	\N	\N
284230	976	1998-06-15	VYDAJ	VYBER	18000	61578	\N	\N	\N
284231	976	1998-07-15	PRIJEM	VKLAD	2300	37376	\N	\N	\N
284232	976	1998-08-14	VYDAJ	VYBER	8900	44306	\N	\N	\N
284233	976	1998-09-13	VYDAJ	VYBER	9900	50285	\N	\N	\N
284234	976	1998-10-13	VYDAJ	VYBER	12700	47609	\N	\N	\N
284235	976	1998-11-12	VYDAJ	VYBER	11000	52515	\N	\N	\N
284236	976	1998-12-12	VYDAJ	VYBER	17200	57143	\N	\N	\N
284272	977	1993-04-26	PRIJEM	VKLAD	800	800	\N	\N	\N
284277	977	1993-05-11	PRIJEM	VKLAD	14041	14841	\N	\N	\N
284278	977	1993-06-11	PRIJEM	VKLAD	21062	39118	\N	\N	\N
284279	977	1993-07-11	PRIJEM	VKLAD	14041	48247	\N	\N	\N
284280	977	1993-08-11	PRIJEM	VKLAD	14041	48330	\N	\N	\N
284281	977	1993-09-11	PRIJEM	VKLAD	14041	53119	\N	\N	\N
284282	977	1993-10-11	PRIJEM	VKLAD	14041	46662	\N	\N	\N
284283	977	1993-11-11	PRIJEM	VKLAD	14041	40811	\N	\N	\N
284284	977	1993-12-11	PRIJEM	VKLAD	21062	45223	\N	\N	\N
284285	977	1994-01-11	PRIJEM	VKLAD	14041	40460	\N	\N	\N
284286	977	1994-02-11	PRIJEM	VKLAD	14041	25797	\N	\N	\N
284287	977	1994-03-11	PRIJEM	VKLAD	14041	26526	\N	\N	\N
284288	977	1994-04-11	PRIJEM	VKLAD	14041	31804	\N	\N	\N
284289	977	1994-05-11	PRIJEM	VKLAD	14041	29293	\N	\N	\N
284290	977	1994-06-11	PRIJEM	VKLAD	21062	44004	\N	\N	\N
284291	977	1994-07-11	PRIJEM	VKLAD	14041	44137	\N	\N	\N
284292	977	1994-08-11	PRIJEM	VKLAD	14041	40874	\N	\N	\N
284293	977	1994-09-11	PRIJEM	VKLAD	14041	40501	\N	\N	\N
284294	977	1994-10-11	PRIJEM	VKLAD	14041	42531	\N	\N	\N
284295	977	1994-11-11	PRIJEM	VKLAD	14041	41162	\N	\N	\N
284296	977	1994-12-11	PRIJEM	VKLAD	21062	38167	\N	\N	\N
284297	977	1995-01-11	PRIJEM	VKLAD	14041	40479	\N	\N	\N
284298	977	1995-02-11	PRIJEM	VKLAD	14041	22717	\N	\N	\N
284299	977	1995-03-11	PRIJEM	VKLAD	14041	28202	\N	\N	\N
284300	977	1995-04-11	PRIJEM	VKLAD	14041	34488	\N	\N	\N
284301	977	1995-05-11	PRIJEM	VKLAD	14041	37332	\N	\N	\N
284302	977	1995-06-11	PRIJEM	VKLAD	21062	39762	\N	\N	\N
284303	977	1995-07-11	PRIJEM	VKLAD	14041	39872	\N	\N	\N
284304	977	1995-08-11	PRIJEM	VKLAD	14041	43199	\N	\N	\N
284305	977	1995-09-11	PRIJEM	VKLAD	14041	41627	\N	\N	\N
284306	977	1995-10-11	PRIJEM	VKLAD	14041	44860	\N	\N	\N
284307	977	1995-11-11	PRIJEM	VKLAD	14041	44196	\N	\N	\N
284308	977	1995-12-11	PRIJEM	VKLAD	21062	51092	\N	\N	\N
284309	977	1996-01-11	PRIJEM	VKLAD	14041	28630	\N	\N	\N
284310	977	1996-02-11	PRIJEM	VKLAD	14041	39178	\N	\N	\N
284311	977	1996-03-11	PRIJEM	VKLAD	14041	45297	\N	\N	\N
284312	977	1996-04-11	PRIJEM	VKLAD	14041	48542	\N	\N	\N
284313	977	1996-05-11	PRIJEM	VKLAD	14041	55214	\N	\N	\N
284314	977	1996-06-11	PRIJEM	VKLAD	21062	65834	\N	\N	\N
284315	977	1996-07-11	PRIJEM	VKLAD	14041	61093	\N	\N	\N
284316	977	1996-08-11	PRIJEM	VKLAD	14041	64117	\N	\N	\N
284317	977	1996-09-11	PRIJEM	VKLAD	14041	68554	\N	\N	\N
284318	977	1996-10-11	PRIJEM	VKLAD	14041	67747	\N	\N	\N
284319	977	1996-11-11	PRIJEM	VKLAD	14041	67401	\N	\N	\N
284320	977	1996-12-11	PRIJEM	VKLAD	21062	76972	\N	\N	\N
284321	977	1997-01-11	PRIJEM	VKLAD	14041	69949	\N	\N	\N
284322	977	1997-02-11	PRIJEM	VKLAD	14041	58444	\N	\N	\N
284323	977	1997-03-11	PRIJEM	VKLAD	14041	64325	\N	\N	\N
284324	977	1997-04-11	PRIJEM	VKLAD	14041	65956	\N	\N	\N
284325	977	1997-05-11	PRIJEM	VKLAD	14041	69498	\N	\N	\N
284326	977	1997-06-11	PRIJEM	VKLAD	21062	79275	\N	\N	\N
284327	977	1997-07-11	PRIJEM	VKLAD	14041	58052	\N	\N	\N
284328	977	1997-08-11	PRIJEM	VKLAD	14041	63606	\N	\N	\N
284329	977	1997-09-11	PRIJEM	VKLAD	14041	74337	\N	\N	\N
284330	977	1997-10-11	PRIJEM	VKLAD	14041	81207	\N	\N	\N
284331	977	1997-11-11	PRIJEM	VKLAD	14041	88008	\N	\N	\N
284332	977	1997-12-11	PRIJEM	VKLAD	21062	92659	\N	\N	\N
284333	977	1998-01-11	PRIJEM	VKLAD	14041	89282	\N	\N	\N
284334	977	1998-02-11	PRIJEM	VKLAD	14041	78850	\N	\N	\N
284335	977	1998-03-11	PRIJEM	VKLAD	14041	85044	\N	\N	\N
284336	977	1998-04-11	PRIJEM	VKLAD	14041	93262	\N	\N	\N
284337	977	1998-05-11	PRIJEM	VKLAD	14041	90575	\N	\N	\N
284338	977	1998-06-11	PRIJEM	VKLAD	21062	95453	\N	\N	\N
284339	977	1998-07-11	PRIJEM	VKLAD	14041	73465	\N	\N	\N
284340	977	1998-08-11	PRIJEM	VKLAD	14041	81838	\N	\N	\N
284341	977	1998-09-11	PRIJEM	VKLAD	14041	89745	\N	\N	\N
284342	977	1998-10-11	PRIJEM	VKLAD	14041	100887	\N	\N	\N
284343	977	1998-11-11	PRIJEM	VKLAD	14041	103870	\N	\N	\N
284344	977	1998-12-11	PRIJEM	VKLAD	21062	114688	\N	\N	\N
284354	977	1993-10-06	VYDAJ	PREVOD NA UCET	6846	32621	SIPO	ST	60977023
284355	977	1993-11-06	VYDAJ	PREVOD NA UCET	6846	26770	SIPO	ST	60977023
284356	977	1993-12-06	VYDAJ	PREVOD NA UCET	6846	26401	SIPO	ST	60977023
284357	977	1994-01-06	VYDAJ	PREVOD NA UCET	6846	27619	SIPO	ST	60977023
284358	977	1994-02-06	VYDAJ	PREVOD NA UCET	6846	11756	SIPO	ST	60977023
284359	977	1994-03-06	VYDAJ	PREVOD NA UCET	6846	12485	SIPO	ST	60977023
284360	977	1994-04-06	VYDAJ	PREVOD NA UCET	6846	17763	SIPO	ST	60977023
284361	977	1994-05-06	VYDAJ	PREVOD NA UCET	6846	15252	SIPO	ST	60977023
284362	977	1994-06-06	VYDAJ	PREVOD NA UCET	6846	22942	SIPO	ST	60977023
284363	977	1994-07-06	VYDAJ	PREVOD NA UCET	6846	30096	SIPO	ST	60977023
284364	977	1994-08-06	VYDAJ	PREVOD NA UCET	6846	26833	SIPO	ST	60977023
284365	977	1994-09-06	VYDAJ	PREVOD NA UCET	6846	26460	SIPO	ST	60977023
284366	977	1994-10-06	VYDAJ	PREVOD NA UCET	6846	28490	SIPO	ST	60977023
284367	977	1994-11-06	VYDAJ	PREVOD NA UCET	6846	27121	SIPO	ST	60977023
284368	977	1994-12-06	VYDAJ	PREVOD NA UCET	6846	17105	SIPO	ST	60977023
284369	977	1995-01-06	VYDAJ	PREVOD NA UCET	6846	26438	SIPO	ST	60977023
284370	977	1995-02-06	VYDAJ	PREVOD NA UCET	6846	8676	SIPO	ST	60977023
284371	977	1995-03-06	VYDAJ	PREVOD NA UCET	6846	14161	SIPO	ST	60977023
284372	977	1995-04-06	VYDAJ	PREVOD NA UCET	6846	20447	SIPO	ST	60977023
284373	977	1995-05-06	VYDAJ	PREVOD NA UCET	6846	23291	SIPO	ST	60977023
284374	977	1995-06-06	VYDAJ	PREVOD NA UCET	6846	18700	SIPO	ST	60977023
284375	977	1995-07-06	VYDAJ	PREVOD NA UCET	6846	25831	SIPO	ST	60977023
284376	977	1995-08-06	VYDAJ	PREVOD NA UCET	6846	29158	SIPO	ST	60977023
284377	977	1995-09-06	VYDAJ	PREVOD NA UCET	6846	27586	SIPO	ST	60977023
284378	977	1995-10-06	VYDAJ	PREVOD NA UCET	6846	30819	SIPO	ST	60977023
284379	977	1995-11-06	VYDAJ	PREVOD NA UCET	6846	30155	SIPO	ST	60977023
284380	977	1995-12-06	VYDAJ	PREVOD NA UCET	6846	30030	SIPO	ST	60977023
284381	977	1996-01-06	VYDAJ	PREVOD NA UCET	6846	14589	SIPO	ST	60977023
284382	977	1996-02-06	VYDAJ	PREVOD NA UCET	6846	15637	SIPO	ST	60977023
284383	977	1996-03-06	VYDAJ	PREVOD NA UCET	6846	31256	SIPO	ST	60977023
284384	977	1996-04-06	VYDAJ	PREVOD NA UCET	6846	35301	SIPO	ST	60977023
284385	977	1996-05-06	VYDAJ	PREVOD NA UCET	6846	41873	SIPO	ST	60977023
284386	977	1996-06-06	VYDAJ	PREVOD NA UCET	6846	48572	SIPO	ST	60977023
284387	977	1996-07-06	VYDAJ	PREVOD NA UCET	6846	48652	SIPO	ST	60977023
284388	977	1996-08-06	VYDAJ	PREVOD NA UCET	6846	54476	SIPO	ST	60977023
284389	977	1996-09-06	VYDAJ	PREVOD NA UCET	6846	57513	SIPO	ST	60977023
284390	977	1996-10-06	VYDAJ	PREVOD NA UCET	6846	61006	SIPO	ST	60977023
284391	977	1996-11-06	VYDAJ	PREVOD NA UCET	6846	53360	SIPO	ST	60977023
284392	977	1996-12-06	VYDAJ	PREVOD NA UCET	6846	55910	SIPO	ST	60977023
284393	977	1997-01-06	VYDAJ	PREVOD NA UCET	6846	56628	SIPO	ST	60977023
284394	977	1997-02-06	VYDAJ	PREVOD NA UCET	6846	44403	SIPO	ST	60977023
284395	977	1997-03-06	VYDAJ	PREVOD NA UCET	6846	50284	SIPO	ST	60977023
284396	977	1997-04-06	VYDAJ	PREVOD NA UCET	6846	51915	SIPO	ST	60977023
284397	977	1997-05-06	VYDAJ	PREVOD NA UCET	6846	55457	SIPO	ST	60977023
284398	977	1997-06-06	VYDAJ	PREVOD NA UCET	6846	58213	SIPO	ST	60977023
284399	977	1997-07-06	VYDAJ	PREVOD NA UCET	6846	44011	SIPO	ST	60977023
284400	977	1997-08-06	VYDAJ	PREVOD NA UCET	6846	54005	SIPO	ST	60977023
284401	977	1997-09-06	VYDAJ	PREVOD NA UCET	6846	60296	SIPO	ST	60977023
284402	977	1997-10-06	VYDAJ	PREVOD NA UCET	6846	67166	SIPO	ST	60977023
284403	977	1997-11-06	VYDAJ	PREVOD NA UCET	6846	73967	SIPO	ST	60977023
284404	977	1997-12-06	VYDAJ	PREVOD NA UCET	6846	71597	SIPO	ST	60977023
284405	977	1998-01-06	VYDAJ	PREVOD NA UCET	6846	75241	SIPO	ST	60977023
284406	977	1998-02-06	VYDAJ	PREVOD NA UCET	6846	64809	SIPO	ST	60977023
284407	977	1998-03-06	VYDAJ	PREVOD NA UCET	6846	71003	SIPO	ST	60977023
284408	977	1998-04-06	VYDAJ	PREVOD NA UCET	6846	79221	SIPO	ST	60977023
284409	977	1998-05-06	VYDAJ	PREVOD NA UCET	6846	77974	SIPO	ST	60977023
284410	977	1998-06-06	VYDAJ	PREVOD NA UCET	6846	74391	SIPO	ST	60977023
284411	977	1998-07-06	VYDAJ	PREVOD NA UCET	6846	59424	SIPO	ST	60977023
284412	977	1998-08-06	VYDAJ	PREVOD NA UCET	6846	67797	SIPO	ST	60977023
284413	977	1998-09-06	VYDAJ	PREVOD NA UCET	6846	75704	SIPO	ST	60977023
284414	977	1998-10-06	VYDAJ	PREVOD NA UCET	6846	86846	SIPO	ST	60977023
284415	977	1998-11-06	VYDAJ	PREVOD NA UCET	6846	89829	SIPO	ST	60977023
284416	977	1998-12-06	VYDAJ	PREVOD NA UCET	6846	93626	SIPO	ST	60977023
284420	977	1996-06-19	VYDAJ	VYBER	10560	55274	\N	\N	\N
284421	977	1997-06-27	VYDAJ	VYBER	44320	32795	\N	\N	\N
284422	977	1998-06-11	VYDAJ	VYBER	37440	58013	\N	\N	\N
284424	977	1994-01-18	VYDAJ	VYBER	7200	23660	\N	\N	\N
284425	977	1995-01-20	VYDAJ	VYBER	8160	24419	\N	\N	\N
284426	977	1996-01-04	VYDAJ	VYBER	15040	22155	\N	\N	\N
284427	977	1997-01-27	VYDAJ	VYBER	8320	52389	\N	\N	\N
284428	977	1998-01-13	VYDAJ	VYBER	12800	73122	\N	\N	\N
284429	977	1993-12-10	VYDAJ	VYBER	2240	24161	\N	\N	\N
284430	977	1994-12-02	VYDAJ	VYBER	4160	23951	\N	\N	\N
284431	977	1995-12-21	VYDAJ	VYBER	1120	37052	\N	\N	\N
284432	977	1996-12-19	VYDAJ	VYBER	3200	73772	\N	\N	\N
284433	977	1997-12-24	VYDAJ	VYBER	1920	90739	\N	\N	\N
284434	977	1998-12-28	VYDAJ	VYBER	2560	99248	\N	\N	\N
284441	977	1994-01-08	VYDAJ	VYBER	1200	26419	\N	\N	\N
284442	977	1994-01-12	VYDAJ	VYBER	600	39860	\N	\N	\N
284443	977	1994-01-29	VYDAJ	VYBER	2760	18500	\N	\N	\N
284444	977	1994-01-28	VYDAJ	VYBER	1800	21260	\N	\N	\N
284445	977	1994-01-12	VYDAJ	VYBER	1320	38540	\N	\N	\N
284446	977	1994-01-15	VYDAJ	VYBER	2280	30860	\N	\N	\N
284447	977	1995-01-19	VYDAJ	VYBER	2280	32579	\N	\N	\N
284448	977	1995-01-14	VYDAJ	VYBER	1920	38559	\N	\N	\N
284449	977	1995-01-04	VYDAJ	VYBER	1800	33284	\N	\N	\N
284450	977	1995-01-24	VYDAJ	VYBER	3480	20939	\N	\N	\N
284451	977	1995-01-25	VYDAJ	VYBER	2640	18299	\N	\N	\N
284452	977	1995-01-28	VYDAJ	VYBER	2880	15419	\N	\N	\N
284453	977	1996-01-18	VYDAJ	VYBER	3240	28390	\N	\N	\N
284454	977	1996-01-24	VYDAJ	VYBER	2280	26110	\N	\N	\N
284455	977	1996-01-28	VYDAJ	VYBER	840	22390	\N	\N	\N
284456	977	1996-01-05	VYDAJ	VYBER	720	21435	\N	\N	\N
284457	977	1996-01-28	VYDAJ	VYBER	2880	23230	\N	\N	\N
284459	977	1997-01-17	VYDAJ	VYBER	840	64189	\N	\N	\N
284460	977	1997-01-13	VYDAJ	VYBER	2400	65029	\N	\N	\N
284461	977	1997-01-30	VYDAJ	VYBER	2280	50109	\N	\N	\N
284462	977	1997-01-18	VYDAJ	VYBER	3480	60709	\N	\N	\N
284463	977	1997-01-12	VYDAJ	VYBER	2520	67429	\N	\N	\N
284464	977	1997-01-03	VYDAJ	VYBER	1080	72974	\N	\N	\N
284465	977	1998-01-24	VYDAJ	VYBER	3120	68322	\N	\N	\N
284466	977	1998-01-20	VYDAJ	VYBER	1680	71442	\N	\N	\N
284467	977	1998-01-11	VYDAJ	VYBER	3360	85922	\N	\N	\N
284468	977	1998-01-01	VYDAJ	VYBER	1560	82927	\N	\N	\N
284469	977	1998-01-26	VYDAJ	VYBER	2160	66162	\N	\N	\N
284470	977	1998-01-01	VYDAJ	VYBER	840	82087	\N	\N	\N
284476	977	1994-05-03	VYDAJ	VYBER	2160	22098	\N	\N	\N
284477	977	1994-01-13	VYDAJ	VYBER	5400	33140	\N	\N	\N
284478	977	1994-02-21	VYDAJ	VYBER	3840	19257	\N	\N	\N
284479	977	1994-11-28	VYDAJ	VYBER	5280	27982	\N	\N	\N
284480	977	1994-04-15	VYDAJ	VYBER	4440	27364	\N	\N	\N
284481	977	1995-05-27	VYDAJ	VYBER	3360	27472	\N	\N	\N
284482	977	1995-05-27	VYDAJ	VYBER	2040	25432	\N	\N	\N
284483	977	1995-11-14	VYDAJ	VYBER	2760	36736	\N	\N	\N
284484	977	1995-02-27	VYDAJ	VYBER	3960	20937	\N	\N	\N
284485	977	1995-04-15	VYDAJ	VYBER	960	33528	\N	\N	\N
284486	977	1995-02-11	VYDAJ	VYBER	4320	18397	\N	\N	\N
284487	977	1995-12-17	VYDAJ	VYBER	1920	38172	\N	\N	\N
284488	977	1996-03-04	VYDAJ	VYBER	1200	38102	\N	\N	\N
284489	977	1996-09-27	VYDAJ	VYBER	960	67594	\N	\N	\N
284490	977	1997-02-21	VYDAJ	VYBER	3720	54724	\N	\N	\N
284491	977	1997-08-08	VYDAJ	VYBER	4440	49565	\N	\N	\N
284492	977	1997-01-09	VYDAJ	VYBER	720	55908	\N	\N	\N
284493	977	1997-06-16	VYDAJ	VYBER	2160	77115	\N	\N	\N
284494	977	1998-12-03	VYDAJ	VYBER	1800	100472	\N	\N	\N
284495	977	1998-05-19	VYDAJ	VYBER	1680	88895	\N	\N	\N
284496	977	1998-12-16	VYDAJ	VYBER	3720	110968	\N	\N	\N
284497	977	1998-12-18	VYDAJ	VYBER	1560	109408	\N	\N	\N
284498	977	1998-05-07	VYDAJ	VYBER	1440	76534	\N	\N	\N
284508	977	1993-09-30	VYDAJ	VYBER	15	39467	SLUZBY	\N	\N
284509	977	1993-10-31	VYDAJ	VYBER	15	33616	SLUZBY	\N	\N
284510	977	1993-11-30	VYDAJ	VYBER	15	33247	SLUZBY	\N	\N
284511	977	1993-12-31	VYDAJ	VYBER	15	34465	SLUZBY	\N	\N
284512	977	1994-01-31	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
284513	977	1994-02-28	VYDAJ	VYBER	15	19331	SLUZBY	\N	\N
284514	977	1994-03-31	VYDAJ	VYBER	15	24609	SLUZBY	\N	\N
284515	977	1994-04-30	VYDAJ	VYBER	15	24258	SLUZBY	\N	\N
284516	977	1994-05-31	VYDAJ	VYBER	15	29788	SLUZBY	\N	\N
284517	977	1994-06-30	VYDAJ	VYBER	15	36942	SLUZBY	\N	\N
284518	977	1994-07-31	VYDAJ	VYBER	15	33679	SLUZBY	\N	\N
284519	977	1994-08-31	VYDAJ	VYBER	15	33306	SLUZBY	\N	\N
284520	977	1994-09-30	VYDAJ	VYBER	15	35336	SLUZBY	\N	\N
284521	977	1994-10-31	VYDAJ	VYBER	15	33967	SLUZBY	\N	\N
284522	977	1994-11-30	VYDAJ	VYBER	15	28111	SLUZBY	\N	\N
284523	977	1994-12-31	VYDAJ	VYBER	15	35084	SLUZBY	\N	\N
284524	977	1995-01-31	VYDAJ	VYBER	15	15522	SLUZBY	\N	\N
284525	977	1995-02-28	VYDAJ	VYBER	15	21007	SLUZBY	\N	\N
284526	977	1995-03-31	VYDAJ	VYBER	15	27293	SLUZBY	\N	\N
284527	977	1995-04-30	VYDAJ	VYBER	15	30137	SLUZBY	\N	\N
284528	977	1995-05-31	VYDAJ	VYBER	15	25546	SLUZBY	\N	\N
284529	977	1995-06-30	VYDAJ	VYBER	15	32677	SLUZBY	\N	\N
284530	977	1995-07-31	VYDAJ	VYBER	15	36004	SLUZBY	\N	\N
284531	977	1995-08-31	VYDAJ	VYBER	15	34432	SLUZBY	\N	\N
284532	977	1995-09-30	VYDAJ	VYBER	15	37665	SLUZBY	\N	\N
284533	977	1995-10-31	VYDAJ	VYBER	15	37001	SLUZBY	\N	\N
284534	977	1995-11-30	VYDAJ	VYBER	15	36876	SLUZBY	\N	\N
284535	977	1995-12-31	VYDAJ	VYBER	15	37195	SLUZBY	\N	\N
284536	977	1996-01-31	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
284537	977	1996-02-29	VYDAJ	VYBER	15	39302	SLUZBY	\N	\N
284538	977	1996-03-31	VYDAJ	VYBER	15	42147	SLUZBY	\N	\N
284539	977	1996-04-30	VYDAJ	VYBER	15	48719	SLUZBY	\N	\N
284540	977	1996-05-31	VYDAJ	VYBER	15	55418	SLUZBY	\N	\N
284541	977	1996-06-30	VYDAJ	VYBER	15	55498	SLUZBY	\N	\N
284542	977	1996-07-31	VYDAJ	VYBER	15	61322	SLUZBY	\N	\N
284543	977	1996-08-31	VYDAJ	VYBER	15	64359	SLUZBY	\N	\N
284544	977	1996-09-30	VYDAJ	VYBER	15	67852	SLUZBY	\N	\N
284545	977	1996-10-31	VYDAJ	VYBER	15	68006	SLUZBY	\N	\N
284546	977	1996-11-30	VYDAJ	VYBER	15	67656	SLUZBY	\N	\N
284547	977	1996-12-31	VYDAJ	VYBER	15	74054	SLUZBY	\N	\N
284548	977	1997-01-31	VYDAJ	VYBER	15	50349	SLUZBY	\N	\N
284549	977	1997-02-28	VYDAJ	VYBER	15	54930	SLUZBY	\N	\N
284550	977	1997-03-31	VYDAJ	VYBER	15	64561	SLUZBY	\N	\N
284551	977	1997-04-30	VYDAJ	VYBER	15	66203	SLUZBY	\N	\N
284552	977	1997-05-31	VYDAJ	VYBER	15	69759	SLUZBY	\N	\N
284553	977	1997-06-30	VYDAJ	VYBER	15	33057	SLUZBY	\N	\N
284554	977	1997-07-31	VYDAJ	VYBER	15	58251	SLUZBY	\N	\N
284555	977	1997-08-31	VYDAJ	VYBER	15	63842	SLUZBY	\N	\N
284556	977	1997-09-30	VYDAJ	VYBER	15	74612	SLUZBY	\N	\N
284557	977	1997-10-31	VYDAJ	VYBER	15	81513	SLUZBY	\N	\N
284558	977	1997-11-30	VYDAJ	VYBER	15	88343	SLUZBY	\N	\N
284559	977	1997-12-31	VYDAJ	VYBER	15	91087	SLUZBY	\N	\N
284560	977	1998-01-31	VYDAJ	VYBER	15	71655	SLUZBY	\N	\N
284561	977	1998-02-28	VYDAJ	VYBER	15	79149	SLUZBY	\N	\N
284562	977	1998-03-31	VYDAJ	VYBER	15	86067	SLUZBY	\N	\N
284563	977	1998-04-30	VYDAJ	VYBER	15	93620	SLUZBY	\N	\N
284564	977	1998-05-31	VYDAJ	VYBER	15	81237	SLUZBY	\N	\N
284565	977	1998-06-30	VYDAJ	VYBER	15	66270	SLUZBY	\N	\N
284566	977	1998-07-31	VYDAJ	VYBER	15	74643	SLUZBY	\N	\N
284567	977	1998-08-31	VYDAJ	VYBER	15	82550	SLUZBY	\N	\N
284568	977	1998-09-30	VYDAJ	VYBER	15	93692	SLUZBY	\N	\N
284569	977	1998-10-31	VYDAJ	VYBER	15	96675	SLUZBY	\N	\N
284570	977	1998-11-30	VYDAJ	VYBER	15	102272	SLUZBY	\N	\N
284571	977	1993-05-26	PRIJEM	VKLAD	3200	18041	\N	\N	\N
284572	977	1993-06-25	VYDAJ	VYBER	5000	34118	\N	\N	\N
284573	977	1993-07-25	VYDAJ	VYBER	14100	34147	\N	\N	\N
284574	977	1993-08-24	VYDAJ	VYBER	9400	38930	\N	\N	\N
284575	977	1993-09-23	VYDAJ	VYBER	13800	39319	\N	\N	\N
284576	977	1993-10-23	VYDAJ	VYBER	13200	33462	\N	\N	\N
284577	977	1993-11-22	VYDAJ	VYBER	7700	33111	\N	\N	\N
284578	977	1993-12-22	VYDAJ	VYBER	10900	34323	\N	\N	\N
284579	977	1994-01-21	VYDAJ	VYBER	600	23060	\N	\N	\N
284580	977	1994-02-20	VYDAJ	VYBER	2700	23097	\N	\N	\N
284581	977	1994-03-22	VYDAJ	VYBER	2000	24526	\N	\N	\N
284582	977	1994-04-21	VYDAJ	VYBER	3200	24164	\N	\N	\N
284583	977	1994-05-21	PRIJEM	VKLAD	400	29693	\N	\N	\N
284584	977	1994-06-20	VYDAJ	VYBER	7200	36804	\N	\N	\N
284585	977	1994-07-20	VYDAJ	VYBER	10600	33537	\N	\N	\N
284586	977	1994-08-19	VYDAJ	VYBER	7700	33174	\N	\N	\N
284587	977	1994-09-18	VYDAJ	VYBER	5300	35201	\N	\N	\N
284588	977	1994-10-18	VYDAJ	VYBER	8700	33831	\N	\N	\N
284589	977	1994-11-17	VYDAJ	VYBER	7900	33262	\N	\N	\N
284590	977	1994-12-17	VYDAJ	VYBER	3200	34967	\N	\N	\N
284591	977	1995-01-16	VYDAJ	VYBER	3700	34859	\N	\N	\N
284592	977	1995-02-15	PRIJEM	VKLAD	6500	24897	\N	\N	\N
284593	977	1995-03-17	VYDAJ	VYBER	1000	27202	\N	\N	\N
284594	977	1995-04-16	VYDAJ	VYBER	3500	30028	\N	\N	\N
284595	977	1995-05-16	VYDAJ	VYBER	6500	30832	\N	\N	\N
284596	977	1995-06-15	VYDAJ	VYBER	7200	32562	\N	\N	\N
284597	977	1995-07-15	VYDAJ	VYBER	4000	35872	\N	\N	\N
284598	977	1995-08-14	VYDAJ	VYBER	8900	34299	\N	\N	\N
284599	977	1995-09-13	VYDAJ	VYBER	4100	37527	\N	\N	\N
284600	977	1995-10-13	VYDAJ	VYBER	8000	36860	\N	\N	\N
284601	977	1995-11-12	VYDAJ	VYBER	4700	39496	\N	\N	\N
284602	977	1995-12-12	VYDAJ	VYBER	11000	40092	\N	\N	\N
284603	977	1996-01-11	PRIJEM	VKLAD	3000	31630	\N	\N	\N
284604	977	1996-02-10	PRIJEM	VKLAD	9500	25137	\N	\N	\N
284605	977	1996-03-11	VYDAJ	VYBER	3300	41997	\N	\N	\N
284606	977	1996-04-10	VYDAJ	VYBER	800	34501	\N	\N	\N
284607	977	1996-05-10	VYDAJ	VYBER	700	41173	\N	\N	\N
284608	977	1996-06-09	VYDAJ	VYBER	3800	44772	\N	\N	\N
284609	977	1996-07-09	VYDAJ	VYBER	1600	47052	\N	\N	\N
284610	977	1996-08-08	VYDAJ	VYBER	4400	50076	\N	\N	\N
284611	977	1996-09-07	VYDAJ	VYBER	3000	54513	\N	\N	\N
284612	977	1996-10-07	VYDAJ	VYBER	7300	53706	\N	\N	\N
284613	977	1996-11-06	VYDAJ	VYBER	7800	60206	\N	\N	\N
284614	977	1996-12-06	VYDAJ	VYBER	4900	62756	\N	\N	\N
284615	977	1997-01-05	VYDAJ	VYBER	9500	63474	\N	\N	\N
284616	977	1997-02-04	PRIJEM	VKLAD	900	51249	\N	\N	\N
284617	977	1997-03-06	PRIJEM	VKLAD	2200	57130	\N	\N	\N
284618	977	1997-04-05	VYDAJ	VYBER	5800	58761	\N	\N	\N
284619	977	1997-05-05	VYDAJ	VYBER	3900	62303	\N	\N	\N
284620	977	1997-06-04	VYDAJ	VYBER	4700	65059	\N	\N	\N
284621	977	1997-07-04	PRIJEM	VKLAD	17800	50857	\N	\N	\N
284622	977	1997-08-03	PRIJEM	VKLAD	2600	60851	\N	\N	\N
284623	977	1997-09-02	PRIJEM	VKLAD	3300	67142	\N	\N	\N
284624	977	1997-10-02	VYDAJ	VYBER	600	74012	\N	\N	\N
284625	977	1997-11-01	VYDAJ	VYBER	700	80813	\N	\N	\N
284626	977	1997-12-01	VYDAJ	VYBER	9900	78443	\N	\N	\N
284627	977	1997-12-31	VYDAJ	VYBER	6600	84487	\N	\N	\N
284628	977	1998-01-30	PRIJEM	VKLAD	5200	71362	\N	\N	\N
284629	977	1998-03-01	VYDAJ	VYBER	1300	77849	\N	\N	\N
284630	977	1998-03-31	PRIJEM	VKLAD	700	86081	\N	\N	\N
284631	977	1998-04-30	VYDAJ	VYBER	8800	84820	\N	\N	\N
284632	977	1998-05-30	VYDAJ	VYBER	8000	80895	\N	\N	\N
284633	977	1998-06-29	PRIJEM	VKLAD	8000	66013	\N	\N	\N
284634	977	1998-07-29	PRIJEM	VKLAD	900	74365	\N	\N	\N
284635	977	1998-08-28	PRIJEM	VKLAD	400	82238	\N	\N	\N
284636	977	1998-09-27	PRIJEM	VKLAD	3600	93345	\N	\N	\N
284637	977	1998-10-27	VYDAJ	VYBER	4600	96287	\N	\N	\N
284638	977	1998-11-26	VYDAJ	VYBER	2000	101870	\N	\N	\N
284639	977	1998-12-26	VYDAJ	VYBER	7600	101808	\N	\N	\N
284708	978	1993-08-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
284717	978	1993-09-13	PRIJEM	PREVOD Z UCTU	6556	7656	DUCHOD	AB	70656674
284718	978	1993-10-13	PRIJEM	PREVOD Z UCTU	6556	14212	DUCHOD	AB	70656674
284719	978	1993-11-13	PRIJEM	PREVOD Z UCTU	6556	20768	DUCHOD	AB	70656674
284720	978	1993-12-13	PRIJEM	PREVOD Z UCTU	6556	27324	DUCHOD	AB	70656674
284721	978	1994-01-13	PRIJEM	PREVOD Z UCTU	6556	33880	DUCHOD	AB	70656674
284722	978	1994-02-13	PRIJEM	PREVOD Z UCTU	6556	29474	DUCHOD	AB	70656674
284723	978	1994-03-13	PRIJEM	PREVOD Z UCTU	6556	29624	DUCHOD	AB	70656674
284724	978	1994-04-13	PRIJEM	PREVOD Z UCTU	6556	32920	DUCHOD	AB	70656674
284725	978	1994-05-13	PRIJEM	PREVOD Z UCTU	6556	34221	DUCHOD	AB	70656674
284726	978	1994-06-13	PRIJEM	PREVOD Z UCTU	6556	20622	DUCHOD	AB	70656674
284727	978	1994-07-13	PRIJEM	PREVOD Z UCTU	6556	25197	DUCHOD	AB	70656674
284728	978	1994-08-13	PRIJEM	PREVOD Z UCTU	6556	27050	DUCHOD	AB	70656674
284729	978	1994-09-13	PRIJEM	PREVOD Z UCTU	6556	30635	DUCHOD	AB	70656674
284730	978	1994-10-13	PRIJEM	PREVOD Z UCTU	6556	32634	DUCHOD	AB	70656674
284731	978	1994-11-13	PRIJEM	PREVOD Z UCTU	6556	36046	DUCHOD	AB	70656674
284732	978	1994-12-13	PRIJEM	PREVOD Z UCTU	6556	39869	DUCHOD	AB	70656674
284733	978	1995-01-13	PRIJEM	PREVOD Z UCTU	6556	39607	DUCHOD	AB	70656674
284734	978	1995-02-13	PRIJEM	PREVOD Z UCTU	6556	36445	DUCHOD	AB	70656674
284735	978	1995-03-13	PRIJEM	PREVOD Z UCTU	6556	35410	DUCHOD	AB	70656674
284736	978	1995-04-13	PRIJEM	PREVOD Z UCTU	6556	35433	DUCHOD	AB	70656674
284737	978	1995-05-13	PRIJEM	PREVOD Z UCTU	6556	35018	DUCHOD	AB	70656674
284738	978	1995-06-13	PRIJEM	PREVOD Z UCTU	6556	37440	DUCHOD	AB	70656674
284739	978	1995-07-13	PRIJEM	PREVOD Z UCTU	6556	37486	DUCHOD	AB	70656674
284740	978	1995-08-13	PRIJEM	PREVOD Z UCTU	6556	37014	DUCHOD	AB	70656674
284741	978	1995-09-13	PRIJEM	PREVOD Z UCTU	6556	37143	DUCHOD	AB	70656674
284742	978	1995-10-13	PRIJEM	PREVOD Z UCTU	6556	37672	DUCHOD	AB	70656674
284743	978	1995-11-13	PRIJEM	PREVOD Z UCTU	6556	39304	DUCHOD	AB	70656674
284744	978	1995-12-13	PRIJEM	PREVOD Z UCTU	6556	40740	DUCHOD	AB	70656674
284745	978	1996-01-13	PRIJEM	PREVOD Z UCTU	6556	38483	DUCHOD	AB	70656674
284746	978	1996-02-13	PRIJEM	PREVOD Z UCTU	6556	41920	DUCHOD	AB	70656674
284747	978	1996-03-13	PRIJEM	PREVOD Z UCTU	6556	44645	DUCHOD	AB	70656674
284748	978	1996-04-13	PRIJEM	PREVOD Z UCTU	6556	44658	DUCHOD	AB	70656674
284749	978	1996-05-13	PRIJEM	PREVOD Z UCTU	6556	48915	DUCHOD	AB	70656674
284750	978	1996-06-13	PRIJEM	PREVOD Z UCTU	6556	48390	DUCHOD	AB	70656674
284751	978	1996-07-13	PRIJEM	PREVOD Z UCTU	6556	49162	DUCHOD	AB	70656674
284752	978	1996-08-13	PRIJEM	PREVOD Z UCTU	6556	48941	DUCHOD	AB	70656674
284753	978	1996-09-13	PRIJEM	PREVOD Z UCTU	6556	49219	DUCHOD	AB	70656674
284754	978	1996-10-13	PRIJEM	PREVOD Z UCTU	6556	50798	DUCHOD	AB	70656674
284755	978	1996-11-13	PRIJEM	PREVOD Z UCTU	6556	45161	DUCHOD	AB	70656674
284756	978	1996-12-13	PRIJEM	PREVOD Z UCTU	6556	48193	DUCHOD	AB	70656674
284757	978	1997-01-13	PRIJEM	PREVOD Z UCTU	6556	45605	DUCHOD	AB	70656674
284758	978	1997-02-13	PRIJEM	PREVOD Z UCTU	6556	48305	DUCHOD	AB	70656674
284759	978	1997-03-13	PRIJEM	PREVOD Z UCTU	6556	52376	DUCHOD	AB	70656674
284760	978	1997-04-13	PRIJEM	PREVOD Z UCTU	6556	56465	DUCHOD	AB	70656674
284761	978	1997-05-13	PRIJEM	PREVOD Z UCTU	6556	57770	DUCHOD	AB	70656674
284762	978	1997-06-13	PRIJEM	PREVOD Z UCTU	6556	56419	DUCHOD	AB	70656674
284763	978	1997-07-13	PRIJEM	PREVOD Z UCTU	6556	50769	DUCHOD	AB	70656674
284764	978	1997-08-13	PRIJEM	PREVOD Z UCTU	6556	51850	DUCHOD	AB	70656674
284765	978	1997-09-13	PRIJEM	PREVOD Z UCTU	6556	55138	DUCHOD	AB	70656674
284766	978	1997-10-13	PRIJEM	PREVOD Z UCTU	6556	58336	DUCHOD	AB	70656674
284767	978	1997-11-13	PRIJEM	PREVOD Z UCTU	6556	58347	DUCHOD	AB	70656674
284768	978	1997-12-13	PRIJEM	PREVOD Z UCTU	6556	62414	DUCHOD	AB	70656674
284769	978	1998-01-13	PRIJEM	PREVOD Z UCTU	6556	57439	DUCHOD	AB	70656674
284770	978	1998-02-13	PRIJEM	PREVOD Z UCTU	6556	61668	DUCHOD	AB	70656674
284771	978	1998-03-13	PRIJEM	PREVOD Z UCTU	6556	63433	DUCHOD	AB	70656674
284772	978	1998-04-13	PRIJEM	PREVOD Z UCTU	6556	66567	DUCHOD	AB	70656674
284773	978	1998-05-13	PRIJEM	PREVOD Z UCTU	6556	71313	DUCHOD	AB	70656674
284774	978	1998-06-13	PRIJEM	PREVOD Z UCTU	6556	67780	DUCHOD	AB	70656674
284775	978	1998-07-13	PRIJEM	PREVOD Z UCTU	6556	72537	DUCHOD	AB	70656674
284776	978	1998-08-13	PRIJEM	PREVOD Z UCTU	6556	77308	DUCHOD	AB	70656674
284777	978	1998-09-13	PRIJEM	PREVOD Z UCTU	6556	82099	DUCHOD	AB	70656674
284778	978	1998-10-13	PRIJEM	PREVOD Z UCTU	6556	86909	DUCHOD	AB	70656674
284779	978	1998-11-13	PRIJEM	PREVOD Z UCTU	6556	91739	DUCHOD	AB	70656674
284780	978	1998-12-13	PRIJEM	PREVOD Z UCTU	6556	93284	DUCHOD	AB	70656674
284794	978	1994-02-08	VYDAJ	PREVOD NA UCET	2062	22918	SIPO	UV	70650827
284795	978	1994-03-08	VYDAJ	PREVOD NA UCET	2062	25708	SIPO	UV	70650827
284796	978	1994-04-08	VYDAJ	PREVOD NA UCET	2062	26364	SIPO	UV	70650827
284797	978	1994-05-08	VYDAJ	PREVOD NA UCET	2062	27665	SIPO	UV	70650827
284798	978	1994-06-08	VYDAJ	PREVOD NA UCET	2062	25966	SIPO	UV	70650827
284799	978	1994-07-08	VYDAJ	PREVOD NA UCET	2062	18641	SIPO	UV	70650827
284800	978	1994-08-08	VYDAJ	PREVOD NA UCET	2062	20494	SIPO	UV	70650827
284801	978	1994-09-08	VYDAJ	PREVOD NA UCET	2062	24079	SIPO	UV	70650827
284802	978	1994-10-08	VYDAJ	PREVOD NA UCET	2062	28678	SIPO	UV	70650827
284803	978	1994-11-08	VYDAJ	PREVOD NA UCET	2062	30690	SIPO	UV	70650827
284804	978	1994-12-08	VYDAJ	PREVOD NA UCET	2062	34113	SIPO	UV	70650827
284805	978	1995-01-08	VYDAJ	PREVOD NA UCET	2062	37651	SIPO	UV	70650827
284806	978	1995-02-08	VYDAJ	PREVOD NA UCET	2062	33189	SIPO	UV	70650827
284807	978	1995-03-08	VYDAJ	PREVOD NA UCET	2062	32354	SIPO	UV	70650827
284808	978	1995-04-08	VYDAJ	PREVOD NA UCET	2062	33477	SIPO	UV	70650827
284809	978	1995-05-08	VYDAJ	PREVOD NA UCET	2062	33502	SIPO	UV	70650827
284810	978	1995-06-08	VYDAJ	PREVOD NA UCET	2062	33084	SIPO	UV	70650827
284811	978	1995-07-08	VYDAJ	PREVOD NA UCET	2062	30930	SIPO	UV	70650827
284812	978	1995-08-08	VYDAJ	PREVOD NA UCET	2062	30458	SIPO	UV	70650827
284813	978	1995-09-08	VYDAJ	PREVOD NA UCET	2062	30587	SIPO	UV	70650827
284814	978	1995-10-08	VYDAJ	PREVOD NA UCET	2062	31116	SIPO	UV	70650827
284815	978	1995-11-08	VYDAJ	PREVOD NA UCET	2062	32748	SIPO	UV	70650827
284816	978	1995-12-08	VYDAJ	PREVOD NA UCET	2062	34984	SIPO	UV	70650827
284817	978	1996-01-08	VYDAJ	PREVOD NA UCET	2062	31927	SIPO	UV	70650827
284818	978	1996-02-08	VYDAJ	PREVOD NA UCET	2062	35364	SIPO	UV	70650827
284819	978	1996-03-08	VYDAJ	PREVOD NA UCET	2062	38089	SIPO	UV	70650827
284820	978	1996-04-08	VYDAJ	PREVOD NA UCET	2062	38102	SIPO	UV	70650827
284821	978	1996-05-08	VYDAJ	PREVOD NA UCET	2062	42359	SIPO	UV	70650827
284822	978	1996-06-08	VYDAJ	PREVOD NA UCET	2062	41834	SIPO	UV	70650827
284823	978	1996-07-08	VYDAJ	PREVOD NA UCET	2062	42606	SIPO	UV	70650827
284824	978	1996-08-08	VYDAJ	PREVOD NA UCET	2062	42385	SIPO	UV	70650827
284825	978	1996-09-08	VYDAJ	PREVOD NA UCET	2062	42663	SIPO	UV	70650827
284826	978	1996-10-08	VYDAJ	PREVOD NA UCET	2062	44242	SIPO	UV	70650827
284827	978	1996-11-08	VYDAJ	PREVOD NA UCET	2062	41725	SIPO	UV	70650827
284828	978	1996-12-08	VYDAJ	PREVOD NA UCET	2062	42787	SIPO	UV	70650827
284829	978	1997-01-08	VYDAJ	PREVOD NA UCET	2062	41929	SIPO	UV	70650827
284830	978	1997-02-08	VYDAJ	PREVOD NA UCET	2062	41749	SIPO	UV	70650827
284831	978	1997-03-08	VYDAJ	PREVOD NA UCET	2062	45820	SIPO	UV	70650827
284832	978	1997-04-08	VYDAJ	PREVOD NA UCET	2062	49909	SIPO	UV	70650827
284833	978	1997-05-08	VYDAJ	PREVOD NA UCET	2062	51214	SIPO	UV	70650827
284834	978	1997-06-08	VYDAJ	PREVOD NA UCET	2062	49863	SIPO	UV	70650827
284835	978	1997-07-08	VYDAJ	PREVOD NA UCET	2062	44213	SIPO	UV	70650827
284836	978	1997-08-08	VYDAJ	PREVOD NA UCET	2062	45294	SIPO	UV	70650827
284837	978	1997-09-08	VYDAJ	PREVOD NA UCET	2062	48582	SIPO	UV	70650827
284838	978	1997-10-08	VYDAJ	PREVOD NA UCET	2062	51780	SIPO	UV	70650827
284839	978	1997-11-08	VYDAJ	PREVOD NA UCET	2062	51791	SIPO	UV	70650827
284840	978	1997-12-08	VYDAJ	PREVOD NA UCET	2062	55858	SIPO	UV	70650827
284841	978	1998-01-08	VYDAJ	PREVOD NA UCET	2062	50883	SIPO	UV	70650827
284842	978	1998-02-08	VYDAJ	PREVOD NA UCET	2062	55112	SIPO	UV	70650827
284843	978	1998-03-08	VYDAJ	PREVOD NA UCET	2062	56877	SIPO	UV	70650827
284844	978	1998-04-08	VYDAJ	PREVOD NA UCET	2062	60011	SIPO	UV	70650827
284845	978	1998-05-08	VYDAJ	PREVOD NA UCET	2062	64757	SIPO	UV	70650827
284846	978	1998-06-08	VYDAJ	PREVOD NA UCET	2062	61224	SIPO	UV	70650827
284847	978	1998-07-08	VYDAJ	PREVOD NA UCET	2062	65981	SIPO	UV	70650827
284848	978	1998-08-08	VYDAJ	PREVOD NA UCET	2062	70752	SIPO	UV	70650827
284849	978	1998-09-08	VYDAJ	PREVOD NA UCET	2062	75543	SIPO	UV	70650827
284850	978	1998-10-08	VYDAJ	PREVOD NA UCET	2062	80353	SIPO	UV	70650827
284851	978	1998-11-08	VYDAJ	PREVOD NA UCET	2062	85183	SIPO	UV	70650827
284852	978	1998-12-08	VYDAJ	PREVOD NA UCET	2062	86728	SIPO	UV	70650827
284854	978	1994-06-12	VYDAJ	VYBER	11900	14066	\N	\N	\N
284855	978	1995-06-25	VYDAJ	VYBER	3700	33740	\N	\N	\N
284856	978	1996-06-03	VYDAJ	VYBER	2300	46796	\N	\N	\N
284857	978	1997-06-27	VYDAJ	VYBER	10350	46069	\N	\N	\N
284858	978	1998-06-03	VYDAJ	VYBER	8300	63286	\N	\N	\N
284860	978	1994-01-27	VYDAJ	VYBER	4450	24930	\N	\N	\N
284861	978	1995-01-25	VYDAJ	VYBER	4500	35107	\N	\N	\N
284862	978	1996-01-07	VYDAJ	VYBER	3000	33989	\N	\N	\N
284863	978	1997-01-24	VYDAJ	VYBER	1000	44605	\N	\N	\N
284864	978	1998-01-03	VYDAJ	VYBER	4100	52945	\N	\N	\N
284866	978	1994-12-17	VYDAJ	VYBER	300	39569	\N	\N	\N
284867	978	1995-12-09	VYDAJ	VYBER	400	34584	\N	\N	\N
284868	978	1996-12-12	VYDAJ	VYBER	1150	41637	\N	\N	\N
284869	978	1997-12-01	VYDAJ	VYBER	650	57920	\N	\N	\N
284870	978	1998-12-21	VYDAJ	VYBER KARTOU	1000	81884	\N	\N	0
284877	978	1994-03-11	VYDAJ	VYBER	2640	23068	\N	\N	\N
284878	978	1994-07-23	VYDAJ	VYBER	1920	22477	\N	\N	\N
284879	978	1995-05-09	VYDAJ	VYBER	1440	32062	\N	\N	\N
284880	978	1995-07-04	VYDAJ	VYBER	880	32992	\N	\N	\N
284881	978	1995-12-10	VYDAJ	VYBER	400	34184	\N	\N	\N
284882	978	1995-02-26	VYDAJ	VYBER	2160	34285	\N	\N	\N
284883	978	1996-11-08	VYDAJ	VYBER	3120	38605	\N	\N	\N
284884	978	1996-03-05	VYDAJ	VYBER	1920	40151	\N	\N	\N
284885	978	1996-11-27	VYDAJ	VYBER	480	44681	\N	\N	\N
284886	978	1996-03-14	VYDAJ	VYBER	1840	42805	\N	\N	\N
284887	978	1996-12-23	VYDAJ	VYBER	880	47313	\N	\N	\N
284888	978	1996-03-31	VYDAJ	VYBER	2800	40179	\N	\N	\N
284889	978	1997-05-31	VYDAJ	VYBER	3760	51940	\N	\N	\N
284890	978	1997-10-31	VYDAJ	VYBER	2400	53853	\N	\N	\N
284891	978	1997-01-09	VYDAJ	VYBER	2880	39049	\N	\N	\N
284892	978	1997-01-25	VYDAJ	VYBER	960	43645	\N	\N	\N
284893	978	1997-08-02	VYDAJ	VYBER	3600	47356	\N	\N	\N
284894	978	1998-01-25	VYDAJ	VYBER	480	56959	\N	\N	\N
284895	978	1998-03-07	VYDAJ	VYBER	2960	58939	\N	\N	\N
284896	978	1998-03-27	VYDAJ	VYBER	1600	61833	\N	\N	\N
284897	978	1998-12-14	VYDAJ	VYBER KARTOU	3800	89484	\N	\N	0
284898	978	1998-01-01	VYDAJ	VYBER	2000	57045	\N	\N	\N
284912	978	1994-01-31	VYDAJ	VYBER	15	24980	SLUZBY	\N	\N
284913	978	1994-02-28	VYDAJ	VYBER	15	27770	SLUZBY	\N	\N
284914	978	1994-03-31	VYDAJ	VYBER	15	28426	SLUZBY	\N	\N
284915	978	1994-04-30	VYDAJ	VYBER	15	29727	SLUZBY	\N	\N
284916	978	1994-05-31	VYDAJ	VYBER	15	28028	SLUZBY	\N	\N
284917	978	1994-06-30	VYDAJ	VYBER	15	20703	SLUZBY	\N	\N
284918	978	1994-07-31	VYDAJ	VYBER	15	22556	SLUZBY	\N	\N
284919	978	1994-08-31	VYDAJ	VYBER	15	26141	SLUZBY	\N	\N
284920	978	1994-09-30	VYDAJ	VYBER	15	30740	SLUZBY	\N	\N
284921	978	1994-10-31	VYDAJ	VYBER	15	32752	SLUZBY	\N	\N
284922	978	1994-11-30	VYDAJ	VYBER	15	36175	SLUZBY	\N	\N
284923	978	1994-12-31	VYDAJ	VYBER	15	39713	SLUZBY	\N	\N
284924	978	1995-01-31	VYDAJ	VYBER	15	35251	SLUZBY	\N	\N
284925	978	1995-02-28	VYDAJ	VYBER	15	34416	SLUZBY	\N	\N
284926	978	1995-03-31	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
284927	978	1995-04-30	VYDAJ	VYBER	15	35564	SLUZBY	\N	\N
284928	978	1995-05-31	VYDAJ	VYBER	15	35146	SLUZBY	\N	\N
284929	978	1995-06-30	VYDAJ	VYBER	15	33872	SLUZBY	\N	\N
284930	978	1995-07-31	VYDAJ	VYBER	15	37620	SLUZBY	\N	\N
284931	978	1995-08-31	VYDAJ	VYBER	15	37149	SLUZBY	\N	\N
284932	978	1995-09-30	VYDAJ	VYBER	15	37278	SLUZBY	\N	\N
284933	978	1995-10-31	VYDAJ	VYBER	15	37810	SLUZBY	\N	\N
284934	978	1995-11-30	VYDAJ	VYBER	15	39446	SLUZBY	\N	\N
284935	978	1995-12-31	VYDAJ	VYBER	15	40889	SLUZBY	\N	\N
284936	978	1996-01-31	VYDAJ	VYBER	15	38626	SLUZBY	\N	\N
284937	978	1996-02-29	VYDAJ	VYBER	15	42071	SLUZBY	\N	\N
284938	978	1996-03-31	VYDAJ	VYBER	15	40164	SLUZBY	\N	\N
284939	978	1996-04-30	VYDAJ	VYBER	15	44821	SLUZBY	\N	\N
284940	978	1996-05-31	VYDAJ	VYBER	15	49096	SLUZBY	\N	\N
284941	978	1996-06-30	VYDAJ	VYBER	15	48568	SLUZBY	\N	\N
284942	978	1996-07-31	VYDAJ	VYBER	15	49347	SLUZBY	\N	\N
284943	978	1996-08-31	VYDAJ	VYBER	15	49125	SLUZBY	\N	\N
284944	978	1996-09-30	VYDAJ	VYBER	15	49404	SLUZBY	\N	\N
284945	978	1996-10-31	VYDAJ	VYBER	15	43787	SLUZBY	\N	\N
284946	978	1996-11-30	VYDAJ	VYBER	15	44849	SLUZBY	\N	\N
284947	978	1996-12-31	VYDAJ	VYBER	15	43991	SLUZBY	\N	\N
284948	978	1997-01-31	VYDAJ	VYBER	15	43811	SLUZBY	\N	\N
284949	978	1997-02-28	VYDAJ	VYBER	15	47882	SLUZBY	\N	\N
284950	978	1997-03-31	VYDAJ	VYBER	15	51971	SLUZBY	\N	\N
284951	978	1997-04-30	VYDAJ	VYBER	15	53276	SLUZBY	\N	\N
284952	978	1997-05-31	VYDAJ	VYBER	15	51925	SLUZBY	\N	\N
284953	978	1997-06-30	VYDAJ	VYBER	15	46275	SLUZBY	\N	\N
284954	978	1997-07-31	VYDAJ	VYBER	15	50956	SLUZBY	\N	\N
284955	978	1997-08-31	VYDAJ	VYBER	15	50644	SLUZBY	\N	\N
284956	978	1997-09-30	VYDAJ	VYBER	15	53842	SLUZBY	\N	\N
284957	978	1997-10-31	VYDAJ	VYBER	15	56253	SLUZBY	\N	\N
284958	978	1997-11-30	VYDAJ	VYBER	15	58570	SLUZBY	\N	\N
284959	978	1997-12-31	VYDAJ	VYBER	15	59045	SLUZBY	\N	\N
284960	978	1998-01-31	VYDAJ	VYBER	15	57174	SLUZBY	\N	\N
284961	978	1998-02-28	VYDAJ	VYBER	15	61899	SLUZBY	\N	\N
284962	978	1998-03-31	VYDAJ	VYBER	15	62073	SLUZBY	\N	\N
284963	978	1998-04-30	VYDAJ	VYBER	15	66819	SLUZBY	\N	\N
284964	978	1998-05-31	VYDAJ	VYBER	15	71586	SLUZBY	\N	\N
284965	978	1998-06-30	VYDAJ	VYBER	15	68043	SLUZBY	\N	\N
284966	978	1998-07-31	VYDAJ	VYBER	15	72814	SLUZBY	\N	\N
284967	978	1998-08-31	VYDAJ	VYBER	15	77605	SLUZBY	\N	\N
284968	978	1998-09-30	VYDAJ	VYBER	15	82415	SLUZBY	\N	\N
284969	978	1998-10-31	VYDAJ	VYBER	15	87245	SLUZBY	\N	\N
284970	978	1998-11-30	VYDAJ	VYBER	15	88790	SLUZBY	\N	\N
284971	978	1994-01-15	VYDAJ	VYBER	4500	29380	\N	\N	\N
284972	978	1994-02-14	VYDAJ	VYBER	1800	27674	\N	\N	\N
284973	978	1994-03-16	VYDAJ	VYBER	1300	28324	\N	\N	\N
284974	978	1994-04-15	VYDAJ	VYBER	3300	29620	\N	\N	\N
284975	978	1994-05-15	VYDAJ	VYBER	6300	27921	\N	\N	\N
284976	978	1994-07-14	VYDAJ	VYBER	800	24397	\N	\N	\N
284977	978	1994-08-13	VYDAJ	VYBER	1000	26050	\N	\N	\N
284978	978	1994-10-12	VYDAJ	VYBER	2600	26078	\N	\N	\N
284979	978	1994-11-11	VYDAJ	VYBER	1200	29490	\N	\N	\N
284980	978	1994-12-11	VYDAJ	VYBER	800	33313	\N	\N	\N
284981	978	1995-01-10	VYDAJ	VYBER	4600	33051	\N	\N	\N
284982	978	1995-02-09	VYDAJ	VYBER	3300	29889	\N	\N	\N
284983	978	1995-03-11	VYDAJ	VYBER	3500	28854	\N	\N	\N
284984	978	1995-04-10	VYDAJ	VYBER	4600	28877	\N	\N	\N
284985	978	1995-05-10	VYDAJ	VYBER	3600	28462	\N	\N	\N
284986	978	1995-06-09	VYDAJ	VYBER	2200	30884	\N	\N	\N
284987	978	1995-08-08	VYDAJ	VYBER	5100	32520	\N	\N	\N
284988	978	1995-09-07	VYDAJ	VYBER	4500	32649	\N	\N	\N
284989	978	1995-10-07	VYDAJ	VYBER	4100	33178	\N	\N	\N
284990	978	1995-11-06	VYDAJ	VYBER	3000	34810	\N	\N	\N
284991	978	1995-12-06	VYDAJ	VYBER	2400	37046	\N	\N	\N
284992	978	1996-01-05	VYDAJ	VYBER	3900	36989	\N	\N	\N
284993	978	1996-02-04	VYDAJ	VYBER	1200	37426	\N	\N	\N
284994	978	1996-05-04	VYDAJ	VYBER	400	44421	\N	\N	\N
284995	978	1996-06-03	VYDAJ	VYBER	2900	43896	\N	\N	\N
284996	978	1996-07-03	VYDAJ	VYBER	3900	44668	\N	\N	\N
284997	978	1996-08-02	VYDAJ	VYBER	4900	44447	\N	\N	\N
284998	978	1996-09-01	VYDAJ	VYBER	4400	44725	\N	\N	\N
284999	978	1996-10-01	VYDAJ	VYBER	3100	46304	\N	\N	\N
285000	978	1996-10-31	VYDAJ	VYBER	7200	43802	\N	\N	\N
285001	978	1996-12-30	VYDAJ	VYBER	3500	43813	\N	\N	\N
285002	978	1997-02-28	VYDAJ	VYBER	600	47897	\N	\N	\N
285003	978	1997-03-30	VYDAJ	VYBER	600	51776	\N	\N	\N
285004	978	1997-04-29	VYDAJ	VYBER	3400	53065	\N	\N	\N
285005	978	1997-05-29	VYDAJ	VYBER	2300	55470	\N	\N	\N
285006	978	1997-08-27	VYDAJ	VYBER	1400	50450	\N	\N	\N
285007	978	1997-09-26	VYDAJ	VYBER	1500	53638	\N	\N	\N
285008	978	1997-10-26	VYDAJ	VYBER	2300	56036	\N	\N	\N
285009	978	1997-12-25	VYDAJ	VYBER	3600	58814	\N	\N	\N
285010	978	1998-11-20	VYDAJ	VYBER KARTOU	3300	88439	\N	\N	0
285011	978	1998-12-20	VYDAJ	VYBER KARTOU	6600	82884	\N	\N	0
285072	979	1993-02-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
285075	979	1993-03-06	PRIJEM	VKLAD	17914	18914	\N	\N	\N
285076	979	1993-04-06	PRIJEM	VKLAD	17914	38066	\N	\N	\N
285077	979	1993-05-06	PRIJEM	VKLAD	17914	51490	\N	\N	\N
285078	979	1993-06-06	PRIJEM	VKLAD	26871	63105	\N	\N	\N
285079	979	1993-07-06	PRIJEM	VKLAD	17914	60383	\N	\N	\N
285080	979	1993-08-06	PRIJEM	VKLAD	17914	48512	\N	\N	\N
285081	979	1993-09-06	PRIJEM	VKLAD	17914	50312	\N	\N	\N
285082	979	1993-10-06	PRIJEM	VKLAD	17914	51721	\N	\N	\N
285083	979	1993-11-06	PRIJEM	VKLAD	17914	53136	\N	\N	\N
285084	979	1993-12-06	PRIJEM	VKLAD	26871	59679	\N	\N	\N
285085	979	1994-01-06	PRIJEM	VKLAD	17914	44068	\N	\N	\N
285086	979	1994-02-06	PRIJEM	VKLAD	17914	42944	\N	\N	\N
285087	979	1994-03-06	PRIJEM	VKLAD	17914	47408	\N	\N	\N
285088	979	1994-04-06	PRIJEM	VKLAD	17914	43775	\N	\N	\N
285089	979	1994-05-06	PRIJEM	VKLAD	17914	45838	\N	\N	\N
285090	979	1994-06-06	PRIJEM	VKLAD	26871	57866	\N	\N	\N
285091	979	1994-07-06	PRIJEM	VKLAD	17914	55872	\N	\N	\N
285092	979	1994-08-06	PRIJEM	VKLAD	17914	51564	\N	\N	\N
285093	979	1994-09-06	PRIJEM	VKLAD	17914	51654	\N	\N	\N
285094	979	1994-10-06	PRIJEM	VKLAD	17914	47032	\N	\N	\N
285095	979	1994-11-06	PRIJEM	VKLAD	17914	51515	\N	\N	\N
285096	979	1994-12-06	PRIJEM	VKLAD	26871	58655	\N	\N	\N
285097	979	1995-01-06	PRIJEM	VKLAD	17914	50449	\N	\N	\N
285098	979	1995-02-06	PRIJEM	VKLAD	17914	41325	\N	\N	\N
285099	979	1995-03-06	PRIJEM	VKLAD	17914	48097	\N	\N	\N
285100	979	1995-04-06	PRIJEM	VKLAD	17914	47870	\N	\N	\N
285101	979	1995-05-06	PRIJEM	VKLAD	17914	47142	\N	\N	\N
285102	979	1995-06-06	PRIJEM	VKLAD	26871	54268	\N	\N	\N
285103	979	1995-07-06	PRIJEM	VKLAD	17914	52156	\N	\N	\N
285104	979	1995-08-06	PRIJEM	VKLAD	17914	44658	\N	\N	\N
285105	979	1995-09-06	PRIJEM	VKLAD	17914	48456	\N	\N	\N
285106	979	1995-10-06	PRIJEM	VKLAD	17914	50272	\N	\N	\N
285107	979	1995-11-06	PRIJEM	VKLAD	17914	51005	\N	\N	\N
285108	979	1995-12-06	PRIJEM	VKLAD	26871	60802	\N	\N	\N
285109	979	1996-01-06	PRIJEM	VKLAD	17914	54275	\N	\N	\N
285110	979	1996-02-06	PRIJEM	VKLAD	17914	43688	\N	\N	\N
285111	979	1996-03-06	PRIJEM	VKLAD	17914	46791	\N	\N	\N
285112	979	1996-04-06	PRIJEM	VKLAD	17914	47311	\N	\N	\N
285113	979	1996-05-06	PRIJEM	VKLAD	17914	46435	\N	\N	\N
285114	979	1996-06-06	PRIJEM	VKLAD	26871	45011	\N	\N	\N
285115	979	1996-07-06	PRIJEM	VKLAD	17914	42714	\N	\N	\N
285116	979	1996-08-06	PRIJEM	VKLAD	17914	39988	\N	\N	\N
285117	979	1996-09-06	PRIJEM	VKLAD	17914	41370	\N	\N	\N
285118	979	1996-10-06	PRIJEM	VKLAD	17914	45034	\N	\N	\N
285119	979	1996-11-06	PRIJEM	VKLAD	17914	45714	\N	\N	\N
285120	979	1996-12-06	PRIJEM	VKLAD	26871	57053	\N	\N	\N
285121	979	1997-01-06	PRIJEM	VKLAD	17914	54164	\N	\N	\N
285122	979	1997-02-06	PRIJEM	VKLAD	17914	47074	\N	\N	\N
285123	979	1997-03-06	PRIJEM	VKLAD	17914	46957	\N	\N	\N
285124	979	1997-04-06	PRIJEM	VKLAD	17914	47343	\N	\N	\N
285125	979	1997-05-06	PRIJEM	VKLAD	17914	51431	\N	\N	\N
285126	979	1997-06-06	PRIJEM	VKLAD	26871	55190	\N	\N	\N
285127	979	1997-07-06	PRIJEM	VKLAD	17914	42707	\N	\N	\N
285128	979	1997-08-06	PRIJEM	VKLAD	17914	45174	\N	\N	\N
285129	979	1997-09-06	PRIJEM	VKLAD	17914	42456	\N	\N	\N
285130	979	1997-10-06	PRIJEM	VKLAD	17914	46921	\N	\N	\N
285131	979	1997-11-06	PRIJEM	VKLAD	17914	46999	\N	\N	\N
285132	979	1997-12-06	PRIJEM	VKLAD	26871	58135	\N	\N	\N
285133	979	1998-01-06	PRIJEM	VKLAD	17914	48634	\N	\N	\N
285134	979	1998-02-06	PRIJEM	VKLAD	17914	41127	\N	\N	\N
285135	979	1998-03-06	PRIJEM	VKLAD	17914	41978	\N	\N	\N
285136	979	1998-04-06	PRIJEM	VKLAD	17914	43434	\N	\N	\N
285137	979	1998-05-06	PRIJEM	VKLAD	17914	40590	\N	\N	\N
285138	979	1998-06-06	PRIJEM	VKLAD	26871	48793	\N	\N	\N
285139	979	1998-07-06	PRIJEM	VKLAD	17914	38835	\N	\N	\N
285140	979	1998-08-06	PRIJEM	VKLAD	17914	36969	\N	\N	\N
285141	979	1998-09-06	PRIJEM	VKLAD	17914	49619	\N	\N	\N
285142	979	1998-10-06	PRIJEM	VKLAD	17914	43789	\N	\N	\N
285143	979	1998-11-06	PRIJEM	VKLAD	17914	42240	\N	\N	\N
285144	979	1998-12-06	PRIJEM	VKLAD	26871	49540	\N	\N	\N
285151	979	1993-07-14	VYDAJ	PREVOD NA UCET	5354	51729	SIPO	KL	75259256
285152	979	1993-08-14	VYDAJ	PREVOD NA UCET	5354	43158	SIPO	KL	75259256
285153	979	1993-09-14	VYDAJ	PREVOD NA UCET	5354	44958	SIPO	KL	75259256
285154	979	1993-10-14	VYDAJ	PREVOD NA UCET	5354	46367	SIPO	KL	75259256
285155	979	1993-11-14	VYDAJ	PREVOD NA UCET	5354	32682	SIPO	KL	75259256
285156	979	1993-12-14	VYDAJ	PREVOD NA UCET	5354	35025	SIPO	KL	75259256
285157	979	1994-01-14	VYDAJ	PREVOD NA UCET	5354	29714	SIPO	KL	75259256
285158	979	1994-02-14	VYDAJ	PREVOD NA UCET	5354	29990	SIPO	KL	75259256
285159	979	1994-03-14	VYDAJ	PREVOD NA UCET	5354	30254	SIPO	KL	75259256
285160	979	1994-04-14	VYDAJ	PREVOD NA UCET	5354	30021	SIPO	KL	75259256
285161	979	1994-05-14	VYDAJ	PREVOD NA UCET	5354	30884	SIPO	KL	75259256
285162	979	1994-06-14	VYDAJ	PREVOD NA UCET	5354	37812	SIPO	KL	75259256
285163	979	1994-07-14	VYDAJ	PREVOD NA UCET	5354	33518	SIPO	KL	75259256
285164	979	1994-08-14	VYDAJ	PREVOD NA UCET	5354	34410	SIPO	KL	75259256
285165	979	1994-09-14	VYDAJ	PREVOD NA UCET	5354	31800	SIPO	KL	75259256
285166	979	1994-10-14	VYDAJ	PREVOD NA UCET	5354	33478	SIPO	KL	75259256
285167	979	1994-11-14	VYDAJ	PREVOD NA UCET	5354	31661	SIPO	KL	75259256
285168	979	1994-12-14	VYDAJ	PREVOD NA UCET	5354	35501	SIPO	KL	75259256
285169	979	1995-01-14	VYDAJ	PREVOD NA UCET	5354	27995	SIPO	KL	75259256
285170	979	1995-02-14	VYDAJ	PREVOD NA UCET	5354	30071	SIPO	KL	75259256
285171	979	1995-03-14	VYDAJ	PREVOD NA UCET	5354	29843	SIPO	KL	75259256
285172	979	1995-04-14	VYDAJ	PREVOD NA UCET	5354	29116	SIPO	KL	75259256
285173	979	1995-05-14	VYDAJ	PREVOD NA UCET	5354	30088	SIPO	KL	75259256
285174	979	1995-06-14	VYDAJ	PREVOD NA UCET	5354	34114	SIPO	KL	75259256
285175	979	1995-07-14	VYDAJ	PREVOD NA UCET	5354	32502	SIPO	KL	75259256
285176	979	1995-08-14	VYDAJ	PREVOD NA UCET	5354	36004	SIPO	KL	75259256
285177	979	1995-09-14	VYDAJ	PREVOD NA UCET	5354	40502	SIPO	KL	75259256
285178	979	1995-10-14	VYDAJ	PREVOD NA UCET	5354	44918	SIPO	KL	75259256
285179	979	1995-11-14	VYDAJ	PREVOD NA UCET	5354	45651	SIPO	KL	75259256
285180	979	1995-12-14	VYDAJ	PREVOD NA UCET	5354	55448	SIPO	KL	75259256
285181	979	1996-01-14	VYDAJ	PREVOD NA UCET	5354	37421	SIPO	KL	75259256
285182	979	1996-02-14	VYDAJ	PREVOD NA UCET	5354	38334	SIPO	KL	75259256
285183	979	1996-03-14	VYDAJ	PREVOD NA UCET	5354	41437	SIPO	KL	75259256
285184	979	1996-04-14	VYDAJ	PREVOD NA UCET	5354	41957	SIPO	KL	75259256
285185	979	1996-05-14	VYDAJ	PREVOD NA UCET	5354	41081	SIPO	KL	75259256
285186	979	1996-06-14	VYDAJ	PREVOD NA UCET	5354	39657	SIPO	KL	75259256
285187	979	1996-07-14	VYDAJ	PREVOD NA UCET	5354	37360	SIPO	KL	75259256
285188	979	1996-08-14	VYDAJ	PREVOD NA UCET	5354	34634	SIPO	KL	75259256
285189	979	1996-09-14	VYDAJ	PREVOD NA UCET	5354	36016	SIPO	KL	75259256
285190	979	1996-10-14	VYDAJ	PREVOD NA UCET	5354	39680	SIPO	KL	75259256
285191	979	1996-11-14	VYDAJ	PREVOD NA UCET	5354	40360	SIPO	KL	75259256
285192	979	1996-12-14	VYDAJ	PREVOD NA UCET	5354	51699	SIPO	KL	75259256
285193	979	1997-01-14	VYDAJ	PREVOD NA UCET	5354	44310	SIPO	KL	75259256
285194	979	1997-02-14	VYDAJ	PREVOD NA UCET	5354	41720	SIPO	KL	75259256
285195	979	1997-03-14	VYDAJ	PREVOD NA UCET	5354	41603	SIPO	KL	75259256
285196	979	1997-04-14	VYDAJ	PREVOD NA UCET	5354	41989	SIPO	KL	75259256
285197	979	1997-05-14	VYDAJ	PREVOD NA UCET	5354	46077	SIPO	KL	75259256
285198	979	1997-06-14	VYDAJ	PREVOD NA UCET	5354	49836	SIPO	KL	75259256
285199	979	1997-07-14	VYDAJ	PREVOD NA UCET	5354	37353	SIPO	KL	75259256
285200	979	1997-08-14	VYDAJ	PREVOD NA UCET	5354	35520	SIPO	KL	75259256
285201	979	1997-09-14	VYDAJ	PREVOD NA UCET	5354	37102	SIPO	KL	75259256
285202	979	1997-10-14	VYDAJ	PREVOD NA UCET	5354	41567	SIPO	KL	75259256
285203	979	1997-11-14	VYDAJ	PREVOD NA UCET	5354	41645	SIPO	KL	75259256
285204	979	1997-12-14	VYDAJ	PREVOD NA UCET	5354	52781	SIPO	KL	75259256
285205	979	1998-01-14	VYDAJ	PREVOD NA UCET	5354	43280	SIPO	KL	75259256
285206	979	1998-02-14	VYDAJ	PREVOD NA UCET	5354	35773	SIPO	KL	75259256
285207	979	1998-03-14	VYDAJ	PREVOD NA UCET	5354	36624	SIPO	KL	75259256
285208	979	1998-04-14	VYDAJ	PREVOD NA UCET	5354	38080	SIPO	KL	75259256
285209	979	1998-05-14	VYDAJ	PREVOD NA UCET	5354	35236	SIPO	KL	75259256
285210	979	1998-06-14	VYDAJ	PREVOD NA UCET	5354	33739	SIPO	KL	75259256
285211	979	1998-07-14	VYDAJ	PREVOD NA UCET	5354	33481	SIPO	KL	75259256
285212	979	1998-08-14	VYDAJ	PREVOD NA UCET	5354	31615	SIPO	KL	75259256
285213	979	1998-09-14	VYDAJ	PREVOD NA UCET	5354	44265	SIPO	KL	75259256
285214	979	1998-10-14	VYDAJ	PREVOD NA UCET	5354	38435	SIPO	KL	75259256
285215	979	1998-11-14	VYDAJ	PREVOD NA UCET	5354	36886	SIPO	KL	75259256
285216	979	1998-12-14	VYDAJ	PREVOD NA UCET	5354	44186	SIPO	KL	75259256
285220	979	1996-06-01	VYDAJ	VYBER	8400	18140	\N	\N	\N
285221	979	1997-06-23	VYDAJ	VYBER	13600	36236	\N	\N	\N
285222	979	1998-06-13	VYDAJ	VYBER	9700	39093	\N	\N	\N
285224	979	1994-01-01	VYDAJ	VYBER	8300	26854	\N	\N	\N
285225	979	1995-01-01	VYDAJ	VYBER	3100	32535	\N	\N	\N
285226	979	1996-01-11	VYDAJ	VYBER	6800	45975	\N	\N	\N
285227	979	1997-01-19	VYDAJ	VYBER	1200	40410	\N	\N	\N
285228	979	1998-01-29	VYDAJ	VYBER	2600	23080	\N	\N	\N
285235	979	1994-01-24	VYDAJ	VYBER	1400	26814	\N	\N	\N
285236	979	1994-01-09	VYDAJ	VYBER	800	43268	\N	\N	\N
285237	979	1994-01-22	VYDAJ	VYBER	1500	28214	\N	\N	\N
285238	979	1994-01-12	VYDAJ	VYBER	1100	42168	\N	\N	\N
285239	979	1994-01-02	VYDAJ	VYBER	700	26154	\N	\N	\N
285240	979	1994-01-24	VYDAJ	VYBER	1900	24914	\N	\N	\N
285241	979	1995-01-07	VYDAJ	VYBER	2500	33349	\N	\N	\N
285242	979	1995-01-19	VYDAJ	VYBER	1000	24695	\N	\N	\N
285243	979	1995-01-25	VYDAJ	VYBER	1400	23295	\N	\N	\N
285244	979	1995-01-15	VYDAJ	VYBER	600	27395	\N	\N	\N
285245	979	1995-01-07	VYDAJ	VYBER	2600	43849	\N	\N	\N
285246	979	1995-01-15	VYDAJ	VYBER	1700	25695	\N	\N	\N
285247	979	1996-01-20	VYDAJ	VYBER	900	33621	\N	\N	\N
285248	979	1996-01-08	VYDAJ	VYBER	1500	52775	\N	\N	\N
285249	979	1996-01-13	VYDAJ	VYBER	1600	42775	\N	\N	\N
285250	979	1996-01-11	VYDAJ	VYBER	1600	44375	\N	\N	\N
285251	979	1996-01-16	VYDAJ	VYBER	2900	34521	\N	\N	\N
285252	979	1996-01-30	VYDAJ	VYBER	1100	28021	\N	\N	\N
285253	979	1997-01-09	VYDAJ	VYBER	1100	52264	\N	\N	\N
285254	979	1997-01-26	VYDAJ	VYBER	1400	29010	\N	\N	\N
285255	979	1997-01-13	VYDAJ	VYBER	1300	49664	\N	\N	\N
285256	979	1997-01-07	VYDAJ	VYBER	800	53364	\N	\N	\N
285257	979	1997-01-11	VYDAJ	VYBER	1300	50964	\N	\N	\N
285258	979	1997-01-14	VYDAJ	VYBER	2700	41610	\N	\N	\N
285259	979	1998-01-21	VYDAJ	VYBER	1200	37880	\N	\N	\N
285260	979	1998-01-16	VYDAJ	VYBER	1500	41780	\N	\N	\N
285261	979	1998-01-29	VYDAJ	VYBER	1300	25680	\N	\N	\N
285262	979	1998-01-01	VYDAJ	VYBER	2000	32520	\N	\N	\N
285263	979	1998-01-21	VYDAJ	VYBER	2700	39080	\N	\N	\N
285264	979	1998-01-03	VYDAJ	VYBER	1800	30720	\N	\N	\N
285265	979	1993-07-06	VYDAJ	VYBER	3300	57083	\N	\N	\N
285267	979	1993-08-05	VYDAJ	VYBER	4700	30598	\N	\N	\N
285269	979	1993-07-24	VYDAJ	VYBER	4000	35129	\N	\N	\N
285271	979	1994-03-28	VYDAJ	VYBER	1300	25754	\N	\N	\N
285272	979	1994-08-23	VYDAJ	VYBER	800	33610	\N	\N	\N
285273	979	1994-09-19	VYDAJ	VYBER	2800	29000	\N	\N	\N
285274	979	1994-06-08	VYDAJ	VYBER	1200	56666	\N	\N	\N
285275	979	1994-02-15	VYDAJ	VYBER	600	29390	\N	\N	\N
285276	979	1994-03-26	VYDAJ	VYBER	3200	27054	\N	\N	\N
285277	979	1994-04-22	VYDAJ	VYBER	2200	27821	\N	\N	\N
285278	979	1995-12-20	VYDAJ	VYBER	900	54548	\N	\N	\N
285279	979	1995-09-25	VYDAJ	VYBER	1800	38702	\N	\N	\N
285280	979	1995-09-12	VYDAJ	VYBER	2600	45856	\N	\N	\N
285281	979	1995-08-06	VYDAJ	VYBER	3300	41358	\N	\N	\N
285282	979	1995-05-19	VYDAJ	VYBER	2800	27288	\N	\N	\N
285283	979	1995-01-06	VYDAJ	VYBER	4000	46449	\N	\N	\N
285284	979	1996-09-18	VYDAJ	VYBER	2200	33816	\N	\N	\N
285285	979	1996-01-26	VYDAJ	VYBER	4500	29121	\N	\N	\N
285286	979	1996-08-01	VYDAJ	VYBER	2300	22074	\N	\N	\N
285287	979	1997-06-02	VYDAJ	VYBER	2600	29919	\N	\N	\N
285288	979	1997-08-06	VYDAJ	VYBER	4300	40874	\N	\N	\N
285289	979	1997-06-02	VYDAJ	VYBER	1600	28319	\N	\N	\N
285290	979	1997-02-23	VYDAJ	VYBER	4500	37220	\N	\N	\N
285291	979	1998-06-18	VYDAJ	VYBER	2200	31539	\N	\N	\N
285293	979	1998-09-20	VYDAJ	VYBER	2500	25765	\N	\N	\N
285301	979	1993-07-31	VYDAJ	VYBER	15	35298	SLUZBY	\N	\N
285302	979	1993-08-31	VYDAJ	VYBER	15	32398	SLUZBY	\N	\N
285303	979	1993-09-30	VYDAJ	VYBER	15	33807	SLUZBY	\N	\N
285304	979	1993-10-31	VYDAJ	VYBER	15	35222	SLUZBY	\N	\N
285305	979	1993-11-30	VYDAJ	VYBER	15	32808	SLUZBY	\N	\N
285306	979	1993-12-31	VYDAJ	VYBER	15	35154	SLUZBY	\N	\N
285307	979	1994-01-31	VYDAJ	VYBER	15	25030	SLUZBY	\N	\N
285308	979	1994-02-28	VYDAJ	VYBER	15	29494	SLUZBY	\N	\N
285309	979	1994-03-31	VYDAJ	VYBER	15	25861	SLUZBY	\N	\N
285310	979	1994-04-30	VYDAJ	VYBER	15	27924	SLUZBY	\N	\N
285311	979	1994-05-31	VYDAJ	VYBER	15	30995	SLUZBY	\N	\N
285312	979	1994-06-30	VYDAJ	VYBER	15	37958	SLUZBY	\N	\N
285313	979	1994-07-31	VYDAJ	VYBER	15	33650	SLUZBY	\N	\N
285314	979	1994-08-31	VYDAJ	VYBER	15	33740	SLUZBY	\N	\N
285315	979	1994-09-30	VYDAJ	VYBER	15	29118	SLUZBY	\N	\N
285316	979	1994-10-31	VYDAJ	VYBER	15	33601	SLUZBY	\N	\N
285317	979	1994-11-30	VYDAJ	VYBER	15	31784	SLUZBY	\N	\N
285318	979	1994-12-31	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
285319	979	1995-01-31	VYDAJ	VYBER	15	23411	SLUZBY	\N	\N
285320	979	1995-02-28	VYDAJ	VYBER	15	30183	SLUZBY	\N	\N
285321	979	1995-03-31	VYDAJ	VYBER	15	29956	SLUZBY	\N	\N
285322	979	1995-04-30	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
285323	979	1995-05-31	VYDAJ	VYBER	15	27397	SLUZBY	\N	\N
285324	979	1995-06-30	VYDAJ	VYBER	15	34242	SLUZBY	\N	\N
285325	979	1995-07-31	VYDAJ	VYBER	15	32644	SLUZBY	\N	\N
285326	979	1995-08-31	VYDAJ	VYBER	15	36142	SLUZBY	\N	\N
285327	979	1995-09-30	VYDAJ	VYBER	15	38858	SLUZBY	\N	\N
285328	979	1995-10-31	VYDAJ	VYBER	15	45091	SLUZBY	\N	\N
285329	979	1995-11-30	VYDAJ	VYBER	15	45831	SLUZBY	\N	\N
285330	979	1995-12-31	VYDAJ	VYBER	15	54761	SLUZBY	\N	\N
285331	979	1996-01-31	VYDAJ	VYBER	15	28174	SLUZBY	\N	\N
285332	979	1996-02-29	VYDAJ	VYBER	15	38477	SLUZBY	\N	\N
285333	979	1996-03-31	VYDAJ	VYBER	15	41597	SLUZBY	\N	\N
285334	979	1996-04-30	VYDAJ	VYBER	15	42121	SLUZBY	\N	\N
285335	979	1996-05-31	VYDAJ	VYBER	15	26540	SLUZBY	\N	\N
285336	979	1996-06-30	VYDAJ	VYBER	15	24800	SLUZBY	\N	\N
285337	979	1996-07-31	VYDAJ	VYBER	15	24374	SLUZBY	\N	\N
285338	979	1996-08-31	VYDAJ	VYBER	15	23456	SLUZBY	\N	\N
285339	979	1996-09-30	VYDAJ	VYBER	15	27120	SLUZBY	\N	\N
285340	979	1996-10-31	VYDAJ	VYBER	15	27800	SLUZBY	\N	\N
285341	979	1996-11-30	VYDAJ	VYBER	15	30182	SLUZBY	\N	\N
285342	979	1996-12-31	VYDAJ	VYBER	15	36250	SLUZBY	\N	\N
285343	979	1997-01-31	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
285344	979	1997-02-28	VYDAJ	VYBER	15	29043	SLUZBY	\N	\N
285345	979	1997-03-31	VYDAJ	VYBER	15	29429	SLUZBY	\N	\N
285346	979	1997-04-30	VYDAJ	VYBER	15	33517	SLUZBY	\N	\N
285347	979	1997-05-31	VYDAJ	VYBER	15	32519	SLUZBY	\N	\N
285348	979	1997-06-30	VYDAJ	VYBER	15	24793	SLUZBY	\N	\N
285349	979	1997-07-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
285350	979	1997-08-31	VYDAJ	VYBER	15	24542	SLUZBY	\N	\N
285351	979	1997-09-30	VYDAJ	VYBER	15	29007	SLUZBY	\N	\N
285352	979	1997-10-31	VYDAJ	VYBER	15	29085	SLUZBY	\N	\N
285353	979	1997-11-30	VYDAJ	VYBER	15	31264	SLUZBY	\N	\N
285354	979	1997-12-31	VYDAJ	VYBER	15	34520	SLUZBY	\N	\N
285355	979	1998-01-31	VYDAJ	VYBER	15	23213	SLUZBY	\N	\N
285356	979	1998-02-28	VYDAJ	VYBER	15	24064	SLUZBY	\N	\N
285357	979	1998-03-31	VYDAJ	VYBER	15	25520	SLUZBY	\N	\N
285358	979	1998-04-30	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
285359	979	1998-05-31	VYDAJ	VYBER	15	21922	SLUZBY	\N	\N
285360	979	1998-06-30	VYDAJ	VYBER	15	20921	SLUZBY	\N	\N
285361	979	1998-07-31	VYDAJ	VYBER	15	19055	SLUZBY	\N	\N
285362	979	1998-08-31	VYDAJ	VYBER	15	31705	SLUZBY	\N	\N
285363	979	1998-09-30	VYDAJ	VYBER	15	25875	SLUZBY	\N	\N
285364	979	1998-10-31	VYDAJ	VYBER	15	24326	SLUZBY	\N	\N
285365	979	1998-11-30	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
285366	979	1993-03-18	PRIJEM	VKLAD	1200	20114	\N	\N	\N
285367	979	1993-04-17	VYDAJ	VYBER	4600	33466	\N	\N	\N
285368	979	1993-05-17	VYDAJ	VYBER	15400	36090	\N	\N	\N
285369	979	1993-06-16	VYDAJ	VYBER	20800	42305	\N	\N	\N
285370	979	1993-07-16	VYDAJ	VYBER	12600	39129	\N	\N	\N
285371	979	1993-08-15	VYDAJ	VYBER	10900	32258	\N	\N	\N
285372	979	1993-09-14	VYDAJ	VYBER	11300	33658	\N	\N	\N
285373	979	1993-10-14	VYDAJ	VYBER	11300	35067	\N	\N	\N
285374	979	1993-11-13	VYDAJ	VYBER	15100	38036	\N	\N	\N
285375	979	1993-12-13	VYDAJ	VYBER	19300	40379	\N	\N	\N
285376	979	1994-01-12	VYDAJ	VYBER	7100	35068	\N	\N	\N
285377	979	1994-02-11	VYDAJ	VYBER	7600	35344	\N	\N	\N
285378	979	1994-03-13	VYDAJ	VYBER	11800	35608	\N	\N	\N
285379	979	1994-04-12	VYDAJ	VYBER	8400	35375	\N	\N	\N
285380	979	1994-05-12	VYDAJ	VYBER	9600	36238	\N	\N	\N
285381	979	1994-06-11	VYDAJ	VYBER	13500	43166	\N	\N	\N
285382	979	1994-07-11	VYDAJ	VYBER	17000	38872	\N	\N	\N
285383	979	1994-08-10	VYDAJ	VYBER	11800	39764	\N	\N	\N
285384	979	1994-09-09	VYDAJ	VYBER	14500	37154	\N	\N	\N
285385	979	1994-10-09	VYDAJ	VYBER	8200	38832	\N	\N	\N
285386	979	1994-11-08	VYDAJ	VYBER	14500	37015	\N	\N	\N
285387	979	1994-12-08	VYDAJ	VYBER	17800	40855	\N	\N	\N
285388	979	1995-01-07	VYDAJ	VYBER	8000	35849	\N	\N	\N
285389	979	1995-02-06	VYDAJ	VYBER	5900	35425	\N	\N	\N
285390	979	1995-03-08	VYDAJ	VYBER	12900	35197	\N	\N	\N
285391	979	1995-04-07	VYDAJ	VYBER	13400	34470	\N	\N	\N
285392	979	1995-05-07	VYDAJ	VYBER	11700	35442	\N	\N	\N
285393	979	1995-06-06	VYDAJ	VYBER	14800	39468	\N	\N	\N
285394	979	1995-07-06	VYDAJ	VYBER	14300	37856	\N	\N	\N
285395	979	1995-08-05	VYDAJ	VYBER	5900	26744	\N	\N	\N
285396	979	1995-09-04	VYDAJ	VYBER	5600	30542	\N	\N	\N
285397	979	1995-10-04	VYDAJ	VYBER	6500	32358	\N	\N	\N
285398	979	1995-11-03	VYDAJ	VYBER	12000	33091	\N	\N	\N
285399	979	1995-12-03	VYDAJ	VYBER	11900	33931	\N	\N	\N
285400	979	1996-01-02	VYDAJ	VYBER	18400	36361	\N	\N	\N
285401	979	1996-02-01	VYDAJ	VYBER	2400	25774	\N	\N	\N
285402	979	1996-03-02	VYDAJ	VYBER	9600	28877	\N	\N	\N
285403	979	1996-04-01	VYDAJ	VYBER	12200	29397	\N	\N	\N
285404	979	1996-05-01	VYDAJ	VYBER	13600	28521	\N	\N	\N
285405	979	1996-05-31	VYDAJ	VYBER	14700	26555	\N	\N	\N
285406	979	1996-06-30	VYDAJ	VYBER	15000	24815	\N	\N	\N
285407	979	1996-07-30	VYDAJ	VYBER	13100	24260	\N	\N	\N
285408	979	1996-08-29	VYDAJ	VYBER	11300	23334	\N	\N	\N
285409	979	1996-09-28	VYDAJ	VYBER	6800	27016	\N	\N	\N
285410	979	1996-10-28	VYDAJ	VYBER	12000	27680	\N	\N	\N
285411	979	1996-11-27	VYDAJ	VYBER	10300	30060	\N	\N	\N
285412	979	1996-12-27	VYDAJ	VYBER	15600	36099	\N	\N	\N
285413	979	1997-01-26	VYDAJ	VYBER	10000	30410	\N	\N	\N
285414	979	1997-02-25	VYDAJ	VYBER	8300	28920	\N	\N	\N
285415	979	1997-03-27	VYDAJ	VYBER	12300	29303	\N	\N	\N
285416	979	1997-04-26	VYDAJ	VYBER	8600	33389	\N	\N	\N
285417	979	1997-05-26	VYDAJ	VYBER	13700	32377	\N	\N	\N
285418	979	1997-06-25	VYDAJ	VYBER	11600	24636	\N	\N	\N
285419	979	1997-07-25	VYDAJ	VYBER	10200	27153	\N	\N	\N
285420	979	1997-08-24	VYDAJ	VYBER	11100	24420	\N	\N	\N
285421	979	1997-09-23	VYDAJ	VYBER	8200	28902	\N	\N	\N
285422	979	1997-10-23	VYDAJ	VYBER	12600	28967	\N	\N	\N
285423	979	1997-11-22	VYDAJ	VYBER	10500	31145	\N	\N	\N
285424	979	1997-12-22	VYDAJ	VYBER	18400	34381	\N	\N	\N
285425	979	1998-01-21	VYDAJ	VYBER	10900	26980	\N	\N	\N
285426	979	1998-02-20	VYDAJ	VYBER	11800	23973	\N	\N	\N
285427	979	1998-03-22	VYDAJ	VYBER	11200	25424	\N	\N	\N
285428	979	1998-04-21	VYDAJ	VYBER	15500	22580	\N	\N	\N
285429	979	1998-05-21	VYDAJ	VYBER	13400	21836	\N	\N	\N
285430	979	1998-06-20	VYDAJ	VYBER	10700	20839	\N	\N	\N
285431	979	1998-07-20	VYDAJ	VYBER	14500	18981	\N	\N	\N
285432	979	1998-09-18	VYDAJ	VYBER	16000	28265	\N	\N	\N
285433	979	1998-10-18	VYDAJ	VYBER	14200	24235	\N	\N	\N
285434	979	1998-11-17	VYDAJ	VYBER	14300	22586	\N	\N	\N
285505	980	1996-12-11	PRIJEM	VKLAD	300	300	\N	\N	\N
285518	980	1997-01-10	PRIJEM	VKLAD	10976	11276	\N	\N	\N
285519	980	1997-02-10	PRIJEM	VKLAD	10976	32285	\N	\N	\N
285520	980	1997-03-10	PRIJEM	VKLAD	10976	43368	\N	\N	\N
285521	980	1997-04-10	PRIJEM	VKLAD	10976	45184	\N	\N	\N
285522	980	1997-05-10	PRIJEM	VKLAD	10976	45101	\N	\N	\N
285523	980	1997-06-10	PRIJEM	VKLAD	16464	40102	\N	\N	\N
285524	980	1997-07-10	PRIJEM	VKLAD	10976	37695	\N	\N	\N
285525	980	1997-08-10	PRIJEM	VKLAD	10976	36693	\N	\N	\N
285526	980	1997-09-10	PRIJEM	VKLAD	10976	35086	\N	\N	\N
285527	980	1997-10-10	PRIJEM	VKLAD	10976	38370	\N	\N	\N
285528	980	1997-11-10	PRIJEM	VKLAD	10976	41264	\N	\N	\N
285529	980	1997-12-10	PRIJEM	VKLAD	16464	50357	\N	\N	\N
285530	980	1998-01-10	PRIJEM	VKLAD	10976	45192	\N	\N	\N
285531	980	1998-02-10	PRIJEM	VKLAD	10976	38487	\N	\N	\N
285532	980	1998-03-10	PRIJEM	VKLAD	10976	46773	\N	\N	\N
285533	980	1998-04-10	PRIJEM	VKLAD	10976	53796	\N	\N	\N
285534	980	1998-05-10	PRIJEM	VKLAD	10976	56145	\N	\N	\N
285535	980	1998-06-10	PRIJEM	VKLAD	16464	66098	\N	\N	\N
285536	980	1998-07-10	PRIJEM	VKLAD	10976	57089	\N	\N	\N
285537	980	1998-08-10	PRIJEM	VKLAD	10976	59559	\N	\N	\N
285538	980	1998-09-10	PRIJEM	VKLAD	10976	61737	\N	\N	\N
285539	980	1998-10-10	PRIJEM	VKLAD	10976	60814	\N	\N	\N
285540	980	1998-11-10	PRIJEM	VKLAD	10976	59800	\N	\N	\N
285541	980	1998-12-10	PRIJEM	VKLAD	16464	61172	\N	\N	\N
285559	980	1997-06-08	VYDAJ	PREVOD NA UCET	3632	22638	SIPO	ST	79582625
285560	980	1997-07-08	VYDAJ	PREVOD NA UCET	3632	33719	SIPO	ST	79582625
285561	980	1997-08-08	VYDAJ	PREVOD NA UCET	3632	31317	SIPO	ST	79582625
285562	980	1997-09-08	VYDAJ	PREVOD NA UCET	3632	24110	SIPO	ST	79582625
285563	980	1997-10-08	VYDAJ	PREVOD NA UCET	3632	27394	SIPO	ST	79582625
285564	980	1997-11-08	VYDAJ	PREVOD NA UCET	3632	30288	SIPO	ST	79582625
285565	980	1997-12-08	VYDAJ	PREVOD NA UCET	3632	33893	SIPO	ST	79582625
285566	980	1998-01-08	VYDAJ	PREVOD NA UCET	3632	34216	SIPO	ST	79582625
285567	980	1998-02-08	VYDAJ	PREVOD NA UCET	3632	27511	SIPO	ST	79582625
285568	980	1998-03-08	VYDAJ	PREVOD NA UCET	3632	35797	SIPO	ST	79582625
285569	980	1998-04-08	VYDAJ	PREVOD NA UCET	3632	42820	SIPO	ST	79582625
285570	980	1998-05-08	VYDAJ	PREVOD NA UCET	3632	45169	SIPO	ST	79582625
285571	980	1998-06-08	VYDAJ	PREVOD NA UCET	3632	49634	SIPO	ST	79582625
285572	980	1998-07-08	VYDAJ	PREVOD NA UCET	3632	46113	SIPO	ST	79582625
285573	980	1998-08-08	VYDAJ	PREVOD NA UCET	3632	48583	SIPO	ST	79582625
285574	980	1998-09-08	VYDAJ	PREVOD NA UCET	3632	50761	SIPO	ST	79582625
285575	980	1998-10-08	VYDAJ	PREVOD NA UCET	3632	49838	SIPO	ST	79582625
285576	980	1998-11-08	VYDAJ	PREVOD NA UCET	3632	48824	SIPO	ST	79582625
285577	980	1998-12-08	VYDAJ	PREVOD NA UCET	3632	44708	SIPO	ST	79582625
285595	980	1997-06-05	VYDAJ	PREVOD NA UCET	2889	26270	 	EF	4869163
285596	980	1997-07-05	VYDAJ	PREVOD NA UCET	2889	37351	 	EF	4869163
285597	980	1997-08-05	VYDAJ	PREVOD NA UCET	2889	34949	 	EF	4869163
285598	980	1997-09-05	VYDAJ	PREVOD NA UCET	2889	33942	 	EF	4869163
285599	980	1997-10-05	VYDAJ	PREVOD NA UCET	2889	32326	 	EF	4869163
285600	980	1997-11-05	VYDAJ	PREVOD NA UCET	2889	35620	 	EF	4869163
285601	980	1997-12-05	VYDAJ	PREVOD NA UCET	2889	38525	 	EF	4869163
285602	980	1998-01-05	VYDAJ	PREVOD NA UCET	2889	43548	 	EF	4869163
285603	980	1998-02-05	VYDAJ	PREVOD NA UCET	2889	31143	 	EF	4869163
285604	980	1998-03-05	VYDAJ	PREVOD NA UCET	2889	34329	 	EF	4869163
285605	980	1998-04-05	VYDAJ	PREVOD NA UCET	2889	46452	 	EF	4869163
285606	980	1998-05-05	VYDAJ	PREVOD NA UCET	2889	48801	 	EF	4869163
285607	980	1998-06-05	VYDAJ	PREVOD NA UCET	2889	53266	 	EF	4869163
285608	980	1998-07-05	VYDAJ	PREVOD NA UCET	2889	49745	 	EF	4869163
285609	980	1998-08-05	VYDAJ	PREVOD NA UCET	2889	52215	 	EF	4869163
285610	980	1998-09-05	VYDAJ	PREVOD NA UCET	2889	54393	 	EF	4869163
285611	980	1998-10-05	VYDAJ	PREVOD NA UCET	2889	53470	 	EF	4869163
285612	980	1998-11-05	VYDAJ	PREVOD NA UCET	2889	52456	 	EF	4869163
285613	980	1998-12-05	VYDAJ	PREVOD NA UCET	2889	48340	 	EF	4869163
285616	980	1998-06-26	VYDAJ	VYBER	13100	52998	\N	\N	\N
285619	980	1998-01-15	VYDAJ	VYBER	8700	36492	\N	\N	\N
285621	980	1997-12-27	VYDAJ	VYBER	2400	47957	\N	\N	\N
285622	980	1998-12-26	VYDAJ	VYBER	2500	57072	\N	\N	\N
285635	980	1998-01-17	VYDAJ	VYBER	2700	33792	\N	\N	\N
285636	980	1998-01-21	VYDAJ	VYBER	800	30592	\N	\N	\N
285637	980	1998-01-02	VYDAJ	VYBER	800	47337	\N	\N	\N
285638	980	1998-01-24	VYDAJ	VYBER	1100	29492	\N	\N	\N
285639	980	1998-01-20	VYDAJ	VYBER	2400	31392	\N	\N	\N
285640	980	1998-01-03	VYDAJ	VYBER	900	46437	\N	\N	\N
285648	980	1998-03-27	VYDAJ	VYBER	700	46073	\N	\N	\N
285649	980	1998-02-14	VYDAJ	VYBER	1400	37087	\N	\N	\N
285650	980	1998-08-14	VYDAJ	VYBER	1000	58559	\N	\N	\N
285651	980	1998-04-21	VYDAJ	VYBER	4700	49096	\N	\N	\N
285652	980	1998-07-31	VYDAJ	VYBER	1800	55518	\N	\N	\N
285653	980	1998-12-12	VYDAJ	VYBER	1600	59572	\N	\N	\N
285654	980	1998-09-10	VYDAJ	VYBER	4200	57537	\N	\N	\N
285672	980	1997-05-31	VYDAJ	VYBER	15	29159	SLUZBY	\N	\N
285673	980	1997-06-30	VYDAJ	VYBER	15	40240	SLUZBY	\N	\N
285674	980	1997-07-31	VYDAJ	VYBER	15	37838	SLUZBY	\N	\N
285675	980	1997-08-31	VYDAJ	VYBER	15	36831	SLUZBY	\N	\N
285676	980	1997-09-30	VYDAJ	VYBER	15	35215	SLUZBY	\N	\N
285677	980	1997-10-31	VYDAJ	VYBER	15	38509	SLUZBY	\N	\N
285678	980	1997-11-30	VYDAJ	VYBER	15	41414	SLUZBY	\N	\N
285679	980	1997-12-31	VYDAJ	VYBER	15	48137	SLUZBY	\N	\N
285680	980	1998-01-31	VYDAJ	VYBER	15	29632	SLUZBY	\N	\N
285681	980	1998-02-28	VYDAJ	VYBER	15	37218	SLUZBY	\N	\N
285682	980	1998-03-31	VYDAJ	VYBER	15	46241	SLUZBY	\N	\N
285683	980	1998-04-30	VYDAJ	VYBER	15	49290	SLUZBY	\N	\N
285684	980	1998-05-31	VYDAJ	VYBER	15	56355	SLUZBY	\N	\N
285685	980	1998-06-30	VYDAJ	VYBER	15	53234	SLUZBY	\N	\N
285686	980	1998-07-31	VYDAJ	VYBER	15	55504	SLUZBY	\N	\N
285687	980	1998-08-31	VYDAJ	VYBER	15	58782	SLUZBY	\N	\N
285688	980	1998-09-30	VYDAJ	VYBER	15	57759	SLUZBY	\N	\N
285689	980	1998-10-31	VYDAJ	VYBER	15	61045	SLUZBY	\N	\N
285690	980	1998-11-30	VYDAJ	VYBER	15	60029	SLUZBY	\N	\N
285691	980	1997-01-10	PRIJEM	VKLAD	10400	21676	\N	\N	\N
285692	980	1997-02-09	VYDAJ	VYBER	400	21309	\N	\N	\N
285693	980	1997-03-11	VYDAJ	VYBER	9300	34068	\N	\N	\N
285694	980	1997-04-10	VYDAJ	VYBER	11200	33984	\N	\N	\N
285695	980	1997-05-10	VYDAJ	VYBER	16100	29001	\N	\N	\N
285696	980	1997-06-09	PRIJEM	VKLAD	1000	23638	\N	\N	\N
285697	980	1997-07-09	VYDAJ	VYBER	7000	26719	\N	\N	\N
285698	980	1997-08-08	VYDAJ	VYBER	5600	25717	\N	\N	\N
285699	980	1997-09-07	VYDAJ	VYBER	6200	27742	\N	\N	\N
285700	980	1997-10-07	VYDAJ	VYBER	1300	31026	\N	\N	\N
285701	980	1997-11-06	VYDAJ	VYBER	1700	33920	\N	\N	\N
285702	980	1997-12-06	VYDAJ	VYBER	1000	37525	\N	\N	\N
285703	980	1998-01-05	VYDAJ	VYBER	5700	37848	\N	\N	\N
285704	980	1998-02-04	PRIJEM	VKLAD	4400	34032	\N	\N	\N
285705	980	1998-03-06	PRIJEM	VKLAD	5100	39429	\N	\N	\N
285706	980	1998-04-05	PRIJEM	VKLAD	3100	49341	\N	\N	\N
285707	980	1998-05-05	PRIJEM	VKLAD	2400	51690	\N	\N	\N
285708	980	1998-06-04	VYDAJ	VYBER	200	56155	\N	\N	\N
285709	980	1998-07-04	VYDAJ	VYBER	600	52634	\N	\N	\N
285710	980	1998-08-03	VYDAJ	VYBER	400	55104	\N	\N	\N
285711	980	1998-09-02	VYDAJ	VYBER	1500	57282	\N	\N	\N
285712	980	1998-10-02	VYDAJ	VYBER	1400	56359	\N	\N	\N
285713	980	1998-11-01	VYDAJ	VYBER	5700	55345	\N	\N	\N
285714	980	1998-12-01	VYDAJ	VYBER	8800	51229	\N	\N	\N
285739	981	1995-03-25	PRIJEM	VKLAD	600	600	\N	\N	\N
285743	981	1995-04-10	PRIJEM	VKLAD	23092	23692	\N	\N	\N
285744	981	1995-05-10	PRIJEM	VKLAD	23092	49610	\N	\N	\N
285745	981	1995-06-10	PRIJEM	VKLAD	34638	70068	\N	\N	\N
285746	981	1995-07-10	PRIJEM	VKLAD	23092	69419	\N	\N	\N
285747	981	1995-08-10	PRIJEM	VKLAD	23092	68302	\N	\N	\N
285748	981	1995-09-10	PRIJEM	VKLAD	23092	65747	\N	\N	\N
285749	981	1995-10-10	PRIJEM	VKLAD	23092	64698	\N	\N	\N
285750	981	1995-11-10	PRIJEM	VKLAD	23092	65145	\N	\N	\N
285751	981	1995-12-10	PRIJEM	VKLAD	34638	76443	\N	\N	\N
285752	981	1996-01-10	PRIJEM	VKLAD	23092	72619	\N	\N	\N
285753	981	1996-02-10	PRIJEM	VKLAD	23092	64075	\N	\N	\N
285754	981	1996-03-10	PRIJEM	VKLAD	23092	65115	\N	\N	\N
285755	981	1996-04-10	PRIJEM	VKLAD	23092	58755	\N	\N	\N
285756	981	1996-05-10	PRIJEM	VKLAD	23092	59776	\N	\N	\N
285757	981	1996-06-10	PRIJEM	VKLAD	34638	66332	\N	\N	\N
285758	981	1996-07-10	PRIJEM	VKLAD	23092	63157	\N	\N	\N
285759	981	1996-08-10	PRIJEM	VKLAD	23092	67796	\N	\N	\N
285760	981	1996-09-10	PRIJEM	VKLAD	23092	61535	\N	\N	\N
285761	981	1996-10-10	PRIJEM	VKLAD	23092	65763	\N	\N	\N
285762	981	1996-11-10	PRIJEM	VKLAD	23092	65195	\N	\N	\N
285763	981	1996-12-10	PRIJEM	VKLAD	34638	82194	\N	\N	\N
285764	981	1997-01-10	PRIJEM	VKLAD	23092	74026	\N	\N	\N
285765	981	1997-02-10	PRIJEM	VKLAD	23092	67278	\N	\N	\N
285766	981	1997-03-10	PRIJEM	VKLAD	23092	68921	\N	\N	\N
285767	981	1997-04-10	PRIJEM	VKLAD	23092	69780	\N	\N	\N
285768	981	1997-05-10	PRIJEM	VKLAD	23092	74338	\N	\N	\N
285769	981	1997-06-10	PRIJEM	VKLAD	34638	82342	\N	\N	\N
285770	981	1997-07-10	PRIJEM	VKLAD	23092	80819	\N	\N	\N
285771	981	1997-08-10	PRIJEM	VKLAD	23092	75903	\N	\N	\N
285772	981	1997-09-10	PRIJEM	VKLAD	23092	72159	\N	\N	\N
285773	981	1997-10-10	PRIJEM	VKLAD	23092	76219	\N	\N	\N
285774	981	1997-11-10	PRIJEM	VKLAD	23092	72103	\N	\N	\N
285775	981	1997-12-10	PRIJEM	VKLAD	34638	90762	\N	\N	\N
285776	981	1998-01-10	PRIJEM	VKLAD	23092	81640	\N	\N	\N
285777	981	1998-02-10	PRIJEM	VKLAD	23092	86506	\N	\N	\N
285778	981	1998-03-10	PRIJEM	VKLAD	23092	89880	\N	\N	\N
285779	981	1998-04-10	PRIJEM	VKLAD	23092	90476	\N	\N	\N
285780	981	1998-05-10	PRIJEM	VKLAD	23092	87074	\N	\N	\N
285781	981	1998-06-10	PRIJEM	VKLAD	34638	101508	\N	\N	\N
285782	981	1998-07-10	PRIJEM	VKLAD	23092	94736	\N	\N	\N
285783	981	1998-08-10	PRIJEM	VKLAD	23092	89656	\N	\N	\N
285784	981	1998-09-10	PRIJEM	VKLAD	23092	89747	\N	\N	\N
285785	981	1998-10-10	PRIJEM	VKLAD	23092	91240	\N	\N	\N
285786	981	1998-11-10	PRIJEM	VKLAD	23092	95632	\N	\N	\N
285787	981	1998-12-10	PRIJEM	VKLAD	34638	109893	\N	\N	\N
285796	981	1995-09-08	VYDAJ	PREVOD NA UCET	1069	42655	SIPO	UV	83665114
285797	981	1995-10-08	VYDAJ	PREVOD NA UCET	1069	41606	SIPO	UV	83665114
285798	981	1995-11-08	VYDAJ	PREVOD NA UCET	1069	42053	SIPO	UV	83665114
285799	981	1995-12-08	VYDAJ	PREVOD NA UCET	1069	41805	SIPO	UV	83665114
285800	981	1996-01-08	VYDAJ	PREVOD NA UCET	1069	49527	SIPO	UV	83665114
285801	981	1996-02-08	VYDAJ	PREVOD NA UCET	1069	40983	SIPO	UV	83665114
285802	981	1996-03-08	VYDAJ	PREVOD NA UCET	1069	42023	SIPO	UV	83665114
285803	981	1996-04-08	VYDAJ	PREVOD NA UCET	1069	35663	SIPO	UV	83665114
285804	981	1996-05-08	VYDAJ	PREVOD NA UCET	1069	36684	SIPO	UV	83665114
285805	981	1996-06-08	VYDAJ	PREVOD NA UCET	1069	31694	SIPO	UV	83665114
285806	981	1996-07-08	VYDAJ	PREVOD NA UCET	1069	40065	SIPO	UV	83665114
285807	981	1996-08-08	VYDAJ	PREVOD NA UCET	1069	44704	SIPO	UV	83665114
285808	981	1996-09-08	VYDAJ	PREVOD NA UCET	1069	38443	SIPO	UV	83665114
285809	981	1996-10-08	VYDAJ	PREVOD NA UCET	1069	42671	SIPO	UV	83665114
285810	981	1996-11-08	VYDAJ	PREVOD NA UCET	1069	42103	SIPO	UV	83665114
285811	981	1996-12-08	VYDAJ	PREVOD NA UCET	1069	47556	SIPO	UV	83665114
285812	981	1997-01-08	VYDAJ	PREVOD NA UCET	1069	50934	SIPO	UV	83665114
285813	981	1997-02-08	VYDAJ	PREVOD NA UCET	1069	44186	SIPO	UV	83665114
285814	981	1997-03-08	VYDAJ	PREVOD NA UCET	1069	45829	SIPO	UV	83665114
285815	981	1997-04-08	VYDAJ	PREVOD NA UCET	1069	46688	SIPO	UV	83665114
285816	981	1997-05-08	VYDAJ	PREVOD NA UCET	1069	51246	SIPO	UV	83665114
285817	981	1997-06-08	VYDAJ	PREVOD NA UCET	1069	47704	SIPO	UV	83665114
285818	981	1997-07-08	VYDAJ	PREVOD NA UCET	1069	57727	SIPO	UV	83665114
285819	981	1997-08-08	VYDAJ	PREVOD NA UCET	1069	52811	SIPO	UV	83665114
285820	981	1997-09-08	VYDAJ	PREVOD NA UCET	1069	49067	SIPO	UV	83665114
285821	981	1997-10-08	VYDAJ	PREVOD NA UCET	1069	53127	SIPO	UV	83665114
285822	981	1997-11-08	VYDAJ	PREVOD NA UCET	1069	57011	SIPO	UV	83665114
285823	981	1997-12-08	VYDAJ	PREVOD NA UCET	1069	68524	SIPO	UV	83665114
285824	981	1998-01-08	VYDAJ	PREVOD NA UCET	1069	58548	SIPO	UV	83665114
285825	981	1998-02-08	VYDAJ	PREVOD NA UCET	1069	63414	SIPO	UV	83665114
285826	981	1998-03-08	VYDAJ	PREVOD NA UCET	1069	82988	SIPO	UV	83665114
285827	981	1998-04-08	VYDAJ	PREVOD NA UCET	1069	67384	SIPO	UV	83665114
285828	981	1998-05-08	VYDAJ	PREVOD NA UCET	1069	63982	SIPO	UV	83665114
285829	981	1998-06-08	VYDAJ	PREVOD NA UCET	1069	66870	SIPO	UV	83665114
285830	981	1998-07-08	VYDAJ	PREVOD NA UCET	1069	71644	SIPO	UV	83665114
285831	981	1998-08-08	VYDAJ	PREVOD NA UCET	1069	66564	SIPO	UV	83665114
285832	981	1998-09-08	VYDAJ	PREVOD NA UCET	1069	66655	SIPO	UV	83665114
285833	981	1998-10-08	VYDAJ	PREVOD NA UCET	1069	68148	SIPO	UV	83665114
285834	981	1998-11-08	VYDAJ	PREVOD NA UCET	1069	72540	SIPO	UV	83665114
285835	981	1998-12-08	VYDAJ	PREVOD NA UCET	1069	75255	SIPO	UV	83665114
285843	981	1995-08-14	VYDAJ	PREVOD NA UCET	2769	61433	 	MN	79798209
285844	981	1995-09-14	VYDAJ	PREVOD NA UCET	2769	62978	 	MN	79798209
285845	981	1995-10-14	VYDAJ	PREVOD NA UCET	2769	61929	 	MN	79798209
285846	981	1995-11-14	VYDAJ	PREVOD NA UCET	2769	62376	 	MN	79798209
285847	981	1995-12-14	VYDAJ	PREVOD NA UCET	2769	73674	 	MN	79798209
285848	981	1996-01-14	VYDAJ	PREVOD NA UCET	2769	68250	 	MN	79798209
285849	981	1996-02-14	VYDAJ	PREVOD NA UCET	2769	61306	 	MN	79798209
285850	981	1996-03-14	VYDAJ	PREVOD NA UCET	2769	62346	 	MN	79798209
285851	981	1996-04-14	VYDAJ	PREVOD NA UCET	2769	55986	 	MN	79798209
285852	981	1996-05-14	VYDAJ	PREVOD NA UCET	2769	52407	 	MN	79798209
285853	981	1996-06-14	VYDAJ	PREVOD NA UCET	2769	63563	 	MN	79798209
285854	981	1996-07-14	VYDAJ	PREVOD NA UCET	2769	60388	 	MN	79798209
285855	981	1996-08-14	VYDAJ	PREVOD NA UCET	2769	65027	 	MN	79798209
285856	981	1996-09-14	VYDAJ	PREVOD NA UCET	2769	58766	 	MN	79798209
285857	981	1996-10-14	VYDAJ	PREVOD NA UCET	2769	58294	 	MN	79798209
285858	981	1996-11-14	VYDAJ	PREVOD NA UCET	2769	49526	 	MN	79798209
285859	981	1996-12-14	VYDAJ	PREVOD NA UCET	2769	79425	 	MN	79798209
285860	981	1997-01-14	VYDAJ	PREVOD NA UCET	2769	48057	 	MN	79798209
285861	981	1997-02-14	VYDAJ	PREVOD NA UCET	2769	49309	 	MN	79798209
285862	981	1997-03-14	VYDAJ	PREVOD NA UCET	2769	66152	 	MN	79798209
285863	981	1997-04-14	VYDAJ	PREVOD NA UCET	2769	52111	 	MN	79798209
285864	981	1997-05-14	VYDAJ	PREVOD NA UCET	2769	50769	 	MN	79798209
285865	981	1997-06-14	VYDAJ	PREVOD NA UCET	2769	58573	 	MN	79798209
285866	981	1997-07-14	VYDAJ	PREVOD NA UCET	2769	57550	 	MN	79798209
285867	981	1997-08-14	VYDAJ	PREVOD NA UCET	2769	49934	 	MN	79798209
285868	981	1997-09-14	VYDAJ	PREVOD NA UCET	2769	53990	 	MN	79798209
285869	981	1997-10-14	VYDAJ	PREVOD NA UCET	2769	57850	 	MN	79798209
285870	981	1997-11-14	VYDAJ	PREVOD NA UCET	2769	69334	 	MN	79798209
285871	981	1997-12-14	VYDAJ	PREVOD NA UCET	2769	87993	 	MN	79798209
285872	981	1998-01-14	VYDAJ	PREVOD NA UCET	2769	78871	 	MN	79798209
285873	981	1998-02-14	VYDAJ	PREVOD NA UCET	2769	83737	 	MN	79798209
285874	981	1998-03-14	VYDAJ	PREVOD NA UCET	2769	87111	 	MN	79798209
285875	981	1998-04-14	VYDAJ	PREVOD NA UCET	2769	87707	 	MN	79798209
285876	981	1998-05-14	VYDAJ	PREVOD NA UCET	2769	84305	 	MN	79798209
285877	981	1998-06-14	VYDAJ	PREVOD NA UCET	2769	98739	 	MN	79798209
285878	981	1998-07-14	VYDAJ	PREVOD NA UCET	2769	91967	 	MN	79798209
285879	981	1998-08-14	VYDAJ	PREVOD NA UCET	2769	86887	 	MN	79798209
285880	981	1998-09-14	VYDAJ	PREVOD NA UCET	2769	86978	 	MN	79798209
285881	981	1998-10-14	VYDAJ	PREVOD NA UCET	2769	88471	 	MN	79798209
285882	981	1998-11-14	VYDAJ	PREVOD NA UCET	2769	92863	 	MN	79798209
285883	981	1998-12-14	VYDAJ	PREVOD NA UCET	2769	107124	 	MN	79798209
285884	981	1995-12-14	VYDAJ	VYBER	1800	71874	\N	\N	\N
285885	981	1996-12-06	VYDAJ	VYBER	1100	48625	\N	\N	\N
285886	981	1997-12-20	VYDAJ	VYBER KARTOU	2400	85593	\N	\N	0
285887	981	1998-12-02	VYDAJ	VYBER KARTOU	2600	90624	\N	\N	0
285894	981	1996-01-28	VYDAJ	VYBER	600	41850	\N	\N	\N
285895	981	1996-01-05	VYDAJ	VYBER	500	50596	\N	\N	\N
285896	981	1996-01-15	VYDAJ	VYBER	1000	64350	\N	\N	\N
285897	981	1996-01-15	VYDAJ	VYBER	2200	62150	\N	\N	\N
285898	981	1996-01-13	VYDAJ	VYBER	1600	71019	\N	\N	\N
285899	981	1996-01-27	VYDAJ	VYBER	700	42450	\N	\N	\N
285900	981	1997-01-01	VYDAJ	VYBER	2500	55503	\N	\N	\N
285901	981	1997-01-12	VYDAJ	VYBER	1600	72426	\N	\N	\N
285902	981	1997-01-15	VYDAJ	VYBER KARTOU	2100	45957	\N	\N	0
285903	981	1997-01-06	VYDAJ	VYBER	1300	52003	\N	\N	\N
285904	981	1997-01-15	VYDAJ	VYBER KARTOU	900	45057	\N	\N	0
285905	981	1997-01-05	VYDAJ	VYBER	2200	53303	\N	\N	\N
285906	981	1998-01-05	VYDAJ	VYBER KARTOU	900	83917	\N	\N	0
285907	981	1998-01-04	VYDAJ	VYBER KARTOU	1100	84817	\N	\N	0
285908	981	1998-01-06	VYDAJ	VYBER KARTOU	2300	81617	\N	\N	0
285909	981	1998-01-29	VYDAJ	VYBER KARTOU	2800	76071	\N	\N	0
285910	981	1998-01-08	VYDAJ	VYBER KARTOU	2600	76417	\N	\N	0
285911	981	1998-01-06	VYDAJ	VYBER KARTOU	2600	79017	\N	\N	0
285913	981	1995-08-13	VYDAJ	VYBER	4100	64202	\N	\N	\N
285915	981	1995-12-04	VYDAJ	VYBER	3400	42874	\N	\N	\N
285916	981	1996-05-25	VYDAJ	VYBER	1300	34507	\N	\N	\N
285917	981	1996-05-12	VYDAJ	VYBER	4600	55176	\N	\N	\N
285918	981	1996-04-05	VYDAJ	VYBER	4400	36732	\N	\N	\N
285919	981	1996-01-15	VYDAJ	VYBER	2900	65350	\N	\N	\N
285920	981	1996-06-04	VYDAJ	VYBER	1900	32763	\N	\N	\N
285921	981	1996-10-13	VYDAJ	VYBER	4700	61063	\N	\N	\N
285922	981	1996-05-21	VYDAJ	VYBER	800	35807	\N	\N	\N
285923	981	1996-08-27	VYDAJ	VYBER	4400	39327	\N	\N	\N
285924	981	1997-08-13	VYDAJ	VYBER KARTOU	3900	52703	\N	\N	0
285925	981	1997-02-24	VYDAJ	VYBER KARTOU	2600	46709	\N	\N	0
285926	981	1997-07-26	VYDAJ	VYBER KARTOU	3900	53650	\N	\N	0
285927	981	1997-05-20	VYDAJ	VYBER KARTOU	2200	48569	\N	\N	0
285928	981	1997-03-19	VYDAJ	VYBER KARTOU	3100	47552	\N	\N	0
285929	981	1998-10-02	VYDAJ	VYBER	4600	82717	\N	\N	\N
285930	981	1998-08-16	VYDAJ	VYBER KARTOU	2800	84087	\N	\N	0
285931	981	1998-05-07	VYDAJ	VYBER KARTOU	3900	84151	\N	\N	0
285932	981	1998-12-25	VYDAJ	VYBER KARTOU	3100	104024	\N	\N	0
285933	981	1998-07-27	VYDAJ	VYBER KARTOU	2900	89067	\N	\N	0
285942	981	1995-08-31	VYDAJ	VYBER	15	43724	SLUZBY	\N	\N
285943	981	1995-09-30	VYDAJ	VYBER	15	42675	SLUZBY	\N	\N
285944	981	1995-10-31	VYDAJ	VYBER	15	43122	SLUZBY	\N	\N
285945	981	1995-11-30	VYDAJ	VYBER	15	46274	SLUZBY	\N	\N
285946	981	1995-12-31	VYDAJ	VYBER	15	51096	SLUZBY	\N	\N
285947	981	1996-01-31	VYDAJ	VYBER	15	42052	SLUZBY	\N	\N
285948	981	1996-02-29	VYDAJ	VYBER	15	43092	SLUZBY	\N	\N
285949	981	1996-03-31	VYDAJ	VYBER	15	41132	SLUZBY	\N	\N
285950	981	1996-04-30	VYDAJ	VYBER	15	37753	SLUZBY	\N	\N
285951	981	1996-05-31	VYDAJ	VYBER	15	34663	SLUZBY	\N	\N
285952	981	1996-06-30	VYDAJ	VYBER	15	41134	SLUZBY	\N	\N
285953	981	1996-07-31	VYDAJ	VYBER	15	45773	SLUZBY	\N	\N
285954	981	1996-08-31	VYDAJ	VYBER	15	39512	SLUZBY	\N	\N
285955	981	1996-09-30	VYDAJ	VYBER	15	43740	SLUZBY	\N	\N
285956	981	1996-10-31	VYDAJ	VYBER	15	43172	SLUZBY	\N	\N
285957	981	1996-11-30	VYDAJ	VYBER	15	49725	SLUZBY	\N	\N
285958	981	1996-12-31	VYDAJ	VYBER	15	58003	SLUZBY	\N	\N
285959	981	1997-01-31	VYDAJ	VYBER	15	45255	SLUZBY	\N	\N
285960	981	1997-02-28	VYDAJ	VYBER	15	46898	SLUZBY	\N	\N
285961	981	1997-03-31	VYDAJ	VYBER	15	47757	SLUZBY	\N	\N
285962	981	1997-04-30	VYDAJ	VYBER	15	52315	SLUZBY	\N	\N
285963	981	1997-05-31	VYDAJ	VYBER	15	48773	SLUZBY	\N	\N
285964	981	1997-06-30	VYDAJ	VYBER	15	58796	SLUZBY	\N	\N
285965	981	1997-07-31	VYDAJ	VYBER	15	53880	SLUZBY	\N	\N
285966	981	1997-08-31	VYDAJ	VYBER	15	50136	SLUZBY	\N	\N
285967	981	1997-09-30	VYDAJ	VYBER	15	54196	SLUZBY	\N	\N
285968	981	1997-10-31	VYDAJ	VYBER	15	58080	SLUZBY	\N	\N
285969	981	1997-11-30	VYDAJ	VYBER	15	69593	SLUZBY	\N	\N
285970	981	1997-12-31	VYDAJ	VYBER	15	85917	SLUZBY	\N	\N
285971	981	1998-01-31	VYDAJ	VYBER	15	76383	SLUZBY	\N	\N
285972	981	1998-02-28	VYDAJ	VYBER	15	84057	SLUZBY	\N	\N
285973	981	1998-03-31	VYDAJ	VYBER	15	87453	SLUZBY	\N	\N
285974	981	1998-04-30	VYDAJ	VYBER	15	88051	SLUZBY	\N	\N
285975	981	1998-05-31	VYDAJ	VYBER	15	84639	SLUZBY	\N	\N
285976	981	1998-06-30	VYDAJ	VYBER	15	99113	SLUZBY	\N	\N
285977	981	1998-07-31	VYDAJ	VYBER	15	89433	SLUZBY	\N	\N
285978	981	1998-08-31	VYDAJ	VYBER	15	84424	SLUZBY	\N	\N
285979	981	1998-09-30	VYDAJ	VYBER	15	87317	SLUZBY	\N	\N
285980	981	1998-10-31	VYDAJ	VYBER	15	88809	SLUZBY	\N	\N
285981	981	1998-11-30	VYDAJ	VYBER	15	93224	SLUZBY	\N	\N
285982	981	1995-04-24	PRIJEM	VKLAD	2800	26492	\N	\N	\N
285983	981	1995-05-24	VYDAJ	VYBER	14300	35310	\N	\N	\N
285984	981	1995-06-23	VYDAJ	VYBER	23900	46168	\N	\N	\N
285985	981	1995-07-23	VYDAJ	VYBER	24400	45019	\N	\N	\N
285986	981	1995-08-22	VYDAJ	VYBER	17900	43533	\N	\N	\N
285987	981	1995-09-21	VYDAJ	VYBER	20500	42478	\N	\N	\N
285988	981	1995-10-21	VYDAJ	VYBER	19000	42929	\N	\N	\N
285989	981	1995-11-20	VYDAJ	VYBER	16300	46076	\N	\N	\N
285990	981	1995-12-20	VYDAJ	VYBER	21000	50874	\N	\N	\N
285991	981	1996-01-19	VYDAJ	VYBER	19000	43150	\N	\N	\N
285992	981	1996-02-18	VYDAJ	VYBER	18400	42906	\N	\N	\N
285993	981	1996-03-19	VYDAJ	VYBER	21400	40946	\N	\N	\N
285994	981	1996-04-18	VYDAJ	VYBER	18400	37586	\N	\N	\N
285995	981	1996-05-18	VYDAJ	VYBER	15800	36607	\N	\N	\N
285996	981	1996-06-17	VYDAJ	VYBER	22600	40963	\N	\N	\N
285997	981	1996-07-17	VYDAJ	VYBER	14800	45588	\N	\N	\N
285998	981	1996-08-16	VYDAJ	VYBER	21300	43727	\N	\N	\N
285999	981	1996-09-15	VYDAJ	VYBER	15200	43566	\N	\N	\N
286000	981	1996-10-15	VYDAJ	VYBER	15300	42994	\N	\N	\N
286001	981	1996-11-14	VYDAJ	VYBER	12900	52295	\N	\N	\N
286002	981	1996-12-14	VYDAJ	VYBER	21700	57725	\N	\N	\N
286003	981	1997-01-13	VYDAJ	VYBER	21600	50826	\N	\N	\N
286004	981	1997-02-12	VYDAJ	VYBER	15200	52078	\N	\N	\N
286005	981	1997-03-14	VYDAJ	VYBER	15500	50652	\N	\N	\N
286006	981	1997-04-13	VYDAJ	VYBER	14900	54880	\N	\N	\N
286007	981	1997-05-13	VYDAJ	VYBER	20800	53538	\N	\N	\N
286008	981	1997-06-12	VYDAJ	VYBER	21000	61342	\N	\N	\N
286009	981	1997-07-12	VYDAJ	VYBER	20500	60319	\N	\N	\N
286010	981	1997-08-11	VYDAJ	VYBER	19300	56603	\N	\N	\N
286011	981	1997-09-10	VYDAJ	VYBER	15400	56759	\N	\N	\N
286012	981	1997-10-10	VYDAJ	VYBER	15600	60619	\N	\N	\N
286013	981	1997-11-09	VYDAJ	VYBER	8000	49011	\N	\N	\N
286014	981	1997-12-09	VYDAJ	VYBER	12400	56124	\N	\N	\N
286015	981	1998-01-08	VYDAJ	VYBER	16800	59617	\N	\N	\N
286016	981	1998-02-07	VYDAJ	VYBER	11900	64483	\N	\N	\N
286017	981	1998-03-09	VYDAJ	VYBER	16200	66788	\N	\N	\N
286018	981	1998-04-08	VYDAJ	VYBER	19000	68453	\N	\N	\N
286019	981	1998-05-08	VYDAJ	VYBER	19100	65051	\N	\N	\N
286020	981	1998-06-07	VYDAJ	VYBER	16700	67939	\N	\N	\N
286021	981	1998-07-07	VYDAJ	VYBER	26400	72713	\N	\N	\N
286022	981	1998-08-06	VYDAJ	VYBER	21800	67633	\N	\N	\N
286023	981	1998-09-05	VYDAJ	VYBER	16700	67724	\N	\N	\N
286024	981	1998-10-05	VYDAJ	VYBER	13500	69217	\N	\N	\N
286025	981	1998-11-04	VYDAJ	VYBER	15200	73609	\N	\N	\N
286026	981	1998-12-04	VYDAJ	VYBER	14300	76324	\N	\N	\N
286072	982	1993-02-05	PRIJEM	VKLAD	900	900	\N	\N	\N
286074	982	1993-02-06	PRIJEM	VKLAD	4550	5450	\N	\N	\N
286075	982	1993-03-06	PRIJEM	VKLAD	4550	10019	\N	\N	\N
286076	982	1993-04-06	PRIJEM	VKLAD	4550	22834	\N	\N	\N
286077	982	1993-05-06	PRIJEM	VKLAD	4550	27876	\N	\N	\N
286078	982	1993-06-06	PRIJEM	VKLAD	6825	33314	\N	\N	\N
286079	982	1993-07-06	PRIJEM	VKLAD	4550	20020	\N	\N	\N
286080	982	1993-08-06	PRIJEM	VKLAD	4550	25291	\N	\N	\N
286081	982	1993-09-06	PRIJEM	VKLAD	4550	25784	\N	\N	\N
286082	982	1993-10-06	PRIJEM	VKLAD	4550	28583	\N	\N	\N
286083	982	1993-11-06	PRIJEM	VKLAD	4550	27791	\N	\N	\N
286084	982	1993-12-06	PRIJEM	VKLAD	6825	27594	\N	\N	\N
286085	982	1994-01-06	PRIJEM	VKLAD	4550	25339	\N	\N	\N
286086	982	1994-02-06	PRIJEM	VKLAD	4550	23073	\N	\N	\N
286087	982	1994-03-06	PRIJEM	VKLAD	4550	29360	\N	\N	\N
286088	982	1994-04-06	PRIJEM	VKLAD	4550	28769	\N	\N	\N
286089	982	1994-05-06	PRIJEM	VKLAD	4550	29081	\N	\N	\N
286090	982	1994-06-06	PRIJEM	VKLAD	6825	33568	\N	\N	\N
286091	982	1994-07-06	PRIJEM	VKLAD	4550	32330	\N	\N	\N
286092	982	1994-08-06	PRIJEM	VKLAD	4550	32028	\N	\N	\N
286093	982	1994-09-06	PRIJEM	VKLAD	4550	29650	\N	\N	\N
286094	982	1994-10-06	PRIJEM	VKLAD	4550	27301	\N	\N	\N
286095	982	1994-11-06	PRIJEM	VKLAD	4550	28605	\N	\N	\N
286096	982	1994-12-06	PRIJEM	VKLAD	6825	31889	\N	\N	\N
286097	982	1995-01-06	PRIJEM	VKLAD	4550	26405	\N	\N	\N
286098	982	1995-02-06	PRIJEM	VKLAD	4550	23808	\N	\N	\N
286099	982	1995-03-06	PRIJEM	VKLAD	4550	23374	\N	\N	\N
286100	982	1995-04-06	PRIJEM	VKLAD	4550	27463	\N	\N	\N
286101	982	1995-05-06	PRIJEM	VKLAD	4550	26365	\N	\N	\N
286102	982	1995-06-06	PRIJEM	VKLAD	6825	27937	\N	\N	\N
286103	982	1995-07-06	PRIJEM	VKLAD	4550	26599	\N	\N	\N
286104	982	1995-08-06	PRIJEM	VKLAD	4550	29200	\N	\N	\N
286105	982	1995-09-06	PRIJEM	VKLAD	4550	26904	\N	\N	\N
286106	982	1995-10-06	PRIJEM	VKLAD	4550	30207	\N	\N	\N
286107	982	1995-11-06	PRIJEM	VKLAD	4550	24297	\N	\N	\N
286108	982	1995-12-06	PRIJEM	VKLAD	6825	24198	\N	\N	\N
286109	982	1996-01-06	PRIJEM	VKLAD	4550	18337	\N	\N	\N
286110	982	1996-02-06	PRIJEM	VKLAD	4550	19360	\N	\N	\N
286111	982	1996-03-06	PRIJEM	VKLAD	4550	18827	\N	\N	\N
286112	982	1996-04-06	PRIJEM	VKLAD	4550	19694	\N	\N	\N
286113	982	1996-05-06	PRIJEM	VKLAD	4550	22868	\N	\N	\N
286114	982	1996-06-06	PRIJEM	VKLAD	6825	29131	\N	\N	\N
286115	982	1996-07-06	PRIJEM	VKLAD	4550	27234	\N	\N	\N
286116	982	1996-08-06	PRIJEM	VKLAD	4550	29739	\N	\N	\N
286117	982	1996-09-06	PRIJEM	VKLAD	4550	29949	\N	\N	\N
286118	982	1996-10-06	PRIJEM	VKLAD	4550	22540	\N	\N	\N
286119	982	1996-11-06	PRIJEM	VKLAD	4550	23221	\N	\N	\N
286120	982	1996-12-06	PRIJEM	VKLAD	6825	32092	\N	\N	\N
286121	982	1997-01-06	PRIJEM	VKLAD	4550	33230	\N	\N	\N
286122	982	1997-02-06	PRIJEM	VKLAD	4550	20305	\N	\N	\N
286123	982	1997-03-06	PRIJEM	VKLAD	4550	25186	\N	\N	\N
286124	982	1997-04-06	PRIJEM	VKLAD	4550	27181	\N	\N	\N
286125	982	1997-05-06	PRIJEM	VKLAD	4550	28883	\N	\N	\N
286126	982	1997-06-06	PRIJEM	VKLAD	6825	29719	\N	\N	\N
286127	982	1997-07-06	PRIJEM	VKLAD	4550	30477	\N	\N	\N
286128	982	1997-08-06	PRIJEM	VKLAD	4550	29830	\N	\N	\N
286129	982	1997-09-06	PRIJEM	VKLAD	4550	30942	\N	\N	\N
286130	982	1997-10-06	PRIJEM	VKLAD	4550	35667	\N	\N	\N
286131	982	1997-11-06	PRIJEM	VKLAD	4550	34997	\N	\N	\N
286132	982	1997-12-06	PRIJEM	VKLAD	6825	38806	\N	\N	\N
286133	982	1998-01-06	PRIJEM	VKLAD	4550	35622	\N	\N	\N
286134	982	1998-02-06	PRIJEM	VKLAD	4550	22741	\N	\N	\N
286135	982	1998-03-06	PRIJEM	VKLAD	4550	35758	\N	\N	\N
286136	982	1998-04-06	PRIJEM	VKLAD	4550	43712	\N	\N	\N
286137	982	1998-05-06	PRIJEM	VKLAD	4550	46886	\N	\N	\N
286138	982	1998-06-06	PRIJEM	VKLAD	6825	49039	\N	\N	\N
286139	982	1998-07-06	PRIJEM	VKLAD	4550	39137	\N	\N	\N
286140	982	1998-08-06	PRIJEM	VKLAD	4550	44699	\N	\N	\N
286141	982	1998-09-06	PRIJEM	VKLAD	4550	46172	\N	\N	\N
286142	982	1998-10-06	PRIJEM	VKLAD	4550	42834	\N	\N	\N
286143	982	1998-11-06	PRIJEM	VKLAD	4550	38078	\N	\N	\N
286144	982	1998-12-06	PRIJEM	VKLAD	6825	35680	\N	\N	\N
286150	982	1993-06-10	VYDAJ	PREVOD NA UCET	2505	11469	SIPO	IJ	6972080
286151	982	1993-07-10	VYDAJ	PREVOD NA UCET	2505	17135	SIPO	IJ	6972080
286152	982	1993-08-10	VYDAJ	PREVOD NA UCET	2505	22406	SIPO	IJ	6972080
286153	982	1993-09-10	VYDAJ	PREVOD NA UCET	2505	22899	SIPO	IJ	6972080
286154	982	1993-10-10	VYDAJ	PREVOD NA UCET	2505	25698	SIPO	IJ	6972080
286155	982	1993-11-10	VYDAJ	PREVOD NA UCET	2505	24906	SIPO	IJ	6972080
286156	982	1993-12-10	VYDAJ	PREVOD NA UCET	2505	24709	SIPO	IJ	6972080
286157	982	1994-01-10	VYDAJ	PREVOD NA UCET	2505	19454	SIPO	IJ	6972080
286158	982	1994-02-10	VYDAJ	PREVOD NA UCET	2505	20188	SIPO	IJ	6972080
286159	982	1994-03-10	VYDAJ	PREVOD NA UCET	2505	26475	SIPO	IJ	6972080
286160	982	1994-04-10	VYDAJ	PREVOD NA UCET	2505	25884	SIPO	IJ	6972080
286161	982	1994-05-10	VYDAJ	PREVOD NA UCET	2505	26196	SIPO	IJ	6972080
286162	982	1994-06-10	VYDAJ	PREVOD NA UCET	2505	28523	SIPO	IJ	6972080
286163	982	1994-07-10	VYDAJ	PREVOD NA UCET	2505	27525	SIPO	IJ	6972080
286164	982	1994-08-10	VYDAJ	PREVOD NA UCET	2505	29143	SIPO	IJ	6972080
286165	982	1994-09-10	VYDAJ	PREVOD NA UCET	2505	26765	SIPO	IJ	6972080
286166	982	1994-10-10	VYDAJ	PREVOD NA UCET	2505	24416	SIPO	IJ	6972080
286167	982	1994-11-10	VYDAJ	PREVOD NA UCET	2505	25720	SIPO	IJ	6972080
286168	982	1994-12-10	VYDAJ	PREVOD NA UCET	2505	29004	SIPO	IJ	6972080
286169	982	1995-01-10	VYDAJ	PREVOD NA UCET	2505	18480	SIPO	IJ	6972080
286170	982	1995-02-10	VYDAJ	PREVOD NA UCET	2505	20923	SIPO	IJ	6972080
286171	982	1995-03-10	VYDAJ	PREVOD NA UCET	2505	20489	SIPO	IJ	6972080
286172	982	1995-04-10	VYDAJ	PREVOD NA UCET	2505	24578	SIPO	IJ	6972080
286173	982	1995-05-10	VYDAJ	PREVOD NA UCET	2505	23480	SIPO	IJ	6972080
286174	982	1995-06-10	VYDAJ	PREVOD NA UCET	2505	25052	SIPO	IJ	6972080
286175	982	1995-07-10	VYDAJ	PREVOD NA UCET	2505	23714	SIPO	IJ	6972080
286176	982	1995-08-10	VYDAJ	PREVOD NA UCET	2505	26315	SIPO	IJ	6972080
286177	982	1995-09-10	VYDAJ	PREVOD NA UCET	2505	24019	SIPO	IJ	6972080
286178	982	1995-10-10	VYDAJ	PREVOD NA UCET	2505	27322	SIPO	IJ	6972080
286179	982	1995-11-10	VYDAJ	PREVOD NA UCET	2505	21412	SIPO	IJ	6972080
286180	982	1995-12-10	VYDAJ	PREVOD NA UCET	2505	21313	SIPO	IJ	6972080
286181	982	1996-01-10	VYDAJ	PREVOD NA UCET	2505	14012	SIPO	IJ	6972080
286182	982	1996-02-10	VYDAJ	PREVOD NA UCET	2505	16475	SIPO	IJ	6972080
286183	982	1996-03-10	VYDAJ	PREVOD NA UCET	2505	15942	SIPO	IJ	6972080
286184	982	1996-04-10	VYDAJ	PREVOD NA UCET	2505	16809	SIPO	IJ	6972080
286185	982	1996-05-10	VYDAJ	PREVOD NA UCET	2505	19983	SIPO	IJ	6972080
286186	982	1996-06-10	VYDAJ	PREVOD NA UCET	2505	26246	SIPO	IJ	6972080
286187	982	1996-07-10	VYDAJ	PREVOD NA UCET	2505	24349	SIPO	IJ	6972080
286188	982	1996-08-10	VYDAJ	PREVOD NA UCET	2505	26854	SIPO	IJ	6972080
286189	982	1996-09-10	VYDAJ	PREVOD NA UCET	2505	21304	SIPO	IJ	6972080
286190	982	1996-10-10	VYDAJ	PREVOD NA UCET	2505	19655	SIPO	IJ	6972080
286191	982	1996-11-10	VYDAJ	PREVOD NA UCET	2505	20336	SIPO	IJ	6972080
286192	982	1996-12-10	VYDAJ	PREVOD NA UCET	2505	29207	SIPO	IJ	6972080
286193	982	1997-01-10	VYDAJ	PREVOD NA UCET	2505	28665	SIPO	IJ	6972080
286194	982	1997-02-10	VYDAJ	PREVOD NA UCET	2505	17420	SIPO	IJ	6972080
286195	982	1997-03-10	VYDAJ	PREVOD NA UCET	2505	22301	SIPO	IJ	6972080
286196	982	1997-04-10	VYDAJ	PREVOD NA UCET	2505	24296	SIPO	IJ	6972080
286197	982	1997-05-10	VYDAJ	PREVOD NA UCET	2505	25998	SIPO	IJ	6972080
286198	982	1997-06-10	VYDAJ	PREVOD NA UCET	2505	26834	SIPO	IJ	6972080
286199	982	1997-07-10	VYDAJ	PREVOD NA UCET	2505	27592	SIPO	IJ	6972080
286200	982	1997-08-10	VYDAJ	PREVOD NA UCET	2505	26945	SIPO	IJ	6972080
286201	982	1997-09-10	VYDAJ	PREVOD NA UCET	2505	28057	SIPO	IJ	6972080
286202	982	1997-10-10	VYDAJ	PREVOD NA UCET	2505	32782	SIPO	IJ	6972080
286203	982	1997-11-10	VYDAJ	PREVOD NA UCET	2505	32112	SIPO	IJ	6972080
286204	982	1997-12-10	VYDAJ	PREVOD NA UCET	2505	32561	SIPO	IJ	6972080
286205	982	1998-01-10	VYDAJ	PREVOD NA UCET	2505	36957	SIPO	IJ	6972080
286206	982	1998-02-10	VYDAJ	PREVOD NA UCET	2505	31256	SIPO	IJ	6972080
286207	982	1998-03-10	VYDAJ	PREVOD NA UCET	2505	32873	SIPO	IJ	6972080
286208	982	1998-04-10	VYDAJ	PREVOD NA UCET	2505	42327	SIPO	IJ	6972080
286209	982	1998-05-10	VYDAJ	PREVOD NA UCET	2505	42201	SIPO	IJ	6972080
286210	982	1998-06-10	VYDAJ	PREVOD NA UCET	2505	39754	SIPO	IJ	6972080
286211	982	1998-07-10	VYDAJ	PREVOD NA UCET	2505	40152	SIPO	IJ	6972080
286212	982	1998-08-10	VYDAJ	PREVOD NA UCET	2505	41614	SIPO	IJ	6972080
286213	982	1998-09-10	VYDAJ	PREVOD NA UCET	2505	38287	SIPO	IJ	6972080
286214	982	1998-10-10	VYDAJ	PREVOD NA UCET	2505	33549	SIPO	IJ	6972080
286215	982	1998-11-10	VYDAJ	PREVOD NA UCET	2505	28893	SIPO	IJ	6972080
286216	982	1998-12-10	VYDAJ	PREVOD NA UCET	2505	21215	SIPO	IJ	6972080
286222	982	1993-06-06	VYDAJ	PREVOD NA UCET	188	33126	 	AB	29559022
286223	982	1993-07-06	VYDAJ	PREVOD NA UCET	188	19832	 	AB	29559022
286224	982	1993-08-06	VYDAJ	PREVOD NA UCET	188	25103	 	AB	29559022
286225	982	1993-09-06	VYDAJ	PREVOD NA UCET	188	25596	 	AB	29559022
286226	982	1993-10-06	VYDAJ	PREVOD NA UCET	188	28395	 	AB	29559022
286227	982	1993-11-06	VYDAJ	PREVOD NA UCET	188	27603	 	AB	29559022
286228	982	1993-12-06	VYDAJ	PREVOD NA UCET	188	27406	 	AB	29559022
286229	982	1994-01-06	VYDAJ	PREVOD NA UCET	188	25151	 	AB	29559022
286230	982	1994-02-06	VYDAJ	PREVOD NA UCET	188	22885	 	AB	29559022
286231	982	1994-03-06	VYDAJ	PREVOD NA UCET	188	29172	 	AB	29559022
286232	982	1994-04-06	VYDAJ	PREVOD NA UCET	188	28581	 	AB	29559022
286233	982	1994-05-06	VYDAJ	PREVOD NA UCET	188	28893	 	AB	29559022
286234	982	1994-06-06	VYDAJ	PREVOD NA UCET	188	33380	 	AB	29559022
286235	982	1994-07-06	VYDAJ	PREVOD NA UCET	188	32142	 	AB	29559022
286236	982	1994-08-06	VYDAJ	PREVOD NA UCET	188	31840	 	AB	29559022
286237	982	1994-09-06	VYDAJ	PREVOD NA UCET	188	29462	 	AB	29559022
286238	982	1994-10-06	VYDAJ	PREVOD NA UCET	188	27113	 	AB	29559022
286239	982	1994-11-06	VYDAJ	PREVOD NA UCET	188	28417	 	AB	29559022
286240	982	1994-12-06	VYDAJ	PREVOD NA UCET	188	31701	 	AB	29559022
286241	982	1995-01-06	VYDAJ	PREVOD NA UCET	188	26217	 	AB	29559022
286242	982	1995-02-06	VYDAJ	PREVOD NA UCET	188	23620	 	AB	29559022
286243	982	1995-03-06	VYDAJ	PREVOD NA UCET	188	23186	 	AB	29559022
286244	982	1995-04-06	VYDAJ	PREVOD NA UCET	188	27275	 	AB	29559022
286245	982	1995-05-06	VYDAJ	PREVOD NA UCET	188	26177	 	AB	29559022
286246	982	1995-06-06	VYDAJ	PREVOD NA UCET	188	27749	 	AB	29559022
286247	982	1995-07-06	VYDAJ	PREVOD NA UCET	188	26411	 	AB	29559022
286248	982	1995-08-06	VYDAJ	PREVOD NA UCET	188	29012	 	AB	29559022
286249	982	1995-09-06	VYDAJ	PREVOD NA UCET	188	26716	 	AB	29559022
286250	982	1995-10-06	VYDAJ	PREVOD NA UCET	188	30019	 	AB	29559022
286251	982	1995-11-06	VYDAJ	PREVOD NA UCET	188	24109	 	AB	29559022
286252	982	1995-12-06	VYDAJ	PREVOD NA UCET	188	24010	 	AB	29559022
286253	982	1996-01-06	VYDAJ	PREVOD NA UCET	188	18149	 	AB	29559022
286254	982	1996-02-06	VYDAJ	PREVOD NA UCET	188	19172	 	AB	29559022
286255	982	1996-03-06	VYDAJ	PREVOD NA UCET	188	18639	 	AB	29559022
286256	982	1996-04-06	VYDAJ	PREVOD NA UCET	188	19506	 	AB	29559022
286257	982	1996-05-06	VYDAJ	PREVOD NA UCET	188	22680	 	AB	29559022
286258	982	1996-06-06	VYDAJ	PREVOD NA UCET	188	28943	 	AB	29559022
286259	982	1996-07-06	VYDAJ	PREVOD NA UCET	188	27046	 	AB	29559022
286260	982	1996-08-06	VYDAJ	PREVOD NA UCET	188	29551	 	AB	29559022
286261	982	1996-09-06	VYDAJ	PREVOD NA UCET	188	29761	 	AB	29559022
286262	982	1996-10-06	VYDAJ	PREVOD NA UCET	188	22352	 	AB	29559022
286263	982	1996-11-06	VYDAJ	PREVOD NA UCET	188	23033	 	AB	29559022
286264	982	1996-12-06	VYDAJ	PREVOD NA UCET	188	31904	 	AB	29559022
286265	982	1997-01-06	VYDAJ	PREVOD NA UCET	188	33042	 	AB	29559022
286266	982	1997-02-06	VYDAJ	PREVOD NA UCET	188	20117	 	AB	29559022
286267	982	1997-03-06	VYDAJ	PREVOD NA UCET	188	24998	 	AB	29559022
286268	982	1997-04-06	VYDAJ	PREVOD NA UCET	188	26993	 	AB	29559022
286269	982	1997-05-06	VYDAJ	PREVOD NA UCET	188	28695	 	AB	29559022
286270	982	1997-06-06	VYDAJ	PREVOD NA UCET	188	29531	 	AB	29559022
286271	982	1997-07-06	VYDAJ	PREVOD NA UCET	188	30289	 	AB	29559022
286272	982	1997-08-06	VYDAJ	PREVOD NA UCET	188	29642	 	AB	29559022
286273	982	1997-09-06	VYDAJ	PREVOD NA UCET	188	30754	 	AB	29559022
286274	982	1997-10-06	VYDAJ	PREVOD NA UCET	188	35479	 	AB	29559022
286275	982	1997-11-06	VYDAJ	PREVOD NA UCET	188	34809	 	AB	29559022
286276	982	1997-12-06	VYDAJ	PREVOD NA UCET	188	38618	 	AB	29559022
286277	982	1998-01-06	VYDAJ	PREVOD NA UCET	188	35434	 	AB	29559022
286278	982	1998-02-06	VYDAJ	PREVOD NA UCET	188	22553	 	AB	29559022
286279	982	1998-03-06	VYDAJ	PREVOD NA UCET	188	35570	 	AB	29559022
286280	982	1998-04-06	VYDAJ	PREVOD NA UCET	188	43524	 	AB	29559022
286281	982	1998-05-06	VYDAJ	PREVOD NA UCET	188	46698	 	AB	29559022
286282	982	1998-06-06	VYDAJ	PREVOD NA UCET	188	48851	 	AB	29559022
286283	982	1998-07-06	VYDAJ	PREVOD NA UCET	188	38949	 	AB	29559022
286284	982	1998-08-06	VYDAJ	PREVOD NA UCET	188	44511	 	AB	29559022
286285	982	1998-09-06	VYDAJ	PREVOD NA UCET	188	45984	 	AB	29559022
286286	982	1998-10-06	VYDAJ	PREVOD NA UCET	188	42646	 	AB	29559022
286287	982	1998-11-06	VYDAJ	PREVOD NA UCET	188	31590	 	AB	29559022
286288	982	1998-12-06	VYDAJ	PREVOD NA UCET	188	27592	 	AB	29559022
286294	982	1993-06-14	VYDAJ	PREVOD NA UCET	148	11321	POJISTNE	CD	44355207
286295	982	1993-07-14	VYDAJ	PREVOD NA UCET	148	16987	POJISTNE	CD	44355207
286296	982	1993-08-14	VYDAJ	PREVOD NA UCET	148	22258	POJISTNE	CD	44355207
286297	982	1993-09-14	VYDAJ	PREVOD NA UCET	148	22751	POJISTNE	CD	44355207
286298	982	1993-10-14	VYDAJ	PREVOD NA UCET	148	25550	POJISTNE	CD	44355207
286299	982	1993-11-14	VYDAJ	PREVOD NA UCET	148	24758	POJISTNE	CD	44355207
286300	982	1993-12-14	VYDAJ	PREVOD NA UCET	148	24561	POJISTNE	CD	44355207
286301	982	1994-01-14	VYDAJ	PREVOD NA UCET	148	16666	POJISTNE	CD	44355207
286302	982	1994-02-14	VYDAJ	PREVOD NA UCET	148	20040	POJISTNE	CD	44355207
286303	982	1994-03-14	VYDAJ	PREVOD NA UCET	148	26327	POJISTNE	CD	44355207
286304	982	1994-04-14	VYDAJ	PREVOD NA UCET	148	25736	POJISTNE	CD	44355207
286305	982	1994-05-14	VYDAJ	PREVOD NA UCET	148	26048	POJISTNE	CD	44355207
286306	982	1994-06-14	VYDAJ	PREVOD NA UCET	148	28375	POJISTNE	CD	44355207
286307	982	1994-07-14	VYDAJ	PREVOD NA UCET	148	27377	POJISTNE	CD	44355207
286308	982	1994-08-14	VYDAJ	PREVOD NA UCET	148	28995	POJISTNE	CD	44355207
286309	982	1994-09-14	VYDAJ	PREVOD NA UCET	148	26617	POJISTNE	CD	44355207
286310	982	1994-10-14	VYDAJ	PREVOD NA UCET	148	24268	POJISTNE	CD	44355207
286311	982	1994-11-14	VYDAJ	PREVOD NA UCET	148	25572	POJISTNE	CD	44355207
286312	982	1994-12-14	VYDAJ	PREVOD NA UCET	148	28856	POJISTNE	CD	44355207
286313	982	1995-01-14	VYDAJ	PREVOD NA UCET	148	18332	POJISTNE	CD	44355207
286314	982	1995-02-14	VYDAJ	PREVOD NA UCET	148	20775	POJISTNE	CD	44355207
286315	982	1995-03-14	VYDAJ	PREVOD NA UCET	148	20341	POJISTNE	CD	44355207
286316	982	1995-04-14	VYDAJ	PREVOD NA UCET	148	24430	POJISTNE	CD	44355207
286317	982	1995-05-14	VYDAJ	PREVOD NA UCET	148	23332	POJISTNE	CD	44355207
286318	982	1995-06-14	VYDAJ	PREVOD NA UCET	148	24904	POJISTNE	CD	44355207
286319	982	1995-07-14	VYDAJ	PREVOD NA UCET	148	23566	POJISTNE	CD	44355207
286320	982	1995-08-14	VYDAJ	PREVOD NA UCET	148	26167	POJISTNE	CD	44355207
286321	982	1995-09-14	VYDAJ	PREVOD NA UCET	148	23871	POJISTNE	CD	44355207
286322	982	1995-10-14	VYDAJ	PREVOD NA UCET	148	27174	POJISTNE	CD	44355207
286323	982	1995-11-14	VYDAJ	PREVOD NA UCET	148	21264	POJISTNE	CD	44355207
286324	982	1995-12-14	VYDAJ	PREVOD NA UCET	148	18525	POJISTNE	CD	44355207
286325	982	1996-01-14	VYDAJ	PREVOD NA UCET	148	13864	POJISTNE	CD	44355207
286326	982	1996-02-14	VYDAJ	PREVOD NA UCET	148	16327	POJISTNE	CD	44355207
286327	982	1996-03-14	VYDAJ	PREVOD NA UCET	148	15794	POJISTNE	CD	44355207
286328	982	1996-04-14	VYDAJ	PREVOD NA UCET	148	16661	POJISTNE	CD	44355207
286329	982	1996-05-14	VYDAJ	PREVOD NA UCET	148	19835	POJISTNE	CD	44355207
286330	982	1996-06-14	VYDAJ	PREVOD NA UCET	148	26098	POJISTNE	CD	44355207
286331	982	1996-07-14	VYDAJ	PREVOD NA UCET	148	24201	POJISTNE	CD	44355207
286332	982	1996-08-14	VYDAJ	PREVOD NA UCET	148	26706	POJISTNE	CD	44355207
286333	982	1996-09-14	VYDAJ	PREVOD NA UCET	148	21156	POJISTNE	CD	44355207
286334	982	1996-10-14	VYDAJ	PREVOD NA UCET	148	19507	POJISTNE	CD	44355207
286335	982	1996-11-14	VYDAJ	PREVOD NA UCET	148	20188	POJISTNE	CD	44355207
286336	982	1996-12-14	VYDAJ	PREVOD NA UCET	148	24579	POJISTNE	CD	44355207
286337	982	1997-01-14	VYDAJ	PREVOD NA UCET	148	24077	POJISTNE	CD	44355207
286338	982	1997-02-14	VYDAJ	PREVOD NA UCET	148	20572	POJISTNE	CD	44355207
286339	982	1997-03-14	VYDAJ	PREVOD NA UCET	148	22153	POJISTNE	CD	44355207
286340	982	1997-04-14	VYDAJ	PREVOD NA UCET	148	24148	POJISTNE	CD	44355207
286341	982	1997-05-14	VYDAJ	PREVOD NA UCET	148	24410	POJISTNE	CD	44355207
286342	982	1997-06-14	VYDAJ	PREVOD NA UCET	148	25826	POJISTNE	CD	44355207
286343	982	1997-07-14	VYDAJ	PREVOD NA UCET	148	28544	POJISTNE	CD	44355207
286344	982	1997-08-14	VYDAJ	PREVOD NA UCET	148	26297	POJISTNE	CD	44355207
286345	982	1997-09-14	VYDAJ	PREVOD NA UCET	148	31009	POJISTNE	CD	44355207
286346	982	1997-10-14	VYDAJ	PREVOD NA UCET	148	30334	POJISTNE	CD	44355207
286347	982	1997-11-14	VYDAJ	PREVOD NA UCET	148	31864	POJISTNE	CD	44355207
286348	982	1997-12-14	VYDAJ	PREVOD NA UCET	148	31913	POJISTNE	CD	44355207
286349	982	1998-01-14	VYDAJ	PREVOD NA UCET	148	36809	POJISTNE	CD	44355207
286350	982	1998-02-14	VYDAJ	PREVOD NA UCET	148	31108	POJISTNE	CD	44355207
286351	982	1998-03-14	VYDAJ	PREVOD NA UCET	148	39025	POJISTNE	CD	44355207
286352	982	1998-04-14	VYDAJ	PREVOD NA UCET	148	42179	POJISTNE	CD	44355207
286353	982	1998-05-14	VYDAJ	PREVOD NA UCET	148	42053	POJISTNE	CD	44355207
286354	982	1998-06-14	VYDAJ	PREVOD NA UCET	148	34446	POJISTNE	CD	44355207
286355	982	1998-07-14	VYDAJ	PREVOD NA UCET	148	40004	POJISTNE	CD	44355207
286356	982	1998-08-14	VYDAJ	PREVOD NA UCET	148	41466	POJISTNE	CD	44355207
286357	982	1998-09-14	VYDAJ	PREVOD NA UCET	148	38139	POJISTNE	CD	44355207
286358	982	1998-10-14	VYDAJ	PREVOD NA UCET	148	33401	POJISTNE	CD	44355207
286359	982	1998-11-14	VYDAJ	PREVOD NA UCET	148	28745	POJISTNE	CD	44355207
286360	982	1998-12-14	VYDAJ	PREVOD NA UCET	148	21067	POJISTNE	CD	44355207
286366	982	1993-06-09	VYDAJ	PREVOD NA UCET	192	13974	 	OP	19998705
286367	982	1993-07-09	VYDAJ	PREVOD NA UCET	192	19640	 	OP	19998705
286368	982	1993-08-09	VYDAJ	PREVOD NA UCET	192	24911	 	OP	19998705
286369	982	1993-09-09	VYDAJ	PREVOD NA UCET	192	25404	 	OP	19998705
286370	982	1993-10-09	VYDAJ	PREVOD NA UCET	192	28203	 	OP	19998705
286371	982	1993-11-09	VYDAJ	PREVOD NA UCET	192	27411	 	OP	19998705
286372	982	1993-12-09	VYDAJ	PREVOD NA UCET	192	27214	 	OP	19998705
286373	982	1994-01-09	VYDAJ	PREVOD NA UCET	192	24959	 	OP	19998705
286374	982	1994-02-09	VYDAJ	PREVOD NA UCET	192	22693	 	OP	19998705
286375	982	1994-03-09	VYDAJ	PREVOD NA UCET	192	28980	 	OP	19998705
286376	982	1994-04-09	VYDAJ	PREVOD NA UCET	192	28389	 	OP	19998705
286377	982	1994-05-09	VYDAJ	PREVOD NA UCET	192	28701	 	OP	19998705
286378	982	1994-06-09	VYDAJ	PREVOD NA UCET	192	31028	 	OP	19998705
286379	982	1994-07-09	VYDAJ	PREVOD NA UCET	192	30030	 	OP	19998705
286380	982	1994-08-09	VYDAJ	PREVOD NA UCET	192	31648	 	OP	19998705
286381	982	1994-09-09	VYDAJ	PREVOD NA UCET	192	29270	 	OP	19998705
286382	982	1994-10-09	VYDAJ	PREVOD NA UCET	192	26921	 	OP	19998705
286383	982	1994-11-09	VYDAJ	PREVOD NA UCET	192	28225	 	OP	19998705
286384	982	1994-12-09	VYDAJ	PREVOD NA UCET	192	31509	 	OP	19998705
286385	982	1995-01-09	VYDAJ	PREVOD NA UCET	192	20985	 	OP	19998705
286386	982	1995-02-09	VYDAJ	PREVOD NA UCET	192	23428	 	OP	19998705
286387	982	1995-03-09	VYDAJ	PREVOD NA UCET	192	22994	 	OP	19998705
286388	982	1995-04-09	VYDAJ	PREVOD NA UCET	192	27083	 	OP	19998705
286389	982	1995-05-09	VYDAJ	PREVOD NA UCET	192	25985	 	OP	19998705
286390	982	1995-06-09	VYDAJ	PREVOD NA UCET	192	27557	 	OP	19998705
286391	982	1995-07-09	VYDAJ	PREVOD NA UCET	192	26219	 	OP	19998705
286392	982	1995-08-09	VYDAJ	PREVOD NA UCET	192	28820	 	OP	19998705
286393	982	1995-09-09	VYDAJ	PREVOD NA UCET	192	26524	 	OP	19998705
286394	982	1995-10-09	VYDAJ	PREVOD NA UCET	192	29827	 	OP	19998705
286395	982	1995-11-09	VYDAJ	PREVOD NA UCET	192	23917	 	OP	19998705
286396	982	1995-12-09	VYDAJ	PREVOD NA UCET	192	23818	 	OP	19998705
286397	982	1996-01-09	VYDAJ	PREVOD NA UCET	192	17957	 	OP	19998705
286398	982	1996-02-09	VYDAJ	PREVOD NA UCET	192	18980	 	OP	19998705
286399	982	1996-03-09	VYDAJ	PREVOD NA UCET	192	18447	 	OP	19998705
286400	982	1996-04-09	VYDAJ	PREVOD NA UCET	192	19314	 	OP	19998705
286401	982	1996-05-09	VYDAJ	PREVOD NA UCET	192	22488	 	OP	19998705
286402	982	1996-06-09	VYDAJ	PREVOD NA UCET	192	28751	 	OP	19998705
286403	982	1996-07-09	VYDAJ	PREVOD NA UCET	192	26854	 	OP	19998705
286404	982	1996-08-09	VYDAJ	PREVOD NA UCET	192	29359	 	OP	19998705
286405	982	1996-09-09	VYDAJ	PREVOD NA UCET	192	23809	 	OP	19998705
286406	982	1996-10-09	VYDAJ	PREVOD NA UCET	192	22160	 	OP	19998705
286407	982	1996-11-09	VYDAJ	PREVOD NA UCET	192	22841	 	OP	19998705
286408	982	1996-12-09	VYDAJ	PREVOD NA UCET	192	31712	 	OP	19998705
286409	982	1997-01-09	VYDAJ	PREVOD NA UCET	192	31170	 	OP	19998705
286410	982	1997-02-09	VYDAJ	PREVOD NA UCET	192	19925	 	OP	19998705
286411	982	1997-03-09	VYDAJ	PREVOD NA UCET	192	24806	 	OP	19998705
286412	982	1997-04-09	VYDAJ	PREVOD NA UCET	192	26801	 	OP	19998705
286413	982	1997-05-09	VYDAJ	PREVOD NA UCET	192	28503	 	OP	19998705
286414	982	1997-06-09	VYDAJ	PREVOD NA UCET	192	29339	 	OP	19998705
286415	982	1997-07-09	VYDAJ	PREVOD NA UCET	192	30097	 	OP	19998705
286416	982	1997-08-09	VYDAJ	PREVOD NA UCET	192	29450	 	OP	19998705
286417	982	1997-09-09	VYDAJ	PREVOD NA UCET	192	30562	 	OP	19998705
286418	982	1997-10-09	VYDAJ	PREVOD NA UCET	192	35287	 	OP	19998705
286419	982	1997-11-09	VYDAJ	PREVOD NA UCET	192	34617	 	OP	19998705
286420	982	1997-12-09	VYDAJ	PREVOD NA UCET	192	35066	 	OP	19998705
286421	982	1998-01-09	VYDAJ	PREVOD NA UCET	192	33562	 	OP	19998705
286422	982	1998-02-09	VYDAJ	PREVOD NA UCET	192	33761	 	OP	19998705
286423	982	1998-03-09	VYDAJ	PREVOD NA UCET	192	35378	 	OP	19998705
286424	982	1998-04-09	VYDAJ	PREVOD NA UCET	192	43332	 	OP	19998705
286425	982	1998-05-09	VYDAJ	PREVOD NA UCET	192	46506	 	OP	19998705
286426	982	1998-06-09	VYDAJ	PREVOD NA UCET	192	42259	 	OP	19998705
286427	982	1998-07-09	VYDAJ	PREVOD NA UCET	192	42657	 	OP	19998705
286428	982	1998-08-09	VYDAJ	PREVOD NA UCET	192	44119	 	OP	19998705
286429	982	1998-09-09	VYDAJ	PREVOD NA UCET	192	40792	 	OP	19998705
286430	982	1998-10-09	VYDAJ	PREVOD NA UCET	192	36054	 	OP	19998705
286431	982	1998-11-09	VYDAJ	PREVOD NA UCET	192	31398	 	OP	19998705
286432	982	1998-12-09	VYDAJ	PREVOD NA UCET	192	27400	 	OP	19998705
286433	982	1993-06-07	VYDAJ	VYBER	16800	16326	\N	\N	\N
286443	982	1997-01-18	VYDAJ	VYBER	8800	16877	\N	\N	\N
286444	982	1998-01-18	VYDAJ	VYBER	10560	24329	\N	\N	\N
286445	982	1993-12-03	VYDAJ	VYBER	3680	20769	\N	\N	\N
286446	982	1994-12-22	VYDAJ	VYBER	3040	25816	\N	\N	\N
286448	982	1996-12-12	VYDAJ	VYBER	4480	24727	\N	\N	\N
286449	982	1997-12-07	VYDAJ	VYBER	1440	37178	\N	\N	\N
286450	982	1998-12-09	VYDAJ	VYBER	3680	23720	\N	\N	\N
286457	982	1994-01-02	VYDAJ	VYBER	1440	24509	\N	\N	\N
286458	982	1994-01-11	VYDAJ	VYBER	2640	16814	\N	\N	\N
286460	982	1994-01-09	VYDAJ	VYBER	3000	21959	\N	\N	\N
286461	982	1994-01-15	VYDAJ	VYBER	3000	13666	\N	\N	\N
286463	982	1995-01-08	VYDAJ	VYBER	2040	21177	\N	\N	\N
286464	982	1995-01-01	VYDAJ	VYBER	1200	22815	\N	\N	\N
286465	982	1995-01-26	VYDAJ	VYBER	1200	19192	\N	\N	\N
286466	982	1995-01-16	VYDAJ	VYBER	2040	16292	\N	\N	\N
286467	982	1995-01-05	VYDAJ	VYBER	960	21855	\N	\N	\N
286468	982	1995-01-06	VYDAJ	VYBER	3000	23217	\N	\N	\N
286470	982	1996-01-10	VYDAJ	VYBER	1440	16517	\N	\N	\N
286475	982	1997-01-09	VYDAJ	VYBER	1680	31362	\N	\N	\N
286477	982	1997-01-20	VYDAJ	VYBER	1200	15677	\N	\N	\N
286478	982	1997-01-13	VYDAJ	VYBER	1200	24225	\N	\N	\N
286479	982	1997-01-11	VYDAJ	VYBER	2640	25425	\N	\N	\N
286480	982	1997-01-11	VYDAJ	VYBER	600	28065	\N	\N	\N
286481	982	1998-01-16	VYDAJ	VYBER	960	34889	\N	\N	\N
286482	982	1998-01-07	VYDAJ	VYBER	1080	33754	\N	\N	\N
286483	982	1998-01-21	VYDAJ	VYBER	3120	21209	\N	\N	\N
286484	982	1998-01-14	VYDAJ	VYBER	960	35849	\N	\N	\N
286485	982	1998-01-05	VYDAJ	VYBER	960	31072	\N	\N	\N
286486	982	1998-01-28	VYDAJ	VYBER	3120	18089	\N	\N	\N
286487	982	1993-06-08	VYDAJ	VYBER	2160	14166	\N	\N	\N
286488	982	1994-07-07	VYDAJ	VYBER	1920	30222	\N	\N	\N
286489	982	1994-01-04	VYDAJ	VYBER	3720	20789	\N	\N	\N
286490	982	1994-09-23	VYDAJ	VYBER	1560	25057	\N	\N	\N
286491	982	1994-06-06	VYDAJ	VYBER	2160	31220	\N	\N	\N
286492	982	1995-12-24	VYDAJ	VYBER	3000	16725	\N	\N	\N
286493	982	1995-11-02	VYDAJ	VYBER	3120	19747	\N	\N	\N
286494	982	1995-05-25	VYDAJ	VYBER	5400	17932	\N	\N	\N
286495	982	1995-12-12	VYDAJ	VYBER	2640	18673	\N	\N	\N
286496	982	1995-11-17	VYDAJ	VYBER	3960	17304	\N	\N	\N
286497	982	1995-02-22	VYDAJ	VYBER	4920	15855	\N	\N	\N
286498	982	1995-06-18	VYDAJ	VYBER	840	24064	\N	\N	\N
286499	982	1995-08-18	VYDAJ	VYBER	4800	21367	\N	\N	\N
286500	982	1995-12-30	VYDAJ	VYBER	3000	13725	\N	\N	\N
286502	982	1996-09-22	VYDAJ	VYBER	3840	17916	\N	\N	\N
286503	982	1996-09-07	VYDAJ	VYBER	5760	24001	\N	\N	\N
286504	982	1997-06-14	VYDAJ	VYBER	3960	25974	\N	\N	\N
286505	982	1997-08-01	VYDAJ	VYBER	1080	25280	\N	\N	\N
286506	982	1997-12-09	VYDAJ	VYBER	1920	35258	\N	\N	\N
286507	982	1997-05-13	VYDAJ	VYBER	1440	24558	\N	\N	\N
286508	982	1997-07-15	VYDAJ	VYBER	2280	26264	\N	\N	\N
286509	982	1998-01-07	VYDAJ	VYBER	600	34834	\N	\N	\N
286510	982	1998-06-13	VYDAJ	VYBER	5160	34594	\N	\N	\N
286517	982	1993-06-30	VYDAJ	VYBER	15	11370	SLUZBY	\N	\N
286518	982	1993-07-31	VYDAJ	VYBER	15	17041	SLUZBY	\N	\N
286519	982	1993-08-31	VYDAJ	VYBER	15	22334	SLUZBY	\N	\N
286520	982	1993-09-30	VYDAJ	VYBER	15	22833	SLUZBY	\N	\N
286521	982	1993-10-31	VYDAJ	VYBER	15	25641	SLUZBY	\N	\N
286522	982	1993-11-30	VYDAJ	VYBER	15	24849	SLUZBY	\N	\N
286523	982	1993-12-31	VYDAJ	VYBER	15	24649	SLUZBY	\N	\N
286524	982	1994-01-31	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
286525	982	1994-02-28	VYDAJ	VYBER	15	20110	SLUZBY	\N	\N
286526	982	1994-03-31	VYDAJ	VYBER	15	26419	SLUZBY	\N	\N
286527	982	1994-04-30	VYDAJ	VYBER	15	25831	SLUZBY	\N	\N
286528	982	1994-05-31	VYDAJ	VYBER	15	26743	SLUZBY	\N	\N
286529	982	1994-06-30	VYDAJ	VYBER	15	27780	SLUZBY	\N	\N
286530	982	1994-07-31	VYDAJ	VYBER	15	27478	SLUZBY	\N	\N
286531	982	1994-08-31	VYDAJ	VYBER	15	25100	SLUZBY	\N	\N
286532	982	1994-09-30	VYDAJ	VYBER	15	22751	SLUZBY	\N	\N
286533	982	1994-10-31	VYDAJ	VYBER	15	24055	SLUZBY	\N	\N
286534	982	1994-11-30	VYDAJ	VYBER	15	25064	SLUZBY	\N	\N
286535	982	1994-12-31	VYDAJ	VYBER	15	24015	SLUZBY	\N	\N
286536	982	1995-01-31	VYDAJ	VYBER	15	19258	SLUZBY	\N	\N
286537	982	1995-02-28	VYDAJ	VYBER	15	18824	SLUZBY	\N	\N
286538	982	1995-03-31	VYDAJ	VYBER	15	22913	SLUZBY	\N	\N
286539	982	1995-04-30	VYDAJ	VYBER	15	21815	SLUZBY	\N	\N
286540	982	1995-05-31	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
286541	982	1995-06-30	VYDAJ	VYBER	15	22049	SLUZBY	\N	\N
286542	982	1995-07-31	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
286543	982	1995-08-31	VYDAJ	VYBER	15	22354	SLUZBY	\N	\N
286544	982	1995-09-30	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
286545	982	1995-10-31	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
286546	982	1995-11-30	VYDAJ	VYBER	15	17373	SLUZBY	\N	\N
286547	982	1995-12-31	VYDAJ	VYBER	15	13787	SLUZBY	\N	\N
286548	982	1996-01-31	VYDAJ	VYBER	15	14810	SLUZBY	\N	\N
286549	982	1996-02-29	VYDAJ	VYBER	15	14277	SLUZBY	\N	\N
286550	982	1996-03-31	VYDAJ	VYBER	15	15144	SLUZBY	\N	\N
286551	982	1996-04-30	VYDAJ	VYBER	15	18318	SLUZBY	\N	\N
286552	982	1996-05-31	VYDAJ	VYBER	15	22306	SLUZBY	\N	\N
286553	982	1996-06-30	VYDAJ	VYBER	15	22684	SLUZBY	\N	\N
286554	982	1996-07-31	VYDAJ	VYBER	15	25189	SLUZBY	\N	\N
286555	982	1996-08-31	VYDAJ	VYBER	15	25399	SLUZBY	\N	\N
286556	982	1996-09-30	VYDAJ	VYBER	15	17990	SLUZBY	\N	\N
286557	982	1996-10-31	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
286558	982	1996-11-30	VYDAJ	VYBER	15	25267	SLUZBY	\N	\N
286559	982	1996-12-31	VYDAJ	VYBER	15	28680	SLUZBY	\N	\N
286560	982	1997-01-31	VYDAJ	VYBER	15	15755	SLUZBY	\N	\N
286561	982	1997-02-28	VYDAJ	VYBER	15	20636	SLUZBY	\N	\N
286562	982	1997-03-31	VYDAJ	VYBER	15	22631	SLUZBY	\N	\N
286563	982	1997-04-30	VYDAJ	VYBER	15	24333	SLUZBY	\N	\N
286564	982	1997-05-31	VYDAJ	VYBER	15	22894	SLUZBY	\N	\N
286565	982	1997-06-30	VYDAJ	VYBER	15	25927	SLUZBY	\N	\N
286566	982	1997-07-31	VYDAJ	VYBER	15	26360	SLUZBY	\N	\N
286567	982	1997-08-31	VYDAJ	VYBER	15	26392	SLUZBY	\N	\N
286568	982	1997-09-30	VYDAJ	VYBER	15	31117	SLUZBY	\N	\N
286569	982	1997-10-31	VYDAJ	VYBER	15	30447	SLUZBY	\N	\N
286570	982	1997-11-30	VYDAJ	VYBER	15	31981	SLUZBY	\N	\N
286571	982	1997-12-31	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
286572	982	1998-01-31	VYDAJ	VYBER	15	18191	SLUZBY	\N	\N
286573	982	1998-02-28	VYDAJ	VYBER	15	31208	SLUZBY	\N	\N
286574	982	1998-03-31	VYDAJ	VYBER	15	39162	SLUZBY	\N	\N
286575	982	1998-04-30	VYDAJ	VYBER	15	42336	SLUZBY	\N	\N
286576	982	1998-05-31	VYDAJ	VYBER	15	42214	SLUZBY	\N	\N
286577	982	1998-06-30	VYDAJ	VYBER	15	34587	SLUZBY	\N	\N
286578	982	1998-07-31	VYDAJ	VYBER	15	40149	SLUZBY	\N	\N
286579	982	1998-08-31	VYDAJ	VYBER	15	41622	SLUZBY	\N	\N
286580	982	1998-09-30	VYDAJ	VYBER	15	38284	SLUZBY	\N	\N
286581	982	1998-10-31	VYDAJ	VYBER	15	33528	SLUZBY	\N	\N
286582	982	1998-11-30	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
286583	982	1993-03-07	PRIJEM	VKLAD	8200	18219	\N	\N	\N
286584	982	1993-04-06	PRIJEM	VKLAD	400	23234	\N	\N	\N
286585	982	1993-05-06	VYDAJ	VYBER	1100	26776	\N	\N	\N
286586	982	1993-06-05	VYDAJ	VYBER	400	26489	\N	\N	\N
286587	982	1993-07-05	PRIJEM	VKLAD	4100	15470	\N	\N	\N
286588	982	1993-08-04	PRIJEM	VKLAD	3700	20741	\N	\N	\N
286589	982	1993-09-03	VYDAJ	VYBER	1100	21234	\N	\N	\N
286590	982	1993-10-03	PRIJEM	VKLAD	1200	24033	\N	\N	\N
286591	982	1993-11-02	VYDAJ	VYBER	2400	23241	\N	\N	\N
286592	982	1993-12-02	VYDAJ	VYBER	400	24449	\N	\N	\N
286593	982	1994-01-01	PRIJEM	VKLAD	1300	25949	\N	\N	\N
286594	982	1994-01-31	PRIJEM	VKLAD	4800	18538	\N	\N	\N
286595	982	1994-03-02	PRIJEM	VKLAD	4700	24810	\N	\N	\N
286596	982	1994-04-01	VYDAJ	VYBER	2200	24219	\N	\N	\N
286597	982	1994-05-01	VYDAJ	VYBER	1300	24531	\N	\N	\N
286598	982	1994-05-31	PRIJEM	VKLAD	600	26758	\N	\N	\N
286599	982	1994-06-30	VYDAJ	VYBER	700	27795	\N	\N	\N
286600	982	1994-08-29	VYDAJ	VYBER	4000	24995	\N	\N	\N
286601	982	1994-09-28	VYDAJ	VYBER	2400	22657	\N	\N	\N
286602	982	1994-10-28	VYDAJ	VYBER	300	23968	\N	\N	\N
286603	982	1994-11-27	VYDAJ	VYBER	600	24972	\N	\N	\N
286604	982	1994-12-27	VYDAJ	VYBER	1900	23916	\N	\N	\N
286605	982	1995-01-26	PRIJEM	VKLAD	4100	20392	\N	\N	\N
286606	982	1995-02-25	PRIJEM	VKLAD	2900	18755	\N	\N	\N
286607	982	1995-03-27	PRIJEM	VKLAD	2500	22841	\N	\N	\N
286608	982	1995-04-26	VYDAJ	VYBER	2700	21730	\N	\N	\N
286609	982	1995-05-26	PRIJEM	VKLAD	3100	21032	\N	\N	\N
286610	982	1995-06-25	VYDAJ	VYBER	2100	21964	\N	\N	\N
286611	982	1995-07-25	PRIJEM	VKLAD	1000	24566	\N	\N	\N
286612	982	1995-08-24	PRIJEM	VKLAD	900	22267	\N	\N	\N
286613	982	1995-09-23	PRIJEM	VKLAD	1700	25571	\N	\N	\N
286614	982	1995-10-23	VYDAJ	VYBER	4400	22774	\N	\N	\N
286615	982	1995-12-22	PRIJEM	VKLAD	1200	19725	\N	\N	\N
286616	982	1996-01-21	PRIJEM	VKLAD	900	14764	\N	\N	\N
286617	982	1996-02-20	VYDAJ	VYBER	2100	14227	\N	\N	\N
286618	982	1996-03-21	VYDAJ	VYBER	700	15094	\N	\N	\N
286619	982	1996-04-20	PRIJEM	VKLAD	1600	18261	\N	\N	\N
286620	982	1996-05-20	PRIJEM	VKLAD	2400	22235	\N	\N	\N
286621	982	1996-06-19	VYDAJ	VYBER	3500	22598	\N	\N	\N
286622	982	1996-07-19	PRIJEM	VKLAD	900	25101	\N	\N	\N
286623	982	1996-08-18	VYDAJ	VYBER	1400	25306	\N	\N	\N
286624	982	1996-09-17	PRIJEM	VKLAD	600	21756	\N	\N	\N
286625	982	1996-10-17	VYDAJ	VYBER	900	18607	\N	\N	\N
286626	982	1996-11-16	PRIJEM	VKLAD	5000	25188	\N	\N	\N
286627	982	1996-12-16	PRIJEM	VKLAD	4000	28579	\N	\N	\N
286628	982	1997-01-15	PRIJEM	VKLAD	1600	25677	\N	\N	\N
286629	982	1997-02-14	PRIJEM	VKLAD	3300	20720	\N	\N	\N
286630	982	1997-03-16	PRIJEM	VKLAD	400	22553	\N	\N	\N
286631	982	1997-04-15	PRIJEM	VKLAD	100	24248	\N	\N	\N
286632	982	1997-05-15	VYDAJ	VYBER	1600	22810	\N	\N	\N
286633	982	1997-06-14	PRIJEM	VKLAD	3100	29934	\N	\N	\N
286634	982	1997-07-14	PRIJEM	VKLAD	1100	28692	\N	\N	\N
286635	982	1997-08-13	VYDAJ	VYBER	500	26445	\N	\N	\N
286636	982	1997-09-12	PRIJEM	VKLAD	3100	31157	\N	\N	\N
286637	982	1997-10-12	VYDAJ	VYBER	2300	30482	\N	\N	\N
286638	982	1997-11-11	VYDAJ	VYBER	100	32012	\N	\N	\N
286639	982	1997-12-11	VYDAJ	VYBER	500	32061	\N	\N	\N
286640	982	1998-01-10	PRIJEM	VKLAD	5900	39462	\N	\N	\N
286641	982	1998-02-09	PRIJEM	VKLAD	11400	33953	\N	\N	\N
286642	982	1998-03-11	PRIJEM	VKLAD	6300	39173	\N	\N	\N
286643	982	1998-04-10	PRIJEM	VKLAD	1500	44832	\N	\N	\N
286644	982	1998-05-10	VYDAJ	VYBER	1800	44706	\N	\N	\N
286645	982	1998-06-09	VYDAJ	VYBER	6400	42451	\N	\N	\N
286646	982	1998-07-09	PRIJEM	VKLAD	3900	42849	\N	\N	\N
286647	982	1998-08-08	VYDAJ	VYBER	200	44311	\N	\N	\N
286648	982	1998-09-07	VYDAJ	VYBER	5000	40984	\N	\N	\N
286649	982	1998-10-07	VYDAJ	VYBER	6400	36246	\N	\N	\N
286650	982	1998-11-06	VYDAJ	VYBER	6300	31778	\N	\N	\N
286651	982	1998-12-06	VYDAJ	VYBER	7900	27780	\N	\N	\N
287159	984	1996-07-10	PRIJEM	VKLAD	200	200	\N	\N	\N
287166	984	1996-07-12	PRIJEM	VKLAD	11128	11328	\N	\N	\N
287167	984	1996-08-12	PRIJEM	VKLAD	11128	29387	\N	\N	\N
287168	984	1996-09-12	PRIJEM	VKLAD	11128	34710	\N	\N	\N
287169	984	1996-10-12	PRIJEM	VKLAD	11128	36775	\N	\N	\N
287170	984	1996-11-12	PRIJEM	VKLAD	11128	40353	\N	\N	\N
287171	984	1996-12-12	PRIJEM	VKLAD	16692	46582	\N	\N	\N
287172	984	1997-01-12	PRIJEM	VKLAD	11128	44662	\N	\N	\N
287173	984	1997-02-12	PRIJEM	VKLAD	11128	35826	\N	\N	\N
287174	984	1997-03-12	PRIJEM	VKLAD	11128	39970	\N	\N	\N
287175	984	1997-04-12	PRIJEM	VKLAD	11128	41928	\N	\N	\N
287176	984	1997-05-12	PRIJEM	VKLAD	11128	38095	\N	\N	\N
287177	984	1997-06-12	PRIJEM	VKLAD	16692	44614	\N	\N	\N
287178	984	1997-07-12	PRIJEM	VKLAD	11128	46788	\N	\N	\N
287179	984	1997-08-12	PRIJEM	VKLAD	11128	37871	\N	\N	\N
287180	984	1997-09-12	PRIJEM	VKLAD	11128	35924	\N	\N	\N
287181	984	1997-10-12	PRIJEM	VKLAD	11128	29766	\N	\N	\N
287182	984	1997-11-12	PRIJEM	VKLAD	11128	29682	\N	\N	\N
287183	984	1997-12-12	PRIJEM	VKLAD	16692	34761	\N	\N	\N
287184	984	1998-01-12	PRIJEM	VKLAD	11128	26681	\N	\N	\N
287185	984	1998-02-12	PRIJEM	VKLAD	11128	28878	\N	\N	\N
287186	984	1998-03-12	PRIJEM	VKLAD	11128	27491	\N	\N	\N
287187	984	1998-04-12	PRIJEM	VKLAD	11128	28899	\N	\N	\N
287188	984	1998-05-12	PRIJEM	VKLAD	11128	31810	\N	\N	\N
287189	984	1998-06-12	PRIJEM	VKLAD	16692	36290	\N	\N	\N
287190	984	1998-07-12	PRIJEM	VKLAD	11128	37732	\N	\N	\N
287191	984	1998-08-12	PRIJEM	VKLAD	11128	32881	\N	\N	\N
287192	984	1998-09-12	PRIJEM	VKLAD	11128	31509	\N	\N	\N
287193	984	1998-10-12	PRIJEM	VKLAD	11128	26829	\N	\N	\N
287194	984	1998-11-12	PRIJEM	VKLAD	11128	25331	\N	\N	\N
287195	984	1998-12-12	PRIJEM	VKLAD	16692	30291	\N	\N	\N
287207	984	1996-12-05	VYDAJ	PREVOD NA UCET	5911	34590	SIPO	QR	37694537
287208	984	1997-01-05	VYDAJ	PREVOD NA UCET	5911	40834	SIPO	QR	37694537
287209	984	1997-02-05	VYDAJ	PREVOD NA UCET	5911	24698	SIPO	QR	37694537
287210	984	1997-03-05	VYDAJ	PREVOD NA UCET	5911	30042	SIPO	QR	37694537
287211	984	1997-04-05	VYDAJ	PREVOD NA UCET	5911	34200	SIPO	QR	37694537
287212	984	1997-05-05	VYDAJ	PREVOD NA UCET	5911	36167	SIPO	QR	37694537
287213	984	1997-06-05	VYDAJ	PREVOD NA UCET	5911	29422	SIPO	QR	37694537
287214	984	1997-07-05	VYDAJ	PREVOD NA UCET	5911	38860	SIPO	QR	37694537
287215	984	1997-08-05	VYDAJ	PREVOD NA UCET	5911	26743	SIPO	QR	37694537
287216	984	1997-09-05	VYDAJ	PREVOD NA UCET	5911	24796	SIPO	QR	37694537
287217	984	1997-10-05	VYDAJ	PREVOD NA UCET	5911	18638	SIPO	QR	37694537
287218	984	1997-11-05	VYDAJ	PREVOD NA UCET	5911	18554	SIPO	QR	37694537
287219	984	1997-12-05	VYDAJ	PREVOD NA UCET	5911	18069	SIPO	QR	37694537
287220	984	1998-01-05	VYDAJ	PREVOD NA UCET	5911	19453	SIPO	QR	37694537
287221	984	1998-02-05	VYDAJ	PREVOD NA UCET	5911	17750	SIPO	QR	37694537
287222	984	1998-03-05	VYDAJ	PREVOD NA UCET	5911	19063	SIPO	QR	37694537
287223	984	1998-04-05	VYDAJ	PREVOD NA UCET	5911	17771	SIPO	QR	37694537
287224	984	1998-05-05	VYDAJ	PREVOD NA UCET	5911	20682	SIPO	QR	37694537
287225	984	1998-06-05	VYDAJ	PREVOD NA UCET	5911	19598	SIPO	QR	37694537
287226	984	1998-07-05	VYDAJ	PREVOD NA UCET	5911	26604	SIPO	QR	37694537
287227	984	1998-08-05	VYDAJ	PREVOD NA UCET	5911	21753	SIPO	QR	37694537
287228	984	1998-09-05	VYDAJ	PREVOD NA UCET	5911	20381	SIPO	QR	37694537
287229	984	1998-10-05	VYDAJ	PREVOD NA UCET	5911	15701	SIPO	QR	37694537
287230	984	1998-11-05	VYDAJ	PREVOD NA UCET	5911	14203	SIPO	QR	37694537
287231	984	1998-12-05	VYDAJ	PREVOD NA UCET	5911	13599	SIPO	QR	37694537
287236	984	1997-01-20	VYDAJ	VYBER	4600	38862	\N	\N	\N
287244	984	1997-01-28	VYDAJ	VYBER	1400	32562	\N	\N	\N
287245	984	1997-01-21	VYDAJ	VYBER	1600	34962	\N	\N	\N
287246	984	1997-01-28	VYDAJ	VYBER	1000	33962	\N	\N	\N
287247	984	1997-01-29	VYDAJ	VYBER	800	31762	\N	\N	\N
287248	984	1997-01-20	VYDAJ	VYBER	2300	36562	\N	\N	\N
287249	984	1997-01-19	VYDAJ	VYBER	1200	43462	\N	\N	\N
287250	984	1998-01-01	VYDAJ	VYBER	2300	26764	\N	\N	\N
287251	984	1998-01-03	VYDAJ	VYBER	1400	25364	\N	\N	\N
287252	984	1998-01-11	VYDAJ	VYBER	1800	15553	\N	\N	\N
287253	984	1998-01-01	VYDAJ	VYBER	1500	29064	\N	\N	\N
287254	984	1998-01-11	VYDAJ	VYBER	2100	17353	\N	\N	\N
287255	984	1998-01-12	VYDAJ	VYBER	1500	25181	\N	\N	\N
287261	984	1997-10-01	VYDAJ	VYBER	2700	33349	\N	\N	\N
287262	984	1997-12-22	VYDAJ	VYBER	3400	29461	\N	\N	\N
287263	984	1997-06-11	VYDAJ	VYBER	1500	27922	\N	\N	\N
287264	984	1997-07-23	VYDAJ	VYBER	2400	44388	\N	\N	\N
287265	984	1997-12-18	VYDAJ	VYBER	1900	32861	\N	\N	\N
287266	984	1998-12-19	VYDAJ	VYBER	3900	26391	\N	\N	\N
287267	984	1998-05-16	VYDAJ	VYBER	2700	29110	\N	\N	\N
287268	984	1998-09-27	VYDAJ	VYBER	1800	29709	\N	\N	\N
287269	984	1998-01-20	VYDAJ	VYBER	4400	20781	\N	\N	\N
287270	984	1998-03-08	VYDAJ	VYBER	2700	16363	\N	\N	\N
287282	984	1996-11-30	VYDAJ	VYBER	15	40501	SLUZBY	\N	\N
287283	984	1996-12-31	VYDAJ	VYBER	15	46745	SLUZBY	\N	\N
287284	984	1997-01-31	VYDAJ	VYBER	15	31909	SLUZBY	\N	\N
287285	984	1997-02-28	VYDAJ	VYBER	15	35953	SLUZBY	\N	\N
287286	984	1997-03-31	VYDAJ	VYBER	15	40111	SLUZBY	\N	\N
287287	984	1997-04-30	VYDAJ	VYBER	15	42078	SLUZBY	\N	\N
287288	984	1997-05-31	VYDAJ	VYBER	15	38233	SLUZBY	\N	\N
287289	984	1997-06-30	VYDAJ	VYBER	15	44771	SLUZBY	\N	\N
287290	984	1997-07-31	VYDAJ	VYBER	15	44554	SLUZBY	\N	\N
287291	984	1997-08-31	VYDAJ	VYBER	15	38007	SLUZBY	\N	\N
287292	984	1997-09-30	VYDAJ	VYBER	15	36049	SLUZBY	\N	\N
287293	984	1997-10-31	VYDAJ	VYBER	15	29865	SLUZBY	\N	\N
287294	984	1997-11-30	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
287295	984	1997-12-31	VYDAJ	VYBER	15	29564	SLUZBY	\N	\N
287296	984	1998-01-31	VYDAJ	VYBER	15	23661	SLUZBY	\N	\N
287297	984	1998-02-28	VYDAJ	VYBER	15	28974	SLUZBY	\N	\N
287298	984	1998-03-31	VYDAJ	VYBER	15	27582	SLUZBY	\N	\N
287299	984	1998-04-30	VYDAJ	VYBER	15	28993	SLUZBY	\N	\N
287300	984	1998-05-31	VYDAJ	VYBER	15	29209	SLUZBY	\N	\N
287301	984	1998-06-30	VYDAJ	VYBER	15	36415	SLUZBY	\N	\N
287302	984	1998-07-31	VYDAJ	VYBER	15	27664	SLUZBY	\N	\N
287303	984	1998-08-31	VYDAJ	VYBER	15	26292	SLUZBY	\N	\N
287304	984	1998-09-30	VYDAJ	VYBER	15	21612	SLUZBY	\N	\N
287305	984	1998-10-31	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
287306	984	1998-11-30	VYDAJ	VYBER	15	19510	SLUZBY	\N	\N
287307	984	1996-08-09	PRIJEM	VKLAD	6900	18259	\N	\N	\N
287308	984	1996-09-08	VYDAJ	VYBER	5900	23582	\N	\N	\N
287309	984	1996-10-08	VYDAJ	VYBER	9200	25647	\N	\N	\N
287310	984	1996-11-07	VYDAJ	VYBER	7700	29225	\N	\N	\N
287311	984	1996-12-07	VYDAJ	VYBER	4700	29890	\N	\N	\N
287312	984	1997-01-06	VYDAJ	VYBER	7300	33534	\N	\N	\N
287313	984	1997-02-05	VYDAJ	VYBER	1300	30609	\N	\N	\N
287314	984	1997-03-07	VYDAJ	VYBER	1200	28842	\N	\N	\N
287315	984	1997-04-06	VYDAJ	VYBER	3400	30800	\N	\N	\N
287316	984	1997-05-06	VYDAJ	VYBER	9200	26967	\N	\N	\N
287317	984	1997-06-05	VYDAJ	VYBER	2900	35333	\N	\N	\N
287318	984	1997-07-05	VYDAJ	VYBER	3200	35660	\N	\N	\N
287319	984	1997-08-04	VYDAJ	VYBER	11900	32654	\N	\N	\N
287320	984	1997-09-03	VYDAJ	VYBER	7300	30707	\N	\N	\N
287321	984	1997-10-03	VYDAJ	VYBER	8800	24549	\N	\N	\N
287322	984	1997-11-02	VYDAJ	VYBER	5400	24465	\N	\N	\N
287323	984	1997-12-02	VYDAJ	VYBER	5800	23980	\N	\N	\N
287324	984	1998-01-01	PRIJEM	VKLAD	1000	30564	\N	\N	\N
287325	984	1998-01-31	PRIJEM	VKLAD	2800	23581	\N	\N	\N
287326	984	1998-03-02	VYDAJ	VYBER	4000	24974	\N	\N	\N
287327	984	1998-04-01	VYDAJ	VYBER	3900	23682	\N	\N	\N
287328	984	1998-05-01	VYDAJ	VYBER	2400	26593	\N	\N	\N
287329	984	1998-05-31	VYDAJ	VYBER	3700	25509	\N	\N	\N
287330	984	1998-06-30	VYDAJ	VYBER	3900	32515	\N	\N	\N
287331	984	1998-07-30	VYDAJ	VYBER	10200	27532	\N	\N	\N
287332	984	1998-08-29	VYDAJ	VYBER	6700	26181	\N	\N	\N
287333	984	1998-09-28	VYDAJ	VYBER	8200	21509	\N	\N	\N
287334	984	1998-10-28	VYDAJ	VYBER	6800	20029	\N	\N	\N
287335	984	1998-11-27	VYDAJ	VYBER	5900	19431	\N	\N	\N
287366	985	1994-05-29	PRIJEM	VKLAD	900	900	\N	\N	\N
287372	985	1994-06-05	PRIJEM	PREVOD Z UCTU	3341	4241	\N	OP	31737041
287373	985	1994-07-05	PRIJEM	PREVOD Z UCTU	3341	7582	\N	OP	31737041
287374	985	1994-08-05	PRIJEM	PREVOD Z UCTU	3341	10923	\N	OP	31737041
287375	985	1994-09-05	PRIJEM	PREVOD Z UCTU	3341	14264	\N	OP	31737041
287376	985	1994-10-05	PRIJEM	PREVOD Z UCTU	3341	17605	\N	OP	31737041
287377	985	1994-11-05	PRIJEM	PREVOD Z UCTU	3341	17758	\N	OP	31737041
287378	985	1994-12-05	PRIJEM	PREVOD Z UCTU	3341	18684	\N	OP	31737041
287379	985	1995-01-05	PRIJEM	PREVOD Z UCTU	3341	18801	\N	OP	31737041
287380	985	1995-02-05	PRIJEM	PREVOD Z UCTU	3341	16783	\N	OP	31737041
287381	985	1995-03-05	PRIJEM	PREVOD Z UCTU	3341	17942	\N	OP	31737041
287382	985	1995-04-05	PRIJEM	PREVOD Z UCTU	3341	18355	\N	OP	31737041
287383	985	1995-05-05	PRIJEM	PREVOD Z UCTU	3341	19520	\N	OP	31737041
287384	985	1995-06-05	PRIJEM	PREVOD Z UCTU	3341	20689	\N	OP	31737041
287385	985	1995-07-05	PRIJEM	PREVOD Z UCTU	3341	16088	\N	OP	31737041
287386	985	1995-08-05	PRIJEM	PREVOD Z UCTU	3341	17244	\N	OP	31737041
287387	985	1995-09-05	PRIJEM	PREVOD Z UCTU	3341	18404	\N	OP	31737041
287388	985	1995-10-05	PRIJEM	PREVOD Z UCTU	3341	19569	\N	OP	31737041
287389	985	1995-11-05	PRIJEM	PREVOD Z UCTU	3341	20739	\N	OP	31737041
287390	985	1995-12-05	PRIJEM	PREVOD Z UCTU	3341	20472	\N	OP	31737041
287391	985	1996-01-05	PRIJEM	PREVOD Z UCTU	3341	19604	\N	OP	31737041
287392	985	1996-02-05	PRIJEM	PREVOD Z UCTU	3341	19154	\N	OP	31737041
287393	985	1996-03-05	PRIJEM	PREVOD Z UCTU	3341	20322	\N	OP	31737041
287394	985	1996-04-05	PRIJEM	PREVOD Z UCTU	3341	21495	\N	OP	31737041
287395	985	1996-05-05	PRIJEM	PREVOD Z UCTU	3341	22673	\N	OP	31737041
287396	985	1996-06-05	PRIJEM	PREVOD Z UCTU	3341	22593	\N	OP	31737041
287397	985	1996-07-05	PRIJEM	PREVOD Z UCTU	3341	17559	\N	OP	31737041
287398	985	1996-08-05	PRIJEM	PREVOD Z UCTU	3341	17971	\N	OP	31737041
287399	985	1996-09-05	PRIJEM	PREVOD Z UCTU	3341	19137	\N	OP	31737041
287400	985	1996-10-05	PRIJEM	PREVOD Z UCTU	3341	20305	\N	OP	31737041
287401	985	1996-11-05	PRIJEM	PREVOD Z UCTU	3341	20156	\N	OP	31737041
287402	985	1996-12-05	PRIJEM	PREVOD Z UCTU	3341	21328	\N	OP	31737041
287403	985	1997-01-05	PRIJEM	PREVOD Z UCTU	3341	22145	\N	OP	31737041
287404	985	1997-02-05	PRIJEM	PREVOD Z UCTU	3341	19902	\N	OP	31737041
287405	985	1997-03-05	PRIJEM	PREVOD Z UCTU	3341	19872	\N	OP	31737041
287406	985	1997-04-05	PRIJEM	PREVOD Z UCTU	3341	21043	\N	OP	31737041
287407	985	1997-05-05	PRIJEM	PREVOD Z UCTU	3341	21108	\N	OP	31737041
287408	985	1997-06-05	PRIJEM	PREVOD Z UCTU	3341	22284	\N	OP	31737041
287409	985	1997-07-05	PRIJEM	PREVOD Z UCTU	3341	22683	\N	OP	31737041
287410	985	1997-08-05	PRIJEM	PREVOD Z UCTU	3341	22662	\N	OP	31737041
287411	985	1997-09-05	PRIJEM	PREVOD Z UCTU	3341	23845	\N	OP	31737041
287412	985	1997-10-05	PRIJEM	PREVOD Z UCTU	3341	25032	\N	OP	31737041
287413	985	1997-11-05	PRIJEM	PREVOD Z UCTU	3341	26224	\N	OP	31737041
287414	985	1997-12-05	PRIJEM	PREVOD Z UCTU	3341	27422	\N	OP	31737041
287415	985	1998-01-05	PRIJEM	PREVOD Z UCTU	3341	27451	\N	OP	31737041
287416	985	1998-02-05	PRIJEM	PREVOD Z UCTU	3341	25589	\N	OP	31737041
287417	985	1998-03-05	PRIJEM	PREVOD Z UCTU	3341	26783	\N	OP	31737041
287418	985	1998-04-05	PRIJEM	PREVOD Z UCTU	3341	27982	\N	OP	31737041
287419	985	1998-05-05	PRIJEM	PREVOD Z UCTU	3341	29186	\N	OP	31737041
287420	985	1998-06-05	PRIJEM	PREVOD Z UCTU	3341	30396	\N	OP	31737041
287421	985	1998-07-05	PRIJEM	PREVOD Z UCTU	3341	22841	\N	OP	31737041
287422	985	1998-08-05	PRIJEM	PREVOD Z UCTU	3341	24024	\N	OP	31737041
287423	985	1998-09-05	PRIJEM	PREVOD Z UCTU	3341	25211	\N	OP	31737041
287424	985	1998-10-05	PRIJEM	PREVOD Z UCTU	3341	23999	\N	OP	31737041
287425	985	1998-11-05	PRIJEM	PREVOD Z UCTU	3341	22452	\N	OP	31737041
287426	985	1998-12-05	PRIJEM	PREVOD Z UCTU	3341	23632	\N	OP	31737041
287436	985	1994-10-11	VYDAJ	PREVOD NA UCET	2227	15378	\N	MN	70730441
287437	985	1994-11-11	VYDAJ	PREVOD NA UCET	2227	15531	\N	MN	70730441
287438	985	1994-12-11	VYDAJ	PREVOD NA UCET	2227	15587	\N	MN	70730441
287439	985	1995-01-11	VYDAJ	PREVOD NA UCET	2227	16154	\N	MN	70730441
287440	985	1995-02-11	VYDAJ	PREVOD NA UCET	2227	14556	\N	MN	70730441
287441	985	1995-03-11	VYDAJ	PREVOD NA UCET	2227	15415	\N	MN	70730441
287442	985	1995-04-11	VYDAJ	PREVOD NA UCET	2227	16128	\N	MN	70730441
287443	985	1995-05-11	VYDAJ	PREVOD NA UCET	2227	17293	\N	MN	70730441
287444	985	1995-06-11	VYDAJ	PREVOD NA UCET	2227	12702	\N	MN	70730441
287445	985	1995-07-11	VYDAJ	PREVOD NA UCET	2227	13861	\N	MN	70730441
287446	985	1995-08-11	VYDAJ	PREVOD NA UCET	2227	15017	\N	MN	70730441
287447	985	1995-09-11	VYDAJ	PREVOD NA UCET	2227	16177	\N	MN	70730441
287448	985	1995-10-11	VYDAJ	PREVOD NA UCET	2227	17342	\N	MN	70730441
287449	985	1995-11-11	VYDAJ	PREVOD NA UCET	2227	18512	\N	MN	70730441
287450	985	1995-12-11	VYDAJ	PREVOD NA UCET	2227	17375	\N	MN	70730441
287451	985	1996-01-11	VYDAJ	PREVOD NA UCET	2227	16897	\N	MN	70730441
287452	985	1996-02-11	VYDAJ	PREVOD NA UCET	2227	16927	\N	MN	70730441
287453	985	1996-03-11	VYDAJ	PREVOD NA UCET	2227	18095	\N	MN	70730441
287454	985	1996-04-11	VYDAJ	PREVOD NA UCET	2227	19268	\N	MN	70730441
287455	985	1996-05-11	VYDAJ	PREVOD NA UCET	2227	19186	\N	MN	70730441
287456	985	1996-06-11	VYDAJ	PREVOD NA UCET	2227	20366	\N	MN	70730441
287457	985	1996-07-11	VYDAJ	PREVOD NA UCET	2227	15332	\N	MN	70730441
287458	985	1996-08-11	VYDAJ	PREVOD NA UCET	2227	15744	\N	MN	70730441
287459	985	1996-09-11	VYDAJ	PREVOD NA UCET	2227	16910	\N	MN	70730441
287460	985	1996-10-11	VYDAJ	PREVOD NA UCET	2227	18078	\N	MN	70730441
287461	985	1996-11-11	VYDAJ	PREVOD NA UCET	2227	17929	\N	MN	70730441
287462	985	1996-12-11	VYDAJ	PREVOD NA UCET	2227	18741	\N	MN	70730441
287463	985	1997-01-11	VYDAJ	PREVOD NA UCET	2227	19228	\N	MN	70730441
287464	985	1997-02-11	VYDAJ	PREVOD NA UCET	2227	17675	\N	MN	70730441
287465	985	1997-03-11	VYDAJ	PREVOD NA UCET	2227	17645	\N	MN	70730441
287466	985	1997-04-11	VYDAJ	PREVOD NA UCET	2227	18816	\N	MN	70730441
287467	985	1997-05-11	VYDAJ	PREVOD NA UCET	2227	18881	\N	MN	70730441
287468	985	1997-06-11	VYDAJ	PREVOD NA UCET	2227	19277	\N	MN	70730441
287469	985	1997-07-11	VYDAJ	PREVOD NA UCET	2227	20456	\N	MN	70730441
287470	985	1997-08-11	VYDAJ	PREVOD NA UCET	2227	20435	\N	MN	70730441
287471	985	1997-09-11	VYDAJ	PREVOD NA UCET	2227	21618	\N	MN	70730441
287472	985	1997-10-11	VYDAJ	PREVOD NA UCET	2227	22805	\N	MN	70730441
287473	985	1997-11-11	VYDAJ	PREVOD NA UCET	2227	23997	\N	MN	70730441
287474	985	1997-12-11	VYDAJ	PREVOD NA UCET	2227	25195	\N	MN	70730441
287475	985	1998-01-11	VYDAJ	PREVOD NA UCET	2227	24534	\N	MN	70730441
287476	985	1998-02-11	VYDAJ	PREVOD NA UCET	2227	23362	\N	MN	70730441
287477	985	1998-03-11	VYDAJ	PREVOD NA UCET	2227	24556	\N	MN	70730441
287478	985	1998-04-11	VYDAJ	PREVOD NA UCET	2227	25755	\N	MN	70730441
287479	985	1998-05-11	VYDAJ	PREVOD NA UCET	2227	26959	\N	MN	70730441
287480	985	1998-06-11	VYDAJ	PREVOD NA UCET	2227	27359	\N	MN	70730441
287481	985	1998-07-11	VYDAJ	PREVOD NA UCET	2227	20614	\N	MN	70730441
287482	985	1998-08-11	VYDAJ	PREVOD NA UCET	2227	21797	\N	MN	70730441
287483	985	1998-09-11	VYDAJ	PREVOD NA UCET	2227	21784	\N	MN	70730441
287484	985	1998-10-11	VYDAJ	PREVOD NA UCET	2227	20272	\N	MN	70730441
287485	985	1998-11-11	VYDAJ	PREVOD NA UCET	2227	20225	\N	MN	70730441
287486	985	1998-12-11	VYDAJ	PREVOD NA UCET	2227	21405	\N	MN	70730441
287488	985	1995-06-10	VYDAJ	VYBER	5760	14929	\N	\N	\N
287489	985	1996-06-24	VYDAJ	VYBER	6210	14156	\N	\N	\N
287491	985	1998-06-24	VYDAJ	VYBER	7950	19409	\N	\N	\N
287492	985	1994-12-01	VYDAJ	VYBER	240	15343	\N	\N	\N
287493	985	1995-12-07	VYDAJ	VYBER	870	19602	\N	\N	\N
287494	985	1996-12-08	VYDAJ	VYBER	360	20968	\N	\N	\N
287495	985	1997-12-29	VYDAJ	VYBER	420	24025	\N	\N	\N
287496	985	1998-12-30	VYDAJ	VYBER	600	20805	\N	\N	\N
287503	985	1995-01-10	VYDAJ	VYBER	420	18381	\N	\N	\N
287504	985	1995-01-14	VYDAJ	VYBER	570	14924	\N	\N	\N
287505	985	1995-01-22	VYDAJ	VYBER	780	13394	\N	\N	\N
287506	985	1995-01-01	VYDAJ	VYBER	180	15460	\N	\N	\N
287507	985	1995-01-15	VYDAJ	VYBER	330	14594	\N	\N	\N
287508	985	1995-01-17	VYDAJ	VYBER	420	14174	\N	\N	\N
287509	985	1996-01-02	VYDAJ	VYBER	420	17013	\N	\N	\N
287510	985	1996-01-17	VYDAJ	VYBER	810	15757	\N	\N	\N
287511	985	1996-01-06	VYDAJ	VYBER	210	19394	\N	\N	\N
287512	985	1996-01-16	VYDAJ	VYBER	330	16567	\N	\N	\N
287513	985	1996-01-10	VYDAJ	VYBER	270	19124	\N	\N	\N
287514	985	1996-01-03	VYDAJ	VYBER	750	16263	\N	\N	\N
287515	985	1997-01-20	VYDAJ	VYBER	870	17308	\N	\N	\N
287516	985	1997-01-17	VYDAJ	VYBER	870	18358	\N	\N	\N
287517	985	1997-01-29	VYDAJ	VYBER	810	16498	\N	\N	\N
287518	985	1997-01-19	VYDAJ	VYBER	180	18178	\N	\N	\N
287519	985	1997-01-05	VYDAJ	VYBER	390	21755	\N	\N	\N
287520	985	1997-01-05	VYDAJ	VYBER	300	21455	\N	\N	\N
287521	985	1998-01-21	VYDAJ	VYBER	750	22524	\N	\N	\N
287522	985	1998-01-18	VYDAJ	VYBER	810	23274	\N	\N	\N
287523	985	1998-01-15	VYDAJ	VYBER	450	24084	\N	\N	\N
287524	985	1998-01-09	VYDAJ	VYBER	240	27211	\N	\N	\N
287525	985	1998-01-29	VYDAJ	VYBER	360	22164	\N	\N	\N
287526	985	1998-01-10	VYDAJ	VYBER	450	26761	\N	\N	\N
287528	985	1994-12-05	VYDAJ	VYBER	870	17814	\N	\N	\N
287531	985	1994-11-01	VYDAJ	VYBER	990	14417	\N	\N	\N
287532	985	1995-11-19	VYDAJ	VYBER	1440	17072	\N	\N	\N
287533	985	1995-03-09	VYDAJ	VYBER	300	17642	\N	\N	\N
287534	985	1995-01-11	VYDAJ	VYBER	660	15494	\N	\N	\N
287535	985	1995-03-21	VYDAJ	VYBER	450	14965	\N	\N	\N
287536	985	1996-08-03	VYDAJ	VYBER	750	14630	\N	\N	\N
287537	985	1996-05-09	VYDAJ	VYBER	1260	21413	\N	\N	\N
287538	985	1996-10-17	VYDAJ	VYBER	1320	16758	\N	\N	\N
287539	985	1997-12-12	VYDAJ	VYBER	750	24445	\N	\N	\N
287540	985	1997-04-23	VYDAJ	VYBER	1110	17706	\N	\N	\N
287541	985	1997-07-15	VYDAJ	VYBER	1200	19256	\N	\N	\N
287542	985	1997-06-10	VYDAJ	VYBER	780	21504	\N	\N	\N
287543	985	1997-02-23	VYDAJ	VYBER	1200	16475	\N	\N	\N
287544	985	1998-09-13	VYDAJ	VYBER	1200	20584	\N	\N	\N
287545	985	1998-10-19	VYDAJ	VYBER	1230	19042	\N	\N	\N
287546	985	1998-06-07	VYDAJ	VYBER	810	29586	\N	\N	\N
287557	985	1994-10-31	VYDAJ	VYBER	15	15407	SLUZBY	\N	\N
287558	985	1994-11-30	VYDAJ	VYBER	15	15583	SLUZBY	\N	\N
287559	985	1994-12-31	VYDAJ	VYBER	15	15640	SLUZBY	\N	\N
287560	985	1995-01-31	VYDAJ	VYBER	15	13442	SLUZBY	\N	\N
287561	985	1995-02-28	VYDAJ	VYBER	15	14601	SLUZBY	\N	\N
287562	985	1995-03-31	VYDAJ	VYBER	15	15014	SLUZBY	\N	\N
287563	985	1995-04-30	VYDAJ	VYBER	15	16179	SLUZBY	\N	\N
287564	985	1995-05-31	VYDAJ	VYBER	15	17348	SLUZBY	\N	\N
287565	985	1995-06-30	VYDAJ	VYBER	15	12747	SLUZBY	\N	\N
287566	985	1995-07-31	VYDAJ	VYBER	15	13903	SLUZBY	\N	\N
287567	985	1995-08-31	VYDAJ	VYBER	15	15063	SLUZBY	\N	\N
287568	985	1995-09-30	VYDAJ	VYBER	15	16228	SLUZBY	\N	\N
287569	985	1995-10-31	VYDAJ	VYBER	15	17398	SLUZBY	\N	\N
287570	985	1995-11-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
287571	985	1995-12-31	VYDAJ	VYBER	15	17433	SLUZBY	\N	\N
287572	985	1996-01-31	VYDAJ	VYBER	15	15813	SLUZBY	\N	\N
287573	985	1996-02-29	VYDAJ	VYBER	15	16981	SLUZBY	\N	\N
287574	985	1996-03-31	VYDAJ	VYBER	15	18154	SLUZBY	\N	\N
287575	985	1996-04-30	VYDAJ	VYBER	15	19332	SLUZBY	\N	\N
287576	985	1996-05-31	VYDAJ	VYBER	15	19252	SLUZBY	\N	\N
287577	985	1996-06-30	VYDAJ	VYBER	15	14218	SLUZBY	\N	\N
287578	985	1996-07-31	VYDAJ	VYBER	15	15380	SLUZBY	\N	\N
287579	985	1996-08-31	VYDAJ	VYBER	15	15796	SLUZBY	\N	\N
287580	985	1996-09-30	VYDAJ	VYBER	15	16964	SLUZBY	\N	\N
287581	985	1996-10-31	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
287582	985	1996-11-30	VYDAJ	VYBER	15	17987	SLUZBY	\N	\N
287583	985	1996-12-31	VYDAJ	VYBER	15	18804	SLUZBY	\N	\N
287584	985	1997-01-31	VYDAJ	VYBER	15	16561	SLUZBY	\N	\N
287585	985	1997-02-28	VYDAJ	VYBER	15	16531	SLUZBY	\N	\N
287586	985	1997-03-31	VYDAJ	VYBER	15	17702	SLUZBY	\N	\N
287587	985	1997-04-30	VYDAJ	VYBER	15	17767	SLUZBY	\N	\N
287588	985	1997-05-31	VYDAJ	VYBER	15	18943	SLUZBY	\N	\N
287589	985	1997-06-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
287590	985	1997-07-31	VYDAJ	VYBER	15	19321	SLUZBY	\N	\N
287591	985	1997-08-31	VYDAJ	VYBER	15	20504	SLUZBY	\N	\N
287592	985	1997-09-30	VYDAJ	VYBER	15	21691	SLUZBY	\N	\N
287593	985	1997-10-31	VYDAJ	VYBER	15	22883	SLUZBY	\N	\N
287594	985	1997-11-30	VYDAJ	VYBER	15	24081	SLUZBY	\N	\N
287595	985	1997-12-31	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
287596	985	1998-01-31	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
287597	985	1998-02-28	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
287598	985	1998-03-31	VYDAJ	VYBER	15	24641	SLUZBY	\N	\N
287599	985	1998-04-30	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
287600	985	1998-05-31	VYDAJ	VYBER	15	27055	SLUZBY	\N	\N
287601	985	1998-06-30	VYDAJ	VYBER	15	19500	SLUZBY	\N	\N
287602	985	1998-07-31	VYDAJ	VYBER	15	20683	SLUZBY	\N	\N
287603	985	1998-08-31	VYDAJ	VYBER	15	21870	SLUZBY	\N	\N
287604	985	1998-09-30	VYDAJ	VYBER	15	20658	SLUZBY	\N	\N
287605	985	1998-10-31	VYDAJ	VYBER	15	19111	SLUZBY	\N	\N
287606	985	1998-11-30	VYDAJ	VYBER	15	20291	SLUZBY	\N	\N
287607	985	1998-09-05	VYDAJ	VYBER	1200	24011	\N	\N	\N
287608	985	1998-10-05	VYDAJ	VYBER	1500	22499	\N	\N	\N
287660	986	1996-05-02	PRIJEM	VKLAD	600	600	\N	\N	\N
287665	986	1996-05-05	PRIJEM	PREVOD Z UCTU	6057	6657	DUCHOD	YZ	69630348
287666	986	1996-06-05	PRIJEM	PREVOD Z UCTU	6057	12738	DUCHOD	YZ	69630348
287667	986	1996-07-05	PRIJEM	PREVOD Z UCTU	6057	18823	DUCHOD	YZ	69630348
287668	986	1996-08-05	PRIJEM	PREVOD Z UCTU	6057	24908	DUCHOD	YZ	69630348
287669	986	1996-09-05	PRIJEM	PREVOD Z UCTU	6057	29497	DUCHOD	YZ	69630348
287670	986	1996-10-05	PRIJEM	PREVOD Z UCTU	6057	30100	DUCHOD	YZ	69630348
287671	986	1996-11-05	PRIJEM	PREVOD Z UCTU	6057	28205	DUCHOD	YZ	69630348
287672	986	1996-12-05	PRIJEM	PREVOD Z UCTU	6057	29303	DUCHOD	YZ	69630348
287673	986	1997-01-05	PRIJEM	PREVOD Z UCTU	6057	27654	DUCHOD	YZ	69630348
287674	986	1997-02-05	PRIJEM	PREVOD Z UCTU	6057	22090	DUCHOD	YZ	69630348
287675	986	1997-03-05	PRIJEM	PREVOD Z UCTU	6057	24701	DUCHOD	YZ	69630348
287676	986	1997-04-05	PRIJEM	PREVOD Z UCTU	6057	28205	DUCHOD	YZ	69630348
287677	986	1997-05-05	PRIJEM	PREVOD Z UCTU	6057	30903	DUCHOD	YZ	69630348
287678	986	1997-06-05	PRIJEM	PREVOD Z UCTU	6057	34913	DUCHOD	YZ	69630348
287679	986	1997-07-05	PRIJEM	PREVOD Z UCTU	6057	25416	DUCHOD	YZ	69630348
287680	986	1997-08-05	PRIJEM	PREVOD Z UCTU	6057	29403	DUCHOD	YZ	69630348
287681	986	1997-09-05	PRIJEM	PREVOD Z UCTU	6057	26341	DUCHOD	YZ	69630348
287682	986	1997-10-05	PRIJEM	PREVOD Z UCTU	6057	29031	DUCHOD	YZ	69630348
287683	986	1997-11-05	PRIJEM	PREVOD Z UCTU	6057	31732	DUCHOD	YZ	69630348
287684	986	1997-12-05	PRIJEM	PREVOD Z UCTU	6057	31942	DUCHOD	YZ	69630348
287685	986	1998-01-05	PRIJEM	PREVOD Z UCTU	6057	26462	DUCHOD	YZ	69630348
287686	986	1998-02-05	PRIJEM	PREVOD Z UCTU	6057	25031	DUCHOD	YZ	69630348
287687	986	1998-03-05	PRIJEM	PREVOD Z UCTU	6057	29016	DUCHOD	YZ	69630348
287688	986	1998-04-05	PRIJEM	PREVOD Z UCTU	6057	33018	DUCHOD	YZ	69630348
287689	986	1998-05-05	PRIJEM	PREVOD Z UCTU	6057	35276	DUCHOD	YZ	69630348
287690	986	1998-06-05	PRIJEM	PREVOD Z UCTU	6057	36823	DUCHOD	YZ	69630348
287691	986	1998-07-05	PRIJEM	PREVOD Z UCTU	6057	31437	DUCHOD	YZ	69630348
287692	986	1998-08-05	PRIJEM	PREVOD Z UCTU	6057	35449	DUCHOD	YZ	69630348
287693	986	1998-09-05	PRIJEM	PREVOD Z UCTU	6057	36512	DUCHOD	YZ	69630348
287694	986	1998-10-05	PRIJEM	PREVOD Z UCTU	6057	35136	DUCHOD	YZ	69630348
287695	986	1998-11-05	PRIJEM	PREVOD Z UCTU	6057	32452	DUCHOD	YZ	69630348
287696	986	1998-12-05	PRIJEM	PREVOD Z UCTU	6057	26754	DUCHOD	YZ	69630348
287705	986	1996-09-12	VYDAJ	PREVOD NA UCET	2146	27351	SIPO	AB	23655325
287706	986	1996-10-12	VYDAJ	PREVOD NA UCET	2146	27954	SIPO	AB	23655325
287707	986	1996-11-12	VYDAJ	PREVOD NA UCET	2146	26059	SIPO	AB	23655325
287708	986	1996-12-12	VYDAJ	PREVOD NA UCET	2146	27157	SIPO	AB	23655325
287709	986	1997-01-12	VYDAJ	PREVOD NA UCET	2146	23988	SIPO	AB	23655325
287710	986	1997-02-12	VYDAJ	PREVOD NA UCET	2146	18584	SIPO	AB	23655325
287711	986	1997-03-12	VYDAJ	PREVOD NA UCET	2146	22555	SIPO	AB	23655325
287712	986	1997-04-12	VYDAJ	PREVOD NA UCET	2146	26059	SIPO	AB	23655325
287713	986	1997-05-12	VYDAJ	PREVOD NA UCET	2146	28757	SIPO	AB	23655325
287714	986	1997-06-12	VYDAJ	PREVOD NA UCET	2146	32767	SIPO	AB	23655325
287715	986	1997-07-12	VYDAJ	PREVOD NA UCET	2146	23270	SIPO	AB	23655325
287716	986	1997-08-12	VYDAJ	PREVOD NA UCET	2146	27257	SIPO	AB	23655325
287717	986	1997-09-12	VYDAJ	PREVOD NA UCET	2146	24195	SIPO	AB	23655325
287718	986	1997-10-12	VYDAJ	PREVOD NA UCET	2146	26885	SIPO	AB	23655325
287719	986	1997-11-12	VYDAJ	PREVOD NA UCET	2146	29586	SIPO	AB	23655325
287720	986	1997-12-12	VYDAJ	PREVOD NA UCET	2146	28746	SIPO	AB	23655325
287721	986	1998-01-12	VYDAJ	PREVOD NA UCET	2146	22876	SIPO	AB	23655325
287722	986	1998-02-12	VYDAJ	PREVOD NA UCET	2146	22885	SIPO	AB	23655325
287723	986	1998-03-12	VYDAJ	PREVOD NA UCET	2146	26870	SIPO	AB	23655325
287724	986	1998-04-12	VYDAJ	PREVOD NA UCET	2146	30872	SIPO	AB	23655325
287725	986	1998-05-12	VYDAJ	PREVOD NA UCET	2146	30650	SIPO	AB	23655325
287726	986	1998-06-12	VYDAJ	PREVOD NA UCET	2146	34677	SIPO	AB	23655325
287727	986	1998-07-12	VYDAJ	PREVOD NA UCET	2146	29291	SIPO	AB	23655325
287728	986	1998-08-12	VYDAJ	PREVOD NA UCET	2146	30343	SIPO	AB	23655325
287729	986	1998-09-12	VYDAJ	PREVOD NA UCET	2146	34366	SIPO	AB	23655325
287730	986	1998-10-12	VYDAJ	PREVOD NA UCET	2146	32990	SIPO	AB	23655325
287731	986	1998-11-12	VYDAJ	PREVOD NA UCET	2146	30306	SIPO	AB	23655325
287732	986	1998-12-12	VYDAJ	PREVOD NA UCET	2146	23458	SIPO	AB	23655325
287734	986	1997-06-18	VYDAJ	VYBER	13500	19267	\N	\N	\N
287735	986	1998-06-15	VYDAJ	VYBER	9400	25277	\N	\N	\N
287737	986	1997-01-19	VYDAJ	VYBER	4350	18118	\N	\N	\N
287738	986	1998-01-22	VYDAJ	VYBER	3100	19376	\N	\N	\N
287739	986	1996-12-26	VYDAJ	VYBER	550	25487	\N	\N	\N
287740	986	1997-12-07	VYDAJ	VYBER	1050	30892	\N	\N	\N
287741	986	1998-12-05	VYDAJ	VYBER	1150	25604	\N	\N	\N
287748	986	1997-01-03	VYDAJ	VYBER	2080	21597	\N	\N	\N
287749	986	1997-01-14	VYDAJ	VYBER	1040	22948	\N	\N	\N
287750	986	1997-01-30	VYDAJ	VYBER	1120	15958	\N	\N	\N
287751	986	1997-01-06	VYDAJ	VYBER	1520	26134	\N	\N	\N
287752	986	1997-01-16	VYDAJ	VYBER	480	22468	\N	\N	\N
287753	986	1997-01-28	VYDAJ	VYBER	1040	17078	\N	\N	\N
287754	986	1998-01-16	VYDAJ	VYBER	400	22476	\N	\N	\N
287755	986	1998-01-30	VYDAJ	VYBER	480	18896	\N	\N	\N
287756	986	1998-01-05	VYDAJ	VYBER	1440	25022	\N	\N	\N
287757	986	1998-01-04	VYDAJ	VYBER	2320	20405	\N	\N	\N
287758	986	1998-01-01	VYDAJ	VYBER	1840	23125	\N	\N	\N
287759	986	1998-01-03	VYDAJ	VYBER	400	22725	\N	\N	\N
287760	986	1996-12-24	VYDAJ	VYBER	1120	26037	\N	\N	\N
287762	986	1997-12-21	VYDAJ	VYBER	1680	27066	\N	\N	\N
287763	986	1997-08-27	VYDAJ	VYBER	2560	20197	\N	\N	\N
287764	986	1997-02-11	VYDAJ	VYBER	1360	20730	\N	\N	\N
287765	986	1997-11-26	VYDAJ	VYBER	1600	25786	\N	\N	\N
287766	986	1997-03-23	VYDAJ	VYBER	480	22075	\N	\N	\N
287767	986	1998-05-12	VYDAJ	VYBER	2480	32796	\N	\N	\N
287768	986	1998-08-08	VYDAJ	VYBER	2960	32489	\N	\N	\N
287769	986	1998-11-30	VYDAJ	VYBER	2000	20711	\N	\N	\N
287770	986	1998-04-28	VYDAJ	VYBER	1760	29112	\N	\N	\N
287780	986	1996-09-30	VYDAJ	VYBER	15	24043	SLUZBY	\N	\N
287781	986	1996-10-31	VYDAJ	VYBER	15	22148	SLUZBY	\N	\N
287782	986	1996-11-30	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
287783	986	1996-12-31	VYDAJ	VYBER	15	23677	SLUZBY	\N	\N
287784	986	1997-01-31	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
287785	986	1997-02-28	VYDAJ	VYBER	15	18644	SLUZBY	\N	\N
287786	986	1997-03-31	VYDAJ	VYBER	15	22148	SLUZBY	\N	\N
287787	986	1997-04-30	VYDAJ	VYBER	15	24846	SLUZBY	\N	\N
287788	986	1997-05-31	VYDAJ	VYBER	15	28856	SLUZBY	\N	\N
287789	986	1997-06-30	VYDAJ	VYBER	15	19359	SLUZBY	\N	\N
287790	986	1997-07-31	VYDAJ	VYBER	15	23346	SLUZBY	\N	\N
287791	986	1997-08-31	VYDAJ	VYBER	15	20284	SLUZBY	\N	\N
287792	986	1997-09-30	VYDAJ	VYBER	15	22974	SLUZBY	\N	\N
287793	986	1997-10-31	VYDAJ	VYBER	15	25675	SLUZBY	\N	\N
287794	986	1997-11-30	VYDAJ	VYBER	15	25885	SLUZBY	\N	\N
287795	986	1997-12-31	VYDAJ	VYBER	15	24965	SLUZBY	\N	\N
287796	986	1998-01-31	VYDAJ	VYBER	15	18974	SLUZBY	\N	\N
287797	986	1998-02-28	VYDAJ	VYBER	15	22959	SLUZBY	\N	\N
287798	986	1998-03-31	VYDAJ	VYBER	15	26961	SLUZBY	\N	\N
287799	986	1998-04-30	VYDAJ	VYBER	15	29219	SLUZBY	\N	\N
287800	986	1998-05-31	VYDAJ	VYBER	15	30766	SLUZBY	\N	\N
287801	986	1998-06-30	VYDAJ	VYBER	15	25380	SLUZBY	\N	\N
287802	986	1998-07-31	VYDAJ	VYBER	15	29392	SLUZBY	\N	\N
287803	986	1998-08-31	VYDAJ	VYBER	15	30455	SLUZBY	\N	\N
287804	986	1998-09-30	VYDAJ	VYBER	15	29079	SLUZBY	\N	\N
287805	986	1998-10-31	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
287806	986	1998-11-30	VYDAJ	VYBER	15	20697	SLUZBY	\N	\N
287807	986	1996-08-30	VYDAJ	VYBER	1500	23408	\N	\N	\N
287808	986	1996-09-29	VYDAJ	VYBER	3400	23951	\N	\N	\N
287809	986	1996-10-29	VYDAJ	VYBER	5900	22054	\N	\N	\N
287810	986	1996-11-28	VYDAJ	VYBER	2900	23159	\N	\N	\N
287811	986	1996-12-28	VYDAJ	VYBER	1900	23587	\N	\N	\N
287812	986	1997-04-27	VYDAJ	VYBER	1300	24759	\N	\N	\N
287813	986	1997-08-25	VYDAJ	VYBER	4500	22757	\N	\N	\N
287814	986	1997-09-24	VYDAJ	VYBER	1300	22895	\N	\N	\N
287815	986	1997-10-24	VYDAJ	VYBER	1300	25585	\N	\N	\N
287816	986	1997-11-23	VYDAJ	VYBER	2200	27386	\N	\N	\N
287817	986	1997-12-23	VYDAJ	VYBER	2200	24866	\N	\N	\N
287818	986	1998-09-19	VYDAJ	VYBER	5400	28966	\N	\N	\N
287819	986	1998-10-19	VYDAJ	VYBER	6700	26290	\N	\N	\N
287820	986	1998-11-18	VYDAJ	VYBER	7700	22606	\N	\N	\N
287853	987	1996-08-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
287862	987	1996-09-09	PRIJEM	VKLAD	11774	12874	\N	\N	\N
287863	987	1996-10-09	PRIJEM	VKLAD	11774	30161	\N	\N	\N
287864	987	1996-11-09	PRIJEM	VKLAD	11774	40219	\N	\N	\N
287865	987	1996-12-09	PRIJEM	VKLAD	17661	52003	\N	\N	\N
287866	987	1997-01-09	PRIJEM	VKLAD	11774	54828	\N	\N	\N
287867	987	1997-02-09	PRIJEM	VKLAD	11774	36994	\N	\N	\N
287868	987	1997-03-09	PRIJEM	VKLAD	11774	43452	\N	\N	\N
287869	987	1997-04-09	PRIJEM	VKLAD	11774	51439	\N	\N	\N
287870	987	1997-05-09	PRIJEM	VKLAD	11774	54655	\N	\N	\N
287871	987	1997-06-09	PRIJEM	VKLAD	17661	59943	\N	\N	\N
287872	987	1997-07-09	PRIJEM	VKLAD	11774	37336	\N	\N	\N
287873	987	1997-08-09	PRIJEM	VKLAD	11774	44581	\N	\N	\N
287874	987	1997-09-09	PRIJEM	VKLAD	11774	50676	\N	\N	\N
287875	987	1997-10-09	PRIJEM	VKLAD	11774	56390	\N	\N	\N
287876	987	1997-11-09	PRIJEM	VKLAD	11774	55820	\N	\N	\N
287877	987	1997-12-09	PRIJEM	VKLAD	17661	62935	\N	\N	\N
287878	987	1998-01-09	PRIJEM	VKLAD	11774	47937	\N	\N	\N
287879	987	1998-02-09	PRIJEM	VKLAD	11774	56632	\N	\N	\N
287880	987	1998-03-09	PRIJEM	VKLAD	11774	63170	\N	\N	\N
287881	987	1998-04-09	PRIJEM	VKLAD	11774	67633	\N	\N	\N
287882	987	1998-05-09	PRIJEM	VKLAD	11774	67606	\N	\N	\N
287883	987	1998-06-09	PRIJEM	VKLAD	17661	73967	\N	\N	\N
287884	987	1998-07-09	PRIJEM	VKLAD	11774	53606	\N	\N	\N
287885	987	1998-08-09	PRIJEM	VKLAD	11774	56566	\N	\N	\N
287886	987	1998-09-09	PRIJEM	VKLAD	11774	60298	\N	\N	\N
287887	987	1998-10-09	PRIJEM	VKLAD	11774	59378	\N	\N	\N
287888	987	1998-11-09	PRIJEM	VKLAD	11774	58114	\N	\N	\N
287889	987	1998-12-09	PRIJEM	VKLAD	17661	52134	\N	\N	\N
287902	987	1997-01-10	VYDAJ	PREVOD NA UCET	3528	50580	SIPO	GH	1669747
287903	987	1997-02-10	VYDAJ	PREVOD NA UCET	3528	33466	SIPO	GH	1669747
287904	987	1997-03-10	VYDAJ	PREVOD NA UCET	3528	39924	SIPO	GH	1669747
287905	987	1997-04-10	VYDAJ	PREVOD NA UCET	3528	47911	SIPO	GH	1669747
287906	987	1997-05-10	VYDAJ	PREVOD NA UCET	3528	51127	SIPO	GH	1669747
287907	987	1997-06-10	VYDAJ	PREVOD NA UCET	3528	56415	SIPO	GH	1669747
287908	987	1997-07-10	VYDAJ	PREVOD NA UCET	3528	33808	SIPO	GH	1669747
287909	987	1997-08-10	VYDAJ	PREVOD NA UCET	3528	41053	SIPO	GH	1669747
287910	987	1997-09-10	VYDAJ	PREVOD NA UCET	3528	47148	SIPO	GH	1669747
287911	987	1997-10-10	VYDAJ	PREVOD NA UCET	3528	52862	SIPO	GH	1669747
287912	987	1997-11-10	VYDAJ	PREVOD NA UCET	3528	52292	SIPO	GH	1669747
287913	987	1997-12-10	VYDAJ	PREVOD NA UCET	3528	59407	SIPO	GH	1669747
287914	987	1998-01-10	VYDAJ	PREVOD NA UCET	3528	44409	SIPO	GH	1669747
287915	987	1998-02-10	VYDAJ	PREVOD NA UCET	3528	53104	SIPO	GH	1669747
287916	987	1998-03-10	VYDAJ	PREVOD NA UCET	3528	59642	SIPO	GH	1669747
287917	987	1998-04-10	VYDAJ	PREVOD NA UCET	3528	64105	SIPO	GH	1669747
287918	987	1998-05-10	VYDAJ	PREVOD NA UCET	3528	64078	SIPO	GH	1669747
287919	987	1998-06-10	VYDAJ	PREVOD NA UCET	3528	70439	SIPO	GH	1669747
287920	987	1998-07-10	VYDAJ	PREVOD NA UCET	3528	50078	SIPO	GH	1669747
287921	987	1998-08-10	VYDAJ	PREVOD NA UCET	3528	53038	SIPO	GH	1669747
287922	987	1998-09-10	VYDAJ	PREVOD NA UCET	3528	56770	SIPO	GH	1669747
287923	987	1998-10-10	VYDAJ	PREVOD NA UCET	3528	55850	SIPO	GH	1669747
287924	987	1998-11-10	VYDAJ	PREVOD NA UCET	3528	54586	SIPO	GH	1669747
287925	987	1998-12-10	VYDAJ	PREVOD NA UCET	3528	48606	SIPO	GH	1669747
287927	987	1997-06-21	VYDAJ	VYBER	36960	13695	\N	\N	\N
287928	987	1998-06-29	VYDAJ	VYBER	15840	41599	\N	\N	\N
287930	987	1997-01-17	VYDAJ	VYBER	11040	34140	\N	\N	\N
287931	987	1998-01-08	VYDAJ	VYBER	2080	36163	\N	\N	\N
287933	987	1997-12-30	VYDAJ	VYBER	4000	43807	\N	\N	\N
287934	987	1998-12-01	VYDAJ	VYBER	2560	45513	\N	\N	\N
287941	987	1997-01-09	VYDAJ	VYBER	720	54108	\N	\N	\N
287942	987	1997-01-17	VYDAJ	VYBER	1800	32340	\N	\N	\N
287943	987	1997-01-25	VYDAJ	VYBER	600	25800	\N	\N	\N
287944	987	1997-01-12	VYDAJ	VYBER	2760	47820	\N	\N	\N
287945	987	1997-01-14	VYDAJ	VYBER	2640	45180	\N	\N	\N
287946	987	1997-01-29	VYDAJ	VYBER	720	25080	\N	\N	\N
287947	987	1998-01-04	VYDAJ	VYBER	2400	39083	\N	\N	\N
287948	987	1998-01-17	VYDAJ	VYBER	600	43209	\N	\N	\N
287949	987	1998-01-27	VYDAJ	VYBER	2520	44689	\N	\N	\N
287950	987	1998-01-01	VYDAJ	VYBER	2520	41483	\N	\N	\N
287951	987	1998-01-05	VYDAJ	VYBER	840	38243	\N	\N	\N
287952	987	1998-01-15	VYDAJ	VYBER	600	43809	\N	\N	\N
287960	987	1997-06-21	VYDAJ	VYBER	5760	50655	\N	\N	\N
287961	987	1997-10-26	VYDAJ	VYBER	3600	43862	\N	\N	\N
287962	987	1997-01-21	VYDAJ	VYBER	5040	27300	\N	\N	\N
287963	987	1997-05-18	VYDAJ	VYBER	4320	46807	\N	\N	\N
287964	987	1997-08-04	VYDAJ	VYBER	3720	32807	\N	\N	\N
287965	987	1998-09-13	VYDAJ	VYBER	4440	52330	\N	\N	\N
287966	987	1998-10-01	VYDAJ	VYBER	1920	47604	\N	\N	\N
287967	987	1998-12-07	VYDAJ	VYBER	5880	34473	\N	\N	\N
287968	987	1998-07-23	VYDAJ	VYBER	960	44618	\N	\N	\N
287969	987	1998-12-02	VYDAJ	VYBER	5160	40353	\N	\N	\N
287983	987	1997-01-31	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
287984	987	1997-02-28	VYDAJ	VYBER	15	31678	SLUZBY	\N	\N
287985	987	1997-03-31	VYDAJ	VYBER	15	39665	SLUZBY	\N	\N
287986	987	1997-04-30	VYDAJ	VYBER	15	42881	SLUZBY	\N	\N
287987	987	1997-05-31	VYDAJ	VYBER	15	42282	SLUZBY	\N	\N
287988	987	1997-06-30	VYDAJ	VYBER	15	25562	SLUZBY	\N	\N
287989	987	1997-07-31	VYDAJ	VYBER	15	36527	SLUZBY	\N	\N
287990	987	1997-08-31	VYDAJ	VYBER	15	38902	SLUZBY	\N	\N
287991	987	1997-09-30	VYDAJ	VYBER	15	44616	SLUZBY	\N	\N
287992	987	1997-10-31	VYDAJ	VYBER	15	44046	SLUZBY	\N	\N
287993	987	1997-11-30	VYDAJ	VYBER	15	45274	SLUZBY	\N	\N
287994	987	1997-12-31	VYDAJ	VYBER	15	44003	SLUZBY	\N	\N
287995	987	1998-01-31	VYDAJ	VYBER	15	44858	SLUZBY	\N	\N
287996	987	1998-02-28	VYDAJ	VYBER	15	51396	SLUZBY	\N	\N
287997	987	1998-03-31	VYDAJ	VYBER	15	55859	SLUZBY	\N	\N
287998	987	1998-04-30	VYDAJ	VYBER	15	55832	SLUZBY	\N	\N
287999	987	1998-05-31	VYDAJ	VYBER	15	56306	SLUZBY	\N	\N
288000	987	1998-06-30	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
288001	987	1998-07-31	VYDAJ	VYBER	15	44792	SLUZBY	\N	\N
288002	987	1998-08-31	VYDAJ	VYBER	15	48524	SLUZBY	\N	\N
288003	987	1998-09-30	VYDAJ	VYBER	15	49524	SLUZBY	\N	\N
288004	987	1998-10-31	VYDAJ	VYBER	15	46340	SLUZBY	\N	\N
288005	987	1998-11-30	VYDAJ	VYBER	15	48073	SLUZBY	\N	\N
288006	987	1996-09-26	PRIJEM	VKLAD	5500	18374	\N	\N	\N
288007	987	1996-10-26	VYDAJ	VYBER	1800	28361	\N	\N	\N
288008	987	1996-11-25	VYDAJ	VYBER	6000	34219	\N	\N	\N
288009	987	1996-12-25	VYDAJ	VYBER	9100	42903	\N	\N	\N
288010	987	1997-01-24	VYDAJ	VYBER	900	26400	\N	\N	\N
288011	987	1997-02-23	VYDAJ	VYBER	1900	31566	\N	\N	\N
288012	987	1997-03-25	VYDAJ	VYBER	400	39524	\N	\N	\N
288013	987	1997-04-24	VYDAJ	VYBER	5200	42711	\N	\N	\N
288014	987	1997-05-24	VYDAJ	VYBER	4700	42107	\N	\N	\N
288015	987	1997-06-23	PRIJEM	VKLAD	11700	25395	\N	\N	\N
288016	987	1997-07-23	PRIJEM	VKLAD	2600	36408	\N	\N	\N
288017	987	1997-08-22	VYDAJ	VYBER	2300	38753	\N	\N	\N
288018	987	1997-09-21	VYDAJ	VYBER	2700	44448	\N	\N	\N
288019	987	1997-10-21	VYDAJ	VYBER	5400	47462	\N	\N	\N
288020	987	1997-11-20	VYDAJ	VYBER	7200	45092	\N	\N	\N
288021	987	1997-12-20	VYDAJ	VYBER	11600	47807	\N	\N	\N
288022	987	1998-01-19	PRIJEM	VKLAD	4000	47209	\N	\N	\N
288023	987	1998-02-18	VYDAJ	VYBER	1900	51204	\N	\N	\N
288024	987	1998-03-20	VYDAJ	VYBER	4000	55642	\N	\N	\N
288025	987	1998-04-19	VYDAJ	VYBER	8500	55605	\N	\N	\N
288026	987	1998-05-19	VYDAJ	VYBER	8000	56078	\N	\N	\N
288027	987	1998-06-18	VYDAJ	VYBER	13000	57439	\N	\N	\N
288028	987	1998-07-18	VYDAJ	VYBER	4500	45578	\N	\N	\N
288029	987	1998-08-17	VYDAJ	VYBER	4700	48338	\N	\N	\N
288030	987	1998-09-16	VYDAJ	VYBER	3000	49330	\N	\N	\N
288031	987	1998-10-16	VYDAJ	VYBER	9700	46150	\N	\N	\N
288032	987	1998-11-15	VYDAJ	VYBER	6700	47886	\N	\N	\N
288061	988	1994-10-22	PRIJEM	VKLAD	400	400	\N	\N	\N
288072	988	1994-11-14	PRIJEM	PREVOD Z UCTU	6832	7232	DUCHOD	CD	86735617
288073	988	1994-12-14	PRIJEM	PREVOD Z UCTU	6832	14064	DUCHOD	CD	86735617
288074	988	1995-01-14	PRIJEM	PREVOD Z UCTU	6832	20896	DUCHOD	CD	86735617
288075	988	1995-02-14	PRIJEM	PREVOD Z UCTU	6832	27728	DUCHOD	CD	86735617
288076	988	1995-03-14	PRIJEM	PREVOD Z UCTU	6832	31697	DUCHOD	CD	86735617
288077	988	1995-04-14	PRIJEM	PREVOD Z UCTU	6832	33275	DUCHOD	CD	86735617
288078	988	1995-05-14	PRIJEM	PREVOD Z UCTU	6832	30703	DUCHOD	CD	86735617
288079	988	1995-06-14	PRIJEM	PREVOD Z UCTU	6832	31727	DUCHOD	CD	86735617
288080	988	1995-07-14	PRIJEM	PREVOD Z UCTU	6832	33452	DUCHOD	CD	86735617
288081	988	1995-08-14	PRIJEM	PREVOD Z UCTU	6832	32880	DUCHOD	CD	86735617
288082	988	1995-09-14	PRIJEM	PREVOD Z UCTU	6832	35211	DUCHOD	CD	86735617
288083	988	1995-10-14	PRIJEM	PREVOD Z UCTU	6832	36149	DUCHOD	CD	86735617
288084	988	1995-11-14	PRIJEM	PREVOD Z UCTU	6832	33009	DUCHOD	CD	86735617
288085	988	1995-12-14	PRIJEM	PREVOD Z UCTU	6832	36348	DUCHOD	CD	86735617
288086	988	1996-01-14	PRIJEM	PREVOD Z UCTU	6832	29863	DUCHOD	CD	86735617
288087	988	1996-02-14	PRIJEM	PREVOD Z UCTU	6832	30364	DUCHOD	CD	86735617
288088	988	1996-03-14	PRIJEM	PREVOD Z UCTU	6832	34788	DUCHOD	CD	86735617
288089	988	1996-04-14	PRIJEM	PREVOD Z UCTU	6832	36023	DUCHOD	CD	86735617
288090	988	1996-05-14	PRIJEM	PREVOD Z UCTU	6832	39368	DUCHOD	CD	86735617
288091	988	1996-06-14	PRIJEM	PREVOD Z UCTU	6832	32685	DUCHOD	CD	86735617
288092	988	1996-07-14	PRIJEM	PREVOD Z UCTU	6832	36159	DUCHOD	CD	86735617
288093	988	1996-08-14	PRIJEM	PREVOD Z UCTU	6832	35225	DUCHOD	CD	86735617
288094	988	1996-09-14	PRIJEM	PREVOD Z UCTU	6832	33232	DUCHOD	CD	86735617
288095	988	1996-10-14	PRIJEM	PREVOD Z UCTU	6832	37377	DUCHOD	CD	86735617
288096	988	1996-11-14	PRIJEM	PREVOD Z UCTU	6832	34830	DUCHOD	CD	86735617
288097	988	1996-12-14	PRIJEM	PREVOD Z UCTU	6832	32184	DUCHOD	CD	86735617
288098	988	1997-01-14	PRIJEM	PREVOD Z UCTU	6832	29945	DUCHOD	CD	86735617
288099	988	1997-02-14	PRIJEM	PREVOD Z UCTU	6832	23484	DUCHOD	CD	86735617
288100	988	1997-03-14	PRIJEM	PREVOD Z UCTU	6832	27880	DUCHOD	CD	86735617
288101	988	1997-04-14	PRIJEM	PREVOD Z UCTU	6832	28093	DUCHOD	CD	86735617
288102	988	1997-05-14	PRIJEM	PREVOD Z UCTU	6832	31814	DUCHOD	CD	86735617
288103	988	1997-06-14	PRIJEM	PREVOD Z UCTU	6832	34244	DUCHOD	CD	86735617
288104	988	1997-07-14	PRIJEM	PREVOD Z UCTU	6832	36487	DUCHOD	CD	86735617
288105	988	1997-08-14	PRIJEM	PREVOD Z UCTU	6832	36159	DUCHOD	CD	86735617
288106	988	1997-09-14	PRIJEM	PREVOD Z UCTU	6832	35574	DUCHOD	CD	86735617
288107	988	1997-10-14	PRIJEM	PREVOD Z UCTU	6832	39825	DUCHOD	CD	86735617
288108	988	1997-11-14	PRIJEM	PREVOD Z UCTU	6832	41723	DUCHOD	CD	86735617
288109	988	1997-12-14	PRIJEM	PREVOD Z UCTU	6832	42394	DUCHOD	CD	86735617
288110	988	1998-01-14	PRIJEM	PREVOD Z UCTU	6832	40113	DUCHOD	CD	86735617
288111	988	1998-02-14	PRIJEM	PREVOD Z UCTU	6832	38574	DUCHOD	CD	86735617
288112	988	1998-03-14	PRIJEM	PREVOD Z UCTU	6832	41230	DUCHOD	CD	86735617
288113	988	1998-04-14	PRIJEM	PREVOD Z UCTU	6832	44101	DUCHOD	CD	86735617
288114	988	1998-05-14	PRIJEM	PREVOD Z UCTU	6832	45380	DUCHOD	CD	86735617
288115	988	1998-06-14	PRIJEM	PREVOD Z UCTU	6832	45565	DUCHOD	CD	86735617
288116	988	1998-07-14	PRIJEM	PREVOD Z UCTU	6832	50058	DUCHOD	CD	86735617
288117	988	1998-08-14	PRIJEM	PREVOD Z UCTU	6832	48063	DUCHOD	CD	86735617
288118	988	1998-09-14	PRIJEM	PREVOD Z UCTU	6832	44169	DUCHOD	CD	86735617
288119	988	1998-10-14	PRIJEM	PREVOD Z UCTU	6832	40363	DUCHOD	CD	86735617
288120	988	1998-11-14	PRIJEM	PREVOD Z UCTU	6832	38480	DUCHOD	CD	86735617
288121	988	1998-12-14	PRIJEM	PREVOD Z UCTU	6832	33544	DUCHOD	CD	86735617
288137	988	1995-04-13	VYDAJ	PREVOD NA UCET	2512	26443	SIPO	UV	82773095
288138	988	1995-05-13	VYDAJ	PREVOD NA UCET	2512	23871	SIPO	UV	82773095
288139	988	1995-06-13	VYDAJ	PREVOD NA UCET	2512	24895	SIPO	UV	82773095
288140	988	1995-07-13	VYDAJ	PREVOD NA UCET	2512	26620	SIPO	UV	82773095
288141	988	1995-08-13	VYDAJ	PREVOD NA UCET	2512	26048	SIPO	UV	82773095
288142	988	1995-09-13	VYDAJ	PREVOD NA UCET	2512	28379	SIPO	UV	82773095
288143	988	1995-10-13	VYDAJ	PREVOD NA UCET	2512	29317	SIPO	UV	82773095
288144	988	1995-11-13	VYDAJ	PREVOD NA UCET	2512	26177	SIPO	UV	82773095
288145	988	1995-12-13	VYDAJ	PREVOD NA UCET	2512	29516	SIPO	UV	82773095
288146	988	1996-01-13	VYDAJ	PREVOD NA UCET	2512	24791	SIPO	UV	82773095
288147	988	1996-02-13	VYDAJ	PREVOD NA UCET	2512	23532	SIPO	UV	82773095
288148	988	1996-03-13	VYDAJ	PREVOD NA UCET	2512	27956	SIPO	UV	82773095
288149	988	1996-04-13	VYDAJ	PREVOD NA UCET	2512	29191	SIPO	UV	82773095
288150	988	1996-05-13	VYDAJ	PREVOD NA UCET	2512	32536	SIPO	UV	82773095
288151	988	1996-06-13	VYDAJ	PREVOD NA UCET	2512	25853	SIPO	UV	82773095
288152	988	1996-07-13	VYDAJ	PREVOD NA UCET	2512	29327	SIPO	UV	82773095
288153	988	1996-08-13	VYDAJ	PREVOD NA UCET	2512	28393	SIPO	UV	82773095
288154	988	1996-09-13	VYDAJ	PREVOD NA UCET	2512	26400	SIPO	UV	82773095
288155	988	1996-10-13	VYDAJ	PREVOD NA UCET	2512	30545	SIPO	UV	82773095
288156	988	1996-11-13	VYDAJ	PREVOD NA UCET	2512	27998	SIPO	UV	82773095
288157	988	1996-12-13	VYDAJ	PREVOD NA UCET	2512	25352	SIPO	UV	82773095
288158	988	1997-01-13	VYDAJ	PREVOD NA UCET	2512	23113	SIPO	UV	82773095
288159	988	1997-02-13	VYDAJ	PREVOD NA UCET	2512	16652	SIPO	UV	82773095
288160	988	1997-03-13	VYDAJ	PREVOD NA UCET	2512	21048	SIPO	UV	82773095
288161	988	1997-04-13	VYDAJ	PREVOD NA UCET	2512	21261	SIPO	UV	82773095
288162	988	1997-05-13	VYDAJ	PREVOD NA UCET	2512	24982	SIPO	UV	82773095
288163	988	1997-06-13	VYDAJ	PREVOD NA UCET	2512	27412	SIPO	UV	82773095
288164	988	1997-07-13	VYDAJ	PREVOD NA UCET	2512	29655	SIPO	UV	82773095
288165	988	1997-08-13	VYDAJ	PREVOD NA UCET	2512	29327	SIPO	UV	82773095
288166	988	1997-09-13	VYDAJ	PREVOD NA UCET	2512	28742	SIPO	UV	82773095
288167	988	1997-10-13	VYDAJ	PREVOD NA UCET	2512	32993	SIPO	UV	82773095
288168	988	1997-11-13	VYDAJ	PREVOD NA UCET	2512	34891	SIPO	UV	82773095
288169	988	1997-12-13	VYDAJ	PREVOD NA UCET	2512	35562	SIPO	UV	82773095
288170	988	1998-01-13	VYDAJ	PREVOD NA UCET	2512	33281	SIPO	UV	82773095
288171	988	1998-02-13	VYDAJ	PREVOD NA UCET	2512	31742	SIPO	UV	82773095
288172	988	1998-03-13	VYDAJ	PREVOD NA UCET	2512	34398	SIPO	UV	82773095
288173	988	1998-04-13	VYDAJ	PREVOD NA UCET	2512	37269	SIPO	UV	82773095
288174	988	1998-05-13	VYDAJ	PREVOD NA UCET	2512	38548	SIPO	UV	82773095
288175	988	1998-06-13	VYDAJ	PREVOD NA UCET	2512	38733	SIPO	UV	82773095
288176	988	1998-07-13	VYDAJ	PREVOD NA UCET	2512	43226	SIPO	UV	82773095
288177	988	1998-08-13	VYDAJ	PREVOD NA UCET	2512	41231	SIPO	UV	82773095
288178	988	1998-09-13	VYDAJ	PREVOD NA UCET	2512	37337	SIPO	UV	82773095
288179	988	1998-10-13	VYDAJ	PREVOD NA UCET	2512	33531	SIPO	UV	82773095
288180	988	1998-11-13	VYDAJ	PREVOD NA UCET	2512	31648	SIPO	UV	82773095
288181	988	1998-12-13	VYDAJ	PREVOD NA UCET	2512	26712	SIPO	UV	82773095
288194	988	1996-01-20	VYDAJ	VYBER	800	25943	\N	\N	\N
288195	988	1996-01-15	VYDAJ	VYBER	1120	28743	\N	\N	\N
288196	988	1996-01-18	VYDAJ	VYBER	2000	26743	\N	\N	\N
288197	988	1996-01-08	VYDAJ	VYBER	2160	27303	\N	\N	\N
288198	988	1996-01-13	VYDAJ	VYBER	1760	23031	\N	\N	\N
288199	988	1996-01-08	VYDAJ	VYBER	400	29463	\N	\N	\N
288200	988	1997-01-30	VYDAJ	VYBER	2080	20985	\N	\N	\N
288201	988	1997-01-09	VYDAJ	VYBER	1360	29025	\N	\N	\N
288202	988	1997-01-07	VYDAJ	VYBER	1280	30385	\N	\N	\N
288203	988	1997-01-15	VYDAJ	VYBER	400	26025	\N	\N	\N
288204	988	1997-01-30	VYDAJ	VYBER	480	23065	\N	\N	\N
288205	988	1997-01-22	VYDAJ	VYBER	800	25225	\N	\N	\N
288206	988	1998-01-08	VYDAJ	VYBER	2160	35793	\N	\N	\N
288207	988	1998-01-15	VYDAJ	VYBER	1120	37473	\N	\N	\N
288208	988	1998-01-24	VYDAJ	VYBER	800	35953	\N	\N	\N
288209	988	1998-01-30	VYDAJ	VYBER	1840	34113	\N	\N	\N
288210	988	1998-01-16	VYDAJ	VYBER	720	36753	\N	\N	\N
288211	988	1998-01-15	VYDAJ	VYBER	1520	38593	\N	\N	\N
288216	988	1995-11-06	VYDAJ	VYBER	3680	28689	\N	\N	\N
288217	988	1995-03-21	VYDAJ	VYBER	640	31057	\N	\N	\N
288218	988	1995-05-07	VYDAJ	VYBER	2000	26383	\N	\N	\N
288219	988	1996-09-11	VYDAJ	VYBER	1840	28912	\N	\N	\N
288220	988	1996-12-15	VYDAJ	VYBER	640	31544	\N	\N	\N
288221	988	1996-07-25	VYDAJ	VYBER	3280	32879	\N	\N	\N
288222	988	1996-05-15	VYDAJ	VYBER	2640	31528	\N	\N	\N
288223	988	1996-05-17	VYDAJ	VYBER	3280	28248	\N	\N	\N
288224	988	1996-07-05	VYDAJ	VYBER	960	31839	\N	\N	\N
288225	988	1997-08-13	VYDAJ	VYBER	3280	31839	\N	\N	\N
288226	988	1997-02-09	VYDAJ	VYBER	480	19164	\N	\N	\N
288227	988	1997-10-20	VYDAJ	VYBER	2560	37265	\N	\N	\N
288228	988	1997-09-09	VYDAJ	VYBER	2640	31254	\N	\N	\N
288229	988	1997-01-22	VYDAJ	VYBER	1680	23545	\N	\N	\N
288230	988	1997-01-14	VYDAJ	VYBER	3520	26425	\N	\N	\N
288231	988	1997-02-06	VYDAJ	VYBER	1440	19644	\N	\N	\N
288232	988	1998-04-24	VYDAJ	VYBER	3200	40901	\N	\N	\N
288233	988	1998-11-27	VYDAJ	VYBER	1200	37280	\N	\N	\N
288234	988	1998-11-06	VYDAJ	VYBER	1760	34160	\N	\N	\N
288235	988	1998-12-29	VYDAJ	VYBER	480	33064	\N	\N	\N
288251	988	1995-03-31	VYDAJ	VYBER	15	28955	SLUZBY	\N	\N
288252	988	1995-04-30	VYDAJ	VYBER	15	28383	SLUZBY	\N	\N
288253	988	1995-05-31	VYDAJ	VYBER	15	27407	SLUZBY	\N	\N
288254	988	1995-06-30	VYDAJ	VYBER	15	29132	SLUZBY	\N	\N
288255	988	1995-07-31	VYDAJ	VYBER	15	28560	SLUZBY	\N	\N
288256	988	1995-08-31	VYDAJ	VYBER	15	30891	SLUZBY	\N	\N
288257	988	1995-09-30	VYDAJ	VYBER	15	31829	SLUZBY	\N	\N
288258	988	1995-10-31	VYDAJ	VYBER	15	32369	SLUZBY	\N	\N
288259	988	1995-11-30	VYDAJ	VYBER	15	32028	SLUZBY	\N	\N
288260	988	1995-12-31	VYDAJ	VYBER	15	29863	SLUZBY	\N	\N
288261	988	1996-01-31	VYDAJ	VYBER	15	26044	SLUZBY	\N	\N
288262	988	1996-02-29	VYDAJ	VYBER	15	30468	SLUZBY	\N	\N
288263	988	1996-03-31	VYDAJ	VYBER	15	31703	SLUZBY	\N	\N
288264	988	1996-04-30	VYDAJ	VYBER	15	35048	SLUZBY	\N	\N
288265	988	1996-05-31	VYDAJ	VYBER	15	28365	SLUZBY	\N	\N
288266	988	1996-06-30	VYDAJ	VYBER	15	32799	SLUZBY	\N	\N
288267	988	1996-07-31	VYDAJ	VYBER	15	33005	SLUZBY	\N	\N
288268	988	1996-08-31	VYDAJ	VYBER	15	35352	SLUZBY	\N	\N
288269	988	1996-09-30	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
288270	988	1996-10-31	VYDAJ	VYBER	15	37510	SLUZBY	\N	\N
288271	988	1996-11-30	VYDAJ	VYBER	15	34964	SLUZBY	\N	\N
288272	988	1996-12-31	VYDAJ	VYBER	15	31665	SLUZBY	\N	\N
288273	988	1997-01-31	VYDAJ	VYBER	15	21084	SLUZBY	\N	\N
288274	988	1997-02-28	VYDAJ	VYBER	15	23560	SLUZBY	\N	\N
288275	988	1997-03-31	VYDAJ	VYBER	15	27973	SLUZBY	\N	\N
288276	988	1997-04-30	VYDAJ	VYBER	15	28194	SLUZBY	\N	\N
288277	988	1997-05-31	VYDAJ	VYBER	15	31924	SLUZBY	\N	\N
288278	988	1997-06-30	VYDAJ	VYBER	15	34367	SLUZBY	\N	\N
288279	988	1997-07-31	VYDAJ	VYBER	15	36619	SLUZBY	\N	\N
288280	988	1997-08-31	VYDAJ	VYBER	15	36294	SLUZBY	\N	\N
288281	988	1997-09-30	VYDAJ	VYBER	15	35705	SLUZBY	\N	\N
288282	988	1997-10-31	VYDAJ	VYBER	15	37403	SLUZBY	\N	\N
288283	988	1997-11-30	VYDAJ	VYBER	15	41874	SLUZBY	\N	\N
288284	988	1997-12-31	VYDAJ	VYBER	15	42553	SLUZBY	\N	\N
288285	988	1998-01-31	VYDAJ	VYBER	15	34254	SLUZBY	\N	\N
288286	988	1998-02-28	VYDAJ	VYBER	15	38710	SLUZBY	\N	\N
288287	988	1998-03-31	VYDAJ	VYBER	15	41381	SLUZBY	\N	\N
288288	988	1998-04-30	VYDAJ	VYBER	15	41060	SLUZBY	\N	\N
288289	988	1998-05-31	VYDAJ	VYBER	15	45545	SLUZBY	\N	\N
288290	988	1998-06-30	VYDAJ	VYBER	15	45738	SLUZBY	\N	\N
288291	988	1998-07-31	VYDAJ	VYBER	15	50243	SLUZBY	\N	\N
288292	988	1998-08-31	VYDAJ	VYBER	15	48249	SLUZBY	\N	\N
288293	988	1998-09-30	VYDAJ	VYBER	15	44343	SLUZBY	\N	\N
288294	988	1998-10-31	VYDAJ	VYBER	15	40520	SLUZBY	\N	\N
288295	988	1998-11-30	VYDAJ	VYBER	15	37424	SLUZBY	\N	\N
288296	988	1995-02-19	VYDAJ	VYBER	2900	24828	\N	\N	\N
288297	988	1995-03-21	VYDAJ	VYBER	2200	28857	\N	\N	\N
288298	988	1995-04-20	VYDAJ	VYBER	5000	28275	\N	\N	\N
288299	988	1995-05-20	VYDAJ	VYBER	3400	27303	\N	\N	\N
288300	988	1995-06-19	VYDAJ	VYBER	2700	29027	\N	\N	\N
288301	988	1995-07-19	VYDAJ	VYBER	5000	28452	\N	\N	\N
288302	988	1995-08-18	VYDAJ	VYBER	2100	30780	\N	\N	\N
288303	988	1995-09-17	VYDAJ	VYBER	3500	31711	\N	\N	\N
288304	988	1995-10-17	VYDAJ	VYBER	3900	32249	\N	\N	\N
288305	988	1995-11-16	VYDAJ	VYBER	1100	31909	\N	\N	\N
288306	988	1995-12-16	VYDAJ	VYBER	6600	29748	\N	\N	\N
288307	988	1996-03-15	VYDAJ	VYBER	3200	31588	\N	\N	\N
288308	988	1996-04-14	VYDAJ	VYBER	1100	34923	\N	\N	\N
288309	988	1996-05-14	VYDAJ	VYBER	5200	34168	\N	\N	\N
288310	988	1996-08-12	VYDAJ	VYBER	2100	30905	\N	\N	\N
288311	988	1996-09-11	VYDAJ	VYBER	4600	30752	\N	\N	\N
288312	988	1996-10-11	VYDAJ	VYBER	300	33057	\N	\N	\N
288313	988	1996-11-10	VYDAJ	VYBER	7000	30510	\N	\N	\N
288314	988	1996-12-10	VYDAJ	VYBER	7100	27864	\N	\N	\N
288315	988	1997-01-09	VYDAJ	VYBER	3400	25625	\N	\N	\N
288316	988	1997-04-09	VYDAJ	VYBER	4200	23773	\N	\N	\N
288317	988	1997-05-09	VYDAJ	VYBER	700	27494	\N	\N	\N
288318	988	1997-06-08	VYDAJ	VYBER	2000	29924	\N	\N	\N
288319	988	1997-07-08	VYDAJ	VYBER	2200	32167	\N	\N	\N
288320	988	1997-08-07	VYDAJ	VYBER	1500	35119	\N	\N	\N
288321	988	1997-09-06	VYDAJ	VYBER	2400	33894	\N	\N	\N
288322	988	1997-10-06	VYDAJ	VYBER	200	35505	\N	\N	\N
288323	988	1997-12-05	VYDAJ	VYBER	3800	38074	\N	\N	\N
288324	988	1998-01-04	VYDAJ	VYBER	4600	37953	\N	\N	\N
288325	988	1998-03-05	VYDAJ	VYBER	1800	36910	\N	\N	\N
288326	988	1998-04-04	VYDAJ	VYBER	1600	39781	\N	\N	\N
288327	988	1998-06-03	VYDAJ	VYBER	4300	41245	\N	\N	\N
288328	988	1998-08-02	VYDAJ	VYBER	6500	43743	\N	\N	\N
288329	988	1998-09-01	VYDAJ	VYBER	8400	39849	\N	\N	\N
288330	988	1998-10-01	VYDAJ	VYBER	8300	36043	\N	\N	\N
288331	988	1998-10-31	VYDAJ	VYBER	4600	35920	\N	\N	\N
288332	988	1998-11-30	VYDAJ	VYBER	8200	29224	\N	\N	\N
288380	989	1994-03-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
288384	989	1994-04-08	PRIJEM	PREVOD Z UCTU	5114	6114	DUCHOD	YZ	56426167
288385	989	1994-05-08	PRIJEM	PREVOD Z UCTU	5114	11228	DUCHOD	YZ	56426167
288386	989	1994-06-08	PRIJEM	PREVOD Z UCTU	5114	16342	DUCHOD	YZ	56426167
288387	989	1994-07-08	PRIJEM	PREVOD Z UCTU	5114	21456	DUCHOD	YZ	56426167
288388	989	1994-08-08	PRIJEM	PREVOD Z UCTU	5114	26570	DUCHOD	YZ	56426167
288389	989	1994-09-08	PRIJEM	PREVOD Z UCTU	5114	27431	DUCHOD	YZ	56426167
288390	989	1994-10-08	PRIJEM	PREVOD Z UCTU	5114	28820	DUCHOD	YZ	56426167
288391	989	1994-11-08	PRIJEM	PREVOD Z UCTU	5114	29011	DUCHOD	YZ	56426167
288392	989	1994-12-08	PRIJEM	PREVOD Z UCTU	5114	28202	DUCHOD	YZ	56426167
288393	989	1995-01-08	PRIJEM	PREVOD Z UCTU	5114	23809	DUCHOD	YZ	56426167
288394	989	1995-02-08	PRIJEM	PREVOD Z UCTU	5114	18995	DUCHOD	YZ	56426167
288395	989	1995-03-08	PRIJEM	PREVOD Z UCTU	5114	19549	DUCHOD	YZ	56426167
288396	989	1995-04-08	PRIJEM	PREVOD Z UCTU	5114	17541	DUCHOD	YZ	56426167
288397	989	1995-05-08	PRIJEM	PREVOD Z UCTU	5114	19290	DUCHOD	YZ	56426167
288398	989	1995-06-08	PRIJEM	PREVOD Z UCTU	5114	20246	DUCHOD	YZ	56426167
288399	989	1995-07-08	PRIJEM	PREVOD Z UCTU	5114	19685	DUCHOD	YZ	56426167
288400	989	1995-08-08	PRIJEM	PREVOD Z UCTU	5114	21443	DUCHOD	YZ	56426167
288401	989	1995-09-08	PRIJEM	PREVOD Z UCTU	5114	22308	DUCHOD	YZ	56426167
288402	989	1995-10-08	PRIJEM	PREVOD Z UCTU	5114	22978	DUCHOD	YZ	56426167
288403	989	1995-11-08	PRIJEM	PREVOD Z UCTU	5114	22651	DUCHOD	YZ	56426167
288404	989	1995-12-08	PRIJEM	PREVOD Z UCTU	5114	22284	DUCHOD	YZ	56426167
288405	989	1996-01-08	PRIJEM	PREVOD Z UCTU	5114	19254	DUCHOD	YZ	56426167
288406	989	1996-02-08	PRIJEM	PREVOD Z UCTU	5114	17650	DUCHOD	YZ	56426167
288407	989	1996-03-08	PRIJEM	PREVOD Z UCTU	5114	17399	DUCHOD	YZ	56426167
288408	989	1996-04-08	PRIJEM	PREVOD Z UCTU	5114	19149	DUCHOD	YZ	56426167
288409	989	1996-05-08	PRIJEM	PREVOD Z UCTU	5114	17305	DUCHOD	YZ	56426167
288410	989	1996-06-08	PRIJEM	PREVOD Z UCTU	5114	17356	DUCHOD	YZ	56426167
288411	989	1996-07-08	PRIJEM	PREVOD Z UCTU	5114	17807	DUCHOD	YZ	56426167
288412	989	1996-08-08	PRIJEM	PREVOD Z UCTU	5114	19558	DUCHOD	YZ	56426167
288413	989	1996-09-08	PRIJEM	PREVOD Z UCTU	5114	21215	DUCHOD	YZ	56426167
288414	989	1996-10-08	PRIJEM	PREVOD Z UCTU	5114	21518	DUCHOD	YZ	56426167
288415	989	1996-11-08	PRIJEM	PREVOD Z UCTU	5114	21682	DUCHOD	YZ	56426167
288416	989	1996-12-08	PRIJEM	PREVOD Z UCTU	5114	21203	DUCHOD	YZ	56426167
288417	989	1997-01-08	PRIJEM	PREVOD Z UCTU	5114	18804	DUCHOD	YZ	56426167
288418	989	1997-02-08	PRIJEM	PREVOD Z UCTU	5114	19118	DUCHOD	YZ	56426167
288419	989	1997-03-08	PRIJEM	PREVOD Z UCTU	5114	20873	DUCHOD	YZ	56426167
288420	989	1997-04-08	PRIJEM	PREVOD Z UCTU	5114	19186	DUCHOD	YZ	56426167
288421	989	1997-05-08	PRIJEM	PREVOD Z UCTU	5114	20941	DUCHOD	YZ	56426167
288422	989	1997-06-08	PRIJEM	PREVOD Z UCTU	5114	22704	DUCHOD	YZ	56426167
288423	989	1997-07-08	PRIJEM	PREVOD Z UCTU	5114	20714	DUCHOD	YZ	56426167
288424	989	1997-08-08	PRIJEM	PREVOD Z UCTU	5114	21433	DUCHOD	YZ	56426167
288425	989	1997-09-08	PRIJEM	PREVOD Z UCTU	5114	23198	DUCHOD	YZ	56426167
288426	989	1997-10-08	PRIJEM	PREVOD Z UCTU	5114	23209	DUCHOD	YZ	56426167
288427	989	1997-11-08	PRIJEM	PREVOD Z UCTU	5114	24983	DUCHOD	YZ	56426167
288428	989	1997-12-08	PRIJEM	PREVOD Z UCTU	5114	26762	DUCHOD	YZ	56426167
288429	989	1998-01-08	PRIJEM	PREVOD Z UCTU	5114	25028	DUCHOD	YZ	56426167
288430	989	1998-02-08	PRIJEM	PREVOD Z UCTU	5114	23203	DUCHOD	YZ	56426167
288431	989	1998-03-08	PRIJEM	PREVOD Z UCTU	5114	24974	DUCHOD	YZ	56426167
288432	989	1998-04-08	PRIJEM	PREVOD Z UCTU	5114	23749	DUCHOD	YZ	56426167
288433	989	1998-05-08	PRIJEM	PREVOD Z UCTU	5114	25523	DUCHOD	YZ	56426167
288434	989	1998-06-08	PRIJEM	PREVOD Z UCTU	5114	27304	DUCHOD	YZ	56426167
288435	989	1998-07-08	PRIJEM	PREVOD Z UCTU	5114	27089	DUCHOD	YZ	56426167
288436	989	1998-08-08	PRIJEM	PREVOD Z UCTU	5114	27375	DUCHOD	YZ	56426167
288437	989	1998-09-08	PRIJEM	PREVOD Z UCTU	5114	25879	DUCHOD	YZ	56426167
288438	989	1998-10-08	PRIJEM	PREVOD Z UCTU	5114	24374	DUCHOD	YZ	56426167
288439	989	1998-11-08	PRIJEM	PREVOD Z UCTU	5114	23109	DUCHOD	YZ	56426167
288440	989	1998-12-08	PRIJEM	PREVOD Z UCTU	5114	21474	DUCHOD	YZ	56426167
288448	989	1994-08-14	VYDAJ	PREVOD NA UCET	2262	22261	SIPO	CD	77140342
288449	989	1994-09-14	VYDAJ	PREVOD NA UCET	2262	23622	SIPO	CD	77140342
288450	989	1994-10-14	VYDAJ	PREVOD NA UCET	2262	23811	SIPO	CD	77140342
288451	989	1994-11-14	VYDAJ	PREVOD NA UCET	2262	23002	SIPO	CD	77140342
288452	989	1994-12-14	VYDAJ	PREVOD NA UCET	2262	22593	SIPO	CD	77140342
288453	989	1995-01-14	VYDAJ	PREVOD NA UCET	2262	19500	SIPO	CD	77140342
288454	989	1995-02-14	VYDAJ	PREVOD NA UCET	2262	15586	SIPO	CD	77140342
288455	989	1995-03-14	VYDAJ	PREVOD NA UCET	2262	16140	SIPO	CD	77140342
288456	989	1995-04-14	VYDAJ	PREVOD NA UCET	2262	14132	SIPO	CD	77140342
288457	989	1995-05-14	VYDAJ	PREVOD NA UCET	2262	15881	SIPO	CD	77140342
288458	989	1995-06-14	VYDAJ	PREVOD NA UCET	2262	16837	SIPO	CD	77140342
288459	989	1995-07-14	VYDAJ	PREVOD NA UCET	2262	16276	SIPO	CD	77140342
288460	989	1995-08-14	VYDAJ	PREVOD NA UCET	2262	18034	SIPO	CD	77140342
288461	989	1995-09-14	VYDAJ	PREVOD NA UCET	2262	18899	SIPO	CD	77140342
288462	989	1995-10-14	VYDAJ	PREVOD NA UCET	2262	19569	SIPO	CD	77140342
288463	989	1995-11-14	VYDAJ	PREVOD NA UCET	2262	19242	SIPO	CD	77140342
288464	989	1995-12-14	VYDAJ	PREVOD NA UCET	2262	18875	SIPO	CD	77140342
288465	989	1996-01-14	VYDAJ	PREVOD NA UCET	2262	12485	SIPO	CD	77140342
288466	989	1996-02-14	VYDAJ	PREVOD NA UCET	2262	14241	SIPO	CD	77140342
288467	989	1996-03-14	VYDAJ	PREVOD NA UCET	2262	13990	SIPO	CD	77140342
288468	989	1996-04-14	VYDAJ	PREVOD NA UCET	2262	15740	SIPO	CD	77140342
288469	989	1996-05-14	VYDAJ	PREVOD NA UCET	2262	13896	SIPO	CD	77140342
288470	989	1996-06-14	VYDAJ	PREVOD NA UCET	2262	13947	SIPO	CD	77140342
288471	989	1996-07-14	VYDAJ	PREVOD NA UCET	2262	14398	SIPO	CD	77140342
288472	989	1996-08-14	VYDAJ	PREVOD NA UCET	2262	16149	SIPO	CD	77140342
288473	989	1996-09-14	VYDAJ	PREVOD NA UCET	2262	17806	SIPO	CD	77140342
288474	989	1996-10-14	VYDAJ	PREVOD NA UCET	2262	18109	SIPO	CD	77140342
288475	989	1996-11-14	VYDAJ	PREVOD NA UCET	2262	18273	SIPO	CD	77140342
288476	989	1996-12-14	VYDAJ	PREVOD NA UCET	2262	17794	SIPO	CD	77140342
288477	989	1997-01-14	VYDAJ	PREVOD NA UCET	2262	15395	SIPO	CD	77140342
288478	989	1997-02-14	VYDAJ	PREVOD NA UCET	2262	15709	SIPO	CD	77140342
288479	989	1997-03-14	VYDAJ	PREVOD NA UCET	2262	14024	SIPO	CD	77140342
288480	989	1997-04-14	VYDAJ	PREVOD NA UCET	2262	15777	SIPO	CD	77140342
288481	989	1997-05-14	VYDAJ	PREVOD NA UCET	2262	17532	SIPO	CD	77140342
288482	989	1997-06-14	VYDAJ	PREVOD NA UCET	2262	15545	SIPO	CD	77140342
288483	989	1997-07-14	VYDAJ	PREVOD NA UCET	2262	17305	SIPO	CD	77140342
288484	989	1997-08-14	VYDAJ	PREVOD NA UCET	2262	18024	SIPO	CD	77140342
288485	989	1997-09-14	VYDAJ	PREVOD NA UCET	2262	19789	SIPO	CD	77140342
288486	989	1997-10-14	VYDAJ	PREVOD NA UCET	2262	19800	SIPO	CD	77140342
288487	989	1997-11-14	VYDAJ	PREVOD NA UCET	2262	21574	SIPO	CD	77140342
288488	989	1997-12-14	VYDAJ	PREVOD NA UCET	2262	23353	SIPO	CD	77140342
288489	989	1998-01-14	VYDAJ	PREVOD NA UCET	2262	20579	SIPO	CD	77140342
288490	989	1998-02-14	VYDAJ	PREVOD NA UCET	2262	19794	SIPO	CD	77140342
288491	989	1998-03-14	VYDAJ	PREVOD NA UCET	2262	21565	SIPO	CD	77140342
288492	989	1998-04-14	VYDAJ	PREVOD NA UCET	2262	20340	SIPO	CD	77140342
288493	989	1998-05-14	VYDAJ	PREVOD NA UCET	2262	22114	SIPO	CD	77140342
288494	989	1998-06-14	VYDAJ	PREVOD NA UCET	2262	23895	SIPO	CD	77140342
288495	989	1998-07-14	VYDAJ	PREVOD NA UCET	2262	23680	SIPO	CD	77140342
288496	989	1998-08-14	VYDAJ	PREVOD NA UCET	2262	23966	SIPO	CD	77140342
288497	989	1998-09-14	VYDAJ	PREVOD NA UCET	2262	22470	SIPO	CD	77140342
288498	989	1998-10-14	VYDAJ	PREVOD NA UCET	2262	20965	SIPO	CD	77140342
288499	989	1998-11-14	VYDAJ	PREVOD NA UCET	2262	19700	SIPO	CD	77140342
288500	989	1998-12-14	VYDAJ	PREVOD NA UCET	2262	18065	SIPO	CD	77140342
288508	989	1994-08-09	VYDAJ	PREVOD NA UCET	1147	25423	 	KL	78910153
288509	989	1994-09-09	VYDAJ	PREVOD NA UCET	1147	26284	 	KL	78910153
288510	989	1994-10-09	VYDAJ	PREVOD NA UCET	1147	27673	 	KL	78910153
288511	989	1994-11-09	VYDAJ	PREVOD NA UCET	1147	27864	 	KL	78910153
288512	989	1994-12-09	VYDAJ	PREVOD NA UCET	1147	24855	 	KL	78910153
288513	989	1995-01-09	VYDAJ	PREVOD NA UCET	1147	21762	 	KL	78910153
288514	989	1995-02-09	VYDAJ	PREVOD NA UCET	1147	17848	 	KL	78910153
288515	989	1995-03-09	VYDAJ	PREVOD NA UCET	1147	18402	 	KL	78910153
288516	989	1995-04-09	VYDAJ	PREVOD NA UCET	1147	16394	 	KL	78910153
288517	989	1995-05-09	VYDAJ	PREVOD NA UCET	1147	18143	 	KL	78910153
288518	989	1995-06-09	VYDAJ	PREVOD NA UCET	1147	19099	 	KL	78910153
288519	989	1995-07-09	VYDAJ	PREVOD NA UCET	1147	18538	 	KL	78910153
288520	989	1995-08-09	VYDAJ	PREVOD NA UCET	1147	20296	 	KL	78910153
288521	989	1995-09-09	VYDAJ	PREVOD NA UCET	1147	21161	 	KL	78910153
288522	989	1995-10-09	VYDAJ	PREVOD NA UCET	1147	21831	 	KL	78910153
288523	989	1995-11-09	VYDAJ	PREVOD NA UCET	1147	21504	 	KL	78910153
288524	989	1995-12-09	VYDAJ	PREVOD NA UCET	1147	21137	 	KL	78910153
288525	989	1996-01-09	VYDAJ	PREVOD NA UCET	1147	15947	 	KL	78910153
288526	989	1996-02-09	VYDAJ	PREVOD NA UCET	1147	16503	 	KL	78910153
288527	989	1996-03-09	VYDAJ	PREVOD NA UCET	1147	16252	 	KL	78910153
288528	989	1996-04-09	VYDAJ	PREVOD NA UCET	1147	18002	 	KL	78910153
288529	989	1996-05-09	VYDAJ	PREVOD NA UCET	1147	16158	 	KL	78910153
288530	989	1996-06-09	VYDAJ	PREVOD NA UCET	1147	16209	 	KL	78910153
288531	989	1996-07-09	VYDAJ	PREVOD NA UCET	1147	16660	 	KL	78910153
288532	989	1996-08-09	VYDAJ	PREVOD NA UCET	1147	18411	 	KL	78910153
288533	989	1996-09-09	VYDAJ	PREVOD NA UCET	1147	20068	 	KL	78910153
288534	989	1996-10-09	VYDAJ	PREVOD NA UCET	1147	20371	 	KL	78910153
288535	989	1996-11-09	VYDAJ	PREVOD NA UCET	1147	20535	 	KL	78910153
288536	989	1996-12-09	VYDAJ	PREVOD NA UCET	1147	20056	 	KL	78910153
288537	989	1997-01-09	VYDAJ	PREVOD NA UCET	1147	17657	 	KL	78910153
288538	989	1997-02-09	VYDAJ	PREVOD NA UCET	1147	17971	 	KL	78910153
288539	989	1997-03-09	VYDAJ	PREVOD NA UCET	1147	19726	 	KL	78910153
288540	989	1997-04-09	VYDAJ	PREVOD NA UCET	1147	18039	 	KL	78910153
288541	989	1997-05-09	VYDAJ	PREVOD NA UCET	1147	19794	 	KL	78910153
288542	989	1997-06-09	VYDAJ	PREVOD NA UCET	1147	21557	 	KL	78910153
288543	989	1997-07-09	VYDAJ	PREVOD NA UCET	1147	19567	 	KL	78910153
288544	989	1997-08-09	VYDAJ	PREVOD NA UCET	1147	20286	 	KL	78910153
288545	989	1997-09-09	VYDAJ	PREVOD NA UCET	1147	22051	 	KL	78910153
288546	989	1997-10-09	VYDAJ	PREVOD NA UCET	1147	22062	 	KL	78910153
288547	989	1997-11-09	VYDAJ	PREVOD NA UCET	1147	23836	 	KL	78910153
288548	989	1997-12-09	VYDAJ	PREVOD NA UCET	1147	25615	 	KL	78910153
288549	989	1998-01-09	VYDAJ	PREVOD NA UCET	1147	23881	 	KL	78910153
288550	989	1998-02-09	VYDAJ	PREVOD NA UCET	1147	22056	 	KL	78910153
288551	989	1998-03-09	VYDAJ	PREVOD NA UCET	1147	23827	 	KL	78910153
288552	989	1998-04-09	VYDAJ	PREVOD NA UCET	1147	22602	 	KL	78910153
288553	989	1998-05-09	VYDAJ	PREVOD NA UCET	1147	24376	 	KL	78910153
288554	989	1998-06-09	VYDAJ	PREVOD NA UCET	1147	26157	 	KL	78910153
288555	989	1998-07-09	VYDAJ	PREVOD NA UCET	1147	25942	 	KL	78910153
288556	989	1998-08-09	VYDAJ	PREVOD NA UCET	1147	26228	 	KL	78910153
288557	989	1998-09-09	VYDAJ	PREVOD NA UCET	1147	24732	 	KL	78910153
288558	989	1998-10-09	VYDAJ	PREVOD NA UCET	1147	23227	 	KL	78910153
288559	989	1998-11-09	VYDAJ	PREVOD NA UCET	1147	21962	 	KL	78910153
288560	989	1998-12-09	VYDAJ	PREVOD NA UCET	1147	20327	 	KL	78910153
288564	989	1997-06-12	VYDAJ	VYBER	3750	17807	\N	\N	\N
288571	989	1994-12-18	VYDAJ	VYBER	300	22293	\N	\N	\N
288572	989	1995-12-29	VYDAJ	VYBER	800	18075	\N	\N	\N
288573	989	1996-12-16	VYDAJ	VYBER	1100	16694	\N	\N	\N
288574	989	1997-12-22	VYDAJ	VYBER	400	22953	\N	\N	\N
288575	989	1998-12-02	VYDAJ	VYBER	450	19320	\N	\N	\N
288582	989	1995-01-23	VYDAJ	VYBER	1200	15980	\N	\N	\N
288583	989	1995-01-02	VYDAJ	VYBER	1040	21335	\N	\N	\N
288584	989	1995-01-04	VYDAJ	VYBER	2240	19095	\N	\N	\N
288585	989	1995-01-23	VYDAJ	VYBER	2160	13820	\N	\N	\N
288586	989	1995-01-18	VYDAJ	VYBER	2320	17180	\N	\N	\N
288587	989	1995-01-04	VYDAJ	VYBER	400	18695	\N	\N	\N
288588	989	1996-01-10	VYDAJ	VYBER	400	15547	\N	\N	\N
288590	989	1996-01-09	VYDAJ	VYBER	2160	17094	\N	\N	\N
288592	989	1996-01-14	VYDAJ	VYBER	800	14747	\N	\N	\N
288596	989	1997-01-01	VYDAJ	VYBER	2160	13690	\N	\N	\N
288598	989	1997-01-20	VYDAJ	VYBER	1440	13955	\N	\N	\N
288600	989	1998-01-02	VYDAJ	VYBER	1360	21674	\N	\N	\N
288601	989	1998-01-07	VYDAJ	VYBER	560	19914	\N	\N	\N
288602	989	1998-01-26	VYDAJ	VYBER	1120	18019	\N	\N	\N
288603	989	1998-01-04	VYDAJ	VYBER	1200	20474	\N	\N	\N
288604	989	1998-01-10	VYDAJ	VYBER	1040	22841	\N	\N	\N
288605	989	1998-01-17	VYDAJ	VYBER	1440	19139	\N	\N	\N
288610	989	1995-02-25	VYDAJ	VYBER	1200	14386	\N	\N	\N
288611	989	1995-12-02	VYDAJ	VYBER	1440	17870	\N	\N	\N
288613	989	1995-05-24	VYDAJ	VYBER	800	15081	\N	\N	\N
288614	989	1995-03-22	VYDAJ	VYBER	3760	12380	\N	\N	\N
288615	989	1995-06-28	VYDAJ	VYBER	2320	14517	\N	\N	\N
288620	989	1996-11-17	VYDAJ	VYBER	2240	16033	\N	\N	\N
288621	989	1996-09-23	VYDAJ	VYBER	1360	16446	\N	\N	\N
288623	989	1997-03-12	VYDAJ	VYBER	3440	16286	\N	\N	\N
288624	989	1997-10-06	VYDAJ	VYBER	1760	18095	\N	\N	\N
288625	989	1997-07-18	VYDAJ	VYBER	1040	16265	\N	\N	\N
288626	989	1998-08-22	VYDAJ	VYBER	1840	20686	\N	\N	\N
288627	989	1998-12-06	VYDAJ	VYBER	2960	16360	\N	\N	\N
288628	989	1998-08-21	VYDAJ	VYBER	1440	22526	\N	\N	\N
288629	989	1998-09-15	VYDAJ	VYBER	3280	19190	\N	\N	\N
288630	989	1998-11-04	VYDAJ	VYBER	3040	17995	\N	\N	\N
288639	989	1994-08-31	VYDAJ	VYBER	15	22317	SLUZBY	\N	\N
288640	989	1994-09-30	VYDAJ	VYBER	15	23706	SLUZBY	\N	\N
288641	989	1994-10-31	VYDAJ	VYBER	15	23897	SLUZBY	\N	\N
288642	989	1994-11-30	VYDAJ	VYBER	15	23088	SLUZBY	\N	\N
288643	989	1994-12-31	VYDAJ	VYBER	15	22375	SLUZBY	\N	\N
288644	989	1995-01-31	VYDAJ	VYBER	15	13881	SLUZBY	\N	\N
288645	989	1995-02-28	VYDAJ	VYBER	15	14435	SLUZBY	\N	\N
288646	989	1995-03-31	VYDAJ	VYBER	15	12427	SLUZBY	\N	\N
288647	989	1995-04-30	VYDAJ	VYBER	15	14176	SLUZBY	\N	\N
288648	989	1995-05-31	VYDAJ	VYBER	15	15132	SLUZBY	\N	\N
288649	989	1995-06-30	VYDAJ	VYBER	15	14571	SLUZBY	\N	\N
288650	989	1995-07-31	VYDAJ	VYBER	15	16329	SLUZBY	\N	\N
288651	989	1995-08-31	VYDAJ	VYBER	15	18094	SLUZBY	\N	\N
288652	989	1995-09-30	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
288653	989	1995-10-31	VYDAJ	VYBER	15	19637	SLUZBY	\N	\N
288654	989	1995-11-30	VYDAJ	VYBER	15	19310	SLUZBY	\N	\N
288655	989	1995-12-31	VYDAJ	VYBER	15	18140	SLUZBY	\N	\N
288656	989	1996-01-31	VYDAJ	VYBER	15	12536	SLUZBY	\N	\N
288657	989	1996-02-29	VYDAJ	VYBER	15	14285	SLUZBY	\N	\N
288658	989	1996-03-31	VYDAJ	VYBER	15	14035	SLUZBY	\N	\N
288659	989	1996-04-30	VYDAJ	VYBER	15	15791	SLUZBY	\N	\N
288660	989	1996-05-31	VYDAJ	VYBER	15	13942	SLUZBY	\N	\N
288661	989	1996-06-30	VYDAJ	VYBER	15	13993	SLUZBY	\N	\N
288662	989	1996-07-31	VYDAJ	VYBER	15	14444	SLUZBY	\N	\N
288663	989	1996-08-31	VYDAJ	VYBER	15	16101	SLUZBY	\N	\N
288664	989	1996-09-30	VYDAJ	VYBER	15	16404	SLUZBY	\N	\N
288665	989	1996-10-31	VYDAJ	VYBER	15	16568	SLUZBY	\N	\N
288666	989	1996-11-30	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
288667	989	1996-12-31	VYDAJ	VYBER	15	15850	SLUZBY	\N	\N
288668	989	1997-01-31	VYDAJ	VYBER	15	14004	SLUZBY	\N	\N
288669	989	1997-02-28	VYDAJ	VYBER	15	15759	SLUZBY	\N	\N
288670	989	1997-03-31	VYDAJ	VYBER	15	14072	SLUZBY	\N	\N
288671	989	1997-04-30	VYDAJ	VYBER	15	15827	SLUZBY	\N	\N
288672	989	1997-05-31	VYDAJ	VYBER	15	17590	SLUZBY	\N	\N
288673	989	1997-06-30	VYDAJ	VYBER	15	15600	SLUZBY	\N	\N
288674	989	1997-07-31	VYDAJ	VYBER	15	16319	SLUZBY	\N	\N
288675	989	1997-08-31	VYDAJ	VYBER	15	18084	SLUZBY	\N	\N
288676	989	1997-09-30	VYDAJ	VYBER	15	19855	SLUZBY	\N	\N
288677	989	1997-10-31	VYDAJ	VYBER	15	19869	SLUZBY	\N	\N
288678	989	1997-11-30	VYDAJ	VYBER	15	21648	SLUZBY	\N	\N
288679	989	1997-12-31	VYDAJ	VYBER	15	23034	SLUZBY	\N	\N
288680	989	1998-01-31	VYDAJ	VYBER	15	18089	SLUZBY	\N	\N
288681	989	1998-02-28	VYDAJ	VYBER	15	19860	SLUZBY	\N	\N
288682	989	1998-03-31	VYDAJ	VYBER	15	18635	SLUZBY	\N	\N
288683	989	1998-04-30	VYDAJ	VYBER	15	20409	SLUZBY	\N	\N
288684	989	1998-05-31	VYDAJ	VYBER	15	22190	SLUZBY	\N	\N
288685	989	1998-06-30	VYDAJ	VYBER	15	21975	SLUZBY	\N	\N
288686	989	1998-07-31	VYDAJ	VYBER	15	22261	SLUZBY	\N	\N
288687	989	1998-08-31	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
288688	989	1998-09-30	VYDAJ	VYBER	15	19260	SLUZBY	\N	\N
288689	989	1998-10-31	VYDAJ	VYBER	15	21035	SLUZBY	\N	\N
288690	989	1998-11-30	VYDAJ	VYBER	15	19770	SLUZBY	\N	\N
288691	989	1994-08-11	VYDAJ	VYBER	900	24523	\N	\N	\N
288692	989	1994-09-10	VYDAJ	VYBER	400	25884	\N	\N	\N
288693	989	1994-10-10	VYDAJ	VYBER	1600	26073	\N	\N	\N
288694	989	1994-11-09	VYDAJ	VYBER	2600	25264	\N	\N	\N
288695	989	1994-12-09	VYDAJ	VYBER	2200	26002	\N	\N	\N
288696	989	1995-01-08	VYDAJ	VYBER	900	22909	\N	\N	\N
288697	989	1995-09-05	VYDAJ	VYBER	900	17194	\N	\N	\N
288698	989	1995-10-05	VYDAJ	VYBER	1100	17864	\N	\N	\N
288699	989	1995-11-04	VYDAJ	VYBER	2100	17537	\N	\N	\N
288700	989	1995-12-04	VYDAJ	VYBER	700	17170	\N	\N	\N
288701	989	1996-01-03	VYDAJ	VYBER	4000	14140	\N	\N	\N
288702	989	1996-03-03	VYDAJ	VYBER	2000	12285	\N	\N	\N
288703	989	1996-05-02	VYDAJ	VYBER	3600	12191	\N	\N	\N
288704	989	1996-06-01	VYDAJ	VYBER	1700	12242	\N	\N	\N
288705	989	1996-07-01	VYDAJ	VYBER	1300	12693	\N	\N	\N
288706	989	1996-08-30	VYDAJ	VYBER	100	16049	\N	\N	\N
288707	989	1996-09-29	VYDAJ	VYBER	100	16346	\N	\N	\N
288708	989	1996-10-29	VYDAJ	VYBER	1600	16509	\N	\N	\N
288709	989	1996-12-28	VYDAJ	VYBER	900	15794	\N	\N	\N
288710	989	1998-03-23	VYDAJ	VYBER	3000	18565	\N	\N	\N
288711	989	1998-06-21	VYDAJ	VYBER	2000	21895	\N	\N	\N
288712	989	1998-07-21	VYDAJ	VYBER	1500	22180	\N	\N	\N
288766	990	1995-10-11	PRIJEM	VKLAD	700	700	\N	\N	\N
288776	990	1995-10-13	PRIJEM	VKLAD	19072	19772	\N	\N	\N
288777	990	1995-11-13	PRIJEM	VKLAD	19072	39095	\N	\N	\N
288778	990	1995-12-13	PRIJEM	VKLAD	28608	62433	\N	\N	\N
288779	990	1996-01-13	PRIJEM	VKLAD	19072	64228	\N	\N	\N
288780	990	1996-02-13	PRIJEM	VKLAD	19072	63664	\N	\N	\N
288781	990	1996-03-13	PRIJEM	VKLAD	19072	60207	\N	\N	\N
288782	990	1996-04-13	PRIJEM	VKLAD	19072	61249	\N	\N	\N
288783	990	1996-05-13	PRIJEM	VKLAD	19072	57392	\N	\N	\N
288784	990	1996-06-13	PRIJEM	VKLAD	28608	70463	\N	\N	\N
288785	990	1996-07-13	PRIJEM	VKLAD	19072	65224	\N	\N	\N
288786	990	1996-08-13	PRIJEM	VKLAD	19072	65293	\N	\N	\N
288787	990	1996-09-13	PRIJEM	VKLAD	19072	68054	\N	\N	\N
288788	990	1996-10-13	PRIJEM	VKLAD	19072	67123	\N	\N	\N
288789	990	1996-11-13	PRIJEM	VKLAD	19072	62773	\N	\N	\N
288790	990	1996-12-13	PRIJEM	VKLAD	28608	71848	\N	\N	\N
288791	990	1997-01-13	PRIJEM	VKLAD	19072	61431	\N	\N	\N
288792	990	1997-02-13	PRIJEM	VKLAD	19072	66395	\N	\N	\N
288793	990	1997-03-13	PRIJEM	VKLAD	19072	68943	\N	\N	\N
288794	990	1997-04-13	PRIJEM	VKLAD	19072	69013	\N	\N	\N
288795	990	1997-05-13	PRIJEM	VKLAD	19072	67885	\N	\N	\N
288796	990	1997-06-13	PRIJEM	VKLAD	28608	67275	\N	\N	\N
288797	990	1997-07-13	PRIJEM	VKLAD	19072	68653	\N	\N	\N
288798	990	1997-08-13	PRIJEM	VKLAD	19072	65477	\N	\N	\N
288799	990	1997-09-13	PRIJEM	VKLAD	19072	66334	\N	\N	\N
288800	990	1997-10-13	PRIJEM	VKLAD	19072	69976	\N	\N	\N
288801	990	1997-11-13	PRIJEM	VKLAD	19072	76647	\N	\N	\N
288802	990	1997-12-13	PRIJEM	VKLAD	28608	87866	\N	\N	\N
288803	990	1998-01-13	PRIJEM	VKLAD	19072	78281	\N	\N	\N
288804	990	1998-02-13	PRIJEM	VKLAD	19072	77775	\N	\N	\N
288805	990	1998-03-13	PRIJEM	VKLAD	19072	84867	\N	\N	\N
288806	990	1998-04-13	PRIJEM	VKLAD	19072	84181	\N	\N	\N
288807	990	1998-05-13	PRIJEM	VKLAD	19072	84492	\N	\N	\N
288808	990	1998-06-13	PRIJEM	VKLAD	28608	83359	\N	\N	\N
288809	990	1998-07-13	PRIJEM	VKLAD	19072	75965	\N	\N	\N
288810	990	1998-08-13	PRIJEM	VKLAD	19072	80951	\N	\N	\N
288811	990	1998-09-13	PRIJEM	VKLAD	19072	79342	\N	\N	\N
288812	990	1998-10-13	PRIJEM	VKLAD	19072	85633	\N	\N	\N
288813	990	1998-11-13	PRIJEM	VKLAD	19072	89047	\N	\N	\N
288814	990	1998-12-13	PRIJEM	VKLAD	28608	97505	\N	\N	\N
288828	990	1996-02-14	VYDAJ	PREVOD NA UCET	7538	56126	SIPO	YZ	56577050
288829	990	1996-03-14	VYDAJ	PREVOD NA UCET	7538	52669	SIPO	YZ	56577050
288830	990	1996-04-14	VYDAJ	PREVOD NA UCET	7538	53711	SIPO	YZ	56577050
288831	990	1996-05-14	VYDAJ	PREVOD NA UCET	7538	49854	SIPO	YZ	56577050
288832	990	1996-06-14	VYDAJ	PREVOD NA UCET	7538	62925	SIPO	YZ	56577050
288833	990	1996-07-14	VYDAJ	PREVOD NA UCET	7538	57686	SIPO	YZ	56577050
288834	990	1996-08-14	VYDAJ	PREVOD NA UCET	7538	57755	SIPO	YZ	56577050
288835	990	1996-09-14	VYDAJ	PREVOD NA UCET	7538	60516	SIPO	YZ	56577050
288836	990	1996-10-14	VYDAJ	PREVOD NA UCET	7538	59585	SIPO	YZ	56577050
288837	990	1996-11-14	VYDAJ	PREVOD NA UCET	7538	55235	SIPO	YZ	56577050
288838	990	1996-12-14	VYDAJ	PREVOD NA UCET	7538	59830	SIPO	YZ	56577050
288839	990	1997-01-14	VYDAJ	PREVOD NA UCET	7538	52813	SIPO	YZ	56577050
288840	990	1997-02-14	VYDAJ	PREVOD NA UCET	7538	58857	SIPO	YZ	56577050
288841	990	1997-03-14	VYDAJ	PREVOD NA UCET	7538	61405	SIPO	YZ	56577050
288842	990	1997-04-14	VYDAJ	PREVOD NA UCET	7538	61475	SIPO	YZ	56577050
288843	990	1997-05-14	VYDAJ	PREVOD NA UCET	7538	60347	SIPO	YZ	56577050
288844	990	1997-06-14	VYDAJ	PREVOD NA UCET	7538	59737	SIPO	YZ	56577050
288845	990	1997-07-14	VYDAJ	PREVOD NA UCET	7538	61115	SIPO	YZ	56577050
288846	990	1997-08-14	VYDAJ	PREVOD NA UCET	7538	57939	SIPO	YZ	56577050
288847	990	1997-09-14	VYDAJ	PREVOD NA UCET	7538	58796	SIPO	YZ	56577050
288848	990	1997-10-14	VYDAJ	PREVOD NA UCET	7538	62438	SIPO	YZ	56577050
288849	990	1997-11-14	VYDAJ	PREVOD NA UCET	7538	69109	SIPO	YZ	56577050
288850	990	1997-12-14	VYDAJ	PREVOD NA UCET	7538	80328	SIPO	YZ	56577050
288851	990	1998-01-14	VYDAJ	PREVOD NA UCET	7538	70743	SIPO	YZ	56577050
288852	990	1998-02-14	VYDAJ	PREVOD NA UCET	7538	70237	SIPO	YZ	56577050
288853	990	1998-03-14	VYDAJ	PREVOD NA UCET	7538	77329	SIPO	YZ	56577050
288854	990	1998-04-14	VYDAJ	PREVOD NA UCET	7538	76643	SIPO	YZ	56577050
288855	990	1998-05-14	VYDAJ	PREVOD NA UCET	7538	76954	SIPO	YZ	56577050
288856	990	1998-06-14	VYDAJ	PREVOD NA UCET	7538	75821	SIPO	YZ	56577050
288857	990	1998-07-14	VYDAJ	PREVOD NA UCET	7538	68427	SIPO	YZ	56577050
288858	990	1998-08-14	VYDAJ	PREVOD NA UCET	7538	73413	SIPO	YZ	56577050
288859	990	1998-09-14	VYDAJ	PREVOD NA UCET	7538	71804	SIPO	YZ	56577050
288860	990	1998-10-14	VYDAJ	PREVOD NA UCET	7538	78095	SIPO	YZ	56577050
288861	990	1998-11-14	VYDAJ	PREVOD NA UCET	7538	81509	SIPO	YZ	56577050
288862	990	1998-12-14	VYDAJ	PREVOD NA UCET	7538	89967	SIPO	YZ	56577050
288865	990	1997-06-03	VYDAJ	VYBER	9120	38667	\N	\N	\N
288866	990	1998-06-04	VYDAJ	VYBER	9280	54751	\N	\N	\N
288868	990	1996-12-13	VYDAJ	VYBER	4480	67368	\N	\N	\N
288869	990	1997-12-10	VYDAJ	VYBER KARTOU	1300	59258	\N	\N	0
288870	990	1998-12-23	VYDAJ	VYBER KARTOU	3800	86167	\N	\N	0
288883	990	1997-01-10	VYDAJ	VYBER	1200	43319	\N	\N	\N
288884	990	1997-01-16	VYDAJ	VYBER	3480	49333	\N	\N	\N
288885	990	1997-01-13	VYDAJ	VYBER	1080	60351	\N	\N	\N
288886	990	1997-01-07	VYDAJ	VYBER	840	45239	\N	\N	\N
288887	990	1997-01-11	VYDAJ	VYBER	960	42359	\N	\N	\N
288888	990	1997-01-08	VYDAJ	VYBER	720	44519	\N	\N	\N
288889	990	1998-01-10	VYDAJ	VYBER KARTOU	2000	61709	\N	\N	0
288890	990	1998-01-29	VYDAJ	VYBER KARTOU	1700	59543	\N	\N	0
288891	990	1998-01-12	VYDAJ	VYBER KARTOU	2500	59209	\N	\N	0
288892	990	1998-01-19	VYDAJ	VYBER KARTOU	3200	67543	\N	\N	0
288893	990	1998-01-27	VYDAJ	VYBER KARTOU	1300	66243	\N	\N	0
288894	990	1998-01-01	VYDAJ	VYBER KARTOU	2400	63709	\N	\N	0
288901	990	1996-11-02	VYDAJ	VYBER	1800	58021	\N	\N	\N
288902	990	1996-02-15	VYDAJ	VYBER	2520	53606	\N	\N	\N
288904	990	1996-11-08	VYDAJ	VYBER	1920	43701	\N	\N	\N
288905	990	1997-01-01	VYDAJ	VYBER	4680	55379	\N	\N	\N
288906	990	1997-03-25	VYDAJ	VYBER KARTOU	2500	58905	\N	\N	0
288907	990	1997-12-24	VYDAJ	VYBER KARTOU	1300	79028	\N	\N	0
288908	990	1997-06-29	VYDAJ	VYBER	5160	54577	\N	\N	\N
288909	990	1997-12-28	VYDAJ	VYBER KARTOU	1100	77928	\N	\N	0
288910	990	1997-08-01	VYDAJ	VYBER	5040	56305	\N	\N	\N
288911	990	1998-07-12	VYDAJ	VYBER KARTOU	3800	56893	\N	\N	0
288912	990	1998-11-14	VYDAJ	VYBER KARTOU	3100	78409	\N	\N	0
288913	990	1998-02-06	VYDAJ	VYBER KARTOU	1100	58703	\N	\N	0
288928	990	1996-02-29	VYDAJ	VYBER	15	53835	SLUZBY	\N	\N
288929	990	1996-03-31	VYDAJ	VYBER	15	52877	SLUZBY	\N	\N
288930	990	1996-04-30	VYDAJ	VYBER	15	53920	SLUZBY	\N	\N
288931	990	1996-05-31	VYDAJ	VYBER	15	50055	SLUZBY	\N	\N
288932	990	1996-06-30	VYDAJ	VYBER	15	63152	SLUZBY	\N	\N
288933	990	1996-07-31	VYDAJ	VYBER	15	57921	SLUZBY	\N	\N
288934	990	1996-08-31	VYDAJ	VYBER	15	57982	SLUZBY	\N	\N
288935	990	1996-09-30	VYDAJ	VYBER	15	60751	SLUZBY	\N	\N
288936	990	1996-10-31	VYDAJ	VYBER	15	59821	SLUZBY	\N	\N
288937	990	1996-11-30	VYDAJ	VYBER	15	55440	SLUZBY	\N	\N
288938	990	1996-12-31	VYDAJ	VYBER	15	60059	SLUZBY	\N	\N
288939	990	1997-01-31	VYDAJ	VYBER	15	49523	SLUZBY	\N	\N
288940	990	1997-02-28	VYDAJ	VYBER	15	59071	SLUZBY	\N	\N
288941	990	1997-03-31	VYDAJ	VYBER	15	59141	SLUZBY	\N	\N
288942	990	1997-04-30	VYDAJ	VYBER	15	61713	SLUZBY	\N	\N
288943	990	1997-05-31	VYDAJ	VYBER	15	60587	SLUZBY	\N	\N
288944	990	1997-06-30	VYDAJ	VYBER	15	54781	SLUZBY	\N	\N
288945	990	1997-07-31	VYDAJ	VYBER	15	61345	SLUZBY	\N	\N
288946	990	1997-08-31	VYDAJ	VYBER	15	58162	SLUZBY	\N	\N
288947	990	1997-09-30	VYDAJ	VYBER	15	59004	SLUZBY	\N	\N
288948	990	1997-10-31	VYDAJ	VYBER	15	57575	SLUZBY	\N	\N
288949	990	1997-11-30	VYDAJ	VYBER	15	60558	SLUZBY	\N	\N
288950	990	1997-12-31	VYDAJ	VYBER	15	66109	SLUZBY	\N	\N
288951	990	1998-01-31	VYDAJ	VYBER	15	59803	SLUZBY	\N	\N
288952	990	1998-02-28	VYDAJ	VYBER	15	65795	SLUZBY	\N	\N
288953	990	1998-03-31	VYDAJ	VYBER	15	65109	SLUZBY	\N	\N
288954	990	1998-04-30	VYDAJ	VYBER	15	65420	SLUZBY	\N	\N
288955	990	1998-05-31	VYDAJ	VYBER	15	64031	SLUZBY	\N	\N
288956	990	1998-06-30	VYDAJ	VYBER	15	60693	SLUZBY	\N	\N
288957	990	1998-07-31	VYDAJ	VYBER	15	61879	SLUZBY	\N	\N
288958	990	1998-08-31	VYDAJ	VYBER	15	60270	SLUZBY	\N	\N
288959	990	1998-09-30	VYDAJ	VYBER	15	66561	SLUZBY	\N	\N
288960	990	1998-10-31	VYDAJ	VYBER	15	69975	SLUZBY	\N	\N
288961	990	1998-11-30	VYDAJ	VYBER	15	68897	SLUZBY	\N	\N
288962	990	1995-11-10	PRIJEM	VKLAD	200	20023	\N	\N	\N
288963	990	1995-12-10	VYDAJ	VYBER	5400	33825	\N	\N	\N
288964	990	1996-01-09	VYDAJ	VYBER	17500	45156	\N	\N	\N
288965	990	1996-02-08	VYDAJ	VYBER	19900	44592	\N	\N	\N
288966	990	1996-03-09	VYDAJ	VYBER	12700	41135	\N	\N	\N
288967	990	1996-04-08	VYDAJ	VYBER	10700	42177	\N	\N	\N
288968	990	1996-05-08	VYDAJ	VYBER	15600	38320	\N	\N	\N
288969	990	1996-06-07	VYDAJ	VYBER	8200	41855	\N	\N	\N
288970	990	1996-07-07	VYDAJ	VYBER	17000	46152	\N	\N	\N
288971	990	1996-08-06	VYDAJ	VYBER	11700	46221	\N	\N	\N
288972	990	1996-09-05	VYDAJ	VYBER	9000	48982	\N	\N	\N
288973	990	1996-10-05	VYDAJ	VYBER	12700	48051	\N	\N	\N
288974	990	1996-11-04	VYDAJ	VYBER	12400	45621	\N	\N	\N
288975	990	1996-12-04	VYDAJ	VYBER	12200	43240	\N	\N	\N
288976	990	1997-01-03	VYDAJ	VYBER	9300	46079	\N	\N	\N
288977	990	1997-02-02	VYDAJ	VYBER	2200	47323	\N	\N	\N
288978	990	1997-03-04	VYDAJ	VYBER	9200	49871	\N	\N	\N
288979	990	1997-04-03	VYDAJ	VYBER	9200	49941	\N	\N	\N
288980	990	1997-05-03	VYDAJ	VYBER	12900	48813	\N	\N	\N
288981	990	1997-06-02	VYDAJ	VYBER	12800	47787	\N	\N	\N
288982	990	1997-07-02	VYDAJ	VYBER	5200	49581	\N	\N	\N
288983	990	1997-08-01	VYDAJ	VYBER	9900	46405	\N	\N	\N
288984	990	1997-08-31	VYDAJ	VYBER	10900	47262	\N	\N	\N
288985	990	1997-09-30	VYDAJ	VYBER	8100	50904	\N	\N	\N
288986	990	1997-10-30	VYDAJ	VYBER	5100	57338	\N	\N	\N
288987	990	1997-11-29	VYDAJ	VYBER	8800	60309	\N	\N	\N
288988	990	1997-12-29	VYDAJ	VYBER	12100	65828	\N	\N	\N
288989	990	1998-01-28	VYDAJ	VYBER	5000	61243	\N	\N	\N
288990	990	1998-02-27	VYDAJ	VYBER	4700	65537	\N	\N	\N
288991	990	1998-03-29	VYDAJ	VYBER	12500	64829	\N	\N	\N
288992	990	1998-04-28	VYDAJ	VYBER	11500	65143	\N	\N	\N
288993	990	1998-05-28	VYDAJ	VYBER	13200	63754	\N	\N	\N
288994	990	1998-06-27	VYDAJ	VYBER	15400	60421	\N	\N	\N
288995	990	1998-07-27	VYDAJ	VYBER	6800	61627	\N	\N	\N
288996	990	1998-08-26	VYDAJ	VYBER	13400	60013	\N	\N	\N
288997	990	1998-09-25	VYDAJ	VYBER	5500	66304	\N	\N	\N
288998	990	1998-10-25	VYDAJ	VYBER	8400	69695	\N	\N	\N
288999	990	1998-11-24	VYDAJ	VYBER	9800	68609	\N	\N	\N
289039	991	1993-05-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
289045	991	1993-06-06	PRIJEM	VKLAD	31010	32110	\N	\N	\N
289046	991	1993-07-06	PRIJEM	VKLAD	20673	48737	\N	\N	\N
289047	991	1993-08-06	PRIJEM	VKLAD	20673	58747	\N	\N	\N
289048	991	1993-09-06	PRIJEM	VKLAD	20673	63688	\N	\N	\N
289049	991	1993-10-06	PRIJEM	VKLAD	20673	63239	\N	\N	\N
289050	991	1993-11-06	PRIJEM	VKLAD	20673	54266	\N	\N	\N
289051	991	1993-12-06	PRIJEM	VKLAD	31010	60996	\N	\N	\N
289052	991	1994-01-06	PRIJEM	VKLAD	20673	52834	\N	\N	\N
289053	991	1994-02-06	PRIJEM	VKLAD	20673	50512	\N	\N	\N
289054	991	1994-03-06	PRIJEM	VKLAD	20673	54561	\N	\N	\N
289055	991	1994-04-06	PRIJEM	VKLAD	20673	58329	\N	\N	\N
289056	991	1994-05-06	PRIJEM	VKLAD	20673	62111	\N	\N	\N
289057	991	1994-06-06	PRIJEM	VKLAD	31010	61152	\N	\N	\N
289058	991	1994-07-06	PRIJEM	VKLAD	20673	59963	\N	\N	\N
289059	991	1994-08-06	PRIJEM	VKLAD	20673	61144	\N	\N	\N
289060	991	1994-09-06	PRIJEM	VKLAD	20673	60723	\N	\N	\N
289061	991	1994-10-06	PRIJEM	VKLAD	20673	62103	\N	\N	\N
289062	991	1994-11-06	PRIJEM	VKLAD	20673	63108	\N	\N	\N
289063	991	1994-12-06	PRIJEM	VKLAD	31010	69735	\N	\N	\N
289064	991	1995-01-06	PRIJEM	VKLAD	20673	60099	\N	\N	\N
289065	991	1995-02-06	PRIJEM	VKLAD	20673	53452	\N	\N	\N
289066	991	1995-03-06	PRIJEM	VKLAD	20673	53925	\N	\N	\N
289067	991	1995-04-06	PRIJEM	VKLAD	20673	57586	\N	\N	\N
289068	991	1995-05-06	PRIJEM	VKLAD	20673	61363	\N	\N	\N
289069	991	1995-06-06	PRIJEM	VKLAD	31010	70376	\N	\N	\N
289070	991	1995-07-06	PRIJEM	VKLAD	20673	67477	\N	\N	\N
289071	991	1995-08-06	PRIJEM	VKLAD	20673	67985	\N	\N	\N
289072	991	1995-09-06	PRIJEM	VKLAD	20673	61991	\N	\N	\N
289073	991	1995-10-06	PRIJEM	VKLAD	20673	71328	\N	\N	\N
289074	991	1995-11-06	PRIJEM	VKLAD	20673	74604	\N	\N	\N
289075	991	1995-12-06	PRIJEM	VKLAD	31010	84785	\N	\N	\N
289076	991	1996-01-06	PRIJEM	VKLAD	20673	84648	\N	\N	\N
289077	991	1996-02-06	PRIJEM	VKLAD	20673	77297	\N	\N	\N
289078	991	1996-03-06	PRIJEM	VKLAD	20673	82699	\N	\N	\N
289079	991	1996-04-06	PRIJEM	VKLAD	20673	86125	\N	\N	\N
289080	991	1996-05-06	PRIJEM	VKLAD	20673	87766	\N	\N	\N
289081	991	1996-06-06	PRIJEM	VKLAD	31010	95651	\N	\N	\N
289082	991	1996-07-06	PRIJEM	VKLAD	20673	79773	\N	\N	\N
289083	991	1996-08-06	PRIJEM	VKLAD	20673	82442	\N	\N	\N
289084	991	1996-09-06	PRIJEM	VKLAD	20673	82754	\N	\N	\N
289085	991	1996-10-06	PRIJEM	VKLAD	20673	84045	\N	\N	\N
289086	991	1996-11-06	PRIJEM	VKLAD	20673	86454	\N	\N	\N
289087	991	1996-12-06	PRIJEM	VKLAD	31010	101009	\N	\N	\N
289088	991	1997-01-06	PRIJEM	VKLAD	20673	96329	\N	\N	\N
289089	991	1997-02-06	PRIJEM	VKLAD	20673	90109	\N	\N	\N
289090	991	1997-03-06	PRIJEM	VKLAD	20673	90457	\N	\N	\N
289091	991	1997-04-06	PRIJEM	VKLAD	20673	93090	\N	\N	\N
289092	991	1997-05-06	PRIJEM	VKLAD	20673	94332	\N	\N	\N
289093	991	1997-06-06	PRIJEM	VKLAD	31010	64874	\N	\N	\N
289094	991	1997-07-06	PRIJEM	VKLAD	20673	79337	\N	\N	\N
289095	991	1997-08-06	PRIJEM	VKLAD	20673	91628	\N	\N	\N
289096	991	1997-09-06	PRIJEM	VKLAD	20673	93060	\N	\N	\N
289097	991	1997-10-06	PRIJEM	VKLAD	20673	101102	\N	\N	\N
289098	991	1997-11-06	PRIJEM	VKLAD	20673	103872	\N	\N	\N
289099	991	1997-12-06	PRIJEM	VKLAD	31010	115541	\N	\N	\N
289100	991	1998-01-06	PRIJEM	VKLAD	20673	65073	\N	\N	\N
289101	991	1998-02-06	PRIJEM	VKLAD	20673	80244	\N	\N	\N
289102	991	1998-03-06	PRIJEM	VKLAD	20673	98342	\N	\N	\N
289103	991	1998-04-06	PRIJEM	VKLAD	20673	107406	\N	\N	\N
289104	991	1998-05-06	PRIJEM	VKLAD	20673	107996	\N	\N	\N
289105	991	1998-06-06	PRIJEM	VKLAD	31010	121246	\N	\N	\N
289106	991	1998-07-06	PRIJEM	VKLAD	20673	89566	\N	\N	\N
289107	991	1998-08-06	PRIJEM	VKLAD	20673	103298	\N	\N	\N
289108	991	1998-09-06	PRIJEM	VKLAD	20673	106432	\N	\N	\N
289109	991	1998-10-06	PRIJEM	VKLAD	20673	101648	\N	\N	\N
289110	991	1998-11-06	PRIJEM	VKLAD	20673	102707	\N	\N	\N
289111	991	1998-12-06	PRIJEM	VKLAD	31010	118814	\N	\N	\N
289121	991	1993-10-10	VYDAJ	PREVOD NA UCET	6748	56491	SIPO	MN	2995044
289122	991	1993-11-10	VYDAJ	PREVOD NA UCET	6748	47518	SIPO	MN	2995044
289123	991	1993-12-10	VYDAJ	PREVOD NA UCET	6748	54248	SIPO	MN	2995044
289124	991	1994-01-10	VYDAJ	PREVOD NA UCET	6748	40926	SIPO	MN	2995044
289125	991	1994-02-10	VYDAJ	PREVOD NA UCET	6748	43764	SIPO	MN	2995044
289126	991	1994-03-10	VYDAJ	PREVOD NA UCET	6748	47813	SIPO	MN	2995044
289127	991	1994-04-10	VYDAJ	PREVOD NA UCET	6748	51581	SIPO	MN	2995044
289128	991	1994-05-10	VYDAJ	PREVOD NA UCET	6748	55363	SIPO	MN	2995044
289129	991	1994-06-10	VYDAJ	PREVOD NA UCET	6748	54404	SIPO	MN	2995044
289130	991	1994-07-10	VYDAJ	PREVOD NA UCET	6748	53215	SIPO	MN	2995044
289131	991	1994-08-10	VYDAJ	PREVOD NA UCET	6748	54396	SIPO	MN	2995044
289132	991	1994-09-10	VYDAJ	PREVOD NA UCET	6748	53975	SIPO	MN	2995044
289133	991	1994-10-10	VYDAJ	PREVOD NA UCET	6748	42255	SIPO	MN	2995044
289134	991	1994-11-10	VYDAJ	PREVOD NA UCET	6748	43360	SIPO	MN	2995044
289135	991	1994-12-10	VYDAJ	PREVOD NA UCET	6748	44687	SIPO	MN	2995044
289136	991	1995-01-10	VYDAJ	PREVOD NA UCET	6748	37911	SIPO	MN	2995044
289137	991	1995-02-10	VYDAJ	PREVOD NA UCET	6748	37204	SIPO	MN	2995044
289138	991	1995-03-10	VYDAJ	PREVOD NA UCET	6748	36777	SIPO	MN	2995044
289139	991	1995-04-10	VYDAJ	PREVOD NA UCET	6748	40538	SIPO	MN	2995044
289140	991	1995-05-10	VYDAJ	PREVOD NA UCET	6748	39215	SIPO	MN	2995044
289141	991	1995-06-10	VYDAJ	PREVOD NA UCET	6748	46628	SIPO	MN	2995044
289142	991	1995-07-10	VYDAJ	PREVOD NA UCET	6748	47129	SIPO	MN	2995044
289143	991	1995-08-10	VYDAJ	PREVOD NA UCET	6748	46137	SIPO	MN	2995044
289144	991	1995-09-10	VYDAJ	PREVOD NA UCET	6748	55243	SIPO	MN	2995044
289145	991	1995-10-10	VYDAJ	PREVOD NA UCET	6748	64580	SIPO	MN	2995044
289146	991	1995-11-10	VYDAJ	PREVOD NA UCET	6748	67856	SIPO	MN	2995044
289147	991	1995-12-10	VYDAJ	PREVOD NA UCET	6748	78037	SIPO	MN	2995044
289148	991	1996-01-10	VYDAJ	PREVOD NA UCET	6748	75020	SIPO	MN	2995044
289149	991	1996-02-10	VYDAJ	PREVOD NA UCET	6748	70549	SIPO	MN	2995044
289150	991	1996-03-10	VYDAJ	PREVOD NA UCET	6748	75951	SIPO	MN	2995044
289151	991	1996-04-10	VYDAJ	PREVOD NA UCET	6748	79377	SIPO	MN	2995044
289152	991	1996-05-10	VYDAJ	PREVOD NA UCET	6748	81018	SIPO	MN	2995044
289153	991	1996-06-10	VYDAJ	PREVOD NA UCET	6748	88903	SIPO	MN	2995044
289154	991	1996-07-10	VYDAJ	PREVOD NA UCET	6748	73025	SIPO	MN	2995044
289155	991	1996-08-10	VYDAJ	PREVOD NA UCET	6748	75694	SIPO	MN	2995044
289156	991	1996-09-10	VYDAJ	PREVOD NA UCET	6748	76006	SIPO	MN	2995044
289157	991	1996-10-10	VYDAJ	PREVOD NA UCET	6748	77297	SIPO	MN	2995044
289158	991	1996-11-10	VYDAJ	PREVOD NA UCET	6748	79706	SIPO	MN	2995044
289159	991	1996-12-10	VYDAJ	PREVOD NA UCET	6748	94261	SIPO	MN	2995044
289160	991	1997-01-10	VYDAJ	PREVOD NA UCET	6748	89581	SIPO	MN	2995044
289161	991	1997-02-10	VYDAJ	PREVOD NA UCET	6748	83361	SIPO	MN	2995044
289162	991	1997-03-10	VYDAJ	PREVOD NA UCET	6748	83709	SIPO	MN	2995044
289163	991	1997-04-10	VYDAJ	PREVOD NA UCET	6748	86342	SIPO	MN	2995044
289164	991	1997-05-10	VYDAJ	PREVOD NA UCET	6748	87584	SIPO	MN	2995044
289165	991	1997-06-10	VYDAJ	PREVOD NA UCET	6748	58126	SIPO	MN	2995044
289166	991	1997-07-10	VYDAJ	PREVOD NA UCET	6748	72589	SIPO	MN	2995044
289167	991	1997-08-10	VYDAJ	PREVOD NA UCET	6748	84880	SIPO	MN	2995044
289168	991	1997-09-10	VYDAJ	PREVOD NA UCET	6748	86312	SIPO	MN	2995044
289169	991	1997-10-10	VYDAJ	PREVOD NA UCET	6748	94354	SIPO	MN	2995044
289170	991	1997-11-10	VYDAJ	PREVOD NA UCET	6748	97124	SIPO	MN	2995044
289171	991	1997-12-10	VYDAJ	PREVOD NA UCET	6748	43993	SIPO	MN	2995044
289172	991	1998-01-10	VYDAJ	PREVOD NA UCET	6748	58325	SIPO	MN	2995044
289173	991	1998-02-10	VYDAJ	PREVOD NA UCET	6748	73496	SIPO	MN	2995044
289174	991	1998-03-10	VYDAJ	PREVOD NA UCET	6748	91594	SIPO	MN	2995044
289175	991	1998-04-10	VYDAJ	PREVOD NA UCET	6748	100658	SIPO	MN	2995044
289176	991	1998-05-10	VYDAJ	PREVOD NA UCET	6748	101248	SIPO	MN	2995044
289177	991	1998-06-10	VYDAJ	PREVOD NA UCET	6748	58898	SIPO	MN	2995044
289178	991	1998-07-10	VYDAJ	PREVOD NA UCET	6748	82818	SIPO	MN	2995044
289179	991	1998-08-10	VYDAJ	PREVOD NA UCET	6748	96550	SIPO	MN	2995044
289180	991	1998-09-10	VYDAJ	PREVOD NA UCET	6748	99684	SIPO	MN	2995044
289181	991	1998-10-10	VYDAJ	PREVOD NA UCET	6748	94900	SIPO	MN	2995044
289182	991	1998-11-10	VYDAJ	PREVOD NA UCET	6748	95959	SIPO	MN	2995044
289183	991	1998-12-10	VYDAJ	PREVOD NA UCET	6748	54386	SIPO	MN	2995044
289185	991	1994-06-01	VYDAJ	VYBER	10080	30143	\N	\N	\N
289187	991	1996-06-10	VYDAJ	VYBER	26080	62823	\N	\N	\N
289188	991	1997-06-05	VYDAJ	VYBER	39040	33865	\N	\N	\N
289190	991	1993-12-18	VYDAJ	VYBER	3200	37548	\N	\N	\N
289191	991	1994-12-26	VYDAJ	VYBER	2560	42127	\N	\N	\N
289192	991	1995-12-11	VYDAJ	VYBER	1760	76277	\N	\N	\N
289193	991	1996-12-26	VYDAJ	VYBER	1440	92821	\N	\N	\N
289194	991	1997-12-26	VYDAJ	VYBER	800	52953	\N	\N	\N
289195	991	1998-12-10	VYDAJ	VYBER	3680	61134	\N	\N	\N
289202	991	1994-01-06	VYDAJ	VYBER	840	51994	\N	\N	\N
289203	991	1994-01-18	VYDAJ	VYBER	1440	32826	\N	\N	\N
289204	991	1994-01-25	VYDAJ	VYBER	3120	29706	\N	\N	\N
289205	991	1994-01-08	VYDAJ	VYBER	3360	47674	\N	\N	\N
289206	991	1994-01-07	VYDAJ	VYBER	960	51034	\N	\N	\N
289207	991	1994-01-17	VYDAJ	VYBER	960	34266	\N	\N	\N
289208	991	1995-01-01	VYDAJ	VYBER	2880	39426	\N	\N	\N
289209	991	1995-01-30	VYDAJ	VYBER	3240	32631	\N	\N	\N
289210	991	1995-01-06	VYDAJ	VYBER	1920	58179	\N	\N	\N
289211	991	1995-01-12	VYDAJ	VYBER	1080	36831	\N	\N	\N
289212	991	1995-01-25	VYDAJ	VYBER	960	35871	\N	\N	\N
289213	991	1995-01-06	VYDAJ	VYBER	1320	56859	\N	\N	\N
289214	991	1996-01-12	VYDAJ	VYBER	2760	72260	\N	\N	\N
289215	991	1996-01-08	VYDAJ	VYBER	2880	81768	\N	\N	\N
289216	991	1996-01-27	VYDAJ	VYBER	3240	63140	\N	\N	\N
289217	991	1996-01-26	VYDAJ	VYBER	2040	66380	\N	\N	\N
289218	991	1996-01-15	VYDAJ	VYBER	1440	70820	\N	\N	\N
289219	991	1996-01-23	VYDAJ	VYBER	2400	68420	\N	\N	\N
289220	991	1997-01-13	VYDAJ	VYBER	3120	85741	\N	\N	\N
289221	991	1997-01-22	VYDAJ	VYBER	2040	81901	\N	\N	\N
289222	991	1997-01-27	VYDAJ	VYBER	2040	75421	\N	\N	\N
289223	991	1997-01-10	VYDAJ	VYBER	720	88861	\N	\N	\N
289224	991	1997-01-18	VYDAJ	VYBER	720	85021	\N	\N	\N
289225	991	1997-01-20	VYDAJ	VYBER	1080	83941	\N	\N	\N
289226	991	1998-01-05	VYDAJ	VYBER	1440	47520	\N	\N	\N
289227	991	1998-01-25	VYDAJ	VYBER	2400	59345	\N	\N	\N
289228	991	1998-01-04	VYDAJ	VYBER	1920	48960	\N	\N	\N
289229	991	1998-01-05	VYDAJ	VYBER	3120	44400	\N	\N	\N
289230	991	1998-01-24	VYDAJ	VYBER	2760	61745	\N	\N	\N
289231	991	1998-01-01	VYDAJ	VYBER	2280	50880	\N	\N	\N
289232	991	1993-10-31	VYDAJ	VYBER	4680	33593	\N	\N	\N
289234	991	1993-10-17	VYDAJ	VYBER	4080	38111	\N	\N	\N
289235	991	1993-12-19	VYDAJ	VYBER	5520	32028	\N	\N	\N
289236	991	1993-11-21	VYDAJ	VYBER	3960	29858	\N	\N	\N
289237	991	1994-06-16	VYDAJ	VYBER	1080	39124	\N	\N	\N
289238	991	1994-12-01	VYDAJ	VYBER	4800	38725	\N	\N	\N
289239	991	1995-11-24	VYDAJ	VYBER	5640	62216	\N	\N	\N
289240	991	1995-02-11	VYDAJ	VYBER	4080	33124	\N	\N	\N
289241	991	1995-10-31	VYDAJ	VYBER	4800	60031	\N	\N	\N
289242	991	1995-05-10	VYDAJ	VYBER	2400	45963	\N	\N	\N
289243	991	1996-08-18	VYDAJ	VYBER	3000	72694	\N	\N	\N
289244	991	1996-08-03	VYDAJ	VYBER	3840	61769	\N	\N	\N
289245	991	1996-09-12	VYDAJ	VYBER	5400	70606	\N	\N	\N
289246	991	1997-12-23	VYDAJ	VYBER	5040	53753	\N	\N	\N
289247	991	1997-02-15	VYDAJ	VYBER	1080	82281	\N	\N	\N
289248	991	1997-11-14	VYDAJ	VYBER	5040	92084	\N	\N	\N
289249	991	1997-01-26	VYDAJ	VYBER	4440	77461	\N	\N	\N
289250	991	1998-09-28	VYDAJ	VYBER	5160	80624	\N	\N	\N
289251	991	1998-05-21	VYDAJ	VYBER	2280	98968	\N	\N	\N
289252	991	1998-01-22	VYDAJ	VYBER	4320	64505	\N	\N	\N
289253	991	1998-08-25	VYDAJ	VYBER	3240	85410	\N	\N	\N
289264	991	1993-10-31	VYDAJ	VYBER	15	38273	SLUZBY	\N	\N
289265	991	1993-11-30	VYDAJ	VYBER	15	29986	SLUZBY	\N	\N
289266	991	1993-12-31	VYDAJ	VYBER	15	32161	SLUZBY	\N	\N
289267	991	1994-01-31	VYDAJ	VYBER	15	29839	SLUZBY	\N	\N
289268	991	1994-02-28	VYDAJ	VYBER	15	33888	SLUZBY	\N	\N
289269	991	1994-03-31	VYDAJ	VYBER	15	37656	SLUZBY	\N	\N
289270	991	1994-04-30	VYDAJ	VYBER	15	41438	SLUZBY	\N	\N
289271	991	1994-05-31	VYDAJ	VYBER	15	40223	SLUZBY	\N	\N
289272	991	1994-06-30	VYDAJ	VYBER	15	39290	SLUZBY	\N	\N
289273	991	1994-07-31	VYDAJ	VYBER	15	40471	SLUZBY	\N	\N
289274	991	1994-08-31	VYDAJ	VYBER	15	40050	SLUZBY	\N	\N
289275	991	1994-09-30	VYDAJ	VYBER	15	41430	SLUZBY	\N	\N
289276	991	1994-10-31	VYDAJ	VYBER	15	42435	SLUZBY	\N	\N
289277	991	1994-11-30	VYDAJ	VYBER	15	43525	SLUZBY	\N	\N
289278	991	1994-12-31	VYDAJ	VYBER	15	42306	SLUZBY	\N	\N
289279	991	1995-01-31	VYDAJ	VYBER	15	32779	SLUZBY	\N	\N
289280	991	1995-02-28	VYDAJ	VYBER	15	33252	SLUZBY	\N	\N
289281	991	1995-03-31	VYDAJ	VYBER	15	36913	SLUZBY	\N	\N
289282	991	1995-04-30	VYDAJ	VYBER	15	40690	SLUZBY	\N	\N
289283	991	1995-05-31	VYDAJ	VYBER	15	39367	SLUZBY	\N	\N
289284	991	1995-06-30	VYDAJ	VYBER	15	46804	SLUZBY	\N	\N
289285	991	1995-07-31	VYDAJ	VYBER	15	47312	SLUZBY	\N	\N
289286	991	1995-08-31	VYDAJ	VYBER	15	46318	SLUZBY	\N	\N
289287	991	1995-09-30	VYDAJ	VYBER	15	55455	SLUZBY	\N	\N
289288	991	1995-10-31	VYDAJ	VYBER	15	64831	SLUZBY	\N	\N
289289	991	1995-11-30	VYDAJ	VYBER	15	62476	SLUZBY	\N	\N
289290	991	1995-12-31	VYDAJ	VYBER	15	76575	SLUZBY	\N	\N
289291	991	1996-01-31	VYDAJ	VYBER	15	63424	SLUZBY	\N	\N
289292	991	1996-02-29	VYDAJ	VYBER	15	70826	SLUZBY	\N	\N
289293	991	1996-03-31	VYDAJ	VYBER	15	76252	SLUZBY	\N	\N
289294	991	1996-04-30	VYDAJ	VYBER	15	79693	SLUZBY	\N	\N
289295	991	1996-05-31	VYDAJ	VYBER	15	81342	SLUZBY	\N	\N
289296	991	1996-06-30	VYDAJ	VYBER	15	63100	SLUZBY	\N	\N
289297	991	1996-07-31	VYDAJ	VYBER	15	73309	SLUZBY	\N	\N
289298	991	1996-08-31	VYDAJ	VYBER	15	62081	SLUZBY	\N	\N
289299	991	1996-09-30	VYDAJ	VYBER	15	63372	SLUZBY	\N	\N
289300	991	1996-10-31	VYDAJ	VYBER	15	65781	SLUZBY	\N	\N
289301	991	1996-11-30	VYDAJ	VYBER	15	69999	SLUZBY	\N	\N
289302	991	1996-12-31	VYDAJ	VYBER	15	75656	SLUZBY	\N	\N
289303	991	1997-01-31	VYDAJ	VYBER	15	69436	SLUZBY	\N	\N
289304	991	1997-02-28	VYDAJ	VYBER	15	69784	SLUZBY	\N	\N
289305	991	1997-03-31	VYDAJ	VYBER	15	72417	SLUZBY	\N	\N
289306	991	1997-04-30	VYDAJ	VYBER	15	73659	SLUZBY	\N	\N
289307	991	1997-05-31	VYDAJ	VYBER	15	72905	SLUZBY	\N	\N
289308	991	1997-06-30	VYDAJ	VYBER	15	58664	SLUZBY	\N	\N
289309	991	1997-07-31	VYDAJ	VYBER	15	70955	SLUZBY	\N	\N
289310	991	1997-08-31	VYDAJ	VYBER	15	72387	SLUZBY	\N	\N
289311	991	1997-09-30	VYDAJ	VYBER	15	80429	SLUZBY	\N	\N
289312	991	1997-10-31	VYDAJ	VYBER	15	83199	SLUZBY	\N	\N
289313	991	1997-11-30	VYDAJ	VYBER	15	84532	SLUZBY	\N	\N
289314	991	1997-12-31	VYDAJ	VYBER	15	53160	SLUZBY	\N	\N
289315	991	1998-01-31	VYDAJ	VYBER	15	59571	SLUZBY	\N	\N
289316	991	1998-02-28	VYDAJ	VYBER	15	77669	SLUZBY	\N	\N
289317	991	1998-03-31	VYDAJ	VYBER	15	86733	SLUZBY	\N	\N
289318	991	1998-04-30	VYDAJ	VYBER	15	87323	SLUZBY	\N	\N
289319	991	1998-05-31	VYDAJ	VYBER	15	90237	SLUZBY	\N	\N
289320	991	1998-06-30	VYDAJ	VYBER	15	68893	SLUZBY	\N	\N
289321	991	1998-07-31	VYDAJ	VYBER	15	82625	SLUZBY	\N	\N
289322	991	1998-08-31	VYDAJ	VYBER	15	85759	SLUZBY	\N	\N
289323	991	1998-09-30	VYDAJ	VYBER	15	80975	SLUZBY	\N	\N
289324	991	1998-10-31	VYDAJ	VYBER	15	82034	SLUZBY	\N	\N
289325	991	1998-11-30	VYDAJ	VYBER	15	87805	SLUZBY	\N	\N
289326	991	1993-06-17	VYDAJ	VYBER	4100	28010	\N	\N	\N
289327	991	1993-07-17	VYDAJ	VYBER	10800	37937	\N	\N	\N
289328	991	1993-08-16	VYDAJ	VYBER	15900	42847	\N	\N	\N
289329	991	1993-09-15	VYDAJ	VYBER	21300	42388	\N	\N	\N
289330	991	1993-10-15	VYDAJ	VYBER	14300	42191	\N	\N	\N
289331	991	1993-11-14	VYDAJ	VYBER	13700	33818	\N	\N	\N
289332	991	1993-12-14	VYDAJ	VYBER	13500	40748	\N	\N	\N
289333	991	1994-01-13	VYDAJ	VYBER	5700	35226	\N	\N	\N
289334	991	1994-02-12	VYDAJ	VYBER	10000	33764	\N	\N	\N
289335	991	1994-03-14	VYDAJ	VYBER	10300	37513	\N	\N	\N
289336	991	1994-04-13	VYDAJ	VYBER	10300	41281	\N	\N	\N
289337	991	1994-05-13	VYDAJ	VYBER	15300	40063	\N	\N	\N
289338	991	1994-06-12	VYDAJ	VYBER	14200	40204	\N	\N	\N
289339	991	1994-07-12	VYDAJ	VYBER	12900	40315	\N	\N	\N
289340	991	1994-08-11	VYDAJ	VYBER	14500	39896	\N	\N	\N
289341	991	1994-09-10	VYDAJ	VYBER	12700	41275	\N	\N	\N
289342	991	1994-10-10	VYDAJ	VYBER	13100	49003	\N	\N	\N
289343	991	1994-11-09	VYDAJ	VYBER	13000	50108	\N	\N	\N
289344	991	1994-12-09	VYDAJ	VYBER	18300	51435	\N	\N	\N
289345	991	1995-01-08	VYDAJ	VYBER	12200	44659	\N	\N	\N
289346	991	1995-02-07	VYDAJ	VYBER	9500	43952	\N	\N	\N
289347	991	1995-03-09	VYDAJ	VYBER	10400	43525	\N	\N	\N
289348	991	1995-04-08	VYDAJ	VYBER	10300	47286	\N	\N	\N
289349	991	1995-05-08	VYDAJ	VYBER	13000	48363	\N	\N	\N
289350	991	1995-06-07	VYDAJ	VYBER	17000	53376	\N	\N	\N
289351	991	1995-07-07	VYDAJ	VYBER	13600	53877	\N	\N	\N
289352	991	1995-08-06	VYDAJ	VYBER	15100	52885	\N	\N	\N
289353	991	1995-09-05	VYDAJ	VYBER	5000	41318	\N	\N	\N
289354	991	1995-10-05	VYDAJ	VYBER	4800	50655	\N	\N	\N
289355	991	1995-11-04	VYDAJ	VYBER	6100	53931	\N	\N	\N
289356	991	1995-12-04	VYDAJ	VYBER	8700	53776	\N	\N	\N
289357	991	1996-01-03	VYDAJ	VYBER	12600	63975	\N	\N	\N
289358	991	1996-02-02	VYDAJ	VYBER	6800	56624	\N	\N	\N
289359	991	1996-03-03	VYDAJ	VYBER	8800	62026	\N	\N	\N
289360	991	1996-04-02	VYDAJ	VYBER	10800	65452	\N	\N	\N
289361	991	1996-05-02	VYDAJ	VYBER	12600	67093	\N	\N	\N
289362	991	1996-06-01	VYDAJ	VYBER	16700	64642	\N	\N	\N
289363	991	1996-07-01	VYDAJ	VYBER	4000	59100	\N	\N	\N
289364	991	1996-07-31	VYDAJ	VYBER	7700	65609	\N	\N	\N
289365	991	1996-08-30	VYDAJ	VYBER	10900	61794	\N	\N	\N
289366	991	1996-09-29	VYDAJ	VYBER	7500	63106	\N	\N	\N
289367	991	1996-10-29	VYDAJ	VYBER	11800	65497	\N	\N	\N
289368	991	1996-11-28	VYDAJ	VYBER	10000	69706	\N	\N	\N
289369	991	1996-12-28	VYDAJ	VYBER	17500	75321	\N	\N	\N
289370	991	1997-01-27	VYDAJ	VYBER	6300	69121	\N	\N	\N
289371	991	1997-02-26	VYDAJ	VYBER	12800	69481	\N	\N	\N
289372	991	1997-03-28	VYDAJ	VYBER	11600	72109	\N	\N	\N
289373	991	1997-04-27	VYDAJ	VYBER	13000	73342	\N	\N	\N
289374	991	1997-05-27	VYDAJ	VYBER	15000	72584	\N	\N	\N
289375	991	1997-06-26	PRIJEM	VKLAD	300	58426	\N	\N	\N
289376	991	1997-07-26	VYDAJ	VYBER	1900	70689	\N	\N	\N
289377	991	1997-08-25	VYDAJ	VYBER	12800	72080	\N	\N	\N
289378	991	1997-09-24	VYDAJ	VYBER	6200	80112	\N	\N	\N
289379	991	1997-10-24	VYDAJ	VYBER	11500	82854	\N	\N	\N
289380	991	1997-11-23	VYDAJ	VYBER	7900	84184	\N	\N	\N
289381	991	1997-12-06	VYDAJ	VYBER	64800	50741	\N	\N	\N
289382	991	1997-12-23	PRIJEM	VKLAD	14800	58793	\N	\N	\N
289383	991	1998-01-22	PRIJEM	VKLAD	10500	68825	\N	\N	\N
289384	991	1998-02-21	PRIJEM	VKLAD	3900	77396	\N	\N	\N
289385	991	1998-03-23	VYDAJ	VYBER	5200	86394	\N	\N	\N
289386	991	1998-04-22	VYDAJ	VYBER	13700	86958	\N	\N	\N
289387	991	1998-05-22	VYDAJ	VYBER	9100	89868	\N	\N	\N
289388	991	1998-06-06	VYDAJ	VYBER	55600	65646	\N	\N	\N
289389	991	1998-06-21	PRIJEM	VKLAD	9700	68598	\N	\N	\N
289390	991	1998-07-21	VYDAJ	VYBER	500	82318	\N	\N	\N
289391	991	1998-08-20	VYDAJ	VYBER	7900	88650	\N	\N	\N
289392	991	1998-09-19	VYDAJ	VYBER	13900	85784	\N	\N	\N
289393	991	1998-10-19	VYDAJ	VYBER	13200	81700	\N	\N	\N
289394	991	1998-11-18	VYDAJ	VYBER	8500	87459	\N	\N	\N
289395	991	1998-12-06	VYDAJ	VYBER	54000	64814	\N	\N	\N
289463	992	1995-10-01	PRIJEM	VKLAD	700	700	\N	\N	\N
289473	992	1995-10-05	PRIJEM	VKLAD	10631	11331	\N	\N	\N
289474	992	1995-11-05	PRIJEM	VKLAD	10631	26504	\N	\N	\N
289475	992	1995-12-05	PRIJEM	VKLAD	15946	42617	\N	\N	\N
289476	992	1996-01-05	PRIJEM	VKLAD	10631	45061	\N	\N	\N
289477	992	1996-02-05	PRIJEM	VKLAD	10631	44135	\N	\N	\N
289478	992	1996-03-05	PRIJEM	VKLAD	10631	43018	\N	\N	\N
289479	992	1996-04-05	PRIJEM	VKLAD	10631	42300	\N	\N	\N
289480	992	1996-05-05	PRIJEM	VKLAD	10631	37281	\N	\N	\N
289481	992	1996-06-05	PRIJEM	VKLAD	15946	41952	\N	\N	\N
289482	992	1996-07-05	PRIJEM	VKLAD	10631	25395	\N	\N	\N
289483	992	1996-08-05	PRIJEM	VKLAD	10631	32303	\N	\N	\N
289484	992	1996-09-05	PRIJEM	VKLAD	10631	33539	\N	\N	\N
289485	992	1996-10-05	PRIJEM	VKLAD	10631	30575	\N	\N	\N
289486	992	1996-11-05	PRIJEM	VKLAD	10631	29799	\N	\N	\N
289487	992	1996-12-05	PRIJEM	VKLAD	15946	33823	\N	\N	\N
289488	992	1997-01-05	PRIJEM	VKLAD	10631	30619	\N	\N	\N
289489	992	1997-02-05	PRIJEM	VKLAD	10631	25248	\N	\N	\N
289490	992	1997-03-05	PRIJEM	VKLAD	10631	26853	\N	\N	\N
289491	992	1997-04-05	PRIJEM	VKLAD	10631	24561	\N	\N	\N
289492	992	1997-05-05	PRIJEM	VKLAD	10631	26161	\N	\N	\N
289493	992	1997-06-05	PRIJEM	VKLAD	15946	27081	\N	\N	\N
289494	992	1997-07-05	PRIJEM	VKLAD	10631	25262	\N	\N	\N
289495	992	1997-08-05	PRIJEM	VKLAD	10631	28868	\N	\N	\N
289496	992	1997-09-05	PRIJEM	VKLAD	10631	27884	\N	\N	\N
289497	992	1997-10-05	PRIJEM	VKLAD	10631	24316	\N	\N	\N
289498	992	1997-11-05	PRIJEM	VKLAD	10631	24917	\N	\N	\N
289499	992	1997-12-05	PRIJEM	VKLAD	15946	28230	\N	\N	\N
289500	992	1998-01-05	PRIJEM	VKLAD	10631	28803	\N	\N	\N
289501	992	1998-02-05	PRIJEM	VKLAD	10631	22445	\N	\N	\N
289502	992	1998-03-05	PRIJEM	VKLAD	10631	25740	\N	\N	\N
289503	992	1998-04-05	PRIJEM	VKLAD	10631	23941	\N	\N	\N
289504	992	1998-05-05	PRIJEM	VKLAD	10631	27543	\N	\N	\N
289505	992	1998-06-05	PRIJEM	VKLAD	15946	36475	\N	\N	\N
289506	992	1998-07-05	PRIJEM	VKLAD	10631	31509	\N	\N	\N
289507	992	1998-08-05	PRIJEM	VKLAD	10631	24622	\N	\N	\N
289508	992	1998-09-05	PRIJEM	VKLAD	10631	23517	\N	\N	\N
289509	992	1998-10-05	PRIJEM	VKLAD	10631	23744	\N	\N	\N
289510	992	1998-11-05	PRIJEM	VKLAD	10631	25902	\N	\N	\N
289511	992	1998-12-05	PRIJEM	VKLAD	15946	34825	\N	\N	\N
289525	992	1996-02-11	VYDAJ	PREVOD NA UCET	3231	37383	SIPO	QR	63584351
289526	992	1996-03-11	VYDAJ	PREVOD NA UCET	3231	35931	SIPO	QR	63584351
289527	992	1996-04-11	VYDAJ	PREVOD NA UCET	3231	35213	SIPO	QR	63584351
289528	992	1996-05-11	VYDAJ	PREVOD NA UCET	3231	30529	SIPO	QR	63584351
289529	992	1996-06-11	VYDAJ	PREVOD NA UCET	3231	34865	SIPO	QR	63584351
289530	992	1996-07-11	VYDAJ	PREVOD NA UCET	3231	18643	SIPO	QR	63584351
289531	992	1996-08-11	VYDAJ	PREVOD NA UCET	3231	25216	SIPO	QR	63584351
289532	992	1996-09-11	VYDAJ	PREVOD NA UCET	3231	26787	SIPO	QR	63584351
289533	992	1996-10-11	VYDAJ	PREVOD NA UCET	3231	23823	SIPO	QR	63584351
289534	992	1996-11-11	VYDAJ	PREVOD NA UCET	3231	17647	SIPO	QR	63584351
289535	992	1996-12-11	VYDAJ	PREVOD NA UCET	3231	26736	SIPO	QR	63584351
289536	992	1997-01-11	VYDAJ	PREVOD NA UCET	3231	21972	SIPO	QR	63584351
289537	992	1997-02-11	VYDAJ	PREVOD NA UCET	3231	18496	SIPO	QR	63584351
289538	992	1997-03-11	VYDAJ	PREVOD NA UCET	3231	20101	SIPO	QR	63584351
289539	992	1997-04-11	VYDAJ	PREVOD NA UCET	3231	17474	SIPO	QR	63584351
289540	992	1997-05-11	VYDAJ	PREVOD NA UCET	3231	19074	SIPO	QR	63584351
289541	992	1997-06-11	VYDAJ	PREVOD NA UCET	3231	20329	SIPO	QR	63584351
289542	992	1997-07-11	VYDAJ	PREVOD NA UCET	3231	18175	SIPO	QR	63584351
289543	992	1997-08-11	VYDAJ	PREVOD NA UCET	3231	21781	SIPO	QR	63584351
289544	992	1997-09-11	VYDAJ	PREVOD NA UCET	3231	20797	SIPO	QR	63584351
289545	992	1997-10-11	VYDAJ	PREVOD NA UCET	3231	17229	SIPO	QR	63584351
289546	992	1997-11-11	VYDAJ	PREVOD NA UCET	3231	18165	SIPO	QR	63584351
289547	992	1997-12-11	VYDAJ	PREVOD NA UCET	3231	21143	SIPO	QR	63584351
289548	992	1998-01-11	VYDAJ	PREVOD NA UCET	3231	22051	SIPO	QR	63584351
289549	992	1998-02-11	VYDAJ	PREVOD NA UCET	3231	15358	SIPO	QR	63584351
289550	992	1998-03-11	VYDAJ	PREVOD NA UCET	3231	18988	SIPO	QR	63584351
289551	992	1998-04-11	VYDAJ	PREVOD NA UCET	3231	17189	SIPO	QR	63584351
289552	992	1998-05-11	VYDAJ	PREVOD NA UCET	3231	20791	SIPO	QR	63584351
289553	992	1998-06-11	VYDAJ	PREVOD NA UCET	3231	29388	SIPO	QR	63584351
289554	992	1998-07-11	VYDAJ	PREVOD NA UCET	3231	24422	SIPO	QR	63584351
289555	992	1998-08-11	VYDAJ	PREVOD NA UCET	3231	17535	SIPO	QR	63584351
289556	992	1998-09-11	VYDAJ	PREVOD NA UCET	3231	13405	SIPO	QR	63584351
289557	992	1998-10-11	VYDAJ	PREVOD NA UCET	3231	16657	SIPO	QR	63584351
289558	992	1998-11-11	VYDAJ	PREVOD NA UCET	3231	18815	SIPO	QR	63584351
289559	992	1998-12-11	VYDAJ	PREVOD NA UCET	3231	25993	SIPO	QR	63584351
289573	992	1996-02-05	VYDAJ	PREVOD NA UCET	1071	40614	 	KL	77042627
289574	992	1996-03-05	VYDAJ	PREVOD NA UCET	1071	39497	 	KL	77042627
289575	992	1996-04-05	VYDAJ	PREVOD NA UCET	1071	41229	 	KL	77042627
289576	992	1996-05-05	VYDAJ	PREVOD NA UCET	1071	36210	 	KL	77042627
289577	992	1996-06-05	VYDAJ	PREVOD NA UCET	1071	38431	 	KL	77042627
289578	992	1996-07-05	VYDAJ	PREVOD NA UCET	1071	24324	 	KL	77042627
289579	992	1996-08-05	VYDAJ	PREVOD NA UCET	1071	31232	 	KL	77042627
289580	992	1996-09-05	VYDAJ	PREVOD NA UCET	1071	30018	 	KL	77042627
289581	992	1996-10-05	VYDAJ	PREVOD NA UCET	1071	27054	 	KL	77042627
289582	992	1996-11-05	VYDAJ	PREVOD NA UCET	1071	28728	 	KL	77042627
289583	992	1996-12-05	VYDAJ	PREVOD NA UCET	1071	30302	 	KL	77042627
289584	992	1997-01-05	VYDAJ	PREVOD NA UCET	1071	29548	 	KL	77042627
289585	992	1997-02-05	VYDAJ	PREVOD NA UCET	1071	21727	 	KL	77042627
289586	992	1997-03-05	VYDAJ	PREVOD NA UCET	1071	23332	 	KL	77042627
289587	992	1997-04-05	VYDAJ	PREVOD NA UCET	1071	21040	 	KL	77042627
289588	992	1997-05-05	VYDAJ	PREVOD NA UCET	1071	22640	 	KL	77042627
289589	992	1997-06-05	VYDAJ	PREVOD NA UCET	1071	26010	 	KL	77042627
289590	992	1997-07-05	VYDAJ	PREVOD NA UCET	1071	24191	 	KL	77042627
289591	992	1997-08-05	VYDAJ	PREVOD NA UCET	1071	27797	 	KL	77042627
289592	992	1997-09-05	VYDAJ	PREVOD NA UCET	1071	24363	 	KL	77042627
289593	992	1997-10-05	VYDAJ	PREVOD NA UCET	1071	20795	 	KL	77042627
289594	992	1997-11-05	VYDAJ	PREVOD NA UCET	1071	21396	 	KL	77042627
289595	992	1997-12-05	VYDAJ	PREVOD NA UCET	1071	27159	 	KL	77042627
289596	992	1998-01-05	VYDAJ	PREVOD NA UCET	1071	25282	 	KL	77042627
289597	992	1998-02-05	VYDAJ	PREVOD NA UCET	1071	21374	 	KL	77042627
289598	992	1998-03-05	VYDAJ	PREVOD NA UCET	1071	24669	 	KL	77042627
289599	992	1998-04-05	VYDAJ	PREVOD NA UCET	1071	22870	 	KL	77042627
289600	992	1998-05-05	VYDAJ	PREVOD NA UCET	1071	24022	 	KL	77042627
289601	992	1998-06-05	VYDAJ	PREVOD NA UCET	1071	35404	 	KL	77042627
289602	992	1998-07-05	VYDAJ	PREVOD NA UCET	1071	27988	 	KL	77042627
289603	992	1998-08-05	VYDAJ	PREVOD NA UCET	1071	21101	 	KL	77042627
289604	992	1998-09-05	VYDAJ	PREVOD NA UCET	1071	22446	 	KL	77042627
289605	992	1998-10-05	VYDAJ	PREVOD NA UCET	1071	20223	 	KL	77042627
289606	992	1998-11-05	VYDAJ	PREVOD NA UCET	1071	24831	 	KL	77042627
289607	992	1998-12-05	VYDAJ	PREVOD NA UCET	1071	33754	 	KL	77042627
289621	992	1996-02-11	VYDAJ	PREVOD NA UCET	335	37048	POJISTNE	IJ	3588748
289622	992	1996-03-11	VYDAJ	PREVOD NA UCET	335	39162	POJISTNE	IJ	3588748
289623	992	1996-04-11	VYDAJ	PREVOD NA UCET	335	38444	POJISTNE	IJ	3588748
289624	992	1996-05-11	VYDAJ	PREVOD NA UCET	335	30194	POJISTNE	IJ	3588748
289625	992	1996-06-11	VYDAJ	PREVOD NA UCET	335	38096	POJISTNE	IJ	3588748
289626	992	1996-07-11	VYDAJ	PREVOD NA UCET	335	18308	POJISTNE	IJ	3588748
289627	992	1996-08-11	VYDAJ	PREVOD NA UCET	335	28447	POJISTNE	IJ	3588748
289628	992	1996-09-11	VYDAJ	PREVOD NA UCET	335	26452	POJISTNE	IJ	3588748
289629	992	1996-10-11	VYDAJ	PREVOD NA UCET	335	23488	POJISTNE	IJ	3588748
289630	992	1996-11-11	VYDAJ	PREVOD NA UCET	335	17312	POJISTNE	IJ	3588748
289631	992	1996-12-11	VYDAJ	PREVOD NA UCET	335	29967	POJISTNE	IJ	3588748
289632	992	1997-01-11	VYDAJ	PREVOD NA UCET	335	25203	POJISTNE	IJ	3588748
289633	992	1997-02-11	VYDAJ	PREVOD NA UCET	335	18161	POJISTNE	IJ	3588748
289634	992	1997-03-11	VYDAJ	PREVOD NA UCET	335	19766	POJISTNE	IJ	3588748
289635	992	1997-04-11	VYDAJ	PREVOD NA UCET	335	20705	POJISTNE	IJ	3588748
289636	992	1997-05-11	VYDAJ	PREVOD NA UCET	335	22305	POJISTNE	IJ	3588748
289637	992	1997-06-11	VYDAJ	PREVOD NA UCET	335	19994	POJISTNE	IJ	3588748
289638	992	1997-07-11	VYDAJ	PREVOD NA UCET	335	21406	POJISTNE	IJ	3588748
289639	992	1997-08-11	VYDAJ	PREVOD NA UCET	335	25012	POJISTNE	IJ	3588748
289640	992	1997-09-11	VYDAJ	PREVOD NA UCET	335	24028	POJISTNE	IJ	3588748
289641	992	1997-10-11	VYDAJ	PREVOD NA UCET	335	20460	POJISTNE	IJ	3588748
289642	992	1997-11-11	VYDAJ	PREVOD NA UCET	335	17830	POJISTNE	IJ	3588748
289643	992	1997-12-11	VYDAJ	PREVOD NA UCET	335	24374	POJISTNE	IJ	3588748
289644	992	1998-01-11	VYDAJ	PREVOD NA UCET	335	21716	POJISTNE	IJ	3588748
289645	992	1998-02-11	VYDAJ	PREVOD NA UCET	335	18589	POJISTNE	IJ	3588748
289646	992	1998-03-11	VYDAJ	PREVOD NA UCET	335	18653	POJISTNE	IJ	3588748
289647	992	1998-04-11	VYDAJ	PREVOD NA UCET	335	16854	POJISTNE	IJ	3588748
289648	992	1998-05-11	VYDAJ	PREVOD NA UCET	335	20456	POJISTNE	IJ	3588748
289649	992	1998-06-11	VYDAJ	PREVOD NA UCET	335	32619	POJISTNE	IJ	3588748
289650	992	1998-07-11	VYDAJ	PREVOD NA UCET	335	27653	POJISTNE	IJ	3588748
289651	992	1998-08-11	VYDAJ	PREVOD NA UCET	335	20766	POJISTNE	IJ	3588748
289652	992	1998-09-11	VYDAJ	PREVOD NA UCET	335	13070	POJISTNE	IJ	3588748
289653	992	1998-10-11	VYDAJ	PREVOD NA UCET	335	19888	POJISTNE	IJ	3588748
289654	992	1998-11-11	VYDAJ	PREVOD NA UCET	335	22046	POJISTNE	IJ	3588748
289655	992	1998-12-11	VYDAJ	PREVOD NA UCET	335	25658	POJISTNE	IJ	3588748
289669	992	1996-02-05	VYDAJ	PREVOD NA UCET	2450	41685	 	QR	40572267
289670	992	1996-03-05	VYDAJ	PREVOD NA UCET	2450	40568	 	QR	40572267
289671	992	1996-04-05	VYDAJ	PREVOD NA UCET	2450	38779	 	QR	40572267
289672	992	1996-05-05	VYDAJ	PREVOD NA UCET	2450	33760	 	QR	40572267
289673	992	1996-06-05	VYDAJ	PREVOD NA UCET	2450	39502	 	QR	40572267
289674	992	1996-07-05	VYDAJ	PREVOD NA UCET	2450	21874	 	QR	40572267
289675	992	1996-08-05	VYDAJ	PREVOD NA UCET	2450	28782	 	QR	40572267
289676	992	1996-09-05	VYDAJ	PREVOD NA UCET	2450	31089	 	QR	40572267
289677	992	1996-10-05	VYDAJ	PREVOD NA UCET	2450	28125	 	QR	40572267
289678	992	1996-11-05	VYDAJ	PREVOD NA UCET	2450	26278	 	QR	40572267
289679	992	1996-12-05	VYDAJ	PREVOD NA UCET	2450	31373	 	QR	40572267
289680	992	1997-01-05	VYDAJ	PREVOD NA UCET	2450	27098	 	QR	40572267
289681	992	1997-02-05	VYDAJ	PREVOD NA UCET	2450	22798	 	QR	40572267
289682	992	1997-03-05	VYDAJ	PREVOD NA UCET	2450	24403	 	QR	40572267
289683	992	1997-04-05	VYDAJ	PREVOD NA UCET	2450	22111	 	QR	40572267
289684	992	1997-05-05	VYDAJ	PREVOD NA UCET	2450	23711	 	QR	40572267
289685	992	1997-06-05	VYDAJ	PREVOD NA UCET	2450	23560	 	QR	40572267
289686	992	1997-07-05	VYDAJ	PREVOD NA UCET	2450	21741	 	QR	40572267
289687	992	1997-08-05	VYDAJ	PREVOD NA UCET	2450	25347	 	QR	40572267
289688	992	1997-09-05	VYDAJ	PREVOD NA UCET	2450	25434	 	QR	40572267
289689	992	1997-10-05	VYDAJ	PREVOD NA UCET	2450	21866	 	QR	40572267
289690	992	1997-11-05	VYDAJ	PREVOD NA UCET	2450	22467	 	QR	40572267
289691	992	1997-12-05	VYDAJ	PREVOD NA UCET	2450	24709	 	QR	40572267
289692	992	1998-01-05	VYDAJ	PREVOD NA UCET	2450	26353	 	QR	40572267
289693	992	1998-02-05	VYDAJ	PREVOD NA UCET	2450	18924	 	QR	40572267
289694	992	1998-03-05	VYDAJ	PREVOD NA UCET	2450	22219	 	QR	40572267
289695	992	1998-04-05	VYDAJ	PREVOD NA UCET	2450	20420	 	QR	40572267
289696	992	1998-05-05	VYDAJ	PREVOD NA UCET	2450	25093	 	QR	40572267
289697	992	1998-06-05	VYDAJ	PREVOD NA UCET	2450	32954	 	QR	40572267
289698	992	1998-07-05	VYDAJ	PREVOD NA UCET	2450	29059	 	QR	40572267
289699	992	1998-08-05	VYDAJ	PREVOD NA UCET	2450	22172	 	QR	40572267
289700	992	1998-09-05	VYDAJ	PREVOD NA UCET	2450	19996	 	QR	40572267
289701	992	1998-10-05	VYDAJ	PREVOD NA UCET	2450	21294	 	QR	40572267
289702	992	1998-11-05	VYDAJ	PREVOD NA UCET	2450	22381	 	QR	40572267
289703	992	1998-12-05	VYDAJ	PREVOD NA UCET	2450	31304	 	QR	40572267
289705	992	1996-06-18	VYDAJ	VYBER	20000	14865	\N	\N	\N
289713	992	1996-12-22	VYDAJ	VYBER	1440	25296	\N	\N	\N
289714	992	1997-12-17	VYDAJ	VYBER	3040	18103	\N	\N	\N
289715	992	1998-12-08	VYDAJ	VYBER	2080	29224	\N	\N	\N
289728	992	1997-01-14	VYDAJ	VYBER	2760	19212	\N	\N	\N
289729	992	1997-01-09	VYDAJ	VYBER	1560	25538	\N	\N	\N
289731	992	1997-01-17	VYDAJ	VYBER	3480	15732	\N	\N	\N
289733	992	1997-01-22	VYDAJ	VYBER	1680	14052	\N	\N	\N
289738	992	1998-01-11	VYDAJ	VYBER	1560	20156	\N	\N	\N
289744	992	1996-11-09	VYDAJ	VYBER	3120	20878	\N	\N	\N
289746	992	1996-11-06	VYDAJ	VYBER	2280	23998	\N	\N	\N
289748	992	1997-09-30	VYDAJ	VYBER	1680	13685	\N	\N	\N
289749	992	1997-06-12	VYDAJ	VYBER	1920	18074	\N	\N	\N
289751	992	1998-10-25	VYDAJ	VYBER	1440	15217	\N	\N	\N
289753	992	1998-09-06	VYDAJ	VYBER	3360	16636	\N	\N	\N
289768	992	1996-02-29	VYDAJ	VYBER	15	32387	SLUZBY	\N	\N
289769	992	1996-03-31	VYDAJ	VYBER	15	31669	SLUZBY	\N	\N
289770	992	1996-04-30	VYDAJ	VYBER	15	26650	SLUZBY	\N	\N
289771	992	1996-05-31	VYDAJ	VYBER	15	26006	SLUZBY	\N	\N
289772	992	1996-06-30	VYDAJ	VYBER	15	14764	SLUZBY	\N	\N
289773	992	1996-07-31	VYDAJ	VYBER	15	21672	SLUZBY	\N	\N
289774	992	1996-08-31	VYDAJ	VYBER	15	22908	SLUZBY	\N	\N
289775	992	1996-09-30	VYDAJ	VYBER	15	19944	SLUZBY	\N	\N
289776	992	1996-10-31	VYDAJ	VYBER	15	19168	SLUZBY	\N	\N
289777	992	1996-11-30	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
289778	992	1996-12-31	VYDAJ	VYBER	15	19988	SLUZBY	\N	\N
289779	992	1997-01-31	VYDAJ	VYBER	15	14617	SLUZBY	\N	\N
289780	992	1997-02-28	VYDAJ	VYBER	15	16222	SLUZBY	\N	\N
289781	992	1997-03-31	VYDAJ	VYBER	15	13930	SLUZBY	\N	\N
289782	992	1997-04-30	VYDAJ	VYBER	15	15530	SLUZBY	\N	\N
289783	992	1997-05-31	VYDAJ	VYBER	15	11135	SLUZBY	\N	\N
289784	992	1997-06-30	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
289785	992	1997-07-31	VYDAJ	VYBER	15	18237	SLUZBY	\N	\N
289786	992	1997-08-31	VYDAJ	VYBER	15	17253	SLUZBY	\N	\N
289787	992	1997-09-30	VYDAJ	VYBER	15	15365	SLUZBY	\N	\N
289788	992	1997-10-31	VYDAJ	VYBER	15	14286	SLUZBY	\N	\N
289789	992	1997-11-30	VYDAJ	VYBER	15	12284	SLUZBY	\N	\N
289790	992	1997-12-31	VYDAJ	VYBER	15	18172	SLUZBY	\N	\N
289791	992	1998-01-31	VYDAJ	VYBER	15	11814	SLUZBY	\N	\N
289792	992	1998-02-28	VYDAJ	VYBER	15	15109	SLUZBY	\N	\N
289793	992	1998-03-31	VYDAJ	VYBER	15	13310	SLUZBY	\N	\N
289794	992	1998-04-30	VYDAJ	VYBER	15	16912	SLUZBY	\N	\N
289795	992	1998-05-31	VYDAJ	VYBER	15	20529	SLUZBY	\N	\N
289796	992	1998-06-30	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
289797	992	1998-07-31	VYDAJ	VYBER	15	13991	SLUZBY	\N	\N
289798	992	1998-08-31	VYDAJ	VYBER	15	12886	SLUZBY	\N	\N
289799	992	1998-09-30	VYDAJ	VYBER	15	13113	SLUZBY	\N	\N
289800	992	1998-10-31	VYDAJ	VYBER	15	15271	SLUZBY	\N	\N
289801	992	1998-11-30	VYDAJ	VYBER	15	18879	SLUZBY	\N	\N
289802	992	1995-10-31	PRIJEM	VKLAD	4500	15831	\N	\N	\N
289803	992	1995-11-30	PRIJEM	VKLAD	100	26671	\N	\N	\N
289804	992	1995-12-30	VYDAJ	VYBER	8300	34317	\N	\N	\N
289805	992	1996-01-29	VYDAJ	VYBER	11700	33361	\N	\N	\N
289806	992	1996-02-28	VYDAJ	VYBER	4800	32248	\N	\N	\N
289807	992	1996-03-29	VYDAJ	VYBER	4400	31531	\N	\N	\N
289808	992	1996-04-28	VYDAJ	VYBER	8700	26513	\N	\N	\N
289809	992	1996-05-28	VYDAJ	VYBER	4300	25894	\N	\N	\N
289810	992	1996-06-27	VYDAJ	VYBER	200	14665	\N	\N	\N
289811	992	1996-07-27	PRIJEM	VKLAD	3300	21608	\N	\N	\N
289812	992	1996-08-26	VYDAJ	VYBER	2400	22816	\N	\N	\N
289813	992	1996-09-25	VYDAJ	VYBER	6600	19852	\N	\N	\N
289814	992	1996-10-25	VYDAJ	VYBER	4400	19088	\N	\N	\N
289815	992	1996-11-24	PRIJEM	VKLAD	500	17812	\N	\N	\N
289816	992	1996-12-24	VYDAJ	VYBER	5400	19896	\N	\N	\N
289817	992	1997-01-23	PRIJEM	VKLAD	500	14552	\N	\N	\N
289818	992	1997-02-22	VYDAJ	VYBER	2000	16161	\N	\N	\N
289819	992	1997-03-24	VYDAJ	VYBER	5900	13866	\N	\N	\N
289820	992	1997-04-23	VYDAJ	VYBER	2000	15474	\N	\N	\N
289821	992	1997-05-23	VYDAJ	VYBER	8000	11074	\N	\N	\N
289822	992	1997-06-22	VYDAJ	VYBER	3500	14574	\N	\N	\N
289823	992	1997-08-21	VYDAJ	VYBER	4600	17181	\N	\N	\N
289824	992	1997-09-20	VYDAJ	VYBER	5500	15297	\N	\N	\N
289825	992	1997-10-20	VYDAJ	VYBER	3000	14229	\N	\N	\N
289826	992	1997-11-19	VYDAJ	VYBER	5600	12230	\N	\N	\N
289827	992	1998-01-18	VYDAJ	VYBER	8400	11756	\N	\N	\N
289828	992	1998-02-17	VYDAJ	VYBER	300	15058	\N	\N	\N
289829	992	1998-03-19	VYDAJ	VYBER	5400	13253	\N	\N	\N
289830	992	1998-06-17	VYDAJ	VYBER	8600	20788	\N	\N	\N
289831	992	1998-07-17	VYDAJ	VYBER	10500	13922	\N	\N	\N
289832	992	1998-08-16	VYDAJ	VYBER	4700	12835	\N	\N	\N
289872	993	1996-11-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
289880	993	1996-12-23	PRIJEM	VKLAD	21867	35067	\N	\N	\N
289882	993	1997-02-13	PRIJEM	VKLAD	38464	67220	\N	\N	\N
289883	993	1997-05-03	PRIJEM	VKLAD	6701	47003	\N	\N	\N
289884	993	1997-06-12	PRIJEM	VKLAD	37166	75676	\N	\N	\N
289885	993	1998-09-11	PRIJEM	VKLAD	23431	47806	\N	\N	\N
289886	993	1998-11-01	PRIJEM	VKLAD	11268	98352	\N	\N	\N
289887	993	1998-12-03	PRIJEM	VKLAD	43273	92279	\N	\N	\N
289888	993	1998-08-02	PRIJEM	VKLAD	7056	37808	\N	\N	\N
289889	993	1998-11-02	PRIJEM	VKLAD	25250	123602	\N	\N	\N
289890	993	1998-05-18	PRIJEM	VKLAD	23812	69891	\N	\N	\N
289891	993	1998-02-02	PRIJEM	VKLAD	31755	64996	\N	\N	\N
289892	993	1998-09-18	PRIJEM	VKLAD	43707	83813	\N	\N	\N
289893	993	1998-10-24	PRIJEM	VKLAD	42961	89967	\N	\N	\N
289894	993	1998-06-07	PRIJEM	VKLAD	28918	100000	\N	\N	\N
289895	993	1998-02-20	PRIJEM	VKLAD	39084	88195	\N	\N	\N
289896	993	1998-05-02	PRIJEM	VKLAD	32018	72879	\N	\N	\N
289897	993	1998-12-17	PRIJEM	VKLAD	48900	105894	\N	\N	\N
289898	993	1998-02-04	PRIJEM	VKLAD	47615	112611	\N	\N	\N
289899	993	1998-12-14	PRIJEM	VKLAD	29511	56994	\N	\N	\N
289900	993	1998-05-22	PRIJEM	VKLAD	10245	80136	\N	\N	\N
289901	993	1998-10-31	PRIJEM	VKLAD	27358	117598	\N	\N	\N
289927	993	1998-02-12	VYDAJ	VYBER	1800	49111	\N	\N	0
289928	993	1998-03-11	VYDAJ	VYBER	2300	55433	\N	\N	0
289929	993	1998-04-14	VYDAJ	VYBER	1700	40683	\N	\N	0
289930	993	1998-05-04	VYDAJ	VYBER	2000	70879	\N	\N	0
289931	993	1998-06-10	VYDAJ	VYBER	1200	59600	\N	\N	0
289932	993	1998-07-12	VYDAJ	PREVOD NA UCET	1812	30626	UVER	WX	89932006
289933	993	1998-08-12	VYDAJ	PREVOD NA UCET	1812	21095	UVER	WX	89932006
289934	993	1998-09-12	VYDAJ	PREVOD NA UCET	1812	45993	UVER	WX	89932006
289935	993	1998-10-12	VYDAJ	PREVOD NA UCET	1812	47006	UVER	WX	89932006
289936	993	1998-11-12	VYDAJ	PREVOD NA UCET	1812	48789	UVER	WX	89932006
289937	993	1998-12-12	VYDAJ	PREVOD NA UCET	1812	35312	UVER	WX	89932006
289948	993	1998-12-13	VYBER	VYBER	7829	27483	\N	\N	\N
289949	993	1998-03-08	VYBER	VYBER	5121	83333	\N	\N	\N
289950	993	1998-12-10	VYBER	VYBER	23455	37124	\N	\N	\N
289951	993	1998-05-31	VYBER	VYBER	9297	71096	\N	\N	\N
289952	993	1998-09-15	VYBER	VYBER	5887	40106	\N	\N	\N
289955	993	1998-06-28	VYBER	VYBER	18510	41090	\N	\N	\N
289965	993	1998-12-30	VYDAJ	VYBER KARTOU	1800	104094	\N	\N	0
289997	993	1998-10-05	VYDAJ	VYBER	10200	48818	\N	\N	\N
289999	993	1998-08-08	VYDAJ	VYBER	6900	22908	\N	\N	\N
290026	993	1998-02-28	VYDAJ	VYBER	15	88454	SLUZBY	\N	\N
290027	993	1998-03-31	VYDAJ	VYBER	15	55683	SLUZBY	\N	\N
290028	993	1998-04-30	VYDAJ	VYBER	15	40861	SLUZBY	\N	\N
290029	993	1998-05-31	VYDAJ	VYBER	15	71082	SLUZBY	\N	\N
290030	993	1998-06-30	VYDAJ	VYBER	15	41339	SLUZBY	\N	\N
290031	993	1998-07-31	VYDAJ	VYBER	15	30752	SLUZBY	\N	\N
290032	993	1998-08-31	VYDAJ	VYBER	15	21175	SLUZBY	\N	\N
290033	993	1998-09-30	VYDAJ	VYBER	15	84018	SLUZBY	\N	\N
290034	993	1998-10-31	VYDAJ	VYBER	15	87084	SLUZBY	\N	\N
290035	993	1998-11-30	VYDAJ	VYBER	15	49006	SLUZBY	\N	\N
290036	993	1996-12-14	PRIJEM	VKLAD	12200	13200	\N	\N	\N
290037	993	1997-01-13	VYDAJ	VYBER	4800	30309	\N	\N	\N
290038	993	1997-02-12	VYDAJ	VYBER	1700	28756	\N	\N	\N
290039	993	1997-03-14	VYDAJ	VYBER	20000	47442	\N	\N	\N
290040	993	1997-04-13	VYDAJ	VYBER	7700	40022	\N	\N	\N
290041	993	1997-05-13	VYDAJ	VYBER	8700	38303	\N	\N	\N
290042	993	1997-06-12	VYDAJ	VYBER	23000	52676	\N	\N	\N
290043	993	1997-07-12	VYDAJ	VYBER	8000	44934	\N	\N	\N
290044	993	1997-08-11	VYDAJ	VYBER	7200	38049	\N	\N	\N
290045	993	1997-09-10	VYDAJ	VYBER	5500	32864	\N	\N	\N
290046	993	1997-10-10	VYDAJ	VYBER	1200	31980	\N	\N	\N
290047	993	1997-11-09	VYDAJ	VYBER	3400	28895	\N	\N	\N
290048	993	1997-12-09	PRIJEM	VKLAD	600	29810	\N	\N	\N
290049	993	1998-01-08	PRIJEM	VKLAD	2800	32926	\N	\N	\N
290050	993	1998-02-04	VYDAJ	VYBER	48400	64211	\N	\N	\N
290051	993	1998-02-07	VYDAJ	VYBER	13300	50911	\N	\N	\N
290052	993	1998-03-09	VYDAJ	VYBER	25600	57733	\N	\N	\N
290053	993	1998-04-08	VYDAJ	VYBER	13300	42383	\N	\N	\N
290054	993	1998-05-08	VYDAJ	VYBER	24800	46079	\N	\N	\N
290055	993	1998-06-07	VYDAJ	VYBER	39200	60800	\N	\N	\N
290056	993	1998-07-07	VYDAJ	VYBER	8900	32439	\N	\N	\N
290057	993	1998-08-06	VYDAJ	VYBER	8000	29808	\N	\N	\N
290058	993	1998-09-05	PRIJEM	VKLAD	3200	24375	\N	\N	\N
290059	993	1998-10-05	VYDAJ	VYBER	25000	59018	\N	\N	\N
290060	993	1998-10-31	VYDAJ	VYBER	30500	87098	\N	\N	\N
290061	993	1998-11-02	VYDAJ	VYBER	51300	72302	\N	\N	\N
290062	993	1998-11-04	VYDAJ	VYBER	21700	50602	\N	\N	\N
290063	993	1998-12-04	VYDAJ	VYBER	31700	60579	\N	\N	\N
290089	994	1995-09-15	PRIJEM	VKLAD	700	700	\N	\N	\N
290090	994	1995-11-02	PRIJEM	VKLAD	48266	63512	\N	\N	\N
290091	994	1995-12-24	PRIJEM	VKLAD	23044	56685	\N	\N	\N
290092	994	1996-06-22	PRIJEM	VKLAD	18201	45997	\N	\N	\N
290093	994	1996-04-09	PRIJEM	VKLAD	29988	61686	\N	\N	\N
290094	994	1997-03-30	PRIJEM	VKLAD	34407	69393	\N	\N	\N
290095	994	1997-07-31	PRIJEM	VKLAD	47239	73992	\N	\N	\N
290096	994	1998-07-23	PRIJEM	VKLAD	40249	78338	\N	\N	\N
290097	994	1998-04-05	PRIJEM	VKLAD	3092	53152	\N	\N	\N
290106	994	1995-09-17	PRIJEM	VKLAD	500	1200	\N	\N	\N
290107	994	1995-10-14	PRIJEM	VKLAD	500	3606	\N	\N	\N
290108	994	1995-11-14	PRIJEM	VKLAD	500	64012	\N	\N	\N
290109	994	1995-12-13	PRIJEM	VKLAD	500	43841	\N	\N	\N
290110	994	1996-01-14	PRIJEM	VKLAD	500	33505	\N	\N	\N
290111	994	1996-02-13	PRIJEM	VKLAD	500	30857	\N	\N	\N
290112	994	1996-03-13	PRIJEM	VKLAD	500	33377	\N	\N	\N
290113	994	1996-04-16	PRIJEM	VKLAD	500	45186	\N	\N	\N
290114	994	1996-05-15	PRIJEM	VKLAD	500	37238	\N	\N	\N
290115	994	1996-06-14	PRIJEM	VKLAD	500	25896	\N	\N	\N
290116	994	1996-07-16	PRIJEM	VKLAD	500	37035	\N	\N	\N
290117	994	1996-08-16	PRIJEM	VKLAD	500	35693	\N	\N	\N
290118	994	1996-09-14	PRIJEM	VKLAD	500	32030	\N	\N	\N
290119	994	1996-10-15	PRIJEM	VKLAD	500	30556	\N	\N	\N
290120	994	1996-11-14	PRIJEM	VKLAD	500	30671	\N	\N	\N
290121	994	1996-12-15	PRIJEM	VKLAD	500	25984	\N	\N	\N
290122	994	1997-01-16	PRIJEM	VKLAD	500	20035	\N	\N	\N
290123	994	1997-02-16	PRIJEM	VKLAD	500	24509	\N	\N	\N
290124	994	1997-03-17	PRIJEM	VKLAD	500	33086	\N	\N	\N
290125	994	1997-04-13	PRIJEM	VKLAD	500	51114	\N	\N	\N
290126	994	1997-05-15	PRIJEM	VKLAD	500	42046	\N	\N	\N
290127	994	1997-06-16	PRIJEM	VKLAD	500	40531	\N	\N	\N
290128	994	1997-07-15	PRIJEM	VKLAD	500	24752	\N	\N	\N
290129	994	1997-08-14	PRIJEM	VKLAD	500	56178	\N	\N	\N
290130	994	1997-09-16	PRIJEM	VKLAD	500	50981	\N	\N	\N
290131	994	1997-10-13	PRIJEM	VKLAD	500	48794	\N	\N	\N
290132	994	1997-11-15	PRIJEM	VKLAD	500	47992	\N	\N	\N
290133	994	1997-12-16	PRIJEM	VKLAD	500	49681	\N	\N	\N
290134	994	1998-01-15	PRIJEM	VKLAD	500	38976	\N	\N	\N
290135	994	1998-02-17	PRIJEM	VKLAD	500	39731	\N	\N	\N
290136	994	1998-03-16	PRIJEM	VKLAD	500	48483	\N	\N	\N
290137	994	1998-04-14	PRIJEM	VKLAD	500	53652	\N	\N	\N
290138	994	1998-05-16	PRIJEM	VKLAD	500	50761	\N	\N	\N
290139	994	1998-06-16	PRIJEM	VKLAD	500	32169	\N	\N	\N
290140	994	1998-07-17	PRIJEM	VKLAD	500	38089	\N	\N	\N
290141	994	1998-08-14	PRIJEM	VKLAD	500	65202	\N	\N	\N
290142	994	1998-09-15	PRIJEM	VKLAD	500	59205	\N	\N	\N
290143	994	1998-10-13	PRIJEM	VKLAD	500	54436	\N	\N	\N
290144	994	1998-11-13	PRIJEM	VKLAD	500	52444	\N	\N	\N
290145	994	1998-12-15	PRIJEM	VKLAD	500	48294	\N	\N	\N
290154	994	1995-09-18	PRIJEM	VKLAD	1900	3100	\N	\N	\N
290155	994	1995-10-18	PRIJEM	VKLAD	1900	15206	\N	\N	\N
290156	994	1995-11-18	PRIJEM	VKLAD	1900	45012	\N	\N	\N
290157	994	1995-12-18	PRIJEM	VKLAD	1900	33641	\N	\N	\N
290158	994	1996-01-18	PRIJEM	VKLAD	1900	35405	\N	\N	\N
290159	994	1996-02-18	PRIJEM	VKLAD	1900	32757	\N	\N	\N
290160	994	1996-03-18	PRIJEM	VKLAD	1900	32977	\N	\N	\N
290161	994	1996-04-18	PRIJEM	VKLAD	1900	44786	\N	\N	\N
290162	994	1996-05-18	PRIJEM	VKLAD	1900	39138	\N	\N	\N
290163	994	1996-06-18	PRIJEM	VKLAD	1900	27796	\N	\N	\N
290164	994	1997-01-18	PRIJEM	VKLAD	1900	21185	\N	\N	\N
290165	994	1997-02-18	PRIJEM	VKLAD	1900	26409	\N	\N	\N
290166	994	1997-03-18	PRIJEM	VKLAD	1900	34986	\N	\N	\N
290167	994	1997-04-18	PRIJEM	VKLAD	1900	53014	\N	\N	\N
290168	994	1997-05-18	PRIJEM	VKLAD	1900	43946	\N	\N	\N
290169	994	1997-06-18	PRIJEM	VKLAD	1900	42431	\N	\N	\N
290170	994	1997-07-18	PRIJEM	VKLAD	1900	26652	\N	\N	\N
290171	994	1997-08-18	PRIJEM	VKLAD	1900	58078	\N	\N	\N
290172	994	1997-09-18	PRIJEM	VKLAD	1900	52881	\N	\N	\N
290173	994	1997-10-18	PRIJEM	VKLAD	1900	50694	\N	\N	\N
290174	994	1997-11-18	PRIJEM	VKLAD	1900	49892	\N	\N	\N
290175	994	1997-12-18	PRIJEM	VKLAD	1900	50781	\N	\N	\N
290176	994	1998-01-18	PRIJEM	VKLAD	1900	40026	\N	\N	\N
290177	994	1998-02-18	PRIJEM	VKLAD	1900	41631	\N	\N	\N
290178	994	1998-03-18	PRIJEM	VKLAD	1900	50383	\N	\N	\N
290179	994	1998-04-18	PRIJEM	VKLAD	1900	55552	\N	\N	\N
290180	994	1998-05-18	PRIJEM	VKLAD	1900	52661	\N	\N	\N
290181	994	1998-06-18	PRIJEM	VKLAD	1900	34069	\N	\N	\N
290185	994	1998-06-21	VYDAJ	VYBER	8100	25969	\N	\N	\N
290187	994	1996-01-02	VYDAJ	VYBER	7600	48205	\N	\N	\N
290188	994	1997-01-04	VYDAJ	VYBER	3200	20985	\N	\N	\N
290189	994	1998-01-05	VYDAJ	VYBER	4800	42076	\N	\N	\N
290191	994	1996-06-06	VYDAJ	VYBER	20500	18796	\N	\N	\N
290192	994	1997-06-19	VYDAJ	VYBER	23700	18731	\N	\N	\N
290193	994	1998-06-05	VYDAJ	VYBER	16600	31669	\N	\N	\N
290194	994	1995-12-12	VYDAJ	VYBER	1800	43341	\N	\N	\N
290195	994	1996-12-12	VYDAJ	VYBER	1000	25484	\N	\N	\N
290196	994	1997-12-16	VYDAJ	VYBER	800	48881	\N	\N	\N
290197	994	1998-12-19	VYDAJ	VYBER	1400	46894	\N	\N	\N
290204	994	1996-01-13	VYDAJ	VYBER	1250	45805	\N	\N	\N
290205	994	1996-01-01	VYDAJ	VYBER	1050	55805	\N	\N	\N
290206	994	1996-01-25	VYDAJ	VYBER	1400	32405	\N	\N	\N
290207	994	1996-01-19	VYDAJ	VYBER	650	34755	\N	\N	\N
290208	994	1996-01-25	VYDAJ	VYBER	950	33805	\N	\N	\N
290209	994	1996-01-11	VYDAJ	VYBER	1150	47055	\N	\N	\N
290210	994	1997-01-12	VYDAJ	VYBER	1400	20885	\N	\N	\N
290211	994	1997-01-16	VYDAJ	VYBER	750	19285	\N	\N	\N
290212	994	1997-01-13	VYDAJ	VYBER	1350	19535	\N	\N	\N
290213	994	1997-01-07	VYDAJ	VYBER	1150	24735	\N	\N	\N
290214	994	1997-01-02	VYDAJ	VYBER	1400	24685	\N	\N	\N
290215	994	1997-01-29	VYDAJ	VYBER	1350	18435	\N	\N	\N
290216	994	1998-01-16	VYDAJ	VYBER	850	38126	\N	\N	\N
290217	994	1998-01-10	VYDAJ	VYBER	650	38476	\N	\N	\N
290218	994	1998-01-24	VYDAJ	VYBER	750	39276	\N	\N	\N
290219	994	1998-01-08	VYDAJ	VYBER	850	39976	\N	\N	\N
290220	994	1998-01-08	VYDAJ	VYBER	1250	40826	\N	\N	\N
290221	994	1998-01-09	VYDAJ	VYBER	850	39126	\N	\N	\N
290225	994	1996-03-20	VYDAJ	VYBER	1400	31577	\N	\N	\N
290226	994	1996-04-17	VYDAJ	VYBER	2300	42886	\N	\N	\N
290227	994	1997-08-18	VYDAJ	VYBER	1550	56528	\N	\N	\N
290228	994	1997-10-29	VYDAJ	VYBER	2000	48694	\N	\N	\N
290229	994	1997-01-23	VYDAJ	VYBER	1400	19785	\N	\N	\N
290230	994	1997-01-02	VYDAJ	VYBER	500	24185	\N	\N	\N
290231	994	1997-06-08	VYDAJ	VYBER	1000	40031	\N	\N	\N
290232	994	1997-01-11	VYDAJ	VYBER	2450	22285	\N	\N	\N
290233	994	1998-02-09	VYDAJ	VYBER	2000	39231	\N	\N	\N
290234	994	1998-12-11	VYDAJ	VYBER	1550	50194	\N	\N	\N
290235	994	1998-12-30	VYDAJ	VYBER	1750	45544	\N	\N	\N
290236	994	1998-09-07	VYDAJ	VYBER	1650	58705	\N	\N	\N
290237	994	1998-12-13	VYDAJ	VYBER	2400	47794	\N	\N	\N
290238	994	1998-05-27	VYDAJ	VYBER	1600	51061	\N	\N	\N
290250	994	1995-11-30	VYDAJ	VYBER	15	45141	SLUZBY	\N	\N
290251	994	1995-12-31	VYDAJ	VYBER	15	56855	SLUZBY	\N	\N
290252	994	1996-01-31	VYDAJ	VYBER	15	32557	SLUZBY	\N	\N
290253	994	1996-02-29	VYDAJ	VYBER	15	32877	SLUZBY	\N	\N
290254	994	1996-03-31	VYDAJ	VYBER	15	31698	SLUZBY	\N	\N
290255	994	1996-04-30	VYDAJ	VYBER	15	44938	SLUZBY	\N	\N
290256	994	1996-05-31	VYDAJ	VYBER	15	39296	SLUZBY	\N	\N
290257	994	1996-06-30	VYDAJ	VYBER	15	46135	SLUZBY	\N	\N
290258	994	1996-07-31	VYDAJ	VYBER	15	37193	SLUZBY	\N	\N
290259	994	1996-08-31	VYDAJ	VYBER	15	35830	SLUZBY	\N	\N
290260	994	1996-09-30	VYDAJ	VYBER	15	32156	SLUZBY	\N	\N
290261	994	1996-10-31	VYDAJ	VYBER	15	30671	SLUZBY	\N	\N
290262	994	1996-11-30	VYDAJ	VYBER	15	30784	SLUZBY	\N	\N
290263	994	1996-12-31	VYDAJ	VYBER	15	26085	SLUZBY	\N	\N
290264	994	1997-01-31	VYDAJ	VYBER	15	18509	SLUZBY	\N	\N
290265	994	1997-02-28	VYDAJ	VYBER	15	26486	SLUZBY	\N	\N
290266	994	1997-03-31	VYDAJ	VYBER	15	69514	SLUZBY	\N	\N
290267	994	1997-04-30	VYDAJ	VYBER	15	53246	SLUZBY	\N	\N
290268	994	1997-05-31	VYDAJ	VYBER	15	44131	SLUZBY	\N	\N
290269	994	1997-06-30	VYDAJ	VYBER	15	18852	SLUZBY	\N	\N
290270	994	1997-07-31	VYDAJ	VYBER	15	73978	SLUZBY	\N	\N
290271	994	1997-08-31	VYDAJ	VYBER	15	56781	SLUZBY	\N	\N
290272	994	1997-09-30	VYDAJ	VYBER	15	53094	SLUZBY	\N	\N
290273	994	1997-10-31	VYDAJ	VYBER	15	48892	SLUZBY	\N	\N
290274	994	1997-11-30	VYDAJ	VYBER	15	50081	SLUZBY	\N	\N
290275	994	1997-12-31	VYDAJ	VYBER	15	50976	SLUZBY	\N	\N
290276	994	1998-01-31	VYDAJ	VYBER	15	39431	SLUZBY	\N	\N
290277	994	1998-02-28	VYDAJ	VYBER	15	41783	SLUZBY	\N	\N
290278	994	1998-03-31	VYDAJ	VYBER	15	50560	SLUZBY	\N	\N
290279	994	1998-04-30	VYDAJ	VYBER	15	55761	SLUZBY	\N	\N
290280	994	1998-05-31	VYDAJ	VYBER	15	51269	SLUZBY	\N	\N
290281	994	1998-06-30	VYDAJ	VYBER	15	26089	SLUZBY	\N	\N
290282	994	1998-07-31	VYDAJ	VYBER	15	64702	SLUZBY	\N	\N
290283	994	1998-08-31	VYDAJ	VYBER	15	60355	SLUZBY	\N	\N
290284	994	1998-09-30	VYDAJ	VYBER	15	53936	SLUZBY	\N	\N
290285	994	1998-10-31	VYDAJ	VYBER	15	51944	SLUZBY	\N	\N
290286	994	1998-11-30	VYDAJ	VYBER	15	51744	SLUZBY	\N	\N
290287	994	1995-10-15	PRIJEM	VKLAD	9700	13306	\N	\N	\N
290288	994	1995-11-14	VYDAJ	VYBER	20900	43112	\N	\N	\N
290289	994	1995-12-14	VYDAJ	VYBER	12100	31741	\N	\N	\N
290290	994	1996-01-13	VYDAJ	VYBER	12800	33005	\N	\N	\N
290291	994	1996-02-12	VYDAJ	VYBER	2200	30357	\N	\N	\N
290292	994	1996-03-13	VYDAJ	VYBER	2300	31077	\N	\N	\N
290293	994	1996-04-12	VYDAJ	VYBER	17000	44686	\N	\N	\N
290294	994	1996-05-12	VYDAJ	VYBER	8200	36738	\N	\N	\N
290295	994	1996-06-11	PRIJEM	VKLAD	6600	25396	\N	\N	\N
290296	994	1996-07-11	VYDAJ	VYBER	9600	36535	\N	\N	\N
290297	994	1996-08-10	VYDAJ	VYBER	2000	35193	\N	\N	\N
290298	994	1996-09-09	VYDAJ	VYBER	4300	31530	\N	\N	\N
290299	994	1996-10-09	VYDAJ	VYBER	2100	30056	\N	\N	\N
290300	994	1996-11-08	VYDAJ	VYBER	500	30171	\N	\N	\N
290301	994	1996-12-08	VYDAJ	VYBER	4300	26484	\N	\N	\N
290302	994	1997-01-07	PRIJEM	VKLAD	4900	25885	\N	\N	\N
290303	994	1997-02-06	PRIJEM	VKLAD	5500	24009	\N	\N	\N
290304	994	1997-03-08	PRIJEM	VKLAD	6100	32586	\N	\N	\N
290305	994	1997-04-07	VYDAJ	VYBER	18900	50614	\N	\N	\N
290306	994	1997-05-07	VYDAJ	VYBER	11700	41546	\N	\N	\N
290307	994	1997-06-06	VYDAJ	VYBER	3100	41031	\N	\N	\N
290308	994	1997-07-06	PRIJEM	VKLAD	5400	24252	\N	\N	\N
290309	994	1997-08-05	VYDAJ	VYBER	18300	55678	\N	\N	\N
290310	994	1997-09-04	VYDAJ	VYBER	6300	50481	\N	\N	\N
290311	994	1997-10-04	VYDAJ	VYBER	4800	48294	\N	\N	\N
290312	994	1997-11-03	VYDAJ	VYBER	1400	47492	\N	\N	\N
290313	994	1997-12-03	VYDAJ	VYBER	900	49181	\N	\N	\N
290314	994	1998-01-02	VYDAJ	VYBER	4100	46876	\N	\N	\N
290315	994	1998-02-01	PRIJEM	VKLAD	1800	41231	\N	\N	\N
290316	994	1998-03-03	PRIJEM	VKLAD	6200	47983	\N	\N	\N
290317	994	1998-04-02	VYDAJ	VYBER	500	50060	\N	\N	\N
290318	994	1998-05-02	VYDAJ	VYBER	5500	50261	\N	\N	\N
290319	994	1998-06-01	VYDAJ	VYBER	3000	48269	\N	\N	\N
290320	994	1998-07-01	PRIJEM	VKLAD	11500	37589	\N	\N	\N
290321	994	1998-07-31	VYDAJ	VYBER	13800	64717	\N	\N	\N
290322	994	1998-08-30	VYDAJ	VYBER	5100	60102	\N	\N	\N
290323	994	1998-09-29	VYDAJ	VYBER	5500	53705	\N	\N	\N
290324	994	1998-10-29	VYDAJ	VYBER	2700	51736	\N	\N	\N
290325	994	1998-11-28	VYDAJ	VYBER	900	51544	\N	\N	\N
290326	994	1998-12-28	PRIJEM	VKLAD	400	47294	\N	\N	\N
290367	995	1995-08-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
290376	995	1995-09-14	PRIJEM	PREVOD Z UCTU	3445	4445	\N	IJ	391650
290377	995	1995-10-14	PRIJEM	PREVOD Z UCTU	3445	7890	\N	IJ	391650
290378	995	1995-11-14	PRIJEM	PREVOD Z UCTU	3445	11335	\N	IJ	391650
290379	995	1995-12-14	PRIJEM	PREVOD Z UCTU	3445	14780	\N	IJ	391650
290380	995	1996-01-14	PRIJEM	PREVOD Z UCTU	3445	18225	\N	IJ	391650
290381	995	1996-02-14	PRIJEM	PREVOD Z UCTU	3445	17407	\N	IJ	391650
290382	995	1996-03-14	PRIJEM	PREVOD Z UCTU	3445	18611	\N	IJ	391650
290383	995	1996-04-14	PRIJEM	PREVOD Z UCTU	3445	19821	\N	IJ	391650
290384	995	1996-05-14	PRIJEM	PREVOD Z UCTU	3445	21035	\N	IJ	391650
290385	995	1996-06-14	PRIJEM	PREVOD Z UCTU	3445	19582	\N	IJ	391650
290386	995	1996-07-14	PRIJEM	PREVOD Z UCTU	3445	16408	\N	IJ	391650
290387	995	1996-08-14	PRIJEM	PREVOD Z UCTU	3445	17608	\N	IJ	391650
290388	995	1996-09-14	PRIJEM	PREVOD Z UCTU	3445	18814	\N	IJ	391650
290389	995	1996-10-14	PRIJEM	PREVOD Z UCTU	3445	20024	\N	IJ	391650
290390	995	1996-11-14	PRIJEM	PREVOD Z UCTU	3445	21239	\N	IJ	391650
290391	995	1996-12-14	PRIJEM	PREVOD Z UCTU	3445	21920	\N	IJ	391650
290392	995	1997-01-14	PRIJEM	PREVOD Z UCTU	3445	20953	\N	IJ	391650
290393	995	1997-02-14	PRIJEM	PREVOD Z UCTU	3445	19501	\N	IJ	391650
290394	995	1997-03-14	PRIJEM	PREVOD Z UCTU	3445	19873	\N	IJ	391650
290395	995	1997-04-14	PRIJEM	PREVOD Z UCTU	3445	21088	\N	IJ	391650
290396	995	1997-05-14	PRIJEM	PREVOD Z UCTU	3445	22307	\N	IJ	391650
290397	995	1997-06-14	PRIJEM	PREVOD Z UCTU	3445	23532	\N	IJ	391650
290398	995	1997-07-14	PRIJEM	PREVOD Z UCTU	3445	18546	\N	IJ	391650
290399	995	1997-08-14	PRIJEM	PREVOD Z UCTU	3445	19756	\N	IJ	391650
290400	995	1997-09-14	PRIJEM	PREVOD Z UCTU	3445	20550	\N	IJ	391650
290401	995	1997-10-14	PRIJEM	PREVOD Z UCTU	3445	21768	\N	IJ	391650
290402	995	1997-11-14	PRIJEM	PREVOD Z UCTU	3445	22180	\N	IJ	391650
290403	995	1997-12-14	PRIJEM	PREVOD Z UCTU	3445	22895	\N	IJ	391650
290404	995	1998-01-14	PRIJEM	PREVOD Z UCTU	3445	23492	\N	IJ	391650
290405	995	1998-02-14	PRIJEM	PREVOD Z UCTU	3445	22410	\N	IJ	391650
290406	995	1998-03-14	PRIJEM	PREVOD Z UCTU	3445	23634	\N	IJ	391650
290407	995	1998-04-14	PRIJEM	PREVOD Z UCTU	3445	22974	\N	IJ	391650
290408	995	1998-05-14	PRIJEM	PREVOD Z UCTU	3445	24202	\N	IJ	391650
290409	995	1998-06-14	PRIJEM	PREVOD Z UCTU	3445	24145	\N	IJ	391650
290410	995	1998-07-14	PRIJEM	PREVOD Z UCTU	3445	25378	\N	IJ	391650
290411	995	1998-08-14	PRIJEM	PREVOD Z UCTU	3445	26615	\N	IJ	391650
290412	995	1998-09-14	PRIJEM	PREVOD Z UCTU	3445	27857	\N	IJ	391650
290413	995	1998-10-14	PRIJEM	PREVOD Z UCTU	3445	27753	\N	IJ	391650
290414	995	1998-11-14	PRIJEM	PREVOD Z UCTU	3445	29000	\N	IJ	391650
290415	995	1998-12-14	PRIJEM	PREVOD Z UCTU	3445	30252	\N	IJ	391650
290429	995	1996-02-13	VYDAJ	PREVOD NA UCET	2153	13962	SIPO	OP	21824896
290430	995	1996-03-13	VYDAJ	PREVOD NA UCET	2153	15166	SIPO	OP	21824896
290431	995	1996-04-13	VYDAJ	PREVOD NA UCET	2153	16376	SIPO	OP	21824896
290432	995	1996-05-13	VYDAJ	PREVOD NA UCET	2153	17590	SIPO	OP	21824896
290433	995	1996-06-13	VYDAJ	PREVOD NA UCET	2153	16137	SIPO	OP	21824896
290434	995	1996-07-13	VYDAJ	PREVOD NA UCET	2153	12963	SIPO	OP	21824896
290435	995	1996-08-13	VYDAJ	PREVOD NA UCET	2153	14163	SIPO	OP	21824896
290436	995	1996-09-13	VYDAJ	PREVOD NA UCET	2153	15369	SIPO	OP	21824896
290437	995	1996-10-13	VYDAJ	PREVOD NA UCET	2153	16579	SIPO	OP	21824896
290438	995	1996-11-13	VYDAJ	PREVOD NA UCET	2153	17794	SIPO	OP	21824896
290439	995	1996-12-13	VYDAJ	PREVOD NA UCET	2153	18475	SIPO	OP	21824896
290440	995	1997-01-13	VYDAJ	PREVOD NA UCET	2153	17508	SIPO	OP	21824896
290441	995	1997-02-13	VYDAJ	PREVOD NA UCET	2153	16056	SIPO	OP	21824896
290442	995	1997-03-13	VYDAJ	PREVOD NA UCET	2153	16428	SIPO	OP	21824896
290443	995	1997-04-13	VYDAJ	PREVOD NA UCET	2153	17643	SIPO	OP	21824896
290444	995	1997-05-13	VYDAJ	PREVOD NA UCET	2153	18862	SIPO	OP	21824896
290445	995	1997-06-13	VYDAJ	PREVOD NA UCET	2153	20087	SIPO	OP	21824896
290446	995	1997-07-13	VYDAJ	PREVOD NA UCET	2153	15101	SIPO	OP	21824896
290447	995	1997-08-13	VYDAJ	PREVOD NA UCET	2153	16311	SIPO	OP	21824896
290448	995	1997-09-13	VYDAJ	PREVOD NA UCET	2153	17105	SIPO	OP	21824896
290449	995	1997-10-13	VYDAJ	PREVOD NA UCET	2153	18323	SIPO	OP	21824896
290450	995	1997-11-13	VYDAJ	PREVOD NA UCET	2153	18735	SIPO	OP	21824896
290451	995	1997-12-13	VYDAJ	PREVOD NA UCET	2153	19450	SIPO	OP	21824896
290452	995	1998-01-13	VYDAJ	PREVOD NA UCET	2153	20317	SIPO	OP	21824896
290453	995	1998-02-13	VYDAJ	PREVOD NA UCET	2153	18965	SIPO	OP	21824896
290454	995	1998-03-13	VYDAJ	PREVOD NA UCET	2153	20189	SIPO	OP	21824896
290455	995	1998-04-13	VYDAJ	PREVOD NA UCET	2153	19529	SIPO	OP	21824896
290456	995	1998-05-13	VYDAJ	PREVOD NA UCET	2153	20757	SIPO	OP	21824896
290457	995	1998-06-13	VYDAJ	PREVOD NA UCET	2153	20700	SIPO	OP	21824896
290458	995	1998-07-13	VYDAJ	PREVOD NA UCET	2153	21933	SIPO	OP	21824896
290459	995	1998-08-13	VYDAJ	PREVOD NA UCET	2153	23170	SIPO	OP	21824896
290460	995	1998-09-13	VYDAJ	PREVOD NA UCET	2153	24412	SIPO	OP	21824896
290461	995	1998-10-13	VYDAJ	PREVOD NA UCET	2153	24308	SIPO	OP	21824896
290462	995	1998-11-13	VYDAJ	PREVOD NA UCET	2153	25555	SIPO	OP	21824896
290463	995	1998-12-13	VYDAJ	PREVOD NA UCET	2153	26807	SIPO	OP	21824896
290477	995	1996-02-07	VYDAJ	PREVOD NA UCET	143	16115	 	GH	80483859
290478	995	1996-03-07	VYDAJ	PREVOD NA UCET	143	17319	 	GH	80483859
290479	995	1996-04-07	VYDAJ	PREVOD NA UCET	143	18529	 	GH	80483859
290480	995	1996-05-07	VYDAJ	PREVOD NA UCET	143	19743	 	GH	80483859
290481	995	1996-06-07	VYDAJ	PREVOD NA UCET	143	18290	 	GH	80483859
290482	995	1996-07-07	VYDAJ	PREVOD NA UCET	143	15116	 	GH	80483859
290483	995	1996-08-07	VYDAJ	PREVOD NA UCET	143	16316	 	GH	80483859
290484	995	1996-09-07	VYDAJ	PREVOD NA UCET	143	17522	 	GH	80483859
290485	995	1996-10-07	VYDAJ	PREVOD NA UCET	143	18732	 	GH	80483859
290486	995	1996-11-07	VYDAJ	PREVOD NA UCET	143	19947	 	GH	80483859
290487	995	1996-12-07	VYDAJ	PREVOD NA UCET	143	20628	 	GH	80483859
290488	995	1997-01-07	VYDAJ	PREVOD NA UCET	143	20561	 	GH	80483859
290489	995	1997-02-07	VYDAJ	PREVOD NA UCET	143	18209	 	GH	80483859
290490	995	1997-03-07	VYDAJ	PREVOD NA UCET	143	18581	 	GH	80483859
290491	995	1997-04-07	VYDAJ	PREVOD NA UCET	143	19796	 	GH	80483859
290492	995	1997-05-07	VYDAJ	PREVOD NA UCET	143	21015	 	GH	80483859
290493	995	1997-06-07	VYDAJ	PREVOD NA UCET	143	22240	 	GH	80483859
290494	995	1997-07-07	VYDAJ	PREVOD NA UCET	143	17254	 	GH	80483859
290495	995	1997-08-07	VYDAJ	PREVOD NA UCET	143	18464	 	GH	80483859
290496	995	1997-09-07	VYDAJ	PREVOD NA UCET	143	19258	 	GH	80483859
290497	995	1997-10-07	VYDAJ	PREVOD NA UCET	143	20476	 	GH	80483859
290498	995	1997-11-07	VYDAJ	PREVOD NA UCET	143	20888	 	GH	80483859
290499	995	1997-12-07	VYDAJ	PREVOD NA UCET	143	21603	 	GH	80483859
290500	995	1998-01-07	VYDAJ	PREVOD NA UCET	143	22680	 	GH	80483859
290501	995	1998-02-07	VYDAJ	PREVOD NA UCET	143	21118	 	GH	80483859
290502	995	1998-03-07	VYDAJ	PREVOD NA UCET	143	22342	 	GH	80483859
290503	995	1998-04-07	VYDAJ	PREVOD NA UCET	143	21682	 	GH	80483859
290504	995	1998-05-07	VYDAJ	PREVOD NA UCET	143	22910	 	GH	80483859
290505	995	1998-06-07	VYDAJ	PREVOD NA UCET	143	22853	 	GH	80483859
290506	995	1998-07-07	VYDAJ	PREVOD NA UCET	143	24086	 	GH	80483859
290507	995	1998-08-07	VYDAJ	PREVOD NA UCET	143	25323	 	GH	80483859
290508	995	1998-09-07	VYDAJ	PREVOD NA UCET	143	26565	 	GH	80483859
290509	995	1998-10-07	VYDAJ	PREVOD NA UCET	143	26461	 	GH	80483859
290510	995	1998-11-07	VYDAJ	PREVOD NA UCET	143	27708	 	GH	80483859
290511	995	1998-12-07	VYDAJ	PREVOD NA UCET	143	28960	 	GH	80483859
290513	995	1996-06-20	VYDAJ	VYBER	3120	15202	\N	\N	\N
290514	995	1997-06-22	VYDAJ	VYBER	4740	18792	\N	\N	\N
290515	995	1998-06-02	VYDAJ	VYBER	1290	22996	\N	\N	\N
290518	995	1997-01-19	VYDAJ	VYBER	990	19963	\N	\N	\N
290519	995	1998-01-19	VYDAJ	VYBER	870	21482	\N	\N	\N
290521	995	1996-12-02	VYDAJ	VYBER	540	20771	\N	\N	\N
290522	995	1997-12-02	VYDAJ	VYBER	510	21746	\N	\N	\N
290523	995	1998-12-15	VYDAJ	VYBER	810	29442	\N	\N	\N
290531	995	1996-01-30	VYDAJ	VYBER	540	16245	\N	\N	\N
290532	995	1996-01-26	VYDAJ	VYBER	330	16785	\N	\N	\N
290533	995	1996-01-22	VYDAJ	VYBER	240	17115	\N	\N	\N
290535	995	1996-01-20	VYDAJ	VYBER	870	17355	\N	\N	\N
290536	995	1997-01-24	VYDAJ	VYBER	630	18283	\N	\N	\N
290537	995	1997-01-23	VYDAJ	VYBER	390	19573	\N	\N	\N
290538	995	1997-01-08	VYDAJ	VYBER	360	20201	\N	\N	\N
290539	995	1997-01-06	VYDAJ	VYBER	840	20704	\N	\N	\N
290540	995	1997-01-11	VYDAJ	VYBER	540	19661	\N	\N	\N
290541	995	1997-01-23	VYDAJ	VYBER	660	18913	\N	\N	\N
290542	995	1998-01-13	VYDAJ	VYBER	270	20047	\N	\N	\N
290543	995	1998-01-19	VYDAJ	VYBER	510	22352	\N	\N	\N
290544	995	1998-01-26	VYDAJ	VYBER	300	21182	\N	\N	\N
290545	995	1998-01-05	VYDAJ	VYBER	150	22823	\N	\N	\N
290546	995	1998-01-17	VYDAJ	VYBER	630	22862	\N	\N	\N
290547	995	1998-01-11	VYDAJ	VYBER	210	22470	\N	\N	\N
290555	995	1996-05-24	VYDAJ	VYBER	1260	18365	\N	\N	\N
290556	995	1996-06-15	VYDAJ	VYBER	1260	18322	\N	\N	\N
290557	995	1996-05-21	VYDAJ	VYBER	1410	19625	\N	\N	\N
290558	995	1996-12-14	VYDAJ	VYBER	450	21470	\N	\N	\N
290559	995	1997-07-06	VYDAJ	VYBER	1470	17397	\N	\N	\N
290560	995	1997-08-25	VYDAJ	VYBER	420	19336	\N	\N	\N
290561	995	1997-02-22	VYDAJ	VYBER	840	18661	\N	\N	\N
290562	995	1997-11-04	VYDAJ	VYBER	810	21031	\N	\N	\N
290563	995	1998-04-02	VYDAJ	VYBER	840	21825	\N	\N	\N
290564	995	1998-12-24	VYDAJ	VYBER	1290	28152	\N	\N	\N
290565	995	1998-09-17	VYDAJ	VYBER	300	27557	\N	\N	\N
290566	995	1998-03-30	VYDAJ	VYBER	1050	22584	\N	\N	\N
290567	995	1998-09-25	VYDAJ	VYBER	1050	26507	\N	\N	\N
290581	995	1996-01-31	VYDAJ	VYBER	15	16258	SLUZBY	\N	\N
290582	995	1996-02-29	VYDAJ	VYBER	15	17462	SLUZBY	\N	\N
290583	995	1996-03-31	VYDAJ	VYBER	15	18672	SLUZBY	\N	\N
290584	995	1996-04-30	VYDAJ	VYBER	15	19886	SLUZBY	\N	\N
290585	995	1996-05-31	VYDAJ	VYBER	15	18433	SLUZBY	\N	\N
290586	995	1996-06-30	VYDAJ	VYBER	15	15259	SLUZBY	\N	\N
290587	995	1996-07-31	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
290588	995	1996-08-31	VYDAJ	VYBER	15	17665	SLUZBY	\N	\N
290589	995	1996-09-30	VYDAJ	VYBER	15	18875	SLUZBY	\N	\N
290590	995	1996-10-31	VYDAJ	VYBER	15	20090	SLUZBY	\N	\N
290591	995	1996-11-30	VYDAJ	VYBER	15	21311	SLUZBY	\N	\N
290592	995	1996-12-31	VYDAJ	VYBER	15	21544	SLUZBY	\N	\N
290593	995	1997-01-31	VYDAJ	VYBER	15	18352	SLUZBY	\N	\N
290594	995	1997-02-28	VYDAJ	VYBER	15	18724	SLUZBY	\N	\N
290595	995	1997-03-31	VYDAJ	VYBER	15	19939	SLUZBY	\N	\N
290596	995	1997-04-30	VYDAJ	VYBER	15	21158	SLUZBY	\N	\N
290597	995	1997-05-31	VYDAJ	VYBER	15	22383	SLUZBY	\N	\N
290598	995	1997-06-30	VYDAJ	VYBER	15	18867	SLUZBY	\N	\N
290599	995	1997-07-31	VYDAJ	VYBER	15	18607	SLUZBY	\N	\N
290600	995	1997-08-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
290601	995	1997-09-30	VYDAJ	VYBER	15	20619	SLUZBY	\N	\N
290602	995	1997-10-31	VYDAJ	VYBER	15	21841	SLUZBY	\N	\N
290603	995	1997-11-30	VYDAJ	VYBER	15	22256	SLUZBY	\N	\N
290604	995	1997-12-31	VYDAJ	VYBER	15	22973	SLUZBY	\N	\N
290605	995	1998-01-31	VYDAJ	VYBER	15	21261	SLUZBY	\N	\N
290606	995	1998-02-28	VYDAJ	VYBER	15	22485	SLUZBY	\N	\N
290607	995	1998-03-31	VYDAJ	VYBER	15	22665	SLUZBY	\N	\N
290608	995	1998-04-30	VYDAJ	VYBER	15	23053	SLUZBY	\N	\N
290609	995	1998-05-31	VYDAJ	VYBER	15	24286	SLUZBY	\N	\N
290610	995	1998-06-30	VYDAJ	VYBER	15	24229	SLUZBY	\N	\N
290611	995	1998-07-31	VYDAJ	VYBER	15	25466	SLUZBY	\N	\N
290612	995	1998-08-31	VYDAJ	VYBER	15	26708	SLUZBY	\N	\N
290613	995	1998-09-30	VYDAJ	VYBER	15	26604	SLUZBY	\N	\N
290614	995	1998-10-31	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
290615	995	1998-11-30	VYDAJ	VYBER	15	29103	SLUZBY	\N	\N
290652	996	1997-08-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
290661	996	1997-09-06	PRIJEM	PREVOD Z UCTU	6404	7504	DUCHOD	AB	74025892
290662	996	1997-10-06	PRIJEM	PREVOD Z UCTU	6404	13908	DUCHOD	AB	74025892
290663	996	1997-11-06	PRIJEM	PREVOD Z UCTU	6404	20312	DUCHOD	AB	74025892
290664	996	1997-12-06	PRIJEM	PREVOD Z UCTU	6404	26716	DUCHOD	AB	74025892
290665	996	1998-01-06	PRIJEM	PREVOD Z UCTU	6404	30371	DUCHOD	AB	74025892
290666	996	1998-02-06	PRIJEM	PREVOD Z UCTU	6404	20791	DUCHOD	AB	74025892
290667	996	1998-03-06	PRIJEM	PREVOD Z UCTU	6404	24725	DUCHOD	AB	74025892
290668	996	1998-04-06	PRIJEM	PREVOD Z UCTU	6404	25464	DUCHOD	AB	74025892
290669	996	1998-05-06	PRIJEM	PREVOD Z UCTU	6404	23898	DUCHOD	AB	74025892
290670	996	1998-06-06	PRIJEM	PREVOD Z UCTU	6404	23428	DUCHOD	AB	74025892
290671	996	1998-07-06	PRIJEM	PREVOD Z UCTU	6404	22755	DUCHOD	AB	74025892
290672	996	1998-08-06	PRIJEM	PREVOD Z UCTU	6404	21278	DUCHOD	AB	74025892
290673	996	1998-09-06	PRIJEM	PREVOD Z UCTU	6404	25207	DUCHOD	AB	74025892
290674	996	1998-10-06	PRIJEM	PREVOD Z UCTU	6404	25926	DUCHOD	AB	74025892
290675	996	1998-11-06	PRIJEM	PREVOD Z UCTU	6404	26064	DUCHOD	AB	74025892
290676	996	1998-12-06	PRIJEM	PREVOD Z UCTU	6404	27405	DUCHOD	AB	74025892
290689	996	1998-01-10	VYDAJ	PREVOD NA UCET	1934	27397	SIPO	KL	40804118
290690	996	1998-02-10	VYDAJ	PREVOD NA UCET	1934	18857	SIPO	KL	40804118
290691	996	1998-03-10	VYDAJ	PREVOD NA UCET	1934	22791	SIPO	KL	40804118
290692	996	1998-04-10	VYDAJ	PREVOD NA UCET	1934	23530	SIPO	KL	40804118
290693	996	1998-05-10	VYDAJ	PREVOD NA UCET	1934	21964	SIPO	KL	40804118
290694	996	1998-06-10	VYDAJ	PREVOD NA UCET	1934	21494	SIPO	KL	40804118
290695	996	1998-07-10	VYDAJ	PREVOD NA UCET	1934	20821	SIPO	KL	40804118
290696	996	1998-08-10	VYDAJ	PREVOD NA UCET	1934	19344	SIPO	KL	40804118
290697	996	1998-09-10	VYDAJ	PREVOD NA UCET	1934	23273	SIPO	KL	40804118
290698	996	1998-10-10	VYDAJ	PREVOD NA UCET	1934	23992	SIPO	KL	40804118
290699	996	1998-11-10	VYDAJ	PREVOD NA UCET	1934	24130	SIPO	KL	40804118
290700	996	1998-12-10	VYDAJ	PREVOD NA UCET	1934	25471	SIPO	KL	40804118
290704	996	1998-01-21	VYDAJ	VYBER	1850	21747	\N	\N	\N
290706	996	1998-12-23	VYDAJ	VYBER	1100	23071	\N	\N	\N
290713	996	1998-01-10	VYDAJ	VYBER	1040	29331	\N	\N	\N
290714	996	1998-01-16	VYDAJ	VYBER	880	23597	\N	\N	\N
290715	996	1998-01-25	VYDAJ	VYBER	1600	20147	\N	\N	\N
290717	996	1998-01-10	VYDAJ	VYBER	1920	25477	\N	\N	\N
290718	996	1998-01-27	VYDAJ	VYBER	1920	18227	\N	\N	\N
290726	996	1998-02-04	VYDAJ	VYBER	3920	14387	\N	\N	\N
290727	996	1998-05-17	VYDAJ	VYBER	400	16964	\N	\N	\N
290728	996	1998-03-24	VYDAJ	VYBER	2000	18991	\N	\N	\N
290729	996	1998-12-24	VYDAJ	VYBER	3600	19471	\N	\N	\N
290730	996	1998-09-30	VYDAJ	VYBER	1120	19537	\N	\N	\N
290744	996	1998-01-31	VYDAJ	VYBER	15	18307	SLUZBY	\N	\N
290745	996	1998-02-28	VYDAJ	VYBER	15	18321	SLUZBY	\N	\N
290746	996	1998-03-31	VYDAJ	VYBER	15	19060	SLUZBY	\N	\N
290747	996	1998-04-30	VYDAJ	VYBER	15	17494	SLUZBY	\N	\N
290748	996	1998-05-31	VYDAJ	VYBER	15	17024	SLUZBY	\N	\N
290749	996	1998-06-30	VYDAJ	VYBER	15	16351	SLUZBY	\N	\N
290750	996	1998-07-31	VYDAJ	VYBER	15	14874	SLUZBY	\N	\N
290751	996	1998-08-31	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
290752	996	1998-09-30	VYDAJ	VYBER	15	19522	SLUZBY	\N	\N
290753	996	1998-10-31	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
290754	996	1998-11-30	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
290755	996	1997-12-16	VYDAJ	VYBER	2800	23916	\N	\N	\N
290756	996	1998-01-15	VYDAJ	VYBER	1000	24477	\N	\N	\N
290757	996	1998-02-14	VYDAJ	VYBER	600	18257	\N	\N	\N
290758	996	1998-03-16	VYDAJ	VYBER	1800	20991	\N	\N	\N
290759	996	1998-04-15	VYDAJ	VYBER	6100	17430	\N	\N	\N
290760	996	1998-05-15	VYDAJ	VYBER	4600	17364	\N	\N	\N
290761	996	1998-06-14	VYDAJ	VYBER	5200	16294	\N	\N	\N
290762	996	1998-07-14	VYDAJ	VYBER	6000	14821	\N	\N	\N
290763	996	1998-08-13	VYDAJ	VYBER	600	18744	\N	\N	\N
290764	996	1998-09-12	VYDAJ	VYBER	2700	20573	\N	\N	\N
290765	996	1998-10-12	VYDAJ	VYBER	4400	19592	\N	\N	\N
290766	996	1998-11-11	VYDAJ	VYBER	3200	20930	\N	\N	\N
290767	996	1998-12-11	VYDAJ	VYBER	1300	24171	\N	\N	\N
290781	997	1997-05-08	PRIJEM	VKLAD	700	700	\N	\N	\N
290787	997	1997-06-08	PRIJEM	PREVOD Z UCTU	3705	15505	\N	CD	37465542
290788	997	1997-07-08	PRIJEM	PREVOD Z UCTU	3705	23960	\N	CD	37465542
290789	997	1997-08-08	PRIJEM	PREVOD Z UCTU	3705	24756	\N	CD	37465542
290790	997	1997-09-08	PRIJEM	PREVOD Z UCTU	3705	27764	\N	CD	37465542
290791	997	1997-10-08	PRIJEM	PREVOD Z UCTU	3705	28082	\N	CD	37465542
290792	997	1997-11-08	PRIJEM	PREVOD Z UCTU	3705	28912	\N	CD	37465542
290793	997	1997-12-08	PRIJEM	PREVOD Z UCTU	3705	31643	\N	CD	37465542
290794	997	1998-01-08	PRIJEM	PREVOD Z UCTU	3705	28543	\N	CD	37465542
290795	997	1998-02-08	PRIJEM	PREVOD Z UCTU	3705	27851	\N	CD	37465542
290796	997	1998-03-08	PRIJEM	PREVOD Z UCTU	3705	26582	\N	CD	37465542
290797	997	1998-04-08	PRIJEM	PREVOD Z UCTU	3705	30262	\N	CD	37465542
290798	997	1998-05-08	PRIJEM	PREVOD Z UCTU	3705	29898	\N	CD	37465542
290799	997	1998-06-08	PRIJEM	PREVOD Z UCTU	3705	23224	\N	CD	37465542
290800	997	1998-07-08	PRIJEM	PREVOD Z UCTU	3705	23384	\N	CD	37465542
290801	997	1998-08-08	PRIJEM	PREVOD Z UCTU	3705	25592	\N	CD	37465542
290802	997	1998-09-08	PRIJEM	PREVOD Z UCTU	3705	25508	\N	CD	37465542
290803	997	1998-10-08	PRIJEM	PREVOD Z UCTU	3705	23023	\N	CD	37465542
290804	997	1998-11-08	PRIJEM	PREVOD Z UCTU	3705	25648	\N	CD	37465542
290805	997	1998-12-08	PRIJEM	PREVOD Z UCTU	3705	25664	\N	CD	37465542
290815	997	1997-10-12	VYDAJ	PREVOD NA UCET	1046	26312	SIPO	EF	76536661
290816	997	1997-11-12	VYDAJ	PREVOD NA UCET	1046	27142	SIPO	EF	76536661
290817	997	1997-12-12	VYDAJ	PREVOD NA UCET	1046	29723	SIPO	EF	76536661
290818	997	1998-01-12	VYDAJ	PREVOD NA UCET	1046	26773	SIPO	EF	76536661
290819	997	1998-02-12	VYDAJ	PREVOD NA UCET	1046	26081	SIPO	EF	76536661
290820	997	1998-03-12	VYDAJ	PREVOD NA UCET	1046	24812	SIPO	EF	76536661
290821	997	1998-04-12	VYDAJ	PREVOD NA UCET	1046	28492	SIPO	EF	76536661
290822	997	1998-05-12	VYDAJ	PREVOD NA UCET	1046	28128	SIPO	EF	76536661
290823	997	1998-06-12	VYDAJ	PREVOD NA UCET	1046	21454	SIPO	EF	76536661
290824	997	1998-07-12	VYDAJ	PREVOD NA UCET	1046	21614	SIPO	EF	76536661
290825	997	1998-08-12	VYDAJ	PREVOD NA UCET	1046	23822	SIPO	EF	76536661
290826	997	1998-09-12	VYDAJ	PREVOD NA UCET	1046	23738	SIPO	EF	76536661
290827	997	1998-10-12	VYDAJ	PREVOD NA UCET	1046	21253	SIPO	EF	76536661
290828	997	1998-11-12	VYDAJ	PREVOD NA UCET	1046	23878	SIPO	EF	76536661
290829	997	1998-12-12	VYDAJ	PREVOD NA UCET	1046	23894	SIPO	EF	76536661
290839	997	1997-10-13	VYDAJ	PREVOD NA UCET	700	25612	 	AB	37532264
290840	997	1997-11-13	VYDAJ	PREVOD NA UCET	700	26442	 	AB	37532264
290841	997	1997-12-13	VYDAJ	PREVOD NA UCET	700	29023	 	AB	37532264
290842	997	1998-01-13	VYDAJ	PREVOD NA UCET	700	26073	 	AB	37532264
290843	997	1998-02-13	VYDAJ	PREVOD NA UCET	700	24391	 	AB	37532264
290844	997	1998-03-13	VYDAJ	PREVOD NA UCET	700	24112	 	AB	37532264
290845	997	1998-04-13	VYDAJ	PREVOD NA UCET	700	27792	 	AB	37532264
290846	997	1998-05-13	VYDAJ	PREVOD NA UCET	700	27428	 	AB	37532264
290847	997	1998-06-13	VYDAJ	PREVOD NA UCET	700	20754	 	AB	37532264
290848	997	1998-07-13	VYDAJ	PREVOD NA UCET	700	20914	 	AB	37532264
290849	997	1998-08-13	VYDAJ	PREVOD NA UCET	700	23122	 	AB	37532264
290850	997	1998-09-13	VYDAJ	PREVOD NA UCET	700	23038	 	AB	37532264
290851	997	1998-10-13	VYDAJ	PREVOD NA UCET	700	20553	 	AB	37532264
290852	997	1998-11-13	VYDAJ	PREVOD NA UCET	700	23178	 	AB	37532264
290853	997	1998-12-13	VYDAJ	PREVOD NA UCET	700	23194	 	AB	37532264
290863	997	1997-10-10	VYDAJ	PREVOD NA UCET	688	27358	POJISTNE	CD	22804981
290864	997	1997-11-10	VYDAJ	PREVOD NA UCET	688	28188	POJISTNE	CD	22804981
290865	997	1997-12-10	VYDAJ	PREVOD NA UCET	688	30919	POJISTNE	CD	22804981
290866	997	1998-01-10	VYDAJ	PREVOD NA UCET	688	27819	POJISTNE	CD	22804981
290867	997	1998-02-10	VYDAJ	PREVOD NA UCET	688	27127	POJISTNE	CD	22804981
290868	997	1998-03-10	VYDAJ	PREVOD NA UCET	688	25858	POJISTNE	CD	22804981
290869	997	1998-04-10	VYDAJ	PREVOD NA UCET	688	29538	POJISTNE	CD	22804981
290870	997	1998-05-10	VYDAJ	PREVOD NA UCET	688	29174	POJISTNE	CD	22804981
290871	997	1998-06-10	VYDAJ	PREVOD NA UCET	688	22500	POJISTNE	CD	22804981
290872	997	1998-07-10	VYDAJ	PREVOD NA UCET	688	22660	POJISTNE	CD	22804981
290873	997	1998-08-10	VYDAJ	PREVOD NA UCET	688	24868	POJISTNE	CD	22804981
290874	997	1998-09-10	VYDAJ	PREVOD NA UCET	688	24784	POJISTNE	CD	22804981
290875	997	1998-10-10	VYDAJ	PREVOD NA UCET	688	22299	POJISTNE	CD	22804981
290876	997	1998-11-10	VYDAJ	PREVOD NA UCET	688	24924	POJISTNE	CD	22804981
290877	997	1998-12-10	VYDAJ	PREVOD NA UCET	688	24940	POJISTNE	CD	22804981
290887	997	1997-10-09	VYDAJ	PREVOD NA UCET	36	28046	 	CD	66356766
290888	997	1997-11-09	VYDAJ	PREVOD NA UCET	36	28876	 	CD	66356766
290889	997	1997-12-09	VYDAJ	PREVOD NA UCET	36	31607	 	CD	66356766
290890	997	1998-01-09	VYDAJ	PREVOD NA UCET	36	28507	 	CD	66356766
290891	997	1998-02-09	VYDAJ	PREVOD NA UCET	36	27815	 	CD	66356766
290892	997	1998-03-09	VYDAJ	PREVOD NA UCET	36	26546	 	CD	66356766
290893	997	1998-04-09	VYDAJ	PREVOD NA UCET	36	30226	 	CD	66356766
290894	997	1998-05-09	VYDAJ	PREVOD NA UCET	36	29862	 	CD	66356766
290895	997	1998-06-09	VYDAJ	PREVOD NA UCET	36	23188	 	CD	66356766
290896	997	1998-07-09	VYDAJ	PREVOD NA UCET	36	23348	 	CD	66356766
290897	997	1998-08-09	VYDAJ	PREVOD NA UCET	36	25556	 	CD	66356766
290898	997	1998-09-09	VYDAJ	PREVOD NA UCET	36	25472	 	CD	66356766
290899	997	1998-10-09	VYDAJ	PREVOD NA UCET	36	22987	 	CD	66356766
290900	997	1998-11-09	VYDAJ	PREVOD NA UCET	36	25612	 	CD	66356766
290901	997	1998-12-09	VYDAJ	PREVOD NA UCET	36	25628	 	CD	66356766
290903	997	1998-06-04	VYDAJ	VYBER	4110	19519	\N	\N	\N
290905	997	1998-01-07	VYDAJ	VYBER	1620	24838	\N	\N	\N
290906	997	1997-12-10	VYDAJ	VYBER	150	30769	\N	\N	\N
290907	997	1998-12-25	VYDAJ	VYBER	750	22444	\N	\N	\N
290914	997	1998-01-21	VYDAJ	VYBER	420	23223	\N	\N	\N
290915	997	1998-01-14	VYDAJ	VYBER	870	25203	\N	\N	\N
290916	997	1998-01-25	VYDAJ	VYBER	270	22953	\N	\N	\N
290917	997	1998-01-07	VYDAJ	VYBER	270	26458	\N	\N	\N
290918	997	1998-01-19	VYDAJ	VYBER	840	24363	\N	\N	\N
290919	997	1998-01-19	VYDAJ	VYBER	720	23643	\N	\N	\N
290925	997	1998-02-19	VYDAJ	VYBER	1200	23191	\N	\N	\N
290926	997	1998-10-22	VYDAJ	VYBER	780	19773	\N	\N	\N
290927	997	1998-04-03	VYDAJ	VYBER	270	26557	\N	\N	\N
290928	997	1998-03-17	VYDAJ	VYBER	570	23542	\N	\N	\N
290929	997	1998-07-04	VYDAJ	VYBER	1350	19679	\N	\N	\N
290930	997	1998-02-13	VYDAJ	VYBER	990	25091	\N	\N	\N
290941	997	1997-10-31	VYDAJ	VYBER	15	25707	SLUZBY	\N	\N
290942	997	1997-11-30	VYDAJ	VYBER	15	26538	SLUZBY	\N	\N
290943	997	1997-12-31	VYDAJ	VYBER	15	29128	SLUZBY	\N	\N
290944	997	1998-01-31	VYDAJ	VYBER	15	23046	SLUZBY	\N	\N
290945	997	1998-02-28	VYDAJ	VYBER	15	23277	SLUZBY	\N	\N
290946	997	1998-03-31	VYDAJ	VYBER	15	23627	SLUZBY	\N	\N
290947	997	1998-04-30	VYDAJ	VYBER	15	27893	SLUZBY	\N	\N
290948	997	1998-05-31	VYDAJ	VYBER	15	27529	SLUZBY	\N	\N
290949	997	1998-06-30	VYDAJ	VYBER	15	20829	SLUZBY	\N	\N
290950	997	1998-07-31	VYDAJ	VYBER	15	20987	SLUZBY	\N	\N
290951	997	1998-08-31	VYDAJ	VYBER	15	23203	SLUZBY	\N	\N
290952	997	1998-09-30	VYDAJ	VYBER	15	19318	SLUZBY	\N	\N
290953	997	1998-10-31	VYDAJ	VYBER	15	21943	SLUZBY	\N	\N
290954	997	1998-11-30	VYDAJ	VYBER	15	21959	SLUZBY	\N	\N
290955	997	1997-06-07	PRIJEM	VKLAD	11100	11800	\N	\N	\N
290956	997	1997-07-07	PRIJEM	VKLAD	4700	20255	\N	\N	\N
290957	997	1997-08-06	VYDAJ	VYBER	3000	21051	\N	\N	\N
290958	997	1997-09-05	VYDAJ	VYBER	800	24059	\N	\N	\N
290959	997	1997-10-05	VYDAJ	VYBER	3500	24377	\N	\N	\N
290960	997	1997-11-04	VYDAJ	VYBER	500	25207	\N	\N	\N
290961	997	1997-12-04	PRIJEM	VKLAD	1400	27938	\N	\N	\N
290962	997	1998-01-03	VYDAJ	VYBER	2400	26728	\N	\N	\N
290963	997	1998-02-02	PRIJEM	VKLAD	1100	24146	\N	\N	\N
290964	997	1998-03-04	VYDAJ	VYBER	400	22877	\N	\N	\N
290965	997	1998-04-03	PRIJEM	VKLAD	3200	26827	\N	\N	\N
290966	997	1998-05-03	VYDAJ	VYBER	1700	26193	\N	\N	\N
290967	997	1998-06-02	VYDAJ	VYBER	3900	23629	\N	\N	\N
290968	997	1998-07-02	PRIJEM	VKLAD	200	21029	\N	\N	\N
290969	997	1998-08-01	PRIJEM	VKLAD	900	21887	\N	\N	\N
290970	997	1998-08-31	VYDAJ	VYBER	1400	21803	\N	\N	\N
290971	997	1998-09-30	VYDAJ	VYBER	3800	19333	\N	\N	\N
290972	997	1998-10-30	PRIJEM	VKLAD	2100	21873	\N	\N	\N
290973	997	1998-11-29	VYDAJ	VYBER	1300	21878	\N	\N	\N
290993	998	1993-11-11	PRIJEM	VKLAD	200	24808	\N	\N	\N
291004	998	1993-11-11	PRIJEM	VKLAD	24608	24608	\N	\N	\N
291005	998	1993-12-11	PRIJEM	VKLAD	36912	61788	\N	\N	\N
291006	998	1994-01-11	PRIJEM	VKLAD	24608	59148	\N	\N	\N
291007	998	1994-02-11	PRIJEM	VKLAD	24608	67779	\N	\N	\N
291008	998	1994-03-11	PRIJEM	VKLAD	24608	92657	\N	\N	\N
291009	998	1994-04-11	PRIJEM	VKLAD	24608	59161	\N	\N	\N
291010	998	1994-05-11	PRIJEM	VKLAD	24608	58933	\N	\N	\N
291011	998	1994-06-11	PRIJEM	VKLAD	36912	69608	\N	\N	\N
291012	998	1994-07-11	PRIJEM	VKLAD	24608	64322	\N	\N	\N
291013	998	1994-08-11	PRIJEM	VKLAD	24608	65039	\N	\N	\N
291014	998	1994-09-11	PRIJEM	VKLAD	24608	65753	\N	\N	\N
291015	998	1994-10-11	PRIJEM	VKLAD	24608	60838	\N	\N	\N
291016	998	1994-11-11	PRIJEM	VKLAD	24608	60432	\N	\N	\N
291017	998	1994-12-11	PRIJEM	VKLAD	36912	71507	\N	\N	\N
291018	998	1995-01-11	PRIJEM	VKLAD	24608	59567	\N	\N	\N
291019	998	1995-02-11	PRIJEM	VKLAD	24608	49367	\N	\N	\N
291020	998	1995-03-11	PRIJEM	VKLAD	24608	56115	\N	\N	\N
291021	998	1995-04-11	PRIJEM	VKLAD	24608	53117	\N	\N	\N
291022	998	1995-05-11	PRIJEM	VKLAD	24608	57272	\N	\N	\N
291023	998	1995-06-11	PRIJEM	VKLAD	36912	71751	\N	\N	\N
291024	998	1995-07-11	PRIJEM	VKLAD	24608	60242	\N	\N	\N
291025	998	1995-08-11	PRIJEM	VKLAD	24608	58034	\N	\N	\N
291026	998	1995-09-11	PRIJEM	VKLAD	24608	56117	\N	\N	\N
291027	998	1995-10-11	PRIJEM	VKLAD	24608	56091	\N	\N	\N
291028	998	1995-11-11	PRIJEM	VKLAD	24608	56764	\N	\N	\N
291029	998	1995-12-11	PRIJEM	VKLAD	36912	67943	\N	\N	\N
291030	998	1996-01-11	PRIJEM	VKLAD	24608	43745	\N	\N	\N
291031	998	1996-02-11	PRIJEM	VKLAD	24608	47930	\N	\N	\N
291032	998	1996-03-11	PRIJEM	VKLAD	24608	50437	\N	\N	\N
291033	998	1996-04-11	PRIJEM	VKLAD	24608	52479	\N	\N	\N
291034	998	1996-05-11	PRIJEM	VKLAD	24608	48120	\N	\N	\N
291035	998	1996-06-11	PRIJEM	VKLAD	36912	53866	\N	\N	\N
291036	998	1996-07-11	PRIJEM	VKLAD	24608	46993	\N	\N	\N
291037	998	1996-08-11	PRIJEM	VKLAD	24608	44506	\N	\N	\N
291038	998	1996-09-11	PRIJEM	VKLAD	24608	43242	\N	\N	\N
291039	998	1996-10-11	PRIJEM	VKLAD	24608	45240	\N	\N	\N
291040	998	1996-11-11	PRIJEM	VKLAD	24608	44038	\N	\N	\N
291041	998	1996-12-11	PRIJEM	VKLAD	36912	53736	\N	\N	\N
291042	998	1997-01-11	PRIJEM	VKLAD	24608	42783	\N	\N	\N
291043	998	1997-02-11	PRIJEM	VKLAD	24608	36871	\N	\N	\N
291044	998	1997-03-11	PRIJEM	VKLAD	24608	34532	\N	\N	\N
291045	998	1997-04-11	PRIJEM	VKLAD	24608	37390	\N	\N	\N
291046	998	1997-05-11	PRIJEM	VKLAD	24608	37456	\N	\N	\N
291047	998	1997-06-11	PRIJEM	VKLAD	36912	52427	\N	\N	\N
291048	998	1997-07-11	PRIJEM	VKLAD	24608	41525	\N	\N	\N
291049	998	1997-08-11	PRIJEM	VKLAD	24608	36798	\N	\N	\N
291050	998	1997-09-11	PRIJEM	VKLAD	24608	37456	\N	\N	\N
291051	998	1997-10-11	PRIJEM	VKLAD	24608	51333	\N	\N	\N
291052	998	1997-11-11	PRIJEM	VKLAD	24608	37330	\N	\N	\N
291053	998	1997-12-11	PRIJEM	VKLAD	36912	64815	\N	\N	\N
291054	998	1998-01-11	PRIJEM	VKLAD	24608	44130	\N	\N	\N
291055	998	1998-02-11	PRIJEM	VKLAD	24608	38389	\N	\N	\N
291056	998	1998-03-11	PRIJEM	VKLAD	24608	55472	\N	\N	\N
291057	998	1998-04-11	PRIJEM	VKLAD	24608	34366	\N	\N	\N
291058	998	1998-05-11	PRIJEM	VKLAD	24608	51434	\N	\N	\N
291059	998	1998-06-11	PRIJEM	VKLAD	36912	77870	\N	\N	\N
291060	998	1998-07-11	PRIJEM	VKLAD	24608	82939	\N	\N	\N
291061	998	1998-08-11	PRIJEM	VKLAD	24608	36390	\N	\N	\N
291062	998	1998-09-11	PRIJEM	VKLAD	24608	50460	\N	\N	\N
291063	998	1998-10-11	PRIJEM	VKLAD	24608	67594	\N	\N	\N
291064	998	1998-11-11	PRIJEM	VKLAD	24608	84799	\N	\N	\N
291065	998	1998-12-11	PRIJEM	VKLAD	36912	109569	\N	\N	\N
291081	998	1994-04-07	VYDAJ	PREVOD NA UCET	7641	49453	SIPO	MN	21143341
291082	998	1994-05-07	VYDAJ	PREVOD NA UCET	7641	47425	SIPO	MN	21143341
291083	998	1994-06-07	VYDAJ	PREVOD NA UCET	7641	43996	SIPO	MN	21143341
291084	998	1994-07-07	VYDAJ	PREVOD NA UCET	7641	58614	SIPO	MN	21143341
291085	998	1994-08-07	VYDAJ	PREVOD NA UCET	7641	56931	SIPO	MN	21143341
291086	998	1994-09-07	VYDAJ	PREVOD NA UCET	7641	41145	SIPO	MN	21143341
291087	998	1994-10-07	VYDAJ	PREVOD NA UCET	7641	36230	SIPO	MN	21143341
291088	998	1994-11-07	VYDAJ	PREVOD NA UCET	7641	35824	SIPO	MN	21143341
291089	998	1994-12-07	VYDAJ	PREVOD NA UCET	7641	34595	SIPO	MN	21143341
291090	998	1995-01-07	VYDAJ	PREVOD NA UCET	7641	34959	SIPO	MN	21143341
291091	998	1995-02-07	VYDAJ	PREVOD NA UCET	7641	30159	SIPO	MN	21143341
291092	998	1995-03-07	VYDAJ	PREVOD NA UCET	7641	31507	SIPO	MN	21143341
291093	998	1995-04-07	VYDAJ	PREVOD NA UCET	7641	28509	SIPO	MN	21143341
291094	998	1995-05-07	VYDAJ	PREVOD NA UCET	7641	32664	SIPO	MN	21143341
291095	998	1995-06-07	VYDAJ	PREVOD NA UCET	7641	34839	SIPO	MN	21143341
291096	998	1995-07-07	VYDAJ	PREVOD NA UCET	7641	35634	SIPO	MN	21143341
291097	998	1995-08-07	VYDAJ	PREVOD NA UCET	7641	33426	SIPO	MN	21143341
291098	998	1995-09-07	VYDAJ	PREVOD NA UCET	7641	31509	SIPO	MN	21143341
291099	998	1995-10-07	VYDAJ	PREVOD NA UCET	7641	31483	SIPO	MN	21143341
291100	998	1995-11-07	VYDAJ	PREVOD NA UCET	7641	32156	SIPO	MN	21143341
291101	998	1995-12-07	VYDAJ	PREVOD NA UCET	7641	31031	SIPO	MN	21143341
291102	998	1996-01-07	VYDAJ	PREVOD NA UCET	7641	19137	SIPO	MN	21143341
291103	998	1996-02-07	VYDAJ	PREVOD NA UCET	7641	23322	SIPO	MN	21143341
291104	998	1996-03-07	VYDAJ	PREVOD NA UCET	7641	25829	SIPO	MN	21143341
291105	998	1996-04-07	VYDAJ	PREVOD NA UCET	7641	27871	SIPO	MN	21143341
291106	998	1996-05-07	VYDAJ	PREVOD NA UCET	7641	23512	SIPO	MN	21143341
291107	998	1996-06-07	VYDAJ	PREVOD NA UCET	7641	16954	SIPO	MN	21143341
291108	998	1996-07-07	VYDAJ	PREVOD NA UCET	7641	22385	SIPO	MN	21143341
291109	998	1996-08-07	VYDAJ	PREVOD NA UCET	7641	19898	SIPO	MN	21143341
291110	998	1996-09-07	VYDAJ	PREVOD NA UCET	7641	18634	SIPO	MN	21143341
291111	998	1996-10-07	VYDAJ	PREVOD NA UCET	7641	20632	SIPO	MN	21143341
291112	998	1996-11-07	VYDAJ	PREVOD NA UCET	7641	19430	SIPO	MN	21143341
291113	998	1996-12-07	VYDAJ	PREVOD NA UCET	7641	16824	SIPO	MN	21143341
291114	998	1997-01-07	VYDAJ	PREVOD NA UCET	7641	22175	SIPO	MN	21143341
291115	998	1997-02-07	VYDAJ	PREVOD NA UCET	7641	12263	SIPO	MN	21143341
291116	998	1997-03-07	VYDAJ	PREVOD NA UCET	7641	9924	SIPO	MN	21143341
291117	998	1997-04-07	VYDAJ	PREVOD NA UCET	7641	12782	SIPO	MN	21143341
291118	998	1997-05-07	VYDAJ	PREVOD NA UCET	7641	12848	SIPO	MN	21143341
291119	998	1997-06-07	VYDAJ	PREVOD NA UCET	7641	15515	SIPO	MN	21143341
291120	998	1997-07-07	VYDAJ	PREVOD NA UCET	7641	16917	SIPO	MN	21143341
291121	998	1997-08-07	VYDAJ	PREVOD NA UCET	7641	12190	SIPO	MN	21143341
291122	998	1997-09-07	VYDAJ	PREVOD NA UCET	7641	12848	SIPO	MN	21143341
291123	998	1997-10-07	VYDAJ	PREVOD NA UCET	7641	26725	SIPO	MN	21143341
291124	998	1997-11-07	VYDAJ	PREVOD NA UCET	7641	12722	SIPO	MN	21143341
291125	998	1997-12-07	VYDAJ	PREVOD NA UCET	7641	27903	SIPO	MN	21143341
291126	998	1998-01-07	VYDAJ	PREVOD NA UCET	7641	19522	SIPO	MN	21143341
291127	998	1998-02-07	VYDAJ	PREVOD NA UCET	7641	13781	SIPO	MN	21143341
291128	998	1998-03-07	VYDAJ	PREVOD NA UCET	7641	30864	SIPO	MN	21143341
291129	998	1998-04-07	VYDAJ	PREVOD NA UCET	7641	9758	SIPO	MN	21143341
291130	998	1998-05-07	VYDAJ	PREVOD NA UCET	7641	26826	SIPO	MN	21143341
291131	998	1998-06-07	VYDAJ	PREVOD NA UCET	7641	40958	SIPO	MN	21143341
291132	998	1998-07-07	VYDAJ	PREVOD NA UCET	7641	58331	SIPO	MN	21143341
291133	998	1998-08-07	VYDAJ	PREVOD NA UCET	7641	11782	SIPO	MN	21143341
291134	998	1998-09-07	VYDAJ	PREVOD NA UCET	7641	25852	SIPO	MN	21143341
291135	998	1998-10-07	VYDAJ	PREVOD NA UCET	7641	42986	SIPO	MN	21143341
291136	998	1998-11-07	VYDAJ	PREVOD NA UCET	7641	60191	SIPO	MN	21143341
291137	998	1998-12-07	VYDAJ	PREVOD NA UCET	7641	72657	SIPO	MN	21143341
291139	998	1994-06-05	VYDAJ	VYBER	7520	51637	\N	\N	\N
291140	998	1995-06-25	VYDAJ	VYBER	6880	62831	\N	\N	\N
291141	998	1996-06-02	VYDAJ	VYBER	6880	24595	\N	\N	\N
291143	998	1998-06-11	VYDAJ	VYBER	12160	65710	\N	\N	\N
291146	998	1995-01-02	VYDAJ	VYBER	4160	67600	\N	\N	\N
291147	998	1996-01-03	VYDAJ	VYBER	9760	33498	\N	\N	\N
291149	998	1998-01-24	VYDAJ	VYBER	10720	24710	\N	\N	\N
291151	998	1994-12-03	VYDAJ	VYBER	3520	57136	\N	\N	\N
291152	998	1995-12-25	VYDAJ	VYBER	960	66983	\N	\N	\N
291153	998	1996-12-16	VYDAJ	VYBER	4160	49576	\N	\N	\N
291154	998	1997-12-05	VYDAJ	VYBER KARTOU	1900	35544	\N	\N	0
291168	998	1995-01-25	VYDAJ	VYBER	1320	53567	\N	\N	\N
291169	998	1995-01-29	VYDAJ	VYBER	1080	52487	\N	\N	\N
291170	998	1995-01-22	VYDAJ	VYBER	1320	54887	\N	\N	\N
291171	998	1995-01-02	VYDAJ	VYBER	3120	64480	\N	\N	\N
291172	998	1995-01-05	VYDAJ	VYBER	2880	42600	\N	\N	\N
291173	998	1995-01-21	VYDAJ	VYBER	3360	56207	\N	\N	\N
291174	998	1996-01-04	VYDAJ	VYBER	1560	27978	\N	\N	\N
291175	998	1996-01-01	VYDAJ	VYBER	960	43258	\N	\N	\N
291176	998	1996-01-16	VYDAJ	VYBER	2520	41225	\N	\N	\N
291177	998	1996-01-05	VYDAJ	VYBER	1200	26778	\N	\N	\N
291178	998	1996-01-03	VYDAJ	VYBER	1680	31818	\N	\N	\N
291179	998	1996-01-04	VYDAJ	VYBER	2280	29538	\N	\N	\N
291180	998	1997-01-09	VYDAJ	VYBER KARTOU	2400	19775	\N	\N	0
291181	998	1997-01-26	VYDAJ	VYBER KARTOU	1700	19783	\N	\N	0
291182	998	1997-01-21	VYDAJ	VYBER KARTOU	2000	40783	\N	\N	0
291183	998	1997-01-24	VYDAJ	VYBER KARTOU	2000	38783	\N	\N	0
291185	998	1997-01-09	VYDAJ	VYBER KARTOU	1600	18175	\N	\N	0
291186	998	1998-01-19	VYDAJ	VYBER KARTOU	2400	36530	\N	\N	0
291187	998	1998-01-22	VYDAJ	VYBER KARTOU	1100	35430	\N	\N	0
291188	998	1998-01-12	VYDAJ	VYBER KARTOU	2600	41530	\N	\N	0
291189	998	1998-01-17	VYDAJ	VYBER KARTOU	1400	40130	\N	\N	0
291190	998	1998-01-28	VYDAJ	VYBER KARTOU	3400	21310	\N	\N	0
291191	998	1998-01-18	VYDAJ	VYBER KARTOU	1200	38930	\N	\N	0
291197	998	1994-04-28	VYDAJ	VYBER	4320	54841	\N	\N	\N
291200	998	1994-06-26	VYDAJ	VYBER	3600	66008	\N	\N	\N
291202	998	1994-09-27	VYDAJ	VYBER	3840	56033	\N	\N	\N
291203	998	1994-09-19	VYDAJ	VYBER	5880	59873	\N	\N	\N
291205	998	1995-06-22	VYDAJ	VYBER	2040	69711	\N	\N	\N
291206	998	1995-02-08	VYDAJ	VYBER	5400	24759	\N	\N	\N
291207	998	1995-03-23	VYDAJ	VYBER	4320	51795	\N	\N	\N
291208	998	1995-04-03	VYDAJ	VYBER	2040	49950	\N	\N	\N
291209	998	1996-08-20	VYDAJ	VYBER	5760	38746	\N	\N	\N
291210	998	1996-10-05	VYDAJ	VYBER	600	28273	\N	\N	\N
291212	998	1996-03-06	VYDAJ	VYBER	1320	33470	\N	\N	\N
291213	998	1997-06-29	VYDAJ	VYBER KARTOU	1400	24427	\N	\N	0
291216	998	1997-10-21	VYDAJ	VYBER KARTOU	2200	20233	\N	\N	0
291218	998	1997-09-22	VYDAJ	VYBER KARTOU	3200	34256	\N	\N	0
291219	998	1998-05-14	VYDAJ	VYBER KARTOU	3000	48434	\N	\N	0
291220	998	1998-11-15	VYDAJ	VYBER	4800	79999	\N	\N	\N
291223	998	1998-08-18	VYDAJ	VYBER KARTOU	3000	33390	\N	\N	0
291239	998	1994-03-31	VYDAJ	VYBER	15	57094	SLUZBY	\N	\N
291240	998	1994-04-30	VYDAJ	VYBER	15	55066	SLUZBY	\N	\N
291241	998	1994-05-31	VYDAJ	VYBER	15	59157	SLUZBY	\N	\N
291242	998	1994-06-30	VYDAJ	VYBER	15	66255	SLUZBY	\N	\N
291243	998	1994-07-31	VYDAJ	VYBER	15	64572	SLUZBY	\N	\N
291244	998	1994-08-31	VYDAJ	VYBER	15	65286	SLUZBY	\N	\N
291245	998	1994-09-30	VYDAJ	VYBER	15	56271	SLUZBY	\N	\N
291246	998	1994-10-31	VYDAJ	VYBER	15	61065	SLUZBY	\N	\N
291247	998	1994-11-30	VYDAJ	VYBER	15	60656	SLUZBY	\N	\N
291248	998	1994-12-31	VYDAJ	VYBER	15	71760	SLUZBY	\N	\N
291249	998	1995-01-31	VYDAJ	VYBER	15	52700	SLUZBY	\N	\N
291250	998	1995-02-28	VYDAJ	VYBER	15	49548	SLUZBY	\N	\N
291251	998	1995-03-31	VYDAJ	VYBER	15	51990	SLUZBY	\N	\N
291252	998	1995-04-30	VYDAJ	VYBER	15	53305	SLUZBY	\N	\N
291253	998	1995-05-31	VYDAJ	VYBER	15	57480	SLUZBY	\N	\N
291254	998	1995-06-30	VYDAJ	VYBER	15	63075	SLUZBY	\N	\N
291255	998	1995-07-31	VYDAJ	VYBER	15	60467	SLUZBY	\N	\N
291256	998	1995-08-31	VYDAJ	VYBER	15	58250	SLUZBY	\N	\N
291257	998	1995-09-30	VYDAJ	VYBER	15	56324	SLUZBY	\N	\N
291258	998	1995-10-31	VYDAJ	VYBER	15	56297	SLUZBY	\N	\N
291259	998	1995-11-30	VYDAJ	VYBER	15	56972	SLUZBY	\N	\N
291260	998	1995-12-31	VYDAJ	VYBER	15	67218	SLUZBY	\N	\N
291261	998	1996-01-31	VYDAJ	VYBER	15	30963	SLUZBY	\N	\N
291262	998	1996-02-29	VYDAJ	VYBER	15	48090	SLUZBY	\N	\N
291263	998	1996-03-31	VYDAJ	VYBER	15	35512	SLUZBY	\N	\N
291264	998	1996-04-30	VYDAJ	VYBER	15	31153	SLUZBY	\N	\N
291265	998	1996-05-31	VYDAJ	VYBER	15	31475	SLUZBY	\N	\N
291266	998	1996-06-30	VYDAJ	VYBER	15	30026	SLUZBY	\N	\N
291267	998	1996-07-31	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
291268	998	1996-08-31	VYDAJ	VYBER	15	26275	SLUZBY	\N	\N
291269	998	1996-09-30	VYDAJ	VYBER	15	28873	SLUZBY	\N	\N
291270	998	1996-10-31	VYDAJ	VYBER	15	27071	SLUZBY	\N	\N
291271	998	1996-11-30	VYDAJ	VYBER	15	24465	SLUZBY	\N	\N
291272	998	1996-12-31	VYDAJ	VYBER	15	29816	SLUZBY	\N	\N
291273	998	1997-01-31	VYDAJ	VYBER	15	19904	SLUZBY	\N	\N
291274	998	1997-02-28	VYDAJ	VYBER	15	17565	SLUZBY	\N	\N
291275	998	1997-03-31	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
291276	998	1997-04-30	VYDAJ	VYBER	15	20489	SLUZBY	\N	\N
291277	998	1997-05-31	VYDAJ	VYBER	15	23156	SLUZBY	\N	\N
291278	998	1997-06-30	VYDAJ	VYBER	15	24558	SLUZBY	\N	\N
291279	998	1997-07-31	VYDAJ	VYBER	15	19831	SLUZBY	\N	\N
291280	998	1997-08-31	VYDAJ	VYBER	15	20489	SLUZBY	\N	\N
291281	998	1997-09-30	VYDAJ	VYBER	15	34366	SLUZBY	\N	\N
291282	998	1997-10-31	VYDAJ	VYBER	15	20363	SLUZBY	\N	\N
291283	998	1997-11-30	VYDAJ	VYBER	15	37444	SLUZBY	\N	\N
291284	998	1997-12-31	VYDAJ	VYBER	15	27163	SLUZBY	\N	\N
291285	998	1998-01-31	VYDAJ	VYBER	15	21422	SLUZBY	\N	\N
291286	998	1998-02-28	VYDAJ	VYBER	15	38505	SLUZBY	\N	\N
291287	998	1998-03-31	VYDAJ	VYBER	15	17399	SLUZBY	\N	\N
291288	998	1998-04-30	VYDAJ	VYBER	15	34467	SLUZBY	\N	\N
291289	998	1998-05-31	VYDAJ	VYBER	15	48599	SLUZBY	\N	\N
291290	998	1998-06-30	VYDAJ	VYBER	15	65972	SLUZBY	\N	\N
291291	998	1998-07-31	VYDAJ	VYBER	15	19423	SLUZBY	\N	\N
291292	998	1998-08-31	VYDAJ	VYBER	15	33493	SLUZBY	\N	\N
291293	998	1998-09-30	VYDAJ	VYBER	15	50627	SLUZBY	\N	\N
291294	998	1998-10-31	VYDAJ	VYBER	15	67832	SLUZBY	\N	\N
291295	998	1998-11-30	VYDAJ	VYBER	15	80298	SLUZBY	\N	\N
291296	998	1993-12-11	VYDAJ	VYBER	19900	41888	\N	\N	\N
291297	998	1994-01-10	VYDAJ	VYBER	7500	34540	\N	\N	\N
291298	998	1994-02-09	VYDAJ	VYBER	16200	43171	\N	\N	\N
291299	998	1994-03-11	VYDAJ	VYBER	35800	56857	\N	\N	\N
291300	998	1994-04-10	VYDAJ	VYBER	14900	34553	\N	\N	\N
291301	998	1994-05-10	VYDAJ	VYBER	13100	34325	\N	\N	\N
291302	998	1994-06-09	VYDAJ	VYBER	11300	32696	\N	\N	\N
291303	998	1994-07-09	VYDAJ	VYBER	18900	39714	\N	\N	\N
291304	998	1994-08-08	VYDAJ	VYBER	16500	40431	\N	\N	\N
291305	998	1994-09-07	VYDAJ	VYBER	16500	48786	\N	\N	\N
291306	998	1994-10-07	VYDAJ	VYBER	12400	43871	\N	\N	\N
291307	998	1994-11-06	VYDAJ	VYBER	17600	43465	\N	\N	\N
291308	998	1994-12-06	VYDAJ	VYBER	14900	42236	\N	\N	\N
291309	998	1995-01-05	VYDAJ	VYBER	19000	45480	\N	\N	\N
291310	998	1995-02-04	VYDAJ	VYBER	14900	37800	\N	\N	\N
291311	998	1995-03-06	VYDAJ	VYBER	10400	39148	\N	\N	\N
291312	998	1995-04-05	VYDAJ	VYBER	13800	36150	\N	\N	\N
291313	998	1995-05-05	VYDAJ	VYBER	13000	40305	\N	\N	\N
291314	998	1995-06-04	VYDAJ	VYBER	15000	42480	\N	\N	\N
291315	998	1995-07-04	VYDAJ	VYBER	19800	43275	\N	\N	\N
291316	998	1995-08-03	VYDAJ	VYBER	19400	41067	\N	\N	\N
291317	998	1995-09-02	VYDAJ	VYBER	19100	39150	\N	\N	\N
291318	998	1995-10-02	VYDAJ	VYBER	17200	39124	\N	\N	\N
291319	998	1995-11-01	VYDAJ	VYBER	16500	39797	\N	\N	\N
291320	998	1995-12-01	VYDAJ	VYBER	18300	38672	\N	\N	\N
291321	998	1995-12-31	VYDAJ	VYBER	23000	44218	\N	\N	\N
291322	998	1996-01-30	VYDAJ	VYBER	10400	30825	\N	\N	\N
291323	998	1996-02-29	VYDAJ	VYBER	13300	34790	\N	\N	\N
291324	998	1996-03-30	VYDAJ	VYBER	15100	35337	\N	\N	\N
291325	998	1996-04-29	VYDAJ	VYBER	21500	30979	\N	\N	\N
291326	998	1996-05-29	VYDAJ	VYBER	16800	31320	\N	\N	\N
291327	998	1996-06-28	VYDAJ	VYBER	24000	29866	\N	\N	\N
291328	998	1996-07-28	VYDAJ	VYBER	19600	27393	\N	\N	\N
291329	998	1996-08-27	VYDAJ	VYBER	12600	26146	\N	\N	\N
291330	998	1996-09-26	VYDAJ	VYBER	14500	28742	\N	\N	\N
291331	998	1996-10-26	VYDAJ	VYBER	18300	26940	\N	\N	\N
291332	998	1996-11-25	VYDAJ	VYBER	19700	24338	\N	\N	\N
291333	998	1996-12-25	VYDAJ	VYBER	19900	29676	\N	\N	\N
291334	998	1997-01-24	VYDAJ	VYBER	17300	21483	\N	\N	\N
291335	998	1997-02-23	VYDAJ	VYBER	19400	17471	\N	\N	\N
291336	998	1997-03-25	VYDAJ	VYBER	14200	20332	\N	\N	\N
291337	998	1997-04-24	VYDAJ	VYBER	17000	20390	\N	\N	\N
291338	998	1997-05-24	VYDAJ	VYBER	14400	23056	\N	\N	\N
291339	998	1997-06-23	VYDAJ	VYBER	26600	25827	\N	\N	\N
291340	998	1997-07-23	VYDAJ	VYBER	21800	19725	\N	\N	\N
291341	998	1997-08-22	VYDAJ	VYBER	16400	20398	\N	\N	\N
291342	998	1997-10-21	VYDAJ	VYBER	28900	22433	\N	\N	\N
291343	998	1997-12-20	VYDAJ	VYBER	37800	27015	\N	\N	\N
291344	998	1998-03-20	VYDAJ	VYBER	38200	17272	\N	\N	\N
291345	998	1998-07-18	VYDAJ	VYBER	63700	19239	\N	\N	\N
291346	998	1998-12-15	VYDAJ	VYBER	87400	22169	\N	\N	\N
292053	1000	1993-01-25	PRIJEM	VKLAD	200	200	\N	\N	\N
292055	1000	1993-02-07	PRIJEM	PREVOD Z UCTU	31348	31548	\N	ST	87163465
292056	1000	1993-03-07	PRIJEM	PREVOD Z UCTU	31348	61418	\N	ST	87163465
292057	1000	1993-04-07	PRIJEM	PREVOD Z UCTU	31348	73902	\N	ST	87163465
292058	1000	1993-05-07	PRIJEM	PREVOD Z UCTU	31348	79731	\N	ST	87163465
292059	1000	1993-06-07	PRIJEM	PREVOD Z UCTU	47022	100359	\N	ST	87163465
292060	1000	1993-07-07	PRIJEM	PREVOD Z UCTU	31348	91898	\N	ST	87163465
292061	1000	1993-08-07	PRIJEM	PREVOD Z UCTU	31348	52772	\N	ST	87163465
292062	1000	1993-09-07	PRIJEM	PREVOD Z UCTU	31348	67673	\N	ST	87163465
292063	1000	1993-10-07	PRIJEM	PREVOD Z UCTU	31348	53702	\N	ST	87163465
292064	1000	1993-11-07	PRIJEM	PREVOD Z UCTU	31348	66075	\N	ST	87163465
292065	1000	1993-12-07	PRIJEM	PREVOD Z UCTU	47022	91174	\N	ST	87163465
292066	1000	1994-01-07	PRIJEM	PREVOD Z UCTU	31348	55348	\N	ST	87163465
292067	1000	1994-02-07	PRIJEM	PREVOD Z UCTU	31348	55635	\N	ST	87163465
292068	1000	1994-03-07	PRIJEM	PREVOD Z UCTU	31348	51897	\N	ST	87163465
292069	1000	1994-04-07	PRIJEM	PREVOD Z UCTU	31348	65068	\N	ST	87163465
292070	1000	1994-05-07	PRIJEM	PREVOD Z UCTU	31348	63385	\N	ST	87163465
292071	1000	1994-06-07	PRIJEM	PREVOD Z UCTU	47022	88683	\N	ST	87163465
292072	1000	1994-07-07	PRIJEM	PREVOD Z UCTU	31348	81261	\N	ST	87163465
292073	1000	1994-08-07	PRIJEM	PREVOD Z UCTU	31348	76343	\N	ST	87163465
292074	1000	1994-09-07	PRIJEM	PREVOD Z UCTU	31348	77051	\N	ST	87163465
292075	1000	1994-10-07	PRIJEM	PREVOD Z UCTU	31348	55578	\N	ST	87163465
292076	1000	1994-11-07	PRIJEM	PREVOD Z UCTU	31348	70362	\N	ST	87163465
292077	1000	1994-12-07	PRIJEM	PREVOD Z UCTU	47022	82073	\N	ST	87163465
292078	1000	1995-01-07	PRIJEM	PREVOD Z UCTU	31348	66216	\N	ST	87163465
292079	1000	1995-02-07	PRIJEM	PREVOD Z UCTU	31348	58020	\N	ST	87163465
292080	1000	1995-03-07	PRIJEM	PREVOD Z UCTU	31348	60848	\N	ST	87163465
292081	1000	1995-04-07	PRIJEM	PREVOD Z UCTU	31348	58330	\N	ST	87163465
292082	1000	1995-05-07	PRIJEM	PREVOD Z UCTU	31348	69113	\N	ST	87163465
292083	1000	1995-06-07	PRIJEM	PREVOD Z UCTU	47022	70537	\N	ST	87163465
292084	1000	1995-07-07	PRIJEM	PREVOD Z UCTU	31348	54836	\N	ST	87163465
292085	1000	1995-08-07	PRIJEM	PREVOD Z UCTU	31348	65590	\N	ST	87163465
292086	1000	1995-09-07	PRIJEM	PREVOD Z UCTU	31348	65348	\N	ST	87163465
292087	1000	1995-10-07	PRIJEM	PREVOD Z UCTU	31348	77871	\N	ST	87163465
292088	1000	1995-11-07	PRIJEM	PREVOD Z UCTU	31348	73892	\N	ST	87163465
292089	1000	1995-12-07	PRIJEM	PREVOD Z UCTU	47022	84538	\N	ST	87163465
292090	1000	1996-01-07	PRIJEM	PREVOD Z UCTU	31348	76767	\N	ST	87163465
292091	1000	1996-02-07	PRIJEM	PREVOD Z UCTU	31348	54908	\N	ST	87163465
292092	1000	1996-03-07	PRIJEM	PREVOD Z UCTU	31348	74210	\N	ST	87163465
292093	1000	1996-04-07	PRIJEM	PREVOD Z UCTU	31348	72557	\N	ST	87163465
292094	1000	1996-05-07	PRIJEM	PREVOD Z UCTU	31348	82584	\N	ST	87163465
292095	1000	1996-06-07	PRIJEM	PREVOD Z UCTU	47022	80566	\N	ST	87163465
292096	1000	1996-07-07	PRIJEM	PREVOD Z UCTU	31348	86902	\N	ST	87163465
292097	1000	1996-08-07	PRIJEM	PREVOD Z UCTU	31348	86323	\N	ST	87163465
292098	1000	1996-09-07	PRIJEM	PREVOD Z UCTU	31348	79382	\N	ST	87163465
292099	1000	1996-10-07	PRIJEM	PREVOD Z UCTU	31348	82878	\N	ST	87163465
292100	1000	1996-11-07	PRIJEM	PREVOD Z UCTU	31348	86411	\N	ST	87163465
292101	1000	1996-12-07	PRIJEM	PREVOD Z UCTU	47022	90428	\N	ST	87163465
292102	1000	1997-01-07	PRIJEM	PREVOD Z UCTU	31348	88172	\N	ST	87163465
292103	1000	1997-02-07	PRIJEM	PREVOD Z UCTU	31348	68902	\N	ST	87163465
292104	1000	1997-03-07	PRIJEM	PREVOD Z UCTU	31348	78260	\N	ST	87163465
292105	1000	1997-04-07	PRIJEM	PREVOD Z UCTU	31348	80374	\N	ST	87163465
292106	1000	1997-05-07	PRIJEM	PREVOD Z UCTU	31348	81832	\N	ST	87163465
292107	1000	1997-06-07	PRIJEM	PREVOD Z UCTU	47022	88476	\N	ST	87163465
292108	1000	1997-07-07	PRIJEM	PREVOD Z UCTU	31348	74523	\N	ST	87163465
292109	1000	1997-08-07	PRIJEM	PREVOD Z UCTU	31348	73389	\N	ST	87163465
292110	1000	1997-09-07	PRIJEM	PREVOD Z UCTU	31348	83679	\N	ST	87163465
292111	1000	1997-10-07	PRIJEM	PREVOD Z UCTU	31348	89413	\N	ST	87163465
292112	1000	1997-11-07	PRIJEM	PREVOD Z UCTU	31348	89272	\N	ST	87163465
292113	1000	1997-12-07	PRIJEM	PREVOD Z UCTU	47022	97631	\N	ST	87163465
292114	1000	1998-01-07	PRIJEM	PREVOD Z UCTU	31348	80548	\N	ST	87163465
292115	1000	1998-02-07	PRIJEM	PREVOD Z UCTU	31348	64368	\N	ST	87163465
292116	1000	1998-03-07	PRIJEM	PREVOD Z UCTU	31348	75147	\N	ST	87163465
292117	1000	1998-04-07	PRIJEM	PREVOD Z UCTU	31348	79538	\N	ST	87163465
292118	1000	1998-05-07	PRIJEM	PREVOD Z UCTU	31348	85077	\N	ST	87163465
292119	1000	1998-06-07	PRIJEM	PREVOD Z UCTU	47022	89637	\N	ST	87163465
292120	1000	1998-07-07	PRIJEM	PREVOD Z UCTU	31348	79604	\N	ST	87163465
292121	1000	1998-08-07	PRIJEM	PREVOD Z UCTU	31348	83568	\N	ST	87163465
292122	1000	1998-09-07	PRIJEM	PREVOD Z UCTU	31348	84364	\N	ST	87163465
292123	1000	1998-10-07	PRIJEM	PREVOD Z UCTU	31348	74747	\N	ST	87163465
292124	1000	1998-11-07	PRIJEM	PREVOD Z UCTU	31348	83410	\N	ST	87163465
292125	1000	1998-12-07	PRIJEM	PREVOD Z UCTU	47022	102396	\N	ST	87163465
292131	1000	1993-06-10	VYDAJ	PREVOD NA UCET	3179	92853	SIPO	YZ	78449135
292132	1000	1993-07-10	VYDAJ	PREVOD NA UCET	3179	84392	SIPO	YZ	78449135
292133	1000	1993-08-10	VYDAJ	PREVOD NA UCET	3179	45266	SIPO	YZ	78449135
292134	1000	1993-09-10	VYDAJ	PREVOD NA UCET	3179	60167	SIPO	YZ	78449135
292135	1000	1993-10-10	VYDAJ	PREVOD NA UCET	3179	40796	SIPO	YZ	78449135
292136	1000	1993-11-10	VYDAJ	PREVOD NA UCET	3179	58569	SIPO	YZ	78449135
292137	1000	1993-12-10	VYDAJ	PREVOD NA UCET	3179	83668	SIPO	YZ	78449135
292138	1000	1994-01-10	VYDAJ	PREVOD NA UCET	3179	47842	SIPO	YZ	78449135
292139	1000	1994-02-10	VYDAJ	PREVOD NA UCET	3179	48129	SIPO	YZ	78449135
292140	1000	1994-03-10	VYDAJ	PREVOD NA UCET	3179	44391	SIPO	YZ	78449135
292141	1000	1994-04-10	VYDAJ	PREVOD NA UCET	3179	57562	SIPO	YZ	78449135
292142	1000	1994-05-10	VYDAJ	PREVOD NA UCET	3179	55879	SIPO	YZ	78449135
292143	1000	1994-06-10	VYDAJ	PREVOD NA UCET	3179	81177	SIPO	YZ	78449135
292144	1000	1994-07-10	VYDAJ	PREVOD NA UCET	3179	73755	SIPO	YZ	78449135
292145	1000	1994-08-10	VYDAJ	PREVOD NA UCET	3179	64506	SIPO	YZ	78449135
292146	1000	1994-09-10	VYDAJ	PREVOD NA UCET	3179	69545	SIPO	YZ	78449135
292147	1000	1994-10-10	VYDAJ	PREVOD NA UCET	3179	48072	SIPO	YZ	78449135
292148	1000	1994-11-10	VYDAJ	PREVOD NA UCET	3179	62856	SIPO	YZ	78449135
292149	1000	1994-12-10	VYDAJ	PREVOD NA UCET	3179	74567	SIPO	YZ	78449135
292150	1000	1995-01-10	VYDAJ	PREVOD NA UCET	3179	58710	SIPO	YZ	78449135
292151	1000	1995-02-10	VYDAJ	PREVOD NA UCET	3179	33291	SIPO	YZ	78449135
292152	1000	1995-03-10	VYDAJ	PREVOD NA UCET	3179	53342	SIPO	YZ	78449135
292153	1000	1995-04-10	VYDAJ	PREVOD NA UCET	3179	50824	SIPO	YZ	78449135
292154	1000	1995-05-10	VYDAJ	PREVOD NA UCET	3179	44099	SIPO	YZ	78449135
292155	1000	1995-06-10	VYDAJ	PREVOD NA UCET	3179	63031	SIPO	YZ	78449135
292156	1000	1995-07-10	VYDAJ	PREVOD NA UCET	3179	47330	SIPO	YZ	78449135
292157	1000	1995-08-10	VYDAJ	PREVOD NA UCET	3179	58084	SIPO	YZ	78449135
292158	1000	1995-09-10	VYDAJ	PREVOD NA UCET	3179	57842	SIPO	YZ	78449135
292159	1000	1995-10-10	VYDAJ	PREVOD NA UCET	3179	56565	SIPO	YZ	78449135
292160	1000	1995-11-10	VYDAJ	PREVOD NA UCET	3179	66386	SIPO	YZ	78449135
292161	1000	1995-12-10	VYDAJ	PREVOD NA UCET	3179	77032	SIPO	YZ	78449135
292162	1000	1996-01-10	VYDAJ	PREVOD NA UCET	3179	52861	SIPO	YZ	78449135
292163	1000	1996-02-10	VYDAJ	PREVOD NA UCET	3179	42702	SIPO	YZ	78449135
292164	1000	1996-03-10	VYDAJ	PREVOD NA UCET	3179	52304	SIPO	YZ	78449135
292165	1000	1996-04-10	VYDAJ	PREVOD NA UCET	3179	51051	SIPO	YZ	78449135
292166	1000	1996-05-10	VYDAJ	PREVOD NA UCET	3179	57378	SIPO	YZ	78449135
292167	1000	1996-06-10	VYDAJ	PREVOD NA UCET	3179	55360	SIPO	YZ	78449135
292168	1000	1996-07-10	VYDAJ	PREVOD NA UCET	3179	54758	SIPO	YZ	78449135
292169	1000	1996-08-10	VYDAJ	PREVOD NA UCET	3179	53717	SIPO	YZ	78449135
292170	1000	1996-09-10	VYDAJ	PREVOD NA UCET	3179	71876	SIPO	YZ	78449135
292171	1000	1996-10-10	VYDAJ	PREVOD NA UCET	3179	75372	SIPO	YZ	78449135
292172	1000	1996-11-10	VYDAJ	PREVOD NA UCET	3179	62557	SIPO	YZ	78449135
292173	1000	1996-12-10	VYDAJ	PREVOD NA UCET	3179	82922	SIPO	YZ	78449135
292174	1000	1997-01-10	VYDAJ	PREVOD NA UCET	3179	72866	SIPO	YZ	78449135
292175	1000	1997-02-10	VYDAJ	PREVOD NA UCET	3179	61396	SIPO	YZ	78449135
292176	1000	1997-03-10	VYDAJ	PREVOD NA UCET	3179	70754	SIPO	YZ	78449135
292177	1000	1997-04-10	VYDAJ	PREVOD NA UCET	3179	72868	SIPO	YZ	78449135
292178	1000	1997-05-10	VYDAJ	PREVOD NA UCET	3179	74326	SIPO	YZ	78449135
292179	1000	1997-06-10	VYDAJ	PREVOD NA UCET	3179	80970	SIPO	YZ	78449135
292180	1000	1997-07-10	VYDAJ	PREVOD NA UCET	3179	67017	SIPO	YZ	78449135
292181	1000	1997-08-10	VYDAJ	PREVOD NA UCET	3179	65883	SIPO	YZ	78449135
292182	1000	1997-09-10	VYDAJ	PREVOD NA UCET	3179	76173	SIPO	YZ	78449135
292183	1000	1997-10-10	VYDAJ	PREVOD NA UCET	3179	81907	SIPO	YZ	78449135
292184	1000	1997-11-10	VYDAJ	PREVOD NA UCET	3179	81766	SIPO	YZ	78449135
292185	1000	1997-12-10	VYDAJ	PREVOD NA UCET	3179	90125	SIPO	YZ	78449135
292186	1000	1998-01-10	VYDAJ	PREVOD NA UCET	3179	73042	SIPO	YZ	78449135
292187	1000	1998-02-10	VYDAJ	PREVOD NA UCET	3179	56862	SIPO	YZ	78449135
292188	1000	1998-03-10	VYDAJ	PREVOD NA UCET	3179	67641	SIPO	YZ	78449135
292189	1000	1998-04-10	VYDAJ	PREVOD NA UCET	3179	72032	SIPO	YZ	78449135
292190	1000	1998-05-10	VYDAJ	PREVOD NA UCET	3179	77571	SIPO	YZ	78449135
292191	1000	1998-06-10	VYDAJ	PREVOD NA UCET	3179	82131	SIPO	YZ	78449135
292192	1000	1998-07-10	VYDAJ	PREVOD NA UCET	3179	60098	SIPO	YZ	78449135
292193	1000	1998-08-10	VYDAJ	PREVOD NA UCET	3179	57805	SIPO	YZ	78449135
292194	1000	1998-09-10	VYDAJ	PREVOD NA UCET	3179	76858	SIPO	YZ	78449135
292195	1000	1998-10-10	VYDAJ	PREVOD NA UCET	3179	67241	SIPO	YZ	78449135
292196	1000	1998-11-10	VYDAJ	PREVOD NA UCET	3179	66304	SIPO	YZ	78449135
292197	1000	1998-12-10	VYDAJ	PREVOD NA UCET	3179	94890	SIPO	YZ	78449135
292203	1000	1993-06-09	VYDAJ	PREVOD NA UCET	1475	98884	 	CD	8467102
292204	1000	1993-07-09	VYDAJ	PREVOD NA UCET	1475	87571	 	CD	8467102
292205	1000	1993-08-09	VYDAJ	PREVOD NA UCET	1475	51297	 	CD	8467102
292206	1000	1993-09-09	VYDAJ	PREVOD NA UCET	1475	66198	 	CD	8467102
292207	1000	1993-10-09	VYDAJ	PREVOD NA UCET	1475	46827	 	CD	8467102
292208	1000	1993-11-09	VYDAJ	PREVOD NA UCET	1475	61748	 	CD	8467102
292209	1000	1993-12-09	VYDAJ	PREVOD NA UCET	1475	89699	 	CD	8467102
292210	1000	1994-01-09	VYDAJ	PREVOD NA UCET	1475	53873	 	CD	8467102
292211	1000	1994-02-09	VYDAJ	PREVOD NA UCET	1475	51308	 	CD	8467102
292212	1000	1994-03-09	VYDAJ	PREVOD NA UCET	1475	47570	 	CD	8467102
292213	1000	1994-04-09	VYDAJ	PREVOD NA UCET	1475	63593	 	CD	8467102
292214	1000	1994-05-09	VYDAJ	PREVOD NA UCET	1475	59058	 	CD	8467102
292215	1000	1994-06-09	VYDAJ	PREVOD NA UCET	1475	84356	 	CD	8467102
292216	1000	1994-07-09	VYDAJ	PREVOD NA UCET	1475	76934	 	CD	8467102
292217	1000	1994-08-09	VYDAJ	PREVOD NA UCET	1475	67685	 	CD	8467102
292218	1000	1994-09-09	VYDAJ	PREVOD NA UCET	1475	72724	 	CD	8467102
292219	1000	1994-10-09	VYDAJ	PREVOD NA UCET	1475	54103	 	CD	8467102
292220	1000	1994-11-09	VYDAJ	PREVOD NA UCET	1475	68887	 	CD	8467102
292221	1000	1994-12-09	VYDAJ	PREVOD NA UCET	1475	77746	 	CD	8467102
292222	1000	1995-01-09	VYDAJ	PREVOD NA UCET	1475	61889	 	CD	8467102
292223	1000	1995-02-09	VYDAJ	PREVOD NA UCET	1475	39322	 	CD	8467102
292224	1000	1995-03-09	VYDAJ	PREVOD NA UCET	1475	56521	 	CD	8467102
292225	1000	1995-04-09	VYDAJ	PREVOD NA UCET	1475	56855	 	CD	8467102
292226	1000	1995-05-09	VYDAJ	PREVOD NA UCET	1475	50130	 	CD	8467102
292227	1000	1995-06-09	VYDAJ	PREVOD NA UCET	1475	69062	 	CD	8467102
292228	1000	1995-07-09	VYDAJ	PREVOD NA UCET	1475	50509	 	CD	8467102
292229	1000	1995-08-09	VYDAJ	PREVOD NA UCET	1475	64115	 	CD	8467102
292230	1000	1995-09-09	VYDAJ	PREVOD NA UCET	1475	63873	 	CD	8467102
292231	1000	1995-10-09	VYDAJ	PREVOD NA UCET	1475	59744	 	CD	8467102
292232	1000	1995-11-09	VYDAJ	PREVOD NA UCET	1475	72417	 	CD	8467102
292233	1000	1995-12-09	VYDAJ	PREVOD NA UCET	1475	83063	 	CD	8467102
292234	1000	1996-01-09	VYDAJ	PREVOD NA UCET	1475	71992	 	CD	8467102
292235	1000	1996-02-09	VYDAJ	PREVOD NA UCET	1475	53433	 	CD	8467102
292236	1000	1996-03-09	VYDAJ	PREVOD NA UCET	1475	69883	 	CD	8467102
292237	1000	1996-04-09	VYDAJ	PREVOD NA UCET	1475	71082	 	CD	8467102
292238	1000	1996-05-09	VYDAJ	PREVOD NA UCET	1475	63409	 	CD	8467102
292239	1000	1996-06-09	VYDAJ	PREVOD NA UCET	1475	58539	 	CD	8467102
292240	1000	1996-07-09	VYDAJ	PREVOD NA UCET	1475	57937	 	CD	8467102
292241	1000	1996-08-09	VYDAJ	PREVOD NA UCET	1475	59748	 	CD	8467102
292242	1000	1996-09-09	VYDAJ	PREVOD NA UCET	1475	77907	 	CD	8467102
292243	1000	1996-10-09	VYDAJ	PREVOD NA UCET	1475	78551	 	CD	8467102
292244	1000	1996-11-09	VYDAJ	PREVOD NA UCET	1475	65736	 	CD	8467102
292245	1000	1996-12-09	VYDAJ	PREVOD NA UCET	1475	86101	 	CD	8467102
292246	1000	1997-01-09	VYDAJ	PREVOD NA UCET	1475	78897	 	CD	8467102
292247	1000	1997-02-09	VYDAJ	PREVOD NA UCET	1475	64575	 	CD	8467102
292248	1000	1997-03-09	VYDAJ	PREVOD NA UCET	1475	73933	 	CD	8467102
292249	1000	1997-04-09	VYDAJ	PREVOD NA UCET	1475	76047	 	CD	8467102
292250	1000	1997-05-09	VYDAJ	PREVOD NA UCET	1475	80357	 	CD	8467102
292251	1000	1997-06-09	VYDAJ	PREVOD NA UCET	1475	84149	 	CD	8467102
292252	1000	1997-07-09	VYDAJ	PREVOD NA UCET	1475	70196	 	CD	8467102
292253	1000	1997-08-09	VYDAJ	PREVOD NA UCET	1475	69062	 	CD	8467102
292254	1000	1997-09-09	VYDAJ	PREVOD NA UCET	1475	79352	 	CD	8467102
292255	1000	1997-10-09	VYDAJ	PREVOD NA UCET	1475	85086	 	CD	8467102
292256	1000	1997-11-09	VYDAJ	PREVOD NA UCET	1475	84945	 	CD	8467102
292257	1000	1997-12-09	VYDAJ	PREVOD NA UCET	1475	93304	 	CD	8467102
292258	1000	1998-01-09	VYDAJ	PREVOD NA UCET	1475	79073	 	CD	8467102
292259	1000	1998-02-09	VYDAJ	PREVOD NA UCET	1475	60041	 	CD	8467102
292260	1000	1998-03-09	VYDAJ	PREVOD NA UCET	1475	70820	 	CD	8467102
292261	1000	1998-04-09	VYDAJ	PREVOD NA UCET	1475	78063	 	CD	8467102
292262	1000	1998-05-09	VYDAJ	PREVOD NA UCET	1475	80750	 	CD	8467102
292263	1000	1998-06-09	VYDAJ	PREVOD NA UCET	1475	88162	 	CD	8467102
292264	1000	1998-07-09	VYDAJ	PREVOD NA UCET	1475	78129	 	CD	8467102
292265	1000	1998-08-09	VYDAJ	PREVOD NA UCET	1475	60984	 	CD	8467102
292266	1000	1998-09-09	VYDAJ	PREVOD NA UCET	1475	82889	 	CD	8467102
292267	1000	1998-10-09	VYDAJ	PREVOD NA UCET	1475	73272	 	CD	8467102
292268	1000	1998-11-09	VYDAJ	PREVOD NA UCET	1475	79083	 	CD	8467102
292269	1000	1998-12-09	VYDAJ	PREVOD NA UCET	1475	100921	 	CD	8467102
292275	1000	1993-06-09	VYDAJ	PREVOD NA UCET	2852	96032	POJISTNE	OP	62838387
292276	1000	1993-07-09	VYDAJ	PREVOD NA UCET	2852	89046	POJISTNE	OP	62838387
292277	1000	1993-08-09	VYDAJ	PREVOD NA UCET	2852	48445	POJISTNE	OP	62838387
292278	1000	1993-09-09	VYDAJ	PREVOD NA UCET	2852	63346	POJISTNE	OP	62838387
292279	1000	1993-10-09	VYDAJ	PREVOD NA UCET	2852	43975	POJISTNE	OP	62838387
292280	1000	1993-11-09	VYDAJ	PREVOD NA UCET	2852	63223	POJISTNE	OP	62838387
292281	1000	1993-12-09	VYDAJ	PREVOD NA UCET	2852	86847	POJISTNE	OP	62838387
292282	1000	1994-01-09	VYDAJ	PREVOD NA UCET	2852	51021	POJISTNE	OP	62838387
292283	1000	1994-02-09	VYDAJ	PREVOD NA UCET	2852	52783	POJISTNE	OP	62838387
292284	1000	1994-03-09	VYDAJ	PREVOD NA UCET	2852	49045	POJISTNE	OP	62838387
292285	1000	1994-04-09	VYDAJ	PREVOD NA UCET	2852	60741	POJISTNE	OP	62838387
292286	1000	1994-05-09	VYDAJ	PREVOD NA UCET	2852	60533	POJISTNE	OP	62838387
292287	1000	1994-06-09	VYDAJ	PREVOD NA UCET	2852	85831	POJISTNE	OP	62838387
292288	1000	1994-07-09	VYDAJ	PREVOD NA UCET	2852	78409	POJISTNE	OP	62838387
292289	1000	1994-08-09	VYDAJ	PREVOD NA UCET	2852	69160	POJISTNE	OP	62838387
292290	1000	1994-09-09	VYDAJ	PREVOD NA UCET	2852	74199	POJISTNE	OP	62838387
292291	1000	1994-10-09	VYDAJ	PREVOD NA UCET	2852	51251	POJISTNE	OP	62838387
292292	1000	1994-11-09	VYDAJ	PREVOD NA UCET	2852	66035	POJISTNE	OP	62838387
292293	1000	1994-12-09	VYDAJ	PREVOD NA UCET	2852	79221	POJISTNE	OP	62838387
292294	1000	1995-01-09	VYDAJ	PREVOD NA UCET	2852	63364	POJISTNE	OP	62838387
292295	1000	1995-02-09	VYDAJ	PREVOD NA UCET	2852	36470	POJISTNE	OP	62838387
292296	1000	1995-03-09	VYDAJ	PREVOD NA UCET	2852	57996	POJISTNE	OP	62838387
292297	1000	1995-04-09	VYDAJ	PREVOD NA UCET	2852	54003	POJISTNE	OP	62838387
292298	1000	1995-05-09	VYDAJ	PREVOD NA UCET	2852	47278	POJISTNE	OP	62838387
292299	1000	1995-06-09	VYDAJ	PREVOD NA UCET	2852	66210	POJISTNE	OP	62838387
292300	1000	1995-07-09	VYDAJ	PREVOD NA UCET	2852	51984	POJISTNE	OP	62838387
292301	1000	1995-08-09	VYDAJ	PREVOD NA UCET	2852	61263	POJISTNE	OP	62838387
292302	1000	1995-09-09	VYDAJ	PREVOD NA UCET	2852	61021	POJISTNE	OP	62838387
292303	1000	1995-10-09	VYDAJ	PREVOD NA UCET	2852	61219	POJISTNE	OP	62838387
292304	1000	1995-11-09	VYDAJ	PREVOD NA UCET	2852	69565	POJISTNE	OP	62838387
292305	1000	1995-12-09	VYDAJ	PREVOD NA UCET	2852	80211	POJISTNE	OP	62838387
292306	1000	1996-01-09	VYDAJ	PREVOD NA UCET	2852	69140	POJISTNE	OP	62838387
292307	1000	1996-02-09	VYDAJ	PREVOD NA UCET	2852	45881	POJISTNE	OP	62838387
292308	1000	1996-03-09	VYDAJ	PREVOD NA UCET	2852	71358	POJISTNE	OP	62838387
292309	1000	1996-04-09	VYDAJ	PREVOD NA UCET	2852	68230	POJISTNE	OP	62838387
292310	1000	1996-05-09	VYDAJ	PREVOD NA UCET	2852	60557	POJISTNE	OP	62838387
292311	1000	1996-06-09	VYDAJ	PREVOD NA UCET	2852	60014	POJISTNE	OP	62838387
292312	1000	1996-07-09	VYDAJ	PREVOD NA UCET	2852	59412	POJISTNE	OP	62838387
292313	1000	1996-08-09	VYDAJ	PREVOD NA UCET	2852	56896	POJISTNE	OP	62838387
292314	1000	1996-09-09	VYDAJ	PREVOD NA UCET	2852	75055	POJISTNE	OP	62838387
292315	1000	1996-10-09	VYDAJ	PREVOD NA UCET	2852	80026	POJISTNE	OP	62838387
292316	1000	1996-11-09	VYDAJ	PREVOD NA UCET	2852	67211	POJISTNE	OP	62838387
292317	1000	1996-12-09	VYDAJ	PREVOD NA UCET	2852	87576	POJISTNE	OP	62838387
292318	1000	1997-01-09	VYDAJ	PREVOD NA UCET	2852	76045	POJISTNE	OP	62838387
292319	1000	1997-02-09	VYDAJ	PREVOD NA UCET	2852	66050	POJISTNE	OP	62838387
292320	1000	1997-03-09	VYDAJ	PREVOD NA UCET	2852	75408	POJISTNE	OP	62838387
292321	1000	1997-04-09	VYDAJ	PREVOD NA UCET	2852	77522	POJISTNE	OP	62838387
292322	1000	1997-05-09	VYDAJ	PREVOD NA UCET	2852	77505	POJISTNE	OP	62838387
292323	1000	1997-06-09	VYDAJ	PREVOD NA UCET	2852	85624	POJISTNE	OP	62838387
292324	1000	1997-07-09	VYDAJ	PREVOD NA UCET	2852	71671	POJISTNE	OP	62838387
292325	1000	1997-08-09	VYDAJ	PREVOD NA UCET	2852	70537	POJISTNE	OP	62838387
292326	1000	1997-09-09	VYDAJ	PREVOD NA UCET	2852	80827	POJISTNE	OP	62838387
292327	1000	1997-10-09	VYDAJ	PREVOD NA UCET	2852	86561	POJISTNE	OP	62838387
292328	1000	1997-11-09	VYDAJ	PREVOD NA UCET	2852	86420	POJISTNE	OP	62838387
292329	1000	1997-12-09	VYDAJ	PREVOD NA UCET	2852	94779	POJISTNE	OP	62838387
292330	1000	1998-01-09	VYDAJ	PREVOD NA UCET	2852	76221	POJISTNE	OP	62838387
292331	1000	1998-02-09	VYDAJ	PREVOD NA UCET	2852	61516	POJISTNE	OP	62838387
292332	1000	1998-03-09	VYDAJ	PREVOD NA UCET	2852	72295	POJISTNE	OP	62838387
292333	1000	1998-04-09	VYDAJ	PREVOD NA UCET	2852	75211	POJISTNE	OP	62838387
292334	1000	1998-05-09	VYDAJ	PREVOD NA UCET	2852	82225	POJISTNE	OP	62838387
292335	1000	1998-06-09	VYDAJ	PREVOD NA UCET	2852	85310	POJISTNE	OP	62838387
292336	1000	1998-07-09	VYDAJ	PREVOD NA UCET	2852	75277	POJISTNE	OP	62838387
292337	1000	1998-08-09	VYDAJ	PREVOD NA UCET	2852	62459	POJISTNE	OP	62838387
292338	1000	1998-09-09	VYDAJ	PREVOD NA UCET	2852	80037	POJISTNE	OP	62838387
292339	1000	1998-10-09	VYDAJ	PREVOD NA UCET	2852	70420	POJISTNE	OP	62838387
292340	1000	1998-11-09	VYDAJ	PREVOD NA UCET	2852	80558	POJISTNE	OP	62838387
292341	1000	1998-12-09	VYDAJ	PREVOD NA UCET	2852	98069	POJISTNE	OP	62838387
292343	1000	1993-07-21	VYBER	VYBER	19169	49658	\N	\N	\N
292344	1000	1993-07-18	VYBER	VYBER	15565	68827	\N	\N	\N
292346	1000	1993-09-26	VYBER	VYBER	20087	22180	\N	\N	\N
292349	1000	1993-08-01	VYBER	VYBER	18477	21424	\N	\N	\N
292350	1000	1993-12-19	VYBER	VYBER	11973	64795	\N	\N	\N
292351	1000	1994-09-22	VYBER	VYBER	23992	24053	\N	\N	\N
292352	1000	1994-08-09	VYBER	VYBER	4331	72012	\N	\N	\N
292353	1000	1994-07-26	VYBER	VYBER	5282	44773	\N	\N	\N
292354	1000	1994-02-20	VYBER	VYBER	16399	20430	\N	\N	\N
292355	1000	1994-01-03	VYBER	VYBER	13052	33770	\N	\N	\N
292356	1000	1994-12-14	VYBER	VYBER	6790	65977	\N	\N	\N
292358	1000	1994-11-21	VYBER	VYBER	4063	43393	\N	\N	\N
292359	1000	1994-11-25	VYBER	VYBER	8518	34875	\N	\N	\N
292360	1000	1994-01-06	VYBER	VYBER	4370	24000	\N	\N	\N
292363	1000	1995-08-26	VYBER	VYBER	8758	37526	\N	\N	\N
292365	1000	1995-06-13	VYBER	VYBER	5113	57918	\N	\N	\N
292366	1000	1995-11-18	VYBER	VYBER	15439	37347	\N	\N	\N
292367	1000	1995-09-05	VYBER	VYBER	3690	34000	\N	\N	\N
292370	1000	1995-07-30	VYBER	VYBER	7127	34103	\N	\N	\N
292371	1000	1995-06-16	VYBER	VYBER	16947	25471	\N	\N	\N
292372	1000	1995-02-08	VYBER	VYBER	17223	40797	\N	\N	\N
292374	1000	1995-05-09	VYBER	VYBER	17508	51605	\N	\N	\N
292375	1000	1995-03-19	VYBER	VYBER	12290	26852	\N	\N	\N
292376	1000	1996-07-07	VYBER	VYBER	2938	83964	\N	\N	\N
292378	1000	1996-05-28	VYBER	VYBER	18631	33347	\N	\N	\N
292379	1000	1996-11-09	VYBER	VYBER	16348	70063	\N	\N	\N
292380	1000	1996-02-05	VYBER	VYBER	11792	23560	\N	\N	\N
292381	1000	1996-03-18	VYBER	VYBER	11271	41033	\N	\N	\N
292382	1000	1997-04-29	VYBER	VYBER	13063	59805	\N	\N	\N
292383	1000	1997-12-16	VYBER	VYBER	12704	64521	\N	\N	\N
292384	1000	1997-01-30	VYBER	VYBER	23471	37095	\N	\N	\N
292385	1000	1997-06-23	VYBER	VYBER	4865	76105	\N	\N	\N
292386	1000	1997-05-29	VYBER	VYBER	5310	55516	\N	\N	\N
292387	1000	1997-06-02	VYBER	VYBER	13924	41854	\N	\N	\N
292388	1000	1997-11-16	VYBER	VYBER	6439	75327	\N	\N	\N
292389	1000	1997-07-17	VYBER	VYBER	13496	53521	\N	\N	\N
292390	1000	1998-05-26	VYBER	VYBER	22787	54784	\N	\N	\N
292391	1000	1998-04-22	VYBER	VYBER	5757	66275	\N	\N	\N
292392	1000	1998-03-24	VYBER	VYBER	2034	65607	\N	\N	\N
292393	1000	1998-09-11	VYBER	VYBER	14985	61873	\N	\N	\N
292394	1000	1998-02-17	VYBER	VYBER	9136	47726	\N	\N	\N
292395	1000	1998-06-22	VYBER	VYBER	16336	65795	\N	\N	\N
292397	1000	1998-08-09	VYBER	VYBER	18257	65311	\N	\N	\N
292398	1000	1998-11-14	VYBER	VYBER	3657	62647	\N	\N	\N
292400	1000	1998-04-01	VYBER	VYBER	3252	48190	\N	\N	\N
292402	1000	1998-06-06	VYBER	VYBER	4025	42615	\N	\N	\N
292407	1000	1997-06-27	VYDAJ	VYBER	29700	46405	\N	\N	\N
292408	1000	1998-06-26	VYDAJ	VYBER	18300	47495	\N	\N	\N
292409	1000	1993-12-13	VYDAJ	VYBER	6900	76768	\N	\N	\N
292410	1000	1994-12-13	VYDAJ	VYBER	1800	72767	\N	\N	\N
292411	1000	1995-12-19	VYDAJ	VYBER	7800	47032	\N	\N	\N
292412	1000	1996-12-04	VYDAJ	VYBER	2700	46006	\N	\N	\N
292413	1000	1997-12-05	VYDAJ	VYBER	8400	50609	\N	\N	\N
292414	1000	1998-12-19	VYDAJ	VYBER	3900	90990	\N	\N	\N
292421	1000	1994-01-24	VYDAJ	VYBER	4500	28642	\N	\N	\N
292422	1000	1994-01-05	VYDAJ	VYBER	5400	28370	\N	\N	\N
292423	1000	1994-01-14	VYDAJ	VYBER	3900	41842	\N	\N	\N
292424	1000	1994-01-29	VYDAJ	VYBER	4500	24142	\N	\N	\N
292426	1000	1994-01-12	VYDAJ	VYBER	2100	45742	\N	\N	\N
292427	1000	1995-01-21	VYDAJ	VYBER	3000	40010	\N	\N	\N
292429	1000	1995-01-25	VYDAJ	VYBER	2700	26510	\N	\N	\N
292430	1000	1995-01-05	VYDAJ	VYBER	4800	34868	\N	\N	\N
292431	1000	1995-01-24	VYDAJ	VYBER	7200	32810	\N	\N	\N
292432	1000	1995-01-24	VYDAJ	VYBER	3600	29210	\N	\N	\N
292433	1000	1996-01-01	VYDAJ	VYBER	1800	45419	\N	\N	\N
292434	1000	1996-01-27	VYDAJ	VYBER	8700	35161	\N	\N	\N
292435	1000	1996-01-20	VYDAJ	VYBER	3600	49261	\N	\N	\N
292436	1000	1996-01-24	VYDAJ	VYBER	1800	47461	\N	\N	\N
292437	1000	1996-01-26	VYDAJ	VYBER	3600	43861	\N	\N	\N
292438	1000	1996-01-08	VYDAJ	VYBER	3300	73467	\N	\N	\N
292439	1000	1997-01-02	VYDAJ	VYBER	3600	79624	\N	\N	\N
292440	1000	1997-01-30	VYDAJ	VYBER	2700	34395	\N	\N	\N
292441	1000	1997-01-21	VYDAJ	VYBER	6000	60566	\N	\N	\N
292442	1000	1997-01-17	VYDAJ	VYBER	6300	66566	\N	\N	\N
292443	1000	1997-01-03	VYDAJ	VYBER	3300	76324	\N	\N	\N
292444	1000	1997-01-07	VYDAJ	VYBER	7800	80372	\N	\N	\N
292445	1000	1998-01-16	VYDAJ	VYBER	7800	42142	\N	\N	\N
292446	1000	1998-01-11	VYDAJ	VYBER	7800	65242	\N	\N	\N
292447	1000	1998-01-21	VYDAJ	VYBER	1500	40642	\N	\N	\N
292448	1000	1998-01-26	VYDAJ	VYBER	6900	33742	\N	\N	\N
292449	1000	1998-01-11	VYDAJ	VYBER	5400	59842	\N	\N	\N
292450	1000	1998-01-28	VYDAJ	VYBER	3600	30142	\N	\N	\N
292451	1000	1993-08-18	VYDAJ	VYBER	3000	42266	\N	\N	\N
292452	1000	1993-10-08	VYDAJ	VYBER	5400	48302	\N	\N	\N
292456	1000	1994-12-26	VYDAJ	VYBER	11400	39477	\N	\N	\N
292457	1000	1994-05-01	VYDAJ	VYBER	5700	32037	\N	\N	\N
292458	1000	1994-06-30	VYDAJ	VYBER	5700	49928	\N	\N	\N
292459	1000	1994-04-30	VYDAJ	VYBER	4200	37751	\N	\N	\N
292460	1000	1995-06-23	VYDAJ	VYBER	2100	23371	\N	\N	\N
292461	1000	1995-05-16	VYDAJ	VYBER	11400	23399	\N	\N	\N
292462	1000	1995-10-07	VYDAJ	VYBER	13800	64071	\N	\N	\N
292463	1000	1996-09-14	VYDAJ	VYBER	6900	64976	\N	\N	\N
292464	1000	1996-11-25	VYDAJ	VYBER	14100	48457	\N	\N	\N
292465	1000	1996-05-19	VYDAJ	VYBER	5400	51978	\N	\N	\N
292466	1000	1997-05-24	VYDAJ	VYBER	9900	60826	\N	\N	\N
292467	1000	1997-04-04	VYDAJ	VYBER	12900	49026	\N	\N	\N
292468	1000	1997-05-15	VYDAJ	VYBER	3600	70726	\N	\N	\N
292469	1000	1997-12-11	VYDAJ	VYBER	12900	77225	\N	\N	\N
292470	1000	1998-07-10	VYDAJ	VYBER	12000	63277	\N	\N	\N
292471	1000	1998-10-05	VYDAJ	VYBER	12300	43399	\N	\N	\N
292472	1000	1998-11-10	VYDAJ	VYBER	9600	69483	\N	\N	\N
292473	1000	1998-01-11	VYDAJ	VYBER	9900	49942	\N	\N	\N
292474	1000	1998-10-15	VYDAJ	VYBER	12600	54641	\N	\N	\N
292481	1000	1993-06-30	VYDAJ	VYBER	15	60550	SLUZBY	\N	\N
292482	1000	1993-07-31	VYDAJ	VYBER	15	39901	SLUZBY	\N	\N
292483	1000	1993-08-31	VYDAJ	VYBER	15	36325	SLUZBY	\N	\N
292484	1000	1993-09-30	VYDAJ	VYBER	15	22354	SLUZBY	\N	\N
292485	1000	1993-10-31	VYDAJ	VYBER	15	34727	SLUZBY	\N	\N
292486	1000	1993-11-30	VYDAJ	VYBER	15	44152	SLUZBY	\N	\N
292487	1000	1993-12-31	VYDAJ	VYBER	15	46822	SLUZBY	\N	\N
292488	1000	1994-01-31	VYDAJ	VYBER	15	24287	SLUZBY	\N	\N
292489	1000	1994-02-28	VYDAJ	VYBER	15	20549	SLUZBY	\N	\N
292490	1000	1994-03-31	VYDAJ	VYBER	15	33720	SLUZBY	\N	\N
292491	1000	1994-04-30	VYDAJ	VYBER	15	37737	SLUZBY	\N	\N
292492	1000	1994-05-31	VYDAJ	VYBER	15	41661	SLUZBY	\N	\N
292493	1000	1994-06-30	VYDAJ	VYBER	15	49913	SLUZBY	\N	\N
292494	1000	1994-07-31	VYDAJ	VYBER	15	44995	SLUZBY	\N	\N
292495	1000	1994-08-31	VYDAJ	VYBER	15	45703	SLUZBY	\N	\N
292496	1000	1994-09-30	VYDAJ	VYBER	15	24230	SLUZBY	\N	\N
292497	1000	1994-10-31	VYDAJ	VYBER	15	39014	SLUZBY	\N	\N
292498	1000	1994-11-30	VYDAJ	VYBER	15	35051	SLUZBY	\N	\N
292499	1000	1994-12-31	VYDAJ	VYBER	15	39668	SLUZBY	\N	\N
292500	1000	1995-01-31	VYDAJ	VYBER	15	26672	SLUZBY	\N	\N
292501	1000	1995-02-28	VYDAJ	VYBER	15	29500	SLUZBY	\N	\N
292502	1000	1995-03-31	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
292503	1000	1995-04-30	VYDAJ	VYBER	15	37765	SLUZBY	\N	\N
292504	1000	1995-05-31	VYDAJ	VYBER	15	23515	SLUZBY	\N	\N
292505	1000	1995-06-30	VYDAJ	VYBER	15	23488	SLUZBY	\N	\N
292506	1000	1995-07-31	VYDAJ	VYBER	15	34242	SLUZBY	\N	\N
292507	1000	1995-08-31	VYDAJ	VYBER	15	37690	SLUZBY	\N	\N
292508	1000	1995-09-30	VYDAJ	VYBER	15	46523	SLUZBY	\N	\N
292509	1000	1995-10-31	VYDAJ	VYBER	15	42544	SLUZBY	\N	\N
292510	1000	1995-11-30	VYDAJ	VYBER	15	37516	SLUZBY	\N	\N
292511	1000	1995-12-31	VYDAJ	VYBER	15	47219	SLUZBY	\N	\N
292512	1000	1996-01-31	VYDAJ	VYBER	15	35352	SLUZBY	\N	\N
292513	1000	1996-02-29	VYDAJ	VYBER	15	42862	SLUZBY	\N	\N
292514	1000	1996-03-31	VYDAJ	VYBER	15	41209	SLUZBY	\N	\N
292515	1000	1996-04-30	VYDAJ	VYBER	15	51236	SLUZBY	\N	\N
292516	1000	1996-05-31	VYDAJ	VYBER	15	33544	SLUZBY	\N	\N
292517	1000	1996-06-30	VYDAJ	VYBER	15	55554	SLUZBY	\N	\N
292518	1000	1996-07-31	VYDAJ	VYBER	15	54975	SLUZBY	\N	\N
292519	1000	1996-08-31	VYDAJ	VYBER	15	53934	SLUZBY	\N	\N
292520	1000	1996-09-30	VYDAJ	VYBER	15	65230	SLUZBY	\N	\N
292521	1000	1996-10-31	VYDAJ	VYBER	15	75663	SLUZBY	\N	\N
292522	1000	1996-11-30	VYDAJ	VYBER	15	48706	SLUZBY	\N	\N
292523	1000	1996-12-31	VYDAJ	VYBER	15	83224	SLUZBY	\N	\N
292524	1000	1997-01-31	VYDAJ	VYBER	15	34654	SLUZBY	\N	\N
292525	1000	1997-02-28	VYDAJ	VYBER	15	61612	SLUZBY	\N	\N
292526	1000	1997-03-31	VYDAJ	VYBER	15	71026	SLUZBY	\N	\N
292527	1000	1997-04-30	VYDAJ	VYBER	15	60084	SLUZBY	\N	\N
292528	1000	1997-05-31	VYDAJ	VYBER	15	55778	SLUZBY	\N	\N
292529	1000	1997-06-30	VYDAJ	VYBER	15	46675	SLUZBY	\N	\N
292530	1000	1997-07-31	VYDAJ	VYBER	15	53741	SLUZBY	\N	\N
292531	1000	1997-08-31	VYDAJ	VYBER	15	66131	SLUZBY	\N	\N
292532	1000	1997-09-30	VYDAJ	VYBER	15	76465	SLUZBY	\N	\N
292533	1000	1997-10-31	VYDAJ	VYBER	15	57924	SLUZBY	\N	\N
292534	1000	1997-11-30	VYDAJ	VYBER	15	75609	SLUZBY	\N	\N
292535	1000	1997-12-31	VYDAJ	VYBER	15	49200	SLUZBY	\N	\N
292536	1000	1998-01-31	VYDAJ	VYBER	15	33020	SLUZBY	\N	\N
292537	1000	1998-02-28	VYDAJ	VYBER	15	47899	SLUZBY	\N	\N
292538	1000	1998-03-31	VYDAJ	VYBER	15	51442	SLUZBY	\N	\N
292539	1000	1998-04-30	VYDAJ	VYBER	15	53729	SLUZBY	\N	\N
292540	1000	1998-05-31	VYDAJ	VYBER	15	46640	SLUZBY	\N	\N
292541	1000	1998-06-30	VYDAJ	VYBER	15	48256	SLUZBY	\N	\N
292542	1000	1998-07-31	VYDAJ	VYBER	15	52220	SLUZBY	\N	\N
292543	1000	1998-08-31	VYDAJ	VYBER	15	53016	SLUZBY	\N	\N
292544	1000	1998-09-30	VYDAJ	VYBER	15	55699	SLUZBY	\N	\N
292545	1000	1998-10-31	VYDAJ	VYBER	15	52062	SLUZBY	\N	\N
292546	1000	1998-11-30	VYDAJ	VYBER	15	55374	SLUZBY	\N	\N
292547	1000	1993-02-24	VYDAJ	VYBER	1500	30048	\N	\N	\N
292548	1000	1993-03-26	VYDAJ	VYBER	19000	42418	\N	\N	\N
292549	1000	1993-04-25	VYDAJ	VYBER	25700	48202	\N	\N	\N
292550	1000	1993-05-25	VYDAJ	VYBER	26600	53131	\N	\N	\N
292551	1000	1993-06-24	VYDAJ	VYBER	32600	60253	\N	\N	\N
292552	1000	1993-07-24	VYDAJ	VYBER	10000	39658	\N	\N	\N
292553	1000	1993-08-23	VYDAJ	VYBER	6100	36166	\N	\N	\N
292554	1000	1993-09-22	VYDAJ	VYBER	17900	42267	\N	\N	\N
292555	1000	1993-10-22	VYDAJ	VYBER	6200	34596	\N	\N	\N
292556	1000	1993-11-21	VYDAJ	VYBER	14600	43969	\N	\N	\N
292557	1000	1993-12-21	VYDAJ	VYBER	18200	46595	\N	\N	\N
292558	1000	1994-01-20	VYDAJ	VYBER	8700	33142	\N	\N	\N
292559	1000	1994-02-19	VYDAJ	VYBER	11300	36829	\N	\N	\N
292560	1000	1994-03-21	VYDAJ	VYBER	10800	33591	\N	\N	\N
292561	1000	1994-04-20	VYDAJ	VYBER	15800	41762	\N	\N	\N
292562	1000	1994-05-20	VYDAJ	VYBER	14400	41479	\N	\N	\N
292563	1000	1994-06-19	VYDAJ	VYBER	25800	55377	\N	\N	\N
292564	1000	1994-07-19	VYDAJ	VYBER	23700	50055	\N	\N	\N
292565	1000	1994-08-18	VYDAJ	VYBER	19000	45506	\N	\N	\N
292566	1000	1994-09-17	VYDAJ	VYBER	21500	48045	\N	\N	\N
292567	1000	1994-10-17	VYDAJ	VYBER	9200	38872	\N	\N	\N
292568	1000	1994-11-16	VYDAJ	VYBER	15400	47456	\N	\N	\N
292569	1000	1994-12-16	VYDAJ	VYBER	15100	50877	\N	\N	\N
292570	1000	1995-01-15	VYDAJ	VYBER	15700	43010	\N	\N	\N
292571	1000	1995-02-14	VYDAJ	VYBER	3900	29391	\N	\N	\N
292572	1000	1995-03-16	VYDAJ	VYBER	14200	39142	\N	\N	\N
292573	1000	1995-04-15	VYDAJ	VYBER	13200	37624	\N	\N	\N
292574	1000	1995-05-15	VYDAJ	VYBER	9300	34799	\N	\N	\N
292575	1000	1995-06-14	VYDAJ	VYBER	15500	42418	\N	\N	\N
292576	1000	1995-07-14	VYDAJ	VYBER	6100	41230	\N	\N	\N
292577	1000	1995-08-13	VYDAJ	VYBER	11800	46284	\N	\N	\N
292578	1000	1995-09-12	VYDAJ	VYBER	11500	46342	\N	\N	\N
292579	1000	1995-10-12	VYDAJ	VYBER	14200	42365	\N	\N	\N
292580	1000	1995-11-11	VYDAJ	VYBER	13600	52786	\N	\N	\N
292581	1000	1995-12-11	VYDAJ	VYBER	22200	54832	\N	\N	\N
292582	1000	1996-01-10	VYDAJ	VYBER	13100	56040	\N	\N	\N
292583	1000	1996-02-09	VYDAJ	VYBER	4700	48733	\N	\N	\N
292584	1000	1996-03-10	VYDAJ	VYBER	14400	55483	\N	\N	\N
292585	1000	1996-04-09	VYDAJ	VYBER	14000	54230	\N	\N	\N
292586	1000	1996-05-09	VYDAJ	VYBER	17700	64884	\N	\N	\N
292587	1000	1996-06-08	VYDAJ	VYBER	17700	62866	\N	\N	\N
292588	1000	1996-07-08	VYDAJ	VYBER	21700	62264	\N	\N	\N
292589	1000	1996-08-07	VYDAJ	VYBER	25100	61223	\N	\N	\N
292590	1000	1996-09-06	VYDAJ	VYBER	5900	48034	\N	\N	\N
292591	1000	1996-10-06	VYDAJ	VYBER	13700	51530	\N	\N	\N
292592	1000	1996-11-05	VYDAJ	VYBER	20600	55063	\N	\N	\N
292593	1000	1996-12-05	VYDAJ	VYBER	2600	43406	\N	\N	\N
292594	1000	1997-01-04	VYDAJ	VYBER	19500	56824	\N	\N	\N
292595	1000	1997-02-03	PRIJEM	VKLAD	2900	37554	\N	\N	\N
292596	1000	1997-03-05	VYDAJ	VYBER	14700	46912	\N	\N	\N
292597	1000	1997-04-04	VYDAJ	VYBER	9100	61926	\N	\N	\N
292598	1000	1997-05-04	VYDAJ	VYBER	9600	50484	\N	\N	\N
292599	1000	1997-06-03	VYDAJ	VYBER	400	41454	\N	\N	\N
292600	1000	1997-07-03	VYDAJ	VYBER	3500	43175	\N	\N	\N
292601	1000	1997-08-02	VYDAJ	VYBER	11700	42041	\N	\N	\N
292602	1000	1997-09-01	VYDAJ	VYBER	13800	52331	\N	\N	\N
292603	1000	1997-10-01	VYDAJ	VYBER	18400	58065	\N	\N	\N
292604	1000	1997-10-31	VYDAJ	VYBER	24300	57939	\N	\N	\N
292605	1000	1997-11-30	VYDAJ	VYBER	16600	59009	\N	\N	\N
292606	1000	1997-12-30	VYDAJ	VYBER	15600	48921	\N	\N	\N
292607	1000	1998-01-29	PRIJEM	VKLAD	2700	32842	\N	\N	\N
292608	1000	1998-02-28	VYDAJ	VYBER	4100	43799	\N	\N	\N
292609	1000	1998-03-30	VYDAJ	VYBER	14400	51207	\N	\N	\N
292610	1000	1998-04-29	VYDAJ	VYBER	12800	53475	\N	\N	\N
292611	1000	1998-05-29	VYDAJ	VYBER	8400	46384	\N	\N	\N
292612	1000	1998-06-28	PRIJEM	VKLAD	500	47995	\N	\N	\N
292613	1000	1998-07-28	VYDAJ	VYBER	8100	51998	\N	\N	\N
292614	1000	1998-08-27	VYDAJ	VYBER	5000	52805	\N	\N	\N
292615	1000	1998-09-26	VYDAJ	VYBER	6400	55473	\N	\N	\N
292616	1000	1998-10-26	VYDAJ	VYBER	2800	51841	\N	\N	\N
292617	1000	1998-11-25	VYDAJ	VYBER	7500	55147	\N	\N	\N
293231	1002	1996-09-17	PRIJEM	VKLAD	500	500	\N	\N	\N
293241	1002	1996-10-12	PRIJEM	VKLAD	4283	4783	\N	\N	\N
293242	1002	1996-11-12	PRIJEM	VKLAD	4283	17693	\N	\N	\N
293243	1002	1996-12-12	PRIJEM	VKLAD	6424	27288	\N	\N	\N
293244	1002	1997-01-12	PRIJEM	VKLAD	4283	29567	\N	\N	\N
293245	1002	1997-02-12	PRIJEM	VKLAD	4283	29756	\N	\N	\N
293246	1002	1997-03-12	PRIJEM	VKLAD	4283	20471	\N	\N	\N
293247	1002	1997-04-12	PRIJEM	VKLAD	4283	18264	\N	\N	\N
293248	1002	1997-05-12	PRIJEM	VKLAD	4283	18755	\N	\N	\N
293249	1002	1997-06-12	PRIJEM	VKLAD	6424	18778	\N	\N	\N
293250	1002	1997-07-12	PRIJEM	VKLAD	4283	17657	\N	\N	\N
293251	1002	1997-08-12	PRIJEM	VKLAD	4283	15933	\N	\N	\N
293252	1002	1997-09-12	PRIJEM	VKLAD	4283	15604	\N	\N	\N
293253	1002	1997-10-12	PRIJEM	VKLAD	4283	13770	\N	\N	\N
293254	1002	1997-11-12	PRIJEM	VKLAD	4283	14037	\N	\N	\N
293255	1002	1997-12-12	PRIJEM	VKLAD	6424	18347	\N	\N	\N
293256	1002	1998-01-12	PRIJEM	VKLAD	4283	15218	\N	\N	\N
293257	1002	1998-02-12	PRIJEM	VKLAD	4283	16691	\N	\N	\N
293258	1002	1998-03-12	PRIJEM	VKLAD	4283	14270	\N	\N	\N
293259	1002	1998-04-12	PRIJEM	VKLAD	4283	15741	\N	\N	\N
293260	1002	1998-05-12	PRIJEM	VKLAD	4283	17217	\N	\N	\N
293261	1002	1998-06-12	PRIJEM	VKLAD	6424	20839	\N	\N	\N
293262	1002	1998-07-12	PRIJEM	VKLAD	4283	22332	\N	\N	\N
293263	1002	1998-08-12	PRIJEM	VKLAD	4283	23835	\N	\N	\N
293264	1002	1998-09-12	PRIJEM	VKLAD	4283	25344	\N	\N	\N
293265	1002	1998-10-12	PRIJEM	VKLAD	4283	26358	\N	\N	\N
293266	1002	1998-11-12	PRIJEM	VKLAD	4283	27878	\N	\N	\N
293267	1002	1998-12-12	PRIJEM	VKLAD	6424	25139	\N	\N	\N
293282	1002	1997-03-06	VYDAJ	PREVOD NA UCET	1293	22650	SIPO	YZ	61809003
293283	1002	1997-04-06	VYDAJ	PREVOD NA UCET	1293	15543	SIPO	YZ	61809003
293284	1002	1997-05-06	VYDAJ	PREVOD NA UCET	1293	16034	SIPO	YZ	61809003
293285	1002	1997-06-06	VYDAJ	PREVOD NA UCET	1293	13916	SIPO	YZ	61809003
293286	1002	1997-07-06	VYDAJ	PREVOD NA UCET	1293	14936	SIPO	YZ	61809003
293287	1002	1997-08-06	VYDAJ	PREVOD NA UCET	1293	13212	SIPO	YZ	61809003
293288	1002	1997-09-06	VYDAJ	PREVOD NA UCET	1293	12883	SIPO	YZ	61809003
293289	1002	1997-10-06	VYDAJ	PREVOD NA UCET	1293	11049	SIPO	YZ	61809003
293290	1002	1997-11-06	VYDAJ	PREVOD NA UCET	1293	11316	SIPO	YZ	61809003
293291	1002	1997-12-06	VYDAJ	PREVOD NA UCET	1293	12785	SIPO	YZ	61809003
293292	1002	1998-01-06	VYDAJ	PREVOD NA UCET	1293	12497	SIPO	YZ	61809003
293293	1002	1998-02-06	VYDAJ	PREVOD NA UCET	1293	13970	SIPO	YZ	61809003
293294	1002	1998-03-06	VYDAJ	PREVOD NA UCET	1293	11549	SIPO	YZ	61809003
293295	1002	1998-04-06	VYDAJ	PREVOD NA UCET	1293	13020	SIPO	YZ	61809003
293296	1002	1998-05-06	VYDAJ	PREVOD NA UCET	1293	14496	SIPO	YZ	61809003
293297	1002	1998-06-06	VYDAJ	PREVOD NA UCET	1293	15977	SIPO	YZ	61809003
293298	1002	1998-07-06	VYDAJ	PREVOD NA UCET	1293	19611	SIPO	YZ	61809003
293299	1002	1998-08-06	VYDAJ	PREVOD NA UCET	1293	21114	SIPO	YZ	61809003
293300	1002	1998-09-06	VYDAJ	PREVOD NA UCET	1293	22623	SIPO	YZ	61809003
293301	1002	1998-10-06	VYDAJ	PREVOD NA UCET	1293	23637	SIPO	YZ	61809003
293302	1002	1998-11-06	VYDAJ	PREVOD NA UCET	1293	25157	SIPO	YZ	61809003
293303	1002	1998-12-06	VYDAJ	PREVOD NA UCET	1293	24377	SIPO	YZ	61809003
293318	1002	1997-03-08	VYDAJ	PREVOD NA UCET	1092	16658	 	EF	29577315
293319	1002	1997-04-08	VYDAJ	PREVOD NA UCET	1092	14451	 	EF	29577315
293320	1002	1997-05-08	VYDAJ	PREVOD NA UCET	1092	14942	 	EF	29577315
293321	1002	1997-06-08	VYDAJ	PREVOD NA UCET	1092	12824	 	EF	29577315
293322	1002	1997-07-08	VYDAJ	PREVOD NA UCET	1092	13844	 	EF	29577315
293323	1002	1997-08-08	VYDAJ	PREVOD NA UCET	1092	12120	 	EF	29577315
293324	1002	1997-09-08	VYDAJ	PREVOD NA UCET	1092	11791	 	EF	29577315
293325	1002	1997-10-08	VYDAJ	PREVOD NA UCET	1092	9957	 	EF	29577315
293326	1002	1997-11-08	VYDAJ	PREVOD NA UCET	1092	10224	 	EF	29577315
293327	1002	1997-12-08	VYDAJ	PREVOD NA UCET	1092	11693	 	EF	29577315
293328	1002	1998-01-08	VYDAJ	PREVOD NA UCET	1092	11405	 	EF	29577315
293329	1002	1998-02-08	VYDAJ	PREVOD NA UCET	1092	12878	 	EF	29577315
293330	1002	1998-03-08	VYDAJ	PREVOD NA UCET	1092	10457	 	EF	29577315
293331	1002	1998-04-08	VYDAJ	PREVOD NA UCET	1092	11928	 	EF	29577315
293332	1002	1998-05-08	VYDAJ	PREVOD NA UCET	1092	13404	 	EF	29577315
293333	1002	1998-06-08	VYDAJ	PREVOD NA UCET	1092	14885	 	EF	29577315
293334	1002	1998-07-08	VYDAJ	PREVOD NA UCET	1092	18519	 	EF	29577315
293335	1002	1998-08-08	VYDAJ	PREVOD NA UCET	1092	20022	 	EF	29577315
293336	1002	1998-09-08	VYDAJ	PREVOD NA UCET	1092	21531	 	EF	29577315
293337	1002	1998-10-08	VYDAJ	PREVOD NA UCET	1092	22545	 	EF	29577315
293338	1002	1998-11-08	VYDAJ	PREVOD NA UCET	1092	24065	 	EF	29577315
293339	1002	1998-12-08	VYDAJ	PREVOD NA UCET	1092	23285	 	EF	29577315
293354	1002	1997-03-11	VYDAJ	PREVOD NA UCET	470	16188	POJISTNE	YZ	69410747
293355	1002	1997-04-11	VYDAJ	PREVOD NA UCET	470	13981	POJISTNE	YZ	69410747
293356	1002	1997-05-11	VYDAJ	PREVOD NA UCET	470	14472	POJISTNE	YZ	69410747
293357	1002	1997-06-11	VYDAJ	PREVOD NA UCET	470	12354	POJISTNE	YZ	69410747
293358	1002	1997-07-11	VYDAJ	PREVOD NA UCET	470	13374	POJISTNE	YZ	69410747
293359	1002	1997-08-11	VYDAJ	PREVOD NA UCET	470	11650	POJISTNE	YZ	69410747
293360	1002	1997-09-11	VYDAJ	PREVOD NA UCET	470	11321	POJISTNE	YZ	69410747
293361	1002	1997-10-11	VYDAJ	PREVOD NA UCET	470	9487	POJISTNE	YZ	69410747
293362	1002	1997-11-11	VYDAJ	PREVOD NA UCET	470	9754	POJISTNE	YZ	69410747
293363	1002	1997-12-11	VYDAJ	PREVOD NA UCET	470	11923	POJISTNE	YZ	69410747
293364	1002	1998-01-11	VYDAJ	PREVOD NA UCET	470	10935	POJISTNE	YZ	69410747
293365	1002	1998-02-11	VYDAJ	PREVOD NA UCET	470	12408	POJISTNE	YZ	69410747
293366	1002	1998-03-11	VYDAJ	PREVOD NA UCET	470	9987	POJISTNE	YZ	69410747
293367	1002	1998-04-11	VYDAJ	PREVOD NA UCET	470	11458	POJISTNE	YZ	69410747
293368	1002	1998-05-11	VYDAJ	PREVOD NA UCET	470	12934	POJISTNE	YZ	69410747
293369	1002	1998-06-11	VYDAJ	PREVOD NA UCET	470	14415	POJISTNE	YZ	69410747
293370	1002	1998-07-11	VYDAJ	PREVOD NA UCET	470	18049	POJISTNE	YZ	69410747
293371	1002	1998-08-11	VYDAJ	PREVOD NA UCET	470	19552	POJISTNE	YZ	69410747
293372	1002	1998-09-11	VYDAJ	PREVOD NA UCET	470	21061	POJISTNE	YZ	69410747
293373	1002	1998-10-11	VYDAJ	PREVOD NA UCET	470	22075	POJISTNE	YZ	69410747
293374	1002	1998-11-11	VYDAJ	PREVOD NA UCET	470	23595	POJISTNE	YZ	69410747
293375	1002	1998-12-11	VYDAJ	PREVOD NA UCET	470	18715	POJISTNE	YZ	69410747
293378	1002	1998-12-30	VYDAJ	VYBER	1900	23239	\N	\N	\N
293383	1002	1997-12-14	VYDAJ	VYBER	4600	13747	\N	\N	\N
293384	1002	1997-03-06	VYDAJ	VYBER	4900	17750	\N	\N	\N
293385	1002	1997-05-03	VYDAJ	VYBER	3600	17327	\N	\N	\N
293386	1002	1997-03-18	VYDAJ	VYBER	3100	16771	\N	\N	\N
293388	1002	1998-12-09	VYDAJ	VYBER	4100	19185	\N	\N	\N
293390	1002	1998-11-14	VYDAJ	VYBER	2300	25578	\N	\N	\N
293391	1002	1998-03-02	VYDAJ	VYBER	3900	12842	\N	\N	\N
293392	1002	1998-09-16	VYDAJ	VYBER	500	24844	\N	\N	\N
293407	1002	1997-02-28	VYDAJ	VYBER	15	23943	SLUZBY	\N	\N
293408	1002	1997-03-31	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
293409	1002	1997-04-30	VYDAJ	VYBER	15	20927	SLUZBY	\N	\N
293410	1002	1997-05-31	VYDAJ	VYBER	15	15209	SLUZBY	\N	\N
293411	1002	1997-06-30	VYDAJ	VYBER	15	16229	SLUZBY	\N	\N
293412	1002	1997-07-31	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
293413	1002	1997-08-31	VYDAJ	VYBER	15	14176	SLUZBY	\N	\N
293414	1002	1997-09-30	VYDAJ	VYBER	15	12342	SLUZBY	\N	\N
293415	1002	1997-10-31	VYDAJ	VYBER	15	12609	SLUZBY	\N	\N
293416	1002	1997-11-30	VYDAJ	VYBER	15	14078	SLUZBY	\N	\N
293417	1002	1997-12-31	VYDAJ	VYBER	15	13790	SLUZBY	\N	\N
293418	1002	1998-01-31	VYDAJ	VYBER	15	15263	SLUZBY	\N	\N
293419	1002	1998-02-28	VYDAJ	VYBER	15	16742	SLUZBY	\N	\N
293420	1002	1998-03-31	VYDAJ	VYBER	15	14313	SLUZBY	\N	\N
293421	1002	1998-04-30	VYDAJ	VYBER	15	15789	SLUZBY	\N	\N
293422	1002	1998-05-31	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
293423	1002	1998-06-30	VYDAJ	VYBER	15	20904	SLUZBY	\N	\N
293424	1002	1998-07-31	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
293425	1002	1998-08-31	VYDAJ	VYBER	15	23916	SLUZBY	\N	\N
293426	1002	1998-09-30	VYDAJ	VYBER	15	24930	SLUZBY	\N	\N
293427	1002	1998-10-31	VYDAJ	VYBER	15	26450	SLUZBY	\N	\N
293428	1002	1998-11-30	VYDAJ	VYBER	15	25670	SLUZBY	\N	\N
293429	1002	1996-10-17	PRIJEM	VKLAD	8600	13383	\N	\N	\N
293430	1002	1996-11-16	PRIJEM	VKLAD	3100	20793	\N	\N	\N
293431	1002	1996-12-16	VYDAJ	VYBER	2100	25188	\N	\N	\N
293432	1002	1997-01-15	VYDAJ	VYBER	4200	25367	\N	\N	\N
293433	1002	1997-02-14	VYDAJ	VYBER	5900	23856	\N	\N	\N
293434	1002	1997-03-16	VYDAJ	VYBER	600	19871	\N	\N	\N
293435	1002	1997-04-15	PRIJEM	VKLAD	2600	20864	\N	\N	\N
293436	1002	1997-05-15	VYDAJ	VYBER	3600	15155	\N	\N	\N
293437	1002	1997-06-14	VYDAJ	VYBER	2600	16178	\N	\N	\N
293438	1002	1997-07-14	VYDAJ	VYBER	3200	14457	\N	\N	\N
293439	1002	1997-08-13	VYDAJ	VYBER	1800	14133	\N	\N	\N
293440	1002	1997-09-12	VYDAJ	VYBER	3300	12304	\N	\N	\N
293441	1002	1997-10-12	VYDAJ	VYBER	1200	12570	\N	\N	\N
293442	1002	1997-12-11	PRIJEM	VKLAD	700	12393	\N	\N	\N
293470	1003	1996-10-10	PRIJEM	VKLAD	200	200	\N	\N	\N
293480	1003	1996-10-13	PRIJEM	VKLAD	21021	21221	\N	\N	\N
293481	1003	1996-11-13	PRIJEM	VKLAD	21021	40396	\N	\N	\N
293482	1003	1996-12-13	PRIJEM	VKLAD	31532	62765	\N	\N	\N
293483	1003	1997-01-13	PRIJEM	VKLAD	21021	62411	\N	\N	\N
293484	1003	1997-02-13	PRIJEM	VKLAD	21021	63393	\N	\N	\N
293485	1003	1997-03-13	PRIJEM	VKLAD	21021	64500	\N	\N	\N
293486	1003	1997-04-13	PRIJEM	VKLAD	21021	62098	\N	\N	\N
293487	1003	1997-05-13	PRIJEM	VKLAD	21021	58289	\N	\N	\N
293488	1003	1997-06-13	PRIJEM	VKLAD	31532	57778	\N	\N	\N
293489	1003	1997-07-13	PRIJEM	VKLAD	21021	51029	\N	\N	\N
293490	1003	1997-08-13	PRIJEM	VKLAD	21021	51571	\N	\N	\N
293491	1003	1997-09-13	PRIJEM	VKLAD	21021	53911	\N	\N	\N
293492	1003	1997-10-13	PRIJEM	VKLAD	21021	54365	\N	\N	\N
293493	1003	1997-11-13	PRIJEM	VKLAD	21021	50416	\N	\N	\N
293494	1003	1997-12-13	PRIJEM	VKLAD	31532	64164	\N	\N	\N
293495	1003	1998-01-13	PRIJEM	VKLAD	21021	54033	\N	\N	\N
293496	1003	1998-02-13	PRIJEM	VKLAD	21021	58888	\N	\N	\N
293497	1003	1998-03-13	PRIJEM	VKLAD	21021	54953	\N	\N	\N
293498	1003	1998-04-13	PRIJEM	VKLAD	21021	60114	\N	\N	\N
293499	1003	1998-05-13	PRIJEM	VKLAD	21021	63285	\N	\N	\N
293500	1003	1998-06-13	PRIJEM	VKLAD	31532	73383	\N	\N	\N
293501	1003	1998-07-13	PRIJEM	VKLAD	21021	64488	\N	\N	\N
293502	1003	1998-08-13	PRIJEM	VKLAD	21021	66184	\N	\N	\N
293503	1003	1998-09-13	PRIJEM	VKLAD	21021	68982	\N	\N	\N
293504	1003	1998-10-13	PRIJEM	VKLAD	21021	64582	\N	\N	\N
293505	1003	1998-11-13	PRIJEM	VKLAD	21021	67866	\N	\N	\N
293506	1003	1998-12-13	PRIJEM	VKLAD	31532	76667	\N	\N	\N
293521	1003	1997-03-08	VYDAJ	PREVOD NA UCET	5276	58179	SIPO	IJ	18349242
293522	1003	1997-04-08	VYDAJ	PREVOD NA UCET	5276	41077	SIPO	IJ	18349242
293523	1003	1997-05-08	VYDAJ	PREVOD NA UCET	5276	37268	SIPO	IJ	18349242
293524	1003	1997-06-08	VYDAJ	PREVOD NA UCET	5276	31046	SIPO	IJ	18349242
293525	1003	1997-07-08	VYDAJ	PREVOD NA UCET	5276	30008	SIPO	IJ	18349242
293526	1003	1997-08-08	VYDAJ	PREVOD NA UCET	5276	30550	SIPO	IJ	18349242
293527	1003	1997-09-08	VYDAJ	PREVOD NA UCET	5276	32890	SIPO	IJ	18349242
293528	1003	1997-10-08	VYDAJ	PREVOD NA UCET	5276	33344	SIPO	IJ	18349242
293529	1003	1997-11-08	VYDAJ	PREVOD NA UCET	5276	29395	SIPO	IJ	18349242
293530	1003	1997-12-08	VYDAJ	PREVOD NA UCET	5276	32632	SIPO	IJ	18349242
293531	1003	1998-01-08	VYDAJ	PREVOD NA UCET	5276	33012	SIPO	IJ	18349242
293532	1003	1998-02-08	VYDAJ	PREVOD NA UCET	5276	37867	SIPO	IJ	18349242
293533	1003	1998-03-08	VYDAJ	PREVOD NA UCET	5276	33932	SIPO	IJ	18349242
293534	1003	1998-04-08	VYDAJ	PREVOD NA UCET	5276	39093	SIPO	IJ	18349242
293535	1003	1998-05-08	VYDAJ	PREVOD NA UCET	5276	42264	SIPO	IJ	18349242
293536	1003	1998-06-08	VYDAJ	PREVOD NA UCET	5276	41851	SIPO	IJ	18349242
293537	1003	1998-07-08	VYDAJ	PREVOD NA UCET	5276	43467	SIPO	IJ	18349242
293538	1003	1998-08-08	VYDAJ	PREVOD NA UCET	5276	45163	SIPO	IJ	18349242
293539	1003	1998-09-08	VYDAJ	PREVOD NA UCET	5276	47961	SIPO	IJ	18349242
293540	1003	1998-10-08	VYDAJ	PREVOD NA UCET	5276	43561	SIPO	IJ	18349242
293541	1003	1998-11-08	VYDAJ	PREVOD NA UCET	5276	46845	SIPO	IJ	18349242
293542	1003	1998-12-08	VYDAJ	PREVOD NA UCET	5276	45135	SIPO	IJ	18349242
293557	1003	1997-03-05	VYDAJ	PREVOD NA UCET	185	63455	 	UV	66745954
293558	1003	1997-04-05	VYDAJ	PREVOD NA UCET	185	63253	 	UV	66745954
293559	1003	1997-05-05	VYDAJ	PREVOD NA UCET	185	62144	 	UV	66745954
293560	1003	1997-06-05	VYDAJ	PREVOD NA UCET	185	58322	 	UV	66745954
293561	1003	1997-07-05	VYDAJ	PREVOD NA UCET	185	51184	 	UV	66745954
293562	1003	1997-08-05	VYDAJ	PREVOD NA UCET	185	49426	 	UV	66745954
293563	1003	1997-09-05	VYDAJ	PREVOD NA UCET	185	51566	 	UV	66745954
293564	1003	1997-10-05	VYDAJ	PREVOD NA UCET	185	38620	 	UV	66745954
293565	1003	1997-11-05	VYDAJ	PREVOD NA UCET	185	39571	 	UV	66745954
293566	1003	1997-12-05	VYDAJ	PREVOD NA UCET	185	37908	 	UV	66745954
293567	1003	1998-01-05	VYDAJ	PREVOD NA UCET	185	43488	 	UV	66745954
293568	1003	1998-02-05	VYDAJ	PREVOD NA UCET	185	43143	 	UV	66745954
293569	1003	1998-03-05	VYDAJ	PREVOD NA UCET	185	44108	 	UV	66745954
293570	1003	1998-04-05	VYDAJ	PREVOD NA UCET	185	44369	 	UV	66745954
293571	1003	1998-05-05	VYDAJ	PREVOD NA UCET	185	47540	 	UV	66745954
293572	1003	1998-06-05	VYDAJ	PREVOD NA UCET	185	47127	 	UV	66745954
293573	1003	1998-07-05	VYDAJ	PREVOD NA UCET	185	50643	 	UV	66745954
293574	1003	1998-08-05	VYDAJ	PREVOD NA UCET	185	50439	 	UV	66745954
293575	1003	1998-09-05	VYDAJ	PREVOD NA UCET	185	53237	 	UV	66745954
293576	1003	1998-10-05	VYDAJ	PREVOD NA UCET	185	48837	 	UV	66745954
293577	1003	1998-11-05	VYDAJ	PREVOD NA UCET	185	52121	 	UV	66745954
293578	1003	1998-12-05	VYDAJ	PREVOD NA UCET	185	50411	 	UV	66745954
293580	1003	1997-06-18	VYDAJ	VYBER	6600	51178	\N	\N	\N
293581	1003	1998-06-22	VYDAJ	VYBER	5100	68283	\N	\N	\N
293584	1003	1998-01-06	VYDAJ	VYBER	5200	38288	\N	\N	\N
293586	1003	1997-12-14	VYDAJ	VYBER	600	62164	\N	\N	\N
293587	1003	1998-12-15	VYDAJ	VYBER	2800	73867	\N	\N	\N
293592	1003	1997-11-07	VYDAJ	VYBER	4900	34671	\N	\N	\N
293593	1003	1997-07-30	VYDAJ	VYBER	1600	49429	\N	\N	\N
293595	1003	1997-12-13	VYDAJ	VYBER	1400	62764	\N	\N	\N
293596	1003	1997-03-14	VYDAJ	VYBER	1300	63200	\N	\N	\N
293597	1003	1997-06-10	VYDAJ	VYBER	4800	26246	\N	\N	\N
293598	1003	1998-03-08	VYDAJ	VYBER	4900	39208	\N	\N	\N
293599	1003	1998-07-08	VYDAJ	VYBER	1900	48743	\N	\N	\N
293600	1003	1998-11-22	VYDAJ	VYBER	2000	65866	\N	\N	\N
293601	1003	1998-10-05	VYDAJ	VYBER	4800	49022	\N	\N	\N
293602	1003	1998-12-27	VYDAJ	VYBER	3700	70167	\N	\N	\N
293617	1003	1997-02-28	VYDAJ	VYBER	15	63640	SLUZBY	\N	\N
293618	1003	1997-03-31	VYDAJ	VYBER	15	63438	SLUZBY	\N	\N
293619	1003	1997-04-30	VYDAJ	VYBER	15	62329	SLUZBY	\N	\N
293620	1003	1997-05-31	VYDAJ	VYBER	15	58507	SLUZBY	\N	\N
293621	1003	1997-06-30	VYDAJ	VYBER	15	51369	SLUZBY	\N	\N
293622	1003	1997-07-31	VYDAJ	VYBER	15	49611	SLUZBY	\N	\N
293623	1003	1997-08-31	VYDAJ	VYBER	15	51751	SLUZBY	\N	\N
293624	1003	1997-09-30	VYDAJ	VYBER	15	54105	SLUZBY	\N	\N
293625	1003	1997-10-31	VYDAJ	VYBER	15	54556	SLUZBY	\N	\N
293626	1003	1997-11-30	VYDAJ	VYBER	15	50593	SLUZBY	\N	\N
293627	1003	1997-12-31	VYDAJ	VYBER	15	62373	SLUZBY	\N	\N
293628	1003	1998-01-31	VYDAJ	VYBER	15	54228	SLUZBY	\N	\N
293629	1003	1998-02-28	VYDAJ	VYBER	15	59093	SLUZBY	\N	\N
293630	1003	1998-03-31	VYDAJ	VYBER	15	55154	SLUZBY	\N	\N
293631	1003	1998-04-30	VYDAJ	VYBER	15	60325	SLUZBY	\N	\N
293632	1003	1998-05-31	VYDAJ	VYBER	15	63512	SLUZBY	\N	\N
293633	1003	1998-06-30	VYDAJ	VYBER	15	68528	SLUZBY	\N	\N
293634	1003	1998-07-31	VYDAJ	VYBER	15	64724	SLUZBY	\N	\N
293635	1003	1998-08-31	VYDAJ	VYBER	15	53422	SLUZBY	\N	\N
293636	1003	1998-09-30	VYDAJ	VYBER	15	69222	SLUZBY	\N	\N
293637	1003	1998-10-31	VYDAJ	VYBER	15	52306	SLUZBY	\N	\N
293638	1003	1998-11-30	VYDAJ	VYBER	15	50596	SLUZBY	\N	\N
293639	1003	1996-11-09	VYDAJ	VYBER	1900	19375	\N	\N	\N
293640	1003	1996-12-09	VYDAJ	VYBER	9300	31233	\N	\N	\N
293641	1003	1997-01-08	VYDAJ	VYBER	21600	41390	\N	\N	\N
293642	1003	1997-02-07	VYDAJ	VYBER	20300	42372	\N	\N	\N
293643	1003	1997-03-09	VYDAJ	VYBER	14700	43479	\N	\N	\N
293644	1003	1997-04-08	VYDAJ	VYBER	16900	46353	\N	\N	\N
293645	1003	1997-05-08	VYDAJ	VYBER	19600	42544	\N	\N	\N
293646	1003	1997-06-07	VYDAJ	VYBER	22000	36322	\N	\N	\N
293647	1003	1997-07-07	VYDAJ	VYBER	15900	35284	\N	\N	\N
293648	1003	1997-08-06	VYDAJ	VYBER	13600	35826	\N	\N	\N
293649	1003	1997-09-05	VYDAJ	VYBER	13400	38166	\N	\N	\N
293650	1003	1997-10-05	VYDAJ	VYBER	15300	38805	\N	\N	\N
293651	1003	1997-11-04	VYDAJ	VYBER	14800	39756	\N	\N	\N
293652	1003	1997-12-04	VYDAJ	VYBER	12500	38093	\N	\N	\N
293653	1003	1998-01-03	VYDAJ	VYBER	18700	43673	\N	\N	\N
293654	1003	1998-02-02	VYDAJ	VYBER	10900	43328	\N	\N	\N
293655	1003	1998-03-04	VYDAJ	VYBER	14800	44293	\N	\N	\N
293656	1003	1998-04-03	VYDAJ	VYBER	10600	44554	\N	\N	\N
293657	1003	1998-05-03	VYDAJ	VYBER	12600	47725	\N	\N	\N
293658	1003	1998-06-02	VYDAJ	VYBER	16200	47312	\N	\N	\N
293659	1003	1998-07-02	VYDAJ	VYBER	17700	50828	\N	\N	\N
293660	1003	1998-08-01	VYDAJ	VYBER	14100	50624	\N	\N	\N
293661	1003	1998-08-31	VYDAJ	VYBER	13000	53436	\N	\N	\N
293662	1003	1998-09-30	VYDAJ	VYBER	15400	53822	\N	\N	\N
293663	1003	1998-10-30	VYDAJ	VYBER	12500	52082	\N	\N	\N
293664	1003	1998-11-29	VYDAJ	VYBER	15500	50366	\N	\N	\N
293692	1004	1996-07-02	PRIJEM	VKLAD	200	200	\N	\N	\N
293693	1004	1996-12-04	PRIJEM	VKLAD	48504	78445	\N	\N	\N
293696	1004	1996-08-02	PRIJEM	VKLAD	17458	30558	\N	\N	\N
293698	1004	1996-12-19	PRIJEM	VKLAD	7130	85575	\N	\N	\N
293699	1004	1996-08-25	PRIJEM	VKLAD	14559	45117	\N	\N	\N
293705	1004	1996-12-23	PRIJEM	VKLAD	44920	130495	\N	\N	\N
293706	1004	1997-02-12	PRIJEM	VKLAD	47924	143846	\N	\N	\N
293707	1004	1997-12-15	PRIJEM	VKLAD	20426	114050	\N	\N	\N
293708	1004	1997-07-08	PRIJEM	VKLAD	46688	79250	\N	\N	\N
293709	1004	1997-01-29	PRIJEM	VKLAD	24267	53574	\N	\N	\N
293710	1004	1997-02-14	PRIJEM	VKLAD	35927	109673	\N	\N	\N
293711	1004	1997-03-16	PRIJEM	VKLAD	14453	63584	\N	\N	\N
293712	1004	1997-07-22	PRIJEM	VKLAD	10909	69629	\N	\N	\N
293713	1004	1997-08-14	PRIJEM	VKLAD	44019	100013	\N	\N	\N
293714	1004	1997-12-07	PRIJEM	VKLAD	49563	106762	\N	\N	\N
293715	1004	1997-12-29	PRIJEM	VKLAD	9948	55107	\N	\N	\N
293716	1004	1997-01-03	PRIJEM	VKLAD	40368	94407	\N	\N	\N
293717	1004	1997-09-08	PRIJEM	VKLAD	39190	106110	\N	\N	\N
293718	1004	1997-07-17	PRIJEM	VKLAD	6498	58720	\N	\N	\N
293719	1004	1997-03-25	PRIJEM	VKLAD	30926	89910	\N	\N	\N
293720	1004	1997-12-19	PRIJEM	VKLAD	36209	126059	\N	\N	\N
293721	1004	1997-02-07	PRIJEM	VKLAD	20085	114822	\N	\N	\N
293722	1004	1997-04-06	PRIJEM	VKLAD	44480	117201	\N	\N	\N
293723	1004	1997-10-03	PRIJEM	VKLAD	12107	47741	\N	\N	\N
293724	1004	1997-02-07	PRIJEM	VKLAD	40906	94737	\N	\N	\N
293725	1004	1997-11-14	PRIJEM	VKLAD	8963	90810	\N	\N	\N
293726	1004	1997-03-29	PRIJEM	VKLAD	48834	138744	\N	\N	\N
293727	1004	1997-11-17	PRIJEM	VKLAD	46414	137224	\N	\N	\N
293728	1004	1997-02-27	PRIJEM	VKLAD	35759	140032	\N	\N	\N
293729	1004	1997-09-20	PRIJEM	VKLAD	17534	57244	\N	\N	\N
293730	1004	1997-12-12	PRIJEM	VKLAD	34962	139924	\N	\N	\N
293731	1004	1997-11-11	PRIJEM	VKLAD	47470	81847	\N	\N	\N
293732	1004	1997-06-17	PRIJEM	VKLAD	8399	41635	\N	\N	\N
293733	1004	1997-07-27	PRIJEM	VKLAD	24463	94092	\N	\N	\N
293734	1004	1998-10-28	PRIJEM	VKLAD	36021	81612	\N	\N	\N
293735	1004	1998-05-04	PRIJEM	VKLAD	23705	40097	\N	\N	\N
293736	1004	1998-11-03	PRIJEM	VKLAD	23612	105442	\N	\N	\N
293737	1004	1998-08-27	PRIJEM	VKLAD	7060	54539	\N	\N	\N
293738	1004	1998-03-05	PRIJEM	VKLAD	9100	53290	\N	\N	\N
293739	1004	1998-12-24	PRIJEM	VKLAD	14016	76192	\N	\N	\N
293740	1004	1998-01-23	PRIJEM	VKLAD	49834	72454	\N	\N	\N
293741	1004	1998-08-04	PRIJEM	VKLAD	48858	75206	\N	\N	\N
293742	1004	1998-02-14	PRIJEM	VKLAD	32527	68129	\N	\N	\N
293743	1004	1998-02-24	PRIJEM	VKLAD	20117	66342	\N	\N	\N
293744	1004	1998-06-02	PRIJEM	VKLAD	17078	91627	\N	\N	\N
293745	1004	1998-05-26	PRIJEM	VKLAD	45021	90701	\N	\N	\N
293746	1004	1998-10-21	PRIJEM	VKLAD	6656	45591	\N	\N	\N
293747	1004	1998-02-17	PRIJEM	VKLAD	45196	113325	\N	\N	\N
293748	1004	1998-07-01	PRIJEM	VKLAD	44021	75723	\N	\N	\N
293749	1004	1998-05-16	PRIJEM	VKLAD	28620	63480	\N	\N	\N
293750	1004	1998-11-21	PRIJEM	VKLAD	49107	106140	\N	\N	\N
293751	1004	1998-11-07	PRIJEM	VKLAD	22828	128270	\N	\N	\N
293752	1004	1998-08-27	PRIJEM	VKLAD	27850	82389	\N	\N	\N
293753	1004	1998-09-11	PRIJEM	VKLAD	19363	87523	\N	\N	\N
293766	1004	1997-01-18	VYDAJ	VYBER	5500	63107	\N	\N	0
293767	1004	1997-02-18	VYDAJ	VYBER	5400	104273	\N	\N	0
293768	1004	1997-03-18	VYDAJ	VYBER	4600	58984	\N	\N	0
293769	1004	1997-04-18	VYDAJ	VYBER	5900	58901	\N	\N	0
293770	1004	1997-05-10	VYDAJ	VYBER	3200	39378	\N	\N	0
293771	1004	1997-06-19	VYDAJ	VYBER	4500	37135	\N	\N	0
293772	1004	1997-07-12	VYDAJ	VYBER	8000	71250	\N	\N	0
293773	1004	1997-08-09	VYDAJ	VYBER	5300	55994	\N	\N	0
293774	1004	1997-09-08	VYDAJ	VYBER	4300	101810	\N	\N	0
293775	1004	1997-09-27	VYDAJ	VYBER	6800	35344	\N	\N	0
293776	1004	1997-11-03	VYDAJ	VYBER	4200	34377	\N	\N	0
293777	1004	1997-12-28	VYDAJ	VYBER	5100	45159	\N	\N	0
293778	1004	1998-01-16	VYDAJ	VYBER	5500	22620	\N	\N	0
293779	1004	1998-02-08	VYDAJ	VYBER	6100	35602	\N	\N	0
293780	1004	1998-03-15	VYDAJ	VYBER	3300	49990	\N	\N	0
293781	1004	1998-04-12	VYDAJ	PREVOD NA UCET	5237	16908	UVER	KL	48386609
293782	1004	1998-05-12	VYDAJ	PREVOD NA UCET	5237	34860	UVER	KL	48386609
293783	1004	1998-06-12	VYDAJ	PREVOD NA UCET	5237	45989	UVER	KL	48386609
293784	1004	1998-07-12	VYDAJ	PREVOD NA UCET	5237	65382	UVER	KL	48386609
293785	1004	1998-08-12	VYDAJ	PREVOD NA UCET	5237	69969	UVER	KL	48386609
293786	1004	1998-09-12	VYDAJ	PREVOD NA UCET	5237	82286	UVER	KL	48386609
293787	1004	1998-10-12	VYDAJ	PREVOD NA UCET	5237	50335	UVER	KL	48386609
293788	1004	1998-11-12	VYDAJ	PREVOD NA UCET	5237	83933	UVER	KL	48386609
293789	1004	1998-12-12	VYDAJ	PREVOD NA UCET	5237	89176	UVER	KL	48386609
293797	1004	1997-03-15	VYBER	VYBER	11971	49131	\N	\N	\N
293798	1004	1997-07-13	VYBER	VYBER	5228	66022	\N	\N	\N
293799	1004	1998-05-29	VYBER	VYBER	12423	74378	\N	\N	\N
293800	1004	1998-06-09	VYBER	VYBER	23197	51226	\N	\N	\N
293801	1004	1998-11-29	VYBER	VYBER	5484	100656	\N	\N	\N
293802	1004	1998-07-31	VYBER	VYBER	21450	26363	\N	\N	\N
293803	1004	1998-06-14	VYBER	VYBER	7071	38918	\N	\N	\N
293804	1004	1998-08-14	VYBER	VYBER	7490	62479	\N	\N	\N
293806	1004	1998-07-05	VYBER	VYBER	5104	70619	\N	\N	\N
293807	1004	1998-09-02	VYBER	VYBER	14423	68160	\N	\N	\N
293808	1004	1998-04-01	VYBER	VYBER	14833	22145	\N	\N	\N
293809	1004	1998-03-01	VYBER	VYBER	14890	44190	\N	\N	\N
293810	1004	1998-06-07	VYBER	VYBER	17204	74423	\N	\N	\N
293816	1004	1997-01-22	VYDAJ	VYBER	29700	33407	\N	\N	\N
293817	1004	1998-01-11	VYDAJ	VYBER	15600	31720	\N	\N	\N
293819	1004	1997-12-07	VYDAJ	VYBER	1800	104962	\N	\N	\N
293820	1004	1998-12-03	VYDAJ	VYBER	6600	94413	\N	\N	\N
293827	1004	1997-01-13	VYDAJ	VYBER	5700	80007	\N	\N	\N
293828	1004	1997-01-15	VYDAJ	VYBER	6300	68607	\N	\N	\N
293829	1004	1997-01-13	VYDAJ	VYBER	5100	74907	\N	\N	\N
293830	1004	1997-01-26	VYDAJ	VYBER	4800	28607	\N	\N	\N
293831	1004	1997-01-02	VYDAJ	VYBER	4200	54039	\N	\N	\N
293832	1004	1997-01-10	VYDAJ	VYBER	8700	85707	\N	\N	\N
293833	1004	1998-01-02	VYDAJ	VYBER	3000	52420	\N	\N	\N
293834	1004	1998-01-08	VYDAJ	VYBER	5100	47320	\N	\N	\N
293836	1004	1998-01-13	VYDAJ	VYBER	3600	28120	\N	\N	\N
293837	1004	1998-01-25	VYDAJ	VYBER	4200	41554	\N	\N	\N
293838	1004	1998-01-23	VYDAJ	VYBER	1800	70654	\N	\N	\N
293842	1004	1997-04-25	VYDAJ	VYBER	4200	54701	\N	\N	\N
293843	1004	1997-11-21	VYDAJ	VYBER	10200	101124	\N	\N	\N
293844	1004	1997-11-30	VYDAJ	VYBER	6600	57199	\N	\N	\N
293845	1004	1997-04-11	VYDAJ	VYBER	8400	64801	\N	\N	\N
293846	1004	1997-07-15	VYDAJ	VYBER	13800	52222	\N	\N	\N
293847	1004	1997-12-16	VYDAJ	VYBER	3900	89850	\N	\N	\N
293848	1004	1998-02-24	VYDAJ	VYBER	5400	60942	\N	\N	\N
293849	1004	1998-02-25	VYDAJ	VYBER	2100	58842	\N	\N	\N
293850	1004	1998-05-28	VYDAJ	VYBER	3900	86801	\N	\N	\N
293864	1004	1996-12-31	VYDAJ	VYBER	15	58239	SLUZBY	\N	\N
293865	1004	1997-01-31	VYDAJ	VYBER	15	53831	SLUZBY	\N	\N
293866	1004	1997-02-28	VYDAJ	VYBER	15	61102	SLUZBY	\N	\N
293867	1004	1997-03-31	VYDAJ	VYBER	15	72721	SLUZBY	\N	\N
293868	1004	1997-04-30	VYDAJ	VYBER	15	42578	SLUZBY	\N	\N
293869	1004	1997-05-31	VYDAJ	VYBER	15	33236	SLUZBY	\N	\N
293870	1004	1997-06-30	VYDAJ	VYBER	15	32562	SLUZBY	\N	\N
293871	1004	1997-07-31	VYDAJ	VYBER	15	61294	SLUZBY	\N	\N
293872	1004	1997-08-31	VYDAJ	VYBER	15	66920	SLUZBY	\N	\N
293873	1004	1997-09-30	VYDAJ	VYBER	15	35634	SLUZBY	\N	\N
293874	1004	1997-10-31	VYDAJ	VYBER	15	38577	SLUZBY	\N	\N
293875	1004	1997-11-30	VYDAJ	VYBER	15	63799	SLUZBY	\N	\N
293876	1004	1997-12-31	VYDAJ	VYBER	15	55420	SLUZBY	\N	\N
293877	1004	1998-01-31	VYDAJ	VYBER	15	41702	SLUZBY	\N	\N
293878	1004	1998-02-28	VYDAJ	VYBER	15	59080	SLUZBY	\N	\N
293879	1004	1998-03-31	VYDAJ	VYBER	15	36978	SLUZBY	\N	\N
293880	1004	1998-04-30	VYDAJ	VYBER	15	16392	SLUZBY	\N	\N
293881	1004	1998-05-31	VYDAJ	VYBER	15	74549	SLUZBY	\N	\N
293882	1004	1998-06-30	VYDAJ	VYBER	15	31702	SLUZBY	\N	\N
293883	1004	1998-07-31	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
293884	1004	1998-08-31	VYDAJ	VYBER	15	82583	SLUZBY	\N	\N
293885	1004	1998-09-30	VYDAJ	VYBER	15	55572	SLUZBY	\N	\N
293886	1004	1998-10-31	VYDAJ	VYBER	15	81830	SLUZBY	\N	\N
293887	1004	1998-11-30	VYDAJ	VYBER	15	101013	SLUZBY	\N	\N
293888	1004	1996-08-01	PRIJEM	VKLAD	12900	13100	\N	\N	\N
293889	1004	1996-08-31	VYDAJ	VYBER	10600	34653	\N	\N	\N
293890	1004	1996-09-30	VYDAJ	VYBER	7100	27697	\N	\N	\N
293891	1004	1996-11-29	PRIJEM	VKLAD	2100	29797	\N	\N	\N
293892	1004	1996-12-23	VYDAJ	VYBER	46200	84295	\N	\N	\N
293893	1004	1996-12-29	VYDAJ	VYBER	26300	57995	\N	\N	\N
293894	1004	1997-01-28	PRIJEM	VKLAD	700	29307	\N	\N	\N
293895	1004	1997-02-07	VYDAJ	VYBER	18900	95922	\N	\N	\N
293896	1004	1997-02-12	VYDAJ	VYBER	17500	126346	\N	\N	\N
293897	1004	1997-02-12	VYDAJ	VYBER	52600	73746	\N	\N	\N
293898	1004	1997-02-27	VYDAJ	VYBER	42400	97632	\N	\N	\N
293899	1004	1997-02-27	VYDAJ	VYBER	36900	60732	\N	\N	\N
293900	1004	1997-03-29	VYDAJ	VYBER	22500	72444	\N	\N	\N
293901	1004	1997-03-29	VYDAJ	VYBER	43800	94944	\N	\N	\N
293902	1004	1997-04-06	VYDAJ	VYBER	44000	73201	\N	\N	\N
293903	1004	1997-04-28	VYDAJ	VYBER	12400	42301	\N	\N	\N
293904	1004	1997-05-28	VYDAJ	VYBER	6300	33078	\N	\N	\N
293905	1004	1997-06-27	VYDAJ	VYBER	4700	32435	\N	\N	\N
293906	1004	1997-07-27	VYDAJ	VYBER	33000	61092	\N	\N	\N
293907	1004	1997-08-26	VYDAJ	VYBER	33400	66613	\N	\N	\N
293908	1004	1997-09-08	VYDAJ	VYBER	62100	39710	\N	\N	\N
293909	1004	1997-09-25	VYDAJ	VYBER	15100	42144	\N	\N	\N
293910	1004	1997-10-25	VYDAJ	VYBER	9300	38441	\N	\N	\N
293911	1004	1997-11-17	VYDAJ	VYBER	25900	111324	\N	\N	\N
293912	1004	1997-11-24	VYDAJ	VYBER	37600	63524	\N	\N	\N
293913	1004	1997-12-12	VYDAJ	VYBER	46300	93624	\N	\N	\N
293914	1004	1997-12-15	VYDAJ	VYBER	20300	93750	\N	\N	\N
293915	1004	1997-12-19	VYDAJ	VYBER	51400	74659	\N	\N	\N
293916	1004	1997-12-24	VYDAJ	VYBER	24400	50259	\N	\N	\N
293917	1004	1998-01-23	VYDAJ	VYBER	24900	45754	\N	\N	\N
293918	1004	1998-02-17	VYDAJ	VYBER	41600	71725	\N	\N	\N
293919	1004	1998-02-22	VYDAJ	VYBER	25500	46225	\N	\N	\N
293920	1004	1998-03-24	VYDAJ	VYBER	13200	36790	\N	\N	\N
293921	1004	1998-04-23	VYDAJ	VYBER	600	16308	\N	\N	\N
293922	1004	1998-05-23	VYDAJ	VYBER	17800	45680	\N	\N	\N
293923	1004	1998-06-22	VYDAJ	VYBER	7400	31518	\N	\N	\N
293924	1004	1998-07-22	VYDAJ	VYBER	17800	47582	\N	\N	\N
293925	1004	1998-08-21	VYDAJ	VYBER	15000	47479	\N	\N	\N
293926	1004	1998-09-20	VYDAJ	VYBER	27000	55286	\N	\N	\N
293927	1004	1998-10-20	VYDAJ	VYBER	11400	38935	\N	\N	\N
293928	1004	1998-11-07	VYDAJ	VYBER	39100	89170	\N	\N	\N
293929	1004	1998-11-19	VYDAJ	VYBER	26900	57033	\N	\N	\N
293930	1004	1998-12-19	VYDAJ	VYBER	27000	62176	\N	\N	\N
293959	1005	1993-02-23	PRIJEM	VKLAD	300	300	\N	\N	\N
293962	1005	1993-03-09	PRIJEM	PREVOD Z UCTU	34483	34783	\N	QR	48252707
293963	1005	1993-04-09	PRIJEM	PREVOD Z UCTU	34483	63894	\N	QR	48252707
293964	1005	1993-05-09	PRIJEM	PREVOD Z UCTU	34483	79814	\N	QR	48252707
293965	1005	1993-06-09	PRIJEM	PREVOD Z UCTU	51724	101732	\N	QR	48252707
293966	1005	1993-07-09	PRIJEM	PREVOD Z UCTU	34483	73510	\N	QR	48252707
293967	1005	1993-08-09	PRIJEM	PREVOD Z UCTU	34483	78567	\N	QR	48252707
293968	1005	1993-09-09	PRIJEM	PREVOD Z UCTU	34483	81741	\N	QR	48252707
293969	1005	1993-10-09	PRIJEM	PREVOD Z UCTU	34483	83824	\N	QR	48252707
293970	1005	1993-11-09	PRIJEM	PREVOD Z UCTU	34483	60312	\N	QR	48252707
293971	1005	1993-12-09	PRIJEM	PREVOD Z UCTU	51724	90905	\N	QR	48252707
293972	1005	1994-01-09	PRIJEM	PREVOD Z UCTU	34483	85675	\N	QR	48252707
293973	1005	1994-02-09	PRIJEM	PREVOD Z UCTU	34483	81252	\N	QR	48252707
293974	1005	1994-03-09	PRIJEM	PREVOD Z UCTU	34483	77707	\N	QR	48252707
293975	1005	1994-04-09	PRIJEM	PREVOD Z UCTU	34483	80058	\N	QR	48252707
293976	1005	1994-05-09	PRIJEM	PREVOD Z UCTU	34483	75156	\N	QR	48252707
293977	1005	1994-06-09	PRIJEM	PREVOD Z UCTU	51724	85483	\N	QR	48252707
293978	1005	1994-07-09	PRIJEM	PREVOD Z UCTU	34483	86538	\N	QR	48252707
293979	1005	1994-08-09	PRIJEM	PREVOD Z UCTU	34483	77130	\N	QR	48252707
293980	1005	1994-09-09	PRIJEM	PREVOD Z UCTU	34483	77003	\N	QR	48252707
293981	1005	1994-10-09	PRIJEM	PREVOD Z UCTU	34483	85061	\N	QR	48252707
293982	1005	1994-11-09	PRIJEM	PREVOD Z UCTU	34483	87240	\N	QR	48252707
293983	1005	1994-12-09	PRIJEM	PREVOD Z UCTU	51724	98662	\N	QR	48252707
293984	1005	1995-01-09	PRIJEM	PREVOD Z UCTU	34483	83528	\N	QR	48252707
293985	1005	1995-02-09	PRIJEM	PREVOD Z UCTU	34483	78132	\N	QR	48252707
293986	1005	1995-03-09	PRIJEM	PREVOD Z UCTU	34483	79674	\N	QR	48252707
293987	1005	1995-04-09	PRIJEM	PREVOD Z UCTU	34483	59984	\N	QR	48252707
293988	1005	1995-05-09	PRIJEM	PREVOD Z UCTU	34483	77287	\N	QR	48252707
293989	1005	1995-06-09	PRIJEM	PREVOD Z UCTU	51724	102381	\N	QR	48252707
293990	1005	1995-07-09	PRIJEM	PREVOD Z UCTU	34483	96978	\N	QR	48252707
293991	1005	1995-08-09	PRIJEM	PREVOD Z UCTU	34483	63340	\N	QR	48252707
293992	1005	1995-09-09	PRIJEM	PREVOD Z UCTU	34483	60279	\N	QR	48252707
293993	1005	1995-10-09	PRIJEM	PREVOD Z UCTU	34483	68236	\N	QR	48252707
293994	1005	1995-11-09	PRIJEM	PREVOD Z UCTU	34483	68239	\N	QR	48252707
293995	1005	1995-12-09	PRIJEM	PREVOD Z UCTU	51724	79421	\N	QR	48252707
293996	1005	1996-01-09	PRIJEM	PREVOD Z UCTU	34483	58418	\N	QR	48252707
293997	1005	1996-02-09	PRIJEM	PREVOD Z UCTU	34483	76742	\N	QR	48252707
293998	1005	1996-03-09	PRIJEM	PREVOD Z UCTU	34483	78924	\N	QR	48252707
293999	1005	1996-04-09	PRIJEM	PREVOD Z UCTU	34483	81899	\N	QR	48252707
294000	1005	1996-05-09	PRIJEM	PREVOD Z UCTU	34483	97146	\N	QR	48252707
294001	1005	1996-06-09	PRIJEM	PREVOD Z UCTU	51724	119903	\N	QR	48252707
294002	1005	1996-07-09	PRIJEM	PREVOD Z UCTU	34483	91228	\N	QR	48252707
294003	1005	1996-08-09	PRIJEM	PREVOD Z UCTU	34483	100280	\N	QR	48252707
294004	1005	1996-09-09	PRIJEM	PREVOD Z UCTU	34483	100606	\N	QR	48252707
294005	1005	1996-10-09	PRIJEM	PREVOD Z UCTU	34483	110529	\N	QR	48252707
294006	1005	1996-11-09	PRIJEM	PREVOD Z UCTU	34483	100523	\N	QR	48252707
294007	1005	1996-12-09	PRIJEM	PREVOD Z UCTU	51724	119840	\N	QR	48252707
294008	1005	1997-01-09	PRIJEM	PREVOD Z UCTU	34483	110974	\N	QR	48252707
294009	1005	1997-02-09	PRIJEM	PREVOD Z UCTU	34483	106602	\N	QR	48252707
294010	1005	1997-03-09	PRIJEM	PREVOD Z UCTU	34483	116249	\N	QR	48252707
294011	1005	1997-04-09	PRIJEM	PREVOD Z UCTU	34483	88264	\N	QR	48252707
294012	1005	1997-05-09	PRIJEM	PREVOD Z UCTU	34483	99504	\N	QR	48252707
294013	1005	1997-06-09	PRIJEM	PREVOD Z UCTU	51724	130158	\N	QR	48252707
294014	1005	1997-07-09	PRIJEM	PREVOD Z UCTU	34483	96889	\N	QR	48252707
294015	1005	1997-08-09	PRIJEM	PREVOD Z UCTU	34483	105778	\N	QR	48252707
294016	1005	1997-09-09	PRIJEM	PREVOD Z UCTU	34483	118130	\N	QR	48252707
294017	1005	1997-10-09	PRIJEM	PREVOD Z UCTU	34483	126994	\N	QR	48252707
294018	1005	1997-11-09	PRIJEM	PREVOD Z UCTU	34483	91492	\N	QR	48252707
294019	1005	1997-12-09	PRIJEM	PREVOD Z UCTU	51724	109172	\N	QR	48252707
294020	1005	1998-01-09	PRIJEM	PREVOD Z UCTU	34483	97716	\N	QR	48252707
294021	1005	1998-02-09	PRIJEM	PREVOD Z UCTU	34483	117539	\N	QR	48252707
294022	1005	1998-03-09	PRIJEM	PREVOD Z UCTU	34483	93966	\N	QR	48252707
294023	1005	1998-04-09	PRIJEM	PREVOD Z UCTU	34483	110463	\N	QR	48252707
294024	1005	1998-05-09	PRIJEM	PREVOD Z UCTU	34483	111702	\N	QR	48252707
294025	1005	1998-06-09	PRIJEM	PREVOD Z UCTU	51724	144310	\N	QR	48252707
294026	1005	1998-07-09	PRIJEM	PREVOD Z UCTU	34483	134928	\N	QR	48252707
294027	1005	1998-08-09	PRIJEM	PREVOD Z UCTU	34483	130430	\N	QR	48252707
294028	1005	1998-09-09	PRIJEM	PREVOD Z UCTU	34483	96622	\N	QR	48252707
294029	1005	1998-10-09	PRIJEM	PREVOD Z UCTU	34483	95075	\N	QR	48252707
294030	1005	1998-11-09	PRIJEM	PREVOD Z UCTU	34483	116943	\N	QR	48252707
294031	1005	1998-12-09	PRIJEM	PREVOD Z UCTU	51724	150458	\N	QR	48252707
294110	1005	1993-07-14	VYDAJ	PREVOD NA UCET	7896	65614	SIPO	MN	13424891
294111	1005	1993-08-14	VYDAJ	PREVOD NA UCET	7896	70671	SIPO	MN	13424891
294112	1005	1993-09-14	VYDAJ	PREVOD NA UCET	7896	73845	SIPO	MN	13424891
294113	1005	1993-10-14	VYDAJ	PREVOD NA UCET	7896	75928	SIPO	MN	13424891
294114	1005	1993-11-14	VYDAJ	PREVOD NA UCET	7896	52416	SIPO	MN	13424891
294115	1005	1993-12-14	VYDAJ	PREVOD NA UCET	7896	83009	SIPO	MN	13424891
294116	1005	1994-01-14	VYDAJ	PREVOD NA UCET	7896	64879	SIPO	MN	13424891
294117	1005	1994-02-14	VYDAJ	PREVOD NA UCET	7896	73356	SIPO	MN	13424891
294118	1005	1994-03-14	VYDAJ	PREVOD NA UCET	7896	69811	SIPO	MN	13424891
294119	1005	1994-04-14	VYDAJ	PREVOD NA UCET	7896	72162	SIPO	MN	13424891
294120	1005	1994-05-14	VYDAJ	PREVOD NA UCET	7896	67260	SIPO	MN	13424891
294121	1005	1994-06-14	VYDAJ	PREVOD NA UCET	7896	77587	SIPO	MN	13424891
294122	1005	1994-07-14	VYDAJ	PREVOD NA UCET	7896	78642	SIPO	MN	13424891
294123	1005	1994-08-14	VYDAJ	PREVOD NA UCET	7896	55734	SIPO	MN	13424891
294124	1005	1994-09-14	VYDAJ	PREVOD NA UCET	7896	69107	SIPO	MN	13424891
294125	1005	1994-10-14	VYDAJ	PREVOD NA UCET	7896	77165	SIPO	MN	13424891
294126	1005	1994-11-14	VYDAJ	PREVOD NA UCET	7896	79344	SIPO	MN	13424891
294127	1005	1994-12-14	VYDAJ	PREVOD NA UCET	7896	90766	SIPO	MN	13424891
294128	1005	1995-01-14	VYDAJ	PREVOD NA UCET	7896	55132	SIPO	MN	13424891
294129	1005	1995-02-14	VYDAJ	PREVOD NA UCET	7896	45036	SIPO	MN	13424891
294130	1005	1995-03-14	VYDAJ	PREVOD NA UCET	7896	71778	SIPO	MN	13424891
294131	1005	1995-04-14	VYDAJ	PREVOD NA UCET	7896	42688	SIPO	MN	13424891
294132	1005	1995-05-14	VYDAJ	PREVOD NA UCET	7896	69391	SIPO	MN	13424891
294133	1005	1995-06-14	VYDAJ	PREVOD NA UCET	7896	62285	SIPO	MN	13424891
294134	1005	1995-07-14	VYDAJ	PREVOD NA UCET	7896	45964	SIPO	MN	13424891
294135	1005	1995-08-14	VYDAJ	PREVOD NA UCET	7896	44644	SIPO	MN	13424891
294136	1005	1995-09-14	VYDAJ	PREVOD NA UCET	7896	40483	SIPO	MN	13424891
294137	1005	1995-10-14	VYDAJ	PREVOD NA UCET	7896	45340	SIPO	MN	13424891
294138	1005	1995-11-14	VYDAJ	PREVOD NA UCET	7896	43043	SIPO	MN	13424891
294139	1005	1995-12-14	VYDAJ	PREVOD NA UCET	7896	49325	SIPO	MN	13424891
294140	1005	1996-01-14	VYDAJ	PREVOD NA UCET	7896	42722	SIPO	MN	13424891
294141	1005	1996-02-14	VYDAJ	PREVOD NA UCET	7896	68846	SIPO	MN	13424891
294142	1005	1996-03-14	VYDAJ	PREVOD NA UCET	7896	53928	SIPO	MN	13424891
294143	1005	1996-04-14	VYDAJ	PREVOD NA UCET	7896	74003	SIPO	MN	13424891
294144	1005	1996-05-14	VYDAJ	PREVOD NA UCET	7896	89250	SIPO	MN	13424891
294145	1005	1996-06-14	VYDAJ	PREVOD NA UCET	7896	54007	SIPO	MN	13424891
294146	1005	1996-07-14	VYDAJ	PREVOD NA UCET	7896	74932	SIPO	MN	13424891
294147	1005	1996-08-14	VYDAJ	PREVOD NA UCET	7896	81584	SIPO	MN	13424891
294148	1005	1996-09-14	VYDAJ	PREVOD NA UCET	7896	92710	SIPO	MN	13424891
294149	1005	1996-10-14	VYDAJ	PREVOD NA UCET	7896	68233	SIPO	MN	13424891
294150	1005	1996-11-14	VYDAJ	PREVOD NA UCET	7896	92627	SIPO	MN	13424891
294151	1005	1996-12-14	VYDAJ	PREVOD NA UCET	7896	92044	SIPO	MN	13424891
294152	1005	1997-01-14	VYDAJ	PREVOD NA UCET	7896	83878	SIPO	MN	13424891
294153	1005	1997-02-14	VYDAJ	PREVOD NA UCET	7896	98706	SIPO	MN	13424891
294154	1005	1997-03-14	VYDAJ	PREVOD NA UCET	7896	45965	SIPO	MN	13424891
294155	1005	1997-04-14	VYDAJ	PREVOD NA UCET	7896	80368	SIPO	MN	13424891
294156	1005	1997-05-14	VYDAJ	PREVOD NA UCET	7896	91608	SIPO	MN	13424891
294157	1005	1997-06-14	VYDAJ	PREVOD NA UCET	7896	51262	SIPO	MN	13424891
294158	1005	1997-07-14	VYDAJ	PREVOD NA UCET	7896	88993	SIPO	MN	13424891
294159	1005	1997-08-14	VYDAJ	PREVOD NA UCET	7896	97882	SIPO	MN	13424891
294160	1005	1997-09-14	VYDAJ	PREVOD NA UCET	7896	110234	SIPO	MN	13424891
294161	1005	1997-10-14	VYDAJ	PREVOD NA UCET	7896	75298	SIPO	MN	13424891
294162	1005	1997-11-14	VYDAJ	PREVOD NA UCET	7896	83596	SIPO	MN	13424891
294163	1005	1997-12-14	VYDAJ	PREVOD NA UCET	7896	101276	SIPO	MN	13424891
294164	1005	1998-01-14	VYDAJ	PREVOD NA UCET	7896	89820	SIPO	MN	13424891
294165	1005	1998-02-14	VYDAJ	PREVOD NA UCET	7896	52943	SIPO	MN	13424891
294166	1005	1998-03-14	VYDAJ	PREVOD NA UCET	7896	86070	SIPO	MN	13424891
294167	1005	1998-04-14	VYDAJ	PREVOD NA UCET	7896	92367	SIPO	MN	13424891
294168	1005	1998-05-14	VYDAJ	PREVOD NA UCET	7896	103806	SIPO	MN	13424891
294169	1005	1998-06-14	VYDAJ	PREVOD NA UCET	7896	115814	SIPO	MN	13424891
294170	1005	1998-07-14	VYDAJ	PREVOD NA UCET	7896	106032	SIPO	MN	13424891
294171	1005	1998-08-14	VYDAJ	PREVOD NA UCET	7896	74534	SIPO	MN	13424891
294172	1005	1998-09-14	VYDAJ	PREVOD NA UCET	7896	88726	SIPO	MN	13424891
294173	1005	1998-10-14	VYDAJ	PREVOD NA UCET	7896	87179	SIPO	MN	13424891
294174	1005	1998-11-14	VYDAJ	PREVOD NA UCET	7896	109047	SIPO	MN	13424891
294175	1005	1998-12-14	VYDAJ	PREVOD NA UCET	7896	114762	SIPO	MN	13424891
294177	1005	1993-11-02	VYBER	VYBER	18996	25829	\N	\N	\N
294178	1005	1994-05-25	VYBER	VYBER	5076	33584	\N	\N	\N
294179	1005	1994-04-01	VYBER	VYBER	2916	45575	\N	\N	\N
294180	1005	1995-07-17	VYBER	VYBER	2808	43156	\N	\N	\N
294181	1005	1995-09-05	VYBER	VYBER	18982	25796	\N	\N	\N
294182	1005	1995-09-23	VYBER	VYBER	6873	33610	\N	\N	\N
294183	1005	1995-01-07	VYBER	VYBER	8365	49045	\N	\N	\N
294185	1005	1995-10-21	VYBER	VYBER	11712	33628	\N	\N	\N
294186	1005	1995-07-10	VYBER	VYBER	20618	76360	\N	\N	\N
294187	1005	1995-03-21	VYBER	VYBER	16637	25369	\N	\N	\N
294188	1005	1995-12-22	VYBER	VYBER	17115	32210	\N	\N	\N
294190	1005	1995-03-16	VYBER	VYBER	11872	42006	\N	\N	\N
294191	1005	1995-07-21	VYBER	VYBER	12968	30188	\N	\N	\N
294192	1005	1995-11-22	VYBER	VYBER	15468	27575	\N	\N	\N
294193	1005	1996-08-20	VYBER	VYBER	10256	71328	\N	\N	\N
294194	1005	1996-11-24	VYBER	VYBER	15128	77499	\N	\N	\N
294195	1005	1997-03-09	VYBER	VYBER	8688	107561	\N	\N	\N
294196	1005	1997-10-19	VYBER	VYBER	15563	59735	\N	\N	\N
294197	1005	1997-12-08	VYBER	VYBER	21111	57448	\N	\N	\N
294198	1005	1998-10-08	VYBER	VYBER	3033	60592	\N	\N	\N
294199	1005	1998-09-26	VYBER	VYBER	10262	63324	\N	\N	\N
294200	1005	1998-09-24	VYBER	VYBER	21440	60686	\N	\N	\N
294201	1005	1998-09-01	VYBER	VYBER	16637	62139	\N	\N	\N
294202	1005	1998-08-05	VYBER	VYBER	2284	95947	\N	\N	\N
294203	1005	1998-10-19	VYBER	VYBER	6419	80760	\N	\N	\N
294208	1005	1997-06-13	VYDAJ	VYBER	24000	59158	\N	\N	\N
294211	1005	1994-01-12	VYDAJ	VYBER	12900	72775	\N	\N	\N
294212	1005	1995-01-23	VYDAJ	VYBER	11700	43432	\N	\N	\N
294214	1005	1997-01-27	VYDAJ	VYBER	5100	78778	\N	\N	\N
294215	1005	1998-01-03	VYDAJ	VYBER	22800	63233	\N	\N	\N
294216	1005	1993-12-15	VYDAJ	VYBER	8100	74909	\N	\N	\N
294217	1005	1994-12-04	VYDAJ	VYBER	6600	46938	\N	\N	\N
294218	1005	1995-12-23	VYDAJ	VYBER	8400	23810	\N	\N	\N
294219	1005	1996-12-04	VYDAJ	VYBER	2700	68116	\N	\N	\N
294220	1005	1997-12-28	VYDAJ	VYBER	7200	90176	\N	\N	\N
294221	1005	1998-12-17	VYDAJ	VYBER	8100	106662	\N	\N	\N
294222	1005	1993-10-27	VYDAJ	VYBER	3600	44628	\N	\N	\N
294226	1005	1994-02-15	VYDAJ	VYBER	14700	58656	\N	\N	\N
294227	1005	1994-05-03	VYDAJ	VYBER	7800	40673	\N	\N	\N
294228	1005	1994-08-13	VYDAJ	VYBER	13500	63630	\N	\N	\N
294229	1005	1994-12-24	VYDAJ	VYBER	6000	57166	\N	\N	\N
294230	1005	1994-08-08	VYDAJ	VYBER	11400	42647	\N	\N	\N
294231	1005	1994-05-16	VYDAJ	VYBER	12300	54960	\N	\N	\N
294233	1005	1995-12-09	VYDAJ	VYBER	3000	76421	\N	\N	\N
294234	1005	1995-07-28	VYDAJ	VYBER	1500	28688	\N	\N	\N
294235	1005	1996-02-23	VYDAJ	VYBER	11100	44246	\N	\N	\N
294236	1005	1996-02-17	VYDAJ	VYBER	13500	55346	\N	\N	\N
294237	1005	1996-07-10	VYDAJ	VYBER	8400	82828	\N	\N	\N
294238	1005	1996-08-13	VYDAJ	VYBER	10800	89480	\N	\N	\N
294239	1005	1997-08-08	VYDAJ	VYBER	8700	71295	\N	\N	\N
294240	1005	1997-11-26	VYDAJ	VYBER	3900	79696	\N	\N	\N
294241	1005	1997-12-22	VYDAJ	VYBER	3900	97376	\N	\N	\N
294242	1005	1997-10-19	VYDAJ	VYBER	14100	45635	\N	\N	\N
294243	1005	1997-03-26	VYDAJ	VYBER	5700	40265	\N	\N	\N
294244	1005	1997-04-25	VYDAJ	VYBER	7500	72868	\N	\N	\N
294245	1005	1997-04-27	VYDAJ	VYBER	6600	66268	\N	\N	\N
294246	1005	1998-11-03	VYDAJ	VYBER	4800	82460	\N	\N	\N
294247	1005	1998-02-10	VYDAJ	VYBER	4800	60839	\N	\N	\N
294248	1005	1998-09-21	VYDAJ	VYBER	6600	82126	\N	\N	\N
294249	1005	1998-11-20	VYDAJ	VYBER	2100	106947	\N	\N	\N
294250	1005	1998-04-09	VYDAJ	VYBER	10200	100263	\N	\N	\N
294251	1005	1998-04-03	VYDAJ	VYBER	9900	75980	\N	\N	\N
294252	1005	1998-03-03	VYDAJ	VYBER	9000	59483	\N	\N	\N
294253	1005	1998-05-08	VYDAJ	VYBER	11400	77219	\N	\N	\N
294254	1005	1998-08-28	VYDAJ	VYBER	7200	78434	\N	\N	\N
294262	1005	1993-07-31	VYDAJ	VYBER	30	44084	SLUZBY	\N	\N
294263	1005	1993-08-31	VYDAJ	VYBER	30	47258	SLUZBY	\N	\N
294264	1005	1993-09-30	VYDAJ	VYBER	30	49341	SLUZBY	\N	\N
294265	1005	1993-10-31	VYDAJ	VYBER	30	44825	SLUZBY	\N	\N
294266	1005	1993-11-30	VYDAJ	VYBER	30	39181	SLUZBY	\N	\N
294267	1005	1993-12-31	VYDAJ	VYBER	30	51192	SLUZBY	\N	\N
294268	1005	1994-01-31	VYDAJ	VYBER	30	46769	SLUZBY	\N	\N
294269	1005	1994-02-28	VYDAJ	VYBER	30	43224	SLUZBY	\N	\N
294270	1005	1994-03-31	VYDAJ	VYBER	30	48491	SLUZBY	\N	\N
294271	1005	1994-04-30	VYDAJ	VYBER	30	48473	SLUZBY	\N	\N
294272	1005	1994-05-31	VYDAJ	VYBER	30	33759	SLUZBY	\N	\N
294273	1005	1994-06-30	VYDAJ	VYBER	30	52055	SLUZBY	\N	\N
294274	1005	1994-07-31	VYDAJ	VYBER	30	54047	SLUZBY	\N	\N
294275	1005	1994-08-31	VYDAJ	VYBER	30	42520	SLUZBY	\N	\N
294276	1005	1994-09-30	VYDAJ	VYBER	30	50578	SLUZBY	\N	\N
294277	1005	1994-10-31	VYDAJ	VYBER	30	52757	SLUZBY	\N	\N
294278	1005	1994-11-30	VYDAJ	VYBER	30	53538	SLUZBY	\N	\N
294279	1005	1994-12-31	VYDAJ	VYBER	30	57410	SLUZBY	\N	\N
294280	1005	1995-01-31	VYDAJ	VYBER	30	43649	SLUZBY	\N	\N
294281	1005	1995-02-28	VYDAJ	VYBER	30	45191	SLUZBY	\N	\N
294282	1005	1995-03-31	VYDAJ	VYBER	30	25501	SLUZBY	\N	\N
294283	1005	1995-04-30	VYDAJ	VYBER	30	42804	SLUZBY	\N	\N
294284	1005	1995-05-31	VYDAJ	VYBER	30	50657	SLUZBY	\N	\N
294285	1005	1995-06-30	VYDAJ	VYBER	30	62495	SLUZBY	\N	\N
294286	1005	1995-07-31	VYDAJ	VYBER	30	28857	SLUZBY	\N	\N
294287	1005	1995-08-31	VYDAJ	VYBER	30	44778	SLUZBY	\N	\N
294288	1005	1995-09-30	VYDAJ	VYBER	30	33753	SLUZBY	\N	\N
294289	1005	1995-10-31	VYDAJ	VYBER	30	33756	SLUZBY	\N	\N
294290	1005	1995-11-30	VYDAJ	VYBER	30	27697	SLUZBY	\N	\N
294291	1005	1995-12-31	VYDAJ	VYBER	30	23935	SLUZBY	\N	\N
294292	1005	1996-01-31	VYDAJ	VYBER	30	42859	SLUZBY	\N	\N
294293	1005	1996-02-29	VYDAJ	VYBER	30	44441	SLUZBY	\N	\N
294294	1005	1996-03-31	VYDAJ	VYBER	30	54116	SLUZBY	\N	\N
294295	1005	1996-04-30	VYDAJ	VYBER	30	74263	SLUZBY	\N	\N
294296	1005	1996-05-31	VYDAJ	VYBER	30	89579	SLUZBY	\N	\N
294297	1005	1996-06-30	VYDAJ	VYBER	30	54245	SLUZBY	\N	\N
294298	1005	1996-07-31	VYDAJ	VYBER	30	75197	SLUZBY	\N	\N
294299	1005	1996-08-31	VYDAJ	VYBER	30	71623	SLUZBY	\N	\N
294300	1005	1996-09-30	VYDAJ	VYBER	30	93046	SLUZBY	\N	\N
294301	1005	1996-10-31	VYDAJ	VYBER	30	68540	SLUZBY	\N	\N
294302	1005	1996-11-30	VYDAJ	VYBER	30	77816	SLUZBY	\N	\N
294303	1005	1996-12-31	VYDAJ	VYBER	30	92391	SLUZBY	\N	\N
294304	1005	1997-01-31	VYDAJ	VYBER	30	79119	SLUZBY	\N	\N
294305	1005	1997-02-28	VYDAJ	VYBER	30	99066	SLUZBY	\N	\N
294306	1005	1997-03-31	VYDAJ	VYBER	30	40481	SLUZBY	\N	\N
294307	1005	1997-04-30	VYDAJ	VYBER	30	66521	SLUZBY	\N	\N
294308	1005	1997-05-31	VYDAJ	VYBER	30	91934	SLUZBY	\N	\N
294309	1005	1997-06-30	VYDAJ	VYBER	30	51506	SLUZBY	\N	\N
294310	1005	1997-07-31	VYDAJ	VYBER	30	89295	SLUZBY	\N	\N
294311	1005	1997-08-31	VYDAJ	VYBER	30	83647	SLUZBY	\N	\N
294312	1005	1997-09-30	VYDAJ	VYBER	30	110611	SLUZBY	\N	\N
294313	1005	1997-10-31	VYDAJ	VYBER	30	57009	SLUZBY	\N	\N
294314	1005	1997-11-30	VYDAJ	VYBER	30	78559	SLUZBY	\N	\N
294315	1005	1997-12-31	VYDAJ	VYBER	30	86033	SLUZBY	\N	\N
294316	1005	1998-01-31	VYDAJ	VYBER	30	83056	SLUZBY	\N	\N
294317	1005	1998-02-28	VYDAJ	VYBER	30	68483	SLUZBY	\N	\N
294318	1005	1998-03-31	VYDAJ	VYBER	30	85880	SLUZBY	\N	\N
294319	1005	1998-04-30	VYDAJ	VYBER	30	88619	SLUZBY	\N	\N
294320	1005	1998-05-31	VYDAJ	VYBER	30	92586	SLUZBY	\N	\N
294321	1005	1998-06-30	VYDAJ	VYBER	30	100445	SLUZBY	\N	\N
294322	1005	1998-07-31	VYDAJ	VYBER	30	98231	SLUZBY	\N	\N
294323	1005	1998-08-31	VYDAJ	VYBER	30	78776	SLUZBY	\N	\N
294324	1005	1998-09-30	VYDAJ	VYBER	30	63625	SLUZBY	\N	\N
294325	1005	1998-10-31	VYDAJ	VYBER	30	87260	SLUZBY	\N	\N
294326	1005	1998-11-30	VYDAJ	VYBER	30	98734	SLUZBY	\N	\N
294327	1005	1993-03-25	VYDAJ	VYBER	5400	29383	\N	\N	\N
294328	1005	1993-04-24	VYDAJ	VYBER	18700	45194	\N	\N	\N
294329	1005	1993-05-24	VYDAJ	VYBER	30000	49814	\N	\N	\N
294330	1005	1993-06-09	VYDAJ	VYBER	52200	49532	\N	\N	\N
294331	1005	1993-06-23	VYDAJ	VYBER	10700	38832	\N	\N	\N
294332	1005	1993-07-23	VYDAJ	VYBER	21700	43914	\N	\N	\N
294333	1005	1993-08-22	VYDAJ	VYBER	23600	47071	\N	\N	\N
294334	1005	1993-09-21	VYDAJ	VYBER	24700	49145	\N	\N	\N
294335	1005	1993-10-21	VYDAJ	VYBER	27700	48228	\N	\N	\N
294336	1005	1993-11-20	VYDAJ	VYBER	13400	39016	\N	\N	\N
294337	1005	1993-12-20	VYDAJ	VYBER	23900	51009	\N	\N	\N
294338	1005	1994-01-19	VYDAJ	VYBER	18300	46579	\N	\N	\N
294339	1005	1994-02-18	VYDAJ	VYBER	15600	43056	\N	\N	\N
294340	1005	1994-03-20	VYDAJ	VYBER	21500	48311	\N	\N	\N
294341	1005	1994-04-19	VYDAJ	VYBER	23900	48262	\N	\N	\N
294342	1005	1994-05-19	VYDAJ	VYBER	16300	38660	\N	\N	\N
294343	1005	1994-06-18	VYDAJ	VYBER	25700	51887	\N	\N	\N
294344	1005	1994-07-18	VYDAJ	VYBER	24800	53842	\N	\N	\N
294345	1005	1994-08-17	VYDAJ	VYBER	13400	42334	\N	\N	\N
294346	1005	1994-09-16	VYDAJ	VYBER	18700	50407	\N	\N	\N
294347	1005	1994-10-16	VYDAJ	VYBER	24600	52565	\N	\N	\N
294348	1005	1994-11-15	VYDAJ	VYBER	26000	53344	\N	\N	\N
294349	1005	1994-12-15	VYDAJ	VYBER	27600	63166	\N	\N	\N
294350	1005	1995-01-14	VYDAJ	VYBER	20500	63028	\N	\N	\N
294351	1005	1995-02-13	VYDAJ	VYBER	25200	52932	\N	\N	\N
294352	1005	1995-03-15	VYDAJ	VYBER	17900	53878	\N	\N	\N
294353	1005	1995-04-14	VYDAJ	VYBER	9400	50584	\N	\N	\N
294354	1005	1995-05-14	VYDAJ	VYBER	18900	50491	\N	\N	\N
294355	1005	1995-06-13	VYDAJ	VYBER	32200	70181	\N	\N	\N
294356	1005	1995-07-13	VYDAJ	VYBER	22500	53860	\N	\N	\N
294357	1005	1995-08-12	VYDAJ	VYBER	10800	52540	\N	\N	\N
294358	1005	1995-09-11	VYDAJ	VYBER	11900	48379	\N	\N	\N
294359	1005	1995-10-11	VYDAJ	VYBER	15000	53236	\N	\N	\N
294360	1005	1995-11-10	VYDAJ	VYBER	17300	50939	\N	\N	\N
294361	1005	1995-12-10	VYDAJ	VYBER	19200	57221	\N	\N	\N
294362	1005	1996-01-09	VYDAJ	VYBER	7800	50618	\N	\N	\N
294363	1005	1996-02-08	VYDAJ	VYBER	600	42259	\N	\N	\N
294364	1005	1996-03-09	VYDAJ	VYBER	17100	61824	\N	\N	\N
294365	1005	1996-04-08	VYDAJ	VYBER	6700	47416	\N	\N	\N
294366	1005	1996-05-08	VYDAJ	VYBER	11600	62663	\N	\N	\N
294367	1005	1996-06-07	VYDAJ	VYBER	21400	68179	\N	\N	\N
294368	1005	1996-06-09	VYDAJ	VYBER	58000	61903	\N	\N	\N
294369	1005	1996-07-07	PRIJEM	VKLAD	2500	56745	\N	\N	\N
294370	1005	1996-08-06	VYDAJ	VYBER	9400	65797	\N	\N	\N
294371	1005	1996-09-05	VYDAJ	VYBER	5500	66123	\N	\N	\N
294372	1005	1996-10-05	VYDAJ	VYBER	17000	76046	\N	\N	\N
294373	1005	1996-10-09	VYDAJ	VYBER	34400	76129	\N	\N	\N
294374	1005	1996-11-04	VYDAJ	VYBER	2500	66040	\N	\N	\N
294375	1005	1996-12-04	VYDAJ	VYBER	7000	70816	\N	\N	\N
294376	1005	1996-12-09	VYDAJ	VYBER	19900	99940	\N	\N	\N
294377	1005	1997-01-03	VYDAJ	VYBER	15900	76491	\N	\N	\N
294378	1005	1997-01-09	VYDAJ	VYBER	19200	91774	\N	\N	\N
294379	1005	1997-02-02	VYDAJ	VYBER	7000	72119	\N	\N	\N
294380	1005	1997-03-04	VYDAJ	VYBER	17300	81766	\N	\N	\N
294381	1005	1997-03-09	VYDAJ	VYBER	53700	53861	\N	\N	\N
294382	1005	1997-04-03	PRIJEM	VKLAD	13300	53781	\N	\N	\N
294383	1005	1997-05-03	VYDAJ	VYBER	1500	65021	\N	\N	\N
294384	1005	1997-06-02	VYDAJ	VYBER	13500	78434	\N	\N	\N
294385	1005	1997-06-09	VYDAJ	VYBER	47000	83158	\N	\N	\N
294386	1005	1997-07-02	PRIJEM	VKLAD	10900	62406	\N	\N	\N
294387	1005	1997-08-01	VYDAJ	VYBER	9300	79995	\N	\N	\N
294388	1005	1997-08-31	VYDAJ	VYBER	14600	83677	\N	\N	\N
294389	1005	1997-09-30	VYDAJ	VYBER	18100	92511	\N	\N	\N
294390	1005	1997-10-09	VYDAJ	VYBER	43800	83194	\N	\N	\N
294391	1005	1997-10-30	PRIJEM	VKLAD	11100	56735	\N	\N	\N
294392	1005	1997-11-29	VYDAJ	VYBER	1400	78296	\N	\N	\N
294393	1005	1997-12-29	VYDAJ	VYBER	4500	85676	\N	\N	\N
294394	1005	1998-01-28	VYDAJ	VYBER	7100	82720	\N	\N	\N
294395	1005	1998-02-09	VYDAJ	VYBER	51900	65639	\N	\N	\N
294396	1005	1998-02-27	PRIJEM	VKLAD	15300	68243	\N	\N	\N
294397	1005	1998-03-29	VYDAJ	VYBER	500	85570	\N	\N	\N
294398	1005	1998-04-28	VYDAJ	VYBER	4100	88267	\N	\N	\N
294399	1005	1998-05-28	VYDAJ	VYBER	11600	92206	\N	\N	\N
294400	1005	1998-06-09	VYDAJ	VYBER	20600	123710	\N	\N	\N
294401	1005	1998-06-27	VYDAJ	VYBER	15800	100014	\N	\N	\N
294402	1005	1998-07-09	VYDAJ	VYBER	21000	113928	\N	\N	\N
294403	1005	1998-07-27	VYDAJ	VYBER	8200	97832	\N	\N	\N
294404	1005	1998-08-09	VYDAJ	VYBER	48000	82430	\N	\N	\N
294405	1005	1998-08-26	PRIJEM	VKLAD	11100	85634	\N	\N	\N
294406	1005	1998-09-25	PRIJEM	VKLAD	12900	73586	\N	\N	\N
294407	1005	1998-10-25	PRIJEM	VKLAD	6200	86960	\N	\N	\N
294408	1005	1998-11-24	VYDAJ	VYBER	8600	98347	\N	\N	\N
294409	1005	1998-12-09	VYDAJ	VYBER	27800	122658	\N	\N	\N
294480	1006	1993-02-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
294483	1006	1993-03-08	PRIJEM	PREVOD Z UCTU	3737	4737	\N	WX	6088287
294484	1006	1993-04-08	PRIJEM	PREVOD Z UCTU	3737	19821	\N	WX	6088287
294485	1006	1993-05-08	PRIJEM	PREVOD Z UCTU	3737	25643	\N	WX	6088287
294486	1006	1993-06-08	PRIJEM	PREVOD Z UCTU	3737	26875	\N	WX	6088287
294487	1006	1993-07-08	PRIJEM	PREVOD Z UCTU	3737	28413	\N	WX	6088287
294488	1006	1993-08-08	PRIJEM	PREVOD Z UCTU	3737	29553	\N	WX	6088287
294489	1006	1993-09-08	PRIJEM	PREVOD Z UCTU	3737	28598	\N	WX	6088287
294490	1006	1993-10-08	PRIJEM	PREVOD Z UCTU	3737	30179	\N	WX	6088287
294491	1006	1993-11-08	PRIJEM	PREVOD Z UCTU	3737	29025	\N	WX	6088287
294492	1006	1993-12-08	PRIJEM	PREVOD Z UCTU	3737	30569	\N	WX	6088287
294493	1006	1994-01-08	PRIJEM	PREVOD Z UCTU	3737	26787	\N	WX	6088287
294494	1006	1994-02-08	PRIJEM	PREVOD Z UCTU	3737	25290	\N	WX	6088287
294495	1006	1994-03-08	PRIJEM	PREVOD Z UCTU	3737	27504	\N	WX	6088287
294496	1006	1994-04-08	PRIJEM	PREVOD Z UCTU	3737	30448	\N	WX	6088287
294497	1006	1994-05-08	PRIJEM	PREVOD Z UCTU	3737	32495	\N	WX	6088287
294498	1006	1994-06-08	PRIJEM	PREVOD Z UCTU	3737	27962	\N	WX	6088287
294499	1006	1994-07-08	PRIJEM	PREVOD Z UCTU	3737	30002	\N	WX	6088287
294500	1006	1994-08-08	PRIJEM	PREVOD Z UCTU	3737	28558	\N	WX	6088287
294501	1006	1994-09-08	PRIJEM	PREVOD Z UCTU	3737	29999	\N	WX	6088287
294502	1006	1994-10-08	PRIJEM	PREVOD Z UCTU	3737	34046	\N	WX	6088287
294503	1006	1994-11-08	PRIJEM	PREVOD Z UCTU	3737	32207	\N	WX	6088287
294504	1006	1994-12-08	PRIJEM	PREVOD Z UCTU	3737	32863	\N	WX	6088287
294505	1006	1995-01-08	PRIJEM	PREVOD Z UCTU	3737	34212	\N	WX	6088287
294506	1006	1995-02-08	PRIJEM	PREVOD Z UCTU	3737	33449	\N	WX	6088287
294507	1006	1995-03-08	PRIJEM	PREVOD Z UCTU	3737	35399	\N	WX	6088287
294508	1006	1995-04-08	PRIJEM	PREVOD Z UCTU	3737	38069	\N	WX	6088287
294509	1006	1995-05-08	PRIJEM	PREVOD Z UCTU	3737	35584	\N	WX	6088287
294510	1006	1995-06-08	PRIJEM	PREVOD Z UCTU	3737	37342	\N	WX	6088287
294511	1006	1995-07-08	PRIJEM	PREVOD Z UCTU	3737	34807	\N	WX	6088287
294512	1006	1995-08-08	PRIJEM	PREVOD Z UCTU	3737	36173	\N	WX	6088287
294513	1006	1995-09-08	PRIJEM	PREVOD Z UCTU	3737	35775	\N	WX	6088287
294514	1006	1995-10-08	PRIJEM	PREVOD Z UCTU	3737	34745	\N	WX	6088287
294515	1006	1995-11-08	PRIJEM	PREVOD Z UCTU	3737	36711	\N	WX	6088287
294516	1006	1995-12-08	PRIJEM	PREVOD Z UCTU	3737	36054	\N	WX	6088287
294517	1006	1996-01-08	PRIJEM	PREVOD Z UCTU	3737	35954	\N	WX	6088287
294518	1006	1996-02-08	PRIJEM	PREVOD Z UCTU	3737	32677	\N	WX	6088287
294519	1006	1996-03-08	PRIJEM	PREVOD Z UCTU	3737	32833	\N	WX	6088287
294520	1006	1996-04-08	PRIJEM	PREVOD Z UCTU	3737	33790	\N	WX	6088287
294521	1006	1996-05-08	PRIJEM	PREVOD Z UCTU	3737	33850	\N	WX	6088287
294522	1006	1996-06-08	PRIJEM	PREVOD Z UCTU	3737	34311	\N	WX	6088287
294523	1006	1996-07-08	PRIJEM	PREVOD Z UCTU	3737	33920	\N	WX	6088287
294524	1006	1996-08-08	PRIJEM	PREVOD Z UCTU	3737	34681	\N	WX	6088287
294525	1006	1996-09-08	PRIJEM	PREVOD Z UCTU	3737	33142	\N	WX	6088287
294526	1006	1996-10-08	PRIJEM	PREVOD Z UCTU	3737	35302	\N	WX	6088287
294527	1006	1996-11-08	PRIJEM	PREVOD Z UCTU	3737	36460	\N	WX	6088287
294528	1006	1996-12-08	PRIJEM	PREVOD Z UCTU	3737	38534	\N	WX	6088287
294529	1006	1997-01-08	PRIJEM	PREVOD Z UCTU	3737	33949	\N	WX	6088287
294530	1006	1997-02-08	PRIJEM	PREVOD Z UCTU	3737	32958	\N	WX	6088287
294531	1006	1997-03-08	PRIJEM	PREVOD Z UCTU	3737	36519	\N	WX	6088287
294532	1006	1997-04-08	PRIJEM	PREVOD Z UCTU	3737	39194	\N	WX	6088287
294533	1006	1997-05-08	PRIJEM	PREVOD Z UCTU	3737	40777	\N	WX	6088287
294534	1006	1997-06-08	PRIJEM	PREVOD Z UCTU	3737	37959	\N	WX	6088287
294535	1006	1997-07-08	PRIJEM	PREVOD Z UCTU	3737	39649	\N	WX	6088287
294536	1006	1997-08-08	PRIJEM	PREVOD Z UCTU	3737	42336	\N	WX	6088287
294537	1006	1997-09-08	PRIJEM	PREVOD Z UCTU	3737	43432	\N	WX	6088287
294538	1006	1997-10-08	PRIJEM	PREVOD Z UCTU	3737	38919	\N	WX	6088287
294539	1006	1997-11-08	PRIJEM	PREVOD Z UCTU	3737	39499	\N	WX	6088287
294540	1006	1997-12-08	PRIJEM	PREVOD Z UCTU	3737	42306	\N	WX	6088287
294541	1006	1998-01-08	PRIJEM	PREVOD Z UCTU	3737	40636	\N	WX	6088287
294542	1006	1998-02-08	PRIJEM	PREVOD Z UCTU	3737	41608	\N	WX	6088287
294543	1006	1998-03-08	PRIJEM	PREVOD Z UCTU	3737	46408	\N	WX	6088287
294544	1006	1998-04-08	PRIJEM	PREVOD Z UCTU	3737	49725	\N	WX	6088287
294545	1006	1998-05-08	PRIJEM	PREVOD Z UCTU	3737	52374	\N	WX	6088287
294546	1006	1998-06-08	PRIJEM	PREVOD Z UCTU	3737	54123	\N	WX	6088287
294547	1006	1998-07-08	PRIJEM	PREVOD Z UCTU	3737	57090	\N	WX	6088287
294548	1006	1998-08-08	PRIJEM	PREVOD Z UCTU	3737	59040	\N	WX	6088287
294549	1006	1998-09-08	PRIJEM	PREVOD Z UCTU	3737	56803	\N	WX	6088287
294550	1006	1998-10-08	PRIJEM	PREVOD Z UCTU	3737	54810	\N	WX	6088287
294551	1006	1998-11-08	PRIJEM	PREVOD Z UCTU	3737	50532	\N	WX	6088287
294552	1006	1998-12-08	PRIJEM	PREVOD Z UCTU	3737	50657	\N	WX	6088287
294560	1006	1993-08-05	VYDAJ	PREVOD NA UCET	390	26116	SIPO	YZ	28566903
294561	1006	1993-09-05	VYDAJ	PREVOD NA UCET	390	27161	SIPO	YZ	28566903
294562	1006	1993-10-05	VYDAJ	PREVOD NA UCET	390	24342	SIPO	YZ	28566903
294563	1006	1993-11-05	VYDAJ	PREVOD NA UCET	390	25288	SIPO	YZ	28566903
294564	1006	1993-12-05	VYDAJ	PREVOD NA UCET	390	26832	SIPO	YZ	28566903
294565	1006	1994-01-05	VYDAJ	PREVOD NA UCET	390	24160	SIPO	YZ	28566903
294566	1006	1994-02-05	VYDAJ	PREVOD NA UCET	390	21553	SIPO	YZ	28566903
294567	1006	1994-03-05	VYDAJ	PREVOD NA UCET	390	23767	SIPO	YZ	28566903
294568	1006	1994-04-05	VYDAJ	PREVOD NA UCET	390	26711	SIPO	YZ	28566903
294569	1006	1994-05-05	VYDAJ	PREVOD NA UCET	390	28758	SIPO	YZ	28566903
294570	1006	1994-06-05	VYDAJ	PREVOD NA UCET	390	24225	SIPO	YZ	28566903
294571	1006	1994-07-05	VYDAJ	PREVOD NA UCET	390	26265	SIPO	YZ	28566903
294572	1006	1994-08-05	VYDAJ	PREVOD NA UCET	390	24821	SIPO	YZ	28566903
294573	1006	1994-09-05	VYDAJ	PREVOD NA UCET	390	26262	SIPO	YZ	28566903
294574	1006	1994-10-05	VYDAJ	PREVOD NA UCET	390	30309	SIPO	YZ	28566903
294575	1006	1994-11-05	VYDAJ	PREVOD NA UCET	390	28470	SIPO	YZ	28566903
294576	1006	1994-12-05	VYDAJ	PREVOD NA UCET	390	29726	SIPO	YZ	28566903
294577	1006	1995-01-05	VYDAJ	PREVOD NA UCET	390	30685	SIPO	YZ	28566903
294578	1006	1995-02-05	VYDAJ	PREVOD NA UCET	390	29712	SIPO	YZ	28566903
294579	1006	1995-03-05	VYDAJ	PREVOD NA UCET	390	31662	SIPO	YZ	28566903
294580	1006	1995-04-05	VYDAJ	PREVOD NA UCET	390	34332	SIPO	YZ	28566903
294581	1006	1995-05-05	VYDAJ	PREVOD NA UCET	390	31847	SIPO	YZ	28566903
294582	1006	1995-06-05	VYDAJ	PREVOD NA UCET	390	33605	SIPO	YZ	28566903
294583	1006	1995-07-05	VYDAJ	PREVOD NA UCET	390	31070	SIPO	YZ	28566903
294584	1006	1995-08-05	VYDAJ	PREVOD NA UCET	390	32436	SIPO	YZ	28566903
294585	1006	1995-09-05	VYDAJ	PREVOD NA UCET	390	33508	SIPO	YZ	28566903
294586	1006	1995-10-05	VYDAJ	PREVOD NA UCET	390	31008	SIPO	YZ	28566903
294587	1006	1995-11-05	VYDAJ	PREVOD NA UCET	390	32974	SIPO	YZ	28566903
294588	1006	1995-12-05	VYDAJ	PREVOD NA UCET	390	32497	SIPO	YZ	28566903
294589	1006	1996-01-05	VYDAJ	PREVOD NA UCET	390	32217	SIPO	YZ	28566903
294590	1006	1996-02-05	VYDAJ	PREVOD NA UCET	390	28940	SIPO	YZ	28566903
294591	1006	1996-03-05	VYDAJ	PREVOD NA UCET	390	29096	SIPO	YZ	28566903
294592	1006	1996-04-05	VYDAJ	PREVOD NA UCET	390	30053	SIPO	YZ	28566903
294593	1006	1996-05-05	VYDAJ	PREVOD NA UCET	390	30113	SIPO	YZ	28566903
294594	1006	1996-06-05	VYDAJ	PREVOD NA UCET	390	30574	SIPO	YZ	28566903
294595	1006	1996-07-05	VYDAJ	PREVOD NA UCET	390	30183	SIPO	YZ	28566903
294596	1006	1996-08-05	VYDAJ	PREVOD NA UCET	390	30944	SIPO	YZ	28566903
294597	1006	1996-09-05	VYDAJ	PREVOD NA UCET	390	29405	SIPO	YZ	28566903
294598	1006	1996-10-05	VYDAJ	PREVOD NA UCET	390	31565	SIPO	YZ	28566903
294599	1006	1996-11-05	VYDAJ	PREVOD NA UCET	390	32723	SIPO	YZ	28566903
294600	1006	1996-12-05	VYDAJ	PREVOD NA UCET	390	34797	SIPO	YZ	28566903
294601	1006	1997-01-05	VYDAJ	PREVOD NA UCET	390	30962	SIPO	YZ	28566903
294602	1006	1997-02-05	VYDAJ	PREVOD NA UCET	390	29221	SIPO	YZ	28566903
294603	1006	1997-03-05	VYDAJ	PREVOD NA UCET	390	32782	SIPO	YZ	28566903
294604	1006	1997-04-05	VYDAJ	PREVOD NA UCET	390	35457	SIPO	YZ	28566903
294605	1006	1997-05-05	VYDAJ	PREVOD NA UCET	390	37040	SIPO	YZ	28566903
294606	1006	1997-06-05	VYDAJ	PREVOD NA UCET	390	34222	SIPO	YZ	28566903
294607	1006	1997-07-05	VYDAJ	PREVOD NA UCET	390	35912	SIPO	YZ	28566903
294608	1006	1997-08-05	VYDAJ	PREVOD NA UCET	390	38599	SIPO	YZ	28566903
294609	1006	1997-09-05	VYDAJ	PREVOD NA UCET	390	39695	SIPO	YZ	28566903
294610	1006	1997-10-05	VYDAJ	PREVOD NA UCET	390	35182	SIPO	YZ	28566903
294611	1006	1997-11-05	VYDAJ	PREVOD NA UCET	390	35762	SIPO	YZ	28566903
294612	1006	1997-12-05	VYDAJ	PREVOD NA UCET	390	38569	SIPO	YZ	28566903
294613	1006	1998-01-05	VYDAJ	PREVOD NA UCET	390	36899	SIPO	YZ	28566903
294614	1006	1998-02-05	VYDAJ	PREVOD NA UCET	390	37871	SIPO	YZ	28566903
294615	1006	1998-03-05	VYDAJ	PREVOD NA UCET	390	42671	SIPO	YZ	28566903
294616	1006	1998-04-05	VYDAJ	PREVOD NA UCET	390	45988	SIPO	YZ	28566903
294617	1006	1998-05-05	VYDAJ	PREVOD NA UCET	390	48637	SIPO	YZ	28566903
294618	1006	1998-06-05	VYDAJ	PREVOD NA UCET	390	50386	SIPO	YZ	28566903
294619	1006	1998-07-05	VYDAJ	PREVOD NA UCET	390	53353	SIPO	YZ	28566903
294620	1006	1998-08-05	VYDAJ	PREVOD NA UCET	390	55303	SIPO	YZ	28566903
294621	1006	1998-09-05	VYDAJ	PREVOD NA UCET	390	53066	SIPO	YZ	28566903
294622	1006	1998-10-05	VYDAJ	PREVOD NA UCET	390	51073	SIPO	YZ	28566903
294623	1006	1998-11-05	VYDAJ	PREVOD NA UCET	390	47605	SIPO	YZ	28566903
294624	1006	1998-12-05	VYDAJ	PREVOD NA UCET	390	46920	SIPO	YZ	28566903
294631	1006	1993-07-10	VYDAJ	PREVOD NA UCET	2008	26445	 	EF	8671278
294632	1006	1993-08-10	VYDAJ	PREVOD NA UCET	2008	27485	 	EF	8671278
294633	1006	1993-09-10	VYDAJ	PREVOD NA UCET	2008	26530	 	EF	8671278
294634	1006	1993-10-10	VYDAJ	PREVOD NA UCET	2008	28111	 	EF	8671278
294635	1006	1993-11-10	VYDAJ	PREVOD NA UCET	2008	26957	 	EF	8671278
294636	1006	1993-12-10	VYDAJ	PREVOD NA UCET	2008	28501	 	EF	8671278
294637	1006	1994-01-10	VYDAJ	PREVOD NA UCET	2008	24719	 	EF	8671278
294638	1006	1994-02-10	VYDAJ	PREVOD NA UCET	2008	23222	 	EF	8671278
294639	1006	1994-03-10	VYDAJ	PREVOD NA UCET	2008	25436	 	EF	8671278
294640	1006	1994-04-10	VYDAJ	PREVOD NA UCET	2008	28380	 	EF	8671278
294641	1006	1994-05-10	VYDAJ	PREVOD NA UCET	2008	30427	 	EF	8671278
294642	1006	1994-06-10	VYDAJ	PREVOD NA UCET	2008	25894	 	EF	8671278
294643	1006	1994-07-10	VYDAJ	PREVOD NA UCET	2008	27934	 	EF	8671278
294644	1006	1994-08-10	VYDAJ	PREVOD NA UCET	2008	26490	 	EF	8671278
294645	1006	1994-09-10	VYDAJ	PREVOD NA UCET	2008	27931	 	EF	8671278
294646	1006	1994-10-10	VYDAJ	PREVOD NA UCET	2008	31978	 	EF	8671278
294647	1006	1994-11-10	VYDAJ	PREVOD NA UCET	2008	30139	 	EF	8671278
294648	1006	1994-12-10	VYDAJ	PREVOD NA UCET	2008	30795	 	EF	8671278
294649	1006	1995-01-10	VYDAJ	PREVOD NA UCET	2008	31934	 	EF	8671278
294650	1006	1995-02-10	VYDAJ	PREVOD NA UCET	2008	31381	 	EF	8671278
294651	1006	1995-03-10	VYDAJ	PREVOD NA UCET	2008	33331	 	EF	8671278
294652	1006	1995-04-10	VYDAJ	PREVOD NA UCET	2008	36001	 	EF	8671278
294653	1006	1995-05-10	VYDAJ	PREVOD NA UCET	2008	33516	 	EF	8671278
294654	1006	1995-06-10	VYDAJ	PREVOD NA UCET	2008	27084	 	EF	8671278
294655	1006	1995-07-10	VYDAJ	PREVOD NA UCET	2008	32739	 	EF	8671278
294656	1006	1995-08-10	VYDAJ	PREVOD NA UCET	2008	34105	 	EF	8671278
294657	1006	1995-09-10	VYDAJ	PREVOD NA UCET	2008	33707	 	EF	8671278
294658	1006	1995-10-10	VYDAJ	PREVOD NA UCET	2008	32677	 	EF	8671278
294659	1006	1995-11-10	VYDAJ	PREVOD NA UCET	2008	34643	 	EF	8671278
294660	1006	1995-12-10	VYDAJ	PREVOD NA UCET	2008	33986	 	EF	8671278
294661	1006	1996-01-10	VYDAJ	PREVOD NA UCET	2008	33886	 	EF	8671278
294662	1006	1996-02-10	VYDAJ	PREVOD NA UCET	2008	30609	 	EF	8671278
294663	1006	1996-03-10	VYDAJ	PREVOD NA UCET	2008	30765	 	EF	8671278
294664	1006	1996-04-10	VYDAJ	PREVOD NA UCET	2008	31722	 	EF	8671278
294665	1006	1996-05-10	VYDAJ	PREVOD NA UCET	2008	31782	 	EF	8671278
294666	1006	1996-06-10	VYDAJ	PREVOD NA UCET	2008	32243	 	EF	8671278
294667	1006	1996-07-10	VYDAJ	PREVOD NA UCET	2008	31852	 	EF	8671278
294668	1006	1996-08-10	VYDAJ	PREVOD NA UCET	2008	32613	 	EF	8671278
294669	1006	1996-09-10	VYDAJ	PREVOD NA UCET	2008	31074	 	EF	8671278
294670	1006	1996-10-10	VYDAJ	PREVOD NA UCET	2008	33234	 	EF	8671278
294671	1006	1996-11-10	VYDAJ	PREVOD NA UCET	2008	34392	 	EF	8671278
294672	1006	1996-12-10	VYDAJ	PREVOD NA UCET	2008	36466	 	EF	8671278
294673	1006	1997-01-10	VYDAJ	PREVOD NA UCET	2008	31881	 	EF	8671278
294674	1006	1997-02-10	VYDAJ	PREVOD NA UCET	2008	30890	 	EF	8671278
294675	1006	1997-03-10	VYDAJ	PREVOD NA UCET	2008	34451	 	EF	8671278
294676	1006	1997-04-10	VYDAJ	PREVOD NA UCET	2008	37126	 	EF	8671278
294677	1006	1997-05-10	VYDAJ	PREVOD NA UCET	2008	38709	 	EF	8671278
294678	1006	1997-06-10	VYDAJ	PREVOD NA UCET	2008	35891	 	EF	8671278
294679	1006	1997-07-10	VYDAJ	PREVOD NA UCET	2008	37581	 	EF	8671278
294680	1006	1997-08-10	VYDAJ	PREVOD NA UCET	2008	40268	 	EF	8671278
294681	1006	1997-09-10	VYDAJ	PREVOD NA UCET	2008	41364	 	EF	8671278
294682	1006	1997-10-10	VYDAJ	PREVOD NA UCET	2008	36851	 	EF	8671278
294683	1006	1997-11-10	VYDAJ	PREVOD NA UCET	2008	37431	 	EF	8671278
294684	1006	1997-12-10	VYDAJ	PREVOD NA UCET	2008	40238	 	EF	8671278
294685	1006	1998-01-10	VYDAJ	PREVOD NA UCET	2008	38568	 	EF	8671278
294686	1006	1998-02-10	VYDAJ	PREVOD NA UCET	2008	39540	 	EF	8671278
294687	1006	1998-03-10	VYDAJ	PREVOD NA UCET	2008	44340	 	EF	8671278
294688	1006	1998-04-10	VYDAJ	PREVOD NA UCET	2008	47657	 	EF	8671278
294689	1006	1998-05-10	VYDAJ	PREVOD NA UCET	2008	50306	 	EF	8671278
294690	1006	1998-06-10	VYDAJ	PREVOD NA UCET	2008	52055	 	EF	8671278
294691	1006	1998-07-10	VYDAJ	PREVOD NA UCET	2008	55022	 	EF	8671278
294692	1006	1998-08-10	VYDAJ	PREVOD NA UCET	2008	56972	 	EF	8671278
294693	1006	1998-09-10	VYDAJ	PREVOD NA UCET	2008	52705	 	EF	8671278
294694	1006	1998-10-10	VYDAJ	PREVOD NA UCET	2008	47842	 	EF	8671278
294695	1006	1998-11-10	VYDAJ	PREVOD NA UCET	2008	47164	 	EF	8671278
294696	1006	1998-12-10	VYDAJ	PREVOD NA UCET	2008	50489	 	EF	8671278
294703	1006	1993-07-08	VYDAJ	PREVOD NA UCET	60	28453	POJISTNE	EF	76910799
294704	1006	1993-08-08	VYDAJ	PREVOD NA UCET	60	29493	POJISTNE	EF	76910799
294705	1006	1993-09-08	VYDAJ	PREVOD NA UCET	60	28538	POJISTNE	EF	76910799
294706	1006	1993-10-08	VYDAJ	PREVOD NA UCET	60	30119	POJISTNE	EF	76910799
294707	1006	1993-11-08	VYDAJ	PREVOD NA UCET	60	28965	POJISTNE	EF	76910799
294708	1006	1993-12-08	VYDAJ	PREVOD NA UCET	60	30509	POJISTNE	EF	76910799
294709	1006	1994-01-08	VYDAJ	PREVOD NA UCET	60	26727	POJISTNE	EF	76910799
294710	1006	1994-02-08	VYDAJ	PREVOD NA UCET	60	25230	POJISTNE	EF	76910799
294711	1006	1994-03-08	VYDAJ	PREVOD NA UCET	60	27444	POJISTNE	EF	76910799
294712	1006	1994-04-08	VYDAJ	PREVOD NA UCET	60	30388	POJISTNE	EF	76910799
294713	1006	1994-05-08	VYDAJ	PREVOD NA UCET	60	32435	POJISTNE	EF	76910799
294714	1006	1994-06-08	VYDAJ	PREVOD NA UCET	60	27902	POJISTNE	EF	76910799
294715	1006	1994-07-08	VYDAJ	PREVOD NA UCET	60	29942	POJISTNE	EF	76910799
294716	1006	1994-08-08	VYDAJ	PREVOD NA UCET	60	28498	POJISTNE	EF	76910799
294717	1006	1994-09-08	VYDAJ	PREVOD NA UCET	60	29939	POJISTNE	EF	76910799
294718	1006	1994-10-08	VYDAJ	PREVOD NA UCET	60	33986	POJISTNE	EF	76910799
294719	1006	1994-11-08	VYDAJ	PREVOD NA UCET	60	32147	POJISTNE	EF	76910799
294720	1006	1994-12-08	VYDAJ	PREVOD NA UCET	60	32803	POJISTNE	EF	76910799
294721	1006	1995-01-08	VYDAJ	PREVOD NA UCET	60	33942	POJISTNE	EF	76910799
294722	1006	1995-02-08	VYDAJ	PREVOD NA UCET	60	33389	POJISTNE	EF	76910799
294723	1006	1995-03-08	VYDAJ	PREVOD NA UCET	60	35339	POJISTNE	EF	76910799
294724	1006	1995-04-08	VYDAJ	PREVOD NA UCET	60	38009	POJISTNE	EF	76910799
294725	1006	1995-05-08	VYDAJ	PREVOD NA UCET	60	35524	POJISTNE	EF	76910799
294726	1006	1995-06-08	VYDAJ	PREVOD NA UCET	60	37282	POJISTNE	EF	76910799
294727	1006	1995-07-08	VYDAJ	PREVOD NA UCET	60	34747	POJISTNE	EF	76910799
294728	1006	1995-08-08	VYDAJ	PREVOD NA UCET	60	36113	POJISTNE	EF	76910799
294729	1006	1995-09-08	VYDAJ	PREVOD NA UCET	60	35715	POJISTNE	EF	76910799
294730	1006	1995-10-08	VYDAJ	PREVOD NA UCET	60	34685	POJISTNE	EF	76910799
294731	1006	1995-11-08	VYDAJ	PREVOD NA UCET	60	36651	POJISTNE	EF	76910799
294732	1006	1995-12-08	VYDAJ	PREVOD NA UCET	60	35994	POJISTNE	EF	76910799
294733	1006	1996-01-08	VYDAJ	PREVOD NA UCET	60	35894	POJISTNE	EF	76910799
294734	1006	1996-02-08	VYDAJ	PREVOD NA UCET	60	32617	POJISTNE	EF	76910799
294735	1006	1996-03-08	VYDAJ	PREVOD NA UCET	60	32773	POJISTNE	EF	76910799
294736	1006	1996-04-08	VYDAJ	PREVOD NA UCET	60	33730	POJISTNE	EF	76910799
294737	1006	1996-05-08	VYDAJ	PREVOD NA UCET	60	33790	POJISTNE	EF	76910799
294738	1006	1996-06-08	VYDAJ	PREVOD NA UCET	60	34251	POJISTNE	EF	76910799
294739	1006	1996-07-08	VYDAJ	PREVOD NA UCET	60	33860	POJISTNE	EF	76910799
294740	1006	1996-08-08	VYDAJ	PREVOD NA UCET	60	34621	POJISTNE	EF	76910799
294741	1006	1996-09-08	VYDAJ	PREVOD NA UCET	60	33082	POJISTNE	EF	76910799
294742	1006	1996-10-08	VYDAJ	PREVOD NA UCET	60	35242	POJISTNE	EF	76910799
294743	1006	1996-11-08	VYDAJ	PREVOD NA UCET	60	36400	POJISTNE	EF	76910799
294744	1006	1996-12-08	VYDAJ	PREVOD NA UCET	60	38474	POJISTNE	EF	76910799
294745	1006	1997-01-08	VYDAJ	PREVOD NA UCET	60	33889	POJISTNE	EF	76910799
294746	1006	1997-02-08	VYDAJ	PREVOD NA UCET	60	32898	POJISTNE	EF	76910799
294747	1006	1997-03-08	VYDAJ	PREVOD NA UCET	60	36459	POJISTNE	EF	76910799
294748	1006	1997-04-08	VYDAJ	PREVOD NA UCET	60	39134	POJISTNE	EF	76910799
294749	1006	1997-05-08	VYDAJ	PREVOD NA UCET	60	40717	POJISTNE	EF	76910799
294750	1006	1997-06-08	VYDAJ	PREVOD NA UCET	60	37899	POJISTNE	EF	76910799
294751	1006	1997-07-08	VYDAJ	PREVOD NA UCET	60	39589	POJISTNE	EF	76910799
294752	1006	1997-08-08	VYDAJ	PREVOD NA UCET	60	42276	POJISTNE	EF	76910799
294753	1006	1997-09-08	VYDAJ	PREVOD NA UCET	60	43372	POJISTNE	EF	76910799
294754	1006	1997-10-08	VYDAJ	PREVOD NA UCET	60	38859	POJISTNE	EF	76910799
294755	1006	1997-11-08	VYDAJ	PREVOD NA UCET	60	39439	POJISTNE	EF	76910799
294756	1006	1997-12-08	VYDAJ	PREVOD NA UCET	60	42246	POJISTNE	EF	76910799
294757	1006	1998-01-08	VYDAJ	PREVOD NA UCET	60	40576	POJISTNE	EF	76910799
294758	1006	1998-02-08	VYDAJ	PREVOD NA UCET	60	41548	POJISTNE	EF	76910799
294759	1006	1998-03-08	VYDAJ	PREVOD NA UCET	60	46348	POJISTNE	EF	76910799
294760	1006	1998-04-08	VYDAJ	PREVOD NA UCET	60	49665	POJISTNE	EF	76910799
294761	1006	1998-05-08	VYDAJ	PREVOD NA UCET	60	52314	POJISTNE	EF	76910799
294762	1006	1998-06-08	VYDAJ	PREVOD NA UCET	60	54063	POJISTNE	EF	76910799
294763	1006	1998-07-08	VYDAJ	PREVOD NA UCET	60	57030	POJISTNE	EF	76910799
294764	1006	1998-08-08	VYDAJ	PREVOD NA UCET	60	58980	POJISTNE	EF	76910799
294765	1006	1998-09-08	VYDAJ	PREVOD NA UCET	60	56743	POJISTNE	EF	76910799
294766	1006	1998-10-08	VYDAJ	PREVOD NA UCET	60	54750	POJISTNE	EF	76910799
294767	1006	1998-11-08	VYDAJ	PREVOD NA UCET	60	50472	POJISTNE	EF	76910799
294768	1006	1998-12-08	VYDAJ	PREVOD NA UCET	60	50597	POJISTNE	EF	76910799
294775	1006	1993-07-11	VYDAJ	PREVOD NA UCET	33	26412	 	KL	51874184
294776	1006	1993-08-11	VYDAJ	PREVOD NA UCET	33	27452	 	KL	51874184
294777	1006	1993-09-11	VYDAJ	PREVOD NA UCET	33	26497	 	KL	51874184
294778	1006	1993-10-11	VYDAJ	PREVOD NA UCET	33	28078	 	KL	51874184
294779	1006	1993-11-11	VYDAJ	PREVOD NA UCET	33	26924	 	KL	51874184
294780	1006	1993-12-11	VYDAJ	PREVOD NA UCET	33	28468	 	KL	51874184
294781	1006	1994-01-11	VYDAJ	PREVOD NA UCET	33	24686	 	KL	51874184
294782	1006	1994-02-11	VYDAJ	PREVOD NA UCET	33	23189	 	KL	51874184
294783	1006	1994-03-11	VYDAJ	PREVOD NA UCET	33	25403	 	KL	51874184
294784	1006	1994-04-11	VYDAJ	PREVOD NA UCET	33	28347	 	KL	51874184
294785	1006	1994-05-11	VYDAJ	PREVOD NA UCET	33	30394	 	KL	51874184
294786	1006	1994-06-11	VYDAJ	PREVOD NA UCET	33	25861	 	KL	51874184
294787	1006	1994-07-11	VYDAJ	PREVOD NA UCET	33	27901	 	KL	51874184
294788	1006	1994-08-11	VYDAJ	PREVOD NA UCET	33	26457	 	KL	51874184
294789	1006	1994-09-11	VYDAJ	PREVOD NA UCET	33	27898	 	KL	51874184
294790	1006	1994-10-11	VYDAJ	PREVOD NA UCET	33	31945	 	KL	51874184
294791	1006	1994-11-11	VYDAJ	PREVOD NA UCET	33	30106	 	KL	51874184
294792	1006	1994-12-11	VYDAJ	PREVOD NA UCET	33	30762	 	KL	51874184
294793	1006	1995-01-11	VYDAJ	PREVOD NA UCET	33	31901	 	KL	51874184
294794	1006	1995-02-11	VYDAJ	PREVOD NA UCET	33	31348	 	KL	51874184
294795	1006	1995-03-11	VYDAJ	PREVOD NA UCET	33	33298	 	KL	51874184
294796	1006	1995-04-11	VYDAJ	PREVOD NA UCET	33	35968	 	KL	51874184
294797	1006	1995-05-11	VYDAJ	PREVOD NA UCET	33	33483	 	KL	51874184
294798	1006	1995-06-11	VYDAJ	PREVOD NA UCET	33	27051	 	KL	51874184
294799	1006	1995-07-11	VYDAJ	PREVOD NA UCET	33	32706	 	KL	51874184
294800	1006	1995-08-11	VYDAJ	PREVOD NA UCET	33	34072	 	KL	51874184
294801	1006	1995-09-11	VYDAJ	PREVOD NA UCET	33	33674	 	KL	51874184
294802	1006	1995-10-11	VYDAJ	PREVOD NA UCET	33	32644	 	KL	51874184
294803	1006	1995-11-11	VYDAJ	PREVOD NA UCET	33	34610	 	KL	51874184
294804	1006	1995-12-11	VYDAJ	PREVOD NA UCET	33	33953	 	KL	51874184
294805	1006	1996-01-11	VYDAJ	PREVOD NA UCET	33	33853	 	KL	51874184
294806	1006	1996-02-11	VYDAJ	PREVOD NA UCET	33	30576	 	KL	51874184
294807	1006	1996-03-11	VYDAJ	PREVOD NA UCET	33	30732	 	KL	51874184
294808	1006	1996-04-11	VYDAJ	PREVOD NA UCET	33	31689	 	KL	51874184
294809	1006	1996-05-11	VYDAJ	PREVOD NA UCET	33	31749	 	KL	51874184
294810	1006	1996-06-11	VYDAJ	PREVOD NA UCET	33	32210	 	KL	51874184
294811	1006	1996-07-11	VYDAJ	PREVOD NA UCET	33	31819	 	KL	51874184
294812	1006	1996-08-11	VYDAJ	PREVOD NA UCET	33	32580	 	KL	51874184
294813	1006	1996-09-11	VYDAJ	PREVOD NA UCET	33	31041	 	KL	51874184
294814	1006	1996-10-11	VYDAJ	PREVOD NA UCET	33	33201	 	KL	51874184
294815	1006	1996-11-11	VYDAJ	PREVOD NA UCET	33	34359	 	KL	51874184
294816	1006	1996-12-11	VYDAJ	PREVOD NA UCET	33	36433	 	KL	51874184
294817	1006	1997-01-11	VYDAJ	PREVOD NA UCET	33	31848	 	KL	51874184
294818	1006	1997-02-11	VYDAJ	PREVOD NA UCET	33	30857	 	KL	51874184
294819	1006	1997-03-11	VYDAJ	PREVOD NA UCET	33	34418	 	KL	51874184
294820	1006	1997-04-11	VYDAJ	PREVOD NA UCET	33	37093	 	KL	51874184
294821	1006	1997-05-11	VYDAJ	PREVOD NA UCET	33	38676	 	KL	51874184
294822	1006	1997-06-11	VYDAJ	PREVOD NA UCET	33	35858	 	KL	51874184
294823	1006	1997-07-11	VYDAJ	PREVOD NA UCET	33	37548	 	KL	51874184
294824	1006	1997-08-11	VYDAJ	PREVOD NA UCET	33	40235	 	KL	51874184
294825	1006	1997-09-11	VYDAJ	PREVOD NA UCET	33	41331	 	KL	51874184
294826	1006	1997-10-11	VYDAJ	PREVOD NA UCET	33	36818	 	KL	51874184
294827	1006	1997-11-11	VYDAJ	PREVOD NA UCET	33	37398	 	KL	51874184
294828	1006	1997-12-11	VYDAJ	PREVOD NA UCET	33	40205	 	KL	51874184
294829	1006	1998-01-11	VYDAJ	PREVOD NA UCET	33	38535	 	KL	51874184
294830	1006	1998-02-11	VYDAJ	PREVOD NA UCET	33	39507	 	KL	51874184
294831	1006	1998-03-11	VYDAJ	PREVOD NA UCET	33	44307	 	KL	51874184
294832	1006	1998-04-11	VYDAJ	PREVOD NA UCET	33	47624	 	KL	51874184
294833	1006	1998-05-11	VYDAJ	PREVOD NA UCET	33	50273	 	KL	51874184
294834	1006	1998-06-11	VYDAJ	PREVOD NA UCET	33	50822	 	KL	51874184
294835	1006	1998-07-11	VYDAJ	PREVOD NA UCET	33	54989	 	KL	51874184
294836	1006	1998-08-11	VYDAJ	PREVOD NA UCET	33	56939	 	KL	51874184
294837	1006	1998-09-11	VYDAJ	PREVOD NA UCET	33	52672	 	KL	51874184
294838	1006	1998-10-11	VYDAJ	PREVOD NA UCET	33	47809	 	KL	51874184
294839	1006	1998-11-11	VYDAJ	PREVOD NA UCET	33	47131	 	KL	51874184
294840	1006	1998-12-11	VYDAJ	PREVOD NA UCET	33	50006	 	KL	51874184
294842	1006	1994-06-02	VYDAJ	VYBER	3090	27415	\N	\N	\N
294843	1006	1995-06-08	VYDAJ	VYBER	8190	29092	\N	\N	\N
294844	1006	1996-06-14	VYDAJ	VYBER	2250	29960	\N	\N	\N
294845	1006	1997-06-17	VYDAJ	VYBER	5730	36918	\N	\N	\N
294846	1006	1998-06-12	VYDAJ	VYBER	2880	53542	\N	\N	\N
294848	1006	1994-01-06	VYDAJ	VYBER	720	23440	\N	\N	\N
294849	1006	1995-01-12	VYDAJ	VYBER	2430	29471	\N	\N	\N
294850	1006	1996-01-25	VYDAJ	VYBER	390	30473	\N	\N	\N
294851	1006	1997-01-02	VYDAJ	VYBER	1530	31772	\N	\N	\N
294852	1006	1998-01-30	VYDAJ	VYBER	1320	38115	\N	\N	\N
294853	1006	1993-12-12	VYDAJ	VYBER	720	27748	\N	\N	\N
294854	1006	1994-12-06	VYDAJ	VYBER	600	29126	\N	\N	\N
294855	1006	1995-12-07	VYDAJ	VYBER	180	32317	\N	\N	\N
294856	1006	1996-12-24	VYDAJ	VYBER	360	33173	\N	\N	\N
294857	1006	1997-12-27	VYDAJ	VYBER	450	37655	\N	\N	\N
294858	1006	1998-12-11	VYDAJ	VYBER	450	50039	\N	\N	\N
294865	1006	1994-01-06	VYDAJ	VYBER	390	23050	\N	\N	\N
294866	1006	1994-01-17	VYDAJ	VYBER	510	23666	\N	\N	\N
294867	1006	1994-01-26	VYDAJ	VYBER	840	22826	\N	\N	\N
294868	1006	1994-01-28	VYDAJ	VYBER	210	22256	\N	\N	\N
294869	1006	1994-01-17	VYDAJ	VYBER	510	24176	\N	\N	\N
294870	1006	1994-01-28	VYDAJ	VYBER	360	22466	\N	\N	\N
294871	1006	1995-01-07	VYDAJ	VYBER	210	30475	\N	\N	\N
294872	1006	1995-01-08	VYDAJ	VYBER	210	34002	\N	\N	\N
294873	1006	1995-01-22	VYDAJ	VYBER	330	29141	\N	\N	\N
294874	1006	1995-01-25	VYDAJ	VYBER	240	28181	\N	\N	\N
294875	1006	1995-01-24	VYDAJ	VYBER	720	28421	\N	\N	\N
294876	1006	1995-01-30	VYDAJ	VYBER	300	30201	\N	\N	\N
294877	1006	1996-01-15	VYDAJ	VYBER	240	31303	\N	\N	\N
294878	1006	1996-01-04	VYDAJ	VYBER	270	32607	\N	\N	\N
294879	1006	1996-01-27	VYDAJ	VYBER	660	29213	\N	\N	\N
294880	1006	1996-01-13	VYDAJ	VYBER	840	33013	\N	\N	\N
294881	1006	1996-01-27	VYDAJ	VYBER	600	29873	\N	\N	\N
294882	1006	1996-01-24	VYDAJ	VYBER	660	30863	\N	\N	\N
294883	1006	1997-01-15	VYDAJ	VYBER	660	30798	\N	\N	\N
294884	1006	1997-01-06	VYDAJ	VYBER	750	30212	\N	\N	\N
294885	1006	1997-01-28	VYDAJ	VYBER	570	29498	\N	\N	\N
294886	1006	1997-01-04	VYDAJ	VYBER	420	31352	\N	\N	\N
294887	1006	1997-01-18	VYDAJ	VYBER	330	30468	\N	\N	\N
294888	1006	1997-01-14	VYDAJ	VYBER	390	31458	\N	\N	\N
294889	1006	1998-01-24	VYDAJ	VYBER	720	39615	\N	\N	\N
294890	1006	1998-01-12	VYDAJ	VYBER	840	37065	\N	\N	\N
294891	1006	1998-01-26	VYDAJ	VYBER	180	39435	\N	\N	\N
294892	1006	1998-01-22	VYDAJ	VYBER	240	40335	\N	\N	\N
294893	1006	1998-01-18	VYDAJ	VYBER	390	40575	\N	\N	\N
294894	1006	1998-01-11	VYDAJ	VYBER	630	37905	\N	\N	\N
294895	1006	1993-09-20	VYDAJ	VYBER	1380	25117	\N	\N	\N
294896	1006	1993-09-30	VYDAJ	VYBER	480	24746	\N	\N	\N
294899	1006	1994-03-13	VYDAJ	VYBER	690	24713	\N	\N	\N
294900	1006	1994-07-29	VYDAJ	VYBER	1290	26611	\N	\N	\N
294901	1006	1994-02-15	VYDAJ	VYBER	1410	21779	\N	\N	\N
294902	1006	1995-09-07	VYDAJ	VYBER	1470	32038	\N	\N	\N
294903	1006	1995-04-25	VYDAJ	VYBER	720	33808	\N	\N	\N
294904	1006	1995-01-30	VYDAJ	VYBER	180	30501	\N	\N	\N
294905	1006	1995-02-03	VYDAJ	VYBER	210	30102	\N	\N	\N
294906	1006	1995-05-14	VYDAJ	VYBER	1110	32373	\N	\N	\N
294907	1006	1995-04-12	VYDAJ	VYBER	1440	34528	\N	\N	\N
294908	1006	1995-02-24	VYDAJ	VYBER	510	30838	\N	\N	\N
294909	1006	1995-12-03	VYDAJ	VYBER	150	32887	\N	\N	\N
294910	1006	1996-01-23	VYDAJ	VYBER	1380	29923	\N	\N	\N
294911	1006	1996-01-13	VYDAJ	VYBER	1470	31543	\N	\N	\N
294912	1006	1996-11-02	VYDAJ	VYBER	810	33113	\N	\N	\N
294913	1006	1997-11-25	VYDAJ	VYBER	180	38818	\N	\N	\N
294914	1006	1997-07-01	VYDAJ	VYBER	750	36302	\N	\N	\N
294915	1006	1997-12-30	VYDAJ	VYBER	510	37145	\N	\N	\N
294916	1006	1997-06-16	VYDAJ	VYBER	510	35348	\N	\N	\N
294917	1006	1998-09-19	VYDAJ	VYBER	660	51262	\N	\N	\N
294918	1006	1998-04-14	VYDAJ	VYBER	1380	48844	\N	\N	\N
294919	1006	1998-07-22	VYDAJ	VYBER	1410	55479	\N	\N	\N
294920	1006	1998-11-05	VYDAJ	VYBER	810	46795	\N	\N	\N
294921	1006	1998-06-10	VYDAJ	VYBER	1200	50855	\N	\N	\N
294922	1006	1998-09-10	VYDAJ	VYBER	930	54713	\N	\N	\N
294923	1006	1998-09-18	VYDAJ	VYBER	750	51922	\N	\N	\N
294924	1006	1998-05-23	VYDAJ	VYBER	690	50583	\N	\N	\N
294932	1006	1993-07-31	VYDAJ	VYBER	15	26506	SLUZBY	\N	\N
294933	1006	1993-08-31	VYDAJ	VYBER	15	27551	SLUZBY	\N	\N
294934	1006	1993-09-30	VYDAJ	VYBER	15	24732	SLUZBY	\N	\N
294935	1006	1993-10-31	VYDAJ	VYBER	15	28178	SLUZBY	\N	\N
294936	1006	1993-11-30	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
294937	1006	1993-12-31	VYDAJ	VYBER	15	27850	SLUZBY	\N	\N
294938	1006	1994-01-31	VYDAJ	VYBER	15	22343	SLUZBY	\N	\N
294939	1006	1994-02-28	VYDAJ	VYBER	15	21857	SLUZBY	\N	\N
294940	1006	1994-03-31	VYDAJ	VYBER	15	24801	SLUZBY	\N	\N
294941	1006	1994-04-30	VYDAJ	VYBER	15	28448	SLUZBY	\N	\N
294942	1006	1994-05-31	VYDAJ	VYBER	15	30505	SLUZBY	\N	\N
294943	1006	1994-06-30	VYDAJ	VYBER	15	25955	SLUZBY	\N	\N
294944	1006	1994-07-31	VYDAJ	VYBER	15	26711	SLUZBY	\N	\N
294945	1006	1994-08-31	VYDAJ	VYBER	15	26552	SLUZBY	\N	\N
294946	1006	1994-09-30	VYDAJ	VYBER	15	27999	SLUZBY	\N	\N
294947	1006	1994-10-31	VYDAJ	VYBER	15	28860	SLUZBY	\N	\N
294948	1006	1994-11-30	VYDAJ	VYBER	15	30216	SLUZBY	\N	\N
294949	1006	1994-12-31	VYDAJ	VYBER	15	31075	SLUZBY	\N	\N
294950	1006	1995-01-31	VYDAJ	VYBER	15	30312	SLUZBY	\N	\N
294951	1006	1995-02-28	VYDAJ	VYBER	15	32052	SLUZBY	\N	\N
294952	1006	1995-03-31	VYDAJ	VYBER	15	34722	SLUZBY	\N	\N
294953	1006	1995-04-30	VYDAJ	VYBER	15	32237	SLUZBY	\N	\N
294954	1006	1995-05-31	VYDAJ	VYBER	15	33995	SLUZBY	\N	\N
294955	1006	1995-06-30	VYDAJ	VYBER	15	31460	SLUZBY	\N	\N
294956	1006	1995-07-31	VYDAJ	VYBER	15	32826	SLUZBY	\N	\N
294957	1006	1995-08-31	VYDAJ	VYBER	15	33898	SLUZBY	\N	\N
294958	1006	1995-09-30	VYDAJ	VYBER	15	31398	SLUZBY	\N	\N
294959	1006	1995-10-31	VYDAJ	VYBER	15	33364	SLUZBY	\N	\N
294960	1006	1995-11-30	VYDAJ	VYBER	15	33037	SLUZBY	\N	\N
294961	1006	1995-12-31	VYDAJ	VYBER	15	32877	SLUZBY	\N	\N
294962	1006	1996-01-31	VYDAJ	VYBER	15	29330	SLUZBY	\N	\N
294963	1006	1996-02-29	VYDAJ	VYBER	15	29486	SLUZBY	\N	\N
294964	1006	1996-03-31	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
294965	1006	1996-04-30	VYDAJ	VYBER	15	30503	SLUZBY	\N	\N
294966	1006	1996-05-31	VYDAJ	VYBER	15	30964	SLUZBY	\N	\N
294967	1006	1996-06-30	VYDAJ	VYBER	15	30573	SLUZBY	\N	\N
294968	1006	1996-07-31	VYDAJ	VYBER	15	31334	SLUZBY	\N	\N
294969	1006	1996-08-31	VYDAJ	VYBER	15	29795	SLUZBY	\N	\N
294970	1006	1996-09-30	VYDAJ	VYBER	15	31955	SLUZBY	\N	\N
294971	1006	1996-10-31	VYDAJ	VYBER	15	33923	SLUZBY	\N	\N
294972	1006	1996-11-30	VYDAJ	VYBER	15	35187	SLUZBY	\N	\N
294973	1006	1996-12-31	VYDAJ	VYBER	15	33302	SLUZBY	\N	\N
294974	1006	1997-01-31	VYDAJ	VYBER	15	29611	SLUZBY	\N	\N
294975	1006	1997-02-28	VYDAJ	VYBER	15	33172	SLUZBY	\N	\N
294976	1006	1997-03-31	VYDAJ	VYBER	15	35847	SLUZBY	\N	\N
294977	1006	1997-04-30	VYDAJ	VYBER	15	37430	SLUZBY	\N	\N
294978	1006	1997-05-31	VYDAJ	VYBER	15	34612	SLUZBY	\N	\N
294979	1006	1997-06-30	VYDAJ	VYBER	15	37052	SLUZBY	\N	\N
294980	1006	1997-07-31	VYDAJ	VYBER	15	38989	SLUZBY	\N	\N
294981	1006	1997-08-31	VYDAJ	VYBER	15	40085	SLUZBY	\N	\N
294982	1006	1997-09-30	VYDAJ	VYBER	15	35572	SLUZBY	\N	\N
294983	1006	1997-10-31	VYDAJ	VYBER	15	36152	SLUZBY	\N	\N
294984	1006	1997-11-30	VYDAJ	VYBER	15	38959	SLUZBY	\N	\N
294985	1006	1997-12-31	VYDAJ	VYBER	15	37289	SLUZBY	\N	\N
294986	1006	1998-01-31	VYDAJ	VYBER	15	38261	SLUZBY	\N	\N
294987	1006	1998-02-28	VYDAJ	VYBER	15	43061	SLUZBY	\N	\N
294988	1006	1998-03-31	VYDAJ	VYBER	15	46378	SLUZBY	\N	\N
294989	1006	1998-04-30	VYDAJ	VYBER	15	49027	SLUZBY	\N	\N
294990	1006	1998-05-31	VYDAJ	VYBER	15	50776	SLUZBY	\N	\N
294991	1006	1998-06-30	VYDAJ	VYBER	15	53743	SLUZBY	\N	\N
294992	1006	1998-07-31	VYDAJ	VYBER	15	55693	SLUZBY	\N	\N
294993	1006	1998-08-31	VYDAJ	VYBER	15	53456	SLUZBY	\N	\N
294994	1006	1998-09-30	VYDAJ	VYBER	15	51463	SLUZBY	\N	\N
294995	1006	1998-10-31	VYDAJ	VYBER	15	47995	SLUZBY	\N	\N
294996	1006	1998-11-30	VYDAJ	VYBER	15	47310	SLUZBY	\N	\N
294997	1006	1993-03-10	PRIJEM	VKLAD	11300	16037	\N	\N	\N
294998	1006	1993-04-09	PRIJEM	VKLAD	2000	21821	\N	\N	\N
294999	1006	1993-05-09	VYDAJ	VYBER	2600	23043	\N	\N	\N
295000	1006	1993-06-08	VYDAJ	VYBER	2300	24575	\N	\N	\N
295001	1006	1993-07-08	PRIJEM	VKLAD	100	28513	\N	\N	\N
295002	1006	1993-08-07	VYDAJ	VYBER	300	25816	\N	\N	\N
295003	1006	1993-09-06	VYDAJ	VYBER	2300	24861	\N	\N	\N
295004	1006	1993-10-06	PRIJEM	VKLAD	2100	26442	\N	\N	\N
295005	1006	1993-11-05	VYDAJ	VYBER	2500	25678	\N	\N	\N
295006	1006	1993-12-05	PRIJEM	VKLAD	200	27222	\N	\N	\N
295007	1006	1994-01-04	VYDAJ	VYBER	3300	24550	\N	\N	\N
295008	1006	1994-02-03	VYDAJ	VYBER	400	21943	\N	\N	\N
295009	1006	1994-03-05	PRIJEM	VKLAD	2300	24157	\N	\N	\N
295010	1006	1994-04-04	PRIJEM	VKLAD	2300	27101	\N	\N	\N
295011	1006	1994-05-04	PRIJEM	VKLAD	700	29148	\N	\N	\N
295012	1006	1994-06-03	VYDAJ	VYBER	2800	24615	\N	\N	\N
295013	1006	1994-07-03	PRIJEM	VKLAD	700	26655	\N	\N	\N
295014	1006	1994-08-02	VYDAJ	VYBER	1500	25211	\N	\N	\N
295015	1006	1994-09-01	PRIJEM	VKLAD	100	26652	\N	\N	\N
295016	1006	1994-10-01	PRIJEM	VKLAD	2700	30699	\N	\N	\N
295017	1006	1994-10-31	VYDAJ	VYBER	3200	28875	\N	\N	\N
295018	1006	1994-11-30	VYDAJ	VYBER	100	30116	\N	\N	\N
295019	1006	1994-12-30	PRIJEM	VKLAD	200	30962	\N	\N	\N
295020	1006	1995-01-29	PRIJEM	VKLAD	2500	30681	\N	\N	\N
295021	1006	1995-02-28	PRIJEM	VKLAD	1100	31938	\N	\N	\N
295022	1006	1995-03-30	PRIJEM	VKLAD	1300	34598	\N	\N	\N
295023	1006	1995-04-29	VYDAJ	VYBER	1700	32108	\N	\N	\N
295024	1006	1995-05-29	PRIJEM	VKLAD	1500	33873	\N	\N	\N
295025	1006	1995-06-28	PRIJEM	VKLAD	4300	31351	\N	\N	\N
295026	1006	1995-08-27	VYDAJ	VYBER	300	33772	\N	\N	\N
295027	1006	1995-09-26	VYDAJ	VYBER	2400	31274	\N	\N	\N
295028	1006	1995-10-26	PRIJEM	VKLAD	600	33244	\N	\N	\N
295029	1006	1995-11-25	VYDAJ	VYBER	1700	32910	\N	\N	\N
295030	1006	1995-12-25	VYDAJ	VYBER	1200	32753	\N	\N	\N
295031	1006	1996-01-24	PRIJEM	VKLAD	1600	31523	\N	\N	\N
295032	1006	1996-02-23	VYDAJ	VYBER	1200	29376	\N	\N	\N
295033	1006	1996-03-24	VYDAJ	VYBER	400	30332	\N	\N	\N
295034	1006	1996-04-23	VYDAJ	VYBER	1300	30389	\N	\N	\N
295035	1006	1996-05-23	VYDAJ	VYBER	900	30849	\N	\N	\N
295036	1006	1996-06-22	PRIJEM	VKLAD	500	30460	\N	\N	\N
295037	1006	1996-07-22	VYDAJ	VYBER	600	31219	\N	\N	\N
295038	1006	1996-08-21	VYDAJ	VYBER	2900	29680	\N	\N	\N
295039	1006	1996-09-20	PRIJEM	VKLAD	800	31841	\N	\N	\N
295040	1006	1996-10-20	PRIJEM	VKLAD	600	33801	\N	\N	\N
295041	1006	1996-11-19	PRIJEM	VKLAD	700	35059	\N	\N	\N
295042	1006	1996-12-19	VYDAJ	VYBER	2900	33533	\N	\N	\N
295043	1006	1997-01-18	VYDAJ	VYBER	400	30068	\N	\N	\N
295044	1006	1997-02-17	PRIJEM	VKLAD	2200	33057	\N	\N	\N
295045	1006	1997-03-19	PRIJEM	VKLAD	1300	35718	\N	\N	\N
295046	1006	1997-04-18	PRIJEM	VKLAD	200	37293	\N	\N	\N
295047	1006	1997-05-18	VYDAJ	VYBER	4200	34476	\N	\N	\N
295048	1006	1997-06-17	PRIJEM	VKLAD	7300	42648	\N	\N	\N
295049	1006	1997-07-17	PRIJEM	VKLAD	1300	38848	\N	\N	\N
295050	1006	1997-08-16	VYDAJ	VYBER	300	39935	\N	\N	\N
295051	1006	1997-09-15	VYDAJ	VYBER	5900	35431	\N	\N	\N
295052	1006	1997-10-15	VYDAJ	VYBER	800	36018	\N	\N	\N
295053	1006	1997-11-14	PRIJEM	VKLAD	1600	38998	\N	\N	\N
295054	1006	1997-12-14	VYDAJ	VYBER	2100	38105	\N	\N	\N
295055	1006	1998-01-13	PRIJEM	VKLAD	3900	40965	\N	\N	\N
295056	1006	1998-02-12	PRIJEM	VKLAD	3400	42907	\N	\N	\N
295057	1006	1998-03-14	PRIJEM	VKLAD	1900	46207	\N	\N	\N
295058	1006	1998-04-13	PRIJEM	VKLAD	2600	50224	\N	\N	\N
295059	1006	1998-05-13	PRIJEM	VKLAD	1000	51273	\N	\N	\N
295060	1006	1998-06-12	PRIJEM	VKLAD	5600	56422	\N	\N	\N
295061	1006	1998-07-12	PRIJEM	VKLAD	1900	56889	\N	\N	\N
295062	1006	1998-08-11	VYDAJ	VYBER	3700	53239	\N	\N	\N
295063	1006	1998-09-10	VYDAJ	VYBER	1100	55643	\N	\N	\N
295064	1006	1998-10-10	VYDAJ	VYBER	4900	49850	\N	\N	\N
295065	1006	1998-11-09	VYDAJ	VYBER	1300	49172	\N	\N	\N
295066	1006	1998-12-09	PRIJEM	VKLAD	1900	52497	\N	\N	\N
295137	1007	1996-06-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
295138	1007	1996-10-29	PRIJEM	VKLAD	20879	52177	\N	\N	\N
295139	1007	1996-09-07	PRIJEM	VKLAD	39974	59459	\N	\N	\N
295140	1007	1997-09-18	PRIJEM	VKLAD	33241	59673	\N	\N	\N
295141	1007	1997-05-28	PRIJEM	VKLAD	21411	41417	\N	\N	\N
295142	1007	1998-10-22	PRIJEM	VKLAD	41798	101066	\N	\N	\N
295143	1007	1998-10-03	PRIJEM	VKLAD	46981	104968	\N	\N	\N
295150	1007	1996-07-13	PRIJEM	VKLAD	1400	2400	\N	\N	\N
295151	1007	1996-08-13	PRIJEM	VKLAD	1400	17314	\N	\N	\N
295152	1007	1996-09-16	PRIJEM	VKLAD	1400	60859	\N	\N	\N
295153	1007	1996-10-14	PRIJEM	VKLAD	1400	41348	\N	\N	\N
295154	1007	1996-11-13	PRIJEM	VKLAD	1400	51882	\N	\N	\N
295155	1007	1996-12-17	PRIJEM	VKLAD	1400	39625	\N	\N	\N
295156	1007	1997-01-17	PRIJEM	VKLAD	1400	27467	\N	\N	\N
295157	1007	1997-02-14	PRIJEM	VKLAD	1400	25470	\N	\N	\N
295158	1007	1997-03-14	PRIJEM	VKLAD	1400	21956	\N	\N	\N
295159	1007	1997-04-13	PRIJEM	VKLAD	1400	21832	\N	\N	\N
295160	1007	1997-05-16	PRIJEM	VKLAD	1400	22906	\N	\N	\N
295161	1007	1997-06-16	PRIJEM	VKLAD	1400	40904	\N	\N	\N
295162	1007	1997-07-15	PRIJEM	VKLAD	1400	27591	\N	\N	\N
295163	1007	1997-08-14	PRIJEM	VKLAD	1400	27190	\N	\N	\N
295164	1007	1997-09-13	PRIJEM	VKLAD	1400	25132	\N	\N	\N
295165	1007	1997-10-14	PRIJEM	VKLAD	1400	46401	\N	\N	\N
295166	1007	1997-11-16	PRIJEM	VKLAD	1400	39064	\N	\N	\N
295167	1007	1997-12-15	PRIJEM	VKLAD	1400	37706	\N	\N	\N
295168	1007	1998-01-17	PRIJEM	VKLAD	1400	32849	\N	\N	\N
295169	1007	1998-02-17	PRIJEM	VKLAD	1400	30370	\N	\N	\N
295170	1007	1998-03-13	PRIJEM	VKLAD	1400	36789	\N	\N	\N
295171	1007	1998-04-14	PRIJEM	VKLAD	1400	40928	\N	\N	\N
295172	1007	1998-05-13	PRIJEM	VKLAD	1400	41078	\N	\N	\N
295173	1007	1998-06-14	PRIJEM	VKLAD	1400	15529	\N	\N	\N
295174	1007	1998-07-13	PRIJEM	VKLAD	1400	35055	\N	\N	\N
295175	1007	1998-08-13	PRIJEM	VKLAD	1400	43597	\N	\N	\N
295176	1007	1998-09-14	PRIJEM	VKLAD	1400	51278	\N	\N	\N
295177	1007	1998-10-15	PRIJEM	VKLAD	1400	53068	\N	\N	\N
295178	1007	1998-11-14	PRIJEM	VKLAD	1400	102826	\N	\N	\N
295179	1007	1998-12-17	PRIJEM	VKLAD	1400	79594	\N	\N	\N
295186	1007	1996-07-18	PRIJEM	VKLAD	1300	3700	\N	\N	\N
295187	1007	1996-08-18	PRIJEM	VKLAD	1300	18614	\N	\N	\N
295188	1007	1996-09-18	PRIJEM	VKLAD	1300	62159	\N	\N	\N
295189	1007	1996-10-18	PRIJEM	VKLAD	1300	42648	\N	\N	\N
295190	1007	1996-11-18	PRIJEM	VKLAD	1300	53182	\N	\N	\N
295191	1007	1996-12-18	PRIJEM	VKLAD	1300	40925	\N	\N	\N
295192	1007	1997-01-18	PRIJEM	VKLAD	1300	28767	\N	\N	\N
295193	1007	1997-02-18	PRIJEM	VKLAD	1300	26770	\N	\N	\N
295194	1007	1997-03-18	PRIJEM	VKLAD	1300	23256	\N	\N	\N
295195	1007	1997-04-18	PRIJEM	VKLAD	1300	23132	\N	\N	\N
295196	1007	1997-05-18	PRIJEM	VKLAD	1300	24206	\N	\N	\N
295197	1007	1997-06-18	PRIJEM	VKLAD	1300	35304	\N	\N	\N
295198	1007	1997-07-18	PRIJEM	VKLAD	1300	28891	\N	\N	\N
295199	1007	1997-08-18	PRIJEM	VKLAD	1300	28490	\N	\N	\N
295200	1007	1997-09-18	PRIJEM	VKLAD	1300	26432	\N	\N	\N
295201	1007	1997-10-18	PRIJEM	VKLAD	1300	47701	\N	\N	\N
295202	1007	1997-11-18	PRIJEM	VKLAD	1300	40364	\N	\N	\N
295203	1007	1997-12-18	PRIJEM	VKLAD	1300	39006	\N	\N	\N
295204	1007	1998-01-18	PRIJEM	VKLAD	1300	34149	\N	\N	\N
295205	1007	1998-02-18	PRIJEM	VKLAD	1300	31670	\N	\N	\N
295206	1007	1998-03-18	PRIJEM	VKLAD	1300	38089	\N	\N	\N
295207	1007	1998-04-18	PRIJEM	VKLAD	1300	42228	\N	\N	\N
295208	1007	1998-05-18	PRIJEM	VKLAD	1300	42378	\N	\N	\N
295209	1007	1998-06-18	PRIJEM	VKLAD	1300	16829	\N	\N	\N
295210	1007	1998-07-18	PRIJEM	VKLAD	1300	43955	\N	\N	\N
295211	1007	1998-08-18	PRIJEM	VKLAD	1300	50597	\N	\N	\N
295212	1007	1998-09-18	PRIJEM	VKLAD	1300	57778	\N	\N	\N
295213	1007	1998-10-18	PRIJEM	VKLAD	1300	59268	\N	\N	\N
295214	1007	1998-11-18	PRIJEM	VKLAD	1300	84326	\N	\N	\N
295215	1007	1998-12-18	PRIJEM	VKLAD	1300	78994	\N	\N	\N
295217	1007	1997-06-17	VYDAJ	VYBER	6900	34004	\N	\N	\N
295218	1007	1998-06-03	VYDAJ	VYBER	25600	14129	\N	\N	\N
295220	1007	1997-01-10	VYDAJ	VYBER	3300	27517	\N	\N	\N
295221	1007	1998-01-11	VYDAJ	VYBER	3200	31449	\N	\N	\N
295231	1007	1997-01-27	VYDAJ	VYBER	550	24767	\N	\N	\N
295232	1007	1997-01-29	VYDAJ	VYBER	800	23967	\N	\N	\N
295233	1007	1997-01-19	VYDAJ	VYBER	650	28117	\N	\N	\N
295234	1007	1997-01-02	VYDAJ	VYBER	1100	32267	\N	\N	\N
295235	1007	1997-01-11	VYDAJ	VYBER	1450	26067	\N	\N	\N
295236	1007	1997-01-08	VYDAJ	VYBER	1450	30817	\N	\N	\N
295237	1007	1998-01-07	VYDAJ	VYBER	900	35649	\N	\N	\N
295238	1007	1998-01-29	VYDAJ	VYBER	1150	29699	\N	\N	\N
295239	1007	1998-01-03	VYDAJ	VYBER	950	36549	\N	\N	\N
295240	1007	1998-01-09	VYDAJ	VYBER	1000	34649	\N	\N	\N
295241	1007	1998-01-02	VYDAJ	VYBER	350	37499	\N	\N	\N
295242	1007	1998-01-01	VYDAJ	VYBER	500	37849	\N	\N	\N
295243	1007	1996-09-23	VYDAJ	VYBER	1250	60909	\N	\N	\N
295244	1007	1996-11-28	VYDAJ	VYBER	750	38032	\N	\N	\N
295246	1007	1996-11-06	VYDAJ	VYBER	1850	50482	\N	\N	\N
295248	1007	1996-10-22	VYDAJ	VYBER	2450	40198	\N	\N	\N
295250	1007	1997-06-02	VYDAJ	VYBER	2000	39504	\N	\N	\N
295251	1007	1997-12-05	VYDAJ	VYBER	1000	36306	\N	\N	\N
295252	1007	1997-08-23	VYDAJ	VYBER	1450	23640	\N	\N	\N
295253	1007	1997-07-07	VYDAJ	VYBER	1550	26191	\N	\N	\N
295254	1007	1997-03-07	VYDAJ	VYBER	1400	20556	\N	\N	\N
295255	1007	1998-12-09	VYDAJ	VYBER KARTOU	700	83994	\N	\N	0
295257	1007	1998-12-17	VYDAJ	VYBER KARTOU	1900	77694	\N	\N	0
295258	1007	1998-02-01	VYDAJ	VYBER	850	28970	\N	\N	\N
295259	1007	1998-08-08	VYDAJ	VYBER KARTOU	1900	42197	\N	\N	0
295260	1007	1998-08-28	VYDAJ	VYBER KARTOU	900	49697	\N	\N	0
295270	1007	1996-09-30	VYDAJ	VYBER	15	39948	SLUZBY	\N	\N
295271	1007	1996-10-31	VYDAJ	VYBER	15	52332	SLUZBY	\N	\N
295272	1007	1996-11-30	VYDAJ	VYBER	15	38225	SLUZBY	\N	\N
295273	1007	1996-12-31	VYDAJ	VYBER	15	33367	SLUZBY	\N	\N
295274	1007	1997-01-31	VYDAJ	VYBER	15	24070	SLUZBY	\N	\N
295275	1007	1997-02-28	VYDAJ	VYBER	15	21956	SLUZBY	\N	\N
295276	1007	1997-03-31	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
295277	1007	1997-04-30	VYDAJ	VYBER	15	21506	SLUZBY	\N	\N
295278	1007	1997-05-31	VYDAJ	VYBER	15	41504	SLUZBY	\N	\N
295279	1007	1997-06-30	VYDAJ	VYBER	15	27741	SLUZBY	\N	\N
295280	1007	1997-07-31	VYDAJ	VYBER	15	25790	SLUZBY	\N	\N
295281	1007	1997-08-31	VYDAJ	VYBER	15	23732	SLUZBY	\N	\N
295282	1007	1997-09-30	VYDAJ	VYBER	15	45001	SLUZBY	\N	\N
295283	1007	1997-10-31	VYDAJ	VYBER	15	37664	SLUZBY	\N	\N
295284	1007	1997-11-30	VYDAJ	VYBER	15	37306	SLUZBY	\N	\N
295285	1007	1997-12-31	VYDAJ	VYBER	15	38349	SLUZBY	\N	\N
295286	1007	1998-01-31	VYDAJ	VYBER	15	29820	SLUZBY	\N	\N
295287	1007	1998-02-28	VYDAJ	VYBER	15	35389	SLUZBY	\N	\N
295288	1007	1998-03-31	VYDAJ	VYBER	15	39528	SLUZBY	\N	\N
295289	1007	1998-04-30	VYDAJ	VYBER	15	39678	SLUZBY	\N	\N
295290	1007	1998-05-31	VYDAJ	VYBER	15	39729	SLUZBY	\N	\N
295291	1007	1998-06-30	VYDAJ	VYBER	15	33655	SLUZBY	\N	\N
295292	1007	1998-07-31	VYDAJ	VYBER	15	44097	SLUZBY	\N	\N
295293	1007	1998-08-31	VYDAJ	VYBER	15	49878	SLUZBY	\N	\N
295294	1007	1998-09-30	VYDAJ	VYBER	15	57987	SLUZBY	\N	\N
295295	1007	1998-10-31	VYDAJ	VYBER	15	101426	SLUZBY	\N	\N
295296	1007	1998-11-30	VYDAJ	VYBER	15	84694	SLUZBY	\N	\N
295297	1007	1996-07-28	PRIJEM	VKLAD	12200	15900	\N	\N	\N
295298	1007	1996-08-27	PRIJEM	VKLAD	800	19414	\N	\N	\N
295299	1007	1996-09-26	VYDAJ	VYBER	21100	39809	\N	\N	\N
295300	1007	1996-10-26	VYDAJ	VYBER	8900	31298	\N	\N	\N
295301	1007	1996-11-25	VYDAJ	VYBER	14400	38782	\N	\N	\N
295302	1007	1996-12-25	VYDAJ	VYBER	7700	33225	\N	\N	\N
295303	1007	1997-01-24	VYDAJ	VYBER	2800	25317	\N	\N	\N
295304	1007	1997-02-23	VYDAJ	VYBER	4900	21870	\N	\N	\N
295305	1007	1997-03-25	VYDAJ	VYBER	2900	20356	\N	\N	\N
295306	1007	1997-04-24	VYDAJ	VYBER	1700	21432	\N	\N	\N
295307	1007	1997-05-24	VYDAJ	VYBER	4200	20006	\N	\N	\N
295308	1007	1997-06-23	VYDAJ	VYBER	7700	27604	\N	\N	\N
295309	1007	1997-07-23	VYDAJ	VYBER	3200	25691	\N	\N	\N
295310	1007	1997-08-22	VYDAJ	VYBER	3400	25090	\N	\N	\N
295311	1007	1997-09-21	VYDAJ	VYBER	14800	44873	\N	\N	\N
295312	1007	1997-10-21	VYDAJ	VYBER	10200	37501	\N	\N	\N
295313	1007	1997-11-20	VYDAJ	VYBER	3200	37164	\N	\N	\N
295314	1007	1997-12-20	VYDAJ	VYBER	800	38206	\N	\N	\N
295315	1007	1998-01-19	VYDAJ	VYBER	3300	30849	\N	\N	\N
295316	1007	1998-02-18	PRIJEM	VKLAD	3600	35270	\N	\N	\N
295317	1007	1998-03-20	PRIJEM	VKLAD	1300	39389	\N	\N	\N
295318	1007	1998-04-19	VYDAJ	VYBER KARTOU	2700	39528	\N	\N	0
295319	1007	1998-05-19	VYDAJ	VYBER KARTOU	2800	39578	\N	\N	0
295320	1007	1998-06-18	PRIJEM	VKLAD	16700	33529	\N	\N	\N
295321	1007	1998-07-18	PRIJEM	VKLAD	7600	42655	\N	\N	\N
295322	1007	1998-08-17	PRIJEM	VKLAD	5700	49297	\N	\N	\N
295323	1007	1998-09-16	PRIJEM	VKLAD	5200	56478	\N	\N	\N
295324	1007	1998-10-03	VYDAJ	VYBER	53300	51668	\N	\N	\N
295325	1007	1998-10-16	PRIJEM	VKLAD	4900	57968	\N	\N	\N
295326	1007	1998-11-15	VYDAJ	VYBER	19800	83026	\N	\N	\N
295327	1007	1998-12-15	VYDAJ	VYBER	5800	78194	\N	\N	\N
295358	1008	1996-10-05	PRIJEM	VKLAD	700	700	\N	\N	\N
295368	1008	1996-10-14	PRIJEM	PREVOD Z UCTU	5902	6602	DUCHOD	KL	37875920
295369	1008	1996-11-14	PRIJEM	PREVOD Z UCTU	5902	12520	DUCHOD	KL	37875920
295370	1008	1996-12-14	PRIJEM	PREVOD Z UCTU	5902	18450	DUCHOD	KL	37875920
295371	1008	1997-01-14	PRIJEM	PREVOD Z UCTU	5902	24379	DUCHOD	KL	37875920
295372	1008	1997-02-14	PRIJEM	PREVOD Z UCTU	5902	30309	DUCHOD	KL	37875920
295373	1008	1997-03-14	PRIJEM	PREVOD Z UCTU	5902	33579	DUCHOD	KL	37875920
295374	1008	1997-04-14	PRIJEM	PREVOD Z UCTU	5902	36899	DUCHOD	KL	37875920
295375	1008	1997-05-14	PRIJEM	PREVOD Z UCTU	5902	37132	DUCHOD	KL	37875920
295376	1008	1997-06-14	PRIJEM	PREVOD Z UCTU	5902	28278	DUCHOD	KL	37875920
295377	1008	1997-07-14	PRIJEM	PREVOD Z UCTU	5902	28066	DUCHOD	KL	37875920
295378	1008	1997-08-14	PRIJEM	PREVOD Z UCTU	5902	31375	DUCHOD	KL	37875920
295379	1008	1997-09-14	PRIJEM	PREVOD Z UCTU	5902	34691	DUCHOD	KL	37875920
295380	1008	1997-10-14	PRIJEM	PREVOD Z UCTU	5902	35415	DUCHOD	KL	37875920
295381	1008	1997-11-14	PRIJEM	PREVOD Z UCTU	5902	33248	DUCHOD	KL	37875920
295382	1008	1997-12-14	PRIJEM	PREVOD Z UCTU	5902	32035	DUCHOD	KL	37875920
295383	1008	1998-01-14	PRIJEM	PREVOD Z UCTU	5902	32670	DUCHOD	KL	37875920
295384	1008	1998-02-14	PRIJEM	PREVOD Z UCTU	5902	30423	DUCHOD	KL	37875920
295385	1008	1998-03-14	PRIJEM	PREVOD Z UCTU	5902	28127	DUCHOD	KL	37875920
295386	1008	1998-04-14	PRIJEM	PREVOD Z UCTU	5902	27428	DUCHOD	KL	37875920
295387	1008	1998-05-14	PRIJEM	PREVOD Z UCTU	5902	23204	DUCHOD	KL	37875920
295388	1008	1998-06-14	PRIJEM	PREVOD Z UCTU	5902	26388	DUCHOD	KL	37875920
295389	1008	1998-07-14	PRIJEM	PREVOD Z UCTU	5902	28582	DUCHOD	KL	37875920
295390	1008	1998-08-14	PRIJEM	PREVOD Z UCTU	5902	26381	DUCHOD	KL	37875920
295391	1008	1998-09-14	PRIJEM	PREVOD Z UCTU	5902	23023	DUCHOD	KL	37875920
295392	1008	1998-10-14	PRIJEM	PREVOD Z UCTU	5902	19692	DUCHOD	KL	37875920
295393	1008	1998-11-14	PRIJEM	PREVOD Z UCTU	5902	22960	DUCHOD	KL	37875920
295394	1008	1998-12-14	PRIJEM	PREVOD Z UCTU	5902	22014	DUCHOD	KL	37875920
295408	1008	1997-02-14	VYDAJ	PREVOD NA UCET	2691	27618	SIPO	KL	54770183
295409	1008	1997-03-14	VYDAJ	PREVOD NA UCET	2691	30888	SIPO	KL	54770183
295410	1008	1997-04-14	VYDAJ	PREVOD NA UCET	2691	34208	SIPO	KL	54770183
295411	1008	1997-05-14	VYDAJ	PREVOD NA UCET	2691	34441	SIPO	KL	54770183
295412	1008	1997-06-14	VYDAJ	PREVOD NA UCET	2691	25587	SIPO	KL	54770183
295413	1008	1997-07-14	VYDAJ	PREVOD NA UCET	2691	25375	SIPO	KL	54770183
295414	1008	1997-08-14	VYDAJ	PREVOD NA UCET	2691	28684	SIPO	KL	54770183
295415	1008	1997-09-14	VYDAJ	PREVOD NA UCET	2691	32000	SIPO	KL	54770183
295416	1008	1997-10-14	VYDAJ	PREVOD NA UCET	2691	32724	SIPO	KL	54770183
295417	1008	1997-11-14	VYDAJ	PREVOD NA UCET	2691	30557	SIPO	KL	54770183
295418	1008	1997-12-14	VYDAJ	PREVOD NA UCET	2691	29344	SIPO	KL	54770183
295419	1008	1998-01-14	VYDAJ	PREVOD NA UCET	2691	29979	SIPO	KL	54770183
295420	1008	1998-02-14	VYDAJ	PREVOD NA UCET	2691	27732	SIPO	KL	54770183
295421	1008	1998-03-14	VYDAJ	PREVOD NA UCET	2691	25436	SIPO	KL	54770183
295422	1008	1998-04-14	VYDAJ	PREVOD NA UCET	2691	24737	SIPO	KL	54770183
295423	1008	1998-05-14	VYDAJ	PREVOD NA UCET	2691	20513	SIPO	KL	54770183
295424	1008	1998-06-14	VYDAJ	PREVOD NA UCET	2691	23697	SIPO	KL	54770183
295425	1008	1998-07-14	VYDAJ	PREVOD NA UCET	2691	25891	SIPO	KL	54770183
295426	1008	1998-08-14	VYDAJ	PREVOD NA UCET	2691	23690	SIPO	KL	54770183
295427	1008	1998-09-14	VYDAJ	PREVOD NA UCET	2691	20332	SIPO	KL	54770183
295428	1008	1998-10-14	VYDAJ	PREVOD NA UCET	2691	17001	SIPO	KL	54770183
295429	1008	1998-11-14	VYDAJ	PREVOD NA UCET	2691	20269	SIPO	KL	54770183
295430	1008	1998-12-14	VYDAJ	PREVOD NA UCET	2691	19323	SIPO	KL	54770183
295432	1008	1997-06-04	VYDAJ	VYBER	8700	22376	\N	\N	\N
295436	1008	1998-01-27	VYDAJ	VYBER	1800	26819	\N	\N	\N
295438	1008	1997-12-06	VYDAJ	VYBER	350	26133	\N	\N	\N
295439	1008	1998-12-06	VYDAJ	VYBER	700	19632	\N	\N	\N
295452	1008	1998-01-28	VYDAJ	VYBER	1760	25059	\N	\N	\N
295453	1008	1998-01-05	VYDAJ	VYBER	560	27888	\N	\N	\N
295454	1008	1998-01-21	VYDAJ	VYBER	880	29099	\N	\N	\N
295455	1008	1998-01-24	VYDAJ	VYBER	480	28619	\N	\N	\N
295456	1008	1998-01-30	VYDAJ	VYBER	640	24419	\N	\N	\N
295457	1008	1998-01-09	VYDAJ	VYBER	1120	26768	\N	\N	\N
295465	1008	1997-07-02	VYDAJ	VYBER	3520	22164	\N	\N	\N
295466	1008	1997-11-30	VYDAJ	VYBER	1280	26483	\N	\N	\N
295468	1008	1997-10-07	VYDAJ	VYBER	800	29513	\N	\N	\N
295469	1008	1998-08-19	VYDAJ	VYBER	1840	21850	\N	\N	\N
295470	1008	1998-12-10	VYDAJ	VYBER	3520	16112	\N	\N	\N
295471	1008	1998-05-02	VYDAJ	VYBER	1920	17302	\N	\N	\N
295472	1008	1998-02-22	VYDAJ	VYBER	3600	24132	\N	\N	\N
295487	1008	1997-02-28	VYDAJ	VYBER	15	27677	SLUZBY	\N	\N
295488	1008	1997-03-31	VYDAJ	VYBER	15	30997	SLUZBY	\N	\N
295489	1008	1997-04-30	VYDAJ	VYBER	15	34330	SLUZBY	\N	\N
295490	1008	1997-05-31	VYDAJ	VYBER	15	34576	SLUZBY	\N	\N
295491	1008	1997-06-30	VYDAJ	VYBER	15	25684	SLUZBY	\N	\N
295492	1008	1997-07-31	VYDAJ	VYBER	15	25473	SLUZBY	\N	\N
295493	1008	1997-08-31	VYDAJ	VYBER	15	28789	SLUZBY	\N	\N
295494	1008	1997-09-30	VYDAJ	VYBER	15	30313	SLUZBY	\N	\N
295495	1008	1997-10-31	VYDAJ	VYBER	15	27346	SLUZBY	\N	\N
295496	1008	1997-11-30	VYDAJ	VYBER	15	27763	SLUZBY	\N	\N
295497	1008	1997-12-31	VYDAJ	VYBER	15	28448	SLUZBY	\N	\N
295498	1008	1998-01-31	VYDAJ	VYBER	15	24521	SLUZBY	\N	\N
295499	1008	1998-02-28	VYDAJ	VYBER	15	22225	SLUZBY	\N	\N
295500	1008	1998-03-31	VYDAJ	VYBER	15	21526	SLUZBY	\N	\N
295501	1008	1998-04-30	VYDAJ	VYBER	15	19222	SLUZBY	\N	\N
295502	1008	1998-05-31	VYDAJ	VYBER	15	20486	SLUZBY	\N	\N
295503	1008	1998-06-30	VYDAJ	VYBER	15	22680	SLUZBY	\N	\N
295504	1008	1998-07-31	VYDAJ	VYBER	15	20479	SLUZBY	\N	\N
295505	1008	1998-08-31	VYDAJ	VYBER	15	17121	SLUZBY	\N	\N
295506	1008	1998-09-30	VYDAJ	VYBER	15	13790	SLUZBY	\N	\N
295507	1008	1998-10-31	VYDAJ	VYBER	15	17058	SLUZBY	\N	\N
295508	1008	1998-11-30	VYDAJ	VYBER	15	20332	SLUZBY	\N	\N
295509	1008	1997-05-03	VYDAJ	VYBER	3100	31230	\N	\N	\N
295510	1008	1997-06-02	VYDAJ	VYBER	3500	31076	\N	\N	\N
295511	1008	1997-09-30	VYDAJ	VYBER	1800	30327	\N	\N	\N
295512	1008	1997-10-30	VYDAJ	VYBER	5500	27224	\N	\N	\N
295513	1008	1997-11-29	VYDAJ	VYBER	2900	27657	\N	\N	\N
295514	1008	1997-12-29	VYDAJ	VYBER	1000	28344	\N	\N	\N
295515	1008	1998-02-27	VYDAJ	VYBER	2000	22132	\N	\N	\N
295516	1008	1998-03-29	VYDAJ	VYBER	4000	21436	\N	\N	\N
295517	1008	1998-04-28	VYDAJ	VYBER	5600	19137	\N	\N	\N
295518	1008	1998-05-28	VYDAJ	VYBER	100	20413	\N	\N	\N
295519	1008	1998-06-27	VYDAJ	VYBER	1100	22597	\N	\N	\N
295520	1008	1998-07-27	VYDAJ	VYBER	5500	20391	\N	\N	\N
295521	1008	1998-08-26	VYDAJ	VYBER	4800	17050	\N	\N	\N
295522	1008	1998-09-25	VYDAJ	VYBER	6600	13732	\N	\N	\N
295550	1009	1995-08-01	PRIJEM	VKLAD	400	400	\N	\N	\N
295558	1009	1995-08-11	PRIJEM	PREVOD Z UCTU	44289	44689	\N	KL	67955946
295559	1009	1995-09-11	PRIJEM	PREVOD Z UCTU	44289	78203	\N	KL	67955946
295560	1009	1995-10-11	PRIJEM	PREVOD Z UCTU	44289	97036	\N	KL	67955946
295561	1009	1995-11-11	PRIJEM	PREVOD Z UCTU	44289	107247	\N	KL	67955946
295562	1009	1995-12-11	PRIJEM	PREVOD Z UCTU	66434	136344	\N	KL	67955946
295563	1009	1996-01-11	PRIJEM	PREVOD Z UCTU	44289	68219	\N	KL	67955946
295564	1009	1996-02-11	PRIJEM	PREVOD Z UCTU	44289	70818	\N	KL	67955946
295565	1009	1996-03-11	PRIJEM	PREVOD Z UCTU	44289	73889	\N	KL	67955946
295566	1009	1996-04-11	PRIJEM	PREVOD Z UCTU	44289	77774	\N	KL	67955946
295567	1009	1996-05-11	PRIJEM	PREVOD Z UCTU	44289	88670	\N	KL	67955946
295568	1009	1996-06-11	PRIJEM	PREVOD Z UCTU	66434	113949	\N	KL	67955946
295569	1009	1996-07-11	PRIJEM	PREVOD Z UCTU	44289	59182	\N	KL	67955946
295570	1009	1996-08-11	PRIJEM	PREVOD Z UCTU	44289	79701	\N	KL	67955946
295571	1009	1996-09-11	PRIJEM	PREVOD Z UCTU	44289	70270	\N	KL	67955946
295572	1009	1996-10-11	PRIJEM	PREVOD Z UCTU	44289	74885	\N	KL	67955946
295573	1009	1996-11-11	PRIJEM	PREVOD Z UCTU	44289	74455	\N	KL	67955946
295574	1009	1996-12-11	PRIJEM	PREVOD Z UCTU	66434	112574	\N	KL	67955946
295575	1009	1997-01-11	PRIJEM	PREVOD Z UCTU	44289	87726	\N	KL	67955946
295576	1009	1997-02-11	PRIJEM	PREVOD Z UCTU	44289	66001	\N	KL	67955946
295577	1009	1997-03-11	PRIJEM	PREVOD Z UCTU	44289	71368	\N	KL	67955946
295578	1009	1997-04-11	PRIJEM	PREVOD Z UCTU	44289	76743	\N	KL	67955946
295579	1009	1997-05-11	PRIJEM	PREVOD Z UCTU	44289	82525	\N	KL	67955946
295580	1009	1997-06-11	PRIJEM	PREVOD Z UCTU	66434	96763	\N	KL	67955946
295581	1009	1997-07-11	PRIJEM	PREVOD Z UCTU	44289	100592	\N	KL	67955946
295582	1009	1997-08-11	PRIJEM	PREVOD Z UCTU	44289	104751	\N	KL	67955946
295583	1009	1997-09-11	PRIJEM	PREVOD Z UCTU	44289	103615	\N	KL	67955946
295695	1009	1997-01-26	VYDAJ	VYBER	7800	36526	\N	\N	\N
295584	1009	1997-10-11	PRIJEM	PREVOD Z UCTU	44289	96620	\N	KL	67955946
295585	1009	1997-11-11	PRIJEM	PREVOD Z UCTU	44289	93548	\N	KL	67955946
295586	1009	1997-12-11	PRIJEM	PREVOD Z UCTU	66434	105278	\N	KL	67955946
295587	1009	1998-01-11	PRIJEM	PREVOD Z UCTU	44289	103714	\N	KL	67955946
295588	1009	1998-02-11	PRIJEM	PREVOD Z UCTU	44289	61413	\N	KL	67955946
295589	1009	1998-03-11	PRIJEM	PREVOD Z UCTU	44289	77387	\N	KL	67955946
295590	1009	1998-04-11	PRIJEM	PREVOD Z UCTU	44289	93758	\N	KL	67955946
295591	1009	1998-05-11	PRIJEM	PREVOD Z UCTU	44289	100175	\N	KL	67955946
295592	1009	1998-06-11	PRIJEM	PREVOD Z UCTU	66434	91145	\N	KL	67955946
295593	1009	1998-07-11	PRIJEM	PREVOD Z UCTU	44289	100238	\N	KL	67955946
295594	1009	1998-08-11	PRIJEM	PREVOD Z UCTU	44289	101766	\N	KL	67955946
295595	1009	1998-09-11	PRIJEM	PREVOD Z UCTU	44289	87121	\N	KL	67955946
295596	1009	1998-10-11	PRIJEM	PREVOD Z UCTU	44289	91495	\N	KL	67955946
295597	1009	1998-11-11	PRIJEM	PREVOD Z UCTU	44289	71910	\N	KL	67955946
295598	1009	1998-12-11	PRIJEM	PREVOD Z UCTU	66434	89452	\N	KL	67955946
295611	1009	1996-01-05	VYDAJ	PREVOD NA UCET	7521	23930	SIPO	MN	49052566
295612	1009	1996-02-05	VYDAJ	PREVOD NA UCET	7521	26529	SIPO	MN	49052566
295613	1009	1996-03-05	VYDAJ	PREVOD NA UCET	7521	42500	SIPO	MN	49052566
295614	1009	1996-04-05	VYDAJ	PREVOD NA UCET	7521	33485	SIPO	MN	49052566
295615	1009	1996-05-05	VYDAJ	PREVOD NA UCET	7521	44381	SIPO	MN	49052566
295616	1009	1996-06-05	VYDAJ	PREVOD NA UCET	7521	47515	SIPO	MN	49052566
295617	1009	1996-07-05	VYDAJ	PREVOD NA UCET	7521	14893	SIPO	MN	49052566
295618	1009	1996-08-05	VYDAJ	PREVOD NA UCET	7521	35412	SIPO	MN	49052566
295619	1009	1996-09-05	VYDAJ	PREVOD NA UCET	7521	25981	SIPO	MN	49052566
295620	1009	1996-10-05	VYDAJ	PREVOD NA UCET	7521	30596	SIPO	MN	49052566
295621	1009	1996-11-05	VYDAJ	PREVOD NA UCET	7521	30166	SIPO	MN	49052566
295622	1009	1996-12-05	VYDAJ	PREVOD NA UCET	7521	46140	SIPO	MN	49052566
295623	1009	1997-01-05	VYDAJ	PREVOD NA UCET	7521	47037	SIPO	MN	49052566
295624	1009	1997-02-05	VYDAJ	PREVOD NA UCET	7521	21712	SIPO	MN	49052566
295625	1009	1997-03-05	VYDAJ	PREVOD NA UCET	7521	27079	SIPO	MN	49052566
295626	1009	1997-04-05	VYDAJ	PREVOD NA UCET	7521	32454	SIPO	MN	49052566
295627	1009	1997-05-05	VYDAJ	PREVOD NA UCET	7521	49336	SIPO	MN	49052566
295628	1009	1997-06-05	VYDAJ	PREVOD NA UCET	7521	46835	SIPO	MN	49052566
295629	1009	1997-07-05	VYDAJ	PREVOD NA UCET	7521	56303	SIPO	MN	49052566
295630	1009	1997-08-05	VYDAJ	PREVOD NA UCET	7521	60462	SIPO	MN	49052566
295631	1009	1997-09-05	VYDAJ	PREVOD NA UCET	7521	59326	SIPO	MN	49052566
295632	1009	1997-10-05	VYDAJ	PREVOD NA UCET	7521	56580	SIPO	MN	49052566
295633	1009	1997-11-05	VYDAJ	PREVOD NA UCET	7521	49259	SIPO	MN	49052566
295634	1009	1997-12-05	VYDAJ	PREVOD NA UCET	7521	38844	SIPO	MN	49052566
295635	1009	1998-01-05	VYDAJ	PREVOD NA UCET	7521	59425	SIPO	MN	49052566
295636	1009	1998-02-05	VYDAJ	PREVOD NA UCET	7521	17124	SIPO	MN	49052566
295637	1009	1998-03-05	VYDAJ	PREVOD NA UCET	7521	33098	SIPO	MN	49052566
295638	1009	1998-04-05	VYDAJ	PREVOD NA UCET	7521	49469	SIPO	MN	49052566
295639	1009	1998-05-05	VYDAJ	PREVOD NA UCET	7521	55886	SIPO	MN	49052566
295640	1009	1998-06-05	VYDAJ	PREVOD NA UCET	7521	24711	SIPO	MN	49052566
295641	1009	1998-07-05	VYDAJ	PREVOD NA UCET	7521	55949	SIPO	MN	49052566
295642	1009	1998-08-05	VYDAJ	PREVOD NA UCET	7521	57477	SIPO	MN	49052566
295643	1009	1998-09-05	VYDAJ	PREVOD NA UCET	7521	42832	SIPO	MN	49052566
295644	1009	1998-10-05	VYDAJ	PREVOD NA UCET	7521	47206	SIPO	MN	49052566
295645	1009	1998-11-05	VYDAJ	PREVOD NA UCET	7521	27621	SIPO	MN	49052566
295646	1009	1998-12-05	VYDAJ	PREVOD NA UCET	7521	23018	SIPO	MN	49052566
295653	1009	1996-03-20	VYBER	VYBER	10685	63204	\N	\N	\N
295654	1009	1996-10-30	VYBER	VYBER	17404	37481	\N	\N	\N
295655	1009	1996-01-12	VYBER	VYBER	13218	55001	\N	\N	\N
295656	1009	1996-06-28	VYBER	VYBER	3105	26144	\N	\N	\N
295657	1009	1996-01-04	VYBER	VYBER	10679	38051	\N	\N	\N
295658	1009	1996-09-15	VYBER	VYBER	11620	58650	\N	\N	\N
295659	1009	1996-08-27	VYBER	VYBER	24615	33286	\N	\N	\N
295660	1009	1997-06-09	VYBER	VYBER	16506	30329	\N	\N	\N
295661	1009	1997-02-16	VYBER	VYBER	22337	43664	\N	\N	\N
295662	1009	1997-10-10	VYBER	VYBER	4249	52331	\N	\N	\N
295663	1009	1997-03-17	VYBER	VYBER	22854	48514	\N	\N	\N
295664	1009	1997-11-17	VYBER	VYBER	17406	76142	\N	\N	\N
295665	1009	1998-11-20	VYBER	VYBER	17301	30409	\N	\N	\N
295666	1009	1998-10-19	VYBER	VYBER	17924	34967	\N	\N	\N
295667	1009	1998-10-14	VYBER	VYBER	4204	87291	\N	\N	\N
295668	1009	1998-02-15	VYBER	VYBER	17221	44192	\N	\N	\N
295669	1009	1998-09-02	VYBER	VYBER	17377	50353	\N	\N	\N
295671	1009	1996-06-26	VYDAJ	VYBER	18600	29249	\N	\N	\N
295673	1009	1998-06-05	VYDAJ	VYBER	29100	32232	\N	\N	\N
295676	1009	1997-01-14	VYDAJ	VYBER	9000	78726	\N	\N	\N
295677	1009	1998-01-25	VYDAJ	VYBER	6300	41214	\N	\N	\N
295678	1009	1995-12-22	VYDAJ	VYBER	5400	80044	\N	\N	\N
295679	1009	1996-12-22	VYDAJ	VYBER	6900	72474	\N	\N	\N
295680	1009	1997-12-30	VYDAJ	VYBER	7500	66678	\N	\N	\N
295689	1009	1996-01-15	VYDAJ	VYBER	2400	48101	\N	\N	\N
295690	1009	1996-01-29	VYDAJ	VYBER	3900	33901	\N	\N	\N
295691	1009	1996-01-15	VYDAJ	VYBER	4500	50501	\N	\N	\N
295692	1009	1996-01-02	VYDAJ	VYBER	2700	48730	\N	\N	\N
295693	1009	1996-01-04	VYDAJ	VYBER	6600	31451	\N	\N	\N
295694	1009	1997-01-24	VYDAJ	VYBER	2400	44326	\N	\N	\N
295696	1009	1997-01-18	VYDAJ	VYBER	6000	72726	\N	\N	\N
295697	1009	1997-01-27	VYDAJ	VYBER	7500	29026	\N	\N	\N
295698	1009	1997-01-21	VYDAJ	VYBER	6900	65826	\N	\N	\N
295699	1009	1997-01-10	VYDAJ	VYBER	3600	43437	\N	\N	\N
295700	1009	1998-01-24	VYDAJ	VYBER KARTOU	2400	47514	\N	\N	0
295701	1009	1998-01-11	VYDAJ	VYBER	5400	98314	\N	\N	\N
295702	1009	1998-01-28	VYDAJ	VYBER	8400	30414	\N	\N	\N
295703	1009	1998-01-28	VYDAJ	VYBER	6000	24414	\N	\N	\N
295704	1009	1998-01-25	VYDAJ	VYBER KARTOU	2400	38814	\N	\N	0
295705	1009	1998-01-18	VYDAJ	VYBER	6600	64314	\N	\N	\N
295711	1009	1996-03-23	VYDAJ	VYBER	3000	60204	\N	\N	\N
295712	1009	1996-07-02	VYDAJ	VYBER	3900	22414	\N	\N	\N
295713	1009	1996-03-31	VYDAJ	VYBER	2700	41006	\N	\N	\N
295714	1009	1996-05-25	VYDAJ	VYBER	5100	83570	\N	\N	\N
295715	1009	1996-09-25	VYDAJ	VYBER	7200	37950	\N	\N	\N
295716	1009	1996-03-06	VYDAJ	VYBER	12900	29600	\N	\N	\N
295717	1009	1997-10-22	VYDAJ	VYBER	9300	56520	\N	\N	\N
295718	1009	1997-11-20	VYDAJ	VYBER	8400	46142	\N	\N	\N
295719	1009	1997-05-07	VYDAJ	VYBER	11100	38236	\N	\N	\N
295720	1009	1997-09-29	VYDAJ	VYBER KARTOU	1500	63815	\N	\N	0
295721	1009	1997-08-22	VYDAJ	VYBER	5700	66551	\N	\N	\N
295723	1009	1998-04-18	VYDAJ	VYBER KARTOU	2100	63158	\N	\N	0
295724	1009	1998-01-22	VYDAJ	VYBER	14400	49914	\N	\N	\N
295737	1009	1995-12-31	VYDAJ	VYBER	30	51430	SLUZBY	\N	\N
295738	1009	1996-01-31	VYDAJ	VYBER	30	34050	SLUZBY	\N	\N
295739	1009	1996-02-29	VYDAJ	VYBER	30	50021	SLUZBY	\N	\N
295740	1009	1996-03-31	VYDAJ	VYBER	30	43706	SLUZBY	\N	\N
295741	1009	1996-04-30	VYDAJ	VYBER	30	51902	SLUZBY	\N	\N
295742	1009	1996-05-31	VYDAJ	VYBER	30	55036	SLUZBY	\N	\N
295743	1009	1996-06-30	VYDAJ	VYBER	30	26314	SLUZBY	\N	\N
295744	1009	1996-07-31	VYDAJ	VYBER	30	42933	SLUZBY	\N	\N
295745	1009	1996-08-31	VYDAJ	VYBER	30	33502	SLUZBY	\N	\N
295746	1009	1996-09-30	VYDAJ	VYBER	30	38117	SLUZBY	\N	\N
295747	1009	1996-10-31	VYDAJ	VYBER	30	37687	SLUZBY	\N	\N
295748	1009	1996-11-30	VYDAJ	VYBER	30	53661	SLUZBY	\N	\N
295749	1009	1996-12-31	VYDAJ	VYBER	30	54558	SLUZBY	\N	\N
295750	1009	1997-01-31	VYDAJ	VYBER	30	29233	SLUZBY	\N	\N
295751	1009	1997-02-28	VYDAJ	VYBER	30	34600	SLUZBY	\N	\N
295752	1009	1997-03-31	VYDAJ	VYBER	30	39975	SLUZBY	\N	\N
295753	1009	1997-04-30	VYDAJ	VYBER	30	56857	SLUZBY	\N	\N
295754	1009	1997-05-31	VYDAJ	VYBER	30	54356	SLUZBY	\N	\N
295755	1009	1997-06-30	VYDAJ	VYBER	30	63824	SLUZBY	\N	\N
295756	1009	1997-07-31	VYDAJ	VYBER	30	67983	SLUZBY	\N	\N
295757	1009	1997-08-31	VYDAJ	VYBER	30	66847	SLUZBY	\N	\N
295758	1009	1997-09-30	VYDAJ	VYBER	30	64101	SLUZBY	\N	\N
295759	1009	1997-10-31	VYDAJ	VYBER	30	56780	SLUZBY	\N	\N
295760	1009	1997-11-30	VYDAJ	VYBER	30	46365	SLUZBY	\N	\N
295761	1009	1997-12-31	VYDAJ	VYBER	30	66946	SLUZBY	\N	\N
295762	1009	1998-01-31	VYDAJ	VYBER	30	24645	SLUZBY	\N	\N
295763	1009	1998-02-28	VYDAJ	VYBER	30	40619	SLUZBY	\N	\N
295764	1009	1998-03-31	VYDAJ	VYBER	30	56990	SLUZBY	\N	\N
295765	1009	1998-04-30	VYDAJ	VYBER	30	63407	SLUZBY	\N	\N
295766	1009	1998-05-31	VYDAJ	VYBER	30	61332	SLUZBY	\N	\N
295767	1009	1998-06-30	VYDAJ	VYBER	30	63470	SLUZBY	\N	\N
295768	1009	1998-07-31	VYDAJ	VYBER	30	64998	SLUZBY	\N	\N
295769	1009	1998-08-31	VYDAJ	VYBER	30	67730	SLUZBY	\N	\N
295770	1009	1998-09-30	VYDAJ	VYBER	30	54727	SLUZBY	\N	\N
295771	1009	1998-10-31	VYDAJ	VYBER	30	35142	SLUZBY	\N	\N
295772	1009	1998-11-30	VYDAJ	VYBER	30	30539	SLUZBY	\N	\N
295773	1009	1995-08-31	VYDAJ	VYBER	10900	33914	\N	\N	\N
295774	1009	1995-09-30	VYDAJ	VYBER	25600	52747	\N	\N	\N
295775	1009	1995-10-30	VYDAJ	VYBER	34300	62736	\N	\N	\N
295776	1009	1995-11-29	VYDAJ	VYBER	37600	69647	\N	\N	\N
295777	1009	1995-12-11	VYDAJ	VYBER	50900	85444	\N	\N	\N
295778	1009	1995-12-29	VYDAJ	VYBER	28900	51144	\N	\N	\N
295779	1009	1996-01-28	VYDAJ	VYBER	10300	37801	\N	\N	\N
295780	1009	1996-02-27	VYDAJ	VYBER	21000	49818	\N	\N	\N
295781	1009	1996-03-28	VYDAJ	VYBER	16700	43504	\N	\N	\N
295782	1009	1996-04-27	VYDAJ	VYBER	26100	51674	\N	\N	\N
295783	1009	1996-05-27	VYDAJ	VYBER	28800	54770	\N	\N	\N
295784	1009	1996-06-11	VYDAJ	VYBER	63600	50349	\N	\N	\N
295785	1009	1996-06-26	VYDAJ	VYBER	2500	47849	\N	\N	\N
295786	1009	1996-07-26	VYDAJ	VYBER	16400	42782	\N	\N	\N
295787	1009	1996-08-25	VYDAJ	VYBER	21800	57901	\N	\N	\N
295788	1009	1996-09-24	VYDAJ	VYBER	13500	45150	\N	\N	\N
295789	1009	1996-10-24	VYDAJ	VYBER	20000	54885	\N	\N	\N
295790	1009	1996-11-23	VYDAJ	VYBER	21000	53455	\N	\N	\N
295791	1009	1996-12-11	VYDAJ	VYBER	33200	79374	\N	\N	\N
295792	1009	1996-12-23	VYDAJ	VYBER	18200	54274	\N	\N	\N
295793	1009	1997-01-22	VYDAJ	VYBER	19100	46726	\N	\N	\N
295794	1009	1997-02-21	VYDAJ	VYBER	9200	34464	\N	\N	\N
295795	1009	1997-03-23	VYDAJ	VYBER	8700	39814	\N	\N	\N
295796	1009	1997-04-22	VYDAJ	VYBER	20100	56643	\N	\N	\N
295797	1009	1997-05-22	VYDAJ	VYBER	28400	54125	\N	\N	\N
295798	1009	1997-06-21	VYDAJ	VYBER	33200	63563	\N	\N	\N
295799	1009	1997-07-21	VYDAJ	VYBER	32900	67692	\N	\N	\N
295800	1009	1997-08-20	VYDAJ	VYBER	32500	72251	\N	\N	\N
295801	1009	1997-09-19	VYDAJ	VYBER	38300	65315	\N	\N	\N
295802	1009	1997-10-19	VYDAJ	VYBER	30800	65820	\N	\N	\N
295803	1009	1997-11-18	VYDAJ	VYBER	21600	54542	\N	\N	\N
295804	1009	1997-12-18	VYDAJ	VYBER	31100	74178	\N	\N	\N
295805	1009	1998-01-17	VYDAJ	VYBER	27400	70914	\N	\N	\N
295806	1009	1998-02-16	VYDAJ	VYBER KARTOU	3700	40492	\N	\N	0
295807	1009	1998-03-18	VYDAJ	VYBER	20600	56787	\N	\N	\N
295808	1009	1998-04-17	VYDAJ	VYBER	28500	65258	\N	\N	\N
295809	1009	1998-05-17	VYDAJ	VYBER	39100	61075	\N	\N	\N
295810	1009	1998-06-16	VYDAJ	VYBER	27900	63245	\N	\N	\N
295811	1009	1998-07-16	VYDAJ	VYBER	35500	64738	\N	\N	\N
295812	1009	1998-08-15	VYDAJ	VYBER	34300	67466	\N	\N	\N
295813	1009	1998-09-14	VYDAJ	VYBER	32600	54521	\N	\N	\N
295814	1009	1998-10-14	VYDAJ	VYBER	34400	52891	\N	\N	\N
295815	1009	1998-11-13	VYDAJ	VYBER	24200	47710	\N	\N	\N
295857	1010	1995-05-01	PRIJEM	VKLAD	800	800	\N	\N	\N
295858	1010	1995-07-31	PRIJEM	VKLAD	16275	48078	\N	\N	\N
295860	1010	1995-11-05	PRIJEM	VKLAD	47162	91521	\N	\N	\N
295862	1010	1995-10-04	PRIJEM	VKLAD	40082	71060	\N	\N	\N
295864	1010	1995-07-27	PRIJEM	VKLAD	7167	36677	\N	\N	\N
295868	1010	1995-06-19	PRIJEM	VKLAD	23848	37750	\N	\N	\N
295870	1010	1996-01-06	PRIJEM	VKLAD	21236	43863	\N	\N	\N
295871	1010	1996-05-02	PRIJEM	VKLAD	12213	48333	\N	\N	\N
295872	1010	1996-12-23	PRIJEM	VKLAD	13063	49055	\N	\N	\N
295873	1010	1996-04-21	PRIJEM	VKLAD	16721	46702	\N	\N	\N
295874	1010	1996-05-21	PRIJEM	VKLAD	36254	80509	\N	\N	\N
295875	1010	1996-11-27	PRIJEM	VKLAD	24020	68905	\N	\N	\N
295876	1010	1996-03-01	PRIJEM	VKLAD	44132	88759	\N	\N	\N
295877	1010	1996-02-01	PRIJEM	VKLAD	24631	61148	\N	\N	\N
295878	1010	1996-06-07	PRIJEM	VKLAD	47016	85426	\N	\N	\N
295879	1010	1996-08-01	PRIJEM	VKLAD	27049	112009	\N	\N	\N
295880	1010	1996-07-15	PRIJEM	VKLAD	36986	125769	\N	\N	\N
295881	1010	1996-02-03	PRIJEM	VKLAD	10634	71782	\N	\N	\N
295882	1010	1996-04-18	PRIJEM	VKLAD	13904	29981	\N	\N	\N
295883	1010	1996-08-18	PRIJEM	VKLAD	24751	92218	\N	\N	\N
295884	1010	1996-07-12	PRIJEM	VKLAD	22672	88783	\N	\N	\N
295885	1010	1996-03-12	PRIJEM	VKLAD	29158	114917	\N	\N	\N
295886	1010	1996-10-26	PRIJEM	VKLAD	21755	88280	\N	\N	\N
295887	1010	1996-08-23	PRIJEM	VKLAD	15652	107870	\N	\N	\N
295888	1010	1996-07-10	PRIJEM	VKLAD	32941	79311	\N	\N	\N
295889	1010	1996-11-05	PRIJEM	VKLAD	5956	88785	\N	\N	\N
295890	1010	1996-01-18	PRIJEM	VKLAD	32359	60822	\N	\N	\N
295891	1010	1996-01-21	PRIJEM	VKLAD	15860	64982	\N	\N	\N
295892	1010	1996-05-09	PRIJEM	VKLAD	32746	81079	\N	\N	\N
295893	1010	1996-07-28	PRIJEM	VKLAD	30612	84681	\N	\N	\N
295894	1010	1996-09-25	PRIJEM	VKLAD	41959	64020	\N	\N	\N
295895	1010	1996-08-13	PRIJEM	VKLAD	36558	78567	\N	\N	\N
295896	1010	1996-10-24	PRIJEM	VKLAD	32744	66525	\N	\N	\N
295897	1010	1996-06-24	PRIJEM	VKLAD	19035	76040	\N	\N	\N
295898	1010	1997-04-04	PRIJEM	VKLAD	42493	44805	\N	\N	\N
295899	1010	1997-05-16	PRIJEM	VKLAD	45911	71566	\N	\N	\N
295900	1010	1997-01-08	PRIJEM	VKLAD	11558	40260	\N	\N	\N
295901	1010	1997-09-03	PRIJEM	VKLAD	38838	48356	\N	\N	\N
295902	1010	1997-06-08	PRIJEM	VKLAD	49956	76167	\N	\N	\N
295903	1010	1998-07-17	PRIJEM	VKLAD	34461	79598	\N	\N	\N
295904	1010	1998-02-25	PRIJEM	VKLAD	32468	77844	\N	\N	\N
295905	1010	1998-02-03	PRIJEM	VKLAD	26454	104176	\N	\N	\N
295906	1010	1998-02-28	PRIJEM	VKLAD	12106	90267	\N	\N	\N
295907	1010	1998-08-26	PRIJEM	VKLAD	38509	59476	\N	\N	\N
295908	1010	1998-07-08	PRIJEM	VKLAD	33440	84736	\N	\N	\N
295909	1010	1998-09-04	PRIJEM	VKLAD	31025	71048	\N	\N	\N
295910	1010	1998-12-03	PRIJEM	VKLAD	15668	72299	\N	\N	\N
295911	1010	1998-01-30	PRIJEM	VKLAD	47409	112140	\N	\N	\N
295912	1010	1998-04-10	PRIJEM	VKLAD	40103	96901	\N	\N	\N
295913	1010	1998-07-08	PRIJEM	VKLAD	15101	99837	\N	\N	\N
295914	1010	1998-01-13	PRIJEM	VKLAD	44313	70608	\N	\N	\N
295915	1010	1998-11-18	PRIJEM	VKLAD	7832	36567	\N	\N	\N
295916	1010	1998-11-27	PRIJEM	VKLAD	22509	59076	\N	\N	\N
295917	1010	1998-02-01	PRIJEM	VKLAD	24144	95468	\N	\N	\N
295918	1010	1998-09-16	PRIJEM	VKLAD	12193	42141	\N	\N	\N
295919	1010	1998-01-24	PRIJEM	VKLAD	47154	98631	\N	\N	\N
295920	1010	1998-07-02	PRIJEM	VKLAD	47038	60796	\N	\N	\N
295921	1010	1998-01-19	PRIJEM	VKLAD	25569	69177	\N	\N	\N
295922	1010	1998-01-01	PRIJEM	VKLAD	31039	32295	\N	\N	\N
295923	1010	1998-02-02	PRIJEM	VKLAD	45954	141422	\N	\N	\N
295924	1010	1998-03-17	PRIJEM	VKLAD	28896	58748	\N	\N	\N
295925	1010	1998-10-16	PRIJEM	VKLAD	21244	40411	\N	\N	\N
295926	1010	1998-04-17	PRIJEM	VKLAD	27660	65961	\N	\N	\N
295927	1010	1998-05-15	PRIJEM	VKLAD	20513	52391	\N	\N	\N
295938	1010	1995-11-16	VYDAJ	VYBER	9000	82521	SIPO	\N	0
295939	1010	1995-12-22	VYDAJ	VYBER	9700	27593	SIPO	\N	0
295940	1010	1996-01-16	VYDAJ	VYBER	11200	28463	SIPO	\N	0
295941	1010	1996-02-19	VYDAJ	VYBER	11800	59982	SIPO	\N	0
295942	1010	1996-03-17	VYDAJ	VYBER	12100	43517	SIPO	\N	0
295943	1010	1996-04-09	VYDAJ	VYBER	10900	16077	SIPO	\N	0
295944	1010	1996-05-14	VYDAJ	VYBER	11000	44255	SIPO	\N	0
295945	1010	1996-06-09	VYDAJ	VYBER	10200	75226	SIPO	\N	0
295946	1010	1996-07-11	VYDAJ	VYBER	13200	66111	SIPO	\N	0
295947	1010	1996-08-14	VYDAJ	VYBER	11100	67467	SIPO	\N	0
295948	1010	1996-09-13	VYDAJ	VYBER	8200	32661	SIPO	\N	0
295949	1010	1996-10-11	VYDAJ	VYBER	8700	55481	SIPO	\N	0
295950	1010	1996-11-17	VYDAJ	VYBER	8800	71585	SIPO	\N	0
295951	1010	1996-12-07	VYDAJ	VYBER	10000	59192	SIPO	\N	0
295952	1010	1997-01-05	VYDAJ	VYBER	11300	28702	SIPO	\N	0
295953	1010	1997-02-18	VYDAJ	VYBER	10300	8672	SIPO	\N	0
295955	1010	1997-04-12	VYDAJ	VYBER	9800	35005	SIPO	\N	0
295956	1010	1997-05-18	VYDAJ	VYBER	9100	62466	SIPO	\N	0
295957	1010	1997-06-04	VYDAJ	VYBER	12700	26211	SIPO	\N	0
295958	1010	1997-07-04	VYDAJ	VYBER	10400	27254	SIPO	\N	0
295959	1010	1997-08-18	VYDAJ	VYBER	12000	9460	SIPO	\N	0
295960	1010	1997-09-20	VYDAJ	VYBER	9100	19656	SIPO	\N	0
295961	1010	1997-10-13	VYDAJ	VYBER	12600	4328	SIPO	\N	0
295964	1010	1998-01-20	VYDAJ	VYBER	10200	51477	SIPO	\N	0
295965	1010	1998-02-13	VYDAJ	VYBER	9900	90876	SIPO	\N	0
295966	1010	1998-03-08	VYDAJ	VYBER	12300	64052	SIPO	\N	0
295967	1010	1998-04-14	VYDAJ	VYBER	10900	86001	SIPO	\N	0
295968	1010	1998-05-16	VYDAJ	VYBER	8500	43891	SIPO	\N	0
295969	1010	1998-06-18	VYDAJ	VYBER	9400	16753	SIPO	\N	0
295970	1010	1998-07-05	VYDAJ	VYBER	9500	51296	SIPO	\N	0
295971	1010	1998-08-23	VYDAJ	VYBER	9700	20967	SIPO	\N	0
295972	1010	1998-09-16	VYDAJ	VYBER	9900	32241	SIPO	\N	0
295973	1010	1998-10-11	VYDAJ	VYBER	9700	19167	SIPO	\N	0
295974	1010	1998-11-08	VYDAJ	VYBER	9100	28735	SIPO	\N	0
295975	1010	1998-12-12	VYDAJ	VYBER	11300	48359	SIPO	\N	0
295986	1010	1995-10-30	VYDAJ	VYBER	3100	44160	 	\N	0
295987	1010	1995-12-06	VYDAJ	VYBER	3000	37293	 	\N	0
295988	1010	1995-12-27	VYDAJ	VYBER	2200	22493	 	\N	0
295989	1010	1996-01-29	VYDAJ	VYBER	2500	36382	 	\N	0
295990	1010	1996-03-02	VYDAJ	VYBER	3000	85759	 	\N	0
295991	1010	1996-03-31	VYDAJ	VYBER	3300	26977	 	\N	0
295992	1010	1996-05-12	VYDAJ	VYBER	2900	55255	 	\N	0
295993	1010	1996-06-02	VYDAJ	VYBER	2100	44110	 	\N	0
295994	1010	1996-06-30	VYDAJ	VYBER	2400	46370	 	\N	0
295995	1010	1996-08-07	VYDAJ	VYBER	3500	42009	 	\N	0
295996	1010	1996-09-01	VYDAJ	VYBER	2500	40861	 	\N	0
295997	1010	1996-10-12	VYDAJ	VYBER	2300	53181	 	\N	0
295998	1010	1996-11-06	VYDAJ	VYBER	3000	85785	 	\N	0
295999	1010	1996-12-07	VYDAJ	VYBER	3100	56092	 	\N	0
296000	1010	1997-01-12	VYDAJ	VYBER	2300	37960	 	\N	0
296001	1010	1997-02-02	VYDAJ	VYBER	3300	18972	 	\N	0
296002	1010	1997-02-28	VYDAJ	VYBER	3100	5627	 	\N	0
296003	1010	1997-04-02	VYDAJ	VYBER	3300	2312	 	\N	0
296004	1010	1997-05-03	VYDAJ	VYBER	3300	25655	 	\N	0
296005	1010	1997-05-30	VYDAJ	VYBER	3200	38766	 	\N	0
296006	1010	1997-07-12	VYDAJ	VYBER	2400	24854	 	\N	0
296007	1010	1997-08-14	VYDAJ	VYBER	3500	21460	 	\N	0
296008	1010	1997-09-12	VYDAJ	VYBER	2900	45456	 	\N	0
296009	1010	1997-10-08	VYDAJ	VYBER	2800	16928	 	\N	0
296012	1010	1997-12-29	VYDAJ	VYBER	3100	1255	 	\N	0
296013	1010	1998-02-07	VYDAJ	VYBER	3400	100776	 	\N	0
296014	1010	1998-03-02	VYDAJ	VYBER	2200	88052	 	\N	0
296015	1010	1998-04-05	VYDAJ	VYBER	2200	56798	 	\N	0
296016	1010	1998-05-02	VYDAJ	VYBER	2800	41778	 	\N	0
296017	1010	1998-05-31	VYDAJ	VYBER	3500	40567	 	\N	0
296018	1010	1998-06-25	VYDAJ	VYBER	3100	13653	 	\N	0
296019	1010	1998-08-07	VYDAJ	VYBER	2900	69767	 	\N	0
296020	1010	1998-08-26	VYDAJ	VYBER	3200	56276	 	\N	0
296021	1010	1998-10-01	VYDAJ	VYBER	3500	28867	 	\N	0
296022	1010	1998-10-31	VYDAJ	VYBER	2700	37835	 	\N	0
296023	1010	1998-12-01	VYDAJ	VYBER	2600	56631	 	\N	0
296024	1010	1995-11-24	VYBER	VYBER	4858	77663	\N	\N	\N
296025	1010	1996-06-16	VYBER	VYBER	18221	57005	\N	\N	\N
296026	1010	1996-05-12	VYBER	VYBER	22924	58155	\N	\N	\N
296032	1010	1997-01-04	VYBER	VYBER	6587	40002	\N	\N	\N
296043	1010	1998-12-06	VYBER	VYBER	12640	59659	\N	\N	\N
296044	1010	1998-08-31	VYBER	VYBER	16448	40037	\N	\N	\N
296045	1010	1998-04-28	VYBER	VYBER	21634	44327	\N	\N	\N
296053	1010	1998-01-26	VYDAJ	VYBER	6000	73431	\N	\N	\N
296060	1010	1996-01-18	VYDAJ	VYBER	5400	49122	\N	\N	\N
296061	1010	1996-01-18	VYDAJ	VYBER	6300	54522	\N	\N	\N
296062	1010	1996-01-25	VYDAJ	VYBER	2400	62582	\N	\N	\N
296063	1010	1996-01-15	VYDAJ	VYBER	4200	39663	\N	\N	\N
296065	1010	1996-01-25	VYDAJ	VYBER	6600	55982	\N	\N	\N
296066	1010	1997-01-01	VYDAJ	VYBER	2700	46589	\N	\N	\N
296067	1010	1997-01-14	VYDAJ	VYBER	2400	29260	\N	\N	\N
296071	1010	1997-01-13	VYDAJ	VYBER	6300	31660	\N	\N	\N
296073	1010	1998-01-19	VYDAJ	VYBER	7500	61677	\N	\N	\N
296074	1010	1998-01-27	VYDAJ	VYBER	8700	64731	\N	\N	\N
296075	1010	1998-01-01	VYDAJ	VYBER	6000	26295	\N	\N	\N
296076	1010	1998-01-26	VYDAJ	VYBER	8700	79431	\N	\N	\N
296081	1010	1995-12-01	VYDAJ	VYBER	11100	40293	\N	\N	\N
296087	1010	1996-03-17	VYDAJ	VYBER	7800	35717	\N	\N	\N
296088	1010	1996-11-08	VYDAJ	VYBER	5400	80385	\N	\N	\N
296089	1010	1996-11-04	VYDAJ	VYBER	5700	82829	\N	\N	\N
296090	1010	1996-05-31	VYDAJ	VYBER	2400	46210	\N	\N	\N
296091	1010	1996-08-04	VYDAJ	VYBER	10200	45509	\N	\N	\N
296092	1010	1996-06-06	VYDAJ	VYBER	5700	38410	\N	\N	\N
296093	1010	1997-06-09	VYDAJ	VYBER	5100	71067	\N	\N	\N
296096	1010	1997-04-12	VYDAJ	VYBER	3000	32005	\N	\N	\N
296099	1010	1997-06-15	VYDAJ	VYBER	12300	58767	\N	\N	\N
296102	1010	1998-03-03	VYDAJ	VYBER	11700	76352	\N	\N	\N
296103	1010	1998-05-12	VYDAJ	VYBER	9900	31878	\N	\N	\N
296104	1010	1998-01-25	VYDAJ	VYBER	10500	88131	\N	\N	\N
296105	1010	1998-08-02	VYDAJ	VYBER	7200	72667	\N	\N	\N
296106	1010	1998-06-02	VYDAJ	VYBER	14400	26153	\N	\N	\N
296118	1010	1995-11-30	VYDAJ	VYBER	15	51393	SLUZBY	\N	\N
296119	1010	1995-12-31	VYDAJ	VYBER	15	22627	SLUZBY	\N	\N
296120	1010	1996-01-31	VYDAJ	VYBER	15	36517	SLUZBY	\N	\N
296121	1010	1996-02-29	VYDAJ	VYBER	15	44627	SLUZBY	\N	\N
296122	1010	1996-03-31	VYDAJ	VYBER	15	30277	SLUZBY	\N	\N
296123	1010	1996-04-30	VYDAJ	VYBER	15	36120	SLUZBY	\N	\N
296124	1010	1996-05-31	VYDAJ	VYBER	15	48610	SLUZBY	\N	\N
296125	1010	1996-06-30	VYDAJ	VYBER	15	48770	SLUZBY	\N	\N
296126	1010	1996-07-31	VYDAJ	VYBER	15	84960	SLUZBY	\N	\N
296127	1010	1996-08-31	VYDAJ	VYBER	15	43361	SLUZBY	\N	\N
296128	1010	1996-09-30	VYDAJ	VYBER	15	64181	SLUZBY	\N	\N
296129	1010	1996-10-31	VYDAJ	VYBER	15	88529	SLUZBY	\N	\N
296130	1010	1996-11-30	VYDAJ	VYBER	15	69192	SLUZBY	\N	\N
296131	1010	1996-12-31	VYDAJ	VYBER	15	49289	SLUZBY	\N	\N
296132	1010	1997-01-31	VYDAJ	VYBER	15	22272	SLUZBY	\N	\N
296133	1010	1997-02-28	VYDAJ	VYBER	15	8727	SLUZBY	\N	\N
296134	1010	1997-03-31	VYDAJ	VYBER	15	5612	SLUZBY	\N	\N
296135	1010	1997-04-30	VYDAJ	VYBER	15	28955	SLUZBY	\N	\N
296136	1010	1997-05-31	VYDAJ	VYBER	15	38911	SLUZBY	\N	\N
296137	1010	1997-06-30	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
296138	1010	1997-07-31	VYDAJ	VYBER	15	24960	SLUZBY	\N	\N
296139	1010	1997-08-31	VYDAJ	VYBER	15	9518	SLUZBY	\N	\N
296140	1010	1997-09-30	VYDAJ	VYBER	15	19728	SLUZBY	\N	\N
296141	1010	1997-10-31	VYDAJ	VYBER	15	4354	SLUZBY	\N	\N
296142	1010	1997-11-30	VYDAJ	VYBER	15	4355	SLUZBY	\N	\N
296143	1010	1997-12-31	VYDAJ	VYBER	15	1256	SLUZBY	\N	\N
296144	1010	1998-01-31	VYDAJ	VYBER	15	71324	SLUZBY	\N	\N
296145	1010	1998-02-28	VYDAJ	VYBER	15	90252	SLUZBY	\N	\N
296146	1010	1998-03-31	VYDAJ	VYBER	15	58998	SLUZBY	\N	\N
296147	1010	1998-04-30	VYDAJ	VYBER	15	44578	SLUZBY	\N	\N
296148	1010	1998-05-31	VYDAJ	VYBER	15	40553	SLUZBY	\N	\N
296149	1010	1998-06-30	VYDAJ	VYBER	15	13758	SLUZBY	\N	\N
296150	1010	1998-07-31	VYDAJ	VYBER	15	79867	SLUZBY	\N	\N
296151	1010	1998-08-31	VYDAJ	VYBER	15	40023	SLUZBY	\N	\N
296152	1010	1998-09-30	VYDAJ	VYBER	15	32367	SLUZBY	\N	\N
296153	1010	1998-10-31	VYDAJ	VYBER	15	40535	SLUZBY	\N	\N
296154	1010	1998-11-30	VYDAJ	VYBER	15	59231	SLUZBY	\N	\N
296155	1010	1995-05-31	PRIJEM	VKLAD	13100	13900	\N	\N	\N
296156	1010	1995-06-30	VYDAJ	VYBER	8300	29510	\N	\N	\N
296157	1010	1995-07-30	VYDAJ	VYBER	5000	31677	\N	\N	\N
296158	1010	1995-08-29	VYDAJ	VYBER	14200	33878	\N	\N	\N
296159	1010	1995-09-28	VYDAJ	VYBER	3300	30778	\N	\N	\N
296160	1010	1995-10-28	VYDAJ	VYBER	23800	47260	\N	\N	\N
296161	1010	1995-11-27	VYDAJ	VYBER	26500	51163	\N	\N	\N
296162	1010	1995-12-27	VYDAJ	VYBER	2900	24693	\N	\N	\N
296163	1010	1996-01-26	VYDAJ	VYBER	17100	38882	\N	\N	\N
296164	1010	1996-02-25	VYDAJ	VYBER	15600	44382	\N	\N	\N
296165	1010	1996-03-12	VYDAJ	VYBER	59300	55617	\N	\N	\N
296166	1010	1996-03-26	VYDAJ	VYBER	5700	30017	\N	\N	\N
296167	1010	1996-04-25	VYDAJ	VYBER	10700	36002	\N	\N	\N
296168	1010	1996-05-25	VYDAJ	VYBER	32100	48409	\N	\N	\N
296169	1010	1996-06-24	VYDAJ	VYBER	27500	48540	\N	\N	\N
296170	1010	1996-07-15	VYDAJ	VYBER	35800	89969	\N	\N	\N
296171	1010	1996-07-24	VYDAJ	VYBER	35900	54069	\N	\N	\N
296172	1010	1996-08-01	VYDAJ	VYBER	56300	55709	\N	\N	\N
296173	1010	1996-08-23	VYDAJ	VYBER	37100	43070	\N	\N	\N
296174	1010	1996-08-23	VYDAJ	VYBER	27700	80170	\N	\N	\N
296175	1010	1996-09-22	VYDAJ	VYBER	10600	22061	\N	\N	\N
296176	1010	1996-10-22	VYDAJ	VYBER	19400	33781	\N	\N	\N
296177	1010	1996-11-21	VYDAJ	VYBER	26700	44885	\N	\N	\N
296178	1010	1996-12-21	VYDAJ	VYBER	20100	35992	\N	\N	\N
296179	1010	1997-01-20	VYDAJ	VYBER	7100	22160	\N	\N	\N
296180	1010	1997-04-20	VYDAJ	VYBER	3200	28805	\N	\N	\N
296181	1010	1997-05-20	VYDAJ	VYBER	20500	41966	\N	\N	\N
296182	1010	1997-06-19	VYDAJ	VYBER	21300	37467	\N	\N	\N
296183	1010	1997-09-17	VYDAJ	VYBER	16700	28756	\N	\N	\N
296184	1010	1998-01-15	VYDAJ	VYBER	27000	43608	\N	\N	\N
296185	1010	1998-01-30	VYDAJ	VYBER	41000	71140	\N	\N	\N
296186	1010	1998-02-02	VYDAJ	VYBER	63700	77722	\N	\N	\N
296187	1010	1998-02-14	VYDAJ	VYBER	45500	45376	\N	\N	\N
296188	1010	1998-03-16	VYDAJ	VYBER	34200	29852	\N	\N	\N
296189	1010	1998-04-15	VYDAJ	VYBER	47700	38301	\N	\N	\N
296190	1010	1998-07-14	VYDAJ	VYBER	54700	45137	\N	\N	\N
296191	1010	1998-08-13	VYDAJ	VYBER	39100	30667	\N	\N	\N
296192	1010	1998-09-12	VYDAJ	VYBER	41100	29948	\N	\N	\N
296240	1011	1994-12-17	PRIJEM	VKLAD	400	400	\N	\N	\N
296253	1011	1995-01-10	PRIJEM	PREVOD Z UCTU	20403	20803	\N	IJ	63482886
296254	1011	1995-02-10	PRIJEM	PREVOD Z UCTU	20403	43355	\N	IJ	63482886
296255	1011	1995-03-10	PRIJEM	PREVOD Z UCTU	20403	52873	\N	IJ	63482886
296256	1011	1995-04-10	PRIJEM	PREVOD Z UCTU	20403	58122	\N	IJ	63482886
296257	1011	1995-05-10	PRIJEM	PREVOD Z UCTU	20403	62591	\N	IJ	63482886
296258	1011	1995-06-10	PRIJEM	PREVOD Z UCTU	30604	68173	\N	IJ	63482886
296259	1011	1995-07-10	PRIJEM	PREVOD Z UCTU	20403	53023	\N	IJ	63482886
296260	1011	1995-08-10	PRIJEM	PREVOD Z UCTU	20403	57383	\N	IJ	63482886
296261	1011	1995-09-10	PRIJEM	PREVOD Z UCTU	20403	56560	\N	IJ	63482886
296262	1011	1995-10-10	PRIJEM	PREVOD Z UCTU	20403	37623	\N	IJ	63482886
296263	1011	1995-11-10	PRIJEM	PREVOD Z UCTU	20403	46347	\N	IJ	63482886
296264	1011	1995-12-10	PRIJEM	PREVOD Z UCTU	30604	49578	\N	IJ	63482886
296265	1011	1996-01-10	PRIJEM	PREVOD Z UCTU	20403	42302	\N	IJ	63482886
296266	1011	1996-02-10	PRIJEM	PREVOD Z UCTU	20403	42122	\N	IJ	63482886
296267	1011	1996-03-10	PRIJEM	PREVOD Z UCTU	20403	49558	\N	IJ	63482886
296268	1011	1996-04-10	PRIJEM	PREVOD Z UCTU	20403	46479	\N	IJ	63482886
296269	1011	1996-05-10	PRIJEM	PREVOD Z UCTU	20403	48630	\N	IJ	63482886
296270	1011	1996-06-10	PRIJEM	PREVOD Z UCTU	30604	73100	\N	IJ	63482886
296271	1011	1996-07-10	PRIJEM	PREVOD Z UCTU	20403	77243	\N	IJ	63482886
296272	1011	1996-08-10	PRIJEM	PREVOD Z UCTU	20403	75400	\N	IJ	63482886
296273	1011	1996-09-10	PRIJEM	PREVOD Z UCTU	20403	80570	\N	IJ	63482886
296274	1011	1996-10-10	PRIJEM	PREVOD Z UCTU	20403	66832	\N	IJ	63482886
296275	1011	1996-11-10	PRIJEM	PREVOD Z UCTU	20403	63961	\N	IJ	63482886
296276	1011	1996-12-10	PRIJEM	PREVOD Z UCTU	30604	84188	\N	IJ	63482886
296277	1011	1997-01-10	PRIJEM	PREVOD Z UCTU	20403	70765	\N	IJ	63482886
296278	1011	1997-02-10	PRIJEM	PREVOD Z UCTU	20403	65690	\N	IJ	63482886
296279	1011	1997-03-10	PRIJEM	PREVOD Z UCTU	20403	74001	\N	IJ	63482886
296280	1011	1997-04-10	PRIJEM	PREVOD Z UCTU	20403	74171	\N	IJ	63482886
296281	1011	1997-05-10	PRIJEM	PREVOD Z UCTU	20403	80748	\N	IJ	63482886
296282	1011	1997-06-10	PRIJEM	PREVOD Z UCTU	30604	93747	\N	IJ	63482886
296283	1011	1997-07-10	PRIJEM	PREVOD Z UCTU	20403	82770	\N	IJ	63482886
296284	1011	1997-08-10	PRIJEM	PREVOD Z UCTU	20403	88374	\N	IJ	63482886
296285	1011	1997-09-10	PRIJEM	PREVOD Z UCTU	20403	94295	\N	IJ	63482886
296286	1011	1997-10-10	PRIJEM	PREVOD Z UCTU	20403	95250	\N	IJ	63482886
296287	1011	1997-11-10	PRIJEM	PREVOD Z UCTU	20403	95506	\N	IJ	63482886
296288	1011	1997-12-10	PRIJEM	PREVOD Z UCTU	30604	98582	\N	IJ	63482886
296289	1011	1998-01-10	PRIJEM	PREVOD Z UCTU	20403	71412	\N	IJ	63482886
296290	1011	1998-02-10	PRIJEM	PREVOD Z UCTU	20403	67251	\N	IJ	63482886
296291	1011	1998-03-10	PRIJEM	PREVOD Z UCTU	20403	75188	\N	IJ	63482886
296292	1011	1998-04-10	PRIJEM	PREVOD Z UCTU	20403	79750	\N	IJ	63482886
296293	1011	1998-05-10	PRIJEM	PREVOD Z UCTU	20403	86124	\N	IJ	63482886
296294	1011	1998-06-10	PRIJEM	PREVOD Z UCTU	30604	99044	\N	IJ	63482886
296295	1011	1998-07-10	PRIJEM	PREVOD Z UCTU	20403	90664	\N	IJ	63482886
296296	1011	1998-08-10	PRIJEM	PREVOD Z UCTU	20403	94096	\N	IJ	63482886
296297	1011	1998-09-10	PRIJEM	PREVOD Z UCTU	20403	73562	\N	IJ	63482886
296298	1011	1998-10-10	PRIJEM	PREVOD Z UCTU	20403	70030	\N	IJ	63482886
296299	1011	1998-11-10	PRIJEM	PREVOD Z UCTU	20403	76998	\N	IJ	63482886
296300	1011	1998-12-10	PRIJEM	PREVOD Z UCTU	30604	73123	\N	IJ	63482886
296317	1011	1995-05-13	VYDAJ	VYBER	4100	51406	\N	\N	0
296318	1011	1995-06-04	VYDAJ	VYBER	3300	37569	\N	\N	0
296319	1011	1995-06-28	VYDAJ	VYBER	3200	32449	\N	\N	0
296320	1011	1995-08-08	VYDAJ	VYBER	2800	36980	\N	\N	0
296321	1011	1995-09-03	VYDAJ	VYBER	3800	36157	\N	\N	0
296322	1011	1995-10-09	VYDAJ	VYBER	3600	17220	\N	\N	0
296323	1011	1995-11-25	VYDAJ	VYBER	3100	21562	\N	\N	0
296324	1011	1995-11-27	VYDAJ	VYBER	2700	18862	\N	\N	0
296325	1011	1996-01-12	VYDAJ	PREVOD NA UCET	3401	28702	UVER	QR	9464615
296326	1011	1996-02-12	VYDAJ	PREVOD NA UCET	3401	36122	UVER	QR	9464615
296327	1011	1996-03-12	VYDAJ	PREVOD NA UCET	3401	35872	UVER	QR	9464615
296328	1011	1996-04-12	VYDAJ	PREVOD NA UCET	3401	40578	UVER	QR	9464615
296329	1011	1996-05-12	VYDAJ	PREVOD NA UCET	3401	44729	UVER	QR	9464615
296330	1011	1996-06-12	VYDAJ	PREVOD NA UCET	3401	62614	UVER	QR	9464615
296331	1011	1996-07-12	VYDAJ	PREVOD NA UCET	3401	66758	UVER	QR	9464615
296332	1011	1996-08-12	VYDAJ	PREVOD NA UCET	3401	72000	UVER	QR	9464615
296333	1011	1996-09-12	VYDAJ	PREVOD NA UCET	3401	77170	UVER	QR	9464615
296334	1011	1996-10-12	VYDAJ	PREVOD NA UCET	3401	63432	UVER	QR	9464615
296335	1011	1996-11-12	VYDAJ	PREVOD NA UCET	3401	60561	UVER	QR	9464615
296336	1011	1996-12-12	VYDAJ	PREVOD NA UCET	3401	73703	UVER	QR	9464615
296337	1011	1997-01-12	VYDAJ	PREVOD NA UCET	3401	54579	UVER	QR	9464615
296338	1011	1997-02-12	VYDAJ	PREVOD NA UCET	3401	55204	UVER	QR	9464615
296339	1011	1997-03-12	VYDAJ	PREVOD NA UCET	3401	70600	UVER	QR	9464615
296340	1011	1997-04-12	VYDAJ	PREVOD NA UCET	3401	70770	UVER	QR	9464615
296341	1011	1997-05-12	VYDAJ	PREVOD NA UCET	3401	70263	UVER	QR	9464615
296342	1011	1997-06-12	VYDAJ	PREVOD NA UCET	3401	90347	UVER	QR	9464615
296343	1011	1997-07-12	VYDAJ	PREVOD NA UCET	3401	79370	UVER	QR	9464615
296344	1011	1997-08-12	VYDAJ	PREVOD NA UCET	3401	84973	UVER	QR	9464615
296345	1011	1997-09-12	VYDAJ	PREVOD NA UCET	3401	83810	UVER	QR	9464615
296346	1011	1997-10-12	VYDAJ	PREVOD NA UCET	3401	91849	UVER	QR	9464615
296347	1011	1997-11-12	VYDAJ	PREVOD NA UCET	3401	92105	UVER	QR	9464615
296348	1011	1997-12-12	VYDAJ	PREVOD NA UCET	3401	91282	UVER	QR	9464615
296349	1011	1998-01-12	VYDAJ	PREVOD NA UCET	3401	60927	UVER	QR	9464615
296350	1011	1998-02-12	VYDAJ	PREVOD NA UCET	3401	63850	UVER	QR	9464615
296351	1011	1998-03-12	VYDAJ	PREVOD NA UCET	3401	71788	UVER	QR	9464615
296352	1011	1998-04-12	VYDAJ	PREVOD NA UCET	3401	69265	UVER	QR	9464615
296353	1011	1998-05-12	VYDAJ	PREVOD NA UCET	3401	82723	UVER	QR	9464615
296354	1011	1998-06-12	VYDAJ	PREVOD NA UCET	3401	95643	UVER	QR	9464615
296355	1011	1998-07-12	VYDAJ	PREVOD NA UCET	3401	87263	UVER	QR	9464615
296356	1011	1998-08-12	VYDAJ	PREVOD NA UCET	3401	83610	UVER	QR	9464615
296357	1011	1998-09-12	VYDAJ	PREVOD NA UCET	3401	70162	UVER	QR	9464615
296358	1011	1998-10-12	VYDAJ	PREVOD NA UCET	3401	66630	UVER	QR	9464615
296359	1011	1998-11-12	VYDAJ	PREVOD NA UCET	3401	66512	UVER	QR	9464615
296360	1011	1998-12-12	VYDAJ	PREVOD NA UCET	3401	69723	UVER	QR	9464615
296377	1011	1995-05-12	VYDAJ	PREVOD NA UCET	7085	55506	SIPO	WX	17116374
296378	1011	1995-06-12	VYDAJ	PREVOD NA UCET	7085	61088	SIPO	WX	17116374
296379	1011	1995-07-12	VYDAJ	PREVOD NA UCET	7085	45938	SIPO	WX	17116374
296380	1011	1995-08-12	VYDAJ	PREVOD NA UCET	7085	50298	SIPO	WX	17116374
296381	1011	1995-09-12	VYDAJ	PREVOD NA UCET	7085	49475	SIPO	WX	17116374
296382	1011	1995-10-12	VYDAJ	PREVOD NA UCET	7085	30538	SIPO	WX	17116374
296383	1011	1995-11-12	VYDAJ	PREVOD NA UCET	7085	38762	SIPO	WX	17116374
296384	1011	1995-12-12	VYDAJ	PREVOD NA UCET	7085	37993	SIPO	WX	17116374
296385	1011	1996-01-12	VYDAJ	PREVOD NA UCET	7085	21617	SIPO	WX	17116374
296386	1011	1996-02-12	VYDAJ	PREVOD NA UCET	7085	29037	SIPO	WX	17116374
296387	1011	1996-03-12	VYDAJ	PREVOD NA UCET	7085	39273	SIPO	WX	17116374
296388	1011	1996-04-12	VYDAJ	PREVOD NA UCET	7085	33493	SIPO	WX	17116374
296389	1011	1996-05-12	VYDAJ	PREVOD NA UCET	7085	37644	SIPO	WX	17116374
296390	1011	1996-06-12	VYDAJ	PREVOD NA UCET	7085	66015	SIPO	WX	17116374
296391	1011	1996-07-12	VYDAJ	PREVOD NA UCET	7085	70158	SIPO	WX	17116374
296392	1011	1996-08-12	VYDAJ	PREVOD NA UCET	7085	64915	SIPO	WX	17116374
296393	1011	1996-09-12	VYDAJ	PREVOD NA UCET	7085	70085	SIPO	WX	17116374
296394	1011	1996-10-12	VYDAJ	PREVOD NA UCET	7085	56347	SIPO	WX	17116374
296395	1011	1996-11-12	VYDAJ	PREVOD NA UCET	7085	53476	SIPO	WX	17116374
296396	1011	1996-12-12	VYDAJ	PREVOD NA UCET	7085	77103	SIPO	WX	17116374
296397	1011	1997-01-12	VYDAJ	PREVOD NA UCET	7085	63680	SIPO	WX	17116374
296398	1011	1997-02-12	VYDAJ	PREVOD NA UCET	7085	58605	SIPO	WX	17116374
296399	1011	1997-03-12	VYDAJ	PREVOD NA UCET	7085	63515	SIPO	WX	17116374
296400	1011	1997-04-12	VYDAJ	PREVOD NA UCET	7085	63685	SIPO	WX	17116374
296401	1011	1997-05-12	VYDAJ	PREVOD NA UCET	7085	73663	SIPO	WX	17116374
296402	1011	1997-06-12	VYDAJ	PREVOD NA UCET	7085	83262	SIPO	WX	17116374
296403	1011	1997-07-12	VYDAJ	PREVOD NA UCET	7085	72285	SIPO	WX	17116374
296404	1011	1997-08-12	VYDAJ	PREVOD NA UCET	7085	77888	SIPO	WX	17116374
296405	1011	1997-09-12	VYDAJ	PREVOD NA UCET	7085	87210	SIPO	WX	17116374
296406	1011	1997-10-12	VYDAJ	PREVOD NA UCET	7085	84764	SIPO	WX	17116374
296407	1011	1997-11-12	VYDAJ	PREVOD NA UCET	7085	85020	SIPO	WX	17116374
296408	1011	1997-12-12	VYDAJ	PREVOD NA UCET	7085	84197	SIPO	WX	17116374
296409	1011	1998-01-12	VYDAJ	PREVOD NA UCET	7085	64327	SIPO	WX	17116374
296410	1011	1998-02-12	VYDAJ	PREVOD NA UCET	7085	56765	SIPO	WX	17116374
296411	1011	1998-03-12	VYDAJ	PREVOD NA UCET	7085	64703	SIPO	WX	17116374
296412	1011	1998-04-12	VYDAJ	PREVOD NA UCET	7085	72665	SIPO	WX	17116374
296413	1011	1998-05-12	VYDAJ	PREVOD NA UCET	7085	75638	SIPO	WX	17116374
296414	1011	1998-06-12	VYDAJ	PREVOD NA UCET	7085	88558	SIPO	WX	17116374
296415	1011	1998-07-12	VYDAJ	PREVOD NA UCET	7085	80178	SIPO	WX	17116374
296416	1011	1998-08-12	VYDAJ	PREVOD NA UCET	7085	87011	SIPO	WX	17116374
296417	1011	1998-09-12	VYDAJ	PREVOD NA UCET	7085	63077	SIPO	WX	17116374
296418	1011	1998-10-12	VYDAJ	PREVOD NA UCET	7085	59545	SIPO	WX	17116374
296419	1011	1998-11-12	VYDAJ	PREVOD NA UCET	7085	69913	SIPO	WX	17116374
296420	1011	1998-12-12	VYDAJ	PREVOD NA UCET	7085	62638	SIPO	WX	17116374
296428	1011	1995-06-24	VYBER	VYBER	9739	35649	\N	\N	\N
296429	1011	1995-10-02	VYBER	VYBER	10168	20820	\N	\N	\N
296432	1011	1995-09-16	VYBER	VYBER	6929	34746	\N	\N	\N
296435	1011	1996-09-18	VYBER	VYBER	22588	47497	\N	\N	\N
296436	1011	1996-07-18	VYBER	VYBER	6811	59947	\N	\N	\N
296437	1011	1998-12-05	VYBER	VYBER	21046	42519	\N	\N	\N
296438	1011	1998-10-07	VYBER	VYBER	11592	49627	\N	\N	\N
296439	1011	1998-08-19	VYBER	VYBER	18110	49815	\N	\N	\N
296440	1011	1998-08-14	VYBER	VYBER	15685	67925	\N	\N	\N
296445	1011	1998-06-23	VYDAJ	VYBER	15000	73558	\N	\N	\N
296449	1011	1997-01-04	VYDAJ	VYBER	12300	56562	\N	\N	\N
296450	1011	1998-01-06	VYDAJ	VYBER	8100	51009	\N	\N	\N
296452	1011	1995-12-24	VYDAJ	VYBER	8100	29893	\N	\N	\N
296453	1011	1996-12-16	VYDAJ	VYBER	5100	68603	\N	\N	\N
296454	1011	1997-12-08	VYDAJ	VYBER	5100	67978	\N	\N	\N
296455	1011	1998-12-19	VYDAJ	VYBER	6300	56338	\N	\N	\N
296469	1011	1996-01-05	VYDAJ	VYBER	1500	21899	\N	\N	\N
296471	1011	1996-01-11	VYDAJ	VYBER	1500	32102	\N	\N	\N
296473	1011	1996-01-03	VYDAJ	VYBER	6600	23399	\N	\N	\N
296474	1011	1997-01-04	VYDAJ	VYBER	5700	50862	\N	\N	\N
296475	1011	1997-01-25	VYDAJ	VYBER	5100	46179	\N	\N	\N
296476	1011	1997-01-22	VYDAJ	VYBER	1800	51279	\N	\N	\N
296477	1011	1997-01-20	VYDAJ	VYBER	1500	53079	\N	\N	\N
296478	1011	1997-01-29	VYDAJ	VYBER	6000	40179	\N	\N	\N
296479	1011	1997-01-12	VYDAJ	VYBER	5700	57980	\N	\N	\N
296480	1011	1998-01-27	VYDAJ	VYBER	4500	49227	\N	\N	\N
296481	1011	1998-01-05	VYDAJ	VYBER	2100	60909	\N	\N	\N
296482	1011	1998-01-12	VYDAJ	VYBER	5700	55227	\N	\N	\N
296483	1011	1998-01-05	VYDAJ	VYBER	1800	59109	\N	\N	\N
296484	1011	1998-01-28	VYDAJ	VYBER	1500	47727	\N	\N	\N
296485	1011	1998-01-22	VYDAJ	VYBER	1500	53727	\N	\N	\N
296492	1011	1995-11-25	VYDAJ	VYBER	14100	24662	\N	\N	\N
296493	1011	1995-10-23	VYDAJ	VYBER	3900	25838	\N	\N	\N
296494	1011	1995-09-20	VYDAJ	VYBER	3900	30846	\N	\N	\N
296495	1011	1996-01-10	VYDAJ	VYBER	14700	27602	\N	\N	\N
296496	1011	1996-11-07	VYDAJ	VYBER	13800	43558	\N	\N	\N
296497	1011	1996-09-30	VYDAJ	VYBER	7800	39929	\N	\N	\N
296498	1011	1996-03-14	VYDAJ	VYBER	9900	25972	\N	\N	\N
296499	1011	1996-04-29	VYDAJ	VYBER	5400	28093	\N	\N	\N
296500	1011	1997-12-11	VYDAJ	VYBER	3900	94682	\N	\N	\N
296501	1011	1997-03-31	VYDAJ	VYBER	7800	55982	\N	\N	\N
296502	1011	1997-06-24	VYDAJ	VYBER	12600	70662	\N	\N	\N
296503	1011	1997-02-24	VYDAJ	VYBER	5100	50104	\N	\N	\N
296504	1011	1997-12-20	VYDAJ	VYBER	12600	71597	\N	\N	\N
296505	1011	1998-11-03	VYDAJ	VYBER	5700	56595	\N	\N	\N
296506	1011	1998-05-29	VYDAJ	VYBER	3900	71738	\N	\N	\N
296507	1011	1998-08-24	VYDAJ	VYBER	8100	41715	\N	\N	\N
296525	1011	1995-05-31	VYDAJ	VYBER	15	40869	SLUZBY	\N	\N
296526	1011	1995-06-30	VYDAJ	VYBER	15	32620	SLUZBY	\N	\N
296527	1011	1995-07-31	VYDAJ	VYBER	15	39780	SLUZBY	\N	\N
296528	1011	1995-08-31	VYDAJ	VYBER	15	39957	SLUZBY	\N	\N
296529	1011	1995-09-30	VYDAJ	VYBER	15	30988	SLUZBY	\N	\N
296530	1011	1995-10-31	VYDAJ	VYBER	15	25944	SLUZBY	\N	\N
296531	1011	1995-11-30	VYDAJ	VYBER	15	18974	SLUZBY	\N	\N
296532	1011	1995-12-31	VYDAJ	VYBER	15	29999	SLUZBY	\N	\N
296533	1011	1996-01-31	VYDAJ	VYBER	15	21719	SLUZBY	\N	\N
296534	1011	1996-02-29	VYDAJ	VYBER	15	29155	SLUZBY	\N	\N
296535	1011	1996-03-31	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
296536	1011	1996-04-30	VYDAJ	VYBER	15	28227	SLUZBY	\N	\N
296537	1011	1996-05-31	VYDAJ	VYBER	15	37796	SLUZBY	\N	\N
296538	1011	1996-06-30	VYDAJ	VYBER	15	62840	SLUZBY	\N	\N
296539	1011	1996-07-31	VYDAJ	VYBER	15	60197	SLUZBY	\N	\N
296540	1011	1996-08-31	VYDAJ	VYBER	15	65167	SLUZBY	\N	\N
296541	1011	1996-09-30	VYDAJ	VYBER	15	47729	SLUZBY	\N	\N
296542	1011	1996-10-31	VYDAJ	VYBER	15	56558	SLUZBY	\N	\N
296543	1011	1996-11-30	VYDAJ	VYBER	15	53684	SLUZBY	\N	\N
296544	1011	1996-12-31	VYDAJ	VYBER	15	68862	SLUZBY	\N	\N
296545	1011	1997-01-31	VYDAJ	VYBER	15	40387	SLUZBY	\N	\N
296546	1011	1997-02-28	VYDAJ	VYBER	15	50298	SLUZBY	\N	\N
296547	1011	1997-03-31	VYDAJ	VYBER	15	55968	SLUZBY	\N	\N
296548	1011	1997-04-30	VYDAJ	VYBER	15	63945	SLUZBY	\N	\N
296549	1011	1997-05-31	VYDAJ	VYBER	15	70543	SLUZBY	\N	\N
296550	1011	1997-06-30	VYDAJ	VYBER	15	70967	SLUZBY	\N	\N
296551	1011	1997-07-31	VYDAJ	VYBER	15	72571	SLUZBY	\N	\N
296552	1011	1997-08-31	VYDAJ	VYBER	15	78192	SLUZBY	\N	\N
296553	1011	1997-09-30	VYDAJ	VYBER	15	84147	SLUZBY	\N	\N
296554	1011	1997-10-31	VYDAJ	VYBER	15	85103	SLUZBY	\N	\N
296555	1011	1997-11-30	VYDAJ	VYBER	15	85378	SLUZBY	\N	\N
296556	1011	1997-12-31	VYDAJ	VYBER	15	63009	SLUZBY	\N	\N
296557	1011	1998-01-31	VYDAJ	VYBER	15	46848	SLUZBY	\N	\N
296558	1011	1998-02-28	VYDAJ	VYBER	15	56985	SLUZBY	\N	\N
296559	1011	1998-03-31	VYDAJ	VYBER	15	59347	SLUZBY	\N	\N
296560	1011	1998-04-30	VYDAJ	VYBER	15	69521	SLUZBY	\N	\N
296561	1011	1998-05-31	VYDAJ	VYBER	15	68440	SLUZBY	\N	\N
296562	1011	1998-06-30	VYDAJ	VYBER	15	70261	SLUZBY	\N	\N
296563	1011	1998-07-31	VYDAJ	VYBER	15	73693	SLUZBY	\N	\N
296564	1011	1998-08-31	VYDAJ	VYBER	15	53159	SLUZBY	\N	\N
296565	1011	1998-09-30	VYDAJ	VYBER	15	61219	SLUZBY	\N	\N
296566	1011	1998-10-31	VYDAJ	VYBER	15	62295	SLUZBY	\N	\N
296567	1011	1998-11-30	VYDAJ	VYBER	15	63565	SLUZBY	\N	\N
296568	1011	1995-01-16	PRIJEM	VKLAD	2100	22903	\N	\N	\N
296569	1011	1995-02-15	VYDAJ	VYBER	11000	32355	\N	\N	\N
296570	1011	1995-03-17	VYDAJ	VYBER	15300	37573	\N	\N	\N
296571	1011	1995-04-16	VYDAJ	VYBER	16100	42022	\N	\N	\N
296572	1011	1995-05-16	VYDAJ	VYBER	10700	40706	\N	\N	\N
296573	1011	1995-06-15	VYDAJ	VYBER	15700	45388	\N	\N	\N
296574	1011	1995-07-15	VYDAJ	VYBER	6300	39638	\N	\N	\N
296575	1011	1995-08-14	VYDAJ	VYBER	10500	39798	\N	\N	\N
296576	1011	1995-09-13	VYDAJ	VYBER	7800	41675	\N	\N	\N
296577	1011	1995-10-13	VYDAJ	VYBER	800	29738	\N	\N	\N
296578	1011	1995-11-12	VYDAJ	VYBER	500	45847	\N	\N	\N
296579	1011	1995-12-12	VYDAJ	VYBER	4500	45078	\N	\N	\N
296580	1011	1996-01-11	PRIJEM	VKLAD	6000	33602	\N	\N	\N
296581	1011	1996-02-10	VYDAJ	VYBER	2600	39522	\N	\N	\N
296582	1011	1996-03-11	VYDAJ	VYBER	3200	46358	\N	\N	\N
296583	1011	1996-04-10	VYDAJ	VYBER	2500	43979	\N	\N	\N
296584	1011	1996-05-10	VYDAJ	VYBER	500	48130	\N	\N	\N
296585	1011	1996-06-09	PRIJEM	VKLAD	4700	42496	\N	\N	\N
296586	1011	1996-07-09	VYDAJ	VYBER	6000	56840	\N	\N	\N
296587	1011	1996-08-08	VYDAJ	VYBER	5200	54997	\N	\N	\N
296588	1011	1996-09-07	VYDAJ	VYBER	5000	60167	\N	\N	\N
296589	1011	1996-10-07	PRIJEM	VKLAD	6500	46429	\N	\N	\N
296590	1011	1996-11-06	PRIJEM	VKLAD	800	57358	\N	\N	\N
296591	1011	1996-12-06	VYDAJ	VYBER	100	53584	\N	\N	\N
296592	1011	1997-01-05	VYDAJ	VYBER	500	50362	\N	\N	\N
296593	1011	1997-02-04	PRIJEM	VKLAD	4900	45287	\N	\N	\N
296594	1011	1997-03-06	PRIJEM	VKLAD	3300	53598	\N	\N	\N
296595	1011	1997-04-05	VYDAJ	VYBER	2200	53768	\N	\N	\N
296596	1011	1997-05-05	VYDAJ	VYBER	3600	60345	\N	\N	\N
296597	1011	1997-06-04	VYDAJ	VYBER	7400	63143	\N	\N	\N
296598	1011	1997-07-04	VYDAJ	VYBER	8600	62367	\N	\N	\N
296599	1011	1997-08-03	VYDAJ	VYBER	4600	67971	\N	\N	\N
296600	1011	1997-09-02	VYDAJ	VYBER	4300	73892	\N	\N	\N
296601	1011	1997-10-02	VYDAJ	VYBER	9300	74847	\N	\N	\N
296602	1011	1997-11-01	VYDAJ	VYBER	10000	75103	\N	\N	\N
296603	1011	1997-12-01	VYDAJ	VYBER	12300	73078	\N	\N	\N
296604	1011	1997-12-31	VYDAJ	VYBER	8900	63024	\N	\N	\N
296605	1011	1998-01-30	VYDAJ	VYBER	1100	46627	\N	\N	\N
296606	1011	1998-03-01	VYDAJ	VYBER	2200	54785	\N	\N	\N
296607	1011	1998-03-31	VYDAJ	VYBER	5600	59362	\N	\N	\N
296608	1011	1998-04-30	VYDAJ	VYBER	3800	65721	\N	\N	\N
296609	1011	1998-05-30	VYDAJ	VYBER	3600	68138	\N	\N	\N
296610	1011	1998-06-29	VYDAJ	VYBER	3600	69958	\N	\N	\N
296611	1011	1998-07-29	VYDAJ	VYBER	6800	73378	\N	\N	\N
296612	1011	1998-08-28	PRIJEM	VKLAD	11200	52915	\N	\N	\N
296613	1011	1998-09-27	VYDAJ	VYBER	2100	60977	\N	\N	\N
296614	1011	1998-10-27	PRIJEM	VKLAD	2500	62045	\N	\N	\N
296615	1011	1998-11-26	VYDAJ	VYBER	3200	63312	\N	\N	\N
296664	1012	1994-07-09	PRIJEM	VKLAD	500	500	\N	\N	\N
296671	1012	1994-07-10	PRIJEM	PREVOD Z UCTU	24545	25045	\N	GH	7608801
296672	1012	1994-08-10	PRIJEM	PREVOD Z UCTU	24545	48338	\N	GH	7608801
296673	1012	1994-09-10	PRIJEM	PREVOD Z UCTU	24545	62129	\N	GH	7608801
296674	1012	1994-10-10	PRIJEM	PREVOD Z UCTU	24545	68956	\N	GH	7608801
296675	1012	1994-11-10	PRIJEM	PREVOD Z UCTU	24545	72856	\N	GH	7608801
296676	1012	1994-12-10	PRIJEM	PREVOD Z UCTU	36818	76522	\N	GH	7608801
296677	1012	1995-01-10	PRIJEM	PREVOD Z UCTU	24545	56072	\N	GH	7608801
296678	1012	1995-02-10	PRIJEM	PREVOD Z UCTU	24545	52650	\N	GH	7608801
296679	1012	1995-03-10	PRIJEM	PREVOD Z UCTU	24545	62225	\N	GH	7608801
296680	1012	1995-04-10	PRIJEM	PREVOD Z UCTU	24545	67516	\N	GH	7608801
296681	1012	1995-05-10	PRIJEM	PREVOD Z UCTU	24545	67582	\N	GH	7608801
296682	1012	1995-06-10	PRIJEM	PREVOD Z UCTU	36818	55772	\N	GH	7608801
296683	1012	1995-07-10	PRIJEM	PREVOD Z UCTU	24545	65856	\N	GH	7608801
296684	1012	1995-08-10	PRIJEM	PREVOD Z UCTU	24545	63560	\N	GH	7608801
296685	1012	1995-09-10	PRIJEM	PREVOD Z UCTU	24545	59606	\N	GH	7608801
296686	1012	1995-10-10	PRIJEM	PREVOD Z UCTU	24545	42315	\N	GH	7608801
296687	1012	1995-11-10	PRIJEM	PREVOD Z UCTU	24545	34051	\N	GH	7608801
296688	1012	1995-12-10	PRIJEM	PREVOD Z UCTU	36818	50941	\N	GH	7608801
296689	1012	1996-01-10	PRIJEM	PREVOD Z UCTU	24545	40006	\N	GH	7608801
296690	1012	1996-02-10	PRIJEM	PREVOD Z UCTU	24545	48752	\N	GH	7608801
296691	1012	1996-03-10	PRIJEM	PREVOD Z UCTU	24545	43870	\N	GH	7608801
296692	1012	1996-04-10	PRIJEM	PREVOD Z UCTU	24545	35148	\N	GH	7608801
296693	1012	1996-05-10	PRIJEM	PREVOD Z UCTU	24545	55994	\N	GH	7608801
296694	1012	1996-06-10	PRIJEM	PREVOD Z UCTU	36818	60386	\N	GH	7608801
296695	1012	1996-07-10	PRIJEM	PREVOD Z UCTU	24545	52274	\N	GH	7608801
296696	1012	1996-08-10	PRIJEM	PREVOD Z UCTU	24545	27820	\N	GH	7608801
296697	1012	1996-09-10	PRIJEM	PREVOD Z UCTU	24545	50179	\N	GH	7608801
296698	1012	1996-10-10	PRIJEM	PREVOD Z UCTU	24545	44458	\N	GH	7608801
296699	1012	1996-11-10	PRIJEM	PREVOD Z UCTU	24545	57319	\N	GH	7608801
296700	1012	1996-12-10	PRIJEM	PREVOD Z UCTU	36818	77198	\N	GH	7608801
296701	1012	1997-01-10	PRIJEM	PREVOD Z UCTU	24545	39746	\N	GH	7608801
296702	1012	1997-02-10	PRIJEM	PREVOD Z UCTU	24545	37441	\N	GH	7608801
296703	1012	1997-03-10	PRIJEM	PREVOD Z UCTU	24545	34680	\N	GH	7608801
296704	1012	1997-04-10	PRIJEM	PREVOD Z UCTU	24545	59135	\N	GH	7608801
296705	1012	1997-05-10	PRIJEM	PREVOD Z UCTU	24545	71299	\N	GH	7608801
296706	1012	1997-06-10	PRIJEM	PREVOD Z UCTU	36818	61634	\N	GH	7608801
296707	1012	1997-07-10	PRIJEM	PREVOD Z UCTU	24545	62851	\N	GH	7608801
296708	1012	1997-08-10	PRIJEM	PREVOD Z UCTU	24545	73669	\N	GH	7608801
296709	1012	1997-09-10	PRIJEM	PREVOD Z UCTU	24545	76275	\N	GH	7608801
296710	1012	1997-10-10	PRIJEM	PREVOD Z UCTU	24545	68382	\N	GH	7608801
296711	1012	1997-11-10	PRIJEM	PREVOD Z UCTU	24545	61457	\N	GH	7608801
296712	1012	1997-12-10	PRIJEM	PREVOD Z UCTU	36818	53469	\N	GH	7608801
296713	1012	1998-01-10	PRIJEM	PREVOD Z UCTU	24545	45990	\N	GH	7608801
296714	1012	1998-02-10	PRIJEM	PREVOD Z UCTU	24545	43296	\N	GH	7608801
296715	1012	1998-03-10	PRIJEM	PREVOD Z UCTU	24545	63483	\N	GH	7608801
296716	1012	1998-04-10	PRIJEM	PREVOD Z UCTU	24545	59581	\N	GH	7608801
296717	1012	1998-05-10	PRIJEM	PREVOD Z UCTU	24545	50079	\N	GH	7608801
296718	1012	1998-06-10	PRIJEM	PREVOD Z UCTU	36818	78911	\N	GH	7608801
296719	1012	1998-07-10	PRIJEM	PREVOD Z UCTU	24545	77425	\N	GH	7608801
296720	1012	1998-08-10	PRIJEM	PREVOD Z UCTU	24545	54631	\N	GH	7608801
296721	1012	1998-09-10	PRIJEM	PREVOD Z UCTU	24545	64665	\N	GH	7608801
296722	1012	1998-10-10	PRIJEM	PREVOD Z UCTU	24545	49033	\N	GH	7608801
296723	1012	1998-11-10	PRIJEM	PREVOD Z UCTU	24545	58700	\N	GH	7608801
296724	1012	1998-12-10	PRIJEM	PREVOD Z UCTU	36818	71930	\N	GH	7608801
296735	1012	1994-11-12	VYDAJ	PREVOD NA UCET	4091	68765	UVER	EF	56211417
296736	1012	1994-12-12	VYDAJ	PREVOD NA UCET	4091	72431	UVER	EF	56211417
296737	1012	1995-01-12	VYDAJ	PREVOD NA UCET	4091	51982	UVER	EF	56211417
296738	1012	1995-02-12	VYDAJ	PREVOD NA UCET	4091	48559	UVER	EF	56211417
296739	1012	1995-03-12	VYDAJ	PREVOD NA UCET	4091	58134	UVER	EF	56211417
296740	1012	1995-04-12	VYDAJ	PREVOD NA UCET	4091	63425	UVER	EF	56211417
296741	1012	1995-05-12	VYDAJ	PREVOD NA UCET	4091	38973	UVER	EF	56211417
296742	1012	1995-06-12	VYDAJ	PREVOD NA UCET	4091	51682	UVER	EF	56211417
296743	1012	1995-07-12	VYDAJ	PREVOD NA UCET	4091	61766	UVER	EF	56211417
296744	1012	1995-08-12	VYDAJ	PREVOD NA UCET	4091	37656	UVER	EF	56211417
296745	1012	1995-09-12	VYDAJ	PREVOD NA UCET	4091	55515	UVER	EF	56211417
296746	1012	1995-10-12	VYDAJ	PREVOD NA UCET	4091	23824	UVER	EF	56211417
296747	1012	1995-11-12	VYDAJ	PREVOD NA UCET	4091	29961	UVER	EF	56211417
296748	1012	1995-12-12	VYDAJ	PREVOD NA UCET	4091	46850	UVER	EF	56211417
296749	1012	1996-01-12	VYDAJ	PREVOD NA UCET	4091	34115	UVER	EF	56211417
296750	1012	1996-02-12	VYDAJ	PREVOD NA UCET	4091	44662	UVER	EF	56211417
296751	1012	1996-03-12	VYDAJ	PREVOD NA UCET	4091	39780	UVER	EF	56211417
296752	1012	1996-04-12	VYDAJ	PREVOD NA UCET	4091	31058	UVER	EF	56211417
296753	1012	1996-05-12	VYDAJ	PREVOD NA UCET	4091	51904	UVER	EF	56211417
296754	1012	1996-06-12	VYDAJ	PREVOD NA UCET	4091	56295	UVER	EF	56211417
296755	1012	1996-07-12	VYDAJ	PREVOD NA UCET	4091	48183	UVER	EF	56211417
296756	1012	1996-08-12	VYDAJ	VYBER	4100	23720	\N	\N	0
296757	1012	1996-09-12	VYDAJ	VYBER	4100	46079	\N	\N	0
296758	1012	1996-10-12	VYDAJ	VYBER	4100	40358	\N	\N	0
296759	1012	1996-10-30	VYDAJ	VYBER	3300	32558	\N	\N	0
296760	1012	1996-12-30	VYDAJ	VYBER	4700	38598	\N	\N	0
296761	1012	1997-01-16	VYDAJ	VYBER	3800	24246	\N	\N	0
296762	1012	1997-02-15	VYDAJ	VYBER	3000	34441	\N	\N	0
296763	1012	1997-03-02	VYDAJ	VYBER	2600	10135	\N	\N	0
296764	1012	1997-04-13	VYDAJ	VYBER	3300	55835	\N	\N	0
296765	1012	1997-05-11	VYDAJ	VYBER	2600	68699	\N	\N	0
296766	1012	1997-06-06	VYDAJ	VYBER	4300	36216	\N	\N	0
296767	1012	1997-07-12	VYDAJ	VYBER	4000	58851	\N	\N	0
296768	1012	1997-08-13	VYDAJ	VYBER	2400	64232	\N	\N	0
296769	1012	1997-09-17	VYDAJ	VYBER	3000	60981	\N	\N	0
296770	1012	1997-10-16	VYDAJ	VYBER	2800	65582	\N	\N	0
296771	1012	1997-11-12	VYDAJ	VYBER	5200	56257	\N	\N	0
296772	1012	1997-12-04	VYDAJ	VYBER	2600	16651	\N	\N	0
296773	1012	1998-01-17	VYDAJ	VYBER	3400	35690	\N	\N	0
296774	1012	1998-02-19	VYDAJ	VYBER	4500	38796	\N	\N	0
296775	1012	1998-03-24	VYDAJ	VYBER	5400	34783	\N	\N	0
296776	1012	1998-04-13	VYDAJ	VYBER	3000	56581	\N	\N	0
296777	1012	1998-05-19	VYDAJ	VYBER	4600	45479	\N	\N	0
296778	1012	1998-06-12	VYDAJ	VYBER	6200	72711	\N	\N	0
296779	1012	1998-07-11	VYDAJ	VYBER	5300	72125	\N	\N	0
296780	1012	1998-08-06	VYDAJ	VYBER	4800	30086	\N	\N	0
296781	1012	1998-09-03	VYDAJ	VYBER	2400	40120	\N	\N	0
296782	1012	1998-10-03	VYDAJ	VYBER	3800	24488	\N	\N	0
296783	1012	1998-10-29	VYDAJ	VYBER	3800	33933	\N	\N	0
296784	1012	1998-12-19	VYDAJ	VYBER	3900	44530	\N	\N	0
296793	1012	1994-11-15	VYBER	VYBER	18933	49832	\N	\N	\N
296794	1012	1995-11-07	VYBER	VYBER	13661	9506	\N	\N	\N
296795	1012	1995-07-13	VYBER	VYBER	16525	45241	\N	\N	\N
296796	1012	1995-12-06	VYBER	VYBER	3582	14123	\N	\N	\N
296797	1012	1995-09-26	VYBER	VYBER	10145	24648	\N	\N	\N
296798	1012	1995-04-21	VYBER	VYBER	15134	48291	\N	\N	\N
296799	1012	1995-08-11	VYBER	VYBER	21813	41747	\N	\N	\N
296800	1012	1995-01-06	VYBER	VYBER	2409	42027	\N	\N	\N
296801	1012	1995-09-24	VYBER	VYBER	20722	34793	\N	\N	\N
296802	1012	1995-06-02	VYBER	VYBER	24547	8854	\N	\N	\N
296803	1012	1995-05-10	VYBER	VYBER	24519	43063	\N	\N	\N
296804	1012	1995-12-26	VYBER	VYBER	24723	22127	\N	\N	\N
296805	1012	1995-11-19	VYBER	VYBER	19155	10806	\N	\N	\N
296806	1012	1995-05-27	VYBER	VYBER	5882	33091	\N	\N	\N
296807	1012	1996-02-21	VYBER	VYBER	14576	30086	\N	\N	\N
296808	1012	1996-08-05	VYBER	VYBER	21978	3275	\N	\N	\N
296809	1012	1996-02-24	VYBER	VYBER	10371	19715	\N	\N	\N
296810	1012	1996-09-15	VYBER	VYBER	18371	25008	\N	\N	\N
296811	1012	1996-06-17	VYBER	VYBER	10085	46210	\N	\N	\N
296812	1012	1996-04-05	VYBER	VYBER	6376	23203	\N	\N	\N
296814	1012	1996-03-29	VYBER	VYBER	15345	24435	\N	\N	\N
296816	1012	1996-08-05	VYBER	VYBER	13558	25253	\N	\N	\N
296817	1012	1996-06-03	VYBER	VYBER	16935	23568	\N	\N	\N
296818	1012	1996-07-04	VYBER	VYBER	13523	27729	\N	\N	\N
296819	1012	1996-09-18	VYBER	VYBER	12137	12871	\N	\N	\N
296820	1012	1997-12-25	VYBER	VYBER	22842	21227	\N	\N	\N
296821	1012	1997-09-25	VYBER	VYBER	5019	43462	\N	\N	\N
296822	1012	1997-07-08	VYBER	VYBER	7273	38306	\N	\N	\N
296823	1012	1997-05-17	VYBER	VYBER	8066	60633	\N	\N	\N
296824	1012	1997-09-12	VYBER	VYBER	12294	63981	\N	\N	\N
296825	1012	1997-10-21	VYBER	VYBER	12617	43503	\N	\N	\N
296826	1012	1997-10-19	VYBER	VYBER	9462	56120	\N	\N	\N
296827	1012	1997-08-11	VYBER	VYBER	7037	66632	\N	\N	\N
296828	1012	1997-03-01	VYBER	VYBER	23450	12735	\N	\N	\N
296829	1012	1997-01-04	VYBER	VYBER	20775	15201	\N	\N	\N
296830	1012	1997-11-27	VYBER	VYBER	11664	18997	\N	\N	\N
296831	1012	1997-03-11	VYBER	VYBER	6844	27836	\N	\N	\N
296832	1012	1997-11-17	VYBER	VYBER	2596	53661	\N	\N	\N
296833	1012	1998-05-06	VYBER	VYBER	22642	25534	\N	\N	\N
296834	1012	1998-09-11	VYBER	VYBER	21704	42961	\N	\N	\N
296841	1012	1995-01-09	VYDAJ	VYBER	3300	31527	\N	\N	\N
296842	1012	1996-01-26	VYDAJ	VYBER	6000	22715	\N	\N	\N
296844	1012	1998-01-23	VYDAJ	VYBER	10200	18590	\N	\N	\N
296845	1012	1994-12-19	VYDAJ	VYBER	3300	65531	\N	\N	\N
296846	1012	1995-12-04	VYDAJ	VYBER	6900	17705	\N	\N	\N
296847	1012	1996-12-16	VYDAJ	VYBER	3900	73298	\N	\N	\N
296849	1012	1998-12-22	VYDAJ	VYBER	1500	43030	\N	\N	\N
296856	1012	1995-01-07	VYDAJ	VYBER	3600	38427	\N	\N	\N
296857	1012	1995-01-17	VYDAJ	VYBER	8400	35482	\N	\N	\N
296858	1012	1995-01-02	VYDAJ	VYBER	6600	59436	\N	\N	\N
296859	1012	1995-01-29	VYDAJ	VYBER	6300	25882	\N	\N	\N
296860	1012	1995-01-08	VYDAJ	VYBER	3600	34827	\N	\N	\N
296861	1012	1995-01-24	VYDAJ	VYBER	3300	32182	\N	\N	\N
296862	1012	1996-01-28	VYDAJ	VYBER	8400	14315	\N	\N	\N
296863	1012	1996-01-08	VYDAJ	VYBER	6900	15461	\N	\N	\N
296864	1012	1996-01-10	VYDAJ	VYBER	1800	38206	\N	\N	\N
296865	1012	1996-01-03	VYDAJ	VYBER	5400	22361	\N	\N	\N
296866	1012	1996-01-12	VYDAJ	VYBER	2700	31415	\N	\N	\N
296867	1012	1996-01-22	VYDAJ	VYBER	2700	28715	\N	\N	\N
296868	1012	1997-01-13	VYDAJ	VYBER	6900	28046	\N	\N	\N
296869	1012	1997-01-21	VYDAJ	VYBER	3000	21246	\N	\N	\N
296870	1012	1997-01-28	VYDAJ	VYBER	2100	19646	\N	\N	\N
296871	1012	1997-01-03	VYDAJ	VYBER	3000	35976	\N	\N	\N
296872	1012	1997-01-30	VYDAJ	VYBER	6900	12746	\N	\N	\N
296873	1012	1997-01-13	VYDAJ	VYBER	4800	34946	\N	\N	\N
296874	1012	1998-01-18	VYDAJ	VYBER	7500	25790	\N	\N	\N
296875	1012	1998-01-23	VYDAJ	VYBER	3300	28790	\N	\N	\N
296876	1012	1998-01-10	VYDAJ	VYBER	1800	44190	\N	\N	\N
296878	1012	1998-01-16	VYDAJ	VYBER	5100	39090	\N	\N	\N
296879	1012	1998-01-17	VYDAJ	VYBER	2400	33290	\N	\N	\N
296880	1012	1994-12-19	VYDAJ	VYBER	3600	68831	\N	\N	\N
296882	1012	1995-10-25	VYDAJ	VYBER	10500	13324	\N	\N	\N
296883	1012	1995-01-15	VYDAJ	VYBER	8100	43882	\N	\N	\N
296884	1012	1995-09-27	VYDAJ	VYBER	6000	18648	\N	\N	\N
296885	1012	1995-10-27	VYDAJ	VYBER	2400	10924	\N	\N	\N
296886	1012	1995-10-02	VYDAJ	VYBER	14100	17770	\N	\N	\N
296887	1012	1995-10-10	VYDAJ	VYBER	14400	27915	\N	\N	\N
296888	1012	1996-03-04	VYDAJ	VYBER	5700	19325	\N	\N	\N
296889	1012	1996-05-21	VYDAJ	VYBER	8100	43804	\N	\N	\N
296890	1012	1996-12-29	VYDAJ	VYBER	11400	43298	\N	\N	\N
296891	1012	1996-09-13	VYDAJ	VYBER	2700	43379	\N	\N	\N
296892	1012	1996-04-06	VYDAJ	VYBER	12600	10603	\N	\N	\N
296893	1012	1996-11-16	VYDAJ	VYBER	13200	44119	\N	\N	\N
296894	1012	1996-08-15	VYDAJ	VYBER	7800	15920	\N	\N	\N
296895	1012	1997-01-26	VYDAJ	VYBER	7500	21746	\N	\N	\N
296896	1012	1997-06-07	VYDAJ	VYBER	11400	24816	\N	\N	\N
296897	1012	1997-05-26	VYDAJ	VYBER	8100	40133	\N	\N	\N
296898	1012	1997-11-22	VYDAJ	VYBER	12300	30661	\N	\N	\N
296900	1012	1997-06-16	VYDAJ	VYBER	3000	58634	\N	\N	\N
296901	1012	1998-09-23	VYDAJ	VYBER	5400	28061	\N	\N	\N
296902	1012	1998-06-28	VYDAJ	VYBER	2700	52511	\N	\N	\N
296903	1012	1998-12-04	VYDAJ	VYBER	2400	35112	\N	\N	\N
296904	1012	1998-08-01	VYDAJ	VYBER	13500	34886	\N	\N	\N
296905	1012	1998-07-12	VYDAJ	VYBER	10200	61925	\N	\N	\N
296906	1012	1998-03-23	VYDAJ	VYBER	12300	40183	\N	\N	\N
296918	1012	1994-11-30	VYDAJ	VYBER	15	50304	SLUZBY	\N	\N
296919	1012	1994-12-31	VYDAJ	VYBER	15	66036	SLUZBY	\N	\N
296920	1012	1995-01-31	VYDAJ	VYBER	15	26205	SLUZBY	\N	\N
296921	1012	1995-02-28	VYDAJ	VYBER	15	48880	SLUZBY	\N	\N
296922	1012	1995-03-31	VYDAJ	VYBER	15	58571	SLUZBY	\N	\N
296923	1012	1995-04-30	VYDAJ	VYBER	15	48737	SLUZBY	\N	\N
296924	1012	1995-05-31	VYDAJ	VYBER	15	33401	SLUZBY	\N	\N
296925	1012	1995-06-30	VYDAJ	VYBER	15	52011	SLUZBY	\N	\N
296926	1012	1995-07-31	VYDAJ	VYBER	15	45615	SLUZBY	\N	\N
296927	1012	1995-08-31	VYDAJ	VYBER	15	37961	SLUZBY	\N	\N
296928	1012	1995-09-30	VYDAJ	VYBER	15	18970	SLUZBY	\N	\N
296929	1012	1995-10-31	VYDAJ	VYBER	15	11067	SLUZBY	\N	\N
296930	1012	1995-11-30	VYDAJ	VYBER	15	10905	SLUZBY	\N	\N
296931	1012	1995-12-31	VYDAJ	VYBER	15	27761	SLUZBY	\N	\N
296932	1012	1996-01-31	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
296933	1012	1996-02-29	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
296934	1012	1996-03-31	VYDAJ	VYBER	15	29579	SLUZBY	\N	\N
296935	1012	1996-04-30	VYDAJ	VYBER	15	31449	SLUZBY	\N	\N
296936	1012	1996-05-31	VYDAJ	VYBER	15	40503	SLUZBY	\N	\N
296937	1012	1996-06-30	VYDAJ	VYBER	15	41252	SLUZBY	\N	\N
296938	1012	1996-07-31	VYDAJ	VYBER	15	38811	SLUZBY	\N	\N
296939	1012	1996-08-31	VYDAJ	VYBER	15	25634	SLUZBY	\N	\N
296940	1012	1996-09-30	VYDAJ	VYBER	15	19913	SLUZBY	\N	\N
296941	1012	1996-10-31	VYDAJ	VYBER	15	32774	SLUZBY	\N	\N
296942	1012	1996-11-30	VYDAJ	VYBER	15	40380	SLUZBY	\N	\N
296943	1012	1996-12-31	VYDAJ	VYBER	15	38976	SLUZBY	\N	\N
296944	1012	1997-01-31	VYDAJ	VYBER	15	12896	SLUZBY	\N	\N
296945	1012	1997-02-28	VYDAJ	VYBER	15	36185	SLUZBY	\N	\N
296946	1012	1997-03-31	VYDAJ	VYBER	15	34590	SLUZBY	\N	\N
296947	1012	1997-04-30	VYDAJ	VYBER	15	46754	SLUZBY	\N	\N
296948	1012	1997-05-31	VYDAJ	VYBER	15	40516	SLUZBY	\N	\N
296949	1012	1997-06-30	VYDAJ	VYBER	15	45579	SLUZBY	\N	\N
296950	1012	1997-07-31	VYDAJ	VYBER	15	49124	SLUZBY	\N	\N
296951	1012	1997-08-31	VYDAJ	VYBER	15	51730	SLUZBY	\N	\N
296952	1012	1997-09-30	VYDAJ	VYBER	15	43837	SLUZBY	\N	\N
296953	1012	1997-10-31	VYDAJ	VYBER	15	36912	SLUZBY	\N	\N
296954	1012	1997-11-30	VYDAJ	VYBER	15	19251	SLUZBY	\N	\N
296955	1012	1997-12-31	VYDAJ	VYBER	15	21445	SLUZBY	\N	\N
296956	1012	1998-01-31	VYDAJ	VYBER	15	18751	SLUZBY	\N	\N
296957	1012	1998-02-28	VYDAJ	VYBER	15	38938	SLUZBY	\N	\N
296958	1012	1998-03-31	VYDAJ	VYBER	15	35036	SLUZBY	\N	\N
296959	1012	1998-04-30	VYDAJ	VYBER	15	48176	SLUZBY	\N	\N
296960	1012	1998-05-31	VYDAJ	VYBER	15	42093	SLUZBY	\N	\N
296961	1012	1998-06-30	VYDAJ	VYBER	15	52880	SLUZBY	\N	\N
296962	1012	1998-07-31	VYDAJ	VYBER	15	48386	SLUZBY	\N	\N
296963	1012	1998-08-31	VYDAJ	VYBER	15	42520	SLUZBY	\N	\N
296964	1012	1998-09-30	VYDAJ	VYBER	15	28288	SLUZBY	\N	\N
296965	1012	1998-10-31	VYDAJ	VYBER	15	34155	SLUZBY	\N	\N
296966	1012	1998-11-30	VYDAJ	VYBER	15	37512	SLUZBY	\N	\N
296967	1012	1994-08-08	VYDAJ	VYBER	1400	23793	\N	\N	\N
296968	1012	1994-09-07	VYDAJ	VYBER	11100	37584	\N	\N	\N
296969	1012	1994-10-07	VYDAJ	VYBER	18200	44411	\N	\N	\N
296970	1012	1994-11-06	VYDAJ	VYBER	21200	48311	\N	\N	\N
296971	1012	1994-12-06	VYDAJ	VYBER	10600	39704	\N	\N	\N
296972	1012	1995-01-05	VYDAJ	VYBER	15000	44436	\N	\N	\N
296973	1012	1995-02-04	PRIJEM	VKLAD	1900	28105	\N	\N	\N
296974	1012	1995-03-06	VYDAJ	VYBER	11200	37680	\N	\N	\N
296975	1012	1995-04-05	VYDAJ	VYBER	15600	42971	\N	\N	\N
296976	1012	1995-05-05	VYDAJ	VYBER	5700	43037	\N	\N	\N
296977	1012	1995-06-04	PRIJEM	VKLAD	10100	18954	\N	\N	\N
296978	1012	1995-07-04	VYDAJ	VYBER	10700	41311	\N	\N	\N
296979	1012	1995-08-03	VYDAJ	VYBER	6600	39015	\N	\N	\N
296980	1012	1995-09-02	VYDAJ	VYBER	2900	35061	\N	\N	\N
296981	1012	1995-10-02	PRIJEM	VKLAD	12900	31870	\N	\N	\N
296982	1012	1995-11-01	PRIJEM	VKLAD	12100	23167	\N	\N	\N
296983	1012	1995-12-01	PRIJEM	VKLAD	13700	24605	\N	\N	\N
296984	1012	1995-12-31	PRIJEM	VKLAD	5400	27651	\N	\N	\N
296985	1012	1996-01-30	PRIJEM	VKLAD	9700	24015	\N	\N	\N
296986	1012	1996-02-29	PRIJEM	VKLAD	5100	24928	\N	\N	\N
296987	1012	1996-03-30	PRIJEM	VKLAD	4900	29335	\N	\N	\N
296988	1012	1996-04-29	PRIJEM	VKLAD	200	31258	\N	\N	\N
296989	1012	1996-05-29	VYDAJ	VYBER	3600	40204	\N	\N	\N
296990	1012	1996-06-28	VYDAJ	VYBER	5300	40910	\N	\N	\N
296991	1012	1996-07-28	VYDAJ	VYBER	9700	38483	\N	\N	\N
296992	1012	1996-08-27	PRIJEM	VKLAD	9600	25520	\N	\N	\N
296993	1012	1996-09-26	PRIJEM	VKLAD	6900	19771	\N	\N	\N
296994	1012	1996-10-26	VYDAJ	VYBER	4500	35858	\N	\N	\N
296995	1012	1996-11-25	VYDAJ	VYBER	4000	40119	\N	\N	\N
296996	1012	1996-12-25	VYDAJ	VYBER	18600	54698	\N	\N	\N
296997	1012	1997-01-24	PRIJEM	VKLAD	8000	29246	\N	\N	\N
296998	1012	1997-02-23	PRIJEM	VKLAD	1600	36041	\N	\N	\N
296999	1012	1997-03-25	PRIJEM	VKLAD	6600	34436	\N	\N	\N
297000	1012	1997-04-24	VYDAJ	VYBER	9400	46435	\N	\N	\N
297001	1012	1997-05-24	VYDAJ	VYBER	12400	48233	\N	\N	\N
297002	1012	1997-06-23	VYDAJ	VYBER	13400	45234	\N	\N	\N
297003	1012	1997-07-23	VYDAJ	VYBER	10100	48751	\N	\N	\N
297004	1012	1997-08-22	VYDAJ	VYBER	12900	51332	\N	\N	\N
297005	1012	1997-09-21	VYDAJ	VYBER	12500	48481	\N	\N	\N
297006	1012	1997-10-21	VYDAJ	VYBER	6900	36603	\N	\N	\N
297007	1012	1997-11-20	VYDAJ	VYBER	10700	42961	\N	\N	\N
297008	1012	1997-12-20	VYDAJ	VYBER	9400	44069	\N	\N	\N
297009	1012	1998-01-19	PRIJEM	VKLAD	6300	32090	\N	\N	\N
297010	1012	1998-03-20	VYDAJ	VYBER	11000	52483	\N	\N	\N
297011	1012	1998-04-19	VYDAJ	VYBER	8700	47881	\N	\N	\N
297012	1012	1998-05-19	VYDAJ	VYBER	3700	41779	\N	\N	\N
297013	1012	1998-06-18	VYDAJ	VYBER	17500	55211	\N	\N	\N
297014	1012	1998-07-18	VYDAJ	VYBER	13900	48025	\N	\N	\N
297015	1012	1998-08-17	VYDAJ	VYBER	12400	42231	\N	\N	\N
297016	1012	1998-09-16	VYDAJ	VYBER	9500	33461	\N	\N	\N
297017	1012	1998-10-16	VYDAJ	VYBER	11300	37733	\N	\N	\N
297018	1012	1998-11-15	VYDAJ	VYBER	21400	37300	\N	\N	\N
297019	1012	1998-12-15	VYDAJ	VYBER	23500	48430	\N	\N	\N
297079	1013	1996-05-13	PRIJEM	VKLAD	300	300	\N	\N	\N
297085	1013	1996-06-08	PRIJEM	PREVOD Z UCTU	3122	3422	\N	EF	51454699
297086	1013	1996-07-08	PRIJEM	PREVOD Z UCTU	3122	6544	\N	EF	51454699
297087	1013	1996-08-08	PRIJEM	PREVOD Z UCTU	3122	9666	\N	EF	51454699
297088	1013	1996-09-08	PRIJEM	PREVOD Z UCTU	3122	12788	\N	EF	51454699
297089	1013	1996-10-08	PRIJEM	PREVOD Z UCTU	3122	15910	\N	EF	51454699
297090	1013	1996-11-08	PRIJEM	PREVOD Z UCTU	3122	15714	\N	EF	51454699
297091	1013	1996-12-08	PRIJEM	PREVOD Z UCTU	3122	16796	\N	EF	51454699
297092	1013	1997-01-08	PRIJEM	PREVOD Z UCTU	3122	16742	\N	EF	51454699
297093	1013	1997-02-08	PRIJEM	PREVOD Z UCTU	3122	15605	\N	EF	51454699
297094	1013	1997-03-08	PRIJEM	PREVOD Z UCTU	3122	16687	\N	EF	51454699
297095	1013	1997-04-08	PRIJEM	PREVOD Z UCTU	3122	17773	\N	EF	51454699
297096	1013	1997-05-08	PRIJEM	PREVOD Z UCTU	3122	18863	\N	EF	51454699
297097	1013	1997-06-08	PRIJEM	PREVOD Z UCTU	3122	19958	\N	EF	51454699
297098	1013	1997-07-08	PRIJEM	PREVOD Z UCTU	3122	16218	\N	EF	51454699
297099	1013	1997-08-08	PRIJEM	PREVOD Z UCTU	3122	16371	\N	EF	51454699
297100	1013	1997-09-08	PRIJEM	PREVOD Z UCTU	3122	16134	\N	EF	51454699
297101	1013	1997-10-08	PRIJEM	PREVOD Z UCTU	3122	17217	\N	EF	51454699
297102	1013	1997-11-08	PRIJEM	PREVOD Z UCTU	3122	17345	\N	EF	51454699
297103	1013	1997-12-08	PRIJEM	PREVOD Z UCTU	3122	18434	\N	EF	51454699
297104	1013	1998-01-08	PRIJEM	PREVOD Z UCTU	3122	16826	\N	EF	51454699
297105	1013	1998-02-08	PRIJEM	PREVOD Z UCTU	3122	16232	\N	EF	51454699
297106	1013	1998-03-08	PRIJEM	PREVOD Z UCTU	3122	17316	\N	EF	51454699
297107	1013	1998-04-08	PRIJEM	PREVOD Z UCTU	3122	18405	\N	EF	51454699
297108	1013	1998-05-08	PRIJEM	PREVOD Z UCTU	3122	19497	\N	EF	51454699
297109	1013	1998-06-08	PRIJEM	PREVOD Z UCTU	3122	20595	\N	EF	51454699
297110	1013	1998-07-08	PRIJEM	PREVOD Z UCTU	3122	21697	\N	EF	51454699
297111	1013	1998-08-08	PRIJEM	PREVOD Z UCTU	3122	22804	\N	EF	51454699
297112	1013	1998-09-08	PRIJEM	PREVOD Z UCTU	3122	23915	\N	EF	51454699
297113	1013	1998-10-08	PRIJEM	PREVOD Z UCTU	3122	24610	\N	EF	51454699
297114	1013	1998-11-08	PRIJEM	PREVOD Z UCTU	3122	25729	\N	EF	51454699
297115	1013	1998-12-08	PRIJEM	PREVOD Z UCTU	3122	26852	\N	EF	51454699
297125	1013	1996-10-10	VYDAJ	PREVOD NA UCET	2081	13829	SIPO	ST	88824516
297126	1013	1996-11-10	VYDAJ	PREVOD NA UCET	2081	13633	SIPO	ST	88824516
297127	1013	1996-12-10	VYDAJ	PREVOD NA UCET	2081	14715	SIPO	ST	88824516
297128	1013	1997-01-10	VYDAJ	PREVOD NA UCET	2081	14661	SIPO	ST	88824516
297129	1013	1997-02-10	VYDAJ	PREVOD NA UCET	2081	13524	SIPO	ST	88824516
297130	1013	1997-03-10	VYDAJ	PREVOD NA UCET	2081	14606	SIPO	ST	88824516
297131	1013	1997-04-10	VYDAJ	PREVOD NA UCET	2081	15692	SIPO	ST	88824516
297132	1013	1997-05-10	VYDAJ	PREVOD NA UCET	2081	16782	SIPO	ST	88824516
297133	1013	1997-06-10	VYDAJ	PREVOD NA UCET	2081	17877	SIPO	ST	88824516
297134	1013	1997-07-10	VYDAJ	PREVOD NA UCET	2081	14137	SIPO	ST	88824516
297135	1013	1997-08-10	VYDAJ	PREVOD NA UCET	2081	14290	SIPO	ST	88824516
297136	1013	1997-09-10	VYDAJ	PREVOD NA UCET	2081	14053	SIPO	ST	88824516
297137	1013	1997-10-10	VYDAJ	PREVOD NA UCET	2081	15136	SIPO	ST	88824516
297138	1013	1997-11-10	VYDAJ	PREVOD NA UCET	2081	15264	SIPO	ST	88824516
297139	1013	1997-12-10	VYDAJ	PREVOD NA UCET	2081	16353	SIPO	ST	88824516
297140	1013	1998-01-10	VYDAJ	PREVOD NA UCET	2081	14745	SIPO	ST	88824516
297141	1013	1998-02-10	VYDAJ	PREVOD NA UCET	2081	14151	SIPO	ST	88824516
297142	1013	1998-03-10	VYDAJ	PREVOD NA UCET	2081	15235	SIPO	ST	88824516
297143	1013	1998-04-10	VYDAJ	PREVOD NA UCET	2081	16324	SIPO	ST	88824516
297144	1013	1998-05-10	VYDAJ	PREVOD NA UCET	2081	17416	SIPO	ST	88824516
297145	1013	1998-06-10	VYDAJ	PREVOD NA UCET	2081	18514	SIPO	ST	88824516
297146	1013	1998-07-10	VYDAJ	PREVOD NA UCET	2081	19616	SIPO	ST	88824516
297147	1013	1998-08-10	VYDAJ	PREVOD NA UCET	2081	20723	SIPO	ST	88824516
297148	1013	1998-09-10	VYDAJ	PREVOD NA UCET	2081	21834	SIPO	ST	88824516
297149	1013	1998-10-10	VYDAJ	PREVOD NA UCET	2081	22529	SIPO	ST	88824516
297150	1013	1998-11-10	VYDAJ	PREVOD NA UCET	2081	23648	SIPO	ST	88824516
297151	1013	1998-12-10	VYDAJ	PREVOD NA UCET	2081	24771	SIPO	ST	88824516
297153	1013	1997-06-16	VYDAJ	VYBER	2580	14157	\N	\N	\N
297158	1013	1996-12-25	VYDAJ	VYBER	180	14265	\N	\N	\N
297159	1013	1997-12-23	VYDAJ	VYBER	810	15543	\N	\N	\N
297160	1013	1998-12-25	VYDAJ	VYBER	180	23181	\N	\N	\N
297168	1013	1997-01-24	VYDAJ	VYBER	810	12441	\N	\N	\N
297169	1013	1997-01-15	VYDAJ	VYBER	180	13821	\N	\N	\N
297170	1013	1997-01-04	VYDAJ	VYBER	690	13620	\N	\N	\N
297171	1013	1997-01-20	VYDAJ	VYBER	570	13251	\N	\N	\N
297172	1013	1997-01-13	VYDAJ	VYBER	660	14001	\N	\N	\N
297173	1013	1998-01-27	VYDAJ	VYBER	630	13635	\N	\N	\N
297174	1013	1998-01-03	VYDAJ	VYBER	690	14454	\N	\N	\N
297175	1013	1998-01-14	VYDAJ	VYBER	330	14415	\N	\N	\N
297176	1013	1998-01-16	VYDAJ	VYBER	150	14265	\N	\N	\N
297177	1013	1998-01-27	VYDAJ	VYBER	570	13065	\N	\N	\N
297178	1013	1998-01-06	VYDAJ	VYBER	750	13704	\N	\N	\N
297183	1013	1996-10-12	VYDAJ	VYBER	1260	12569	\N	\N	\N
297184	1013	1996-12-15	VYDAJ	VYBER	270	14445	\N	\N	\N
297186	1013	1997-12-25	VYDAJ	VYBER	450	15093	\N	\N	\N
297187	1013	1997-07-31	VYDAJ	VYBER	930	13264	\N	\N	\N
297188	1013	1997-06-20	VYDAJ	VYBER	1110	13047	\N	\N	\N
297189	1013	1997-06-11	VYDAJ	VYBER	1140	16737	\N	\N	\N
297190	1013	1997-10-31	VYDAJ	VYBER	960	14238	\N	\N	\N
297191	1013	1997-08-19	VYDAJ	VYBER	1320	12970	\N	\N	\N
297192	1013	1998-09-14	VYDAJ	VYBER	420	21414	\N	\N	\N
297193	1013	1998-12-19	VYDAJ	VYBER	1410	23361	\N	\N	\N
297205	1013	1996-10-31	VYDAJ	VYBER	15	12592	SLUZBY	\N	\N
297206	1013	1996-11-30	VYDAJ	VYBER	15	13674	SLUZBY	\N	\N
297207	1013	1996-12-31	VYDAJ	VYBER	15	14310	SLUZBY	\N	\N
297208	1013	1997-01-31	VYDAJ	VYBER	15	12483	SLUZBY	\N	\N
297209	1013	1997-02-28	VYDAJ	VYBER	15	13565	SLUZBY	\N	\N
297210	1013	1997-03-31	VYDAJ	VYBER	15	14651	SLUZBY	\N	\N
297211	1013	1997-04-30	VYDAJ	VYBER	15	15741	SLUZBY	\N	\N
297212	1013	1997-05-31	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
297213	1013	1997-06-30	VYDAJ	VYBER	15	13096	SLUZBY	\N	\N
297214	1013	1997-07-31	VYDAJ	VYBER	15	13249	SLUZBY	\N	\N
297215	1013	1997-08-31	VYDAJ	VYBER	15	13012	SLUZBY	\N	\N
297216	1013	1997-09-30	VYDAJ	VYBER	15	14095	SLUZBY	\N	\N
297217	1013	1997-10-31	VYDAJ	VYBER	15	14223	SLUZBY	\N	\N
297218	1013	1997-11-30	VYDAJ	VYBER	15	15312	SLUZBY	\N	\N
297219	1013	1997-12-31	VYDAJ	VYBER	15	15144	SLUZBY	\N	\N
297220	1013	1998-01-31	VYDAJ	VYBER	15	13110	SLUZBY	\N	\N
297221	1013	1998-02-28	VYDAJ	VYBER	15	14194	SLUZBY	\N	\N
297222	1013	1998-03-31	VYDAJ	VYBER	15	15283	SLUZBY	\N	\N
297223	1013	1998-04-30	VYDAJ	VYBER	15	16375	SLUZBY	\N	\N
297224	1013	1998-05-31	VYDAJ	VYBER	15	17473	SLUZBY	\N	\N
297225	1013	1998-06-30	VYDAJ	VYBER	15	18575	SLUZBY	\N	\N
297226	1013	1998-07-31	VYDAJ	VYBER	15	19682	SLUZBY	\N	\N
297227	1013	1998-08-31	VYDAJ	VYBER	15	20793	SLUZBY	\N	\N
297228	1013	1998-09-30	VYDAJ	VYBER	15	21488	SLUZBY	\N	\N
297229	1013	1998-10-31	VYDAJ	VYBER	15	22607	SLUZBY	\N	\N
297230	1013	1998-11-30	VYDAJ	VYBER	15	23730	SLUZBY	\N	\N
297258	1014	1996-03-20	PRIJEM	VKLAD	800	800	\N	\N	\N
297259	1014	1996-04-22	PRIJEM	VKLAD	3743	15543	\N	\N	\N
297261	1014	1997-01-07	PRIJEM	VKLAD	47875	69271	\N	\N	\N
297262	1014	1997-07-17	PRIJEM	VKLAD	38943	57647	\N	\N	\N
297263	1014	1998-07-24	PRIJEM	VKLAD	24058	40420	\N	\N	\N
297264	1014	1998-11-18	PRIJEM	VKLAD	23554	38902	\N	\N	\N
297268	1014	1996-04-13	PRIJEM	VKLAD	1400	2200	\N	\N	\N
297269	1014	1996-05-16	PRIJEM	VKLAD	1400	16967	\N	\N	\N
297270	1014	1996-06-15	PRIJEM	VKLAD	1400	22241	\N	\N	\N
297271	1014	1996-07-16	PRIJEM	VKLAD	1400	26936	\N	\N	\N
297272	1014	1996-08-17	PRIJEM	VKLAD	1400	25224	\N	\N	\N
297273	1014	1996-09-16	PRIJEM	VKLAD	1400	23408	\N	\N	\N
297274	1014	1996-10-15	PRIJEM	VKLAD	1400	24885	\N	\N	\N
297275	1014	1996-11-15	PRIJEM	VKLAD	1400	25473	\N	\N	\N
297276	1014	1996-12-13	PRIJEM	VKLAD	1400	24415	\N	\N	\N
297277	1014	1997-01-14	PRIJEM	VKLAD	1400	69121	\N	\N	\N
297278	1014	1997-02-17	PRIJEM	VKLAD	1400	31792	\N	\N	\N
297279	1014	1997-03-16	PRIJEM	VKLAD	1400	29036	\N	\N	\N
297280	1014	1997-04-14	PRIJEM	VKLAD	1400	30548	\N	\N	\N
297281	1014	1997-05-15	PRIJEM	VKLAD	1400	24391	\N	\N	\N
297282	1014	1997-06-15	PRIJEM	VKLAD	1400	22423	\N	\N	\N
297283	1014	1997-07-16	PRIJEM	VKLAD	1400	18704	\N	\N	\N
297284	1014	1997-08-17	PRIJEM	VKLAD	1400	39247	\N	\N	\N
297285	1014	1997-09-13	PRIJEM	VKLAD	1400	29430	\N	\N	\N
297286	1014	1997-10-16	PRIJEM	VKLAD	1400	22455	\N	\N	\N
297287	1014	1997-11-15	PRIJEM	VKLAD	1400	18898	\N	\N	\N
297288	1014	1997-12-14	PRIJEM	VKLAD	1400	18465	\N	\N	\N
297289	1014	1998-01-16	PRIJEM	VKLAD	1400	15426	\N	\N	\N
297290	1014	1998-02-15	PRIJEM	VKLAD	1400	14025	\N	\N	\N
297291	1014	1998-03-14	PRIJEM	VKLAD	1400	13471	\N	\N	\N
297292	1014	1998-04-15	PRIJEM	VKLAD	1400	15213	\N	\N	\N
297293	1014	1998-05-16	PRIJEM	VKLAD	1400	16358	\N	\N	\N
297294	1014	1998-06-14	PRIJEM	VKLAD	1400	17809	\N	\N	\N
297295	1014	1998-07-15	PRIJEM	VKLAD	1400	16362	\N	\N	\N
297296	1014	1998-08-16	PRIJEM	VKLAD	1400	28302	\N	\N	\N
297297	1014	1998-09-14	PRIJEM	VKLAD	1400	17729	\N	\N	\N
297298	1014	1998-10-16	PRIJEM	VKLAD	1400	13905	\N	\N	\N
297299	1014	1998-11-17	PRIJEM	VKLAD	1400	15348	\N	\N	\N
297300	1014	1998-12-15	PRIJEM	VKLAD	1400	23390	\N	\N	\N
297305	1014	1997-01-20	VYDAJ	VYBER	1400	45571	\N	\N	\N
297310	1014	1996-12-19	VYDAJ	VYBER	500	21315	\N	\N	\N
297311	1014	1997-12-20	VYDAJ	VYBER	1100	17365	\N	\N	\N
297312	1014	1998-12-12	VYDAJ	VYBER	1500	21990	\N	\N	\N
297319	1014	1997-01-16	VYDAJ	VYBER	800	46971	\N	\N	\N
297320	1014	1997-01-30	VYDAJ	VYBER	1200	42721	\N	\N	\N
297321	1014	1997-01-08	VYDAJ	VYBER	400	68871	\N	\N	\N
297322	1014	1997-01-28	VYDAJ	VYBER	550	43921	\N	\N	\N
297323	1014	1997-01-14	VYDAJ	VYBER	950	48471	\N	\N	\N
297324	1014	1997-01-15	VYDAJ	VYBER	700	47771	\N	\N	\N
297325	1014	1998-01-03	VYDAJ	VYBER	450	16326	\N	\N	\N
297326	1014	1998-01-01	VYDAJ	VYBER	650	16776	\N	\N	\N
297327	1014	1998-01-08	VYDAJ	VYBER	700	15176	\N	\N	\N
297328	1014	1998-01-17	VYDAJ	VYBER	350	15076	\N	\N	\N
297329	1014	1998-01-12	VYDAJ	VYBER	1150	14026	\N	\N	\N
297330	1014	1998-01-06	VYDAJ	VYBER	450	15876	\N	\N	\N
297331	1014	1996-11-30	VYDAJ	VYBER	2150	23015	\N	\N	\N
297333	1014	1996-11-09	VYDAJ	VYBER	1900	24073	\N	\N	\N
297334	1014	1996-08-26	VYDAJ	VYBER	2400	21724	\N	\N	\N
297338	1014	1997-11-01	VYDAJ	VYBER	1250	21298	\N	\N	\N
297339	1014	1997-04-21	VYDAJ	VYBER	1950	21398	\N	\N	\N
297340	1014	1997-03-13	VYDAJ	VYBER	600	31336	\N	\N	\N
297341	1014	1997-08-15	VYDAJ	VYBER	350	37847	\N	\N	\N
297342	1014	1997-01-22	VYDAJ	VYBER	1100	44471	\N	\N	\N
297343	1014	1997-01-13	VYDAJ	VYBER	1150	67721	\N	\N	\N
297344	1014	1997-04-17	VYDAJ	VYBER	1800	23348	\N	\N	\N
297345	1014	1997-06-09	VYDAJ	VYBER	450	24023	\N	\N	\N
297346	1014	1998-10-04	VYDAJ	VYBER	2200	15605	\N	\N	\N
297348	1014	1998-08-16	VYDAJ	VYBER	900	27402	\N	\N	\N
297356	1014	1996-07-31	VYDAJ	VYBER	15	23824	SLUZBY	\N	\N
297357	1014	1996-08-31	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
297358	1014	1996-09-30	VYDAJ	VYBER	15	23485	SLUZBY	\N	\N
297359	1014	1996-10-31	VYDAJ	VYBER	15	25973	SLUZBY	\N	\N
297360	1014	1996-11-30	VYDAJ	VYBER	15	25165	SLUZBY	\N	\N
297361	1014	1996-12-31	VYDAJ	VYBER	15	21396	SLUZBY	\N	\N
297362	1014	1997-01-31	VYDAJ	VYBER	15	42892	SLUZBY	\N	\N
297363	1014	1997-02-28	VYDAJ	VYBER	15	31936	SLUZBY	\N	\N
297364	1014	1997-03-31	VYDAJ	VYBER	15	29148	SLUZBY	\N	\N
297365	1014	1997-04-30	VYDAJ	VYBER	15	21491	SLUZBY	\N	\N
297366	1014	1997-05-31	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
297367	1014	1997-06-30	VYDAJ	VYBER	15	22504	SLUZBY	\N	\N
297368	1014	1997-07-31	VYDAJ	VYBER	15	57797	SLUZBY	\N	\N
297369	1014	1997-08-31	VYDAJ	VYBER	15	39430	SLUZBY	\N	\N
297370	1014	1997-09-30	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
297371	1014	1997-10-31	VYDAJ	VYBER	15	22548	SLUZBY	\N	\N
297372	1014	1997-11-30	VYDAJ	VYBER	15	18965	SLUZBY	\N	\N
297373	1014	1997-12-31	VYDAJ	VYBER	15	17426	SLUZBY	\N	\N
297374	1014	1998-01-31	VYDAJ	VYBER	15	15125	SLUZBY	\N	\N
297375	1014	1998-02-28	VYDAJ	VYBER	15	14071	SLUZBY	\N	\N
297376	1014	1998-03-31	VYDAJ	VYBER	15	13513	SLUZBY	\N	\N
297377	1014	1998-04-30	VYDAJ	VYBER	15	15258	SLUZBY	\N	\N
297378	1014	1998-05-31	VYDAJ	VYBER	15	16409	SLUZBY	\N	\N
297379	1014	1998-06-30	VYDAJ	VYBER	15	17862	SLUZBY	\N	\N
297380	1014	1998-07-31	VYDAJ	VYBER	15	40502	SLUZBY	\N	\N
297381	1014	1998-08-31	VYDAJ	VYBER	15	27529	SLUZBY	\N	\N
297382	1014	1998-09-30	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
297383	1014	1998-10-31	VYDAJ	VYBER	15	13948	SLUZBY	\N	\N
297384	1014	1998-11-30	VYDAJ	VYBER	15	38990	SLUZBY	\N	\N
297385	1014	1996-04-19	PRIJEM	VKLAD	9600	11800	\N	\N	\N
297386	1014	1996-05-19	PRIJEM	VKLAD	3800	20767	\N	\N	\N
297387	1014	1996-06-18	PRIJEM	VKLAD	3200	25441	\N	\N	\N
297388	1014	1996-07-18	VYDAJ	VYBER	3200	23736	\N	\N	\N
297389	1014	1996-08-17	VYDAJ	VYBER	1100	24124	\N	\N	\N
297390	1014	1996-09-16	PRIJEM	VKLAD	200	22008	\N	\N	\N
297391	1014	1996-10-16	PRIJEM	VKLAD	1000	25885	\N	\N	\N
297392	1014	1996-11-15	VYDAJ	VYBER	400	25073	\N	\N	\N
297393	1014	1996-12-15	VYDAJ	VYBER	2600	21815	\N	\N	\N
297394	1014	1997-01-14	VYDAJ	VYBER	19700	49421	\N	\N	\N
297395	1014	1997-02-13	VYDAJ	VYBER	12500	30392	\N	\N	\N
297396	1014	1997-03-15	VYDAJ	VYBER	3700	27636	\N	\N	\N
297397	1014	1997-04-14	VYDAJ	VYBER	5400	25148	\N	\N	\N
297398	1014	1997-05-14	PRIJEM	VKLAD	1500	22991	\N	\N	\N
297399	1014	1997-06-13	VYDAJ	VYBER	3000	21023	\N	\N	\N
297400	1014	1997-07-13	VYDAJ	VYBER	5200	17304	\N	\N	\N
297401	1014	1997-08-12	VYDAJ	VYBER	19600	38197	\N	\N	\N
297402	1014	1997-09-11	VYDAJ	VYBER	11400	28030	\N	\N	\N
297403	1014	1997-10-11	VYDAJ	VYBER	8500	21055	\N	\N	\N
297404	1014	1997-11-10	VYDAJ	VYBER	3800	17498	\N	\N	\N
297405	1014	1997-12-10	VYDAJ	VYBER	1900	17065	\N	\N	\N
297406	1014	1998-02-08	VYDAJ	VYBER	2500	12625	\N	\N	\N
297407	1014	1998-03-10	VYDAJ	VYBER	2000	12071	\N	\N	\N
297408	1014	1998-04-09	PRIJEM	VKLAD	300	13813	\N	\N	\N
297409	1014	1998-05-09	VYDAJ	VYBER	300	14958	\N	\N	\N
297410	1014	1998-07-08	VYDAJ	VYBER	2900	14962	\N	\N	\N
297411	1014	1998-08-07	VYDAJ	VYBER	13600	26902	\N	\N	\N
297412	1014	1998-09-06	VYDAJ	VYBER	11200	16329	\N	\N	\N
297413	1014	1998-10-06	VYDAJ	VYBER	3100	12505	\N	\N	\N
297414	1014	1998-12-05	VYDAJ	VYBER	15500	23490	\N	\N	\N
297448	1015	1997-06-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
297455	1015	1997-07-08	PRIJEM	VKLAD	5888	6988	\N	\N	\N
297456	1015	1997-08-08	PRIJEM	VKLAD	5888	24722	\N	\N	\N
297457	1015	1997-09-08	PRIJEM	VKLAD	5888	32407	\N	\N	\N
297458	1015	1997-10-08	PRIJEM	VKLAD	5888	35915	\N	\N	\N
297459	1015	1997-11-08	PRIJEM	VKLAD	5888	34423	\N	\N	\N
297460	1015	1997-12-08	PRIJEM	VKLAD	8832	38938	\N	\N	\N
297461	1015	1998-01-08	PRIJEM	VKLAD	5888	24799	\N	\N	\N
297462	1015	1998-02-08	PRIJEM	VKLAD	5888	18915	\N	\N	\N
297463	1015	1998-03-08	PRIJEM	VKLAD	5888	19520	\N	\N	\N
297464	1015	1998-04-08	PRIJEM	VKLAD	5888	19726	\N	\N	\N
297465	1015	1998-05-08	PRIJEM	VKLAD	5888	20735	\N	\N	\N
297466	1015	1998-06-08	PRIJEM	VKLAD	8832	29206	\N	\N	\N
297467	1015	1998-07-08	PRIJEM	VKLAD	5888	27945	\N	\N	\N
297468	1015	1998-08-08	PRIJEM	VKLAD	5888	24676	\N	\N	\N
297469	1015	1998-09-08	PRIJEM	VKLAD	5888	15680	\N	\N	\N
297470	1015	1998-10-08	PRIJEM	VKLAD	5888	17074	\N	\N	\N
297471	1015	1998-11-08	PRIJEM	VKLAD	5888	19777	\N	\N	\N
297472	1015	1998-12-08	PRIJEM	VKLAD	8832	22535	\N	\N	\N
297483	1015	1997-11-11	VYDAJ	PREVOD NA UCET	3925	30498	SIPO	KL	18432247
297484	1015	1997-12-11	VYDAJ	PREVOD NA UCET	3925	35013	SIPO	KL	18432247
297485	1015	1998-01-11	VYDAJ	PREVOD NA UCET	3925	15774	SIPO	KL	18432247
297486	1015	1998-02-11	VYDAJ	PREVOD NA UCET	3925	13590	SIPO	KL	18432247
297487	1015	1998-03-11	VYDAJ	PREVOD NA UCET	3925	15595	SIPO	KL	18432247
297488	1015	1998-04-11	VYDAJ	PREVOD NA UCET	3925	14801	SIPO	KL	18432247
297489	1015	1998-05-11	VYDAJ	PREVOD NA UCET	3925	20310	SIPO	KL	18432247
297490	1015	1998-06-11	VYDAJ	PREVOD NA UCET	3925	21981	SIPO	KL	18432247
297491	1015	1998-07-11	VYDAJ	PREVOD NA UCET	3925	18720	SIPO	KL	18432247
297492	1015	1998-08-11	VYDAJ	PREVOD NA UCET	3925	9751	SIPO	KL	18432247
297493	1015	1998-09-11	VYDAJ	PREVOD NA UCET	3925	11755	SIPO	KL	18432247
297494	1015	1998-10-11	VYDAJ	PREVOD NA UCET	3925	13149	SIPO	KL	18432247
297495	1015	1998-11-11	VYDAJ	PREVOD NA UCET	3925	15852	SIPO	KL	18432247
297496	1015	1998-12-11	VYDAJ	PREVOD NA UCET	3925	14110	SIPO	KL	18432247
297499	1015	1997-12-17	VYDAJ	VYBER	1900	24913	\N	\N	\N
297500	1015	1998-12-05	VYDAJ	VYBER	2200	13703	\N	\N	\N
297508	1015	1998-01-15	VYDAJ	VYBER	600	12974	\N	\N	\N
297509	1015	1998-01-05	VYDAJ	VYBER	2900	18911	\N	\N	\N
297510	1015	1998-01-12	VYDAJ	VYBER	2200	13574	\N	\N	\N
297511	1015	1998-01-04	VYDAJ	VYBER	500	21811	\N	\N	\N
297512	1015	1998-01-01	VYDAJ	VYBER	2700	22311	\N	\N	\N
297520	1015	1998-12-11	VYDAJ	VYBER	4500	18035	\N	\N	\N
297532	1015	1997-11-30	VYDAJ	VYBER	15	30106	SLUZBY	\N	\N
297533	1015	1997-12-31	VYDAJ	VYBER	15	25011	SLUZBY	\N	\N
297534	1015	1998-01-31	VYDAJ	VYBER	15	13027	SLUZBY	\N	\N
297535	1015	1998-02-28	VYDAJ	VYBER	15	13632	SLUZBY	\N	\N
297536	1015	1998-03-31	VYDAJ	VYBER	15	13838	SLUZBY	\N	\N
297537	1015	1998-04-30	VYDAJ	VYBER	15	14847	SLUZBY	\N	\N
297538	1015	1998-05-31	VYDAJ	VYBER	15	20374	SLUZBY	\N	\N
297539	1015	1998-06-30	VYDAJ	VYBER	15	22057	SLUZBY	\N	\N
297540	1015	1998-07-31	VYDAJ	VYBER	15	18788	SLUZBY	\N	\N
297541	1015	1998-08-31	VYDAJ	VYBER	15	9792	SLUZBY	\N	\N
297542	1015	1998-09-30	VYDAJ	VYBER	15	11786	SLUZBY	\N	\N
297543	1015	1998-10-31	VYDAJ	VYBER	15	13189	SLUZBY	\N	\N
297544	1015	1998-11-30	VYDAJ	VYBER	15	15903	SLUZBY	\N	\N
297545	1015	1997-07-14	PRIJEM	VKLAD	11800	18788	\N	\N	\N
297546	1015	1997-08-13	PRIJEM	VKLAD	1700	26422	\N	\N	\N
297547	1015	1997-09-12	VYDAJ	VYBER	2500	29907	\N	\N	\N
297548	1015	1997-10-12	VYDAJ	VYBER	7500	28415	\N	\N	\N
297549	1015	1997-11-11	VYDAJ	VYBER	500	29998	\N	\N	\N
297550	1015	1997-12-11	VYDAJ	VYBER	8200	26813	\N	\N	\N
297551	1015	1998-01-10	VYDAJ	VYBER	5100	19699	\N	\N	\N
297552	1015	1998-02-09	VYDAJ	VYBER	1400	17515	\N	\N	\N
297553	1015	1998-03-11	VYDAJ	VYBER	1800	13795	\N	\N	\N
297554	1015	1998-04-10	VYDAJ	VYBER	1000	18726	\N	\N	\N
297555	1015	1998-05-10	PRIJEM	VKLAD	3500	24235	\N	\N	\N
297556	1015	1998-06-09	VYDAJ	VYBER	3300	25906	\N	\N	\N
297557	1015	1998-07-09	VYDAJ	VYBER	5300	22645	\N	\N	\N
297558	1015	1998-08-08	VYDAJ	VYBER	11000	13676	\N	\N	\N
297559	1015	1998-10-07	VYDAJ	VYBER	600	11186	\N	\N	\N
297560	1015	1998-11-06	PRIJEM	VKLAD	700	13889	\N	\N	\N
297579	1016	1993-09-29	PRIJEM	VKLAD	600	600	\N	\N	\N
297589	1016	1993-10-14	PRIJEM	VKLAD	21231	21831	\N	\N	\N
297590	1016	1993-11-14	PRIJEM	VKLAD	21231	44571	\N	\N	\N
297591	1016	1993-12-14	PRIJEM	VKLAD	31846	67620	\N	\N	\N
297592	1016	1994-01-14	PRIJEM	VKLAD	21231	67105	\N	\N	\N
297593	1016	1994-02-14	PRIJEM	VKLAD	21231	68928	\N	\N	\N
297594	1016	1994-03-14	PRIJEM	VKLAD	21231	61167	\N	\N	\N
297595	1016	1994-04-14	PRIJEM	VKLAD	21231	59818	\N	\N	\N
297596	1016	1994-05-14	PRIJEM	VKLAD	21231	61569	\N	\N	\N
297597	1016	1994-06-14	PRIJEM	VKLAD	31846	48742	\N	\N	\N
297598	1016	1994-07-14	PRIJEM	VKLAD	21231	52154	\N	\N	\N
297599	1016	1994-08-14	PRIJEM	VKLAD	21231	52671	\N	\N	\N
297600	1016	1994-09-14	PRIJEM	VKLAD	21231	54288	\N	\N	\N
297601	1016	1994-10-14	PRIJEM	VKLAD	21231	54011	\N	\N	\N
297602	1016	1994-11-14	PRIJEM	VKLAD	21231	55433	\N	\N	\N
297603	1016	1994-12-14	PRIJEM	VKLAD	31846	68775	\N	\N	\N
297604	1016	1995-01-14	PRIJEM	VKLAD	21231	58331	\N	\N	\N
297605	1016	1995-02-14	PRIJEM	VKLAD	21231	54964	\N	\N	\N
297606	1016	1995-03-14	PRIJEM	VKLAD	21231	61790	\N	\N	\N
297607	1016	1995-04-14	PRIJEM	VKLAD	21231	62440	\N	\N	\N
297608	1016	1995-05-14	PRIJEM	VKLAD	21231	58790	\N	\N	\N
297609	1016	1995-06-14	PRIJEM	VKLAD	31846	56649	\N	\N	\N
297610	1016	1995-07-14	PRIJEM	VKLAD	21231	58474	\N	\N	\N
297611	1016	1995-08-14	PRIJEM	VKLAD	21231	63111	\N	\N	\N
297612	1016	1995-09-14	PRIJEM	VKLAD	21231	65262	\N	\N	\N
297613	1016	1995-10-14	PRIJEM	VKLAD	21231	62713	\N	\N	\N
297614	1016	1995-11-14	PRIJEM	VKLAD	21231	67264	\N	\N	\N
297615	1016	1995-12-14	PRIJEM	VKLAD	31846	71738	\N	\N	\N
297616	1016	1996-01-14	PRIJEM	VKLAD	21231	64999	\N	\N	\N
297617	1016	1996-02-14	PRIJEM	VKLAD	21231	54245	\N	\N	\N
297618	1016	1996-03-14	PRIJEM	VKLAD	21231	59858	\N	\N	\N
297619	1016	1996-04-14	PRIJEM	VKLAD	21231	63592	\N	\N	\N
297620	1016	1996-05-14	PRIJEM	VKLAD	21231	66039	\N	\N	\N
297621	1016	1996-06-14	PRIJEM	VKLAD	31846	83018	\N	\N	\N
297622	1016	1996-07-14	PRIJEM	VKLAD	21231	59270	\N	\N	\N
297623	1016	1996-08-14	PRIJEM	VKLAD	21231	68911	\N	\N	\N
297624	1016	1996-09-14	PRIJEM	VKLAD	21231	74806	\N	\N	\N
297625	1016	1996-10-14	PRIJEM	VKLAD	21231	83024	\N	\N	\N
297626	1016	1996-11-14	PRIJEM	VKLAD	21231	84994	\N	\N	\N
297627	1016	1996-12-14	PRIJEM	VKLAD	31846	101294	\N	\N	\N
297628	1016	1997-01-14	PRIJEM	VKLAD	21231	96424	\N	\N	\N
297629	1016	1997-02-14	PRIJEM	VKLAD	21231	90349	\N	\N	\N
297630	1016	1997-03-14	PRIJEM	VKLAD	21231	93252	\N	\N	\N
297631	1016	1997-04-14	PRIJEM	VKLAD	21231	92168	\N	\N	\N
297632	1016	1997-05-14	PRIJEM	VKLAD	21231	93586	\N	\N	\N
297633	1016	1997-06-14	PRIJEM	VKLAD	31846	97918	\N	\N	\N
297634	1016	1997-07-14	PRIJEM	VKLAD	21231	84804	\N	\N	\N
297635	1016	1997-08-14	PRIJEM	VKLAD	21231	90277	\N	\N	\N
297636	1016	1997-09-14	PRIJEM	VKLAD	21231	93473	\N	\N	\N
297637	1016	1997-10-14	PRIJEM	VKLAD	21231	97378	\N	\N	\N
297638	1016	1997-11-14	PRIJEM	VKLAD	21231	99501	\N	\N	\N
297639	1016	1997-12-14	PRIJEM	VKLAD	31846	112154	\N	\N	\N
297640	1016	1998-01-14	PRIJEM	VKLAD	21231	97722	\N	\N	\N
297641	1016	1998-02-14	PRIJEM	VKLAD	21231	95148	\N	\N	\N
297642	1016	1998-03-14	PRIJEM	VKLAD	21231	94857	\N	\N	\N
297643	1016	1998-04-14	PRIJEM	VKLAD	21231	98877	\N	\N	\N
297644	1016	1998-05-14	PRIJEM	VKLAD	21231	99708	\N	\N	\N
297645	1016	1998-06-14	PRIJEM	VKLAD	31846	108362	\N	\N	\N
297646	1016	1998-07-14	PRIJEM	VKLAD	21231	94314	\N	\N	\N
297647	1016	1998-08-14	PRIJEM	VKLAD	21231	98319	\N	\N	\N
297648	1016	1998-09-14	PRIJEM	VKLAD	21231	101148	\N	\N	\N
297649	1016	1998-10-14	PRIJEM	VKLAD	21231	106389	\N	\N	\N
297650	1016	1998-11-14	PRIJEM	VKLAD	21231	106049	\N	\N	\N
297651	1016	1998-12-14	PRIJEM	VKLAD	31846	118929	\N	\N	\N
297666	1016	1994-03-11	VYDAJ	PREVOD NA UCET	2619	39936	SIPO	UV	35817569
297667	1016	1994-04-11	VYDAJ	PREVOD NA UCET	2619	38587	SIPO	UV	35817569
297668	1016	1994-05-11	VYDAJ	PREVOD NA UCET	2619	40338	SIPO	UV	35817569
297669	1016	1994-06-11	VYDAJ	PREVOD NA UCET	2619	16896	SIPO	UV	35817569
297670	1016	1994-07-11	VYDAJ	PREVOD NA UCET	2619	30923	SIPO	UV	35817569
297671	1016	1994-08-11	VYDAJ	PREVOD NA UCET	2619	31440	SIPO	UV	35817569
297672	1016	1994-09-11	VYDAJ	PREVOD NA UCET	2619	33057	SIPO	UV	35817569
297673	1016	1994-10-11	VYDAJ	PREVOD NA UCET	2619	32780	SIPO	UV	35817569
297674	1016	1994-11-11	VYDAJ	PREVOD NA UCET	2619	34202	SIPO	UV	35817569
297675	1016	1994-12-11	VYDAJ	PREVOD NA UCET	2619	36929	SIPO	UV	35817569
297676	1016	1995-01-11	VYDAJ	PREVOD NA UCET	2619	39300	SIPO	UV	35817569
297677	1016	1995-02-11	VYDAJ	PREVOD NA UCET	2619	33733	SIPO	UV	35817569
297678	1016	1995-03-11	VYDAJ	PREVOD NA UCET	2619	40559	SIPO	UV	35817569
297679	1016	1995-04-11	VYDAJ	PREVOD NA UCET	2619	41809	SIPO	UV	35817569
297680	1016	1995-05-11	VYDAJ	PREVOD NA UCET	2619	37559	SIPO	UV	35817569
297681	1016	1995-06-11	VYDAJ	PREVOD NA UCET	2619	24803	SIPO	UV	35817569
297682	1016	1995-07-11	VYDAJ	PREVOD NA UCET	2619	37243	SIPO	UV	35817569
297683	1016	1995-08-11	VYDAJ	PREVOD NA UCET	2619	41880	SIPO	UV	35817569
297684	1016	1995-09-11	VYDAJ	PREVOD NA UCET	2619	44031	SIPO	UV	35817569
297685	1016	1995-10-11	VYDAJ	PREVOD NA UCET	2619	41482	SIPO	UV	35817569
297686	1016	1995-11-11	VYDAJ	PREVOD NA UCET	2619	46033	SIPO	UV	35817569
297687	1016	1995-12-11	VYDAJ	PREVOD NA UCET	2619	41092	SIPO	UV	35817569
297688	1016	1996-01-11	VYDAJ	PREVOD NA UCET	2619	43768	SIPO	UV	35817569
297689	1016	1996-02-11	VYDAJ	PREVOD NA UCET	2619	33014	SIPO	UV	35817569
297690	1016	1996-03-11	VYDAJ	PREVOD NA UCET	2619	38627	SIPO	UV	35817569
297691	1016	1996-04-11	VYDAJ	PREVOD NA UCET	2619	42361	SIPO	UV	35817569
297692	1016	1996-05-11	VYDAJ	PREVOD NA UCET	2619	44808	SIPO	UV	35817569
297693	1016	1996-06-11	VYDAJ	PREVOD NA UCET	2619	51172	SIPO	UV	35817569
297694	1016	1996-07-11	VYDAJ	PREVOD NA UCET	2619	38039	SIPO	UV	35817569
297695	1016	1996-08-11	VYDAJ	PREVOD NA UCET	2619	47680	SIPO	UV	35817569
297696	1016	1996-09-11	VYDAJ	PREVOD NA UCET	2619	52075	SIPO	UV	35817569
297697	1016	1996-10-11	VYDAJ	PREVOD NA UCET	2619	70293	SIPO	UV	35817569
297698	1016	1996-11-11	VYDAJ	PREVOD NA UCET	2619	78563	SIPO	UV	35817569
297699	1016	1996-12-11	VYDAJ	PREVOD NA UCET	2619	80548	SIPO	UV	35817569
297700	1016	1997-01-11	VYDAJ	PREVOD NA UCET	2619	77893	SIPO	UV	35817569
297701	1016	1997-02-11	VYDAJ	PREVOD NA UCET	2619	69118	SIPO	UV	35817569
297702	1016	1997-03-11	VYDAJ	PREVOD NA UCET	2619	82821	SIPO	UV	35817569
297703	1016	1997-04-11	VYDAJ	PREVOD NA UCET	2619	70937	SIPO	UV	35817569
297704	1016	1997-05-11	VYDAJ	PREVOD NA UCET	2619	87755	SIPO	UV	35817569
297705	1016	1997-06-11	VYDAJ	PREVOD NA UCET	2619	66072	SIPO	UV	35817569
297706	1016	1997-07-11	VYDAJ	PREVOD NA UCET	2619	63573	SIPO	UV	35817569
297707	1016	1997-08-11	VYDAJ	PREVOD NA UCET	2619	69046	SIPO	UV	35817569
297708	1016	1997-09-11	VYDAJ	PREVOD NA UCET	2619	72242	SIPO	UV	35817569
297709	1016	1997-10-11	VYDAJ	PREVOD NA UCET	2619	76147	SIPO	UV	35817569
297710	1016	1997-11-11	VYDAJ	PREVOD NA UCET	2619	78270	SIPO	UV	35817569
297711	1016	1997-12-11	VYDAJ	PREVOD NA UCET	2619	80308	SIPO	UV	35817569
297712	1016	1998-01-11	VYDAJ	PREVOD NA UCET	2619	84691	SIPO	UV	35817569
297713	1016	1998-02-11	VYDAJ	PREVOD NA UCET	2619	73917	SIPO	UV	35817569
297714	1016	1998-03-11	VYDAJ	PREVOD NA UCET	2619	73626	SIPO	UV	35817569
297715	1016	1998-04-11	VYDAJ	PREVOD NA UCET	2619	77646	SIPO	UV	35817569
297716	1016	1998-05-11	VYDAJ	PREVOD NA UCET	2619	78477	SIPO	UV	35817569
297717	1016	1998-06-11	VYDAJ	PREVOD NA UCET	2619	78716	SIPO	UV	35817569
297718	1016	1998-07-11	VYDAJ	PREVOD NA UCET	2619	73083	SIPO	UV	35817569
297719	1016	1998-08-11	VYDAJ	PREVOD NA UCET	2619	77088	SIPO	UV	35817569
297720	1016	1998-09-11	VYDAJ	PREVOD NA UCET	2619	79917	SIPO	UV	35817569
297721	1016	1998-10-11	VYDAJ	PREVOD NA UCET	2619	85158	SIPO	UV	35817569
297722	1016	1998-11-11	VYDAJ	PREVOD NA UCET	2619	84818	SIPO	UV	35817569
297723	1016	1998-12-11	VYDAJ	PREVOD NA UCET	2619	89383	SIPO	UV	35817569
297738	1016	1994-03-09	VYDAJ	PREVOD NA UCET	2155	42555	 	MN	21620893
297739	1016	1994-04-09	VYDAJ	PREVOD NA UCET	2155	41206	 	MN	21620893
297740	1016	1994-05-09	VYDAJ	PREVOD NA UCET	2155	42957	 	MN	21620893
297741	1016	1994-06-09	VYDAJ	PREVOD NA UCET	2155	19515	 	MN	21620893
297742	1016	1994-07-09	VYDAJ	PREVOD NA UCET	2155	35542	 	MN	21620893
297743	1016	1994-08-09	VYDAJ	PREVOD NA UCET	2155	34059	 	MN	21620893
297744	1016	1994-09-09	VYDAJ	PREVOD NA UCET	2155	35676	 	MN	21620893
297745	1016	1994-10-09	VYDAJ	PREVOD NA UCET	2155	35399	 	MN	21620893
297746	1016	1994-11-09	VYDAJ	PREVOD NA UCET	2155	36821	 	MN	21620893
297747	1016	1994-12-09	VYDAJ	PREVOD NA UCET	2155	40248	 	MN	21620893
297748	1016	1995-01-09	VYDAJ	PREVOD NA UCET	2155	42519	 	MN	21620893
297749	1016	1995-02-09	VYDAJ	PREVOD NA UCET	2155	36352	 	MN	21620893
297750	1016	1995-03-09	VYDAJ	PREVOD NA UCET	2155	43178	 	MN	21620893
297751	1016	1995-04-09	VYDAJ	PREVOD NA UCET	2155	44428	 	MN	21620893
297752	1016	1995-05-09	VYDAJ	PREVOD NA UCET	2155	43778	 	MN	21620893
297753	1016	1995-06-09	VYDAJ	PREVOD NA UCET	2155	27422	 	MN	21620893
297754	1016	1995-07-09	VYDAJ	PREVOD NA UCET	2155	39862	 	MN	21620893
297755	1016	1995-08-09	VYDAJ	PREVOD NA UCET	2155	44499	 	MN	21620893
297756	1016	1995-09-09	VYDAJ	PREVOD NA UCET	2155	46650	 	MN	21620893
297757	1016	1995-10-09	VYDAJ	PREVOD NA UCET	2155	44101	 	MN	21620893
297758	1016	1995-11-09	VYDAJ	PREVOD NA UCET	2155	48652	 	MN	21620893
297759	1016	1995-12-09	VYDAJ	PREVOD NA UCET	2155	43711	 	MN	21620893
297760	1016	1996-01-09	VYDAJ	PREVOD NA UCET	2155	46387	 	MN	21620893
297761	1016	1996-02-09	VYDAJ	PREVOD NA UCET	2155	35633	 	MN	21620893
297762	1016	1996-03-09	VYDAJ	PREVOD NA UCET	2155	41246	 	MN	21620893
297763	1016	1996-04-09	VYDAJ	PREVOD NA UCET	2155	44980	 	MN	21620893
297764	1016	1996-05-09	VYDAJ	PREVOD NA UCET	2155	47427	 	MN	21620893
297765	1016	1996-06-09	VYDAJ	PREVOD NA UCET	2155	53791	 	MN	21620893
297766	1016	1996-07-09	VYDAJ	PREVOD NA UCET	2155	40658	 	MN	21620893
297767	1016	1996-08-09	VYDAJ	PREVOD NA UCET	2155	50299	 	MN	21620893
297768	1016	1996-09-09	VYDAJ	PREVOD NA UCET	2155	54694	 	MN	21620893
297769	1016	1996-10-09	VYDAJ	PREVOD NA UCET	2155	72912	 	MN	21620893
297770	1016	1996-11-09	VYDAJ	PREVOD NA UCET	2155	81182	 	MN	21620893
297771	1016	1996-12-09	VYDAJ	PREVOD NA UCET	2155	83167	 	MN	21620893
297772	1016	1997-01-09	VYDAJ	PREVOD NA UCET	2155	98712	 	MN	21620893
297773	1016	1997-02-09	VYDAJ	PREVOD NA UCET	2155	84137	 	MN	21620893
297774	1016	1997-03-09	VYDAJ	PREVOD NA UCET	2155	85440	 	MN	21620893
297775	1016	1997-04-09	VYDAJ	PREVOD NA UCET	2155	91456	 	MN	21620893
297776	1016	1997-05-09	VYDAJ	PREVOD NA UCET	2155	90374	 	MN	21620893
297777	1016	1997-06-09	VYDAJ	PREVOD NA UCET	2155	84291	 	MN	21620893
297778	1016	1997-07-09	VYDAJ	PREVOD NA UCET	2155	74592	 	MN	21620893
297779	1016	1997-08-09	VYDAJ	PREVOD NA UCET	2155	71665	 	MN	21620893
297780	1016	1997-09-09	VYDAJ	PREVOD NA UCET	2155	74861	 	MN	21620893
297781	1016	1997-10-09	VYDAJ	PREVOD NA UCET	2155	78766	 	MN	21620893
297782	1016	1997-11-09	VYDAJ	PREVOD NA UCET	2155	80889	 	MN	21620893
297783	1016	1997-12-09	VYDAJ	PREVOD NA UCET	2155	82927	 	MN	21620893
297784	1016	1998-01-09	VYDAJ	PREVOD NA UCET	2155	87310	 	MN	21620893
297785	1016	1998-02-09	VYDAJ	PREVOD NA UCET	2155	76536	 	MN	21620893
297786	1016	1998-03-09	VYDAJ	PREVOD NA UCET	2155	76245	 	MN	21620893
297787	1016	1998-04-09	VYDAJ	PREVOD NA UCET	2155	80265	 	MN	21620893
297788	1016	1998-05-09	VYDAJ	PREVOD NA UCET	2155	81096	 	MN	21620893
297789	1016	1998-06-09	VYDAJ	PREVOD NA UCET	2155	81335	 	MN	21620893
297790	1016	1998-07-09	VYDAJ	PREVOD NA UCET	2155	75702	 	MN	21620893
297791	1016	1998-08-09	VYDAJ	PREVOD NA UCET	2155	79707	 	MN	21620893
297792	1016	1998-09-09	VYDAJ	PREVOD NA UCET	2155	82536	 	MN	21620893
297793	1016	1998-10-09	VYDAJ	PREVOD NA UCET	2155	87777	 	MN	21620893
297794	1016	1998-11-09	VYDAJ	PREVOD NA UCET	2155	89537	 	MN	21620893
297795	1016	1998-12-09	VYDAJ	PREVOD NA UCET	2155	92002	 	MN	21620893
297797	1016	1994-06-03	VYDAJ	VYBER	24000	21670	\N	\N	\N
297798	1016	1995-06-05	VYDAJ	VYBER	16700	29577	\N	\N	\N
297799	1016	1996-06-16	VYDAJ	VYBER	19300	44718	\N	\N	\N
297800	1016	1997-06-20	VYDAJ	VYBER	19800	78118	\N	\N	\N
297801	1016	1998-06-29	VYDAJ	VYBER	25100	83262	\N	\N	\N
297804	1016	1995-01-14	VYDAJ	VYBER	5200	50731	\N	\N	\N
297805	1016	1996-01-09	VYDAJ	VYBER	1100	48542	\N	\N	\N
297806	1016	1997-01-15	VYDAJ	VYBER	2400	92224	\N	\N	\N
297807	1016	1998-01-11	VYDAJ	VYBER	8200	76491	\N	\N	\N
297809	1016	1994-12-10	VYDAJ	VYBER	700	39548	\N	\N	\N
297810	1016	1995-12-23	VYDAJ	VYBER	2100	52238	\N	\N	\N
297811	1016	1996-12-12	VYDAJ	VYBER	1500	69448	\N	\N	\N
297812	1016	1997-12-21	VYDAJ	VYBER KARTOU	2000	110154	\N	\N	0
297813	1016	1998-12-12	VYDAJ	VYBER KARTOU	2300	87083	\N	\N	0
297826	1016	1995-01-14	VYDAJ	VYBER	2400	55931	\N	\N	\N
297827	1016	1995-01-06	VYDAJ	VYBER	2700	46074	\N	\N	\N
297828	1016	1995-01-12	VYDAJ	VYBER	2200	37100	\N	\N	\N
297829	1016	1995-01-24	VYDAJ	VYBER	1600	38331	\N	\N	\N
297830	1016	1995-01-09	VYDAJ	VYBER	1400	44674	\N	\N	\N
297831	1016	1995-01-11	VYDAJ	VYBER	600	41919	\N	\N	\N
297832	1016	1996-01-19	VYDAJ	VYBER	2100	47999	\N	\N	\N
297833	1016	1996-01-29	VYDAJ	VYBER	2500	39499	\N	\N	\N
297834	1016	1996-01-27	VYDAJ	VYBER	2000	44799	\N	\N	\N
297835	1016	1996-01-06	VYDAJ	VYBER	2800	49642	\N	\N	\N
297836	1016	1996-01-22	VYDAJ	VYBER	1200	46799	\N	\N	\N
297837	1016	1996-01-27	VYDAJ	VYBER	2800	41999	\N	\N	\N
297838	1016	1997-01-18	VYDAJ	VYBER	1800	90424	\N	\N	\N
297839	1016	1997-01-14	VYDAJ	VYBER	700	94624	\N	\N	\N
297840	1016	1997-01-12	VYDAJ	VYBER	2700	75193	\N	\N	\N
297841	1016	1997-01-02	VYDAJ	VYBER	800	100867	\N	\N	\N
297842	1016	1997-01-20	VYDAJ	VYBER	900	89524	\N	\N	\N
297843	1016	1997-01-14	VYDAJ	VYBER	1100	95324	\N	\N	\N
297844	1016	1998-01-18	VYDAJ	VYBER KARTOU	2800	94922	\N	\N	0
297845	1016	1998-01-22	VYDAJ	VYBER KARTOU	900	89522	\N	\N	0
297846	1016	1998-01-24	VYDAJ	VYBER KARTOU	1000	88522	\N	\N	0
297847	1016	1998-01-19	VYDAJ	VYBER KARTOU	2400	90422	\N	\N	0
297848	1016	1998-01-27	VYDAJ	VYBER KARTOU	2300	86222	\N	\N	0
297849	1016	1998-01-18	VYDAJ	VYBER KARTOU	2100	92822	\N	\N	0
297854	1016	1994-07-23	VYDAJ	VYBER	3500	48654	\N	\N	\N
297855	1016	1994-07-10	VYDAJ	VYBER	2000	33542	\N	\N	\N
297856	1016	1994-10-05	VYDAJ	VYBER	2500	37554	\N	\N	\N
297857	1016	1994-03-15	VYDAJ	VYBER	3400	57767	\N	\N	\N
297858	1016	1995-04-11	VYDAJ	VYBER	600	41209	\N	\N	\N
297859	1016	1995-12-17	VYDAJ	VYBER	4600	67138	\N	\N	\N
297860	1016	1995-12-13	VYDAJ	VYBER	1200	39892	\N	\N	\N
297861	1016	1995-09-20	VYDAJ	VYBER	3600	47062	\N	\N	\N
297862	1016	1995-09-25	VYDAJ	VYBER	1000	46062	\N	\N	\N
297863	1016	1995-12-09	VYDAJ	VYBER	4300	45866	\N	\N	\N
297864	1016	1995-05-11	VYDAJ	VYBER	3600	40178	\N	\N	\N
297865	1016	1996-03-17	VYDAJ	VYBER	3100	46958	\N	\N	\N
297866	1016	1996-06-26	VYDAJ	VYBER	2100	42618	\N	\N	\N
297867	1016	1996-04-22	VYDAJ	VYBER	3100	49392	\N	\N	\N
297868	1016	1996-11-13	VYDAJ	VYBER	600	63763	\N	\N	\N
297869	1016	1996-01-30	VYDAJ	VYBER	1900	37599	\N	\N	\N
297870	1016	1997-07-08	VYDAJ	VYBER	1700	76747	\N	\N	\N
297871	1016	1997-09-17	VYDAJ	VYBER	3200	90273	\N	\N	\N
297872	1016	1997-03-05	VYDAJ	VYBER	3100	87595	\N	\N	\N
297873	1016	1997-05-28	VYDAJ	VYBER	3700	86086	\N	\N	\N
297874	1016	1997-05-19	VYDAJ	VYBER	3800	89786	\N	\N	\N
297875	1016	1997-02-03	VYDAJ	VYBER	3600	86292	\N	\N	\N
297876	1016	1998-09-30	VYDAJ	VYBER KARTOU	3300	98232	\N	\N	0
297877	1016	1998-01-05	VYDAJ	VYBER KARTOU	3300	107265	\N	\N	0
297878	1016	1998-11-10	VYDAJ	VYBER KARTOU	2100	87437	\N	\N	0
297879	1016	1998-06-12	VYDAJ	VYBER KARTOU	2200	76516	\N	\N	0
297894	1016	1994-02-28	VYDAJ	VYBER	15	44710	SLUZBY	\N	\N
297895	1016	1994-03-31	VYDAJ	VYBER	15	43361	SLUZBY	\N	\N
297896	1016	1994-04-30	VYDAJ	VYBER	15	45112	SLUZBY	\N	\N
297897	1016	1994-05-31	VYDAJ	VYBER	15	45670	SLUZBY	\N	\N
297898	1016	1994-06-30	VYDAJ	VYBER	15	37697	SLUZBY	\N	\N
297899	1016	1994-07-31	VYDAJ	VYBER	15	36214	SLUZBY	\N	\N
297900	1016	1994-08-31	VYDAJ	VYBER	15	37831	SLUZBY	\N	\N
297901	1016	1994-09-30	VYDAJ	VYBER	15	40054	SLUZBY	\N	\N
297902	1016	1994-10-31	VYDAJ	VYBER	15	38976	SLUZBY	\N	\N
297903	1016	1994-11-30	VYDAJ	VYBER	15	42403	SLUZBY	\N	\N
297904	1016	1994-12-31	VYDAJ	VYBER	15	48774	SLUZBY	\N	\N
297905	1016	1995-01-31	VYDAJ	VYBER	15	38507	SLUZBY	\N	\N
297906	1016	1995-02-28	VYDAJ	VYBER	15	45333	SLUZBY	\N	\N
297907	1016	1995-03-31	VYDAJ	VYBER	15	46583	SLUZBY	\N	\N
297908	1016	1995-04-30	VYDAJ	VYBER	15	45933	SLUZBY	\N	\N
297909	1016	1995-05-31	VYDAJ	VYBER	15	46277	SLUZBY	\N	\N
297910	1016	1995-06-30	VYDAJ	VYBER	15	42017	SLUZBY	\N	\N
297911	1016	1995-07-31	VYDAJ	VYBER	15	46654	SLUZBY	\N	\N
297912	1016	1995-08-31	VYDAJ	VYBER	15	48805	SLUZBY	\N	\N
297913	1016	1995-09-30	VYDAJ	VYBER	15	46256	SLUZBY	\N	\N
297914	1016	1995-10-31	VYDAJ	VYBER	15	50807	SLUZBY	\N	\N
297915	1016	1995-11-30	VYDAJ	VYBER	15	50166	SLUZBY	\N	\N
297916	1016	1995-12-31	VYDAJ	VYBER	15	52442	SLUZBY	\N	\N
297917	1016	1996-01-31	VYDAJ	VYBER	15	37788	SLUZBY	\N	\N
297918	1016	1996-02-29	VYDAJ	VYBER	15	43401	SLUZBY	\N	\N
297919	1016	1996-03-31	VYDAJ	VYBER	15	47135	SLUZBY	\N	\N
297920	1016	1996-04-30	VYDAJ	VYBER	15	49582	SLUZBY	\N	\N
297921	1016	1996-05-31	VYDAJ	VYBER	15	55946	SLUZBY	\N	\N
297922	1016	1996-06-30	VYDAJ	VYBER	15	42813	SLUZBY	\N	\N
297923	1016	1996-07-31	VYDAJ	VYBER	15	52454	SLUZBY	\N	\N
297924	1016	1996-08-31	VYDAJ	VYBER	15	56849	SLUZBY	\N	\N
297925	1016	1996-09-30	VYDAJ	VYBER	15	75067	SLUZBY	\N	\N
297926	1016	1996-10-31	VYDAJ	VYBER	15	83337	SLUZBY	\N	\N
297927	1016	1996-11-30	VYDAJ	VYBER	15	85322	SLUZBY	\N	\N
297928	1016	1996-12-31	VYDAJ	VYBER	15	101667	SLUZBY	\N	\N
297929	1016	1997-01-31	VYDAJ	VYBER	15	89892	SLUZBY	\N	\N
297930	1016	1997-02-28	VYDAJ	VYBER	15	90695	SLUZBY	\N	\N
297931	1016	1997-03-31	VYDAJ	VYBER	15	93611	SLUZBY	\N	\N
297932	1016	1997-04-30	VYDAJ	VYBER	15	92529	SLUZBY	\N	\N
297933	1016	1997-05-31	VYDAJ	VYBER	15	86446	SLUZBY	\N	\N
297934	1016	1997-06-30	VYDAJ	VYBER	15	78447	SLUZBY	\N	\N
297935	1016	1997-07-31	VYDAJ	VYBER	15	85120	SLUZBY	\N	\N
297936	1016	1997-08-31	VYDAJ	VYBER	15	90616	SLUZBY	\N	\N
297937	1016	1997-09-30	VYDAJ	VYBER	15	90621	SLUZBY	\N	\N
297938	1016	1997-10-31	VYDAJ	VYBER	15	97744	SLUZBY	\N	\N
297939	1016	1997-11-30	VYDAJ	VYBER	15	99882	SLUZBY	\N	\N
297940	1016	1997-12-31	VYDAJ	VYBER	15	110565	SLUZBY	\N	\N
297941	1016	1998-01-31	VYDAJ	VYBER	15	86591	SLUZBY	\N	\N
297942	1016	1998-02-28	VYDAJ	VYBER	15	95500	SLUZBY	\N	\N
297943	1016	1998-03-31	VYDAJ	VYBER	15	95220	SLUZBY	\N	\N
297944	1016	1998-04-30	VYDAJ	VYBER	15	99251	SLUZBY	\N	\N
297945	1016	1998-05-31	VYDAJ	VYBER	15	100090	SLUZBY	\N	\N
297946	1016	1998-06-30	VYDAJ	VYBER	15	83657	SLUZBY	\N	\N
297947	1016	1998-07-31	VYDAJ	VYBER	15	94662	SLUZBY	\N	\N
297948	1016	1998-08-31	VYDAJ	VYBER	15	98691	SLUZBY	\N	\N
297949	1016	1998-09-30	VYDAJ	VYBER	15	101532	SLUZBY	\N	\N
297950	1016	1998-10-31	VYDAJ	VYBER	15	106792	SLUZBY	\N	\N
297951	1016	1998-11-30	VYDAJ	VYBER	15	106457	SLUZBY	\N	\N
297952	1016	1993-10-29	PRIJEM	VKLAD	1500	23331	\N	\N	\N
297953	1016	1993-11-28	VYDAJ	VYBER	8900	35671	\N	\N	\N
297954	1016	1993-12-28	VYDAJ	VYBER	21900	45720	\N	\N	\N
297955	1016	1994-01-27	VYDAJ	VYBER	19600	47505	\N	\N	\N
297956	1016	1994-02-26	VYDAJ	VYBER	24400	44528	\N	\N	\N
297957	1016	1994-03-28	VYDAJ	VYBER	14600	43167	\N	\N	\N
297958	1016	1994-04-27	VYDAJ	VYBER	14900	44918	\N	\N	\N
297959	1016	1994-05-27	VYDAJ	VYBER	16100	45469	\N	\N	\N
297960	1016	1994-06-26	VYDAJ	VYBER	11200	37542	\N	\N	\N
297961	1016	1994-07-26	VYDAJ	VYBER	12600	36054	\N	\N	\N
297962	1016	1994-08-25	VYDAJ	VYBER	15000	37671	\N	\N	\N
297963	1016	1994-09-24	VYDAJ	VYBER	14400	39888	\N	\N	\N
297964	1016	1994-10-24	VYDAJ	VYBER	15200	38811	\N	\N	\N
297965	1016	1994-11-23	VYDAJ	VYBER	13200	42233	\N	\N	\N
297966	1016	1994-12-23	VYDAJ	VYBER	20200	48575	\N	\N	\N
297967	1016	1995-01-22	VYDAJ	VYBER	10800	39931	\N	\N	\N
297968	1016	1995-02-21	VYDAJ	VYBER	9800	45164	\N	\N	\N
297969	1016	1995-03-23	VYDAJ	VYBER	15400	46390	\N	\N	\N
297970	1016	1995-04-22	VYDAJ	VYBER	16700	45740	\N	\N	\N
297971	1016	1995-05-22	VYDAJ	VYBER	12700	46090	\N	\N	\N
297972	1016	1995-06-21	VYDAJ	VYBER	14800	41849	\N	\N	\N
297973	1016	1995-07-21	VYDAJ	VYBER	12000	46474	\N	\N	\N
297974	1016	1995-08-20	VYDAJ	VYBER	14500	48611	\N	\N	\N
297975	1016	1995-09-19	VYDAJ	VYBER	14600	50662	\N	\N	\N
297976	1016	1995-10-19	VYDAJ	VYBER	12100	50613	\N	\N	\N
297977	1016	1995-11-18	VYDAJ	VYBER	17300	49964	\N	\N	\N
297978	1016	1995-12-18	VYDAJ	VYBER	12800	54338	\N	\N	\N
297979	1016	1996-01-17	VYDAJ	VYBER	14900	50099	\N	\N	\N
297980	1016	1996-02-16	VYDAJ	VYBER	11000	43245	\N	\N	\N
297981	1016	1996-03-17	VYDAJ	VYBER	9800	50058	\N	\N	\N
297982	1016	1996-04-16	VYDAJ	VYBER	11100	52492	\N	\N	\N
297983	1016	1996-05-16	VYDAJ	VYBER	10300	55739	\N	\N	\N
297984	1016	1996-06-15	VYDAJ	VYBER	19000	64018	\N	\N	\N
297985	1016	1996-07-15	VYDAJ	VYBER	7000	52270	\N	\N	\N
297986	1016	1996-08-14	VYDAJ	VYBER	12300	56611	\N	\N	\N
297987	1016	1996-09-13	PRIJEM	VKLAD	1500	53575	\N	\N	\N
297988	1016	1996-10-13	VYDAJ	VYBER	8500	61793	\N	\N	\N
297989	1016	1996-11-12	VYDAJ	VYBER	14200	64363	\N	\N	\N
297990	1016	1996-12-12	VYDAJ	VYBER	9600	70948	\N	\N	\N
297991	1016	1997-01-11	VYDAJ	VYBER	18200	80512	\N	\N	\N
297992	1016	1997-02-10	VYDAJ	VYBER	12400	71737	\N	\N	\N
297993	1016	1997-03-12	VYDAJ	VYBER	10800	72021	\N	\N	\N
297994	1016	1997-04-11	VYDAJ	VYBER	17900	73556	\N	\N	\N
297995	1016	1997-05-11	VYDAJ	VYBER	15400	72355	\N	\N	\N
297996	1016	1997-06-10	VYDAJ	VYBER	15600	68691	\N	\N	\N
297997	1016	1997-07-10	VYDAJ	VYBER	8400	66192	\N	\N	\N
297998	1016	1997-08-09	VYDAJ	VYBER	11300	73820	\N	\N	\N
297999	1016	1997-09-08	VYDAJ	VYBER	13600	77016	\N	\N	\N
298000	1016	1997-10-08	VYDAJ	VYBER	9700	80921	\N	\N	\N
298001	1016	1997-11-07	VYDAJ	VYBER	14700	83044	\N	\N	\N
298002	1016	1997-12-07	VYDAJ	VYBER	14800	85082	\N	\N	\N
298003	1016	1998-01-06	VYDAJ	VYBER	17800	89465	\N	\N	\N
298004	1016	1998-02-05	VYDAJ	VYBER KARTOU	7900	78691	\N	\N	0
298005	1016	1998-03-07	VYDAJ	VYBER	17100	78400	\N	\N	\N
298006	1016	1998-04-06	VYDAJ	VYBER	12800	82420	\N	\N	\N
298007	1016	1998-05-06	VYDAJ	VYBER	16000	83251	\N	\N	\N
298008	1016	1998-06-05	VYDAJ	VYBER	16600	83490	\N	\N	\N
298009	1016	1998-07-05	VYDAJ	VYBER KARTOU	5800	77857	\N	\N	0
298010	1016	1998-08-04	VYDAJ	VYBER	12800	81862	\N	\N	\N
298011	1016	1998-09-03	VYDAJ	VYBER	14000	84691	\N	\N	\N
298012	1016	1998-10-03	VYDAJ	VYBER	8300	89932	\N	\N	\N
298013	1016	1998-11-02	VYDAJ	VYBER	15100	91692	\N	\N	\N
298014	1016	1998-12-02	VYDAJ	VYBER	12300	94157	\N	\N	\N
298078	1017	1994-08-11	PRIJEM	VKLAD	800	800	\N	\N	\N
298087	1017	1994-09-09	PRIJEM	VKLAD	21158	21958	\N	\N	\N
298088	1017	1994-10-09	PRIJEM	VKLAD	21158	44083	\N	\N	\N
298089	1017	1994-11-09	PRIJEM	VKLAD	21158	53062	\N	\N	\N
298090	1017	1994-12-09	PRIJEM	VKLAD	31737	68297	\N	\N	\N
298091	1017	1995-01-09	PRIJEM	VKLAD	21158	57423	\N	\N	\N
298092	1017	1995-02-09	PRIJEM	VKLAD	21158	46510	\N	\N	\N
298093	1017	1995-03-09	PRIJEM	VKLAD	21158	62844	\N	\N	\N
298094	1017	1995-04-09	PRIJEM	VKLAD	21158	51788	\N	\N	\N
298095	1017	1995-05-09	PRIJEM	VKLAD	21158	56551	\N	\N	\N
298096	1017	1995-06-09	PRIJEM	VKLAD	31737	54215	\N	\N	\N
298097	1017	1995-07-09	PRIJEM	VKLAD	21158	57983	\N	\N	\N
298098	1017	1995-08-09	PRIJEM	VKLAD	21158	57573	\N	\N	\N
298099	1017	1995-09-09	PRIJEM	VKLAD	21158	59862	\N	\N	\N
298100	1017	1995-10-09	PRIJEM	VKLAD	21158	60058	\N	\N	\N
298101	1017	1995-11-09	PRIJEM	VKLAD	21158	60563	\N	\N	\N
298102	1017	1995-12-09	PRIJEM	VKLAD	31737	71140	\N	\N	\N
298103	1017	1996-01-09	PRIJEM	VKLAD	21158	56165	\N	\N	\N
298104	1017	1996-02-09	PRIJEM	VKLAD	21158	53940	\N	\N	\N
298105	1017	1996-03-09	PRIJEM	VKLAD	21158	59408	\N	\N	\N
298106	1017	1996-04-09	PRIJEM	VKLAD	21158	59798	\N	\N	\N
298107	1017	1996-05-09	PRIJEM	VKLAD	21158	59393	\N	\N	\N
298108	1017	1996-06-09	PRIJEM	VKLAD	31737	74560	\N	\N	\N
298109	1017	1996-07-09	PRIJEM	VKLAD	21158	64892	\N	\N	\N
298110	1017	1996-08-09	PRIJEM	VKLAD	21158	62506	\N	\N	\N
298111	1017	1996-09-09	PRIJEM	VKLAD	21158	64000	\N	\N	\N
298112	1017	1996-10-09	PRIJEM	VKLAD	21158	65100	\N	\N	\N
298113	1017	1996-11-09	PRIJEM	VKLAD	21158	61601	\N	\N	\N
298114	1017	1996-12-09	PRIJEM	VKLAD	31737	72167	\N	\N	\N
298115	1017	1997-01-09	PRIJEM	VKLAD	21158	67978	\N	\N	\N
298116	1017	1997-02-09	PRIJEM	VKLAD	21158	55865	\N	\N	\N
298117	1017	1997-03-09	PRIJEM	VKLAD	21158	59128	\N	\N	\N
298118	1017	1997-04-09	PRIJEM	VKLAD	21158	59900	\N	\N	\N
298119	1017	1997-05-09	PRIJEM	VKLAD	21158	60778	\N	\N	\N
298120	1017	1997-06-09	PRIJEM	VKLAD	31737	70535	\N	\N	\N
298121	1017	1997-07-09	PRIJEM	VKLAD	21158	62119	\N	\N	\N
298122	1017	1997-08-09	PRIJEM	VKLAD	21158	60500	\N	\N	\N
298123	1017	1997-09-09	PRIJEM	VKLAD	21158	62375	\N	\N	\N
298124	1017	1997-10-09	PRIJEM	VKLAD	21158	62956	\N	\N	\N
298125	1017	1997-11-09	PRIJEM	VKLAD	21158	63938	\N	\N	\N
298126	1017	1997-12-09	PRIJEM	VKLAD	31737	74301	\N	\N	\N
298127	1017	1998-01-09	PRIJEM	VKLAD	21158	66909	\N	\N	\N
298128	1017	1998-02-09	PRIJEM	VKLAD	21158	56788	\N	\N	\N
298129	1017	1998-03-09	PRIJEM	VKLAD	21158	58941	\N	\N	\N
298130	1017	1998-04-09	PRIJEM	VKLAD	21158	60104	\N	\N	\N
298131	1017	1998-05-09	PRIJEM	VKLAD	21158	59368	\N	\N	\N
298132	1017	1998-06-09	PRIJEM	VKLAD	31737	66306	\N	\N	\N
298133	1017	1998-07-09	PRIJEM	VKLAD	21158	62177	\N	\N	\N
298134	1017	1998-08-09	PRIJEM	VKLAD	21158	54332	\N	\N	\N
298135	1017	1998-09-09	PRIJEM	VKLAD	21158	49458	\N	\N	\N
298136	1017	1998-10-09	PRIJEM	VKLAD	21158	49572	\N	\N	\N
298137	1017	1998-11-09	PRIJEM	VKLAD	21158	47178	\N	\N	\N
298138	1017	1998-12-09	PRIJEM	VKLAD	31737	51452	\N	\N	\N
298151	1017	1995-01-10	VYDAJ	PREVOD NA UCET	4492	52931	SIPO	IJ	49678987
298152	1017	1995-02-10	VYDAJ	PREVOD NA UCET	4492	42018	SIPO	IJ	49678987
298153	1017	1995-03-10	VYDAJ	PREVOD NA UCET	4492	40252	SIPO	IJ	49678987
298154	1017	1995-04-10	VYDAJ	PREVOD NA UCET	4492	47296	SIPO	IJ	49678987
298155	1017	1995-05-10	VYDAJ	PREVOD NA UCET	4492	52059	SIPO	IJ	49678987
298156	1017	1995-06-10	VYDAJ	PREVOD NA UCET	4492	49723	SIPO	IJ	49678987
298157	1017	1995-07-10	VYDAJ	PREVOD NA UCET	4492	53491	SIPO	IJ	49678987
298158	1017	1995-08-10	VYDAJ	PREVOD NA UCET	4492	53081	SIPO	IJ	49678987
298159	1017	1995-09-10	VYDAJ	PREVOD NA UCET	4492	55370	SIPO	IJ	49678987
298160	1017	1995-10-10	VYDAJ	PREVOD NA UCET	4492	55566	SIPO	IJ	49678987
298161	1017	1995-11-10	VYDAJ	PREVOD NA UCET	4492	56071	SIPO	IJ	49678987
298162	1017	1995-12-10	VYDAJ	PREVOD NA UCET	4492	66648	SIPO	IJ	49678987
298163	1017	1996-01-10	VYDAJ	PREVOD NA UCET	4492	51673	SIPO	IJ	49678987
298164	1017	1996-02-10	VYDAJ	PREVOD NA UCET	4492	49448	SIPO	IJ	49678987
298165	1017	1996-03-10	VYDAJ	PREVOD NA UCET	4492	54916	SIPO	IJ	49678987
298166	1017	1996-04-10	VYDAJ	PREVOD NA UCET	4492	55306	SIPO	IJ	49678987
298167	1017	1996-05-10	VYDAJ	PREVOD NA UCET	4492	54901	SIPO	IJ	49678987
298168	1017	1996-06-10	VYDAJ	PREVOD NA UCET	4492	70068	SIPO	IJ	49678987
298169	1017	1996-07-10	VYDAJ	PREVOD NA UCET	4492	60400	SIPO	IJ	49678987
298170	1017	1996-08-10	VYDAJ	PREVOD NA UCET	4492	58014	SIPO	IJ	49678987
298171	1017	1996-09-10	VYDAJ	PREVOD NA UCET	4492	59508	SIPO	IJ	49678987
298172	1017	1996-10-10	VYDAJ	PREVOD NA UCET	4492	60608	SIPO	IJ	49678987
298173	1017	1996-11-10	VYDAJ	PREVOD NA UCET	4492	57109	SIPO	IJ	49678987
298174	1017	1996-12-10	VYDAJ	PREVOD NA UCET	4492	67675	SIPO	IJ	49678987
298175	1017	1997-01-10	VYDAJ	PREVOD NA UCET	4492	63486	SIPO	IJ	49678987
298176	1017	1997-02-10	VYDAJ	PREVOD NA UCET	4492	51373	SIPO	IJ	49678987
298177	1017	1997-03-10	VYDAJ	PREVOD NA UCET	4492	54636	SIPO	IJ	49678987
298178	1017	1997-04-10	VYDAJ	PREVOD NA UCET	4492	55408	SIPO	IJ	49678987
298179	1017	1997-05-10	VYDAJ	PREVOD NA UCET	4492	56286	SIPO	IJ	49678987
298180	1017	1997-06-10	VYDAJ	PREVOD NA UCET	4492	66043	SIPO	IJ	49678987
298181	1017	1997-07-10	VYDAJ	PREVOD NA UCET	4492	57627	SIPO	IJ	49678987
298182	1017	1997-08-10	VYDAJ	PREVOD NA UCET	4492	56008	SIPO	IJ	49678987
298183	1017	1997-09-10	VYDAJ	PREVOD NA UCET	4492	57883	SIPO	IJ	49678987
298184	1017	1997-10-10	VYDAJ	PREVOD NA UCET	4492	58464	SIPO	IJ	49678987
298185	1017	1997-11-10	VYDAJ	PREVOD NA UCET	4492	59446	SIPO	IJ	49678987
298186	1017	1997-12-10	VYDAJ	PREVOD NA UCET	4492	69809	SIPO	IJ	49678987
298187	1017	1998-01-10	VYDAJ	PREVOD NA UCET	4492	62417	SIPO	IJ	49678987
298188	1017	1998-02-10	VYDAJ	PREVOD NA UCET	4492	52296	SIPO	IJ	49678987
298189	1017	1998-03-10	VYDAJ	PREVOD NA UCET	4492	54449	SIPO	IJ	49678987
298190	1017	1998-04-10	VYDAJ	PREVOD NA UCET	4492	55612	SIPO	IJ	49678987
298191	1017	1998-05-10	VYDAJ	PREVOD NA UCET	4492	54876	SIPO	IJ	49678987
298192	1017	1998-06-10	VYDAJ	PREVOD NA UCET	4492	61814	SIPO	IJ	49678987
298193	1017	1998-07-10	VYDAJ	PREVOD NA UCET	4492	57685	SIPO	IJ	49678987
298194	1017	1998-08-10	VYDAJ	PREVOD NA UCET	4492	49840	SIPO	IJ	49678987
298195	1017	1998-09-10	VYDAJ	PREVOD NA UCET	4492	44966	SIPO	IJ	49678987
298196	1017	1998-10-10	VYDAJ	PREVOD NA UCET	4492	43680	SIPO	IJ	49678987
298197	1017	1998-11-10	VYDAJ	PREVOD NA UCET	4492	42686	SIPO	IJ	49678987
298198	1017	1998-12-10	VYDAJ	PREVOD NA UCET	4492	46960	SIPO	IJ	49678987
298212	1017	1995-02-05	VYDAJ	PREVOD NA UCET	477	29552	 	GH	13622379
298213	1017	1995-03-05	VYDAJ	PREVOD NA UCET	477	41686	 	GH	13622379
298214	1017	1995-04-05	VYDAJ	PREVOD NA UCET	477	39930	 	GH	13622379
298215	1017	1995-05-05	VYDAJ	PREVOD NA UCET	477	46993	 	GH	13622379
298216	1017	1995-06-05	VYDAJ	PREVOD NA UCET	477	22578	 	GH	13622379
298217	1017	1995-07-05	VYDAJ	PREVOD NA UCET	477	49425	 	GH	13622379
298218	1017	1995-08-05	VYDAJ	PREVOD NA UCET	477	53215	 	GH	13622379
298219	1017	1995-09-05	VYDAJ	PREVOD NA UCET	477	40004	 	GH	13622379
298220	1017	1995-10-05	VYDAJ	PREVOD NA UCET	477	55100	 	GH	13622379
298221	1017	1995-11-05	VYDAJ	PREVOD NA UCET	477	39405	 	GH	13622379
298222	1017	1995-12-05	VYDAJ	PREVOD NA UCET	477	39403	 	GH	13622379
298223	1017	1996-01-05	VYDAJ	PREVOD NA UCET	477	40507	 	GH	13622379
298224	1017	1996-02-05	VYDAJ	PREVOD NA UCET	477	32782	 	GH	13622379
298225	1017	1996-03-05	VYDAJ	PREVOD NA UCET	477	38250	 	GH	13622379
298226	1017	1996-04-05	VYDAJ	PREVOD NA UCET	477	38640	 	GH	13622379
298227	1017	1996-05-05	VYDAJ	PREVOD NA UCET	477	38235	 	GH	13622379
298228	1017	1996-06-05	VYDAJ	PREVOD NA UCET	477	42823	 	GH	13622379
298229	1017	1996-07-05	VYDAJ	PREVOD NA UCET	477	43734	 	GH	13622379
298230	1017	1996-08-05	VYDAJ	PREVOD NA UCET	477	41348	 	GH	13622379
298231	1017	1996-09-05	VYDAJ	PREVOD NA UCET	477	42842	 	GH	13622379
298232	1017	1996-10-05	VYDAJ	PREVOD NA UCET	477	43942	 	GH	13622379
298233	1017	1996-11-05	VYDAJ	PREVOD NA UCET	477	40443	 	GH	13622379
298234	1017	1996-12-05	VYDAJ	PREVOD NA UCET	477	40430	 	GH	13622379
298235	1017	1997-01-05	VYDAJ	PREVOD NA UCET	477	46820	 	GH	13622379
298236	1017	1997-02-05	VYDAJ	PREVOD NA UCET	477	34707	 	GH	13622379
298237	1017	1997-03-05	VYDAJ	PREVOD NA UCET	477	37970	 	GH	13622379
298238	1017	1997-04-05	VYDAJ	PREVOD NA UCET	477	38742	 	GH	13622379
298239	1017	1997-05-05	VYDAJ	PREVOD NA UCET	477	39620	 	GH	13622379
298240	1017	1997-06-05	VYDAJ	PREVOD NA UCET	477	38798	 	GH	13622379
298241	1017	1997-07-05	VYDAJ	PREVOD NA UCET	477	40961	 	GH	13622379
298242	1017	1997-08-05	VYDAJ	PREVOD NA UCET	477	39342	 	GH	13622379
298243	1017	1997-09-05	VYDAJ	PREVOD NA UCET	477	41217	 	GH	13622379
298244	1017	1997-10-05	VYDAJ	PREVOD NA UCET	477	41798	 	GH	13622379
298245	1017	1997-11-05	VYDAJ	PREVOD NA UCET	477	42780	 	GH	13622379
298246	1017	1997-12-05	VYDAJ	PREVOD NA UCET	477	42564	 	GH	13622379
298247	1017	1998-01-05	VYDAJ	PREVOD NA UCET	477	45751	 	GH	13622379
298248	1017	1998-02-05	VYDAJ	PREVOD NA UCET	477	35630	 	GH	13622379
298249	1017	1998-03-05	VYDAJ	PREVOD NA UCET	477	37783	 	GH	13622379
298250	1017	1998-04-05	VYDAJ	PREVOD NA UCET	477	38946	 	GH	13622379
298251	1017	1998-05-05	VYDAJ	PREVOD NA UCET	477	38210	 	GH	13622379
298252	1017	1998-06-05	VYDAJ	PREVOD NA UCET	477	34569	 	GH	13622379
298253	1017	1998-07-05	VYDAJ	PREVOD NA UCET	477	41019	 	GH	13622379
298254	1017	1998-08-05	VYDAJ	PREVOD NA UCET	477	33174	 	GH	13622379
298255	1017	1998-09-05	VYDAJ	PREVOD NA UCET	477	28300	 	GH	13622379
298256	1017	1998-10-05	VYDAJ	PREVOD NA UCET	477	28414	 	GH	13622379
298257	1017	1998-11-05	VYDAJ	PREVOD NA UCET	477	26020	 	GH	13622379
298258	1017	1998-12-05	VYDAJ	PREVOD NA UCET	477	19715	 	GH	13622379
298260	1017	1995-06-04	VYDAJ	VYBER	29200	23055	\N	\N	\N
298261	1017	1996-06-21	VYDAJ	VYBER	6400	63668	\N	\N	\N
298262	1017	1997-06-12	VYDAJ	VYBER	8700	57343	\N	\N	\N
298265	1017	1995-01-20	VYDAJ	VYBER	9900	40231	\N	\N	\N
298266	1017	1996-01-12	VYDAJ	VYBER	2800	48873	\N	\N	\N
298267	1017	1997-01-16	VYDAJ	VYBER	3000	60486	\N	\N	\N
298268	1017	1998-01-29	VYDAJ	VYBER	2700	35917	\N	\N	\N
298270	1017	1995-12-14	VYDAJ	VYBER	2600	64048	\N	\N	\N
298271	1017	1996-12-01	VYDAJ	VYBER	800	40907	\N	\N	\N
298272	1017	1997-12-30	VYDAJ	VYBER	2500	46509	\N	\N	\N
298273	1017	1998-12-05	VYDAJ	VYBER	2600	20192	\N	\N	\N
298280	1017	1995-01-30	VYDAJ	VYBER	2100	34631	\N	\N	\N
298281	1017	1995-01-18	VYDAJ	VYBER	900	50131	\N	\N	\N
298282	1017	1995-01-23	VYDAJ	VYBER	500	39731	\N	\N	\N
298283	1017	1995-01-14	VYDAJ	VYBER	1900	51031	\N	\N	\N
298284	1017	1995-01-29	VYDAJ	VYBER	1400	38331	\N	\N	\N
298285	1017	1995-01-29	VYDAJ	VYBER	1600	36731	\N	\N	\N
298286	1017	1996-01-08	VYDAJ	VYBER	2900	35507	\N	\N	\N
298287	1017	1996-01-06	VYDAJ	VYBER	2100	38407	\N	\N	\N
298288	1017	1996-01-08	VYDAJ	VYBER	500	35007	\N	\N	\N
298289	1017	1996-01-23	VYDAJ	VYBER	2000	45573	\N	\N	\N
298290	1017	1996-01-29	VYDAJ	VYBER	1100	44473	\N	\N	\N
298291	1017	1996-01-15	VYDAJ	VYBER	1300	47573	\N	\N	\N
298292	1017	1997-01-22	VYDAJ	VYBER	2300	50886	\N	\N	\N
298293	1017	1997-01-17	VYDAJ	VYBER	2100	56086	\N	\N	\N
298294	1017	1997-01-16	VYDAJ	VYBER	1800	58686	\N	\N	\N
298295	1017	1997-01-20	VYDAJ	VYBER	2900	53186	\N	\N	\N
298296	1017	1997-01-03	VYDAJ	VYBER	900	47297	\N	\N	\N
298297	1017	1997-01-16	VYDAJ	VYBER	500	58186	\N	\N	\N
298298	1017	1998-01-24	VYDAJ	VYBER	2900	39817	\N	\N	\N
298299	1017	1998-01-21	VYDAJ	VYBER	2500	56417	\N	\N	\N
298300	1017	1998-01-11	VYDAJ	VYBER	2500	59917	\N	\N	\N
298301	1017	1998-01-19	VYDAJ	VYBER	1000	58917	\N	\N	\N
298302	1017	1998-01-03	VYDAJ	VYBER	500	46228	\N	\N	\N
298303	1017	1998-01-25	VYDAJ	VYBER	1200	38617	\N	\N	\N
298308	1017	1995-12-25	VYDAJ	VYBER	1100	62948	\N	\N	\N
298309	1017	1995-09-07	VYDAJ	VYBER	1300	38704	\N	\N	\N
298310	1017	1995-01-31	VYDAJ	VYBER	4800	30043	\N	\N	\N
298311	1017	1995-10-29	VYDAJ	VYBER	700	54866	\N	\N	\N
298312	1017	1996-05-03	VYDAJ	VYBER	4900	38712	\N	\N	\N
298313	1017	1996-12-18	VYDAJ	VYBER	4000	63675	\N	\N	\N
298314	1017	1996-05-02	VYDAJ	VYBER	2200	53312	\N	\N	\N
298315	1017	1996-03-26	VYDAJ	VYBER	800	54116	\N	\N	\N
298316	1017	1996-06-25	VYDAJ	VYBER	2600	61068	\N	\N	\N
298317	1017	1997-01-28	VYDAJ	VYBER	3400	34986	\N	\N	\N
298318	1017	1997-03-11	VYDAJ	VYBER	1100	53536	\N	\N	\N
298319	1017	1997-11-10	VYDAJ	VYBER	3300	56146	\N	\N	\N
298320	1017	1998-07-13	VYDAJ	VYBER	2800	54885	\N	\N	\N
298321	1017	1998-08-13	VYDAJ	VYBER	1000	48840	\N	\N	\N
298322	1017	1998-10-09	VYDAJ	VYBER	1400	48172	\N	\N	\N
298323	1017	1998-05-25	VYDAJ	VYBER	900	37376	\N	\N	\N
298324	1017	1998-05-30	VYDAJ	VYBER	2500	34876	\N	\N	\N
298338	1017	1995-01-31	VYDAJ	VYBER	15	30029	SLUZBY	\N	\N
298339	1017	1995-02-28	VYDAJ	VYBER	15	42163	SLUZBY	\N	\N
298340	1017	1995-03-31	VYDAJ	VYBER	15	40407	SLUZBY	\N	\N
298341	1017	1995-04-30	VYDAJ	VYBER	15	47470	SLUZBY	\N	\N
298342	1017	1995-05-31	VYDAJ	VYBER	15	52255	SLUZBY	\N	\N
298343	1017	1995-06-30	VYDAJ	VYBER	15	49902	SLUZBY	\N	\N
298344	1017	1995-07-31	VYDAJ	VYBER	15	53692	SLUZBY	\N	\N
298345	1017	1995-08-31	VYDAJ	VYBER	15	53281	SLUZBY	\N	\N
298346	1017	1995-09-30	VYDAJ	VYBER	15	55577	SLUZBY	\N	\N
298347	1017	1995-10-31	VYDAJ	VYBER	15	55082	SLUZBY	\N	\N
298348	1017	1995-11-30	VYDAJ	VYBER	15	56280	SLUZBY	\N	\N
298349	1017	1995-12-31	VYDAJ	VYBER	15	63184	SLUZBY	\N	\N
298350	1017	1996-01-31	VYDAJ	VYBER	15	44659	SLUZBY	\N	\N
298351	1017	1996-02-29	VYDAJ	VYBER	15	49627	SLUZBY	\N	\N
298352	1017	1996-03-31	VYDAJ	VYBER	15	54317	SLUZBY	\N	\N
298353	1017	1996-04-30	VYDAJ	VYBER	15	55512	SLUZBY	\N	\N
298354	1017	1996-05-31	VYDAJ	VYBER	15	55100	SLUZBY	\N	\N
298355	1017	1996-06-30	VYDAJ	VYBER	15	61311	SLUZBY	\N	\N
298356	1017	1996-07-31	VYDAJ	VYBER	15	60625	SLUZBY	\N	\N
298357	1017	1996-08-31	VYDAJ	VYBER	15	43319	SLUZBY	\N	\N
298358	1017	1996-09-30	VYDAJ	VYBER	15	44419	SLUZBY	\N	\N
298359	1017	1996-10-31	VYDAJ	VYBER	15	40920	SLUZBY	\N	\N
298360	1017	1996-11-30	VYDAJ	VYBER	15	41707	SLUZBY	\N	\N
298361	1017	1996-12-31	VYDAJ	VYBER	15	48197	SLUZBY	\N	\N
298362	1017	1997-01-31	VYDAJ	VYBER	15	35184	SLUZBY	\N	\N
298363	1017	1997-02-28	VYDAJ	VYBER	15	38447	SLUZBY	\N	\N
298364	1017	1997-03-31	VYDAJ	VYBER	15	39219	SLUZBY	\N	\N
298365	1017	1997-04-30	VYDAJ	VYBER	15	40097	SLUZBY	\N	\N
298366	1017	1997-05-31	VYDAJ	VYBER	15	39275	SLUZBY	\N	\N
298367	1017	1997-06-30	VYDAJ	VYBER	15	41438	SLUZBY	\N	\N
298368	1017	1997-07-31	VYDAJ	VYBER	15	39819	SLUZBY	\N	\N
298369	1017	1997-08-31	VYDAJ	VYBER	15	41694	SLUZBY	\N	\N
298370	1017	1997-09-30	VYDAJ	VYBER	15	42275	SLUZBY	\N	\N
298371	1017	1997-10-31	VYDAJ	VYBER	15	43257	SLUZBY	\N	\N
298372	1017	1997-11-30	VYDAJ	VYBER	15	43041	SLUZBY	\N	\N
298373	1017	1997-12-31	VYDAJ	VYBER	15	46728	SLUZBY	\N	\N
298374	1017	1998-01-31	VYDAJ	VYBER	15	36107	SLUZBY	\N	\N
298375	1017	1998-02-28	VYDAJ	VYBER	15	38260	SLUZBY	\N	\N
298376	1017	1998-03-31	VYDAJ	VYBER	15	39423	SLUZBY	\N	\N
298377	1017	1998-04-30	VYDAJ	VYBER	15	38687	SLUZBY	\N	\N
298378	1017	1998-05-31	VYDAJ	VYBER	15	35046	SLUZBY	\N	\N
298379	1017	1998-06-30	VYDAJ	VYBER	15	41496	SLUZBY	\N	\N
298380	1017	1998-07-31	VYDAJ	VYBER	15	33651	SLUZBY	\N	\N
298381	1017	1998-08-31	VYDAJ	VYBER	15	28777	SLUZBY	\N	\N
298382	1017	1998-09-30	VYDAJ	VYBER	15	28891	SLUZBY	\N	\N
298383	1017	1998-10-31	VYDAJ	VYBER	15	26497	SLUZBY	\N	\N
298384	1017	1998-11-30	VYDAJ	VYBER	15	22792	SLUZBY	\N	\N
298385	1017	1994-09-10	PRIJEM	VKLAD	900	22858	\N	\N	\N
298386	1017	1994-10-10	VYDAJ	VYBER	12300	31783	\N	\N	\N
298387	1017	1994-11-09	VYDAJ	VYBER	16700	36362	\N	\N	\N
298388	1017	1994-12-09	VYDAJ	VYBER	20600	47697	\N	\N	\N
298389	1017	1995-01-08	VYDAJ	VYBER	11700	36265	\N	\N	\N
298390	1017	1995-02-07	VYDAJ	VYBER	4200	25352	\N	\N	\N
298391	1017	1995-03-09	VYDAJ	VYBER	18100	44744	\N	\N	\N
298392	1017	1995-04-08	VYDAJ	VYBER	9300	30630	\N	\N	\N
298393	1017	1995-05-08	VYDAJ	VYBER	11600	35393	\N	\N	\N
298394	1017	1995-06-07	VYDAJ	VYBER	100	22478	\N	\N	\N
298395	1017	1995-07-07	VYDAJ	VYBER	12600	36825	\N	\N	\N
298396	1017	1995-08-06	VYDAJ	VYBER	16800	36415	\N	\N	\N
298397	1017	1995-09-05	VYDAJ	VYBER	12800	40481	\N	\N	\N
298398	1017	1995-10-05	VYDAJ	VYBER	16200	38900	\N	\N	\N
298399	1017	1995-11-04	VYDAJ	VYBER	15200	39882	\N	\N	\N
298400	1017	1995-12-04	VYDAJ	VYBER	16400	39880	\N	\N	\N
298401	1017	1996-01-03	VYDAJ	VYBER	22200	40984	\N	\N	\N
298402	1017	1996-02-02	VYDAJ	VYBER	11400	33259	\N	\N	\N
298403	1017	1996-03-03	VYDAJ	VYBER	10900	38727	\N	\N	\N
298404	1017	1996-04-02	VYDAJ	VYBER	15200	39117	\N	\N	\N
298405	1017	1996-05-02	VYDAJ	VYBER	9700	43612	\N	\N	\N
298406	1017	1996-06-01	VYDAJ	VYBER	11800	43300	\N	\N	\N
298407	1017	1996-07-01	VYDAJ	VYBER	17100	44211	\N	\N	\N
298408	1017	1996-07-31	VYDAJ	VYBER	18800	41825	\N	\N	\N
298409	1017	1996-08-30	VYDAJ	VYBER	14900	43114	\N	\N	\N
298410	1017	1996-09-29	VYDAJ	VYBER	15300	44208	\N	\N	\N
298411	1017	1996-10-29	VYDAJ	VYBER	19900	40708	\N	\N	\N
298412	1017	1996-11-28	VYDAJ	VYBER	15600	41509	\N	\N	\N
298413	1017	1996-12-28	VYDAJ	VYBER	15700	47975	\N	\N	\N
298414	1017	1997-01-27	VYDAJ	VYBER	12500	38386	\N	\N	\N
298415	1017	1997-02-26	VYDAJ	VYBER	13100	38273	\N	\N	\N
298416	1017	1997-03-28	VYDAJ	VYBER	14500	39036	\N	\N	\N
298417	1017	1997-04-27	VYDAJ	VYBER	15500	39908	\N	\N	\N
298418	1017	1997-05-27	VYDAJ	VYBER	17200	39086	\N	\N	\N
298419	1017	1997-06-26	VYDAJ	VYBER	16100	41243	\N	\N	\N
298420	1017	1997-07-26	VYDAJ	VYBER	18000	39627	\N	\N	\N
298421	1017	1997-08-25	VYDAJ	VYBER	14500	41508	\N	\N	\N
298422	1017	1997-09-24	VYDAJ	VYBER	15800	42083	\N	\N	\N
298423	1017	1997-10-24	VYDAJ	VYBER	15400	43064	\N	\N	\N
298424	1017	1997-11-23	VYDAJ	VYBER	13300	42846	\N	\N	\N
298425	1017	1997-12-23	VYDAJ	VYBER	20800	49009	\N	\N	\N
298426	1017	1998-01-22	VYDAJ	VYBER	13700	42717	\N	\N	\N
298427	1017	1998-02-21	VYDAJ	VYBER	14200	38096	\N	\N	\N
298428	1017	1998-03-23	VYDAJ	VYBER	15200	39249	\N	\N	\N
298429	1017	1998-04-22	VYDAJ	VYBER	17100	38512	\N	\N	\N
298430	1017	1998-05-22	VYDAJ	VYBER	16600	38276	\N	\N	\N
298431	1017	1998-06-21	VYDAJ	VYBER	20500	41314	\N	\N	\N
298432	1017	1998-07-21	VYDAJ	VYBER	21400	33485	\N	\N	\N
298433	1017	1998-08-20	VYDAJ	VYBER	20200	28640	\N	\N	\N
298434	1017	1998-09-19	VYDAJ	VYBER	16200	28766	\N	\N	\N
298435	1017	1998-10-19	VYDAJ	VYBER	17300	26380	\N	\N	\N
298436	1017	1998-11-18	VYDAJ	VYBER	20000	22686	\N	\N	\N
298489	1018	1993-06-03	PRIJEM	VKLAD	600	600	\N	\N	\N
298495	1018	1993-06-05	PRIJEM	PREVOD Z UCTU	3963	4563	\N	OP	40950048
298496	1018	1993-07-05	PRIJEM	PREVOD Z UCTU	3963	19143	\N	OP	40950048
298497	1018	1993-08-05	PRIJEM	PREVOD Z UCTU	3963	27877	\N	OP	40950048
298498	1018	1993-09-05	PRIJEM	PREVOD Z UCTU	3963	32552	\N	OP	40950048
298499	1018	1993-10-05	PRIJEM	PREVOD Z UCTU	3963	34048	\N	OP	40950048
298500	1018	1993-11-05	PRIJEM	PREVOD Z UCTU	3963	32467	\N	OP	40950048
298501	1018	1993-12-05	PRIJEM	PREVOD Z UCTU	3963	31596	\N	OP	40950048
298502	1018	1994-01-05	PRIJEM	PREVOD Z UCTU	3963	30013	\N	OP	40950048
298503	1018	1994-02-05	PRIJEM	PREVOD Z UCTU	3963	28859	\N	OP	40950048
298504	1018	1994-03-05	PRIJEM	PREVOD Z UCTU	3963	27792	\N	OP	40950048
298505	1018	1994-04-05	PRIJEM	PREVOD Z UCTU	3963	28835	\N	OP	40950048
298506	1018	1994-05-05	PRIJEM	PREVOD Z UCTU	3963	27152	\N	OP	40950048
298507	1018	1994-06-05	PRIJEM	PREVOD Z UCTU	3963	25657	\N	OP	40950048
298508	1018	1994-07-05	PRIJEM	PREVOD Z UCTU	3963	23741	\N	OP	40950048
298509	1018	1994-08-05	PRIJEM	PREVOD Z UCTU	3963	24182	\N	OP	40950048
298510	1018	1994-09-05	PRIJEM	PREVOD Z UCTU	3963	25576	\N	OP	40950048
298511	1018	1994-10-05	PRIJEM	PREVOD Z UCTU	3963	28977	\N	OP	40950048
298512	1018	1994-11-05	PRIJEM	PREVOD Z UCTU	3963	27289	\N	OP	40950048
298513	1018	1994-12-05	PRIJEM	PREVOD Z UCTU	3963	26695	\N	OP	40950048
298514	1018	1995-01-05	PRIJEM	PREVOD Z UCTU	3963	27138	\N	OP	40950048
298515	1018	1995-02-05	PRIJEM	PREVOD Z UCTU	3963	24100	\N	OP	40950048
298516	1018	1995-03-05	PRIJEM	PREVOD Z UCTU	3963	22591	\N	OP	40950048
298517	1018	1995-04-05	PRIJEM	PREVOD Z UCTU	3963	20576	\N	OP	40950048
298518	1018	1995-05-05	PRIJEM	PREVOD Z UCTU	3963	23296	\N	OP	40950048
298519	1018	1995-06-05	PRIJEM	PREVOD Z UCTU	3963	24189	\N	OP	40950048
298520	1018	1995-07-05	PRIJEM	PREVOD Z UCTU	3963	16713	\N	OP	40950048
298521	1018	1995-08-05	PRIJEM	PREVOD Z UCTU	3963	17475	\N	OP	40950048
298522	1018	1995-09-05	PRIJEM	PREVOD Z UCTU	3963	19241	\N	OP	40950048
298523	1018	1995-10-05	PRIJEM	PREVOD Z UCTU	3963	16108	\N	OP	40950048
298524	1018	1995-11-05	PRIJEM	PREVOD Z UCTU	3963	18100	\N	OP	40950048
298525	1018	1995-12-05	PRIJEM	PREVOD Z UCTU	3963	17966	\N	OP	40950048
298526	1018	1996-01-05	PRIJEM	PREVOD Z UCTU	3963	17331	\N	OP	40950048
298527	1018	1996-02-05	PRIJEM	PREVOD Z UCTU	3963	16380	\N	OP	40950048
298528	1018	1996-03-05	PRIJEM	PREVOD Z UCTU	3963	16038	\N	OP	40950048
298529	1018	1996-04-05	PRIJEM	PREVOD Z UCTU	3963	16596	\N	OP	40950048
298530	1018	1996-05-05	PRIJEM	PREVOD Z UCTU	3963	16055	\N	OP	40950048
298531	1018	1996-06-05	PRIJEM	PREVOD Z UCTU	3963	17415	\N	OP	40950048
298532	1018	1996-07-05	PRIJEM	PREVOD Z UCTU	3963	14779	\N	OP	40950048
298533	1018	1996-08-05	PRIJEM	PREVOD Z UCTU	3963	16133	\N	OP	40950048
298534	1018	1996-09-05	PRIJEM	PREVOD Z UCTU	3963	17493	\N	OP	40950048
298535	1018	1996-10-05	PRIJEM	PREVOD Z UCTU	3963	18588	\N	OP	40950048
298536	1018	1996-11-05	PRIJEM	PREVOD Z UCTU	3963	19958	\N	OP	40950048
298537	1018	1996-12-05	PRIJEM	PREVOD Z UCTU	3963	21333	\N	OP	40950048
298538	1018	1997-01-05	PRIJEM	PREVOD Z UCTU	3963	21844	\N	OP	40950048
298539	1018	1997-02-05	PRIJEM	PREVOD Z UCTU	3963	18930	\N	OP	40950048
298540	1018	1997-03-05	PRIJEM	PREVOD Z UCTU	3963	16494	\N	OP	40950048
298541	1018	1997-04-05	PRIJEM	PREVOD Z UCTU	3963	17855	\N	OP	40950048
298542	1018	1997-05-05	PRIJEM	PREVOD Z UCTU	3963	19221	\N	OP	40950048
298543	1018	1997-06-05	PRIJEM	PREVOD Z UCTU	3963	20594	\N	OP	40950048
298544	1018	1997-07-05	PRIJEM	PREVOD Z UCTU	3963	17158	\N	OP	40950048
298545	1018	1997-08-05	PRIJEM	PREVOD Z UCTU	3963	18521	\N	OP	40950048
298546	1018	1997-09-05	PRIJEM	PREVOD Z UCTU	3963	16582	\N	OP	40950048
298547	1018	1997-10-05	PRIJEM	PREVOD Z UCTU	3963	17943	\N	OP	40950048
298548	1018	1997-11-05	PRIJEM	PREVOD Z UCTU	3963	14395	\N	OP	40950048
298549	1018	1997-12-05	PRIJEM	PREVOD Z UCTU	3963	15747	\N	OP	40950048
298550	1018	1998-01-05	PRIJEM	PREVOD Z UCTU	3963	17104	\N	OP	40950048
298551	1018	1998-02-05	PRIJEM	PREVOD Z UCTU	3963	16755	\N	OP	40950048
298552	1018	1998-03-05	PRIJEM	PREVOD Z UCTU	3963	18116	\N	OP	40950048
298553	1018	1998-04-05	PRIJEM	PREVOD Z UCTU	3963	14870	\N	OP	40950048
298554	1018	1998-05-05	PRIJEM	PREVOD Z UCTU	3963	15121	\N	OP	40950048
298555	1018	1998-06-05	PRIJEM	PREVOD Z UCTU	3963	16476	\N	OP	40950048
298556	1018	1998-07-05	PRIJEM	PREVOD Z UCTU	3963	15731	\N	OP	40950048
298557	1018	1998-08-05	PRIJEM	PREVOD Z UCTU	3963	19498	\N	OP	40950048
298558	1018	1998-09-05	PRIJEM	PREVOD Z UCTU	3963	22436	\N	OP	40950048
298559	1018	1998-10-05	PRIJEM	PREVOD Z UCTU	3963	23820	\N	OP	40950048
298560	1018	1998-11-05	PRIJEM	PREVOD Z UCTU	3963	22304	\N	OP	40950048
298561	1018	1998-12-05	PRIJEM	PREVOD Z UCTU	3963	25089	\N	OP	40950048
298571	1018	1993-10-11	VYDAJ	PREVOD NA UCET	1614	32434	SIPO	MN	21977925
298572	1018	1993-11-11	VYDAJ	PREVOD NA UCET	1614	30853	SIPO	MN	21977925
298573	1018	1993-12-11	VYDAJ	PREVOD NA UCET	1614	29982	SIPO	MN	21977925
298574	1018	1994-01-11	VYDAJ	PREVOD NA UCET	1614	27469	SIPO	MN	21977925
298575	1018	1994-02-11	VYDAJ	PREVOD NA UCET	1614	27245	SIPO	MN	21977925
298576	1018	1994-03-11	VYDAJ	PREVOD NA UCET	1614	25668	SIPO	MN	21977925
298577	1018	1994-04-11	VYDAJ	PREVOD NA UCET	1614	27221	SIPO	MN	21977925
298578	1018	1994-05-11	VYDAJ	PREVOD NA UCET	1614	25538	SIPO	MN	21977925
298579	1018	1994-06-11	VYDAJ	PREVOD NA UCET	1614	24043	SIPO	MN	21977925
298580	1018	1994-07-11	VYDAJ	PREVOD NA UCET	1614	22127	SIPO	MN	21977925
298581	1018	1994-08-11	VYDAJ	PREVOD NA UCET	1614	22568	SIPO	MN	21977925
298582	1018	1994-09-11	VYDAJ	PREVOD NA UCET	1614	23962	SIPO	MN	21977925
298583	1018	1994-10-11	VYDAJ	PREVOD NA UCET	1614	27363	SIPO	MN	21977925
298584	1018	1994-11-11	VYDAJ	PREVOD NA UCET	1614	25675	SIPO	MN	21977925
298585	1018	1994-12-11	VYDAJ	PREVOD NA UCET	1614	25081	SIPO	MN	21977925
298586	1018	1995-01-11	VYDAJ	PREVOD NA UCET	1614	24474	SIPO	MN	21977925
298587	1018	1995-02-11	VYDAJ	PREVOD NA UCET	1614	22486	SIPO	MN	21977925
298588	1018	1995-03-11	VYDAJ	PREVOD NA UCET	1614	20977	SIPO	MN	21977925
298589	1018	1995-04-11	VYDAJ	PREVOD NA UCET	1614	18962	SIPO	MN	21977925
298590	1018	1995-05-11	VYDAJ	PREVOD NA UCET	1614	21682	SIPO	MN	21977925
298591	1018	1995-06-11	VYDAJ	PREVOD NA UCET	1614	17175	SIPO	MN	21977925
298592	1018	1995-07-11	VYDAJ	PREVOD NA UCET	1614	15099	SIPO	MN	21977925
298593	1018	1995-08-11	VYDAJ	PREVOD NA UCET	1614	15861	SIPO	MN	21977925
298594	1018	1995-09-11	VYDAJ	PREVOD NA UCET	1614	17627	SIPO	MN	21977925
298595	1018	1995-10-11	VYDAJ	PREVOD NA UCET	1614	14494	SIPO	MN	21977925
298596	1018	1995-11-11	VYDAJ	PREVOD NA UCET	1614	16486	SIPO	MN	21977925
298597	1018	1995-12-11	VYDAJ	PREVOD NA UCET	1614	16352	SIPO	MN	21977925
298598	1018	1996-01-11	VYDAJ	PREVOD NA UCET	1614	13407	SIPO	MN	21977925
298599	1018	1996-02-11	VYDAJ	PREVOD NA UCET	1614	14766	SIPO	MN	21977925
298600	1018	1996-03-11	VYDAJ	PREVOD NA UCET	1614	14424	SIPO	MN	21977925
298601	1018	1996-04-11	VYDAJ	PREVOD NA UCET	1614	14982	SIPO	MN	21977925
298602	1018	1996-05-11	VYDAJ	PREVOD NA UCET	1614	14441	SIPO	MN	21977925
298603	1018	1996-06-11	VYDAJ	PREVOD NA UCET	1614	11811	SIPO	MN	21977925
298604	1018	1996-07-11	VYDAJ	PREVOD NA UCET	1614	13165	SIPO	MN	21977925
298605	1018	1996-08-11	VYDAJ	PREVOD NA UCET	1614	14519	SIPO	MN	21977925
298606	1018	1996-09-11	VYDAJ	PREVOD NA UCET	1614	15879	SIPO	MN	21977925
298607	1018	1996-10-11	VYDAJ	PREVOD NA UCET	1614	16974	SIPO	MN	21977925
298608	1018	1996-11-11	VYDAJ	PREVOD NA UCET	1614	18344	SIPO	MN	21977925
298609	1018	1996-12-11	VYDAJ	PREVOD NA UCET	1614	19719	SIPO	MN	21977925
298610	1018	1997-01-11	VYDAJ	PREVOD NA UCET	1614	19510	SIPO	MN	21977925
298611	1018	1997-02-11	VYDAJ	PREVOD NA UCET	1614	17316	SIPO	MN	21977925
298612	1018	1997-03-11	VYDAJ	PREVOD NA UCET	1614	14880	SIPO	MN	21977925
298613	1018	1997-04-11	VYDAJ	PREVOD NA UCET	1614	16241	SIPO	MN	21977925
298614	1018	1997-05-11	VYDAJ	PREVOD NA UCET	1614	17607	SIPO	MN	21977925
298615	1018	1997-06-11	VYDAJ	PREVOD NA UCET	1614	14180	SIPO	MN	21977925
298616	1018	1997-07-11	VYDAJ	PREVOD NA UCET	1614	15544	SIPO	MN	21977925
298617	1018	1997-08-11	VYDAJ	PREVOD NA UCET	1614	16907	SIPO	MN	21977925
298618	1018	1997-09-11	VYDAJ	PREVOD NA UCET	1614	14968	SIPO	MN	21977925
298619	1018	1997-10-11	VYDAJ	PREVOD NA UCET	1614	11429	SIPO	MN	21977925
298620	1018	1997-11-11	VYDAJ	PREVOD NA UCET	1614	12781	SIPO	MN	21977925
298621	1018	1997-12-11	VYDAJ	PREVOD NA UCET	1614	14133	SIPO	MN	21977925
298622	1018	1998-01-11	VYDAJ	PREVOD NA UCET	1614	13780	SIPO	MN	21977925
298623	1018	1998-02-11	VYDAJ	PREVOD NA UCET	1614	15141	SIPO	MN	21977925
298624	1018	1998-03-11	VYDAJ	PREVOD NA UCET	1614	11902	SIPO	MN	21977925
298625	1018	1998-04-11	VYDAJ	PREVOD NA UCET	1614	12156	SIPO	MN	21977925
298626	1018	1998-05-11	VYDAJ	PREVOD NA UCET	1614	13507	SIPO	MN	21977925
298627	1018	1998-06-11	VYDAJ	PREVOD NA UCET	1614	12762	SIPO	MN	21977925
298628	1018	1998-07-11	VYDAJ	PREVOD NA UCET	1614	16517	SIPO	MN	21977925
298629	1018	1998-08-11	VYDAJ	PREVOD NA UCET	1614	19284	SIPO	MN	21977925
298630	1018	1998-09-11	VYDAJ	PREVOD NA UCET	1614	20822	SIPO	MN	21977925
298631	1018	1998-10-11	VYDAJ	PREVOD NA UCET	1614	15916	SIPO	MN	21977925
298632	1018	1998-11-11	VYDAJ	PREVOD NA UCET	1614	20690	SIPO	MN	21977925
298633	1018	1998-12-11	VYDAJ	PREVOD NA UCET	1614	23475	SIPO	MN	21977925
298643	1018	1993-10-12	VYDAJ	PREVOD NA UCET	1028	31406	 	GH	98507838
298644	1018	1993-11-12	VYDAJ	PREVOD NA UCET	1028	29825	 	GH	98507838
298645	1018	1993-12-12	VYDAJ	PREVOD NA UCET	1028	28954	 	GH	98507838
298646	1018	1994-01-12	VYDAJ	PREVOD NA UCET	1028	26441	 	GH	98507838
298647	1018	1994-02-12	VYDAJ	PREVOD NA UCET	1028	26217	 	GH	98507838
298648	1018	1994-03-12	VYDAJ	PREVOD NA UCET	1028	24640	 	GH	98507838
298649	1018	1994-04-12	VYDAJ	PREVOD NA UCET	1028	26193	 	GH	98507838
298650	1018	1994-05-12	VYDAJ	PREVOD NA UCET	1028	24510	 	GH	98507838
298651	1018	1994-06-12	VYDAJ	PREVOD NA UCET	1028	23015	 	GH	98507838
298652	1018	1994-07-12	VYDAJ	PREVOD NA UCET	1028	21099	 	GH	98507838
298653	1018	1994-08-12	VYDAJ	PREVOD NA UCET	1028	21540	 	GH	98507838
298654	1018	1994-09-12	VYDAJ	PREVOD NA UCET	1028	22934	 	GH	98507838
298655	1018	1994-10-12	VYDAJ	PREVOD NA UCET	1028	26335	 	GH	98507838
298656	1018	1994-11-12	VYDAJ	PREVOD NA UCET	1028	24647	 	GH	98507838
298657	1018	1994-12-12	VYDAJ	PREVOD NA UCET	1028	24053	 	GH	98507838
298658	1018	1995-01-12	VYDAJ	PREVOD NA UCET	1028	23446	 	GH	98507838
298659	1018	1995-02-12	VYDAJ	PREVOD NA UCET	1028	21458	 	GH	98507838
298660	1018	1995-03-12	VYDAJ	PREVOD NA UCET	1028	19949	 	GH	98507838
298661	1018	1995-04-12	VYDAJ	PREVOD NA UCET	1028	17934	 	GH	98507838
298662	1018	1995-05-12	VYDAJ	PREVOD NA UCET	1028	20654	 	GH	98507838
298663	1018	1995-06-12	VYDAJ	PREVOD NA UCET	1028	16147	 	GH	98507838
298664	1018	1995-07-12	VYDAJ	PREVOD NA UCET	1028	14071	 	GH	98507838
298665	1018	1995-08-12	VYDAJ	PREVOD NA UCET	1028	14833	 	GH	98507838
298666	1018	1995-09-12	VYDAJ	PREVOD NA UCET	1028	16599	 	GH	98507838
298667	1018	1995-10-12	VYDAJ	PREVOD NA UCET	1028	13466	 	GH	98507838
298668	1018	1995-11-12	VYDAJ	PREVOD NA UCET	1028	15458	 	GH	98507838
298669	1018	1995-12-12	VYDAJ	PREVOD NA UCET	1028	15324	 	GH	98507838
298670	1018	1996-01-12	VYDAJ	PREVOD NA UCET	1028	12379	 	GH	98507838
298671	1018	1996-02-12	VYDAJ	PREVOD NA UCET	1028	13738	 	GH	98507838
298672	1018	1996-03-12	VYDAJ	PREVOD NA UCET	1028	13396	 	GH	98507838
298673	1018	1996-04-12	VYDAJ	PREVOD NA UCET	1028	13954	 	GH	98507838
298674	1018	1996-05-12	VYDAJ	PREVOD NA UCET	1028	13413	 	GH	98507838
298675	1018	1996-06-12	VYDAJ	PREVOD NA UCET	1028	10783	 	GH	98507838
298676	1018	1996-07-12	VYDAJ	PREVOD NA UCET	1028	12137	 	GH	98507838
298677	1018	1996-08-12	VYDAJ	PREVOD NA UCET	1028	13491	 	GH	98507838
298678	1018	1996-09-12	VYDAJ	PREVOD NA UCET	1028	14851	 	GH	98507838
298679	1018	1996-10-12	VYDAJ	PREVOD NA UCET	1028	15946	 	GH	98507838
298680	1018	1996-11-12	VYDAJ	PREVOD NA UCET	1028	17316	 	GH	98507838
298681	1018	1996-12-12	VYDAJ	PREVOD NA UCET	1028	18691	 	GH	98507838
298682	1018	1997-01-12	VYDAJ	PREVOD NA UCET	1028	18482	 	GH	98507838
298683	1018	1997-02-12	VYDAJ	PREVOD NA UCET	1028	12488	 	GH	98507838
298684	1018	1997-03-12	VYDAJ	PREVOD NA UCET	1028	13852	 	GH	98507838
298685	1018	1997-04-12	VYDAJ	PREVOD NA UCET	1028	15213	 	GH	98507838
298686	1018	1997-05-12	VYDAJ	PREVOD NA UCET	1028	16579	 	GH	98507838
298687	1018	1997-06-12	VYDAJ	PREVOD NA UCET	1028	13152	 	GH	98507838
298688	1018	1997-07-12	VYDAJ	PREVOD NA UCET	1028	14516	 	GH	98507838
298689	1018	1997-08-12	VYDAJ	PREVOD NA UCET	1028	12579	 	GH	98507838
298690	1018	1997-09-12	VYDAJ	PREVOD NA UCET	1028	13940	 	GH	98507838
298691	1018	1997-10-12	VYDAJ	PREVOD NA UCET	1028	10401	 	GH	98507838
298692	1018	1997-11-12	VYDAJ	PREVOD NA UCET	1028	11753	 	GH	98507838
298693	1018	1997-12-12	VYDAJ	PREVOD NA UCET	1028	13105	 	GH	98507838
298694	1018	1998-01-12	VYDAJ	PREVOD NA UCET	1028	12752	 	GH	98507838
298695	1018	1998-02-12	VYDAJ	PREVOD NA UCET	1028	14113	 	GH	98507838
298696	1018	1998-03-12	VYDAJ	PREVOD NA UCET	1028	10874	 	GH	98507838
298697	1018	1998-04-12	VYDAJ	PREVOD NA UCET	1028	11128	 	GH	98507838
298698	1018	1998-05-12	VYDAJ	PREVOD NA UCET	1028	12479	 	GH	98507838
298699	1018	1998-06-12	VYDAJ	PREVOD NA UCET	1028	11734	 	GH	98507838
298700	1018	1998-07-12	VYDAJ	PREVOD NA UCET	1028	15489	 	GH	98507838
298701	1018	1998-08-12	VYDAJ	PREVOD NA UCET	1028	18256	 	GH	98507838
298702	1018	1998-09-12	VYDAJ	PREVOD NA UCET	1028	19794	 	GH	98507838
298703	1018	1998-10-12	VYDAJ	PREVOD NA UCET	1028	14888	 	GH	98507838
298704	1018	1998-11-12	VYDAJ	PREVOD NA UCET	1028	19662	 	GH	98507838
298705	1018	1998-12-12	VYDAJ	PREVOD NA UCET	1028	22447	 	GH	98507838
298707	1018	1994-06-15	VYDAJ	VYBER	2880	20135	\N	\N	\N
298708	1018	1995-06-05	VYDAJ	VYBER	5400	18789	\N	\N	\N
298709	1018	1996-06-10	VYDAJ	VYBER	3990	13425	\N	\N	\N
298710	1018	1997-06-07	VYDAJ	VYBER	4800	15794	\N	\N	\N
298713	1018	1994-01-23	VYDAJ	VYBER	2700	23381	\N	\N	\N
298714	1018	1995-01-25	VYDAJ	VYBER	2520	20056	\N	\N	\N
298715	1018	1996-01-08	VYDAJ	VYBER	2100	15231	\N	\N	\N
298716	1018	1997-01-26	VYDAJ	VYBER	570	14912	\N	\N	\N
298717	1018	1998-01-06	VYDAJ	VYBER	780	15694	\N	\N	\N
298718	1018	1993-12-30	VYDAJ	VYBER	390	26364	\N	\N	\N
298719	1018	1994-12-16	VYDAJ	VYBER	510	23543	\N	\N	\N
298721	1018	1996-12-28	VYDAJ	VYBER	390	17821	\N	\N	\N
298723	1018	1998-12-22	VYDAJ	VYBER	150	22297	\N	\N	\N
298730	1018	1994-01-06	VYDAJ	VYBER	660	29353	\N	\N	\N
298731	1018	1994-01-13	VYDAJ	VYBER	360	26081	\N	\N	\N
298732	1018	1994-01-03	VYDAJ	VYBER	150	26320	\N	\N	\N
298733	1018	1994-01-04	VYDAJ	VYBER	270	26050	\N	\N	\N
298734	1018	1994-01-06	VYDAJ	VYBER	270	29083	\N	\N	\N
298735	1018	1994-01-30	VYDAJ	VYBER	480	24801	\N	\N	\N
298736	1018	1995-01-18	VYDAJ	VYBER	630	22816	\N	\N	\N
298737	1018	1995-01-22	VYDAJ	VYBER	840	21976	\N	\N	\N
298738	1018	1995-01-09	VYDAJ	VYBER	390	26088	\N	\N	\N
298739	1018	1995-01-02	VYDAJ	VYBER	150	23175	\N	\N	\N
298740	1018	1995-01-08	VYDAJ	VYBER	660	26478	\N	\N	\N
298741	1018	1995-01-22	VYDAJ	VYBER	300	21676	\N	\N	\N
298746	1018	1996-01-08	VYDAJ	VYBER	210	15021	\N	\N	\N
298748	1018	1997-01-21	VYDAJ	VYBER	420	15482	\N	\N	\N
298749	1018	1997-01-15	VYDAJ	VYBER	450	16712	\N	\N	\N
298750	1018	1997-01-19	VYDAJ	VYBER	810	15902	\N	\N	\N
298751	1018	1997-01-13	VYDAJ	VYBER	450	17162	\N	\N	\N
298752	1018	1997-01-08	VYDAJ	VYBER	720	21124	\N	\N	\N
298753	1018	1997-01-13	VYDAJ	VYBER	870	17612	\N	\N	\N
298754	1018	1998-01-05	VYDAJ	VYBER	630	16474	\N	\N	\N
298759	1018	1998-01-08	VYDAJ	VYBER	300	15394	\N	\N	\N
298762	1018	1993-10-20	VYDAJ	VYBER	720	30686	\N	\N	\N
298766	1018	1994-03-03	VYDAJ	VYBER	1380	23829	\N	\N	\N
298767	1018	1994-04-01	VYDAJ	VYBER	1260	24872	\N	\N	\N
298768	1018	1994-03-08	VYDAJ	VYBER	510	27282	\N	\N	\N
298769	1018	1994-07-18	VYDAJ	VYBER	1350	19749	\N	\N	\N
298770	1018	1994-06-28	VYDAJ	VYBER	300	20935	\N	\N	\N
298771	1018	1994-06-29	VYDAJ	VYBER	1230	19705	\N	\N	\N
298772	1018	1995-10-24	VYDAJ	VYBER	570	14096	\N	\N	\N
298776	1018	1995-06-20	VYDAJ	VYBER	1350	14797	\N	\N	\N
298777	1018	1995-05-01	VYDAJ	VYBER	150	19333	\N	\N	\N
298778	1018	1995-04-12	VYDAJ	VYBER	810	17124	\N	\N	\N
298781	1018	1996-09-12	VYDAJ	VYBER	270	14581	\N	\N	\N
298783	1018	1996-12-23	VYDAJ	VYBER	480	18211	\N	\N	\N
298792	1018	1998-10-09	VYDAJ	VYBER	1290	17530	\N	\N	\N
298793	1018	1998-08-16	VYDAJ	VYBER	1140	17116	\N	\N	\N
298804	1018	1993-10-31	VYDAJ	VYBER	15	28504	SLUZBY	\N	\N
298805	1018	1993-11-30	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
298806	1018	1993-12-31	VYDAJ	VYBER	15	26470	SLUZBY	\N	\N
298807	1018	1994-01-31	VYDAJ	VYBER	15	24896	SLUZBY	\N	\N
298808	1018	1994-02-28	VYDAJ	VYBER	15	25209	SLUZBY	\N	\N
298809	1018	1994-03-31	VYDAJ	VYBER	15	26132	SLUZBY	\N	\N
298810	1018	1994-04-30	VYDAJ	VYBER	15	23189	SLUZBY	\N	\N
298811	1018	1994-05-31	VYDAJ	VYBER	15	21694	SLUZBY	\N	\N
298812	1018	1994-06-30	VYDAJ	VYBER	15	19778	SLUZBY	\N	\N
298813	1018	1994-07-31	VYDAJ	VYBER	15	20219	SLUZBY	\N	\N
298814	1018	1994-08-31	VYDAJ	VYBER	15	21613	SLUZBY	\N	\N
298815	1018	1994-09-30	VYDAJ	VYBER	15	25014	SLUZBY	\N	\N
298816	1018	1994-10-31	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
298817	1018	1994-11-30	VYDAJ	VYBER	15	22732	SLUZBY	\N	\N
298818	1018	1994-12-31	VYDAJ	VYBER	15	23325	SLUZBY	\N	\N
298819	1018	1995-01-31	VYDAJ	VYBER	15	20137	SLUZBY	\N	\N
298820	1018	1995-02-28	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
298821	1018	1995-03-31	VYDAJ	VYBER	15	16613	SLUZBY	\N	\N
298822	1018	1995-04-30	VYDAJ	VYBER	15	19483	SLUZBY	\N	\N
298823	1018	1995-05-31	VYDAJ	VYBER	15	20226	SLUZBY	\N	\N
298824	1018	1995-06-30	VYDAJ	VYBER	15	12750	SLUZBY	\N	\N
298825	1018	1995-07-31	VYDAJ	VYBER	15	13512	SLUZBY	\N	\N
298826	1018	1995-08-31	VYDAJ	VYBER	15	15278	SLUZBY	\N	\N
298827	1018	1995-09-30	VYDAJ	VYBER	15	12145	SLUZBY	\N	\N
298828	1018	1995-10-31	VYDAJ	VYBER	15	14137	SLUZBY	\N	\N
298829	1018	1995-11-30	VYDAJ	VYBER	15	14003	SLUZBY	\N	\N
298830	1018	1995-12-31	VYDAJ	VYBER	15	13368	SLUZBY	\N	\N
298831	1018	1996-01-31	VYDAJ	VYBER	15	12417	SLUZBY	\N	\N
298832	1018	1996-02-29	VYDAJ	VYBER	15	12075	SLUZBY	\N	\N
298833	1018	1996-03-31	VYDAJ	VYBER	15	12633	SLUZBY	\N	\N
298834	1018	1996-04-30	VYDAJ	VYBER	15	12092	SLUZBY	\N	\N
298835	1018	1996-05-31	VYDAJ	VYBER	15	13452	SLUZBY	\N	\N
298836	1018	1996-06-30	VYDAJ	VYBER	15	10816	SLUZBY	\N	\N
298837	1018	1996-07-31	VYDAJ	VYBER	15	12170	SLUZBY	\N	\N
298838	1018	1996-08-31	VYDAJ	VYBER	15	13530	SLUZBY	\N	\N
298839	1018	1996-09-30	VYDAJ	VYBER	15	14625	SLUZBY	\N	\N
298840	1018	1996-10-31	VYDAJ	VYBER	15	15995	SLUZBY	\N	\N
298841	1018	1996-11-30	VYDAJ	VYBER	15	17370	SLUZBY	\N	\N
298842	1018	1996-12-31	VYDAJ	VYBER	15	17881	SLUZBY	\N	\N
298843	1018	1997-01-31	VYDAJ	VYBER	15	14967	SLUZBY	\N	\N
298844	1018	1997-02-28	VYDAJ	VYBER	15	12531	SLUZBY	\N	\N
298845	1018	1997-03-31	VYDAJ	VYBER	15	13892	SLUZBY	\N	\N
298846	1018	1997-04-30	VYDAJ	VYBER	15	15258	SLUZBY	\N	\N
298847	1018	1997-05-31	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
298848	1018	1997-06-30	VYDAJ	VYBER	15	13195	SLUZBY	\N	\N
298849	1018	1997-07-31	VYDAJ	VYBER	15	14558	SLUZBY	\N	\N
298850	1018	1997-08-31	VYDAJ	VYBER	15	12619	SLUZBY	\N	\N
298851	1018	1997-09-30	VYDAJ	VYBER	15	13980	SLUZBY	\N	\N
298852	1018	1997-10-31	VYDAJ	VYBER	15	10432	SLUZBY	\N	\N
298853	1018	1997-11-30	VYDAJ	VYBER	15	11784	SLUZBY	\N	\N
298854	1018	1997-12-31	VYDAJ	VYBER	15	13141	SLUZBY	\N	\N
298855	1018	1998-01-31	VYDAJ	VYBER	15	12792	SLUZBY	\N	\N
298856	1018	1998-02-28	VYDAJ	VYBER	15	14153	SLUZBY	\N	\N
298857	1018	1998-03-31	VYDAJ	VYBER	15	10907	SLUZBY	\N	\N
298858	1018	1998-04-30	VYDAJ	VYBER	15	11158	SLUZBY	\N	\N
298859	1018	1998-05-31	VYDAJ	VYBER	15	12513	SLUZBY	\N	\N
298860	1018	1998-06-30	VYDAJ	VYBER	15	11768	SLUZBY	\N	\N
298861	1018	1998-07-31	VYDAJ	VYBER	15	15535	SLUZBY	\N	\N
298862	1018	1998-08-31	VYDAJ	VYBER	15	17173	SLUZBY	\N	\N
298863	1018	1998-09-30	VYDAJ	VYBER	15	19857	SLUZBY	\N	\N
298864	1018	1998-10-31	VYDAJ	VYBER	15	14941	SLUZBY	\N	\N
298865	1018	1998-11-30	VYDAJ	VYBER	15	19726	SLUZBY	\N	\N
298866	1018	1993-07-03	PRIJEM	VKLAD	10600	15180	\N	\N	\N
298867	1018	1993-08-02	PRIJEM	VKLAD	4700	23914	\N	\N	\N
298868	1018	1993-09-01	PRIJEM	VKLAD	600	28589	\N	\N	\N
298869	1018	1993-10-01	VYDAJ	VYBER	2600	30085	\N	\N	\N
298870	1018	1993-10-31	VYDAJ	VYBER	2300	28518	\N	\N	\N
298871	1018	1993-11-30	VYDAJ	VYBER	2300	27633	\N	\N	\N
298872	1018	1993-12-30	VYDAJ	VYBER	2200	26754	\N	\N	\N
298873	1018	1994-01-29	PRIJEM	VKLAD	1900	25281	\N	\N	\N
298874	1018	1994-02-28	VYDAJ	VYBER	1100	25224	\N	\N	\N
298875	1018	1994-03-30	PRIJEM	VKLAD	1400	26040	\N	\N	\N
298876	1018	1994-04-29	VYDAJ	VYBER	3100	23093	\N	\N	\N
298877	1018	1994-05-29	VYDAJ	VYBER	2900	21610	\N	\N	\N
298878	1018	1994-06-28	PRIJEM	VKLAD	1100	21235	\N	\N	\N
298879	1018	1994-07-28	PRIJEM	VKLAD	400	20149	\N	\N	\N
298880	1018	1994-09-26	PRIJEM	VKLAD	2000	24934	\N	\N	\N
298881	1018	1994-10-26	VYDAJ	VYBER	3100	23235	\N	\N	\N
298882	1018	1994-11-25	VYDAJ	VYBER	2000	22647	\N	\N	\N
298883	1018	1994-12-25	VYDAJ	VYBER	300	23243	\N	\N	\N
298884	1018	1995-01-24	PRIJEM	VKLAD	900	22576	\N	\N	\N
298885	1018	1995-02-23	VYDAJ	VYBER	2900	18558	\N	\N	\N
298886	1018	1995-03-25	VYDAJ	VYBER	3400	16549	\N	\N	\N
298887	1018	1995-04-24	PRIJEM	VKLAD	2300	19424	\N	\N	\N
298888	1018	1995-05-24	VYDAJ	VYBER	500	20154	\N	\N	\N
298889	1018	1995-06-23	VYDAJ	VYBER	2100	12697	\N	\N	\N
298890	1018	1995-07-23	VYDAJ	VYBER	600	13471	\N	\N	\N
298891	1018	1995-08-22	PRIJEM	VKLAD	400	15233	\N	\N	\N
298892	1018	1995-09-21	VYDAJ	VYBER	4500	12099	\N	\N	\N
298893	1018	1995-10-21	PRIJEM	VKLAD	1200	14666	\N	\N	\N
298894	1018	1995-11-20	VYDAJ	VYBER	1500	13958	\N	\N	\N
298895	1018	1995-12-20	VYDAJ	VYBER	2000	13324	\N	\N	\N
298896	1018	1996-02-18	VYDAJ	VYBER	1700	12038	\N	\N	\N
298897	1018	1996-03-19	VYDAJ	VYBER	800	12596	\N	\N	\N
298898	1018	1996-04-18	VYDAJ	VYBER	1900	12054	\N	\N	\N
298899	1018	1997-02-12	VYDAJ	VYBER	3800	13516	\N	\N	\N
298900	1018	1997-08-11	VYDAJ	VYBER	3300	13607	\N	\N	\N
298901	1018	1997-10-10	VYDAJ	VYBER	4900	13043	\N	\N	\N
298902	1018	1998-03-09	VYDAJ	VYBER	4600	13516	\N	\N	\N
298903	1018	1998-04-08	VYDAJ	VYBER	1100	13770	\N	\N	\N
298904	1018	1998-06-07	VYDAJ	VYBER	2100	14376	\N	\N	\N
298905	1018	1998-07-07	PRIJEM	VKLAD	2400	18131	\N	\N	\N
298906	1018	1998-08-06	PRIJEM	VKLAD	1400	20898	\N	\N	\N
298907	1018	1998-09-05	PRIJEM	VKLAD	1300	18473	\N	\N	\N
298908	1018	1998-10-05	VYDAJ	VYBER	5000	18820	\N	\N	\N
298909	1018	1998-11-04	PRIJEM	VKLAD	3400	18341	\N	\N	\N
298910	1018	1998-12-04	PRIJEM	VKLAD	1400	21126	\N	\N	\N
298978	1019	1993-01-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
298980	1019	1993-02-09	PRIJEM	VKLAD	19746	20846	\N	\N	\N
298981	1019	1993-03-09	PRIJEM	VKLAD	19746	44725	\N	\N	\N
298982	1019	1993-04-09	PRIJEM	VKLAD	19746	54989	\N	\N	\N
298983	1019	1993-05-09	PRIJEM	VKLAD	19746	62091	\N	\N	\N
298984	1019	1993-06-09	PRIJEM	VKLAD	29619	71185	\N	\N	\N
298985	1019	1993-07-09	PRIJEM	VKLAD	19746	63358	\N	\N	\N
298986	1019	1993-08-09	PRIJEM	VKLAD	19746	57102	\N	\N	\N
298987	1019	1993-09-09	PRIJEM	VKLAD	19746	57848	\N	\N	\N
298988	1019	1993-10-09	PRIJEM	VKLAD	19746	52449	\N	\N	\N
298989	1019	1993-11-09	PRIJEM	VKLAD	19746	51755	\N	\N	\N
298990	1019	1993-12-09	PRIJEM	VKLAD	29619	56825	\N	\N	\N
298991	1019	1994-01-09	PRIJEM	VKLAD	19746	35362	\N	\N	\N
298992	1019	1994-02-09	PRIJEM	VKLAD	19746	36949	\N	\N	\N
298993	1019	1994-03-09	PRIJEM	VKLAD	19746	37736	\N	\N	\N
298994	1019	1994-04-09	PRIJEM	VKLAD	19746	46618	\N	\N	\N
298995	1019	1994-05-09	PRIJEM	VKLAD	19746	53124	\N	\N	\N
298996	1019	1994-06-09	PRIJEM	VKLAD	29619	60471	\N	\N	\N
298997	1019	1994-07-09	PRIJEM	VKLAD	19746	47629	\N	\N	\N
298998	1019	1994-08-09	PRIJEM	VKLAD	19746	48427	\N	\N	\N
298999	1019	1994-09-09	PRIJEM	VKLAD	19746	50228	\N	\N	\N
299000	1019	1994-10-09	PRIJEM	VKLAD	19746	45946	\N	\N	\N
299001	1019	1994-11-09	PRIJEM	VKLAD	19746	48437	\N	\N	\N
299002	1019	1994-12-09	PRIJEM	VKLAD	29619	59709	\N	\N	\N
299003	1019	1995-01-09	PRIJEM	VKLAD	19746	54710	\N	\N	\N
299004	1019	1995-02-09	PRIJEM	VKLAD	19746	40240	\N	\N	\N
299005	1019	1995-03-09	PRIJEM	VKLAD	19746	46317	\N	\N	\N
299006	1019	1995-04-09	PRIJEM	VKLAD	19746	48308	\N	\N	\N
299007	1019	1995-05-09	PRIJEM	VKLAD	19746	48260	\N	\N	\N
299008	1019	1995-06-09	PRIJEM	VKLAD	29619	60933	\N	\N	\N
299009	1019	1995-07-09	PRIJEM	VKLAD	19746	55656	\N	\N	\N
299010	1019	1995-08-09	PRIJEM	VKLAD	19746	50986	\N	\N	\N
299011	1019	1995-09-09	PRIJEM	VKLAD	19746	45437	\N	\N	\N
299012	1019	1995-10-09	PRIJEM	VKLAD	19746	55548	\N	\N	\N
299013	1019	1995-11-09	PRIJEM	VKLAD	19746	58700	\N	\N	\N
299014	1019	1995-12-09	PRIJEM	VKLAD	29619	67044	\N	\N	\N
299015	1019	1996-01-09	PRIJEM	VKLAD	19746	58073	\N	\N	\N
299016	1019	1996-02-09	PRIJEM	VKLAD	19746	48322	\N	\N	\N
299017	1019	1996-03-09	PRIJEM	VKLAD	19746	53539	\N	\N	\N
299018	1019	1996-04-09	PRIJEM	VKLAD	19746	52909	\N	\N	\N
299019	1019	1996-05-09	PRIJEM	VKLAD	19746	53639	\N	\N	\N
299020	1019	1996-06-09	PRIJEM	VKLAD	29619	66159	\N	\N	\N
299021	1019	1996-07-09	PRIJEM	VKLAD	19746	52164	\N	\N	\N
299022	1019	1996-08-09	PRIJEM	VKLAD	19746	52564	\N	\N	\N
299023	1019	1996-09-09	PRIJEM	VKLAD	19746	55963	\N	\N	\N
299024	1019	1996-10-09	PRIJEM	VKLAD	19746	57870	\N	\N	\N
299025	1019	1996-11-09	PRIJEM	VKLAD	19746	59835	\N	\N	\N
299026	1019	1996-12-09	PRIJEM	VKLAD	29619	68524	\N	\N	\N
299027	1019	1997-01-09	PRIJEM	VKLAD	19746	58039	\N	\N	\N
299028	1019	1997-02-09	PRIJEM	VKLAD	19746	51204	\N	\N	\N
299029	1019	1997-03-09	PRIJEM	VKLAD	19746	59334	\N	\N	\N
299030	1019	1997-04-09	PRIJEM	VKLAD	19746	65002	\N	\N	\N
299031	1019	1997-05-09	PRIJEM	VKLAD	19746	65689	\N	\N	\N
299032	1019	1997-06-09	PRIJEM	VKLAD	29619	70934	\N	\N	\N
299033	1019	1997-07-09	PRIJEM	VKLAD	19746	60266	\N	\N	\N
299034	1019	1997-08-09	PRIJEM	VKLAD	19746	57747	\N	\N	\N
299035	1019	1997-09-09	PRIJEM	VKLAD	19746	60701	\N	\N	\N
299036	1019	1997-10-09	PRIJEM	VKLAD	19746	60863	\N	\N	\N
299037	1019	1997-11-09	PRIJEM	VKLAD	19746	56764	\N	\N	\N
299038	1019	1997-12-09	PRIJEM	VKLAD	29619	67085	\N	\N	\N
299039	1019	1998-01-09	PRIJEM	VKLAD	19746	49469	\N	\N	\N
299040	1019	1998-02-09	PRIJEM	VKLAD	19746	42539	\N	\N	\N
299041	1019	1998-03-09	PRIJEM	VKLAD	19746	41965	\N	\N	\N
299042	1019	1998-04-09	PRIJEM	VKLAD	19746	46853	\N	\N	\N
299043	1019	1998-05-09	PRIJEM	VKLAD	19746	46956	\N	\N	\N
299044	1019	1998-06-09	PRIJEM	VKLAD	29619	51408	\N	\N	\N
299045	1019	1998-07-09	PRIJEM	VKLAD	19746	49716	\N	\N	\N
299046	1019	1998-08-09	PRIJEM	VKLAD	19746	55434	\N	\N	\N
299047	1019	1998-09-09	PRIJEM	VKLAD	19746	60474	\N	\N	\N
299048	1019	1998-10-09	PRIJEM	VKLAD	19746	57124	\N	\N	\N
299049	1019	1998-11-09	PRIJEM	VKLAD	19746	56963	\N	\N	\N
299050	1019	1998-12-09	PRIJEM	VKLAD	29619	67976	\N	\N	\N
299056	1019	1993-06-10	VYDAJ	PREVOD NA UCET	8127	63058	SIPO	WX	75165712
299057	1019	1993-07-10	VYDAJ	PREVOD NA UCET	8127	55231	SIPO	WX	75165712
299058	1019	1993-08-10	VYDAJ	PREVOD NA UCET	8127	48975	SIPO	WX	75165712
299059	1019	1993-09-10	VYDAJ	PREVOD NA UCET	8127	49721	SIPO	WX	75165712
299060	1019	1993-10-10	VYDAJ	PREVOD NA UCET	8127	44322	SIPO	WX	75165712
299061	1019	1993-11-10	VYDAJ	PREVOD NA UCET	8127	43628	SIPO	WX	75165712
299062	1019	1993-12-10	VYDAJ	PREVOD NA UCET	8127	48698	SIPO	WX	75165712
299063	1019	1994-01-10	VYDAJ	PREVOD NA UCET	8127	27235	SIPO	WX	75165712
299064	1019	1994-02-10	VYDAJ	PREVOD NA UCET	8127	28822	SIPO	WX	75165712
299065	1019	1994-03-10	VYDAJ	PREVOD NA UCET	8127	29609	SIPO	WX	75165712
299066	1019	1994-04-10	VYDAJ	PREVOD NA UCET	8127	38491	SIPO	WX	75165712
299067	1019	1994-05-10	VYDAJ	PREVOD NA UCET	8127	44997	SIPO	WX	75165712
299068	1019	1994-06-10	VYDAJ	PREVOD NA UCET	8127	52344	SIPO	WX	75165712
299069	1019	1994-07-10	VYDAJ	PREVOD NA UCET	8127	39502	SIPO	WX	75165712
299070	1019	1994-08-10	VYDAJ	PREVOD NA UCET	8127	40300	SIPO	WX	75165712
299071	1019	1994-09-10	VYDAJ	PREVOD NA UCET	8127	42101	SIPO	WX	75165712
299072	1019	1994-10-10	VYDAJ	PREVOD NA UCET	8127	37819	SIPO	WX	75165712
299073	1019	1994-11-10	VYDAJ	PREVOD NA UCET	8127	40310	SIPO	WX	75165712
299074	1019	1994-12-10	VYDAJ	PREVOD NA UCET	8127	51582	SIPO	WX	75165712
299075	1019	1995-01-10	VYDAJ	PREVOD NA UCET	8127	42263	SIPO	WX	75165712
299076	1019	1995-02-10	VYDAJ	PREVOD NA UCET	8127	32113	SIPO	WX	75165712
299077	1019	1995-03-10	VYDAJ	PREVOD NA UCET	8127	38190	SIPO	WX	75165712
299078	1019	1995-04-10	VYDAJ	PREVOD NA UCET	8127	40181	SIPO	WX	75165712
299079	1019	1995-05-10	VYDAJ	PREVOD NA UCET	8127	40133	SIPO	WX	75165712
299080	1019	1995-06-10	VYDAJ	PREVOD NA UCET	8127	52806	SIPO	WX	75165712
299081	1019	1995-07-10	VYDAJ	PREVOD NA UCET	8127	34629	SIPO	WX	75165712
299082	1019	1995-08-10	VYDAJ	PREVOD NA UCET	8127	29159	SIPO	WX	75165712
299083	1019	1995-09-10	VYDAJ	PREVOD NA UCET	8127	37310	SIPO	WX	75165712
299084	1019	1995-10-10	VYDAJ	PREVOD NA UCET	8127	47421	SIPO	WX	75165712
299085	1019	1995-11-10	VYDAJ	PREVOD NA UCET	8127	50573	SIPO	WX	75165712
299086	1019	1995-12-10	VYDAJ	PREVOD NA UCET	8127	58917	SIPO	WX	75165712
299087	1019	1996-01-10	VYDAJ	PREVOD NA UCET	8127	49946	SIPO	WX	75165712
299088	1019	1996-02-10	VYDAJ	PREVOD NA UCET	8127	40195	SIPO	WX	75165712
299089	1019	1996-03-10	VYDAJ	PREVOD NA UCET	8127	39652	SIPO	WX	75165712
299090	1019	1996-04-10	VYDAJ	PREVOD NA UCET	8127	44782	SIPO	WX	75165712
299091	1019	1996-05-10	VYDAJ	PREVOD NA UCET	8127	45512	SIPO	WX	75165712
299092	1019	1996-06-10	VYDAJ	PREVOD NA UCET	8127	58032	SIPO	WX	75165712
299093	1019	1996-07-10	VYDAJ	PREVOD NA UCET	8127	44037	SIPO	WX	75165712
299094	1019	1996-08-10	VYDAJ	PREVOD NA UCET	8127	44437	SIPO	WX	75165712
299095	1019	1996-09-10	VYDAJ	PREVOD NA UCET	8127	47836	SIPO	WX	75165712
299096	1019	1996-10-10	VYDAJ	PREVOD NA UCET	8127	49743	SIPO	WX	75165712
299097	1019	1996-11-10	VYDAJ	PREVOD NA UCET	8127	51708	SIPO	WX	75165712
299098	1019	1996-12-10	VYDAJ	PREVOD NA UCET	8127	60397	SIPO	WX	75165712
299099	1019	1997-01-10	VYDAJ	PREVOD NA UCET	8127	49912	SIPO	WX	75165712
299100	1019	1997-02-10	VYDAJ	PREVOD NA UCET	8127	43077	SIPO	WX	75165712
299101	1019	1997-03-10	VYDAJ	PREVOD NA UCET	8127	51207	SIPO	WX	75165712
299102	1019	1997-04-10	VYDAJ	PREVOD NA UCET	8127	56875	SIPO	WX	75165712
299103	1019	1997-05-10	VYDAJ	PREVOD NA UCET	8127	57562	SIPO	WX	75165712
299104	1019	1997-06-10	VYDAJ	PREVOD NA UCET	8127	62807	SIPO	WX	75165712
299105	1019	1997-07-10	VYDAJ	PREVOD NA UCET	8127	52139	SIPO	WX	75165712
299106	1019	1997-08-10	VYDAJ	PREVOD NA UCET	8127	49620	SIPO	WX	75165712
299107	1019	1997-09-10	VYDAJ	PREVOD NA UCET	8127	52574	SIPO	WX	75165712
299108	1019	1997-10-10	VYDAJ	PREVOD NA UCET	8127	52736	SIPO	WX	75165712
299109	1019	1997-11-10	VYDAJ	PREVOD NA UCET	8127	48637	SIPO	WX	75165712
299110	1019	1997-12-10	VYDAJ	PREVOD NA UCET	8127	56558	SIPO	WX	75165712
299111	1019	1998-01-10	VYDAJ	PREVOD NA UCET	8127	41342	SIPO	WX	75165712
299112	1019	1998-02-10	VYDAJ	PREVOD NA UCET	8127	34412	SIPO	WX	75165712
299113	1019	1998-03-10	VYDAJ	PREVOD NA UCET	8127	33838	SIPO	WX	75165712
299114	1019	1998-04-10	VYDAJ	PREVOD NA UCET	8127	38726	SIPO	WX	75165712
299115	1019	1998-05-10	VYDAJ	PREVOD NA UCET	8127	38829	SIPO	WX	75165712
299116	1019	1998-06-10	VYDAJ	PREVOD NA UCET	8127	43281	SIPO	WX	75165712
299117	1019	1998-07-10	VYDAJ	PREVOD NA UCET	8127	41589	SIPO	WX	75165712
299118	1019	1998-08-10	VYDAJ	PREVOD NA UCET	8127	47307	SIPO	WX	75165712
299119	1019	1998-09-10	VYDAJ	PREVOD NA UCET	8127	52347	SIPO	WX	75165712
299120	1019	1998-10-10	VYDAJ	PREVOD NA UCET	8127	48997	SIPO	WX	75165712
299121	1019	1998-11-10	VYDAJ	PREVOD NA UCET	8127	48836	SIPO	WX	75165712
299122	1019	1998-12-10	VYDAJ	PREVOD NA UCET	8127	59849	SIPO	WX	75165712
299128	1019	1993-06-13	VYDAJ	PREVOD NA UCET	608	62450	 	IJ	74068438
299129	1019	1993-07-13	VYDAJ	PREVOD NA UCET	608	54623	 	IJ	74068438
299130	1019	1993-08-13	VYDAJ	PREVOD NA UCET	608	48367	 	IJ	74068438
299131	1019	1993-09-13	VYDAJ	PREVOD NA UCET	608	49113	 	IJ	74068438
299132	1019	1993-10-13	VYDAJ	PREVOD NA UCET	608	43714	 	IJ	74068438
299133	1019	1993-11-13	VYDAJ	PREVOD NA UCET	608	43020	 	IJ	74068438
299134	1019	1993-12-13	VYDAJ	PREVOD NA UCET	608	48090	 	IJ	74068438
299135	1019	1994-01-13	VYDAJ	PREVOD NA UCET	608	26627	 	IJ	74068438
299136	1019	1994-02-13	VYDAJ	PREVOD NA UCET	608	28214	 	IJ	74068438
299137	1019	1994-03-13	VYDAJ	PREVOD NA UCET	608	29001	 	IJ	74068438
299138	1019	1994-04-13	VYDAJ	PREVOD NA UCET	608	37883	 	IJ	74068438
299139	1019	1994-05-13	VYDAJ	PREVOD NA UCET	608	44389	 	IJ	74068438
299140	1019	1994-06-13	VYDAJ	PREVOD NA UCET	608	51736	 	IJ	74068438
299141	1019	1994-07-13	VYDAJ	PREVOD NA UCET	608	38894	 	IJ	74068438
299142	1019	1994-08-13	VYDAJ	PREVOD NA UCET	608	39692	 	IJ	74068438
299143	1019	1994-09-13	VYDAJ	PREVOD NA UCET	608	41493	 	IJ	74068438
299144	1019	1994-10-13	VYDAJ	PREVOD NA UCET	608	37211	 	IJ	74068438
299145	1019	1994-11-13	VYDAJ	PREVOD NA UCET	608	30602	 	IJ	74068438
299146	1019	1994-12-13	VYDAJ	PREVOD NA UCET	608	38574	 	IJ	74068438
299147	1019	1995-01-13	VYDAJ	PREVOD NA UCET	608	32655	 	IJ	74068438
299148	1019	1995-02-13	VYDAJ	PREVOD NA UCET	608	27105	 	IJ	74068438
299149	1019	1995-03-13	VYDAJ	PREVOD NA UCET	608	29082	 	IJ	74068438
299150	1019	1995-04-13	VYDAJ	PREVOD NA UCET	608	29033	 	IJ	74068438
299151	1019	1995-05-13	VYDAJ	PREVOD NA UCET	608	31825	 	IJ	74068438
299152	1019	1995-06-13	VYDAJ	PREVOD NA UCET	608	36398	 	IJ	74068438
299153	1019	1995-07-13	VYDAJ	PREVOD NA UCET	608	31741	 	IJ	74068438
299154	1019	1995-08-13	VYDAJ	PREVOD NA UCET	608	28551	 	IJ	74068438
299155	1019	1995-09-13	VYDAJ	PREVOD NA UCET	608	36702	 	IJ	74068438
299156	1019	1995-10-13	VYDAJ	PREVOD NA UCET	608	46813	 	IJ	74068438
299157	1019	1995-11-13	VYDAJ	PREVOD NA UCET	608	49965	 	IJ	74068438
299158	1019	1995-12-13	VYDAJ	PREVOD NA UCET	608	57229	 	IJ	74068438
299159	1019	1996-01-13	VYDAJ	PREVOD NA UCET	608	46938	 	IJ	74068438
299160	1019	1996-02-13	VYDAJ	PREVOD NA UCET	608	39587	 	IJ	74068438
299161	1019	1996-03-13	VYDAJ	PREVOD NA UCET	608	39044	 	IJ	74068438
299162	1019	1996-04-13	VYDAJ	PREVOD NA UCET	608	38774	 	IJ	74068438
299163	1019	1996-05-13	VYDAJ	PREVOD NA UCET	608	44904	 	IJ	74068438
299164	1019	1996-06-13	VYDAJ	PREVOD NA UCET	608	57424	 	IJ	74068438
299165	1019	1996-07-13	VYDAJ	PREVOD NA UCET	608	43429	 	IJ	74068438
299166	1019	1996-08-13	VYDAJ	PREVOD NA UCET	608	43829	 	IJ	74068438
299167	1019	1996-09-13	VYDAJ	PREVOD NA UCET	608	47228	 	IJ	74068438
299168	1019	1996-10-13	VYDAJ	PREVOD NA UCET	608	49135	 	IJ	74068438
299169	1019	1996-11-13	VYDAJ	PREVOD NA UCET	608	51100	 	IJ	74068438
299170	1019	1996-12-13	VYDAJ	PREVOD NA UCET	608	59789	 	IJ	74068438
299171	1019	1997-01-13	VYDAJ	PREVOD NA UCET	608	49304	 	IJ	74068438
299172	1019	1997-02-13	VYDAJ	PREVOD NA UCET	608	42469	 	IJ	74068438
299173	1019	1997-03-13	VYDAJ	PREVOD NA UCET	608	50599	 	IJ	74068438
299174	1019	1997-04-13	VYDAJ	PREVOD NA UCET	608	56267	 	IJ	74068438
299175	1019	1997-05-13	VYDAJ	PREVOD NA UCET	608	54914	 	IJ	74068438
299176	1019	1997-06-13	VYDAJ	PREVOD NA UCET	608	62199	 	IJ	74068438
299177	1019	1997-07-13	VYDAJ	PREVOD NA UCET	608	51531	 	IJ	74068438
299178	1019	1997-08-13	VYDAJ	PREVOD NA UCET	608	49012	 	IJ	74068438
299179	1019	1997-09-13	VYDAJ	PREVOD NA UCET	608	51966	 	IJ	74068438
299180	1019	1997-10-13	VYDAJ	PREVOD NA UCET	608	50088	 	IJ	74068438
299181	1019	1997-11-13	VYDAJ	PREVOD NA UCET	608	48029	 	IJ	74068438
299182	1019	1997-12-13	VYDAJ	PREVOD NA UCET	608	55950	 	IJ	74068438
299183	1019	1998-01-13	VYDAJ	PREVOD NA UCET	608	40734	 	IJ	74068438
299184	1019	1998-02-13	VYDAJ	PREVOD NA UCET	608	33804	 	IJ	74068438
299185	1019	1998-03-13	VYDAJ	PREVOD NA UCET	608	33230	 	IJ	74068438
299186	1019	1998-04-13	VYDAJ	PREVOD NA UCET	608	38118	 	IJ	74068438
299187	1019	1998-05-13	VYDAJ	PREVOD NA UCET	608	38221	 	IJ	74068438
299188	1019	1998-06-13	VYDAJ	PREVOD NA UCET	608	42673	 	IJ	74068438
299189	1019	1998-07-13	VYDAJ	PREVOD NA UCET	608	40981	 	IJ	74068438
299190	1019	1998-08-13	VYDAJ	PREVOD NA UCET	608	46699	 	IJ	74068438
299191	1019	1998-09-13	VYDAJ	PREVOD NA UCET	608	51739	 	IJ	74068438
299192	1019	1998-10-13	VYDAJ	PREVOD NA UCET	608	48389	 	IJ	74068438
299193	1019	1998-11-13	VYDAJ	PREVOD NA UCET	608	48228	 	IJ	74068438
299194	1019	1998-12-13	VYDAJ	PREVOD NA UCET	608	59241	 	IJ	74068438
299201	1019	1993-07-08	VYDAJ	PREVOD NA UCET	629	43612	POJISTNE	ST	88047855
299202	1019	1993-08-08	VYDAJ	PREVOD NA UCET	629	37356	POJISTNE	ST	88047855
299203	1019	1993-09-08	VYDAJ	PREVOD NA UCET	629	38102	POJISTNE	ST	88047855
299204	1019	1993-10-08	VYDAJ	PREVOD NA UCET	629	32703	POJISTNE	ST	88047855
299205	1019	1993-11-08	VYDAJ	PREVOD NA UCET	629	32009	POJISTNE	ST	88047855
299206	1019	1993-12-08	VYDAJ	PREVOD NA UCET	629	27206	POJISTNE	ST	88047855
299207	1019	1994-01-08	VYDAJ	PREVOD NA UCET	629	15616	POJISTNE	ST	88047855
299208	1019	1994-02-08	VYDAJ	PREVOD NA UCET	629	17203	POJISTNE	ST	88047855
299209	1019	1994-03-08	VYDAJ	PREVOD NA UCET	629	17990	POJISTNE	ST	88047855
299210	1019	1994-04-08	VYDAJ	PREVOD NA UCET	629	26872	POJISTNE	ST	88047855
299211	1019	1994-05-08	VYDAJ	PREVOD NA UCET	629	33378	POJISTNE	ST	88047855
299212	1019	1994-06-08	VYDAJ	PREVOD NA UCET	629	30852	POJISTNE	ST	88047855
299213	1019	1994-07-08	VYDAJ	PREVOD NA UCET	629	27883	POJISTNE	ST	88047855
299214	1019	1994-08-08	VYDAJ	PREVOD NA UCET	629	28681	POJISTNE	ST	88047855
299215	1019	1994-09-08	VYDAJ	PREVOD NA UCET	629	30482	POJISTNE	ST	88047855
299216	1019	1994-10-08	VYDAJ	PREVOD NA UCET	629	26200	POJISTNE	ST	88047855
299217	1019	1994-11-08	VYDAJ	PREVOD NA UCET	629	28691	POJISTNE	ST	88047855
299218	1019	1994-12-08	VYDAJ	PREVOD NA UCET	629	30090	POJISTNE	ST	88047855
299219	1019	1995-01-08	VYDAJ	PREVOD NA UCET	629	34964	POJISTNE	ST	88047855
299220	1019	1995-02-08	VYDAJ	PREVOD NA UCET	629	20494	POJISTNE	ST	88047855
299221	1019	1995-03-08	VYDAJ	PREVOD NA UCET	629	26571	POJISTNE	ST	88047855
299222	1019	1995-04-08	VYDAJ	PREVOD NA UCET	629	28562	POJISTNE	ST	88047855
299223	1019	1995-05-08	VYDAJ	PREVOD NA UCET	629	28514	POJISTNE	ST	88047855
299224	1019	1995-06-08	VYDAJ	PREVOD NA UCET	629	31314	POJISTNE	ST	88047855
299225	1019	1995-07-08	VYDAJ	PREVOD NA UCET	629	35910	POJISTNE	ST	88047855
299226	1019	1995-08-08	VYDAJ	PREVOD NA UCET	629	31240	POJISTNE	ST	88047855
299227	1019	1995-09-08	VYDAJ	PREVOD NA UCET	629	25691	POJISTNE	ST	88047855
299228	1019	1995-10-08	VYDAJ	PREVOD NA UCET	629	35802	POJISTNE	ST	88047855
299229	1019	1995-11-08	VYDAJ	PREVOD NA UCET	629	38954	POJISTNE	ST	88047855
299230	1019	1995-12-08	VYDAJ	PREVOD NA UCET	629	37425	POJISTNE	ST	88047855
299231	1019	1996-01-08	VYDAJ	PREVOD NA UCET	629	38327	POJISTNE	ST	88047855
299232	1019	1996-02-08	VYDAJ	PREVOD NA UCET	629	28576	POJISTNE	ST	88047855
299233	1019	1996-03-08	VYDAJ	PREVOD NA UCET	629	33793	POJISTNE	ST	88047855
299234	1019	1996-04-08	VYDAJ	PREVOD NA UCET	629	33163	POJISTNE	ST	88047855
299235	1019	1996-05-08	VYDAJ	PREVOD NA UCET	629	33893	POJISTNE	ST	88047855
299236	1019	1996-06-08	VYDAJ	PREVOD NA UCET	629	36540	POJISTNE	ST	88047855
299237	1019	1996-07-08	VYDAJ	PREVOD NA UCET	629	32418	POJISTNE	ST	88047855
299238	1019	1996-08-08	VYDAJ	PREVOD NA UCET	629	32818	POJISTNE	ST	88047855
299239	1019	1996-09-08	VYDAJ	PREVOD NA UCET	629	36217	POJISTNE	ST	88047855
299240	1019	1996-10-08	VYDAJ	PREVOD NA UCET	629	38124	POJISTNE	ST	88047855
299241	1019	1996-11-08	VYDAJ	PREVOD NA UCET	629	40089	POJISTNE	ST	88047855
299242	1019	1996-12-08	VYDAJ	PREVOD NA UCET	629	38905	POJISTNE	ST	88047855
299243	1019	1997-01-08	VYDAJ	PREVOD NA UCET	629	38293	POJISTNE	ST	88047855
299244	1019	1997-02-08	VYDAJ	PREVOD NA UCET	629	31458	POJISTNE	ST	88047855
299245	1019	1997-03-08	VYDAJ	PREVOD NA UCET	629	39588	POJISTNE	ST	88047855
299246	1019	1997-04-08	VYDAJ	PREVOD NA UCET	629	45256	POJISTNE	ST	88047855
299247	1019	1997-05-08	VYDAJ	PREVOD NA UCET	629	45943	POJISTNE	ST	88047855
299248	1019	1997-06-08	VYDAJ	PREVOD NA UCET	629	41315	POJISTNE	ST	88047855
299249	1019	1997-07-08	VYDAJ	PREVOD NA UCET	629	40520	POJISTNE	ST	88047855
299250	1019	1997-08-08	VYDAJ	PREVOD NA UCET	629	38001	POJISTNE	ST	88047855
299251	1019	1997-09-08	VYDAJ	PREVOD NA UCET	629	40955	POJISTNE	ST	88047855
299252	1019	1997-10-08	VYDAJ	PREVOD NA UCET	629	41117	POJISTNE	ST	88047855
299253	1019	1997-11-08	VYDAJ	PREVOD NA UCET	629	37018	POJISTNE	ST	88047855
299254	1019	1997-12-08	VYDAJ	PREVOD NA UCET	629	37466	POJISTNE	ST	88047855
299255	1019	1998-01-08	VYDAJ	PREVOD NA UCET	629	30443	POJISTNE	ST	88047855
299256	1019	1998-02-08	VYDAJ	PREVOD NA UCET	629	22793	POJISTNE	ST	88047855
299257	1019	1998-03-08	VYDAJ	PREVOD NA UCET	629	22219	POJISTNE	ST	88047855
299258	1019	1998-04-08	VYDAJ	PREVOD NA UCET	629	27107	POJISTNE	ST	88047855
299259	1019	1998-05-08	VYDAJ	PREVOD NA UCET	629	27210	POJISTNE	ST	88047855
299260	1019	1998-06-08	VYDAJ	PREVOD NA UCET	629	21789	POJISTNE	ST	88047855
299261	1019	1998-07-08	VYDAJ	PREVOD NA UCET	629	29970	POJISTNE	ST	88047855
299262	1019	1998-08-08	VYDAJ	PREVOD NA UCET	629	35688	POJISTNE	ST	88047855
299263	1019	1998-09-08	VYDAJ	PREVOD NA UCET	629	40728	POJISTNE	ST	88047855
299264	1019	1998-10-08	VYDAJ	PREVOD NA UCET	629	37378	POJISTNE	ST	88047855
299265	1019	1998-11-08	VYDAJ	PREVOD NA UCET	629	37217	POJISTNE	ST	88047855
299266	1019	1998-12-08	VYDAJ	PREVOD NA UCET	629	38357	POJISTNE	ST	88047855
299268	1019	1994-06-21	VYDAJ	VYBER	10560	28376	\N	\N	\N
299270	1019	1996-06-22	VYDAJ	VYBER	20960	36464	\N	\N	\N
299271	1019	1997-06-27	VYDAJ	VYBER	16960	45239	\N	\N	\N
299274	1019	1994-01-02	VYDAJ	VYBER	14720	16245	\N	\N	\N
299275	1019	1995-01-10	VYDAJ	VYBER	4320	50390	\N	\N	\N
299276	1019	1996-01-28	VYDAJ	VYBER	11680	27698	\N	\N	\N
299277	1019	1997-01-23	VYDAJ	VYBER	15840	27704	\N	\N	\N
299278	1019	1998-01-03	VYDAJ	VYBER	2400	32992	\N	\N	\N
299279	1019	1993-12-18	VYDAJ	VYBER	4160	30830	\N	\N	\N
299280	1019	1994-12-16	VYDAJ	VYBER	1920	36654	\N	\N	\N
299281	1019	1995-12-17	VYDAJ	VYBER	4000	53229	\N	\N	\N
299282	1019	1996-12-19	VYDAJ	VYBER	1600	58189	\N	\N	\N
299283	1019	1997-12-09	VYDAJ	VYBER	2400	64685	\N	\N	\N
299284	1019	1998-12-19	VYDAJ	VYBER KARTOU	2700	56541	\N	\N	0
299291	1019	1994-01-17	VYDAJ	VYBER	2880	23507	\N	\N	\N
299292	1019	1994-01-17	VYDAJ	VYBER	2880	20627	\N	\N	\N
299293	1019	1994-01-23	VYDAJ	VYBER	720	17747	\N	\N	\N
299294	1019	1994-01-13	VYDAJ	VYBER	720	25907	\N	\N	\N
299295	1019	1994-01-16	VYDAJ	VYBER	3120	26387	\N	\N	\N
299296	1019	1994-01-23	VYDAJ	VYBER	2160	18467	\N	\N	\N
299297	1019	1995-01-19	VYDAJ	VYBER	2760	22095	\N	\N	\N
299298	1019	1995-01-17	VYDAJ	VYBER	1440	24855	\N	\N	\N
299299	1019	1995-01-16	VYDAJ	VYBER	1680	29775	\N	\N	\N
299300	1019	1995-01-02	VYDAJ	VYBER	1200	35593	\N	\N	\N
299301	1019	1995-01-24	VYDAJ	VYBER	1080	21015	\N	\N	\N
299302	1019	1995-01-17	VYDAJ	VYBER	3480	26295	\N	\N	\N
299303	1019	1996-01-25	VYDAJ	VYBER	2880	40818	\N	\N	\N
299304	1019	1996-01-30	VYDAJ	VYBER	2160	25538	\N	\N	\N
299305	1019	1996-01-27	VYDAJ	VYBER	1440	39378	\N	\N	\N
299306	1019	1996-01-12	VYDAJ	VYBER	2400	47546	\N	\N	\N
299307	1019	1996-01-04	VYDAJ	VYBER	2280	51156	\N	\N	\N
299308	1019	1996-01-19	VYDAJ	VYBER	3240	43698	\N	\N	\N
299309	1019	1997-01-06	VYDAJ	VYBER	2280	40362	\N	\N	\N
299310	1019	1997-01-22	VYDAJ	VYBER	3000	43544	\N	\N	\N
299311	1019	1997-01-28	VYDAJ	VYBER	1080	26624	\N	\N	\N
299312	1019	1997-01-30	VYDAJ	VYBER	1200	31924	\N	\N	\N
299313	1019	1997-01-07	VYDAJ	VYBER	1440	38922	\N	\N	\N
299314	1019	1997-01-19	VYDAJ	VYBER	2760	46544	\N	\N	\N
299315	1019	1998-01-08	VYDAJ	VYBER	720	29723	\N	\N	\N
299316	1019	1998-01-19	VYDAJ	VYBER	720	40014	\N	\N	\N
299317	1019	1998-01-30	VYDAJ	VYBER	1440	23294	\N	\N	\N
299318	1019	1998-01-24	VYDAJ	VYBER	2400	33534	\N	\N	\N
299319	1019	1998-01-27	VYDAJ	VYBER	1800	24734	\N	\N	\N
299320	1019	1998-01-04	VYDAJ	VYBER	1920	31072	\N	\N	\N
299323	1019	1993-08-03	VYDAJ	VYBER	3720	37985	\N	\N	\N
299324	1019	1993-12-01	VYDAJ	VYBER	4320	27835	\N	\N	\N
299326	1019	1993-11-06	VYDAJ	VYBER	1920	32638	\N	\N	\N
299327	1019	1993-10-04	VYDAJ	VYBER	4440	33332	\N	\N	\N
299329	1019	1994-09-19	VYDAJ	VYBER	5280	26713	\N	\N	\N
299330	1019	1994-03-29	VYDAJ	VYBER	600	27401	\N	\N	\N
299331	1019	1994-05-15	VYDAJ	VYBER	4440	39949	\N	\N	\N
299332	1019	1994-02-23	VYDAJ	VYBER	1320	24294	\N	\N	\N
299333	1019	1994-03-05	VYDAJ	VYBER	5760	18619	\N	\N	\N
299334	1019	1995-01-15	VYDAJ	VYBER	1200	31455	\N	\N	\N
299335	1019	1995-07-12	VYDAJ	VYBER	2280	32349	\N	\N	\N
299336	1019	1995-04-11	VYDAJ	VYBER	1440	38741	\N	\N	\N
299337	1019	1995-09-08	VYDAJ	VYBER	5040	26320	\N	\N	\N
299338	1019	1995-12-11	VYDAJ	VYBER	1080	57837	\N	\N	\N
299339	1019	1996-12-07	VYDAJ	VYBER	4560	39534	\N	\N	\N
299340	1019	1996-04-11	VYDAJ	VYBER	5400	39382	\N	\N	\N
299341	1019	1996-08-23	VYDAJ	VYBER	5640	38189	\N	\N	\N
299342	1019	1996-12-25	VYDAJ	VYBER	5760	52429	\N	\N	\N
299343	1019	1996-08-06	VYDAJ	VYBER	5640	33447	\N	\N	\N
299344	1019	1996-09-18	VYDAJ	VYBER	3240	43988	\N	\N	\N
299345	1019	1996-03-09	VYDAJ	VYBER	5760	47779	\N	\N	\N
299346	1019	1997-05-16	VYDAJ	VYBER	5760	49154	\N	\N	\N
299347	1019	1997-10-13	VYDAJ	VYBER	2040	50696	\N	\N	\N
299348	1019	1997-07-25	VYDAJ	VYBER	4680	46851	\N	\N	\N
299349	1019	1997-05-12	VYDAJ	VYBER	2040	55522	\N	\N	\N
299350	1019	1997-11-07	VYDAJ	VYBER	1560	37647	\N	\N	\N
299351	1019	1997-09-14	VYDAJ	VYBER	1800	50166	\N	\N	\N
299352	1019	1997-10-27	VYDAJ	VYBER	5760	39028	\N	\N	\N
299353	1019	1997-12-23	VYDAJ	VYBER	5880	50070	\N	\N	\N
299354	1019	1998-05-28	VYDAJ	VYBER	4920	22301	\N	\N	\N
299355	1019	1998-01-22	VYDAJ	VYBER	4080	35934	\N	\N	\N
299356	1019	1998-03-03	VYDAJ	VYBER	1560	22848	\N	\N	\N
299357	1019	1998-01-02	VYDAJ	VYBER	5760	35392	\N	\N	\N
299364	1019	1993-06-30	VYDAJ	VYBER	15	44241	SLUZBY	\N	\N
299365	1019	1993-07-31	VYDAJ	VYBER	15	41705	SLUZBY	\N	\N
299366	1019	1993-08-31	VYDAJ	VYBER	15	38731	SLUZBY	\N	\N
299367	1019	1993-09-30	VYDAJ	VYBER	15	37772	SLUZBY	\N	\N
299368	1019	1993-10-31	VYDAJ	VYBER	15	34558	SLUZBY	\N	\N
299369	1019	1993-11-30	VYDAJ	VYBER	15	32155	SLUZBY	\N	\N
299370	1019	1993-12-31	VYDAJ	VYBER	15	30965	SLUZBY	\N	\N
299371	1019	1994-01-31	VYDAJ	VYBER	15	17832	SLUZBY	\N	\N
299372	1019	1994-02-28	VYDAJ	VYBER	15	24379	SLUZBY	\N	\N
299373	1019	1994-03-31	VYDAJ	VYBER	15	27501	SLUZBY	\N	\N
299374	1019	1994-04-30	VYDAJ	VYBER	15	34007	SLUZBY	\N	\N
299375	1019	1994-05-31	VYDAJ	VYBER	15	31481	SLUZBY	\N	\N
299376	1019	1994-06-30	VYDAJ	VYBER	15	28512	SLUZBY	\N	\N
299377	1019	1994-07-31	VYDAJ	VYBER	15	29310	SLUZBY	\N	\N
299378	1019	1994-08-31	VYDAJ	VYBER	15	31111	SLUZBY	\N	\N
299379	1019	1994-09-30	VYDAJ	VYBER	15	26829	SLUZBY	\N	\N
299380	1019	1994-10-31	VYDAJ	VYBER	15	29320	SLUZBY	\N	\N
299381	1019	1994-11-30	VYDAJ	VYBER	15	30719	SLUZBY	\N	\N
299382	1019	1994-12-31	VYDAJ	VYBER	15	36793	SLUZBY	\N	\N
299383	1019	1995-01-31	VYDAJ	VYBER	15	21123	SLUZBY	\N	\N
299384	1019	1995-02-28	VYDAJ	VYBER	15	27200	SLUZBY	\N	\N
299385	1019	1995-03-31	VYDAJ	VYBER	15	29191	SLUZBY	\N	\N
299386	1019	1995-04-30	VYDAJ	VYBER	15	29143	SLUZBY	\N	\N
299387	1019	1995-05-31	VYDAJ	VYBER	15	31943	SLUZBY	\N	\N
299388	1019	1995-06-30	VYDAJ	VYBER	15	36539	SLUZBY	\N	\N
299389	1019	1995-07-31	VYDAJ	VYBER	15	31869	SLUZBY	\N	\N
299390	1019	1995-08-31	VYDAJ	VYBER	15	28660	SLUZBY	\N	\N
299391	1019	1995-09-30	VYDAJ	VYBER	15	36831	SLUZBY	\N	\N
299392	1019	1995-10-31	VYDAJ	VYBER	15	46983	SLUZBY	\N	\N
299393	1019	1995-11-30	VYDAJ	VYBER	15	50154	SLUZBY	\N	\N
299394	1019	1995-12-31	VYDAJ	VYBER	15	53436	SLUZBY	\N	\N
299395	1019	1996-01-31	VYDAJ	VYBER	15	25705	SLUZBY	\N	\N
299396	1019	1996-02-29	VYDAJ	VYBER	15	39722	SLUZBY	\N	\N
299397	1019	1996-03-31	VYDAJ	VYBER	15	39192	SLUZBY	\N	\N
299398	1019	1996-04-30	VYDAJ	VYBER	15	38922	SLUZBY	\N	\N
299399	1019	1996-05-31	VYDAJ	VYBER	15	45069	SLUZBY	\N	\N
299400	1019	1996-06-30	VYDAJ	VYBER	15	36647	SLUZBY	\N	\N
299401	1019	1996-07-31	VYDAJ	VYBER	15	43587	SLUZBY	\N	\N
299402	1019	1996-08-31	VYDAJ	VYBER	15	38346	SLUZBY	\N	\N
299403	1019	1996-09-30	VYDAJ	VYBER	15	44153	SLUZBY	\N	\N
299404	1019	1996-10-31	VYDAJ	VYBER	15	49318	SLUZBY	\N	\N
299405	1019	1996-11-30	VYDAJ	VYBER	15	51294	SLUZBY	\N	\N
299406	1019	1996-12-31	VYDAJ	VYBER	15	52642	SLUZBY	\N	\N
299407	1019	1997-01-31	VYDAJ	VYBER	15	32087	SLUZBY	\N	\N
299408	1019	1997-02-28	VYDAJ	VYBER	15	42617	SLUZBY	\N	\N
299409	1019	1997-03-31	VYDAJ	VYBER	15	50785	SLUZBY	\N	\N
299410	1019	1997-04-30	VYDAJ	VYBER	15	46572	SLUZBY	\N	\N
299411	1019	1997-05-31	VYDAJ	VYBER	15	41944	SLUZBY	\N	\N
299412	1019	1997-06-30	VYDAJ	VYBER	15	41149	SLUZBY	\N	\N
299413	1019	1997-07-31	VYDAJ	VYBER	15	38630	SLUZBY	\N	\N
299414	1019	1997-08-31	VYDAJ	VYBER	15	41584	SLUZBY	\N	\N
299415	1019	1997-09-30	VYDAJ	VYBER	15	41746	SLUZBY	\N	\N
299416	1019	1997-10-31	VYDAJ	VYBER	15	39207	SLUZBY	\N	\N
299417	1019	1997-11-30	VYDAJ	VYBER	15	38095	SLUZBY	\N	\N
299418	1019	1997-12-31	VYDAJ	VYBER	15	41152	SLUZBY	\N	\N
299419	1019	1998-01-31	VYDAJ	VYBER	15	23422	SLUZBY	\N	\N
299420	1019	1998-02-28	VYDAJ	VYBER	15	24408	SLUZBY	\N	\N
299421	1019	1998-03-31	VYDAJ	VYBER	15	27736	SLUZBY	\N	\N
299422	1019	1998-04-30	VYDAJ	VYBER	15	27839	SLUZBY	\N	\N
299423	1019	1998-05-31	VYDAJ	VYBER	15	22418	SLUZBY	\N	\N
299424	1019	1998-06-30	VYDAJ	VYBER	15	30599	SLUZBY	\N	\N
299425	1019	1998-07-31	VYDAJ	VYBER	15	36317	SLUZBY	\N	\N
299426	1019	1998-08-31	VYDAJ	VYBER	15	41357	SLUZBY	\N	\N
299427	1019	1998-09-30	VYDAJ	VYBER	15	38007	SLUZBY	\N	\N
299428	1019	1998-10-31	VYDAJ	VYBER	15	37846	SLUZBY	\N	\N
299429	1019	1998-11-30	VYDAJ	VYBER	15	38986	SLUZBY	\N	\N
299430	1019	1993-02-20	PRIJEM	VKLAD	4100	24946	\N	\N	\N
299431	1019	1993-03-22	VYDAJ	VYBER	9600	35125	\N	\N	\N
299432	1019	1993-04-21	VYDAJ	VYBER	12800	42189	\N	\N	\N
299433	1019	1993-05-21	VYDAJ	VYBER	20700	41391	\N	\N	\N
299434	1019	1993-06-20	VYDAJ	VYBER	18400	44050	\N	\N	\N
299435	1019	1993-07-20	VYDAJ	VYBER	13100	41523	\N	\N	\N
299436	1019	1993-08-19	VYDAJ	VYBER	9800	38567	\N	\N	\N
299437	1019	1993-09-18	VYDAJ	VYBER	11500	37613	\N	\N	\N
299438	1019	1993-10-18	VYDAJ	VYBER	9300	34414	\N	\N	\N
299439	1019	1993-11-17	VYDAJ	VYBER	11000	32020	\N	\N	\N
299440	1019	1993-12-17	VYDAJ	VYBER	13100	34990	\N	\N	\N
299441	1019	1994-01-16	PRIJEM	VKLAD	3600	29507	\N	\N	\N
299442	1019	1994-02-15	VYDAJ	VYBER	2600	25614	\N	\N	\N
299443	1019	1994-03-17	VYDAJ	VYBER	1000	28001	\N	\N	\N
299444	1019	1994-04-16	VYDAJ	VYBER	4000	33883	\N	\N	\N
299445	1019	1994-05-16	VYDAJ	VYBER	8600	31349	\N	\N	\N
299446	1019	1994-06-15	VYDAJ	VYBER	12800	38936	\N	\N	\N
299447	1019	1994-07-15	VYDAJ	VYBER	9700	29194	\N	\N	\N
299448	1019	1994-08-14	VYDAJ	VYBER	8700	30992	\N	\N	\N
299449	1019	1994-09-13	VYDAJ	VYBER	9500	31993	\N	\N	\N
299450	1019	1994-10-13	VYDAJ	VYBER	8000	29211	\N	\N	\N
299451	1019	1994-11-12	VYDAJ	VYBER	9100	31210	\N	\N	\N
299452	1019	1994-12-12	VYDAJ	VYBER	12400	39182	\N	\N	\N
299453	1019	1995-01-11	VYDAJ	VYBER	9000	33263	\N	\N	\N
299454	1019	1995-02-10	VYDAJ	VYBER	4400	27713	\N	\N	\N
299455	1019	1995-03-12	VYDAJ	VYBER	8500	29690	\N	\N	\N
299456	1019	1995-04-11	VYDAJ	VYBER	9100	29641	\N	\N	\N
299457	1019	1995-05-11	VYDAJ	VYBER	7700	32433	\N	\N	\N
299458	1019	1995-06-10	VYDAJ	VYBER	15800	37006	\N	\N	\N
299459	1019	1995-07-10	VYDAJ	VYBER	12900	42756	\N	\N	\N
299460	1019	1995-08-09	VYDAJ	VYBER	13700	37286	\N	\N	\N
299461	1019	1995-09-08	PRIJEM	VKLAD	2700	31360	\N	\N	\N
299462	1019	1995-10-08	VYDAJ	VYBER	400	36431	\N	\N	\N
299463	1019	1995-11-07	VYDAJ	VYBER	7400	39583	\N	\N	\N
299464	1019	1995-12-07	VYDAJ	VYBER	12100	38054	\N	\N	\N
299465	1019	1996-01-06	VYDAJ	VYBER	12200	38956	\N	\N	\N
299466	1019	1996-02-05	PRIJEM	VKLAD	3500	29205	\N	\N	\N
299467	1019	1996-03-06	VYDAJ	VYBER	5300	34422	\N	\N	\N
299468	1019	1996-04-05	VYDAJ	VYBER	5400	33792	\N	\N	\N
299469	1019	1996-05-05	VYDAJ	VYBER	4400	34522	\N	\N	\N
299470	1019	1996-06-04	VYDAJ	VYBER	7900	37169	\N	\N	\N
299471	1019	1996-07-04	VYDAJ	VYBER	3600	33047	\N	\N	\N
299472	1019	1996-08-03	VYDAJ	VYBER	4500	39087	\N	\N	\N
299473	1019	1996-09-02	VYDAJ	VYBER	1500	36846	\N	\N	\N
299474	1019	1996-10-02	VYDAJ	VYBER	5400	38753	\N	\N	\N
299475	1019	1996-11-01	VYDAJ	VYBER	8600	40718	\N	\N	\N
299476	1019	1996-12-01	VYDAJ	VYBER	7200	44094	\N	\N	\N
299477	1019	1996-12-31	VYDAJ	VYBER	10000	42642	\N	\N	\N
299478	1019	1997-01-30	PRIJEM	VKLAD	6500	33124	\N	\N	\N
299479	1019	1997-03-01	VYDAJ	VYBER	2400	40217	\N	\N	\N
299480	1019	1997-03-31	VYDAJ	VYBER	4900	45885	\N	\N	\N
299481	1019	1997-04-30	VYDAJ	VYBER	9900	46587	\N	\N	\N
299482	1019	1997-05-30	VYDAJ	VYBER	7400	41754	\N	\N	\N
299483	1019	1997-06-29	VYDAJ	VYBER	4300	40939	\N	\N	\N
299484	1019	1997-07-29	VYDAJ	VYBER	8400	38451	\N	\N	\N
299485	1019	1997-08-28	VYDAJ	VYBER	7600	41412	\N	\N	\N
299486	1019	1997-09-27	VYDAJ	VYBER	8600	41566	\N	\N	\N
299487	1019	1997-10-27	VYDAJ	VYBER	5300	44788	\N	\N	\N
299488	1019	1997-11-26	VYDAJ	VYBER	10100	37929	\N	\N	\N
299489	1019	1997-12-26	VYDAJ	VYBER	9100	40970	\N	\N	\N
299490	1019	1998-01-25	VYDAJ	VYBER	7000	26534	\N	\N	\N
299491	1019	1998-02-24	VYDAJ	VYBER	9500	24304	\N	\N	\N
299492	1019	1998-03-26	VYDAJ	VYBER	5600	27630	\N	\N	\N
299493	1019	1998-04-25	VYDAJ	VYBER	10400	27718	\N	\N	\N
299494	1019	1998-05-25	VYDAJ	VYBER	11000	27221	\N	\N	\N
299495	1019	1998-06-24	VYDAJ	VYBER	12200	30473	\N	\N	\N
299496	1019	1998-07-24	VYDAJ	VYBER	4800	36181	\N	\N	\N
299497	1019	1998-08-23	VYDAJ	VYBER	5500	41199	\N	\N	\N
299498	1019	1998-09-22	VYDAJ	VYBER	13900	37839	\N	\N	\N
299499	1019	1998-10-22	VYDAJ	VYBER	10700	37689	\N	\N	\N
299500	1019	1998-11-21	VYDAJ	VYBER	9400	38828	\N	\N	\N
299572	1020	1996-04-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
299576	1020	1996-04-10	PRIJEM	PREVOD Z UCTU	2984	4084	\N	WX	48951882
299577	1020	1996-05-10	PRIJEM	PREVOD Z UCTU	2984	14080	\N	WX	48951882
299578	1020	1996-06-10	PRIJEM	PREVOD Z UCTU	2984	21111	\N	WX	48951882
299579	1020	1996-07-10	PRIJEM	PREVOD Z UCTU	2984	27174	\N	WX	48951882
299580	1020	1996-08-10	PRIJEM	PREVOD Z UCTU	2984	28764	\N	WX	48951882
299581	1020	1996-09-10	PRIJEM	PREVOD Z UCTU	2984	29112	\N	WX	48951882
299582	1020	1996-10-10	PRIJEM	PREVOD Z UCTU	2984	26862	\N	WX	48951882
299583	1020	1996-11-10	PRIJEM	PREVOD Z UCTU	2984	30455	\N	WX	48951882
299584	1020	1996-12-10	PRIJEM	PREVOD Z UCTU	2984	27558	\N	WX	48951882
299585	1020	1997-01-10	PRIJEM	PREVOD Z UCTU	2984	23805	\N	WX	48951882
299586	1020	1997-02-10	PRIJEM	PREVOD Z UCTU	2984	20541	\N	WX	48951882
299587	1020	1997-03-10	PRIJEM	PREVOD Z UCTU	2984	18006	\N	WX	48951882
299588	1020	1997-04-10	PRIJEM	PREVOD Z UCTU	2984	19563	\N	WX	48951882
299589	1020	1997-05-10	PRIJEM	PREVOD Z UCTU	2984	20523	\N	WX	48951882
299590	1020	1997-06-10	PRIJEM	PREVOD Z UCTU	2984	18323	\N	WX	48951882
299591	1020	1997-07-10	PRIJEM	PREVOD Z UCTU	2984	16019	\N	WX	48951882
299592	1020	1997-08-10	PRIJEM	PREVOD Z UCTU	2984	16166	\N	WX	48951882
299593	1020	1997-09-10	PRIJEM	PREVOD Z UCTU	2984	15352	\N	WX	48951882
299594	1020	1997-10-10	PRIJEM	PREVOD Z UCTU	2984	14695	\N	WX	48951882
299595	1020	1997-11-10	PRIJEM	PREVOD Z UCTU	2984	12336	\N	WX	48951882
299596	1020	1997-12-10	PRIJEM	PREVOD Z UCTU	2984	12565	\N	WX	48951882
299597	1020	1998-01-10	PRIJEM	PREVOD Z UCTU	2984	13596	\N	WX	48951882
299598	1020	1998-02-10	PRIJEM	PREVOD Z UCTU	2984	13940	\N	WX	48951882
299599	1020	1998-03-10	PRIJEM	PREVOD Z UCTU	2984	14976	\N	WX	48951882
299600	1020	1998-04-10	PRIJEM	PREVOD Z UCTU	2984	16017	\N	WX	48951882
299601	1020	1998-05-10	PRIJEM	PREVOD Z UCTU	2984	15379	\N	WX	48951882
299602	1020	1998-06-10	PRIJEM	PREVOD Z UCTU	2984	16421	\N	WX	48951882
299603	1020	1998-07-10	PRIJEM	PREVOD Z UCTU	2984	17468	\N	WX	48951882
299604	1020	1998-08-10	PRIJEM	PREVOD Z UCTU	2984	18518	\N	WX	48951882
299605	1020	1998-09-10	PRIJEM	PREVOD Z UCTU	2984	19574	\N	WX	48951882
299606	1020	1998-10-10	PRIJEM	PREVOD Z UCTU	2984	19343	\N	WX	48951882
299607	1020	1998-11-10	PRIJEM	PREVOD Z UCTU	2984	19410	\N	WX	48951882
299608	1020	1998-12-10	PRIJEM	PREVOD Z UCTU	2984	19778	\N	WX	48951882
299617	1020	1996-09-09	VYDAJ	PREVOD NA UCET	1874	26128	SIPO	MN	40117269
299618	1020	1996-10-09	VYDAJ	PREVOD NA UCET	1874	23878	SIPO	MN	40117269
299619	1020	1996-11-09	VYDAJ	PREVOD NA UCET	1874	27471	SIPO	MN	40117269
299620	1020	1996-12-09	VYDAJ	PREVOD NA UCET	1874	24574	SIPO	MN	40117269
299621	1020	1997-01-09	VYDAJ	PREVOD NA UCET	1874	20821	SIPO	MN	40117269
299622	1020	1997-02-09	VYDAJ	PREVOD NA UCET	1874	17557	SIPO	MN	40117269
299623	1020	1997-03-09	VYDAJ	PREVOD NA UCET	1874	15022	SIPO	MN	40117269
299624	1020	1997-04-09	VYDAJ	PREVOD NA UCET	1874	16579	SIPO	MN	40117269
299625	1020	1997-05-09	VYDAJ	PREVOD NA UCET	1874	17539	SIPO	MN	40117269
299626	1020	1997-06-09	VYDAJ	PREVOD NA UCET	1874	15339	SIPO	MN	40117269
299627	1020	1997-07-09	VYDAJ	PREVOD NA UCET	1874	13035	SIPO	MN	40117269
299628	1020	1997-08-09	VYDAJ	PREVOD NA UCET	1874	13182	SIPO	MN	40117269
299629	1020	1997-09-09	VYDAJ	PREVOD NA UCET	1874	12368	SIPO	MN	40117269
299630	1020	1997-10-09	VYDAJ	PREVOD NA UCET	1874	11711	SIPO	MN	40117269
299631	1020	1997-11-09	VYDAJ	PREVOD NA UCET	1874	9352	SIPO	MN	40117269
299632	1020	1997-12-09	VYDAJ	PREVOD NA UCET	1874	9581	SIPO	MN	40117269
299633	1020	1998-01-09	VYDAJ	PREVOD NA UCET	1874	10612	SIPO	MN	40117269
299634	1020	1998-02-09	VYDAJ	PREVOD NA UCET	1874	10956	SIPO	MN	40117269
299635	1020	1998-03-09	VYDAJ	PREVOD NA UCET	1874	11992	SIPO	MN	40117269
299636	1020	1998-04-09	VYDAJ	PREVOD NA UCET	1874	13033	SIPO	MN	40117269
299637	1020	1998-05-09	VYDAJ	PREVOD NA UCET	1874	12395	SIPO	MN	40117269
299638	1020	1998-06-09	VYDAJ	PREVOD NA UCET	1874	13437	SIPO	MN	40117269
299639	1020	1998-07-09	VYDAJ	PREVOD NA UCET	1874	14484	SIPO	MN	40117269
299640	1020	1998-08-09	VYDAJ	PREVOD NA UCET	1874	15534	SIPO	MN	40117269
299641	1020	1998-09-09	VYDAJ	PREVOD NA UCET	1874	16590	SIPO	MN	40117269
299642	1020	1998-10-09	VYDAJ	PREVOD NA UCET	1874	16359	SIPO	MN	40117269
299643	1020	1998-11-09	VYDAJ	PREVOD NA UCET	1874	16426	SIPO	MN	40117269
299644	1020	1998-12-09	VYDAJ	PREVOD NA UCET	1874	16794	SIPO	MN	40117269
299652	1020	1996-08-14	VYDAJ	PREVOD NA UCET	105	28659	 	ST	49670916
299653	1020	1996-09-14	VYDAJ	PREVOD NA UCET	105	29007	 	ST	49670916
299654	1020	1996-10-14	VYDAJ	PREVOD NA UCET	105	26757	 	ST	49670916
299655	1020	1996-11-14	VYDAJ	PREVOD NA UCET	105	30350	 	ST	49670916
299656	1020	1996-12-14	VYDAJ	PREVOD NA UCET	105	27453	 	ST	49670916
299657	1020	1997-01-14	VYDAJ	PREVOD NA UCET	105	23700	 	ST	49670916
299658	1020	1997-02-14	VYDAJ	PREVOD NA UCET	105	20436	 	ST	49670916
299659	1020	1997-03-14	VYDAJ	PREVOD NA UCET	105	17901	 	ST	49670916
299660	1020	1997-04-14	VYDAJ	PREVOD NA UCET	105	19458	 	ST	49670916
299661	1020	1997-05-14	VYDAJ	PREVOD NA UCET	105	20418	 	ST	49670916
299662	1020	1997-06-14	VYDAJ	PREVOD NA UCET	105	18218	 	ST	49670916
299663	1020	1997-07-14	VYDAJ	PREVOD NA UCET	105	15914	 	ST	49670916
299664	1020	1997-08-14	VYDAJ	PREVOD NA UCET	105	16061	 	ST	49670916
299665	1020	1997-09-14	VYDAJ	PREVOD NA UCET	105	15247	 	ST	49670916
299666	1020	1997-10-14	VYDAJ	PREVOD NA UCET	105	14590	 	ST	49670916
299667	1020	1997-11-14	VYDAJ	PREVOD NA UCET	105	12231	 	ST	49670916
299668	1020	1997-12-14	VYDAJ	PREVOD NA UCET	105	12460	 	ST	49670916
299669	1020	1998-01-14	VYDAJ	PREVOD NA UCET	105	13491	 	ST	49670916
299670	1020	1998-02-14	VYDAJ	PREVOD NA UCET	105	13835	 	ST	49670916
299671	1020	1998-03-14	VYDAJ	PREVOD NA UCET	105	14871	 	ST	49670916
299672	1020	1998-04-14	VYDAJ	PREVOD NA UCET	105	15912	 	ST	49670916
299673	1020	1998-05-14	VYDAJ	PREVOD NA UCET	105	15274	 	ST	49670916
299674	1020	1998-06-14	VYDAJ	PREVOD NA UCET	105	16316	 	ST	49670916
299675	1020	1998-07-14	VYDAJ	PREVOD NA UCET	105	17363	 	ST	49670916
299676	1020	1998-08-14	VYDAJ	PREVOD NA UCET	105	18413	 	ST	49670916
299677	1020	1998-09-14	VYDAJ	PREVOD NA UCET	105	19469	 	ST	49670916
299678	1020	1998-10-14	VYDAJ	PREVOD NA UCET	105	18248	 	ST	49670916
299679	1020	1998-11-14	VYDAJ	PREVOD NA UCET	105	19305	 	ST	49670916
299680	1020	1998-12-14	VYDAJ	PREVOD NA UCET	105	19673	 	ST	49670916
299689	1020	1996-09-08	VYDAJ	PREVOD NA UCET	10	28002	POJISTNE	UV	24497020
299690	1020	1996-10-08	VYDAJ	PREVOD NA UCET	10	25752	POJISTNE	UV	24497020
299691	1020	1996-11-08	VYDAJ	PREVOD NA UCET	10	29345	POJISTNE	UV	24497020
299692	1020	1996-12-08	VYDAJ	PREVOD NA UCET	10	26448	POJISTNE	UV	24497020
299693	1020	1997-01-08	VYDAJ	PREVOD NA UCET	10	22695	POJISTNE	UV	24497020
299694	1020	1997-02-08	VYDAJ	PREVOD NA UCET	10	19431	POJISTNE	UV	24497020
299695	1020	1997-03-08	VYDAJ	PREVOD NA UCET	10	16896	POJISTNE	UV	24497020
299696	1020	1997-04-08	VYDAJ	PREVOD NA UCET	10	18453	POJISTNE	UV	24497020
299697	1020	1997-05-08	VYDAJ	PREVOD NA UCET	10	19413	POJISTNE	UV	24497020
299698	1020	1997-06-08	VYDAJ	PREVOD NA UCET	10	17213	POJISTNE	UV	24497020
299699	1020	1997-07-08	VYDAJ	PREVOD NA UCET	10	14909	POJISTNE	UV	24497020
299700	1020	1997-08-08	VYDAJ	PREVOD NA UCET	10	15056	POJISTNE	UV	24497020
299701	1020	1997-09-08	VYDAJ	PREVOD NA UCET	10	14242	POJISTNE	UV	24497020
299702	1020	1997-10-08	VYDAJ	PREVOD NA UCET	10	13585	POJISTNE	UV	24497020
299703	1020	1997-11-08	VYDAJ	PREVOD NA UCET	10	11226	POJISTNE	UV	24497020
299704	1020	1997-12-08	VYDAJ	PREVOD NA UCET	10	11455	POJISTNE	UV	24497020
299705	1020	1998-01-08	VYDAJ	PREVOD NA UCET	10	12486	POJISTNE	UV	24497020
299706	1020	1998-02-08	VYDAJ	PREVOD NA UCET	10	12830	POJISTNE	UV	24497020
299707	1020	1998-03-08	VYDAJ	PREVOD NA UCET	10	13866	POJISTNE	UV	24497020
299708	1020	1998-04-08	VYDAJ	PREVOD NA UCET	10	14907	POJISTNE	UV	24497020
299709	1020	1998-05-08	VYDAJ	PREVOD NA UCET	10	14269	POJISTNE	UV	24497020
299710	1020	1998-06-08	VYDAJ	PREVOD NA UCET	10	15311	POJISTNE	UV	24497020
299711	1020	1998-07-08	VYDAJ	PREVOD NA UCET	10	16358	POJISTNE	UV	24497020
299712	1020	1998-08-08	VYDAJ	PREVOD NA UCET	10	17408	POJISTNE	UV	24497020
299713	1020	1998-09-08	VYDAJ	PREVOD NA UCET	10	18464	POJISTNE	UV	24497020
299714	1020	1998-10-08	VYDAJ	PREVOD NA UCET	10	18233	POJISTNE	UV	24497020
299715	1020	1998-11-08	VYDAJ	PREVOD NA UCET	10	18300	POJISTNE	UV	24497020
299716	1020	1998-12-08	VYDAJ	PREVOD NA UCET	10	18668	POJISTNE	UV	24497020
299721	1020	1997-01-17	VYDAJ	VYBER	1140	22560	\N	\N	\N
299723	1020	1996-12-30	VYDAJ	VYBER	180	27273	\N	\N	\N
299725	1020	1998-12-22	VYDAJ	VYBER	330	19343	\N	\N	\N
299732	1020	1997-01-04	VYDAJ	VYBER	270	23905	\N	\N	\N
299733	1020	1997-01-29	VYDAJ	VYBER	390	20760	\N	\N	\N
299734	1020	1997-01-20	VYDAJ	VYBER	810	21750	\N	\N	\N
299735	1020	1997-01-05	VYDAJ	VYBER	690	23215	\N	\N	\N
299736	1020	1997-01-25	VYDAJ	VYBER	600	21150	\N	\N	\N
299737	1020	1997-01-07	VYDAJ	VYBER	510	22705	\N	\N	\N
299738	1020	1998-01-17	VYDAJ	VYBER	480	13011	\N	\N	\N
299740	1020	1998-01-30	VYDAJ	VYBER	210	12801	\N	\N	\N
299744	1020	1996-09-29	VYDAJ	VYBER	450	28557	\N	\N	\N
299749	1020	1996-09-07	VYDAJ	VYBER	150	28012	\N	\N	\N
299750	1020	1997-06-27	VYDAJ	VYBER	300	17918	\N	\N	\N
299751	1020	1997-06-27	VYDAJ	VYBER	1260	16658	\N	\N	\N
299752	1020	1997-05-20	VYDAJ	VYBER	1200	18558	\N	\N	\N
299753	1020	1997-05-17	VYDAJ	VYBER	660	19758	\N	\N	\N
299754	1020	1997-08-16	VYDAJ	VYBER	480	15581	\N	\N	\N
299755	1020	1997-09-08	VYDAJ	VYBER	1380	14252	\N	\N	\N
299756	1020	1998-11-17	VYDAJ	VYBER	690	18615	\N	\N	\N
299757	1020	1998-10-06	VYDAJ	VYBER	1290	18243	\N	\N	\N
299758	1020	1998-10-12	VYDAJ	VYBER	990	18353	\N	\N	\N
299759	1020	1998-05-06	VYDAJ	VYBER	270	14279	\N	\N	\N
299760	1020	1998-04-16	VYDAJ	VYBER	1410	14502	\N	\N	\N
299769	1020	1996-08-31	VYDAJ	VYBER	15	28762	SLUZBY	\N	\N
299770	1020	1996-09-30	VYDAJ	VYBER	15	28662	SLUZBY	\N	\N
299771	1020	1996-10-31	VYDAJ	VYBER	15	26855	SLUZBY	\N	\N
299772	1020	1996-11-30	VYDAJ	VYBER	15	30458	SLUZBY	\N	\N
299773	1020	1996-12-31	VYDAJ	VYBER	15	27375	SLUZBY	\N	\N
299774	1020	1997-01-31	VYDAJ	VYBER	15	20841	SLUZBY	\N	\N
299775	1020	1997-02-28	VYDAJ	VYBER	15	20506	SLUZBY	\N	\N
299776	1020	1997-03-31	VYDAJ	VYBER	15	17963	SLUZBY	\N	\N
299777	1020	1997-04-30	VYDAJ	VYBER	15	19523	SLUZBY	\N	\N
299778	1020	1997-05-31	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
299779	1020	1997-06-30	VYDAJ	VYBER	15	16719	SLUZBY	\N	\N
299780	1020	1997-07-31	VYDAJ	VYBER	15	15966	SLUZBY	\N	\N
299781	1020	1997-08-31	VYDAJ	VYBER	15	15632	SLUZBY	\N	\N
299782	1020	1997-09-30	VYDAJ	VYBER	15	15295	SLUZBY	\N	\N
299783	1020	1997-10-31	VYDAJ	VYBER	15	11236	SLUZBY	\N	\N
299784	1020	1997-11-30	VYDAJ	VYBER	15	11465	SLUZBY	\N	\N
299785	1020	1997-12-31	VYDAJ	VYBER	15	12496	SLUZBY	\N	\N
299786	1020	1998-01-31	VYDAJ	VYBER	15	12840	SLUZBY	\N	\N
299787	1020	1998-02-28	VYDAJ	VYBER	15	13876	SLUZBY	\N	\N
299788	1020	1998-03-31	VYDAJ	VYBER	15	14917	SLUZBY	\N	\N
299789	1020	1998-04-30	VYDAJ	VYBER	15	14549	SLUZBY	\N	\N
299790	1020	1998-05-31	VYDAJ	VYBER	15	15321	SLUZBY	\N	\N
299791	1020	1998-06-30	VYDAJ	VYBER	15	16368	SLUZBY	\N	\N
299792	1020	1998-07-31	VYDAJ	VYBER	15	17418	SLUZBY	\N	\N
299793	1020	1998-08-31	VYDAJ	VYBER	15	18474	SLUZBY	\N	\N
299794	1020	1998-09-30	VYDAJ	VYBER	15	19533	SLUZBY	\N	\N
299795	1020	1998-10-31	VYDAJ	VYBER	15	18310	SLUZBY	\N	\N
299796	1020	1998-11-30	VYDAJ	VYBER	15	18678	SLUZBY	\N	\N
299797	1020	1996-05-09	PRIJEM	VKLAD	7000	11096	\N	\N	\N
299798	1020	1996-06-08	PRIJEM	VKLAD	4000	18127	\N	\N	\N
299799	1020	1996-07-08	PRIJEM	VKLAD	3000	24190	\N	\N	\N
299800	1020	1996-08-07	VYDAJ	VYBER	1500	25780	\N	\N	\N
299801	1020	1996-09-06	VYDAJ	VYBER	600	28162	\N	\N	\N
299802	1020	1996-10-06	VYDAJ	VYBER	2900	25762	\N	\N	\N
299803	1020	1996-11-05	PRIJEM	VKLAD	2500	29355	\N	\N	\N
299804	1020	1996-12-05	VYDAJ	VYBER	4000	26458	\N	\N	\N
299805	1020	1997-01-04	VYDAJ	VYBER	3200	24175	\N	\N	\N
299806	1020	1997-02-03	VYDAJ	VYBER	1400	19441	\N	\N	\N
299807	1020	1997-03-05	VYDAJ	VYBER	3600	16906	\N	\N	\N
299808	1020	1997-04-04	PRIJEM	VKLAD	500	18463	\N	\N	\N
299809	1020	1997-05-04	VYDAJ	VYBER	100	19423	\N	\N	\N
299810	1020	1997-06-03	VYDAJ	VYBER	1400	17223	\N	\N	\N
299811	1020	1997-07-03	VYDAJ	VYBER	1800	14919	\N	\N	\N
299812	1020	1997-08-02	VYDAJ	VYBER	900	15066	\N	\N	\N
299813	1020	1997-10-01	VYDAJ	VYBER	1700	13595	\N	\N	\N
299814	1020	1997-10-31	VYDAJ	VYBER	3400	11250	\N	\N	\N
299815	1020	1997-11-30	VYDAJ	VYBER	800	11480	\N	\N	\N
299849	1021	1996-11-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
299861	1021	1996-12-06	PRIJEM	PREVOD Z UCTU	3389	4389	\N	UV	4144222
299862	1021	1997-01-06	PRIJEM	PREVOD Z UCTU	3389	7778	\N	UV	4144222
299863	1021	1997-02-06	PRIJEM	PREVOD Z UCTU	3389	11167	\N	UV	4144222
299864	1021	1997-03-06	PRIJEM	PREVOD Z UCTU	3389	14556	\N	UV	4144222
299865	1021	1997-04-06	PRIJEM	PREVOD Z UCTU	3389	17945	\N	UV	4144222
299866	1021	1997-05-06	PRIJEM	PREVOD Z UCTU	3389	19113	\N	UV	4144222
299867	1021	1997-06-06	PRIJEM	PREVOD Z UCTU	3389	20297	\N	UV	4144222
299868	1021	1997-07-06	PRIJEM	PREVOD Z UCTU	3389	17487	\N	UV	4144222
299869	1021	1997-08-06	PRIJEM	PREVOD Z UCTU	3389	18664	\N	UV	4144222
299870	1021	1997-09-06	PRIJEM	PREVOD Z UCTU	3389	18917	\N	UV	4144222
299871	1021	1997-10-06	PRIJEM	PREVOD Z UCTU	3389	18901	\N	UV	4144222
299872	1021	1997-11-06	PRIJEM	PREVOD Z UCTU	3389	19305	\N	UV	4144222
299873	1021	1997-12-06	PRIJEM	PREVOD Z UCTU	3389	20491	\N	UV	4144222
299874	1021	1998-01-06	PRIJEM	PREVOD Z UCTU	3389	19058	\N	UV	4144222
299875	1021	1998-02-06	PRIJEM	PREVOD Z UCTU	3389	16397	\N	UV	4144222
299876	1021	1998-03-06	PRIJEM	PREVOD Z UCTU	3389	17570	\N	UV	4144222
299877	1021	1998-04-06	PRIJEM	PREVOD Z UCTU	3389	18748	\N	UV	4144222
299878	1021	1998-05-06	PRIJEM	PREVOD Z UCTU	3389	19931	\N	UV	4144222
299879	1021	1998-06-06	PRIJEM	PREVOD Z UCTU	3389	21119	\N	UV	4144222
299880	1021	1998-07-06	PRIJEM	PREVOD Z UCTU	3389	21892	\N	UV	4144222
299881	1021	1998-08-06	PRIJEM	PREVOD Z UCTU	3389	23088	\N	UV	4144222
299882	1021	1998-09-06	PRIJEM	PREVOD Z UCTU	3389	23808	\N	UV	4144222
299883	1021	1998-10-06	PRIJEM	PREVOD Z UCTU	3389	25012	\N	UV	4144222
299884	1021	1998-11-06	PRIJEM	PREVOD Z UCTU	3389	26221	\N	UV	4144222
299885	1021	1998-12-06	PRIJEM	PREVOD Z UCTU	3389	27435	\N	UV	4144222
299901	1021	1997-04-07	VYDAJ	PREVOD NA UCET	2259	15686	SIPO	AB	37461710
299902	1021	1997-05-07	VYDAJ	PREVOD NA UCET	2259	16854	SIPO	AB	37461710
299903	1021	1997-06-07	VYDAJ	PREVOD NA UCET	2259	18038	SIPO	AB	37461710
299904	1021	1997-07-07	VYDAJ	PREVOD NA UCET	2259	15228	SIPO	AB	37461710
299905	1021	1997-08-07	VYDAJ	PREVOD NA UCET	2259	16405	SIPO	AB	37461710
299906	1021	1997-09-07	VYDAJ	PREVOD NA UCET	2259	16658	SIPO	AB	37461710
299907	1021	1997-10-07	VYDAJ	PREVOD NA UCET	2259	16642	SIPO	AB	37461710
299908	1021	1997-11-07	VYDAJ	PREVOD NA UCET	2259	17046	SIPO	AB	37461710
299909	1021	1997-12-07	VYDAJ	PREVOD NA UCET	2259	18232	SIPO	AB	37461710
299910	1021	1998-01-07	VYDAJ	PREVOD NA UCET	2259	16109	SIPO	AB	37461710
299911	1021	1998-02-07	VYDAJ	PREVOD NA UCET	2259	14138	SIPO	AB	37461710
299912	1021	1998-03-07	VYDAJ	PREVOD NA UCET	2259	15311	SIPO	AB	37461710
299913	1021	1998-04-07	VYDAJ	PREVOD NA UCET	2259	16489	SIPO	AB	37461710
299914	1021	1998-05-07	VYDAJ	PREVOD NA UCET	2259	17672	SIPO	AB	37461710
299915	1021	1998-06-07	VYDAJ	PREVOD NA UCET	2259	18860	SIPO	AB	37461710
299916	1021	1998-07-07	VYDAJ	PREVOD NA UCET	2259	19633	SIPO	AB	37461710
299917	1021	1998-08-07	VYDAJ	PREVOD NA UCET	2259	20829	SIPO	AB	37461710
299918	1021	1998-09-07	VYDAJ	PREVOD NA UCET	2259	21549	SIPO	AB	37461710
299919	1021	1998-10-07	VYDAJ	PREVOD NA UCET	2259	22753	SIPO	AB	37461710
299920	1021	1998-11-07	VYDAJ	PREVOD NA UCET	2259	23962	SIPO	AB	37461710
299921	1021	1998-12-07	VYDAJ	PREVOD NA UCET	2259	25176	SIPO	AB	37461710
299923	1021	1997-06-12	VYDAJ	VYBER	3990	14048	\N	\N	\N
299927	1021	1998-01-25	VYDAJ	VYBER	2340	12959	\N	\N	\N
299929	1021	1997-12-21	VYDAJ	VYBER	630	16902	\N	\N	\N
299930	1021	1998-12-27	VYDAJ	VYBER	870	24306	\N	\N	\N
299943	1021	1998-01-05	VYDAJ	VYBER	420	15669	\N	\N	\N
299944	1021	1998-01-01	VYDAJ	VYBER	270	16089	\N	\N	\N
299947	1021	1998-01-07	VYDAJ	VYBER	690	18368	\N	\N	\N
299948	1021	1998-01-14	VYDAJ	VYBER	810	15299	\N	\N	\N
299956	1021	1997-10-31	VYDAJ	VYBER	780	15916	\N	\N	\N
299957	1021	1997-12-27	VYDAJ	VYBER	600	16302	\N	\N	\N
299958	1021	1997-09-04	VYDAJ	VYBER	930	15528	\N	\N	\N
299960	1021	1997-09-22	VYDAJ	VYBER	1200	15458	\N	\N	\N
299962	1021	1998-08-21	VYDAJ	VYBER	480	20349	\N	\N	\N
299963	1021	1998-06-19	VYDAJ	VYBER	420	18440	\N	\N	\N
299980	1021	1997-04-30	VYDAJ	VYBER	15	15724	SLUZBY	\N	\N
299981	1021	1997-05-31	VYDAJ	VYBER	15	16908	SLUZBY	\N	\N
299982	1021	1997-06-30	VYDAJ	VYBER	15	14098	SLUZBY	\N	\N
299983	1021	1997-07-31	VYDAJ	VYBER	15	15275	SLUZBY	\N	\N
299984	1021	1997-08-31	VYDAJ	VYBER	15	16458	SLUZBY	\N	\N
299985	1021	1997-09-30	VYDAJ	VYBER	15	15512	SLUZBY	\N	\N
299986	1021	1997-10-31	VYDAJ	VYBER	15	16696	SLUZBY	\N	\N
299987	1021	1997-11-30	VYDAJ	VYBER	15	17102	SLUZBY	\N	\N
299988	1021	1997-12-31	VYDAJ	VYBER	15	16359	SLUZBY	\N	\N
299989	1021	1998-01-31	VYDAJ	VYBER	15	13008	SLUZBY	\N	\N
299990	1021	1998-02-28	VYDAJ	VYBER	15	14181	SLUZBY	\N	\N
299991	1021	1998-03-31	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
299992	1021	1998-04-30	VYDAJ	VYBER	15	16542	SLUZBY	\N	\N
299993	1021	1998-05-31	VYDAJ	VYBER	15	17730	SLUZBY	\N	\N
299994	1021	1998-06-30	VYDAJ	VYBER	15	18503	SLUZBY	\N	\N
299995	1021	1998-07-31	VYDAJ	VYBER	15	19699	SLUZBY	\N	\N
299996	1021	1998-08-31	VYDAJ	VYBER	15	20419	SLUZBY	\N	\N
299997	1021	1998-09-30	VYDAJ	VYBER	15	21623	SLUZBY	\N	\N
299998	1021	1998-10-31	VYDAJ	VYBER	15	22832	SLUZBY	\N	\N
299999	1021	1998-11-30	VYDAJ	VYBER	15	24046	SLUZBY	\N	\N
300000	1021	1997-12-12	VYDAJ	VYBER	700	17532	\N	\N	\N
300022	1022	1994-08-01	PRIJEM	VKLAD	700	700	\N	\N	\N
300027	1022	1995-06-17	PRIJEM	VKLAD	39233	124828	\N	\N	\N
300028	1022	1995-11-11	PRIJEM	VKLAD	25587	92454	\N	\N	\N
300029	1022	1995-10-14	PRIJEM	VKLAD	22315	61286	\N	\N	\N
300030	1022	1995-02-05	PRIJEM	VKLAD	11247	34826	\N	\N	\N
300031	1022	1995-08-19	PRIJEM	VKLAD	9560	54371	\N	\N	\N
300032	1022	1995-06-15	PRIJEM	VKLAD	43167	85595	\N	\N	\N
300033	1022	1995-04-26	PRIJEM	VKLAD	42236	75760	\N	\N	\N
300034	1022	1995-11-10	PRIJEM	VKLAD	25876	66867	\N	\N	\N
300035	1022	1996-05-23	PRIJEM	VKLAD	18680	66189	\N	\N	\N
300036	1022	1996-03-09	PRIJEM	VKLAD	34755	70736	\N	\N	\N
300037	1022	1997-10-23	PRIJEM	VKLAD	42618	112400	\N	\N	\N
300038	1022	1997-07-25	PRIJEM	VKLAD	29365	109254	\N	\N	\N
300039	1022	1997-05-07	PRIJEM	VKLAD	18648	74099	\N	\N	\N
300040	1022	1997-01-06	PRIJEM	VKLAD	21692	91236	\N	\N	\N
300041	1022	1997-01-28	PRIJEM	VKLAD	22119	108297	\N	\N	\N
300042	1022	1997-07-12	PRIJEM	VKLAD	30723	90589	\N	\N	\N
300043	1022	1997-07-10	PRIJEM	VKLAD	38468	123866	\N	\N	\N
300044	1022	1997-01-12	PRIJEM	VKLAD	43497	123033	\N	\N	\N
300045	1022	1997-02-28	PRIJEM	VKLAD	24168	115393	\N	\N	\N
300046	1022	1997-10-28	PRIJEM	VKLAD	11413	88874	\N	\N	\N
300047	1022	1997-10-31	PRIJEM	VKLAD	19938	108812	\N	\N	\N
300048	1022	1997-08-31	PRIJEM	VKLAD	14059	100860	\N	\N	\N
300049	1022	1997-06-23	PRIJEM	VKLAD	5192	78493	\N	\N	\N
300050	1022	1997-02-04	PRIJEM	VKLAD	29290	104960	\N	\N	\N
300051	1022	1997-01-25	PRIJEM	VKLAD	33745	86178	\N	\N	\N
300052	1022	1997-01-04	PRIJEM	VKLAD	29554	72544	\N	\N	\N
300053	1022	1997-10-26	PRIJEM	VKLAD	20761	77461	\N	\N	\N
300054	1022	1997-07-01	PRIJEM	VKLAD	44473	85398	\N	\N	\N
300055	1022	1997-08-25	PRIJEM	VKLAD	35964	86425	\N	\N	\N
300056	1022	1997-11-29	PRIJEM	VKLAD	9670	113180	\N	\N	\N
300057	1022	1997-11-14	PRIJEM	VKLAD	23084	108190	\N	\N	\N
300058	1022	1997-03-17	PRIJEM	VKLAD	31848	86985	\N	\N	\N
300059	1022	1997-02-25	PRIJEM	VKLAD	25564	90924	\N	\N	\N
300060	1022	1998-04-20	PRIJEM	VKLAD	27457	123672	\N	\N	\N
300061	1022	1998-12-19	PRIJEM	VKLAD	37040	114811	\N	\N	\N
300062	1022	1998-05-17	PRIJEM	VKLAD	46091	115419	\N	\N	\N
300063	1022	1998-02-11	PRIJEM	VKLAD	40239	119745	\N	\N	\N
300064	1022	1998-11-20	PRIJEM	VKLAD	34297	149843	\N	\N	\N
300065	1022	1998-08-03	PRIJEM	VKLAD	18845	110727	\N	\N	\N
300066	1022	1998-10-29	PRIJEM	VKLAD	19490	99766	\N	\N	\N
300067	1022	1998-11-19	PRIJEM	VKLAD	45206	147446	\N	\N	\N
300068	1022	1998-03-21	PRIJEM	VKLAD	28422	109453	\N	\N	\N
300069	1022	1998-11-20	PRIJEM	VKLAD	5738	155581	\N	\N	\N
300070	1022	1998-08-25	PRIJEM	VKLAD	34456	112531	\N	\N	\N
300071	1022	1998-07-07	PRIJEM	VKLAD	26312	93866	\N	\N	\N
300072	1022	1998-01-13	PRIJEM	VKLAD	6073	83488	\N	\N	\N
300073	1022	1998-08-13	PRIJEM	VKLAD	8902	112829	\N	\N	\N
300074	1022	1998-08-17	PRIJEM	VKLAD	11646	124475	\N	\N	\N
300075	1022	1998-02-09	PRIJEM	VKLAD	34467	79506	\N	\N	\N
300076	1022	1998-04-17	PRIJEM	VKLAD	20447	116215	\N	\N	\N
300077	1022	1998-05-11	PRIJEM	VKLAD	12099	42828	\N	\N	\N
300078	1022	1998-01-04	PRIJEM	VKLAD	29920	83715	\N	\N	\N
300079	1022	1998-11-04	PRIJEM	VKLAD	14409	114440	\N	\N	\N
300089	1022	1995-12-07	VYBER	VYBER	18582	42031	\N	\N	\N
300092	1022	1995-09-04	VYBER	VYBER	2417	37535	\N	\N	\N
300093	1022	1995-10-26	VYBER	VYBER	5437	40849	\N	\N	\N
300095	1022	1996-06-09	VYBER	VYBER	5612	52865	\N	\N	\N
300096	1022	1996-01-24	VYBER	VYBER	16804	21598	\N	\N	\N
300097	1022	1996-08-11	VYBER	VYBER	5101	42172	\N	\N	\N
300098	1022	1996-04-07	VYBER	VYBER	3372	45809	\N	\N	\N
300099	1022	1996-04-26	VYBER	VYBER	11664	35545	\N	\N	\N
300100	1022	1996-07-04	VYBER	VYBER	13524	31113	\N	\N	\N
300101	1022	1996-05-24	VYBER	VYBER	7859	58330	\N	\N	\N
300102	1022	1996-06-11	VYBER	VYBER	19681	29884	\N	\N	\N
300103	1022	1996-11-28	VYBER	VYBER	12838	37518	\N	\N	\N
300104	1022	1996-10-14	VYBER	VYBER	24562	28884	\N	\N	\N
300105	1022	1997-12-17	VYBER	VYBER	10247	53586	\N	\N	\N
300106	1022	1997-03-06	VYBER	VYBER	4737	60626	\N	\N	\N
300107	1022	1997-11-21	VYBER	VYBER	4680	103510	\N	\N	\N
300108	1022	1997-12-04	VYBER	VYBER	24452	49033	\N	\N	\N
300109	1022	1997-03-07	VYBER	VYBER	5489	55137	\N	\N	\N
300110	1022	1997-05-12	VYBER	VYBER	6138	67961	\N	\N	\N
300111	1022	1997-08-15	VYBER	VYBER	24316	55937	\N	\N	\N
300112	1022	1997-04-01	VYBER	VYBER	11447	63727	\N	\N	\N
300113	1022	1997-10-13	VYBER	VYBER	20895	63082	\N	\N	\N
300114	1022	1997-04-18	VYBER	VYBER	2864	55263	\N	\N	\N
300115	1022	1997-08-20	VYBER	VYBER	5476	50461	\N	\N	\N
300116	1022	1998-04-21	VYBER	VYBER	22840	38232	\N	\N	\N
300117	1022	1998-02-12	VYBER	VYBER	12642	69703	\N	\N	\N
300121	1022	1997-06-23	VYDAJ	VYBER	37800	40693	\N	\N	\N
300126	1022	1997-01-22	VYDAJ	VYBER	17700	52433	\N	\N	\N
300127	1022	1998-01-26	VYDAJ	VYBER	21300	56188	\N	\N	\N
300129	1022	1995-12-04	VYDAJ	VYBER	7800	60613	\N	\N	\N
300130	1022	1996-12-22	VYDAJ	VYBER	5700	42857	\N	\N	\N
300131	1022	1997-12-08	VYDAJ	VYBER	3600	45433	\N	\N	\N
300132	1022	1998-12-21	VYDAJ	VYBER	3300	86511	\N	\N	\N
300145	1022	1996-01-19	VYDAJ	VYBER	2700	34302	\N	\N	\N
300148	1022	1996-01-14	VYDAJ	VYBER	7200	38502	\N	\N	\N
300149	1022	1996-01-16	VYDAJ	VYBER	1500	37002	\N	\N	\N
300150	1022	1996-01-19	VYDAJ	VYBER	6600	27702	\N	\N	\N
300151	1022	1997-01-05	VYDAJ	VYBER	1500	71044	\N	\N	\N
300152	1022	1997-01-05	VYDAJ	VYBER	1500	69544	\N	\N	\N
300153	1022	1997-01-20	VYDAJ	VYBER	3000	70133	\N	\N	\N
300154	1022	1997-01-06	VYDAJ	VYBER	6300	84936	\N	\N	\N
300155	1022	1997-01-11	VYDAJ	VYBER	5400	79536	\N	\N	\N
300156	1022	1997-01-16	VYDAJ	VYBER	5700	81533	\N	\N	\N
300157	1022	1998-01-11	VYDAJ	VYBER	4800	77115	\N	\N	\N
300158	1022	1998-01-18	VYDAJ	VYBER	6000	77488	\N	\N	\N
300159	1022	1998-01-27	VYDAJ	VYBER	8700	47488	\N	\N	\N
300160	1022	1998-01-08	VYDAJ	VYBER	1800	81915	\N	\N	\N
300161	1022	1998-01-30	VYDAJ	VYBER	2700	44788	\N	\N	\N
300162	1022	1998-01-12	VYDAJ	VYBER	8100	77415	\N	\N	\N
300170	1022	1995-11-20	VYDAJ	VYBER	1800	90654	\N	\N	\N
300172	1022	1995-10-22	VYDAJ	VYBER	5100	56186	\N	\N	\N
300174	1022	1995-08-24	VYDAJ	VYBER	9000	45371	\N	\N	\N
300175	1022	1996-06-10	VYDAJ	VYBER	3300	49565	\N	\N	\N
300176	1022	1996-10-09	VYDAJ	VYBER	7500	53446	\N	\N	\N
300177	1022	1996-03-30	VYDAJ	VYBER	9600	49036	\N	\N	\N
300179	1022	1996-10-26	VYDAJ	VYBER	5700	40684	\N	\N	\N
300180	1022	1997-04-01	VYDAJ	VYBER	13800	49927	\N	\N	\N
300181	1022	1997-09-07	VYDAJ	VYBER	4800	96030	\N	\N	\N
300182	1022	1997-07-13	VYDAJ	VYBER	3000	87589	\N	\N	\N
300183	1022	1997-02-28	VYDAJ	VYBER	8100	107293	\N	\N	\N
300184	1022	1998-11-11	VYDAJ	VYBER	2700	102240	\N	\N	\N
300185	1022	1998-06-13	VYDAJ	VYBER	8700	67315	\N	\N	\N
300186	1022	1998-05-05	VYDAJ	VYBER	7800	30729	\N	\N	\N
300187	1022	1998-11-08	VYDAJ	VYBER	6600	107840	\N	\N	\N
300188	1022	1998-12-12	VYDAJ	VYBER	11700	77771	\N	\N	\N
300189	1022	1998-09-11	VYDAJ	VYBER	8700	68745	\N	\N	\N
300190	1022	1998-03-30	VYDAJ	VYBER	7500	101953	\N	\N	\N
300211	1022	1995-08-31	VYDAJ	VYBER	30	39952	SLUZBY	\N	\N
300212	1022	1995-09-30	VYDAJ	VYBER	30	38971	SLUZBY	\N	\N
300213	1022	1995-10-31	VYDAJ	VYBER	30	40991	SLUZBY	\N	\N
300214	1022	1995-11-30	VYDAJ	VYBER	30	68413	SLUZBY	\N	\N
300215	1022	1995-12-31	VYDAJ	VYBER	30	45702	SLUZBY	\N	\N
300216	1022	1996-01-31	VYDAJ	VYBER	30	21718	SLUZBY	\N	\N
300217	1022	1996-02-29	VYDAJ	VYBER	30	35981	SLUZBY	\N	\N
300218	1022	1996-03-31	VYDAJ	VYBER	30	49181	SLUZBY	\N	\N
300219	1022	1996-04-30	VYDAJ	VYBER	30	35709	SLUZBY	\N	\N
300220	1022	1996-05-31	VYDAJ	VYBER	30	58477	SLUZBY	\N	\N
300221	1022	1996-06-30	VYDAJ	VYBER	30	44637	SLUZBY	\N	\N
300222	1022	1996-07-31	VYDAJ	VYBER	30	47273	SLUZBY	\N	\N
300223	1022	1996-08-31	VYDAJ	VYBER	30	54349	SLUZBY	\N	\N
300224	1022	1996-09-30	VYDAJ	VYBER	30	60946	SLUZBY	\N	\N
300225	1022	1996-10-31	VYDAJ	VYBER	30	40856	SLUZBY	\N	\N
300226	1022	1996-11-30	VYDAJ	VYBER	30	37657	SLUZBY	\N	\N
300227	1022	1996-12-31	VYDAJ	VYBER	30	42990	SLUZBY	\N	\N
300228	1022	1997-01-31	VYDAJ	VYBER	30	75670	SLUZBY	\N	\N
300229	1022	1997-02-28	VYDAJ	VYBER	30	107263	SLUZBY	\N	\N
300230	1022	1997-03-31	VYDAJ	VYBER	30	75174	SLUZBY	\N	\N
300231	1022	1997-04-30	VYDAJ	VYBER	30	55451	SLUZBY	\N	\N
300232	1022	1997-05-31	VYDAJ	VYBER	30	71301	SLUZBY	\N	\N
300233	1022	1997-06-30	VYDAJ	VYBER	30	40925	SLUZBY	\N	\N
300234	1022	1997-07-31	VYDAJ	VYBER	30	109553	SLUZBY	\N	\N
300235	1022	1997-08-31	VYDAJ	VYBER	30	100830	SLUZBY	\N	\N
300236	1022	1997-09-30	VYDAJ	VYBER	30	83977	SLUZBY	\N	\N
300237	1022	1997-10-31	VYDAJ	VYBER	30	109106	SLUZBY	\N	\N
300238	1022	1997-11-30	VYDAJ	VYBER	30	73485	SLUZBY	\N	\N
300239	1022	1997-12-31	VYDAJ	VYBER	30	53795	SLUZBY	\N	\N
300240	1022	1998-01-31	VYDAJ	VYBER	30	45039	SLUZBY	\N	\N
300241	1022	1998-02-28	VYDAJ	VYBER	30	69931	SLUZBY	\N	\N
300242	1022	1998-03-31	VYDAJ	VYBER	30	102268	SLUZBY	\N	\N
300243	1022	1998-04-30	VYDAJ	VYBER	30	38529	SLUZBY	\N	\N
300244	1022	1998-05-31	VYDAJ	VYBER	30	62615	SLUZBY	\N	\N
300245	1022	1998-06-30	VYDAJ	VYBER	30	67554	SLUZBY	\N	\N
300246	1022	1998-07-31	VYDAJ	VYBER	30	91882	SLUZBY	\N	\N
300247	1022	1998-08-31	VYDAJ	VYBER	30	53145	SLUZBY	\N	\N
300248	1022	1998-09-30	VYDAJ	VYBER	30	68976	SLUZBY	\N	\N
300249	1022	1998-10-31	VYDAJ	VYBER	30	100031	SLUZBY	\N	\N
300250	1022	1998-11-30	VYDAJ	VYBER	30	71271	SLUZBY	\N	\N
300251	1022	1994-08-31	PRIJEM	VKLAD	12600	13302	\N	\N	\N
300252	1022	1994-09-30	PRIJEM	VKLAD	5600	18902	\N	\N	\N
300253	1022	1994-10-30	PRIJEM	VKLAD	1600	20557	\N	\N	\N
300254	1022	1994-11-29	PRIJEM	VKLAD	2400	23013	\N	\N	\N
300255	1022	1994-12-29	PRIJEM	VKLAD	600	23668	\N	\N	\N
300256	1022	1995-01-28	VYDAJ	VYBER	200	23524	\N	\N	\N
300257	1022	1995-02-27	VYDAJ	VYBER	1900	32926	\N	\N	\N
300258	1022	1995-03-29	PRIJEM	VKLAD	400	33387	\N	\N	\N
300259	1022	1995-04-28	VYDAJ	VYBER	22500	53260	\N	\N	\N
300260	1022	1995-05-28	VYDAJ	VYBER	11200	42206	\N	\N	\N
300261	1022	1995-06-17	VYDAJ	VYBER	45300	79528	\N	\N	\N
300262	1022	1995-06-27	VYDAJ	VYBER	25600	53928	\N	\N	\N
300263	1022	1995-07-27	VYDAJ	VYBER	9600	44587	\N	\N	\N
300264	1022	1995-08-26	VYDAJ	VYBER	5600	39771	\N	\N	\N
300265	1022	1995-09-25	PRIJEM	VKLAD	1300	38835	\N	\N	\N
300266	1022	1995-10-25	VYDAJ	VYBER	9900	46286	\N	\N	\N
300267	1022	1995-11-24	VYDAJ	VYBER	22500	68154	\N	\N	\N
300268	1022	1995-12-24	PRIJEM	VKLAD	3500	45531	\N	\N	\N
300269	1022	1996-01-23	PRIJEM	VKLAD	10700	38402	\N	\N	\N
300270	1022	1996-02-22	PRIJEM	VKLAD	14200	35918	\N	\N	\N
300271	1022	1996-03-23	VYDAJ	VYBER	12100	58636	\N	\N	\N
300272	1022	1996-04-22	PRIJEM	VKLAD	1400	47209	\N	\N	\N
300273	1022	1996-05-22	PRIJEM	VKLAD	11800	47509	\N	\N	\N
300274	1022	1996-06-21	PRIJEM	VKLAD	14600	44484	\N	\N	\N
300275	1022	1996-07-21	PRIJEM	VKLAD	16000	47113	\N	\N	\N
300276	1022	1996-08-20	PRIJEM	VKLAD	12000	54172	\N	\N	\N
300277	1022	1996-09-19	PRIJEM	VKLAD	6400	60749	\N	\N	\N
300278	1022	1996-10-19	PRIJEM	VKLAD	17500	46384	\N	\N	\N
300279	1022	1996-11-18	PRIJEM	VKLAD	9500	50356	\N	\N	\N
300280	1022	1996-12-18	PRIJEM	VKLAD	10900	48557	\N	\N	\N
300281	1022	1997-01-12	VYDAJ	VYBER	35800	87233	\N	\N	\N
300282	1022	1997-01-17	VYDAJ	VYBER	8400	73133	\N	\N	\N
300283	1022	1997-01-28	VYDAJ	VYBER	32900	75397	\N	\N	\N
300284	1022	1997-02-04	VYDAJ	VYBER	36000	68960	\N	\N	\N
300285	1022	1997-02-16	VYDAJ	VYBER	3600	65360	\N	\N	\N
300286	1022	1997-02-28	VYDAJ	VYBER	41900	65363	\N	\N	\N
300287	1022	1997-03-18	VYDAJ	VYBER	12100	74885	\N	\N	\N
300288	1022	1997-04-17	PRIJEM	VKLAD	8200	58127	\N	\N	\N
300289	1022	1997-05-17	PRIJEM	VKLAD	3100	71061	\N	\N	\N
300290	1022	1997-06-16	PRIJEM	VKLAD	2000	73301	\N	\N	\N
300291	1022	1997-07-10	VYDAJ	VYBER	64000	59866	\N	\N	\N
300292	1022	1997-07-16	VYDAJ	VYBER	7700	79889	\N	\N	\N
300293	1022	1997-07-31	VYDAJ	VYBER	44500	65053	\N	\N	\N
300294	1022	1997-08-15	PRIJEM	VKLAD	15200	80253	\N	\N	\N
300295	1022	1997-09-14	VYDAJ	VYBER	12400	83630	\N	\N	\N
300296	1022	1997-10-14	PRIJEM	VKLAD	6700	69782	\N	\N	\N
300297	1022	1997-10-23	VYDAJ	VYBER	55700	56700	\N	\N	\N
300298	1022	1997-10-31	VYDAJ	VYBER	16700	92406	\N	\N	\N
300299	1022	1997-11-13	VYDAJ	VYBER	7300	85106	\N	\N	\N
300300	1022	1997-11-29	VYDAJ	VYBER	40100	73080	\N	\N	\N
300301	1022	1997-12-13	PRIJEM	VKLAD	18400	63833	\N	\N	\N
300302	1022	1998-01-12	PRIJEM	VKLAD	8400	85515	\N	\N	\N
300303	1022	1998-02-11	VYDAJ	VYBER	53400	82345	\N	\N	\N
300304	1022	1998-02-11	PRIJEM	VKLAD	16000	135745	\N	\N	\N
300305	1022	1998-03-13	PRIJEM	VKLAD	11100	81031	\N	\N	\N
300306	1022	1998-04-12	VYDAJ	VYBER	6500	95768	\N	\N	\N
300307	1022	1998-04-17	VYDAJ	VYBER	20000	96215	\N	\N	\N
300308	1022	1998-04-20	VYDAJ	VYBER	62600	61072	\N	\N	\N
300309	1022	1998-05-12	PRIJEM	VKLAD	26500	69328	\N	\N	\N
300310	1022	1998-05-17	VYDAJ	VYBER	53100	62319	\N	\N	\N
300311	1022	1998-06-11	PRIJEM	VKLAD	13400	76015	\N	\N	\N
300312	1022	1998-07-11	VYDAJ	VYBER	2300	91566	\N	\N	\N
300313	1022	1998-08-10	VYDAJ	VYBER	6800	103927	\N	\N	\N
300314	1022	1998-08-17	VYDAJ	VYBER	46400	78075	\N	\N	\N
300315	1022	1998-08-25	VYDAJ	VYBER	59700	52831	\N	\N	\N
300316	1022	1998-09-09	PRIJEM	VKLAD	24300	77445	\N	\N	\N
300317	1022	1998-10-09	PRIJEM	VKLAD	11300	80276	\N	\N	\N
300318	1022	1998-11-08	VYDAJ	VYBER	2900	104940	\N	\N	\N
300319	1022	1998-11-19	VYDAJ	VYBER	31900	115546	\N	\N	\N
300320	1022	1998-11-20	VYDAJ	VYBER	31600	70881	\N	\N	\N
300321	1022	1998-11-20	VYDAJ	VYBER	53100	102481	\N	\N	\N
300322	1022	1998-12-08	PRIJEM	VKLAD	18200	89471	\N	\N	\N
300323	1022	1998-12-19	VYDAJ	VYBER	25000	89811	\N	\N	\N
300377	1023	1993-08-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
300386	1023	1993-09-05	PRIJEM	VKLAD	18278	19378	\N	\N	\N
300387	1023	1993-10-05	PRIJEM	VKLAD	18278	40414	\N	\N	\N
300388	1023	1993-11-05	PRIJEM	VKLAD	18278	49108	\N	\N	\N
300389	1023	1993-12-05	PRIJEM	VKLAD	27417	65172	\N	\N	\N
300390	1023	1994-01-05	PRIJEM	VKLAD	18278	65132	\N	\N	\N
300391	1023	1994-02-05	PRIJEM	VKLAD	18278	64630	\N	\N	\N
300392	1023	1994-03-05	PRIJEM	VKLAD	18278	64786	\N	\N	\N
300393	1023	1994-04-05	PRIJEM	VKLAD	18278	60375	\N	\N	\N
300394	1023	1994-05-05	PRIJEM	VKLAD	18278	60414	\N	\N	\N
300395	1023	1994-06-05	PRIJEM	VKLAD	27417	61217	\N	\N	\N
300396	1023	1994-07-05	PRIJEM	VKLAD	18278	45603	\N	\N	\N
300397	1023	1994-08-05	PRIJEM	VKLAD	18278	51096	\N	\N	\N
300398	1023	1994-09-05	PRIJEM	VKLAD	18278	55893	\N	\N	\N
300399	1023	1994-10-05	PRIJEM	VKLAD	18278	53047	\N	\N	\N
300400	1023	1994-11-05	PRIJEM	VKLAD	18278	56566	\N	\N	\N
300401	1023	1994-12-05	PRIJEM	VKLAD	27417	67032	\N	\N	\N
300402	1023	1995-01-05	PRIJEM	VKLAD	18278	62676	\N	\N	\N
300403	1023	1995-02-05	PRIJEM	VKLAD	18278	43095	\N	\N	\N
300404	1023	1995-03-05	PRIJEM	VKLAD	18278	61531	\N	\N	\N
300405	1023	1995-04-05	PRIJEM	VKLAD	18278	59567	\N	\N	\N
300406	1023	1995-05-05	PRIJEM	VKLAD	18278	58999	\N	\N	\N
300407	1023	1995-06-05	PRIJEM	VKLAD	27417	57788	\N	\N	\N
300408	1023	1995-07-05	PRIJEM	VKLAD	18278	55581	\N	\N	\N
300409	1023	1995-08-05	PRIJEM	VKLAD	18278	52050	\N	\N	\N
300410	1023	1995-09-05	PRIJEM	VKLAD	18278	50988	\N	\N	\N
300411	1023	1995-10-05	PRIJEM	VKLAD	18278	53563	\N	\N	\N
300412	1023	1995-11-05	PRIJEM	VKLAD	18278	52547	\N	\N	\N
300413	1023	1995-12-05	PRIJEM	VKLAD	27417	60068	\N	\N	\N
300414	1023	1996-01-05	PRIJEM	VKLAD	18278	54274	\N	\N	\N
300415	1023	1996-02-05	PRIJEM	VKLAD	18278	48148	\N	\N	\N
300416	1023	1996-03-05	PRIJEM	VKLAD	18278	50635	\N	\N	\N
300417	1023	1996-04-05	PRIJEM	VKLAD	18278	50032	\N	\N	\N
300418	1023	1996-05-05	PRIJEM	VKLAD	18278	50126	\N	\N	\N
300419	1023	1996-06-05	PRIJEM	VKLAD	27417	59160	\N	\N	\N
300420	1023	1996-07-05	PRIJEM	VKLAD	18278	48327	\N	\N	\N
300421	1023	1996-08-05	PRIJEM	VKLAD	18278	47056	\N	\N	\N
300422	1023	1996-09-05	PRIJEM	VKLAD	18278	44236	\N	\N	\N
300423	1023	1996-10-05	PRIJEM	VKLAD	18278	43405	\N	\N	\N
300424	1023	1996-11-05	PRIJEM	VKLAD	18278	40381	\N	\N	\N
300425	1023	1996-12-05	PRIJEM	VKLAD	27417	52384	\N	\N	\N
300426	1023	1997-01-05	PRIJEM	VKLAD	18278	50156	\N	\N	\N
300427	1023	1997-02-05	PRIJEM	VKLAD	18278	38849	\N	\N	\N
300428	1023	1997-03-05	PRIJEM	VKLAD	18278	36833	\N	\N	\N
300429	1023	1997-04-05	PRIJEM	VKLAD	18278	41175	\N	\N	\N
300430	1023	1997-05-05	PRIJEM	VKLAD	18278	37732	\N	\N	\N
300431	1023	1997-06-05	PRIJEM	VKLAD	27417	48915	\N	\N	\N
300432	1023	1997-07-05	PRIJEM	VKLAD	18278	35260	\N	\N	\N
300433	1023	1997-08-05	PRIJEM	VKLAD	18278	35941	\N	\N	\N
300434	1023	1997-09-05	PRIJEM	VKLAD	18278	37877	\N	\N	\N
300435	1023	1997-10-05	PRIJEM	VKLAD	18278	39422	\N	\N	\N
300436	1023	1997-11-05	PRIJEM	VKLAD	18278	40071	\N	\N	\N
300437	1023	1997-12-05	PRIJEM	VKLAD	27417	53167	\N	\N	\N
300438	1023	1998-01-05	PRIJEM	VKLAD	18278	48648	\N	\N	\N
300439	1023	1998-02-05	PRIJEM	VKLAD	18278	37395	\N	\N	\N
300440	1023	1998-03-05	PRIJEM	VKLAD	18278	38235	\N	\N	\N
300441	1023	1998-04-05	PRIJEM	VKLAD	18278	40181	\N	\N	\N
300442	1023	1998-05-05	PRIJEM	VKLAD	18278	37227	\N	\N	\N
300443	1023	1998-06-05	PRIJEM	VKLAD	27417	63620	\N	\N	\N
300444	1023	1998-07-05	PRIJEM	VKLAD	18278	44725	\N	\N	\N
300445	1023	1998-08-05	PRIJEM	VKLAD	18278	34675	\N	\N	\N
300446	1023	1998-09-05	PRIJEM	VKLAD	18278	53005	\N	\N	\N
300447	1023	1998-10-05	PRIJEM	VKLAD	18278	34770	\N	\N	\N
300448	1023	1998-11-05	PRIJEM	VKLAD	18278	53100	\N	\N	\N
300449	1023	1998-12-05	PRIJEM	VKLAD	27417	43802	\N	\N	\N
300451	1023	1994-06-18	VYDAJ	VYBER	17120	27197	\N	\N	\N
300453	1023	1996-06-26	VYDAJ	VYBER	5760	46600	\N	\N	\N
300454	1023	1997-06-14	VYDAJ	VYBER	5280	38475	\N	\N	\N
300455	1023	1998-06-12	VYDAJ	VYBER	37280	26340	\N	\N	\N
300458	1023	1995-01-28	VYDAJ	VYBER	8800	31016	\N	\N	\N
300459	1023	1996-01-18	VYDAJ	VYBER	3360	50914	\N	\N	\N
300460	1023	1997-01-11	VYDAJ	VYBER	10400	39756	\N	\N	\N
300461	1023	1998-01-19	VYDAJ	VYBER	13920	34728	\N	\N	\N
300467	1023	1994-09-14	VYDAJ	VYBER	3360	34633	\N	\N	\N
300468	1023	1994-01-22	VYDAJ	VYBER	960	46172	\N	\N	\N
300469	1023	1994-03-09	VYDAJ	VYBER	960	63826	\N	\N	\N
300470	1023	1994-08-07	VYDAJ	VYBER	3120	47976	\N	\N	\N
300471	1023	1994-05-21	VYDAJ	VYBER	3240	33654	\N	\N	\N
300472	1023	1994-05-19	VYDAJ	VYBER	4920	36894	\N	\N	\N
300473	1023	1995-05-14	VYDAJ	VYBER	600	38699	\N	\N	\N
300474	1023	1995-01-22	VYDAJ	VYBER	3360	39816	\N	\N	\N
300475	1023	1995-08-28	VYDAJ	VYBER	2640	49410	\N	\N	\N
300476	1023	1995-07-16	VYDAJ	VYBER	3120	52461	\N	\N	\N
300477	1023	1996-11-21	VYDAJ	VYBER KARTOU	2400	37981	\N	\N	0
300478	1023	1996-10-26	VYDAJ	VYBER KARTOU	2200	41205	\N	\N	0
300479	1023	1996-06-16	VYDAJ	VYBER	4200	54960	\N	\N	\N
300480	1023	1996-07-08	VYDAJ	VYBER KARTOU	2400	45927	\N	\N	0
300481	1023	1996-06-19	VYDAJ	VYBER KARTOU	2600	52360	\N	\N	0
300482	1023	1996-05-31	VYDAJ	VYBER KARTOU	1200	31758	\N	\N	0
300483	1023	1997-04-22	VYDAJ	VYBER KARTOU	3700	37475	\N	\N	0
300484	1023	1997-01-13	VYDAJ	VYBER KARTOU	1800	37956	\N	\N	0
300485	1023	1997-12-18	VYDAJ	VYBER KARTOU	1200	51967	\N	\N	0
300486	1023	1997-02-06	VYDAJ	VYBER KARTOU	2800	36049	\N	\N	0
300487	1023	1997-07-08	VYDAJ	VYBER	4080	31180	\N	\N	\N
300488	1023	1997-06-08	VYDAJ	VYBER	5160	43755	\N	\N	\N
300489	1023	1998-05-25	VYDAJ	VYBER KARTOU	1100	36127	\N	\N	0
300490	1023	1998-12-24	VYDAJ	VYBER KARTOU	2600	41202	\N	\N	0
300504	1023	1994-01-31	VYDAJ	VYBER	15	46352	SLUZBY	\N	\N
300505	1023	1994-02-28	VYDAJ	VYBER	15	46508	SLUZBY	\N	\N
300506	1023	1994-03-31	VYDAJ	VYBER	15	42097	SLUZBY	\N	\N
300507	1023	1994-04-30	VYDAJ	VYBER	15	42136	SLUZBY	\N	\N
300508	1023	1994-05-31	VYDAJ	VYBER	15	33800	SLUZBY	\N	\N
300509	1023	1994-06-30	VYDAJ	VYBER	15	27325	SLUZBY	\N	\N
300510	1023	1994-07-31	VYDAJ	VYBER	15	32818	SLUZBY	\N	\N
300511	1023	1994-08-31	VYDAJ	VYBER	15	37615	SLUZBY	\N	\N
300512	1023	1994-09-30	VYDAJ	VYBER	15	34769	SLUZBY	\N	\N
300513	1023	1994-10-31	VYDAJ	VYBER	15	38288	SLUZBY	\N	\N
300514	1023	1994-11-30	VYDAJ	VYBER	15	39615	SLUZBY	\N	\N
300515	1023	1994-12-31	VYDAJ	VYBER	15	44398	SLUZBY	\N	\N
300516	1023	1995-01-31	VYDAJ	VYBER	15	31217	SLUZBY	\N	\N
300517	1023	1995-02-28	VYDAJ	VYBER	15	43253	SLUZBY	\N	\N
300518	1023	1995-03-31	VYDAJ	VYBER	15	41289	SLUZBY	\N	\N
300519	1023	1995-04-30	VYDAJ	VYBER	15	40721	SLUZBY	\N	\N
300520	1023	1995-05-31	VYDAJ	VYBER	15	38871	SLUZBY	\N	\N
300521	1023	1995-06-30	VYDAJ	VYBER	15	58003	SLUZBY	\N	\N
300522	1023	1995-07-31	VYDAJ	VYBER	15	52672	SLUZBY	\N	\N
300523	1023	1995-08-31	VYDAJ	VYBER	15	49610	SLUZBY	\N	\N
300524	1023	1995-09-30	VYDAJ	VYBER	15	51185	SLUZBY	\N	\N
300525	1023	1995-10-31	VYDAJ	VYBER	15	53769	SLUZBY	\N	\N
300526	1023	1995-11-30	VYDAJ	VYBER	15	52751	SLUZBY	\N	\N
300527	1023	1995-12-31	VYDAJ	VYBER	15	35996	SLUZBY	\N	\N
300528	1023	1996-01-31	VYDAJ	VYBER	15	29870	SLUZBY	\N	\N
300529	1023	1996-02-29	VYDAJ	VYBER	15	48257	SLUZBY	\N	\N
300530	1023	1996-03-31	VYDAJ	VYBER	15	31754	SLUZBY	\N	\N
300531	1023	1996-04-30	VYDAJ	VYBER	15	31848	SLUZBY	\N	\N
300532	1023	1996-05-31	VYDAJ	VYBER	15	31743	SLUZBY	\N	\N
300533	1023	1996-06-30	VYDAJ	VYBER	15	30049	SLUZBY	\N	\N
300534	1023	1996-07-31	VYDAJ	VYBER	15	28778	SLUZBY	\N	\N
300535	1023	1996-08-31	VYDAJ	VYBER	15	25958	SLUZBY	\N	\N
300536	1023	1996-09-30	VYDAJ	VYBER	15	25127	SLUZBY	\N	\N
300537	1023	1996-10-31	VYDAJ	VYBER	15	22103	SLUZBY	\N	\N
300538	1023	1996-11-30	VYDAJ	VYBER	15	24967	SLUZBY	\N	\N
300539	1023	1996-12-31	VYDAJ	VYBER	15	31878	SLUZBY	\N	\N
300540	1023	1997-01-31	VYDAJ	VYBER	15	20571	SLUZBY	\N	\N
300541	1023	1997-02-28	VYDAJ	VYBER	15	18555	SLUZBY	\N	\N
300542	1023	1997-03-31	VYDAJ	VYBER	15	22897	SLUZBY	\N	\N
300543	1023	1997-04-30	VYDAJ	VYBER	15	19454	SLUZBY	\N	\N
300544	1023	1997-05-31	VYDAJ	VYBER	15	21498	SLUZBY	\N	\N
300545	1023	1997-06-30	VYDAJ	VYBER	15	16982	SLUZBY	\N	\N
300546	1023	1997-07-31	VYDAJ	VYBER	15	17663	SLUZBY	\N	\N
300547	1023	1997-08-31	VYDAJ	VYBER	15	19599	SLUZBY	\N	\N
300548	1023	1997-09-30	VYDAJ	VYBER	15	21144	SLUZBY	\N	\N
300549	1023	1997-10-31	VYDAJ	VYBER	15	21793	SLUZBY	\N	\N
300550	1023	1997-11-30	VYDAJ	VYBER	15	25750	SLUZBY	\N	\N
300551	1023	1997-12-31	VYDAJ	VYBER	15	30370	SLUZBY	\N	\N
300552	1023	1998-01-31	VYDAJ	VYBER	15	19117	SLUZBY	\N	\N
300553	1023	1998-02-28	VYDAJ	VYBER	15	19957	SLUZBY	\N	\N
300554	1023	1998-03-31	VYDAJ	VYBER	15	21903	SLUZBY	\N	\N
300555	1023	1998-04-30	VYDAJ	VYBER	15	18949	SLUZBY	\N	\N
300556	1023	1998-05-31	VYDAJ	VYBER	15	36203	SLUZBY	\N	\N
300557	1023	1998-06-30	VYDAJ	VYBER	15	26447	SLUZBY	\N	\N
300558	1023	1998-07-31	VYDAJ	VYBER	15	16397	SLUZBY	\N	\N
300559	1023	1998-08-31	VYDAJ	VYBER	15	34727	SLUZBY	\N	\N
300560	1023	1998-09-30	VYDAJ	VYBER	15	16492	SLUZBY	\N	\N
300561	1023	1998-10-31	VYDAJ	VYBER	15	34822	SLUZBY	\N	\N
300562	1023	1998-11-30	VYDAJ	VYBER	15	16385	SLUZBY	\N	\N
300563	1023	1993-09-12	PRIJEM	VKLAD	2700	22078	\N	\N	\N
300564	1023	1993-10-12	VYDAJ	VYBER	9700	30714	\N	\N	\N
300565	1023	1993-11-11	VYDAJ	VYBER	11500	37608	\N	\N	\N
300566	1023	1993-12-11	VYDAJ	VYBER	18500	46672	\N	\N	\N
300567	1023	1994-01-10	VYDAJ	VYBER	18000	47132	\N	\N	\N
300568	1023	1994-02-09	VYDAJ	VYBER	18300	46330	\N	\N	\N
300569	1023	1994-03-11	VYDAJ	VYBER	21900	41926	\N	\N	\N
300570	1023	1994-04-10	VYDAJ	VYBER	18400	41975	\N	\N	\N
300571	1023	1994-05-10	VYDAJ	VYBER	18600	41814	\N	\N	\N
300572	1023	1994-06-09	VYDAJ	VYBER	16900	44317	\N	\N	\N
300573	1023	1994-07-09	VYDAJ	VYBER	12900	32703	\N	\N	\N
300574	1023	1994-08-08	VYDAJ	VYBER	10500	37476	\N	\N	\N
300575	1023	1994-09-07	VYDAJ	VYBER	17900	37993	\N	\N	\N
300576	1023	1994-10-07	VYDAJ	VYBER	14900	38147	\N	\N	\N
300577	1023	1994-11-06	VYDAJ	VYBER	17100	39466	\N	\N	\N
300578	1023	1994-12-06	VYDAJ	VYBER	22800	44232	\N	\N	\N
300579	1023	1995-01-05	VYDAJ	VYBER	19500	43176	\N	\N	\N
300580	1023	1995-02-04	VYDAJ	VYBER	6400	24817	\N	\N	\N
300581	1023	1995-03-06	VYDAJ	VYBER	20400	41131	\N	\N	\N
300582	1023	1995-04-05	VYDAJ	VYBER	19000	40567	\N	\N	\N
300583	1023	1995-05-05	VYDAJ	VYBER	19700	39299	\N	\N	\N
300584	1023	1995-06-04	VYDAJ	VYBER	8500	30371	\N	\N	\N
300585	1023	1995-07-04	VYDAJ	VYBER	20700	37303	\N	\N	\N
300586	1023	1995-08-03	VYDAJ	VYBER	18900	33772	\N	\N	\N
300587	1023	1995-09-02	VYDAJ	VYBER	16900	32710	\N	\N	\N
300588	1023	1995-10-02	VYDAJ	VYBER	15900	35285	\N	\N	\N
300589	1023	1995-11-01	VYDAJ	VYBER	19500	34269	\N	\N	\N
300590	1023	1995-12-01	VYDAJ	VYBER	20100	32651	\N	\N	\N
300591	1023	1995-12-31	VYDAJ	VYBER	24300	36010	\N	\N	\N
300592	1023	1996-01-30	VYDAJ	VYBER	21200	29714	\N	\N	\N
300593	1023	1996-02-29	VYDAJ	VYBER	15900	32357	\N	\N	\N
300594	1023	1996-03-30	VYDAJ	VYBER	19000	31635	\N	\N	\N
300595	1023	1996-04-29	VYDAJ	VYBER	18300	31732	\N	\N	\N
300596	1023	1996-05-29	VYDAJ	VYBER	17300	32826	\N	\N	\N
300597	1023	1996-06-28	VYDAJ	VYBER	16700	29900	\N	\N	\N
300598	1023	1996-07-28	VYDAJ	VYBER	17300	28627	\N	\N	\N
300599	1023	1996-08-27	VYDAJ	VYBER	21200	25856	\N	\N	\N
300600	1023	1996-09-26	VYDAJ	VYBER	19200	25036	\N	\N	\N
300601	1023	1996-10-26	VYDAJ	VYBER	19200	22005	\N	\N	\N
300602	1023	1996-11-25	VYDAJ	VYBER	13100	24881	\N	\N	\N
300603	1023	1996-12-25	VYDAJ	VYBER	20600	31784	\N	\N	\N
300604	1023	1997-01-24	VYDAJ	VYBER	17500	20456	\N	\N	\N
300605	1023	1997-02-23	VYDAJ	VYBER	17600	18449	\N	\N	\N
300606	1023	1997-03-25	VYDAJ	VYBER	14000	22833	\N	\N	\N
300607	1023	1997-04-24	VYDAJ	VYBER	18100	19375	\N	\N	\N
300608	1023	1997-05-24	VYDAJ	VYBER	16300	21432	\N	\N	\N
300609	1023	1997-06-23	VYDAJ	VYBER	21600	16875	\N	\N	\N
300610	1023	1997-07-23	VYDAJ	VYBER	13600	17580	\N	\N	\N
300611	1023	1997-08-22	VYDAJ	VYBER	16400	19541	\N	\N	\N
300612	1023	1997-09-21	VYDAJ	VYBER	16800	21077	\N	\N	\N
300613	1023	1997-10-21	VYDAJ	VYBER	17700	21722	\N	\N	\N
300614	1023	1997-11-20	VYDAJ	VYBER	14400	25671	\N	\N	\N
300615	1023	1997-12-20	VYDAJ	VYBER	21700	30267	\N	\N	\N
300616	1023	1998-01-19	VYDAJ	VYBER	15700	19028	\N	\N	\N
300617	1023	1998-02-18	VYDAJ	VYBER	17500	19895	\N	\N	\N
300618	1023	1998-03-20	VYDAJ	VYBER	16400	21835	\N	\N	\N
300619	1023	1998-04-19	VYDAJ	VYBER	21300	18881	\N	\N	\N
300620	1023	1998-07-18	VYDAJ	VYBER	28400	16325	\N	\N	\N
300621	1023	1998-09-16	VYDAJ	VYBER	36600	16405	\N	\N	\N
300622	1023	1998-11-15	VYDAJ	VYBER	36800	16300	\N	\N	\N
300687	1024	1997-05-02	PRIJEM	VKLAD	600	600	\N	\N	\N
300692	1024	1997-05-13	PRIJEM	PREVOD Z UCTU	3112	3712	\N	UV	49152046
300693	1024	1997-06-13	PRIJEM	PREVOD Z UCTU	3112	6834	\N	UV	49152046
300694	1024	1997-07-13	PRIJEM	PREVOD Z UCTU	3112	9961	\N	UV	49152046
300695	1024	1997-08-13	PRIJEM	PREVOD Z UCTU	3112	13088	\N	UV	49152046
300696	1024	1997-09-13	PRIJEM	PREVOD Z UCTU	3112	16216	\N	UV	49152046
300697	1024	1997-10-13	PRIJEM	PREVOD Z UCTU	3112	17256	\N	UV	49152046
300698	1024	1997-11-13	PRIJEM	PREVOD Z UCTU	3112	18350	\N	UV	49152046
300699	1024	1997-12-13	PRIJEM	PREVOD Z UCTU	3112	18758	\N	UV	49152046
300700	1024	1998-01-13	PRIJEM	PREVOD Z UCTU	3112	18538	\N	UV	49152046
300701	1024	1998-02-13	PRIJEM	PREVOD Z UCTU	3112	15431	\N	UV	49152046
300702	1024	1998-03-13	PRIJEM	PREVOD Z UCTU	3112	16517	\N	UV	49152046
300703	1024	1998-04-13	PRIJEM	PREVOD Z UCTU	3112	17607	\N	UV	49152046
300704	1024	1998-05-13	PRIJEM	PREVOD Z UCTU	3112	18702	\N	UV	49152046
300705	1024	1998-06-13	PRIJEM	PREVOD Z UCTU	3112	19802	\N	UV	49152046
300706	1024	1998-07-13	PRIJEM	PREVOD Z UCTU	3112	18109	\N	UV	49152046
300707	1024	1998-08-13	PRIJEM	PREVOD Z UCTU	3112	19206	\N	UV	49152046
300708	1024	1998-09-13	PRIJEM	PREVOD Z UCTU	3112	19768	\N	UV	49152046
300709	1024	1998-10-13	PRIJEM	PREVOD Z UCTU	3112	20153	\N	UV	49152046
300710	1024	1998-11-13	PRIJEM	PREVOD Z UCTU	3112	19936	\N	UV	49152046
300711	1024	1998-12-13	PRIJEM	PREVOD Z UCTU	3112	21041	\N	UV	49152046
300721	1024	1997-10-10	VYDAJ	PREVOD NA UCET	2074	14144	\N	IJ	50779986
300722	1024	1997-11-10	VYDAJ	PREVOD NA UCET	2074	15238	\N	IJ	50779986
300723	1024	1997-12-10	VYDAJ	PREVOD NA UCET	2074	15646	\N	IJ	50779986
300724	1024	1998-01-10	VYDAJ	PREVOD NA UCET	2074	15426	\N	IJ	50779986
300725	1024	1998-02-10	VYDAJ	PREVOD NA UCET	2074	12319	\N	IJ	50779986
300726	1024	1998-03-10	VYDAJ	PREVOD NA UCET	2074	13405	\N	IJ	50779986
300727	1024	1998-04-10	VYDAJ	PREVOD NA UCET	2074	14495	\N	IJ	50779986
300728	1024	1998-05-10	VYDAJ	PREVOD NA UCET	2074	15590	\N	IJ	50779986
300729	1024	1998-06-10	VYDAJ	PREVOD NA UCET	2074	16690	\N	IJ	50779986
300730	1024	1998-07-10	VYDAJ	PREVOD NA UCET	2074	14997	\N	IJ	50779986
300731	1024	1998-08-10	VYDAJ	PREVOD NA UCET	2074	16094	\N	IJ	50779986
300732	1024	1998-09-10	VYDAJ	PREVOD NA UCET	2074	17196	\N	IJ	50779986
300733	1024	1998-10-10	VYDAJ	PREVOD NA UCET	2074	17401	\N	IJ	50779986
300734	1024	1998-11-10	VYDAJ	PREVOD NA UCET	2074	16824	\N	IJ	50779986
300735	1024	1998-12-10	VYDAJ	PREVOD NA UCET	2074	17929	\N	IJ	50779986
300737	1024	1998-06-14	VYDAJ	VYBER	2790	17012	\N	\N	\N
300739	1024	1998-01-17	VYDAJ	VYBER	360	16708	\N	\N	\N
300740	1024	1997-12-06	VYDAJ	VYBER	690	17720	\N	\N	\N
300741	1024	1998-12-16	VYDAJ	VYBER	690	20351	\N	\N	\N
300748	1024	1998-01-02	VYDAJ	VYBER	630	17980	\N	\N	\N
300749	1024	1998-01-29	VYDAJ	VYBER	480	14338	\N	\N	\N
300750	1024	1998-01-14	VYDAJ	VYBER	840	17068	\N	\N	\N
300751	1024	1998-01-13	VYDAJ	VYBER	630	17908	\N	\N	\N
300752	1024	1998-01-08	VYDAJ	VYBER	480	17500	\N	\N	\N
300753	1024	1998-01-27	VYDAJ	VYBER	450	14818	\N	\N	\N
300755	1024	1997-12-18	VYDAJ	VYBER	210	18548	\N	\N	\N
300757	1024	1998-10-02	VYDAJ	VYBER	360	19475	\N	\N	\N
300758	1024	1998-09-12	VYDAJ	VYBER	540	16656	\N	\N	\N
300759	1024	1998-10-11	VYDAJ	VYBER	360	17041	\N	\N	\N
300760	1024	1998-01-25	VYDAJ	VYBER	1440	15268	\N	\N	\N
300761	1024	1998-10-19	VYDAJ	VYBER	1320	18833	\N	\N	\N
300771	1024	1997-09-30	VYDAJ	VYBER	15	16218	SLUZBY	\N	\N
300772	1024	1997-10-31	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
300773	1024	1997-11-30	VYDAJ	VYBER	15	18410	SLUZBY	\N	\N
300774	1024	1997-12-31	VYDAJ	VYBER	15	18610	SLUZBY	\N	\N
300775	1024	1998-01-31	VYDAJ	VYBER	15	14393	SLUZBY	\N	\N
300776	1024	1998-02-28	VYDAJ	VYBER	15	15479	SLUZBY	\N	\N
300777	1024	1998-03-31	VYDAJ	VYBER	15	16569	SLUZBY	\N	\N
300778	1024	1998-04-30	VYDAJ	VYBER	15	17664	SLUZBY	\N	\N
300779	1024	1998-05-31	VYDAJ	VYBER	15	18764	SLUZBY	\N	\N
300780	1024	1998-06-30	VYDAJ	VYBER	15	17071	SLUZBY	\N	\N
300781	1024	1998-07-31	VYDAJ	VYBER	15	18168	SLUZBY	\N	\N
300782	1024	1998-08-31	VYDAJ	VYBER	15	19270	SLUZBY	\N	\N
300783	1024	1998-09-30	VYDAJ	VYBER	15	19835	SLUZBY	\N	\N
300784	1024	1998-10-31	VYDAJ	VYBER	15	18898	SLUZBY	\N	\N
300785	1024	1998-11-30	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
301710	1026	1997-09-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
301719	1026	1997-09-05	PRIJEM	VKLAD	17173	18173	\N	\N	\N
301720	1026	1997-10-05	PRIJEM	VKLAD	17173	41912	\N	\N	\N
301721	1026	1997-11-05	PRIJEM	VKLAD	17173	51247	\N	\N	\N
301722	1026	1997-12-05	PRIJEM	VKLAD	25760	68014	\N	\N	\N
301723	1026	1998-01-05	PRIJEM	VKLAD	17173	66962	\N	\N	\N
301724	1026	1998-02-05	PRIJEM	VKLAD	17173	66938	\N	\N	\N
301725	1026	1998-03-05	PRIJEM	VKLAD	17173	65101	\N	\N	\N
301726	1026	1998-04-05	PRIJEM	VKLAD	17173	61867	\N	\N	\N
301727	1026	1998-05-05	PRIJEM	VKLAD	17173	58421	\N	\N	\N
301728	1026	1998-06-05	PRIJEM	VKLAD	25760	71146	\N	\N	\N
301729	1026	1998-07-05	PRIJEM	VKLAD	17173	65819	\N	\N	\N
301730	1026	1998-08-05	PRIJEM	VKLAD	17173	64386	\N	\N	\N
301731	1026	1998-09-05	PRIJEM	VKLAD	17173	64035	\N	\N	\N
301732	1026	1998-10-05	PRIJEM	VKLAD	17173	65883	\N	\N	\N
301733	1026	1998-11-05	PRIJEM	VKLAD	17173	66537	\N	\N	\N
301734	1026	1998-12-05	PRIJEM	VKLAD	25760	72773	\N	\N	\N
301747	1026	1998-01-09	VYDAJ	PREVOD NA UCET	8099	58528	SIPO	IJ	92388706
301748	1026	1998-02-09	VYDAJ	PREVOD NA UCET	8099	58504	SIPO	IJ	92388706
301749	1026	1998-03-09	VYDAJ	PREVOD NA UCET	8099	56667	SIPO	IJ	92388706
301750	1026	1998-04-09	VYDAJ	PREVOD NA UCET	8099	53433	SIPO	IJ	92388706
301751	1026	1998-05-09	VYDAJ	PREVOD NA UCET	8099	49987	SIPO	IJ	92388706
301752	1026	1998-06-09	VYDAJ	PREVOD NA UCET	8099	62712	SIPO	IJ	92388706
301753	1026	1998-07-09	VYDAJ	PREVOD NA UCET	8099	57385	SIPO	IJ	92388706
301754	1026	1998-08-09	VYDAJ	PREVOD NA UCET	8099	55952	SIPO	IJ	92388706
301755	1026	1998-09-09	VYDAJ	PREVOD NA UCET	8099	55601	SIPO	IJ	92388706
301756	1026	1998-10-09	VYDAJ	PREVOD NA UCET	8099	57449	SIPO	IJ	92388706
301757	1026	1998-11-09	VYDAJ	PREVOD NA UCET	8099	58103	SIPO	IJ	92388706
301758	1026	1998-12-09	VYDAJ	PREVOD NA UCET	8099	64339	SIPO	IJ	92388706
301771	1026	1998-01-07	VYDAJ	PREVOD NA UCET	335	66627	 	WX	63060033
301772	1026	1998-02-07	VYDAJ	PREVOD NA UCET	335	66603	 	WX	63060033
301773	1026	1998-03-07	VYDAJ	PREVOD NA UCET	335	64766	 	WX	63060033
301774	1026	1998-04-07	VYDAJ	PREVOD NA UCET	335	61532	 	WX	63060033
301775	1026	1998-05-07	VYDAJ	PREVOD NA UCET	335	58086	 	WX	63060033
301776	1026	1998-06-07	VYDAJ	PREVOD NA UCET	335	70811	 	WX	63060033
301777	1026	1998-07-07	VYDAJ	PREVOD NA UCET	335	65484	 	WX	63060033
301778	1026	1998-08-07	VYDAJ	PREVOD NA UCET	335	64051	 	WX	63060033
301779	1026	1998-09-07	VYDAJ	PREVOD NA UCET	335	63700	 	WX	63060033
301780	1026	1998-10-07	VYDAJ	PREVOD NA UCET	335	65548	 	WX	63060033
301781	1026	1998-11-07	VYDAJ	PREVOD NA UCET	335	66202	 	WX	63060033
301782	1026	1998-12-07	VYDAJ	PREVOD NA UCET	335	72438	 	WX	63060033
301788	1026	1998-12-14	VYDAJ	VYBER KARTOU	3800	60539	\N	\N	0
301795	1026	1998-11-12	VYDAJ	VYBER KARTOU	2600	55503	\N	\N	0
301796	1026	1998-12-26	VYDAJ	VYBER	4680	55859	\N	\N	\N
301810	1026	1998-01-31	VYDAJ	VYBER	15	49765	SLUZBY	\N	\N
301811	1026	1998-02-28	VYDAJ	VYBER	15	58728	SLUZBY	\N	\N
301812	1026	1998-03-31	VYDAJ	VYBER	15	56894	SLUZBY	\N	\N
301813	1026	1998-04-30	VYDAJ	VYBER	15	53648	SLUZBY	\N	\N
301814	1026	1998-05-31	VYDAJ	VYBER	15	45386	SLUZBY	\N	\N
301815	1026	1998-06-30	VYDAJ	VYBER	15	62946	SLUZBY	\N	\N
301816	1026	1998-07-31	VYDAJ	VYBER	15	47213	SLUZBY	\N	\N
301817	1026	1998-08-31	VYDAJ	VYBER	15	46862	SLUZBY	\N	\N
301818	1026	1998-09-30	VYDAJ	VYBER	15	48710	SLUZBY	\N	\N
301819	1026	1998-10-31	VYDAJ	VYBER	15	49364	SLUZBY	\N	\N
301820	1026	1998-11-30	VYDAJ	VYBER	15	47013	SLUZBY	\N	\N
301821	1026	1997-10-03	PRIJEM	VKLAD	6500	24739	\N	\N	\N
301822	1026	1997-11-02	VYDAJ	VYBER	8000	34074	\N	\N	\N
301823	1026	1997-12-02	VYDAJ	VYBER	9200	42255	\N	\N	\N
301824	1026	1998-01-01	VYDAJ	VYBER	18500	49789	\N	\N	\N
301825	1026	1998-01-31	VYDAJ	VYBER	9000	49780	\N	\N	\N
301826	1026	1998-03-02	VYDAJ	VYBER	10800	47928	\N	\N	\N
301827	1026	1998-04-01	VYDAJ	VYBER	12200	44694	\N	\N	\N
301828	1026	1998-05-01	VYDAJ	VYBER	12400	41248	\N	\N	\N
301829	1026	1998-05-31	VYDAJ	VYBER	4800	45401	\N	\N	\N
301830	1026	1998-06-30	VYDAJ	VYBER	14300	48646	\N	\N	\N
301831	1026	1998-07-30	VYDAJ	VYBER	10400	46985	\N	\N	\N
301832	1026	1998-08-29	VYDAJ	VYBER	9300	46652	\N	\N	\N
301833	1026	1998-09-28	VYDAJ	VYBER	7100	48501	\N	\N	\N
301834	1026	1998-10-28	VYDAJ	VYBER	8300	49149	\N	\N	\N
301835	1026	1998-11-27	VYDAJ	VYBER	8700	46803	\N	\N	\N
301852	1027	1997-07-18	PRIJEM	VKLAD	800	800	\N	\N	\N
301860	1027	1997-08-13	PRIJEM	PREVOD Z UCTU	3868	4668	\N	GH	36504340
301861	1027	1997-09-13	PRIJEM	PREVOD Z UCTU	3868	17864	\N	GH	36504340
301862	1027	1997-10-13	PRIJEM	PREVOD Z UCTU	3868	19494	\N	GH	36504340
301863	1027	1997-11-13	PRIJEM	PREVOD Z UCTU	3868	20429	\N	GH	36504340
301864	1027	1997-12-13	PRIJEM	PREVOD Z UCTU	3868	23873	\N	GH	36504340
301865	1027	1998-01-13	PRIJEM	PREVOD Z UCTU	3868	22194	\N	GH	36504340
301866	1027	1998-02-13	PRIJEM	PREVOD Z UCTU	3868	19681	\N	GH	36504340
301867	1027	1998-03-13	PRIJEM	PREVOD Z UCTU	3868	16995	\N	GH	36504340
301868	1027	1998-04-13	PRIJEM	PREVOD Z UCTU	3868	14050	\N	GH	36504340
301869	1027	1998-05-13	PRIJEM	PREVOD Z UCTU	3868	15842	\N	GH	36504340
301870	1027	1998-06-13	PRIJEM	PREVOD Z UCTU	3868	14190	\N	GH	36504340
301871	1027	1998-07-13	PRIJEM	PREVOD Z UCTU	3868	15174	\N	GH	36504340
301872	1027	1998-08-13	PRIJEM	PREVOD Z UCTU	3868	16370	\N	GH	36504340
301873	1027	1998-09-13	PRIJEM	PREVOD Z UCTU	3868	18172	\N	GH	36504340
301874	1027	1998-10-13	PRIJEM	PREVOD Z UCTU	3868	18960	\N	GH	36504340
301875	1027	1998-11-13	PRIJEM	PREVOD Z UCTU	3868	19781	\N	GH	36504340
301876	1027	1998-12-13	PRIJEM	PREVOD Z UCTU	3868	21597	\N	GH	36504340
301889	1027	1998-01-11	VYDAJ	PREVOD NA UCET	2117	18326	SIPO	ST	91939943
301890	1027	1998-02-11	VYDAJ	PREVOD NA UCET	2117	15813	SIPO	ST	91939943
301891	1027	1998-03-11	VYDAJ	PREVOD NA UCET	2117	13127	SIPO	ST	91939943
301892	1027	1998-04-11	VYDAJ	PREVOD NA UCET	2117	10182	SIPO	ST	91939943
301893	1027	1998-05-11	VYDAJ	PREVOD NA UCET	2117	11974	SIPO	ST	91939943
301894	1027	1998-06-11	VYDAJ	PREVOD NA UCET	2117	10322	SIPO	ST	91939943
301895	1027	1998-07-11	VYDAJ	PREVOD NA UCET	2117	11306	SIPO	ST	91939943
301896	1027	1998-08-11	VYDAJ	PREVOD NA UCET	2117	12502	SIPO	ST	91939943
301897	1027	1998-09-11	VYDAJ	PREVOD NA UCET	2117	14304	SIPO	ST	91939943
301898	1027	1998-10-11	VYDAJ	PREVOD NA UCET	2117	15092	SIPO	ST	91939943
301899	1027	1998-11-11	VYDAJ	PREVOD NA UCET	2117	15913	SIPO	ST	91939943
301900	1027	1998-12-11	VYDAJ	PREVOD NA UCET	2117	17729	SIPO	ST	91939943
301902	1027	1998-06-06	VYDAJ	VYBER	2760	12439	\N	\N	\N
301904	1027	1998-01-23	VYDAJ	VYBER	1830	17864	\N	\N	\N
301905	1027	1997-12-17	VYDAJ	VYBER	600	20373	\N	\N	\N
301906	1027	1998-12-13	VYDAJ	VYBER	270	21327	\N	\N	\N
301911	1027	1998-10-26	VYDAJ	VYBER	990	17970	\N	\N	\N
301912	1027	1998-02-26	VYDAJ	VYBER	300	15181	\N	\N	\N
301913	1027	1998-03-28	VYDAJ	VYBER	1140	12255	\N	\N	\N
301914	1027	1998-07-31	VYDAJ	VYBER	600	14634	\N	\N	\N
301915	1027	1998-05-14	VYDAJ	VYBER	690	15152	\N	\N	\N
301916	1027	1998-09-20	VYDAJ	VYBER	1020	17152	\N	\N	\N
301917	1027	1998-06-14	VYDAJ	VYBER	810	13380	\N	\N	\N
301930	1027	1997-12-31	VYDAJ	VYBER	15	20443	SLUZBY	\N	\N
301931	1027	1998-01-31	VYDAJ	VYBER	15	17930	SLUZBY	\N	\N
301932	1027	1998-02-28	VYDAJ	VYBER	15	15244	SLUZBY	\N	\N
301933	1027	1998-03-31	VYDAJ	VYBER	15	12299	SLUZBY	\N	\N
301934	1027	1998-04-30	VYDAJ	VYBER	15	14091	SLUZBY	\N	\N
301935	1027	1998-05-31	VYDAJ	VYBER	15	15199	SLUZBY	\N	\N
301936	1027	1998-06-30	VYDAJ	VYBER	15	13423	SLUZBY	\N	\N
301937	1027	1998-07-31	VYDAJ	VYBER	15	14619	SLUZBY	\N	\N
301938	1027	1998-08-31	VYDAJ	VYBER	15	16421	SLUZBY	\N	\N
301939	1027	1998-09-30	VYDAJ	VYBER	15	17209	SLUZBY	\N	\N
301940	1027	1998-10-31	VYDAJ	VYBER	15	18030	SLUZBY	\N	\N
301941	1027	1998-11-30	VYDAJ	VYBER	15	19846	SLUZBY	\N	\N
301942	1027	1997-08-17	PRIJEM	VKLAD	9300	13968	\N	\N	\N
301943	1027	1997-09-16	VYDAJ	VYBER	2300	15564	\N	\N	\N
301944	1027	1997-10-16	VYDAJ	VYBER	3000	16494	\N	\N	\N
301945	1027	1997-11-15	VYDAJ	VYBER	500	19929	\N	\N	\N
301946	1027	1997-12-15	VYDAJ	VYBER	2900	20973	\N	\N	\N
301947	1027	1998-01-14	VYDAJ	VYBER	2500	19694	\N	\N	\N
301948	1027	1998-02-13	VYDAJ	VYBER	4200	15481	\N	\N	\N
301949	1027	1998-03-15	VYDAJ	VYBER	3600	13395	\N	\N	\N
301967	1028	1996-03-19	PRIJEM	VKLAD	400	400	\N	\N	\N
302045	1028	1996-04-18	PRIJEM	VKLAD	12200	12600	\N	\N	\N
302046	1028	1996-05-18	PRIJEM	VKLAD	5600	18200	\N	\N	\N
302047	1028	1996-06-17	PRIJEM	VKLAD	2900	21100	\N	\N	\N
302048	1028	1996-07-17	PRIJEM	VKLAD	600	21700	\N	\N	\N
302049	1028	1996-08-16	PRIJEM	VKLAD	2100	23800	\N	\N	\N
302050	1028	1996-09-15	PRIJEM	VKLAD	400	24200	\N	\N	\N
302051	1028	1996-10-15	VYDAJ	VYBER	1800	22400	\N	\N	\N
302052	1028	1996-11-14	VYDAJ	VYBER	700	21700	\N	\N	\N
302053	1028	1996-12-14	VYDAJ	VYBER	1300	20400	\N	\N	\N
302054	1028	1997-01-13	VYDAJ	VYBER	4900	15500	\N	\N	\N
302055	1028	1997-02-12	VYDAJ	VYBER	1700	13800	\N	\N	\N
302056	1028	1997-03-14	PRIJEM	VKLAD	700	14500	\N	\N	\N
302057	1028	1997-04-13	VYDAJ	VYBER	2200	12300	\N	\N	\N
302058	1028	1997-06-12	PRIJEM	VKLAD	600	12900	\N	\N	\N
302059	1028	1997-07-12	PRIJEM	VKLAD	4100	17000	\N	\N	\N
302060	1028	1997-09-10	PRIJEM	VKLAD	300	17300	\N	\N	\N
302061	1028	1997-10-10	PRIJEM	VKLAD	500	17800	\N	\N	\N
302062	1028	1997-11-09	PRIJEM	VKLAD	600	18400	\N	\N	\N
302063	1028	1997-12-09	VYDAJ	VYBER	1200	17200	\N	\N	\N
302064	1028	1998-01-08	PRIJEM	VKLAD	2500	19700	\N	\N	\N
302065	1028	1998-02-07	PRIJEM	VKLAD	700	20400	\N	\N	\N
302066	1028	1998-03-09	VYDAJ	VYBER	500	19900	\N	\N	\N
302067	1028	1998-04-08	PRIJEM	VKLAD	1000	20900	\N	\N	\N
302068	1028	1998-05-08	VYDAJ	VYBER	1400	19500	\N	\N	\N
302069	1028	1998-06-07	PRIJEM	VKLAD	900	20400	\N	\N	\N
302070	1028	1998-07-07	PRIJEM	VKLAD	200	20600	\N	\N	\N
302071	1028	1998-08-06	VYDAJ	VYBER	3800	16800	\N	\N	\N
302072	1028	1998-09-05	VYDAJ	VYBER	2900	13900	\N	\N	\N
302073	1028	1998-10-05	VYDAJ	VYBER	4300	9600	\N	\N	\N
302074	1029	1996-06-25	PRIJEM	VKLAD	600	600	\N	\N	\N
302076	1029	1996-07-03	PRIJEM	VKLAD	19005	19605	\N	\N	\N
302081	1029	1996-11-14	PRIJEM	VKLAD	36985	121826	\N	\N	\N
302082	1029	1996-09-02	PRIJEM	VKLAD	7648	103342	\N	\N	\N
302084	1029	1996-08-27	PRIJEM	VKLAD	32693	95533	\N	\N	\N
302085	1029	1996-10-24	PRIJEM	VKLAD	8963	45816	\N	\N	\N
302087	1029	1996-12-28	PRIJEM	VKLAD	16190	42021	\N	\N	\N
302089	1029	1996-12-05	PRIJEM	VKLAD	24527	75476	\N	\N	\N
302091	1029	1996-11-03	PRIJEM	VKLAD	39141	85183	\N	\N	\N
302093	1029	1996-08-24	PRIJEM	VKLAD	39754	67443	\N	\N	\N
302095	1029	1996-08-26	PRIJEM	VKLAD	15097	62840	\N	\N	\N
302096	1029	1996-09-30	PRIJEM	VKLAD	27464	66500	\N	\N	\N
302097	1029	1996-07-13	PRIJEM	VKLAD	8612	28217	\N	\N	\N
302098	1029	1997-10-14	PRIJEM	VKLAD	23908	90192	\N	\N	\N
302099	1029	1997-11-05	PRIJEM	VKLAD	27603	61785	\N	\N	\N
302100	1029	1997-10-14	PRIJEM	VKLAD	28656	118848	\N	\N	\N
302101	1029	1997-04-29	PRIJEM	VKLAD	40821	72946	\N	\N	\N
302102	1029	1997-04-16	PRIJEM	VKLAD	17038	39025	\N	\N	\N
302103	1029	1997-09-11	PRIJEM	VKLAD	21010	101813	\N	\N	\N
302104	1029	1997-04-12	PRIJEM	VKLAD	16468	51327	\N	\N	\N
302105	1029	1997-06-13	PRIJEM	VKLAD	40515	76149	\N	\N	\N
302106	1029	1997-10-12	PRIJEM	VKLAD	8702	66284	\N	\N	\N
302107	1029	1997-06-21	PRIJEM	VKLAD	30754	77267	\N	\N	\N
302108	1029	1997-05-22	PRIJEM	VKLAD	12099	46851	\N	\N	\N
302109	1029	1997-09-05	PRIJEM	VKLAD	27598	81145	\N	\N	\N
302110	1029	1997-01-05	PRIJEM	VKLAD	40142	82382	\N	\N	\N
302111	1029	1997-12-03	PRIJEM	VKLAD	23019	95836	\N	\N	\N
302112	1029	1997-11-27	PRIJEM	VKLAD	26203	76210	\N	\N	\N
302113	1029	1997-02-14	PRIJEM	VKLAD	7979	87135	\N	\N	\N
302114	1029	1997-12-07	PRIJEM	VKLAD	29555	125391	\N	\N	\N
302115	1029	1997-08-23	PRIJEM	VKLAD	26568	53413	\N	\N	\N
302116	1029	1997-01-29	PRIJEM	VKLAD	47641	76145	\N	\N	\N
302117	1029	1997-12-17	PRIJEM	VKLAD	16398	110711	\N	\N	\N
302118	1029	1997-03-17	PRIJEM	VKLAD	19589	47263	\N	\N	\N
302119	1029	1997-07-15	PRIJEM	VKLAD	20241	72808	\N	\N	\N
302120	1029	1997-02-05	PRIJEM	VKLAD	20977	79498	\N	\N	\N
302121	1029	1998-05-01	PRIJEM	VKLAD	48242	194119	\N	\N	\N
302122	1029	1998-11-24	PRIJEM	VKLAD	36023	85788	\N	\N	\N
302123	1029	1998-12-22	PRIJEM	VKLAD	20460	121301	\N	\N	\N
302124	1029	1998-10-14	PRIJEM	VKLAD	32541	115750	\N	\N	\N
302125	1029	1998-07-17	PRIJEM	VKLAD	48117	87153	\N	\N	\N
302126	1029	1998-12-20	PRIJEM	VKLAD	47426	116541	\N	\N	\N
302127	1029	1998-02-11	PRIJEM	VKLAD	10806	92631	\N	\N	\N
302128	1029	1998-05-20	PRIJEM	VKLAD	15136	86937	\N	\N	\N
302129	1029	1998-03-16	PRIJEM	VKLAD	21777	118433	\N	\N	\N
302130	1029	1998-10-03	PRIJEM	VKLAD	38046	118580	\N	\N	\N
302131	1029	1998-07-30	PRIJEM	VKLAD	40515	126489	\N	\N	\N
302132	1029	1998-02-04	PRIJEM	VKLAD	49646	82167	\N	\N	\N
302133	1029	1998-04-30	PRIJEM	VKLAD	36568	100540	\N	\N	\N
302134	1029	1998-05-08	PRIJEM	VKLAD	28999	107000	\N	\N	\N
302135	1029	1998-03-16	PRIJEM	VKLAD	29626	96656	\N	\N	\N
302136	1029	1998-05-25	PRIJEM	VKLAD	46443	141226	\N	\N	\N
302137	1029	1998-03-10	PRIJEM	VKLAD	5851	75166	\N	\N	\N
302138	1029	1998-03-25	PRIJEM	VKLAD	5542	77279	\N	\N	\N
302139	1029	1998-05-02	PRIJEM	VKLAD	25449	140868	\N	\N	\N
302140	1029	1998-05-30	PRIJEM	VKLAD	26292	151418	\N	\N	\N
302141	1029	1998-10-29	PRIJEM	VKLAD	26504	114018	\N	\N	\N
302142	1029	1998-10-09	PRIJEM	VKLAD	29571	105509	\N	\N	\N
302143	1029	1998-05-01	PRIJEM	VKLAD	45055	145877	\N	\N	\N
302144	1029	1998-05-21	PRIJEM	VKLAD	7846	94783	\N	\N	\N
302145	1029	1998-07-21	PRIJEM	VKLAD	41421	128574	\N	\N	\N
302146	1029	1998-09-28	PRIJEM	VKLAD	37124	80291	\N	\N	\N
302147	1029	1998-01-28	PRIJEM	VKLAD	7782	32405	\N	\N	\N
302148	1029	1998-03-23	PRIJEM	VKLAD	30153	71737	\N	\N	\N
302149	1029	1998-06-08	PRIJEM	VKLAD	42009	89346	\N	\N	\N
302158	1029	1996-09-14	VYDAJ	PREVOD NA UCET	8136	79264	SIPO	UV	28123855
302159	1029	1996-10-14	VYDAJ	PREVOD NA UCET	8136	58007	SIPO	UV	28123855
302160	1029	1996-11-14	VYDAJ	PREVOD NA UCET	8136	80890	SIPO	UV	28123855
302161	1029	1996-12-14	VYDAJ	PREVOD NA UCET	8136	66998	SIPO	UV	28123855
302162	1029	1997-01-14	VYDAJ	PREVOD NA UCET	8136	55904	SIPO	UV	28123855
302163	1029	1997-02-14	VYDAJ	PREVOD NA UCET	8136	78999	SIPO	UV	28123855
302164	1029	1997-03-14	VYDAJ	PREVOD NA UCET	8136	27674	SIPO	UV	28123855
302165	1029	1997-04-14	VYDAJ	PREVOD NA UCET	8136	29374	SIPO	UV	28123855
302166	1029	1997-05-14	VYDAJ	PREVOD NA UCET	8136	41952	SIPO	UV	28123855
302167	1029	1997-06-14	VYDAJ	PREVOD NA UCET	8136	65013	SIPO	UV	28123855
302168	1029	1997-07-14	VYDAJ	PREVOD NA UCET	8136	52567	SIPO	UV	28123855
302169	1029	1997-08-14	VYDAJ	PREVOD NA UCET	8136	22845	SIPO	UV	28123855
302170	1029	1997-09-14	VYDAJ	PREVOD NA UCET	8136	93677	SIPO	UV	28123855
302171	1029	1997-10-14	VYDAJ	PREVOD NA UCET	8136	110712	SIPO	UV	28123855
302172	1029	1997-11-14	VYDAJ	PREVOD NA UCET	8136	53307	SIPO	UV	28123855
302173	1029	1997-12-14	VYDAJ	PREVOD NA UCET	8136	94313	SIPO	UV	28123855
302174	1029	1998-01-14	VYDAJ	PREVOD NA UCET	8136	12923	SIPO	UV	28123855
302175	1029	1998-02-14	VYDAJ	PREVOD NA UCET	8136	84495	SIPO	UV	28123855
302176	1029	1998-03-14	VYDAJ	PREVOD NA UCET	8136	67030	SIPO	UV	28123855
302177	1029	1998-04-14	VYDAJ	PREVOD NA UCET	8136	69072	SIPO	UV	28123855
302178	1029	1998-05-14	VYDAJ	PREVOD NA UCET	8136	95001	SIPO	UV	28123855
302179	1029	1998-06-14	VYDAJ	PREVOD NA UCET	8136	81210	SIPO	UV	28123855
302180	1029	1998-07-14	VYDAJ	PREVOD NA UCET	8136	22436	SIPO	UV	28123855
302181	1029	1998-08-14	VYDAJ	PREVOD NA UCET	8136	65939	SIPO	UV	28123855
302182	1029	1998-09-14	VYDAJ	PREVOD NA UCET	8136	55167	SIPO	UV	28123855
302183	1029	1998-10-14	VYDAJ	PREVOD NA UCET	8136	87514	SIPO	UV	28123855
302184	1029	1998-11-14	VYDAJ	PREVOD NA UCET	8136	65643	SIPO	UV	28123855
302185	1029	1998-12-14	VYDAJ	PREVOD NA UCET	8136	69115	SIPO	UV	28123855
302194	1029	1996-09-07	VYDAJ	PREVOD NA UCET	342	87400	 	WX	347924
302195	1029	1996-10-07	VYDAJ	PREVOD NA UCET	342	66143	 	WX	347924
302196	1029	1996-11-07	VYDAJ	PREVOD NA UCET	342	84841	 	WX	347924
302197	1029	1996-12-07	VYDAJ	PREVOD NA UCET	342	75134	 	WX	347924
302198	1029	1997-01-07	VYDAJ	PREVOD NA UCET	342	73940	 	WX	347924
302199	1029	1997-02-07	VYDAJ	PREVOD NA UCET	342	79156	 	WX	347924
302200	1029	1997-03-07	VYDAJ	PREVOD NA UCET	342	35810	 	WX	347924
302201	1029	1997-04-07	VYDAJ	PREVOD NA UCET	342	34859	 	WX	347924
302202	1029	1997-05-07	VYDAJ	PREVOD NA UCET	342	72749	 	WX	347924
302203	1029	1997-06-07	VYDAJ	PREVOD NA UCET	342	39234	 	WX	347924
302204	1029	1997-07-07	VYDAJ	PREVOD NA UCET	342	63351	 	WX	347924
302205	1029	1997-08-07	VYDAJ	PREVOD NA UCET	342	30981	 	WX	347924
302206	1029	1997-09-07	VYDAJ	PREVOD NA UCET	342	80803	 	WX	347924
302207	1029	1997-10-07	VYDAJ	PREVOD NA UCET	342	64020	 	WX	347924
302208	1029	1997-11-07	VYDAJ	PREVOD NA UCET	342	61443	 	WX	347924
302209	1029	1997-12-07	VYDAJ	PREVOD NA UCET	342	102449	 	WX	347924
302210	1029	1998-01-07	VYDAJ	PREVOD NA UCET	342	34859	 	WX	347924
302211	1029	1998-02-07	VYDAJ	PREVOD NA UCET	342	81825	 	WX	347924
302212	1029	1998-03-07	VYDAJ	PREVOD NA UCET	342	69315	 	WX	347924
302213	1029	1998-04-07	VYDAJ	PREVOD NA UCET	342	77208	 	WX	347924
302214	1029	1998-05-07	VYDAJ	PREVOD NA UCET	342	78001	 	WX	347924
302215	1029	1998-06-07	VYDAJ	PREVOD NA UCET	342	47337	 	WX	347924
302216	1029	1998-07-07	VYDAJ	PREVOD NA UCET	342	30572	 	WX	347924
302217	1029	1998-08-07	VYDAJ	PREVOD NA UCET	342	92375	 	WX	347924
302218	1029	1998-09-07	VYDAJ	PREVOD NA UCET	342	65903	 	WX	347924
302219	1029	1998-10-07	VYDAJ	PREVOD NA UCET	342	75938	 	WX	347924
302220	1029	1998-11-07	VYDAJ	PREVOD NA UCET	342	84379	 	WX	347924
302221	1029	1998-12-07	VYDAJ	PREVOD NA UCET	342	83051	 	WX	347924
302223	1029	1996-12-27	VYBER	VYBER	6867	25831	\N	\N	\N
302225	1029	1996-09-17	VYBER	VYBER	24613	54651	\N	\N	\N
302228	1029	1996-10-22	VYBER	VYBER	4154	53853	\N	\N	\N
302229	1029	1997-10-20	VYBER	VYBER	15953	33959	\N	\N	\N
302230	1029	1997-01-29	VYBER	VYBER	14219	61926	\N	\N	\N
302231	1029	1997-10-08	VYBER	VYBER	6438	57582	\N	\N	\N
302232	1029	1997-07-27	VYBER	VYBER	18302	31106	\N	\N	\N
302233	1029	1997-05-14	VYBER	VYBER	22661	50088	\N	\N	\N
302234	1029	1997-07-12	VYBER	VYBER	2648	60703	\N	\N	\N
302235	1029	1997-04-14	VYBER	VYBER	13817	37510	\N	\N	\N
302236	1029	1997-04-15	VYBER	VYBER	7387	21987	\N	\N	\N
302237	1029	1998-11-23	VYBER	VYBER	15878	49765	\N	\N	\N
302238	1029	1998-03-18	VYBER	VYBER	17949	41584	\N	\N	\N
302239	1029	1998-06-05	VYBER	VYBER	4849	47679	\N	\N	\N
302240	1029	1998-05-14	VYBER	VYBER	3863	103137	\N	\N	\N
302241	1029	1998-05-04	VYBER	VYBER	23725	78343	\N	\N	\N
302244	1029	1998-06-18	VYDAJ	VYBER	36000	30710	\N	\N	\N
302248	1029	1996-12-24	VYDAJ	VYBER	8700	32698	\N	\N	\N
302249	1029	1997-12-01	VYDAJ	VYBER	3600	72817	\N	\N	\N
302250	1029	1998-12-06	VYDAJ	VYBER	2700	83393	\N	\N	\N
302257	1029	1997-01-10	VYDAJ	VYBER	4800	69140	\N	\N	\N
302258	1029	1997-01-13	VYDAJ	VYBER	5100	64040	\N	\N	\N
302259	1029	1997-01-29	VYDAJ	VYBER	3600	58326	\N	\N	\N
302260	1029	1997-01-24	VYDAJ	VYBER	5400	28504	\N	\N	\N
302261	1029	1997-01-07	VYDAJ	VYBER	8100	74282	\N	\N	\N
302262	1029	1997-01-17	VYDAJ	VYBER	8100	47804	\N	\N	\N
302263	1029	1998-01-27	VYDAJ	VYBER	3900	24623	\N	\N	\N
302264	1029	1998-01-22	VYDAJ	VYBER	2100	28523	\N	\N	\N
302265	1029	1998-01-08	VYDAJ	VYBER	8100	26759	\N	\N	\N
302267	1029	1998-01-11	VYDAJ	VYBER	5700	21059	\N	\N	\N
302270	1029	1996-12-19	VYDAJ	VYBER	2100	64898	\N	\N	\N
302274	1029	1997-06-13	VYDAJ	VYBER	3000	73149	\N	\N	\N
302275	1029	1997-02-23	VYDAJ	VYBER	13800	35899	\N	\N	\N
302276	1029	1997-07-17	VYDAJ	VYBER	5100	67708	\N	\N	\N
302277	1029	1997-05-29	VYDAJ	VYBER	7500	39351	\N	\N	\N
302278	1029	1997-06-09	VYDAJ	VYBER	3600	35634	\N	\N	\N
302279	1029	1997-06-30	VYDAJ	VYBER	13800	63707	\N	\N	\N
302280	1029	1998-01-01	VYDAJ	VYBER	13800	35201	\N	\N	\N
302281	1029	1998-09-27	VYDAJ	VYBER	12000	43167	\N	\N	\N
302282	1029	1998-11-09	VYDAJ	VYBER	2100	82279	\N	\N	\N
302291	1029	1996-08-31	VYDAJ	VYBER	15	95694	SLUZBY	\N	\N
302292	1029	1996-09-30	VYDAJ	VYBER	15	66485	SLUZBY	\N	\N
302293	1029	1996-10-31	VYDAJ	VYBER	15	46042	SLUZBY	\N	\N
302294	1029	1996-11-30	VYDAJ	VYBER	15	50949	SLUZBY	\N	\N
302295	1029	1996-12-31	VYDAJ	VYBER	15	42240	SLUZBY	\N	\N
302296	1029	1997-01-31	VYDAJ	VYBER	15	58521	SLUZBY	\N	\N
302297	1029	1997-02-28	VYDAJ	VYBER	15	36152	SLUZBY	\N	\N
302298	1029	1997-03-31	VYDAJ	VYBER	15	35201	SLUZBY	\N	\N
302299	1029	1997-04-30	VYDAJ	VYBER	15	73091	SLUZBY	\N	\N
302300	1029	1997-05-31	VYDAJ	VYBER	15	39576	SLUZBY	\N	\N
302301	1029	1997-06-30	VYDAJ	VYBER	15	63693	SLUZBY	\N	\N
302302	1029	1997-07-31	VYDAJ	VYBER	15	31323	SLUZBY	\N	\N
302303	1029	1997-08-31	VYDAJ	VYBER	15	53547	SLUZBY	\N	\N
302304	1029	1997-09-30	VYDAJ	VYBER	15	64362	SLUZBY	\N	\N
302305	1029	1997-10-31	VYDAJ	VYBER	15	34182	SLUZBY	\N	\N
302306	1029	1997-11-30	VYDAJ	VYBER	15	76417	SLUZBY	\N	\N
302307	1029	1997-12-31	VYDAJ	VYBER	15	49001	SLUZBY	\N	\N
302308	1029	1998-01-31	VYDAJ	VYBER	15	32521	SLUZBY	\N	\N
302309	1029	1998-02-28	VYDAJ	VYBER	15	69657	SLUZBY	\N	\N
302310	1029	1998-03-31	VYDAJ	VYBER	15	77550	SLUZBY	\N	\N
302311	1029	1998-04-30	VYDAJ	VYBER	15	100822	SLUZBY	\N	\N
302312	1029	1998-05-31	VYDAJ	VYBER	15	52528	SLUZBY	\N	\N
302313	1029	1998-06-30	VYDAJ	VYBER	15	30914	SLUZBY	\N	\N
302314	1029	1998-07-31	VYDAJ	VYBER	15	92717	SLUZBY	\N	\N
302315	1029	1998-08-31	VYDAJ	VYBER	15	66245	SLUZBY	\N	\N
302316	1029	1998-09-30	VYDAJ	VYBER	15	80534	SLUZBY	\N	\N
302317	1029	1998-10-31	VYDAJ	VYBER	15	84721	SLUZBY	\N	\N
302318	1029	1998-11-30	VYDAJ	VYBER	15	86093	SLUZBY	\N	\N
302319	1029	1996-07-25	VYDAJ	VYBER	600	27617	\N	\N	\N
302320	1029	1996-08-24	VYDAJ	VYBER	19700	47743	\N	\N	\N
302321	1029	1996-09-02	VYDAJ	VYBER	15600	87742	\N	\N	\N
302322	1029	1996-09-23	VYDAJ	VYBER	15900	38751	\N	\N	\N
302323	1029	1996-10-23	VYDAJ	VYBER	17000	36853	\N	\N	\N
302324	1029	1996-11-14	VYDAJ	VYBER	32800	89026	\N	\N	\N
302325	1029	1996-11-22	VYDAJ	VYBER	30200	50690	\N	\N	\N
302326	1029	1996-12-22	VYDAJ	VYBER	23500	41398	\N	\N	\N
302327	1029	1997-01-21	VYDAJ	VYBER	13900	33904	\N	\N	\N
302328	1029	1997-02-20	VYDAJ	VYBER	29300	49699	\N	\N	\N
302329	1029	1997-03-22	VYDAJ	VYBER	12200	35063	\N	\N	\N
302330	1029	1997-04-21	VYDAJ	VYBER	6900	32125	\N	\N	\N
302331	1029	1997-05-21	VYDAJ	VYBER	7200	34752	\N	\N	\N
302332	1029	1997-06-20	VYDAJ	VYBER	18500	46513	\N	\N	\N
302333	1029	1997-07-20	VYDAJ	VYBER	18300	49408	\N	\N	\N
302334	1029	1997-08-19	PRIJEM	VKLAD	4000	26845	\N	\N	\N
302335	1029	1997-09-18	VYDAJ	VYBER	29600	64077	\N	\N	\N
302336	1029	1997-10-14	VYDAJ	VYBER	52600	58112	\N	\N	\N
302337	1029	1997-10-18	VYDAJ	VYBER	8200	49912	\N	\N	\N
302338	1029	1997-11-17	VYDAJ	VYBER	3300	50007	\N	\N	\N
302339	1029	1997-12-07	VYDAJ	VYBER	22600	102791	\N	\N	\N
302340	1029	1997-12-17	VYDAJ	VYBER	54900	55811	\N	\N	\N
302341	1029	1997-12-17	VYDAJ	VYBER	7100	48711	\N	\N	\N
302342	1029	1998-01-16	PRIJEM	VKLAD	17700	30623	\N	\N	\N
302343	1029	1998-02-15	VYDAJ	VYBER	15100	69395	\N	\N	\N
302344	1029	1998-03-16	VYDAJ	VYBER	54800	63633	\N	\N	\N
302345	1029	1998-03-17	VYDAJ	VYBER	4100	59533	\N	\N	\N
302346	1029	1998-04-16	VYDAJ	VYBER	5100	63972	\N	\N	\N
302347	1029	1998-05-01	VYDAJ	VYBER	43800	150319	\N	\N	\N
302348	1029	1998-05-01	VYDAJ	VYBER	34900	115419	\N	\N	\N
302349	1029	1998-05-02	VYDAJ	VYBER	38800	102068	\N	\N	\N
302350	1029	1998-05-16	VYDAJ	VYBER	23200	71801	\N	\N	\N
302351	1029	1998-05-25	VYDAJ	VYBER	16100	125126	\N	\N	\N
302352	1029	1998-05-30	VYDAJ	VYBER	45700	105718	\N	\N	\N
302353	1029	1998-05-31	VYDAJ	VYBER	53600	52543	\N	\N	\N
302354	1029	1998-06-15	VYDAJ	VYBER	14500	66710	\N	\N	\N
302355	1029	1998-07-15	PRIJEM	VKLAD	16600	39036	\N	\N	\N
302356	1029	1998-07-21	VYDAJ	VYBER	42600	85974	\N	\N	\N
302357	1029	1998-07-30	VYDAJ	VYBER	34000	92489	\N	\N	\N
302358	1029	1998-08-14	VYDAJ	VYBER	18300	74075	\N	\N	\N
302359	1029	1998-09-13	VYDAJ	VYBER	2600	63303	\N	\N	\N
302360	1029	1998-10-03	VYDAJ	VYBER	42300	76280	\N	\N	\N
302361	1029	1998-10-13	VYDAJ	VYBER	22300	83209	\N	\N	\N
302362	1029	1998-10-14	VYDAJ	VYBER	20100	95650	\N	\N	\N
302363	1029	1998-10-29	VYDAJ	VYBER	29700	84318	\N	\N	\N
302364	1029	1998-11-12	VYDAJ	VYBER	8500	73779	\N	\N	\N
302365	1029	1998-12-12	VYDAJ	VYBER	5800	77251	\N	\N	\N
302366	1029	1998-12-20	VYDAJ	VYBER	15700	100841	\N	\N	\N
302367	1029	1998-12-22	VYDAJ	VYBER	63800	57501	\N	\N	\N
302398	1030	1995-11-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
302410	1030	1995-12-10	PRIJEM	PREVOD Z UCTU	6364	7464	DUCHOD	AB	70277392
302411	1030	1996-01-10	PRIJEM	PREVOD Z UCTU	6364	13828	DUCHOD	AB	70277392
302412	1030	1996-02-10	PRIJEM	PREVOD Z UCTU	6364	20192	DUCHOD	AB	70277392
302413	1030	1996-03-10	PRIJEM	PREVOD Z UCTU	6364	26556	DUCHOD	AB	70277392
302414	1030	1996-04-10	PRIJEM	PREVOD Z UCTU	6364	30388	DUCHOD	AB	70277392
302415	1030	1996-05-10	PRIJEM	PREVOD Z UCTU	6364	28490	DUCHOD	AB	70277392
302416	1030	1996-06-10	PRIJEM	PREVOD Z UCTU	6364	23725	DUCHOD	AB	70277392
302417	1030	1996-07-10	PRIJEM	PREVOD Z UCTU	6364	24676	DUCHOD	AB	70277392
302418	1030	1996-08-10	PRIJEM	PREVOD Z UCTU	6364	24910	DUCHOD	AB	70277392
302419	1030	1996-09-10	PRIJEM	PREVOD Z UCTU	6364	26446	DUCHOD	AB	70277392
302420	1030	1996-10-10	PRIJEM	PREVOD Z UCTU	6364	28086	DUCHOD	AB	70277392
302421	1030	1996-11-10	PRIJEM	PREVOD Z UCTU	6364	29835	DUCHOD	AB	70277392
302422	1030	1996-12-10	PRIJEM	PREVOD Z UCTU	6364	28261	DUCHOD	AB	70277392
302423	1030	1997-01-10	PRIJEM	PREVOD Z UCTU	6364	23991	DUCHOD	AB	70277392
302424	1030	1997-02-10	PRIJEM	PREVOD Z UCTU	6364	19537	DUCHOD	AB	70277392
302425	1030	1997-03-10	PRIJEM	PREVOD Z UCTU	6364	24246	DUCHOD	AB	70277392
302426	1030	1997-04-10	PRIJEM	PREVOD Z UCTU	6364	27276	DUCHOD	AB	70277392
302427	1030	1997-05-10	PRIJEM	PREVOD Z UCTU	6364	32018	DUCHOD	AB	70277392
302428	1030	1997-06-10	PRIJEM	PREVOD Z UCTU	6364	22459	DUCHOD	AB	70277392
302429	1030	1997-07-10	PRIJEM	PREVOD Z UCTU	6364	27186	DUCHOD	AB	70277392
302430	1030	1997-08-10	PRIJEM	PREVOD Z UCTU	6364	30826	DUCHOD	AB	70277392
302431	1030	1997-09-10	PRIJEM	PREVOD Z UCTU	6364	30283	DUCHOD	AB	70277392
302432	1030	1997-10-10	PRIJEM	PREVOD Z UCTU	6364	31863	DUCHOD	AB	70277392
302433	1030	1997-11-10	PRIJEM	PREVOD Z UCTU	6364	34725	DUCHOD	AB	70277392
302434	1030	1997-12-10	PRIJEM	PREVOD Z UCTU	6364	35798	DUCHOD	AB	70277392
302435	1030	1998-01-10	PRIJEM	PREVOD Z UCTU	6364	37285	DUCHOD	AB	70277392
302436	1030	1998-02-10	PRIJEM	PREVOD Z UCTU	6364	32416	DUCHOD	AB	70277392
302437	1030	1998-03-10	PRIJEM	PREVOD Z UCTU	6364	33412	DUCHOD	AB	70277392
302438	1030	1998-04-10	PRIJEM	PREVOD Z UCTU	6364	38180	DUCHOD	AB	70277392
302439	1030	1998-05-10	PRIJEM	PREVOD Z UCTU	6364	42967	DUCHOD	AB	70277392
302440	1030	1998-06-10	PRIJEM	PREVOD Z UCTU	6364	45293	DUCHOD	AB	70277392
302441	1030	1998-07-10	PRIJEM	PREVOD Z UCTU	6364	40569	DUCHOD	AB	70277392
302442	1030	1998-08-10	PRIJEM	PREVOD Z UCTU	6364	41485	DUCHOD	AB	70277392
302443	1030	1998-09-10	PRIJEM	PREVOD Z UCTU	6364	46285	DUCHOD	AB	70277392
302444	1030	1998-10-10	PRIJEM	PREVOD Z UCTU	6364	47702	DUCHOD	AB	70277392
302445	1030	1998-11-10	PRIJEM	PREVOD Z UCTU	6364	50026	DUCHOD	AB	70277392
302446	1030	1998-12-10	PRIJEM	PREVOD Z UCTU	6364	48356	DUCHOD	AB	70277392
302462	1030	1996-04-10	VYDAJ	PREVOD NA UCET	664	29724	SIPO	IJ	30616259
302463	1030	1996-05-10	VYDAJ	PREVOD NA UCET	664	23426	SIPO	IJ	30616259
302464	1030	1996-06-10	VYDAJ	PREVOD NA UCET	664	23061	SIPO	IJ	30616259
302465	1030	1996-07-10	VYDAJ	PREVOD NA UCET	664	24012	SIPO	IJ	30616259
302466	1030	1996-08-10	VYDAJ	PREVOD NA UCET	664	24246	SIPO	IJ	30616259
302467	1030	1996-09-10	VYDAJ	PREVOD NA UCET	664	25782	SIPO	IJ	30616259
302468	1030	1996-10-10	VYDAJ	PREVOD NA UCET	664	27422	SIPO	IJ	30616259
302469	1030	1996-11-10	VYDAJ	PREVOD NA UCET	664	29171	SIPO	IJ	30616259
302470	1030	1996-12-10	VYDAJ	PREVOD NA UCET	664	27597	SIPO	IJ	30616259
302471	1030	1997-01-10	VYDAJ	PREVOD NA UCET	664	23327	SIPO	IJ	30616259
302472	1030	1997-02-10	VYDAJ	PREVOD NA UCET	664	18873	SIPO	IJ	30616259
302473	1030	1997-03-10	VYDAJ	PREVOD NA UCET	664	23582	SIPO	IJ	30616259
302474	1030	1997-04-10	VYDAJ	PREVOD NA UCET	664	26612	SIPO	IJ	30616259
302475	1030	1997-05-10	VYDAJ	PREVOD NA UCET	664	31354	SIPO	IJ	30616259
302476	1030	1997-06-10	VYDAJ	PREVOD NA UCET	664	21795	SIPO	IJ	30616259
302477	1030	1997-07-10	VYDAJ	PREVOD NA UCET	664	26522	SIPO	IJ	30616259
302478	1030	1997-08-10	VYDAJ	PREVOD NA UCET	664	30162	SIPO	IJ	30616259
302479	1030	1997-09-10	VYDAJ	PREVOD NA UCET	664	29619	SIPO	IJ	30616259
302480	1030	1997-10-10	VYDAJ	PREVOD NA UCET	664	31199	SIPO	IJ	30616259
302481	1030	1997-11-10	VYDAJ	PREVOD NA UCET	664	34061	SIPO	IJ	30616259
302482	1030	1997-12-10	VYDAJ	PREVOD NA UCET	664	35134	SIPO	IJ	30616259
302483	1030	1998-01-10	VYDAJ	PREVOD NA UCET	664	35501	SIPO	IJ	30616259
302484	1030	1998-02-10	VYDAJ	PREVOD NA UCET	664	31752	SIPO	IJ	30616259
302485	1030	1998-03-10	VYDAJ	PREVOD NA UCET	664	32748	SIPO	IJ	30616259
302486	1030	1998-04-10	VYDAJ	PREVOD NA UCET	664	37516	SIPO	IJ	30616259
302487	1030	1998-05-10	VYDAJ	PREVOD NA UCET	664	42303	SIPO	IJ	30616259
302488	1030	1998-06-10	VYDAJ	PREVOD NA UCET	664	44629	SIPO	IJ	30616259
302489	1030	1998-07-10	VYDAJ	PREVOD NA UCET	664	39905	SIPO	IJ	30616259
302490	1030	1998-08-10	VYDAJ	PREVOD NA UCET	664	40821	SIPO	IJ	30616259
302491	1030	1998-09-10	VYDAJ	PREVOD NA UCET	664	45621	SIPO	IJ	30616259
302492	1030	1998-10-10	VYDAJ	PREVOD NA UCET	664	47038	SIPO	IJ	30616259
302493	1030	1998-11-10	VYDAJ	PREVOD NA UCET	664	49362	SIPO	IJ	30616259
302494	1030	1998-12-10	VYDAJ	PREVOD NA UCET	664	46992	SIPO	IJ	30616259
302511	1030	1996-05-09	VYDAJ	PREVOD NA UCET	1050	22126	 	WX	98720079
302512	1030	1996-06-09	VYDAJ	PREVOD NA UCET	1050	17361	 	WX	98720079
302513	1030	1996-07-09	VYDAJ	PREVOD NA UCET	1050	21212	 	WX	98720079
302637	1030	1998-07-31	VYDAJ	VYBER	15	37051	SLUZBY	\N	\N
302514	1030	1996-08-09	VYDAJ	PREVOD NA UCET	1050	18546	 	WX	98720079
302515	1030	1996-09-09	VYDAJ	PREVOD NA UCET	1050	20082	 	WX	98720079
302516	1030	1996-10-09	VYDAJ	PREVOD NA UCET	1050	21722	 	WX	98720079
302517	1030	1996-11-09	VYDAJ	PREVOD NA UCET	1050	23471	 	WX	98720079
302518	1030	1996-12-09	VYDAJ	PREVOD NA UCET	1050	21897	 	WX	98720079
302519	1030	1997-01-09	VYDAJ	PREVOD NA UCET	1050	17627	 	WX	98720079
302520	1030	1997-02-09	VYDAJ	PREVOD NA UCET	1050	13173	 	WX	98720079
302521	1030	1997-03-09	VYDAJ	PREVOD NA UCET	1050	17882	 	WX	98720079
302522	1030	1997-04-09	VYDAJ	PREVOD NA UCET	1050	20912	 	WX	98720079
302523	1030	1997-05-09	VYDAJ	PREVOD NA UCET	1050	25654	 	WX	98720079
302524	1030	1997-06-09	VYDAJ	PREVOD NA UCET	1050	16095	 	WX	98720079
302525	1030	1997-07-09	VYDAJ	PREVOD NA UCET	1050	20822	 	WX	98720079
302526	1030	1997-08-09	VYDAJ	PREVOD NA UCET	1050	24462	 	WX	98720079
302527	1030	1997-09-09	VYDAJ	PREVOD NA UCET	1050	23919	 	WX	98720079
302528	1030	1997-10-09	VYDAJ	PREVOD NA UCET	1050	25499	 	WX	98720079
302529	1030	1997-11-09	VYDAJ	PREVOD NA UCET	1050	28361	 	WX	98720079
302530	1030	1997-12-09	VYDAJ	PREVOD NA UCET	1050	29434	 	WX	98720079
302531	1030	1998-01-09	VYDAJ	PREVOD NA UCET	1050	30921	 	WX	98720079
302532	1030	1998-02-09	VYDAJ	PREVOD NA UCET	1050	26052	 	WX	98720079
302533	1030	1998-03-09	VYDAJ	PREVOD NA UCET	1050	27048	 	WX	98720079
302534	1030	1998-04-09	VYDAJ	PREVOD NA UCET	1050	31816	 	WX	98720079
302535	1030	1998-05-09	VYDAJ	PREVOD NA UCET	1050	36603	 	WX	98720079
302536	1030	1998-06-09	VYDAJ	PREVOD NA UCET	1050	38929	 	WX	98720079
302537	1030	1998-07-09	VYDAJ	PREVOD NA UCET	1050	34205	 	WX	98720079
302538	1030	1998-08-09	VYDAJ	PREVOD NA UCET	1050	35121	 	WX	98720079
302539	1030	1998-09-09	VYDAJ	PREVOD NA UCET	1050	39921	 	WX	98720079
302540	1030	1998-10-09	VYDAJ	PREVOD NA UCET	1050	41338	 	WX	98720079
302541	1030	1998-11-09	VYDAJ	PREVOD NA UCET	1050	43662	 	WX	98720079
302542	1030	1998-12-09	VYDAJ	PREVOD NA UCET	1050	41992	 	WX	98720079
302544	1030	1996-06-06	VYDAJ	VYBER	5100	18411	\N	\N	\N
302545	1030	1997-06-01	VYDAJ	VYBER	9600	21865	\N	\N	\N
302546	1030	1998-06-12	VYDAJ	VYBER	6000	38629	\N	\N	\N
302549	1030	1997-01-07	VYDAJ	VYBER	2700	18677	\N	\N	\N
302550	1030	1998-01-19	VYDAJ	VYBER	3000	26981	\N	\N	\N
302552	1030	1996-12-08	VYDAJ	VYBER	350	22947	\N	\N	\N
302553	1030	1997-12-17	VYDAJ	VYBER	1450	33684	\N	\N	\N
302554	1030	1998-12-10	VYDAJ	VYBER	700	47656	\N	\N	\N
302567	1030	1997-01-12	VYDAJ	VYBER	480	21967	\N	\N	\N
302568	1030	1997-01-12	VYDAJ	VYBER	880	22447	\N	\N	\N
302569	1030	1997-01-01	VYDAJ	VYBER	1120	26577	\N	\N	\N
302570	1030	1997-01-07	VYDAJ	VYBER	400	21377	\N	\N	\N
302571	1030	1997-01-22	VYDAJ	VYBER	1360	20607	\N	\N	\N
302572	1030	1997-01-29	VYDAJ	VYBER	2160	18447	\N	\N	\N
302573	1030	1998-01-19	VYDAJ	VYBER	960	29981	\N	\N	\N
302574	1030	1998-01-07	VYDAJ	VYBER	1840	31971	\N	\N	\N
302575	1030	1998-01-16	VYDAJ	VYBER	1600	33901	\N	\N	\N
302576	1030	1998-01-10	VYDAJ	VYBER	1120	36165	\N	\N	\N
302577	1030	1998-01-18	VYDAJ	VYBER	1040	32861	\N	\N	\N
302578	1030	1998-01-19	VYDAJ	VYBER	1920	30941	\N	\N	\N
302584	1030	1996-12-06	VYDAJ	VYBER	3680	25597	\N	\N	\N
302585	1030	1996-04-21	VYDAJ	VYBER	1040	23084	\N	\N	\N
302586	1030	1996-07-02	VYDAJ	VYBER	880	22262	\N	\N	\N
302587	1030	1997-06-08	VYDAJ	VYBER	3120	17145	\N	\N	\N
302588	1030	1997-10-06	VYDAJ	VYBER	2080	26549	\N	\N	\N
302589	1030	1997-01-29	VYDAJ	VYBER	2400	16047	\N	\N	\N
302590	1030	1998-06-25	VYDAJ	VYBER	3520	35109	\N	\N	\N
302591	1030	1998-05-28	VYDAJ	VYBER	2480	39823	\N	\N	\N
302592	1030	1998-08-02	VYDAJ	VYBER	880	36171	\N	\N	\N
302593	1030	1998-02-18	VYDAJ	VYBER	3760	27992	\N	\N	\N
302610	1030	1996-04-30	VYDAJ	VYBER	15	23176	SLUZBY	\N	\N
302611	1030	1996-05-31	VYDAJ	VYBER	15	23511	SLUZBY	\N	\N
302612	1030	1996-06-30	VYDAJ	VYBER	15	23142	SLUZBY	\N	\N
302613	1030	1996-07-31	VYDAJ	VYBER	15	24096	SLUZBY	\N	\N
302614	1030	1996-08-31	VYDAJ	VYBER	15	24332	SLUZBY	\N	\N
302615	1030	1996-09-30	VYDAJ	VYBER	15	25872	SLUZBY	\N	\N
302616	1030	1996-10-31	VYDAJ	VYBER	15	27521	SLUZBY	\N	\N
302617	1030	1996-11-30	VYDAJ	VYBER	15	29277	SLUZBY	\N	\N
302618	1030	1996-12-31	VYDAJ	VYBER	15	27697	SLUZBY	\N	\N
302619	1030	1997-01-31	VYDAJ	VYBER	15	16123	SLUZBY	\N	\N
302620	1030	1997-02-28	VYDAJ	VYBER	15	18932	SLUZBY	\N	\N
302621	1030	1997-03-31	VYDAJ	VYBER	15	23662	SLUZBY	\N	\N
302622	1030	1997-04-30	VYDAJ	VYBER	15	26704	SLUZBY	\N	\N
302623	1030	1997-05-31	VYDAJ	VYBER	15	31465	SLUZBY	\N	\N
302624	1030	1997-06-30	VYDAJ	VYBER	15	21872	SLUZBY	\N	\N
302625	1030	1997-07-31	VYDAJ	VYBER	15	26612	SLUZBY	\N	\N
302626	1030	1997-08-31	VYDAJ	VYBER	15	30269	SLUZBY	\N	\N
302627	1030	1997-09-30	VYDAJ	VYBER	15	29729	SLUZBY	\N	\N
302628	1030	1997-10-31	VYDAJ	VYBER	15	31311	SLUZBY	\N	\N
302629	1030	1997-11-30	VYDAJ	VYBER	15	34184	SLUZBY	\N	\N
302630	1030	1997-12-31	VYDAJ	VYBER	15	33811	SLUZBY	\N	\N
302631	1030	1998-01-31	VYDAJ	VYBER	15	27102	SLUZBY	\N	\N
302632	1030	1998-02-28	VYDAJ	VYBER	15	28098	SLUZBY	\N	\N
302633	1030	1998-03-31	VYDAJ	VYBER	15	32866	SLUZBY	\N	\N
302634	1030	1998-04-30	VYDAJ	VYBER	15	37653	SLUZBY	\N	\N
302635	1030	1998-05-31	VYDAJ	VYBER	15	39979	SLUZBY	\N	\N
302636	1030	1998-06-30	VYDAJ	VYBER	15	35255	SLUZBY	\N	\N
302638	1030	1998-08-31	VYDAJ	VYBER	15	40971	SLUZBY	\N	\N
302639	1030	1998-09-30	VYDAJ	VYBER	15	42388	SLUZBY	\N	\N
302640	1030	1998-10-31	VYDAJ	VYBER	15	44712	SLUZBY	\N	\N
302641	1030	1998-11-30	VYDAJ	VYBER	15	43042	SLUZBY	\N	\N
302642	1030	1996-03-11	VYDAJ	VYBER	2600	23956	\N	\N	\N
302643	1030	1996-04-10	VYDAJ	VYBER	5600	24124	\N	\N	\N
302644	1030	1996-05-10	VYDAJ	VYBER	4400	24090	\N	\N	\N
302645	1030	1996-07-09	VYDAJ	VYBER	2900	18312	\N	\N	\N
302646	1030	1996-08-08	VYDAJ	VYBER	4500	19596	\N	\N	\N
302647	1030	1996-09-07	VYDAJ	VYBER	3200	21132	\N	\N	\N
302648	1030	1996-10-07	VYDAJ	VYBER	3100	22772	\N	\N	\N
302649	1030	1996-11-06	VYDAJ	VYBER	3000	24521	\N	\N	\N
302650	1030	1996-12-06	VYDAJ	VYBER	2300	23297	\N	\N	\N
302651	1030	1997-01-05	VYDAJ	VYBER	4800	21777	\N	\N	\N
302652	1030	1997-02-04	VYDAJ	VYBER	1900	14223	\N	\N	\N
302653	1030	1997-04-05	VYDAJ	VYBER	1700	21962	\N	\N	\N
302654	1030	1997-06-04	VYDAJ	VYBER	1600	20265	\N	\N	\N
302655	1030	1997-08-03	VYDAJ	VYBER	1100	25512	\N	\N	\N
302656	1030	1997-09-02	VYDAJ	VYBER	5300	24969	\N	\N	\N
302657	1030	1997-10-02	VYDAJ	VYBER	1100	28629	\N	\N	\N
302658	1030	1997-11-01	VYDAJ	VYBER	1900	29411	\N	\N	\N
302659	1030	1997-12-01	VYDAJ	VYBER	3700	30484	\N	\N	\N
302660	1030	1998-07-29	VYDAJ	VYBER	3000	36905	\N	\N	\N
302661	1030	1998-09-27	VYDAJ	VYBER	3400	42221	\N	\N	\N
302662	1030	1998-10-27	VYDAJ	VYBER	2500	44538	\N	\N	\N
302663	1030	1998-11-26	VYDAJ	VYBER	6500	42862	\N	\N	\N
302698	1031	1995-06-20	PRIJEM	VKLAD	900	900	\N	\N	\N
302705	1031	1995-07-09	PRIJEM	VKLAD	17205	18105	\N	\N	\N
302706	1031	1995-08-09	PRIJEM	VKLAD	17205	39346	\N	\N	\N
302707	1031	1995-09-09	PRIJEM	VKLAD	17205	48459	\N	\N	\N
302708	1031	1995-10-09	PRIJEM	VKLAD	17205	56608	\N	\N	\N
302709	1031	1995-11-09	PRIJEM	VKLAD	17205	60784	\N	\N	\N
302710	1031	1995-12-09	PRIJEM	VKLAD	25808	62447	\N	\N	\N
302711	1031	1996-01-09	PRIJEM	VKLAD	17205	51189	\N	\N	\N
302712	1031	1996-02-09	PRIJEM	VKLAD	17205	41271	\N	\N	\N
302713	1031	1996-03-09	PRIJEM	VKLAD	17205	45662	\N	\N	\N
302714	1031	1996-04-09	PRIJEM	VKLAD	17205	47066	\N	\N	\N
302715	1031	1996-05-09	PRIJEM	VKLAD	17205	49978	\N	\N	\N
302716	1031	1996-06-09	PRIJEM	VKLAD	25808	62207	\N	\N	\N
302717	1031	1996-07-09	PRIJEM	VKLAD	17205	57238	\N	\N	\N
302718	1031	1996-08-09	PRIJEM	VKLAD	17205	54081	\N	\N	\N
302719	1031	1996-09-09	PRIJEM	VKLAD	17205	49400	\N	\N	\N
302720	1031	1996-10-09	PRIJEM	VKLAD	17205	48208	\N	\N	\N
302721	1031	1996-11-09	PRIJEM	VKLAD	17205	47913	\N	\N	\N
302722	1031	1996-12-09	PRIJEM	VKLAD	25808	55240	\N	\N	\N
302723	1031	1997-01-09	PRIJEM	VKLAD	17205	39289	\N	\N	\N
302724	1031	1997-02-09	PRIJEM	VKLAD	17205	31921	\N	\N	\N
302725	1031	1997-03-09	PRIJEM	VKLAD	17205	40030	\N	\N	\N
302726	1031	1997-04-09	PRIJEM	VKLAD	17205	42114	\N	\N	\N
302727	1031	1997-05-09	PRIJEM	VKLAD	17205	47612	\N	\N	\N
302728	1031	1997-06-09	PRIJEM	VKLAD	25808	49961	\N	\N	\N
302729	1031	1997-07-09	PRIJEM	VKLAD	17205	30577	\N	\N	\N
302730	1031	1997-08-09	PRIJEM	VKLAD	17205	45439	\N	\N	\N
302731	1031	1997-09-09	PRIJEM	VKLAD	17205	49520	\N	\N	\N
302732	1031	1997-10-09	PRIJEM	VKLAD	17205	54570	\N	\N	\N
302733	1031	1997-11-09	PRIJEM	VKLAD	17205	60240	\N	\N	\N
302734	1031	1997-12-09	PRIJEM	VKLAD	25808	72294	\N	\N	\N
302735	1031	1998-01-09	PRIJEM	VKLAD	17205	55364	\N	\N	\N
302736	1031	1998-02-09	PRIJEM	VKLAD	17205	54519	\N	\N	\N
302737	1031	1998-03-09	PRIJEM	VKLAD	17205	61923	\N	\N	\N
302738	1031	1998-04-09	PRIJEM	VKLAD	17205	57407	\N	\N	\N
302739	1031	1998-05-09	PRIJEM	VKLAD	17205	60191	\N	\N	\N
302740	1031	1998-06-09	PRIJEM	VKLAD	25808	64989	\N	\N	\N
302741	1031	1998-07-09	PRIJEM	VKLAD	17205	52029	\N	\N	\N
302742	1031	1998-08-09	PRIJEM	VKLAD	17205	54686	\N	\N	\N
302743	1031	1998-09-09	PRIJEM	VKLAD	17205	53851	\N	\N	\N
302744	1031	1998-10-09	PRIJEM	VKLAD	17205	54717	\N	\N	\N
302745	1031	1998-11-09	PRIJEM	VKLAD	17205	52711	\N	\N	\N
302746	1031	1998-12-09	PRIJEM	VKLAD	25808	61416	\N	\N	\N
302757	1031	1995-11-14	VYDAJ	PREVOD NA UCET	6817	53169	SIPO	YZ	98259973
302758	1031	1995-12-14	VYDAJ	PREVOD NA UCET	6817	54832	SIPO	YZ	98259973
302759	1031	1996-01-14	VYDAJ	PREVOD NA UCET	6817	40454	SIPO	YZ	98259973
302760	1031	1996-02-14	VYDAJ	PREVOD NA UCET	6817	33656	SIPO	YZ	98259973
302761	1031	1996-03-14	VYDAJ	PREVOD NA UCET	6817	38047	SIPO	YZ	98259973
302762	1031	1996-04-14	VYDAJ	PREVOD NA UCET	6817	39451	SIPO	YZ	98259973
302763	1031	1996-05-14	VYDAJ	PREVOD NA UCET	6817	42363	SIPO	YZ	98259973
302764	1031	1996-06-14	VYDAJ	PREVOD NA UCET	6817	54592	SIPO	YZ	98259973
302765	1031	1996-07-14	VYDAJ	PREVOD NA UCET	6817	49623	SIPO	YZ	98259973
302766	1031	1996-08-14	VYDAJ	PREVOD NA UCET	6817	32066	SIPO	YZ	98259973
302767	1031	1996-09-14	VYDAJ	PREVOD NA UCET	6817	30885	SIPO	YZ	98259973
302768	1031	1996-10-14	VYDAJ	PREVOD NA UCET	6817	30593	SIPO	YZ	98259973
302769	1031	1996-11-14	VYDAJ	PREVOD NA UCET	6817	30998	SIPO	YZ	98259973
302770	1031	1996-12-14	VYDAJ	PREVOD NA UCET	6817	32925	SIPO	YZ	98259973
302771	1031	1997-01-14	VYDAJ	PREVOD NA UCET	6817	24234	SIPO	YZ	98259973
302772	1031	1997-02-14	VYDAJ	PREVOD NA UCET	6817	23706	SIPO	YZ	98259973
302773	1031	1997-03-14	VYDAJ	PREVOD NA UCET	6817	24815	SIPO	YZ	98259973
302774	1031	1997-04-14	VYDAJ	PREVOD NA UCET	6817	30299	SIPO	YZ	98259973
302775	1031	1997-05-14	VYDAJ	PREVOD NA UCET	6817	32197	SIPO	YZ	98259973
302776	1031	1997-06-14	VYDAJ	PREVOD NA UCET	6817	10406	SIPO	YZ	98259973
302777	1031	1997-07-14	VYDAJ	PREVOD NA UCET	6817	22962	SIPO	YZ	98259973
302778	1031	1997-08-14	VYDAJ	PREVOD NA UCET	6817	37824	SIPO	YZ	98259973
302779	1031	1997-09-14	VYDAJ	PREVOD NA UCET	6817	41905	SIPO	YZ	98259973
302780	1031	1997-10-14	VYDAJ	PREVOD NA UCET	6817	46955	SIPO	YZ	98259973
302781	1031	1997-11-14	VYDAJ	PREVOD NA UCET	6817	51545	SIPO	YZ	98259973
302782	1031	1997-12-14	VYDAJ	PREVOD NA UCET	6817	64679	SIPO	YZ	98259973
302783	1031	1998-01-14	VYDAJ	PREVOD NA UCET	6817	47029	SIPO	YZ	98259973
302784	1031	1998-02-14	VYDAJ	PREVOD NA UCET	6817	46904	SIPO	YZ	98259973
302785	1031	1998-03-14	VYDAJ	PREVOD NA UCET	6817	54308	SIPO	YZ	98259973
302786	1031	1998-04-14	VYDAJ	PREVOD NA UCET	6817	49792	SIPO	YZ	98259973
302787	1031	1998-05-14	VYDAJ	PREVOD NA UCET	6817	52576	SIPO	YZ	98259973
302788	1031	1998-06-14	VYDAJ	PREVOD NA UCET	6817	57374	SIPO	YZ	98259973
302789	1031	1998-07-14	VYDAJ	PREVOD NA UCET	6817	44414	SIPO	YZ	98259973
302790	1031	1998-08-14	VYDAJ	PREVOD NA UCET	6817	44191	SIPO	YZ	98259973
302791	1031	1998-09-14	VYDAJ	PREVOD NA UCET	6817	46236	SIPO	YZ	98259973
302792	1031	1998-10-14	VYDAJ	PREVOD NA UCET	6817	47102	SIPO	YZ	98259973
302793	1031	1998-11-14	VYDAJ	PREVOD NA UCET	6817	45096	SIPO	YZ	98259973
302794	1031	1998-12-14	VYDAJ	PREVOD NA UCET	6817	53801	SIPO	YZ	98259973
302805	1031	1995-11-13	VYDAJ	PREVOD NA UCET	747	59986	 	MN	53443789
302806	1031	1995-12-13	VYDAJ	PREVOD NA UCET	747	61649	 	MN	53443789
302807	1031	1996-01-13	VYDAJ	PREVOD NA UCET	747	47271	 	MN	53443789
302808	1031	1996-02-13	VYDAJ	PREVOD NA UCET	747	40473	 	MN	53443789
302809	1031	1996-03-13	VYDAJ	PREVOD NA UCET	747	44864	 	MN	53443789
302810	1031	1996-04-13	VYDAJ	PREVOD NA UCET	747	46268	 	MN	53443789
302811	1031	1996-05-13	VYDAJ	PREVOD NA UCET	747	49180	 	MN	53443789
302812	1031	1996-06-13	VYDAJ	PREVOD NA UCET	747	61409	 	MN	53443789
302813	1031	1996-07-13	VYDAJ	PREVOD NA UCET	747	56440	 	MN	53443789
302814	1031	1996-08-13	VYDAJ	PREVOD NA UCET	747	53283	 	MN	53443789
302815	1031	1996-09-13	VYDAJ	PREVOD NA UCET	747	37702	 	MN	53443789
302816	1031	1996-10-13	VYDAJ	PREVOD NA UCET	747	37410	 	MN	53443789
302817	1031	1996-11-13	VYDAJ	PREVOD NA UCET	747	37815	 	MN	53443789
302818	1031	1996-12-13	VYDAJ	PREVOD NA UCET	747	39742	 	MN	53443789
302819	1031	1997-01-13	VYDAJ	PREVOD NA UCET	747	31051	 	MN	53443789
302820	1031	1997-02-13	VYDAJ	PREVOD NA UCET	747	30523	 	MN	53443789
302821	1031	1997-03-13	VYDAJ	PREVOD NA UCET	747	31632	 	MN	53443789
302822	1031	1997-04-13	VYDAJ	PREVOD NA UCET	747	37116	 	MN	53443789
302823	1031	1997-05-13	VYDAJ	PREVOD NA UCET	747	39014	 	MN	53443789
302824	1031	1997-06-13	VYDAJ	PREVOD NA UCET	747	17223	 	MN	53443789
302825	1031	1997-07-13	VYDAJ	PREVOD NA UCET	747	29779	 	MN	53443789
302826	1031	1997-08-13	VYDAJ	PREVOD NA UCET	747	44641	 	MN	53443789
302827	1031	1997-09-13	VYDAJ	PREVOD NA UCET	747	48722	 	MN	53443789
302828	1031	1997-10-13	VYDAJ	PREVOD NA UCET	747	53772	 	MN	53443789
302829	1031	1997-11-13	VYDAJ	PREVOD NA UCET	747	59442	 	MN	53443789
302830	1031	1997-12-13	VYDAJ	PREVOD NA UCET	747	71496	 	MN	53443789
302831	1031	1998-01-13	VYDAJ	PREVOD NA UCET	747	53846	 	MN	53443789
302832	1031	1998-02-13	VYDAJ	PREVOD NA UCET	747	53721	 	MN	53443789
302833	1031	1998-03-13	VYDAJ	PREVOD NA UCET	747	61125	 	MN	53443789
302834	1031	1998-04-13	VYDAJ	PREVOD NA UCET	747	56609	 	MN	53443789
302835	1031	1998-05-13	VYDAJ	PREVOD NA UCET	747	59393	 	MN	53443789
302836	1031	1998-06-13	VYDAJ	PREVOD NA UCET	747	64191	 	MN	53443789
302837	1031	1998-07-13	VYDAJ	PREVOD NA UCET	747	51231	 	MN	53443789
302838	1031	1998-08-13	VYDAJ	PREVOD NA UCET	747	53888	 	MN	53443789
302839	1031	1998-09-13	VYDAJ	PREVOD NA UCET	747	53053	 	MN	53443789
302840	1031	1998-10-13	VYDAJ	PREVOD NA UCET	747	53919	 	MN	53443789
302841	1031	1998-11-13	VYDAJ	PREVOD NA UCET	747	51913	 	MN	53443789
302842	1031	1998-12-13	VYDAJ	PREVOD NA UCET	747	60618	 	MN	53443789
302853	1031	1995-11-12	VYDAJ	PREVOD NA UCET	51	60733	POJISTNE	OP	61673647
302854	1031	1995-12-12	VYDAJ	PREVOD NA UCET	51	62396	POJISTNE	OP	61673647
302855	1031	1996-01-12	VYDAJ	PREVOD NA UCET	51	50418	POJISTNE	OP	61673647
302856	1031	1996-02-12	VYDAJ	PREVOD NA UCET	51	41220	POJISTNE	OP	61673647
302857	1031	1996-03-12	VYDAJ	PREVOD NA UCET	51	45611	POJISTNE	OP	61673647
302858	1031	1996-04-12	VYDAJ	PREVOD NA UCET	51	47015	POJISTNE	OP	61673647
302859	1031	1996-05-12	VYDAJ	PREVOD NA UCET	51	49927	POJISTNE	OP	61673647
302860	1031	1996-06-12	VYDAJ	PREVOD NA UCET	51	62156	POJISTNE	OP	61673647
302861	1031	1996-07-12	VYDAJ	PREVOD NA UCET	51	57187	POJISTNE	OP	61673647
302862	1031	1996-08-12	VYDAJ	PREVOD NA UCET	51	54030	POJISTNE	OP	61673647
302863	1031	1996-09-12	VYDAJ	PREVOD NA UCET	51	38449	POJISTNE	OP	61673647
302864	1031	1996-10-12	VYDAJ	PREVOD NA UCET	51	48157	POJISTNE	OP	61673647
302865	1031	1996-11-12	VYDAJ	PREVOD NA UCET	51	38562	POJISTNE	OP	61673647
302866	1031	1996-12-12	VYDAJ	PREVOD NA UCET	51	40489	POJISTNE	OP	61673647
302867	1031	1997-01-12	VYDAJ	PREVOD NA UCET	51	31798	POJISTNE	OP	61673647
302868	1031	1997-02-12	VYDAJ	PREVOD NA UCET	51	31270	POJISTNE	OP	61673647
302869	1031	1997-03-12	VYDAJ	PREVOD NA UCET	51	32379	POJISTNE	OP	61673647
302870	1031	1997-04-12	VYDAJ	PREVOD NA UCET	51	37863	POJISTNE	OP	61673647
302871	1031	1997-05-12	VYDAJ	PREVOD NA UCET	51	39761	POJISTNE	OP	61673647
302872	1031	1997-06-12	VYDAJ	PREVOD NA UCET	51	42610	POJISTNE	OP	61673647
302873	1031	1997-07-12	VYDAJ	PREVOD NA UCET	51	30526	POJISTNE	OP	61673647
302874	1031	1997-08-12	VYDAJ	PREVOD NA UCET	51	45388	POJISTNE	OP	61673647
302875	1031	1997-09-12	VYDAJ	PREVOD NA UCET	51	49469	POJISTNE	OP	61673647
302876	1031	1997-10-12	VYDAJ	PREVOD NA UCET	51	54519	POJISTNE	OP	61673647
302877	1031	1997-11-12	VYDAJ	PREVOD NA UCET	51	60189	POJISTNE	OP	61673647
302878	1031	1997-12-12	VYDAJ	PREVOD NA UCET	51	72243	POJISTNE	OP	61673647
302879	1031	1998-01-12	VYDAJ	PREVOD NA UCET	51	54593	POJISTNE	OP	61673647
302880	1031	1998-02-12	VYDAJ	PREVOD NA UCET	51	54468	POJISTNE	OP	61673647
302881	1031	1998-03-12	VYDAJ	PREVOD NA UCET	51	61872	POJISTNE	OP	61673647
302882	1031	1998-04-12	VYDAJ	PREVOD NA UCET	51	57356	POJISTNE	OP	61673647
302883	1031	1998-05-12	VYDAJ	PREVOD NA UCET	51	60140	POJISTNE	OP	61673647
302884	1031	1998-06-12	VYDAJ	PREVOD NA UCET	51	64938	POJISTNE	OP	61673647
302885	1031	1998-07-12	VYDAJ	PREVOD NA UCET	51	51978	POJISTNE	OP	61673647
302886	1031	1998-08-12	VYDAJ	PREVOD NA UCET	51	54635	POJISTNE	OP	61673647
302887	1031	1998-09-12	VYDAJ	PREVOD NA UCET	51	53800	POJISTNE	OP	61673647
302888	1031	1998-10-12	VYDAJ	PREVOD NA UCET	51	54666	POJISTNE	OP	61673647
302889	1031	1998-11-12	VYDAJ	PREVOD NA UCET	51	52660	POJISTNE	OP	61673647
302890	1031	1998-12-12	VYDAJ	PREVOD NA UCET	51	61365	POJISTNE	OP	61673647
302941	1031	1997-06-12	VYDAJ	VYBER	24640	17970	\N	\N	\N
302942	1031	1998-06-19	VYDAJ	VYBER	19840	37534	\N	\N	\N
302944	1031	1996-01-24	VYDAJ	VYBER	1760	28014	\N	\N	\N
302945	1031	1997-01-07	VYDAJ	VYBER	8800	22084	\N	\N	\N
302946	1031	1998-01-07	VYDAJ	VYBER	10560	38159	\N	\N	\N
302947	1031	1995-12-03	VYDAJ	VYBER	4000	36639	\N	\N	\N
302948	1031	1996-12-18	VYDAJ	VYBER	960	31965	\N	\N	\N
302949	1031	1997-12-23	VYDAJ	VYBER	3200	61479	\N	\N	\N
302950	1031	1998-12-15	VYDAJ	VYBER	1280	52521	\N	\N	\N
302957	1031	1996-01-07	VYDAJ	VYBER	2880	33984	\N	\N	\N
302958	1031	1996-01-13	VYDAJ	VYBER	2400	48018	\N	\N	\N
302959	1031	1996-01-24	VYDAJ	VYBER	3480	24534	\N	\N	\N
302960	1031	1996-01-01	VYDAJ	VYBER	2640	36864	\N	\N	\N
302961	1031	1996-01-11	VYDAJ	VYBER	720	50469	\N	\N	\N
302962	1031	1996-01-16	VYDAJ	VYBER	2880	29774	\N	\N	\N
302963	1031	1997-01-11	VYDAJ	VYBER	2040	31849	\N	\N	\N
302964	1031	1997-01-06	VYDAJ	VYBER	1200	30884	\N	\N	\N
302966	1031	1997-01-25	VYDAJ	VYBER	3120	14634	\N	\N	\N
302968	1031	1997-01-22	VYDAJ	VYBER	1680	17754	\N	\N	\N
302969	1031	1998-01-26	VYDAJ	VYBER	2280	41389	\N	\N	\N
302970	1031	1998-01-10	VYDAJ	VYBER	720	54644	\N	\N	\N
302971	1031	1998-01-23	VYDAJ	VYBER	720	43669	\N	\N	\N
302972	1031	1998-01-16	VYDAJ	VYBER	2640	44389	\N	\N	\N
302973	1031	1998-01-29	VYDAJ	VYBER	1320	36829	\N	\N	\N
302974	1031	1998-01-29	VYDAJ	VYBER	3240	38149	\N	\N	\N
302980	1031	1996-01-29	VYDAJ	VYBER	600	23934	\N	\N	\N
302981	1031	1996-06-30	VYDAJ	VYBER	2400	40033	\N	\N	\N
302982	1031	1996-06-28	VYDAJ	VYBER	1920	42272	\N	\N	\N
302983	1031	1996-11-19	VYDAJ	VYBER	1680	29318	\N	\N	\N
302984	1031	1997-05-25	VYDAJ	VYBER	3120	29077	\N	\N	\N
302985	1031	1997-09-01	VYDAJ	VYBER	5640	32315	\N	\N	\N
302986	1031	1997-03-03	VYDAJ	VYBER	960	22825	\N	\N	\N
302987	1031	1997-05-29	VYDAJ	VYBER	5040	24037	\N	\N	\N
302988	1031	1997-01-15	VYDAJ	VYBER	4800	19434	\N	\N	\N
302990	1031	1997-11-14	VYDAJ	VYBER	1080	58362	\N	\N	\N
302991	1031	1997-11-17	VYDAJ	VYBER	960	50585	\N	\N	\N
302992	1031	1998-11-08	VYDAJ	VYBER	2880	35506	\N	\N	\N
302993	1031	1998-09-02	VYDAJ	VYBER	3720	40646	\N	\N	\N
302994	1031	1998-03-19	VYDAJ	VYBER	2160	47108	\N	\N	\N
302995	1031	1998-03-14	VYDAJ	VYBER	5040	49268	\N	\N	\N
302996	1031	1998-11-17	VYDAJ	VYBER	2760	42336	\N	\N	\N
302997	1031	1998-03-03	VYDAJ	VYBER	3960	43118	\N	\N	\N
302998	1031	1998-08-13	VYDAJ	VYBER	2880	51008	\N	\N	\N
303010	1031	1995-11-30	VYDAJ	VYBER	15	40639	SLUZBY	\N	\N
303011	1031	1995-12-31	VYDAJ	VYBER	15	39504	SLUZBY	\N	\N
303012	1031	1996-01-31	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
303013	1031	1996-02-29	VYDAJ	VYBER	15	28457	SLUZBY	\N	\N
303014	1031	1996-03-31	VYDAJ	VYBER	15	29861	SLUZBY	\N	\N
303015	1031	1996-04-30	VYDAJ	VYBER	15	32773	SLUZBY	\N	\N
303016	1031	1996-05-31	VYDAJ	VYBER	15	36399	SLUZBY	\N	\N
303017	1031	1996-06-30	VYDAJ	VYBER	15	42433	SLUZBY	\N	\N
303018	1031	1996-07-31	VYDAJ	VYBER	15	36876	SLUZBY	\N	\N
303019	1031	1996-08-31	VYDAJ	VYBER	15	32195	SLUZBY	\N	\N
303020	1031	1996-09-30	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
303021	1031	1996-10-31	VYDAJ	VYBER	15	30708	SLUZBY	\N	\N
303022	1031	1996-11-30	VYDAJ	VYBER	15	29432	SLUZBY	\N	\N
303023	1031	1996-12-31	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
303024	1031	1997-01-31	VYDAJ	VYBER	15	14716	SLUZBY	\N	\N
303025	1031	1997-02-28	VYDAJ	VYBER	15	23785	SLUZBY	\N	\N
303026	1031	1997-03-31	VYDAJ	VYBER	15	24909	SLUZBY	\N	\N
303027	1031	1997-04-30	VYDAJ	VYBER	15	30407	SLUZBY	\N	\N
303028	1031	1997-05-31	VYDAJ	VYBER	15	24153	SLUZBY	\N	\N
303029	1031	1997-06-30	VYDAJ	VYBER	15	10472	SLUZBY	\N	\N
303030	1031	1997-07-31	VYDAJ	VYBER	15	23034	SLUZBY	\N	\N
303031	1031	1997-08-31	VYDAJ	VYBER	15	37955	SLUZBY	\N	\N
303032	1031	1997-09-30	VYDAJ	VYBER	15	42065	SLUZBY	\N	\N
303033	1031	1997-10-31	VYDAJ	VYBER	15	47135	SLUZBY	\N	\N
303034	1031	1997-11-30	VYDAJ	VYBER	15	50786	SLUZBY	\N	\N
303035	1031	1997-12-31	VYDAJ	VYBER	15	61719	SLUZBY	\N	\N
303036	1031	1998-01-31	VYDAJ	VYBER	15	37014	SLUZBY	\N	\N
303037	1031	1998-02-28	VYDAJ	VYBER	15	47078	SLUZBY	\N	\N
303038	1031	1998-03-31	VYDAJ	VYBER	15	47302	SLUZBY	\N	\N
303039	1031	1998-04-30	VYDAJ	VYBER	15	49986	SLUZBY	\N	\N
303040	1031	1998-05-31	VYDAJ	VYBER	15	52781	SLUZBY	\N	\N
303041	1031	1998-06-30	VYDAJ	VYBER	15	37724	SLUZBY	\N	\N
303042	1031	1998-07-31	VYDAJ	VYBER	15	44581	SLUZBY	\N	\N
303043	1031	1998-08-31	VYDAJ	VYBER	15	44366	SLUZBY	\N	\N
303044	1031	1998-09-30	VYDAJ	VYBER	15	46412	SLUZBY	\N	\N
303045	1031	1998-10-31	VYDAJ	VYBER	15	47286	SLUZBY	\N	\N
303046	1031	1998-11-30	VYDAJ	VYBER	15	42508	SLUZBY	\N	\N
303047	1031	1995-07-20	PRIJEM	VKLAD	4000	22105	\N	\N	\N
303048	1031	1995-08-19	VYDAJ	VYBER	8200	31146	\N	\N	\N
303049	1031	1995-09-18	VYDAJ	VYBER	9200	39259	\N	\N	\N
303050	1031	1995-10-18	VYDAJ	VYBER	13200	43408	\N	\N	\N
303051	1031	1995-11-17	VYDAJ	VYBER	12700	40469	\N	\N	\N
303052	1031	1995-12-17	VYDAJ	VYBER	15500	39332	\N	\N	\N
303053	1031	1996-01-16	VYDAJ	VYBER	7800	32654	\N	\N	\N
303054	1031	1996-02-15	VYDAJ	VYBER	5300	28356	\N	\N	\N
303055	1031	1996-03-16	VYDAJ	VYBER	8300	29747	\N	\N	\N
303056	1031	1996-04-15	VYDAJ	VYBER	6800	32651	\N	\N	\N
303057	1031	1996-05-15	VYDAJ	VYBER	6100	36263	\N	\N	\N
303058	1031	1996-06-14	VYDAJ	VYBER	10400	44192	\N	\N	\N
303059	1031	1996-07-14	VYDAJ	VYBER	12900	36723	\N	\N	\N
303060	1031	1996-08-13	VYDAJ	VYBER	14400	38883	\N	\N	\N
303061	1031	1996-09-12	VYDAJ	VYBER	10900	38500	\N	\N	\N
303062	1031	1996-10-12	VYDAJ	VYBER	10000	38157	\N	\N	\N
303063	1031	1996-11-11	VYDAJ	VYBER	9300	38613	\N	\N	\N
303064	1031	1996-12-11	VYDAJ	VYBER	14700	40540	\N	\N	\N
303065	1031	1997-01-10	VYDAJ	VYBER	5400	33889	\N	\N	\N
303066	1031	1997-02-09	VYDAJ	VYBER	600	31321	\N	\N	\N
303067	1031	1997-03-11	VYDAJ	VYBER	7600	32430	\N	\N	\N
303068	1031	1997-04-10	VYDAJ	VYBER	4200	37914	\N	\N	\N
303069	1031	1997-05-10	VYDAJ	VYBER	7800	39812	\N	\N	\N
303070	1031	1997-06-09	VYDAJ	VYBER	7300	42661	\N	\N	\N
303071	1031	1997-07-09	PRIJEM	VKLAD	2900	13372	\N	\N	\N
303072	1031	1997-08-08	PRIJEM	VKLAD	5200	28234	\N	\N	\N
303073	1031	1997-10-07	VYDAJ	VYBER	4700	37365	\N	\N	\N
303074	1031	1997-11-06	VYDAJ	VYBER	4100	43035	\N	\N	\N
303075	1031	1997-12-06	VYDAJ	VYBER	4300	46486	\N	\N	\N
303076	1031	1998-01-05	VYDAJ	VYBER	13000	48719	\N	\N	\N
303077	1031	1998-02-04	PRIJEM	VKLAD	300	37314	\N	\N	\N
303078	1031	1998-03-06	PRIJEM	VKLAD	1600	44718	\N	\N	\N
303079	1031	1998-04-05	VYDAJ	VYBER	7100	40202	\N	\N	\N
303080	1031	1998-05-05	VYDAJ	VYBER	7000	42986	\N	\N	\N
303081	1031	1998-06-04	VYDAJ	VYBER	13600	39181	\N	\N	\N
303082	1031	1998-07-04	VYDAJ	VYBER	2900	34824	\N	\N	\N
303083	1031	1998-08-03	VYDAJ	VYBER	7100	37481	\N	\N	\N
303084	1031	1998-09-02	VYDAJ	VYBER	4000	36646	\N	\N	\N
303085	1031	1998-10-02	VYDAJ	VYBER	8900	37512	\N	\N	\N
303086	1031	1998-11-01	VYDAJ	VYBER	8900	38386	\N	\N	\N
303087	1031	1998-12-01	VYDAJ	VYBER	6900	35608	\N	\N	\N
303130	1032	1993-04-26	PRIJEM	VKLAD	400	400	\N	\N	\N
303135	1032	1993-05-05	PRIJEM	PREVOD Z UCTU	49765	50165	\N	GH	43027007
303136	1032	1993-06-05	PRIJEM	PREVOD Z UCTU	74648	112844	\N	GH	43027007
303137	1032	1993-07-05	PRIJEM	PREVOD Z UCTU	49765	106823	\N	GH	43027007
303138	1032	1993-08-05	PRIJEM	PREVOD Z UCTU	49765	96349	\N	GH	43027007
303139	1032	1993-09-05	PRIJEM	PREVOD Z UCTU	49765	109822	\N	GH	43027007
303140	1032	1993-10-05	PRIJEM	PREVOD Z UCTU	49765	103567	\N	GH	43027007
303141	1032	1993-11-05	PRIJEM	PREVOD Z UCTU	49765	116057	\N	GH	43027007
303142	1032	1993-12-05	PRIJEM	PREVOD Z UCTU	74648	108801	\N	GH	43027007
303143	1032	1994-01-05	PRIJEM	PREVOD Z UCTU	49765	77030	\N	GH	43027007
303144	1032	1994-02-05	PRIJEM	PREVOD Z UCTU	49765	74659	\N	GH	43027007
303145	1032	1994-03-05	PRIJEM	PREVOD Z UCTU	49765	75773	\N	GH	43027007
303146	1032	1994-04-05	PRIJEM	PREVOD Z UCTU	49765	98863	\N	GH	43027007
303147	1032	1994-05-05	PRIJEM	PREVOD Z UCTU	49765	107359	\N	GH	43027007
303148	1032	1994-06-05	PRIJEM	PREVOD Z UCTU	74648	128174	\N	GH	43027007
303149	1032	1994-07-05	PRIJEM	PREVOD Z UCTU	49765	76285	\N	GH	43027007
303150	1032	1994-08-05	PRIJEM	PREVOD Z UCTU	49765	93468	\N	GH	43027007
303151	1032	1994-09-05	PRIJEM	PREVOD Z UCTU	49765	103979	\N	GH	43027007
303152	1032	1994-10-05	PRIJEM	PREVOD Z UCTU	49765	114474	\N	GH	43027007
303153	1032	1994-11-05	PRIJEM	PREVOD Z UCTU	49765	89225	\N	GH	43027007
303154	1032	1994-12-05	PRIJEM	PREVOD Z UCTU	74648	120120	\N	GH	43027007
303155	1032	1995-01-05	PRIJEM	PREVOD Z UCTU	49765	86177	\N	GH	43027007
303156	1032	1995-02-05	PRIJEM	PREVOD Z UCTU	49765	85091	\N	GH	43027007
303157	1032	1995-03-05	PRIJEM	PREVOD Z UCTU	49765	107635	\N	GH	43027007
303158	1032	1995-04-05	PRIJEM	PREVOD Z UCTU	49765	118949	\N	GH	43027007
303159	1032	1995-05-05	PRIJEM	PREVOD Z UCTU	49765	109902	\N	GH	43027007
303160	1032	1995-06-05	PRIJEM	PREVOD Z UCTU	74648	115517	\N	GH	43027007
303246	1032	1994-06-20	VYDAJ	VYBER	58500	26274	\N	\N	\N
303161	1032	1995-07-05	PRIJEM	PREVOD Z UCTU	49765	85045	\N	GH	43027007
303162	1032	1995-08-05	PRIJEM	PREVOD Z UCTU	49765	103684	\N	GH	43027007
303163	1032	1995-09-05	PRIJEM	PREVOD Z UCTU	49765	116389	\N	GH	43027007
303164	1032	1995-10-05	PRIJEM	PREVOD Z UCTU	49765	80477	\N	GH	43027007
303165	1032	1995-11-05	PRIJEM	PREVOD Z UCTU	49765	109228	\N	GH	43027007
303166	1032	1995-12-05	PRIJEM	PREVOD Z UCTU	74648	138363	\N	GH	43027007
303167	1032	1996-01-05	PRIJEM	PREVOD Z UCTU	49765	96928	\N	GH	43027007
303168	1032	1996-02-05	PRIJEM	PREVOD Z UCTU	49765	74201	\N	GH	43027007
303169	1032	1996-03-05	PRIJEM	PREVOD Z UCTU	49765	83786	\N	GH	43027007
303170	1032	1996-04-05	PRIJEM	PREVOD Z UCTU	49765	85439	\N	GH	43027007
303171	1032	1996-05-05	PRIJEM	PREVOD Z UCTU	49765	82142	\N	GH	43027007
303172	1032	1996-06-05	PRIJEM	PREVOD Z UCTU	74648	117125	\N	GH	43027007
303173	1032	1996-07-05	PRIJEM	PREVOD Z UCTU	49765	87632	\N	GH	43027007
303174	1032	1996-08-05	PRIJEM	PREVOD Z UCTU	49765	85028	\N	GH	43027007
303175	1032	1996-09-05	PRIJEM	PREVOD Z UCTU	49765	93175	\N	GH	43027007
303176	1032	1996-10-05	PRIJEM	PREVOD Z UCTU	49765	114074	\N	GH	43027007
303177	1032	1996-11-05	PRIJEM	PREVOD Z UCTU	49765	96629	\N	GH	43027007
303178	1032	1996-12-05	PRIJEM	PREVOD Z UCTU	74648	145036	\N	GH	43027007
303179	1032	1997-01-05	PRIJEM	PREVOD Z UCTU	49765	88082	\N	GH	43027007
303180	1032	1997-02-05	PRIJEM	PREVOD Z UCTU	49765	83719	\N	GH	43027007
303181	1032	1997-03-05	PRIJEM	PREVOD Z UCTU	49765	98262	\N	GH	43027007
303182	1032	1997-04-05	PRIJEM	PREVOD Z UCTU	49765	110066	\N	GH	43027007
303183	1032	1997-05-05	PRIJEM	PREVOD Z UCTU	49765	103087	\N	GH	43027007
303184	1032	1997-06-05	PRIJEM	PREVOD Z UCTU	74648	132316	\N	GH	43027007
303185	1032	1997-07-05	PRIJEM	PREVOD Z UCTU	49765	97215	\N	GH	43027007
303186	1032	1997-08-05	PRIJEM	PREVOD Z UCTU	49765	120041	\N	GH	43027007
303187	1032	1997-09-05	PRIJEM	PREVOD Z UCTU	49765	97238	\N	GH	43027007
303188	1032	1997-10-05	PRIJEM	PREVOD Z UCTU	49765	107526	\N	GH	43027007
303189	1032	1997-11-05	PRIJEM	PREVOD Z UCTU	49765	126900	\N	GH	43027007
303190	1032	1997-12-05	PRIJEM	PREVOD Z UCTU	74648	127624	\N	GH	43027007
303191	1032	1998-01-05	PRIJEM	PREVOD Z UCTU	49765	81807	\N	GH	43027007
303192	1032	1998-02-05	PRIJEM	PREVOD Z UCTU	49765	97463	\N	GH	43027007
303193	1032	1998-03-05	PRIJEM	PREVOD Z UCTU	49765	110607	\N	GH	43027007
303194	1032	1998-04-05	PRIJEM	PREVOD Z UCTU	49765	124985	\N	GH	43027007
303195	1032	1998-05-05	PRIJEM	PREVOD Z UCTU	49765	107927	\N	GH	43027007
303196	1032	1998-06-05	PRIJEM	PREVOD Z UCTU	74648	154149	\N	GH	43027007
303197	1032	1998-07-05	PRIJEM	PREVOD Z UCTU	49765	111318	\N	GH	43027007
303198	1032	1998-08-05	PRIJEM	PREVOD Z UCTU	49765	123768	\N	GH	43027007
303199	1032	1998-09-05	PRIJEM	PREVOD Z UCTU	49765	127318	\N	GH	43027007
303200	1032	1998-10-05	PRIJEM	PREVOD Z UCTU	49765	116602	\N	GH	43027007
303201	1032	1998-11-05	PRIJEM	PREVOD Z UCTU	49765	128732	\N	GH	43027007
303202	1032	1998-12-05	PRIJEM	PREVOD Z UCTU	74648	148027	\N	GH	43027007
303203	1032	1994-11-11	VYBER	VYBER	7300	78445	\N	\N	\N
303204	1032	1994-11-06	VYBER	VYBER	3480	85745	\N	\N	\N
303205	1032	1994-11-28	VYBER	VYBER	8011	45234	\N	\N	\N
303206	1032	1994-07-07	VYBER	VYBER	19458	56827	\N	\N	\N
303207	1032	1994-02-28	VYBER	VYBER	8027	26023	\N	\N	\N
303208	1032	1994-01-21	VYBER	VYBER	13547	36983	\N	\N	\N
303209	1032	1994-08-19	VYBER	VYBER	15345	78123	\N	\N	\N
303210	1032	1994-10-08	VYBER	VYBER	3099	51175	\N	\N	\N
303212	1032	1994-02-20	VYBER	VYBER	19415	55244	\N	\N	\N
303213	1032	1994-02-22	VYBER	VYBER	8612	33932	\N	\N	\N
303214	1032	1995-07-09	VYBER	VYBER	8334	76711	\N	\N	\N
303215	1032	1996-08-17	VYBER	VYBER	13189	43239	\N	\N	\N
303216	1032	1996-03-18	VYBER	VYBER	8756	35530	\N	\N	\N
303217	1032	1996-12-08	VYBER	VYBER	5474	59562	\N	\N	\N
303219	1032	1996-06-10	VYBER	VYBER	14647	37678	\N	\N	\N
303220	1032	1996-02-13	VYBER	VYBER	9769	33890	\N	\N	\N
303221	1032	1996-04-25	VYBER	VYBER	20638	32201	\N	\N	\N
303222	1032	1996-07-23	VYBER	VYBER	24849	35083	\N	\N	\N
303223	1032	1996-05-23	VYBER	VYBER	13737	42305	\N	\N	\N
303225	1032	1996-02-07	VYBER	VYBER	17942	56259	\N	\N	\N
303226	1032	1997-02-18	VYBER	VYBER	23767	52452	\N	\N	\N
303227	1032	1997-08-20	VYBER	VYBER	17725	52016	\N	\N	\N
303228	1032	1997-11-08	VYBER	VYBER	5823	73077	\N	\N	\N
303229	1032	1997-09-17	VYBER	VYBER	16520	70057	\N	\N	\N
303230	1032	1997-11-20	VYBER	VYBER	11611	61466	\N	\N	\N
303231	1032	1997-01-03	VYBER	VYBER	11303	48517	\N	\N	\N
303232	1032	1997-04-21	VYBER	VYBER	23877	52989	\N	\N	\N
303233	1032	1997-09-15	VYBER	VYBER	10661	86577	\N	\N	\N
303234	1032	1997-06-14	VYBER	VYBER	7780	85036	\N	\N	\N
303235	1032	1997-08-26	VYBER	VYBER	2899	49117	\N	\N	\N
303236	1032	1997-07-01	VYBER	VYBER	21938	63450	\N	\N	\N
303237	1032	1997-12-18	VYBER	VYBER	12462	64262	\N	\N	\N
303238	1032	1998-12-16	VYBER	VYBER	6408	99514	\N	\N	\N
303239	1032	1998-04-11	VYBER	VYBER	23868	69879	\N	\N	\N
303240	1032	1998-02-14	VYBER	VYBER	21763	75700	\N	\N	\N
303241	1032	1998-06-08	VYBER	VYBER	7141	98908	\N	\N	\N
303242	1032	1998-12-07	VYBER	VYBER	17905	107722	\N	\N	\N
303243	1032	1998-01-20	VYBER	VYBER	4548	60159	\N	\N	\N
303244	1032	1998-04-11	VYBER	VYBER	7738	93747	\N	\N	\N
303247	1032	1995-06-15	VYDAJ	VYBER	16500	35117	\N	\N	\N
303249	1032	1997-06-09	VYDAJ	VYBER	10500	92816	\N	\N	\N
303250	1032	1998-06-29	VYDAJ	VYBER	12600	61208	\N	\N	\N
303252	1032	1994-01-14	VYDAJ	VYBER	25500	51530	\N	\N	\N
303253	1032	1995-01-03	VYDAJ	VYBER	5400	39412	\N	\N	\N
303254	1032	1996-01-23	VYDAJ	VYBER	7200	38328	\N	\N	\N
303255	1032	1997-01-18	VYDAJ	VYBER	19500	35582	\N	\N	\N
303256	1032	1998-01-03	VYDAJ	VYBER	22800	32042	\N	\N	\N
303257	1032	1993-12-09	VYDAJ	VYBER	8700	35501	\N	\N	\N
303258	1032	1994-12-14	VYDAJ	VYBER	5100	53420	\N	\N	\N
303259	1032	1995-12-04	VYDAJ	VYBER	3900	63715	\N	\N	\N
303260	1032	1996-12-06	VYDAJ	VYBER	5400	89936	\N	\N	\N
303261	1032	1997-12-20	VYDAJ	VYBER KARTOU	1800	62462	\N	\N	0
303262	1032	1998-12-09	VYDAJ	VYBER KARTOU	1800	105922	\N	\N	0
303269	1032	1994-01-21	VYDAJ	VYBER	4500	24683	\N	\N	\N
303271	1032	1994-01-21	VYDAJ	VYBER	7800	29183	\N	\N	\N
303272	1032	1994-01-15	VYDAJ	VYBER	2100	49430	\N	\N	\N
303273	1032	1994-01-18	VYDAJ	VYBER	2700	46730	\N	\N	\N
303274	1032	1994-01-04	VYDAJ	VYBER	1800	27265	\N	\N	\N
303275	1032	1995-01-22	VYDAJ	VYBER	1800	56977	\N	\N	\N
303276	1032	1995-01-26	VYDAJ	VYBER	5700	48877	\N	\N	\N
303277	1032	1995-01-29	VYDAJ	VYBER	8700	40177	\N	\N	\N
303278	1032	1995-01-04	VYDAJ	VYBER	3000	36412	\N	\N	\N
303279	1032	1995-01-25	VYDAJ	VYBER	2400	54577	\N	\N	\N
303280	1032	1995-01-29	VYDAJ	VYBER	5100	35077	\N	\N	\N
303281	1032	1996-01-25	VYDAJ	VYBER	8100	24228	\N	\N	\N
303282	1032	1996-01-22	VYDAJ	VYBER	8100	45528	\N	\N	\N
303283	1032	1996-01-05	VYDAJ	VYBER	8400	88528	\N	\N	\N
303284	1032	1996-01-18	VYDAJ	VYBER	8700	53628	\N	\N	\N
303285	1032	1996-01-16	VYDAJ	VYBER	2100	62328	\N	\N	\N
303286	1032	1996-01-24	VYDAJ	VYBER	6000	32328	\N	\N	\N
303287	1032	1997-01-10	VYDAJ	VYBER	4200	55082	\N	\N	\N
303289	1032	1997-01-04	VYDAJ	VYBER	8700	38317	\N	\N	\N
303290	1032	1997-01-21	VYDAJ	VYBER	4800	30782	\N	\N	\N
303291	1032	1997-01-04	VYDAJ	VYBER KARTOU	1500	47017	\N	\N	0
303292	1032	1997-01-07	VYDAJ	VYBER	5700	59282	\N	\N	\N
303293	1032	1998-01-05	VYDAJ	VYBER	8100	73707	\N	\N	\N
303294	1032	1998-01-18	VYDAJ	VYBER	5100	64707	\N	\N	\N
303295	1032	1998-01-26	VYDAJ	VYBER	5700	49359	\N	\N	\N
303296	1032	1998-01-25	VYDAJ	VYBER	5100	55059	\N	\N	\N
303297	1032	1998-01-28	VYDAJ	VYBER	5700	43659	\N	\N	\N
303298	1032	1998-01-08	VYDAJ	VYBER KARTOU	3900	69807	\N	\N	0
303303	1032	1993-11-15	VYDAJ	VYBER	14700	46957	\N	\N	\N
303306	1032	1994-08-19	VYDAJ	VYBER	3000	54023	\N	\N	\N
303307	1032	1994-04-16	VYDAJ	VYBER	7800	91063	\N	\N	\N
303308	1032	1994-06-09	VYDAJ	VYBER	14700	87474	\N	\N	\N
303309	1032	1995-09-11	VYDAJ	VYBER	12300	49989	\N	\N	\N
303310	1032	1995-06-10	VYDAJ	VYBER	11700	49417	\N	\N	\N
303311	1032	1995-09-24	VYDAJ	VYBER	9000	30489	\N	\N	\N
303312	1032	1995-11-06	VYDAJ	VYBER	8700	100528	\N	\N	\N
303313	1032	1995-12-28	VYDAJ	VYBER	10500	46863	\N	\N	\N
303314	1032	1995-04-10	VYDAJ	VYBER	7500	88149	\N	\N	\N
303316	1032	1996-03-14	VYDAJ	VYBER	14400	44286	\N	\N	\N
303317	1032	1996-08-08	VYDAJ	VYBER	4500	80528	\N	\N	\N
303318	1032	1996-04-20	VYDAJ	VYBER	6900	52839	\N	\N	\N
303320	1032	1997-02-18	VYDAJ	VYBER	4200	48252	\N	\N	\N
303321	1032	1997-07-01	VYDAJ	VYBER	10800	52650	\N	\N	\N
303322	1032	1997-02-15	VYDAJ	VYBER	7500	76219	\N	\N	\N
303323	1032	1997-12-14	VYDAJ	VYBER	12300	76724	\N	\N	\N
303324	1032	1997-06-07	VYDAJ	VYBER	12300	103316	\N	\N	\N
303325	1032	1997-03-25	VYDAJ	VYBER	5400	60062	\N	\N	\N
303326	1032	1998-08-14	VYDAJ	VYBER	5100	103168	\N	\N	\N
303327	1032	1998-06-09	VYDAJ	VYBER	9900	89008	\N	\N	\N
303328	1032	1998-07-21	VYDAJ	VYBER	7800	103518	\N	\N	\N
303329	1032	1998-03-17	VYDAJ	VYBER KARTOU	2400	108207	\N	\N	0
303339	1032	1993-09-30	VYDAJ	VYBER	15	53802	SLUZBY	\N	\N
303340	1032	1993-10-31	VYDAJ	VYBER	15	66292	SLUZBY	\N	\N
303341	1032	1993-11-30	VYDAJ	VYBER	15	34153	SLUZBY	\N	\N
303342	1032	1993-12-31	VYDAJ	VYBER	15	29065	SLUZBY	\N	\N
303343	1032	1994-01-31	VYDAJ	VYBER	15	24894	SLUZBY	\N	\N
303344	1032	1994-02-28	VYDAJ	VYBER	15	26008	SLUZBY	\N	\N
303345	1032	1994-03-31	VYDAJ	VYBER	15	49098	SLUZBY	\N	\N
303346	1032	1994-04-30	VYDAJ	VYBER	15	57594	SLUZBY	\N	\N
303347	1032	1994-05-31	VYDAJ	VYBER	15	53526	SLUZBY	\N	\N
303348	1032	1994-06-30	VYDAJ	VYBER	15	26520	SLUZBY	\N	\N
303349	1032	1994-07-31	VYDAJ	VYBER	15	43703	SLUZBY	\N	\N
303350	1032	1994-08-31	VYDAJ	VYBER	15	54214	SLUZBY	\N	\N
303351	1032	1994-09-30	VYDAJ	VYBER	15	64709	SLUZBY	\N	\N
303352	1032	1994-10-31	VYDAJ	VYBER	15	39460	SLUZBY	\N	\N
303353	1032	1994-11-30	VYDAJ	VYBER	15	45472	SLUZBY	\N	\N
303354	1032	1994-12-31	VYDAJ	VYBER	15	44812	SLUZBY	\N	\N
303355	1032	1995-01-31	VYDAJ	VYBER	15	35326	SLUZBY	\N	\N
303356	1032	1995-02-28	VYDAJ	VYBER	15	57870	SLUZBY	\N	\N
303357	1032	1995-03-31	VYDAJ	VYBER	15	69184	SLUZBY	\N	\N
303358	1032	1995-04-30	VYDAJ	VYBER	15	60137	SLUZBY	\N	\N
303359	1032	1995-05-31	VYDAJ	VYBER	15	40869	SLUZBY	\N	\N
303360	1032	1995-06-30	VYDAJ	VYBER	15	35280	SLUZBY	\N	\N
303361	1032	1995-07-31	VYDAJ	VYBER	15	53919	SLUZBY	\N	\N
303362	1032	1995-08-31	VYDAJ	VYBER	15	66624	SLUZBY	\N	\N
303363	1032	1995-09-30	VYDAJ	VYBER	15	30712	SLUZBY	\N	\N
303364	1032	1995-10-31	VYDAJ	VYBER	15	59463	SLUZBY	\N	\N
303365	1032	1995-11-30	VYDAJ	VYBER	15	67615	SLUZBY	\N	\N
303366	1032	1995-12-31	VYDAJ	VYBER	15	47163	SLUZBY	\N	\N
303367	1032	1996-01-31	VYDAJ	VYBER	15	24436	SLUZBY	\N	\N
303368	1032	1996-02-29	VYDAJ	VYBER	15	34021	SLUZBY	\N	\N
303369	1032	1996-03-31	VYDAJ	VYBER	15	35674	SLUZBY	\N	\N
303370	1032	1996-04-30	VYDAJ	VYBER	15	32377	SLUZBY	\N	\N
303371	1032	1996-05-31	VYDAJ	VYBER	15	42477	SLUZBY	\N	\N
303372	1032	1996-06-30	VYDAJ	VYBER	15	37867	SLUZBY	\N	\N
303373	1032	1996-07-31	VYDAJ	VYBER	15	35263	SLUZBY	\N	\N
303374	1032	1996-08-31	VYDAJ	VYBER	15	43410	SLUZBY	\N	\N
303375	1032	1996-09-30	VYDAJ	VYBER	15	64309	SLUZBY	\N	\N
303376	1032	1996-10-31	VYDAJ	VYBER	15	46864	SLUZBY	\N	\N
303377	1032	1996-11-30	VYDAJ	VYBER	15	70388	SLUZBY	\N	\N
303378	1032	1996-12-31	VYDAJ	VYBER	15	59820	SLUZBY	\N	\N
303379	1032	1997-01-31	VYDAJ	VYBER	15	30954	SLUZBY	\N	\N
303380	1032	1997-02-28	VYDAJ	VYBER	15	48497	SLUZBY	\N	\N
303381	1032	1997-03-31	VYDAJ	VYBER	15	60301	SLUZBY	\N	\N
303382	1032	1997-04-30	VYDAJ	VYBER	15	53322	SLUZBY	\N	\N
303383	1032	1997-05-31	VYDAJ	VYBER	15	71668	SLUZBY	\N	\N
303384	1032	1997-06-30	VYDAJ	VYBER	15	85388	SLUZBY	\N	\N
303385	1032	1997-07-31	VYDAJ	VYBER	15	97576	SLUZBY	\N	\N
303386	1032	1997-08-31	VYDAJ	VYBER	15	49373	SLUZBY	\N	\N
303387	1032	1997-09-30	VYDAJ	VYBER	15	70361	SLUZBY	\N	\N
303388	1032	1997-10-31	VYDAJ	VYBER	15	107935	SLUZBY	\N	\N
303389	1032	1997-11-30	VYDAJ	VYBER	15	61776	SLUZBY	\N	\N
303390	1032	1997-12-31	VYDAJ	VYBER	15	62742	SLUZBY	\N	\N
303391	1032	1998-01-31	VYDAJ	VYBER	15	47698	SLUZBY	\N	\N
303392	1032	1998-02-28	VYDAJ	VYBER	15	75942	SLUZBY	\N	\N
303393	1032	1998-03-31	VYDAJ	VYBER	15	108620	SLUZBY	\N	\N
303394	1032	1998-04-30	VYDAJ	VYBER	15	70262	SLUZBY	\N	\N
303395	1032	1998-05-31	VYDAJ	VYBER	15	79501	SLUZBY	\N	\N
303396	1032	1998-06-30	VYDAJ	VYBER	15	61553	SLUZBY	\N	\N
303397	1032	1998-07-31	VYDAJ	VYBER	15	74003	SLUZBY	\N	\N
303398	1032	1998-08-31	VYDAJ	VYBER	15	77553	SLUZBY	\N	\N
303399	1032	1998-09-30	VYDAJ	VYBER	15	66837	SLUZBY	\N	\N
303400	1032	1998-10-31	VYDAJ	VYBER	15	78967	SLUZBY	\N	\N
303401	1032	1998-11-30	VYDAJ	VYBER	15	73379	SLUZBY	\N	\N
303402	1032	1993-05-26	VYDAJ	VYBER	12000	38165	\N	\N	\N
303403	1032	1993-06-05	VYDAJ	VYBER	24500	88344	\N	\N	\N
303404	1032	1993-06-25	VYDAJ	VYBER	31600	56744	\N	\N	\N
303405	1032	1993-07-05	VYDAJ	VYBER	39800	67023	\N	\N	\N
303406	1032	1993-07-25	VYDAJ	VYBER	20800	46223	\N	\N	\N
303407	1032	1993-08-24	VYDAJ	VYBER	36500	59849	\N	\N	\N
303408	1032	1993-09-05	VYDAJ	VYBER	29000	80822	\N	\N	\N
303409	1032	1993-09-23	VYDAJ	VYBER	27300	53522	\N	\N	\N
303410	1032	1993-10-23	VYDAJ	VYBER	37500	66067	\N	\N	\N
303411	1032	1993-11-05	VYDAJ	VYBER	54400	61657	\N	\N	\N
303412	1032	1993-11-22	VYDAJ	VYBER	13000	33957	\N	\N	\N
303413	1032	1993-12-05	VYDAJ	VYBER	64600	44201	\N	\N	\N
303414	1032	1993-12-22	VYDAJ	VYBER	6600	28901	\N	\N	\N
303415	1032	1994-01-21	PRIJEM	VKLAD	3800	50530	\N	\N	\N
303416	1032	1994-02-20	VYDAJ	VYBER	12700	42544	\N	\N	\N
303417	1032	1994-03-22	VYDAJ	VYBER	26800	48973	\N	\N	\N
303418	1032	1994-04-21	VYDAJ	VYBER	33700	57363	\N	\N	\N
303419	1032	1994-05-05	VYDAJ	VYBER	27400	79959	\N	\N	\N
303420	1032	1994-05-21	VYDAJ	VYBER	26700	53259	\N	\N	\N
303421	1032	1994-06-05	VYDAJ	VYBER	26000	102174	\N	\N	\N
303422	1032	1994-06-20	VYDAJ	VYBER	2700	84774	\N	\N	\N
303423	1032	1994-07-20	VYDAJ	VYBER	13300	43527	\N	\N	\N
303424	1032	1994-08-19	VYDAJ	VYBER	21100	57023	\N	\N	\N
303425	1032	1994-09-18	VYDAJ	VYBER	39500	64479	\N	\N	\N
303426	1032	1994-10-05	VYDAJ	VYBER	60200	54274	\N	\N	\N
303427	1032	1994-10-18	VYDAJ	VYBER	11900	39275	\N	\N	\N
303428	1032	1994-11-17	VYDAJ	VYBER	25200	53245	\N	\N	\N
303429	1032	1994-12-05	VYDAJ	VYBER	61600	58520	\N	\N	\N
303430	1032	1994-12-17	VYDAJ	VYBER	8800	44620	\N	\N	\N
303431	1032	1995-01-16	VYDAJ	VYBER	27400	58777	\N	\N	\N
303432	1032	1995-02-15	VYDAJ	VYBER	27400	57691	\N	\N	\N
303433	1032	1995-03-17	VYDAJ	VYBER	38700	68935	\N	\N	\N
303434	1032	1995-04-05	VYDAJ	VYBER	23300	95649	\N	\N	\N
303435	1032	1995-04-16	VYDAJ	VYBER	28300	59849	\N	\N	\N
303436	1032	1995-05-05	VYDAJ	VYBER	60200	49702	\N	\N	\N
303437	1032	1995-05-16	VYDAJ	VYBER	9100	40602	\N	\N	\N
303438	1032	1995-06-05	VYDAJ	VYBER	54400	61117	\N	\N	\N
303439	1032	1995-06-15	PRIJEM	VKLAD	2200	51617	\N	\N	\N
303440	1032	1995-07-15	VYDAJ	VYBER	23000	53711	\N	\N	\N
303441	1032	1995-08-14	VYDAJ	VYBER	37300	66384	\N	\N	\N
303442	1032	1995-09-05	VYDAJ	VYBER	54100	62289	\N	\N	\N
303443	1032	1995-09-13	VYDAJ	VYBER	10500	39489	\N	\N	\N
303444	1032	1995-10-13	VYDAJ	VYBER	21200	59277	\N	\N	\N
303445	1032	1995-11-12	VYDAJ	VYBER	33200	67328	\N	\N	\N
303446	1032	1995-12-05	VYDAJ	VYBER	57000	81363	\N	\N	\N
303447	1032	1995-12-12	VYDAJ	VYBER	24000	57363	\N	\N	\N
303448	1032	1996-01-11	VYDAJ	VYBER	24100	64428	\N	\N	\N
303449	1032	1996-02-10	VYDAJ	VYBER	12600	43659	\N	\N	\N
303450	1032	1996-03-11	VYDAJ	VYBER	25100	58686	\N	\N	\N
303451	1032	1996-04-10	VYDAJ	VYBER	25700	59739	\N	\N	\N
303452	1032	1996-05-10	VYDAJ	VYBER	26100	56042	\N	\N	\N
303453	1032	1996-06-05	VYDAJ	VYBER	42400	74725	\N	\N	\N
303454	1032	1996-06-09	VYDAJ	VYBER	22400	52325	\N	\N	\N
303455	1032	1996-07-09	VYDAJ	VYBER	27700	59932	\N	\N	\N
303456	1032	1996-08-08	VYDAJ	VYBER	24100	56428	\N	\N	\N
303457	1032	1996-09-07	VYDAJ	VYBER	29100	64075	\N	\N	\N
303458	1032	1996-10-05	VYDAJ	VYBER	55700	58374	\N	\N	\N
303459	1032	1996-10-07	VYDAJ	VYBER	11700	46674	\N	\N	\N
303460	1032	1996-11-06	VYDAJ	VYBER	26500	70129	\N	\N	\N
303461	1032	1996-12-05	VYDAJ	VYBER	23700	121336	\N	\N	\N
303462	1032	1996-12-06	VYDAJ	VYBER	26000	95336	\N	\N	\N
303463	1032	1996-12-06	VYDAJ	VYBER	24900	65036	\N	\N	\N
303464	1032	1997-01-05	VYDAJ	VYBER	23100	64982	\N	\N	\N
303465	1032	1997-02-04	PRIJEM	VKLAD	3000	33954	\N	\N	\N
303466	1032	1997-03-06	VYDAJ	VYBER	32800	65462	\N	\N	\N
303467	1032	1997-04-05	VYDAJ	VYBER	33200	76866	\N	\N	\N
303468	1032	1997-05-05	VYDAJ	VYBER	31800	71287	\N	\N	\N
303469	1032	1997-06-04	VYDAJ	VYBER	14000	57668	\N	\N	\N
303470	1032	1997-06-05	VYDAJ	VYBER	16700	115616	\N	\N	\N
303471	1032	1997-07-04	VYDAJ	VYBER	5200	47450	\N	\N	\N
303472	1032	1997-08-03	VYDAJ	VYBER	27300	70276	\N	\N	\N
303473	1032	1997-08-05	VYDAJ	VYBER	50300	69741	\N	\N	\N
303474	1032	1997-09-02	VYDAJ	VYBER KARTOU	1900	47473	\N	\N	0
303475	1032	1997-10-02	VYDAJ	VYBER	12600	57761	\N	\N	\N
303476	1032	1997-11-01	VYDAJ	VYBER	30800	77135	\N	\N	\N
303477	1032	1997-11-05	VYDAJ	VYBER	48000	78900	\N	\N	\N
303478	1032	1997-12-01	VYDAJ	VYBER	8800	52976	\N	\N	\N
303479	1032	1997-12-05	VYDAJ	VYBER	38600	89024	\N	\N	\N
303480	1032	1997-12-31	VYDAJ	VYBER	7900	54842	\N	\N	\N
303481	1032	1998-01-30	PRIJEM	VKLAD	3800	47459	\N	\N	\N
303482	1032	1998-03-01	VYDAJ	VYBER	15100	60842	\N	\N	\N
303483	1032	1998-03-31	VYDAJ	VYBER	33400	75220	\N	\N	\N
303484	1032	1998-04-05	VYDAJ	VYBER	23500	101485	\N	\N	\N
303485	1032	1998-04-30	VYDAJ	VYBER	12100	58162	\N	\N	\N
303486	1032	1998-05-30	VYDAJ	VYBER	28700	79227	\N	\N	\N
303487	1032	1998-06-05	VYDAJ	VYBER	48100	106049	\N	\N	\N
303488	1032	1998-06-29	VYDAJ	VYBER	15200	73808	\N	\N	\N
303489	1032	1998-07-29	VYDAJ	VYBER	29800	73718	\N	\N	\N
303490	1032	1998-08-05	VYDAJ	VYBER	15500	108268	\N	\N	\N
303491	1032	1998-08-28	VYDAJ	VYBER	26000	77168	\N	\N	\N
303492	1032	1998-09-05	VYDAJ	VYBER	41900	85418	\N	\N	\N
303493	1032	1998-09-27	VYDAJ	VYBER	18900	66518	\N	\N	\N
303494	1032	1998-10-27	VYDAJ	VYBER	37900	78702	\N	\N	\N
303495	1032	1998-11-05	VYDAJ	VYBER	29700	99032	\N	\N	\N
303496	1032	1998-11-26	VYDAJ	VYBER	26100	72932	\N	\N	\N
303497	1032	1998-12-05	VYDAJ	VYBER	22400	125627	\N	\N	\N
303566	1033	1997-08-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
303569	1033	1998-04-16	PRIJEM	VKLAD	17286	39386	\N	\N	\N
303570	1033	1998-06-30	PRIJEM	VKLAD	6463	37059	\N	\N	\N
303626	1033	1997-09-04	PRIJEM	VKLAD	14400	15500	\N	\N	\N
303627	1033	1997-10-04	PRIJEM	VKLAD	6200	21700	\N	\N	\N
303628	1033	1997-11-03	PRIJEM	VKLAD	3900	25600	\N	\N	\N
303629	1033	1997-12-03	PRIJEM	VKLAD	3100	28700	\N	\N	\N
303630	1033	1998-01-02	VYDAJ	VYBER	5200	23500	\N	\N	\N
303631	1033	1998-02-01	VYDAJ	VYBER	4200	19300	\N	\N	\N
303632	1033	1998-03-03	VYDAJ	VYBER	400	18900	\N	\N	\N
303633	1033	1998-04-02	PRIJEM	VKLAD	3200	22100	\N	\N	\N
303634	1033	1998-05-02	VYDAJ	VYBER	5700	33768	\N	\N	\N
303635	1033	1998-06-01	VYDAJ	VYBER	3500	30432	\N	\N	\N
303636	1033	1998-07-01	VYDAJ	VYBER	8400	28659	\N	\N	\N
303637	1033	1998-07-31	VYDAJ	VYBER	3200	25612	\N	\N	\N
303638	1033	1998-08-30	VYDAJ	VYBER	500	25112	\N	\N	\N
303639	1033	1998-09-29	VYDAJ	VYBER	900	24319	\N	\N	\N
303640	1033	1998-10-29	VYDAJ	VYBER	2100	22325	\N	\N	\N
303641	1033	1998-11-28	VYDAJ	VYBER	4300	18132	\N	\N	\N
303649	1034	1997-04-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
303653	1034	1997-04-12	PRIJEM	VKLAD	6329	7429	\N	\N	\N
303654	1034	1997-05-12	PRIJEM	VKLAD	6329	24478	\N	\N	\N
303655	1034	1997-06-12	PRIJEM	VKLAD	9494	38148	\N	\N	\N
303656	1034	1997-07-12	PRIJEM	VKLAD	6329	41515	\N	\N	\N
303657	1034	1997-08-12	PRIJEM	VKLAD	6329	42812	\N	\N	\N
303658	1034	1997-09-12	PRIJEM	VKLAD	6329	40084	\N	\N	\N
303659	1034	1997-10-12	PRIJEM	VKLAD	6329	41546	\N	\N	\N
303660	1034	1997-11-12	PRIJEM	VKLAD	6329	41510	\N	\N	\N
303661	1034	1997-12-12	PRIJEM	VKLAD	9494	40077	\N	\N	\N
303662	1034	1998-01-12	PRIJEM	VKLAD	6329	29371	\N	\N	\N
303663	1034	1998-02-12	PRIJEM	VKLAD	6329	32468	\N	\N	\N
303664	1034	1998-03-12	PRIJEM	VKLAD	6329	29730	\N	\N	\N
303665	1034	1998-04-12	PRIJEM	VKLAD	6329	29145	\N	\N	\N
303666	1034	1998-05-12	PRIJEM	VKLAD	6329	26758	\N	\N	\N
303667	1034	1998-06-12	PRIJEM	VKLAD	9494	26924	\N	\N	\N
303668	1034	1998-07-12	PRIJEM	VKLAD	6329	24021	\N	\N	\N
303669	1034	1998-08-12	PRIJEM	VKLAD	6329	22211	\N	\N	\N
303670	1034	1998-09-12	PRIJEM	VKLAD	6329	20393	\N	\N	\N
303671	1034	1998-10-12	PRIJEM	VKLAD	6329	16484	\N	\N	\N
303672	1034	1998-11-12	PRIJEM	VKLAD	6329	16679	\N	\N	\N
303673	1034	1998-12-12	PRIJEM	VKLAD	9494	25708	\N	\N	\N
303682	1034	1997-09-08	VYDAJ	PREVOD NA UCET	4219	33755	SIPO	EF	54495429
303683	1034	1997-10-08	VYDAJ	PREVOD NA UCET	4219	35217	SIPO	EF	54495429
303684	1034	1997-11-08	VYDAJ	PREVOD NA UCET	4219	35181	SIPO	EF	54495429
303685	1034	1997-12-08	VYDAJ	PREVOD NA UCET	4219	30583	SIPO	EF	54495429
303686	1034	1998-01-08	VYDAJ	PREVOD NA UCET	4219	28922	SIPO	EF	54495429
303687	1034	1998-02-08	VYDAJ	PREVOD NA UCET	4219	26139	SIPO	EF	54495429
303688	1034	1998-03-08	VYDAJ	PREVOD NA UCET	4219	23401	SIPO	EF	54495429
303689	1034	1998-04-08	VYDAJ	PREVOD NA UCET	4219	22816	SIPO	EF	54495429
303690	1034	1998-05-08	VYDAJ	PREVOD NA UCET	4219	20429	SIPO	EF	54495429
303691	1034	1998-06-08	VYDAJ	PREVOD NA UCET	4219	17430	SIPO	EF	54495429
303692	1034	1998-07-08	VYDAJ	PREVOD NA UCET	4219	17692	SIPO	EF	54495429
303693	1034	1998-08-08	VYDAJ	PREVOD NA UCET	4219	15882	SIPO	EF	54495429
303694	1034	1998-09-08	VYDAJ	PREVOD NA UCET	4219	14064	SIPO	EF	54495429
303695	1034	1998-10-08	VYDAJ	PREVOD NA UCET	4219	10155	SIPO	EF	54495429
303696	1034	1998-11-08	VYDAJ	PREVOD NA UCET	4219	10350	SIPO	EF	54495429
303697	1034	1998-12-08	VYDAJ	PREVOD NA UCET	4219	16214	SIPO	EF	54495429
303701	1034	1998-01-04	VYDAJ	VYBER	3200	36621	\N	\N	\N
303702	1034	1997-12-08	VYDAJ	VYBER	1920	34802	\N	\N	\N
303703	1034	1998-12-13	VYDAJ	VYBER	960	24748	\N	\N	\N
303710	1034	1998-01-06	VYDAJ	VYBER	3480	33141	\N	\N	\N
303711	1034	1998-01-17	VYDAJ	VYBER	3360	25411	\N	\N	\N
303712	1034	1998-01-20	VYDAJ	VYBER	960	24451	\N	\N	\N
303713	1034	1998-01-10	VYDAJ	VYBER	3480	23042	\N	\N	\N
303714	1034	1998-01-10	VYDAJ	VYBER	2400	26522	\N	\N	\N
303715	1034	1998-01-16	VYDAJ	VYBER	600	28771	\N	\N	\N
303716	1034	1997-12-26	VYDAJ	VYBER	600	39477	\N	\N	\N
303717	1034	1997-11-25	VYDAJ	VYBER	3840	37670	\N	\N	\N
303720	1034	1998-10-03	VYDAJ	VYBER	1440	14374	\N	\N	\N
303721	1034	1998-10-17	VYDAJ	VYBER	2760	13724	\N	\N	\N
303722	1034	1998-02-23	VYDAJ	VYBER	5760	26708	\N	\N	\N
303723	1034	1998-09-21	VYDAJ	VYBER	3840	16553	\N	\N	\N
303732	1034	1997-08-31	VYDAJ	VYBER	15	42974	SLUZBY	\N	\N
303733	1034	1997-09-30	VYDAJ	VYBER	15	40236	SLUZBY	\N	\N
303734	1034	1997-10-31	VYDAJ	VYBER	15	39400	SLUZBY	\N	\N
303735	1034	1997-11-30	VYDAJ	VYBER	15	37822	SLUZBY	\N	\N
303736	1034	1997-12-31	VYDAJ	VYBER	15	39821	SLUZBY	\N	\N
303737	1034	1998-01-31	VYDAJ	VYBER	15	30358	SLUZBY	\N	\N
303738	1034	1998-02-28	VYDAJ	VYBER	15	27620	SLUZBY	\N	\N
303739	1034	1998-03-31	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
303740	1034	1998-04-30	VYDAJ	VYBER	15	24648	SLUZBY	\N	\N
303741	1034	1998-05-31	VYDAJ	VYBER	15	21649	SLUZBY	\N	\N
303742	1034	1998-06-30	VYDAJ	VYBER	15	21911	SLUZBY	\N	\N
303743	1034	1998-07-31	VYDAJ	VYBER	15	20101	SLUZBY	\N	\N
303744	1034	1998-08-31	VYDAJ	VYBER	15	18283	SLUZBY	\N	\N
303745	1034	1998-09-30	VYDAJ	VYBER	15	15814	SLUZBY	\N	\N
303746	1034	1998-10-31	VYDAJ	VYBER	15	14569	SLUZBY	\N	\N
303747	1034	1998-11-30	VYDAJ	VYBER	15	20433	SLUZBY	\N	\N
303748	1034	1997-05-04	PRIJEM	VKLAD	10700	18149	\N	\N	\N
303749	1034	1997-06-03	PRIJEM	VKLAD	4100	28654	\N	\N	\N
303750	1034	1997-07-03	VYDAJ	VYBER	3100	35186	\N	\N	\N
303751	1034	1997-08-02	VYDAJ	VYBER	5200	36483	\N	\N	\N
303752	1034	1997-09-01	VYDAJ	VYBER	5000	37974	\N	\N	\N
303753	1034	1997-10-01	VYDAJ	VYBER	800	39436	\N	\N	\N
303754	1034	1997-10-31	VYDAJ	VYBER	2300	39414	\N	\N	\N
303755	1034	1997-11-30	VYDAJ	VYBER	1100	36722	\N	\N	\N
303756	1034	1997-12-30	PRIJEM	VKLAD	200	39677	\N	\N	\N
303757	1034	1998-01-29	PRIJEM	VKLAD	5800	30251	\N	\N	\N
303758	1034	1998-02-28	PRIJEM	VKLAD	800	27635	\N	\N	\N
303759	1034	1998-03-30	VYDAJ	VYBER	2800	26930	\N	\N	\N
303760	1034	1998-04-29	VYDAJ	VYBER	4600	24545	\N	\N	\N
303761	1034	1998-05-29	VYDAJ	VYBER	5200	21558	\N	\N	\N
303762	1034	1998-06-28	VYDAJ	VYBER	5100	21824	\N	\N	\N
303763	1034	1998-07-28	VYDAJ	VYBER	4000	20021	\N	\N	\N
303764	1034	1998-08-27	VYDAJ	VYBER	4000	18211	\N	\N	\N
303765	1034	1998-09-26	VYDAJ	VYBER	800	15753	\N	\N	\N
303766	1034	1998-10-26	PRIJEM	VKLAD	800	14524	\N	\N	\N
303767	1034	1998-11-25	PRIJEM	VKLAD	3700	20379	\N	\N	\N
303789	1035	1997-04-18	PRIJEM	VKLAD	700	700	\N	\N	\N
303794	1035	1997-05-05	PRIJEM	VKLAD	19020	19720	\N	\N	\N
303795	1035	1997-06-05	PRIJEM	VKLAD	28530	49590	\N	\N	\N
303796	1035	1997-07-05	PRIJEM	VKLAD	19020	56028	\N	\N	\N
303797	1035	1997-08-05	PRIJEM	VKLAD	19020	56703	\N	\N	\N
303798	1035	1997-09-05	PRIJEM	VKLAD	19020	58383	\N	\N	\N
303799	1035	1997-10-05	PRIJEM	VKLAD	19020	55631	\N	\N	\N
303800	1035	1997-11-05	PRIJEM	VKLAD	19020	57676	\N	\N	\N
303801	1035	1997-12-05	PRIJEM	VKLAD	28530	63760	\N	\N	\N
303802	1035	1998-01-05	PRIJEM	VKLAD	19020	47207	\N	\N	\N
303803	1035	1998-02-05	PRIJEM	VKLAD	19020	42505	\N	\N	\N
303804	1035	1998-03-05	PRIJEM	VKLAD	19020	52715	\N	\N	\N
303805	1035	1998-04-05	PRIJEM	VKLAD	19020	55453	\N	\N	\N
303806	1035	1998-05-05	PRIJEM	VKLAD	19020	61505	\N	\N	\N
303807	1035	1998-06-05	PRIJEM	VKLAD	28530	73983	\N	\N	\N
303808	1035	1998-07-05	PRIJEM	VKLAD	19020	61170	\N	\N	\N
303809	1035	1998-08-05	PRIJEM	VKLAD	19020	68348	\N	\N	\N
303810	1035	1998-09-05	PRIJEM	VKLAD	19020	69938	\N	\N	\N
303811	1035	1998-10-05	PRIJEM	VKLAD	19020	71434	\N	\N	\N
303812	1035	1998-11-05	PRIJEM	VKLAD	19020	68927	\N	\N	\N
303813	1035	1998-12-05	PRIJEM	VKLAD	28530	79727	\N	\N	\N
303822	1035	1997-09-14	VYDAJ	PREVOD NA UCET	2194	51247	SIPO	CD	68746489
303823	1035	1997-10-14	VYDAJ	PREVOD NA UCET	2194	48495	SIPO	CD	68746489
303824	1035	1997-11-14	VYDAJ	PREVOD NA UCET	2194	50540	SIPO	CD	68746489
303825	1035	1997-12-14	VYDAJ	PREVOD NA UCET	2194	35824	SIPO	CD	68746489
303826	1035	1998-01-14	VYDAJ	PREVOD NA UCET	2194	30171	SIPO	CD	68746489
303827	1035	1998-02-14	VYDAJ	PREVOD NA UCET	2194	34369	SIPO	CD	68746489
303828	1035	1998-03-14	VYDAJ	PREVOD NA UCET	2194	36279	SIPO	CD	68746489
303829	1035	1998-04-14	VYDAJ	PREVOD NA UCET	2194	42317	SIPO	CD	68746489
303830	1035	1998-05-14	VYDAJ	PREVOD NA UCET	2194	45269	SIPO	CD	68746489
303831	1035	1998-06-14	VYDAJ	PREVOD NA UCET	2194	53347	SIPO	CD	68746489
303832	1035	1998-07-14	VYDAJ	PREVOD NA UCET	2194	49134	SIPO	CD	68746489
303833	1035	1998-08-14	VYDAJ	PREVOD NA UCET	2194	50712	SIPO	CD	68746489
303834	1035	1998-09-14	VYDAJ	PREVOD NA UCET	2194	52202	SIPO	CD	68746489
303835	1035	1998-10-14	VYDAJ	PREVOD NA UCET	2194	51498	SIPO	CD	68746489
303836	1035	1998-11-14	VYDAJ	PREVOD NA UCET	2194	50991	SIPO	CD	68746489
303837	1035	1998-12-14	VYDAJ	PREVOD NA UCET	2194	58391	SIPO	CD	68746489
303846	1035	1997-09-05	VYDAJ	PREVOD NA UCET	4942	53441	 	YZ	72017597
303847	1035	1997-10-05	VYDAJ	PREVOD NA UCET	4942	50689	 	YZ	72017597
303848	1035	1997-11-05	VYDAJ	PREVOD NA UCET	4942	52734	 	YZ	72017597
303849	1035	1997-12-05	VYDAJ	PREVOD NA UCET	4942	58818	 	YZ	72017597
303850	1035	1998-01-05	VYDAJ	PREVOD NA UCET	4942	42265	 	YZ	72017597
303851	1035	1998-02-05	VYDAJ	PREVOD NA UCET	4942	37563	 	YZ	72017597
303852	1035	1998-03-05	VYDAJ	PREVOD NA UCET	4942	47773	 	YZ	72017597
303853	1035	1998-04-05	VYDAJ	PREVOD NA UCET	4942	50511	 	YZ	72017597
303854	1035	1998-05-05	VYDAJ	PREVOD NA UCET	4942	56563	 	YZ	72017597
303855	1035	1998-06-05	VYDAJ	PREVOD NA UCET	4942	69041	 	YZ	72017597
303856	1035	1998-07-05	VYDAJ	PREVOD NA UCET	4942	56228	 	YZ	72017597
303857	1035	1998-08-05	VYDAJ	PREVOD NA UCET	4942	63406	 	YZ	72017597
303858	1035	1998-09-05	VYDAJ	PREVOD NA UCET	4942	64996	 	YZ	72017597
303859	1035	1998-10-05	VYDAJ	PREVOD NA UCET	4942	66492	 	YZ	72017597
303860	1035	1998-11-05	VYDAJ	PREVOD NA UCET	4942	63985	 	YZ	72017597
303861	1035	1998-12-05	VYDAJ	PREVOD NA UCET	4942	74785	 	YZ	72017597
303863	1035	1998-06-18	VYDAJ	VYBER	11400	41947	\N	\N	\N
303865	1035	1998-01-03	VYDAJ	VYBER	1800	28187	\N	\N	\N
303866	1035	1997-12-29	VYDAJ	VYBER	1600	29824	\N	\N	\N
303867	1035	1998-12-18	VYDAJ	VYBER KARTOU	2200	56191	\N	\N	0
303874	1035	1998-01-25	VYDAJ	VYBER	1400	24571	\N	\N	\N
303875	1035	1998-01-22	VYDAJ	VYBER	2600	25971	\N	\N	\N
303876	1035	1998-01-20	VYDAJ	VYBER	1600	28571	\N	\N	\N
303877	1035	1998-01-25	VYDAJ	VYBER	1200	23371	\N	\N	\N
303878	1035	1998-01-06	VYDAJ	VYBER	600	41665	\N	\N	\N
303879	1035	1998-01-07	VYDAJ	VYBER	2900	38765	\N	\N	\N
303881	1035	1997-09-25	VYDAJ	VYBER	1200	36447	\N	\N	\N
303883	1035	1997-12-12	VYDAJ	VYBER	3800	55018	\N	\N	\N
303885	1035	1997-09-15	VYDAJ	VYBER	2800	48447	\N	\N	\N
303886	1035	1997-12-29	VYDAJ	VYBER	4400	31424	\N	\N	\N
303888	1035	1998-10-09	VYDAJ	VYBER	4100	62392	\N	\N	\N
303889	1035	1998-10-23	VYDAJ	VYBER	1800	49698	\N	\N	\N
303890	1035	1998-02-25	VYDAJ	VYBER	800	33569	\N	\N	\N
303900	1035	1997-09-30	VYDAJ	VYBER	15	36611	SLUZBY	\N	\N
303901	1035	1997-10-31	VYDAJ	VYBER	15	38656	SLUZBY	\N	\N
303902	1035	1997-11-30	VYDAJ	VYBER	15	35230	SLUZBY	\N	\N
303903	1035	1997-12-31	VYDAJ	VYBER	15	29987	SLUZBY	\N	\N
303904	1035	1998-01-31	VYDAJ	VYBER	15	23485	SLUZBY	\N	\N
303905	1035	1998-02-28	VYDAJ	VYBER	15	33695	SLUZBY	\N	\N
303906	1035	1998-03-31	VYDAJ	VYBER	15	36433	SLUZBY	\N	\N
303907	1035	1998-04-30	VYDAJ	VYBER	15	42485	SLUZBY	\N	\N
303908	1035	1998-05-31	VYDAJ	VYBER	15	45453	SLUZBY	\N	\N
303909	1035	1998-06-30	VYDAJ	VYBER	15	42150	SLUZBY	\N	\N
303910	1035	1998-07-31	VYDAJ	VYBER	15	49328	SLUZBY	\N	\N
303911	1035	1998-08-31	VYDAJ	VYBER	15	50918	SLUZBY	\N	\N
303912	1035	1998-09-30	VYDAJ	VYBER	15	52414	SLUZBY	\N	\N
303913	1035	1998-10-31	VYDAJ	VYBER	15	49907	SLUZBY	\N	\N
303914	1035	1998-11-30	VYDAJ	VYBER	15	51197	SLUZBY	\N	\N
303915	1035	1997-05-18	PRIJEM	VKLAD	1300	21020	\N	\N	\N
303916	1035	1997-06-17	VYDAJ	VYBER	12700	36890	\N	\N	\N
303917	1035	1997-07-17	VYDAJ	VYBER	18500	37528	\N	\N	\N
303918	1035	1997-08-16	VYDAJ	VYBER	17500	39203	\N	\N	\N
303919	1035	1997-09-15	VYDAJ	VYBER	10800	37647	\N	\N	\N
303920	1035	1997-10-15	VYDAJ	VYBER	10000	38495	\N	\N	\N
303921	1035	1997-11-14	VYDAJ	VYBER	15500	35040	\N	\N	\N
303922	1035	1997-12-14	VYDAJ	VYBER	17000	38018	\N	\N	\N
303923	1035	1998-01-13	VYDAJ	VYBER	6400	32365	\N	\N	\N
303924	1035	1998-02-12	VYDAJ	VYBER	1000	36563	\N	\N	\N
303925	1035	1998-03-14	VYDAJ	VYBER	9300	38473	\N	\N	\N
303926	1035	1998-04-13	VYDAJ	VYBER	6000	44511	\N	\N	\N
303927	1035	1998-05-13	VYDAJ	VYBER	9100	47463	\N	\N	\N
303928	1035	1998-06-12	VYDAJ	VYBER	13500	55541	\N	\N	\N
303929	1035	1998-07-12	VYDAJ	VYBER	4900	51328	\N	\N	\N
303930	1035	1998-08-11	VYDAJ	VYBER	10500	52906	\N	\N	\N
303931	1035	1998-09-10	VYDAJ	VYBER	10600	54396	\N	\N	\N
303932	1035	1998-10-10	VYDAJ	VYBER	8700	53692	\N	\N	\N
303933	1035	1998-11-09	VYDAJ	VYBER	10800	53185	\N	\N	\N
303934	1035	1998-12-09	VYDAJ	VYBER	14200	60585	\N	\N	\N
303955	1036	1996-01-18	PRIJEM	VKLAD	600	600	\N	\N	\N
303957	1036	1996-02-05	PRIJEM	VKLAD	24165	24765	\N	\N	\N
303958	1036	1996-03-05	PRIJEM	VKLAD	24165	47874	\N	\N	\N
303959	1036	1996-04-05	PRIJEM	VKLAD	24165	61063	\N	\N	\N
303960	1036	1996-05-05	PRIJEM	VKLAD	24165	65389	\N	\N	\N
303961	1036	1996-06-05	PRIJEM	VKLAD	36248	81015	\N	\N	\N
303962	1036	1996-07-05	PRIJEM	VKLAD	24165	64081	\N	\N	\N
303963	1036	1996-08-05	PRIJEM	VKLAD	24165	70727	\N	\N	\N
303964	1036	1996-09-05	PRIJEM	VKLAD	24165	72807	\N	\N	\N
303965	1036	1996-10-05	PRIJEM	VKLAD	24165	71467	\N	\N	\N
303966	1036	1996-11-05	PRIJEM	VKLAD	24165	69520	\N	\N	\N
303967	1036	1996-12-05	PRIJEM	VKLAD	36248	82953	\N	\N	\N
303968	1036	1997-01-05	PRIJEM	VKLAD	24165	70219	\N	\N	\N
303969	1036	1997-02-05	PRIJEM	VKLAD	24165	60676	\N	\N	\N
303970	1036	1997-03-05	PRIJEM	VKLAD	24165	62389	\N	\N	\N
303971	1036	1997-04-05	PRIJEM	VKLAD	24165	69624	\N	\N	\N
303972	1036	1997-05-05	PRIJEM	VKLAD	24165	72519	\N	\N	\N
303973	1036	1997-06-05	PRIJEM	VKLAD	36248	86663	\N	\N	\N
303974	1036	1997-07-05	PRIJEM	VKLAD	24165	68142	\N	\N	\N
303975	1036	1997-08-05	PRIJEM	VKLAD	24165	70989	\N	\N	\N
303976	1036	1997-09-05	PRIJEM	VKLAD	24165	72451	\N	\N	\N
303977	1036	1997-10-05	PRIJEM	VKLAD	24165	73612	\N	\N	\N
303978	1036	1997-11-05	PRIJEM	VKLAD	24165	72786	\N	\N	\N
303979	1036	1997-12-05	PRIJEM	VKLAD	36248	88639	\N	\N	\N
303980	1036	1998-01-05	PRIJEM	VKLAD	24165	85744	\N	\N	\N
303981	1036	1998-02-05	PRIJEM	VKLAD	24165	70727	\N	\N	\N
303982	1036	1998-03-05	PRIJEM	VKLAD	24165	75795	\N	\N	\N
303983	1036	1998-04-05	PRIJEM	VKLAD	24165	78776	\N	\N	\N
303984	1036	1998-05-05	PRIJEM	VKLAD	24165	80365	\N	\N	\N
303985	1036	1998-06-05	PRIJEM	VKLAD	36248	85116	\N	\N	\N
303986	1036	1998-07-05	PRIJEM	VKLAD	24165	76298	\N	\N	\N
303987	1036	1998-08-05	PRIJEM	VKLAD	24165	73763	\N	\N	\N
303988	1036	1998-09-05	PRIJEM	VKLAD	24165	67555	\N	\N	\N
303989	1036	1998-10-05	PRIJEM	VKLAD	24165	71572	\N	\N	\N
303990	1036	1998-11-05	PRIJEM	VKLAD	24165	73409	\N	\N	\N
303991	1036	1998-12-05	PRIJEM	VKLAD	36248	84432	\N	\N	\N
303997	1036	1996-06-12	VYDAJ	PREVOD NA UCET	4095	76920	SIPO	OP	5921757
303998	1036	1996-07-12	VYDAJ	PREVOD NA UCET	4095	59986	SIPO	OP	5921757
303999	1036	1996-08-12	VYDAJ	PREVOD NA UCET	4095	65132	SIPO	OP	5921757
304000	1036	1996-09-12	VYDAJ	PREVOD NA UCET	4095	68712	SIPO	OP	5921757
304001	1036	1996-10-12	VYDAJ	PREVOD NA UCET	4095	67372	SIPO	OP	5921757
304002	1036	1996-11-12	VYDAJ	PREVOD NA UCET	4095	65425	SIPO	OP	5921757
304003	1036	1996-12-12	VYDAJ	PREVOD NA UCET	4095	78358	SIPO	OP	5921757
304004	1036	1997-01-12	VYDAJ	PREVOD NA UCET	4095	46724	SIPO	OP	5921757
304005	1036	1997-02-12	VYDAJ	PREVOD NA UCET	4095	38081	SIPO	OP	5921757
304006	1036	1997-03-12	VYDAJ	PREVOD NA UCET	4095	58294	SIPO	OP	5921757
304007	1036	1997-04-12	VYDAJ	PREVOD NA UCET	4095	65529	SIPO	OP	5921757
304008	1036	1997-05-12	VYDAJ	PREVOD NA UCET	4095	68424	SIPO	OP	5921757
304009	1036	1997-06-12	VYDAJ	PREVOD NA UCET	4095	57068	SIPO	OP	5921757
304010	1036	1997-07-12	VYDAJ	PREVOD NA UCET	4095	50047	SIPO	OP	5921757
304011	1036	1997-08-12	VYDAJ	PREVOD NA UCET	4095	52794	SIPO	OP	5921757
304012	1036	1997-09-12	VYDAJ	PREVOD NA UCET	4095	49256	SIPO	OP	5921757
304013	1036	1997-10-12	VYDAJ	PREVOD NA UCET	4095	51717	SIPO	OP	5921757
304014	1036	1997-11-12	VYDAJ	PREVOD NA UCET	4095	52191	SIPO	OP	5921757
304015	1036	1997-12-12	VYDAJ	PREVOD NA UCET	4095	61844	SIPO	OP	5921757
304016	1036	1998-01-12	VYDAJ	PREVOD NA UCET	4095	59649	SIPO	OP	5921757
304017	1036	1998-02-12	VYDAJ	PREVOD NA UCET	4095	51432	SIPO	OP	5921757
304018	1036	1998-03-12	VYDAJ	PREVOD NA UCET	4095	54400	SIPO	OP	5921757
304019	1036	1998-04-12	VYDAJ	PREVOD NA UCET	4095	55981	SIPO	OP	5921757
304020	1036	1998-05-12	VYDAJ	PREVOD NA UCET	4095	50570	SIPO	OP	5921757
304021	1036	1998-06-12	VYDAJ	PREVOD NA UCET	4095	55521	SIPO	OP	5921757
304022	1036	1998-07-12	VYDAJ	PREVOD NA UCET	4095	49403	SIPO	OP	5921757
304023	1036	1998-08-12	VYDAJ	PREVOD NA UCET	4095	52968	SIPO	OP	5921757
304024	1036	1998-09-12	VYDAJ	PREVOD NA UCET	4095	63460	SIPO	OP	5921757
304025	1036	1998-10-12	VYDAJ	PREVOD NA UCET	4095	67477	SIPO	OP	5921757
304026	1036	1998-11-12	VYDAJ	PREVOD NA UCET	4095	69314	SIPO	OP	5921757
304027	1036	1998-12-12	VYDAJ	PREVOD NA UCET	4095	78637	SIPO	OP	5921757
304028	1036	1996-06-25	VYDAJ	VYBER	13400	39720	\N	\N	\N
304029	1036	1997-06-28	VYDAJ	VYBER	13300	43768	\N	\N	\N
304030	1036	1998-06-27	VYDAJ	VYBER KARTOU	3600	51921	\N	\N	0
304032	1036	1997-01-25	VYDAJ	VYBER	1100	37724	\N	\N	\N
304033	1036	1998-01-21	VYDAJ	VYBER	4400	48849	\N	\N	\N
304034	1036	1996-12-18	VYDAJ	VYBER	2700	50358	\N	\N	\N
304035	1036	1997-12-16	VYDAJ	VYBER KARTOU	500	61344	\N	\N	0
304036	1036	1998-12-24	VYDAJ	VYBER KARTOU	700	77937	\N	\N	0
304043	1036	1997-01-03	VYDAJ	VYBER	1000	47054	\N	\N	\N
304044	1036	1997-01-27	VYDAJ	VYBER	1400	36324	\N	\N	\N
304045	1036	1997-01-03	VYDAJ	VYBER	1000	46054	\N	\N	\N
304046	1036	1997-01-23	VYDAJ	VYBER	2000	38824	\N	\N	\N
304047	1036	1997-01-15	VYDAJ	VYBER	1100	42324	\N	\N	\N
304048	1036	1997-01-20	VYDAJ	VYBER	1500	40824	\N	\N	\N
304049	1036	1998-01-12	VYDAJ	VYBER KARTOU	800	58849	\N	\N	0
304050	1036	1998-01-30	VYDAJ	VYBER KARTOU	500	46349	\N	\N	0
304051	1036	1998-01-21	VYDAJ	VYBER KARTOU	2000	46849	\N	\N	0
304052	1036	1998-01-14	VYDAJ	VYBER KARTOU	1500	55749	\N	\N	0
304053	1036	1998-01-17	VYDAJ	VYBER KARTOU	2500	53249	\N	\N	0
304054	1036	1998-01-13	VYDAJ	VYBER KARTOU	1600	57249	\N	\N	0
304055	1036	1996-12-11	VYDAJ	VYBER	500	82453	\N	\N	\N
304056	1036	1996-12-22	VYDAJ	VYBER	2500	47858	\N	\N	\N
304057	1036	1996-08-06	VYDAJ	VYBER	1500	69227	\N	\N	\N
304059	1036	1997-07-13	VYDAJ	VYBER	3400	46647	\N	\N	\N
304060	1036	1997-10-21	VYDAJ	VYBER KARTOU	3300	48417	\N	\N	0
304061	1036	1997-10-06	VYDAJ	VYBER KARTOU	1100	72512	\N	\N	0
304062	1036	1997-01-12	VYDAJ	VYBER	3300	43424	\N	\N	\N
304063	1036	1997-08-22	VYDAJ	VYBER	4700	48094	\N	\N	\N
304064	1036	1998-11-01	VYDAJ	VYBER KARTOU	1900	65844	\N	\N	0
304065	1036	1998-12-09	VYDAJ	VYBER KARTOU	1700	82732	\N	\N	0
304066	1036	1998-01-07	VYDAJ	VYBER KARTOU	2900	82844	\N	\N	0
304067	1036	1998-05-14	VYDAJ	VYBER KARTOU	1900	48670	\N	\N	0
304074	1036	1996-06-30	VYDAJ	VYBER	15	39916	SLUZBY	\N	\N
304075	1036	1996-07-31	VYDAJ	VYBER	15	46562	SLUZBY	\N	\N
304076	1036	1996-08-31	VYDAJ	VYBER	15	48642	SLUZBY	\N	\N
304077	1036	1996-09-30	VYDAJ	VYBER	15	47302	SLUZBY	\N	\N
304078	1036	1996-10-31	VYDAJ	VYBER	15	45355	SLUZBY	\N	\N
304079	1036	1996-11-30	VYDAJ	VYBER	15	46705	SLUZBY	\N	\N
304080	1036	1996-12-31	VYDAJ	VYBER	15	48054	SLUZBY	\N	\N
304081	1036	1997-01-31	VYDAJ	VYBER	15	36511	SLUZBY	\N	\N
304082	1036	1997-02-28	VYDAJ	VYBER	15	38224	SLUZBY	\N	\N
304083	1036	1997-03-31	VYDAJ	VYBER	15	45459	SLUZBY	\N	\N
304084	1036	1997-04-30	VYDAJ	VYBER	15	48354	SLUZBY	\N	\N
304085	1036	1997-05-31	VYDAJ	VYBER	15	50415	SLUZBY	\N	\N
304086	1036	1997-06-30	VYDAJ	VYBER	15	43977	SLUZBY	\N	\N
304087	1036	1997-07-31	VYDAJ	VYBER	15	46824	SLUZBY	\N	\N
304088	1036	1997-08-31	VYDAJ	VYBER	15	48286	SLUZBY	\N	\N
304089	1036	1997-09-30	VYDAJ	VYBER	15	49447	SLUZBY	\N	\N
304090	1036	1997-10-31	VYDAJ	VYBER	15	48621	SLUZBY	\N	\N
304091	1036	1997-11-30	VYDAJ	VYBER	15	52391	SLUZBY	\N	\N
304092	1036	1997-12-31	VYDAJ	VYBER	15	61579	SLUZBY	\N	\N
304093	1036	1998-01-31	VYDAJ	VYBER	15	46562	SLUZBY	\N	\N
304094	1036	1998-02-28	VYDAJ	VYBER	15	51630	SLUZBY	\N	\N
304095	1036	1998-03-31	VYDAJ	VYBER	15	54611	SLUZBY	\N	\N
304096	1036	1998-04-30	VYDAJ	VYBER	15	56200	SLUZBY	\N	\N
304097	1036	1998-05-31	VYDAJ	VYBER	15	48868	SLUZBY	\N	\N
304098	1036	1998-06-30	VYDAJ	VYBER	15	52133	SLUZBY	\N	\N
304099	1036	1998-07-31	VYDAJ	VYBER	15	49598	SLUZBY	\N	\N
304100	1036	1998-08-31	VYDAJ	VYBER	15	53190	SLUZBY	\N	\N
304101	1036	1998-09-30	VYDAJ	VYBER	15	63707	SLUZBY	\N	\N
304102	1036	1998-10-31	VYDAJ	VYBER	15	67744	SLUZBY	\N	\N
304103	1036	1998-11-30	VYDAJ	VYBER	15	69584	SLUZBY	\N	\N
304104	1036	1996-02-17	VYDAJ	VYBER	1100	23665	\N	\N	\N
304105	1036	1996-03-18	VYDAJ	VYBER	11100	36774	\N	\N	\N
304106	1036	1996-04-17	VYDAJ	VYBER	20000	41063	\N	\N	\N
304107	1036	1996-05-17	VYDAJ	VYBER	20800	44589	\N	\N	\N
304108	1036	1996-06-16	VYDAJ	VYBER	23800	53120	\N	\N	\N
304109	1036	1996-07-16	VYDAJ	VYBER	13600	46386	\N	\N	\N
304110	1036	1996-08-15	VYDAJ	VYBER	16700	48432	\N	\N	\N
304111	1036	1996-09-14	VYDAJ	VYBER	21600	47112	\N	\N	\N
304112	1036	1996-10-14	VYDAJ	VYBER	22200	45172	\N	\N	\N
304113	1036	1996-11-13	VYDAJ	VYBER	18900	46525	\N	\N	\N
304114	1036	1996-12-13	VYDAJ	VYBER	25300	53058	\N	\N	\N
304115	1036	1997-01-12	VYDAJ	VYBER	19400	50819	\N	\N	\N
304116	1036	1997-02-11	VYDAJ	VYBER	18500	42176	\N	\N	\N
304117	1036	1997-03-13	VYDAJ	VYBER	13000	45294	\N	\N	\N
304118	1036	1997-04-12	VYDAJ	VYBER	17400	48129	\N	\N	\N
304119	1036	1997-05-12	VYDAJ	VYBER	18200	50224	\N	\N	\N
304120	1036	1997-06-11	VYDAJ	VYBER	25500	61163	\N	\N	\N
304121	1036	1997-07-11	VYDAJ	VYBER	14000	54142	\N	\N	\N
304122	1036	1997-08-10	VYDAJ	VYBER	14100	56889	\N	\N	\N
304123	1036	1997-09-09	VYDAJ	VYBER	19100	53351	\N	\N	\N
304124	1036	1997-10-09	VYDAJ	VYBER	16700	55812	\N	\N	\N
304125	1036	1997-11-08	VYDAJ	VYBER	16500	56286	\N	\N	\N
304126	1036	1997-12-08	VYDAJ	VYBER	22700	65939	\N	\N	\N
304127	1036	1998-01-07	VYDAJ	VYBER	19100	63744	\N	\N	\N
304128	1036	1998-02-06	VYDAJ	VYBER	15200	55527	\N	\N	\N
304129	1036	1998-03-08	VYDAJ	VYBER	17300	58495	\N	\N	\N
304130	1036	1998-04-07	VYDAJ	VYBER	18700	60076	\N	\N	\N
304131	1036	1998-05-07	VYDAJ	VYBER	25700	54665	\N	\N	\N
304132	1036	1998-06-06	VYDAJ	VYBER	25500	59616	\N	\N	\N
304133	1036	1998-07-06	VYDAJ	VYBER	22800	53498	\N	\N	\N
304134	1036	1998-08-05	VYDAJ	VYBER	16700	57063	\N	\N	\N
304135	1036	1998-09-04	VYDAJ	VYBER	9800	43390	\N	\N	\N
304136	1036	1998-10-04	VYDAJ	VYBER	16300	47407	\N	\N	\N
304137	1036	1998-11-03	VYDAJ	VYBER	16600	49244	\N	\N	\N
304138	1036	1998-12-03	VYDAJ	VYBER	21400	48184	\N	\N	\N
304174	1037	1997-02-18	PRIJEM	VKLAD	500	500	\N	\N	\N
304177	1037	1997-03-06	PRIJEM	VKLAD	18053	18553	\N	\N	\N
304178	1037	1997-04-06	PRIJEM	VKLAD	18053	39641	\N	\N	\N
304179	1037	1997-05-06	PRIJEM	VKLAD	18053	49500	\N	\N	\N
304180	1037	1997-06-06	PRIJEM	VKLAD	27080	65022	\N	\N	\N
304181	1037	1997-07-06	PRIJEM	VKLAD	18053	66451	\N	\N	\N
304182	1037	1997-08-06	PRIJEM	VKLAD	18053	59280	\N	\N	\N
304183	1037	1997-09-06	PRIJEM	VKLAD	18053	61094	\N	\N	\N
304184	1037	1997-10-06	PRIJEM	VKLAD	18053	62011	\N	\N	\N
304185	1037	1997-11-06	PRIJEM	VKLAD	18053	58931	\N	\N	\N
304186	1037	1997-12-06	PRIJEM	VKLAD	27080	71979	\N	\N	\N
304187	1037	1998-01-06	PRIJEM	VKLAD	18053	65625	\N	\N	\N
304188	1037	1998-02-06	PRIJEM	VKLAD	18053	65659	\N	\N	\N
304189	1037	1998-03-06	PRIJEM	VKLAD	18053	70400	\N	\N	\N
304190	1037	1998-04-06	PRIJEM	VKLAD	18053	70552	\N	\N	\N
304191	1037	1998-05-06	PRIJEM	VKLAD	18053	71605	\N	\N	\N
304192	1037	1998-06-06	PRIJEM	VKLAD	27080	82090	\N	\N	\N
304193	1037	1998-07-06	PRIJEM	VKLAD	18053	71360	\N	\N	\N
304194	1037	1998-08-06	PRIJEM	VKLAD	18053	74721	\N	\N	\N
304195	1037	1998-09-06	PRIJEM	VKLAD	18053	72883	\N	\N	\N
304196	1037	1998-10-06	PRIJEM	VKLAD	18053	76748	\N	\N	\N
304197	1037	1998-11-06	PRIJEM	VKLAD	18053	76617	\N	\N	\N
304198	1037	1998-12-06	PRIJEM	VKLAD	27080	84214	\N	\N	\N
304205	1037	1997-07-11	VYDAJ	PREVOD NA UCET	1062	63292	SIPO	ST	89659267
304206	1037	1997-08-11	VYDAJ	PREVOD NA UCET	1062	56121	SIPO	ST	89659267
304207	1037	1997-09-11	VYDAJ	PREVOD NA UCET	1062	57935	SIPO	ST	89659267
304208	1037	1997-10-11	VYDAJ	PREVOD NA UCET	1062	58852	SIPO	ST	89659267
304209	1037	1997-11-11	VYDAJ	PREVOD NA UCET	1062	55772	SIPO	ST	89659267
304210	1037	1997-12-11	VYDAJ	PREVOD NA UCET	1062	68820	SIPO	ST	89659267
304211	1037	1998-01-11	VYDAJ	PREVOD NA UCET	1062	62466	SIPO	ST	89659267
304212	1037	1998-02-11	VYDAJ	PREVOD NA UCET	1062	62500	SIPO	ST	89659267
304213	1037	1998-03-11	VYDAJ	PREVOD NA UCET	1062	67241	SIPO	ST	89659267
304214	1037	1998-04-11	VYDAJ	PREVOD NA UCET	1062	67393	SIPO	ST	89659267
304215	1037	1998-05-11	VYDAJ	PREVOD NA UCET	1062	68446	SIPO	ST	89659267
304216	1037	1998-06-11	VYDAJ	PREVOD NA UCET	1062	78931	SIPO	ST	89659267
304217	1037	1998-07-11	VYDAJ	PREVOD NA UCET	1062	68201	SIPO	ST	89659267
304218	1037	1998-08-11	VYDAJ	PREVOD NA UCET	1062	71562	SIPO	ST	89659267
304219	1037	1998-09-11	VYDAJ	PREVOD NA UCET	1062	58524	SIPO	ST	89659267
304220	1037	1998-10-11	VYDAJ	PREVOD NA UCET	1062	58389	SIPO	ST	89659267
304221	1037	1998-11-11	VYDAJ	PREVOD NA UCET	1062	60158	SIPO	ST	89659267
304222	1037	1998-12-11	VYDAJ	PREVOD NA UCET	1062	63755	SIPO	ST	89659267
304229	1037	1997-07-07	VYDAJ	PREVOD NA UCET	940	65511	 	UV	73314934
304230	1037	1997-08-07	VYDAJ	PREVOD NA UCET	940	58340	 	UV	73314934
304231	1037	1997-09-07	VYDAJ	PREVOD NA UCET	940	60154	 	UV	73314934
304232	1037	1997-10-07	VYDAJ	PREVOD NA UCET	940	61071	 	UV	73314934
304233	1037	1997-11-07	VYDAJ	PREVOD NA UCET	940	57991	 	UV	73314934
304234	1037	1997-12-07	VYDAJ	PREVOD NA UCET	940	71039	 	UV	73314934
304235	1037	1998-01-07	VYDAJ	PREVOD NA UCET	940	64685	 	UV	73314934
304236	1037	1998-02-07	VYDAJ	PREVOD NA UCET	940	64719	 	UV	73314934
304237	1037	1998-03-07	VYDAJ	PREVOD NA UCET	940	69460	 	UV	73314934
304238	1037	1998-04-07	VYDAJ	PREVOD NA UCET	940	69612	 	UV	73314934
304239	1037	1998-05-07	VYDAJ	PREVOD NA UCET	940	70665	 	UV	73314934
304240	1037	1998-06-07	VYDAJ	PREVOD NA UCET	940	81150	 	UV	73314934
304241	1037	1998-07-07	VYDAJ	PREVOD NA UCET	940	70420	 	UV	73314934
304242	1037	1998-08-07	VYDAJ	PREVOD NA UCET	940	73781	 	UV	73314934
304243	1037	1998-09-07	VYDAJ	PREVOD NA UCET	940	71943	 	UV	73314934
304244	1037	1998-10-07	VYDAJ	PREVOD NA UCET	940	75808	 	UV	73314934
304245	1037	1998-11-07	VYDAJ	PREVOD NA UCET	940	75677	 	UV	73314934
304246	1037	1998-12-07	VYDAJ	PREVOD NA UCET	940	83274	 	UV	73314934
304253	1037	1997-07-08	VYDAJ	PREVOD NA UCET	1157	64354	POJISTNE	EF	22177893
304254	1037	1997-08-08	VYDAJ	PREVOD NA UCET	1157	57183	POJISTNE	EF	22177893
304255	1037	1997-09-08	VYDAJ	PREVOD NA UCET	1157	58997	POJISTNE	EF	22177893
304256	1037	1997-10-08	VYDAJ	PREVOD NA UCET	1157	59914	POJISTNE	EF	22177893
304257	1037	1997-11-08	VYDAJ	PREVOD NA UCET	1157	56834	POJISTNE	EF	22177893
304258	1037	1997-12-08	VYDAJ	PREVOD NA UCET	1157	69882	POJISTNE	EF	22177893
304259	1037	1998-01-08	VYDAJ	PREVOD NA UCET	1157	63528	POJISTNE	EF	22177893
304260	1037	1998-02-08	VYDAJ	PREVOD NA UCET	1157	63562	POJISTNE	EF	22177893
304261	1037	1998-03-08	VYDAJ	PREVOD NA UCET	1157	68303	POJISTNE	EF	22177893
304262	1037	1998-04-08	VYDAJ	PREVOD NA UCET	1157	68455	POJISTNE	EF	22177893
304263	1037	1998-05-08	VYDAJ	PREVOD NA UCET	1157	69508	POJISTNE	EF	22177893
304264	1037	1998-06-08	VYDAJ	PREVOD NA UCET	1157	79993	POJISTNE	EF	22177893
304265	1037	1998-07-08	VYDAJ	PREVOD NA UCET	1157	69263	POJISTNE	EF	22177893
304266	1037	1998-08-08	VYDAJ	PREVOD NA UCET	1157	72624	POJISTNE	EF	22177893
304267	1037	1998-09-08	VYDAJ	PREVOD NA UCET	1157	70786	POJISTNE	EF	22177893
304268	1037	1998-10-08	VYDAJ	PREVOD NA UCET	1157	74651	POJISTNE	EF	22177893
304269	1037	1998-11-08	VYDAJ	PREVOD NA UCET	1157	74520	POJISTNE	EF	22177893
304270	1037	1998-12-08	VYDAJ	PREVOD NA UCET	1157	82117	POJISTNE	EF	22177893
304277	1037	1997-07-12	VYDAJ	PREVOD NA UCET	62	63230	 	CD	38512766
304278	1037	1997-08-12	VYDAJ	PREVOD NA UCET	62	56059	 	CD	38512766
304279	1037	1997-09-12	VYDAJ	PREVOD NA UCET	62	57873	 	CD	38512766
304280	1037	1997-10-12	VYDAJ	PREVOD NA UCET	62	58790	 	CD	38512766
304281	1037	1997-11-12	VYDAJ	PREVOD NA UCET	62	55710	 	CD	38512766
304282	1037	1997-12-12	VYDAJ	PREVOD NA UCET	62	68758	 	CD	38512766
304283	1037	1998-01-12	VYDAJ	PREVOD NA UCET	62	62404	 	CD	38512766
304284	1037	1998-02-12	VYDAJ	PREVOD NA UCET	62	62438	 	CD	38512766
304285	1037	1998-03-12	VYDAJ	PREVOD NA UCET	62	67179	 	CD	38512766
304286	1037	1998-04-12	VYDAJ	PREVOD NA UCET	62	67331	 	CD	38512766
304287	1037	1998-05-12	VYDAJ	PREVOD NA UCET	62	68384	 	CD	38512766
304288	1037	1998-06-12	VYDAJ	PREVOD NA UCET	62	78869	 	CD	38512766
304289	1037	1998-07-12	VYDAJ	PREVOD NA UCET	62	66239	 	CD	38512766
304290	1037	1998-08-12	VYDAJ	PREVOD NA UCET	62	70700	 	CD	38512766
304291	1037	1998-09-12	VYDAJ	PREVOD NA UCET	62	58462	 	CD	38512766
304292	1037	1998-10-12	VYDAJ	PREVOD NA UCET	62	58327	 	CD	38512766
304293	1037	1998-11-12	VYDAJ	PREVOD NA UCET	62	60096	 	CD	38512766
304294	1037	1998-12-12	VYDAJ	PREVOD NA UCET	62	63693	 	CD	38512766
304296	1037	1998-06-16	VYDAJ	VYBER	6200	57169	\N	\N	\N
304298	1037	1998-01-14	VYDAJ	VYBER	5300	57104	\N	\N	\N
304299	1037	1997-12-23	VYDAJ	VYBER	1700	50558	\N	\N	\N
304300	1037	1998-12-25	VYDAJ	VYBER KARTOU	2300	61393	\N	\N	0
304301	1037	1997-07-22	VYDAJ	VYBER	2900	41030	\N	\N	\N
304302	1037	1997-10-29	VYDAJ	VYBER	4600	40690	\N	\N	\N
304304	1037	1997-11-29	VYDAJ	VYBER	3700	44710	\N	\N	\N
304306	1037	1998-07-28	VYDAJ	VYBER KARTOU	1100	56439	\N	\N	0
304307	1037	1998-01-04	VYDAJ	VYBER	3200	47572	\N	\N	\N
304308	1037	1998-11-26	VYDAJ	VYBER KARTOU	3200	56896	\N	\N	0
304309	1037	1998-06-21	VYDAJ	VYBER	4100	53069	\N	\N	\N
304310	1037	1998-08-11	VYDAJ	VYBER KARTOU	800	70762	\N	\N	0
304311	1037	1998-07-12	VYDAJ	VYBER KARTOU	1900	66301	\N	\N	0
304312	1037	1998-05-17	VYDAJ	VYBER	1300	54784	\N	\N	\N
304313	1037	1998-08-21	VYDAJ	VYBER KARTOU	2800	54600	\N	\N	0
304321	1037	1997-07-31	VYDAJ	VYBER	15	41227	SLUZBY	\N	\N
304322	1037	1997-08-31	VYDAJ	VYBER	15	43041	SLUZBY	\N	\N
304323	1037	1997-09-30	VYDAJ	VYBER	15	43958	SLUZBY	\N	\N
304324	1037	1997-10-31	VYDAJ	VYBER	15	40878	SLUZBY	\N	\N
304325	1037	1997-11-30	VYDAJ	VYBER	15	44899	SLUZBY	\N	\N
304326	1037	1997-12-31	VYDAJ	VYBER	15	50772	SLUZBY	\N	\N
304327	1037	1998-01-31	VYDAJ	VYBER	15	47606	SLUZBY	\N	\N
304328	1037	1998-02-28	VYDAJ	VYBER	15	52347	SLUZBY	\N	\N
304329	1037	1998-03-31	VYDAJ	VYBER	15	52499	SLUZBY	\N	\N
304330	1037	1998-04-30	VYDAJ	VYBER	15	53552	SLUZBY	\N	\N
304331	1037	1998-05-31	VYDAJ	VYBER	15	55010	SLUZBY	\N	\N
304332	1037	1998-06-30	VYDAJ	VYBER	15	53307	SLUZBY	\N	\N
304333	1037	1998-07-31	VYDAJ	VYBER	15	56668	SLUZBY	\N	\N
304334	1037	1998-08-31	VYDAJ	VYBER	15	54830	SLUZBY	\N	\N
304335	1037	1998-09-30	VYDAJ	VYBER	15	58695	SLUZBY	\N	\N
304336	1037	1998-10-31	VYDAJ	VYBER	15	58564	SLUZBY	\N	\N
304337	1037	1998-11-30	VYDAJ	VYBER	15	57134	SLUZBY	\N	\N
304338	1037	1997-03-20	PRIJEM	VKLAD	3000	21553	\N	\N	\N
304339	1037	1997-04-19	VYDAJ	VYBER	8300	31341	\N	\N	\N
304340	1037	1997-05-19	VYDAJ	VYBER	11700	37800	\N	\N	\N
304341	1037	1997-06-18	VYDAJ	VYBER	16800	48222	\N	\N	\N
304342	1037	1997-07-18	VYDAJ	VYBER	19300	43930	\N	\N	\N
304343	1037	1997-08-17	VYDAJ	VYBER	13200	42859	\N	\N	\N
304344	1037	1997-09-16	VYDAJ	VYBER	14100	43773	\N	\N	\N
304345	1037	1997-10-16	VYDAJ	VYBER	13500	45290	\N	\N	\N
304346	1037	1997-11-15	VYDAJ	VYBER	7300	48410	\N	\N	\N
304347	1037	1997-12-15	VYDAJ	VYBER	16500	52258	\N	\N	\N
304348	1037	1998-01-14	VYDAJ	VYBER	9700	47404	\N	\N	\N
304349	1037	1998-02-13	VYDAJ	VYBER	10300	52138	\N	\N	\N
304350	1037	1998-03-15	VYDAJ	VYBER	14900	52279	\N	\N	\N
304351	1037	1998-04-14	VYDAJ	VYBER	14000	53331	\N	\N	\N
304352	1037	1998-05-14	VYDAJ	VYBER	12300	56084	\N	\N	\N
304353	1037	1998-06-13	VYDAJ	VYBER	15500	63369	\N	\N	\N
304354	1037	1998-07-13	VYDAJ	VYBER	8700	57539	\N	\N	\N
304355	1037	1998-08-12	VYDAJ	VYBER	13300	57400	\N	\N	\N
304356	1037	1998-09-11	VYDAJ	VYBER	11200	59586	\N	\N	\N
304357	1037	1998-10-11	VYDAJ	VYBER	15200	59451	\N	\N	\N
304358	1037	1998-11-10	VYDAJ	VYBER	13300	61220	\N	\N	\N
304359	1037	1998-12-10	VYDAJ	VYBER	17300	64817	\N	\N	\N
304382	1038	1995-04-20	PRIJEM	VKLAD	400	400	\N	\N	\N
304387	1038	1995-05-10	PRIJEM	PREVOD Z UCTU	3221	3621	\N	GH	85690086
304388	1038	1995-06-10	PRIJEM	PREVOD Z UCTU	3221	6842	\N	GH	85690086
304389	1038	1995-07-10	PRIJEM	PREVOD Z UCTU	3221	10063	\N	GH	85690086
304390	1038	1995-08-10	PRIJEM	PREVOD Z UCTU	3221	13284	\N	GH	85690086
304391	1038	1995-09-10	PRIJEM	PREVOD Z UCTU	3221	16505	\N	GH	85690086
304392	1038	1995-10-10	PRIJEM	PREVOD Z UCTU	3221	16161	\N	GH	85690086
304393	1038	1995-11-10	PRIJEM	PREVOD Z UCTU	3221	17283	\N	GH	85690086
304394	1038	1995-12-10	PRIJEM	PREVOD Z UCTU	3221	17682	\N	GH	85690086
304395	1038	1996-01-10	PRIJEM	PREVOD Z UCTU	3221	17483	\N	GH	85690086
304396	1038	1996-02-10	PRIJEM	PREVOD Z UCTU	3221	16112	\N	GH	85690086
304397	1038	1996-03-10	PRIJEM	PREVOD Z UCTU	3221	17018	\N	GH	85690086
304398	1038	1996-04-10	PRIJEM	PREVOD Z UCTU	3221	18139	\N	GH	85690086
304399	1038	1996-05-10	PRIJEM	PREVOD Z UCTU	3221	19083	\N	GH	85690086
304400	1038	1996-06-10	PRIJEM	PREVOD Z UCTU	3221	20218	\N	GH	85690086
304401	1038	1996-07-10	PRIJEM	PREVOD Z UCTU	3221	16754	\N	GH	85690086
304402	1038	1996-08-10	PRIJEM	PREVOD Z UCTU	3221	17872	\N	GH	85690086
304403	1038	1996-09-10	PRIJEM	PREVOD Z UCTU	3221	17586	\N	GH	85690086
304404	1038	1996-10-10	PRIJEM	PREVOD Z UCTU	3221	18535	\N	GH	85690086
304405	1038	1996-11-10	PRIJEM	PREVOD Z UCTU	3221	19661	\N	GH	85690086
304406	1038	1996-12-10	PRIJEM	PREVOD Z UCTU	3221	20524	\N	GH	85690086
304407	1038	1997-01-10	PRIJEM	PREVOD Z UCTU	3221	19288	\N	GH	85690086
304408	1038	1997-02-10	PRIJEM	PREVOD Z UCTU	3221	18375	\N	GH	85690086
304409	1038	1997-03-10	PRIJEM	PREVOD Z UCTU	3221	19115	\N	GH	85690086
304410	1038	1997-04-10	PRIJEM	PREVOD Z UCTU	3221	20250	\N	GH	85690086
304411	1038	1997-05-10	PRIJEM	PREVOD Z UCTU	3221	21388	\N	GH	85690086
304412	1038	1997-06-10	PRIJEM	PREVOD Z UCTU	3221	22527	\N	GH	85690086
304413	1038	1997-07-10	PRIJEM	PREVOD Z UCTU	3221	20210	\N	GH	85690086
304414	1038	1997-08-10	PRIJEM	PREVOD Z UCTU	3221	21349	\N	GH	85690086
304415	1038	1997-09-10	PRIJEM	PREVOD Z UCTU	3221	21166	\N	GH	85690086
304416	1038	1997-10-10	PRIJEM	PREVOD Z UCTU	3221	22305	\N	GH	85690086
304417	1038	1997-11-10	PRIJEM	PREVOD Z UCTU	3221	23447	\N	GH	85690086
304418	1038	1997-12-10	PRIJEM	PREVOD Z UCTU	3221	23393	\N	GH	85690086
304419	1038	1998-01-10	PRIJEM	PREVOD Z UCTU	3221	21598	\N	GH	85690086
304420	1038	1998-02-10	PRIJEM	PREVOD Z UCTU	3221	18711	\N	GH	85690086
304421	1038	1998-03-10	PRIJEM	PREVOD Z UCTU	3221	19842	\N	GH	85690086
304422	1038	1998-04-10	PRIJEM	PREVOD Z UCTU	3221	19771	\N	GH	85690086
304423	1038	1998-05-10	PRIJEM	PREVOD Z UCTU	3221	19732	\N	GH	85690086
304424	1038	1998-06-10	PRIJEM	PREVOD Z UCTU	3221	20864	\N	GH	85690086
304425	1038	1998-07-10	PRIJEM	PREVOD Z UCTU	3221	18815	\N	GH	85690086
304426	1038	1998-08-10	PRIJEM	PREVOD Z UCTU	3221	19947	\N	GH	85690086
304427	1038	1998-09-10	PRIJEM	PREVOD Z UCTU	3221	21078	\N	GH	85690086
304428	1038	1998-10-10	PRIJEM	PREVOD Z UCTU	3221	22214	\N	GH	85690086
304429	1038	1998-11-10	PRIJEM	PREVOD Z UCTU	3221	23355	\N	GH	85690086
304430	1038	1998-12-10	PRIJEM	PREVOD Z UCTU	3221	24500	\N	GH	85690086
304439	1038	1995-09-11	VYDAJ	PREVOD NA UCET	2006	14358	SIPO	OP	88674932
304440	1038	1995-10-11	VYDAJ	PREVOD NA UCET	2006	14014	SIPO	OP	88674932
304441	1038	1995-11-11	VYDAJ	PREVOD NA UCET	2006	15277	SIPO	OP	88674932
304442	1038	1995-12-11	VYDAJ	PREVOD NA UCET	2006	15676	SIPO	OP	88674932
304443	1038	1996-01-11	VYDAJ	PREVOD NA UCET	2006	15336	SIPO	OP	88674932
304444	1038	1996-02-11	VYDAJ	PREVOD NA UCET	2006	14106	SIPO	OP	88674932
304445	1038	1996-03-11	VYDAJ	PREVOD NA UCET	2006	15012	SIPO	OP	88674932
304446	1038	1996-04-11	VYDAJ	PREVOD NA UCET	2006	16133	SIPO	OP	88674932
304447	1038	1996-05-11	VYDAJ	PREVOD NA UCET	2006	16936	SIPO	OP	88674932
304448	1038	1996-06-11	VYDAJ	PREVOD NA UCET	2006	18071	SIPO	OP	88674932
304449	1038	1996-07-11	VYDAJ	PREVOD NA UCET	2006	14748	SIPO	OP	88674932
304450	1038	1996-08-11	VYDAJ	PREVOD NA UCET	2006	15866	SIPO	OP	88674932
304451	1038	1996-09-11	VYDAJ	PREVOD NA UCET	2006	15259	SIPO	OP	88674932
304452	1038	1996-10-11	VYDAJ	PREVOD NA UCET	2006	16388	SIPO	OP	88674932
304453	1038	1996-11-11	VYDAJ	PREVOD NA UCET	2006	17514	SIPO	OP	88674932
304454	1038	1996-12-11	VYDAJ	PREVOD NA UCET	2006	18377	SIPO	OP	88674932
304455	1038	1997-01-11	VYDAJ	PREVOD NA UCET	2006	17282	SIPO	OP	88674932
304456	1038	1997-02-11	VYDAJ	PREVOD NA UCET	2006	16228	SIPO	OP	88674932
304457	1038	1997-03-11	VYDAJ	PREVOD NA UCET	2006	16968	SIPO	OP	88674932
304458	1038	1997-04-11	VYDAJ	PREVOD NA UCET	2006	18103	SIPO	OP	88674932
304459	1038	1997-05-11	VYDAJ	PREVOD NA UCET	2006	19382	SIPO	OP	88674932
304460	1038	1997-06-11	VYDAJ	PREVOD NA UCET	2006	20521	SIPO	OP	88674932
304461	1038	1997-07-11	VYDAJ	PREVOD NA UCET	2006	18063	SIPO	OP	88674932
304462	1038	1997-08-11	VYDAJ	PREVOD NA UCET	2006	19202	SIPO	OP	88674932
304463	1038	1997-09-11	VYDAJ	PREVOD NA UCET	2006	19160	SIPO	OP	88674932
304464	1038	1997-10-11	VYDAJ	PREVOD NA UCET	2006	20299	SIPO	OP	88674932
304465	1038	1997-11-11	VYDAJ	PREVOD NA UCET	2006	21441	SIPO	OP	88674932
304466	1038	1997-12-11	VYDAJ	PREVOD NA UCET	2006	21387	SIPO	OP	88674932
304467	1038	1998-01-11	VYDAJ	PREVOD NA UCET	2006	19451	SIPO	OP	88674932
304468	1038	1998-02-11	VYDAJ	PREVOD NA UCET	2006	16564	SIPO	OP	88674932
304469	1038	1998-03-11	VYDAJ	PREVOD NA UCET	2006	17836	SIPO	OP	88674932
304470	1038	1998-04-11	VYDAJ	PREVOD NA UCET	2006	17765	SIPO	OP	88674932
304471	1038	1998-05-11	VYDAJ	PREVOD NA UCET	2006	17726	SIPO	OP	88674932
304472	1038	1998-06-11	VYDAJ	PREVOD NA UCET	2006	18858	SIPO	OP	88674932
304473	1038	1998-07-11	VYDAJ	PREVOD NA UCET	2006	16668	SIPO	OP	88674932
304474	1038	1998-08-11	VYDAJ	PREVOD NA UCET	2006	17941	SIPO	OP	88674932
304475	1038	1998-09-11	VYDAJ	PREVOD NA UCET	2006	19072	SIPO	OP	88674932
304476	1038	1998-10-11	VYDAJ	PREVOD NA UCET	2006	20208	SIPO	OP	88674932
304477	1038	1998-11-11	VYDAJ	PREVOD NA UCET	2006	21349	SIPO	OP	88674932
304478	1038	1998-12-11	VYDAJ	PREVOD NA UCET	2006	22494	SIPO	OP	88674932
304487	1038	1995-09-11	VYDAJ	PREVOD NA UCET	141	16364	 	GH	65748941
304488	1038	1995-10-11	VYDAJ	PREVOD NA UCET	141	16020	 	GH	65748941
304489	1038	1995-11-11	VYDAJ	PREVOD NA UCET	141	15136	 	GH	65748941
304490	1038	1995-12-11	VYDAJ	PREVOD NA UCET	141	15535	 	GH	65748941
304491	1038	1996-01-11	VYDAJ	PREVOD NA UCET	141	17342	 	GH	65748941
304492	1038	1996-02-11	VYDAJ	PREVOD NA UCET	141	13965	 	GH	65748941
304493	1038	1996-03-11	VYDAJ	PREVOD NA UCET	141	14871	 	GH	65748941
304494	1038	1996-04-11	VYDAJ	PREVOD NA UCET	141	15992	 	GH	65748941
304495	1038	1996-05-11	VYDAJ	PREVOD NA UCET	141	18942	 	GH	65748941
304496	1038	1996-06-11	VYDAJ	PREVOD NA UCET	141	20077	 	GH	65748941
304497	1038	1996-07-11	VYDAJ	PREVOD NA UCET	141	14607	 	GH	65748941
304498	1038	1996-08-11	VYDAJ	PREVOD NA UCET	141	15725	 	GH	65748941
304499	1038	1996-09-11	VYDAJ	PREVOD NA UCET	141	17265	 	GH	65748941
304500	1038	1996-10-11	VYDAJ	PREVOD NA UCET	141	18394	 	GH	65748941
304501	1038	1996-11-11	VYDAJ	PREVOD NA UCET	141	19520	 	GH	65748941
304502	1038	1996-12-11	VYDAJ	PREVOD NA UCET	141	20383	 	GH	65748941
304503	1038	1997-01-11	VYDAJ	PREVOD NA UCET	141	16601	 	GH	65748941
304504	1038	1997-02-11	VYDAJ	PREVOD NA UCET	141	18234	 	GH	65748941
304505	1038	1997-03-11	VYDAJ	PREVOD NA UCET	141	18974	 	GH	65748941
304506	1038	1997-04-11	VYDAJ	PREVOD NA UCET	141	20109	 	GH	65748941
304507	1038	1997-05-11	VYDAJ	PREVOD NA UCET	141	19241	 	GH	65748941
304508	1038	1997-06-11	VYDAJ	PREVOD NA UCET	141	20380	 	GH	65748941
304509	1038	1997-07-11	VYDAJ	PREVOD NA UCET	141	20069	 	GH	65748941
304510	1038	1997-08-11	VYDAJ	PREVOD NA UCET	141	21208	 	GH	65748941
304511	1038	1997-09-11	VYDAJ	PREVOD NA UCET	141	19019	 	GH	65748941
304512	1038	1997-10-11	VYDAJ	PREVOD NA UCET	141	20158	 	GH	65748941
304513	1038	1997-11-11	VYDAJ	PREVOD NA UCET	141	21300	 	GH	65748941
304514	1038	1997-12-11	VYDAJ	PREVOD NA UCET	141	21246	 	GH	65748941
304515	1038	1998-01-11	VYDAJ	PREVOD NA UCET	141	21457	 	GH	65748941
304516	1038	1998-02-11	VYDAJ	PREVOD NA UCET	141	18570	 	GH	65748941
304517	1038	1998-03-11	VYDAJ	PREVOD NA UCET	141	17695	 	GH	65748941
304518	1038	1998-04-11	VYDAJ	PREVOD NA UCET	141	17624	 	GH	65748941
304519	1038	1998-05-11	VYDAJ	PREVOD NA UCET	141	17585	 	GH	65748941
304520	1038	1998-06-11	VYDAJ	PREVOD NA UCET	141	18717	 	GH	65748941
304521	1038	1998-07-11	VYDAJ	PREVOD NA UCET	141	18674	 	GH	65748941
304522	1038	1998-08-11	VYDAJ	PREVOD NA UCET	141	17800	 	GH	65748941
304523	1038	1998-09-11	VYDAJ	PREVOD NA UCET	141	18931	 	GH	65748941
304524	1038	1998-10-11	VYDAJ	PREVOD NA UCET	141	20067	 	GH	65748941
304525	1038	1998-11-11	VYDAJ	PREVOD NA UCET	141	21208	 	GH	65748941
304526	1038	1998-12-11	VYDAJ	PREVOD NA UCET	141	22353	 	GH	65748941
304528	1038	1996-06-20	VYDAJ	VYBER	4590	13481	\N	\N	\N
304529	1038	1997-06-13	VYDAJ	VYBER	3450	16930	\N	\N	\N
304530	1038	1998-06-20	VYDAJ	VYBER	3030	15687	\N	\N	\N
304532	1038	1996-01-19	VYDAJ	VYBER	1260	13896	\N	\N	\N
304533	1038	1997-01-04	VYDAJ	VYBER	420	17447	\N	\N	\N
304534	1038	1998-01-16	VYDAJ	VYBER	2970	16211	\N	\N	\N
304535	1038	1995-12-15	VYDAJ	VYBER	780	14755	\N	\N	\N
304536	1038	1996-12-14	VYDAJ	VYBER	330	18047	\N	\N	\N
304537	1038	1997-12-18	VYDAJ	VYBER	390	20856	\N	\N	\N
304538	1038	1998-12-25	VYDAJ	VYBER	480	21873	\N	\N	\N
304545	1038	1996-01-23	VYDAJ	VYBER	330	12846	\N	\N	\N
304546	1038	1996-01-17	VYDAJ	VYBER	180	15156	\N	\N	\N
304547	1038	1996-01-02	VYDAJ	VYBER	180	14622	\N	\N	\N
304548	1038	1996-01-19	VYDAJ	VYBER	240	13656	\N	\N	\N
304549	1038	1996-01-06	VYDAJ	VYBER	360	14262	\N	\N	\N
304550	1038	1996-01-23	VYDAJ	VYBER	480	13176	\N	\N	\N
304551	1038	1997-01-19	VYDAJ	VYBER	690	15911	\N	\N	\N
304552	1038	1997-01-01	VYDAJ	VYBER	240	17867	\N	\N	\N
304553	1038	1997-01-23	VYDAJ	VYBER	270	15101	\N	\N	\N
304554	1038	1997-01-20	VYDAJ	VYBER	540	15371	\N	\N	\N
304555	1038	1997-01-05	VYDAJ	VYBER	180	17267	\N	\N	\N
304556	1038	1997-01-11	VYDAJ	VYBER	540	16742	\N	\N	\N
304557	1038	1998-01-03	VYDAJ	VYBER	300	20627	\N	\N	\N
304558	1038	1998-01-03	VYDAJ	VYBER	810	19817	\N	\N	\N
304559	1038	1998-01-08	VYDAJ	VYBER	870	18377	\N	\N	\N
304560	1038	1998-01-22	VYDAJ	VYBER	180	16031	\N	\N	\N
304561	1038	1998-01-25	VYDAJ	VYBER	600	15431	\N	\N	\N
304562	1038	1998-01-14	VYDAJ	VYBER	270	19181	\N	\N	\N
304563	1038	1995-09-16	VYDAJ	VYBER	1440	12918	\N	\N	\N
304564	1038	1995-11-12	VYDAJ	VYBER	720	14416	\N	\N	\N
304567	1038	1996-03-02	VYDAJ	VYBER	210	13797	\N	\N	\N
304568	1038	1996-05-08	VYDAJ	VYBER	180	15862	\N	\N	\N
304569	1038	1996-11-19	VYDAJ	VYBER	270	17244	\N	\N	\N
304570	1038	1996-09-10	VYDAJ	VYBER	180	17406	\N	\N	\N
304571	1038	1996-09-06	VYDAJ	VYBER	1410	14365	\N	\N	\N
304572	1038	1997-11-28	VYDAJ	VYBER	1200	20100	\N	\N	\N
304573	1038	1997-09-05	VYDAJ	VYBER	1320	17945	\N	\N	\N
304574	1038	1997-01-07	VYDAJ	VYBER	1200	16067	\N	\N	\N
304575	1038	1997-03-03	VYDAJ	VYBER	390	15894	\N	\N	\N
304576	1038	1998-01-06	VYDAJ	VYBER	570	19247	\N	\N	\N
304577	1038	1998-05-05	VYDAJ	VYBER	1170	16511	\N	\N	\N
304578	1038	1998-06-26	VYDAJ	VYBER	150	15537	\N	\N	\N
304579	1038	1998-03-20	VYDAJ	VYBER	1200	16495	\N	\N	\N
304589	1038	1995-09-30	VYDAJ	VYBER	15	12940	SLUZBY	\N	\N
304590	1038	1995-10-31	VYDAJ	VYBER	15	14062	SLUZBY	\N	\N
304591	1038	1995-11-30	VYDAJ	VYBER	15	14461	SLUZBY	\N	\N
304592	1038	1995-12-31	VYDAJ	VYBER	15	14802	SLUZBY	\N	\N
304593	1038	1996-01-31	VYDAJ	VYBER	15	12891	SLUZBY	\N	\N
304594	1038	1996-02-29	VYDAJ	VYBER	15	14007	SLUZBY	\N	\N
304595	1038	1996-03-31	VYDAJ	VYBER	15	14918	SLUZBY	\N	\N
304596	1038	1996-04-30	VYDAJ	VYBER	15	16042	SLUZBY	\N	\N
304597	1038	1996-05-31	VYDAJ	VYBER	15	16997	SLUZBY	\N	\N
304598	1038	1996-06-30	VYDAJ	VYBER	15	13533	SLUZBY	\N	\N
304599	1038	1996-07-31	VYDAJ	VYBER	15	14651	SLUZBY	\N	\N
304600	1038	1996-08-31	VYDAJ	VYBER	15	15775	SLUZBY	\N	\N
304601	1038	1996-09-30	VYDAJ	VYBER	15	15314	SLUZBY	\N	\N
304602	1038	1996-10-31	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
304603	1038	1996-11-30	VYDAJ	VYBER	15	17303	SLUZBY	\N	\N
304604	1038	1996-12-31	VYDAJ	VYBER	15	18107	SLUZBY	\N	\N
304605	1038	1997-01-31	VYDAJ	VYBER	15	15154	SLUZBY	\N	\N
304606	1038	1997-02-28	VYDAJ	VYBER	15	16284	SLUZBY	\N	\N
304607	1038	1997-03-31	VYDAJ	VYBER	15	17029	SLUZBY	\N	\N
304608	1038	1997-04-30	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
304609	1038	1997-05-31	VYDAJ	VYBER	15	19306	SLUZBY	\N	\N
304610	1038	1997-06-30	VYDAJ	VYBER	15	16989	SLUZBY	\N	\N
304611	1038	1997-07-31	VYDAJ	VYBER	15	18128	SLUZBY	\N	\N
304612	1038	1997-08-31	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
304613	1038	1997-09-30	VYDAJ	VYBER	15	19084	SLUZBY	\N	\N
304614	1038	1997-10-31	VYDAJ	VYBER	15	20226	SLUZBY	\N	\N
304615	1038	1997-11-30	VYDAJ	VYBER	15	20172	SLUZBY	\N	\N
304616	1038	1997-12-31	VYDAJ	VYBER	15	20927	SLUZBY	\N	\N
304617	1038	1998-01-31	VYDAJ	VYBER	15	15490	SLUZBY	\N	\N
304618	1038	1998-02-28	VYDAJ	VYBER	15	16621	SLUZBY	\N	\N
304619	1038	1998-03-31	VYDAJ	VYBER	15	16550	SLUZBY	\N	\N
304620	1038	1998-04-30	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
304621	1038	1998-05-31	VYDAJ	VYBER	15	17643	SLUZBY	\N	\N
304622	1038	1998-06-30	VYDAJ	VYBER	15	15594	SLUZBY	\N	\N
304623	1038	1998-07-31	VYDAJ	VYBER	15	16726	SLUZBY	\N	\N
304624	1038	1998-08-31	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
304625	1038	1998-09-30	VYDAJ	VYBER	15	18993	SLUZBY	\N	\N
304626	1038	1998-10-31	VYDAJ	VYBER	15	20134	SLUZBY	\N	\N
304627	1038	1998-11-30	VYDAJ	VYBER	15	21279	SLUZBY	\N	\N
304668	1039	1993-05-10	PRIJEM	VKLAD	400	400	\N	\N	\N
304670	1039	1993-05-23	PRIJEM	VKLAD	32038	32438	\N	\N	\N
304671	1039	1993-11-23	PRIJEM	VKLAD	16487	55134	\N	\N	\N
304672	1039	1993-10-25	PRIJEM	VKLAD	25026	57052	\N	\N	\N
304673	1039	1993-09-23	PRIJEM	VKLAD	20895	43978	\N	\N	\N
304674	1039	1994-05-14	PRIJEM	VKLAD	17441	102683	\N	\N	\N
304675	1039	1994-10-22	PRIJEM	VKLAD	38892	102936	\N	\N	\N
304676	1039	1994-11-16	PRIJEM	VKLAD	24448	81824	\N	\N	\N
304677	1039	1994-09-23	PRIJEM	VKLAD	29470	114832	\N	\N	\N
304678	1039	1994-02-22	PRIJEM	VKLAD	7267	51399	\N	\N	\N
304679	1039	1994-01-24	PRIJEM	VKLAD	33331	69231	\N	\N	\N
304680	1039	1994-07-24	PRIJEM	VKLAD	28413	79315	\N	\N	\N
304681	1039	1994-06-29	PRIJEM	VKLAD	11233	81419	\N	\N	\N
304682	1039	1994-05-13	PRIJEM	VKLAD	32847	85242	\N	\N	\N
304683	1039	1994-03-23	PRIJEM	VKLAD	35953	82580	\N	\N	\N
304684	1039	1994-07-28	PRIJEM	VKLAD	28679	107994	\N	\N	\N
304685	1039	1994-08-01	PRIJEM	VKLAD	28612	136929	\N	\N	\N
304686	1039	1994-03-14	PRIJEM	VKLAD	9123	46627	\N	\N	\N
304687	1039	1994-10-29	PRIJEM	VKLAD	46253	149189	\N	\N	\N
304688	1039	1994-09-16	PRIJEM	VKLAD	20698	67681	\N	\N	\N
304689	1039	1994-03-27	PRIJEM	VKLAD	40671	123251	\N	\N	\N
304690	1039	1994-09-17	PRIJEM	VKLAD	17681	85362	\N	\N	\N
304691	1039	1994-06-03	PRIJEM	VKLAD	33490	133786	\N	\N	\N
304692	1039	1994-12-01	PRIJEM	VKLAD	42811	124959	\N	\N	\N
304693	1039	1994-12-07	PRIJEM	VKLAD	32492	76351	\N	\N	\N
304694	1039	1994-05-09	PRIJEM	VKLAD	14245	52395	\N	\N	\N
304695	1039	1994-01-26	PRIJEM	VKLAD	49191	110622	\N	\N	\N
304696	1039	1994-10-14	PRIJEM	VKLAD	18753	64044	\N	\N	\N
304697	1039	1994-12-12	PRIJEM	VKLAD	37669	114020	\N	\N	\N
304698	1039	1995-06-08	PRIJEM	VKLAD	25772	83086	\N	\N	\N
304699	1039	1995-01-02	PRIJEM	VKLAD	43510	93120	\N	\N	\N
304700	1039	1995-06-18	PRIJEM	VKLAD	6504	89590	\N	\N	\N
304701	1039	1995-05-02	PRIJEM	VKLAD	41156	98512	\N	\N	\N
304702	1039	1995-04-19	PRIJEM	VKLAD	39839	86110	\N	\N	\N
304703	1039	1995-08-23	PRIJEM	VKLAD	21798	120858	\N	\N	\N
304704	1039	1995-03-23	PRIJEM	VKLAD	6259	81513	\N	\N	\N
304705	1039	1995-02-01	PRIJEM	VKLAD	40401	85998	\N	\N	\N
304706	1039	1995-03-13	PRIJEM	VKLAD	46096	75254	\N	\N	\N
304707	1039	1995-11-22	PRIJEM	VKLAD	15572	90316	\N	\N	\N
304708	1039	1995-12-27	PRIJEM	VKLAD	17419	56648	\N	\N	\N
304709	1039	1995-08-31	PRIJEM	VKLAD	25568	75616	\N	\N	\N
304710	1039	1995-08-02	PRIJEM	VKLAD	45179	87880	\N	\N	\N
304711	1039	1995-11-13	PRIJEM	VKLAD	30567	96043	\N	\N	\N
304712	1039	1995-10-26	PRIJEM	VKLAD	46596	87470	\N	\N	\N
304713	1039	1995-08-10	PRIJEM	VKLAD	11180	99060	\N	\N	\N
304714	1039	1995-04-05	PRIJEM	VKLAD	32804	59146	\N	\N	\N
304715	1039	1996-04-05	PRIJEM	VKLAD	33874	118913	\N	\N	\N
304716	1039	1996-05-31	PRIJEM	VKLAD	20878	93240	\N	\N	\N
304717	1039	1996-05-20	PRIJEM	VKLAD	34086	90962	\N	\N	\N
304718	1039	1996-09-26	PRIJEM	VKLAD	42048	92439	\N	\N	\N
304719	1039	1996-03-18	PRIJEM	VKLAD	38049	131817	\N	\N	\N
304720	1039	1996-08-24	PRIJEM	VKLAD	18594	61733	\N	\N	\N
304721	1039	1996-05-17	PRIJEM	VKLAD	14809	56876	\N	\N	\N
304722	1039	1996-11-26	PRIJEM	VKLAD	15031	89514	\N	\N	\N
304723	1039	1996-11-06	PRIJEM	VKLAD	33120	93280	\N	\N	\N
304724	1039	1996-06-13	PRIJEM	VKLAD	48279	141742	\N	\N	\N
304725	1039	1996-03-03	PRIJEM	VKLAD	48403	85415	\N	\N	\N
304726	1039	1996-03-18	PRIJEM	VKLAD	15247	147064	\N	\N	\N
304727	1039	1996-11-18	PRIJEM	VKLAD	15945	93283	\N	\N	\N
304728	1039	1996-03-17	PRIJEM	VKLAD	36653	122068	\N	\N	\N
304729	1039	1996-03-28	PRIJEM	VKLAD	15356	84820	\N	\N	\N
304730	1039	1997-06-22	PRIJEM	VKLAD	43792	129281	\N	\N	\N
304731	1039	1997-06-23	PRIJEM	VKLAD	12210	76991	\N	\N	\N
304732	1039	1997-07-24	PRIJEM	VKLAD	30983	101899	\N	\N	\N
304733	1039	1997-04-10	PRIJEM	VKLAD	24563	117607	\N	\N	\N
304734	1039	1997-08-25	PRIJEM	VKLAD	30919	128033	\N	\N	\N
304735	1039	1997-04-23	PRIJEM	VKLAD	12761	87436	\N	\N	\N
304736	1039	1997-03-18	PRIJEM	VKLAD	48646	88748	\N	\N	\N
304737	1039	1997-06-30	PRIJEM	VKLAD	27837	104828	\N	\N	\N
304738	1039	1997-01-24	PRIJEM	VKLAD	9098	59515	\N	\N	\N
304739	1039	1997-10-22	PRIJEM	VKLAD	29815	113959	\N	\N	\N
304740	1039	1997-08-18	PRIJEM	VKLAD	8110	97114	\N	\N	\N
304741	1039	1997-09-06	PRIJEM	VKLAD	31848	137464	\N	\N	\N
304742	1039	1997-06-16	PRIJEM	VKLAD	34689	110589	\N	\N	\N
304743	1039	1997-08-27	PRIJEM	VKLAD	30609	125642	\N	\N	\N
304744	1039	1997-12-23	PRIJEM	VKLAD	19524	79746	\N	\N	\N
304745	1039	1997-04-01	PRIJEM	VKLAD	37935	107444	\N	\N	\N
304746	1039	1997-07-12	PRIJEM	VKLAD	29755	122207	\N	\N	\N
304747	1039	1997-02-12	PRIJEM	VKLAD	33712	65805	\N	\N	\N
304748	1039	1997-08-11	PRIJEM	VKLAD	24989	117604	\N	\N	\N
304749	1039	1997-06-06	PRIJEM	VKLAD	20018	122400	\N	\N	\N
304750	1039	1997-06-03	PRIJEM	VKLAD	29563	102382	\N	\N	\N
304751	1039	1997-07-11	PRIJEM	VKLAD	41517	146652	\N	\N	\N
304752	1039	1997-08-06	PRIJEM	VKLAD	46061	148315	\N	\N	\N
304753	1039	1997-10-17	PRIJEM	VKLAD	37094	120496	\N	\N	\N
304754	1039	1997-03-30	PRIJEM	VKLAD	25081	69308	\N	\N	\N
304755	1039	1997-10-22	PRIJEM	VKLAD	17748	84144	\N	\N	\N
304756	1039	1997-03-13	PRIJEM	VKLAD	26248	64575	\N	\N	\N
304757	1039	1997-09-25	PRIJEM	VKLAD	30736	93589	\N	\N	\N
304758	1039	1998-11-20	PRIJEM	VKLAD	29528	106879	\N	\N	\N
304759	1039	1998-08-19	PRIJEM	VKLAD	48162	144808	\N	\N	\N
304760	1039	1998-07-02	PRIJEM	VKLAD	22252	122705	\N	\N	\N
304761	1039	1998-03-28	PRIJEM	VKLAD	49054	134447	\N	\N	\N
304762	1039	1998-08-07	PRIJEM	VKLAD	42695	136762	\N	\N	\N
304763	1039	1998-03-04	PRIJEM	VKLAD	29772	88893	\N	\N	\N
304764	1039	1998-06-27	PRIJEM	VKLAD	19734	100136	\N	\N	\N
304765	1039	1998-04-21	PRIJEM	VKLAD	8336	77471	\N	\N	\N
304766	1039	1998-01-14	PRIJEM	VKLAD	8678	48059	\N	\N	\N
304767	1039	1998-08-18	PRIJEM	VKLAD	15642	96646	\N	\N	\N
304768	1039	1998-05-26	PRIJEM	VKLAD	45719	85384	\N	\N	\N
304769	1039	1998-08-17	PRIJEM	VKLAD	45542	135104	\N	\N	\N
304770	1039	1998-12-13	PRIJEM	VKLAD	13634	107448	\N	\N	\N
304771	1039	1998-10-24	PRIJEM	VKLAD	16166	100357	\N	\N	\N
304772	1039	1998-07-03	PRIJEM	VKLAD	13743	81248	\N	\N	\N
304773	1039	1998-08-03	PRIJEM	VKLAD	12510	94067	\N	\N	\N
304788	1039	1995-04-17	VYBER	VYBER	12875	46271	\N	\N	\N
304789	1039	1995-10-25	VYBER	VYBER	13511	40874	\N	\N	\N
304790	1039	1995-05-07	VYBER	VYBER	7269	91243	\N	\N	\N
304791	1039	1995-12-06	VYBER	VYBER	15897	51483	\N	\N	\N
304792	1039	1995-11-16	VYBER	VYBER	21299	74744	\N	\N	\N
304793	1039	1995-12-12	VYBER	VYBER	6154	45329	\N	\N	\N
304794	1039	1995-03-11	VYBER	VYBER	20505	29158	\N	\N	\N
304795	1039	1995-04-03	VYBER	VYBER	22024	26342	\N	\N	\N
304796	1039	1995-06-01	VYBER	VYBER	2436	57314	\N	\N	\N
304797	1039	1995-08-30	VYBER	VYBER	21310	50048	\N	\N	\N
304798	1039	1995-07-12	VYBER	VYBER	4192	55093	\N	\N	\N
304799	1039	1996-12-10	VYBER	VYBER	14889	74934	\N	\N	\N
304800	1039	1996-11-12	VYBER	VYBER	15942	77338	\N	\N	\N
304801	1039	1996-08-08	VYBER	VYBER	8625	35739	\N	\N	\N
304802	1039	1996-09-14	VYBER	VYBER	10112	51791	\N	\N	\N
304803	1039	1996-04-24	VYBER	VYBER	20089	48124	\N	\N	\N
304804	1039	1996-07-16	VYBER	VYBER	21705	34857	\N	\N	\N
304805	1039	1996-11-05	VYBER	VYBER	13166	60160	\N	\N	\N
304806	1039	1996-06-16	VYBER	VYBER	16054	99588	\N	\N	\N
304808	1039	1996-07-13	VYBER	VYBER	19878	56562	\N	\N	\N
304809	1039	1997-09-13	VYBER	VYBER	21811	66753	\N	\N	\N
304810	1039	1997-02-15	VYBER	VYBER	8713	57092	\N	\N	\N
304811	1039	1997-09-05	VYBER	VYBER	2036	105616	\N	\N	\N
304812	1039	1997-11-17	VYBER	VYBER	11329	84194	\N	\N	\N
304813	1039	1997-12-22	VYBER	VYBER	17954	60222	\N	\N	\N
304814	1039	1997-12-29	VYBER	VYBER	16964	62782	\N	\N	\N
304815	1039	1997-01-31	VYBER	VYBER	3010	32123	\N	\N	\N
304816	1039	1997-07-16	VYBER	VYBER	4491	74416	\N	\N	\N
304817	1039	1997-03-29	VYBER	VYBER	22921	44227	\N	\N	\N
304818	1039	1997-04-22	VYBER	VYBER	16232	74675	\N	\N	\N
304819	1039	1997-03-16	VYBER	VYBER	24473	40102	\N	\N	\N
304820	1039	1998-02-02	VYBER	VYBER	18033	36919	\N	\N	\N
304821	1039	1998-06-03	VYBER	VYBER	7844	77802	\N	\N	\N
304822	1039	1998-10-28	VYBER	VYBER	22163	78194	\N	\N	\N
304823	1039	1998-10-06	VYBER	VYBER	12722	84191	\N	\N	\N
304824	1039	1998-05-01	VYBER	VYBER	5471	72257	\N	\N	\N
304825	1039	1998-12-03	VYBER	VYBER	7197	100014	\N	\N	\N
304826	1039	1998-05-21	VYBER	VYBER	16092	48365	\N	\N	\N
304828	1039	1994-12-05	VYDAJ	VYBER	3900	43859	\N	\N	\N
304829	1039	1995-12-22	VYDAJ	VYBER	8700	36629	\N	\N	\N
304830	1039	1996-12-28	VYDAJ	VYBER KARTOU	2100	61534	\N	\N	0
304831	1039	1997-12-29	VYDAJ	VYBER KARTOU	3600	59182	\N	\N	0
304832	1039	1998-12-21	VYDAJ	VYBER KARTOU	2400	105048	\N	\N	0
304839	1039	1994-01-24	VYDAJ	VYBER	7800	61431	\N	\N	\N
304840	1039	1994-01-30	VYDAJ	VYBER	6300	58022	\N	\N	\N
304841	1039	1994-01-27	VYDAJ	VYBER	3900	67622	\N	\N	\N
304842	1039	1994-01-27	VYDAJ	VYBER	3300	64322	\N	\N	\N
304844	1039	1994-01-26	VYDAJ	VYBER	2100	108522	\N	\N	\N
304845	1039	1995-01-08	VYDAJ	VYBER	2100	86820	\N	\N	\N
304846	1039	1995-01-11	VYDAJ	VYBER	6900	79920	\N	\N	\N
304847	1039	1995-01-05	VYDAJ	VYBER	4200	88920	\N	\N	\N
304848	1039	1995-01-27	VYDAJ	VYBER	7800	61320	\N	\N	\N
304849	1039	1995-01-12	VYDAJ	VYBER	4200	75720	\N	\N	\N
304850	1039	1995-01-27	VYDAJ	VYBER	6600	69120	\N	\N	\N
304851	1039	1996-01-25	VYDAJ	VYBER KARTOU	1800	38239	\N	\N	0
304852	1039	1996-01-19	VYDAJ	VYBER KARTOU	3600	41839	\N	\N	0
304853	1039	1996-01-11	VYDAJ	VYBER KARTOU	4200	52639	\N	\N	0
304854	1039	1996-01-28	VYDAJ	VYBER KARTOU	5100	33139	\N	\N	0
304855	1039	1996-01-14	VYDAJ	VYBER KARTOU	2400	50239	\N	\N	0
304856	1039	1996-01-17	VYDAJ	VYBER KARTOU	4800	45439	\N	\N	0
304857	1039	1997-01-27	VYDAJ	VYBER	8700	38815	\N	\N	\N
304858	1039	1997-01-08	VYDAJ	VYBER KARTOU	4200	57617	\N	\N	0
304859	1039	1997-01-25	VYDAJ	VYBER KARTOU	7500	52015	\N	\N	0
304860	1039	1997-01-25	VYDAJ	VYBER KARTOU	4500	47515	\N	\N	0
304861	1039	1997-01-30	VYDAJ	VYBER KARTOU	3900	34915	\N	\N	0
304862	1039	1997-01-14	VYDAJ	VYBER	8400	49217	\N	\N	\N
304863	1039	1998-01-07	VYDAJ	VYBER	8100	51381	\N	\N	\N
304864	1039	1998-01-16	VYDAJ	VYBER	8700	58359	\N	\N	\N
304865	1039	1998-01-08	VYDAJ	VYBER KARTOU	4800	46581	\N	\N	0
304866	1039	1998-01-12	VYDAJ	VYBER KARTOU	7200	39381	\N	\N	0
304867	1039	1998-01-24	VYDAJ	VYBER KARTOU	2100	54759	\N	\N	0
304868	1039	1998-01-16	VYDAJ	VYBER KARTOU	1500	56859	\N	\N	0
304871	1039	1994-11-11	VYDAJ	VYBER	10200	57376	\N	\N	\N
304872	1039	1994-05-24	VYDAJ	VYBER	2700	99983	\N	\N	\N
304873	1039	1994-08-04	VYDAJ	VYBER	6900	63229	\N	\N	\N
304874	1039	1994-06-30	VYDAJ	VYBER	4800	76902	\N	\N	\N
304875	1039	1994-09-30	VYDAJ	VYBER	11700	58791	\N	\N	\N
304876	1039	1995-09-09	VYDAJ	VYBER KARTOU	2400	73514	\N	\N	0
304877	1039	1995-05-09	VYDAJ	VYBER KARTOU	2100	89143	\N	\N	0
304878	1039	1995-03-25	VYDAJ	VYBER	12300	69213	\N	\N	\N
304879	1039	1995-03-06	VYDAJ	VYBER KARTOU	7200	49663	\N	\N	0
304880	1039	1996-12-15	VYDAJ	VYBER KARTOU	5100	69834	\N	\N	0
304881	1039	1996-04-06	VYDAJ	VYBER	9600	66113	\N	\N	\N
304882	1039	1996-05-01	VYDAJ	VYBER KARTOU	6300	42067	\N	\N	0
304883	1039	1997-02-21	VYDAJ	VYBER	14400	43292	\N	\N	\N
304884	1039	1997-09-24	VYDAJ	VYBER KARTOU	3000	62853	\N	\N	0
304885	1039	1997-03-20	VYDAJ	VYBER	14400	74348	\N	\N	\N
304886	1039	1997-04-07	VYDAJ	VYBER	14400	93044	\N	\N	\N
304887	1039	1997-03-01	VYDAJ	VYBER KARTOU	5100	38327	\N	\N	0
304889	1039	1998-04-03	VYDAJ	VYBER	12900	60435	\N	\N	\N
304890	1039	1998-05-16	VYDAJ	VYBER	14100	64457	\N	\N	\N
304891	1039	1998-05-24	VYDAJ	VYBER	8700	39665	\N	\N	\N
304892	1039	1998-08-19	VYDAJ	VYBER	12900	131908	\N	\N	\N
304893	1039	1998-04-09	VYDAJ	VYBER KARTOU	5100	55335	\N	\N	0
304907	1039	1994-01-31	VYDAJ	VYBER	30	58232	SLUZBY	\N	\N
304908	1039	1994-02-28	VYDAJ	VYBER	30	51604	SLUZBY	\N	\N
304909	1039	1994-03-31	VYDAJ	VYBER	30	76764	SLUZBY	\N	\N
304910	1039	1994-04-30	VYDAJ	VYBER	30	54150	SLUZBY	\N	\N
304911	1039	1994-05-31	VYDAJ	VYBER	30	100296	SLUZBY	\N	\N
304912	1039	1994-06-30	VYDAJ	VYBER	30	81702	SLUZBY	\N	\N
304913	1039	1994-07-31	VYDAJ	VYBER	30	108317	SLUZBY	\N	\N
304914	1039	1994-08-31	VYDAJ	VYBER	30	63483	SLUZBY	\N	\N
304915	1039	1994-09-30	VYDAJ	VYBER	30	70491	SLUZBY	\N	\N
304916	1039	1994-10-31	VYDAJ	VYBER	30	131776	SLUZBY	\N	\N
304917	1039	1994-11-30	VYDAJ	VYBER	30	82148	SLUZBY	\N	\N
304918	1039	1994-12-31	VYDAJ	VYBER	30	68910	SLUZBY	\N	\N
304919	1039	1995-01-31	VYDAJ	VYBER	30	45597	SLUZBY	\N	\N
304920	1039	1995-02-28	VYDAJ	VYBER	30	86163	SLUZBY	\N	\N
304921	1039	1995-03-31	VYDAJ	VYBER	30	69466	SLUZBY	\N	\N
304922	1039	1995-04-30	VYDAJ	VYBER	30	57356	SLUZBY	\N	\N
304923	1039	1995-05-31	VYDAJ	VYBER	30	59750	SLUZBY	\N	\N
304924	1039	1995-06-30	VYDAJ	VYBER	30	59285	SLUZBY	\N	\N
304925	1039	1995-07-31	VYDAJ	VYBER	30	42701	SLUZBY	\N	\N
304926	1039	1995-08-31	VYDAJ	VYBER	30	75914	SLUZBY	\N	\N
304927	1039	1995-09-30	VYDAJ	VYBER	30	54385	SLUZBY	\N	\N
304928	1039	1995-10-31	VYDAJ	VYBER	30	65476	SLUZBY	\N	\N
304929	1039	1995-11-30	VYDAJ	VYBER	30	67380	SLUZBY	\N	\N
304930	1039	1995-12-31	VYDAJ	VYBER	30	56839	SLUZBY	\N	\N
304931	1039	1996-01-31	VYDAJ	VYBER	30	33306	SLUZBY	\N	\N
304932	1039	1996-02-29	VYDAJ	VYBER	30	37012	SLUZBY	\N	\N
304933	1039	1996-03-31	VYDAJ	VYBER	30	85039	SLUZBY	\N	\N
304934	1039	1996-04-30	VYDAJ	VYBER	30	48367	SLUZBY	\N	\N
304935	1039	1996-05-31	VYDAJ	VYBER	30	93463	SLUZBY	\N	\N
304936	1039	1996-06-30	VYDAJ	VYBER	30	76440	SLUZBY	\N	\N
304937	1039	1996-07-31	VYDAJ	VYBER	30	44364	SLUZBY	\N	\N
304938	1039	1996-08-31	VYDAJ	VYBER	30	61903	SLUZBY	\N	\N
304939	1039	1996-09-30	VYDAJ	VYBER	30	92676	SLUZBY	\N	\N
304940	1039	1996-10-31	VYDAJ	VYBER	30	73326	SLUZBY	\N	\N
304941	1039	1996-11-30	VYDAJ	VYBER	30	89823	SLUZBY	\N	\N
304942	1039	1996-12-31	VYDAJ	VYBER	30	61817	SLUZBY	\N	\N
304943	1039	1997-01-31	VYDAJ	VYBER	30	32093	SLUZBY	\N	\N
304944	1039	1997-02-28	VYDAJ	VYBER	30	43427	SLUZBY	\N	\N
304945	1039	1997-03-31	VYDAJ	VYBER	30	69509	SLUZBY	\N	\N
304946	1039	1997-04-30	VYDAJ	VYBER	30	87791	SLUZBY	\N	\N
304947	1039	1997-05-31	VYDAJ	VYBER	30	72819	SLUZBY	\N	\N
304948	1039	1997-06-30	VYDAJ	VYBER	30	105135	SLUZBY	\N	\N
304949	1039	1997-07-31	VYDAJ	VYBER	30	102254	SLUZBY	\N	\N
304950	1039	1997-08-31	VYDAJ	VYBER	30	107652	SLUZBY	\N	\N
304951	1039	1997-09-30	VYDAJ	VYBER	30	93902	SLUZBY	\N	\N
304952	1039	1997-10-31	VYDAJ	VYBER	30	114323	SLUZBY	\N	\N
304953	1039	1997-11-30	VYDAJ	VYBER	30	84576	SLUZBY	\N	\N
304954	1039	1997-12-31	VYDAJ	VYBER	30	59481	SLUZBY	\N	\N
304955	1039	1998-01-31	VYDAJ	VYBER	30	54952	SLUZBY	\N	\N
304956	1039	1998-02-28	VYDAJ	VYBER	30	59121	SLUZBY	\N	\N
304957	1039	1998-03-31	VYDAJ	VYBER	30	73335	SLUZBY	\N	\N
304958	1039	1998-04-30	VYDAJ	VYBER	30	77728	SLUZBY	\N	\N
304959	1039	1998-05-31	VYDAJ	VYBER	30	85646	SLUZBY	\N	\N
304960	1039	1998-06-30	VYDAJ	VYBER	30	100453	SLUZBY	\N	\N
304961	1039	1998-07-31	VYDAJ	VYBER	30	81557	SLUZBY	\N	\N
304962	1039	1998-08-31	VYDAJ	VYBER	30	104018	SLUZBY	\N	\N
304963	1039	1998-09-30	VYDAJ	VYBER	30	96913	SLUZBY	\N	\N
304964	1039	1998-10-31	VYDAJ	VYBER	30	78551	SLUZBY	\N	\N
304965	1039	1998-11-30	VYDAJ	VYBER	30	107211	SLUZBY	\N	\N
304966	1039	1993-06-09	VYDAJ	VYBER	6100	26377	\N	\N	\N
304967	1039	1993-07-09	VYDAJ	VYBER	3500	23012	\N	\N	\N
304968	1039	1993-08-08	PRIJEM	VKLAD	2300	25448	\N	\N	\N
304969	1039	1993-09-07	VYDAJ	VYBER	2500	23083	\N	\N	\N
304970	1039	1993-10-07	VYDAJ	VYBER	12100	32026	\N	\N	\N
304971	1039	1993-11-06	VYDAJ	VYBER	18600	38647	\N	\N	\N
304972	1039	1993-12-06	VYDAJ	VYBER	13500	41870	\N	\N	\N
304973	1039	1994-01-05	VYDAJ	VYBER	6200	35900	\N	\N	\N
304974	1039	1994-01-26	VYDAJ	VYBER	37000	71522	\N	\N	\N
304975	1039	1994-02-04	VYDAJ	VYBER	14100	44132	\N	\N	\N
304976	1039	1994-03-06	VYDAJ	VYBER	14100	37504	\N	\N	\N
304977	1039	1994-03-27	VYDAJ	VYBER	46700	76551	\N	\N	\N
304978	1039	1994-04-05	VYDAJ	VYBER	22900	53864	\N	\N	\N
304979	1039	1994-05-05	VYDAJ	VYBER	16000	38150	\N	\N	\N
304980	1039	1994-06-03	VYDAJ	VYBER	25000	108786	\N	\N	\N
304981	1039	1994-06-04	VYDAJ	VYBER	38600	70186	\N	\N	\N
304982	1039	1994-07-04	VYDAJ	VYBER	26000	50902	\N	\N	\N
304983	1039	1994-08-01	VYDAJ	VYBER	28600	108329	\N	\N	\N
304984	1039	1994-08-03	VYDAJ	VYBER	38200	70129	\N	\N	\N
304985	1039	1994-09-02	VYDAJ	VYBER	16500	46983	\N	\N	\N
304986	1039	1994-09-23	VYDAJ	VYBER	44600	70232	\N	\N	\N
304987	1039	1994-10-02	VYDAJ	VYBER	13500	45291	\N	\N	\N
304988	1039	1994-10-29	VYDAJ	VYBER	17700	131489	\N	\N	\N
304989	1039	1994-10-31	VYDAJ	VYBER	28300	103476	\N	\N	\N
304990	1039	1994-11-01	VYDAJ	VYBER	35900	67576	\N	\N	\N
304991	1039	1994-12-01	VYDAJ	VYBER	59900	47759	\N	\N	\N
304992	1039	1994-12-01	VYDAJ	VYBER	17300	107659	\N	\N	\N
304993	1039	1994-12-12	VYDAJ	VYBER	45500	68520	\N	\N	\N
304994	1039	1994-12-31	VYDAJ	VYBER	19300	49610	\N	\N	\N
304995	1039	1995-01-30	VYDAJ	VYBER	16000	45320	\N	\N	\N
304996	1039	1995-03-01	VYDAJ	VYBER	29300	56863	\N	\N	\N
304997	1039	1995-03-31	VYDAJ	VYBER	21100	48366	\N	\N	\N
304998	1039	1995-04-30	VYDAJ	VYBER	29000	57386	\N	\N	\N
304999	1039	1995-05-30	VYDAJ	VYBER	29700	59443	\N	\N	\N
305000	1039	1995-06-29	VYDAJ	VYBER	30600	58990	\N	\N	\N
305001	1039	1995-07-29	VYDAJ	VYBER	12600	42493	\N	\N	\N
305002	1039	1995-08-23	VYDAJ	VYBER	17900	102958	\N	\N	\N
305003	1039	1995-08-28	VYDAJ	VYBER	31600	71358	\N	\N	\N
305004	1039	1995-09-27	VYDAJ	VYBER	19400	54114	\N	\N	\N
305005	1039	1995-10-27	VYDAJ	VYBER	22200	65270	\N	\N	\N
305006	1039	1995-11-26	VYDAJ	VYBER	23200	67116	\N	\N	\N
305007	1039	1995-12-26	PRIJEM	VKLAD	2600	39229	\N	\N	\N
305008	1039	1996-01-25	VYDAJ	VYBER KARTOU	1800	40039	\N	\N	0
305009	1039	1996-02-24	PRIJEM	VKLAD	3600	36906	\N	\N	\N
305010	1039	1996-03-17	VYDAJ	VYBER	28300	93768	\N	\N	\N
305011	1039	1996-03-18	VYDAJ	VYBER	56200	90864	\N	\N	\N
305012	1039	1996-03-25	VYDAJ	VYBER	21400	69464	\N	\N	\N
305013	1039	1996-04-05	VYDAJ	VYBER	43200	75713	\N	\N	\N
305014	1039	1996-04-24	PRIJEM	VKLAD	2100	68213	\N	\N	\N
305015	1039	1996-05-24	VYDAJ	VYBER	18600	72362	\N	\N	\N
305016	1039	1996-06-13	VYDAJ	VYBER	26100	115642	\N	\N	\N
305017	1039	1996-06-23	VYDAJ	VYBER	23500	76088	\N	\N	\N
305018	1039	1996-07-23	PRIJEM	VKLAD	9300	44157	\N	\N	\N
305019	1039	1996-08-22	PRIJEM	VKLAD	7400	43139	\N	\N	\N
305020	1039	1996-09-21	VYDAJ	VYBER KARTOU	1400	50391	\N	\N	0
305021	1039	1996-10-21	VYDAJ	VYBER	19700	72976	\N	\N	\N
305022	1039	1996-11-20	VYDAJ	VYBER	18800	74483	\N	\N	\N
305023	1039	1996-12-20	VYDAJ	VYBER KARTOU	6200	63634	\N	\N	0
305024	1039	1997-01-19	PRIJEM	VKLAD	1200	50417	\N	\N	\N
305025	1039	1997-02-18	PRIJEM	VKLAD	600	57692	\N	\N	\N
305026	1039	1997-03-20	VYDAJ	VYBER KARTOU	7200	67148	\N	\N	0
305027	1039	1997-04-19	VYDAJ	VYBER	26700	90907	\N	\N	\N
305028	1039	1997-05-19	VYDAJ	VYBER	15300	72491	\N	\N	\N
305029	1039	1997-06-06	VYDAJ	VYBER	46500	75900	\N	\N	\N
305030	1039	1997-06-18	VYDAJ	VYBER	25100	85489	\N	\N	\N
305031	1039	1997-06-22	VYDAJ	VYBER	64500	64781	\N	\N	\N
305032	1039	1997-07-11	VYDAJ	VYBER	54200	92452	\N	\N	\N
305033	1039	1997-07-12	VYDAJ	VYBER	43300	78907	\N	\N	\N
305034	1039	1997-07-18	VYDAJ	VYBER KARTOU	3500	70916	\N	\N	0
305035	1039	1997-08-06	VYDAJ	VYBER	55700	92615	\N	\N	\N
305036	1039	1997-08-17	VYDAJ	VYBER	28600	89004	\N	\N	\N
305037	1039	1997-08-25	VYDAJ	VYBER	33000	95033	\N	\N	\N
305038	1039	1997-08-27	VYDAJ	VYBER	18400	107242	\N	\N	\N
305039	1039	1997-09-06	VYDAJ	VYBER	48900	88564	\N	\N	\N
305040	1039	1997-09-16	VYDAJ	VYBER KARTOU	900	65853	\N	\N	0
305041	1039	1997-10-16	VYDAJ	VYBER	10500	83402	\N	\N	\N
305042	1039	1997-10-17	VYDAJ	VYBER	54100	66396	\N	\N	\N
305043	1039	1997-11-15	VYDAJ	VYBER	18800	95523	\N	\N	\N
305044	1039	1997-12-15	VYDAJ	VYBER KARTOU	6400	78176	\N	\N	0
305045	1039	1998-01-14	PRIJEM	VKLAD	19000	67059	\N	\N	\N
305046	1039	1998-02-13	PRIJEM	VKLAD	22000	58919	\N	\N	\N
305047	1039	1998-03-15	VYDAJ	VYBER KARTOU	3500	85393	\N	\N	0
305048	1039	1998-03-28	VYDAJ	VYBER	61400	73047	\N	\N	\N
305049	1039	1998-04-14	PRIJEM	VKLAD	13800	69135	\N	\N	\N
305050	1039	1998-05-14	PRIJEM	VKLAD	6300	78557	\N	\N	\N
305051	1039	1998-06-13	PRIJEM	VKLAD	2600	80402	\N	\N	\N
305052	1039	1998-07-02	VYDAJ	VYBER	55200	67505	\N	\N	\N
305053	1039	1998-08-07	VYDAJ	VYBER	41100	95662	\N	\N	\N
305054	1039	1998-08-12	VYDAJ	VYBER KARTOU	6100	89562	\N	\N	0
305055	1039	1998-08-17	VYDAJ	VYBER	54100	81004	\N	\N	\N
305056	1039	1998-08-19	VYDAJ	VYBER	28300	103608	\N	\N	\N
305057	1039	1998-09-11	VYDAJ	VYBER KARTOU	7500	96518	\N	\N	0
305058	1039	1998-11-10	VYDAJ	VYBER KARTOU	1200	77351	\N	\N	0
305059	1039	1998-12-10	VYDAJ	VYBER KARTOU	6200	93814	\N	\N	0
305128	1040	1996-05-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
305130	1040	1996-08-11	PRIJEM	VKLAD	41801	42801	\N	\N	\N
305131	1040	1996-08-28	PRIJEM	VKLAD	23469	54470	\N	\N	\N
305134	1040	1996-09-20	PRIJEM	VKLAD	20051	54700	\N	\N	\N
305136	1040	1997-11-25	PRIJEM	VKLAD	20493	71669	\N	\N	\N
305137	1040	1997-07-01	PRIJEM	VKLAD	43963	110253	\N	\N	\N
305138	1040	1997-08-24	PRIJEM	VKLAD	37279	117639	\N	\N	\N
305139	1040	1997-06-19	PRIJEM	VKLAD	18402	73680	\N	\N	\N
305140	1040	1997-10-30	PRIJEM	VKLAD	17490	32230	\N	\N	\N
305141	1040	1997-06-26	PRIJEM	VKLAD	22602	71590	\N	\N	\N
305142	1040	1997-02-10	PRIJEM	VKLAD	31055	61096	\N	\N	\N
305143	1040	1997-01-12	PRIJEM	VKLAD	16565	40876	\N	\N	\N
305144	1040	1997-06-02	PRIJEM	VKLAD	38613	76445	\N	\N	\N
305145	1040	1997-03-02	PRIJEM	VKLAD	11663	80108	\N	\N	\N
305146	1040	1997-11-13	PRIJEM	VKLAD	13152	26909	\N	\N	\N
305147	1040	1997-07-11	PRIJEM	VKLAD	40408	115444	\N	\N	\N
305148	1040	1997-11-21	PRIJEM	VKLAD	27899	51176	\N	\N	\N
305149	1040	1997-08-14	PRIJEM	VKLAD	47466	87517	\N	\N	\N
305150	1040	1997-08-17	PRIJEM	VKLAD	40459	127976	\N	\N	\N
305151	1040	1997-04-26	PRIJEM	VKLAD	16918	35207	\N	\N	\N
305152	1040	1997-07-25	PRIJEM	VKLAD	48210	68754	\N	\N	\N
305153	1040	1997-08-19	PRIJEM	VKLAD	20784	115960	\N	\N	\N
305154	1040	1997-06-05	PRIJEM	VKLAD	29941	106386	\N	\N	\N
305155	1040	1997-09-22	PRIJEM	VKLAD	8782	35688	\N	\N	\N
305156	1040	1997-04-27	PRIJEM	VKLAD	33740	68947	\N	\N	\N
305157	1040	1997-03-09	PRIJEM	VKLAD	14346	66873	\N	\N	\N
305158	1040	1997-02-15	PRIJEM	VKLAD	6141	45137	\N	\N	\N
305159	1040	1997-07-11	PRIJEM	VKLAD	11891	75036	\N	\N	\N
305160	1040	1997-02-16	PRIJEM	VKLAD	37508	82645	\N	\N	\N
305161	1040	1997-12-18	PRIJEM	VKLAD	10331	38896	\N	\N	\N
305162	1040	1997-11-30	PRIJEM	VKLAD	33680	105506	\N	\N	\N
305163	1040	1998-07-13	PRIJEM	VKLAD	24925	55001	\N	\N	\N
305164	1040	1998-12-13	PRIJEM	VKLAD	28661	42008	\N	\N	\N
305165	1040	1998-03-20	PRIJEM	VKLAD	44102	75894	\N	\N	\N
305166	1040	1998-04-03	PRIJEM	VKLAD	41930	117988	\N	\N	\N
305167	1040	1998-01-08	PRIJEM	VKLAD	34611	49263	\N	\N	\N
305168	1040	1998-05-06	PRIJEM	VKLAD	11289	72730	\N	\N	\N
305169	1040	1998-06-25	PRIJEM	VKLAD	26843	52234	\N	\N	\N
305170	1040	1998-03-07	PRIJEM	VKLAD	13381	29430	\N	\N	\N
305171	1040	1998-04-19	PRIJEM	VKLAD	18713	61193	\N	\N	\N
305172	1040	1998-03-14	PRIJEM	VKLAD	12570	31792	\N	\N	\N
305173	1040	1998-07-15	PRIJEM	VKLAD	32615	87616	\N	\N	\N
305224	1040	1997-03-07	VYDAJ	PREVOD NA UCET	7008	52527	SIPO	GH	15813100
305225	1040	1997-04-07	VYDAJ	PREVOD NA UCET	7008	21989	SIPO	GH	15813100
305226	1040	1997-05-07	VYDAJ	PREVOD NA UCET	7008	56947	SIPO	GH	15813100
305227	1040	1997-06-07	VYDAJ	PREVOD NA UCET	7008	99378	SIPO	GH	15813100
305228	1040	1997-07-07	VYDAJ	PREVOD NA UCET	7008	63145	SIPO	GH	15813100
305229	1040	1997-08-07	VYDAJ	PREVOD NA UCET	7008	61951	SIPO	GH	15813100
305230	1040	1997-09-07	VYDAJ	PREVOD NA UCET	7008	65785	SIPO	GH	15813100
305231	1040	1997-10-07	VYDAJ	PREVOD NA UCET	7008	28840	SIPO	GH	15813100
305232	1040	1997-11-07	VYDAJ	PREVOD NA UCET	7008	21957	SIPO	GH	15813100
305233	1040	1997-12-07	VYDAJ	PREVOD NA UCET	7008	49165	SIPO	GH	15813100
305234	1040	1998-01-07	VYDAJ	PREVOD NA UCET	7008	14652	SIPO	GH	15813100
305235	1040	1998-02-07	VYDAJ	PREVOD NA UCET	7008	15971	SIPO	GH	15813100
305236	1040	1998-03-07	VYDAJ	PREVOD NA UCET	7008	22422	SIPO	GH	15813100
305237	1040	1998-04-07	VYDAJ	PREVOD NA UCET	7008	64580	SIPO	GH	15813100
305238	1040	1998-05-07	VYDAJ	PREVOD NA UCET	7008	65722	SIPO	GH	15813100
305239	1040	1998-06-07	VYDAJ	PREVOD NA UCET	7008	34791	SIPO	GH	15813100
305240	1040	1998-07-07	VYDAJ	PREVOD NA UCET	7008	30076	SIPO	GH	15813100
305241	1040	1998-08-07	VYDAJ	PREVOD NA UCET	7008	50674	SIPO	GH	15813100
305242	1040	1998-09-07	VYDAJ	PREVOD NA UCET	7008	32391	SIPO	GH	15813100
305243	1040	1998-10-07	VYDAJ	PREVOD NA UCET	7008	22418	SIPO	GH	15813100
305244	1040	1998-11-07	VYDAJ	PREVOD NA UCET	7008	17195	SIPO	GH	15813100
305245	1040	1998-12-07	VYDAJ	PREVOD NA UCET	7008	13347	SIPO	GH	15813100
305256	1040	1997-06-24	VYBER	VYBER	24692	48988	\N	\N	\N
305257	1040	1997-11-01	VYBER	VYBER	3342	28965	\N	\N	\N
305258	1040	1997-09-08	VYBER	VYBER	22779	43006	\N	\N	\N
305260	1040	1997-11-18	VYBER	VYBER	3632	23277	\N	\N	\N
305262	1040	1997-03-04	VYBER	VYBER	20573	59535	\N	\N	\N
305264	1040	1997-06-28	VYBER	VYBER	5571	66019	\N	\N	\N
305265	1040	1997-03-25	VYBER	VYBER	12960	28813	\N	\N	\N
305266	1040	1997-12-06	VYBER	VYBER	19719	56173	\N	\N	\N
305267	1040	1997-02-17	VYBER	VYBER	14393	68252	\N	\N	\N
305275	1040	1997-12-21	VYDAJ	VYBER	2100	36796	\N	\N	\N
305290	1040	1998-01-03	VYDAJ	VYBER	7800	21660	\N	\N	\N
305291	1040	1998-01-21	VYDAJ	VYBER	2100	24463	\N	\N	\N
305292	1040	1998-01-02	VYDAJ	VYBER	7500	29460	\N	\N	\N
305294	1040	1998-01-17	VYDAJ	VYBER	2700	26563	\N	\N	\N
305302	1040	1997-07-07	VYDAJ	VYBER	1800	70153	\N	\N	\N
305303	1040	1997-07-23	VYDAJ	VYBER	11100	20544	\N	\N	\N
305304	1040	1997-09-07	VYDAJ	VYBER	3300	72793	\N	\N	\N
305306	1040	1997-04-28	VYDAJ	VYBER	5100	63847	\N	\N	\N
305310	1040	1998-01-26	VYDAJ	VYBER	3600	20863	\N	\N	\N
305311	1040	1998-07-01	VYDAJ	VYBER	2400	49984	\N	\N	\N
305326	1040	1997-02-28	VYDAJ	VYBER	15	68445	SLUZBY	\N	\N
305327	1040	1997-03-31	VYDAJ	VYBER	15	28997	SLUZBY	\N	\N
305328	1040	1997-04-30	VYDAJ	VYBER	15	63955	SLUZBY	\N	\N
305329	1040	1997-05-31	VYDAJ	VYBER	15	37832	SLUZBY	\N	\N
305330	1040	1997-06-30	VYDAJ	VYBER	15	66290	SLUZBY	\N	\N
305331	1040	1997-07-31	VYDAJ	VYBER	15	68959	SLUZBY	\N	\N
305332	1040	1997-08-31	VYDAJ	VYBER	15	76093	SLUZBY	\N	\N
305333	1040	1997-09-30	VYDAJ	VYBER	15	35848	SLUZBY	\N	\N
305334	1040	1997-10-31	VYDAJ	VYBER	15	32307	SLUZBY	\N	\N
305335	1040	1997-11-30	VYDAJ	VYBER	15	75892	SLUZBY	\N	\N
305336	1040	1997-12-31	VYDAJ	VYBER	15	36960	SLUZBY	\N	\N
305337	1040	1998-01-31	VYDAJ	VYBER	15	20979	SLUZBY	\N	\N
305338	1040	1998-02-28	VYDAJ	VYBER	15	16049	SLUZBY	\N	\N
305339	1040	1998-03-31	VYDAJ	VYBER	15	76058	SLUZBY	\N	\N
305340	1040	1998-04-30	VYDAJ	VYBER	15	61441	SLUZBY	\N	\N
305341	1040	1998-05-31	VYDAJ	VYBER	15	41799	SLUZBY	\N	\N
305342	1040	1998-06-30	VYDAJ	VYBER	15	52384	SLUZBY	\N	\N
305343	1040	1998-07-31	VYDAJ	VYBER	15	87882	SLUZBY	\N	\N
305344	1040	1998-08-31	VYDAJ	VYBER	15	50899	SLUZBY	\N	\N
305345	1040	1998-09-30	VYDAJ	VYBER	15	32526	SLUZBY	\N	\N
305346	1040	1998-10-31	VYDAJ	VYBER	15	22503	SLUZBY	\N	\N
305347	1040	1998-11-30	VYDAJ	VYBER	15	17255	SLUZBY	\N	\N
305348	1040	1996-08-16	VYDAJ	VYBER	11800	31001	\N	\N	\N
305349	1040	1996-09-15	VYDAJ	VYBER	19900	34649	\N	\N	\N
305350	1040	1996-10-15	VYDAJ	VYBER	16900	38028	\N	\N	\N
305351	1040	1996-11-14	VYDAJ	VYBER	11100	27156	\N	\N	\N
305352	1040	1996-12-14	VYDAJ	VYBER	3300	24083	\N	\N	\N
305353	1040	1997-01-13	VYDAJ	VYBER	11000	29876	\N	\N	\N
305354	1040	1997-02-12	VYDAJ	VYBER	22100	38996	\N	\N	\N
305355	1040	1997-03-14	VYDAJ	VYBER	25100	41773	\N	\N	\N
305356	1040	1997-04-13	VYDAJ	VYBER	3700	18289	\N	\N	\N
305357	1040	1997-05-13	VYDAJ	VYBER	19300	37647	\N	\N	\N
305358	1040	1997-06-12	VYDAJ	VYBER	44100	55278	\N	\N	\N
305359	1040	1997-07-01	VYDAJ	VYBER	38300	71953	\N	\N	\N
305360	1040	1997-07-11	VYDAJ	VYBER	60400	55044	\N	\N	\N
305361	1040	1997-07-12	VYDAJ	VYBER	23400	31644	\N	\N	\N
305362	1040	1997-08-11	VYDAJ	VYBER	21900	40051	\N	\N	\N
305363	1040	1997-08-17	VYDAJ	VYBER	32800	95176	\N	\N	\N
305364	1040	1997-08-19	VYDAJ	VYBER	35600	80360	\N	\N	\N
305365	1040	1997-08-24	VYDAJ	VYBER	41900	75739	\N	\N	\N
305366	1040	1997-09-10	VYDAJ	VYBER	16100	26906	\N	\N	\N
305367	1040	1997-10-10	VYDAJ	VYBER	14100	14740	\N	\N	\N
305368	1040	1997-11-09	VYDAJ	VYBER	8200	13757	\N	\N	\N
305369	1040	1997-11-30	VYDAJ	VYBER	29600	75906	\N	\N	\N
305370	1040	1997-12-09	VYDAJ	VYBER	20600	28565	\N	\N	\N
305371	1040	1998-01-08	VYDAJ	VYBER	20000	29263	\N	\N	\N
305372	1040	1998-02-07	PRIJEM	VKLAD	2000	22979	\N	\N	\N
305373	1040	1998-03-09	VYDAJ	VYBER	3200	19222	\N	\N	\N
305374	1040	1998-04-03	VYDAJ	VYBER	46400	71588	\N	\N	\N
305375	1040	1998-04-08	VYDAJ	VYBER	22100	42480	\N	\N	\N
305376	1040	1998-05-08	VYDAJ	VYBER	24100	41622	\N	\N	\N
305377	1040	1998-06-07	VYDAJ	VYBER	9400	25391	\N	\N	\N
305378	1040	1998-07-07	VYDAJ	VYBER	12900	37084	\N	\N	\N
305379	1040	1998-08-06	VYDAJ	VYBER	30200	57682	\N	\N	\N
305380	1040	1998-09-05	VYDAJ	VYBER	11500	39399	\N	\N	\N
305381	1040	1998-10-05	VYDAJ	VYBER	3100	29426	\N	\N	\N
305382	1040	1998-11-04	PRIJEM	VKLAD	1700	24203	\N	\N	\N
305383	1040	1998-12-04	PRIJEM	VKLAD	3100	20355	\N	\N	\N
305652	1042	1994-04-03	PRIJEM	VKLAD	900	900	\N	\N	\N
305656	1042	1994-04-14	PRIJEM	VKLAD	12045	12945	\N	\N	\N
305657	1042	1994-05-14	PRIJEM	VKLAD	12045	28721	\N	\N	\N
305658	1042	1994-06-14	PRIJEM	VKLAD	18068	44281	\N	\N	\N
305659	1042	1994-07-14	PRIJEM	VKLAD	12045	45882	\N	\N	\N
305660	1042	1994-08-14	PRIJEM	VKLAD	12045	50315	\N	\N	\N
305661	1042	1994-09-14	PRIJEM	VKLAD	12045	50146	\N	\N	\N
305662	1042	1994-10-14	PRIJEM	VKLAD	12045	48637	\N	\N	\N
305663	1042	1994-11-14	PRIJEM	VKLAD	12045	51574	\N	\N	\N
305664	1042	1994-12-14	PRIJEM	VKLAD	18068	55391	\N	\N	\N
305665	1042	1995-01-14	PRIJEM	VKLAD	12045	49916	\N	\N	\N
305666	1042	1995-02-14	PRIJEM	VKLAD	12045	40606	\N	\N	\N
305667	1042	1995-03-14	PRIJEM	VKLAD	12045	47684	\N	\N	\N
305668	1042	1995-04-14	PRIJEM	VKLAD	12045	48863	\N	\N	\N
305669	1042	1995-05-14	PRIJEM	VKLAD	12045	55049	\N	\N	\N
305670	1042	1995-06-14	PRIJEM	VKLAD	18068	60781	\N	\N	\N
305671	1042	1995-07-14	PRIJEM	VKLAD	12045	42283	\N	\N	\N
305672	1042	1995-08-14	PRIJEM	VKLAD	12045	48243	\N	\N	\N
305673	1042	1995-09-14	PRIJEM	VKLAD	12045	54829	\N	\N	\N
305674	1042	1995-10-14	PRIJEM	VKLAD	12045	59041	\N	\N	\N
305675	1042	1995-11-14	PRIJEM	VKLAD	12045	59367	\N	\N	\N
305676	1042	1995-12-14	PRIJEM	VKLAD	18068	64518	\N	\N	\N
305677	1042	1996-01-14	PRIJEM	VKLAD	12045	54370	\N	\N	\N
305678	1042	1996-02-14	PRIJEM	VKLAD	12045	49090	\N	\N	\N
305679	1042	1996-03-14	PRIJEM	VKLAD	12045	54792	\N	\N	\N
305680	1042	1996-04-14	PRIJEM	VKLAD	12045	58806	\N	\N	\N
305681	1042	1996-05-14	PRIJEM	VKLAD	12045	61249	\N	\N	\N
305682	1042	1996-06-14	PRIJEM	VKLAD	18068	44308	\N	\N	\N
305683	1042	1996-07-14	PRIJEM	VKLAD	12045	51726	\N	\N	\N
305684	1042	1996-08-14	PRIJEM	VKLAD	12045	56027	\N	\N	\N
305685	1042	1996-09-14	PRIJEM	VKLAD	12045	59545	\N	\N	\N
305686	1042	1996-10-14	PRIJEM	VKLAD	12045	57072	\N	\N	\N
305687	1042	1996-11-14	PRIJEM	VKLAD	12045	56293	\N	\N	\N
305688	1042	1996-12-14	PRIJEM	VKLAD	18068	66650	\N	\N	\N
305689	1042	1997-01-14	PRIJEM	VKLAD	12045	51489	\N	\N	\N
305690	1042	1997-02-14	PRIJEM	VKLAD	12045	47799	\N	\N	\N
305691	1042	1997-03-14	PRIJEM	VKLAD	12045	49091	\N	\N	\N
305692	1042	1997-04-14	PRIJEM	VKLAD	12045	49580	\N	\N	\N
305693	1042	1997-05-14	PRIJEM	VKLAD	12045	50667	\N	\N	\N
305694	1042	1997-06-14	PRIJEM	VKLAD	18068	57080	\N	\N	\N
305695	1042	1997-07-14	PRIJEM	VKLAD	12045	54883	\N	\N	\N
305696	1042	1997-08-14	PRIJEM	VKLAD	12045	54395	\N	\N	\N
305697	1042	1997-09-14	PRIJEM	VKLAD	12045	48898	\N	\N	\N
305698	1042	1997-10-14	PRIJEM	VKLAD	12045	47982	\N	\N	\N
305699	1042	1997-11-14	PRIJEM	VKLAD	12045	39187	\N	\N	\N
305700	1042	1997-12-14	PRIJEM	VKLAD	18068	46587	\N	\N	\N
305701	1042	1998-01-14	PRIJEM	VKLAD	12045	40283	\N	\N	\N
305702	1042	1998-02-14	PRIJEM	VKLAD	12045	46372	\N	\N	\N
305703	1042	1998-03-14	PRIJEM	VKLAD	12045	49770	\N	\N	\N
305704	1042	1998-04-14	PRIJEM	VKLAD	12045	54299	\N	\N	\N
305705	1042	1998-05-14	PRIJEM	VKLAD	12045	56542	\N	\N	\N
305706	1042	1998-06-14	PRIJEM	VKLAD	18068	59724	\N	\N	\N
305707	1042	1998-07-14	PRIJEM	VKLAD	12045	55994	\N	\N	\N
305708	1042	1998-08-14	PRIJEM	VKLAD	12045	51848	\N	\N	\N
305709	1042	1998-09-14	PRIJEM	VKLAD	12045	48492	\N	\N	\N
305710	1042	1998-10-14	PRIJEM	VKLAD	12045	50216	\N	\N	\N
305711	1042	1998-11-14	PRIJEM	VKLAD	12045	48748	\N	\N	\N
305712	1042	1998-12-14	PRIJEM	VKLAD	18068	53104	\N	\N	\N
305714	1042	1995-06-24	VYDAJ	VYBER	29200	27581	\N	\N	\N
305715	1042	1996-06-08	VYDAJ	VYBER	24300	26240	\N	\N	\N
305719	1042	1995-01-14	VYDAJ	VYBER	8900	41016	\N	\N	\N
305720	1042	1996-01-19	VYDAJ	VYBER	5300	49070	\N	\N	\N
305721	1042	1997-01-11	VYDAJ	VYBER	2900	41644	\N	\N	\N
305722	1042	1998-01-12	VYDAJ	VYBER	4500	28238	\N	\N	\N
305723	1042	1994-12-01	VYDAJ	VYBER	800	37323	\N	\N	\N
305724	1042	1995-12-07	VYDAJ	VYBER	2200	46450	\N	\N	\N
305725	1042	1996-12-30	VYDAJ	VYBER	2900	47550	\N	\N	\N
305726	1042	1997-12-16	VYDAJ	VYBER	1900	44687	\N	\N	\N
305727	1042	1998-12-10	VYDAJ	VYBER	1800	35036	\N	\N	\N
305734	1042	1995-01-22	VYDAJ	VYBER	800	36916	\N	\N	\N
305735	1042	1995-01-16	VYDAJ	VYBER	2400	38616	\N	\N	\N
305736	1042	1995-01-03	VYDAJ	VYBER	600	39871	\N	\N	\N
305737	1042	1995-01-26	VYDAJ	VYBER	1300	35616	\N	\N	\N
305738	1042	1995-01-17	VYDAJ	VYBER	900	37716	\N	\N	\N
305739	1042	1995-01-11	VYDAJ	VYBER	2000	37871	\N	\N	\N
305740	1042	1996-01-11	VYDAJ	VYBER	1000	45125	\N	\N	\N
305741	1042	1996-01-27	VYDAJ	VYBER	2600	36870	\N	\N	\N
305742	1042	1996-01-12	VYDAJ	VYBER	2800	42325	\N	\N	\N
305743	1042	1996-01-07	VYDAJ	VYBER	1600	46125	\N	\N	\N
305744	1042	1996-01-26	VYDAJ	VYBER	2200	39470	\N	\N	\N
305745	1042	1996-01-21	VYDAJ	VYBER	2700	46370	\N	\N	\N
305746	1042	1997-01-03	VYDAJ	VYBER	1000	46744	\N	\N	\N
305747	1042	1997-01-04	VYDAJ	VYBER	900	45844	\N	\N	\N
305748	1042	1997-01-24	VYDAJ	VYBER	1200	40089	\N	\N	\N
305749	1042	1997-01-09	VYDAJ	VYBER	1300	44544	\N	\N	\N
305750	1042	1997-01-11	VYDAJ	VYBER	1300	40344	\N	\N	\N
305751	1042	1997-01-11	VYDAJ	VYBER	900	39444	\N	\N	\N
305752	1042	1998-01-15	VYDAJ	VYBER	1500	38783	\N	\N	\N
305753	1042	1998-01-17	VYDAJ	VYBER	2100	36683	\N	\N	\N
305754	1042	1998-01-06	VYDAJ	VYBER	1500	43338	\N	\N	\N
305755	1042	1998-01-09	VYDAJ	VYBER	2600	40738	\N	\N	\N
305756	1042	1998-01-25	VYDAJ	VYBER	1900	34783	\N	\N	\N
305757	1042	1998-01-12	VYDAJ	VYBER	2300	37538	\N	\N	\N
305761	1042	1995-02-08	VYDAJ	VYBER	2100	28561	\N	\N	\N
305762	1042	1995-06-20	VYDAJ	VYBER	4000	56781	\N	\N	\N
305763	1042	1995-03-29	VYDAJ	VYBER	2800	44884	\N	\N	\N
305764	1042	1996-09-28	VYDAJ	VYBER	3500	44845	\N	\N	\N
305765	1042	1996-04-03	VYDAJ	VYBER	1300	46761	\N	\N	\N
305766	1042	1996-02-15	VYDAJ	VYBER	900	48190	\N	\N	\N
305767	1042	1996-11-11	VYDAJ	VYBER	3700	44248	\N	\N	\N
305768	1042	1996-12-26	VYDAJ	VYBER	4400	50450	\N	\N	\N
305769	1042	1997-12-12	VYDAJ	VYBER	1700	32919	\N	\N	\N
305770	1042	1997-02-07	VYDAJ	VYBER	4500	35754	\N	\N	\N
305771	1042	1997-03-14	VYDAJ	VYBER	1000	48091	\N	\N	\N
305772	1042	1997-09-04	VYDAJ	VYBER	3900	38253	\N	\N	\N
305773	1042	1997-07-05	VYDAJ	VYBER	2000	42838	\N	\N	\N
305774	1042	1997-09-07	VYDAJ	VYBER	1400	36853	\N	\N	\N
305775	1042	1997-11-18	VYDAJ	VYBER	4700	34487	\N	\N	\N
305776	1042	1998-12-21	VYDAJ	VYBER	2200	50904	\N	\N	\N
305777	1042	1998-07-17	VYDAJ	VYBER	3500	52494	\N	\N	\N
305778	1042	1998-12-30	VYDAJ	VYBER	1600	49304	\N	\N	\N
305779	1042	1998-01-10	VYDAJ	VYBER	900	39838	\N	\N	\N
305780	1042	1998-07-02	VYDAJ	VYBER	800	59149	\N	\N	\N
305781	1042	1998-04-06	VYDAJ	VYBER	2000	47954	\N	\N	\N
305782	1042	1998-09-09	VYDAJ	VYBER	700	36447	\N	\N	\N
305791	1042	1994-08-31	VYDAJ	VYBER	15	38101	SLUZBY	\N	\N
305792	1042	1994-09-30	VYDAJ	VYBER	15	50292	SLUZBY	\N	\N
305793	1042	1994-10-31	VYDAJ	VYBER	15	39529	SLUZBY	\N	\N
305794	1042	1994-11-30	VYDAJ	VYBER	15	38123	SLUZBY	\N	\N
305795	1042	1994-12-31	VYDAJ	VYBER	15	40471	SLUZBY	\N	\N
305796	1042	1995-01-31	VYDAJ	VYBER	15	30661	SLUZBY	\N	\N
305797	1042	1995-02-28	VYDAJ	VYBER	15	35639	SLUZBY	\N	\N
305798	1042	1995-03-31	VYDAJ	VYBER	15	36818	SLUZBY	\N	\N
305799	1042	1995-04-30	VYDAJ	VYBER	15	43004	SLUZBY	\N	\N
305800	1042	1995-05-31	VYDAJ	VYBER	15	42713	SLUZBY	\N	\N
305801	1042	1995-06-30	VYDAJ	VYBER	15	30238	SLUZBY	\N	\N
305802	1042	1995-07-31	VYDAJ	VYBER	15	36198	SLUZBY	\N	\N
305803	1042	1995-08-31	VYDAJ	VYBER	15	42784	SLUZBY	\N	\N
305804	1042	1995-09-30	VYDAJ	VYBER	15	46996	SLUZBY	\N	\N
305805	1042	1995-10-31	VYDAJ	VYBER	15	47322	SLUZBY	\N	\N
305806	1042	1995-11-30	VYDAJ	VYBER	15	48650	SLUZBY	\N	\N
305807	1042	1995-12-31	VYDAJ	VYBER	15	47725	SLUZBY	\N	\N
305808	1042	1996-01-31	VYDAJ	VYBER	15	37045	SLUZBY	\N	\N
305809	1042	1996-02-29	VYDAJ	VYBER	15	42747	SLUZBY	\N	\N
305810	1042	1996-03-31	VYDAJ	VYBER	15	48061	SLUZBY	\N	\N
305811	1042	1996-04-30	VYDAJ	VYBER	15	49204	SLUZBY	\N	\N
305812	1042	1996-05-31	VYDAJ	VYBER	15	50540	SLUZBY	\N	\N
305813	1042	1996-06-30	VYDAJ	VYBER	15	39681	SLUZBY	\N	\N
305814	1042	1996-07-31	VYDAJ	VYBER	15	43982	SLUZBY	\N	\N
305815	1042	1996-08-31	VYDAJ	VYBER	15	47500	SLUZBY	\N	\N
305816	1042	1996-09-30	VYDAJ	VYBER	15	45027	SLUZBY	\N	\N
305817	1042	1996-10-31	VYDAJ	VYBER	15	47948	SLUZBY	\N	\N
305818	1042	1996-11-30	VYDAJ	VYBER	15	48582	SLUZBY	\N	\N
305819	1042	1996-12-31	VYDAJ	VYBER	15	47744	SLUZBY	\N	\N
305820	1042	1997-01-31	VYDAJ	VYBER	15	40254	SLUZBY	\N	\N
305821	1042	1997-02-28	VYDAJ	VYBER	15	37046	SLUZBY	\N	\N
305822	1042	1997-03-31	VYDAJ	VYBER	15	37535	SLUZBY	\N	\N
305823	1042	1997-04-30	VYDAJ	VYBER	15	38622	SLUZBY	\N	\N
305824	1042	1997-05-31	VYDAJ	VYBER	15	39012	SLUZBY	\N	\N
305825	1042	1997-06-30	VYDAJ	VYBER	15	44838	SLUZBY	\N	\N
305826	1042	1997-07-31	VYDAJ	VYBER	15	42350	SLUZBY	\N	\N
305827	1042	1997-08-31	VYDAJ	VYBER	15	42153	SLUZBY	\N	\N
305828	1042	1997-09-30	VYDAJ	VYBER	15	35937	SLUZBY	\N	\N
305829	1042	1997-10-31	VYDAJ	VYBER	15	36442	SLUZBY	\N	\N
305830	1042	1997-11-30	VYDAJ	VYBER	15	34619	SLUZBY	\N	\N
305831	1042	1997-12-31	VYDAJ	VYBER	15	44838	SLUZBY	\N	\N
305832	1042	1998-01-31	VYDAJ	VYBER	15	34927	SLUZBY	\N	\N
305833	1042	1998-02-28	VYDAJ	VYBER	15	46525	SLUZBY	\N	\N
305834	1042	1998-03-31	VYDAJ	VYBER	15	49954	SLUZBY	\N	\N
305835	1042	1998-04-30	VYDAJ	VYBER	15	54497	SLUZBY	\N	\N
305836	1042	1998-05-31	VYDAJ	VYBER	15	56756	SLUZBY	\N	\N
305837	1042	1998-06-30	VYDAJ	VYBER	15	59949	SLUZBY	\N	\N
305838	1042	1998-07-31	VYDAJ	VYBER	15	52703	SLUZBY	\N	\N
305839	1042	1998-08-31	VYDAJ	VYBER	15	52047	SLUZBY	\N	\N
305840	1042	1998-09-30	VYDAJ	VYBER	15	48671	SLUZBY	\N	\N
305841	1042	1998-10-31	VYDAJ	VYBER	15	50403	SLUZBY	\N	\N
305842	1042	1998-11-30	VYDAJ	VYBER	15	48936	SLUZBY	\N	\N
305843	1042	1994-05-03	PRIJEM	VKLAD	3700	16676	\N	\N	\N
305844	1042	1994-06-02	VYDAJ	VYBER	2600	26213	\N	\N	\N
305845	1042	1994-07-02	VYDAJ	VYBER	10600	33837	\N	\N	\N
305846	1042	1994-08-01	VYDAJ	VYBER	7800	38270	\N	\N	\N
305847	1042	1994-08-31	VYDAJ	VYBER	12400	38116	\N	\N	\N
305848	1042	1994-09-30	VYDAJ	VYBER	13700	36592	\N	\N	\N
305849	1042	1994-10-30	VYDAJ	VYBER	9300	39337	\N	\N	\N
305850	1042	1994-11-29	VYDAJ	VYBER	13600	37974	\N	\N	\N
305851	1042	1994-12-29	VYDAJ	VYBER	15100	40291	\N	\N	\N
305852	1042	1995-01-28	VYDAJ	VYBER	5100	30516	\N	\N	\N
305853	1042	1995-02-27	VYDAJ	VYBER	5100	35506	\N	\N	\N
305854	1042	1995-03-29	VYDAJ	VYBER	8200	36684	\N	\N	\N
305855	1042	1995-04-28	VYDAJ	VYBER	6000	42863	\N	\N	\N
305856	1042	1995-05-28	VYDAJ	VYBER	12500	42549	\N	\N	\N
305857	1042	1995-06-27	PRIJEM	VKLAD	2500	30081	\N	\N	\N
305858	1042	1995-07-27	VYDAJ	VYBER	6200	36083	\N	\N	\N
305859	1042	1995-08-26	VYDAJ	VYBER	5600	42643	\N	\N	\N
305860	1042	1995-09-25	VYDAJ	VYBER	8000	46829	\N	\N	\N
305861	1042	1995-10-25	VYDAJ	VYBER	11900	47141	\N	\N	\N
305862	1042	1995-11-24	VYDAJ	VYBER	10900	48467	\N	\N	\N
305863	1042	1995-12-24	VYDAJ	VYBER	17000	47518	\N	\N	\N
305864	1042	1996-01-23	VYDAJ	VYBER	4700	41670	\N	\N	\N
305865	1042	1996-02-22	VYDAJ	VYBER	5600	42590	\N	\N	\N
305866	1042	1996-03-23	VYDAJ	VYBER	6900	47892	\N	\N	\N
305867	1042	1996-04-22	VYDAJ	VYBER	9800	49006	\N	\N	\N
305868	1042	1996-05-22	VYDAJ	VYBER	10900	50349	\N	\N	\N
305869	1042	1996-06-21	VYDAJ	VYBER	4800	39508	\N	\N	\N
305870	1042	1996-07-21	VYDAJ	VYBER	7900	43826	\N	\N	\N
305871	1042	1996-08-20	VYDAJ	VYBER	8700	47327	\N	\N	\N
305872	1042	1996-09-19	VYDAJ	VYBER	11200	48345	\N	\N	\N
305873	1042	1996-10-19	VYDAJ	VYBER	9300	47772	\N	\N	\N
305874	1042	1996-11-18	VYDAJ	VYBER	7900	48393	\N	\N	\N
305875	1042	1996-12-18	VYDAJ	VYBER	11800	54850	\N	\N	\N
305876	1042	1997-01-17	VYDAJ	VYBER	10200	41289	\N	\N	\N
305877	1042	1997-02-16	VYDAJ	VYBER	10900	36899	\N	\N	\N
305878	1042	1997-03-18	VYDAJ	VYBER	10700	37391	\N	\N	\N
305879	1042	1997-04-17	VYDAJ	VYBER	11100	38480	\N	\N	\N
305880	1042	1997-05-17	VYDAJ	VYBER	11800	38867	\N	\N	\N
305881	1042	1997-06-16	VYDAJ	VYBER	12400	44680	\N	\N	\N
305882	1042	1997-07-16	VYDAJ	VYBER	12700	42183	\N	\N	\N
305883	1042	1997-08-15	VYDAJ	VYBER	12400	41995	\N	\N	\N
305884	1042	1997-09-14	VYDAJ	VYBER	13100	35798	\N	\N	\N
305885	1042	1997-10-14	VYDAJ	VYBER	11700	36282	\N	\N	\N
305886	1042	1997-11-13	VYDAJ	VYBER	9300	27142	\N	\N	\N
305887	1042	1997-12-13	VYDAJ	VYBER	4400	28519	\N	\N	\N
305888	1042	1998-01-12	VYDAJ	VYBER	4800	32738	\N	\N	\N
305889	1042	1998-02-11	VYDAJ	VYBER	600	34327	\N	\N	\N
305890	1042	1998-03-13	VYDAJ	VYBER	8800	37725	\N	\N	\N
305891	1042	1998-04-12	VYDAJ	VYBER	5700	42254	\N	\N	\N
305892	1042	1998-05-12	VYDAJ	VYBER	10000	44497	\N	\N	\N
305893	1042	1998-06-11	VYDAJ	VYBER	15100	41656	\N	\N	\N
305894	1042	1998-07-11	VYDAJ	VYBER	15200	43949	\N	\N	\N
305895	1042	1998-08-10	VYDAJ	VYBER	12900	39803	\N	\N	\N
305896	1042	1998-09-09	VYDAJ	VYBER	14900	37147	\N	\N	\N
305897	1042	1998-10-09	VYDAJ	VYBER	10500	38171	\N	\N	\N
305898	1042	1998-11-08	VYDAJ	VYBER	13700	36703	\N	\N	\N
305899	1042	1998-12-08	VYDAJ	VYBER	12100	36836	\N	\N	\N
305957	1043	1997-08-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
305966	1043	1997-09-12	PRIJEM	VKLAD	24182	25182	\N	\N	\N
305967	1043	1997-10-12	PRIJEM	VKLAD	24182	51235	\N	\N	\N
305968	1043	1997-11-12	PRIJEM	VKLAD	24182	57356	\N	\N	\N
305969	1043	1997-12-12	PRIJEM	VKLAD	36273	81637	\N	\N	\N
305970	1043	1998-01-12	PRIJEM	VKLAD	24182	84823	\N	\N	\N
305971	1043	1998-02-12	PRIJEM	VKLAD	24182	78943	\N	\N	\N
305972	1043	1998-03-12	PRIJEM	VKLAD	24182	75282	\N	\N	\N
305973	1043	1998-04-12	PRIJEM	VKLAD	24182	76326	\N	\N	\N
305974	1043	1998-05-12	PRIJEM	VKLAD	24182	75667	\N	\N	\N
305975	1043	1998-06-12	PRIJEM	VKLAD	36273	70895	\N	\N	\N
305976	1043	1998-07-12	PRIJEM	VKLAD	24182	73868	\N	\N	\N
305977	1043	1998-08-12	PRIJEM	VKLAD	24182	71895	\N	\N	\N
305978	1043	1998-09-12	PRIJEM	VKLAD	24182	70812	\N	\N	\N
305979	1043	1998-10-12	PRIJEM	VKLAD	24182	74617	\N	\N	\N
305980	1043	1998-11-12	PRIJEM	VKLAD	24182	75230	\N	\N	\N
305981	1043	1998-12-12	PRIJEM	VKLAD	36273	84557	\N	\N	\N
305994	1043	1998-01-12	VYDAJ	PREVOD NA UCET	6433	78390	SIPO	MN	18801582
305995	1043	1998-02-12	VYDAJ	PREVOD NA UCET	6433	72510	SIPO	MN	18801582
305996	1043	1998-03-12	VYDAJ	PREVOD NA UCET	6433	68849	SIPO	MN	18801582
305997	1043	1998-04-12	VYDAJ	PREVOD NA UCET	6433	69893	SIPO	MN	18801582
305998	1043	1998-05-12	VYDAJ	PREVOD NA UCET	6433	69234	SIPO	MN	18801582
305999	1043	1998-06-12	VYDAJ	PREVOD NA UCET	6433	64462	SIPO	MN	18801582
306000	1043	1998-07-12	VYDAJ	PREVOD NA UCET	6433	67435	SIPO	MN	18801582
306001	1043	1998-08-12	VYDAJ	PREVOD NA UCET	6433	65462	SIPO	MN	18801582
306002	1043	1998-09-12	VYDAJ	PREVOD NA UCET	6433	64379	SIPO	MN	18801582
306003	1043	1998-10-12	VYDAJ	PREVOD NA UCET	6433	68184	SIPO	MN	18801582
306004	1043	1998-11-12	VYDAJ	PREVOD NA UCET	6433	68797	SIPO	MN	18801582
306005	1043	1998-12-12	VYDAJ	PREVOD NA UCET	6433	78124	SIPO	MN	18801582
306007	1043	1998-06-02	VYDAJ	VYBER	12480	46222	\N	\N	\N
306011	1043	1998-12-28	VYDAJ	VYBER KARTOU	2200	75924	\N	\N	0
306019	1043	1998-05-21	VYDAJ	VYBER	5160	64074	\N	\N	\N
306020	1043	1998-08-07	VYDAJ	VYBER KARTOU	2900	64813	\N	\N	0
306021	1043	1998-01-23	VYDAJ	VYBER	5040	73350	\N	\N	\N
306022	1043	1998-06-01	VYDAJ	VYBER	5640	58702	\N	\N	\N
306036	1043	1998-01-31	VYDAJ	VYBER	15	73661	SLUZBY	\N	\N
306037	1043	1998-02-28	VYDAJ	VYBER	15	72800	SLUZBY	\N	\N
306038	1043	1998-03-31	VYDAJ	VYBER	15	69144	SLUZBY	\N	\N
306039	1043	1998-04-30	VYDAJ	VYBER	15	70185	SLUZBY	\N	\N
306040	1043	1998-05-31	VYDAJ	VYBER	15	64342	SLUZBY	\N	\N
306041	1043	1998-06-30	VYDAJ	VYBER	15	64686	SLUZBY	\N	\N
306042	1043	1998-07-31	VYDAJ	VYBER	15	67713	SLUZBY	\N	\N
306043	1043	1998-08-31	VYDAJ	VYBER	15	65730	SLUZBY	\N	\N
306044	1043	1998-09-30	VYDAJ	VYBER	15	64635	SLUZBY	\N	\N
306045	1043	1998-10-31	VYDAJ	VYBER	15	68448	SLUZBY	\N	\N
306046	1043	1998-11-30	VYDAJ	VYBER	15	69084	SLUZBY	\N	\N
306047	1043	1997-09-12	PRIJEM	VKLAD	1800	26982	\N	\N	\N
306048	1043	1997-10-12	VYDAJ	VYBER	14400	36835	\N	\N	\N
306049	1043	1997-11-11	VYDAJ	VYBER	3800	33174	\N	\N	\N
306050	1043	1997-12-11	VYDAJ	VYBER	12200	45364	\N	\N	\N
306051	1043	1998-01-10	VYDAJ	VYBER	21300	60641	\N	\N	\N
306052	1043	1998-02-09	VYDAJ	VYBER	18900	54761	\N	\N	\N
306053	1043	1998-03-11	VYDAJ	VYBER	21700	51100	\N	\N	\N
306054	1043	1998-04-10	VYDAJ	VYBER	17000	52144	\N	\N	\N
306055	1043	1998-05-10	VYDAJ	VYBER	18700	51485	\N	\N	\N
306056	1043	1998-06-09	VYDAJ	VYBER	11600	34622	\N	\N	\N
306057	1043	1998-07-09	VYDAJ	VYBER	15000	49686	\N	\N	\N
306058	1043	1998-08-08	VYDAJ	VYBER	17100	47713	\N	\N	\N
306059	1043	1998-09-07	VYDAJ	VYBER	19100	46630	\N	\N	\N
306060	1043	1998-10-07	VYDAJ	VYBER	14200	50435	\N	\N	\N
306061	1043	1998-11-06	VYDAJ	VYBER	17400	51048	\N	\N	\N
306062	1043	1998-12-06	VYDAJ	VYBER	20800	48284	\N	\N	\N
306079	1044	1995-11-09	PRIJEM	VKLAD	500	500	\N	\N	\N
306091	1044	1995-12-05	PRIJEM	VKLAD	22886	23386	\N	\N	\N
306092	1044	1996-01-05	PRIJEM	VKLAD	15257	38013	\N	\N	\N
306093	1044	1996-02-05	PRIJEM	VKLAD	15257	43783	\N	\N	\N
306094	1044	1996-03-05	PRIJEM	VKLAD	15257	50982	\N	\N	\N
306095	1044	1996-04-05	PRIJEM	VKLAD	15257	52392	\N	\N	\N
306096	1044	1996-05-05	PRIJEM	VKLAD	15257	46405	\N	\N	\N
306097	1044	1996-06-05	PRIJEM	VKLAD	22886	53051	\N	\N	\N
306098	1044	1996-07-05	PRIJEM	VKLAD	15257	47480	\N	\N	\N
306099	1044	1996-08-05	PRIJEM	VKLAD	15257	44293	\N	\N	\N
306100	1044	1996-09-05	PRIJEM	VKLAD	15257	42494	\N	\N	\N
306101	1044	1996-10-05	PRIJEM	VKLAD	15257	47329	\N	\N	\N
306102	1044	1996-11-05	PRIJEM	VKLAD	15257	52486	\N	\N	\N
306103	1044	1996-12-05	PRIJEM	VKLAD	22886	58094	\N	\N	\N
306104	1044	1997-01-05	PRIJEM	VKLAD	15257	58294	\N	\N	\N
306105	1044	1997-02-05	PRIJEM	VKLAD	15257	52372	\N	\N	\N
306106	1044	1997-03-05	PRIJEM	VKLAD	15257	55548	\N	\N	\N
306107	1044	1997-04-05	PRIJEM	VKLAD	15257	54240	\N	\N	\N
306108	1044	1997-05-05	PRIJEM	VKLAD	15257	53130	\N	\N	\N
306109	1044	1997-06-05	PRIJEM	VKLAD	22886	63643	\N	\N	\N
306110	1044	1997-07-05	PRIJEM	VKLAD	15257	59063	\N	\N	\N
306111	1044	1997-08-05	PRIJEM	VKLAD	15257	53062	\N	\N	\N
306112	1044	1997-09-05	PRIJEM	VKLAD	15257	53230	\N	\N	\N
306113	1044	1997-10-05	PRIJEM	VKLAD	15257	51397	\N	\N	\N
306114	1044	1997-11-05	PRIJEM	VKLAD	15257	46151	\N	\N	\N
306115	1044	1997-12-05	PRIJEM	VKLAD	22886	52616	\N	\N	\N
306116	1044	1998-01-05	PRIJEM	VKLAD	15257	41063	\N	\N	\N
306117	1044	1998-02-05	PRIJEM	VKLAD	15257	33935	\N	\N	\N
306118	1044	1998-03-05	PRIJEM	VKLAD	15257	38221	\N	\N	\N
306119	1044	1998-04-05	PRIJEM	VKLAD	15257	33820	\N	\N	\N
306120	1044	1998-05-05	PRIJEM	VKLAD	15257	37505	\N	\N	\N
306121	1044	1998-06-05	PRIJEM	VKLAD	22886	42628	\N	\N	\N
306122	1044	1998-07-05	PRIJEM	VKLAD	15257	41333	\N	\N	\N
306123	1044	1998-08-05	PRIJEM	VKLAD	15257	35741	\N	\N	\N
306124	1044	1998-09-05	PRIJEM	VKLAD	15257	32824	\N	\N	\N
306125	1044	1998-10-05	PRIJEM	VKLAD	15257	34799	\N	\N	\N
306126	1044	1998-11-05	PRIJEM	VKLAD	15257	32277	\N	\N	\N
306127	1044	1998-12-05	PRIJEM	VKLAD	22886	38273	\N	\N	\N
306143	1044	1996-04-08	VYDAJ	PREVOD NA UCET	2880	33612	SIPO	MN	62729650
306144	1044	1996-05-08	VYDAJ	PREVOD NA UCET	2880	35025	SIPO	MN	62729650
306145	1044	1996-06-08	VYDAJ	PREVOD NA UCET	2880	36771	SIPO	MN	62729650
306146	1044	1996-07-08	VYDAJ	PREVOD NA UCET	2880	33400	SIPO	MN	62729650
306147	1044	1996-08-08	VYDAJ	PREVOD NA UCET	2880	30013	SIPO	MN	62729650
306148	1044	1996-09-08	VYDAJ	PREVOD NA UCET	2880	39614	SIPO	MN	62729650
306149	1044	1996-10-08	VYDAJ	PREVOD NA UCET	2880	44449	SIPO	MN	62729650
306150	1044	1996-11-08	VYDAJ	PREVOD NA UCET	2880	49606	SIPO	MN	62729650
306151	1044	1996-12-08	VYDAJ	PREVOD NA UCET	2880	55214	SIPO	MN	62729650
306152	1044	1997-01-08	VYDAJ	PREVOD NA UCET	2880	53814	SIPO	MN	62729650
306153	1044	1997-02-08	VYDAJ	PREVOD NA UCET	2880	49492	SIPO	MN	62729650
306154	1044	1997-03-08	VYDAJ	PREVOD NA UCET	2880	52668	SIPO	MN	62729650
306155	1044	1997-04-08	VYDAJ	PREVOD NA UCET	2880	51360	SIPO	MN	62729650
306156	1044	1997-05-08	VYDAJ	PREVOD NA UCET	2880	50250	SIPO	MN	62729650
306157	1044	1997-06-08	VYDAJ	PREVOD NA UCET	2880	60763	SIPO	MN	62729650
306158	1044	1997-07-08	VYDAJ	PREVOD NA UCET	2880	56183	SIPO	MN	62729650
306159	1044	1997-08-08	VYDAJ	PREVOD NA UCET	2880	50182	SIPO	MN	62729650
306160	1044	1997-09-08	VYDAJ	PREVOD NA UCET	2880	50350	SIPO	MN	62729650
306161	1044	1997-10-08	VYDAJ	PREVOD NA UCET	2880	47217	SIPO	MN	62729650
306162	1044	1997-11-08	VYDAJ	PREVOD NA UCET	2880	43271	SIPO	MN	62729650
306163	1044	1997-12-08	VYDAJ	PREVOD NA UCET	2880	49736	SIPO	MN	62729650
306164	1044	1998-01-08	VYDAJ	PREVOD NA UCET	2880	31983	SIPO	MN	62729650
306165	1044	1998-02-08	VYDAJ	PREVOD NA UCET	2880	31055	SIPO	MN	62729650
306166	1044	1998-03-08	VYDAJ	PREVOD NA UCET	2880	35341	SIPO	MN	62729650
306167	1044	1998-04-08	VYDAJ	PREVOD NA UCET	2880	30940	SIPO	MN	62729650
306168	1044	1998-05-08	VYDAJ	PREVOD NA UCET	2880	34625	SIPO	MN	62729650
306169	1044	1998-06-08	VYDAJ	PREVOD NA UCET	2880	39748	SIPO	MN	62729650
306170	1044	1998-07-08	VYDAJ	PREVOD NA UCET	2880	38453	SIPO	MN	62729650
306171	1044	1998-08-08	VYDAJ	PREVOD NA UCET	2880	32861	SIPO	MN	62729650
306172	1044	1998-09-08	VYDAJ	PREVOD NA UCET	2880	29944	SIPO	MN	62729650
306173	1044	1998-10-08	VYDAJ	PREVOD NA UCET	2880	31919	SIPO	MN	62729650
306174	1044	1998-11-08	VYDAJ	PREVOD NA UCET	2880	29397	SIPO	MN	62729650
306175	1044	1998-12-08	VYDAJ	PREVOD NA UCET	2880	35393	SIPO	MN	62729650
306191	1044	1996-04-10	VYDAJ	PREVOD NA UCET	188	33424	 	GH	18615305
306192	1044	1996-05-10	VYDAJ	PREVOD NA UCET	188	34837	 	GH	18615305
306193	1044	1996-06-10	VYDAJ	PREVOD NA UCET	188	36583	 	GH	18615305
306194	1044	1996-07-10	VYDAJ	PREVOD NA UCET	188	33212	 	GH	18615305
306195	1044	1996-08-10	VYDAJ	PREVOD NA UCET	188	29825	 	GH	18615305
306196	1044	1996-09-10	VYDAJ	PREVOD NA UCET	188	39426	 	GH	18615305
306197	1044	1996-10-10	VYDAJ	PREVOD NA UCET	188	44261	 	GH	18615305
306198	1044	1996-11-10	VYDAJ	PREVOD NA UCET	188	49418	 	GH	18615305
306199	1044	1996-12-10	VYDAJ	PREVOD NA UCET	188	55026	 	GH	18615305
306200	1044	1997-01-10	VYDAJ	PREVOD NA UCET	188	50826	 	GH	18615305
306201	1044	1997-02-10	VYDAJ	PREVOD NA UCET	188	49304	 	GH	18615305
306202	1044	1997-03-10	VYDAJ	PREVOD NA UCET	188	52480	 	GH	18615305
306203	1044	1997-04-10	VYDAJ	PREVOD NA UCET	188	51172	 	GH	18615305
306204	1044	1997-05-10	VYDAJ	PREVOD NA UCET	188	50062	 	GH	18615305
306205	1044	1997-06-10	VYDAJ	PREVOD NA UCET	188	60575	 	GH	18615305
306206	1044	1997-07-10	VYDAJ	PREVOD NA UCET	188	55995	 	GH	18615305
306207	1044	1997-08-10	VYDAJ	PREVOD NA UCET	188	49994	 	GH	18615305
306208	1044	1997-09-10	VYDAJ	PREVOD NA UCET	188	50162	 	GH	18615305
306209	1044	1997-10-10	VYDAJ	PREVOD NA UCET	188	46129	 	GH	18615305
306210	1044	1997-11-10	VYDAJ	PREVOD NA UCET	188	43083	 	GH	18615305
306211	1044	1997-12-10	VYDAJ	PREVOD NA UCET	188	49548	 	GH	18615305
306212	1044	1998-01-10	VYDAJ	PREVOD NA UCET	188	23395	 	GH	18615305
306213	1044	1998-02-10	VYDAJ	PREVOD NA UCET	188	30867	 	GH	18615305
306214	1044	1998-03-10	VYDAJ	PREVOD NA UCET	188	35153	 	GH	18615305
306215	1044	1998-04-10	VYDAJ	PREVOD NA UCET	188	30752	 	GH	18615305
306216	1044	1998-05-10	VYDAJ	PREVOD NA UCET	188	34437	 	GH	18615305
306217	1044	1998-06-10	VYDAJ	PREVOD NA UCET	188	39560	 	GH	18615305
306218	1044	1998-07-10	VYDAJ	PREVOD NA UCET	188	38265	 	GH	18615305
306219	1044	1998-08-10	VYDAJ	PREVOD NA UCET	188	32673	 	GH	18615305
306220	1044	1998-09-10	VYDAJ	PREVOD NA UCET	188	29756	 	GH	18615305
306221	1044	1998-10-10	VYDAJ	PREVOD NA UCET	188	31731	 	GH	18615305
306222	1044	1998-11-10	VYDAJ	PREVOD NA UCET	188	29209	 	GH	18615305
306223	1044	1998-12-10	VYDAJ	PREVOD NA UCET	188	35205	 	GH	18615305
306225	1044	1996-06-02	VYDAJ	VYBER	3700	30165	\N	\N	\N
306226	1044	1997-06-28	VYDAJ	VYBER	6100	54475	\N	\N	\N
306230	1044	1997-01-27	VYDAJ	VYBER	6100	40426	\N	\N	\N
306231	1044	1998-01-09	VYDAJ	VYBER	8400	23583	\N	\N	\N
306233	1044	1996-12-27	VYDAJ	VYBER	2100	52926	\N	\N	\N
306234	1044	1997-12-19	VYDAJ	VYBER KARTOU	2600	46948	\N	\N	0
306235	1044	1998-12-23	VYDAJ	VYBER KARTOU	1100	34105	\N	\N	0
306248	1044	1997-01-20	VYDAJ	VYBER	500	46526	\N	\N	\N
306249	1044	1997-01-07	VYDAJ	VYBER	1600	56694	\N	\N	\N
306250	1044	1997-01-15	VYDAJ	VYBER	1000	47026	\N	\N	\N
306251	1044	1997-01-15	VYDAJ	VYBER	2800	48026	\N	\N	\N
306252	1044	1997-01-08	VYDAJ	VYBER	2300	51514	\N	\N	\N
306253	1044	1997-01-08	VYDAJ	VYBER	500	51014	\N	\N	\N
306254	1044	1998-01-21	VYDAJ	VYBER KARTOU	2300	18095	\N	\N	0
306255	1044	1998-01-07	VYDAJ	VYBER KARTOU	2300	34863	\N	\N	0
306256	1044	1998-01-01	VYDAJ	VYBER KARTOU	1900	25806	\N	\N	0
306257	1044	1998-01-05	VYDAJ	VYBER KARTOU	1600	37163	\N	\N	0
306258	1044	1998-01-05	VYDAJ	VYBER KARTOU	2300	38763	\N	\N	0
306259	1044	1998-01-27	VYDAJ	VYBER KARTOU	1700	18595	\N	\N	0
306266	1044	1996-05-31	VYDAJ	VYBER	1100	33865	\N	\N	\N
306267	1044	1996-08-07	VYDAJ	VYBER	3500	32893	\N	\N	\N
306268	1044	1996-07-03	VYDAJ	VYBER	4500	32223	\N	\N	\N
306270	1044	1996-07-26	VYDAJ	VYBER	4300	28912	\N	\N	\N
306271	1044	1996-04-19	VYDAJ	VYBER	2400	31024	\N	\N	\N
306272	1044	1997-10-06	VYDAJ	VYBER KARTOU	1300	50097	\N	\N	0
306273	1044	1997-10-09	VYDAJ	VYBER KARTOU	900	46317	\N	\N	0
306274	1044	1997-07-11	VYDAJ	VYBER KARTOU	2200	53795	\N	\N	0
306275	1044	1998-05-23	VYDAJ	VYBER KARTOU	2500	31937	\N	\N	0
306276	1044	1998-06-15	VYDAJ	VYBER KARTOU	3200	36360	\N	\N	0
306277	1044	1998-07-30	VYDAJ	VYBER KARTOU	2000	20365	\N	\N	0
306278	1044	1998-11-22	VYDAJ	VYBER KARTOU	1000	28209	\N	\N	0
306279	1044	1998-01-18	VYDAJ	VYBER KARTOU	3000	20395	\N	\N	0
306296	1044	1996-04-30	VYDAJ	VYBER	15	31148	SLUZBY	\N	\N
306297	1044	1996-05-31	VYDAJ	VYBER	15	34965	SLUZBY	\N	\N
306298	1044	1996-06-30	VYDAJ	VYBER	15	36723	SLUZBY	\N	\N
306299	1044	1996-07-31	VYDAJ	VYBER	15	29036	SLUZBY	\N	\N
306300	1044	1996-08-31	VYDAJ	VYBER	15	29937	SLUZBY	\N	\N
306301	1044	1996-09-30	VYDAJ	VYBER	15	39572	SLUZBY	\N	\N
306302	1044	1996-10-31	VYDAJ	VYBER	15	44429	SLUZBY	\N	\N
306303	1044	1996-11-30	VYDAJ	VYBER	15	49608	SLUZBY	\N	\N
306304	1044	1996-12-31	VYDAJ	VYBER	15	53137	SLUZBY	\N	\N
306305	1044	1997-01-31	VYDAJ	VYBER	15	40615	SLUZBY	\N	\N
306306	1044	1997-02-28	VYDAJ	VYBER	15	49491	SLUZBY	\N	\N
306307	1044	1997-03-31	VYDAJ	VYBER	15	52683	SLUZBY	\N	\N
306308	1044	1997-04-30	VYDAJ	VYBER	15	51373	SLUZBY	\N	\N
306309	1044	1997-05-31	VYDAJ	VYBER	15	50257	SLUZBY	\N	\N
306310	1044	1997-06-30	VYDAJ	VYBER	15	54706	SLUZBY	\N	\N
306311	1044	1997-07-31	VYDAJ	VYBER	15	37805	SLUZBY	\N	\N
306312	1044	1997-08-31	VYDAJ	VYBER	15	37973	SLUZBY	\N	\N
306313	1044	1997-09-30	VYDAJ	VYBER	15	36140	SLUZBY	\N	\N
306314	1044	1997-10-31	VYDAJ	VYBER	15	30894	SLUZBY	\N	\N
306315	1044	1997-11-30	VYDAJ	VYBER	15	29730	SLUZBY	\N	\N
306316	1044	1997-12-31	VYDAJ	VYBER	15	27706	SLUZBY	\N	\N
306317	1044	1998-01-31	VYDAJ	VYBER	15	18678	SLUZBY	\N	\N
306318	1044	1998-02-28	VYDAJ	VYBER	15	22964	SLUZBY	\N	\N
306319	1044	1998-03-31	VYDAJ	VYBER	15	18563	SLUZBY	\N	\N
306320	1044	1998-04-30	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
306321	1044	1998-05-31	VYDAJ	VYBER	15	19742	SLUZBY	\N	\N
306322	1044	1998-06-30	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
306323	1044	1998-07-31	VYDAJ	VYBER	15	20484	SLUZBY	\N	\N
306324	1044	1998-08-31	VYDAJ	VYBER	15	17567	SLUZBY	\N	\N
306325	1044	1998-09-30	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
306326	1044	1998-10-31	VYDAJ	VYBER	15	17020	SLUZBY	\N	\N
306327	1044	1998-11-30	VYDAJ	VYBER	15	15387	SLUZBY	\N	\N
306328	1044	1995-12-09	VYDAJ	VYBER	700	22686	\N	\N	\N
306329	1044	1996-01-08	VYDAJ	VYBER	9600	28413	\N	\N	\N
306330	1044	1996-02-07	VYDAJ	VYBER	8200	35583	\N	\N	\N
306331	1044	1996-03-08	VYDAJ	VYBER	14000	36982	\N	\N	\N
306332	1044	1996-04-07	VYDAJ	VYBER	15900	36492	\N	\N	\N
306333	1044	1996-05-07	VYDAJ	VYBER	8500	37905	\N	\N	\N
306334	1044	1996-06-06	VYDAJ	VYBER	13400	39651	\N	\N	\N
306335	1044	1996-07-06	VYDAJ	VYBER	11200	36280	\N	\N	\N
306336	1044	1996-08-05	VYDAJ	VYBER	7900	36393	\N	\N	\N
306337	1044	1996-09-04	VYDAJ	VYBER	2700	27237	\N	\N	\N
306338	1044	1996-10-04	VYDAJ	VYBER	7500	32072	\N	\N	\N
306339	1044	1996-11-03	VYDAJ	VYBER	7200	37229	\N	\N	\N
306340	1044	1996-12-03	VYDAJ	VYBER	14400	35208	\N	\N	\N
306341	1044	1997-01-02	VYDAJ	VYBER	10100	43037	\N	\N	\N
306342	1044	1997-02-01	VYDAJ	VYBER	3500	37115	\N	\N	\N
306343	1044	1997-03-03	VYDAJ	VYBER	9200	40291	\N	\N	\N
306344	1044	1997-04-02	VYDAJ	VYBER	13700	38983	\N	\N	\N
306345	1044	1997-05-02	VYDAJ	VYBER	13500	37873	\N	\N	\N
306346	1044	1997-06-01	VYDAJ	VYBER	9500	40757	\N	\N	\N
306347	1044	1997-07-01	VYDAJ	VYBER	10900	43806	\N	\N	\N
306348	1044	1997-07-31	VYDAJ	VYBER	16200	37820	\N	\N	\N
306349	1044	1997-08-30	VYDAJ	VYBER	12200	37794	\N	\N	\N
306350	1044	1997-09-29	VYDAJ	VYBER	14200	35962	\N	\N	\N
306351	1044	1997-10-29	VYDAJ	VYBER	15400	30729	\N	\N	\N
306352	1044	1997-11-28	VYDAJ	VYBER	13500	29583	\N	\N	\N
306353	1044	1997-12-28	VYDAJ	VYBER	19400	27548	\N	\N	\N
306354	1044	1998-01-27	PRIJEM	VKLAD	2200	20295	\N	\N	\N
306355	1044	1998-02-26	VYDAJ	VYBER	8000	22867	\N	\N	\N
306356	1044	1998-03-28	VYDAJ	VYBER	16700	18453	\N	\N	\N
306357	1044	1998-04-27	VYDAJ	VYBER	8600	22152	\N	\N	\N
306358	1044	1998-05-27	VYDAJ	VYBER	12300	19637	\N	\N	\N
306359	1044	1998-06-26	VYDAJ	VYBER	10400	25960	\N	\N	\N
306360	1044	1998-07-26	VYDAJ	VYBER	15900	22365	\N	\N	\N
306361	1044	1998-08-25	VYDAJ	VYBER	15200	17473	\N	\N	\N
306362	1044	1998-09-24	VYDAJ	VYBER	10300	19456	\N	\N	\N
306363	1044	1998-10-24	VYDAJ	VYBER	14800	16931	\N	\N	\N
306364	1044	1998-11-23	VYDAJ	VYBER	12900	15309	\N	\N	\N
306402	1045	1996-05-09	PRIJEM	VKLAD	800	800	\N	\N	\N
306407	1045	1996-05-14	PRIJEM	PREVOD Z UCTU	6333	7133	DUCHOD	QR	28271728
306408	1045	1996-06-14	PRIJEM	PREVOD Z UCTU	6333	13483	DUCHOD	QR	28271728
306409	1045	1996-07-14	PRIJEM	PREVOD Z UCTU	6333	19846	DUCHOD	QR	28271728
306410	1045	1996-08-14	PRIJEM	PREVOD Z UCTU	6333	25209	DUCHOD	QR	28271728
306411	1045	1996-09-14	PRIJEM	PREVOD Z UCTU	6333	26215	DUCHOD	QR	28271728
306412	1045	1996-10-14	PRIJEM	PREVOD Z UCTU	6333	26511	DUCHOD	QR	28271728
306413	1045	1996-11-14	PRIJEM	PREVOD Z UCTU	6333	27606	DUCHOD	QR	28271728
306414	1045	1996-12-14	PRIJEM	PREVOD Z UCTU	6333	26360	DUCHOD	QR	28271728
306415	1045	1997-01-14	PRIJEM	PREVOD Z UCTU	6333	26711	DUCHOD	QR	28271728
306416	1045	1997-02-14	PRIJEM	PREVOD Z UCTU	6333	17710	DUCHOD	QR	28271728
306417	1045	1997-03-14	PRIJEM	PREVOD Z UCTU	6333	19082	DUCHOD	QR	28271728
306418	1045	1997-04-14	PRIJEM	PREVOD Z UCTU	6333	23742	DUCHOD	QR	28271728
306419	1045	1997-05-14	PRIJEM	PREVOD Z UCTU	6333	28121	DUCHOD	QR	28271728
306420	1045	1997-06-14	PRIJEM	PREVOD Z UCTU	6333	28718	DUCHOD	QR	28271728
306421	1045	1997-07-14	PRIJEM	PREVOD Z UCTU	6333	29521	DUCHOD	QR	28271728
306422	1045	1997-08-14	PRIJEM	PREVOD Z UCTU	6333	26546	DUCHOD	QR	28271728
306423	1045	1997-09-14	PRIJEM	PREVOD Z UCTU	6333	22943	DUCHOD	QR	28271728
306424	1045	1997-10-14	PRIJEM	PREVOD Z UCTU	6333	22128	DUCHOD	QR	28271728
306425	1045	1997-11-14	PRIJEM	PREVOD Z UCTU	6333	21862	DUCHOD	QR	28271728
306426	1045	1997-12-14	PRIJEM	PREVOD Z UCTU	6333	20423	DUCHOD	QR	28271728
306427	1045	1998-01-14	PRIJEM	PREVOD Z UCTU	6333	21937	DUCHOD	QR	28271728
306428	1045	1998-02-14	PRIJEM	PREVOD Z UCTU	6333	17863	DUCHOD	QR	28271728
306429	1045	1998-03-14	PRIJEM	PREVOD Z UCTU	6333	18595	DUCHOD	QR	28271728
306430	1045	1998-04-14	PRIJEM	PREVOD Z UCTU	6333	23053	DUCHOD	QR	28271728
306431	1045	1998-05-14	PRIJEM	PREVOD Z UCTU	6333	21441	DUCHOD	QR	28271728
306432	1045	1998-06-14	PRIJEM	PREVOD Z UCTU	6333	20408	DUCHOD	QR	28271728
306433	1045	1998-07-14	PRIJEM	PREVOD Z UCTU	6333	15965	DUCHOD	QR	28271728
306434	1045	1998-08-14	PRIJEM	PREVOD Z UCTU	6333	19089	DUCHOD	QR	28271728
306435	1045	1998-09-14	PRIJEM	PREVOD Z UCTU	6333	23748	DUCHOD	QR	28271728
306436	1045	1998-10-14	PRIJEM	PREVOD Z UCTU	6333	18420	DUCHOD	QR	28271728
306437	1045	1998-11-14	PRIJEM	PREVOD Z UCTU	6333	21637	DUCHOD	QR	28271728
306438	1045	1998-12-14	PRIJEM	PREVOD Z UCTU	6333	17501	DUCHOD	QR	28271728
306448	1045	1996-10-10	VYDAJ	PREVOD NA UCET	1730	20178	SIPO	GH	61220621
306449	1045	1996-11-10	VYDAJ	PREVOD NA UCET	1730	21273	SIPO	GH	61220621
306450	1045	1996-12-10	VYDAJ	PREVOD NA UCET	1730	20027	SIPO	GH	61220621
306451	1045	1997-01-10	VYDAJ	PREVOD NA UCET	1730	20378	SIPO	GH	61220621
306452	1045	1997-02-10	VYDAJ	PREVOD NA UCET	1730	11377	SIPO	GH	61220621
306453	1045	1997-03-10	VYDAJ	PREVOD NA UCET	1730	12749	SIPO	GH	61220621
306454	1045	1997-04-10	VYDAJ	PREVOD NA UCET	1730	17409	SIPO	GH	61220621
306455	1045	1997-05-10	VYDAJ	PREVOD NA UCET	1730	21788	SIPO	GH	61220621
306456	1045	1997-06-10	VYDAJ	PREVOD NA UCET	1730	22385	SIPO	GH	61220621
306457	1045	1997-07-10	VYDAJ	PREVOD NA UCET	1730	23188	SIPO	GH	61220621
306458	1045	1997-08-10	VYDAJ	PREVOD NA UCET	1730	20213	SIPO	GH	61220621
306459	1045	1997-09-10	VYDAJ	PREVOD NA UCET	1730	16610	SIPO	GH	61220621
306460	1045	1997-10-10	VYDAJ	PREVOD NA UCET	1730	15795	SIPO	GH	61220621
306461	1045	1997-11-10	VYDAJ	PREVOD NA UCET	1730	15529	SIPO	GH	61220621
306462	1045	1997-12-10	VYDAJ	PREVOD NA UCET	1730	14090	SIPO	GH	61220621
306463	1045	1998-01-10	VYDAJ	PREVOD NA UCET	1730	15604	SIPO	GH	61220621
306464	1045	1998-02-10	VYDAJ	PREVOD NA UCET	1730	11530	SIPO	GH	61220621
306465	1045	1998-03-10	VYDAJ	PREVOD NA UCET	1730	12262	SIPO	GH	61220621
306466	1045	1998-04-10	VYDAJ	PREVOD NA UCET	1730	16720	SIPO	GH	61220621
306467	1045	1998-05-10	VYDAJ	PREVOD NA UCET	1730	15108	SIPO	GH	61220621
306468	1045	1998-06-10	VYDAJ	PREVOD NA UCET	1730	14075	SIPO	GH	61220621
306469	1045	1998-07-10	VYDAJ	PREVOD NA UCET	1730	9632	SIPO	GH	61220621
306470	1045	1998-08-10	VYDAJ	PREVOD NA UCET	1730	12756	SIPO	GH	61220621
306471	1045	1998-09-10	VYDAJ	PREVOD NA UCET	1730	17415	SIPO	GH	61220621
306472	1045	1998-10-10	VYDAJ	PREVOD NA UCET	1730	12087	SIPO	GH	61220621
306473	1045	1998-11-10	VYDAJ	PREVOD NA UCET	1730	16744	SIPO	GH	61220621
306474	1045	1998-12-10	VYDAJ	PREVOD NA UCET	1730	11168	SIPO	GH	61220621
306476	1045	1997-06-09	VYDAJ	VYBER	3000	24115	\N	\N	\N
306477	1045	1998-06-23	VYDAJ	VYBER	6400	14008	\N	\N	\N
306478	1045	1996-12-19	VYDAJ	VYBER	300	26060	\N	\N	\N
306479	1045	1997-12-14	VYDAJ	VYBER	750	19673	\N	\N	\N
306487	1045	1997-01-27	VYDAJ	VYBER	2160	16791	\N	\N	\N
306488	1045	1997-01-23	VYDAJ	VYBER	1200	20711	\N	\N	\N
306489	1045	1997-01-24	VYDAJ	VYBER	1760	18951	\N	\N	\N
306490	1045	1997-01-18	VYDAJ	VYBER	1920	24791	\N	\N	\N
306491	1045	1997-01-01	VYDAJ	VYBER	1600	24548	\N	\N	\N
306492	1045	1997-01-09	VYDAJ	VYBER	1440	22108	\N	\N	\N
306493	1045	1998-01-22	VYDAJ	VYBER	1680	20257	\N	\N	\N
306494	1045	1998-01-10	VYDAJ	VYBER	720	17334	\N	\N	\N
306495	1045	1998-01-27	VYDAJ	VYBER	2240	14897	\N	\N	\N
306496	1045	1998-01-26	VYDAJ	VYBER	2160	18097	\N	\N	\N
306497	1045	1998-01-10	VYDAJ	VYBER	1680	18054	\N	\N	\N
306498	1045	1998-01-27	VYDAJ	VYBER	960	17137	\N	\N	\N
306501	1045	1996-11-17	VYDAJ	VYBER	2640	24966	\N	\N	\N
306502	1045	1996-12-06	VYDAJ	VYBER	2400	21757	\N	\N	\N
306507	1045	1997-01-21	VYDAJ	VYBER	2880	21911	\N	\N	\N
306508	1045	1997-11-21	VYDAJ	VYBER	3600	16262	\N	\N	\N
306509	1045	1997-01-29	VYDAJ	VYBER	3760	13031	\N	\N	\N
306510	1045	1997-02-27	VYDAJ	VYBER	3280	14430	\N	\N	\N
306511	1045	1997-07-23	VYDAJ	VYBER	1680	27841	\N	\N	\N
306512	1045	1997-11-14	VYDAJ	VYBER	2000	19862	\N	\N	\N
306513	1045	1997-10-22	VYDAJ	VYBER	3040	19088	\N	\N	\N
306514	1045	1998-02-18	VYDAJ	VYBER	720	17143	\N	\N	\N
306515	1045	1998-07-20	VYDAJ	VYBER	1520	14445	\N	\N	\N
306516	1045	1998-11-12	VYDAJ	VYBER	1440	15304	\N	\N	\N
306517	1045	1998-04-18	VYDAJ	VYBER	3680	19373	\N	\N	\N
306527	1045	1996-09-30	VYDAJ	VYBER	15	26308	SLUZBY	\N	\N
306528	1045	1996-10-31	VYDAJ	VYBER	15	26603	SLUZBY	\N	\N
306529	1045	1996-11-30	VYDAJ	VYBER	15	25057	SLUZBY	\N	\N
306530	1045	1996-12-31	VYDAJ	VYBER	15	26148	SLUZBY	\N	\N
306531	1045	1997-01-31	VYDAJ	VYBER	15	13107	SLUZBY	\N	\N
306532	1045	1997-02-28	VYDAJ	VYBER	15	14479	SLUZBY	\N	\N
306533	1045	1997-03-31	VYDAJ	VYBER	15	19139	SLUZBY	\N	\N
306534	1045	1997-04-30	VYDAJ	VYBER	15	23818	SLUZBY	\N	\N
306535	1045	1997-05-31	VYDAJ	VYBER	15	28215	SLUZBY	\N	\N
306536	1045	1997-06-30	VYDAJ	VYBER	15	28818	SLUZBY	\N	\N
306537	1045	1997-07-31	VYDAJ	VYBER	15	27943	SLUZBY	\N	\N
306538	1045	1997-08-31	VYDAJ	VYBER	15	26640	SLUZBY	\N	\N
306539	1045	1997-09-30	VYDAJ	VYBER	15	23025	SLUZBY	\N	\N
306540	1045	1997-10-31	VYDAJ	VYBER	15	17259	SLUZBY	\N	\N
306541	1045	1997-11-30	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
306542	1045	1997-12-31	VYDAJ	VYBER	15	19734	SLUZBY	\N	\N
306543	1045	1998-01-31	VYDAJ	VYBER	15	13260	SLUZBY	\N	\N
306544	1045	1998-02-28	VYDAJ	VYBER	15	13992	SLUZBY	\N	\N
306545	1045	1998-03-31	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
306546	1045	1998-04-30	VYDAJ	VYBER	15	16838	SLUZBY	\N	\N
306547	1045	1998-05-31	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
306548	1045	1998-06-30	VYDAJ	VYBER	15	11362	SLUZBY	\N	\N
306549	1045	1998-07-31	VYDAJ	VYBER	15	14486	SLUZBY	\N	\N
306550	1045	1998-08-31	VYDAJ	VYBER	15	19145	SLUZBY	\N	\N
306551	1045	1998-09-30	VYDAJ	VYBER	15	13817	SLUZBY	\N	\N
306552	1045	1998-10-31	VYDAJ	VYBER	15	18474	SLUZBY	\N	\N
306553	1045	1998-11-30	VYDAJ	VYBER	15	12898	SLUZBY	\N	\N
306554	1045	1996-08-07	VYDAJ	VYBER	1000	18876	\N	\N	\N
306555	1045	1996-09-06	VYDAJ	VYBER	5400	19882	\N	\N	\N
306556	1045	1996-10-06	VYDAJ	VYBER	4400	21908	\N	\N	\N
306557	1045	1996-11-05	VYDAJ	VYBER	3600	23003	\N	\N	\N
306558	1045	1996-12-05	VYDAJ	VYBER	900	24157	\N	\N	\N
306559	1045	1997-01-04	VYDAJ	VYBER	1000	23548	\N	\N	\N
306560	1045	1997-05-04	VYDAJ	VYBER	300	23518	\N	\N	\N
306561	1045	1997-06-03	VYDAJ	VYBER	1100	27115	\N	\N	\N
306562	1045	1997-07-03	VYDAJ	VYBER	3900	24918	\N	\N	\N
306563	1045	1997-08-02	VYDAJ	VYBER	6000	21943	\N	\N	\N
306564	1045	1997-09-01	VYDAJ	VYBER	8300	18340	\N	\N	\N
306565	1045	1997-10-01	VYDAJ	VYBER	5500	17525	\N	\N	\N
306566	1045	1997-10-31	VYDAJ	VYBER	1900	17274	\N	\N	\N
306567	1045	1997-11-30	VYDAJ	VYBER	500	15820	\N	\N	\N
306568	1045	1998-01-29	VYDAJ	VYBER	1700	13197	\N	\N	\N
306569	1045	1998-02-28	VYDAJ	VYBER	3200	14007	\N	\N	\N
306570	1045	1998-03-30	VYDAJ	VYBER	200	18395	\N	\N	\N
306571	1045	1998-04-29	VYDAJ	VYBER	2600	16773	\N	\N	\N
306572	1045	1998-05-29	VYDAJ	VYBER	5700	15741	\N	\N	\N
306573	1045	1998-06-28	VYDAJ	VYBER	2700	11308	\N	\N	\N
306574	1045	1998-09-26	VYDAJ	VYBER	10000	13748	\N	\N	\N
306575	1045	1998-11-25	VYDAJ	VYBER	8800	12837	\N	\N	\N
306608	1046	1995-04-14	PRIJEM	VKLAD	700	700	\N	\N	\N
306613	1046	1995-05-07	PRIJEM	VKLAD	11103	11803	\N	\N	\N
306614	1046	1995-06-07	PRIJEM	VKLAD	16655	34801	\N	\N	\N
306615	1046	1995-07-07	PRIJEM	VKLAD	11103	38703	\N	\N	\N
306616	1046	1995-08-07	PRIJEM	VKLAD	11103	41929	\N	\N	\N
306617	1046	1995-09-07	PRIJEM	VKLAD	11103	43163	\N	\N	\N
306618	1046	1995-10-07	PRIJEM	VKLAD	11103	40480	\N	\N	\N
306619	1046	1995-11-07	PRIJEM	VKLAD	11103	40493	\N	\N	\N
306620	1046	1995-12-07	PRIJEM	VKLAD	16655	43636	\N	\N	\N
306621	1046	1996-01-07	PRIJEM	VKLAD	11103	42640	\N	\N	\N
306622	1046	1996-02-07	PRIJEM	VKLAD	11103	26792	\N	\N	\N
306623	1046	1996-03-07	PRIJEM	VKLAD	11103	29416	\N	\N	\N
306624	1046	1996-04-07	PRIJEM	VKLAD	11103	25949	\N	\N	\N
306625	1046	1996-05-07	PRIJEM	VKLAD	11103	29239	\N	\N	\N
306626	1046	1996-06-07	PRIJEM	VKLAD	16655	44209	\N	\N	\N
306627	1046	1996-07-07	PRIJEM	VKLAD	11103	25183	\N	\N	\N
306628	1046	1996-08-07	PRIJEM	VKLAD	11103	32947	\N	\N	\N
306629	1046	1996-09-07	PRIJEM	VKLAD	11103	35976	\N	\N	\N
306630	1046	1996-10-07	PRIJEM	VKLAD	11103	37281	\N	\N	\N
306631	1046	1996-11-07	PRIJEM	VKLAD	11103	38454	\N	\N	\N
306632	1046	1996-12-07	PRIJEM	VKLAD	16655	45222	\N	\N	\N
306633	1046	1997-01-07	PRIJEM	VKLAD	11103	40988	\N	\N	\N
306634	1046	1997-02-07	PRIJEM	VKLAD	11103	43280	\N	\N	\N
306635	1046	1997-03-07	PRIJEM	VKLAD	11103	44211	\N	\N	\N
306636	1046	1997-04-07	PRIJEM	VKLAD	11103	44428	\N	\N	\N
306637	1046	1997-05-07	PRIJEM	VKLAD	11103	45070	\N	\N	\N
306638	1046	1997-06-07	PRIJEM	VKLAD	16655	51107	\N	\N	\N
306639	1046	1997-07-07	PRIJEM	VKLAD	11103	49672	\N	\N	\N
306640	1046	1997-08-07	PRIJEM	VKLAD	11103	44539	\N	\N	\N
306641	1046	1997-09-07	PRIJEM	VKLAD	11103	42188	\N	\N	\N
306642	1046	1997-10-07	PRIJEM	VKLAD	11103	40800	\N	\N	\N
306643	1046	1997-11-07	PRIJEM	VKLAD	11103	38720	\N	\N	\N
306644	1046	1997-12-07	PRIJEM	VKLAD	16655	43886	\N	\N	\N
306645	1046	1998-01-07	PRIJEM	VKLAD	11103	34564	\N	\N	\N
306646	1046	1998-02-07	PRIJEM	VKLAD	11103	30500	\N	\N	\N
306647	1046	1998-03-07	PRIJEM	VKLAD	11103	32040	\N	\N	\N
306648	1046	1998-04-07	PRIJEM	VKLAD	11103	32528	\N	\N	\N
306649	1046	1998-05-07	PRIJEM	VKLAD	11103	39719	\N	\N	\N
306650	1046	1998-06-07	PRIJEM	VKLAD	16655	45126	\N	\N	\N
306651	1046	1998-07-07	PRIJEM	VKLAD	11103	40640	\N	\N	\N
306652	1046	1998-08-07	PRIJEM	VKLAD	11103	43267	\N	\N	\N
306653	1046	1998-09-07	PRIJEM	VKLAD	11103	41113	\N	\N	\N
306654	1046	1998-10-07	PRIJEM	VKLAD	11103	41935	\N	\N	\N
306655	1046	1998-11-07	PRIJEM	VKLAD	11103	40358	\N	\N	\N
306656	1046	1998-12-07	PRIJEM	VKLAD	16655	48030	\N	\N	\N
306665	1046	1995-09-08	VYDAJ	PREVOD NA UCET	7399	35764	SIPO	OP	70391350
306666	1046	1995-10-08	VYDAJ	PREVOD NA UCET	7399	33081	SIPO	OP	70391350
306667	1046	1995-11-08	VYDAJ	PREVOD NA UCET	7399	33094	SIPO	OP	70391350
306668	1046	1995-12-08	VYDAJ	PREVOD NA UCET	7399	36237	SIPO	OP	70391350
306669	1046	1996-01-08	VYDAJ	PREVOD NA UCET	7399	35241	SIPO	OP	70391350
306670	1046	1996-02-08	VYDAJ	PREVOD NA UCET	7399	20893	SIPO	OP	70391350
306671	1046	1996-03-08	VYDAJ	PREVOD NA UCET	7399	22017	SIPO	OP	70391350
306672	1046	1996-04-08	VYDAJ	PREVOD NA UCET	7399	21650	SIPO	OP	70391350
306673	1046	1996-05-08	VYDAJ	PREVOD NA UCET	7399	27440	SIPO	OP	70391350
306674	1046	1996-06-08	VYDAJ	PREVOD NA UCET	7399	30010	SIPO	OP	70391350
306675	1046	1996-07-08	VYDAJ	PREVOD NA UCET	7399	18484	SIPO	OP	70391350
306676	1046	1996-08-08	VYDAJ	PREVOD NA UCET	7399	25548	SIPO	OP	70391350
306677	1046	1996-09-08	VYDAJ	PREVOD NA UCET	7399	28577	SIPO	OP	70391350
306678	1046	1996-10-08	VYDAJ	PREVOD NA UCET	7399	29882	SIPO	OP	70391350
306679	1046	1996-11-08	VYDAJ	PREVOD NA UCET	7399	31055	SIPO	OP	70391350
306680	1046	1996-12-08	VYDAJ	PREVOD NA UCET	7399	37823	SIPO	OP	70391350
306681	1046	1997-01-08	VYDAJ	PREVOD NA UCET	7399	33589	SIPO	OP	70391350
306682	1046	1997-02-08	VYDAJ	PREVOD NA UCET	7399	35881	SIPO	OP	70391350
306683	1046	1997-03-08	VYDAJ	PREVOD NA UCET	7399	36812	SIPO	OP	70391350
306684	1046	1997-04-08	VYDAJ	PREVOD NA UCET	7399	37029	SIPO	OP	70391350
306685	1046	1997-05-08	VYDAJ	PREVOD NA UCET	7399	37671	SIPO	OP	70391350
306686	1046	1997-06-08	VYDAJ	PREVOD NA UCET	7399	43708	SIPO	OP	70391350
306687	1046	1997-07-08	VYDAJ	PREVOD NA UCET	7399	42273	SIPO	OP	70391350
306688	1046	1997-08-08	VYDAJ	PREVOD NA UCET	7399	37140	SIPO	OP	70391350
306689	1046	1997-09-08	VYDAJ	PREVOD NA UCET	7399	34789	SIPO	OP	70391350
306690	1046	1997-10-08	VYDAJ	PREVOD NA UCET	7399	33401	SIPO	OP	70391350
306691	1046	1997-11-08	VYDAJ	PREVOD NA UCET	7399	31321	SIPO	OP	70391350
306692	1046	1997-12-08	VYDAJ	PREVOD NA UCET	7399	36487	SIPO	OP	70391350
306693	1046	1998-01-08	VYDAJ	PREVOD NA UCET	7399	25005	SIPO	OP	70391350
306694	1046	1998-02-08	VYDAJ	PREVOD NA UCET	7399	23101	SIPO	OP	70391350
306695	1046	1998-03-08	VYDAJ	PREVOD NA UCET	7399	24641	SIPO	OP	70391350
306696	1046	1998-04-08	VYDAJ	PREVOD NA UCET	7399	25129	SIPO	OP	70391350
306697	1046	1998-05-08	VYDAJ	PREVOD NA UCET	7399	32320	SIPO	OP	70391350
306698	1046	1998-06-08	VYDAJ	PREVOD NA UCET	7399	37727	SIPO	OP	70391350
306699	1046	1998-07-08	VYDAJ	PREVOD NA UCET	7399	33241	SIPO	OP	70391350
306700	1046	1998-08-08	VYDAJ	PREVOD NA UCET	7399	35868	SIPO	OP	70391350
306701	1046	1998-09-08	VYDAJ	PREVOD NA UCET	7399	33714	SIPO	OP	70391350
306702	1046	1998-10-08	VYDAJ	PREVOD NA UCET	7399	34536	SIPO	OP	70391350
306703	1046	1998-11-08	VYDAJ	PREVOD NA UCET	7399	32959	SIPO	OP	70391350
306704	1046	1998-12-08	VYDAJ	PREVOD NA UCET	7399	38551	SIPO	OP	70391350
306706	1046	1996-06-13	VYDAJ	VYBER	16000	14010	\N	\N	\N
306710	1046	1996-01-13	VYDAJ	VYBER	5920	23881	\N	\N	\N
306713	1046	1995-12-08	VYDAJ	VYBER	3840	32397	\N	\N	\N
306714	1046	1996-12-16	VYDAJ	VYBER	3200	31863	\N	\N	\N
306715	1046	1997-12-19	VYDAJ	VYBER	2720	31847	\N	\N	\N
306716	1046	1998-12-07	VYDAJ	VYBER	2080	45950	\N	\N	\N
306723	1046	1996-01-22	VYDAJ	VYBER	2040	18841	\N	\N	\N
306724	1046	1996-01-25	VYDAJ	VYBER	3240	15601	\N	\N	\N
306725	1046	1996-01-08	VYDAJ	VYBER	2640	32601	\N	\N	\N
306726	1046	1996-01-13	VYDAJ	VYBER	1560	22321	\N	\N	\N
306727	1046	1996-01-02	VYDAJ	VYBER	1080	31537	\N	\N	\N
306728	1046	1996-01-18	VYDAJ	VYBER	1440	20881	\N	\N	\N
306729	1046	1997-01-18	VYDAJ	VYBER	2160	28189	\N	\N	\N
306730	1046	1997-01-22	VYDAJ	VYBER	1200	25669	\N	\N	\N
306731	1046	1997-01-16	VYDAJ	VYBER	3240	30349	\N	\N	\N
306732	1046	1997-01-03	VYDAJ	VYBER	3000	29885	\N	\N	\N
306733	1046	1997-01-02	VYDAJ	VYBER	3000	28985	\N	\N	\N
306734	1046	1997-01-19	VYDAJ	VYBER	1320	26869	\N	\N	\N
306735	1046	1998-01-17	VYDAJ	VYBER	2400	18765	\N	\N	\N
306736	1046	1998-01-13	VYDAJ	VYBER	1800	21165	\N	\N	\N
306737	1046	1998-01-08	VYDAJ	VYBER	2160	32404	\N	\N	\N
306738	1046	1998-01-27	VYDAJ	VYBER	1680	16365	\N	\N	\N
306739	1046	1998-01-12	VYDAJ	VYBER	2040	22965	\N	\N	\N
306740	1046	1998-01-21	VYDAJ	VYBER	720	18045	\N	\N	\N
306743	1046	1995-12-01	VYDAJ	VYBER	1920	26981	\N	\N	\N
306744	1046	1996-02-12	VYDAJ	VYBER	2640	18253	\N	\N	\N
306745	1046	1996-10-31	VYDAJ	VYBER	840	29151	\N	\N	\N
306746	1046	1996-04-27	VYDAJ	VYBER	3600	18050	\N	\N	\N
306747	1046	1996-03-25	VYDAJ	VYBER	5040	17177	\N	\N	\N
306748	1046	1996-12-09	VYDAJ	VYBER	2760	35063	\N	\N	\N
306749	1046	1996-11-15	VYDAJ	VYBER	1200	29855	\N	\N	\N
306750	1046	1996-03-31	VYDAJ	VYBER	2400	14861	\N	\N	\N
306751	1046	1996-08-25	VYDAJ	VYBER	2160	23388	\N	\N	\N
306752	1046	1997-09-21	VYDAJ	VYBER	2520	32269	\N	\N	\N
306753	1046	1997-03-17	VYDAJ	VYBER	2640	34172	\N	\N	\N
306754	1046	1997-12-11	VYDAJ	VYBER	1920	34567	\N	\N	\N
306755	1046	1997-04-01	VYDAJ	VYBER	4080	30225	\N	\N	\N
306756	1046	1997-10-22	VYDAJ	VYBER	3000	30401	\N	\N	\N
306757	1046	1997-05-29	VYDAJ	VYBER	2160	35511	\N	\N	\N
306758	1046	1998-07-01	VYDAJ	VYBER	4320	29537	\N	\N	\N
306759	1046	1998-08-14	VYDAJ	VYBER	2280	33588	\N	\N	\N
306761	1046	1998-01-28	VYDAJ	VYBER	1440	19325	\N	\N	\N
306762	1046	1998-03-05	VYDAJ	VYBER	840	20937	\N	\N	\N
306763	1046	1998-05-22	VYDAJ	VYBER	2160	30160	\N	\N	\N
306773	1046	1995-09-30	VYDAJ	VYBER	15	29377	SLUZBY	\N	\N
306774	1046	1995-10-31	VYDAJ	VYBER	15	29390	SLUZBY	\N	\N
306775	1046	1995-11-30	VYDAJ	VYBER	15	28901	SLUZBY	\N	\N
306776	1046	1995-12-31	VYDAJ	VYBER	15	32617	SLUZBY	\N	\N
306777	1046	1996-01-31	VYDAJ	VYBER	15	15689	SLUZBY	\N	\N
306778	1046	1996-02-29	VYDAJ	VYBER	15	18313	SLUZBY	\N	\N
306779	1046	1996-03-31	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
306780	1046	1996-04-30	VYDAJ	VYBER	15	18136	SLUZBY	\N	\N
306781	1046	1996-05-31	VYDAJ	VYBER	15	27554	SLUZBY	\N	\N
306782	1046	1996-06-30	VYDAJ	VYBER	15	14080	SLUZBY	\N	\N
306783	1046	1996-07-31	VYDAJ	VYBER	15	18544	SLUZBY	\N	\N
306784	1046	1996-08-31	VYDAJ	VYBER	15	23473	SLUZBY	\N	\N
306785	1046	1996-09-30	VYDAJ	VYBER	15	28678	SLUZBY	\N	\N
306786	1046	1996-10-31	VYDAJ	VYBER	15	29991	SLUZBY	\N	\N
306787	1046	1996-11-30	VYDAJ	VYBER	15	29967	SLUZBY	\N	\N
306788	1046	1996-12-31	VYDAJ	VYBER	15	31985	SLUZBY	\N	\N
306789	1046	1997-01-31	VYDAJ	VYBER	15	25777	SLUZBY	\N	\N
306790	1046	1997-02-28	VYDAJ	VYBER	15	36008	SLUZBY	\N	\N
306791	1046	1997-03-31	VYDAJ	VYBER	15	34305	SLUZBY	\N	\N
306792	1046	1997-04-30	VYDAJ	VYBER	15	37167	SLUZBY	\N	\N
306793	1046	1997-05-31	VYDAJ	VYBER	15	35652	SLUZBY	\N	\N
306794	1046	1997-06-30	VYDAJ	VYBER	15	43869	SLUZBY	\N	\N
306795	1046	1997-07-31	VYDAJ	VYBER	15	42436	SLUZBY	\N	\N
306796	1046	1997-08-31	VYDAJ	VYBER	15	37285	SLUZBY	\N	\N
306797	1046	1997-09-30	VYDAJ	VYBER	15	29697	SLUZBY	\N	\N
306798	1046	1997-10-31	VYDAJ	VYBER	15	27617	SLUZBY	\N	\N
306799	1046	1997-11-30	VYDAJ	VYBER	15	27231	SLUZBY	\N	\N
306800	1046	1997-12-31	VYDAJ	VYBER	15	23461	SLUZBY	\N	\N
306801	1046	1998-01-31	VYDAJ	VYBER	15	19397	SLUZBY	\N	\N
306802	1046	1998-02-28	VYDAJ	VYBER	15	21777	SLUZBY	\N	\N
306803	1046	1998-03-31	VYDAJ	VYBER	15	21425	SLUZBY	\N	\N
306804	1046	1998-04-30	VYDAJ	VYBER	15	28616	SLUZBY	\N	\N
306805	1046	1998-05-31	VYDAJ	VYBER	15	28472	SLUZBY	\N	\N
306806	1046	1998-06-30	VYDAJ	VYBER	15	33857	SLUZBY	\N	\N
306807	1046	1998-07-31	VYDAJ	VYBER	15	32164	SLUZBY	\N	\N
306808	1046	1998-08-31	VYDAJ	VYBER	15	30010	SLUZBY	\N	\N
306809	1046	1998-09-30	VYDAJ	VYBER	15	30832	SLUZBY	\N	\N
306810	1046	1998-10-31	VYDAJ	VYBER	15	29255	SLUZBY	\N	\N
306811	1046	1998-11-30	VYDAJ	VYBER	15	31375	SLUZBY	\N	\N
306812	1046	1995-05-14	PRIJEM	VKLAD	6300	18103	\N	\N	\N
306813	1046	1995-06-13	VYDAJ	VYBER	7300	27501	\N	\N	\N
306814	1046	1995-07-13	VYDAJ	VYBER	8000	30703	\N	\N	\N
306815	1046	1995-08-12	VYDAJ	VYBER	10000	31929	\N	\N	\N
306816	1046	1995-09-11	VYDAJ	VYBER	6500	29264	\N	\N	\N
306817	1046	1995-10-11	VYDAJ	VYBER	3800	29281	\N	\N	\N
306818	1046	1995-11-10	VYDAJ	VYBER	4300	28794	\N	\N	\N
306819	1046	1995-12-10	PRIJEM	VKLAD	100	32497	\N	\N	\N
306820	1046	1996-01-09	VYDAJ	VYBER	2800	29801	\N	\N	\N
306821	1046	1996-02-08	PRIJEM	VKLAD	1500	28292	\N	\N	\N
306822	1046	1996-03-09	PRIJEM	VKLAD	200	22217	\N	\N	\N
306823	1046	1996-04-08	PRIJEM	VKLAD	3100	29049	\N	\N	\N
306824	1046	1996-05-08	PRIJEM	VKLAD	5600	34839	\N	\N	\N
306825	1046	1996-06-07	VYDAJ	VYBER	6800	37409	\N	\N	\N
306826	1046	1996-07-07	PRIJEM	VKLAD	700	25883	\N	\N	\N
306827	1046	1996-08-06	PRIJEM	VKLAD	3300	21844	\N	\N	\N
306828	1046	1996-09-05	PRIJEM	VKLAD	1400	24873	\N	\N	\N
306829	1046	1996-10-05	VYDAJ	VYBER	2500	26178	\N	\N	\N
306830	1046	1996-11-04	VYDAJ	VYBER	1800	27351	\N	\N	\N
306831	1046	1996-12-04	VYDAJ	VYBER	1400	28567	\N	\N	\N
306832	1046	1997-01-03	PRIJEM	VKLAD	3900	32885	\N	\N	\N
306833	1046	1997-02-02	PRIJEM	VKLAD	6400	32177	\N	\N	\N
306834	1046	1997-03-04	VYDAJ	VYBER	2900	33108	\N	\N	\N
306835	1046	1997-04-03	PRIJEM	VKLAD	3100	33325	\N	\N	\N
306836	1046	1997-05-03	VYDAJ	VYBER	3200	33967	\N	\N	\N
306837	1046	1997-06-02	VYDAJ	VYBER	1200	34452	\N	\N	\N
306838	1046	1997-07-02	VYDAJ	VYBER	5300	38569	\N	\N	\N
306839	1046	1997-08-01	VYDAJ	VYBER	9000	33436	\N	\N	\N
306840	1046	1997-08-31	VYDAJ	VYBER	6200	31085	\N	\N	\N
306841	1046	1997-09-30	VYDAJ	VYBER	2700	29712	\N	\N	\N
306842	1046	1997-10-30	VYDAJ	VYBER	2900	27501	\N	\N	\N
306843	1046	1997-11-29	VYDAJ	VYBER	4200	27121	\N	\N	\N
306844	1046	1997-12-29	VYDAJ	VYBER	8500	23347	\N	\N	\N
306845	1046	1998-01-28	PRIJEM	VKLAD	4400	20765	\N	\N	\N
306846	1046	1998-02-27	VYDAJ	VYBER	1400	21701	\N	\N	\N
306847	1046	1998-03-29	VYDAJ	VYBER	3300	21341	\N	\N	\N
306848	1046	1998-04-28	PRIJEM	VKLAD	3400	28529	\N	\N	\N
306849	1046	1998-05-28	VYDAJ	VYBER	1800	28360	\N	\N	\N
306850	1046	1998-06-27	VYDAJ	VYBER	4000	33727	\N	\N	\N
306851	1046	1998-07-27	VYDAJ	VYBER	1200	32041	\N	\N	\N
306852	1046	1998-08-26	VYDAJ	VYBER	3700	29888	\N	\N	\N
306853	1046	1998-09-25	VYDAJ	VYBER	3000	30714	\N	\N	\N
306854	1046	1998-10-25	VYDAJ	VYBER	5400	29136	\N	\N	\N
306855	1046	1998-11-24	VYDAJ	VYBER	1700	31259	\N	\N	\N
306900	1047	1994-06-13	PRIJEM	VKLAD	800	800	\N	\N	\N
306906	1047	1994-06-14	PRIJEM	VKLAD	9764	10564	\N	\N	\N
306907	1047	1994-07-14	PRIJEM	VKLAD	6509	25097	\N	\N	\N
306908	1047	1994-08-14	PRIJEM	VKLAD	6509	31686	\N	\N	\N
306909	1047	1994-09-14	PRIJEM	VKLAD	6509	35199	\N	\N	\N
306910	1047	1994-10-14	PRIJEM	VKLAD	6509	37437	\N	\N	\N
306911	1047	1994-11-14	PRIJEM	VKLAD	6509	33744	\N	\N	\N
306912	1047	1994-12-14	PRIJEM	VKLAD	9764	35756	\N	\N	\N
306913	1047	1995-01-14	PRIJEM	VKLAD	6509	32468	\N	\N	\N
306914	1047	1995-02-14	PRIJEM	VKLAD	6509	30925	\N	\N	\N
306915	1047	1995-03-14	PRIJEM	VKLAD	6509	33301	\N	\N	\N
306916	1047	1995-04-14	PRIJEM	VKLAD	6509	34587	\N	\N	\N
306917	1047	1995-05-14	PRIJEM	VKLAD	6509	34781	\N	\N	\N
306918	1047	1995-06-14	PRIJEM	VKLAD	9764	36231	\N	\N	\N
306919	1047	1995-07-14	PRIJEM	VKLAD	6509	35726	\N	\N	\N
306920	1047	1995-08-14	PRIJEM	VKLAD	6509	34845	\N	\N	\N
306921	1047	1995-09-14	PRIJEM	VKLAD	6509	33042	\N	\N	\N
306922	1047	1995-10-14	PRIJEM	VKLAD	6509	29629	\N	\N	\N
306923	1047	1995-11-14	PRIJEM	VKLAD	6509	31503	\N	\N	\N
306924	1047	1995-12-14	PRIJEM	VKLAD	9764	34935	\N	\N	\N
306925	1047	1996-01-14	PRIJEM	VKLAD	6509	22721	\N	\N	\N
306926	1047	1996-02-14	PRIJEM	VKLAD	6509	22403	\N	\N	\N
306927	1047	1996-03-14	PRIJEM	VKLAD	6509	26341	\N	\N	\N
306928	1047	1996-04-14	PRIJEM	VKLAD	6509	27696	\N	\N	\N
306929	1047	1996-05-14	PRIJEM	VKLAD	6509	23238	\N	\N	\N
306930	1047	1996-06-14	PRIJEM	VKLAD	9764	29572	\N	\N	\N
306931	1047	1996-07-14	PRIJEM	VKLAD	6509	31733	\N	\N	\N
306932	1047	1996-08-14	PRIJEM	VKLAD	6509	29468	\N	\N	\N
306933	1047	1996-09-14	PRIJEM	VKLAD	6509	29155	\N	\N	\N
306934	1047	1996-10-14	PRIJEM	VKLAD	6509	28127	\N	\N	\N
306935	1047	1996-11-14	PRIJEM	VKLAD	6509	25394	\N	\N	\N
306936	1047	1996-12-14	PRIJEM	VKLAD	9764	21959	\N	\N	\N
306937	1047	1997-01-14	PRIJEM	VKLAD	6509	18772	\N	\N	\N
306938	1047	1997-02-14	PRIJEM	VKLAD	6509	18872	\N	\N	\N
306939	1047	1997-03-14	PRIJEM	VKLAD	6509	17400	\N	\N	\N
306940	1047	1997-04-14	PRIJEM	VKLAD	6509	15422	\N	\N	\N
306941	1047	1997-05-14	PRIJEM	VKLAD	6509	17636	\N	\N	\N
306942	1047	1997-06-14	PRIJEM	VKLAD	9764	23115	\N	\N	\N
306943	1047	1997-07-14	PRIJEM	VKLAD	6509	19452	\N	\N	\N
306944	1047	1997-08-14	PRIJEM	VKLAD	6509	21683	\N	\N	\N
306945	1047	1997-09-14	PRIJEM	VKLAD	6509	16518	\N	\N	\N
306946	1047	1997-10-14	PRIJEM	VKLAD	6509	18737	\N	\N	\N
306947	1047	1997-11-14	PRIJEM	VKLAD	6509	20965	\N	\N	\N
306948	1047	1997-12-14	PRIJEM	VKLAD	9764	25617	\N	\N	\N
306949	1047	1998-01-14	PRIJEM	VKLAD	6509	21973	\N	\N	\N
306950	1047	1998-02-14	PRIJEM	VKLAD	6509	17963	\N	\N	\N
306951	1047	1998-03-14	PRIJEM	VKLAD	6509	20187	\N	\N	\N
306952	1047	1998-04-14	PRIJEM	VKLAD	6509	22421	\N	\N	\N
306953	1047	1998-05-14	PRIJEM	VKLAD	6509	23464	\N	\N	\N
306954	1047	1998-06-14	PRIJEM	VKLAD	9764	28961	\N	\N	\N
306955	1047	1998-07-14	PRIJEM	VKLAD	6509	24172	\N	\N	\N
306956	1047	1998-08-14	PRIJEM	VKLAD	6509	26422	\N	\N	\N
306957	1047	1998-09-14	PRIJEM	VKLAD	6509	28682	\N	\N	\N
306958	1047	1998-10-14	PRIJEM	VKLAD	6509	30350	\N	\N	\N
306959	1047	1998-11-14	PRIJEM	VKLAD	6509	32621	\N	\N	\N
306960	1047	1998-12-14	PRIJEM	VKLAD	9764	32959	\N	\N	\N
306971	1047	1994-11-05	VYDAJ	PREVOD NA UCET	4339	33235	SIPO	KL	74345159
306972	1047	1994-12-05	VYDAJ	PREVOD NA UCET	4339	27292	SIPO	KL	74345159
306973	1047	1995-01-05	VYDAJ	PREVOD NA UCET	4339	28779	SIPO	KL	74345159
306974	1047	1995-02-05	VYDAJ	PREVOD NA UCET	4339	23196	SIPO	KL	74345159
306975	1047	1995-03-05	VYDAJ	PREVOD NA UCET	4339	24892	SIPO	KL	74345159
306976	1047	1995-04-05	VYDAJ	PREVOD NA UCET	4339	29078	SIPO	KL	74345159
306977	1047	1995-05-05	VYDAJ	PREVOD NA UCET	4339	30372	SIPO	KL	74345159
306978	1047	1995-06-05	VYDAJ	PREVOD NA UCET	4339	30567	SIPO	KL	74345159
306979	1047	1995-07-05	VYDAJ	PREVOD NA UCET	4339	32017	SIPO	KL	74345159
306980	1047	1995-08-05	VYDAJ	PREVOD NA UCET	4339	31516	SIPO	KL	74345159
306981	1047	1995-09-05	VYDAJ	PREVOD NA UCET	4339	30633	SIPO	KL	74345159
306982	1047	1995-10-05	VYDAJ	PREVOD NA UCET	4339	28820	SIPO	KL	74345159
306983	1047	1995-11-05	VYDAJ	PREVOD NA UCET	4339	25394	SIPO	KL	74345159
306984	1047	1995-12-05	VYDAJ	PREVOD NA UCET	4339	25172	SIPO	KL	74345159
306985	1047	1996-01-05	VYDAJ	PREVOD NA UCET	4339	20052	SIPO	KL	74345159
306986	1047	1996-02-05	VYDAJ	PREVOD NA UCET	4339	15894	SIPO	KL	74345159
306987	1047	1996-03-05	VYDAJ	PREVOD NA UCET	4339	19832	SIPO	KL	74345159
306988	1047	1996-04-05	VYDAJ	PREVOD NA UCET	4339	21187	SIPO	KL	74345159
306989	1047	1996-05-05	VYDAJ	PREVOD NA UCET	4339	16729	SIPO	KL	74345159
306990	1047	1996-06-05	VYDAJ	PREVOD NA UCET	4339	19809	SIPO	KL	74345159
306991	1047	1996-07-05	VYDAJ	PREVOD NA UCET	4339	25224	SIPO	KL	74345159
306992	1047	1996-08-05	VYDAJ	PREVOD NA UCET	4339	22959	SIPO	KL	74345159
306993	1047	1996-09-05	VYDAJ	PREVOD NA UCET	4339	22646	SIPO	KL	74345159
306994	1047	1996-10-05	VYDAJ	PREVOD NA UCET	4339	21618	SIPO	KL	74345159
306995	1047	1996-11-05	VYDAJ	PREVOD NA UCET	4339	18885	SIPO	KL	74345159
306996	1047	1996-12-05	VYDAJ	PREVOD NA UCET	4339	12196	SIPO	KL	74345159
306997	1047	1997-01-05	VYDAJ	PREVOD NA UCET	4339	12263	SIPO	KL	74345159
306998	1047	1997-02-05	VYDAJ	PREVOD NA UCET	4339	12363	SIPO	KL	74345159
306999	1047	1997-03-05	VYDAJ	PREVOD NA UCET	4339	10891	SIPO	KL	74345159
307000	1047	1997-04-05	VYDAJ	PREVOD NA UCET	4339	8913	SIPO	KL	74345159
307001	1047	1997-05-05	VYDAJ	PREVOD NA UCET	4339	11127	SIPO	KL	74345159
307002	1047	1997-06-05	VYDAJ	PREVOD NA UCET	4339	13351	SIPO	KL	74345159
307003	1047	1997-07-05	VYDAJ	PREVOD NA UCET	4339	12943	SIPO	KL	74345159
307004	1047	1997-08-05	VYDAJ	PREVOD NA UCET	4339	15174	SIPO	KL	74345159
307005	1047	1997-09-05	VYDAJ	PREVOD NA UCET	4339	10009	SIPO	KL	74345159
307006	1047	1997-10-05	VYDAJ	PREVOD NA UCET	4339	12228	SIPO	KL	74345159
307007	1047	1997-11-05	VYDAJ	PREVOD NA UCET	4339	14456	SIPO	KL	74345159
307008	1047	1997-12-05	VYDAJ	PREVOD NA UCET	4339	15853	SIPO	KL	74345159
307009	1047	1998-01-05	VYDAJ	PREVOD NA UCET	4339	17024	SIPO	KL	74345159
307010	1047	1998-02-05	VYDAJ	PREVOD NA UCET	4339	11454	SIPO	KL	74345159
307011	1047	1998-03-05	VYDAJ	PREVOD NA UCET	4339	13678	SIPO	KL	74345159
307012	1047	1998-04-05	VYDAJ	PREVOD NA UCET	4339	15912	SIPO	KL	74345159
307013	1047	1998-05-05	VYDAJ	PREVOD NA UCET	4339	16955	SIPO	KL	74345159
307014	1047	1998-06-05	VYDAJ	PREVOD NA UCET	4339	19198	SIPO	KL	74345159
307015	1047	1998-07-05	VYDAJ	PREVOD NA UCET	4339	17663	SIPO	KL	74345159
307016	1047	1998-08-05	VYDAJ	PREVOD NA UCET	4339	19913	SIPO	KL	74345159
307017	1047	1998-09-05	VYDAJ	PREVOD NA UCET	4339	22173	SIPO	KL	74345159
307018	1047	1998-10-05	VYDAJ	PREVOD NA UCET	4339	23841	SIPO	KL	74345159
307019	1047	1998-11-05	VYDAJ	PREVOD NA UCET	4339	26112	SIPO	KL	74345159
307020	1047	1998-12-05	VYDAJ	PREVOD NA UCET	4339	27076	SIPO	KL	74345159
307025	1047	1998-06-17	VYDAJ	VYBER	7040	21921	\N	\N	\N
307026	1047	1994-12-01	VYDAJ	VYBER	2240	31631	\N	\N	\N
307027	1047	1995-12-20	VYDAJ	VYBER	4000	30935	\N	\N	\N
307028	1047	1996-12-04	VYDAJ	VYBER	3840	16535	\N	\N	\N
307029	1047	1997-12-15	VYDAJ	VYBER	4320	21297	\N	\N	\N
307030	1047	1998-12-08	VYDAJ	VYBER	1600	25476	\N	\N	\N
307037	1047	1995-01-02	VYDAJ	VYBER	1080	34798	\N	\N	\N
307038	1047	1995-01-07	VYDAJ	VYBER	1200	24459	\N	\N	\N
307039	1047	1995-01-16	VYDAJ	VYBER	3120	29348	\N	\N	\N
307040	1047	1995-01-05	VYDAJ	VYBER	1680	33118	\N	\N	\N
307041	1047	1995-01-07	VYDAJ	VYBER	3120	25659	\N	\N	\N
307042	1047	1995-01-28	VYDAJ	VYBER	1920	27428	\N	\N	\N
307043	1047	1996-01-08	VYDAJ	VYBER	720	19332	\N	\N	\N
307044	1047	1996-01-16	VYDAJ	VYBER	1920	19961	\N	\N	\N
307045	1047	1996-01-10	VYDAJ	VYBER	2160	16212	\N	\N	\N
307046	1047	1996-01-09	VYDAJ	VYBER	960	18372	\N	\N	\N
307047	1047	1996-01-01	VYDAJ	VYBER	1560	29491	\N	\N	\N
307048	1047	1996-01-16	VYDAJ	VYBER	840	21881	\N	\N	\N
307051	1047	1997-01-21	VYDAJ	VYBER	3120	15652	\N	\N	\N
307052	1047	1997-01-02	VYDAJ	VYBER	840	17562	\N	\N	\N
307053	1047	1997-01-01	VYDAJ	VYBER	2520	18402	\N	\N	\N
307054	1047	1997-01-04	VYDAJ	VYBER	960	16602	\N	\N	\N
307055	1047	1998-01-17	VYDAJ	VYBER	1560	18493	\N	\N	\N
307056	1047	1998-01-06	VYDAJ	VYBER	600	16424	\N	\N	\N
307057	1047	1998-01-12	VYDAJ	VYBER	960	15464	\N	\N	\N
307058	1047	1998-01-24	VYDAJ	VYBER	720	17773	\N	\N	\N
307059	1047	1998-01-29	VYDAJ	VYBER	2040	15733	\N	\N	\N
307060	1047	1998-01-16	VYDAJ	VYBER	1920	20053	\N	\N	\N
307062	1047	1995-02-13	VYDAJ	VYBER	1680	24416	\N	\N	\N
307063	1047	1995-08-11	VYDAJ	VYBER	2280	28336	\N	\N	\N
307064	1047	1995-06-05	VYDAJ	VYBER	1800	28767	\N	\N	\N
307065	1047	1995-02-28	VYDAJ	VYBER	1800	29246	\N	\N	\N
307066	1047	1996-08-28	VYDAJ	VYBER	1680	27788	\N	\N	\N
307068	1047	1996-11-23	VYDAJ	VYBER	4800	20594	\N	\N	\N
307069	1047	1996-07-28	VYDAJ	VYBER	5640	26093	\N	\N	\N
307070	1047	1996-05-16	VYDAJ	VYBER	2760	20478	\N	\N	\N
307071	1047	1996-04-30	VYDAJ	VYBER	2520	25268	\N	\N	\N
307073	1047	1997-12-03	VYDAJ	VYBER	840	20192	\N	\N	\N
307075	1047	1998-10-02	VYDAJ	VYBER	600	28180	\N	\N	\N
307076	1047	1998-05-03	VYDAJ	VYBER	1200	21294	\N	\N	\N
307077	1047	1998-12-08	VYDAJ	VYBER	2280	23196	\N	\N	\N
307078	1047	1998-11-23	VYDAJ	VYBER	1320	31301	\N	\N	\N
307089	1047	1994-10-31	VYDAJ	VYBER	15	37574	SLUZBY	\N	\N
307090	1047	1994-11-30	VYDAJ	VYBER	15	33871	SLUZBY	\N	\N
307091	1047	1994-12-31	VYDAJ	VYBER	15	35878	SLUZBY	\N	\N
307092	1047	1995-01-31	VYDAJ	VYBER	15	27535	SLUZBY	\N	\N
307093	1047	1995-02-28	VYDAJ	VYBER	15	29231	SLUZBY	\N	\N
307094	1047	1995-03-31	VYDAJ	VYBER	15	33417	SLUZBY	\N	\N
307095	1047	1995-04-30	VYDAJ	VYBER	15	34711	SLUZBY	\N	\N
307096	1047	1995-05-31	VYDAJ	VYBER	15	34906	SLUZBY	\N	\N
307097	1047	1995-06-30	VYDAJ	VYBER	15	36356	SLUZBY	\N	\N
307098	1047	1995-07-31	VYDAJ	VYBER	15	35855	SLUZBY	\N	\N
307099	1047	1995-08-31	VYDAJ	VYBER	15	34972	SLUZBY	\N	\N
307100	1047	1995-09-30	VYDAJ	VYBER	15	33159	SLUZBY	\N	\N
307101	1047	1995-10-31	VYDAJ	VYBER	15	29733	SLUZBY	\N	\N
307102	1047	1995-11-30	VYDAJ	VYBER	15	31611	SLUZBY	\N	\N
307103	1047	1995-12-31	VYDAJ	VYBER	15	31051	SLUZBY	\N	\N
307104	1047	1996-01-31	VYDAJ	VYBER	15	20033	SLUZBY	\N	\N
307105	1047	1996-02-29	VYDAJ	VYBER	15	22471	SLUZBY	\N	\N
307106	1047	1996-03-31	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
307107	1047	1996-04-30	VYDAJ	VYBER	15	27788	SLUZBY	\N	\N
307108	1047	1996-05-31	VYDAJ	VYBER	15	20548	SLUZBY	\N	\N
307109	1047	1996-06-30	VYDAJ	VYBER	15	29663	SLUZBY	\N	\N
307110	1047	1996-07-31	VYDAJ	VYBER	15	26198	SLUZBY	\N	\N
307111	1047	1996-08-31	VYDAJ	VYBER	15	27885	SLUZBY	\N	\N
307112	1047	1996-09-30	VYDAJ	VYBER	15	25957	SLUZBY	\N	\N
307113	1047	1996-10-31	VYDAJ	VYBER	15	23224	SLUZBY	\N	\N
307114	1047	1996-11-30	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
307115	1047	1996-12-31	VYDAJ	VYBER	15	20922	SLUZBY	\N	\N
307116	1047	1997-01-31	VYDAJ	VYBER	15	16702	SLUZBY	\N	\N
307117	1047	1997-02-28	VYDAJ	VYBER	15	15230	SLUZBY	\N	\N
307118	1047	1997-03-31	VYDAJ	VYBER	15	13252	SLUZBY	\N	\N
307119	1047	1997-04-30	VYDAJ	VYBER	15	15466	SLUZBY	\N	\N
307120	1047	1997-05-31	VYDAJ	VYBER	15	17690	SLUZBY	\N	\N
307121	1047	1997-06-30	VYDAJ	VYBER	15	17282	SLUZBY	\N	\N
307122	1047	1997-07-31	VYDAJ	VYBER	15	19513	SLUZBY	\N	\N
307123	1047	1997-08-31	VYDAJ	VYBER	15	14348	SLUZBY	\N	\N
307124	1047	1997-09-30	VYDAJ	VYBER	15	16567	SLUZBY	\N	\N
307125	1047	1997-10-31	VYDAJ	VYBER	15	18795	SLUZBY	\N	\N
307126	1047	1997-11-30	VYDAJ	VYBER	15	21032	SLUZBY	\N	\N
307127	1047	1997-12-31	VYDAJ	VYBER	15	21363	SLUZBY	\N	\N
307128	1047	1998-01-31	VYDAJ	VYBER	15	15793	SLUZBY	\N	\N
307129	1047	1998-02-28	VYDAJ	VYBER	15	18017	SLUZBY	\N	\N
307130	1047	1998-03-31	VYDAJ	VYBER	15	20251	SLUZBY	\N	\N
307131	1047	1998-04-30	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
307132	1047	1998-05-31	VYDAJ	VYBER	15	23537	SLUZBY	\N	\N
307133	1047	1998-06-30	VYDAJ	VYBER	15	22002	SLUZBY	\N	\N
307134	1047	1998-07-31	VYDAJ	VYBER	15	24252	SLUZBY	\N	\N
307135	1047	1998-08-31	VYDAJ	VYBER	15	26512	SLUZBY	\N	\N
307136	1047	1998-09-30	VYDAJ	VYBER	15	28780	SLUZBY	\N	\N
307137	1047	1998-10-31	VYDAJ	VYBER	15	30451	SLUZBY	\N	\N
307138	1047	1998-11-30	VYDAJ	VYBER	15	31415	SLUZBY	\N	\N
307139	1047	1994-07-13	PRIJEM	VKLAD	8000	18588	\N	\N	\N
307140	1047	1994-09-11	VYDAJ	VYBER	3100	28690	\N	\N	\N
307141	1047	1994-10-11	VYDAJ	VYBER	4400	30928	\N	\N	\N
307142	1047	1994-11-10	VYDAJ	VYBER	6000	27235	\N	\N	\N
307143	1047	1994-12-10	VYDAJ	VYBER	1300	25992	\N	\N	\N
307144	1047	1995-01-09	PRIJEM	VKLAD	1500	25959	\N	\N	\N
307145	1047	1995-02-08	PRIJEM	VKLAD	2900	26096	\N	\N	\N
307146	1047	1995-03-10	PRIJEM	VKLAD	1900	26792	\N	\N	\N
307147	1047	1995-04-09	VYDAJ	VYBER	1000	28078	\N	\N	\N
307148	1047	1995-05-09	VYDAJ	VYBER	2100	28272	\N	\N	\N
307149	1047	1995-06-08	VYDAJ	VYBER	2300	26467	\N	\N	\N
307150	1047	1995-07-08	VYDAJ	VYBER	2800	29217	\N	\N	\N
307151	1047	1995-08-07	VYDAJ	VYBER	900	30616	\N	\N	\N
307152	1047	1995-09-06	VYDAJ	VYBER	4100	26533	\N	\N	\N
307153	1047	1995-10-06	VYDAJ	VYBER	5700	23120	\N	\N	\N
307154	1047	1995-11-05	VYDAJ	VYBER	400	24994	\N	\N	\N
307155	1047	1995-12-05	VYDAJ	VYBER	2100	29511	\N	\N	\N
307156	1047	1996-01-04	VYDAJ	VYBER	5100	24391	\N	\N	\N
307157	1047	1996-02-03	PRIJEM	VKLAD	200	20233	\N	\N	\N
307158	1047	1996-03-04	PRIJEM	VKLAD	1700	24171	\N	\N	\N
307159	1047	1996-04-03	VYDAJ	VYBER	900	25526	\N	\N	\N
307160	1047	1996-05-03	VYDAJ	VYBER	4200	21068	\N	\N	\N
307161	1047	1996-06-02	PRIJEM	VKLAD	3600	24148	\N	\N	\N
307162	1047	1996-07-02	VYDAJ	VYBER	100	29563	\N	\N	\N
307163	1047	1996-08-01	PRIJEM	VKLAD	1100	27298	\N	\N	\N
307164	1047	1996-08-31	VYDAJ	VYBER	900	26985	\N	\N	\N
307165	1047	1996-09-30	VYDAJ	VYBER	3300	25971	\N	\N	\N
307166	1047	1996-10-30	VYDAJ	VYBER	5000	23127	\N	\N	\N
307167	1047	1996-11-29	VYDAJ	VYBER	300	20294	\N	\N	\N
307168	1047	1996-12-29	VYDAJ	VYBER	1100	20859	\N	\N	\N
307169	1047	1997-01-28	PRIJEM	VKLAD	1000	16652	\N	\N	\N
307170	1047	1997-02-27	VYDAJ	VYBER	3700	15172	\N	\N	\N
307171	1047	1997-03-29	VYDAJ	VYBER	4200	13200	\N	\N	\N
307172	1047	1997-06-27	VYDAJ	VYBER	5900	17215	\N	\N	\N
307173	1047	1997-08-26	VYDAJ	VYBER	7400	14283	\N	\N	\N
307229	1048	1993-05-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
307234	1048	1993-05-08	PRIJEM	PREVOD Z UCTU	5993	7093	DUCHOD	UV	69381344
307235	1048	1993-06-08	PRIJEM	PREVOD Z UCTU	5993	13109	DUCHOD	UV	69381344
307236	1048	1993-07-08	PRIJEM	PREVOD Z UCTU	5993	19131	DUCHOD	UV	69381344
307237	1048	1993-08-08	PRIJEM	PREVOD Z UCTU	5993	25154	DUCHOD	UV	69381344
307238	1048	1993-09-08	PRIJEM	PREVOD Z UCTU	5993	29277	DUCHOD	UV	69381344
307239	1048	1993-10-08	PRIJEM	PREVOD Z UCTU	5993	30703	DUCHOD	UV	69381344
307240	1048	1993-11-08	PRIJEM	PREVOD Z UCTU	5993	32056	DUCHOD	UV	69381344
307420	1048	1997-01-16	VYDAJ	VYBER	1440	14930	\N	\N	\N
307241	1048	1993-12-08	PRIJEM	PREVOD Z UCTU	5993	28146	DUCHOD	UV	69381344
307242	1048	1994-01-08	PRIJEM	PREVOD Z UCTU	5993	25166	DUCHOD	UV	69381344
307243	1048	1994-02-08	PRIJEM	PREVOD Z UCTU	5993	17408	DUCHOD	UV	69381344
307244	1048	1994-03-08	PRIJEM	PREVOD Z UCTU	5993	19607	DUCHOD	UV	69381344
307245	1048	1994-04-08	PRIJEM	PREVOD Z UCTU	5993	21013	DUCHOD	UV	69381344
307246	1048	1994-05-08	PRIJEM	PREVOD Z UCTU	5993	23224	DUCHOD	UV	69381344
307247	1048	1994-06-08	PRIJEM	PREVOD Z UCTU	5993	24243	DUCHOD	UV	69381344
307248	1048	1994-07-08	PRIJEM	PREVOD Z UCTU	5993	24267	DUCHOD	UV	69381344
307249	1048	1994-08-08	PRIJEM	PREVOD Z UCTU	5993	24892	DUCHOD	UV	69381344
307250	1048	1994-09-08	PRIJEM	PREVOD Z UCTU	5993	25199	DUCHOD	UV	69381344
307251	1048	1994-10-08	PRIJEM	PREVOD Z UCTU	5993	24927	DUCHOD	UV	69381344
307252	1048	1994-11-08	PRIJEM	PREVOD Z UCTU	5993	25854	DUCHOD	UV	69381344
307253	1048	1994-12-08	PRIJEM	PREVOD Z UCTU	5993	22832	DUCHOD	UV	69381344
307254	1048	1995-01-08	PRIJEM	PREVOD Z UCTU	5993	19891	DUCHOD	UV	69381344
307255	1048	1995-02-08	PRIJEM	PREVOD Z UCTU	5993	16890	DUCHOD	UV	69381344
307256	1048	1995-03-08	PRIJEM	PREVOD Z UCTU	5993	17724	DUCHOD	UV	69381344
307257	1048	1995-04-08	PRIJEM	PREVOD Z UCTU	5993	19922	DUCHOD	UV	69381344
307258	1048	1995-05-08	PRIJEM	PREVOD Z UCTU	5993	17683	DUCHOD	UV	69381344
307259	1048	1995-06-08	PRIJEM	PREVOD Z UCTU	5993	17979	DUCHOD	UV	69381344
307260	1048	1995-07-08	PRIJEM	PREVOD Z UCTU	5993	15615	DUCHOD	UV	69381344
307261	1048	1995-08-08	PRIJEM	PREVOD Z UCTU	5993	17804	DUCHOD	UV	69381344
307262	1048	1995-09-08	PRIJEM	PREVOD Z UCTU	5993	20002	DUCHOD	UV	69381344
307263	1048	1995-10-08	PRIJEM	PREVOD Z UCTU	5993	20307	DUCHOD	UV	69381344
307264	1048	1995-11-08	PRIJEM	PREVOD Z UCTU	5993	22515	DUCHOD	UV	69381344
307265	1048	1995-12-08	PRIJEM	PREVOD Z UCTU	5993	23533	DUCHOD	UV	69381344
307266	1048	1996-01-08	PRIJEM	PREVOD Z UCTU	5993	23835	DUCHOD	UV	69381344
307267	1048	1996-02-08	PRIJEM	PREVOD Z UCTU	5993	16699	DUCHOD	UV	69381344
307268	1048	1996-03-08	PRIJEM	PREVOD Z UCTU	5993	18892	DUCHOD	UV	69381344
307269	1048	1996-04-08	PRIJEM	PREVOD Z UCTU	5993	18070	DUCHOD	UV	69381344
307270	1048	1996-05-08	PRIJEM	PREVOD Z UCTU	5993	20269	DUCHOD	UV	69381344
307271	1048	1996-06-08	PRIJEM	PREVOD Z UCTU	5993	18470	DUCHOD	UV	69381344
307272	1048	1996-07-08	PRIJEM	PREVOD Z UCTU	5993	16964	DUCHOD	UV	69381344
307273	1048	1996-08-08	PRIJEM	PREVOD Z UCTU	5993	16833	DUCHOD	UV	69381344
307274	1048	1996-09-08	PRIJEM	PREVOD Z UCTU	5993	16522	DUCHOD	UV	69381344
307275	1048	1996-10-08	PRIJEM	PREVOD Z UCTU	5993	18714	DUCHOD	UV	69381344
307276	1048	1996-11-08	PRIJEM	PREVOD Z UCTU	5993	16806	DUCHOD	UV	69381344
307277	1048	1996-12-08	PRIJEM	PREVOD Z UCTU	5993	18649	DUCHOD	UV	69381344
307278	1048	1997-01-08	PRIJEM	PREVOD Z UCTU	5993	19330	DUCHOD	UV	69381344
307279	1048	1997-02-08	PRIJEM	PREVOD Z UCTU	5993	17123	DUCHOD	UV	69381344
307280	1048	1997-03-08	PRIJEM	PREVOD Z UCTU	5993	19318	DUCHOD	UV	69381344
307281	1048	1997-04-08	PRIJEM	PREVOD Z UCTU	5993	19717	DUCHOD	UV	69381344
307282	1048	1997-05-08	PRIJEM	PREVOD Z UCTU	5993	17935	DUCHOD	UV	69381344
307283	1048	1997-06-08	PRIJEM	PREVOD Z UCTU	5993	17252	DUCHOD	UV	69381344
307284	1048	1997-07-08	PRIJEM	PREVOD Z UCTU	5993	18886	DUCHOD	UV	69381344
307285	1048	1997-08-08	PRIJEM	PREVOD Z UCTU	5993	20486	DUCHOD	UV	69381344
307286	1048	1997-09-08	PRIJEM	PREVOD Z UCTU	5993	22694	DUCHOD	UV	69381344
307287	1048	1997-10-08	PRIJEM	PREVOD Z UCTU	5993	19402	DUCHOD	UV	69381344
307288	1048	1997-11-08	PRIJEM	PREVOD Z UCTU	5993	21306	DUCHOD	UV	69381344
307289	1048	1997-12-08	PRIJEM	PREVOD Z UCTU	5993	21033	DUCHOD	UV	69381344
307290	1048	1998-01-08	PRIJEM	PREVOD Z UCTU	5993	17453	DUCHOD	UV	69381344
307291	1048	1998-02-08	PRIJEM	PREVOD Z UCTU	5993	17566	DUCHOD	UV	69381344
307292	1048	1998-03-08	PRIJEM	PREVOD Z UCTU	5993	19761	DUCHOD	UV	69381344
307293	1048	1998-04-08	PRIJEM	PREVOD Z UCTU	5993	21264	DUCHOD	UV	69381344
307294	1048	1998-05-08	PRIJEM	PREVOD Z UCTU	5993	23474	DUCHOD	UV	69381344
307295	1048	1998-06-08	PRIJEM	PREVOD Z UCTU	5993	19041	DUCHOD	UV	69381344
307296	1048	1998-07-08	PRIJEM	PREVOD Z UCTU	5993	21242	DUCHOD	UV	69381344
307297	1048	1998-08-08	PRIJEM	PREVOD Z UCTU	5993	23453	DUCHOD	UV	69381344
307298	1048	1998-09-08	PRIJEM	PREVOD Z UCTU	5993	22511	DUCHOD	UV	69381344
307299	1048	1998-10-08	PRIJEM	PREVOD Z UCTU	5993	24727	DUCHOD	UV	69381344
307300	1048	1998-11-08	PRIJEM	PREVOD Z UCTU	5993	22551	DUCHOD	UV	69381344
307301	1048	1998-12-08	PRIJEM	PREVOD Z UCTU	5993	21547	DUCHOD	UV	69381344
307311	1048	1993-10-07	VYDAJ	PREVOD NA UCET	3852	24710	SIPO	MN	24886042
307312	1048	1993-11-07	VYDAJ	PREVOD NA UCET	3852	26063	SIPO	MN	24886042
307313	1048	1993-12-07	VYDAJ	PREVOD NA UCET	3852	22153	SIPO	MN	24886042
307314	1048	1994-01-07	VYDAJ	PREVOD NA UCET	3852	20853	SIPO	MN	24886042
307315	1048	1994-02-07	VYDAJ	PREVOD NA UCET	3852	11415	SIPO	MN	24886042
307316	1048	1994-03-07	VYDAJ	PREVOD NA UCET	3852	13614	SIPO	MN	24886042
307317	1048	1994-04-07	VYDAJ	PREVOD NA UCET	3852	15020	SIPO	MN	24886042
307318	1048	1994-05-07	VYDAJ	PREVOD NA UCET	3852	17231	SIPO	MN	24886042
307319	1048	1994-06-07	VYDAJ	PREVOD NA UCET	3852	18250	SIPO	MN	24886042
307320	1048	1994-07-07	VYDAJ	PREVOD NA UCET	3852	18274	SIPO	MN	24886042
307321	1048	1994-08-07	VYDAJ	PREVOD NA UCET	3852	18899	SIPO	MN	24886042
307322	1048	1994-09-07	VYDAJ	PREVOD NA UCET	3852	19206	SIPO	MN	24886042
307323	1048	1994-10-07	VYDAJ	PREVOD NA UCET	3852	18934	SIPO	MN	24886042
307324	1048	1994-11-07	VYDAJ	PREVOD NA UCET	3852	19861	SIPO	MN	24886042
307325	1048	1994-12-07	VYDAJ	PREVOD NA UCET	3852	16839	SIPO	MN	24886042
307326	1048	1995-01-07	VYDAJ	PREVOD NA UCET	3852	13898	SIPO	MN	24886042
307327	1048	1995-02-07	VYDAJ	PREVOD NA UCET	3852	10897	SIPO	MN	24886042
307328	1048	1995-03-07	VYDAJ	PREVOD NA UCET	3852	11731	SIPO	MN	24886042
307329	1048	1995-04-07	VYDAJ	PREVOD NA UCET	3852	13929	SIPO	MN	24886042
307330	1048	1995-05-07	VYDAJ	PREVOD NA UCET	3852	11690	SIPO	MN	24886042
307331	1048	1995-06-07	VYDAJ	PREVOD NA UCET	3852	11986	SIPO	MN	24886042
307332	1048	1995-07-07	VYDAJ	PREVOD NA UCET	3852	9622	SIPO	MN	24886042
307333	1048	1995-08-07	VYDAJ	PREVOD NA UCET	3852	11811	SIPO	MN	24886042
307334	1048	1995-09-07	VYDAJ	PREVOD NA UCET	3852	14009	SIPO	MN	24886042
307335	1048	1995-10-07	VYDAJ	PREVOD NA UCET	3852	14314	SIPO	MN	24886042
307336	1048	1995-11-07	VYDAJ	PREVOD NA UCET	3852	16522	SIPO	MN	24886042
307337	1048	1995-12-07	VYDAJ	PREVOD NA UCET	3852	17540	SIPO	MN	24886042
307338	1048	1996-01-07	VYDAJ	PREVOD NA UCET	3852	17842	SIPO	MN	24886042
307339	1048	1996-02-07	VYDAJ	PREVOD NA UCET	3852	10706	SIPO	MN	24886042
307340	1048	1996-03-07	VYDAJ	PREVOD NA UCET	3852	12899	SIPO	MN	24886042
307341	1048	1996-04-07	VYDAJ	PREVOD NA UCET	3852	12077	SIPO	MN	24886042
307342	1048	1996-05-07	VYDAJ	PREVOD NA UCET	3852	14276	SIPO	MN	24886042
307343	1048	1996-06-07	VYDAJ	PREVOD NA UCET	3852	12477	SIPO	MN	24886042
307344	1048	1996-07-07	VYDAJ	PREVOD NA UCET	3852	10971	SIPO	MN	24886042
307345	1048	1996-08-07	VYDAJ	PREVOD NA UCET	3852	10840	SIPO	MN	24886042
307346	1048	1996-09-07	VYDAJ	PREVOD NA UCET	3852	10529	SIPO	MN	24886042
307347	1048	1996-10-07	VYDAJ	PREVOD NA UCET	3852	12721	SIPO	MN	24886042
307348	1048	1996-11-07	VYDAJ	PREVOD NA UCET	3852	10813	SIPO	MN	24886042
307349	1048	1996-12-07	VYDAJ	PREVOD NA UCET	3852	12656	SIPO	MN	24886042
307350	1048	1997-01-07	VYDAJ	PREVOD NA UCET	3852	13337	SIPO	MN	24886042
307351	1048	1997-02-07	VYDAJ	PREVOD NA UCET	3852	11130	SIPO	MN	24886042
307352	1048	1997-03-07	VYDAJ	PREVOD NA UCET	3852	13325	SIPO	MN	24886042
307353	1048	1997-04-07	VYDAJ	PREVOD NA UCET	3852	13724	SIPO	MN	24886042
307354	1048	1997-05-07	VYDAJ	PREVOD NA UCET	3852	11942	SIPO	MN	24886042
307355	1048	1997-06-07	VYDAJ	PREVOD NA UCET	3852	11259	SIPO	MN	24886042
307356	1048	1997-07-07	VYDAJ	PREVOD NA UCET	3852	12893	SIPO	MN	24886042
307357	1048	1997-08-07	VYDAJ	PREVOD NA UCET	3852	14493	SIPO	MN	24886042
307358	1048	1997-09-07	VYDAJ	PREVOD NA UCET	3852	16701	SIPO	MN	24886042
307359	1048	1997-10-07	VYDAJ	PREVOD NA UCET	3852	13409	SIPO	MN	24886042
307360	1048	1997-11-07	VYDAJ	PREVOD NA UCET	3852	15313	SIPO	MN	24886042
307361	1048	1997-12-07	VYDAJ	PREVOD NA UCET	3852	15040	SIPO	MN	24886042
307362	1048	1998-01-07	VYDAJ	PREVOD NA UCET	3852	11460	SIPO	MN	24886042
307363	1048	1998-02-07	VYDAJ	PREVOD NA UCET	3852	11573	SIPO	MN	24886042
307364	1048	1998-03-07	VYDAJ	PREVOD NA UCET	3852	13768	SIPO	MN	24886042
307365	1048	1998-04-07	VYDAJ	PREVOD NA UCET	3852	15271	SIPO	MN	24886042
307366	1048	1998-05-07	VYDAJ	PREVOD NA UCET	3852	17481	SIPO	MN	24886042
307367	1048	1998-06-07	VYDAJ	PREVOD NA UCET	3852	13048	SIPO	MN	24886042
307368	1048	1998-07-07	VYDAJ	PREVOD NA UCET	3852	15249	SIPO	MN	24886042
307369	1048	1998-08-07	VYDAJ	PREVOD NA UCET	3852	17460	SIPO	MN	24886042
307370	1048	1998-09-07	VYDAJ	PREVOD NA UCET	3852	16518	SIPO	MN	24886042
307371	1048	1998-10-07	VYDAJ	PREVOD NA UCET	3852	18734	SIPO	MN	24886042
307372	1048	1998-11-07	VYDAJ	PREVOD NA UCET	3852	16558	SIPO	MN	24886042
307373	1048	1998-12-07	VYDAJ	PREVOD NA UCET	3852	15554	SIPO	MN	24886042
307376	1048	1995-06-10	VYDAJ	VYBER	4550	13429	\N	\N	\N
307381	1048	1994-01-15	VYDAJ	VYBER	700	24466	\N	\N	\N
307382	1048	1995-01-01	VYDAJ	VYBER	3400	18710	\N	\N	\N
307383	1048	1996-01-16	VYDAJ	VYBER	3100	15455	\N	\N	\N
307385	1048	1998-01-03	VYDAJ	VYBER	3200	17152	\N	\N	\N
307386	1048	1993-12-11	VYDAJ	VYBER	1300	26846	\N	\N	\N
307387	1048	1994-12-02	VYDAJ	VYBER	350	20691	\N	\N	\N
307388	1048	1995-12-04	VYDAJ	VYBER	1200	21392	\N	\N	\N
307389	1048	1996-12-04	VYDAJ	VYBER	350	16508	\N	\N	\N
307390	1048	1997-12-28	VYDAJ	VYBER	750	20283	\N	\N	\N
307391	1048	1998-12-28	VYDAJ	VYBER	1300	16887	\N	\N	\N
307398	1048	1994-01-07	VYDAJ	VYBER	1680	19173	\N	\N	\N
307399	1048	1994-01-27	VYDAJ	VYBER	2240	18546	\N	\N	\N
307400	1048	1994-01-02	VYDAJ	VYBER	480	26065	\N	\N	\N
307401	1048	1994-01-06	VYDAJ	VYBER	1360	24705	\N	\N	\N
307402	1048	1994-01-17	VYDAJ	VYBER	1600	22866	\N	\N	\N
307403	1048	1994-01-23	VYDAJ	VYBER	2080	20786	\N	\N	\N
307404	1048	1995-01-01	VYDAJ	VYBER	480	18230	\N	\N	\N
307405	1048	1995-01-22	VYDAJ	VYBER	1120	16211	\N	\N	\N
307406	1048	1995-01-17	VYDAJ	VYBER	2080	17811	\N	\N	\N
307407	1048	1995-01-02	VYDAJ	VYBER	480	17750	\N	\N	\N
307408	1048	1995-01-22	VYDAJ	VYBER	480	17331	\N	\N	\N
307409	1048	1995-01-25	VYDAJ	VYBER	1520	14691	\N	\N	\N
307410	1048	1996-01-14	VYDAJ	VYBER	720	18555	\N	\N	\N
307411	1048	1996-01-25	VYDAJ	VYBER	960	14495	\N	\N	\N
307412	1048	1996-01-12	VYDAJ	VYBER	1440	22395	\N	\N	\N
307414	1048	1996-01-04	VYDAJ	VYBER	1920	21694	\N	\N	\N
307416	1048	1997-01-05	VYDAJ	VYBER	1520	17189	\N	\N	\N
307419	1048	1997-01-08	VYDAJ	VYBER	880	18450	\N	\N	\N
307422	1048	1998-01-13	VYDAJ	VYBER	2080	15373	\N	\N	\N
307430	1048	1993-11-14	VYDAJ	VYBER	3360	28696	\N	\N	\N
307434	1048	1994-05-15	VYDAJ	VYBER	1200	22024	\N	\N	\N
307435	1048	1994-02-02	VYDAJ	VYBER	3360	15267	\N	\N	\N
307436	1048	1994-08-27	VYDAJ	VYBER	1920	22972	\N	\N	\N
307437	1048	1994-03-26	VYDAJ	VYBER	800	18807	\N	\N	\N
307439	1048	1995-04-20	VYDAJ	VYBER	3440	16482	\N	\N	\N
307440	1048	1995-03-06	VYDAJ	VYBER	1360	15583	\N	\N	\N
307441	1048	1996-01-14	VYDAJ	VYBER	3120	19275	\N	\N	\N
307444	1048	1996-03-23	VYDAJ	VYBER	1920	15872	\N	\N	\N
307445	1048	1996-07-17	VYDAJ	VYBER	2320	14644	\N	\N	\N
307446	1048	1997-10-02	VYDAJ	VYBER	2400	17261	\N	\N	\N
307447	1048	1997-04-20	VYDAJ	VYBER	3280	15737	\N	\N	\N
307448	1048	1997-06-15	VYDAJ	VYBER	560	16692	\N	\N	\N
307449	1048	1997-01-13	VYDAJ	VYBER	2080	16370	\N	\N	\N
307450	1048	1997-05-30	VYDAJ	VYBER	2880	15055	\N	\N	\N
307451	1048	1997-11-18	VYDAJ	VYBER	2480	18826	\N	\N	\N
307452	1048	1998-11-22	VYDAJ	VYBER	2320	20231	\N	\N	\N
307453	1048	1998-12-12	VYDAJ	VYBER	3360	18187	\N	\N	\N
307454	1048	1998-01-06	VYDAJ	VYBER	1840	15312	\N	\N	\N
307455	1048	1998-05-29	VYDAJ	VYBER	2640	16834	\N	\N	\N
307456	1048	1998-08-29	VYDAJ	VYBER	2960	20493	\N	\N	\N
307466	1048	1993-09-30	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
307467	1048	1993-10-31	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
307468	1048	1993-11-30	VYDAJ	VYBER	15	28805	SLUZBY	\N	\N
307469	1048	1993-12-31	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
307470	1048	1994-01-31	VYDAJ	VYBER	15	18627	SLUZBY	\N	\N
307471	1048	1994-02-28	VYDAJ	VYBER	15	17466	SLUZBY	\N	\N
307472	1048	1994-03-31	VYDAJ	VYBER	15	18872	SLUZBY	\N	\N
307473	1048	1994-04-30	VYDAJ	VYBER	15	21083	SLUZBY	\N	\N
307474	1048	1994-05-31	VYDAJ	VYBER	15	22102	SLUZBY	\N	\N
307475	1048	1994-06-30	VYDAJ	VYBER	15	22126	SLUZBY	\N	\N
307476	1048	1994-07-31	VYDAJ	VYBER	15	22751	SLUZBY	\N	\N
307477	1048	1994-08-31	VYDAJ	VYBER	15	23058	SLUZBY	\N	\N
307478	1048	1994-09-30	VYDAJ	VYBER	15	22786	SLUZBY	\N	\N
307479	1048	1994-10-31	VYDAJ	VYBER	15	23713	SLUZBY	\N	\N
307480	1048	1994-11-30	VYDAJ	VYBER	15	21041	SLUZBY	\N	\N
307481	1048	1994-12-31	VYDAJ	VYBER	15	22110	SLUZBY	\N	\N
307482	1048	1995-01-31	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
307483	1048	1995-02-28	VYDAJ	VYBER	15	16943	SLUZBY	\N	\N
307484	1048	1995-03-31	VYDAJ	VYBER	15	17781	SLUZBY	\N	\N
307485	1048	1995-04-30	VYDAJ	VYBER	15	15542	SLUZBY	\N	\N
307486	1048	1995-05-31	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
307487	1048	1995-06-30	VYDAJ	VYBER	15	13474	SLUZBY	\N	\N
307488	1048	1995-07-31	VYDAJ	VYBER	15	15663	SLUZBY	\N	\N
307489	1048	1995-08-31	VYDAJ	VYBER	15	17861	SLUZBY	\N	\N
307490	1048	1995-09-30	VYDAJ	VYBER	15	18166	SLUZBY	\N	\N
307491	1048	1995-10-31	VYDAJ	VYBER	15	20374	SLUZBY	\N	\N
307492	1048	1995-11-30	VYDAJ	VYBER	15	22592	SLUZBY	\N	\N
307493	1048	1995-12-31	VYDAJ	VYBER	15	23614	SLUZBY	\N	\N
307494	1048	1996-01-31	VYDAJ	VYBER	15	14558	SLUZBY	\N	\N
307495	1048	1996-02-29	VYDAJ	VYBER	15	16751	SLUZBY	\N	\N
307496	1048	1996-03-31	VYDAJ	VYBER	15	15929	SLUZBY	\N	\N
307497	1048	1996-04-30	VYDAJ	VYBER	15	18128	SLUZBY	\N	\N
307498	1048	1996-05-31	VYDAJ	VYBER	15	16329	SLUZBY	\N	\N
307499	1048	1996-06-30	VYDAJ	VYBER	15	14823	SLUZBY	\N	\N
307500	1048	1996-07-31	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
307501	1048	1996-08-31	VYDAJ	VYBER	15	14381	SLUZBY	\N	\N
307502	1048	1996-09-30	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
307503	1048	1996-10-31	VYDAJ	VYBER	15	14665	SLUZBY	\N	\N
307504	1048	1996-11-30	VYDAJ	VYBER	15	16858	SLUZBY	\N	\N
307505	1048	1996-12-31	VYDAJ	VYBER	15	18709	SLUZBY	\N	\N
307506	1048	1997-01-31	VYDAJ	VYBER	15	14982	SLUZBY	\N	\N
307507	1048	1997-02-28	VYDAJ	VYBER	15	17177	SLUZBY	\N	\N
307508	1048	1997-03-31	VYDAJ	VYBER	15	17576	SLUZBY	\N	\N
307509	1048	1997-04-30	VYDAJ	VYBER	15	15794	SLUZBY	\N	\N
307510	1048	1997-05-31	VYDAJ	VYBER	15	15111	SLUZBY	\N	\N
307511	1048	1997-06-30	VYDAJ	VYBER	15	16745	SLUZBY	\N	\N
307512	1048	1997-07-31	VYDAJ	VYBER	15	18345	SLUZBY	\N	\N
307513	1048	1997-08-31	VYDAJ	VYBER	15	20553	SLUZBY	\N	\N
307514	1048	1997-09-30	VYDAJ	VYBER	15	19661	SLUZBY	\N	\N
307515	1048	1997-10-31	VYDAJ	VYBER	15	19165	SLUZBY	\N	\N
307516	1048	1997-11-30	VYDAJ	VYBER	15	18892	SLUZBY	\N	\N
307517	1048	1997-12-31	VYDAJ	VYBER	15	20352	SLUZBY	\N	\N
307518	1048	1998-01-31	VYDAJ	VYBER	15	15425	SLUZBY	\N	\N
307519	1048	1998-02-28	VYDAJ	VYBER	15	17620	SLUZBY	\N	\N
307520	1048	1998-03-31	VYDAJ	VYBER	15	19123	SLUZBY	\N	\N
307521	1048	1998-04-30	VYDAJ	VYBER	15	21333	SLUZBY	\N	\N
307522	1048	1998-05-31	VYDAJ	VYBER	15	16900	SLUZBY	\N	\N
307523	1048	1998-06-30	VYDAJ	VYBER	15	19101	SLUZBY	\N	\N
307524	1048	1998-07-31	VYDAJ	VYBER	15	21312	SLUZBY	\N	\N
307525	1048	1998-08-31	VYDAJ	VYBER	15	20570	SLUZBY	\N	\N
307526	1048	1998-09-30	VYDAJ	VYBER	15	22586	SLUZBY	\N	\N
307527	1048	1998-10-31	VYDAJ	VYBER	15	24810	SLUZBY	\N	\N
307528	1048	1998-11-30	VYDAJ	VYBER	15	20306	SLUZBY	\N	\N
307529	1048	1993-09-02	VYDAJ	VYBER	1900	23284	\N	\N	\N
307530	1048	1993-10-02	VYDAJ	VYBER	800	28562	\N	\N	\N
307531	1048	1993-11-01	VYDAJ	VYBER	900	29915	\N	\N	\N
307532	1048	1993-12-01	VYDAJ	VYBER	2800	26005	\N	\N	\N
307533	1048	1993-12-31	VYDAJ	VYBER	400	26545	\N	\N	\N
307534	1048	1994-06-29	VYDAJ	VYBER	2200	22043	\N	\N	\N
307535	1048	1994-07-29	VYDAJ	VYBER	1600	22667	\N	\N	\N
307536	1048	1994-09-27	VYDAJ	VYBER	2500	22699	\N	\N	\N
307537	1048	1994-10-27	VYDAJ	VYBER	1300	23627	\N	\N	\N
307538	1048	1994-11-26	VYDAJ	VYBER	4900	20954	\N	\N	\N
307539	1048	1994-12-26	VYDAJ	VYBER	800	22032	\N	\N	\N
307540	1048	1995-04-25	VYDAJ	VYBER	1000	15482	\N	\N	\N
307541	1048	1995-05-25	VYDAJ	VYBER	1900	15783	\N	\N	\N
307542	1048	1995-09-22	VYDAJ	VYBER	1900	18102	\N	\N	\N
307543	1048	1996-03-20	VYDAJ	VYBER	1100	17792	\N	\N	\N
307544	1048	1996-05-19	VYDAJ	VYBER	4000	16269	\N	\N	\N
307545	1048	1996-06-18	VYDAJ	VYBER	3700	14770	\N	\N	\N
307546	1048	1996-08-17	VYDAJ	VYBER	2500	14333	\N	\N	\N
307547	1048	1996-10-16	VYDAJ	VYBER	4100	14614	\N	\N	\N
307548	1048	1997-03-15	VYDAJ	VYBER	1800	17518	\N	\N	\N
307549	1048	1997-04-14	VYDAJ	VYBER	700	19017	\N	\N	\N
307550	1048	1997-07-13	VYDAJ	VYBER	600	18286	\N	\N	\N
307551	1048	1997-09-11	VYDAJ	VYBER	3100	19594	\N	\N	\N
307552	1048	1997-10-11	VYDAJ	VYBER	300	19102	\N	\N	\N
307553	1048	1998-03-10	VYDAJ	VYBER	700	19061	\N	\N	\N
307554	1048	1998-05-09	VYDAJ	VYBER	4000	19474	\N	\N	\N
307555	1048	1998-09-06	VYDAJ	VYBER	200	20370	\N	\N	\N
307556	1048	1998-11-05	VYDAJ	VYBER	4400	20410	\N	\N	\N
307557	1048	1998-12-05	VYDAJ	VYBER	900	19406	\N	\N	\N
307626	1049	1997-12-04	PRIJEM	VKLAD	500	500	\N	\N	\N
307638	1049	1997-12-08	PRIJEM	PREVOD Z UCTU	3749	4249	\N	CD	51516109
307639	1049	1998-01-08	PRIJEM	PREVOD Z UCTU	3749	16612	\N	CD	51516109
307640	1049	1998-02-08	PRIJEM	PREVOD Z UCTU	3749	25318	\N	CD	51516109
307641	1049	1998-03-08	PRIJEM	PREVOD Z UCTU	3749	29764	\N	CD	51516109
307642	1049	1998-04-08	PRIJEM	PREVOD Z UCTU	3749	33233	\N	CD	51516109
307643	1049	1998-05-08	PRIJEM	PREVOD Z UCTU	3749	34303	\N	CD	51516109
307644	1049	1998-06-08	PRIJEM	PREVOD Z UCTU	3749	34310	\N	CD	51516109
307645	1049	1998-07-08	PRIJEM	PREVOD Z UCTU	3749	30488	\N	CD	51516109
307646	1049	1998-08-08	PRIJEM	PREVOD Z UCTU	3749	31361	\N	CD	51516109
307647	1049	1998-09-08	PRIJEM	PREVOD Z UCTU	3749	32924	\N	CD	51516109
307648	1049	1998-10-08	PRIJEM	PREVOD Z UCTU	3749	32545	\N	CD	51516109
307649	1049	1998-11-08	PRIJEM	PREVOD Z UCTU	3749	31814	\N	CD	51516109
307650	1049	1998-12-08	PRIJEM	PREVOD Z UCTU	3749	36081	\N	CD	51516109
307667	1049	1998-05-07	VYDAJ	PREVOD NA UCET	1545	31508	SIPO	EF	93252652
307668	1049	1998-06-07	VYDAJ	PREVOD NA UCET	1545	31515	SIPO	EF	93252652
307669	1049	1998-07-07	VYDAJ	PREVOD NA UCET	1545	27693	SIPO	EF	93252652
307670	1049	1998-08-07	VYDAJ	PREVOD NA UCET	1545	28566	SIPO	EF	93252652
307671	1049	1998-09-07	VYDAJ	PREVOD NA UCET	1545	29175	SIPO	EF	93252652
307672	1049	1998-10-07	VYDAJ	PREVOD NA UCET	1545	28796	SIPO	EF	93252652
307673	1049	1998-11-07	VYDAJ	PREVOD NA UCET	1545	29019	SIPO	EF	93252652
307674	1049	1998-12-07	VYDAJ	PREVOD NA UCET	1545	33286	SIPO	EF	93252652
307691	1049	1998-05-07	VYDAJ	PREVOD NA UCET	954	30554	 	EF	13402939
307692	1049	1998-06-07	VYDAJ	PREVOD NA UCET	954	30561	 	EF	13402939
307693	1049	1998-07-07	VYDAJ	PREVOD NA UCET	954	26739	 	EF	13402939
307694	1049	1998-08-07	VYDAJ	PREVOD NA UCET	954	27612	 	EF	13402939
307695	1049	1998-09-07	VYDAJ	PREVOD NA UCET	954	30720	 	EF	13402939
307696	1049	1998-10-07	VYDAJ	PREVOD NA UCET	954	30341	 	EF	13402939
307697	1049	1998-11-07	VYDAJ	PREVOD NA UCET	954	28065	 	EF	13402939
307698	1049	1998-12-07	VYDAJ	PREVOD NA UCET	954	32332	 	EF	13402939
307700	1049	1998-12-23	VYDAJ	VYBER	180	35901	\N	\N	\N
307707	1049	1998-09-14	VYDAJ	VYBER	150	32774	\N	\N	\N
307708	1049	1998-06-06	VYDAJ	VYBER	270	33060	\N	\N	\N
307709	1049	1998-10-31	VYDAJ	VYBER	600	30578	\N	\N	\N
307710	1049	1998-07-17	VYDAJ	VYBER	1290	29198	\N	\N	\N
307711	1049	1998-12-26	VYDAJ	VYBER	750	35151	\N	\N	\N
307728	1049	1998-04-30	VYDAJ	VYBER	15	33353	SLUZBY	\N	\N
307729	1049	1998-05-31	VYDAJ	VYBER	15	34430	SLUZBY	\N	\N
307730	1049	1998-06-30	VYDAJ	VYBER	15	34438	SLUZBY	\N	\N
307731	1049	1998-07-31	VYDAJ	VYBER	15	29311	SLUZBY	\N	\N
307732	1049	1998-08-31	VYDAJ	VYBER	15	31674	SLUZBY	\N	\N
307733	1049	1998-09-30	VYDAJ	VYBER	15	31295	SLUZBY	\N	\N
307734	1049	1998-10-31	VYDAJ	VYBER	15	30564	SLUZBY	\N	\N
307735	1049	1998-11-30	VYDAJ	VYBER	15	34831	SLUZBY	\N	\N
307736	1049	1998-01-03	PRIJEM	VKLAD	8600	12863	\N	\N	\N
307737	1049	1998-02-02	PRIJEM	VKLAD	4900	21569	\N	\N	\N
307738	1049	1998-03-04	PRIJEM	VKLAD	600	26015	\N	\N	\N
307739	1049	1998-04-03	VYDAJ	VYBER	400	29484	\N	\N	\N
307740	1049	1998-05-03	VYDAJ	VYBER	300	33053	\N	\N	\N
307741	1049	1998-06-02	VYDAJ	VYBER	1100	33330	\N	\N	\N
307742	1049	1998-07-02	VYDAJ	VYBER	5200	29238	\N	\N	\N
307743	1049	1998-08-01	PRIJEM	VKLAD	800	30111	\N	\N	\N
307744	1049	1998-08-31	PRIJEM	VKLAD	200	31689	\N	\N	\N
307745	1049	1998-09-30	VYDAJ	VYBER	1600	31309	\N	\N	\N
307746	1049	1998-10-30	VYDAJ	VYBER	1500	31045	\N	\N	\N
307747	1049	1998-11-29	PRIJEM	VKLAD	2900	34714	\N	\N	\N
307761	1050	1993-02-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
307764	1050	1993-03-12	PRIJEM	PREVOD Z UCTU	25317	26317	\N	WX	2865469
307765	1050	1993-04-12	PRIJEM	PREVOD Z UCTU	25317	50855	\N	WX	2865469
307766	1050	1993-05-12	PRIJEM	PREVOD Z UCTU	25317	65290	\N	WX	2865469
307767	1050	1993-06-12	PRIJEM	PREVOD Z UCTU	37976	83437	\N	WX	2865469
307768	1050	1993-07-12	PRIJEM	PREVOD Z UCTU	25317	80352	\N	WX	2865469
307769	1050	1993-08-12	PRIJEM	PREVOD Z UCTU	25317	73924	\N	WX	2865469
307770	1050	1993-09-12	PRIJEM	PREVOD Z UCTU	25317	66008	\N	WX	2865469
307771	1050	1993-10-12	PRIJEM	PREVOD Z UCTU	25317	45950	\N	WX	2865469
307772	1050	1993-11-12	PRIJEM	PREVOD Z UCTU	25317	46839	\N	WX	2865469
307773	1050	1993-12-12	PRIJEM	PREVOD Z UCTU	37976	60499	\N	WX	2865469
307774	1050	1994-01-12	PRIJEM	PREVOD Z UCTU	25317	45515	\N	WX	2865469
307775	1050	1994-02-12	PRIJEM	PREVOD Z UCTU	25317	43185	\N	WX	2865469
307776	1050	1994-03-12	PRIJEM	PREVOD Z UCTU	25317	45555	\N	WX	2865469
307777	1050	1994-04-12	PRIJEM	PREVOD Z UCTU	25317	42052	\N	WX	2865469
307778	1050	1994-05-12	PRIJEM	PREVOD Z UCTU	25317	55632	\N	WX	2865469
307779	1050	1994-06-12	PRIJEM	PREVOD Z UCTU	37976	71110	\N	WX	2865469
307780	1050	1994-07-12	PRIJEM	PREVOD Z UCTU	25317	68563	\N	WX	2865469
307781	1050	1994-08-12	PRIJEM	PREVOD Z UCTU	25317	46242	\N	WX	2865469
307782	1050	1994-09-12	PRIJEM	PREVOD Z UCTU	25317	54533	\N	WX	2865469
307783	1050	1994-10-12	PRIJEM	PREVOD Z UCTU	25317	47127	\N	WX	2865469
307784	1050	1994-11-12	PRIJEM	PREVOD Z UCTU	25317	48107	\N	WX	2865469
307785	1050	1994-12-12	PRIJEM	PREVOD Z UCTU	37976	53644	\N	WX	2865469
307786	1050	1995-01-12	PRIJEM	PREVOD Z UCTU	25317	48119	\N	WX	2865469
307787	1050	1995-02-12	PRIJEM	PREVOD Z UCTU	25317	47297	\N	WX	2865469
307788	1050	1995-03-12	PRIJEM	PREVOD Z UCTU	25317	44453	\N	WX	2865469
307789	1050	1995-04-12	PRIJEM	PREVOD Z UCTU	25317	54730	\N	WX	2865469
307790	1050	1995-05-12	PRIJEM	PREVOD Z UCTU	25317	45011	\N	WX	2865469
307791	1050	1995-06-12	PRIJEM	PREVOD Z UCTU	37976	68451	\N	WX	2865469
307792	1050	1995-07-12	PRIJEM	PREVOD Z UCTU	25317	42990	\N	WX	2865469
307793	1050	1995-08-12	PRIJEM	PREVOD Z UCTU	25317	50172	\N	WX	2865469
307794	1050	1995-09-12	PRIJEM	PREVOD Z UCTU	25317	52356	\N	WX	2865469
307795	1050	1995-10-12	PRIJEM	PREVOD Z UCTU	25317	62185	\N	WX	2865469
307796	1050	1995-11-12	PRIJEM	PREVOD Z UCTU	25317	57656	\N	WX	2865469
307797	1050	1995-12-12	PRIJEM	PREVOD Z UCTU	37976	63290	\N	WX	2865469
307798	1050	1996-01-12	PRIJEM	PREVOD Z UCTU	25317	52260	\N	WX	2865469
307799	1050	1996-02-12	PRIJEM	PREVOD Z UCTU	25317	49468	\N	WX	2865469
307800	1050	1996-03-12	PRIJEM	PREVOD Z UCTU	25317	64176	\N	WX	2865469
307801	1050	1996-04-12	PRIJEM	PREVOD Z UCTU	25317	69161	\N	WX	2865469
307802	1050	1996-05-12	PRIJEM	PREVOD Z UCTU	25317	68575	\N	WX	2865469
307803	1050	1996-06-12	PRIJEM	PREVOD Z UCTU	37976	79452	\N	WX	2865469
307804	1050	1996-07-12	PRIJEM	PREVOD Z UCTU	25317	74693	\N	WX	2865469
307805	1050	1996-08-12	PRIJEM	PREVOD Z UCTU	25317	74637	\N	WX	2865469
307806	1050	1996-09-12	PRIJEM	PREVOD Z UCTU	25317	56353	\N	WX	2865469
307807	1050	1996-10-12	PRIJEM	PREVOD Z UCTU	25317	63415	\N	WX	2865469
307808	1050	1996-11-12	PRIJEM	PREVOD Z UCTU	25317	71402	\N	WX	2865469
307809	1050	1996-12-12	PRIJEM	PREVOD Z UCTU	37976	75968	\N	WX	2865469
307810	1050	1997-01-12	PRIJEM	PREVOD Z UCTU	25317	68780	\N	WX	2865469
307811	1050	1997-02-12	PRIJEM	PREVOD Z UCTU	25317	54936	\N	WX	2865469
307812	1050	1997-03-12	PRIJEM	PREVOD Z UCTU	25317	58555	\N	WX	2865469
307813	1050	1997-04-12	PRIJEM	PREVOD Z UCTU	25317	52452	\N	WX	2865469
307814	1050	1997-05-12	PRIJEM	PREVOD Z UCTU	25317	61875	\N	WX	2865469
307815	1050	1997-06-12	PRIJEM	PREVOD Z UCTU	37976	70441	\N	WX	2865469
307816	1050	1997-07-12	PRIJEM	PREVOD Z UCTU	25317	60482	\N	WX	2865469
307817	1050	1997-08-12	PRIJEM	PREVOD Z UCTU	25317	53699	\N	WX	2865469
307818	1050	1997-09-12	PRIJEM	PREVOD Z UCTU	25317	58024	\N	WX	2865469
307819	1050	1997-10-12	PRIJEM	PREVOD Z UCTU	25317	69473	\N	WX	2865469
307820	1050	1997-11-12	PRIJEM	PREVOD Z UCTU	25317	67328	\N	WX	2865469
307821	1050	1997-12-12	PRIJEM	PREVOD Z UCTU	37976	71286	\N	WX	2865469
307822	1050	1998-01-12	PRIJEM	PREVOD Z UCTU	25317	64167	\N	WX	2865469
307823	1050	1998-02-12	PRIJEM	PREVOD Z UCTU	25317	63929	\N	WX	2865469
307824	1050	1998-03-12	PRIJEM	PREVOD Z UCTU	25317	74801	\N	WX	2865469
307825	1050	1998-04-12	PRIJEM	PREVOD Z UCTU	25317	82911	\N	WX	2865469
307826	1050	1998-05-12	PRIJEM	PREVOD Z UCTU	25317	71960	\N	WX	2865469
307827	1050	1998-06-12	PRIJEM	PREVOD Z UCTU	37976	87027	\N	WX	2865469
307828	1050	1998-07-12	PRIJEM	PREVOD Z UCTU	25317	91672	\N	WX	2865469
307829	1050	1998-08-12	PRIJEM	PREVOD Z UCTU	25317	96955	\N	WX	2865469
307830	1050	1998-09-12	PRIJEM	PREVOD Z UCTU	25317	100056	\N	WX	2865469
307831	1050	1998-10-12	PRIJEM	PREVOD Z UCTU	25317	92854	\N	WX	2865469
307832	1050	1998-11-12	PRIJEM	PREVOD Z UCTU	25317	91234	\N	WX	2865469
307833	1050	1998-12-12	PRIJEM	PREVOD Z UCTU	37976	103354	\N	WX	2865469
307841	1050	1993-08-05	VYDAJ	PREVOD NA UCET	5673	48607	SIPO	OP	98150521
307842	1050	1993-09-05	VYDAJ	PREVOD NA UCET	5673	40691	SIPO	OP	98150521
307843	1050	1993-10-05	VYDAJ	PREVOD NA UCET	5673	20633	SIPO	OP	98150521
307844	1050	1993-11-05	VYDAJ	PREVOD NA UCET	5673	27822	SIPO	OP	98150521
307845	1050	1993-12-05	VYDAJ	PREVOD NA UCET	5673	22523	SIPO	OP	98150521
307846	1050	1994-01-05	VYDAJ	PREVOD NA UCET	5673	32198	SIPO	OP	98150521
307847	1050	1994-02-05	VYDAJ	PREVOD NA UCET	5673	17868	SIPO	OP	98150521
307848	1050	1994-03-05	VYDAJ	PREVOD NA UCET	5673	20238	SIPO	OP	98150521
307849	1050	1994-04-05	VYDAJ	PREVOD NA UCET	5673	16735	SIPO	OP	98150521
307850	1050	1994-05-05	VYDAJ	PREVOD NA UCET	5673	30315	SIPO	OP	98150521
307851	1050	1994-06-05	VYDAJ	PREVOD NA UCET	5673	33134	SIPO	OP	98150521
307852	1050	1994-07-05	VYDAJ	PREVOD NA UCET	5673	43246	SIPO	OP	98150521
307853	1050	1994-08-05	VYDAJ	PREVOD NA UCET	5673	20925	SIPO	OP	98150521
307854	1050	1994-09-05	VYDAJ	PREVOD NA UCET	5673	29216	SIPO	OP	98150521
307855	1050	1994-10-05	VYDAJ	PREVOD NA UCET	5673	21810	SIPO	OP	98150521
307856	1050	1994-11-05	VYDAJ	PREVOD NA UCET	5673	22790	SIPO	OP	98150521
307857	1050	1994-12-05	VYDAJ	PREVOD NA UCET	5673	15668	SIPO	OP	98150521
307858	1050	1995-01-05	VYDAJ	PREVOD NA UCET	5673	22802	SIPO	OP	98150521
307859	1050	1995-02-05	VYDAJ	PREVOD NA UCET	5673	21980	SIPO	OP	98150521
307860	1050	1995-03-05	VYDAJ	PREVOD NA UCET	5673	19136	SIPO	OP	98150521
307861	1050	1995-04-05	VYDAJ	PREVOD NA UCET	5673	29413	SIPO	OP	98150521
307862	1050	1995-05-05	VYDAJ	PREVOD NA UCET	5673	19694	SIPO	OP	98150521
307863	1050	1995-06-05	VYDAJ	PREVOD NA UCET	5673	30475	SIPO	OP	98150521
307864	1050	1995-07-05	VYDAJ	PREVOD NA UCET	5673	17673	SIPO	OP	98150521
307865	1050	1995-08-05	VYDAJ	PREVOD NA UCET	5673	29055	SIPO	OP	98150521
307866	1050	1995-09-05	VYDAJ	PREVOD NA UCET	5673	27039	SIPO	OP	98150521
307867	1050	1995-10-05	VYDAJ	PREVOD NA UCET	5673	36868	SIPO	OP	98150521
307868	1050	1995-11-05	VYDAJ	PREVOD NA UCET	5673	37939	SIPO	OP	98150521
307869	1050	1995-12-05	VYDAJ	PREVOD NA UCET	5673	29614	SIPO	OP	98150521
307870	1050	1996-01-05	VYDAJ	PREVOD NA UCET	5673	55042	SIPO	OP	98150521
307871	1050	1996-02-05	VYDAJ	PREVOD NA UCET	5673	18451	SIPO	OP	98150521
307872	1050	1996-03-05	VYDAJ	PREVOD NA UCET	5673	43859	SIPO	OP	98150521
307873	1050	1996-04-05	VYDAJ	PREVOD NA UCET	5673	58644	SIPO	OP	98150521
307874	1050	1996-05-05	VYDAJ	PREVOD NA UCET	5673	63658	SIPO	OP	98150521
307875	1050	1996-06-05	VYDAJ	PREVOD NA UCET	5673	63076	SIPO	OP	98150521
307876	1050	1996-07-05	VYDAJ	PREVOD NA UCET	5673	73976	SIPO	OP	98150521
307877	1050	1996-08-05	VYDAJ	PREVOD NA UCET	5673	69220	SIPO	OP	98150521
307878	1050	1996-09-05	VYDAJ	PREVOD NA UCET	5673	54436	SIPO	OP	98150521
307879	1050	1996-10-05	VYDAJ	PREVOD NA UCET	5673	50798	SIPO	OP	98150521
307880	1050	1996-11-05	VYDAJ	PREVOD NA UCET	5673	57885	SIPO	OP	98150521
307881	1050	1996-12-05	VYDAJ	PREVOD NA UCET	5673	40392	SIPO	OP	98150521
307882	1050	1997-01-05	VYDAJ	PREVOD NA UCET	5673	43463	SIPO	OP	98150521
307883	1050	1997-02-05	VYDAJ	PREVOD NA UCET	5673	29619	SIPO	OP	98150521
307884	1050	1997-03-05	VYDAJ	PREVOD NA UCET	5673	43756	SIPO	OP	98150521
307885	1050	1997-04-05	VYDAJ	PREVOD NA UCET	5673	27135	SIPO	OP	98150521
307886	1050	1997-05-05	VYDAJ	PREVOD NA UCET	5673	36558	SIPO	OP	98150521
307887	1050	1997-06-05	VYDAJ	PREVOD NA UCET	5673	32465	SIPO	OP	98150521
307888	1050	1997-07-05	VYDAJ	PREVOD NA UCET	5673	35165	SIPO	OP	98150521
307889	1050	1997-08-05	VYDAJ	PREVOD NA UCET	5673	28382	SIPO	OP	98150521
307890	1050	1997-09-05	VYDAJ	PREVOD NA UCET	5673	32707	SIPO	OP	98150521
307891	1050	1997-10-05	VYDAJ	PREVOD NA UCET	5673	44156	SIPO	OP	98150521
307892	1050	1997-11-05	VYDAJ	PREVOD NA UCET	5673	42011	SIPO	OP	98150521
307893	1050	1997-12-05	VYDAJ	PREVOD NA UCET	5673	33310	SIPO	OP	98150521
307894	1050	1998-01-05	VYDAJ	PREVOD NA UCET	5673	49350	SIPO	OP	98150521
307895	1050	1998-02-05	VYDAJ	PREVOD NA UCET	5673	38612	SIPO	OP	98150521
307896	1050	1998-03-05	VYDAJ	PREVOD NA UCET	5673	49484	SIPO	OP	98150521
307897	1050	1998-04-05	VYDAJ	PREVOD NA UCET	5673	57594	SIPO	OP	98150521
307898	1050	1998-05-05	VYDAJ	PREVOD NA UCET	5673	60443	SIPO	OP	98150521
307899	1050	1998-06-05	VYDAJ	PREVOD NA UCET	5673	49051	SIPO	OP	98150521
307900	1050	1998-07-05	VYDAJ	PREVOD NA UCET	5673	66355	SIPO	OP	98150521
307901	1050	1998-08-05	VYDAJ	PREVOD NA UCET	5673	71638	SIPO	OP	98150521
307902	1050	1998-09-05	VYDAJ	PREVOD NA UCET	5673	74739	SIPO	OP	98150521
307903	1050	1998-10-05	VYDAJ	PREVOD NA UCET	5673	67537	SIPO	OP	98150521
307904	1050	1998-11-05	VYDAJ	PREVOD NA UCET	5673	68017	SIPO	OP	98150521
307905	1050	1998-12-05	VYDAJ	PREVOD NA UCET	5673	67178	SIPO	OP	98150521
307910	1050	1993-08-15	VYBER	VYBER	3002	70922	\N	\N	\N
307911	1050	1993-09-25	VYBER	VYBER	18005	26203	\N	\N	\N
307913	1050	1994-03-12	VYBER	VYBER	22173	23382	\N	\N	\N
307916	1050	1994-02-21	VYBER	VYBER	7398	25887	\N	\N	\N
307918	1050	1994-08-02	VYBER	VYBER	20584	26598	\N	\N	\N
307919	1050	1994-11-19	VYBER	VYBER	18388	21319	\N	\N	\N
307920	1050	1994-09-17	VYBER	VYBER	22594	31939	\N	\N	\N
307923	1050	1995-06-28	VYBER	VYBER	14778	23273	\N	\N	\N
307924	1050	1995-02-14	VYBER	VYBER	16212	31085	\N	\N	\N
307925	1050	1995-12-04	VYBER	VYBER	22480	35287	\N	\N	\N
307926	1050	1996-01-10	VYBER	VYBER	18196	32043	\N	\N	\N
307927	1050	1996-01-09	VYBER	VYBER	5103	49939	\N	\N	\N
307929	1050	1997-07-27	VYBER	VYBER	10330	50152	\N	\N	\N
307930	1050	1997-06-14	VYBER	VYBER	7893	43269	\N	\N	\N
307931	1050	1997-12-01	VYBER	VYBER	14491	38983	\N	\N	\N
307932	1050	1997-05-16	VYBER	VYBER	20151	41724	\N	\N	\N
307934	1050	1997-02-02	VYBER	VYBER	14223	38492	\N	\N	\N
307935	1050	1997-06-12	VYBER	VYBER	19279	51162	\N	\N	\N
307936	1050	1997-05-18	VYBER	VYBER	7653	34071	\N	\N	\N
307937	1050	1997-07-27	VYBER	VYBER	21302	28850	\N	\N	\N
307938	1050	1997-03-15	VYBER	VYBER	24207	32248	\N	\N	\N
307940	1050	1997-10-15	VYBER	VYBER	16605	52868	\N	\N	\N
307941	1050	1997-03-09	VYBER	VYBER	10518	33238	\N	\N	\N
307942	1050	1993-12-23	VYDAJ	VYBER	4500	37799	\N	\N	\N
307944	1050	1995-12-28	VYDAJ	VYBER	2700	60590	\N	\N	\N
307945	1050	1996-12-01	VYDAJ	VYBER	1800	64365	\N	\N	\N
307946	1050	1997-12-14	VYDAJ	VYBER	6000	65286	\N	\N	\N
307947	1050	1998-12-07	VYDAJ	VYBER	1800	65378	\N	\N	\N
307954	1050	1994-01-11	VYDAJ	VYBER	5400	20198	\N	\N	\N
307955	1050	1994-01-18	VYDAJ	VYBER	6000	29015	\N	\N	\N
307956	1050	1994-01-17	VYDAJ	VYBER	4800	35015	\N	\N	\N
307957	1050	1994-01-24	VYDAJ	VYBER	5100	23515	\N	\N	\N
307958	1050	1994-01-13	VYDAJ	VYBER	5700	39815	\N	\N	\N
307959	1050	1994-01-06	VYDAJ	VYBER	6600	25598	\N	\N	\N
307960	1050	1995-01-23	VYDAJ	VYBER	6000	31519	\N	\N	\N
307962	1050	1995-01-02	VYDAJ	VYBER	4800	28475	\N	\N	\N
307963	1050	1995-01-28	VYDAJ	VYBER	3900	27619	\N	\N	\N
307966	1050	1996-01-17	VYDAJ	VYBER	8700	30060	\N	\N	\N
307967	1050	1996-01-21	VYDAJ	VYBER	4500	25560	\N	\N	\N
307968	1050	1996-01-14	VYDAJ	VYBER	2100	50160	\N	\N	\N
307969	1050	1996-01-30	VYDAJ	VYBER	1500	24060	\N	\N	\N
307971	1050	1996-01-10	VYDAJ	VYBER	5100	26943	\N	\N	\N
307972	1050	1997-01-18	VYDAJ	VYBER	3000	59180	\N	\N	\N
307973	1050	1997-01-14	VYDAJ	VYBER	6600	62180	\N	\N	\N
307974	1050	1997-01-04	VYDAJ	VYBER	7500	49136	\N	\N	\N
307975	1050	1997-01-30	VYDAJ	VYBER	3600	52580	\N	\N	\N
307976	1050	1997-01-04	VYDAJ	VYBER	2700	73436	\N	\N	\N
307977	1050	1997-01-26	VYDAJ	VYBER	3000	56180	\N	\N	\N
307978	1050	1998-01-15	VYDAJ	VYBER	1800	62367	\N	\N	\N
307979	1050	1998-01-25	VYDAJ	VYBER	4200	51867	\N	\N	\N
307980	1050	1998-01-28	VYDAJ	VYBER	3000	48867	\N	\N	\N
307981	1050	1998-01-21	VYDAJ	VYBER	6300	56067	\N	\N	\N
307982	1050	1998-01-07	VYDAJ	VYBER	6900	42450	\N	\N	\N
307983	1050	1998-01-09	VYDAJ	VYBER	3600	38850	\N	\N	\N
307986	1050	1993-12-02	VYDAJ	VYBER	10200	28196	\N	\N	\N
307988	1050	1993-11-08	VYDAJ	VYBER	6300	21522	\N	\N	\N
307990	1050	1994-10-22	VYDAJ	VYBER	10200	28427	\N	\N	\N
307991	1050	1994-12-12	VYDAJ	VYBER	12900	40744	\N	\N	\N
307992	1050	1995-04-18	VYDAJ	VYBER	13800	25330	\N	\N	\N
307993	1050	1995-06-25	VYDAJ	VYBER	10200	38051	\N	\N	\N
307994	1050	1995-08-10	VYDAJ	VYBER	4200	24855	\N	\N	\N
307995	1050	1995-08-18	VYDAJ	VYBER	3000	32672	\N	\N	\N
307996	1050	1995-03-02	VYDAJ	VYBER	4500	24809	\N	\N	\N
307997	1050	1995-11-08	VYDAJ	VYBER	4800	33139	\N	\N	\N
307998	1050	1995-07-14	VYDAJ	VYBER	4200	38790	\N	\N	\N
307999	1050	1996-08-22	VYDAJ	VYBER	14700	59937	\N	\N	\N
308000	1050	1996-09-09	VYDAJ	VYBER	11400	31036	\N	\N	\N
308001	1050	1996-12-02	VYDAJ	VYBER	10500	53865	\N	\N	\N
308002	1050	1996-12-04	VYDAJ	VYBER	7800	46065	\N	\N	\N
308003	1050	1996-01-16	VYDAJ	VYBER	11400	38760	\N	\N	\N
308004	1050	1996-10-06	VYDAJ	VYBER	5100	45698	\N	\N	\N
308005	1050	1996-11-12	VYDAJ	VYBER	5400	66002	\N	\N	\N
308006	1050	1997-03-13	VYDAJ	VYBER	2100	56455	\N	\N	\N
308009	1050	1997-08-31	VYDAJ	VYBER	10200	43580	\N	\N	\N
308012	1050	1998-05-28	VYDAJ	VYBER	14700	57260	\N	\N	\N
308013	1050	1998-05-07	VYDAJ	VYBER	13800	46643	\N	\N	\N
308014	1050	1998-11-06	VYDAJ	VYBER	2100	65917	\N	\N	\N
308015	1050	1998-09-22	VYDAJ	VYBER	13200	86856	\N	\N	\N
308016	1050	1998-03-14	VYDAJ	VYBER	3600	71201	\N	\N	\N
308017	1050	1998-11-20	VYDAJ	VYBER	10500	80734	\N	\N	\N
308025	1050	1993-07-31	VYDAJ	VYBER	100	54280	SLUZBY	\N	\N
308026	1050	1993-08-31	VYDAJ	VYBER	100	46364	SLUZBY	\N	\N
308027	1050	1993-09-30	VYDAJ	VYBER	100	26306	SLUZBY	\N	\N
308028	1050	1993-10-31	VYDAJ	VYBER	100	33495	SLUZBY	\N	\N
308029	1050	1993-11-30	VYDAJ	VYBER	100	38396	SLUZBY	\N	\N
308030	1050	1993-12-31	VYDAJ	VYBER	100	37871	SLUZBY	\N	\N
308031	1050	1994-01-31	VYDAJ	VYBER	100	23541	SLUZBY	\N	\N
308032	1050	1994-02-28	VYDAJ	VYBER	100	25911	SLUZBY	\N	\N
308033	1050	1994-03-31	VYDAJ	VYBER	100	22408	SLUZBY	\N	\N
308034	1050	1994-04-30	VYDAJ	VYBER	100	35988	SLUZBY	\N	\N
308035	1050	1994-05-31	VYDAJ	VYBER	100	38807	SLUZBY	\N	\N
308036	1050	1994-06-30	VYDAJ	VYBER	100	48919	SLUZBY	\N	\N
308037	1050	1994-07-31	VYDAJ	VYBER	100	47182	SLUZBY	\N	\N
308038	1050	1994-08-31	VYDAJ	VYBER	100	34889	SLUZBY	\N	\N
308039	1050	1994-09-30	VYDAJ	VYBER	100	27483	SLUZBY	\N	\N
308040	1050	1994-10-31	VYDAJ	VYBER	100	28463	SLUZBY	\N	\N
308041	1050	1994-11-30	VYDAJ	VYBER	100	21341	SLUZBY	\N	\N
308042	1050	1994-12-31	VYDAJ	VYBER	100	33275	SLUZBY	\N	\N
308043	1050	1995-01-31	VYDAJ	VYBER	100	27653	SLUZBY	\N	\N
308044	1050	1995-02-28	VYDAJ	VYBER	100	29309	SLUZBY	\N	\N
308045	1050	1995-03-31	VYDAJ	VYBER	100	35086	SLUZBY	\N	\N
308046	1050	1995-04-30	VYDAJ	VYBER	100	25367	SLUZBY	\N	\N
308047	1050	1995-05-31	VYDAJ	VYBER	100	36148	SLUZBY	\N	\N
308048	1050	1995-06-30	VYDAJ	VYBER	100	23346	SLUZBY	\N	\N
308049	1050	1995-07-31	VYDAJ	VYBER	100	34728	SLUZBY	\N	\N
308050	1050	1995-08-31	VYDAJ	VYBER	100	32712	SLUZBY	\N	\N
308051	1050	1995-09-30	VYDAJ	VYBER	100	42541	SLUZBY	\N	\N
308052	1050	1995-10-31	VYDAJ	VYBER	100	43612	SLUZBY	\N	\N
308053	1050	1995-11-30	VYDAJ	VYBER	100	57767	SLUZBY	\N	\N
308054	1050	1995-12-31	VYDAJ	VYBER	100	60715	SLUZBY	\N	\N
308055	1050	1996-01-31	VYDAJ	VYBER	100	24124	SLUZBY	\N	\N
308056	1050	1996-02-29	VYDAJ	VYBER	100	49532	SLUZBY	\N	\N
308057	1050	1996-03-31	VYDAJ	VYBER	100	64317	SLUZBY	\N	\N
308058	1050	1996-04-30	VYDAJ	VYBER	100	69331	SLUZBY	\N	\N
308059	1050	1996-05-31	VYDAJ	VYBER	100	68749	SLUZBY	\N	\N
308060	1050	1996-06-30	VYDAJ	VYBER	100	79649	SLUZBY	\N	\N
308061	1050	1996-07-31	VYDAJ	VYBER	100	74893	SLUZBY	\N	\N
308062	1050	1996-08-31	VYDAJ	VYBER	100	60109	SLUZBY	\N	\N
308063	1050	1996-09-30	VYDAJ	VYBER	100	56471	SLUZBY	\N	\N
308064	1050	1996-10-31	VYDAJ	VYBER	100	63558	SLUZBY	\N	\N
308065	1050	1996-11-30	VYDAJ	VYBER	100	66165	SLUZBY	\N	\N
308066	1050	1996-12-31	VYDAJ	VYBER	100	76136	SLUZBY	\N	\N
308067	1050	1997-01-31	VYDAJ	VYBER	100	52715	SLUZBY	\N	\N
308068	1050	1997-02-28	VYDAJ	VYBER	100	55029	SLUZBY	\N	\N
308069	1050	1997-03-31	VYDAJ	VYBER	100	32308	SLUZBY	\N	\N
308070	1050	1997-04-30	VYDAJ	VYBER	100	52531	SLUZBY	\N	\N
308071	1050	1997-05-31	VYDAJ	VYBER	100	34138	SLUZBY	\N	\N
308072	1050	1997-06-30	VYDAJ	VYBER	100	43338	SLUZBY	\N	\N
308073	1050	1997-07-31	VYDAJ	VYBER	100	28955	SLUZBY	\N	\N
308074	1050	1997-08-31	VYDAJ	VYBER	100	53780	SLUZBY	\N	\N
308075	1050	1997-09-30	VYDAJ	VYBER	100	58129	SLUZBY	\N	\N
308076	1050	1997-10-31	VYDAJ	VYBER	100	47684	SLUZBY	\N	\N
308077	1050	1997-11-30	VYDAJ	VYBER	100	67474	SLUZBY	\N	\N
308078	1050	1997-12-31	VYDAJ	VYBER	100	55023	SLUZBY	\N	\N
308079	1050	1998-01-31	VYDAJ	VYBER	100	44285	SLUZBY	\N	\N
308080	1050	1998-02-28	VYDAJ	VYBER	100	55157	SLUZBY	\N	\N
308081	1050	1998-03-31	VYDAJ	VYBER	100	63267	SLUZBY	\N	\N
308082	1050	1998-04-30	VYDAJ	VYBER	100	66116	SLUZBY	\N	\N
308083	1050	1998-05-31	VYDAJ	VYBER	100	54724	SLUZBY	\N	\N
308084	1050	1998-06-30	VYDAJ	VYBER	100	72028	SLUZBY	\N	\N
308085	1050	1998-07-31	VYDAJ	VYBER	100	77311	SLUZBY	\N	\N
308086	1050	1998-08-31	VYDAJ	VYBER	100	80412	SLUZBY	\N	\N
308087	1050	1998-09-30	VYDAJ	VYBER	100	73210	SLUZBY	\N	\N
308088	1050	1998-10-31	VYDAJ	VYBER	100	73690	SLUZBY	\N	\N
308089	1050	1998-11-30	VYDAJ	VYBER	100	72851	SLUZBY	\N	\N
308090	1050	1993-03-26	VYDAJ	VYBER	800	25517	\N	\N	\N
308091	1050	1993-04-25	VYDAJ	VYBER	11000	39855	\N	\N	\N
308092	1050	1993-05-25	VYDAJ	VYBER	20000	45290	\N	\N	\N
308093	1050	1993-06-24	VYDAJ	VYBER	28600	54837	\N	\N	\N
308094	1050	1993-07-24	VYDAJ	VYBER	26200	54152	\N	\N	\N
308095	1050	1993-08-23	VYDAJ	VYBER	24700	46222	\N	\N	\N
308096	1050	1993-09-22	VYDAJ	VYBER	21800	44208	\N	\N	\N
308097	1050	1993-10-22	VYDAJ	VYBER	12500	33450	\N	\N	\N
308098	1050	1993-11-21	VYDAJ	VYBER	8500	38339	\N	\N	\N
308099	1050	1993-12-21	VYDAJ	VYBER	18200	42299	\N	\N	\N
308100	1050	1994-01-20	VYDAJ	VYBER	400	28615	\N	\N	\N
308101	1050	1994-02-19	VYDAJ	VYBER	9900	33285	\N	\N	\N
308102	1050	1994-03-21	VYDAJ	VYBER	1000	22382	\N	\N	\N
308103	1050	1994-04-20	VYDAJ	VYBER	6100	35952	\N	\N	\N
308104	1050	1994-05-20	VYDAJ	VYBER	16900	38732	\N	\N	\N
308105	1050	1994-06-19	VYDAJ	VYBER	22300	48810	\N	\N	\N
308106	1050	1994-07-19	VYDAJ	VYBER	21500	47063	\N	\N	\N
308107	1050	1994-08-18	VYDAJ	VYBER	11400	34842	\N	\N	\N
308108	1050	1994-09-17	VYDAJ	VYBER	4500	27439	\N	\N	\N
308109	1050	1994-10-17	VYDAJ	VYBER	8500	38627	\N	\N	\N
308110	1050	1994-11-16	VYDAJ	VYBER	8400	39707	\N	\N	\N
308111	1050	1994-12-16	VYDAJ	VYBER	7500	33244	\N	\N	\N
308112	1050	1995-01-15	VYDAJ	VYBER	10600	37519	\N	\N	\N
308113	1050	1995-02-14	VYDAJ	VYBER	1800	29285	\N	\N	\N
308114	1050	1995-03-16	VYDAJ	VYBER	9400	35053	\N	\N	\N
308115	1050	1995-04-15	VYDAJ	VYBER	15600	39130	\N	\N	\N
308116	1050	1995-05-15	VYDAJ	VYBER	8900	36111	\N	\N	\N
308117	1050	1995-06-14	VYDAJ	VYBER	20200	48251	\N	\N	\N
308118	1050	1995-07-14	VYDAJ	VYBER	4100	34690	\N	\N	\N
308119	1050	1995-08-13	VYDAJ	VYBER	14500	35672	\N	\N	\N
308120	1050	1995-09-12	VYDAJ	VYBER	9900	42456	\N	\N	\N
308121	1050	1995-10-12	VYDAJ	VYBER	18700	43485	\N	\N	\N
308122	1050	1995-11-11	VYDAJ	VYBER	800	32339	\N	\N	\N
308123	1050	1995-12-11	VYDAJ	VYBER	4300	25314	\N	\N	\N
308124	1050	1996-01-10	PRIJEM	VKLAD	300	50239	\N	\N	\N
308125	1050	1996-02-09	PRIJEM	VKLAD	5700	24151	\N	\N	\N
308126	1050	1996-03-10	VYDAJ	VYBER	5000	38859	\N	\N	\N
308127	1050	1996-04-09	VYDAJ	VYBER	14800	43844	\N	\N	\N
308128	1050	1996-05-09	VYDAJ	VYBER	20400	43258	\N	\N	\N
308129	1050	1996-06-08	VYDAJ	VYBER	21600	41476	\N	\N	\N
308130	1050	1996-07-08	VYDAJ	VYBER	24600	49376	\N	\N	\N
308131	1050	1996-08-07	VYDAJ	VYBER	19900	49320	\N	\N	\N
308132	1050	1996-09-06	VYDAJ	VYBER	12000	42436	\N	\N	\N
308133	1050	1996-10-06	VYDAJ	VYBER	7600	38098	\N	\N	\N
308134	1050	1996-11-05	VYDAJ	VYBER	11800	46085	\N	\N	\N
308135	1050	1996-12-05	VYDAJ	VYBER	2400	37992	\N	\N	\N
308136	1050	1997-01-04	VYDAJ	VYBER	16800	56636	\N	\N	\N
308137	1050	1997-02-03	VYDAJ	VYBER	3200	35292	\N	\N	\N
308138	1050	1997-03-05	VYDAJ	VYBER	5600	49429	\N	\N	\N
308139	1050	1997-04-04	PRIJEM	VKLAD	500	32808	\N	\N	\N
308140	1050	1997-05-04	VYDAJ	VYBER	10300	42231	\N	\N	\N
308141	1050	1997-06-03	PRIJEM	VKLAD	4000	38138	\N	\N	\N
308142	1050	1997-07-03	VYDAJ	VYBER	2500	40838	\N	\N	\N
308143	1050	1997-08-02	PRIJEM	VKLAD	5100	34055	\N	\N	\N
308144	1050	1997-09-01	VYDAJ	VYBER	5200	38380	\N	\N	\N
308145	1050	1997-10-01	VYDAJ	VYBER	8300	49829	\N	\N	\N
308146	1050	1997-10-31	VYDAJ	VYBER	5300	47784	\N	\N	\N
308147	1050	1997-11-30	VYDAJ	VYBER	14000	53474	\N	\N	\N
308148	1050	1997-12-30	VYDAJ	VYBER	10400	54886	\N	\N	\N
308149	1050	1998-01-29	VYDAJ	VYBER	4700	44167	\N	\N	\N
308150	1050	1998-02-28	VYDAJ	VYBER	8900	55257	\N	\N	\N
308151	1050	1998-03-30	VYDAJ	VYBER	8100	63101	\N	\N	\N
308152	1050	1998-04-29	VYDAJ	VYBER	17000	65911	\N	\N	\N
308153	1050	1998-05-29	VYDAJ	VYBER	2700	54560	\N	\N	\N
308154	1050	1998-06-28	VYDAJ	VYBER	15200	71827	\N	\N	\N
308155	1050	1998-07-28	VYDAJ	VYBER	14600	77072	\N	\N	\N
308156	1050	1998-08-27	VYDAJ	VYBER	16800	80155	\N	\N	\N
308157	1050	1998-09-26	VYDAJ	VYBER	13900	72956	\N	\N	\N
308158	1050	1998-10-26	VYDAJ	VYBER	19400	73454	\N	\N	\N
308159	1050	1998-11-25	VYDAJ	VYBER	8100	72634	\N	\N	\N
308230	1051	1993-10-21	PRIJEM	VKLAD	800	800	\N	\N	\N
308241	1051	1993-11-14	PRIJEM	VKLAD	12888	13688	\N	\N	\N
308242	1051	1993-12-14	PRIJEM	VKLAD	19332	40753	\N	\N	\N
308243	1051	1994-01-14	PRIJEM	VKLAD	12888	45848	\N	\N	\N
308244	1051	1994-02-14	PRIJEM	VKLAD	12888	46975	\N	\N	\N
308245	1051	1994-03-14	PRIJEM	VKLAD	12888	48507	\N	\N	\N
308246	1051	1994-04-14	PRIJEM	VKLAD	12888	47326	\N	\N	\N
308247	1051	1994-05-14	PRIJEM	VKLAD	12888	50248	\N	\N	\N
308248	1051	1994-06-14	PRIJEM	VKLAD	19332	58324	\N	\N	\N
308249	1051	1994-07-14	PRIJEM	VKLAD	12888	48743	\N	\N	\N
308250	1051	1994-08-14	PRIJEM	VKLAD	12888	51352	\N	\N	\N
308251	1051	1994-09-14	PRIJEM	VKLAD	12888	53095	\N	\N	\N
308252	1051	1994-10-14	PRIJEM	VKLAD	12888	49515	\N	\N	\N
308253	1051	1994-11-14	PRIJEM	VKLAD	12888	49240	\N	\N	\N
308254	1051	1994-12-14	PRIJEM	VKLAD	19332	46578	\N	\N	\N
308255	1051	1995-01-14	PRIJEM	VKLAD	12888	45774	\N	\N	\N
308256	1051	1995-02-14	PRIJEM	VKLAD	12888	31496	\N	\N	\N
308257	1051	1995-03-14	PRIJEM	VKLAD	12888	44470	\N	\N	\N
308258	1051	1995-04-14	PRIJEM	VKLAD	12888	46841	\N	\N	\N
308259	1051	1995-05-14	PRIJEM	VKLAD	12888	39086	\N	\N	\N
308260	1051	1995-06-14	PRIJEM	VKLAD	19332	44528	\N	\N	\N
308261	1051	1995-07-14	PRIJEM	VKLAD	12888	42760	\N	\N	\N
308262	1051	1995-08-14	PRIJEM	VKLAD	12888	44014	\N	\N	\N
308263	1051	1995-09-14	PRIJEM	VKLAD	12888	40309	\N	\N	\N
308264	1051	1995-10-14	PRIJEM	VKLAD	12888	41409	\N	\N	\N
308265	1051	1995-11-14	PRIJEM	VKLAD	12888	42849	\N	\N	\N
308266	1051	1995-12-14	PRIJEM	VKLAD	19332	47002	\N	\N	\N
308267	1051	1996-01-14	PRIJEM	VKLAD	12888	42296	\N	\N	\N
308268	1051	1996-02-14	PRIJEM	VKLAD	12888	42486	\N	\N	\N
308269	1051	1996-03-14	PRIJEM	VKLAD	12888	46320	\N	\N	\N
308270	1051	1996-04-14	PRIJEM	VKLAD	12888	45259	\N	\N	\N
308271	1051	1996-05-14	PRIJEM	VKLAD	12888	42080	\N	\N	\N
308272	1051	1996-06-14	PRIJEM	VKLAD	19332	49765	\N	\N	\N
308273	1051	1996-07-14	PRIJEM	VKLAD	12888	51631	\N	\N	\N
308274	1051	1996-08-14	PRIJEM	VKLAD	12888	51215	\N	\N	\N
308275	1051	1996-09-14	PRIJEM	VKLAD	12888	50962	\N	\N	\N
308276	1051	1996-10-14	PRIJEM	VKLAD	12888	53531	\N	\N	\N
308277	1051	1996-11-14	PRIJEM	VKLAD	12888	54722	\N	\N	\N
308278	1051	1996-12-14	PRIJEM	VKLAD	19332	61520	\N	\N	\N
308279	1051	1997-01-14	PRIJEM	VKLAD	12888	50717	\N	\N	\N
308280	1051	1997-02-14	PRIJEM	VKLAD	12888	39973	\N	\N	\N
308281	1051	1997-03-14	PRIJEM	VKLAD	12888	45303	\N	\N	\N
308282	1051	1997-04-14	PRIJEM	VKLAD	12888	47954	\N	\N	\N
308283	1051	1997-05-14	PRIJEM	VKLAD	12888	48121	\N	\N	\N
308284	1051	1997-06-14	PRIJEM	VKLAD	19332	55997	\N	\N	\N
308285	1051	1997-07-14	PRIJEM	VKLAD	12888	49168	\N	\N	\N
308286	1051	1997-08-14	PRIJEM	VKLAD	12888	44512	\N	\N	\N
308287	1051	1997-09-14	PRIJEM	VKLAD	12888	42646	\N	\N	\N
308288	1051	1997-10-14	PRIJEM	VKLAD	12888	42041	\N	\N	\N
308289	1051	1997-11-14	PRIJEM	VKLAD	12888	34144	\N	\N	\N
308290	1051	1997-12-14	PRIJEM	VKLAD	19332	38724	\N	\N	\N
308291	1051	1998-01-14	PRIJEM	VKLAD	12888	32502	\N	\N	\N
308292	1051	1998-02-14	PRIJEM	VKLAD	12888	30779	\N	\N	\N
308293	1051	1998-03-14	PRIJEM	VKLAD	12888	33525	\N	\N	\N
308294	1051	1998-04-14	PRIJEM	VKLAD	12888	34881	\N	\N	\N
308295	1051	1998-05-14	PRIJEM	VKLAD	12888	33235	\N	\N	\N
308296	1051	1998-06-14	PRIJEM	VKLAD	19332	35731	\N	\N	\N
308297	1051	1998-07-14	PRIJEM	VKLAD	12888	48672	\N	\N	\N
308298	1051	1998-08-14	PRIJEM	VKLAD	12888	33680	\N	\N	\N
308299	1051	1998-09-14	PRIJEM	VKLAD	12888	31234	\N	\N	\N
308300	1051	1998-10-14	PRIJEM	VKLAD	12888	30279	\N	\N	\N
308301	1051	1998-11-14	PRIJEM	VKLAD	12888	29320	\N	\N	\N
308302	1051	1998-12-14	PRIJEM	VKLAD	19332	48703	\N	\N	\N
308304	1051	1994-06-27	VYDAJ	VYBER	7520	35704	\N	\N	\N
308311	1051	1995-01-25	VYDAJ	VYBER	7200	21354	\N	\N	\N
308313	1051	1997-01-18	VYDAJ	VYBER	10080	40637	\N	\N	\N
308316	1051	1994-12-06	VYDAJ	VYBER	3840	27246	\N	\N	\N
308317	1051	1995-12-04	VYDAJ	VYBER	2240	40770	\N	\N	\N
308318	1051	1996-12-30	VYDAJ	VYBER	3360	58160	\N	\N	\N
308319	1051	1997-12-09	VYDAJ	VYBER	3360	19392	\N	\N	\N
308320	1051	1998-12-25	VYDAJ	VYBER	2720	20283	\N	\N	\N
308333	1051	1995-01-19	VYDAJ	VYBER	3240	31434	\N	\N	\N
308334	1051	1995-01-15	VYDAJ	VYBER	1800	34674	\N	\N	\N
308335	1051	1995-01-26	VYDAJ	VYBER	2520	18834	\N	\N	\N
308336	1051	1995-01-24	VYDAJ	VYBER	1200	30234	\N	\N	\N
308337	1051	1995-01-29	VYDAJ	VYBER	3240	15594	\N	\N	\N
308338	1051	1995-01-07	VYDAJ	VYBER	3120	32886	\N	\N	\N
308339	1051	1996-01-28	VYDAJ	VYBER	2520	33656	\N	\N	\N
308340	1051	1996-01-14	VYDAJ	VYBER	1920	40376	\N	\N	\N
308341	1051	1996-01-01	VYDAJ	VYBER	1560	45608	\N	\N	\N
308342	1051	1996-01-21	VYDAJ	VYBER	960	36176	\N	\N	\N
308343	1051	1996-01-14	VYDAJ	VYBER	3240	37136	\N	\N	\N
308344	1051	1996-01-10	VYDAJ	VYBER	1800	29408	\N	\N	\N
308345	1051	1997-01-07	VYDAJ	VYBER	3240	39629	\N	\N	\N
308346	1051	1997-01-29	VYDAJ	VYBER	1560	35477	\N	\N	\N
308347	1051	1997-01-09	VYDAJ	VYBER	600	39029	\N	\N	\N
308348	1051	1997-01-18	VYDAJ	VYBER	1200	39437	\N	\N	\N
308349	1051	1997-01-27	VYDAJ	VYBER	2400	37037	\N	\N	\N
308350	1051	1997-01-11	VYDAJ	VYBER	1200	37829	\N	\N	\N
308351	1051	1998-01-08	VYDAJ	VYBER	840	21534	\N	\N	\N
308352	1051	1998-01-03	VYDAJ	VYBER	2760	22374	\N	\N	\N
308353	1051	1998-01-17	VYDAJ	VYBER	2160	30342	\N	\N	\N
308354	1051	1998-01-11	VYDAJ	VYBER	1920	19614	\N	\N	\N
308355	1051	1998-01-26	VYDAJ	VYBER	2400	27102	\N	\N	\N
308356	1051	1998-01-25	VYDAJ	VYBER	840	29502	\N	\N	\N
308362	1051	1994-08-13	VYDAJ	VYBER	720	38464	\N	\N	\N
308363	1051	1994-09-29	VYDAJ	VYBER	3720	36475	\N	\N	\N
308364	1051	1994-11-18	VYDAJ	VYBER	4680	30960	\N	\N	\N
308365	1051	1995-01-25	VYDAJ	VYBER	1680	28554	\N	\N	\N
308366	1051	1995-09-05	VYDAJ	VYBER	5160	39021	\N	\N	\N
308367	1051	1995-09-29	VYDAJ	VYBER	2040	38269	\N	\N	\N
308368	1051	1995-05-10	VYDAJ	VYBER	4320	26198	\N	\N	\N
308369	1051	1995-04-22	VYDAJ	VYBER	5160	30381	\N	\N	\N
308370	1051	1995-03-14	VYDAJ	VYBER	3840	40630	\N	\N	\N
308371	1051	1996-12-02	VYDAJ	VYBER	1080	51688	\N	\N	\N
308372	1051	1996-04-13	VYDAJ	VYBER	3120	32371	\N	\N	\N
308373	1051	1996-05-07	VYDAJ	VYBER	1440	43992	\N	\N	\N
308374	1051	1996-11-17	VYDAJ	VYBER	2160	52562	\N	\N	\N
308375	1051	1996-09-04	VYDAJ	VYBER	2640	48774	\N	\N	\N
308376	1051	1997-11-06	VYDAJ	VYBER	5160	21256	\N	\N	\N
308377	1051	1997-08-27	VYDAJ	VYBER	3720	40792	\N	\N	\N
308378	1051	1997-10-19	VYDAJ	VYBER	5040	37001	\N	\N	\N
308379	1051	1997-01-31	VYDAJ	VYBER	4560	31085	\N	\N	\N
308380	1051	1997-06-01	VYDAJ	VYBER	3240	45065	\N	\N	\N
308381	1051	1997-07-24	VYDAJ	VYBER	3840	45328	\N	\N	\N
308383	1051	1998-04-18	VYDAJ	VYBER	3720	31161	\N	\N	\N
308401	1051	1994-03-31	VYDAJ	VYBER	15	34438	SLUZBY	\N	\N
308402	1051	1994-04-30	VYDAJ	VYBER	15	37360	SLUZBY	\N	\N
308403	1051	1994-05-31	VYDAJ	VYBER	15	38992	SLUZBY	\N	\N
308404	1051	1994-06-30	VYDAJ	VYBER	15	35855	SLUZBY	\N	\N
308405	1051	1994-07-31	VYDAJ	VYBER	15	39184	SLUZBY	\N	\N
308406	1051	1994-08-31	VYDAJ	VYBER	15	40207	SLUZBY	\N	\N
308407	1051	1994-09-30	VYDAJ	VYBER	15	36627	SLUZBY	\N	\N
308408	1051	1994-10-31	VYDAJ	VYBER	15	36352	SLUZBY	\N	\N
308409	1051	1994-11-30	VYDAJ	VYBER	15	31086	SLUZBY	\N	\N
308410	1051	1994-12-31	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
308411	1051	1995-01-31	VYDAJ	VYBER	15	15708	SLUZBY	\N	\N
308412	1051	1995-02-28	VYDAJ	VYBER	15	31582	SLUZBY	\N	\N
308413	1051	1995-03-31	VYDAJ	VYBER	15	33953	SLUZBY	\N	\N
308414	1051	1995-04-30	VYDAJ	VYBER	15	30518	SLUZBY	\N	\N
308415	1051	1995-05-31	VYDAJ	VYBER	15	29796	SLUZBY	\N	\N
308416	1051	1995-06-30	VYDAJ	VYBER	15	44672	SLUZBY	\N	\N
308417	1051	1995-07-31	VYDAJ	VYBER	15	42926	SLUZBY	\N	\N
308418	1051	1995-08-31	VYDAJ	VYBER	15	44181	SLUZBY	\N	\N
308419	1051	1995-09-30	VYDAJ	VYBER	15	38421	SLUZBY	\N	\N
308420	1051	1995-10-31	VYDAJ	VYBER	15	41561	SLUZBY	\N	\N
308421	1051	1995-11-30	VYDAJ	VYBER	15	43010	SLUZBY	\N	\N
308422	1051	1995-12-31	VYDAJ	VYBER	15	47168	SLUZBY	\N	\N
308423	1051	1996-01-31	VYDAJ	VYBER	15	33798	SLUZBY	\N	\N
308424	1051	1996-02-29	VYDAJ	VYBER	15	42632	SLUZBY	\N	\N
308425	1051	1996-03-31	VYDAJ	VYBER	15	46491	SLUZBY	\N	\N
308426	1051	1996-04-30	VYDAJ	VYBER	15	45432	SLUZBY	\N	\N
308427	1051	1996-05-31	VYDAJ	VYBER	15	42233	SLUZBY	\N	\N
308428	1051	1996-06-30	VYDAJ	VYBER	15	49943	SLUZBY	\N	\N
308429	1051	1996-07-31	VYDAJ	VYBER	15	51827	SLUZBY	\N	\N
308430	1051	1996-08-31	VYDAJ	VYBER	15	51414	SLUZBY	\N	\N
308431	1051	1996-09-30	VYDAJ	VYBER	15	51143	SLUZBY	\N	\N
308432	1051	1996-10-31	VYDAJ	VYBER	15	53734	SLUZBY	\N	\N
308433	1051	1996-11-30	VYDAJ	VYBER	15	52768	SLUZBY	\N	\N
308434	1051	1996-12-31	VYDAJ	VYBER	15	58369	SLUZBY	\N	\N
308435	1051	1997-01-31	VYDAJ	VYBER	15	35645	SLUZBY	\N	\N
308436	1051	1997-02-28	VYDAJ	VYBER	15	40115	SLUZBY	\N	\N
308437	1051	1997-03-31	VYDAJ	VYBER	15	45466	SLUZBY	\N	\N
308438	1051	1997-04-30	VYDAJ	VYBER	15	48133	SLUZBY	\N	\N
308439	1051	1997-05-31	VYDAJ	VYBER	15	48305	SLUZBY	\N	\N
308440	1051	1997-06-30	VYDAJ	VYBER	15	56180	SLUZBY	\N	\N
308441	1051	1997-07-31	VYDAJ	VYBER	15	45524	SLUZBY	\N	\N
308442	1051	1997-08-31	VYDAJ	VYBER	15	29758	SLUZBY	\N	\N
308443	1051	1997-09-30	VYDAJ	VYBER	15	29153	SLUZBY	\N	\N
308444	1051	1997-10-31	VYDAJ	VYBER	15	26416	SLUZBY	\N	\N
308445	1051	1997-11-30	VYDAJ	VYBER	15	22752	SLUZBY	\N	\N
308446	1051	1997-12-31	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
308447	1051	1998-01-31	VYDAJ	VYBER	15	17891	SLUZBY	\N	\N
308448	1051	1998-02-28	VYDAJ	VYBER	15	20637	SLUZBY	\N	\N
308449	1051	1998-03-31	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
308450	1051	1998-04-30	VYDAJ	VYBER	15	20347	SLUZBY	\N	\N
308451	1051	1998-05-31	VYDAJ	VYBER	15	16399	SLUZBY	\N	\N
308452	1051	1998-06-30	VYDAJ	VYBER	15	35784	SLUZBY	\N	\N
308453	1051	1998-07-31	VYDAJ	VYBER	15	20792	SLUZBY	\N	\N
308454	1051	1998-08-31	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
308455	1051	1998-09-30	VYDAJ	VYBER	15	17391	SLUZBY	\N	\N
308456	1051	1998-10-31	VYDAJ	VYBER	15	16432	SLUZBY	\N	\N
308457	1051	1998-11-30	VYDAJ	VYBER	15	29371	SLUZBY	\N	\N
308458	1051	1993-11-20	PRIJEM	VKLAD	7700	21388	\N	\N	\N
308459	1051	1993-12-20	VYDAJ	VYBER	7900	32853	\N	\N	\N
308460	1051	1994-01-19	VYDAJ	VYBER	11900	33948	\N	\N	\N
308461	1051	1994-02-18	VYDAJ	VYBER	11500	35475	\N	\N	\N
308462	1051	1994-03-20	VYDAJ	VYBER	14200	34307	\N	\N	\N
308463	1051	1994-04-19	VYDAJ	VYBER	10100	37226	\N	\N	\N
308464	1051	1994-05-19	VYDAJ	VYBER	11400	38848	\N	\N	\N
308465	1051	1994-06-18	VYDAJ	VYBER	15100	43224	\N	\N	\N
308466	1051	1994-07-18	VYDAJ	VYBER	9700	39043	\N	\N	\N
308467	1051	1994-08-17	VYDAJ	VYBER	11300	40052	\N	\N	\N
308468	1051	1994-09-16	VYDAJ	VYBER	12900	40195	\N	\N	\N
308469	1051	1994-10-16	VYDAJ	VYBER	13300	36215	\N	\N	\N
308470	1051	1994-11-15	VYDAJ	VYBER	13600	35640	\N	\N	\N
308471	1051	1994-12-15	VYDAJ	VYBER	10700	35878	\N	\N	\N
308472	1051	1995-01-14	VYDAJ	VYBER	9300	36474	\N	\N	\N
308473	1051	1995-02-13	PRIJEM	VKLAD	2900	18608	\N	\N	\N
308474	1051	1995-03-15	VYDAJ	VYBER	6800	33830	\N	\N	\N
308475	1051	1995-04-14	VYDAJ	VYBER	11300	35541	\N	\N	\N
308476	1051	1995-05-14	VYDAJ	VYBER	9400	29686	\N	\N	\N
308477	1051	1995-06-13	VYDAJ	VYBER	4600	25196	\N	\N	\N
308478	1051	1995-07-13	VYDAJ	VYBER	14800	29872	\N	\N	\N
308479	1051	1995-08-12	VYDAJ	VYBER	11800	31126	\N	\N	\N
308480	1051	1995-09-11	VYDAJ	VYBER	11600	27421	\N	\N	\N
308481	1051	1995-10-11	VYDAJ	VYBER	9900	28521	\N	\N	\N
308482	1051	1995-11-10	VYDAJ	VYBER	11600	29961	\N	\N	\N
308483	1051	1995-12-10	VYDAJ	VYBER	13100	27670	\N	\N	\N
308484	1051	1996-01-09	VYDAJ	VYBER	14400	31208	\N	\N	\N
308485	1051	1996-02-08	VYDAJ	VYBER	4200	29598	\N	\N	\N
308486	1051	1996-03-09	VYDAJ	VYBER	9200	33432	\N	\N	\N
308487	1051	1996-04-08	VYDAJ	VYBER	11000	35491	\N	\N	\N
308488	1051	1996-05-08	VYDAJ	VYBER	14800	29192	\N	\N	\N
308489	1051	1996-06-07	VYDAJ	VYBER	11800	30433	\N	\N	\N
308490	1051	1996-07-07	VYDAJ	VYBER	11200	38743	\N	\N	\N
308491	1051	1996-08-06	VYDAJ	VYBER	13500	38327	\N	\N	\N
308492	1051	1996-09-05	VYDAJ	VYBER	10700	38074	\N	\N	\N
308493	1051	1996-10-05	VYDAJ	VYBER	10500	40643	\N	\N	\N
308494	1051	1996-11-04	VYDAJ	VYBER	11900	41834	\N	\N	\N
308495	1051	1996-12-04	VYDAJ	VYBER	9500	42188	\N	\N	\N
308496	1051	1997-01-03	VYDAJ	VYBER	15500	42869	\N	\N	\N
308497	1051	1997-02-02	VYDAJ	VYBER	4000	27085	\N	\N	\N
308498	1051	1997-03-04	VYDAJ	VYBER	7700	32415	\N	\N	\N
308499	1051	1997-04-03	VYDAJ	VYBER	10400	35066	\N	\N	\N
308500	1051	1997-05-03	VYDAJ	VYBER	12900	35233	\N	\N	\N
308501	1051	1997-06-02	VYDAJ	VYBER	8400	36665	\N	\N	\N
308502	1051	1997-07-02	VYDAJ	VYBER	19900	36280	\N	\N	\N
308503	1051	1997-08-01	VYDAJ	VYBER	13900	31624	\N	\N	\N
308504	1051	1997-08-31	VYDAJ	VYBER	11200	29773	\N	\N	\N
308505	1051	1997-09-30	VYDAJ	VYBER	13600	29168	\N	\N	\N
308506	1051	1997-10-30	VYDAJ	VYBER	10700	26301	\N	\N	\N
308507	1051	1997-11-29	VYDAJ	VYBER	11500	22644	\N	\N	\N
308508	1051	1997-12-29	VYDAJ	VYBER	13700	25024	\N	\N	\N
308509	1051	1998-01-28	VYDAJ	VYBER	9300	17802	\N	\N	\N
308510	1051	1998-02-27	VYDAJ	VYBER	10200	20579	\N	\N	\N
308511	1051	1998-03-29	VYDAJ	VYBER	11600	21925	\N	\N	\N
308512	1051	1998-04-28	VYDAJ	VYBER	10900	20261	\N	\N	\N
308513	1051	1998-05-28	VYDAJ	VYBER	16900	16335	\N	\N	\N
308514	1051	1998-07-27	VYDAJ	VYBER	28000	20672	\N	\N	\N
308515	1051	1998-08-26	VYDAJ	VYBER	15400	18280	\N	\N	\N
308516	1051	1998-09-25	VYDAJ	VYBER	13900	17334	\N	\N	\N
308517	1051	1998-10-25	VYDAJ	VYBER	13900	16379	\N	\N	\N
308518	1051	1998-12-24	VYDAJ	VYBER	25700	23003	\N	\N	\N
308581	1052	1993-09-27	PRIJEM	VKLAD	200	200	\N	\N	\N
308583	1052	1993-12-23	PRIJEM	VKLAD	39036	61003	\N	\N	\N
308584	1052	1994-04-20	PRIJEM	VKLAD	47319	77637	\N	\N	\N
308585	1052	1994-07-05	PRIJEM	VKLAD	38717	65010	\N	\N	\N
308586	1052	1995-10-31	PRIJEM	VKLAD	4996	24867	\N	\N	\N
308587	1052	1995-04-06	PRIJEM	VKLAD	22806	47163	\N	\N	\N
308588	1052	1996-04-18	PRIJEM	VKLAD	26731	45152	\N	\N	\N
308589	1052	1996-08-15	PRIJEM	VKLAD	22784	38961	\N	\N	\N
308590	1052	1997-04-15	PRIJEM	VKLAD	41838	57805	\N	\N	\N
308591	1052	1997-01-29	PRIJEM	VKLAD	8490	23689	\N	\N	\N
308592	1052	1998-04-01	PRIJEM	VKLAD	48867	66546	\N	\N	\N
308593	1052	1998-10-09	PRIJEM	VKLAD	44871	62150	\N	\N	\N
308603	1052	1993-10-17	PRIJEM	VKLAD	1400	1600	\N	\N	\N
308604	1052	1993-11-16	PRIJEM	VKLAD	1400	14109	\N	\N	\N
308605	1052	1993-12-17	PRIJEM	VKLAD	1400	21967	\N	\N	\N
308606	1052	1994-01-14	PRIJEM	VKLAD	1400	43022	\N	\N	\N
308607	1052	1994-02-13	PRIJEM	VKLAD	1400	28113	\N	\N	\N
308608	1052	1994-03-14	PRIJEM	VKLAD	1400	29512	\N	\N	\N
308609	1052	1994-04-14	PRIJEM	VKLAD	1400	30318	\N	\N	\N
308610	1052	1994-05-16	PRIJEM	VKLAD	1400	50694	\N	\N	\N
308611	1052	1994-06-14	PRIJEM	VKLAD	1400	39374	\N	\N	\N
308612	1052	1994-07-15	PRIJEM	VKLAD	1400	66410	\N	\N	\N
308613	1052	1994-08-14	PRIJEM	VKLAD	1400	47275	\N	\N	\N
308614	1052	1994-09-16	PRIJEM	VKLAD	1400	35036	\N	\N	\N
308615	1052	1994-10-15	PRIJEM	VKLAD	1400	31357	\N	\N	\N
308616	1052	1994-11-15	PRIJEM	VKLAD	1400	30966	\N	\N	\N
308617	1052	1994-12-16	PRIJEM	VKLAD	1400	26220	\N	\N	\N
308618	1052	1995-01-14	PRIJEM	VKLAD	1400	23614	\N	\N	\N
308619	1052	1995-02-14	PRIJEM	VKLAD	1400	23098	\N	\N	\N
308620	1052	1995-03-16	PRIJEM	VKLAD	1400	24075	\N	\N	\N
308621	1052	1995-04-13	PRIJEM	VKLAD	1400	48563	\N	\N	\N
308622	1052	1995-05-13	PRIJEM	VKLAD	1400	37992	\N	\N	\N
308623	1052	1995-06-16	PRIJEM	VKLAD	1400	17017	\N	\N	\N
308624	1052	1995-07-15	PRIJEM	VKLAD	1400	20591	\N	\N	\N
308625	1052	1995-08-17	PRIJEM	VKLAD	1400	24863	\N	\N	\N
308626	1052	1995-09-15	PRIJEM	VKLAD	1400	23999	\N	\N	\N
308627	1052	1995-10-17	PRIJEM	VKLAD	1400	23883	\N	\N	\N
308628	1052	1995-11-13	PRIJEM	VKLAD	1400	26252	\N	\N	\N
308629	1052	1995-12-13	PRIJEM	VKLAD	1400	25138	\N	\N	\N
308630	1052	1996-01-14	PRIJEM	VKLAD	1400	23418	\N	\N	\N
308631	1052	1996-02-15	PRIJEM	VKLAD	1400	20390	\N	\N	\N
308632	1052	1996-03-13	PRIJEM	VKLAD	1400	21852	\N	\N	\N
308633	1052	1996-04-14	PRIJEM	VKLAD	1400	21521	\N	\N	\N
308634	1052	1996-05-13	PRIJEM	VKLAD	1400	46664	\N	\N	\N
308635	1052	1996-06-13	PRIJEM	VKLAD	1400	24000	\N	\N	\N
308636	1052	1996-07-13	PRIJEM	VKLAD	1400	16626	\N	\N	\N
308637	1052	1996-08-14	PRIJEM	VKLAD	1400	16177	\N	\N	\N
308638	1052	1996-09-14	PRIJEM	VKLAD	1400	26965	\N	\N	\N
308639	1052	1996-10-15	PRIJEM	VKLAD	1400	18425	\N	\N	\N
308640	1052	1996-11-14	PRIJEM	VKLAD	1400	15998	\N	\N	\N
308641	1052	1996-12-14	PRIJEM	VKLAD	1400	13753	\N	\N	\N
308642	1052	1997-01-17	PRIJEM	VKLAD	1400	15199	\N	\N	\N
308643	1052	1997-02-14	PRIJEM	VKLAD	1400	19535	\N	\N	\N
308644	1052	1997-03-16	PRIJEM	VKLAD	1400	16808	\N	\N	\N
308645	1052	1997-04-17	PRIJEM	VKLAD	1400	59205	\N	\N	\N
308646	1052	1997-05-17	PRIJEM	VKLAD	1400	41485	\N	\N	\N
308647	1052	1997-06-15	PRIJEM	VKLAD	1400	19975	\N	\N	\N
308648	1052	1997-07-13	PRIJEM	VKLAD	1400	20561	\N	\N	\N
308649	1052	1997-08-14	PRIJEM	VKLAD	1400	19077	\N	\N	\N
308650	1052	1997-09-16	PRIJEM	VKLAD	1400	21640	\N	\N	\N
308651	1052	1997-10-13	PRIJEM	VKLAD	1400	20909	\N	\N	\N
308652	1052	1997-11-13	PRIJEM	VKLAD	1400	16531	\N	\N	\N
308653	1052	1997-12-17	PRIJEM	VKLAD	1400	19039	\N	\N	\N
308654	1052	1998-01-14	PRIJEM	VKLAD	1400	18398	\N	\N	\N
308655	1052	1998-02-17	PRIJEM	VKLAD	1400	18859	\N	\N	\N
308656	1052	1998-03-17	PRIJEM	VKLAD	1400	17620	\N	\N	\N
308657	1052	1998-04-16	PRIJEM	VKLAD	1400	41046	\N	\N	\N
308658	1052	1998-05-14	PRIJEM	VKLAD	1400	30188	\N	\N	\N
308659	1052	1998-06-14	PRIJEM	VKLAD	1400	25316	\N	\N	\N
308660	1052	1998-07-17	PRIJEM	VKLAD	1400	20895	\N	\N	\N
308661	1052	1998-08-17	PRIJEM	VKLAD	1400	17959	\N	\N	\N
308662	1052	1998-09-17	PRIJEM	VKLAD	1400	17223	\N	\N	\N
308663	1052	1998-10-15	PRIJEM	VKLAD	1400	63550	\N	\N	\N
308664	1052	1998-11-16	PRIJEM	VKLAD	1400	34856	\N	\N	\N
308665	1052	1998-12-13	PRIJEM	VKLAD	1400	23981	\N	\N	\N
308667	1052	1994-06-14	VYDAJ	VYBER	8300	28874	\N	\N	\N
308668	1052	1995-06-10	VYDAJ	VYBER	11100	15617	\N	\N	\N
308670	1052	1997-06-01	VYDAJ	VYBER	23300	18375	\N	\N	\N
308673	1052	1994-01-21	VYDAJ	VYBER	9200	33822	\N	\N	\N
308674	1052	1995-01-10	VYDAJ	VYBER	3300	22214	\N	\N	\N
308675	1052	1996-01-27	VYDAJ	VYBER	5200	16318	\N	\N	\N
308681	1052	1996-06-10	VYDAJ	VYBER	7200	22600	\N	\N	\N
308683	1052	1998-06-14	VYDAJ	VYBER	7400	17916	\N	\N	\N
308688	1052	1994-12-10	VYDAJ	VYBER	1650	24820	\N	\N	\N
308689	1052	1994-06-14	VYDAJ	VYBER	2200	37174	\N	\N	\N
308690	1052	1994-03-11	VYDAJ	VYBER	700	28112	\N	\N	\N
308691	1052	1994-01-30	VYDAJ	VYBER	2350	26572	\N	\N	\N
308692	1052	1995-09-01	VYDAJ	VYBER	2450	22599	\N	\N	\N
308693	1052	1995-11-15	VYDAJ	VYBER	500	25752	\N	\N	\N
308694	1052	1995-06-01	VYDAJ	VYBER	2400	26717	\N	\N	\N
308695	1052	1995-05-23	VYDAJ	VYBER	600	28992	\N	\N	\N
308696	1052	1996-06-23	VYDAJ	VYBER	1950	15750	\N	\N	\N
308699	1052	1996-06-27	VYDAJ	VYBER	600	15150	\N	\N	\N
308700	1052	1996-09-21	VYDAJ	VYBER	2250	24715	\N	\N	\N
308701	1052	1996-09-01	VYDAJ	VYBER	1600	37465	\N	\N	\N
308702	1052	1997-04-18	VYDAJ	VYBER	2350	56855	\N	\N	\N
308703	1052	1997-07-16	VYDAJ	VYBER	1350	19211	\N	\N	\N
308704	1052	1997-03-23	VYDAJ	VYBER	900	15908	\N	\N	\N
308705	1052	1997-11-12	VYDAJ	VYBER	1850	15131	\N	\N	\N
308707	1052	1997-12-07	VYDAJ	VYBER	1050	17639	\N	\N	\N
308708	1052	1998-11-04	VYDAJ	VYBER	1150	33456	\N	\N	\N
308722	1052	1994-01-31	VYDAJ	VYBER	15	26713	SLUZBY	\N	\N
308723	1052	1994-02-28	VYDAJ	VYBER	15	28812	SLUZBY	\N	\N
308724	1052	1994-03-31	VYDAJ	VYBER	15	28918	SLUZBY	\N	\N
308725	1052	1994-04-30	VYDAJ	VYBER	15	49294	SLUZBY	\N	\N
308726	1052	1994-05-31	VYDAJ	VYBER	15	37974	SLUZBY	\N	\N
308727	1052	1994-06-30	VYDAJ	VYBER	15	26293	SLUZBY	\N	\N
308728	1052	1994-07-31	VYDAJ	VYBER	15	45875	SLUZBY	\N	\N
308729	1052	1994-08-31	VYDAJ	VYBER	15	33636	SLUZBY	\N	\N
308730	1052	1994-09-30	VYDAJ	VYBER	15	29957	SLUZBY	\N	\N
308731	1052	1994-10-31	VYDAJ	VYBER	15	29566	SLUZBY	\N	\N
308732	1052	1994-11-30	VYDAJ	VYBER	15	26470	SLUZBY	\N	\N
308733	1052	1994-12-31	VYDAJ	VYBER	15	25514	SLUZBY	\N	\N
308734	1052	1995-01-31	VYDAJ	VYBER	15	21698	SLUZBY	\N	\N
308735	1052	1995-02-28	VYDAJ	VYBER	15	22675	SLUZBY	\N	\N
308736	1052	1995-03-31	VYDAJ	VYBER	15	24357	SLUZBY	\N	\N
308737	1052	1995-04-30	VYDAJ	VYBER	15	36592	SLUZBY	\N	\N
308738	1052	1995-05-31	VYDAJ	VYBER	15	29117	SLUZBY	\N	\N
308739	1052	1995-06-30	VYDAJ	VYBER	15	19191	SLUZBY	\N	\N
308740	1052	1995-07-31	VYDAJ	VYBER	15	23463	SLUZBY	\N	\N
308741	1052	1995-08-31	VYDAJ	VYBER	15	25049	SLUZBY	\N	\N
308742	1052	1995-09-30	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
308743	1052	1995-10-31	VYDAJ	VYBER	15	24852	SLUZBY	\N	\N
308744	1052	1995-11-30	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
308745	1052	1995-12-31	VYDAJ	VYBER	15	22018	SLUZBY	\N	\N
308746	1052	1996-01-31	VYDAJ	VYBER	15	16390	SLUZBY	\N	\N
308747	1052	1996-02-29	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
308748	1052	1996-03-31	VYDAJ	VYBER	15	20121	SLUZBY	\N	\N
308749	1052	1996-04-30	VYDAJ	VYBER	15	45264	SLUZBY	\N	\N
308750	1052	1996-05-31	VYDAJ	VYBER	15	29800	SLUZBY	\N	\N
308751	1052	1996-06-30	VYDAJ	VYBER	15	15226	SLUZBY	\N	\N
308752	1052	1996-07-31	VYDAJ	VYBER	15	16377	SLUZBY	\N	\N
308753	1052	1996-08-31	VYDAJ	VYBER	15	39065	SLUZBY	\N	\N
308754	1052	1996-09-30	VYDAJ	VYBER	15	24825	SLUZBY	\N	\N
308755	1052	1996-10-31	VYDAJ	VYBER	15	18498	SLUZBY	\N	\N
308756	1052	1996-11-30	VYDAJ	VYBER	15	16053	SLUZBY	\N	\N
308757	1052	1996-12-31	VYDAJ	VYBER	15	13799	SLUZBY	\N	\N
308758	1052	1997-01-31	VYDAJ	VYBER	15	23735	SLUZBY	\N	\N
308759	1052	1997-02-28	VYDAJ	VYBER	15	19608	SLUZBY	\N	\N
308760	1052	1997-03-31	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
308761	1052	1997-04-30	VYDAJ	VYBER	15	56985	SLUZBY	\N	\N
308762	1052	1997-05-31	VYDAJ	VYBER	15	41675	SLUZBY	\N	\N
308763	1052	1997-06-30	VYDAJ	VYBER	15	20061	SLUZBY	\N	\N
308764	1052	1997-07-31	VYDAJ	VYBER	15	19277	SLUZBY	\N	\N
308765	1052	1997-08-31	VYDAJ	VYBER	15	19140	SLUZBY	\N	\N
308766	1052	1997-09-30	VYDAJ	VYBER	15	21709	SLUZBY	\N	\N
308767	1052	1997-10-31	VYDAJ	VYBER	15	20981	SLUZBY	\N	\N
308768	1052	1997-11-30	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
308769	1052	1997-12-31	VYDAJ	VYBER	15	19098	SLUZBY	\N	\N
308770	1052	1998-01-31	VYDAJ	VYBER	15	18459	SLUZBY	\N	\N
308771	1052	1998-02-28	VYDAJ	VYBER	15	18920	SLUZBY	\N	\N
308772	1052	1998-03-31	VYDAJ	VYBER	15	17679	SLUZBY	\N	\N
308773	1052	1998-04-30	VYDAJ	VYBER	15	41188	SLUZBY	\N	\N
308774	1052	1998-05-31	VYDAJ	VYBER	15	30316	SLUZBY	\N	\N
308775	1052	1998-06-30	VYDAJ	VYBER	15	17995	SLUZBY	\N	\N
308776	1052	1998-07-31	VYDAJ	VYBER	15	20959	SLUZBY	\N	\N
308777	1052	1998-08-31	VYDAJ	VYBER	15	18023	SLUZBY	\N	\N
308778	1052	1998-09-30	VYDAJ	VYBER	15	17279	SLUZBY	\N	\N
308779	1052	1998-10-31	VYDAJ	VYBER	15	34606	SLUZBY	\N	\N
308780	1052	1998-11-30	VYDAJ	VYBER	15	22581	SLUZBY	\N	\N
308781	1052	1993-10-27	PRIJEM	VKLAD	11100	12700	\N	\N	\N
308782	1052	1993-11-26	PRIJEM	VKLAD	6400	20509	\N	\N	\N
308783	1052	1993-12-26	VYDAJ	VYBER	19500	41503	\N	\N	\N
308784	1052	1994-01-25	VYDAJ	VYBER	4900	28922	\N	\N	\N
308785	1052	1994-02-24	PRIJEM	VKLAD	600	28713	\N	\N	\N
308786	1052	1994-03-26	VYDAJ	VYBER	700	28812	\N	\N	\N
308787	1052	1994-04-25	VYDAJ	VYBER	28500	49137	\N	\N	\N
308788	1052	1994-05-25	VYDAJ	VYBER	12900	37794	\N	\N	\N
308789	1052	1994-06-24	VYDAJ	VYBER	2700	26174	\N	\N	\N
308790	1052	1994-07-24	VYDAJ	VYBER	20700	45710	\N	\N	\N
308791	1052	1994-08-23	VYDAJ	VYBER	13800	33475	\N	\N	\N
308792	1052	1994-09-22	VYDAJ	VYBER	5200	29836	\N	\N	\N
308793	1052	1994-10-22	VYDAJ	VYBER	1900	29457	\N	\N	\N
308794	1052	1994-11-21	VYDAJ	VYBER	4600	26366	\N	\N	\N
308795	1052	1994-12-21	VYDAJ	VYBER	800	25420	\N	\N	\N
308796	1052	1995-01-20	VYDAJ	VYBER	2000	21614	\N	\N	\N
308797	1052	1995-02-19	VYDAJ	VYBER	500	22598	\N	\N	\N
308798	1052	1995-03-21	PRIJEM	VKLAD	200	24275	\N	\N	\N
308799	1052	1995-04-20	VYDAJ	VYBER	12100	36463	\N	\N	\N
308800	1052	1995-05-20	VYDAJ	VYBER	8400	29592	\N	\N	\N
308801	1052	1995-06-19	PRIJEM	VKLAD	2100	19117	\N	\N	\N
308802	1052	1995-07-19	PRIJEM	VKLAD	2800	23391	\N	\N	\N
308803	1052	1995-08-18	PRIJEM	VKLAD	100	24963	\N	\N	\N
308804	1052	1995-09-17	VYDAJ	VYBER	1600	22399	\N	\N	\N
308805	1052	1995-10-17	VYDAJ	VYBER	4100	19783	\N	\N	\N
308806	1052	1995-11-16	VYDAJ	VYBER	2100	23652	\N	\N	\N
308807	1052	1995-12-16	VYDAJ	VYBER	3200	21938	\N	\N	\N
308808	1052	1996-01-15	VYDAJ	VYBER	1900	21518	\N	\N	\N
308809	1052	1996-02-14	PRIJEM	VKLAD	2600	18990	\N	\N	\N
308810	1052	1996-03-15	VYDAJ	VYBER	1800	20052	\N	\N	\N
308811	1052	1996-04-14	VYDAJ	VYBER	3100	18421	\N	\N	\N
308812	1052	1996-05-14	VYDAJ	VYBER	17000	29664	\N	\N	\N
308813	1052	1996-06-13	VYDAJ	VYBER	6300	17700	\N	\N	\N
308814	1052	1996-07-13	VYDAJ	VYBER	300	16326	\N	\N	\N
308815	1052	1996-08-12	VYDAJ	VYBER	1600	14777	\N	\N	\N
308816	1052	1996-09-11	VYDAJ	VYBER	11900	25565	\N	\N	\N
308817	1052	1996-10-11	VYDAJ	VYBER	7800	17025	\N	\N	\N
308818	1052	1996-11-10	VYDAJ	VYBER	3900	14598	\N	\N	\N
308819	1052	1996-12-10	VYDAJ	VYBER	3700	12353	\N	\N	\N
308820	1052	1997-02-08	VYDAJ	VYBER	5600	18135	\N	\N	\N
308821	1052	1997-03-10	VYDAJ	VYBER	4200	15408	\N	\N	\N
308822	1052	1997-05-09	VYDAJ	VYBER	16900	40085	\N	\N	\N
308823	1052	1997-06-08	PRIJEM	VKLAD	200	18575	\N	\N	\N
308824	1052	1997-07-08	VYDAJ	VYBER	900	19161	\N	\N	\N
308825	1052	1997-08-07	VYDAJ	VYBER	1600	17677	\N	\N	\N
308826	1052	1997-09-06	PRIJEM	VKLAD	1100	20240	\N	\N	\N
308827	1052	1997-10-06	VYDAJ	VYBER	2200	19509	\N	\N	\N
308828	1052	1997-11-05	VYDAJ	VYBER	4000	16981	\N	\N	\N
308829	1052	1997-12-05	PRIJEM	VKLAD	2100	18689	\N	\N	\N
308830	1052	1998-01-04	VYDAJ	VYBER	2100	16998	\N	\N	\N
308831	1052	1998-02-03	VYDAJ	VYBER	1000	17459	\N	\N	\N
308832	1052	1998-03-05	VYDAJ	VYBER	2700	16220	\N	\N	\N
308833	1052	1998-04-04	VYDAJ	VYBER	26900	39646	\N	\N	\N
308834	1052	1998-05-04	VYDAJ	VYBER	12400	28788	\N	\N	\N
308835	1052	1998-06-03	VYDAJ	VYBER	6400	23916	\N	\N	\N
308836	1052	1998-07-03	PRIJEM	VKLAD	1500	19495	\N	\N	\N
308837	1052	1998-08-02	VYDAJ	VYBER	4400	16559	\N	\N	\N
308838	1052	1998-09-01	VYDAJ	VYBER	2200	15823	\N	\N	\N
308839	1052	1998-10-31	VYDAJ	VYBER	29100	34621	\N	\N	\N
308840	1052	1998-11-30	VYDAJ	VYBER	12400	22596	\N	\N	\N
308903	1053	1994-05-25	PRIJEM	VKLAD	700	700	\N	\N	\N
308909	1053	1994-06-12	PRIJEM	VKLAD	14678	15378	\N	\N	\N
308910	1053	1994-07-12	PRIJEM	VKLAD	9785	29082	\N	\N	\N
308911	1053	1994-08-12	PRIJEM	VKLAD	9785	35554	\N	\N	\N
308912	1053	1994-09-12	PRIJEM	VKLAD	9785	39050	\N	\N	\N
308913	1053	1994-10-12	PRIJEM	VKLAD	9785	39557	\N	\N	\N
308914	1053	1994-11-12	PRIJEM	VKLAD	9785	38172	\N	\N	\N
308915	1053	1994-12-12	PRIJEM	VKLAD	14678	37031	\N	\N	\N
308916	1053	1995-01-12	PRIJEM	VKLAD	9785	31068	\N	\N	\N
308917	1053	1995-02-12	PRIJEM	VKLAD	9785	29305	\N	\N	\N
308918	1053	1995-03-12	PRIJEM	VKLAD	9785	37004	\N	\N	\N
308919	1053	1995-04-12	PRIJEM	VKLAD	9785	39730	\N	\N	\N
308920	1053	1995-05-12	PRIJEM	VKLAD	9785	41364	\N	\N	\N
308921	1053	1995-06-12	PRIJEM	VKLAD	14678	44893	\N	\N	\N
308922	1053	1995-07-12	PRIJEM	VKLAD	9785	25144	\N	\N	\N
308923	1053	1995-08-12	PRIJEM	VKLAD	9785	31826	\N	\N	\N
308924	1053	1995-09-12	PRIJEM	VKLAD	9785	34528	\N	\N	\N
308925	1053	1995-10-12	PRIJEM	VKLAD	9785	28271	\N	\N	\N
308926	1053	1995-11-12	PRIJEM	VKLAD	9785	31359	\N	\N	\N
308927	1053	1995-12-12	PRIJEM	VKLAD	14678	32300	\N	\N	\N
308928	1053	1996-01-12	PRIJEM	VKLAD	9785	34295	\N	\N	\N
308929	1053	1996-02-12	PRIJEM	VKLAD	9785	21419	\N	\N	\N
308930	1053	1996-03-12	PRIJEM	VKLAD	9785	24777	\N	\N	\N
308931	1053	1996-04-12	PRIJEM	VKLAD	9785	26346	\N	\N	\N
308932	1053	1996-05-12	PRIJEM	VKLAD	9785	26717	\N	\N	\N
308933	1053	1996-06-12	PRIJEM	VKLAD	14678	32785	\N	\N	\N
308934	1053	1996-07-12	PRIJEM	VKLAD	9785	27762	\N	\N	\N
308935	1053	1996-08-12	PRIJEM	VKLAD	9785	25632	\N	\N	\N
308936	1053	1996-09-12	PRIJEM	VKLAD	9785	26201	\N	\N	\N
308937	1053	1996-10-12	PRIJEM	VKLAD	9785	24887	\N	\N	\N
308938	1053	1996-11-12	PRIJEM	VKLAD	9785	21647	\N	\N	\N
308939	1053	1996-12-12	PRIJEM	VKLAD	14678	31265	\N	\N	\N
308940	1053	1997-01-12	PRIJEM	VKLAD	9785	32075	\N	\N	\N
308941	1053	1997-02-12	PRIJEM	VKLAD	9785	25619	\N	\N	\N
308942	1053	1997-03-12	PRIJEM	VKLAD	9785	32195	\N	\N	\N
308943	1053	1997-04-12	PRIJEM	VKLAD	9785	30705	\N	\N	\N
308944	1053	1997-05-12	PRIJEM	VKLAD	9785	33417	\N	\N	\N
308945	1053	1997-06-12	PRIJEM	VKLAD	14678	36329	\N	\N	\N
308946	1053	1997-07-12	PRIJEM	VKLAD	9785	33756	\N	\N	\N
308947	1053	1997-08-12	PRIJEM	VKLAD	9785	28707	\N	\N	\N
308948	1053	1997-09-12	PRIJEM	VKLAD	9785	31607	\N	\N	\N
308949	1053	1997-10-12	PRIJEM	VKLAD	9785	32153	\N	\N	\N
308950	1053	1997-11-12	PRIJEM	VKLAD	9785	35582	\N	\N	\N
308951	1053	1997-12-12	PRIJEM	VKLAD	14678	40695	\N	\N	\N
308952	1053	1998-01-12	PRIJEM	VKLAD	9785	35606	\N	\N	\N
308953	1053	1998-02-12	PRIJEM	VKLAD	9785	30818	\N	\N	\N
308954	1053	1998-03-12	PRIJEM	VKLAD	9785	37020	\N	\N	\N
308955	1053	1998-04-12	PRIJEM	VKLAD	9785	36349	\N	\N	\N
308956	1053	1998-05-12	PRIJEM	VKLAD	9785	37879	\N	\N	\N
308957	1053	1998-06-12	PRIJEM	VKLAD	14678	43606	\N	\N	\N
308958	1053	1998-07-12	PRIJEM	VKLAD	9785	29984	\N	\N	\N
308959	1053	1998-08-12	PRIJEM	VKLAD	9785	27600	\N	\N	\N
308960	1053	1998-09-12	PRIJEM	VKLAD	9785	29790	\N	\N	\N
308961	1053	1998-10-12	PRIJEM	VKLAD	9785	29390	\N	\N	\N
308962	1053	1998-11-12	PRIJEM	VKLAD	9785	33693	\N	\N	\N
308963	1053	1998-12-12	PRIJEM	VKLAD	14678	41599	\N	\N	\N
308974	1053	1994-11-07	VYDAJ	PREVOD NA UCET	1043	28387	SIPO	YZ	8172607
308975	1053	1994-12-07	VYDAJ	PREVOD NA UCET	1043	28113	SIPO	YZ	8172607
308976	1053	1995-01-07	VYDAJ	PREVOD NA UCET	1043	23203	SIPO	YZ	8172607
308977	1053	1995-02-07	VYDAJ	PREVOD NA UCET	1043	19520	SIPO	YZ	8172607
308978	1053	1995-03-07	VYDAJ	PREVOD NA UCET	1043	27219	SIPO	YZ	8172607
308979	1053	1995-04-07	VYDAJ	PREVOD NA UCET	1043	29945	SIPO	YZ	8172607
308980	1053	1995-05-07	VYDAJ	PREVOD NA UCET	1043	31579	SIPO	YZ	8172607
308981	1053	1995-06-07	VYDAJ	PREVOD NA UCET	1043	30215	SIPO	YZ	8172607
308982	1053	1995-07-07	VYDAJ	PREVOD NA UCET	1043	15359	SIPO	YZ	8172607
308983	1053	1995-08-07	VYDAJ	PREVOD NA UCET	1043	22041	SIPO	YZ	8172607
308984	1053	1995-09-07	VYDAJ	PREVOD NA UCET	1043	24743	SIPO	YZ	8172607
308985	1053	1995-10-07	VYDAJ	PREVOD NA UCET	1043	18486	SIPO	YZ	8172607
308986	1053	1995-11-07	VYDAJ	PREVOD NA UCET	1043	21574	SIPO	YZ	8172607
308987	1053	1995-12-07	VYDAJ	PREVOD NA UCET	1043	17622	SIPO	YZ	8172607
308988	1053	1996-01-07	VYDAJ	PREVOD NA UCET	1043	24510	SIPO	YZ	8172607
308989	1053	1996-02-07	VYDAJ	PREVOD NA UCET	1043	11634	SIPO	YZ	8172607
308990	1053	1996-03-07	VYDAJ	PREVOD NA UCET	1043	14992	SIPO	YZ	8172607
308991	1053	1996-04-07	VYDAJ	PREVOD NA UCET	1043	16561	SIPO	YZ	8172607
308992	1053	1996-05-07	VYDAJ	PREVOD NA UCET	1043	16932	SIPO	YZ	8172607
308993	1053	1996-06-07	VYDAJ	PREVOD NA UCET	1043	18107	SIPO	YZ	8172607
308994	1053	1996-07-07	VYDAJ	PREVOD NA UCET	1043	17977	SIPO	YZ	8172607
308995	1053	1996-08-07	VYDAJ	PREVOD NA UCET	1043	15847	SIPO	YZ	8172607
308996	1053	1996-09-07	VYDAJ	PREVOD NA UCET	1043	17116	SIPO	YZ	8172607
308997	1053	1996-10-07	VYDAJ	PREVOD NA UCET	1043	22802	SIPO	YZ	8172607
308998	1053	1996-11-07	VYDAJ	PREVOD NA UCET	1043	11162	SIPO	YZ	8172607
308999	1053	1996-12-07	VYDAJ	PREVOD NA UCET	1043	15587	SIPO	YZ	8172607
309000	1053	1997-01-07	VYDAJ	PREVOD NA UCET	1043	22990	SIPO	YZ	8172607
309001	1053	1997-02-07	VYDAJ	PREVOD NA UCET	1043	10834	SIPO	YZ	8172607
309002	1053	1997-03-07	VYDAJ	PREVOD NA UCET	1043	22210	SIPO	YZ	8172607
309003	1053	1997-04-07	VYDAJ	PREVOD NA UCET	1043	28820	SIPO	YZ	8172607
309004	1053	1997-05-07	VYDAJ	PREVOD NA UCET	1043	27332	SIPO	YZ	8172607
309005	1053	1997-06-07	VYDAJ	PREVOD NA UCET	1043	30051	SIPO	YZ	8172607
309006	1053	1997-07-07	VYDAJ	PREVOD NA UCET	1043	32971	SIPO	YZ	8172607
309007	1053	1997-08-07	VYDAJ	PREVOD NA UCET	1043	18922	SIPO	YZ	8172607
309008	1053	1997-09-07	VYDAJ	PREVOD NA UCET	1043	21822	SIPO	YZ	8172607
309009	1053	1997-10-07	VYDAJ	PREVOD NA UCET	1043	22368	SIPO	YZ	8172607
309010	1053	1997-11-07	VYDAJ	PREVOD NA UCET	1043	25797	SIPO	YZ	8172607
309011	1053	1997-12-07	VYDAJ	PREVOD NA UCET	1043	26017	SIPO	YZ	8172607
309012	1053	1998-01-07	VYDAJ	PREVOD NA UCET	1043	25821	SIPO	YZ	8172607
309013	1053	1998-02-07	VYDAJ	PREVOD NA UCET	1043	22473	SIPO	YZ	8172607
309014	1053	1998-03-07	VYDAJ	PREVOD NA UCET	1043	27235	SIPO	YZ	8172607
309015	1053	1998-04-07	VYDAJ	PREVOD NA UCET	1043	26564	SIPO	YZ	8172607
309016	1053	1998-05-07	VYDAJ	PREVOD NA UCET	1043	28094	SIPO	YZ	8172607
309017	1053	1998-06-07	VYDAJ	PREVOD NA UCET	1043	28928	SIPO	YZ	8172607
309018	1053	1998-07-07	VYDAJ	PREVOD NA UCET	1043	20199	SIPO	YZ	8172607
309019	1053	1998-08-07	VYDAJ	PREVOD NA UCET	1043	17815	SIPO	YZ	8172607
309020	1053	1998-09-07	VYDAJ	PREVOD NA UCET	1043	20005	SIPO	YZ	8172607
309021	1053	1998-10-07	VYDAJ	PREVOD NA UCET	1043	23805	SIPO	YZ	8172607
309022	1053	1998-11-07	VYDAJ	PREVOD NA UCET	1043	23908	SIPO	YZ	8172607
309023	1053	1998-12-07	VYDAJ	PREVOD NA UCET	1043	26921	SIPO	YZ	8172607
309034	1053	1994-11-05	VYDAJ	PREVOD NA UCET	2439	29430	 	YZ	46275836
309035	1053	1994-12-05	VYDAJ	PREVOD NA UCET	2439	29156	 	YZ	46275836
309036	1053	1995-01-05	VYDAJ	PREVOD NA UCET	2439	24246	 	YZ	46275836
309037	1053	1995-02-05	VYDAJ	PREVOD NA UCET	2439	20563	 	YZ	46275836
309038	1053	1995-03-05	VYDAJ	PREVOD NA UCET	2439	28262	 	YZ	46275836
309039	1053	1995-04-05	VYDAJ	PREVOD NA UCET	2439	30988	 	YZ	46275836
309040	1053	1995-05-05	VYDAJ	PREVOD NA UCET	2439	32622	 	YZ	46275836
309041	1053	1995-06-05	VYDAJ	PREVOD NA UCET	2439	31258	 	YZ	46275836
309042	1053	1995-07-05	VYDAJ	PREVOD NA UCET	2439	16402	 	YZ	46275836
309043	1053	1995-08-05	VYDAJ	PREVOD NA UCET	2439	23084	 	YZ	46275836
309044	1053	1995-09-05	VYDAJ	PREVOD NA UCET	2439	25786	 	YZ	46275836
309045	1053	1995-10-05	VYDAJ	PREVOD NA UCET	2439	19529	 	YZ	46275836
309046	1053	1995-11-05	VYDAJ	PREVOD NA UCET	2439	22617	 	YZ	46275836
309047	1053	1995-12-05	VYDAJ	PREVOD NA UCET	2439	18665	 	YZ	46275836
309048	1053	1996-01-05	VYDAJ	PREVOD NA UCET	2439	25553	 	YZ	46275836
309049	1053	1996-02-05	VYDAJ	PREVOD NA UCET	2439	12677	 	YZ	46275836
309050	1053	1996-03-05	VYDAJ	PREVOD NA UCET	2439	16035	 	YZ	46275836
309051	1053	1996-04-05	VYDAJ	PREVOD NA UCET	2439	17604	 	YZ	46275836
309052	1053	1996-05-05	VYDAJ	PREVOD NA UCET	2439	17975	 	YZ	46275836
309053	1053	1996-06-05	VYDAJ	PREVOD NA UCET	2439	19150	 	YZ	46275836
309054	1053	1996-07-05	VYDAJ	PREVOD NA UCET	2439	19020	 	YZ	46275836
309055	1053	1996-08-05	VYDAJ	PREVOD NA UCET	2439	16890	 	YZ	46275836
309056	1053	1996-09-05	VYDAJ	PREVOD NA UCET	2439	18159	 	YZ	46275836
309057	1053	1996-10-05	VYDAJ	PREVOD NA UCET	2439	23845	 	YZ	46275836
309058	1053	1996-11-05	VYDAJ	PREVOD NA UCET	2439	12205	 	YZ	46275836
309059	1053	1996-12-05	VYDAJ	PREVOD NA UCET	2439	16630	 	YZ	46275836
309060	1053	1997-01-05	VYDAJ	PREVOD NA UCET	2439	24033	 	YZ	46275836
309061	1053	1997-02-05	VYDAJ	PREVOD NA UCET	2439	11877	 	YZ	46275836
309062	1053	1997-03-05	VYDAJ	PREVOD NA UCET	2439	23253	 	YZ	46275836
309063	1053	1997-04-05	VYDAJ	PREVOD NA UCET	2439	29863	 	YZ	46275836
309064	1053	1997-05-05	VYDAJ	PREVOD NA UCET	2439	28375	 	YZ	46275836
309065	1053	1997-06-05	VYDAJ	PREVOD NA UCET	2439	31094	 	YZ	46275836
309066	1053	1997-07-05	VYDAJ	PREVOD NA UCET	2439	34014	 	YZ	46275836
309067	1053	1997-08-05	VYDAJ	PREVOD NA UCET	2439	25665	 	YZ	46275836
309068	1053	1997-09-05	VYDAJ	PREVOD NA UCET	2439	26365	 	YZ	46275836
309069	1053	1997-10-05	VYDAJ	PREVOD NA UCET	2439	27111	 	YZ	46275836
309070	1053	1997-11-05	VYDAJ	PREVOD NA UCET	2439	28140	 	YZ	46275836
309071	1053	1997-12-05	VYDAJ	PREVOD NA UCET	2439	30260	 	YZ	46275836
309072	1053	1998-01-05	VYDAJ	PREVOD NA UCET	2439	26864	 	YZ	46275836
309073	1053	1998-02-05	VYDAJ	PREVOD NA UCET	2439	23516	 	YZ	46275836
309074	1053	1998-03-05	VYDAJ	PREVOD NA UCET	2439	28478	 	YZ	46275836
309075	1053	1998-04-05	VYDAJ	PREVOD NA UCET	2439	27607	 	YZ	46275836
309076	1053	1998-05-05	VYDAJ	PREVOD NA UCET	2439	29137	 	YZ	46275836
309077	1053	1998-06-05	VYDAJ	PREVOD NA UCET	2439	29971	 	YZ	46275836
309078	1053	1998-07-05	VYDAJ	PREVOD NA UCET	2439	21242	 	YZ	46275836
309079	1053	1998-08-05	VYDAJ	PREVOD NA UCET	2439	18858	 	YZ	46275836
309080	1053	1998-09-05	VYDAJ	PREVOD NA UCET	2439	21048	 	YZ	46275836
309081	1053	1998-10-05	VYDAJ	PREVOD NA UCET	2439	24848	 	YZ	46275836
309082	1053	1998-11-05	VYDAJ	PREVOD NA UCET	2439	24951	 	YZ	46275836
309083	1053	1998-12-05	VYDAJ	PREVOD NA UCET	2439	27964	 	YZ	46275836
309085	1053	1995-06-14	VYDAJ	VYBER	31840	13053	\N	\N	\N
309088	1053	1998-06-24	VYDAJ	VYBER	13760	29846	\N	\N	\N
309090	1053	1995-01-08	VYDAJ	VYBER	1920	21283	\N	\N	\N
309092	1053	1997-01-24	VYDAJ	VYBER	11840	14235	\N	\N	\N
309093	1053	1998-01-30	VYDAJ	VYBER	4960	22846	\N	\N	\N
309094	1053	1994-12-17	VYDAJ	VYBER	4000	33031	\N	\N	\N
309095	1053	1995-12-01	VYDAJ	VYBER	1760	21104	\N	\N	\N
309096	1053	1996-12-15	VYDAJ	VYBER	3680	27585	\N	\N	\N
309097	1053	1997-12-16	VYDAJ	VYBER	3200	37495	\N	\N	\N
309098	1053	1998-12-12	VYDAJ	VYBER	2880	38719	\N	\N	\N
309105	1053	1995-01-02	VYDAJ	VYBER	600	28245	\N	\N	\N
309106	1053	1995-01-29	VYDAJ	VYBER	2640	22908	\N	\N	\N
309107	1053	1995-01-16	VYDAJ	VYBER	3240	27828	\N	\N	\N
309108	1053	1995-01-19	VYDAJ	VYBER	1800	26028	\N	\N	\N
309109	1053	1995-01-23	VYDAJ	VYBER	2880	25548	\N	\N	\N
309110	1053	1995-01-03	VYDAJ	VYBER	1560	26685	\N	\N	\N
309111	1053	1996-01-13	VYDAJ	VYBER	2400	31895	\N	\N	\N
309112	1053	1996-01-23	VYDAJ	VYBER	2760	18275	\N	\N	\N
309113	1053	1996-01-14	VYDAJ	VYBER	1560	30335	\N	\N	\N
309114	1053	1996-01-19	VYDAJ	VYBER	1440	21035	\N	\N	\N
309115	1053	1996-01-18	VYDAJ	VYBER	2160	22475	\N	\N	\N
309116	1053	1996-01-27	VYDAJ	VYBER	3240	15035	\N	\N	\N
309117	1053	1997-01-15	VYDAJ	VYBER	2160	29315	\N	\N	\N
309118	1053	1997-01-13	VYDAJ	VYBER	600	31475	\N	\N	\N
309120	1053	1997-01-16	VYDAJ	VYBER	3240	26075	\N	\N	\N
309122	1053	1997-01-04	VYDAJ	VYBER	1200	26472	\N	\N	\N
309123	1053	1998-01-25	VYDAJ	VYBER	1440	27806	\N	\N	\N
309124	1053	1998-01-02	VYDAJ	VYBER	720	36903	\N	\N	\N
309125	1053	1998-01-14	VYDAJ	VYBER	1560	34046	\N	\N	\N
309126	1053	1998-01-19	VYDAJ	VYBER	600	31166	\N	\N	\N
309127	1053	1998-01-21	VYDAJ	VYBER	1920	29246	\N	\N	\N
309128	1053	1998-01-14	VYDAJ	VYBER	2280	31766	\N	\N	\N
309135	1053	1994-12-10	VYDAJ	VYBER	5760	22353	\N	\N	\N
309136	1053	1995-09-25	VYDAJ	VYBER	5520	21868	\N	\N	\N
309137	1053	1995-11-14	VYDAJ	VYBER	2880	28479	\N	\N	\N
309138	1053	1995-09-24	VYDAJ	VYBER	2040	27388	\N	\N	\N
309139	1053	1996-12-02	VYDAJ	VYBER	2640	19069	\N	\N	\N
309140	1053	1996-10-18	VYDAJ	VYBER	5160	19727	\N	\N	\N
309141	1053	1996-10-18	VYDAJ	VYBER	5160	14567	\N	\N	\N
309143	1053	1997-07-14	VYDAJ	VYBER	5760	27996	\N	\N	\N
309144	1053	1997-09-23	VYDAJ	VYBER	2160	29447	\N	\N	\N
309145	1053	1997-11-21	VYDAJ	VYBER	3000	32582	\N	\N	\N
309146	1053	1997-10-21	VYDAJ	VYBER	1680	30473	\N	\N	\N
309147	1053	1997-04-09	VYDAJ	VYBER	3720	22820	\N	\N	\N
309148	1053	1997-04-09	VYDAJ	VYBER	2280	26540	\N	\N	\N
309149	1053	1998-02-07	VYDAJ	VYBER	1440	21033	\N	\N	\N
309150	1053	1998-10-10	VYDAJ	VYBER	4200	19605	\N	\N	\N
309151	1053	1998-12-30	VYDAJ	VYBER	3000	35719	\N	\N	\N
309152	1053	1998-07-26	VYDAJ	VYBER	4560	23504	\N	\N	\N
309153	1053	1998-07-21	VYDAJ	VYBER	1920	28064	\N	\N	\N
309164	1053	1994-10-31	VYDAJ	VYBER	15	31869	SLUZBY	\N	\N
309165	1053	1994-11-30	VYDAJ	VYBER	15	31595	SLUZBY	\N	\N
309166	1053	1994-12-31	VYDAJ	VYBER	15	28845	SLUZBY	\N	\N
309167	1053	1995-01-31	VYDAJ	VYBER	15	23002	SLUZBY	\N	\N
309168	1053	1995-02-28	VYDAJ	VYBER	15	30701	SLUZBY	\N	\N
309169	1053	1995-03-31	VYDAJ	VYBER	15	33427	SLUZBY	\N	\N
309170	1053	1995-04-30	VYDAJ	VYBER	15	35061	SLUZBY	\N	\N
309171	1053	1995-05-31	VYDAJ	VYBER	15	33697	SLUZBY	\N	\N
309172	1053	1995-06-30	VYDAJ	VYBER	15	18841	SLUZBY	\N	\N
309173	1053	1995-07-31	VYDAJ	VYBER	15	25523	SLUZBY	\N	\N
309174	1053	1995-08-31	VYDAJ	VYBER	15	28225	SLUZBY	\N	\N
309175	1053	1995-09-30	VYDAJ	VYBER	15	21968	SLUZBY	\N	\N
309176	1053	1995-10-31	VYDAJ	VYBER	15	25056	SLUZBY	\N	\N
309177	1053	1995-11-30	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
309178	1053	1995-12-31	VYDAJ	VYBER	15	27992	SLUZBY	\N	\N
309179	1053	1996-01-31	VYDAJ	VYBER	15	15116	SLUZBY	\N	\N
309180	1053	1996-02-29	VYDAJ	VYBER	15	18474	SLUZBY	\N	\N
309181	1053	1996-03-31	VYDAJ	VYBER	15	20043	SLUZBY	\N	\N
309182	1053	1996-04-30	VYDAJ	VYBER	15	20414	SLUZBY	\N	\N
309183	1053	1996-05-31	VYDAJ	VYBER	15	21589	SLUZBY	\N	\N
309184	1053	1996-06-30	VYDAJ	VYBER	15	21459	SLUZBY	\N	\N
309185	1053	1996-07-31	VYDAJ	VYBER	15	19329	SLUZBY	\N	\N
309186	1053	1996-08-31	VYDAJ	VYBER	15	20598	SLUZBY	\N	\N
309187	1053	1996-09-30	VYDAJ	VYBER	15	26284	SLUZBY	\N	\N
309188	1053	1996-10-31	VYDAJ	VYBER	15	14644	SLUZBY	\N	\N
309189	1053	1996-11-30	VYDAJ	VYBER	15	21709	SLUZBY	\N	\N
309190	1053	1996-12-31	VYDAJ	VYBER	15	27672	SLUZBY	\N	\N
309191	1053	1997-01-31	VYDAJ	VYBER	15	14316	SLUZBY	\N	\N
309192	1053	1997-02-28	VYDAJ	VYBER	15	25692	SLUZBY	\N	\N
309193	1053	1997-03-31	VYDAJ	VYBER	15	32302	SLUZBY	\N	\N
309194	1053	1997-04-30	VYDAJ	VYBER	15	30814	SLUZBY	\N	\N
309195	1053	1997-05-31	VYDAJ	VYBER	15	33533	SLUZBY	\N	\N
309196	1053	1997-06-30	VYDAJ	VYBER	15	36453	SLUZBY	\N	\N
309197	1053	1997-07-31	VYDAJ	VYBER	15	28104	SLUZBY	\N	\N
309198	1053	1997-08-31	VYDAJ	VYBER	15	28804	SLUZBY	\N	\N
309199	1053	1997-09-30	VYDAJ	VYBER	15	29550	SLUZBY	\N	\N
309200	1053	1997-10-31	VYDAJ	VYBER	15	30579	SLUZBY	\N	\N
309201	1053	1997-11-30	VYDAJ	VYBER	15	32699	SLUZBY	\N	\N
309202	1053	1997-12-31	VYDAJ	VYBER	15	37623	SLUZBY	\N	\N
309203	1053	1998-01-31	VYDAJ	VYBER	15	22955	SLUZBY	\N	\N
309204	1053	1998-02-28	VYDAJ	VYBER	15	30917	SLUZBY	\N	\N
309205	1053	1998-03-31	VYDAJ	VYBER	15	37146	SLUZBY	\N	\N
309206	1053	1998-04-30	VYDAJ	VYBER	15	36476	SLUZBY	\N	\N
309207	1053	1998-05-31	VYDAJ	VYBER	15	38010	SLUZBY	\N	\N
309208	1053	1998-06-30	VYDAJ	VYBER	15	29981	SLUZBY	\N	\N
309209	1053	1998-07-31	VYDAJ	VYBER	15	23597	SLUZBY	\N	\N
309210	1053	1998-08-31	VYDAJ	VYBER	15	27687	SLUZBY	\N	\N
309211	1053	1998-09-30	VYDAJ	VYBER	15	29887	SLUZBY	\N	\N
309212	1053	1998-10-31	VYDAJ	VYBER	15	29490	SLUZBY	\N	\N
309213	1053	1998-11-30	VYDAJ	VYBER	15	30403	SLUZBY	\N	\N
309214	1053	1994-06-24	PRIJEM	VKLAD	3900	19278	\N	\N	\N
309215	1053	1994-07-24	VYDAJ	VYBER	3400	25682	\N	\N	\N
309216	1053	1994-08-23	VYDAJ	VYBER	6400	29154	\N	\N	\N
309217	1053	1994-09-22	VYDAJ	VYBER	9400	29650	\N	\N	\N
309218	1053	1994-10-22	VYDAJ	VYBER	7800	31757	\N	\N	\N
309219	1053	1994-11-21	VYDAJ	VYBER	6700	31472	\N	\N	\N
309220	1053	1994-12-21	VYDAJ	VYBER	4300	28731	\N	\N	\N
309221	1053	1995-01-20	PRIJEM	VKLAD	2400	28428	\N	\N	\N
309222	1053	1995-02-19	PRIJEM	VKLAD	1300	30605	\N	\N	\N
309223	1053	1995-03-21	VYDAJ	VYBER	3700	33304	\N	\N	\N
309224	1053	1995-04-20	VYDAJ	VYBER	4800	34930	\N	\N	\N
309225	1053	1995-05-20	VYDAJ	VYBER	7800	33564	\N	\N	\N
309226	1053	1995-06-19	PRIJEM	VKLAD	5700	18753	\N	\N	\N
309227	1053	1995-07-19	PRIJEM	VKLAD	300	25444	\N	\N	\N
309228	1053	1995-08-18	VYDAJ	VYBER	3700	28126	\N	\N	\N
309229	1053	1995-09-17	VYDAJ	VYBER	5100	29428	\N	\N	\N
309230	1053	1995-10-17	VYDAJ	VYBER	3300	24971	\N	\N	\N
309231	1053	1995-11-16	VYDAJ	VYBER	5700	22779	\N	\N	\N
309232	1053	1995-12-16	VYDAJ	VYBER	4400	27900	\N	\N	\N
309233	1053	1996-01-15	VYDAJ	VYBER	5700	24635	\N	\N	\N
309234	1053	1996-02-14	VYDAJ	VYBER	3000	18419	\N	\N	\N
309235	1053	1996-03-15	VYDAJ	VYBER	4800	19977	\N	\N	\N
309236	1053	1996-04-14	VYDAJ	VYBER	6000	20346	\N	\N	\N
309237	1053	1996-05-14	VYDAJ	VYBER	5200	21517	\N	\N	\N
309238	1053	1996-06-13	VYDAJ	VYBER	11400	21385	\N	\N	\N
309239	1053	1996-07-13	VYDAJ	VYBER	8500	19262	\N	\N	\N
309240	1053	1996-08-12	VYDAJ	VYBER	5100	20532	\N	\N	\N
309241	1053	1996-09-11	VYDAJ	VYBER	700	16416	\N	\N	\N
309242	1053	1996-10-11	VYDAJ	VYBER	7700	15102	\N	\N	\N
309243	1053	1996-11-10	PRIJEM	VKLAD	700	11862	\N	\N	\N
309244	1053	1996-12-10	PRIJEM	VKLAD	1000	16587	\N	\N	\N
309245	1053	1997-01-09	VYDAJ	VYBER	700	22290	\N	\N	\N
309246	1053	1997-02-08	PRIJEM	VKLAD	5000	15834	\N	\N	\N
309247	1053	1997-03-10	PRIJEM	VKLAD	200	22410	\N	\N	\N
309248	1053	1997-04-09	VYDAJ	VYBER	1900	20920	\N	\N	\N
309249	1053	1997-05-09	VYDAJ	VYBER	3700	23632	\N	\N	\N
309250	1053	1997-06-08	VYDAJ	VYBER	8400	21651	\N	\N	\N
309251	1053	1997-07-08	VYDAJ	VYBER	9000	23971	\N	\N	\N
309252	1053	1997-08-07	VYDAJ	VYBER	5700	19965	\N	\N	\N
309253	1053	1997-09-06	VYDAJ	VYBER	3500	22865	\N	\N	\N
309254	1053	1997-10-06	VYDAJ	VYBER	3700	23411	\N	\N	\N
309255	1053	1997-11-05	VYDAJ	VYBER	1300	26840	\N	\N	\N
309256	1053	1997-12-05	VYDAJ	VYBER	3200	27060	\N	\N	\N
309257	1053	1998-01-04	VYDAJ	VYBER	7600	29303	\N	\N	\N
309258	1053	1998-02-03	PRIJEM	VKLAD	3000	25955	\N	\N	\N
309259	1053	1998-03-05	VYDAJ	VYBER	200	28278	\N	\N	\N
309260	1053	1998-04-04	VYDAJ	VYBER	7100	30046	\N	\N	\N
309261	1053	1998-05-04	VYDAJ	VYBER	4900	31576	\N	\N	\N
309262	1053	1998-06-03	VYDAJ	VYBER	5600	32410	\N	\N	\N
309263	1053	1998-07-03	VYDAJ	VYBER	6300	23681	\N	\N	\N
309264	1053	1998-08-02	VYDAJ	VYBER	2300	21297	\N	\N	\N
309265	1053	1998-09-01	VYDAJ	VYBER	4200	23487	\N	\N	\N
309266	1053	1998-10-01	VYDAJ	VYBER	2600	27287	\N	\N	\N
309267	1053	1998-10-31	VYDAJ	VYBER	2100	27390	\N	\N	\N
309268	1053	1998-11-30	VYDAJ	VYBER	3400	30418	\N	\N	\N
309324	1054	1993-02-19	PRIJEM	VKLAD	800	800	\N	\N	\N
309327	1054	1993-03-12	PRIJEM	VKLAD	9650	10450	\N	\N	\N
309328	1054	1993-04-12	PRIJEM	VKLAD	9650	26926	\N	\N	\N
309329	1054	1993-05-12	PRIJEM	VKLAD	9650	35961	\N	\N	\N
309330	1054	1993-06-12	PRIJEM	VKLAD	14475	46555	\N	\N	\N
309331	1054	1993-07-12	PRIJEM	VKLAD	9650	45344	\N	\N	\N
309332	1054	1993-08-12	PRIJEM	VKLAD	9650	37309	\N	\N	\N
309333	1054	1993-09-12	PRIJEM	VKLAD	9650	38348	\N	\N	\N
309334	1054	1993-10-12	PRIJEM	VKLAD	9650	37372	\N	\N	\N
309335	1054	1993-11-12	PRIJEM	VKLAD	9650	40098	\N	\N	\N
309336	1054	1993-12-12	PRIJEM	VKLAD	14475	38669	\N	\N	\N
309337	1054	1994-01-12	PRIJEM	VKLAD	9650	32710	\N	\N	\N
309338	1054	1994-02-12	PRIJEM	VKLAD	9650	31310	\N	\N	\N
309339	1054	1994-03-12	PRIJEM	VKLAD	9650	34909	\N	\N	\N
309340	1054	1994-04-12	PRIJEM	VKLAD	9650	32655	\N	\N	\N
309341	1054	1994-05-12	PRIJEM	VKLAD	9650	32746	\N	\N	\N
309342	1054	1994-06-12	PRIJEM	VKLAD	14475	41487	\N	\N	\N
309343	1054	1994-07-12	PRIJEM	VKLAD	9650	33235	\N	\N	\N
309344	1054	1994-08-12	PRIJEM	VKLAD	9650	36040	\N	\N	\N
309345	1054	1994-09-12	PRIJEM	VKLAD	9650	37955	\N	\N	\N
309346	1054	1994-10-12	PRIJEM	VKLAD	9650	39796	\N	\N	\N
309347	1054	1994-11-12	PRIJEM	VKLAD	9650	36815	\N	\N	\N
309348	1054	1994-12-12	PRIJEM	VKLAD	14475	41306	\N	\N	\N
309349	1054	1995-01-12	PRIJEM	VKLAD	9650	40110	\N	\N	\N
309350	1054	1995-02-12	PRIJEM	VKLAD	9650	37569	\N	\N	\N
309351	1054	1995-03-12	PRIJEM	VKLAD	9650	39005	\N	\N	\N
309352	1054	1995-04-12	PRIJEM	VKLAD	9650	37844	\N	\N	\N
309353	1054	1995-05-12	PRIJEM	VKLAD	9650	37682	\N	\N	\N
309354	1054	1995-06-12	PRIJEM	VKLAD	14475	43043	\N	\N	\N
309355	1054	1995-07-12	PRIJEM	VKLAD	9650	33787	\N	\N	\N
309356	1054	1995-08-12	PRIJEM	VKLAD	9650	34165	\N	\N	\N
309357	1054	1995-09-12	PRIJEM	VKLAD	9650	33781	\N	\N	\N
309358	1054	1995-10-12	PRIJEM	VKLAD	9650	39297	\N	\N	\N
309359	1054	1995-11-12	PRIJEM	VKLAD	9650	39020	\N	\N	\N
309360	1054	1995-12-12	PRIJEM	VKLAD	14475	43992	\N	\N	\N
309361	1054	1996-01-12	PRIJEM	VKLAD	9650	30257	\N	\N	\N
309362	1054	1996-02-12	PRIJEM	VKLAD	9650	27737	\N	\N	\N
309363	1054	1996-03-12	PRIJEM	VKLAD	9650	32423	\N	\N	\N
309364	1054	1996-04-12	PRIJEM	VKLAD	9650	36861	\N	\N	\N
309365	1054	1996-05-12	PRIJEM	VKLAD	9650	29639	\N	\N	\N
309366	1054	1996-06-12	PRIJEM	VKLAD	14475	37807	\N	\N	\N
309367	1054	1996-07-12	PRIJEM	VKLAD	9650	30567	\N	\N	\N
309368	1054	1996-08-12	PRIJEM	VKLAD	9650	35166	\N	\N	\N
309369	1054	1996-09-12	PRIJEM	VKLAD	9650	39096	\N	\N	\N
309370	1054	1996-10-12	PRIJEM	VKLAD	9650	39932	\N	\N	\N
309371	1054	1996-11-12	PRIJEM	VKLAD	9650	38048	\N	\N	\N
309372	1054	1996-12-12	PRIJEM	VKLAD	14475	43573	\N	\N	\N
309373	1054	1997-01-12	PRIJEM	VKLAD	9650	27915	\N	\N	\N
309374	1054	1997-02-12	PRIJEM	VKLAD	9650	27400	\N	\N	\N
309375	1054	1997-03-12	PRIJEM	VKLAD	9650	31384	\N	\N	\N
309376	1054	1997-04-12	PRIJEM	VKLAD	9650	29784	\N	\N	\N
309377	1054	1997-05-12	PRIJEM	VKLAD	9650	32077	\N	\N	\N
309378	1054	1997-06-12	PRIJEM	VKLAD	14475	38605	\N	\N	\N
309379	1054	1997-07-12	PRIJEM	VKLAD	9650	40627	\N	\N	\N
309380	1054	1997-08-12	PRIJEM	VKLAD	9650	41465	\N	\N	\N
309381	1054	1997-09-12	PRIJEM	VKLAD	9650	42418	\N	\N	\N
309382	1054	1997-10-12	PRIJEM	VKLAD	9650	42862	\N	\N	\N
309383	1054	1997-11-12	PRIJEM	VKLAD	9650	40613	\N	\N	\N
309384	1054	1997-12-12	PRIJEM	VKLAD	14475	44512	\N	\N	\N
309385	1054	1998-01-12	PRIJEM	VKLAD	9650	34595	\N	\N	\N
309386	1054	1998-02-12	PRIJEM	VKLAD	9650	27376	\N	\N	\N
309387	1054	1998-03-12	PRIJEM	VKLAD	9650	26977	\N	\N	\N
309388	1054	1998-04-12	PRIJEM	VKLAD	9650	27668	\N	\N	\N
309389	1054	1998-05-12	PRIJEM	VKLAD	9650	32260	\N	\N	\N
309390	1054	1998-06-12	PRIJEM	VKLAD	14475	35026	\N	\N	\N
309391	1054	1998-07-12	PRIJEM	VKLAD	9650	30068	\N	\N	\N
309392	1054	1998-08-12	PRIJEM	VKLAD	9650	27252	\N	\N	\N
309393	1054	1998-09-12	PRIJEM	VKLAD	9650	24932	\N	\N	\N
309394	1054	1998-10-12	PRIJEM	VKLAD	9650	29904	\N	\N	\N
309395	1054	1998-11-12	PRIJEM	VKLAD	9650	34305	\N	\N	\N
309396	1054	1998-12-12	PRIJEM	VKLAD	14475	30668	\N	\N	\N
309403	1054	1993-07-12	VYDAJ	PREVOD NA UCET	4736	40608	SIPO	IJ	38208055
309404	1054	1993-08-12	VYDAJ	PREVOD NA UCET	4736	32573	SIPO	IJ	38208055
309405	1054	1993-09-12	VYDAJ	PREVOD NA UCET	4736	33612	SIPO	IJ	38208055
309406	1054	1993-10-12	VYDAJ	PREVOD NA UCET	4736	32636	SIPO	IJ	38208055
309407	1054	1993-11-12	VYDAJ	PREVOD NA UCET	4736	35362	SIPO	IJ	38208055
309408	1054	1993-12-12	VYDAJ	PREVOD NA UCET	4736	33933	SIPO	IJ	38208055
309409	1054	1994-01-12	VYDAJ	PREVOD NA UCET	4736	27974	SIPO	IJ	38208055
309410	1054	1994-02-12	VYDAJ	PREVOD NA UCET	4736	26574	SIPO	IJ	38208055
309411	1054	1994-03-12	VYDAJ	PREVOD NA UCET	4736	30173	SIPO	IJ	38208055
309412	1054	1994-04-12	VYDAJ	PREVOD NA UCET	4736	27919	SIPO	IJ	38208055
309413	1054	1994-05-12	VYDAJ	PREVOD NA UCET	4736	28010	SIPO	IJ	38208055
309414	1054	1994-06-12	VYDAJ	PREVOD NA UCET	4736	36751	SIPO	IJ	38208055
309415	1054	1994-07-12	VYDAJ	PREVOD NA UCET	4736	28499	SIPO	IJ	38208055
309416	1054	1994-08-12	VYDAJ	PREVOD NA UCET	4736	31304	SIPO	IJ	38208055
309417	1054	1994-09-12	VYDAJ	PREVOD NA UCET	4736	33219	SIPO	IJ	38208055
309418	1054	1994-10-12	VYDAJ	PREVOD NA UCET	4736	35060	SIPO	IJ	38208055
309419	1054	1994-11-12	VYDAJ	PREVOD NA UCET	4736	32079	SIPO	IJ	38208055
309420	1054	1994-12-12	VYDAJ	PREVOD NA UCET	4736	36570	SIPO	IJ	38208055
309421	1054	1995-01-12	VYDAJ	PREVOD NA UCET	4736	35374	SIPO	IJ	38208055
309422	1054	1995-02-12	VYDAJ	PREVOD NA UCET	4736	32833	SIPO	IJ	38208055
309423	1054	1995-03-12	VYDAJ	PREVOD NA UCET	4736	34269	SIPO	IJ	38208055
309424	1054	1995-04-12	VYDAJ	PREVOD NA UCET	4736	33108	SIPO	IJ	38208055
309425	1054	1995-05-12	VYDAJ	PREVOD NA UCET	4736	32946	SIPO	IJ	38208055
309426	1054	1995-06-12	VYDAJ	PREVOD NA UCET	4736	38307	SIPO	IJ	38208055
309427	1054	1995-07-12	VYDAJ	PREVOD NA UCET	4736	27611	SIPO	IJ	38208055
309428	1054	1995-08-12	VYDAJ	PREVOD NA UCET	4736	29429	SIPO	IJ	38208055
309429	1054	1995-09-12	VYDAJ	PREVOD NA UCET	4736	29045	SIPO	IJ	38208055
309430	1054	1995-10-12	VYDAJ	PREVOD NA UCET	4736	34561	SIPO	IJ	38208055
309431	1054	1995-11-12	VYDAJ	PREVOD NA UCET	4736	34284	SIPO	IJ	38208055
309432	1054	1995-12-12	VYDAJ	PREVOD NA UCET	4736	39256	SIPO	IJ	38208055
309433	1054	1996-01-12	VYDAJ	PREVOD NA UCET	4736	25521	SIPO	IJ	38208055
309434	1054	1996-02-12	VYDAJ	PREVOD NA UCET	4736	23001	SIPO	IJ	38208055
309435	1054	1996-03-12	VYDAJ	PREVOD NA UCET	4736	27687	SIPO	IJ	38208055
309436	1054	1996-04-12	VYDAJ	PREVOD NA UCET	4736	32125	SIPO	IJ	38208055
309437	1054	1996-05-12	VYDAJ	PREVOD NA UCET	4736	24903	SIPO	IJ	38208055
309438	1054	1996-06-12	VYDAJ	PREVOD NA UCET	4736	33071	SIPO	IJ	38208055
309439	1054	1996-07-12	VYDAJ	PREVOD NA UCET	4736	25831	SIPO	IJ	38208055
309440	1054	1996-08-12	VYDAJ	PREVOD NA UCET	4736	30430	SIPO	IJ	38208055
309441	1054	1996-09-12	VYDAJ	PREVOD NA UCET	4736	34360	SIPO	IJ	38208055
309442	1054	1996-10-12	VYDAJ	PREVOD NA UCET	4736	35196	SIPO	IJ	38208055
309443	1054	1996-11-12	VYDAJ	PREVOD NA UCET	4736	33312	SIPO	IJ	38208055
309444	1054	1996-12-12	VYDAJ	PREVOD NA UCET	4736	38837	SIPO	IJ	38208055
309445	1054	1997-01-12	VYDAJ	PREVOD NA UCET	4736	23179	SIPO	IJ	38208055
309446	1054	1997-02-12	VYDAJ	PREVOD NA UCET	4736	22664	SIPO	IJ	38208055
309447	1054	1997-03-12	VYDAJ	PREVOD NA UCET	4736	26648	SIPO	IJ	38208055
309448	1054	1997-04-12	VYDAJ	PREVOD NA UCET	4736	25048	SIPO	IJ	38208055
309449	1054	1997-05-12	VYDAJ	PREVOD NA UCET	4736	27341	SIPO	IJ	38208055
309450	1054	1997-06-12	VYDAJ	PREVOD NA UCET	4736	33869	SIPO	IJ	38208055
309451	1054	1997-07-12	VYDAJ	PREVOD NA UCET	4736	35891	SIPO	IJ	38208055
309452	1054	1997-08-12	VYDAJ	PREVOD NA UCET	4736	36729	SIPO	IJ	38208055
309453	1054	1997-09-12	VYDAJ	PREVOD NA UCET	4736	37682	SIPO	IJ	38208055
309454	1054	1997-10-12	VYDAJ	PREVOD NA UCET	4736	38126	SIPO	IJ	38208055
309455	1054	1997-11-12	VYDAJ	PREVOD NA UCET	4736	30717	SIPO	IJ	38208055
309456	1054	1997-12-12	VYDAJ	PREVOD NA UCET	4736	39776	SIPO	IJ	38208055
309457	1054	1998-01-12	VYDAJ	PREVOD NA UCET	4736	29859	SIPO	IJ	38208055
309458	1054	1998-02-12	VYDAJ	PREVOD NA UCET	4736	22640	SIPO	IJ	38208055
309459	1054	1998-03-12	VYDAJ	PREVOD NA UCET	4736	22241	SIPO	IJ	38208055
309460	1054	1998-04-12	VYDAJ	PREVOD NA UCET	4736	22932	SIPO	IJ	38208055
309461	1054	1998-05-12	VYDAJ	PREVOD NA UCET	4736	27524	SIPO	IJ	38208055
309462	1054	1998-06-12	VYDAJ	PREVOD NA UCET	4736	30290	SIPO	IJ	38208055
309463	1054	1998-07-12	VYDAJ	PREVOD NA UCET	4736	25332	SIPO	IJ	38208055
309464	1054	1998-08-12	VYDAJ	PREVOD NA UCET	4736	22516	SIPO	IJ	38208055
309465	1054	1998-09-12	VYDAJ	PREVOD NA UCET	4736	20196	SIPO	IJ	38208055
309466	1054	1998-10-12	VYDAJ	PREVOD NA UCET	4736	25168	SIPO	IJ	38208055
309467	1054	1998-11-12	VYDAJ	PREVOD NA UCET	4736	29569	SIPO	IJ	38208055
309468	1054	1998-12-12	VYDAJ	PREVOD NA UCET	4736	25932	SIPO	IJ	38208055
309470	1054	1994-06-14	VYDAJ	VYBER	18560	23491	\N	\N	\N
309471	1054	1995-06-25	VYDAJ	VYBER	18400	19907	\N	\N	\N
309472	1054	1996-06-25	VYDAJ	VYBER	12160	20911	\N	\N	\N
309475	1054	1993-12-01	VYDAJ	VYBER	3680	24194	\N	\N	\N
309476	1054	1994-12-02	VYDAJ	VYBER	1760	30431	\N	\N	\N
309477	1054	1995-12-16	VYDAJ	VYBER	4640	34616	\N	\N	\N
309478	1054	1996-12-05	VYDAJ	VYBER	2240	29098	\N	\N	\N
309479	1054	1997-12-22	VYDAJ	VYBER	3360	36416	\N	\N	\N
309480	1054	1998-12-15	VYDAJ	VYBER	1600	24332	\N	\N	\N
309487	1054	1994-01-10	VYDAJ	VYBER	1200	23060	\N	\N	\N
309488	1054	1994-01-10	VYDAJ	VYBER	2040	24260	\N	\N	\N
309489	1054	1994-01-18	VYDAJ	VYBER	720	21574	\N	\N	\N
309490	1054	1994-01-09	VYDAJ	VYBER	1440	26300	\N	\N	\N
309491	1054	1994-01-13	VYDAJ	VYBER	3480	24494	\N	\N	\N
309492	1054	1994-01-16	VYDAJ	VYBER	1200	22294	\N	\N	\N
309493	1054	1995-01-18	VYDAJ	VYBER	2520	29974	\N	\N	\N
309494	1054	1995-01-05	VYDAJ	VYBER	2400	34300	\N	\N	\N
309495	1054	1995-01-28	VYDAJ	VYBER	2640	27334	\N	\N	\N
309496	1054	1995-01-30	VYDAJ	VYBER	1440	25894	\N	\N	\N
309497	1054	1995-01-12	VYDAJ	VYBER	2880	32494	\N	\N	\N
309498	1054	1995-01-11	VYDAJ	VYBER	1440	30460	\N	\N	\N
309499	1054	1996-01-22	VYDAJ	VYBER	3120	22401	\N	\N	\N
309500	1054	1996-01-10	VYDAJ	VYBER	2520	20607	\N	\N	\N
309501	1054	1996-01-30	VYDAJ	VYBER	3240	17601	\N	\N	\N
309502	1054	1996-01-01	VYDAJ	VYBER	3000	31747	\N	\N	\N
309503	1054	1996-01-02	VYDAJ	VYBER	2280	29467	\N	\N	\N
309504	1054	1996-01-09	VYDAJ	VYBER	3240	23127	\N	\N	\N
309505	1054	1997-01-05	VYDAJ	VYBER	1560	24265	\N	\N	\N
309506	1054	1997-01-19	VYDAJ	VYBER	2160	19939	\N	\N	\N
309507	1054	1997-01-07	VYDAJ	VYBER	3120	21145	\N	\N	\N
309508	1054	1997-01-08	VYDAJ	VYBER	2880	18265	\N	\N	\N
309509	1054	1997-01-25	VYDAJ	VYBER	2160	17779	\N	\N	\N
309510	1054	1997-01-16	VYDAJ	VYBER	1080	22099	\N	\N	\N
309512	1054	1998-01-17	VYDAJ	VYBER	2280	24459	\N	\N	\N
309513	1054	1998-01-17	VYDAJ	VYBER	3120	26739	\N	\N	\N
309514	1054	1998-01-08	VYDAJ	VYBER	1680	24945	\N	\N	\N
309515	1054	1998-01-25	VYDAJ	VYBER	2520	17639	\N	\N	\N
309516	1054	1998-01-07	VYDAJ	VYBER	3120	26625	\N	\N	\N
309519	1054	1993-07-18	VYDAJ	VYBER	2400	38208	\N	\N	\N
309520	1054	1993-07-25	VYDAJ	VYBER	4080	27528	\N	\N	\N
309521	1054	1993-08-13	VYDAJ	VYBER	2280	30293	\N	\N	\N
309524	1054	1994-10-26	VYDAJ	VYBER	1200	27160	\N	\N	\N
309525	1054	1994-03-22	VYDAJ	VYBER	4560	22913	\N	\N	\N
309526	1054	1994-05-07	VYDAJ	VYBER	5520	23096	\N	\N	\N
309527	1054	1995-10-29	VYDAJ	VYBER	4920	29641	\N	\N	\N
309528	1054	1995-07-12	VYDAJ	VYBER	1440	32347	\N	\N	\N
309529	1054	1995-04-09	VYDAJ	VYBER	5400	28994	\N	\N	\N
309530	1054	1995-08-23	VYDAJ	VYBER	3000	26429	\N	\N	\N
309531	1054	1996-12-25	VYDAJ	VYBER	4440	34397	\N	\N	\N
309532	1054	1996-10-18	VYDAJ	VYBER	3720	31476	\N	\N	\N
309533	1054	1996-05-11	VYDAJ	VYBER	5160	19989	\N	\N	\N
309534	1054	1996-04-19	VYDAJ	VYBER	5880	26245	\N	\N	\N
309535	1054	1996-06-04	VYDAJ	VYBER	960	23332	\N	\N	\N
309536	1054	1996-03-30	VYDAJ	VYBER	1680	26007	\N	\N	\N
309537	1054	1996-01-28	VYDAJ	VYBER	1560	20841	\N	\N	\N
309538	1054	1997-08-17	VYDAJ	VYBER	2280	32049	\N	\N	\N
309539	1054	1997-11-12	VYDAJ	VYBER	5160	35453	\N	\N	\N
309540	1054	1997-08-16	VYDAJ	VYBER	2400	34329	\N	\N	\N
309542	1054	1998-10-25	VYDAJ	VYBER	600	24568	\N	\N	\N
309543	1054	1998-06-14	VYDAJ	VYBER	1560	28730	\N	\N	\N
309544	1054	1998-03-01	VYDAJ	VYBER	3480	17327	\N	\N	\N
309545	1054	1998-06-10	VYDAJ	VYBER	3960	20551	\N	\N	\N
309547	1054	1998-11-20	VYDAJ	VYBER	1560	16109	\N	\N	\N
309555	1054	1993-07-31	VYDAJ	VYBER	15	27659	SLUZBY	\N	\N
309556	1054	1993-08-31	VYDAJ	VYBER	15	28698	SLUZBY	\N	\N
309557	1054	1993-09-30	VYDAJ	VYBER	15	27722	SLUZBY	\N	\N
309558	1054	1993-10-31	VYDAJ	VYBER	15	30448	SLUZBY	\N	\N
309559	1054	1993-11-30	VYDAJ	VYBER	15	27874	SLUZBY	\N	\N
309560	1054	1993-12-31	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
309561	1054	1994-01-31	VYDAJ	VYBER	15	21660	SLUZBY	\N	\N
309562	1054	1994-02-28	VYDAJ	VYBER	15	25259	SLUZBY	\N	\N
309563	1054	1994-03-31	VYDAJ	VYBER	15	23005	SLUZBY	\N	\N
309564	1054	1994-04-30	VYDAJ	VYBER	15	28616	SLUZBY	\N	\N
309565	1054	1994-05-31	VYDAJ	VYBER	15	27012	SLUZBY	\N	\N
309566	1054	1994-06-30	VYDAJ	VYBER	15	23585	SLUZBY	\N	\N
309567	1054	1994-07-31	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
309568	1054	1994-08-31	VYDAJ	VYBER	15	28305	SLUZBY	\N	\N
309569	1054	1994-09-30	VYDAJ	VYBER	15	30146	SLUZBY	\N	\N
309570	1054	1994-10-31	VYDAJ	VYBER	15	27265	SLUZBY	\N	\N
309571	1054	1994-11-30	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
309572	1054	1994-12-31	VYDAJ	VYBER	15	36700	SLUZBY	\N	\N
309573	1054	1995-01-31	VYDAJ	VYBER	15	26019	SLUZBY	\N	\N
309574	1054	1995-02-28	VYDAJ	VYBER	15	32955	SLUZBY	\N	\N
309575	1054	1995-03-31	VYDAJ	VYBER	15	34394	SLUZBY	\N	\N
309576	1054	1995-04-30	VYDAJ	VYBER	15	33232	SLUZBY	\N	\N
309577	1054	1995-05-31	VYDAJ	VYBER	15	33068	SLUZBY	\N	\N
309578	1054	1995-06-30	VYDAJ	VYBER	15	20037	SLUZBY	\N	\N
309579	1054	1995-07-31	VYDAJ	VYBER	15	27715	SLUZBY	\N	\N
309580	1054	1995-08-31	VYDAJ	VYBER	15	26531	SLUZBY	\N	\N
309581	1054	1995-09-30	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
309582	1054	1995-10-31	VYDAJ	VYBER	15	29770	SLUZBY	\N	\N
309583	1054	1995-11-30	VYDAJ	VYBER	15	34417	SLUZBY	\N	\N
309584	1054	1995-12-31	VYDAJ	VYBER	15	34747	SLUZBY	\N	\N
309585	1054	1996-01-31	VYDAJ	VYBER	15	17687	SLUZBY	\N	\N
309586	1054	1996-02-29	VYDAJ	VYBER	15	23073	SLUZBY	\N	\N
309587	1054	1996-03-31	VYDAJ	VYBER	15	26111	SLUZBY	\N	\N
309588	1054	1996-04-30	VYDAJ	VYBER	15	26349	SLUZBY	\N	\N
309589	1054	1996-05-31	VYDAJ	VYBER	15	24992	SLUZBY	\N	\N
309590	1054	1996-06-30	VYDAJ	VYBER	15	21017	SLUZBY	\N	\N
309591	1054	1996-07-31	VYDAJ	VYBER	15	25916	SLUZBY	\N	\N
309592	1054	1996-08-31	VYDAJ	VYBER	15	30546	SLUZBY	\N	\N
309593	1054	1996-09-30	VYDAJ	VYBER	15	34482	SLUZBY	\N	\N
309594	1054	1996-10-31	VYDAJ	VYBER	15	28398	SLUZBY	\N	\N
309595	1054	1996-11-30	VYDAJ	VYBER	15	31338	SLUZBY	\N	\N
309596	1054	1996-12-31	VYDAJ	VYBER	15	25825	SLUZBY	\N	\N
309597	1054	1997-01-31	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
309598	1054	1997-02-28	VYDAJ	VYBER	15	22734	SLUZBY	\N	\N
309599	1054	1997-03-31	VYDAJ	VYBER	15	20134	SLUZBY	\N	\N
309600	1054	1997-04-30	VYDAJ	VYBER	15	22427	SLUZBY	\N	\N
309601	1054	1997-05-31	VYDAJ	VYBER	15	24130	SLUZBY	\N	\N
309602	1054	1997-06-30	VYDAJ	VYBER	15	30977	SLUZBY	\N	\N
309603	1054	1997-07-31	VYDAJ	VYBER	15	31815	SLUZBY	\N	\N
309604	1054	1997-08-31	VYDAJ	VYBER	15	32768	SLUZBY	\N	\N
309605	1054	1997-09-30	VYDAJ	VYBER	15	33212	SLUZBY	\N	\N
309606	1054	1997-10-31	VYDAJ	VYBER	15	30963	SLUZBY	\N	\N
309607	1054	1997-11-30	VYDAJ	VYBER	15	30037	SLUZBY	\N	\N
309608	1054	1997-12-31	VYDAJ	VYBER	15	29745	SLUZBY	\N	\N
309609	1054	1998-01-31	VYDAJ	VYBER	15	17726	SLUZBY	\N	\N
309610	1054	1998-02-28	VYDAJ	VYBER	15	20807	SLUZBY	\N	\N
309611	1054	1998-03-31	VYDAJ	VYBER	15	18018	SLUZBY	\N	\N
309612	1054	1998-04-30	VYDAJ	VYBER	15	22610	SLUZBY	\N	\N
309613	1054	1998-05-31	VYDAJ	VYBER	15	24511	SLUZBY	\N	\N
309614	1054	1998-06-30	VYDAJ	VYBER	15	20418	SLUZBY	\N	\N
309615	1054	1998-07-31	VYDAJ	VYBER	15	17602	SLUZBY	\N	\N
309616	1054	1998-08-31	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
309617	1054	1998-09-30	VYDAJ	VYBER	15	20254	SLUZBY	\N	\N
309618	1054	1998-10-31	VYDAJ	VYBER	15	24655	SLUZBY	\N	\N
309619	1054	1998-11-30	VYDAJ	VYBER	15	16193	SLUZBY	\N	\N
309620	1054	1993-03-21	PRIJEM	VKLAD	6800	17250	\N	\N	\N
309621	1054	1993-04-20	VYDAJ	VYBER	700	26226	\N	\N	\N
309622	1054	1993-05-20	VYDAJ	VYBER	4000	31961	\N	\N	\N
309623	1054	1993-06-19	VYDAJ	VYBER	11000	35555	\N	\N	\N
309624	1054	1993-07-19	VYDAJ	VYBER	6600	31608	\N	\N	\N
309625	1054	1993-08-18	VYDAJ	VYBER	1700	28593	\N	\N	\N
309626	1054	1993-09-17	VYDAJ	VYBER	6000	27612	\N	\N	\N
309627	1054	1993-10-17	VYDAJ	VYBER	2300	30336	\N	\N	\N
309628	1054	1993-11-16	VYDAJ	VYBER	7600	27762	\N	\N	\N
309629	1054	1993-12-16	VYDAJ	VYBER	6300	27633	\N	\N	\N
309630	1054	1994-01-15	VYDAJ	VYBER	1000	23494	\N	\N	\N
309631	1054	1994-02-14	VYDAJ	VYBER	1400	25174	\N	\N	\N
309632	1054	1994-03-16	VYDAJ	VYBER	2700	27473	\N	\N	\N
309633	1054	1994-04-15	PRIJEM	VKLAD	600	28519	\N	\N	\N
309634	1054	1994-05-15	VYDAJ	VYBER	1100	26910	\N	\N	\N
309635	1054	1994-06-14	PRIJEM	VKLAD	5300	42051	\N	\N	\N
309636	1054	1994-07-14	VYDAJ	VYBER	2200	26299	\N	\N	\N
309637	1054	1994-08-13	VYDAJ	VYBER	3100	28204	\N	\N	\N
309638	1054	1994-09-12	VYDAJ	VYBER	3200	30019	\N	\N	\N
309639	1054	1994-10-12	VYDAJ	VYBER	6700	28360	\N	\N	\N
309640	1054	1994-11-11	VYDAJ	VYBER	100	27165	\N	\N	\N
309641	1054	1994-12-11	VYDAJ	VYBER	3600	26831	\N	\N	\N
309642	1054	1995-01-10	VYDAJ	VYBER	2400	31900	\N	\N	\N
309643	1054	1995-02-09	PRIJEM	VKLAD	1900	27919	\N	\N	\N
309644	1054	1995-03-11	VYDAJ	VYBER	3600	29355	\N	\N	\N
309645	1054	1995-04-10	VYDAJ	VYBER	800	28194	\N	\N	\N
309646	1054	1995-05-10	VYDAJ	VYBER	5200	28032	\N	\N	\N
309647	1054	1995-06-09	VYDAJ	VYBER	4500	28568	\N	\N	\N
309648	1054	1995-07-09	PRIJEM	VKLAD	4100	24137	\N	\N	\N
309649	1054	1995-08-08	VYDAJ	VYBER	3200	24515	\N	\N	\N
309650	1054	1995-09-07	VYDAJ	VYBER	2400	24131	\N	\N	\N
309651	1054	1995-10-07	PRIJEM	VKLAD	500	29647	\N	\N	\N
309652	1054	1995-11-06	VYDAJ	VYBER	400	29370	\N	\N	\N
309653	1054	1995-12-06	VYDAJ	VYBER	4900	29517	\N	\N	\N
309654	1054	1996-01-05	VYDAJ	VYBER	3100	26367	\N	\N	\N
309655	1054	1996-02-04	PRIJEM	VKLAD	400	18087	\N	\N	\N
309656	1054	1996-03-05	VYDAJ	VYBER	300	22773	\N	\N	\N
309657	1054	1996-04-04	PRIJEM	VKLAD	1100	27211	\N	\N	\N
309658	1054	1996-05-04	VYDAJ	VYBER	1200	25149	\N	\N	\N
309659	1054	1996-06-03	VYDAJ	VYBER	700	24292	\N	\N	\N
309660	1054	1996-07-03	VYDAJ	VYBER	100	20917	\N	\N	\N
309661	1054	1996-08-02	VYDAJ	VYBER	400	25516	\N	\N	\N
309662	1054	1996-09-01	VYDAJ	VYBER	1100	29446	\N	\N	\N
309663	1054	1996-10-01	VYDAJ	VYBER	4200	30282	\N	\N	\N
309664	1054	1996-10-31	VYDAJ	VYBER	3200	28412	\N	\N	\N
309665	1054	1996-11-30	VYDAJ	VYBER	2100	31353	\N	\N	\N
309666	1054	1996-12-30	VYDAJ	VYBER	8700	25697	\N	\N	\N
309667	1054	1997-01-29	VYDAJ	VYBER	100	17679	\N	\N	\N
309668	1054	1997-02-28	VYDAJ	VYBER	1000	21734	\N	\N	\N
309669	1054	1997-03-30	VYDAJ	VYBER	6600	20048	\N	\N	\N
309670	1054	1997-04-29	VYDAJ	VYBER	2700	22348	\N	\N	\N
309671	1054	1997-05-29	VYDAJ	VYBER	3300	24041	\N	\N	\N
309672	1054	1997-06-28	VYDAJ	VYBER	3000	30869	\N	\N	\N
309673	1054	1997-07-28	VYDAJ	VYBER	4200	31691	\N	\N	\N
309674	1054	1997-08-27	PRIJEM	VKLAD	600	32649	\N	\N	\N
309675	1054	1997-09-26	VYDAJ	VYBER	4600	33082	\N	\N	\N
309676	1054	1997-10-26	VYDAJ	VYBER	7300	30826	\N	\N	\N
309677	1054	1997-11-25	VYDAJ	VYBER	800	29917	\N	\N	\N
309678	1054	1997-12-25	VYDAJ	VYBER	6800	29616	\N	\N	\N
309679	1054	1998-01-24	VYDAJ	VYBER	4300	20159	\N	\N	\N
309680	1054	1998-02-23	VYDAJ	VYBER	1900	20740	\N	\N	\N
309681	1054	1998-03-25	VYDAJ	VYBER	4300	17941	\N	\N	\N
309682	1054	1998-04-24	VYDAJ	VYBER	400	22532	\N	\N	\N
309683	1054	1998-05-24	VYDAJ	VYBER	3100	24424	\N	\N	\N
309684	1054	1998-06-23	VYDAJ	VYBER	8400	20330	\N	\N	\N
309685	1054	1998-07-23	VYDAJ	VYBER	7800	17532	\N	\N	\N
309686	1054	1998-08-22	VYDAJ	VYBER	7300	15216	\N	\N	\N
309687	1054	1998-11-20	VYDAJ	VYBER	11900	17669	\N	\N	\N
309758	1055	1996-12-12	PRIJEM	VKLAD	600	600	\N	\N	\N
309771	1055	1997-01-06	PRIJEM	PREVOD Z UCTU	3071	3671	\N	EF	91706966
309772	1055	1997-02-06	PRIJEM	PREVOD Z UCTU	3071	6742	\N	EF	91706966
309773	1055	1997-03-06	PRIJEM	PREVOD Z UCTU	3071	9813	\N	EF	91706966
309774	1055	1997-04-06	PRIJEM	PREVOD Z UCTU	3071	12884	\N	EF	91706966
309775	1055	1997-05-06	PRIJEM	PREVOD Z UCTU	3071	15955	\N	EF	91706966
309776	1055	1997-06-06	PRIJEM	PREVOD Z UCTU	3071	17000	\N	EF	91706966
309777	1055	1997-07-06	PRIJEM	PREVOD Z UCTU	3071	18070	\N	EF	91706966
309778	1055	1997-08-06	PRIJEM	PREVOD Z UCTU	3071	19144	\N	EF	91706966
309779	1055	1997-09-06	PRIJEM	PREVOD Z UCTU	3071	19653	\N	EF	91706966
309780	1055	1997-10-06	PRIJEM	PREVOD Z UCTU	3071	20734	\N	EF	91706966
309781	1055	1997-11-06	PRIJEM	PREVOD Z UCTU	3071	20406	\N	EF	91706966
309782	1055	1997-12-06	PRIJEM	PREVOD Z UCTU	3071	21490	\N	EF	91706966
309783	1055	1998-01-06	PRIJEM	PREVOD Z UCTU	3071	21859	\N	EF	91706966
309784	1055	1998-02-06	PRIJEM	PREVOD Z UCTU	3071	19074	\N	EF	91706966
309785	1055	1998-03-06	PRIJEM	PREVOD Z UCTU	3071	20153	\N	EF	91706966
309786	1055	1998-04-06	PRIJEM	PREVOD Z UCTU	3071	21236	\N	EF	91706966
309787	1055	1998-05-06	PRIJEM	PREVOD Z UCTU	3071	22324	\N	EF	91706966
309788	1055	1998-06-06	PRIJEM	PREVOD Z UCTU	3071	23416	\N	EF	91706966
309789	1055	1998-07-06	PRIJEM	PREVOD Z UCTU	3071	18803	\N	EF	91706966
309790	1055	1998-08-06	PRIJEM	PREVOD Z UCTU	3071	19520	\N	EF	91706966
309791	1055	1998-09-06	PRIJEM	PREVOD Z UCTU	3071	20600	\N	EF	91706966
309792	1055	1998-10-06	PRIJEM	PREVOD Z UCTU	3071	21235	\N	EF	91706966
309793	1055	1998-11-06	PRIJEM	PREVOD Z UCTU	3071	21093	\N	EF	91706966
309794	1055	1998-12-06	PRIJEM	PREVOD Z UCTU	3071	21520	\N	EF	91706966
309811	1055	1997-05-13	VYDAJ	PREVOD NA UCET	2047	13908	\N	CD	7340211
309812	1055	1997-06-13	VYDAJ	PREVOD NA UCET	2047	14953	\N	CD	7340211
309813	1055	1997-07-13	VYDAJ	PREVOD NA UCET	2047	16023	\N	CD	7340211
309814	1055	1997-08-13	VYDAJ	PREVOD NA UCET	2047	17097	\N	CD	7340211
309815	1055	1997-09-13	VYDAJ	PREVOD NA UCET	2047	17606	\N	CD	7340211
309816	1055	1997-10-13	VYDAJ	PREVOD NA UCET	2047	18687	\N	CD	7340211
309817	1055	1997-11-13	VYDAJ	PREVOD NA UCET	2047	18359	\N	CD	7340211
309818	1055	1997-12-13	VYDAJ	PREVOD NA UCET	2047	19023	\N	CD	7340211
309819	1055	1998-01-13	VYDAJ	PREVOD NA UCET	2047	18522	\N	CD	7340211
309820	1055	1998-02-13	VYDAJ	PREVOD NA UCET	2047	17027	\N	CD	7340211
309821	1055	1998-03-13	VYDAJ	PREVOD NA UCET	2047	18106	\N	CD	7340211
309822	1055	1998-04-13	VYDAJ	PREVOD NA UCET	2047	19189	\N	CD	7340211
309823	1055	1998-05-13	VYDAJ	PREVOD NA UCET	2047	20277	\N	CD	7340211
309824	1055	1998-06-13	VYDAJ	PREVOD NA UCET	2047	21369	\N	CD	7340211
309825	1055	1998-07-13	VYDAJ	PREVOD NA UCET	2047	16396	\N	CD	7340211
309826	1055	1998-08-13	VYDAJ	PREVOD NA UCET	2047	17473	\N	CD	7340211
309827	1055	1998-09-13	VYDAJ	PREVOD NA UCET	2047	18553	\N	CD	7340211
309828	1055	1998-10-13	VYDAJ	PREVOD NA UCET	2047	19188	\N	CD	7340211
309829	1055	1998-11-13	VYDAJ	PREVOD NA UCET	2047	19046	\N	CD	7340211
309830	1055	1998-12-13	VYDAJ	PREVOD NA UCET	2047	19473	\N	CD	7340211
309833	1055	1998-06-19	VYDAJ	VYBER	4950	16419	\N	\N	\N
309836	1055	1998-01-19	VYDAJ	VYBER	900	16602	\N	\N	\N
309838	1055	1997-12-09	VYDAJ	VYBER	420	21070	\N	\N	\N
309839	1055	1998-12-03	VYDAJ	VYBER	660	18449	\N	\N	\N
309852	1055	1998-01-20	VYDAJ	VYBER	240	16362	\N	\N	\N
309853	1055	1998-01-06	VYDAJ	VYBER	450	21409	\N	\N	\N
309854	1055	1998-01-12	VYDAJ	VYBER	240	20569	\N	\N	\N
309855	1055	1998-01-04	VYDAJ	VYBER	300	18788	\N	\N	\N
309856	1055	1998-01-11	VYDAJ	VYBER	600	20809	\N	\N	\N
309857	1055	1998-01-24	VYDAJ	VYBER	420	15942	\N	\N	\N
309862	1055	1997-08-20	VYDAJ	VYBER	570	16527	\N	\N	\N
309865	1055	1997-10-16	VYDAJ	VYBER	1410	17277	\N	\N	\N
309866	1055	1998-10-16	VYDAJ	VYBER	1230	17958	\N	\N	\N
309867	1055	1998-01-16	VYDAJ	VYBER	1020	17502	\N	\N	\N
309868	1055	1998-06-20	VYDAJ	VYBER	750	15669	\N	\N	\N
309869	1055	1998-07-12	VYDAJ	VYBER	360	18443	\N	\N	\N
309870	1055	1998-10-04	VYDAJ	VYBER	450	18164	\N	\N	\N
309888	1055	1997-05-31	VYDAJ	VYBER	15	13929	SLUZBY	\N	\N
309889	1055	1997-06-30	VYDAJ	VYBER	15	14999	SLUZBY	\N	\N
309890	1055	1997-07-31	VYDAJ	VYBER	15	16073	SLUZBY	\N	\N
309891	1055	1997-08-31	VYDAJ	VYBER	15	16582	SLUZBY	\N	\N
309892	1055	1997-09-30	VYDAJ	VYBER	15	17663	SLUZBY	\N	\N
309893	1055	1997-10-31	VYDAJ	VYBER	15	17335	SLUZBY	\N	\N
309894	1055	1997-11-30	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
309895	1055	1997-12-31	VYDAJ	VYBER	15	19088	SLUZBY	\N	\N
309896	1055	1998-01-31	VYDAJ	VYBER	15	16003	SLUZBY	\N	\N
309897	1055	1998-02-28	VYDAJ	VYBER	15	17082	SLUZBY	\N	\N
309898	1055	1998-03-31	VYDAJ	VYBER	15	18165	SLUZBY	\N	\N
309899	1055	1998-04-30	VYDAJ	VYBER	15	19253	SLUZBY	\N	\N
309900	1055	1998-05-31	VYDAJ	VYBER	15	20345	SLUZBY	\N	\N
309901	1055	1998-06-30	VYDAJ	VYBER	15	15732	SLUZBY	\N	\N
309902	1055	1998-07-31	VYDAJ	VYBER	15	16449	SLUZBY	\N	\N
309903	1055	1998-08-31	VYDAJ	VYBER	15	17529	SLUZBY	\N	\N
309904	1055	1998-09-30	VYDAJ	VYBER	15	18614	SLUZBY	\N	\N
309905	1055	1998-10-31	VYDAJ	VYBER	15	18022	SLUZBY	\N	\N
309906	1055	1998-11-30	VYDAJ	VYBER	15	19109	SLUZBY	\N	\N
309927	1056	1996-12-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
309932	1056	1997-12-17	PRIJEM	VKLAD	9438	25553	\N	\N	\N
309933	1056	1997-07-27	PRIJEM	VKLAD	28539	60578	\N	\N	\N
309934	1056	1997-03-16	PRIJEM	VKLAD	36369	94384	\N	\N	\N
309935	1056	1997-02-12	PRIJEM	VKLAD	47609	58009	\N	\N	\N
309936	1056	1997-08-12	PRIJEM	VKLAD	43228	105251	\N	\N	\N
309937	1056	1997-03-04	PRIJEM	VKLAD	21390	58015	\N	\N	\N
309938	1056	1997-05-19	PRIJEM	VKLAD	5652	40237	\N	\N	\N
309939	1056	1997-07-16	PRIJEM	VKLAD	28724	52639	\N	\N	\N
309940	1056	1997-11-20	PRIJEM	VKLAD	31330	50928	\N	\N	\N
309941	1056	1997-10-17	PRIJEM	VKLAD	31950	53730	\N	\N	\N
309942	1056	1997-06-02	PRIJEM	VKLAD	34463	60622	\N	\N	\N
309943	1056	1997-08-09	PRIJEM	VKLAD	6991	62023	\N	\N	\N
309997	1056	1997-06-07	VYDAJ	PREVOD NA UCET	5692	54930	SIPO	EF	26736420
309998	1056	1997-07-07	VYDAJ	PREVOD NA UCET	5692	23915	SIPO	EF	26736420
309999	1056	1997-08-07	VYDAJ	PREVOD NA UCET	5692	55032	SIPO	EF	26736420
310000	1056	1997-09-07	VYDAJ	PREVOD NA UCET	5692	46010	SIPO	EF	26736420
310001	1056	1997-10-07	VYDAJ	PREVOD NA UCET	5692	21780	SIPO	EF	26736420
310002	1056	1997-11-07	VYDAJ	PREVOD NA UCET	5692	19598	SIPO	EF	26736420
310003	1056	1997-12-07	VYDAJ	PREVOD NA UCET	5692	16115	SIPO	EF	26736420
310004	1056	1998-01-07	VYDAJ	PREVOD NA UCET	5692	8115	SIPO	EF	26736420
310005	1056	1998-02-07	VYDAJ	PREVOD NA UCET	5692	2449	SIPO	EF	26736420
310022	1056	1997-10-19	VYBER	VYBER	3235	38495	\N	\N	\N
310031	1056	1997-06-21	VYBER	VYBER	7474	47456	\N	\N	\N
310033	1056	1997-08-15	VYBER	VYBER	9319	89932	\N	\N	\N
310069	1056	1997-11-21	VYDAJ	VYBER	11400	39528	\N	\N	\N
310072	1056	1997-10-18	VYDAJ	VYBER	12000	41730	\N	\N	\N
310073	1056	1997-08-13	VYDAJ	VYBER	6000	99251	\N	\N	\N
310098	1056	1997-06-30	VYDAJ	VYBER	30	29607	SLUZBY	\N	\N
310099	1056	1997-07-31	VYDAJ	VYBER	30	60724	SLUZBY	\N	\N
310100	1056	1997-08-31	VYDAJ	VYBER	30	51702	SLUZBY	\N	\N
310101	1056	1997-09-30	VYDAJ	VYBER	30	27472	SLUZBY	\N	\N
310102	1056	1997-10-31	VYDAJ	VYBER	30	25290	SLUZBY	\N	\N
310103	1056	1997-11-30	VYDAJ	VYBER	30	21807	SLUZBY	\N	\N
310104	1056	1997-12-31	VYDAJ	VYBER	30	13807	SLUZBY	\N	\N
310105	1056	1998-01-31	VYDAJ	VYBER	30	8141	SLUZBY	\N	\N
310106	1056	1998-02-28	VYDAJ	VYBER	30	2452	SLUZBY	\N	\N
310107	1056	1998-03-31	VYDAJ	VYBER	30	2422	SLUZBY	\N	\N
310108	1056	1998-04-30	VYDAJ	VYBER	30	2412	SLUZBY	\N	\N
310109	1056	1998-05-31	VYDAJ	VYBER	30	2382	SLUZBY	\N	\N
310110	1056	1998-06-30	VYDAJ	VYBER	30	2373	SLUZBY	\N	\N
310111	1056	1998-07-31	VYDAJ	VYBER	30	2353	SLUZBY	\N	\N
310112	1056	1998-08-31	VYDAJ	VYBER	30	2323	SLUZBY	\N	\N
310113	1056	1998-09-30	VYDAJ	VYBER	30	2313	SLUZBY	\N	\N
310114	1056	1998-10-31	VYDAJ	VYBER	30	2283	SLUZBY	\N	\N
310115	1056	1998-11-30	VYDAJ	VYBER	30	2263	SLUZBY	\N	\N
310116	1056	1997-01-27	PRIJEM	VKLAD	9300	10400	\N	\N	\N
310117	1056	1997-02-26	VYDAJ	VYBER	21400	36609	\N	\N	\N
310118	1056	1997-03-28	VYDAJ	VYBER	36000	58384	\N	\N	\N
310119	1056	1997-04-27	VYDAJ	VYBER	24300	34342	\N	\N	\N
310120	1056	1997-05-27	VYDAJ	VYBER	14300	25937	\N	\N	\N
310121	1056	1997-06-26	VYDAJ	VYBER	18000	29456	\N	\N	\N
310122	1056	1997-07-26	VYDAJ	VYBER	20600	32039	\N	\N	\N
310123	1056	1997-08-25	VYDAJ	VYBER	38500	51432	\N	\N	\N
310124	1056	1997-09-24	VYDAJ	VYBER	18700	27310	\N	\N	\N
310125	1056	1997-10-24	VYDAJ	VYBER	13300	25195	\N	\N	\N
310126	1056	1997-11-23	VYDAJ	VYBER	17800	21728	\N	\N	\N
310127	1056	1997-12-23	VYDAJ	VYBER	11800	13753	\N	\N	\N
310149	1057	1993-08-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
310158	1057	1993-09-13	PRIJEM	PREVOD Z UCTU	4636	5636	DUCHOD	WX	16116291
310159	1057	1993-10-13	PRIJEM	PREVOD Z UCTU	4636	10272	DUCHOD	WX	16116291
310160	1057	1993-11-13	PRIJEM	PREVOD Z UCTU	4636	14908	DUCHOD	WX	16116291
310161	1057	1993-12-13	PRIJEM	PREVOD Z UCTU	4636	19544	DUCHOD	WX	16116291
310162	1057	1994-01-13	PRIJEM	PREVOD Z UCTU	4636	24180	DUCHOD	WX	16116291
310163	1057	1994-02-13	PRIJEM	PREVOD Z UCTU	4636	18029	DUCHOD	WX	16116291
310164	1057	1994-03-13	PRIJEM	PREVOD Z UCTU	4636	19627	DUCHOD	WX	16116291
310165	1057	1994-04-13	PRIJEM	PREVOD Z UCTU	4636	21232	DUCHOD	WX	16116291
310166	1057	1994-05-13	PRIJEM	PREVOD Z UCTU	4636	22844	DUCHOD	WX	16116291
310167	1057	1994-06-13	PRIJEM	PREVOD Z UCTU	4636	24455	DUCHOD	WX	16116291
310168	1057	1994-07-13	PRIJEM	PREVOD Z UCTU	4636	26080	DUCHOD	WX	16116291
310169	1057	1994-08-13	PRIJEM	PREVOD Z UCTU	4636	24699	DUCHOD	WX	16116291
310170	1057	1994-09-13	PRIJEM	PREVOD Z UCTU	4636	21596	DUCHOD	WX	16116291
310171	1057	1994-10-13	PRIJEM	PREVOD Z UCTU	4636	19759	DUCHOD	WX	16116291
310172	1057	1994-11-13	PRIJEM	PREVOD Z UCTU	4636	19835	DUCHOD	WX	16116291
310173	1057	1994-12-13	PRIJEM	PREVOD Z UCTU	4636	20883	DUCHOD	WX	16116291
310174	1057	1995-01-13	PRIJEM	PREVOD Z UCTU	4636	17843	DUCHOD	WX	16116291
310175	1057	1995-02-13	PRIJEM	PREVOD Z UCTU	4636	17993	DUCHOD	WX	16116291
310176	1057	1995-03-13	PRIJEM	PREVOD Z UCTU	4636	19583	DUCHOD	WX	16116291
310177	1057	1995-04-13	PRIJEM	PREVOD Z UCTU	4636	19499	DUCHOD	WX	16116291
310178	1057	1995-05-13	PRIJEM	PREVOD Z UCTU	4636	21105	DUCHOD	WX	16116291
310179	1057	1995-06-13	PRIJEM	PREVOD Z UCTU	4636	22708	DUCHOD	WX	16116291
310180	1057	1995-07-13	PRIJEM	PREVOD Z UCTU	4636	21514	DUCHOD	WX	16116291
310181	1057	1995-08-13	PRIJEM	PREVOD Z UCTU	4636	21516	DUCHOD	WX	16116291
310182	1057	1995-09-13	PRIJEM	PREVOD Z UCTU	4636	17825	DUCHOD	WX	16116291
310183	1057	1995-10-13	PRIJEM	PREVOD Z UCTU	4636	17929	DUCHOD	WX	16116291
310184	1057	1995-11-13	PRIJEM	PREVOD Z UCTU	4636	18829	DUCHOD	WX	16116291
310185	1057	1995-12-13	PRIJEM	PREVOD Z UCTU	4636	18047	DUCHOD	WX	16116291
310186	1057	1996-01-13	PRIJEM	PREVOD Z UCTU	4636	18439	DUCHOD	WX	16116291
310187	1057	1996-02-13	PRIJEM	PREVOD Z UCTU	4636	16471	DUCHOD	WX	16116291
310188	1057	1996-03-13	PRIJEM	PREVOD Z UCTU	4636	18058	DUCHOD	WX	16116291
310189	1057	1996-04-13	PRIJEM	PREVOD Z UCTU	4636	19649	DUCHOD	WX	16116291
310190	1057	1996-05-13	PRIJEM	PREVOD Z UCTU	4636	21247	DUCHOD	WX	16116291
310191	1057	1996-06-13	PRIJEM	PREVOD Z UCTU	4636	22858	DUCHOD	WX	16116291
310192	1057	1996-07-13	PRIJEM	PREVOD Z UCTU	4636	22876	DUCHOD	WX	16116291
310193	1057	1996-08-13	PRIJEM	PREVOD Z UCTU	4636	16397	DUCHOD	WX	16116291
310194	1057	1996-09-13	PRIJEM	PREVOD Z UCTU	4636	18002	DUCHOD	WX	16116291
310195	1057	1996-10-13	PRIJEM	PREVOD Z UCTU	4636	18470	DUCHOD	WX	16116291
310196	1057	1996-11-13	PRIJEM	PREVOD Z UCTU	4636	20063	DUCHOD	WX	16116291
310197	1057	1996-12-13	PRIJEM	PREVOD Z UCTU	4636	19179	DUCHOD	WX	16116291
310198	1057	1997-01-13	PRIJEM	PREVOD Z UCTU	4636	19534	DUCHOD	WX	16116291
310199	1057	1997-02-13	PRIJEM	PREVOD Z UCTU	4636	18730	DUCHOD	WX	16116291
310200	1057	1997-03-13	PRIJEM	PREVOD Z UCTU	4636	20323	DUCHOD	WX	16116291
310201	1057	1997-04-13	PRIJEM	PREVOD Z UCTU	4636	21923	DUCHOD	WX	16116291
310202	1057	1997-05-13	PRIJEM	PREVOD Z UCTU	4636	20817	DUCHOD	WX	16116291
310203	1057	1997-06-13	PRIJEM	PREVOD Z UCTU	4636	22430	DUCHOD	WX	16116291
310204	1057	1997-07-13	PRIJEM	PREVOD Z UCTU	4636	20676	DUCHOD	WX	16116291
310205	1057	1997-08-13	PRIJEM	PREVOD Z UCTU	4636	22284	DUCHOD	WX	16116291
310206	1057	1997-09-13	PRIJEM	PREVOD Z UCTU	4636	23900	DUCHOD	WX	16116291
310207	1057	1997-10-13	PRIJEM	PREVOD Z UCTU	4636	23034	DUCHOD	WX	16116291
310208	1057	1997-11-13	PRIJEM	PREVOD Z UCTU	4636	24657	DUCHOD	WX	16116291
310209	1057	1997-12-13	PRIJEM	PREVOD Z UCTU	4636	25924	DUCHOD	WX	16116291
310210	1057	1998-01-13	PRIJEM	PREVOD Z UCTU	4636	26515	DUCHOD	WX	16116291
310211	1057	1998-02-13	PRIJEM	PREVOD Z UCTU	4636	21975	DUCHOD	WX	16116291
310212	1057	1998-03-13	PRIJEM	PREVOD Z UCTU	4636	23581	DUCHOD	WX	16116291
310213	1057	1998-04-13	PRIJEM	PREVOD Z UCTU	4636	24161	DUCHOD	WX	16116291
310214	1057	1998-05-13	PRIJEM	PREVOD Z UCTU	4636	25143	DUCHOD	WX	16116291
310215	1057	1998-06-13	PRIJEM	PREVOD Z UCTU	4636	26764	DUCHOD	WX	16116291
310216	1057	1998-07-13	PRIJEM	PREVOD Z UCTU	4636	24717	DUCHOD	WX	16116291
310217	1057	1998-08-13	PRIJEM	PREVOD Z UCTU	4636	25940	DUCHOD	WX	16116291
310218	1057	1998-09-13	PRIJEM	PREVOD Z UCTU	4636	27563	DUCHOD	WX	16116291
310219	1057	1998-10-13	PRIJEM	PREVOD Z UCTU	4636	29199	DUCHOD	WX	16116291
310220	1057	1998-11-13	PRIJEM	PREVOD Z UCTU	4636	30835	DUCHOD	WX	16116291
310221	1057	1998-12-13	PRIJEM	PREVOD Z UCTU	4636	31485	DUCHOD	WX	16116291
310234	1057	1994-01-13	VYDAJ	PREVOD NA UCET	3090	21090	SIPO	QR	44777083
310235	1057	1994-02-13	VYDAJ	PREVOD NA UCET	3090	14939	SIPO	QR	44777083
310236	1057	1994-03-13	VYDAJ	PREVOD NA UCET	3090	16537	SIPO	QR	44777083
310237	1057	1994-04-13	VYDAJ	PREVOD NA UCET	3090	18142	SIPO	QR	44777083
310238	1057	1994-05-13	VYDAJ	PREVOD NA UCET	3090	19754	SIPO	QR	44777083
310239	1057	1994-06-13	VYDAJ	PREVOD NA UCET	3090	21365	SIPO	QR	44777083
310240	1057	1994-07-13	VYDAJ	PREVOD NA UCET	3090	22990	SIPO	QR	44777083
310241	1057	1994-08-13	VYDAJ	PREVOD NA UCET	3090	21609	SIPO	QR	44777083
310242	1057	1994-09-13	VYDAJ	PREVOD NA UCET	3090	18506	SIPO	QR	44777083
310243	1057	1994-10-13	VYDAJ	PREVOD NA UCET	3090	16669	SIPO	QR	44777083
310244	1057	1994-11-13	VYDAJ	PREVOD NA UCET	3090	16745	SIPO	QR	44777083
310245	1057	1994-12-13	VYDAJ	PREVOD NA UCET	3090	17793	SIPO	QR	44777083
310246	1057	1995-01-13	VYDAJ	PREVOD NA UCET	3090	14753	SIPO	QR	44777083
310247	1057	1995-02-13	VYDAJ	PREVOD NA UCET	3090	14903	SIPO	QR	44777083
310248	1057	1995-03-13	VYDAJ	PREVOD NA UCET	3090	16493	SIPO	QR	44777083
310249	1057	1995-04-13	VYDAJ	PREVOD NA UCET	3090	16409	SIPO	QR	44777083
310250	1057	1995-05-13	VYDAJ	PREVOD NA UCET	3090	18015	SIPO	QR	44777083
310251	1057	1995-06-13	VYDAJ	PREVOD NA UCET	3090	19618	SIPO	QR	44777083
310252	1057	1995-07-13	VYDAJ	PREVOD NA UCET	3090	18424	SIPO	QR	44777083
310253	1057	1995-08-13	VYDAJ	PREVOD NA UCET	3090	18426	SIPO	QR	44777083
310254	1057	1995-09-13	VYDAJ	PREVOD NA UCET	3090	14735	SIPO	QR	44777083
310255	1057	1995-10-13	VYDAJ	PREVOD NA UCET	3090	14839	SIPO	QR	44777083
310256	1057	1995-11-13	VYDAJ	PREVOD NA UCET	3090	15739	SIPO	QR	44777083
310257	1057	1995-12-13	VYDAJ	PREVOD NA UCET	3090	14957	SIPO	QR	44777083
310258	1057	1996-01-13	VYDAJ	PREVOD NA UCET	3090	15349	SIPO	QR	44777083
310259	1057	1996-02-13	VYDAJ	PREVOD NA UCET	3090	13381	SIPO	QR	44777083
310260	1057	1996-03-13	VYDAJ	PREVOD NA UCET	3090	14968	SIPO	QR	44777083
310261	1057	1996-04-13	VYDAJ	PREVOD NA UCET	3090	16559	SIPO	QR	44777083
310262	1057	1996-05-13	VYDAJ	PREVOD NA UCET	3090	18157	SIPO	QR	44777083
310263	1057	1996-06-13	VYDAJ	PREVOD NA UCET	3090	19768	SIPO	QR	44777083
310264	1057	1996-07-13	VYDAJ	PREVOD NA UCET	3090	19786	SIPO	QR	44777083
310265	1057	1996-08-13	VYDAJ	PREVOD NA UCET	3090	13307	SIPO	QR	44777083
310266	1057	1996-09-13	VYDAJ	PREVOD NA UCET	3090	14912	SIPO	QR	44777083
310267	1057	1996-10-13	VYDAJ	PREVOD NA UCET	3090	15380	SIPO	QR	44777083
310268	1057	1996-11-13	VYDAJ	PREVOD NA UCET	3090	16973	SIPO	QR	44777083
310269	1057	1996-12-13	VYDAJ	PREVOD NA UCET	3090	16089	SIPO	QR	44777083
310270	1057	1997-01-13	VYDAJ	PREVOD NA UCET	3090	16444	SIPO	QR	44777083
310271	1057	1997-02-13	VYDAJ	PREVOD NA UCET	3090	15640	SIPO	QR	44777083
310272	1057	1997-03-13	VYDAJ	PREVOD NA UCET	3090	17233	SIPO	QR	44777083
310273	1057	1997-04-13	VYDAJ	PREVOD NA UCET	3090	18833	SIPO	QR	44777083
310274	1057	1997-05-13	VYDAJ	PREVOD NA UCET	3090	17727	SIPO	QR	44777083
310275	1057	1997-06-13	VYDAJ	PREVOD NA UCET	3090	19340	SIPO	QR	44777083
310276	1057	1997-07-13	VYDAJ	PREVOD NA UCET	3090	17586	SIPO	QR	44777083
310277	1057	1997-08-13	VYDAJ	PREVOD NA UCET	3090	19194	SIPO	QR	44777083
310278	1057	1997-09-13	VYDAJ	PREVOD NA UCET	3090	20810	SIPO	QR	44777083
310279	1057	1997-10-13	VYDAJ	PREVOD NA UCET	3090	19944	SIPO	QR	44777083
310280	1057	1997-11-13	VYDAJ	PREVOD NA UCET	3090	21567	SIPO	QR	44777083
310281	1057	1997-12-13	VYDAJ	PREVOD NA UCET	3090	22834	SIPO	QR	44777083
310282	1057	1998-01-13	VYDAJ	PREVOD NA UCET	3090	23425	SIPO	QR	44777083
310283	1057	1998-02-13	VYDAJ	PREVOD NA UCET	3090	18885	SIPO	QR	44777083
310284	1057	1998-03-13	VYDAJ	PREVOD NA UCET	3090	20491	SIPO	QR	44777083
310285	1057	1998-04-13	VYDAJ	PREVOD NA UCET	3090	21071	SIPO	QR	44777083
310286	1057	1998-05-13	VYDAJ	PREVOD NA UCET	3090	22053	SIPO	QR	44777083
310287	1057	1998-06-13	VYDAJ	PREVOD NA UCET	3090	23674	SIPO	QR	44777083
310288	1057	1998-07-13	VYDAJ	PREVOD NA UCET	3090	21627	SIPO	QR	44777083
310289	1057	1998-08-13	VYDAJ	PREVOD NA UCET	3090	22850	SIPO	QR	44777083
310290	1057	1998-09-13	VYDAJ	PREVOD NA UCET	3090	24473	SIPO	QR	44777083
310291	1057	1998-10-13	VYDAJ	PREVOD NA UCET	3090	26109	SIPO	QR	44777083
310292	1057	1998-11-13	VYDAJ	PREVOD NA UCET	3090	27745	SIPO	QR	44777083
310293	1057	1998-12-13	VYDAJ	PREVOD NA UCET	3090	28395	SIPO	QR	44777083
310296	1057	1995-06-19	VYDAJ	VYBER	1800	16818	\N	\N	\N
310301	1057	1994-01-26	VYDAJ	VYBER	4050	15680	\N	\N	\N
310304	1057	1997-01-01	VYDAJ	VYBER	1250	14898	\N	\N	\N
310307	1057	1994-12-08	VYDAJ	VYBER	550	16247	\N	\N	\N
310308	1057	1995-12-07	VYDAJ	VYBER	700	13411	\N	\N	\N
310309	1057	1996-12-08	VYDAJ	VYBER	1450	14543	\N	\N	\N
310310	1057	1997-12-08	VYDAJ	VYBER	350	21288	\N	\N	\N
310311	1057	1998-12-02	VYDAJ	VYBER	1000	26849	\N	\N	\N
310320	1057	1994-01-26	VYDAJ	VYBER	2320	13360	\N	\N	\N
310323	1057	1994-01-16	VYDAJ	VYBER	1360	19730	\N	\N	\N
310324	1057	1995-01-26	VYDAJ	VYBER	720	13313	\N	\N	\N
310325	1057	1995-01-21	VYDAJ	VYBER	720	14033	\N	\N	\N
310326	1057	1995-01-06	VYDAJ	VYBER	880	13207	\N	\N	\N
310328	1057	1995-01-03	VYDAJ	VYBER	480	14087	\N	\N	\N
310330	1057	1996-01-05	VYDAJ	VYBER	1200	13803	\N	\N	\N
310333	1057	1996-01-22	VYDAJ	VYBER	1760	13589	\N	\N	\N
310336	1057	1997-01-24	VYDAJ	VYBER	400	14044	\N	\N	\N
310341	1057	1997-01-13	VYDAJ	VYBER	2000	14444	\N	\N	\N
310342	1057	1998-01-14	VYDAJ	VYBER	640	22785	\N	\N	\N
310343	1057	1998-01-18	VYDAJ	VYBER	640	22145	\N	\N	\N
310344	1057	1998-01-24	VYDAJ	VYBER	1440	20705	\N	\N	\N
310345	1057	1998-01-24	VYDAJ	VYBER	2000	18705	\N	\N	\N
310346	1057	1998-01-10	VYDAJ	VYBER	1040	21879	\N	\N	\N
310347	1057	1998-01-27	VYDAJ	VYBER	1440	17265	\N	\N	\N
310351	1057	1994-10-20	VYDAJ	VYBER	1520	15149	\N	\N	\N
310352	1057	1994-07-18	VYDAJ	VYBER	1200	21790	\N	\N	\N
310353	1057	1994-12-25	VYDAJ	VYBER	2480	14513	\N	\N	\N
310354	1057	1994-09-29	VYDAJ	VYBER	2240	15066	\N	\N	\N
310355	1057	1994-08-19	VYDAJ	VYBER	800	20809	\N	\N	\N
310356	1057	1994-08-19	VYDAJ	VYBER	3920	16889	\N	\N	\N
310359	1057	1995-11-24	VYDAJ	VYBER	1680	14059	\N	\N	\N
310360	1057	1995-08-25	VYDAJ	VYBER	1200	16926	\N	\N	\N
310361	1057	1995-04-02	VYDAJ	VYBER	480	14863	\N	\N	\N
310364	1057	1996-12-01	VYDAJ	VYBER	1040	15993	\N	\N	\N
310366	1057	1996-09-20	VYDAJ	VYBER	1120	13792	\N	\N	\N
310371	1057	1996-07-04	VYDAJ	VYBER	1600	18240	\N	\N	\N
310373	1057	1997-10-07	VYDAJ	VYBER	2480	18398	\N	\N	\N
310374	1057	1997-05-09	VYDAJ	VYBER	2720	16181	\N	\N	\N
310375	1057	1997-06-25	VYDAJ	VYBER	3360	15980	\N	\N	\N
310376	1057	1998-12-19	VYDAJ	VYBER	2800	25595	\N	\N	\N
310377	1057	1998-07-07	VYDAJ	VYBER	3680	20081	\N	\N	\N
310378	1057	1998-03-30	VYDAJ	VYBER	1040	19451	\N	\N	\N
310379	1057	1998-05-12	VYDAJ	VYBER	640	20507	\N	\N	\N
310380	1057	1998-08-01	VYDAJ	VYBER	400	21304	\N	\N	\N
310394	1057	1994-01-31	VYDAJ	VYBER	15	13393	SLUZBY	\N	\N
310395	1057	1994-02-28	VYDAJ	VYBER	15	14991	SLUZBY	\N	\N
310396	1057	1994-03-31	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
310397	1057	1994-04-30	VYDAJ	VYBER	15	18208	SLUZBY	\N	\N
310398	1057	1994-05-31	VYDAJ	VYBER	15	19819	SLUZBY	\N	\N
310399	1057	1994-06-30	VYDAJ	VYBER	15	21444	SLUZBY	\N	\N
310400	1057	1994-07-31	VYDAJ	VYBER	15	20063	SLUZBY	\N	\N
310401	1057	1994-08-31	VYDAJ	VYBER	15	16960	SLUZBY	\N	\N
310402	1057	1994-09-30	VYDAJ	VYBER	15	15123	SLUZBY	\N	\N
310403	1057	1994-10-31	VYDAJ	VYBER	15	15199	SLUZBY	\N	\N
310404	1057	1994-11-30	VYDAJ	VYBER	15	16797	SLUZBY	\N	\N
310405	1057	1994-12-31	VYDAJ	VYBER	15	14567	SLUZBY	\N	\N
310406	1057	1995-01-31	VYDAJ	VYBER	15	13357	SLUZBY	\N	\N
310407	1057	1995-02-28	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
310408	1057	1995-03-31	VYDAJ	VYBER	15	15343	SLUZBY	\N	\N
310409	1057	1995-04-30	VYDAJ	VYBER	15	16469	SLUZBY	\N	\N
310410	1057	1995-05-31	VYDAJ	VYBER	15	18072	SLUZBY	\N	\N
310411	1057	1995-06-30	VYDAJ	VYBER	15	16878	SLUZBY	\N	\N
310412	1057	1995-07-31	VYDAJ	VYBER	15	16880	SLUZBY	\N	\N
310413	1057	1995-08-31	VYDAJ	VYBER	15	16989	SLUZBY	\N	\N
310414	1057	1995-09-30	VYDAJ	VYBER	15	14793	SLUZBY	\N	\N
310415	1057	1995-10-31	VYDAJ	VYBER	15	14893	SLUZBY	\N	\N
310416	1057	1995-11-30	VYDAJ	VYBER	15	14111	SLUZBY	\N	\N
310417	1057	1995-12-31	VYDAJ	VYBER	15	15003	SLUZBY	\N	\N
310418	1057	1996-01-31	VYDAJ	VYBER	15	13635	SLUZBY	\N	\N
310419	1057	1996-02-29	VYDAJ	VYBER	15	13422	SLUZBY	\N	\N
310420	1057	1996-03-31	VYDAJ	VYBER	15	15013	SLUZBY	\N	\N
310421	1057	1996-04-30	VYDAJ	VYBER	15	16611	SLUZBY	\N	\N
310422	1057	1996-05-31	VYDAJ	VYBER	15	18222	SLUZBY	\N	\N
310423	1057	1996-06-30	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
310424	1057	1996-07-31	VYDAJ	VYBER	15	19861	SLUZBY	\N	\N
310425	1057	1996-08-31	VYDAJ	VYBER	15	13366	SLUZBY	\N	\N
310426	1057	1996-09-30	VYDAJ	VYBER	15	13834	SLUZBY	\N	\N
310427	1057	1996-10-31	VYDAJ	VYBER	15	15427	SLUZBY	\N	\N
310428	1057	1996-11-30	VYDAJ	VYBER	15	17033	SLUZBY	\N	\N
310429	1057	1996-12-31	VYDAJ	VYBER	15	16148	SLUZBY	\N	\N
310430	1057	1997-01-31	VYDAJ	VYBER	15	14094	SLUZBY	\N	\N
310431	1057	1997-02-28	VYDAJ	VYBER	15	15687	SLUZBY	\N	\N
310432	1057	1997-03-31	VYDAJ	VYBER	15	17287	SLUZBY	\N	\N
310433	1057	1997-04-30	VYDAJ	VYBER	15	18901	SLUZBY	\N	\N
310434	1057	1997-05-31	VYDAJ	VYBER	15	17794	SLUZBY	\N	\N
310435	1057	1997-06-30	VYDAJ	VYBER	15	16040	SLUZBY	\N	\N
310436	1057	1997-07-31	VYDAJ	VYBER	15	17648	SLUZBY	\N	\N
310437	1057	1997-08-31	VYDAJ	VYBER	15	19264	SLUZBY	\N	\N
310438	1057	1997-09-30	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
310439	1057	1997-10-31	VYDAJ	VYBER	15	20021	SLUZBY	\N	\N
310440	1057	1997-11-30	VYDAJ	VYBER	15	21638	SLUZBY	\N	\N
310441	1057	1997-12-31	VYDAJ	VYBER	15	22919	SLUZBY	\N	\N
310442	1057	1998-01-31	VYDAJ	VYBER	15	17339	SLUZBY	\N	\N
310443	1057	1998-02-28	VYDAJ	VYBER	15	18945	SLUZBY	\N	\N
310444	1057	1998-03-31	VYDAJ	VYBER	15	19525	SLUZBY	\N	\N
310445	1057	1998-04-30	VYDAJ	VYBER	15	21147	SLUZBY	\N	\N
310446	1057	1998-05-31	VYDAJ	VYBER	15	22128	SLUZBY	\N	\N
310447	1057	1998-06-30	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
310448	1057	1998-07-31	VYDAJ	VYBER	15	21704	SLUZBY	\N	\N
310449	1057	1998-08-31	VYDAJ	VYBER	15	22927	SLUZBY	\N	\N
310450	1057	1998-09-30	VYDAJ	VYBER	15	24563	SLUZBY	\N	\N
310451	1057	1998-10-31	VYDAJ	VYBER	15	26199	SLUZBY	\N	\N
310452	1057	1998-11-30	VYDAJ	VYBER	15	27849	SLUZBY	\N	\N
310453	1057	1994-07-19	VYDAJ	VYBER	1800	19990	\N	\N	\N
310454	1057	1994-09-17	VYDAJ	VYBER	1200	17306	\N	\N	\N
310455	1057	1994-12-16	VYDAJ	VYBER	800	16993	\N	\N	\N
310456	1057	1995-03-16	VYDAJ	VYBER	1200	15293	\N	\N	\N
310457	1057	1995-06-14	VYDAJ	VYBER	1000	18618	\N	\N	\N
310458	1057	1995-07-14	VYDAJ	VYBER	1600	16824	\N	\N	\N
310459	1057	1995-08-13	VYDAJ	VYBER	300	18126	\N	\N	\N
310460	1057	1995-09-12	VYDAJ	VYBER	3800	13189	\N	\N	\N
310461	1057	1995-10-12	VYDAJ	VYBER	1500	13293	\N	\N	\N
310462	1057	1995-11-11	VYDAJ	VYBER	700	14193	\N	\N	\N
310463	1057	1996-02-09	VYDAJ	VYBER	1800	11835	\N	\N	\N
310464	1057	1996-08-07	VYDAJ	VYBER	8100	11761	\N	\N	\N
310525	1058	1996-06-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
310532	1058	1996-07-10	PRIJEM	VKLAD	24280	25280	\N	\N	\N
310533	1058	1996-08-10	PRIJEM	VKLAD	24280	48929	\N	\N	\N
310534	1058	1996-09-10	PRIJEM	VKLAD	24280	55645	\N	\N	\N
310535	1058	1996-10-10	PRIJEM	VKLAD	24280	63432	\N	\N	\N
310536	1058	1996-11-10	PRIJEM	VKLAD	24280	71467	\N	\N	\N
310537	1058	1996-12-10	PRIJEM	VKLAD	36420	84112	\N	\N	\N
310538	1058	1997-01-10	PRIJEM	VKLAD	24280	78795	\N	\N	\N
310539	1058	1997-02-10	PRIJEM	VKLAD	24280	63411	\N	\N	\N
310540	1058	1997-03-10	PRIJEM	VKLAD	24280	69751	\N	\N	\N
310541	1058	1997-04-10	PRIJEM	VKLAD	24280	67489	\N	\N	\N
310542	1058	1997-05-10	PRIJEM	VKLAD	24280	70494	\N	\N	\N
310543	1058	1997-06-10	PRIJEM	VKLAD	36420	82291	\N	\N	\N
310544	1058	1997-07-10	PRIJEM	VKLAD	24280	68391	\N	\N	\N
310545	1058	1997-08-10	PRIJEM	VKLAD	24280	76650	\N	\N	\N
310546	1058	1997-09-10	PRIJEM	VKLAD	24280	78146	\N	\N	\N
310547	1058	1997-10-10	PRIJEM	VKLAD	24280	73280	\N	\N	\N
310548	1058	1997-11-10	PRIJEM	VKLAD	24280	72133	\N	\N	\N
310549	1058	1997-12-10	PRIJEM	VKLAD	36420	85868	\N	\N	\N
310550	1058	1998-01-10	PRIJEM	VKLAD	24280	73285	\N	\N	\N
310551	1058	1998-02-10	PRIJEM	VKLAD	24280	66481	\N	\N	\N
310552	1058	1998-03-10	PRIJEM	VKLAD	24280	69526	\N	\N	\N
310553	1058	1998-04-10	PRIJEM	VKLAD	24280	63952	\N	\N	\N
310554	1058	1998-05-10	PRIJEM	VKLAD	24280	64201	\N	\N	\N
310555	1058	1998-06-10	PRIJEM	VKLAD	36420	76686	\N	\N	\N
310556	1058	1998-07-10	PRIJEM	VKLAD	24280	59742	\N	\N	\N
310557	1058	1998-08-10	PRIJEM	VKLAD	24280	65666	\N	\N	\N
310558	1058	1998-09-10	PRIJEM	VKLAD	24280	65718	\N	\N	\N
310559	1058	1998-10-10	PRIJEM	VKLAD	24280	63356	\N	\N	\N
310560	1058	1998-11-10	PRIJEM	VKLAD	24280	66784	\N	\N	\N
310561	1058	1998-12-10	PRIJEM	VKLAD	36420	81965	\N	\N	\N
310573	1058	1996-12-05	VYDAJ	PREVOD NA UCET	4761	64900	SIPO	WX	49857848
310574	1058	1997-01-05	VYDAJ	PREVOD NA UCET	4761	79663	SIPO	WX	49857848
310575	1058	1997-02-05	VYDAJ	PREVOD NA UCET	4761	49739	SIPO	WX	49857848
310576	1058	1997-03-05	VYDAJ	PREVOD NA UCET	4761	58879	SIPO	WX	49857848
310577	1058	1997-04-05	VYDAJ	PREVOD NA UCET	4761	65257	SIPO	WX	49857848
310578	1058	1997-05-05	VYDAJ	PREVOD NA UCET	4761	61422	SIPO	WX	49857848
310579	1058	1997-06-05	VYDAJ	PREVOD NA UCET	4761	64679	SIPO	WX	49857848
310580	1058	1997-07-05	VYDAJ	PREVOD NA UCET	4761	50119	SIPO	WX	49857848
310581	1058	1997-08-05	VYDAJ	PREVOD NA UCET	4761	63878	SIPO	WX	49857848
310582	1058	1997-09-05	VYDAJ	PREVOD NA UCET	4761	54274	SIPO	WX	49857848
310583	1058	1997-10-05	VYDAJ	PREVOD NA UCET	4761	49408	SIPO	WX	49857848
310584	1058	1997-11-05	VYDAJ	PREVOD NA UCET	4761	48261	SIPO	WX	49857848
310585	1058	1997-12-05	VYDAJ	PREVOD NA UCET	4761	49856	SIPO	WX	49857848
310586	1058	1998-01-05	VYDAJ	PREVOD NA UCET	4761	49413	SIPO	WX	49857848
310587	1058	1998-02-05	VYDAJ	PREVOD NA UCET	4761	42609	SIPO	WX	49857848
310588	1058	1998-03-05	VYDAJ	PREVOD NA UCET	4761	45654	SIPO	WX	49857848
310589	1058	1998-04-05	VYDAJ	PREVOD NA UCET	4761	45120	SIPO	WX	49857848
310590	1058	1998-05-05	VYDAJ	PREVOD NA UCET	4761	40329	SIPO	WX	49857848
310591	1058	1998-06-05	VYDAJ	PREVOD NA UCET	4761	40674	SIPO	WX	49857848
310592	1058	1998-07-05	VYDAJ	PREVOD NA UCET	4761	35870	SIPO	WX	49857848
310593	1058	1998-08-05	VYDAJ	PREVOD NA UCET	4761	41794	SIPO	WX	49857848
310594	1058	1998-09-05	VYDAJ	PREVOD NA UCET	4761	41846	SIPO	WX	49857848
310595	1058	1998-10-05	VYDAJ	PREVOD NA UCET	4761	39484	SIPO	WX	49857848
310596	1058	1998-11-05	VYDAJ	PREVOD NA UCET	4761	42912	SIPO	WX	49857848
310597	1058	1998-12-05	VYDAJ	PREVOD NA UCET	4761	45953	SIPO	WX	49857848
310609	1058	1996-12-08	VYDAJ	PREVOD NA UCET	408	64492	 	WX	54740381
310610	1058	1997-01-08	VYDAJ	PREVOD NA UCET	408	54515	 	WX	54740381
310611	1058	1997-02-08	VYDAJ	PREVOD NA UCET	408	39131	 	WX	54740381
310612	1058	1997-03-08	VYDAJ	PREVOD NA UCET	408	58471	 	WX	54740381
310613	1058	1997-04-08	VYDAJ	PREVOD NA UCET	408	43209	 	WX	54740381
310614	1058	1997-05-08	VYDAJ	PREVOD NA UCET	408	46214	 	WX	54740381
310615	1058	1997-06-08	VYDAJ	PREVOD NA UCET	408	45871	 	WX	54740381
310616	1058	1997-07-08	VYDAJ	PREVOD NA UCET	408	44111	 	WX	54740381
310617	1058	1997-08-08	VYDAJ	PREVOD NA UCET	408	52370	 	WX	54740381
310618	1058	1997-09-08	VYDAJ	PREVOD NA UCET	408	53866	 	WX	54740381
310619	1058	1997-10-08	VYDAJ	PREVOD NA UCET	408	49000	 	WX	54740381
310620	1058	1997-11-08	VYDAJ	PREVOD NA UCET	408	47853	 	WX	54740381
310621	1058	1997-12-08	VYDAJ	PREVOD NA UCET	408	49448	 	WX	54740381
310622	1058	1998-01-08	VYDAJ	PREVOD NA UCET	408	49005	 	WX	54740381
310623	1058	1998-02-08	VYDAJ	PREVOD NA UCET	408	42201	 	WX	54740381
310624	1058	1998-03-08	VYDAJ	PREVOD NA UCET	408	45246	 	WX	54740381
310625	1058	1998-04-08	VYDAJ	PREVOD NA UCET	408	39672	 	WX	54740381
310626	1058	1998-05-08	VYDAJ	PREVOD NA UCET	408	39921	 	WX	54740381
310627	1058	1998-06-08	VYDAJ	PREVOD NA UCET	408	40266	 	WX	54740381
310628	1058	1998-07-08	VYDAJ	PREVOD NA UCET	408	35462	 	WX	54740381
310629	1058	1998-08-08	VYDAJ	PREVOD NA UCET	408	41386	 	WX	54740381
310630	1058	1998-09-08	VYDAJ	PREVOD NA UCET	408	41438	 	WX	54740381
310631	1058	1998-10-08	VYDAJ	PREVOD NA UCET	408	39076	 	WX	54740381
310632	1058	1998-11-08	VYDAJ	PREVOD NA UCET	408	42504	 	WX	54740381
310633	1058	1998-12-08	VYDAJ	PREVOD NA UCET	408	45545	 	WX	54740381
310635	1058	1997-06-23	VYDAJ	VYBER	27680	54611	\N	\N	\N
310636	1058	1998-06-29	VYDAJ	VYBER	25120	51566	\N	\N	\N
310638	1058	1997-01-18	VYDAJ	VYBER	13280	61675	\N	\N	\N
310639	1058	1998-01-14	VYDAJ	VYBER	8960	64325	\N	\N	\N
310640	1058	1996-12-01	VYDAJ	VYBER	2080	69661	\N	\N	\N
310641	1058	1997-12-02	VYDAJ	VYBER	4480	66117	\N	\N	\N
310642	1058	1998-12-02	VYDAJ	VYBER KARTOU	1000	50714	\N	\N	0
310649	1058	1997-01-06	VYDAJ	VYBER	3240	76423	\N	\N	\N
310650	1058	1997-01-16	VYDAJ	VYBER	3240	74955	\N	\N	\N
310651	1058	1997-01-11	VYDAJ	VYBER	600	78195	\N	\N	\N
310652	1058	1997-01-21	VYDAJ	VYBER	3360	58315	\N	\N	\N
310653	1058	1997-01-21	VYDAJ	VYBER	2160	56155	\N	\N	\N
310654	1058	1997-01-29	VYDAJ	VYBER	1920	54235	\N	\N	\N
310655	1058	1998-01-25	VYDAJ	VYBER KARTOU	2600	59425	\N	\N	0
310656	1058	1998-01-02	VYDAJ	VYBER KARTOU	1800	82374	\N	\N	0
310657	1058	1998-01-23	VYDAJ	VYBER KARTOU	2300	62025	\N	\N	0
310658	1058	1998-01-04	VYDAJ	VYBER KARTOU	800	54174	\N	\N	0
310659	1058	1998-01-01	VYDAJ	VYBER KARTOU	2000	84174	\N	\N	0
310660	1058	1998-01-03	VYDAJ	VYBER KARTOU	2800	54974	\N	\N	0
310667	1058	1997-04-16	VYDAJ	VYBER	1560	65929	\N	\N	\N
310668	1058	1997-10-18	VYDAJ	VYBER	5520	67760	\N	\N	\N
310669	1058	1997-06-02	VYDAJ	VYBER	1320	69440	\N	\N	\N
310670	1058	1997-11-17	VYDAJ	VYBER KARTOU	1800	70333	\N	\N	0
310671	1058	1997-09-28	VYDAJ	VYBER KARTOU	2500	71086	\N	\N	0
310672	1058	1997-09-16	VYDAJ	VYBER	4560	73586	\N	\N	\N
310673	1058	1997-04-06	VYDAJ	VYBER	3840	61417	\N	\N	\N
310674	1058	1998-10-04	VYDAJ	VYBER KARTOU	3700	44245	\N	\N	0
310675	1058	1998-04-07	VYDAJ	VYBER	5040	40080	\N	\N	\N
310676	1058	1998-02-21	VYDAJ	VYBER KARTOU	2900	63581	\N	\N	0
310677	1058	1998-10-26	VYDAJ	VYBER KARTOU	700	62656	\N	\N	0
310678	1058	1998-04-30	VYDAJ	VYBER KARTOU	3400	60805	\N	\N	0
310679	1058	1998-02-01	VYDAJ	VYBER KARTOU	3100	56570	\N	\N	0
310691	1058	1996-11-30	VYDAJ	VYBER	15	71741	SLUZBY	\N	\N
310692	1058	1996-12-31	VYDAJ	VYBER	15	84424	SLUZBY	\N	\N
310693	1058	1997-01-31	VYDAJ	VYBER	15	54500	SLUZBY	\N	\N
310694	1058	1997-02-28	VYDAJ	VYBER	15	63640	SLUZBY	\N	\N
310695	1058	1997-03-31	VYDAJ	VYBER	15	70018	SLUZBY	\N	\N
310696	1058	1997-04-30	VYDAJ	VYBER	15	66183	SLUZBY	\N	\N
310697	1058	1997-05-31	VYDAJ	VYBER	15	70760	SLUZBY	\N	\N
310698	1058	1997-06-30	VYDAJ	VYBER	15	54880	SLUZBY	\N	\N
310699	1058	1997-07-31	VYDAJ	VYBER	15	68639	SLUZBY	\N	\N
310700	1058	1997-08-31	VYDAJ	VYBER	15	76935	SLUZBY	\N	\N
310701	1058	1997-09-30	VYDAJ	VYBER	15	71369	SLUZBY	\N	\N
310702	1058	1997-10-31	VYDAJ	VYBER	15	68022	SLUZBY	\N	\N
310703	1058	1997-11-30	VYDAJ	VYBER	15	70597	SLUZBY	\N	\N
310704	1058	1997-12-31	VYDAJ	VYBER	15	86174	SLUZBY	\N	\N
310705	1058	1998-01-31	VYDAJ	VYBER	15	59670	SLUZBY	\N	\N
310706	1058	1998-02-28	VYDAJ	VYBER	15	63815	SLUZBY	\N	\N
310707	1058	1998-03-31	VYDAJ	VYBER	15	69781	SLUZBY	\N	\N
310708	1058	1998-04-30	VYDAJ	VYBER	15	60790	SLUZBY	\N	\N
310709	1058	1998-05-31	VYDAJ	VYBER	15	64435	SLUZBY	\N	\N
310710	1058	1998-06-30	VYDAJ	VYBER	15	51831	SLUZBY	\N	\N
310711	1058	1998-07-31	VYDAJ	VYBER	15	59955	SLUZBY	\N	\N
310712	1058	1998-08-31	VYDAJ	VYBER	15	46607	SLUZBY	\N	\N
310713	1058	1998-09-30	VYDAJ	VYBER	15	47945	SLUZBY	\N	\N
310714	1058	1998-10-31	VYDAJ	VYBER	15	47673	SLUZBY	\N	\N
310715	1058	1998-11-30	VYDAJ	VYBER	15	51714	SLUZBY	\N	\N
310716	1058	1996-07-11	VYDAJ	VYBER	700	24580	\N	\N	\N
310717	1058	1996-08-10	VYDAJ	VYBER	13100	35829	\N	\N	\N
310718	1058	1996-09-09	VYDAJ	VYBER	4600	31365	\N	\N	\N
310719	1058	1996-10-09	VYDAJ	VYBER	16700	39152	\N	\N	\N
310720	1058	1996-11-08	VYDAJ	VYBER	16500	47187	\N	\N	\N
310721	1058	1996-12-08	VYDAJ	VYBER	16800	47692	\N	\N	\N
310722	1058	1997-01-07	VYDAJ	VYBER	21500	54923	\N	\N	\N
310723	1058	1997-02-06	VYDAJ	VYBER	10200	39539	\N	\N	\N
310724	1058	1997-03-08	VYDAJ	VYBER	13000	45471	\N	\N	\N
310725	1058	1997-04-07	VYDAJ	VYBER	17800	43617	\N	\N	\N
310726	1058	1997-05-07	VYDAJ	VYBER	14800	46622	\N	\N	\N
310727	1058	1997-06-06	VYDAJ	VYBER	18400	46279	\N	\N	\N
310728	1058	1997-07-06	VYDAJ	VYBER	5600	44519	\N	\N	\N
310729	1058	1997-08-05	VYDAJ	VYBER	11100	52778	\N	\N	\N
310730	1058	1997-09-04	VYDAJ	VYBER	17900	59035	\N	\N	\N
310731	1058	1997-10-04	VYDAJ	VYBER	17200	54169	\N	\N	\N
310732	1058	1997-11-03	VYDAJ	VYBER	15000	53022	\N	\N	\N
310733	1058	1997-12-03	VYDAJ	VYBER	11500	54617	\N	\N	\N
310734	1058	1998-01-02	VYDAJ	VYBER	24600	57774	\N	\N	\N
310735	1058	1998-02-01	VYDAJ	VYBER	9200	47370	\N	\N	\N
310736	1058	1998-03-03	VYDAJ	VYBER	13400	50415	\N	\N	\N
310737	1058	1998-04-02	VYDAJ	VYBER	19900	49881	\N	\N	\N
310738	1058	1998-05-02	VYDAJ	VYBER	15700	45090	\N	\N	\N
310739	1058	1998-06-01	VYDAJ	VYBER	19000	45435	\N	\N	\N
310740	1058	1998-07-01	VYDAJ	VYBER	11200	40631	\N	\N	\N
310741	1058	1998-07-31	VYDAJ	VYBER	13400	46555	\N	\N	\N
310742	1058	1998-08-30	VYDAJ	VYBER	19300	46366	\N	\N	\N
310743	1058	1998-09-29	VYDAJ	VYBER	18000	47718	\N	\N	\N
310744	1058	1998-10-29	VYDAJ	VYBER	15200	47456	\N	\N	\N
310745	1058	1998-11-28	VYDAJ	VYBER	15300	51484	\N	\N	\N
310776	1059	1995-05-30	PRIJEM	VKLAD	1100	1100	\N	\N	\N
310782	1059	1995-06-07	PRIJEM	PREVOD Z UCTU	3220	4320	\N	OP	16611045
310783	1059	1995-07-07	PRIJEM	PREVOD Z UCTU	3220	7540	\N	OP	16611045
310784	1059	1995-08-07	PRIJEM	PREVOD Z UCTU	3220	10760	\N	OP	16611045
310785	1059	1995-09-07	PRIJEM	PREVOD Z UCTU	3220	13980	\N	OP	16611045
310786	1059	1995-10-07	PRIJEM	PREVOD Z UCTU	3220	17200	\N	OP	16611045
310787	1059	1995-11-07	PRIJEM	PREVOD Z UCTU	3220	16926	\N	OP	16611045
310788	1059	1995-12-07	PRIJEM	PREVOD Z UCTU	3220	16604	\N	OP	16611045
310789	1059	1996-01-07	PRIJEM	PREVOD Z UCTU	3220	17723	\N	OP	16611045
310790	1059	1996-02-07	PRIJEM	PREVOD Z UCTU	3220	15628	\N	OP	16611045
310791	1059	1996-03-07	PRIJEM	PREVOD Z UCTU	3220	16743	\N	OP	16611045
310792	1059	1996-04-07	PRIJEM	PREVOD Z UCTU	3220	17862	\N	OP	16611045
310793	1059	1996-05-07	PRIJEM	PREVOD Z UCTU	3220	17685	\N	OP	16611045
310794	1059	1996-06-07	PRIJEM	PREVOD Z UCTU	3220	17336	\N	OP	16611045
310795	1059	1996-07-07	PRIJEM	PREVOD Z UCTU	3220	17557	\N	OP	16611045
310796	1059	1996-08-07	PRIJEM	PREVOD Z UCTU	3220	16177	\N	OP	16611045
310797	1059	1996-09-07	PRIJEM	PREVOD Z UCTU	3220	16693	\N	OP	16611045
310798	1059	1996-10-07	PRIJEM	PREVOD Z UCTU	3220	13606	\N	OP	16611045
310799	1059	1996-11-07	PRIJEM	PREVOD Z UCTU	3220	14712	\N	OP	16611045
310800	1059	1996-12-07	PRIJEM	PREVOD Z UCTU	3220	15823	\N	OP	16611045
310801	1059	1997-01-07	PRIJEM	PREVOD Z UCTU	3220	15856	\N	OP	16611045
310802	1059	1997-02-07	PRIJEM	PREVOD Z UCTU	3220	16008	\N	OP	16611045
310803	1059	1997-03-07	PRIJEM	PREVOD Z UCTU	3220	17125	\N	OP	16611045
310804	1059	1997-04-07	PRIJEM	PREVOD Z UCTU	3220	17825	\N	OP	16611045
310805	1059	1997-05-07	PRIJEM	PREVOD Z UCTU	3220	18949	\N	OP	16611045
310806	1059	1997-06-07	PRIJEM	PREVOD Z UCTU	3220	16087	\N	OP	16611045
310807	1059	1997-07-07	PRIJEM	PREVOD Z UCTU	3220	17208	\N	OP	16611045
310808	1059	1997-08-07	PRIJEM	PREVOD Z UCTU	3220	18329	\N	OP	16611045
310809	1059	1997-09-07	PRIJEM	PREVOD Z UCTU	3220	19454	\N	OP	16611045
310810	1059	1997-10-07	PRIJEM	PREVOD Z UCTU	3220	20344	\N	OP	16611045
310811	1059	1997-11-07	PRIJEM	PREVOD Z UCTU	3220	21479	\N	OP	16611045
310812	1059	1997-12-07	PRIJEM	PREVOD Z UCTU	3220	22617	\N	OP	16611045
310813	1059	1998-01-07	PRIJEM	PREVOD Z UCTU	3220	22500	\N	OP	16611045
310814	1059	1998-02-07	PRIJEM	PREVOD Z UCTU	3220	19947	\N	OP	16611045
310815	1059	1998-03-07	PRIJEM	PREVOD Z UCTU	3220	21079	\N	OP	16611045
310816	1059	1998-04-07	PRIJEM	PREVOD Z UCTU	3220	22216	\N	OP	16611045
310817	1059	1998-05-07	PRIJEM	PREVOD Z UCTU	3220	21977	\N	OP	16611045
310818	1059	1998-06-07	PRIJEM	PREVOD Z UCTU	3220	23118	\N	OP	16611045
310819	1059	1998-07-07	PRIJEM	PREVOD Z UCTU	3220	15742	\N	OP	16611045
310820	1059	1998-08-07	PRIJEM	PREVOD Z UCTU	3220	16857	\N	OP	16611045
310821	1059	1998-09-07	PRIJEM	PREVOD Z UCTU	3220	17976	\N	OP	16611045
310822	1059	1998-10-07	PRIJEM	PREVOD Z UCTU	3220	18239	\N	OP	16611045
310823	1059	1998-11-07	PRIJEM	PREVOD Z UCTU	3220	15653	\N	OP	16611045
310824	1059	1998-12-07	PRIJEM	PREVOD Z UCTU	3220	16466	\N	OP	16611045
310834	1059	1995-10-14	VYDAJ	PREVOD NA UCET	232	15054	SIPO	CD	2758771
310835	1059	1995-11-14	VYDAJ	PREVOD NA UCET	232	14600	SIPO	CD	2758771
310836	1059	1995-12-14	VYDAJ	PREVOD NA UCET	232	14458	SIPO	CD	2758771
310837	1059	1996-01-14	VYDAJ	PREVOD NA UCET	232	13477	SIPO	CD	2758771
310838	1059	1996-02-14	VYDAJ	PREVOD NA UCET	232	13482	SIPO	CD	2758771
310839	1059	1996-03-14	VYDAJ	PREVOD NA UCET	232	14597	SIPO	CD	2758771
310840	1059	1996-04-14	VYDAJ	PREVOD NA UCET	232	15716	SIPO	CD	2758771
310841	1059	1996-05-14	VYDAJ	PREVOD NA UCET	232	15539	SIPO	CD	2758771
310842	1059	1996-06-14	VYDAJ	PREVOD NA UCET	232	15190	SIPO	CD	2758771
310843	1059	1996-07-14	VYDAJ	PREVOD NA UCET	232	15411	SIPO	CD	2758771
310844	1059	1996-08-14	VYDAJ	PREVOD NA UCET	232	14031	SIPO	CD	2758771
310845	1059	1996-09-14	VYDAJ	PREVOD NA UCET	232	14547	SIPO	CD	2758771
310846	1059	1996-10-14	VYDAJ	PREVOD NA UCET	232	11460	SIPO	CD	2758771
310847	1059	1996-11-14	VYDAJ	PREVOD NA UCET	232	12566	SIPO	CD	2758771
310848	1059	1996-12-14	VYDAJ	PREVOD NA UCET	232	12597	SIPO	CD	2758771
310849	1059	1997-01-14	VYDAJ	PREVOD NA UCET	232	12960	SIPO	CD	2758771
310850	1059	1997-02-14	VYDAJ	PREVOD NA UCET	232	13862	SIPO	CD	2758771
310851	1059	1997-03-14	VYDAJ	PREVOD NA UCET	232	14979	SIPO	CD	2758771
310852	1059	1997-04-14	VYDAJ	PREVOD NA UCET	232	15679	SIPO	CD	2758771
310853	1059	1997-05-14	VYDAJ	PREVOD NA UCET	232	16803	SIPO	CD	2758771
310854	1059	1997-06-14	VYDAJ	PREVOD NA UCET	232	13941	SIPO	CD	2758771
310855	1059	1997-07-14	VYDAJ	PREVOD NA UCET	232	15062	SIPO	CD	2758771
310856	1059	1997-08-14	VYDAJ	PREVOD NA UCET	232	16183	SIPO	CD	2758771
310857	1059	1997-09-14	VYDAJ	PREVOD NA UCET	232	17308	SIPO	CD	2758771
310858	1059	1997-10-14	VYDAJ	PREVOD NA UCET	232	18198	SIPO	CD	2758771
310859	1059	1997-11-14	VYDAJ	PREVOD NA UCET	232	19333	SIPO	CD	2758771
310860	1059	1997-12-14	VYDAJ	PREVOD NA UCET	232	20471	SIPO	CD	2758771
310861	1059	1998-01-14	VYDAJ	PREVOD NA UCET	232	19694	SIPO	CD	2758771
310862	1059	1998-02-14	VYDAJ	PREVOD NA UCET	232	17801	SIPO	CD	2758771
310863	1059	1998-03-14	VYDAJ	PREVOD NA UCET	232	18933	SIPO	CD	2758771
310864	1059	1998-04-14	VYDAJ	PREVOD NA UCET	232	20070	SIPO	CD	2758771
310865	1059	1998-05-14	VYDAJ	PREVOD NA UCET	232	19831	SIPO	CD	2758771
310866	1059	1998-06-14	VYDAJ	PREVOD NA UCET	232	12472	SIPO	CD	2758771
310867	1059	1998-07-14	VYDAJ	PREVOD NA UCET	232	13596	SIPO	CD	2758771
310868	1059	1998-08-14	VYDAJ	PREVOD NA UCET	232	14711	SIPO	CD	2758771
310869	1059	1998-09-14	VYDAJ	PREVOD NA UCET	232	14970	SIPO	CD	2758771
310870	1059	1998-10-14	VYDAJ	PREVOD NA UCET	232	12393	SIPO	CD	2758771
310871	1059	1998-11-14	VYDAJ	PREVOD NA UCET	232	13207	SIPO	CD	2758771
310872	1059	1998-12-14	VYDAJ	PREVOD NA UCET	232	14020	SIPO	CD	2758771
310882	1059	1995-10-08	VYDAJ	PREVOD NA UCET	1914	15286	 	ST	66466748
310883	1059	1995-11-08	VYDAJ	PREVOD NA UCET	1914	15012	 	ST	66466748
310884	1059	1995-12-08	VYDAJ	PREVOD NA UCET	1914	14690	 	ST	66466748
310885	1059	1996-01-08	VYDAJ	PREVOD NA UCET	1914	15269	 	ST	66466748
310886	1059	1996-02-08	VYDAJ	PREVOD NA UCET	1914	13714	 	ST	66466748
310887	1059	1996-03-08	VYDAJ	PREVOD NA UCET	1914	14829	 	ST	66466748
310888	1059	1996-04-08	VYDAJ	PREVOD NA UCET	1914	15948	 	ST	66466748
310889	1059	1996-05-08	VYDAJ	PREVOD NA UCET	1914	15771	 	ST	66466748
310890	1059	1996-06-08	VYDAJ	PREVOD NA UCET	1914	15422	 	ST	66466748
310891	1059	1996-07-08	VYDAJ	PREVOD NA UCET	1914	15643	 	ST	66466748
310892	1059	1996-08-08	VYDAJ	PREVOD NA UCET	1914	14263	 	ST	66466748
310893	1059	1996-09-08	VYDAJ	PREVOD NA UCET	1914	14779	 	ST	66466748
310894	1059	1996-10-08	VYDAJ	PREVOD NA UCET	1914	11692	 	ST	66466748
310895	1059	1996-11-08	VYDAJ	PREVOD NA UCET	1914	12798	 	ST	66466748
310896	1059	1996-12-08	VYDAJ	PREVOD NA UCET	1914	13909	 	ST	66466748
310897	1059	1997-01-08	VYDAJ	PREVOD NA UCET	1914	13942	 	ST	66466748
310898	1059	1997-02-08	VYDAJ	PREVOD NA UCET	1914	14094	 	ST	66466748
310899	1059	1997-03-08	VYDAJ	PREVOD NA UCET	1914	15211	 	ST	66466748
310900	1059	1997-04-08	VYDAJ	PREVOD NA UCET	1914	15911	 	ST	66466748
310901	1059	1997-05-08	VYDAJ	PREVOD NA UCET	1914	17035	 	ST	66466748
310902	1059	1997-06-08	VYDAJ	PREVOD NA UCET	1914	14173	 	ST	66466748
310903	1059	1997-07-08	VYDAJ	PREVOD NA UCET	1914	15294	 	ST	66466748
310904	1059	1997-08-08	VYDAJ	PREVOD NA UCET	1914	16415	 	ST	66466748
310905	1059	1997-09-08	VYDAJ	PREVOD NA UCET	1914	17540	 	ST	66466748
310906	1059	1997-10-08	VYDAJ	PREVOD NA UCET	1914	18430	 	ST	66466748
310907	1059	1997-11-08	VYDAJ	PREVOD NA UCET	1914	19565	 	ST	66466748
310908	1059	1997-12-08	VYDAJ	PREVOD NA UCET	1914	20703	 	ST	66466748
310909	1059	1998-01-08	VYDAJ	PREVOD NA UCET	1914	20586	 	ST	66466748
310910	1059	1998-02-08	VYDAJ	PREVOD NA UCET	1914	18033	 	ST	66466748
310911	1059	1998-03-08	VYDAJ	PREVOD NA UCET	1914	19165	 	ST	66466748
310912	1059	1998-04-08	VYDAJ	PREVOD NA UCET	1914	20302	 	ST	66466748
310913	1059	1998-05-08	VYDAJ	PREVOD NA UCET	1914	20063	 	ST	66466748
310914	1059	1998-06-08	VYDAJ	PREVOD NA UCET	1914	21204	 	ST	66466748
310915	1059	1998-07-08	VYDAJ	PREVOD NA UCET	1914	13828	 	ST	66466748
310916	1059	1998-08-08	VYDAJ	PREVOD NA UCET	1914	14943	 	ST	66466748
310917	1059	1998-09-08	VYDAJ	PREVOD NA UCET	1914	16062	 	ST	66466748
310918	1059	1998-10-08	VYDAJ	PREVOD NA UCET	1914	16325	 	ST	66466748
310919	1059	1998-11-08	VYDAJ	PREVOD NA UCET	1914	13739	 	ST	66466748
310920	1059	1998-12-08	VYDAJ	PREVOD NA UCET	1914	14552	 	ST	66466748
310923	1059	1997-06-01	VYDAJ	VYBER	3990	12867	\N	\N	\N
310928	1059	1998-01-17	VYDAJ	VYBER	1830	17864	\N	\N	\N
310929	1059	1995-12-05	VYDAJ	VYBER	270	13384	\N	\N	\N
310931	1059	1997-12-23	VYDAJ	VYBER	540	19931	\N	\N	\N
310939	1059	1996-01-13	VYDAJ	VYBER	630	14069	\N	\N	\N
310940	1059	1996-01-14	VYDAJ	VYBER	150	13327	\N	\N	\N
310941	1059	1996-01-18	VYDAJ	VYBER	720	12367	\N	\N	\N
310942	1059	1996-01-13	VYDAJ	VYBER	360	13709	\N	\N	\N
310943	1059	1996-01-08	VYDAJ	VYBER	540	17183	\N	\N	\N
310944	1059	1996-01-10	VYDAJ	VYBER	570	14699	\N	\N	\N
310946	1059	1997-01-09	VYDAJ	VYBER	750	13192	\N	\N	\N
310947	1059	1997-01-14	VYDAJ	VYBER	210	12750	\N	\N	\N
310951	1059	1998-01-23	VYDAJ	VYBER	600	17114	\N	\N	\N
310952	1059	1998-01-30	VYDAJ	VYBER	150	16664	\N	\N	\N
310953	1059	1998-01-03	VYDAJ	VYBER	240	19280	\N	\N	\N
310954	1059	1998-01-11	VYDAJ	VYBER	660	19926	\N	\N	\N
310955	1059	1998-01-21	VYDAJ	VYBER	150	17714	\N	\N	\N
310956	1059	1998-01-26	VYDAJ	VYBER	300	16814	\N	\N	\N
310957	1059	1995-11-14	VYDAJ	VYBER	180	14832	\N	\N	\N
310958	1059	1995-11-17	VYDAJ	VYBER	990	13610	\N	\N	\N
310962	1059	1995-10-19	VYDAJ	VYBER	1380	13674	\N	\N	\N
310964	1059	1996-05-19	VYDAJ	VYBER	1470	14069	\N	\N	\N
310965	1059	1996-12-12	VYDAJ	VYBER	1080	12829	\N	\N	\N
310966	1059	1996-01-16	VYDAJ	VYBER	240	13087	\N	\N	\N
310968	1059	1997-09-19	VYDAJ	VYBER	240	17068	\N	\N	\N
310969	1059	1997-03-27	VYDAJ	VYBER	420	14559	\N	\N	\N
310970	1059	1997-12-24	VYDAJ	VYBER	480	19451	\N	\N	\N
310971	1059	1998-09-14	VYDAJ	VYBER	360	15202	\N	\N	\N
310974	1059	1998-04-29	VYDAJ	VYBER	1380	18690	\N	\N	\N
310986	1059	1995-10-31	VYDAJ	VYBER	15	13706	SLUZBY	\N	\N
310987	1059	1995-11-30	VYDAJ	VYBER	15	13654	SLUZBY	\N	\N
310988	1059	1995-12-31	VYDAJ	VYBER	15	14503	SLUZBY	\N	\N
310989	1059	1996-01-31	VYDAJ	VYBER	15	12408	SLUZBY	\N	\N
310990	1059	1996-02-29	VYDAJ	VYBER	15	13523	SLUZBY	\N	\N
310991	1059	1996-03-31	VYDAJ	VYBER	15	14642	SLUZBY	\N	\N
310992	1059	1996-04-30	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
310993	1059	1996-05-31	VYDAJ	VYBER	15	14116	SLUZBY	\N	\N
310994	1059	1996-06-30	VYDAJ	VYBER	15	14337	SLUZBY	\N	\N
310995	1059	1996-07-31	VYDAJ	VYBER	15	12957	SLUZBY	\N	\N
310996	1059	1996-08-31	VYDAJ	VYBER	15	13473	SLUZBY	\N	\N
310997	1059	1996-09-30	VYDAJ	VYBER	15	10386	SLUZBY	\N	\N
310998	1059	1996-10-31	VYDAJ	VYBER	15	11492	SLUZBY	\N	\N
310999	1059	1996-11-30	VYDAJ	VYBER	15	12603	SLUZBY	\N	\N
311000	1059	1996-12-31	VYDAJ	VYBER	15	12636	SLUZBY	\N	\N
311001	1059	1997-01-31	VYDAJ	VYBER	15	12788	SLUZBY	\N	\N
311002	1059	1997-02-28	VYDAJ	VYBER	15	13905	SLUZBY	\N	\N
311003	1059	1997-03-31	VYDAJ	VYBER	15	14605	SLUZBY	\N	\N
311004	1059	1997-04-30	VYDAJ	VYBER	15	15729	SLUZBY	\N	\N
311005	1059	1997-05-31	VYDAJ	VYBER	15	16857	SLUZBY	\N	\N
311006	1059	1997-06-30	VYDAJ	VYBER	15	13988	SLUZBY	\N	\N
311007	1059	1997-07-31	VYDAJ	VYBER	15	15109	SLUZBY	\N	\N
311008	1059	1997-08-31	VYDAJ	VYBER	15	16234	SLUZBY	\N	\N
311009	1059	1997-09-30	VYDAJ	VYBER	15	17124	SLUZBY	\N	\N
311010	1059	1997-10-31	VYDAJ	VYBER	15	18259	SLUZBY	\N	\N
311011	1059	1997-11-30	VYDAJ	VYBER	15	19397	SLUZBY	\N	\N
311012	1059	1997-12-31	VYDAJ	VYBER	15	19520	SLUZBY	\N	\N
311013	1059	1998-01-31	VYDAJ	VYBER	15	16727	SLUZBY	\N	\N
311014	1059	1998-02-28	VYDAJ	VYBER	15	17859	SLUZBY	\N	\N
311015	1059	1998-03-31	VYDAJ	VYBER	15	18996	SLUZBY	\N	\N
311016	1059	1998-04-30	VYDAJ	VYBER	15	18757	SLUZBY	\N	\N
311017	1059	1998-05-31	VYDAJ	VYBER	15	19898	SLUZBY	\N	\N
311018	1059	1998-06-30	VYDAJ	VYBER	15	12522	SLUZBY	\N	\N
311019	1059	1998-07-31	VYDAJ	VYBER	15	13637	SLUZBY	\N	\N
311020	1059	1998-08-31	VYDAJ	VYBER	15	14756	SLUZBY	\N	\N
311021	1059	1998-09-30	VYDAJ	VYBER	15	15019	SLUZBY	\N	\N
311022	1059	1998-10-31	VYDAJ	VYBER	15	12433	SLUZBY	\N	\N
311023	1059	1998-11-30	VYDAJ	VYBER	15	13246	SLUZBY	\N	\N
311024	1059	1996-04-24	VYDAJ	VYBER	1300	14416	\N	\N	\N
311025	1059	1996-06-23	VYDAJ	VYBER	900	14290	\N	\N	\N
311026	1059	1996-07-23	VYDAJ	VYBER	2500	12911	\N	\N	\N
311027	1059	1996-08-22	VYDAJ	VYBER	600	13431	\N	\N	\N
311028	1059	1996-09-21	VYDAJ	VYBER	4200	10347	\N	\N	\N
311029	1059	1998-06-13	VYDAJ	VYBER	8500	12704	\N	\N	\N
311030	1059	1998-09-11	VYDAJ	VYBER	500	15562	\N	\N	\N
311031	1059	1998-10-11	VYDAJ	VYBER	3700	12625	\N	\N	\N
311032	1059	1998-11-10	VYDAJ	VYBER	300	13439	\N	\N	\N
311033	1059	1998-12-10	VYDAJ	VYBER	300	14252	\N	\N	\N
311073	1060	1996-10-20	PRIJEM	VKLAD	800	800	\N	\N	\N
311076	1060	1997-07-02	PRIJEM	VKLAD	43635	65635	\N	\N	\N
311077	1060	1997-10-17	PRIJEM	VKLAD	43493	72372	\N	\N	\N
311078	1060	1998-04-15	PRIJEM	VKLAD	29387	51505	\N	\N	\N
311079	1060	1998-10-03	PRIJEM	VKLAD	2944	15848	\N	\N	\N
311154	1060	1996-11-19	PRIJEM	VKLAD	9500	10300	\N	\N	\N
311155	1060	1996-12-19	PRIJEM	VKLAD	6200	16500	\N	\N	\N
311156	1060	1997-01-18	PRIJEM	VKLAD	3600	20100	\N	\N	\N
311157	1060	1997-02-17	PRIJEM	VKLAD	500	20600	\N	\N	\N
311158	1060	1997-03-19	PRIJEM	VKLAD	700	21300	\N	\N	\N
311159	1060	1997-04-18	PRIJEM	VKLAD	800	22100	\N	\N	\N
311160	1060	1997-05-18	VYDAJ	VYBER	1600	20500	\N	\N	\N
311161	1060	1997-06-17	PRIJEM	VKLAD	1500	22000	\N	\N	\N
311162	1060	1997-07-17	VYDAJ	VYBER	22700	42935	\N	\N	\N
311163	1060	1997-08-16	VYDAJ	VYBER	6800	36222	\N	\N	\N
311164	1060	1997-09-15	VYDAJ	VYBER	3800	32600	\N	\N	\N
311165	1060	1997-10-15	VYDAJ	VYBER	3900	28879	\N	\N	\N
311166	1060	1997-11-14	VYDAJ	VYBER	20200	52411	\N	\N	\N
311167	1060	1997-12-14	VYDAJ	VYBER	14500	38212	\N	\N	\N
311168	1060	1998-01-13	VYDAJ	VYBER	8200	30314	\N	\N	\N
311169	1060	1998-02-12	VYDAJ	VYBER	2600	28015	\N	\N	\N
311170	1060	1998-03-14	VYDAJ	VYBER	1400	26917	\N	\N	\N
311171	1060	1998-04-13	VYDAJ	VYBER	5100	22118	\N	\N	\N
311172	1060	1998-05-13	VYDAJ	VYBER	18200	33561	\N	\N	\N
311173	1060	1998-06-12	VYDAJ	VYBER	10900	22875	\N	\N	\N
311174	1060	1998-07-12	VYDAJ	VYBER	10400	12690	\N	\N	\N
311188	1061	1997-10-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
311199	1061	1997-11-09	PRIJEM	VKLAD	5685	6685	\N	\N	\N
311200	1061	1997-12-09	PRIJEM	VKLAD	8528	23544	\N	\N	\N
311201	1061	1998-01-09	PRIJEM	VKLAD	5685	30312	\N	\N	\N
311202	1061	1998-02-09	PRIJEM	VKLAD	5685	31602	\N	\N	\N
311203	1061	1998-03-09	PRIJEM	VKLAD	5685	32196	\N	\N	\N
311204	1061	1998-04-09	PRIJEM	VKLAD	5685	28682	\N	\N	\N
311205	1061	1998-05-09	PRIJEM	VKLAD	5685	24156	\N	\N	\N
311206	1061	1998-06-09	PRIJEM	VKLAD	8528	27759	\N	\N	\N
311207	1061	1998-07-09	PRIJEM	VKLAD	5685	22514	\N	\N	\N
311208	1061	1998-08-09	PRIJEM	VKLAD	5685	23068	\N	\N	\N
311209	1061	1998-09-09	PRIJEM	VKLAD	5685	17816	\N	\N	\N
311210	1061	1998-10-09	PRIJEM	VKLAD	5685	19752	\N	\N	\N
311211	1061	1998-11-09	PRIJEM	VKLAD	5685	12372	\N	\N	\N
311212	1061	1998-12-09	PRIJEM	VKLAD	8528	17127	\N	\N	\N
311227	1061	1998-03-13	VYDAJ	PREVOD NA UCET	3790	28406	SIPO	YZ	97285127
311228	1061	1998-04-13	VYDAJ	PREVOD NA UCET	3790	24892	SIPO	YZ	97285127
311229	1061	1998-05-13	VYDAJ	PREVOD NA UCET	3790	20366	SIPO	YZ	97285127
311230	1061	1998-06-13	VYDAJ	PREVOD NA UCET	3790	23969	SIPO	YZ	97285127
311231	1061	1998-07-13	VYDAJ	PREVOD NA UCET	3790	17324	SIPO	YZ	97285127
311232	1061	1998-08-13	VYDAJ	PREVOD NA UCET	3790	12078	SIPO	YZ	97285127
311233	1061	1998-09-13	VYDAJ	PREVOD NA UCET	3790	14026	SIPO	YZ	97285127
311234	1061	1998-10-13	VYDAJ	PREVOD NA UCET	3790	6662	SIPO	YZ	97285127
311235	1061	1998-11-13	VYDAJ	PREVOD NA UCET	3790	8582	SIPO	YZ	97285127
311236	1061	1998-12-13	VYDAJ	PREVOD NA UCET	3790	13337	SIPO	YZ	97285127
311259	1061	1998-04-01	VYDAJ	VYBER	900	22997	\N	\N	\N
311262	1061	1998-07-09	VYDAJ	VYBER	1400	21114	\N	\N	\N
311263	1061	1998-04-27	VYDAJ	VYBER	2200	18392	\N	\N	\N
311280	1061	1998-03-31	VYDAJ	VYBER	15	23897	SLUZBY	\N	\N
311281	1061	1998-04-30	VYDAJ	VYBER	15	18471	SLUZBY	\N	\N
311282	1061	1998-05-31	VYDAJ	VYBER	15	19231	SLUZBY	\N	\N
311283	1061	1998-06-30	VYDAJ	VYBER	15	16829	SLUZBY	\N	\N
311284	1061	1998-07-31	VYDAJ	VYBER	15	17383	SLUZBY	\N	\N
311285	1061	1998-08-31	VYDAJ	VYBER	15	12131	SLUZBY	\N	\N
311286	1061	1998-09-30	VYDAJ	VYBER	15	14067	SLUZBY	\N	\N
311287	1061	1998-10-31	VYDAJ	VYBER	15	6687	SLUZBY	\N	\N
311288	1061	1998-11-30	VYDAJ	VYBER	15	8599	SLUZBY	\N	\N
311289	1061	1997-11-16	PRIJEM	VKLAD	8300	14985	\N	\N	\N
311290	1061	1997-12-16	PRIJEM	VKLAD	1000	24544	\N	\N	\N
311291	1061	1998-01-15	VYDAJ	VYBER	4500	25812	\N	\N	\N
311292	1061	1998-02-14	VYDAJ	VYBER	5200	26402	\N	\N	\N
311293	1061	1998-03-16	VYDAJ	VYBER	4600	23806	\N	\N	\N
311294	1061	1998-04-15	VYDAJ	VYBER	4300	20592	\N	\N	\N
311295	1061	1998-05-15	VYDAJ	VYBER	1200	19166	\N	\N	\N
311296	1061	1998-06-14	VYDAJ	VYBER	7200	16769	\N	\N	\N
311297	1061	1998-08-13	VYDAJ	VYBER	7200	15868	\N	\N	\N
311298	1061	1998-10-12	VYDAJ	VYBER	9300	10452	\N	\N	\N
311313	1062	1993-07-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
311321	1062	1993-08-06	PRIJEM	VKLAD	23176	24176	\N	\N	\N
311322	1062	1993-09-06	PRIJEM	VKLAD	23176	45819	\N	\N	\N
311323	1062	1993-10-06	PRIJEM	VKLAD	23176	58828	\N	\N	\N
311324	1062	1993-11-06	PRIJEM	VKLAD	23176	66275	\N	\N	\N
311325	1062	1993-12-06	PRIJEM	VKLAD	34764	79724	\N	\N	\N
311326	1062	1994-01-06	PRIJEM	VKLAD	23176	68737	\N	\N	\N
311327	1062	1994-02-06	PRIJEM	VKLAD	23176	55308	\N	\N	\N
311328	1062	1994-03-06	PRIJEM	VKLAD	23176	54677	\N	\N	\N
311329	1062	1994-04-06	PRIJEM	VKLAD	23176	50432	\N	\N	\N
311330	1062	1994-05-06	PRIJEM	VKLAD	23176	49074	\N	\N	\N
311331	1062	1994-06-06	PRIJEM	VKLAD	34764	62400	\N	\N	\N
311332	1062	1994-07-06	PRIJEM	VKLAD	23176	45881	\N	\N	\N
311333	1062	1994-08-06	PRIJEM	VKLAD	23176	49124	\N	\N	\N
311334	1062	1994-09-06	PRIJEM	VKLAD	23176	53500	\N	\N	\N
311335	1062	1994-10-06	PRIJEM	VKLAD	23176	56908	\N	\N	\N
311336	1062	1994-11-06	PRIJEM	VKLAD	23176	62234	\N	\N	\N
311337	1062	1994-12-06	PRIJEM	VKLAD	34764	75371	\N	\N	\N
311338	1062	1995-01-06	PRIJEM	VKLAD	23176	70768	\N	\N	\N
311339	1062	1995-02-06	PRIJEM	VKLAD	23176	66253	\N	\N	\N
311340	1062	1995-03-06	PRIJEM	VKLAD	23176	65425	\N	\N	\N
311341	1062	1995-04-06	PRIJEM	VKLAD	23176	62989	\N	\N	\N
311342	1062	1995-05-06	PRIJEM	VKLAD	23176	63843	\N	\N	\N
311343	1062	1995-06-06	PRIJEM	VKLAD	34764	57785	\N	\N	\N
311344	1062	1995-07-06	PRIJEM	VKLAD	23176	61208	\N	\N	\N
311345	1062	1995-08-06	PRIJEM	VKLAD	23176	59653	\N	\N	\N
311346	1062	1995-09-06	PRIJEM	VKLAD	23176	58089	\N	\N	\N
311347	1062	1995-10-06	PRIJEM	VKLAD	23176	63284	\N	\N	\N
311348	1062	1995-11-06	PRIJEM	VKLAD	23176	66300	\N	\N	\N
311349	1062	1995-12-06	PRIJEM	VKLAD	34764	79114	\N	\N	\N
311350	1062	1996-01-06	PRIJEM	VKLAD	23176	71801	\N	\N	\N
311351	1062	1996-02-06	PRIJEM	VKLAD	23176	62446	\N	\N	\N
311352	1062	1996-03-06	PRIJEM	VKLAD	23176	68255	\N	\N	\N
311353	1062	1996-04-06	PRIJEM	VKLAD	23176	64788	\N	\N	\N
311354	1062	1996-05-06	PRIJEM	VKLAD	23176	68105	\N	\N	\N
311355	1062	1996-06-06	PRIJEM	VKLAD	34764	81221	\N	\N	\N
311356	1062	1996-07-06	PRIJEM	VKLAD	23176	74984	\N	\N	\N
311357	1062	1996-08-06	PRIJEM	VKLAD	23176	74938	\N	\N	\N
311358	1062	1996-09-06	PRIJEM	VKLAD	23176	75686	\N	\N	\N
311359	1062	1996-10-06	PRIJEM	VKLAD	23176	75940	\N	\N	\N
311360	1062	1996-11-06	PRIJEM	VKLAD	23176	74692	\N	\N	\N
311361	1062	1996-12-06	PRIJEM	VKLAD	34764	87829	\N	\N	\N
311362	1062	1997-01-06	PRIJEM	VKLAD	23176	73103	\N	\N	\N
311363	1062	1997-02-06	PRIJEM	VKLAD	23176	72769	\N	\N	\N
311364	1062	1997-03-06	PRIJEM	VKLAD	23176	72704	\N	\N	\N
311365	1062	1997-04-06	PRIJEM	VKLAD	23176	71339	\N	\N	\N
311366	1062	1997-05-06	PRIJEM	VKLAD	23176	73171	\N	\N	\N
311367	1062	1997-06-06	PRIJEM	VKLAD	34764	81992	\N	\N	\N
311368	1062	1997-07-06	PRIJEM	VKLAD	23176	62494	\N	\N	\N
311369	1062	1997-08-06	PRIJEM	VKLAD	23176	66291	\N	\N	\N
311370	1062	1997-09-06	PRIJEM	VKLAD	23176	70702	\N	\N	\N
311371	1062	1997-10-06	PRIJEM	VKLAD	23176	70521	\N	\N	\N
311372	1062	1997-11-06	PRIJEM	VKLAD	23176	73345	\N	\N	\N
311373	1062	1997-12-06	PRIJEM	VKLAD	34764	85177	\N	\N	\N
311374	1062	1998-01-06	PRIJEM	VKLAD	23176	80441	\N	\N	\N
311375	1062	1998-02-06	PRIJEM	VKLAD	23176	77194	\N	\N	\N
311376	1062	1998-03-06	PRIJEM	VKLAD	23176	71626	\N	\N	\N
311377	1062	1998-04-06	PRIJEM	VKLAD	23176	73851	\N	\N	\N
311378	1062	1998-05-06	PRIJEM	VKLAD	23176	76383	\N	\N	\N
311379	1062	1998-06-06	PRIJEM	VKLAD	34764	84201	\N	\N	\N
311380	1062	1998-07-06	PRIJEM	VKLAD	23176	62202	\N	\N	\N
311381	1062	1998-08-06	PRIJEM	VKLAD	23176	62379	\N	\N	\N
311382	1062	1998-09-06	PRIJEM	VKLAD	23176	64790	\N	\N	\N
311383	1062	1998-10-06	PRIJEM	VKLAD	23176	59362	\N	\N	\N
311384	1062	1998-11-06	PRIJEM	VKLAD	23176	54112	\N	\N	\N
311385	1062	1998-12-06	PRIJEM	VKLAD	34764	58029	\N	\N	\N
311397	1062	1993-12-14	VYDAJ	PREVOD NA UCET	7844	45880	SIPO	AB	56361120
311398	1062	1994-01-14	VYDAJ	PREVOD NA UCET	7844	31993	SIPO	AB	56361120
311399	1062	1994-02-14	VYDAJ	PREVOD NA UCET	7844	34664	SIPO	AB	56361120
311400	1062	1994-03-14	VYDAJ	PREVOD NA UCET	7844	30833	SIPO	AB	56361120
311401	1062	1994-04-14	VYDAJ	PREVOD NA UCET	7844	28588	SIPO	AB	56361120
311402	1062	1994-05-14	VYDAJ	PREVOD NA UCET	7844	27530	SIPO	AB	56361120
311403	1062	1994-06-14	VYDAJ	PREVOD NA UCET	7844	36956	SIPO	AB	56361120
311404	1062	1994-07-14	VYDAJ	PREVOD NA UCET	7844	29137	SIPO	AB	56361120
311405	1062	1994-08-14	VYDAJ	PREVOD NA UCET	7844	36380	SIPO	AB	56361120
311406	1062	1994-09-14	VYDAJ	PREVOD NA UCET	7844	45656	SIPO	AB	56361120
311407	1062	1994-10-14	VYDAJ	PREVOD NA UCET	7844	49064	SIPO	AB	56361120
311408	1062	1994-11-14	VYDAJ	PREVOD NA UCET	7844	54390	SIPO	AB	56361120
311409	1062	1994-12-14	VYDAJ	PREVOD NA UCET	7844	67527	SIPO	AB	56361120
311410	1062	1995-01-14	VYDAJ	PREVOD NA UCET	7844	61124	SIPO	AB	56361120
311411	1062	1995-02-14	VYDAJ	PREVOD NA UCET	7844	58409	SIPO	AB	56361120
311412	1062	1995-03-14	VYDAJ	PREVOD NA UCET	7844	57581	SIPO	AB	56361120
311413	1062	1995-04-14	VYDAJ	PREVOD NA UCET	7844	54445	SIPO	AB	56361120
311414	1062	1995-05-14	VYDAJ	PREVOD NA UCET	7844	54599	SIPO	AB	56361120
311415	1062	1995-06-14	VYDAJ	PREVOD NA UCET	7844	49941	SIPO	AB	56361120
311416	1062	1995-07-14	VYDAJ	PREVOD NA UCET	7844	53364	SIPO	AB	56361120
311417	1062	1995-08-14	VYDAJ	PREVOD NA UCET	7844	51809	SIPO	AB	56361120
311418	1062	1995-09-14	VYDAJ	PREVOD NA UCET	7844	50245	SIPO	AB	56361120
311419	1062	1995-10-14	VYDAJ	PREVOD NA UCET	7844	55440	SIPO	AB	56361120
311420	1062	1995-11-14	VYDAJ	PREVOD NA UCET	7844	58456	SIPO	AB	56361120
311421	1062	1995-12-14	VYDAJ	PREVOD NA UCET	7844	69770	SIPO	AB	56361120
311422	1062	1996-01-14	VYDAJ	PREVOD NA UCET	7844	63957	SIPO	AB	56361120
311423	1062	1996-02-14	VYDAJ	PREVOD NA UCET	7844	54602	SIPO	AB	56361120
311424	1062	1996-03-14	VYDAJ	PREVOD NA UCET	7844	58511	SIPO	AB	56361120
311425	1062	1996-04-14	VYDAJ	PREVOD NA UCET	7844	56944	SIPO	AB	56361120
311426	1062	1996-05-14	VYDAJ	PREVOD NA UCET	7844	60261	SIPO	AB	56361120
311427	1062	1996-06-14	VYDAJ	PREVOD NA UCET	7844	63077	SIPO	AB	56361120
311428	1062	1996-07-14	VYDAJ	PREVOD NA UCET	7844	67140	SIPO	AB	56361120
311429	1062	1996-08-14	VYDAJ	PREVOD NA UCET	7844	67094	SIPO	AB	56361120
311430	1062	1996-09-14	VYDAJ	PREVOD NA UCET	7844	67842	SIPO	AB	56361120
311431	1062	1996-10-14	VYDAJ	PREVOD NA UCET	7844	68096	SIPO	AB	56361120
311432	1062	1996-11-14	VYDAJ	PREVOD NA UCET	7844	66848	SIPO	AB	56361120
311433	1062	1996-12-14	VYDAJ	PREVOD NA UCET	7844	78585	SIPO	AB	56361120
311434	1062	1997-01-14	VYDAJ	PREVOD NA UCET	7844	65259	SIPO	AB	56361120
311435	1062	1997-02-14	VYDAJ	PREVOD NA UCET	7844	64925	SIPO	AB	56361120
311436	1062	1997-03-14	VYDAJ	PREVOD NA UCET	7844	64860	SIPO	AB	56361120
311437	1062	1997-04-14	VYDAJ	PREVOD NA UCET	7844	63495	SIPO	AB	56361120
311438	1062	1997-05-14	VYDAJ	PREVOD NA UCET	7844	65327	SIPO	AB	56361120
311439	1062	1997-06-14	VYDAJ	PREVOD NA UCET	7844	45348	SIPO	AB	56361120
311440	1062	1997-07-14	VYDAJ	PREVOD NA UCET	7844	54650	SIPO	AB	56361120
311441	1062	1997-08-14	VYDAJ	PREVOD NA UCET	7844	58447	SIPO	AB	56361120
311442	1062	1997-09-14	VYDAJ	PREVOD NA UCET	7844	62858	SIPO	AB	56361120
311443	1062	1997-10-14	VYDAJ	PREVOD NA UCET	7844	62677	SIPO	AB	56361120
311444	1062	1997-11-14	VYDAJ	PREVOD NA UCET	7844	61801	SIPO	AB	56361120
311445	1062	1997-12-14	VYDAJ	PREVOD NA UCET	7844	75333	SIPO	AB	56361120
311446	1062	1998-01-14	VYDAJ	PREVOD NA UCET	7844	72597	SIPO	AB	56361120
311447	1062	1998-02-14	VYDAJ	PREVOD NA UCET	7844	69350	SIPO	AB	56361120
311448	1062	1998-03-14	VYDAJ	PREVOD NA UCET	7844	63782	SIPO	AB	56361120
311449	1062	1998-04-14	VYDAJ	PREVOD NA UCET	7844	66007	SIPO	AB	56361120
311450	1062	1998-05-14	VYDAJ	PREVOD NA UCET	7844	68539	SIPO	AB	56361120
311451	1062	1998-06-14	VYDAJ	PREVOD NA UCET	7844	76357	SIPO	AB	56361120
311452	1062	1998-07-14	VYDAJ	PREVOD NA UCET	7844	54358	SIPO	AB	56361120
311453	1062	1998-08-14	VYDAJ	PREVOD NA UCET	7844	52435	SIPO	AB	56361120
311454	1062	1998-09-14	VYDAJ	PREVOD NA UCET	7844	36046	SIPO	AB	56361120
311455	1062	1998-10-14	VYDAJ	PREVOD NA UCET	7844	30818	SIPO	AB	56361120
311456	1062	1998-11-14	VYDAJ	PREVOD NA UCET	7844	25968	SIPO	AB	56361120
311457	1062	1998-12-14	VYDAJ	PREVOD NA UCET	7844	29885	SIPO	AB	56361120
311459	1062	1994-06-25	VYDAJ	VYBER	14400	22556	\N	\N	\N
311460	1062	1995-06-03	VYDAJ	VYBER	15500	23021	\N	\N	\N
311461	1062	1996-06-07	VYDAJ	VYBER	10300	70921	\N	\N	\N
311462	1062	1997-06-07	VYDAJ	VYBER	28800	53192	\N	\N	\N
311463	1062	1998-06-16	VYDAJ	VYBER	14400	38857	\N	\N	\N
311465	1062	1994-01-09	VYDAJ	VYBER	6300	39837	\N	\N	\N
311466	1062	1995-01-06	VYDAJ	VYBER	1800	68968	\N	\N	\N
311467	1062	1996-01-27	VYDAJ	VYBER	8300	42057	\N	\N	\N
311468	1062	1997-01-04	VYDAJ	VYBER	7800	49927	\N	\N	\N
311469	1062	1998-01-23	VYDAJ	VYBER	5300	53797	\N	\N	\N
311470	1062	1993-12-17	VYDAJ	VYBER	500	45380	\N	\N	\N
311471	1062	1994-12-27	VYDAJ	VYBER	1700	65827	\N	\N	\N
311472	1062	1995-12-06	VYDAJ	VYBER	1500	77614	\N	\N	\N
311473	1062	1996-12-13	VYDAJ	VYBER	1400	86429	\N	\N	\N
311474	1062	1997-12-10	VYDAJ	VYBER	2000	83177	\N	\N	\N
311475	1062	1998-12-02	VYDAJ	VYBER	2800	23265	\N	\N	\N
311477	1062	1993-12-12	VYDAJ	VYBER	800	53724	\N	\N	\N
311479	1062	1994-03-18	VYDAJ	VYBER	3700	27133	\N	\N	\N
311480	1062	1994-03-03	VYDAJ	VYBER	3300	31501	\N	\N	\N
311481	1062	1994-10-23	VYDAJ	VYBER	900	48164	\N	\N	\N
311482	1062	1994-04-29	VYDAJ	VYBER	2800	25788	\N	\N	\N
311483	1062	1994-08-11	VYDAJ	VYBER	4900	44224	\N	\N	\N
311484	1062	1994-05-08	VYDAJ	VYBER	2300	35374	\N	\N	\N
311485	1062	1994-09-01	VYDAJ	VYBER	700	35824	\N	\N	\N
311486	1062	1995-08-02	VYDAJ	VYBER	3900	36477	\N	\N	\N
311487	1062	1995-03-26	VYDAJ	VYBER	2300	55281	\N	\N	\N
311488	1062	1995-05-11	VYDAJ	VYBER	1400	62443	\N	\N	\N
311489	1062	1995-04-12	VYDAJ	VYBER	700	62289	\N	\N	\N
311490	1062	1995-08-27	VYDAJ	VYBER	4400	47409	\N	\N	\N
311491	1062	1996-01-14	VYDAJ	VYBER	600	63357	\N	\N	\N
311492	1062	1996-10-25	VYDAJ	VYBER	3300	51296	\N	\N	\N
311493	1062	1996-03-20	VYDAJ	VYBER	4300	54211	\N	\N	\N
311494	1062	1996-01-31	VYDAJ	VYBER	3000	39285	\N	\N	\N
311495	1062	1996-03-10	VYDAJ	VYBER	1900	66355	\N	\N	\N
311496	1062	1996-08-18	VYDAJ	VYBER	4500	62594	\N	\N	\N
311497	1062	1997-11-08	VYDAJ	VYBER	3700	69645	\N	\N	\N
311498	1062	1997-03-21	VYDAJ	VYBER	2200	62660	\N	\N	\N
311499	1062	1997-07-22	VYDAJ	VYBER	1100	42950	\N	\N	\N
311500	1062	1998-05-18	VYDAJ	VYBER	2000	49239	\N	\N	\N
311501	1062	1998-07-19	VYDAJ	VYBER	1100	39058	\N	\N	\N
311502	1062	1998-02-21	VYDAJ	VYBER	3700	48250	\N	\N	\N
311503	1062	1998-08-12	VYDAJ	VYBER	2100	60279	\N	\N	\N
311516	1062	1993-12-31	VYDAJ	VYBER	15	45561	SLUZBY	\N	\N
311517	1062	1994-01-31	VYDAJ	VYBER	15	32132	SLUZBY	\N	\N
311518	1062	1994-02-28	VYDAJ	VYBER	15	34801	SLUZBY	\N	\N
311519	1062	1994-03-31	VYDAJ	VYBER	15	27256	SLUZBY	\N	\N
311520	1062	1994-04-30	VYDAJ	VYBER	15	25898	SLUZBY	\N	\N
311521	1062	1994-05-31	VYDAJ	VYBER	15	27636	SLUZBY	\N	\N
311522	1062	1994-06-30	VYDAJ	VYBER	15	22705	SLUZBY	\N	\N
311523	1062	1994-07-31	VYDAJ	VYBER	15	29248	SLUZBY	\N	\N
311524	1062	1994-08-31	VYDAJ	VYBER	15	36524	SLUZBY	\N	\N
311525	1062	1994-09-30	VYDAJ	VYBER	15	45832	SLUZBY	\N	\N
311526	1062	1994-10-31	VYDAJ	VYBER	15	48358	SLUZBY	\N	\N
311527	1062	1994-11-30	VYDAJ	VYBER	15	54607	SLUZBY	\N	\N
311528	1062	1994-12-31	VYDAJ	VYBER	15	66092	SLUZBY	\N	\N
311529	1062	1995-01-31	VYDAJ	VYBER	15	61377	SLUZBY	\N	\N
311530	1062	1995-02-28	VYDAJ	VYBER	15	58649	SLUZBY	\N	\N
311531	1062	1995-03-31	VYDAJ	VYBER	15	55513	SLUZBY	\N	\N
311532	1062	1995-04-30	VYDAJ	VYBER	15	54667	SLUZBY	\N	\N
311533	1062	1995-05-31	VYDAJ	VYBER	15	54821	SLUZBY	\N	\N
311534	1062	1995-06-30	VYDAJ	VYBER	15	50132	SLUZBY	\N	\N
311535	1062	1995-07-31	VYDAJ	VYBER	15	53577	SLUZBY	\N	\N
311536	1062	1995-08-31	VYDAJ	VYBER	15	34913	SLUZBY	\N	\N
311537	1062	1995-09-30	VYDAJ	VYBER	15	40108	SLUZBY	\N	\N
311538	1062	1995-10-31	VYDAJ	VYBER	15	43124	SLUZBY	\N	\N
311539	1062	1995-11-30	VYDAJ	VYBER	15	44350	SLUZBY	\N	\N
311540	1062	1995-12-31	VYDAJ	VYBER	15	48625	SLUZBY	\N	\N
311541	1062	1996-01-31	VYDAJ	VYBER	15	39270	SLUZBY	\N	\N
311542	1062	1996-02-29	VYDAJ	VYBER	15	45079	SLUZBY	\N	\N
311543	1062	1996-03-31	VYDAJ	VYBER	15	41612	SLUZBY	\N	\N
311544	1062	1996-04-30	VYDAJ	VYBER	15	44929	SLUZBY	\N	\N
311545	1062	1996-05-31	VYDAJ	VYBER	15	46457	SLUZBY	\N	\N
311546	1062	1996-06-30	VYDAJ	VYBER	15	51808	SLUZBY	\N	\N
311547	1062	1996-07-31	VYDAJ	VYBER	15	51762	SLUZBY	\N	\N
311548	1062	1996-08-31	VYDAJ	VYBER	15	52510	SLUZBY	\N	\N
311549	1062	1996-09-30	VYDAJ	VYBER	15	52764	SLUZBY	\N	\N
311550	1062	1996-10-31	VYDAJ	VYBER	15	51516	SLUZBY	\N	\N
311551	1062	1996-11-30	VYDAJ	VYBER	15	53065	SLUZBY	\N	\N
311552	1062	1996-12-31	VYDAJ	VYBER	15	57727	SLUZBY	\N	\N
311553	1062	1997-01-31	VYDAJ	VYBER	15	49593	SLUZBY	\N	\N
311554	1062	1997-02-28	VYDAJ	VYBER	15	49528	SLUZBY	\N	\N
311555	1062	1997-03-31	VYDAJ	VYBER	15	48163	SLUZBY	\N	\N
311556	1062	1997-04-30	VYDAJ	VYBER	15	49995	SLUZBY	\N	\N
311557	1062	1997-05-31	VYDAJ	VYBER	15	47228	SLUZBY	\N	\N
311558	1062	1997-06-30	VYDAJ	VYBER	15	39318	SLUZBY	\N	\N
311559	1062	1997-07-31	VYDAJ	VYBER	15	43115	SLUZBY	\N	\N
311560	1062	1997-08-31	VYDAJ	VYBER	15	47526	SLUZBY	\N	\N
311561	1062	1997-09-30	VYDAJ	VYBER	15	47345	SLUZBY	\N	\N
311562	1062	1997-10-31	VYDAJ	VYBER	15	50169	SLUZBY	\N	\N
311563	1062	1997-11-30	VYDAJ	VYBER	15	50413	SLUZBY	\N	\N
311564	1062	1997-12-31	VYDAJ	VYBER	15	57265	SLUZBY	\N	\N
311565	1062	1998-01-31	VYDAJ	VYBER	15	54018	SLUZBY	\N	\N
311566	1062	1998-02-28	VYDAJ	VYBER	15	48450	SLUZBY	\N	\N
311567	1062	1998-03-31	VYDAJ	VYBER	15	50675	SLUZBY	\N	\N
311568	1062	1998-04-30	VYDAJ	VYBER	15	53207	SLUZBY	\N	\N
311569	1062	1998-05-31	VYDAJ	VYBER	15	49437	SLUZBY	\N	\N
311570	1062	1998-06-30	VYDAJ	VYBER	15	39026	SLUZBY	\N	\N
311571	1062	1998-07-31	VYDAJ	VYBER	15	39203	SLUZBY	\N	\N
311572	1062	1998-08-31	VYDAJ	VYBER	15	41614	SLUZBY	\N	\N
311573	1062	1998-09-30	VYDAJ	VYBER	15	36186	SLUZBY	\N	\N
311574	1062	1998-10-31	VYDAJ	VYBER	15	30936	SLUZBY	\N	\N
311575	1062	1998-11-30	VYDAJ	VYBER	15	26065	SLUZBY	\N	\N
311576	1062	1993-08-10	VYDAJ	VYBER	1600	22576	\N	\N	\N
311577	1062	1993-09-09	VYDAJ	VYBER	10300	35519	\N	\N	\N
311578	1062	1993-10-09	VYDAJ	VYBER	15900	42928	\N	\N	\N
311579	1062	1993-11-08	VYDAJ	VYBER	21500	44775	\N	\N	\N
311580	1062	1993-12-08	VYDAJ	VYBER	25200	54524	\N	\N	\N
311581	1062	1994-01-07	VYDAJ	VYBER	22600	46137	\N	\N	\N
311582	1062	1994-02-06	VYDAJ	VYBER	12800	42508	\N	\N	\N
311583	1062	1994-03-08	VYDAJ	VYBER	16000	38677	\N	\N	\N
311584	1062	1994-04-07	VYDAJ	VYBER	14000	36432	\N	\N	\N
311585	1062	1994-05-07	VYDAJ	VYBER	11400	37674	\N	\N	\N
311586	1062	1994-06-06	VYDAJ	VYBER	17600	44800	\N	\N	\N
311587	1062	1994-07-06	VYDAJ	VYBER	8900	36981	\N	\N	\N
311588	1062	1994-08-05	VYDAJ	VYBER	3300	25948	\N	\N	\N
311589	1062	1994-09-04	VYDAJ	VYBER	5500	30324	\N	\N	\N
311590	1062	1994-10-04	VYDAJ	VYBER	12100	33732	\N	\N	\N
311591	1062	1994-11-03	VYDAJ	VYBER	9300	39058	\N	\N	\N
311592	1062	1994-12-03	VYDAJ	VYBER	14000	40607	\N	\N	\N
311593	1062	1995-01-02	VYDAJ	VYBER	18500	47592	\N	\N	\N
311594	1062	1995-02-01	VYDAJ	VYBER	18300	43077	\N	\N	\N
311595	1062	1995-03-03	VYDAJ	VYBER	16400	42249	\N	\N	\N
311596	1062	1995-04-02	VYDAJ	VYBER	15700	39813	\N	\N	\N
311597	1062	1995-05-02	VYDAJ	VYBER	14000	40667	\N	\N	\N
311598	1062	1995-06-01	VYDAJ	VYBER	16300	38521	\N	\N	\N
311599	1062	1995-07-01	VYDAJ	VYBER	12100	38032	\N	\N	\N
311600	1062	1995-07-31	VYDAJ	VYBER	13200	40377	\N	\N	\N
311601	1062	1995-08-30	VYDAJ	VYBER	12700	34709	\N	\N	\N
311602	1062	1995-09-29	VYDAJ	VYBER	10300	39945	\N	\N	\N
311603	1062	1995-10-29	VYDAJ	VYBER	12500	42940	\N	\N	\N
311604	1062	1995-11-28	VYDAJ	VYBER	14300	44156	\N	\N	\N
311605	1062	1995-12-28	VYDAJ	VYBER	21400	48370	\N	\N	\N
311606	1062	1996-01-27	VYDAJ	VYBER	13000	50357	\N	\N	\N
311607	1062	1996-02-26	VYDAJ	VYBER	9700	44902	\N	\N	\N
311608	1062	1996-03-27	VYDAJ	VYBER	12800	41411	\N	\N	\N
311609	1062	1996-04-26	VYDAJ	VYBER	12200	44744	\N	\N	\N
311610	1062	1996-05-26	VYDAJ	VYBER	14000	46261	\N	\N	\N
311611	1062	1996-06-25	VYDAJ	VYBER	11500	51577	\N	\N	\N
311612	1062	1996-07-25	VYDAJ	VYBER	15600	51540	\N	\N	\N
311613	1062	1996-08-24	VYDAJ	VYBER	10300	52294	\N	\N	\N
311614	1062	1996-09-23	VYDAJ	VYBER	15300	52542	\N	\N	\N
311615	1062	1996-10-23	VYDAJ	VYBER	13500	54596	\N	\N	\N
311616	1062	1996-11-22	VYDAJ	VYBER	14000	52848	\N	\N	\N
311617	1062	1996-12-22	VYDAJ	VYBER	21100	57485	\N	\N	\N
311618	1062	1997-01-21	VYDAJ	VYBER	15900	49359	\N	\N	\N
311619	1062	1997-02-20	VYDAJ	VYBER	15600	49325	\N	\N	\N
311620	1062	1997-03-22	VYDAJ	VYBER	14700	47960	\N	\N	\N
311621	1062	1997-04-21	VYDAJ	VYBER	13700	49795	\N	\N	\N
311622	1062	1997-05-21	VYDAJ	VYBER	18300	47027	\N	\N	\N
311623	1062	1997-06-20	VYDAJ	VYBER	6200	39148	\N	\N	\N
311624	1062	1997-07-20	VYDAJ	VYBER	10600	44050	\N	\N	\N
311625	1062	1997-08-19	VYDAJ	VYBER	11100	47347	\N	\N	\N
311626	1062	1997-09-18	VYDAJ	VYBER	15700	47158	\N	\N	\N
311627	1062	1997-10-18	VYDAJ	VYBER	12700	49977	\N	\N	\N
311628	1062	1997-11-17	VYDAJ	VYBER	11600	50201	\N	\N	\N
311629	1062	1997-12-17	VYDAJ	VYBER	18300	57033	\N	\N	\N
311630	1062	1998-01-16	VYDAJ	VYBER	13500	59097	\N	\N	\N
311631	1062	1998-02-15	VYDAJ	VYBER	17400	51950	\N	\N	\N
311632	1062	1998-03-17	VYDAJ	VYBER	13300	50482	\N	\N	\N
311633	1062	1998-04-16	VYDAJ	VYBER	13000	53007	\N	\N	\N
311634	1062	1998-05-16	VYDAJ	VYBER	17300	51239	\N	\N	\N
311635	1062	1998-06-15	VYDAJ	VYBER	23100	53257	\N	\N	\N
311636	1062	1998-07-15	VYDAJ	VYBER	14200	40158	\N	\N	\N
311637	1062	1998-08-14	VYDAJ	VYBER	11000	41435	\N	\N	\N
311638	1062	1998-09-13	VYDAJ	VYBER	20900	43890	\N	\N	\N
311639	1062	1998-10-13	VYDAJ	VYBER	20700	38662	\N	\N	\N
311640	1062	1998-11-12	VYDAJ	VYBER	20300	33812	\N	\N	\N
311641	1062	1998-12-12	VYDAJ	VYBER	20300	37729	\N	\N	\N
311707	1063	1996-09-19	PRIJEM	VKLAD	200	200	\N	\N	\N
311717	1063	1996-10-14	PRIJEM	VKLAD	7930	8130	\N	\N	\N
311718	1063	1996-11-14	PRIJEM	VKLAD	7930	22085	\N	\N	\N
311719	1063	1996-12-14	PRIJEM	VKLAD	11895	33452	\N	\N	\N
311720	1063	1997-01-14	PRIJEM	VKLAD	7930	36585	\N	\N	\N
311721	1063	1997-02-14	PRIJEM	VKLAD	7930	41143	\N	\N	\N
311722	1063	1997-03-14	PRIJEM	VKLAD	7930	46206	\N	\N	\N
311723	1063	1997-04-14	PRIJEM	VKLAD	7930	42181	\N	\N	\N
311724	1063	1997-05-14	PRIJEM	VKLAD	7930	47355	\N	\N	\N
311725	1063	1997-06-14	PRIJEM	VKLAD	11895	38216	\N	\N	\N
311726	1063	1997-07-14	PRIJEM	VKLAD	7930	49307	\N	\N	\N
311727	1063	1997-08-14	PRIJEM	VKLAD	7930	51800	\N	\N	\N
311728	1063	1997-09-14	PRIJEM	VKLAD	7930	55206	\N	\N	\N
311729	1063	1997-10-14	PRIJEM	VKLAD	7930	60030	\N	\N	\N
311730	1063	1997-11-14	PRIJEM	VKLAD	7930	61882	\N	\N	\N
311731	1063	1997-12-14	PRIJEM	VKLAD	11895	71012	\N	\N	\N
311732	1063	1998-01-14	PRIJEM	VKLAD	7930	65507	\N	\N	\N
311733	1063	1998-02-14	PRIJEM	VKLAD	7930	66490	\N	\N	\N
311734	1063	1998-03-14	PRIJEM	VKLAD	7930	75764	\N	\N	\N
311735	1063	1998-04-14	PRIJEM	VKLAD	7930	80579	\N	\N	\N
311736	1063	1998-05-14	PRIJEM	VKLAD	7930	83521	\N	\N	\N
311737	1063	1998-06-14	PRIJEM	VKLAD	11895	82045	\N	\N	\N
311738	1063	1998-07-14	PRIJEM	VKLAD	7930	81789	\N	\N	\N
311739	1063	1998-08-14	PRIJEM	VKLAD	7930	83746	\N	\N	\N
311740	1063	1998-09-14	PRIJEM	VKLAD	7930	79907	\N	\N	\N
311741	1063	1998-10-14	PRIJEM	VKLAD	7930	84762	\N	\N	\N
311742	1063	1998-11-14	PRIJEM	VKLAD	7930	82219	\N	\N	\N
311743	1063	1998-12-14	PRIJEM	VKLAD	11895	88942	\N	\N	\N
311745	1063	1997-06-10	VYDAJ	VYBER	17600	26321	\N	\N	\N
311746	1063	1998-06-07	VYDAJ	VYBER	7800	69050	\N	\N	\N
311749	1063	1998-01-09	VYDAJ	VYBER	5500	61377	\N	\N	\N
311751	1063	1997-12-25	VYDAJ	VYBER	900	70112	\N	\N	\N
311752	1063	1998-12-13	VYDAJ	VYBER	1500	77047	\N	\N	\N
311765	1063	1998-01-28	VYDAJ	VYBER	1500	57707	\N	\N	\N
311766	1063	1998-01-23	VYDAJ	VYBER	2400	61407	\N	\N	\N
311767	1063	1998-01-09	VYDAJ	VYBER	800	69577	\N	\N	\N
311768	1063	1998-01-16	VYDAJ	VYBER	1700	63807	\N	\N	\N
311769	1063	1998-01-28	VYDAJ	VYBER	1100	56607	\N	\N	\N
311770	1063	1998-01-27	VYDAJ	VYBER	2200	59207	\N	\N	\N
311775	1063	1997-11-04	VYDAJ	VYBER	800	57252	\N	\N	\N
311776	1063	1997-03-28	VYDAJ	VYBER	4200	34106	\N	\N	\N
311777	1063	1997-05-01	VYDAJ	VYBER	2800	39425	\N	\N	\N
311778	1063	1997-09-23	VYDAJ	VYBER	1100	51906	\N	\N	\N
311779	1063	1997-03-15	VYDAJ	VYBER	900	45306	\N	\N	\N
311780	1063	1998-05-14	VYDAJ	VYBER	600	82921	\N	\N	\N
311781	1063	1998-10-22	VYDAJ	VYBER	2200	82562	\N	\N	\N
311782	1063	1998-01-09	VYDAJ	VYBER	2700	66877	\N	\N	\N
311783	1063	1998-06-03	VYDAJ	VYBER	4600	76850	\N	\N	\N
311784	1063	1998-06-03	VYDAJ	VYBER	1800	81450	\N	\N	\N
311799	1063	1997-02-28	VYDAJ	VYBER	15	38276	SLUZBY	\N	\N
311800	1063	1997-03-31	VYDAJ	VYBER	15	34251	SLUZBY	\N	\N
311801	1063	1997-04-30	VYDAJ	VYBER	15	42225	SLUZBY	\N	\N
311802	1063	1997-05-31	VYDAJ	VYBER	15	43921	SLUZBY	\N	\N
311803	1063	1997-06-30	VYDAJ	VYBER	15	41377	SLUZBY	\N	\N
311804	1063	1997-07-31	VYDAJ	VYBER	15	43870	SLUZBY	\N	\N
311805	1063	1997-08-31	VYDAJ	VYBER	15	47276	SLUZBY	\N	\N
311806	1063	1997-09-30	VYDAJ	VYBER	15	52100	SLUZBY	\N	\N
311807	1063	1997-10-31	VYDAJ	VYBER	15	58052	SLUZBY	\N	\N
311808	1063	1997-11-30	VYDAJ	VYBER	15	62117	SLUZBY	\N	\N
311809	1063	1997-12-31	VYDAJ	VYBER	15	70377	SLUZBY	\N	\N
311810	1063	1998-01-31	VYDAJ	VYBER	15	56860	SLUZBY	\N	\N
311811	1063	1998-02-28	VYDAJ	VYBER	15	66734	SLUZBY	\N	\N
311812	1063	1998-03-31	VYDAJ	VYBER	15	76049	SLUZBY	\N	\N
311813	1063	1998-04-30	VYDAJ	VYBER	15	80891	SLUZBY	\N	\N
311814	1063	1998-05-31	VYDAJ	VYBER	15	83250	SLUZBY	\N	\N
311815	1063	1998-06-30	VYDAJ	VYBER	15	82359	SLUZBY	\N	\N
311816	1063	1998-07-31	VYDAJ	VYBER	15	82116	SLUZBY	\N	\N
311817	1063	1998-08-31	VYDAJ	VYBER	15	84077	SLUZBY	\N	\N
311818	1063	1998-09-30	VYDAJ	VYBER	15	80232	SLUZBY	\N	\N
311819	1063	1998-10-31	VYDAJ	VYBER	15	82889	SLUZBY	\N	\N
311820	1063	1998-11-30	VYDAJ	VYBER	15	82547	SLUZBY	\N	\N
311821	1063	1996-10-19	PRIJEM	VKLAD	6000	14130	\N	\N	\N
311822	1063	1996-11-18	VYDAJ	VYBER	600	21485	\N	\N	\N
311823	1063	1996-12-18	VYDAJ	VYBER	4900	28552	\N	\N	\N
311824	1063	1997-01-17	VYDAJ	VYBER	3500	33085	\N	\N	\N
311825	1063	1997-02-16	VYDAJ	VYBER	3000	38143	\N	\N	\N
311826	1063	1997-03-18	VYDAJ	VYBER	7000	38306	\N	\N	\N
311827	1063	1997-04-17	VYDAJ	VYBER	100	42081	\N	\N	\N
311828	1063	1997-05-17	VYDAJ	VYBER	3600	43755	\N	\N	\N
311829	1063	1997-06-16	PRIJEM	VKLAD	3000	41216	\N	\N	\N
311830	1063	1997-07-16	VYDAJ	VYBER	5600	43707	\N	\N	\N
311831	1063	1997-08-15	VYDAJ	VYBER	4700	47100	\N	\N	\N
311832	1063	1997-09-14	VYDAJ	VYBER	2200	53006	\N	\N	\N
311833	1063	1997-10-14	VYDAJ	VYBER	2200	57830	\N	\N	\N
311834	1063	1997-11-13	VYDAJ	VYBER	3300	53952	\N	\N	\N
311835	1063	1997-12-13	VYDAJ	VYBER	3000	59117	\N	\N	\N
311836	1063	1998-01-12	VYDAJ	VYBER	3800	57577	\N	\N	\N
311837	1063	1998-02-11	PRIJEM	VKLAD	1700	58560	\N	\N	\N
311838	1063	1998-03-13	PRIJEM	VKLAD	1100	67834	\N	\N	\N
311839	1063	1998-04-12	VYDAJ	VYBER	3400	72649	\N	\N	\N
311840	1063	1998-05-12	VYDAJ	VYBER	5300	75591	\N	\N	\N
311841	1063	1998-06-11	PRIJEM	VKLAD	1100	70150	\N	\N	\N
311842	1063	1998-07-11	VYDAJ	VYBER	8500	73859	\N	\N	\N
311843	1063	1998-08-10	VYDAJ	VYBER	6300	75816	\N	\N	\N
311844	1063	1998-09-09	VYDAJ	VYBER	12100	71977	\N	\N	\N
311845	1063	1998-10-09	VYDAJ	VYBER	3400	76832	\N	\N	\N
311846	1063	1998-11-08	VYDAJ	VYBER	8600	74289	\N	\N	\N
311847	1063	1998-12-08	VYDAJ	VYBER	4000	78547	\N	\N	\N
311875	1064	1997-09-29	PRIJEM	VKLAD	500	500	\N	\N	\N
311885	1064	1997-10-11	PRIJEM	PREVOD Z UCTU	5948	6448	DUCHOD	CD	91109561
311886	1064	1997-11-11	PRIJEM	PREVOD Z UCTU	5948	12396	DUCHOD	CD	91109561
311887	1064	1997-12-11	PRIJEM	PREVOD Z UCTU	5948	18344	DUCHOD	CD	91109561
311888	1064	1998-01-11	PRIJEM	PREVOD Z UCTU	5948	24292	DUCHOD	CD	91109561
311889	1064	1998-02-11	PRIJEM	PREVOD Z UCTU	5948	29356	DUCHOD	CD	91109561
311890	1064	1998-03-11	PRIJEM	PREVOD Z UCTU	5948	29370	DUCHOD	CD	91109561
311891	1064	1998-04-11	PRIJEM	PREVOD Z UCTU	5948	29902	DUCHOD	CD	91109561
311892	1064	1998-05-11	PRIJEM	PREVOD Z UCTU	5948	28836	DUCHOD	CD	91109561
311893	1064	1998-06-11	PRIJEM	PREVOD Z UCTU	5948	24943	DUCHOD	CD	91109561
311894	1064	1998-07-11	PRIJEM	PREVOD Z UCTU	5948	23376	DUCHOD	CD	91109561
311895	1064	1998-08-11	PRIJEM	PREVOD Z UCTU	5948	24802	DUCHOD	CD	91109561
311896	1064	1998-09-11	PRIJEM	PREVOD Z UCTU	5948	25676	DUCHOD	CD	91109561
311897	1064	1998-10-11	PRIJEM	PREVOD Z UCTU	5948	28696	DUCHOD	CD	91109561
311898	1064	1998-11-11	PRIJEM	PREVOD Z UCTU	5948	31827	DUCHOD	CD	91109561
311899	1064	1998-12-11	PRIJEM	PREVOD Z UCTU	5948	27463	DUCHOD	CD	91109561
311914	1064	1998-03-05	VYDAJ	PREVOD NA UCET	2918	23422	SIPO	QR	99262660
311915	1064	1998-04-05	VYDAJ	PREVOD NA UCET	2918	23954	SIPO	QR	99262660
311916	1064	1998-05-05	VYDAJ	PREVOD NA UCET	2918	22888	SIPO	QR	99262660
311917	1064	1998-06-05	VYDAJ	PREVOD NA UCET	2918	18995	SIPO	QR	99262660
311918	1064	1998-07-05	VYDAJ	PREVOD NA UCET	2918	17428	SIPO	QR	99262660
311919	1064	1998-08-05	VYDAJ	PREVOD NA UCET	2918	18854	SIPO	QR	99262660
311920	1064	1998-09-05	VYDAJ	PREVOD NA UCET	2918	21568	SIPO	QR	99262660
311921	1064	1998-10-05	VYDAJ	PREVOD NA UCET	2918	22748	SIPO	QR	99262660
311922	1064	1998-11-05	VYDAJ	PREVOD NA UCET	2918	25879	SIPO	QR	99262660
311923	1064	1998-12-05	VYDAJ	PREVOD NA UCET	2918	21515	SIPO	QR	99262660
311925	1064	1998-06-27	VYDAJ	VYBER	2200	21143	\N	\N	\N
311927	1064	1998-12-03	VYDAJ	VYBER	800	24433	\N	\N	\N
311946	1064	1998-12-24	VYDAJ	VYBER	2000	24363	\N	\N	\N
311947	1064	1998-07-02	VYDAJ	VYBER	880	20346	\N	\N	\N
311948	1064	1998-05-30	VYDAJ	VYBER	1120	21816	\N	\N	\N
311949	1064	1998-07-29	VYDAJ	VYBER	1680	21696	\N	\N	\N
311950	1064	1998-09-05	VYDAJ	VYBER	400	24486	\N	\N	\N
311951	1064	1998-09-09	VYDAJ	VYBER	1840	19728	\N	\N	\N
311966	1064	1998-02-28	VYDAJ	VYBER	15	26340	SLUZBY	\N	\N
311967	1064	1998-03-31	VYDAJ	VYBER	15	26872	SLUZBY	\N	\N
311968	1064	1998-04-30	VYDAJ	VYBER	15	25806	SLUZBY	\N	\N
311969	1064	1998-05-31	VYDAJ	VYBER	15	21913	SLUZBY	\N	\N
311970	1064	1998-06-30	VYDAJ	VYBER	15	21226	SLUZBY	\N	\N
311971	1064	1998-07-31	VYDAJ	VYBER	15	21772	SLUZBY	\N	\N
311972	1064	1998-08-31	VYDAJ	VYBER	15	24886	SLUZBY	\N	\N
311973	1064	1998-09-30	VYDAJ	VYBER	15	25666	SLUZBY	\N	\N
311974	1064	1998-10-31	VYDAJ	VYBER	15	28797	SLUZBY	\N	\N
311975	1064	1998-11-30	VYDAJ	VYBER	15	25233	SLUZBY	\N	\N
311976	1064	1998-01-27	VYDAJ	VYBER	900	23392	\N	\N	\N
311977	1064	1998-02-26	VYDAJ	VYBER	3100	26256	\N	\N	\N
311978	1064	1998-03-28	VYDAJ	VYBER	2600	26770	\N	\N	\N
311979	1064	1998-04-27	VYDAJ	VYBER	4200	25702	\N	\N	\N
311980	1064	1998-05-27	VYDAJ	VYBER	5900	22936	\N	\N	\N
311981	1064	1998-06-26	VYDAJ	VYBER	1600	23343	\N	\N	\N
311982	1064	1998-09-24	VYDAJ	VYBER	100	25576	\N	\N	\N
311983	1064	1998-11-23	VYDAJ	VYBER	6700	25127	\N	\N	\N
311984	1064	1998-12-23	VYDAJ	VYBER	1100	26363	\N	\N	\N
311997	1065	1993-03-27	PRIJEM	VKLAD	400	400	\N	\N	\N
311998	1065	1993-12-19	PRIJEM	VKLAD	21288	52994	\N	\N	\N
311999	1065	1993-09-11	PRIJEM	VKLAD	35947	61389	\N	\N	\N
312000	1065	1994-12-04	PRIJEM	VKLAD	35658	64441	\N	\N	\N
312001	1065	1994-07-07	PRIJEM	VKLAD	19049	33380	\N	\N	\N
312002	1065	1995-12-04	PRIJEM	VKLAD	7534	39500	\N	\N	\N
312003	1065	1995-04-10	PRIJEM	VKLAD	17584	41724	\N	\N	\N
312004	1065	1996-07-12	PRIJEM	VKLAD	3189	36608	\N	\N	\N
312005	1065	1996-08-23	PRIJEM	VKLAD	10006	47343	\N	\N	\N
312006	1065	1997-05-24	PRIJEM	VKLAD	26693	63544	\N	\N	\N
312007	1065	1997-03-09	PRIJEM	VKLAD	38937	63042	\N	\N	\N
312008	1065	1998-03-02	PRIJEM	VKLAD	35661	52335	\N	\N	\N
312009	1065	1998-05-10	PRIJEM	VKLAD	16924	40465	\N	\N	\N
312013	1065	1993-04-17	PRIJEM	VKLAD	1300	1700	\N	\N	\N
312014	1065	1993-05-15	PRIJEM	VKLAD	1300	16210	\N	\N	\N
312015	1065	1993-06-14	PRIJEM	VKLAD	1300	21877	\N	\N	\N
312016	1065	1993-07-13	PRIJEM	VKLAD	1300	23262	\N	\N	\N
312017	1065	1993-08-13	PRIJEM	VKLAD	1300	26152	\N	\N	\N
312018	1065	1993-09-13	PRIJEM	VKLAD	1300	62689	\N	\N	\N
312019	1065	1993-10-17	PRIJEM	VKLAD	1300	47166	\N	\N	\N
312020	1065	1993-11-14	PRIJEM	VKLAD	1300	35080	\N	\N	\N
312021	1065	1993-12-13	PRIJEM	VKLAD	1300	31706	\N	\N	\N
312022	1065	1994-01-16	PRIJEM	VKLAD	1300	31922	\N	\N	\N
312023	1065	1994-02-17	PRIJEM	VKLAD	1300	22831	\N	\N	\N
312024	1065	1994-03-13	PRIJEM	VKLAD	1300	24207	\N	\N	\N
312025	1065	1994-04-16	PRIJEM	VKLAD	1300	25588	\N	\N	\N
312026	1065	1994-05-16	PRIJEM	VKLAD	1300	25874	\N	\N	\N
312027	1065	1994-06-15	PRIJEM	VKLAD	1300	14763	\N	\N	\N
312028	1065	1994-07-16	PRIJEM	VKLAD	1300	34680	\N	\N	\N
312029	1065	1994-08-13	PRIJEM	VKLAD	1300	31462	\N	\N	\N
312030	1065	1994-09-16	PRIJEM	VKLAD	1300	30571	\N	\N	\N
312031	1065	1994-10-14	PRIJEM	VKLAD	1300	29275	\N	\N	\N
312032	1065	1994-11-15	PRIJEM	VKLAD	1300	29978	\N	\N	\N
312033	1065	1994-12-14	PRIJEM	VKLAD	1300	65741	\N	\N	\N
312034	1065	1995-01-14	PRIJEM	VKLAD	1300	25734	\N	\N	\N
312035	1065	1995-02-13	PRIJEM	VKLAD	1300	22977	\N	\N	\N
312036	1065	1995-03-15	PRIJEM	VKLAD	1300	24856	\N	\N	\N
312037	1065	1995-04-14	PRIJEM	VKLAD	1300	43024	\N	\N	\N
312038	1065	1995-05-13	PRIJEM	VKLAD	1300	34685	\N	\N	\N
312039	1065	1995-06-16	PRIJEM	VKLAD	1300	28052	\N	\N	\N
312040	1065	1995-07-16	PRIJEM	VKLAD	1300	29752	\N	\N	\N
312041	1065	1995-08-14	PRIJEM	VKLAD	1300	31157	\N	\N	\N
312042	1065	1995-09-17	PRIJEM	VKLAD	1300	32863	\N	\N	\N
312043	1065	1995-10-15	PRIJEM	VKLAD	1300	32473	\N	\N	\N
312044	1065	1995-11-14	PRIJEM	VKLAD	1300	34192	\N	\N	\N
312045	1065	1995-12-17	PRIJEM	VKLAD	1300	38900	\N	\N	\N
312046	1065	1996-01-13	PRIJEM	VKLAD	1300	34795	\N	\N	\N
312047	1065	1996-02-14	PRIJEM	VKLAD	1300	35116	\N	\N	\N
312048	1065	1996-03-16	PRIJEM	VKLAD	1300	35679	\N	\N	\N
312049	1065	1996-04-13	PRIJEM	VKLAD	1300	32954	\N	\N	\N
312050	1065	1996-05-13	PRIJEM	VKLAD	1300	37777	\N	\N	\N
312051	1065	1996-06-17	PRIJEM	VKLAD	1300	29411	\N	\N	\N
312052	1065	1996-07-14	PRIJEM	VKLAD	1300	37908	\N	\N	\N
312053	1065	1996-08-17	PRIJEM	VKLAD	1300	37337	\N	\N	\N
312054	1065	1996-09-17	PRIJEM	VKLAD	1300	41796	\N	\N	\N
312055	1065	1996-10-13	PRIJEM	VKLAD	1300	41667	\N	\N	\N
312056	1065	1996-11-13	PRIJEM	VKLAD	1300	41024	\N	\N	\N
312057	1065	1996-12-14	PRIJEM	VKLAD	1300	38880	\N	\N	\N
312058	1065	1997-01-13	PRIJEM	VKLAD	1300	28979	\N	\N	\N
312059	1065	1997-02-14	PRIJEM	VKLAD	1300	25625	\N	\N	\N
312060	1065	1997-03-15	PRIJEM	VKLAD	1300	64342	\N	\N	\N
312061	1065	1997-04-13	PRIJEM	VKLAD	1300	43751	\N	\N	\N
312062	1065	1997-05-17	PRIJEM	VKLAD	1300	36851	\N	\N	\N
312063	1065	1997-06-16	PRIJEM	VKLAD	1300	36375	\N	\N	\N
312064	1065	1997-07-13	PRIJEM	VKLAD	1300	24523	\N	\N	\N
312065	1065	1997-08-16	PRIJEM	VKLAD	1300	24707	\N	\N	\N
312066	1065	1997-09-14	PRIJEM	VKLAD	1300	23992	\N	\N	\N
312067	1065	1997-10-16	PRIJEM	VKLAD	1300	26276	\N	\N	\N
312068	1065	1997-11-15	PRIJEM	VKLAD	1300	23811	\N	\N	\N
312069	1065	1997-12-17	PRIJEM	VKLAD	1300	20894	\N	\N	\N
312070	1065	1998-01-17	PRIJEM	VKLAD	1300	17813	\N	\N	\N
312071	1065	1998-02-17	PRIJEM	VKLAD	1300	17920	\N	\N	\N
312072	1065	1998-03-16	PRIJEM	VKLAD	1300	53635	\N	\N	\N
312073	1065	1998-04-16	PRIJEM	VKLAD	1300	32431	\N	\N	\N
312074	1065	1998-05-16	PRIJEM	VKLAD	1300	41765	\N	\N	\N
312075	1065	1998-06-14	PRIJEM	VKLAD	1300	22279	\N	\N	\N
312076	1065	1998-07-16	PRIJEM	VKLAD	1300	17601	\N	\N	\N
312077	1065	1998-08-17	PRIJEM	VKLAD	1300	18951	\N	\N	\N
312078	1065	1998-09-17	PRIJEM	VKLAD	1300	16805	\N	\N	\N
312079	1065	1998-10-17	PRIJEM	VKLAD	1300	18151	\N	\N	\N
312080	1065	1998-11-14	PRIJEM	VKLAD	1300	19503	\N	\N	\N
312081	1065	1998-12-16	PRIJEM	VKLAD	1300	20160	\N	\N	\N
312083	1065	1994-06-01	VYDAJ	VYBER	11600	13463	\N	\N	\N
312084	1065	1995-06-11	VYDAJ	VYBER	3800	20052	\N	\N	\N
312085	1065	1996-06-04	VYDAJ	VYBER	9800	28111	\N	\N	\N
312086	1065	1997-06-24	VYDAJ	VYBER	13000	23375	\N	\N	\N
312089	1065	1994-01-26	VYDAJ	VYBER	1700	22872	\N	\N	\N
312090	1065	1995-01-06	VYDAJ	VYBER	9500	26084	\N	\N	\N
312091	1065	1996-01-08	VYDAJ	VYBER	7900	28995	\N	\N	\N
312092	1065	1997-01-04	VYDAJ	VYBER	6000	31829	\N	\N	\N
312095	1065	1994-06-25	VYDAJ	VYBER	3500	14263	\N	\N	\N
312096	1065	1995-06-02	VYDAJ	VYBER	6000	23852	\N	\N	\N
312097	1065	1996-06-05	VYDAJ	VYBER	3700	24411	\N	\N	\N
312098	1065	1997-06-15	VYDAJ	VYBER	9500	35075	\N	\N	\N
312101	1065	1994-01-01	VYDAJ	VYBER	1600	33322	\N	\N	\N
312102	1065	1995-01-01	VYDAJ	VYBER	3600	36784	\N	\N	\N
312103	1065	1996-01-17	VYDAJ	VYBER	3600	29545	\N	\N	\N
312104	1065	1997-01-20	VYDAJ	VYBER	3300	23829	\N	\N	\N
312105	1065	1998-01-10	VYDAJ	VYBER	1700	16513	\N	\N	\N
312106	1065	1993-12-25	VYDAJ	VYBER	2400	34794	\N	\N	\N
312107	1065	1994-12-18	VYDAJ	VYBER	2800	40241	\N	\N	\N
312108	1065	1995-12-02	VYDAJ	VYBER	1900	32416	\N	\N	\N
312109	1065	1996-12-11	VYDAJ	VYBER	2200	37580	\N	\N	\N
312110	1065	1997-12-05	VYDAJ	VYBER	1200	19594	\N	\N	\N
312111	1065	1998-12-09	VYDAJ	VYBER	700	18860	\N	\N	\N
312118	1065	1994-01-14	VYDAJ	VYBER	1400	30622	\N	\N	\N
312119	1065	1994-01-07	VYDAJ	VYBER	400	32922	\N	\N	\N
312120	1065	1994-01-30	VYDAJ	VYBER	1050	21422	\N	\N	\N
312121	1065	1994-01-26	VYDAJ	VYBER	1200	24572	\N	\N	\N
312122	1065	1994-01-07	VYDAJ	VYBER	900	32022	\N	\N	\N
312123	1065	1994-01-21	VYDAJ	VYBER	1050	25772	\N	\N	\N
312124	1065	1995-01-11	VYDAJ	VYBER	1200	24884	\N	\N	\N
312125	1065	1995-01-05	VYDAJ	VYBER	1200	35584	\N	\N	\N
312126	1065	1995-01-27	VYDAJ	VYBER	500	21584	\N	\N	\N
312127	1065	1995-01-15	VYDAJ	VYBER	400	25334	\N	\N	\N
312128	1065	1995-01-12	VYDAJ	VYBER	450	24434	\N	\N	\N
312129	1065	1995-01-17	VYDAJ	VYBER	950	22084	\N	\N	\N
312130	1065	1996-01-17	VYDAJ	VYBER	350	33145	\N	\N	\N
312131	1065	1996-01-03	VYDAJ	VYBER	1000	36895	\N	\N	\N
312132	1065	1996-01-13	VYDAJ	VYBER	1300	33495	\N	\N	\N
312133	1065	1996-01-30	VYDAJ	VYBER	1100	27195	\N	\N	\N
312134	1065	1996-01-27	VYDAJ	VYBER	1250	28295	\N	\N	\N
312135	1065	1996-01-01	VYDAJ	VYBER	1150	37895	\N	\N	\N
312136	1065	1997-01-15	VYDAJ	VYBER	1050	27129	\N	\N	\N
312137	1065	1997-01-23	VYDAJ	VYBER	950	22879	\N	\N	\N
312138	1065	1997-01-13	VYDAJ	VYBER	250	28729	\N	\N	\N
312139	1065	1997-01-15	VYDAJ	VYBER	550	28179	\N	\N	\N
312140	1065	1997-01-25	VYDAJ	VYBER	1100	21779	\N	\N	\N
312141	1065	1997-01-29	VYDAJ	VYBER	1450	20329	\N	\N	\N
312142	1065	1998-01-06	VYDAJ	VYBER	1250	18963	\N	\N	\N
312143	1065	1998-01-20	VYDAJ	VYBER	1000	16813	\N	\N	\N
312145	1065	1998-01-01	VYDAJ	VYBER	950	21013	\N	\N	\N
312146	1065	1998-01-06	VYDAJ	VYBER	800	20213	\N	\N	\N
312147	1065	1998-01-10	VYDAJ	VYBER	750	18213	\N	\N	\N
312149	1065	1993-11-06	VYDAJ	VYBER	1550	33780	\N	\N	\N
312152	1065	1993-11-21	VYDAJ	VYBER	800	34280	\N	\N	\N
312153	1065	1993-09-03	VYDAJ	VYBER	1100	25442	\N	\N	\N
312155	1065	1994-04-22	VYDAJ	VYBER	400	24488	\N	\N	\N
312156	1065	1994-07-22	VYDAJ	VYBER	700	30080	\N	\N	\N
312157	1065	1994-01-27	VYDAJ	VYBER	400	22472	\N	\N	\N
312158	1065	1994-07-20	VYDAJ	VYBER	1300	33380	\N	\N	\N
312159	1065	1995-12-03	VYDAJ	VYBER	450	31966	\N	\N	\N
312160	1065	1995-04-18	VYDAJ	VYBER	1450	33274	\N	\N	\N
312161	1065	1995-05-26	VYDAJ	VYBER	850	29735	\N	\N	\N
312162	1065	1995-09-24	VYDAJ	VYBER	900	31963	\N	\N	\N
312163	1065	1995-08-20	VYDAJ	VYBER	1800	27957	\N	\N	\N
312164	1065	1996-06-14	VYDAJ	VYBER	800	28111	\N	\N	\N
312165	1065	1996-03-22	VYDAJ	VYBER	2050	33629	\N	\N	\N
312166	1065	1996-02-20	VYDAJ	VYBER	2250	32866	\N	\N	\N
312167	1065	1997-10-23	VYDAJ	VYBER	2250	24026	\N	\N	\N
312168	1065	1997-06-05	VYDAJ	VYBER	950	44575	\N	\N	\N
312169	1065	1997-01-01	VYDAJ	VYBER	1200	37829	\N	\N	\N
312170	1065	1997-01-09	VYDAJ	VYBER	1950	27679	\N	\N	\N
312172	1065	1998-06-21	VYDAJ	VYBER	1950	20329	\N	\N	\N
312173	1065	1998-02-16	VYDAJ	VYBER	250	16620	\N	\N	\N
312174	1065	1998-06-13	VYDAJ	VYBER	2100	20979	\N	\N	\N
312183	1065	1993-08-31	VYDAJ	VYBER	15	26542	SLUZBY	\N	\N
312184	1065	1993-09-30	VYDAJ	VYBER	15	45866	SLUZBY	\N	\N
312185	1065	1993-10-31	VYDAJ	VYBER	15	35330	SLUZBY	\N	\N
312186	1065	1993-11-30	VYDAJ	VYBER	15	30406	SLUZBY	\N	\N
312187	1065	1993-12-31	VYDAJ	VYBER	15	34922	SLUZBY	\N	\N
312188	1065	1994-01-31	VYDAJ	VYBER	15	21531	SLUZBY	\N	\N
312189	1065	1994-02-28	VYDAJ	VYBER	15	22907	SLUZBY	\N	\N
312190	1065	1994-03-31	VYDAJ	VYBER	15	24288	SLUZBY	\N	\N
312191	1065	1994-04-30	VYDAJ	VYBER	15	24574	SLUZBY	\N	\N
312192	1065	1994-05-31	VYDAJ	VYBER	15	25063	SLUZBY	\N	\N
312193	1065	1994-06-30	VYDAJ	VYBER	15	14331	SLUZBY	\N	\N
312194	1065	1994-07-31	VYDAJ	VYBER	15	30162	SLUZBY	\N	\N
312195	1065	1994-08-31	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
312196	1065	1994-09-30	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
312197	1065	1994-10-31	VYDAJ	VYBER	15	28678	SLUZBY	\N	\N
312198	1065	1994-11-30	VYDAJ	VYBER	15	28783	SLUZBY	\N	\N
312199	1065	1994-12-31	VYDAJ	VYBER	15	40384	SLUZBY	\N	\N
312200	1065	1995-01-31	VYDAJ	VYBER	15	21677	SLUZBY	\N	\N
312201	1065	1995-02-28	VYDAJ	VYBER	15	23556	SLUZBY	\N	\N
312202	1065	1995-03-31	VYDAJ	VYBER	15	24140	SLUZBY	\N	\N
312203	1065	1995-04-30	VYDAJ	VYBER	15	33385	SLUZBY	\N	\N
312204	1065	1995-05-31	VYDAJ	VYBER	15	29852	SLUZBY	\N	\N
312205	1065	1995-06-30	VYDAJ	VYBER	15	28152	SLUZBY	\N	\N
312206	1065	1995-07-31	VYDAJ	VYBER	15	29857	SLUZBY	\N	\N
312207	1065	1995-08-31	VYDAJ	VYBER	15	28063	SLUZBY	\N	\N
312208	1065	1995-09-30	VYDAJ	VYBER	15	32073	SLUZBY	\N	\N
312209	1065	1995-10-31	VYDAJ	VYBER	15	32592	SLUZBY	\N	\N
312210	1065	1995-11-30	VYDAJ	VYBER	15	34316	SLUZBY	\N	\N
312211	1065	1995-12-31	VYDAJ	VYBER	15	39045	SLUZBY	\N	\N
312212	1065	1996-01-31	VYDAJ	VYBER	15	27316	SLUZBY	\N	\N
312213	1065	1996-02-29	VYDAJ	VYBER	15	32979	SLUZBY	\N	\N
312214	1065	1996-03-31	VYDAJ	VYBER	15	33754	SLUZBY	\N	\N
312215	1065	1996-04-30	VYDAJ	VYBER	15	33077	SLUZBY	\N	\N
312216	1065	1996-05-31	VYDAJ	VYBER	15	37911	SLUZBY	\N	\N
312217	1065	1996-06-30	VYDAJ	VYBER	15	29519	SLUZBY	\N	\N
312218	1065	1996-07-31	VYDAJ	VYBER	15	38037	SLUZBY	\N	\N
312219	1065	1996-08-31	VYDAJ	VYBER	15	47496	SLUZBY	\N	\N
312220	1065	1996-09-30	VYDAJ	VYBER	15	41967	SLUZBY	\N	\N
312221	1065	1996-10-31	VYDAJ	VYBER	15	41824	SLUZBY	\N	\N
312222	1065	1996-11-30	VYDAJ	VYBER	15	41180	SLUZBY	\N	\N
312223	1065	1996-12-31	VYDAJ	VYBER	15	39029	SLUZBY	\N	\N
312224	1065	1997-01-31	VYDAJ	VYBER	15	20425	SLUZBY	\N	\N
312225	1065	1997-02-28	VYDAJ	VYBER	15	25705	SLUZBY	\N	\N
312226	1065	1997-03-31	VYDAJ	VYBER	15	64551	SLUZBY	\N	\N
312227	1065	1997-04-30	VYDAJ	VYBER	15	43951	SLUZBY	\N	\N
312228	1065	1997-05-31	VYDAJ	VYBER	15	63725	SLUZBY	\N	\N
312229	1065	1997-06-30	VYDAJ	VYBER	15	23523	SLUZBY	\N	\N
312230	1065	1997-07-31	VYDAJ	VYBER	15	24607	SLUZBY	\N	\N
312231	1065	1997-08-31	VYDAJ	VYBER	15	24792	SLUZBY	\N	\N
312232	1065	1997-09-30	VYDAJ	VYBER	15	24076	SLUZBY	\N	\N
312233	1065	1997-10-31	VYDAJ	VYBER	15	24111	SLUZBY	\N	\N
312234	1065	1997-11-30	VYDAJ	VYBER	15	23894	SLUZBY	\N	\N
312235	1065	1997-12-31	VYDAJ	VYBER	15	21963	SLUZBY	\N	\N
312236	1065	1998-01-31	VYDAJ	VYBER	15	16870	SLUZBY	\N	\N
312237	1065	1998-02-28	VYDAJ	VYBER	15	17974	SLUZBY	\N	\N
312238	1065	1998-03-31	VYDAJ	VYBER	15	53831	SLUZBY	\N	\N
312239	1065	1998-04-30	VYDAJ	VYBER	15	23541	SLUZBY	\N	\N
312240	1065	1998-05-31	VYDAJ	VYBER	15	23079	SLUZBY	\N	\N
312241	1065	1998-06-30	VYDAJ	VYBER	15	16301	SLUZBY	\N	\N
312242	1065	1998-07-31	VYDAJ	VYBER	15	17651	SLUZBY	\N	\N
312243	1065	1998-08-31	VYDAJ	VYBER	15	15505	SLUZBY	\N	\N
312244	1065	1998-09-30	VYDAJ	VYBER	15	16851	SLUZBY	\N	\N
312245	1065	1998-10-31	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
312246	1065	1998-11-30	VYDAJ	VYBER	15	19560	SLUZBY	\N	\N
312247	1065	1993-04-26	PRIJEM	VKLAD	13200	14900	\N	\N	\N
312248	1065	1993-05-26	PRIJEM	VKLAD	4300	20510	\N	\N	\N
312249	1065	1993-07-25	PRIJEM	VKLAD	1500	24762	\N	\N	\N
312250	1065	1993-08-24	PRIJEM	VKLAD	300	26452	\N	\N	\N
312251	1065	1993-09-23	VYDAJ	VYBER	17000	45689	\N	\N	\N
312252	1065	1993-10-23	VYDAJ	VYBER	12000	35166	\N	\N	\N
312253	1065	1993-11-22	VYDAJ	VYBER	4000	30280	\N	\N	\N
312254	1065	1993-12-22	VYDAJ	VYBER	15800	37194	\N	\N	\N
312255	1065	1994-01-21	VYDAJ	VYBER	5100	26822	\N	\N	\N
312256	1065	1994-04-21	VYDAJ	VYBER	700	24888	\N	\N	\N
312257	1065	1994-05-21	VYDAJ	VYBER	900	24974	\N	\N	\N
312258	1065	1994-06-20	PRIJEM	VKLAD	3000	17763	\N	\N	\N
312259	1065	1994-07-20	VYDAJ	VYBER	2600	30780	\N	\N	\N
312260	1065	1994-08-19	VYDAJ	VYBER	2300	29162	\N	\N	\N
312261	1065	1994-09-18	VYDAJ	VYBER	2700	27871	\N	\N	\N
312262	1065	1994-10-18	VYDAJ	VYBER	700	28575	\N	\N	\N
312263	1065	1994-11-17	VYDAJ	VYBER	1300	28678	\N	\N	\N
312264	1065	1994-12-17	VYDAJ	VYBER	22700	43041	\N	\N	\N
312265	1065	1995-01-16	VYDAJ	VYBER	2300	23034	\N	\N	\N
312266	1065	1995-02-15	PRIJEM	VKLAD	500	23477	\N	\N	\N
312267	1065	1995-03-17	VYDAJ	VYBER	800	24056	\N	\N	\N
312268	1065	1995-04-16	VYDAJ	VYBER	8300	34724	\N	\N	\N
312269	1065	1995-05-16	VYDAJ	VYBER	4100	30585	\N	\N	\N
312270	1065	1995-06-15	PRIJEM	VKLAD	6700	26752	\N	\N	\N
312271	1065	1995-07-15	PRIJEM	VKLAD	300	28452	\N	\N	\N
312272	1065	1995-08-14	VYDAJ	VYBER	1400	29757	\N	\N	\N
312273	1065	1995-09-13	PRIJEM	VKLAD	3500	31563	\N	\N	\N
312274	1065	1995-10-13	VYDAJ	VYBER	900	31173	\N	\N	\N
312275	1065	1995-11-12	PRIJEM	VKLAD	300	32892	\N	\N	\N
312276	1065	1995-12-12	VYDAJ	VYBER	1900	37600	\N	\N	\N
312277	1065	1996-01-11	PRIJEM	VKLAD	4500	33495	\N	\N	\N
312278	1065	1996-02-10	PRIJEM	VKLAD	6500	33816	\N	\N	\N
312279	1065	1996-03-11	PRIJEM	VKLAD	1400	34379	\N	\N	\N
312280	1065	1996-04-10	VYDAJ	VYBER	2100	31654	\N	\N	\N
312281	1065	1996-05-10	PRIJEM	VKLAD	3400	36477	\N	\N	\N
312282	1065	1996-06-09	PRIJEM	VKLAD	4500	28911	\N	\N	\N
312283	1065	1996-07-09	PRIJEM	VKLAD	3900	33419	\N	\N	\N
312284	1065	1996-08-08	VYDAJ	VYBER	2000	36037	\N	\N	\N
312285	1065	1996-09-07	VYDAJ	VYBER	7000	40496	\N	\N	\N
312286	1065	1996-10-07	VYDAJ	VYBER	1600	40367	\N	\N	\N
312287	1065	1996-11-06	VYDAJ	VYBER	2100	39724	\N	\N	\N
312288	1065	1996-12-06	VYDAJ	VYBER	1400	39780	\N	\N	\N
312289	1065	1997-01-05	VYDAJ	VYBER	2200	29629	\N	\N	\N
312290	1065	1997-02-04	PRIJEM	VKLAD	3900	24325	\N	\N	\N
312291	1065	1997-03-06	VYDAJ	VYBER	1600	24105	\N	\N	\N
312292	1065	1997-04-05	VYDAJ	VYBER	22100	42451	\N	\N	\N
312293	1065	1997-05-05	VYDAJ	VYBER	8400	35551	\N	\N	\N
312294	1065	1997-06-04	VYDAJ	VYBER	18200	45525	\N	\N	\N
312295	1065	1997-07-04	VYDAJ	VYBER	300	23223	\N	\N	\N
312296	1065	1997-08-03	VYDAJ	VYBER	1200	23407	\N	\N	\N
312297	1065	1997-09-02	VYDAJ	VYBER	2100	22692	\N	\N	\N
312298	1065	1997-10-02	PRIJEM	VKLAD	900	24976	\N	\N	\N
312299	1065	1997-11-01	VYDAJ	VYBER	1600	22511	\N	\N	\N
312300	1065	1997-12-01	VYDAJ	VYBER	3100	20794	\N	\N	\N
312301	1065	1997-12-31	PRIJEM	VKLAD	1000	21977	\N	\N	\N
312302	1065	1998-03-01	VYDAJ	VYBER	1300	16674	\N	\N	\N
312303	1065	1998-03-31	VYDAJ	VYBER	22700	31131	\N	\N	\N
312304	1065	1998-04-30	VYDAJ	VYBER	9000	23556	\N	\N	\N
312305	1065	1998-05-30	VYDAJ	VYBER	18800	22965	\N	\N	\N
312306	1065	1998-06-29	VYDAJ	VYBER	4100	16229	\N	\N	\N
312307	1065	1998-08-28	VYDAJ	VYBER	3500	15451	\N	\N	\N
312377	1066	1996-09-15	PRIJEM	VKLAD	900	900	\N	\N	\N
312379	1066	1996-10-06	PRIJEM	VKLAD	38314	39214	\N	\N	\N
312390	1066	1996-11-19	PRIJEM	VKLAD	12514	45906	\N	\N	\N
312391	1066	1996-12-06	PRIJEM	VKLAD	32867	78935	\N	\N	\N
312393	1066	1996-12-07	PRIJEM	VKLAD	34380	113315	\N	\N	\N
312395	1066	1997-10-18	PRIJEM	VKLAD	18025	61305	\N	\N	\N
312396	1066	1997-11-16	PRIJEM	VKLAD	43404	88100	\N	\N	\N
312397	1066	1997-04-22	PRIJEM	VKLAD	24632	110504	\N	\N	\N
312398	1066	1997-03-21	PRIJEM	VKLAD	38554	90431	\N	\N	\N
312399	1066	1997-06-22	PRIJEM	VKLAD	32158	61372	\N	\N	\N
312400	1066	1997-07-09	PRIJEM	VKLAD	26857	117675	\N	\N	\N
312401	1066	1997-05-09	PRIJEM	VKLAD	22006	86331	\N	\N	\N
312402	1066	1997-11-17	PRIJEM	VKLAD	26564	114664	\N	\N	\N
312403	1066	1997-06-08	PRIJEM	VKLAD	29060	95114	\N	\N	\N
312404	1066	1997-04-20	PRIJEM	VKLAD	42259	108472	\N	\N	\N
312405	1066	1997-05-28	PRIJEM	VKLAD	10201	65832	\N	\N	\N
312406	1066	1997-08-05	PRIJEM	VKLAD	6500	99808	\N	\N	\N
312407	1066	1997-03-02	PRIJEM	VKLAD	39074	132077	\N	\N	\N
312408	1066	1997-07-06	PRIJEM	VKLAD	47708	109287	\N	\N	\N
312409	1066	1997-02-06	PRIJEM	VKLAD	17102	56549	\N	\N	\N
312410	1066	1997-02-18	PRIJEM	VKLAD	49311	92760	\N	\N	\N
312411	1066	1997-08-04	PRIJEM	VKLAD	25749	93308	\N	\N	\N
312412	1066	1997-07-09	PRIJEM	VKLAD	30131	90818	\N	\N	\N
312413	1066	1997-10-12	PRIJEM	VKLAD	15043	43280	\N	\N	\N
312414	1066	1997-08-05	PRIJEM	VKLAD	41026	140834	\N	\N	\N
312415	1066	1998-07-04	PRIJEM	VKLAD	31862	126810	\N	\N	\N
312416	1066	1998-08-18	PRIJEM	VKLAD	17707	112407	\N	\N	\N
312417	1066	1998-05-04	PRIJEM	VKLAD	5021	88030	\N	\N	\N
312418	1066	1998-08-25	PRIJEM	VKLAD	45718	136225	\N	\N	\N
312419	1066	1998-04-14	PRIJEM	VKLAD	28360	82687	\N	\N	\N
312420	1066	1998-11-25	PRIJEM	VKLAD	41958	96614	\N	\N	\N
312421	1066	1998-05-07	PRIJEM	VKLAD	5182	93212	\N	\N	\N
312422	1066	1998-08-05	PRIJEM	VKLAD	19263	60790	\N	\N	\N
312423	1066	1998-07-09	PRIJEM	VKLAD	34124	105534	\N	\N	\N
312424	1066	1998-09-23	PRIJEM	VKLAD	38500	88643	\N	\N	\N
312425	1066	1998-12-19	PRIJEM	VKLAD	16113	100326	\N	\N	\N
312426	1066	1998-12-07	PRIJEM	VKLAD	46146	130970	\N	\N	\N
312427	1066	1998-06-28	PRIJEM	VKLAD	37572	94682	\N	\N	\N
312428	1066	1998-07-20	PRIJEM	VKLAD	38116	115659	\N	\N	\N
312429	1066	1998-03-24	PRIJEM	VKLAD	44868	79916	\N	\N	\N
312430	1066	1998-12-10	PRIJEM	VKLAD	9843	112713	\N	\N	\N
312431	1066	1998-08-09	PRIJEM	VKLAD	25017	73107	\N	\N	\N
312432	1066	1998-02-01	PRIJEM	VKLAD	7605	28898	\N	\N	\N
312433	1066	1998-07-18	PRIJEM	VKLAD	17639	90873	\N	\N	\N
312434	1066	1998-05-25	PRIJEM	VKLAD	11101	77013	\N	\N	\N
312435	1066	1998-12-01	PRIJEM	VKLAD	48160	145024	\N	\N	\N
312436	1066	1998-10-23	PRIJEM	VKLAD	7283	59795	\N	\N	\N
312437	1066	1998-03-28	PRIJEM	VKLAD	27262	107178	\N	\N	\N
312438	1066	1998-02-07	PRIJEM	VKLAD	30430	59328	\N	\N	\N
312439	1066	1998-08-15	PRIJEM	VKLAD	21593	94700	\N	\N	\N
312451	1066	1997-12-07	VYBER	VYBER	4785	89110	\N	\N	\N
312452	1066	1998-06-16	VYBER	VYBER	5775	57110	\N	\N	\N
312453	1066	1998-04-09	VYBER	VYBER	17040	54327	\N	\N	\N
312454	1066	1998-07-18	VYBER	VYBER	13330	77543	\N	\N	\N
312455	1066	1998-02-20	VYBER	VYBER	11635	37993	\N	\N	\N
312456	1066	1998-12-30	VYBER	VYBER	17168	78958	\N	\N	\N
312458	1066	1997-06-08	VYDAJ	VYBER	62700	32414	\N	\N	\N
312462	1066	1998-01-13	VYDAJ	VYBER	12000	26267	\N	\N	\N
312464	1066	1997-12-09	VYDAJ	VYBER	6000	60110	\N	\N	\N
312465	1066	1998-12-23	VYDAJ	VYBER	4200	96126	\N	\N	\N
312480	1066	1998-01-13	VYDAJ	VYBER	6000	38267	\N	\N	\N
312481	1066	1998-01-07	VYDAJ	VYBER	3600	53167	\N	\N	\N
312482	1066	1998-01-06	VYDAJ	VYBER	3600	56767	\N	\N	\N
312483	1066	1998-01-29	VYDAJ	VYBER	1800	21167	\N	\N	\N
312489	1066	1997-10-04	VYDAJ	VYBER	10800	42737	\N	\N	\N
312490	1066	1997-06-13	VYDAJ	VYBER	10200	29214	\N	\N	\N
312491	1066	1997-05-14	VYDAJ	VYBER	7800	55631	\N	\N	\N
312492	1066	1997-10-09	VYDAJ	VYBER	9600	33137	\N	\N	\N
312493	1066	1997-10-11	VYDAJ	VYBER	3900	28237	\N	\N	\N
312494	1066	1998-01-19	VYDAJ	VYBER	3300	22967	\N	\N	\N
312495	1066	1998-10-14	VYDAJ	VYBER	13800	52512	\N	\N	\N
312496	1066	1998-07-27	VYDAJ	VYBER	11100	41259	\N	\N	\N
312511	1066	1997-02-28	VYDAJ	VYBER	30	93003	SLUZBY	\N	\N
312512	1066	1997-03-31	VYDAJ	VYBER	30	90713	SLUZBY	\N	\N
312513	1066	1997-04-30	VYDAJ	VYBER	30	64325	SLUZBY	\N	\N
312514	1066	1997-05-31	VYDAJ	VYBER	30	66054	SLUZBY	\N	\N
312515	1066	1997-06-30	VYDAJ	VYBER	30	61579	SLUZBY	\N	\N
312516	1066	1997-07-31	VYDAJ	VYBER	30	67559	SLUZBY	\N	\N
312517	1066	1997-08-31	VYDAJ	VYBER	30	64101	SLUZBY	\N	\N
312518	1066	1997-09-30	VYDAJ	VYBER	30	53537	SLUZBY	\N	\N
312519	1066	1997-10-31	VYDAJ	VYBER	30	61496	SLUZBY	\N	\N
312520	1066	1997-11-30	VYDAJ	VYBER	30	93895	SLUZBY	\N	\N
312521	1066	1997-12-31	VYDAJ	VYBER	30	60367	SLUZBY	\N	\N
312522	1066	1998-01-31	VYDAJ	VYBER	30	21293	SLUZBY	\N	\N
312523	1066	1998-02-28	VYDAJ	VYBER	30	38148	SLUZBY	\N	\N
312524	1066	1998-03-31	VYDAJ	VYBER	30	107367	SLUZBY	\N	\N
312525	1066	1998-04-30	VYDAJ	VYBER	30	83009	SLUZBY	\N	\N
312526	1066	1998-05-31	VYDAJ	VYBER	30	77285	SLUZBY	\N	\N
312527	1066	1998-06-30	VYDAJ	VYBER	30	94948	SLUZBY	\N	\N
312528	1066	1998-07-31	VYDAJ	VYBER	30	41527	SLUZBY	\N	\N
312529	1066	1998-08-31	VYDAJ	VYBER	30	109643	SLUZBY	\N	\N
312530	1066	1998-09-30	VYDAJ	VYBER	30	88912	SLUZBY	\N	\N
312531	1066	1998-10-31	VYDAJ	VYBER	30	60056	SLUZBY	\N	\N
312532	1066	1998-11-30	VYDAJ	VYBER	30	96864	SLUZBY	\N	\N
312533	1066	1996-10-15	VYDAJ	VYBER	5000	34214	\N	\N	\N
312534	1066	1996-11-14	VYDAJ	VYBER	900	33392	\N	\N	\N
312535	1066	1996-12-07	VYDAJ	VYBER	44700	68615	\N	\N	\N
312536	1066	1996-12-14	VYDAJ	VYBER	18500	50115	\N	\N	\N
312537	1066	1997-01-13	VYDAJ	VYBER	11100	39238	\N	\N	\N
312538	1066	1997-02-12	VYDAJ	VYBER	13100	43449	\N	\N	\N
312539	1066	1997-03-02	VYDAJ	VYBER	59200	72877	\N	\N	\N
312540	1066	1997-03-14	VYDAJ	VYBER	21000	51877	\N	\N	\N
312541	1066	1997-04-13	VYDAJ	VYBER	24500	66213	\N	\N	\N
312542	1066	1997-04-20	VYDAJ	VYBER	22600	85872	\N	\N	\N
312543	1066	1997-04-22	VYDAJ	VYBER	46500	64004	\N	\N	\N
312544	1066	1997-05-13	VYDAJ	VYBER	22900	63431	\N	\N	\N
312545	1066	1997-06-12	PRIJEM	VKLAD	7000	39414	\N	\N	\N
312546	1066	1997-07-06	VYDAJ	VYBER	48600	60687	\N	\N	\N
312547	1066	1997-07-09	VYDAJ	VYBER	32500	85175	\N	\N	\N
312548	1066	1997-07-12	VYDAJ	VYBER	17900	67275	\N	\N	\N
312549	1066	1997-08-05	VYDAJ	VYBER	58000	82834	\N	\N	\N
312550	1066	1997-08-11	VYDAJ	VYBER	19000	63834	\N	\N	\N
312551	1066	1997-09-10	VYDAJ	VYBER	10800	53301	\N	\N	\N
312552	1066	1997-10-10	VYDAJ	VYBER	1000	32137	\N	\N	\N
312553	1066	1997-11-09	VYDAJ	VYBER	16800	44696	\N	\N	\N
312554	1066	1997-11-17	VYDAJ	VYBER	21100	93564	\N	\N	\N
312555	1066	1997-12-09	VYDAJ	VYBER	23000	66110	\N	\N	\N
312556	1066	1998-01-08	VYDAJ	VYBER	8900	44267	\N	\N	\N
312557	1066	1998-02-07	VYDAJ	VYBER	9700	49628	\N	\N	\N
312558	1066	1998-03-09	VYDAJ	VYBER	3100	35048	\N	\N	\N
312559	1066	1998-04-08	VYDAJ	VYBER	36000	71367	\N	\N	\N
312560	1066	1998-05-08	VYDAJ	VYBER	27300	65912	\N	\N	\N
312561	1066	1998-06-07	VYDAJ	VYBER	14400	62885	\N	\N	\N
312562	1066	1998-07-04	VYDAJ	VYBER	24900	101910	\N	\N	\N
312563	1066	1998-07-07	VYDAJ	VYBER	30500	71410	\N	\N	\N
312564	1066	1998-07-09	VYDAJ	VYBER	32300	73234	\N	\N	\N
312565	1066	1998-07-20	VYDAJ	VYBER	63300	52359	\N	\N	\N
312566	1066	1998-08-06	VYDAJ	VYBER	12700	48090	\N	\N	\N
312567	1066	1998-08-18	VYDAJ	VYBER	21900	90507	\N	\N	\N
312568	1066	1998-08-25	VYDAJ	VYBER	26900	109325	\N	\N	\N
312569	1066	1998-08-31	VYDAJ	VYBER	44100	65543	\N	\N	\N
312570	1066	1998-09-05	VYDAJ	VYBER	15400	50143	\N	\N	\N
312571	1066	1998-10-05	VYDAJ	VYBER	22600	66312	\N	\N	\N
312572	1066	1998-11-04	VYDAJ	VYBER	5400	54656	\N	\N	\N
312573	1066	1998-12-01	VYDAJ	VYBER	24500	120524	\N	\N	\N
312574	1066	1998-12-04	VYDAJ	VYBER	35700	84824	\N	\N	\N
312575	1066	1998-12-07	VYDAJ	VYBER	28100	102870	\N	\N	\N
312576	1066	1998-12-10	VYDAJ	VYBER	28500	84213	\N	\N	\N
312604	1067	1996-09-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
312605	1067	1996-12-01	PRIJEM	VKLAD	38761	115242	\N	\N	\N
312609	1067	1996-12-05	PRIJEM	VKLAD	49446	127788	\N	\N	\N
312610	1067	1996-11-22	PRIJEM	VKLAD	26566	76248	\N	\N	\N
312611	1067	1996-11-06	PRIJEM	VKLAD	45227	78582	\N	\N	\N
312615	1067	1996-09-19	PRIJEM	VKLAD	42004	43004	\N	\N	\N
312621	1067	1997-10-31	PRIJEM	VKLAD	27776	110698	\N	\N	\N
312622	1067	1997-02-12	PRIJEM	VKLAD	8374	20584	\N	\N	\N
312623	1067	1997-05-26	PRIJEM	VKLAD	21722	89020	\N	\N	\N
312624	1067	1997-11-28	PRIJEM	VKLAD	11033	83545	\N	\N	\N
312625	1067	1997-09-28	PRIJEM	VKLAD	20007	115334	\N	\N	\N
312626	1067	1997-11-21	PRIJEM	VKLAD	34820	72512	\N	\N	\N
312627	1067	1997-07-19	PRIJEM	VKLAD	47079	68545	\N	\N	\N
312628	1067	1997-10-31	PRIJEM	VKLAD	35386	146084	\N	\N	\N
312629	1067	1997-05-11	PRIJEM	VKLAD	24422	67298	\N	\N	\N
312630	1067	1997-04-12	PRIJEM	VKLAD	31707	58111	\N	\N	\N
312631	1067	1997-09-22	PRIJEM	VKLAD	38445	95327	\N	\N	\N
312632	1067	1997-10-26	PRIJEM	VKLAD	42101	82922	\N	\N	\N
312633	1067	1997-08-08	PRIJEM	VKLAD	34627	80039	\N	\N	\N
312634	1067	1997-08-11	PRIJEM	VKLAD	31490	103718	\N	\N	\N
312635	1067	1997-12-18	PRIJEM	VKLAD	17903	69738	\N	\N	\N
312636	1067	1998-10-05	PRIJEM	VKLAD	10687	71358	\N	\N	\N
312637	1067	1998-05-21	PRIJEM	VKLAD	37876	135213	\N	\N	\N
312638	1067	1998-03-13	PRIJEM	VKLAD	13196	75715	\N	\N	\N
312639	1067	1998-11-16	PRIJEM	VKLAD	44214	135178	\N	\N	\N
312640	1067	1998-11-18	PRIJEM	VKLAD	14104	95982	\N	\N	\N
312641	1067	1998-03-27	PRIJEM	VKLAD	42126	140773	\N	\N	\N
312642	1067	1998-09-29	PRIJEM	VKLAD	37958	132340	\N	\N	\N
312643	1067	1998-11-29	PRIJEM	VKLAD	10651	106633	\N	\N	\N
312644	1067	1998-01-18	PRIJEM	VKLAD	14250	33141	\N	\N	\N
312645	1067	1998-05-28	PRIJEM	VKLAD	18348	133961	\N	\N	\N
312646	1067	1998-05-06	PRIJEM	VKLAD	48123	115124	\N	\N	\N
312647	1067	1998-10-25	PRIJEM	VKLAD	49618	113165	\N	\N	\N
312648	1067	1998-09-06	PRIJEM	VKLAD	27320	102193	\N	\N	\N
312649	1067	1998-09-06	PRIJEM	VKLAD	22287	74873	\N	\N	\N
312650	1067	1998-01-19	PRIJEM	VKLAD	5391	38532	\N	\N	\N
312651	1067	1998-01-24	PRIJEM	VKLAD	41430	120019	\N	\N	\N
312652	1067	1998-02-03	PRIJEM	VKLAD	11147	57640	\N	\N	\N
312653	1067	1998-11-11	PRIJEM	VKLAD	34452	90964	\N	\N	\N
312654	1067	1998-01-20	PRIJEM	VKLAD	49357	87889	\N	\N	\N
312655	1067	1998-05-29	PRIJEM	VKLAD	27416	105877	\N	\N	\N
312656	1067	1998-12-24	PRIJEM	VKLAD	22707	112506	\N	\N	\N
312657	1067	1998-04-07	PRIJEM	VKLAD	27620	99317	\N	\N	\N
312658	1067	1998-03-11	PRIJEM	VKLAD	25002	62519	\N	\N	\N
312659	1067	1998-05-08	PRIJEM	VKLAD	7424	105148	\N	\N	\N
312660	1067	1998-12-10	PRIJEM	VKLAD	15616	74569	\N	\N	\N
312661	1067	1998-03-21	PRIJEM	VKLAD	34332	110047	\N	\N	\N
312662	1067	1998-06-07	PRIJEM	VKLAD	45200	100401	\N	\N	\N
312663	1067	1998-09-01	PRIJEM	VKLAD	7316	52586	\N	\N	\N
312664	1067	1998-12-16	PRIJEM	VKLAD	42630	117199	\N	\N	\N
312676	1067	1996-12-08	VYDAJ	PREVOD NA UCET	7811	95577	SIPO	AB	90449589
312677	1067	1997-01-08	VYDAJ	PREVOD NA UCET	7811	17837	SIPO	AB	90449589
312678	1067	1997-02-08	VYDAJ	PREVOD NA UCET	7811	12210	SIPO	AB	90449589
312679	1067	1997-03-08	VYDAJ	PREVOD NA UCET	7811	12836	SIPO	AB	90449589
312680	1067	1997-04-08	VYDAJ	PREVOD NA UCET	7811	26404	SIPO	AB	90449589
312681	1067	1997-05-08	VYDAJ	PREVOD NA UCET	7811	50476	SIPO	AB	90449589
312682	1067	1997-06-08	VYDAJ	PREVOD NA UCET	7811	53675	SIPO	AB	90449589
312683	1067	1997-07-08	VYDAJ	PREVOD NA UCET	7811	21466	SIPO	AB	90449589
312684	1067	1997-08-08	VYDAJ	PREVOD NA UCET	7811	72228	SIPO	AB	90449589
312685	1067	1997-09-08	VYDAJ	PREVOD NA UCET	7811	56882	SIPO	AB	90449589
312686	1067	1997-10-08	VYDAJ	PREVOD NA UCET	7811	40821	SIPO	AB	90449589
312687	1067	1997-11-08	VYDAJ	PREVOD NA UCET	7811	37692	SIPO	AB	90449589
312688	1067	1997-12-08	VYDAJ	PREVOD NA UCET	7811	51835	SIPO	AB	90449589
312689	1067	1998-01-08	VYDAJ	PREVOD NA UCET	7811	18891	SIPO	AB	90449589
312690	1067	1998-02-08	VYDAJ	PREVOD NA UCET	7811	49829	SIPO	AB	90449589
312691	1067	1998-03-08	VYDAJ	PREVOD NA UCET	7811	37517	SIPO	AB	90449589
312692	1067	1998-04-08	VYDAJ	PREVOD NA UCET	7811	91506	SIPO	AB	90449589
312693	1067	1998-05-08	VYDAJ	PREVOD NA UCET	7811	97337	SIPO	AB	90449589
312694	1067	1998-06-08	VYDAJ	PREVOD NA UCET	7811	92590	SIPO	AB	90449589
312695	1067	1998-07-08	VYDAJ	PREVOD NA UCET	7811	52989	SIPO	AB	90449589
312696	1067	1998-08-08	VYDAJ	PREVOD NA UCET	7811	41102	SIPO	AB	90449589
312697	1067	1998-09-08	VYDAJ	PREVOD NA UCET	7811	94382	SIPO	AB	90449589
312698	1067	1998-10-08	VYDAJ	PREVOD NA UCET	7811	63547	SIPO	AB	90449589
312699	1067	1998-11-08	VYDAJ	PREVOD NA UCET	7811	56512	SIPO	AB	90449589
312700	1067	1998-12-08	VYDAJ	PREVOD NA UCET	7811	64053	SIPO	AB	90449589
312704	1067	1997-06-18	VYDAJ	VYBER	22800	30875	\N	\N	\N
312705	1067	1998-06-14	VYDAJ	VYBER	20100	72490	\N	\N	\N
312707	1067	1997-01-04	VYDAJ	VYBER	21300	31048	\N	\N	\N
312708	1067	1998-01-06	VYDAJ	VYBER	27600	26702	\N	\N	\N
312709	1067	1996-12-27	VYDAJ	VYBER	4200	58077	\N	\N	\N
312710	1067	1997-12-27	VYDAJ	VYBER	2700	67038	\N	\N	\N
312711	1067	1998-12-08	VYDAJ	VYBER	5100	58953	\N	\N	\N
312719	1067	1997-01-03	VYDAJ	VYBER	6000	52348	\N	\N	\N
312724	1067	1998-01-20	VYDAJ	VYBER	5700	78589	\N	\N	\N
312725	1067	1998-01-24	VYDAJ	VYBER	8100	55819	\N	\N	\N
312726	1067	1998-01-20	VYDAJ	VYBER	3600	84289	\N	\N	\N
312728	1067	1998-01-25	VYDAJ	VYBER	5400	50419	\N	\N	\N
312737	1067	1997-08-11	VYDAJ	VYBER	4500	99218	\N	\N	\N
312739	1067	1997-01-08	VYDAJ	VYBER	12000	25648	\N	\N	\N
312740	1067	1998-06-03	VYDAJ	VYBER	9900	64201	\N	\N	\N
312741	1067	1998-06-05	VYDAJ	VYBER	9000	55201	\N	\N	\N
312742	1067	1998-03-25	VYDAJ	VYBER	11400	98647	\N	\N	\N
312755	1067	1996-12-31	VYDAJ	VYBER	15	58348	SLUZBY	\N	\N
312756	1067	1997-01-31	VYDAJ	VYBER	15	17921	SLUZBY	\N	\N
312757	1067	1997-02-28	VYDAJ	VYBER	15	20647	SLUZBY	\N	\N
312758	1067	1997-03-31	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
312759	1067	1997-04-30	VYDAJ	VYBER	15	58287	SLUZBY	\N	\N
312760	1067	1997-05-31	VYDAJ	VYBER	15	89286	SLUZBY	\N	\N
312761	1067	1997-06-30	VYDAJ	VYBER	15	31077	SLUZBY	\N	\N
312762	1067	1997-07-31	VYDAJ	VYBER	15	68712	SLUZBY	\N	\N
312763	1067	1997-08-31	VYDAJ	VYBER	15	99593	SLUZBY	\N	\N
312764	1067	1997-09-30	VYDAJ	VYBER	15	63032	SLUZBY	\N	\N
312765	1067	1997-10-31	VYDAJ	VYBER	15	146303	SLUZBY	\N	\N
312766	1067	1997-11-30	VYDAJ	VYBER	15	83846	SLUZBY	\N	\N
312767	1067	1997-12-31	VYDAJ	VYBER	15	67302	SLUZBY	\N	\N
312768	1067	1998-01-31	VYDAJ	VYBER	15	50593	SLUZBY	\N	\N
312769	1067	1998-02-28	VYDAJ	VYBER	15	50028	SLUZBY	\N	\N
312770	1067	1998-03-31	VYDAJ	VYBER	15	124797	SLUZBY	\N	\N
312771	1067	1998-04-30	VYDAJ	VYBER	15	91901	SLUZBY	\N	\N
312772	1067	1998-05-31	VYDAJ	VYBER	15	106301	SLUZBY	\N	\N
312773	1067	1998-06-30	VYDAJ	VYBER	15	72800	SLUZBY	\N	\N
312774	1067	1998-07-31	VYDAJ	VYBER	15	53213	SLUZBY	\N	\N
312775	1067	1998-08-31	VYDAJ	VYBER	15	45270	SLUZBY	\N	\N
312776	1067	1998-09-30	VYDAJ	VYBER	15	60671	SLUZBY	\N	\N
312777	1067	1998-10-31	VYDAJ	VYBER	15	64323	SLUZBY	\N	\N
312778	1067	1998-11-30	VYDAJ	VYBER	15	71864	SLUZBY	\N	\N
312779	1067	1996-10-10	VYDAJ	VYBER	9900	33176	\N	\N	\N
312780	1067	1996-11-09	VYDAJ	VYBER	28900	49682	\N	\N	\N
312781	1067	1996-12-01	VYDAJ	VYBER	36900	78342	\N	\N	\N
312782	1067	1996-12-05	VYDAJ	VYBER	24400	103388	\N	\N	\N
312783	1067	1996-12-09	VYDAJ	VYBER	33300	62277	\N	\N	\N
312784	1067	1997-01-08	PRIJEM	VKLAD	6600	37648	\N	\N	\N
312785	1067	1997-02-07	PRIJEM	VKLAD	2100	20021	\N	\N	\N
312786	1067	1997-03-09	PRIJEM	VKLAD	10100	22936	\N	\N	\N
312787	1067	1997-04-08	PRIJEM	VKLAD	11200	34215	\N	\N	\N
312788	1067	1997-05-08	VYDAJ	VYBER	7600	42876	\N	\N	\N
312789	1067	1997-06-07	VYDAJ	VYBER	27800	61486	\N	\N	\N
312790	1067	1997-07-07	VYDAJ	VYBER	1800	29277	\N	\N	\N
312791	1067	1997-08-06	VYDAJ	VYBER	23300	45412	\N	\N	\N
312792	1067	1997-09-05	VYDAJ	VYBER	34900	64693	\N	\N	\N
312793	1067	1997-09-28	VYDAJ	VYBER	52600	62734	\N	\N	\N
312794	1067	1997-10-05	VYDAJ	VYBER	14400	48632	\N	\N	\N
312795	1067	1997-10-31	VYDAJ	VYBER	29700	116603	\N	\N	\N
312796	1067	1997-10-31	VYDAJ	VYBER	58000	58603	\N	\N	\N
312797	1067	1997-11-04	VYDAJ	VYBER	13100	45503	\N	\N	\N
312798	1067	1997-12-04	VYDAJ	VYBER	24200	59646	\N	\N	\N
312799	1067	1998-01-03	VYDAJ	VYBER	13000	54302	\N	\N	\N
312800	1067	1998-01-24	VYDAJ	VYBER	56100	63919	\N	\N	\N
312801	1067	1998-02-02	VYDAJ	VYBER	4100	46493	\N	\N	\N
312802	1067	1998-03-04	VYDAJ	VYBER	4700	45328	\N	\N	\N
312803	1067	1998-03-27	VYDAJ	VYBER	16300	124473	\N	\N	\N
312804	1067	1998-03-31	VYDAJ	VYBER	22500	102297	\N	\N	\N
312805	1067	1998-04-03	VYDAJ	VYBER	30600	71697	\N	\N	\N
312806	1067	1998-05-03	VYDAJ	VYBER	24900	67001	\N	\N	\N
312807	1067	1998-05-06	VYDAJ	VYBER	17400	97724	\N	\N	\N
312808	1067	1998-05-21	VYDAJ	VYBER	19600	115613	\N	\N	\N
312809	1067	1998-05-28	VYDAJ	VYBER	55500	78461	\N	\N	\N
312810	1067	1998-06-02	VYDAJ	VYBER	32200	74101	\N	\N	\N
312811	1067	1998-07-02	VYDAJ	VYBER	12000	60800	\N	\N	\N
312812	1067	1998-08-01	VYDAJ	VYBER	4300	48913	\N	\N	\N
312813	1067	1998-08-31	PRIJEM	VKLAD	4000	45102	\N	\N	\N
312814	1067	1998-09-29	VYDAJ	VYBER	56600	75740	\N	\N	\N
312815	1067	1998-09-30	VYDAJ	VYBER	15400	60685	\N	\N	\N
312816	1067	1998-10-25	VYDAJ	VYBER	32300	80865	\N	\N	\N
312817	1067	1998-10-30	VYDAJ	VYBER	16800	64065	\N	\N	\N
312818	1067	1998-11-16	VYDAJ	VYBER	53300	81878	\N	\N	\N
312819	1067	1998-11-29	VYDAJ	VYBER	35100	71533	\N	\N	\N
312820	1067	1998-12-16	VYDAJ	VYBER	27400	89799	\N	\N	\N
312821	1067	1998-12-24	VYDAJ	VYBER	40900	71606	\N	\N	\N
312850	1068	1997-02-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
312853	1068	1997-03-02	PRIJEM	VKLAD	38515	39515	\N	\N	\N
312854	1068	1997-07-04	PRIJEM	VKLAD	24203	71805	\N	\N	\N
312855	1068	1997-05-21	PRIJEM	VKLAD	21839	65765	\N	\N	\N
312856	1068	1997-03-13	PRIJEM	VKLAD	36041	75556	\N	\N	\N
312857	1068	1997-12-07	PRIJEM	VKLAD	10630	34279	\N	\N	\N
312858	1068	1997-04-10	PRIJEM	VKLAD	45392	96491	\N	\N	\N
312859	1068	1997-12-25	PRIJEM	VKLAD	6921	69988	\N	\N	\N
312860	1068	1997-12-14	PRIJEM	VKLAD	31198	63067	\N	\N	\N
312862	1068	1998-05-09	PRIJEM	VKLAD	5753	25043	\N	\N	\N
312863	1068	1998-08-27	PRIJEM	VKLAD	46619	75157	\N	\N	\N
312870	1068	1997-07-07	VYDAJ	VYBER	4500	66673	\N	\N	0
312871	1068	1997-08-12	VYDAJ	VYBER	3300	19494	\N	\N	0
312872	1068	1997-09-09	VYDAJ	VYBER	3600	14715	\N	\N	0
312873	1068	1997-10-12	VYDAJ	VYBER	3200	10274	\N	\N	0
312874	1068	1997-11-02	VYDAJ	VYBER	4800	17947	\N	\N	0
312875	1068	1997-12-08	VYDAJ	VYBER	2500	27042	\N	\N	0
312876	1068	1998-01-11	VYDAJ	VYBER	2600	28609	\N	\N	0
312877	1068	1998-02-22	VYDAJ	VYBER	6200	21791	\N	\N	0
312878	1068	1998-02-24	VYDAJ	VYBER	3300	18491	\N	\N	0
312879	1068	1998-04-20	VYDAJ	VYBER	2300	24571	\N	\N	0
312880	1068	1998-05-22	VYDAJ	VYBER	4500	25870	\N	\N	0
312881	1068	1998-06-09	VYDAJ	VYBER	3000	14324	\N	\N	0
312882	1068	1998-06-29	VYDAJ	VYBER	4200	23124	\N	\N	0
312883	1068	1998-08-09	VYDAJ	VYBER	6000	37511	\N	\N	0
312884	1068	1998-09-05	VYDAJ	VYBER	4200	71101	\N	\N	0
312885	1068	1998-10-12	VYDAJ	PREVOD NA UCET	4220	40658	UVER	ST	2958560
312886	1068	1998-11-12	VYDAJ	PREVOD NA UCET	4220	34261	UVER	ST	2958560
312887	1068	1998-12-12	VYDAJ	PREVOD NA UCET	4220	31786	UVER	ST	2958560
312894	1068	1997-07-08	VYDAJ	PREVOD NA UCET	4737	61936	SIPO	AB	6389087
312895	1068	1997-08-08	VYDAJ	PREVOD NA UCET	4737	26067	SIPO	AB	6389087
312896	1068	1997-09-08	VYDAJ	PREVOD NA UCET	4737	18315	SIPO	AB	6389087
312897	1068	1997-10-08	VYDAJ	PREVOD NA UCET	4737	16747	SIPO	AB	6389087
312898	1068	1997-11-08	VYDAJ	PREVOD NA UCET	4737	12578	SIPO	AB	6389087
312899	1068	1997-12-08	VYDAJ	PREVOD NA UCET	4737	29542	SIPO	AB	6389087
312900	1068	1998-01-08	VYDAJ	PREVOD NA UCET	4737	35817	SIPO	AB	6389087
312901	1068	1998-02-08	VYDAJ	PREVOD NA UCET	4737	20364	SIPO	AB	6389087
312902	1068	1998-03-08	VYDAJ	PREVOD NA UCET	4737	13210	SIPO	AB	6389087
312903	1068	1998-04-08	VYDAJ	PREVOD NA UCET	4737	19944	SIPO	AB	6389087
312904	1068	1998-05-08	VYDAJ	PREVOD NA UCET	4737	19290	SIPO	AB	6389087
312905	1068	1998-06-08	VYDAJ	PREVOD NA UCET	4737	20597	SIPO	AB	6389087
312906	1068	1998-07-08	VYDAJ	PREVOD NA UCET	4737	17849	SIPO	AB	6389087
312907	1068	1998-08-08	VYDAJ	PREVOD NA UCET	4737	26411	SIPO	AB	6389087
312908	1068	1998-09-08	VYDAJ	PREVOD NA UCET	4737	60988	SIPO	AB	6389087
312909	1068	1998-10-08	VYDAJ	PREVOD NA UCET	4737	48151	SIPO	AB	6389087
312910	1068	1998-11-08	VYDAJ	PREVOD NA UCET	4737	41754	SIPO	AB	6389087
312911	1068	1998-12-08	VYDAJ	PREVOD NA UCET	4737	39279	SIPO	AB	6389087
312918	1068	1997-07-09	VYDAJ	PREVOD NA UCET	3273	58663	 	YZ	29813301
312919	1068	1997-08-09	VYDAJ	PREVOD NA UCET	3273	22794	 	YZ	29813301
312920	1068	1997-09-09	VYDAJ	PREVOD NA UCET	3273	11442	 	YZ	29813301
312921	1068	1997-10-09	VYDAJ	PREVOD NA UCET	3273	13474	 	YZ	29813301
312922	1068	1997-11-09	VYDAJ	PREVOD NA UCET	3273	9305	 	YZ	29813301
312923	1068	1997-12-09	VYDAJ	PREVOD NA UCET	3273	23769	 	YZ	29813301
312924	1068	1998-01-09	VYDAJ	PREVOD NA UCET	3273	32544	 	YZ	29813301
312925	1068	1998-02-09	VYDAJ	PREVOD NA UCET	3273	17091	 	YZ	29813301
312926	1068	1998-03-09	VYDAJ	PREVOD NA UCET	3273	9937	 	YZ	29813301
312927	1068	1998-04-09	VYDAJ	PREVOD NA UCET	3273	16671	 	YZ	29813301
312928	1068	1998-05-09	VYDAJ	PREVOD NA UCET	3273	21770	 	YZ	29813301
312929	1068	1998-06-09	VYDAJ	PREVOD NA UCET	3273	17324	 	YZ	29813301
312930	1068	1998-07-09	VYDAJ	PREVOD NA UCET	3273	14576	 	YZ	29813301
312931	1068	1998-08-09	VYDAJ	PREVOD NA UCET	3273	34238	 	YZ	29813301
312932	1068	1998-09-09	VYDAJ	PREVOD NA UCET	3273	51215	 	YZ	29813301
312933	1068	1998-10-09	VYDAJ	PREVOD NA UCET	3273	44878	 	YZ	29813301
312934	1068	1998-11-09	VYDAJ	PREVOD NA UCET	3273	38481	 	YZ	29813301
312935	1068	1998-12-09	VYDAJ	PREVOD NA UCET	3273	36006	 	YZ	29813301
312942	1068	1997-07-06	VYDAJ	PREVOD NA UCET	632	71173	POJISTNE	CD	73765313
312943	1068	1997-08-06	VYDAJ	PREVOD NA UCET	632	30804	POJISTNE	CD	73765313
312944	1068	1997-09-06	VYDAJ	PREVOD NA UCET	632	23052	POJISTNE	CD	73765313
312945	1068	1997-10-06	VYDAJ	PREVOD NA UCET	632	21484	POJISTNE	CD	73765313
312946	1068	1997-11-06	VYDAJ	PREVOD NA UCET	632	17315	POJISTNE	CD	73765313
312947	1068	1997-12-06	VYDAJ	PREVOD NA UCET	632	23649	POJISTNE	CD	73765313
312948	1068	1998-01-06	VYDAJ	PREVOD NA UCET	632	45054	POJISTNE	CD	73765313
312949	1068	1998-02-06	VYDAJ	PREVOD NA UCET	632	25101	POJISTNE	CD	73765313
312950	1068	1998-03-06	VYDAJ	PREVOD NA UCET	632	17947	POJISTNE	CD	73765313
312951	1068	1998-04-06	VYDAJ	PREVOD NA UCET	632	24681	POJISTNE	CD	73765313
312952	1068	1998-05-06	VYDAJ	PREVOD NA UCET	632	24027	POJISTNE	CD	73765313
312953	1068	1998-06-06	VYDAJ	PREVOD NA UCET	632	25334	POJISTNE	CD	73765313
312954	1068	1998-07-06	VYDAJ	PREVOD NA UCET	632	22586	POJISTNE	CD	73765313
312955	1068	1998-08-06	VYDAJ	PREVOD NA UCET	632	31148	POJISTNE	CD	73765313
312956	1068	1998-09-06	VYDAJ	PREVOD NA UCET	632	70469	POJISTNE	CD	73765313
312957	1068	1998-10-06	VYDAJ	PREVOD NA UCET	632	48188	POJISTNE	CD	73765313
312958	1068	1998-11-06	VYDAJ	PREVOD NA UCET	632	40191	POJISTNE	CD	73765313
312959	1068	1998-12-06	VYDAJ	PREVOD NA UCET	632	27716	POJISTNE	CD	73765313
312963	1068	1998-01-05	VYBER	VYBER	4092	45686	\N	\N	\N
312966	1068	1998-11-26	VYBER	VYBER	6046	28215	\N	\N	\N
312967	1068	1998-01-10	VYBER	VYBER	9035	23509	\N	\N	\N
312968	1068	1998-09-22	VYBER	VYBER	2612	48603	\N	\N	\N
312970	1068	1998-09-07	VYBER	VYBER	4744	65725	\N	\N	\N
312976	1068	1998-01-04	VYDAJ	VYBER	9900	60278	\N	\N	\N
312978	1068	1998-12-23	VYDAJ	VYBER	1800	29986	\N	\N	\N
312985	1068	1998-01-04	VYDAJ	VYBER	4200	49778	\N	\N	\N
312987	1068	1998-01-04	VYDAJ	VYBER	6300	53978	\N	\N	\N
312988	1068	1998-01-13	VYDAJ	VYBER	3000	25609	\N	\N	\N
312989	1068	1998-01-06	VYDAJ	VYBER	4500	40554	\N	\N	\N
312991	1068	1997-07-19	VYDAJ	VYBER	3900	31263	\N	\N	\N
312993	1068	1997-07-12	VYDAJ	VYBER	11100	47563	\N	\N	\N
313002	1068	1998-08-18	VYDAJ	VYBER	5700	28538	\N	\N	\N
313011	1068	1997-07-31	VYDAJ	VYBER	15	31436	SLUZBY	\N	\N
313012	1068	1997-08-31	VYDAJ	VYBER	15	23684	SLUZBY	\N	\N
313013	1068	1997-09-30	VYDAJ	VYBER	15	22116	SLUZBY	\N	\N
313014	1068	1997-10-31	VYDAJ	VYBER	15	22747	SLUZBY	\N	\N
313015	1068	1997-11-30	VYDAJ	VYBER	15	24281	SLUZBY	\N	\N
313016	1068	1997-12-31	VYDAJ	VYBER	15	70178	SLUZBY	\N	\N
313017	1068	1998-01-31	VYDAJ	VYBER	15	25733	SLUZBY	\N	\N
313018	1068	1998-02-28	VYDAJ	VYBER	15	18579	SLUZBY	\N	\N
313019	1068	1998-03-31	VYDAJ	VYBER	15	25313	SLUZBY	\N	\N
313020	1068	1998-04-30	VYDAJ	VYBER	15	24659	SLUZBY	\N	\N
313021	1068	1998-05-31	VYDAJ	VYBER	15	25966	SLUZBY	\N	\N
313022	1068	1998-06-30	VYDAJ	VYBER	15	23218	SLUZBY	\N	\N
313023	1068	1998-07-31	VYDAJ	VYBER	15	31780	SLUZBY	\N	\N
313024	1068	1998-08-31	VYDAJ	VYBER	15	75301	SLUZBY	\N	\N
313025	1068	1998-09-30	VYDAJ	VYBER	15	48820	SLUZBY	\N	\N
313026	1068	1998-10-31	VYDAJ	VYBER	15	40823	SLUZBY	\N	\N
313027	1068	1998-11-30	VYDAJ	VYBER	15	28348	SLUZBY	\N	\N
313028	1068	1997-03-17	VYDAJ	VYBER	24600	50956	\N	\N	\N
313029	1068	1997-04-16	VYDAJ	VYBER	34800	61691	\N	\N	\N
313030	1068	1997-05-16	VYDAJ	VYBER	18000	43926	\N	\N	\N
313031	1068	1997-06-15	VYDAJ	VYBER	18700	47328	\N	\N	\N
313032	1068	1997-07-15	VYDAJ	VYBER	12400	35163	\N	\N	\N
313033	1068	1997-08-14	PRIJEM	VKLAD	4100	23594	\N	\N	\N
313034	1068	1997-09-13	PRIJEM	VKLAD	10600	22042	\N	\N	\N
313035	1068	1997-10-13	PRIJEM	VKLAD	12400	22674	\N	\N	\N
313036	1068	1997-11-12	PRIJEM	VKLAD	14900	24205	\N	\N	\N
313037	1068	1997-12-12	PRIJEM	VKLAD	8100	31869	\N	\N	\N
313038	1068	1998-01-11	PRIJEM	VKLAD	7700	31209	\N	\N	\N
313039	1068	1998-02-10	PRIJEM	VKLAD	10900	27991	\N	\N	\N
313040	1068	1998-03-12	PRIJEM	VKLAD	15300	25237	\N	\N	\N
313041	1068	1998-04-11	PRIJEM	VKLAD	10200	26871	\N	\N	\N
313042	1068	1998-05-11	PRIJEM	VKLAD	8600	30370	\N	\N	\N
313043	1068	1998-06-10	PRIJEM	VKLAD	13000	27324	\N	\N	\N
313044	1068	1998-07-10	PRIJEM	VKLAD	17100	31676	\N	\N	\N
313045	1068	1998-08-09	PRIJEM	VKLAD	17100	43511	\N	\N	\N
313046	1068	1998-09-08	VYDAJ	VYBER	6500	54488	\N	\N	\N
313047	1068	1998-10-08	PRIJEM	VKLAD	4700	52888	\N	\N	\N
313048	1068	1998-11-07	PRIJEM	VKLAD	6300	46491	\N	\N	\N
313049	1068	1998-12-07	PRIJEM	VKLAD	16300	44016	\N	\N	\N
313072	1069	1993-07-24	PRIJEM	VKLAD	700	700	\N	\N	\N
313080	1069	1993-08-13	PRIJEM	PREVOD Z UCTU	4621	5321	DUCHOD	AB	64733224
313081	1069	1993-09-13	PRIJEM	PREVOD Z UCTU	4621	9942	DUCHOD	AB	64733224
313082	1069	1993-10-13	PRIJEM	PREVOD Z UCTU	4621	14563	DUCHOD	AB	64733224
313083	1069	1993-11-13	PRIJEM	PREVOD Z UCTU	4621	19184	DUCHOD	AB	64733224
313084	1069	1993-12-13	PRIJEM	PREVOD Z UCTU	4621	23805	DUCHOD	AB	64733224
313085	1069	1994-01-13	PRIJEM	PREVOD Z UCTU	4621	17779	DUCHOD	AB	64733224
313086	1069	1994-02-13	PRIJEM	PREVOD Z UCTU	4621	14084	DUCHOD	AB	64733224
313087	1069	1994-03-13	PRIJEM	PREVOD Z UCTU	4621	15667	DUCHOD	AB	64733224
313088	1069	1994-04-13	PRIJEM	PREVOD Z UCTU	4621	17256	DUCHOD	AB	64733224
313089	1069	1994-05-13	PRIJEM	PREVOD Z UCTU	4621	17091	DUCHOD	AB	64733224
313090	1069	1994-06-13	PRIJEM	PREVOD Z UCTU	4621	18686	DUCHOD	AB	64733224
313091	1069	1994-07-13	PRIJEM	PREVOD Z UCTU	4621	17636	DUCHOD	AB	64733224
313092	1069	1994-08-13	PRIJEM	PREVOD Z UCTU	4621	19233	DUCHOD	AB	64733224
313093	1069	1994-09-13	PRIJEM	PREVOD Z UCTU	4621	19317	DUCHOD	AB	64733224
313094	1069	1994-10-13	PRIJEM	PREVOD Z UCTU	4621	20920	DUCHOD	AB	64733224
313095	1069	1994-11-13	PRIJEM	PREVOD Z UCTU	4621	22531	DUCHOD	AB	64733224
313096	1069	1994-12-13	PRIJEM	PREVOD Z UCTU	4621	22627	DUCHOD	AB	64733224
313097	1069	1995-01-13	PRIJEM	PREVOD Z UCTU	4621	14838	DUCHOD	AB	64733224
313098	1069	1995-02-13	PRIJEM	PREVOD Z UCTU	4621	14498	DUCHOD	AB	64733224
313099	1069	1995-03-13	PRIJEM	PREVOD Z UCTU	4621	16082	DUCHOD	AB	64733224
313100	1069	1995-04-13	PRIJEM	PREVOD Z UCTU	4621	17672	DUCHOD	AB	64733224
313101	1069	1995-05-13	PRIJEM	PREVOD Z UCTU	4621	16629	DUCHOD	AB	64733224
313102	1069	1995-06-13	PRIJEM	PREVOD Z UCTU	4621	14857	DUCHOD	AB	64733224
313103	1069	1995-07-13	PRIJEM	PREVOD Z UCTU	4621	16443	DUCHOD	AB	64733224
313104	1069	1995-08-13	PRIJEM	PREVOD Z UCTU	4621	18035	DUCHOD	AB	64733224
313105	1069	1995-09-13	PRIJEM	PREVOD Z UCTU	4621	18514	DUCHOD	AB	64733224
313106	1069	1995-10-13	PRIJEM	PREVOD Z UCTU	4621	20114	DUCHOD	AB	64733224
313107	1069	1995-11-13	PRIJEM	PREVOD Z UCTU	4621	21722	DUCHOD	AB	64733224
313108	1069	1995-12-13	PRIJEM	PREVOD Z UCTU	4621	23086	DUCHOD	AB	64733224
313109	1069	1996-01-13	PRIJEM	PREVOD Z UCTU	4621	19662	DUCHOD	AB	64733224
313110	1069	1996-02-13	PRIJEM	PREVOD Z UCTU	4621	16172	DUCHOD	AB	64733224
313111	1069	1996-03-13	PRIJEM	PREVOD Z UCTU	4621	17762	DUCHOD	AB	64733224
313112	1069	1996-04-13	PRIJEM	PREVOD Z UCTU	4621	19360	DUCHOD	AB	64733224
313113	1069	1996-05-13	PRIJEM	PREVOD Z UCTU	4621	20964	DUCHOD	AB	64733224
313114	1069	1996-06-13	PRIJEM	PREVOD Z UCTU	4621	21155	DUCHOD	AB	64733224
313115	1069	1996-07-13	PRIJEM	PREVOD Z UCTU	4621	17889	DUCHOD	AB	64733224
313116	1069	1996-08-13	PRIJEM	PREVOD Z UCTU	4621	16204	DUCHOD	AB	64733224
313117	1069	1996-09-13	PRIJEM	PREVOD Z UCTU	4621	17795	DUCHOD	AB	64733224
313118	1069	1996-10-13	PRIJEM	PREVOD Z UCTU	4621	19392	DUCHOD	AB	64733224
313119	1069	1996-11-13	PRIJEM	PREVOD Z UCTU	4621	20996	DUCHOD	AB	64733224
313120	1069	1996-12-13	PRIJEM	PREVOD Z UCTU	4621	19834	DUCHOD	AB	64733224
313121	1069	1997-01-13	PRIJEM	PREVOD Z UCTU	4621	17199	DUCHOD	AB	64733224
313122	1069	1997-02-13	PRIJEM	PREVOD Z UCTU	4621	16948	DUCHOD	AB	64733224
313123	1069	1997-03-13	PRIJEM	PREVOD Z UCTU	4621	18541	DUCHOD	AB	64733224
313124	1069	1997-04-13	PRIJEM	PREVOD Z UCTU	4621	16341	DUCHOD	AB	64733224
313125	1069	1997-05-13	PRIJEM	PREVOD Z UCTU	4621	17931	DUCHOD	AB	64733224
313126	1069	1997-06-13	PRIJEM	PREVOD Z UCTU	4621	19529	DUCHOD	AB	64733224
313127	1069	1997-07-13	PRIJEM	PREVOD Z UCTU	4621	21133	DUCHOD	AB	64733224
313128	1069	1997-08-13	PRIJEM	PREVOD Z UCTU	4621	22744	DUCHOD	AB	64733224
313129	1069	1997-09-13	PRIJEM	PREVOD Z UCTU	4621	24362	DUCHOD	AB	64733224
313130	1069	1997-10-13	PRIJEM	PREVOD Z UCTU	4621	23505	DUCHOD	AB	64733224
313131	1069	1997-11-13	PRIJEM	PREVOD Z UCTU	4621	25126	DUCHOD	AB	64733224
313132	1069	1997-12-13	PRIJEM	PREVOD Z UCTU	4621	26753	DUCHOD	AB	64733224
313133	1069	1998-01-13	PRIJEM	PREVOD Z UCTU	4621	20917	DUCHOD	AB	64733224
313134	1069	1998-02-13	PRIJEM	PREVOD Z UCTU	4621	18211	DUCHOD	AB	64733224
313135	1069	1998-03-13	PRIJEM	PREVOD Z UCTU	4621	19809	DUCHOD	AB	64733224
313136	1069	1998-04-13	PRIJEM	PREVOD Z UCTU	4621	18454	DUCHOD	AB	64733224
313137	1069	1998-05-13	PRIJEM	PREVOD Z UCTU	4621	20051	DUCHOD	AB	64733224
313138	1069	1998-06-13	PRIJEM	PREVOD Z UCTU	4621	18851	DUCHOD	AB	64733224
313139	1069	1998-07-13	PRIJEM	PREVOD Z UCTU	4621	20452	DUCHOD	AB	64733224
313140	1069	1998-08-13	PRIJEM	PREVOD Z UCTU	4621	22059	DUCHOD	AB	64733224
313141	1069	1998-09-13	PRIJEM	PREVOD Z UCTU	4621	23674	DUCHOD	AB	64733224
313142	1069	1998-10-13	PRIJEM	PREVOD Z UCTU	4621	22333	DUCHOD	AB	64733224
313143	1069	1998-11-13	PRIJEM	PREVOD Z UCTU	4621	23947	DUCHOD	AB	64733224
313144	1069	1998-12-13	PRIJEM	PREVOD Z UCTU	4621	25569	DUCHOD	AB	64733224
313157	1069	1994-01-05	VYDAJ	PREVOD NA UCET	3080	14678	SIPO	YZ	41750836
313158	1069	1994-02-05	VYDAJ	PREVOD NA UCET	3080	9463	SIPO	YZ	41750836
313159	1069	1994-03-05	VYDAJ	PREVOD NA UCET	3080	11046	SIPO	YZ	41750836
313160	1069	1994-04-05	VYDAJ	PREVOD NA UCET	3080	12635	SIPO	YZ	41750836
313161	1069	1994-05-05	VYDAJ	PREVOD NA UCET	3080	12470	SIPO	YZ	41750836
313162	1069	1994-06-05	VYDAJ	PREVOD NA UCET	3080	14065	SIPO	YZ	41750836
313163	1069	1994-07-05	VYDAJ	PREVOD NA UCET	3080	13015	SIPO	YZ	41750836
313164	1069	1994-08-05	VYDAJ	PREVOD NA UCET	3080	14612	SIPO	YZ	41750836
313165	1069	1994-09-05	VYDAJ	PREVOD NA UCET	3080	16216	SIPO	YZ	41750836
313166	1069	1994-10-05	VYDAJ	PREVOD NA UCET	3080	16299	SIPO	YZ	41750836
313167	1069	1994-11-05	VYDAJ	PREVOD NA UCET	3080	17910	SIPO	YZ	41750836
313168	1069	1994-12-05	VYDAJ	PREVOD NA UCET	3080	18006	SIPO	YZ	41750836
313169	1069	1995-01-05	VYDAJ	PREVOD NA UCET	3080	10217	SIPO	YZ	41750836
313170	1069	1995-02-05	VYDAJ	PREVOD NA UCET	3080	9877	SIPO	YZ	41750836
313171	1069	1995-03-05	VYDAJ	PREVOD NA UCET	3080	11461	SIPO	YZ	41750836
313172	1069	1995-04-05	VYDAJ	PREVOD NA UCET	3080	13051	SIPO	YZ	41750836
313173	1069	1995-05-05	VYDAJ	PREVOD NA UCET	3080	12008	SIPO	YZ	41750836
313174	1069	1995-06-05	VYDAJ	PREVOD NA UCET	3080	10236	SIPO	YZ	41750836
313175	1069	1995-07-05	VYDAJ	PREVOD NA UCET	3080	11822	SIPO	YZ	41750836
313176	1069	1995-08-05	VYDAJ	PREVOD NA UCET	3080	13414	SIPO	YZ	41750836
313177	1069	1995-09-05	VYDAJ	PREVOD NA UCET	3080	13893	SIPO	YZ	41750836
313178	1069	1995-10-05	VYDAJ	PREVOD NA UCET	3080	15493	SIPO	YZ	41750836
313179	1069	1995-11-05	VYDAJ	PREVOD NA UCET	3080	17101	SIPO	YZ	41750836
313180	1069	1995-12-05	VYDAJ	PREVOD NA UCET	3080	18465	SIPO	YZ	41750836
313181	1069	1996-01-05	VYDAJ	PREVOD NA UCET	3080	20081	SIPO	YZ	41750836
313182	1069	1996-02-05	VYDAJ	PREVOD NA UCET	3080	11551	SIPO	YZ	41750836
313183	1069	1996-03-05	VYDAJ	PREVOD NA UCET	3080	13141	SIPO	YZ	41750836
313184	1069	1996-04-05	VYDAJ	PREVOD NA UCET	3080	14739	SIPO	YZ	41750836
313185	1069	1996-05-05	VYDAJ	PREVOD NA UCET	3080	16343	SIPO	YZ	41750836
313186	1069	1996-06-05	VYDAJ	PREVOD NA UCET	3080	17234	SIPO	YZ	41750836
313187	1069	1996-07-05	VYDAJ	PREVOD NA UCET	3080	14168	SIPO	YZ	41750836
313188	1069	1996-08-05	VYDAJ	PREVOD NA UCET	3080	11583	SIPO	YZ	41750836
313189	1069	1996-09-05	VYDAJ	PREVOD NA UCET	3080	13174	SIPO	YZ	41750836
313190	1069	1996-10-05	VYDAJ	PREVOD NA UCET	3080	14771	SIPO	YZ	41750836
313191	1069	1996-11-05	VYDAJ	PREVOD NA UCET	3080	16375	SIPO	YZ	41750836
313192	1069	1996-12-05	VYDAJ	PREVOD NA UCET	3080	16463	SIPO	YZ	41750836
313193	1069	1997-01-05	VYDAJ	PREVOD NA UCET	3080	12578	SIPO	YZ	41750836
313194	1069	1997-02-05	VYDAJ	PREVOD NA UCET	3080	12327	SIPO	YZ	41750836
313195	1069	1997-03-05	VYDAJ	PREVOD NA UCET	3080	13920	SIPO	YZ	41750836
313196	1069	1997-04-05	VYDAJ	PREVOD NA UCET	3080	11720	SIPO	YZ	41750836
313197	1069	1997-05-05	VYDAJ	PREVOD NA UCET	3080	13310	SIPO	YZ	41750836
313198	1069	1997-06-05	VYDAJ	PREVOD NA UCET	3080	14908	SIPO	YZ	41750836
313199	1069	1997-07-05	VYDAJ	PREVOD NA UCET	3080	16512	SIPO	YZ	41750836
313200	1069	1997-08-05	VYDAJ	PREVOD NA UCET	3080	18123	SIPO	YZ	41750836
313201	1069	1997-09-05	VYDAJ	PREVOD NA UCET	3080	19741	SIPO	YZ	41750836
313202	1069	1997-10-05	VYDAJ	PREVOD NA UCET	3080	18884	SIPO	YZ	41750836
313203	1069	1997-11-05	VYDAJ	PREVOD NA UCET	3080	20505	SIPO	YZ	41750836
313204	1069	1997-12-05	VYDAJ	PREVOD NA UCET	3080	22132	SIPO	YZ	41750836
313205	1069	1998-01-05	VYDAJ	PREVOD NA UCET	3080	19016	SIPO	YZ	41750836
313206	1069	1998-02-05	VYDAJ	PREVOD NA UCET	3080	13590	SIPO	YZ	41750836
313207	1069	1998-03-05	VYDAJ	PREVOD NA UCET	3080	15188	SIPO	YZ	41750836
313208	1069	1998-04-05	VYDAJ	PREVOD NA UCET	3080	13833	SIPO	YZ	41750836
313209	1069	1998-05-05	VYDAJ	PREVOD NA UCET	3080	15430	SIPO	YZ	41750836
313210	1069	1998-06-05	VYDAJ	PREVOD NA UCET	3080	14230	SIPO	YZ	41750836
313211	1069	1998-07-05	VYDAJ	PREVOD NA UCET	3080	15831	SIPO	YZ	41750836
313212	1069	1998-08-05	VYDAJ	PREVOD NA UCET	3080	17438	SIPO	YZ	41750836
313213	1069	1998-09-05	VYDAJ	PREVOD NA UCET	3080	19053	SIPO	YZ	41750836
313214	1069	1998-10-05	VYDAJ	PREVOD NA UCET	3080	19952	SIPO	YZ	41750836
313215	1069	1998-11-05	VYDAJ	PREVOD NA UCET	3080	19326	SIPO	YZ	41750836
313216	1069	1998-12-05	VYDAJ	PREVOD NA UCET	3080	20948	SIPO	YZ	41750836
313218	1069	1994-06-26	VYDAJ	VYBER	2650	16036	\N	\N	\N
313220	1069	1996-06-25	VYDAJ	VYBER	1650	17185	\N	\N	\N
313226	1069	1996-01-23	VYDAJ	VYBER	1250	15692	\N	\N	\N
313228	1069	1998-01-17	VYDAJ	VYBER	1350	19567	\N	\N	\N
313229	1069	1993-12-21	VYDAJ	VYBER	550	20535	\N	\N	\N
313230	1069	1994-12-24	VYDAJ	VYBER	900	20027	\N	\N	\N
313231	1069	1995-12-02	VYDAJ	VYBER	250	21545	\N	\N	\N
313232	1069	1996-12-08	VYDAJ	VYBER	1250	15213	\N	\N	\N
313233	1069	1997-12-23	VYDAJ	VYBER	350	26403	\N	\N	\N
313234	1069	1998-12-26	VYDAJ	VYBER	450	25119	\N	\N	\N
313243	1069	1994-01-19	VYDAJ	VYBER	1200	12499	\N	\N	\N
313244	1069	1994-01-15	VYDAJ	VYBER	1440	13699	\N	\N	\N
313245	1069	1994-01-13	VYDAJ	VYBER	800	15139	\N	\N	\N
313246	1069	1994-01-13	VYDAJ	VYBER	1840	15939	\N	\N	\N
313247	1069	1995-01-02	VYDAJ	VYBER	2080	13297	\N	\N	\N
313250	1069	1995-01-18	VYDAJ	VYBER	1920	12918	\N	\N	\N
313251	1069	1995-01-02	VYDAJ	VYBER	1200	15377	\N	\N	\N
313253	1069	1996-01-14	VYDAJ	VYBER	1360	18302	\N	\N	\N
313254	1069	1996-01-23	VYDAJ	VYBER	640	15052	\N	\N	\N
313255	1069	1996-01-21	VYDAJ	VYBER	1360	16942	\N	\N	\N
313256	1069	1996-01-10	VYDAJ	VYBER	2080	15041	\N	\N	\N
313258	1069	1996-01-06	VYDAJ	VYBER	1680	18401	\N	\N	\N
313259	1069	1997-01-17	VYDAJ	VYBER	1840	15359	\N	\N	\N
313260	1069	1997-01-02	VYDAJ	VYBER	2080	17818	\N	\N	\N
313261	1069	1997-01-03	VYDAJ	VYBER	2160	15658	\N	\N	\N
313265	1069	1998-01-04	VYDAJ	VYBER	2160	22096	\N	\N	\N
313266	1069	1998-01-28	VYDAJ	VYBER	400	16607	\N	\N	\N
313267	1069	1998-01-09	VYDAJ	VYBER	400	18616	\N	\N	\N
313269	1069	1998-01-10	VYDAJ	VYBER	640	17976	\N	\N	\N
313270	1069	1998-01-02	VYDAJ	VYBER	2240	24256	\N	\N	\N
313271	1069	1993-12-28	VYDAJ	VYBER	1680	18855	\N	\N	\N
313273	1069	1993-12-18	VYDAJ	VYBER	2720	21085	\N	\N	\N
313275	1069	1994-04-27	VYDAJ	VYBER	960	16296	\N	\N	\N
313277	1069	1994-12-28	VYDAJ	VYBER	3520	16507	\N	\N	\N
313279	1069	1994-04-29	VYDAJ	VYBER	800	15496	\N	\N	\N
313280	1069	1994-09-07	VYDAJ	VYBER	1520	14696	\N	\N	\N
313281	1069	1994-11-22	VYDAJ	VYBER	1520	21011	\N	\N	\N
313282	1069	1994-01-02	VYDAJ	VYBER	1120	17758	\N	\N	\N
313283	1069	1994-01-08	VYDAJ	VYBER	1520	13158	\N	\N	\N
313284	1069	1995-05-21	VYDAJ	VYBER	3360	13269	\N	\N	\N
313288	1069	1995-04-30	VYDAJ	VYBER	2640	15088	\N	\N	\N
313289	1069	1995-08-28	VYDAJ	VYBER	1120	16915	\N	\N	\N
313290	1069	1996-01-24	VYDAJ	VYBER	480	14572	\N	\N	\N
313291	1069	1996-06-18	VYDAJ	VYBER	2320	18835	\N	\N	\N
313292	1069	1996-11-16	VYDAJ	VYBER	1520	19476	\N	\N	\N
313293	1069	1996-07-28	VYDAJ	VYBER	3280	14609	\N	\N	\N
313295	1069	1996-05-30	VYDAJ	VYBER	720	20244	\N	\N	\N
313297	1069	1996-01-07	VYDAJ	VYBER	1280	17121	\N	\N	\N
313301	1069	1997-09-29	VYDAJ	VYBER	2480	21882	\N	\N	\N
313303	1069	1998-04-03	VYDAJ	VYBER	2960	16913	\N	\N	\N
313304	1069	1998-01-12	VYDAJ	VYBER	1680	16296	\N	\N	\N
313305	1069	1998-05-16	VYDAJ	VYBER	2800	17251	\N	\N	\N
313306	1069	1998-10-07	VYDAJ	VYBER	2240	17712	\N	\N	\N
313307	1069	1998-09-18	VYDAJ	VYBER	720	22954	\N	\N	\N
313308	1069	1998-01-18	VYDAJ	VYBER	2560	17007	\N	\N	\N
313321	1069	1993-12-31	VYDAJ	VYBER	15	18878	SLUZBY	\N	\N
313322	1069	1994-01-31	VYDAJ	VYBER	15	12543	SLUZBY	\N	\N
313323	1069	1994-02-28	VYDAJ	VYBER	15	14126	SLUZBY	\N	\N
313324	1069	1994-03-31	VYDAJ	VYBER	15	15715	SLUZBY	\N	\N
313325	1069	1994-04-30	VYDAJ	VYBER	15	15550	SLUZBY	\N	\N
313326	1069	1994-05-31	VYDAJ	VYBER	15	17145	SLUZBY	\N	\N
313327	1069	1994-06-30	VYDAJ	VYBER	15	16095	SLUZBY	\N	\N
313328	1069	1994-07-31	VYDAJ	VYBER	15	17692	SLUZBY	\N	\N
313329	1069	1994-08-31	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
313330	1069	1994-09-30	VYDAJ	VYBER	15	19379	SLUZBY	\N	\N
313331	1069	1994-10-31	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
313332	1069	1994-11-30	VYDAJ	VYBER	15	21086	SLUZBY	\N	\N
313333	1069	1994-12-31	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
313334	1069	1995-01-31	VYDAJ	VYBER	15	12957	SLUZBY	\N	\N
313335	1069	1995-02-28	VYDAJ	VYBER	15	14541	SLUZBY	\N	\N
313336	1069	1995-03-31	VYDAJ	VYBER	15	16131	SLUZBY	\N	\N
313337	1069	1995-04-30	VYDAJ	VYBER	15	17728	SLUZBY	\N	\N
313338	1069	1995-05-31	VYDAJ	VYBER	15	13316	SLUZBY	\N	\N
313339	1069	1995-06-30	VYDAJ	VYBER	15	14902	SLUZBY	\N	\N
313340	1069	1995-07-31	VYDAJ	VYBER	15	16494	SLUZBY	\N	\N
313341	1069	1995-08-31	VYDAJ	VYBER	15	16973	SLUZBY	\N	\N
313342	1069	1995-09-30	VYDAJ	VYBER	15	18573	SLUZBY	\N	\N
313343	1069	1995-10-31	VYDAJ	VYBER	15	20181	SLUZBY	\N	\N
313344	1069	1995-11-30	VYDAJ	VYBER	15	21795	SLUZBY	\N	\N
313345	1069	1995-12-31	VYDAJ	VYBER	15	23161	SLUZBY	\N	\N
313346	1069	1996-01-31	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
313347	1069	1996-02-29	VYDAJ	VYBER	15	16221	SLUZBY	\N	\N
313348	1069	1996-03-31	VYDAJ	VYBER	15	17819	SLUZBY	\N	\N
313349	1069	1996-04-30	VYDAJ	VYBER	15	19423	SLUZBY	\N	\N
313350	1069	1996-05-31	VYDAJ	VYBER	15	20314	SLUZBY	\N	\N
313351	1069	1996-06-30	VYDAJ	VYBER	15	17248	SLUZBY	\N	\N
313352	1069	1996-07-31	VYDAJ	VYBER	15	14663	SLUZBY	\N	\N
313353	1069	1996-08-31	VYDAJ	VYBER	15	16254	SLUZBY	\N	\N
313354	1069	1996-09-30	VYDAJ	VYBER	15	17851	SLUZBY	\N	\N
313355	1069	1996-10-31	VYDAJ	VYBER	15	19455	SLUZBY	\N	\N
313356	1069	1996-11-30	VYDAJ	VYBER	15	19543	SLUZBY	\N	\N
313357	1069	1996-12-31	VYDAJ	VYBER	15	19898	SLUZBY	\N	\N
313358	1069	1997-01-31	VYDAJ	VYBER	15	15407	SLUZBY	\N	\N
313359	1069	1997-02-28	VYDAJ	VYBER	15	17000	SLUZBY	\N	\N
313360	1069	1997-03-31	VYDAJ	VYBER	15	18600	SLUZBY	\N	\N
313361	1069	1997-04-30	VYDAJ	VYBER	15	16390	SLUZBY	\N	\N
313362	1069	1997-05-31	VYDAJ	VYBER	15	17988	SLUZBY	\N	\N
313363	1069	1997-06-30	VYDAJ	VYBER	15	19592	SLUZBY	\N	\N
313364	1069	1997-07-31	VYDAJ	VYBER	15	21203	SLUZBY	\N	\N
313365	1069	1997-08-31	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
313366	1069	1997-09-30	VYDAJ	VYBER	15	21964	SLUZBY	\N	\N
313367	1069	1997-10-31	VYDAJ	VYBER	15	23585	SLUZBY	\N	\N
313368	1069	1997-11-30	VYDAJ	VYBER	15	25212	SLUZBY	\N	\N
313369	1069	1997-12-31	VYDAJ	VYBER	15	26496	SLUZBY	\N	\N
313370	1069	1998-01-31	VYDAJ	VYBER	15	16670	SLUZBY	\N	\N
313371	1069	1998-02-28	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
313372	1069	1998-03-31	VYDAJ	VYBER	15	19873	SLUZBY	\N	\N
313373	1069	1998-04-30	VYDAJ	VYBER	15	18510	SLUZBY	\N	\N
313374	1069	1998-05-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
313375	1069	1998-06-30	VYDAJ	VYBER	15	18911	SLUZBY	\N	\N
313376	1069	1998-07-31	VYDAJ	VYBER	15	20518	SLUZBY	\N	\N
313377	1069	1998-08-31	VYDAJ	VYBER	15	22133	SLUZBY	\N	\N
313378	1069	1998-09-30	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
313379	1069	1998-10-31	VYDAJ	VYBER	15	22406	SLUZBY	\N	\N
313380	1069	1998-11-30	VYDAJ	VYBER	15	24028	SLUZBY	\N	\N
313381	1069	1994-12-16	VYDAJ	VYBER	1700	20927	\N	\N	\N
313382	1069	1996-06-08	VYDAJ	VYBER	700	16534	\N	\N	\N
313383	1069	1996-07-08	VYDAJ	VYBER	900	13268	\N	\N	\N
313384	1069	1997-04-04	VYDAJ	VYBER	3800	14800	\N	\N	\N
313446	1070	1996-04-23	PRIJEM	VKLAD	200	200	\N	\N	\N
313451	1070	1996-05-09	PRIJEM	VKLAD	16417	16617	\N	\N	\N
313452	1070	1996-06-09	PRIJEM	VKLAD	24626	43065	\N	\N	\N
313453	1070	1996-07-09	PRIJEM	VKLAD	16417	48176	\N	\N	\N
313454	1070	1996-08-09	PRIJEM	VKLAD	16417	50227	\N	\N	\N
313455	1070	1996-09-09	PRIJEM	VKLAD	16417	49984	\N	\N	\N
313456	1070	1996-10-09	PRIJEM	VKLAD	16417	51127	\N	\N	\N
313457	1070	1996-11-09	PRIJEM	VKLAD	16417	44968	\N	\N	\N
313458	1070	1996-12-09	PRIJEM	VKLAD	24626	52504	\N	\N	\N
313459	1070	1997-01-09	PRIJEM	VKLAD	16417	44471	\N	\N	\N
313460	1070	1997-02-09	PRIJEM	VKLAD	16417	40890	\N	\N	\N
313461	1070	1997-03-09	PRIJEM	VKLAD	16417	42204	\N	\N	\N
313462	1070	1997-04-09	PRIJEM	VKLAD	16417	43030	\N	\N	\N
313463	1070	1997-05-09	PRIJEM	VKLAD	16417	41743	\N	\N	\N
313464	1070	1997-06-09	PRIJEM	VKLAD	24626	47151	\N	\N	\N
313465	1070	1997-07-09	PRIJEM	VKLAD	16417	43868	\N	\N	\N
313466	1070	1997-08-09	PRIJEM	VKLAD	16417	41977	\N	\N	\N
313467	1070	1997-09-09	PRIJEM	VKLAD	16417	40581	\N	\N	\N
313468	1070	1997-10-09	PRIJEM	VKLAD	16417	38372	\N	\N	\N
313469	1070	1997-11-09	PRIJEM	VKLAD	16417	41970	\N	\N	\N
313470	1070	1997-12-09	PRIJEM	VKLAD	24626	53992	\N	\N	\N
313471	1070	1998-01-09	PRIJEM	VKLAD	16417	46419	\N	\N	\N
313472	1070	1998-02-09	PRIJEM	VKLAD	16417	41229	\N	\N	\N
313473	1070	1998-03-09	PRIJEM	VKLAD	16417	41925	\N	\N	\N
313474	1070	1998-04-09	PRIJEM	VKLAD	16417	44634	\N	\N	\N
313475	1070	1998-05-09	PRIJEM	VKLAD	16417	44944	\N	\N	\N
313476	1070	1998-06-09	PRIJEM	VKLAD	24626	50155	\N	\N	\N
313477	1070	1998-07-09	PRIJEM	VKLAD	16417	43060	\N	\N	\N
313478	1070	1998-08-09	PRIJEM	VKLAD	16417	40658	\N	\N	\N
313479	1070	1998-09-09	PRIJEM	VKLAD	16417	45963	\N	\N	\N
313480	1070	1998-10-09	PRIJEM	VKLAD	16417	43165	\N	\N	\N
313481	1070	1998-11-09	PRIJEM	VKLAD	16417	36049	\N	\N	\N
313482	1070	1998-12-09	PRIJEM	VKLAD	24626	41526	\N	\N	\N
313491	1070	1996-09-09	VYDAJ	PREVOD NA UCET	5116	44868	SIPO	MN	65257990
313492	1070	1996-10-09	VYDAJ	PREVOD NA UCET	5116	46011	SIPO	MN	65257990
313493	1070	1996-11-09	VYDAJ	PREVOD NA UCET	5116	39852	SIPO	MN	65257990
313494	1070	1996-12-09	VYDAJ	PREVOD NA UCET	5116	47388	SIPO	MN	65257990
313495	1070	1997-01-09	VYDAJ	PREVOD NA UCET	5116	39355	SIPO	MN	65257990
313496	1070	1997-02-09	VYDAJ	PREVOD NA UCET	5116	35774	SIPO	MN	65257990
313497	1070	1997-03-09	VYDAJ	PREVOD NA UCET	5116	37088	SIPO	MN	65257990
313498	1070	1997-04-09	VYDAJ	PREVOD NA UCET	5116	37914	SIPO	MN	65257990
313499	1070	1997-05-09	VYDAJ	PREVOD NA UCET	5116	36627	SIPO	MN	65257990
313500	1070	1997-06-09	VYDAJ	PREVOD NA UCET	5116	42035	SIPO	MN	65257990
313501	1070	1997-07-09	VYDAJ	PREVOD NA UCET	5116	38752	SIPO	MN	65257990
313502	1070	1997-08-09	VYDAJ	PREVOD NA UCET	5116	36861	SIPO	MN	65257990
313503	1070	1997-09-09	VYDAJ	PREVOD NA UCET	5116	35465	SIPO	MN	65257990
313504	1070	1997-10-09	VYDAJ	PREVOD NA UCET	5116	33256	SIPO	MN	65257990
313505	1070	1997-11-09	VYDAJ	PREVOD NA UCET	5116	36854	SIPO	MN	65257990
313506	1070	1997-12-09	VYDAJ	PREVOD NA UCET	5116	47876	SIPO	MN	65257990
313507	1070	1998-01-09	VYDAJ	PREVOD NA UCET	5116	41303	SIPO	MN	65257990
313508	1070	1998-02-09	VYDAJ	PREVOD NA UCET	5116	36113	SIPO	MN	65257990
313509	1070	1998-03-09	VYDAJ	PREVOD NA UCET	5116	36809	SIPO	MN	65257990
313510	1070	1998-04-09	VYDAJ	PREVOD NA UCET	5116	39518	SIPO	MN	65257990
313511	1070	1998-05-09	VYDAJ	PREVOD NA UCET	5116	39828	SIPO	MN	65257990
313512	1070	1998-06-09	VYDAJ	PREVOD NA UCET	5116	45039	SIPO	MN	65257990
313513	1070	1998-07-09	VYDAJ	PREVOD NA UCET	5116	37944	SIPO	MN	65257990
313514	1070	1998-08-09	VYDAJ	PREVOD NA UCET	5116	35542	SIPO	MN	65257990
313515	1070	1998-09-09	VYDAJ	PREVOD NA UCET	5116	40847	SIPO	MN	65257990
313516	1070	1998-10-09	VYDAJ	PREVOD NA UCET	5116	38049	SIPO	MN	65257990
313517	1070	1998-11-09	VYDAJ	PREVOD NA UCET	5116	30933	SIPO	MN	65257990
313518	1070	1998-12-09	VYDAJ	PREVOD NA UCET	5116	36410	SIPO	MN	65257990
313522	1070	1996-12-19	VYDAJ	VYBER	600	46788	\N	\N	\N
313523	1070	1997-12-09	VYDAJ	VYBER	1000	52992	\N	\N	\N
313524	1070	1998-12-07	VYDAJ	VYBER	1400	16900	\N	\N	\N
313531	1070	1997-01-03	VYDAJ	VYBER	1500	28054	\N	\N	\N
313532	1070	1997-01-20	VYDAJ	VYBER	2500	28055	\N	\N	\N
313533	1070	1997-01-15	VYDAJ	VYBER	2500	36855	\N	\N	\N
313534	1070	1997-01-26	VYDAJ	VYBER	1200	26855	\N	\N	\N
313535	1070	1997-01-29	VYDAJ	VYBER	2500	24355	\N	\N	\N
313536	1070	1997-01-03	VYDAJ	VYBER	1800	29554	\N	\N	\N
313537	1070	1998-01-14	VYDAJ	VYBER	1000	27503	\N	\N	\N
313538	1070	1998-01-25	VYDAJ	VYBER	600	25603	\N	\N	\N
313539	1070	1998-01-15	VYDAJ	VYBER	1300	26203	\N	\N	\N
313540	1070	1998-01-27	VYDAJ	VYBER	900	24703	\N	\N	\N
313541	1070	1998-01-02	VYDAJ	VYBER	1000	31002	\N	\N	\N
313542	1070	1998-01-06	VYDAJ	VYBER	1000	30002	\N	\N	\N
313543	1070	1996-10-27	VYDAJ	VYBER	3500	28411	\N	\N	\N
313544	1070	1996-09-14	VYDAJ	VYBER	2000	42868	\N	\N	\N
313546	1070	1997-04-04	VYDAJ	VYBER	3800	26613	\N	\N	\N
313547	1070	1997-03-04	VYDAJ	VYBER	2200	25787	\N	\N	\N
313548	1070	1997-09-16	VYDAJ	VYBER	2800	21865	\N	\N	\N
313549	1070	1997-09-12	VYDAJ	VYBER	1800	33665	\N	\N	\N
313550	1070	1998-07-25	VYDAJ	VYBER	600	24144	\N	\N	\N
313551	1070	1998-03-30	VYDAJ	VYBER	1300	28109	\N	\N	\N
313552	1070	1998-10-11	VYDAJ	VYBER	2900	22049	\N	\N	\N
313553	1070	1998-10-29	VYDAJ	VYBER	2500	19549	\N	\N	\N
313554	1070	1998-12-04	VYDAJ	VYBER	1800	18300	\N	\N	\N
313564	1070	1996-09-30	VYDAJ	VYBER	15	34710	SLUZBY	\N	\N
313565	1070	1996-10-31	VYDAJ	VYBER	15	28551	SLUZBY	\N	\N
313566	1070	1996-11-30	VYDAJ	VYBER	15	27878	SLUZBY	\N	\N
313567	1070	1996-12-31	VYDAJ	VYBER	15	31354	SLUZBY	\N	\N
313568	1070	1997-01-31	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
313569	1070	1997-02-28	VYDAJ	VYBER	15	27987	SLUZBY	\N	\N
313570	1070	1997-03-31	VYDAJ	VYBER	15	30413	SLUZBY	\N	\N
313571	1070	1997-04-30	VYDAJ	VYBER	15	25326	SLUZBY	\N	\N
313572	1070	1997-05-31	VYDAJ	VYBER	15	22525	SLUZBY	\N	\N
313573	1070	1997-06-30	VYDAJ	VYBER	15	27451	SLUZBY	\N	\N
313574	1070	1997-07-31	VYDAJ	VYBER	15	25560	SLUZBY	\N	\N
313575	1070	1997-08-31	VYDAJ	VYBER	15	24164	SLUZBY	\N	\N
313576	1070	1997-09-30	VYDAJ	VYBER	15	21955	SLUZBY	\N	\N
313577	1070	1997-10-31	VYDAJ	VYBER	15	25553	SLUZBY	\N	\N
313578	1070	1997-11-30	VYDAJ	VYBER	15	29366	SLUZBY	\N	\N
313579	1070	1997-12-31	VYDAJ	VYBER	15	32002	SLUZBY	\N	\N
313580	1070	1998-01-31	VYDAJ	VYBER	15	24812	SLUZBY	\N	\N
313581	1070	1998-02-28	VYDAJ	VYBER	15	25508	SLUZBY	\N	\N
313582	1070	1998-03-31	VYDAJ	VYBER	15	28217	SLUZBY	\N	\N
313583	1070	1998-04-30	VYDAJ	VYBER	15	28527	SLUZBY	\N	\N
313584	1070	1998-05-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
313585	1070	1998-06-30	VYDAJ	VYBER	15	26643	SLUZBY	\N	\N
313586	1070	1998-07-31	VYDAJ	VYBER	15	24241	SLUZBY	\N	\N
313587	1070	1998-08-31	VYDAJ	VYBER	15	29546	SLUZBY	\N	\N
313588	1070	1998-09-30	VYDAJ	VYBER	15	26748	SLUZBY	\N	\N
313589	1070	1998-10-31	VYDAJ	VYBER	15	19632	SLUZBY	\N	\N
313590	1070	1998-11-30	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
313591	1070	1996-05-23	PRIJEM	VKLAD	1800	18417	\N	\N	\N
313592	1070	1996-06-22	VYDAJ	VYBER	11400	31665	\N	\N	\N
313593	1070	1996-07-22	VYDAJ	VYBER	14500	33676	\N	\N	\N
313594	1070	1996-08-21	VYDAJ	VYBER	16800	33427	\N	\N	\N
313595	1070	1996-09-20	VYDAJ	VYBER	8300	34568	\N	\N	\N
313596	1070	1996-10-20	VYDAJ	VYBER	14100	31911	\N	\N	\N
313597	1070	1996-11-19	VYDAJ	VYBER	12100	27752	\N	\N	\N
313598	1070	1996-12-19	VYDAJ	VYBER	15600	31188	\N	\N	\N
313599	1070	1997-01-18	VYDAJ	VYBER	6300	30555	\N	\N	\N
313600	1070	1997-02-17	VYDAJ	VYBER	7900	27874	\N	\N	\N
313601	1070	1997-03-19	VYDAJ	VYBER	6800	30288	\N	\N	\N
313602	1070	1997-04-18	VYDAJ	VYBER	12700	25214	\N	\N	\N
313603	1070	1997-05-18	VYDAJ	VYBER	14200	22427	\N	\N	\N
313604	1070	1997-06-17	VYDAJ	VYBER	14700	27335	\N	\N	\N
313605	1070	1997-07-17	VYDAJ	VYBER	13300	25452	\N	\N	\N
313606	1070	1997-08-16	VYDAJ	VYBER	12800	24061	\N	\N	\N
313607	1070	1997-09-15	VYDAJ	VYBER	9000	24665	\N	\N	\N
313608	1070	1997-10-15	VYDAJ	VYBER	7800	25456	\N	\N	\N
313609	1070	1997-11-14	VYDAJ	VYBER	7600	29254	\N	\N	\N
313610	1070	1997-12-14	VYDAJ	VYBER	16000	31876	\N	\N	\N
313611	1070	1998-01-13	VYDAJ	VYBER	12800	28503	\N	\N	\N
313612	1070	1998-02-12	VYDAJ	VYBER	10700	25413	\N	\N	\N
313613	1070	1998-03-14	VYDAJ	VYBER	7400	29409	\N	\N	\N
313614	1070	1998-04-13	VYDAJ	VYBER	11100	28418	\N	\N	\N
313615	1070	1998-05-13	VYDAJ	VYBER	14400	25428	\N	\N	\N
313616	1070	1998-06-12	VYDAJ	VYBER	18500	26539	\N	\N	\N
313617	1070	1998-07-12	VYDAJ	VYBER	13200	24744	\N	\N	\N
313618	1070	1998-08-11	VYDAJ	VYBER	6100	29442	\N	\N	\N
313619	1070	1998-09-10	VYDAJ	VYBER	14200	26647	\N	\N	\N
313620	1070	1998-10-10	VYDAJ	VYBER	13100	24949	\N	\N	\N
313621	1070	1998-11-09	VYDAJ	VYBER	10900	20033	\N	\N	\N
313654	1071	1993-05-10	PRIJEM	VKLAD	800	800	\N	\N	\N
313656	1071	1993-05-13	PRIJEM	VKLAD	15634	16434	\N	\N	\N
313657	1071	1993-05-27	PRIJEM	VKLAD	41610	58044	\N	\N	\N
313658	1071	1993-06-12	PRIJEM	VKLAD	28472	90290	\N	\N	\N
313659	1071	1993-09-28	PRIJEM	VKLAD	5468	76902	\N	\N	\N
313661	1071	1993-06-04	PRIJEM	VKLAD	46304	104418	\N	\N	\N
313663	1071	1993-11-07	PRIJEM	VKLAD	20188	43013	\N	\N	\N
313667	1071	1993-09-18	PRIJEM	VKLAD	44494	81934	\N	\N	\N
313669	1071	1993-08-20	PRIJEM	VKLAD	6965	49460	\N	\N	\N
313670	1071	1994-09-19	PRIJEM	VKLAD	37188	101655	\N	\N	\N
313671	1071	1994-02-22	PRIJEM	VKLAD	30406	83783	\N	\N	\N
313672	1071	1994-11-12	PRIJEM	VKLAD	49712	70714	\N	\N	\N
313673	1071	1994-11-28	PRIJEM	VKLAD	24054	90548	\N	\N	\N
313674	1071	1994-09-18	PRIJEM	VKLAD	45913	64467	\N	\N	\N
313675	1071	1994-01-12	PRIJEM	VKLAD	20204	37368	\N	\N	\N
313676	1071	1994-02-03	PRIJEM	VKLAD	14367	95696	\N	\N	\N
313677	1071	1994-01-17	PRIJEM	VKLAD	34176	71544	\N	\N	\N
313678	1071	1994-12-26	PRIJEM	VKLAD	31059	75279	\N	\N	\N
313679	1071	1994-01-19	PRIJEM	VKLAD	12950	81151	\N	\N	\N
313680	1071	1994-05-28	PRIJEM	VKLAD	6958	24375	\N	\N	\N
313681	1071	1994-02-25	PRIJEM	VKLAD	38379	110462	\N	\N	\N
313682	1071	1994-06-03	PRIJEM	VKLAD	31847	56269	\N	\N	\N
313683	1071	1994-03-03	PRIJEM	VKLAD	46635	91455	\N	\N	\N
313684	1071	1994-07-08	PRIJEM	VKLAD	9402	41879	\N	\N	\N
313685	1071	1994-08-01	PRIJEM	VKLAD	8914	36751	\N	\N	\N
313686	1071	1995-08-18	PRIJEM	VKLAD	12375	61284	\N	\N	\N
313687	1071	1995-10-18	PRIJEM	VKLAD	38503	66971	\N	\N	\N
313688	1071	1995-07-09	PRIJEM	VKLAD	34031	63273	\N	\N	\N
313689	1071	1995-07-20	PRIJEM	VKLAD	19681	78735	\N	\N	\N
313690	1071	1995-01-17	PRIJEM	VKLAD	11076	26841	\N	\N	\N
313691	1071	1995-11-23	PRIJEM	VKLAD	6115	55282	\N	\N	\N
313692	1071	1995-10-30	PRIJEM	VKLAD	6256	53227	\N	\N	\N
313693	1071	1995-02-14	PRIJEM	VKLAD	28143	48273	\N	\N	\N
313694	1071	1995-02-13	PRIJEM	VKLAD	28219	45048	\N	\N	\N
313695	1071	1995-12-22	PRIJEM	VKLAD	34230	69177	\N	\N	\N
313696	1071	1995-04-06	PRIJEM	VKLAD	23783	52385	\N	\N	\N
313697	1071	1995-04-23	PRIJEM	VKLAD	46362	94527	\N	\N	\N
313698	1071	1996-02-24	PRIJEM	VKLAD	27995	56349	\N	\N	\N
313699	1071	1996-07-31	PRIJEM	VKLAD	47831	115283	\N	\N	\N
313700	1071	1996-06-14	PRIJEM	VKLAD	5496	31261	\N	\N	\N
313701	1071	1996-07-24	PRIJEM	VKLAD	44263	67285	\N	\N	\N
313702	1071	1996-06-10	PRIJEM	VKLAD	8655	29984	\N	\N	\N
313703	1071	1996-10-20	PRIJEM	VKLAD	30082	67254	\N	\N	\N
313704	1071	1996-09-01	PRIJEM	VKLAD	37582	82871	\N	\N	\N
313705	1071	1997-05-23	PRIJEM	VKLAD	24048	60752	\N	\N	\N
313706	1071	1997-11-10	PRIJEM	VKLAD	20381	57751	\N	\N	\N
313707	1071	1997-01-02	PRIJEM	VKLAD	22327	80038	\N	\N	\N
313708	1071	1997-01-27	PRIJEM	VKLAD	16867	86994	\N	\N	\N
313709	1071	1997-03-18	PRIJEM	VKLAD	8476	89297	\N	\N	\N
313710	1071	1997-10-04	PRIJEM	VKLAD	7190	35983	\N	\N	\N
313711	1071	1997-11-27	PRIJEM	VKLAD	11227	82089	\N	\N	\N
313712	1071	1997-08-15	PRIJEM	VKLAD	30562	55001	\N	\N	\N
313713	1071	1997-01-02	PRIJEM	VKLAD	29121	57711	\N	\N	\N
313714	1071	1997-06-22	PRIJEM	VKLAD	34484	96825	\N	\N	\N
313715	1071	1997-06-10	PRIJEM	VKLAD	45275	80362	\N	\N	\N
313716	1071	1997-05-19	PRIJEM	VKLAD	7630	36704	\N	\N	\N
313717	1071	1997-06-12	PRIJEM	VKLAD	8398	88760	\N	\N	\N
313718	1071	1997-01-21	PRIJEM	VKLAD	33994	77113	\N	\N	\N
313719	1071	1997-01-24	PRIJEM	VKLAD	5052	70127	\N	\N	\N
313720	1071	1997-07-01	PRIJEM	VKLAD	43277	133188	\N	\N	\N
313721	1071	1997-11-29	PRIJEM	VKLAD	38174	120263	\N	\N	\N
313722	1071	1997-11-18	PRIJEM	VKLAD	22530	70862	\N	\N	\N
313723	1071	1997-03-13	PRIJEM	VKLAD	41837	80821	\N	\N	\N
313724	1071	1998-10-29	PRIJEM	VKLAD	36827	68233	\N	\N	\N
313725	1071	1998-08-27	PRIJEM	VKLAD	49219	83264	\N	\N	\N
313726	1071	1998-03-23	PRIJEM	VKLAD	12571	56901	\N	\N	\N
313727	1071	1998-01-03	PRIJEM	VKLAD	36689	74250	\N	\N	\N
313728	1071	1998-06-03	PRIJEM	VKLAD	41766	67311	\N	\N	\N
313729	1071	1998-02-04	PRIJEM	VKLAD	47129	73305	\N	\N	\N
313738	1071	1993-09-20	VYDAJ	VYBER	5600	76334	\N	\N	0
313739	1071	1993-09-27	VYDAJ	VYBER	4900	71434	\N	\N	0
313740	1071	1993-11-04	VYDAJ	VYBER	4700	28225	\N	\N	0
313741	1071	1993-11-26	VYDAJ	VYBER	5100	16636	\N	\N	0
313742	1071	1994-01-11	VYDAJ	VYBER	3800	17164	\N	\N	0
313743	1071	1994-02-12	VYDAJ	PREVOD NA UCET	4220	53377	UVER	GH	21432626
313744	1071	1994-03-12	VYDAJ	PREVOD NA UCET	4220	53935	UVER	GH	21432626
313745	1071	1994-04-12	VYDAJ	PREVOD NA UCET	4220	28470	UVER	GH	21432626
313746	1071	1994-05-12	VYDAJ	PREVOD NA UCET	4220	17417	UVER	GH	21432626
313747	1071	1994-06-12	VYDAJ	PREVOD NA UCET	4220	37950	UVER	GH	21432626
313748	1071	1994-07-12	VYDAJ	PREVOD NA UCET	4220	37660	UVER	GH	21432626
313749	1071	1994-08-12	VYDAJ	PREVOD NA UCET	4220	24294	UVER	GH	21432626
313750	1071	1994-09-12	VYDAJ	PREVOD NA UCET	4220	18554	UVER	GH	21432626
313751	1071	1994-10-12	VYDAJ	PREVOD NA UCET	4220	16729	UVER	GH	21432626
313752	1071	1994-11-12	VYDAJ	PREVOD NA UCET	4220	66494	UVER	GH	21432626
313753	1071	1994-12-12	VYDAJ	PREVOD NA UCET	4220	44220	UVER	GH	21432626
313754	1071	1995-01-12	VYDAJ	PREVOD NA UCET	4220	15765	UVER	GH	21432626
313755	1071	1995-02-12	VYDAJ	PREVOD NA UCET	4220	16829	UVER	GH	21432626
313756	1071	1995-03-12	VYDAJ	PREVOD NA UCET	4220	35172	UVER	GH	21432626
313757	1071	1995-04-12	VYDAJ	PREVOD NA UCET	4220	48165	UVER	GH	21432626
313758	1071	1995-05-12	VYDAJ	PREVOD NA UCET	4220	54205	UVER	GH	21432626
313759	1071	1995-06-12	VYDAJ	PREVOD NA UCET	4220	28536	UVER	GH	21432626
313760	1071	1995-07-12	VYDAJ	PREVOD NA UCET	4220	59054	UVER	GH	21432626
313761	1071	1995-08-12	VYDAJ	PREVOD NA UCET	4220	48909	UVER	GH	21432626
313762	1071	1995-09-12	VYDAJ	PREVOD NA UCET	4220	35556	UVER	GH	21432626
313763	1071	1995-10-12	VYDAJ	PREVOD NA UCET	4220	28468	UVER	GH	21432626
313764	1071	1995-11-12	VYDAJ	PREVOD NA UCET	4220	49167	UVER	GH	21432626
313765	1071	1995-12-12	VYDAJ	PREVOD NA UCET	4220	37947	UVER	GH	21432626
313766	1071	1996-01-12	VYDAJ	PREVOD NA UCET	4220	43920	UVER	GH	21432626
313767	1071	1996-02-12	VYDAJ	PREVOD NA UCET	4220	28354	UVER	GH	21432626
313768	1071	1996-03-12	VYDAJ	PREVOD NA UCET	4220	39244	UVER	GH	21432626
313769	1071	1996-04-12	VYDAJ	PREVOD NA UCET	4220	16544	UVER	GH	21432626
313770	1071	1996-05-12	VYDAJ	PREVOD NA UCET	4220	14778	UVER	GH	21432626
313771	1071	1996-06-12	VYDAJ	PREVOD NA UCET	4220	25765	UVER	GH	21432626
313772	1071	1996-07-12	VYDAJ	PREVOD NA UCET	4220	24822	UVER	GH	21432626
313773	1071	1996-08-12	VYDAJ	PREVOD NA UCET	4220	64334	UVER	GH	21432626
313774	1071	1996-09-12	VYDAJ	PREVOD NA UCET	4220	78651	UVER	GH	21432626
313775	1071	1996-10-12	VYDAJ	PREVOD NA UCET	4220	46937	UVER	GH	21432626
313776	1071	1996-11-12	VYDAJ	PREVOD NA UCET	4220	22439	UVER	GH	21432626
313777	1071	1996-12-12	VYDAJ	PREVOD NA UCET	4220	20513	UVER	GH	21432626
313778	1071	1997-01-12	VYDAJ	PREVOD NA UCET	4220	75819	UVER	GH	21432626
313779	1071	1997-02-12	VYDAJ	PREVOD NA UCET	4220	65481	UVER	GH	21432626
313780	1071	1997-03-12	VYDAJ	PREVOD NA UCET	4220	38984	UVER	GH	21432626
313781	1071	1997-04-12	VYDAJ	PREVOD NA UCET	4220	25539	UVER	GH	21432626
313782	1071	1997-05-12	VYDAJ	PREVOD NA UCET	4220	26474	UVER	GH	21432626
313783	1071	1997-06-12	VYDAJ	PREVOD NA UCET	4220	84541	UVER	GH	21432626
313784	1071	1997-07-12	VYDAJ	PREVOD NA UCET	4220	48069	UVER	GH	21432626
313785	1071	1997-08-12	VYDAJ	PREVOD NA UCET	4220	42243	UVER	GH	21432626
313786	1071	1997-09-12	VYDAJ	PREVOD NA UCET	4220	45448	UVER	GH	21432626
313787	1071	1997-10-12	VYDAJ	PREVOD NA UCET	4220	31763	UVER	GH	21432626
313788	1071	1997-11-12	VYDAJ	PREVOD NA UCET	4220	53532	UVER	GH	21432626
313789	1071	1997-12-12	VYDAJ	PREVOD NA UCET	4220	41584	UVER	GH	21432626
313790	1071	1998-01-12	VYDAJ	PREVOD NA UCET	4220	62230	UVER	GH	21432626
313791	1071	1998-02-12	VYDAJ	PREVOD NA UCET	4220	69086	UVER	GH	21432626
313792	1071	1998-03-12	VYDAJ	PREVOD NA UCET	4220	49930	UVER	GH	21432626
313793	1071	1998-04-12	VYDAJ	PREVOD NA UCET	4220	47311	UVER	GH	21432626
313794	1071	1998-05-12	VYDAJ	PREVOD NA UCET	4220	24751	UVER	GH	21432626
313795	1071	1998-06-12	VYDAJ	PREVOD NA UCET	4220	53713	UVER	GH	21432626
313796	1071	1998-07-12	VYDAJ	PREVOD NA UCET	4220	38435	UVER	GH	21432626
313797	1071	1998-08-12	VYDAJ	PREVOD NA UCET	4220	34045	UVER	GH	21432626
313798	1071	1998-09-12	VYDAJ	PREVOD NA UCET	4220	51420	UVER	GH	21432626
313799	1071	1998-10-12	VYDAJ	PREVOD NA UCET	4220	31406	UVER	GH	21432626
313800	1071	1998-11-12	VYDAJ	PREVOD NA UCET	4220	42843	UVER	GH	21432626
313801	1071	1998-12-12	VYDAJ	PREVOD NA UCET	4220	27507	UVER	GH	21432626
313802	1071	1993-10-09	VYBER	VYBER	15258	32770	\N	\N	\N
313812	1071	1993-11-15	VYBER	VYBER	21277	21736	\N	\N	\N
313815	1071	1994-01-18	VYBER	VYBER	3343	68201	\N	\N	\N
313817	1071	1994-04-15	VYBER	VYBER	5026	23444	\N	\N	\N
313818	1071	1994-07-14	VYBER	VYBER	9928	27732	\N	\N	\N
313819	1071	1994-08-07	VYBER	VYBER	3538	28513	\N	\N	\N
313820	1071	1994-03-25	VYBER	VYBER	8950	44985	\N	\N	\N
313821	1071	1994-10-08	VYBER	VYBER	14419	20949	\N	\N	\N
313822	1071	1994-03-01	VYBER	VYBER	8060	44820	\N	\N	\N
313824	1071	1995-02-13	VYBER	VYBER	24918	20130	\N	\N	\N
313827	1071	1996-11-07	VYBER	VYBER	11269	26659	\N	\N	\N
313831	1071	1996-10-13	VYBER	VYBER	9765	37172	\N	\N	\N
313832	1071	1996-03-25	VYBER	VYBER	10689	24829	\N	\N	\N
313834	1071	1996-10-29	VYBER	VYBER	11089	37765	\N	\N	\N
313836	1071	1996-03-19	VYBER	VYBER	5226	34018	\N	\N	\N
313839	1071	1997-03-29	VYBER	VYBER	24489	43208	\N	\N	\N
313840	1071	1997-02-13	VYBER	VYBER	9588	55893	\N	\N	\N
313841	1071	1997-04-06	VYBER	VYBER	13670	29758	\N	\N	\N
313842	1071	1997-01-31	VYBER	VYBER	17569	69730	\N	\N	\N
313844	1071	1997-12-12	VYBER	VYBER	21164	45803	\N	\N	\N
313846	1071	1997-08-14	VYBER	VYBER	17804	24439	\N	\N	\N
313847	1071	1997-04-15	VYBER	VYBER	3054	22485	\N	\N	\N
313848	1071	1997-01-22	VYBER	VYBER	12038	65075	\N	\N	\N
313850	1071	1998-03-07	VYBER	VYBER	2290	54150	\N	\N	\N
313854	1071	1998-09-17	VYBER	VYBER	8403	43017	\N	\N	\N
313856	1071	1998-01-16	VYBER	VYBER	19875	30855	\N	\N	\N
313857	1071	1998-09-04	VYBER	VYBER	4879	78539	\N	\N	\N
313858	1071	1998-06-07	VYBER	VYBER	9378	57933	\N	\N	\N
313859	1071	1998-04-04	VYBER	VYBER	5558	51530	\N	\N	\N
313866	1071	1997-06-03	VYDAJ	VYBER	25800	35087	\N	\N	\N
313870	1071	1995-01-04	VYDAJ	VYBER	29400	19984	\N	\N	\N
313871	1071	1996-01-23	VYDAJ	VYBER	5100	38820	\N	\N	\N
313872	1071	1997-01-12	VYDAJ	VYBER	26400	49419	\N	\N	\N
313875	1071	1994-12-05	VYDAJ	VYBER	7800	48439	\N	\N	\N
313876	1071	1995-12-19	VYDAJ	VYBER	3000	34947	\N	\N	\N
313877	1071	1996-12-09	VYDAJ	VYBER	2700	24733	\N	\N	\N
313878	1071	1997-12-23	VYDAJ	VYBER	6600	37384	\N	\N	\N
313887	1071	1994-04-16	VYDAJ	VYBER	5400	18044	\N	\N	\N
313888	1071	1994-02-22	VYDAJ	VYBER	11700	72083	\N	\N	\N
313889	1071	1995-01-30	VYDAJ	VYBER	8400	20941	\N	\N	\N
313890	1071	1995-03-18	VYDAJ	VYBER	3900	31272	\N	\N	\N
313891	1071	1995-08-25	VYDAJ	VYBER	8100	53184	\N	\N	\N
313892	1071	1995-05-31	VYDAJ	VYBER	7500	32786	\N	\N	\N
313894	1071	1995-05-03	VYDAJ	VYBER	3600	58424	\N	\N	\N
313897	1071	1996-04-07	VYDAJ	VYBER	4200	20763	\N	\N	\N
313898	1071	1996-09-19	VYDAJ	VYBER	7200	71451	\N	\N	\N
313900	1071	1997-03-11	VYDAJ	VYBER	3600	43203	\N	\N	\N
313901	1071	1997-06-25	VYDAJ	VYBER	7200	89625	\N	\N	\N
313902	1071	1997-09-24	VYDAJ	VYBER	9900	28648	\N	\N	\N
313903	1071	1997-09-24	VYDAJ	VYBER	2100	38548	\N	\N	\N
313904	1071	1998-08-12	VYDAJ	VYBER	1800	38265	\N	\N	\N
313905	1071	1998-01-10	VYDAJ	VYBER	7800	66450	\N	\N	\N
313906	1071	1998-05-04	VYDAJ	VYBER	10500	28971	\N	\N	\N
313907	1071	1998-01-22	VYDAJ	VYBER	4800	26055	\N	\N	\N
313916	1071	1993-08-31	VYDAJ	VYBER	30	49740	SLUZBY	\N	\N
313917	1071	1993-09-30	VYDAJ	VYBER	30	77128	SLUZBY	\N	\N
313918	1071	1993-10-31	VYDAJ	VYBER	30	32925	SLUZBY	\N	\N
313919	1071	1993-11-30	VYDAJ	VYBER	30	16724	SLUZBY	\N	\N
313920	1071	1993-12-31	VYDAJ	VYBER	30	15164	SLUZBY	\N	\N
313921	1071	1994-01-31	VYDAJ	VYBER	30	81329	SLUZBY	\N	\N
313922	1071	1994-02-28	VYDAJ	VYBER	30	52880	SLUZBY	\N	\N
313923	1071	1994-03-31	VYDAJ	VYBER	30	45190	SLUZBY	\N	\N
313924	1071	1994-04-30	VYDAJ	VYBER	30	18136	SLUZBY	\N	\N
313925	1071	1994-05-31	VYDAJ	VYBER	30	24422	SLUZBY	\N	\N
313926	1071	1994-06-30	VYDAJ	VYBER	30	38077	SLUZBY	\N	\N
313927	1071	1994-07-31	VYDAJ	VYBER	30	27837	SLUZBY	\N	\N
313928	1071	1994-08-31	VYDAJ	VYBER	30	24373	SLUZBY	\N	\N
313929	1071	1994-09-30	VYDAJ	VYBER	30	48768	SLUZBY	\N	\N
313930	1071	1994-10-31	VYDAJ	VYBER	30	16802	SLUZBY	\N	\N
313931	1071	1994-11-30	VYDAJ	VYBER	30	90739	SLUZBY	\N	\N
313932	1071	1994-12-31	VYDAJ	VYBER	30	49384	SLUZBY	\N	\N
313933	1071	1995-01-31	VYDAJ	VYBER	30	21048	SLUZBY	\N	\N
313934	1071	1995-02-28	VYDAJ	VYBER	30	48392	SLUZBY	\N	\N
313935	1071	1995-03-31	VYDAJ	VYBER	30	31402	SLUZBY	\N	\N
313936	1071	1995-04-30	VYDAJ	VYBER	30	94724	SLUZBY	\N	\N
313937	1071	1995-05-31	VYDAJ	VYBER	30	32756	SLUZBY	\N	\N
313938	1071	1995-06-30	VYDAJ	VYBER	30	29242	SLUZBY	\N	\N
313939	1071	1995-07-31	VYDAJ	VYBER	30	53128	SLUZBY	\N	\N
313940	1071	1995-08-31	VYDAJ	VYBER	30	39775	SLUZBY	\N	\N
313941	1071	1995-09-30	VYDAJ	VYBER	30	32688	SLUZBY	\N	\N
313942	1071	1995-10-31	VYDAJ	VYBER	30	53386	SLUZBY	\N	\N
313943	1071	1995-11-30	VYDAJ	VYBER	30	42167	SLUZBY	\N	\N
313944	1071	1995-12-31	VYDAJ	VYBER	30	48139	SLUZBY	\N	\N
313945	1071	1996-01-31	VYDAJ	VYBER	30	32573	SLUZBY	\N	\N
313946	1071	1996-02-29	VYDAJ	VYBER	30	43463	SLUZBY	\N	\N
313947	1071	1996-03-31	VYDAJ	VYBER	30	24963	SLUZBY	\N	\N
313948	1071	1996-04-30	VYDAJ	VYBER	30	18998	SLUZBY	\N	\N
313949	1071	1996-05-31	VYDAJ	VYBER	30	21329	SLUZBY	\N	\N
313950	1071	1996-06-30	VYDAJ	VYBER	30	29041	SLUZBY	\N	\N
313951	1071	1996-07-31	VYDAJ	VYBER	30	115253	SLUZBY	\N	\N
313952	1071	1996-08-31	VYDAJ	VYBER	30	45289	SLUZBY	\N	\N
313953	1071	1996-09-30	VYDAJ	VYBER	30	51156	SLUZBY	\N	\N
313954	1071	1996-10-31	VYDAJ	VYBER	30	37928	SLUZBY	\N	\N
313955	1071	1996-11-30	VYDAJ	VYBER	30	27433	SLUZBY	\N	\N
313956	1071	1996-12-31	VYDAJ	VYBER	30	28590	SLUZBY	\N	\N
313957	1071	1997-01-31	VYDAJ	VYBER	30	69700	SLUZBY	\N	\N
313958	1071	1997-02-28	VYDAJ	VYBER	30	46803	SLUZBY	\N	\N
313959	1071	1997-03-31	VYDAJ	VYBER	30	43428	SLUZBY	\N	\N
313960	1071	1997-04-30	VYDAJ	VYBER	30	30693	SLUZBY	\N	\N
313961	1071	1997-05-31	VYDAJ	VYBER	30	60887	SLUZBY	\N	\N
313962	1071	1997-06-30	VYDAJ	VYBER	30	89911	SLUZBY	\N	\N
313963	1071	1997-07-31	VYDAJ	VYBER	30	46463	SLUZBY	\N	\N
313964	1071	1997-08-31	VYDAJ	VYBER	30	49668	SLUZBY	\N	\N
313965	1071	1997-09-30	VYDAJ	VYBER	30	28793	SLUZBY	\N	\N
313966	1071	1997-10-31	VYDAJ	VYBER	30	37370	SLUZBY	\N	\N
313967	1071	1997-11-30	VYDAJ	VYBER	30	66967	SLUZBY	\N	\N
313968	1071	1997-12-31	VYDAJ	VYBER	30	37561	SLUZBY	\N	\N
313969	1071	1998-01-31	VYDAJ	VYBER	30	26176	SLUZBY	\N	\N
313970	1071	1998-02-28	VYDAJ	VYBER	30	56440	SLUZBY	\N	\N
313971	1071	1998-03-31	VYDAJ	VYBER	30	57088	SLUZBY	\N	\N
313972	1071	1998-04-30	VYDAJ	VYBER	30	39471	SLUZBY	\N	\N
313973	1071	1998-05-31	VYDAJ	VYBER	30	25545	SLUZBY	\N	\N
313974	1071	1998-06-30	VYDAJ	VYBER	30	42655	SLUZBY	\N	\N
313975	1071	1998-07-31	VYDAJ	VYBER	30	36965	SLUZBY	\N	\N
313976	1071	1998-08-31	VYDAJ	VYBER	30	83418	SLUZBY	\N	\N
313977	1071	1998-09-30	VYDAJ	VYBER	30	43226	SLUZBY	\N	\N
313978	1071	1998-10-31	VYDAJ	VYBER	30	68362	SLUZBY	\N	\N
313979	1071	1998-11-30	VYDAJ	VYBER	30	43026	SLUZBY	\N	\N
313980	1071	1993-06-09	VYDAJ	VYBER	42600	61818	\N	\N	\N
313981	1071	1993-07-09	VYDAJ	VYBER	33500	57118	\N	\N	\N
313982	1071	1993-08-08	VYDAJ	VYBER	15000	42495	\N	\N	\N
313983	1071	1993-09-07	VYDAJ	VYBER	12300	37440	\N	\N	\N
313984	1071	1993-10-07	VYDAJ	VYBER	29100	48028	\N	\N	\N
313985	1071	1993-11-06	VYDAJ	VYBER	5400	22825	\N	\N	\N
313986	1071	1993-12-06	VYDAJ	VYBER	1600	15124	\N	\N	\N
313987	1071	1994-01-05	PRIJEM	VKLAD	5800	20964	\N	\N	\N
313988	1071	1994-02-04	VYDAJ	VYBER	38100	57596	\N	\N	\N
313989	1071	1994-02-25	VYDAJ	VYBER	57800	52662	\N	\N	\N
313990	1071	1994-03-06	VYDAJ	VYBER	33300	58155	\N	\N	\N
313991	1071	1994-04-05	VYDAJ	VYBER	12500	32690	\N	\N	\N
313992	1071	1994-05-05	PRIJEM	VKLAD	3500	21636	\N	\N	\N
313993	1071	1994-06-04	VYDAJ	VYBER	14100	42169	\N	\N	\N
313994	1071	1994-07-04	VYDAJ	VYBER	5600	32477	\N	\N	\N
313995	1071	1994-08-03	VYDAJ	VYBER	4700	32051	\N	\N	\N
313996	1071	1994-09-02	VYDAJ	VYBER	1600	22773	\N	\N	\N
313997	1071	1994-09-19	VYDAJ	VYBER	53000	48655	\N	\N	\N
313998	1071	1994-10-02	VYDAJ	VYBER	13400	35368	\N	\N	\N
313999	1071	1994-11-01	PRIJEM	VKLAD	4200	21002	\N	\N	\N
314000	1071	1994-12-01	VYDAJ	VYBER	34500	56239	\N	\N	\N
314001	1071	1994-12-31	VYDAJ	VYBER	26100	49414	\N	\N	\N
314002	1071	1995-01-30	PRIJEM	VKLAD	2500	29341	\N	\N	\N
314003	1071	1995-03-01	VYDAJ	VYBER	9000	39392	\N	\N	\N
314004	1071	1995-03-31	VYDAJ	VYBER	2800	28602	\N	\N	\N
314005	1071	1995-04-30	VYDAJ	VYBER	32700	62024	\N	\N	\N
314006	1071	1995-05-30	VYDAJ	VYBER	14200	40005	\N	\N	\N
314007	1071	1995-06-29	PRIJEM	VKLAD	600	29136	\N	\N	\N
314008	1071	1995-07-29	VYDAJ	VYBER	25800	52935	\N	\N	\N
314009	1071	1995-08-28	VYDAJ	VYBER	13600	39584	\N	\N	\N
314010	1071	1995-09-27	VYDAJ	VYBER	3000	32556	\N	\N	\N
314011	1071	1995-10-27	VYDAJ	VYBER	20000	46971	\N	\N	\N
314012	1071	1995-11-26	VYDAJ	VYBER	13300	41982	\N	\N	\N
314013	1071	1995-12-26	VYDAJ	VYBER	21200	47977	\N	\N	\N
314014	1071	1996-01-25	VYDAJ	VYBER	6400	32420	\N	\N	\N
314015	1071	1996-02-24	VYDAJ	VYBER	13000	43349	\N	\N	\N
314016	1071	1996-03-25	PRIJEM	VKLAD	1500	35518	\N	\N	\N
314017	1071	1996-04-24	PRIJEM	VKLAD	2400	18944	\N	\N	\N
314018	1071	1996-05-24	PRIJEM	VKLAD	6500	21278	\N	\N	\N
314019	1071	1996-06-23	VYDAJ	VYBER	2300	28961	\N	\N	\N
314020	1071	1996-07-23	VYDAJ	VYBER	1800	23022	\N	\N	\N
314021	1071	1996-07-31	VYDAJ	VYBER	46700	68553	\N	\N	\N
314022	1071	1996-08-22	VYDAJ	VYBER	19400	44934	\N	\N	\N
314023	1071	1996-09-21	VYDAJ	VYBER	20500	50951	\N	\N	\N
314024	1071	1996-10-21	VYDAJ	VYBER	18400	48854	\N	\N	\N
314025	1071	1996-11-20	PRIJEM	VKLAD	4900	27339	\N	\N	\N
314026	1071	1996-12-20	PRIJEM	VKLAD	8000	28513	\N	\N	\N
314027	1071	1997-01-19	VYDAJ	VYBER	6300	43119	\N	\N	\N
314028	1071	1997-02-18	VYDAJ	VYBER	9300	46593	\N	\N	\N
314029	1071	1997-03-20	VYDAJ	VYBER	21600	67697	\N	\N	\N
314030	1071	1997-04-19	PRIJEM	VKLAD	8100	30585	\N	\N	\N
314031	1071	1997-05-19	PRIJEM	VKLAD	2600	29074	\N	\N	\N
314032	1071	1997-06-18	VYDAJ	VYBER	22200	62341	\N	\N	\N
314033	1071	1997-07-01	VYDAJ	VYBER	18300	114888	\N	\N	\N
314034	1071	1997-07-12	VYDAJ	VYBER	62600	52288	\N	\N	\N
314035	1071	1997-07-18	VYDAJ	VYBER	1900	46169	\N	\N	\N
314036	1071	1997-08-17	VYDAJ	VYBER	5500	49501	\N	\N	\N
314037	1071	1997-09-16	VYDAJ	VYBER	4800	40648	\N	\N	\N
314038	1071	1997-10-16	PRIJEM	VKLAD	5500	37263	\N	\N	\N
314039	1071	1997-11-15	VYDAJ	VYBER	5200	48332	\N	\N	\N
314040	1071	1997-11-29	VYDAJ	VYBER	53500	66763	\N	\N	\N
314041	1071	1997-12-15	PRIJEM	VKLAD	2400	43984	\N	\N	\N
314042	1071	1998-01-14	VYDAJ	VYBER	11500	50730	\N	\N	\N
314043	1071	1998-02-13	VYDAJ	VYBER	12800	56286	\N	\N	\N
314044	1071	1998-03-15	VYDAJ	VYBER	5600	44330	\N	\N	\N
314045	1071	1998-04-14	VYDAJ	VYBER	8000	39311	\N	\N	\N
314046	1071	1998-05-14	PRIJEM	VKLAD	700	25451	\N	\N	\N
314047	1071	1998-06-13	VYDAJ	VYBER	11200	42513	\N	\N	\N
314048	1071	1998-07-13	VYDAJ	VYBER	1600	36835	\N	\N	\N
314049	1071	1998-08-12	PRIJEM	VKLAD	3100	40065	\N	\N	\N
314050	1071	1998-09-11	VYDAJ	VYBER	22900	55639	\N	\N	\N
314051	1071	1998-10-11	VYDAJ	VYBER	7600	35626	\N	\N	\N
314052	1071	1998-11-10	VYDAJ	VYBER	21300	47062	\N	\N	\N
314053	1071	1998-12-10	VYDAJ	VYBER	11300	31726	\N	\N	\N
314122	1072	1997-12-09	PRIJEM	VKLAD	400	400	\N	\N	\N
314135	1072	1998-01-05	PRIJEM	VKLAD	13565	13965	\N	\N	\N
314136	1072	1998-02-05	PRIJEM	VKLAD	13565	30384	\N	\N	\N
314137	1072	1998-03-05	PRIJEM	VKLAD	13565	34934	\N	\N	\N
314138	1072	1998-04-05	PRIJEM	VKLAD	13565	40505	\N	\N	\N
314139	1072	1998-05-05	PRIJEM	VKLAD	13565	47504	\N	\N	\N
314140	1072	1998-06-05	PRIJEM	VKLAD	20348	57351	\N	\N	\N
314141	1072	1998-07-05	PRIJEM	VKLAD	13565	41604	\N	\N	\N
314142	1072	1998-08-05	PRIJEM	VKLAD	13565	44561	\N	\N	\N
314143	1072	1998-09-05	PRIJEM	VKLAD	13565	43417	\N	\N	\N
314144	1072	1998-10-05	PRIJEM	VKLAD	13565	36786	\N	\N	\N
314145	1072	1998-11-05	PRIJEM	VKLAD	13565	34717	\N	\N	\N
314146	1072	1998-12-05	PRIJEM	VKLAD	20348	52056	\N	\N	\N
314163	1072	1998-05-08	VYDAJ	PREVOD NA UCET	3520	36864	SIPO	OP	47369968
314164	1072	1998-06-08	VYDAJ	PREVOD NA UCET	3520	42631	SIPO	OP	47369968
314165	1072	1998-07-08	VYDAJ	PREVOD NA UCET	3520	30884	SIPO	OP	47369968
314166	1072	1998-08-08	VYDAJ	PREVOD NA UCET	3520	29741	SIPO	OP	47369968
314167	1072	1998-09-08	VYDAJ	PREVOD NA UCET	3520	28997	SIPO	OP	47369968
314168	1072	1998-10-08	VYDAJ	PREVOD NA UCET	3520	25566	SIPO	OP	47369968
314169	1072	1998-11-08	VYDAJ	PREVOD NA UCET	3520	31197	SIPO	OP	47369968
314170	1072	1998-12-08	VYDAJ	PREVOD NA UCET	3520	48536	SIPO	OP	47369968
314172	1072	1998-06-16	VYDAJ	VYBER	14720	27911	\N	\N	\N
314176	1072	1998-12-08	VYDAJ	VYBER	960	47576	\N	\N	\N
314193	1072	1998-09-25	VYDAJ	VYBER	5880	23117	\N	\N	\N
314194	1072	1998-05-06	VYDAJ	VYBER	720	46784	\N	\N	\N
314196	1072	1998-12-10	VYDAJ	VYBER	3240	44336	\N	\N	\N
314197	1072	1998-10-19	VYDAJ	VYBER	4800	20766	\N	\N	\N
314216	1072	1998-05-31	VYDAJ	VYBER	15	37003	SLUZBY	\N	\N
314217	1072	1998-06-30	VYDAJ	VYBER	15	28039	SLUZBY	\N	\N
314218	1072	1998-07-31	VYDAJ	VYBER	15	30996	SLUZBY	\N	\N
314219	1072	1998-08-31	VYDAJ	VYBER	15	29852	SLUZBY	\N	\N
314220	1072	1998-09-30	VYDAJ	VYBER	15	23221	SLUZBY	\N	\N
314221	1072	1998-10-31	VYDAJ	VYBER	15	20852	SLUZBY	\N	\N
314222	1072	1998-11-30	VYDAJ	VYBER	15	31308	SLUZBY	\N	\N
314223	1072	1998-01-08	PRIJEM	VKLAD	2800	16765	\N	\N	\N
314224	1072	1998-02-07	VYDAJ	VYBER	9100	21284	\N	\N	\N
314225	1072	1998-03-09	VYDAJ	VYBER	8100	26834	\N	\N	\N
314226	1072	1998-04-08	VYDAJ	VYBER	6700	33805	\N	\N	\N
314227	1072	1998-05-08	VYDAJ	VYBER	6400	40384	\N	\N	\N
314228	1072	1998-06-07	VYDAJ	VYBER	11200	46151	\N	\N	\N
314229	1072	1998-07-07	VYDAJ	VYBER	7200	34404	\N	\N	\N
314230	1072	1998-08-06	VYDAJ	VYBER	11300	33261	\N	\N	\N
314231	1072	1998-09-05	VYDAJ	VYBER	10900	32517	\N	\N	\N
314232	1072	1998-10-05	VYDAJ	VYBER	7700	29086	\N	\N	\N
314233	1072	1998-11-04	PRIJEM	VKLAD	300	21152	\N	\N	\N
314234	1072	1998-12-04	PRIJEM	VKLAD	400	31708	\N	\N	\N
314247	1073	1994-02-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
314250	1073	1994-03-13	PRIJEM	VKLAD	5765	6765	\N	\N	\N
314251	1073	1994-04-13	PRIJEM	VKLAD	5765	20136	\N	\N	\N
314252	1073	1994-05-13	PRIJEM	VKLAD	5765	26263	\N	\N	\N
314253	1073	1994-06-13	PRIJEM	VKLAD	8648	33498	\N	\N	\N
314254	1073	1994-07-13	PRIJEM	VKLAD	5765	36370	\N	\N	\N
314255	1073	1994-08-13	PRIJEM	VKLAD	5765	33506	\N	\N	\N
314256	1073	1994-09-13	PRIJEM	VKLAD	5765	34239	\N	\N	\N
314257	1073	1994-10-13	PRIJEM	VKLAD	5765	30506	\N	\N	\N
314258	1073	1994-11-13	PRIJEM	VKLAD	5765	31832	\N	\N	\N
314259	1073	1994-12-13	PRIJEM	VKLAD	8648	34239	\N	\N	\N
314260	1073	1995-01-13	PRIJEM	VKLAD	5765	29983	\N	\N	\N
314261	1073	1995-02-13	PRIJEM	VKLAD	5765	20375	\N	\N	\N
314262	1073	1995-03-13	PRIJEM	VKLAD	5765	28235	\N	\N	\N
314263	1073	1995-04-13	PRIJEM	VKLAD	5765	26544	\N	\N	\N
314264	1073	1995-05-13	PRIJEM	VKLAD	5765	30050	\N	\N	\N
314265	1073	1995-06-13	PRIJEM	VKLAD	8648	34746	\N	\N	\N
314266	1073	1995-07-13	PRIJEM	VKLAD	5765	27069	\N	\N	\N
314267	1073	1995-08-13	PRIJEM	VKLAD	5765	30981	\N	\N	\N
314268	1073	1995-09-13	PRIJEM	VKLAD	5765	33303	\N	\N	\N
314269	1073	1995-10-13	PRIJEM	VKLAD	5765	34028	\N	\N	\N
314270	1073	1995-11-13	PRIJEM	VKLAD	5765	35056	\N	\N	\N
314271	1073	1995-12-13	PRIJEM	VKLAD	8648	35433	\N	\N	\N
314272	1073	1996-01-13	PRIJEM	VKLAD	5765	32711	\N	\N	\N
314273	1073	1996-02-13	PRIJEM	VKLAD	5765	27265	\N	\N	\N
314274	1073	1996-03-13	PRIJEM	VKLAD	5765	30471	\N	\N	\N
314275	1073	1996-04-13	PRIJEM	VKLAD	5765	32087	\N	\N	\N
314276	1073	1996-05-13	PRIJEM	VKLAD	5765	29946	\N	\N	\N
314277	1073	1996-06-13	PRIJEM	VKLAD	8648	31521	\N	\N	\N
314278	1073	1996-07-13	PRIJEM	VKLAD	5765	36341	\N	\N	\N
314279	1073	1996-08-13	PRIJEM	VKLAD	5765	41787	\N	\N	\N
314280	1073	1996-09-13	PRIJEM	VKLAD	5765	45653	\N	\N	\N
314281	1073	1996-10-13	PRIJEM	VKLAD	5765	45025	\N	\N	\N
314282	1073	1996-11-13	PRIJEM	VKLAD	5765	48804	\N	\N	\N
314283	1073	1996-12-13	PRIJEM	VKLAD	8648	53378	\N	\N	\N
314284	1073	1997-01-13	PRIJEM	VKLAD	5765	46331	\N	\N	\N
314285	1073	1997-02-13	PRIJEM	VKLAD	5765	44477	\N	\N	\N
314286	1073	1997-03-13	PRIJEM	VKLAD	5765	45804	\N	\N	\N
314287	1073	1997-04-13	PRIJEM	VKLAD	5765	54415	\N	\N	\N
314288	1073	1997-05-13	PRIJEM	VKLAD	5765	66115	\N	\N	\N
314289	1073	1997-06-13	PRIJEM	VKLAD	8648	74454	\N	\N	\N
314290	1073	1997-07-13	PRIJEM	VKLAD	5765	61918	\N	\N	\N
314291	1073	1997-08-13	PRIJEM	VKLAD	5765	64209	\N	\N	\N
314292	1073	1997-09-13	PRIJEM	VKLAD	5765	66972	\N	\N	\N
314293	1073	1997-10-13	PRIJEM	VKLAD	5765	69537	\N	\N	\N
314294	1073	1997-11-13	PRIJEM	VKLAD	5765	73013	\N	\N	\N
314295	1073	1997-12-13	PRIJEM	VKLAD	8648	79053	\N	\N	\N
314296	1073	1998-01-13	PRIJEM	VKLAD	5765	70653	\N	\N	\N
314297	1073	1998-02-13	PRIJEM	VKLAD	5765	72848	\N	\N	\N
314298	1073	1998-03-13	PRIJEM	VKLAD	5765	81520	\N	\N	\N
314299	1073	1998-04-13	PRIJEM	VKLAD	5765	81758	\N	\N	\N
314300	1073	1998-05-13	PRIJEM	VKLAD	5765	89395	\N	\N	\N
314301	1073	1998-06-13	PRIJEM	VKLAD	8648	99836	\N	\N	\N
314302	1073	1998-07-13	PRIJEM	VKLAD	5765	75223	\N	\N	\N
314303	1073	1998-08-13	PRIJEM	VKLAD	5765	87384	\N	\N	\N
314304	1073	1998-09-13	PRIJEM	VKLAD	5765	90926	\N	\N	\N
314305	1073	1998-10-13	PRIJEM	VKLAD	5765	97597	\N	\N	\N
314306	1073	1998-11-13	PRIJEM	VKLAD	5765	97722	\N	\N	\N
314307	1073	1998-12-13	PRIJEM	VKLAD	8648	103225	\N	\N	\N
314314	1073	1994-07-13	VYDAJ	PREVOD NA UCET	3843	32527	SIPO	OP	88794773
314315	1073	1994-08-13	VYDAJ	PREVOD NA UCET	3843	29663	SIPO	OP	88794773
314316	1073	1994-09-13	VYDAJ	PREVOD NA UCET	3843	30396	SIPO	OP	88794773
314317	1073	1994-10-13	VYDAJ	PREVOD NA UCET	3843	26663	SIPO	OP	88794773
314318	1073	1994-11-13	VYDAJ	PREVOD NA UCET	3843	27989	SIPO	OP	88794773
314319	1073	1994-12-13	VYDAJ	PREVOD NA UCET	3843	30396	SIPO	OP	88794773
314320	1073	1995-01-13	VYDAJ	PREVOD NA UCET	3843	26140	SIPO	OP	88794773
314321	1073	1995-02-13	VYDAJ	PREVOD NA UCET	3843	16532	SIPO	OP	88794773
314322	1073	1995-03-13	VYDAJ	PREVOD NA UCET	3843	24392	SIPO	OP	88794773
314323	1073	1995-04-13	VYDAJ	PREVOD NA UCET	3843	22701	SIPO	OP	88794773
314324	1073	1995-05-13	VYDAJ	PREVOD NA UCET	3843	26207	SIPO	OP	88794773
314325	1073	1995-06-13	VYDAJ	PREVOD NA UCET	3843	30903	SIPO	OP	88794773
314326	1073	1995-07-13	VYDAJ	PREVOD NA UCET	3843	23226	SIPO	OP	88794773
314327	1073	1995-08-13	VYDAJ	PREVOD NA UCET	3843	27138	SIPO	OP	88794773
314328	1073	1995-09-13	VYDAJ	PREVOD NA UCET	3843	29460	SIPO	OP	88794773
314329	1073	1995-10-13	VYDAJ	PREVOD NA UCET	3843	30185	SIPO	OP	88794773
314330	1073	1995-11-13	VYDAJ	PREVOD NA UCET	3843	31213	SIPO	OP	88794773
314331	1073	1995-12-13	VYDAJ	PREVOD NA UCET	3843	31590	SIPO	OP	88794773
314332	1073	1996-01-13	VYDAJ	PREVOD NA UCET	3843	23348	SIPO	OP	88794773
314333	1073	1996-02-13	VYDAJ	PREVOD NA UCET	3843	23422	SIPO	OP	88794773
314334	1073	1996-03-13	VYDAJ	PREVOD NA UCET	3843	26628	SIPO	OP	88794773
314335	1073	1996-04-13	VYDAJ	PREVOD NA UCET	3843	28244	SIPO	OP	88794773
314336	1073	1996-05-13	VYDAJ	PREVOD NA UCET	3843	26103	SIPO	OP	88794773
314337	1073	1996-06-13	VYDAJ	PREVOD NA UCET	3843	27678	SIPO	OP	88794773
314338	1073	1996-07-13	VYDAJ	PREVOD NA UCET	3843	32498	SIPO	OP	88794773
314339	1073	1996-08-13	VYDAJ	PREVOD NA UCET	3843	37944	SIPO	OP	88794773
314340	1073	1996-09-13	VYDAJ	PREVOD NA UCET	3843	41810	SIPO	OP	88794773
314341	1073	1996-10-13	VYDAJ	PREVOD NA UCET	3843	41182	SIPO	OP	88794773
314342	1073	1996-11-13	VYDAJ	PREVOD NA UCET	3843	44961	SIPO	OP	88794773
314343	1073	1996-12-13	VYDAJ	PREVOD NA UCET	3843	49535	SIPO	OP	88794773
314344	1073	1997-01-13	VYDAJ	PREVOD NA UCET	3843	27608	SIPO	OP	88794773
314345	1073	1997-02-13	VYDAJ	PREVOD NA UCET	3843	40634	SIPO	OP	88794773
314346	1073	1997-03-13	VYDAJ	PREVOD NA UCET	3843	52361	SIPO	OP	88794773
314347	1073	1997-04-13	VYDAJ	PREVOD NA UCET	3843	50572	SIPO	OP	88794773
314348	1073	1997-05-13	VYDAJ	PREVOD NA UCET	3843	62272	SIPO	OP	88794773
314349	1073	1997-06-13	VYDAJ	PREVOD NA UCET	3843	70611	SIPO	OP	88794773
314350	1073	1997-07-13	VYDAJ	PREVOD NA UCET	3843	58075	SIPO	OP	88794773
314351	1073	1997-08-13	VYDAJ	PREVOD NA UCET	3843	60366	SIPO	OP	88794773
314352	1073	1997-09-13	VYDAJ	PREVOD NA UCET	3843	63129	SIPO	OP	88794773
314353	1073	1997-10-13	VYDAJ	PREVOD NA UCET	3843	65694	SIPO	OP	88794773
314354	1073	1997-11-13	VYDAJ	PREVOD NA UCET	3843	69170	SIPO	OP	88794773
314355	1073	1997-12-13	VYDAJ	PREVOD NA UCET	3843	75210	SIPO	OP	88794773
314356	1073	1998-01-13	VYDAJ	PREVOD NA UCET	3843	66810	SIPO	OP	88794773
314357	1073	1998-02-13	VYDAJ	PREVOD NA UCET	3843	69005	SIPO	OP	88794773
314358	1073	1998-03-13	VYDAJ	PREVOD NA UCET	3843	77677	SIPO	OP	88794773
314359	1073	1998-04-13	VYDAJ	PREVOD NA UCET	3843	77915	SIPO	OP	88794773
314360	1073	1998-05-13	VYDAJ	PREVOD NA UCET	3843	85552	SIPO	OP	88794773
314361	1073	1998-06-13	VYDAJ	PREVOD NA UCET	3843	95993	SIPO	OP	88794773
314362	1073	1998-07-13	VYDAJ	PREVOD NA UCET	3843	71380	SIPO	OP	88794773
314363	1073	1998-08-13	VYDAJ	PREVOD NA UCET	3843	83541	SIPO	OP	88794773
314364	1073	1998-09-13	VYDAJ	PREVOD NA UCET	3843	87083	SIPO	OP	88794773
314365	1073	1998-10-13	VYDAJ	PREVOD NA UCET	3843	93754	SIPO	OP	88794773
314366	1073	1998-11-13	VYDAJ	PREVOD NA UCET	3843	88719	SIPO	OP	88794773
314367	1073	1998-12-13	VYDAJ	PREVOD NA UCET	3843	99382	SIPO	OP	88794773
314371	1073	1997-06-17	VYDAJ	VYBER	17920	52691	\N	\N	\N
314372	1073	1998-06-16	VYDAJ	VYBER	44960	51033	\N	\N	\N
314374	1073	1995-01-16	VYDAJ	VYBER	11200	14940	\N	\N	\N
314375	1073	1996-01-04	VYDAJ	VYBER	1760	26946	\N	\N	\N
314376	1073	1997-01-13	VYDAJ	VYBER	14880	31451	\N	\N	\N
314377	1073	1998-01-08	VYDAJ	VYBER	8960	67648	\N	\N	\N
314378	1073	1994-12-09	VYDAJ	VYBER	800	25592	\N	\N	\N
314379	1073	1995-12-10	VYDAJ	VYBER	3040	26786	\N	\N	\N
314380	1073	1996-12-30	VYDAJ	VYBER	2080	42955	\N	\N	\N
314381	1073	1997-12-08	VYDAJ	VYBER	3040	70406	\N	\N	\N
314382	1073	1998-12-17	VYDAJ	VYBER	960	98422	\N	\N	\N
314389	1073	1995-01-17	VYDAJ	VYBER	1920	13020	\N	\N	\N
314390	1073	1995-01-05	VYDAJ	VYBER	2880	24218	\N	\N	\N
314391	1073	1995-01-29	VYDAJ	VYBER	2280	14540	\N	\N	\N
314393	1073	1995-01-28	VYDAJ	VYBER	1200	16820	\N	\N	\N
314394	1073	1995-01-02	VYDAJ	VYBER	600	27098	\N	\N	\N
314395	1073	1996-01-13	VYDAJ	VYBER	2760	29951	\N	\N	\N
314396	1073	1996-01-13	VYDAJ	VYBER	2760	27191	\N	\N	\N
314397	1073	1996-01-21	VYDAJ	VYBER	1680	25968	\N	\N	\N
314398	1073	1996-01-21	VYDAJ	VYBER	2520	21408	\N	\N	\N
314399	1073	1996-01-21	VYDAJ	VYBER	2040	23928	\N	\N	\N
314400	1073	1996-01-02	VYDAJ	VYBER	2400	28706	\N	\N	\N
314401	1073	1997-01-03	VYDAJ	VYBER	3360	39766	\N	\N	\N
314402	1073	1997-01-09	VYDAJ	VYBER	2160	33766	\N	\N	\N
314403	1073	1997-01-06	VYDAJ	VYBER	2400	37366	\N	\N	\N
314404	1073	1997-01-17	VYDAJ	VYBER	1080	19808	\N	\N	\N
314405	1073	1997-01-13	VYDAJ	VYBER	1680	25928	\N	\N	\N
314406	1073	1997-01-09	VYDAJ	VYBER	1440	35926	\N	\N	\N
314407	1073	1998-01-21	VYDAJ	VYBER	1320	59250	\N	\N	\N
314408	1073	1998-01-12	VYDAJ	VYBER	2760	64888	\N	\N	\N
314409	1073	1998-01-13	VYDAJ	VYBER	3120	63690	\N	\N	\N
314410	1073	1998-01-22	VYDAJ	VYBER	840	58410	\N	\N	\N
314411	1073	1998-01-18	VYDAJ	VYBER	3120	60570	\N	\N	\N
314412	1073	1998-01-25	VYDAJ	VYBER	1680	56730	\N	\N	\N
314415	1073	1994-09-14	VYDAJ	VYBER	2160	28236	\N	\N	\N
314417	1073	1994-10-10	VYDAJ	VYBER	1680	26661	\N	\N	\N
314418	1073	1994-10-11	VYDAJ	VYBER	1920	24741	\N	\N	\N
314419	1073	1995-07-01	VYDAJ	VYBER	5280	21304	\N	\N	\N
314420	1073	1995-06-24	VYDAJ	VYBER	3720	26483	\N	\N	\N
314421	1073	1995-03-27	VYDAJ	VYBER	3000	20692	\N	\N	\N
314422	1073	1995-03-03	VYDAJ	VYBER	720	22470	\N	\N	\N
314423	1073	1996-04-08	VYDAJ	VYBER	1200	26322	\N	\N	\N
314424	1073	1996-04-19	VYDAJ	VYBER	4560	24084	\N	\N	\N
314425	1073	1996-05-24	VYDAJ	VYBER	4920	22783	\N	\N	\N
314426	1073	1997-03-24	VYDAJ	VYBER	3240	45761	\N	\N	\N
314427	1073	1997-06-22	VYDAJ	VYBER	5760	46931	\N	\N	\N
314428	1073	1997-03-03	VYDAJ	VYBER	720	40039	\N	\N	\N
314429	1073	1997-03-25	VYDAJ	VYBER	5880	39881	\N	\N	\N
314430	1073	1997-03-20	VYDAJ	VYBER	3360	49001	\N	\N	\N
314431	1073	1997-08-06	VYDAJ	VYBER	2040	56244	\N	\N	\N
314432	1073	1997-01-16	VYDAJ	VYBER	5040	20888	\N	\N	\N
314433	1073	1998-03-23	VYDAJ	VYBER	1680	75997	\N	\N	\N
314434	1073	1998-11-01	VYDAJ	VYBER	4560	89557	\N	\N	\N
314435	1073	1998-11-13	VYDAJ	VYBER	5160	92562	\N	\N	\N
314436	1073	1998-12-25	VYDAJ	VYBER	2880	95542	\N	\N	\N
314437	1073	1998-06-21	VYDAJ	VYBER	5640	45393	\N	\N	\N
314445	1073	1994-07-31	VYDAJ	VYBER	15	27741	SLUZBY	\N	\N
314446	1073	1994-08-31	VYDAJ	VYBER	15	28474	SLUZBY	\N	\N
314447	1073	1994-09-30	VYDAJ	VYBER	15	28341	SLUZBY	\N	\N
314448	1073	1994-10-31	VYDAJ	VYBER	15	26067	SLUZBY	\N	\N
314449	1073	1994-11-30	VYDAJ	VYBER	15	26392	SLUZBY	\N	\N
314450	1073	1994-12-31	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
314451	1073	1995-01-31	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
314452	1073	1995-02-28	VYDAJ	VYBER	15	23190	SLUZBY	\N	\N
314453	1073	1995-03-31	VYDAJ	VYBER	15	20779	SLUZBY	\N	\N
314454	1073	1995-04-30	VYDAJ	VYBER	15	24285	SLUZBY	\N	\N
314455	1073	1995-05-31	VYDAJ	VYBER	15	26098	SLUZBY	\N	\N
314456	1073	1995-06-30	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
314457	1073	1995-07-31	VYDAJ	VYBER	15	25216	SLUZBY	\N	\N
314458	1073	1995-08-31	VYDAJ	VYBER	15	27538	SLUZBY	\N	\N
314459	1073	1995-09-30	VYDAJ	VYBER	15	28263	SLUZBY	\N	\N
314460	1073	1995-10-31	VYDAJ	VYBER	15	29291	SLUZBY	\N	\N
314461	1073	1995-11-30	VYDAJ	VYBER	15	29826	SLUZBY	\N	\N
314462	1073	1995-12-31	VYDAJ	VYBER	15	31106	SLUZBY	\N	\N
314463	1073	1996-01-31	VYDAJ	VYBER	15	21500	SLUZBY	\N	\N
314464	1073	1996-02-29	VYDAJ	VYBER	15	24706	SLUZBY	\N	\N
314465	1073	1996-03-31	VYDAJ	VYBER	15	27522	SLUZBY	\N	\N
314466	1073	1996-04-30	VYDAJ	VYBER	15	24181	SLUZBY	\N	\N
314467	1073	1996-05-31	VYDAJ	VYBER	15	22873	SLUZBY	\N	\N
314468	1073	1996-06-30	VYDAJ	VYBER	15	30576	SLUZBY	\N	\N
314469	1073	1996-07-31	VYDAJ	VYBER	15	36022	SLUZBY	\N	\N
314470	1073	1996-08-31	VYDAJ	VYBER	15	39888	SLUZBY	\N	\N
314471	1073	1996-09-30	VYDAJ	VYBER	15	39260	SLUZBY	\N	\N
314472	1073	1996-10-31	VYDAJ	VYBER	15	43039	SLUZBY	\N	\N
314473	1073	1996-11-30	VYDAJ	VYBER	15	44730	SLUZBY	\N	\N
314474	1073	1996-12-31	VYDAJ	VYBER	15	43126	SLUZBY	\N	\N
314475	1073	1997-01-31	VYDAJ	VYBER	15	19912	SLUZBY	\N	\N
314476	1073	1997-02-28	VYDAJ	VYBER	15	40759	SLUZBY	\N	\N
314477	1073	1997-03-31	VYDAJ	VYBER	15	40050	SLUZBY	\N	\N
314478	1073	1997-04-30	VYDAJ	VYBER	15	50750	SLUZBY	\N	\N
314479	1073	1997-05-31	VYDAJ	VYBER	15	62506	SLUZBY	\N	\N
314480	1073	1997-06-30	VYDAJ	VYBER	15	47153	SLUZBY	\N	\N
314481	1073	1997-07-31	VYDAJ	VYBER	15	58284	SLUZBY	\N	\N
314482	1073	1997-08-31	VYDAJ	VYBER	15	60607	SLUZBY	\N	\N
314483	1073	1997-09-30	VYDAJ	VYBER	15	63372	SLUZBY	\N	\N
314484	1073	1997-10-31	VYDAJ	VYBER	15	65948	SLUZBY	\N	\N
314485	1073	1997-11-30	VYDAJ	VYBER	15	69446	SLUZBY	\N	\N
314486	1073	1997-12-31	VYDAJ	VYBER	15	75508	SLUZBY	\N	\N
314487	1073	1998-01-31	VYDAJ	VYBER	15	56983	SLUZBY	\N	\N
314488	1073	1998-02-28	VYDAJ	VYBER	15	69255	SLUZBY	\N	\N
314489	1073	1998-03-31	VYDAJ	VYBER	15	76293	SLUZBY	\N	\N
314490	1073	1998-04-30	VYDAJ	VYBER	15	78230	SLUZBY	\N	\N
314491	1073	1998-05-31	VYDAJ	VYBER	15	85889	SLUZBY	\N	\N
314492	1073	1998-06-30	VYDAJ	VYBER	15	45658	SLUZBY	\N	\N
314493	1073	1998-07-31	VYDAJ	VYBER	15	71619	SLUZBY	\N	\N
314494	1073	1998-08-31	VYDAJ	VYBER	15	83861	SLUZBY	\N	\N
314495	1073	1998-09-30	VYDAJ	VYBER	15	87432	SLUZBY	\N	\N
314496	1073	1998-10-31	VYDAJ	VYBER	15	94117	SLUZBY	\N	\N
314497	1073	1998-11-30	VYDAJ	VYBER	15	89077	SLUZBY	\N	\N
314498	1073	1994-03-29	PRIJEM	VKLAD	7600	14365	\N	\N	\N
314499	1073	1994-04-28	PRIJEM	VKLAD	300	20436	\N	\N	\N
314500	1073	1994-05-28	VYDAJ	VYBER	1500	24763	\N	\N	\N
314501	1073	1994-06-27	VYDAJ	VYBER	3000	30498	\N	\N	\N
314502	1073	1994-07-27	VYDAJ	VYBER	4900	27627	\N	\N	\N
314503	1073	1994-08-26	VYDAJ	VYBER	1300	28363	\N	\N	\N
314504	1073	1994-10-25	VYDAJ	VYBER	700	25963	\N	\N	\N
314505	1073	1994-11-24	VYDAJ	VYBER	1700	26289	\N	\N	\N
314506	1073	1994-12-24	VYDAJ	VYBER	2800	27596	\N	\N	\N
314507	1073	1995-01-23	PRIJEM	VKLAD	5000	18020	\N	\N	\N
314508	1073	1995-02-22	PRIJEM	VKLAD	6600	23132	\N	\N	\N
314509	1073	1995-03-24	VYDAJ	VYBER	700	23692	\N	\N	\N
314510	1073	1995-04-23	PRIJEM	VKLAD	1500	24201	\N	\N	\N
314511	1073	1995-05-23	VYDAJ	VYBER	200	26007	\N	\N	\N
314512	1073	1995-06-22	VYDAJ	VYBER	700	30203	\N	\N	\N
314513	1073	1995-07-22	PRIJEM	VKLAD	1900	25126	\N	\N	\N
314514	1073	1995-08-21	PRIJEM	VKLAD	300	27438	\N	\N	\N
314515	1073	1995-09-20	VYDAJ	VYBER	1300	28160	\N	\N	\N
314516	1073	1995-10-20	VYDAJ	VYBER	1000	29185	\N	\N	\N
314517	1073	1995-11-19	VYDAJ	VYBER	1500	29713	\N	\N	\N
314518	1073	1995-12-19	VYDAJ	VYBER	600	30990	\N	\N	\N
314519	1073	1996-01-18	PRIJEM	VKLAD	4300	27648	\N	\N	\N
314520	1073	1996-02-17	PRIJEM	VKLAD	1200	24622	\N	\N	\N
314521	1073	1996-03-18	PRIJEM	VKLAD	800	27428	\N	\N	\N
314522	1073	1996-04-17	PRIJEM	VKLAD	400	28644	\N	\N	\N
314523	1073	1996-05-17	PRIJEM	VKLAD	1600	27703	\N	\N	\N
314524	1073	1996-06-16	PRIJEM	VKLAD	2800	30478	\N	\N	\N
314525	1073	1996-07-16	PRIJEM	VKLAD	3400	35898	\N	\N	\N
314526	1073	1996-08-15	PRIJEM	VKLAD	1800	39744	\N	\N	\N
314527	1073	1996-09-14	VYDAJ	VYBER	2700	39110	\N	\N	\N
314528	1073	1996-10-14	PRIJEM	VKLAD	1700	42882	\N	\N	\N
314529	1073	1996-11-13	VYDAJ	VYBER	400	44561	\N	\N	\N
314530	1073	1996-12-13	VYDAJ	VYBER	4500	45035	\N	\N	\N
314531	1073	1997-01-12	PRIJEM	VKLAD	6800	40566	\N	\N	\N
314532	1073	1997-02-11	PRIJEM	VKLAD	18800	38712	\N	\N	\N
314533	1073	1997-03-13	PRIJEM	VKLAD	10400	56204	\N	\N	\N
314534	1073	1997-04-12	PRIJEM	VKLAD	8600	48650	\N	\N	\N
314535	1073	1997-05-12	PRIJEM	VKLAD	9600	60350	\N	\N	\N
314536	1073	1997-06-11	PRIJEM	VKLAD	3300	65806	\N	\N	\N
314537	1073	1997-07-11	PRIJEM	VKLAD	9000	56153	\N	\N	\N
314538	1073	1997-08-10	PRIJEM	VKLAD	2200	58444	\N	\N	\N
314539	1073	1997-09-09	PRIJEM	VKLAD	600	61207	\N	\N	\N
314540	1073	1997-10-09	PRIJEM	VKLAD	400	63772	\N	\N	\N
314541	1073	1997-11-08	PRIJEM	VKLAD	1300	67248	\N	\N	\N
314542	1073	1997-12-08	PRIJEM	VKLAD	4000	73446	\N	\N	\N
314543	1073	1998-01-07	PRIJEM	VKLAD	1100	76608	\N	\N	\N
314544	1073	1998-02-06	PRIJEM	VKLAD	10100	67083	\N	\N	\N
314545	1073	1998-03-08	PRIJEM	VKLAD	6500	75755	\N	\N	\N
314546	1073	1998-04-07	VYDAJ	VYBER	300	75993	\N	\N	\N
314547	1073	1998-05-07	PRIJEM	VKLAD	5400	83630	\N	\N	\N
314548	1073	1998-06-06	PRIJEM	VKLAD	5300	91189	\N	\N	\N
314549	1073	1998-07-06	PRIJEM	VKLAD	23800	69458	\N	\N	\N
314550	1073	1998-08-05	PRIJEM	VKLAD	10000	81619	\N	\N	\N
314551	1073	1998-09-04	PRIJEM	VKLAD	1300	85161	\N	\N	\N
314552	1073	1998-10-04	PRIJEM	VKLAD	4400	91832	\N	\N	\N
314553	1073	1998-11-03	PRIJEM	VKLAD	2400	91957	\N	\N	\N
314554	1073	1998-12-03	PRIJEM	VKLAD	5500	94577	\N	\N	\N
314613	1074	1996-05-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
314619	1074	1996-06-13	PRIJEM	VKLAD	33016	34016	\N	\N	\N
314620	1074	1996-07-13	PRIJEM	VKLAD	22011	51392	\N	\N	\N
314621	1074	1996-08-13	PRIJEM	VKLAD	22011	61849	\N	\N	\N
314622	1074	1996-09-13	PRIJEM	VKLAD	22011	68040	\N	\N	\N
314623	1074	1996-10-13	PRIJEM	VKLAD	22011	67942	\N	\N	\N
314624	1074	1996-11-13	PRIJEM	VKLAD	22011	59333	\N	\N	\N
314625	1074	1996-12-13	PRIJEM	VKLAD	33016	75161	\N	\N	\N
314626	1074	1997-01-13	PRIJEM	VKLAD	22011	75045	\N	\N	\N
314627	1074	1997-02-13	PRIJEM	VKLAD	22011	65931	\N	\N	\N
314628	1074	1997-03-13	PRIJEM	VKLAD	22011	69684	\N	\N	\N
314629	1074	1997-04-13	PRIJEM	VKLAD	22011	73665	\N	\N	\N
314630	1074	1997-05-13	PRIJEM	VKLAD	22011	74462	\N	\N	\N
314631	1074	1997-06-13	PRIJEM	VKLAD	33016	85867	\N	\N	\N
314632	1074	1997-07-13	PRIJEM	VKLAD	22011	81692	\N	\N	\N
314633	1074	1997-08-13	PRIJEM	VKLAD	22011	83618	\N	\N	\N
314634	1074	1997-09-13	PRIJEM	VKLAD	22011	78660	\N	\N	\N
314635	1074	1997-10-13	PRIJEM	VKLAD	22011	80670	\N	\N	\N
314636	1074	1997-11-13	PRIJEM	VKLAD	22011	80195	\N	\N	\N
314637	1074	1997-12-13	PRIJEM	VKLAD	33016	89931	\N	\N	\N
314638	1074	1998-01-13	PRIJEM	VKLAD	22011	71586	\N	\N	\N
314639	1074	1998-02-13	PRIJEM	VKLAD	22011	65482	\N	\N	\N
314640	1074	1998-03-13	PRIJEM	VKLAD	22011	73445	\N	\N	\N
314641	1074	1998-04-13	PRIJEM	VKLAD	22011	77934	\N	\N	\N
314642	1074	1998-05-13	PRIJEM	VKLAD	22011	79646	\N	\N	\N
314643	1074	1998-06-13	PRIJEM	VKLAD	33016	89671	\N	\N	\N
314644	1074	1998-07-13	PRIJEM	VKLAD	22011	72974	\N	\N	\N
314645	1074	1998-08-13	PRIJEM	VKLAD	22011	82461	\N	\N	\N
314646	1074	1998-09-13	PRIJEM	VKLAD	22011	85385	\N	\N	\N
314647	1074	1998-10-13	PRIJEM	VKLAD	22011	93431	\N	\N	\N
314648	1074	1998-11-13	PRIJEM	VKLAD	22011	96303	\N	\N	\N
314649	1074	1998-12-13	PRIJEM	VKLAD	33016	105200	\N	\N	\N
314687	1074	1997-06-18	VYDAJ	VYBER KARTOU	5800	80067	\N	\N	0
314688	1074	1998-06-18	VYDAJ	VYBER	24400	65271	\N	\N	\N
314690	1074	1997-01-24	VYDAJ	VYBER	8800	60845	\N	\N	\N
314691	1074	1998-01-09	VYDAJ	VYBER KARTOU	3000	54575	\N	\N	0
314692	1074	1996-12-28	VYDAJ	VYBER	500	74661	\N	\N	\N
314693	1074	1997-12-30	VYDAJ	VYBER KARTOU	1300	88631	\N	\N	0
314694	1074	1998-12-05	VYDAJ	VYBER KARTOU	2200	72184	\N	\N	0
314701	1074	1997-01-21	VYDAJ	VYBER	2900	69645	\N	\N	\N
314702	1074	1997-01-14	VYDAJ	VYBER	1500	73545	\N	\N	\N
314703	1074	1997-01-27	VYDAJ	VYBER	2900	57945	\N	\N	\N
314704	1074	1997-01-28	VYDAJ	VYBER	1600	56345	\N	\N	\N
314705	1074	1997-01-17	VYDAJ	VYBER	1000	72545	\N	\N	\N
314706	1074	1997-01-29	VYDAJ	VYBER	1200	55145	\N	\N	\N
314707	1074	1998-01-20	VYDAJ	VYBER KARTOU	2200	68586	\N	\N	0
314708	1074	1998-01-11	VYDAJ	VYBER KARTOU	2400	49575	\N	\N	0
314709	1074	1998-01-20	VYDAJ	VYBER KARTOU	800	70786	\N	\N	0
314710	1074	1998-01-27	VYDAJ	VYBER KARTOU	700	67886	\N	\N	0
314711	1074	1998-01-09	VYDAJ	VYBER KARTOU	1100	53475	\N	\N	0
314712	1074	1998-01-10	VYDAJ	VYBER KARTOU	1500	51975	\N	\N	0
314717	1074	1996-10-24	VYDAJ	VYBER	1300	46642	\N	\N	\N
314719	1074	1997-09-02	VYDAJ	VYBER KARTOU	3600	80349	\N	\N	0
314720	1074	1997-09-16	VYDAJ	VYBER KARTOU	1300	77360	\N	\N	0
314721	1074	1997-09-25	VYDAJ	VYBER KARTOU	1400	75960	\N	\N	0
314722	1074	1997-05-11	VYDAJ	VYBER	3000	52451	\N	\N	\N
314723	1074	1997-07-09	VYDAJ	VYBER KARTOU	2600	77781	\N	\N	0
314724	1074	1998-02-10	VYDAJ	VYBER KARTOU	2100	43471	\N	\N	0
314725	1074	1998-05-23	VYDAJ	VYBER KARTOU	3500	76146	\N	\N	0
314726	1074	1998-04-14	VYDAJ	VYBER KARTOU	500	77434	\N	\N	0
314737	1074	1996-10-31	VYDAJ	VYBER	15	46822	SLUZBY	\N	\N
314738	1074	1996-11-30	VYDAJ	VYBER	15	59545	SLUZBY	\N	\N
314739	1074	1996-12-31	VYDAJ	VYBER	15	74934	SLUZBY	\N	\N
314740	1074	1997-01-31	VYDAJ	VYBER	15	55420	SLUZBY	\N	\N
314741	1074	1997-02-28	VYDAJ	VYBER	15	66173	SLUZBY	\N	\N
314742	1074	1997-03-31	VYDAJ	VYBER	15	69954	SLUZBY	\N	\N
314743	1074	1997-04-30	VYDAJ	VYBER	15	73951	SLUZBY	\N	\N
314744	1074	1997-05-31	VYDAJ	VYBER	15	74751	SLUZBY	\N	\N
314745	1074	1997-06-30	VYDAJ	VYBER	15	80381	SLUZBY	\N	\N
314746	1074	1997-07-31	VYDAJ	VYBER	15	82007	SLUZBY	\N	\N
314747	1074	1997-08-31	VYDAJ	VYBER	15	83949	SLUZBY	\N	\N
314748	1074	1997-09-30	VYDAJ	VYBER	15	76259	SLUZBY	\N	\N
314749	1074	1997-10-31	VYDAJ	VYBER	15	80984	SLUZBY	\N	\N
314750	1074	1997-11-30	VYDAJ	VYBER	15	80515	SLUZBY	\N	\N
314751	1074	1997-12-31	VYDAJ	VYBER	15	88975	SLUZBY	\N	\N
314752	1074	1998-01-31	VYDAJ	VYBER	15	68171	SLUZBY	\N	\N
314753	1074	1998-02-28	VYDAJ	VYBER	15	65734	SLUZBY	\N	\N
314754	1074	1998-03-31	VYDAJ	VYBER	15	73723	SLUZBY	\N	\N
314755	1074	1998-04-30	VYDAJ	VYBER	15	77735	SLUZBY	\N	\N
314756	1074	1998-05-31	VYDAJ	VYBER	15	76455	SLUZBY	\N	\N
314757	1074	1998-06-30	VYDAJ	VYBER	15	65563	SLUZBY	\N	\N
314758	1074	1998-07-31	VYDAJ	VYBER	15	73250	SLUZBY	\N	\N
314759	1074	1998-08-31	VYDAJ	VYBER	15	82774	SLUZBY	\N	\N
314760	1074	1998-09-30	VYDAJ	VYBER	15	85720	SLUZBY	\N	\N
314761	1074	1998-10-31	VYDAJ	VYBER	15	93792	SLUZBY	\N	\N
314762	1074	1998-11-30	VYDAJ	VYBER	15	96684	SLUZBY	\N	\N
314763	1074	1996-06-15	VYDAJ	VYBER	4700	29316	\N	\N	\N
314764	1074	1996-07-15	VYDAJ	VYBER	11700	39692	\N	\N	\N
314765	1074	1996-08-14	VYDAJ	VYBER	16000	45849	\N	\N	\N
314766	1074	1996-09-13	VYDAJ	VYBER	22300	45740	\N	\N	\N
314767	1074	1996-10-13	VYDAJ	VYBER	20000	47942	\N	\N	\N
314768	1074	1996-11-12	VYDAJ	VYBER	9500	37322	\N	\N	\N
314769	1074	1996-12-12	VYDAJ	VYBER	17400	42145	\N	\N	\N
314770	1074	1997-01-11	VYDAJ	VYBER	21900	53034	\N	\N	\N
314771	1074	1997-02-10	VYDAJ	VYBER	11500	43920	\N	\N	\N
314772	1074	1997-03-12	VYDAJ	VYBER	18500	47673	\N	\N	\N
314773	1074	1997-04-11	VYDAJ	VYBER	18300	51654	\N	\N	\N
314774	1074	1997-05-11	VYDAJ	VYBER	18500	55451	\N	\N	\N
314775	1074	1997-06-10	VYDAJ	VYBER	21900	52851	\N	\N	\N
314776	1074	1997-07-10	VYDAJ	VYBER	18100	59681	\N	\N	\N
314777	1074	1997-08-09	VYDAJ	VYBER	20400	61607	\N	\N	\N
314778	1074	1997-09-08	VYDAJ	VYBER	23700	56649	\N	\N	\N
314779	1074	1997-10-08	VYDAJ	VYBER	17600	58659	\N	\N	\N
314780	1074	1997-11-07	VYDAJ	VYBER	22800	58184	\N	\N	\N
314781	1074	1997-12-07	VYDAJ	VYBER	23600	56915	\N	\N	\N
314782	1074	1998-01-06	VYDAJ	VYBER	31400	57575	\N	\N	\N
314783	1074	1998-02-05	VYDAJ	VYBER	22600	45571	\N	\N	\N
314784	1074	1998-03-07	VYDAJ	VYBER	14300	51434	\N	\N	\N
314785	1074	1998-04-06	VYDAJ	VYBER	17800	55923	\N	\N	\N
314786	1074	1998-05-06	VYDAJ	VYBER	20100	57635	\N	\N	\N
314787	1074	1998-06-05	VYDAJ	VYBER	19800	56655	\N	\N	\N
314788	1074	1998-07-05	VYDAJ	VYBER	14600	50963	\N	\N	\N
314789	1074	1998-08-04	VYDAJ	VYBER	12800	60450	\N	\N	\N
314790	1074	1998-09-03	VYDAJ	VYBER	19400	63374	\N	\N	\N
314791	1074	1998-10-03	VYDAJ	VYBER	14300	71420	\N	\N	\N
314792	1074	1998-11-02	VYDAJ	VYBER	19500	74292	\N	\N	\N
314793	1074	1998-12-02	VYDAJ	VYBER	22300	74384	\N	\N	\N
314825	1075	1995-07-13	PRIJEM	VKLAD	800	800	\N	\N	\N
314833	1075	1995-08-08	PRIJEM	VKLAD	6114	6914	\N	\N	\N
314834	1075	1995-09-08	PRIJEM	VKLAD	6114	21569	\N	\N	\N
314835	1075	1995-10-08	PRIJEM	VKLAD	6114	30071	\N	\N	\N
314836	1075	1995-11-08	PRIJEM	VKLAD	6114	34497	\N	\N	\N
314837	1075	1995-12-08	PRIJEM	VKLAD	9171	37586	\N	\N	\N
314838	1075	1996-01-08	PRIJEM	VKLAD	6114	20315	\N	\N	\N
314839	1075	1996-02-08	PRIJEM	VKLAD	6114	23316	\N	\N	\N
314840	1075	1996-03-08	PRIJEM	VKLAD	6114	27428	\N	\N	\N
314841	1075	1996-04-08	PRIJEM	VKLAD	6114	31356	\N	\N	\N
314842	1075	1996-05-08	PRIJEM	VKLAD	6114	33895	\N	\N	\N
314843	1075	1996-06-08	PRIJEM	VKLAD	9171	36688	\N	\N	\N
314844	1075	1996-07-08	PRIJEM	VKLAD	6114	34243	\N	\N	\N
314845	1075	1996-08-08	PRIJEM	VKLAD	6114	29593	\N	\N	\N
314846	1075	1996-09-08	PRIJEM	VKLAD	6114	29928	\N	\N	\N
314847	1075	1996-10-08	PRIJEM	VKLAD	6114	32161	\N	\N	\N
314848	1075	1996-11-08	PRIJEM	VKLAD	6114	30999	\N	\N	\N
314849	1075	1996-12-08	PRIJEM	VKLAD	9171	35393	\N	\N	\N
314850	1075	1997-01-08	PRIJEM	VKLAD	6114	36143	\N	\N	\N
314851	1075	1997-02-08	PRIJEM	VKLAD	6114	32989	\N	\N	\N
314852	1075	1997-03-08	PRIJEM	VKLAD	6114	40731	\N	\N	\N
314853	1075	1997-04-08	PRIJEM	VKLAD	6114	43798	\N	\N	\N
314854	1075	1997-05-08	PRIJEM	VKLAD	6114	46186	\N	\N	\N
314855	1075	1997-06-08	PRIJEM	VKLAD	9171	52039	\N	\N	\N
314856	1075	1997-07-08	PRIJEM	VKLAD	6114	41208	\N	\N	\N
314857	1075	1997-08-08	PRIJEM	VKLAD	6114	42981	\N	\N	\N
314858	1075	1997-09-08	PRIJEM	VKLAD	6114	41361	\N	\N	\N
314859	1075	1997-10-08	PRIJEM	VKLAD	6114	39739	\N	\N	\N
314860	1075	1997-11-08	PRIJEM	VKLAD	6114	47113	\N	\N	\N
314861	1075	1997-12-08	PRIJEM	VKLAD	9171	53074	\N	\N	\N
314862	1075	1998-01-08	PRIJEM	VKLAD	6114	54197	\N	\N	\N
314863	1075	1998-02-08	PRIJEM	VKLAD	6114	53723	\N	\N	\N
314864	1075	1998-03-08	PRIJEM	VKLAD	6114	55654	\N	\N	\N
314865	1075	1998-04-08	PRIJEM	VKLAD	6114	51991	\N	\N	\N
314866	1075	1998-05-08	PRIJEM	VKLAD	6114	54515	\N	\N	\N
314867	1075	1998-06-08	PRIJEM	VKLAD	9171	33906	\N	\N	\N
314868	1075	1998-07-08	PRIJEM	VKLAD	6114	47171	\N	\N	\N
314869	1075	1998-08-08	PRIJEM	VKLAD	6114	52977	\N	\N	\N
314870	1075	1998-09-08	PRIJEM	VKLAD	6114	59107	\N	\N	\N
314871	1075	1998-10-08	PRIJEM	VKLAD	6114	56656	\N	\N	\N
314872	1075	1998-11-08	PRIJEM	VKLAD	6114	57997	\N	\N	\N
314873	1075	1998-12-08	PRIJEM	VKLAD	9171	58898	\N	\N	\N
314885	1075	1995-12-13	VYDAJ	PREVOD NA UCET	3868	24618	SIPO	WX	87197690
314886	1075	1996-01-13	VYDAJ	PREVOD NA UCET	3868	17347	SIPO	WX	87197690
314887	1075	1996-02-13	VYDAJ	PREVOD NA UCET	3868	21448	SIPO	WX	87197690
314888	1075	1996-03-13	VYDAJ	PREVOD NA UCET	3868	25360	SIPO	WX	87197690
314889	1075	1996-04-13	VYDAJ	PREVOD NA UCET	3868	27888	SIPO	WX	87197690
314890	1075	1996-05-13	VYDAJ	PREVOD NA UCET	3868	24927	SIPO	WX	87197690
314891	1075	1996-06-13	VYDAJ	PREVOD NA UCET	3868	32820	SIPO	WX	87197690
314892	1075	1996-07-13	VYDAJ	PREVOD NA UCET	3868	30375	SIPO	WX	87197690
314893	1075	1996-08-13	VYDAJ	PREVOD NA UCET	3868	25725	SIPO	WX	87197690
314894	1075	1996-09-13	VYDAJ	PREVOD NA UCET	3868	26060	SIPO	WX	87197690
314895	1075	1996-10-13	VYDAJ	PREVOD NA UCET	3868	28293	SIPO	WX	87197690
314896	1075	1996-11-13	VYDAJ	PREVOD NA UCET	3868	27131	SIPO	WX	87197690
314897	1075	1996-12-13	VYDAJ	PREVOD NA UCET	3868	31525	SIPO	WX	87197690
314898	1075	1997-01-13	VYDAJ	PREVOD NA UCET	3868	28675	SIPO	WX	87197690
314899	1075	1997-02-13	VYDAJ	PREVOD NA UCET	3868	29121	SIPO	WX	87197690
314900	1075	1997-03-13	VYDAJ	PREVOD NA UCET	3868	36863	SIPO	WX	87197690
314901	1075	1997-04-13	VYDAJ	PREVOD NA UCET	3868	39930	SIPO	WX	87197690
314902	1075	1997-05-13	VYDAJ	PREVOD NA UCET	3868	40618	SIPO	WX	87197690
314903	1075	1997-06-13	VYDAJ	PREVOD NA UCET	3868	28871	SIPO	WX	87197690
314904	1075	1997-07-13	VYDAJ	PREVOD NA UCET	3868	37340	SIPO	WX	87197690
314905	1075	1997-08-13	VYDAJ	PREVOD NA UCET	3868	39113	SIPO	WX	87197690
314906	1075	1997-09-13	VYDAJ	PREVOD NA UCET	3868	37493	SIPO	WX	87197690
314907	1075	1997-10-13	VYDAJ	PREVOD NA UCET	3868	35871	SIPO	WX	87197690
314908	1075	1997-11-13	VYDAJ	PREVOD NA UCET	3868	43245	SIPO	WX	87197690
314909	1075	1997-12-13	VYDAJ	PREVOD NA UCET	3868	49206	SIPO	WX	87197690
314910	1075	1998-01-13	VYDAJ	PREVOD NA UCET	3868	50329	SIPO	WX	87197690
314911	1075	1998-02-13	VYDAJ	PREVOD NA UCET	3868	49855	SIPO	WX	87197690
314912	1075	1998-03-13	VYDAJ	PREVOD NA UCET	3868	51786	SIPO	WX	87197690
314913	1075	1998-04-13	VYDAJ	PREVOD NA UCET	3868	48123	SIPO	WX	87197690
314914	1075	1998-05-13	VYDAJ	PREVOD NA UCET	3868	50647	SIPO	WX	87197690
314915	1075	1998-06-13	VYDAJ	PREVOD NA UCET	3868	30038	SIPO	WX	87197690
314916	1075	1998-07-13	VYDAJ	PREVOD NA UCET	3868	43303	SIPO	WX	87197690
314917	1075	1998-08-13	VYDAJ	PREVOD NA UCET	3868	49109	SIPO	WX	87197690
314918	1075	1998-09-13	VYDAJ	PREVOD NA UCET	3868	55239	SIPO	WX	87197690
314919	1075	1998-10-13	VYDAJ	PREVOD NA UCET	3868	52788	SIPO	WX	87197690
314920	1075	1998-11-13	VYDAJ	PREVOD NA UCET	3868	54129	SIPO	WX	87197690
314921	1075	1998-12-13	VYDAJ	PREVOD NA UCET	3868	55030	SIPO	WX	87197690
314934	1075	1996-01-05	VYDAJ	PREVOD NA UCET	208	22201	 	UV	90986024
314935	1075	1996-02-05	VYDAJ	PREVOD NA UCET	208	17202	 	UV	90986024
314936	1075	1996-03-05	VYDAJ	PREVOD NA UCET	208	21314	 	UV	90986024
314937	1075	1996-04-05	VYDAJ	PREVOD NA UCET	208	25242	 	UV	90986024
314938	1075	1996-05-05	VYDAJ	PREVOD NA UCET	208	27781	 	UV	90986024
314939	1075	1996-06-05	VYDAJ	PREVOD NA UCET	208	24817	 	UV	90986024
314940	1075	1996-07-05	VYDAJ	PREVOD NA UCET	208	27829	 	UV	90986024
314941	1075	1996-08-05	VYDAJ	PREVOD NA UCET	208	25479	 	UV	90986024
314942	1075	1996-09-05	VYDAJ	PREVOD NA UCET	208	23814	 	UV	90986024
314943	1075	1996-10-05	VYDAJ	PREVOD NA UCET	208	26047	 	UV	90986024
314944	1075	1996-11-05	VYDAJ	PREVOD NA UCET	208	24885	 	UV	90986024
314945	1075	1996-12-05	VYDAJ	PREVOD NA UCET	208	26222	 	UV	90986024
314946	1075	1997-01-05	VYDAJ	PREVOD NA UCET	208	30029	 	UV	90986024
315053	1075	1996-01-09	PRIJEM	VKLAD	900	21215	\N	\N	\N
314947	1075	1997-02-05	VYDAJ	PREVOD NA UCET	208	26875	 	UV	90986024
314948	1075	1997-03-05	VYDAJ	PREVOD NA UCET	208	34617	 	UV	90986024
314949	1075	1997-04-05	VYDAJ	PREVOD NA UCET	208	37684	 	UV	90986024
314950	1075	1997-05-05	VYDAJ	PREVOD NA UCET	208	40072	 	UV	90986024
314951	1075	1997-06-05	VYDAJ	PREVOD NA UCET	208	42868	 	UV	90986024
314952	1075	1997-07-05	VYDAJ	PREVOD NA UCET	208	35094	 	UV	90986024
314953	1075	1997-08-05	VYDAJ	PREVOD NA UCET	208	36867	 	UV	90986024
314954	1075	1997-09-05	VYDAJ	PREVOD NA UCET	208	35247	 	UV	90986024
314955	1075	1997-10-05	VYDAJ	PREVOD NA UCET	208	33625	 	UV	90986024
314956	1075	1997-11-05	VYDAJ	PREVOD NA UCET	208	40999	 	UV	90986024
314957	1075	1997-12-05	VYDAJ	PREVOD NA UCET	208	43903	 	UV	90986024
314958	1075	1998-01-05	VYDAJ	PREVOD NA UCET	208	48083	 	UV	90986024
314959	1075	1998-02-05	VYDAJ	PREVOD NA UCET	208	47609	 	UV	90986024
314960	1075	1998-03-05	VYDAJ	PREVOD NA UCET	208	49540	 	UV	90986024
314961	1075	1998-04-05	VYDAJ	PREVOD NA UCET	208	46477	 	UV	90986024
314962	1075	1998-05-05	VYDAJ	PREVOD NA UCET	208	48401	 	UV	90986024
314963	1075	1998-06-05	VYDAJ	PREVOD NA UCET	208	24735	 	UV	90986024
314964	1075	1998-07-05	VYDAJ	PREVOD NA UCET	208	41057	 	UV	90986024
314965	1075	1998-08-05	VYDAJ	PREVOD NA UCET	208	46863	 	UV	90986024
314966	1075	1998-09-05	VYDAJ	PREVOD NA UCET	208	52993	 	UV	90986024
314967	1075	1998-10-05	VYDAJ	PREVOD NA UCET	208	50542	 	UV	90986024
314968	1075	1998-11-05	VYDAJ	PREVOD NA UCET	208	51883	 	UV	90986024
314969	1075	1998-12-05	VYDAJ	PREVOD NA UCET	208	49727	 	UV	90986024
314972	1075	1997-06-12	VYDAJ	VYBER	19300	32739	\N	\N	\N
314973	1075	1998-06-02	VYDAJ	VYBER	25100	24943	\N	\N	\N
314975	1075	1996-01-07	VYDAJ	VYBER	8000	14201	\N	\N	\N
314976	1075	1997-01-13	VYDAJ	VYBER	7000	21675	\N	\N	\N
314977	1075	1998-01-22	VYDAJ	VYBER	6400	43929	\N	\N	\N
314978	1075	1995-12-21	VYDAJ	VYBER	2300	22318	\N	\N	\N
314979	1075	1996-12-21	VYDAJ	VYBER	2000	29525	\N	\N	\N
314980	1075	1997-12-29	VYDAJ	VYBER	1100	48106	\N	\N	\N
314981	1075	1998-12-17	VYDAJ	VYBER	1600	53430	\N	\N	\N
314987	1075	1996-08-01	VYDAJ	VYBER	4800	25687	\N	\N	\N
314988	1075	1996-10-19	VYDAJ	VYBER	2500	25793	\N	\N	\N
314989	1075	1996-06-13	VYDAJ	VYBER	4900	27920	\N	\N	\N
314990	1075	1996-05-12	VYDAJ	VYBER	4800	28795	\N	\N	\N
314991	1075	1997-01-10	VYDAJ	VYBER	3600	32543	\N	\N	\N
314992	1075	1997-12-22	VYDAJ	VYBER	1900	47306	\N	\N	\N
314993	1075	1997-07-17	VYDAJ	VYBER	1300	36040	\N	\N	\N
314994	1075	1997-03-14	VYDAJ	VYBER	2800	34063	\N	\N	\N
314995	1075	1997-09-28	VYDAJ	VYBER	4500	32993	\N	\N	\N
314996	1075	1997-08-16	VYDAJ	VYBER	2500	36613	\N	\N	\N
314997	1075	1997-05-13	VYDAJ	VYBER	1700	44486	\N	\N	\N
314998	1075	1998-10-22	VYDAJ	VYBER	2100	50688	\N	\N	\N
314999	1075	1998-04-06	VYDAJ	VYBER	600	45877	\N	\N	\N
315012	1075	1995-12-31	VYDAJ	VYBER	15	22409	SLUZBY	\N	\N
315013	1075	1996-01-31	VYDAJ	VYBER	15	17410	SLUZBY	\N	\N
315014	1075	1996-02-29	VYDAJ	VYBER	15	21522	SLUZBY	\N	\N
315015	1075	1996-03-31	VYDAJ	VYBER	15	25450	SLUZBY	\N	\N
315016	1075	1996-04-30	VYDAJ	VYBER	15	27989	SLUZBY	\N	\N
315017	1075	1996-05-31	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
315018	1075	1996-06-30	VYDAJ	VYBER	15	28037	SLUZBY	\N	\N
315019	1075	1996-07-31	VYDAJ	VYBER	15	30487	SLUZBY	\N	\N
315020	1075	1996-08-31	VYDAJ	VYBER	15	25822	SLUZBY	\N	\N
315021	1075	1996-09-30	VYDAJ	VYBER	15	26155	SLUZBY	\N	\N
315022	1075	1996-10-31	VYDAJ	VYBER	15	25893	SLUZBY	\N	\N
315023	1075	1996-11-30	VYDAJ	VYBER	15	27230	SLUZBY	\N	\N
315024	1075	1996-12-31	VYDAJ	VYBER	15	29637	SLUZBY	\N	\N
315025	1075	1997-01-31	VYDAJ	VYBER	15	21783	SLUZBY	\N	\N
315026	1075	1997-02-28	VYDAJ	VYBER	15	29225	SLUZBY	\N	\N
315027	1075	1997-03-31	VYDAJ	VYBER	15	34192	SLUZBY	\N	\N
315028	1075	1997-04-30	VYDAJ	VYBER	15	40080	SLUZBY	\N	\N
315029	1075	1997-05-31	VYDAJ	VYBER	15	40776	SLUZBY	\N	\N
315030	1075	1997-06-30	VYDAJ	VYBER	15	29002	SLUZBY	\N	\N
315031	1075	1997-07-31	VYDAJ	VYBER	15	36175	SLUZBY	\N	\N
315032	1075	1997-08-31	VYDAJ	VYBER	15	36755	SLUZBY	\N	\N
315033	1075	1997-09-30	VYDAJ	VYBER	15	33833	SLUZBY	\N	\N
315034	1075	1997-10-31	VYDAJ	VYBER	15	41207	SLUZBY	\N	\N
315035	1075	1997-11-30	VYDAJ	VYBER	15	44111	SLUZBY	\N	\N
315036	1075	1997-12-31	VYDAJ	VYBER	15	48291	SLUZBY	\N	\N
315037	1075	1998-01-31	VYDAJ	VYBER	15	47817	SLUZBY	\N	\N
315038	1075	1998-02-28	VYDAJ	VYBER	15	49748	SLUZBY	\N	\N
315039	1075	1998-03-31	VYDAJ	VYBER	15	46685	SLUZBY	\N	\N
315040	1075	1998-04-30	VYDAJ	VYBER	15	48609	SLUZBY	\N	\N
315041	1075	1998-05-31	VYDAJ	VYBER	15	50043	SLUZBY	\N	\N
315042	1075	1998-06-30	VYDAJ	VYBER	15	41265	SLUZBY	\N	\N
315043	1075	1998-07-31	VYDAJ	VYBER	15	47071	SLUZBY	\N	\N
315044	1075	1998-08-31	VYDAJ	VYBER	15	53201	SLUZBY	\N	\N
315045	1075	1998-09-30	VYDAJ	VYBER	15	50750	SLUZBY	\N	\N
315046	1075	1998-10-31	VYDAJ	VYBER	15	52091	SLUZBY	\N	\N
315047	1075	1998-11-30	VYDAJ	VYBER	15	49935	SLUZBY	\N	\N
315048	1075	1995-08-12	PRIJEM	VKLAD	8500	15414	\N	\N	\N
315049	1075	1995-09-11	PRIJEM	VKLAD	2300	23869	\N	\N	\N
315050	1075	1995-10-11	VYDAJ	VYBER	1800	28271	\N	\N	\N
315051	1075	1995-11-10	VYDAJ	VYBER	6200	28297	\N	\N	\N
315052	1075	1995-12-10	VYDAJ	VYBER	9100	28486	\N	\N	\N
315054	1075	1996-02-08	PRIJEM	VKLAD	2000	25316	\N	\N	\N
315055	1075	1996-03-09	PRIJEM	VKLAD	1800	29228	\N	\N	\N
315056	1075	1996-04-08	PRIJEM	VKLAD	400	31756	\N	\N	\N
315057	1075	1996-05-08	VYDAJ	VYBER	300	33595	\N	\N	\N
315058	1075	1996-06-07	PRIJEM	VKLAD	2700	27517	\N	\N	\N
315059	1075	1996-07-07	PRIJEM	VKLAD	300	28129	\N	\N	\N
315060	1075	1996-08-06	VYDAJ	VYBER	2000	23479	\N	\N	\N
315061	1075	1996-09-05	VYDAJ	VYBER	1800	24022	\N	\N	\N
315062	1075	1996-10-05	PRIJEM	VKLAD	100	26255	\N	\N	\N
315063	1075	1996-11-04	VYDAJ	VYBER	800	25093	\N	\N	\N
315064	1075	1996-12-04	VYDAJ	VYBER	800	26430	\N	\N	\N
315065	1075	1997-01-03	PRIJEM	VKLAD	600	30237	\N	\N	\N
315066	1075	1997-02-02	PRIJEM	VKLAD	5300	27083	\N	\N	\N
315067	1075	1997-03-04	PRIJEM	VKLAD	5600	34825	\N	\N	\N
315068	1075	1997-04-03	PRIJEM	VKLAD	3700	37892	\N	\N	\N
315069	1075	1997-05-03	PRIJEM	VKLAD	200	40280	\N	\N	\N
315070	1075	1997-06-02	PRIJEM	VKLAD	2300	43076	\N	\N	\N
315071	1075	1997-07-02	PRIJEM	VKLAD	6300	35302	\N	\N	\N
315072	1075	1997-08-01	PRIJEM	VKLAD	900	37075	\N	\N	\N
315073	1075	1997-08-31	VYDAJ	VYBER	1300	35455	\N	\N	\N
315074	1075	1997-09-30	PRIJEM	VKLAD	700	33693	\N	\N	\N
315075	1075	1997-10-30	PRIJEM	VKLAD	5200	41071	\N	\N	\N
315076	1075	1997-11-29	PRIJEM	VKLAD	700	43945	\N	\N	\N
315077	1075	1997-12-29	PRIJEM	VKLAD	1900	49206	\N	\N	\N
315078	1075	1998-01-28	PRIJEM	VKLAD	3700	47629	\N	\N	\N
315079	1075	1998-02-27	VYDAJ	VYBER	300	49555	\N	\N	\N
315080	1075	1998-03-29	VYDAJ	VYBER	5300	46486	\N	\N	\N
315081	1075	1998-04-28	PRIJEM	VKLAD	300	48423	\N	\N	\N
315082	1075	1998-05-28	VYDAJ	VYBER	800	49847	\N	\N	\N
315083	1075	1998-06-27	PRIJEM	VKLAD	11100	41138	\N	\N	\N
315084	1075	1998-07-27	PRIJEM	VKLAD	3600	46903	\N	\N	\N
315085	1075	1998-08-26	PRIJEM	VKLAD	3900	53009	\N	\N	\N
315086	1075	1998-09-25	VYDAJ	VYBER	4700	50539	\N	\N	\N
315087	1075	1998-10-25	PRIJEM	VKLAD	1200	51888	\N	\N	\N
315088	1075	1998-11-24	VYDAJ	VYBER	4400	49729	\N	\N	\N
315130	1076	1994-10-30	PRIJEM	VKLAD	200	200	\N	\N	\N
315141	1076	1994-11-11	PRIJEM	VKLAD	11977	12177	\N	\N	\N
315142	1076	1994-12-11	PRIJEM	VKLAD	17966	37849	\N	\N	\N
315143	1076	1995-01-11	PRIJEM	VKLAD	11977	44113	\N	\N	\N
315144	1076	1995-02-11	PRIJEM	VKLAD	11977	45224	\N	\N	\N
315145	1076	1995-03-11	PRIJEM	VKLAD	11977	44939	\N	\N	\N
315146	1076	1995-04-11	PRIJEM	VKLAD	11977	37971	\N	\N	\N
315147	1076	1995-05-11	PRIJEM	VKLAD	11977	36985	\N	\N	\N
315148	1076	1995-06-11	PRIJEM	VKLAD	17966	32683	\N	\N	\N
315149	1076	1995-07-11	PRIJEM	VKLAD	11977	34473	\N	\N	\N
315150	1076	1995-08-11	PRIJEM	VKLAD	11977	33671	\N	\N	\N
315151	1076	1995-09-11	PRIJEM	VKLAD	11977	32469	\N	\N	\N
315152	1076	1995-10-11	PRIJEM	VKLAD	11977	36565	\N	\N	\N
315153	1076	1995-11-11	PRIJEM	VKLAD	11977	36671	\N	\N	\N
315154	1076	1995-12-11	PRIJEM	VKLAD	17966	40358	\N	\N	\N
315155	1076	1996-01-11	PRIJEM	VKLAD	11977	34070	\N	\N	\N
315156	1076	1996-02-11	PRIJEM	VKLAD	11977	22853	\N	\N	\N
315157	1076	1996-03-11	PRIJEM	VKLAD	11977	29007	\N	\N	\N
315158	1076	1996-04-11	PRIJEM	VKLAD	11977	32485	\N	\N	\N
315159	1076	1996-05-11	PRIJEM	VKLAD	11977	34876	\N	\N	\N
315160	1076	1996-06-11	PRIJEM	VKLAD	17966	43765	\N	\N	\N
315161	1076	1996-07-11	PRIJEM	VKLAD	11977	41186	\N	\N	\N
315162	1076	1996-08-11	PRIJEM	VKLAD	11977	41609	\N	\N	\N
315163	1076	1996-09-11	PRIJEM	VKLAD	11977	36428	\N	\N	\N
315164	1076	1996-10-11	PRIJEM	VKLAD	11977	40836	\N	\N	\N
315165	1076	1996-11-11	PRIJEM	VKLAD	11977	44058	\N	\N	\N
315166	1076	1996-12-11	PRIJEM	VKLAD	17966	54787	\N	\N	\N
315167	1076	1997-01-11	PRIJEM	VKLAD	11977	50152	\N	\N	\N
315168	1076	1997-02-11	PRIJEM	VKLAD	11977	44605	\N	\N	\N
315169	1076	1997-03-11	PRIJEM	VKLAD	11977	45241	\N	\N	\N
315170	1076	1997-04-11	PRIJEM	VKLAD	11977	48684	\N	\N	\N
315171	1076	1997-05-11	PRIJEM	VKLAD	11977	48436	\N	\N	\N
315172	1076	1997-06-11	PRIJEM	VKLAD	17966	50876	\N	\N	\N
315173	1076	1997-07-11	PRIJEM	VKLAD	11977	42227	\N	\N	\N
315174	1076	1997-08-11	PRIJEM	VKLAD	11977	53773	\N	\N	\N
315175	1076	1997-09-11	PRIJEM	VKLAD	11977	57853	\N	\N	\N
315176	1076	1997-10-11	PRIJEM	VKLAD	11977	63151	\N	\N	\N
315177	1076	1997-11-11	PRIJEM	VKLAD	11977	66668	\N	\N	\N
315178	1076	1997-12-11	PRIJEM	VKLAD	17966	66071	\N	\N	\N
315179	1076	1998-01-11	PRIJEM	VKLAD	11977	59888	\N	\N	\N
315180	1076	1998-02-11	PRIJEM	VKLAD	11977	54786	\N	\N	\N
315181	1076	1998-03-11	PRIJEM	VKLAD	11977	56165	\N	\N	\N
315182	1076	1998-04-11	PRIJEM	VKLAD	11977	57447	\N	\N	\N
315183	1076	1998-05-11	PRIJEM	VKLAD	11977	61741	\N	\N	\N
315184	1076	1998-06-11	PRIJEM	VKLAD	17966	50936	\N	\N	\N
315185	1076	1998-07-11	PRIJEM	VKLAD	11977	52104	\N	\N	\N
315186	1076	1998-08-11	PRIJEM	VKLAD	11977	66382	\N	\N	\N
315187	1076	1998-09-11	PRIJEM	VKLAD	11977	76506	\N	\N	\N
315188	1076	1998-10-11	PRIJEM	VKLAD	11977	79275	\N	\N	\N
315189	1076	1998-11-11	PRIJEM	VKLAD	11977	81358	\N	\N	\N
315190	1076	1998-12-11	PRIJEM	VKLAD	17966	85941	\N	\N	\N
315205	1076	1995-03-13	VYDAJ	PREVOD NA UCET	2640	42299	SIPO	KL	42470806
315206	1076	1995-04-13	VYDAJ	PREVOD NA UCET	2640	35331	SIPO	KL	42470806
315207	1076	1995-05-13	VYDAJ	PREVOD NA UCET	2640	34345	SIPO	KL	42470806
315208	1076	1995-06-13	VYDAJ	PREVOD NA UCET	2640	30043	SIPO	KL	42470806
315209	1076	1995-07-13	VYDAJ	PREVOD NA UCET	2640	31833	SIPO	KL	42470806
315210	1076	1995-08-13	VYDAJ	PREVOD NA UCET	2640	31031	SIPO	KL	42470806
315211	1076	1995-09-13	VYDAJ	PREVOD NA UCET	2640	29829	SIPO	KL	42470806
315212	1076	1995-10-13	VYDAJ	PREVOD NA UCET	2640	33925	SIPO	KL	42470806
315213	1076	1995-11-13	VYDAJ	PREVOD NA UCET	2640	34031	SIPO	KL	42470806
315214	1076	1995-12-13	VYDAJ	PREVOD NA UCET	2640	37718	SIPO	KL	42470806
315215	1076	1996-01-13	VYDAJ	PREVOD NA UCET	2640	31430	SIPO	KL	42470806
315216	1076	1996-02-13	VYDAJ	PREVOD NA UCET	2640	20213	SIPO	KL	42470806
315217	1076	1996-03-13	VYDAJ	PREVOD NA UCET	2640	26367	SIPO	KL	42470806
315218	1076	1996-04-13	VYDAJ	PREVOD NA UCET	2640	29845	SIPO	KL	42470806
315219	1076	1996-05-13	VYDAJ	PREVOD NA UCET	2640	32236	SIPO	KL	42470806
315220	1076	1996-06-13	VYDAJ	PREVOD NA UCET	2640	41125	SIPO	KL	42470806
315221	1076	1996-07-13	VYDAJ	PREVOD NA UCET	2640	38546	SIPO	KL	42470806
315222	1076	1996-08-13	VYDAJ	PREVOD NA UCET	2640	38969	SIPO	KL	42470806
315223	1076	1996-09-13	VYDAJ	PREVOD NA UCET	2640	33788	SIPO	KL	42470806
315224	1076	1996-10-13	VYDAJ	PREVOD NA UCET	2640	34596	SIPO	KL	42470806
315225	1076	1996-11-13	VYDAJ	PREVOD NA UCET	2640	41418	SIPO	KL	42470806
315226	1076	1996-12-13	VYDAJ	PREVOD NA UCET	2640	52147	SIPO	KL	42470806
315227	1076	1997-01-13	VYDAJ	PREVOD NA UCET	2640	47512	SIPO	KL	42470806
315228	1076	1997-02-13	VYDAJ	PREVOD NA UCET	2640	41965	SIPO	KL	42470806
315229	1076	1997-03-13	VYDAJ	PREVOD NA UCET	2640	42601	SIPO	KL	42470806
315230	1076	1997-04-13	VYDAJ	PREVOD NA UCET	2640	46044	SIPO	KL	42470806
315231	1076	1997-05-13	VYDAJ	PREVOD NA UCET	2640	45796	SIPO	KL	42470806
315232	1076	1997-06-13	VYDAJ	PREVOD NA UCET	2640	48236	SIPO	KL	42470806
315233	1076	1997-07-13	VYDAJ	PREVOD NA UCET	2640	39587	SIPO	KL	42470806
315234	1076	1997-08-13	VYDAJ	PREVOD NA UCET	2640	51133	SIPO	KL	42470806
315235	1076	1997-09-13	VYDAJ	PREVOD NA UCET	2640	55213	SIPO	KL	42470806
315236	1076	1997-10-13	VYDAJ	PREVOD NA UCET	2640	60511	SIPO	KL	42470806
315237	1076	1997-11-13	VYDAJ	PREVOD NA UCET	2640	64028	SIPO	KL	42470806
315238	1076	1997-12-13	VYDAJ	PREVOD NA UCET	2640	63431	SIPO	KL	42470806
315239	1076	1998-01-13	VYDAJ	PREVOD NA UCET	2640	55248	SIPO	KL	42470806
315240	1076	1998-02-13	VYDAJ	PREVOD NA UCET	2640	49546	SIPO	KL	42470806
315241	1076	1998-03-13	VYDAJ	PREVOD NA UCET	2640	52525	SIPO	KL	42470806
315242	1076	1998-04-13	VYDAJ	PREVOD NA UCET	2640	54007	SIPO	KL	42470806
315243	1076	1998-05-13	VYDAJ	PREVOD NA UCET	2640	56301	SIPO	KL	42470806
315244	1076	1998-06-13	VYDAJ	PREVOD NA UCET	2640	44896	SIPO	KL	42470806
315245	1076	1998-07-13	VYDAJ	PREVOD NA UCET	2640	51964	SIPO	KL	42470806
315246	1076	1998-08-13	VYDAJ	PREVOD NA UCET	2640	63742	SIPO	KL	42470806
315247	1076	1998-09-13	VYDAJ	PREVOD NA UCET	2640	73866	SIPO	KL	42470806
315248	1076	1998-10-13	VYDAJ	PREVOD NA UCET	2640	76635	SIPO	KL	42470806
315249	1076	1998-11-13	VYDAJ	PREVOD NA UCET	2640	78718	SIPO	KL	42470806
315250	1076	1998-12-13	VYDAJ	PREVOD NA UCET	2640	83301	SIPO	KL	42470806
315266	1076	1995-04-08	VYDAJ	PREVOD NA UCET	4447	25994	 	YZ	93423914
315267	1076	1995-05-08	VYDAJ	PREVOD NA UCET	4447	25008	 	YZ	93423914
315268	1076	1995-06-08	VYDAJ	PREVOD NA UCET	4447	14717	 	YZ	93423914
315269	1076	1995-07-08	VYDAJ	PREVOD NA UCET	4447	22496	 	YZ	93423914
315270	1076	1995-08-08	VYDAJ	PREVOD NA UCET	4447	21694	 	YZ	93423914
315271	1076	1995-09-08	VYDAJ	PREVOD NA UCET	4447	20492	 	YZ	93423914
315272	1076	1995-10-08	VYDAJ	PREVOD NA UCET	4447	24588	 	YZ	93423914
315273	1076	1995-11-08	VYDAJ	PREVOD NA UCET	4447	24694	 	YZ	93423914
315274	1076	1995-12-08	VYDAJ	PREVOD NA UCET	4447	22392	 	YZ	93423914
315275	1076	1996-01-08	VYDAJ	PREVOD NA UCET	4447	24893	 	YZ	93423914
315276	1076	1996-02-08	VYDAJ	PREVOD NA UCET	4447	10876	 	YZ	93423914
315277	1076	1996-03-08	VYDAJ	PREVOD NA UCET	4447	17030	 	YZ	93423914
315278	1076	1996-04-08	VYDAJ	PREVOD NA UCET	4447	20508	 	YZ	93423914
315279	1076	1996-05-08	VYDAJ	PREVOD NA UCET	4447	22899	 	YZ	93423914
315280	1076	1996-06-08	VYDAJ	PREVOD NA UCET	4447	25799	 	YZ	93423914
315281	1076	1996-07-08	VYDAJ	PREVOD NA UCET	4447	29209	 	YZ	93423914
315282	1076	1996-08-08	VYDAJ	PREVOD NA UCET	4447	29632	 	YZ	93423914
315283	1076	1996-09-08	VYDAJ	PREVOD NA UCET	4447	24451	 	YZ	93423914
315284	1076	1996-10-08	VYDAJ	PREVOD NA UCET	4447	28859	 	YZ	93423914
315285	1076	1996-11-08	VYDAJ	PREVOD NA UCET	4447	32081	 	YZ	93423914
315286	1076	1996-12-08	VYDAJ	PREVOD NA UCET	4447	36821	 	YZ	93423914
315287	1076	1997-01-08	VYDAJ	PREVOD NA UCET	4447	40575	 	YZ	93423914
315288	1076	1997-02-08	VYDAJ	PREVOD NA UCET	4447	32628	 	YZ	93423914
315289	1076	1997-03-08	VYDAJ	PREVOD NA UCET	4447	33264	 	YZ	93423914
315290	1076	1997-04-08	VYDAJ	PREVOD NA UCET	4447	36707	 	YZ	93423914
315291	1076	1997-05-08	VYDAJ	PREVOD NA UCET	4447	36459	 	YZ	93423914
315292	1076	1997-06-08	VYDAJ	PREVOD NA UCET	4447	32910	 	YZ	93423914
315293	1076	1997-07-08	VYDAJ	PREVOD NA UCET	4447	30950	 	YZ	93423914
315294	1076	1997-08-08	VYDAJ	PREVOD NA UCET	4447	41796	 	YZ	93423914
315295	1076	1997-09-08	VYDAJ	PREVOD NA UCET	4447	45876	 	YZ	93423914
315296	1076	1997-10-08	VYDAJ	PREVOD NA UCET	4447	51174	 	YZ	93423914
315297	1076	1997-11-08	VYDAJ	PREVOD NA UCET	4447	54691	 	YZ	93423914
315298	1076	1997-12-08	VYDAJ	PREVOD NA UCET	4447	48105	 	YZ	93423914
315299	1076	1998-01-08	VYDAJ	PREVOD NA UCET	4447	47911	 	YZ	93423914
315300	1076	1998-02-08	VYDAJ	PREVOD NA UCET	4447	42809	 	YZ	93423914
315301	1076	1998-03-08	VYDAJ	PREVOD NA UCET	4447	44188	 	YZ	93423914
315302	1076	1998-04-08	VYDAJ	PREVOD NA UCET	4447	45470	 	YZ	93423914
315303	1076	1998-05-08	VYDAJ	PREVOD NA UCET	4447	49764	 	YZ	93423914
315304	1076	1998-06-08	VYDAJ	PREVOD NA UCET	4447	32970	 	YZ	93423914
315305	1076	1998-07-08	VYDAJ	PREVOD NA UCET	4447	40127	 	YZ	93423914
315306	1076	1998-08-08	VYDAJ	PREVOD NA UCET	4447	47705	 	YZ	93423914
315307	1076	1998-09-08	VYDAJ	PREVOD NA UCET	4447	59529	 	YZ	93423914
315308	1076	1998-10-08	VYDAJ	PREVOD NA UCET	4447	69698	 	YZ	93423914
315309	1076	1998-11-08	VYDAJ	PREVOD NA UCET	4447	69381	 	YZ	93423914
315310	1076	1998-12-08	VYDAJ	PREVOD NA UCET	4447	67975	 	YZ	93423914
315312	1076	1995-06-03	VYDAJ	VYBER	8100	19164	\N	\N	\N
315314	1076	1997-06-26	VYDAJ	VYBER	11100	35236	\N	\N	\N
315315	1076	1998-06-03	VYDAJ	VYBER	19100	37417	\N	\N	\N
315318	1076	1996-01-25	VYDAJ	VYBER	8900	16430	\N	\N	\N
315319	1076	1997-01-15	VYDAJ	VYBER	2700	43712	\N	\N	\N
315320	1076	1998-01-02	VYDAJ	VYBER	5800	54458	\N	\N	\N
315322	1076	1995-12-25	VYDAJ	VYBER	500	31718	\N	\N	\N
315323	1076	1996-12-20	VYDAJ	VYBER	1100	44847	\N	\N	\N
315324	1076	1997-12-08	VYDAJ	VYBER	2900	52552	\N	\N	\N
315325	1076	1998-12-04	VYDAJ	VYBER	2000	77022	\N	\N	\N
315339	1076	1996-01-26	VYDAJ	VYBER	700	15730	\N	\N	\N
315340	1076	1996-01-02	VYDAJ	VYBER	2500	29340	\N	\N	\N
315341	1076	1996-01-23	VYDAJ	VYBER	900	25330	\N	\N	\N
315342	1076	1996-01-20	VYDAJ	VYBER	2800	24730	\N	\N	\N
315343	1076	1996-01-08	VYDAJ	VYBER	2800	22093	\N	\N	\N
315344	1076	1997-01-20	VYDAJ	VYBER	1300	41012	\N	\N	\N
315345	1076	1997-01-13	VYDAJ	VYBER	1100	46412	\N	\N	\N
315346	1076	1997-01-23	VYDAJ	VYBER	2100	38912	\N	\N	\N
315347	1076	1997-01-23	VYDAJ	VYBER	1200	37712	\N	\N	\N
315348	1076	1997-01-10	VYDAJ	VYBER	2400	38175	\N	\N	\N
315349	1076	1997-01-17	VYDAJ	VYBER	2500	42312	\N	\N	\N
315350	1076	1998-01-29	VYDAJ	VYBER	1300	47048	\N	\N	\N
315351	1076	1998-01-15	VYDAJ	VYBER	1100	54148	\N	\N	\N
315352	1076	1998-01-29	VYDAJ	VYBER	2900	48348	\N	\N	\N
315353	1076	1998-01-08	VYDAJ	VYBER	2100	52358	\N	\N	\N
315354	1076	1998-01-12	VYDAJ	VYBER	800	59088	\N	\N	\N
315355	1076	1998-01-20	VYDAJ	VYBER	2900	51248	\N	\N	\N
315364	1076	1995-11-13	VYDAJ	VYBER	4700	29331	\N	\N	\N
315365	1076	1995-11-28	VYDAJ	VYBER	3100	26731	\N	\N	\N
315368	1076	1995-09-04	VYDAJ	VYBER	4800	24939	\N	\N	\N
315369	1076	1996-01-31	VYDAJ	VYBER	500	15323	\N	\N	\N
315370	1076	1996-08-29	VYDAJ	VYBER	2900	28769	\N	\N	\N
315371	1076	1996-05-06	VYDAJ	VYBER	800	27346	\N	\N	\N
315372	1076	1996-10-11	VYDAJ	VYBER	3600	37236	\N	\N	\N
315373	1076	1996-01-16	VYDAJ	VYBER	3900	27530	\N	\N	\N
315374	1076	1997-02-21	VYDAJ	VYBER	4300	37565	\N	\N	\N
315375	1076	1997-04-25	VYDAJ	VYBER	1400	40744	\N	\N	\N
315376	1076	1997-06-05	VYDAJ	VYBER	3400	37357	\N	\N	\N
315377	1076	1997-02-01	VYDAJ	VYBER	800	37075	\N	\N	\N
315378	1076	1997-11-24	VYDAJ	VYBER	900	55228	\N	\N	\N
315379	1076	1997-05-16	VYDAJ	VYBER	4700	41096	\N	\N	\N
315380	1076	1997-07-08	VYDAJ	VYBER	700	30250	\N	\N	\N
315381	1076	1997-03-17	VYDAJ	VYBER	2500	40101	\N	\N	\N
315382	1076	1997-05-25	VYDAJ	VYBER	2600	40596	\N	\N	\N
315383	1076	1998-10-22	VYDAJ	VYBER	3600	73035	\N	\N	\N
315384	1076	1998-03-15	VYDAJ	VYBER	2800	49725	\N	\N	\N
315385	1076	1998-03-03	VYDAJ	VYBER	1100	48635	\N	\N	\N
315386	1076	1998-07-06	VYDAJ	VYBER	500	44574	\N	\N	\N
315402	1076	1995-03-31	VYDAJ	VYBER	15	30441	SLUZBY	\N	\N
315403	1076	1995-04-30	VYDAJ	VYBER	15	29455	SLUZBY	\N	\N
315404	1076	1995-05-31	VYDAJ	VYBER	15	27264	SLUZBY	\N	\N
315405	1076	1995-06-30	VYDAJ	VYBER	15	26943	SLUZBY	\N	\N
315406	1076	1995-07-31	VYDAJ	VYBER	15	26141	SLUZBY	\N	\N
315407	1076	1995-08-31	VYDAJ	VYBER	15	29739	SLUZBY	\N	\N
315408	1076	1995-09-30	VYDAJ	VYBER	15	29035	SLUZBY	\N	\N
315409	1076	1995-10-31	VYDAJ	VYBER	15	29141	SLUZBY	\N	\N
315410	1076	1995-11-30	VYDAJ	VYBER	15	26839	SLUZBY	\N	\N
315411	1076	1995-12-31	VYDAJ	VYBER	15	31840	SLUZBY	\N	\N
315412	1076	1996-01-31	VYDAJ	VYBER	15	15823	SLUZBY	\N	\N
315413	1076	1996-02-29	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
315414	1076	1996-03-31	VYDAJ	VYBER	15	24955	SLUZBY	\N	\N
315415	1076	1996-04-30	VYDAJ	VYBER	15	28146	SLUZBY	\N	\N
315416	1076	1996-05-31	VYDAJ	VYBER	15	30246	SLUZBY	\N	\N
315417	1076	1996-06-30	VYDAJ	VYBER	15	33656	SLUZBY	\N	\N
315418	1076	1996-07-31	VYDAJ	VYBER	15	34079	SLUZBY	\N	\N
315419	1076	1996-08-31	VYDAJ	VYBER	15	28898	SLUZBY	\N	\N
315420	1076	1996-09-30	VYDAJ	VYBER	15	33306	SLUZBY	\N	\N
315421	1076	1996-10-31	VYDAJ	VYBER	15	36528	SLUZBY	\N	\N
315422	1076	1996-11-30	VYDAJ	VYBER	15	41268	SLUZBY	\N	\N
315423	1076	1996-12-31	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
315424	1076	1997-01-31	VYDAJ	VYBER	15	37875	SLUZBY	\N	\N
315425	1076	1997-02-28	VYDAJ	VYBER	15	37711	SLUZBY	\N	\N
315426	1076	1997-03-31	VYDAJ	VYBER	15	41154	SLUZBY	\N	\N
315427	1076	1997-04-30	VYDAJ	VYBER	15	40906	SLUZBY	\N	\N
315428	1076	1997-05-31	VYDAJ	VYBER	15	40757	SLUZBY	\N	\N
315429	1076	1997-06-30	VYDAJ	VYBER	15	35397	SLUZBY	\N	\N
315430	1076	1997-07-31	VYDAJ	VYBER	15	46243	SLUZBY	\N	\N
315431	1076	1997-08-31	VYDAJ	VYBER	15	50323	SLUZBY	\N	\N
315432	1076	1997-09-30	VYDAJ	VYBER	15	55621	SLUZBY	\N	\N
315433	1076	1997-10-31	VYDAJ	VYBER	15	59138	SLUZBY	\N	\N
315434	1076	1997-11-30	VYDAJ	VYBER	15	55452	SLUZBY	\N	\N
315435	1076	1997-12-31	VYDAJ	VYBER	15	60258	SLUZBY	\N	\N
315436	1076	1998-01-31	VYDAJ	VYBER	15	47256	SLUZBY	\N	\N
315437	1076	1998-02-28	VYDAJ	VYBER	15	49735	SLUZBY	\N	\N
315438	1076	1998-03-31	VYDAJ	VYBER	15	49917	SLUZBY	\N	\N
315439	1076	1998-04-30	VYDAJ	VYBER	15	54211	SLUZBY	\N	\N
315440	1076	1998-05-31	VYDAJ	VYBER	15	56517	SLUZBY	\N	\N
315441	1076	1998-06-30	VYDAJ	VYBER	15	45074	SLUZBY	\N	\N
315442	1076	1998-07-31	VYDAJ	VYBER	15	52152	SLUZBY	\N	\N
315443	1076	1998-08-31	VYDAJ	VYBER	15	63976	SLUZBY	\N	\N
315444	1076	1998-09-30	VYDAJ	VYBER	15	74145	SLUZBY	\N	\N
315445	1076	1998-10-31	VYDAJ	VYBER	15	73328	SLUZBY	\N	\N
315446	1076	1998-11-30	VYDAJ	VYBER	15	79022	SLUZBY	\N	\N
315447	1076	1994-11-29	PRIJEM	VKLAD	7700	19877	\N	\N	\N
315448	1076	1994-12-29	VYDAJ	VYBER	5800	32049	\N	\N	\N
315449	1076	1995-01-28	VYDAJ	VYBER	11000	33113	\N	\N	\N
315450	1076	1995-02-27	VYDAJ	VYBER	12400	32824	\N	\N	\N
315451	1076	1995-03-29	VYDAJ	VYBER	12000	30299	\N	\N	\N
315452	1076	1995-04-28	VYDAJ	VYBER	6000	29331	\N	\N	\N
315453	1076	1995-05-28	VYDAJ	VYBER	7200	27145	\N	\N	\N
315454	1076	1995-06-27	VYDAJ	VYBER	3200	26843	\N	\N	\N
315455	1076	1995-07-27	VYDAJ	VYBER	5800	26033	\N	\N	\N
315456	1076	1995-08-26	VYDAJ	VYBER	1400	29631	\N	\N	\N
315457	1076	1995-09-25	VYDAJ	VYBER	900	28929	\N	\N	\N
315458	1076	1995-10-25	VYDAJ	VYBER	4900	29025	\N	\N	\N
315459	1076	1995-11-24	PRIJEM	VKLAD	500	29831	\N	\N	\N
315460	1076	1995-12-24	VYDAJ	VYBER	5500	32218	\N	\N	\N
315461	1076	1996-01-23	PRIJEM	VKLAD	1500	26230	\N	\N	\N
315462	1076	1996-02-22	PRIJEM	VKLAD	1200	21413	\N	\N	\N
315463	1076	1996-03-23	VYDAJ	VYBER	1500	24867	\N	\N	\N
315464	1076	1996-04-22	VYDAJ	VYBER	1800	28045	\N	\N	\N
315465	1076	1996-05-22	VYDAJ	VYBER	2100	30136	\N	\N	\N
315466	1076	1996-06-21	VYDAJ	VYBER	7600	33525	\N	\N	\N
315467	1076	1996-07-21	VYDAJ	VYBER	4600	33946	\N	\N	\N
315468	1076	1996-08-20	VYDAJ	VYBER	7300	31669	\N	\N	\N
315469	1076	1996-09-19	VYDAJ	VYBER	600	33188	\N	\N	\N
315470	1076	1996-10-19	PRIJEM	VKLAD	1800	36396	\N	\N	\N
315471	1076	1996-11-18	VYDAJ	VYBER	300	41118	\N	\N	\N
315472	1076	1996-12-18	VYDAJ	VYBER	6200	45947	\N	\N	\N
315473	1076	1997-01-17	PRIJEM	VKLAD	1100	44812	\N	\N	\N
315474	1076	1997-02-16	VYDAJ	VYBER	100	41865	\N	\N	\N
315475	1076	1997-03-18	PRIJEM	VKLAD	900	41001	\N	\N	\N
315476	1076	1997-04-17	VYDAJ	VYBER	3900	42144	\N	\N	\N
315477	1076	1997-05-17	PRIJEM	VKLAD	2100	43196	\N	\N	\N
315478	1076	1997-06-16	VYDAJ	VYBER	1900	46336	\N	\N	\N
315479	1076	1997-07-16	PRIJEM	VKLAD	6500	46087	\N	\N	\N
315480	1076	1997-08-15	VYDAJ	VYBER	1000	50133	\N	\N	\N
315481	1076	1997-09-14	PRIJEM	VKLAD	200	55413	\N	\N	\N
315482	1076	1997-10-14	VYDAJ	VYBER	1600	58911	\N	\N	\N
315483	1076	1997-11-13	VYDAJ	VYBER	7900	56128	\N	\N	\N
315484	1076	1997-12-13	VYDAJ	VYBER	3400	60031	\N	\N	\N
315485	1076	1998-01-12	VYDAJ	VYBER	1200	57888	\N	\N	\N
315486	1076	1998-02-11	VYDAJ	VYBER	2600	52186	\N	\N	\N
315487	1076	1998-03-13	VYDAJ	VYBER	1000	55165	\N	\N	\N
315488	1076	1998-04-12	VYDAJ	VYBER	800	56647	\N	\N	\N
315489	1076	1998-05-12	VYDAJ	VYBER	2800	58941	\N	\N	\N
315490	1076	1998-06-11	VYDAJ	VYBER	3400	47536	\N	\N	\N
315491	1076	1998-07-11	PRIJEM	VKLAD	2500	54604	\N	\N	\N
315492	1076	1998-08-10	PRIJEM	VKLAD	6700	54405	\N	\N	\N
315493	1076	1998-09-09	PRIJEM	VKLAD	5000	64529	\N	\N	\N
315494	1076	1998-10-09	VYDAJ	VYBER	2400	67298	\N	\N	\N
315495	1076	1998-11-08	PRIJEM	VKLAD	500	73828	\N	\N	\N
315496	1076	1998-12-08	VYDAJ	VYBER	4600	72422	\N	\N	\N
315547	1077	1993-03-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
315548	1077	1993-07-02	PRIJEM	VKLAD	3820	41947	\N	\N	\N
315549	1077	1993-05-26	PRIJEM	VKLAD	41658	63104	\N	\N	\N
315550	1077	1994-09-12	PRIJEM	VKLAD	29335	82058	\N	\N	\N
315551	1077	1994-09-06	PRIJEM	VKLAD	30663	52723	\N	\N	\N
315552	1077	1995-10-11	PRIJEM	VKLAD	20684	54588	\N	\N	\N
315553	1077	1995-04-11	PRIJEM	VKLAD	45544	68180	\N	\N	\N
315554	1077	1996-10-28	PRIJEM	VKLAD	29291	69578	\N	\N	\N
315555	1077	1996-01-11	PRIJEM	VKLAD	3124	37712	\N	\N	\N
315556	1077	1997-08-07	PRIJEM	VKLAD	8566	37475	\N	\N	\N
315557	1077	1997-11-30	PRIJEM	VKLAD	42085	86171	\N	\N	\N
315558	1077	1998-12-28	PRIJEM	VKLAD	36651	97736	\N	\N	\N
315559	1077	1998-02-12	PRIJEM	VKLAD	31721	79338	\N	\N	\N
315562	1077	1993-03-17	PRIJEM	VKLAD	1500	2500	\N	\N	\N
315563	1077	1993-04-16	PRIJEM	VKLAD	1500	16905	\N	\N	\N
315564	1077	1993-05-17	PRIJEM	VKLAD	1500	21446	\N	\N	\N
315565	1077	1993-06-15	PRIJEM	VKLAD	1500	45817	\N	\N	\N
315566	1077	1993-07-15	PRIJEM	VKLAD	1500	43447	\N	\N	\N
315567	1077	1993-08-16	PRIJEM	VKLAD	1500	37710	\N	\N	\N
315568	1077	1993-09-16	PRIJEM	VKLAD	1500	33845	\N	\N	\N
315569	1077	1993-10-17	PRIJEM	VKLAD	1500	29416	\N	\N	\N
315570	1077	1993-11-15	PRIJEM	VKLAD	1500	27517	\N	\N	\N
315571	1077	1993-12-14	PRIJEM	VKLAD	1500	27812	\N	\N	\N
315572	1077	1994-01-14	PRIJEM	VKLAD	1500	30215	\N	\N	\N
315573	1077	1994-02-17	PRIJEM	VKLAD	1500	21204	\N	\N	\N
315574	1077	1994-03-15	PRIJEM	VKLAD	1500	24973	\N	\N	\N
315575	1077	1994-04-15	PRIJEM	VKLAD	1500	25456	\N	\N	\N
315576	1077	1994-05-17	PRIJEM	VKLAD	1500	24541	\N	\N	\N
315577	1077	1994-06-14	PRIJEM	VKLAD	1500	27124	\N	\N	\N
315578	1077	1994-07-13	PRIJEM	VKLAD	1500	29317	\N	\N	\N
315579	1077	1994-08-17	PRIJEM	VKLAD	1500	26967	\N	\N	\N
315580	1077	1994-09-17	PRIJEM	VKLAD	1500	83558	\N	\N	\N
315581	1077	1994-10-14	PRIJEM	VKLAD	1500	55995	\N	\N	\N
315582	1077	1994-11-15	PRIJEM	VKLAD	1500	38939	\N	\N	\N
315583	1077	1994-12-14	PRIJEM	VKLAD	1500	31726	\N	\N	\N
315584	1077	1995-01-14	PRIJEM	VKLAD	1500	15336	\N	\N	\N
315585	1077	1995-02-16	PRIJEM	VKLAD	1500	19796	\N	\N	\N
315586	1077	1995-03-14	PRIJEM	VKLAD	1500	22961	\N	\N	\N
315587	1077	1995-04-13	PRIJEM	VKLAD	1500	69680	\N	\N	\N
315588	1077	1995-05-16	PRIJEM	VKLAD	1500	51853	\N	\N	\N
315589	1077	1995-06-14	PRIJEM	VKLAD	1500	19940	\N	\N	\N
315590	1077	1995-07-15	PRIJEM	VKLAD	1500	23942	\N	\N	\N
315591	1077	1995-08-16	PRIJEM	VKLAD	1500	29631	\N	\N	\N
315592	1077	1995-09-13	PRIJEM	VKLAD	1500	29139	\N	\N	\N
315593	1077	1995-10-14	PRIJEM	VKLAD	1500	56088	\N	\N	\N
315594	1077	1995-11-17	PRIJEM	VKLAD	1500	47753	\N	\N	\N
315595	1077	1995-12-13	PRIJEM	VKLAD	1500	44828	\N	\N	\N
315596	1077	1996-01-15	PRIJEM	VKLAD	1500	38062	\N	\N	\N
315597	1077	1996-02-17	PRIJEM	VKLAD	1500	34987	\N	\N	\N
315598	1077	1996-03-17	PRIJEM	VKLAD	1500	35451	\N	\N	\N
315599	1077	1996-04-13	PRIJEM	VKLAD	1500	34927	\N	\N	\N
315600	1077	1996-05-13	PRIJEM	VKLAD	1500	39663	\N	\N	\N
315601	1077	1996-06-13	PRIJEM	VKLAD	1500	35507	\N	\N	\N
315602	1077	1996-07-13	PRIJEM	VKLAD	1500	28535	\N	\N	\N
315603	1077	1996-08-14	PRIJEM	VKLAD	1500	37551	\N	\N	\N
315604	1077	1996-09-17	PRIJEM	VKLAD	1500	41141	\N	\N	\N
315605	1077	1996-10-14	PRIJEM	VKLAD	1500	40287	\N	\N	\N
315606	1077	1996-11-17	PRIJEM	VKLAD	1500	57147	\N	\N	\N
315607	1077	1996-12-17	PRIJEM	VKLAD	1500	49147	\N	\N	\N
315608	1077	1997-01-16	PRIJEM	VKLAD	1500	48247	\N	\N	\N
315609	1077	1997-02-16	PRIJEM	VKLAD	1500	41619	\N	\N	\N
315610	1077	1997-03-15	PRIJEM	VKLAD	1500	46364	\N	\N	\N
315611	1077	1997-04-15	PRIJEM	VKLAD	1500	45331	\N	\N	\N
315612	1077	1997-05-13	PRIJEM	VKLAD	1500	45805	\N	\N	\N
315613	1077	1997-06-13	PRIJEM	VKLAD	1500	41379	\N	\N	\N
315614	1077	1997-07-16	PRIJEM	VKLAD	1500	30826	\N	\N	\N
315615	1077	1997-08-17	PRIJEM	VKLAD	1500	41725	\N	\N	\N
315616	1077	1997-09-15	PRIJEM	VKLAD	1500	41615	\N	\N	\N
315617	1077	1997-10-17	PRIJEM	VKLAD	1500	46570	\N	\N	\N
315618	1077	1997-11-15	PRIJEM	VKLAD	1500	46536	\N	\N	\N
315619	1077	1997-12-14	PRIJEM	VKLAD	1500	68551	\N	\N	\N
315620	1077	1998-01-16	PRIJEM	VKLAD	1500	58598	\N	\N	\N
315621	1077	1998-02-13	PRIJEM	VKLAD	1500	80838	\N	\N	\N
315622	1077	1998-03-16	PRIJEM	VKLAD	1500	66697	\N	\N	\N
315623	1077	1998-04-13	PRIJEM	VKLAD	1500	59886	\N	\N	\N
315624	1077	1998-05-15	PRIJEM	VKLAD	1500	56829	\N	\N	\N
315625	1077	1998-06-16	PRIJEM	VKLAD	1500	44353	\N	\N	\N
315626	1077	1998-07-16	PRIJEM	VKLAD	1500	47234	\N	\N	\N
315627	1077	1998-08-16	PRIJEM	VKLAD	1500	52403	\N	\N	\N
315628	1077	1998-09-13	PRIJEM	VKLAD	1500	57793	\N	\N	\N
315629	1077	1998-10-16	PRIJEM	VKLAD	1500	60813	\N	\N	\N
315630	1077	1998-11-14	PRIJEM	VKLAD	1500	64242	\N	\N	\N
315631	1077	1998-12-16	PRIJEM	VKLAD	1500	61085	\N	\N	\N
315634	1077	1995-06-04	VYDAJ	VYBER	20200	22540	\N	\N	\N
315635	1077	1996-06-02	VYDAJ	VYBER	4400	34007	\N	\N	\N
315636	1077	1997-06-27	VYDAJ	VYBER	23600	17779	\N	\N	\N
315637	1077	1998-06-13	VYDAJ	VYBER	11500	42853	\N	\N	\N
315639	1077	1994-01-14	VYDAJ	VYBER	4500	25715	\N	\N	\N
315641	1077	1996-01-08	VYDAJ	VYBER	3900	34588	\N	\N	\N
315642	1077	1997-01-25	VYDAJ	VYBER	9700	36247	\N	\N	\N
315643	1077	1998-01-27	VYDAJ	VYBER	8900	45598	\N	\N	\N
315646	1077	1995-06-11	VYDAJ	VYBER	4100	18440	\N	\N	\N
315647	1077	1996-06-21	VYDAJ	VYBER	12400	26907	\N	\N	\N
315648	1077	1997-06-06	VYDAJ	VYBER	5600	40379	\N	\N	\N
315649	1077	1998-06-01	VYDAJ	VYBER	5300	51453	\N	\N	\N
315651	1077	1994-01-23	VYDAJ	VYBER	1600	20565	\N	\N	\N
315652	1077	1995-01-06	VYDAJ	VYBER	9700	16236	\N	\N	\N
315653	1077	1996-01-17	VYDAJ	VYBER	7900	31212	\N	\N	\N
315654	1077	1997-01-23	VYDAJ	VYBER	1300	46947	\N	\N	\N
315655	1077	1998-01-22	VYDAJ	VYBER	2100	55298	\N	\N	\N
315656	1077	1993-12-06	VYDAJ	VYBER	2200	26312	\N	\N	\N
315657	1077	1994-12-13	VYDAJ	VYBER	800	30226	\N	\N	\N
315658	1077	1995-12-29	VYDAJ	VYBER	2400	38328	\N	\N	\N
315659	1077	1996-12-15	VYDAJ	VYBER	2600	47647	\N	\N	\N
315660	1077	1997-12-18	VYDAJ	VYBER	700	67851	\N	\N	\N
315661	1077	1998-12-14	VYDAJ	VYBER KARTOU	1600	59585	\N	\N	0
315668	1077	1994-01-16	VYDAJ	VYBER	550	24365	\N	\N	\N
315669	1077	1994-01-20	VYDAJ	VYBER	1450	22915	\N	\N	\N
315670	1077	1994-01-28	VYDAJ	VYBER	750	20715	\N	\N	\N
315671	1077	1994-01-21	VYDAJ	VYBER	750	22165	\N	\N	\N
315672	1077	1994-01-15	VYDAJ	VYBER	800	24915	\N	\N	\N
315673	1077	1994-01-30	VYDAJ	VYBER	1100	19615	\N	\N	\N
315674	1077	1995-01-11	VYDAJ	VYBER	750	13836	\N	\N	\N
315675	1077	1995-01-08	VYDAJ	VYBER	750	15486	\N	\N	\N
315676	1077	1995-01-22	VYDAJ	VYBER	850	18586	\N	\N	\N
315677	1077	1995-01-08	VYDAJ	VYBER	900	14586	\N	\N	\N
315678	1077	1995-01-02	VYDAJ	VYBER	1000	25936	\N	\N	\N
315680	1077	1996-01-23	VYDAJ	VYBER	1450	29762	\N	\N	\N
315681	1077	1996-01-11	VYDAJ	VYBER	700	37012	\N	\N	\N
315682	1077	1996-01-27	VYDAJ	VYBER	1400	28362	\N	\N	\N
315683	1077	1996-01-29	VYDAJ	VYBER	650	27712	\N	\N	\N
315684	1077	1996-01-12	VYDAJ	VYBER	450	36562	\N	\N	\N
315685	1077	1996-01-15	VYDAJ	VYBER	650	37412	\N	\N	\N
315686	1077	1997-01-07	VYDAJ	VYBER	350	48297	\N	\N	\N
315687	1077	1997-01-07	VYDAJ	VYBER	850	47447	\N	\N	\N
315688	1077	1997-01-07	VYDAJ	VYBER	700	48647	\N	\N	\N
315689	1077	1997-01-26	VYDAJ	VYBER	400	35847	\N	\N	\N
315690	1077	1997-01-15	VYDAJ	VYBER	300	46747	\N	\N	\N
315691	1077	1997-01-24	VYDAJ	VYBER	1000	45947	\N	\N	\N
315692	1077	1998-01-01	VYDAJ	VYBER	850	66348	\N	\N	\N
315693	1077	1998-01-30	VYDAJ	VYBER KARTOU	1200	44398	\N	\N	0
315694	1077	1998-01-17	VYDAJ	VYBER	1200	57398	\N	\N	\N
315695	1077	1998-01-25	VYDAJ	VYBER KARTOU	800	54498	\N	\N	0
315696	1077	1998-01-14	VYDAJ	VYBER	800	57098	\N	\N	\N
315697	1077	1998-01-11	VYDAJ	VYBER	250	57898	\N	\N	\N
315698	1077	1993-09-06	VYDAJ	VYBER	1000	32345	\N	\N	\N
315699	1077	1993-09-16	VYDAJ	VYBER	1650	32195	\N	\N	\N
315702	1077	1994-11-03	VYDAJ	VYBER	1550	37439	\N	\N	\N
315703	1077	1994-10-19	VYDAJ	VYBER	2000	53995	\N	\N	\N
315704	1077	1994-08-03	VYDAJ	VYBER	400	26717	\N	\N	\N
315705	1077	1994-08-17	VYDAJ	VYBER	1600	25367	\N	\N	\N
315706	1077	1994-11-16	VYDAJ	VYBER	2350	36589	\N	\N	\N
315707	1077	1994-08-14	VYDAJ	VYBER	1250	25467	\N	\N	\N
315708	1077	1994-09-01	VYDAJ	VYBER	1800	22060	\N	\N	\N
315709	1077	1995-09-24	VYDAJ	VYBER	950	33789	\N	\N	\N
315710	1077	1995-05-04	VYDAJ	VYBER	500	50353	\N	\N	\N
315711	1077	1995-11-01	VYDAJ	VYBER	1600	46253	\N	\N	\N
315712	1077	1995-01-28	VYDAJ	VYBER	350	18236	\N	\N	\N
315713	1077	1995-09-06	VYDAJ	VYBER	1800	27639	\N	\N	\N
315714	1077	1995-08-13	VYDAJ	VYBER	1900	28131	\N	\N	\N
315715	1077	1996-12-07	VYDAJ	VYBER	950	56447	\N	\N	\N
315716	1077	1996-04-07	VYDAJ	VYBER	1100	34477	\N	\N	\N
315717	1077	1996-02-27	VYDAJ	VYBER	2150	32837	\N	\N	\N
315718	1077	1996-02-05	VYDAJ	VYBER	1450	26387	\N	\N	\N
315719	1077	1996-08-27	VYDAJ	VYBER	2350	36801	\N	\N	\N
315720	1077	1996-04-07	VYDAJ	VYBER	1050	33427	\N	\N	\N
315721	1077	1997-08-20	VYDAJ	VYBER	750	40975	\N	\N	\N
315722	1077	1997-12-26	VYDAJ	VYBER	950	66901	\N	\N	\N
315723	1077	1997-11-27	VYDAJ	VYBER	1800	44086	\N	\N	\N
315724	1077	1997-11-21	VYDAJ	VYBER	650	45886	\N	\N	\N
315725	1077	1997-08-10	VYDAJ	VYBER	1750	40225	\N	\N	\N
315726	1077	1997-07-26	VYDAJ	VYBER	2000	28826	\N	\N	\N
315727	1077	1998-06-17	VYDAJ	VYBER KARTOU	1900	42453	\N	\N	0
315728	1077	1998-09-11	VYDAJ	VYBER KARTOU	1000	56293	\N	\N	0
315729	1077	1998-09-01	VYDAJ	VYBER KARTOU	1300	51293	\N	\N	0
315730	1077	1998-05-30	VYDAJ	VYBER KARTOU	300	56529	\N	\N	0
315737	1077	1993-06-30	VYDAJ	VYBER	15	46027	SLUZBY	\N	\N
315738	1077	1993-07-31	VYDAJ	VYBER	15	36210	SLUZBY	\N	\N
315739	1077	1993-08-31	VYDAJ	VYBER	15	33345	SLUZBY	\N	\N
315740	1077	1993-09-30	VYDAJ	VYBER	15	27916	SLUZBY	\N	\N
315741	1077	1993-10-31	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
315742	1077	1993-11-30	VYDAJ	VYBER	15	28512	SLUZBY	\N	\N
315743	1077	1993-12-31	VYDAJ	VYBER	15	28715	SLUZBY	\N	\N
315744	1077	1994-01-31	VYDAJ	VYBER	15	19704	SLUZBY	\N	\N
315745	1077	1994-02-28	VYDAJ	VYBER	15	23473	SLUZBY	\N	\N
315746	1077	1994-03-31	VYDAJ	VYBER	15	23956	SLUZBY	\N	\N
315747	1077	1994-04-30	VYDAJ	VYBER	15	23041	SLUZBY	\N	\N
315748	1077	1994-05-31	VYDAJ	VYBER	15	25624	SLUZBY	\N	\N
315749	1077	1994-06-30	VYDAJ	VYBER	15	27817	SLUZBY	\N	\N
315750	1077	1994-07-31	VYDAJ	VYBER	15	27117	SLUZBY	\N	\N
315751	1077	1994-08-31	VYDAJ	VYBER	15	23860	SLUZBY	\N	\N
315752	1077	1994-09-30	VYDAJ	VYBER	15	54495	SLUZBY	\N	\N
315753	1077	1994-10-31	VYDAJ	VYBER	15	38989	SLUZBY	\N	\N
315754	1077	1994-11-30	VYDAJ	VYBER	15	31026	SLUZBY	\N	\N
315755	1077	1994-12-31	VYDAJ	VYBER	15	26936	SLUZBY	\N	\N
315756	1077	1995-01-31	VYDAJ	VYBER	15	18296	SLUZBY	\N	\N
315757	1077	1995-02-28	VYDAJ	VYBER	15	21461	SLUZBY	\N	\N
315758	1077	1995-03-31	VYDAJ	VYBER	15	22636	SLUZBY	\N	\N
315759	1077	1995-04-30	VYDAJ	VYBER	15	50853	SLUZBY	\N	\N
315760	1077	1995-05-31	VYDAJ	VYBER	15	42740	SLUZBY	\N	\N
315761	1077	1995-06-30	VYDAJ	VYBER	15	22442	SLUZBY	\N	\N
315762	1077	1995-07-31	VYDAJ	VYBER	15	30031	SLUZBY	\N	\N
315763	1077	1995-08-31	VYDAJ	VYBER	15	29439	SLUZBY	\N	\N
315764	1077	1995-09-30	VYDAJ	VYBER	15	33904	SLUZBY	\N	\N
315765	1077	1995-10-31	VYDAJ	VYBER	15	47853	SLUZBY	\N	\N
315766	1077	1995-11-30	VYDAJ	VYBER	15	43328	SLUZBY	\N	\N
315767	1077	1995-12-31	VYDAJ	VYBER	15	38488	SLUZBY	\N	\N
315768	1077	1996-01-31	VYDAJ	VYBER	15	27837	SLUZBY	\N	\N
315769	1077	1996-02-29	VYDAJ	VYBER	15	32951	SLUZBY	\N	\N
315770	1077	1996-03-31	VYDAJ	VYBER	15	35577	SLUZBY	\N	\N
315771	1077	1996-04-30	VYDAJ	VYBER	15	38163	SLUZBY	\N	\N
315772	1077	1996-05-31	VYDAJ	VYBER	15	38407	SLUZBY	\N	\N
315773	1077	1996-06-30	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
315774	1077	1996-07-31	VYDAJ	VYBER	15	36051	SLUZBY	\N	\N
315775	1077	1996-08-31	VYDAJ	VYBER	15	36941	SLUZBY	\N	\N
315776	1077	1996-09-30	VYDAJ	VYBER	15	41287	SLUZBY	\N	\N
315777	1077	1996-10-31	VYDAJ	VYBER	15	69747	SLUZBY	\N	\N
315778	1077	1996-11-30	VYDAJ	VYBER	15	57397	SLUZBY	\N	\N
315779	1077	1996-12-31	VYDAJ	VYBER	15	49347	SLUZBY	\N	\N
315780	1077	1997-01-31	VYDAJ	VYBER	15	36019	SLUZBY	\N	\N
315781	1077	1997-02-28	VYDAJ	VYBER	15	41764	SLUZBY	\N	\N
315782	1077	1997-03-31	VYDAJ	VYBER	15	46531	SLUZBY	\N	\N
315783	1077	1997-04-30	VYDAJ	VYBER	15	45505	SLUZBY	\N	\N
315784	1077	1997-05-31	VYDAJ	VYBER	15	45979	SLUZBY	\N	\N
315785	1077	1997-06-30	VYDAJ	VYBER	15	17926	SLUZBY	\N	\N
315786	1077	1997-07-31	VYDAJ	VYBER	15	28909	SLUZBY	\N	\N
315787	1077	1997-08-31	VYDAJ	VYBER	15	41115	SLUZBY	\N	\N
315788	1077	1997-09-30	VYDAJ	VYBER	15	41770	SLUZBY	\N	\N
315789	1077	1997-10-31	VYDAJ	VYBER	15	46736	SLUZBY	\N	\N
315790	1077	1997-11-30	VYDAJ	VYBER	15	86351	SLUZBY	\N	\N
315791	1077	1997-12-31	VYDAJ	VYBER	15	67198	SLUZBY	\N	\N
315792	1077	1998-01-31	VYDAJ	VYBER	15	44617	SLUZBY	\N	\N
315793	1077	1998-02-28	VYDAJ	VYBER	15	81097	SLUZBY	\N	\N
315794	1077	1998-03-31	VYDAJ	VYBER	15	66986	SLUZBY	\N	\N
315795	1077	1998-04-30	VYDAJ	VYBER	15	60129	SLUZBY	\N	\N
315796	1077	1998-05-31	VYDAJ	VYBER	15	56753	SLUZBY	\N	\N
315797	1077	1998-06-30	VYDAJ	VYBER	15	42634	SLUZBY	\N	\N
315798	1077	1998-07-31	VYDAJ	VYBER	15	47403	SLUZBY	\N	\N
315799	1077	1998-08-31	VYDAJ	VYBER	15	52593	SLUZBY	\N	\N
315800	1077	1998-09-30	VYDAJ	VYBER	15	58013	SLUZBY	\N	\N
315801	1077	1998-10-31	VYDAJ	VYBER	15	61042	SLUZBY	\N	\N
315802	1077	1998-11-30	VYDAJ	VYBER	15	64485	SLUZBY	\N	\N
315803	1077	1993-04-02	PRIJEM	VKLAD	12900	15405	\N	\N	\N
315804	1077	1993-05-02	PRIJEM	VKLAD	3000	19946	\N	\N	\N
315805	1077	1993-06-01	VYDAJ	VYBER	18900	44317	\N	\N	\N
315806	1077	1993-07-01	VYDAJ	VYBER	7900	38127	\N	\N	\N
315807	1077	1993-07-31	VYDAJ	VYBER	7400	36224	\N	\N	\N
315808	1077	1993-08-30	VYDAJ	VYBER	4500	33210	\N	\N	\N
315809	1077	1993-09-29	VYDAJ	VYBER	4400	27795	\N	\N	\N
315810	1077	1993-10-29	VYDAJ	VYBER	3500	25916	\N	\N	\N
315811	1077	1993-11-28	PRIJEM	VKLAD	900	28417	\N	\N	\N
315812	1077	1993-12-28	PRIJEM	VKLAD	800	28612	\N	\N	\N
315813	1077	1994-01-27	PRIJEM	VKLAD	900	21465	\N	\N	\N
315814	1077	1994-02-26	PRIJEM	VKLAD	2200	23404	\N	\N	\N
315815	1077	1994-03-28	VYDAJ	VYBER	1100	23873	\N	\N	\N
315816	1077	1994-04-27	VYDAJ	VYBER	2500	22956	\N	\N	\N
315817	1077	1994-05-27	PRIJEM	VKLAD	1000	25541	\N	\N	\N
315818	1077	1994-06-26	PRIJEM	VKLAD	600	27724	\N	\N	\N
315819	1077	1994-07-26	VYDAJ	VYBER	2300	27017	\N	\N	\N
315820	1077	1994-08-25	VYDAJ	VYBER	1600	23767	\N	\N	\N
315821	1077	1994-09-24	VYDAJ	VYBER	29300	54258	\N	\N	\N
315822	1077	1994-10-24	VYDAJ	VYBER	15200	38795	\N	\N	\N
315823	1077	1994-11-23	VYDAJ	VYBER	5700	30889	\N	\N	\N
315824	1077	1994-12-23	VYDAJ	VYBER	4900	26826	\N	\N	\N
315825	1077	1995-01-22	PRIJEM	VKLAD	4100	19436	\N	\N	\N
315826	1077	1995-02-21	PRIJEM	VKLAD	1600	21396	\N	\N	\N
315827	1077	1995-03-23	VYDAJ	VYBER	400	22561	\N	\N	\N
315828	1077	1995-04-22	VYDAJ	VYBER	19000	50680	\N	\N	\N
315829	1077	1995-05-22	VYDAJ	VYBER	9300	42553	\N	\N	\N
315830	1077	1995-06-21	PRIJEM	VKLAD	2400	22340	\N	\N	\N
315831	1077	1995-07-21	PRIJEM	VKLAD	6000	29942	\N	\N	\N
315832	1077	1995-08-20	VYDAJ	VYBER	300	29331	\N	\N	\N
315833	1077	1995-09-19	PRIJEM	VKLAD	5600	34739	\N	\N	\N
315834	1077	1995-10-19	VYDAJ	VYBER	8400	47688	\N	\N	\N
315835	1077	1995-11-18	VYDAJ	VYBER	4600	43153	\N	\N	\N
315836	1077	1995-12-18	VYDAJ	VYBER	4100	40728	\N	\N	\N
315837	1077	1996-01-17	PRIJEM	VKLAD	1700	39112	\N	\N	\N
315838	1077	1996-02-16	PRIJEM	VKLAD	7100	33487	\N	\N	\N
315839	1077	1996-03-17	PRIJEM	VKLAD	1000	33951	\N	\N	\N
315840	1077	1996-04-16	PRIJEM	VKLAD	3100	38027	\N	\N	\N
315841	1077	1996-05-16	VYDAJ	VYBER	1400	38263	\N	\N	\N
315842	1077	1996-06-15	PRIJEM	VKLAD	3800	39307	\N	\N	\N
315843	1077	1996-07-15	PRIJEM	VKLAD	7400	35935	\N	\N	\N
315844	1077	1996-08-14	PRIJEM	VKLAD	1600	39151	\N	\N	\N
315845	1077	1996-09-13	PRIJEM	VKLAD	2700	39641	\N	\N	\N
315846	1077	1996-10-13	VYDAJ	VYBER	2500	38787	\N	\N	\N
315847	1077	1996-11-12	VYDAJ	VYBER	14100	55647	\N	\N	\N
315848	1077	1996-12-12	VYDAJ	VYBER	6200	50247	\N	\N	\N
315849	1077	1997-01-11	VYDAJ	VYBER	400	47047	\N	\N	\N
315850	1077	1997-02-10	PRIJEM	VKLAD	4100	40119	\N	\N	\N
315851	1077	1997-03-12	PRIJEM	VKLAD	3100	44864	\N	\N	\N
315852	1077	1997-04-11	VYDAJ	VYBER	2700	43831	\N	\N	\N
315853	1077	1997-05-11	VYDAJ	VYBER	1200	44305	\N	\N	\N
315854	1077	1997-06-10	VYDAJ	VYBER	500	39879	\N	\N	\N
315855	1077	1997-07-10	PRIJEM	VKLAD	11400	29326	\N	\N	\N
315856	1077	1997-08-09	PRIJEM	VKLAD	4500	41975	\N	\N	\N
315857	1077	1997-09-08	VYDAJ	VYBER	1000	40115	\N	\N	\N
315858	1077	1997-10-08	PRIJEM	VKLAD	3300	45070	\N	\N	\N
315859	1077	1997-11-07	VYDAJ	VYBER	1700	45036	\N	\N	\N
315860	1077	1997-12-07	VYDAJ	VYBER	19300	67051	\N	\N	\N
315861	1077	1998-01-06	VYDAJ	VYBER	8200	58148	\N	\N	\N
315862	1077	1998-02-05	PRIJEM	VKLAD	3000	47617	\N	\N	\N
315863	1077	1998-03-07	VYDAJ	VYBER	15900	65197	\N	\N	\N
315864	1077	1998-04-06	VYDAJ	VYBER	8600	58386	\N	\N	\N
315865	1077	1998-05-06	VYDAJ	VYBER	4800	55329	\N	\N	\N
315866	1077	1998-06-05	PRIJEM	VKLAD	2900	54353	\N	\N	\N
315867	1077	1998-07-05	PRIJEM	VKLAD	3100	45734	\N	\N	\N
315868	1077	1998-08-04	PRIJEM	VKLAD	3500	50903	\N	\N	\N
315869	1077	1998-09-03	PRIJEM	VKLAD	6000	57293	\N	\N	\N
315870	1077	1998-10-03	PRIJEM	VKLAD	1300	59313	\N	\N	\N
315871	1077	1998-11-02	PRIJEM	VKLAD	1700	62742	\N	\N	\N
315872	1077	1998-12-02	VYDAJ	VYBER KARTOU	3300	61185	\N	\N	0
315943	1078	1996-07-12	PRIJEM	VKLAD	800	800	\N	\N	\N
315950	1078	1996-07-12	PRIJEM	PREVOD Z UCTU	6722	7522	DUCHOD	KL	43085783
315951	1078	1996-08-12	PRIJEM	PREVOD Z UCTU	6722	14246	DUCHOD	KL	43085783
315952	1078	1996-09-12	PRIJEM	PREVOD Z UCTU	6722	20972	DUCHOD	KL	43085783
315953	1078	1996-10-12	PRIJEM	PREVOD Z UCTU	6722	24297	DUCHOD	KL	43085783
315954	1078	1996-11-12	PRIJEM	PREVOD Z UCTU	6722	25886	DUCHOD	KL	43085783
315955	1078	1996-12-12	PRIJEM	PREVOD Z UCTU	6722	22726	DUCHOD	KL	43085783
315956	1078	1997-01-12	PRIJEM	PREVOD Z UCTU	6722	18567	DUCHOD	KL	43085783
315957	1078	1997-02-12	PRIJEM	PREVOD Z UCTU	6722	18245	DUCHOD	KL	43085783
315958	1078	1997-03-12	PRIJEM	PREVOD Z UCTU	6722	21601	DUCHOD	KL	43085783
315959	1078	1997-04-12	PRIJEM	PREVOD Z UCTU	6722	24970	DUCHOD	KL	43085783
315960	1078	1997-05-12	PRIJEM	PREVOD Z UCTU	6722	28354	DUCHOD	KL	43085783
315961	1078	1997-06-12	PRIJEM	PREVOD Z UCTU	6722	29352	DUCHOD	KL	43085783
315962	1078	1997-07-12	PRIJEM	PREVOD Z UCTU	6722	25948	DUCHOD	KL	43085783
315963	1078	1997-08-12	PRIJEM	PREVOD Z UCTU	6722	29335	DUCHOD	KL	43085783
315964	1078	1997-09-12	PRIJEM	PREVOD Z UCTU	6722	24728	DUCHOD	KL	43085783
315965	1078	1997-10-12	PRIJEM	PREVOD Z UCTU	6722	28115	DUCHOD	KL	43085783
315966	1078	1997-11-12	PRIJEM	PREVOD Z UCTU	6722	26148	DUCHOD	KL	43085783
315967	1078	1997-12-12	PRIJEM	PREVOD Z UCTU	6722	28538	DUCHOD	KL	43085783
315968	1078	1998-01-12	PRIJEM	PREVOD Z UCTU	6722	26347	DUCHOD	KL	43085783
315969	1078	1998-02-12	PRIJEM	PREVOD Z UCTU	6722	23974	DUCHOD	KL	43085783
315970	1078	1998-03-12	PRIJEM	PREVOD Z UCTU	6722	27353	DUCHOD	KL	43085783
315971	1078	1998-04-12	PRIJEM	PREVOD Z UCTU	6722	28747	DUCHOD	KL	43085783
315972	1078	1998-05-12	PRIJEM	PREVOD Z UCTU	6722	29148	DUCHOD	KL	43085783
315973	1078	1998-06-12	PRIJEM	PREVOD Z UCTU	6722	28753	DUCHOD	KL	43085783
315974	1078	1998-07-12	PRIJEM	PREVOD Z UCTU	6722	18697	DUCHOD	KL	43085783
315975	1078	1998-08-12	PRIJEM	PREVOD Z UCTU	6722	20454	DUCHOD	KL	43085783
315976	1078	1998-09-12	PRIJEM	PREVOD Z UCTU	6722	20340	DUCHOD	KL	43085783
315977	1078	1998-10-12	PRIJEM	PREVOD Z UCTU	6722	23707	DUCHOD	KL	43085783
315978	1078	1998-11-12	PRIJEM	PREVOD Z UCTU	6722	27086	DUCHOD	KL	43085783
315979	1078	1998-12-12	PRIJEM	PREVOD Z UCTU	6722	29028	DUCHOD	KL	43085783
315991	1078	1996-12-11	VYDAJ	PREVOD NA UCET	3423	16004	SIPO	YZ	33194816
315992	1078	1997-01-11	VYDAJ	PREVOD NA UCET	3423	11845	SIPO	YZ	33194816
315993	1078	1997-02-11	VYDAJ	PREVOD NA UCET	3423	11523	SIPO	YZ	33194816
315994	1078	1997-03-11	VYDAJ	PREVOD NA UCET	3423	14879	SIPO	YZ	33194816
315995	1078	1997-04-11	VYDAJ	PREVOD NA UCET	3423	18248	SIPO	YZ	33194816
315996	1078	1997-05-11	VYDAJ	PREVOD NA UCET	3423	21632	SIPO	YZ	33194816
315997	1078	1997-06-11	VYDAJ	PREVOD NA UCET	3423	22630	SIPO	YZ	33194816
315998	1078	1997-07-11	VYDAJ	PREVOD NA UCET	3423	19226	SIPO	YZ	33194816
315999	1078	1997-08-11	VYDAJ	PREVOD NA UCET	3423	22613	SIPO	YZ	33194816
316000	1078	1997-09-11	VYDAJ	PREVOD NA UCET	3423	18006	SIPO	YZ	33194816
316001	1078	1997-10-11	VYDAJ	PREVOD NA UCET	3423	21393	SIPO	YZ	33194816
316002	1078	1997-11-11	VYDAJ	PREVOD NA UCET	3423	19426	SIPO	YZ	33194816
316003	1078	1997-12-11	VYDAJ	PREVOD NA UCET	3423	21816	SIPO	YZ	33194816
316004	1078	1998-01-11	VYDAJ	PREVOD NA UCET	3423	20345	SIPO	YZ	33194816
316005	1078	1998-02-11	VYDAJ	PREVOD NA UCET	3423	17252	SIPO	YZ	33194816
316006	1078	1998-03-11	VYDAJ	PREVOD NA UCET	3423	20631	SIPO	YZ	33194816
316007	1078	1998-04-11	VYDAJ	PREVOD NA UCET	3423	22025	SIPO	YZ	33194816
316008	1078	1998-05-11	VYDAJ	PREVOD NA UCET	3423	22426	SIPO	YZ	33194816
316009	1078	1998-06-11	VYDAJ	PREVOD NA UCET	3423	22031	SIPO	YZ	33194816
316010	1078	1998-07-11	VYDAJ	PREVOD NA UCET	3423	11975	SIPO	YZ	33194816
316011	1078	1998-08-11	VYDAJ	PREVOD NA UCET	3423	15332	SIPO	YZ	33194816
316012	1078	1998-09-11	VYDAJ	PREVOD NA UCET	3423	13618	SIPO	YZ	33194816
316013	1078	1998-10-11	VYDAJ	PREVOD NA UCET	3423	16985	SIPO	YZ	33194816
316014	1078	1998-11-11	VYDAJ	PREVOD NA UCET	3423	20364	SIPO	YZ	33194816
316015	1078	1998-12-11	VYDAJ	PREVOD NA UCET	3423	22306	SIPO	YZ	33194816
316017	1078	1997-06-21	VYDAJ	VYBER	6800	22552	\N	\N	\N
316018	1078	1998-06-26	VYDAJ	VYBER	13450	15303	\N	\N	\N
316019	1078	1996-12-01	VYDAJ	VYBER	850	25127	\N	\N	\N
316020	1078	1997-12-25	VYDAJ	VYBER	450	28088	\N	\N	\N
316021	1078	1998-12-04	VYDAJ	VYBER	1450	25729	\N	\N	\N
316028	1078	1997-01-03	VYDAJ	VYBER	880	21928	\N	\N	\N
316029	1078	1997-01-14	VYDAJ	VYBER	1360	17207	\N	\N	\N
316030	1078	1997-01-22	VYDAJ	VYBER	2320	14887	\N	\N	\N
316031	1078	1997-01-10	VYDAJ	VYBER	960	15268	\N	\N	\N
316032	1078	1997-01-08	VYDAJ	VYBER	720	19448	\N	\N	\N
316033	1078	1997-01-07	VYDAJ	VYBER	1760	20168	\N	\N	\N
316034	1078	1998-01-11	VYDAJ	VYBER	720	19625	\N	\N	\N
316035	1078	1998-01-29	VYDAJ	VYBER	960	20587	\N	\N	\N
316036	1078	1998-01-24	VYDAJ	VYBER	1760	22667	\N	\N	\N
316037	1078	1998-01-27	VYDAJ	VYBER	1120	21547	\N	\N	\N
316038	1078	1998-01-04	VYDAJ	VYBER	1920	23768	\N	\N	\N
316039	1078	1998-01-23	VYDAJ	VYBER	1920	24427	\N	\N	\N
316047	1078	1997-08-24	VYDAJ	VYBER	1600	24775	\N	\N	\N
316048	1078	1997-01-10	VYDAJ	VYBER	2320	16228	\N	\N	\N
316049	1078	1997-08-13	VYDAJ	VYBER	2960	26375	\N	\N	\N
316050	1078	1997-09-04	VYDAJ	VYBER	3440	21429	\N	\N	\N
316051	1078	1997-10-24	VYDAJ	VYBER	3760	24355	\N	\N	\N
316052	1078	1998-06-10	VYDAJ	VYBER	3600	25454	\N	\N	\N
316053	1078	1998-08-11	VYDAJ	VYBER	1600	13732	\N	\N	\N
316054	1078	1998-09-01	VYDAJ	VYBER	2480	17041	\N	\N	\N
316066	1078	1996-11-30	VYDAJ	VYBER	15	25977	SLUZBY	\N	\N
316067	1078	1996-12-31	VYDAJ	VYBER	15	22808	SLUZBY	\N	\N
316068	1078	1997-01-31	VYDAJ	VYBER	15	14946	SLUZBY	\N	\N
316069	1078	1997-02-28	VYDAJ	VYBER	15	18302	SLUZBY	\N	\N
316070	1078	1997-03-31	VYDAJ	VYBER	15	21671	SLUZBY	\N	\N
316071	1078	1997-04-30	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
316072	1078	1997-05-31	VYDAJ	VYBER	15	28453	SLUZBY	\N	\N
316073	1078	1997-06-30	VYDAJ	VYBER	15	22649	SLUZBY	\N	\N
316074	1078	1997-07-31	VYDAJ	VYBER	15	26036	SLUZBY	\N	\N
316075	1078	1997-08-31	VYDAJ	VYBER	15	24869	SLUZBY	\N	\N
316076	1078	1997-09-30	VYDAJ	VYBER	15	24816	SLUZBY	\N	\N
316077	1078	1997-10-31	VYDAJ	VYBER	15	24449	SLUZBY	\N	\N
316078	1078	1997-11-30	VYDAJ	VYBER	15	26239	SLUZBY	\N	\N
316079	1078	1997-12-31	VYDAJ	VYBER	15	28188	SLUZBY	\N	\N
316080	1078	1998-01-31	VYDAJ	VYBER	15	20675	SLUZBY	\N	\N
316081	1078	1998-02-28	VYDAJ	VYBER	15	24054	SLUZBY	\N	\N
316082	1078	1998-03-31	VYDAJ	VYBER	15	27448	SLUZBY	\N	\N
316083	1078	1998-04-30	VYDAJ	VYBER	15	28849	SLUZBY	\N	\N
316084	1078	1998-05-31	VYDAJ	VYBER	15	29254	SLUZBY	\N	\N
316085	1078	1998-06-30	VYDAJ	VYBER	15	15398	SLUZBY	\N	\N
316086	1078	1998-07-31	VYDAJ	VYBER	15	18755	SLUZBY	\N	\N
316087	1078	1998-08-31	VYDAJ	VYBER	15	20521	SLUZBY	\N	\N
316088	1078	1998-09-30	VYDAJ	VYBER	15	20408	SLUZBY	\N	\N
316089	1078	1998-10-31	VYDAJ	VYBER	15	23787	SLUZBY	\N	\N
316090	1078	1998-11-30	VYDAJ	VYBER	15	27179	SLUZBY	\N	\N
316091	1078	1996-10-10	VYDAJ	VYBER	3400	17575	\N	\N	\N
316092	1078	1996-11-09	VYDAJ	VYBER	5200	19164	\N	\N	\N
316093	1078	1996-12-09	VYDAJ	VYBER	5700	19427	\N	\N	\N
316094	1078	1997-01-08	VYDAJ	VYBER	900	18548	\N	\N	\N
316095	1078	1997-06-07	VYDAJ	VYBER	2400	26053	\N	\N	\N
316096	1078	1997-11-04	VYDAJ	VYBER	1600	22849	\N	\N	\N
316097	1078	1997-12-04	VYDAJ	VYBER	1000	25239	\N	\N	\N
316098	1078	1998-01-03	VYDAJ	VYBER	2500	25688	\N	\N	\N
316099	1078	1998-04-03	VYDAJ	VYBER	2000	25448	\N	\N	\N
316100	1078	1998-05-03	VYDAJ	VYBER	3000	25849	\N	\N	\N
316101	1078	1998-06-02	VYDAJ	VYBER	200	29054	\N	\N	\N
316102	1078	1998-08-31	VYDAJ	VYBER	1000	19521	\N	\N	\N
316133	1079	1993-09-14	PRIJEM	VKLAD	700	700	\N	\N	\N
316143	1079	1993-10-05	PRIJEM	PREVOD Z UCTU	27016	27716	\N	ST	1933414
316144	1079	1993-11-05	PRIJEM	PREVOD Z UCTU	27016	52995	\N	ST	1933414
316145	1079	1993-12-05	PRIJEM	PREVOD Z UCTU	40524	80161	\N	ST	1933414
316146	1079	1994-01-05	PRIJEM	PREVOD Z UCTU	27016	79273	\N	ST	1933414
316147	1079	1994-02-05	PRIJEM	PREVOD Z UCTU	27016	80008	\N	ST	1933414
316148	1079	1994-03-05	PRIJEM	PREVOD Z UCTU	27016	73222	\N	ST	1933414
316149	1079	1994-04-05	PRIJEM	PREVOD Z UCTU	27016	67519	\N	ST	1933414
316150	1079	1994-05-05	PRIJEM	PREVOD Z UCTU	27016	61900	\N	ST	1933414
316151	1079	1994-06-05	PRIJEM	PREVOD Z UCTU	40524	63892	\N	ST	1933414
316152	1079	1994-07-05	PRIJEM	PREVOD Z UCTU	27016	66784	\N	ST	1933414
316153	1079	1994-08-05	PRIJEM	PREVOD Z UCTU	27016	66560	\N	ST	1933414
316154	1079	1994-09-05	PRIJEM	PREVOD Z UCTU	27016	50482	\N	ST	1933414
316155	1079	1994-10-05	PRIJEM	PREVOD Z UCTU	27016	50690	\N	ST	1933414
316156	1079	1994-11-05	PRIJEM	PREVOD Z UCTU	27016	52706	\N	ST	1933414
316157	1079	1994-12-05	PRIJEM	PREVOD Z UCTU	40524	68540	\N	ST	1933414
316158	1079	1995-01-05	PRIJEM	PREVOD Z UCTU	27016	50167	\N	ST	1933414
316159	1079	1995-02-05	PRIJEM	PREVOD Z UCTU	27016	47278	\N	ST	1933414
316160	1079	1995-03-05	PRIJEM	PREVOD Z UCTU	27016	50087	\N	ST	1933414
316161	1079	1995-04-05	PRIJEM	PREVOD Z UCTU	27016	54007	\N	ST	1933414
316162	1079	1995-05-05	PRIJEM	PREVOD Z UCTU	27016	50449	\N	ST	1933414
316163	1079	1995-06-05	PRIJEM	PREVOD Z UCTU	40524	62379	\N	ST	1933414
316164	1079	1995-07-05	PRIJEM	PREVOD Z UCTU	27016	62237	\N	ST	1933414
316165	1079	1995-08-05	PRIJEM	PREVOD Z UCTU	27016	59489	\N	ST	1933414
316166	1079	1995-09-05	PRIJEM	PREVOD Z UCTU	27016	47203	\N	ST	1933414
316167	1079	1995-10-05	PRIJEM	PREVOD Z UCTU	27016	49344	\N	ST	1933414
316168	1079	1995-11-05	PRIJEM	PREVOD Z UCTU	27016	53685	\N	ST	1933414
316169	1079	1995-12-05	PRIJEM	PREVOD Z UCTU	40524	61373	\N	ST	1933414
316170	1079	1996-01-05	PRIJEM	PREVOD Z UCTU	27016	60350	\N	ST	1933414
316171	1079	1996-02-05	PRIJEM	PREVOD Z UCTU	27016	53713	\N	ST	1933414
316172	1079	1996-03-05	PRIJEM	PREVOD Z UCTU	27016	52449	\N	ST	1933414
316173	1079	1996-04-05	PRIJEM	PREVOD Z UCTU	27016	55391	\N	ST	1933414
316174	1079	1996-05-05	PRIJEM	PREVOD Z UCTU	27016	61053	\N	ST	1933414
316175	1079	1996-06-05	PRIJEM	PREVOD Z UCTU	40524	81879	\N	ST	1933414
316176	1079	1996-07-05	PRIJEM	PREVOD Z UCTU	27016	55809	\N	ST	1933414
316177	1079	1996-08-05	PRIJEM	PREVOD Z UCTU	27016	63184	\N	ST	1933414
316178	1079	1996-09-05	PRIJEM	PREVOD Z UCTU	27016	52647	\N	ST	1933414
316179	1079	1996-10-05	PRIJEM	PREVOD Z UCTU	27016	57715	\N	ST	1933414
316180	1079	1996-11-05	PRIJEM	PREVOD Z UCTU	27016	64490	\N	ST	1933414
316181	1079	1996-12-05	PRIJEM	PREVOD Z UCTU	40524	74760	\N	ST	1933414
316182	1079	1997-01-05	PRIJEM	PREVOD Z UCTU	27016	68168	\N	ST	1933414
316183	1079	1997-02-05	PRIJEM	PREVOD Z UCTU	27016	56154	\N	ST	1933414
316184	1079	1997-03-05	PRIJEM	PREVOD Z UCTU	27016	55848	\N	ST	1933414
316185	1079	1997-04-05	PRIJEM	PREVOD Z UCTU	27016	62806	\N	ST	1933414
316186	1079	1997-05-05	PRIJEM	PREVOD Z UCTU	27016	62077	\N	ST	1933414
316187	1079	1997-06-05	PRIJEM	PREVOD Z UCTU	40524	71818	\N	ST	1933414
316188	1079	1997-07-05	PRIJEM	PREVOD Z UCTU	27016	65424	\N	ST	1933414
316189	1079	1997-08-05	PRIJEM	PREVOD Z UCTU	27016	74032	\N	ST	1933414
316190	1079	1997-09-05	PRIJEM	PREVOD Z UCTU	27016	72757	\N	ST	1933414
316191	1079	1997-10-05	PRIJEM	PREVOD Z UCTU	27016	73885	\N	ST	1933414
316192	1079	1997-11-05	PRIJEM	PREVOD Z UCTU	27016	67098	\N	ST	1933414
316193	1079	1997-12-05	PRIJEM	PREVOD Z UCTU	40524	89318	\N	ST	1933414
316194	1079	1998-01-05	PRIJEM	PREVOD Z UCTU	27016	67864	\N	ST	1933414
316195	1079	1998-02-05	PRIJEM	PREVOD Z UCTU	27016	56646	\N	ST	1933414
316196	1079	1998-03-05	PRIJEM	PREVOD Z UCTU	27016	77028	\N	ST	1933414
316197	1079	1998-04-05	PRIJEM	PREVOD Z UCTU	27016	87383	\N	ST	1933414
316198	1079	1998-05-05	PRIJEM	PREVOD Z UCTU	27016	89568	\N	ST	1933414
316199	1079	1998-06-05	PRIJEM	PREVOD Z UCTU	40524	103468	\N	ST	1933414
316200	1079	1998-07-05	PRIJEM	PREVOD Z UCTU	27016	91578	\N	ST	1933414
316201	1079	1998-08-05	PRIJEM	PREVOD Z UCTU	27016	89070	\N	ST	1933414
316202	1079	1998-09-05	PRIJEM	PREVOD Z UCTU	27016	87251	\N	ST	1933414
316203	1079	1998-10-05	PRIJEM	PREVOD Z UCTU	27016	87425	\N	ST	1933414
316204	1079	1998-11-05	PRIJEM	PREVOD Z UCTU	27016	82606	\N	ST	1933414
316205	1079	1998-12-05	PRIJEM	PREVOD Z UCTU	40524	100197	\N	ST	1933414
316219	1079	1994-02-10	VYDAJ	PREVOD NA UCET	10392	69616	SIPO	MN	42747187
316220	1079	1994-03-10	VYDAJ	PREVOD NA UCET	10392	54332	SIPO	MN	42747187
316221	1079	1994-04-10	VYDAJ	PREVOD NA UCET	10392	57127	SIPO	MN	42747187
316222	1079	1994-05-10	VYDAJ	PREVOD NA UCET	10392	51508	SIPO	MN	42747187
316223	1079	1994-06-10	VYDAJ	PREVOD NA UCET	10392	53500	SIPO	MN	42747187
316224	1079	1994-07-10	VYDAJ	PREVOD NA UCET	10392	56392	SIPO	MN	42747187
316225	1079	1994-08-10	VYDAJ	PREVOD NA UCET	10392	41368	SIPO	MN	42747187
316226	1079	1994-09-10	VYDAJ	PREVOD NA UCET	10392	23590	SIPO	MN	42747187
316227	1079	1994-10-10	VYDAJ	PREVOD NA UCET	10392	25598	SIPO	MN	42747187
316228	1079	1994-11-10	VYDAJ	PREVOD NA UCET	10392	27914	SIPO	MN	42747187
316229	1079	1994-12-10	VYDAJ	PREVOD NA UCET	10392	33248	SIPO	MN	42747187
316230	1079	1995-01-10	VYDAJ	PREVOD NA UCET	10392	23475	SIPO	MN	42747187
316231	1079	1995-02-10	VYDAJ	PREVOD NA UCET	10392	22986	SIPO	MN	42747187
316232	1079	1995-03-10	VYDAJ	PREVOD NA UCET	10392	26895	SIPO	MN	42747187
316233	1079	1995-04-10	VYDAJ	PREVOD NA UCET	10392	26515	SIPO	MN	42747187
316234	1079	1995-05-10	VYDAJ	PREVOD NA UCET	10392	24157	SIPO	MN	42747187
316235	1079	1995-06-10	VYDAJ	PREVOD NA UCET	10392	35087	SIPO	MN	42747187
316236	1079	1995-07-10	VYDAJ	PREVOD NA UCET	10392	32345	SIPO	MN	42747187
316237	1079	1995-08-10	VYDAJ	PREVOD NA UCET	10392	13525	SIPO	MN	42747187
316238	1079	1995-09-10	VYDAJ	PREVOD NA UCET	10392	36811	SIPO	MN	42747187
316239	1079	1995-10-10	VYDAJ	PREVOD NA UCET	10392	38952	SIPO	MN	42747187
316240	1079	1995-11-10	VYDAJ	PREVOD NA UCET	10392	43293	SIPO	MN	42747187
316241	1079	1995-12-10	VYDAJ	PREVOD NA UCET	10392	46481	SIPO	MN	42747187
316242	1079	1996-01-10	VYDAJ	PREVOD NA UCET	10392	38858	SIPO	MN	42747187
316243	1079	1996-02-10	VYDAJ	PREVOD NA UCET	10392	32222	SIPO	MN	42747187
316244	1079	1996-03-10	VYDAJ	PREVOD NA UCET	10392	42057	SIPO	MN	42747187
316245	1079	1996-04-10	VYDAJ	PREVOD NA UCET	10392	42878	SIPO	MN	42747187
316246	1079	1996-05-10	VYDAJ	PREVOD NA UCET	10392	50661	SIPO	MN	42747187
316247	1079	1996-06-10	VYDAJ	PREVOD NA UCET	10392	28887	SIPO	MN	42747187
316248	1079	1996-07-10	VYDAJ	PREVOD NA UCET	10392	45417	SIPO	MN	42747187
316249	1079	1996-08-10	VYDAJ	PREVOD NA UCET	10392	38092	SIPO	MN	42747187
316250	1079	1996-09-10	VYDAJ	PREVOD NA UCET	10392	42255	SIPO	MN	42747187
316251	1079	1996-10-10	VYDAJ	PREVOD NA UCET	10392	47323	SIPO	MN	42747187
316252	1079	1996-11-10	VYDAJ	PREVOD NA UCET	10392	54098	SIPO	MN	42747187
316253	1079	1996-12-10	VYDAJ	PREVOD NA UCET	10392	55668	SIPO	MN	42747187
316254	1079	1997-01-10	VYDAJ	PREVOD NA UCET	10392	46676	SIPO	MN	42747187
316255	1079	1997-02-10	VYDAJ	PREVOD NA UCET	10392	45762	SIPO	MN	42747187
316256	1079	1997-03-10	VYDAJ	PREVOD NA UCET	10392	38856	SIPO	MN	42747187
316257	1079	1997-04-10	VYDAJ	PREVOD NA UCET	10392	52414	SIPO	MN	42747187
316258	1079	1997-05-10	VYDAJ	PREVOD NA UCET	10392	38185	SIPO	MN	42747187
316259	1079	1997-06-10	VYDAJ	PREVOD NA UCET	10392	61426	SIPO	MN	42747187
316260	1079	1997-07-10	VYDAJ	PREVOD NA UCET	10392	55032	SIPO	MN	42747187
316261	1079	1997-08-10	VYDAJ	PREVOD NA UCET	10392	63640	SIPO	MN	42747187
316262	1079	1997-09-10	VYDAJ	PREVOD NA UCET	10392	62365	SIPO	MN	42747187
316263	1079	1997-10-10	VYDAJ	PREVOD NA UCET	10392	63493	SIPO	MN	42747187
316264	1079	1997-11-10	VYDAJ	PREVOD NA UCET	10392	56706	SIPO	MN	42747187
316265	1079	1997-12-10	VYDAJ	PREVOD NA UCET	10392	78926	SIPO	MN	42747187
316266	1079	1998-01-10	VYDAJ	PREVOD NA UCET	10392	57472	SIPO	MN	42747187
316267	1079	1998-02-10	VYDAJ	PREVOD NA UCET	10392	46254	SIPO	MN	42747187
316268	1079	1998-03-10	VYDAJ	PREVOD NA UCET	10392	66636	SIPO	MN	42747187
316269	1079	1998-04-10	VYDAJ	PREVOD NA UCET	10392	76991	SIPO	MN	42747187
316270	1079	1998-05-10	VYDAJ	PREVOD NA UCET	10392	79176	SIPO	MN	42747187
316271	1079	1998-06-10	VYDAJ	PREVOD NA UCET	10392	85276	SIPO	MN	42747187
316272	1079	1998-07-10	VYDAJ	PREVOD NA UCET	10392	81186	SIPO	MN	42747187
316273	1079	1998-08-10	VYDAJ	PREVOD NA UCET	10392	78678	SIPO	MN	42747187
316274	1079	1998-09-10	VYDAJ	PREVOD NA UCET	10392	76859	SIPO	MN	42747187
316275	1079	1998-10-10	VYDAJ	PREVOD NA UCET	10392	77033	SIPO	MN	42747187
316276	1079	1998-11-10	VYDAJ	PREVOD NA UCET	10392	72214	SIPO	MN	42747187
316277	1079	1998-12-10	VYDAJ	PREVOD NA UCET	10392	89805	SIPO	MN	42747187
316288	1079	1994-08-11	VYBER	VYBER	18007	23361	\N	\N	\N
316289	1079	1994-05-01	VYBER	VYBER	7907	34884	\N	\N	\N
316290	1079	1994-06-01	VYBER	VYBER	13904	23368	\N	\N	\N
316291	1079	1994-03-08	VYBER	VYBER	8498	64724	\N	\N	\N
316293	1079	1995-12-02	VYBER	VYBER	8186	20549	\N	\N	\N
316294	1079	1995-05-02	VYBER	VYBER	3183	23433	\N	\N	\N
316295	1079	1995-08-07	VYBER	VYBER	17172	23917	\N	\N	\N
316297	1079	1995-12-15	VYBER	VYBER	4912	41569	\N	\N	\N
316298	1079	1996-06-22	VYBER	VYBER	4110	24777	\N	\N	\N
316299	1079	1996-02-10	VYBER	VYBER	11099	42614	\N	\N	\N
316301	1079	1996-01-19	VYBER	VYBER	13095	23663	\N	\N	\N
316302	1079	1996-11-28	VYBER	VYBER	8740	34058	\N	\N	\N
316304	1079	1996-03-21	VYBER	VYBER	13319	28738	\N	\N	\N
316305	1079	1996-02-24	VYBER	VYBER	3403	23719	\N	\N	\N
316306	1079	1996-04-07	VYBER	VYBER	2121	53270	\N	\N	\N
316307	1079	1997-12-21	VYBER	VYBER	20791	44635	\N	\N	\N
316308	1079	1997-06-17	VYBER	VYBER	17681	43745	\N	\N	\N
316309	1079	1997-02-14	VYBER	VYBER	4637	41125	\N	\N	\N
316310	1079	1997-04-24	VYBER	VYBER	10215	35599	\N	\N	\N
316311	1079	1997-05-27	VYBER	VYBER	5734	31151	\N	\N	\N
316312	1079	1997-02-23	VYBER	VYBER	13723	27402	\N	\N	\N
316316	1079	1996-06-09	VYDAJ	VYBER	42600	39279	\N	\N	\N
316320	1079	1994-12-13	VYDAJ	VYBER	7200	26048	\N	\N	\N
316321	1079	1995-12-09	VYDAJ	VYBER	4500	56873	\N	\N	\N
316322	1079	1996-12-09	VYDAJ	VYBER	8700	66060	\N	\N	\N
316323	1079	1997-12-12	VYDAJ	VYBER	6300	72626	\N	\N	\N
316324	1079	1998-12-13	VYDAJ	VYBER	5400	84405	\N	\N	\N
316338	1079	1995-01-04	VYDAJ	VYBER	3000	23151	\N	\N	\N
316340	1079	1995-01-07	VYDAJ	VYBER	5100	45067	\N	\N	\N
316341	1079	1995-01-07	VYDAJ	VYBER	3600	41467	\N	\N	\N
316342	1079	1995-01-12	VYDAJ	VYBER	3300	20175	\N	\N	\N
316343	1079	1996-01-17	VYDAJ	VYBER	2100	36758	\N	\N	\N
316344	1079	1996-01-09	VYDAJ	VYBER	4800	55550	\N	\N	\N
316346	1079	1996-01-09	VYDAJ	VYBER	6300	49250	\N	\N	\N
316349	1079	1997-01-24	VYDAJ	VYBER	7200	29576	\N	\N	\N
316350	1079	1997-01-26	VYDAJ	VYBER	6300	28976	\N	\N	\N
316351	1079	1997-01-20	VYDAJ	VYBER	3900	36776	\N	\N	\N
316352	1079	1997-01-20	VYDAJ	VYBER	6000	40676	\N	\N	\N
316353	1079	1997-01-07	VYDAJ	VYBER	4500	63668	\N	\N	\N
316354	1079	1997-01-09	VYDAJ	VYBER	6600	57068	\N	\N	\N
316355	1079	1998-01-12	VYDAJ	VYBER	2700	54772	\N	\N	\N
316356	1079	1998-01-16	VYDAJ	VYBER	3300	33472	\N	\N	\N
316357	1079	1998-01-20	VYDAJ	VYBER	7500	25972	\N	\N	\N
316358	1079	1998-01-15	VYDAJ	VYBER	8100	36772	\N	\N	\N
316359	1079	1998-01-01	VYDAJ	VYBER	5400	40848	\N	\N	\N
316360	1079	1998-01-23	VYDAJ	VYBER	6600	29472	\N	\N	\N
316365	1079	1995-10-12	VYDAJ	VYBER	5100	28152	\N	\N	\N
316367	1079	1995-10-10	VYDAJ	VYBER	5700	33252	\N	\N	\N
316368	1079	1995-06-01	VYDAJ	VYBER	2400	21855	\N	\N	\N
316369	1079	1995-11-20	VYDAJ	VYBER	14700	28593	\N	\N	\N
316371	1079	1995-09-18	VYDAJ	VYBER	9000	27811	\N	\N	\N
316372	1079	1996-10-23	VYDAJ	VYBER	7500	39823	\N	\N	\N
316373	1079	1996-08-09	VYDAJ	VYBER	14700	48484	\N	\N	\N
316374	1079	1996-02-13	VYDAJ	VYBER	5100	27122	\N	\N	\N
316375	1079	1996-09-17	VYDAJ	VYBER	9000	33255	\N	\N	\N
316376	1079	1996-09-01	VYDAJ	VYBER	7200	25631	\N	\N	\N
316378	1079	1996-04-26	VYDAJ	VYBER	5700	37178	\N	\N	\N
316379	1079	1997-05-05	VYDAJ	VYBER	13500	48577	\N	\N	\N
316380	1079	1997-08-11	VYDAJ	VYBER	4500	59140	\N	\N	\N
316381	1079	1997-03-09	VYDAJ	VYBER	6600	49248	\N	\N	\N
316382	1079	1997-12-15	VYDAJ	VYBER	7200	65426	\N	\N	\N
316383	1079	1997-04-22	VYDAJ	VYBER	6600	45814	\N	\N	\N
316384	1079	1997-10-18	VYDAJ	VYBER	14700	48793	\N	\N	\N
316385	1079	1998-12-13	VYDAJ	VYBER	9900	74505	\N	\N	\N
316386	1079	1998-11-02	VYDAJ	VYBER	8100	55590	\N	\N	\N
316387	1079	1998-06-08	VYDAJ	VYBER	7800	95668	\N	\N	\N
316388	1079	1998-01-12	VYDAJ	VYBER	9900	44872	\N	\N	\N
316403	1079	1994-02-28	VYDAJ	VYBER	15	46206	SLUZBY	\N	\N
316404	1079	1994-03-31	VYDAJ	VYBER	15	40503	SLUZBY	\N	\N
316405	1079	1994-04-30	VYDAJ	VYBER	15	42791	SLUZBY	\N	\N
316406	1079	1994-05-31	VYDAJ	VYBER	15	37272	SLUZBY	\N	\N
316407	1079	1994-06-30	VYDAJ	VYBER	15	39768	SLUZBY	\N	\N
316408	1079	1994-07-31	VYDAJ	VYBER	15	39544	SLUZBY	\N	\N
316409	1079	1994-08-31	VYDAJ	VYBER	15	23466	SLUZBY	\N	\N
316410	1079	1994-09-30	VYDAJ	VYBER	15	23674	SLUZBY	\N	\N
316411	1079	1994-10-31	VYDAJ	VYBER	15	25690	SLUZBY	\N	\N
316412	1079	1994-11-30	VYDAJ	VYBER	15	28016	SLUZBY	\N	\N
316413	1079	1994-12-31	VYDAJ	VYBER	15	26151	SLUZBY	\N	\N
316414	1079	1995-01-31	VYDAJ	VYBER	15	20262	SLUZBY	\N	\N
316415	1079	1995-02-28	VYDAJ	VYBER	15	23071	SLUZBY	\N	\N
316416	1079	1995-03-31	VYDAJ	VYBER	15	26991	SLUZBY	\N	\N
316417	1079	1995-04-30	VYDAJ	VYBER	15	26616	SLUZBY	\N	\N
316418	1079	1995-05-31	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
316419	1079	1995-06-30	VYDAJ	VYBER	15	35221	SLUZBY	\N	\N
316420	1079	1995-07-31	VYDAJ	VYBER	15	32473	SLUZBY	\N	\N
316421	1079	1995-08-31	VYDAJ	VYBER	15	13587	SLUZBY	\N	\N
316422	1079	1995-09-30	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
316423	1079	1995-10-31	VYDAJ	VYBER	15	28269	SLUZBY	\N	\N
316424	1079	1995-11-30	VYDAJ	VYBER	15	28735	SLUZBY	\N	\N
316425	1079	1995-12-31	VYDAJ	VYBER	15	41734	SLUZBY	\N	\N
316426	1079	1996-01-31	VYDAJ	VYBER	15	23797	SLUZBY	\N	\N
316427	1079	1996-02-29	VYDAJ	VYBER	15	23833	SLUZBY	\N	\N
316428	1079	1996-03-31	VYDAJ	VYBER	15	28875	SLUZBY	\N	\N
316429	1079	1996-04-30	VYDAJ	VYBER	15	37337	SLUZBY	\N	\N
316430	1079	1996-05-31	VYDAJ	VYBER	15	41355	SLUZBY	\N	\N
316431	1079	1996-06-30	VYDAJ	VYBER	15	28793	SLUZBY	\N	\N
316432	1079	1996-07-31	VYDAJ	VYBER	15	36168	SLUZBY	\N	\N
316433	1079	1996-08-31	VYDAJ	VYBER	15	32831	SLUZBY	\N	\N
316434	1079	1996-09-30	VYDAJ	VYBER	15	30699	SLUZBY	\N	\N
316435	1079	1996-10-31	VYDAJ	VYBER	15	37474	SLUZBY	\N	\N
316436	1079	1996-11-30	VYDAJ	VYBER	15	34236	SLUZBY	\N	\N
316437	1079	1996-12-31	VYDAJ	VYBER	15	41152	SLUZBY	\N	\N
316438	1079	1997-01-31	VYDAJ	VYBER	15	29138	SLUZBY	\N	\N
316439	1079	1997-02-28	VYDAJ	VYBER	15	28832	SLUZBY	\N	\N
316440	1079	1997-03-31	VYDAJ	VYBER	15	35790	SLUZBY	\N	\N
316441	1079	1997-04-30	VYDAJ	VYBER	15	35061	SLUZBY	\N	\N
316442	1079	1997-05-31	VYDAJ	VYBER	15	31294	SLUZBY	\N	\N
316443	1079	1997-06-30	VYDAJ	VYBER	15	38408	SLUZBY	\N	\N
316444	1079	1997-07-31	VYDAJ	VYBER	15	47016	SLUZBY	\N	\N
316445	1079	1997-08-31	VYDAJ	VYBER	15	45741	SLUZBY	\N	\N
316446	1079	1997-09-30	VYDAJ	VYBER	15	46869	SLUZBY	\N	\N
316447	1079	1997-10-31	VYDAJ	VYBER	15	40082	SLUZBY	\N	\N
316448	1079	1997-11-30	VYDAJ	VYBER	15	48794	SLUZBY	\N	\N
316449	1079	1997-12-31	VYDAJ	VYBER	15	46248	SLUZBY	\N	\N
316450	1079	1998-01-31	VYDAJ	VYBER	15	29630	SLUZBY	\N	\N
316451	1079	1998-02-28	VYDAJ	VYBER	15	50012	SLUZBY	\N	\N
316452	1079	1998-03-31	VYDAJ	VYBER	15	60367	SLUZBY	\N	\N
316453	1079	1998-04-30	VYDAJ	VYBER	15	62552	SLUZBY	\N	\N
316454	1079	1998-05-31	VYDAJ	VYBER	15	62944	SLUZBY	\N	\N
316455	1079	1998-06-30	VYDAJ	VYBER	15	64562	SLUZBY	\N	\N
316456	1079	1998-07-31	VYDAJ	VYBER	15	62054	SLUZBY	\N	\N
316457	1079	1998-08-31	VYDAJ	VYBER	15	60235	SLUZBY	\N	\N
316458	1079	1998-09-30	VYDAJ	VYBER	15	60409	SLUZBY	\N	\N
316459	1079	1998-10-31	VYDAJ	VYBER	15	63690	SLUZBY	\N	\N
316460	1079	1998-11-30	VYDAJ	VYBER	15	59673	SLUZBY	\N	\N
316461	1079	1993-10-14	VYDAJ	VYBER	1800	25916	\N	\N	\N
316462	1079	1993-11-13	VYDAJ	VYBER	13500	39495	\N	\N	\N
316463	1079	1993-12-13	VYDAJ	VYBER	28100	52061	\N	\N	\N
316464	1079	1994-01-12	VYDAJ	VYBER	26500	52773	\N	\N	\N
316465	1079	1994-02-11	VYDAJ	VYBER	23600	46016	\N	\N	\N
316466	1079	1994-03-13	VYDAJ	VYBER	14000	40332	\N	\N	\N
316467	1079	1994-04-12	VYDAJ	VYBER	14500	42627	\N	\N	\N
316468	1079	1994-05-12	VYDAJ	VYBER	14400	37108	\N	\N	\N
316469	1079	1994-06-11	VYDAJ	VYBER	13900	39600	\N	\N	\N
316470	1079	1994-07-11	VYDAJ	VYBER	17000	39392	\N	\N	\N
316471	1079	1994-08-10	VYDAJ	VYBER	14800	51760	\N	\N	\N
316472	1079	1994-09-09	VYDAJ	VYBER	16500	33982	\N	\N	\N
316473	1079	1994-10-09	VYDAJ	VYBER	14700	35990	\N	\N	\N
316474	1079	1994-11-08	VYDAJ	VYBER	14400	38306	\N	\N	\N
316475	1079	1994-12-08	VYDAJ	VYBER	24900	43640	\N	\N	\N
316476	1079	1995-01-07	VYDAJ	VYBER	7600	33867	\N	\N	\N
316477	1079	1995-02-06	VYDAJ	VYBER	13900	33378	\N	\N	\N
316478	1079	1995-03-08	VYDAJ	VYBER	12800	37287	\N	\N	\N
316479	1079	1995-04-07	VYDAJ	VYBER	17100	36907	\N	\N	\N
316480	1079	1995-05-07	VYDAJ	VYBER	15900	34549	\N	\N	\N
316481	1079	1995-06-06	VYDAJ	VYBER	16900	45479	\N	\N	\N
316482	1079	1995-07-06	VYDAJ	VYBER	19500	42737	\N	\N	\N
316483	1079	1995-08-05	VYDAJ	VYBER	18400	41089	\N	\N	\N
316484	1079	1995-09-04	PRIJEM	VKLAD	6600	20187	\N	\N	\N
316485	1079	1995-10-04	VYDAJ	VYBER	5600	22328	\N	\N	\N
316486	1079	1995-11-03	VYDAJ	VYBER	1600	26669	\N	\N	\N
316487	1079	1995-12-03	PRIJEM	VKLAD	300	20849	\N	\N	\N
316488	1079	1996-01-02	VYDAJ	VYBER	8400	33334	\N	\N	\N
316489	1079	1996-02-01	PRIJEM	VKLAD	2900	26697	\N	\N	\N
316490	1079	1996-03-02	PRIJEM	VKLAD	1600	25433	\N	\N	\N
316491	1079	1996-04-01	VYDAJ	VYBER	500	28375	\N	\N	\N
316492	1079	1996-05-01	VYDAJ	VYBER	3300	34037	\N	\N	\N
316493	1079	1996-05-31	VYDAJ	VYBER	9500	41370	\N	\N	\N
316494	1079	1996-06-30	PRIJEM	VKLAD	3900	28677	\N	\N	\N
316495	1079	1996-07-30	VYDAJ	VYBER	9400	36017	\N	\N	\N
316496	1079	1996-08-29	VYDAJ	VYBER	5400	32692	\N	\N	\N
316497	1079	1996-09-28	VYDAJ	VYBER	2700	30555	\N	\N	\N
316498	1079	1996-10-28	VYDAJ	VYBER	2500	37323	\N	\N	\N
316499	1079	1996-11-27	VYDAJ	VYBER	11300	42798	\N	\N	\N
316500	1079	1996-12-27	VYDAJ	VYBER	14700	40968	\N	\N	\N
316501	1079	1997-01-26	PRIJEM	VKLAD	5700	35276	\N	\N	\N
316502	1079	1997-02-25	PRIJEM	VKLAD	1300	28702	\N	\N	\N
316503	1079	1997-03-27	VYDAJ	VYBER	3200	35656	\N	\N	\N
316504	1079	1997-04-26	VYDAJ	VYBER	700	34899	\N	\N	\N
316505	1079	1997-05-26	VYDAJ	VYBER	1300	36885	\N	\N	\N
316506	1079	1997-06-25	VYDAJ	VYBER	5500	38245	\N	\N	\N
316507	1079	1997-07-25	VYDAJ	VYBER	8200	46832	\N	\N	\N
316508	1079	1997-08-24	VYDAJ	VYBER	13600	45540	\N	\N	\N
316509	1079	1997-09-23	VYDAJ	VYBER	15700	46665	\N	\N	\N
316510	1079	1997-10-23	VYDAJ	VYBER	8900	39893	\N	\N	\N
316511	1079	1997-11-22	VYDAJ	VYBER	8100	48606	\N	\N	\N
316512	1079	1997-12-22	PRIJEM	VKLAD	1400	46035	\N	\N	\N
316513	1079	1998-01-21	PRIJEM	VKLAD	10100	36072	\N	\N	\N
316514	1079	1998-02-20	PRIJEM	VKLAD	3600	49854	\N	\N	\N
316515	1079	1998-03-22	VYDAJ	VYBER	6500	60136	\N	\N	\N
316516	1079	1998-04-21	VYDAJ	VYBER	14700	62291	\N	\N	\N
316517	1079	1998-05-21	VYDAJ	VYBER	16500	62676	\N	\N	\N
316518	1079	1998-06-20	VYDAJ	VYBER	21000	64276	\N	\N	\N
316519	1079	1998-07-20	VYDAJ	VYBER	19400	61786	\N	\N	\N
316520	1079	1998-08-19	VYDAJ	VYBER	18700	59978	\N	\N	\N
316521	1079	1998-09-18	VYDAJ	VYBER	16700	60159	\N	\N	\N
316522	1079	1998-10-18	VYDAJ	VYBER	13600	63433	\N	\N	\N
316523	1079	1998-11-17	VYDAJ	VYBER	12800	59414	\N	\N	\N
316587	1080	1993-12-27	PRIJEM	VKLAD	700	700	\N	\N	\N
316600	1080	1994-01-12	PRIJEM	VKLAD	24409	25109	\N	\N	\N
316601	1080	1994-02-12	PRIJEM	VKLAD	24409	50939	\N	\N	\N
316602	1080	1994-03-12	PRIJEM	VKLAD	24409	61365	\N	\N	\N
316603	1080	1994-04-12	PRIJEM	VKLAD	24409	67031	\N	\N	\N
316604	1080	1994-05-12	PRIJEM	VKLAD	24409	71921	\N	\N	\N
316605	1080	1994-06-12	PRIJEM	VKLAD	36614	81144	\N	\N	\N
316606	1080	1994-07-12	PRIJEM	VKLAD	24409	37494	\N	\N	\N
316607	1080	1994-08-12	PRIJEM	VKLAD	24409	52004	\N	\N	\N
316608	1080	1994-09-12	PRIJEM	VKLAD	24409	57641	\N	\N	\N
316609	1080	1994-10-12	PRIJEM	VKLAD	24409	64633	\N	\N	\N
316610	1080	1994-11-12	PRIJEM	VKLAD	24409	66842	\N	\N	\N
316611	1080	1994-12-12	PRIJEM	VKLAD	36614	79322	\N	\N	\N
316612	1080	1995-01-12	PRIJEM	VKLAD	24409	74162	\N	\N	\N
316613	1080	1995-02-12	PRIJEM	VKLAD	24409	58262	\N	\N	\N
316614	1080	1995-03-12	PRIJEM	VKLAD	24409	57462	\N	\N	\N
316615	1080	1995-04-12	PRIJEM	VKLAD	24409	61739	\N	\N	\N
316616	1080	1995-05-12	PRIJEM	VKLAD	24409	58596	\N	\N	\N
316617	1080	1995-06-12	PRIJEM	VKLAD	36614	73184	\N	\N	\N
316618	1080	1995-07-12	PRIJEM	VKLAD	24409	66194	\N	\N	\N
316619	1080	1995-08-12	PRIJEM	VKLAD	24409	64994	\N	\N	\N
316620	1080	1995-09-12	PRIJEM	VKLAD	24409	60587	\N	\N	\N
316621	1080	1995-10-12	PRIJEM	VKLAD	24409	65075	\N	\N	\N
316622	1080	1995-11-12	PRIJEM	VKLAD	24409	66371	\N	\N	\N
316623	1080	1995-12-12	PRIJEM	VKLAD	36614	82383	\N	\N	\N
316624	1080	1996-01-12	PRIJEM	VKLAD	24409	71198	\N	\N	\N
316625	1080	1996-02-12	PRIJEM	VKLAD	24409	48136	\N	\N	\N
316626	1080	1996-03-12	PRIJEM	VKLAD	24409	56473	\N	\N	\N
316627	1080	1996-04-12	PRIJEM	VKLAD	24409	57801	\N	\N	\N
316628	1080	1996-05-12	PRIJEM	VKLAD	24409	65475	\N	\N	\N
316629	1080	1996-06-12	PRIJEM	VKLAD	36614	84883	\N	\N	\N
316630	1080	1996-07-12	PRIJEM	VKLAD	24409	59740	\N	\N	\N
316631	1080	1996-08-12	PRIJEM	VKLAD	24409	64812	\N	\N	\N
316632	1080	1996-09-12	PRIJEM	VKLAD	24409	68100	\N	\N	\N
316633	1080	1996-10-12	PRIJEM	VKLAD	24409	73018	\N	\N	\N
316634	1080	1996-11-12	PRIJEM	VKLAD	24409	64891	\N	\N	\N
316635	1080	1996-12-12	PRIJEM	VKLAD	36614	78956	\N	\N	\N
316636	1080	1997-01-12	PRIJEM	VKLAD	24409	67741	\N	\N	\N
316637	1080	1997-02-12	PRIJEM	VKLAD	24409	58129	\N	\N	\N
316638	1080	1997-03-12	PRIJEM	VKLAD	24409	56980	\N	\N	\N
316639	1080	1997-04-12	PRIJEM	VKLAD	24409	58693	\N	\N	\N
316640	1080	1997-05-12	PRIJEM	VKLAD	24409	57147	\N	\N	\N
316641	1080	1997-06-12	PRIJEM	VKLAD	36614	59024	\N	\N	\N
316642	1080	1997-07-12	PRIJEM	VKLAD	24409	61667	\N	\N	\N
316643	1080	1997-08-12	PRIJEM	VKLAD	24409	61890	\N	\N	\N
316644	1080	1997-09-12	PRIJEM	VKLAD	24409	61921	\N	\N	\N
316645	1080	1997-10-12	PRIJEM	VKLAD	24409	63176	\N	\N	\N
316646	1080	1997-11-12	PRIJEM	VKLAD	24409	66618	\N	\N	\N
316647	1080	1997-12-12	PRIJEM	VKLAD	36614	80275	\N	\N	\N
316648	1080	1998-01-12	PRIJEM	VKLAD	24409	75114	\N	\N	\N
316649	1080	1998-02-12	PRIJEM	VKLAD	24409	65667	\N	\N	\N
316650	1080	1998-03-12	PRIJEM	VKLAD	24409	76400	\N	\N	\N
316651	1080	1998-04-12	PRIJEM	VKLAD	24409	79182	\N	\N	\N
316652	1080	1998-05-12	PRIJEM	VKLAD	24409	79803	\N	\N	\N
316653	1080	1998-06-12	PRIJEM	VKLAD	36614	86515	\N	\N	\N
316654	1080	1998-07-12	PRIJEM	VKLAD	24409	67380	\N	\N	\N
316655	1080	1998-08-12	PRIJEM	VKLAD	24409	75672	\N	\N	\N
316656	1080	1998-09-12	PRIJEM	VKLAD	24409	78564	\N	\N	\N
316657	1080	1998-10-12	PRIJEM	VKLAD	24409	87370	\N	\N	\N
316658	1080	1998-11-12	PRIJEM	VKLAD	24409	94216	\N	\N	\N
316659	1080	1998-12-12	PRIJEM	VKLAD	36614	111580	\N	\N	\N
316676	1080	1994-05-12	VYDAJ	PREVOD NA UCET	6185	65736	SIPO	WX	40894991
316677	1080	1994-06-12	VYDAJ	PREVOD NA UCET	6185	74959	SIPO	WX	40894991
316678	1080	1994-07-12	VYDAJ	PREVOD NA UCET	6185	31309	SIPO	WX	40894991
316679	1080	1994-08-12	VYDAJ	PREVOD NA UCET	6185	45819	SIPO	WX	40894991
316680	1080	1994-09-12	VYDAJ	PREVOD NA UCET	6185	51456	SIPO	WX	40894991
316681	1080	1994-10-12	VYDAJ	PREVOD NA UCET	6185	58448	SIPO	WX	40894991
316682	1080	1994-11-12	VYDAJ	PREVOD NA UCET	6185	60657	SIPO	WX	40894991
316683	1080	1994-12-12	VYDAJ	PREVOD NA UCET	6185	73137	SIPO	WX	40894991
316684	1080	1995-01-12	VYDAJ	PREVOD NA UCET	6185	67977	SIPO	WX	40894991
316685	1080	1995-02-12	VYDAJ	PREVOD NA UCET	6185	52077	SIPO	WX	40894991
316686	1080	1995-03-12	VYDAJ	PREVOD NA UCET	6185	51277	SIPO	WX	40894991
316687	1080	1995-04-12	VYDAJ	PREVOD NA UCET	6185	55554	SIPO	WX	40894991
316688	1080	1995-05-12	VYDAJ	PREVOD NA UCET	6185	52411	SIPO	WX	40894991
316689	1080	1995-06-12	VYDAJ	PREVOD NA UCET	6185	66999	SIPO	WX	40894991
316690	1080	1995-07-12	VYDAJ	PREVOD NA UCET	6185	60009	SIPO	WX	40894991
316691	1080	1995-08-12	VYDAJ	PREVOD NA UCET	6185	58809	SIPO	WX	40894991
316692	1080	1995-09-12	VYDAJ	PREVOD NA UCET	6185	54402	SIPO	WX	40894991
316693	1080	1995-10-12	VYDAJ	PREVOD NA UCET	6185	58890	SIPO	WX	40894991
316694	1080	1995-11-12	VYDAJ	PREVOD NA UCET	6185	60186	SIPO	WX	40894991
316695	1080	1995-12-12	VYDAJ	PREVOD NA UCET	6185	76198	SIPO	WX	40894991
316696	1080	1996-01-12	VYDAJ	PREVOD NA UCET	6185	65013	SIPO	WX	40894991
316697	1080	1996-02-12	VYDAJ	PREVOD NA UCET	6185	41951	SIPO	WX	40894991
316698	1080	1996-03-12	VYDAJ	PREVOD NA UCET	6185	50288	SIPO	WX	40894991
316699	1080	1996-04-12	VYDAJ	PREVOD NA UCET	6185	51616	SIPO	WX	40894991
316700	1080	1996-05-12	VYDAJ	PREVOD NA UCET	6185	59290	SIPO	WX	40894991
316701	1080	1996-06-12	VYDAJ	PREVOD NA UCET	6185	39178	SIPO	WX	40894991
316702	1080	1996-07-12	VYDAJ	PREVOD NA UCET	6185	53555	SIPO	WX	40894991
316703	1080	1996-08-12	VYDAJ	PREVOD NA UCET	6185	58627	SIPO	WX	40894991
316704	1080	1996-09-12	VYDAJ	PREVOD NA UCET	6185	48415	SIPO	WX	40894991
316705	1080	1996-10-12	VYDAJ	PREVOD NA UCET	6185	66833	SIPO	WX	40894991
316706	1080	1996-11-12	VYDAJ	PREVOD NA UCET	6185	58706	SIPO	WX	40894991
316707	1080	1996-12-12	VYDAJ	PREVOD NA UCET	6185	72771	SIPO	WX	40894991
316708	1080	1997-01-12	VYDAJ	PREVOD NA UCET	6185	61556	SIPO	WX	40894991
316709	1080	1997-02-12	VYDAJ	PREVOD NA UCET	6185	51944	SIPO	WX	40894991
316710	1080	1997-03-12	VYDAJ	PREVOD NA UCET	6185	50795	SIPO	WX	40894991
316711	1080	1997-04-12	VYDAJ	PREVOD NA UCET	6185	52508	SIPO	WX	40894991
316712	1080	1997-05-12	VYDAJ	PREVOD NA UCET	6185	50962	SIPO	WX	40894991
316713	1080	1997-06-12	VYDAJ	PREVOD NA UCET	6185	52839	SIPO	WX	40894991
316714	1080	1997-07-12	VYDAJ	PREVOD NA UCET	6185	55482	SIPO	WX	40894991
316715	1080	1997-08-12	VYDAJ	PREVOD NA UCET	6185	55705	SIPO	WX	40894991
316716	1080	1997-09-12	VYDAJ	PREVOD NA UCET	6185	55736	SIPO	WX	40894991
316717	1080	1997-10-12	VYDAJ	PREVOD NA UCET	6185	56991	SIPO	WX	40894991
316718	1080	1997-11-12	VYDAJ	PREVOD NA UCET	6185	60433	SIPO	WX	40894991
316719	1080	1997-12-12	VYDAJ	PREVOD NA UCET	6185	74090	SIPO	WX	40894991
316720	1080	1998-01-12	VYDAJ	PREVOD NA UCET	6185	68929	SIPO	WX	40894991
316721	1080	1998-02-12	VYDAJ	PREVOD NA UCET	6185	59482	SIPO	WX	40894991
316722	1080	1998-03-12	VYDAJ	PREVOD NA UCET	6185	70215	SIPO	WX	40894991
316723	1080	1998-04-12	VYDAJ	PREVOD NA UCET	6185	72997	SIPO	WX	40894991
316724	1080	1998-05-12	VYDAJ	PREVOD NA UCET	6185	73618	SIPO	WX	40894991
316725	1080	1998-06-12	VYDAJ	PREVOD NA UCET	6185	53610	SIPO	WX	40894991
316726	1080	1998-07-12	VYDAJ	PREVOD NA UCET	6185	61195	SIPO	WX	40894991
316727	1080	1998-08-12	VYDAJ	PREVOD NA UCET	6185	69487	SIPO	WX	40894991
316728	1080	1998-09-12	VYDAJ	PREVOD NA UCET	6185	72379	SIPO	WX	40894991
316729	1080	1998-10-12	VYDAJ	PREVOD NA UCET	6185	81185	SIPO	WX	40894991
316730	1080	1998-11-12	VYDAJ	PREVOD NA UCET	6185	88031	SIPO	WX	40894991
316731	1080	1998-12-12	VYDAJ	PREVOD NA UCET	6185	105395	SIPO	WX	40894991
316733	1080	1994-06-28	VYDAJ	VYBER	36800	12859	\N	\N	\N
316735	1080	1996-06-12	VYDAJ	VYBER	39520	45363	\N	\N	\N
316736	1080	1997-06-08	VYDAJ	VYBER	26560	21010	\N	\N	\N
316737	1080	1998-06-12	VYDAJ	VYBER	26720	59795	\N	\N	\N
316740	1080	1995-01-28	VYDAJ	VYBER	6240	34617	\N	\N	\N
316741	1080	1996-01-15	VYDAJ	VYBER	12960	48693	\N	\N	\N
316742	1080	1997-01-22	VYDAJ	VYBER	12160	46396	\N	\N	\N
316743	1080	1998-01-18	VYDAJ	VYBER	7520	61409	\N	\N	\N
316745	1080	1994-12-04	VYDAJ	VYBER	1440	42709	\N	\N	\N
316746	1080	1995-12-29	VYDAJ	VYBER	2560	49338	\N	\N	\N
316747	1080	1996-12-26	VYDAJ	VYBER	1600	71171	\N	\N	\N
316748	1080	1997-12-21	VYDAJ	VYBER	2080	72010	\N	\N	\N
316749	1080	1998-12-22	VYDAJ	VYBER KARTOU	1900	103495	\N	\N	0
316762	1080	1995-01-29	VYDAJ	VYBER	960	33657	\N	\N	\N
316763	1080	1995-01-18	VYDAJ	VYBER	2640	63537	\N	\N	\N
316764	1080	1995-01-19	VYDAJ	VYBER	1800	61017	\N	\N	\N
316765	1080	1995-01-26	VYDAJ	VYBER	1560	40857	\N	\N	\N
316766	1080	1995-01-16	VYDAJ	VYBER	1800	66177	\N	\N	\N
316767	1080	1995-01-18	VYDAJ	VYBER	720	62817	\N	\N	\N
316768	1080	1996-01-27	VYDAJ	VYBER	1920	27533	\N	\N	\N
316769	1080	1996-01-13	VYDAJ	VYBER	3360	61653	\N	\N	\N
316770	1080	1996-01-06	VYDAJ	VYBER	600	46789	\N	\N	\N
316771	1080	1996-01-20	VYDAJ	VYBER	1440	29453	\N	\N	\N
316772	1080	1996-01-06	VYDAJ	VYBER	2160	47389	\N	\N	\N
316773	1080	1996-01-29	VYDAJ	VYBER	3000	24533	\N	\N	\N
316774	1080	1997-01-05	VYDAJ	VYBER	1440	67592	\N	\N	\N
316775	1080	1997-01-11	VYDAJ	VYBER	1560	43332	\N	\N	\N
316776	1080	1997-01-19	VYDAJ	VYBER	2040	58556	\N	\N	\N
316777	1080	1997-01-15	VYDAJ	VYBER	960	60596	\N	\N	\N
316778	1080	1997-01-03	VYDAJ	VYBER	2400	69032	\N	\N	\N
316779	1080	1997-01-28	VYDAJ	VYBER	2400	43996	\N	\N	\N
316780	1080	1998-01-03	VYDAJ	VYBER	1080	71205	\N	\N	\N
316781	1080	1998-01-30	VYDAJ	VYBER	2880	46529	\N	\N	\N
316782	1080	1998-01-20	VYDAJ	VYBER	2040	59369	\N	\N	\N
316783	1080	1998-01-21	VYDAJ	VYBER	2040	57329	\N	\N	\N
316784	1080	1998-01-23	VYDAJ	VYBER	600	56729	\N	\N	\N
316785	1080	1998-01-25	VYDAJ	VYBER	2760	49409	\N	\N	\N
316788	1080	1994-08-13	VYDAJ	VYBER	1920	43899	\N	\N	\N
316789	1080	1994-11-06	VYDAJ	VYBER	1800	42433	\N	\N	\N
316790	1080	1994-05-27	VYDAJ	VYBER	3120	44316	\N	\N	\N
316792	1080	1994-06-25	VYDAJ	VYBER	4800	49659	\N	\N	\N
316793	1080	1995-05-06	VYDAJ	VYBER	4440	34187	\N	\N	\N
316794	1080	1995-08-28	VYDAJ	VYBER	4800	36009	\N	\N	\N
316795	1080	1995-02-24	VYDAJ	VYBER	3480	32897	\N	\N	\N
316796	1080	1996-01-20	VYDAJ	VYBER	5400	30893	\N	\N	\N
316797	1080	1996-02-06	VYDAJ	VYBER	960	23727	\N	\N	\N
316798	1080	1996-03-30	VYDAJ	VYBER	5040	33248	\N	\N	\N
316799	1080	1996-11-23	VYDAJ	VYBER	2280	56426	\N	\N	\N
316800	1080	1996-03-18	VYDAJ	VYBER	1800	38288	\N	\N	\N
316801	1080	1997-04-26	VYDAJ	VYBER	1680	50828	\N	\N	\N
316802	1080	1997-03-02	VYDAJ	VYBER	4440	47691	\N	\N	\N
316803	1080	1997-05-29	VYDAJ	VYBER	3600	47362	\N	\N	\N
316804	1080	1997-06-18	VYDAJ	VYBER	2760	50079	\N	\N	\N
316805	1080	1997-03-07	VYDAJ	VYBER	4920	42771	\N	\N	\N
316806	1080	1997-07-16	VYDAJ	VYBER	4800	50682	\N	\N	\N
316807	1080	1998-07-23	VYDAJ	VYBER	4440	56755	\N	\N	\N
316808	1080	1998-11-28	VYDAJ	VYBER KARTOU	3400	84631	\N	\N	0
316809	1080	1998-06-09	VYDAJ	VYBER	4320	49902	\N	\N	\N
316810	1080	1998-09-07	VYDAJ	VYBER KARTOU	3600	54155	\N	\N	0
316811	1080	1998-01-24	VYDAJ	VYBER	4560	52169	\N	\N	\N
316812	1080	1998-07-01	VYDAJ	VYBER	5280	48571	\N	\N	\N
316830	1080	1994-05-31	VYDAJ	VYBER	15	44531	SLUZBY	\N	\N
316831	1080	1994-06-30	VYDAJ	VYBER	15	13085	SLUZBY	\N	\N
316832	1080	1994-07-31	VYDAJ	VYBER	15	27595	SLUZBY	\N	\N
316833	1080	1994-08-31	VYDAJ	VYBER	15	33232	SLUZBY	\N	\N
316834	1080	1994-09-30	VYDAJ	VYBER	15	40224	SLUZBY	\N	\N
316835	1080	1994-10-31	VYDAJ	VYBER	15	44233	SLUZBY	\N	\N
316836	1080	1994-11-30	VYDAJ	VYBER	15	44149	SLUZBY	\N	\N
316837	1080	1994-12-31	VYDAJ	VYBER	15	49753	SLUZBY	\N	\N
316838	1080	1995-01-31	VYDAJ	VYBER	15	33853	SLUZBY	\N	\N
316839	1080	1995-02-28	VYDAJ	VYBER	15	33053	SLUZBY	\N	\N
316840	1080	1995-03-31	VYDAJ	VYBER	15	37330	SLUZBY	\N	\N
316841	1080	1995-04-30	VYDAJ	VYBER	15	38627	SLUZBY	\N	\N
316842	1080	1995-05-31	VYDAJ	VYBER	15	36570	SLUZBY	\N	\N
316843	1080	1995-06-30	VYDAJ	VYBER	15	41785	SLUZBY	\N	\N
316844	1080	1995-07-31	VYDAJ	VYBER	15	40585	SLUZBY	\N	\N
316845	1080	1995-08-31	VYDAJ	VYBER	15	36178	SLUZBY	\N	\N
316846	1080	1995-09-30	VYDAJ	VYBER	15	40666	SLUZBY	\N	\N
316847	1080	1995-10-31	VYDAJ	VYBER	15	41962	SLUZBY	\N	\N
316848	1080	1995-11-30	VYDAJ	VYBER	15	45769	SLUZBY	\N	\N
316849	1080	1995-12-31	VYDAJ	VYBER	15	49549	SLUZBY	\N	\N
316850	1080	1996-01-31	VYDAJ	VYBER	15	24687	SLUZBY	\N	\N
316851	1080	1996-02-29	VYDAJ	VYBER	15	32064	SLUZBY	\N	\N
316852	1080	1996-03-31	VYDAJ	VYBER	15	33392	SLUZBY	\N	\N
316853	1080	1996-04-30	VYDAJ	VYBER	15	41066	SLUZBY	\N	\N
316854	1080	1996-05-31	VYDAJ	VYBER	15	48269	SLUZBY	\N	\N
316855	1080	1996-06-30	VYDAJ	VYBER	15	35331	SLUZBY	\N	\N
316856	1080	1996-07-31	VYDAJ	VYBER	15	40403	SLUZBY	\N	\N
316857	1080	1996-08-31	VYDAJ	VYBER	15	43691	SLUZBY	\N	\N
316858	1080	1996-09-30	VYDAJ	VYBER	15	48609	SLUZBY	\N	\N
316859	1080	1996-10-31	VYDAJ	VYBER	15	46682	SLUZBY	\N	\N
316860	1080	1996-11-30	VYDAJ	VYBER	15	56642	SLUZBY	\N	\N
316861	1080	1996-12-31	VYDAJ	VYBER	15	71432	SLUZBY	\N	\N
316862	1080	1997-01-31	VYDAJ	VYBER	15	44220	SLUZBY	\N	\N
316863	1080	1997-02-28	VYDAJ	VYBER	15	52131	SLUZBY	\N	\N
316864	1080	1997-03-31	VYDAJ	VYBER	15	50984	SLUZBY	\N	\N
316865	1080	1997-04-30	VYDAJ	VYBER	15	51038	SLUZBY	\N	\N
316866	1080	1997-05-31	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
316867	1080	1997-06-30	VYDAJ	VYBER	15	50258	SLUZBY	\N	\N
316868	1080	1997-07-31	VYDAJ	VYBER	15	50881	SLUZBY	\N	\N
316869	1080	1997-08-31	VYDAJ	VYBER	15	55912	SLUZBY	\N	\N
316870	1080	1997-09-30	VYDAJ	VYBER	15	55967	SLUZBY	\N	\N
316871	1080	1997-10-31	VYDAJ	VYBER	15	57209	SLUZBY	\N	\N
316872	1080	1997-11-30	VYDAJ	VYBER	15	60662	SLUZBY	\N	\N
316873	1080	1997-12-31	VYDAJ	VYBER	15	72285	SLUZBY	\N	\N
316874	1080	1998-01-31	VYDAJ	VYBER	15	46758	SLUZBY	\N	\N
316875	1080	1998-02-28	VYDAJ	VYBER	15	59691	SLUZBY	\N	\N
316876	1080	1998-03-31	VYDAJ	VYBER	15	70473	SLUZBY	\N	\N
316877	1080	1998-04-30	VYDAJ	VYBER	15	73294	SLUZBY	\N	\N
316878	1080	1998-05-31	VYDAJ	VYBER	15	73922	SLUZBY	\N	\N
316879	1080	1998-06-30	VYDAJ	VYBER	15	53851	SLUZBY	\N	\N
316880	1080	1998-07-31	VYDAJ	VYBER	15	56963	SLUZBY	\N	\N
316881	1080	1998-08-31	VYDAJ	VYBER	15	69755	SLUZBY	\N	\N
316882	1080	1998-09-30	VYDAJ	VYBER	15	72661	SLUZBY	\N	\N
316883	1080	1998-10-31	VYDAJ	VYBER	15	81507	SLUZBY	\N	\N
316884	1080	1998-11-30	VYDAJ	VYBER	15	84967	SLUZBY	\N	\N
316885	1080	1994-01-26	PRIJEM	VKLAD	1400	26509	\N	\N	\N
316886	1080	1994-02-25	VYDAJ	VYBER	14100	36839	\N	\N	\N
316887	1080	1994-03-27	VYDAJ	VYBER	18900	42465	\N	\N	\N
316888	1080	1994-04-26	VYDAJ	VYBER	19700	47331	\N	\N	\N
316889	1080	1994-05-26	VYDAJ	VYBER	18300	47436	\N	\N	\N
316890	1080	1994-06-25	VYDAJ	VYBER	20500	54459	\N	\N	\N
316891	1080	1994-07-25	VYDAJ	VYBER	3800	27509	\N	\N	\N
316892	1080	1994-08-24	VYDAJ	VYBER	10800	33099	\N	\N	\N
316893	1080	1994-09-23	VYDAJ	VYBER	11400	40056	\N	\N	\N
316894	1080	1994-10-23	VYDAJ	VYBER	14400	44048	\N	\N	\N
316895	1080	1994-11-22	VYDAJ	VYBER	16700	43957	\N	\N	\N
316896	1080	1994-12-22	VYDAJ	VYBER	23600	49537	\N	\N	\N
316897	1080	1995-01-21	VYDAJ	VYBER	18600	42417	\N	\N	\N
316898	1080	1995-02-20	VYDAJ	VYBER	15700	36377	\N	\N	\N
316899	1080	1995-03-22	VYDAJ	VYBER	14100	37177	\N	\N	\N
316900	1080	1995-04-21	VYDAJ	VYBER	17100	38454	\N	\N	\N
316901	1080	1995-05-21	VYDAJ	VYBER	16000	36411	\N	\N	\N
316902	1080	1995-06-20	VYDAJ	VYBER	25400	41599	\N	\N	\N
316903	1080	1995-07-20	VYDAJ	VYBER	19600	40409	\N	\N	\N
316904	1080	1995-08-19	VYDAJ	VYBER	18000	40809	\N	\N	\N
316905	1080	1995-09-18	VYDAJ	VYBER	13900	40502	\N	\N	\N
316906	1080	1995-10-18	VYDAJ	VYBER	17100	41790	\N	\N	\N
316907	1080	1995-11-17	VYDAJ	VYBER	14600	45586	\N	\N	\N
316908	1080	1995-12-17	VYDAJ	VYBER	24300	51898	\N	\N	\N
316909	1080	1996-01-16	VYDAJ	VYBER	12400	36293	\N	\N	\N
316910	1080	1996-02-15	VYDAJ	VYBER	10000	31951	\N	\N	\N
316911	1080	1996-03-16	VYDAJ	VYBER	10200	40088	\N	\N	\N
316912	1080	1996-04-15	VYDAJ	VYBER	10700	40916	\N	\N	\N
316913	1080	1996-05-15	VYDAJ	VYBER	11200	48090	\N	\N	\N
316914	1080	1996-06-14	VYDAJ	VYBER	4000	35178	\N	\N	\N
316915	1080	1996-07-14	VYDAJ	VYBER	13300	40255	\N	\N	\N
316916	1080	1996-08-13	VYDAJ	VYBER	15100	43527	\N	\N	\N
316917	1080	1996-09-12	VYDAJ	VYBER	13500	54600	\N	\N	\N
316918	1080	1996-10-12	VYDAJ	VYBER	20400	46433	\N	\N	\N
316919	1080	1996-11-11	VYDAJ	VYBER	6200	40482	\N	\N	\N
316920	1080	1996-12-11	VYDAJ	VYBER	14300	42342	\N	\N	\N
316921	1080	1997-01-10	VYDAJ	VYBER	22700	44892	\N	\N	\N
316922	1080	1997-02-09	VYDAJ	VYBER	10500	33720	\N	\N	\N
316923	1080	1997-03-11	VYDAJ	VYBER	10200	32571	\N	\N	\N
316924	1080	1997-04-10	VYDAJ	VYBER	16700	34284	\N	\N	\N
316925	1080	1997-05-10	VYDAJ	VYBER	18300	32738	\N	\N	\N
316926	1080	1997-06-09	PRIJEM	VKLAD	1400	22410	\N	\N	\N
316927	1080	1997-07-09	VYDAJ	VYBER	13000	37258	\N	\N	\N
316928	1080	1997-08-08	VYDAJ	VYBER	13400	37481	\N	\N	\N
316929	1080	1997-09-07	VYDAJ	VYBER	18400	37512	\N	\N	\N
316930	1080	1997-10-07	VYDAJ	VYBER	17200	38767	\N	\N	\N
316931	1080	1997-11-06	VYDAJ	VYBER	15000	42209	\N	\N	\N
316932	1080	1997-12-06	VYDAJ	VYBER	17000	43662	\N	\N	\N
316933	1080	1998-01-05	VYDAJ	VYBER	20500	50705	\N	\N	\N
316934	1080	1998-02-04	VYDAJ	VYBER	5500	41258	\N	\N	\N
316935	1080	1998-03-06	VYDAJ	VYBER	7700	51991	\N	\N	\N
316936	1080	1998-04-05	VYDAJ	VYBER	15700	54773	\N	\N	\N
316937	1080	1998-05-05	VYDAJ	VYBER	17900	55394	\N	\N	\N
316938	1080	1998-06-04	VYDAJ	VYBER	19700	54222	\N	\N	\N
316939	1080	1998-07-04	VYDAJ	VYBER	5600	42971	\N	\N	\N
316940	1080	1998-08-03	VYDAJ	VYBER	5700	51263	\N	\N	\N
316941	1080	1998-09-02	VYDAJ	VYBER	12000	57755	\N	\N	\N
316942	1080	1998-10-02	VYDAJ	VYBER	9700	62961	\N	\N	\N
316943	1080	1998-11-01	VYDAJ	VYBER	11700	69807	\N	\N	\N
316944	1080	1998-12-01	VYDAJ	VYBER	10000	74967	\N	\N	\N
317005	1081	1996-12-21	PRIJEM	VKLAD	800	800	\N	\N	\N
317018	1081	1997-01-13	PRIJEM	PREVOD Z UCTU	4512	5312	DUCHOD	GH	67860966
317019	1081	1997-02-13	PRIJEM	PREVOD Z UCTU	4512	9824	DUCHOD	GH	67860966
317020	1081	1997-03-13	PRIJEM	PREVOD Z UCTU	4512	14336	DUCHOD	GH	67860966
317021	1081	1997-04-13	PRIJEM	PREVOD Z UCTU	4512	18848	DUCHOD	GH	67860966
317022	1081	1997-05-13	PRIJEM	PREVOD Z UCTU	4512	23360	DUCHOD	GH	67860966
317023	1081	1997-06-13	PRIJEM	PREVOD Z UCTU	4512	25377	DUCHOD	GH	67860966
317024	1081	1997-07-13	PRIJEM	PREVOD Z UCTU	4512	27492	DUCHOD	GH	67860966
317025	1081	1997-08-13	PRIJEM	PREVOD Z UCTU	4512	29617	DUCHOD	GH	67860966
317026	1081	1997-09-13	PRIJEM	PREVOD Z UCTU	4512	28826	DUCHOD	GH	67860966
317027	1081	1997-10-13	PRIJEM	PREVOD Z UCTU	4512	26629	DUCHOD	GH	67860966
317028	1081	1997-11-13	PRIJEM	PREVOD Z UCTU	4512	24763	DUCHOD	GH	67860966
317029	1081	1997-12-13	PRIJEM	PREVOD Z UCTU	4512	21565	DUCHOD	GH	67860966
317030	1081	1998-01-13	PRIJEM	PREVOD Z UCTU	4512	17360	DUCHOD	GH	67860966
317031	1081	1998-02-13	PRIJEM	PREVOD Z UCTU	4512	16004	DUCHOD	GH	67860966
317032	1081	1998-03-13	PRIJEM	PREVOD Z UCTU	4512	16477	DUCHOD	GH	67860966
317033	1081	1998-04-13	PRIJEM	PREVOD Z UCTU	4512	18556	DUCHOD	GH	67860966
317034	1081	1998-05-13	PRIJEM	PREVOD Z UCTU	4512	20643	DUCHOD	GH	67860966
317035	1081	1998-06-13	PRIJEM	PREVOD Z UCTU	4512	22339	DUCHOD	GH	67860966
317036	1081	1998-07-13	PRIJEM	PREVOD Z UCTU	4512	23740	DUCHOD	GH	67860966
317037	1081	1998-08-13	PRIJEM	PREVOD Z UCTU	4512	25849	DUCHOD	GH	67860966
317038	1081	1998-09-13	PRIJEM	PREVOD Z UCTU	4512	25861	DUCHOD	GH	67860966
317039	1081	1998-10-13	PRIJEM	PREVOD Z UCTU	4512	27979	DUCHOD	GH	67860966
317040	1081	1998-11-13	PRIJEM	PREVOD Z UCTU	4512	28283	DUCHOD	GH	67860966
317041	1081	1998-12-13	PRIJEM	PREVOD Z UCTU	4512	28611	DUCHOD	GH	67860966
317059	1081	1997-06-11	VYDAJ	PREVOD NA UCET	2484	20865	SIPO	QR	41841411
317060	1081	1997-07-11	VYDAJ	PREVOD NA UCET	2484	22980	SIPO	QR	41841411
317061	1081	1997-08-11	VYDAJ	PREVOD NA UCET	2484	25105	SIPO	QR	41841411
317062	1081	1997-09-11	VYDAJ	PREVOD NA UCET	2484	24314	SIPO	QR	41841411
317063	1081	1997-10-11	VYDAJ	PREVOD NA UCET	2484	22117	SIPO	QR	41841411
317064	1081	1997-11-11	VYDAJ	PREVOD NA UCET	2484	20251	SIPO	QR	41841411
317065	1081	1997-12-11	VYDAJ	PREVOD NA UCET	2484	17053	SIPO	QR	41841411
317066	1081	1998-01-11	VYDAJ	PREVOD NA UCET	2484	12848	SIPO	QR	41841411
317067	1081	1998-02-11	VYDAJ	PREVOD NA UCET	2484	11492	SIPO	QR	41841411
317068	1081	1998-03-11	VYDAJ	PREVOD NA UCET	2484	11965	SIPO	QR	41841411
317069	1081	1998-04-11	VYDAJ	PREVOD NA UCET	2484	14044	SIPO	QR	41841411
317070	1081	1998-05-11	VYDAJ	PREVOD NA UCET	2484	16131	SIPO	QR	41841411
317071	1081	1998-06-11	VYDAJ	PREVOD NA UCET	2484	17827	SIPO	QR	41841411
317072	1081	1998-07-11	VYDAJ	PREVOD NA UCET	2484	19228	SIPO	QR	41841411
317073	1081	1998-08-11	VYDAJ	PREVOD NA UCET	2484	21337	SIPO	QR	41841411
317074	1081	1998-09-11	VYDAJ	PREVOD NA UCET	2484	21349	SIPO	QR	41841411
317075	1081	1998-10-11	VYDAJ	PREVOD NA UCET	2484	23467	SIPO	QR	41841411
317076	1081	1998-11-11	VYDAJ	PREVOD NA UCET	2484	24471	SIPO	QR	41841411
317077	1081	1998-12-11	VYDAJ	PREVOD NA UCET	2484	24099	SIPO	QR	41841411
317090	1081	1998-01-11	VYDAJ	VYBER	1680	15332	\N	\N	\N
317092	1081	1998-01-20	VYDAJ	VYBER	960	16400	\N	\N	\N
317093	1081	1998-01-23	VYDAJ	VYBER	1280	15120	\N	\N	\N
317094	1081	1998-01-29	VYDAJ	VYBER	1200	13920	\N	\N	\N
317095	1081	1998-01-06	VYDAJ	VYBER	2320	17012	\N	\N	\N
317100	1081	1997-10-08	VYDAJ	VYBER	720	24601	\N	\N	\N
317101	1081	1997-10-22	VYDAJ	VYBER	880	22649	\N	\N	\N
317103	1081	1997-08-20	VYDAJ	VYBER	2320	26697	\N	\N	\N
317105	1081	1998-02-14	VYDAJ	VYBER	1600	14404	\N	\N	\N
317107	1081	1998-10-14	VYDAJ	VYBER	1120	26859	\N	\N	\N
317108	1081	1998-06-07	VYDAJ	VYBER	400	20311	\N	\N	\N
317126	1081	1997-05-31	VYDAJ	VYBER	15	23349	SLUZBY	\N	\N
317127	1081	1997-06-30	VYDAJ	VYBER	15	25464	SLUZBY	\N	\N
317128	1081	1997-07-31	VYDAJ	VYBER	15	27589	SLUZBY	\N	\N
317129	1081	1997-08-31	VYDAJ	VYBER	15	26798	SLUZBY	\N	\N
317130	1081	1997-09-30	VYDAJ	VYBER	15	25321	SLUZBY	\N	\N
317131	1081	1997-10-31	VYDAJ	VYBER	15	22735	SLUZBY	\N	\N
317132	1081	1997-11-30	VYDAJ	VYBER	15	19537	SLUZBY	\N	\N
317133	1081	1997-12-31	VYDAJ	VYBER	15	19332	SLUZBY	\N	\N
317134	1081	1998-01-31	VYDAJ	VYBER	15	13976	SLUZBY	\N	\N
317135	1081	1998-02-28	VYDAJ	VYBER	15	14449	SLUZBY	\N	\N
317136	1081	1998-03-31	VYDAJ	VYBER	15	16528	SLUZBY	\N	\N
317137	1081	1998-04-30	VYDAJ	VYBER	15	18615	SLUZBY	\N	\N
317138	1081	1998-05-31	VYDAJ	VYBER	15	20711	SLUZBY	\N	\N
317139	1081	1998-06-30	VYDAJ	VYBER	15	21712	SLUZBY	\N	\N
317140	1081	1998-07-31	VYDAJ	VYBER	15	23821	SLUZBY	\N	\N
317141	1081	1998-08-31	VYDAJ	VYBER	15	23833	SLUZBY	\N	\N
317142	1081	1998-09-30	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
317143	1081	1998-10-31	VYDAJ	VYBER	15	26955	SLUZBY	\N	\N
317144	1081	1998-11-30	VYDAJ	VYBER	15	28383	SLUZBY	\N	\N
317145	1081	1997-08-18	VYDAJ	VYBER	600	29017	\N	\N	\N
317146	1081	1997-09-17	VYDAJ	VYBER	3600	25226	\N	\N	\N
317147	1081	1997-10-17	VYDAJ	VYBER	3100	23529	\N	\N	\N
317148	1081	1997-11-16	VYDAJ	VYBER	5300	19463	\N	\N	\N
317149	1081	1997-12-16	VYDAJ	VYBER	2300	19265	\N	\N	\N
317150	1081	1998-06-14	VYDAJ	VYBER	700	21639	\N	\N	\N
317151	1081	1998-08-13	VYDAJ	VYBER	2100	23749	\N	\N	\N
317152	1081	1998-11-11	VYDAJ	VYBER	700	23771	\N	\N	\N
317153	1081	1998-12-11	VYDAJ	VYBER	1800	26583	\N	\N	\N
317174	1082	1996-06-08	PRIJEM	VKLAD	300	300	\N	\N	\N
317181	1082	1996-07-05	PRIJEM	PREVOD Z UCTU	5190	5490	DUCHOD	QR	71736353
317182	1082	1996-08-05	PRIJEM	PREVOD Z UCTU	5190	10680	DUCHOD	QR	71736353
317183	1082	1996-09-05	PRIJEM	PREVOD Z UCTU	5190	15870	DUCHOD	QR	71736353
317184	1082	1996-10-05	PRIJEM	PREVOD Z UCTU	5190	21060	DUCHOD	QR	71736353
317185	1082	1996-11-05	PRIJEM	PREVOD Z UCTU	5190	25019	DUCHOD	QR	71736353
317186	1082	1996-12-05	PRIJEM	PREVOD Z UCTU	5190	26598	DUCHOD	QR	71736353
317187	1082	1997-01-05	PRIJEM	PREVOD Z UCTU	5190	20241	DUCHOD	QR	71736353
317188	1082	1997-02-05	PRIJEM	PREVOD Z UCTU	5190	16963	DUCHOD	QR	71736353
317189	1082	1997-03-05	PRIJEM	PREVOD Z UCTU	5190	17920	DUCHOD	QR	71736353
317190	1082	1997-04-05	PRIJEM	PREVOD Z UCTU	5190	20667	DUCHOD	QR	71736353
317191	1082	1997-05-05	PRIJEM	PREVOD Z UCTU	5190	21768	DUCHOD	QR	71736353
317192	1082	1997-06-05	PRIJEM	PREVOD Z UCTU	5190	17337	DUCHOD	QR	71736353
317193	1082	1997-07-05	PRIJEM	PREVOD Z UCTU	5190	18388	DUCHOD	QR	71736353
317194	1082	1997-08-05	PRIJEM	PREVOD Z UCTU	5190	21437	DUCHOD	QR	71736353
317195	1082	1997-09-05	PRIJEM	PREVOD Z UCTU	5190	19498	DUCHOD	QR	71736353
317196	1082	1997-10-05	PRIJEM	PREVOD Z UCTU	5190	17061	DUCHOD	QR	71736353
317197	1082	1997-11-05	PRIJEM	PREVOD Z UCTU	5190	20113	DUCHOD	QR	71736353
317198	1082	1997-12-05	PRIJEM	PREVOD Z UCTU	5190	23168	DUCHOD	QR	71736353
317199	1082	1998-01-05	PRIJEM	PREVOD Z UCTU	5190	16249	DUCHOD	QR	71736353
317200	1082	1998-02-05	PRIJEM	PREVOD Z UCTU	5190	17609	DUCHOD	QR	71736353
317201	1082	1998-03-05	PRIJEM	PREVOD Z UCTU	5190	16952	DUCHOD	QR	71736353
317202	1082	1998-04-05	PRIJEM	PREVOD Z UCTU	5190	19995	DUCHOD	QR	71736353
317203	1082	1998-05-05	PRIJEM	PREVOD Z UCTU	5190	23050	DUCHOD	QR	71736353
317204	1082	1998-06-05	PRIJEM	PREVOD Z UCTU	5190	24278	DUCHOD	QR	71736353
317205	1082	1998-07-05	PRIJEM	PREVOD Z UCTU	5190	19337	DUCHOD	QR	71736353
317206	1082	1998-08-05	PRIJEM	PREVOD Z UCTU	5190	22389	DUCHOD	QR	71736353
317207	1082	1998-09-05	PRIJEM	PREVOD Z UCTU	5190	25454	DUCHOD	QR	71736353
317208	1082	1998-10-05	PRIJEM	PREVOD Z UCTU	5190	16824	DUCHOD	QR	71736353
317209	1082	1998-11-05	PRIJEM	PREVOD Z UCTU	5190	19866	DUCHOD	QR	71736353
317210	1082	1998-12-05	PRIJEM	PREVOD Z UCTU	5190	19392	DUCHOD	QR	71736353
317221	1082	1996-11-14	VYDAJ	PREVOD NA UCET	2189	21330	SIPO	WX	8899295
317222	1082	1996-12-14	VYDAJ	PREVOD NA UCET	2189	18109	SIPO	WX	8899295
317223	1082	1997-01-14	VYDAJ	PREVOD NA UCET	2189	11732	SIPO	WX	8899295
317224	1082	1997-02-14	VYDAJ	PREVOD NA UCET	2189	12694	SIPO	WX	8899295
317225	1082	1997-03-14	VYDAJ	PREVOD NA UCET	2189	15731	SIPO	WX	8899295
317226	1082	1997-04-14	VYDAJ	PREVOD NA UCET	2189	18478	SIPO	WX	8899295
317227	1082	1997-05-14	VYDAJ	PREVOD NA UCET	2189	19579	SIPO	WX	8899295
317228	1082	1997-06-14	VYDAJ	PREVOD NA UCET	2189	15148	SIPO	WX	8899295
317229	1082	1997-07-14	VYDAJ	PREVOD NA UCET	2189	16199	SIPO	WX	8899295
317230	1082	1997-08-14	VYDAJ	PREVOD NA UCET	2189	19248	SIPO	WX	8899295
317231	1082	1997-09-14	VYDAJ	PREVOD NA UCET	2189	17309	SIPO	WX	8899295
317232	1082	1997-10-14	VYDAJ	PREVOD NA UCET	2189	14872	SIPO	WX	8899295
317233	1082	1997-11-14	VYDAJ	PREVOD NA UCET	2189	17924	SIPO	WX	8899295
317234	1082	1997-12-14	VYDAJ	PREVOD NA UCET	2189	18099	SIPO	WX	8899295
317235	1082	1998-01-14	VYDAJ	PREVOD NA UCET	2189	12380	SIPO	WX	8899295
317236	1082	1998-02-14	VYDAJ	PREVOD NA UCET	2189	15420	SIPO	WX	8899295
317237	1082	1998-03-14	VYDAJ	PREVOD NA UCET	2189	14763	SIPO	WX	8899295
317238	1082	1998-04-14	VYDAJ	PREVOD NA UCET	2189	17806	SIPO	WX	8899295
317239	1082	1998-05-14	VYDAJ	PREVOD NA UCET	2189	20861	SIPO	WX	8899295
317240	1082	1998-06-14	VYDAJ	PREVOD NA UCET	2189	14089	SIPO	WX	8899295
317241	1082	1998-07-14	VYDAJ	PREVOD NA UCET	2189	17148	SIPO	WX	8899295
317242	1082	1998-08-14	VYDAJ	PREVOD NA UCET	2189	20200	SIPO	WX	8899295
317243	1082	1998-09-14	VYDAJ	PREVOD NA UCET	2189	23265	SIPO	WX	8899295
317244	1082	1998-10-14	VYDAJ	PREVOD NA UCET	2189	14635	SIPO	WX	8899295
317245	1082	1998-11-14	VYDAJ	PREVOD NA UCET	2189	14157	SIPO	WX	8899295
317246	1082	1998-12-14	VYDAJ	PREVOD NA UCET	2189	17203	SIPO	WX	8899295
317249	1082	1998-06-12	VYDAJ	VYBER	8000	16278	\N	\N	\N
317251	1082	1997-01-07	VYDAJ	VYBER	4800	13921	\N	\N	\N
317263	1082	1997-01-05	VYDAJ	VYBER	1520	18721	\N	\N	\N
317266	1082	1998-01-07	VYDAJ	VYBER	960	15289	\N	\N	\N
317267	1082	1998-01-13	VYDAJ	VYBER	720	14569	\N	\N	\N
317271	1082	1996-12-25	VYDAJ	VYBER	3120	14989	\N	\N	\N
317278	1082	1997-12-10	VYDAJ	VYBER	2880	20288	\N	\N	\N
317279	1082	1997-06-20	VYDAJ	VYBER	2000	13148	\N	\N	\N
317280	1082	1997-04-15	VYDAJ	VYBER	1760	16718	\N	\N	\N
317282	1082	1997-02-14	VYDAJ	VYBER	2080	14883	\N	\N	\N
317283	1082	1998-06-02	VYDAJ	VYBER	1840	19088	\N	\N	\N
317284	1082	1998-11-12	VYDAJ	VYBER	3520	16346	\N	\N	\N
317285	1082	1998-02-17	VYDAJ	VYBER	400	15020	\N	\N	\N
317298	1082	1996-11-30	VYDAJ	VYBER	15	21408	SLUZBY	\N	\N
317299	1082	1996-12-31	VYDAJ	VYBER	15	15051	SLUZBY	\N	\N
317300	1082	1997-01-31	VYDAJ	VYBER	15	11773	SLUZBY	\N	\N
317301	1082	1997-02-28	VYDAJ	VYBER	15	12730	SLUZBY	\N	\N
317302	1082	1997-03-31	VYDAJ	VYBER	15	15777	SLUZBY	\N	\N
317303	1082	1997-04-30	VYDAJ	VYBER	15	16778	SLUZBY	\N	\N
317304	1082	1997-05-31	VYDAJ	VYBER	15	19647	SLUZBY	\N	\N
317305	1082	1997-06-30	VYDAJ	VYBER	15	13198	SLUZBY	\N	\N
317306	1082	1997-07-31	VYDAJ	VYBER	15	16247	SLUZBY	\N	\N
317307	1082	1997-08-31	VYDAJ	VYBER	15	19308	SLUZBY	\N	\N
317308	1082	1997-09-30	VYDAJ	VYBER	15	17371	SLUZBY	\N	\N
317309	1082	1997-10-31	VYDAJ	VYBER	15	14923	SLUZBY	\N	\N
317310	1082	1997-11-30	VYDAJ	VYBER	15	17978	SLUZBY	\N	\N
317311	1082	1997-12-31	VYDAJ	VYBER	15	11059	SLUZBY	\N	\N
317312	1082	1998-01-31	VYDAJ	VYBER	15	12419	SLUZBY	\N	\N
317313	1082	1998-02-28	VYDAJ	VYBER	15	11762	SLUZBY	\N	\N
317314	1082	1998-03-31	VYDAJ	VYBER	15	14805	SLUZBY	\N	\N
317315	1082	1998-04-30	VYDAJ	VYBER	15	17860	SLUZBY	\N	\N
317316	1082	1998-05-31	VYDAJ	VYBER	15	20928	SLUZBY	\N	\N
317317	1082	1998-06-30	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
317318	1082	1998-07-31	VYDAJ	VYBER	15	17199	SLUZBY	\N	\N
317319	1082	1998-08-31	VYDAJ	VYBER	15	20264	SLUZBY	\N	\N
317320	1082	1998-09-30	VYDAJ	VYBER	15	11634	SLUZBY	\N	\N
317321	1082	1998-10-31	VYDAJ	VYBER	15	14676	SLUZBY	\N	\N
317322	1082	1998-11-30	VYDAJ	VYBER	15	14202	SLUZBY	\N	\N
317323	1082	1996-10-06	VYDAJ	VYBER	1300	19760	\N	\N	\N
317324	1082	1996-11-05	VYDAJ	VYBER	1500	23519	\N	\N	\N
317325	1082	1996-12-05	VYDAJ	VYBER	6300	20298	\N	\N	\N
317326	1082	1997-04-04	VYDAJ	VYBER	300	15477	\N	\N	\N
317327	1082	1997-05-04	VYDAJ	VYBER	200	16578	\N	\N	\N
317328	1082	1997-06-03	VYDAJ	VYBER	7500	12147	\N	\N	\N
317329	1082	1997-09-01	VYDAJ	VYBER	5000	14308	\N	\N	\N
317330	1082	1997-10-01	VYDAJ	VYBER	5500	11871	\N	\N	\N
317331	1082	1997-12-30	VYDAJ	VYBER	7100	10999	\N	\N	\N
317332	1082	1998-02-28	VYDAJ	VYBER	3300	11777	\N	\N	\N
317333	1082	1998-09-26	VYDAJ	VYBER	11700	11565	\N	\N	\N
317361	1083	1996-12-06	PRIJEM	VKLAD	400	400	\N	\N	\N
317373	1083	1996-12-11	PRIJEM	VKLAD	17388	17788	\N	\N	\N
317374	1083	1997-01-11	PRIJEM	VKLAD	11592	36530	\N	\N	\N
317375	1083	1997-02-11	PRIJEM	VKLAD	11592	40349	\N	\N	\N
317376	1083	1997-03-11	PRIJEM	VKLAD	11592	46104	\N	\N	\N
317377	1083	1997-04-11	PRIJEM	VKLAD	11592	48580	\N	\N	\N
317378	1083	1997-05-11	PRIJEM	VKLAD	11592	41626	\N	\N	\N
317379	1083	1997-06-11	PRIJEM	VKLAD	17388	48736	\N	\N	\N
317380	1083	1997-07-11	PRIJEM	VKLAD	11592	32882	\N	\N	\N
317381	1083	1997-08-11	PRIJEM	VKLAD	11592	37752	\N	\N	\N
317382	1083	1997-09-11	PRIJEM	VKLAD	11592	34949	\N	\N	\N
317383	1083	1997-10-11	PRIJEM	VKLAD	11592	32851	\N	\N	\N
317384	1083	1997-11-11	PRIJEM	VKLAD	11592	34423	\N	\N	\N
317385	1083	1997-12-11	PRIJEM	VKLAD	17388	35140	\N	\N	\N
317386	1083	1998-01-11	PRIJEM	VKLAD	11592	28919	\N	\N	\N
317387	1083	1998-02-11	PRIJEM	VKLAD	11592	23821	\N	\N	\N
317388	1083	1998-03-11	PRIJEM	VKLAD	11592	27055	\N	\N	\N
317389	1083	1998-04-11	PRIJEM	VKLAD	11592	26499	\N	\N	\N
317390	1083	1998-05-11	PRIJEM	VKLAD	11592	31445	\N	\N	\N
317391	1083	1998-06-11	PRIJEM	VKLAD	17388	41388	\N	\N	\N
317392	1083	1998-07-11	PRIJEM	VKLAD	11592	28171	\N	\N	\N
317393	1083	1998-08-11	PRIJEM	VKLAD	11592	29923	\N	\N	\N
317394	1083	1998-09-11	PRIJEM	VKLAD	11592	33163	\N	\N	\N
317395	1083	1998-10-11	PRIJEM	VKLAD	11592	32314	\N	\N	\N
317396	1083	1998-11-11	PRIJEM	VKLAD	11592	29360	\N	\N	\N
317397	1083	1998-12-11	PRIJEM	VKLAD	17388	30223	\N	\N	\N
317414	1083	1997-05-07	VYDAJ	PREVOD NA UCET	1930	30034	SIPO	KL	52041840
317415	1083	1997-06-07	VYDAJ	PREVOD NA UCET	1930	31348	SIPO	KL	52041840
317416	1083	1997-07-07	VYDAJ	PREVOD NA UCET	1930	23810	SIPO	KL	52041840
317417	1083	1997-08-07	VYDAJ	PREVOD NA UCET	1930	26160	SIPO	KL	52041840
317418	1083	1997-09-07	VYDAJ	PREVOD NA UCET	1930	23357	SIPO	KL	52041840
317419	1083	1997-10-07	VYDAJ	PREVOD NA UCET	1930	21259	SIPO	KL	52041840
317420	1083	1997-11-07	VYDAJ	PREVOD NA UCET	1930	23631	SIPO	KL	52041840
317421	1083	1997-12-07	VYDAJ	PREVOD NA UCET	1930	17752	SIPO	KL	52041840
317422	1083	1998-01-07	VYDAJ	PREVOD NA UCET	1930	17327	SIPO	KL	52041840
317423	1083	1998-02-07	VYDAJ	PREVOD NA UCET	1930	12229	SIPO	KL	52041840
317424	1083	1998-03-07	VYDAJ	PREVOD NA UCET	1930	15463	SIPO	KL	52041840
317425	1083	1998-04-07	VYDAJ	PREVOD NA UCET	1930	16007	SIPO	KL	52041840
317426	1083	1998-05-07	VYDAJ	PREVOD NA UCET	1930	19853	SIPO	KL	52041840
317427	1083	1998-06-07	VYDAJ	PREVOD NA UCET	1930	24000	SIPO	KL	52041840
317428	1083	1998-07-07	VYDAJ	PREVOD NA UCET	1930	16579	SIPO	KL	52041840
317429	1083	1998-08-07	VYDAJ	PREVOD NA UCET	1930	18331	SIPO	KL	52041840
317430	1083	1998-09-07	VYDAJ	PREVOD NA UCET	1930	21571	SIPO	KL	52041840
317431	1083	1998-10-07	VYDAJ	PREVOD NA UCET	1930	20722	SIPO	KL	52041840
317432	1083	1998-11-07	VYDAJ	PREVOD NA UCET	1930	17768	SIPO	KL	52041840
317433	1083	1998-12-07	VYDAJ	PREVOD NA UCET	1930	12835	SIPO	KL	52041840
317449	1083	1997-04-13	VYDAJ	PREVOD NA UCET	835	47745	 	KL	1474237
317450	1083	1997-05-13	VYDAJ	PREVOD NA UCET	835	40791	 	KL	1474237
317451	1083	1997-06-13	VYDAJ	PREVOD NA UCET	835	47901	 	KL	1474237
317452	1083	1997-07-13	VYDAJ	PREVOD NA UCET	835	32047	 	KL	1474237
317453	1083	1997-08-13	VYDAJ	PREVOD NA UCET	835	36917	 	KL	1474237
317454	1083	1997-09-13	VYDAJ	PREVOD NA UCET	835	34114	 	KL	1474237
317455	1083	1997-10-13	VYDAJ	PREVOD NA UCET	835	32016	 	KL	1474237
317456	1083	1997-11-13	VYDAJ	PREVOD NA UCET	835	33588	 	KL	1474237
317457	1083	1997-12-13	VYDAJ	PREVOD NA UCET	835	34305	 	KL	1474237
317458	1083	1998-01-13	VYDAJ	PREVOD NA UCET	835	28084	 	KL	1474237
317459	1083	1998-02-13	VYDAJ	PREVOD NA UCET	835	22986	 	KL	1474237
317460	1083	1998-03-13	VYDAJ	PREVOD NA UCET	835	24720	 	KL	1474237
317461	1083	1998-04-13	VYDAJ	PREVOD NA UCET	835	25664	 	KL	1474237
317462	1083	1998-05-13	VYDAJ	PREVOD NA UCET	835	29194	 	KL	1474237
317463	1083	1998-06-13	VYDAJ	PREVOD NA UCET	835	16897	 	KL	1474237
317464	1083	1998-07-13	VYDAJ	PREVOD NA UCET	835	25920	 	KL	1474237
317465	1083	1998-08-13	VYDAJ	PREVOD NA UCET	835	27672	 	KL	1474237
317466	1083	1998-09-13	VYDAJ	PREVOD NA UCET	835	30912	 	KL	1474237
317467	1083	1998-10-13	VYDAJ	PREVOD NA UCET	835	30063	 	KL	1474237
317468	1083	1998-11-13	VYDAJ	PREVOD NA UCET	835	27109	 	KL	1474237
317469	1083	1998-12-13	VYDAJ	PREVOD NA UCET	835	27972	 	KL	1474237
317485	1083	1997-04-14	VYDAJ	PREVOD NA UCET	4351	43394	POJISTNE	YZ	70442372
317486	1083	1997-05-14	VYDAJ	PREVOD NA UCET	4351	36440	POJISTNE	YZ	70442372
317487	1083	1997-06-14	VYDAJ	PREVOD NA UCET	4351	41650	POJISTNE	YZ	70442372
317488	1083	1997-07-14	VYDAJ	PREVOD NA UCET	4351	27696	POJISTNE	YZ	70442372
317489	1083	1997-08-14	VYDAJ	PREVOD NA UCET	4351	31066	POJISTNE	YZ	70442372
317490	1083	1997-09-14	VYDAJ	PREVOD NA UCET	4351	29763	POJISTNE	YZ	70442372
317491	1083	1997-10-14	VYDAJ	PREVOD NA UCET	4351	27665	POJISTNE	YZ	70442372
317492	1083	1997-11-14	VYDAJ	PREVOD NA UCET	4351	29237	POJISTNE	YZ	70442372
317493	1083	1997-12-14	VYDAJ	PREVOD NA UCET	4351	29954	POJISTNE	YZ	70442372
317494	1083	1998-01-14	VYDAJ	PREVOD NA UCET	4351	23733	POJISTNE	YZ	70442372
317495	1083	1998-02-14	VYDAJ	PREVOD NA UCET	4351	18635	POJISTNE	YZ	70442372
317496	1083	1998-03-14	VYDAJ	PREVOD NA UCET	4351	20369	POJISTNE	YZ	70442372
317497	1083	1998-04-14	VYDAJ	PREVOD NA UCET	4351	21313	POJISTNE	YZ	70442372
317498	1083	1998-05-14	VYDAJ	PREVOD NA UCET	4351	24843	POJISTNE	YZ	70442372
317499	1083	1998-06-14	VYDAJ	PREVOD NA UCET	4351	12546	POJISTNE	YZ	70442372
317500	1083	1998-07-14	VYDAJ	PREVOD NA UCET	4351	21569	POJISTNE	YZ	70442372
317501	1083	1998-08-14	VYDAJ	PREVOD NA UCET	4351	23321	POJISTNE	YZ	70442372
317502	1083	1998-09-14	VYDAJ	PREVOD NA UCET	4351	26561	POJISTNE	YZ	70442372
317503	1083	1998-10-14	VYDAJ	PREVOD NA UCET	4351	25712	POJISTNE	YZ	70442372
317504	1083	1998-11-14	VYDAJ	PREVOD NA UCET	4351	22758	POJISTNE	YZ	70442372
317505	1083	1998-12-14	VYDAJ	PREVOD NA UCET	4351	23621	POJISTNE	YZ	70442372
317521	1083	1997-04-09	VYDAJ	VYBER	900	36988	\N	\N	0
317522	1083	1997-05-03	VYDAJ	VYBER	1200	42364	\N	\N	0
317523	1083	1997-06-14	VYDAJ	VYBER	1900	46001	\N	\N	0
317524	1083	1997-07-15	VYDAJ	VYBER	1300	26396	\N	\N	0
317525	1083	1997-08-14	VYDAJ	VYBER	1500	35417	\N	\N	0
317526	1083	1997-09-16	VYDAJ	VYBER	1100	28663	\N	\N	0
317527	1083	1997-09-29	VYDAJ	VYBER	1500	27163	\N	\N	0
317528	1083	1997-11-10	VYDAJ	VYBER	800	22831	\N	\N	0
317529	1083	1997-12-17	VYDAJ	VYBER	1000	28954	\N	\N	0
317530	1083	1998-01-15	VYDAJ	VYBER	1200	22533	\N	\N	0
317531	1083	1998-01-29	VYDAJ	VYBER	1400	13693	\N	\N	0
317532	1083	1998-03-12	VYDAJ	VYBER	1500	25555	\N	\N	0
317533	1083	1998-04-09	VYDAJ	VYBER	1100	14907	\N	\N	0
317534	1083	1998-05-12	VYDAJ	PREVOD NA UCET	1416	30029	UVER	EF	96308820
317535	1083	1998-06-12	VYDAJ	PREVOD NA UCET	1416	17732	UVER	EF	96308820
317536	1083	1998-07-12	VYDAJ	PREVOD NA UCET	1416	26755	UVER	EF	96308820
317537	1083	1998-08-12	VYDAJ	PREVOD NA UCET	1416	28507	UVER	EF	96308820
317538	1083	1998-09-12	VYDAJ	PREVOD NA UCET	1416	31747	UVER	EF	96308820
317539	1083	1998-10-12	VYDAJ	PREVOD NA UCET	1416	30898	UVER	EF	96308820
317540	1083	1998-11-12	VYDAJ	PREVOD NA UCET	1416	27944	UVER	EF	96308820
317541	1083	1998-12-12	VYDAJ	PREVOD NA UCET	1416	28807	UVER	EF	96308820
317543	1083	1997-06-15	VYDAJ	VYBER	19200	22450	\N	\N	\N
317544	1083	1998-06-11	VYDAJ	VYBER	22240	19148	\N	\N	\N
317549	1083	1997-12-07	VYDAJ	VYBER	4160	19682	\N	\N	\N
317550	1083	1998-12-17	VYDAJ	VYBER	1920	21701	\N	\N	\N
317563	1083	1998-01-05	VYDAJ	VYBER	1320	19257	\N	\N	\N
317564	1083	1998-01-21	VYDAJ	VYBER	3360	15093	\N	\N	\N
317565	1083	1998-01-18	VYDAJ	VYBER	3360	18453	\N	\N	\N
317566	1083	1998-01-03	VYDAJ	VYBER	2280	20577	\N	\N	\N
317568	1083	1998-01-18	VYDAJ	VYBER	720	21813	\N	\N	\N
317577	1083	1997-10-02	VYDAJ	VYBER	1080	26189	\N	\N	\N
317578	1083	1997-07-02	VYDAJ	VYBER	5520	17040	\N	\N	\N
317579	1083	1997-07-09	VYDAJ	VYBER	2520	21290	\N	\N	\N
317580	1083	1998-11-20	VYDAJ	VYBER	5160	17598	\N	\N	\N
317582	1083	1998-07-30	VYDAJ	VYBER	1080	20189	\N	\N	\N
317599	1083	1997-04-30	VYDAJ	VYBER	15	43564	SLUZBY	\N	\N
317600	1083	1997-05-31	VYDAJ	VYBER	15	36578	SLUZBY	\N	\N
317601	1083	1997-06-30	VYDAJ	VYBER	15	22560	SLUZBY	\N	\N
317602	1083	1997-07-31	VYDAJ	VYBER	15	26490	SLUZBY	\N	\N
317603	1083	1997-08-31	VYDAJ	VYBER	15	31187	SLUZBY	\N	\N
317604	1083	1997-09-30	VYDAJ	VYBER	15	27269	SLUZBY	\N	\N
317605	1083	1997-10-31	VYDAJ	VYBER	15	27761	SLUZBY	\N	\N
317606	1083	1997-11-30	VYDAJ	VYBER	15	29342	SLUZBY	\N	\N
317607	1083	1997-12-31	VYDAJ	VYBER	15	22857	SLUZBY	\N	\N
317608	1083	1998-01-31	VYDAJ	VYBER	15	14159	SLUZBY	\N	\N
317609	1083	1998-02-28	VYDAJ	VYBER	15	18693	SLUZBY	\N	\N
317610	1083	1998-03-31	VYDAJ	VYBER	15	17937	SLUZBY	\N	\N
317611	1083	1998-04-30	VYDAJ	VYBER	15	21783	SLUZBY	\N	\N
317612	1083	1998-05-31	VYDAJ	VYBER	15	25930	SLUZBY	\N	\N
317613	1083	1998-06-30	VYDAJ	VYBER	15	18509	SLUZBY	\N	\N
317614	1083	1998-07-31	VYDAJ	VYBER	15	20261	SLUZBY	\N	\N
317615	1083	1998-08-31	VYDAJ	VYBER	15	23501	SLUZBY	\N	\N
317616	1083	1998-09-30	VYDAJ	VYBER	15	22652	SLUZBY	\N	\N
317617	1083	1998-10-31	VYDAJ	VYBER	15	19698	SLUZBY	\N	\N
317618	1083	1998-11-30	VYDAJ	VYBER	15	14765	SLUZBY	\N	\N
317619	1083	1997-01-05	PRIJEM	VKLAD	7100	24938	\N	\N	\N
317620	1083	1997-02-04	VYDAJ	VYBER	7900	28757	\N	\N	\N
317621	1083	1997-03-06	VYDAJ	VYBER	6000	34512	\N	\N	\N
317622	1083	1997-04-05	VYDAJ	VYBER	8400	37888	\N	\N	\N
317623	1083	1997-05-05	VYDAJ	VYBER	10400	31964	\N	\N	\N
317624	1083	1997-06-04	VYDAJ	VYBER	3300	33278	\N	\N	\N
317625	1083	1997-07-04	PRIJEM	VKLAD	8700	25740	\N	\N	\N
317626	1083	1997-08-03	PRIJEM	VKLAD	1600	28090	\N	\N	\N
317627	1083	1997-09-02	VYDAJ	VYBER	5900	25287	\N	\N	\N
317628	1083	1997-10-02	VYDAJ	VYBER	3000	23189	\N	\N	\N
317629	1083	1997-11-01	VYDAJ	VYBER	2200	25561	\N	\N	\N
317630	1083	1997-12-01	VYDAJ	VYBER	5500	23842	\N	\N	\N
317631	1083	1997-12-31	VYDAJ	VYBER	6200	22871	\N	\N	\N
317632	1083	1998-01-30	PRIJEM	VKLAD	400	14093	\N	\N	\N
317633	1083	1998-03-01	VYDAJ	VYBER	1300	17393	\N	\N	\N
317634	1083	1998-03-31	VYDAJ	VYBER	2500	17952	\N	\N	\N
317635	1083	1998-04-30	PRIJEM	VKLAD	400	21713	\N	\N	\N
317636	1083	1998-05-30	PRIJEM	VKLAD	1000	25843	\N	\N	\N
317637	1083	1998-06-29	PRIJEM	VKLAD	5900	18446	\N	\N	\N
317638	1083	1998-07-29	VYDAJ	VYBER	300	21269	\N	\N	\N
317639	1083	1998-08-28	PRIJEM	VKLAD	100	23421	\N	\N	\N
317640	1083	1998-09-27	VYDAJ	VYBER	4000	22561	\N	\N	\N
317641	1083	1998-10-27	VYDAJ	VYBER	6100	19612	\N	\N	\N
317642	1083	1998-11-26	VYDAJ	VYBER	2900	14698	\N	\N	\N
317943	1085	1997-09-11	PRIJEM	VKLAD	500	13889	\N	\N	\N
317952	1085	1997-09-11	PRIJEM	VKLAD	13389	13389	\N	\N	\N
317953	1085	1997-10-11	PRIJEM	VKLAD	13389	27317	\N	\N	\N
317954	1085	1997-11-11	PRIJEM	VKLAD	13389	35699	\N	\N	\N
317955	1085	1997-12-11	PRIJEM	VKLAD	20084	47019	\N	\N	\N
317956	1085	1998-01-11	PRIJEM	VKLAD	13389	44589	\N	\N	\N
317957	1085	1998-02-11	PRIJEM	VKLAD	13389	36903	\N	\N	\N
317958	1085	1998-03-11	PRIJEM	VKLAD	13389	41886	\N	\N	\N
317959	1085	1998-04-11	PRIJEM	VKLAD	13389	44587	\N	\N	\N
317960	1085	1998-05-11	PRIJEM	VKLAD	13389	47003	\N	\N	\N
317961	1085	1998-06-11	PRIJEM	VKLAD	20084	53626	\N	\N	\N
317962	1085	1998-07-11	PRIJEM	VKLAD	13389	53972	\N	\N	\N
317963	1085	1998-08-11	PRIJEM	VKLAD	13389	44530	\N	\N	\N
317964	1085	1998-09-11	PRIJEM	VKLAD	13389	46157	\N	\N	\N
317965	1085	1998-10-11	PRIJEM	VKLAD	13389	49378	\N	\N	\N
317966	1085	1998-11-11	PRIJEM	VKLAD	13389	53311	\N	\N	\N
317967	1085	1998-12-11	PRIJEM	VKLAD	20084	61356	\N	\N	\N
317981	1085	1998-02-08	VYDAJ	PREVOD NA UCET	8537	26714	SIPO	MN	39862310
317982	1085	1998-03-08	VYDAJ	PREVOD NA UCET	8537	26197	SIPO	MN	39862310
317983	1085	1998-04-08	VYDAJ	PREVOD NA UCET	8537	33498	SIPO	MN	39862310
317984	1085	1998-05-08	VYDAJ	PREVOD NA UCET	8537	36214	SIPO	MN	39862310
317985	1085	1998-06-08	VYDAJ	PREVOD NA UCET	8537	38642	SIPO	MN	39862310
317986	1085	1998-07-08	VYDAJ	PREVOD NA UCET	8537	45283	SIPO	MN	39862310
317987	1085	1998-08-08	VYDAJ	PREVOD NA UCET	8537	34441	SIPO	MN	39862310
317988	1085	1998-09-08	VYDAJ	PREVOD NA UCET	8537	32768	SIPO	MN	39862310
317989	1085	1998-10-08	VYDAJ	PREVOD NA UCET	8537	35989	SIPO	MN	39862310
317990	1085	1998-11-08	VYDAJ	PREVOD NA UCET	8537	39922	SIPO	MN	39862310
317991	1085	1998-12-08	VYDAJ	PREVOD NA UCET	8537	41272	SIPO	MN	39862310
317993	1085	1998-12-14	VYDAJ	VYBER	2500	58856	\N	\N	\N
318000	1085	1998-01-22	VYDAJ	VYBER	2700	37589	\N	\N	\N
318002	1085	1998-01-20	VYDAJ	VYBER	1900	42689	\N	\N	\N
318003	1085	1998-01-21	VYDAJ	VYBER	2400	40289	\N	\N	\N
318004	1085	1998-01-27	VYDAJ	VYBER	2500	35089	\N	\N	\N
318008	1085	1998-09-23	VYDAJ	VYBER	1900	44257	\N	\N	\N
318009	1085	1998-02-22	VYDAJ	VYBER	700	36203	\N	\N	\N
318010	1085	1998-03-01	VYDAJ	VYBER	1600	34734	\N	\N	\N
318011	1085	1998-12-04	VYDAJ	VYBER	700	52809	\N	\N	\N
318012	1085	1998-08-09	VYDAJ	VYBER	3300	31141	\N	\N	\N
318026	1085	1998-01-31	VYDAJ	VYBER	15	35251	SLUZBY	\N	\N
318027	1085	1998-02-28	VYDAJ	VYBER	15	36334	SLUZBY	\N	\N
318028	1085	1998-03-31	VYDAJ	VYBER	15	42035	SLUZBY	\N	\N
318029	1085	1998-04-30	VYDAJ	VYBER	15	44751	SLUZBY	\N	\N
318030	1085	1998-05-31	VYDAJ	VYBER	15	47179	SLUZBY	\N	\N
318031	1085	1998-06-30	VYDAJ	VYBER	15	53820	SLUZBY	\N	\N
318032	1085	1998-07-31	VYDAJ	VYBER	15	54178	SLUZBY	\N	\N
318033	1085	1998-08-31	VYDAJ	VYBER	15	44705	SLUZBY	\N	\N
318034	1085	1998-09-30	VYDAJ	VYBER	15	44426	SLUZBY	\N	\N
318035	1085	1998-10-31	VYDAJ	VYBER	15	49559	SLUZBY	\N	\N
318036	1085	1998-11-30	VYDAJ	VYBER	15	53509	SLUZBY	\N	\N
318037	1085	1997-10-11	VYDAJ	VYBER	800	26517	\N	\N	\N
318038	1085	1997-11-10	VYDAJ	VYBER	4300	22310	\N	\N	\N
318039	1085	1997-12-10	VYDAJ	VYBER	8900	26935	\N	\N	\N
318040	1085	1998-01-09	VYDAJ	VYBER	16000	31200	\N	\N	\N
318041	1085	1998-02-08	VYDAJ	VYBER	3200	23514	\N	\N	\N
318042	1085	1998-03-10	PRIJEM	VKLAD	2300	28497	\N	\N	\N
318043	1085	1998-04-09	VYDAJ	VYBER	2300	31198	\N	\N	\N
318044	1085	1998-05-09	VYDAJ	VYBER	2600	33614	\N	\N	\N
318045	1085	1998-06-08	VYDAJ	VYBER	5100	33542	\N	\N	\N
318046	1085	1998-07-08	VYDAJ	VYBER	4700	40583	\N	\N	\N
318047	1085	1998-08-07	VYDAJ	VYBER	11200	42978	\N	\N	\N
318048	1085	1998-09-06	VYDAJ	VYBER	3400	41305	\N	\N	\N
318049	1085	1998-10-06	PRIJEM	VKLAD	100	44526	\N	\N	\N
318050	1085	1998-11-05	VYDAJ	VYBER	1100	48459	\N	\N	\N
318051	1085	1998-12-05	VYDAJ	VYBER	3000	49809	\N	\N	\N
318068	1086	1996-06-17	PRIJEM	VKLAD	700	700	\N	\N	\N
318075	1086	1996-07-08	PRIJEM	PREVOD Z UCTU	2904	3604	\N	YZ	46659594
318076	1086	1996-08-08	PRIJEM	PREVOD Z UCTU	2904	6508	\N	YZ	46659594
318077	1086	1996-09-08	PRIJEM	PREVOD Z UCTU	2904	9412	\N	YZ	46659594
318078	1086	1996-10-08	PRIJEM	PREVOD Z UCTU	2904	12316	\N	YZ	46659594
318079	1086	1996-11-08	PRIJEM	PREVOD Z UCTU	2904	15220	\N	YZ	46659594
318080	1086	1996-12-08	PRIJEM	PREVOD Z UCTU	2904	15858	\N	YZ	46659594
318081	1086	1997-01-08	PRIJEM	PREVOD Z UCTU	2904	16424	\N	YZ	46659594
318082	1086	1997-02-08	PRIJEM	PREVOD Z UCTU	2904	14108	\N	YZ	46659594
318083	1086	1997-03-08	PRIJEM	PREVOD Z UCTU	2904	15117	\N	YZ	46659594
318084	1086	1997-04-08	PRIJEM	PREVOD Z UCTU	2904	15018	\N	YZ	46659594
318085	1086	1997-05-08	PRIJEM	PREVOD Z UCTU	2904	16031	\N	YZ	46659594
318086	1086	1997-06-08	PRIJEM	PREVOD Z UCTU	2904	17048	\N	YZ	46659594
318087	1086	1997-07-08	PRIJEM	PREVOD Z UCTU	2904	16659	\N	YZ	46659594
318088	1086	1997-08-08	PRIJEM	PREVOD Z UCTU	2904	17679	\N	YZ	46659594
318089	1086	1997-09-08	PRIJEM	PREVOD Z UCTU	2904	18703	\N	YZ	46659594
318090	1086	1997-10-08	PRIJEM	PREVOD Z UCTU	2904	19731	\N	YZ	46659594
318091	1086	1997-11-08	PRIJEM	PREVOD Z UCTU	2904	20764	\N	YZ	46659594
318092	1086	1997-12-08	PRIJEM	PREVOD Z UCTU	2904	21801	\N	YZ	46659594
318093	1086	1998-01-08	PRIJEM	PREVOD Z UCTU	2904	19330	\N	YZ	46659594
318094	1086	1998-02-08	PRIJEM	PREVOD Z UCTU	2904	18289	\N	YZ	46659594
318095	1086	1998-03-08	PRIJEM	PREVOD Z UCTU	2904	19315	\N	YZ	46659594
318096	1086	1998-04-08	PRIJEM	PREVOD Z UCTU	2904	19865	\N	YZ	46659594
318097	1086	1998-05-08	PRIJEM	PREVOD Z UCTU	2904	20086	\N	YZ	46659594
318098	1086	1998-06-08	PRIJEM	PREVOD Z UCTU	2904	20008	\N	YZ	46659594
318099	1086	1998-07-08	PRIJEM	PREVOD Z UCTU	2904	21041	\N	YZ	46659594
318100	1086	1998-08-08	PRIJEM	PREVOD Z UCTU	2904	22079	\N	YZ	46659594
318101	1086	1998-09-08	PRIJEM	PREVOD Z UCTU	2904	23121	\N	YZ	46659594
318102	1086	1998-10-08	PRIJEM	PREVOD Z UCTU	2904	24168	\N	YZ	46659594
318103	1086	1998-11-08	PRIJEM	PREVOD Z UCTU	2904	25218	\N	YZ	46659594
318104	1086	1998-12-08	PRIJEM	PREVOD Z UCTU	2904	26273	\N	YZ	46659594
318116	1086	1996-12-05	VYDAJ	PREVOD NA UCET	1376	12954	\N	UV	38448971
318117	1086	1997-01-05	VYDAJ	PREVOD NA UCET	1376	13520	\N	UV	38448971
318118	1086	1997-02-05	VYDAJ	PREVOD NA UCET	1376	11204	\N	UV	38448971
318119	1086	1997-03-05	VYDAJ	PREVOD NA UCET	1376	12213	\N	UV	38448971
318120	1086	1997-04-05	VYDAJ	PREVOD NA UCET	1376	12114	\N	UV	38448971
318121	1086	1997-05-05	VYDAJ	PREVOD NA UCET	1376	13127	\N	UV	38448971
318122	1086	1997-06-05	VYDAJ	PREVOD NA UCET	1376	14144	\N	UV	38448971
318123	1086	1997-07-05	VYDAJ	PREVOD NA UCET	1376	13755	\N	UV	38448971
318124	1086	1997-08-05	VYDAJ	PREVOD NA UCET	1376	14775	\N	UV	38448971
318125	1086	1997-09-05	VYDAJ	PREVOD NA UCET	1376	15799	\N	UV	38448971
318126	1086	1997-10-05	VYDAJ	PREVOD NA UCET	1376	16827	\N	UV	38448971
318127	1086	1997-11-05	VYDAJ	PREVOD NA UCET	1376	17860	\N	UV	38448971
318128	1086	1997-12-05	VYDAJ	PREVOD NA UCET	1376	18897	\N	UV	38448971
318129	1086	1998-01-05	VYDAJ	PREVOD NA UCET	1376	18676	\N	UV	38448971
318130	1086	1998-02-05	VYDAJ	PREVOD NA UCET	1376	15385	\N	UV	38448971
318131	1086	1998-03-05	VYDAJ	PREVOD NA UCET	1376	16411	\N	UV	38448971
318132	1086	1998-04-05	VYDAJ	PREVOD NA UCET	1376	16961	\N	UV	38448971
318133	1086	1998-05-05	VYDAJ	PREVOD NA UCET	1376	17182	\N	UV	38448971
318134	1086	1998-06-05	VYDAJ	PREVOD NA UCET	1376	17104	\N	UV	38448971
318135	1086	1998-07-05	VYDAJ	PREVOD NA UCET	1376	18137	\N	UV	38448971
318136	1086	1998-08-05	VYDAJ	PREVOD NA UCET	1376	19175	\N	UV	38448971
318137	1086	1998-09-05	VYDAJ	PREVOD NA UCET	1376	20217	\N	UV	38448971
318138	1086	1998-10-05	VYDAJ	PREVOD NA UCET	1376	21264	\N	UV	38448971
318139	1086	1998-11-05	VYDAJ	PREVOD NA UCET	1376	22314	\N	UV	38448971
318140	1086	1998-12-05	VYDAJ	PREVOD NA UCET	1376	23369	\N	UV	38448971
318151	1086	1996-11-09	VYDAJ	PREVOD NA UCET	474	14746	\N	MN	12634462
318152	1086	1996-12-09	VYDAJ	PREVOD NA UCET	474	15384	\N	MN	12634462
318153	1086	1997-01-09	VYDAJ	PREVOD NA UCET	474	15950	\N	MN	12634462
318154	1086	1997-02-09	VYDAJ	PREVOD NA UCET	474	13634	\N	MN	12634462
318155	1086	1997-03-09	VYDAJ	PREVOD NA UCET	474	14643	\N	MN	12634462
318156	1086	1997-04-09	VYDAJ	PREVOD NA UCET	474	14544	\N	MN	12634462
318157	1086	1997-05-09	VYDAJ	PREVOD NA UCET	474	15557	\N	MN	12634462
318158	1086	1997-06-09	VYDAJ	PREVOD NA UCET	474	16574	\N	MN	12634462
318159	1086	1997-07-09	VYDAJ	PREVOD NA UCET	474	16185	\N	MN	12634462
318160	1086	1997-08-09	VYDAJ	PREVOD NA UCET	474	17205	\N	MN	12634462
318161	1086	1997-09-09	VYDAJ	PREVOD NA UCET	474	18229	\N	MN	12634462
318162	1086	1997-10-09	VYDAJ	PREVOD NA UCET	474	19257	\N	MN	12634462
318163	1086	1997-11-09	VYDAJ	PREVOD NA UCET	474	20290	\N	MN	12634462
318164	1086	1997-12-09	VYDAJ	PREVOD NA UCET	474	21327	\N	MN	12634462
318165	1086	1998-01-09	VYDAJ	PREVOD NA UCET	474	18856	\N	MN	12634462
318166	1086	1998-02-09	VYDAJ	PREVOD NA UCET	474	17815	\N	MN	12634462
318167	1086	1998-03-09	VYDAJ	PREVOD NA UCET	474	18841	\N	MN	12634462
318168	1086	1998-04-09	VYDAJ	PREVOD NA UCET	474	19391	\N	MN	12634462
318169	1086	1998-05-09	VYDAJ	PREVOD NA UCET	474	19612	\N	MN	12634462
318170	1086	1998-06-09	VYDAJ	PREVOD NA UCET	474	19534	\N	MN	12634462
318171	1086	1998-07-09	VYDAJ	PREVOD NA UCET	474	20567	\N	MN	12634462
318172	1086	1998-08-09	VYDAJ	PREVOD NA UCET	474	21605	\N	MN	12634462
318173	1086	1998-09-09	VYDAJ	PREVOD NA UCET	474	22647	\N	MN	12634462
318174	1086	1998-10-09	VYDAJ	PREVOD NA UCET	474	23694	\N	MN	12634462
318175	1086	1998-11-09	VYDAJ	PREVOD NA UCET	474	24744	\N	MN	12634462
318176	1086	1998-12-09	VYDAJ	PREVOD NA UCET	474	25799	\N	MN	12634462
318187	1086	1996-11-13	VYDAJ	PREVOD NA UCET	86	14660	\N	EF	44293308
318188	1086	1996-12-13	VYDAJ	PREVOD NA UCET	86	15298	\N	EF	44293308
318189	1086	1997-01-13	VYDAJ	PREVOD NA UCET	86	15864	\N	EF	44293308
318190	1086	1997-02-13	VYDAJ	PREVOD NA UCET	86	13548	\N	EF	44293308
318191	1086	1997-03-13	VYDAJ	PREVOD NA UCET	86	14557	\N	EF	44293308
318192	1086	1997-04-13	VYDAJ	PREVOD NA UCET	86	14458	\N	EF	44293308
318193	1086	1997-05-13	VYDAJ	PREVOD NA UCET	86	15471	\N	EF	44293308
318194	1086	1997-06-13	VYDAJ	PREVOD NA UCET	86	16488	\N	EF	44293308
318195	1086	1997-07-13	VYDAJ	PREVOD NA UCET	86	16099	\N	EF	44293308
318196	1086	1997-08-13	VYDAJ	PREVOD NA UCET	86	17119	\N	EF	44293308
318197	1086	1997-09-13	VYDAJ	PREVOD NA UCET	86	18143	\N	EF	44293308
318198	1086	1997-10-13	VYDAJ	PREVOD NA UCET	86	19171	\N	EF	44293308
318199	1086	1997-11-13	VYDAJ	PREVOD NA UCET	86	20204	\N	EF	44293308
318200	1086	1997-12-13	VYDAJ	PREVOD NA UCET	86	20761	\N	EF	44293308
318201	1086	1998-01-13	VYDAJ	PREVOD NA UCET	86	18770	\N	EF	44293308
318202	1086	1998-02-13	VYDAJ	PREVOD NA UCET	86	17729	\N	EF	44293308
318203	1086	1998-03-13	VYDAJ	PREVOD NA UCET	86	18275	\N	EF	44293308
318204	1086	1998-04-13	VYDAJ	PREVOD NA UCET	86	19305	\N	EF	44293308
318205	1086	1998-05-13	VYDAJ	PREVOD NA UCET	86	19526	\N	EF	44293308
318206	1086	1998-06-13	VYDAJ	PREVOD NA UCET	86	19448	\N	EF	44293308
318207	1086	1998-07-13	VYDAJ	PREVOD NA UCET	86	20481	\N	EF	44293308
318208	1086	1998-08-13	VYDAJ	PREVOD NA UCET	86	21519	\N	EF	44293308
318209	1086	1998-09-13	VYDAJ	PREVOD NA UCET	86	22561	\N	EF	44293308
318210	1086	1998-10-13	VYDAJ	PREVOD NA UCET	86	23608	\N	EF	44293308
318211	1086	1998-11-13	VYDAJ	PREVOD NA UCET	86	24658	\N	EF	44293308
318212	1086	1998-12-13	VYDAJ	PREVOD NA UCET	86	25713	\N	EF	44293308
318213	1086	1996-12-01	VYDAJ	VYBER	360	14330	\N	\N	\N
318214	1086	1997-12-12	VYDAJ	VYBER	480	20847	\N	\N	\N
318215	1086	1998-12-21	VYDAJ	VYBER	300	25413	\N	\N	\N
318222	1086	1997-01-20	VYDAJ	VYBER	810	14124	\N	\N	\N
318223	1086	1997-01-04	VYDAJ	VYBER	450	14896	\N	\N	\N
318224	1086	1997-01-30	VYDAJ	VYBER	270	12534	\N	\N	\N
318225	1086	1997-01-21	VYDAJ	VYBER	270	13854	\N	\N	\N
318226	1086	1997-01-22	VYDAJ	VYBER	210	13644	\N	\N	\N
318227	1086	1997-01-26	VYDAJ	VYBER	840	12804	\N	\N	\N
318228	1086	1998-01-02	VYDAJ	VYBER	510	20322	\N	\N	\N
318229	1086	1998-01-06	VYDAJ	VYBER	600	17836	\N	\N	\N
318230	1086	1998-01-25	VYDAJ	VYBER	660	16700	\N	\N	\N
318231	1086	1998-01-02	VYDAJ	VYBER	270	20052	\N	\N	\N
318232	1086	1998-01-18	VYDAJ	VYBER	780	17360	\N	\N	\N
318233	1086	1998-01-18	VYDAJ	VYBER	630	18140	\N	\N	\N
318239	1086	1997-01-13	VYDAJ	VYBER	930	14934	\N	\N	\N
318240	1086	1997-03-22	VYDAJ	VYBER	1110	13447	\N	\N	\N
318242	1086	1997-07-01	VYDAJ	VYBER	1410	15131	\N	\N	\N
318243	1086	1998-05-23	VYDAJ	VYBER	1110	18416	\N	\N	\N
318244	1086	1998-01-05	VYDAJ	VYBER	240	18436	\N	\N	\N
318245	1086	1998-04-13	VYDAJ	VYBER	810	18495	\N	\N	\N
318246	1086	1998-12-25	VYDAJ	VYBER	300	25113	\N	\N	\N
318247	1086	1998-03-12	VYDAJ	VYBER	480	18361	\N	\N	\N
318248	1086	1998-01-07	VYDAJ	VYBER	1410	16426	\N	\N	\N
318260	1086	1996-11-30	VYDAJ	VYBER	15	14690	SLUZBY	\N	\N
318261	1086	1996-12-31	VYDAJ	VYBER	15	15346	SLUZBY	\N	\N
318262	1086	1997-01-31	VYDAJ	VYBER	15	12580	SLUZBY	\N	\N
318263	1086	1997-02-28	VYDAJ	VYBER	15	13589	SLUZBY	\N	\N
318264	1086	1997-03-31	VYDAJ	VYBER	15	13490	SLUZBY	\N	\N
318265	1086	1997-04-30	VYDAJ	VYBER	15	14503	SLUZBY	\N	\N
318266	1086	1997-05-31	VYDAJ	VYBER	15	15520	SLUZBY	\N	\N
318267	1086	1997-06-30	VYDAJ	VYBER	15	16541	SLUZBY	\N	\N
318268	1086	1997-07-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
318269	1086	1997-08-31	VYDAJ	VYBER	15	17175	SLUZBY	\N	\N
318270	1086	1997-09-30	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
318271	1086	1997-10-31	VYDAJ	VYBER	15	19236	SLUZBY	\N	\N
318272	1086	1997-11-30	VYDAJ	VYBER	15	20273	SLUZBY	\N	\N
318273	1086	1997-12-31	VYDAJ	VYBER	15	20832	SLUZBY	\N	\N
318274	1086	1998-01-31	VYDAJ	VYBER	15	16761	SLUZBY	\N	\N
318275	1086	1998-02-28	VYDAJ	VYBER	15	17787	SLUZBY	\N	\N
318276	1086	1998-03-31	VYDAJ	VYBER	15	18337	SLUZBY	\N	\N
318277	1086	1998-04-30	VYDAJ	VYBER	15	18558	SLUZBY	\N	\N
318278	1086	1998-05-31	VYDAJ	VYBER	15	18480	SLUZBY	\N	\N
318279	1086	1998-06-30	VYDAJ	VYBER	15	19513	SLUZBY	\N	\N
318280	1086	1998-07-31	VYDAJ	VYBER	15	20551	SLUZBY	\N	\N
318281	1086	1998-08-31	VYDAJ	VYBER	15	21593	SLUZBY	\N	\N
318282	1086	1998-09-30	VYDAJ	VYBER	15	22640	SLUZBY	\N	\N
318283	1086	1998-10-31	VYDAJ	VYBER	15	23690	SLUZBY	\N	\N
318284	1086	1998-11-30	VYDAJ	VYBER	15	24745	SLUZBY	\N	\N
318311	1087	1996-06-26	PRIJEM	VKLAD	900	900	\N	\N	\N
318318	1087	1996-07-05	PRIJEM	VKLAD	17875	18775	\N	\N	\N
318319	1087	1996-08-05	PRIJEM	VKLAD	17875	41169	\N	\N	\N
318320	1087	1996-09-05	PRIJEM	VKLAD	17875	47847	\N	\N	\N
318321	1087	1996-10-05	PRIJEM	VKLAD	17875	55654	\N	\N	\N
318322	1087	1996-11-05	PRIJEM	VKLAD	17875	58189	\N	\N	\N
318323	1087	1996-12-05	PRIJEM	VKLAD	26812	66052	\N	\N	\N
318324	1087	1997-01-05	PRIJEM	VKLAD	17875	53082	\N	\N	\N
318325	1087	1997-02-05	PRIJEM	VKLAD	17875	41928	\N	\N	\N
318326	1087	1997-03-05	PRIJEM	VKLAD	17875	49241	\N	\N	\N
318327	1087	1997-04-05	PRIJEM	VKLAD	17875	50937	\N	\N	\N
318328	1087	1997-05-05	PRIJEM	VKLAD	17875	56242	\N	\N	\N
318329	1087	1997-06-05	PRIJEM	VKLAD	26812	67001	\N	\N	\N
318330	1087	1997-07-05	PRIJEM	VKLAD	17875	52724	\N	\N	\N
318331	1087	1997-08-05	PRIJEM	VKLAD	17875	56239	\N	\N	\N
318332	1087	1997-09-05	PRIJEM	VKLAD	17875	57982	\N	\N	\N
318333	1087	1997-10-05	PRIJEM	VKLAD	17875	57809	\N	\N	\N
318334	1087	1997-11-05	PRIJEM	VKLAD	17875	60947	\N	\N	\N
318335	1087	1997-12-05	PRIJEM	VKLAD	26812	66719	\N	\N	\N
318336	1087	1998-01-05	PRIJEM	VKLAD	17875	59352	\N	\N	\N
318337	1087	1998-02-05	PRIJEM	VKLAD	17875	51003	\N	\N	\N
318338	1087	1998-03-05	PRIJEM	VKLAD	17875	57013	\N	\N	\N
318339	1087	1998-04-05	PRIJEM	VKLAD	17875	65852	\N	\N	\N
318340	1087	1998-05-05	PRIJEM	VKLAD	17875	68416	\N	\N	\N
318341	1087	1998-06-05	PRIJEM	VKLAD	26812	76630	\N	\N	\N
318342	1087	1998-07-05	PRIJEM	VKLAD	17875	50996	\N	\N	\N
318343	1087	1998-08-05	PRIJEM	VKLAD	17875	64729	\N	\N	\N
318344	1087	1998-09-05	PRIJEM	VKLAD	17875	71523	\N	\N	\N
318345	1087	1998-10-05	PRIJEM	VKLAD	17875	64395	\N	\N	\N
318346	1087	1998-11-05	PRIJEM	VKLAD	17875	67255	\N	\N	\N
318347	1087	1998-12-05	PRIJEM	VKLAD	26812	77560	\N	\N	\N
318349	1087	1997-06-23	VYDAJ	VYBER	11000	34701	\N	\N	\N
318350	1087	1998-06-25	VYDAJ	VYBER	26900	32930	\N	\N	\N
318352	1087	1997-01-04	VYDAJ	VYBER	9200	35207	\N	\N	\N
318353	1087	1998-01-30	VYDAJ	VYBER	6900	32952	\N	\N	\N
318360	1087	1997-01-22	VYDAJ	VYBER	2700	46382	\N	\N	\N
318361	1087	1997-01-30	VYDAJ	VYBER	1400	25882	\N	\N	\N
318362	1087	1997-01-25	VYDAJ	VYBER	1500	31382	\N	\N	\N
318363	1087	1997-01-26	VYDAJ	VYBER	1200	30182	\N	\N	\N
318364	1087	1997-01-07	VYDAJ	VYBER	1600	51482	\N	\N	\N
318365	1087	1997-01-16	VYDAJ	VYBER	2400	49082	\N	\N	\N
318366	1087	1998-01-13	VYDAJ	VYBER	800	52452	\N	\N	\N
318367	1087	1998-01-11	VYDAJ	VYBER	2700	55352	\N	\N	\N
318368	1087	1998-01-02	VYDAJ	VYBER	1600	42177	\N	\N	\N
318369	1087	1998-01-16	VYDAJ	VYBER	1200	51252	\N	\N	\N
318370	1087	1998-01-02	VYDAJ	VYBER	700	41477	\N	\N	\N
318371	1087	1998-01-11	VYDAJ	VYBER	2100	53252	\N	\N	\N
318376	1087	1997-10-16	VYDAJ	VYBER	1900	55909	\N	\N	\N
318377	1087	1997-07-21	VYDAJ	VYBER	3300	38224	\N	\N	\N
318378	1087	1997-02-02	VYDAJ	VYBER	2000	24053	\N	\N	\N
318379	1087	1997-08-09	VYDAJ	VYBER	4100	52139	\N	\N	\N
318380	1087	1997-01-29	VYDAJ	VYBER	2900	27282	\N	\N	\N
318381	1087	1997-03-27	VYDAJ	VYBER	1900	32941	\N	\N	\N
318382	1087	1997-11-24	VYDAJ	VYBER	1200	39747	\N	\N	\N
318383	1087	1997-03-22	VYDAJ	VYBER	2400	46841	\N	\N	\N
318384	1087	1998-05-30	VYDAJ	VYBER	4500	49616	\N	\N	\N
318385	1087	1998-07-16	VYDAJ	VYBER	1300	49696	\N	\N	\N
318386	1087	1998-09-25	VYDAJ	VYBER	4100	46323	\N	\N	\N
318387	1087	1998-08-02	VYDAJ	VYBER	600	46854	\N	\N	\N
318388	1087	1998-01-08	VYDAJ	VYBER	1300	58052	\N	\N	\N
318400	1087	1996-11-30	VYDAJ	VYBER	15	39240	SLUZBY	\N	\N
318401	1087	1996-12-31	VYDAJ	VYBER	15	44407	SLUZBY	\N	\N
318402	1087	1997-01-31	VYDAJ	VYBER	15	26053	SLUZBY	\N	\N
318403	1087	1997-02-28	VYDAJ	VYBER	15	31366	SLUZBY	\N	\N
318404	1087	1997-03-31	VYDAJ	VYBER	15	33062	SLUZBY	\N	\N
318405	1087	1997-04-30	VYDAJ	VYBER	15	38367	SLUZBY	\N	\N
318406	1087	1997-05-31	VYDAJ	VYBER	15	40189	SLUZBY	\N	\N
318407	1087	1997-06-30	VYDAJ	VYBER	15	34849	SLUZBY	\N	\N
318408	1087	1997-07-31	VYDAJ	VYBER	15	38364	SLUZBY	\N	\N
318409	1087	1997-08-31	VYDAJ	VYBER	15	40107	SLUZBY	\N	\N
318410	1087	1997-09-30	VYDAJ	VYBER	15	39934	SLUZBY	\N	\N
318411	1087	1997-10-31	VYDAJ	VYBER	15	43072	SLUZBY	\N	\N
318412	1087	1997-11-30	VYDAJ	VYBER	15	39907	SLUZBY	\N	\N
318413	1087	1997-12-31	VYDAJ	VYBER	15	43777	SLUZBY	\N	\N
318414	1087	1998-01-31	VYDAJ	VYBER	15	33128	SLUZBY	\N	\N
318415	1087	1998-02-28	VYDAJ	VYBER	15	39138	SLUZBY	\N	\N
318416	1087	1998-03-31	VYDAJ	VYBER	15	47977	SLUZBY	\N	\N
318417	1087	1998-04-30	VYDAJ	VYBER	15	50541	SLUZBY	\N	\N
318418	1087	1998-05-31	VYDAJ	VYBER	15	49818	SLUZBY	\N	\N
318419	1087	1998-06-30	VYDAJ	VYBER	15	33121	SLUZBY	\N	\N
318420	1087	1998-07-31	VYDAJ	VYBER	15	47454	SLUZBY	\N	\N
318421	1087	1998-08-31	VYDAJ	VYBER	15	53648	SLUZBY	\N	\N
318422	1087	1998-09-30	VYDAJ	VYBER	15	46520	SLUZBY	\N	\N
318423	1087	1998-10-31	VYDAJ	VYBER	15	49380	SLUZBY	\N	\N
318424	1087	1998-11-30	VYDAJ	VYBER	15	50748	SLUZBY	\N	\N
318425	1087	1996-07-26	PRIJEM	VKLAD	4500	23275	\N	\N	\N
318426	1087	1996-08-25	VYDAJ	VYBER	11300	29869	\N	\N	\N
318427	1087	1996-09-24	VYDAJ	VYBER	10200	37647	\N	\N	\N
318428	1087	1996-10-24	VYDAJ	VYBER	15500	40154	\N	\N	\N
318429	1087	1996-11-23	VYDAJ	VYBER	19100	39089	\N	\N	\N
318430	1087	1996-12-23	VYDAJ	VYBER	21800	44252	\N	\N	\N
318431	1087	1997-01-22	VYDAJ	VYBER	13500	32882	\N	\N	\N
318432	1087	1997-02-21	VYDAJ	VYBER	10700	31228	\N	\N	\N
318433	1087	1997-03-23	VYDAJ	VYBER	12000	34841	\N	\N	\N
318434	1087	1997-04-22	VYDAJ	VYBER	12700	38237	\N	\N	\N
318435	1087	1997-05-22	VYDAJ	VYBER	16200	40042	\N	\N	\N
318436	1087	1997-06-21	VYDAJ	VYBER	21300	45701	\N	\N	\N
318437	1087	1997-07-21	VYDAJ	VYBER	11200	41524	\N	\N	\N
318438	1087	1997-08-20	VYDAJ	VYBER	12200	39939	\N	\N	\N
318439	1087	1997-09-19	VYDAJ	VYBER	18200	39782	\N	\N	\N
318440	1087	1997-10-19	VYDAJ	VYBER	13000	42909	\N	\N	\N
318441	1087	1997-11-18	VYDAJ	VYBER	20000	40947	\N	\N	\N
318442	1087	1997-12-18	VYDAJ	VYBER	23100	43619	\N	\N	\N
318443	1087	1998-01-17	VYDAJ	VYBER	11400	39852	\N	\N	\N
318444	1087	1998-02-16	VYDAJ	VYBER	12000	39003	\N	\N	\N
318445	1087	1998-03-18	VYDAJ	VYBER	9200	47813	\N	\N	\N
318446	1087	1998-04-17	VYDAJ	VYBER	15500	50352	\N	\N	\N
318447	1087	1998-05-17	VYDAJ	VYBER	14300	54116	\N	\N	\N
318448	1087	1998-06-16	VYDAJ	VYBER	16800	59830	\N	\N	\N
318449	1087	1998-07-16	VYDAJ	VYBER	2400	47296	\N	\N	\N
318450	1087	1998-08-15	VYDAJ	VYBER	11300	53429	\N	\N	\N
318451	1087	1998-09-14	VYDAJ	VYBER	21100	50423	\N	\N	\N
318452	1087	1998-10-14	VYDAJ	VYBER	15200	49195	\N	\N	\N
318453	1087	1998-11-13	VYDAJ	VYBER	16700	50555	\N	\N	\N
318483	1088	1993-12-19	PRIJEM	VKLAD	500	500	\N	\N	\N
318496	1088	1994-01-13	PRIJEM	PREVOD Z UCTU	5600	6100	DUCHOD	WX	93394022
318497	1088	1994-02-13	PRIJEM	PREVOD Z UCTU	5600	11700	DUCHOD	WX	93394022
318498	1088	1994-03-13	PRIJEM	PREVOD Z UCTU	5600	17300	DUCHOD	WX	93394022
318499	1088	1994-04-13	PRIJEM	PREVOD Z UCTU	5600	22900	DUCHOD	WX	93394022
318500	1088	1994-05-13	PRIJEM	PREVOD Z UCTU	5600	28500	DUCHOD	WX	93394022
318501	1088	1994-06-13	PRIJEM	PREVOD Z UCTU	5600	30306	DUCHOD	WX	93394022
318707	1088	1997-01-23	VYDAJ	VYBER	3840	20810	\N	\N	\N
318502	1088	1994-07-13	PRIJEM	PREVOD Z UCTU	5600	17061	DUCHOD	WX	93394022
318503	1088	1994-08-13	PRIJEM	PREVOD Z UCTU	5600	19683	DUCHOD	WX	93394022
318504	1088	1994-09-13	PRIJEM	PREVOD Z UCTU	5600	21914	DUCHOD	WX	93394022
318505	1088	1994-10-13	PRIJEM	PREVOD Z UCTU	5600	24555	DUCHOD	WX	93394022
318506	1088	1994-11-13	PRIJEM	PREVOD Z UCTU	5600	25402	DUCHOD	WX	93394022
318507	1088	1994-12-13	PRIJEM	PREVOD Z UCTU	5600	26004	DUCHOD	WX	93394022
318508	1088	1995-01-13	PRIJEM	PREVOD Z UCTU	5600	18822	DUCHOD	WX	93394022
318509	1088	1995-02-13	PRIJEM	PREVOD Z UCTU	5600	15772	DUCHOD	WX	93394022
318510	1088	1995-03-13	PRIJEM	PREVOD Z UCTU	5600	16307	DUCHOD	WX	93394022
318511	1088	1995-04-13	PRIJEM	PREVOD Z UCTU	5600	18924	DUCHOD	WX	93394022
318512	1088	1995-05-13	PRIJEM	PREVOD Z UCTU	5600	21552	DUCHOD	WX	93394022
318513	1088	1995-06-13	PRIJEM	PREVOD Z UCTU	5600	21466	DUCHOD	WX	93394022
318514	1088	1995-07-13	PRIJEM	PREVOD Z UCTU	5600	24105	DUCHOD	WX	93394022
318515	1088	1995-08-13	PRIJEM	PREVOD Z UCTU	5600	26754	DUCHOD	WX	93394022
318516	1088	1995-09-13	PRIJEM	PREVOD Z UCTU	5600	29415	DUCHOD	WX	93394022
318517	1088	1995-10-13	PRIJEM	PREVOD Z UCTU	5600	30606	DUCHOD	WX	93394022
318518	1088	1995-11-13	PRIJEM	PREVOD Z UCTU	5600	32184	DUCHOD	WX	93394022
318519	1088	1995-12-13	PRIJEM	PREVOD Z UCTU	5600	33168	DUCHOD	WX	93394022
318520	1088	1996-01-13	PRIJEM	PREVOD Z UCTU	5600	30776	DUCHOD	WX	93394022
318521	1088	1996-02-13	PRIJEM	PREVOD Z UCTU	5600	22882	DUCHOD	WX	93394022
318522	1088	1996-03-13	PRIJEM	PREVOD Z UCTU	5600	23446	DUCHOD	WX	93394022
318523	1088	1996-04-13	PRIJEM	PREVOD Z UCTU	5600	24890	DUCHOD	WX	93394022
318524	1088	1996-05-13	PRIJEM	PREVOD Z UCTU	5600	25700	DUCHOD	WX	93394022
318525	1088	1996-06-13	PRIJEM	PREVOD Z UCTU	5600	25472	DUCHOD	WX	93394022
318526	1088	1996-07-13	PRIJEM	PREVOD Z UCTU	5600	24527	DUCHOD	WX	93394022
318527	1088	1996-08-13	PRIJEM	PREVOD Z UCTU	5600	27182	DUCHOD	WX	93394022
318528	1088	1996-09-13	PRIJEM	PREVOD Z UCTU	5600	27744	DUCHOD	WX	93394022
318529	1088	1996-10-13	PRIJEM	PREVOD Z UCTU	5600	30410	DUCHOD	WX	93394022
318530	1088	1996-11-13	PRIJEM	PREVOD Z UCTU	5600	30366	DUCHOD	WX	93394022
318531	1088	1996-12-13	PRIJEM	PREVOD Z UCTU	5600	30691	DUCHOD	WX	93394022
318532	1088	1997-01-13	PRIJEM	PREVOD Z UCTU	5600	28250	DUCHOD	WX	93394022
318533	1088	1997-02-13	PRIJEM	PREVOD Z UCTU	5600	19947	DUCHOD	WX	93394022
318534	1088	1997-03-13	PRIJEM	PREVOD Z UCTU	5600	19854	DUCHOD	WX	93394022
318535	1088	1997-04-13	PRIJEM	PREVOD Z UCTU	5600	22485	DUCHOD	WX	93394022
318536	1088	1997-05-13	PRIJEM	PREVOD Z UCTU	5600	25127	DUCHOD	WX	93394022
318537	1088	1997-06-13	PRIJEM	PREVOD Z UCTU	5600	18580	DUCHOD	WX	93394022
318538	1088	1997-07-13	PRIJEM	PREVOD Z UCTU	5600	21217	DUCHOD	WX	93394022
318539	1088	1997-08-13	PRIJEM	PREVOD Z UCTU	5600	22154	DUCHOD	WX	93394022
318540	1088	1997-09-13	PRIJEM	PREVOD Z UCTU	5600	22093	DUCHOD	WX	93394022
318541	1088	1997-10-13	PRIJEM	PREVOD Z UCTU	5600	19932	DUCHOD	WX	93394022
318542	1088	1997-11-13	PRIJEM	PREVOD Z UCTU	5600	15960	DUCHOD	WX	93394022
318543	1088	1997-12-13	PRIJEM	PREVOD Z UCTU	5600	17874	DUCHOD	WX	93394022
318544	1088	1998-01-13	PRIJEM	PREVOD Z UCTU	5600	18225	DUCHOD	WX	93394022
318545	1088	1998-02-13	PRIJEM	PREVOD Z UCTU	5600	19006	DUCHOD	WX	93394022
318546	1088	1998-03-13	PRIJEM	PREVOD Z UCTU	5600	17428	DUCHOD	WX	93394022
318547	1088	1998-04-13	PRIJEM	PREVOD Z UCTU	5600	16446	DUCHOD	WX	93394022
318548	1088	1998-05-13	PRIJEM	PREVOD Z UCTU	5600	19062	DUCHOD	WX	93394022
318549	1088	1998-06-13	PRIJEM	PREVOD Z UCTU	5600	21689	DUCHOD	WX	93394022
318550	1088	1998-07-13	PRIJEM	PREVOD Z UCTU	5600	24327	DUCHOD	WX	93394022
318551	1088	1998-08-13	PRIJEM	PREVOD Z UCTU	5600	26976	DUCHOD	WX	93394022
318552	1088	1998-09-13	PRIJEM	PREVOD Z UCTU	5600	27553	DUCHOD	WX	93394022
318553	1088	1998-10-13	PRIJEM	PREVOD Z UCTU	5600	26512	DUCHOD	WX	93394022
318554	1088	1998-11-13	PRIJEM	PREVOD Z UCTU	5600	25410	DUCHOD	WX	93394022
318555	1088	1998-12-13	PRIJEM	PREVOD Z UCTU	5600	28067	DUCHOD	WX	93394022
318573	1088	1994-06-11	VYDAJ	PREVOD NA UCET	3032	24706	SIPO	WX	46244287
318574	1088	1994-07-11	VYDAJ	PREVOD NA UCET	3032	11461	SIPO	WX	46244287
318575	1088	1994-08-11	VYDAJ	PREVOD NA UCET	3032	14083	SIPO	WX	46244287
318576	1088	1994-09-11	VYDAJ	PREVOD NA UCET	3032	16714	SIPO	WX	46244287
318577	1088	1994-10-11	VYDAJ	PREVOD NA UCET	3032	18955	SIPO	WX	46244287
318578	1088	1994-11-11	VYDAJ	PREVOD NA UCET	3032	19802	SIPO	WX	46244287
318579	1088	1994-12-11	VYDAJ	PREVOD NA UCET	3032	20404	SIPO	WX	46244287
318580	1088	1995-01-11	VYDAJ	PREVOD NA UCET	3032	17622	SIPO	WX	46244287
318581	1088	1995-02-11	VYDAJ	PREVOD NA UCET	3032	10172	SIPO	WX	46244287
318582	1088	1995-03-11	VYDAJ	PREVOD NA UCET	3032	10707	SIPO	WX	46244287
318583	1088	1995-04-11	VYDAJ	PREVOD NA UCET	3032	13324	SIPO	WX	46244287
318584	1088	1995-05-11	VYDAJ	PREVOD NA UCET	3032	15952	SIPO	WX	46244287
318585	1088	1995-06-11	VYDAJ	PREVOD NA UCET	3032	15866	SIPO	WX	46244287
318586	1088	1995-07-11	VYDAJ	PREVOD NA UCET	3032	18505	SIPO	WX	46244287
318587	1088	1995-08-11	VYDAJ	PREVOD NA UCET	3032	21154	SIPO	WX	46244287
318588	1088	1995-09-11	VYDAJ	PREVOD NA UCET	3032	23815	SIPO	WX	46244287
318589	1088	1995-10-11	VYDAJ	PREVOD NA UCET	3032	25006	SIPO	WX	46244287
318590	1088	1995-11-11	VYDAJ	PREVOD NA UCET	3032	26584	SIPO	WX	46244287
318591	1088	1995-12-11	VYDAJ	PREVOD NA UCET	3032	27568	SIPO	WX	46244287
318592	1088	1996-01-11	VYDAJ	PREVOD NA UCET	3032	26056	SIPO	WX	46244287
318593	1088	1996-02-11	VYDAJ	PREVOD NA UCET	3032	17282	SIPO	WX	46244287
318594	1088	1996-03-11	VYDAJ	PREVOD NA UCET	3032	17846	SIPO	WX	46244287
318595	1088	1996-04-11	VYDAJ	PREVOD NA UCET	3032	19290	SIPO	WX	46244287
318596	1088	1996-05-11	VYDAJ	PREVOD NA UCET	3032	20100	SIPO	WX	46244287
318597	1088	1996-06-11	VYDAJ	PREVOD NA UCET	3032	19872	SIPO	WX	46244287
318598	1088	1996-07-11	VYDAJ	PREVOD NA UCET	3032	18927	SIPO	WX	46244287
318599	1088	1996-08-11	VYDAJ	PREVOD NA UCET	3032	21582	SIPO	WX	46244287
318600	1088	1996-09-11	VYDAJ	PREVOD NA UCET	3032	22144	SIPO	WX	46244287
318601	1088	1996-10-11	VYDAJ	PREVOD NA UCET	3032	24810	SIPO	WX	46244287
318602	1088	1996-11-11	VYDAJ	PREVOD NA UCET	3032	24766	SIPO	WX	46244287
318603	1088	1996-12-11	VYDAJ	PREVOD NA UCET	3032	25091	SIPO	WX	46244287
318604	1088	1997-01-11	VYDAJ	PREVOD NA UCET	3032	23850	SIPO	WX	46244287
318605	1088	1997-02-11	VYDAJ	PREVOD NA UCET	3032	14347	SIPO	WX	46244287
318606	1088	1997-03-11	VYDAJ	PREVOD NA UCET	3032	14254	SIPO	WX	46244287
318607	1088	1997-04-11	VYDAJ	PREVOD NA UCET	3032	16885	SIPO	WX	46244287
318608	1088	1997-05-11	VYDAJ	PREVOD NA UCET	3032	19527	SIPO	WX	46244287
318609	1088	1997-06-11	VYDAJ	PREVOD NA UCET	3032	12980	SIPO	WX	46244287
318610	1088	1997-07-11	VYDAJ	PREVOD NA UCET	3032	15617	SIPO	WX	46244287
318611	1088	1997-08-11	VYDAJ	PREVOD NA UCET	3032	16554	SIPO	WX	46244287
318612	1088	1997-09-11	VYDAJ	PREVOD NA UCET	3032	16493	SIPO	WX	46244287
318613	1088	1997-10-11	VYDAJ	PREVOD NA UCET	3032	14332	SIPO	WX	46244287
318614	1088	1997-11-11	VYDAJ	PREVOD NA UCET	3032	10360	SIPO	WX	46244287
318615	1088	1997-12-11	VYDAJ	PREVOD NA UCET	3032	12274	SIPO	WX	46244287
318616	1088	1998-01-11	VYDAJ	PREVOD NA UCET	3032	12625	SIPO	WX	46244287
318617	1088	1998-02-11	VYDAJ	PREVOD NA UCET	3032	13406	SIPO	WX	46244287
318618	1088	1998-03-11	VYDAJ	PREVOD NA UCET	3032	11828	SIPO	WX	46244287
318619	1088	1998-04-11	VYDAJ	PREVOD NA UCET	3032	10846	SIPO	WX	46244287
318620	1088	1998-05-11	VYDAJ	PREVOD NA UCET	3032	13462	SIPO	WX	46244287
318621	1088	1998-06-11	VYDAJ	PREVOD NA UCET	3032	16089	SIPO	WX	46244287
318622	1088	1998-07-11	VYDAJ	PREVOD NA UCET	3032	18727	SIPO	WX	46244287
318623	1088	1998-08-11	VYDAJ	PREVOD NA UCET	3032	21376	SIPO	WX	46244287
318624	1088	1998-09-11	VYDAJ	PREVOD NA UCET	3032	21953	SIPO	WX	46244287
318625	1088	1998-10-11	VYDAJ	PREVOD NA UCET	3032	20912	SIPO	WX	46244287
318626	1088	1998-11-11	VYDAJ	PREVOD NA UCET	3032	19810	SIPO	WX	46244287
318627	1088	1998-12-11	VYDAJ	PREVOD NA UCET	3032	22467	SIPO	WX	46244287
318629	1088	1994-06-26	VYDAJ	VYBER	9350	18956	\N	\N	\N
318632	1088	1997-06-01	VYDAJ	VYBER	9200	16012	\N	\N	\N
318636	1088	1995-01-11	VYDAJ	VYBER	4400	13222	\N	\N	\N
318637	1088	1996-01-29	VYDAJ	VYBER	3850	20206	\N	\N	\N
318638	1088	1997-01-08	VYDAJ	VYBER	2300	26882	\N	\N	\N
318641	1088	1994-12-07	VYDAJ	VYBER	750	23436	\N	\N	\N
318642	1088	1995-12-10	VYDAJ	VYBER	1100	30600	\N	\N	\N
318643	1088	1996-12-11	VYDAJ	VYBER	750	28123	\N	\N	\N
318644	1088	1997-12-20	VYDAJ	VYBER	650	17224	\N	\N	\N
318645	1088	1998-12-25	VYDAJ	VYBER	1300	26767	\N	\N	\N
318658	1088	1995-01-23	VYDAJ	VYBER	880	16022	\N	\N	\N
318659	1088	1995-01-18	VYDAJ	VYBER	1920	16902	\N	\N	\N
318660	1088	1995-01-01	VYDAJ	VYBER	1200	24894	\N	\N	\N
318661	1088	1995-01-07	VYDAJ	VYBER	2320	22574	\N	\N	\N
318662	1088	1995-01-08	VYDAJ	VYBER	1920	20654	\N	\N	\N
318663	1088	1995-01-25	VYDAJ	VYBER	1520	14502	\N	\N	\N
318664	1088	1996-01-27	VYDAJ	VYBER	2320	25496	\N	\N	\N
318665	1088	1996-01-26	VYDAJ	VYBER	1040	28936	\N	\N	\N
318666	1088	1996-01-17	VYDAJ	VYBER	800	29976	\N	\N	\N
318667	1088	1996-01-27	VYDAJ	VYBER	1120	27816	\N	\N	\N
318668	1088	1996-01-11	VYDAJ	VYBER	880	25176	\N	\N	\N
318669	1088	1996-01-28	VYDAJ	VYBER	1440	24056	\N	\N	\N
318670	1088	1997-01-03	VYDAJ	VYBER	1520	29182	\N	\N	\N
318671	1088	1997-01-30	VYDAJ	VYBER	1360	17290	\N	\N	\N
318672	1088	1997-01-28	VYDAJ	VYBER	2160	18650	\N	\N	\N
318673	1088	1997-01-21	VYDAJ	VYBER	1600	24650	\N	\N	\N
318674	1088	1997-01-15	VYDAJ	VYBER	2000	26250	\N	\N	\N
318675	1088	1997-01-12	VYDAJ	VYBER	1200	22650	\N	\N	\N
318677	1088	1998-01-14	VYDAJ	VYBER	400	17825	\N	\N	\N
318678	1088	1998-01-09	VYDAJ	VYBER	880	15657	\N	\N	\N
318679	1088	1998-01-23	VYDAJ	VYBER	480	16385	\N	\N	\N
318680	1088	1998-01-19	VYDAJ	VYBER	960	16865	\N	\N	\N
318689	1088	1994-09-11	VYDAJ	VYBER	400	16314	\N	\N	\N
318692	1088	1994-07-06	VYDAJ	VYBER	1680	14493	\N	\N	\N
318693	1088	1994-07-02	VYDAJ	VYBER	2880	16173	\N	\N	\N
318694	1088	1995-05-18	VYDAJ	VYBER	2720	18832	\N	\N	\N
318695	1088	1995-10-06	VYDAJ	VYBER	480	29038	\N	\N	\N
318696	1088	1995-03-05	VYDAJ	VYBER	1040	13739	\N	\N	\N
318697	1088	1995-03-04	VYDAJ	VYBER	1040	14779	\N	\N	\N
318698	1088	1995-01-29	VYDAJ	VYBER	1360	13142	\N	\N	\N
318699	1088	1996-03-13	VYDAJ	VYBER	1200	22246	\N	\N	\N
318700	1088	1996-11-05	VYDAJ	VYBER	2320	27798	\N	\N	\N
318701	1088	1996-05-22	VYDAJ	VYBER	2880	22820	\N	\N	\N
318702	1088	1996-07-01	VYDAJ	VYBER	3600	21959	\N	\N	\N
318703	1088	1996-04-23	VYDAJ	VYBER	1840	23050	\N	\N	\N
318704	1088	1996-02-29	VYDAJ	VYBER	2080	20893	\N	\N	\N
318705	1088	1997-02-19	VYDAJ	VYBER	2720	17227	\N	\N	\N
318706	1088	1997-12-25	VYDAJ	VYBER	640	16584	\N	\N	\N
318709	1088	1998-11-09	VYDAJ	VYBER	3760	22842	\N	\N	\N
318710	1088	1998-09-26	VYDAJ	VYBER	2000	23853	\N	\N	\N
318711	1088	1998-08-24	VYDAJ	VYBER	2080	24896	\N	\N	\N
318712	1088	1998-02-17	VYDAJ	VYBER	2000	17006	\N	\N	\N
318730	1088	1994-05-31	VYDAJ	VYBER	15	27738	SLUZBY	\N	\N
318731	1088	1994-06-30	VYDAJ	VYBER	15	19053	SLUZBY	\N	\N
318732	1088	1994-07-31	VYDAJ	VYBER	15	17115	SLUZBY	\N	\N
318733	1088	1994-08-31	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
318734	1088	1994-09-30	VYDAJ	VYBER	15	21987	SLUZBY	\N	\N
318735	1088	1994-10-31	VYDAJ	VYBER	15	22834	SLUZBY	\N	\N
318736	1088	1994-11-30	VYDAJ	VYBER	15	24186	SLUZBY	\N	\N
318737	1088	1994-12-31	VYDAJ	VYBER	15	26094	SLUZBY	\N	\N
318738	1088	1995-01-31	VYDAJ	VYBER	15	13204	SLUZBY	\N	\N
318739	1088	1995-02-28	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
318740	1088	1995-03-31	VYDAJ	VYBER	15	16356	SLUZBY	\N	\N
318741	1088	1995-04-30	VYDAJ	VYBER	15	18984	SLUZBY	\N	\N
318742	1088	1995-05-31	VYDAJ	VYBER	15	18898	SLUZBY	\N	\N
318743	1088	1995-06-30	VYDAJ	VYBER	15	21537	SLUZBY	\N	\N
318744	1088	1995-07-31	VYDAJ	VYBER	15	24186	SLUZBY	\N	\N
318745	1088	1995-08-31	VYDAJ	VYBER	15	26847	SLUZBY	\N	\N
318746	1088	1995-09-30	VYDAJ	VYBER	15	29518	SLUZBY	\N	\N
318747	1088	1995-10-31	VYDAJ	VYBER	15	30716	SLUZBY	\N	\N
318748	1088	1995-11-30	VYDAJ	VYBER	15	32300	SLUZBY	\N	\N
318749	1088	1995-12-31	VYDAJ	VYBER	15	33288	SLUZBY	\N	\N
318750	1088	1996-01-31	VYDAJ	VYBER	15	20314	SLUZBY	\N	\N
318751	1088	1996-02-29	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
318752	1088	1996-03-31	VYDAJ	VYBER	15	22322	SLUZBY	\N	\N
318753	1088	1996-04-30	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
318754	1088	1996-05-31	VYDAJ	VYBER	15	22904	SLUZBY	\N	\N
318755	1088	1996-06-30	VYDAJ	VYBER	15	25559	SLUZBY	\N	\N
318756	1088	1996-07-31	VYDAJ	VYBER	15	24614	SLUZBY	\N	\N
318757	1088	1996-08-31	VYDAJ	VYBER	15	27276	SLUZBY	\N	\N
318758	1088	1996-09-30	VYDAJ	VYBER	15	27842	SLUZBY	\N	\N
318759	1088	1996-10-31	VYDAJ	VYBER	15	30518	SLUZBY	\N	\N
318760	1088	1996-11-30	VYDAJ	VYBER	15	30473	SLUZBY	\N	\N
318761	1088	1996-12-31	VYDAJ	VYBER	15	30802	SLUZBY	\N	\N
318762	1088	1997-01-31	VYDAJ	VYBER	15	17379	SLUZBY	\N	\N
318763	1088	1997-02-28	VYDAJ	VYBER	15	17286	SLUZBY	\N	\N
318764	1088	1997-03-31	VYDAJ	VYBER	15	19917	SLUZBY	\N	\N
318765	1088	1997-04-30	VYDAJ	VYBER	15	22559	SLUZBY	\N	\N
318766	1088	1997-05-31	VYDAJ	VYBER	15	25212	SLUZBY	\N	\N
318767	1088	1997-06-30	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
318768	1088	1997-07-31	VYDAJ	VYBER	15	19586	SLUZBY	\N	\N
318769	1088	1997-08-31	VYDAJ	VYBER	15	19525	SLUZBY	\N	\N
318770	1088	1997-09-30	VYDAJ	VYBER	15	17364	SLUZBY	\N	\N
318771	1088	1997-10-31	VYDAJ	VYBER	15	13392	SLUZBY	\N	\N
318772	1088	1997-11-30	VYDAJ	VYBER	15	15306	SLUZBY	\N	\N
318773	1088	1997-12-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
318774	1088	1998-01-31	VYDAJ	VYBER	15	16438	SLUZBY	\N	\N
318775	1088	1998-02-28	VYDAJ	VYBER	15	14860	SLUZBY	\N	\N
318776	1088	1998-03-31	VYDAJ	VYBER	15	13878	SLUZBY	\N	\N
318777	1088	1998-04-30	VYDAJ	VYBER	15	16494	SLUZBY	\N	\N
318778	1088	1998-05-31	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
318779	1088	1998-06-30	VYDAJ	VYBER	15	21759	SLUZBY	\N	\N
318780	1088	1998-07-31	VYDAJ	VYBER	15	24408	SLUZBY	\N	\N
318781	1088	1998-08-31	VYDAJ	VYBER	15	24985	SLUZBY	\N	\N
318782	1088	1998-09-30	VYDAJ	VYBER	15	23944	SLUZBY	\N	\N
318783	1088	1998-10-31	VYDAJ	VYBER	15	26602	SLUZBY	\N	\N
318784	1088	1998-11-30	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
318785	1088	1994-05-18	VYDAJ	VYBER	800	27700	\N	\N	\N
318786	1088	1994-06-17	VYDAJ	VYBER	2000	28306	\N	\N	\N
318787	1088	1994-10-15	VYDAJ	VYBER	1800	22755	\N	\N	\N
318788	1088	1994-11-14	VYDAJ	VYBER	1300	24102	\N	\N	\N
318789	1088	1995-10-10	VYDAJ	VYBER	1000	28038	\N	\N	\N
318790	1088	1995-11-09	VYDAJ	VYBER	1100	29616	\N	\N	\N
318791	1088	1995-12-09	VYDAJ	VYBER	600	31700	\N	\N	\N
318792	1088	1996-01-08	VYDAJ	VYBER	4200	29088	\N	\N	\N
318793	1088	1996-09-04	VYDAJ	VYBER	2100	25176	\N	\N	\N
318794	1088	1996-11-03	VYDAJ	VYBER	400	30118	\N	\N	\N
318795	1088	1996-12-03	VYDAJ	VYBER	1600	28873	\N	\N	\N
318796	1088	1997-01-02	VYDAJ	VYBER	100	30702	\N	\N	\N
318797	1088	1997-07-31	VYDAJ	VYBER	1700	19600	\N	\N	\N
318798	1088	1997-08-30	VYDAJ	VYBER	2700	19454	\N	\N	\N
318799	1088	1997-09-29	VYDAJ	VYBER	4800	17293	\N	\N	\N
318800	1088	1997-10-29	VYDAJ	VYBER	6600	13332	\N	\N	\N
318801	1088	1997-11-28	VYDAJ	VYBER	700	15260	\N	\N	\N
318802	1088	1997-12-28	VYDAJ	VYBER	100	16484	\N	\N	\N
318803	1088	1998-02-26	VYDAJ	VYBER	2200	14806	\N	\N	\N
318804	1088	1998-03-28	VYDAJ	VYBER	3600	13828	\N	\N	\N
318805	1088	1998-09-24	VYDAJ	VYBER	1700	25853	\N	\N	\N
318862	1089	1995-10-10	PRIJEM	VKLAD	500	500	\N	\N	\N
318873	1089	1995-11-09	PRIJEM	VKLAD	13248	20648	\N	\N	\N
318874	1089	1995-12-09	PRIJEM	VKLAD	19872	40543	\N	\N	\N
318875	1089	1996-01-09	PRIJEM	VKLAD	13248	42996	\N	\N	\N
318876	1089	1996-02-09	PRIJEM	VKLAD	13248	44511	\N	\N	\N
318877	1089	1996-03-09	PRIJEM	VKLAD	13248	45743	\N	\N	\N
318878	1089	1996-04-09	PRIJEM	VKLAD	13248	45239	\N	\N	\N
318879	1089	1996-05-09	PRIJEM	VKLAD	13248	40219	\N	\N	\N
318880	1089	1996-06-09	PRIJEM	VKLAD	19872	34012	\N	\N	\N
318881	1089	1996-07-09	PRIJEM	VKLAD	13248	33054	\N	\N	\N
318882	1089	1996-08-09	PRIJEM	VKLAD	13248	32087	\N	\N	\N
318883	1089	1996-09-09	PRIJEM	VKLAD	13248	35520	\N	\N	\N
318884	1089	1996-10-09	PRIJEM	VKLAD	13248	33660	\N	\N	\N
318885	1089	1996-11-09	PRIJEM	VKLAD	13248	34100	\N	\N	\N
318886	1089	1996-12-09	PRIJEM	VKLAD	19872	44865	\N	\N	\N
318887	1089	1997-01-09	PRIJEM	VKLAD	13248	38535	\N	\N	\N
318888	1089	1997-02-09	PRIJEM	VKLAD	13248	35169	\N	\N	\N
318889	1089	1997-03-09	PRIJEM	VKLAD	13248	38504	\N	\N	\N
318890	1089	1997-04-09	PRIJEM	VKLAD	13248	38460	\N	\N	\N
318891	1089	1997-05-09	PRIJEM	VKLAD	13248	39511	\N	\N	\N
318892	1089	1997-06-09	PRIJEM	VKLAD	19872	38796	\N	\N	\N
318893	1089	1997-07-09	PRIJEM	VKLAD	13248	40947	\N	\N	\N
318894	1089	1997-08-09	PRIJEM	VKLAD	13248	41015	\N	\N	\N
318895	1089	1997-09-09	PRIJEM	VKLAD	13248	40572	\N	\N	\N
318896	1089	1997-10-09	PRIJEM	VKLAD	13248	28511	\N	\N	\N
318897	1089	1997-11-09	PRIJEM	VKLAD	13248	32722	\N	\N	\N
318898	1089	1997-12-09	PRIJEM	VKLAD	19872	45473	\N	\N	\N
318899	1089	1998-01-09	PRIJEM	VKLAD	13248	40041	\N	\N	\N
318900	1089	1998-02-09	PRIJEM	VKLAD	13248	33169	\N	\N	\N
318901	1089	1998-03-09	PRIJEM	VKLAD	13248	34895	\N	\N	\N
318902	1089	1998-04-09	PRIJEM	VKLAD	13248	31516	\N	\N	\N
318903	1089	1998-05-09	PRIJEM	VKLAD	13248	37129	\N	\N	\N
318904	1089	1998-06-09	PRIJEM	VKLAD	19872	36990	\N	\N	\N
318905	1089	1998-07-09	PRIJEM	VKLAD	13248	32919	\N	\N	\N
318906	1089	1998-08-09	PRIJEM	VKLAD	13248	25935	\N	\N	\N
318907	1089	1998-09-09	PRIJEM	VKLAD	13248	35536	\N	\N	\N
318908	1089	1998-10-09	PRIJEM	VKLAD	13248	45176	\N	\N	\N
318909	1089	1998-11-09	PRIJEM	VKLAD	13248	29029	\N	\N	\N
318910	1089	1998-12-09	PRIJEM	VKLAD	19872	45266	\N	\N	\N
318926	1089	1996-04-06	VYDAJ	PREVOD NA UCET	756	42191	SIPO	OP	36553853
318927	1089	1996-05-06	VYDAJ	PREVOD NA UCET	756	37371	SIPO	OP	36553853
318928	1089	1996-06-06	VYDAJ	PREVOD NA UCET	756	14140	SIPO	OP	36553853
318929	1089	1996-07-06	VYDAJ	PREVOD NA UCET	756	24606	SIPO	OP	36553853
318930	1089	1996-08-06	VYDAJ	PREVOD NA UCET	756	18839	SIPO	OP	36553853
318931	1089	1996-09-06	VYDAJ	PREVOD NA UCET	756	22272	SIPO	OP	36553853
318932	1089	1996-10-06	VYDAJ	PREVOD NA UCET	756	21412	SIPO	OP	36553853
318933	1089	1996-11-06	VYDAJ	PREVOD NA UCET	756	20852	SIPO	OP	36553853
318934	1089	1996-12-06	VYDAJ	PREVOD NA UCET	756	24993	SIPO	OP	36553853
318935	1089	1997-01-06	VYDAJ	PREVOD NA UCET	756	25287	SIPO	OP	36553853
318936	1089	1997-02-06	VYDAJ	PREVOD NA UCET	756	21921	SIPO	OP	36553853
318937	1089	1997-03-06	VYDAJ	PREVOD NA UCET	756	25256	SIPO	OP	36553853
318938	1089	1997-04-06	VYDAJ	PREVOD NA UCET	756	25212	SIPO	OP	36553853
318939	1089	1997-05-06	VYDAJ	PREVOD NA UCET	756	26263	SIPO	OP	36553853
318940	1089	1997-06-06	VYDAJ	PREVOD NA UCET	756	18924	SIPO	OP	36553853
318941	1089	1997-07-06	VYDAJ	PREVOD NA UCET	756	27699	SIPO	OP	36553853
318942	1089	1997-08-06	VYDAJ	PREVOD NA UCET	756	27767	SIPO	OP	36553853
318943	1089	1997-09-06	VYDAJ	PREVOD NA UCET	756	27324	SIPO	OP	36553853
318944	1089	1997-10-06	VYDAJ	PREVOD NA UCET	756	15263	SIPO	OP	36553853
318945	1089	1997-11-06	VYDAJ	PREVOD NA UCET	756	19974	SIPO	OP	36553853
318946	1089	1997-12-06	VYDAJ	PREVOD NA UCET	756	25601	SIPO	OP	36553853
318947	1089	1998-01-06	VYDAJ	PREVOD NA UCET	756	29793	SIPO	OP	36553853
318948	1089	1998-02-06	VYDAJ	PREVOD NA UCET	756	19921	SIPO	OP	36553853
318949	1089	1998-03-06	VYDAJ	PREVOD NA UCET	756	21647	SIPO	OP	36553853
318950	1089	1998-04-06	VYDAJ	PREVOD NA UCET	756	18268	SIPO	OP	36553853
318951	1089	1998-05-06	VYDAJ	PREVOD NA UCET	756	23881	SIPO	OP	36553853
318952	1089	1998-06-06	VYDAJ	PREVOD NA UCET	756	17118	SIPO	OP	36553853
318953	1089	1998-07-06	VYDAJ	PREVOD NA UCET	756	19671	SIPO	OP	36553853
318954	1089	1998-08-06	VYDAJ	PREVOD NA UCET	756	12687	SIPO	OP	36553853
318955	1089	1998-09-06	VYDAJ	PREVOD NA UCET	756	22288	SIPO	OP	36553853
318956	1089	1998-10-06	VYDAJ	PREVOD NA UCET	756	31928	SIPO	OP	36553853
318957	1089	1998-11-06	VYDAJ	PREVOD NA UCET	756	15781	SIPO	OP	36553853
318958	1089	1998-12-06	VYDAJ	PREVOD NA UCET	756	25394	SIPO	OP	36553853
318973	1089	1996-03-10	VYDAJ	PREVOD NA UCET	2962	42781	 	QR	13997078
318974	1089	1996-04-10	VYDAJ	PREVOD NA UCET	2962	42277	 	QR	13997078
318975	1089	1996-05-10	VYDAJ	PREVOD NA UCET	2962	37257	 	QR	13997078
318976	1089	1996-06-10	VYDAJ	PREVOD NA UCET	2962	31050	 	QR	13997078
318977	1089	1996-07-10	VYDAJ	PREVOD NA UCET	2962	30092	 	QR	13997078
318978	1089	1996-08-10	VYDAJ	PREVOD NA UCET	2962	29125	 	QR	13997078
318979	1089	1996-09-10	VYDAJ	PREVOD NA UCET	2962	32558	 	QR	13997078
318980	1089	1996-10-10	VYDAJ	PREVOD NA UCET	2962	30698	 	QR	13997078
318981	1089	1996-11-10	VYDAJ	PREVOD NA UCET	2962	31138	 	QR	13997078
318982	1089	1996-12-10	VYDAJ	PREVOD NA UCET	2962	41903	 	QR	13997078
318983	1089	1997-01-10	VYDAJ	PREVOD NA UCET	2962	31173	 	QR	13997078
318984	1089	1997-02-10	VYDAJ	PREVOD NA UCET	2962	30507	 	QR	13997078
318985	1089	1997-03-10	VYDAJ	PREVOD NA UCET	2962	35542	 	QR	13997078
318986	1089	1997-04-10	VYDAJ	PREVOD NA UCET	2962	35498	 	QR	13997078
318987	1089	1997-05-10	VYDAJ	PREVOD NA UCET	2962	36549	 	QR	13997078
318988	1089	1997-06-10	VYDAJ	PREVOD NA UCET	2962	35834	 	QR	13997078
318989	1089	1997-07-10	VYDAJ	PREVOD NA UCET	2962	37985	 	QR	13997078
319116	1089	1996-01-08	VYDAJ	VYBER	1800	29748	\N	\N	\N
318990	1089	1997-08-10	VYDAJ	PREVOD NA UCET	2962	38053	 	QR	13997078
318991	1089	1997-09-10	VYDAJ	PREVOD NA UCET	2962	37610	 	QR	13997078
318992	1089	1997-10-10	VYDAJ	PREVOD NA UCET	2962	25549	 	QR	13997078
318993	1089	1997-11-10	VYDAJ	PREVOD NA UCET	2962	29760	 	QR	13997078
318994	1089	1997-12-10	VYDAJ	PREVOD NA UCET	2962	42511	 	QR	13997078
318995	1089	1998-01-10	VYDAJ	PREVOD NA UCET	2962	34779	 	QR	13997078
318996	1089	1998-02-10	VYDAJ	PREVOD NA UCET	2962	30207	 	QR	13997078
318997	1089	1998-03-10	VYDAJ	PREVOD NA UCET	2962	27533	 	QR	13997078
318998	1089	1998-04-10	VYDAJ	PREVOD NA UCET	2962	28554	 	QR	13997078
318999	1089	1998-05-10	VYDAJ	PREVOD NA UCET	2962	34167	 	QR	13997078
319000	1089	1998-06-10	VYDAJ	PREVOD NA UCET	2962	34028	 	QR	13997078
319001	1089	1998-07-10	VYDAJ	PREVOD NA UCET	2962	29957	 	QR	13997078
319002	1089	1998-08-10	VYDAJ	PREVOD NA UCET	2962	22973	 	QR	13997078
319003	1089	1998-09-10	VYDAJ	PREVOD NA UCET	2962	32574	 	QR	13997078
319004	1089	1998-10-10	VYDAJ	PREVOD NA UCET	2962	42214	 	QR	13997078
319005	1089	1998-11-10	VYDAJ	PREVOD NA UCET	2962	26067	 	QR	13997078
319006	1089	1998-12-10	VYDAJ	PREVOD NA UCET	2962	42304	 	QR	13997078
319008	1089	1996-06-05	VYDAJ	VYBER	19000	18396	\N	\N	\N
319009	1089	1997-06-03	VYDAJ	VYBER	6800	19680	\N	\N	\N
319013	1089	1997-01-28	VYDAJ	VYBER	1400	23873	\N	\N	\N
319014	1089	1998-01-21	VYDAJ	VYBER	1800	23079	\N	\N	\N
319016	1089	1996-12-15	VYDAJ	VYBER	2900	39003	\N	\N	\N
319017	1089	1997-12-23	VYDAJ	VYBER	2400	40111	\N	\N	\N
319018	1089	1998-12-14	VYDAJ	VYBER	2000	40304	\N	\N	\N
319031	1089	1997-01-05	VYDAJ	VYBER	1900	28443	\N	\N	\N
319032	1089	1997-01-14	VYDAJ	VYBER	1500	26473	\N	\N	\N
319033	1089	1997-01-14	VYDAJ	VYBER	600	27973	\N	\N	\N
319034	1089	1997-01-22	VYDAJ	VYBER	1200	25273	\N	\N	\N
319035	1089	1997-01-06	VYDAJ	VYBER	2400	26043	\N	\N	\N
319036	1089	1997-01-11	VYDAJ	VYBER	2600	28573	\N	\N	\N
319037	1089	1998-01-07	VYDAJ	VYBER	1300	26793	\N	\N	\N
319038	1089	1998-01-14	VYDAJ	VYBER	2400	28579	\N	\N	\N
319039	1089	1998-01-13	VYDAJ	VYBER	2300	30979	\N	\N	\N
319040	1089	1998-01-12	VYDAJ	VYBER	1500	33279	\N	\N	\N
319041	1089	1998-01-09	VYDAJ	VYBER	2300	37741	\N	\N	\N
319042	1089	1998-01-06	VYDAJ	VYBER	1700	28093	\N	\N	\N
319047	1089	1996-07-18	VYDAJ	VYBER	1800	28292	\N	\N	\N
319048	1089	1996-04-13	VYDAJ	VYBER	4300	37977	\N	\N	\N
319049	1089	1996-10-07	VYDAJ	VYBER	1000	20412	\N	\N	\N
319050	1089	1996-09-15	VYDAJ	VYBER	2200	30358	\N	\N	\N
319051	1089	1996-07-06	VYDAJ	VYBER	4000	25362	\N	\N	\N
319052	1089	1996-06-25	VYDAJ	VYBER	1800	29250	\N	\N	\N
319053	1089	1997-09-21	VYDAJ	VYBER	1800	27310	\N	\N	\N
319054	1089	1997-09-17	VYDAJ	VYBER	4200	29110	\N	\N	\N
319055	1089	1997-04-16	VYDAJ	VYBER	4100	31398	\N	\N	\N
319056	1089	1997-11-07	VYDAJ	VYBER	500	19474	\N	\N	\N
319057	1089	1997-01-10	VYDAJ	VYBER	4400	34135	\N	\N	\N
319058	1089	1997-09-16	VYDAJ	VYBER	4300	33310	\N	\N	\N
319059	1089	1997-10-04	VYDAJ	VYBER	1700	16019	\N	\N	\N
319060	1089	1997-02-10	VYDAJ	VYBER	1700	33469	\N	\N	\N
319061	1089	1997-08-20	VYDAJ	VYBER	3200	34853	\N	\N	\N
319062	1089	1998-03-09	VYDAJ	VYBER	4400	30495	\N	\N	\N
319063	1089	1998-04-13	VYDAJ	VYBER	4000	24554	\N	\N	\N
319064	1089	1998-01-20	VYDAJ	VYBER	3700	24879	\N	\N	\N
319081	1089	1996-03-31	VYDAJ	VYBER	15	42947	SLUZBY	\N	\N
319082	1089	1996-04-30	VYDAJ	VYBER	15	38127	SLUZBY	\N	\N
319083	1089	1996-05-31	VYDAJ	VYBER	15	37396	SLUZBY	\N	\N
319084	1089	1996-06-30	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
319085	1089	1996-07-31	VYDAJ	VYBER	15	28395	SLUZBY	\N	\N
319086	1089	1996-08-31	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
319087	1089	1996-09-30	VYDAJ	VYBER	15	30468	SLUZBY	\N	\N
319088	1089	1996-10-31	VYDAJ	VYBER	15	30808	SLUZBY	\N	\N
319089	1089	1996-11-30	VYDAJ	VYBER	15	31249	SLUZBY	\N	\N
319090	1089	1996-12-31	VYDAJ	VYBER	15	39143	SLUZBY	\N	\N
319091	1089	1997-01-31	VYDAJ	VYBER	15	23977	SLUZBY	\N	\N
319092	1089	1997-02-28	VYDAJ	VYBER	15	30612	SLUZBY	\N	\N
319093	1089	1997-03-31	VYDAJ	VYBER	15	35668	SLUZBY	\N	\N
319094	1089	1997-04-30	VYDAJ	VYBER	15	31519	SLUZBY	\N	\N
319095	1089	1997-05-31	VYDAJ	VYBER	15	36680	SLUZBY	\N	\N
319096	1089	1997-06-30	VYDAJ	VYBER	15	35955	SLUZBY	\N	\N
319097	1089	1997-07-31	VYDAJ	VYBER	15	38123	SLUZBY	\N	\N
319098	1089	1997-08-31	VYDAJ	VYBER	15	28080	SLUZBY	\N	\N
319099	1089	1997-09-30	VYDAJ	VYBER	15	17719	SLUZBY	\N	\N
319100	1089	1997-10-31	VYDAJ	VYBER	15	20730	SLUZBY	\N	\N
319101	1089	1997-11-30	VYDAJ	VYBER	15	26357	SLUZBY	\N	\N
319102	1089	1997-12-31	VYDAJ	VYBER	15	30549	SLUZBY	\N	\N
319103	1089	1998-01-31	VYDAJ	VYBER	15	20677	SLUZBY	\N	\N
319104	1089	1998-02-28	VYDAJ	VYBER	15	22403	SLUZBY	\N	\N
319105	1089	1998-03-31	VYDAJ	VYBER	15	19024	SLUZBY	\N	\N
319106	1089	1998-04-30	VYDAJ	VYBER	15	24637	SLUZBY	\N	\N
319107	1089	1998-05-31	VYDAJ	VYBER	15	17874	SLUZBY	\N	\N
319108	1089	1998-06-30	VYDAJ	VYBER	15	20427	SLUZBY	\N	\N
319109	1089	1998-07-31	VYDAJ	VYBER	15	13443	SLUZBY	\N	\N
319110	1089	1998-08-31	VYDAJ	VYBER	15	23044	SLUZBY	\N	\N
319111	1089	1998-09-30	VYDAJ	VYBER	15	32684	SLUZBY	\N	\N
319112	1089	1998-10-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
319113	1089	1998-11-30	VYDAJ	VYBER	15	26150	SLUZBY	\N	\N
319114	1089	1995-11-09	PRIJEM	VKLAD	6900	7400	\N	\N	\N
319115	1089	1995-12-09	VYDAJ	VYBER	9100	31443	\N	\N	\N
319117	1089	1996-02-07	VYDAJ	VYBER	11900	31263	\N	\N	\N
319118	1089	1996-03-08	VYDAJ	VYBER	12200	32495	\N	\N	\N
319119	1089	1996-04-07	VYDAJ	VYBER	10200	31991	\N	\N	\N
319120	1089	1996-05-07	VYDAJ	VYBER	10400	26971	\N	\N	\N
319121	1089	1996-06-06	VYDAJ	VYBER	3500	14896	\N	\N	\N
319122	1089	1996-07-06	VYDAJ	VYBER	4800	19806	\N	\N	\N
319123	1089	1996-08-05	VYDAJ	VYBER	8800	19595	\N	\N	\N
319124	1089	1996-09-04	VYDAJ	VYBER	6200	23028	\N	\N	\N
319125	1089	1996-10-04	VYDAJ	VYBER	8300	22168	\N	\N	\N
319126	1089	1996-11-03	VYDAJ	VYBER	9200	21608	\N	\N	\N
319127	1089	1996-12-03	VYDAJ	VYBER	5500	25749	\N	\N	\N
319128	1089	1997-01-02	VYDAJ	VYBER	8800	30343	\N	\N	\N
319129	1089	1997-02-01	VYDAJ	VYBER	1300	22677	\N	\N	\N
319130	1089	1997-03-03	VYDAJ	VYBER	4600	26012	\N	\N	\N
319131	1089	1997-04-02	VYDAJ	VYBER	9700	25968	\N	\N	\N
319132	1089	1997-05-02	VYDAJ	VYBER	4500	27019	\N	\N	\N
319133	1089	1997-06-01	VYDAJ	VYBER	10200	26480	\N	\N	\N
319134	1089	1997-07-01	VYDAJ	VYBER	7500	28455	\N	\N	\N
319135	1089	1997-07-31	VYDAJ	VYBER	9600	28523	\N	\N	\N
319136	1089	1997-08-30	VYDAJ	VYBER	6900	27953	\N	\N	\N
319137	1089	1997-09-29	VYDAJ	VYBER	9700	17610	\N	\N	\N
319138	1089	1997-10-29	VYDAJ	VYBER	4900	20649	\N	\N	\N
319139	1089	1997-11-28	VYDAJ	VYBER	3500	26260	\N	\N	\N
319140	1089	1997-12-28	VYDAJ	VYBER	9700	30411	\N	\N	\N
319141	1089	1998-01-27	VYDAJ	VYBER	2500	20579	\N	\N	\N
319142	1089	1998-02-26	VYDAJ	VYBER	7900	22307	\N	\N	\N
319143	1089	1998-03-28	VYDAJ	VYBER	8600	18933	\N	\N	\N
319144	1089	1998-05-27	VYDAJ	VYBER	16400	17767	\N	\N	\N
319145	1089	1998-06-26	VYDAJ	VYBER	13700	20328	\N	\N	\N
319146	1089	1998-07-26	VYDAJ	VYBER	16600	13357	\N	\N	\N
319147	1089	1998-10-24	VYDAJ	VYBER	25800	16414	\N	\N	\N
319148	1089	1998-12-23	VYDAJ	VYBER	26300	14004	\N	\N	\N
319187	1090	1996-10-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
319198	1090	1996-11-07	PRIJEM	VKLAD	6318	7318	\N	\N	\N
319199	1090	1996-12-07	PRIJEM	VKLAD	9477	25724	\N	\N	\N
319200	1090	1997-01-07	PRIJEM	VKLAD	6318	29222	\N	\N	\N
319201	1090	1997-02-07	PRIJEM	VKLAD	6318	33143	\N	\N	\N
319202	1090	1997-03-07	PRIJEM	VKLAD	6318	33774	\N	\N	\N
319203	1090	1997-04-07	PRIJEM	VKLAD	6318	28870	\N	\N	\N
319204	1090	1997-05-07	PRIJEM	VKLAD	6318	33062	\N	\N	\N
319205	1090	1997-06-07	PRIJEM	VKLAD	9477	33826	\N	\N	\N
319206	1090	1997-07-07	PRIJEM	VKLAD	6318	36639	\N	\N	\N
319207	1090	1997-08-07	PRIJEM	VKLAD	6318	39361	\N	\N	\N
319208	1090	1997-09-07	PRIJEM	VKLAD	6318	42394	\N	\N	\N
319209	1090	1997-10-07	PRIJEM	VKLAD	6318	42833	\N	\N	\N
319210	1090	1997-11-07	PRIJEM	VKLAD	6318	41769	\N	\N	\N
319211	1090	1997-12-07	PRIJEM	VKLAD	9477	49374	\N	\N	\N
319212	1090	1998-01-07	PRIJEM	VKLAD	6318	46339	\N	\N	\N
319213	1090	1998-02-07	PRIJEM	VKLAD	6318	37194	\N	\N	\N
319214	1090	1998-03-07	PRIJEM	VKLAD	6318	44732	\N	\N	\N
319215	1090	1998-04-07	PRIJEM	VKLAD	6318	48295	\N	\N	\N
319216	1090	1998-05-07	PRIJEM	VKLAD	6318	51170	\N	\N	\N
319217	1090	1998-06-07	PRIJEM	VKLAD	9477	59616	\N	\N	\N
319218	1090	1998-07-07	PRIJEM	VKLAD	6318	54207	\N	\N	\N
319219	1090	1998-08-07	PRIJEM	VKLAD	6318	52890	\N	\N	\N
319220	1090	1998-09-07	PRIJEM	VKLAD	6318	57192	\N	\N	\N
319221	1090	1998-10-07	PRIJEM	VKLAD	6318	58393	\N	\N	\N
319222	1090	1998-11-07	PRIJEM	VKLAD	6318	48383	\N	\N	\N
319223	1090	1998-12-07	PRIJEM	VKLAD	9477	54413	\N	\N	\N
319238	1090	1997-03-10	VYDAJ	PREVOD NA UCET	3317	30457	SIPO	ST	12971461
319239	1090	1997-04-10	VYDAJ	PREVOD NA UCET	3317	25553	SIPO	ST	12971461
319240	1090	1997-05-10	VYDAJ	PREVOD NA UCET	3317	29745	SIPO	ST	12971461
319241	1090	1997-06-10	VYDAJ	PREVOD NA UCET	3317	30509	SIPO	ST	12971461
319242	1090	1997-07-10	VYDAJ	PREVOD NA UCET	3317	33322	SIPO	ST	12971461
319243	1090	1997-08-10	VYDAJ	PREVOD NA UCET	3317	36044	SIPO	ST	12971461
319244	1090	1997-09-10	VYDAJ	PREVOD NA UCET	3317	39077	SIPO	ST	12971461
319245	1090	1997-10-10	VYDAJ	PREVOD NA UCET	3317	36016	SIPO	ST	12971461
319246	1090	1997-11-10	VYDAJ	PREVOD NA UCET	3317	38452	SIPO	ST	12971461
319247	1090	1997-12-10	VYDAJ	PREVOD NA UCET	3317	46057	SIPO	ST	12971461
319248	1090	1998-01-10	VYDAJ	PREVOD NA UCET	3317	43022	SIPO	ST	12971461
319249	1090	1998-02-10	VYDAJ	PREVOD NA UCET	3317	33877	SIPO	ST	12971461
319250	1090	1998-03-10	VYDAJ	PREVOD NA UCET	3317	41415	SIPO	ST	12971461
319251	1090	1998-04-10	VYDAJ	PREVOD NA UCET	3317	44978	SIPO	ST	12971461
319252	1090	1998-05-10	VYDAJ	PREVOD NA UCET	3317	47853	SIPO	ST	12971461
319253	1090	1998-06-10	VYDAJ	PREVOD NA UCET	3317	56299	SIPO	ST	12971461
319254	1090	1998-07-10	VYDAJ	PREVOD NA UCET	3317	50890	SIPO	ST	12971461
319255	1090	1998-08-10	VYDAJ	PREVOD NA UCET	3317	50673	SIPO	ST	12971461
319256	1090	1998-09-10	VYDAJ	PREVOD NA UCET	3317	51875	SIPO	ST	12971461
319257	1090	1998-10-10	VYDAJ	PREVOD NA UCET	3317	49776	SIPO	ST	12971461
319258	1090	1998-11-10	VYDAJ	PREVOD NA UCET	3317	44766	SIPO	ST	12971461
319259	1090	1998-12-10	VYDAJ	PREVOD NA UCET	3317	49496	SIPO	ST	12971461
319262	1090	1998-06-14	VYDAJ	VYBER	4200	47699	\N	\N	\N
319265	1090	1998-01-24	VYDAJ	VYBER	4400	34922	\N	\N	\N
319267	1090	1997-12-12	VYDAJ	VYBER	1600	44457	\N	\N	\N
319268	1090	1998-12-19	VYDAJ	VYBER	1900	47596	\N	\N	\N
319281	1090	1998-01-12	VYDAJ	VYBER	2300	44322	\N	\N	\N
319282	1090	1998-01-24	VYDAJ	VYBER	1200	33722	\N	\N	\N
319283	1090	1998-01-27	VYDAJ	VYBER	2400	31322	\N	\N	\N
319284	1090	1998-01-17	VYDAJ	VYBER	2900	41422	\N	\N	\N
319285	1090	1998-01-10	VYDAJ	VYBER	1600	41422	\N	\N	\N
319286	1090	1998-01-24	VYDAJ	VYBER	2100	39322	\N	\N	\N
319295	1090	1997-03-18	VYDAJ	VYBER	4000	26257	\N	\N	\N
319296	1090	1997-10-09	VYDAJ	VYBER	3500	39333	\N	\N	\N
319297	1090	1997-07-22	VYDAJ	VYBER	1700	32922	\N	\N	\N
319298	1090	1997-03-20	VYDAJ	VYBER	3800	22457	\N	\N	\N
319299	1090	1997-06-01	VYDAJ	VYBER	4900	24349	\N	\N	\N
319300	1090	1998-10-27	VYDAJ	VYBER	4600	41876	\N	\N	\N
319301	1090	1998-01-05	VYDAJ	VYBER	4000	40021	\N	\N	\N
319302	1090	1998-07-16	VYDAJ	VYBER	2500	46390	\N	\N	\N
319303	1090	1998-03-30	VYDAJ	VYBER	2900	41815	\N	\N	\N
319304	1090	1998-04-22	VYDAJ	VYBER	4000	44678	\N	\N	\N
319305	1090	1998-10-24	VYDAJ	VYBER	3300	46476	\N	\N	\N
319306	1090	1998-02-01	VYDAJ	VYBER	600	30876	\N	\N	\N
319322	1090	1997-03-31	VYDAJ	VYBER	15	22552	SLUZBY	\N	\N
319323	1090	1997-04-30	VYDAJ	VYBER	15	26744	SLUZBY	\N	\N
319324	1090	1997-05-31	VYDAJ	VYBER	15	29249	SLUZBY	\N	\N
319325	1090	1997-06-30	VYDAJ	VYBER	15	30321	SLUZBY	\N	\N
319326	1090	1997-07-31	VYDAJ	VYBER	15	33043	SLUZBY	\N	\N
319327	1090	1997-08-31	VYDAJ	VYBER	15	36076	SLUZBY	\N	\N
319328	1090	1997-09-30	VYDAJ	VYBER	15	36515	SLUZBY	\N	\N
319329	1090	1997-10-31	VYDAJ	VYBER	15	35451	SLUZBY	\N	\N
319330	1090	1997-11-30	VYDAJ	VYBER	15	39897	SLUZBY	\N	\N
319331	1090	1997-12-31	VYDAJ	VYBER	15	44021	SLUZBY	\N	\N
319332	1090	1998-01-31	VYDAJ	VYBER	15	31476	SLUZBY	\N	\N
319333	1090	1998-02-28	VYDAJ	VYBER	15	38414	SLUZBY	\N	\N
319334	1090	1998-03-31	VYDAJ	VYBER	15	41977	SLUZBY	\N	\N
319335	1090	1998-04-30	VYDAJ	VYBER	15	44852	SLUZBY	\N	\N
319336	1090	1998-05-31	VYDAJ	VYBER	15	50139	SLUZBY	\N	\N
319337	1090	1998-06-30	VYDAJ	VYBER	15	47889	SLUZBY	\N	\N
319338	1090	1998-07-31	VYDAJ	VYBER	15	46572	SLUZBY	\N	\N
319339	1090	1998-08-31	VYDAJ	VYBER	15	50874	SLUZBY	\N	\N
319340	1090	1998-09-30	VYDAJ	VYBER	15	52075	SLUZBY	\N	\N
319341	1090	1998-10-31	VYDAJ	VYBER	15	42065	SLUZBY	\N	\N
319342	1090	1998-11-30	VYDAJ	VYBER	15	44936	SLUZBY	\N	\N
319343	1090	1996-11-18	PRIJEM	VKLAD	8900	16218	\N	\N	\N
319344	1090	1996-12-18	VYDAJ	VYBER	2900	22824	\N	\N	\N
319345	1090	1997-01-17	VYDAJ	VYBER	2500	26722	\N	\N	\N
319346	1090	1997-02-16	VYDAJ	VYBER	5800	27343	\N	\N	\N
319347	1090	1997-03-18	VYDAJ	VYBER	200	30257	\N	\N	\N
319348	1090	1997-04-17	PRIJEM	VKLAD	1100	26653	\N	\N	\N
319349	1090	1997-05-17	VYDAJ	VYBER	600	29145	\N	\N	\N
319350	1090	1997-06-16	VYDAJ	VYBER	300	30209	\N	\N	\N
319351	1090	1997-07-16	PRIJEM	VKLAD	1300	34622	\N	\N	\N
319352	1090	1997-08-15	VYDAJ	VYBER	100	35944	\N	\N	\N
319353	1090	1997-09-14	VYDAJ	VYBER	2700	36377	\N	\N	\N
319354	1090	1997-10-14	VYDAJ	VYBER	700	35316	\N	\N	\N
319355	1090	1997-11-13	PRIJEM	VKLAD	1300	39752	\N	\N	\N
319356	1090	1997-12-13	VYDAJ	VYBER	600	43857	\N	\N	\N
319357	1090	1998-01-12	PRIJEM	VKLAD	5200	46622	\N	\N	\N
319358	1090	1998-02-11	PRIJEM	VKLAD	4400	38277	\N	\N	\N
319359	1090	1998-03-13	PRIJEM	VKLAD	3300	44715	\N	\N	\N
319360	1090	1998-04-12	PRIJEM	VKLAD	3700	48678	\N	\N	\N
319361	1090	1998-05-12	PRIJEM	VKLAD	2100	49953	\N	\N	\N
319362	1090	1998-06-11	VYDAJ	VYBER	4400	51899	\N	\N	\N
319363	1090	1998-07-11	VYDAJ	VYBER	2000	48890	\N	\N	\N
319364	1090	1998-08-10	PRIJEM	VKLAD	1100	53990	\N	\N	\N
319365	1090	1998-09-09	VYDAJ	VYBER	2000	55192	\N	\N	\N
319366	1090	1998-10-09	VYDAJ	VYBER	5300	53093	\N	\N	\N
319367	1090	1998-11-08	VYDAJ	VYBER	300	48083	\N	\N	\N
319368	1090	1998-12-08	VYDAJ	VYBER	1600	52813	\N	\N	\N
319395	1091	1993-09-09	PRIJEM	VKLAD	700	700	\N	\N	\N
319537	1091	1993-10-09	PRIJEM	VKLAD	11500	12200	\N	\N	\N
319538	1091	1993-11-08	PRIJEM	VKLAD	5200	17400	\N	\N	\N
319539	1091	1993-12-08	PRIJEM	VKLAD	2100	19500	\N	\N	\N
319540	1091	1994-01-07	PRIJEM	VKLAD	100	19600	\N	\N	\N
319541	1091	1994-02-06	PRIJEM	VKLAD	2600	22200	\N	\N	\N
319542	1091	1994-03-08	VYDAJ	VYBER	300	21900	\N	\N	\N
319543	1091	1994-04-07	PRIJEM	VKLAD	3400	25300	\N	\N	\N
319544	1091	1994-06-06	PRIJEM	VKLAD	1300	26600	\N	\N	\N
319545	1091	1994-07-06	VYDAJ	VYBER	2200	24400	\N	\N	\N
319546	1091	1994-08-05	VYDAJ	VYBER	300	24100	\N	\N	\N
319547	1091	1994-09-04	VYDAJ	VYBER	1400	22700	\N	\N	\N
319548	1091	1994-10-04	VYDAJ	VYBER	400	22300	\N	\N	\N
319549	1091	1994-11-03	PRIJEM	VKLAD	3200	25500	\N	\N	\N
319550	1091	1994-12-03	PRIJEM	VKLAD	1600	27100	\N	\N	\N
319551	1091	1995-01-02	VYDAJ	VYBER	1700	25400	\N	\N	\N
319552	1091	1995-02-01	PRIJEM	VKLAD	1800	27200	\N	\N	\N
319553	1091	1995-03-03	PRIJEM	VKLAD	200	27400	\N	\N	\N
319554	1091	1995-04-02	PRIJEM	VKLAD	3000	30400	\N	\N	\N
319555	1091	1995-05-02	VYDAJ	VYBER	2300	28100	\N	\N	\N
319556	1091	1995-06-01	PRIJEM	VKLAD	600	28700	\N	\N	\N
319557	1091	1995-07-01	VYDAJ	VYBER	2900	25800	\N	\N	\N
319558	1091	1995-07-31	VYDAJ	VYBER	500	25303	\N	\N	\N
319559	1091	1995-08-30	PRIJEM	VKLAD	200	25503	\N	\N	\N
319560	1091	1995-09-29	PRIJEM	VKLAD	1200	26809	\N	\N	\N
319561	1091	1995-10-29	PRIJEM	VKLAD	2900	29814	\N	\N	\N
319562	1091	1995-11-28	PRIJEM	VKLAD	1400	31320	\N	\N	\N
319563	1091	1995-12-28	VYDAJ	VYBER	800	30625	\N	\N	\N
319564	1091	1996-01-27	PRIJEM	VKLAD	1600	32331	\N	\N	\N
319565	1091	1996-02-26	PRIJEM	VKLAD	3900	36336	\N	\N	\N
319566	1091	1996-03-27	PRIJEM	VKLAD	500	36941	\N	\N	\N
319567	1091	1996-04-26	PRIJEM	VKLAD	3200	40247	\N	\N	\N
319568	1091	1996-05-26	PRIJEM	VKLAD	600	40952	\N	\N	\N
319569	1091	1996-06-25	VYDAJ	VYBER	2300	38758	\N	\N	\N
319570	1091	1996-07-25	PRIJEM	VKLAD	3500	42363	\N	\N	\N
319571	1091	1996-08-24	PRIJEM	VKLAD	1400	43869	\N	\N	\N
319572	1091	1996-09-23	PRIJEM	VKLAD	3300	47274	\N	\N	\N
319573	1091	1996-10-23	PRIJEM	VKLAD	600	47979	\N	\N	\N
319574	1091	1996-11-22	PRIJEM	VKLAD	700	48785	\N	\N	\N
319575	1091	1996-12-22	PRIJEM	VKLAD	500	49390	\N	\N	\N
319576	1091	1997-01-21	PRIJEM	VKLAD	4200	53696	\N	\N	\N
319577	1091	1997-02-20	VYDAJ	VYBER	1900	51901	\N	\N	\N
319578	1091	1997-03-22	PRIJEM	VKLAD	200	52207	\N	\N	\N
319579	1091	1997-04-21	VYDAJ	VYBER	1600	50712	\N	\N	\N
319580	1091	1997-05-21	PRIJEM	VKLAD	1100	51917	\N	\N	\N
319581	1091	1997-06-20	PRIJEM	VKLAD	1400	53423	\N	\N	\N
319582	1091	1997-07-20	PRIJEM	VKLAD	5700	59228	\N	\N	\N
319583	1091	1997-08-19	VYDAJ	VYBER	1200	58134	\N	\N	\N
319584	1091	1997-09-18	PRIJEM	VKLAD	3800	62039	\N	\N	\N
319585	1091	1997-10-18	PRIJEM	VKLAD	3200	65345	\N	\N	\N
319586	1091	1997-11-17	PRIJEM	VKLAD	3700	69150	\N	\N	\N
319587	1091	1997-12-17	PRIJEM	VKLAD	2000	71255	\N	\N	\N
319588	1091	1998-01-16	PRIJEM	VKLAD	1200	72561	\N	\N	\N
319589	1091	1998-02-15	PRIJEM	VKLAD	3100	75766	\N	\N	\N
319590	1091	1998-03-17	PRIJEM	VKLAD	3800	79672	\N	\N	\N
319591	1091	1998-04-16	PRIJEM	VKLAD	700	80477	\N	\N	\N
319592	1091	1998-05-16	VYDAJ	VYBER	800	79783	\N	\N	\N
319593	1091	1998-06-15	VYDAJ	VYBER	2500	77388	\N	\N	\N
319594	1091	1998-07-15	VYDAJ	VYBER	1600	75893	\N	\N	\N
319595	1091	1998-08-14	PRIJEM	VKLAD	6800	82799	\N	\N	\N
319596	1091	1998-09-13	PRIJEM	VKLAD	2800	85704	\N	\N	\N
319597	1091	1998-10-13	VYDAJ	VYBER	1500	84310	\N	\N	\N
319598	1091	1998-11-12	PRIJEM	VKLAD	1500	85915	\N	\N	\N
319599	1091	1998-12-12	PRIJEM	VKLAD	5500	91521	\N	\N	\N
319641	1092	1995-06-06	PRIJEM	VKLAD	900	900	\N	\N	\N
319648	1092	1995-07-05	PRIJEM	VKLAD	11987	12887	\N	\N	\N
319649	1092	1995-08-05	PRIJEM	VKLAD	11987	32245	\N	\N	\N
319650	1092	1995-09-05	PRIJEM	VKLAD	11987	37736	\N	\N	\N
319651	1092	1995-10-05	PRIJEM	VKLAD	11987	43074	\N	\N	\N
319652	1092	1995-11-05	PRIJEM	VKLAD	11987	47538	\N	\N	\N
319653	1092	1995-12-05	PRIJEM	VKLAD	17980	48616	\N	\N	\N
319654	1092	1996-01-05	PRIJEM	VKLAD	11987	44504	\N	\N	\N
319655	1092	1996-02-05	PRIJEM	VKLAD	11987	38042	\N	\N	\N
319656	1092	1996-03-05	PRIJEM	VKLAD	11987	41384	\N	\N	\N
319657	1092	1996-04-05	PRIJEM	VKLAD	11987	42241	\N	\N	\N
319658	1092	1996-05-05	PRIJEM	VKLAD	11987	39203	\N	\N	\N
319659	1092	1996-06-05	PRIJEM	VKLAD	17980	46245	\N	\N	\N
319660	1092	1996-07-05	PRIJEM	VKLAD	11987	33186	\N	\N	\N
319661	1092	1996-08-05	PRIJEM	VKLAD	11987	34302	\N	\N	\N
319662	1092	1996-09-05	PRIJEM	VKLAD	11987	36023	\N	\N	\N
319663	1092	1996-10-05	PRIJEM	VKLAD	11987	34441	\N	\N	\N
319664	1092	1996-11-05	PRIJEM	VKLAD	11987	31859	\N	\N	\N
319665	1092	1996-12-05	PRIJEM	VKLAD	17980	38461	\N	\N	\N
319666	1092	1997-01-05	PRIJEM	VKLAD	11987	34081	\N	\N	\N
319667	1092	1997-02-05	PRIJEM	VKLAD	11987	26280	\N	\N	\N
319668	1092	1997-03-05	PRIJEM	VKLAD	11987	28568	\N	\N	\N
319669	1092	1997-04-05	PRIJEM	VKLAD	11987	29869	\N	\N	\N
319670	1092	1997-05-05	PRIJEM	VKLAD	11987	29068	\N	\N	\N
319671	1092	1997-06-05	PRIJEM	VKLAD	17980	34355	\N	\N	\N
319672	1092	1997-07-05	PRIJEM	VKLAD	11987	33566	\N	\N	\N
319673	1092	1997-08-05	PRIJEM	VKLAD	11987	32679	\N	\N	\N
319674	1092	1997-09-05	PRIJEM	VKLAD	11987	30179	\N	\N	\N
319675	1092	1997-10-05	PRIJEM	VKLAD	11987	27173	\N	\N	\N
319676	1092	1997-11-05	PRIJEM	VKLAD	11987	27558	\N	\N	\N
319677	1092	1997-12-05	PRIJEM	VKLAD	17980	30333	\N	\N	\N
319678	1092	1998-01-05	PRIJEM	VKLAD	11987	35429	\N	\N	\N
319679	1092	1998-02-05	PRIJEM	VKLAD	11987	27419	\N	\N	\N
319680	1092	1998-03-05	PRIJEM	VKLAD	11987	28104	\N	\N	\N
319681	1092	1998-04-05	PRIJEM	VKLAD	11987	24386	\N	\N	\N
319682	1092	1998-05-05	PRIJEM	VKLAD	11987	30766	\N	\N	\N
319683	1092	1998-06-05	PRIJEM	VKLAD	17980	32751	\N	\N	\N
319684	1092	1998-07-05	PRIJEM	VKLAD	11987	27630	\N	\N	\N
319685	1092	1998-08-05	PRIJEM	VKLAD	11987	27012	\N	\N	\N
319686	1092	1998-09-05	PRIJEM	VKLAD	11987	26592	\N	\N	\N
319687	1092	1998-10-05	PRIJEM	VKLAD	11987	25467	\N	\N	\N
319688	1092	1998-11-05	PRIJEM	VKLAD	11987	29350	\N	\N	\N
319689	1092	1998-12-05	PRIJEM	VKLAD	17980	36831	\N	\N	\N
319700	1092	1995-11-07	VYDAJ	PREVOD NA UCET	5664	41874	SIPO	ST	40163117
319701	1092	1995-12-07	VYDAJ	PREVOD NA UCET	5664	42952	SIPO	ST	40163117
319702	1092	1996-01-07	VYDAJ	PREVOD NA UCET	5664	32740	SIPO	ST	40163117
319703	1092	1996-02-07	VYDAJ	PREVOD NA UCET	5664	32378	SIPO	ST	40163117
319704	1092	1996-03-07	VYDAJ	PREVOD NA UCET	5664	35720	SIPO	ST	40163117
319705	1092	1996-04-07	VYDAJ	PREVOD NA UCET	5664	36577	SIPO	ST	40163117
319706	1092	1996-05-07	VYDAJ	PREVOD NA UCET	5664	33539	SIPO	ST	40163117
319707	1092	1996-06-07	VYDAJ	PREVOD NA UCET	5664	40581	SIPO	ST	40163117
319708	1092	1996-07-07	VYDAJ	PREVOD NA UCET	5664	27522	SIPO	ST	40163117
319709	1092	1996-08-07	VYDAJ	PREVOD NA UCET	5664	28638	SIPO	ST	40163117
319710	1092	1996-09-07	VYDAJ	PREVOD NA UCET	5664	26759	SIPO	ST	40163117
319711	1092	1996-10-07	VYDAJ	PREVOD NA UCET	5664	28777	SIPO	ST	40163117
319712	1092	1996-11-07	VYDAJ	PREVOD NA UCET	5664	26195	SIPO	ST	40163117
319713	1092	1996-12-07	VYDAJ	PREVOD NA UCET	5664	32797	SIPO	ST	40163117
319714	1092	1997-01-07	VYDAJ	PREVOD NA UCET	5664	23717	SIPO	ST	40163117
319715	1092	1997-02-07	VYDAJ	PREVOD NA UCET	5664	20616	SIPO	ST	40163117
319716	1092	1997-03-07	VYDAJ	PREVOD NA UCET	5664	22904	SIPO	ST	40163117
319717	1092	1997-04-07	VYDAJ	PREVOD NA UCET	5664	24205	SIPO	ST	40163117
319718	1092	1997-05-07	VYDAJ	PREVOD NA UCET	5664	23404	SIPO	ST	40163117
319719	1092	1997-06-07	VYDAJ	PREVOD NA UCET	5664	28691	SIPO	ST	40163117
319720	1092	1997-07-07	VYDAJ	PREVOD NA UCET	5664	27902	SIPO	ST	40163117
319721	1092	1997-08-07	VYDAJ	PREVOD NA UCET	5664	27015	SIPO	ST	40163117
319722	1092	1997-09-07	VYDAJ	PREVOD NA UCET	5664	24515	SIPO	ST	40163117
319723	1092	1997-10-07	VYDAJ	PREVOD NA UCET	5664	21509	SIPO	ST	40163117
319724	1092	1997-11-07	VYDAJ	PREVOD NA UCET	5664	21894	SIPO	ST	40163117
319725	1092	1997-12-07	VYDAJ	PREVOD NA UCET	5664	24669	SIPO	ST	40163117
319726	1092	1998-01-07	VYDAJ	PREVOD NA UCET	5664	25965	SIPO	ST	40163117
319727	1092	1998-02-07	VYDAJ	PREVOD NA UCET	5664	21755	SIPO	ST	40163117
319728	1092	1998-03-07	VYDAJ	PREVOD NA UCET	5664	22440	SIPO	ST	40163117
319729	1092	1998-04-07	VYDAJ	PREVOD NA UCET	5664	18722	SIPO	ST	40163117
319730	1092	1998-05-07	VYDAJ	PREVOD NA UCET	5664	25102	SIPO	ST	40163117
319731	1092	1998-06-07	VYDAJ	PREVOD NA UCET	5664	22487	SIPO	ST	40163117
319732	1092	1998-07-07	VYDAJ	PREVOD NA UCET	5664	21966	SIPO	ST	40163117
319733	1092	1998-08-07	VYDAJ	PREVOD NA UCET	5664	21348	SIPO	ST	40163117
319734	1092	1998-09-07	VYDAJ	PREVOD NA UCET	5664	20928	SIPO	ST	40163117
319735	1092	1998-10-07	VYDAJ	PREVOD NA UCET	5664	19803	SIPO	ST	40163117
319736	1092	1998-11-07	VYDAJ	PREVOD NA UCET	5664	18786	SIPO	ST	40163117
319737	1092	1998-12-07	VYDAJ	PREVOD NA UCET	5664	31167	SIPO	ST	40163117
319739	1092	1996-06-20	VYDAJ	VYBER	15200	25381	\N	\N	\N
319741	1092	1998-06-13	VYDAJ	VYBER	6900	15587	\N	\N	\N
319743	1092	1996-01-06	VYDAJ	VYBER	3300	39004	\N	\N	\N
319746	1092	1995-12-29	VYDAJ	VYBER	1700	41252	\N	\N	\N
319747	1092	1996-12-07	VYDAJ	VYBER KARTOU	2800	29997	\N	\N	0
319748	1092	1997-12-07	VYDAJ	VYBER KARTOU	1300	23369	\N	\N	0
319749	1092	1998-12-30	VYDAJ	VYBER KARTOU	900	19967	\N	\N	0
319756	1092	1996-01-14	VYDAJ	VYBER	500	32240	\N	\N	\N
319757	1092	1996-01-15	VYDAJ	VYBER	2900	29340	\N	\N	\N
319758	1092	1996-01-05	VYDAJ	VYBER	2200	42304	\N	\N	\N
319759	1092	1996-01-06	VYDAJ	VYBER	600	38404	\N	\N	\N
319760	1092	1996-01-01	VYDAJ	VYBER	1000	40417	\N	\N	\N
319761	1092	1996-01-21	VYDAJ	VYBER	1400	27940	\N	\N	\N
319762	1092	1997-01-25	VYDAJ	VYBER KARTOU	1300	20217	\N	\N	0
319763	1092	1997-01-09	VYDAJ	VYBER KARTOU	1500	22217	\N	\N	0
319764	1092	1997-01-07	VYDAJ	VYBER KARTOU	1900	29381	\N	\N	0
319765	1092	1997-01-22	VYDAJ	VYBER KARTOU	700	21517	\N	\N	0
319766	1092	1997-01-01	VYDAJ	VYBER KARTOU	500	22094	\N	\N	0
319767	1092	1997-01-05	VYDAJ	VYBER KARTOU	2800	31281	\N	\N	0
319768	1092	1998-01-21	VYDAJ	VYBER KARTOU	1600	15365	\N	\N	0
319769	1092	1998-01-11	VYDAJ	VYBER KARTOU	700	22465	\N	\N	0
319770	1092	1998-01-10	VYDAJ	VYBER KARTOU	2800	23165	\N	\N	0
319771	1092	1998-01-05	VYDAJ	VYBER KARTOU	1000	34429	\N	\N	0
319772	1092	1998-01-19	VYDAJ	VYBER KARTOU	1000	16965	\N	\N	0
319773	1092	1998-01-06	VYDAJ	VYBER KARTOU	2800	31629	\N	\N	0
319779	1092	1996-12-10	VYDAJ	VYBER KARTOU	800	29197	\N	\N	0
319780	1092	1996-02-03	VYDAJ	VYBER	1000	26055	\N	\N	\N
319781	1092	1996-05-14	VYDAJ	VYBER KARTOU	1000	32539	\N	\N	0
319782	1092	1996-07-29	VYDAJ	VYBER KARTOU	3500	24022	\N	\N	0
319783	1092	1996-06-27	VYDAJ	VYBER KARTOU	3700	21681	\N	\N	0
319784	1092	1996-09-05	VYDAJ	VYBER KARTOU	3600	32423	\N	\N	0
319785	1092	1997-03-01	VYDAJ	VYBER	4300	16581	\N	\N	\N
319786	1092	1997-08-08	VYDAJ	VYBER KARTOU	2600	24415	\N	\N	0
319788	1092	1997-01-29	VYDAJ	VYBER KARTOU	1500	14217	\N	\N	0
319790	1092	1998-01-13	VYDAJ	VYBER	4500	17965	\N	\N	\N
319791	1092	1998-10-29	VYDAJ	VYBER KARTOU	2500	17303	\N	\N	0
319792	1092	1998-11-05	VYDAJ	VYBER	4900	24450	\N	\N	\N
319793	1092	1998-06-06	VYDAJ	VYBER	4600	28151	\N	\N	\N
319806	1092	1995-11-30	VYDAJ	VYBER	15	42036	SLUZBY	\N	\N
319807	1092	1995-12-31	VYDAJ	VYBER	15	41417	SLUZBY	\N	\N
319808	1092	1996-01-31	VYDAJ	VYBER	15	28055	SLUZBY	\N	\N
319809	1092	1996-02-29	VYDAJ	VYBER	15	32497	SLUZBY	\N	\N
319810	1092	1996-03-31	VYDAJ	VYBER	15	35854	SLUZBY	\N	\N
319811	1092	1996-04-30	VYDAJ	VYBER	15	36716	SLUZBY	\N	\N
319812	1092	1996-05-31	VYDAJ	VYBER	15	28265	SLUZBY	\N	\N
319813	1092	1996-06-30	VYDAJ	VYBER	15	21199	SLUZBY	\N	\N
319814	1092	1996-07-31	VYDAJ	VYBER	15	22315	SLUZBY	\N	\N
319815	1092	1996-08-31	VYDAJ	VYBER	15	24036	SLUZBY	\N	\N
319816	1092	1996-09-30	VYDAJ	VYBER	15	22454	SLUZBY	\N	\N
319817	1092	1996-10-31	VYDAJ	VYBER	15	19872	SLUZBY	\N	\N
319818	1092	1996-11-30	VYDAJ	VYBER	15	20481	SLUZBY	\N	\N
319819	1092	1996-12-31	VYDAJ	VYBER	15	22594	SLUZBY	\N	\N
319820	1092	1997-01-31	VYDAJ	VYBER	15	14293	SLUZBY	\N	\N
319821	1092	1997-02-28	VYDAJ	VYBER	15	20881	SLUZBY	\N	\N
319822	1092	1997-03-31	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
319823	1092	1997-04-30	VYDAJ	VYBER	15	17081	SLUZBY	\N	\N
319824	1092	1997-05-31	VYDAJ	VYBER	15	16375	SLUZBY	\N	\N
319825	1092	1997-06-30	VYDAJ	VYBER	15	21579	SLUZBY	\N	\N
319826	1092	1997-07-31	VYDAJ	VYBER	15	20692	SLUZBY	\N	\N
319827	1092	1997-08-31	VYDAJ	VYBER	15	18192	SLUZBY	\N	\N
319828	1092	1997-09-30	VYDAJ	VYBER	15	15186	SLUZBY	\N	\N
319829	1092	1997-10-31	VYDAJ	VYBER	15	15571	SLUZBY	\N	\N
319830	1092	1997-11-30	VYDAJ	VYBER	15	12353	SLUZBY	\N	\N
319831	1092	1997-12-31	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
319832	1092	1998-01-31	VYDAJ	VYBER	15	15432	SLUZBY	\N	\N
319833	1092	1998-02-28	VYDAJ	VYBER	15	16117	SLUZBY	\N	\N
319834	1092	1998-03-31	VYDAJ	VYBER	15	12399	SLUZBY	\N	\N
319835	1092	1998-04-30	VYDAJ	VYBER	15	18779	SLUZBY	\N	\N
319836	1092	1998-05-31	VYDAJ	VYBER	15	14771	SLUZBY	\N	\N
319837	1092	1998-06-30	VYDAJ	VYBER	15	15643	SLUZBY	\N	\N
319838	1092	1998-07-31	VYDAJ	VYBER	15	15025	SLUZBY	\N	\N
319839	1092	1998-08-31	VYDAJ	VYBER	15	14605	SLUZBY	\N	\N
319840	1092	1998-09-30	VYDAJ	VYBER	15	13480	SLUZBY	\N	\N
319841	1092	1998-10-31	VYDAJ	VYBER	15	17363	SLUZBY	\N	\N
319842	1092	1998-11-30	VYDAJ	VYBER	15	18851	SLUZBY	\N	\N
319843	1092	1995-07-06	PRIJEM	VKLAD	7300	20187	\N	\N	\N
319844	1092	1995-08-05	VYDAJ	VYBER	6400	25845	\N	\N	\N
319845	1092	1995-09-04	VYDAJ	VYBER	200	25749	\N	\N	\N
319846	1092	1995-10-04	VYDAJ	VYBER	6800	31087	\N	\N	\N
319847	1092	1995-11-03	VYDAJ	VYBER	7700	35551	\N	\N	\N
319848	1092	1995-12-03	VYDAJ	VYBER	11400	30636	\N	\N	\N
319849	1092	1996-01-02	VYDAJ	VYBER	7900	32517	\N	\N	\N
319850	1092	1996-02-01	VYDAJ	VYBER	1000	27055	\N	\N	\N
319851	1092	1996-03-02	VYDAJ	VYBER	3100	29397	\N	\N	\N
319852	1092	1996-04-01	VYDAJ	VYBER	5600	30254	\N	\N	\N
319853	1092	1996-05-01	VYDAJ	VYBER	9500	27216	\N	\N	\N
319854	1092	1996-05-31	VYDAJ	VYBER	4400	28279	\N	\N	\N
319855	1092	1996-06-30	VYDAJ	VYBER KARTOU	600	21214	\N	\N	0
319856	1092	1996-07-30	VYDAJ	VYBER KARTOU	1800	22222	\N	\N	0
319857	1092	1996-08-29	VYDAJ	VYBER	4700	23938	\N	\N	\N
319858	1092	1996-09-28	VYDAJ	VYBER	4400	22359	\N	\N	\N
319859	1092	1996-10-28	VYDAJ	VYBER	9000	19777	\N	\N	\N
319860	1092	1996-11-27	VYDAJ	VYBER	5800	20395	\N	\N	\N
319861	1092	1996-12-27	VYDAJ	VYBER	6700	22497	\N	\N	\N
319862	1092	1997-01-26	VYDAJ	VYBER	4500	15717	\N	\N	\N
319863	1092	1997-02-25	PRIJEM	VKLAD	200	20816	\N	\N	\N
319864	1092	1997-03-27	VYDAJ	VYBER	5100	17804	\N	\N	\N
319865	1092	1997-04-26	VYDAJ	VYBER	7200	17005	\N	\N	\N
319866	1092	1997-05-26	VYDAJ	VYBER	7100	16304	\N	\N	\N
319867	1092	1997-06-25	VYDAJ	VYBER	7200	21491	\N	\N	\N
319868	1092	1997-07-25	VYDAJ	VYBER	7300	20602	\N	\N	\N
319869	1092	1997-08-24	VYDAJ	VYBER	6300	18115	\N	\N	\N
319870	1092	1997-09-23	VYDAJ	VYBER	9400	15115	\N	\N	\N
319871	1092	1997-10-23	VYDAJ	VYBER	6000	15509	\N	\N	\N
319872	1092	1997-11-22	VYDAJ	VYBER	9600	12294	\N	\N	\N
319873	1092	1998-02-20	VYDAJ	VYBER	5700	16055	\N	\N	\N
319874	1092	1998-03-22	VYDAJ	VYBER	10100	12340	\N	\N	\N
319875	1092	1998-05-21	VYDAJ	VYBER	10400	14702	\N	\N	\N
319876	1092	1998-07-20	VYDAJ	VYBER	7000	14966	\N	\N	\N
319877	1092	1998-08-19	VYDAJ	VYBER	6800	14548	\N	\N	\N
319878	1092	1998-09-18	VYDAJ	VYBER	7500	13428	\N	\N	\N
319879	1092	1998-12-17	VYDAJ	VYBER	10300	20867	\N	\N	\N
319922	1093	1996-01-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
319924	1093	1996-02-07	PRIJEM	PREVOD Z UCTU	48137	49137	\N	QR	19132757
319925	1093	1996-03-07	PRIJEM	PREVOD Z UCTU	48137	84362	\N	QR	19132757
319926	1093	1996-04-07	PRIJEM	PREVOD Z UCTU	48137	100489	\N	QR	19132757
319927	1093	1996-05-07	PRIJEM	PREVOD Z UCTU	48137	111470	\N	QR	19132757
319928	1093	1996-06-07	PRIJEM	PREVOD Z UCTU	72206	121007	\N	QR	19132757
319929	1093	1996-07-07	PRIJEM	PREVOD Z UCTU	48137	90589	\N	QR	19132757
319930	1093	1996-08-07	PRIJEM	PREVOD Z UCTU	48137	85576	\N	QR	19132757
319931	1093	1996-09-07	PRIJEM	PREVOD Z UCTU	48137	61720	\N	QR	19132757
319932	1093	1996-10-07	PRIJEM	PREVOD Z UCTU	48137	74259	\N	QR	19132757
319933	1093	1996-11-07	PRIJEM	PREVOD Z UCTU	48137	80588	\N	QR	19132757
319934	1093	1996-12-07	PRIJEM	PREVOD Z UCTU	72206	96516	\N	QR	19132757
319935	1093	1997-01-07	PRIJEM	PREVOD Z UCTU	48137	63986	\N	QR	19132757
319936	1093	1997-02-07	PRIJEM	PREVOD Z UCTU	48137	71760	\N	QR	19132757
319937	1093	1997-03-07	PRIJEM	PREVOD Z UCTU	48137	80772	\N	QR	19132757
319938	1093	1997-04-07	PRIJEM	PREVOD Z UCTU	48137	66577	\N	QR	19132757
319939	1093	1997-05-07	PRIJEM	PREVOD Z UCTU	48137	67359	\N	QR	19132757
319940	1093	1997-06-07	PRIJEM	PREVOD Z UCTU	72206	94000	\N	QR	19132757
319941	1093	1997-07-07	PRIJEM	PREVOD Z UCTU	48137	91473	\N	QR	19132757
319942	1093	1997-08-07	PRIJEM	PREVOD Z UCTU	48137	74188	\N	QR	19132757
319943	1093	1997-09-07	PRIJEM	PREVOD Z UCTU	48137	69881	\N	QR	19132757
319944	1093	1997-10-07	PRIJEM	PREVOD Z UCTU	48137	76746	\N	QR	19132757
319945	1093	1997-11-07	PRIJEM	PREVOD Z UCTU	48137	64165	\N	QR	19132757
319946	1093	1997-12-07	PRIJEM	PREVOD Z UCTU	72206	92901	\N	QR	19132757
319947	1093	1998-01-07	PRIJEM	PREVOD Z UCTU	48137	73817	\N	QR	19132757
319948	1093	1998-02-07	PRIJEM	PREVOD Z UCTU	48137	63401	\N	QR	19132757
319949	1093	1998-03-07	PRIJEM	PREVOD Z UCTU	48137	73417	\N	QR	19132757
319950	1093	1998-04-07	PRIJEM	PREVOD Z UCTU	48137	60245	\N	QR	19132757
319951	1093	1998-05-07	PRIJEM	PREVOD Z UCTU	48137	66070	\N	QR	19132757
319952	1093	1998-06-07	PRIJEM	PREVOD Z UCTU	72206	95672	\N	QR	19132757
319953	1093	1998-07-07	PRIJEM	PREVOD Z UCTU	48137	71375	\N	QR	19132757
319954	1093	1998-08-07	PRIJEM	PREVOD Z UCTU	48137	67021	\N	QR	19132757
319955	1093	1998-09-07	PRIJEM	PREVOD Z UCTU	48137	74755	\N	QR	19132757
319956	1093	1998-10-07	PRIJEM	PREVOD Z UCTU	48137	78684	\N	QR	19132757
319957	1093	1998-11-07	PRIJEM	PREVOD Z UCTU	48137	83659	\N	QR	19132757
319958	1093	1998-12-07	PRIJEM	PREVOD Z UCTU	72206	107506	\N	QR	19132757
319964	1093	1996-06-22	VYDAJ	VYBER	9800	42246	\N	\N	0
319965	1093	1996-07-10	VYDAJ	VYBER	10100	70228	\N	\N	0
319966	1093	1996-08-14	VYDAJ	VYBER	7900	33196	\N	\N	0
319967	1093	1996-09-02	VYDAJ	VYBER	9000	13583	\N	\N	0
319968	1093	1996-10-24	VYDAJ	VYBER	5500	32308	\N	\N	0
319969	1093	1996-11-18	VYDAJ	VYBER	7100	37127	\N	\N	0
319970	1093	1996-11-30	VYDAJ	VYBER	10600	26685	\N	\N	0
319971	1093	1997-01-12	VYDAJ	VYBER	6200	30425	\N	\N	0
319972	1093	1997-02-11	VYDAJ	VYBER	7900	32499	\N	\N	0
319973	1093	1997-03-18	VYDAJ	VYBER	7900	18331	\N	\N	0
319974	1093	1997-04-08	VYDAJ	VYBER	9400	30316	\N	\N	0
319975	1093	1997-05-03	VYDAJ	VYBER	11200	19222	\N	\N	0
319976	1093	1997-06-14	VYDAJ	VYBER	8600	43139	\N	\N	0
319977	1093	1997-07-12	VYDAJ	PREVOD NA UCET	8023	38489	UVER	ST	99570404
319978	1093	1997-08-12	VYDAJ	PREVOD NA UCET	8023	55905	UVER	ST	99570404
319979	1093	1997-09-12	VYDAJ	PREVOD NA UCET	8023	51597	UVER	ST	99570404
319980	1093	1997-10-12	VYDAJ	PREVOD NA UCET	8023	58462	UVER	ST	99570404
319981	1093	1997-11-12	VYDAJ	PREVOD NA UCET	8023	28446	UVER	ST	99570404
319982	1093	1997-12-12	VYDAJ	PREVOD NA UCET	8023	68617	UVER	ST	99570404
319983	1093	1998-01-12	VYDAJ	PREVOD NA UCET	8023	40833	UVER	ST	99570404
319984	1093	1998-02-12	VYDAJ	PREVOD NA UCET	8023	45117	UVER	ST	99570404
319985	1093	1998-03-12	VYDAJ	PREVOD NA UCET	8023	55133	UVER	ST	99570404
319986	1093	1998-04-12	VYDAJ	PREVOD NA UCET	8023	37408	UVER	ST	99570404
319987	1093	1998-05-12	VYDAJ	PREVOD NA UCET	8023	47787	UVER	ST	99570404
319988	1093	1998-06-12	VYDAJ	PREVOD NA UCET	8023	67188	UVER	ST	99570404
319989	1093	1998-07-12	VYDAJ	PREVOD NA UCET	8023	53091	UVER	ST	99570404
319990	1093	1998-08-12	VYDAJ	PREVOD NA UCET	8023	48737	UVER	ST	99570404
319991	1093	1998-09-12	VYDAJ	PREVOD NA UCET	8023	56471	UVER	ST	99570404
319992	1093	1998-10-12	VYDAJ	PREVOD NA UCET	8023	60400	UVER	ST	99570404
319993	1093	1998-11-12	VYDAJ	PREVOD NA UCET	8023	65375	UVER	ST	99570404
319994	1093	1998-12-12	VYDAJ	PREVOD NA UCET	8023	61722	UVER	ST	99570404
320000	1093	1996-06-07	VYDAJ	PREVOD NA UCET	10261	110746	SIPO	EF	21858203
320001	1093	1996-07-07	VYDAJ	PREVOD NA UCET	10261	80328	SIPO	EF	21858203
320002	1093	1996-08-07	VYDAJ	PREVOD NA UCET	10261	75315	SIPO	EF	21858203
320003	1093	1996-09-07	VYDAJ	PREVOD NA UCET	10261	51459	SIPO	EF	21858203
320004	1093	1996-10-07	VYDAJ	PREVOD NA UCET	10261	63998	SIPO	EF	21858203
320005	1093	1996-11-07	VYDAJ	PREVOD NA UCET	10261	70327	SIPO	EF	21858203
320006	1093	1996-12-07	VYDAJ	PREVOD NA UCET	10261	86255	SIPO	EF	21858203
320007	1093	1997-01-07	VYDAJ	PREVOD NA UCET	10261	52225	SIPO	EF	21858203
320008	1093	1997-02-07	VYDAJ	PREVOD NA UCET	10261	40399	SIPO	EF	21858203
320009	1093	1997-03-07	VYDAJ	PREVOD NA UCET	10261	70511	SIPO	EF	21858203
320010	1093	1997-04-07	VYDAJ	PREVOD NA UCET	10261	56316	SIPO	EF	21858203
320011	1093	1997-05-07	VYDAJ	PREVOD NA UCET	10261	57098	SIPO	EF	21858203
320012	1093	1997-06-07	VYDAJ	PREVOD NA UCET	10261	51739	SIPO	EF	21858203
320013	1093	1997-07-07	VYDAJ	PREVOD NA UCET	10261	46512	SIPO	EF	21858203
320014	1093	1997-08-07	VYDAJ	PREVOD NA UCET	10261	63927	SIPO	EF	21858203
320015	1093	1997-09-07	VYDAJ	PREVOD NA UCET	10261	59620	SIPO	EF	21858203
320016	1093	1997-10-07	VYDAJ	PREVOD NA UCET	10261	66485	SIPO	EF	21858203
320017	1093	1997-11-07	VYDAJ	PREVOD NA UCET	10261	53904	SIPO	EF	21858203
320018	1093	1997-12-07	VYDAJ	PREVOD NA UCET	10261	82640	SIPO	EF	21858203
320019	1093	1998-01-07	VYDAJ	PREVOD NA UCET	10261	59656	SIPO	EF	21858203
320020	1093	1998-02-07	VYDAJ	PREVOD NA UCET	10261	53140	SIPO	EF	21858203
320021	1093	1998-03-07	VYDAJ	PREVOD NA UCET	10261	63156	SIPO	EF	21858203
320022	1093	1998-04-07	VYDAJ	PREVOD NA UCET	10261	49984	SIPO	EF	21858203
320023	1093	1998-05-07	VYDAJ	PREVOD NA UCET	10261	55809	SIPO	EF	21858203
320024	1093	1998-06-07	VYDAJ	PREVOD NA UCET	10261	75211	SIPO	EF	21858203
320025	1093	1998-07-07	VYDAJ	PREVOD NA UCET	10261	61114	SIPO	EF	21858203
320026	1093	1998-08-07	VYDAJ	PREVOD NA UCET	10261	56760	SIPO	EF	21858203
320027	1093	1998-09-07	VYDAJ	PREVOD NA UCET	10261	64494	SIPO	EF	21858203
320028	1093	1998-10-07	VYDAJ	PREVOD NA UCET	10261	68423	SIPO	EF	21858203
320029	1093	1998-11-07	VYDAJ	PREVOD NA UCET	10261	73398	SIPO	EF	21858203
320030	1093	1998-12-07	VYDAJ	PREVOD NA UCET	10261	97245	SIPO	EF	21858203
320031	1093	1996-12-01	VYBER	VYBER	2375	24310	\N	\N	\N
320032	1093	1996-12-14	VYBER	VYBER	24424	21431	\N	\N	\N
320033	1093	1996-08-08	VYBER	VYBER	7719	67596	\N	\N	\N
320034	1093	1996-09-29	VYBER	VYBER	2546	26013	\N	\N	\N
320036	1093	1996-07-27	VYBER	VYBER	4169	37259	\N	\N	\N
320038	1093	1996-08-28	VYBER	VYBER	10758	22438	\N	\N	\N
320039	1093	1996-10-11	VYBER	VYBER	4790	37808	\N	\N	\N
320041	1093	1997-11-12	VYBER	VYBER	17435	36469	\N	\N	\N
320042	1093	1997-10-04	VYBER	VYBER	3685	48109	\N	\N	\N
320045	1093	1997-11-01	VYBER	VYBER	18267	22528	\N	\N	\N
320046	1093	1997-05-28	VYBER	VYBER	11824	21674	\N	\N	\N
320047	1093	1997-12-23	VYBER	VYBER	5856	54361	\N	\N	\N
320048	1093	1997-10-23	VYBER	VYBER	17869	40593	\N	\N	\N
320050	1093	1997-08-20	VYBER	VYBER	10328	31777	\N	\N	\N
320051	1093	1997-03-13	VYBER	VYBER	21980	26231	\N	\N	\N
320052	1093	1998-10-01	VYBER	VYBER	3023	30547	\N	\N	\N
320053	1093	1998-03-22	VYBER	VYBER	12865	30268	\N	\N	\N
320055	1093	1998-12-22	VYBER	VYBER	20115	39507	\N	\N	\N
320057	1093	1998-07-22	VYBER	VYBER	5987	35404	\N	\N	\N
320058	1093	1998-04-11	VYBER	VYBER	4554	45430	\N	\N	\N
320059	1093	1998-03-26	VYBER	VYBER	12929	17339	\N	\N	\N
320062	1093	1998-06-29	VYDAJ	VYBER	21900	45288	\N	\N	\N
320066	1093	1996-12-28	VYDAJ	VYBER	5700	15731	\N	\N	\N
320067	1093	1997-12-26	VYDAJ	VYBER	3900	50461	\N	\N	\N
320068	1093	1998-12-13	VYDAJ	VYBER	2100	59622	\N	\N	\N
320079	1093	1997-01-07	VYDAJ	VYBER	1500	62486	\N	\N	\N
320080	1093	1997-01-20	VYDAJ	VYBER	6900	23525	\N	\N	\N
320081	1093	1998-01-29	VYDAJ	VYBER	5700	17133	\N	\N	\N
320082	1093	1998-01-24	VYDAJ	VYBER	6000	27333	\N	\N	\N
320083	1093	1998-01-14	VYDAJ	VYBER	7500	33333	\N	\N	\N
320084	1093	1998-01-01	VYDAJ	VYBER	6900	43780	\N	\N	\N
320085	1093	1998-01-25	VYDAJ	VYBER	4500	22833	\N	\N	\N
320086	1093	1998-01-07	VYDAJ	VYBER	3900	69917	\N	\N	\N
320091	1093	1997-12-10	VYDAJ	VYBER	6000	76640	\N	\N	\N
320092	1093	1997-08-14	VYDAJ	VYBER	13800	42105	\N	\N	\N
320094	1093	1997-12-12	VYDAJ	VYBER	8400	60217	\N	\N	\N
320095	1093	1998-11-17	VYDAJ	VYBER	8400	56975	\N	\N	\N
320096	1093	1998-07-20	VYDAJ	VYBER	11700	41391	\N	\N	\N
320097	1093	1998-01-09	VYDAJ	VYBER	10800	48856	\N	\N	\N
320098	1093	1998-04-17	VYDAJ	VYBER	3900	33508	\N	\N	\N
320099	1093	1998-03-12	VYDAJ	VYBER	12000	43133	\N	\N	\N
320100	1093	1998-06-07	VYDAJ	VYBER	10200	85472	\N	\N	\N
320107	1093	1996-06-30	VYDAJ	VYBER	15	42452	SLUZBY	\N	\N
320108	1093	1996-07-31	VYDAJ	VYBER	15	37439	SLUZBY	\N	\N
320109	1093	1996-08-31	VYDAJ	VYBER	15	22583	SLUZBY	\N	\N
320110	1093	1996-09-30	VYDAJ	VYBER	15	26122	SLUZBY	\N	\N
320111	1093	1996-10-31	VYDAJ	VYBER	15	32451	SLUZBY	\N	\N
320112	1093	1996-11-30	VYDAJ	VYBER	15	37285	SLUZBY	\N	\N
320113	1093	1996-12-31	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
320114	1093	1997-01-31	VYDAJ	VYBER	15	23623	SLUZBY	\N	\N
320115	1093	1997-02-28	VYDAJ	VYBER	15	32635	SLUZBY	\N	\N
320116	1093	1997-03-31	VYDAJ	VYBER	15	18440	SLUZBY	\N	\N
320117	1093	1997-04-30	VYDAJ	VYBER	15	30422	SLUZBY	\N	\N
320118	1093	1997-05-31	VYDAJ	VYBER	15	21794	SLUZBY	\N	\N
320119	1093	1997-06-30	VYDAJ	VYBER	15	43336	SLUZBY	\N	\N
320120	1093	1997-07-31	VYDAJ	VYBER	15	38651	SLUZBY	\N	\N
320121	1093	1997-08-31	VYDAJ	VYBER	15	31944	SLUZBY	\N	\N
320122	1093	1997-09-30	VYDAJ	VYBER	15	51794	SLUZBY	\N	\N
320123	1093	1997-10-31	VYDAJ	VYBER	15	40795	SLUZBY	\N	\N
320124	1093	1997-11-30	VYDAJ	VYBER	15	28595	SLUZBY	\N	\N
320125	1093	1997-12-31	VYDAJ	VYBER	15	50680	SLUZBY	\N	\N
320126	1093	1998-01-31	VYDAJ	VYBER	15	17264	SLUZBY	\N	\N
320127	1093	1998-02-28	VYDAJ	VYBER	15	45280	SLUZBY	\N	\N
320128	1093	1998-03-31	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
320129	1093	1998-04-30	VYDAJ	VYBER	15	33633	SLUZBY	\N	\N
320130	1093	1998-05-31	VYDAJ	VYBER	15	47966	SLUZBY	\N	\N
320131	1093	1998-06-30	VYDAJ	VYBER	15	45538	SLUZBY	\N	\N
320132	1093	1998-07-31	VYDAJ	VYBER	15	35584	SLUZBY	\N	\N
320133	1093	1998-08-31	VYDAJ	VYBER	15	26618	SLUZBY	\N	\N
320134	1093	1998-09-30	VYDAJ	VYBER	15	33570	SLUZBY	\N	\N
320135	1093	1998-10-31	VYDAJ	VYBER	15	35522	SLUZBY	\N	\N
320136	1093	1998-11-30	VYDAJ	VYBER	15	35300	SLUZBY	\N	\N
320137	1093	1996-02-13	VYDAJ	VYBER	13000	36137	\N	\N	\N
320138	1093	1996-03-14	VYDAJ	VYBER	32200	52162	\N	\N	\N
320139	1093	1996-04-13	VYDAJ	VYBER	37400	63089	\N	\N	\N
320140	1093	1996-05-07	VYDAJ	VYBER	42800	68670	\N	\N	\N
320141	1093	1996-05-13	VYDAJ	VYBER	20100	48570	\N	\N	\N
320142	1093	1996-06-07	VYDAJ	VYBER	31300	79446	\N	\N	\N
320143	1093	1996-06-12	VYDAJ	VYBER	27400	52046	\N	\N	\N
320144	1093	1996-07-12	VYDAJ	VYBER	28800	41428	\N	\N	\N
320145	1093	1996-08-11	VYDAJ	VYBER	26500	41096	\N	\N	\N
320146	1093	1996-09-10	VYDAJ	VYBER	22900	28559	\N	\N	\N
320147	1093	1996-10-10	VYDAJ	VYBER	21400	42598	\N	\N	\N
320148	1093	1996-11-09	VYDAJ	VYBER	26100	44227	\N	\N	\N
320149	1093	1996-12-09	VYDAJ	VYBER	40400	45855	\N	\N	\N
320150	1093	1997-01-08	VYDAJ	VYBER	15600	36625	\N	\N	\N
320151	1093	1997-02-07	VYDAJ	VYBER	21100	50660	\N	\N	\N
320152	1093	1997-03-09	VYDAJ	VYBER	22300	48211	\N	\N	\N
320153	1093	1997-04-08	VYDAJ	VYBER	16600	39716	\N	\N	\N
320154	1093	1997-05-08	VYDAJ	VYBER	23600	33498	\N	\N	\N
320155	1093	1997-06-07	VYDAJ	VYBER	32000	62000	\N	\N	\N
320156	1093	1997-07-07	VYDAJ	VYBER	34700	56773	\N	\N	\N
320157	1093	1997-08-06	VYDAJ	VYBER	12600	26051	\N	\N	\N
320158	1093	1997-09-05	VYDAJ	VYBER	10200	21744	\N	\N	\N
320159	1093	1997-10-05	VYDAJ	VYBER	19500	28609	\N	\N	\N
320160	1093	1997-11-04	VYDAJ	VYBER	6500	16028	\N	\N	\N
320161	1093	1997-12-04	VYDAJ	VYBER	7900	20695	\N	\N	\N
320162	1093	1998-01-03	VYDAJ	VYBER	18100	25680	\N	\N	\N
320163	1093	1998-02-02	VYDAJ	VYBER	2000	15264	\N	\N	\N
320164	1093	1998-03-04	VYDAJ	VYBER	20000	25280	\N	\N	\N
320165	1093	1998-04-03	VYDAJ	VYBER	5400	12108	\N	\N	\N
320166	1093	1998-05-03	VYDAJ	VYBER	15700	17933	\N	\N	\N
320167	1093	1998-06-02	VYDAJ	VYBER	24500	23466	\N	\N	\N
320168	1093	1998-07-02	VYDAJ	VYBER	22300	23238	\N	\N	\N
320169	1093	1998-08-01	VYDAJ	VYBER	16700	18884	\N	\N	\N
320170	1093	1998-08-31	VYDAJ	VYBER	22300	26632	\N	\N	\N
320171	1093	1998-09-30	VYDAJ	VYBER	23100	33585	\N	\N	\N
320172	1093	1998-10-30	VYDAJ	VYBER	25100	35300	\N	\N	\N
320173	1093	1998-11-29	VYDAJ	VYBER	21900	35075	\N	\N	\N
320174	1093	1998-12-07	VYDAJ	VYBER	27500	69745	\N	\N	\N
320210	1094	1996-07-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
320218	1094	1996-08-07	PRIJEM	PREVOD Z UCTU	6023	7023	DUCHOD	QR	81275689
320219	1094	1996-09-07	PRIJEM	PREVOD Z UCTU	6023	13046	DUCHOD	QR	81275689
320220	1094	1996-10-07	PRIJEM	PREVOD Z UCTU	6023	19069	DUCHOD	QR	81275689
320221	1094	1996-11-07	PRIJEM	PREVOD Z UCTU	6023	25092	DUCHOD	QR	81275689
320222	1094	1996-12-07	PRIJEM	PREVOD Z UCTU	6023	29593	DUCHOD	QR	81275689
320223	1094	1997-01-07	PRIJEM	PREVOD Z UCTU	6023	30047	DUCHOD	QR	81275689
320224	1094	1997-02-07	PRIJEM	PREVOD Z UCTU	6023	23428	DUCHOD	QR	81275689
320225	1094	1997-03-07	PRIJEM	PREVOD Z UCTU	6023	27376	DUCHOD	QR	81275689
320226	1094	1997-04-07	PRIJEM	PREVOD Z UCTU	6023	24219	DUCHOD	QR	81275689
320227	1094	1997-05-07	PRIJEM	PREVOD Z UCTU	6023	26667	DUCHOD	QR	81275689
320228	1094	1997-06-07	PRIJEM	PREVOD Z UCTU	6023	18227	DUCHOD	QR	81275689
320229	1094	1997-07-07	PRIJEM	PREVOD Z UCTU	6023	20633	DUCHOD	QR	81275689
320230	1094	1997-08-07	PRIJEM	PREVOD Z UCTU	6023	19915	DUCHOD	QR	81275689
320231	1094	1997-09-07	PRIJEM	PREVOD Z UCTU	6023	23847	DUCHOD	QR	81275689
320232	1094	1997-10-07	PRIJEM	PREVOD Z UCTU	6023	27794	DUCHOD	QR	81275689
320233	1094	1997-11-07	PRIJEM	PREVOD Z UCTU	6023	27297	DUCHOD	QR	81275689
320234	1094	1997-12-07	PRIJEM	PREVOD Z UCTU	6023	28760	DUCHOD	QR	81275689
320235	1094	1998-01-07	PRIJEM	PREVOD Z UCTU	6023	25192	DUCHOD	QR	81275689
320236	1094	1998-02-07	PRIJEM	PREVOD Z UCTU	6023	22898	DUCHOD	QR	81275689
320237	1094	1998-03-07	PRIJEM	PREVOD Z UCTU	6023	24100	DUCHOD	QR	81275689
320238	1094	1998-04-07	PRIJEM	PREVOD Z UCTU	6023	23849	DUCHOD	QR	81275689
320239	1094	1998-05-07	PRIJEM	PREVOD Z UCTU	6023	20817	DUCHOD	QR	81275689
320240	1094	1998-06-07	PRIJEM	PREVOD Z UCTU	6023	19953	DUCHOD	QR	81275689
320241	1094	1998-07-07	PRIJEM	PREVOD Z UCTU	6023	20884	DUCHOD	QR	81275689
320242	1094	1998-08-07	PRIJEM	PREVOD Z UCTU	6023	21920	DUCHOD	QR	81275689
320243	1094	1998-09-07	PRIJEM	PREVOD Z UCTU	6023	25859	DUCHOD	QR	81275689
320244	1094	1998-10-07	PRIJEM	PREVOD Z UCTU	6023	29252	DUCHOD	QR	81275689
320245	1094	1998-11-07	PRIJEM	PREVOD Z UCTU	6023	33222	DUCHOD	QR	81275689
320246	1094	1998-12-07	PRIJEM	PREVOD Z UCTU	6023	19898	DUCHOD	QR	81275689
320259	1094	1997-01-05	VYDAJ	PREVOD NA UCET	1408	24024	SIPO	UV	80894112
320260	1094	1997-02-05	VYDAJ	PREVOD NA UCET	1408	17405	SIPO	UV	80894112
320261	1094	1997-03-05	VYDAJ	PREVOD NA UCET	1408	21353	SIPO	UV	80894112
320262	1094	1997-04-05	VYDAJ	PREVOD NA UCET	1408	18196	SIPO	UV	80894112
320263	1094	1997-05-05	VYDAJ	PREVOD NA UCET	1408	22144	SIPO	UV	80894112
320264	1094	1997-06-05	VYDAJ	PREVOD NA UCET	1408	12204	SIPO	UV	80894112
320265	1094	1997-07-05	VYDAJ	PREVOD NA UCET	1408	14610	SIPO	UV	80894112
320266	1094	1997-08-05	VYDAJ	PREVOD NA UCET	1408	13892	SIPO	UV	80894112
320267	1094	1997-09-05	VYDAJ	PREVOD NA UCET	1408	17824	SIPO	UV	80894112
320268	1094	1997-10-05	VYDAJ	PREVOD NA UCET	1408	21771	SIPO	UV	80894112
320269	1094	1997-11-05	VYDAJ	PREVOD NA UCET	1408	21274	SIPO	UV	80894112
320270	1094	1997-12-05	VYDAJ	PREVOD NA UCET	1408	22737	SIPO	UV	80894112
320271	1094	1998-01-05	VYDAJ	PREVOD NA UCET	1408	21329	SIPO	UV	80894112
320272	1094	1998-02-05	VYDAJ	PREVOD NA UCET	1408	16875	SIPO	UV	80894112
320273	1094	1998-03-05	VYDAJ	PREVOD NA UCET	1408	18077	SIPO	UV	80894112
320274	1094	1998-04-05	VYDAJ	PREVOD NA UCET	1408	17826	SIPO	UV	80894112
320275	1094	1998-05-05	VYDAJ	PREVOD NA UCET	1408	14794	SIPO	UV	80894112
320276	1094	1998-06-05	VYDAJ	PREVOD NA UCET	1408	13930	SIPO	UV	80894112
320277	1094	1998-07-05	VYDAJ	PREVOD NA UCET	1408	14861	SIPO	UV	80894112
320278	1094	1998-08-05	VYDAJ	PREVOD NA UCET	1408	15897	SIPO	UV	80894112
320279	1094	1998-09-05	VYDAJ	PREVOD NA UCET	1408	19836	SIPO	UV	80894112
320280	1094	1998-10-05	VYDAJ	PREVOD NA UCET	1408	23229	SIPO	UV	80894112
320281	1094	1998-11-05	VYDAJ	PREVOD NA UCET	1408	27199	SIPO	UV	80894112
320282	1094	1998-12-05	VYDAJ	PREVOD NA UCET	1408	13875	SIPO	UV	80894112
320294	1094	1996-12-12	VYDAJ	PREVOD NA UCET	747	27546	 	KL	27204376
320295	1094	1997-01-12	VYDAJ	PREVOD NA UCET	747	27300	 	KL	27204376
320296	1094	1997-02-12	VYDAJ	PREVOD NA UCET	747	22681	 	KL	27204376
320297	1094	1997-03-12	VYDAJ	PREVOD NA UCET	747	19529	 	KL	27204376
320298	1094	1997-04-12	VYDAJ	PREVOD NA UCET	747	23472	 	KL	27204376
320299	1094	1997-05-12	VYDAJ	PREVOD NA UCET	747	25920	 	KL	27204376
320300	1094	1997-06-12	VYDAJ	PREVOD NA UCET	747	17480	 	KL	27204376
320301	1094	1997-07-12	VYDAJ	PREVOD NA UCET	747	16206	 	KL	27204376
320302	1094	1997-08-12	VYDAJ	PREVOD NA UCET	747	19168	 	KL	27204376
320303	1094	1997-09-12	VYDAJ	PREVOD NA UCET	747	23100	 	KL	27204376
320304	1094	1997-10-12	VYDAJ	PREVOD NA UCET	747	27047	 	KL	27204376
320305	1094	1997-11-12	VYDAJ	PREVOD NA UCET	747	26550	 	KL	27204376
320306	1094	1997-12-12	VYDAJ	PREVOD NA UCET	747	26863	 	KL	27204376
320307	1094	1998-01-12	VYDAJ	PREVOD NA UCET	747	24445	 	KL	27204376
320308	1094	1998-02-12	VYDAJ	PREVOD NA UCET	747	22151	 	KL	27204376
320309	1094	1998-03-12	VYDAJ	PREVOD NA UCET	747	23353	 	KL	27204376
320310	1094	1998-04-12	VYDAJ	PREVOD NA UCET	747	23102	 	KL	27204376
320311	1094	1998-05-12	VYDAJ	PREVOD NA UCET	747	20070	 	KL	27204376
320312	1094	1998-06-12	VYDAJ	PREVOD NA UCET	747	19206	 	KL	27204376
320313	1094	1998-07-12	VYDAJ	PREVOD NA UCET	747	20137	 	KL	27204376
320314	1094	1998-08-12	VYDAJ	PREVOD NA UCET	747	21173	 	KL	27204376
320315	1094	1998-09-12	VYDAJ	PREVOD NA UCET	747	25112	 	KL	27204376
320316	1094	1998-10-12	VYDAJ	PREVOD NA UCET	747	28505	 	KL	27204376
320317	1094	1998-11-12	VYDAJ	PREVOD NA UCET	747	32475	 	KL	27204376
320318	1094	1998-12-12	VYDAJ	PREVOD NA UCET	747	18191	 	KL	27204376
320320	1094	1997-06-01	VYDAJ	VYBER	12400	13612	\N	\N	\N
320322	1094	1996-12-20	VYDAJ	VYBER	850	26696	\N	\N	\N
320323	1094	1997-12-07	VYDAJ	VYBER	1150	27610	\N	\N	\N
320324	1094	1998-12-14	VYDAJ	VYBER	600	17591	\N	\N	\N
320331	1094	1997-01-10	VYDAJ	VYBER	2000	28047	\N	\N	\N
320332	1094	1997-01-28	VYDAJ	VYBER	560	23220	\N	\N	\N
320333	1094	1997-01-27	VYDAJ	VYBER	800	23780	\N	\N	\N
320334	1094	1997-01-25	VYDAJ	VYBER	640	24580	\N	\N	\N
320335	1094	1997-01-14	VYDAJ	VYBER	2080	25220	\N	\N	\N
320336	1094	1997-01-02	VYDAJ	VYBER	1360	25432	\N	\N	\N
320337	1094	1998-01-17	VYDAJ	VYBER	1680	22765	\N	\N	\N
320338	1094	1998-01-25	VYDAJ	VYBER	1840	18205	\N	\N	\N
320339	1094	1998-01-20	VYDAJ	VYBER	480	21485	\N	\N	\N
320340	1094	1998-01-06	VYDAJ	VYBER	2160	19169	\N	\N	\N
320341	1094	1998-01-23	VYDAJ	VYBER	1440	20045	\N	\N	\N
320342	1094	1998-01-17	VYDAJ	VYBER	800	21965	\N	\N	\N
320347	1094	1997-07-31	VYDAJ	VYBER	960	15300	\N	\N	\N
320348	1094	1997-10-12	VYDAJ	VYBER	1360	25687	\N	\N	\N
320349	1094	1997-12-27	VYDAJ	VYBER	2320	24543	\N	\N	\N
320350	1094	1997-06-14	VYDAJ	VYBER	1520	15960	\N	\N	\N
320351	1094	1997-07-09	VYDAJ	VYBER	3680	16953	\N	\N	\N
320352	1094	1998-03-03	VYDAJ	VYBER	1040	19485	\N	\N	\N
320353	1094	1998-09-17	VYDAJ	VYBER	560	24552	\N	\N	\N
320354	1094	1998-05-04	VYDAJ	VYBER	2880	16202	\N	\N	\N
320355	1094	1998-12-08	VYDAJ	VYBER	960	18938	\N	\N	\N
320368	1094	1996-12-31	VYDAJ	VYBER	15	26792	SLUZBY	\N	\N
320369	1094	1997-01-31	VYDAJ	VYBER	15	23313	SLUZBY	\N	\N
320370	1094	1997-02-28	VYDAJ	VYBER	15	22761	SLUZBY	\N	\N
320371	1094	1997-03-31	VYDAJ	VYBER	15	19604	SLUZBY	\N	\N
320372	1094	1997-04-30	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
320373	1094	1997-05-31	VYDAJ	VYBER	15	26012	SLUZBY	\N	\N
320374	1094	1997-06-30	VYDAJ	VYBER	15	16018	SLUZBY	\N	\N
320375	1094	1997-07-31	VYDAJ	VYBER	15	16260	SLUZBY	\N	\N
320376	1094	1997-08-31	VYDAJ	VYBER	15	19232	SLUZBY	\N	\N
320377	1094	1997-09-30	VYDAJ	VYBER	15	23179	SLUZBY	\N	\N
320378	1094	1997-10-31	VYDAJ	VYBER	15	25782	SLUZBY	\N	\N
320379	1094	1997-11-30	VYDAJ	VYBER	15	26645	SLUZBY	\N	\N
320380	1094	1997-12-31	VYDAJ	VYBER	15	24637	SLUZBY	\N	\N
320381	1094	1998-01-31	VYDAJ	VYBER	15	18283	SLUZBY	\N	\N
320382	1094	1998-02-28	VYDAJ	VYBER	15	22225	SLUZBY	\N	\N
320383	1094	1998-03-31	VYDAJ	VYBER	15	23434	SLUZBY	\N	\N
320384	1094	1998-04-30	VYDAJ	VYBER	15	23182	SLUZBY	\N	\N
320385	1094	1998-05-31	VYDAJ	VYBER	15	15338	SLUZBY	\N	\N
320386	1094	1998-06-30	VYDAJ	VYBER	15	19269	SLUZBY	\N	\N
320387	1094	1998-07-31	VYDAJ	VYBER	15	17305	SLUZBY	\N	\N
320388	1094	1998-08-31	VYDAJ	VYBER	15	21244	SLUZBY	\N	\N
320389	1094	1998-09-30	VYDAJ	VYBER	15	24637	SLUZBY	\N	\N
320390	1094	1998-10-31	VYDAJ	VYBER	15	28607	SLUZBY	\N	\N
320391	1094	1998-11-30	VYDAJ	VYBER	15	15283	SLUZBY	\N	\N
320392	1094	1996-11-07	VYDAJ	VYBER	1600	23492	\N	\N	\N
320393	1094	1996-12-07	VYDAJ	VYBER	1300	28293	\N	\N	\N
320394	1094	1997-02-05	VYDAJ	VYBER	4500	18813	\N	\N	\N
320395	1094	1997-03-07	VYDAJ	VYBER	7100	20276	\N	\N	\N
320396	1094	1997-05-06	VYDAJ	VYBER	1500	20644	\N	\N	\N
320397	1094	1997-11-02	VYDAJ	VYBER	3100	22682	\N	\N	\N
320398	1094	1997-12-02	VYDAJ	VYBER	2500	24145	\N	\N	\N
320399	1094	1998-01-01	VYDAJ	VYBER	1900	22737	\N	\N	\N
320400	1094	1998-03-02	VYDAJ	VYBER	1700	20525	\N	\N	\N
320401	1094	1998-04-01	VYDAJ	VYBER	4200	19234	\N	\N	\N
320402	1094	1998-05-01	VYDAJ	VYBER	4100	19082	\N	\N	\N
320403	1094	1998-05-31	VYDAJ	VYBER	4800	15353	\N	\N	\N
320404	1094	1998-06-30	VYDAJ	VYBER	3000	16269	\N	\N	\N
320405	1094	1998-07-30	VYDAJ	VYBER	2900	17237	\N	\N	\N
320406	1094	1998-11-27	VYDAJ	VYBER	17300	15175	\N	\N	\N
320433	1095	1997-06-18	PRIJEM	VKLAD	400	400	\N	\N	\N
320440	1095	1997-07-05	PRIJEM	VKLAD	21073	21473	\N	\N	\N
320441	1095	1997-08-05	PRIJEM	VKLAD	21073	42787	\N	\N	\N
320442	1095	1997-09-05	PRIJEM	VKLAD	21073	53672	\N	\N	\N
320443	1095	1997-10-05	PRIJEM	VKLAD	21073	62499	\N	\N	\N
320444	1095	1997-11-05	PRIJEM	VKLAD	21073	63245	\N	\N	\N
320445	1095	1997-12-05	PRIJEM	VKLAD	31610	67960	\N	\N	\N
320446	1095	1998-01-05	PRIJEM	VKLAD	21073	64766	\N	\N	\N
320447	1095	1998-02-05	PRIJEM	VKLAD	21073	48795	\N	\N	\N
320448	1095	1998-03-05	PRIJEM	VKLAD	21073	57440	\N	\N	\N
320449	1095	1998-04-05	PRIJEM	VKLAD	21073	62207	\N	\N	\N
320450	1095	1998-05-05	PRIJEM	VKLAD	21073	67559	\N	\N	\N
320451	1095	1998-06-05	PRIJEM	VKLAD	31610	70177	\N	\N	\N
320452	1095	1998-07-05	PRIJEM	VKLAD	21073	70085	\N	\N	\N
320453	1095	1998-08-05	PRIJEM	VKLAD	21073	72304	\N	\N	\N
320454	1095	1998-09-05	PRIJEM	VKLAD	21073	68707	\N	\N	\N
320455	1095	1998-10-05	PRIJEM	VKLAD	21073	67400	\N	\N	\N
320456	1095	1998-11-05	PRIJEM	VKLAD	21073	66287	\N	\N	\N
320457	1095	1998-12-05	PRIJEM	VKLAD	31610	69386	\N	\N	\N
320468	1095	1997-11-10	VYDAJ	PREVOD NA UCET	1119	61230	SIPO	MN	98788070
320469	1095	1997-12-10	VYDAJ	PREVOD NA UCET	1119	65945	SIPO	MN	98788070
320470	1095	1998-01-10	VYDAJ	PREVOD NA UCET	1119	59871	SIPO	MN	98788070
320471	1095	1998-02-10	VYDAJ	PREVOD NA UCET	1119	46780	SIPO	MN	98788070
320472	1095	1998-03-10	VYDAJ	PREVOD NA UCET	1119	55425	SIPO	MN	98788070
320473	1095	1998-04-10	VYDAJ	PREVOD NA UCET	1119	60192	SIPO	MN	98788070
320474	1095	1998-05-10	VYDAJ	PREVOD NA UCET	1119	65544	SIPO	MN	98788070
320475	1095	1998-06-10	VYDAJ	PREVOD NA UCET	1119	68162	SIPO	MN	98788070
320476	1095	1998-07-10	VYDAJ	PREVOD NA UCET	1119	68070	SIPO	MN	98788070
320477	1095	1998-08-10	VYDAJ	PREVOD NA UCET	1119	70289	SIPO	MN	98788070
320478	1095	1998-09-10	VYDAJ	PREVOD NA UCET	1119	66692	SIPO	MN	98788070
320479	1095	1998-10-10	VYDAJ	PREVOD NA UCET	1119	65385	SIPO	MN	98788070
320480	1095	1998-11-10	VYDAJ	PREVOD NA UCET	1119	43172	SIPO	MN	98788070
320481	1095	1998-12-10	VYDAJ	PREVOD NA UCET	1119	50751	SIPO	MN	98788070
320492	1095	1997-11-13	VYDAJ	PREVOD NA UCET	3773	55670	 	KL	77274346
320493	1095	1997-12-13	VYDAJ	PREVOD NA UCET	3773	60385	 	KL	77274346
320494	1095	1998-01-13	VYDAJ	PREVOD NA UCET	3773	52271	 	KL	77274346
320495	1095	1998-02-13	VYDAJ	PREVOD NA UCET	3773	36220	 	KL	77274346
320496	1095	1998-03-13	VYDAJ	PREVOD NA UCET	3773	49865	 	KL	77274346
320497	1095	1998-04-13	VYDAJ	PREVOD NA UCET	3773	54632	 	KL	77274346
320498	1095	1998-05-13	VYDAJ	PREVOD NA UCET	3773	59984	 	KL	77274346
320499	1095	1998-06-13	VYDAJ	PREVOD NA UCET	3773	48802	 	KL	77274346
320500	1095	1998-07-13	VYDAJ	PREVOD NA UCET	3773	51010	 	KL	77274346
320501	1095	1998-08-13	VYDAJ	PREVOD NA UCET	3773	47429	 	KL	77274346
320502	1095	1998-09-13	VYDAJ	PREVOD NA UCET	3773	46132	 	KL	77274346
320503	1095	1998-10-13	VYDAJ	PREVOD NA UCET	3773	45025	 	KL	77274346
320504	1095	1998-11-13	VYDAJ	PREVOD NA UCET	3773	37612	 	KL	77274346
320505	1095	1998-12-13	VYDAJ	PREVOD NA UCET	3773	45191	 	KL	77274346
320516	1095	1997-11-06	VYDAJ	PREVOD NA UCET	896	62349	POJISTNE	AB	69525956
320517	1095	1997-12-06	VYDAJ	PREVOD NA UCET	896	67064	POJISTNE	AB	69525956
320518	1095	1998-01-06	VYDAJ	PREVOD NA UCET	896	60990	POJISTNE	AB	69525956
320519	1095	1998-02-06	VYDAJ	PREVOD NA UCET	896	47899	POJISTNE	AB	69525956
320520	1095	1998-03-06	VYDAJ	PREVOD NA UCET	896	56544	POJISTNE	AB	69525956
320521	1095	1998-04-06	VYDAJ	PREVOD NA UCET	896	61311	POJISTNE	AB	69525956
320522	1095	1998-05-06	VYDAJ	PREVOD NA UCET	896	66663	POJISTNE	AB	69525956
320523	1095	1998-06-06	VYDAJ	PREVOD NA UCET	896	69281	POJISTNE	AB	69525956
320524	1095	1998-07-06	VYDAJ	PREVOD NA UCET	896	69189	POJISTNE	AB	69525956
320525	1095	1998-08-06	VYDAJ	PREVOD NA UCET	896	71408	POJISTNE	AB	69525956
320526	1095	1998-09-06	VYDAJ	PREVOD NA UCET	896	67811	POJISTNE	AB	69525956
320527	1095	1998-10-06	VYDAJ	PREVOD NA UCET	896	66504	POJISTNE	AB	69525956
320528	1095	1998-11-06	VYDAJ	PREVOD NA UCET	896	65391	POJISTNE	AB	69525956
320529	1095	1998-12-06	VYDAJ	PREVOD NA UCET	896	68490	POJISTNE	AB	69525956
320540	1095	1997-11-11	VYDAJ	PREVOD NA UCET	1787	59443	 	EF	92616253
320541	1095	1997-12-11	VYDAJ	PREVOD NA UCET	1787	64158	 	EF	92616253
320542	1095	1998-01-11	VYDAJ	PREVOD NA UCET	1787	58084	 	EF	92616253
320543	1095	1998-02-11	VYDAJ	PREVOD NA UCET	1787	44993	 	EF	92616253
320544	1095	1998-03-11	VYDAJ	PREVOD NA UCET	1787	53638	 	EF	92616253
320545	1095	1998-04-11	VYDAJ	PREVOD NA UCET	1787	58405	 	EF	92616253
320546	1095	1998-05-11	VYDAJ	PREVOD NA UCET	1787	63757	 	EF	92616253
320547	1095	1998-06-11	VYDAJ	PREVOD NA UCET	1787	66375	 	EF	92616253
320548	1095	1998-07-11	VYDAJ	PREVOD NA UCET	1787	66283	 	EF	92616253
320549	1095	1998-08-11	VYDAJ	PREVOD NA UCET	1787	68502	 	EF	92616253
320550	1095	1998-09-11	VYDAJ	PREVOD NA UCET	1787	49905	 	EF	92616253
320551	1095	1998-10-11	VYDAJ	PREVOD NA UCET	1787	48798	 	EF	92616253
320552	1095	1998-11-11	VYDAJ	PREVOD NA UCET	1787	41385	 	EF	92616253
320553	1095	1998-12-11	VYDAJ	PREVOD NA UCET	1787	48964	 	EF	92616253
320554	1095	1997-12-20	VYDAJ	VYBER	1280	43505	\N	\N	\N
320555	1095	1998-12-08	VYDAJ	VYBER	4320	64170	\N	\N	\N
320562	1095	1998-01-20	VYDAJ	VYBER	1200	37031	\N	\N	\N
320563	1095	1998-01-12	VYDAJ	VYBER	2040	56044	\N	\N	\N
320564	1095	1998-01-28	VYDAJ	VYBER	1920	32951	\N	\N	\N
320565	1095	1998-01-19	VYDAJ	VYBER	3240	38231	\N	\N	\N
320566	1095	1998-01-27	VYDAJ	VYBER	2160	34871	\N	\N	\N
320567	1095	1998-01-05	VYDAJ	VYBER	2880	61886	\N	\N	\N
320570	1095	1997-11-15	VYDAJ	VYBER	4800	36170	\N	\N	\N
320572	1095	1998-02-02	VYDAJ	VYBER	5400	27722	\N	\N	\N
320573	1095	1998-12-18	VYDAJ	VYBER	2280	42911	\N	\N	\N
320574	1095	1998-06-04	VYDAJ	VYBER	3840	38567	\N	\N	\N
320575	1095	1998-04-27	VYDAJ	VYBER	2640	46292	\N	\N	\N
320576	1095	1998-05-31	VYDAJ	VYBER	5880	42407	\N	\N	\N
320577	1095	1998-11-08	VYDAJ	VYBER	1200	64191	\N	\N	\N
320589	1095	1997-11-30	VYDAJ	VYBER	15	36350	SLUZBY	\N	\N
320590	1095	1997-12-31	VYDAJ	VYBER	15	43693	SLUZBY	\N	\N
320591	1095	1998-01-31	VYDAJ	VYBER	15	33122	SLUZBY	\N	\N
320592	1095	1998-02-28	VYDAJ	VYBER	15	36367	SLUZBY	\N	\N
320593	1095	1998-03-31	VYDAJ	VYBER	15	41134	SLUZBY	\N	\N
320594	1095	1998-04-30	VYDAJ	VYBER	15	46486	SLUZBY	\N	\N
320595	1095	1998-05-31	VYDAJ	VYBER	15	48287	SLUZBY	\N	\N
320596	1095	1998-06-30	VYDAJ	VYBER	15	49012	SLUZBY	\N	\N
320597	1095	1998-07-31	VYDAJ	VYBER	15	51231	SLUZBY	\N	\N
320598	1095	1998-08-31	VYDAJ	VYBER	15	47634	SLUZBY	\N	\N
320599	1095	1998-09-30	VYDAJ	VYBER	15	46327	SLUZBY	\N	\N
320600	1095	1998-10-31	VYDAJ	VYBER	15	45214	SLUZBY	\N	\N
320601	1095	1998-11-30	VYDAJ	VYBER	15	37776	SLUZBY	\N	\N
320602	1095	1997-07-18	PRIJEM	VKLAD	200	21673	\N	\N	\N
320603	1095	1997-08-17	VYDAJ	VYBER	10300	32487	\N	\N	\N
320604	1095	1997-09-16	VYDAJ	VYBER	12400	41272	\N	\N	\N
320605	1095	1997-10-16	VYDAJ	VYBER	20500	41999	\N	\N	\N
320606	1095	1997-11-15	VYDAJ	VYBER	14700	40970	\N	\N	\N
320607	1095	1997-12-15	VYDAJ	VYBER	15600	44785	\N	\N	\N
320608	1095	1998-01-14	VYDAJ	VYBER	10800	41471	\N	\N	\N
320609	1095	1998-02-13	VYDAJ	VYBER	5000	39993	\N	\N	\N
320610	1095	1998-03-15	VYDAJ	VYBER	8900	40965	\N	\N	\N
320611	1095	1998-04-14	VYDAJ	VYBER	5700	48932	\N	\N	\N
320612	1095	1998-05-14	VYDAJ	VYBER	11900	48084	\N	\N	\N
320613	1095	1998-06-13	VYDAJ	VYBER	13800	52575	\N	\N	\N
320614	1095	1998-07-13	VYDAJ	VYBER	11500	54783	\N	\N	\N
320615	1095	1998-08-12	VYDAJ	VYBER	17300	51202	\N	\N	\N
320616	1095	1998-09-11	VYDAJ	VYBER	15000	51692	\N	\N	\N
320617	1095	1998-10-11	VYDAJ	VYBER	14800	50585	\N	\N	\N
320618	1095	1998-11-10	VYDAJ	VYBER	19900	44291	\N	\N	\N
320619	1095	1998-12-10	VYDAJ	VYBER	12300	51870	\N	\N	\N
320638	1096	1997-03-03	PRIJEM	VKLAD	400	400	\N	\N	\N
320641	1096	1997-03-14	PRIJEM	PREVOD Z UCTU	6435	6835	DUCHOD	UV	32204175
320642	1096	1997-04-14	PRIJEM	PREVOD Z UCTU	6435	13287	DUCHOD	UV	32204175
320643	1096	1997-05-14	PRIJEM	PREVOD Z UCTU	6435	19750	DUCHOD	UV	32204175
320644	1096	1997-06-14	PRIJEM	PREVOD Z UCTU	6435	25014	DUCHOD	UV	32204175
320645	1096	1997-07-14	PRIJEM	PREVOD Z UCTU	6435	29220	DUCHOD	UV	32204175
320646	1096	1997-08-14	PRIJEM	PREVOD Z UCTU	6435	29166	DUCHOD	UV	32204175
320647	1096	1997-09-14	PRIJEM	PREVOD Z UCTU	6435	29913	DUCHOD	UV	32204175
320648	1096	1997-10-14	PRIJEM	PREVOD Z UCTU	6435	26662	DUCHOD	UV	32204175
320649	1096	1997-11-14	PRIJEM	PREVOD Z UCTU	6435	26499	DUCHOD	UV	32204175
320650	1096	1997-12-14	PRIJEM	PREVOD Z UCTU	6435	29537	DUCHOD	UV	32204175
320651	1096	1998-01-14	PRIJEM	PREVOD Z UCTU	6435	26664	DUCHOD	UV	32204175
320652	1096	1998-02-14	PRIJEM	PREVOD Z UCTU	6435	21452	DUCHOD	UV	32204175
320653	1096	1998-03-14	PRIJEM	PREVOD Z UCTU	6435	19663	DUCHOD	UV	32204175
320654	1096	1998-04-14	PRIJEM	PREVOD Z UCTU	6435	20032	DUCHOD	UV	32204175
320655	1096	1998-05-14	PRIJEM	PREVOD Z UCTU	6435	20545	DUCHOD	UV	32204175
320656	1096	1998-06-14	PRIJEM	PREVOD Z UCTU	6435	23357	DUCHOD	UV	32204175
320657	1096	1998-07-14	PRIJEM	PREVOD Z UCTU	6435	25581	DUCHOD	UV	32204175
320658	1096	1998-08-14	PRIJEM	PREVOD Z UCTU	6435	26050	DUCHOD	UV	32204175
320659	1096	1998-09-14	PRIJEM	PREVOD Z UCTU	6435	25485	DUCHOD	UV	32204175
320660	1096	1998-10-14	PRIJEM	PREVOD Z UCTU	6435	28524	DUCHOD	UV	32204175
320661	1096	1998-11-14	PRIJEM	PREVOD Z UCTU	6435	28362	DUCHOD	UV	32204175
320662	1096	1998-12-14	PRIJEM	PREVOD Z UCTU	6435	26502	DUCHOD	UV	32204175
320670	1096	1997-08-09	VYDAJ	PREVOD NA UCET	3488	22731	SIPO	MN	24721879
320671	1096	1997-09-09	VYDAJ	PREVOD NA UCET	3488	23478	SIPO	MN	24721879
320672	1096	1997-10-09	VYDAJ	PREVOD NA UCET	3488	20227	SIPO	MN	24721879
320673	1096	1997-11-09	VYDAJ	PREVOD NA UCET	3488	20064	SIPO	MN	24721879
320674	1096	1997-12-09	VYDAJ	PREVOD NA UCET	3488	23102	SIPO	MN	24721879
320675	1096	1998-01-09	VYDAJ	PREVOD NA UCET	3488	20229	SIPO	MN	24721879
320676	1096	1998-02-09	VYDAJ	PREVOD NA UCET	3488	15017	SIPO	MN	24721879
320677	1096	1998-03-09	VYDAJ	PREVOD NA UCET	3488	13228	SIPO	MN	24721879
320678	1096	1998-04-09	VYDAJ	PREVOD NA UCET	3488	16237	SIPO	MN	24721879
320679	1096	1998-05-09	VYDAJ	PREVOD NA UCET	3488	14110	SIPO	MN	24721879
320680	1096	1998-06-09	VYDAJ	PREVOD NA UCET	3488	16922	SIPO	MN	24721879
320681	1096	1998-07-09	VYDAJ	PREVOD NA UCET	3488	19146	SIPO	MN	24721879
320682	1096	1998-08-09	VYDAJ	PREVOD NA UCET	3488	19615	SIPO	MN	24721879
320683	1096	1998-09-09	VYDAJ	PREVOD NA UCET	3488	22650	SIPO	MN	24721879
320684	1096	1998-10-09	VYDAJ	PREVOD NA UCET	3488	22089	SIPO	MN	24721879
320685	1096	1998-11-09	VYDAJ	PREVOD NA UCET	3488	21927	SIPO	MN	24721879
320686	1096	1998-12-09	VYDAJ	PREVOD NA UCET	3488	20067	SIPO	MN	24721879
320687	1096	1997-12-19	VYDAJ	VYBER	700	28837	\N	\N	\N
320688	1096	1998-12-16	VYDAJ	VYBER	1100	25402	\N	\N	\N
320695	1096	1998-01-23	VYDAJ	VYBER	2080	23544	\N	\N	\N
320696	1096	1998-01-06	VYDAJ	VYBER	720	23717	\N	\N	\N
320697	1096	1998-01-17	VYDAJ	VYBER	1040	25624	\N	\N	\N
320698	1096	1998-01-03	VYDAJ	VYBER	800	24437	\N	\N	\N
320699	1096	1998-01-25	VYDAJ	VYBER	1920	21624	\N	\N	\N
320700	1096	1998-01-26	VYDAJ	VYBER	1760	19864	\N	\N	\N
320701	1096	1997-08-19	VYDAJ	VYBER	1200	27966	\N	\N	\N
320703	1096	1997-09-23	VYDAJ	VYBER	800	29113	\N	\N	\N
320704	1096	1998-04-13	VYDAJ	VYBER	2640	13597	\N	\N	\N
320705	1096	1998-07-24	VYDAJ	VYBER	560	23021	\N	\N	\N
320706	1096	1998-10-15	VYDAJ	VYBER	3200	25324	\N	\N	\N
320707	1096	1998-07-15	VYDAJ	VYBER	2000	23581	\N	\N	\N
320708	1096	1998-01-29	VYDAJ	VYBER	1440	18424	\N	\N	\N
320709	1096	1998-02-19	VYDAJ	VYBER	3200	18252	\N	\N	\N
320710	1096	1998-09-13	VYDAJ	VYBER	3600	19050	\N	\N	\N
320718	1096	1997-07-31	VYDAJ	VYBER	15	26219	SLUZBY	\N	\N
320719	1096	1997-08-31	VYDAJ	VYBER	15	26966	SLUZBY	\N	\N
320720	1096	1997-09-30	VYDAJ	VYBER	15	23715	SLUZBY	\N	\N
320721	1096	1997-10-31	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
320722	1096	1997-11-30	VYDAJ	VYBER	15	26590	SLUZBY	\N	\N
320723	1096	1997-12-31	VYDAJ	VYBER	15	25237	SLUZBY	\N	\N
320724	1096	1998-01-31	VYDAJ	VYBER	15	18505	SLUZBY	\N	\N
320725	1096	1998-02-28	VYDAJ	VYBER	15	16716	SLUZBY	\N	\N
320726	1096	1998-03-31	VYDAJ	VYBER	15	19725	SLUZBY	\N	\N
320727	1096	1998-04-30	VYDAJ	VYBER	15	17598	SLUZBY	\N	\N
320728	1096	1998-05-31	VYDAJ	VYBER	15	20410	SLUZBY	\N	\N
320729	1096	1998-06-30	VYDAJ	VYBER	15	22634	SLUZBY	\N	\N
320730	1096	1998-07-31	VYDAJ	VYBER	15	23103	SLUZBY	\N	\N
320731	1096	1998-08-31	VYDAJ	VYBER	15	26138	SLUZBY	\N	\N
320732	1096	1998-09-30	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
320733	1096	1998-10-31	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
320734	1096	1998-11-30	VYDAJ	VYBER	15	23555	SLUZBY	\N	\N
320735	1096	1997-06-01	VYDAJ	VYBER	1200	18579	\N	\N	\N
320736	1096	1997-07-01	VYDAJ	VYBER	2300	22785	\N	\N	\N
320737	1096	1997-07-31	VYDAJ	VYBER	3100	26234	\N	\N	\N
320738	1096	1997-08-30	VYDAJ	VYBER	1100	26866	\N	\N	\N
320739	1096	1997-09-29	VYDAJ	VYBER	5500	23613	\N	\N	\N
320740	1096	1997-10-29	VYDAJ	VYBER	3200	23462	\N	\N	\N
320741	1096	1997-12-28	VYDAJ	VYBER	3700	25137	\N	\N	\N
320742	1096	1998-02-26	VYDAJ	VYBER	1600	16652	\N	\N	\N
320743	1096	1998-04-27	VYDAJ	VYBER	2500	17532	\N	\N	\N
320744	1096	1998-05-27	VYDAJ	VYBER	200	20345	\N	\N	\N
320745	1096	1998-06-26	VYDAJ	VYBER	800	22557	\N	\N	\N
320746	1096	1998-11-23	VYDAJ	VYBER	4900	23462	\N	\N	\N
320769	1097	1996-06-22	PRIJEM	VKLAD	1000	1000	\N	\N	\N
320776	1097	1996-07-14	PRIJEM	VKLAD	19030	20030	\N	\N	\N
320777	1097	1996-08-14	PRIJEM	VKLAD	19030	44194	\N	\N	\N
320778	1097	1996-09-14	PRIJEM	VKLAD	19030	54544	\N	\N	\N
320779	1097	1996-10-14	PRIJEM	VKLAD	19030	61331	\N	\N	\N
320780	1097	1996-11-14	PRIJEM	VKLAD	19030	65744	\N	\N	\N
320781	1097	1996-12-14	PRIJEM	VKLAD	28545	62153	\N	\N	\N
320782	1097	1997-01-14	PRIJEM	VKLAD	19030	49214	\N	\N	\N
320783	1097	1997-02-14	PRIJEM	VKLAD	19030	25552	\N	\N	\N
320784	1097	1997-03-14	PRIJEM	VKLAD	19030	37122	\N	\N	\N
320785	1097	1997-04-14	PRIJEM	VKLAD	19030	43915	\N	\N	\N
320786	1097	1997-05-14	PRIJEM	VKLAD	19030	47550	\N	\N	\N
320787	1097	1997-06-14	PRIJEM	VKLAD	28545	57848	\N	\N	\N
320788	1097	1997-07-14	PRIJEM	VKLAD	19030	37689	\N	\N	\N
320789	1097	1997-08-14	PRIJEM	VKLAD	19030	44202	\N	\N	\N
320790	1097	1997-09-14	PRIJEM	VKLAD	19030	50541	\N	\N	\N
320791	1097	1997-10-14	PRIJEM	VKLAD	19030	55503	\N	\N	\N
320792	1097	1997-11-14	PRIJEM	VKLAD	19030	55775	\N	\N	\N
320793	1097	1997-12-14	PRIJEM	VKLAD	28545	66850	\N	\N	\N
320794	1097	1998-01-14	PRIJEM	VKLAD	19030	57785	\N	\N	\N
320795	1097	1998-02-14	PRIJEM	VKLAD	19030	48820	\N	\N	\N
320796	1097	1998-03-14	PRIJEM	VKLAD	19030	58874	\N	\N	\N
320797	1097	1998-04-14	PRIJEM	VKLAD	19030	57682	\N	\N	\N
320798	1097	1998-05-14	PRIJEM	VKLAD	19030	56400	\N	\N	\N
320799	1097	1998-06-14	PRIJEM	VKLAD	28545	55155	\N	\N	\N
320800	1097	1998-07-14	PRIJEM	VKLAD	19030	66434	\N	\N	\N
320801	1097	1998-08-14	PRIJEM	VKLAD	19030	75913	\N	\N	\N
320802	1097	1998-09-14	PRIJEM	VKLAD	19030	77460	\N	\N	\N
320803	1097	1998-10-14	PRIJEM	VKLAD	19030	81148	\N	\N	\N
320804	1097	1998-11-14	PRIJEM	VKLAD	19030	86758	\N	\N	\N
320805	1097	1998-12-14	PRIJEM	VKLAD	28545	97800	\N	\N	\N
320817	1097	1996-12-07	VYDAJ	PREVOD NA UCET	7636	34227	SIPO	OP	95009862
320818	1097	1997-01-07	VYDAJ	PREVOD NA UCET	7636	32123	SIPO	OP	95009862
320819	1097	1997-02-07	VYDAJ	PREVOD NA UCET	7636	7141	SIPO	OP	95009862
320820	1097	1997-03-07	VYDAJ	PREVOD NA UCET	7636	18711	SIPO	OP	95009862
320821	1097	1997-04-07	VYDAJ	PREVOD NA UCET	7636	25504	SIPO	OP	95009862
320822	1097	1997-05-07	VYDAJ	PREVOD NA UCET	7636	29139	SIPO	OP	95009862
320823	1097	1997-06-07	VYDAJ	PREVOD NA UCET	7636	29922	SIPO	OP	95009862
320824	1097	1997-07-07	VYDAJ	PREVOD NA UCET	7636	19278	SIPO	OP	95009862
320825	1097	1997-08-07	VYDAJ	PREVOD NA UCET	7636	25791	SIPO	OP	95009862
320826	1097	1997-09-07	VYDAJ	PREVOD NA UCET	7636	32130	SIPO	OP	95009862
320827	1097	1997-10-07	VYDAJ	PREVOD NA UCET	7636	37092	SIPO	OP	95009862
320828	1097	1997-11-07	VYDAJ	PREVOD NA UCET	7636	37364	SIPO	OP	95009862
320829	1097	1997-12-07	VYDAJ	PREVOD NA UCET	7636	38924	SIPO	OP	95009862
320830	1097	1998-01-07	VYDAJ	PREVOD NA UCET	7636	40974	SIPO	OP	95009862
320831	1097	1998-02-07	VYDAJ	PREVOD NA UCET	7636	24109	SIPO	OP	95009862
320832	1097	1998-03-07	VYDAJ	PREVOD NA UCET	7636	40463	SIPO	OP	95009862
320833	1097	1998-04-07	VYDAJ	PREVOD NA UCET	7636	41071	SIPO	OP	95009862
320834	1097	1998-05-07	VYDAJ	PREVOD NA UCET	7636	39289	SIPO	OP	95009862
320835	1097	1998-06-07	VYDAJ	PREVOD NA UCET	7636	9529	SIPO	OP	95009862
320836	1097	1998-07-07	VYDAJ	PREVOD NA UCET	7636	46823	SIPO	OP	95009862
320837	1097	1998-08-07	VYDAJ	PREVOD NA UCET	7636	58162	SIPO	OP	95009862
320838	1097	1998-09-07	VYDAJ	PREVOD NA UCET	7636	62149	SIPO	OP	95009862
320839	1097	1998-10-07	VYDAJ	PREVOD NA UCET	7636	69237	SIPO	OP	95009862
320840	1097	1998-11-07	VYDAJ	PREVOD NA UCET	7636	72347	SIPO	OP	95009862
320841	1097	1998-12-07	VYDAJ	PREVOD NA UCET	7636	78574	SIPO	OP	95009862
320852	1097	1996-11-14	VYDAJ	PREVOD NA UCET	870	64874	 	OP	33397758
320853	1097	1996-12-14	VYDAJ	PREVOD NA UCET	870	61283	 	OP	33397758
320854	1097	1997-01-14	VYDAJ	PREVOD NA UCET	870	48344	 	OP	33397758
320855	1097	1997-02-14	VYDAJ	PREVOD NA UCET	870	24682	 	OP	33397758
320856	1097	1997-03-14	VYDAJ	PREVOD NA UCET	870	36252	 	OP	33397758
320857	1097	1997-04-14	VYDAJ	PREVOD NA UCET	870	43045	 	OP	33397758
320858	1097	1997-05-14	VYDAJ	PREVOD NA UCET	870	46680	 	OP	33397758
320859	1097	1997-06-14	VYDAJ	PREVOD NA UCET	870	56978	 	OP	33397758
320860	1097	1997-07-14	VYDAJ	PREVOD NA UCET	870	36819	 	OP	33397758
320861	1097	1997-08-14	VYDAJ	PREVOD NA UCET	870	43332	 	OP	33397758
320862	1097	1997-09-14	VYDAJ	PREVOD NA UCET	870	49671	 	OP	33397758
320863	1097	1997-10-14	VYDAJ	PREVOD NA UCET	870	54633	 	OP	33397758
320864	1097	1997-11-14	VYDAJ	PREVOD NA UCET	870	50105	 	OP	33397758
320865	1097	1997-12-14	VYDAJ	PREVOD NA UCET	870	54380	 	OP	33397758
320866	1097	1998-01-14	VYDAJ	PREVOD NA UCET	870	54155	 	OP	33397758
320867	1097	1998-02-14	VYDAJ	PREVOD NA UCET	870	47950	 	OP	33397758
320868	1097	1998-03-14	VYDAJ	PREVOD NA UCET	870	58004	 	OP	33397758
320869	1097	1998-04-14	VYDAJ	PREVOD NA UCET	870	56812	 	OP	33397758
320870	1097	1998-05-14	VYDAJ	PREVOD NA UCET	870	55530	 	OP	33397758
320871	1097	1998-06-14	VYDAJ	PREVOD NA UCET	870	54285	 	OP	33397758
320872	1097	1998-07-14	VYDAJ	PREVOD NA UCET	870	65564	 	OP	33397758
320873	1097	1998-08-14	VYDAJ	PREVOD NA UCET	870	75043	 	OP	33397758
320874	1097	1998-09-14	VYDAJ	PREVOD NA UCET	870	76590	 	OP	33397758
320875	1097	1998-10-14	VYDAJ	PREVOD NA UCET	870	80278	 	OP	33397758
320876	1097	1998-11-14	VYDAJ	PREVOD NA UCET	870	85888	 	OP	33397758
320877	1097	1998-12-14	VYDAJ	PREVOD NA UCET	870	96930	 	OP	33397758
320889	1097	1996-12-12	VYDAJ	PREVOD NA UCET	577	33608	POJISTNE	CD	50336754
320890	1097	1997-01-12	VYDAJ	PREVOD NA UCET	577	30184	POJISTNE	CD	50336754
320891	1097	1997-02-12	VYDAJ	PREVOD NA UCET	577	6522	POJISTNE	CD	50336754
320892	1097	1997-03-12	VYDAJ	PREVOD NA UCET	577	18092	POJISTNE	CD	50336754
320893	1097	1997-04-12	VYDAJ	PREVOD NA UCET	577	24885	POJISTNE	CD	50336754
320894	1097	1997-05-12	VYDAJ	PREVOD NA UCET	577	28520	POJISTNE	CD	50336754
320895	1097	1997-06-12	VYDAJ	PREVOD NA UCET	577	29303	POJISTNE	CD	50336754
320896	1097	1997-07-12	VYDAJ	PREVOD NA UCET	577	18659	POJISTNE	CD	50336754
320897	1097	1997-08-12	VYDAJ	PREVOD NA UCET	577	25172	POJISTNE	CD	50336754
320898	1097	1997-09-12	VYDAJ	PREVOD NA UCET	577	31511	POJISTNE	CD	50336754
320899	1097	1997-10-12	VYDAJ	PREVOD NA UCET	577	36473	POJISTNE	CD	50336754
320900	1097	1997-11-12	VYDAJ	PREVOD NA UCET	577	36745	POJISTNE	CD	50336754
320901	1097	1997-12-12	VYDAJ	PREVOD NA UCET	577	38305	POJISTNE	CD	50336754
320902	1097	1998-01-12	VYDAJ	PREVOD NA UCET	577	40355	POJISTNE	CD	50336754
320903	1097	1998-02-12	VYDAJ	PREVOD NA UCET	577	29790	POJISTNE	CD	50336754
320904	1097	1998-03-12	VYDAJ	PREVOD NA UCET	577	39844	POJISTNE	CD	50336754
320905	1097	1998-04-12	VYDAJ	PREVOD NA UCET	577	40452	POJISTNE	CD	50336754
320906	1097	1998-05-12	VYDAJ	PREVOD NA UCET	577	38670	POJISTNE	CD	50336754
320907	1097	1998-06-12	VYDAJ	PREVOD NA UCET	577	26610	POJISTNE	CD	50336754
320908	1097	1998-07-12	VYDAJ	PREVOD NA UCET	577	47404	POJISTNE	CD	50336754
320909	1097	1998-08-12	VYDAJ	PREVOD NA UCET	577	56883	POJISTNE	CD	50336754
320910	1097	1998-09-12	VYDAJ	PREVOD NA UCET	577	58430	POJISTNE	CD	50336754
320911	1097	1998-10-12	VYDAJ	PREVOD NA UCET	577	62118	POJISTNE	CD	50336754
320912	1097	1998-11-12	VYDAJ	PREVOD NA UCET	577	67728	POJISTNE	CD	50336754
320913	1097	1998-12-12	VYDAJ	PREVOD NA UCET	577	69255	POJISTNE	CD	50336754
320925	1097	1996-12-08	VYDAJ	PREVOD NA UCET	42	34185	 	UV	86982053
320926	1097	1997-01-08	VYDAJ	PREVOD NA UCET	42	32081	 	UV	86982053
320927	1097	1997-02-08	VYDAJ	PREVOD NA UCET	42	7099	 	UV	86982053
320928	1097	1997-03-08	VYDAJ	PREVOD NA UCET	42	18669	 	UV	86982053
320929	1097	1997-04-08	VYDAJ	PREVOD NA UCET	42	25462	 	UV	86982053
320930	1097	1997-05-08	VYDAJ	PREVOD NA UCET	42	29097	 	UV	86982053
320931	1097	1997-06-08	VYDAJ	PREVOD NA UCET	42	29880	 	UV	86982053
320932	1097	1997-07-08	VYDAJ	PREVOD NA UCET	42	19236	 	UV	86982053
320933	1097	1997-08-08	VYDAJ	PREVOD NA UCET	42	25749	 	UV	86982053
320934	1097	1997-09-08	VYDAJ	PREVOD NA UCET	42	32088	 	UV	86982053
320935	1097	1997-10-08	VYDAJ	PREVOD NA UCET	42	37050	 	UV	86982053
320936	1097	1997-11-08	VYDAJ	PREVOD NA UCET	42	37322	 	UV	86982053
320937	1097	1997-12-08	VYDAJ	PREVOD NA UCET	42	38882	 	UV	86982053
320938	1097	1998-01-08	VYDAJ	PREVOD NA UCET	42	40932	 	UV	86982053
320939	1097	1998-02-08	VYDAJ	PREVOD NA UCET	42	24067	 	UV	86982053
320940	1097	1998-03-08	VYDAJ	PREVOD NA UCET	42	40421	 	UV	86982053
320941	1097	1998-04-08	VYDAJ	PREVOD NA UCET	42	41029	 	UV	86982053
320942	1097	1998-05-08	VYDAJ	PREVOD NA UCET	42	39247	 	UV	86982053
320943	1097	1998-06-08	VYDAJ	PREVOD NA UCET	42	9487	 	UV	86982053
320944	1097	1998-07-08	VYDAJ	PREVOD NA UCET	42	46781	 	UV	86982053
320945	1097	1998-08-08	VYDAJ	PREVOD NA UCET	42	58120	 	UV	86982053
320946	1097	1998-09-08	VYDAJ	PREVOD NA UCET	42	62107	 	UV	86982053
320947	1097	1998-10-08	VYDAJ	PREVOD NA UCET	42	69195	 	UV	86982053
320948	1097	1998-11-08	VYDAJ	PREVOD NA UCET	42	72305	 	UV	86982053
320949	1097	1998-12-08	VYDAJ	PREVOD NA UCET	42	78532	 	UV	86982053
320951	1097	1997-06-22	VYDAJ	VYBER	19200	26778	\N	\N	\N
320952	1097	1998-06-03	VYDAJ	VYBER	38560	17165	\N	\N	\N
320954	1097	1997-01-19	VYDAJ	VYBER	13280	24264	\N	\N	\N
320955	1097	1998-01-16	VYDAJ	VYBER	14880	36515	\N	\N	\N
320956	1097	1996-12-02	VYDAJ	VYBER	3200	41863	\N	\N	\N
320957	1097	1997-12-24	VYDAJ	VYBER	1280	53100	\N	\N	\N
320958	1097	1998-12-23	VYDAJ	VYBER KARTOU	1900	95030	\N	\N	0
320965	1097	1997-01-25	VYDAJ	VYBER	2400	20184	\N	\N	\N
320966	1097	1997-01-03	VYDAJ	VYBER	840	39759	\N	\N	\N
320967	1097	1997-01-03	VYDAJ	VYBER	2280	40599	\N	\N	\N
320968	1097	1997-01-11	VYDAJ	VYBER	1320	30761	\N	\N	\N
320969	1097	1997-01-21	VYDAJ	VYBER	960	22584	\N	\N	\N
320970	1097	1997-01-01	VYDAJ	VYBER	2880	42879	\N	\N	\N
320971	1097	1998-01-17	VYDAJ	VYBER	2640	33875	\N	\N	\N
320972	1097	1998-01-14	VYDAJ	VYBER	2760	55025	\N	\N	\N
320973	1097	1998-01-23	VYDAJ	VYBER	2280	31595	\N	\N	\N
320974	1097	1998-01-02	VYDAJ	VYBER	3240	50050	\N	\N	\N
320975	1097	1998-01-15	VYDAJ	VYBER	2760	51395	\N	\N	\N
320976	1097	1998-01-06	VYDAJ	VYBER	1440	48610	\N	\N	\N
320980	1097	1997-05-17	VYDAJ	VYBER	1560	45120	\N	\N	\N
320981	1097	1997-01-27	VYDAJ	VYBER	5520	14664	\N	\N	\N
320982	1097	1997-03-22	VYDAJ	VYBER	720	33032	\N	\N	\N
320983	1097	1997-11-28	VYDAJ	VYBER	2760	46385	\N	\N	\N
320984	1097	1997-01-20	VYDAJ	VYBER	720	23544	\N	\N	\N
320985	1097	1997-11-16	VYDAJ	VYBER	960	49145	\N	\N	\N
320986	1097	1998-04-23	VYDAJ	VYBER	4440	52372	\N	\N	\N
320987	1097	1998-04-28	VYDAJ	VYBER	5640	46732	\N	\N	\N
320988	1097	1998-10-30	VYDAJ	VYBER	600	79678	\N	\N	\N
320989	1097	1998-08-15	VYDAJ	VYBER	5520	69523	\N	\N	\N
320990	1097	1998-08-09	VYDAJ	VYBER	960	57160	\N	\N	\N
321002	1097	1996-11-30	VYDAJ	VYBER	15	45063	SLUZBY	\N	\N
321003	1097	1996-12-31	VYDAJ	VYBER	15	45759	SLUZBY	\N	\N
321004	1097	1997-01-31	VYDAJ	VYBER	15	14777	SLUZBY	\N	\N
321005	1097	1997-02-28	VYDAJ	VYBER	15	26347	SLUZBY	\N	\N
321006	1097	1997-03-31	VYDAJ	VYBER	15	33140	SLUZBY	\N	\N
321007	1097	1997-04-30	VYDAJ	VYBER	15	36775	SLUZBY	\N	\N
321008	1097	1997-05-31	VYDAJ	VYBER	15	37558	SLUZBY	\N	\N
321009	1097	1997-06-30	VYDAJ	VYBER	15	26914	SLUZBY	\N	\N
321010	1097	1997-07-31	VYDAJ	VYBER	15	33427	SLUZBY	\N	\N
321011	1097	1997-08-31	VYDAJ	VYBER	15	39766	SLUZBY	\N	\N
321012	1097	1997-09-30	VYDAJ	VYBER	15	44728	SLUZBY	\N	\N
321013	1097	1997-10-31	VYDAJ	VYBER	15	45000	SLUZBY	\N	\N
321014	1097	1997-11-30	VYDAJ	VYBER	15	46560	SLUZBY	\N	\N
321015	1097	1997-12-31	VYDAJ	VYBER	15	53290	SLUZBY	\N	\N
321016	1097	1998-01-31	VYDAJ	VYBER	15	31745	SLUZBY	\N	\N
321017	1097	1998-02-28	VYDAJ	VYBER	15	48099	SLUZBY	\N	\N
321018	1097	1998-03-31	VYDAJ	VYBER	15	48707	SLUZBY	\N	\N
321019	1097	1998-04-30	VYDAJ	VYBER	15	46925	SLUZBY	\N	\N
321020	1097	1998-05-31	VYDAJ	VYBER	15	55725	SLUZBY	\N	\N
321021	1097	1998-06-30	VYDAJ	VYBER	15	54459	SLUZBY	\N	\N
321022	1097	1998-07-31	VYDAJ	VYBER	15	65798	SLUZBY	\N	\N
321023	1097	1998-08-31	VYDAJ	VYBER	15	69785	SLUZBY	\N	\N
321024	1097	1998-09-30	VYDAJ	VYBER	15	76873	SLUZBY	\N	\N
321025	1097	1998-10-31	VYDAJ	VYBER	15	79983	SLUZBY	\N	\N
321026	1097	1998-11-30	VYDAJ	VYBER	15	86210	SLUZBY	\N	\N
321027	1097	1996-07-22	PRIJEM	VKLAD	5100	25130	\N	\N	\N
321028	1097	1996-08-21	VYDAJ	VYBER	8800	35394	\N	\N	\N
321029	1097	1996-09-20	VYDAJ	VYBER	12400	42144	\N	\N	\N
321030	1097	1996-10-20	VYDAJ	VYBER	14800	46531	\N	\N	\N
321031	1097	1996-11-19	VYDAJ	VYBER	20000	44874	\N	\N	\N
321032	1097	1996-12-19	VYDAJ	VYBER	15700	45583	\N	\N	\N
321033	1097	1997-01-18	VYDAJ	VYBER	10800	37544	\N	\N	\N
321034	1097	1997-02-17	PRIJEM	VKLAD	1600	26282	\N	\N	\N
321035	1097	1997-03-19	VYDAJ	VYBER	2500	33752	\N	\N	\N
321036	1097	1997-04-18	VYDAJ	VYBER	6400	36645	\N	\N	\N
321037	1097	1997-05-18	VYDAJ	VYBER	7700	37420	\N	\N	\N
321038	1097	1997-06-17	VYDAJ	VYBER	11000	45978	\N	\N	\N
321039	1097	1997-07-17	VYDAJ	VYBER	3500	33319	\N	\N	\N
321040	1097	1997-08-16	VYDAJ	VYBER	3700	39632	\N	\N	\N
321041	1097	1997-09-15	VYDAJ	VYBER	5100	44571	\N	\N	\N
321042	1097	1997-10-15	VYDAJ	VYBER	9800	44833	\N	\N	\N
321043	1097	1997-11-14	VYDAJ	VYBER	4800	50975	\N	\N	\N
321044	1097	1997-12-14	VYDAJ	VYBER	11600	55250	\N	\N	\N
321045	1097	1998-01-13	VYDAJ	VYBER	1600	38755	\N	\N	\N
321046	1097	1998-02-12	PRIJEM	VKLAD	6300	30367	\N	\N	\N
321047	1097	1998-03-14	VYDAJ	VYBER	9500	48504	\N	\N	\N
321048	1097	1998-04-13	VYDAJ	VYBER	1800	38652	\N	\N	\N
321049	1097	1998-05-13	VYDAJ	VYBER	1300	37370	\N	\N	\N
321050	1097	1998-06-12	PRIJEM	VKLAD	17700	27187	\N	\N	\N
321051	1097	1998-07-12	PRIJEM	VKLAD	1200	47981	\N	\N	\N
321052	1097	1998-08-11	PRIJEM	VKLAD	300	57460	\N	\N	\N
321053	1097	1998-09-10	VYDAJ	VYBER	3100	59007	\N	\N	\N
321054	1097	1998-10-10	VYDAJ	VYBER	6500	62695	\N	\N	\N
321055	1097	1998-11-09	VYDAJ	VYBER	4000	68305	\N	\N	\N
321056	1097	1998-12-09	VYDAJ	VYBER	8700	69832	\N	\N	\N
321087	1098	1993-12-28	PRIJEM	VKLAD	600	600	\N	\N	\N
321100	1098	1994-01-05	PRIJEM	PREVOD Z UCTU	5784	6384	DUCHOD	QR	49755728
321101	1098	1994-02-05	PRIJEM	PREVOD Z UCTU	5784	12168	DUCHOD	QR	49755728
321102	1098	1994-03-05	PRIJEM	PREVOD Z UCTU	5784	17952	DUCHOD	QR	49755728
321103	1098	1994-04-05	PRIJEM	PREVOD Z UCTU	5784	23736	DUCHOD	QR	49755728
321104	1098	1994-05-05	PRIJEM	PREVOD Z UCTU	5784	28533	DUCHOD	QR	49755728
321105	1098	1994-06-05	PRIJEM	PREVOD Z UCTU	5784	24799	DUCHOD	QR	49755728
321106	1098	1994-07-05	PRIJEM	PREVOD Z UCTU	5784	18769	DUCHOD	QR	49755728
321107	1098	1994-08-05	PRIJEM	PREVOD Z UCTU	5784	22979	DUCHOD	QR	49755728
321108	1098	1994-09-05	PRIJEM	PREVOD Z UCTU	5784	27206	DUCHOD	QR	49755728
321109	1098	1994-10-05	PRIJEM	PREVOD Z UCTU	5784	31450	DUCHOD	QR	49755728
321110	1098	1994-11-05	PRIJEM	PREVOD Z UCTU	5784	33810	DUCHOD	QR	49755728
321111	1098	1994-12-05	PRIJEM	PREVOD Z UCTU	5784	31375	DUCHOD	QR	49755728
321112	1098	1995-01-05	PRIJEM	PREVOD Z UCTU	5784	32632	DUCHOD	QR	49755728
321113	1098	1995-02-05	PRIJEM	PREVOD Z UCTU	5784	31893	DUCHOD	QR	49755728
321114	1098	1995-03-05	PRIJEM	PREVOD Z UCTU	5784	33353	DUCHOD	QR	49755728
321115	1098	1995-04-05	PRIJEM	PREVOD Z UCTU	5784	29713	DUCHOD	QR	49755728
321116	1098	1995-05-05	PRIJEM	PREVOD Z UCTU	5784	29462	DUCHOD	QR	49755728
321117	1098	1995-06-05	PRIJEM	PREVOD Z UCTU	5784	27949	DUCHOD	QR	49755728
321118	1098	1995-07-05	PRIJEM	PREVOD Z UCTU	5784	18308	DUCHOD	QR	49755728
321119	1098	1995-08-05	PRIJEM	PREVOD Z UCTU	5784	19634	DUCHOD	QR	49755728
321120	1098	1995-09-05	PRIJEM	PREVOD Z UCTU	5784	22323	DUCHOD	QR	49755728
321121	1098	1995-10-05	PRIJEM	PREVOD Z UCTU	5784	25023	DUCHOD	QR	49755728
321122	1098	1995-11-05	PRIJEM	PREVOD Z UCTU	5784	27217	DUCHOD	QR	49755728
321123	1098	1995-12-05	PRIJEM	PREVOD Z UCTU	5784	30064	DUCHOD	QR	49755728
321124	1098	1996-01-05	PRIJEM	PREVOD Z UCTU	5784	29161	DUCHOD	QR	49755728
321125	1098	1996-02-05	PRIJEM	PREVOD Z UCTU	5784	28199	DUCHOD	QR	49755728
321126	1098	1996-03-05	PRIJEM	PREVOD Z UCTU	5784	28038	DUCHOD	QR	49755728
321127	1098	1996-04-05	PRIJEM	PREVOD Z UCTU	5784	27576	DUCHOD	QR	49755728
321128	1098	1996-05-05	PRIJEM	PREVOD Z UCTU	5784	20599	DUCHOD	QR	49755728
321129	1098	1996-06-05	PRIJEM	PREVOD Z UCTU	5784	21286	DUCHOD	QR	49755728
321130	1098	1996-07-05	PRIJEM	PREVOD Z UCTU	5784	19742	DUCHOD	QR	49755728
321131	1098	1996-08-05	PRIJEM	PREVOD Z UCTU	5784	18743	DUCHOD	QR	49755728
321132	1098	1996-09-05	PRIJEM	PREVOD Z UCTU	5784	22951	DUCHOD	QR	49755728
321133	1098	1996-10-05	PRIJEM	PREVOD Z UCTU	5784	18576	DUCHOD	QR	49755728
321134	1098	1996-11-05	PRIJEM	PREVOD Z UCTU	5784	19160	DUCHOD	QR	49755728
321135	1098	1996-12-05	PRIJEM	PREVOD Z UCTU	5784	23370	DUCHOD	QR	49755728
321136	1098	1997-01-05	PRIJEM	PREVOD Z UCTU	5784	17871	DUCHOD	QR	49755728
321137	1098	1997-02-05	PRIJEM	PREVOD Z UCTU	5784	22076	DUCHOD	QR	49755728
321138	1098	1997-03-05	PRIJEM	PREVOD Z UCTU	5784	16270	DUCHOD	QR	49755728
321139	1098	1997-04-05	PRIJEM	PREVOD Z UCTU	5784	20468	DUCHOD	QR	49755728
321140	1098	1997-05-05	PRIJEM	PREVOD Z UCTU	5784	24684	DUCHOD	QR	49755728
321141	1098	1997-06-05	PRIJEM	PREVOD Z UCTU	5784	18691	DUCHOD	QR	49755728
321142	1098	1997-07-05	PRIJEM	PREVOD Z UCTU	5784	22898	DUCHOD	QR	49755728
321143	1098	1997-08-05	PRIJEM	PREVOD Z UCTU	5784	27124	DUCHOD	QR	49755728
321144	1098	1997-09-05	PRIJEM	PREVOD Z UCTU	5784	31367	DUCHOD	QR	49755728
321145	1098	1997-10-05	PRIJEM	PREVOD Z UCTU	5784	32179	DUCHOD	QR	49755728
321146	1098	1997-11-05	PRIJEM	PREVOD Z UCTU	5784	36443	DUCHOD	QR	49755728
321147	1098	1997-12-05	PRIJEM	PREVOD Z UCTU	5784	36001	DUCHOD	QR	49755728
321148	1098	1998-01-05	PRIJEM	PREVOD Z UCTU	5784	39679	DUCHOD	QR	49755728
321149	1098	1998-02-05	PRIJEM	PREVOD Z UCTU	5784	40919	DUCHOD	QR	49755728
321150	1098	1998-03-05	PRIJEM	PREVOD Z UCTU	5784	45224	DUCHOD	QR	49755728
321151	1098	1998-04-05	PRIJEM	PREVOD Z UCTU	5784	48341	DUCHOD	QR	49755728
321152	1098	1998-05-05	PRIJEM	PREVOD Z UCTU	5784	51232	DUCHOD	QR	49755728
321153	1098	1998-06-05	PRIJEM	PREVOD Z UCTU	5784	55575	DUCHOD	QR	49755728
321154	1098	1998-07-05	PRIJEM	PREVOD Z UCTU	5784	47725	DUCHOD	QR	49755728
321155	1098	1998-08-05	PRIJEM	PREVOD Z UCTU	5784	52054	DUCHOD	QR	49755728
321156	1098	1998-09-05	PRIJEM	PREVOD Z UCTU	5784	52953	DUCHOD	QR	49755728
321157	1098	1998-10-05	PRIJEM	PREVOD Z UCTU	5784	53860	DUCHOD	QR	49755728
321158	1098	1998-11-05	PRIJEM	PREVOD Z UCTU	5784	58214	DUCHOD	QR	49755728
321159	1098	1998-12-05	PRIJEM	PREVOD Z UCTU	5784	62585	DUCHOD	QR	49755728
321176	1098	1994-05-13	VYDAJ	PREVOD NA UCET	619	26907	SIPO	AB	2207518
321177	1098	1994-06-13	VYDAJ	PREVOD NA UCET	619	23173	SIPO	AB	2207518
321178	1098	1994-07-13	VYDAJ	PREVOD NA UCET	619	17143	SIPO	AB	2207518
321179	1098	1994-08-13	VYDAJ	PREVOD NA UCET	619	21353	SIPO	AB	2207518
321180	1098	1994-09-13	VYDAJ	PREVOD NA UCET	619	25580	SIPO	AB	2207518
321181	1098	1994-10-13	VYDAJ	PREVOD NA UCET	619	29824	SIPO	AB	2207518
321182	1098	1994-11-13	VYDAJ	PREVOD NA UCET	619	32184	SIPO	AB	2207518
321183	1098	1994-12-13	VYDAJ	PREVOD NA UCET	619	29749	SIPO	AB	2207518
321184	1098	1995-01-13	VYDAJ	PREVOD NA UCET	619	31006	SIPO	AB	2207518
321185	1098	1995-02-13	VYDAJ	PREVOD NA UCET	619	30267	SIPO	AB	2207518
321186	1098	1995-03-13	VYDAJ	PREVOD NA UCET	619	31727	SIPO	AB	2207518
321187	1098	1995-04-13	VYDAJ	PREVOD NA UCET	619	28087	SIPO	AB	2207518
321188	1098	1995-05-13	VYDAJ	PREVOD NA UCET	619	27836	SIPO	AB	2207518
321189	1098	1995-06-13	VYDAJ	PREVOD NA UCET	619	12473	SIPO	AB	2207518
321190	1098	1995-07-13	VYDAJ	PREVOD NA UCET	619	16682	SIPO	AB	2207518
321191	1098	1995-08-13	VYDAJ	PREVOD NA UCET	619	18008	SIPO	AB	2207518
321192	1098	1995-09-13	VYDAJ	PREVOD NA UCET	619	19177	SIPO	AB	2207518
321193	1098	1995-10-13	VYDAJ	PREVOD NA UCET	619	23397	SIPO	AB	2207518
321194	1098	1995-11-13	VYDAJ	PREVOD NA UCET	619	25591	SIPO	AB	2207518
321195	1098	1995-12-13	VYDAJ	PREVOD NA UCET	619	28438	SIPO	AB	2207518
321196	1098	1996-01-13	VYDAJ	PREVOD NA UCET	619	22735	SIPO	AB	2207518
321197	1098	1996-02-13	VYDAJ	PREVOD NA UCET	619	26573	SIPO	AB	2207518
321198	1098	1996-03-13	VYDAJ	PREVOD NA UCET	619	26412	SIPO	AB	2207518
321199	1098	1996-04-13	VYDAJ	PREVOD NA UCET	619	25950	SIPO	AB	2207518
321200	1098	1996-05-13	VYDAJ	PREVOD NA UCET	619	15453	SIPO	AB	2207518
321201	1098	1996-06-13	VYDAJ	PREVOD NA UCET	619	19660	SIPO	AB	2207518
321202	1098	1996-07-13	VYDAJ	PREVOD NA UCET	619	18116	SIPO	AB	2207518
321203	1098	1996-08-13	VYDAJ	PREVOD NA UCET	619	17117	SIPO	AB	2207518
321204	1098	1996-09-13	VYDAJ	PREVOD NA UCET	619	21325	SIPO	AB	2207518
321205	1098	1996-10-13	VYDAJ	PREVOD NA UCET	619	15030	SIPO	AB	2207518
321206	1098	1996-11-13	VYDAJ	PREVOD NA UCET	619	17534	SIPO	AB	2207518
321207	1098	1996-12-13	VYDAJ	PREVOD NA UCET	619	12044	SIPO	AB	2207518
321208	1098	1997-01-13	VYDAJ	PREVOD NA UCET	619	16245	SIPO	AB	2207518
321209	1098	1997-02-13	VYDAJ	PREVOD NA UCET	619	10450	SIPO	AB	2207518
321210	1098	1997-03-13	VYDAJ	PREVOD NA UCET	619	14644	SIPO	AB	2207518
321211	1098	1997-04-13	VYDAJ	PREVOD NA UCET	619	18842	SIPO	AB	2207518
321212	1098	1997-05-13	VYDAJ	PREVOD NA UCET	619	12858	SIPO	AB	2207518
321213	1098	1997-06-13	VYDAJ	PREVOD NA UCET	619	17065	SIPO	AB	2207518
321214	1098	1997-07-13	VYDAJ	PREVOD NA UCET	619	21272	SIPO	AB	2207518
321215	1098	1997-08-13	VYDAJ	PREVOD NA UCET	619	25498	SIPO	AB	2207518
321216	1098	1997-09-13	VYDAJ	PREVOD NA UCET	619	26301	SIPO	AB	2207518
321217	1098	1997-10-13	VYDAJ	PREVOD NA UCET	619	30553	SIPO	AB	2207518
321218	1098	1997-11-13	VYDAJ	PREVOD NA UCET	619	34817	SIPO	AB	2207518
321219	1098	1997-12-13	VYDAJ	PREVOD NA UCET	619	34375	SIPO	AB	2207518
321220	1098	1998-01-13	VYDAJ	PREVOD NA UCET	619	38053	SIPO	AB	2207518
321221	1098	1998-02-13	VYDAJ	PREVOD NA UCET	619	39293	SIPO	AB	2207518
321222	1098	1998-03-13	VYDAJ	PREVOD NA UCET	619	43598	SIPO	AB	2207518
321223	1098	1998-04-13	VYDAJ	PREVOD NA UCET	619	46715	SIPO	AB	2207518
321224	1098	1998-05-13	VYDAJ	PREVOD NA UCET	619	49606	SIPO	AB	2207518
321225	1098	1998-06-13	VYDAJ	PREVOD NA UCET	619	53949	SIPO	AB	2207518
321226	1098	1998-07-13	VYDAJ	PREVOD NA UCET	619	46099	SIPO	AB	2207518
321227	1098	1998-08-13	VYDAJ	PREVOD NA UCET	619	50428	SIPO	AB	2207518
321228	1098	1998-09-13	VYDAJ	PREVOD NA UCET	619	51327	SIPO	AB	2207518
321229	1098	1998-10-13	VYDAJ	PREVOD NA UCET	619	52234	SIPO	AB	2207518
321230	1098	1998-11-13	VYDAJ	PREVOD NA UCET	619	56588	SIPO	AB	2207518
321231	1098	1998-12-13	VYDAJ	PREVOD NA UCET	619	60959	SIPO	AB	2207518
321248	1098	1994-05-11	VYDAJ	PREVOD NA UCET	1007	27526	 	GH	47811776
321249	1098	1994-06-11	VYDAJ	PREVOD NA UCET	1007	23792	 	GH	47811776
321250	1098	1994-07-11	VYDAJ	PREVOD NA UCET	1007	17762	 	GH	47811776
321251	1098	1994-08-11	VYDAJ	PREVOD NA UCET	1007	21972	 	GH	47811776
321252	1098	1994-09-11	VYDAJ	PREVOD NA UCET	1007	26199	 	GH	47811776
321253	1098	1994-10-11	VYDAJ	PREVOD NA UCET	1007	30443	 	GH	47811776
321254	1098	1994-11-11	VYDAJ	PREVOD NA UCET	1007	32803	 	GH	47811776
321255	1098	1994-12-11	VYDAJ	PREVOD NA UCET	1007	30368	 	GH	47811776
321256	1098	1995-01-11	VYDAJ	PREVOD NA UCET	1007	31625	 	GH	47811776
321257	1098	1995-02-11	VYDAJ	PREVOD NA UCET	1007	30886	 	GH	47811776
321258	1098	1995-03-11	VYDAJ	PREVOD NA UCET	1007	32346	 	GH	47811776
321259	1098	1995-04-11	VYDAJ	PREVOD NA UCET	1007	28706	 	GH	47811776
321260	1098	1995-05-11	VYDAJ	PREVOD NA UCET	1007	28455	 	GH	47811776
321261	1098	1995-06-11	VYDAJ	PREVOD NA UCET	1007	26942	 	GH	47811776
321262	1098	1995-07-11	VYDAJ	PREVOD NA UCET	1007	17301	 	GH	47811776
321263	1098	1995-08-11	VYDAJ	PREVOD NA UCET	1007	18627	 	GH	47811776
321264	1098	1995-09-11	VYDAJ	PREVOD NA UCET	1007	21316	 	GH	47811776
321265	1098	1995-10-11	VYDAJ	PREVOD NA UCET	1007	24016	 	GH	47811776
321266	1098	1995-11-11	VYDAJ	PREVOD NA UCET	1007	26210	 	GH	47811776
321267	1098	1995-12-11	VYDAJ	PREVOD NA UCET	1007	29057	 	GH	47811776
321268	1098	1996-01-11	VYDAJ	PREVOD NA UCET	1007	23354	 	GH	47811776
321269	1098	1996-02-11	VYDAJ	PREVOD NA UCET	1007	27192	 	GH	47811776
321270	1098	1996-03-11	VYDAJ	PREVOD NA UCET	1007	27031	 	GH	47811776
321271	1098	1996-04-11	VYDAJ	PREVOD NA UCET	1007	26569	 	GH	47811776
321272	1098	1996-05-11	VYDAJ	PREVOD NA UCET	1007	16072	 	GH	47811776
321273	1098	1996-06-11	VYDAJ	PREVOD NA UCET	1007	20279	 	GH	47811776
321274	1098	1996-07-11	VYDAJ	PREVOD NA UCET	1007	18735	 	GH	47811776
321275	1098	1996-08-11	VYDAJ	PREVOD NA UCET	1007	17736	 	GH	47811776
321276	1098	1996-09-11	VYDAJ	PREVOD NA UCET	1007	21944	 	GH	47811776
321277	1098	1996-10-11	VYDAJ	PREVOD NA UCET	1007	15649	 	GH	47811776
321278	1098	1996-11-11	VYDAJ	PREVOD NA UCET	1007	18153	 	GH	47811776
321279	1098	1996-12-11	VYDAJ	PREVOD NA UCET	1007	22363	 	GH	47811776
321280	1098	1997-01-11	VYDAJ	PREVOD NA UCET	1007	16864	 	GH	47811776
321281	1098	1997-02-11	VYDAJ	PREVOD NA UCET	1007	11069	 	GH	47811776
321282	1098	1997-03-11	VYDAJ	PREVOD NA UCET	1007	15263	 	GH	47811776
321283	1098	1997-04-11	VYDAJ	PREVOD NA UCET	1007	19461	 	GH	47811776
321284	1098	1997-05-11	VYDAJ	PREVOD NA UCET	1007	23677	 	GH	47811776
321285	1098	1997-06-11	VYDAJ	PREVOD NA UCET	1007	17684	 	GH	47811776
321286	1098	1997-07-11	VYDAJ	PREVOD NA UCET	1007	21891	 	GH	47811776
321287	1098	1997-08-11	VYDAJ	PREVOD NA UCET	1007	26117	 	GH	47811776
321288	1098	1997-09-11	VYDAJ	PREVOD NA UCET	1007	26920	 	GH	47811776
321289	1098	1997-10-11	VYDAJ	PREVOD NA UCET	1007	31172	 	GH	47811776
321290	1098	1997-11-11	VYDAJ	PREVOD NA UCET	1007	35436	 	GH	47811776
321291	1098	1997-12-11	VYDAJ	PREVOD NA UCET	1007	34994	 	GH	47811776
321292	1098	1998-01-11	VYDAJ	PREVOD NA UCET	1007	38672	 	GH	47811776
321293	1098	1998-02-11	VYDAJ	PREVOD NA UCET	1007	39912	 	GH	47811776
321294	1098	1998-03-11	VYDAJ	PREVOD NA UCET	1007	44217	 	GH	47811776
321295	1098	1998-04-11	VYDAJ	PREVOD NA UCET	1007	47334	 	GH	47811776
321296	1098	1998-05-11	VYDAJ	PREVOD NA UCET	1007	50225	 	GH	47811776
321297	1098	1998-06-11	VYDAJ	PREVOD NA UCET	1007	54568	 	GH	47811776
321298	1098	1998-07-11	VYDAJ	PREVOD NA UCET	1007	46718	 	GH	47811776
321299	1098	1998-08-11	VYDAJ	PREVOD NA UCET	1007	51047	 	GH	47811776
321300	1098	1998-09-11	VYDAJ	PREVOD NA UCET	1007	51946	 	GH	47811776
321301	1098	1998-10-11	VYDAJ	PREVOD NA UCET	1007	52853	 	GH	47811776
321302	1098	1998-11-11	VYDAJ	PREVOD NA UCET	1007	57207	 	GH	47811776
321303	1098	1998-12-11	VYDAJ	PREVOD NA UCET	1007	61578	 	GH	47811776
321305	1098	1994-06-21	VYDAJ	VYBER	10250	12923	\N	\N	\N
321306	1098	1995-06-11	VYDAJ	VYBER	13850	13092	\N	\N	\N
321307	1098	1996-06-14	VYDAJ	VYBER	2350	17310	\N	\N	\N
321309	1098	1998-06-25	VYDAJ	VYBER	12200	41749	\N	\N	\N
321312	1098	1995-01-17	VYDAJ	VYBER	500	30506	\N	\N	\N
321313	1098	1996-01-08	VYDAJ	VYBER	4800	24361	\N	\N	\N
321315	1098	1998-01-14	VYDAJ	VYBER	2250	35803	\N	\N	\N
321317	1098	1994-12-21	VYDAJ	VYBER	1100	28649	\N	\N	\N
321318	1098	1995-12-26	VYDAJ	VYBER	450	23288	\N	\N	\N
321320	1098	1997-12-15	VYDAJ	VYBER	600	33775	\N	\N	\N
321321	1098	1998-12-19	VYDAJ	VYBER	850	60109	\N	\N	\N
321326	1098	1994-05-28	VYDAJ	VYBER	2400	22207	\N	\N	\N
321329	1098	1994-05-30	VYDAJ	VYBER	3280	18927	\N	\N	\N
321330	1098	1995-07-28	VYDAJ	VYBER	2480	13802	\N	\N	\N
321331	1098	1995-05-29	VYDAJ	VYBER	960	22076	\N	\N	\N
321332	1098	1995-11-04	VYDAJ	VYBER	1040	21433	\N	\N	\N
321333	1098	1995-08-16	VYDAJ	VYBER	1520	16488	\N	\N	\N
321334	1098	1995-09-12	VYDAJ	VYBER	1520	19796	\N	\N	\N
321335	1098	1996-04-17	VYDAJ	VYBER	3200	14750	\N	\N	\N
321337	1098	1996-10-09	VYDAJ	VYBER	1920	16656	\N	\N	\N
321338	1098	1996-05-11	VYDAJ	VYBER	3520	17079	\N	\N	\N
321340	1098	1997-09-08	VYDAJ	VYBER	3440	27927	\N	\N	\N
321341	1098	1997-11-25	VYDAJ	VYBER	3360	31457	\N	\N	\N
321342	1098	1997-11-30	VYDAJ	VYBER	1360	30217	\N	\N	\N
321343	1098	1998-03-27	VYDAJ	VYBER	1200	42398	\N	\N	\N
321344	1098	1998-08-17	VYDAJ	VYBER	3440	46988	\N	\N	\N
321345	1098	1998-02-01	VYDAJ	VYBER	800	35135	\N	\N	\N
321346	1098	1998-04-29	VYDAJ	VYBER	1440	45275	\N	\N	\N
321347	1098	1998-09-27	VYDAJ	VYBER	3440	47887	\N	\N	\N
321365	1098	1994-05-31	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
321366	1098	1994-06-30	VYDAJ	VYBER	15	12985	SLUZBY	\N	\N
321367	1098	1994-07-31	VYDAJ	VYBER	15	17195	SLUZBY	\N	\N
321368	1098	1994-08-31	VYDAJ	VYBER	15	21422	SLUZBY	\N	\N
321369	1098	1994-09-30	VYDAJ	VYBER	15	25666	SLUZBY	\N	\N
321370	1098	1994-10-31	VYDAJ	VYBER	15	28026	SLUZBY	\N	\N
321371	1098	1994-11-30	VYDAJ	VYBER	15	25591	SLUZBY	\N	\N
321372	1098	1994-12-31	VYDAJ	VYBER	15	26848	SLUZBY	\N	\N
321373	1098	1995-01-31	VYDAJ	VYBER	15	26109	SLUZBY	\N	\N
321374	1098	1995-02-28	VYDAJ	VYBER	15	27569	SLUZBY	\N	\N
321375	1098	1995-03-31	VYDAJ	VYBER	15	23929	SLUZBY	\N	\N
321376	1098	1995-04-30	VYDAJ	VYBER	15	23678	SLUZBY	\N	\N
321377	1098	1995-05-31	VYDAJ	VYBER	15	22165	SLUZBY	\N	\N
321378	1098	1995-06-30	VYDAJ	VYBER	15	12524	SLUZBY	\N	\N
321379	1098	1995-07-31	VYDAJ	VYBER	15	13850	SLUZBY	\N	\N
321380	1098	1995-08-31	VYDAJ	VYBER	15	16539	SLUZBY	\N	\N
321381	1098	1995-09-30	VYDAJ	VYBER	15	19239	SLUZBY	\N	\N
321382	1098	1995-10-31	VYDAJ	VYBER	15	22473	SLUZBY	\N	\N
321383	1098	1995-11-30	VYDAJ	VYBER	15	24280	SLUZBY	\N	\N
321384	1098	1995-12-31	VYDAJ	VYBER	15	23377	SLUZBY	\N	\N
321385	1098	1996-01-31	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
321386	1098	1996-02-29	VYDAJ	VYBER	15	22254	SLUZBY	\N	\N
321387	1098	1996-03-31	VYDAJ	VYBER	15	21792	SLUZBY	\N	\N
321388	1098	1996-04-30	VYDAJ	VYBER	15	14815	SLUZBY	\N	\N
321389	1098	1996-05-31	VYDAJ	VYBER	15	15502	SLUZBY	\N	\N
321390	1098	1996-06-30	VYDAJ	VYBER	15	13958	SLUZBY	\N	\N
321391	1098	1996-07-31	VYDAJ	VYBER	15	12959	SLUZBY	\N	\N
321392	1098	1996-08-31	VYDAJ	VYBER	15	17167	SLUZBY	\N	\N
321393	1098	1996-09-30	VYDAJ	VYBER	15	12792	SLUZBY	\N	\N
321394	1098	1996-10-31	VYDAJ	VYBER	15	13376	SLUZBY	\N	\N
321395	1098	1996-11-30	VYDAJ	VYBER	15	17586	SLUZBY	\N	\N
321396	1098	1996-12-31	VYDAJ	VYBER	15	12087	SLUZBY	\N	\N
321397	1098	1997-01-31	VYDAJ	VYBER	15	16292	SLUZBY	\N	\N
321398	1098	1997-02-28	VYDAJ	VYBER	15	10486	SLUZBY	\N	\N
321399	1098	1997-03-31	VYDAJ	VYBER	15	14684	SLUZBY	\N	\N
321400	1098	1997-04-30	VYDAJ	VYBER	15	18900	SLUZBY	\N	\N
321401	1098	1997-05-31	VYDAJ	VYBER	15	12907	SLUZBY	\N	\N
321402	1098	1997-06-30	VYDAJ	VYBER	15	17114	SLUZBY	\N	\N
321403	1098	1997-07-31	VYDAJ	VYBER	15	21340	SLUZBY	\N	\N
321404	1098	1997-08-31	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
321405	1098	1997-09-30	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
321406	1098	1997-10-31	VYDAJ	VYBER	15	30659	SLUZBY	\N	\N
321407	1098	1997-11-30	VYDAJ	VYBER	15	31577	SLUZBY	\N	\N
321408	1098	1997-12-31	VYDAJ	VYBER	15	33895	SLUZBY	\N	\N
321409	1098	1998-01-31	VYDAJ	VYBER	15	35935	SLUZBY	\N	\N
321410	1098	1998-02-28	VYDAJ	VYBER	15	39440	SLUZBY	\N	\N
321411	1098	1998-03-31	VYDAJ	VYBER	15	42557	SLUZBY	\N	\N
321412	1098	1998-04-30	VYDAJ	VYBER	15	45448	SLUZBY	\N	\N
321413	1098	1998-05-31	VYDAJ	VYBER	15	49791	SLUZBY	\N	\N
321414	1098	1998-06-30	VYDAJ	VYBER	15	41941	SLUZBY	\N	\N
321415	1098	1998-07-31	VYDAJ	VYBER	15	46270	SLUZBY	\N	\N
321416	1098	1998-08-31	VYDAJ	VYBER	15	47169	SLUZBY	\N	\N
321417	1098	1998-09-30	VYDAJ	VYBER	15	48076	SLUZBY	\N	\N
321418	1098	1998-10-31	VYDAJ	VYBER	15	52430	SLUZBY	\N	\N
321419	1098	1998-11-30	VYDAJ	VYBER	15	56801	SLUZBY	\N	\N
321420	1098	1994-04-27	VYDAJ	VYBER	1000	22736	\N	\N	\N
321421	1098	1994-05-27	VYDAJ	VYBER	2300	24607	\N	\N	\N
321422	1098	1994-10-24	VYDAJ	VYBER	1900	27924	\N	\N	\N
321423	1098	1994-11-23	VYDAJ	VYBER	6700	25484	\N	\N	\N
321424	1098	1994-12-23	VYDAJ	VYBER	1900	26749	\N	\N	\N
321425	1098	1995-01-22	VYDAJ	VYBER	4500	26006	\N	\N	\N
321426	1098	1995-02-21	VYDAJ	VYBER	2800	27467	\N	\N	\N
321427	1098	1995-03-23	VYDAJ	VYBER	7900	23827	\N	\N	\N
321428	1098	1995-04-22	VYDAJ	VYBER	4500	23587	\N	\N	\N
321429	1098	1995-05-22	VYDAJ	VYBER	4800	23036	\N	\N	\N
321430	1098	1995-07-21	VYDAJ	VYBER	400	16282	\N	\N	\N
321431	1098	1995-10-19	VYDAJ	VYBER	1000	22397	\N	\N	\N
321432	1098	1995-11-18	VYDAJ	VYBER	1400	24191	\N	\N	\N
321433	1098	1995-12-18	VYDAJ	VYBER	4700	23738	\N	\N	\N
321434	1098	1996-01-17	VYDAJ	VYBER	400	22335	\N	\N	\N
321435	1098	1996-02-16	VYDAJ	VYBER	4400	22173	\N	\N	\N
321436	1098	1996-03-17	VYDAJ	VYBER	4700	21712	\N	\N	\N
321437	1098	1996-04-16	VYDAJ	VYBER	8000	17950	\N	\N	\N
321438	1098	1996-06-15	VYDAJ	VYBER	3400	13910	\N	\N	\N
321439	1098	1996-07-15	VYDAJ	VYBER	5200	12916	\N	\N	\N
321440	1098	1996-09-13	VYDAJ	VYBER	8600	12725	\N	\N	\N
321441	1098	1996-10-13	VYDAJ	VYBER	1700	13330	\N	\N	\N
321442	1098	1996-12-12	VYDAJ	VYBER	9700	12663	\N	\N	\N
321443	1098	1997-02-10	VYDAJ	VYBER	10000	12076	\N	\N	\N
321444	1098	1997-05-11	VYDAJ	VYBER	10200	13477	\N	\N	\N
322196	1100	1996-09-23	PRIJEM	VKLAD	700	700	\N	\N	\N
322206	1100	1996-10-07	PRIJEM	PREVOD Z UCTU	3239	3939	\N	WX	82191985
322207	1100	1996-11-07	PRIJEM	PREVOD Z UCTU	3239	7178	\N	WX	82191985
322208	1100	1996-12-07	PRIJEM	PREVOD Z UCTU	3239	10417	\N	WX	82191985
322209	1100	1997-01-07	PRIJEM	PREVOD Z UCTU	3239	13656	\N	WX	82191985
322210	1100	1997-02-07	PRIJEM	PREVOD Z UCTU	3239	16895	\N	WX	82191985
322211	1100	1997-03-07	PRIJEM	PREVOD Z UCTU	3239	15904	\N	WX	82191985
322212	1100	1997-04-07	PRIJEM	PREVOD Z UCTU	3239	17030	\N	WX	82191985
322213	1100	1997-05-07	PRIJEM	PREVOD Z UCTU	3239	17060	\N	WX	82191985
322214	1100	1997-06-07	PRIJEM	PREVOD Z UCTU	3239	18190	\N	WX	82191985
322215	1100	1997-07-07	PRIJEM	PREVOD Z UCTU	3239	17423	\N	WX	82191985
322216	1100	1997-08-07	PRIJEM	PREVOD Z UCTU	3239	17854	\N	WX	82191985
322217	1100	1997-09-07	PRIJEM	PREVOD Z UCTU	3239	14881	\N	WX	82191985
322218	1100	1997-10-07	PRIJEM	PREVOD Z UCTU	3239	16002	\N	WX	82191985
322219	1100	1997-11-07	PRIJEM	PREVOD Z UCTU	3239	12729	\N	WX	82191985
322220	1100	1997-12-07	PRIJEM	PREVOD Z UCTU	3239	12940	\N	WX	82191985
322221	1100	1998-01-07	PRIJEM	PREVOD Z UCTU	3239	14054	\N	WX	82191985
322222	1100	1998-02-07	PRIJEM	PREVOD Z UCTU	3239	13949	\N	WX	82191985
322223	1100	1998-03-07	PRIJEM	PREVOD Z UCTU	3239	15070	\N	WX	82191985
322224	1100	1998-04-07	PRIJEM	PREVOD Z UCTU	3239	16192	\N	WX	82191985
322225	1100	1998-05-07	PRIJEM	PREVOD Z UCTU	3239	16087	\N	WX	82191985
322226	1100	1998-06-07	PRIJEM	PREVOD Z UCTU	3239	15509	\N	WX	82191985
322227	1100	1998-07-07	PRIJEM	PREVOD Z UCTU	3239	13126	\N	WX	82191985
322228	1100	1998-08-07	PRIJEM	PREVOD Z UCTU	3239	14240	\N	WX	82191985
322229	1100	1998-09-07	PRIJEM	PREVOD Z UCTU	3239	15359	\N	WX	82191985
322230	1100	1998-10-07	PRIJEM	PREVOD Z UCTU	3239	13575	\N	WX	82191985
322231	1100	1998-11-07	PRIJEM	PREVOD Z UCTU	3239	14691	\N	WX	82191985
322232	1100	1998-12-07	PRIJEM	PREVOD Z UCTU	3239	15815	\N	WX	82191985
322246	1100	1997-02-09	VYDAJ	PREVOD NA UCET	174	15618	SIPO	OP	60873585
322247	1100	1997-03-09	VYDAJ	PREVOD NA UCET	174	14627	SIPO	OP	60873585
322248	1100	1997-04-09	VYDAJ	PREVOD NA UCET	174	15753	SIPO	OP	60873585
322249	1100	1997-05-09	VYDAJ	PREVOD NA UCET	174	15783	SIPO	OP	60873585
322250	1100	1997-06-09	VYDAJ	PREVOD NA UCET	174	16913	SIPO	OP	60873585
322251	1100	1997-07-09	VYDAJ	PREVOD NA UCET	174	16146	SIPO	OP	60873585
322252	1100	1997-08-09	VYDAJ	PREVOD NA UCET	174	17680	SIPO	OP	60873585
322253	1100	1997-09-09	VYDAJ	PREVOD NA UCET	174	13604	SIPO	OP	60873585
322254	1100	1997-10-09	VYDAJ	PREVOD NA UCET	174	14725	SIPO	OP	60873585
322255	1100	1997-11-09	VYDAJ	PREVOD NA UCET	174	11452	SIPO	OP	60873585
322256	1100	1997-12-09	VYDAJ	PREVOD NA UCET	174	11663	SIPO	OP	60873585
322257	1100	1998-01-09	VYDAJ	PREVOD NA UCET	174	12777	SIPO	OP	60873585
322258	1100	1998-02-09	VYDAJ	PREVOD NA UCET	174	13775	SIPO	OP	60873585
322259	1100	1998-03-09	VYDAJ	PREVOD NA UCET	174	14896	SIPO	OP	60873585
322260	1100	1998-04-09	VYDAJ	PREVOD NA UCET	174	16018	SIPO	OP	60873585
322261	1100	1998-05-09	VYDAJ	PREVOD NA UCET	174	15913	SIPO	OP	60873585
322262	1100	1998-06-09	VYDAJ	PREVOD NA UCET	174	14232	SIPO	OP	60873585
322263	1100	1998-07-09	VYDAJ	PREVOD NA UCET	174	12952	SIPO	OP	60873585
322264	1100	1998-08-09	VYDAJ	PREVOD NA UCET	174	12963	SIPO	OP	60873585
322265	1100	1998-09-09	VYDAJ	PREVOD NA UCET	174	14082	SIPO	OP	60873585
322266	1100	1998-10-09	VYDAJ	PREVOD NA UCET	174	12298	SIPO	OP	60873585
322267	1100	1998-11-09	VYDAJ	PREVOD NA UCET	174	14517	SIPO	OP	60873585
322268	1100	1998-12-09	VYDAJ	PREVOD NA UCET	174	14538	SIPO	OP	60873585
322283	1100	1997-03-05	VYDAJ	PREVOD NA UCET	882	12665	 	UV	21850496
322284	1100	1997-04-05	VYDAJ	PREVOD NA UCET	882	13791	 	UV	21850496
322285	1100	1997-05-05	VYDAJ	PREVOD NA UCET	882	13821	 	UV	21850496
322286	1100	1997-06-05	VYDAJ	PREVOD NA UCET	882	14951	 	UV	21850496
322287	1100	1997-07-05	VYDAJ	PREVOD NA UCET	882	14184	 	UV	21850496
322288	1100	1997-08-05	VYDAJ	PREVOD NA UCET	882	14615	 	UV	21850496
322289	1100	1997-09-05	VYDAJ	PREVOD NA UCET	882	11642	 	UV	21850496
322290	1100	1997-10-05	VYDAJ	PREVOD NA UCET	882	12763	 	UV	21850496
322291	1100	1997-11-05	VYDAJ	PREVOD NA UCET	882	9490	 	UV	21850496
322292	1100	1997-12-05	VYDAJ	PREVOD NA UCET	882	9701	 	UV	21850496
322293	1100	1998-01-05	VYDAJ	PREVOD NA UCET	882	10815	 	UV	21850496
322294	1100	1998-02-05	VYDAJ	PREVOD NA UCET	882	10710	 	UV	21850496
322295	1100	1998-03-05	VYDAJ	PREVOD NA UCET	882	11831	 	UV	21850496
322296	1100	1998-04-05	VYDAJ	PREVOD NA UCET	882	12953	 	UV	21850496
322297	1100	1998-05-05	VYDAJ	PREVOD NA UCET	882	12848	 	UV	21850496
322298	1100	1998-06-05	VYDAJ	PREVOD NA UCET	882	12270	 	UV	21850496
322299	1100	1998-07-05	VYDAJ	PREVOD NA UCET	882	9887	 	UV	21850496
322300	1100	1998-08-05	VYDAJ	PREVOD NA UCET	882	11001	 	UV	21850496
322301	1100	1998-09-05	VYDAJ	PREVOD NA UCET	882	12120	 	UV	21850496
322302	1100	1998-10-05	VYDAJ	PREVOD NA UCET	882	10336	 	UV	21850496
322303	1100	1998-11-05	VYDAJ	PREVOD NA UCET	882	11452	 	UV	21850496
322304	1100	1998-12-05	VYDAJ	PREVOD NA UCET	882	12576	 	UV	21850496
322318	1100	1997-02-09	VYDAJ	PREVOD NA UCET	1103	15792	POJISTNE	YZ	22059500
322319	1100	1997-03-09	VYDAJ	PREVOD NA UCET	1103	14801	POJISTNE	YZ	22059500
322320	1100	1997-04-09	VYDAJ	PREVOD NA UCET	1103	15927	POJISTNE	YZ	22059500
322321	1100	1997-05-09	VYDAJ	PREVOD NA UCET	1103	15957	POJISTNE	YZ	22059500
322322	1100	1997-06-09	VYDAJ	PREVOD NA UCET	1103	17087	POJISTNE	YZ	22059500
322323	1100	1997-07-09	VYDAJ	PREVOD NA UCET	1103	16320	POJISTNE	YZ	22059500
322324	1100	1997-08-09	VYDAJ	PREVOD NA UCET	1103	16577	POJISTNE	YZ	22059500
322325	1100	1997-09-09	VYDAJ	PREVOD NA UCET	1103	13778	POJISTNE	YZ	22059500
322326	1100	1997-10-09	VYDAJ	PREVOD NA UCET	1103	14899	POJISTNE	YZ	22059500
322327	1100	1997-11-09	VYDAJ	PREVOD NA UCET	1103	11626	POJISTNE	YZ	22059500
322328	1100	1997-12-09	VYDAJ	PREVOD NA UCET	1103	11837	POJISTNE	YZ	22059500
322329	1100	1998-01-09	VYDAJ	PREVOD NA UCET	1103	12951	POJISTNE	YZ	22059500
322330	1100	1998-02-09	VYDAJ	PREVOD NA UCET	1103	12672	POJISTNE	YZ	22059500
322331	1100	1998-03-09	VYDAJ	PREVOD NA UCET	1103	13793	POJISTNE	YZ	22059500
322332	1100	1998-04-09	VYDAJ	PREVOD NA UCET	1103	14915	POJISTNE	YZ	22059500
322333	1100	1998-05-09	VYDAJ	PREVOD NA UCET	1103	14810	POJISTNE	YZ	22059500
322334	1100	1998-06-09	VYDAJ	PREVOD NA UCET	1103	14406	POJISTNE	YZ	22059500
322335	1100	1998-07-09	VYDAJ	PREVOD NA UCET	1103	11849	POJISTNE	YZ	22059500
322336	1100	1998-08-09	VYDAJ	PREVOD NA UCET	1103	13137	POJISTNE	YZ	22059500
322337	1100	1998-09-09	VYDAJ	PREVOD NA UCET	1103	14256	POJISTNE	YZ	22059500
322338	1100	1998-10-09	VYDAJ	PREVOD NA UCET	1103	12472	POJISTNE	YZ	22059500
322339	1100	1998-11-09	VYDAJ	PREVOD NA UCET	1103	13414	POJISTNE	YZ	22059500
322340	1100	1998-12-09	VYDAJ	PREVOD NA UCET	1103	14712	POJISTNE	YZ	22059500
322346	1100	1998-12-13	VYDAJ	VYBER	330	14208	\N	\N	\N
322360	1100	1998-01-11	VYDAJ	VYBER	420	12357	\N	\N	\N
322370	1100	1997-10-13	VYDAJ	VYBER	1290	13435	\N	\N	\N
322371	1100	1998-04-14	VYDAJ	VYBER	1230	13685	\N	\N	\N
322386	1100	1997-02-28	VYDAJ	VYBER	15	13547	SLUZBY	\N	\N
322387	1100	1997-03-31	VYDAJ	VYBER	15	14673	SLUZBY	\N	\N
322388	1100	1997-04-30	VYDAJ	VYBER	15	14703	SLUZBY	\N	\N
322389	1100	1997-05-31	VYDAJ	VYBER	15	15833	SLUZBY	\N	\N
322390	1100	1997-06-30	VYDAJ	VYBER	15	15066	SLUZBY	\N	\N
322391	1100	1997-07-31	VYDAJ	VYBER	15	15497	SLUZBY	\N	\N
322392	1100	1997-08-31	VYDAJ	VYBER	15	12524	SLUZBY	\N	\N
322393	1100	1997-09-30	VYDAJ	VYBER	15	13645	SLUZBY	\N	\N
322394	1100	1997-10-31	VYDAJ	VYBER	15	10372	SLUZBY	\N	\N
322395	1100	1997-11-30	VYDAJ	VYBER	15	10583	SLUZBY	\N	\N
322396	1100	1997-12-31	VYDAJ	VYBER	15	11697	SLUZBY	\N	\N
322397	1100	1998-01-31	VYDAJ	VYBER	15	11592	SLUZBY	\N	\N
322398	1100	1998-02-28	VYDAJ	VYBER	15	12713	SLUZBY	\N	\N
322399	1100	1998-03-31	VYDAJ	VYBER	15	13835	SLUZBY	\N	\N
322400	1100	1998-04-30	VYDAJ	VYBER	15	13730	SLUZBY	\N	\N
322401	1100	1998-05-31	VYDAJ	VYBER	15	13152	SLUZBY	\N	\N
322402	1100	1998-06-30	VYDAJ	VYBER	15	10769	SLUZBY	\N	\N
322403	1100	1998-07-31	VYDAJ	VYBER	15	11883	SLUZBY	\N	\N
322404	1100	1998-08-31	VYDAJ	VYBER	15	13002	SLUZBY	\N	\N
322405	1100	1998-09-30	VYDAJ	VYBER	15	11218	SLUZBY	\N	\N
322406	1100	1998-10-31	VYDAJ	VYBER	15	12334	SLUZBY	\N	\N
322407	1100	1998-11-30	VYDAJ	VYBER	15	13458	SLUZBY	\N	\N
322408	1100	1997-02-20	VYDAJ	VYBER	2100	13518	\N	\N	\N
322409	1100	1997-04-21	VYDAJ	VYBER	1100	14653	\N	\N	\N
322410	1100	1997-06-20	VYDAJ	VYBER	1900	15013	\N	\N	\N
322411	1100	1997-07-20	VYDAJ	VYBER	700	15446	\N	\N	\N
322412	1100	1997-08-19	VYDAJ	VYBER	4100	12477	\N	\N	\N
322413	1100	1997-10-18	VYDAJ	VYBER	3100	10335	\N	\N	\N
322414	1100	1997-11-17	VYDAJ	VYBER	900	10552	\N	\N	\N
322415	1100	1998-01-16	VYDAJ	VYBER	800	11557	\N	\N	\N
322416	1100	1998-05-16	VYDAJ	VYBER	1700	13110	\N	\N	\N
322417	1100	1998-06-15	VYDAJ	VYBER	3500	10732	\N	\N	\N
322418	1100	1998-09-13	VYDAJ	VYBER	2900	11182	\N	\N	\N
322442	1101	1997-09-22	PRIJEM	VKLAD	400	400	\N	\N	\N
322452	1101	1997-10-14	PRIJEM	VKLAD	21560	21960	\N	\N	\N
322453	1101	1997-11-14	PRIJEM	VKLAD	21560	43750	\N	\N	\N
322454	1101	1997-12-14	PRIJEM	VKLAD	32340	61291	\N	\N	\N
322455	1101	1998-01-14	PRIJEM	VKLAD	21560	62690	\N	\N	\N
322456	1101	1998-02-14	PRIJEM	VKLAD	21560	64523	\N	\N	\N
322457	1101	1998-03-14	PRIJEM	VKLAD	21560	58496	\N	\N	\N
322458	1101	1998-04-14	PRIJEM	VKLAD	21560	53580	\N	\N	\N
322459	1101	1998-05-14	PRIJEM	VKLAD	21560	50925	\N	\N	\N
322460	1101	1998-06-14	PRIJEM	VKLAD	32340	56387	\N	\N	\N
322461	1101	1998-07-14	PRIJEM	VKLAD	21560	50636	\N	\N	\N
322462	1101	1998-08-14	PRIJEM	VKLAD	21560	47885	\N	\N	\N
322463	1101	1998-09-14	PRIJEM	VKLAD	21560	44019	\N	\N	\N
322464	1101	1998-10-14	PRIJEM	VKLAD	21560	42439	\N	\N	\N
322465	1101	1998-11-14	PRIJEM	VKLAD	21560	35842	\N	\N	\N
322466	1101	1998-12-14	PRIJEM	VKLAD	32340	44209	\N	\N	\N
322481	1101	1998-03-07	VYDAJ	PREVOD NA UCET	7553	36936	SIPO	ST	64489167
322482	1101	1998-04-07	VYDAJ	PREVOD NA UCET	7553	32020	SIPO	ST	64489167
322483	1101	1998-05-07	VYDAJ	PREVOD NA UCET	7553	29365	SIPO	ST	64489167
322484	1101	1998-06-07	VYDAJ	PREVOD NA UCET	7553	24047	SIPO	ST	64489167
322485	1101	1998-07-07	VYDAJ	PREVOD NA UCET	7553	29076	SIPO	ST	64489167
322486	1101	1998-08-07	VYDAJ	PREVOD NA UCET	7553	26325	SIPO	ST	64489167
322487	1101	1998-09-07	VYDAJ	PREVOD NA UCET	7553	22459	SIPO	ST	64489167
322488	1101	1998-10-07	VYDAJ	PREVOD NA UCET	7553	20879	SIPO	ST	64489167
322489	1101	1998-11-07	VYDAJ	PREVOD NA UCET	7553	14282	SIPO	ST	64489167
322490	1101	1998-12-07	VYDAJ	PREVOD NA UCET	7553	11869	SIPO	ST	64489167
322496	1101	1998-12-15	VYDAJ	VYBER KARTOU	1300	42909	\N	\N	0
322500	1101	1998-05-02	VYDAJ	VYBER	720	36918	\N	\N	\N
322501	1101	1998-05-18	VYDAJ	VYBER	3360	47565	\N	\N	\N
322502	1101	1998-11-28	VYDAJ	VYBER KARTOU	3200	19342	\N	\N	0
322517	1101	1998-02-28	VYDAJ	VYBER	15	44489	SLUZBY	\N	\N
322518	1101	1998-03-31	VYDAJ	VYBER	15	39573	SLUZBY	\N	\N
322519	1101	1998-04-30	VYDAJ	VYBER	15	37638	SLUZBY	\N	\N
322520	1101	1998-05-31	VYDAJ	VYBER	15	31600	SLUZBY	\N	\N
322521	1101	1998-06-30	VYDAJ	VYBER	15	36629	SLUZBY	\N	\N
322522	1101	1998-07-31	VYDAJ	VYBER	15	33878	SLUZBY	\N	\N
322523	1101	1998-08-31	VYDAJ	VYBER	15	30012	SLUZBY	\N	\N
322524	1101	1998-09-30	VYDAJ	VYBER	15	28432	SLUZBY	\N	\N
322525	1101	1998-10-31	VYDAJ	VYBER	15	21835	SLUZBY	\N	\N
322526	1101	1998-11-30	VYDAJ	VYBER	15	19422	SLUZBY	\N	\N
322527	1101	1997-10-22	PRIJEM	VKLAD	200	22160	\N	\N	\N
322528	1101	1997-11-21	VYDAJ	VYBER	14900	28850	\N	\N	\N
322529	1101	1997-12-21	VYDAJ	VYBER	20300	40991	\N	\N	\N
322530	1101	1998-01-20	VYDAJ	VYBER	19900	42790	\N	\N	\N
322531	1101	1998-02-19	VYDAJ	VYBER	20200	44323	\N	\N	\N
322532	1101	1998-03-21	VYDAJ	VYBER	19100	39396	\N	\N	\N
322533	1101	1998-04-20	VYDAJ	VYBER	16100	37480	\N	\N	\N
322534	1101	1998-05-20	VYDAJ	VYBER	16100	31465	\N	\N	\N
322535	1101	1998-06-19	VYDAJ	VYBER	19900	36487	\N	\N	\N
322536	1101	1998-07-19	VYDAJ	VYBER	16900	33736	\N	\N	\N
322537	1101	1998-08-18	VYDAJ	VYBER	18000	29885	\N	\N	\N
322538	1101	1998-09-17	VYDAJ	VYBER	15700	28319	\N	\N	\N
322539	1101	1998-10-17	VYDAJ	VYBER	20700	21739	\N	\N	\N
322540	1101	1998-11-16	VYDAJ	VYBER	13300	22542	\N	\N	\N
322556	1102	1996-02-19	PRIJEM	VKLAD	700	700	\N	\N	\N
322559	1102	1996-03-13	PRIJEM	VKLAD	7188	7888	\N	\N	\N
322560	1102	1996-04-13	PRIJEM	VKLAD	7188	19897	\N	\N	\N
322561	1102	1996-05-13	PRIJEM	VKLAD	7188	28452	\N	\N	\N
322562	1102	1996-06-13	PRIJEM	VKLAD	10782	37832	\N	\N	\N
322563	1102	1996-07-13	PRIJEM	VKLAD	7188	35935	\N	\N	\N
322564	1102	1996-08-13	PRIJEM	VKLAD	7188	31567	\N	\N	\N
322565	1102	1996-09-13	PRIJEM	VKLAD	7188	28654	\N	\N	\N
322566	1102	1996-10-13	PRIJEM	VKLAD	7188	28356	\N	\N	\N
322567	1102	1996-11-13	PRIJEM	VKLAD	7188	27373	\N	\N	\N
322568	1102	1996-12-13	PRIJEM	VKLAD	10782	29628	\N	\N	\N
322569	1102	1997-01-13	PRIJEM	VKLAD	7188	24964	\N	\N	\N
322570	1102	1997-02-13	PRIJEM	VKLAD	7188	19113	\N	\N	\N
322571	1102	1997-03-13	PRIJEM	VKLAD	7188	22797	\N	\N	\N
322572	1102	1997-04-13	PRIJEM	VKLAD	7188	27903	\N	\N	\N
322573	1102	1997-05-13	PRIJEM	VKLAD	7188	24411	\N	\N	\N
322574	1102	1997-06-13	PRIJEM	VKLAD	10782	23999	\N	\N	\N
322575	1102	1997-07-13	PRIJEM	VKLAD	7188	25295	\N	\N	\N
322576	1102	1997-08-13	PRIJEM	VKLAD	7188	24008	\N	\N	\N
322577	1102	1997-09-13	PRIJEM	VKLAD	7188	25822	\N	\N	\N
322578	1102	1997-10-13	PRIJEM	VKLAD	7188	25639	\N	\N	\N
322579	1102	1997-11-13	PRIJEM	VKLAD	7188	28059	\N	\N	\N
322580	1102	1997-12-13	PRIJEM	VKLAD	10782	36778	\N	\N	\N
322581	1102	1998-01-13	PRIJEM	VKLAD	7188	28367	\N	\N	\N
322582	1102	1998-02-13	PRIJEM	VKLAD	7188	24817	\N	\N	\N
322583	1102	1998-03-13	PRIJEM	VKLAD	7188	32427	\N	\N	\N
322584	1102	1998-04-13	PRIJEM	VKLAD	7188	24384	\N	\N	\N
322585	1102	1998-05-13	PRIJEM	VKLAD	7188	28308	\N	\N	\N
322586	1102	1998-06-13	PRIJEM	VKLAD	10782	38026	\N	\N	\N
322587	1102	1998-07-13	PRIJEM	VKLAD	7188	38622	\N	\N	\N
322588	1102	1998-08-13	PRIJEM	VKLAD	7188	40092	\N	\N	\N
322589	1102	1998-09-13	PRIJEM	VKLAD	7188	41069	\N	\N	\N
322590	1102	1998-10-13	PRIJEM	VKLAD	7188	40747	\N	\N	\N
322591	1102	1998-11-13	PRIJEM	VKLAD	7188	46924	\N	\N	\N
322592	1102	1998-12-13	PRIJEM	VKLAD	10782	52397	\N	\N	\N
322600	1102	1996-08-10	VYDAJ	PREVOD NA UCET	3559	24379	SIPO	CD	19876456
322601	1102	1996-09-10	VYDAJ	PREVOD NA UCET	3559	21466	SIPO	CD	19876456
322602	1102	1996-10-10	VYDAJ	PREVOD NA UCET	3559	21168	SIPO	CD	19876456
322603	1102	1996-11-10	VYDAJ	PREVOD NA UCET	3559	20185	SIPO	CD	19876456
322604	1102	1996-12-10	VYDAJ	PREVOD NA UCET	3559	18846	SIPO	CD	19876456
322605	1102	1997-01-10	VYDAJ	PREVOD NA UCET	3559	18856	SIPO	CD	19876456
322606	1102	1997-02-10	VYDAJ	PREVOD NA UCET	3559	9725	SIPO	CD	19876456
322607	1102	1997-03-10	VYDAJ	PREVOD NA UCET	3559	15609	SIPO	CD	19876456
322608	1102	1997-04-10	VYDAJ	PREVOD NA UCET	3559	20715	SIPO	CD	19876456
322609	1102	1997-05-10	VYDAJ	PREVOD NA UCET	3559	17223	SIPO	CD	19876456
322610	1102	1997-06-10	VYDAJ	PREVOD NA UCET	3559	13217	SIPO	CD	19876456
322611	1102	1997-07-10	VYDAJ	PREVOD NA UCET	3559	18107	SIPO	CD	19876456
322612	1102	1997-08-10	VYDAJ	PREVOD NA UCET	3559	20620	SIPO	CD	19876456
322613	1102	1997-09-10	VYDAJ	PREVOD NA UCET	3559	20534	SIPO	CD	19876456
322614	1102	1997-10-10	VYDAJ	PREVOD NA UCET	3559	22351	SIPO	CD	19876456
322615	1102	1997-11-10	VYDAJ	PREVOD NA UCET	3559	22171	SIPO	CD	19876456
322616	1102	1997-12-10	VYDAJ	PREVOD NA UCET	3559	25996	SIPO	CD	19876456
322617	1102	1998-01-10	VYDAJ	PREVOD NA UCET	3559	21179	SIPO	CD	19876456
322618	1102	1998-02-10	VYDAJ	PREVOD NA UCET	3559	17629	SIPO	CD	19876456
322619	1102	1998-03-10	VYDAJ	PREVOD NA UCET	3559	25239	SIPO	CD	19876456
322620	1102	1998-04-10	VYDAJ	PREVOD NA UCET	3559	21876	SIPO	CD	19876456
322621	1102	1998-05-10	VYDAJ	PREVOD NA UCET	3559	21120	SIPO	CD	19876456
322622	1102	1998-06-10	VYDAJ	PREVOD NA UCET	3559	27244	SIPO	CD	19876456
322623	1102	1998-07-10	VYDAJ	PREVOD NA UCET	3559	31434	SIPO	CD	19876456
322624	1102	1998-08-10	VYDAJ	PREVOD NA UCET	3559	32904	SIPO	CD	19876456
322625	1102	1998-09-10	VYDAJ	PREVOD NA UCET	3559	33881	SIPO	CD	19876456
322626	1102	1998-10-10	VYDAJ	PREVOD NA UCET	3559	33559	SIPO	CD	19876456
322627	1102	1998-11-10	VYDAJ	PREVOD NA UCET	3559	39736	SIPO	CD	19876456
322628	1102	1998-12-10	VYDAJ	PREVOD NA UCET	3559	41615	SIPO	CD	19876456
322634	1102	1998-01-01	VYDAJ	VYBER	4640	24458	\N	\N	\N
322635	1102	1996-12-19	VYDAJ	VYBER	4000	22328	\N	\N	\N
322636	1102	1997-12-21	VYDAJ	VYBER	1920	34858	\N	\N	\N
322637	1102	1998-12-09	VYDAJ	VYBER	1920	45174	\N	\N	\N
322644	1102	1997-01-17	VYDAJ	VYBER	3120	17544	\N	\N	\N
322646	1102	1997-01-12	VYDAJ	VYBER	1080	17776	\N	\N	\N
322647	1102	1997-01-20	VYDAJ	VYBER	1800	13224	\N	\N	\N
322648	1102	1997-01-19	VYDAJ	VYBER	2520	15024	\N	\N	\N
322650	1102	1998-01-18	VYDAJ	VYBER	1560	23927	\N	\N	\N
322651	1102	1998-01-07	VYDAJ	VYBER	2040	18938	\N	\N	\N
322652	1102	1998-01-03	VYDAJ	VYBER	1560	22898	\N	\N	\N
322653	1102	1998-01-25	VYDAJ	VYBER	2520	21407	\N	\N	\N
322654	1102	1998-01-03	VYDAJ	VYBER	1920	20978	\N	\N	\N
322655	1102	1998-01-13	VYDAJ	VYBER	2880	25487	\N	\N	\N
322656	1102	1996-09-24	VYDAJ	VYBER	1920	24634	\N	\N	\N
322657	1102	1996-08-20	VYDAJ	VYBER	840	24927	\N	\N	\N
322658	1102	1996-12-01	VYDAJ	VYBER	4560	22405	\N	\N	\N
322659	1102	1997-05-17	VYDAJ	VYBER	5400	16711	\N	\N	\N
322660	1102	1997-12-29	VYDAJ	VYBER	5880	28978	\N	\N	\N
322661	1102	1998-09-25	VYDAJ	VYBER	3000	38069	\N	\N	\N
322662	1102	1998-04-11	VYDAJ	VYBER	4680	17196	\N	\N	\N
322663	1102	1998-07-05	VYDAJ	VYBER	960	37193	\N	\N	\N
322671	1102	1996-07-31	VYDAJ	VYBER	15	27938	SLUZBY	\N	\N
322672	1102	1996-08-31	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
322673	1102	1996-09-30	VYDAJ	VYBER	15	24727	SLUZBY	\N	\N
322674	1102	1996-10-31	VYDAJ	VYBER	15	23744	SLUZBY	\N	\N
322675	1102	1996-11-30	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
322676	1102	1996-12-31	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
322677	1102	1997-01-31	VYDAJ	VYBER	15	13284	SLUZBY	\N	\N
322678	1102	1997-02-28	VYDAJ	VYBER	15	19168	SLUZBY	\N	\N
322679	1102	1997-03-31	VYDAJ	VYBER	15	24274	SLUZBY	\N	\N
322680	1102	1997-04-30	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
322681	1102	1997-05-31	VYDAJ	VYBER	15	16776	SLUZBY	\N	\N
322682	1102	1997-06-30	VYDAJ	VYBER	15	21666	SLUZBY	\N	\N
322683	1102	1997-07-31	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
322684	1102	1997-08-31	VYDAJ	VYBER	15	24093	SLUZBY	\N	\N
322685	1102	1997-09-30	VYDAJ	VYBER	15	25910	SLUZBY	\N	\N
322686	1102	1997-10-31	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
322687	1102	1997-11-30	VYDAJ	VYBER	15	28155	SLUZBY	\N	\N
322688	1102	1997-12-31	VYDAJ	VYBER	15	29098	SLUZBY	\N	\N
322689	1102	1998-01-31	VYDAJ	VYBER	15	21488	SLUZBY	\N	\N
322690	1102	1998-02-28	VYDAJ	VYBER	15	24898	SLUZBY	\N	\N
322691	1102	1998-03-31	VYDAJ	VYBER	15	32535	SLUZBY	\N	\N
322692	1102	1998-04-30	VYDAJ	VYBER	15	24479	SLUZBY	\N	\N
322693	1102	1998-05-31	VYDAJ	VYBER	15	28403	SLUZBY	\N	\N
322694	1102	1998-06-30	VYDAJ	VYBER	15	38153	SLUZBY	\N	\N
322695	1102	1998-07-31	VYDAJ	VYBER	15	38763	SLUZBY	\N	\N
322696	1102	1998-08-31	VYDAJ	VYBER	15	40240	SLUZBY	\N	\N
322697	1102	1998-09-30	VYDAJ	VYBER	15	38218	SLUZBY	\N	\N
322698	1102	1998-10-31	VYDAJ	VYBER	15	40895	SLUZBY	\N	\N
322699	1102	1998-11-30	VYDAJ	VYBER	15	47094	SLUZBY	\N	\N
322700	1102	1996-03-20	PRIJEM	VKLAD	4800	12688	\N	\N	\N
322701	1102	1996-04-19	PRIJEM	VKLAD	1300	21197	\N	\N	\N
322702	1102	1996-05-19	VYDAJ	VYBER	1500	26952	\N	\N	\N
322703	1102	1996-06-18	VYDAJ	VYBER	9200	28632	\N	\N	\N
322704	1102	1996-07-18	VYDAJ	VYBER	8100	27835	\N	\N	\N
322705	1102	1996-08-17	VYDAJ	VYBER	5800	25767	\N	\N	\N
322706	1102	1996-09-16	VYDAJ	VYBER	2100	26554	\N	\N	\N
322707	1102	1996-10-16	VYDAJ	VYBER	4700	23656	\N	\N	\N
322708	1102	1996-11-15	VYDAJ	VYBER	500	26873	\N	\N	\N
322709	1102	1996-12-15	VYDAJ	VYBER	3300	26328	\N	\N	\N
322710	1102	1997-01-14	VYDAJ	VYBER	4300	20664	\N	\N	\N
322711	1102	1997-02-13	PRIJEM	VKLAD	2200	11925	\N	\N	\N
322712	1102	1997-03-15	PRIJEM	VKLAD	1400	24197	\N	\N	\N
322713	1102	1997-04-14	VYDAJ	VYBER	7200	20703	\N	\N	\N
322714	1102	1997-05-14	VYDAJ	VYBER	2300	22111	\N	\N	\N
322715	1102	1997-06-13	VYDAJ	VYBER	2400	21599	\N	\N	\N
322716	1102	1997-07-13	VYDAJ	VYBER	1200	24095	\N	\N	\N
322717	1102	1997-08-12	VYDAJ	VYBER	3800	16820	\N	\N	\N
322718	1102	1997-09-11	VYDAJ	VYBER	1900	18634	\N	\N	\N
322719	1102	1997-10-11	VYDAJ	VYBER	3900	18451	\N	\N	\N
322720	1102	1997-11-10	VYDAJ	VYBER	1300	20871	\N	\N	\N
322721	1102	1997-12-10	PRIJEM	VKLAD	1400	29555	\N	\N	\N
322722	1102	1998-01-09	PRIJEM	VKLAD	5800	24738	\N	\N	\N
322723	1102	1998-02-08	VYDAJ	VYBER	300	21188	\N	\N	\N
322724	1102	1998-03-10	PRIJEM	VKLAD	3900	28798	\N	\N	\N
322725	1102	1998-04-09	VYDAJ	VYBER	7100	25435	\N	\N	\N
322726	1102	1998-05-09	PRIJEM	VKLAD	200	24679	\N	\N	\N
322727	1102	1998-06-08	PRIJEM	VKLAD	2400	30803	\N	\N	\N
322728	1102	1998-07-08	VYDAJ	VYBER	2200	34993	\N	\N	\N
322729	1102	1998-08-07	VYDAJ	VYBER	2300	36463	\N	\N	\N
322730	1102	1998-09-06	VYDAJ	VYBER	2800	37440	\N	\N	\N
322731	1102	1998-10-06	VYDAJ	VYBER	1100	37118	\N	\N	\N
322732	1102	1998-11-05	PRIJEM	VKLAD	2400	43295	\N	\N	\N
322767	1103	1995-07-09	PRIJEM	VKLAD	600	21563	\N	\N	\N
322774	1103	1995-07-09	PRIJEM	VKLAD	20963	20963	\N	\N	\N
322775	1103	1995-08-09	PRIJEM	VKLAD	20963	45193	\N	\N	\N
322776	1103	1995-09-09	PRIJEM	VKLAD	20963	54619	\N	\N	\N
322777	1103	1995-10-09	PRIJEM	VKLAD	20963	62399	\N	\N	\N
322778	1103	1995-11-09	PRIJEM	VKLAD	20963	66913	\N	\N	\N
322779	1103	1995-12-09	PRIJEM	VKLAD	31444	76017	\N	\N	\N
322780	1103	1996-01-09	PRIJEM	VKLAD	20963	69869	\N	\N	\N
322781	1103	1996-02-09	PRIJEM	VKLAD	20963	59096	\N	\N	\N
322782	1103	1996-03-09	PRIJEM	VKLAD	20963	59577	\N	\N	\N
322783	1103	1996-04-09	PRIJEM	VKLAD	20963	60673	\N	\N	\N
322784	1103	1996-05-09	PRIJEM	VKLAD	20963	64173	\N	\N	\N
322785	1103	1996-06-09	PRIJEM	VKLAD	31444	67267	\N	\N	\N
322786	1103	1996-07-09	PRIJEM	VKLAD	20963	67872	\N	\N	\N
322787	1103	1996-08-09	PRIJEM	VKLAD	20963	66083	\N	\N	\N
322788	1103	1996-09-09	PRIJEM	VKLAD	20963	61905	\N	\N	\N
322789	1103	1996-10-09	PRIJEM	VKLAD	20963	60616	\N	\N	\N
322790	1103	1996-11-09	PRIJEM	VKLAD	20963	63618	\N	\N	\N
322791	1103	1996-12-09	PRIJEM	VKLAD	31444	73807	\N	\N	\N
322792	1103	1997-01-09	PRIJEM	VKLAD	20963	67323	\N	\N	\N
322793	1103	1997-02-09	PRIJEM	VKLAD	20963	61597	\N	\N	\N
322794	1103	1997-03-09	PRIJEM	VKLAD	20963	59313	\N	\N	\N
322795	1103	1997-04-09	PRIJEM	VKLAD	20963	61121	\N	\N	\N
322796	1103	1997-05-09	PRIJEM	VKLAD	20963	60861	\N	\N	\N
322797	1103	1997-06-09	PRIJEM	VKLAD	31444	64055	\N	\N	\N
322798	1103	1997-07-09	PRIJEM	VKLAD	20963	44838	\N	\N	\N
322799	1103	1997-08-09	PRIJEM	VKLAD	20963	48787	\N	\N	\N
322800	1103	1997-09-09	PRIJEM	VKLAD	20963	45550	\N	\N	\N
322801	1103	1997-10-09	PRIJEM	VKLAD	20963	48201	\N	\N	\N
322802	1103	1997-11-09	PRIJEM	VKLAD	20963	45774	\N	\N	\N
322803	1103	1997-12-09	PRIJEM	VKLAD	31444	56620	\N	\N	\N
322804	1103	1998-01-09	PRIJEM	VKLAD	20963	50891	\N	\N	\N
322805	1103	1998-02-09	PRIJEM	VKLAD	20963	43874	\N	\N	\N
322806	1103	1998-03-09	PRIJEM	VKLAD	20963	42615	\N	\N	\N
322807	1103	1998-04-09	PRIJEM	VKLAD	20963	40850	\N	\N	\N
322808	1103	1998-05-09	PRIJEM	VKLAD	20963	41799	\N	\N	\N
322809	1103	1998-06-09	PRIJEM	VKLAD	31444	54216	\N	\N	\N
322810	1103	1998-07-09	PRIJEM	VKLAD	20963	37503	\N	\N	\N
322811	1103	1998-08-09	PRIJEM	VKLAD	20963	41455	\N	\N	\N
322812	1103	1998-09-09	PRIJEM	VKLAD	20963	38188	\N	\N	\N
322813	1103	1998-10-09	PRIJEM	VKLAD	20963	46356	\N	\N	\N
322814	1103	1998-11-09	PRIJEM	VKLAD	20963	43207	\N	\N	\N
322815	1103	1998-12-09	PRIJEM	VKLAD	31444	55264	\N	\N	\N
322817	1103	1996-06-04	VYDAJ	VYBER	5600	35823	\N	\N	\N
322818	1103	1997-06-25	VYDAJ	VYBER	22800	41255	\N	\N	\N
322819	1103	1998-06-21	VYDAJ	VYBER	23700	26716	\N	\N	\N
322821	1103	1996-01-18	VYDAJ	VYBER	8600	61269	\N	\N	\N
322822	1103	1997-01-10	VYDAJ	VYBER	7300	60023	\N	\N	\N
322823	1103	1998-01-14	VYDAJ	VYBER	7000	43891	\N	\N	\N
322824	1103	1995-12-22	VYDAJ	VYBER	2500	73517	\N	\N	\N
322825	1103	1996-12-03	VYDAJ	VYBER	2400	42363	\N	\N	\N
322826	1103	1997-12-21	VYDAJ	VYBER	2500	54120	\N	\N	\N
322827	1103	1998-12-22	VYDAJ	VYBER	1100	31164	\N	\N	\N
322835	1103	1996-07-24	VYDAJ	VYBER	3100	64772	\N	\N	\N
322836	1103	1996-07-02	VYDAJ	VYBER	2400	65109	\N	\N	\N
322837	1103	1996-11-07	VYDAJ	VYBER	700	42655	\N	\N	\N
322838	1103	1996-02-02	VYDAJ	VYBER	2600	58933	\N	\N	\N
322839	1103	1997-11-29	VYDAJ	VYBER	2400	25074	\N	\N	\N
322840	1103	1997-08-31	VYDAJ	VYBER	4300	24601	\N	\N	\N
322841	1103	1997-11-20	VYDAJ	VYBER	2500	43274	\N	\N	\N
322842	1103	1997-04-20	VYDAJ	VYBER	900	60221	\N	\N	\N
322843	1103	1997-05-28	VYDAJ	VYBER	4100	56761	\N	\N	\N
322844	1103	1997-10-20	VYDAJ	VYBER	2800	45401	\N	\N	\N
322845	1103	1998-04-17	VYDAJ	VYBER	700	40150	\N	\N	\N
322846	1103	1998-11-08	VYDAJ	VYBER	3000	22244	\N	\N	\N
322847	1103	1998-06-09	VYDAJ	VYBER	3800	50416	\N	\N	\N
322848	1103	1998-09-01	VYDAJ	VYBER	4400	17225	\N	\N	\N
322849	1103	1998-07-10	VYDAJ	VYBER	2600	34903	\N	\N	\N
322862	1103	1995-11-30	VYDAJ	VYBER	15	67173	SLUZBY	\N	\N
322863	1103	1995-12-31	VYDAJ	VYBER	15	73806	SLUZBY	\N	\N
322864	1103	1996-01-31	VYDAJ	VYBER	15	61533	SLUZBY	\N	\N
322865	1103	1996-02-29	VYDAJ	VYBER	15	59314	SLUZBY	\N	\N
322866	1103	1996-03-31	VYDAJ	VYBER	15	59810	SLUZBY	\N	\N
322867	1103	1996-04-30	VYDAJ	VYBER	15	60910	SLUZBY	\N	\N
322868	1103	1996-05-31	VYDAJ	VYBER	15	64423	SLUZBY	\N	\N
322869	1103	1996-06-30	VYDAJ	VYBER	15	67509	SLUZBY	\N	\N
322870	1103	1996-07-31	VYDAJ	VYBER	15	65020	SLUZBY	\N	\N
322871	1103	1996-08-31	VYDAJ	VYBER	15	66342	SLUZBY	\N	\N
322872	1103	1996-09-30	VYDAJ	VYBER	15	62153	SLUZBY	\N	\N
322873	1103	1996-10-31	VYDAJ	VYBER	15	60855	SLUZBY	\N	\N
322874	1103	1996-11-30	VYDAJ	VYBER	15	44763	SLUZBY	\N	\N
322875	1103	1996-12-31	VYDAJ	VYBER	15	46360	SLUZBY	\N	\N
322876	1103	1997-01-31	VYDAJ	VYBER	15	40634	SLUZBY	\N	\N
322877	1103	1997-02-28	VYDAJ	VYBER	15	61750	SLUZBY	\N	\N
322878	1103	1997-03-31	VYDAJ	VYBER	15	40158	SLUZBY	\N	\N
322879	1103	1997-04-30	VYDAJ	VYBER	15	39898	SLUZBY	\N	\N
322880	1103	1997-05-31	VYDAJ	VYBER	15	32611	SLUZBY	\N	\N
322881	1103	1997-06-30	VYDAJ	VYBER	15	23875	SLUZBY	\N	\N
322882	1103	1997-07-31	VYDAJ	VYBER	15	27824	SLUZBY	\N	\N
322883	1103	1997-08-31	VYDAJ	VYBER	15	24587	SLUZBY	\N	\N
322884	1103	1997-09-30	VYDAJ	VYBER	15	27238	SLUZBY	\N	\N
322885	1103	1997-10-31	VYDAJ	VYBER	15	24811	SLUZBY	\N	\N
322886	1103	1997-11-30	VYDAJ	VYBER	15	25176	SLUZBY	\N	\N
322887	1103	1997-12-31	VYDAJ	VYBER	15	29928	SLUZBY	\N	\N
322888	1103	1998-01-31	VYDAJ	VYBER	15	22911	SLUZBY	\N	\N
322889	1103	1998-02-28	VYDAJ	VYBER	15	21652	SLUZBY	\N	\N
322890	1103	1998-03-31	VYDAJ	VYBER	15	19887	SLUZBY	\N	\N
322891	1103	1998-04-30	VYDAJ	VYBER	15	20836	SLUZBY	\N	\N
322892	1103	1998-05-31	VYDAJ	VYBER	15	22772	SLUZBY	\N	\N
322893	1103	1998-06-30	VYDAJ	VYBER	15	16540	SLUZBY	\N	\N
322894	1103	1998-07-31	VYDAJ	VYBER	15	20492	SLUZBY	\N	\N
322895	1103	1998-08-31	VYDAJ	VYBER	15	21625	SLUZBY	\N	\N
322896	1103	1998-09-30	VYDAJ	VYBER	15	25393	SLUZBY	\N	\N
322897	1103	1998-10-31	VYDAJ	VYBER	15	25244	SLUZBY	\N	\N
322898	1103	1998-11-30	VYDAJ	VYBER	15	23820	SLUZBY	\N	\N
322899	1103	1995-08-08	PRIJEM	VKLAD	2600	24230	\N	\N	\N
322900	1103	1995-09-07	VYDAJ	VYBER	11700	33656	\N	\N	\N
322901	1103	1995-10-07	VYDAJ	VYBER	13400	41436	\N	\N	\N
322902	1103	1995-11-06	VYDAJ	VYBER	16700	45950	\N	\N	\N
322903	1103	1995-12-06	VYDAJ	VYBER	22600	44573	\N	\N	\N
322904	1103	1996-01-05	VYDAJ	VYBER	24900	48906	\N	\N	\N
322905	1103	1996-02-04	VYDAJ	VYBER	20800	38133	\N	\N	\N
322906	1103	1996-03-05	VYDAJ	VYBER	20700	38614	\N	\N	\N
322907	1103	1996-04-04	VYDAJ	VYBER	20100	39710	\N	\N	\N
322908	1103	1996-05-04	VYDAJ	VYBER	17700	43210	\N	\N	\N
322909	1103	1996-06-03	VYDAJ	VYBER	23000	41423	\N	\N	\N
322910	1103	1996-07-03	VYDAJ	VYBER	18200	46909	\N	\N	\N
322911	1103	1996-08-02	VYDAJ	VYBER	19900	45120	\N	\N	\N
322912	1103	1996-09-01	VYDAJ	VYBER	25400	40942	\N	\N	\N
322913	1103	1996-10-01	VYDAJ	VYBER	22500	39653	\N	\N	\N
322914	1103	1996-10-31	VYDAJ	VYBER	17500	43355	\N	\N	\N
322915	1103	1996-11-30	VYDAJ	VYBER	19100	44777	\N	\N	\N
322916	1103	1996-12-30	VYDAJ	VYBER	27700	46107	\N	\N	\N
322917	1103	1997-01-29	VYDAJ	VYBER	19600	40423	\N	\N	\N
322918	1103	1997-02-28	VYDAJ	VYBER	23400	38350	\N	\N	\N
322919	1103	1997-03-30	VYDAJ	VYBER	19300	40013	\N	\N	\N
322920	1103	1997-04-29	VYDAJ	VYBER	20500	39721	\N	\N	\N
322921	1103	1997-05-29	VYDAJ	VYBER	24300	32461	\N	\N	\N
322922	1103	1997-06-28	VYDAJ	VYBER	17500	23755	\N	\N	\N
322923	1103	1997-07-28	VYDAJ	VYBER	17100	27738	\N	\N	\N
322924	1103	1997-08-27	VYDAJ	VYBER	20000	28787	\N	\N	\N
322925	1103	1997-09-26	VYDAJ	VYBER	18400	27150	\N	\N	\N
322926	1103	1997-10-26	VYDAJ	VYBER	20700	24701	\N	\N	\N
322927	1103	1997-11-25	VYDAJ	VYBER	15800	27474	\N	\N	\N
322928	1103	1997-12-25	VYDAJ	VYBER	24300	29820	\N	\N	\N
322929	1103	1998-01-24	VYDAJ	VYBER	21100	22791	\N	\N	\N
322930	1103	1998-02-23	VYDAJ	VYBER	22300	21574	\N	\N	\N
322931	1103	1998-03-25	VYDAJ	VYBER	22800	19815	\N	\N	\N
322932	1103	1998-04-24	VYDAJ	VYBER	19400	20750	\N	\N	\N
322933	1103	1998-05-24	VYDAJ	VYBER	19100	22699	\N	\N	\N
322934	1103	1998-06-23	VYDAJ	VYBER	10300	16416	\N	\N	\N
322935	1103	1998-07-23	VYDAJ	VYBER	14500	20403	\N	\N	\N
322936	1103	1998-08-22	VYDAJ	VYBER	19900	21555	\N	\N	\N
322937	1103	1998-09-21	VYDAJ	VYBER	12900	25288	\N	\N	\N
322938	1103	1998-10-21	VYDAJ	VYBER	21200	25156	\N	\N	\N
322939	1103	1998-11-20	VYDAJ	VYBER	19500	23707	\N	\N	\N
322940	1103	1998-12-20	VYDAJ	VYBER	23000	32264	\N	\N	\N
322983	1104	1995-12-07	PRIJEM	VKLAD	800	800	\N	\N	\N
322996	1104	1996-01-05	PRIJEM	VKLAD	16085	16885	\N	\N	\N
322997	1104	1996-02-05	PRIJEM	VKLAD	16085	36742	\N	\N	\N
322998	1104	1996-03-05	PRIJEM	VKLAD	16085	48154	\N	\N	\N
322999	1104	1996-04-05	PRIJEM	VKLAD	16085	53691	\N	\N	\N
323000	1104	1996-05-05	PRIJEM	VKLAD	16085	58449	\N	\N	\N
323001	1104	1996-06-05	PRIJEM	VKLAD	24128	58890	\N	\N	\N
323002	1104	1996-07-05	PRIJEM	VKLAD	16085	45521	\N	\N	\N
323003	1104	1996-08-05	PRIJEM	VKLAD	16085	42598	\N	\N	\N
323004	1104	1996-09-05	PRIJEM	VKLAD	16085	49971	\N	\N	\N
323005	1104	1996-10-05	PRIJEM	VKLAD	16085	50956	\N	\N	\N
323006	1104	1996-11-05	PRIJEM	VKLAD	16085	47062	\N	\N	\N
323007	1104	1996-12-05	PRIJEM	VKLAD	24128	54999	\N	\N	\N
323008	1104	1997-01-05	PRIJEM	VKLAD	16085	56318	\N	\N	\N
323009	1104	1997-02-05	PRIJEM	VKLAD	16085	47027	\N	\N	\N
323010	1104	1997-03-05	PRIJEM	VKLAD	16085	52609	\N	\N	\N
323011	1104	1997-04-05	PRIJEM	VKLAD	16085	52121	\N	\N	\N
323012	1104	1997-05-05	PRIJEM	VKLAD	16085	51324	\N	\N	\N
323013	1104	1997-06-05	PRIJEM	VKLAD	24128	58072	\N	\N	\N
323014	1104	1997-07-05	PRIJEM	VKLAD	16085	46459	\N	\N	\N
323015	1104	1997-08-05	PRIJEM	VKLAD	16085	47533	\N	\N	\N
323016	1104	1997-09-05	PRIJEM	VKLAD	16085	50815	\N	\N	\N
323017	1104	1997-10-05	PRIJEM	VKLAD	16085	49306	\N	\N	\N
323018	1104	1997-11-05	PRIJEM	VKLAD	16085	49693	\N	\N	\N
323019	1104	1997-12-05	PRIJEM	VKLAD	24128	62127	\N	\N	\N
323020	1104	1998-01-05	PRIJEM	VKLAD	16085	53955	\N	\N	\N
323021	1104	1998-02-05	PRIJEM	VKLAD	16085	43145	\N	\N	\N
323022	1104	1998-03-05	PRIJEM	VKLAD	16085	51720	\N	\N	\N
323023	1104	1998-04-05	PRIJEM	VKLAD	16085	57120	\N	\N	\N
323024	1104	1998-05-05	PRIJEM	VKLAD	16085	51627	\N	\N	\N
323025	1104	1998-06-05	PRIJEM	VKLAD	24128	55975	\N	\N	\N
323026	1104	1998-07-05	PRIJEM	VKLAD	16085	60096	\N	\N	\N
323027	1104	1998-08-05	PRIJEM	VKLAD	16085	61326	\N	\N	\N
323028	1104	1998-09-05	PRIJEM	VKLAD	16085	61758	\N	\N	\N
323029	1104	1998-10-05	PRIJEM	VKLAD	16085	61892	\N	\N	\N
323030	1104	1998-11-05	PRIJEM	VKLAD	16085	64528	\N	\N	\N
323031	1104	1998-12-05	PRIJEM	VKLAD	24128	76519	\N	\N	\N
323048	1104	1996-05-08	VYDAJ	PREVOD NA UCET	8840	37409	SIPO	EF	72144114
323049	1104	1996-06-08	VYDAJ	PREVOD NA UCET	8840	50050	SIPO	EF	72144114
323050	1104	1996-07-08	VYDAJ	PREVOD NA UCET	8840	36681	SIPO	EF	72144114
323051	1104	1996-08-08	VYDAJ	PREVOD NA UCET	8840	33758	SIPO	EF	72144114
323052	1104	1996-09-08	VYDAJ	PREVOD NA UCET	8840	41131	SIPO	EF	72144114
323053	1104	1996-10-08	VYDAJ	PREVOD NA UCET	8840	42116	SIPO	EF	72144114
323054	1104	1996-11-08	VYDAJ	PREVOD NA UCET	8840	38222	SIPO	EF	72144114
323055	1104	1996-12-08	VYDAJ	PREVOD NA UCET	8840	46159	SIPO	EF	72144114
323056	1104	1997-01-08	VYDAJ	PREVOD NA UCET	8840	45978	SIPO	EF	72144114
323057	1104	1997-02-08	VYDAJ	PREVOD NA UCET	8840	38187	SIPO	EF	72144114
323058	1104	1997-03-08	VYDAJ	PREVOD NA UCET	8840	43769	SIPO	EF	72144114
323059	1104	1997-04-08	VYDAJ	PREVOD NA UCET	8840	43281	SIPO	EF	72144114
323060	1104	1997-05-08	VYDAJ	PREVOD NA UCET	8840	42484	SIPO	EF	72144114
323061	1104	1997-06-08	VYDAJ	PREVOD NA UCET	8840	49232	SIPO	EF	72144114
323062	1104	1997-07-08	VYDAJ	PREVOD NA UCET	8840	37619	SIPO	EF	72144114
323063	1104	1997-08-08	VYDAJ	PREVOD NA UCET	8840	38693	SIPO	EF	72144114
323064	1104	1997-09-08	VYDAJ	PREVOD NA UCET	8840	41975	SIPO	EF	72144114
323065	1104	1997-10-08	VYDAJ	PREVOD NA UCET	8840	40466	SIPO	EF	72144114
323066	1104	1997-11-08	VYDAJ	PREVOD NA UCET	8840	40853	SIPO	EF	72144114
323067	1104	1997-12-08	VYDAJ	PREVOD NA UCET	8840	53287	SIPO	EF	72144114
323068	1104	1998-01-08	VYDAJ	PREVOD NA UCET	8840	45115	SIPO	EF	72144114
323069	1104	1998-02-08	VYDAJ	PREVOD NA UCET	8840	34305	SIPO	EF	72144114
323070	1104	1998-03-08	VYDAJ	PREVOD NA UCET	8840	42880	SIPO	EF	72144114
323071	1104	1998-04-08	VYDAJ	PREVOD NA UCET	8840	48280	SIPO	EF	72144114
323072	1104	1998-05-08	VYDAJ	PREVOD NA UCET	8840	42787	SIPO	EF	72144114
323073	1104	1998-06-08	VYDAJ	PREVOD NA UCET	8840	47135	SIPO	EF	72144114
323074	1104	1998-07-08	VYDAJ	PREVOD NA UCET	8840	51256	SIPO	EF	72144114
323075	1104	1998-08-08	VYDAJ	PREVOD NA UCET	8840	52486	SIPO	EF	72144114
323076	1104	1998-09-08	VYDAJ	PREVOD NA UCET	8840	52918	SIPO	EF	72144114
323077	1104	1998-10-08	VYDAJ	PREVOD NA UCET	8840	53052	SIPO	EF	72144114
323078	1104	1998-11-08	VYDAJ	PREVOD NA UCET	8840	55688	SIPO	EF	72144114
323079	1104	1998-12-08	VYDAJ	PREVOD NA UCET	8840	67679	SIPO	EF	72144114
323081	1104	1996-06-29	VYDAJ	VYBER	16600	33450	\N	\N	\N
323082	1104	1997-06-17	VYDAJ	VYBER	16500	32732	\N	\N	\N
323083	1104	1998-06-04	VYDAJ	VYBER	6600	31847	\N	\N	\N
323085	1104	1996-12-03	VYDAJ	VYBER	1600	30871	\N	\N	\N
323086	1104	1997-12-28	VYDAJ	VYBER	2900	40487	\N	\N	\N
323087	1104	1998-12-12	VYDAJ	VYBER	1300	66379	\N	\N	\N
323100	1104	1997-01-23	VYDAJ	VYBER	1000	39178	\N	\N	\N
323101	1104	1997-01-18	VYDAJ	VYBER	2300	41678	\N	\N	\N
323102	1104	1997-01-20	VYDAJ	VYBER	1000	40678	\N	\N	\N
323103	1104	1997-01-17	VYDAJ	VYBER	2000	43978	\N	\N	\N
323104	1104	1997-01-22	VYDAJ	VYBER	500	40178	\N	\N	\N
323105	1104	1997-01-05	VYDAJ	VYBER	1500	54818	\N	\N	\N
323106	1104	1998-01-13	VYDAJ	VYBER	900	40515	\N	\N	\N
323107	1104	1998-01-01	VYDAJ	VYBER	2800	37870	\N	\N	\N
323108	1104	1998-01-18	VYDAJ	VYBER	1900	36415	\N	\N	\N
323109	1104	1998-01-13	VYDAJ	VYBER	2200	38315	\N	\N	\N
323110	1104	1998-01-12	VYDAJ	VYBER	2700	41415	\N	\N	\N
323111	1104	1998-01-10	VYDAJ	VYBER	1000	44115	\N	\N	\N
323118	1104	1996-11-01	VYDAJ	VYBER	4000	38277	\N	\N	\N
323119	1104	1996-07-11	VYDAJ	VYBER	3000	33681	\N	\N	\N
323120	1104	1996-08-04	VYDAJ	VYBER	4100	26513	\N	\N	\N
323121	1104	1996-09-13	VYDAJ	VYBER	4200	36931	\N	\N	\N
323122	1104	1997-06-24	VYDAJ	VYBER	800	31932	\N	\N	\N
323123	1104	1997-09-19	VYDAJ	VYBER	1900	40075	\N	\N	\N
323124	1104	1997-04-30	VYDAJ	VYBER	1000	42439	\N	\N	\N
323125	1104	1997-07-21	VYDAJ	VYBER	3100	34519	\N	\N	\N
323126	1104	1998-02-04	VYDAJ	VYBER	2700	27060	\N	\N	\N
323127	1104	1998-12-26	VYDAJ	VYBER	2400	50679	\N	\N	\N
323128	1104	1998-04-09	VYDAJ	VYBER	3900	44380	\N	\N	\N
323129	1104	1998-05-04	VYDAJ	VYBER	3400	35542	\N	\N	\N
323130	1104	1998-11-17	VYDAJ	VYBER	3500	52188	\N	\N	\N
323131	1104	1998-01-19	VYDAJ	VYBER	4500	31915	\N	\N	\N
323132	1104	1998-01-28	VYDAJ	VYBER	4200	29615	\N	\N	\N
323150	1104	1996-05-31	VYDAJ	VYBER	15	37562	SLUZBY	\N	\N
323151	1104	1996-06-30	VYDAJ	VYBER	15	33636	SLUZBY	\N	\N
323152	1104	1996-07-31	VYDAJ	VYBER	15	33813	SLUZBY	\N	\N
323153	1104	1996-08-31	VYDAJ	VYBER	15	33886	SLUZBY	\N	\N
323154	1104	1996-09-30	VYDAJ	VYBER	15	37071	SLUZBY	\N	\N
323155	1104	1996-10-31	VYDAJ	VYBER	15	42277	SLUZBY	\N	\N
323156	1104	1996-11-30	VYDAJ	VYBER	15	38371	SLUZBY	\N	\N
323157	1104	1996-12-31	VYDAJ	VYBER	15	40233	SLUZBY	\N	\N
323158	1104	1997-01-31	VYDAJ	VYBER	15	30942	SLUZBY	\N	\N
323159	1104	1997-02-28	VYDAJ	VYBER	15	38324	SLUZBY	\N	\N
323160	1104	1997-03-31	VYDAJ	VYBER	15	36036	SLUZBY	\N	\N
323161	1104	1997-04-30	VYDAJ	VYBER	15	43439	SLUZBY	\N	\N
323162	1104	1997-05-31	VYDAJ	VYBER	15	33944	SLUZBY	\N	\N
323163	1104	1997-06-30	VYDAJ	VYBER	15	30374	SLUZBY	\N	\N
323164	1104	1997-07-31	VYDAJ	VYBER	15	31448	SLUZBY	\N	\N
323165	1104	1997-08-31	VYDAJ	VYBER	15	34730	SLUZBY	\N	\N
323166	1104	1997-09-30	VYDAJ	VYBER	15	33221	SLUZBY	\N	\N
323167	1104	1997-10-31	VYDAJ	VYBER	15	33608	SLUZBY	\N	\N
323168	1104	1997-11-30	VYDAJ	VYBER	15	37999	SLUZBY	\N	\N
323169	1104	1997-12-31	VYDAJ	VYBER	15	40670	SLUZBY	\N	\N
323170	1104	1998-01-31	VYDAJ	VYBER	15	29760	SLUZBY	\N	\N
323171	1104	1998-02-28	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
323172	1104	1998-03-31	VYDAJ	VYBER	15	41035	SLUZBY	\N	\N
323173	1104	1998-04-30	VYDAJ	VYBER	15	38942	SLUZBY	\N	\N
323174	1104	1998-05-31	VYDAJ	VYBER	15	38447	SLUZBY	\N	\N
323175	1104	1998-06-30	VYDAJ	VYBER	15	44011	SLUZBY	\N	\N
323176	1104	1998-07-31	VYDAJ	VYBER	15	45241	SLUZBY	\N	\N
323177	1104	1998-08-31	VYDAJ	VYBER	15	45673	SLUZBY	\N	\N
323178	1104	1998-09-30	VYDAJ	VYBER	15	45807	SLUZBY	\N	\N
323179	1104	1998-10-31	VYDAJ	VYBER	15	48443	SLUZBY	\N	\N
323180	1104	1998-11-30	VYDAJ	VYBER	15	52391	SLUZBY	\N	\N
323181	1104	1996-01-06	PRIJEM	VKLAD	3700	20585	\N	\N	\N
323182	1104	1996-02-05	VYDAJ	VYBER	4800	31942	\N	\N	\N
323183	1104	1996-03-06	VYDAJ	VYBER	10700	37454	\N	\N	\N
323184	1104	1996-04-05	VYDAJ	VYBER	11500	42191	\N	\N	\N
323185	1104	1996-05-05	VYDAJ	VYBER	12200	46249	\N	\N	\N
323186	1104	1996-06-04	VYDAJ	VYBER	2800	34762	\N	\N	\N
323187	1104	1996-07-04	VYDAJ	VYBER	4200	29436	\N	\N	\N
323188	1104	1996-08-03	VYDAJ	VYBER	3200	30613	\N	\N	\N
323189	1104	1996-10-02	VYDAJ	VYBER	2200	34871	\N	\N	\N
323190	1104	1996-11-01	VYDAJ	VYBER	7300	30977	\N	\N	\N
323191	1104	1996-12-01	VYDAJ	VYBER	5900	32471	\N	\N	\N
323192	1104	1996-12-31	VYDAJ	VYBER	6100	40247	\N	\N	\N
323193	1104	1997-01-30	VYDAJ	VYBER	8400	30778	\N	\N	\N
323194	1104	1997-03-01	VYDAJ	VYBER	1800	36524	\N	\N	\N
323195	1104	1997-03-31	VYDAJ	VYBER	7900	36050	\N	\N	\N
323196	1104	1997-04-30	VYDAJ	VYBER	7200	35239	\N	\N	\N
323197	1104	1997-05-30	VYDAJ	VYBER	8700	33784	\N	\N	\N
323198	1104	1997-06-29	VYDAJ	VYBER	1700	30232	\N	\N	\N
323199	1104	1997-07-29	VYDAJ	VYBER	3200	31319	\N	\N	\N
323200	1104	1997-08-28	VYDAJ	VYBER	4100	34593	\N	\N	\N
323201	1104	1997-09-27	VYDAJ	VYBER	7000	33075	\N	\N	\N
323202	1104	1997-10-27	VYDAJ	VYBER	7000	33466	\N	\N	\N
323203	1104	1997-11-26	VYDAJ	VYBER	3000	37853	\N	\N	\N
323204	1104	1997-12-26	VYDAJ	VYBER	9900	43387	\N	\N	\N
323205	1104	1998-01-25	PRIJEM	VKLAD	1900	33815	\N	\N	\N
323206	1104	1998-02-24	PRIJEM	VKLAD	1200	35505	\N	\N	\N
323207	1104	1998-03-26	VYDAJ	VYBER	2000	40880	\N	\N	\N
323208	1104	1998-04-25	VYDAJ	VYBER	5600	38780	\N	\N	\N
323209	1104	1998-05-25	VYDAJ	VYBER	4500	38287	\N	\N	\N
323210	1104	1998-06-24	VYDAJ	VYBER	3300	43835	\N	\N	\N
323211	1104	1998-07-24	VYDAJ	VYBER	6200	45056	\N	\N	\N
323212	1104	1998-08-23	VYDAJ	VYBER	7000	45486	\N	\N	\N
323213	1104	1998-09-22	VYDAJ	VYBER	7300	45618	\N	\N	\N
323214	1104	1998-10-22	VYDAJ	VYBER	4800	48252	\N	\N	\N
323215	1104	1998-12-21	VYDAJ	VYBER	13300	53079	\N	\N	\N
323252	1105	1994-09-01	PRIJEM	VKLAD	500	500	\N	\N	\N
323261	1105	1994-09-07	PRIJEM	VKLAD	8782	9282	\N	\N	\N
323262	1105	1994-10-07	PRIJEM	VKLAD	8782	23795	\N	\N	\N
323263	1105	1994-11-07	PRIJEM	VKLAD	8782	30664	\N	\N	\N
323264	1105	1994-12-07	PRIJEM	VKLAD	13173	40429	\N	\N	\N
323265	1105	1995-01-07	PRIJEM	VKLAD	8782	42426	\N	\N	\N
323266	1105	1995-02-07	PRIJEM	VKLAD	8782	34175	\N	\N	\N
323267	1105	1995-03-07	PRIJEM	VKLAD	8782	32902	\N	\N	\N
323268	1105	1995-04-07	PRIJEM	VKLAD	8782	32818	\N	\N	\N
323269	1105	1995-05-07	PRIJEM	VKLAD	8782	30432	\N	\N	\N
323270	1105	1995-06-07	PRIJEM	VKLAD	13173	35534	\N	\N	\N
323271	1105	1995-07-07	PRIJEM	VKLAD	8782	32659	\N	\N	\N
323272	1105	1995-08-07	PRIJEM	VKLAD	8782	31778	\N	\N	\N
323273	1105	1995-09-07	PRIJEM	VKLAD	8782	28092	\N	\N	\N
323274	1105	1995-10-07	PRIJEM	VKLAD	8782	26591	\N	\N	\N
323275	1105	1995-11-07	PRIJEM	VKLAD	8782	23182	\N	\N	\N
323276	1105	1995-12-07	PRIJEM	VKLAD	13173	27252	\N	\N	\N
323277	1105	1996-01-07	PRIJEM	VKLAD	8782	21835	\N	\N	\N
323278	1105	1996-02-07	PRIJEM	VKLAD	8782	21907	\N	\N	\N
323279	1105	1996-03-07	PRIJEM	VKLAD	8782	24883	\N	\N	\N
323280	1105	1996-04-07	PRIJEM	VKLAD	8782	24670	\N	\N	\N
323281	1105	1996-05-07	PRIJEM	VKLAD	8782	20958	\N	\N	\N
323282	1105	1996-06-07	PRIJEM	VKLAD	13173	25919	\N	\N	\N
323283	1105	1996-07-07	PRIJEM	VKLAD	8782	23999	\N	\N	\N
323284	1105	1996-08-07	PRIJEM	VKLAD	8782	23680	\N	\N	\N
323285	1105	1996-09-07	PRIJEM	VKLAD	8782	26664	\N	\N	\N
323286	1105	1996-10-07	PRIJEM	VKLAD	8782	26555	\N	\N	\N
323287	1105	1996-11-07	PRIJEM	VKLAD	8782	22740	\N	\N	\N
323288	1105	1996-12-07	PRIJEM	VKLAD	13173	26711	\N	\N	\N
323289	1105	1997-01-07	PRIJEM	VKLAD	8782	20987	\N	\N	\N
323290	1105	1997-02-07	PRIJEM	VKLAD	8782	20652	\N	\N	\N
323291	1105	1997-03-07	PRIJEM	VKLAD	8782	22122	\N	\N	\N
323292	1105	1997-04-07	PRIJEM	VKLAD	8782	24398	\N	\N	\N
323293	1105	1997-05-07	PRIJEM	VKLAD	8782	23281	\N	\N	\N
323294	1105	1997-06-07	PRIJEM	VKLAD	13173	30654	\N	\N	\N
323295	1105	1997-07-07	PRIJEM	VKLAD	8782	24942	\N	\N	\N
323296	1105	1997-08-07	PRIJEM	VKLAD	8782	24222	\N	\N	\N
323297	1105	1997-09-07	PRIJEM	VKLAD	8782	24807	\N	\N	\N
323298	1105	1997-10-07	PRIJEM	VKLAD	8782	27804	\N	\N	\N
323299	1105	1997-11-07	PRIJEM	VKLAD	8782	30804	\N	\N	\N
323300	1105	1997-12-07	PRIJEM	VKLAD	13173	38208	\N	\N	\N
323301	1105	1998-01-07	PRIJEM	VKLAD	8782	36842	\N	\N	\N
323302	1105	1998-02-07	PRIJEM	VKLAD	8782	23353	\N	\N	\N
323303	1105	1998-03-07	PRIJEM	VKLAD	8782	24033	\N	\N	\N
323304	1105	1998-04-07	PRIJEM	VKLAD	8782	27018	\N	\N	\N
323305	1105	1998-05-07	PRIJEM	VKLAD	8782	30015	\N	\N	\N
323306	1105	1998-06-07	PRIJEM	VKLAD	13173	37415	\N	\N	\N
323307	1105	1998-07-07	PRIJEM	VKLAD	8782	36349	\N	\N	\N
323308	1105	1998-08-07	PRIJEM	VKLAD	8782	37491	\N	\N	\N
323309	1105	1998-09-07	PRIJEM	VKLAD	8782	40532	\N	\N	\N
323310	1105	1998-10-07	PRIJEM	VKLAD	8782	41483	\N	\N	\N
323311	1105	1998-11-07	PRIJEM	VKLAD	8782	44540	\N	\N	\N
323312	1105	1998-12-07	PRIJEM	VKLAD	13173	52000	\N	\N	\N
323325	1105	1995-01-12	VYDAJ	PREVOD NA UCET	1839	37987	SIPO	EF	96368914
323326	1105	1995-02-12	VYDAJ	PREVOD NA UCET	1839	32336	SIPO	EF	96368914
323327	1105	1995-03-12	VYDAJ	PREVOD NA UCET	1839	27863	SIPO	EF	96368914
323328	1105	1995-04-12	VYDAJ	PREVOD NA UCET	1839	30979	SIPO	EF	96368914
323329	1105	1995-05-12	VYDAJ	PREVOD NA UCET	1839	28593	SIPO	EF	96368914
323330	1105	1995-06-12	VYDAJ	PREVOD NA UCET	1839	33695	SIPO	EF	96368914
323331	1105	1995-07-12	VYDAJ	PREVOD NA UCET	1839	30820	SIPO	EF	96368914
323332	1105	1995-08-12	VYDAJ	PREVOD NA UCET	1839	29939	SIPO	EF	96368914
323333	1105	1995-09-12	VYDAJ	PREVOD NA UCET	1839	26253	SIPO	EF	96368914
323334	1105	1995-10-12	VYDAJ	PREVOD NA UCET	1839	24752	SIPO	EF	96368914
323335	1105	1995-11-12	VYDAJ	PREVOD NA UCET	1839	21343	SIPO	EF	96368914
323336	1105	1995-12-12	VYDAJ	PREVOD NA UCET	1839	25413	SIPO	EF	96368914
323337	1105	1996-01-12	VYDAJ	PREVOD NA UCET	1839	19396	SIPO	EF	96368914
323338	1105	1996-02-12	VYDAJ	PREVOD NA UCET	1839	20068	SIPO	EF	96368914
323339	1105	1996-03-12	VYDAJ	PREVOD NA UCET	1839	23044	SIPO	EF	96368914
323340	1105	1996-04-12	VYDAJ	PREVOD NA UCET	1839	22831	SIPO	EF	96368914
323341	1105	1996-05-12	VYDAJ	PREVOD NA UCET	1839	19119	SIPO	EF	96368914
323342	1105	1996-06-12	VYDAJ	PREVOD NA UCET	1839	24080	SIPO	EF	96368914
323343	1105	1996-07-12	VYDAJ	PREVOD NA UCET	1839	22160	SIPO	EF	96368914
323344	1105	1996-08-12	VYDAJ	PREVOD NA UCET	1839	21841	SIPO	EF	96368914
323345	1105	1996-09-12	VYDAJ	PREVOD NA UCET	1839	24825	SIPO	EF	96368914
323346	1105	1996-10-12	VYDAJ	PREVOD NA UCET	1839	24716	SIPO	EF	96368914
323347	1105	1996-11-12	VYDAJ	PREVOD NA UCET	1839	20901	SIPO	EF	96368914
323348	1105	1996-12-12	VYDAJ	PREVOD NA UCET	1839	24372	SIPO	EF	96368914
323349	1105	1997-01-12	VYDAJ	PREVOD NA UCET	1839	15848	SIPO	EF	96368914
323350	1105	1997-02-12	VYDAJ	PREVOD NA UCET	1839	18813	SIPO	EF	96368914
323351	1105	1997-03-12	VYDAJ	PREVOD NA UCET	1839	19583	SIPO	EF	96368914
323352	1105	1997-04-12	VYDAJ	PREVOD NA UCET	1839	22559	SIPO	EF	96368914
323353	1105	1997-05-12	VYDAJ	PREVOD NA UCET	1839	21442	SIPO	EF	96368914
323354	1105	1997-06-12	VYDAJ	PREVOD NA UCET	1839	28815	SIPO	EF	96368914
323355	1105	1997-07-12	VYDAJ	PREVOD NA UCET	1839	19403	SIPO	EF	96368914
323356	1105	1997-08-12	VYDAJ	PREVOD NA UCET	1839	22383	SIPO	EF	96368914
323357	1105	1997-09-12	VYDAJ	PREVOD NA UCET	1839	22968	SIPO	EF	96368914
323358	1105	1997-10-12	VYDAJ	PREVOD NA UCET	1839	25965	SIPO	EF	96368914
323359	1105	1997-11-12	VYDAJ	PREVOD NA UCET	1839	28965	SIPO	EF	96368914
323360	1105	1997-12-12	VYDAJ	PREVOD NA UCET	1839	36369	SIPO	EF	96368914
323361	1105	1998-01-12	VYDAJ	PREVOD NA UCET	1839	32603	SIPO	EF	96368914
323362	1105	1998-02-12	VYDAJ	PREVOD NA UCET	1839	21514	SIPO	EF	96368914
323363	1105	1998-03-12	VYDAJ	PREVOD NA UCET	1839	22194	SIPO	EF	96368914
323364	1105	1998-04-12	VYDAJ	PREVOD NA UCET	1839	25179	SIPO	EF	96368914
323365	1105	1998-05-12	VYDAJ	PREVOD NA UCET	1839	28176	SIPO	EF	96368914
323366	1105	1998-06-12	VYDAJ	PREVOD NA UCET	1839	35576	SIPO	EF	96368914
323367	1105	1998-07-12	VYDAJ	PREVOD NA UCET	1839	34510	SIPO	EF	96368914
323368	1105	1998-08-12	VYDAJ	PREVOD NA UCET	1839	35652	SIPO	EF	96368914
323369	1105	1998-09-12	VYDAJ	PREVOD NA UCET	1839	38693	SIPO	EF	96368914
323370	1105	1998-10-12	VYDAJ	PREVOD NA UCET	1839	39644	SIPO	EF	96368914
323371	1105	1998-11-12	VYDAJ	PREVOD NA UCET	1839	42701	SIPO	EF	96368914
323372	1105	1998-12-12	VYDAJ	PREVOD NA UCET	1839	50161	SIPO	EF	96368914
323385	1105	1995-01-14	VYDAJ	PREVOD NA UCET	4015	33972	 	WX	69901072
323386	1105	1995-02-14	VYDAJ	PREVOD NA UCET	4015	28321	 	WX	69901072
323387	1105	1995-03-14	VYDAJ	PREVOD NA UCET	4015	23848	 	WX	69901072
323388	1105	1995-04-14	VYDAJ	PREVOD NA UCET	4015	26964	 	WX	69901072
323389	1105	1995-05-14	VYDAJ	PREVOD NA UCET	4015	24578	 	WX	69901072
323390	1105	1995-06-14	VYDAJ	PREVOD NA UCET	4015	29680	 	WX	69901072
323391	1105	1995-07-14	VYDAJ	PREVOD NA UCET	4015	26805	 	WX	69901072
323392	1105	1995-08-14	VYDAJ	PREVOD NA UCET	4015	25924	 	WX	69901072
323393	1105	1995-09-14	VYDAJ	PREVOD NA UCET	4015	22238	 	WX	69901072
323394	1105	1995-10-14	VYDAJ	PREVOD NA UCET	4015	20737	 	WX	69901072
323395	1105	1995-11-14	VYDAJ	PREVOD NA UCET	4015	17328	 	WX	69901072
323396	1105	1995-12-14	VYDAJ	PREVOD NA UCET	4015	21398	 	WX	69901072
323397	1105	1996-01-14	VYDAJ	PREVOD NA UCET	4015	12981	 	WX	69901072
323398	1105	1996-02-14	VYDAJ	PREVOD NA UCET	4015	16053	 	WX	69901072
323399	1105	1996-03-14	VYDAJ	PREVOD NA UCET	4015	19029	 	WX	69901072
323400	1105	1996-04-14	VYDAJ	PREVOD NA UCET	4015	18816	 	WX	69901072
323401	1105	1996-05-14	VYDAJ	PREVOD NA UCET	4015	15104	 	WX	69901072
323402	1105	1996-06-14	VYDAJ	PREVOD NA UCET	4015	20065	 	WX	69901072
323403	1105	1996-07-14	VYDAJ	PREVOD NA UCET	4015	18145	 	WX	69901072
323404	1105	1996-08-14	VYDAJ	PREVOD NA UCET	4015	17826	 	WX	69901072
323405	1105	1996-09-14	VYDAJ	PREVOD NA UCET	4015	20810	 	WX	69901072
323406	1105	1996-10-14	VYDAJ	PREVOD NA UCET	4015	20701	 	WX	69901072
323407	1105	1996-11-14	VYDAJ	PREVOD NA UCET	4015	16886	 	WX	69901072
323408	1105	1996-12-14	VYDAJ	PREVOD NA UCET	4015	20357	 	WX	69901072
323409	1105	1997-01-14	VYDAJ	PREVOD NA UCET	4015	11833	 	WX	69901072
323410	1105	1997-02-14	VYDAJ	PREVOD NA UCET	4015	14798	 	WX	69901072
323411	1105	1997-03-14	VYDAJ	PREVOD NA UCET	4015	15568	 	WX	69901072
323412	1105	1997-04-14	VYDAJ	PREVOD NA UCET	4015	18544	 	WX	69901072
323413	1105	1997-05-14	VYDAJ	PREVOD NA UCET	4015	17427	 	WX	69901072
323414	1105	1997-06-14	VYDAJ	PREVOD NA UCET	4015	24800	 	WX	69901072
323415	1105	1997-07-14	VYDAJ	PREVOD NA UCET	4015	15388	 	WX	69901072
323416	1105	1997-08-14	VYDAJ	PREVOD NA UCET	4015	18368	 	WX	69901072
323417	1105	1997-09-14	VYDAJ	PREVOD NA UCET	4015	18953	 	WX	69901072
323418	1105	1997-10-14	VYDAJ	PREVOD NA UCET	4015	21950	 	WX	69901072
323419	1105	1997-11-14	VYDAJ	PREVOD NA UCET	4015	24950	 	WX	69901072
323420	1105	1997-12-14	VYDAJ	PREVOD NA UCET	4015	32354	 	WX	69901072
323421	1105	1998-01-14	VYDAJ	PREVOD NA UCET	4015	18988	 	WX	69901072
323422	1105	1998-02-14	VYDAJ	PREVOD NA UCET	4015	17499	 	WX	69901072
323423	1105	1998-03-14	VYDAJ	PREVOD NA UCET	4015	18179	 	WX	69901072
323424	1105	1998-04-14	VYDAJ	PREVOD NA UCET	4015	21164	 	WX	69901072
323425	1105	1998-05-14	VYDAJ	PREVOD NA UCET	4015	24161	 	WX	69901072
323426	1105	1998-06-14	VYDAJ	PREVOD NA UCET	4015	31561	 	WX	69901072
323427	1105	1998-07-14	VYDAJ	PREVOD NA UCET	4015	30495	 	WX	69901072
323428	1105	1998-08-14	VYDAJ	PREVOD NA UCET	4015	31637	 	WX	69901072
323429	1105	1998-09-14	VYDAJ	PREVOD NA UCET	4015	34678	 	WX	69901072
323430	1105	1998-10-14	VYDAJ	PREVOD NA UCET	4015	35629	 	WX	69901072
323431	1105	1998-11-14	VYDAJ	PREVOD NA UCET	4015	38686	 	WX	69901072
323432	1105	1998-12-14	VYDAJ	PREVOD NA UCET	4015	44146	 	WX	69901072
323436	1105	1997-06-16	VYDAJ	VYBER	8700	16100	\N	\N	\N
323442	1105	1998-01-14	VYDAJ	VYBER	9600	23003	\N	\N	\N
323444	1105	1995-12-16	VYDAJ	VYBER	1900	19498	\N	\N	\N
323445	1105	1996-12-11	VYDAJ	VYBER	500	26211	\N	\N	\N
323446	1105	1997-12-21	VYDAJ	VYBER	2300	30054	\N	\N	\N
323447	1105	1998-12-22	VYDAJ	VYBER	700	43446	\N	\N	\N
323454	1105	1995-01-28	VYDAJ	VYBER	2400	28372	\N	\N	\N
323455	1105	1995-01-28	VYDAJ	VYBER	500	27872	\N	\N	\N
323456	1105	1995-01-21	VYDAJ	VYBER	2600	30772	\N	\N	\N
323457	1105	1995-01-11	VYDAJ	VYBER	2600	39826	\N	\N	\N
323458	1105	1995-01-19	VYDAJ	VYBER	600	33372	\N	\N	\N
323459	1105	1995-01-30	VYDAJ	VYBER	1800	25272	\N	\N	\N
323461	1105	1996-01-09	VYDAJ	VYBER	600	21235	\N	\N	\N
323465	1105	1996-01-13	VYDAJ	VYBER	2400	16996	\N	\N	\N
323470	1105	1997-01-10	VYDAJ	VYBER	1900	19087	\N	\N	\N
323471	1105	1997-01-11	VYDAJ	VYBER	1400	17687	\N	\N	\N
323472	1105	1998-01-16	VYDAJ	VYBER	2600	16388	\N	\N	\N
323473	1105	1998-01-12	VYDAJ	VYBER	2400	34442	\N	\N	\N
323474	1105	1998-01-16	VYDAJ	VYBER	1900	14488	\N	\N	\N
323475	1105	1998-01-06	VYDAJ	VYBER	2100	28060	\N	\N	\N
323487	1105	1995-03-10	VYDAJ	VYBER	3200	29702	\N	\N	\N
323488	1105	1995-10-18	VYDAJ	VYBER	700	20037	\N	\N	\N
323489	1105	1995-04-15	VYDAJ	VYBER	3900	23064	\N	\N	\N
323491	1105	1996-09-19	VYDAJ	VYBER	3100	17710	\N	\N	\N
323493	1105	1996-04-05	VYDAJ	VYBER	900	15888	\N	\N	\N
323494	1105	1996-11-30	VYDAJ	VYBER	3400	13552	\N	\N	\N
323495	1105	1997-09-03	VYDAJ	VYBER	2400	16025	\N	\N	\N
323496	1105	1997-07-11	VYDAJ	VYBER	3700	21242	\N	\N	\N
323497	1105	1997-04-25	VYDAJ	VYBER	4100	14444	\N	\N	\N
323498	1105	1997-02-24	VYDAJ	VYBER	1500	13298	\N	\N	\N
323499	1105	1997-03-12	VYDAJ	VYBER	700	21422	\N	\N	\N
323502	1105	1998-12-13	VYDAJ	VYBER	2000	48161	\N	\N	\N
323503	1105	1998-09-25	VYDAJ	VYBER	2100	32578	\N	\N	\N
323504	1105	1998-07-05	VYDAJ	VYBER	4100	27567	\N	\N	\N
323505	1105	1998-07-21	VYDAJ	VYBER	1900	28595	\N	\N	\N
323506	1105	1998-02-25	VYDAJ	VYBER	2300	15199	\N	\N	\N
323521	1105	1995-01-31	VYDAJ	VYBER	15	25393	SLUZBY	\N	\N
323522	1105	1995-02-28	VYDAJ	VYBER	15	24120	SLUZBY	\N	\N
323523	1105	1995-03-31	VYDAJ	VYBER	15	24036	SLUZBY	\N	\N
323524	1105	1995-04-30	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
323525	1105	1995-05-31	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
323526	1105	1995-06-30	VYDAJ	VYBER	15	23877	SLUZBY	\N	\N
323527	1105	1995-07-31	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
323528	1105	1995-08-31	VYDAJ	VYBER	15	19310	SLUZBY	\N	\N
323529	1105	1995-09-30	VYDAJ	VYBER	15	17809	SLUZBY	\N	\N
323530	1105	1995-10-31	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
323531	1105	1995-11-30	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
323532	1105	1995-12-31	VYDAJ	VYBER	15	13053	SLUZBY	\N	\N
323533	1105	1996-01-31	VYDAJ	VYBER	15	13125	SLUZBY	\N	\N
323534	1105	1996-02-29	VYDAJ	VYBER	15	16101	SLUZBY	\N	\N
323535	1105	1996-03-31	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
323536	1105	1996-04-30	VYDAJ	VYBER	15	12176	SLUZBY	\N	\N
323537	1105	1996-05-31	VYDAJ	VYBER	15	12746	SLUZBY	\N	\N
323538	1105	1996-06-30	VYDAJ	VYBER	15	15217	SLUZBY	\N	\N
323539	1105	1996-07-31	VYDAJ	VYBER	15	14898	SLUZBY	\N	\N
323540	1105	1996-08-31	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
323541	1105	1996-09-30	VYDAJ	VYBER	15	17773	SLUZBY	\N	\N
323542	1105	1996-10-31	VYDAJ	VYBER	15	13958	SLUZBY	\N	\N
323543	1105	1996-11-30	VYDAJ	VYBER	15	13538	SLUZBY	\N	\N
323544	1105	1996-12-31	VYDAJ	VYBER	15	12205	SLUZBY	\N	\N
323545	1105	1997-01-31	VYDAJ	VYBER	15	11870	SLUZBY	\N	\N
323546	1105	1997-02-28	VYDAJ	VYBER	15	13340	SLUZBY	\N	\N
323547	1105	1997-03-31	VYDAJ	VYBER	15	15616	SLUZBY	\N	\N
323548	1105	1997-04-30	VYDAJ	VYBER	15	14499	SLUZBY	\N	\N
323549	1105	1997-05-31	VYDAJ	VYBER	15	17481	SLUZBY	\N	\N
323550	1105	1997-06-30	VYDAJ	VYBER	15	16160	SLUZBY	\N	\N
323551	1105	1997-07-31	VYDAJ	VYBER	15	15440	SLUZBY	\N	\N
323552	1105	1997-08-31	VYDAJ	VYBER	15	18425	SLUZBY	\N	\N
323553	1105	1997-09-30	VYDAJ	VYBER	15	19022	SLUZBY	\N	\N
323554	1105	1997-10-31	VYDAJ	VYBER	15	22022	SLUZBY	\N	\N
323555	1105	1997-11-30	VYDAJ	VYBER	15	25035	SLUZBY	\N	\N
323556	1105	1997-12-31	VYDAJ	VYBER	15	30160	SLUZBY	\N	\N
323557	1105	1998-01-31	VYDAJ	VYBER	15	14571	SLUZBY	\N	\N
323558	1105	1998-02-28	VYDAJ	VYBER	15	15251	SLUZBY	\N	\N
323559	1105	1998-03-31	VYDAJ	VYBER	15	18236	SLUZBY	\N	\N
323560	1105	1998-04-30	VYDAJ	VYBER	15	21233	SLUZBY	\N	\N
323561	1105	1998-05-31	VYDAJ	VYBER	15	24242	SLUZBY	\N	\N
323562	1105	1998-06-30	VYDAJ	VYBER	15	31667	SLUZBY	\N	\N
323563	1105	1998-07-31	VYDAJ	VYBER	15	28709	SLUZBY	\N	\N
323564	1105	1998-08-31	VYDAJ	VYBER	15	31750	SLUZBY	\N	\N
323565	1105	1998-09-30	VYDAJ	VYBER	15	32701	SLUZBY	\N	\N
323566	1105	1998-10-31	VYDAJ	VYBER	15	35758	SLUZBY	\N	\N
323567	1105	1998-11-30	VYDAJ	VYBER	15	38827	SLUZBY	\N	\N
323568	1105	1994-10-01	PRIJEM	VKLAD	5700	15013	\N	\N	\N
323569	1105	1994-10-31	VYDAJ	VYBER	2000	21882	\N	\N	\N
323570	1105	1994-11-30	VYDAJ	VYBER	3500	27256	\N	\N	\N
323571	1105	1994-12-30	VYDAJ	VYBER	6900	33529	\N	\N	\N
323572	1105	1995-01-29	VYDAJ	VYBER	800	27072	\N	\N	\N
323573	1105	1995-02-28	VYDAJ	VYBER	4300	24135	\N	\N	\N
323574	1105	1995-03-30	PRIJEM	VKLAD	100	23948	\N	\N	\N
323575	1105	1995-04-29	VYDAJ	VYBER	1500	21564	\N	\N	\N
323576	1105	1995-05-29	VYDAJ	VYBER	2300	22278	\N	\N	\N
323577	1105	1995-06-28	VYDAJ	VYBER	5900	23780	\N	\N	\N
323578	1105	1995-07-28	VYDAJ	VYBER	3900	22905	\N	\N	\N
323579	1105	1995-08-27	VYDAJ	VYBER	6700	19224	\N	\N	\N
323580	1105	1995-09-26	VYDAJ	VYBER	4500	17738	\N	\N	\N
323581	1105	1995-10-26	VYDAJ	VYBER	5700	14337	\N	\N	\N
323582	1105	1995-11-25	VYDAJ	VYBER	3300	14028	\N	\N	\N
323583	1105	1995-12-25	VYDAJ	VYBER	6500	12998	\N	\N	\N
323584	1105	1996-01-24	PRIJEM	VKLAD	100	13081	\N	\N	\N
323585	1105	1996-03-24	VYDAJ	VYBER	2300	16729	\N	\N	\N
323586	1105	1996-04-23	VYDAJ	VYBER	6700	12116	\N	\N	\N
323587	1105	1996-05-23	VYDAJ	VYBER	2400	12704	\N	\N	\N
323588	1105	1996-06-22	VYDAJ	VYBER	4900	15165	\N	\N	\N
323589	1105	1996-07-22	VYDAJ	VYBER	3300	14845	\N	\N	\N
323590	1105	1996-10-20	VYDAJ	VYBER	6800	13901	\N	\N	\N
323591	1105	1996-12-19	VYDAJ	VYBER	8200	12157	\N	\N	\N
323644	1106	1993-08-29	PRIJEM	VKLAD	800	800	\N	\N	\N
323645	1106	1993-11-17	PRIJEM	VKLAD	14550	38690	\N	\N	\N
323647	1106	1993-09-17	PRIJEM	VKLAD	19328	20128	\N	\N	\N
323649	1106	1994-09-14	PRIJEM	VKLAD	23844	30688	\N	\N	\N
323650	1106	1994-04-08	PRIJEM	VKLAD	16944	49563	\N	\N	\N
323651	1106	1994-02-19	PRIJEM	VKLAD	21953	49017	\N	\N	\N
323652	1106	1994-05-31	PRIJEM	VKLAD	18575	47199	\N	\N	\N
323653	1106	1995-05-24	PRIJEM	VKLAD	38401	67394	\N	\N	\N
323654	1106	1995-06-26	PRIJEM	VKLAD	33760	50276	\N	\N	\N
323655	1106	1995-09-23	PRIJEM	VKLAD	34270	80529	\N	\N	\N
323656	1106	1995-04-21	PRIJEM	VKLAD	36937	41091	\N	\N	\N
323657	1106	1995-05-16	PRIJEM	VKLAD	21135	28993	\N	\N	\N
323658	1106	1995-08-12	PRIJEM	VKLAD	38193	136342	\N	\N	\N
323659	1106	1995-12-21	PRIJEM	VKLAD	27632	52297	\N	\N	\N
323660	1106	1995-06-03	PRIJEM	VKLAD	8352	75868	\N	\N	\N
323661	1106	1995-09-23	PRIJEM	VKLAD	44291	124820	\N	\N	\N
323662	1106	1995-08-05	PRIJEM	VKLAD	25332	98149	\N	\N	\N
323663	1106	1995-07-30	PRIJEM	VKLAD	35499	72649	\N	\N	\N
323664	1106	1995-09-10	PRIJEM	VKLAD	21723	72882	\N	\N	\N
323665	1106	1995-08-25	PRIJEM	VKLAD	7696	50913	\N	\N	\N
323666	1106	1996-11-10	PRIJEM	VKLAD	6734	97372	\N	\N	\N
323667	1106	1996-10-16	PRIJEM	VKLAD	49123	107221	\N	\N	\N
323668	1106	1996-08-23	PRIJEM	VKLAD	7136	29604	\N	\N	\N
323669	1106	1996-03-01	PRIJEM	VKLAD	25342	54215	\N	\N	\N
323670	1106	1996-12-12	PRIJEM	VKLAD	41507	105231	\N	\N	\N
323671	1106	1996-05-10	PRIJEM	VKLAD	5285	65820	\N	\N	\N
323672	1106	1996-10-23	PRIJEM	VKLAD	46468	153689	\N	\N	\N
323673	1106	1996-05-01	PRIJEM	VKLAD	9182	60535	\N	\N	\N
323674	1106	1996-07-13	PRIJEM	VKLAD	29703	53173	\N	\N	\N
323675	1106	1996-06-01	PRIJEM	VKLAD	21796	55798	\N	\N	\N
323676	1106	1996-09-08	PRIJEM	VKLAD	39719	65504	\N	\N	\N
323677	1106	1996-06-11	PRIJEM	VKLAD	35320	80018	\N	\N	\N
323678	1106	1996-05-28	PRIJEM	VKLAD	11864	33847	\N	\N	\N
323679	1106	1996-02-22	PRIJEM	VKLAD	13512	28795	\N	\N	\N
323680	1106	1996-11-12	PRIJEM	VKLAD	30592	93564	\N	\N	\N
323681	1106	1996-10-11	PRIJEM	VKLAD	47088	91721	\N	\N	\N
323682	1106	1996-01-28	PRIJEM	VKLAD	17981	29623	\N	\N	\N
323683	1106	1996-01-16	PRIJEM	VKLAD	25366	42542	\N	\N	\N
323684	1106	1996-11-18	PRIJEM	VKLAD	18494	112058	\N	\N	\N
323685	1106	1996-03-11	PRIJEM	VKLAD	39148	93363	\N	\N	\N
323686	1106	1996-03-29	PRIJEM	VKLAD	45000	97740	\N	\N	\N
323687	1106	1996-06-12	PRIJEM	VKLAD	29870	109888	\N	\N	\N
323688	1106	1997-08-31	PRIJEM	VKLAD	37861	97905	\N	\N	\N
323689	1106	1997-08-26	PRIJEM	VKLAD	32980	59893	\N	\N	\N
323690	1106	1997-10-08	PRIJEM	VKLAD	19036	65868	\N	\N	\N
323691	1106	1997-08-03	PRIJEM	VKLAD	5878	39513	\N	\N	\N
323692	1106	1997-04-27	PRIJEM	VKLAD	20966	74298	\N	\N	\N
323693	1106	1997-07-16	PRIJEM	VKLAD	30913	58539	\N	\N	\N
323694	1106	1997-10-09	PRIJEM	VKLAD	45300	111168	\N	\N	\N
323695	1106	1997-09-12	PRIJEM	VKLAD	16068	73157	\N	\N	\N
323696	1106	1997-01-09	PRIJEM	VKLAD	11996	65002	\N	\N	\N
323697	1106	1997-04-13	PRIJEM	VKLAD	34073	64132	\N	\N	\N
323698	1106	1997-02-15	PRIJEM	VKLAD	18768	35740	\N	\N	\N
323699	1106	1997-11-05	PRIJEM	VKLAD	47492	92373	\N	\N	\N
323700	1106	1997-03-22	PRIJEM	VKLAD	26793	47935	\N	\N	\N
323701	1106	1997-11-15	PRIJEM	VKLAD	5042	57015	\N	\N	\N
323702	1106	1998-10-04	PRIJEM	VKLAD	39877	48938	\N	\N	\N
323720	1106	1994-06-17	VYDAJ	VYBER	11700	6777	\N	\N	0
323721	1106	1994-07-09	VYDAJ	VYBER	5400	2310	\N	\N	0
323722	1106	1994-08-26	VYDAJ	VYBER	6100	9819	\N	\N	0
323724	1106	1994-10-18	VYDAJ	VYBER	9200	19145	\N	\N	0
323725	1106	1994-11-12	VYDAJ	PREVOD NA UCET	8023	14203	UVER	WX	7667500
323727	1106	1995-01-12	VYDAJ	PREVOD NA UCET	8023	5320	UVER	WX	7667500
323731	1106	1995-05-12	VYDAJ	PREVOD NA UCET	8023	7858	UVER	WX	7667500
323732	1106	1995-06-12	VYDAJ	PREVOD NA UCET	8023	61845	UVER	WX	7667500
323733	1106	1995-07-12	VYDAJ	PREVOD NA UCET	8023	42450	UVER	WX	7667500
323734	1106	1995-08-12	VYDAJ	PREVOD NA UCET	8023	72219	UVER	WX	7667500
323735	1106	1995-09-12	VYDAJ	PREVOD NA UCET	8023	64859	UVER	WX	7667500
323736	1106	1995-10-12	VYDAJ	PREVOD NA UCET	8023	73579	UVER	WX	7667500
323737	1106	1995-11-12	VYDAJ	PREVOD NA UCET	8023	28187	UVER	WX	7667500
323738	1106	1995-12-12	VYDAJ	PREVOD NA UCET	8023	18365	UVER	WX	7667500
323739	1106	1996-01-12	VYDAJ	PREVOD NA UCET	8023	15876	UVER	WX	7667500
323740	1106	1996-02-12	VYDAJ	PREVOD NA UCET	8023	21683	UVER	WX	7667500
323741	1106	1996-03-12	VYDAJ	PREVOD NA UCET	8023	85340	UVER	WX	7667500
323742	1106	1996-04-12	VYDAJ	PREVOD NA UCET	8023	89916	UVER	WX	7667500
323743	1106	1996-05-12	VYDAJ	PREVOD NA UCET	8023	57797	UVER	WX	7667500
323744	1106	1996-06-12	VYDAJ	PREVOD NA UCET	8023	49165	UVER	WX	7667500
323745	1106	1996-07-12	VYDAJ	PREVOD NA UCET	8023	23470	UVER	WX	7667500
323746	1106	1996-08-12	VYDAJ	PREVOD NA UCET	8023	20668	UVER	WX	7667500
323747	1106	1996-09-12	VYDAJ	PREVOD NA UCET	8023	44482	UVER	WX	7667500
323748	1106	1996-10-12	VYDAJ	PREVOD NA UCET	8023	58098	UVER	WX	7667500
323749	1106	1996-11-21	VYDAJ	VYBER	9200	102858	\N	\N	0
323750	1106	1996-12-20	VYDAJ	VYBER	9400	95831	\N	\N	0
323751	1106	1997-01-16	VYDAJ	VYBER	7400	38202	\N	\N	0
323752	1106	1997-02-13	VYDAJ	VYBER	10700	16972	\N	\N	0
323753	1106	1997-03-17	VYDAJ	VYBER	9100	21142	\N	\N	0
323754	1106	1997-04-08	VYDAJ	VYBER	6000	42059	\N	\N	0
323755	1106	1997-05-09	VYDAJ	VYBER	6200	68288	\N	\N	0
323756	1106	1997-06-17	VYDAJ	VYBER	7300	20956	\N	\N	0
323757	1106	1997-07-17	VYDAJ	VYBER	10600	47939	\N	\N	0
323758	1106	1997-08-10	VYDAJ	VYBER	10600	26913	\N	\N	0
323759	1106	1997-09-25	VYDAJ	VYBER	8900	64257	\N	\N	0
323760	1106	1997-10-24	VYDAJ	VYBER	9400	59524	\N	\N	0
323761	1106	1997-11-10	VYDAJ	VYBER	8000	51973	\N	\N	0
323762	1106	1997-12-07	VYDAJ	VYBER	8000	15289	\N	\N	0
323764	1106	1998-02-09	VYDAJ	VYBER	9800	1835	\N	\N	0
323765	1106	1998-03-10	VYDAJ	VYBER	7100	9191	\N	\N	0
323766	1106	1998-04-20	VYDAJ	VYBER	11700	11089	\N	\N	0
323767	1106	1998-05-16	VYDAJ	VYBER	7600	10198	\N	\N	0
323769	1106	1998-07-29	VYDAJ	VYBER	6600	3196	\N	\N	0
323770	1106	1998-08-01	VYDAJ	VYBER	8800	-5629	\N	\N	0
323771	1106	1998-09-07	VYDAJ	VYBER	8600	-79	\N	\N	0
323772	1106	1998-10-15	VYDAJ	VYBER	9000	39938	\N	\N	0
323773	1106	1998-11-21	VYDAJ	VYBER	6700	-1695	\N	\N	0
323774	1106	1998-12-17	VYDAJ	VYBER	7500	2727	\N	\N	0
323791	1106	1994-06-06	VYBER	VYBER	10842	18477	\N	\N	\N
323792	1106	1994-06-26	VYBER	VYBER	8313	7664	\N	\N	\N
323800	1106	1994-11-14	VYBER	VYBER	11026	3177	\N	\N	\N
323802	1106	1995-06-21	VYBER	VYBER	14883	16516	\N	\N	\N
323803	1106	1995-06-21	VYBER	VYBER	13946	31399	\N	\N	\N
323805	1106	1995-10-03	VYBER	VYBER	11386	81602	\N	\N	\N
323806	1106	1995-08-15	VYBER	VYBER	14502	57717	\N	\N	\N
323808	1106	1995-05-10	VYBER	VYBER	11736	15881	\N	\N	\N
323809	1106	1995-03-23	VYBER	VYBER	6413	4147	\N	\N	\N
323810	1106	1996-04-17	VYBER	VYBER	3637	51079	\N	\N	\N
323811	1106	1996-05-25	VYBER	VYBER	11414	29483	\N	\N	\N
323812	1106	1997-10-14	VYBER	VYBER	20944	68924	\N	\N	\N
323813	1106	1997-12-01	VYBER	VYBER	16110	28489	\N	\N	\N
323814	1106	1997-12-20	VYBER	VYBER	21467	-6178	\N	\N	\N
323815	1106	1997-11-01	VYBER	VYBER	14898	44881	\N	\N	\N
323816	1106	1997-09-09	VYBER	VYBER	3286	57089	\N	\N	\N
323817	1106	1998-11-06	VYBER	VYBER	10051	18205	\N	\N	\N
323818	1106	1998-06-10	VYBER	VYBER	15100	6310	\N	\N	\N
323819	1106	1998-08-28	VYBER	VYBER	17326	-10955	\N	\N	\N
323821	1106	1998-07-08	VYBER	VYBER	4935	9796	\N	\N	\N
323822	1106	1998-12-16	VYBER	VYBER	3485	10227	\N	\N	\N
323825	1106	1998-10-29	VYBER	VYBER	4107	35831	\N	\N	\N
323827	1106	1994-06-05	VYDAJ	VYBER	18000	29319	\N	\N	\N
323829	1106	1996-06-06	VYDAJ	VYBER	11100	44698	\N	\N	\N
323831	1106	1998-06-12	VYDAJ	VYBER	15900	-9590	\N	\N	\N
323835	1106	1996-01-16	VYDAJ	VYBER	20400	22142	\N	\N	\N
323836	1106	1997-01-06	VYDAJ	VYBER	25200	59006	\N	\N	\N
323837	1106	1998-01-10	VYDAJ	VYBER	13800	-3876	\N	\N	\N
323839	1106	1994-12-08	VYDAJ	VYBER	8100	7309	\N	\N	\N
323840	1106	1995-12-27	VYDAJ	VYBER	3900	35797	\N	\N	\N
323841	1106	1996-12-21	VYDAJ	VYBER	3600	92231	\N	\N	\N
323843	1106	1998-12-19	VYDAJ	VYBER	1800	927	\N	\N	\N
323856	1106	1995-01-24	VYDAJ	VYBER	6000	820	\N	\N	\N
323857	1106	1995-01-24	VYDAJ	VYBER	2100	-1280	\N	\N	\N
323858	1106	1995-01-15	VYDAJ	VYBER	2100	3220	\N	\N	\N
323859	1106	1995-01-30	VYDAJ	VYBER	1500	-2780	\N	\N	\N
323860	1106	1995-01-22	VYDAJ	VYBER	6000	6820	\N	\N	\N
323861	1106	1995-01-02	VYDAJ	VYBER	1800	13343	\N	\N	\N
323862	1106	1996-01-26	VYDAJ	VYBER	4200	11642	\N	\N	\N
323863	1106	1996-01-22	VYDAJ	VYBER	6300	15842	\N	\N	\N
323864	1106	1996-01-13	VYDAJ	VYBER	2400	8376	\N	\N	\N
323865	1106	1996-01-06	VYDAJ	VYBER	5700	23899	\N	\N	\N
323866	1106	1996-01-13	VYDAJ	VYBER	5100	10776	\N	\N	\N
323867	1106	1996-01-02	VYDAJ	VYBER	6300	29599	\N	\N	\N
323868	1106	1997-01-06	VYDAJ	VYBER	6000	53006	\N	\N	\N
323869	1106	1997-01-27	VYDAJ	VYBER	3000	31602	\N	\N	\N
323870	1106	1997-01-09	VYDAJ	VYBER	8100	56902	\N	\N	\N
323871	1106	1997-01-22	VYDAJ	VYBER	3600	34602	\N	\N	\N
323872	1106	1997-01-01	VYDAJ	VYBER	3000	89606	\N	\N	\N
323873	1106	1997-01-04	VYDAJ	VYBER	5400	84206	\N	\N	\N
323874	1106	1998-01-16	VYDAJ	VYBER	1800	-5676	\N	\N	\N
323884	1106	1994-08-08	VYDAJ	VYBER	6300	8419	\N	\N	\N
323886	1106	1994-08-22	VYDAJ	VYBER	4500	3919	\N	\N	\N
323887	1106	1994-09-09	VYDAJ	VYBER	3000	6844	\N	\N	\N
323889	1106	1995-03-04	VYDAJ	VYBER	7500	3160	\N	\N	\N
323890	1106	1995-12-25	VYDAJ	VYBER	12600	39697	\N	\N	\N
323891	1106	1995-10-15	VYDAJ	VYBER	8100	65479	\N	\N	\N
323892	1106	1995-05-04	VYDAJ	VYBER	5100	27617	\N	\N	\N
323893	1106	1995-10-18	VYDAJ	VYBER	14400	35979	\N	\N	\N
323895	1106	1995-06-05	VYDAJ	VYBER	6000	69868	\N	\N	\N
323896	1106	1996-11-25	VYDAJ	VYBER	5400	97458	\N	\N	\N
323897	1106	1996-07-27	VYDAJ	VYBER	12600	28573	\N	\N	\N
323898	1106	1996-05-26	VYDAJ	VYBER	7500	21983	\N	\N	\N
323899	1106	1996-06-20	VYDAJ	VYBER	6300	31365	\N	\N	\N
323900	1106	1996-02-16	VYDAJ	VYBER	9000	15283	\N	\N	\N
323901	1106	1996-09-02	VYDAJ	VYBER	3900	25785	\N	\N	\N
323902	1106	1997-11-16	VYDAJ	VYBER	12600	44415	\N	\N	\N
323903	1106	1997-07-22	VYDAJ	VYBER	14400	33539	\N	\N	\N
323904	1106	1997-05-19	VYDAJ	VYBER	8700	34288	\N	\N	\N
323905	1106	1997-05-30	VYDAJ	VYBER	7200	27088	\N	\N	\N
323906	1106	1997-02-06	VYDAJ	VYBER	5700	26072	\N	\N	\N
323907	1106	1997-04-16	VYDAJ	VYBER	10800	53332	\N	\N	\N
323908	1106	1997-09-05	VYDAJ	VYBER	9300	88575	\N	\N	\N
323909	1106	1998-09-29	VYDAJ	VYBER	5700	-5779	\N	\N	\N
323910	1106	1998-11-11	VYDAJ	VYBER	13200	5005	\N	\N	\N
323931	1106	1994-05-31	VYDAJ	VYBER	30	47319	SLUZBY	\N	\N
323932	1106	1994-06-30	VYDAJ	VYBER	30	7710	SLUZBY	\N	\N
323933	1106	1994-07-31	VYDAJ	VYBER	30	14719	SLUZBY	\N	\N
323934	1106	1994-08-31	VYDAJ	VYBER	30	9844	SLUZBY	\N	\N
323935	1106	1994-09-30	VYDAJ	VYBER	30	28345	SLUZBY	\N	\N
323936	1106	1994-10-31	VYDAJ	VYBER	30	22226	SLUZBY	\N	\N
323937	1106	1994-11-30	VYDAJ	VYBER	30	15409	SLUZBY	\N	\N
323938	1106	1994-12-31	VYDAJ	VYBER	30	15143	SLUZBY	\N	\N
323939	1106	1995-01-31	VYDAJ	VYBER	30	-2784	SLUZBY	\N	\N
323940	1106	1995-02-28	VYDAJ	VYBER	30	10688	SLUZBY	\N	\N
323941	1106	1995-03-31	VYDAJ	VYBER	30	4154	SLUZBY	\N	\N
323942	1106	1995-04-30	VYDAJ	VYBER	30	32717	SLUZBY	\N	\N
323943	1106	1995-05-31	VYDAJ	VYBER	30	67516	SLUZBY	\N	\N
323944	1106	1995-06-30	VYDAJ	VYBER	30	50472	SLUZBY	\N	\N
323945	1106	1995-07-31	VYDAJ	VYBER	30	72817	SLUZBY	\N	\N
323946	1106	1995-08-31	VYDAJ	VYBER	30	51159	SLUZBY	\N	\N
323947	1106	1995-09-30	VYDAJ	VYBER	30	92988	SLUZBY	\N	\N
323948	1106	1995-10-31	VYDAJ	VYBER	30	36210	SLUZBY	\N	\N
323949	1106	1995-11-30	VYDAJ	VYBER	30	26388	SLUZBY	\N	\N
323950	1106	1995-12-31	VYDAJ	VYBER	30	35899	SLUZBY	\N	\N
323951	1106	1996-01-31	VYDAJ	VYBER	30	29705	SLUZBY	\N	\N
323952	1106	1996-02-29	VYDAJ	VYBER	30	28873	SLUZBY	\N	\N
323953	1106	1996-03-31	VYDAJ	VYBER	30	97938	SLUZBY	\N	\N
323954	1106	1996-04-30	VYDAJ	VYBER	30	51353	SLUZBY	\N	\N
323955	1106	1996-05-31	VYDAJ	VYBER	30	34002	SLUZBY	\N	\N
323956	1106	1996-06-30	VYDAJ	VYBER	30	31493	SLUZBY	\N	\N
323957	1106	1996-07-31	VYDAJ	VYBER	30	28691	SLUZBY	\N	\N
323958	1106	1996-08-31	VYDAJ	VYBER	30	29685	SLUZBY	\N	\N
323959	1106	1996-09-30	VYDAJ	VYBER	30	44633	SLUZBY	\N	\N
323960	1106	1996-10-31	VYDAJ	VYBER	30	90638	SLUZBY	\N	\N
323961	1106	1996-11-30	VYDAJ	VYBER	30	97824	SLUZBY	\N	\N
323962	1106	1996-12-31	VYDAJ	VYBER	30	92606	SLUZBY	\N	\N
323963	1106	1997-01-31	VYDAJ	VYBER	30	31772	SLUZBY	\N	\N
323964	1106	1997-02-28	VYDAJ	VYBER	30	35842	SLUZBY	\N	\N
323965	1106	1997-03-31	VYDAJ	VYBER	30	48059	SLUZBY	\N	\N
323966	1106	1997-04-30	VYDAJ	VYBER	30	74488	SLUZBY	\N	\N
323967	1106	1997-05-31	VYDAJ	VYBER	30	27256	SLUZBY	\N	\N
323968	1106	1997-06-30	VYDAJ	VYBER	30	21026	SLUZBY	\N	\N
323969	1106	1997-07-31	VYDAJ	VYBER	30	33635	SLUZBY	\N	\N
323970	1106	1997-08-31	VYDAJ	VYBER	30	97875	SLUZBY	\N	\N
323971	1106	1997-09-30	VYDAJ	VYBER	30	64532	SLUZBY	\N	\N
323972	1106	1997-10-31	VYDAJ	VYBER	30	59779	SLUZBY	\N	\N
323973	1106	1997-11-30	VYDAJ	VYBER	30	44599	SLUZBY	\N	\N
323974	1106	1997-12-31	VYDAJ	VYBER	30	-6150	SLUZBY	\N	\N
323975	1106	1998-01-31	VYDAJ	VYBER	30	-5706	SLUZBY	\N	\N
323976	1106	1998-02-28	VYDAJ	VYBER	30	1809	SLUZBY	\N	\N
323977	1106	1998-03-31	VYDAJ	VYBER	30	9189	SLUZBY	\N	\N
323978	1106	1998-04-30	VYDAJ	VYBER	30	11098	SLUZBY	\N	\N
323979	1106	1998-05-31	VYDAJ	VYBER	30	10210	SLUZBY	\N	\N
323980	1106	1998-06-30	VYDAJ	VYBER	30	-9669	SLUZBY	\N	\N
323981	1106	1998-07-31	VYDAJ	VYBER	30	3194	SLUZBY	\N	\N
323982	1106	1998-08-31	VYDAJ	VYBER	30	-10979	SLUZBY	\N	\N
323983	1106	1998-09-30	VYDAJ	VYBER	30	-5839	SLUZBY	\N	\N
323984	1106	1998-10-31	VYDAJ	VYBER	30	35956	SLUZBY	\N	\N
323985	1106	1998-11-30	VYDAJ	VYBER	30	-1681	SLUZBY	\N	\N
323986	1106	1993-09-28	PRIJEM	VKLAD	4300	24428	\N	\N	\N
323987	1106	1993-10-28	VYDAJ	VYBER	400	24038	\N	\N	\N
323988	1106	1993-11-27	VYDAJ	VYBER	6500	32190	\N	\N	\N
323989	1106	1993-12-27	VYDAJ	VYBER	3700	28596	\N	\N	\N
323990	1106	1994-01-26	VYDAJ	VYBER	1800	26930	\N	\N	\N
323991	1106	1994-02-25	VYDAJ	VYBER	9800	39217	\N	\N	\N
323992	1106	1994-03-27	VYDAJ	VYBER	6900	32456	\N	\N	\N
323993	1106	1994-04-26	VYDAJ	VYBER	13900	35663	\N	\N	\N
323994	1106	1994-05-26	VYDAJ	VYBER	7200	28624	\N	\N	\N
323995	1106	1994-06-25	PRIJEM	VKLAD	9200	15977	\N	\N	\N
323996	1106	1994-07-25	PRIJEM	VKLAD	12400	14710	\N	\N	\N
323997	1106	1994-08-24	PRIJEM	VKLAD	12000	15919	\N	\N	\N
323998	1106	1994-09-23	VYDAJ	VYBER	2400	28288	\N	\N	\N
323999	1106	1994-10-23	PRIJEM	VKLAD	3000	22145	\N	\N	\N
324000	1106	1994-11-22	PRIJEM	VKLAD	12200	15377	\N	\N	\N
324001	1106	1994-12-22	PRIJEM	VKLAD	7800	15109	\N	\N	\N
324002	1106	1995-01-21	PRIJEM	VKLAD	9600	12820	\N	\N	\N
324003	1106	1995-02-20	PRIJEM	VKLAD	13500	10716	\N	\N	\N
324004	1106	1995-03-22	PRIJEM	VKLAD	7400	10560	\N	\N	\N
324005	1106	1995-04-21	VYDAJ	VYBER	8400	32691	\N	\N	\N
324006	1106	1995-06-20	VYDAJ	VYBER	16500	45345	\N	\N	\N
324007	1106	1995-07-20	VYDAJ	VYBER	5300	37150	\N	\N	\N
324008	1106	1995-08-12	VYDAJ	VYBER	56100	80242	\N	\N	\N
324009	1106	1995-08-19	VYDAJ	VYBER	14500	43217	\N	\N	\N
324010	1106	1995-09-18	VYDAJ	VYBER	18600	46259	\N	\N	\N
324011	1106	1995-09-23	VYDAJ	VYBER	15200	109620	\N	\N	\N
324012	1106	1995-09-30	VYDAJ	VYBER	16900	93018	\N	\N	\N
324013	1106	1995-10-18	VYDAJ	VYBER	15100	50379	\N	\N	\N
324014	1106	1995-11-17	VYDAJ	VYBER	1900	26287	\N	\N	\N
324015	1106	1995-12-17	PRIJEM	VKLAD	6300	24665	\N	\N	\N
324016	1106	1996-01-16	PRIJEM	VKLAD	8800	17176	\N	\N	\N
324017	1106	1996-02-15	PRIJEM	VKLAD	2600	24283	\N	\N	\N
324018	1106	1996-03-16	VYDAJ	VYBER	32600	52740	\N	\N	\N
324019	1106	1996-04-15	VYDAJ	VYBER	35200	54716	\N	\N	\N
324020	1106	1996-05-15	VYDAJ	VYBER	16900	40897	\N	\N	\N
324021	1106	1996-06-12	VYDAJ	VYBER	52700	57188	\N	\N	\N
324022	1106	1996-06-14	VYDAJ	VYBER	11500	37665	\N	\N	\N
324023	1106	1996-07-14	VYDAJ	VYBER	12000	41173	\N	\N	\N
324024	1106	1996-08-13	PRIJEM	VKLAD	1800	22468	\N	\N	\N
324025	1106	1996-09-12	VYDAJ	VYBER	13000	52504	\N	\N	\N
324026	1106	1996-10-12	VYDAJ	VYBER	25600	66121	\N	\N	\N
324027	1106	1996-10-23	VYDAJ	VYBER	24200	129489	\N	\N	\N
324028	1106	1996-10-31	VYDAJ	VYBER	39200	90668	\N	\N	\N
324029	1106	1996-11-11	VYDAJ	VYBER	34400	62972	\N	\N	\N
324030	1106	1996-12-11	VYDAJ	VYBER	34100	63724	\N	\N	\N
324031	1106	1997-01-10	VYDAJ	VYBER	11300	45602	\N	\N	\N
324032	1106	1997-02-09	PRIJEM	VKLAD	1600	27672	\N	\N	\N
324033	1106	1997-03-11	VYDAJ	VYBER	5600	30242	\N	\N	\N
324034	1106	1997-04-10	VYDAJ	VYBER	12000	30059	\N	\N	\N
324035	1106	1997-05-10	VYDAJ	VYBER	25300	42988	\N	\N	\N
324036	1106	1997-06-09	PRIJEM	VKLAD	1000	28256	\N	\N	\N
324037	1106	1997-07-09	PRIJEM	VKLAD	6600	27626	\N	\N	\N
324038	1106	1997-08-08	VYDAJ	VYBER	2000	37513	\N	\N	\N
324039	1106	1997-09-07	VYDAJ	VYBER	28200	60375	\N	\N	\N
324040	1106	1997-10-07	VYDAJ	VYBER	17700	46832	\N	\N	\N
324041	1106	1997-10-09	VYDAJ	VYBER	21300	89868	\N	\N	\N
324042	1106	1997-11-06	VYDAJ	VYBER	32400	59973	\N	\N	\N
324043	1106	1997-12-06	VYDAJ	VYBER	5200	23289	\N	\N	\N
324044	1106	1998-01-05	PRIJEM	VKLAD	16100	9924	\N	\N	\N
324045	1106	1998-02-04	PRIJEM	VKLAD	17400	11635	\N	\N	\N
324046	1106	1998-03-06	PRIJEM	VKLAD	14500	16291	\N	\N	\N
324047	1106	1998-04-05	PRIJEM	VKLAD	13600	22789	\N	\N	\N
324048	1106	1998-05-05	PRIJEM	VKLAD	6700	17798	\N	\N	\N
324049	1106	1998-06-04	PRIJEM	VKLAD	11200	21410	\N	\N	\N
324050	1106	1998-07-04	PRIJEM	VKLAD	24400	14731	\N	\N	\N
324051	1106	1998-08-03	PRIJEM	VKLAD	12000	6371	\N	\N	\N
324052	1106	1998-09-02	PRIJEM	VKLAD	19500	8521	\N	\N	\N
324053	1106	1998-10-02	PRIJEM	VKLAD	14900	9061	\N	\N	\N
324054	1106	1998-11-01	VYDAJ	VYBER	7700	28256	\N	\N	\N
324055	1106	1998-12-01	PRIJEM	VKLAD	15400	13712	\N	\N	\N
324130	1107	1993-09-08	PRIJEM	VKLAD	800	800	\N	\N	\N
324139	1107	1993-09-11	PRIJEM	PREVOD Z UCTU	6390	7190	DUCHOD	OP	72903412
324140	1107	1993-10-11	PRIJEM	PREVOD Z UCTU	6390	13600	DUCHOD	OP	72903412
324141	1107	1993-11-11	PRIJEM	PREVOD Z UCTU	6390	20020	DUCHOD	OP	72903412
324142	1107	1993-12-11	PRIJEM	PREVOD Z UCTU	6390	26440	DUCHOD	OP	72903412
324143	1107	1994-01-11	PRIJEM	PREVOD Z UCTU	6390	32860	DUCHOD	OP	72903412
324144	1107	1994-02-11	PRIJEM	PREVOD Z UCTU	6390	29911	DUCHOD	OP	72903412
324145	1107	1994-03-11	PRIJEM	PREVOD Z UCTU	6390	31854	DUCHOD	OP	72903412
324146	1107	1994-04-11	PRIJEM	PREVOD Z UCTU	6390	33407	DUCHOD	OP	72903412
324147	1107	1994-05-11	PRIJEM	PREVOD Z UCTU	6390	32158	DUCHOD	OP	72903412
324148	1107	1994-06-11	PRIJEM	PREVOD Z UCTU	6390	36112	DUCHOD	OP	72903412
324149	1107	1994-07-11	PRIJEM	PREVOD Z UCTU	6390	34719	DUCHOD	OP	72903412
324150	1107	1994-08-11	PRIJEM	PREVOD Z UCTU	6390	34081	DUCHOD	OP	72903412
324151	1107	1994-09-11	PRIJEM	PREVOD Z UCTU	6390	35846	DUCHOD	OP	72903412
324152	1107	1994-10-11	PRIJEM	PREVOD Z UCTU	6390	35016	DUCHOD	OP	72903412
324153	1107	1994-11-11	PRIJEM	PREVOD Z UCTU	6390	32764	DUCHOD	OP	72903412
324154	1107	1994-12-11	PRIJEM	PREVOD Z UCTU	6390	35925	DUCHOD	OP	72903412
324155	1107	1995-01-11	PRIJEM	PREVOD Z UCTU	6390	33809	DUCHOD	OP	72903412
324156	1107	1995-02-11	PRIJEM	PREVOD Z UCTU	6390	26276	DUCHOD	OP	72903412
324157	1107	1995-03-11	PRIJEM	PREVOD Z UCTU	6390	30999	DUCHOD	OP	72903412
324158	1107	1995-04-11	PRIJEM	PREVOD Z UCTU	6390	35742	DUCHOD	OP	72903412
324159	1107	1995-05-11	PRIJEM	PREVOD Z UCTU	6390	35145	DUCHOD	OP	72903412
324160	1107	1995-06-11	PRIJEM	PREVOD Z UCTU	6390	27308	DUCHOD	OP	72903412
324161	1107	1995-07-11	PRIJEM	PREVOD Z UCTU	6390	30149	DUCHOD	OP	72903412
324162	1107	1995-08-11	PRIJEM	PREVOD Z UCTU	6390	34089	DUCHOD	OP	72903412
324163	1107	1995-09-11	PRIJEM	PREVOD Z UCTU	6390	33746	DUCHOD	OP	72903412
324164	1107	1995-10-11	PRIJEM	PREVOD Z UCTU	6390	35700	DUCHOD	OP	72903412
324165	1107	1995-11-11	PRIJEM	PREVOD Z UCTU	6390	36160	DUCHOD	OP	72903412
324166	1107	1995-12-11	PRIJEM	PREVOD Z UCTU	6390	35222	DUCHOD	OP	72903412
324167	1107	1996-01-11	PRIJEM	PREVOD Z UCTU	6390	24072	DUCHOD	OP	72903412
324168	1107	1996-02-11	PRIJEM	PREVOD Z UCTU	6390	20861	DUCHOD	OP	72903412
324169	1107	1996-03-11	PRIJEM	PREVOD Z UCTU	6390	25561	DUCHOD	OP	72903412
324170	1107	1996-04-11	PRIJEM	PREVOD Z UCTU	6390	28042	DUCHOD	OP	72903412
324171	1107	1996-05-11	PRIJEM	PREVOD Z UCTU	6390	30175	DUCHOD	OP	72903412
324172	1107	1996-06-11	PRIJEM	PREVOD Z UCTU	6390	32312	DUCHOD	OP	72903412
324173	1107	1996-07-11	PRIJEM	PREVOD Z UCTU	6390	30796	DUCHOD	OP	72903412
324174	1107	1996-08-11	PRIJEM	PREVOD Z UCTU	6390	32479	DUCHOD	OP	72903412
324175	1107	1996-09-11	PRIJEM	PREVOD Z UCTU	6390	37127	DUCHOD	OP	72903412
324176	1107	1996-10-11	PRIJEM	PREVOD Z UCTU	6390	37690	DUCHOD	OP	72903412
324177	1107	1996-11-11	PRIJEM	PREVOD Z UCTU	6390	35351	DUCHOD	OP	72903412
324178	1107	1996-12-11	PRIJEM	PREVOD Z UCTU	6390	35206	DUCHOD	OP	72903412
324179	1107	1997-01-11	PRIJEM	PREVOD Z UCTU	6390	34084	DUCHOD	OP	72903412
324180	1107	1997-02-11	PRIJEM	PREVOD Z UCTU	6390	26398	DUCHOD	OP	72903412
324181	1107	1997-03-11	PRIJEM	PREVOD Z UCTU	6390	26156	DUCHOD	OP	72903412
324182	1107	1997-04-11	PRIJEM	PREVOD Z UCTU	6390	28034	DUCHOD	OP	72903412
324183	1107	1997-05-11	PRIJEM	PREVOD Z UCTU	6390	31662	DUCHOD	OP	72903412
324184	1107	1997-06-11	PRIJEM	PREVOD Z UCTU	6390	33702	DUCHOD	OP	72903412
324185	1107	1997-07-11	PRIJEM	PREVOD Z UCTU	6390	30491	DUCHOD	OP	72903412
324186	1107	1997-08-11	PRIJEM	PREVOD Z UCTU	6390	33389	DUCHOD	OP	72903412
324187	1107	1997-09-11	PRIJEM	PREVOD Z UCTU	6390	35636	DUCHOD	OP	72903412
324188	1107	1997-10-11	PRIJEM	PREVOD Z UCTU	6390	36790	DUCHOD	OP	72903412
324189	1107	1997-11-11	PRIJEM	PREVOD Z UCTU	6390	34241	DUCHOD	OP	72903412
324190	1107	1997-12-11	PRIJEM	PREVOD Z UCTU	6390	31547	DUCHOD	OP	72903412
324191	1107	1998-01-11	PRIJEM	PREVOD Z UCTU	6390	28384	DUCHOD	OP	72903412
324192	1107	1998-02-11	PRIJEM	PREVOD Z UCTU	6390	23999	DUCHOD	OP	72903412
324193	1107	1998-03-11	PRIJEM	PREVOD Z UCTU	6390	23964	DUCHOD	OP	72903412
324194	1107	1998-04-11	PRIJEM	PREVOD Z UCTU	6390	28676	DUCHOD	OP	72903412
324195	1107	1998-05-11	PRIJEM	PREVOD Z UCTU	6390	33407	DUCHOD	OP	72903412
324196	1107	1998-06-11	PRIJEM	PREVOD Z UCTU	6390	38158	DUCHOD	OP	72903412
324197	1107	1998-07-11	PRIJEM	PREVOD Z UCTU	6390	31091	DUCHOD	OP	72903412
324198	1107	1998-08-11	PRIJEM	PREVOD Z UCTU	6390	35834	DUCHOD	OP	72903412
324199	1107	1998-09-11	PRIJEM	PREVOD Z UCTU	6390	37129	DUCHOD	OP	72903412
324200	1107	1998-10-11	PRIJEM	PREVOD Z UCTU	6390	40091	DUCHOD	OP	72903412
324201	1107	1998-11-11	PRIJEM	PREVOD Z UCTU	6390	38098	DUCHOD	OP	72903412
324202	1107	1998-12-11	PRIJEM	PREVOD Z UCTU	6390	36555	DUCHOD	OP	72903412
324215	1107	1994-01-13	VYDAJ	PREVOD NA UCET	1746	31114	SIPO	ST	55333268
324216	1107	1994-02-13	VYDAJ	PREVOD NA UCET	1746	28165	SIPO	ST	55333268
324217	1107	1994-03-13	VYDAJ	PREVOD NA UCET	1746	30108	SIPO	ST	55333268
324218	1107	1994-04-13	VYDAJ	PREVOD NA UCET	1746	28461	SIPO	ST	55333268
324219	1107	1994-05-13	VYDAJ	PREVOD NA UCET	1746	30412	SIPO	ST	55333268
324220	1107	1994-06-13	VYDAJ	PREVOD NA UCET	1746	34366	SIPO	ST	55333268
324221	1107	1994-07-13	VYDAJ	PREVOD NA UCET	1746	32973	SIPO	ST	55333268
324222	1107	1994-08-13	VYDAJ	PREVOD NA UCET	1746	32335	SIPO	ST	55333268
324223	1107	1994-09-13	VYDAJ	PREVOD NA UCET	1746	34100	SIPO	ST	55333268
324224	1107	1994-10-13	VYDAJ	PREVOD NA UCET	1746	32550	SIPO	ST	55333268
324225	1107	1994-11-13	VYDAJ	PREVOD NA UCET	1746	31018	SIPO	ST	55333268
324226	1107	1994-12-13	VYDAJ	PREVOD NA UCET	1746	32879	SIPO	ST	55333268
324227	1107	1995-01-13	VYDAJ	PREVOD NA UCET	1746	31023	SIPO	ST	55333268
324228	1107	1995-02-13	VYDAJ	PREVOD NA UCET	1746	24530	SIPO	ST	55333268
324229	1107	1995-03-13	VYDAJ	PREVOD NA UCET	1746	29253	SIPO	ST	55333268
324230	1107	1995-04-13	VYDAJ	PREVOD NA UCET	1746	33996	SIPO	ST	55333268
324231	1107	1995-05-13	VYDAJ	PREVOD NA UCET	1746	33399	SIPO	ST	55333268
324232	1107	1995-06-13	VYDAJ	PREVOD NA UCET	1746	25562	SIPO	ST	55333268
324233	1107	1995-07-13	VYDAJ	PREVOD NA UCET	1746	28403	SIPO	ST	55333268
324234	1107	1995-08-13	VYDAJ	PREVOD NA UCET	1746	32343	SIPO	ST	55333268
324235	1107	1995-09-13	VYDAJ	PREVOD NA UCET	1746	32000	SIPO	ST	55333268
324236	1107	1995-10-13	VYDAJ	PREVOD NA UCET	1746	33954	SIPO	ST	55333268
324237	1107	1995-11-13	VYDAJ	PREVOD NA UCET	1746	34414	SIPO	ST	55333268
324238	1107	1995-12-13	VYDAJ	PREVOD NA UCET	1746	32426	SIPO	ST	55333268
324239	1107	1996-01-13	VYDAJ	PREVOD NA UCET	1746	18886	SIPO	ST	55333268
324240	1107	1996-02-13	VYDAJ	PREVOD NA UCET	1746	19115	SIPO	ST	55333268
324241	1107	1996-03-13	VYDAJ	PREVOD NA UCET	1746	23815	SIPO	ST	55333268
324242	1107	1996-04-13	VYDAJ	PREVOD NA UCET	1746	26296	SIPO	ST	55333268
324243	1107	1996-05-13	VYDAJ	PREVOD NA UCET	1746	28429	SIPO	ST	55333268
324244	1107	1996-06-13	VYDAJ	PREVOD NA UCET	1746	30566	SIPO	ST	55333268
324245	1107	1996-07-13	VYDAJ	PREVOD NA UCET	1746	29050	SIPO	ST	55333268
324246	1107	1996-08-13	VYDAJ	PREVOD NA UCET	1746	30733	SIPO	ST	55333268
324247	1107	1996-09-13	VYDAJ	PREVOD NA UCET	1746	35381	SIPO	ST	55333268
324248	1107	1996-10-13	VYDAJ	PREVOD NA UCET	1746	35944	SIPO	ST	55333268
324249	1107	1996-11-13	VYDAJ	PREVOD NA UCET	1746	33605	SIPO	ST	55333268
324250	1107	1996-12-13	VYDAJ	PREVOD NA UCET	1746	33460	SIPO	ST	55333268
324251	1107	1997-01-13	VYDAJ	PREVOD NA UCET	1746	32338	SIPO	ST	55333268
324252	1107	1997-02-13	VYDAJ	PREVOD NA UCET	1746	24652	SIPO	ST	55333268
324253	1107	1997-03-13	VYDAJ	PREVOD NA UCET	1746	24410	SIPO	ST	55333268
324254	1107	1997-04-13	VYDAJ	PREVOD NA UCET	1746	26288	SIPO	ST	55333268
324255	1107	1997-05-13	VYDAJ	PREVOD NA UCET	1746	29916	SIPO	ST	55333268
324256	1107	1997-06-13	VYDAJ	PREVOD NA UCET	1746	31956	SIPO	ST	55333268
324257	1107	1997-07-13	VYDAJ	PREVOD NA UCET	1746	28745	SIPO	ST	55333268
324258	1107	1997-08-13	VYDAJ	PREVOD NA UCET	1746	31643	SIPO	ST	55333268
324259	1107	1997-09-13	VYDAJ	PREVOD NA UCET	1746	33890	SIPO	ST	55333268
324260	1107	1997-10-13	VYDAJ	PREVOD NA UCET	1746	35044	SIPO	ST	55333268
324261	1107	1997-11-13	VYDAJ	PREVOD NA UCET	1746	32495	SIPO	ST	55333268
324262	1107	1997-12-13	VYDAJ	PREVOD NA UCET	1746	29801	SIPO	ST	55333268
324263	1107	1998-01-13	VYDAJ	PREVOD NA UCET	1746	25758	SIPO	ST	55333268
324264	1107	1998-02-13	VYDAJ	PREVOD NA UCET	1746	22253	SIPO	ST	55333268
324265	1107	1998-03-13	VYDAJ	PREVOD NA UCET	1746	22218	SIPO	ST	55333268
324266	1107	1998-04-13	VYDAJ	PREVOD NA UCET	1746	26930	SIPO	ST	55333268
324267	1107	1998-05-13	VYDAJ	PREVOD NA UCET	1746	31661	SIPO	ST	55333268
324268	1107	1998-06-13	VYDAJ	PREVOD NA UCET	1746	36412	SIPO	ST	55333268
324269	1107	1998-07-13	VYDAJ	PREVOD NA UCET	1746	29345	SIPO	ST	55333268
324270	1107	1998-08-13	VYDAJ	PREVOD NA UCET	1746	34088	SIPO	ST	55333268
324271	1107	1998-09-13	VYDAJ	PREVOD NA UCET	1746	33583	SIPO	ST	55333268
324272	1107	1998-10-13	VYDAJ	PREVOD NA UCET	1746	34545	SIPO	ST	55333268
324273	1107	1998-11-13	VYDAJ	PREVOD NA UCET	1746	30052	SIPO	ST	55333268
324274	1107	1998-12-13	VYDAJ	PREVOD NA UCET	1746	34509	SIPO	ST	55333268
324276	1107	1994-06-16	VYDAJ	VYBER	5350	29016	\N	\N	\N
324277	1107	1995-06-09	VYDAJ	VYBER	8700	20918	\N	\N	\N
324279	1107	1997-06-18	VYDAJ	VYBER	6550	25406	\N	\N	\N
324280	1107	1998-06-13	VYDAJ	VYBER	11250	25162	\N	\N	\N
324283	1107	1995-01-30	VYDAJ	VYBER	2600	19783	\N	\N	\N
324284	1107	1996-01-07	VYDAJ	VYBER	4550	19442	\N	\N	\N
324285	1107	1997-01-19	VYDAJ	VYBER	3950	27108	\N	\N	\N
324288	1107	1994-12-12	VYDAJ	VYBER	1300	34625	\N	\N	\N
324289	1107	1995-12-11	VYDAJ	VYBER	1050	34172	\N	\N	\N
324290	1107	1996-12-05	VYDAJ	VYBER	600	28816	\N	\N	\N
324291	1107	1997-12-04	VYDAJ	VYBER	800	25157	\N	\N	\N
324292	1107	1998-12-27	VYDAJ	VYBER	1150	33359	\N	\N	\N
324300	1107	1994-01-19	VYDAJ	VYBER	2080	26714	\N	\N	\N
324301	1107	1994-01-16	VYDAJ	VYBER	2320	28794	\N	\N	\N
324302	1107	1994-01-19	VYDAJ	VYBER	1760	24954	\N	\N	\N
324305	1107	1995-01-26	VYDAJ	VYBER	1920	22383	\N	\N	\N
324306	1107	1995-01-24	VYDAJ	VYBER	1840	24303	\N	\N	\N
324307	1107	1995-01-14	VYDAJ	VYBER	2080	28943	\N	\N	\N
324308	1107	1995-01-18	VYDAJ	VYBER	2240	26143	\N	\N	\N
324309	1107	1995-01-12	VYDAJ	VYBER	1040	32769	\N	\N	\N
324310	1107	1995-01-16	VYDAJ	VYBER	560	28383	\N	\N	\N
324311	1107	1996-01-11	VYDAJ	VYBER	1680	22392	\N	\N	\N
324312	1107	1996-01-09	VYDAJ	VYBER	1760	17682	\N	\N	\N
324313	1107	1996-01-12	VYDAJ	VYBER	1760	20632	\N	\N	\N
324314	1107	1996-01-25	VYDAJ	VYBER	880	16006	\N	\N	\N
324315	1107	1996-01-13	VYDAJ	VYBER	2000	16886	\N	\N	\N
324316	1107	1996-01-26	VYDAJ	VYBER	1600	14406	\N	\N	\N
324317	1107	1997-01-29	VYDAJ	VYBER	1760	20468	\N	\N	\N
324318	1107	1997-01-29	VYDAJ	VYBER	1680	22228	\N	\N	\N
324319	1107	1997-01-06	VYDAJ	VYBER	2160	28814	\N	\N	\N
324320	1107	1997-01-13	VYDAJ	VYBER	1280	31058	\N	\N	\N
324321	1107	1997-01-08	VYDAJ	VYBER	1120	27694	\N	\N	\N
324322	1107	1997-01-30	VYDAJ	VYBER	560	19908	\N	\N	\N
324323	1107	1998-01-21	VYDAJ	VYBER	720	17538	\N	\N	\N
324324	1107	1998-01-07	VYDAJ	VYBER	1600	23594	\N	\N	\N
324325	1107	1998-01-09	VYDAJ	VYBER	1600	21994	\N	\N	\N
324326	1107	1998-01-13	VYDAJ	VYBER	880	27504	\N	\N	\N
324334	1107	1994-10-11	VYDAJ	VYBER	720	34296	\N	\N	\N
324335	1107	1994-12-24	VYDAJ	VYBER	480	32399	\N	\N	\N
324337	1107	1994-04-12	VYDAJ	VYBER	3200	30207	\N	\N	\N
324338	1107	1995-05-02	VYDAJ	VYBER	1040	28755	\N	\N	\N
324339	1107	1995-04-13	VYDAJ	VYBER	1120	32876	\N	\N	\N
324340	1107	1995-08-08	VYDAJ	VYBER	800	27699	\N	\N	\N
324341	1107	1995-12-22	VYDAJ	VYBER	720	28666	\N	\N	\N
324342	1107	1995-12-17	VYDAJ	VYBER	3040	29386	\N	\N	\N
324343	1107	1995-12-29	VYDAJ	VYBER	1280	23886	\N	\N	\N
324344	1107	1996-04-01	VYDAJ	VYBER	2240	21652	\N	\N	\N
324345	1107	1996-07-03	VYDAJ	VYBER	1760	24406	\N	\N	\N
324346	1107	1996-07-25	VYDAJ	VYBER	1760	25990	\N	\N	\N
324347	1107	1997-02-23	VYDAJ	VYBER	3760	19692	\N	\N	\N
324348	1107	1997-01-21	VYDAJ	VYBER	3200	23908	\N	\N	\N
324349	1107	1997-03-23	VYDAJ	VYBER	1840	21570	\N	\N	\N
324350	1107	1997-11-28	VYDAJ	VYBER	3040	25855	\N	\N	\N
324351	1107	1997-07-29	VYDAJ	VYBER	640	26905	\N	\N	\N
324352	1107	1998-02-20	VYDAJ	VYBER	3840	17513	\N	\N	\N
324353	1107	1998-07-01	VYDAJ	VYBER	560	24701	\N	\N	\N
324355	1107	1998-11-04	VYDAJ	VYBER	1840	31708	\N	\N	\N
324356	1107	1998-08-25	VYDAJ	VYBER	1360	30628	\N	\N	\N
324357	1107	1998-10-21	VYDAJ	VYBER	1120	33425	\N	\N	\N
324371	1107	1994-01-31	VYDAJ	VYBER	15	25021	SLUZBY	\N	\N
324372	1107	1994-02-28	VYDAJ	VYBER	15	28264	SLUZBY	\N	\N
324373	1107	1994-03-31	VYDAJ	VYBER	15	30217	SLUZBY	\N	\N
324374	1107	1994-04-30	VYDAJ	VYBER	15	28568	SLUZBY	\N	\N
324375	1107	1994-05-31	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
324376	1107	1994-06-30	VYDAJ	VYBER	15	29129	SLUZBY	\N	\N
324377	1107	1994-07-31	VYDAJ	VYBER	15	33091	SLUZBY	\N	\N
324378	1107	1994-08-31	VYDAJ	VYBER	15	32456	SLUZBY	\N	\N
324379	1107	1994-09-30	VYDAJ	VYBER	15	34226	SLUZBY	\N	\N
324380	1107	1994-10-31	VYDAJ	VYBER	15	32674	SLUZBY	\N	\N
324381	1107	1994-11-30	VYDAJ	VYBER	15	31135	SLUZBY	\N	\N
324382	1107	1994-12-31	VYDAJ	VYBER	15	32519	SLUZBY	\N	\N
324383	1107	1995-01-31	VYDAJ	VYBER	15	19886	SLUZBY	\N	\N
324384	1107	1995-02-28	VYDAJ	VYBER	15	24609	SLUZBY	\N	\N
324385	1107	1995-03-31	VYDAJ	VYBER	15	29352	SLUZBY	\N	\N
324386	1107	1995-04-30	VYDAJ	VYBER	15	32995	SLUZBY	\N	\N
324387	1107	1995-05-31	VYDAJ	VYBER	15	29618	SLUZBY	\N	\N
324388	1107	1995-06-30	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
324389	1107	1995-07-31	VYDAJ	VYBER	15	28499	SLUZBY	\N	\N
324390	1107	1995-08-31	VYDAJ	VYBER	15	27356	SLUZBY	\N	\N
324391	1107	1995-09-30	VYDAJ	VYBER	15	29310	SLUZBY	\N	\N
324392	1107	1995-10-31	VYDAJ	VYBER	15	29770	SLUZBY	\N	\N
324393	1107	1995-11-30	VYDAJ	VYBER	15	28832	SLUZBY	\N	\N
324394	1107	1995-12-31	VYDAJ	VYBER	15	23992	SLUZBY	\N	\N
324395	1107	1996-01-31	VYDAJ	VYBER	15	14471	SLUZBY	\N	\N
324396	1107	1996-02-29	VYDAJ	VYBER	15	19171	SLUZBY	\N	\N
324397	1107	1996-03-31	VYDAJ	VYBER	15	23892	SLUZBY	\N	\N
324398	1107	1996-04-30	VYDAJ	VYBER	15	23785	SLUZBY	\N	\N
324399	1107	1996-05-31	VYDAJ	VYBER	15	25922	SLUZBY	\N	\N
324400	1107	1996-06-30	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
324401	1107	1996-07-31	VYDAJ	VYBER	15	26089	SLUZBY	\N	\N
324402	1107	1996-08-31	VYDAJ	VYBER	15	30737	SLUZBY	\N	\N
324403	1107	1996-09-30	VYDAJ	VYBER	15	31300	SLUZBY	\N	\N
324404	1107	1996-10-31	VYDAJ	VYBER	15	28961	SLUZBY	\N	\N
324405	1107	1996-11-30	VYDAJ	VYBER	15	29416	SLUZBY	\N	\N
324406	1107	1996-12-31	VYDAJ	VYBER	15	30974	SLUZBY	\N	\N
324407	1107	1997-01-31	VYDAJ	VYBER	15	20008	SLUZBY	\N	\N
324408	1107	1997-02-28	VYDAJ	VYBER	15	19766	SLUZBY	\N	\N
324409	1107	1997-03-31	VYDAJ	VYBER	15	21644	SLUZBY	\N	\N
324410	1107	1997-04-30	VYDAJ	VYBER	15	25272	SLUZBY	\N	\N
324411	1107	1997-05-31	VYDAJ	VYBER	15	27312	SLUZBY	\N	\N
324412	1107	1997-06-30	VYDAJ	VYBER	15	24101	SLUZBY	\N	\N
324413	1107	1997-07-31	VYDAJ	VYBER	15	26999	SLUZBY	\N	\N
324414	1107	1997-08-31	VYDAJ	VYBER	15	29246	SLUZBY	\N	\N
324415	1107	1997-09-30	VYDAJ	VYBER	15	30400	SLUZBY	\N	\N
324416	1107	1997-10-31	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
324417	1107	1997-11-30	VYDAJ	VYBER	15	25957	SLUZBY	\N	\N
324418	1107	1997-12-31	VYDAJ	VYBER	15	25194	SLUZBY	\N	\N
324419	1107	1998-01-31	VYDAJ	VYBER	15	17609	SLUZBY	\N	\N
324420	1107	1998-02-28	VYDAJ	VYBER	15	17574	SLUZBY	\N	\N
324421	1107	1998-03-31	VYDAJ	VYBER	15	22286	SLUZBY	\N	\N
324422	1107	1998-04-30	VYDAJ	VYBER	15	27017	SLUZBY	\N	\N
324423	1107	1998-05-31	VYDAJ	VYBER	15	31768	SLUZBY	\N	\N
324424	1107	1998-06-30	VYDAJ	VYBER	15	25261	SLUZBY	\N	\N
324425	1107	1998-07-31	VYDAJ	VYBER	15	29444	SLUZBY	\N	\N
324426	1107	1998-08-31	VYDAJ	VYBER	15	30739	SLUZBY	\N	\N
324427	1107	1998-09-30	VYDAJ	VYBER	15	33701	SLUZBY	\N	\N
324428	1107	1998-10-31	VYDAJ	VYBER	15	33548	SLUZBY	\N	\N
324429	1107	1998-11-30	VYDAJ	VYBER	15	30165	SLUZBY	\N	\N
324430	1107	1994-02-05	VYDAJ	VYBER	1500	23521	\N	\N	\N
324431	1107	1994-03-07	VYDAJ	VYBER	2800	25464	\N	\N	\N
324432	1107	1994-04-06	VYDAJ	VYBER	3200	27017	\N	\N	\N
324433	1107	1994-05-06	VYDAJ	VYBER	2800	25768	\N	\N	\N
324434	1107	1994-06-05	VYDAJ	VYBER	800	29722	\N	\N	\N
324435	1107	1994-07-05	VYDAJ	VYBER	800	28329	\N	\N	\N
324436	1107	1994-08-04	VYDAJ	VYBER	5400	27691	\N	\N	\N
324437	1107	1994-09-03	VYDAJ	VYBER	3000	29456	\N	\N	\N
324438	1107	1994-10-03	VYDAJ	VYBER	5600	28626	\N	\N	\N
324439	1107	1994-11-02	VYDAJ	VYBER	6300	26374	\N	\N	\N
324440	1107	1994-12-02	VYDAJ	VYBER	1600	29535	\N	\N	\N
324441	1107	1995-01-01	VYDAJ	VYBER	5100	27419	\N	\N	\N
324442	1107	1995-05-01	VYDAJ	VYBER	3200	29795	\N	\N	\N
324443	1107	1995-05-31	VYDAJ	VYBER	3900	29633	\N	\N	\N
324444	1107	1995-06-30	VYDAJ	VYBER	1900	23774	\N	\N	\N
324445	1107	1995-08-29	VYDAJ	VYBER	5100	27243	\N	\N	\N
324446	1107	1995-09-28	VYDAJ	VYBER	2800	29200	\N	\N	\N
324447	1107	1995-10-28	VYDAJ	VYBER	4300	29654	\N	\N	\N
324448	1107	1995-11-27	VYDAJ	VYBER	5700	28714	\N	\N	\N
324449	1107	1995-12-27	VYDAJ	VYBER	3500	25166	\N	\N	\N
324450	1107	1996-04-25	VYDAJ	VYBER	2600	23696	\N	\N	\N
324451	1107	1996-05-25	VYDAJ	VYBER	2600	25829	\N	\N	\N
324452	1107	1996-06-24	VYDAJ	VYBER	4500	26066	\N	\N	\N
324453	1107	1996-07-24	VYDAJ	VYBER	1300	27750	\N	\N	\N
324454	1107	1996-08-23	VYDAJ	VYBER	100	30633	\N	\N	\N
324455	1107	1996-09-22	VYDAJ	VYBER	4200	31181	\N	\N	\N
324456	1107	1996-10-22	VYDAJ	VYBER	7100	28844	\N	\N	\N
324457	1107	1996-11-21	VYDAJ	VYBER	4300	29305	\N	\N	\N
324458	1107	1996-12-21	VYDAJ	VYBER	2600	30860	\N	\N	\N
324459	1107	1997-02-19	VYDAJ	VYBER	1200	23452	\N	\N	\N
324460	1107	1997-03-21	VYDAJ	VYBER	1000	23410	\N	\N	\N
324461	1107	1997-04-20	VYDAJ	VYBER	1100	25188	\N	\N	\N
324462	1107	1997-05-20	VYDAJ	VYBER	2700	27216	\N	\N	\N
324463	1107	1997-06-19	VYDAJ	VYBER	1400	24006	\N	\N	\N
324464	1107	1997-07-19	VYDAJ	VYBER	1200	27545	\N	\N	\N
324465	1107	1997-08-18	VYDAJ	VYBER	2500	29143	\N	\N	\N
324466	1107	1997-09-17	VYDAJ	VYBER	3600	30290	\N	\N	\N
324467	1107	1997-10-17	VYDAJ	VYBER	7300	27744	\N	\N	\N
324468	1107	1997-11-16	VYDAJ	VYBER	3600	28895	\N	\N	\N
324469	1107	1997-12-16	VYDAJ	VYBER	4700	25101	\N	\N	\N
324470	1107	1998-01-15	VYDAJ	VYBER	7500	18258	\N	\N	\N
324471	1107	1998-02-14	VYDAJ	VYBER	900	21353	\N	\N	\N
324472	1107	1998-08-13	VYDAJ	VYBER	2100	31988	\N	\N	\N
324473	1107	1998-09-12	VYDAJ	VYBER	1800	35329	\N	\N	\N
324474	1107	1998-10-12	VYDAJ	VYBER	3800	36291	\N	\N	\N
324475	1107	1998-11-11	VYDAJ	VYBER	6300	31798	\N	\N	\N
324476	1107	1998-12-11	VYDAJ	VYBER	300	36255	\N	\N	\N
324541	1108	1995-03-09	PRIJEM	VKLAD	1000	1000	\N	\N	\N
324545	1108	1995-04-07	PRIJEM	PREVOD Z UCTU	4730	5730	DUCHOD	EF	94750362
324546	1108	1995-05-07	PRIJEM	PREVOD Z UCTU	4730	10460	DUCHOD	EF	94750362
324547	1108	1995-06-07	PRIJEM	PREVOD Z UCTU	4730	15190	DUCHOD	EF	94750362
324548	1108	1995-07-07	PRIJEM	PREVOD Z UCTU	4730	19920	DUCHOD	EF	94750362
324549	1108	1995-08-07	PRIJEM	PREVOD Z UCTU	4730	24650	DUCHOD	EF	94750362
324550	1108	1995-09-07	PRIJEM	PREVOD Z UCTU	4730	22193	DUCHOD	EF	94750362
324551	1108	1995-10-07	PRIJEM	PREVOD Z UCTU	4730	24634	DUCHOD	EF	94750362
324552	1108	1995-11-07	PRIJEM	PREVOD Z UCTU	4730	26283	DUCHOD	EF	94750362
324553	1108	1995-12-07	PRIJEM	PREVOD Z UCTU	4730	25890	DUCHOD	EF	94750362
324554	1108	1996-01-07	PRIJEM	PREVOD Z UCTU	4730	28346	DUCHOD	EF	94750362
324555	1108	1996-02-07	PRIJEM	PREVOD Z UCTU	4730	27056	DUCHOD	EF	94750362
324556	1108	1996-03-07	PRIJEM	PREVOD Z UCTU	4730	26868	DUCHOD	EF	94750362
324557	1108	1996-04-07	PRIJEM	PREVOD Z UCTU	4730	29327	DUCHOD	EF	94750362
324558	1108	1996-05-07	PRIJEM	PREVOD Z UCTU	4730	31797	DUCHOD	EF	94750362
324559	1108	1996-06-07	PRIJEM	PREVOD Z UCTU	4730	34276	DUCHOD	EF	94750362
324560	1108	1996-07-07	PRIJEM	PREVOD Z UCTU	4730	27279	DUCHOD	EF	94750362
324561	1108	1996-08-07	PRIJEM	PREVOD Z UCTU	4730	29740	DUCHOD	EF	94750362
324562	1108	1996-09-07	PRIJEM	PREVOD Z UCTU	4730	32211	DUCHOD	EF	94750362
324563	1108	1996-10-07	PRIJEM	PREVOD Z UCTU	4730	31889	DUCHOD	EF	94750362
324564	1108	1996-11-07	PRIJEM	PREVOD Z UCTU	4730	34369	DUCHOD	EF	94750362
324565	1108	1996-12-07	PRIJEM	PREVOD Z UCTU	4730	36859	DUCHOD	EF	94750362
324566	1108	1997-01-07	PRIJEM	PREVOD Z UCTU	4730	38758	DUCHOD	EF	94750362
324567	1108	1997-02-07	PRIJEM	PREVOD Z UCTU	4730	39463	DUCHOD	EF	94750362
324568	1108	1997-03-07	PRIJEM	PREVOD Z UCTU	4730	41975	DUCHOD	EF	94750362
324569	1108	1997-04-07	PRIJEM	PREVOD Z UCTU	4730	44497	DUCHOD	EF	94750362
324570	1108	1997-05-07	PRIJEM	PREVOD Z UCTU	4730	47029	DUCHOD	EF	94750362
324571	1108	1997-06-07	PRIJEM	PREVOD Z UCTU	4730	48471	DUCHOD	EF	94750362
324572	1108	1997-07-07	PRIJEM	PREVOD Z UCTU	4730	39395	DUCHOD	EF	94750362
324573	1108	1997-08-07	PRIJEM	PREVOD Z UCTU	4730	41906	DUCHOD	EF	94750362
324574	1108	1997-09-07	PRIJEM	PREVOD Z UCTU	4730	43627	DUCHOD	EF	94750362
324575	1108	1997-10-07	PRIJEM	PREVOD Z UCTU	4730	45955	DUCHOD	EF	94750362
324576	1108	1997-11-07	PRIJEM	PREVOD Z UCTU	4730	47693	DUCHOD	EF	94750362
324577	1108	1997-12-07	PRIJEM	PREVOD Z UCTU	4730	49337	DUCHOD	EF	94750362
324578	1108	1998-01-07	PRIJEM	PREVOD Z UCTU	4730	50787	DUCHOD	EF	94750362
324579	1108	1998-02-07	PRIJEM	PREVOD Z UCTU	4730	49642	DUCHOD	EF	94750362
324580	1108	1998-03-07	PRIJEM	PREVOD Z UCTU	4730	51694	DUCHOD	EF	94750362
324581	1108	1998-04-07	PRIJEM	PREVOD Z UCTU	4730	53755	DUCHOD	EF	94750362
324582	1108	1998-05-07	PRIJEM	PREVOD Z UCTU	4730	54323	DUCHOD	EF	94750362
324583	1108	1998-06-07	PRIJEM	PREVOD Z UCTU	4730	56896	DUCHOD	EF	94750362
324584	1108	1998-07-07	PRIJEM	PREVOD Z UCTU	4730	52753	DUCHOD	EF	94750362
324585	1108	1998-08-07	PRIJEM	PREVOD Z UCTU	4730	51639	DUCHOD	EF	94750362
324586	1108	1998-09-07	PRIJEM	PREVOD Z UCTU	4730	52677	DUCHOD	EF	94750362
324587	1108	1998-10-07	PRIJEM	PREVOD Z UCTU	4730	53079	DUCHOD	EF	94750362
324588	1108	1998-11-07	PRIJEM	PREVOD Z UCTU	4730	55646	DUCHOD	EF	94750362
324589	1108	1998-12-07	PRIJEM	PREVOD Z UCTU	4730	58224	DUCHOD	EF	94750362
324597	1108	1995-08-14	VYDAJ	PREVOD NA UCET	31	22699	SIPO	ST	17273038
324598	1108	1995-09-14	VYDAJ	PREVOD NA UCET	31	22162	SIPO	ST	17273038
324599	1108	1995-10-14	VYDAJ	PREVOD NA UCET	31	24603	SIPO	ST	17273038
324600	1108	1995-11-14	VYDAJ	PREVOD NA UCET	31	26252	SIPO	ST	17273038
324601	1108	1995-12-14	VYDAJ	PREVOD NA UCET	31	25859	SIPO	ST	17273038
324602	1108	1996-01-14	VYDAJ	PREVOD NA UCET	31	28315	SIPO	ST	17273038
324603	1108	1996-02-14	VYDAJ	PREVOD NA UCET	31	24385	SIPO	ST	17273038
324604	1108	1996-03-14	VYDAJ	PREVOD NA UCET	31	26837	SIPO	ST	17273038
324605	1108	1996-04-14	VYDAJ	PREVOD NA UCET	31	29296	SIPO	ST	17273038
324606	1108	1996-05-14	VYDAJ	PREVOD NA UCET	31	31766	SIPO	ST	17273038
324607	1108	1996-06-14	VYDAJ	PREVOD NA UCET	31	24785	SIPO	ST	17273038
324608	1108	1996-07-14	VYDAJ	PREVOD NA UCET	31	27248	SIPO	ST	17273038
324609	1108	1996-08-14	VYDAJ	PREVOD NA UCET	31	29709	SIPO	ST	17273038
324610	1108	1996-09-14	VYDAJ	PREVOD NA UCET	31	32180	SIPO	ST	17273038
324611	1108	1996-10-14	VYDAJ	PREVOD NA UCET	31	31858	SIPO	ST	17273038
324612	1108	1996-11-14	VYDAJ	PREVOD NA UCET	31	34338	SIPO	ST	17273038
324613	1108	1996-12-14	VYDAJ	PREVOD NA UCET	31	36228	SIPO	ST	17273038
324614	1108	1997-01-14	VYDAJ	PREVOD NA UCET	31	38727	SIPO	ST	17273038
324615	1108	1997-02-14	VYDAJ	PREVOD NA UCET	31	39432	SIPO	ST	17273038
324616	1108	1997-03-14	VYDAJ	PREVOD NA UCET	31	41944	SIPO	ST	17273038
324617	1108	1997-04-14	VYDAJ	PREVOD NA UCET	31	44466	SIPO	ST	17273038
324618	1108	1997-05-14	VYDAJ	PREVOD NA UCET	31	46998	SIPO	ST	17273038
324619	1108	1997-06-14	VYDAJ	PREVOD NA UCET	31	45880	SIPO	ST	17273038
324620	1108	1997-07-14	VYDAJ	PREVOD NA UCET	31	39364	SIPO	ST	17273038
324621	1108	1997-08-14	VYDAJ	PREVOD NA UCET	31	41875	SIPO	ST	17273038
324622	1108	1997-09-14	VYDAJ	PREVOD NA UCET	31	43596	SIPO	ST	17273038
324623	1108	1997-10-14	VYDAJ	PREVOD NA UCET	31	45924	SIPO	ST	17273038
324624	1108	1997-11-14	VYDAJ	PREVOD NA UCET	31	47662	SIPO	ST	17273038
324625	1108	1997-12-14	VYDAJ	PREVOD NA UCET	31	49306	SIPO	ST	17273038
324626	1108	1998-01-14	VYDAJ	PREVOD NA UCET	31	50756	SIPO	ST	17273038
324627	1108	1998-02-14	VYDAJ	PREVOD NA UCET	31	49611	SIPO	ST	17273038
324628	1108	1998-03-14	VYDAJ	PREVOD NA UCET	31	51663	SIPO	ST	17273038
324629	1108	1998-04-14	VYDAJ	PREVOD NA UCET	31	53724	SIPO	ST	17273038
324630	1108	1998-05-14	VYDAJ	PREVOD NA UCET	31	54292	SIPO	ST	17273038
324631	1108	1998-06-14	VYDAJ	PREVOD NA UCET	31	54705	SIPO	ST	17273038
324632	1108	1998-07-14	VYDAJ	PREVOD NA UCET	31	52722	SIPO	ST	17273038
324633	1108	1998-08-14	VYDAJ	PREVOD NA UCET	31	50088	SIPO	ST	17273038
324634	1108	1998-09-14	VYDAJ	PREVOD NA UCET	31	52646	SIPO	ST	17273038
324635	1108	1998-10-14	VYDAJ	PREVOD NA UCET	31	53048	SIPO	ST	17273038
324636	1108	1998-11-14	VYDAJ	PREVOD NA UCET	31	55615	SIPO	ST	17273038
324637	1108	1998-12-14	VYDAJ	PREVOD NA UCET	31	57393	SIPO	ST	17273038
324646	1108	1995-09-06	VYDAJ	PREVOD NA UCET	2335	17463	 	OP	30477523
324647	1108	1995-10-06	VYDAJ	PREVOD NA UCET	2335	19904	 	OP	30477523
324648	1108	1995-11-06	VYDAJ	PREVOD NA UCET	2335	21553	 	OP	30477523
324649	1108	1995-12-06	VYDAJ	PREVOD NA UCET	2335	21160	 	OP	30477523
324650	1108	1996-01-06	VYDAJ	PREVOD NA UCET	2335	23616	 	OP	30477523
324651	1108	1996-02-06	VYDAJ	PREVOD NA UCET	2335	22326	 	OP	30477523
324652	1108	1996-03-06	VYDAJ	PREVOD NA UCET	2335	22138	 	OP	30477523
324653	1108	1996-04-06	VYDAJ	PREVOD NA UCET	2335	24597	 	OP	30477523
324654	1108	1996-05-06	VYDAJ	PREVOD NA UCET	2335	27067	 	OP	30477523
324655	1108	1996-06-06	VYDAJ	PREVOD NA UCET	2335	29546	 	OP	30477523
324656	1108	1996-07-06	VYDAJ	PREVOD NA UCET	2335	22549	 	OP	30477523
324657	1108	1996-08-06	VYDAJ	PREVOD NA UCET	2335	25010	 	OP	30477523
324658	1108	1996-09-06	VYDAJ	PREVOD NA UCET	2335	27481	 	OP	30477523
324659	1108	1996-10-06	VYDAJ	PREVOD NA UCET	2335	27159	 	OP	30477523
324660	1108	1996-11-06	VYDAJ	PREVOD NA UCET	2335	29639	 	OP	30477523
324661	1108	1996-12-06	VYDAJ	PREVOD NA UCET	2335	32129	 	OP	30477523
324662	1108	1997-01-06	VYDAJ	PREVOD NA UCET	2335	34028	 	OP	30477523
324663	1108	1997-02-06	VYDAJ	PREVOD NA UCET	2335	34733	 	OP	30477523
324664	1108	1997-03-06	VYDAJ	PREVOD NA UCET	2335	37245	 	OP	30477523
324665	1108	1997-04-06	VYDAJ	PREVOD NA UCET	2335	39767	 	OP	30477523
324666	1108	1997-05-06	VYDAJ	PREVOD NA UCET	2335	42299	 	OP	30477523
324667	1108	1997-06-06	VYDAJ	PREVOD NA UCET	2335	43741	 	OP	30477523
324668	1108	1997-07-06	VYDAJ	PREVOD NA UCET	2335	34665	 	OP	30477523
324669	1108	1997-08-06	VYDAJ	PREVOD NA UCET	2335	37176	 	OP	30477523
324670	1108	1997-09-06	VYDAJ	PREVOD NA UCET	2335	38897	 	OP	30477523
324671	1108	1997-10-06	VYDAJ	PREVOD NA UCET	2335	41225	 	OP	30477523
324672	1108	1997-11-06	VYDAJ	PREVOD NA UCET	2335	42963	 	OP	30477523
324673	1108	1997-12-06	VYDAJ	PREVOD NA UCET	2335	44607	 	OP	30477523
324674	1108	1998-01-06	VYDAJ	PREVOD NA UCET	2335	46057	 	OP	30477523
324675	1108	1998-02-06	VYDAJ	PREVOD NA UCET	2335	44912	 	OP	30477523
324676	1108	1998-03-06	VYDAJ	PREVOD NA UCET	2335	46964	 	OP	30477523
324677	1108	1998-04-06	VYDAJ	PREVOD NA UCET	2335	49025	 	OP	30477523
324678	1108	1998-05-06	VYDAJ	PREVOD NA UCET	2335	49593	 	OP	30477523
324679	1108	1998-06-06	VYDAJ	PREVOD NA UCET	2335	52166	 	OP	30477523
324680	1108	1998-07-06	VYDAJ	PREVOD NA UCET	2335	48023	 	OP	30477523
324681	1108	1998-08-06	VYDAJ	PREVOD NA UCET	2335	46909	 	OP	30477523
324682	1108	1998-09-06	VYDAJ	PREVOD NA UCET	2335	47947	 	OP	30477523
324683	1108	1998-10-06	VYDAJ	PREVOD NA UCET	2335	48349	 	OP	30477523
324684	1108	1998-11-06	VYDAJ	PREVOD NA UCET	2335	50916	 	OP	30477523
324685	1108	1998-12-06	VYDAJ	PREVOD NA UCET	2335	53494	 	OP	30477523
324687	1108	1996-06-11	VYDAJ	VYBER	5700	24816	\N	\N	\N
324688	1108	1997-06-25	VYDAJ	VYBER	7850	36830	\N	\N	\N
324689	1108	1998-06-15	VYDAJ	VYBER	4550	50155	\N	\N	\N
324691	1108	1996-01-21	VYDAJ	VYBER	3750	24565	\N	\N	\N
324692	1108	1997-01-16	VYDAJ	VYBER	1800	36927	\N	\N	\N
324693	1108	1998-01-28	VYDAJ	VYBER	1500	47056	\N	\N	\N
324694	1108	1995-12-05	VYDAJ	VYBER	950	23495	\N	\N	\N
324695	1108	1996-12-13	VYDAJ	VYBER	600	36259	\N	\N	\N
324696	1108	1997-12-18	VYDAJ	VYBER	1100	48206	\N	\N	\N
324697	1108	1998-12-29	VYDAJ	VYBER KARTOU	1200	56193	\N	\N	0
324701	1108	1995-09-01	VYDAJ	VYBER	2960	19798	\N	\N	\N
324703	1108	1995-08-08	VYDAJ	VYBER	1920	22730	\N	\N	\N
324704	1108	1995-10-18	VYDAJ	VYBER	800	23803	\N	\N	\N
324705	1108	1996-06-08	VYDAJ	VYBER	3760	30516	\N	\N	\N
324706	1108	1996-09-22	VYDAJ	VYBER	2800	29380	\N	\N	\N
324707	1108	1996-02-08	VYDAJ	VYBER	2640	24416	\N	\N	\N
324708	1108	1997-06-25	VYDAJ	VYBER	1200	44680	\N	\N	\N
324709	1108	1997-06-10	VYDAJ	VYBER	2560	45911	\N	\N	\N
324710	1108	1998-06-11	VYDAJ	VYBER	2160	54736	\N	\N	\N
324711	1108	1998-08-05	VYDAJ	VYBER	3680	49244	\N	\N	\N
324712	1108	1998-12-08	VYDAJ	VYBER KARTOU	800	57424	\N	\N	0
324713	1108	1998-09-19	VYDAJ	VYBER	2160	50486	\N	\N	\N
324714	1108	1998-08-09	VYDAJ	VYBER	1520	50119	\N	\N	\N
324723	1108	1995-08-31	VYDAJ	VYBER	15	22758	SLUZBY	\N	\N
324724	1108	1995-09-30	VYDAJ	VYBER	15	22239	SLUZBY	\N	\N
324725	1108	1995-10-31	VYDAJ	VYBER	15	23888	SLUZBY	\N	\N
324726	1108	1995-11-30	VYDAJ	VYBER	15	26345	SLUZBY	\N	\N
324727	1108	1995-12-31	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
324728	1108	1996-01-31	VYDAJ	VYBER	15	24661	SLUZBY	\N	\N
324729	1108	1996-02-29	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
324730	1108	1996-03-31	VYDAJ	VYBER	15	26932	SLUZBY	\N	\N
324731	1108	1996-04-30	VYDAJ	VYBER	15	29402	SLUZBY	\N	\N
324732	1108	1996-05-31	VYDAJ	VYBER	15	31881	SLUZBY	\N	\N
324733	1108	1996-06-30	VYDAJ	VYBER	15	24884	SLUZBY	\N	\N
324734	1108	1996-07-31	VYDAJ	VYBER	15	27345	SLUZBY	\N	\N
324735	1108	1996-08-31	VYDAJ	VYBER	15	29816	SLUZBY	\N	\N
324736	1108	1996-09-30	VYDAJ	VYBER	15	29494	SLUZBY	\N	\N
324737	1108	1996-10-31	VYDAJ	VYBER	15	31974	SLUZBY	\N	\N
324738	1108	1996-11-30	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
324739	1108	1996-12-31	VYDAJ	VYBER	15	36363	SLUZBY	\N	\N
324740	1108	1997-01-31	VYDAJ	VYBER	15	37068	SLUZBY	\N	\N
324741	1108	1997-02-28	VYDAJ	VYBER	15	39580	SLUZBY	\N	\N
324742	1108	1997-03-31	VYDAJ	VYBER	15	42102	SLUZBY	\N	\N
324743	1108	1997-04-30	VYDAJ	VYBER	15	44634	SLUZBY	\N	\N
324744	1108	1997-05-31	VYDAJ	VYBER	15	46076	SLUZBY	\N	\N
324745	1108	1997-06-30	VYDAJ	VYBER	15	37000	SLUZBY	\N	\N
324746	1108	1997-07-31	VYDAJ	VYBER	15	39511	SLUZBY	\N	\N
324747	1108	1997-08-31	VYDAJ	VYBER	15	41232	SLUZBY	\N	\N
324748	1108	1997-09-30	VYDAJ	VYBER	15	43560	SLUZBY	\N	\N
324749	1108	1997-10-31	VYDAJ	VYBER	15	45298	SLUZBY	\N	\N
324750	1108	1997-11-30	VYDAJ	VYBER	15	46942	SLUZBY	\N	\N
324751	1108	1997-12-31	VYDAJ	VYBER	15	48392	SLUZBY	\N	\N
324752	1108	1998-01-31	VYDAJ	VYBER	15	47247	SLUZBY	\N	\N
324753	1108	1998-02-28	VYDAJ	VYBER	15	49299	SLUZBY	\N	\N
324754	1108	1998-03-31	VYDAJ	VYBER	15	51360	SLUZBY	\N	\N
324755	1108	1998-04-30	VYDAJ	VYBER	15	51928	SLUZBY	\N	\N
324756	1108	1998-05-31	VYDAJ	VYBER	15	54501	SLUZBY	\N	\N
324757	1108	1998-06-30	VYDAJ	VYBER	15	50358	SLUZBY	\N	\N
324758	1108	1998-07-31	VYDAJ	VYBER	15	52924	SLUZBY	\N	\N
324759	1108	1998-08-31	VYDAJ	VYBER	15	50282	SLUZBY	\N	\N
324760	1108	1998-09-30	VYDAJ	VYBER	15	50684	SLUZBY	\N	\N
324761	1108	1998-10-31	VYDAJ	VYBER	15	53251	SLUZBY	\N	\N
324762	1108	1998-11-30	VYDAJ	VYBER	15	55829	SLUZBY	\N	\N
324763	1108	1995-12-04	VYDAJ	VYBER	1900	24445	\N	\N	\N
324764	1108	1997-05-27	VYDAJ	VYBER	1100	45898	\N	\N	\N
324765	1108	1997-08-25	VYDAJ	VYBER	800	41075	\N	\N	\N
324766	1108	1997-09-24	VYDAJ	VYBER	200	43396	\N	\N	\N
324767	1108	1997-10-24	VYDAJ	VYBER	800	45124	\N	\N	\N
324768	1108	1997-11-23	VYDAJ	VYBER	900	46762	\N	\N	\N
324769	1108	1998-01-22	VYDAJ	VYBER	2200	48556	\N	\N	\N
324770	1108	1998-02-21	VYDAJ	VYBER	500	49111	\N	\N	\N
324771	1108	1998-03-23	VYDAJ	VYBER	500	51163	\N	\N	\N
324772	1108	1998-04-22	VYDAJ	VYBER	2000	51724	\N	\N	\N
324814	1109	1994-10-27	PRIJEM	VKLAD	600	600	\N	\N	\N
324825	1109	1994-11-09	PRIJEM	VKLAD	17921	18521	\N	\N	\N
324826	1109	1994-12-09	PRIJEM	VKLAD	26882	46216	\N	\N	\N
324827	1109	1995-01-09	PRIJEM	VKLAD	17921	53230	\N	\N	\N
324828	1109	1995-02-09	PRIJEM	VKLAD	17921	57602	\N	\N	\N
324829	1109	1995-03-09	PRIJEM	VKLAD	17921	60290	\N	\N	\N
324830	1109	1995-04-09	PRIJEM	VKLAD	17921	60872	\N	\N	\N
324831	1109	1995-05-09	PRIJEM	VKLAD	17921	55713	\N	\N	\N
324832	1109	1995-06-09	PRIJEM	VKLAD	26882	68941	\N	\N	\N
324833	1109	1995-07-09	PRIJEM	VKLAD	17921	54200	\N	\N	\N
324834	1109	1995-08-09	PRIJEM	VKLAD	17921	54202	\N	\N	\N
324835	1109	1995-09-09	PRIJEM	VKLAD	17921	57588	\N	\N	\N
324836	1109	1995-10-09	PRIJEM	VKLAD	17921	62265	\N	\N	\N
324837	1109	1995-11-09	PRIJEM	VKLAD	17921	61496	\N	\N	\N
324838	1109	1995-12-09	PRIJEM	VKLAD	26882	73047	\N	\N	\N
324839	1109	1996-01-09	PRIJEM	VKLAD	17921	65229	\N	\N	\N
324840	1109	1996-02-09	PRIJEM	VKLAD	17921	60247	\N	\N	\N
324841	1109	1996-03-09	PRIJEM	VKLAD	17921	64335	\N	\N	\N
324842	1109	1996-04-09	PRIJEM	VKLAD	17921	63934	\N	\N	\N
324843	1109	1996-05-09	PRIJEM	VKLAD	17921	63538	\N	\N	\N
324844	1109	1996-06-09	PRIJEM	VKLAD	26882	53874	\N	\N	\N
324845	1109	1996-07-09	PRIJEM	VKLAD	17921	59071	\N	\N	\N
324846	1109	1996-08-09	PRIJEM	VKLAD	17921	62054	\N	\N	\N
324847	1109	1996-09-09	PRIJEM	VKLAD	17921	61773	\N	\N	\N
324848	1109	1996-10-09	PRIJEM	VKLAD	17921	63966	\N	\N	\N
324849	1109	1996-11-09	PRIJEM	VKLAD	17921	68673	\N	\N	\N
324850	1109	1996-12-09	PRIJEM	VKLAD	26882	78151	\N	\N	\N
324851	1109	1997-01-09	PRIJEM	VKLAD	17921	64735	\N	\N	\N
324852	1109	1997-02-09	PRIJEM	VKLAD	17921	61631	\N	\N	\N
324853	1109	1997-03-09	PRIJEM	VKLAD	17921	63924	\N	\N	\N
324854	1109	1997-04-09	PRIJEM	VKLAD	17921	66727	\N	\N	\N
324855	1109	1997-05-09	PRIJEM	VKLAD	17921	66033	\N	\N	\N
324856	1109	1997-06-09	PRIJEM	VKLAD	26882	74297	\N	\N	\N
324857	1109	1997-07-09	PRIJEM	VKLAD	17921	66201	\N	\N	\N
324858	1109	1997-08-09	PRIJEM	VKLAD	17921	65004	\N	\N	\N
324859	1109	1997-09-09	PRIJEM	VKLAD	17921	56529	\N	\N	\N
324860	1109	1997-10-09	PRIJEM	VKLAD	17921	58299	\N	\N	\N
324861	1109	1997-11-09	PRIJEM	VKLAD	17921	61781	\N	\N	\N
324862	1109	1997-12-09	PRIJEM	VKLAD	26882	71732	\N	\N	\N
324863	1109	1998-01-09	PRIJEM	VKLAD	17921	62538	\N	\N	\N
324864	1109	1998-02-09	PRIJEM	VKLAD	17921	53456	\N	\N	\N
324865	1109	1998-03-09	PRIJEM	VKLAD	17921	71564	\N	\N	\N
324866	1109	1998-04-09	PRIJEM	VKLAD	17921	67489	\N	\N	\N
324867	1109	1998-05-09	PRIJEM	VKLAD	17921	67752	\N	\N	\N
324868	1109	1998-06-09	PRIJEM	VKLAD	26882	58617	\N	\N	\N
324869	1109	1998-07-09	PRIJEM	VKLAD	17921	57945	\N	\N	\N
324870	1109	1998-08-09	PRIJEM	VKLAD	17921	61390	\N	\N	\N
324871	1109	1998-09-09	PRIJEM	VKLAD	17921	58745	\N	\N	\N
324872	1109	1998-10-09	PRIJEM	VKLAD	17921	54453	\N	\N	\N
324873	1109	1998-11-09	PRIJEM	VKLAD	17921	57385	\N	\N	\N
324874	1109	1998-12-09	PRIJEM	VKLAD	26882	63324	\N	\N	\N
324876	1109	1995-06-24	VYDAJ	VYBER	11360	36081	\N	\N	\N
324877	1109	1996-06-05	VYDAJ	VYBER	17440	26993	\N	\N	\N
324879	1109	1998-06-04	VYDAJ	VYBER	5280	39635	\N	\N	\N
324881	1109	1995-12-25	VYDAJ	VYBER	3520	47127	\N	\N	\N
324882	1109	1996-12-18	VYDAJ	VYBER	4320	52731	\N	\N	\N
324883	1109	1997-12-16	VYDAJ	VYBER	1440	50792	\N	\N	\N
324884	1109	1998-12-04	VYDAJ	VYBER	2560	55043	\N	\N	\N
324897	1109	1996-01-15	VYDAJ	VYBER	1680	62829	\N	\N	\N
324898	1109	1996-01-09	VYDAJ	VYBER	720	64509	\N	\N	\N
324899	1109	1996-01-15	VYDAJ	VYBER	2040	60789	\N	\N	\N
324900	1109	1996-01-15	VYDAJ	VYBER	1320	59469	\N	\N	\N
324901	1109	1996-01-24	VYDAJ	VYBER	720	42129	\N	\N	\N
324902	1109	1996-01-17	VYDAJ	VYBER	2520	56949	\N	\N	\N
324903	1109	1997-01-14	VYDAJ	VYBER	1680	45075	\N	\N	\N
324904	1109	1997-01-01	VYDAJ	VYBER	3360	49574	\N	\N	\N
324905	1109	1997-01-07	VYDAJ	VYBER	1320	48254	\N	\N	\N
324906	1109	1997-01-14	VYDAJ	VYBER	2880	46755	\N	\N	\N
324907	1109	1997-01-08	VYDAJ	VYBER	1440	46814	\N	\N	\N
324908	1109	1997-01-28	VYDAJ	VYBER	1560	43515	\N	\N	\N
324909	1109	1998-01-12	VYDAJ	VYBER	2400	41638	\N	\N	\N
324910	1109	1998-01-22	VYDAJ	VYBER	720	37678	\N	\N	\N
324911	1109	1998-01-10	VYDAJ	VYBER	2400	44038	\N	\N	\N
324912	1109	1998-01-10	VYDAJ	VYBER	2400	46438	\N	\N	\N
324913	1109	1998-01-07	VYDAJ	VYBER	1440	44617	\N	\N	\N
324914	1109	1998-01-15	VYDAJ	VYBER	1320	40318	\N	\N	\N
324921	1109	1995-06-09	VYDAJ	VYBER	4560	64381	\N	\N	\N
324922	1109	1995-04-09	VYDAJ	VYBER	5280	55592	\N	\N	\N
324923	1109	1995-06-15	VYDAJ	VYBER	2640	61741	\N	\N	\N
324924	1109	1995-07-31	VYDAJ	VYBER	3960	36281	\N	\N	\N
324925	1109	1995-08-09	VYDAJ	VYBER	4800	49402	\N	\N	\N
324926	1109	1995-10-28	VYDAJ	VYBER	960	43405	\N	\N	\N
324927	1109	1996-05-29	VYDAJ	VYBER	1680	44258	\N	\N	\N
324928	1109	1996-04-16	VYDAJ	VYBER	1200	62734	\N	\N	\N
324929	1109	1996-08-17	VYDAJ	VYBER	2400	59654	\N	\N	\N
324930	1109	1997-12-26	VYDAJ	VYBER	4920	45872	\N	\N	\N
324931	1109	1997-08-28	VYDAJ	VYBER	2280	38444	\N	\N	\N
324932	1109	1997-08-15	VYDAJ	VYBER	5880	40724	\N	\N	\N
324933	1109	1998-06-02	VYDAJ	VYBER	1080	44915	\N	\N	\N
324934	1109	1998-09-20	VYDAJ	VYBER	2040	56705	\N	\N	\N
324935	1109	1998-03-24	VYDAJ	VYBER	5400	49364	\N	\N	\N
324936	1109	1998-01-17	VYDAJ	VYBER	1920	38398	\N	\N	\N
324937	1109	1998-07-24	VYDAJ	VYBER	600	57345	\N	\N	\N
324953	1109	1995-03-31	VYDAJ	VYBER	15	42951	SLUZBY	\N	\N
324954	1109	1995-04-30	VYDAJ	VYBER	15	37792	SLUZBY	\N	\N
324955	1109	1995-05-31	VYDAJ	VYBER	15	42060	SLUZBY	\N	\N
324956	1109	1995-06-30	VYDAJ	VYBER	15	36279	SLUZBY	\N	\N
324957	1109	1995-07-31	VYDAJ	VYBER	15	40241	SLUZBY	\N	\N
324958	1109	1995-08-31	VYDAJ	VYBER	15	39667	SLUZBY	\N	\N
324959	1109	1995-09-30	VYDAJ	VYBER	15	44344	SLUZBY	\N	\N
324960	1109	1995-10-31	VYDAJ	VYBER	15	43575	SLUZBY	\N	\N
324961	1109	1995-11-30	VYDAJ	VYBER	15	46166	SLUZBY	\N	\N
324962	1109	1995-12-31	VYDAJ	VYBER	15	47308	SLUZBY	\N	\N
324963	1109	1996-01-31	VYDAJ	VYBER	15	42326	SLUZBY	\N	\N
324964	1109	1996-02-29	VYDAJ	VYBER	15	46414	SLUZBY	\N	\N
324965	1109	1996-03-31	VYDAJ	VYBER	15	46013	SLUZBY	\N	\N
324966	1109	1996-04-30	VYDAJ	VYBER	15	45617	SLUZBY	\N	\N
324967	1109	1996-05-31	VYDAJ	VYBER	15	44433	SLUZBY	\N	\N
324968	1109	1996-06-30	VYDAJ	VYBER	15	41150	SLUZBY	\N	\N
324969	1109	1996-07-31	VYDAJ	VYBER	15	44133	SLUZBY	\N	\N
324970	1109	1996-08-31	VYDAJ	VYBER	15	43852	SLUZBY	\N	\N
324971	1109	1996-09-30	VYDAJ	VYBER	15	46045	SLUZBY	\N	\N
324972	1109	1996-10-31	VYDAJ	VYBER	15	50752	SLUZBY	\N	\N
324973	1109	1996-11-30	VYDAJ	VYBER	15	51270	SLUZBY	\N	\N
324974	1109	1996-12-31	VYDAJ	VYBER	15	52934	SLUZBY	\N	\N
324975	1109	1997-01-31	VYDAJ	VYBER	15	43710	SLUZBY	\N	\N
324976	1109	1997-02-28	VYDAJ	VYBER	15	46003	SLUZBY	\N	\N
324977	1109	1997-03-31	VYDAJ	VYBER	15	48806	SLUZBY	\N	\N
324978	1109	1997-04-30	VYDAJ	VYBER	15	48112	SLUZBY	\N	\N
324979	1109	1997-05-31	VYDAJ	VYBER	15	47416	SLUZBY	\N	\N
324980	1109	1997-06-30	VYDAJ	VYBER	15	48280	SLUZBY	\N	\N
324981	1109	1997-07-31	VYDAJ	VYBER	15	47083	SLUZBY	\N	\N
324982	1109	1997-08-31	VYDAJ	VYBER	15	38608	SLUZBY	\N	\N
324983	1109	1997-09-30	VYDAJ	VYBER	15	40378	SLUZBY	\N	\N
324984	1109	1997-10-31	VYDAJ	VYBER	15	43860	SLUZBY	\N	\N
324985	1109	1997-11-30	VYDAJ	VYBER	15	44850	SLUZBY	\N	\N
324986	1109	1997-12-31	VYDAJ	VYBER	15	46057	SLUZBY	\N	\N
324987	1109	1998-01-31	VYDAJ	VYBER	15	37835	SLUZBY	\N	\N
324988	1109	1998-02-28	VYDAJ	VYBER	15	53643	SLUZBY	\N	\N
324989	1109	1998-03-31	VYDAJ	VYBER	15	49568	SLUZBY	\N	\N
324990	1109	1998-04-30	VYDAJ	VYBER	15	49831	SLUZBY	\N	\N
324991	1109	1998-05-31	VYDAJ	VYBER	15	45995	SLUZBY	\N	\N
324992	1109	1998-06-30	VYDAJ	VYBER	15	58824	SLUZBY	\N	\N
324993	1109	1998-07-31	VYDAJ	VYBER	15	57569	SLUZBY	\N	\N
324994	1109	1998-08-31	VYDAJ	VYBER	15	61624	SLUZBY	\N	\N
324995	1109	1998-09-30	VYDAJ	VYBER	15	56932	SLUZBY	\N	\N
324996	1109	1998-10-31	VYDAJ	VYBER	15	54664	SLUZBY	\N	\N
324997	1109	1998-11-30	VYDAJ	VYBER	15	57603	SLUZBY	\N	\N
324998	1109	1994-11-26	PRIJEM	VKLAD	800	19321	\N	\N	\N
324999	1109	1994-12-26	VYDAJ	VYBER	11000	35216	\N	\N	\N
325000	1109	1995-01-25	VYDAJ	VYBER	13700	39530	\N	\N	\N
325001	1109	1995-02-24	VYDAJ	VYBER	15400	42202	\N	\N	\N
325002	1109	1995-03-26	VYDAJ	VYBER	17500	42790	\N	\N	\N
325003	1109	1995-04-25	VYDAJ	VYBER	18000	37592	\N	\N	\N
325004	1109	1995-05-25	VYDAJ	VYBER	13800	41913	\N	\N	\N
325005	1109	1995-06-24	VYDAJ	VYBER	14300	47441	\N	\N	\N
325006	1109	1995-07-24	VYDAJ	VYBER	14100	40100	\N	\N	\N
325007	1109	1995-08-23	VYDAJ	VYBER	9900	39502	\N	\N	\N
325008	1109	1995-09-22	VYDAJ	VYBER	13400	44188	\N	\N	\N
325009	1109	1995-10-22	VYDAJ	VYBER	17900	44365	\N	\N	\N
325010	1109	1995-11-21	VYDAJ	VYBER	15500	45996	\N	\N	\N
325011	1109	1995-12-21	VYDAJ	VYBER	22400	50647	\N	\N	\N
325012	1109	1996-01-20	VYDAJ	VYBER	14100	42849	\N	\N	\N
325013	1109	1996-02-19	VYDAJ	VYBER	14000	46247	\N	\N	\N
325014	1109	1996-03-20	VYDAJ	VYBER	18500	45835	\N	\N	\N
325015	1109	1996-04-19	VYDAJ	VYBER	17300	45434	\N	\N	\N
325016	1109	1996-05-19	VYDAJ	VYBER	17600	45938	\N	\N	\N
325017	1109	1996-06-18	VYDAJ	VYBER	12900	40974	\N	\N	\N
325018	1109	1996-07-18	VYDAJ	VYBER	15100	43971	\N	\N	\N
325019	1109	1996-08-17	VYDAJ	VYBER	16000	43654	\N	\N	\N
325020	1109	1996-09-16	VYDAJ	VYBER	15900	45873	\N	\N	\N
325021	1109	1996-10-16	VYDAJ	VYBER	13400	50566	\N	\N	\N
325022	1109	1996-11-15	VYDAJ	VYBER	17600	51073	\N	\N	\N
325023	1109	1996-12-15	VYDAJ	VYBER	21100	57051	\N	\N	\N
325024	1109	1997-01-14	VYDAJ	VYBER	15100	49635	\N	\N	\N
325025	1109	1997-02-13	VYDAJ	VYBER	15800	45831	\N	\N	\N
325026	1109	1997-03-15	VYDAJ	VYBER	15300	48624	\N	\N	\N
325027	1109	1997-04-14	VYDAJ	VYBER	18800	47927	\N	\N	\N
325028	1109	1997-05-14	VYDAJ	VYBER	18800	47233	\N	\N	\N
325029	1109	1997-06-13	VYDAJ	VYBER	26200	48097	\N	\N	\N
325030	1109	1997-07-13	VYDAJ	VYBER	19300	46901	\N	\N	\N
325031	1109	1997-08-12	VYDAJ	VYBER	18400	46604	\N	\N	\N
325032	1109	1997-09-11	VYDAJ	VYBER	16300	40229	\N	\N	\N
325033	1109	1997-10-11	VYDAJ	VYBER	14600	43699	\N	\N	\N
325034	1109	1997-11-10	VYDAJ	VYBER	17100	44681	\N	\N	\N
325035	1109	1997-12-10	VYDAJ	VYBER	19500	52232	\N	\N	\N
325036	1109	1998-01-09	VYDAJ	VYBER	13700	48838	\N	\N	\N
325037	1109	1998-02-08	VYDAJ	VYBER	2300	35535	\N	\N	\N
325038	1109	1998-03-10	VYDAJ	VYBER	16800	54764	\N	\N	\N
325039	1109	1998-04-09	VYDAJ	VYBER	17900	49589	\N	\N	\N
325040	1109	1998-05-09	VYDAJ	VYBER	22000	45752	\N	\N	\N
325041	1109	1998-06-08	VYDAJ	VYBER	7900	31735	\N	\N	\N
325042	1109	1998-07-08	VYDAJ	VYBER	18800	40024	\N	\N	\N
325043	1109	1998-08-07	VYDAJ	VYBER	14100	43469	\N	\N	\N
325044	1109	1998-09-06	VYDAJ	VYBER	20800	40824	\N	\N	\N
325045	1109	1998-10-06	VYDAJ	VYBER	20400	36532	\N	\N	\N
325046	1109	1998-11-05	VYDAJ	VYBER	15200	39464	\N	\N	\N
325047	1109	1998-12-05	VYDAJ	VYBER	18600	36443	\N	\N	\N
325098	1110	1997-07-10	PRIJEM	VKLAD	300	300	\N	\N	\N
325106	1110	1997-08-05	PRIJEM	VKLAD	14846	15146	\N	\N	\N
325107	1110	1997-09-05	PRIJEM	VKLAD	14846	31142	\N	\N	\N
325108	1110	1997-10-05	PRIJEM	VKLAD	14846	40285	\N	\N	\N
325109	1110	1997-11-05	PRIJEM	VKLAD	14846	41541	\N	\N	\N
325110	1110	1997-12-05	PRIJEM	VKLAD	22269	49021	\N	\N	\N
325111	1110	1998-01-05	PRIJEM	VKLAD	14846	38937	\N	\N	\N
325112	1110	1998-02-05	PRIJEM	VKLAD	14846	28721	\N	\N	\N
325113	1110	1998-03-05	PRIJEM	VKLAD	14846	30893	\N	\N	\N
325114	1110	1998-04-05	PRIJEM	VKLAD	14846	38190	\N	\N	\N
325115	1110	1998-05-05	PRIJEM	VKLAD	14846	34188	\N	\N	\N
325116	1110	1998-06-05	PRIJEM	VKLAD	22269	43707	\N	\N	\N
325117	1110	1998-07-05	PRIJEM	VKLAD	14846	39211	\N	\N	\N
325118	1110	1998-08-05	PRIJEM	VKLAD	14846	39322	\N	\N	\N
325119	1110	1998-09-05	PRIJEM	VKLAD	14846	48057	\N	\N	\N
325120	1110	1998-10-05	PRIJEM	VKLAD	14846	51813	\N	\N	\N
325121	1110	1998-11-05	PRIJEM	VKLAD	14846	61306	\N	\N	\N
325122	1110	1998-12-05	PRIJEM	VKLAD	22269	72261	\N	\N	\N
325134	1110	1997-12-06	VYDAJ	PREVOD NA UCET	5427	43594	SIPO	CD	84862774
325135	1110	1998-01-06	VYDAJ	PREVOD NA UCET	5427	21910	SIPO	CD	84862774
325136	1110	1998-02-06	VYDAJ	PREVOD NA UCET	5427	15994	SIPO	CD	84862774
325137	1110	1998-03-06	VYDAJ	PREVOD NA UCET	5427	25466	SIPO	CD	84862774
325138	1110	1998-04-06	VYDAJ	PREVOD NA UCET	5427	32763	SIPO	CD	84862774
325139	1110	1998-05-06	VYDAJ	PREVOD NA UCET	5427	28761	SIPO	CD	84862774
325140	1110	1998-06-06	VYDAJ	PREVOD NA UCET	5427	24280	SIPO	CD	84862774
325141	1110	1998-07-06	VYDAJ	PREVOD NA UCET	5427	25584	SIPO	CD	84862774
325142	1110	1998-08-06	VYDAJ	PREVOD NA UCET	5427	31895	SIPO	CD	84862774
325143	1110	1998-09-06	VYDAJ	PREVOD NA UCET	5427	39630	SIPO	CD	84862774
325144	1110	1998-10-06	VYDAJ	PREVOD NA UCET	5427	46386	SIPO	CD	84862774
325145	1110	1998-11-06	VYDAJ	PREVOD NA UCET	5427	55879	SIPO	CD	84862774
325146	1110	1998-12-06	VYDAJ	PREVOD NA UCET	5427	66834	SIPO	CD	84862774
325151	1110	1997-12-15	VYDAJ	VYBER	600	25994	\N	\N	\N
325152	1110	1998-12-28	VYDAJ	VYBER	900	65934	\N	\N	\N
325159	1110	1998-01-30	VYDAJ	VYBER	1600	13810	\N	\N	\N
325160	1110	1998-01-10	VYDAJ	VYBER	1500	20410	\N	\N	\N
325161	1110	1998-01-11	VYDAJ	VYBER	1100	19310	\N	\N	\N
325162	1110	1998-01-18	VYDAJ	VYBER	1400	15410	\N	\N	\N
325163	1110	1998-01-03	VYDAJ	VYBER	2000	24091	\N	\N	\N
325164	1110	1998-01-17	VYDAJ	VYBER	2500	16810	\N	\N	\N
325168	1110	1998-08-04	VYDAJ	VYBER	3200	24476	\N	\N	\N
325169	1110	1998-09-15	VYDAJ	VYBER	2200	35530	\N	\N	\N
325170	1110	1998-08-06	VYDAJ	VYBER	2000	37322	\N	\N	\N
325171	1110	1998-09-11	VYDAJ	VYBER	1900	37730	\N	\N	\N
325172	1110	1998-05-03	VYDAJ	VYBER	3100	19342	\N	\N	\N
325173	1110	1998-09-06	VYDAJ	VYBER	3000	45057	\N	\N	\N
325186	1110	1997-12-31	VYDAJ	VYBER	15	26091	SLUZBY	\N	\N
325187	1110	1998-01-31	VYDAJ	VYBER	15	13875	SLUZBY	\N	\N
325188	1110	1998-02-28	VYDAJ	VYBER	15	16047	SLUZBY	\N	\N
325189	1110	1998-03-31	VYDAJ	VYBER	15	23344	SLUZBY	\N	\N
325190	1110	1998-04-30	VYDAJ	VYBER	15	22442	SLUZBY	\N	\N
325191	1110	1998-05-31	VYDAJ	VYBER	15	21438	SLUZBY	\N	\N
325192	1110	1998-06-30	VYDAJ	VYBER	15	24365	SLUZBY	\N	\N
325193	1110	1998-07-31	VYDAJ	VYBER	15	25676	SLUZBY	\N	\N
325194	1110	1998-08-31	VYDAJ	VYBER	15	32011	SLUZBY	\N	\N
325195	1110	1998-09-30	VYDAJ	VYBER	15	35667	SLUZBY	\N	\N
325196	1110	1998-10-31	VYDAJ	VYBER	15	46560	SLUZBY	\N	\N
325197	1110	1998-11-30	VYDAJ	VYBER	15	56092	SLUZBY	\N	\N
325198	1110	1997-08-09	PRIJEM	VKLAD	1100	16246	\N	\N	\N
325199	1110	1997-09-08	VYDAJ	VYBER	5800	25342	\N	\N	\N
325200	1110	1997-10-08	VYDAJ	VYBER	13700	26585	\N	\N	\N
325201	1110	1997-11-07	VYDAJ	VYBER	14900	26641	\N	\N	\N
325202	1110	1997-12-07	VYDAJ	VYBER	17000	26594	\N	\N	\N
325203	1110	1998-01-06	VYDAJ	VYBER	11600	27337	\N	\N	\N
325204	1110	1998-02-05	VYDAJ	VYBER	7300	21421	\N	\N	\N
325205	1110	1998-03-07	VYDAJ	VYBER	2200	23266	\N	\N	\N
325206	1110	1998-04-06	VYDAJ	VYBER	10400	22363	\N	\N	\N
325207	1110	1998-05-06	VYDAJ	VYBER	7400	21361	\N	\N	\N
325208	1110	1998-06-05	VYDAJ	VYBER	14000	29707	\N	\N	\N
325209	1110	1998-07-05	VYDAJ	VYBER	8200	31011	\N	\N	\N
325210	1110	1998-08-04	PRIJEM	VKLAD	2000	27676	\N	\N	\N
325211	1110	1998-09-03	PRIJEM	VKLAD	1200	33211	\N	\N	\N
325212	1110	1998-10-03	PRIJEM	VKLAD	1300	36967	\N	\N	\N
325213	1110	1998-11-02	VYDAJ	VYBER	100	46460	\N	\N	\N
325214	1110	1998-12-02	VYDAJ	VYBER	6100	49992	\N	\N	\N
325232	1111	1996-02-16	PRIJEM	VKLAD	400	400	\N	\N	\N
325235	1111	1996-03-11	PRIJEM	VKLAD	20700	21100	\N	\N	\N
325236	1111	1996-04-11	PRIJEM	VKLAD	20700	41241	\N	\N	\N
325237	1111	1996-05-11	PRIJEM	VKLAD	20700	52250	\N	\N	\N
325238	1111	1996-06-11	PRIJEM	VKLAD	31050	72051	\N	\N	\N
325239	1111	1996-07-11	PRIJEM	VKLAD	20700	67935	\N	\N	\N
325240	1111	1996-08-11	PRIJEM	VKLAD	20700	64957	\N	\N	\N
325241	1111	1996-09-11	PRIJEM	VKLAD	20700	62882	\N	\N	\N
325242	1111	1996-10-11	PRIJEM	VKLAD	20700	62200	\N	\N	\N
325243	1111	1996-11-11	PRIJEM	VKLAD	20700	59310	\N	\N	\N
325244	1111	1996-12-11	PRIJEM	VKLAD	31050	70464	\N	\N	\N
325245	1111	1997-01-11	PRIJEM	VKLAD	20700	62204	\N	\N	\N
325246	1111	1997-02-11	PRIJEM	VKLAD	20700	49037	\N	\N	\N
325247	1111	1997-03-11	PRIJEM	VKLAD	20700	65942	\N	\N	\N
325248	1111	1997-04-11	PRIJEM	VKLAD	20700	65371	\N	\N	\N
325249	1111	1997-05-11	PRIJEM	VKLAD	20700	65641	\N	\N	\N
325250	1111	1997-06-11	PRIJEM	VKLAD	31050	55522	\N	\N	\N
325251	1111	1997-07-11	PRIJEM	VKLAD	20700	58149	\N	\N	\N
325252	1111	1997-08-11	PRIJEM	VKLAD	20700	55508	\N	\N	\N
325253	1111	1997-09-11	PRIJEM	VKLAD	20700	55460	\N	\N	\N
325254	1111	1997-10-11	PRIJEM	VKLAD	20700	52908	\N	\N	\N
325255	1111	1997-11-11	PRIJEM	VKLAD	20700	56849	\N	\N	\N
325256	1111	1997-12-11	PRIJEM	VKLAD	31050	67128	\N	\N	\N
325257	1111	1998-01-11	PRIJEM	VKLAD	20700	58042	\N	\N	\N
325258	1111	1998-02-11	PRIJEM	VKLAD	20700	49706	\N	\N	\N
325259	1111	1998-03-11	PRIJEM	VKLAD	20700	51724	\N	\N	\N
325260	1111	1998-04-11	PRIJEM	VKLAD	20700	51555	\N	\N	\N
325261	1111	1998-05-11	PRIJEM	VKLAD	20700	48986	\N	\N	\N
325262	1111	1998-06-11	PRIJEM	VKLAD	31050	53160	\N	\N	\N
325263	1111	1998-07-11	PRIJEM	VKLAD	20700	34881	\N	\N	\N
325264	1111	1998-08-11	PRIJEM	VKLAD	20700	34626	\N	\N	\N
325265	1111	1998-09-11	PRIJEM	VKLAD	20700	36887	\N	\N	\N
325266	1111	1998-10-11	PRIJEM	VKLAD	20700	34649	\N	\N	\N
325267	1111	1998-11-11	PRIJEM	VKLAD	20700	36709	\N	\N	\N
325268	1111	1998-12-11	PRIJEM	VKLAD	31050	44685	\N	\N	\N
325276	1111	1996-08-09	VYDAJ	PREVOD NA UCET	3962	44257	SIPO	UV	64148080
325277	1111	1996-09-09	VYDAJ	PREVOD NA UCET	3962	42182	SIPO	UV	64148080
325278	1111	1996-10-09	VYDAJ	PREVOD NA UCET	3962	41500	SIPO	UV	64148080
325279	1111	1996-11-09	VYDAJ	PREVOD NA UCET	3962	38610	SIPO	UV	64148080
325280	1111	1996-12-09	VYDAJ	PREVOD NA UCET	3962	39414	SIPO	UV	64148080
325281	1111	1997-01-09	VYDAJ	PREVOD NA UCET	3962	41504	SIPO	UV	64148080
325282	1111	1997-02-09	VYDAJ	PREVOD NA UCET	3962	30437	SIPO	UV	64148080
325283	1111	1997-03-09	VYDAJ	PREVOD NA UCET	3962	45242	SIPO	UV	64148080
325284	1111	1997-04-09	VYDAJ	PREVOD NA UCET	3962	44671	SIPO	UV	64148080
325285	1111	1997-05-09	VYDAJ	PREVOD NA UCET	3962	44941	SIPO	UV	64148080
325286	1111	1997-06-09	VYDAJ	PREVOD NA UCET	3962	25372	SIPO	UV	64148080
325287	1111	1997-07-09	VYDAJ	PREVOD NA UCET	3962	51749	SIPO	UV	64148080
325288	1111	1997-08-09	VYDAJ	PREVOD NA UCET	3962	54408	SIPO	UV	64148080
325289	1111	1997-09-09	VYDAJ	PREVOD NA UCET	3962	34760	SIPO	UV	64148080
325290	1111	1997-10-09	VYDAJ	PREVOD NA UCET	3962	32208	SIPO	UV	64148080
325291	1111	1997-11-09	VYDAJ	PREVOD NA UCET	3962	36149	SIPO	UV	64148080
325292	1111	1997-12-09	VYDAJ	PREVOD NA UCET	3962	37998	SIPO	UV	64148080
325293	1111	1998-01-09	VYDAJ	PREVOD NA UCET	3962	37342	SIPO	UV	64148080
325294	1111	1998-02-09	VYDAJ	PREVOD NA UCET	3962	29006	SIPO	UV	64148080
325295	1111	1998-03-09	VYDAJ	PREVOD NA UCET	3962	31024	SIPO	UV	64148080
325296	1111	1998-04-09	VYDAJ	PREVOD NA UCET	3962	30855	SIPO	UV	64148080
325297	1111	1998-05-09	VYDAJ	PREVOD NA UCET	3962	28286	SIPO	UV	64148080
325298	1111	1998-06-09	VYDAJ	PREVOD NA UCET	3962	22110	SIPO	UV	64148080
325299	1111	1998-07-09	VYDAJ	PREVOD NA UCET	3962	14181	SIPO	UV	64148080
325300	1111	1998-08-09	VYDAJ	PREVOD NA UCET	3962	13926	SIPO	UV	64148080
325301	1111	1998-09-09	VYDAJ	PREVOD NA UCET	3962	16187	SIPO	UV	64148080
325302	1111	1998-10-09	VYDAJ	PREVOD NA UCET	3962	13949	SIPO	UV	64148080
325303	1111	1998-11-09	VYDAJ	PREVOD NA UCET	3962	16009	SIPO	UV	64148080
325304	1111	1998-12-09	VYDAJ	PREVOD NA UCET	3962	13635	SIPO	UV	64148080
325306	1111	1997-06-06	VYDAJ	VYBER	12480	29334	\N	\N	\N
325307	1111	1998-06-29	VYDAJ	VYBER	35200	17960	\N	\N	\N
325308	1111	1996-12-29	VYDAJ	VYBER	2880	45284	\N	\N	\N
325309	1111	1997-12-09	VYDAJ	VYBER	1920	36078	\N	\N	\N
325310	1111	1998-12-09	VYDAJ	VYBER	1440	17597	\N	\N	\N
325317	1111	1997-01-17	VYDAJ	VYBER	3000	37604	\N	\N	\N
325318	1111	1997-01-22	VYDAJ	VYBER	1320	36284	\N	\N	\N
325319	1111	1997-01-12	VYDAJ	VYBER	1560	41324	\N	\N	\N
325320	1111	1997-01-29	VYDAJ	VYBER	2040	34244	\N	\N	\N
325321	1111	1997-01-14	VYDAJ	VYBER	720	40604	\N	\N	\N
325322	1111	1997-01-11	VYDAJ	VYBER	1320	60884	\N	\N	\N
325323	1111	1998-01-29	VYDAJ	VYBER	1200	44962	\N	\N	\N
325324	1111	1998-01-25	VYDAJ	VYBER	2880	46162	\N	\N	\N
325325	1111	1998-01-23	VYDAJ	VYBER	2760	51802	\N	\N	\N
325326	1111	1998-01-13	VYDAJ	VYBER	2640	55402	\N	\N	\N
325327	1111	1998-01-18	VYDAJ	VYBER	840	54562	\N	\N	\N
325328	1111	1998-01-23	VYDAJ	VYBER	2760	49042	\N	\N	\N
325331	1111	1997-12-23	VYDAJ	VYBER	5640	60168	\N	\N	\N
325332	1111	1997-12-17	VYDAJ	VYBER	1320	65808	\N	\N	\N
325333	1111	1997-06-05	VYDAJ	VYBER	2160	41814	\N	\N	\N
325335	1111	1998-11-11	VYDAJ	VYBER	2400	34309	\N	\N	\N
325337	1111	1998-09-19	VYDAJ	VYBER	3000	33887	\N	\N	\N
325345	1111	1996-07-31	VYDAJ	VYBER	15	48219	SLUZBY	\N	\N
325346	1111	1996-08-31	VYDAJ	VYBER	15	46144	SLUZBY	\N	\N
325347	1111	1996-09-30	VYDAJ	VYBER	15	45462	SLUZBY	\N	\N
325348	1111	1996-10-31	VYDAJ	VYBER	15	42572	SLUZBY	\N	\N
325349	1111	1996-11-30	VYDAJ	VYBER	15	43376	SLUZBY	\N	\N
325350	1111	1996-12-31	VYDAJ	VYBER	15	45466	SLUZBY	\N	\N
325351	1111	1997-01-31	VYDAJ	VYBER	15	34399	SLUZBY	\N	\N
325352	1111	1997-02-28	VYDAJ	VYBER	15	49204	SLUZBY	\N	\N
325353	1111	1997-03-31	VYDAJ	VYBER	15	48633	SLUZBY	\N	\N
325354	1111	1997-04-30	VYDAJ	VYBER	15	48903	SLUZBY	\N	\N
325355	1111	1997-05-31	VYDAJ	VYBER	15	43974	SLUZBY	\N	\N
325356	1111	1997-06-30	VYDAJ	VYBER	15	55711	SLUZBY	\N	\N
325357	1111	1997-07-31	VYDAJ	VYBER	15	58370	SLUZBY	\N	\N
325358	1111	1997-08-31	VYDAJ	VYBER	15	55722	SLUZBY	\N	\N
325359	1111	1997-09-30	VYDAJ	VYBER	15	55670	SLUZBY	\N	\N
325360	1111	1997-10-31	VYDAJ	VYBER	15	53111	SLUZBY	\N	\N
325361	1111	1997-11-30	VYDAJ	VYBER	15	57060	SLUZBY	\N	\N
325362	1111	1997-12-31	VYDAJ	VYBER	15	60404	SLUZBY	\N	\N
325363	1111	1998-01-31	VYDAJ	VYBER	15	45168	SLUZBY	\N	\N
325364	1111	1998-02-28	VYDAJ	VYBER	15	49886	SLUZBY	\N	\N
325365	1111	1998-03-31	VYDAJ	VYBER	15	51917	SLUZBY	\N	\N
325366	1111	1998-04-30	VYDAJ	VYBER	15	51748	SLUZBY	\N	\N
325367	1111	1998-05-31	VYDAJ	VYBER	15	49172	SLUZBY	\N	\N
325368	1111	1998-06-30	VYDAJ	VYBER	15	18143	SLUZBY	\N	\N
325369	1111	1998-07-31	VYDAJ	VYBER	15	34988	SLUZBY	\N	\N
325370	1111	1998-08-31	VYDAJ	VYBER	15	34749	SLUZBY	\N	\N
325371	1111	1998-09-30	VYDAJ	VYBER	15	34011	SLUZBY	\N	\N
325372	1111	1998-10-31	VYDAJ	VYBER	15	34771	SLUZBY	\N	\N
325373	1111	1998-11-30	VYDAJ	VYBER	15	34437	SLUZBY	\N	\N
325374	1111	1996-03-17	VYDAJ	VYBER	600	20500	\N	\N	\N
325375	1111	1996-04-16	VYDAJ	VYBER	9800	31441	\N	\N	\N
325376	1111	1996-05-16	VYDAJ	VYBER	11400	40850	\N	\N	\N
325377	1111	1996-06-15	VYDAJ	VYBER	25000	47051	\N	\N	\N
325378	1111	1996-07-15	VYDAJ	VYBER	19900	48035	\N	\N	\N
325379	1111	1996-08-14	VYDAJ	VYBER	19000	45957	\N	\N	\N
325380	1111	1996-09-13	VYDAJ	VYBER	17600	45282	\N	\N	\N
325381	1111	1996-10-13	VYDAJ	VYBER	19800	42400	\N	\N	\N
325382	1111	1996-11-12	VYDAJ	VYBER	16100	43210	\N	\N	\N
325383	1111	1996-12-12	VYDAJ	VYBER	22300	48164	\N	\N	\N
325384	1111	1997-01-11	VYDAJ	VYBER	18000	42884	\N	\N	\N
325385	1111	1997-02-10	VYDAJ	VYBER	2100	28337	\N	\N	\N
325386	1111	1997-03-12	VYDAJ	VYBER	17500	48442	\N	\N	\N
325387	1111	1997-04-11	VYDAJ	VYBER	16700	48671	\N	\N	\N
325388	1111	1997-05-11	VYDAJ	VYBER	21900	43741	\N	\N	\N
325389	1111	1997-06-10	VYDAJ	VYBER	900	24472	\N	\N	\N
325390	1111	1997-07-10	VYDAJ	VYBER	14300	37449	\N	\N	\N
325391	1111	1997-08-09	VYDAJ	VYBER	19600	34808	\N	\N	\N
325392	1111	1997-09-08	VYDAJ	VYBER	17000	38722	\N	\N	\N
325393	1111	1997-10-08	VYDAJ	VYBER	19500	36170	\N	\N	\N
325394	1111	1997-11-07	VYDAJ	VYBER	13000	40111	\N	\N	\N
325395	1111	1997-12-07	VYDAJ	VYBER	15100	41960	\N	\N	\N
325396	1111	1998-01-06	VYDAJ	VYBER	19100	41304	\N	\N	\N
325397	1111	1998-02-05	VYDAJ	VYBER	12200	32968	\N	\N	\N
325398	1111	1998-03-07	VYDAJ	VYBER	14900	34986	\N	\N	\N
325399	1111	1998-04-06	VYDAJ	VYBER	17100	34817	\N	\N	\N
325400	1111	1998-05-06	VYDAJ	VYBER	19500	32248	\N	\N	\N
325401	1111	1998-06-05	VYDAJ	VYBER	23100	26072	\N	\N	\N
325402	1111	1998-08-04	VYDAJ	VYBER	17100	17888	\N	\N	\N
325403	1111	1998-09-03	VYDAJ	VYBER	14600	20149	\N	\N	\N
325404	1111	1998-10-03	VYDAJ	VYBER	16100	17911	\N	\N	\N
325405	1111	1998-11-02	VYDAJ	VYBER	14800	19971	\N	\N	\N
325406	1111	1998-12-02	VYDAJ	VYBER	15400	19037	\N	\N	\N
325441	1112	1995-02-03	PRIJEM	VKLAD	900	900	\N	\N	\N
325443	1112	1995-02-06	PRIJEM	VKLAD	18819	19719	\N	\N	\N
325444	1112	1995-03-06	PRIJEM	VKLAD	18819	38306	\N	\N	\N
325445	1112	1995-04-06	PRIJEM	VKLAD	18819	49072	\N	\N	\N
325446	1112	1995-05-06	PRIJEM	VKLAD	18819	54888	\N	\N	\N
325447	1112	1995-06-06	PRIJEM	VKLAD	28228	67240	\N	\N	\N
325448	1112	1995-07-06	PRIJEM	VKLAD	18819	41856	\N	\N	\N
325449	1112	1995-08-06	PRIJEM	VKLAD	18819	54322	\N	\N	\N
325450	1112	1995-09-06	PRIJEM	VKLAD	18819	61021	\N	\N	\N
325451	1112	1995-10-06	PRIJEM	VKLAD	18819	65773	\N	\N	\N
325452	1112	1995-11-06	PRIJEM	VKLAD	18819	65345	\N	\N	\N
325453	1112	1995-12-06	PRIJEM	VKLAD	28228	76353	\N	\N	\N
325454	1112	1996-01-06	PRIJEM	VKLAD	18819	67248	\N	\N	\N
325455	1112	1996-02-06	PRIJEM	VKLAD	18819	58006	\N	\N	\N
325456	1112	1996-03-06	PRIJEM	VKLAD	18819	58273	\N	\N	\N
325457	1112	1996-04-06	PRIJEM	VKLAD	18819	61584	\N	\N	\N
325458	1112	1996-05-06	PRIJEM	VKLAD	18819	60492	\N	\N	\N
325459	1112	1996-06-06	PRIJEM	VKLAD	28228	73080	\N	\N	\N
325460	1112	1996-07-06	PRIJEM	VKLAD	18819	60849	\N	\N	\N
325461	1112	1996-08-06	PRIJEM	VKLAD	18819	62730	\N	\N	\N
325462	1112	1996-09-06	PRIJEM	VKLAD	18819	64101	\N	\N	\N
325463	1112	1996-10-06	PRIJEM	VKLAD	18819	67196	\N	\N	\N
325464	1112	1996-11-06	PRIJEM	VKLAD	18819	69703	\N	\N	\N
325465	1112	1996-12-06	PRIJEM	VKLAD	28228	76650	\N	\N	\N
325466	1112	1997-01-06	PRIJEM	VKLAD	18819	76736	\N	\N	\N
325467	1112	1997-02-06	PRIJEM	VKLAD	18819	66192	\N	\N	\N
325468	1112	1997-03-06	PRIJEM	VKLAD	18819	70798	\N	\N	\N
325469	1112	1997-04-06	PRIJEM	VKLAD	18819	70444	\N	\N	\N
325470	1112	1997-05-06	PRIJEM	VKLAD	18819	70863	\N	\N	\N
325471	1112	1997-06-06	PRIJEM	VKLAD	28228	85097	\N	\N	\N
325472	1112	1997-07-06	PRIJEM	VKLAD	18819	55392	\N	\N	\N
325473	1112	1997-08-06	PRIJEM	VKLAD	18819	65265	\N	\N	\N
325474	1112	1997-09-06	PRIJEM	VKLAD	18819	69308	\N	\N	\N
325475	1112	1997-10-06	PRIJEM	VKLAD	18819	71357	\N	\N	\N
325476	1112	1997-11-06	PRIJEM	VKLAD	18819	75084	\N	\N	\N
325477	1112	1997-12-06	PRIJEM	VKLAD	28228	83449	\N	\N	\N
325478	1112	1998-01-06	PRIJEM	VKLAD	18819	80696	\N	\N	\N
325479	1112	1998-02-06	PRIJEM	VKLAD	18819	68258	\N	\N	\N
325480	1112	1998-03-06	PRIJEM	VKLAD	18819	75321	\N	\N	\N
325481	1112	1998-04-06	PRIJEM	VKLAD	18819	85276	\N	\N	\N
325482	1112	1998-05-06	PRIJEM	VKLAD	18819	89963	\N	\N	\N
325483	1112	1998-06-06	PRIJEM	VKLAD	28228	56419	\N	\N	\N
325484	1112	1998-07-06	PRIJEM	VKLAD	18819	75871	\N	\N	\N
325485	1112	1998-08-06	PRIJEM	VKLAD	18819	91642	\N	\N	\N
325486	1112	1998-09-06	PRIJEM	VKLAD	18819	96357	\N	\N	\N
325487	1112	1998-10-06	PRIJEM	VKLAD	18819	99392	\N	\N	\N
325488	1112	1998-11-06	PRIJEM	VKLAD	18819	103939	\N	\N	\N
325489	1112	1998-12-06	PRIJEM	VKLAD	28228	113905	\N	\N	\N
325490	1112	1995-06-12	VYDAJ	VYBER	45440	21800	\N	\N	\N
325491	1112	1996-06-09	VYDAJ	VYBER	17120	55960	\N	\N	\N
325492	1112	1997-06-22	VYDAJ	VYBER	47520	37577	\N	\N	\N
325493	1112	1998-06-05	VYDAJ	VYBER	47360	28191	\N	\N	\N
325494	1112	1995-12-27	VYDAJ	VYBER	2400	73953	\N	\N	\N
325495	1112	1996-12-04	VYDAJ	VYBER	4480	48422	\N	\N	\N
325496	1112	1997-12-28	VYDAJ	VYBER KARTOU	2600	61649	\N	\N	0
325497	1112	1998-12-08	VYDAJ	VYBER KARTOU	3000	110905	\N	\N	0
325504	1112	1996-01-15	VYDAJ	VYBER	2520	59928	\N	\N	\N
325505	1112	1996-01-15	VYDAJ	VYBER	1080	63648	\N	\N	\N
325506	1112	1996-01-16	VYDAJ	VYBER	1800	52368	\N	\N	\N
325507	1112	1996-01-02	VYDAJ	VYBER	1320	48429	\N	\N	\N
325508	1112	1996-01-13	VYDAJ	VYBER	2520	64728	\N	\N	\N
325509	1112	1996-01-15	VYDAJ	VYBER	1200	62448	\N	\N	\N
325510	1112	1997-01-27	VYDAJ	VYBER KARTOU	3500	49736	\N	\N	0
325511	1112	1997-01-12	VYDAJ	VYBER KARTOU	2200	68936	\N	\N	0
325512	1112	1997-01-10	VYDAJ	VYBER KARTOU	2400	74336	\N	\N	0
325513	1112	1997-01-30	VYDAJ	VYBER KARTOU	2600	47136	\N	\N	0
325514	1112	1997-01-10	VYDAJ	VYBER KARTOU	3200	71136	\N	\N	0
325515	1112	1997-01-23	VYDAJ	VYBER KARTOU	1300	53236	\N	\N	0
325516	1112	1998-01-19	VYDAJ	VYBER KARTOU	2300	57896	\N	\N	0
325517	1112	1998-01-08	VYDAJ	VYBER KARTOU	2900	77796	\N	\N	0
325518	1112	1998-01-25	VYDAJ	VYBER KARTOU	3500	54396	\N	\N	0
325519	1112	1998-01-09	VYDAJ	VYBER KARTOU	3000	74796	\N	\N	0
325520	1112	1998-01-30	VYDAJ	VYBER KARTOU	2900	49196	\N	\N	0
325521	1112	1998-01-10	VYDAJ	VYBER KARTOU	3400	71396	\N	\N	0
325525	1112	1995-08-23	VYDAJ	VYBER	3120	51202	\N	\N	\N
325526	1112	1996-04-25	VYDAJ	VYBER	4080	57504	\N	\N	\N
325527	1112	1996-06-14	VYDAJ	VYBER	4920	51040	\N	\N	\N
325528	1112	1996-07-31	VYDAJ	VYBER	1800	43911	\N	\N	\N
325529	1112	1996-08-13	VYDAJ	VYBER	5640	57090	\N	\N	\N
325530	1112	1996-03-11	VYDAJ	VYBER	1800	56473	\N	\N	\N
325531	1112	1996-01-16	VYDAJ	VYBER	5760	54168	\N	\N	\N
325532	1112	1997-11-19	VYDAJ	VYBER	5280	59604	\N	\N	\N
325533	1112	1997-11-19	VYDAJ	VYBER KARTOU	4000	55604	\N	\N	0
325534	1112	1997-09-06	VYDAJ	VYBER KARTOU	1300	68008	\N	\N	0
325535	1112	1997-08-05	VYDAJ	VYBER KARTOU	3800	46446	\N	\N	0
325536	1112	1997-03-20	VYDAJ	VYBER	5280	65518	\N	\N	\N
325537	1112	1997-11-20	VYDAJ	VYBER KARTOU	600	55004	\N	\N	0
325538	1112	1998-02-20	VYDAJ	VYBER	4560	56298	\N	\N	\N
325539	1112	1998-01-28	VYDAJ	VYBER KARTOU	2300	52096	\N	\N	0
325540	1112	1998-12-21	VYDAJ	VYBER KARTOU	2500	84105	\N	\N	0
325541	1112	1998-09-25	VYDAJ	VYBER KARTOU	2800	80257	\N	\N	0
325548	1112	1995-06-30	VYDAJ	VYBER	15	21937	SLUZBY	\N	\N
325549	1112	1995-07-31	VYDAJ	VYBER	15	42003	SLUZBY	\N	\N
325550	1112	1995-08-31	VYDAJ	VYBER	15	51402	SLUZBY	\N	\N
325551	1112	1995-09-30	VYDAJ	VYBER	15	61254	SLUZBY	\N	\N
325552	1112	1995-10-31	VYDAJ	VYBER	15	46526	SLUZBY	\N	\N
325553	1112	1995-11-30	VYDAJ	VYBER	15	48125	SLUZBY	\N	\N
325554	1112	1995-12-31	VYDAJ	VYBER	15	49749	SLUZBY	\N	\N
325555	1112	1996-01-31	VYDAJ	VYBER	15	39187	SLUZBY	\N	\N
325556	1112	1996-02-29	VYDAJ	VYBER	15	39454	SLUZBY	\N	\N
325557	1112	1996-03-31	VYDAJ	VYBER	15	42765	SLUZBY	\N	\N
325558	1112	1996-04-30	VYDAJ	VYBER	15	41673	SLUZBY	\N	\N
325559	1112	1996-05-31	VYDAJ	VYBER	15	44852	SLUZBY	\N	\N
325560	1112	1996-06-30	VYDAJ	VYBER	15	42030	SLUZBY	\N	\N
325561	1112	1996-07-31	VYDAJ	VYBER	15	45711	SLUZBY	\N	\N
325562	1112	1996-08-31	VYDAJ	VYBER	15	45282	SLUZBY	\N	\N
325563	1112	1996-09-30	VYDAJ	VYBER	15	48377	SLUZBY	\N	\N
325564	1112	1996-10-31	VYDAJ	VYBER	15	50884	SLUZBY	\N	\N
325565	1112	1996-11-30	VYDAJ	VYBER	15	52902	SLUZBY	\N	\N
325566	1112	1996-12-31	VYDAJ	VYBER	15	57917	SLUZBY	\N	\N
325567	1112	1997-01-31	VYDAJ	VYBER	15	47373	SLUZBY	\N	\N
325568	1112	1997-02-28	VYDAJ	VYBER	15	51979	SLUZBY	\N	\N
325569	1112	1997-03-31	VYDAJ	VYBER	15	51625	SLUZBY	\N	\N
325570	1112	1997-04-30	VYDAJ	VYBER	15	52044	SLUZBY	\N	\N
325571	1112	1997-05-31	VYDAJ	VYBER	15	56869	SLUZBY	\N	\N
325572	1112	1997-06-30	VYDAJ	VYBER	15	36573	SLUZBY	\N	\N
325573	1112	1997-07-31	VYDAJ	VYBER	15	50246	SLUZBY	\N	\N
325574	1112	1997-08-31	VYDAJ	VYBER	15	50489	SLUZBY	\N	\N
325575	1112	1997-09-30	VYDAJ	VYBER	15	52538	SLUZBY	\N	\N
325576	1112	1997-10-31	VYDAJ	VYBER	15	56265	SLUZBY	\N	\N
325577	1112	1997-11-30	VYDAJ	VYBER	15	55221	SLUZBY	\N	\N
325578	1112	1997-12-31	VYDAJ	VYBER	15	61877	SLUZBY	\N	\N
325579	1112	1998-01-31	VYDAJ	VYBER	15	49439	SLUZBY	\N	\N
325580	1112	1998-02-28	VYDAJ	VYBER	15	56502	SLUZBY	\N	\N
325581	1112	1998-03-31	VYDAJ	VYBER	15	66457	SLUZBY	\N	\N
325582	1112	1998-04-30	VYDAJ	VYBER	15	71144	SLUZBY	\N	\N
325583	1112	1998-05-31	VYDAJ	VYBER	15	75551	SLUZBY	\N	\N
325584	1112	1998-06-30	VYDAJ	VYBER	15	57052	SLUZBY	\N	\N
325585	1112	1998-07-31	VYDAJ	VYBER	15	72823	SLUZBY	\N	\N
325586	1112	1998-08-31	VYDAJ	VYBER	15	77538	SLUZBY	\N	\N
325587	1112	1998-09-30	VYDAJ	VYBER	15	80573	SLUZBY	\N	\N
325588	1112	1998-10-31	VYDAJ	VYBER	15	85120	SLUZBY	\N	\N
325589	1112	1998-11-30	VYDAJ	VYBER	15	85677	SLUZBY	\N	\N
325590	1112	1995-03-05	VYDAJ	VYBER	300	19487	\N	\N	\N
325591	1112	1995-04-04	VYDAJ	VYBER	8200	30253	\N	\N	\N
325592	1112	1995-05-04	VYDAJ	VYBER	13200	36069	\N	\N	\N
325593	1112	1995-06-03	VYDAJ	VYBER	16100	39012	\N	\N	\N
325594	1112	1995-07-03	PRIJEM	VKLAD	1100	23037	\N	\N	\N
325595	1112	1995-08-02	VYDAJ	VYBER	6500	35503	\N	\N	\N
325596	1112	1995-09-01	VYDAJ	VYBER	9200	42202	\N	\N	\N
325597	1112	1995-10-01	VYDAJ	VYBER	14300	46954	\N	\N	\N
325598	1112	1995-10-31	VYDAJ	VYBER	19500	46541	\N	\N	\N
325599	1112	1995-11-30	VYDAJ	VYBER	17400	48139	\N	\N	\N
325600	1112	1995-12-30	VYDAJ	VYBER	24400	49553	\N	\N	\N
325601	1112	1996-01-29	VYDAJ	VYBER	13400	38968	\N	\N	\N
325602	1112	1996-02-28	VYDAJ	VYBER	18700	39306	\N	\N	\N
325603	1112	1996-03-29	VYDAJ	VYBER	13900	42573	\N	\N	\N
325604	1112	1996-04-28	VYDAJ	VYBER	16000	41504	\N	\N	\N
325605	1112	1996-05-28	VYDAJ	VYBER	15800	44692	\N	\N	\N
325606	1112	1996-06-27	VYDAJ	VYBER	9200	41840	\N	\N	\N
325607	1112	1996-07-27	VYDAJ	VYBER	15300	45549	\N	\N	\N
325608	1112	1996-08-26	VYDAJ	VYBER	12000	45090	\N	\N	\N
325609	1112	1996-09-25	VYDAJ	VYBER	15900	48201	\N	\N	\N
325610	1112	1996-10-25	VYDAJ	VYBER	16500	50696	\N	\N	\N
325611	1112	1996-11-24	VYDAJ	VYBER	17000	52703	\N	\N	\N
325612	1112	1996-12-24	VYDAJ	VYBER	19000	57650	\N	\N	\N
325613	1112	1997-01-23	VYDAJ	VYBER	14400	54536	\N	\N	\N
325614	1112	1997-02-22	VYDAJ	VYBER	14400	51792	\N	\N	\N
325615	1112	1997-03-24	VYDAJ	VYBER	14100	51418	\N	\N	\N
325616	1112	1997-04-23	VYDAJ	VYBER	18600	51844	\N	\N	\N
325617	1112	1997-05-23	VYDAJ	VYBER	14200	56663	\N	\N	\N
325618	1112	1997-06-22	VYDAJ	VYBER KARTOU	1200	36377	\N	\N	0
325619	1112	1997-07-22	VYDAJ	VYBER	5300	50092	\N	\N	\N
325620	1112	1997-08-21	VYDAJ	VYBER	15000	50265	\N	\N	\N
325621	1112	1997-09-20	VYDAJ	VYBER	15700	52308	\N	\N	\N
325622	1112	1997-10-20	VYDAJ	VYBER	15300	56057	\N	\N	\N
325623	1112	1997-11-19	VYDAJ	VYBER	10200	64884	\N	\N	\N
325624	1112	1997-12-19	VYDAJ	VYBER	19200	64249	\N	\N	\N
325625	1112	1998-01-18	VYDAJ	VYBER	11200	60196	\N	\N	\N
325626	1112	1998-02-17	VYDAJ	VYBER	7400	60858	\N	\N	\N
325627	1112	1998-03-19	VYDAJ	VYBER	9100	66221	\N	\N	\N
325628	1112	1998-04-18	VYDAJ	VYBER	14400	70876	\N	\N	\N
325629	1112	1998-05-18	VYDAJ	VYBER	14700	75263	\N	\N	\N
325630	1112	1998-06-17	PRIJEM	VKLAD	400	56819	\N	\N	\N
325631	1112	1998-07-17	VYDAJ	VYBER KARTOU	3300	72571	\N	\N	0
325632	1112	1998-08-16	VYDAJ	VYBER	14400	77242	\N	\N	\N
325633	1112	1998-09-15	VYDAJ	VYBER	13300	83057	\N	\N	\N
325634	1112	1998-10-15	VYDAJ	VYBER	14600	84792	\N	\N	\N
325635	1112	1998-11-14	VYDAJ	VYBER	18600	85339	\N	\N	\N
325636	1112	1998-12-14	VYDAJ	VYBER	24300	86605	\N	\N	\N
325684	1113	1996-09-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
325694	1113	1996-10-07	PRIJEM	VKLAD	8469	9569	\N	\N	\N
325695	1113	1996-11-07	PRIJEM	VKLAD	8469	26760	\N	\N	\N
325696	1113	1996-12-07	PRIJEM	VKLAD	12704	43055	\N	\N	\N
325697	1113	1997-01-07	PRIJEM	VKLAD	8469	47762	\N	\N	\N
325698	1113	1997-02-07	PRIJEM	VKLAD	8469	50097	\N	\N	\N
325699	1113	1997-03-07	PRIJEM	VKLAD	8469	43484	\N	\N	\N
325700	1113	1997-04-07	PRIJEM	VKLAD	8469	43861	\N	\N	\N
325701	1113	1997-05-07	PRIJEM	VKLAD	8469	43138	\N	\N	\N
325702	1113	1997-06-07	PRIJEM	VKLAD	12704	42872	\N	\N	\N
325703	1113	1997-07-07	PRIJEM	VKLAD	8469	19954	\N	\N	\N
325704	1113	1997-08-07	PRIJEM	VKLAD	8469	29170	\N	\N	\N
325705	1113	1997-09-07	PRIJEM	VKLAD	8469	33838	\N	\N	\N
325706	1113	1997-10-07	PRIJEM	VKLAD	8469	35176	\N	\N	\N
325707	1113	1997-11-07	PRIJEM	VKLAD	8469	39123	\N	\N	\N
325708	1113	1997-12-07	PRIJEM	VKLAD	12704	44256	\N	\N	\N
325709	1113	1998-01-07	PRIJEM	VKLAD	8469	46034	\N	\N	\N
325710	1113	1998-02-07	PRIJEM	VKLAD	8469	39118	\N	\N	\N
325711	1113	1998-03-07	PRIJEM	VKLAD	8469	32632	\N	\N	\N
325712	1113	1998-04-07	PRIJEM	VKLAD	8469	35465	\N	\N	\N
325713	1113	1998-05-07	PRIJEM	VKLAD	8469	41418	\N	\N	\N
325714	1113	1998-06-07	PRIJEM	VKLAD	12704	40289	\N	\N	\N
325715	1113	1998-07-07	PRIJEM	VKLAD	8469	45062	\N	\N	\N
325716	1113	1998-08-07	PRIJEM	VKLAD	8469	50055	\N	\N	\N
325717	1113	1998-09-07	PRIJEM	VKLAD	8469	55368	\N	\N	\N
325718	1113	1998-10-07	PRIJEM	VKLAD	8469	56996	\N	\N	\N
325719	1113	1998-11-07	PRIJEM	VKLAD	8469	60233	\N	\N	\N
325720	1113	1998-12-07	PRIJEM	VKLAD	12704	65921	\N	\N	\N
325735	1113	1997-03-05	VYDAJ	PREVOD NA UCET	3837	35015	SIPO	CD	6762576
325736	1113	1997-04-05	VYDAJ	PREVOD NA UCET	3837	35392	SIPO	CD	6762576
325737	1113	1997-05-05	VYDAJ	PREVOD NA UCET	3837	34669	SIPO	CD	6762576
325738	1113	1997-06-05	VYDAJ	PREVOD NA UCET	3837	30168	SIPO	CD	6762576
325739	1113	1997-07-05	VYDAJ	PREVOD NA UCET	3837	11485	SIPO	CD	6762576
325740	1113	1997-08-05	VYDAJ	PREVOD NA UCET	3837	20701	SIPO	CD	6762576
325741	1113	1997-09-05	VYDAJ	PREVOD NA UCET	3837	25369	SIPO	CD	6762576
325742	1113	1997-10-05	VYDAJ	PREVOD NA UCET	3837	26707	SIPO	CD	6762576
325743	1113	1997-11-05	VYDAJ	PREVOD NA UCET	3837	30654	SIPO	CD	6762576
325744	1113	1997-12-05	VYDAJ	PREVOD NA UCET	3837	32993	SIPO	CD	6762576
325745	1113	1998-01-05	VYDAJ	PREVOD NA UCET	3837	37565	SIPO	CD	6762576
325746	1113	1998-02-05	VYDAJ	PREVOD NA UCET	3837	30649	SIPO	CD	6762576
325747	1113	1998-03-05	VYDAJ	PREVOD NA UCET	3837	24163	SIPO	CD	6762576
325748	1113	1998-04-05	VYDAJ	PREVOD NA UCET	3837	26996	SIPO	CD	6762576
325749	1113	1998-05-05	VYDAJ	PREVOD NA UCET	3837	32949	SIPO	CD	6762576
325750	1113	1998-06-05	VYDAJ	PREVOD NA UCET	3837	27585	SIPO	CD	6762576
325751	1113	1998-07-05	VYDAJ	PREVOD NA UCET	3837	36593	SIPO	CD	6762576
325752	1113	1998-08-05	VYDAJ	PREVOD NA UCET	3837	41586	SIPO	CD	6762576
325753	1113	1998-09-05	VYDAJ	PREVOD NA UCET	3837	46899	SIPO	CD	6762576
325754	1113	1998-10-05	VYDAJ	PREVOD NA UCET	3837	48527	SIPO	CD	6762576
325755	1113	1998-11-05	VYDAJ	PREVOD NA UCET	3837	51764	SIPO	CD	6762576
325756	1113	1998-12-05	VYDAJ	PREVOD NA UCET	3837	53218	SIPO	CD	6762576
325770	1113	1997-02-11	VYDAJ	PREVOD NA UCET	1809	48288	 	YZ	4878908
325771	1113	1997-03-11	VYDAJ	PREVOD NA UCET	1809	41675	 	YZ	4878908
325772	1113	1997-04-11	VYDAJ	PREVOD NA UCET	1809	42052	 	YZ	4878908
325773	1113	1997-05-11	VYDAJ	PREVOD NA UCET	1809	35569	 	YZ	4878908
325774	1113	1997-06-11	VYDAJ	PREVOD NA UCET	1809	41063	 	YZ	4878908
325775	1113	1997-07-11	VYDAJ	PREVOD NA UCET	1809	18145	 	YZ	4878908
325776	1113	1997-08-11	VYDAJ	PREVOD NA UCET	1809	27361	 	YZ	4878908
325777	1113	1997-09-11	VYDAJ	PREVOD NA UCET	1809	32029	 	YZ	4878908
325778	1113	1997-10-11	VYDAJ	PREVOD NA UCET	1809	33367	 	YZ	4878908
325779	1113	1997-11-11	VYDAJ	PREVOD NA UCET	1809	37314	 	YZ	4878908
325780	1113	1997-12-11	VYDAJ	PREVOD NA UCET	1809	42447	 	YZ	4878908
325781	1113	1998-01-11	VYDAJ	PREVOD NA UCET	1809	34145	 	YZ	4878908
325782	1113	1998-02-11	VYDAJ	PREVOD NA UCET	1809	37309	 	YZ	4878908
325783	1113	1998-03-11	VYDAJ	PREVOD NA UCET	1809	30823	 	YZ	4878908
325784	1113	1998-04-11	VYDAJ	PREVOD NA UCET	1809	33656	 	YZ	4878908
325785	1113	1998-05-11	VYDAJ	PREVOD NA UCET	1809	39609	 	YZ	4878908
325786	1113	1998-06-11	VYDAJ	PREVOD NA UCET	1809	38480	 	YZ	4878908
325787	1113	1998-07-11	VYDAJ	PREVOD NA UCET	1809	43253	 	YZ	4878908
325788	1113	1998-08-11	VYDAJ	PREVOD NA UCET	1809	48246	 	YZ	4878908
325789	1113	1998-09-11	VYDAJ	PREVOD NA UCET	1809	53559	 	YZ	4878908
325790	1113	1998-10-11	VYDAJ	PREVOD NA UCET	1809	55187	 	YZ	4878908
325791	1113	1998-11-11	VYDAJ	PREVOD NA UCET	1809	58424	 	YZ	4878908
325792	1113	1998-12-11	VYDAJ	PREVOD NA UCET	1809	64112	 	YZ	4878908
325794	1113	1997-06-22	VYDAJ	VYBER	24960	15203	\N	\N	\N
325795	1113	1998-06-01	VYDAJ	VYBER	10240	31422	\N	\N	\N
325798	1113	1998-01-11	VYDAJ	VYBER	10080	35954	\N	\N	\N
325800	1113	1997-12-05	VYDAJ	VYBER	1440	31553	\N	\N	\N
325801	1113	1998-12-05	VYDAJ	VYBER	3200	57055	\N	\N	\N
325808	1113	1997-06-20	VYDAJ	VYBER	1200	40163	\N	\N	\N
325809	1113	1997-05-09	VYDAJ	VYBER	5760	37378	\N	\N	\N
325810	1113	1997-08-04	VYDAJ	VYBER	1680	24538	\N	\N	\N
325811	1113	1997-11-12	VYDAJ	VYBER	4320	32994	\N	\N	\N
325812	1113	1997-08-31	VYDAJ	VYBER	2760	29221	\N	\N	\N
325813	1113	1998-02-28	VYDAJ	VYBER	5640	28014	\N	\N	\N
325814	1113	1998-03-12	VYDAJ	VYBER	3000	27823	\N	\N	\N
325815	1113	1998-09-16	VYDAJ	VYBER	2400	52159	\N	\N	\N
325816	1113	1998-07-19	VYDAJ	VYBER	3000	45253	\N	\N	\N
325817	1113	1998-06-18	VYDAJ	VYBER	3000	40280	\N	\N	\N
325818	1113	1998-03-26	VYDAJ	VYBER	600	30723	\N	\N	\N
325833	1113	1997-02-28	VYDAJ	VYBER	15	38852	SLUZBY	\N	\N
325834	1113	1997-03-31	VYDAJ	VYBER	15	39229	SLUZBY	\N	\N
325835	1113	1997-04-30	VYDAJ	VYBER	15	38506	SLUZBY	\N	\N
325836	1113	1997-05-31	VYDAJ	VYBER	15	34005	SLUZBY	\N	\N
325837	1113	1997-06-30	VYDAJ	VYBER	15	15322	SLUZBY	\N	\N
325838	1113	1997-07-31	VYDAJ	VYBER	15	26218	SLUZBY	\N	\N
325839	1113	1997-08-31	VYDAJ	VYBER	15	29206	SLUZBY	\N	\N
325840	1113	1997-09-30	VYDAJ	VYBER	15	30544	SLUZBY	\N	\N
325841	1113	1997-10-31	VYDAJ	VYBER	15	34491	SLUZBY	\N	\N
325842	1113	1997-11-30	VYDAJ	VYBER	15	36830	SLUZBY	\N	\N
325843	1113	1997-12-31	VYDAJ	VYBER	15	41402	SLUZBY	\N	\N
325844	1113	1998-01-31	VYDAJ	VYBER	15	34486	SLUZBY	\N	\N
325845	1113	1998-02-28	VYDAJ	VYBER	15	28000	SLUZBY	\N	\N
325846	1113	1998-03-31	VYDAJ	VYBER	15	30833	SLUZBY	\N	\N
325847	1113	1998-04-30	VYDAJ	VYBER	15	36786	SLUZBY	\N	\N
325848	1113	1998-05-31	VYDAJ	VYBER	15	41662	SLUZBY	\N	\N
325849	1113	1998-06-30	VYDAJ	VYBER	15	40430	SLUZBY	\N	\N
325850	1113	1998-07-31	VYDAJ	VYBER	15	45423	SLUZBY	\N	\N
325851	1113	1998-08-31	VYDAJ	VYBER	15	50736	SLUZBY	\N	\N
325852	1113	1998-09-30	VYDAJ	VYBER	15	52364	SLUZBY	\N	\N
325853	1113	1998-10-31	VYDAJ	VYBER	15	55601	SLUZBY	\N	\N
325854	1113	1998-11-30	VYDAJ	VYBER	15	60255	SLUZBY	\N	\N
325855	1113	1996-10-23	PRIJEM	VKLAD	8700	18269	\N	\N	\N
325856	1113	1996-11-22	PRIJEM	VKLAD	3500	30260	\N	\N	\N
325857	1113	1996-12-22	VYDAJ	VYBER	3900	39155	\N	\N	\N
325858	1113	1997-01-21	VYDAJ	VYBER	6300	41462	\N	\N	\N
325859	1113	1997-02-20	VYDAJ	VYBER	9600	38688	\N	\N	\N
325860	1113	1997-03-22	VYDAJ	VYBER	2600	39075	\N	\N	\N
325861	1113	1997-04-21	VYDAJ	VYBER	3700	38352	\N	\N	\N
325862	1113	1997-05-21	VYDAJ	VYBER	1700	33869	\N	\N	\N
325863	1113	1997-06-20	PRIJEM	VKLAD	300	41363	\N	\N	\N
325864	1113	1997-07-20	PRIJEM	VKLAD	8000	26145	\N	\N	\N
325865	1113	1997-08-19	PRIJEM	VKLAD	4500	31861	\N	\N	\N
325866	1113	1997-09-18	VYDAJ	VYBER	1600	30429	\N	\N	\N
325867	1113	1997-10-18	PRIJEM	VKLAD	1000	34367	\N	\N	\N
325868	1113	1997-11-17	PRIJEM	VKLAD	3700	36694	\N	\N	\N
325869	1113	1997-12-17	VYDAJ	VYBER	1200	41247	\N	\N	\N
325870	1113	1998-01-16	PRIJEM	VKLAD	200	34345	\N	\N	\N
325871	1113	1998-02-15	VYDAJ	VYBER	3800	33509	\N	\N	\N
325872	1113	1998-03-17	PRIJEM	VKLAD	3500	31323	\N	\N	\N
325873	1113	1998-04-16	PRIJEM	VKLAD	3000	36656	\N	\N	\N
325874	1113	1998-05-16	PRIJEM	VKLAD	1900	41509	\N	\N	\N
325875	1113	1998-06-15	PRIJEM	VKLAD	4800	43280	\N	\N	\N
325876	1113	1998-07-15	PRIJEM	VKLAD	5000	48253	\N	\N	\N
325877	1113	1998-08-14	PRIJEM	VKLAD	2300	50546	\N	\N	\N
325878	1113	1998-09-13	PRIJEM	VKLAD	1000	54559	\N	\N	\N
325879	1113	1998-10-13	PRIJEM	VKLAD	200	55387	\N	\N	\N
325880	1113	1998-11-12	PRIJEM	VKLAD	1600	60024	\N	\N	\N
325908	1114	1993-11-13	PRIJEM	VKLAD	300	300	\N	\N	\N
325911	1114	1993-11-29	PRIJEM	VKLAD	49427	125910	\N	\N	\N
325916	1114	1993-11-21	PRIJEM	VKLAD	35470	76483	\N	\N	\N
325918	1114	1993-12-05	PRIJEM	VKLAD	40257	136401	\N	\N	\N
325926	1114	1993-12-27	PRIJEM	VKLAD	37890	92593	\N	\N	\N
325929	1114	1993-12-27	PRIJEM	VKLAD	5002	54703	\N	\N	\N
325932	1114	1993-11-17	PRIJEM	VKLAD	40713	41013	\N	\N	\N
325935	1114	1994-01-26	PRIJEM	VKLAD	5190	44426	\N	\N	\N
325936	1114	1994-03-13	PRIJEM	VKLAD	43891	126577	\N	\N	\N
325937	1114	1994-06-16	PRIJEM	VKLAD	49260	94655	\N	\N	\N
325938	1114	1994-04-26	PRIJEM	VKLAD	48639	85613	\N	\N	\N
325939	1114	1994-03-06	PRIJEM	VKLAD	30051	86036	\N	\N	\N
325940	1114	1994-06-19	PRIJEM	VKLAD	38290	124245	\N	\N	\N
325941	1114	1994-06-26	PRIJEM	VKLAD	49695	141340	\N	\N	\N
325942	1114	1994-01-18	PRIJEM	VKLAD	15153	39236	\N	\N	\N
325943	1114	1994-03-06	PRIJEM	VKLAD	22105	55985	\N	\N	\N
325944	1114	1994-05-27	PRIJEM	VKLAD	42580	87059	\N	\N	\N
325945	1114	1994-06-08	PRIJEM	VKLAD	5556	85895	\N	\N	\N
325946	1114	1994-04-03	PRIJEM	VKLAD	43162	90087	\N	\N	\N
325947	1114	1995-03-08	PRIJEM	VKLAD	45000	57633	\N	\N	\N
325948	1114	1996-12-13	PRIJEM	VKLAD	19697	45257	\N	\N	\N
325949	1114	1996-09-22	PRIJEM	VKLAD	23350	34595	\N	\N	\N
325950	1114	1996-05-26	PRIJEM	VKLAD	34441	60503	\N	\N	\N
325951	1114	1996-04-16	PRIJEM	VKLAD	5687	13131	\N	\N	\N
325952	1114	1996-03-13	PRIJEM	VKLAD	7239	10786	\N	\N	\N
325953	1114	1996-11-23	PRIJEM	VKLAD	46795	59641	\N	\N	\N
325954	1114	1996-07-27	PRIJEM	VKLAD	25588	47407	\N	\N	\N
325955	1114	1996-09-22	PRIJEM	VKLAD	17282	51877	\N	\N	\N
325956	1114	1996-05-05	PRIJEM	VKLAD	33066	53186	\N	\N	\N
325957	1114	1996-04-29	PRIJEM	VKLAD	22464	35595	\N	\N	\N
325958	1114	1996-07-06	PRIJEM	VKLAD	15656	36269	\N	\N	\N
325959	1114	1996-10-16	PRIJEM	VKLAD	9325	31419	\N	\N	\N
325960	1114	1997-03-20	PRIJEM	VKLAD	8643	19924	\N	\N	\N
325961	1114	1997-11-11	PRIJEM	VKLAD	15392	35672	\N	\N	\N
325962	1114	1997-04-30	PRIJEM	VKLAD	10362	23957	\N	\N	\N
325963	1114	1997-09-24	PRIJEM	VKLAD	25617	32979	\N	\N	\N
325964	1114	1997-10-17	PRIJEM	VKLAD	10122	87874	\N	\N	\N
325965	1114	1997-10-14	PRIJEM	VKLAD	48089	77752	\N	\N	\N
325966	1114	1997-01-07	PRIJEM	VKLAD	29052	45364	\N	\N	\N
325967	1114	1997-04-16	PRIJEM	VKLAD	8598	25209	\N	\N	\N
325968	1114	1997-12-17	PRIJEM	VKLAD	34888	61012	\N	\N	\N
325969	1114	1998-09-04	PRIJEM	VKLAD	29178	64730	\N	\N	\N
325970	1114	1998-11-27	PRIJEM	VKLAD	46251	78367	\N	\N	\N
325971	1114	1998-12-19	PRIJEM	VKLAD	38728	89060	\N	\N	\N
325972	1114	1998-12-24	PRIJEM	VKLAD	27896	116956	\N	\N	\N
325973	1114	1998-09-23	PRIJEM	VKLAD	14799	35679	\N	\N	\N
325974	1114	1998-07-30	PRIJEM	VKLAD	48898	66409	\N	\N	\N
325975	1114	1998-10-11	PRIJEM	VKLAD	36057	68533	\N	\N	\N
325976	1114	1998-03-09	PRIJEM	VKLAD	35366	59302	\N	\N	\N
325977	1114	1998-08-22	PRIJEM	VKLAD	5604	35329	\N	\N	\N
325978	1114	1998-08-16	PRIJEM	VKLAD	43354	142371	\N	\N	\N
325979	1114	1998-11-12	PRIJEM	VKLAD	6061	32116	\N	\N	\N
325980	1114	1998-01-06	PRIJEM	VKLAD	34566	63091	\N	\N	\N
325981	1114	1998-08-15	PRIJEM	VKLAD	35892	99017	\N	\N	\N
325982	1114	1998-12-18	PRIJEM	VKLAD	23310	50332	\N	\N	\N
325995	1114	1994-01-06	VYDAJ	PREVOD NA UCET	3350	65028	SIPO	EF	41164273
325996	1114	1994-02-06	VYDAJ	PREVOD NA UCET	3350	41253	SIPO	EF	41164273
325997	1114	1994-03-06	VYDAJ	PREVOD NA UCET	3350	82686	SIPO	EF	41164273
325998	1114	1994-04-06	VYDAJ	PREVOD NA UCET	3350	80398	SIPO	EF	41164273
325999	1114	1994-05-06	VYDAJ	PREVOD NA UCET	3350	67779	SIPO	EF	41164273
326000	1114	1994-06-06	VYDAJ	PREVOD NA UCET	3350	80339	SIPO	EF	41164273
326001	1114	1994-07-06	VYDAJ	PREVOD NA UCET	3350	72329	SIPO	EF	41164273
326002	1114	1994-08-06	VYDAJ	PREVOD NA UCET	3350	47198	SIPO	EF	41164273
326003	1114	1994-09-06	VYDAJ	PREVOD NA UCET	3350	21497	SIPO	EF	41164273
326004	1114	1994-10-06	VYDAJ	PREVOD NA UCET	3350	18643	SIPO	EF	41164273
326005	1114	1994-11-06	VYDAJ	PREVOD NA UCET	3350	16347	SIPO	EF	41164273
326006	1114	1994-12-06	VYDAJ	PREVOD NA UCET	3350	16549	SIPO	EF	41164273
326007	1114	1995-01-06	VYDAJ	PREVOD NA UCET	3350	15047	SIPO	EF	41164273
326008	1114	1995-02-06	VYDAJ	PREVOD NA UCET	3350	15945	SIPO	EF	41164273
326009	1114	1995-03-06	VYDAJ	PREVOD NA UCET	3350	12633	SIPO	EF	41164273
326010	1114	1995-04-06	VYDAJ	PREVOD NA UCET	3350	32594	SIPO	EF	41164273
326011	1114	1995-05-06	VYDAJ	PREVOD NA UCET	3350	22028	SIPO	EF	41164273
326012	1114	1995-06-06	VYDAJ	PREVOD NA UCET	3350	15037	SIPO	EF	41164273
326013	1114	1995-07-06	VYDAJ	PREVOD NA UCET	3350	14434	SIPO	EF	41164273
326014	1114	1995-08-06	VYDAJ	PREVOD NA UCET	3350	11614	SIPO	EF	41164273
326015	1114	1995-09-06	VYDAJ	PREVOD NA UCET	3350	9384	SIPO	EF	41164273
326016	1114	1995-10-06	VYDAJ	PREVOD NA UCET	3350	6043	SIPO	EF	41164273
326017	1114	1995-11-06	VYDAJ	PREVOD NA UCET	3350	10101	SIPO	EF	41164273
326018	1114	1995-12-06	VYDAJ	PREVOD NA UCET	3350	11259	SIPO	EF	41164273
326019	1114	1996-01-06	VYDAJ	PREVOD NA UCET	3350	10224	SIPO	EF	41164273
326020	1114	1996-02-06	VYDAJ	PREVOD NA UCET	3350	6886	SIPO	EF	41164273
326021	1114	1996-03-06	VYDAJ	PREVOD NA UCET	3350	3547	SIPO	EF	41164273
326022	1114	1996-04-06	VYDAJ	PREVOD NA UCET	3350	7444	SIPO	EF	41164273
326023	1114	1996-05-06	VYDAJ	PREVOD NA UCET	3350	49836	SIPO	EF	41164273
326024	1114	1996-06-06	VYDAJ	PREVOD NA UCET	3350	30305	SIPO	EF	41164273
326025	1114	1996-07-06	VYDAJ	PREVOD NA UCET	3350	32919	SIPO	EF	41164273
326026	1114	1996-08-06	VYDAJ	PREVOD NA UCET	3350	21726	SIPO	EF	41164273
326027	1114	1996-09-06	VYDAJ	PREVOD NA UCET	3350	11245	SIPO	EF	41164273
326028	1114	1996-10-06	VYDAJ	PREVOD NA UCET	3350	22094	SIPO	EF	41164273
326029	1114	1996-11-06	VYDAJ	PREVOD NA UCET	3350	12846	SIPO	EF	41164273
326030	1114	1996-12-06	VYDAJ	PREVOD NA UCET	3350	25560	SIPO	EF	41164273
326031	1114	1997-01-06	VYDAJ	PREVOD NA UCET	3350	16312	SIPO	EF	41164273
326032	1114	1997-02-06	VYDAJ	PREVOD NA UCET	3350	14589	SIPO	EF	41164273
326033	1114	1997-03-06	VYDAJ	PREVOD NA UCET	3350	11281	SIPO	EF	41164273
326034	1114	1997-04-06	VYDAJ	PREVOD NA UCET	3350	16611	SIPO	EF	41164273
326035	1114	1997-05-06	VYDAJ	PREVOD NA UCET	3350	20577	SIPO	EF	41164273
326036	1114	1997-06-06	VYDAJ	PREVOD NA UCET	3350	17294	SIPO	EF	41164273
326037	1114	1997-07-06	VYDAJ	PREVOD NA UCET	3350	13997	SIPO	EF	41164273
326038	1114	1997-08-06	VYDAJ	PREVOD NA UCET	3350	10686	SIPO	EF	41164273
326039	1114	1997-09-06	VYDAJ	PREVOD NA UCET	3350	7362	SIPO	EF	41164273
326040	1114	1997-10-06	VYDAJ	PREVOD NA UCET	3350	29663	SIPO	EF	41164273
326041	1114	1997-11-06	VYDAJ	PREVOD NA UCET	3350	20280	SIPO	EF	41164273
326042	1114	1997-12-06	VYDAJ	PREVOD NA UCET	3350	32424	SIPO	EF	41164273
326043	1114	1998-01-06	VYDAJ	PREVOD NA UCET	3350	59741	SIPO	EF	41164273
326044	1114	1998-02-06	VYDAJ	PREVOD NA UCET	3350	29284	SIPO	EF	41164273
326045	1114	1998-03-06	VYDAJ	PREVOD NA UCET	3350	23936	SIPO	EF	41164273
326046	1114	1998-04-06	VYDAJ	PREVOD NA UCET	3350	31813	SIPO	EF	41164273
326047	1114	1998-05-06	VYDAJ	PREVOD NA UCET	3350	24074	SIPO	EF	41164273
326048	1114	1998-06-06	VYDAJ	PREVOD NA UCET	3350	20795	SIPO	EF	41164273
326049	1114	1998-07-06	VYDAJ	PREVOD NA UCET	3350	17511	SIPO	EF	41164273
326050	1114	1998-08-06	VYDAJ	PREVOD NA UCET	3350	63125	SIPO	EF	41164273
326051	1114	1998-09-06	VYDAJ	PREVOD NA UCET	3350	61380	SIPO	EF	41164273
326052	1114	1998-10-06	VYDAJ	PREVOD NA UCET	3350	32476	SIPO	EF	41164273
326053	1114	1998-11-06	VYDAJ	PREVOD NA UCET	3350	26055	SIPO	EF	41164273
326054	1114	1998-12-06	VYDAJ	PREVOD NA UCET	3350	28522	SIPO	EF	41164273
326055	1114	1994-08-08	VYBER	VYBER	23148	24050	\N	\N	\N
326056	1114	1994-01-02	VYBER	VYBER	24519	68378	\N	\N	\N
326058	1114	1994-04-04	VYBER	VYBER	6339	83748	\N	\N	\N
326059	1114	1994-10-06	VYBER	VYBER	2476	21993	\N	\N	\N
326060	1114	1994-04-14	VYBER	VYBER	16024	36974	\N	\N	\N
326062	1114	1994-01-09	VYBER	VYBER	21945	43083	\N	\N	\N
326075	1114	1995-03-08	VYBER	VYBER	11122	46511	\N	\N	\N
326076	1114	1996-05-22	VYBER	VYBER	23774	26062	\N	\N	\N
326080	1114	1997-12-21	VYBER	VYBER	22183	38829	\N	\N	\N
326082	1114	1998-10-27	VYBER	VYBER	21273	29260	\N	\N	\N
326083	1114	1998-11-28	VYBER	VYBER	2438	56488	\N	\N	\N
326084	1114	1998-12-06	VYBER	VYBER	24729	31872	\N	\N	\N
326086	1114	1998-08-20	VYBER	VYBER	6646	29725	\N	\N	\N
326087	1114	1998-01-05	VYBER	VYBER	10433	28525	\N	\N	\N
326088	1114	1998-11-28	VYBER	VYBER	19441	58926	\N	\N	\N
326089	1114	1998-03-12	VYBER	VYBER	24256	35046	\N	\N	\N
326090	1114	1998-12-28	VYBER	VYBER	13854	83102	\N	\N	\N
326091	1114	1998-01-10	VYBER	VYBER	23039	36702	\N	\N	\N
326094	1114	1994-06-08	VYDAJ	VYBER	24000	61895	\N	\N	\N
326100	1114	1994-01-15	VYDAJ	VYBER	8100	24083	\N	\N	\N
326103	1114	1997-01-07	VYDAJ	VYBER	15300	30064	\N	\N	\N
326104	1114	1998-01-27	VYDAJ	VYBER	4200	32502	\N	\N	\N
326108	1114	1996-12-17	VYDAJ	VYBER	6300	38957	\N	\N	\N
326109	1114	1997-12-13	VYDAJ	VYBER	6300	26124	\N	\N	\N
326118	1114	1994-06-30	VYDAJ	VYBER	7500	85909	\N	\N	\N
326119	1114	1994-06-06	VYDAJ	VYBER	3600	83689	\N	\N	\N
326121	1114	1994-07-04	VYDAJ	VYBER	10200	75679	\N	\N	\N
326122	1114	1994-06-18	VYDAJ	VYBER	8700	85955	\N	\N	\N
326123	1114	1994-05-02	VYDAJ	VYBER	14700	71129	\N	\N	\N
326128	1114	1996-07-06	VYDAJ	VYBER	11100	21819	\N	\N	\N
326130	1114	1996-12-03	VYDAJ	VYBER	3900	28910	\N	\N	\N
326131	1114	1996-10-03	VYDAJ	VYBER	4800	25444	\N	\N	\N
326132	1114	1996-05-01	VYDAJ	VYBER	2100	20120	\N	\N	\N
326133	1114	1997-11-01	VYDAJ	VYBER	8100	23630	\N	\N	\N
326136	1114	1997-10-18	VYDAJ	VYBER	14100	73774	\N	\N	\N
326138	1114	1998-10-12	VYDAJ	VYBER	5400	50533	\N	\N	\N
326139	1114	1998-10-11	VYDAJ	VYBER	12600	55933	\N	\N	\N
326141	1114	1998-05-02	VYDAJ	VYBER	2100	27424	\N	\N	\N
326142	1114	1998-12-12	VYDAJ	VYBER	1500	27022	\N	\N	\N
326143	1114	1998-02-28	VYDAJ	VYBER	2100	27286	\N	\N	\N
326144	1114	1998-04-28	VYDAJ	VYBER	2400	29413	\N	\N	\N
326158	1114	1993-12-31	VYDAJ	VYBER	30	92897	SLUZBY	\N	\N
326159	1114	1994-01-31	VYDAJ	VYBER	30	44603	SLUZBY	\N	\N
326160	1114	1994-02-28	VYDAJ	VYBER	30	33880	SLUZBY	\N	\N
326161	1114	1994-03-31	VYDAJ	VYBER	30	46925	SLUZBY	\N	\N
326162	1114	1994-04-30	VYDAJ	VYBER	30	85829	SLUZBY	\N	\N
326163	1114	1994-05-31	VYDAJ	VYBER	30	87289	SLUZBY	\N	\N
326164	1114	1994-06-30	VYDAJ	VYBER	30	85879	SLUZBY	\N	\N
326165	1114	1994-07-31	VYDAJ	VYBER	30	50548	SLUZBY	\N	\N
326166	1114	1994-08-31	VYDAJ	VYBER	30	24847	SLUZBY	\N	\N
326167	1114	1994-09-30	VYDAJ	VYBER	30	24469	SLUZBY	\N	\N
326168	1114	1994-10-31	VYDAJ	VYBER	30	19697	SLUZBY	\N	\N
326169	1114	1994-11-30	VYDAJ	VYBER	30	19899	SLUZBY	\N	\N
326170	1114	1994-12-31	VYDAJ	VYBER	30	18397	SLUZBY	\N	\N
326171	1114	1995-01-31	VYDAJ	VYBER	30	18895	SLUZBY	\N	\N
326172	1114	1995-02-28	VYDAJ	VYBER	30	15983	SLUZBY	\N	\N
326173	1114	1995-03-31	VYDAJ	VYBER	30	35944	SLUZBY	\N	\N
326174	1114	1995-04-30	VYDAJ	VYBER	30	25378	SLUZBY	\N	\N
326175	1114	1995-05-31	VYDAJ	VYBER	30	20787	SLUZBY	\N	\N
326176	1114	1995-06-30	VYDAJ	VYBER	30	15084	SLUZBY	\N	\N
326177	1114	1995-07-31	VYDAJ	VYBER	30	14464	SLUZBY	\N	\N
326178	1114	1995-08-31	VYDAJ	VYBER	30	11634	SLUZBY	\N	\N
326179	1114	1995-09-30	VYDAJ	VYBER	30	9393	SLUZBY	\N	\N
326180	1114	1995-10-31	VYDAJ	VYBER	30	6051	SLUZBY	\N	\N
326181	1114	1995-11-30	VYDAJ	VYBER	30	10109	SLUZBY	\N	\N
326182	1114	1995-12-31	VYDAJ	VYBER	30	11274	SLUZBY	\N	\N
326183	1114	1996-01-31	VYDAJ	VYBER	30	10236	SLUZBY	\N	\N
326184	1114	1996-02-29	VYDAJ	VYBER	30	6897	SLUZBY	\N	\N
326185	1114	1996-03-31	VYDAJ	VYBER	30	10794	SLUZBY	\N	\N
326186	1114	1996-04-30	VYDAJ	VYBER	30	35620	SLUZBY	\N	\N
326187	1114	1996-05-31	VYDAJ	VYBER	30	33655	SLUZBY	\N	\N
326188	1114	1996-06-30	VYDAJ	VYBER	30	30413	SLUZBY	\N	\N
326189	1114	1996-07-31	VYDAJ	VYBER	30	25076	SLUZBY	\N	\N
326190	1114	1996-08-31	VYDAJ	VYBER	30	14595	SLUZBY	\N	\N
326191	1114	1996-09-30	VYDAJ	VYBER	30	30244	SLUZBY	\N	\N
326192	1114	1996-10-31	VYDAJ	VYBER	30	16196	SLUZBY	\N	\N
326193	1114	1996-11-30	VYDAJ	VYBER	30	32810	SLUZBY	\N	\N
326194	1114	1996-12-31	VYDAJ	VYBER	30	19662	SLUZBY	\N	\N
326195	1114	1997-01-31	VYDAJ	VYBER	30	17939	SLUZBY	\N	\N
326196	1114	1997-02-28	VYDAJ	VYBER	30	14631	SLUZBY	\N	\N
326197	1114	1997-03-31	VYDAJ	VYBER	30	19961	SLUZBY	\N	\N
326198	1114	1997-04-30	VYDAJ	VYBER	30	23927	SLUZBY	\N	\N
326199	1114	1997-05-31	VYDAJ	VYBER	30	20644	SLUZBY	\N	\N
326200	1114	1997-06-30	VYDAJ	VYBER	30	17347	SLUZBY	\N	\N
326201	1114	1997-07-31	VYDAJ	VYBER	30	14036	SLUZBY	\N	\N
326202	1114	1997-08-31	VYDAJ	VYBER	30	10712	SLUZBY	\N	\N
326203	1114	1997-09-30	VYDAJ	VYBER	30	33013	SLUZBY	\N	\N
326204	1114	1997-10-31	VYDAJ	VYBER	30	31730	SLUZBY	\N	\N
326205	1114	1997-11-30	VYDAJ	VYBER	30	35774	SLUZBY	\N	\N
326206	1114	1997-12-31	VYDAJ	VYBER	30	38958	SLUZBY	\N	\N
326207	1114	1998-01-31	VYDAJ	VYBER	30	32634	SLUZBY	\N	\N
326208	1114	1998-02-28	VYDAJ	VYBER	30	29386	SLUZBY	\N	\N
326209	1114	1998-03-31	VYDAJ	VYBER	30	35163	SLUZBY	\N	\N
326210	1114	1998-04-30	VYDAJ	VYBER	30	29524	SLUZBY	\N	\N
326211	1114	1998-05-31	VYDAJ	VYBER	30	24145	SLUZBY	\N	\N
326212	1114	1998-06-30	VYDAJ	VYBER	30	20861	SLUZBY	\N	\N
326213	1114	1998-07-31	VYDAJ	VYBER	30	66475	SLUZBY	\N	\N
326214	1114	1998-08-31	VYDAJ	VYBER	30	35552	SLUZBY	\N	\N
326215	1114	1998-09-30	VYDAJ	VYBER	30	35826	SLUZBY	\N	\N
326216	1114	1998-10-31	VYDAJ	VYBER	30	29405	SLUZBY	\N	\N
326217	1114	1998-11-30	VYDAJ	VYBER	30	56601	SLUZBY	\N	\N
326218	1114	1993-11-29	VYDAJ	VYBER	29900	96010	\N	\N	\N
326219	1114	1993-12-05	VYDAJ	VYBER	61100	75301	\N	\N	\N
326220	1114	1993-12-13	VYDAJ	VYBER	25600	49701	\N	\N	\N
326221	1114	1994-01-12	VYDAJ	VYBER	10900	32183	\N	\N	\N
326222	1114	1994-02-11	VYDAJ	VYBER	7500	33753	\N	\N	\N
326223	1114	1994-03-13	VYDAJ	VYBER	55800	70777	\N	\N	\N
326224	1114	1994-03-13	VYDAJ	VYBER	24100	46677	\N	\N	\N
326225	1114	1994-04-12	VYDAJ	VYBER	27400	52998	\N	\N	\N
326226	1114	1994-05-12	VYDAJ	VYBER	23300	44479	\N	\N	\N
326227	1114	1994-06-11	VYDAJ	VYBER	16500	45395	\N	\N	\N
326228	1114	1994-06-19	VYDAJ	VYBER	32600	91645	\N	\N	\N
326229	1114	1994-06-26	VYDAJ	VYBER	48300	93040	\N	\N	\N
326230	1114	1994-07-11	VYDAJ	VYBER	22000	50329	\N	\N	\N
326231	1114	1994-08-10	PRIJEM	VKLAD	700	24750	\N	\N	\N
326232	1114	1994-09-09	PRIJEM	VKLAD	2900	24397	\N	\N	\N
326233	1114	1994-10-09	PRIJEM	VKLAD	1000	19643	\N	\N	\N
326234	1114	1994-11-08	PRIJEM	VKLAD	3500	19847	\N	\N	\N
326235	1114	1994-12-08	PRIJEM	VKLAD	1800	18349	\N	\N	\N
326236	1114	1995-01-07	PRIJEM	VKLAD	3800	18847	\N	\N	\N
326237	1114	1995-02-06	PRIJEM	VKLAD	400	19295	\N	\N	\N
326238	1114	1995-03-08	VYDAJ	VYBER	10700	35811	\N	\N	\N
326239	1114	1995-04-07	VYDAJ	VYBER	7300	25294	\N	\N	\N
326240	1114	1995-05-07	VYDAJ	VYBER	1300	20728	\N	\N	\N
326241	1114	1995-06-06	VYDAJ	VYBER	2400	18387	\N	\N	\N
326242	1114	1995-07-06	PRIJEM	VKLAD	2700	17784	\N	\N	\N
326243	1114	1995-08-05	PRIJEM	VKLAD	500	14964	\N	\N	\N
326244	1114	1995-09-04	PRIJEM	VKLAD	1100	12734	\N	\N	\N
326245	1114	1995-11-03	PRIJEM	VKLAD	7400	13451	\N	\N	\N
326246	1114	1995-12-03	PRIJEM	VKLAD	4500	14609	\N	\N	\N
326247	1114	1996-01-02	PRIJEM	VKLAD	2300	13574	\N	\N	\N
326248	1114	1996-05-01	VYDAJ	VYBER	13400	22220	\N	\N	\N
326249	1114	1996-05-31	VYDAJ	VYBER	27000	33685	\N	\N	\N
326250	1114	1996-06-30	VYDAJ	VYBER	9800	20613	\N	\N	\N
326251	1114	1996-07-30	VYDAJ	VYBER	22400	25007	\N	\N	\N
326252	1114	1996-08-29	VYDAJ	VYBER	7200	14526	\N	\N	\N
326253	1114	1996-09-28	VYDAJ	VYBER	21700	30177	\N	\N	\N
326254	1114	1996-10-28	VYDAJ	VYBER	15300	16119	\N	\N	\N
326255	1114	1996-11-27	VYDAJ	VYBER	26900	32741	\N	\N	\N
326256	1114	1996-12-27	VYDAJ	VYBER	19400	19557	\N	\N	\N
326257	1114	1997-01-26	VYDAJ	VYBER	12200	17864	\N	\N	\N
326258	1114	1997-04-26	VYDAJ	VYBER	11700	13509	\N	\N	\N
326259	1114	1997-10-23	VYDAJ	VYBER	42200	31574	\N	\N	\N
326260	1114	1998-08-16	VYDAJ	VYBER	50200	92171	\N	\N	\N
326261	1114	1998-08-19	VYDAJ	VYBER	55800	36371	\N	\N	\N
326262	1114	1998-09-18	VYDAJ	VYBER	40500	20880	\N	\N	\N
326263	1114	1998-12-24	VYDAJ	VYBER	20000	96956	\N	\N	\N
326326	1115	1993-03-27	PRIJEM	VKLAD	300	300	\N	\N	\N
326330	1115	1993-04-07	PRIJEM	PREVOD Z UCTU	3440	3740	\N	CD	66125869
326331	1115	1993-05-07	PRIJEM	PREVOD Z UCTU	3440	7180	\N	CD	66125869
326332	1115	1993-06-07	PRIJEM	PREVOD Z UCTU	3440	10620	\N	CD	66125869
326333	1115	1993-07-07	PRIJEM	PREVOD Z UCTU	3440	14060	\N	CD	66125869
326334	1115	1993-08-07	PRIJEM	PREVOD Z UCTU	3440	17500	\N	CD	66125869
326335	1115	1993-09-07	PRIJEM	PREVOD Z UCTU	3440	17895	\N	CD	66125869
326336	1115	1993-10-07	PRIJEM	PREVOD Z UCTU	3440	17961	\N	CD	66125869
326337	1115	1993-11-07	PRIJEM	PREVOD Z UCTU	3440	18447	\N	CD	66125869
326338	1115	1993-12-07	PRIJEM	PREVOD Z UCTU	3440	19655	\N	CD	66125869
326339	1115	1994-01-07	PRIJEM	PREVOD Z UCTU	3440	19729	\N	CD	66125869
326340	1115	1994-02-07	PRIJEM	PREVOD Z UCTU	3440	17187	\N	CD	66125869
326341	1115	1994-03-07	PRIJEM	PREVOD Z UCTU	3440	18390	\N	CD	66125869
326342	1115	1994-04-07	PRIJEM	PREVOD Z UCTU	3440	18243	\N	CD	66125869
326343	1115	1994-05-07	PRIJEM	PREVOD Z UCTU	3440	18278	\N	CD	66125869
326344	1115	1994-06-07	PRIJEM	PREVOD Z UCTU	3440	18436	\N	CD	66125869
326345	1115	1994-07-07	PRIJEM	PREVOD Z UCTU	3440	18111	\N	CD	66125869
326346	1115	1994-08-07	PRIJEM	PREVOD Z UCTU	3440	19318	\N	CD	66125869
326347	1115	1994-09-07	PRIJEM	PREVOD Z UCTU	3440	20529	\N	CD	66125869
326348	1115	1994-10-07	PRIJEM	PREVOD Z UCTU	3440	19466	\N	CD	66125869
326349	1115	1994-11-07	PRIJEM	PREVOD Z UCTU	3440	20679	\N	CD	66125869
326350	1115	1994-12-07	PRIJEM	PREVOD Z UCTU	3440	21395	\N	CD	66125869
326536	1115	1994-05-30	VYDAJ	VYBER	1050	17228	\N	\N	\N
326351	1115	1995-01-07	PRIJEM	PREVOD Z UCTU	3440	21514	\N	CD	66125869
326352	1115	1995-02-07	PRIJEM	PREVOD Z UCTU	3440	17744	\N	CD	66125869
326353	1115	1995-03-07	PRIJEM	PREVOD Z UCTU	3440	18468	\N	CD	66125869
326354	1115	1995-04-07	PRIJEM	PREVOD Z UCTU	3440	18434	\N	CD	66125869
326355	1115	1995-05-07	PRIJEM	PREVOD Z UCTU	3440	19071	\N	CD	66125869
326356	1115	1995-06-07	PRIJEM	PREVOD Z UCTU	3440	18378	\N	CD	66125869
326357	1115	1995-07-07	PRIJEM	PREVOD Z UCTU	3440	17275	\N	CD	66125869
326358	1115	1995-08-07	PRIJEM	PREVOD Z UCTU	3440	17726	\N	CD	66125869
326359	1115	1995-09-07	PRIJEM	PREVOD Z UCTU	3440	17999	\N	CD	66125869
326360	1115	1995-10-07	PRIJEM	PREVOD Z UCTU	3440	19205	\N	CD	66125869
326361	1115	1995-11-07	PRIJEM	PREVOD Z UCTU	3440	20416	\N	CD	66125869
326362	1115	1995-12-07	PRIJEM	PREVOD Z UCTU	3440	19828	\N	CD	66125869
326363	1115	1996-01-07	PRIJEM	PREVOD Z UCTU	3440	20080	\N	CD	66125869
326364	1115	1996-02-07	PRIJEM	PREVOD Z UCTU	3440	15579	\N	CD	66125869
326365	1115	1996-03-07	PRIJEM	PREVOD Z UCTU	3440	16774	\N	CD	66125869
326366	1115	1996-04-07	PRIJEM	PREVOD Z UCTU	3440	17875	\N	CD	66125869
326367	1115	1996-05-07	PRIJEM	PREVOD Z UCTU	3440	19080	\N	CD	66125869
326368	1115	1996-06-07	PRIJEM	PREVOD Z UCTU	3440	16451	\N	CD	66125869
326369	1115	1996-07-07	PRIJEM	PREVOD Z UCTU	3440	16778	\N	CD	66125869
326370	1115	1996-08-07	PRIJEM	PREVOD Z UCTU	3440	17017	\N	CD	66125869
326371	1115	1996-09-07	PRIJEM	PREVOD Z UCTU	3440	15409	\N	CD	66125869
326372	1115	1996-10-07	PRIJEM	PREVOD Z UCTU	3440	16604	\N	CD	66125869
326373	1115	1996-11-07	PRIJEM	PREVOD Z UCTU	3440	17264	\N	CD	66125869
326374	1115	1996-12-07	PRIJEM	PREVOD Z UCTU	3440	17866	\N	CD	66125869
326375	1115	1997-01-07	PRIJEM	PREVOD Z UCTU	3440	15890	\N	CD	66125869
326376	1115	1997-02-07	PRIJEM	PREVOD Z UCTU	3440	15824	\N	CD	66125869
326377	1115	1997-03-07	PRIJEM	PREVOD Z UCTU	3440	16020	\N	CD	66125869
326378	1115	1997-04-07	PRIJEM	PREVOD Z UCTU	3440	17008	\N	CD	66125869
326379	1115	1997-05-07	PRIJEM	PREVOD Z UCTU	3440	18209	\N	CD	66125869
326380	1115	1997-06-07	PRIJEM	PREVOD Z UCTU	3440	19415	\N	CD	66125869
326381	1115	1997-07-07	PRIJEM	PREVOD Z UCTU	3440	19513	\N	CD	66125869
326382	1115	1997-08-07	PRIJEM	PREVOD Z UCTU	3440	20724	\N	CD	66125869
326383	1115	1997-09-07	PRIJEM	PREVOD Z UCTU	3440	21611	\N	CD	66125869
326384	1115	1997-10-07	PRIJEM	PREVOD Z UCTU	3440	22830	\N	CD	66125869
326385	1115	1997-11-07	PRIJEM	PREVOD Z UCTU	3440	24055	\N	CD	66125869
326386	1115	1997-12-07	PRIJEM	PREVOD Z UCTU	3440	15435	\N	CD	66125869
326387	1115	1998-01-07	PRIJEM	PREVOD Z UCTU	3440	16424	\N	CD	66125869
326388	1115	1998-02-07	PRIJEM	PREVOD Z UCTU	3440	16390	\N	CD	66125869
326389	1115	1998-03-07	PRIJEM	PREVOD Z UCTU	3440	17588	\N	CD	66125869
326390	1115	1998-04-07	PRIJEM	PREVOD Z UCTU	3440	18791	\N	CD	66125869
326391	1115	1998-05-07	PRIJEM	PREVOD Z UCTU	3440	19998	\N	CD	66125869
326392	1115	1998-06-07	PRIJEM	PREVOD Z UCTU	3440	21211	\N	CD	66125869
326393	1115	1998-07-07	PRIJEM	PREVOD Z UCTU	3440	19605	\N	CD	66125869
326394	1115	1998-08-07	PRIJEM	PREVOD Z UCTU	3440	20816	\N	CD	66125869
326395	1115	1998-09-07	PRIJEM	PREVOD Z UCTU	3440	22032	\N	CD	66125869
326396	1115	1998-10-07	PRIJEM	PREVOD Z UCTU	3440	23253	\N	CD	66125869
326397	1115	1998-11-07	PRIJEM	PREVOD Z UCTU	3440	24479	\N	CD	66125869
326398	1115	1998-12-07	PRIJEM	PREVOD Z UCTU	3440	25710	\N	CD	66125869
326407	1115	1993-09-05	VYDAJ	PREVOD NA UCET	2293	14455	SIPO	OP	13170951
326408	1115	1993-10-05	VYDAJ	PREVOD NA UCET	2293	14521	SIPO	OP	13170951
326409	1115	1993-11-05	VYDAJ	PREVOD NA UCET	2293	15727	SIPO	OP	13170951
326410	1115	1993-12-05	VYDAJ	PREVOD NA UCET	2293	16215	SIPO	OP	13170951
326411	1115	1994-01-05	VYDAJ	PREVOD NA UCET	2293	16289	SIPO	OP	13170951
326412	1115	1994-02-05	VYDAJ	PREVOD NA UCET	2293	13747	SIPO	OP	13170951
326413	1115	1994-03-05	VYDAJ	PREVOD NA UCET	2293	14950	SIPO	OP	13170951
326414	1115	1994-04-05	VYDAJ	PREVOD NA UCET	2293	14803	SIPO	OP	13170951
326415	1115	1994-05-05	VYDAJ	PREVOD NA UCET	2293	14838	SIPO	OP	13170951
326416	1115	1994-06-05	VYDAJ	PREVOD NA UCET	2293	14996	SIPO	OP	13170951
326417	1115	1994-07-05	VYDAJ	PREVOD NA UCET	2293	14671	SIPO	OP	13170951
326418	1115	1994-08-05	VYDAJ	PREVOD NA UCET	2293	15878	SIPO	OP	13170951
326419	1115	1994-09-05	VYDAJ	PREVOD NA UCET	2293	17089	SIPO	OP	13170951
326420	1115	1994-10-05	VYDAJ	PREVOD NA UCET	2293	17406	SIPO	OP	13170951
326421	1115	1994-11-05	VYDAJ	PREVOD NA UCET	2293	17239	SIPO	OP	13170951
326422	1115	1994-12-05	VYDAJ	PREVOD NA UCET	2293	17955	SIPO	OP	13170951
326423	1115	1995-01-05	VYDAJ	PREVOD NA UCET	2293	18554	SIPO	OP	13170951
326424	1115	1995-02-05	VYDAJ	PREVOD NA UCET	2293	14304	SIPO	OP	13170951
326425	1115	1995-03-05	VYDAJ	PREVOD NA UCET	2293	15028	SIPO	OP	13170951
326426	1115	1995-04-05	VYDAJ	PREVOD NA UCET	2293	14994	SIPO	OP	13170951
326427	1115	1995-05-05	VYDAJ	PREVOD NA UCET	2293	15631	SIPO	OP	13170951
326428	1115	1995-06-05	VYDAJ	PREVOD NA UCET	2293	14938	SIPO	OP	13170951
326429	1115	1995-07-05	VYDAJ	PREVOD NA UCET	2293	13835	SIPO	OP	13170951
326430	1115	1995-08-05	VYDAJ	PREVOD NA UCET	2293	14286	SIPO	OP	13170951
326431	1115	1995-09-05	VYDAJ	PREVOD NA UCET	2293	14559	SIPO	OP	13170951
326432	1115	1995-10-05	VYDAJ	PREVOD NA UCET	2293	15765	SIPO	OP	13170951
326433	1115	1995-11-05	VYDAJ	PREVOD NA UCET	2293	16976	SIPO	OP	13170951
326434	1115	1995-12-05	VYDAJ	PREVOD NA UCET	2293	16388	SIPO	OP	13170951
326435	1115	1996-01-05	VYDAJ	PREVOD NA UCET	2293	16640	SIPO	OP	13170951
326436	1115	1996-02-05	VYDAJ	PREVOD NA UCET	2293	12139	SIPO	OP	13170951
326437	1115	1996-03-05	VYDAJ	PREVOD NA UCET	2293	13334	SIPO	OP	13170951
326438	1115	1996-04-05	VYDAJ	PREVOD NA UCET	2293	14435	SIPO	OP	13170951
326439	1115	1996-05-05	VYDAJ	PREVOD NA UCET	2293	15640	SIPO	OP	13170951
326440	1115	1996-06-05	VYDAJ	PREVOD NA UCET	2293	13011	SIPO	OP	13170951
326441	1115	1996-07-05	VYDAJ	PREVOD NA UCET	2293	13338	SIPO	OP	13170951
326442	1115	1996-08-05	VYDAJ	PREVOD NA UCET	2293	13577	SIPO	OP	13170951
326443	1115	1996-09-05	VYDAJ	PREVOD NA UCET	2293	11969	SIPO	OP	13170951
326444	1115	1996-10-05	VYDAJ	PREVOD NA UCET	2293	13164	SIPO	OP	13170951
326445	1115	1996-11-05	VYDAJ	PREVOD NA UCET	2293	13824	SIPO	OP	13170951
326446	1115	1996-12-05	VYDAJ	PREVOD NA UCET	2293	14426	SIPO	OP	13170951
326447	1115	1997-01-05	VYDAJ	PREVOD NA UCET	2293	12450	SIPO	OP	13170951
326448	1115	1997-02-05	VYDAJ	PREVOD NA UCET	2293	12384	SIPO	OP	13170951
326449	1115	1997-03-05	VYDAJ	PREVOD NA UCET	2293	13580	SIPO	OP	13170951
326450	1115	1997-04-05	VYDAJ	PREVOD NA UCET	2293	13568	SIPO	OP	13170951
326451	1115	1997-05-05	VYDAJ	PREVOD NA UCET	2293	14769	SIPO	OP	13170951
326452	1115	1997-06-05	VYDAJ	PREVOD NA UCET	2293	15975	SIPO	OP	13170951
326453	1115	1997-07-05	VYDAJ	PREVOD NA UCET	2293	16073	SIPO	OP	13170951
326454	1115	1997-08-05	VYDAJ	PREVOD NA UCET	2293	17284	SIPO	OP	13170951
326455	1115	1997-09-05	VYDAJ	PREVOD NA UCET	2293	18171	SIPO	OP	13170951
326456	1115	1997-10-05	VYDAJ	PREVOD NA UCET	2293	19390	SIPO	OP	13170951
326457	1115	1997-11-05	VYDAJ	PREVOD NA UCET	2293	20615	SIPO	OP	13170951
326458	1115	1997-12-05	VYDAJ	PREVOD NA UCET	2293	11995	SIPO	OP	13170951
326459	1115	1998-01-05	VYDAJ	PREVOD NA UCET	2293	12984	SIPO	OP	13170951
326460	1115	1998-02-05	VYDAJ	PREVOD NA UCET	2293	12950	SIPO	OP	13170951
326461	1115	1998-03-05	VYDAJ	PREVOD NA UCET	2293	14148	SIPO	OP	13170951
326462	1115	1998-04-05	VYDAJ	PREVOD NA UCET	2293	15351	SIPO	OP	13170951
326463	1115	1998-05-05	VYDAJ	PREVOD NA UCET	2293	16558	SIPO	OP	13170951
326464	1115	1998-06-05	VYDAJ	PREVOD NA UCET	2293	17771	SIPO	OP	13170951
326465	1115	1998-07-05	VYDAJ	PREVOD NA UCET	2293	16165	SIPO	OP	13170951
326466	1115	1998-08-05	VYDAJ	PREVOD NA UCET	2293	17376	SIPO	OP	13170951
326467	1115	1998-09-05	VYDAJ	PREVOD NA UCET	2293	18592	SIPO	OP	13170951
326468	1115	1998-10-05	VYDAJ	PREVOD NA UCET	2293	19813	SIPO	OP	13170951
326469	1115	1998-11-05	VYDAJ	PREVOD NA UCET	2293	21039	SIPO	OP	13170951
326470	1115	1998-12-05	VYDAJ	PREVOD NA UCET	2293	22270	SIPO	OP	13170951
326472	1115	1994-06-16	VYDAJ	VYBER	1530	16906	\N	\N	\N
326473	1115	1995-06-28	VYDAJ	VYBER	2310	16068	\N	\N	\N
326474	1115	1996-06-02	VYDAJ	VYBER	3840	15304	\N	\N	\N
326476	1115	1998-06-19	VYDAJ	VYBER	2820	18391	\N	\N	\N
326478	1115	1994-01-23	VYDAJ	VYBER	1770	16489	\N	\N	\N
326479	1115	1995-01-13	VYDAJ	VYBER	1320	18364	\N	\N	\N
326480	1115	1996-01-28	VYDAJ	VYBER	1590	16380	\N	\N	\N
326481	1115	1997-01-05	VYDAJ	VYBER	900	14743	\N	\N	\N
326483	1115	1993-12-30	VYDAJ	VYBER	360	19295	\N	\N	\N
326484	1115	1994-12-13	VYDAJ	VYBER	420	20975	\N	\N	\N
326485	1115	1995-12-10	VYDAJ	VYBER	390	19438	\N	\N	\N
326486	1115	1996-12-22	VYDAJ	VYBER	570	17296	\N	\N	\N
326487	1115	1997-12-08	VYDAJ	VYBER	210	15225	\N	\N	\N
326488	1115	1998-12-25	VYDAJ	VYBER	870	24840	\N	\N	\N
326495	1115	1994-01-21	VYDAJ	VYBER	720	18259	\N	\N	\N
326496	1115	1994-01-10	VYDAJ	VYBER	180	19309	\N	\N	\N
326497	1115	1994-01-10	VYDAJ	VYBER	330	18979	\N	\N	\N
326498	1115	1994-01-27	VYDAJ	VYBER	180	15979	\N	\N	\N
326499	1115	1994-01-10	VYDAJ	VYBER	240	19489	\N	\N	\N
326500	1115	1994-01-26	VYDAJ	VYBER	330	16159	\N	\N	\N
326501	1115	1995-01-10	VYDAJ	VYBER	810	19684	\N	\N	\N
326502	1115	1995-01-20	VYDAJ	VYBER	630	17734	\N	\N	\N
326503	1115	1995-01-07	VYDAJ	VYBER	570	20944	\N	\N	\N
326504	1115	1995-01-25	VYDAJ	VYBER	360	17374	\N	\N	\N
326505	1115	1995-01-27	VYDAJ	VYBER	840	16534	\N	\N	\N
326506	1115	1995-01-06	VYDAJ	VYBER	480	18074	\N	\N	\N
326507	1115	1996-01-29	VYDAJ	VYBER	690	15690	\N	\N	\N
326508	1115	1996-01-11	VYDAJ	VYBER	180	19270	\N	\N	\N
326509	1115	1996-01-25	VYDAJ	VYBER	570	17970	\N	\N	\N
326510	1115	1996-01-10	VYDAJ	VYBER	630	19450	\N	\N	\N
326511	1115	1996-01-03	VYDAJ	VYBER	570	18933	\N	\N	\N
326512	1115	1996-01-19	VYDAJ	VYBER	330	18540	\N	\N	\N
326513	1115	1997-01-03	VYDAJ	VYBER	660	16693	\N	\N	\N
326514	1115	1997-01-10	VYDAJ	VYBER	630	14630	\N	\N	\N
326518	1115	1997-01-09	VYDAJ	VYBER	630	15260	\N	\N	\N
326522	1115	1998-01-22	VYDAJ	VYBER	810	15194	\N	\N	\N
326523	1115	1998-01-12	VYDAJ	VYBER	420	16004	\N	\N	\N
326526	1115	1993-09-27	VYDAJ	VYBER	1140	16755	\N	\N	\N
326527	1115	1993-08-13	VYDAJ	VYBER	780	16720	\N	\N	\N
326530	1115	1993-11-06	VYDAJ	VYBER	720	15007	\N	\N	\N
326531	1115	1994-10-06	VYDAJ	VYBER	1380	16026	\N	\N	\N
326532	1115	1994-04-15	VYDAJ	VYBER	450	17793	\N	\N	\N
326533	1115	1994-09-25	VYDAJ	VYBER	900	19629	\N	\N	\N
326534	1115	1994-01-04	VYDAJ	VYBER	780	18582	\N	\N	\N
326535	1115	1994-03-08	VYDAJ	VYBER	1350	17040	\N	\N	\N
326537	1115	1994-04-16	VYDAJ	VYBER	720	17073	\N	\N	\N
326538	1115	1995-08-13	VYDAJ	VYBER	930	16796	\N	\N	\N
326539	1115	1995-04-20	VYDAJ	VYBER	570	17864	\N	\N	\N
326540	1115	1995-03-22	VYDAJ	VYBER	240	17228	\N	\N	\N
326541	1115	1995-02-16	VYDAJ	VYBER	480	17264	\N	\N	\N
326542	1115	1995-07-17	VYDAJ	VYBER	750	16525	\N	\N	\N
326543	1115	1995-01-08	VYDAJ	VYBER	450	20494	\N	\N	\N
326544	1115	1996-06-07	VYDAJ	VYBER	870	15581	\N	\N	\N
326545	1115	1996-10-30	VYDAJ	VYBER	540	16064	\N	\N	\N
326546	1115	1996-11-29	VYDAJ	VYBER	600	16664	\N	\N	\N
326547	1115	1996-01-30	VYDAJ	VYBER	1320	14370	\N	\N	\N
326548	1115	1996-07-12	VYDAJ	VYBER	960	15818	\N	\N	\N
326550	1115	1997-06-09	VYDAJ	VYBER	1110	18305	\N	\N	\N
326551	1115	1997-11-26	VYDAJ	VYBER	150	23905	\N	\N	\N
326553	1115	1997-03-23	VYDAJ	VYBER	210	15810	\N	\N	\N
326554	1115	1997-01-04	VYDAJ	VYBER	1050	15643	\N	\N	\N
326555	1115	1997-09-01	VYDAJ	VYBER	330	20464	\N	\N	\N
326556	1115	1998-12-27	VYDAJ	VYBER	1140	23700	\N	\N	\N
326566	1115	1993-08-31	VYDAJ	VYBER	15	16748	SLUZBY	\N	\N
326567	1115	1993-09-30	VYDAJ	VYBER	15	16814	SLUZBY	\N	\N
326568	1115	1993-10-31	VYDAJ	VYBER	15	18020	SLUZBY	\N	\N
326569	1115	1993-11-30	VYDAJ	VYBER	15	18508	SLUZBY	\N	\N
326570	1115	1993-12-31	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
326571	1115	1994-01-31	VYDAJ	VYBER	15	16040	SLUZBY	\N	\N
326572	1115	1994-02-28	VYDAJ	VYBER	15	17243	SLUZBY	\N	\N
326573	1115	1994-03-31	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
326574	1115	1994-04-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
326575	1115	1994-05-31	VYDAJ	VYBER	15	17289	SLUZBY	\N	\N
326576	1115	1994-06-30	VYDAJ	VYBER	15	16964	SLUZBY	\N	\N
326577	1115	1994-07-31	VYDAJ	VYBER	15	18171	SLUZBY	\N	\N
326578	1115	1994-08-31	VYDAJ	VYBER	15	19382	SLUZBY	\N	\N
326579	1115	1994-09-30	VYDAJ	VYBER	15	19699	SLUZBY	\N	\N
326580	1115	1994-10-31	VYDAJ	VYBER	15	19532	SLUZBY	\N	\N
326581	1115	1994-11-30	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
326582	1115	1994-12-31	VYDAJ	VYBER	15	20847	SLUZBY	\N	\N
326583	1115	1995-01-31	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
326584	1115	1995-02-28	VYDAJ	VYBER	15	17321	SLUZBY	\N	\N
326585	1115	1995-03-31	VYDAJ	VYBER	15	17287	SLUZBY	\N	\N
326586	1115	1995-04-30	VYDAJ	VYBER	15	17924	SLUZBY	\N	\N
326587	1115	1995-05-31	VYDAJ	VYBER	15	17231	SLUZBY	\N	\N
326588	1115	1995-06-30	VYDAJ	VYBER	15	16128	SLUZBY	\N	\N
326589	1115	1995-07-31	VYDAJ	VYBER	15	16579	SLUZBY	\N	\N
326590	1115	1995-08-31	VYDAJ	VYBER	15	16852	SLUZBY	\N	\N
326591	1115	1995-09-30	VYDAJ	VYBER	15	18058	SLUZBY	\N	\N
326592	1115	1995-10-31	VYDAJ	VYBER	15	19269	SLUZBY	\N	\N
326593	1115	1995-11-30	VYDAJ	VYBER	15	18681	SLUZBY	\N	\N
326594	1115	1995-12-31	VYDAJ	VYBER	15	19503	SLUZBY	\N	\N
326595	1115	1996-01-31	VYDAJ	VYBER	15	14432	SLUZBY	\N	\N
326596	1115	1996-02-29	VYDAJ	VYBER	15	15627	SLUZBY	\N	\N
326597	1115	1996-03-31	VYDAJ	VYBER	15	16728	SLUZBY	\N	\N
326598	1115	1996-04-30	VYDAJ	VYBER	15	17933	SLUZBY	\N	\N
326599	1115	1996-05-31	VYDAJ	VYBER	15	19144	SLUZBY	\N	\N
326600	1115	1996-06-30	VYDAJ	VYBER	15	15631	SLUZBY	\N	\N
326601	1115	1996-07-31	VYDAJ	VYBER	15	15870	SLUZBY	\N	\N
326602	1115	1996-08-31	VYDAJ	VYBER	15	14262	SLUZBY	\N	\N
326603	1115	1996-09-30	VYDAJ	VYBER	15	15457	SLUZBY	\N	\N
326604	1115	1996-10-31	VYDAJ	VYBER	15	16117	SLUZBY	\N	\N
326605	1115	1996-11-30	VYDAJ	VYBER	15	16719	SLUZBY	\N	\N
326606	1115	1996-12-31	VYDAJ	VYBER	15	17353	SLUZBY	\N	\N
326607	1115	1997-01-31	VYDAJ	VYBER	15	14677	SLUZBY	\N	\N
326608	1115	1997-02-28	VYDAJ	VYBER	15	15873	SLUZBY	\N	\N
326609	1115	1997-03-31	VYDAJ	VYBER	15	15861	SLUZBY	\N	\N
326610	1115	1997-04-30	VYDAJ	VYBER	15	17062	SLUZBY	\N	\N
326611	1115	1997-05-31	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
326612	1115	1997-06-30	VYDAJ	VYBER	15	18366	SLUZBY	\N	\N
326613	1115	1997-07-31	VYDAJ	VYBER	15	19577	SLUZBY	\N	\N
326614	1115	1997-08-31	VYDAJ	VYBER	15	20794	SLUZBY	\N	\N
326615	1115	1997-09-30	VYDAJ	VYBER	15	21683	SLUZBY	\N	\N
326616	1115	1997-10-31	VYDAJ	VYBER	15	22908	SLUZBY	\N	\N
326617	1115	1997-11-30	VYDAJ	VYBER	15	23988	SLUZBY	\N	\N
326618	1115	1997-12-31	VYDAJ	VYBER	15	15277	SLUZBY	\N	\N
326619	1115	1998-01-31	VYDAJ	VYBER	15	15243	SLUZBY	\N	\N
326620	1115	1998-02-28	VYDAJ	VYBER	15	16441	SLUZBY	\N	\N
326621	1115	1998-03-31	VYDAJ	VYBER	15	17644	SLUZBY	\N	\N
326622	1115	1998-04-30	VYDAJ	VYBER	15	18851	SLUZBY	\N	\N
326623	1115	1998-05-31	VYDAJ	VYBER	15	20064	SLUZBY	\N	\N
326624	1115	1998-06-30	VYDAJ	VYBER	15	18458	SLUZBY	\N	\N
326625	1115	1998-07-31	VYDAJ	VYBER	15	19669	SLUZBY	\N	\N
326626	1115	1998-08-31	VYDAJ	VYBER	15	20885	SLUZBY	\N	\N
326627	1115	1998-09-30	VYDAJ	VYBER	15	22106	SLUZBY	\N	\N
326628	1115	1998-10-31	VYDAJ	VYBER	15	23332	SLUZBY	\N	\N
326629	1115	1998-11-30	VYDAJ	VYBER	15	24563	SLUZBY	\N	\N
326630	1115	1994-11-17	VYDAJ	VYBER	500	20179	\N	\N	\N
326631	1115	1994-12-17	VYDAJ	VYBER	200	20775	\N	\N	\N
326632	1115	1995-03-17	VYDAJ	VYBER	1000	17468	\N	\N	\N
326633	1115	1995-05-16	VYDAJ	VYBER	1900	17171	\N	\N	\N
326634	1115	1995-11-12	VYDAJ	VYBER	1800	18616	\N	\N	\N
326635	1115	1996-01-11	VYDAJ	VYBER	400	18870	\N	\N	\N
326636	1115	1996-03-11	VYDAJ	VYBER	100	16674	\N	\N	\N
326637	1115	1996-08-08	VYDAJ	VYBER	2800	14217	\N	\N	\N
326638	1115	1997-03-06	VYDAJ	VYBER	1000	12580	\N	\N	\N
326639	1115	1997-12-01	VYDAJ	VYBER	9700	14288	\N	\N	\N
326705	1116	1993-07-20	PRIJEM	VKLAD	900	900	\N	\N	\N
326713	1116	1993-08-10	PRIJEM	VKLAD	12129	13029	\N	\N	\N
326714	1116	1993-09-10	PRIJEM	VKLAD	12129	29989	\N	\N	\N
326715	1116	1993-10-10	PRIJEM	VKLAD	12129	40511	\N	\N	\N
326716	1116	1993-11-10	PRIJEM	VKLAD	12129	45868	\N	\N	\N
326717	1116	1993-12-10	PRIJEM	VKLAD	18194	51702	\N	\N	\N
326718	1116	1994-01-10	PRIJEM	VKLAD	12129	42513	\N	\N	\N
326719	1116	1994-02-10	PRIJEM	VKLAD	12129	29808	\N	\N	\N
326720	1116	1994-03-10	PRIJEM	VKLAD	12129	35009	\N	\N	\N
326721	1116	1994-04-10	PRIJEM	VKLAD	12129	38050	\N	\N	\N
326722	1116	1994-05-10	PRIJEM	VKLAD	12129	38999	\N	\N	\N
326723	1116	1994-06-10	PRIJEM	VKLAD	18194	40474	\N	\N	\N
326724	1116	1994-07-10	PRIJEM	VKLAD	12129	39325	\N	\N	\N
326725	1116	1994-08-10	PRIJEM	VKLAD	12129	39570	\N	\N	\N
326726	1116	1994-09-10	PRIJEM	VKLAD	12129	38516	\N	\N	\N
326727	1116	1994-10-10	PRIJEM	VKLAD	12129	32895	\N	\N	\N
326728	1116	1994-11-10	PRIJEM	VKLAD	12129	37586	\N	\N	\N
326729	1116	1994-12-10	PRIJEM	VKLAD	18194	45092	\N	\N	\N
326730	1116	1995-01-10	PRIJEM	VKLAD	12129	42146	\N	\N	\N
326731	1116	1995-02-10	PRIJEM	VKLAD	12129	32442	\N	\N	\N
326732	1116	1995-03-10	PRIJEM	VKLAD	12129	35886	\N	\N	\N
326733	1116	1995-04-10	PRIJEM	VKLAD	12129	39724	\N	\N	\N
326734	1116	1995-05-10	PRIJEM	VKLAD	12129	43278	\N	\N	\N
326735	1116	1995-06-10	PRIJEM	VKLAD	18194	50104	\N	\N	\N
326736	1116	1995-07-10	PRIJEM	VKLAD	12129	39857	\N	\N	\N
326737	1116	1995-08-10	PRIJEM	VKLAD	12129	44934	\N	\N	\N
326738	1116	1995-09-10	PRIJEM	VKLAD	12129	45908	\N	\N	\N
326739	1116	1995-10-10	PRIJEM	VKLAD	12129	45705	\N	\N	\N
326740	1116	1995-11-10	PRIJEM	VKLAD	12129	44162	\N	\N	\N
326741	1116	1995-12-10	PRIJEM	VKLAD	18194	50975	\N	\N	\N
326742	1116	1996-01-10	PRIJEM	VKLAD	12129	50166	\N	\N	\N
326743	1116	1996-02-10	PRIJEM	VKLAD	12129	42127	\N	\N	\N
326744	1116	1996-03-10	PRIJEM	VKLAD	12129	40947	\N	\N	\N
326745	1116	1996-04-10	PRIJEM	VKLAD	12129	45205	\N	\N	\N
326746	1116	1996-05-10	PRIJEM	VKLAD	12129	47382	\N	\N	\N
326747	1116	1996-06-10	PRIJEM	VKLAD	18194	52407	\N	\N	\N
326748	1116	1996-07-10	PRIJEM	VKLAD	12129	52430	\N	\N	\N
326749	1116	1996-08-10	PRIJEM	VKLAD	12129	51045	\N	\N	\N
326750	1116	1996-09-10	PRIJEM	VKLAD	12129	50432	\N	\N	\N
326751	1116	1996-10-10	PRIJEM	VKLAD	12129	49376	\N	\N	\N
326752	1116	1996-11-10	PRIJEM	VKLAD	12129	53076	\N	\N	\N
326753	1116	1996-12-10	PRIJEM	VKLAD	18194	62550	\N	\N	\N
326754	1116	1997-01-10	PRIJEM	VKLAD	12129	60929	\N	\N	\N
326755	1116	1997-02-10	PRIJEM	VKLAD	12129	49076	\N	\N	\N
326756	1116	1997-03-10	PRIJEM	VKLAD	12129	53189	\N	\N	\N
326757	1116	1997-04-10	PRIJEM	VKLAD	12129	56021	\N	\N	\N
326758	1116	1997-05-10	PRIJEM	VKLAD	12129	54576	\N	\N	\N
326759	1116	1997-06-10	PRIJEM	VKLAD	18194	52595	\N	\N	\N
326760	1116	1997-07-10	PRIJEM	VKLAD	12129	44382	\N	\N	\N
326761	1116	1997-08-10	PRIJEM	VKLAD	12129	50855	\N	\N	\N
326762	1116	1997-09-10	PRIJEM	VKLAD	12129	50371	\N	\N	\N
326763	1116	1997-10-10	PRIJEM	VKLAD	12129	53968	\N	\N	\N
326764	1116	1997-11-10	PRIJEM	VKLAD	12129	54477	\N	\N	\N
326765	1116	1997-12-10	PRIJEM	VKLAD	18194	58292	\N	\N	\N
326766	1116	1998-01-10	PRIJEM	VKLAD	12129	59132	\N	\N	\N
326767	1116	1998-02-10	PRIJEM	VKLAD	12129	51192	\N	\N	\N
326768	1116	1998-03-10	PRIJEM	VKLAD	12129	56109	\N	\N	\N
326769	1116	1998-04-10	PRIJEM	VKLAD	12129	56125	\N	\N	\N
326770	1116	1998-05-10	PRIJEM	VKLAD	12129	53019	\N	\N	\N
326771	1116	1998-06-10	PRIJEM	VKLAD	18194	62748	\N	\N	\N
326772	1116	1998-07-10	PRIJEM	VKLAD	12129	61882	\N	\N	\N
326773	1116	1998-08-10	PRIJEM	VKLAD	12129	60957	\N	\N	\N
326774	1116	1998-09-10	PRIJEM	VKLAD	12129	57886	\N	\N	\N
326775	1116	1998-10-10	PRIJEM	VKLAD	12129	60225	\N	\N	\N
326776	1116	1998-11-10	PRIJEM	VKLAD	12129	54305	\N	\N	\N
326777	1116	1998-12-10	PRIJEM	VKLAD	18194	59376	\N	\N	\N
326789	1116	1993-12-10	VYDAJ	PREVOD NA UCET	8086	43616	SIPO	ST	41694200
326790	1116	1994-01-10	VYDAJ	PREVOD NA UCET	8086	34427	SIPO	ST	41694200
326791	1116	1994-02-10	VYDAJ	PREVOD NA UCET	8086	16202	SIPO	ST	41694200
326792	1116	1994-03-10	VYDAJ	PREVOD NA UCET	8086	26923	SIPO	ST	41694200
326793	1116	1994-04-10	VYDAJ	PREVOD NA UCET	8086	29964	SIPO	ST	41694200
326794	1116	1994-05-10	VYDAJ	PREVOD NA UCET	8086	30913	SIPO	ST	41694200
326795	1116	1994-06-10	VYDAJ	PREVOD NA UCET	8086	32388	SIPO	ST	41694200
326796	1116	1994-07-10	VYDAJ	PREVOD NA UCET	8086	31239	SIPO	ST	41694200
326797	1116	1994-08-10	VYDAJ	PREVOD NA UCET	8086	31484	SIPO	ST	41694200
326798	1116	1994-09-10	VYDAJ	PREVOD NA UCET	8086	30430	SIPO	ST	41694200
326799	1116	1994-10-10	VYDAJ	PREVOD NA UCET	8086	23369	SIPO	ST	41694200
326800	1116	1994-11-10	VYDAJ	PREVOD NA UCET	8086	29500	SIPO	ST	41694200
326801	1116	1994-12-10	VYDAJ	PREVOD NA UCET	8086	37006	SIPO	ST	41694200
326802	1116	1995-01-10	VYDAJ	PREVOD NA UCET	8086	34060	SIPO	ST	41694200
326803	1116	1995-02-10	VYDAJ	PREVOD NA UCET	8086	23656	SIPO	ST	41694200
326804	1116	1995-03-10	VYDAJ	PREVOD NA UCET	8086	27800	SIPO	ST	41694200
326805	1116	1995-04-10	VYDAJ	PREVOD NA UCET	8086	31638	SIPO	ST	41694200
326806	1116	1995-05-10	VYDAJ	PREVOD NA UCET	8086	35192	SIPO	ST	41694200
326807	1116	1995-06-10	VYDAJ	PREVOD NA UCET	8086	42018	SIPO	ST	41694200
326808	1116	1995-07-10	VYDAJ	PREVOD NA UCET	8086	30171	SIPO	ST	41694200
326809	1116	1995-08-10	VYDAJ	PREVOD NA UCET	8086	36848	SIPO	ST	41694200
326810	1116	1995-09-10	VYDAJ	PREVOD NA UCET	8086	37822	SIPO	ST	41694200
326811	1116	1995-10-10	VYDAJ	PREVOD NA UCET	8086	37619	SIPO	ST	41694200
326812	1116	1995-11-10	VYDAJ	PREVOD NA UCET	8086	36076	SIPO	ST	41694200
326813	1116	1995-12-10	VYDAJ	PREVOD NA UCET	8086	42889	SIPO	ST	41694200
326814	1116	1996-01-10	VYDAJ	PREVOD NA UCET	8086	42080	SIPO	ST	41694200
326815	1116	1996-02-10	VYDAJ	PREVOD NA UCET	8086	34041	SIPO	ST	41694200
326816	1116	1996-03-10	VYDAJ	PREVOD NA UCET	8086	32861	SIPO	ST	41694200
326817	1116	1996-04-10	VYDAJ	PREVOD NA UCET	8086	37119	SIPO	ST	41694200
326818	1116	1996-05-10	VYDAJ	PREVOD NA UCET	8086	39296	SIPO	ST	41694200
326819	1116	1996-06-10	VYDAJ	PREVOD NA UCET	8086	44321	SIPO	ST	41694200
326820	1116	1996-07-10	VYDAJ	PREVOD NA UCET	8086	44344	SIPO	ST	41694200
326821	1116	1996-08-10	VYDAJ	PREVOD NA UCET	8086	42959	SIPO	ST	41694200
326822	1116	1996-09-10	VYDAJ	PREVOD NA UCET	8086	42346	SIPO	ST	41694200
326823	1116	1996-10-10	VYDAJ	PREVOD NA UCET	8086	41290	SIPO	ST	41694200
326824	1116	1996-11-10	VYDAJ	PREVOD NA UCET	8086	44990	SIPO	ST	41694200
326825	1116	1996-12-10	VYDAJ	PREVOD NA UCET	8086	54464	SIPO	ST	41694200
326826	1116	1997-01-10	VYDAJ	PREVOD NA UCET	8086	52843	SIPO	ST	41694200
326827	1116	1997-02-10	VYDAJ	PREVOD NA UCET	8086	40990	SIPO	ST	41694200
326828	1116	1997-03-10	VYDAJ	PREVOD NA UCET	8086	45103	SIPO	ST	41694200
326829	1116	1997-04-10	VYDAJ	PREVOD NA UCET	8086	47935	SIPO	ST	41694200
326830	1116	1997-05-10	VYDAJ	PREVOD NA UCET	8086	46490	SIPO	ST	41694200
326831	1116	1997-06-10	VYDAJ	PREVOD NA UCET	8086	44509	SIPO	ST	41694200
326832	1116	1997-07-10	VYDAJ	PREVOD NA UCET	8086	36296	SIPO	ST	41694200
326833	1116	1997-08-10	VYDAJ	PREVOD NA UCET	8086	42769	SIPO	ST	41694200
326834	1116	1997-09-10	VYDAJ	PREVOD NA UCET	8086	42285	SIPO	ST	41694200
326835	1116	1997-10-10	VYDAJ	PREVOD NA UCET	8086	45882	SIPO	ST	41694200
326836	1116	1997-11-10	VYDAJ	PREVOD NA UCET	8086	46391	SIPO	ST	41694200
326837	1116	1997-12-10	VYDAJ	PREVOD NA UCET	8086	50206	SIPO	ST	41694200
326838	1116	1998-01-10	VYDAJ	PREVOD NA UCET	8086	51046	SIPO	ST	41694200
326839	1116	1998-02-10	VYDAJ	PREVOD NA UCET	8086	43106	SIPO	ST	41694200
326840	1116	1998-03-10	VYDAJ	PREVOD NA UCET	8086	48023	SIPO	ST	41694200
326841	1116	1998-04-10	VYDAJ	PREVOD NA UCET	8086	48039	SIPO	ST	41694200
326842	1116	1998-05-10	VYDAJ	PREVOD NA UCET	8086	44933	SIPO	ST	41694200
326843	1116	1998-06-10	VYDAJ	PREVOD NA UCET	8086	54662	SIPO	ST	41694200
326844	1116	1998-07-10	VYDAJ	PREVOD NA UCET	8086	53796	SIPO	ST	41694200
326845	1116	1998-08-10	VYDAJ	PREVOD NA UCET	8086	52871	SIPO	ST	41694200
326846	1116	1998-09-10	VYDAJ	PREVOD NA UCET	8086	49800	SIPO	ST	41694200
326847	1116	1998-10-10	VYDAJ	PREVOD NA UCET	8086	52139	SIPO	ST	41694200
326848	1116	1998-11-10	VYDAJ	PREVOD NA UCET	8086	46219	SIPO	ST	41694200
326849	1116	1998-12-10	VYDAJ	PREVOD NA UCET	8086	51290	SIPO	ST	41694200
326852	1116	1995-06-22	VYDAJ	VYBER	6720	27598	\N	\N	\N
326854	1116	1997-06-26	VYDAJ	VYBER	21920	22589	\N	\N	\N
326857	1116	1994-01-18	VYDAJ	VYBER	14240	17587	\N	\N	\N
326858	1116	1995-01-29	VYDAJ	VYBER	12160	20200	\N	\N	\N
326859	1116	1996-01-21	VYDAJ	VYBER	13120	28960	\N	\N	\N
326860	1116	1997-01-26	VYDAJ	VYBER	15200	37643	\N	\N	\N
326861	1116	1998-01-19	VYDAJ	VYBER	13760	37286	\N	\N	\N
326862	1116	1993-12-18	VYDAJ	VYBER	2560	30256	\N	\N	\N
326863	1116	1994-12-15	VYDAJ	VYBER	800	29906	\N	\N	\N
326864	1116	1995-12-02	VYDAJ	VYBER	1920	30081	\N	\N	\N
326865	1116	1996-12-13	VYDAJ	VYBER	960	53504	\N	\N	\N
326866	1116	1997-12-07	VYDAJ	VYBER	2880	40098	\N	\N	\N
326867	1116	1998-12-03	VYDAJ	VYBER KARTOU	1000	41182	\N	\N	0
326871	1116	1994-06-08	VYDAJ	VYBER	5040	22280	\N	\N	\N
326872	1116	1994-09-22	VYDAJ	VYBER	2160	25470	\N	\N	\N
326873	1116	1994-10-10	VYDAJ	VYBER	1440	31455	\N	\N	\N
326874	1116	1994-09-24	VYDAJ	VYBER	4800	20670	\N	\N	\N
326876	1116	1994-02-10	VYDAJ	VYBER	5520	24288	\N	\N	\N
326877	1116	1995-12-28	VYDAJ	VYBER	3120	39769	\N	\N	\N
326878	1116	1995-11-15	VYDAJ	VYBER	4200	31876	\N	\N	\N
326879	1116	1995-10-07	VYDAJ	VYBER	2160	33276	\N	\N	\N
326880	1116	1995-10-21	VYDAJ	VYBER	2520	35099	\N	\N	\N
326881	1116	1995-09-11	VYDAJ	VYBER	2520	35302	\N	\N	\N
326882	1116	1996-03-07	VYDAJ	VYBER	5160	28818	\N	\N	\N
326883	1116	1996-02-24	VYDAJ	VYBER	4320	26361	\N	\N	\N
326884	1116	1996-10-09	VYDAJ	VYBER	2880	37247	\N	\N	\N
326885	1116	1996-02-17	VYDAJ	VYBER	3360	30681	\N	\N	\N
326886	1116	1996-08-15	VYDAJ	VYBER	1920	41039	\N	\N	\N
326887	1116	1996-05-18	VYDAJ	VYBER	4320	34976	\N	\N	\N
326888	1116	1996-08-08	VYDAJ	VYBER	1320	38916	\N	\N	\N
326889	1116	1997-06-03	VYDAJ	VYBER	4440	34401	\N	\N	\N
326890	1116	1997-04-23	VYDAJ	VYBER	5760	42175	\N	\N	\N
326891	1116	1997-06-01	VYDAJ	VYBER	4920	38841	\N	\N	\N
326892	1116	1998-05-12	VYDAJ	VYBER	2640	42293	\N	\N	\N
326893	1116	1998-07-12	VYDAJ	VYBER	2160	51636	\N	\N	\N
326894	1116	1998-09-24	VYDAJ	VYBER KARTOU	800	47900	\N	\N	0
326895	1116	1998-04-25	VYDAJ	VYBER	4320	43719	\N	\N	\N
326896	1116	1998-10-29	VYDAJ	VYBER	4560	41979	\N	\N	\N
326897	1116	1998-03-25	VYDAJ	VYBER	4800	43223	\N	\N	\N
326898	1116	1998-08-13	VYDAJ	VYBER KARTOU	2300	50571	\N	\N	0
326899	1116	1998-09-09	VYDAJ	VYBER KARTOU	1200	45757	\N	\N	0
326912	1116	1993-12-31	VYDAJ	VYBER	15	30384	SLUZBY	\N	\N
326913	1116	1994-01-31	VYDAJ	VYBER	15	17679	SLUZBY	\N	\N
326914	1116	1994-02-28	VYDAJ	VYBER	15	22880	SLUZBY	\N	\N
326915	1116	1994-03-31	VYDAJ	VYBER	15	25921	SLUZBY	\N	\N
326916	1116	1994-04-30	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
326917	1116	1994-05-31	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
326918	1116	1994-06-30	VYDAJ	VYBER	15	27196	SLUZBY	\N	\N
326919	1116	1994-07-31	VYDAJ	VYBER	15	27441	SLUZBY	\N	\N
326920	1116	1994-08-31	VYDAJ	VYBER	15	26387	SLUZBY	\N	\N
326921	1116	1994-09-30	VYDAJ	VYBER	15	20766	SLUZBY	\N	\N
326922	1116	1994-10-31	VYDAJ	VYBER	15	25457	SLUZBY	\N	\N
326923	1116	1994-11-30	VYDAJ	VYBER	15	26898	SLUZBY	\N	\N
326924	1116	1994-12-31	VYDAJ	VYBER	15	30017	SLUZBY	\N	\N
326925	1116	1995-01-31	VYDAJ	VYBER	15	20313	SLUZBY	\N	\N
326926	1116	1995-02-28	VYDAJ	VYBER	15	23757	SLUZBY	\N	\N
326927	1116	1995-03-31	VYDAJ	VYBER	15	27595	SLUZBY	\N	\N
326928	1116	1995-04-30	VYDAJ	VYBER	15	31149	SLUZBY	\N	\N
326929	1116	1995-05-31	VYDAJ	VYBER	15	31910	SLUZBY	\N	\N
326930	1116	1995-06-30	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
326931	1116	1995-07-31	VYDAJ	VYBER	15	30305	SLUZBY	\N	\N
326932	1116	1995-08-31	VYDAJ	VYBER	15	36979	SLUZBY	\N	\N
326933	1116	1995-09-30	VYDAJ	VYBER	15	35436	SLUZBY	\N	\N
326934	1116	1995-10-31	VYDAJ	VYBER	15	35233	SLUZBY	\N	\N
326935	1116	1995-11-30	VYDAJ	VYBER	15	32001	SLUZBY	\N	\N
326936	1116	1995-12-31	VYDAJ	VYBER	15	39937	SLUZBY	\N	\N
326937	1116	1996-01-31	VYDAJ	VYBER	15	29098	SLUZBY	\N	\N
326938	1116	1996-02-29	VYDAJ	VYBER	15	26478	SLUZBY	\N	\N
326939	1116	1996-03-31	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
326940	1116	1996-04-30	VYDAJ	VYBER	15	37253	SLUZBY	\N	\N
326941	1116	1996-05-31	VYDAJ	VYBER	15	35113	SLUZBY	\N	\N
326942	1116	1996-06-30	VYDAJ	VYBER	15	44501	SLUZBY	\N	\N
326943	1116	1996-07-31	VYDAJ	VYBER	15	44536	SLUZBY	\N	\N
326944	1116	1996-08-31	VYDAJ	VYBER	15	41203	SLUZBY	\N	\N
326945	1116	1996-09-30	VYDAJ	VYBER	15	42527	SLUZBY	\N	\N
326946	1116	1996-10-31	VYDAJ	VYBER	15	41447	SLUZBY	\N	\N
326947	1116	1996-11-30	VYDAJ	VYBER	15	45156	SLUZBY	\N	\N
326948	1116	1996-12-31	VYDAJ	VYBER	15	48800	SLUZBY	\N	\N
326949	1116	1997-01-31	VYDAJ	VYBER	15	36947	SLUZBY	\N	\N
326950	1116	1997-02-28	VYDAJ	VYBER	15	41160	SLUZBY	\N	\N
326951	1116	1997-03-31	VYDAJ	VYBER	15	45292	SLUZBY	\N	\N
326952	1116	1997-04-30	VYDAJ	VYBER	15	42447	SLUZBY	\N	\N
326953	1116	1997-05-31	VYDAJ	VYBER	15	43761	SLUZBY	\N	\N
326954	1116	1997-06-30	VYDAJ	VYBER	15	32253	SLUZBY	\N	\N
326955	1116	1997-07-31	VYDAJ	VYBER	15	38726	SLUZBY	\N	\N
326956	1116	1997-08-31	VYDAJ	VYBER	15	38242	SLUZBY	\N	\N
326957	1116	1997-09-30	VYDAJ	VYBER	15	41839	SLUZBY	\N	\N
326958	1116	1997-10-31	VYDAJ	VYBER	15	42348	SLUZBY	\N	\N
326959	1116	1997-11-30	VYDAJ	VYBER	15	42978	SLUZBY	\N	\N
326960	1116	1997-12-31	VYDAJ	VYBER	15	47003	SLUZBY	\N	\N
326961	1116	1998-01-31	VYDAJ	VYBER	15	39063	SLUZBY	\N	\N
326962	1116	1998-02-28	VYDAJ	VYBER	15	43980	SLUZBY	\N	\N
326963	1116	1998-03-31	VYDAJ	VYBER	15	43996	SLUZBY	\N	\N
326964	1116	1998-04-30	VYDAJ	VYBER	15	40890	SLUZBY	\N	\N
326965	1116	1998-05-31	VYDAJ	VYBER	15	44554	SLUZBY	\N	\N
326966	1116	1998-06-30	VYDAJ	VYBER	15	49753	SLUZBY	\N	\N
326967	1116	1998-07-31	VYDAJ	VYBER	15	48828	SLUZBY	\N	\N
326968	1116	1998-08-31	VYDAJ	VYBER	15	46957	SLUZBY	\N	\N
326969	1116	1998-09-30	VYDAJ	VYBER	15	48096	SLUZBY	\N	\N
326970	1116	1998-10-31	VYDAJ	VYBER	15	42176	SLUZBY	\N	\N
326971	1116	1998-11-30	VYDAJ	VYBER	15	42182	SLUZBY	\N	\N
326972	1116	1993-08-19	PRIJEM	VKLAD	4800	17829	\N	\N	\N
326973	1116	1993-09-18	VYDAJ	VYBER	1700	28289	\N	\N	\N
326974	1116	1993-10-18	VYDAJ	VYBER	6900	33611	\N	\N	\N
326975	1116	1993-11-17	VYDAJ	VYBER	12500	33368	\N	\N	\N
326976	1116	1993-12-17	VYDAJ	VYBER	10800	32816	\N	\N	\N
326977	1116	1994-01-16	VYDAJ	VYBER	2600	31827	\N	\N	\N
326978	1116	1994-02-15	PRIJEM	VKLAD	6600	22802	\N	\N	\N
326979	1116	1994-03-17	VYDAJ	VYBER	1100	25823	\N	\N	\N
326980	1116	1994-04-16	VYDAJ	VYBER	3200	26764	\N	\N	\N
326981	1116	1994-05-16	VYDAJ	VYBER	3700	27213	\N	\N	\N
326982	1116	1994-06-15	VYDAJ	VYBER	5300	27088	\N	\N	\N
326983	1116	1994-07-15	VYDAJ	VYBER	3900	27339	\N	\N	\N
326984	1116	1994-08-14	VYDAJ	VYBER	5200	26284	\N	\N	\N
326985	1116	1994-09-13	VYDAJ	VYBER	2800	27630	\N	\N	\N
326986	1116	1994-10-13	PRIJEM	VKLAD	2000	25369	\N	\N	\N
326987	1116	1994-11-12	VYDAJ	VYBER	2700	26800	\N	\N	\N
326988	1116	1994-12-12	VYDAJ	VYBER	6300	30706	\N	\N	\N
326989	1116	1995-01-11	VYDAJ	VYBER	1700	32360	\N	\N	\N
326990	1116	1995-02-10	VYDAJ	VYBER	700	31742	\N	\N	\N
326991	1116	1995-03-12	VYDAJ	VYBER	300	27500	\N	\N	\N
326992	1116	1995-04-11	VYDAJ	VYBER	600	31038	\N	\N	\N
326993	1116	1995-05-11	VYDAJ	VYBER	3400	31792	\N	\N	\N
326994	1116	1995-06-10	VYDAJ	VYBER	7700	34318	\N	\N	\N
326995	1116	1995-07-10	VYDAJ	VYBER	1600	38257	\N	\N	\N
326996	1116	1995-08-09	PRIJEM	VKLAD	2500	32805	\N	\N	\N
326997	1116	1995-09-08	VYDAJ	VYBER	3200	33779	\N	\N	\N
326998	1116	1995-10-08	PRIJEM	VKLAD	300	33576	\N	\N	\N
326999	1116	1995-11-07	VYDAJ	VYBER	3200	32033	\N	\N	\N
327000	1116	1995-12-07	PRIJEM	VKLAD	2700	32781	\N	\N	\N
327001	1116	1996-01-06	VYDAJ	VYBER	1900	38037	\N	\N	\N
327002	1116	1996-02-05	PRIJEM	VKLAD	900	29998	\N	\N	\N
327003	1116	1996-03-06	PRIJEM	VKLAD	7500	33978	\N	\N	\N
327004	1116	1996-04-05	PRIJEM	VKLAD	100	33076	\N	\N	\N
327005	1116	1996-05-05	VYDAJ	VYBER	2000	35253	\N	\N	\N
327006	1116	1996-06-04	VYDAJ	VYBER	900	34213	\N	\N	\N
327007	1116	1996-07-04	VYDAJ	VYBER	4200	40301	\N	\N	\N
327008	1116	1996-08-03	VYDAJ	VYBER	4300	40236	\N	\N	\N
327009	1116	1996-09-02	VYDAJ	VYBER	2900	38303	\N	\N	\N
327010	1116	1996-10-02	VYDAJ	VYBER	2400	40127	\N	\N	\N
327011	1116	1996-11-01	VYDAJ	VYBER	500	40947	\N	\N	\N
327012	1116	1996-12-01	VYDAJ	VYBER	800	44356	\N	\N	\N
327013	1116	1996-12-31	VYDAJ	VYBER	4900	48815	\N	\N	\N
327014	1116	1997-01-30	VYDAJ	VYBER	900	36743	\N	\N	\N
327015	1116	1997-03-01	VYDAJ	VYBER	100	41060	\N	\N	\N
327016	1116	1997-03-31	VYDAJ	VYBER	1400	43892	\N	\N	\N
327017	1116	1997-04-30	PRIJEM	VKLAD	100	42462	\N	\N	\N
327018	1116	1997-05-30	VYDAJ	VYBER	2900	43590	\N	\N	\N
327019	1116	1997-06-29	PRIJEM	VKLAD	9500	32089	\N	\N	\N
327020	1116	1997-07-29	PRIJEM	VKLAD	2300	38596	\N	\N	\N
327021	1116	1997-08-28	VYDAJ	VYBER	4700	38069	\N	\N	\N
327022	1116	1997-09-27	VYDAJ	VYBER	600	41685	\N	\N	\N
327023	1116	1997-10-27	VYDAJ	VYBER	3700	42182	\N	\N	\N
327024	1116	1997-11-26	VYDAJ	VYBER	3600	42791	\N	\N	\N
327025	1116	1997-12-26	VYDAJ	VYBER	3400	46806	\N	\N	\N
327026	1116	1998-01-25	PRIJEM	VKLAD	1600	38886	\N	\N	\N
327027	1116	1998-02-24	PRIJEM	VKLAD	700	43806	\N	\N	\N
327028	1116	1998-03-26	PRIJEM	VKLAD	600	43823	\N	\N	\N
327029	1116	1998-04-25	VYDAJ	VYBER	3000	40719	\N	\N	\N
327030	1116	1998-05-25	PRIJEM	VKLAD	2100	44393	\N	\N	\N
327031	1116	1998-06-24	VYDAJ	VYBER	5100	49562	\N	\N	\N
327032	1116	1998-07-24	VYDAJ	VYBER	3000	48636	\N	\N	\N
327033	1116	1998-08-23	VYDAJ	VYBER KARTOU	3800	46771	\N	\N	0
327034	1116	1998-09-22	VYDAJ	VYBER KARTOU	1100	48700	\N	\N	0
327035	1116	1998-10-22	VYDAJ	VYBER	5600	46539	\N	\N	\N
327036	1116	1998-11-21	VYDAJ	VYBER	4200	42019	\N	\N	\N
327102	1117	1996-08-29	PRIJEM	VKLAD	400	400	\N	\N	\N
327111	1117	1996-09-09	PRIJEM	PREVOD Z UCTU	5370	5770	DUCHOD	AB	41563111
327112	1117	1996-10-09	PRIJEM	PREVOD Z UCTU	5370	11140	DUCHOD	AB	41563111
327113	1117	1996-11-09	PRIJEM	PREVOD Z UCTU	5370	16510	DUCHOD	AB	41563111
327114	1117	1996-12-09	PRIJEM	PREVOD Z UCTU	5370	21880	DUCHOD	AB	41563111
327115	1117	1997-01-09	PRIJEM	PREVOD Z UCTU	5370	27250	DUCHOD	AB	41563111
327116	1117	1997-02-09	PRIJEM	PREVOD Z UCTU	5370	20496	DUCHOD	AB	41563111
327117	1117	1997-03-09	PRIJEM	PREVOD Z UCTU	5370	23214	DUCHOD	AB	41563111
327118	1117	1997-04-09	PRIJEM	PREVOD Z UCTU	5370	25945	DUCHOD	AB	41563111
327119	1117	1997-05-09	PRIJEM	PREVOD Z UCTU	5370	28686	DUCHOD	AB	41563111
327120	1117	1997-06-09	PRIJEM	PREVOD Z UCTU	5370	29039	DUCHOD	AB	41563111
327121	1117	1997-07-09	PRIJEM	PREVOD Z UCTU	5370	19212	DUCHOD	AB	41563111
327122	1117	1997-08-09	PRIJEM	PREVOD Z UCTU	5370	21926	DUCHOD	AB	41563111
327123	1117	1997-09-09	PRIJEM	PREVOD Z UCTU	5370	21670	DUCHOD	AB	41563111
327124	1117	1997-10-09	PRIJEM	PREVOD Z UCTU	5370	24394	DUCHOD	AB	41563111
327125	1117	1997-11-09	PRIJEM	PREVOD Z UCTU	5370	27129	DUCHOD	AB	41563111
327126	1117	1997-12-09	PRIJEM	PREVOD Z UCTU	5370	25971	DUCHOD	AB	41563111
327127	1117	1998-01-09	PRIJEM	PREVOD Z UCTU	5370	20986	DUCHOD	AB	41563111
327128	1117	1998-02-09	PRIJEM	PREVOD Z UCTU	5370	17137	DUCHOD	AB	41563111
327129	1117	1998-03-09	PRIJEM	PREVOD Z UCTU	5370	19842	DUCHOD	AB	41563111
327130	1117	1998-04-09	PRIJEM	PREVOD Z UCTU	5370	22558	DUCHOD	AB	41563111
327131	1117	1998-05-09	PRIJEM	PREVOD Z UCTU	5370	23845	DUCHOD	AB	41563111
327132	1117	1998-06-09	PRIJEM	PREVOD Z UCTU	5370	26578	DUCHOD	AB	41563111
327133	1117	1998-07-09	PRIJEM	PREVOD Z UCTU	5370	20900	DUCHOD	AB	41563111
327134	1117	1998-08-09	PRIJEM	PREVOD Z UCTU	5370	20977	DUCHOD	AB	41563111
327135	1117	1998-09-09	PRIJEM	PREVOD Z UCTU	5370	23698	DUCHOD	AB	41563111
327136	1117	1998-10-09	PRIJEM	PREVOD Z UCTU	5370	25628	DUCHOD	AB	41563111
327137	1117	1998-11-09	PRIJEM	PREVOD Z UCTU	5370	22233	DUCHOD	AB	41563111
327138	1117	1998-12-09	PRIJEM	PREVOD Z UCTU	5370	22454	DUCHOD	AB	41563111
327152	1117	1997-02-07	VYDAJ	PREVOD NA UCET	1640	15126	SIPO	UV	52116602
327153	1117	1997-03-07	VYDAJ	PREVOD NA UCET	1640	17844	SIPO	UV	52116602
327154	1117	1997-04-07	VYDAJ	PREVOD NA UCET	1640	20575	SIPO	UV	52116602
327155	1117	1997-05-07	VYDAJ	PREVOD NA UCET	1640	23316	SIPO	UV	52116602
327156	1117	1997-06-07	VYDAJ	PREVOD NA UCET	1640	23669	SIPO	UV	52116602
327157	1117	1997-07-07	VYDAJ	PREVOD NA UCET	1640	13842	SIPO	UV	52116602
327158	1117	1997-08-07	VYDAJ	PREVOD NA UCET	1640	16556	SIPO	UV	52116602
327159	1117	1997-09-07	VYDAJ	PREVOD NA UCET	1640	16300	SIPO	UV	52116602
327160	1117	1997-10-07	VYDAJ	PREVOD NA UCET	1640	19024	SIPO	UV	52116602
327161	1117	1997-11-07	VYDAJ	PREVOD NA UCET	1640	21759	SIPO	UV	52116602
327162	1117	1997-12-07	VYDAJ	PREVOD NA UCET	1640	20601	SIPO	UV	52116602
327163	1117	1998-01-07	VYDAJ	PREVOD NA UCET	1640	15616	SIPO	UV	52116602
327164	1117	1998-02-07	VYDAJ	PREVOD NA UCET	1640	11767	SIPO	UV	52116602
327165	1117	1998-03-07	VYDAJ	PREVOD NA UCET	1640	14472	SIPO	UV	52116602
327166	1117	1998-04-07	VYDAJ	PREVOD NA UCET	1640	17188	SIPO	UV	52116602
327167	1117	1998-05-07	VYDAJ	PREVOD NA UCET	1640	18475	SIPO	UV	52116602
327168	1117	1998-06-07	VYDAJ	PREVOD NA UCET	1640	21208	SIPO	UV	52116602
327169	1117	1998-07-07	VYDAJ	PREVOD NA UCET	1640	15530	SIPO	UV	52116602
327170	1117	1998-08-07	VYDAJ	PREVOD NA UCET	1640	15607	SIPO	UV	52116602
327171	1117	1998-09-07	VYDAJ	PREVOD NA UCET	1640	18328	SIPO	UV	52116602
327172	1117	1998-10-07	VYDAJ	PREVOD NA UCET	1640	20258	SIPO	UV	52116602
327173	1117	1998-11-07	VYDAJ	PREVOD NA UCET	1640	16863	SIPO	UV	52116602
327174	1117	1998-12-07	VYDAJ	PREVOD NA UCET	1640	17084	SIPO	UV	52116602
327187	1117	1997-01-13	VYDAJ	PREVOD NA UCET	1075	26175	 	YZ	64481568
327188	1117	1997-02-13	VYDAJ	PREVOD NA UCET	1075	19421	 	YZ	64481568
327189	1117	1997-03-13	VYDAJ	PREVOD NA UCET	1075	22139	 	YZ	64481568
327190	1117	1997-04-13	VYDAJ	PREVOD NA UCET	1075	24870	 	YZ	64481568
327191	1117	1997-05-13	VYDAJ	PREVOD NA UCET	1075	27611	 	YZ	64481568
327192	1117	1997-06-13	VYDAJ	PREVOD NA UCET	1075	15414	 	YZ	64481568
327193	1117	1997-07-13	VYDAJ	PREVOD NA UCET	1075	18137	 	YZ	64481568
327194	1117	1997-08-13	VYDAJ	PREVOD NA UCET	1075	20851	 	YZ	64481568
327195	1117	1997-09-13	VYDAJ	PREVOD NA UCET	1075	20595	 	YZ	64481568
327196	1117	1997-10-13	VYDAJ	PREVOD NA UCET	1075	23319	 	YZ	64481568
327197	1117	1997-11-13	VYDAJ	PREVOD NA UCET	1075	26054	 	YZ	64481568
327198	1117	1997-12-13	VYDAJ	PREVOD NA UCET	1075	24896	 	YZ	64481568
327199	1117	1998-01-13	VYDAJ	PREVOD NA UCET	1075	19911	 	YZ	64481568
327200	1117	1998-02-13	VYDAJ	PREVOD NA UCET	1075	16062	 	YZ	64481568
327201	1117	1998-03-13	VYDAJ	PREVOD NA UCET	1075	18767	 	YZ	64481568
327202	1117	1998-04-13	VYDAJ	PREVOD NA UCET	1075	21483	 	YZ	64481568
327203	1117	1998-05-13	VYDAJ	PREVOD NA UCET	1075	22770	 	YZ	64481568
327204	1117	1998-06-13	VYDAJ	PREVOD NA UCET	1075	17103	 	YZ	64481568
327205	1117	1998-07-13	VYDAJ	PREVOD NA UCET	1075	19825	 	YZ	64481568
327206	1117	1998-08-13	VYDAJ	PREVOD NA UCET	1075	19902	 	YZ	64481568
327207	1117	1998-09-13	VYDAJ	PREVOD NA UCET	1075	22623	 	YZ	64481568
327208	1117	1998-10-13	VYDAJ	PREVOD NA UCET	1075	21433	 	YZ	64481568
327209	1117	1998-11-13	VYDAJ	PREVOD NA UCET	1075	21158	 	YZ	64481568
327210	1117	1998-12-13	VYDAJ	PREVOD NA UCET	1075	21379	 	YZ	64481568
327212	1117	1997-06-09	VYDAJ	VYBER	12550	16489	\N	\N	\N
327213	1117	1998-06-12	VYDAJ	VYBER	8400	18178	\N	\N	\N
327215	1117	1997-01-15	VYDAJ	VYBER	3050	23125	\N	\N	\N
327218	1117	1997-12-17	VYDAJ	VYBER	1400	23496	\N	\N	\N
327219	1117	1998-12-18	VYDAJ	VYBER	450	20529	\N	\N	\N
327228	1117	1997-01-28	VYDAJ	VYBER	1200	18885	\N	\N	\N
327229	1117	1997-01-27	VYDAJ	VYBER	1200	20085	\N	\N	\N
327230	1117	1997-01-22	VYDAJ	VYBER	1840	21285	\N	\N	\N
327231	1117	1997-01-29	VYDAJ	VYBER	2160	16725	\N	\N	\N
327232	1117	1998-01-17	VYDAJ	VYBER	880	15351	\N	\N	\N
327234	1117	1998-01-14	VYDAJ	VYBER	1520	18391	\N	\N	\N
327235	1117	1998-01-01	VYDAJ	VYBER	1840	19336	\N	\N	\N
327236	1117	1998-01-15	VYDAJ	VYBER	2160	16231	\N	\N	\N
327237	1117	1998-01-07	VYDAJ	VYBER	2080	17256	\N	\N	\N
327244	1117	1997-08-30	VYDAJ	VYBER	2880	17871	\N	\N	\N
327245	1117	1997-05-31	VYDAJ	VYBER	2400	25324	\N	\N	\N
327247	1117	1998-01-21	VYDAJ	VYBER	2000	13351	\N	\N	\N
327248	1117	1998-07-22	VYDAJ	VYBER	2640	17185	\N	\N	\N
327249	1117	1998-04-13	VYDAJ	VYBER	1440	20043	\N	\N	\N
327250	1117	1998-10-09	VYDAJ	VYBER	3120	22508	\N	\N	\N
327264	1117	1997-01-31	VYDAJ	VYBER	15	16766	SLUZBY	\N	\N
327265	1117	1997-02-28	VYDAJ	VYBER	15	19484	SLUZBY	\N	\N
327266	1117	1997-03-31	VYDAJ	VYBER	15	22215	SLUZBY	\N	\N
327267	1117	1997-04-30	VYDAJ	VYBER	15	24956	SLUZBY	\N	\N
327268	1117	1997-05-31	VYDAJ	VYBER	15	25309	SLUZBY	\N	\N
327269	1117	1997-06-30	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
327270	1117	1997-07-31	VYDAJ	VYBER	15	18196	SLUZBY	\N	\N
327271	1117	1997-08-31	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
327272	1117	1997-09-30	VYDAJ	VYBER	15	20664	SLUZBY	\N	\N
327273	1117	1997-10-31	VYDAJ	VYBER	15	23399	SLUZBY	\N	\N
327274	1117	1997-11-30	VYDAJ	VYBER	15	22241	SLUZBY	\N	\N
327275	1117	1997-12-31	VYDAJ	VYBER	15	21176	SLUZBY	\N	\N
327276	1117	1998-01-31	VYDAJ	VYBER	15	13407	SLUZBY	\N	\N
327277	1117	1998-02-28	VYDAJ	VYBER	15	16112	SLUZBY	\N	\N
327278	1117	1998-03-31	VYDAJ	VYBER	15	18828	SLUZBY	\N	\N
327279	1117	1998-04-30	VYDAJ	VYBER	15	20115	SLUZBY	\N	\N
327280	1117	1998-05-31	VYDAJ	VYBER	15	22848	SLUZBY	\N	\N
327281	1117	1998-06-30	VYDAJ	VYBER	15	17170	SLUZBY	\N	\N
327282	1117	1998-07-31	VYDAJ	VYBER	15	17247	SLUZBY	\N	\N
327283	1117	1998-08-31	VYDAJ	VYBER	15	19968	SLUZBY	\N	\N
327284	1117	1998-09-30	VYDAJ	VYBER	15	21898	SLUZBY	\N	\N
327285	1117	1998-10-31	VYDAJ	VYBER	15	18503	SLUZBY	\N	\N
327286	1117	1998-11-30	VYDAJ	VYBER	15	18724	SLUZBY	\N	\N
327287	1117	1997-08-24	VYDAJ	VYBER	100	20751	\N	\N	\N
327288	1117	1997-11-22	VYDAJ	VYBER	3900	22154	\N	\N	\N
327289	1117	1997-12-22	VYDAJ	VYBER	2400	21096	\N	\N	\N
327290	1117	1998-09-18	VYDAJ	VYBER	800	21823	\N	\N	\N
327291	1117	1998-10-18	VYDAJ	VYBER	3000	18433	\N	\N	\N
327292	1117	1998-11-17	VYDAJ	VYBER	2500	18658	\N	\N	\N
327293	1117	1998-12-17	VYDAJ	VYBER	400	20979	\N	\N	\N
327318	1118	1993-07-04	PRIJEM	VKLAD	200	200	\N	\N	\N
327325	1118	1993-07-07	PRIJEM	VKLAD	7538	7738	\N	\N	\N
327326	1118	1993-08-07	PRIJEM	VKLAD	7538	25902	\N	\N	\N
327327	1118	1993-09-07	PRIJEM	VKLAD	7538	34133	\N	\N	\N
327328	1118	1993-10-07	PRIJEM	VKLAD	7538	36407	\N	\N	\N
327329	1118	1993-11-07	PRIJEM	VKLAD	7538	39095	\N	\N	\N
327330	1118	1993-12-07	PRIJEM	VKLAD	11307	38709	\N	\N	\N
327331	1118	1994-01-07	PRIJEM	VKLAD	7538	30607	\N	\N	\N
327332	1118	1994-02-07	PRIJEM	VKLAD	7538	28687	\N	\N	\N
327333	1118	1994-03-07	PRIJEM	VKLAD	7538	32344	\N	\N	\N
327334	1118	1994-04-07	PRIJEM	VKLAD	7538	33557	\N	\N	\N
327335	1118	1994-05-07	PRIJEM	VKLAD	7538	32075	\N	\N	\N
327336	1118	1994-06-07	PRIJEM	VKLAD	11307	33036	\N	\N	\N
327337	1118	1994-07-07	PRIJEM	VKLAD	7538	33452	\N	\N	\N
327338	1118	1994-08-07	PRIJEM	VKLAD	7538	30667	\N	\N	\N
327339	1118	1994-09-07	PRIJEM	VKLAD	7538	31673	\N	\N	\N
327340	1118	1994-10-07	PRIJEM	VKLAD	7538	31981	\N	\N	\N
327341	1118	1994-11-07	PRIJEM	VKLAD	7538	28989	\N	\N	\N
327342	1118	1994-12-07	PRIJEM	VKLAD	11307	30097	\N	\N	\N
327343	1118	1995-01-07	PRIJEM	VKLAD	7538	23470	\N	\N	\N
327344	1118	1995-02-07	PRIJEM	VKLAD	7538	22939	\N	\N	\N
327345	1118	1995-03-07	PRIJEM	VKLAD	7538	23512	\N	\N	\N
327346	1118	1995-04-07	PRIJEM	VKLAD	7538	21223	\N	\N	\N
327347	1118	1995-05-07	PRIJEM	VKLAD	7538	20945	\N	\N	\N
327348	1118	1995-06-07	PRIJEM	VKLAD	11307	28081	\N	\N	\N
327349	1118	1995-07-07	PRIJEM	VKLAD	7538	24987	\N	\N	\N
327350	1118	1995-08-07	PRIJEM	VKLAD	7538	23364	\N	\N	\N
327351	1118	1995-09-07	PRIJEM	VKLAD	7538	21333	\N	\N	\N
327352	1118	1995-10-07	PRIJEM	VKLAD	7538	21137	\N	\N	\N
327353	1118	1995-11-07	PRIJEM	VKLAD	7538	20598	\N	\N	\N
327354	1118	1995-12-07	PRIJEM	VKLAD	11307	22926	\N	\N	\N
327355	1118	1996-01-07	PRIJEM	VKLAD	7538	23088	\N	\N	\N
327356	1118	1996-02-07	PRIJEM	VKLAD	7538	21932	\N	\N	\N
327357	1118	1996-03-07	PRIJEM	VKLAD	7538	24501	\N	\N	\N
327358	1118	1996-04-07	PRIJEM	VKLAD	7538	27080	\N	\N	\N
327359	1118	1996-05-07	PRIJEM	VKLAD	7538	29670	\N	\N	\N
327360	1118	1996-06-07	PRIJEM	VKLAD	11307	36039	\N	\N	\N
327361	1118	1996-07-07	PRIJEM	VKLAD	7538	33250	\N	\N	\N
327362	1118	1996-08-07	PRIJEM	VKLAD	7538	35865	\N	\N	\N
327363	1118	1996-09-07	PRIJEM	VKLAD	7538	38491	\N	\N	\N
327364	1118	1996-10-07	PRIJEM	VKLAD	7538	20987	\N	\N	\N
327365	1118	1996-11-07	PRIJEM	VKLAD	7538	23551	\N	\N	\N
327366	1118	1996-12-07	PRIJEM	VKLAD	11307	23998	\N	\N	\N
327367	1118	1997-01-07	PRIJEM	VKLAD	7538	25851	\N	\N	\N
327368	1118	1997-02-07	PRIJEM	VKLAD	7538	22665	\N	\N	\N
327369	1118	1997-03-07	PRIJEM	VKLAD	7538	25237	\N	\N	\N
327370	1118	1997-04-07	PRIJEM	VKLAD	7538	27819	\N	\N	\N
327371	1118	1997-05-07	PRIJEM	VKLAD	7538	26210	\N	\N	\N
327372	1118	1997-06-07	PRIJEM	VKLAD	11307	32565	\N	\N	\N
327373	1118	1997-07-07	PRIJEM	VKLAD	7538	33374	\N	\N	\N
327374	1118	1997-08-07	PRIJEM	VKLAD	7538	35390	\N	\N	\N
327375	1118	1997-09-07	PRIJEM	VKLAD	7538	35490	\N	\N	\N
327376	1118	1997-10-07	PRIJEM	VKLAD	7538	37154	\N	\N	\N
327377	1118	1997-11-07	PRIJEM	VKLAD	7538	30879	\N	\N	\N
327378	1118	1997-12-07	PRIJEM	VKLAD	11307	33093	\N	\N	\N
327379	1118	1998-01-07	PRIJEM	VKLAD	7538	33548	\N	\N	\N
327380	1118	1998-02-07	PRIJEM	VKLAD	7538	24262	\N	\N	\N
327381	1118	1998-03-07	PRIJEM	VKLAD	7538	26240	\N	\N	\N
327382	1118	1998-04-07	PRIJEM	VKLAD	7538	28825	\N	\N	\N
327383	1118	1998-05-07	PRIJEM	VKLAD	7538	31421	\N	\N	\N
327384	1118	1998-06-07	PRIJEM	VKLAD	11307	37796	\N	\N	\N
327385	1118	1998-07-07	PRIJEM	VKLAD	7538	40426	\N	\N	\N
327386	1118	1998-08-07	PRIJEM	VKLAD	7538	43070	\N	\N	\N
327387	1118	1998-09-07	PRIJEM	VKLAD	7538	45726	\N	\N	\N
327388	1118	1998-10-07	PRIJEM	VKLAD	7538	43584	\N	\N	\N
327389	1118	1998-11-07	PRIJEM	VKLAD	7538	46241	\N	\N	\N
327390	1118	1998-12-07	PRIJEM	VKLAD	11307	45306	\N	\N	\N
327401	1118	1993-11-12	VYDAJ	PREVOD NA UCET	3637	34070	SIPO	UV	32868296
327402	1118	1993-12-12	VYDAJ	PREVOD NA UCET	3637	33684	SIPO	UV	32868296
327403	1118	1994-01-12	VYDAJ	PREVOD NA UCET	3637	25582	SIPO	UV	32868296
327404	1118	1994-02-12	VYDAJ	PREVOD NA UCET	3637	23662	SIPO	UV	32868296
327405	1118	1994-03-12	VYDAJ	PREVOD NA UCET	3637	27319	SIPO	UV	32868296
327406	1118	1994-04-12	VYDAJ	PREVOD NA UCET	3637	28532	SIPO	UV	32868296
327407	1118	1994-05-12	VYDAJ	PREVOD NA UCET	3637	27050	SIPO	UV	32868296
327408	1118	1994-06-12	VYDAJ	PREVOD NA UCET	3637	28011	SIPO	UV	32868296
327409	1118	1994-07-12	VYDAJ	PREVOD NA UCET	3637	28427	SIPO	UV	32868296
327410	1118	1994-08-12	VYDAJ	PREVOD NA UCET	3637	25642	SIPO	UV	32868296
327411	1118	1994-09-12	VYDAJ	PREVOD NA UCET	3637	26648	SIPO	UV	32868296
327412	1118	1994-10-12	VYDAJ	PREVOD NA UCET	3637	26956	SIPO	UV	32868296
327413	1118	1994-11-12	VYDAJ	PREVOD NA UCET	3637	23964	SIPO	UV	32868296
327414	1118	1994-12-12	VYDAJ	PREVOD NA UCET	3637	21592	SIPO	UV	32868296
327415	1118	1995-01-12	VYDAJ	PREVOD NA UCET	3637	17125	SIPO	UV	32868296
327416	1118	1995-02-12	VYDAJ	PREVOD NA UCET	3637	17914	SIPO	UV	32868296
327417	1118	1995-03-12	VYDAJ	PREVOD NA UCET	3637	18487	SIPO	UV	32868296
327418	1118	1995-04-12	VYDAJ	PREVOD NA UCET	3637	16198	SIPO	UV	32868296
327419	1118	1995-05-12	VYDAJ	PREVOD NA UCET	3637	15920	SIPO	UV	32868296
327420	1118	1995-06-12	VYDAJ	PREVOD NA UCET	3637	23056	SIPO	UV	32868296
327421	1118	1995-07-12	VYDAJ	PREVOD NA UCET	3637	19962	SIPO	UV	32868296
327643	1118	1994-08-31	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
327422	1118	1995-08-12	VYDAJ	PREVOD NA UCET	3637	18339	SIPO	UV	32868296
327423	1118	1995-09-12	VYDAJ	PREVOD NA UCET	3637	16308	SIPO	UV	32868296
327424	1118	1995-10-12	VYDAJ	PREVOD NA UCET	3637	16112	SIPO	UV	32868296
327425	1118	1995-11-12	VYDAJ	PREVOD NA UCET	3637	15573	SIPO	UV	32868296
327426	1118	1995-12-12	VYDAJ	PREVOD NA UCET	3637	15501	SIPO	UV	32868296
327427	1118	1996-01-12	VYDAJ	PREVOD NA UCET	3637	16383	SIPO	UV	32868296
327428	1118	1996-02-12	VYDAJ	PREVOD NA UCET	3637	16907	SIPO	UV	32868296
327429	1118	1996-03-12	VYDAJ	PREVOD NA UCET	3637	19476	SIPO	UV	32868296
327430	1118	1996-04-12	VYDAJ	PREVOD NA UCET	3637	22055	SIPO	UV	32868296
327431	1118	1996-05-12	VYDAJ	PREVOD NA UCET	3637	24645	SIPO	UV	32868296
327432	1118	1996-06-12	VYDAJ	PREVOD NA UCET	3637	31014	SIPO	UV	32868296
327433	1118	1996-07-12	VYDAJ	PREVOD NA UCET	3637	28225	SIPO	UV	32868296
327434	1118	1996-08-12	VYDAJ	PREVOD NA UCET	3637	30840	SIPO	UV	32868296
327435	1118	1996-09-12	VYDAJ	PREVOD NA UCET	3637	33466	SIPO	UV	32868296
327436	1118	1996-10-12	VYDAJ	PREVOD NA UCET	3637	15962	SIPO	UV	32868296
327437	1118	1996-11-12	VYDAJ	PREVOD NA UCET	3637	12646	SIPO	UV	32868296
327438	1118	1996-12-12	VYDAJ	PREVOD NA UCET	3637	18973	SIPO	UV	32868296
327439	1118	1997-01-12	VYDAJ	PREVOD NA UCET	3637	18186	SIPO	UV	32868296
327440	1118	1997-02-12	VYDAJ	PREVOD NA UCET	3637	17640	SIPO	UV	32868296
327441	1118	1997-03-12	VYDAJ	PREVOD NA UCET	3637	20212	SIPO	UV	32868296
327442	1118	1997-04-12	VYDAJ	PREVOD NA UCET	3637	22794	SIPO	UV	32868296
327443	1118	1997-05-12	VYDAJ	PREVOD NA UCET	3637	21185	SIPO	UV	32868296
327444	1118	1997-06-12	VYDAJ	PREVOD NA UCET	3637	27540	SIPO	UV	32868296
327445	1118	1997-07-12	VYDAJ	PREVOD NA UCET	3637	28349	SIPO	UV	32868296
327446	1118	1997-08-12	VYDAJ	PREVOD NA UCET	3637	30365	SIPO	UV	32868296
327447	1118	1997-09-12	VYDAJ	PREVOD NA UCET	3637	30465	SIPO	UV	32868296
327448	1118	1997-10-12	VYDAJ	PREVOD NA UCET	3637	23249	SIPO	UV	32868296
327449	1118	1997-11-12	VYDAJ	PREVOD NA UCET	3637	25854	SIPO	UV	32868296
327450	1118	1997-12-12	VYDAJ	PREVOD NA UCET	3637	28068	SIPO	UV	32868296
327451	1118	1998-01-12	VYDAJ	PREVOD NA UCET	3637	24203	SIPO	UV	32868296
327452	1118	1998-02-12	VYDAJ	PREVOD NA UCET	3637	19237	SIPO	UV	32868296
327453	1118	1998-03-12	VYDAJ	PREVOD NA UCET	3637	21215	SIPO	UV	32868296
327454	1118	1998-04-12	VYDAJ	PREVOD NA UCET	3637	23800	SIPO	UV	32868296
327455	1118	1998-05-12	VYDAJ	PREVOD NA UCET	3637	26396	SIPO	UV	32868296
327456	1118	1998-06-12	VYDAJ	PREVOD NA UCET	3637	32771	SIPO	UV	32868296
327457	1118	1998-07-12	VYDAJ	PREVOD NA UCET	3637	35401	SIPO	UV	32868296
327458	1118	1998-08-12	VYDAJ	PREVOD NA UCET	3637	38045	SIPO	UV	32868296
327459	1118	1998-09-12	VYDAJ	PREVOD NA UCET	3637	40701	SIPO	UV	32868296
327460	1118	1998-10-12	VYDAJ	PREVOD NA UCET	3637	38559	SIPO	UV	32868296
327461	1118	1998-11-12	VYDAJ	PREVOD NA UCET	3637	41216	SIPO	UV	32868296
327462	1118	1998-12-12	VYDAJ	PREVOD NA UCET	3637	40281	SIPO	UV	32868296
327473	1118	1993-11-07	VYDAJ	PREVOD NA UCET	1388	37707	 	GH	4071104
327474	1118	1993-12-07	VYDAJ	PREVOD NA UCET	1388	37321	 	GH	4071104
327475	1118	1994-01-07	VYDAJ	PREVOD NA UCET	1388	29219	 	GH	4071104
327476	1118	1994-02-07	VYDAJ	PREVOD NA UCET	1388	27299	 	GH	4071104
327477	1118	1994-03-07	VYDAJ	PREVOD NA UCET	1388	30956	 	GH	4071104
327478	1118	1994-04-07	VYDAJ	PREVOD NA UCET	1388	32169	 	GH	4071104
327479	1118	1994-05-07	VYDAJ	PREVOD NA UCET	1388	30687	 	GH	4071104
327480	1118	1994-06-07	VYDAJ	PREVOD NA UCET	1388	31648	 	GH	4071104
327481	1118	1994-07-07	VYDAJ	PREVOD NA UCET	1388	32064	 	GH	4071104
327482	1118	1994-08-07	VYDAJ	PREVOD NA UCET	1388	29279	 	GH	4071104
327483	1118	1994-09-07	VYDAJ	PREVOD NA UCET	1388	30285	 	GH	4071104
327484	1118	1994-10-07	VYDAJ	PREVOD NA UCET	1388	30593	 	GH	4071104
327485	1118	1994-11-07	VYDAJ	PREVOD NA UCET	1388	27601	 	GH	4071104
327486	1118	1994-12-07	VYDAJ	PREVOD NA UCET	1388	28709	 	GH	4071104
327487	1118	1995-01-07	VYDAJ	PREVOD NA UCET	1388	22082	 	GH	4071104
327488	1118	1995-02-07	VYDAJ	PREVOD NA UCET	1388	21551	 	GH	4071104
327489	1118	1995-03-07	VYDAJ	PREVOD NA UCET	1388	22124	 	GH	4071104
327490	1118	1995-04-07	VYDAJ	PREVOD NA UCET	1388	19835	 	GH	4071104
327491	1118	1995-05-07	VYDAJ	PREVOD NA UCET	1388	19557	 	GH	4071104
327492	1118	1995-06-07	VYDAJ	PREVOD NA UCET	1388	26693	 	GH	4071104
327493	1118	1995-07-07	VYDAJ	PREVOD NA UCET	1388	23599	 	GH	4071104
327494	1118	1995-08-07	VYDAJ	PREVOD NA UCET	1388	21976	 	GH	4071104
327495	1118	1995-09-07	VYDAJ	PREVOD NA UCET	1388	19945	 	GH	4071104
327496	1118	1995-10-07	VYDAJ	PREVOD NA UCET	1388	19749	 	GH	4071104
327497	1118	1995-11-07	VYDAJ	PREVOD NA UCET	1388	19210	 	GH	4071104
327498	1118	1995-12-07	VYDAJ	PREVOD NA UCET	1388	21538	 	GH	4071104
327499	1118	1996-01-07	VYDAJ	PREVOD NA UCET	1388	21700	 	GH	4071104
327500	1118	1996-02-07	VYDAJ	PREVOD NA UCET	1388	20544	 	GH	4071104
327501	1118	1996-03-07	VYDAJ	PREVOD NA UCET	1388	23113	 	GH	4071104
327502	1118	1996-04-07	VYDAJ	PREVOD NA UCET	1388	25692	 	GH	4071104
327503	1118	1996-05-07	VYDAJ	PREVOD NA UCET	1388	28282	 	GH	4071104
327504	1118	1996-06-07	VYDAJ	PREVOD NA UCET	1388	34651	 	GH	4071104
327505	1118	1996-07-07	VYDAJ	PREVOD NA UCET	1388	31862	 	GH	4071104
327506	1118	1996-08-07	VYDAJ	PREVOD NA UCET	1388	34477	 	GH	4071104
327507	1118	1996-09-07	VYDAJ	PREVOD NA UCET	1388	37103	 	GH	4071104
327508	1118	1996-10-07	VYDAJ	PREVOD NA UCET	1388	19599	 	GH	4071104
327509	1118	1996-11-07	VYDAJ	PREVOD NA UCET	1388	22163	 	GH	4071104
327510	1118	1996-12-07	VYDAJ	PREVOD NA UCET	1388	22610	 	GH	4071104
327511	1118	1997-01-07	VYDAJ	PREVOD NA UCET	1388	24463	 	GH	4071104
327512	1118	1997-02-07	VYDAJ	PREVOD NA UCET	1388	21277	 	GH	4071104
327513	1118	1997-03-07	VYDAJ	PREVOD NA UCET	1388	23849	 	GH	4071104
327514	1118	1997-04-07	VYDAJ	PREVOD NA UCET	1388	26431	 	GH	4071104
327515	1118	1997-05-07	VYDAJ	PREVOD NA UCET	1388	24822	 	GH	4071104
327516	1118	1997-06-07	VYDAJ	PREVOD NA UCET	1388	31177	 	GH	4071104
327517	1118	1997-07-07	VYDAJ	PREVOD NA UCET	1388	31986	 	GH	4071104
327518	1118	1997-08-07	VYDAJ	PREVOD NA UCET	1388	34002	 	GH	4071104
327519	1118	1997-09-07	VYDAJ	PREVOD NA UCET	1388	34102	 	GH	4071104
327520	1118	1997-10-07	VYDAJ	PREVOD NA UCET	1388	35766	 	GH	4071104
327521	1118	1997-11-07	VYDAJ	PREVOD NA UCET	1388	29491	 	GH	4071104
327522	1118	1997-12-07	VYDAJ	PREVOD NA UCET	1388	31705	 	GH	4071104
327523	1118	1998-01-07	VYDAJ	PREVOD NA UCET	1388	32160	 	GH	4071104
327524	1118	1998-02-07	VYDAJ	PREVOD NA UCET	1388	22874	 	GH	4071104
327525	1118	1998-03-07	VYDAJ	PREVOD NA UCET	1388	24852	 	GH	4071104
327526	1118	1998-04-07	VYDAJ	PREVOD NA UCET	1388	27437	 	GH	4071104
327527	1118	1998-05-07	VYDAJ	PREVOD NA UCET	1388	30033	 	GH	4071104
327528	1118	1998-06-07	VYDAJ	PREVOD NA UCET	1388	36408	 	GH	4071104
327529	1118	1998-07-07	VYDAJ	PREVOD NA UCET	1388	39038	 	GH	4071104
327530	1118	1998-08-07	VYDAJ	PREVOD NA UCET	1388	41682	 	GH	4071104
327531	1118	1998-09-07	VYDAJ	PREVOD NA UCET	1388	44338	 	GH	4071104
327532	1118	1998-10-07	VYDAJ	PREVOD NA UCET	1388	42196	 	GH	4071104
327533	1118	1998-11-07	VYDAJ	PREVOD NA UCET	1388	44853	 	GH	4071104
327534	1118	1998-12-07	VYDAJ	PREVOD NA UCET	1388	43918	 	GH	4071104
327546	1118	1998-01-09	VYDAJ	VYBER	2400	29760	\N	\N	\N
327547	1118	1993-12-03	VYDAJ	VYBER	4000	27402	\N	\N	\N
327548	1118	1994-12-02	VYDAJ	VYBER	4160	18790	\N	\N	\N
327549	1118	1995-12-08	VYDAJ	VYBER	2400	19138	\N	\N	\N
327551	1118	1997-12-02	VYDAJ	VYBER	4160	21786	\N	\N	\N
327552	1118	1998-12-03	VYDAJ	VYBER	2080	33999	\N	\N	\N
327559	1118	1994-01-02	VYDAJ	VYBER	2280	24389	\N	\N	\N
327560	1118	1994-01-04	VYDAJ	VYBER	1320	23069	\N	\N	\N
327561	1118	1994-01-18	VYDAJ	VYBER	3120	22462	\N	\N	\N
327562	1118	1994-01-29	VYDAJ	VYBER	2640	17302	\N	\N	\N
327563	1118	1994-01-30	VYDAJ	VYBER	3240	21062	\N	\N	\N
327564	1118	1994-01-01	VYDAJ	VYBER	1440	26669	\N	\N	\N
327565	1118	1995-01-01	VYDAJ	VYBER	2040	15932	\N	\N	\N
327567	1118	1995-01-10	VYDAJ	VYBER	1320	20762	\N	\N	\N
327569	1118	1995-01-14	VYDAJ	VYBER	1680	15445	\N	\N	\N
327573	1118	1996-01-13	VYDAJ	VYBER	2040	14343	\N	\N	\N
327575	1118	1996-01-07	VYDAJ	VYBER	1680	20020	\N	\N	\N
327577	1118	1997-01-30	VYDAJ	VYBER	720	15066	\N	\N	\N
327578	1118	1997-01-22	VYDAJ	VYBER	2400	15786	\N	\N	\N
327579	1118	1997-01-05	VYDAJ	VYBER	720	18313	\N	\N	\N
327581	1118	1997-01-11	VYDAJ	VYBER	2640	21823	\N	\N	\N
327583	1118	1998-01-05	VYDAJ	VYBER	2160	26010	\N	\N	\N
327584	1118	1998-01-23	VYDAJ	VYBER	2520	19163	\N	\N	\N
327585	1118	1998-01-09	VYDAJ	VYBER	1920	27840	\N	\N	\N
327586	1118	1998-01-21	VYDAJ	VYBER	600	21683	\N	\N	\N
327588	1118	1998-01-13	VYDAJ	VYBER	1200	23003	\N	\N	\N
327592	1118	1994-10-25	VYDAJ	VYBER	1800	25156	\N	\N	\N
327593	1118	1994-12-26	VYDAJ	VYBER	4200	17892	\N	\N	\N
327594	1118	1994-03-01	VYDAJ	VYBER	2040	24806	\N	\N	\N
327595	1118	1994-01-25	VYDAJ	VYBER	2520	19942	\N	\N	\N
327596	1118	1994-06-04	VYDAJ	VYBER	1560	25689	\N	\N	\N
327597	1118	1994-06-06	VYDAJ	VYBER	3960	21729	\N	\N	\N
327598	1118	1994-12-10	VYDAJ	VYBER	3480	25229	\N	\N	\N
327599	1118	1995-09-27	VYDAJ	VYBER	2160	13548	\N	\N	\N
327601	1118	1995-04-21	VYDAJ	VYBER	2040	14158	\N	\N	\N
327602	1118	1995-03-25	VYDAJ	VYBER	3960	14527	\N	\N	\N
327603	1118	1995-06-26	VYDAJ	VYBER	1080	17376	\N	\N	\N
327604	1118	1996-11-09	VYDAJ	VYBER	5880	16283	\N	\N	\N
327605	1118	1996-06-13	VYDAJ	VYBER	5400	25614	\N	\N	\N
327608	1118	1997-04-27	VYDAJ	VYBER	4200	18594	\N	\N	\N
327609	1118	1997-10-05	VYDAJ	VYBER	960	29616	\N	\N	\N
327612	1118	1997-10-12	VYDAJ	VYBER	3720	26886	\N	\N	\N
327614	1118	1997-10-08	VYDAJ	VYBER	5160	30606	\N	\N	\N
327615	1118	1997-07-13	VYDAJ	VYBER	600	27749	\N	\N	\N
327616	1118	1997-08-19	VYDAJ	VYBER	2520	27845	\N	\N	\N
327617	1118	1997-07-03	VYDAJ	VYBER	1800	25836	\N	\N	\N
327618	1118	1998-01-25	VYDAJ	VYBER	2520	16643	\N	\N	\N
327619	1118	1998-09-19	VYDAJ	VYBER	4800	35901	\N	\N	\N
327620	1118	1998-01-19	VYDAJ	VYBER	720	22283	\N	\N	\N
327621	1118	1998-11-15	VYDAJ	VYBER	5280	35936	\N	\N	\N
327622	1118	1998-03-06	VYDAJ	VYBER	600	18702	\N	\N	\N
327634	1118	1993-11-30	VYDAJ	VYBER	15	34202	SLUZBY	\N	\N
327635	1118	1993-12-31	VYDAJ	VYBER	15	33809	SLUZBY	\N	\N
327636	1118	1994-01-31	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
327637	1118	1994-02-28	VYDAJ	VYBER	15	23746	SLUZBY	\N	\N
327638	1118	1994-03-31	VYDAJ	VYBER	15	26019	SLUZBY	\N	\N
327639	1118	1994-04-30	VYDAJ	VYBER	15	24537	SLUZBY	\N	\N
327640	1118	1994-05-31	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
327641	1118	1994-06-30	VYDAJ	VYBER	15	25914	SLUZBY	\N	\N
327642	1118	1994-07-31	VYDAJ	VYBER	15	23129	SLUZBY	\N	\N
327644	1118	1994-09-30	VYDAJ	VYBER	15	24443	SLUZBY	\N	\N
327645	1118	1994-10-31	VYDAJ	VYBER	15	21451	SLUZBY	\N	\N
327646	1118	1994-11-30	VYDAJ	VYBER	15	22950	SLUZBY	\N	\N
327647	1118	1994-12-31	VYDAJ	VYBER	15	17972	SLUZBY	\N	\N
327648	1118	1995-01-31	VYDAJ	VYBER	15	15401	SLUZBY	\N	\N
327649	1118	1995-02-28	VYDAJ	VYBER	15	15974	SLUZBY	\N	\N
327650	1118	1995-03-31	VYDAJ	VYBER	15	13685	SLUZBY	\N	\N
327651	1118	1995-04-30	VYDAJ	VYBER	15	13407	SLUZBY	\N	\N
327652	1118	1995-05-31	VYDAJ	VYBER	15	16774	SLUZBY	\N	\N
327653	1118	1995-06-30	VYDAJ	VYBER	15	17449	SLUZBY	\N	\N
327654	1118	1995-07-31	VYDAJ	VYBER	15	15826	SLUZBY	\N	\N
327655	1118	1995-08-31	VYDAJ	VYBER	15	13795	SLUZBY	\N	\N
327656	1118	1995-09-30	VYDAJ	VYBER	15	13599	SLUZBY	\N	\N
327657	1118	1995-10-31	VYDAJ	VYBER	15	13060	SLUZBY	\N	\N
327658	1118	1995-11-30	VYDAJ	VYBER	15	11619	SLUZBY	\N	\N
327659	1118	1995-12-31	VYDAJ	VYBER	15	15550	SLUZBY	\N	\N
327660	1118	1996-01-31	VYDAJ	VYBER	15	14394	SLUZBY	\N	\N
327661	1118	1996-02-29	VYDAJ	VYBER	15	16963	SLUZBY	\N	\N
327662	1118	1996-03-31	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
327663	1118	1996-04-30	VYDAJ	VYBER	15	22132	SLUZBY	\N	\N
327664	1118	1996-05-31	VYDAJ	VYBER	15	24732	SLUZBY	\N	\N
327665	1118	1996-06-30	VYDAJ	VYBER	15	25712	SLUZBY	\N	\N
327666	1118	1996-07-31	VYDAJ	VYBER	15	28327	SLUZBY	\N	\N
327667	1118	1996-08-31	VYDAJ	VYBER	15	30953	SLUZBY	\N	\N
327668	1118	1996-09-30	VYDAJ	VYBER	15	13449	SLUZBY	\N	\N
327669	1118	1996-10-31	VYDAJ	VYBER	15	16013	SLUZBY	\N	\N
327670	1118	1996-11-30	VYDAJ	VYBER	15	12691	SLUZBY	\N	\N
327671	1118	1996-12-31	VYDAJ	VYBER	15	19033	SLUZBY	\N	\N
327672	1118	1997-01-31	VYDAJ	VYBER	15	15127	SLUZBY	\N	\N
327673	1118	1997-02-28	VYDAJ	VYBER	15	17699	SLUZBY	\N	\N
327674	1118	1997-03-31	VYDAJ	VYBER	15	20281	SLUZBY	\N	\N
327675	1118	1997-04-30	VYDAJ	VYBER	15	18672	SLUZBY	\N	\N
327676	1118	1997-05-31	VYDAJ	VYBER	15	21258	SLUZBY	\N	\N
327677	1118	1997-06-30	VYDAJ	VYBER	15	27636	SLUZBY	\N	\N
327678	1118	1997-07-31	VYDAJ	VYBER	15	27852	SLUZBY	\N	\N
327679	1118	1997-08-31	VYDAJ	VYBER	15	27952	SLUZBY	\N	\N
327680	1118	1997-09-30	VYDAJ	VYBER	15	30576	SLUZBY	\N	\N
327681	1118	1997-10-31	VYDAJ	VYBER	15	23341	SLUZBY	\N	\N
327682	1118	1997-11-30	VYDAJ	VYBER	15	25946	SLUZBY	\N	\N
327683	1118	1997-12-31	VYDAJ	VYBER	15	28170	SLUZBY	\N	\N
327684	1118	1998-01-31	VYDAJ	VYBER	15	16724	SLUZBY	\N	\N
327685	1118	1998-02-28	VYDAJ	VYBER	15	19302	SLUZBY	\N	\N
327686	1118	1998-03-31	VYDAJ	VYBER	15	21287	SLUZBY	\N	\N
327687	1118	1998-04-30	VYDAJ	VYBER	15	23883	SLUZBY	\N	\N
327688	1118	1998-05-31	VYDAJ	VYBER	15	26489	SLUZBY	\N	\N
327689	1118	1998-06-30	VYDAJ	VYBER	15	32888	SLUZBY	\N	\N
327690	1118	1998-07-31	VYDAJ	VYBER	15	35532	SLUZBY	\N	\N
327691	1118	1998-08-31	VYDAJ	VYBER	15	38188	SLUZBY	\N	\N
327692	1118	1998-09-30	VYDAJ	VYBER	15	36046	SLUZBY	\N	\N
327693	1118	1998-10-31	VYDAJ	VYBER	15	38703	SLUZBY	\N	\N
327694	1118	1998-11-30	VYDAJ	VYBER	15	36079	SLUZBY	\N	\N
327695	1118	1993-08-03	PRIJEM	VKLAD	10600	18364	\N	\N	\N
327696	1118	1993-09-02	PRIJEM	VKLAD	600	26595	\N	\N	\N
327697	1118	1993-10-02	VYDAJ	VYBER	5400	28869	\N	\N	\N
327698	1118	1993-11-01	VYDAJ	VYBER	5000	31557	\N	\N	\N
327699	1118	1993-12-01	VYDAJ	VYBER	2800	31402	\N	\N	\N
327700	1118	1993-12-31	VYDAJ	VYBER	5700	28109	\N	\N	\N
327701	1118	1994-01-30	PRIJEM	VKLAD	7000	24302	\N	\N	\N
327702	1118	1994-03-01	PRIJEM	VKLAD	3100	26846	\N	\N	\N
327703	1118	1994-03-31	VYDAJ	VYBER	1400	26034	\N	\N	\N
327704	1118	1994-04-30	VYDAJ	VYBER	4100	24552	\N	\N	\N
327705	1118	1994-05-30	PRIJEM	VKLAD	100	27150	\N	\N	\N
327706	1118	1994-06-29	VYDAJ	VYBER	2200	25811	\N	\N	\N
327707	1118	1994-07-29	VYDAJ	VYBER	5400	23027	\N	\N	\N
327708	1118	1994-08-28	VYDAJ	VYBER	1600	24042	\N	\N	\N
327709	1118	1994-09-27	VYDAJ	VYBER	2300	24348	\N	\N	\N
327710	1118	1994-10-27	VYDAJ	VYBER	3800	21356	\N	\N	\N
327711	1118	1994-11-26	VYDAJ	VYBER	1100	22864	\N	\N	\N
327712	1118	1994-12-26	PRIJEM	VKLAD	500	22092	\N	\N	\N
327713	1118	1995-01-25	VYDAJ	VYBER	100	15345	\N	\N	\N
327714	1118	1995-02-24	VYDAJ	VYBER	2000	15914	\N	\N	\N
327715	1118	1995-03-26	VYDAJ	VYBER	900	13627	\N	\N	\N
327716	1118	1995-04-25	VYDAJ	VYBER	800	13358	\N	\N	\N
327717	1118	1995-05-25	PRIJEM	VKLAD	800	16720	\N	\N	\N
327718	1118	1995-06-24	VYDAJ	VYBER	4600	18456	\N	\N	\N
327719	1118	1995-07-24	VYDAJ	VYBER	4200	15762	\N	\N	\N
327720	1118	1995-08-23	VYDAJ	VYBER	4600	13739	\N	\N	\N
327721	1118	1995-09-22	VYDAJ	VYBER	600	15708	\N	\N	\N
327722	1118	1995-10-22	VYDAJ	VYBER	3100	13012	\N	\N	\N
327723	1118	1995-11-21	VYDAJ	VYBER	4000	11573	\N	\N	\N
327724	1118	1996-09-16	VYDAJ	VYBER	20100	13366	\N	\N	\N
328307	1120	1993-10-05	PRIJEM	VKLAD	900	900	\N	\N	\N
328318	1120	1993-11-05	PRIJEM	PREVOD Z UCTU	5428	6328	DUCHOD	IJ	72382002
328319	1120	1993-12-05	PRIJEM	PREVOD Z UCTU	5428	11756	DUCHOD	IJ	72382002
328320	1120	1994-01-05	PRIJEM	PREVOD Z UCTU	5428	17184	DUCHOD	IJ	72382002
328321	1120	1994-02-05	PRIJEM	PREVOD Z UCTU	5428	22612	DUCHOD	IJ	72382002
328322	1120	1994-03-05	PRIJEM	PREVOD Z UCTU	5428	27540	DUCHOD	IJ	72382002
328323	1120	1994-04-05	PRIJEM	PREVOD Z UCTU	5428	28743	DUCHOD	IJ	72382002
328635	1120	1995-03-31	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
328324	1120	1994-05-05	PRIJEM	PREVOD Z UCTU	5428	28664	DUCHOD	IJ	72382002
328325	1120	1994-06-05	PRIJEM	PREVOD Z UCTU	5428	29185	DUCHOD	IJ	72382002
328326	1120	1994-07-05	PRIJEM	PREVOD Z UCTU	5428	19110	DUCHOD	IJ	72382002
328327	1120	1994-08-05	PRIJEM	PREVOD Z UCTU	5428	21887	DUCHOD	IJ	72382002
328328	1120	1994-09-05	PRIJEM	PREVOD Z UCTU	5428	21715	DUCHOD	IJ	72382002
328329	1120	1994-10-05	PRIJEM	PREVOD Z UCTU	5428	24503	DUCHOD	IJ	72382002
328330	1120	1994-11-05	PRIJEM	PREVOD Z UCTU	5428	25136	DUCHOD	IJ	72382002
328331	1120	1994-12-05	PRIJEM	PREVOD Z UCTU	5428	24014	DUCHOD	IJ	72382002
328332	1120	1995-01-05	PRIJEM	PREVOD Z UCTU	5428	25611	DUCHOD	IJ	72382002
328333	1120	1995-02-05	PRIJEM	PREVOD Z UCTU	5428	19250	DUCHOD	IJ	72382002
328334	1120	1995-03-05	PRIJEM	PREVOD Z UCTU	5428	22028	DUCHOD	IJ	72382002
328335	1120	1995-04-05	PRIJEM	PREVOD Z UCTU	5428	24818	DUCHOD	IJ	72382002
328336	1120	1995-05-05	PRIJEM	PREVOD Z UCTU	5428	26718	DUCHOD	IJ	72382002
328337	1120	1995-06-05	PRIJEM	PREVOD Z UCTU	5428	25927	DUCHOD	IJ	72382002
328338	1120	1995-07-05	PRIJEM	PREVOD Z UCTU	5428	18912	DUCHOD	IJ	72382002
328339	1120	1995-08-05	PRIJEM	PREVOD Z UCTU	5428	21689	DUCHOD	IJ	72382002
328340	1120	1995-09-05	PRIJEM	PREVOD Z UCTU	5428	21074	DUCHOD	IJ	72382002
328341	1120	1995-10-05	PRIJEM	PREVOD Z UCTU	5428	20754	DUCHOD	IJ	72382002
328342	1120	1995-11-05	PRIJEM	PREVOD Z UCTU	5428	19773	DUCHOD	IJ	72382002
328343	1120	1995-12-05	PRIJEM	PREVOD Z UCTU	5428	19951	DUCHOD	IJ	72382002
328344	1120	1996-01-05	PRIJEM	PREVOD Z UCTU	5428	19527	DUCHOD	IJ	72382002
328345	1120	1996-02-05	PRIJEM	PREVOD Z UCTU	5428	17374	DUCHOD	IJ	72382002
328346	1120	1996-03-05	PRIJEM	PREVOD Z UCTU	5428	20143	DUCHOD	IJ	72382002
328347	1120	1996-04-05	PRIJEM	PREVOD Z UCTU	5428	19921	DUCHOD	IJ	72382002
328348	1120	1996-05-05	PRIJEM	PREVOD Z UCTU	5428	17295	DUCHOD	IJ	72382002
328349	1120	1996-06-05	PRIJEM	PREVOD Z UCTU	5428	18162	DUCHOD	IJ	72382002
328350	1120	1996-07-05	PRIJEM	PREVOD Z UCTU	5428	20934	DUCHOD	IJ	72382002
328351	1120	1996-08-05	PRIJEM	PREVOD Z UCTU	5428	23238	DUCHOD	IJ	72382002
328352	1120	1996-09-05	PRIJEM	PREVOD Z UCTU	5428	18220	DUCHOD	IJ	72382002
328353	1120	1996-10-05	PRIJEM	PREVOD Z UCTU	5428	20993	DUCHOD	IJ	72382002
328354	1120	1996-11-05	PRIJEM	PREVOD Z UCTU	5428	23777	DUCHOD	IJ	72382002
328355	1120	1996-12-05	PRIJEM	PREVOD Z UCTU	5428	21121	DUCHOD	IJ	72382002
328356	1120	1997-01-05	PRIJEM	PREVOD Z UCTU	5428	19855	DUCHOD	IJ	72382002
328357	1120	1997-02-05	PRIJEM	PREVOD Z UCTU	5428	19349	DUCHOD	IJ	72382002
328358	1120	1997-03-05	PRIJEM	PREVOD Z UCTU	5428	22127	DUCHOD	IJ	72382002
328359	1120	1997-04-05	PRIJEM	PREVOD Z UCTU	5428	24916	DUCHOD	IJ	72382002
328360	1120	1997-05-05	PRIJEM	PREVOD Z UCTU	5428	24670	DUCHOD	IJ	72382002
328361	1120	1997-06-05	PRIJEM	PREVOD Z UCTU	5428	24025	DUCHOD	IJ	72382002
328362	1120	1997-07-05	PRIJEM	PREVOD Z UCTU	5428	23115	DUCHOD	IJ	72382002
328363	1120	1997-08-05	PRIJEM	PREVOD Z UCTU	5428	22547	DUCHOD	IJ	72382002
328364	1120	1997-09-05	PRIJEM	PREVOD Z UCTU	5428	23257	DUCHOD	IJ	72382002
328365	1120	1997-10-05	PRIJEM	PREVOD Z UCTU	5428	26054	DUCHOD	IJ	72382002
328366	1120	1997-11-05	PRIJEM	PREVOD Z UCTU	5428	28859	DUCHOD	IJ	72382002
328367	1120	1997-12-05	PRIJEM	PREVOD Z UCTU	5428	31676	DUCHOD	IJ	72382002
328368	1120	1998-01-05	PRIJEM	PREVOD Z UCTU	5428	33703	DUCHOD	IJ	72382002
328369	1120	1998-02-05	PRIJEM	PREVOD Z UCTU	5428	26685	DUCHOD	IJ	72382002
328370	1120	1998-03-05	PRIJEM	PREVOD Z UCTU	5428	24839	DUCHOD	IJ	72382002
328371	1120	1998-04-05	PRIJEM	PREVOD Z UCTU	5428	27639	DUCHOD	IJ	72382002
328372	1120	1998-05-05	PRIJEM	PREVOD Z UCTU	5428	30450	DUCHOD	IJ	72382002
328373	1120	1998-06-05	PRIJEM	PREVOD Z UCTU	5428	31910	DUCHOD	IJ	72382002
328374	1120	1998-07-05	PRIJEM	PREVOD Z UCTU	5428	22264	DUCHOD	IJ	72382002
328375	1120	1998-08-05	PRIJEM	PREVOD Z UCTU	5428	21685	DUCHOD	IJ	72382002
328376	1120	1998-09-05	PRIJEM	PREVOD Z UCTU	5428	24472	DUCHOD	IJ	72382002
328377	1120	1998-10-05	PRIJEM	PREVOD Z UCTU	5428	27269	DUCHOD	IJ	72382002
328378	1120	1998-11-05	PRIJEM	PREVOD Z UCTU	5428	30079	DUCHOD	IJ	72382002
328379	1120	1998-12-05	PRIJEM	PREVOD Z UCTU	5428	32900	DUCHOD	IJ	72382002
328394	1120	1994-03-14	VYDAJ	PREVOD NA UCET	1508	24837	SIPO	GH	5904931
328395	1120	1994-04-14	VYDAJ	PREVOD NA UCET	1508	26040	SIPO	GH	5904931
328396	1120	1994-05-14	VYDAJ	PREVOD NA UCET	1508	25961	SIPO	GH	5904931
328397	1120	1994-06-14	VYDAJ	PREVOD NA UCET	1508	26482	SIPO	GH	5904931
328398	1120	1994-07-14	VYDAJ	PREVOD NA UCET	1508	16407	SIPO	GH	5904931
328399	1120	1994-08-14	VYDAJ	PREVOD NA UCET	1508	19184	SIPO	GH	5904931
328400	1120	1994-09-14	VYDAJ	PREVOD NA UCET	1508	19012	SIPO	GH	5904931
328401	1120	1994-10-14	VYDAJ	PREVOD NA UCET	1508	19640	SIPO	GH	5904931
328402	1120	1994-11-14	VYDAJ	PREVOD NA UCET	1508	22433	SIPO	GH	5904931
328403	1120	1994-12-14	VYDAJ	PREVOD NA UCET	1508	21311	SIPO	GH	5904931
328404	1120	1995-01-14	VYDAJ	PREVOD NA UCET	1508	19708	SIPO	GH	5904931
328405	1120	1995-02-14	VYDAJ	PREVOD NA UCET	1508	16547	SIPO	GH	5904931
328406	1120	1995-03-14	VYDAJ	PREVOD NA UCET	1508	19325	SIPO	GH	5904931
328407	1120	1995-04-14	VYDAJ	PREVOD NA UCET	1508	22115	SIPO	GH	5904931
328408	1120	1995-05-14	VYDAJ	PREVOD NA UCET	1508	24015	SIPO	GH	5904931
328409	1120	1995-06-14	VYDAJ	PREVOD NA UCET	1508	19624	SIPO	GH	5904931
328410	1120	1995-07-14	VYDAJ	PREVOD NA UCET	1508	16209	SIPO	GH	5904931
328411	1120	1995-08-14	VYDAJ	PREVOD NA UCET	1508	18986	SIPO	GH	5904931
328412	1120	1995-09-14	VYDAJ	PREVOD NA UCET	1508	17171	SIPO	GH	5904931
328413	1120	1995-10-14	VYDAJ	PREVOD NA UCET	1508	18051	SIPO	GH	5904931
328414	1120	1995-11-14	VYDAJ	PREVOD NA UCET	1508	17070	SIPO	GH	5904931
328415	1120	1995-12-14	VYDAJ	PREVOD NA UCET	1508	17248	SIPO	GH	5904931
328416	1120	1996-01-14	VYDAJ	PREVOD NA UCET	1508	13704	SIPO	GH	5904931
328417	1120	1996-02-14	VYDAJ	PREVOD NA UCET	1508	14671	SIPO	GH	5904931
328418	1120	1996-03-14	VYDAJ	PREVOD NA UCET	1508	17440	SIPO	GH	5904931
328419	1120	1996-04-14	VYDAJ	PREVOD NA UCET	1508	17218	SIPO	GH	5904931
328420	1120	1996-05-14	VYDAJ	PREVOD NA UCET	1508	14592	SIPO	GH	5904931
328421	1120	1996-06-14	VYDAJ	PREVOD NA UCET	1508	15459	SIPO	GH	5904931
328422	1120	1996-07-14	VYDAJ	PREVOD NA UCET	1508	18231	SIPO	GH	5904931
328423	1120	1996-08-14	VYDAJ	PREVOD NA UCET	1508	20535	SIPO	GH	5904931
328424	1120	1996-09-14	VYDAJ	PREVOD NA UCET	1508	15517	SIPO	GH	5904931
328425	1120	1996-10-14	VYDAJ	PREVOD NA UCET	1508	18290	SIPO	GH	5904931
328426	1120	1996-11-14	VYDAJ	PREVOD NA UCET	1508	18354	SIPO	GH	5904931
328427	1120	1996-12-14	VYDAJ	PREVOD NA UCET	1508	18418	SIPO	GH	5904931
328428	1120	1997-01-14	VYDAJ	PREVOD NA UCET	1508	13872	SIPO	GH	5904931
328429	1120	1997-02-14	VYDAJ	PREVOD NA UCET	1508	16646	SIPO	GH	5904931
328430	1120	1997-03-14	VYDAJ	PREVOD NA UCET	1508	19424	SIPO	GH	5904931
328431	1120	1997-04-14	VYDAJ	PREVOD NA UCET	1508	20693	SIPO	GH	5904931
328432	1120	1997-05-14	VYDAJ	PREVOD NA UCET	1508	21967	SIPO	GH	5904931
328433	1120	1997-06-14	VYDAJ	PREVOD NA UCET	1508	21322	SIPO	GH	5904931
328434	1120	1997-07-14	VYDAJ	PREVOD NA UCET	1508	20412	SIPO	GH	5904931
328435	1120	1997-08-14	VYDAJ	PREVOD NA UCET	1508	19844	SIPO	GH	5904931
328436	1120	1997-09-14	VYDAJ	PREVOD NA UCET	1508	20554	SIPO	GH	5904931
328437	1120	1997-10-14	VYDAJ	PREVOD NA UCET	1508	23351	SIPO	GH	5904931
328438	1120	1997-11-14	VYDAJ	PREVOD NA UCET	1508	26156	SIPO	GH	5904931
328439	1120	1997-12-14	VYDAJ	PREVOD NA UCET	1508	28973	SIPO	GH	5904931
328440	1120	1998-01-14	VYDAJ	PREVOD NA UCET	1508	28520	SIPO	GH	5904931
328441	1120	1998-02-14	VYDAJ	PREVOD NA UCET	1508	19342	SIPO	GH	5904931
328442	1120	1998-03-14	VYDAJ	PREVOD NA UCET	1508	22136	SIPO	GH	5904931
328443	1120	1998-04-14	VYDAJ	PREVOD NA UCET	1508	24936	SIPO	GH	5904931
328444	1120	1998-05-14	VYDAJ	PREVOD NA UCET	1508	27747	SIPO	GH	5904931
328445	1120	1998-06-14	VYDAJ	PREVOD NA UCET	1508	18207	SIPO	GH	5904931
328446	1120	1998-07-14	VYDAJ	PREVOD NA UCET	1508	16201	SIPO	GH	5904931
328447	1120	1998-08-14	VYDAJ	PREVOD NA UCET	1508	18982	SIPO	GH	5904931
328448	1120	1998-09-14	VYDAJ	PREVOD NA UCET	1508	21769	SIPO	GH	5904931
328449	1120	1998-10-14	VYDAJ	PREVOD NA UCET	1508	24566	SIPO	GH	5904931
328450	1120	1998-11-14	VYDAJ	PREVOD NA UCET	1508	27376	SIPO	GH	5904931
328451	1120	1998-12-14	VYDAJ	PREVOD NA UCET	1508	29347	SIPO	GH	5904931
328466	1120	1994-03-08	VYDAJ	PREVOD NA UCET	1195	26345	 	KL	15175223
328467	1120	1994-04-08	VYDAJ	PREVOD NA UCET	1195	27548	 	KL	15175223
328468	1120	1994-05-08	VYDAJ	PREVOD NA UCET	1195	27469	 	KL	15175223
328469	1120	1994-06-08	VYDAJ	PREVOD NA UCET	1195	27990	 	KL	15175223
328470	1120	1994-07-08	VYDAJ	PREVOD NA UCET	1195	17915	 	KL	15175223
328471	1120	1994-08-08	VYDAJ	PREVOD NA UCET	1195	20692	 	KL	15175223
328472	1120	1994-09-08	VYDAJ	PREVOD NA UCET	1195	20520	 	KL	15175223
328473	1120	1994-10-08	VYDAJ	PREVOD NA UCET	1195	23308	 	KL	15175223
328474	1120	1994-11-08	VYDAJ	PREVOD NA UCET	1195	23941	 	KL	15175223
328475	1120	1994-12-08	VYDAJ	PREVOD NA UCET	1195	22819	 	KL	15175223
328476	1120	1995-01-08	VYDAJ	PREVOD NA UCET	1195	22896	 	KL	15175223
328477	1120	1995-02-08	VYDAJ	PREVOD NA UCET	1195	18055	 	KL	15175223
328478	1120	1995-03-08	VYDAJ	PREVOD NA UCET	1195	20833	 	KL	15175223
328479	1120	1995-04-08	VYDAJ	PREVOD NA UCET	1195	23623	 	KL	15175223
328480	1120	1995-05-08	VYDAJ	PREVOD NA UCET	1195	25523	 	KL	15175223
328481	1120	1995-06-08	VYDAJ	PREVOD NA UCET	1195	21132	 	KL	15175223
328482	1120	1995-07-08	VYDAJ	PREVOD NA UCET	1195	17717	 	KL	15175223
328483	1120	1995-08-08	VYDAJ	PREVOD NA UCET	1195	20494	 	KL	15175223
328484	1120	1995-09-08	VYDAJ	PREVOD NA UCET	1195	19879	 	KL	15175223
328485	1120	1995-10-08	VYDAJ	PREVOD NA UCET	1195	19559	 	KL	15175223
328486	1120	1995-11-08	VYDAJ	PREVOD NA UCET	1195	18578	 	KL	15175223
328487	1120	1995-12-08	VYDAJ	PREVOD NA UCET	1195	18756	 	KL	15175223
328488	1120	1996-01-08	VYDAJ	PREVOD NA UCET	1195	18332	 	KL	15175223
328489	1120	1996-02-08	VYDAJ	PREVOD NA UCET	1195	16179	 	KL	15175223
328490	1120	1996-03-08	VYDAJ	PREVOD NA UCET	1195	18948	 	KL	15175223
328491	1120	1996-04-08	VYDAJ	PREVOD NA UCET	1195	18726	 	KL	15175223
328492	1120	1996-05-08	VYDAJ	PREVOD NA UCET	1195	16100	 	KL	15175223
328493	1120	1996-06-08	VYDAJ	PREVOD NA UCET	1195	16967	 	KL	15175223
328494	1120	1996-07-08	VYDAJ	PREVOD NA UCET	1195	19739	 	KL	15175223
328495	1120	1996-08-08	VYDAJ	PREVOD NA UCET	1195	22043	 	KL	15175223
328496	1120	1996-09-08	VYDAJ	PREVOD NA UCET	1195	17025	 	KL	15175223
328497	1120	1996-10-08	VYDAJ	PREVOD NA UCET	1195	19798	 	KL	15175223
328498	1120	1996-11-08	VYDAJ	PREVOD NA UCET	1195	19862	 	KL	15175223
328499	1120	1996-12-08	VYDAJ	PREVOD NA UCET	1195	19926	 	KL	15175223
328500	1120	1997-01-08	VYDAJ	PREVOD NA UCET	1195	18660	 	KL	15175223
328501	1120	1997-02-08	VYDAJ	PREVOD NA UCET	1195	18154	 	KL	15175223
328502	1120	1997-03-08	VYDAJ	PREVOD NA UCET	1195	20932	 	KL	15175223
328503	1120	1997-04-08	VYDAJ	PREVOD NA UCET	1195	22201	 	KL	15175223
328504	1120	1997-05-08	VYDAJ	PREVOD NA UCET	1195	23475	 	KL	15175223
328505	1120	1997-06-08	VYDAJ	PREVOD NA UCET	1195	22830	 	KL	15175223
328506	1120	1997-07-08	VYDAJ	PREVOD NA UCET	1195	21920	 	KL	15175223
328507	1120	1997-08-08	VYDAJ	PREVOD NA UCET	1195	21352	 	KL	15175223
328508	1120	1997-09-08	VYDAJ	PREVOD NA UCET	1195	22062	 	KL	15175223
328509	1120	1997-10-08	VYDAJ	PREVOD NA UCET	1195	24859	 	KL	15175223
328510	1120	1997-11-08	VYDAJ	PREVOD NA UCET	1195	27664	 	KL	15175223
328511	1120	1997-12-08	VYDAJ	PREVOD NA UCET	1195	30481	 	KL	15175223
328512	1120	1998-01-08	VYDAJ	PREVOD NA UCET	1195	32508	 	KL	15175223
328513	1120	1998-02-08	VYDAJ	PREVOD NA UCET	1195	21810	 	KL	15175223
328514	1120	1998-03-08	VYDAJ	PREVOD NA UCET	1195	23644	 	KL	15175223
328515	1120	1998-04-08	VYDAJ	PREVOD NA UCET	1195	26444	 	KL	15175223
328516	1120	1998-05-08	VYDAJ	PREVOD NA UCET	1195	29255	 	KL	15175223
328517	1120	1998-06-08	VYDAJ	PREVOD NA UCET	1195	30715	 	KL	15175223
328518	1120	1998-07-08	VYDAJ	PREVOD NA UCET	1195	17709	 	KL	15175223
328519	1120	1998-08-08	VYDAJ	PREVOD NA UCET	1195	20490	 	KL	15175223
328520	1120	1998-09-08	VYDAJ	PREVOD NA UCET	1195	23277	 	KL	15175223
328521	1120	1998-10-08	VYDAJ	PREVOD NA UCET	1195	26074	 	KL	15175223
328522	1120	1998-11-08	VYDAJ	PREVOD NA UCET	1195	28884	 	KL	15175223
328523	1120	1998-12-08	VYDAJ	PREVOD NA UCET	1195	31705	 	KL	15175223
328525	1120	1994-06-23	VYDAJ	VYBER	9200	13602	\N	\N	\N
328526	1120	1995-06-16	VYDAJ	VYBER	6200	13424	\N	\N	\N
328528	1120	1997-06-16	VYDAJ	VYBER	3700	17622	\N	\N	\N
328529	1120	1998-06-08	VYDAJ	VYBER	11000	19715	\N	\N	\N
328532	1120	1995-01-14	VYDAJ	VYBER	2350	17358	\N	\N	\N
328535	1120	1998-01-12	VYDAJ	VYBER	1600	30028	\N	\N	\N
328537	1120	1994-12-24	VYDAJ	VYBER	1000	20311	\N	\N	\N
328538	1120	1995-12-18	VYDAJ	VYBER	1300	15948	\N	\N	\N
328539	1120	1996-12-23	VYDAJ	VYBER	850	17568	\N	\N	\N
328540	1120	1997-12-16	VYDAJ	VYBER	800	28173	\N	\N	\N
328541	1120	1998-12-09	VYDAJ	VYBER	850	30855	\N	\N	\N
328554	1120	1995-01-09	VYDAJ	VYBER	1680	21216	\N	\N	\N
328555	1120	1995-01-25	VYDAJ	VYBER	720	16638	\N	\N	\N
328556	1120	1995-01-07	VYDAJ	VYBER	1520	24091	\N	\N	\N
328557	1120	1995-01-26	VYDAJ	VYBER	1600	15038	\N	\N	\N
328559	1120	1995-01-27	VYDAJ	VYBER	1280	13758	\N	\N	\N
328560	1120	1996-01-09	VYDAJ	VYBER	800	15212	\N	\N	\N
328563	1120	1996-01-08	VYDAJ	VYBER	1520	16812	\N	\N	\N
328564	1120	1996-01-09	VYDAJ	VYBER	800	16012	\N	\N	\N
328567	1120	1997-01-13	VYDAJ	VYBER	1520	15380	\N	\N	\N
328568	1120	1997-01-12	VYDAJ	VYBER	1760	16900	\N	\N	\N
328570	1120	1997-01-04	VYDAJ	VYBER	1360	14427	\N	\N	\N
328571	1120	1997-01-02	VYDAJ	VYBER	1840	15787	\N	\N	\N
328572	1120	1998-01-21	VYDAJ	VYBER	640	25320	\N	\N	\N
328573	1120	1998-01-21	VYDAJ	VYBER	2320	23000	\N	\N	\N
328574	1120	1998-01-10	VYDAJ	VYBER	880	31628	\N	\N	\N
328575	1120	1998-01-16	VYDAJ	VYBER	480	28040	\N	\N	\N
328576	1120	1998-01-16	VYDAJ	VYBER	2080	25960	\N	\N	\N
328577	1120	1998-01-30	VYDAJ	VYBER	1840	21160	\N	\N	\N
328584	1120	1994-08-29	VYDAJ	VYBER	2960	16224	\N	\N	\N
328585	1120	1994-11-22	VYDAJ	VYBER	3920	18513	\N	\N	\N
328586	1120	1994-10-10	VYDAJ	VYBER	2160	21148	\N	\N	\N
328587	1120	1994-06-16	VYDAJ	VYBER	3680	22802	\N	\N	\N
328588	1120	1995-09-09	VYDAJ	VYBER	1200	18679	\N	\N	\N
328589	1120	1995-10-23	VYDAJ	VYBER	3760	14291	\N	\N	\N
328590	1120	1995-06-04	VYDAJ	VYBER	3200	20499	\N	\N	\N
328591	1120	1995-06-08	VYDAJ	VYBER	3600	22327	\N	\N	\N
328594	1120	1996-11-19	VYDAJ	VYBER	2720	15634	\N	\N	\N
328595	1120	1996-11-07	VYDAJ	VYBER	2720	21057	\N	\N	\N
328596	1120	1996-07-23	VYDAJ	VYBER	480	17751	\N	\N	\N
328597	1120	1997-09-02	VYDAJ	VYBER	2080	17829	\N	\N	\N
328598	1120	1997-05-22	VYDAJ	VYBER	3440	18527	\N	\N	\N
328599	1120	1997-07-30	VYDAJ	VYBER	3360	17052	\N	\N	\N
328600	1120	1997-04-22	VYDAJ	VYBER	1520	19173	\N	\N	\N
328601	1120	1997-04-07	VYDAJ	VYBER	1520	23396	\N	\N	\N
328602	1120	1998-05-15	VYDAJ	VYBER	1360	26387	\N	\N	\N
328603	1120	1998-02-12	VYDAJ	VYBER	960	20850	\N	\N	\N
328605	1120	1998-06-30	VYDAJ	VYBER	1440	16836	\N	\N	\N
328606	1120	1998-07-05	VYDAJ	VYBER	3360	18904	\N	\N	\N
328607	1120	1998-02-07	VYDAJ	VYBER	3680	23005	\N	\N	\N
328623	1120	1994-03-31	VYDAJ	VYBER	15	24915	SLUZBY	\N	\N
328624	1120	1994-04-30	VYDAJ	VYBER	15	26136	SLUZBY	\N	\N
328625	1120	1994-05-31	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
328626	1120	1994-06-30	VYDAJ	VYBER	15	13682	SLUZBY	\N	\N
328627	1120	1994-07-31	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
328628	1120	1994-08-31	VYDAJ	VYBER	15	16287	SLUZBY	\N	\N
328629	1120	1994-09-30	VYDAJ	VYBER	15	19075	SLUZBY	\N	\N
328630	1120	1994-10-31	VYDAJ	VYBER	15	19708	SLUZBY	\N	\N
328631	1120	1994-11-30	VYDAJ	VYBER	15	18586	SLUZBY	\N	\N
328632	1120	1994-12-31	VYDAJ	VYBER	15	20183	SLUZBY	\N	\N
328633	1120	1995-01-31	VYDAJ	VYBER	15	13822	SLUZBY	\N	\N
328634	1120	1995-02-28	VYDAJ	VYBER	15	16600	SLUZBY	\N	\N
328636	1120	1995-04-30	VYDAJ	VYBER	15	21290	SLUZBY	\N	\N
328637	1120	1995-05-31	VYDAJ	VYBER	15	23699	SLUZBY	\N	\N
328638	1120	1995-06-30	VYDAJ	VYBER	15	13484	SLUZBY	\N	\N
328639	1120	1995-07-31	VYDAJ	VYBER	15	16261	SLUZBY	\N	\N
328640	1120	1995-08-31	VYDAJ	VYBER	15	15646	SLUZBY	\N	\N
328641	1120	1995-09-30	VYDAJ	VYBER	15	15326	SLUZBY	\N	\N
328642	1120	1995-10-31	VYDAJ	VYBER	15	14345	SLUZBY	\N	\N
328643	1120	1995-11-30	VYDAJ	VYBER	15	14523	SLUZBY	\N	\N
328644	1120	1995-12-31	VYDAJ	VYBER	15	14099	SLUZBY	\N	\N
328645	1120	1996-01-31	VYDAJ	VYBER	15	11946	SLUZBY	\N	\N
328646	1120	1996-02-29	VYDAJ	VYBER	15	14715	SLUZBY	\N	\N
328647	1120	1996-03-31	VYDAJ	VYBER	15	14493	SLUZBY	\N	\N
328648	1120	1996-04-30	VYDAJ	VYBER	15	11867	SLUZBY	\N	\N
328649	1120	1996-05-31	VYDAJ	VYBER	15	12734	SLUZBY	\N	\N
328650	1120	1996-06-30	VYDAJ	VYBER	15	15506	SLUZBY	\N	\N
328651	1120	1996-07-31	VYDAJ	VYBER	15	17810	SLUZBY	\N	\N
328652	1120	1996-08-31	VYDAJ	VYBER	15	12792	SLUZBY	\N	\N
328653	1120	1996-09-30	VYDAJ	VYBER	15	15565	SLUZBY	\N	\N
328654	1120	1996-10-31	VYDAJ	VYBER	15	18349	SLUZBY	\N	\N
328655	1120	1996-11-30	VYDAJ	VYBER	15	15693	SLUZBY	\N	\N
328656	1120	1996-12-31	VYDAJ	VYBER	15	17627	SLUZBY	\N	\N
328657	1120	1997-01-31	VYDAJ	VYBER	15	13921	SLUZBY	\N	\N
328658	1120	1997-02-28	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
328659	1120	1997-03-31	VYDAJ	VYBER	15	19488	SLUZBY	\N	\N
328660	1120	1997-04-30	VYDAJ	VYBER	15	19242	SLUZBY	\N	\N
328661	1120	1997-05-31	VYDAJ	VYBER	15	18597	SLUZBY	\N	\N
328662	1120	1997-06-30	VYDAJ	VYBER	15	17687	SLUZBY	\N	\N
328663	1120	1997-07-31	VYDAJ	VYBER	15	17119	SLUZBY	\N	\N
328664	1120	1997-08-31	VYDAJ	VYBER	15	19909	SLUZBY	\N	\N
328665	1120	1997-09-30	VYDAJ	VYBER	15	20626	SLUZBY	\N	\N
328666	1120	1997-10-31	VYDAJ	VYBER	15	23431	SLUZBY	\N	\N
328667	1120	1997-11-30	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
328668	1120	1997-12-31	VYDAJ	VYBER	15	28275	SLUZBY	\N	\N
328669	1120	1998-01-31	VYDAJ	VYBER	15	21257	SLUZBY	\N	\N
328670	1120	1998-02-28	VYDAJ	VYBER	15	19411	SLUZBY	\N	\N
328671	1120	1998-03-31	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
328672	1120	1998-04-30	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
328673	1120	1998-05-31	VYDAJ	VYBER	15	26482	SLUZBY	\N	\N
328674	1120	1998-06-30	VYDAJ	VYBER	15	18276	SLUZBY	\N	\N
328675	1120	1998-07-31	VYDAJ	VYBER	15	16257	SLUZBY	\N	\N
328676	1120	1998-08-31	VYDAJ	VYBER	15	19044	SLUZBY	\N	\N
328677	1120	1998-09-30	VYDAJ	VYBER	15	21841	SLUZBY	\N	\N
328678	1120	1998-10-31	VYDAJ	VYBER	15	24651	SLUZBY	\N	\N
328679	1120	1998-11-30	VYDAJ	VYBER	15	27472	SLUZBY	\N	\N
328680	1120	1994-03-04	VYDAJ	VYBER	500	22112	\N	\N	\N
328681	1120	1994-04-03	VYDAJ	VYBER	1600	23315	\N	\N	\N
328682	1120	1994-05-03	VYDAJ	VYBER	2900	23236	\N	\N	\N
328683	1120	1994-06-02	VYDAJ	VYBER	2300	23757	\N	\N	\N
328684	1120	1994-12-29	VYDAJ	VYBER	200	20111	\N	\N	\N
328685	1120	1995-04-28	VYDAJ	VYBER	900	21215	\N	\N	\N
328686	1120	1995-05-28	VYDAJ	VYBER	400	23615	\N	\N	\N
328687	1120	1995-08-26	VYDAJ	VYBER	3400	15586	\N	\N	\N
328688	1120	1995-09-25	VYDAJ	VYBER	1900	15271	\N	\N	\N
328689	1120	1995-11-24	VYDAJ	VYBER	2600	14470	\N	\N	\N
328690	1120	1995-12-24	VYDAJ	VYBER	1900	14048	\N	\N	\N
328691	1120	1996-01-23	VYDAJ	VYBER	1800	11904	\N	\N	\N
328692	1120	1996-03-23	VYDAJ	VYBER	3000	14440	\N	\N	\N
328693	1120	1996-04-22	VYDAJ	VYBER	5400	11818	\N	\N	\N
328694	1120	1996-05-22	VYDAJ	VYBER	1900	12692	\N	\N	\N
328695	1120	1996-08-20	VYDAJ	VYBER	7800	12735	\N	\N	\N
328754	1121	1996-04-17	PRIJEM	VKLAD	800	800	\N	\N	\N
328759	1121	1996-05-06	PRIJEM	VKLAD	17878	18678	\N	\N	\N
328760	1121	1996-06-06	PRIJEM	VKLAD	26817	47336	\N	\N	\N
328761	1121	1996-07-06	PRIJEM	VKLAD	17878	56337	\N	\N	\N
328762	1121	1996-08-06	PRIJEM	VKLAD	17878	58479	\N	\N	\N
328763	1121	1996-09-06	PRIJEM	VKLAD	17878	63136	\N	\N	\N
328764	1121	1996-10-06	PRIJEM	VKLAD	17878	61784	\N	\N	\N
328765	1121	1996-11-06	PRIJEM	VKLAD	17878	66141	\N	\N	\N
328766	1121	1996-12-06	PRIJEM	VKLAD	26817	69936	\N	\N	\N
328767	1121	1997-01-06	PRIJEM	VKLAD	17878	63429	\N	\N	\N
328768	1121	1997-02-06	PRIJEM	VKLAD	17878	60687	\N	\N	\N
328769	1121	1997-03-06	PRIJEM	VKLAD	17878	65341	\N	\N	\N
328770	1121	1997-04-06	PRIJEM	VKLAD	17878	67207	\N	\N	\N
328771	1121	1997-05-06	PRIJEM	VKLAD	17878	68077	\N	\N	\N
328772	1121	1997-06-06	PRIJEM	VKLAD	26817	75988	\N	\N	\N
328773	1121	1997-07-06	PRIJEM	VKLAD	17878	66263	\N	\N	\N
328774	1121	1997-08-06	PRIJEM	VKLAD	17878	66628	\N	\N	\N
328775	1121	1997-09-06	PRIJEM	VKLAD	17878	67196	\N	\N	\N
328776	1121	1997-10-06	PRIJEM	VKLAD	17878	67767	\N	\N	\N
328777	1121	1997-11-06	PRIJEM	VKLAD	17878	59424	\N	\N	\N
328778	1121	1997-12-06	PRIJEM	VKLAD	26817	66192	\N	\N	\N
328779	1121	1998-01-06	PRIJEM	VKLAD	17878	50833	\N	\N	\N
328780	1121	1998-02-06	PRIJEM	VKLAD	17878	44044	\N	\N	\N
328781	1121	1998-03-06	PRIJEM	VKLAD	17878	48149	\N	\N	\N
328782	1121	1998-04-06	PRIJEM	VKLAD	17878	60586	\N	\N	\N
328783	1121	1998-05-06	PRIJEM	VKLAD	17878	71663	\N	\N	\N
328784	1121	1998-06-06	PRIJEM	VKLAD	26817	85002	\N	\N	\N
328785	1121	1998-07-06	PRIJEM	VKLAD	17878	57330	\N	\N	\N
328786	1121	1998-08-06	PRIJEM	VKLAD	17878	66399	\N	\N	\N
328787	1121	1998-09-06	PRIJEM	VKLAD	17878	72626	\N	\N	\N
328788	1121	1998-10-06	PRIJEM	VKLAD	17878	71186	\N	\N	\N
328789	1121	1998-11-06	PRIJEM	VKLAD	17878	75246	\N	\N	\N
328790	1121	1998-12-06	PRIJEM	VKLAD	26817	82058	\N	\N	\N
328792	1121	1997-06-07	VYDAJ	VYBER	9000	66988	\N	\N	\N
328793	1121	1998-06-20	VYDAJ	VYBER	25300	39202	\N	\N	\N
328795	1121	1997-01-02	VYDAJ	VYBER	6200	46051	\N	\N	\N
328796	1121	1998-01-04	VYDAJ	VYBER	9900	32955	\N	\N	\N
328797	1121	1996-12-03	VYDAJ	VYBER	1500	43119	\N	\N	\N
328798	1121	1997-12-22	VYDAJ	VYBER KARTOU	1900	42692	\N	\N	0
328799	1121	1998-12-03	VYDAJ	VYBER KARTOU	2800	55241	\N	\N	0
328806	1121	1997-01-06	VYDAJ	VYBER	1300	62129	\N	\N	\N
328807	1121	1997-01-11	VYDAJ	VYBER	2600	56329	\N	\N	\N
328808	1121	1997-01-14	VYDAJ	VYBER	1700	42629	\N	\N	\N
328809	1121	1997-01-03	VYDAJ	VYBER	500	45551	\N	\N	\N
328810	1121	1997-01-08	VYDAJ	VYBER	2000	58929	\N	\N	\N
328811	1121	1997-01-07	VYDAJ	VYBER	1200	60929	\N	\N	\N
328812	1121	1998-01-28	VYDAJ	VYBER KARTOU	1800	26033	\N	\N	0
328813	1121	1998-01-27	VYDAJ	VYBER KARTOU	1500	28933	\N	\N	0
328814	1121	1998-01-15	VYDAJ	VYBER KARTOU	2500	33633	\N	\N	0
328815	1121	1998-01-12	VYDAJ	VYBER KARTOU	2200	36133	\N	\N	0
328816	1121	1998-01-11	VYDAJ	VYBER KARTOU	2000	38333	\N	\N	0
328817	1121	1998-01-26	VYDAJ	VYBER KARTOU	1700	30433	\N	\N	0
328818	1121	1996-11-15	VYDAJ	VYBER	4900	44441	\N	\N	\N
328820	1121	1996-12-20	VYDAJ	VYBER	600	52036	\N	\N	\N
328822	1121	1997-10-10	VYDAJ	VYBER	4300	44167	\N	\N	\N
328823	1121	1997-05-18	VYDAJ	VYBER	3000	48977	\N	\N	\N
328824	1121	1997-10-21	VYDAJ	VYBER KARTOU	2800	41367	\N	\N	0
328825	1121	1997-10-03	VYDAJ	VYBER KARTOU	600	49889	\N	\N	0
328826	1121	1998-08-24	VYDAJ	VYBER KARTOU	800	65599	\N	\N	0
328827	1121	1998-01-28	VYDAJ	VYBER KARTOU	1100	27833	\N	\N	0
328828	1121	1998-09-30	VYDAJ	VYBER	4400	68508	\N	\N	\N
328829	1121	1998-06-06	VYDAJ	VYBER KARTOU	500	84502	\N	\N	0
328830	1121	1998-02-21	VYDAJ	VYBER KARTOU	1700	34744	\N	\N	0
328831	1121	1998-01-19	VYDAJ	VYBER KARTOU	1500	32133	\N	\N	0
328832	1121	1998-02-12	VYDAJ	VYBER KARTOU	1000	36444	\N	\N	0
328833	1121	1998-03-03	VYDAJ	VYBER	4600	30271	\N	\N	\N
328834	1121	1998-07-14	VYDAJ	VYBER KARTOU	4000	49130	\N	\N	0
328844	1121	1996-09-30	VYDAJ	VYBER	15	43906	SLUZBY	\N	\N
328845	1121	1996-10-31	VYDAJ	VYBER	15	48263	SLUZBY	\N	\N
328846	1121	1996-11-30	VYDAJ	VYBER	15	44619	SLUZBY	\N	\N
328847	1121	1996-12-31	VYDAJ	VYBER	15	52251	SLUZBY	\N	\N
328848	1121	1997-01-31	VYDAJ	VYBER	15	42809	SLUZBY	\N	\N
328849	1121	1997-02-28	VYDAJ	VYBER	15	47463	SLUZBY	\N	\N
328850	1121	1997-03-31	VYDAJ	VYBER	15	49329	SLUZBY	\N	\N
328851	1121	1997-04-30	VYDAJ	VYBER	15	50199	SLUZBY	\N	\N
328852	1121	1997-05-31	VYDAJ	VYBER	15	49171	SLUZBY	\N	\N
328853	1121	1997-06-30	VYDAJ	VYBER	15	48385	SLUZBY	\N	\N
328854	1121	1997-07-31	VYDAJ	VYBER	15	48750	SLUZBY	\N	\N
328855	1121	1997-08-31	VYDAJ	VYBER	15	49318	SLUZBY	\N	\N
328856	1121	1997-09-30	VYDAJ	VYBER	15	50489	SLUZBY	\N	\N
328857	1121	1997-10-31	VYDAJ	VYBER	15	41546	SLUZBY	\N	\N
328858	1121	1997-11-30	VYDAJ	VYBER	15	39375	SLUZBY	\N	\N
328859	1121	1997-12-31	VYDAJ	VYBER	15	42855	SLUZBY	\N	\N
328860	1121	1998-01-31	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
328861	1121	1998-02-28	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
328862	1121	1998-03-31	VYDAJ	VYBER	15	42708	SLUZBY	\N	\N
328863	1121	1998-04-30	VYDAJ	VYBER	15	53785	SLUZBY	\N	\N
328864	1121	1998-05-31	VYDAJ	VYBER	15	58185	SLUZBY	\N	\N
328865	1121	1998-06-30	VYDAJ	VYBER	15	39452	SLUZBY	\N	\N
328866	1121	1998-07-31	VYDAJ	VYBER	15	49321	SLUZBY	\N	\N
328867	1121	1998-08-31	VYDAJ	VYBER	15	65848	SLUZBY	\N	\N
328868	1121	1998-09-30	VYDAJ	VYBER	15	72908	SLUZBY	\N	\N
328869	1121	1998-10-31	VYDAJ	VYBER	15	71468	SLUZBY	\N	\N
328870	1121	1998-11-30	VYDAJ	VYBER	15	75541	SLUZBY	\N	\N
328871	1121	1996-05-17	PRIJEM	VKLAD	1800	20478	\N	\N	\N
328872	1121	1996-06-16	VYDAJ	VYBER	9000	38336	\N	\N	\N
328873	1121	1996-07-16	VYDAJ	VYBER	15900	40437	\N	\N	\N
328874	1121	1996-08-15	VYDAJ	VYBER	13400	45079	\N	\N	\N
328875	1121	1996-09-14	VYDAJ	VYBER	19400	43736	\N	\N	\N
328876	1121	1996-10-14	VYDAJ	VYBER	13700	48084	\N	\N	\N
328877	1121	1996-11-13	VYDAJ	VYBER	16800	49341	\N	\N	\N
328878	1121	1996-12-13	VYDAJ	VYBER	17300	52636	\N	\N	\N
328879	1121	1997-01-12	VYDAJ	VYBER	12000	44329	\N	\N	\N
328880	1121	1997-02-11	VYDAJ	VYBER	13400	47287	\N	\N	\N
328881	1121	1997-03-13	VYDAJ	VYBER	16200	49141	\N	\N	\N
328882	1121	1997-04-12	VYDAJ	VYBER	17200	50007	\N	\N	\N
328883	1121	1997-05-12	VYDAJ	VYBER	16100	51977	\N	\N	\N
328884	1121	1997-06-11	VYDAJ	VYBER	18800	48188	\N	\N	\N
328885	1121	1997-07-11	VYDAJ	VYBER	17700	48563	\N	\N	\N
328886	1121	1997-08-10	VYDAJ	VYBER	17500	49128	\N	\N	\N
328887	1121	1997-09-09	VYDAJ	VYBER	16900	50296	\N	\N	\N
328888	1121	1997-10-09	VYDAJ	VYBER	19300	48467	\N	\N	\N
328889	1121	1997-11-08	VYDAJ	VYBER	20200	39224	\N	\N	\N
328890	1121	1997-12-08	VYDAJ	VYBER	21600	44592	\N	\N	\N
328891	1121	1998-01-07	VYDAJ	VYBER	10500	40333	\N	\N	\N
328892	1121	1998-02-06	VYDAJ	VYBER	6600	37444	\N	\N	\N
328893	1121	1998-03-08	VYDAJ	VYBER	5600	42549	\N	\N	\N
328894	1121	1998-04-07	VYDAJ	VYBER	7000	53586	\N	\N	\N
328895	1121	1998-05-07	VYDAJ	VYBER	13700	57963	\N	\N	\N
328896	1121	1998-06-06	VYDAJ	VYBER	20000	64502	\N	\N	\N
328897	1121	1998-07-06	VYDAJ	VYBER	4200	53130	\N	\N	\N
328898	1121	1998-08-05	VYDAJ	VYBER KARTOU	800	48521	\N	\N	0
328899	1121	1998-09-04	VYDAJ	VYBER	11100	54748	\N	\N	\N
328900	1121	1998-10-04	VYDAJ	VYBER	15200	53308	\N	\N	\N
328901	1121	1998-11-03	VYDAJ	VYBER	14100	57368	\N	\N	\N
328902	1121	1998-12-03	VYDAJ	VYBER	17500	58041	\N	\N	\N
328935	1122	1995-08-12	PRIJEM	VKLAD	500	500	\N	\N	\N
328944	1122	1995-09-07	PRIJEM	VKLAD	9584	10084	\N	\N	\N
328945	1122	1995-10-07	PRIJEM	VKLAD	9584	27718	\N	\N	\N
328946	1122	1995-11-07	PRIJEM	VKLAD	9584	35800	\N	\N	\N
328947	1122	1995-12-07	PRIJEM	VKLAD	14376	43293	\N	\N	\N
328948	1122	1996-01-07	PRIJEM	VKLAD	9584	44615	\N	\N	\N
328949	1122	1996-02-07	PRIJEM	VKLAD	9584	35318	\N	\N	\N
328950	1122	1996-03-07	PRIJEM	VKLAD	9584	34094	\N	\N	\N
328951	1122	1996-04-07	PRIJEM	VKLAD	9584	36974	\N	\N	\N
328952	1122	1996-05-07	PRIJEM	VKLAD	9584	37760	\N	\N	\N
328953	1122	1996-06-07	PRIJEM	VKLAD	14376	38940	\N	\N	\N
328954	1122	1996-07-07	PRIJEM	VKLAD	9584	25789	\N	\N	\N
328955	1122	1996-08-07	PRIJEM	VKLAD	9584	26357	\N	\N	\N
328956	1122	1996-09-07	PRIJEM	VKLAD	9584	26130	\N	\N	\N
328957	1122	1996-10-07	PRIJEM	VKLAD	9584	27906	\N	\N	\N
328958	1122	1996-11-07	PRIJEM	VKLAD	9584	31490	\N	\N	\N
328959	1122	1996-12-07	PRIJEM	VKLAD	14376	38680	\N	\N	\N
328960	1122	1997-01-07	PRIJEM	VKLAD	9584	33400	\N	\N	\N
328961	1122	1997-02-07	PRIJEM	VKLAD	9584	23280	\N	\N	\N
328962	1122	1997-03-07	PRIJEM	VKLAD	9584	24141	\N	\N	\N
328963	1122	1997-04-07	PRIJEM	VKLAD	9584	24910	\N	\N	\N
328964	1122	1997-05-07	PRIJEM	VKLAD	9584	25582	\N	\N	\N
328965	1122	1997-06-07	PRIJEM	VKLAD	14376	32149	\N	\N	\N
328966	1122	1997-07-07	PRIJEM	VKLAD	9584	24036	\N	\N	\N
328967	1122	1997-08-07	PRIJEM	VKLAD	9584	23409	\N	\N	\N
328968	1122	1997-09-07	PRIJEM	VKLAD	9584	22175	\N	\N	\N
328969	1122	1997-10-07	PRIJEM	VKLAD	9584	23926	\N	\N	\N
328970	1122	1997-11-07	PRIJEM	VKLAD	9584	25765	\N	\N	\N
328971	1122	1997-12-07	PRIJEM	VKLAD	14376	29898	\N	\N	\N
328972	1122	1998-01-07	PRIJEM	VKLAD	9584	23248	\N	\N	\N
328973	1122	1998-02-07	PRIJEM	VKLAD	9584	24383	\N	\N	\N
328974	1122	1998-03-07	PRIJEM	VKLAD	9584	33518	\N	\N	\N
328975	1122	1998-04-07	PRIJEM	VKLAD	9584	25983	\N	\N	\N
328976	1122	1998-05-07	PRIJEM	VKLAD	9584	35621	\N	\N	\N
328977	1122	1998-06-07	PRIJEM	VKLAD	14376	50091	\N	\N	\N
328978	1122	1998-07-07	PRIJEM	VKLAD	9584	41498	\N	\N	\N
328979	1122	1998-08-07	PRIJEM	VKLAD	9584	23487	\N	\N	\N
328980	1122	1998-09-07	PRIJEM	VKLAD	9584	33115	\N	\N	\N
328981	1122	1998-10-07	PRIJEM	VKLAD	9584	23973	\N	\N	\N
328982	1122	1998-11-07	PRIJEM	VKLAD	9584	33602	\N	\N	\N
328983	1122	1998-12-07	PRIJEM	VKLAD	14376	27852	\N	\N	\N
328985	1122	1996-06-08	VYDAJ	VYBER	14200	16140	\N	\N	\N
328986	1122	1997-06-09	VYDAJ	VYBER	3500	28649	\N	\N	\N
328987	1122	1998-06-12	VYDAJ	VYBER	18300	31791	\N	\N	\N
328989	1122	1996-12-26	VYDAJ	VYBER	1700	34780	\N	\N	\N
328990	1122	1997-12-18	VYDAJ	VYBER	2400	27498	\N	\N	\N
328998	1122	1996-01-17	VYDAJ	VYBER	2600	31415	\N	\N	\N
328999	1122	1996-01-24	VYDAJ	VYBER	800	30615	\N	\N	\N
329000	1122	1996-01-10	VYDAJ	VYBER	1700	35315	\N	\N	\N
329001	1122	1996-01-11	VYDAJ	VYBER	700	34615	\N	\N	\N
329002	1122	1996-01-28	VYDAJ	VYBER	1500	25615	\N	\N	\N
329004	1122	1997-01-24	VYDAJ	VYBER	2700	19800	\N	\N	\N
329005	1122	1997-01-09	VYDAJ	VYBER	2900	30500	\N	\N	\N
329006	1122	1997-01-28	VYDAJ	VYBER	1500	18300	\N	\N	\N
329007	1122	1997-01-17	VYDAJ	VYBER	2400	25300	\N	\N	\N
329008	1122	1997-01-20	VYDAJ	VYBER	2800	22500	\N	\N	\N
329009	1122	1997-01-12	VYDAJ	VYBER	2800	27700	\N	\N	\N
329010	1122	1998-01-14	VYDAJ	VYBER	2400	17748	\N	\N	\N
329011	1122	1998-01-25	VYDAJ	VYBER	600	14748	\N	\N	\N
329013	1122	1998-01-22	VYDAJ	VYBER	2400	15348	\N	\N	\N
329015	1122	1998-01-11	VYDAJ	VYBER	2000	21248	\N	\N	\N
329021	1122	1996-01-26	VYDAJ	VYBER	3500	27115	\N	\N	\N
329022	1122	1996-05-17	VYDAJ	VYBER	4400	26960	\N	\N	\N
329023	1122	1996-06-06	VYDAJ	VYBER	2500	24564	\N	\N	\N
329024	1122	1996-08-28	VYDAJ	VYBER	2000	24357	\N	\N	\N
329025	1122	1996-01-15	VYDAJ	VYBER	600	34015	\N	\N	\N
329026	1122	1996-02-13	VYDAJ	VYBER	4300	24418	\N	\N	\N
329027	1122	1996-12-23	VYDAJ	VYBER	2200	36480	\N	\N	\N
329028	1122	1997-10-22	VYDAJ	VYBER	1500	20426	\N	\N	\N
329029	1122	1997-11-25	VYDAJ	VYBER	1100	24665	\N	\N	\N
329030	1122	1997-10-18	VYDAJ	VYBER	2000	21926	\N	\N	\N
329031	1122	1997-08-31	VYDAJ	VYBER	3700	19806	\N	\N	\N
329032	1122	1997-01-30	VYDAJ	VYBER	1100	17200	\N	\N	\N
329034	1122	1998-01-13	VYDAJ	VYBER	1100	20148	\N	\N	\N
329035	1122	1998-02-25	VYDAJ	VYBER	500	23883	\N	\N	\N
329049	1122	1996-01-31	VYDAJ	VYBER	15	25734	SLUZBY	\N	\N
329050	1122	1996-02-29	VYDAJ	VYBER	15	24510	SLUZBY	\N	\N
329051	1122	1996-03-31	VYDAJ	VYBER	15	27390	SLUZBY	\N	\N
329052	1122	1996-04-30	VYDAJ	VYBER	15	28176	SLUZBY	\N	\N
329053	1122	1996-05-31	VYDAJ	VYBER	15	27064	SLUZBY	\N	\N
329054	1122	1996-06-30	VYDAJ	VYBER	15	16205	SLUZBY	\N	\N
329055	1122	1996-07-31	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
329056	1122	1996-08-31	VYDAJ	VYBER	15	24446	SLUZBY	\N	\N
329057	1122	1996-09-30	VYDAJ	VYBER	15	26222	SLUZBY	\N	\N
329058	1122	1996-10-31	VYDAJ	VYBER	15	28006	SLUZBY	\N	\N
329059	1122	1996-11-30	VYDAJ	VYBER	15	31604	SLUZBY	\N	\N
329060	1122	1996-12-31	VYDAJ	VYBER	15	34916	SLUZBY	\N	\N
329061	1122	1997-01-31	VYDAJ	VYBER	15	17296	SLUZBY	\N	\N
329062	1122	1997-02-28	VYDAJ	VYBER	15	23357	SLUZBY	\N	\N
329063	1122	1997-03-31	VYDAJ	VYBER	15	24226	SLUZBY	\N	\N
329064	1122	1997-04-30	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
329065	1122	1997-05-31	VYDAJ	VYBER	15	25673	SLUZBY	\N	\N
329066	1122	1997-06-30	VYDAJ	VYBER	15	28752	SLUZBY	\N	\N
329067	1122	1997-07-31	VYDAJ	VYBER	15	24125	SLUZBY	\N	\N
329068	1122	1997-08-31	VYDAJ	VYBER	15	12591	SLUZBY	\N	\N
329069	1122	1997-09-30	VYDAJ	VYBER	15	14342	SLUZBY	\N	\N
329070	1122	1997-10-31	VYDAJ	VYBER	15	16181	SLUZBY	\N	\N
329071	1122	1997-11-30	VYDAJ	VYBER	15	15522	SLUZBY	\N	\N
329072	1122	1997-12-31	VYDAJ	VYBER	15	13664	SLUZBY	\N	\N
329073	1122	1998-01-31	VYDAJ	VYBER	15	14799	SLUZBY	\N	\N
329074	1122	1998-02-28	VYDAJ	VYBER	15	23934	SLUZBY	\N	\N
329075	1122	1998-03-31	VYDAJ	VYBER	15	16399	SLUZBY	\N	\N
329076	1122	1998-04-30	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
329077	1122	1998-05-31	VYDAJ	VYBER	15	35715	SLUZBY	\N	\N
329078	1122	1998-06-30	VYDAJ	VYBER	15	31914	SLUZBY	\N	\N
329079	1122	1998-07-31	VYDAJ	VYBER	15	13903	SLUZBY	\N	\N
329080	1122	1998-08-31	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
329081	1122	1998-09-30	VYDAJ	VYBER	15	14389	SLUZBY	\N	\N
329082	1122	1998-10-31	VYDAJ	VYBER	15	24018	SLUZBY	\N	\N
329083	1122	1998-11-30	VYDAJ	VYBER	15	13476	SLUZBY	\N	\N
329084	1122	1995-09-11	PRIJEM	VKLAD	8000	18084	\N	\N	\N
329085	1122	1995-10-11	VYDAJ	VYBER	1600	26118	\N	\N	\N
329086	1122	1995-11-10	VYDAJ	VYBER	7000	28800	\N	\N	\N
329087	1122	1995-12-10	VYDAJ	VYBER	8400	34893	\N	\N	\N
329088	1122	1996-01-09	VYDAJ	VYBER	7600	37015	\N	\N	\N
329089	1122	1996-02-08	VYDAJ	VYBER	6600	28718	\N	\N	\N
329090	1122	1996-03-09	VYDAJ	VYBER	6800	27294	\N	\N	\N
329091	1122	1996-04-08	VYDAJ	VYBER	8900	28074	\N	\N	\N
329092	1122	1996-05-08	VYDAJ	VYBER	6400	31360	\N	\N	\N
329093	1122	1996-06-07	VYDAJ	VYBER	8600	30340	\N	\N	\N
329094	1122	1996-07-07	VYDAJ	VYBER	5900	19889	\N	\N	\N
329095	1122	1996-08-06	VYDAJ	VYBER	3200	16773	\N	\N	\N
329096	1122	1996-09-05	VYDAJ	VYBER	7900	16546	\N	\N	\N
329097	1122	1996-10-05	VYDAJ	VYBER	7900	18322	\N	\N	\N
329098	1122	1996-11-04	VYDAJ	VYBER	6100	21906	\N	\N	\N
329099	1122	1996-12-04	VYDAJ	VYBER	7300	24304	\N	\N	\N
329100	1122	1997-01-03	VYDAJ	VYBER	11100	23816	\N	\N	\N
329101	1122	1997-02-02	VYDAJ	VYBER	3600	13696	\N	\N	\N
329102	1122	1997-03-04	VYDAJ	VYBER	8800	14557	\N	\N	\N
329103	1122	1997-04-03	VYDAJ	VYBER	8900	15326	\N	\N	\N
329104	1122	1997-05-03	VYDAJ	VYBER	9000	15998	\N	\N	\N
329105	1122	1997-06-02	VYDAJ	VYBER	7900	17773	\N	\N	\N
329106	1122	1997-07-02	VYDAJ	VYBER	14300	14452	\N	\N	\N
329107	1122	1997-08-01	VYDAJ	VYBER	10300	13825	\N	\N	\N
329108	1122	1997-08-31	VYDAJ	VYBER	7200	12606	\N	\N	\N
329109	1122	1997-09-30	VYDAJ	VYBER	7900	14357	\N	\N	\N
329110	1122	1997-10-30	VYDAJ	VYBER	4300	16126	\N	\N	\N
329111	1122	1997-11-29	VYDAJ	VYBER	9200	15465	\N	\N	\N
329112	1122	1997-12-29	VYDAJ	VYBER	13900	13598	\N	\N	\N
329113	1122	1998-03-29	VYDAJ	VYBER	17200	16318	\N	\N	\N
329114	1122	1998-07-27	VYDAJ	VYBER	27700	13798	\N	\N	\N
329115	1122	1998-09-25	VYDAJ	VYBER	18800	14315	\N	\N	\N
329116	1122	1998-11-24	VYDAJ	VYBER	20200	13402	\N	\N	\N
329117	1122	1998-12-24	VYDAJ	VYBER	14700	13152	\N	\N	\N
329158	1123	1993-11-01	PRIJEM	VKLAD	400	400	\N	\N	\N
329169	1123	1993-11-12	PRIJEM	VKLAD	16230	16630	\N	\N	\N
329170	1123	1993-12-12	PRIJEM	VKLAD	24345	47219	\N	\N	\N
329171	1123	1994-01-12	PRIJEM	VKLAD	16230	51499	\N	\N	\N
329172	1123	1994-02-12	PRIJEM	VKLAD	16230	56677	\N	\N	\N
329173	1123	1994-03-12	PRIJEM	VKLAD	16230	58875	\N	\N	\N
329174	1123	1994-04-12	PRIJEM	VKLAD	16230	52427	\N	\N	\N
329175	1123	1994-05-12	PRIJEM	VKLAD	16230	49315	\N	\N	\N
329176	1123	1994-06-12	PRIJEM	VKLAD	24345	56428	\N	\N	\N
329177	1123	1994-07-12	PRIJEM	VKLAD	16230	47429	\N	\N	\N
329178	1123	1994-08-12	PRIJEM	VKLAD	16230	45789	\N	\N	\N
329179	1123	1994-09-12	PRIJEM	VKLAD	16230	46030	\N	\N	\N
329180	1123	1994-10-12	PRIJEM	VKLAD	16230	46572	\N	\N	\N
329181	1123	1994-11-12	PRIJEM	VKLAD	16230	48996	\N	\N	\N
329182	1123	1994-12-12	PRIJEM	VKLAD	24345	58965	\N	\N	\N
329183	1123	1995-01-12	PRIJEM	VKLAD	16230	42919	\N	\N	\N
329184	1123	1995-02-12	PRIJEM	VKLAD	16230	39420	\N	\N	\N
329185	1123	1995-03-12	PRIJEM	VKLAD	16230	39345	\N	\N	\N
329186	1123	1995-04-12	PRIJEM	VKLAD	16230	43269	\N	\N	\N
329187	1123	1995-05-12	PRIJEM	VKLAD	16230	45999	\N	\N	\N
329188	1123	1995-06-12	PRIJEM	VKLAD	24345	53228	\N	\N	\N
329189	1123	1995-07-12	PRIJEM	VKLAD	16230	51290	\N	\N	\N
329190	1123	1995-08-12	PRIJEM	VKLAD	16230	50248	\N	\N	\N
329191	1123	1995-09-12	PRIJEM	VKLAD	16230	52405	\N	\N	\N
329192	1123	1995-10-12	PRIJEM	VKLAD	16230	47056	\N	\N	\N
329193	1123	1995-11-12	PRIJEM	VKLAD	16230	45494	\N	\N	\N
329194	1123	1995-12-12	PRIJEM	VKLAD	24345	55945	\N	\N	\N
329195	1123	1996-01-12	PRIJEM	VKLAD	16230	43420	\N	\N	\N
329196	1123	1996-02-12	PRIJEM	VKLAD	16230	40371	\N	\N	\N
329197	1123	1996-03-12	PRIJEM	VKLAD	16230	43285	\N	\N	\N
329198	1123	1996-04-12	PRIJEM	VKLAD	16230	47213	\N	\N	\N
329199	1123	1996-05-12	PRIJEM	VKLAD	16230	49053	\N	\N	\N
329200	1123	1996-06-12	PRIJEM	VKLAD	24345	55010	\N	\N	\N
329201	1123	1996-07-12	PRIJEM	VKLAD	16230	53963	\N	\N	\N
329202	1123	1996-08-12	PRIJEM	VKLAD	16230	49318	\N	\N	\N
329203	1123	1996-09-12	PRIJEM	VKLAD	16230	46557	\N	\N	\N
329204	1123	1996-10-12	PRIJEM	VKLAD	16230	38442	\N	\N	\N
329205	1123	1996-11-12	PRIJEM	VKLAD	16230	33792	\N	\N	\N
329206	1123	1996-12-12	PRIJEM	VKLAD	24345	46103	\N	\N	\N
329207	1123	1997-01-12	PRIJEM	VKLAD	16230	34814	\N	\N	\N
329208	1123	1997-02-12	PRIJEM	VKLAD	16230	31902	\N	\N	\N
329209	1123	1997-03-12	PRIJEM	VKLAD	16230	32371	\N	\N	\N
329210	1123	1997-04-12	PRIJEM	VKLAD	16230	32242	\N	\N	\N
329211	1123	1997-05-12	PRIJEM	VKLAD	16230	31727	\N	\N	\N
329212	1123	1997-06-12	PRIJEM	VKLAD	24345	40611	\N	\N	\N
329213	1123	1997-07-12	PRIJEM	VKLAD	16230	34709	\N	\N	\N
329214	1123	1997-08-12	PRIJEM	VKLAD	16230	34788	\N	\N	\N
329215	1123	1997-09-12	PRIJEM	VKLAD	16230	30258	\N	\N	\N
329216	1123	1997-10-12	PRIJEM	VKLAD	16230	33238	\N	\N	\N
329217	1123	1997-11-12	PRIJEM	VKLAD	16230	32337	\N	\N	\N
329218	1123	1997-12-12	PRIJEM	VKLAD	24345	43972	\N	\N	\N
329219	1123	1998-01-12	PRIJEM	VKLAD	16230	33963	\N	\N	\N
329220	1123	1998-02-12	PRIJEM	VKLAD	16230	31262	\N	\N	\N
329221	1123	1998-03-12	PRIJEM	VKLAD	16230	38446	\N	\N	\N
329222	1123	1998-04-12	PRIJEM	VKLAD	16230	35932	\N	\N	\N
329223	1123	1998-05-12	PRIJEM	VKLAD	16230	32485	\N	\N	\N
329224	1123	1998-06-12	PRIJEM	VKLAD	24345	40703	\N	\N	\N
329225	1123	1998-07-12	PRIJEM	VKLAD	16230	32424	\N	\N	\N
329226	1123	1998-08-12	PRIJEM	VKLAD	16230	32434	\N	\N	\N
329227	1123	1998-09-12	PRIJEM	VKLAD	16230	34433	\N	\N	\N
329228	1123	1998-10-12	PRIJEM	VKLAD	16230	37737	\N	\N	\N
329229	1123	1998-11-12	PRIJEM	VKLAD	16230	40153	\N	\N	\N
329230	1123	1998-12-12	PRIJEM	VKLAD	24345	41075	\N	\N	\N
329245	1123	1994-03-14	VYDAJ	PREVOD NA UCET	2444	49763	SIPO	YZ	11799949
329246	1123	1994-04-14	VYDAJ	PREVOD NA UCET	2444	43315	SIPO	YZ	11799949
329247	1123	1994-05-14	VYDAJ	PREVOD NA UCET	2444	40203	SIPO	YZ	11799949
329248	1123	1994-06-14	VYDAJ	PREVOD NA UCET	2444	47316	SIPO	YZ	11799949
329249	1123	1994-07-14	VYDAJ	PREVOD NA UCET	2444	38317	SIPO	YZ	11799949
329250	1123	1994-08-14	VYDAJ	PREVOD NA UCET	2444	36677	SIPO	YZ	11799949
329251	1123	1994-09-14	VYDAJ	PREVOD NA UCET	2444	36918	SIPO	YZ	11799949
329252	1123	1994-10-14	VYDAJ	PREVOD NA UCET	2444	37460	SIPO	YZ	11799949
329253	1123	1994-11-14	VYDAJ	PREVOD NA UCET	2444	39884	SIPO	YZ	11799949
329254	1123	1994-12-14	VYDAJ	PREVOD NA UCET	2444	49853	SIPO	YZ	11799949
329255	1123	1995-01-14	VYDAJ	PREVOD NA UCET	2444	33807	SIPO	YZ	11799949
329256	1123	1995-02-14	VYDAJ	PREVOD NA UCET	2444	30308	SIPO	YZ	11799949
329257	1123	1995-03-14	VYDAJ	PREVOD NA UCET	2444	30233	SIPO	YZ	11799949
329258	1123	1995-04-14	VYDAJ	PREVOD NA UCET	2444	34157	SIPO	YZ	11799949
329259	1123	1995-05-14	VYDAJ	PREVOD NA UCET	2444	31247	SIPO	YZ	11799949
329260	1123	1995-06-14	VYDAJ	PREVOD NA UCET	2444	44116	SIPO	YZ	11799949
329261	1123	1995-07-14	VYDAJ	PREVOD NA UCET	2444	42178	SIPO	YZ	11799949
329262	1123	1995-08-14	VYDAJ	PREVOD NA UCET	2444	41136	SIPO	YZ	11799949
329263	1123	1995-09-14	VYDAJ	PREVOD NA UCET	2444	43293	SIPO	YZ	11799949
329264	1123	1995-10-14	VYDAJ	PREVOD NA UCET	2444	37944	SIPO	YZ	11799949
329265	1123	1995-11-14	VYDAJ	PREVOD NA UCET	2444	36382	SIPO	YZ	11799949
329266	1123	1995-12-14	VYDAJ	PREVOD NA UCET	2444	46833	SIPO	YZ	11799949
329267	1123	1996-01-14	VYDAJ	PREVOD NA UCET	2444	34308	SIPO	YZ	11799949
329268	1123	1996-02-14	VYDAJ	PREVOD NA UCET	2444	31259	SIPO	YZ	11799949
329269	1123	1996-03-14	VYDAJ	PREVOD NA UCET	2444	34173	SIPO	YZ	11799949
329270	1123	1996-04-14	VYDAJ	PREVOD NA UCET	2444	38101	SIPO	YZ	11799949
329271	1123	1996-05-14	VYDAJ	PREVOD NA UCET	2444	39941	SIPO	YZ	11799949
329272	1123	1996-06-14	VYDAJ	PREVOD NA UCET	2444	45898	SIPO	YZ	11799949
329273	1123	1996-07-14	VYDAJ	PREVOD NA UCET	2444	44851	SIPO	YZ	11799949
329274	1123	1996-08-14	VYDAJ	PREVOD NA UCET	2444	40206	SIPO	YZ	11799949
329275	1123	1996-09-14	VYDAJ	PREVOD NA UCET	2444	37445	SIPO	YZ	11799949
329276	1123	1996-10-14	VYDAJ	PREVOD NA UCET	2444	29330	SIPO	YZ	11799949
329277	1123	1996-11-14	VYDAJ	PREVOD NA UCET	2444	24680	SIPO	YZ	11799949
329278	1123	1996-12-14	VYDAJ	PREVOD NA UCET	2444	36991	SIPO	YZ	11799949
329279	1123	1997-01-14	VYDAJ	PREVOD NA UCET	2444	25702	SIPO	YZ	11799949
329280	1123	1997-02-14	VYDAJ	PREVOD NA UCET	2444	16090	SIPO	YZ	11799949
329281	1123	1997-03-14	VYDAJ	PREVOD NA UCET	2444	23259	SIPO	YZ	11799949
329282	1123	1997-04-14	VYDAJ	PREVOD NA UCET	2444	23130	SIPO	YZ	11799949
329283	1123	1997-05-14	VYDAJ	PREVOD NA UCET	2444	16215	SIPO	YZ	11799949
329284	1123	1997-06-14	VYDAJ	PREVOD NA UCET	2444	18419	SIPO	YZ	11799949
329285	1123	1997-07-14	VYDAJ	PREVOD NA UCET	2444	18497	SIPO	YZ	11799949
329286	1123	1997-08-14	VYDAJ	PREVOD NA UCET	2444	14176	SIPO	YZ	11799949
329287	1123	1997-09-14	VYDAJ	PREVOD NA UCET	2444	21146	SIPO	YZ	11799949
329288	1123	1997-10-14	VYDAJ	PREVOD NA UCET	2444	24126	SIPO	YZ	11799949
329289	1123	1997-11-14	VYDAJ	PREVOD NA UCET	2444	23225	SIPO	YZ	11799949
329290	1123	1997-12-14	VYDAJ	PREVOD NA UCET	2444	34860	SIPO	YZ	11799949
329291	1123	1998-01-14	VYDAJ	PREVOD NA UCET	2444	24851	SIPO	YZ	11799949
329292	1123	1998-02-14	VYDAJ	PREVOD NA UCET	2444	22150	SIPO	YZ	11799949
329293	1123	1998-03-14	VYDAJ	PREVOD NA UCET	2444	29334	SIPO	YZ	11799949
329294	1123	1998-04-14	VYDAJ	PREVOD NA UCET	2444	26820	SIPO	YZ	11799949
329400	1123	1996-01-07	VYDAJ	VYBER	3000	30670	\N	\N	\N
329295	1123	1998-05-14	VYDAJ	PREVOD NA UCET	2444	23373	SIPO	YZ	11799949
329296	1123	1998-06-14	VYDAJ	PREVOD NA UCET	2444	31591	SIPO	YZ	11799949
329297	1123	1998-07-14	VYDAJ	PREVOD NA UCET	2444	23312	SIPO	YZ	11799949
329298	1123	1998-08-14	VYDAJ	PREVOD NA UCET	2444	23322	SIPO	YZ	11799949
329299	1123	1998-09-14	VYDAJ	PREVOD NA UCET	2444	25321	SIPO	YZ	11799949
329300	1123	1998-10-14	VYDAJ	PREVOD NA UCET	2444	28625	SIPO	YZ	11799949
329301	1123	1998-11-14	VYDAJ	PREVOD NA UCET	2444	31041	SIPO	YZ	11799949
329302	1123	1998-12-14	VYDAJ	PREVOD NA UCET	2444	31963	SIPO	YZ	11799949
329317	1123	1994-03-13	VYDAJ	PREVOD NA UCET	6668	52207	 	WX	23123979
329318	1123	1994-04-13	VYDAJ	PREVOD NA UCET	6668	45759	 	WX	23123979
329319	1123	1994-05-13	VYDAJ	PREVOD NA UCET	6668	42647	 	WX	23123979
329320	1123	1994-06-13	VYDAJ	PREVOD NA UCET	6668	49760	 	WX	23123979
329321	1123	1994-07-13	VYDAJ	PREVOD NA UCET	6668	40761	 	WX	23123979
329322	1123	1994-08-13	VYDAJ	PREVOD NA UCET	6668	39121	 	WX	23123979
329323	1123	1994-09-13	VYDAJ	PREVOD NA UCET	6668	39362	 	WX	23123979
329324	1123	1994-10-13	VYDAJ	PREVOD NA UCET	6668	39904	 	WX	23123979
329325	1123	1994-11-13	VYDAJ	PREVOD NA UCET	6668	42328	 	WX	23123979
329326	1123	1994-12-13	VYDAJ	PREVOD NA UCET	6668	52297	 	WX	23123979
329327	1123	1995-01-13	VYDAJ	PREVOD NA UCET	6668	36251	 	WX	23123979
329328	1123	1995-02-13	VYDAJ	PREVOD NA UCET	6668	32752	 	WX	23123979
329329	1123	1995-03-13	VYDAJ	PREVOD NA UCET	6668	32677	 	WX	23123979
329330	1123	1995-04-13	VYDAJ	PREVOD NA UCET	6668	36601	 	WX	23123979
329331	1123	1995-05-13	VYDAJ	PREVOD NA UCET	6668	33691	 	WX	23123979
329332	1123	1995-06-13	VYDAJ	PREVOD NA UCET	6668	46560	 	WX	23123979
329333	1123	1995-07-13	VYDAJ	PREVOD NA UCET	6668	44622	 	WX	23123979
329334	1123	1995-08-13	VYDAJ	PREVOD NA UCET	6668	43580	 	WX	23123979
329335	1123	1995-09-13	VYDAJ	PREVOD NA UCET	6668	45737	 	WX	23123979
329336	1123	1995-10-13	VYDAJ	PREVOD NA UCET	6668	40388	 	WX	23123979
329337	1123	1995-11-13	VYDAJ	PREVOD NA UCET	6668	38826	 	WX	23123979
329338	1123	1995-12-13	VYDAJ	PREVOD NA UCET	6668	49277	 	WX	23123979
329339	1123	1996-01-13	VYDAJ	PREVOD NA UCET	6668	36752	 	WX	23123979
329340	1123	1996-02-13	VYDAJ	PREVOD NA UCET	6668	33703	 	WX	23123979
329341	1123	1996-03-13	VYDAJ	PREVOD NA UCET	6668	36617	 	WX	23123979
329342	1123	1996-04-13	VYDAJ	PREVOD NA UCET	6668	40545	 	WX	23123979
329343	1123	1996-05-13	VYDAJ	PREVOD NA UCET	6668	42385	 	WX	23123979
329344	1123	1996-06-13	VYDAJ	PREVOD NA UCET	6668	48342	 	WX	23123979
329345	1123	1996-07-13	VYDAJ	PREVOD NA UCET	6668	47295	 	WX	23123979
329346	1123	1996-08-13	VYDAJ	PREVOD NA UCET	6668	42650	 	WX	23123979
329347	1123	1996-09-13	VYDAJ	PREVOD NA UCET	6668	39889	 	WX	23123979
329348	1123	1996-10-13	VYDAJ	PREVOD NA UCET	6668	31774	 	WX	23123979
329349	1123	1996-11-13	VYDAJ	PREVOD NA UCET	6668	27124	 	WX	23123979
329350	1123	1996-12-13	VYDAJ	PREVOD NA UCET	6668	39435	 	WX	23123979
329351	1123	1997-01-13	VYDAJ	PREVOD NA UCET	6668	28146	 	WX	23123979
329352	1123	1997-02-13	VYDAJ	PREVOD NA UCET	6668	18534	 	WX	23123979
329353	1123	1997-03-13	VYDAJ	PREVOD NA UCET	6668	25703	 	WX	23123979
329354	1123	1997-04-13	VYDAJ	PREVOD NA UCET	6668	25574	 	WX	23123979
329355	1123	1997-05-13	VYDAJ	PREVOD NA UCET	6668	25059	 	WX	23123979
329356	1123	1997-06-13	VYDAJ	PREVOD NA UCET	6668	28063	 	WX	23123979
329357	1123	1997-07-13	VYDAJ	PREVOD NA UCET	6668	28041	 	WX	23123979
329358	1123	1997-08-13	VYDAJ	PREVOD NA UCET	6668	16620	 	WX	23123979
329359	1123	1997-09-13	VYDAJ	PREVOD NA UCET	6668	23590	 	WX	23123979
329360	1123	1997-10-13	VYDAJ	PREVOD NA UCET	6668	26570	 	WX	23123979
329361	1123	1997-11-13	VYDAJ	PREVOD NA UCET	6668	25669	 	WX	23123979
329362	1123	1997-12-13	VYDAJ	PREVOD NA UCET	6668	37304	 	WX	23123979
329363	1123	1998-01-13	VYDAJ	PREVOD NA UCET	6668	27295	 	WX	23123979
329364	1123	1998-02-13	VYDAJ	PREVOD NA UCET	6668	24594	 	WX	23123979
329365	1123	1998-03-13	VYDAJ	PREVOD NA UCET	6668	31778	 	WX	23123979
329366	1123	1998-04-13	VYDAJ	PREVOD NA UCET	6668	29264	 	WX	23123979
329367	1123	1998-05-13	VYDAJ	PREVOD NA UCET	6668	25817	 	WX	23123979
329368	1123	1998-06-13	VYDAJ	PREVOD NA UCET	6668	34035	 	WX	23123979
329369	1123	1998-07-13	VYDAJ	PREVOD NA UCET	6668	25756	 	WX	23123979
329370	1123	1998-08-13	VYDAJ	PREVOD NA UCET	6668	25766	 	WX	23123979
329371	1123	1998-09-13	VYDAJ	PREVOD NA UCET	6668	27765	 	WX	23123979
329372	1123	1998-10-13	VYDAJ	PREVOD NA UCET	6668	31069	 	WX	23123979
329373	1123	1998-11-13	VYDAJ	PREVOD NA UCET	6668	33485	 	WX	23123979
329374	1123	1998-12-13	VYDAJ	PREVOD NA UCET	6668	34407	 	WX	23123979
329376	1123	1994-12-17	VYDAJ	VYBER	2240	47613	\N	\N	\N
329377	1123	1995-12-20	VYDAJ	VYBER	2400	44433	\N	\N	\N
329378	1123	1996-12-30	VYDAJ	VYBER	3680	24611	\N	\N	\N
329379	1123	1997-12-06	VYDAJ	VYBER	3680	19627	\N	\N	\N
329380	1123	1998-12-08	VYDAJ	VYBER	960	16730	\N	\N	\N
329393	1123	1995-01-08	VYDAJ	VYBER	2520	31609	\N	\N	\N
329394	1123	1995-01-09	VYDAJ	VYBER	2880	26689	\N	\N	\N
329395	1123	1995-01-08	VYDAJ	VYBER	2040	29569	\N	\N	\N
329396	1123	1995-01-07	VYDAJ	VYBER	2040	34129	\N	\N	\N
329397	1123	1995-01-24	VYDAJ	VYBER	2760	31047	\N	\N	\N
329398	1123	1995-01-02	VYDAJ	VYBER	1800	36169	\N	\N	\N
329399	1123	1996-01-19	VYDAJ	VYBER	2640	29388	\N	\N	\N
329401	1123	1996-01-07	VYDAJ	VYBER	1200	33670	\N	\N	\N
329402	1123	1996-01-10	VYDAJ	VYBER	3480	27190	\N	\N	\N
329403	1123	1996-01-14	VYDAJ	VYBER	2280	32028	\N	\N	\N
329404	1123	1996-01-30	VYDAJ	VYBER	2760	24028	\N	\N	\N
329405	1123	1997-01-20	VYDAJ	VYBER	3240	18602	\N	\N	\N
329406	1123	1997-01-02	VYDAJ	VYBER	2520	22184	\N	\N	\N
329409	1123	1997-01-19	VYDAJ	VYBER	960	21842	\N	\N	\N
329410	1123	1997-01-06	VYDAJ	VYBER	1320	20864	\N	\N	\N
329411	1123	1998-01-02	VYDAJ	VYBER	600	31133	\N	\N	\N
329412	1123	1998-01-20	VYDAJ	VYBER	720	22811	\N	\N	\N
329413	1123	1998-01-19	VYDAJ	VYBER	1320	23531	\N	\N	\N
329415	1123	1998-01-01	VYDAJ	VYBER	3240	31733	\N	\N	\N
329416	1123	1998-01-26	VYDAJ	VYBER	3480	15851	\N	\N	\N
329424	1123	1994-07-06	VYDAJ	VYBER	4680	33599	\N	\N	\N
329425	1123	1994-10-26	VYDAJ	VYBER	3720	33740	\N	\N	\N
329427	1123	1994-07-11	VYDAJ	VYBER	2400	31199	\N	\N	\N
329428	1123	1994-06-03	VYDAJ	VYBER	2760	32083	\N	\N	\N
329429	1123	1994-03-17	VYDAJ	VYBER	3240	46523	\N	\N	\N
329430	1123	1995-02-08	VYDAJ	VYBER	5280	23190	\N	\N	\N
329431	1123	1995-03-05	VYDAJ	VYBER	4200	23115	\N	\N	\N
329432	1123	1995-07-23	VYDAJ	VYBER	4800	37378	\N	\N	\N
329433	1123	1995-06-03	VYDAJ	VYBER	3480	28883	\N	\N	\N
329434	1123	1995-09-16	VYDAJ	VYBER	5400	37893	\N	\N	\N
329435	1123	1995-05-12	VYDAJ	VYBER	5640	40359	\N	\N	\N
329436	1123	1996-11-05	VYDAJ	VYBER	4560	17562	\N	\N	\N
329437	1123	1996-10-09	VYDAJ	VYBER	5040	22212	\N	\N	\N
329438	1123	1996-10-25	VYDAJ	VYBER	3000	22030	\N	\N	\N
329440	1123	1997-01-09	VYDAJ	VYBER	2280	18584	\N	\N	\N
329441	1123	1997-01-26	VYDAJ	VYBER	3000	15602	\N	\N	\N
329444	1123	1997-06-12	VYDAJ	VYBER	5880	34731	\N	\N	\N
329446	1123	1998-12-08	VYDAJ	VYBER	3360	17690	\N	\N	\N
329447	1123	1998-01-22	VYDAJ	VYBER	3480	19331	\N	\N	\N
329448	1123	1998-03-16	VYDAJ	VYBER	2520	26814	\N	\N	\N
329449	1123	1998-04-26	VYDAJ	VYBER	960	25860	\N	\N	\N
329465	1123	1994-03-31	VYDAJ	VYBER	15	46697	SLUZBY	\N	\N
329466	1123	1994-04-30	VYDAJ	VYBER	15	33085	SLUZBY	\N	\N
329467	1123	1994-05-31	VYDAJ	VYBER	15	34843	SLUZBY	\N	\N
329468	1123	1994-06-30	VYDAJ	VYBER	15	38279	SLUZBY	\N	\N
329469	1123	1994-07-31	VYDAJ	VYBER	15	29559	SLUZBY	\N	\N
329470	1123	1994-08-31	VYDAJ	VYBER	15	29800	SLUZBY	\N	\N
329471	1123	1994-09-30	VYDAJ	VYBER	15	30342	SLUZBY	\N	\N
329472	1123	1994-10-31	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
329473	1123	1994-11-30	VYDAJ	VYBER	15	34620	SLUZBY	\N	\N
329474	1123	1994-12-31	VYDAJ	VYBER	15	37969	SLUZBY	\N	\N
329475	1123	1995-01-31	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
329476	1123	1995-02-28	VYDAJ	VYBER	15	27315	SLUZBY	\N	\N
329477	1123	1995-03-31	VYDAJ	VYBER	15	27039	SLUZBY	\N	\N
329478	1123	1995-04-30	VYDAJ	VYBER	15	29769	SLUZBY	\N	\N
329479	1123	1995-05-31	VYDAJ	VYBER	15	32363	SLUZBY	\N	\N
329480	1123	1995-06-30	VYDAJ	VYBER	15	35060	SLUZBY	\N	\N
329481	1123	1995-07-31	VYDAJ	VYBER	15	34018	SLUZBY	\N	\N
329482	1123	1995-08-31	VYDAJ	VYBER	15	36175	SLUZBY	\N	\N
329483	1123	1995-09-30	VYDAJ	VYBER	15	30826	SLUZBY	\N	\N
329484	1123	1995-10-31	VYDAJ	VYBER	15	29264	SLUZBY	\N	\N
329485	1123	1995-11-30	VYDAJ	VYBER	15	31600	SLUZBY	\N	\N
329486	1123	1995-12-31	VYDAJ	VYBER	15	34870	SLUZBY	\N	\N
329487	1123	1996-01-31	VYDAJ	VYBER	15	24141	SLUZBY	\N	\N
329488	1123	1996-02-29	VYDAJ	VYBER	15	27055	SLUZBY	\N	\N
329489	1123	1996-03-31	VYDAJ	VYBER	15	30983	SLUZBY	\N	\N
329490	1123	1996-04-30	VYDAJ	VYBER	15	32823	SLUZBY	\N	\N
329491	1123	1996-05-31	VYDAJ	VYBER	15	30665	SLUZBY	\N	\N
329492	1123	1996-06-30	VYDAJ	VYBER	15	37733	SLUZBY	\N	\N
329493	1123	1996-07-31	VYDAJ	VYBER	15	33088	SLUZBY	\N	\N
329494	1123	1996-08-31	VYDAJ	VYBER	15	30327	SLUZBY	\N	\N
329495	1123	1996-09-30	VYDAJ	VYBER	15	27252	SLUZBY	\N	\N
329496	1123	1996-10-31	VYDAJ	VYBER	15	22122	SLUZBY	\N	\N
329497	1123	1996-11-30	VYDAJ	VYBER	15	21758	SLUZBY	\N	\N
329498	1123	1996-12-31	VYDAJ	VYBER	15	24704	SLUZBY	\N	\N
329499	1123	1997-01-31	VYDAJ	VYBER	15	15672	SLUZBY	\N	\N
329500	1123	1997-02-28	VYDAJ	VYBER	15	16141	SLUZBY	\N	\N
329501	1123	1997-03-31	VYDAJ	VYBER	15	16012	SLUZBY	\N	\N
329502	1123	1997-04-30	VYDAJ	VYBER	15	15497	SLUZBY	\N	\N
329503	1123	1997-05-31	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
329504	1123	1997-06-30	VYDAJ	VYBER	15	18479	SLUZBY	\N	\N
329505	1123	1997-07-31	VYDAJ	VYBER	15	18558	SLUZBY	\N	\N
329506	1123	1997-08-31	VYDAJ	VYBER	15	14228	SLUZBY	\N	\N
329507	1123	1997-09-30	VYDAJ	VYBER	15	21208	SLUZBY	\N	\N
329508	1123	1997-10-31	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
329509	1123	1997-11-30	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
329510	1123	1997-12-31	VYDAJ	VYBER	15	34973	SLUZBY	\N	\N
329511	1123	1998-01-31	VYDAJ	VYBER	15	15932	SLUZBY	\N	\N
329512	1123	1998-02-28	VYDAJ	VYBER	15	22216	SLUZBY	\N	\N
329513	1123	1998-03-31	VYDAJ	VYBER	15	26902	SLUZBY	\N	\N
329514	1123	1998-04-30	VYDAJ	VYBER	15	25955	SLUZBY	\N	\N
329515	1123	1998-05-31	VYDAJ	VYBER	15	23458	SLUZBY	\N	\N
329516	1123	1998-06-30	VYDAJ	VYBER	15	31694	SLUZBY	\N	\N
329517	1123	1998-07-31	VYDAJ	VYBER	15	23404	SLUZBY	\N	\N
329518	1123	1998-08-31	VYDAJ	VYBER	15	23403	SLUZBY	\N	\N
329519	1123	1998-09-30	VYDAJ	VYBER	15	25407	SLUZBY	\N	\N
329520	1123	1998-10-31	VYDAJ	VYBER	15	28723	SLUZBY	\N	\N
329521	1123	1998-11-30	VYDAJ	VYBER	15	31150	SLUZBY	\N	\N
329522	1123	1993-12-01	PRIJEM	VKLAD	6200	22874	\N	\N	\N
329523	1123	1993-12-31	VYDAJ	VYBER	12100	35269	\N	\N	\N
329524	1123	1994-01-30	VYDAJ	VYBER	11200	40299	\N	\N	\N
329525	1123	1994-03-01	VYDAJ	VYBER	14200	42645	\N	\N	\N
329526	1123	1994-03-31	VYDAJ	VYBER	10500	36197	\N	\N	\N
329527	1123	1994-04-30	VYDAJ	VYBER	10400	33100	\N	\N	\N
329528	1123	1994-05-30	VYDAJ	VYBER	5500	34703	\N	\N	\N
329529	1123	1994-06-29	VYDAJ	VYBER	9200	38116	\N	\N	\N
329530	1123	1994-07-29	VYDAJ	VYBER	8900	29417	\N	\N	\N
329531	1123	1994-08-28	VYDAJ	VYBER	7000	29677	\N	\N	\N
329532	1123	1994-09-27	VYDAJ	VYBER	6700	30218	\N	\N	\N
329533	1123	1994-10-27	VYDAJ	VYBER	1100	32640	\N	\N	\N
329534	1123	1994-11-26	VYDAJ	VYBER	5400	34484	\N	\N	\N
329535	1123	1994-12-26	VYDAJ	VYBER	9800	37813	\N	\N	\N
329536	1123	1995-01-25	VYDAJ	VYBER	2700	28347	\N	\N	\N
329537	1123	1995-02-24	VYDAJ	VYBER	3100	27208	\N	\N	\N
329538	1123	1995-03-26	VYDAJ	VYBER	3300	26933	\N	\N	\N
329539	1123	1995-04-25	VYDAJ	VYBER	4500	29657	\N	\N	\N
329540	1123	1995-05-25	PRIJEM	VKLAD	1000	32247	\N	\N	\N
329541	1123	1995-06-24	VYDAJ	VYBER	9200	34916	\N	\N	\N
329542	1123	1995-07-24	VYDAJ	VYBER	3500	33878	\N	\N	\N
329543	1123	1995-08-23	VYDAJ	VYBER	5100	36036	\N	\N	\N
329544	1123	1995-09-22	VYDAJ	VYBER	7200	30693	\N	\N	\N
329545	1123	1995-10-22	VYDAJ	VYBER	8800	29144	\N	\N	\N
329546	1123	1995-11-21	VYDAJ	VYBER	4900	31482	\N	\N	\N
329547	1123	1995-12-21	VYDAJ	VYBER	9700	34733	\N	\N	\N
329548	1123	1996-01-20	VYDAJ	VYBER	2600	26788	\N	\N	\N
329549	1123	1996-02-19	VYDAJ	VYBER	4300	26959	\N	\N	\N
329550	1123	1996-03-20	VYDAJ	VYBER	3300	30873	\N	\N	\N
329551	1123	1996-04-19	VYDAJ	VYBER	5400	32701	\N	\N	\N
329552	1123	1996-05-19	VYDAJ	VYBER	9400	30541	\N	\N	\N
329553	1123	1996-06-18	VYDAJ	VYBER	8300	37598	\N	\N	\N
329554	1123	1996-07-18	VYDAJ	VYBER	11900	32951	\N	\N	\N
329555	1123	1996-08-17	VYDAJ	VYBER	10000	30206	\N	\N	\N
329556	1123	1996-09-16	VYDAJ	VYBER	10300	27145	\N	\N	\N
329557	1123	1996-10-16	VYDAJ	VYBER	4300	25030	\N	\N	\N
329558	1123	1996-11-15	VYDAJ	VYBER	3000	21680	\N	\N	\N
329559	1123	1996-12-15	VYDAJ	VYBER	8700	28291	\N	\N	\N
329560	1123	1997-01-14	VYDAJ	VYBER	2900	22802	\N	\N	\N
329561	1123	1997-02-13	VYDAJ	VYBER	6700	25202	\N	\N	\N
329562	1123	1997-03-15	VYDAJ	VYBER	7300	15959	\N	\N	\N
329563	1123	1997-04-14	VYDAJ	VYBER	7700	15430	\N	\N	\N
329564	1123	1997-05-14	VYDAJ	VYBER	6400	18659	\N	\N	\N
329565	1123	1997-06-13	VYDAJ	VYBER	7200	20863	\N	\N	\N
329566	1123	1997-07-13	VYDAJ	VYBER	7100	20941	\N	\N	\N
329567	1123	1997-08-12	VYDAJ	VYBER	11500	23288	\N	\N	\N
329568	1123	1997-09-11	VYDAJ	VYBER	200	14028	\N	\N	\N
329569	1123	1997-10-11	VYDAJ	VYBER	4200	17008	\N	\N	\N
329570	1123	1997-11-10	VYDAJ	VYBER	8100	16107	\N	\N	\N
329571	1123	1998-01-09	VYDAJ	VYBER	13400	17733	\N	\N	\N
329572	1123	1998-02-08	VYDAJ	VYBER	900	15032	\N	\N	\N
329573	1123	1998-04-09	VYDAJ	VYBER	7200	19702	\N	\N	\N
329574	1123	1998-05-09	VYDAJ	VYBER	9700	16255	\N	\N	\N
329575	1123	1998-06-08	VYDAJ	VYBER	7100	16358	\N	\N	\N
329576	1123	1998-07-08	VYDAJ	VYBER	15500	16194	\N	\N	\N
329577	1123	1998-08-07	VYDAJ	VYBER	7200	16204	\N	\N	\N
329578	1123	1998-09-06	VYDAJ	VYBER	5200	18203	\N	\N	\N
329579	1123	1998-10-06	VYDAJ	VYBER	3900	21507	\N	\N	\N
329580	1123	1998-11-05	VYDAJ	VYBER	4800	23923	\N	\N	\N
329581	1123	1998-12-05	VYDAJ	VYBER	10100	21050	\N	\N	\N
329644	1124	1996-06-02	PRIJEM	VKLAD	900	900	\N	\N	\N
329646	1124	1996-10-17	PRIJEM	VKLAD	26998	84746	\N	\N	\N
329647	1124	1996-10-09	PRIJEM	VKLAD	22305	61517	\N	\N	\N
329648	1124	1996-11-08	PRIJEM	VKLAD	9259	83410	\N	\N	\N
329649	1124	1996-11-06	PRIJEM	VKLAD	42056	90033	\N	\N	\N
329651	1124	1996-07-31	PRIJEM	VKLAD	15753	56157	\N	\N	\N
329653	1124	1996-09-21	PRIJEM	VKLAD	45417	136665	\N	\N	\N
329654	1124	1996-07-19	PRIJEM	VKLAD	27931	40331	\N	\N	\N
329657	1124	1996-09-01	PRIJEM	VKLAD	45157	77944	\N	\N	\N
329659	1124	1996-09-20	PRIJEM	VKLAD	13304	91248	\N	\N	\N
329661	1124	1996-11-07	PRIJEM	VKLAD	46218	136251	\N	\N	\N
329662	1124	1996-12-11	PRIJEM	VKLAD	31361	64064	\N	\N	\N
329665	1124	1997-05-20	PRIJEM	VKLAD	20156	63326	\N	\N	\N
329666	1124	1997-11-06	PRIJEM	VKLAD	18194	88019	\N	\N	\N
329667	1124	1997-12-12	PRIJEM	VKLAD	5683	79214	\N	\N	\N
329668	1124	1997-07-04	PRIJEM	VKLAD	6963	71468	\N	\N	\N
329669	1124	1997-12-09	PRIJEM	VKLAD	30838	77300	\N	\N	\N
329670	1124	1997-03-07	PRIJEM	VKLAD	19453	64096	\N	\N	\N
329671	1124	1997-10-31	PRIJEM	VKLAD	18115	69840	\N	\N	\N
329672	1124	1997-10-22	PRIJEM	VKLAD	38737	80020	\N	\N	\N
329673	1124	1997-09-22	PRIJEM	VKLAD	45795	76596	\N	\N	\N
329674	1124	1997-11-11	PRIJEM	VKLAD	9963	95243	\N	\N	\N
329675	1124	1997-06-19	PRIJEM	VKLAD	30833	99542	\N	\N	\N
329676	1124	1997-08-11	PRIJEM	VKLAD	46369	98226	\N	\N	\N
329677	1124	1997-01-17	PRIJEM	VKLAD	8006	28737	\N	\N	\N
329678	1124	1997-08-14	PRIJEM	VKLAD	16552	111648	\N	\N	\N
329679	1124	1997-03-31	PRIJEM	VKLAD	15295	54450	\N	\N	\N
329680	1124	1997-07-16	PRIJEM	VKLAD	42978	131479	\N	\N	\N
329681	1124	1997-07-11	PRIJEM	VKLAD	35532	89531	\N	\N	\N
329682	1124	1997-02-08	PRIJEM	VKLAD	21752	41780	\N	\N	\N
329683	1124	1997-02-27	PRIJEM	VKLAD	39287	67432	\N	\N	\N
329684	1124	1997-06-03	PRIJEM	VKLAD	8633	42680	\N	\N	\N
329685	1124	1997-08-16	PRIJEM	VKLAD	39010	114158	\N	\N	\N
329686	1124	1997-06-12	PRIJEM	VKLAD	31298	70209	\N	\N	\N
329687	1124	1997-04-04	PRIJEM	VKLAD	19422	73857	\N	\N	\N
329688	1124	1998-03-16	PRIJEM	VKLAD	40473	108911	\N	\N	\N
329689	1124	1998-01-14	PRIJEM	VKLAD	10721	77076	\N	\N	\N
329690	1124	1998-03-11	PRIJEM	VKLAD	36780	69468	\N	\N	\N
329691	1124	1998-01-18	PRIJEM	VKLAD	13281	116425	\N	\N	\N
329692	1124	1998-04-26	PRIJEM	VKLAD	21962	70287	\N	\N	\N
329693	1124	1998-05-21	PRIJEM	VKLAD	34188	101003	\N	\N	\N
329694	1124	1998-04-21	PRIJEM	VKLAD	23553	113063	\N	\N	\N
329695	1124	1998-09-19	PRIJEM	VKLAD	34376	101421	\N	\N	\N
329696	1124	1998-04-13	PRIJEM	VKLAD	33096	89510	\N	\N	\N
329697	1124	1998-04-23	PRIJEM	VKLAD	10862	68525	\N	\N	\N
329698	1124	1998-09-22	PRIJEM	VKLAD	6846	70098	\N	\N	\N
329699	1124	1998-08-03	PRIJEM	VKLAD	48065	108932	\N	\N	\N
329700	1124	1998-09-04	PRIJEM	VKLAD	12724	94077	\N	\N	\N
329701	1124	1998-12-28	PRIJEM	VKLAD	20394	76446	\N	\N	\N
329702	1124	1998-03-03	PRIJEM	VKLAD	28519	58531	\N	\N	\N
329703	1124	1998-01-15	PRIJEM	VKLAD	26068	103144	\N	\N	\N
329704	1124	1998-12-18	PRIJEM	VKLAD	21338	52289	\N	\N	\N
329705	1124	1998-08-24	PRIJEM	VKLAD	22200	94863	\N	\N	\N
329706	1124	1998-06-25	PRIJEM	VKLAD	38318	70972	\N	\N	\N
329707	1124	1998-09-21	PRIJEM	VKLAD	11122	112752	\N	\N	\N
329708	1124	1998-01-04	PRIJEM	VKLAD	38569	77924	\N	\N	\N
329709	1124	1998-12-27	PRIJEM	VKLAD	12963	56052	\N	\N	\N
329710	1124	1998-02-26	PRIJEM	VKLAD	6384	33965	\N	\N	\N
329711	1124	1998-01-22	PRIJEM	VKLAD	49480	114305	\N	\N	\N
329712	1124	1998-07-21	PRIJEM	VKLAD	30688	79335	\N	\N	\N
329713	1124	1998-10-04	PRIJEM	VKLAD	49131	94859	\N	\N	\N
329714	1124	1998-10-25	PRIJEM	VKLAD	35745	99435	\N	\N	\N
329715	1124	1998-09-21	PRIJEM	VKLAD	33409	101630	\N	\N	\N
329761	1124	1996-10-11	VYDAJ	PREVOD NA UCET	1030	57748	SIPO	YZ	35057538
329762	1124	1996-11-11	VYDAJ	PREVOD NA UCET	1030	79641	SIPO	YZ	35057538
329763	1124	1996-12-11	VYDAJ	PREVOD NA UCET	1030	63034	SIPO	YZ	35057538
329764	1124	1997-01-11	VYDAJ	PREVOD NA UCET	1030	20731	SIPO	YZ	35057538
329765	1124	1997-02-11	VYDAJ	PREVOD NA UCET	1030	38011	SIPO	YZ	35057538
329766	1124	1997-03-11	VYDAJ	PREVOD NA UCET	1030	60327	SIPO	YZ	35057538
329767	1124	1997-04-11	VYDAJ	PREVOD NA UCET	1030	70088	SIPO	YZ	35057538
329768	1124	1997-05-11	VYDAJ	PREVOD NA UCET	1030	43170	SIPO	YZ	35057538
329769	1124	1997-06-11	VYDAJ	PREVOD NA UCET	1030	38911	SIPO	YZ	35057538
329770	1124	1997-07-11	VYDAJ	PREVOD NA UCET	1030	88501	SIPO	YZ	35057538
329771	1124	1997-08-11	VYDAJ	PREVOD NA UCET	1030	95096	SIPO	YZ	35057538
329772	1124	1997-09-11	VYDAJ	PREVOD NA UCET	1030	30801	SIPO	YZ	35057538
329773	1124	1997-10-11	VYDAJ	PREVOD NA UCET	1030	41283	SIPO	YZ	35057538
329774	1124	1997-11-11	VYDAJ	PREVOD NA UCET	1030	94213	SIPO	YZ	35057538
329775	1124	1997-12-11	VYDAJ	PREVOD NA UCET	1030	73531	SIPO	YZ	35057538
329776	1124	1998-01-11	VYDAJ	PREVOD NA UCET	1030	66355	SIPO	YZ	35057538
329777	1124	1998-02-11	VYDAJ	PREVOD NA UCET	1030	19181	SIPO	YZ	35057538
329778	1124	1998-03-11	VYDAJ	PREVOD NA UCET	1030	68438	SIPO	YZ	35057538
329779	1124	1998-04-11	VYDAJ	PREVOD NA UCET	1030	56414	SIPO	YZ	35057538
329780	1124	1998-05-11	VYDAJ	PREVOD NA UCET	1030	66815	SIPO	YZ	35057538
329781	1124	1998-06-11	VYDAJ	PREVOD NA UCET	1030	35810	SIPO	YZ	35057538
329782	1124	1998-07-11	VYDAJ	PREVOD NA UCET	1030	48647	SIPO	YZ	35057538
329783	1124	1998-08-11	VYDAJ	PREVOD NA UCET	1030	105163	SIPO	YZ	35057538
329784	1124	1998-09-11	VYDAJ	PREVOD NA UCET	1030	90308	SIPO	YZ	35057538
329785	1124	1998-10-11	VYDAJ	PREVOD NA UCET	1030	91090	SIPO	YZ	35057538
329786	1124	1998-11-11	VYDAJ	PREVOD NA UCET	1030	81523	SIPO	YZ	35057538
329787	1124	1998-12-11	VYDAJ	PREVOD NA UCET	1030	30951	SIPO	YZ	35057538
329797	1124	1996-10-09	VYDAJ	PREVOD NA UCET	2739	58778	 	GH	54822939
329798	1124	1996-11-09	VYDAJ	PREVOD NA UCET	2739	80671	 	GH	54822939
329799	1124	1996-12-09	VYDAJ	PREVOD NA UCET	2739	32703	 	GH	54822939
329800	1124	1997-01-09	VYDAJ	PREVOD NA UCET	2739	21761	 	GH	54822939
329801	1124	1997-02-09	VYDAJ	PREVOD NA UCET	2739	39041	 	GH	54822939
329802	1124	1997-03-09	VYDAJ	PREVOD NA UCET	2739	61357	 	GH	54822939
329803	1124	1997-04-09	VYDAJ	PREVOD NA UCET	2739	71118	 	GH	54822939
329804	1124	1997-05-09	VYDAJ	PREVOD NA UCET	2739	44200	 	GH	54822939
329805	1124	1997-06-09	VYDAJ	PREVOD NA UCET	2739	39941	 	GH	54822939
329806	1124	1997-07-09	VYDAJ	PREVOD NA UCET	2739	53999	 	GH	54822939
329807	1124	1997-08-09	VYDAJ	PREVOD NA UCET	2739	51857	 	GH	54822939
329808	1124	1997-09-09	VYDAJ	PREVOD NA UCET	2739	36631	 	GH	54822939
329809	1124	1997-10-09	VYDAJ	PREVOD NA UCET	2739	42313	 	GH	54822939
329810	1124	1997-11-09	VYDAJ	PREVOD NA UCET	2739	85280	 	GH	54822939
329811	1124	1997-12-09	VYDAJ	PREVOD NA UCET	2739	74561	 	GH	54822939
329812	1124	1998-01-09	VYDAJ	PREVOD NA UCET	2739	67385	 	GH	54822939
329813	1124	1998-02-09	VYDAJ	PREVOD NA UCET	2739	20211	 	GH	54822939
329814	1124	1998-03-09	VYDAJ	PREVOD NA UCET	2739	32688	 	GH	54822939
329815	1124	1998-04-09	VYDAJ	PREVOD NA UCET	2739	57444	 	GH	54822939
329816	1124	1998-05-09	VYDAJ	PREVOD NA UCET	2739	67845	 	GH	54822939
329817	1124	1998-06-09	VYDAJ	PREVOD NA UCET	2739	36840	 	GH	54822939
329818	1124	1998-07-09	VYDAJ	PREVOD NA UCET	2739	49677	 	GH	54822939
329819	1124	1998-08-09	VYDAJ	PREVOD NA UCET	2739	106193	 	GH	54822939
329820	1124	1998-09-09	VYDAJ	PREVOD NA UCET	2739	91338	 	GH	54822939
329821	1124	1998-10-09	VYDAJ	PREVOD NA UCET	2739	92120	 	GH	54822939
329822	1124	1998-11-09	VYDAJ	PREVOD NA UCET	2739	82553	 	GH	54822939
329823	1124	1998-12-09	VYDAJ	PREVOD NA UCET	2739	31981	 	GH	54822939
329826	1124	1996-11-24	VYBER	VYBER	22911	54576	\N	\N	\N
329828	1124	1996-12-09	VYBER	VYBER	3493	35442	\N	\N	\N
329831	1124	1996-11-16	VYBER	VYBER	2154	77487	\N	\N	\N
329832	1124	1996-12-14	VYBER	VYBER	7307	55727	\N	\N	\N
329834	1124	1997-07-31	VYBER	VYBER	13721	54610	\N	\N	\N
329835	1124	1997-07-06	VYBER	VYBER	14730	56738	\N	\N	\N
329836	1124	1997-11-12	VYBER	VYBER	18183	76030	\N	\N	\N
329837	1124	1997-06-01	VYBER	VYBER	10071	34047	\N	\N	\N
329838	1124	1997-02-18	VYBER	VYBER	9866	28145	\N	\N	\N
329839	1124	1997-11-13	VYBER	VYBER	7727	68303	\N	\N	\N
329840	1124	1998-10-01	VYBER	VYBER	15146	45728	\N	\N	\N
329841	1124	1998-09-22	VYBER	VYBER	5924	64174	\N	\N	\N
329842	1124	1998-10-29	VYBER	VYBER	14481	84954	\N	\N	\N
329843	1124	1998-01-01	VYBER	VYBER	7000	45655	\N	\N	\N
329844	1124	1998-07-02	VYBER	VYBER	18738	52416	\N	\N	\N
329845	1124	1998-12-05	VYBER	VYBER	19499	34720	\N	\N	\N
329846	1124	1998-08-31	VYBER	VYBER	13859	81367	\N	\N	\N
329847	1124	1998-09-14	VYBER	VYBER	23263	67045	\N	\N	\N
329848	1124	1998-03-05	VYBER	VYBER	16804	41727	\N	\N	\N
329850	1124	1998-02-28	VYBER	VYBER	4034	30027	\N	\N	\N
329851	1124	1998-06-12	VYBER	VYBER	9156	26654	\N	\N	\N
329854	1124	1998-06-05	VYDAJ	VYBER	26400	39579	\N	\N	\N
329857	1124	1998-01-25	VYDAJ	VYBER	14700	22705	\N	\N	\N
329858	1124	1996-12-28	VYDAJ	VYBER	2700	41627	\N	\N	\N
329859	1124	1997-12-14	VYDAJ	VYBER	6600	72614	\N	\N	\N
329860	1124	1998-12-26	VYDAJ	VYBER	2700	43089	\N	\N	\N
329867	1124	1997-01-27	VYDAJ	VYBER	1800	24237	\N	\N	\N
329868	1124	1997-01-05	VYDAJ	VYBER	3600	29000	\N	\N	\N
329870	1124	1997-01-08	VYDAJ	VYBER	4500	24500	\N	\N	\N
329871	1124	1997-01-18	VYDAJ	VYBER	2700	26037	\N	\N	\N
329874	1124	1998-01-21	VYDAJ	VYBER	5700	64825	\N	\N	\N
329875	1124	1998-01-03	VYDAJ	VYBER	6300	39355	\N	\N	\N
329876	1124	1998-01-24	VYDAJ	VYBER	5700	37405	\N	\N	\N
329877	1124	1998-01-05	VYDAJ	VYBER	3000	74924	\N	\N	\N
329878	1124	1998-01-06	VYDAJ	VYBER	4800	70124	\N	\N	\N
329879	1124	1996-12-20	VYDAJ	VYBER	11400	44327	\N	\N	\N
329882	1124	1996-10-21	VYDAJ	VYBER	3600	81146	\N	\N	\N
329883	1124	1997-09-09	VYDAJ	VYBER	4800	31831	\N	\N	\N
329884	1124	1997-06-15	VYDAJ	VYBER	1500	68709	\N	\N	\N
329885	1124	1997-09-27	VYDAJ	VYBER	5100	44896	\N	\N	\N
329886	1124	1997-11-25	VYDAJ	VYBER	1800	46203	\N	\N	\N
329887	1124	1997-08-11	VYDAJ	VYBER	2100	96126	\N	\N	\N
329889	1124	1998-03-08	VYDAJ	VYBER	6300	35427	\N	\N	\N
329890	1124	1998-04-02	VYDAJ	VYBER	12600	60183	\N	\N	\N
329892	1124	1998-09-29	VYDAJ	VYBER	3600	60574	\N	\N	\N
329893	1124	1998-12-02	VYDAJ	VYBER	8100	54219	\N	\N	\N
329903	1124	1996-09-30	VYDAJ	VYBER	15	117112	SLUZBY	\N	\N
329904	1124	1996-10-31	VYDAJ	VYBER	15	47977	SLUZBY	\N	\N
329905	1124	1996-11-30	VYDAJ	VYBER	15	38935	SLUZBY	\N	\N
329906	1124	1996-12-31	VYDAJ	VYBER	15	32600	SLUZBY	\N	\N
329907	1124	1997-01-31	VYDAJ	VYBER	15	20028	SLUZBY	\N	\N
329908	1124	1997-02-28	VYDAJ	VYBER	15	44643	SLUZBY	\N	\N
329909	1124	1997-03-31	VYDAJ	VYBER	15	54435	SLUZBY	\N	\N
329910	1124	1997-04-30	VYDAJ	VYBER	15	46939	SLUZBY	\N	\N
329911	1124	1997-05-31	VYDAJ	VYBER	15	44118	SLUZBY	\N	\N
329912	1124	1997-06-30	VYDAJ	VYBER	15	64505	SLUZBY	\N	\N
329913	1124	1997-07-31	VYDAJ	VYBER	15	54596	SLUZBY	\N	\N
329914	1124	1997-08-31	VYDAJ	VYBER	15	39370	SLUZBY	\N	\N
329915	1124	1997-09-30	VYDAJ	VYBER	15	45052	SLUZBY	\N	\N
329916	1124	1997-10-31	VYDAJ	VYBER	15	69825	SLUZBY	\N	\N
329917	1124	1997-11-30	VYDAJ	VYBER	15	46462	SLUZBY	\N	\N
329918	1124	1997-12-31	VYDAJ	VYBER	15	52655	SLUZBY	\N	\N
329919	1124	1998-01-31	VYDAJ	VYBER	15	22950	SLUZBY	\N	\N
329920	1124	1998-02-28	VYDAJ	VYBER	15	30012	SLUZBY	\N	\N
329921	1124	1998-03-31	VYDAJ	VYBER	15	72783	SLUZBY	\N	\N
329922	1124	1998-04-30	VYDAJ	VYBER	15	70584	SLUZBY	\N	\N
329923	1124	1998-05-31	VYDAJ	VYBER	15	65979	SLUZBY	\N	\N
329924	1124	1998-06-30	VYDAJ	VYBER	15	71154	SLUZBY	\N	\N
329925	1124	1998-07-31	VYDAJ	VYBER	15	60867	SLUZBY	\N	\N
329926	1124	1998-08-31	VYDAJ	VYBER	15	81353	SLUZBY	\N	\N
329927	1124	1998-09-30	VYDAJ	VYBER	15	60874	SLUZBY	\N	\N
329928	1124	1998-10-31	VYDAJ	VYBER	15	85292	SLUZBY	\N	\N
329929	1124	1998-11-30	VYDAJ	VYBER	15	62319	SLUZBY	\N	\N
329930	1124	1996-07-02	PRIJEM	VKLAD	11500	12400	\N	\N	\N
329931	1124	1996-08-01	VYDAJ	VYBER	15600	40557	\N	\N	\N
329932	1124	1996-08-31	VYDAJ	VYBER	8000	32787	\N	\N	\N
329933	1124	1996-09-21	VYDAJ	VYBER	19800	116865	\N	\N	\N
329934	1124	1996-09-30	VYDAJ	VYBER	63600	39212	\N	\N	\N
329935	1124	1996-09-30	VYDAJ	VYBER	14300	102812	\N	\N	\N
329936	1124	1996-10-30	VYDAJ	VYBER	33500	47646	\N	\N	\N
329937	1124	1996-11-07	VYDAJ	VYBER	62100	74151	\N	\N	\N
329938	1124	1996-11-29	VYDAJ	VYBER	15900	38676	\N	\N	\N
329939	1124	1996-12-29	VYDAJ	VYBER	9200	32427	\N	\N	\N
329940	1124	1997-01-28	VYDAJ	VYBER	4300	19937	\N	\N	\N
329941	1124	1997-02-27	VYDAJ	VYBER	22900	44532	\N	\N	\N
329942	1124	1997-03-29	VYDAJ	VYBER	21400	38927	\N	\N	\N
329943	1124	1997-04-28	VYDAJ	VYBER	23400	46688	\N	\N	\N
329944	1124	1997-05-28	VYDAJ	VYBER	19400	43926	\N	\N	\N
329945	1124	1997-06-27	VYDAJ	VYBER	35300	64242	\N	\N	\N
329946	1124	1997-07-16	VYDAJ	VYBER	17100	114379	\N	\N	\N
329947	1124	1997-07-27	VYDAJ	VYBER	46400	67979	\N	\N	\N
329948	1124	1997-08-14	VYDAJ	VYBER	36500	75148	\N	\N	\N
329949	1124	1997-08-16	VYDAJ	VYBER	49900	64258	\N	\N	\N
329950	1124	1997-08-26	VYDAJ	VYBER	25200	39058	\N	\N	\N
329951	1124	1997-09-25	VYDAJ	VYBER	26600	49996	\N	\N	\N
329952	1124	1997-10-25	VYDAJ	VYBER	28500	51520	\N	\N	\N
329953	1124	1997-11-24	VYDAJ	VYBER	20300	48003	\N	\N	\N
329954	1124	1997-12-24	VYDAJ	VYBER	20200	52414	\N	\N	\N
329955	1124	1998-01-18	VYDAJ	VYBER	45900	70525	\N	\N	\N
329956	1124	1998-01-22	VYDAJ	VYBER	58200	56105	\N	\N	\N
329957	1124	1998-01-23	VYDAJ	VYBER	13000	43105	\N	\N	\N
329958	1124	1998-02-22	PRIJEM	VKLAD	8400	27581	\N	\N	\N
329959	1124	1998-03-24	VYDAJ	VYBER	36400	72511	\N	\N	\N
329960	1124	1998-04-21	VYDAJ	VYBER	55400	57663	\N	\N	\N
329961	1124	1998-04-23	VYDAJ	VYBER	20200	48325	\N	\N	\N
329962	1124	1998-05-23	VYDAJ	VYBER	35300	65703	\N	\N	\N
329963	1124	1998-06-22	PRIJEM	VKLAD	6000	32654	\N	\N	\N
329964	1124	1998-07-22	VYDAJ	VYBER	18700	60635	\N	\N	\N
329965	1124	1998-08-21	VYDAJ	VYBER	32500	72663	\N	\N	\N
329966	1124	1998-09-20	VYDAJ	VYBER	33200	68221	\N	\N	\N
329967	1124	1998-09-21	VYDAJ	VYBER	49500	63252	\N	\N	\N
329968	1124	1998-10-20	VYDAJ	VYBER	27400	63690	\N	\N	\N
329969	1124	1998-11-19	VYDAJ	VYBER	19500	62023	\N	\N	\N
329970	1124	1998-12-19	VYDAJ	VYBER	6500	45789	\N	\N	\N
330001	1125	1997-11-21	PRIJEM	VKLAD	900	900	\N	\N	\N
330025	1125	1998-12-10	PRIJEM	VKLAD	5751	24617	\N	\N	\N
330026	1125	1998-10-03	PRIJEM	VKLAD	16220	81702	\N	\N	\N
330027	1125	1998-08-18	PRIJEM	VKLAD	45771	103306	\N	\N	\N
330028	1125	1998-01-17	PRIJEM	VKLAD	22136	109479	\N	\N	\N
330029	1125	1998-04-18	PRIJEM	VKLAD	15621	75533	\N	\N	\N
330030	1125	1998-07-23	PRIJEM	VKLAD	35308	61493	\N	\N	\N
330031	1125	1998-09-10	PRIJEM	VKLAD	39888	100104	\N	\N	\N
330032	1125	1998-03-25	PRIJEM	VKLAD	35152	76255	\N	\N	\N
330033	1125	1998-05-15	PRIJEM	VKLAD	6427	41308	\N	\N	\N
330034	1125	1998-01-13	PRIJEM	VKLAD	30482	87343	\N	\N	\N
330035	1125	1998-03-21	PRIJEM	VKLAD	22687	50503	\N	\N	\N
330036	1125	1998-03-10	PRIJEM	VKLAD	26463	27816	\N	\N	\N
330037	1125	1998-04-29	PRIJEM	VKLAD	28290	113527	\N	\N	\N
330038	1125	1998-08-10	PRIJEM	VKLAD	47818	152858	\N	\N	\N
330039	1125	1998-01-19	PRIJEM	VKLAD	48858	122237	\N	\N	\N
330040	1125	1998-08-10	PRIJEM	VKLAD	38278	105040	\N	\N	\N
330041	1125	1998-05-04	PRIJEM	VKLAD	11094	65167	\N	\N	\N
330042	1125	1998-11-07	PRIJEM	VKLAD	41285	68235	\N	\N	\N
330043	1125	1998-04-26	PRIJEM	VKLAD	19107	85237	\N	\N	\N
330044	1125	1998-07-26	PRIJEM	VKLAD	31947	93440	\N	\N	\N
330045	1125	1998-02-06	PRIJEM	VKLAD	11991	60391	\N	\N	\N
330046	1125	1998-12-22	PRIJEM	VKLAD	30240	63157	\N	\N	\N
330047	1125	1998-11-23	PRIJEM	VKLAD	17655	52070	\N	\N	\N
330048	1125	1998-01-11	PRIJEM	VKLAD	45461	56861	\N	\N	\N
330049	1125	1998-04-25	PRIJEM	VKLAD	12897	66130	\N	\N	\N
330063	1125	1998-02-07	VYDAJ	VYBER	7700	52691	\N	\N	0
330064	1125	1998-02-23	VYDAJ	VYBER	8200	13324	\N	\N	0
330065	1125	1998-04-10	VYDAJ	VYBER	4400	59912	\N	\N	0
330066	1125	1998-05-23	VYDAJ	VYBER	7200	33708	\N	\N	0
330067	1125	1998-06-10	VYDAJ	VYBER	6300	15483	\N	\N	0
330069	1125	1998-08-11	VYDAJ	VYBER	6800	63358	\N	\N	0
330070	1125	1998-09-14	VYDAJ	VYBER	7300	92804	\N	\N	0
330071	1125	1998-10-13	VYDAJ	VYBER	8100	61536	\N	\N	0
330072	1125	1998-11-26	VYDAJ	VYBER	6300	45770	\N	\N	0
330073	1125	1998-12-25	VYDAJ	VYBER	8600	46060	\N	\N	0
330087	1125	1998-02-07	VYDAJ	PREVOD NA UCET	11827	40864	SIPO	ST	79252308
330088	1125	1998-03-07	VYDAJ	PREVOD NA UCET	11827	1592	SIPO	ST	79252308
330089	1125	1998-04-07	VYDAJ	PREVOD NA UCET	11827	64551	SIPO	ST	79252308
330090	1125	1998-05-07	VYDAJ	PREVOD NA UCET	11827	53340	SIPO	ST	79252308
330091	1125	1998-06-07	VYDAJ	PREVOD NA UCET	11827	22022	SIPO	ST	79252308
330092	1125	1998-07-07	VYDAJ	PREVOD NA UCET	11827	11624	SIPO	ST	79252308
330093	1125	1998-08-07	VYDAJ	PREVOD NA UCET	11827	67001	SIPO	ST	79252308
330094	1125	1998-09-07	VYDAJ	PREVOD NA UCET	11827	60455	SIPO	ST	79252308
330095	1125	1998-10-07	VYDAJ	PREVOD NA UCET	11827	69875	SIPO	ST	79252308
330096	1125	1998-11-07	VYDAJ	PREVOD NA UCET	11827	56408	SIPO	ST	79252308
330097	1125	1998-12-07	VYDAJ	PREVOD NA UCET	11827	19105	SIPO	ST	79252308
330111	1125	1998-02-08	VYDAJ	PREVOD NA UCET	238	40626	 	UV	34524190
330112	1125	1998-03-08	VYDAJ	PREVOD NA UCET	238	1354	 	UV	34524190
330113	1125	1998-04-08	VYDAJ	PREVOD NA UCET	238	64313	 	UV	34524190
330114	1125	1998-05-08	VYDAJ	PREVOD NA UCET	238	53102	 	UV	34524190
330115	1125	1998-06-08	VYDAJ	PREVOD NA UCET	238	21784	 	UV	34524190
330116	1125	1998-07-08	VYDAJ	PREVOD NA UCET	238	11386	 	UV	34524190
330117	1125	1998-08-08	VYDAJ	PREVOD NA UCET	238	66763	 	UV	34524190
330118	1125	1998-09-08	VYDAJ	PREVOD NA UCET	238	60217	 	UV	34524190
330119	1125	1998-10-08	VYDAJ	PREVOD NA UCET	238	69637	 	UV	34524190
330120	1125	1998-11-08	VYDAJ	PREVOD NA UCET	238	56170	 	UV	34524190
330121	1125	1998-12-08	VYDAJ	PREVOD NA UCET	238	18867	 	UV	34524190
330135	1125	1998-02-09	VYDAJ	PREVOD NA UCET	1	40625	POJISTNE	YZ	64038717
330136	1125	1998-03-09	VYDAJ	PREVOD NA UCET	1	1353	POJISTNE	YZ	64038717
330137	1125	1998-04-09	VYDAJ	PREVOD NA UCET	1	64312	POJISTNE	YZ	64038717
330138	1125	1998-05-09	VYDAJ	PREVOD NA UCET	1	34881	POJISTNE	YZ	64038717
330139	1125	1998-06-09	VYDAJ	PREVOD NA UCET	1	21783	POJISTNE	YZ	64038717
330140	1125	1998-07-09	VYDAJ	PREVOD NA UCET	1	11385	POJISTNE	YZ	64038717
330141	1125	1998-08-09	VYDAJ	PREVOD NA UCET	1	66762	POJISTNE	YZ	64038717
330142	1125	1998-09-09	VYDAJ	PREVOD NA UCET	1	60216	POJISTNE	YZ	64038717
330143	1125	1998-10-09	VYDAJ	PREVOD NA UCET	1	69636	POJISTNE	YZ	64038717
330144	1125	1998-11-09	VYDAJ	PREVOD NA UCET	1	56169	POJISTNE	YZ	64038717
330145	1125	1998-12-09	VYDAJ	PREVOD NA UCET	1	18866	POJISTNE	YZ	64038717
330146	1125	1998-11-21	VYBER	VYBER	15954	34415	\N	\N	\N
330148	1125	1998-05-09	VYBER	VYBER	18220	34882	\N	\N	\N
330151	1125	1998-02-13	VYBER	VYBER	20001	20624	\N	\N	\N
330153	1125	1998-08-16	VYBER	VYBER	5823	57535	\N	\N	\N
330155	1125	1998-10-19	VYBER	VYBER	21157	26779	\N	\N	\N
330156	1125	1998-07-31	VYBER	VYBER	5226	78858	\N	\N	\N
330157	1125	1998-07-30	VYBER	VYBER	9505	83935	\N	\N	\N
330158	1125	1998-12-22	VYBER	VYBER	8497	54660	\N	\N	\N
330160	1125	1998-12-05	VYDAJ	VYBER	2400	30932	\N	\N	\N
330177	1125	1998-11-30	VYDAJ	VYBER	9600	36332	\N	\N	\N
330178	1125	1998-12-05	VYDAJ	VYBER	3000	33332	\N	\N	\N
330194	1125	1998-02-28	VYDAJ	VYBER	30	13419	SLUZBY	\N	\N
330195	1125	1998-03-31	VYDAJ	VYBER	30	76378	SLUZBY	\N	\N
330196	1125	1998-04-30	VYDAJ	VYBER	30	54073	SLUZBY	\N	\N
330197	1125	1998-05-31	VYDAJ	VYBER	30	33849	SLUZBY	\N	\N
330198	1125	1998-06-30	VYDAJ	VYBER	30	23451	SLUZBY	\N	\N
330199	1125	1998-07-31	VYDAJ	VYBER	30	78828	SLUZBY	\N	\N
330200	1125	1998-08-31	VYDAJ	VYBER	30	72282	SLUZBY	\N	\N
330201	1125	1998-09-30	VYDAJ	VYBER	30	65482	SLUZBY	\N	\N
330202	1125	1998-10-31	VYDAJ	VYBER	30	26950	SLUZBY	\N	\N
330203	1125	1998-11-30	VYDAJ	VYBER	30	45932	SLUZBY	\N	\N
330204	1125	1997-12-21	PRIJEM	VKLAD	10500	11400	\N	\N	\N
330205	1125	1998-01-17	VYDAJ	VYBER	36100	73379	\N	\N	\N
330206	1125	1998-01-19	VYDAJ	VYBER	53900	68337	\N	\N	\N
330207	1125	1998-01-20	VYDAJ	VYBER	20100	48237	\N	\N	\N
330208	1125	1998-02-19	PRIJEM	VKLAD	900	21524	\N	\N	\N
330209	1125	1998-03-21	VYDAJ	VYBER	9400	41103	\N	\N	\N
330210	1125	1998-04-20	VYDAJ	VYBER	22300	53233	\N	\N	\N
330211	1125	1998-04-29	VYDAJ	VYBER	59700	53827	\N	\N	\N
330212	1125	1998-05-20	VYDAJ	VYBER	400	40908	\N	\N	\N
330213	1125	1998-06-19	PRIJEM	VKLAD	7900	23383	\N	\N	\N
330214	1125	1998-07-19	PRIJEM	VKLAD	14800	26185	\N	\N	\N
330215	1125	1998-08-10	VYDAJ	VYBER	34200	118658	\N	\N	\N
330216	1125	1998-08-10	VYDAJ	VYBER	48500	70158	\N	\N	\N
330217	1125	1998-08-18	VYDAJ	VYBER	31300	72006	\N	\N	\N
330218	1125	1998-09-17	VYDAJ	VYBER	27600	65204	\N	\N	\N
330219	1125	1998-10-17	VYDAJ	VYBER	13600	47936	\N	\N	\N
330220	1125	1998-11-16	VYDAJ	VYBER	5800	50369	\N	\N	\N
330221	1125	1998-12-16	PRIJEM	VKLAD	8300	32917	\N	\N	\N
330234	1126	1993-03-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
330238	1126	1993-04-05	PRIJEM	VKLAD	4187	5287	\N	\N	\N
330239	1126	1993-05-05	PRIJEM	VKLAD	4187	17017	\N	\N	\N
330240	1126	1993-06-05	PRIJEM	VKLAD	6280	27077	\N	\N	\N
330241	1126	1993-07-05	PRIJEM	VKLAD	4187	29566	\N	\N	\N
330242	1126	1993-08-05	PRIJEM	VKLAD	4187	31364	\N	\N	\N
330243	1126	1993-09-05	PRIJEM	VKLAD	4187	29750	\N	\N	\N
330244	1126	1993-10-05	PRIJEM	VKLAD	4187	29844	\N	\N	\N
330245	1126	1993-11-05	PRIJEM	VKLAD	4187	25137	\N	\N	\N
330246	1126	1993-12-05	PRIJEM	VKLAD	6280	26795	\N	\N	\N
330247	1126	1994-01-05	PRIJEM	VKLAD	4187	24875	\N	\N	\N
330248	1126	1994-02-05	PRIJEM	VKLAD	4187	25432	\N	\N	\N
330249	1126	1994-03-05	PRIJEM	VKLAD	4187	30505	\N	\N	\N
330250	1126	1994-04-05	PRIJEM	VKLAD	4187	31699	\N	\N	\N
330251	1126	1994-05-05	PRIJEM	VKLAD	4187	30599	\N	\N	\N
330252	1126	1994-06-05	PRIJEM	VKLAD	6280	31192	\N	\N	\N
330253	1126	1994-07-05	PRIJEM	VKLAD	4187	33992	\N	\N	\N
330254	1126	1994-08-05	PRIJEM	VKLAD	4187	32903	\N	\N	\N
330255	1126	1994-09-05	PRIJEM	VKLAD	4187	35108	\N	\N	\N
330256	1126	1994-10-05	PRIJEM	VKLAD	4187	35022	\N	\N	\N
330257	1126	1994-11-05	PRIJEM	VKLAD	4187	32334	\N	\N	\N
330258	1126	1994-12-05	PRIJEM	VKLAD	6280	37430	\N	\N	\N
330259	1126	1995-01-05	PRIJEM	VKLAD	4187	34246	\N	\N	\N
330260	1126	1995-02-05	PRIJEM	VKLAD	4187	28938	\N	\N	\N
330261	1126	1995-03-05	PRIJEM	VKLAD	4187	29215	\N	\N	\N
330262	1126	1995-04-05	PRIJEM	VKLAD	4187	30304	\N	\N	\N
330263	1126	1995-05-05	PRIJEM	VKLAD	4187	35599	\N	\N	\N
330264	1126	1995-06-05	PRIJEM	VKLAD	6280	39608	\N	\N	\N
330265	1126	1995-07-05	PRIJEM	VKLAD	4187	34020	\N	\N	\N
330266	1126	1995-08-05	PRIJEM	VKLAD	4187	38231	\N	\N	\N
330267	1126	1995-09-05	PRIJEM	VKLAD	4187	41259	\N	\N	\N
330268	1126	1995-10-05	PRIJEM	VKLAD	4187	43198	\N	\N	\N
330269	1126	1995-11-05	PRIJEM	VKLAD	4187	45146	\N	\N	\N
330270	1126	1995-12-05	PRIJEM	VKLAD	6280	48994	\N	\N	\N
330271	1126	1996-01-05	PRIJEM	VKLAD	4187	41249	\N	\N	\N
330272	1126	1996-02-05	PRIJEM	VKLAD	4187	33072	\N	\N	\N
330273	1126	1996-03-05	PRIJEM	VKLAD	4187	41686	\N	\N	\N
330274	1126	1996-04-05	PRIJEM	VKLAD	4187	48634	\N	\N	\N
330275	1126	1996-05-05	PRIJEM	VKLAD	4187	49202	\N	\N	\N
330276	1126	1996-06-05	PRIJEM	VKLAD	6280	51364	\N	\N	\N
330277	1126	1996-07-05	PRIJEM	VKLAD	4187	51137	\N	\N	\N
330278	1126	1996-08-05	PRIJEM	VKLAD	4187	52316	\N	\N	\N
330279	1126	1996-09-05	PRIJEM	VKLAD	4187	54401	\N	\N	\N
330280	1126	1996-10-05	PRIJEM	VKLAD	4187	56499	\N	\N	\N
330281	1126	1996-11-05	PRIJEM	VKLAD	4187	54500	\N	\N	\N
330282	1126	1996-12-05	PRIJEM	VKLAD	6280	58186	\N	\N	\N
330283	1126	1997-01-05	PRIJEM	VKLAD	4187	52583	\N	\N	\N
330284	1126	1997-02-05	PRIJEM	VKLAD	4187	45359	\N	\N	\N
330285	1126	1997-03-05	PRIJEM	VKLAD	4187	50021	\N	\N	\N
330286	1126	1997-04-05	PRIJEM	VKLAD	4187	54601	\N	\N	\N
330287	1126	1997-05-05	PRIJEM	VKLAD	4187	55796	\N	\N	\N
330288	1126	1997-06-05	PRIJEM	VKLAD	6280	59487	\N	\N	\N
330289	1126	1997-07-05	PRIJEM	VKLAD	4187	55588	\N	\N	\N
330290	1126	1997-08-05	PRIJEM	VKLAD	4187	59490	\N	\N	\N
330291	1126	1997-09-05	PRIJEM	VKLAD	4187	60803	\N	\N	\N
330292	1126	1997-10-05	PRIJEM	VKLAD	4187	58812	\N	\N	\N
330293	1126	1997-11-05	PRIJEM	VKLAD	4187	58618	\N	\N	\N
330294	1126	1997-12-05	PRIJEM	VKLAD	6280	60619	\N	\N	\N
330295	1126	1998-01-05	PRIJEM	VKLAD	4187	52622	\N	\N	\N
330296	1126	1998-02-05	PRIJEM	VKLAD	4187	43184	\N	\N	\N
330297	1126	1998-03-05	PRIJEM	VKLAD	4187	46333	\N	\N	\N
330298	1126	1998-04-05	PRIJEM	VKLAD	4187	53207	\N	\N	\N
330299	1126	1998-05-05	PRIJEM	VKLAD	4187	58002	\N	\N	\N
330300	1126	1998-06-05	PRIJEM	VKLAD	6280	61600	\N	\N	\N
330301	1126	1998-07-05	PRIJEM	VKLAD	4187	29830	\N	\N	\N
330302	1126	1998-08-05	PRIJEM	VKLAD	4187	43856	\N	\N	\N
330303	1126	1998-09-05	PRIJEM	VKLAD	4187	52425	\N	\N	\N
330304	1126	1998-10-05	PRIJEM	VKLAD	4187	56717	\N	\N	\N
330305	1126	1998-11-05	PRIJEM	VKLAD	4187	53503	\N	\N	\N
330306	1126	1998-12-05	PRIJEM	VKLAD	6280	54676	\N	\N	\N
330314	1126	1993-08-11	VYDAJ	PREVOD NA UCET	2791	22973	SIPO	WX	12984758
330315	1126	1993-09-11	VYDAJ	PREVOD NA UCET	2791	26959	SIPO	WX	12984758
330316	1126	1993-10-11	VYDAJ	PREVOD NA UCET	2791	27053	SIPO	WX	12984758
330317	1126	1993-11-11	VYDAJ	PREVOD NA UCET	2791	22346	SIPO	WX	12984758
330318	1126	1993-12-11	VYDAJ	PREVOD NA UCET	2791	24004	SIPO	WX	12984758
330319	1126	1994-01-11	VYDAJ	PREVOD NA UCET	2791	19284	SIPO	WX	12984758
330320	1126	1994-02-11	VYDAJ	PREVOD NA UCET	2791	22641	SIPO	WX	12984758
330321	1126	1994-03-11	VYDAJ	PREVOD NA UCET	2791	27714	SIPO	WX	12984758
330322	1126	1994-04-11	VYDAJ	PREVOD NA UCET	2791	28908	SIPO	WX	12984758
330323	1126	1994-05-11	VYDAJ	PREVOD NA UCET	2791	27808	SIPO	WX	12984758
330324	1126	1994-06-11	VYDAJ	PREVOD NA UCET	2791	28401	SIPO	WX	12984758
330325	1126	1994-07-11	VYDAJ	PREVOD NA UCET	2791	31201	SIPO	WX	12984758
330326	1126	1994-08-11	VYDAJ	PREVOD NA UCET	2791	30112	SIPO	WX	12984758
330327	1126	1994-09-11	VYDAJ	PREVOD NA UCET	2791	32317	SIPO	WX	12984758
330328	1126	1994-10-11	VYDAJ	PREVOD NA UCET	2791	32231	SIPO	WX	12984758
330329	1126	1994-11-11	VYDAJ	PREVOD NA UCET	2791	29543	SIPO	WX	12984758
330330	1126	1994-12-11	VYDAJ	PREVOD NA UCET	2791	34639	SIPO	WX	12984758
330331	1126	1995-01-11	VYDAJ	PREVOD NA UCET	2791	31455	SIPO	WX	12984758
330332	1126	1995-02-11	VYDAJ	PREVOD NA UCET	2791	23747	SIPO	WX	12984758
330333	1126	1995-03-11	VYDAJ	PREVOD NA UCET	2791	26424	SIPO	WX	12984758
330334	1126	1995-04-11	VYDAJ	PREVOD NA UCET	2791	27513	SIPO	WX	12984758
330335	1126	1995-05-11	VYDAJ	PREVOD NA UCET	2791	32808	SIPO	WX	12984758
330336	1126	1995-06-11	VYDAJ	PREVOD NA UCET	2791	30517	SIPO	WX	12984758
330337	1126	1995-07-11	VYDAJ	PREVOD NA UCET	2791	31229	SIPO	WX	12984758
330338	1126	1995-08-11	VYDAJ	PREVOD NA UCET	2791	35440	SIPO	WX	12984758
330339	1126	1995-09-11	VYDAJ	PREVOD NA UCET	2791	38468	SIPO	WX	12984758
330340	1126	1995-10-11	VYDAJ	PREVOD NA UCET	2791	40407	SIPO	WX	12984758
330341	1126	1995-11-11	VYDAJ	PREVOD NA UCET	2791	42355	SIPO	WX	12984758
330342	1126	1995-12-11	VYDAJ	PREVOD NA UCET	2791	43603	SIPO	WX	12984758
330343	1126	1996-01-11	VYDAJ	PREVOD NA UCET	2791	38458	SIPO	WX	12984758
330344	1126	1996-02-11	VYDAJ	PREVOD NA UCET	2791	30281	SIPO	WX	12984758
330345	1126	1996-03-11	VYDAJ	PREVOD NA UCET	2791	38895	SIPO	WX	12984758
330346	1126	1996-04-11	VYDAJ	PREVOD NA UCET	2791	45843	SIPO	WX	12984758
330347	1126	1996-05-11	VYDAJ	PREVOD NA UCET	2791	46411	SIPO	WX	12984758
330348	1126	1996-06-11	VYDAJ	PREVOD NA UCET	2791	42773	SIPO	WX	12984758
330349	1126	1996-07-11	VYDAJ	PREVOD NA UCET	2791	48346	SIPO	WX	12984758
330350	1126	1996-08-11	VYDAJ	PREVOD NA UCET	2791	49525	SIPO	WX	12984758
330351	1126	1996-09-11	VYDAJ	PREVOD NA UCET	2791	51610	SIPO	WX	12984758
330352	1126	1996-10-11	VYDAJ	PREVOD NA UCET	2791	53708	SIPO	WX	12984758
330353	1126	1996-11-11	VYDAJ	PREVOD NA UCET	2791	51709	SIPO	WX	12984758
330354	1126	1996-12-11	VYDAJ	PREVOD NA UCET	2791	55395	SIPO	WX	12984758
330355	1126	1997-01-11	VYDAJ	PREVOD NA UCET	2791	47292	SIPO	WX	12984758
330356	1126	1997-02-11	VYDAJ	PREVOD NA UCET	2791	42568	SIPO	WX	12984758
330357	1126	1997-03-11	VYDAJ	PREVOD NA UCET	2791	47230	SIPO	WX	12984758
330358	1126	1997-04-11	VYDAJ	PREVOD NA UCET	2791	51810	SIPO	WX	12984758
330359	1126	1997-05-11	VYDAJ	PREVOD NA UCET	2791	53005	SIPO	WX	12984758
330360	1126	1997-06-11	VYDAJ	PREVOD NA UCET	2791	56696	SIPO	WX	12984758
330361	1126	1997-07-11	VYDAJ	PREVOD NA UCET	2791	52797	SIPO	WX	12984758
330362	1126	1997-08-11	VYDAJ	PREVOD NA UCET	2791	56699	SIPO	WX	12984758
330363	1126	1997-09-11	VYDAJ	PREVOD NA UCET	2791	58012	SIPO	WX	12984758
330474	1126	1994-12-31	VYDAJ	VYBER	15	30059	SLUZBY	\N	\N
330364	1126	1997-10-11	VYDAJ	PREVOD NA UCET	2791	56021	SIPO	WX	12984758
330365	1126	1997-11-11	VYDAJ	PREVOD NA UCET	2791	55827	SIPO	WX	12984758
330366	1126	1997-12-11	VYDAJ	PREVOD NA UCET	2791	57828	SIPO	WX	12984758
330367	1126	1998-01-11	VYDAJ	PREVOD NA UCET	2791	46331	SIPO	WX	12984758
330368	1126	1998-02-11	VYDAJ	PREVOD NA UCET	2791	41993	SIPO	WX	12984758
330369	1126	1998-03-11	VYDAJ	PREVOD NA UCET	2791	42242	SIPO	WX	12984758
330370	1126	1998-04-11	VYDAJ	PREVOD NA UCET	2791	53616	SIPO	WX	12984758
330371	1126	1998-05-11	VYDAJ	PREVOD NA UCET	2791	55211	SIPO	WX	12984758
330372	1126	1998-06-11	VYDAJ	PREVOD NA UCET	2791	54509	SIPO	WX	12984758
330373	1126	1998-07-11	VYDAJ	PREVOD NA UCET	2791	39539	SIPO	WX	12984758
330374	1126	1998-08-11	VYDAJ	PREVOD NA UCET	2791	48065	SIPO	WX	12984758
330375	1126	1998-09-11	VYDAJ	PREVOD NA UCET	2791	52334	SIPO	WX	12984758
330376	1126	1998-10-11	VYDAJ	PREVOD NA UCET	2791	49126	SIPO	WX	12984758
330377	1126	1998-11-11	VYDAJ	PREVOD NA UCET	2791	48212	SIPO	WX	12984758
330378	1126	1998-12-11	VYDAJ	PREVOD NA UCET	2791	53485	SIPO	WX	12984758
330381	1126	1995-06-06	VYDAJ	VYBER	6300	33308	\N	\N	\N
330382	1126	1996-06-05	VYDAJ	VYBER	5800	45564	\N	\N	\N
330383	1126	1997-06-19	VYDAJ	VYBER	5800	51196	\N	\N	\N
330384	1126	1998-06-12	VYDAJ	VYBER	29000	25509	\N	\N	\N
330385	1126	1993-12-23	VYDAJ	VYBER	500	23504	\N	\N	\N
330386	1126	1994-12-16	VYDAJ	VYBER	1400	33239	\N	\N	\N
330387	1126	1995-12-09	VYDAJ	VYBER	2600	46394	\N	\N	\N
330388	1126	1996-12-21	VYDAJ	VYBER	2300	50895	\N	\N	\N
330389	1126	1997-12-20	VYDAJ	VYBER	2000	50928	\N	\N	\N
330390	1126	1998-12-06	VYDAJ	VYBER	1400	53276	\N	\N	\N
330397	1126	1994-01-16	VYDAJ	VYBER	1600	17684	\N	\N	\N
330398	1126	1994-01-21	VYDAJ	VYBER	2700	14984	\N	\N	\N
330399	1126	1994-01-28	VYDAJ	VYBER	2100	12884	\N	\N	\N
330400	1126	1994-01-06	VYDAJ	VYBER	700	22075	\N	\N	\N
330401	1126	1994-01-04	VYDAJ	VYBER	2700	20688	\N	\N	\N
330402	1126	1994-01-05	VYDAJ	VYBER	2100	22775	\N	\N	\N
330403	1126	1995-01-25	VYDAJ	VYBER	1400	21455	\N	\N	\N
330404	1126	1995-01-15	VYDAJ	VYBER	1500	25555	\N	\N	\N
330405	1126	1995-01-12	VYDAJ	VYBER	2000	29455	\N	\N	\N
330406	1126	1995-01-19	VYDAJ	VYBER	800	22855	\N	\N	\N
330407	1126	1995-01-13	VYDAJ	VYBER	2400	27055	\N	\N	\N
330408	1126	1995-01-19	VYDAJ	VYBER	1900	23655	\N	\N	\N
330409	1126	1996-01-24	VYDAJ	VYBER	2800	33958	\N	\N	\N
330410	1126	1996-01-21	VYDAJ	VYBER	1100	30758	\N	\N	\N
330411	1126	1996-01-13	VYDAJ	VYBER	2500	35958	\N	\N	\N
330412	1126	1996-01-26	VYDAJ	VYBER	2900	29258	\N	\N	\N
330413	1126	1996-01-26	VYDAJ	VYBER	1800	32158	\N	\N	\N
330414	1126	1996-01-29	VYDAJ	VYBER	500	28758	\N	\N	\N
330415	1126	1997-01-23	VYDAJ	VYBER	2800	42092	\N	\N	\N
330416	1126	1997-01-25	VYDAJ	VYBER	1100	40992	\N	\N	\N
330417	1126	1997-01-20	VYDAJ	VYBER	2600	47292	\N	\N	\N
330418	1126	1997-01-22	VYDAJ	VYBER	2400	44892	\N	\N	\N
330419	1126	1997-01-05	VYDAJ	VYBER	2500	50083	\N	\N	\N
330420	1126	1997-01-03	VYDAJ	VYBER	2200	48396	\N	\N	\N
330421	1126	1998-01-06	VYDAJ	VYBER	2400	50222	\N	\N	\N
330422	1126	1998-01-14	VYDAJ	VYBER	2800	43131	\N	\N	\N
330423	1126	1998-01-19	VYDAJ	VYBER	1800	41331	\N	\N	\N
330424	1126	1998-01-20	VYDAJ	VYBER	2500	38831	\N	\N	\N
330425	1126	1998-01-02	VYDAJ	VYBER	2700	48435	\N	\N	\N
330426	1126	1998-01-08	VYDAJ	VYBER	1100	49122	\N	\N	\N
330427	1126	1993-10-29	VYDAJ	VYBER	4600	21153	\N	\N	\N
330428	1126	1993-10-23	VYDAJ	VYBER	1300	25753	\N	\N	\N
330431	1126	1993-11-12	VYDAJ	VYBER	4300	18046	\N	\N	\N
330432	1126	1994-10-30	VYDAJ	VYBER	3400	28031	\N	\N	\N
330433	1126	1994-03-27	VYDAJ	VYBER	3100	24614	\N	\N	\N
330434	1126	1994-04-19	VYDAJ	VYBER	700	28208	\N	\N	\N
330436	1126	1994-06-12	VYDAJ	VYBER	700	27701	\N	\N	\N
330437	1126	1995-02-05	VYDAJ	VYBER	2400	26538	\N	\N	\N
330438	1126	1995-02-13	VYDAJ	VYBER	3000	20747	\N	\N	\N
330439	1126	1995-02-21	VYDAJ	VYBER	4000	16747	\N	\N	\N
330440	1126	1995-12-24	VYDAJ	VYBER	3500	36903	\N	\N	\N
330441	1126	1996-01-17	VYDAJ	VYBER	4100	31858	\N	\N	\N
330442	1126	1996-10-04	VYDAJ	VYBER	2200	52312	\N	\N	\N
330443	1126	1996-12-23	VYDAJ	VYBER	500	50395	\N	\N	\N
330444	1126	1996-10-23	VYDAJ	VYBER	1400	50108	\N	\N	\N
330445	1126	1997-04-24	VYDAJ	VYBER	2200	51410	\N	\N	\N
330446	1126	1997-02-11	VYDAJ	VYBER	4400	38168	\N	\N	\N
330447	1126	1997-12-02	VYDAJ	VYBER	1300	54339	\N	\N	\N
330448	1126	1998-03-05	VYDAJ	VYBER	1300	45033	\N	\N	\N
330449	1126	1998-07-08	VYDAJ	VYBER	1500	28330	\N	\N	\N
330458	1126	1993-08-31	VYDAJ	VYBER	15	23063	SLUZBY	\N	\N
330459	1126	1993-09-30	VYDAJ	VYBER	15	27057	SLUZBY	\N	\N
330460	1126	1993-10-31	VYDAJ	VYBER	15	21250	SLUZBY	\N	\N
330461	1126	1993-11-30	VYDAJ	VYBER	15	18115	SLUZBY	\N	\N
330462	1126	1993-12-31	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
330463	1126	1994-01-31	VYDAJ	VYBER	15	12945	SLUZBY	\N	\N
330464	1126	1994-02-28	VYDAJ	VYBER	15	22718	SLUZBY	\N	\N
330465	1126	1994-03-31	VYDAJ	VYBER	15	24712	SLUZBY	\N	\N
330466	1126	1994-04-30	VYDAJ	VYBER	15	28312	SLUZBY	\N	\N
330467	1126	1994-05-31	VYDAJ	VYBER	15	27912	SLUZBY	\N	\N
330468	1126	1994-06-30	VYDAJ	VYBER	15	27805	SLUZBY	\N	\N
330469	1126	1994-07-31	VYDAJ	VYBER	15	31316	SLUZBY	\N	\N
330470	1126	1994-08-31	VYDAJ	VYBER	15	30921	SLUZBY	\N	\N
330471	1126	1994-09-30	VYDAJ	VYBER	15	30835	SLUZBY	\N	\N
330472	1126	1994-10-31	VYDAJ	VYBER	15	28147	SLUZBY	\N	\N
330473	1126	1994-11-30	VYDAJ	VYBER	15	31150	SLUZBY	\N	\N
330475	1126	1995-01-31	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
330476	1126	1995-02-28	VYDAJ	VYBER	15	25028	SLUZBY	\N	\N
330477	1126	1995-03-31	VYDAJ	VYBER	15	26117	SLUZBY	\N	\N
330478	1126	1995-04-30	VYDAJ	VYBER	15	31412	SLUZBY	\N	\N
330479	1126	1995-05-31	VYDAJ	VYBER	15	33328	SLUZBY	\N	\N
330480	1126	1995-06-30	VYDAJ	VYBER	15	29833	SLUZBY	\N	\N
330481	1126	1995-07-31	VYDAJ	VYBER	15	34044	SLUZBY	\N	\N
330482	1126	1995-08-31	VYDAJ	VYBER	15	37072	SLUZBY	\N	\N
330483	1126	1995-09-30	VYDAJ	VYBER	15	39011	SLUZBY	\N	\N
330484	1126	1995-10-31	VYDAJ	VYBER	15	40959	SLUZBY	\N	\N
330485	1126	1995-11-30	VYDAJ	VYBER	15	42714	SLUZBY	\N	\N
330486	1126	1995-12-31	VYDAJ	VYBER	15	37062	SLUZBY	\N	\N
330487	1126	1996-01-31	VYDAJ	VYBER	15	28885	SLUZBY	\N	\N
330488	1126	1996-02-29	VYDAJ	VYBER	15	37499	SLUZBY	\N	\N
330489	1126	1996-03-31	VYDAJ	VYBER	15	44447	SLUZBY	\N	\N
330490	1126	1996-04-30	VYDAJ	VYBER	15	45015	SLUZBY	\N	\N
330491	1126	1996-05-31	VYDAJ	VYBER	15	45084	SLUZBY	\N	\N
330492	1126	1996-06-30	VYDAJ	VYBER	15	46950	SLUZBY	\N	\N
330493	1126	1996-07-31	VYDAJ	VYBER	15	48129	SLUZBY	\N	\N
330494	1126	1996-08-31	VYDAJ	VYBER	15	50214	SLUZBY	\N	\N
330495	1126	1996-09-30	VYDAJ	VYBER	15	54512	SLUZBY	\N	\N
330496	1126	1996-10-31	VYDAJ	VYBER	15	50313	SLUZBY	\N	\N
330497	1126	1996-11-30	VYDAJ	VYBER	15	51906	SLUZBY	\N	\N
330498	1126	1996-12-31	VYDAJ	VYBER	15	50596	SLUZBY	\N	\N
330499	1126	1997-01-31	VYDAJ	VYBER	15	41172	SLUZBY	\N	\N
330500	1126	1997-02-28	VYDAJ	VYBER	15	45834	SLUZBY	\N	\N
330501	1126	1997-03-31	VYDAJ	VYBER	15	50414	SLUZBY	\N	\N
330502	1126	1997-04-30	VYDAJ	VYBER	15	51609	SLUZBY	\N	\N
330503	1126	1997-05-31	VYDAJ	VYBER	15	53207	SLUZBY	\N	\N
330504	1126	1997-06-30	VYDAJ	VYBER	15	51401	SLUZBY	\N	\N
330505	1126	1997-07-31	VYDAJ	VYBER	15	55303	SLUZBY	\N	\N
330506	1126	1997-08-31	VYDAJ	VYBER	15	56616	SLUZBY	\N	\N
330507	1126	1997-09-30	VYDAJ	VYBER	15	54625	SLUZBY	\N	\N
330508	1126	1997-10-31	VYDAJ	VYBER	15	54431	SLUZBY	\N	\N
330509	1126	1997-11-30	VYDAJ	VYBER	15	55639	SLUZBY	\N	\N
330510	1126	1997-12-31	VYDAJ	VYBER	15	51135	SLUZBY	\N	\N
330511	1126	1998-01-31	VYDAJ	VYBER	15	38997	SLUZBY	\N	\N
330512	1126	1998-02-28	VYDAJ	VYBER	15	42146	SLUZBY	\N	\N
330513	1126	1998-03-31	VYDAJ	VYBER	15	49020	SLUZBY	\N	\N
330514	1126	1998-04-30	VYDAJ	VYBER	15	53815	SLUZBY	\N	\N
330515	1126	1998-05-31	VYDAJ	VYBER	15	55320	SLUZBY	\N	\N
330516	1126	1998-06-30	VYDAJ	VYBER	15	25643	SLUZBY	\N	\N
330517	1126	1998-07-31	VYDAJ	VYBER	15	39669	SLUZBY	\N	\N
330518	1126	1998-08-31	VYDAJ	VYBER	15	48238	SLUZBY	\N	\N
330519	1126	1998-09-30	VYDAJ	VYBER	15	52530	SLUZBY	\N	\N
330520	1126	1998-10-31	VYDAJ	VYBER	15	49316	SLUZBY	\N	\N
330521	1126	1998-11-30	VYDAJ	VYBER	15	48396	SLUZBY	\N	\N
330522	1126	1993-04-07	PRIJEM	VKLAD	7500	12787	\N	\N	\N
330523	1126	1993-05-07	PRIJEM	VKLAD	3700	20717	\N	\N	\N
330524	1126	1993-06-06	VYDAJ	VYBER	1800	25277	\N	\N	\N
330525	1126	1993-07-06	VYDAJ	VYBER	2500	27066	\N	\N	\N
330526	1126	1993-08-05	VYDAJ	VYBER	5600	25764	\N	\N	\N
330527	1126	1993-09-04	PRIJEM	VKLAD	2500	25563	\N	\N	\N
330528	1126	1993-10-04	VYDAJ	VYBER	1400	25657	\N	\N	\N
330529	1126	1993-11-03	VYDAJ	VYBER	300	20950	\N	\N	\N
330530	1126	1993-12-03	PRIJEM	VKLAD	2400	20515	\N	\N	\N
330531	1126	1994-01-02	VYDAJ	VYBER	200	23388	\N	\N	\N
330532	1126	1994-02-01	PRIJEM	VKLAD	8300	21245	\N	\N	\N
330533	1126	1994-03-03	PRIJEM	VKLAD	3600	26318	\N	\N	\N
330534	1126	1994-04-02	PRIJEM	VKLAD	2800	27512	\N	\N	\N
330535	1126	1994-05-02	VYDAJ	VYBER	1900	26412	\N	\N	\N
330536	1126	1994-06-01	VYDAJ	VYBER	3000	24912	\N	\N	\N
330537	1126	1994-07-01	PRIJEM	VKLAD	2000	29805	\N	\N	\N
330538	1126	1994-07-31	VYDAJ	VYBER	2600	28716	\N	\N	\N
330539	1126	1994-08-30	PRIJEM	VKLAD	700	30812	\N	\N	\N
330540	1126	1994-09-29	VYDAJ	VYBER	1600	30717	\N	\N	\N
330541	1126	1994-10-29	VYDAJ	VYBER	800	31431	\N	\N	\N
330542	1126	1994-11-28	PRIJEM	VKLAD	1500	31043	\N	\N	\N
330543	1126	1994-12-28	VYDAJ	VYBER	3300	29939	\N	\N	\N
330544	1126	1995-01-27	PRIJEM	VKLAD	3200	24655	\N	\N	\N
330545	1126	1995-02-26	PRIJEM	VKLAD	8200	24947	\N	\N	\N
330546	1126	1995-03-28	VYDAJ	VYBER	400	26024	\N	\N	\N
330547	1126	1995-04-27	PRIJEM	VKLAD	3800	31313	\N	\N	\N
330548	1126	1995-05-27	PRIJEM	VKLAD	400	33208	\N	\N	\N
330549	1126	1995-06-26	VYDAJ	VYBER	800	29717	\N	\N	\N
330550	1126	1995-07-26	PRIJEM	VKLAD	2700	33929	\N	\N	\N
330551	1126	1995-08-25	PRIJEM	VKLAD	1500	36940	\N	\N	\N
330552	1126	1995-09-24	PRIJEM	VKLAD	400	38868	\N	\N	\N
330553	1126	1995-10-24	PRIJEM	VKLAD	400	40807	\N	\N	\N
330554	1126	1995-11-23	PRIJEM	VKLAD	200	42555	\N	\N	\N
330555	1126	1995-12-23	VYDAJ	VYBER	3200	40403	\N	\N	\N
330556	1126	1996-01-22	PRIJEM	VKLAD	6000	36758	\N	\N	\N
330557	1126	1996-02-21	PRIJEM	VKLAD	7100	37381	\N	\N	\N
330558	1126	1996-03-22	PRIJEM	VKLAD	5400	44295	\N	\N	\N
330559	1126	1996-04-21	VYDAJ	VYBER	1000	44843	\N	\N	\N
330560	1126	1996-05-21	VYDAJ	VYBER	1500	44911	\N	\N	\N
330561	1126	1996-06-20	PRIJEM	VKLAD	4000	46773	\N	\N	\N
330562	1126	1996-07-20	VYDAJ	VYBER	400	47946	\N	\N	\N
330563	1126	1996-08-19	PRIJEM	VKLAD	500	50025	\N	\N	\N
330564	1126	1996-09-18	PRIJEM	VKLAD	2700	54310	\N	\N	\N
330565	1126	1996-10-18	VYDAJ	VYBER	2200	51508	\N	\N	\N
330566	1126	1996-12-17	VYDAJ	VYBER	2200	53195	\N	\N	\N
330567	1126	1997-01-16	PRIJEM	VKLAD	2600	49892	\N	\N	\N
330568	1126	1997-02-15	PRIJEM	VKLAD	7500	45668	\N	\N	\N
330569	1126	1997-03-17	PRIJEM	VKLAD	3000	50230	\N	\N	\N
330570	1126	1997-04-16	PRIJEM	VKLAD	1800	53610	\N	\N	\N
330571	1126	1997-06-15	PRIJEM	VKLAD	300	56996	\N	\N	\N
330572	1126	1997-07-15	PRIJEM	VKLAD	2300	55097	\N	\N	\N
330573	1126	1997-08-14	VYDAJ	VYBER	300	56399	\N	\N	\N
330574	1126	1997-09-13	VYDAJ	VYBER	3600	54412	\N	\N	\N
330575	1126	1997-10-13	VYDAJ	VYBER	1800	54221	\N	\N	\N
330576	1126	1997-11-12	VYDAJ	VYBER	400	55427	\N	\N	\N
330577	1126	1997-12-12	VYDAJ	VYBER	4900	52928	\N	\N	\N
330578	1126	1998-01-11	VYDAJ	VYBER	400	45931	\N	\N	\N
330579	1126	1998-02-10	PRIJEM	VKLAD	1600	44784	\N	\N	\N
330580	1126	1998-03-12	PRIJEM	VKLAD	6600	48842	\N	\N	\N
330581	1126	1998-04-11	PRIJEM	VKLAD	3200	56407	\N	\N	\N
330582	1126	1998-05-11	VYDAJ	VYBER	100	55111	\N	\N	\N
330583	1126	1998-06-10	VYDAJ	VYBER	4300	57300	\N	\N	\N
330584	1126	1998-07-10	PRIJEM	VKLAD	14000	42330	\N	\N	\N
330585	1126	1998-08-09	PRIJEM	VKLAD	7000	50856	\N	\N	\N
330586	1126	1998-09-08	PRIJEM	VKLAD	2700	55125	\N	\N	\N
330587	1126	1998-10-08	VYDAJ	VYBER	4800	51917	\N	\N	\N
330588	1126	1998-11-07	VYDAJ	VYBER	2500	51003	\N	\N	\N
330589	1126	1998-12-07	PRIJEM	VKLAD	3000	56276	\N	\N	\N
330659	1127	1993-01-27	PRIJEM	VKLAD	600	600	\N	\N	\N
330661	1127	1993-02-05	PRIJEM	VKLAD	23330	23930	\N	\N	\N
330662	1127	1993-03-05	PRIJEM	VKLAD	23330	49072	\N	\N	\N
330663	1127	1993-04-05	PRIJEM	VKLAD	23330	57713	\N	\N	\N
330664	1127	1993-05-05	PRIJEM	VKLAD	23330	66191	\N	\N	\N
330665	1127	1993-06-05	PRIJEM	VKLAD	34995	79365	\N	\N	\N
330666	1127	1993-07-05	PRIJEM	VKLAD	23330	65957	\N	\N	\N
330667	1127	1993-08-05	PRIJEM	VKLAD	23330	61216	\N	\N	\N
330668	1127	1993-09-05	PRIJEM	VKLAD	23330	61464	\N	\N	\N
330669	1127	1993-10-05	PRIJEM	VKLAD	23330	65115	\N	\N	\N
330670	1127	1993-11-05	PRIJEM	VKLAD	23330	62378	\N	\N	\N
330671	1127	1993-12-05	PRIJEM	VKLAD	34995	73510	\N	\N	\N
330672	1127	1994-01-05	PRIJEM	VKLAD	23330	68487	\N	\N	\N
330673	1127	1994-02-05	PRIJEM	VKLAD	23330	62450	\N	\N	\N
330674	1127	1994-03-05	PRIJEM	VKLAD	23330	63495	\N	\N	\N
330675	1127	1994-04-05	PRIJEM	VKLAD	23330	63240	\N	\N	\N
330676	1127	1994-05-05	PRIJEM	VKLAD	23330	66594	\N	\N	\N
330677	1127	1994-06-05	PRIJEM	VKLAD	34995	81526	\N	\N	\N
330678	1127	1994-07-05	PRIJEM	VKLAD	23330	59271	\N	\N	\N
330679	1127	1994-08-05	PRIJEM	VKLAD	23330	65009	\N	\N	\N
330680	1127	1994-09-05	PRIJEM	VKLAD	23330	67464	\N	\N	\N
330681	1127	1994-10-05	PRIJEM	VKLAD	23330	68225	\N	\N	\N
330682	1127	1994-11-05	PRIJEM	VKLAD	23330	70091	\N	\N	\N
330683	1127	1994-12-05	PRIJEM	VKLAD	34995	84429	\N	\N	\N
330684	1127	1995-01-05	PRIJEM	VKLAD	23330	77835	\N	\N	\N
330685	1127	1995-02-05	PRIJEM	VKLAD	23330	67529	\N	\N	\N
330686	1127	1995-03-05	PRIJEM	VKLAD	23330	70688	\N	\N	\N
330687	1127	1995-04-05	PRIJEM	VKLAD	23330	74265	\N	\N	\N
330688	1127	1995-05-05	PRIJEM	VKLAD	23330	74749	\N	\N	\N
330689	1127	1995-06-05	PRIJEM	VKLAD	34995	85196	\N	\N	\N
330690	1127	1995-07-05	PRIJEM	VKLAD	23330	69356	\N	\N	\N
330691	1127	1995-08-05	PRIJEM	VKLAD	23330	71219	\N	\N	\N
330692	1127	1995-09-05	PRIJEM	VKLAD	23330	76997	\N	\N	\N
330693	1127	1995-10-05	PRIJEM	VKLAD	23330	76181	\N	\N	\N
330694	1127	1995-11-05	PRIJEM	VKLAD	23330	80274	\N	\N	\N
330695	1127	1995-12-05	PRIJEM	VKLAD	34995	90332	\N	\N	\N
330696	1127	1996-01-05	PRIJEM	VKLAD	23330	80244	\N	\N	\N
330697	1127	1996-02-05	PRIJEM	VKLAD	23330	76245	\N	\N	\N
330698	1127	1996-03-05	PRIJEM	VKLAD	23330	78732	\N	\N	\N
330699	1127	1996-04-05	PRIJEM	VKLAD	23330	81427	\N	\N	\N
330700	1127	1996-05-05	PRIJEM	VKLAD	23330	83832	\N	\N	\N
330701	1127	1996-06-05	PRIJEM	VKLAD	34995	75009	\N	\N	\N
330702	1127	1996-07-05	PRIJEM	VKLAD	23330	76305	\N	\N	\N
330703	1127	1996-08-05	PRIJEM	VKLAD	23330	78087	\N	\N	\N
330704	1127	1996-09-05	PRIJEM	VKLAD	23330	76764	\N	\N	\N
330705	1127	1996-10-05	PRIJEM	VKLAD	23330	75937	\N	\N	\N
330706	1127	1996-11-05	PRIJEM	VKLAD	23330	75416	\N	\N	\N
330707	1127	1996-12-05	PRIJEM	VKLAD	34995	86952	\N	\N	\N
330708	1127	1997-01-05	PRIJEM	VKLAD	23330	73840	\N	\N	\N
330709	1127	1997-02-05	PRIJEM	VKLAD	23330	67003	\N	\N	\N
330710	1127	1997-03-05	PRIJEM	VKLAD	23330	69664	\N	\N	\N
330711	1127	1997-04-05	PRIJEM	VKLAD	23330	73122	\N	\N	\N
330712	1127	1997-05-05	PRIJEM	VKLAD	23330	73589	\N	\N	\N
330713	1127	1997-06-05	PRIJEM	VKLAD	34995	60825	\N	\N	\N
330714	1127	1997-07-05	PRIJEM	VKLAD	23330	71182	\N	\N	\N
330715	1127	1997-08-05	PRIJEM	VKLAD	23330	72857	\N	\N	\N
330716	1127	1997-09-05	PRIJEM	VKLAD	23330	80781	\N	\N	\N
330717	1127	1997-10-05	PRIJEM	VKLAD	23330	85042	\N	\N	\N
330718	1127	1997-11-05	PRIJEM	VKLAD	23330	86223	\N	\N	\N
330719	1127	1997-12-05	PRIJEM	VKLAD	34995	101172	\N	\N	\N
330720	1127	1998-01-05	PRIJEM	VKLAD	23330	94314	\N	\N	\N
330721	1127	1998-02-05	PRIJEM	VKLAD	23330	96311	\N	\N	\N
330722	1127	1998-03-05	PRIJEM	VKLAD	23330	96109	\N	\N	\N
330723	1127	1998-04-05	PRIJEM	VKLAD	23330	99337	\N	\N	\N
330724	1127	1998-05-05	PRIJEM	VKLAD	23330	98177	\N	\N	\N
330725	1127	1998-06-05	PRIJEM	VKLAD	34995	114672	\N	\N	\N
330726	1127	1998-07-05	PRIJEM	VKLAD	23330	107515	\N	\N	\N
330727	1127	1998-08-05	PRIJEM	VKLAD	23330	109158	\N	\N	\N
330728	1127	1998-09-05	PRIJEM	VKLAD	23330	108808	\N	\N	\N
330729	1127	1998-10-05	PRIJEM	VKLAD	23330	106353	\N	\N	\N
330730	1127	1998-11-05	PRIJEM	VKLAD	23330	107989	\N	\N	\N
330731	1127	1998-12-05	PRIJEM	VKLAD	34995	119594	\N	\N	\N
330737	1127	1993-06-10	VYDAJ	PREVOD NA UCET	6260	73105	SIPO	WX	43852061
330738	1127	1993-07-10	VYDAJ	PREVOD NA UCET	6260	59697	SIPO	WX	43852061
330739	1127	1993-08-10	VYDAJ	PREVOD NA UCET	6260	54956	SIPO	WX	43852061
330740	1127	1993-09-10	VYDAJ	PREVOD NA UCET	6260	55204	SIPO	WX	43852061
330741	1127	1993-10-10	VYDAJ	PREVOD NA UCET	6260	58855	SIPO	WX	43852061
330742	1127	1993-11-10	VYDAJ	PREVOD NA UCET	6260	56118	SIPO	WX	43852061
330743	1127	1993-12-10	VYDAJ	PREVOD NA UCET	6260	67250	SIPO	WX	43852061
330744	1127	1994-01-10	VYDAJ	PREVOD NA UCET	6260	56627	SIPO	WX	43852061
330745	1127	1994-02-10	VYDAJ	PREVOD NA UCET	6260	56190	SIPO	WX	43852061
330746	1127	1994-03-10	VYDAJ	PREVOD NA UCET	6260	57235	SIPO	WX	43852061
330747	1127	1994-04-10	VYDAJ	PREVOD NA UCET	6260	56980	SIPO	WX	43852061
330748	1127	1994-05-10	VYDAJ	PREVOD NA UCET	6260	60334	SIPO	WX	43852061
330749	1127	1994-06-10	VYDAJ	PREVOD NA UCET	6260	75266	SIPO	WX	43852061
330750	1127	1994-07-10	VYDAJ	PREVOD NA UCET	6260	53011	SIPO	WX	43852061
330751	1127	1994-08-10	VYDAJ	PREVOD NA UCET	6260	58749	SIPO	WX	43852061
330752	1127	1994-09-10	VYDAJ	PREVOD NA UCET	6260	61204	SIPO	WX	43852061
330753	1127	1994-10-10	VYDAJ	PREVOD NA UCET	6260	61965	SIPO	WX	43852061
330754	1127	1994-11-10	VYDAJ	PREVOD NA UCET	6260	63831	SIPO	WX	43852061
330755	1127	1994-12-10	VYDAJ	PREVOD NA UCET	6260	78169	SIPO	WX	43852061
330756	1127	1995-01-10	VYDAJ	PREVOD NA UCET	6260	66675	SIPO	WX	43852061
330757	1127	1995-02-10	VYDAJ	PREVOD NA UCET	6260	61269	SIPO	WX	43852061
330758	1127	1995-03-10	VYDAJ	PREVOD NA UCET	6260	64428	SIPO	WX	43852061
330759	1127	1995-04-10	VYDAJ	PREVOD NA UCET	6260	68005	SIPO	WX	43852061
330760	1127	1995-05-10	VYDAJ	PREVOD NA UCET	6260	68489	SIPO	WX	43852061
330761	1127	1995-06-10	VYDAJ	PREVOD NA UCET	6260	78936	SIPO	WX	43852061
330762	1127	1995-07-10	VYDAJ	PREVOD NA UCET	6260	63096	SIPO	WX	43852061
330763	1127	1995-08-10	VYDAJ	PREVOD NA UCET	6260	64959	SIPO	WX	43852061
330764	1127	1995-09-10	VYDAJ	PREVOD NA UCET	6260	70737	SIPO	WX	43852061
330765	1127	1995-10-10	VYDAJ	PREVOD NA UCET	6260	69921	SIPO	WX	43852061
330766	1127	1995-11-10	VYDAJ	PREVOD NA UCET	6260	74014	SIPO	WX	43852061
330767	1127	1995-12-10	VYDAJ	PREVOD NA UCET	6260	84072	SIPO	WX	43852061
330768	1127	1996-01-10	VYDAJ	PREVOD NA UCET	6260	68284	SIPO	WX	43852061
330769	1127	1996-02-10	VYDAJ	PREVOD NA UCET	6260	69985	SIPO	WX	43852061
330770	1127	1996-03-10	VYDAJ	PREVOD NA UCET	6260	72472	SIPO	WX	43852061
330771	1127	1996-04-10	VYDAJ	PREVOD NA UCET	6260	75167	SIPO	WX	43852061
330772	1127	1996-05-10	VYDAJ	PREVOD NA UCET	6260	77572	SIPO	WX	43852061
330773	1127	1996-06-10	VYDAJ	PREVOD NA UCET	6260	63949	SIPO	WX	43852061
330774	1127	1996-07-10	VYDAJ	PREVOD NA UCET	6260	70045	SIPO	WX	43852061
330775	1127	1996-08-10	VYDAJ	PREVOD NA UCET	6260	53227	SIPO	WX	43852061
330776	1127	1996-09-10	VYDAJ	PREVOD NA UCET	6260	52404	SIPO	WX	43852061
330777	1127	1996-10-10	VYDAJ	PREVOD NA UCET	6260	51877	SIPO	WX	43852061
330778	1127	1996-11-10	VYDAJ	PREVOD NA UCET	6260	51756	SIPO	WX	43852061
330779	1127	1996-12-10	VYDAJ	PREVOD NA UCET	6260	56892	SIPO	WX	43852061
330780	1127	1997-01-10	VYDAJ	PREVOD NA UCET	6260	50980	SIPO	WX	43852061
330781	1127	1997-02-10	VYDAJ	PREVOD NA UCET	6260	49243	SIPO	WX	43852061
330782	1127	1997-03-10	VYDAJ	PREVOD NA UCET	6260	49604	SIPO	WX	43852061
330783	1127	1997-04-10	VYDAJ	PREVOD NA UCET	6260	53162	SIPO	WX	43852061
330784	1127	1997-05-10	VYDAJ	PREVOD NA UCET	6260	52429	SIPO	WX	43852061
330785	1127	1997-06-10	VYDAJ	PREVOD NA UCET	6260	47665	SIPO	WX	43852061
330786	1127	1997-07-10	VYDAJ	PREVOD NA UCET	6260	51022	SIPO	WX	43852061
330787	1127	1997-08-10	VYDAJ	PREVOD NA UCET	6260	66597	SIPO	WX	43852061
330788	1127	1997-09-10	VYDAJ	PREVOD NA UCET	6260	74521	SIPO	WX	43852061
330789	1127	1997-10-10	VYDAJ	PREVOD NA UCET	6260	78782	SIPO	WX	43852061
330790	1127	1997-11-10	VYDAJ	PREVOD NA UCET	6260	79063	SIPO	WX	43852061
330791	1127	1997-12-10	VYDAJ	PREVOD NA UCET	6260	94912	SIPO	WX	43852061
330792	1127	1998-01-10	VYDAJ	PREVOD NA UCET	6260	86554	SIPO	WX	43852061
330793	1127	1998-02-10	VYDAJ	PREVOD NA UCET	6260	90051	SIPO	WX	43852061
330794	1127	1998-03-10	VYDAJ	PREVOD NA UCET	6260	89849	SIPO	WX	43852061
330795	1127	1998-04-10	VYDAJ	PREVOD NA UCET	6260	93077	SIPO	WX	43852061
330796	1127	1998-05-10	VYDAJ	PREVOD NA UCET	6260	91917	SIPO	WX	43852061
330797	1127	1998-06-10	VYDAJ	PREVOD NA UCET	6260	108412	SIPO	WX	43852061
330798	1127	1998-07-10	VYDAJ	PREVOD NA UCET	6260	101255	SIPO	WX	43852061
330799	1127	1998-08-10	VYDAJ	PREVOD NA UCET	6260	102898	SIPO	WX	43852061
330800	1127	1998-09-10	VYDAJ	PREVOD NA UCET	6260	102548	SIPO	WX	43852061
330801	1127	1998-10-10	VYDAJ	PREVOD NA UCET	6260	100093	SIPO	WX	43852061
330802	1127	1998-11-10	VYDAJ	PREVOD NA UCET	6260	101729	SIPO	WX	43852061
330803	1127	1998-12-10	VYDAJ	PREVOD NA UCET	6260	52234	SIPO	WX	43852061
330804	1127	1993-06-17	VYDAJ	VYBER	4200	68905	\N	\N	\N
330805	1127	1994-06-13	VYDAJ	VYBER	29900	45366	\N	\N	\N
330806	1127	1995-06-11	VYDAJ	VYBER	27200	51736	\N	\N	\N
330807	1127	1996-06-02	VYDAJ	VYBER	22300	40014	\N	\N	\N
330808	1127	1997-06-01	VYDAJ	VYBER	26800	25830	\N	\N	\N
330809	1127	1998-06-15	VYDAJ	VYBER	8600	99812	\N	\N	\N
330816	1127	1994-01-29	VYDAJ	VYBER	1000	38927	\N	\N	\N
330817	1127	1994-01-12	VYDAJ	VYBER	1400	55227	\N	\N	\N
330818	1127	1994-01-13	VYDAJ	VYBER	600	54627	\N	\N	\N
330819	1127	1994-01-03	VYDAJ	VYBER	2700	45157	\N	\N	\N
330820	1127	1994-01-24	VYDAJ	VYBER	900	39927	\N	\N	\N
330821	1127	1994-01-07	VYDAJ	VYBER	1000	62887	\N	\N	\N
330822	1127	1995-01-02	VYDAJ	VYBER	2900	54505	\N	\N	\N
330823	1127	1995-01-21	VYDAJ	VYBER	2000	43975	\N	\N	\N
330824	1127	1995-01-21	VYDAJ	VYBER	1800	45975	\N	\N	\N
330825	1127	1995-01-13	VYDAJ	VYBER	2700	63975	\N	\N	\N
330826	1127	1995-01-10	VYDAJ	VYBER	2600	72935	\N	\N	\N
330827	1127	1995-01-15	VYDAJ	VYBER	2200	60475	\N	\N	\N
330828	1127	1996-01-04	VYDAJ	VYBER KARTOU	2200	57514	\N	\N	0
330829	1127	1996-01-08	VYDAJ	VYBER KARTOU	1900	74544	\N	\N	0
330830	1127	1996-01-02	VYDAJ	VYBER KARTOU	1900	59714	\N	\N	0
330831	1127	1996-01-04	VYDAJ	VYBER KARTOU	600	56914	\N	\N	0
330832	1127	1996-01-28	VYDAJ	VYBER KARTOU	800	52684	\N	\N	0
330833	1127	1996-01-12	VYDAJ	VYBER KARTOU	700	53484	\N	\N	0
330834	1127	1997-01-24	VYDAJ	VYBER KARTOU	1800	46780	\N	\N	0
330835	1127	1997-01-02	VYDAJ	VYBER KARTOU	2200	50510	\N	\N	0
330836	1127	1997-01-26	VYDAJ	VYBER KARTOU	900	45880	\N	\N	0
330837	1127	1997-01-17	VYDAJ	VYBER KARTOU	2400	48580	\N	\N	0
330838	1127	1997-01-05	VYDAJ	VYBER KARTOU	2800	71040	\N	\N	0
330839	1127	1997-01-29	VYDAJ	VYBER KARTOU	1100	44780	\N	\N	0
330840	1127	1998-01-01	VYDAJ	VYBER KARTOU	1000	71784	\N	\N	0
330841	1127	1998-01-01	VYDAJ	VYBER KARTOU	2100	93184	\N	\N	0
330842	1127	1998-01-12	VYDAJ	VYBER KARTOU	1900	84654	\N	\N	0
330843	1127	1998-01-08	VYDAJ	VYBER KARTOU	1500	92814	\N	\N	0
330844	1127	1998-01-16	VYDAJ	VYBER KARTOU	1600	83054	\N	\N	0
330845	1127	1998-01-03	VYDAJ	VYBER KARTOU	800	70984	\N	\N	0
330846	1127	1993-06-18	VYDAJ	VYBER	4700	64205	\N	\N	\N
330847	1127	1993-07-13	VYDAJ	VYBER	3700	55997	\N	\N	\N
330848	1127	1993-11-02	VYDAJ	VYBER	4200	39048	\N	\N	\N
330849	1127	1993-08-28	VYDAJ	VYBER	700	37956	\N	\N	\N
330851	1127	1994-02-13	VYDAJ	VYBER	1400	54790	\N	\N	\N
330852	1127	1994-03-11	VYDAJ	VYBER	4500	52735	\N	\N	\N
330853	1127	1994-01-07	VYDAJ	VYBER	4600	63887	\N	\N	\N
330854	1127	1994-01-14	VYDAJ	VYBER	3500	51127	\N	\N	\N
330855	1127	1995-01-08	VYDAJ	VYBER	2300	75535	\N	\N	\N
330856	1127	1995-01-13	VYDAJ	VYBER	1300	62675	\N	\N	\N
330857	1127	1995-05-13	VYDAJ	VYBER KARTOU	1100	67389	\N	\N	0
330858	1127	1995-11-11	VYDAJ	VYBER KARTOU	500	73514	\N	\N	0
330859	1127	1995-05-20	VYDAJ	VYBER KARTOU	3800	49989	\N	\N	0
330860	1127	1996-07-12	VYDAJ	VYBER KARTOU	2800	54545	\N	\N	0
330861	1127	1996-02-23	VYDAJ	VYBER KARTOU	2400	55185	\N	\N	0
330862	1127	1996-06-09	VYDAJ	VYBER	4800	70209	\N	\N	\N
330863	1127	1996-10-05	VYDAJ	VYBER KARTOU	3400	72537	\N	\N	0
330864	1127	1996-06-12	VYDAJ	VYBER KARTOU	3100	52749	\N	\N	0
330865	1127	1996-01-08	VYDAJ	VYBER KARTOU	3800	76444	\N	\N	0
330866	1127	1996-04-13	VYDAJ	VYBER KARTOU	2300	60267	\N	\N	0
330867	1127	1997-11-07	VYDAJ	VYBER KARTOU	900	85323	\N	\N	0
330868	1127	1997-02-03	VYDAJ	VYBER KARTOU	1300	43673	\N	\N	0
330869	1127	1997-01-01	VYDAJ	VYBER	4400	52710	\N	\N	\N
330870	1127	1997-02-15	VYDAJ	VYBER KARTOU	3100	46143	\N	\N	0
330871	1127	1997-04-13	VYDAJ	VYBER KARTOU	3100	50062	\N	\N	0
330872	1127	1998-02-12	VYDAJ	VYBER KARTOU	1300	88751	\N	\N	0
330873	1127	1998-07-15	VYDAJ	VYBER KARTOU	1200	100055	\N	\N	0
330874	1127	1998-05-03	VYDAJ	VYBER KARTOU	2500	74847	\N	\N	0
330881	1127	1993-06-30	VYDAJ	VYBER	15	42627	SLUZBY	\N	\N
330882	1127	1993-07-31	VYDAJ	VYBER	15	37886	SLUZBY	\N	\N
330883	1127	1993-08-31	VYDAJ	VYBER	15	38134	SLUZBY	\N	\N
330884	1127	1993-09-30	VYDAJ	VYBER	15	41785	SLUZBY	\N	\N
330885	1127	1993-10-31	VYDAJ	VYBER	15	43248	SLUZBY	\N	\N
330886	1127	1993-11-30	VYDAJ	VYBER	15	38515	SLUZBY	\N	\N
330887	1127	1993-12-31	VYDAJ	VYBER	15	47857	SLUZBY	\N	\N
330888	1127	1994-01-31	VYDAJ	VYBER	15	39120	SLUZBY	\N	\N
330889	1127	1994-02-28	VYDAJ	VYBER	15	40165	SLUZBY	\N	\N
330890	1127	1994-03-31	VYDAJ	VYBER	15	39910	SLUZBY	\N	\N
330891	1127	1994-04-30	VYDAJ	VYBER	15	43264	SLUZBY	\N	\N
330892	1127	1994-05-31	VYDAJ	VYBER	15	46531	SLUZBY	\N	\N
330893	1127	1994-06-30	VYDAJ	VYBER	15	35941	SLUZBY	\N	\N
330894	1127	1994-07-31	VYDAJ	VYBER	15	41679	SLUZBY	\N	\N
330895	1127	1994-08-31	VYDAJ	VYBER	15	44134	SLUZBY	\N	\N
330896	1127	1994-09-30	VYDAJ	VYBER	15	44895	SLUZBY	\N	\N
330897	1127	1994-10-31	VYDAJ	VYBER	15	46761	SLUZBY	\N	\N
330898	1127	1994-11-30	VYDAJ	VYBER	15	49434	SLUZBY	\N	\N
330899	1127	1994-12-31	VYDAJ	VYBER	15	57405	SLUZBY	\N	\N
330900	1127	1995-01-31	VYDAJ	VYBER	15	44199	SLUZBY	\N	\N
330901	1127	1995-02-28	VYDAJ	VYBER	15	47358	SLUZBY	\N	\N
330902	1127	1995-03-31	VYDAJ	VYBER	15	50935	SLUZBY	\N	\N
330903	1127	1995-04-30	VYDAJ	VYBER	15	51419	SLUZBY	\N	\N
330904	1127	1995-05-31	VYDAJ	VYBER	15	50201	SLUZBY	\N	\N
330905	1127	1995-06-30	VYDAJ	VYBER	15	46026	SLUZBY	\N	\N
330906	1127	1995-07-31	VYDAJ	VYBER	15	47889	SLUZBY	\N	\N
330907	1127	1995-08-31	VYDAJ	VYBER	15	53667	SLUZBY	\N	\N
330908	1127	1995-09-30	VYDAJ	VYBER	15	52851	SLUZBY	\N	\N
330909	1127	1995-10-31	VYDAJ	VYBER	15	56944	SLUZBY	\N	\N
330910	1127	1995-11-30	VYDAJ	VYBER	15	55337	SLUZBY	\N	\N
330911	1127	1995-12-31	VYDAJ	VYBER	15	61614	SLUZBY	\N	\N
330912	1127	1996-01-31	VYDAJ	VYBER	15	52915	SLUZBY	\N	\N
330913	1127	1996-02-29	VYDAJ	VYBER	15	55402	SLUZBY	\N	\N
330914	1127	1996-03-31	VYDAJ	VYBER	15	58097	SLUZBY	\N	\N
330915	1127	1996-04-30	VYDAJ	VYBER	15	60502	SLUZBY	\N	\N
330916	1127	1996-05-31	VYDAJ	VYBER	15	62314	SLUZBY	\N	\N
330917	1127	1996-06-30	VYDAJ	VYBER	15	52975	SLUZBY	\N	\N
330918	1127	1996-07-31	VYDAJ	VYBER	15	54757	SLUZBY	\N	\N
330919	1127	1996-08-31	VYDAJ	VYBER	15	53434	SLUZBY	\N	\N
330920	1127	1996-09-30	VYDAJ	VYBER	15	52607	SLUZBY	\N	\N
330921	1127	1996-10-31	VYDAJ	VYBER	15	52086	SLUZBY	\N	\N
330922	1127	1996-11-30	VYDAJ	VYBER	15	51957	SLUZBY	\N	\N
330923	1127	1996-12-31	VYDAJ	VYBER	15	57110	SLUZBY	\N	\N
330924	1127	1997-01-31	VYDAJ	VYBER	15	44973	SLUZBY	\N	\N
330925	1127	1997-02-28	VYDAJ	VYBER	15	46334	SLUZBY	\N	\N
330926	1127	1997-03-31	VYDAJ	VYBER	15	49792	SLUZBY	\N	\N
330927	1127	1997-04-30	VYDAJ	VYBER	15	50259	SLUZBY	\N	\N
330928	1127	1997-05-31	VYDAJ	VYBER	15	52630	SLUZBY	\N	\N
330929	1127	1997-06-30	VYDAJ	VYBER	15	47852	SLUZBY	\N	\N
330930	1127	1997-07-31	VYDAJ	VYBER	15	51227	SLUZBY	\N	\N
330931	1127	1997-08-31	VYDAJ	VYBER	15	66851	SLUZBY	\N	\N
330932	1127	1997-09-30	VYDAJ	VYBER	15	74812	SLUZBY	\N	\N
330933	1127	1997-10-31	VYDAJ	VYBER	15	79093	SLUZBY	\N	\N
330934	1127	1997-11-30	VYDAJ	VYBER	15	79377	SLUZBY	\N	\N
330935	1127	1997-12-31	VYDAJ	VYBER	15	95284	SLUZBY	\N	\N
330936	1127	1998-01-31	VYDAJ	VYBER	15	72981	SLUZBY	\N	\N
330937	1127	1998-02-28	VYDAJ	VYBER	15	89079	SLUZBY	\N	\N
330938	1127	1998-03-31	VYDAJ	VYBER	15	90207	SLUZBY	\N	\N
330939	1127	1998-04-30	VYDAJ	VYBER	15	93447	SLUZBY	\N	\N
330940	1127	1998-05-31	VYDAJ	VYBER	15	79677	SLUZBY	\N	\N
330941	1127	1998-06-30	VYDAJ	VYBER	15	84185	SLUZBY	\N	\N
330942	1127	1998-07-31	VYDAJ	VYBER	15	85828	SLUZBY	\N	\N
330943	1127	1998-08-31	VYDAJ	VYBER	15	85478	SLUZBY	\N	\N
330944	1127	1998-09-30	VYDAJ	VYBER	15	83023	SLUZBY	\N	\N
330945	1127	1998-10-31	VYDAJ	VYBER	15	84659	SLUZBY	\N	\N
330946	1127	1998-11-30	VYDAJ	VYBER	15	84599	SLUZBY	\N	\N
330947	1127	1993-02-26	PRIJEM	VKLAD	1800	25730	\N	\N	\N
330948	1127	1993-03-28	VYDAJ	VYBER	14800	34272	\N	\N	\N
330949	1127	1993-04-27	VYDAJ	VYBER	15000	42713	\N	\N	\N
330950	1127	1993-05-27	VYDAJ	VYBER	22000	44191	\N	\N	\N
330951	1127	1993-06-26	VYDAJ	VYBER	21800	42405	\N	\N	\N
330952	1127	1993-07-26	VYDAJ	VYBER	18300	37697	\N	\N	\N
330953	1127	1993-08-25	VYDAJ	VYBER	16300	38656	\N	\N	\N
330954	1127	1993-09-24	VYDAJ	VYBER	13600	41604	\N	\N	\N
330955	1127	1993-10-24	VYDAJ	VYBER	15800	43055	\N	\N	\N
330956	1127	1993-11-23	VYDAJ	VYBER	17800	38318	\N	\N	\N
330957	1127	1993-12-23	VYDAJ	VYBER	19600	47650	\N	\N	\N
330958	1127	1994-01-22	VYDAJ	VYBER	10300	40827	\N	\N	\N
330959	1127	1994-02-21	VYDAJ	VYBER	14800	39990	\N	\N	\N
330960	1127	1994-03-23	VYDAJ	VYBER	13000	39735	\N	\N	\N
330961	1127	1994-04-22	VYDAJ	VYBER	13900	43080	\N	\N	\N
330962	1127	1994-05-22	VYDAJ	VYBER	14000	46334	\N	\N	\N
330963	1127	1994-06-21	VYDAJ	VYBER	9600	35766	\N	\N	\N
330964	1127	1994-07-21	VYDAJ	VYBER	11500	41511	\N	\N	\N
330965	1127	1994-08-20	VYDAJ	VYBER	14800	43949	\N	\N	\N
330966	1127	1994-09-19	VYDAJ	VYBER	16500	44704	\N	\N	\N
330967	1127	1994-10-19	VYDAJ	VYBER	15400	46565	\N	\N	\N
330968	1127	1994-11-18	VYDAJ	VYBER	14600	49231	\N	\N	\N
330969	1127	1994-12-18	VYDAJ	VYBER	21000	57169	\N	\N	\N
330970	1127	1995-01-17	VYDAJ	VYBER	12700	47775	\N	\N	\N
330971	1127	1995-02-16	VYDAJ	VYBER	14100	47169	\N	\N	\N
330972	1127	1995-03-18	VYDAJ	VYBER	13700	50728	\N	\N	\N
330973	1127	1995-04-17	VYDAJ	VYBER	16800	51205	\N	\N	\N
330974	1127	1995-05-17	VYDAJ	VYBER	13600	53789	\N	\N	\N
330975	1127	1995-06-16	VYDAJ	VYBER	5900	45836	\N	\N	\N
330976	1127	1995-07-16	VYDAJ	VYBER	15400	47696	\N	\N	\N
330977	1127	1995-08-15	VYDAJ	VYBER	11500	53459	\N	\N	\N
330978	1127	1995-09-14	VYDAJ	VYBER	18100	52637	\N	\N	\N
330979	1127	1995-10-14	VYDAJ	VYBER	13200	56721	\N	\N	\N
330980	1127	1995-11-13	VYDAJ	VYBER	18400	55114	\N	\N	\N
330981	1127	1995-12-13	VYDAJ	VYBER	22700	61372	\N	\N	\N
330982	1127	1996-01-12	VYDAJ	VYBER	14100	54184	\N	\N	\N
330983	1127	1996-02-11	VYDAJ	VYBER	12400	57585	\N	\N	\N
330984	1127	1996-03-12	VYDAJ	VYBER	14600	57872	\N	\N	\N
330985	1127	1996-04-11	VYDAJ	VYBER	12600	62567	\N	\N	\N
330986	1127	1996-05-11	VYDAJ	VYBER	15500	62072	\N	\N	\N
330987	1127	1996-06-10	VYDAJ	VYBER	8100	55849	\N	\N	\N
330988	1127	1996-07-10	VYDAJ	VYBER	12700	57345	\N	\N	\N
330989	1127	1996-08-09	VYDAJ	VYBER	18600	59487	\N	\N	\N
330990	1127	1996-09-08	VYDAJ	VYBER	18100	58664	\N	\N	\N
330991	1127	1996-10-08	VYDAJ	VYBER	14400	58137	\N	\N	\N
330992	1127	1996-11-07	VYDAJ	VYBER	17400	58016	\N	\N	\N
330993	1127	1996-12-07	VYDAJ	VYBER	23800	63152	\N	\N	\N
330994	1127	1997-01-06	VYDAJ	VYBER	13800	57240	\N	\N	\N
330995	1127	1997-02-05	VYDAJ	VYBER	11500	55503	\N	\N	\N
330996	1127	1997-03-07	VYDAJ	VYBER	13800	55864	\N	\N	\N
330997	1127	1997-04-06	VYDAJ	VYBER	13700	59422	\N	\N	\N
330998	1127	1997-05-06	VYDAJ	VYBER	14900	58689	\N	\N	\N
330999	1127	1997-06-05	VYDAJ	VYBER	6900	53925	\N	\N	\N
331000	1127	1997-07-05	VYDAJ	VYBER	13900	57282	\N	\N	\N
331001	1127	1997-08-04	VYDAJ	VYBER KARTOU	1700	49527	\N	\N	0
331002	1127	1997-09-03	VYDAJ	VYBER	9400	57451	\N	\N	\N
331003	1127	1997-10-03	VYDAJ	VYBER	13100	61712	\N	\N	\N
331004	1127	1997-11-02	VYDAJ	VYBER	16200	62893	\N	\N	\N
331005	1127	1997-12-02	VYDAJ	VYBER	13200	66177	\N	\N	\N
331006	1127	1998-01-01	VYDAJ	VYBER	20400	72784	\N	\N	\N
331007	1127	1998-01-31	VYDAJ	VYBER	10400	72995	\N	\N	\N
331008	1127	1998-03-02	VYDAJ	VYBER	16300	72779	\N	\N	\N
331009	1127	1998-04-01	VYDAJ	VYBER	14200	76007	\N	\N	\N
331010	1127	1998-05-01	VYDAJ	VYBER	16100	77347	\N	\N	\N
331011	1127	1998-05-31	VYDAJ	VYBER	12600	79692	\N	\N	\N
331012	1127	1998-06-30	VYDAJ	VYBER	16000	84200	\N	\N	\N
331013	1127	1998-07-30	VYDAJ	VYBER	14600	85455	\N	\N	\N
331014	1127	1998-08-29	VYDAJ	VYBER	17800	85098	\N	\N	\N
331015	1127	1998-09-28	VYDAJ	VYBER	19900	82648	\N	\N	\N
331016	1127	1998-10-28	VYDAJ	VYBER	15800	84293	\N	\N	\N
331017	1127	1998-11-27	VYDAJ	VYBER	17500	84229	\N	\N	\N
331018	1127	1998-12-05	VYDAJ	VYBER	61100	58494	\N	\N	\N
331090	1128	1993-11-21	PRIJEM	VKLAD	400	400	\N	\N	\N
331102	1128	1993-12-07	PRIJEM	PREVOD Z UCTU	6189	6589	DUCHOD	QR	96233039
331103	1128	1994-01-07	PRIJEM	PREVOD Z UCTU	6189	12778	DUCHOD	QR	96233039
331104	1128	1994-02-07	PRIJEM	PREVOD Z UCTU	6189	18967	DUCHOD	QR	96233039
331105	1128	1994-03-07	PRIJEM	PREVOD Z UCTU	6189	25156	DUCHOD	QR	96233039
331106	1128	1994-04-07	PRIJEM	PREVOD Z UCTU	6189	31345	DUCHOD	QR	96233039
331107	1128	1994-05-07	PRIJEM	PREVOD Z UCTU	6189	35527	DUCHOD	QR	96233039
331108	1128	1994-06-07	PRIJEM	PREVOD Z UCTU	6189	37461	DUCHOD	QR	96233039
331109	1128	1994-07-07	PRIJEM	PREVOD Z UCTU	6189	35041	DUCHOD	QR	96233039
331110	1128	1994-08-07	PRIJEM	PREVOD Z UCTU	6189	38275	DUCHOD	QR	96233039
331111	1128	1994-09-07	PRIJEM	PREVOD Z UCTU	6189	37615	DUCHOD	QR	96233039
331112	1128	1994-10-07	PRIJEM	PREVOD Z UCTU	6189	37975	DUCHOD	QR	96233039
331113	1128	1994-11-07	PRIJEM	PREVOD Z UCTU	6189	34498	DUCHOD	QR	96233039
331114	1128	1994-12-07	PRIJEM	PREVOD Z UCTU	6189	34730	DUCHOD	QR	96233039
331115	1128	1995-01-07	PRIJEM	PREVOD Z UCTU	6189	33436	DUCHOD	QR	96233039
331116	1128	1995-02-07	PRIJEM	PREVOD Z UCTU	6189	32297	DUCHOD	QR	96233039
331117	1128	1995-03-07	PRIJEM	PREVOD Z UCTU	6189	35719	DUCHOD	QR	96233039
331118	1128	1995-04-07	PRIJEM	PREVOD Z UCTU	6189	37252	DUCHOD	QR	96233039
331119	1128	1995-05-07	PRIJEM	PREVOD Z UCTU	6189	36986	DUCHOD	QR	96233039
331120	1128	1995-06-07	PRIJEM	PREVOD Z UCTU	6189	35180	DUCHOD	QR	96233039
331121	1128	1995-07-07	PRIJEM	PREVOD Z UCTU	6189	30648	DUCHOD	QR	96233039
331122	1128	1995-08-07	PRIJEM	PREVOD Z UCTU	6189	34865	DUCHOD	QR	96233039
331123	1128	1995-09-07	PRIJEM	PREVOD Z UCTU	6189	39100	DUCHOD	QR	96233039
331124	1128	1995-10-07	PRIJEM	PREVOD Z UCTU	6189	41051	DUCHOD	QR	96233039
331125	1128	1995-11-07	PRIJEM	PREVOD Z UCTU	6189	44510	DUCHOD	QR	96233039
331126	1128	1995-12-07	PRIJEM	PREVOD Z UCTU	6189	41967	DUCHOD	QR	96233039
331127	1128	1996-01-07	PRIJEM	PREVOD Z UCTU	6189	40047	DUCHOD	QR	96233039
331128	1128	1996-02-07	PRIJEM	PREVOD Z UCTU	6189	39260	DUCHOD	QR	96233039
331129	1128	1996-03-07	PRIJEM	PREVOD Z UCTU	6189	36315	DUCHOD	QR	96233039
331130	1128	1996-04-07	PRIJEM	PREVOD Z UCTU	6189	39835	DUCHOD	QR	96233039
331131	1128	1996-05-07	PRIJEM	PREVOD Z UCTU	6189	42789	DUCHOD	QR	96233039
331132	1128	1996-06-07	PRIJEM	PREVOD Z UCTU	6189	38425	DUCHOD	QR	96233039
331133	1128	1996-07-07	PRIJEM	PREVOD Z UCTU	6189	25674	DUCHOD	QR	96233039
331134	1128	1996-08-07	PRIJEM	PREVOD Z UCTU	6189	29870	DUCHOD	QR	96233039
331135	1128	1996-09-07	PRIJEM	PREVOD Z UCTU	6189	34084	DUCHOD	QR	96233039
331136	1128	1996-10-07	PRIJEM	PREVOD Z UCTU	6189	38314	DUCHOD	QR	96233039
331137	1128	1996-11-07	PRIJEM	PREVOD Z UCTU	6189	40063	DUCHOD	QR	96233039
331138	1128	1996-12-07	PRIJEM	PREVOD Z UCTU	6189	39824	DUCHOD	QR	96233039
331139	1128	1997-01-07	PRIJEM	PREVOD Z UCTU	6189	38666	DUCHOD	QR	96233039
331140	1128	1997-02-07	PRIJEM	PREVOD Z UCTU	6189	32344	DUCHOD	QR	96233039
331141	1128	1997-03-07	PRIJEM	PREVOD Z UCTU	6189	36574	DUCHOD	QR	96233039
331142	1128	1997-04-07	PRIJEM	PREVOD Z UCTU	6189	39613	DUCHOD	QR	96233039
331143	1128	1997-05-07	PRIJEM	PREVOD Z UCTU	6189	43866	DUCHOD	QR	96233039
331144	1128	1997-06-07	PRIJEM	PREVOD Z UCTU	6189	48138	DUCHOD	QR	96233039
331145	1128	1997-07-07	PRIJEM	PREVOD Z UCTU	6189	42700	DUCHOD	QR	96233039
331146	1128	1997-08-07	PRIJEM	PREVOD Z UCTU	6189	41523	DUCHOD	QR	96233039
331147	1128	1997-09-07	PRIJEM	PREVOD Z UCTU	6189	45584	DUCHOD	QR	96233039
331148	1128	1997-10-07	PRIJEM	PREVOD Z UCTU	6189	45139	DUCHOD	QR	96233039
331149	1128	1997-11-07	PRIJEM	PREVOD Z UCTU	6189	49415	DUCHOD	QR	96233039
331150	1128	1997-12-07	PRIJEM	PREVOD Z UCTU	6189	52008	DUCHOD	QR	96233039
331151	1128	1998-01-07	PRIJEM	PREVOD Z UCTU	6189	47451	DUCHOD	QR	96233039
331152	1128	1998-02-07	PRIJEM	PREVOD Z UCTU	6189	44749	DUCHOD	QR	96233039
331153	1128	1998-03-07	PRIJEM	PREVOD Z UCTU	6189	46222	DUCHOD	QR	96233039
331154	1128	1998-04-07	PRIJEM	PREVOD Z UCTU	6189	50502	DUCHOD	QR	96233039
331155	1128	1998-05-07	PRIJEM	PREVOD Z UCTU	6189	52998	DUCHOD	QR	96233039
331156	1128	1998-06-07	PRIJEM	PREVOD Z UCTU	6189	50636	DUCHOD	QR	96233039
331157	1128	1998-07-07	PRIJEM	PREVOD Z UCTU	6189	45313	DUCHOD	QR	96233039
331158	1128	1998-08-07	PRIJEM	PREVOD Z UCTU	6189	49589	DUCHOD	QR	96233039
331159	1128	1998-09-07	PRIJEM	PREVOD Z UCTU	6189	53882	DUCHOD	QR	96233039
331160	1128	1998-10-07	PRIJEM	PREVOD Z UCTU	6189	58193	DUCHOD	QR	96233039
331161	1128	1998-11-07	PRIJEM	PREVOD Z UCTU	6189	62522	DUCHOD	QR	96233039
331162	1128	1998-12-07	PRIJEM	PREVOD Z UCTU	6189	66388	DUCHOD	QR	96233039
331178	1128	1994-04-12	VYDAJ	PREVOD NA UCET	2070	29275	SIPO	QR	14786029
331179	1128	1994-05-12	VYDAJ	PREVOD NA UCET	2070	33457	SIPO	QR	14786029
331180	1128	1994-06-12	VYDAJ	PREVOD NA UCET	2070	35391	SIPO	QR	14786029
331181	1128	1994-07-12	VYDAJ	PREVOD NA UCET	2070	32971	SIPO	QR	14786029
331182	1128	1994-08-12	VYDAJ	PREVOD NA UCET	2070	36205	SIPO	QR	14786029
331183	1128	1994-09-12	VYDAJ	PREVOD NA UCET	2070	35545	SIPO	QR	14786029
331184	1128	1994-10-12	VYDAJ	PREVOD NA UCET	2070	35905	SIPO	QR	14786029
331185	1128	1994-11-12	VYDAJ	PREVOD NA UCET	2070	32428	SIPO	QR	14786029
331186	1128	1994-12-12	VYDAJ	PREVOD NA UCET	2070	29220	SIPO	QR	14786029
331187	1128	1995-01-12	VYDAJ	PREVOD NA UCET	2070	29286	SIPO	QR	14786029
331188	1128	1995-02-12	VYDAJ	PREVOD NA UCET	2070	30227	SIPO	QR	14786029
331189	1128	1995-03-12	VYDAJ	PREVOD NA UCET	2070	33649	SIPO	QR	14786029
331190	1128	1995-04-12	VYDAJ	PREVOD NA UCET	2070	35182	SIPO	QR	14786029
331191	1128	1995-05-12	VYDAJ	PREVOD NA UCET	2070	34916	SIPO	QR	14786029
331192	1128	1995-06-12	VYDAJ	PREVOD NA UCET	2070	33110	SIPO	QR	14786029
331193	1128	1995-07-12	VYDAJ	PREVOD NA UCET	2070	28578	SIPO	QR	14786029
331194	1128	1995-08-12	VYDAJ	PREVOD NA UCET	2070	32795	SIPO	QR	14786029
331195	1128	1995-09-12	VYDAJ	PREVOD NA UCET	2070	34730	SIPO	QR	14786029
331196	1128	1995-10-12	VYDAJ	PREVOD NA UCET	2070	38981	SIPO	QR	14786029
331197	1128	1995-11-12	VYDAJ	PREVOD NA UCET	2070	35640	SIPO	QR	14786029
331198	1128	1995-12-12	VYDAJ	PREVOD NA UCET	2070	38197	SIPO	QR	14786029
331199	1128	1996-01-12	VYDAJ	PREVOD NA UCET	2070	36377	SIPO	QR	14786029
331200	1128	1996-02-12	VYDAJ	PREVOD NA UCET	2070	33690	SIPO	QR	14786029
331201	1128	1996-03-12	VYDAJ	PREVOD NA UCET	2070	34245	SIPO	QR	14786029
331202	1128	1996-04-12	VYDAJ	PREVOD NA UCET	2070	36465	SIPO	QR	14786029
331203	1128	1996-05-12	VYDAJ	PREVOD NA UCET	2070	37219	SIPO	QR	14786029
331204	1128	1996-06-12	VYDAJ	PREVOD NA UCET	2070	19405	SIPO	QR	14786029
331205	1128	1996-07-12	VYDAJ	PREVOD NA UCET	2070	23604	SIPO	QR	14786029
331206	1128	1996-08-12	VYDAJ	PREVOD NA UCET	2070	27800	SIPO	QR	14786029
331207	1128	1996-09-12	VYDAJ	PREVOD NA UCET	2070	32014	SIPO	QR	14786029
331208	1128	1996-10-12	VYDAJ	PREVOD NA UCET	2070	36244	SIPO	QR	14786029
331209	1128	1996-11-12	VYDAJ	PREVOD NA UCET	2070	37993	SIPO	QR	14786029
331210	1128	1996-12-12	VYDAJ	PREVOD NA UCET	2070	37754	SIPO	QR	14786029
331211	1128	1997-01-12	VYDAJ	PREVOD NA UCET	2070	33636	SIPO	QR	14786029
331212	1128	1997-02-12	VYDAJ	PREVOD NA UCET	2070	30274	SIPO	QR	14786029
331213	1128	1997-03-12	VYDAJ	PREVOD NA UCET	2070	33304	SIPO	QR	14786029
331214	1128	1997-04-12	VYDAJ	PREVOD NA UCET	2070	37543	SIPO	QR	14786029
331215	1128	1997-05-12	VYDAJ	PREVOD NA UCET	2070	41796	SIPO	QR	14786029
331216	1128	1997-06-12	VYDAJ	PREVOD NA UCET	2070	36368	SIPO	QR	14786029
331217	1128	1997-07-12	VYDAJ	PREVOD NA UCET	2070	40630	SIPO	QR	14786029
331218	1128	1997-08-12	VYDAJ	PREVOD NA UCET	2070	39453	SIPO	QR	14786029
331219	1128	1997-09-12	VYDAJ	PREVOD NA UCET	2070	43514	SIPO	QR	14786029
331220	1128	1997-10-12	VYDAJ	PREVOD NA UCET	2070	43069	SIPO	QR	14786029
331221	1128	1997-11-12	VYDAJ	PREVOD NA UCET	2070	47345	SIPO	QR	14786029
331222	1128	1997-12-12	VYDAJ	PREVOD NA UCET	2070	49938	SIPO	QR	14786029
331223	1128	1998-01-12	VYDAJ	PREVOD NA UCET	2070	43061	SIPO	QR	14786029
331224	1128	1998-02-12	VYDAJ	PREVOD NA UCET	2070	42679	SIPO	QR	14786029
331225	1128	1998-03-12	VYDAJ	PREVOD NA UCET	2070	44152	SIPO	QR	14786029
331226	1128	1998-04-12	VYDAJ	PREVOD NA UCET	2070	48432	SIPO	QR	14786029
331227	1128	1998-05-12	VYDAJ	PREVOD NA UCET	2070	50928	SIPO	QR	14786029
331228	1128	1998-06-12	VYDAJ	PREVOD NA UCET	2070	38966	SIPO	QR	14786029
331229	1128	1998-07-12	VYDAJ	PREVOD NA UCET	2070	43243	SIPO	QR	14786029
331230	1128	1998-08-12	VYDAJ	PREVOD NA UCET	2070	47519	SIPO	QR	14786029
331231	1128	1998-09-12	VYDAJ	PREVOD NA UCET	2070	51812	SIPO	QR	14786029
331232	1128	1998-10-12	VYDAJ	PREVOD NA UCET	2070	56123	SIPO	QR	14786029
331233	1128	1998-11-12	VYDAJ	PREVOD NA UCET	2070	60452	SIPO	QR	14786029
331234	1128	1998-12-12	VYDAJ	PREVOD NA UCET	2070	64318	SIPO	QR	14786029
331236	1128	1994-06-14	VYDAJ	VYBER	5650	29741	\N	\N	\N
331237	1128	1995-06-17	VYDAJ	VYBER	7450	24360	\N	\N	\N
331238	1128	1996-06-09	VYDAJ	VYBER	11850	21475	\N	\N	\N
331239	1128	1997-06-12	VYDAJ	VYBER	9700	38438	\N	\N	\N
331240	1128	1998-06-07	VYDAJ	VYBER	9600	41036	\N	\N	\N
331253	1128	1995-01-07	VYDAJ	VYBER	480	32956	\N	\N	\N
331254	1128	1995-01-13	VYDAJ	VYBER	1440	27846	\N	\N	\N
331255	1128	1995-01-09	VYDAJ	VYBER	560	32396	\N	\N	\N
331256	1128	1995-01-25	VYDAJ	VYBER	560	26006	\N	\N	\N
331257	1128	1995-01-04	VYDAJ	VYBER	2080	27247	\N	\N	\N
331258	1128	1995-01-09	VYDAJ	VYBER	1040	31356	\N	\N	\N
331259	1128	1996-01-01	VYDAJ	VYBER	1200	37138	\N	\N	\N
331260	1128	1996-01-02	VYDAJ	VYBER	1120	36018	\N	\N	\N
331261	1128	1996-01-25	VYDAJ	VYBER	1360	32937	\N	\N	\N
331262	1128	1996-01-05	VYDAJ	VYBER	2160	33858	\N	\N	\N
331263	1128	1996-01-23	VYDAJ	VYBER	1440	34297	\N	\N	\N
331264	1128	1996-01-17	VYDAJ	VYBER	640	35737	\N	\N	\N
331265	1128	1997-01-20	VYDAJ	VYBER	1040	30436	\N	\N	\N
331266	1128	1997-01-07	VYDAJ	VYBER	1760	36906	\N	\N	\N
331267	1128	1997-01-10	VYDAJ	VYBER	1200	35706	\N	\N	\N
331268	1128	1997-01-26	VYDAJ	VYBER	960	29476	\N	\N	\N
331269	1128	1997-01-04	VYDAJ	VYBER	1200	35177	\N	\N	\N
331270	1128	1997-01-13	VYDAJ	VYBER	2160	31476	\N	\N	\N
331271	1128	1998-01-27	VYDAJ	VYBER	2000	38501	\N	\N	\N
331272	1128	1998-01-11	VYDAJ	VYBER	2320	45131	\N	\N	\N
331273	1128	1998-01-05	VYDAJ	VYBER	2160	41262	\N	\N	\N
331274	1128	1998-01-25	VYDAJ	VYBER	400	40501	\N	\N	\N
331275	1128	1998-01-13	VYDAJ	VYBER	2160	40901	\N	\N	\N
331276	1128	1998-01-01	VYDAJ	VYBER	1600	43422	\N	\N	\N
331280	1128	1994-12-08	VYDAJ	VYBER	3440	31290	\N	\N	\N
331282	1128	1994-11-03	VYDAJ	VYBER	3120	28309	\N	\N	\N
331283	1128	1994-10-02	VYDAJ	VYBER	480	31786	\N	\N	\N
331285	1128	1995-05-24	VYDAJ	VYBER	3040	28876	\N	\N	\N
331286	1128	1995-01-15	VYDAJ	VYBER	1280	26566	\N	\N	\N
331287	1128	1995-10-18	VYDAJ	VYBER	800	38181	\N	\N	\N
331288	1128	1996-05-27	VYDAJ	VYBER	3440	33779	\N	\N	\N
331289	1128	1996-12-29	VYDAJ	VYBER	1520	36234	\N	\N	\N
331290	1128	1996-03-28	VYDAJ	VYBER	720	33525	\N	\N	\N
331291	1128	1996-05-29	VYDAJ	VYBER	1680	32099	\N	\N	\N
331292	1128	1996-02-13	VYDAJ	VYBER	3680	30010	\N	\N	\N
331293	1128	1997-02-03	VYDAJ	VYBER	3440	26155	\N	\N	\N
331294	1128	1997-07-25	VYDAJ	VYBER	2480	35190	\N	\N	\N
331295	1128	1997-03-10	VYDAJ	VYBER	1200	35374	\N	\N	\N
331296	1128	1997-07-25	VYDAJ	VYBER	2960	37670	\N	\N	\N
331297	1128	1997-09-18	VYDAJ	VYBER	3600	39914	\N	\N	\N
331298	1128	1997-09-24	VYDAJ	VYBER	1120	38794	\N	\N	\N
331299	1128	1998-05-14	VYDAJ	VYBER	3760	47168	\N	\N	\N
331300	1128	1998-12-14	VYDAJ	VYBER	3280	61038	\N	\N	\N
331301	1128	1998-11-25	VYDAJ	VYBER	480	59972	\N	\N	\N
331318	1128	1994-04-30	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
331319	1128	1994-05-31	VYDAJ	VYBER	15	31272	SLUZBY	\N	\N
331320	1128	1994-06-30	VYDAJ	VYBER	15	28852	SLUZBY	\N	\N
331321	1128	1994-07-31	VYDAJ	VYBER	15	32086	SLUZBY	\N	\N
331322	1128	1994-08-31	VYDAJ	VYBER	15	31426	SLUZBY	\N	\N
331323	1128	1994-09-30	VYDAJ	VYBER	15	32266	SLUZBY	\N	\N
331324	1128	1994-10-31	VYDAJ	VYBER	15	31429	SLUZBY	\N	\N
331325	1128	1994-11-30	VYDAJ	VYBER	15	28541	SLUZBY	\N	\N
331326	1128	1994-12-31	VYDAJ	VYBER	15	29327	SLUZBY	\N	\N
331327	1128	1995-01-31	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
331328	1128	1995-02-28	VYDAJ	VYBER	15	29530	SLUZBY	\N	\N
331329	1128	1995-03-31	VYDAJ	VYBER	15	31063	SLUZBY	\N	\N
331330	1128	1995-04-30	VYDAJ	VYBER	15	30797	SLUZBY	\N	\N
331331	1128	1995-05-31	VYDAJ	VYBER	15	28991	SLUZBY	\N	\N
331332	1128	1995-06-30	VYDAJ	VYBER	15	24459	SLUZBY	\N	\N
331333	1128	1995-07-31	VYDAJ	VYBER	15	28676	SLUZBY	\N	\N
331334	1128	1995-08-31	VYDAJ	VYBER	15	32911	SLUZBY	\N	\N
331335	1128	1995-09-30	VYDAJ	VYBER	15	34862	SLUZBY	\N	\N
331336	1128	1995-10-31	VYDAJ	VYBER	15	38321	SLUZBY	\N	\N
331337	1128	1995-11-30	VYDAJ	VYBER	15	35778	SLUZBY	\N	\N
331338	1128	1995-12-31	VYDAJ	VYBER	15	38338	SLUZBY	\N	\N
331339	1128	1996-01-31	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
331340	1128	1996-02-29	VYDAJ	VYBER	15	30126	SLUZBY	\N	\N
331341	1128	1996-03-31	VYDAJ	VYBER	15	33646	SLUZBY	\N	\N
331342	1128	1996-04-30	VYDAJ	VYBER	15	36600	SLUZBY	\N	\N
331343	1128	1996-05-31	VYDAJ	VYBER	15	32236	SLUZBY	\N	\N
331344	1128	1996-06-30	VYDAJ	VYBER	15	19485	SLUZBY	\N	\N
331345	1128	1996-07-31	VYDAJ	VYBER	15	23681	SLUZBY	\N	\N
331346	1128	1996-08-31	VYDAJ	VYBER	15	27895	SLUZBY	\N	\N
331347	1128	1996-09-30	VYDAJ	VYBER	15	32125	SLUZBY	\N	\N
331348	1128	1996-10-31	VYDAJ	VYBER	15	36374	SLUZBY	\N	\N
331349	1128	1996-11-30	VYDAJ	VYBER	15	38135	SLUZBY	\N	\N
331350	1128	1996-12-31	VYDAJ	VYBER	15	36377	SLUZBY	\N	\N
331351	1128	1997-01-31	VYDAJ	VYBER	15	29595	SLUZBY	\N	\N
331352	1128	1997-02-28	VYDAJ	VYBER	15	30385	SLUZBY	\N	\N
331353	1128	1997-03-31	VYDAJ	VYBER	15	33424	SLUZBY	\N	\N
331354	1128	1997-04-30	VYDAJ	VYBER	15	37677	SLUZBY	\N	\N
331355	1128	1997-05-31	VYDAJ	VYBER	15	41949	SLUZBY	\N	\N
331356	1128	1997-06-30	VYDAJ	VYBER	15	36511	SLUZBY	\N	\N
331357	1128	1997-07-31	VYDAJ	VYBER	15	35334	SLUZBY	\N	\N
331358	1128	1997-08-31	VYDAJ	VYBER	15	39595	SLUZBY	\N	\N
331359	1128	1997-09-30	VYDAJ	VYBER	15	38950	SLUZBY	\N	\N
331360	1128	1997-10-31	VYDAJ	VYBER	15	43226	SLUZBY	\N	\N
331361	1128	1997-11-30	VYDAJ	VYBER	15	47519	SLUZBY	\N	\N
331362	1128	1997-12-31	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
331363	1128	1998-01-31	VYDAJ	VYBER	15	38560	SLUZBY	\N	\N
331364	1128	1998-02-28	VYDAJ	VYBER	15	42833	SLUZBY	\N	\N
331365	1128	1998-03-31	VYDAJ	VYBER	15	44313	SLUZBY	\N	\N
331366	1128	1998-04-30	VYDAJ	VYBER	15	46809	SLUZBY	\N	\N
331367	1128	1998-05-31	VYDAJ	VYBER	15	44447	SLUZBY	\N	\N
331368	1128	1998-06-30	VYDAJ	VYBER	15	39124	SLUZBY	\N	\N
331369	1128	1998-07-31	VYDAJ	VYBER	15	43400	SLUZBY	\N	\N
331370	1128	1998-08-31	VYDAJ	VYBER	15	47693	SLUZBY	\N	\N
331371	1128	1998-09-30	VYDAJ	VYBER	15	52004	SLUZBY	\N	\N
331372	1128	1998-10-31	VYDAJ	VYBER	15	56333	SLUZBY	\N	\N
331373	1128	1998-11-30	VYDAJ	VYBER	15	60199	SLUZBY	\N	\N
331374	1128	1994-05-20	VYDAJ	VYBER	2300	31157	\N	\N	\N
331375	1128	1994-06-19	VYDAJ	VYBER	1000	28741	\N	\N	\N
331376	1128	1994-07-19	VYDAJ	VYBER	1000	31971	\N	\N	\N
331377	1128	1994-08-18	VYDAJ	VYBER	4900	31305	\N	\N	\N
331378	1128	1994-09-17	VYDAJ	VYBER	3400	32145	\N	\N	\N
331379	1128	1994-10-17	VYDAJ	VYBER	4600	31305	\N	\N	\N
331380	1128	1994-11-16	VYDAJ	VYBER	4000	28428	\N	\N	\N
331381	1128	1995-02-14	VYDAJ	VYBER	800	29427	\N	\N	\N
331382	1128	1995-03-16	VYDAJ	VYBER	2700	30949	\N	\N	\N
331383	1128	1995-04-15	VYDAJ	VYBER	4500	30682	\N	\N	\N
331384	1128	1995-05-15	VYDAJ	VYBER	3000	31916	\N	\N	\N
331385	1128	1995-06-14	VYDAJ	VYBER	1300	31810	\N	\N	\N
331386	1128	1995-09-12	VYDAJ	VYBER	2300	36800	\N	\N	\N
331387	1128	1995-11-11	VYDAJ	VYBER	6800	37710	\N	\N	\N
331388	1128	1995-12-11	VYDAJ	VYBER	1700	40267	\N	\N	\N
331389	1128	1996-01-10	VYDAJ	VYBER	1600	38447	\N	\N	\N
331390	1128	1996-02-09	VYDAJ	VYBER	3500	35760	\N	\N	\N
331391	1128	1996-04-09	VYDAJ	VYBER	1300	38535	\N	\N	\N
331392	1128	1996-05-09	VYDAJ	VYBER	3500	39289	\N	\N	\N
331393	1128	1996-06-08	VYDAJ	VYBER	5100	33325	\N	\N	\N
331394	1128	1996-11-05	VYDAJ	VYBER	2500	33874	\N	\N	\N
331395	1128	1996-12-05	VYDAJ	VYBER	4500	33635	\N	\N	\N
331396	1128	1997-01-04	VYDAJ	VYBER	2700	32477	\N	\N	\N
331397	1128	1997-09-01	VYDAJ	VYBER	200	39395	\N	\N	\N
331398	1128	1997-11-30	VYDAJ	VYBER	1700	45819	\N	\N	\N
331399	1128	1997-12-30	VYDAJ	VYBER	5100	44838	\N	\N	\N
331400	1128	1998-01-29	VYDAJ	VYBER	100	38401	\N	\N	\N
331401	1128	1998-02-28	VYDAJ	VYBER	2800	40033	\N	\N	\N
331402	1128	1998-04-29	VYDAJ	VYBER	1800	46632	\N	\N	\N
331403	1128	1998-05-29	VYDAJ	VYBER	2900	44268	\N	\N	\N
331461	1129	1995-03-03	PRIJEM	VKLAD	600	600	\N	\N	\N
331464	1129	1995-03-10	PRIJEM	VKLAD	24589	25189	\N	\N	\N
331465	1129	1995-04-10	PRIJEM	VKLAD	24589	47153	\N	\N	\N
331466	1129	1995-05-10	PRIJEM	VKLAD	24589	58911	\N	\N	\N
331467	1129	1995-06-10	PRIJEM	VKLAD	36884	79326	\N	\N	\N
331468	1129	1995-07-10	PRIJEM	VKLAD	24589	75620	\N	\N	\N
331469	1129	1995-08-10	PRIJEM	VKLAD	24589	68601	\N	\N	\N
331470	1129	1995-09-10	PRIJEM	VKLAD	24589	60628	\N	\N	\N
331471	1129	1995-10-10	PRIJEM	VKLAD	24589	61162	\N	\N	\N
331472	1129	1995-11-10	PRIJEM	VKLAD	24589	65157	\N	\N	\N
331473	1129	1995-12-10	PRIJEM	VKLAD	36884	71666	\N	\N	\N
331474	1129	1996-01-10	PRIJEM	VKLAD	24589	64365	\N	\N	\N
331475	1129	1996-02-10	PRIJEM	VKLAD	24589	58692	\N	\N	\N
331476	1129	1996-03-10	PRIJEM	VKLAD	24589	59647	\N	\N	\N
331477	1129	1996-04-10	PRIJEM	VKLAD	24589	65234	\N	\N	\N
331478	1129	1996-05-10	PRIJEM	VKLAD	24589	66940	\N	\N	\N
331479	1129	1996-06-10	PRIJEM	VKLAD	36884	77623	\N	\N	\N
331480	1129	1996-07-10	PRIJEM	VKLAD	24589	37396	\N	\N	\N
331481	1129	1996-08-10	PRIJEM	VKLAD	24589	49292	\N	\N	\N
331482	1129	1996-09-10	PRIJEM	VKLAD	24589	53810	\N	\N	\N
331483	1129	1996-10-10	PRIJEM	VKLAD	24589	50902	\N	\N	\N
331484	1129	1996-11-10	PRIJEM	VKLAD	24589	57646	\N	\N	\N
331485	1129	1996-12-10	PRIJEM	VKLAD	36884	68126	\N	\N	\N
331486	1129	1997-01-10	PRIJEM	VKLAD	24589	57390	\N	\N	\N
331487	1129	1997-02-10	PRIJEM	VKLAD	24589	40506	\N	\N	\N
331488	1129	1997-03-10	PRIJEM	VKLAD	24589	49406	\N	\N	\N
331489	1129	1997-04-10	PRIJEM	VKLAD	24589	54642	\N	\N	\N
331490	1129	1997-05-10	PRIJEM	VKLAD	24589	55090	\N	\N	\N
331491	1129	1997-06-10	PRIJEM	VKLAD	36884	68021	\N	\N	\N
331492	1129	1997-07-10	PRIJEM	VKLAD	24589	48897	\N	\N	\N
331493	1129	1997-08-10	PRIJEM	VKLAD	24589	57731	\N	\N	\N
331494	1129	1997-09-10	PRIJEM	VKLAD	24589	59289	\N	\N	\N
331495	1129	1997-10-10	PRIJEM	VKLAD	24589	64056	\N	\N	\N
331496	1129	1997-11-10	PRIJEM	VKLAD	24589	65336	\N	\N	\N
331497	1129	1997-12-10	PRIJEM	VKLAD	36884	78339	\N	\N	\N
331498	1129	1998-01-10	PRIJEM	VKLAD	24589	68166	\N	\N	\N
331499	1129	1998-02-10	PRIJEM	VKLAD	24589	49382	\N	\N	\N
331500	1129	1998-03-10	PRIJEM	VKLAD	24589	55807	\N	\N	\N
331501	1129	1998-04-10	PRIJEM	VKLAD	24589	63162	\N	\N	\N
331502	1129	1998-05-10	PRIJEM	VKLAD	24589	63196	\N	\N	\N
331503	1129	1998-06-10	PRIJEM	VKLAD	36884	54248	\N	\N	\N
331504	1129	1998-07-10	PRIJEM	VKLAD	24589	60419	\N	\N	\N
331505	1129	1998-08-10	PRIJEM	VKLAD	24589	67093	\N	\N	\N
331506	1129	1998-09-10	PRIJEM	VKLAD	24589	71406	\N	\N	\N
331507	1129	1998-10-10	PRIJEM	VKLAD	24589	75712	\N	\N	\N
331508	1129	1998-11-10	PRIJEM	VKLAD	24589	77830	\N	\N	\N
331509	1129	1998-12-10	PRIJEM	VKLAD	36884	91649	\N	\N	\N
331516	1129	1995-07-13	VYDAJ	PREVOD NA UCET	4604	71016	SIPO	OP	21761328
331517	1129	1995-08-13	VYDAJ	PREVOD NA UCET	4604	63997	SIPO	OP	21761328
331518	1129	1995-09-13	VYDAJ	PREVOD NA UCET	4604	56024	SIPO	OP	21761328
331519	1129	1995-10-13	VYDAJ	PREVOD NA UCET	4604	56558	SIPO	OP	21761328
331520	1129	1995-11-13	VYDAJ	PREVOD NA UCET	4604	60553	SIPO	OP	21761328
331521	1129	1995-12-13	VYDAJ	PREVOD NA UCET	4604	67062	SIPO	OP	21761328
331522	1129	1996-01-13	VYDAJ	PREVOD NA UCET	4604	47481	SIPO	OP	21761328
331523	1129	1996-02-13	VYDAJ	PREVOD NA UCET	4604	52168	SIPO	OP	21761328
331524	1129	1996-03-13	VYDAJ	PREVOD NA UCET	4604	55043	SIPO	OP	21761328
331525	1129	1996-04-13	VYDAJ	PREVOD NA UCET	4604	60630	SIPO	OP	21761328
331526	1129	1996-05-13	VYDAJ	PREVOD NA UCET	4604	62336	SIPO	OP	21761328
331527	1129	1996-06-13	VYDAJ	PREVOD NA UCET	4604	73019	SIPO	OP	21761328
331528	1129	1996-07-13	VYDAJ	PREVOD NA UCET	4604	32792	SIPO	OP	21761328
331529	1129	1996-08-13	VYDAJ	PREVOD NA UCET	4604	44688	SIPO	OP	21761328
331530	1129	1996-09-13	VYDAJ	PREVOD NA UCET	4604	49206	SIPO	OP	21761328
331531	1129	1996-10-13	VYDAJ	PREVOD NA UCET	4604	46298	SIPO	OP	21761328
331532	1129	1996-11-13	VYDAJ	PREVOD NA UCET	4604	53042	SIPO	OP	21761328
331533	1129	1996-12-13	VYDAJ	PREVOD NA UCET	4604	63522	SIPO	OP	21761328
331534	1129	1997-01-13	VYDAJ	PREVOD NA UCET	4604	52066	SIPO	OP	21761328
331535	1129	1997-02-13	VYDAJ	PREVOD NA UCET	4604	35902	SIPO	OP	21761328
331536	1129	1997-03-13	VYDAJ	PREVOD NA UCET	4604	44802	SIPO	OP	21761328
331537	1129	1997-04-13	VYDAJ	PREVOD NA UCET	4604	50038	SIPO	OP	21761328
331538	1129	1997-05-13	VYDAJ	PREVOD NA UCET	4604	50486	SIPO	OP	21761328
331539	1129	1997-06-13	VYDAJ	PREVOD NA UCET	4604	63417	SIPO	OP	21761328
331540	1129	1997-07-13	VYDAJ	PREVOD NA UCET	4604	44293	SIPO	OP	21761328
331541	1129	1997-08-13	VYDAJ	PREVOD NA UCET	4604	53127	SIPO	OP	21761328
331542	1129	1997-09-13	VYDAJ	PREVOD NA UCET	4604	54685	SIPO	OP	21761328
331543	1129	1997-10-13	VYDAJ	PREVOD NA UCET	4604	59452	SIPO	OP	21761328
331544	1129	1997-11-13	VYDAJ	PREVOD NA UCET	4604	60732	SIPO	OP	21761328
331545	1129	1997-12-13	VYDAJ	PREVOD NA UCET	4604	73735	SIPO	OP	21761328
331546	1129	1998-01-13	VYDAJ	PREVOD NA UCET	4604	59602	SIPO	OP	21761328
331547	1129	1998-02-13	VYDAJ	PREVOD NA UCET	4604	44778	SIPO	OP	21761328
331548	1129	1998-03-13	VYDAJ	PREVOD NA UCET	4604	51203	SIPO	OP	21761328
331549	1129	1998-04-13	VYDAJ	PREVOD NA UCET	4604	58558	SIPO	OP	21761328
331550	1129	1998-05-13	VYDAJ	PREVOD NA UCET	4604	58592	SIPO	OP	21761328
331551	1129	1998-06-13	VYDAJ	PREVOD NA UCET	4604	49644	SIPO	OP	21761328
331552	1129	1998-07-13	VYDAJ	PREVOD NA UCET	4604	55815	SIPO	OP	21761328
331553	1129	1998-08-13	VYDAJ	PREVOD NA UCET	4604	62489	SIPO	OP	21761328
331554	1129	1998-09-13	VYDAJ	PREVOD NA UCET	4604	66802	SIPO	OP	21761328
331555	1129	1998-10-13	VYDAJ	PREVOD NA UCET	4604	55108	SIPO	OP	21761328
331556	1129	1998-11-13	VYDAJ	PREVOD NA UCET	4604	56626	SIPO	OP	21761328
331557	1129	1998-12-13	VYDAJ	PREVOD NA UCET	4604	62145	SIPO	OP	21761328
331565	1129	1995-08-05	VYDAJ	PREVOD NA UCET	2085	44012	 	EF	57572519
331566	1129	1995-09-05	VYDAJ	PREVOD NA UCET	2085	41439	 	EF	57572519
331567	1129	1995-10-05	VYDAJ	PREVOD NA UCET	2085	36573	 	EF	57572519
331568	1129	1995-11-05	VYDAJ	PREVOD NA UCET	2085	40568	 	EF	57572519
331569	1129	1995-12-05	VYDAJ	PREVOD NA UCET	2085	34782	 	EF	57572519
331570	1129	1996-01-05	VYDAJ	PREVOD NA UCET	2085	39776	 	EF	57572519
331571	1129	1996-02-05	VYDAJ	PREVOD NA UCET	2085	34103	 	EF	57572519
331572	1129	1996-03-05	VYDAJ	PREVOD NA UCET	2085	35058	 	EF	57572519
331573	1129	1996-04-05	VYDAJ	PREVOD NA UCET	2085	40645	 	EF	57572519
331574	1129	1996-05-05	VYDAJ	PREVOD NA UCET	2085	42351	 	EF	57572519
331575	1129	1996-06-05	VYDAJ	PREVOD NA UCET	2085	40739	 	EF	57572519
331576	1129	1996-07-05	VYDAJ	PREVOD NA UCET	2085	12807	 	EF	57572519
331577	1129	1996-08-05	VYDAJ	PREVOD NA UCET	2085	24703	 	EF	57572519
331578	1129	1996-09-05	VYDAJ	PREVOD NA UCET	2085	30541	 	EF	57572519
331579	1129	1996-10-05	VYDAJ	PREVOD NA UCET	2085	26313	 	EF	57572519
331580	1129	1996-11-05	VYDAJ	PREVOD NA UCET	2085	33057	 	EF	57572519
331581	1129	1996-12-05	VYDAJ	PREVOD NA UCET	2085	31242	 	EF	57572519
331582	1129	1997-01-05	VYDAJ	PREVOD NA UCET	2085	39521	 	EF	57572519
331583	1129	1997-02-05	VYDAJ	PREVOD NA UCET	2085	15917	 	EF	57572519
331584	1129	1997-03-05	VYDAJ	PREVOD NA UCET	2085	24817	 	EF	57572519
331585	1129	1997-04-05	VYDAJ	PREVOD NA UCET	2085	30053	 	EF	57572519
331586	1129	1997-05-05	VYDAJ	PREVOD NA UCET	2085	30501	 	EF	57572519
331587	1129	1997-06-05	VYDAJ	PREVOD NA UCET	2085	36057	 	EF	57572519
331588	1129	1997-07-05	VYDAJ	PREVOD NA UCET	2085	24308	 	EF	57572519
331589	1129	1997-08-05	VYDAJ	PREVOD NA UCET	2085	33142	 	EF	57572519
331590	1129	1997-09-05	VYDAJ	PREVOD NA UCET	2085	34700	 	EF	57572519
331591	1129	1997-10-05	VYDAJ	PREVOD NA UCET	2085	39467	 	EF	57572519
331592	1129	1997-11-05	VYDAJ	PREVOD NA UCET	2085	40747	 	EF	57572519
331593	1129	1997-12-05	VYDAJ	PREVOD NA UCET	2085	41455	 	EF	57572519
331594	1129	1998-01-05	VYDAJ	PREVOD NA UCET	2085	45617	 	EF	57572519
331595	1129	1998-02-05	VYDAJ	PREVOD NA UCET	2085	24793	 	EF	57572519
331596	1129	1998-03-05	VYDAJ	PREVOD NA UCET	2085	31218	 	EF	57572519
331597	1129	1998-04-05	VYDAJ	PREVOD NA UCET	2085	38573	 	EF	57572519
331598	1129	1998-05-05	VYDAJ	PREVOD NA UCET	2085	38607	 	EF	57572519
331599	1129	1998-06-05	VYDAJ	PREVOD NA UCET	2085	17364	 	EF	57572519
331600	1129	1998-07-05	VYDAJ	PREVOD NA UCET	2085	40510	 	EF	57572519
331601	1129	1998-08-05	VYDAJ	PREVOD NA UCET	2085	42504	 	EF	57572519
331602	1129	1998-09-05	VYDAJ	PREVOD NA UCET	2085	47537	 	EF	57572519
331603	1129	1998-10-05	VYDAJ	PREVOD NA UCET	2085	51123	 	EF	57572519
331604	1129	1998-11-05	VYDAJ	PREVOD NA UCET	2085	53241	 	EF	57572519
331605	1129	1998-12-05	VYDAJ	PREVOD NA UCET	2085	54765	 	EF	57572519
331607	1129	1996-06-27	VYDAJ	VYBER	31040	14679	\N	\N	\N
331608	1129	1997-06-19	VYDAJ	VYBER	35680	27737	\N	\N	\N
331609	1129	1998-06-04	VYDAJ	VYBER	25120	19449	\N	\N	\N
331611	1129	1996-01-12	VYDAJ	VYBER	11200	52085	\N	\N	\N
331612	1129	1997-01-29	VYDAJ	VYBER	14080	20006	\N	\N	\N
331613	1129	1998-01-21	VYDAJ	VYBER	10880	31042	\N	\N	\N
331614	1129	1995-12-02	VYDAJ	VYBER	3200	36867	\N	\N	\N
331615	1129	1996-12-01	VYDAJ	VYBER	2080	33327	\N	\N	\N
331616	1129	1997-12-23	VYDAJ	VYBER	4640	47495	\N	\N	\N
331617	1129	1998-12-27	VYDAJ	VYBER	1440	60705	\N	\N	\N
331624	1129	1996-01-23	VYDAJ	VYBER	3240	40521	\N	\N	\N
331625	1129	1996-01-10	VYDAJ	VYBER	1080	63285	\N	\N	\N
331626	1129	1996-01-03	VYDAJ	VYBER	1560	41861	\N	\N	\N
331627	1129	1996-01-16	VYDAJ	VYBER	2160	45321	\N	\N	\N
331628	1129	1996-01-18	VYDAJ	VYBER	1560	43761	\N	\N	\N
331629	1129	1996-01-02	VYDAJ	VYBER	2760	43421	\N	\N	\N
331630	1129	1997-01-18	VYDAJ	VYBER	2280	49786	\N	\N	\N
331631	1129	1997-01-09	VYDAJ	VYBER	3360	34601	\N	\N	\N
331632	1129	1997-01-29	VYDAJ	VYBER	2160	17846	\N	\N	\N
331633	1129	1997-01-09	VYDAJ	VYBER	1800	32801	\N	\N	\N
331634	1129	1997-01-22	VYDAJ	VYBER	2400	34086	\N	\N	\N
331635	1129	1997-01-08	VYDAJ	VYBER	1560	37961	\N	\N	\N
331636	1129	1998-01-13	VYDAJ	VYBER	2880	56722	\N	\N	\N
331637	1129	1998-01-11	VYDAJ	VYBER	3360	64206	\N	\N	\N
331638	1129	1998-01-10	VYDAJ	VYBER	600	67566	\N	\N	\N
331639	1129	1998-01-22	VYDAJ	VYBER	2880	28162	\N	\N	\N
331640	1129	1998-01-06	VYDAJ	VYBER	2040	43577	\N	\N	\N
331641	1129	1998-01-23	VYDAJ	VYBER	1440	26722	\N	\N	\N
331642	1129	1995-07-18	VYDAJ	VYBER	4800	66216	\N	\N	\N
331643	1129	1995-09-22	VYDAJ	VYBER	2160	53864	\N	\N	\N
331644	1129	1995-11-28	VYDAJ	VYBER	3000	57553	\N	\N	\N
331645	1129	1995-09-06	VYDAJ	VYBER	5400	36039	\N	\N	\N
331646	1129	1996-09-30	VYDAJ	VYBER	5760	28398	\N	\N	\N
331647	1129	1996-05-22	VYDAJ	VYBER	1920	60416	\N	\N	\N
331648	1129	1996-09-06	VYDAJ	VYBER	1320	29221	\N	\N	\N
331649	1129	1996-02-12	VYDAJ	VYBER	1920	56772	\N	\N	\N
331650	1129	1996-12-01	VYDAJ	VYBER	1200	35407	\N	\N	\N
331651	1129	1997-03-30	VYDAJ	VYBER	1800	32002	\N	\N	\N
331652	1129	1997-11-27	VYDAJ	VYBER	3480	43352	\N	\N	\N
331653	1129	1997-08-21	VYDAJ	VYBER	1800	36627	\N	\N	\N
331654	1129	1997-01-12	VYDAJ	VYBER	720	56670	\N	\N	\N
331655	1129	1997-06-09	VYDAJ	VYBER	4920	31137	\N	\N	\N
331656	1129	1998-07-09	VYDAJ	VYBER	4680	35830	\N	\N	\N
331657	1129	1998-09-09	VYDAJ	VYBER	720	46817	\N	\N	\N
331658	1129	1998-04-25	VYDAJ	VYBER	3840	40518	\N	\N	\N
331659	1129	1998-08-18	VYDAJ	VYBER	1560	49429	\N	\N	\N
331660	1129	1998-02-16	VYDAJ	VYBER	3600	33178	\N	\N	\N
331668	1129	1995-07-31	VYDAJ	VYBER	15	66497	SLUZBY	\N	\N
331669	1129	1995-08-31	VYDAJ	VYBER	15	43524	SLUZBY	\N	\N
331670	1129	1995-09-30	VYDAJ	VYBER	15	38658	SLUZBY	\N	\N
331671	1129	1995-10-31	VYDAJ	VYBER	15	42653	SLUZBY	\N	\N
331672	1129	1995-11-30	VYDAJ	VYBER	15	40067	SLUZBY	\N	\N
331673	1129	1995-12-31	VYDAJ	VYBER	15	46181	SLUZBY	\N	\N
331674	1129	1996-01-31	VYDAJ	VYBER	15	36188	SLUZBY	\N	\N
331675	1129	1996-02-29	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
331676	1129	1996-03-31	VYDAJ	VYBER	15	42730	SLUZBY	\N	\N
331677	1129	1996-04-30	VYDAJ	VYBER	15	44436	SLUZBY	\N	\N
331678	1129	1996-05-31	VYDAJ	VYBER	15	42824	SLUZBY	\N	\N
331679	1129	1996-06-30	VYDAJ	VYBER	15	14892	SLUZBY	\N	\N
331680	1129	1996-07-31	VYDAJ	VYBER	15	26788	SLUZBY	\N	\N
331681	1129	1996-08-31	VYDAJ	VYBER	15	32626	SLUZBY	\N	\N
331682	1129	1996-09-30	VYDAJ	VYBER	15	34158	SLUZBY	\N	\N
331683	1129	1996-10-31	VYDAJ	VYBER	15	35142	SLUZBY	\N	\N
331684	1129	1996-11-30	VYDAJ	VYBER	15	36607	SLUZBY	\N	\N
331685	1129	1996-12-31	VYDAJ	VYBER	15	41606	SLUZBY	\N	\N
331686	1129	1997-01-31	VYDAJ	VYBER	15	18002	SLUZBY	\N	\N
331687	1129	1997-02-28	VYDAJ	VYBER	15	26902	SLUZBY	\N	\N
331688	1129	1997-03-31	VYDAJ	VYBER	15	32138	SLUZBY	\N	\N
331689	1129	1997-04-30	VYDAJ	VYBER	15	32586	SLUZBY	\N	\N
331690	1129	1997-05-31	VYDAJ	VYBER	15	38142	SLUZBY	\N	\N
331691	1129	1997-06-30	VYDAJ	VYBER	15	26393	SLUZBY	\N	\N
331692	1129	1997-07-31	VYDAJ	VYBER	15	35227	SLUZBY	\N	\N
331693	1129	1997-08-31	VYDAJ	VYBER	15	36785	SLUZBY	\N	\N
331694	1129	1997-09-30	VYDAJ	VYBER	15	41552	SLUZBY	\N	\N
331695	1129	1997-10-31	VYDAJ	VYBER	15	42832	SLUZBY	\N	\N
331696	1129	1997-11-30	VYDAJ	VYBER	15	43540	SLUZBY	\N	\N
331697	1129	1997-12-31	VYDAJ	VYBER	15	47702	SLUZBY	\N	\N
331698	1129	1998-01-31	VYDAJ	VYBER	15	26878	SLUZBY	\N	\N
331699	1129	1998-02-28	VYDAJ	VYBER	15	33303	SLUZBY	\N	\N
331700	1129	1998-03-31	VYDAJ	VYBER	15	40658	SLUZBY	\N	\N
331701	1129	1998-04-30	VYDAJ	VYBER	15	40692	SLUZBY	\N	\N
331702	1129	1998-05-31	VYDAJ	VYBER	15	44569	SLUZBY	\N	\N
331703	1129	1998-06-30	VYDAJ	VYBER	15	42595	SLUZBY	\N	\N
331704	1129	1998-07-31	VYDAJ	VYBER	15	44589	SLUZBY	\N	\N
331705	1129	1998-08-31	VYDAJ	VYBER	15	49622	SLUZBY	\N	\N
331706	1129	1998-09-30	VYDAJ	VYBER	15	53208	SLUZBY	\N	\N
331707	1129	1998-10-31	VYDAJ	VYBER	15	55326	SLUZBY	\N	\N
331708	1129	1998-11-30	VYDAJ	VYBER	15	56850	SLUZBY	\N	\N
331709	1129	1995-04-02	VYDAJ	VYBER	2700	22564	\N	\N	\N
331710	1129	1995-05-02	VYDAJ	VYBER	13000	34322	\N	\N	\N
331711	1129	1995-06-01	VYDAJ	VYBER	16700	42442	\N	\N	\N
331712	1129	1995-07-01	VYDAJ	VYBER	28600	51031	\N	\N	\N
331713	1129	1995-07-31	VYDAJ	VYBER	20400	46097	\N	\N	\N
331714	1129	1995-08-30	VYDAJ	VYBER	20700	43297	\N	\N	\N
331715	1129	1995-09-29	VYDAJ	VYBER	15400	38464	\N	\N	\N
331716	1129	1995-10-29	VYDAJ	VYBER	14100	42458	\N	\N	\N
331717	1129	1995-11-28	VYDAJ	VYBER	17700	39853	\N	\N	\N
331718	1129	1995-12-28	VYDAJ	VYBER	21100	45962	\N	\N	\N
331719	1129	1996-01-27	VYDAJ	VYBER	4500	36021	\N	\N	\N
331720	1129	1996-02-26	VYDAJ	VYBER	15200	36968	\N	\N	\N
331721	1129	1996-03-27	VYDAJ	VYBER	12500	42543	\N	\N	\N
331722	1129	1996-04-26	VYDAJ	VYBER	16400	44230	\N	\N	\N
331723	1129	1996-05-26	VYDAJ	VYBER	17800	42616	\N	\N	\N
331724	1129	1996-06-25	VYDAJ	VYBER	27300	45719	\N	\N	\N
331725	1129	1996-07-25	VYDAJ	VYBER	6100	26692	\N	\N	\N
331726	1129	1996-08-24	VYDAJ	VYBER	12200	32488	\N	\N	\N
331727	1129	1996-09-23	VYDAJ	VYBER	15200	34006	\N	\N	\N
331728	1129	1996-10-23	VYDAJ	VYBER	11300	34998	\N	\N	\N
331729	1129	1996-11-22	VYDAJ	VYBER	16600	36442	\N	\N	\N
331730	1129	1996-12-22	VYDAJ	VYBER	22100	41422	\N	\N	\N
331731	1129	1997-01-21	VYDAJ	VYBER	13300	36486	\N	\N	\N
331732	1129	1997-02-20	VYDAJ	VYBER	9100	26802	\N	\N	\N
331733	1129	1997-03-22	VYDAJ	VYBER	11000	33802	\N	\N	\N
331734	1129	1997-04-21	VYDAJ	VYBER	17600	32438	\N	\N	\N
331735	1129	1997-05-21	VYDAJ	VYBER	12500	37986	\N	\N	\N
331736	1129	1997-06-20	VYDAJ	VYBER	1500	26237	\N	\N	\N
331737	1129	1997-07-20	VYDAJ	VYBER	9200	35093	\N	\N	\N
331738	1129	1997-08-19	VYDAJ	VYBER	14700	38427	\N	\N	\N
331739	1129	1997-09-18	VYDAJ	VYBER	13300	41385	\N	\N	\N
331740	1129	1997-10-18	VYDAJ	VYBER	16800	42652	\N	\N	\N
331741	1129	1997-11-17	VYDAJ	VYBER	13900	46832	\N	\N	\N
331742	1129	1997-12-17	VYDAJ	VYBER	21600	52135	\N	\N	\N
331743	1129	1998-01-16	VYDAJ	VYBER	14800	41922	\N	\N	\N
331744	1129	1998-02-15	VYDAJ	VYBER	8000	36778	\N	\N	\N
331745	1129	1998-03-17	VYDAJ	VYBER	10700	40503	\N	\N	\N
331746	1129	1998-04-16	VYDAJ	VYBER	14200	44358	\N	\N	\N
331747	1129	1998-05-16	VYDAJ	VYBER	14200	44392	\N	\N	\N
331748	1129	1998-06-15	VYDAJ	VYBER	7200	42444	\N	\N	\N
331749	1129	1998-07-15	VYDAJ	VYBER	11400	44415	\N	\N	\N
331750	1129	1998-08-14	VYDAJ	VYBER	11500	50989	\N	\N	\N
331751	1129	1998-09-13	VYDAJ	VYBER	13800	53002	\N	\N	\N
331752	1129	1998-10-13	VYDAJ	VYBER	16000	59712	\N	\N	\N
331753	1129	1998-11-12	VYDAJ	VYBER	16600	61230	\N	\N	\N
331754	1129	1998-12-12	VYDAJ	VYBER	24900	66749	\N	\N	\N
331801	1130	1997-05-11	PRIJEM	VKLAD	200	200	\N	\N	\N
331807	1130	1997-06-09	PRIJEM	PREVOD Z UCTU	6588	6788	DUCHOD	AB	50870400
331808	1130	1997-07-09	PRIJEM	PREVOD Z UCTU	6588	13376	DUCHOD	AB	50870400
331809	1130	1997-08-09	PRIJEM	PREVOD Z UCTU	6588	19964	DUCHOD	AB	50870400
331810	1130	1997-09-09	PRIJEM	PREVOD Z UCTU	6588	26552	DUCHOD	AB	50870400
331811	1130	1997-10-09	PRIJEM	PREVOD Z UCTU	6588	33140	DUCHOD	AB	50870400
331812	1130	1997-11-09	PRIJEM	PREVOD Z UCTU	6588	35356	DUCHOD	AB	50870400
331813	1130	1997-12-09	PRIJEM	PREVOD Z UCTU	6588	38624	DUCHOD	AB	50870400
331814	1130	1998-01-09	PRIJEM	PREVOD Z UCTU	6588	37163	DUCHOD	AB	50870400
331815	1130	1998-02-09	PRIJEM	PREVOD Z UCTU	6588	33872	DUCHOD	AB	50870400
331816	1130	1998-03-09	PRIJEM	PREVOD Z UCTU	6588	37229	DUCHOD	AB	50870400
331817	1130	1998-04-09	PRIJEM	PREVOD Z UCTU	6588	38983	DUCHOD	AB	50870400
331818	1130	1998-05-09	PRIJEM	PREVOD Z UCTU	6588	39462	DUCHOD	AB	50870400
331819	1130	1998-06-09	PRIJEM	PREVOD Z UCTU	6588	38263	DUCHOD	AB	50870400
331820	1130	1998-07-09	PRIJEM	PREVOD Z UCTU	6588	36445	DUCHOD	AB	50870400
331821	1130	1998-08-09	PRIJEM	PREVOD Z UCTU	6588	40222	DUCHOD	AB	50870400
331822	1130	1998-09-09	PRIJEM	PREVOD Z UCTU	6588	42810	DUCHOD	AB	50870400
331823	1130	1998-10-09	PRIJEM	PREVOD Z UCTU	6588	41004	DUCHOD	AB	50870400
331824	1130	1998-11-09	PRIJEM	PREVOD Z UCTU	6588	39897	DUCHOD	AB	50870400
331825	1130	1998-12-09	PRIJEM	PREVOD Z UCTU	6588	41689	DUCHOD	AB	50870400
331835	1130	1997-10-12	VYDAJ	PREVOD NA UCET	2241	30899	SIPO	QR	6974792
331836	1130	1997-11-12	VYDAJ	PREVOD NA UCET	2241	33115	SIPO	QR	6974792
331837	1130	1997-12-12	VYDAJ	PREVOD NA UCET	2241	36383	SIPO	QR	6974792
331838	1130	1998-01-12	VYDAJ	PREVOD NA UCET	2241	33082	SIPO	QR	6974792
331839	1130	1998-02-12	VYDAJ	PREVOD NA UCET	2241	31631	SIPO	QR	6974792
331840	1130	1998-03-12	VYDAJ	PREVOD NA UCET	2241	34988	SIPO	QR	6974792
331841	1130	1998-04-12	VYDAJ	PREVOD NA UCET	2241	36742	SIPO	QR	6974792
331842	1130	1998-05-12	VYDAJ	PREVOD NA UCET	2241	37221	SIPO	QR	6974792
331843	1130	1998-06-12	VYDAJ	PREVOD NA UCET	2241	36022	SIPO	QR	6974792
331844	1130	1998-07-12	VYDAJ	PREVOD NA UCET	2241	34204	SIPO	QR	6974792
331845	1130	1998-08-12	VYDAJ	PREVOD NA UCET	2241	37981	SIPO	QR	6974792
331846	1130	1998-09-12	VYDAJ	PREVOD NA UCET	2241	40569	SIPO	QR	6974792
331847	1130	1998-10-12	VYDAJ	PREVOD NA UCET	2241	38763	SIPO	QR	6974792
331848	1130	1998-11-12	VYDAJ	PREVOD NA UCET	2241	37656	SIPO	QR	6974792
331849	1130	1998-12-12	VYDAJ	PREVOD NA UCET	2241	38248	SIPO	QR	6974792
331850	1130	1997-12-22	VYDAJ	VYBER	1200	34703	\N	\N	\N
331851	1130	1998-12-09	VYDAJ	VYBER	1200	40489	\N	\N	\N
331858	1130	1998-01-11	VYDAJ	VYBER	1840	35323	\N	\N	\N
331859	1130	1998-01-28	VYDAJ	VYBER	1680	27162	\N	\N	\N
331860	1130	1998-01-08	VYDAJ	VYBER	640	30575	\N	\N	\N
331861	1130	1998-01-25	VYDAJ	VYBER	2080	30602	\N	\N	\N
331862	1130	1998-01-08	VYDAJ	VYBER	720	31215	\N	\N	\N
331863	1130	1998-01-26	VYDAJ	VYBER	1760	28842	\N	\N	\N
331867	1130	1997-12-18	VYDAJ	VYBER	480	35903	\N	\N	\N
331870	1130	1998-05-16	VYDAJ	VYBER	1280	35941	\N	\N	\N
331871	1130	1998-09-16	VYDAJ	VYBER	2800	37769	\N	\N	\N
331872	1130	1998-01-22	VYDAJ	VYBER	400	32682	\N	\N	\N
331873	1130	1998-05-17	VYDAJ	VYBER	2000	33941	\N	\N	\N
331874	1130	1998-03-29	VYDAJ	VYBER	2720	32268	\N	\N	\N
331885	1130	1997-10-31	VYDAJ	VYBER	15	30968	SLUZBY	\N	\N
331886	1130	1997-11-30	VYDAJ	VYBER	15	33236	SLUZBY	\N	\N
331887	1130	1997-12-31	VYDAJ	VYBER	15	34835	SLUZBY	\N	\N
331888	1130	1998-01-31	VYDAJ	VYBER	15	27284	SLUZBY	\N	\N
331889	1130	1998-02-28	VYDAJ	VYBER	15	31741	SLUZBY	\N	\N
331890	1130	1998-03-31	VYDAJ	VYBER	15	32395	SLUZBY	\N	\N
331891	1130	1998-04-30	VYDAJ	VYBER	15	36874	SLUZBY	\N	\N
331892	1130	1998-05-31	VYDAJ	VYBER	15	34075	SLUZBY	\N	\N
331893	1130	1998-06-30	VYDAJ	VYBER	15	36157	SLUZBY	\N	\N
331894	1130	1998-07-31	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
331895	1130	1998-08-31	VYDAJ	VYBER	15	38122	SLUZBY	\N	\N
331896	1130	1998-09-30	VYDAJ	VYBER	15	37916	SLUZBY	\N	\N
331897	1130	1998-10-31	VYDAJ	VYBER	15	38909	SLUZBY	\N	\N
331898	1130	1998-11-30	VYDAJ	VYBER	15	37801	SLUZBY	\N	\N
331899	1130	1997-11-07	VYDAJ	VYBER	2200	28768	\N	\N	\N
331900	1130	1997-12-07	VYDAJ	VYBER	1200	32036	\N	\N	\N
331901	1130	1998-01-06	VYDAJ	VYBER	2900	31935	\N	\N	\N
331902	1130	1998-03-07	VYDAJ	VYBER	1100	30641	\N	\N	\N
331903	1130	1998-05-06	VYDAJ	VYBER	4000	32874	\N	\N	\N
331904	1130	1998-06-05	VYDAJ	VYBER	2400	31675	\N	\N	\N
331905	1130	1998-07-05	VYDAJ	VYBER	6300	29857	\N	\N	\N
331906	1130	1998-08-04	VYDAJ	VYBER	700	33634	\N	\N	\N
331907	1130	1998-09-03	VYDAJ	VYBER	1900	36222	\N	\N	\N
331908	1130	1998-10-03	VYDAJ	VYBER	3500	34416	\N	\N	\N
331909	1130	1998-11-02	VYDAJ	VYBER	5600	33309	\N	\N	\N
331910	1130	1998-12-02	VYDAJ	VYBER	2700	35101	\N	\N	\N
332444	1132	1993-02-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
332446	1132	1993-02-09	PRIJEM	PREVOD Z UCTU	48098	49098	\N	ST	32223415
332447	1132	1993-03-09	PRIJEM	PREVOD Z UCTU	48098	85542	\N	ST	32223415
332448	1132	1993-04-09	PRIJEM	PREVOD Z UCTU	48098	103157	\N	ST	32223415
332449	1132	1993-05-09	PRIJEM	PREVOD Z UCTU	48098	111666	\N	ST	32223415
332450	1132	1993-06-09	PRIJEM	PREVOD Z UCTU	72147	114290	\N	ST	32223415
332451	1132	1993-07-09	PRIJEM	PREVOD Z UCTU	48098	77520	\N	ST	32223415
332452	1132	1993-08-09	PRIJEM	PREVOD Z UCTU	48098	85157	\N	ST	32223415
332453	1132	1993-09-09	PRIJEM	PREVOD Z UCTU	48098	98420	\N	ST	32223415
332454	1132	1993-10-09	PRIJEM	PREVOD Z UCTU	48098	112172	\N	ST	32223415
332455	1132	1993-11-09	PRIJEM	PREVOD Z UCTU	48098	87032	\N	ST	32223415
332456	1132	1993-12-09	PRIJEM	PREVOD Z UCTU	72147	127981	\N	ST	32223415
332457	1132	1994-01-09	PRIJEM	PREVOD Z UCTU	48098	83237	\N	ST	32223415
332458	1132	1994-02-09	PRIJEM	PREVOD Z UCTU	48098	71444	\N	ST	32223415
332459	1132	1994-03-09	PRIJEM	PREVOD Z UCTU	48098	76908	\N	ST	32223415
332460	1132	1994-04-09	PRIJEM	PREVOD Z UCTU	48098	95458	\N	ST	32223415
332461	1132	1994-05-09	PRIJEM	PREVOD Z UCTU	48098	96158	\N	ST	32223415
332462	1132	1994-06-09	PRIJEM	PREVOD Z UCTU	72147	129220	\N	ST	32223415
332463	1132	1994-07-09	PRIJEM	PREVOD Z UCTU	48098	60166	\N	ST	32223415
332464	1132	1994-08-09	PRIJEM	PREVOD Z UCTU	48098	86834	\N	ST	32223415
332465	1132	1994-09-09	PRIJEM	PREVOD Z UCTU	48098	104581	\N	ST	32223415
332466	1132	1994-10-09	PRIJEM	PREVOD Z UCTU	48098	101696	\N	ST	32223415
332467	1132	1994-11-09	PRIJEM	PREVOD Z UCTU	48098	105259	\N	ST	32223415
332468	1132	1994-12-09	PRIJEM	PREVOD Z UCTU	72147	125301	\N	ST	32223415
332469	1132	1995-01-09	PRIJEM	PREVOD Z UCTU	48098	84742	\N	ST	32223415
332470	1132	1995-02-09	PRIJEM	PREVOD Z UCTU	48098	97465	\N	ST	32223415
332471	1132	1995-03-09	PRIJEM	PREVOD Z UCTU	48098	107769	\N	ST	32223415
332472	1132	1995-04-09	PRIJEM	PREVOD Z UCTU	48098	116795	\N	ST	32223415
332473	1132	1995-05-09	PRIJEM	PREVOD Z UCTU	48098	96429	\N	ST	32223415
332474	1132	1995-06-09	PRIJEM	PREVOD Z UCTU	72147	129145	\N	ST	32223415
332475	1132	1995-07-09	PRIJEM	PREVOD Z UCTU	48098	113710	\N	ST	32223415
332476	1132	1995-08-09	PRIJEM	PREVOD Z UCTU	48098	115335	\N	ST	32223415
332477	1132	1995-09-09	PRIJEM	PREVOD Z UCTU	48098	106516	\N	ST	32223415
332478	1132	1995-10-09	PRIJEM	PREVOD Z UCTU	48098	108219	\N	ST	32223415
332479	1132	1995-11-09	PRIJEM	PREVOD Z UCTU	48098	115371	\N	ST	32223415
332480	1132	1995-12-09	PRIJEM	PREVOD Z UCTU	72147	130330	\N	ST	32223415
332481	1132	1996-01-09	PRIJEM	PREVOD Z UCTU	48098	104300	\N	ST	32223415
332482	1132	1996-02-09	PRIJEM	PREVOD Z UCTU	48098	79427	\N	ST	32223415
332483	1132	1996-03-09	PRIJEM	PREVOD Z UCTU	48098	97125	\N	ST	32223415
332484	1132	1996-04-09	PRIJEM	PREVOD Z UCTU	48098	100605	\N	ST	32223415
332485	1132	1996-05-09	PRIJEM	PREVOD Z UCTU	48098	108354	\N	ST	32223415
332486	1132	1996-06-09	PRIJEM	PREVOD Z UCTU	72147	113676	\N	ST	32223415
332487	1132	1996-07-09	PRIJEM	PREVOD Z UCTU	48098	72226	\N	ST	32223415
332488	1132	1996-08-09	PRIJEM	PREVOD Z UCTU	48098	96622	\N	ST	32223415
332489	1132	1996-09-09	PRIJEM	PREVOD Z UCTU	48098	111521	\N	ST	32223415
332490	1132	1996-10-09	PRIJEM	PREVOD Z UCTU	48098	109108	\N	ST	32223415
332491	1132	1996-11-09	PRIJEM	PREVOD Z UCTU	48098	109981	\N	ST	32223415
332492	1132	1996-12-09	PRIJEM	PREVOD Z UCTU	72147	143674	\N	ST	32223415
332493	1132	1997-01-09	PRIJEM	PREVOD Z UCTU	48098	91658	\N	ST	32223415
332494	1132	1997-02-09	PRIJEM	PREVOD Z UCTU	48098	76827	\N	ST	32223415
332495	1132	1997-03-09	PRIJEM	PREVOD Z UCTU	48098	85826	\N	ST	32223415
332496	1132	1997-04-09	PRIJEM	PREVOD Z UCTU	48098	107600	\N	ST	32223415
332497	1132	1997-05-09	PRIJEM	PREVOD Z UCTU	48098	109639	\N	ST	32223415
332498	1132	1997-06-09	PRIJEM	PREVOD Z UCTU	72147	146475	\N	ST	32223415
332499	1132	1997-07-09	PRIJEM	PREVOD Z UCTU	48098	93015	\N	ST	32223415
332500	1132	1997-08-09	PRIJEM	PREVOD Z UCTU	48098	112617	\N	ST	32223415
332501	1132	1997-09-09	PRIJEM	PREVOD Z UCTU	48098	95777	\N	ST	32223415
332502	1132	1997-10-09	PRIJEM	PREVOD Z UCTU	48098	89007	\N	ST	32223415
332503	1132	1997-11-09	PRIJEM	PREVOD Z UCTU	48098	92860	\N	ST	32223415
332504	1132	1997-12-09	PRIJEM	PREVOD Z UCTU	72147	113231	\N	ST	32223415
332505	1132	1998-01-09	PRIJEM	PREVOD Z UCTU	48098	85952	\N	ST	32223415
332506	1132	1998-02-09	PRIJEM	PREVOD Z UCTU	48098	94621	\N	ST	32223415
332507	1132	1998-03-09	PRIJEM	PREVOD Z UCTU	48098	143045	\N	ST	32223415
332508	1132	1998-04-09	PRIJEM	PREVOD Z UCTU	48098	66163	\N	ST	32223415
332509	1132	1998-05-09	PRIJEM	PREVOD Z UCTU	48098	79234	\N	ST	32223415
332510	1132	1998-06-09	PRIJEM	PREVOD Z UCTU	72147	112421	\N	ST	32223415
332511	1132	1998-07-09	PRIJEM	PREVOD Z UCTU	48098	86687	\N	ST	32223415
332512	1132	1998-08-09	PRIJEM	PREVOD Z UCTU	48098	99448	\N	ST	32223415
332513	1132	1998-09-09	PRIJEM	PREVOD Z UCTU	48098	103834	\N	ST	32223415
332514	1132	1998-10-09	PRIJEM	PREVOD Z UCTU	48098	116888	\N	ST	32223415
332515	1132	1998-11-09	PRIJEM	PREVOD Z UCTU	48098	113257	\N	ST	32223415
332516	1132	1998-12-09	PRIJEM	PREVOD Z UCTU	72147	144511	\N	ST	32223415
332517	1132	1993-07-03	VYBER	VYBER	4961	48322	\N	\N	\N
332519	1132	1993-07-11	VYBER	VYBER	19031	58489	\N	\N	\N
332523	1132	1993-08-17	VYBER	VYBER	11594	73563	\N	\N	\N
332529	1132	1994-01-19	VYBER	VYBER	9877	49871	\N	\N	\N
332530	1132	1994-04-28	VYBER	VYBER	14866	72150	\N	\N	\N
332531	1132	1994-10-10	VYBER	VYBER	15702	85994	\N	\N	\N
332532	1132	1994-04-27	VYBER	VYBER	6164	87016	\N	\N	\N
332533	1132	1994-01-02	VYBER	VYBER	8235	35139	\N	\N	\N
332534	1132	1994-09-11	VYBER	VYBER	24636	79945	\N	\N	\N
332535	1132	1994-04-29	VYBER	VYBER	2582	69568	\N	\N	\N
332536	1132	1994-11-28	VYBER	VYBER	13616	52943	\N	\N	\N
332537	1132	1994-12-14	VYBER	VYBER	9110	77591	\N	\N	\N
332538	1132	1994-12-22	VYBER	VYBER	11782	65809	\N	\N	\N
332539	1132	1994-03-04	VYBER	VYBER	22307	28810	\N	\N	\N
332540	1132	1994-07-21	VYBER	VYBER	6894	53272	\N	\N	\N
332541	1132	1994-01-12	VYBER	VYBER	15389	67848	\N	\N	\N
332542	1132	1994-04-09	VYBER	VYBER	2278	93180	\N	\N	\N
332543	1132	1995-10-13	VYBER	VYBER	9317	98902	\N	\N	\N
332544	1132	1995-06-02	VYBER	VYBER	9021	56998	\N	\N	\N
332545	1132	1995-09-13	VYBER	VYBER	19142	87374	\N	\N	\N
332546	1132	1995-12-28	VYBER	VYBER	6808	55922	\N	\N	\N
332547	1132	1996-12-26	VYBER	VYBER	19973	47501	\N	\N	\N
332548	1132	1996-07-01	VYBER	VYBER	21562	24128	\N	\N	\N
332549	1132	1996-06-07	VYBER	VYBER	19964	41529	\N	\N	\N
332550	1132	1996-03-28	VYBER	VYBER	12010	52315	\N	\N	\N
332551	1132	1996-09-09	VYBER	VYBER	9789	101732	\N	\N	\N
332552	1132	1996-02-04	VYBER	VYBER	4588	31329	\N	\N	\N
332553	1132	1997-09-06	VYBER	VYBER	4385	47679	\N	\N	\N
332554	1132	1997-09-02	VYBER	VYBER	7305	52064	\N	\N	\N
332555	1132	1997-02-21	VYBER	VYBER	8228	37599	\N	\N	\N
332556	1132	1997-11-20	VYBER	VYBER	6867	54693	\N	\N	\N
332557	1132	1997-09-16	VYBER	VYBER	11042	40735	\N	\N	\N
332558	1132	1998-11-03	VYBER	VYBER	15237	83959	\N	\N	\N
332559	1132	1998-12-05	VYBER	VYBER	3887	72364	\N	\N	\N
332560	1132	1998-12-28	VYBER	VYBER	16474	70037	\N	\N	\N
332561	1132	1998-08-14	VYBER	VYBER	23880	69368	\N	\N	\N
332562	1132	1998-04-17	VYBER	VYBER	23164	42999	\N	\N	\N
332563	1132	1998-03-19	VYBER	VYBER	19823	15679	\N	\N	\N
332564	1132	1998-08-09	VYBER	VYBER	6200	93248	\N	\N	\N
332565	1132	1998-07-29	VYBER	VYBER	20118	66569	\N	\N	\N
332566	1132	1998-10-09	VYBER	VYBER	5586	111302	\N	\N	\N
332567	1132	1998-06-04	VYBER	VYBER	8179	48174	\N	\N	\N
332568	1132	1998-06-16	VYBER	VYBER	24423	87998	\N	\N	\N
332569	1132	1998-10-23	VYBER	VYBER	3291	98795	\N	\N	\N
332570	1132	1998-03-15	VYBER	VYBER	20643	35502	\N	\N	\N
332571	1132	1998-10-22	VYBER	VYBER	9216	102086	\N	\N	\N
332573	1132	1994-06-29	VYDAJ	VYBER	46500	22820	\N	\N	\N
332575	1132	1996-06-04	VYDAJ	VYBER	9600	61493	\N	\N	\N
332576	1132	1997-06-15	VYDAJ	VYBER	35400	44675	\N	\N	\N
332577	1132	1998-06-26	VYDAJ	VYBER	33300	54698	\N	\N	\N
332578	1132	1993-12-17	VYDAJ	VYBER	5700	63981	\N	\N	\N
332579	1132	1994-12-27	VYDAJ	VYBER	8700	39109	\N	\N	\N
332580	1132	1995-12-08	VYDAJ	VYBER	2100	58183	\N	\N	\N
332581	1132	1996-12-10	VYDAJ	VYBER	3000	100574	\N	\N	\N
332582	1132	1997-12-11	VYDAJ	VYBER	3600	64331	\N	\N	\N
332583	1132	1998-12-21	VYDAJ	VYBER KARTOU	1800	86511	\N	\N	0
332590	1132	1994-01-29	VYDAJ	VYBER	4200	27371	\N	\N	\N
332591	1132	1994-01-21	VYDAJ	VYBER	7800	42071	\N	\N	\N
332592	1132	1994-01-29	VYDAJ	VYBER	4200	23171	\N	\N	\N
332593	1132	1994-01-24	VYDAJ	VYBER	4500	37571	\N	\N	\N
332594	1132	1994-01-28	VYDAJ	VYBER	8100	29471	\N	\N	\N
332595	1132	1994-01-14	VYDAJ	VYBER	8100	59748	\N	\N	\N
332596	1132	1995-01-26	VYDAJ	VYBER	2400	49142	\N	\N	\N
332597	1132	1995-01-23	VYDAJ	VYBER	4800	67642	\N	\N	\N
332598	1132	1995-01-11	VYDAJ	VYBER	3600	81142	\N	\N	\N
332599	1132	1995-01-20	VYDAJ	VYBER	4800	72442	\N	\N	\N
332600	1132	1995-01-08	VYDAJ	VYBER	2700	36644	\N	\N	\N
332601	1132	1995-01-19	VYDAJ	VYBER	3900	77242	\N	\N	\N
332602	1132	1996-01-19	VYDAJ	VYBER	8100	92600	\N	\N	\N
332603	1132	1996-01-22	VYDAJ	VYBER	8700	51300	\N	\N	\N
332604	1132	1996-01-25	VYDAJ	VYBER	6900	44400	\N	\N	\N
332605	1132	1996-01-28	VYDAJ	VYBER	3900	35700	\N	\N	\N
332606	1132	1996-01-28	VYDAJ	VYBER	4800	39600	\N	\N	\N
332607	1132	1996-01-15	VYDAJ	VYBER	3600	100700	\N	\N	\N
332608	1132	1997-01-12	VYDAJ	VYBER	6900	82058	\N	\N	\N
332609	1132	1997-01-28	VYDAJ	VYBER	5700	28558	\N	\N	\N
332610	1132	1997-01-25	VYDAJ	VYBER	6600	34258	\N	\N	\N
332611	1132	1997-01-25	VYDAJ	VYBER	3600	40858	\N	\N	\N
332612	1132	1997-01-10	VYDAJ	VYBER	2700	88958	\N	\N	\N
332613	1132	1997-01-05	VYDAJ	VYBER	4200	43560	\N	\N	\N
332614	1132	1998-01-21	VYDAJ	VYBER	6000	79952	\N	\N	\N
332615	1132	1998-01-29	VYDAJ	VYBER	4500	67952	\N	\N	\N
332616	1132	1998-01-04	VYDAJ	VYBER	7200	57354	\N	\N	\N
332617	1132	1998-01-25	VYDAJ	VYBER	7500	72452	\N	\N	\N
332618	1132	1998-01-05	VYDAJ	VYBER	2700	52554	\N	\N	\N
332619	1132	1998-01-04	VYDAJ	VYBER	2100	55254	\N	\N	\N
332621	1132	1993-10-21	VYDAJ	VYBER	10500	53372	\N	\N	\N
332623	1132	1993-07-19	VYDAJ	VYBER	14700	43789	\N	\N	\N
332624	1132	1993-10-11	VYDAJ	VYBER	7500	65972	\N	\N	\N
332625	1132	1993-11-19	VYDAJ	VYBER	4800	82232	\N	\N	\N
332626	1132	1993-10-14	VYDAJ	VYBER	2100	63872	\N	\N	\N
332627	1132	1993-07-03	VYDAJ	VYBER	13800	34522	\N	\N	\N
332628	1132	1994-07-05	VYDAJ	VYBER	11100	12068	\N	\N	\N
332629	1132	1994-05-21	VYDAJ	VYBER	2700	93458	\N	\N	\N
332630	1132	1994-05-24	VYDAJ	VYBER	12000	81458	\N	\N	\N
332631	1132	1994-03-25	VYDAJ	VYBER	5700	71208	\N	\N	\N
332632	1132	1994-08-09	VYDAJ	VYBER	4500	82334	\N	\N	\N
332633	1132	1995-02-19	VYDAJ	VYBER	12600	84865	\N	\N	\N
332634	1132	1995-07-23	VYDAJ	VYBER	8100	66910	\N	\N	\N
332635	1132	1995-07-09	VYDAJ	VYBER	8400	105310	\N	\N	\N
332636	1132	1995-08-21	VYDAJ	VYBER	6600	87535	\N	\N	\N
332637	1132	1996-02-21	VYDAJ	VYBER	7500	48827	\N	\N	\N
332638	1132	1996-04-09	VYDAJ	VYBER	6900	93705	\N	\N	\N
332639	1132	1996-10-21	VYDAJ	VYBER	9300	61608	\N	\N	\N
332640	1132	1996-10-04	VYDAJ	VYBER	5700	61010	\N	\N	\N
332641	1132	1996-06-12	VYDAJ	VYBER	8700	58076	\N	\N	\N
332642	1132	1996-04-17	VYDAJ	VYBER	7500	86205	\N	\N	\N
332643	1132	1996-07-28	VYDAJ	VYBER	3900	48326	\N	\N	\N
332644	1132	1996-01-20	VYDAJ	VYBER	3300	60000	\N	\N	\N
332645	1132	1997-12-05	VYDAJ	VYBER	13800	41084	\N	\N	\N
332646	1132	1997-08-29	VYDAJ	VYBER	13800	59117	\N	\N	\N
332647	1132	1997-10-15	VYDAJ	VYBER	13800	44607	\N	\N	\N
332648	1132	1997-09-15	VYDAJ	VYBER	10800	51777	\N	\N	\N
332649	1132	1997-05-01	VYDAJ	VYBER	9300	61541	\N	\N	\N
332650	1132	1997-02-20	VYDAJ	VYBER	8700	45827	\N	\N	\N
332651	1132	1997-01-16	VYDAJ	VYBER	12900	44458	\N	\N	\N
332652	1132	1998-05-06	VYDAJ	VYBER	12000	31136	\N	\N	\N
332653	1132	1998-06-01	VYDAJ	VYBER	10500	56353	\N	\N	\N
332654	1132	1998-05-11	VYDAJ	VYBER	12600	66634	\N	\N	\N
332661	1132	1993-06-30	VYDAJ	VYBER	30	53283	SLUZBY	\N	\N
332662	1132	1993-07-31	VYDAJ	VYBER	30	43959	SLUZBY	\N	\N
332663	1132	1993-08-31	VYDAJ	VYBER	30	73822	SLUZBY	\N	\N
332664	1132	1993-09-30	VYDAJ	VYBER	30	98774	SLUZBY	\N	\N
332665	1132	1993-10-31	VYDAJ	VYBER	30	38934	SLUZBY	\N	\N
332666	1132	1993-11-30	VYDAJ	VYBER	30	55834	SLUZBY	\N	\N
332667	1132	1993-12-31	VYDAJ	VYBER	30	43374	SLUZBY	\N	\N
332668	1132	1994-01-31	VYDAJ	VYBER	30	23346	SLUZBY	\N	\N
332669	1132	1994-02-28	VYDAJ	VYBER	30	71517	SLUZBY	\N	\N
332670	1132	1994-03-31	VYDAJ	VYBER	30	47360	SLUZBY	\N	\N
332671	1132	1994-04-30	VYDAJ	VYBER	30	48060	SLUZBY	\N	\N
332672	1132	1994-05-31	VYDAJ	VYBER	30	57073	SLUZBY	\N	\N
332673	1132	1994-06-30	VYDAJ	VYBER	30	23168	SLUZBY	\N	\N
332674	1132	1994-07-31	VYDAJ	VYBER	30	38736	SLUZBY	\N	\N
332675	1132	1994-08-31	VYDAJ	VYBER	30	56483	SLUZBY	\N	\N
332676	1132	1994-09-30	VYDAJ	VYBER	30	53598	SLUZBY	\N	\N
332677	1132	1994-10-31	VYDAJ	VYBER	30	57161	SLUZBY	\N	\N
332678	1132	1994-11-30	VYDAJ	VYBER	30	53154	SLUZBY	\N	\N
332679	1132	1994-12-31	VYDAJ	VYBER	30	39344	SLUZBY	\N	\N
332680	1132	1995-01-31	VYDAJ	VYBER	30	49367	SLUZBY	\N	\N
332681	1132	1995-02-28	VYDAJ	VYBER	30	59671	SLUZBY	\N	\N
332682	1132	1995-03-31	VYDAJ	VYBER	30	68697	SLUZBY	\N	\N
332683	1132	1995-04-30	VYDAJ	VYBER	30	48331	SLUZBY	\N	\N
332684	1132	1995-05-31	VYDAJ	VYBER	30	66019	SLUZBY	\N	\N
332685	1132	1995-06-30	VYDAJ	VYBER	30	65612	SLUZBY	\N	\N
332686	1132	1995-07-31	VYDAJ	VYBER	30	67237	SLUZBY	\N	\N
332687	1132	1995-08-31	VYDAJ	VYBER	30	58418	SLUZBY	\N	\N
332688	1132	1995-09-30	VYDAJ	VYBER	30	60121	SLUZBY	\N	\N
332689	1132	1995-10-31	VYDAJ	VYBER	30	67273	SLUZBY	\N	\N
332690	1132	1995-11-30	VYDAJ	VYBER	30	60283	SLUZBY	\N	\N
332691	1132	1995-12-31	VYDAJ	VYBER	30	56202	SLUZBY	\N	\N
332692	1132	1996-01-31	VYDAJ	VYBER	30	35917	SLUZBY	\N	\N
332693	1132	1996-02-29	VYDAJ	VYBER	30	49027	SLUZBY	\N	\N
332694	1132	1996-03-31	VYDAJ	VYBER	30	52507	SLUZBY	\N	\N
332695	1132	1996-04-30	VYDAJ	VYBER	30	60256	SLUZBY	\N	\N
332696	1132	1996-05-31	VYDAJ	VYBER	30	71093	SLUZBY	\N	\N
332697	1132	1996-06-30	VYDAJ	VYBER	30	45690	SLUZBY	\N	\N
332698	1132	1996-07-31	VYDAJ	VYBER	30	48524	SLUZBY	\N	\N
332699	1132	1996-08-31	VYDAJ	VYBER	30	63423	SLUZBY	\N	\N
332700	1132	1996-09-30	VYDAJ	VYBER	30	66710	SLUZBY	\N	\N
332701	1132	1996-10-31	VYDAJ	VYBER	30	61883	SLUZBY	\N	\N
332702	1132	1996-11-30	VYDAJ	VYBER	30	71527	SLUZBY	\N	\N
332703	1132	1996-12-31	VYDAJ	VYBER	30	47760	SLUZBY	\N	\N
332704	1132	1997-01-31	VYDAJ	VYBER	30	28729	SLUZBY	\N	\N
332705	1132	1997-02-28	VYDAJ	VYBER	30	37728	SLUZBY	\N	\N
332706	1132	1997-03-31	VYDAJ	VYBER	30	59502	SLUZBY	\N	\N
332707	1132	1997-04-30	VYDAJ	VYBER	30	70841	SLUZBY	\N	\N
332708	1132	1997-05-31	VYDAJ	VYBER	30	74328	SLUZBY	\N	\N
332709	1132	1997-06-30	VYDAJ	VYBER	30	44917	SLUZBY	\N	\N
332710	1132	1997-07-31	VYDAJ	VYBER	30	64519	SLUZBY	\N	\N
332711	1132	1997-08-31	VYDAJ	VYBER	30	59369	SLUZBY	\N	\N
332712	1132	1997-09-30	VYDAJ	VYBER	30	40909	SLUZBY	\N	\N
332713	1132	1997-10-31	VYDAJ	VYBER	30	44762	SLUZBY	\N	\N
332714	1132	1997-11-30	VYDAJ	VYBER	30	54884	SLUZBY	\N	\N
332715	1132	1997-12-31	VYDAJ	VYBER	30	64554	SLUZBY	\N	\N
332716	1132	1998-01-31	VYDAJ	VYBER	30	68223	SLUZBY	\N	\N
332717	1132	1998-02-28	VYDAJ	VYBER	30	94947	SLUZBY	\N	\N
332718	1132	1998-03-31	VYDAJ	VYBER	30	15865	SLUZBY	\N	\N
332719	1132	1998-04-30	VYDAJ	VYBER	30	43136	SLUZBY	\N	\N
332720	1132	1998-05-31	VYDAJ	VYBER	30	66853	SLUZBY	\N	\N
332721	1132	1998-06-30	VYDAJ	VYBER	30	54989	SLUZBY	\N	\N
332722	1132	1998-07-31	VYDAJ	VYBER	30	66850	SLUZBY	\N	\N
332723	1132	1998-08-31	VYDAJ	VYBER	30	69636	SLUZBY	\N	\N
332724	1132	1998-09-30	VYDAJ	VYBER	30	104190	SLUZBY	\N	\N
332725	1132	1998-10-31	VYDAJ	VYBER	30	99196	SLUZBY	\N	\N
332726	1132	1998-11-30	VYDAJ	VYBER	30	113651	SLUZBY	\N	\N
332727	1132	1993-03-05	VYDAJ	VYBER	11800	37444	\N	\N	\N
332728	1132	1993-04-04	VYDAJ	VYBER	30800	55059	\N	\N	\N
332729	1132	1993-05-04	VYDAJ	VYBER	40000	63568	\N	\N	\N
332730	1132	1993-05-09	VYDAJ	VYBER	57700	53966	\N	\N	\N
332731	1132	1993-06-03	VYDAJ	VYBER	12100	42143	\N	\N	\N
332732	1132	1993-06-09	VYDAJ	VYBER	61200	53090	\N	\N	\N
332733	1132	1993-07-03	VYDAJ	VYBER	5100	29422	\N	\N	\N
332734	1132	1993-08-02	VYDAJ	VYBER	6900	37059	\N	\N	\N
332735	1132	1993-09-01	VYDAJ	VYBER	23500	50322	\N	\N	\N
332736	1132	1993-10-01	VYDAJ	VYBER	34700	64074	\N	\N	\N
332737	1132	1993-10-09	VYDAJ	VYBER	38700	73472	\N	\N	\N
332738	1132	1993-10-31	VYDAJ	VYBER	14700	38964	\N	\N	\N
332739	1132	1993-11-30	VYDAJ	VYBER	26600	55864	\N	\N	\N
332740	1132	1993-12-09	VYDAJ	VYBER	58300	69681	\N	\N	\N
332741	1132	1993-12-30	VYDAJ	VYBER	20900	43081	\N	\N	\N
332742	1132	1994-01-29	PRIJEM	VKLAD	2100	31571	\N	\N	\N
332743	1132	1994-02-28	VYDAJ	VYBER	20400	51117	\N	\N	\N
332744	1132	1994-03-30	VYDAJ	VYBER	24100	47108	\N	\N	\N
332745	1132	1994-04-29	VYDAJ	VYBER	21800	47768	\N	\N	\N
332746	1132	1994-05-29	VYDAJ	VYBER	24600	56858	\N	\N	\N
332747	1132	1994-06-09	VYDAJ	VYBER	16700	112520	\N	\N	\N
332748	1132	1994-06-28	VYDAJ	VYBER	43200	69320	\N	\N	\N
332749	1132	1994-07-28	VYDAJ	VYBER	14700	38572	\N	\N	\N
332750	1132	1994-08-27	VYDAJ	VYBER	26100	56234	\N	\N	\N
332751	1132	1994-09-26	VYDAJ	VYBER	26600	53345	\N	\N	\N
332752	1132	1994-10-26	VYDAJ	VYBER	29100	56894	\N	\N	\N
332753	1132	1994-11-25	VYDAJ	VYBER	38700	66559	\N	\N	\N
332754	1132	1994-12-09	VYDAJ	VYBER	38600	86701	\N	\N	\N
332755	1132	1994-12-25	VYDAJ	VYBER	18000	47809	\N	\N	\N
332756	1132	1995-01-24	VYDAJ	VYBER	16100	51542	\N	\N	\N
332757	1132	1995-02-23	VYDAJ	VYBER	25400	59465	\N	\N	\N
332758	1132	1995-03-25	VYDAJ	VYBER	39300	68469	\N	\N	\N
332759	1132	1995-04-09	VYDAJ	VYBER	50000	66795	\N	\N	\N
332760	1132	1995-04-24	VYDAJ	VYBER	18800	47995	\N	\N	\N
332761	1132	1995-05-24	VYDAJ	VYBER	30600	65829	\N	\N	\N
332762	1132	1995-06-09	VYDAJ	VYBER	30900	98245	\N	\N	\N
332763	1132	1995-06-23	VYDAJ	VYBER	33000	65245	\N	\N	\N
332764	1132	1995-07-23	VYDAJ	VYBER	30300	75010	\N	\N	\N
332765	1132	1995-08-09	VYDAJ	VYBER	21200	94135	\N	\N	\N
332766	1132	1995-08-22	VYDAJ	VYBER	29400	58135	\N	\N	\N
332767	1132	1995-09-21	VYDAJ	VYBER	27500	59874	\N	\N	\N
332768	1132	1995-10-21	VYDAJ	VYBER	31900	67002	\N	\N	\N
332769	1132	1995-11-09	VYDAJ	VYBER	23200	92171	\N	\N	\N
332770	1132	1995-11-20	VYDAJ	VYBER	32200	59971	\N	\N	\N
332771	1132	1995-12-09	VYDAJ	VYBER	29100	101230	\N	\N	\N
332772	1132	1995-12-20	VYDAJ	VYBER	38500	62730	\N	\N	\N
332773	1132	1996-01-19	VYDAJ	VYBER	29300	63300	\N	\N	\N
332774	1132	1996-02-18	VYDAJ	VYBER	23100	56327	\N	\N	\N
332775	1132	1996-03-19	VYDAJ	VYBER	32800	64325	\N	\N	\N
332776	1132	1996-04-18	VYDAJ	VYBER	26200	60005	\N	\N	\N
332777	1132	1996-05-18	VYDAJ	VYBER	37500	70854	\N	\N	\N
332778	1132	1996-06-09	VYDAJ	VYBER	46900	66776	\N	\N	\N
332779	1132	1996-06-17	VYDAJ	VYBER	12600	45476	\N	\N	\N
332780	1132	1996-07-17	VYDAJ	VYBER	20000	52226	\N	\N	\N
332781	1132	1996-08-16	VYDAJ	VYBER	33400	63222	\N	\N	\N
332782	1132	1996-09-15	VYDAJ	VYBER	35300	66432	\N	\N	\N
332783	1132	1996-10-15	VYDAJ	VYBER	38200	70908	\N	\N	\N
332784	1132	1996-11-14	VYDAJ	VYBER	38700	71281	\N	\N	\N
332785	1132	1996-12-09	VYDAJ	VYBER	40100	103574	\N	\N	\N
332786	1132	1996-12-14	VYDAJ	VYBER	33100	67474	\N	\N	\N
332787	1132	1997-01-13	VYDAJ	VYBER	24700	57358	\N	\N	\N
332788	1132	1997-02-12	VYDAJ	VYBER	22300	54527	\N	\N	\N
332789	1132	1997-03-14	VYDAJ	VYBER	26500	59326	\N	\N	\N
332790	1132	1997-04-13	VYDAJ	VYBER	37000	70600	\N	\N	\N
332791	1132	1997-05-13	VYDAJ	VYBER	35600	74039	\N	\N	\N
332792	1132	1997-06-09	VYDAJ	VYBER	15900	130575	\N	\N	\N
332793	1132	1997-06-12	VYDAJ	VYBER	50500	80075	\N	\N	\N
332794	1132	1997-07-12	VYDAJ	VYBER	28700	64315	\N	\N	\N
332795	1132	1997-08-11	VYDAJ	VYBER	39700	72917	\N	\N	\N
332796	1132	1997-09-10	VYDAJ	VYBER	33200	62577	\N	\N	\N
332797	1132	1997-10-10	VYDAJ	VYBER	30600	58407	\N	\N	\N
332798	1132	1997-11-09	VYDAJ	VYBER	31300	61560	\N	\N	\N
332799	1132	1997-12-09	VYDAJ	VYBER	45300	67931	\N	\N	\N
332800	1132	1998-01-08	VYDAJ	VYBER	14700	37854	\N	\N	\N
332801	1132	1998-02-07	VYDAJ	VYBER	21700	46523	\N	\N	\N
332802	1132	1998-03-09	VYDAJ	VYBER	51600	91445	\N	\N	\N
332803	1132	1998-03-09	VYDAJ	VYBER	35300	56145	\N	\N	\N
332804	1132	1998-04-08	PRIJEM	VKLAD	2200	18065	\N	\N	\N
332805	1132	1998-06-07	VYDAJ	VYBER	7900	40274	\N	\N	\N
332806	1132	1998-07-07	VYDAJ	VYBER	16400	38589	\N	\N	\N
332807	1132	1998-08-06	VYDAJ	VYBER	15500	51350	\N	\N	\N
332808	1132	1998-09-05	VYDAJ	VYBER	13900	55736	\N	\N	\N
332809	1132	1998-10-05	VYDAJ	VYBER	35400	68790	\N	\N	\N
332810	1132	1998-11-04	VYDAJ	VYBER	18800	65159	\N	\N	\N
332811	1132	1998-12-04	VYDAJ	VYBER	37400	76251	\N	\N	\N
332812	1132	1998-12-09	VYDAJ	VYBER	56200	88311	\N	\N	\N
332886	1133	1993-11-01	PRIJEM	VKLAD	900	900	\N	\N	\N
332897	1133	1993-11-09	PRIJEM	PREVOD Z UCTU	4498	5398	DUCHOD	CD	86693453
332898	1133	1993-12-09	PRIJEM	PREVOD Z UCTU	4498	9913	DUCHOD	CD	86693453
332899	1133	1994-01-09	PRIJEM	PREVOD Z UCTU	4498	14433	DUCHOD	CD	86693453
332900	1133	1994-02-09	PRIJEM	PREVOD Z UCTU	4498	18954	DUCHOD	CD	86693453
332901	1133	1994-03-09	PRIJEM	PREVOD Z UCTU	4498	23474	DUCHOD	CD	86693453
332902	1133	1994-04-09	PRIJEM	PREVOD Z UCTU	4498	22544	DUCHOD	CD	86693453
332903	1133	1994-05-09	PRIJEM	PREVOD Z UCTU	4498	24114	DUCHOD	CD	86693453
332904	1133	1994-06-09	PRIJEM	PREVOD Z UCTU	4498	15990	DUCHOD	CD	86693453
332905	1133	1994-07-09	PRIJEM	PREVOD Z UCTU	4498	17061	DUCHOD	CD	86693453
332906	1133	1994-08-09	PRIJEM	PREVOD Z UCTU	4498	18608	DUCHOD	CD	86693453
332907	1133	1994-09-09	PRIJEM	PREVOD Z UCTU	4498	20161	DUCHOD	CD	86693453
332908	1133	1994-10-09	PRIJEM	PREVOD Z UCTU	4498	19241	DUCHOD	CD	86693453
332909	1133	1994-11-09	PRIJEM	PREVOD Z UCTU	4498	20799	DUCHOD	CD	86693453
332910	1133	1994-12-09	PRIJEM	PREVOD Z UCTU	4498	22361	DUCHOD	CD	86693453
332911	1133	1995-01-09	PRIJEM	PREVOD Z UCTU	4498	16904	DUCHOD	CD	86693453
332912	1133	1995-02-09	PRIJEM	PREVOD Z UCTU	4498	18454	DUCHOD	CD	86693453
332913	1133	1995-03-09	PRIJEM	PREVOD Z UCTU	4498	18906	DUCHOD	CD	86693453
332914	1133	1995-04-09	PRIJEM	PREVOD Z UCTU	4498	18780	DUCHOD	CD	86693453
332915	1133	1995-05-09	PRIJEM	PREVOD Z UCTU	4498	20335	DUCHOD	CD	86693453
332916	1133	1995-06-09	PRIJEM	PREVOD Z UCTU	4498	21895	DUCHOD	CD	86693453
332917	1133	1995-07-09	PRIJEM	PREVOD Z UCTU	4498	19217	DUCHOD	CD	86693453
332918	1133	1995-08-09	PRIJEM	PREVOD Z UCTU	4498	15867	DUCHOD	CD	86693453
332919	1133	1995-09-09	PRIJEM	PREVOD Z UCTU	4498	16107	DUCHOD	CD	86693453
332920	1133	1995-10-09	PRIJEM	PREVOD Z UCTU	4498	17649	DUCHOD	CD	86693453
332921	1133	1995-11-09	PRIJEM	PREVOD Z UCTU	4498	17696	DUCHOD	CD	86693453
332922	1133	1995-12-09	PRIJEM	PREVOD Z UCTU	4498	15640	DUCHOD	CD	86693453
332923	1133	1996-01-09	PRIJEM	PREVOD Z UCTU	4498	17181	DUCHOD	CD	86693453
332924	1133	1996-02-09	PRIJEM	PREVOD Z UCTU	4498	18728	DUCHOD	CD	86693453
332925	1133	1996-03-09	PRIJEM	PREVOD Z UCTU	4498	20281	DUCHOD	CD	86693453
332926	1133	1996-04-09	PRIJEM	PREVOD Z UCTU	4498	18715	DUCHOD	CD	86693453
332927	1133	1996-05-09	PRIJEM	PREVOD Z UCTU	4498	17462	DUCHOD	CD	86693453
332928	1133	1996-06-09	PRIJEM	PREVOD Z UCTU	4498	19010	DUCHOD	CD	86693453
332929	1133	1996-07-09	PRIJEM	PREVOD Z UCTU	4498	20564	DUCHOD	CD	86693453
332930	1133	1996-08-09	PRIJEM	PREVOD Z UCTU	4498	15412	DUCHOD	CD	86693453
332931	1133	1996-09-09	PRIJEM	PREVOD Z UCTU	4498	16951	DUCHOD	CD	86693453
332932	1133	1996-10-09	PRIJEM	PREVOD Z UCTU	4498	18497	DUCHOD	CD	86693453
332933	1133	1996-11-09	PRIJEM	PREVOD Z UCTU	4498	18926	DUCHOD	CD	86693453
332934	1133	1996-12-09	PRIJEM	PREVOD Z UCTU	4498	20480	DUCHOD	CD	86693453
332935	1133	1997-01-09	PRIJEM	PREVOD Z UCTU	4498	19736	DUCHOD	CD	86693453
332936	1133	1997-02-09	PRIJEM	PREVOD Z UCTU	4498	18187	DUCHOD	CD	86693453
332937	1133	1997-03-09	PRIJEM	PREVOD Z UCTU	4498	19738	DUCHOD	CD	86693453
332938	1133	1997-04-09	PRIJEM	PREVOD Z UCTU	4498	21295	DUCHOD	CD	86693453
332939	1133	1997-05-09	PRIJEM	PREVOD Z UCTU	4498	22859	DUCHOD	CD	86693453
332940	1133	1997-06-09	PRIJEM	PREVOD Z UCTU	4498	24429	DUCHOD	CD	86693453
332941	1133	1997-07-09	PRIJEM	PREVOD Z UCTU	4498	21093	DUCHOD	CD	86693453
332942	1133	1997-08-09	PRIJEM	PREVOD Z UCTU	4498	17843	DUCHOD	CD	86693453
332943	1133	1997-09-09	PRIJEM	PREVOD Z UCTU	4498	19392	DUCHOD	CD	86693453
332944	1133	1997-10-09	PRIJEM	PREVOD Z UCTU	4498	20947	DUCHOD	CD	86693453
332945	1133	1997-11-09	PRIJEM	PREVOD Z UCTU	4498	17708	DUCHOD	CD	86693453
332946	1133	1997-12-09	PRIJEM	PREVOD Z UCTU	4498	18377	DUCHOD	CD	86693453
332947	1133	1998-01-09	PRIJEM	PREVOD Z UCTU	4498	18926	DUCHOD	CD	86693453
332948	1133	1998-02-09	PRIJEM	PREVOD Z UCTU	4498	20479	DUCHOD	CD	86693453
332949	1133	1998-03-09	PRIJEM	PREVOD Z UCTU	4498	18998	DUCHOD	CD	86693453
332950	1133	1998-04-09	PRIJEM	PREVOD Z UCTU	4498	20555	DUCHOD	CD	86693453
332951	1133	1998-05-09	PRIJEM	PREVOD Z UCTU	4498	22114	DUCHOD	CD	86693453
332952	1133	1998-06-09	PRIJEM	PREVOD Z UCTU	4498	16561	DUCHOD	CD	86693453
332953	1133	1998-07-09	PRIJEM	PREVOD Z UCTU	4498	18104	DUCHOD	CD	86693453
332954	1133	1998-08-09	PRIJEM	PREVOD Z UCTU	4498	19653	DUCHOD	CD	86693453
332955	1133	1998-09-09	PRIJEM	PREVOD Z UCTU	4498	21209	DUCHOD	CD	86693453
332956	1133	1998-10-09	PRIJEM	PREVOD Z UCTU	4498	19567	DUCHOD	CD	86693453
332957	1133	1998-11-09	PRIJEM	PREVOD Z UCTU	4498	21122	DUCHOD	CD	86693453
332958	1133	1998-12-09	PRIJEM	PREVOD Z UCTU	4498	22684	DUCHOD	CD	86693453
332973	1133	1994-03-11	VYDAJ	PREVOD NA UCET	2103	21371	SIPO	WX	45995962
332974	1133	1994-04-11	VYDAJ	PREVOD NA UCET	2103	20441	SIPO	WX	45995962
332975	1133	1994-05-11	VYDAJ	PREVOD NA UCET	2103	22011	SIPO	WX	45995962
332976	1133	1994-06-11	VYDAJ	PREVOD NA UCET	2103	13887	SIPO	WX	45995962
332977	1133	1994-07-11	VYDAJ	PREVOD NA UCET	2103	14958	SIPO	WX	45995962
332978	1133	1994-08-11	VYDAJ	PREVOD NA UCET	2103	16505	SIPO	WX	45995962
332979	1133	1994-09-11	VYDAJ	PREVOD NA UCET	2103	18058	SIPO	WX	45995962
332980	1133	1994-10-11	VYDAJ	PREVOD NA UCET	2103	17138	SIPO	WX	45995962
332981	1133	1994-11-11	VYDAJ	PREVOD NA UCET	2103	18696	SIPO	WX	45995962
332982	1133	1994-12-11	VYDAJ	PREVOD NA UCET	2103	20258	SIPO	WX	45995962
332983	1133	1995-01-11	VYDAJ	PREVOD NA UCET	2103	14801	SIPO	WX	45995962
332984	1133	1995-02-11	VYDAJ	PREVOD NA UCET	2103	16351	SIPO	WX	45995962
332985	1133	1995-03-11	VYDAJ	PREVOD NA UCET	2103	16803	SIPO	WX	45995962
332986	1133	1995-04-11	VYDAJ	PREVOD NA UCET	2103	16677	SIPO	WX	45995962
332987	1133	1995-05-11	VYDAJ	PREVOD NA UCET	2103	18232	SIPO	WX	45995962
332988	1133	1995-06-11	VYDAJ	PREVOD NA UCET	2103	19792	SIPO	WX	45995962
332989	1133	1995-07-11	VYDAJ	PREVOD NA UCET	2103	17114	SIPO	WX	45995962
332990	1133	1995-08-11	VYDAJ	PREVOD NA UCET	2103	13764	SIPO	WX	45995962
332991	1133	1995-09-11	VYDAJ	PREVOD NA UCET	2103	14004	SIPO	WX	45995962
332992	1133	1995-10-11	VYDAJ	PREVOD NA UCET	2103	15546	SIPO	WX	45995962
332993	1133	1995-11-11	VYDAJ	PREVOD NA UCET	2103	15593	SIPO	WX	45995962
332994	1133	1995-12-11	VYDAJ	PREVOD NA UCET	2103	13537	SIPO	WX	45995962
332995	1133	1996-01-11	VYDAJ	PREVOD NA UCET	2103	15078	SIPO	WX	45995962
332996	1133	1996-02-11	VYDAJ	PREVOD NA UCET	2103	16625	SIPO	WX	45995962
332997	1133	1996-03-11	VYDAJ	PREVOD NA UCET	2103	18178	SIPO	WX	45995962
332998	1133	1996-04-11	VYDAJ	PREVOD NA UCET	2103	16612	SIPO	WX	45995962
332999	1133	1996-05-11	VYDAJ	PREVOD NA UCET	2103	15359	SIPO	WX	45995962
333000	1133	1996-06-11	VYDAJ	PREVOD NA UCET	2103	16907	SIPO	WX	45995962
333001	1133	1996-07-11	VYDAJ	PREVOD NA UCET	2103	18461	SIPO	WX	45995962
333002	1133	1996-08-11	VYDAJ	PREVOD NA UCET	2103	13309	SIPO	WX	45995962
333003	1133	1996-09-11	VYDAJ	PREVOD NA UCET	2103	14848	SIPO	WX	45995962
333004	1133	1996-10-11	VYDAJ	PREVOD NA UCET	2103	15274	SIPO	WX	45995962
333005	1133	1996-11-11	VYDAJ	PREVOD NA UCET	2103	16823	SIPO	WX	45995962
333006	1133	1996-12-11	VYDAJ	PREVOD NA UCET	2103	17177	SIPO	WX	45995962
333007	1133	1997-01-11	VYDAJ	PREVOD NA UCET	2103	17633	SIPO	WX	45995962
333008	1133	1997-02-11	VYDAJ	PREVOD NA UCET	2103	16084	SIPO	WX	45995962
333009	1133	1997-03-11	VYDAJ	PREVOD NA UCET	2103	17635	SIPO	WX	45995962
333010	1133	1997-04-11	VYDAJ	PREVOD NA UCET	2103	19192	SIPO	WX	45995962
333011	1133	1997-05-11	VYDAJ	PREVOD NA UCET	2103	20756	SIPO	WX	45995962
333012	1133	1997-06-11	VYDAJ	PREVOD NA UCET	2103	22326	SIPO	WX	45995962
333013	1133	1997-07-11	VYDAJ	PREVOD NA UCET	2103	18990	SIPO	WX	45995962
333014	1133	1997-08-11	VYDAJ	PREVOD NA UCET	2103	15740	SIPO	WX	45995962
333015	1133	1997-09-11	VYDAJ	PREVOD NA UCET	2103	17289	SIPO	WX	45995962
333016	1133	1997-10-11	VYDAJ	PREVOD NA UCET	2103	18844	SIPO	WX	45995962
333017	1133	1997-11-11	VYDAJ	PREVOD NA UCET	2103	15605	SIPO	WX	45995962
333018	1133	1997-12-11	VYDAJ	PREVOD NA UCET	2103	16274	SIPO	WX	45995962
333019	1133	1998-01-11	VYDAJ	PREVOD NA UCET	2103	16823	SIPO	WX	45995962
333020	1133	1998-02-11	VYDAJ	PREVOD NA UCET	2103	18376	SIPO	WX	45995962
333021	1133	1998-03-11	VYDAJ	PREVOD NA UCET	2103	16895	SIPO	WX	45995962
333022	1133	1998-04-11	VYDAJ	PREVOD NA UCET	2103	18452	SIPO	WX	45995962
333023	1133	1998-05-11	VYDAJ	PREVOD NA UCET	2103	12911	SIPO	WX	45995962
333024	1133	1998-06-11	VYDAJ	PREVOD NA UCET	2103	14458	SIPO	WX	45995962
333025	1133	1998-07-11	VYDAJ	PREVOD NA UCET	2103	16001	SIPO	WX	45995962
333026	1133	1998-08-11	VYDAJ	PREVOD NA UCET	2103	17550	SIPO	WX	45995962
333027	1133	1998-09-11	VYDAJ	PREVOD NA UCET	2103	19106	SIPO	WX	45995962
333028	1133	1998-10-11	VYDAJ	PREVOD NA UCET	2103	17464	SIPO	WX	45995962
333029	1133	1998-11-11	VYDAJ	PREVOD NA UCET	2103	19019	SIPO	WX	45995962
333030	1133	1998-12-11	VYDAJ	PREVOD NA UCET	2103	20581	SIPO	WX	45995962
333046	1133	1994-04-08	VYDAJ	PREVOD NA UCET	895	18046	 	ST	40755695
333047	1133	1994-05-08	VYDAJ	PREVOD NA UCET	895	19616	 	ST	40755695
333048	1133	1994-06-08	VYDAJ	PREVOD NA UCET	895	11492	 	ST	40755695
333049	1133	1994-07-08	VYDAJ	PREVOD NA UCET	895	12563	 	ST	40755695
333050	1133	1994-08-08	VYDAJ	PREVOD NA UCET	895	14110	 	ST	40755695
333051	1133	1994-09-08	VYDAJ	PREVOD NA UCET	895	15663	 	ST	40755695
333052	1133	1994-10-08	VYDAJ	PREVOD NA UCET	895	14743	 	ST	40755695
333053	1133	1994-11-08	VYDAJ	PREVOD NA UCET	895	16301	 	ST	40755695
333054	1133	1994-12-08	VYDAJ	PREVOD NA UCET	895	17863	 	ST	40755695
333055	1133	1995-01-08	VYDAJ	PREVOD NA UCET	895	12406	 	ST	40755695
333056	1133	1995-02-08	VYDAJ	PREVOD NA UCET	895	13956	 	ST	40755695
333057	1133	1995-03-08	VYDAJ	PREVOD NA UCET	895	14408	 	ST	40755695
333058	1133	1995-04-08	VYDAJ	PREVOD NA UCET	895	14282	 	ST	40755695
333059	1133	1995-05-08	VYDAJ	PREVOD NA UCET	895	15837	 	ST	40755695
333060	1133	1995-06-08	VYDAJ	PREVOD NA UCET	895	17397	 	ST	40755695
333061	1133	1995-07-08	VYDAJ	PREVOD NA UCET	895	14719	 	ST	40755695
333062	1133	1995-08-08	VYDAJ	PREVOD NA UCET	895	11369	 	ST	40755695
333063	1133	1995-09-08	VYDAJ	PREVOD NA UCET	895	11609	 	ST	40755695
333064	1133	1995-10-08	VYDAJ	PREVOD NA UCET	895	13151	 	ST	40755695
333065	1133	1995-11-08	VYDAJ	PREVOD NA UCET	895	13198	 	ST	40755695
333066	1133	1995-12-08	VYDAJ	PREVOD NA UCET	895	11142	 	ST	40755695
333067	1133	1996-01-08	VYDAJ	PREVOD NA UCET	895	12683	 	ST	40755695
333068	1133	1996-02-08	VYDAJ	PREVOD NA UCET	895	14230	 	ST	40755695
333069	1133	1996-03-08	VYDAJ	PREVOD NA UCET	895	15783	 	ST	40755695
333070	1133	1996-04-08	VYDAJ	PREVOD NA UCET	895	14217	 	ST	40755695
333071	1133	1996-05-08	VYDAJ	PREVOD NA UCET	895	12964	 	ST	40755695
333072	1133	1996-06-08	VYDAJ	PREVOD NA UCET	895	14512	 	ST	40755695
333073	1133	1996-07-08	VYDAJ	PREVOD NA UCET	895	16066	 	ST	40755695
333074	1133	1996-08-08	VYDAJ	PREVOD NA UCET	895	10914	 	ST	40755695
333075	1133	1996-09-08	VYDAJ	PREVOD NA UCET	895	12453	 	ST	40755695
333076	1133	1996-10-08	VYDAJ	PREVOD NA UCET	895	13999	 	ST	40755695
333077	1133	1996-11-08	VYDAJ	PREVOD NA UCET	895	14428	 	ST	40755695
333078	1133	1996-12-08	VYDAJ	PREVOD NA UCET	895	15982	 	ST	40755695
333079	1133	1997-01-08	VYDAJ	PREVOD NA UCET	895	15238	 	ST	40755695
333080	1133	1997-02-08	VYDAJ	PREVOD NA UCET	895	13689	 	ST	40755695
333081	1133	1997-03-08	VYDAJ	PREVOD NA UCET	895	15240	 	ST	40755695
333082	1133	1997-04-08	VYDAJ	PREVOD NA UCET	895	16797	 	ST	40755695
333083	1133	1997-05-08	VYDAJ	PREVOD NA UCET	895	18361	 	ST	40755695
333084	1133	1997-06-08	VYDAJ	PREVOD NA UCET	895	19931	 	ST	40755695
333085	1133	1997-07-08	VYDAJ	PREVOD NA UCET	895	16595	 	ST	40755695
333086	1133	1997-08-08	VYDAJ	PREVOD NA UCET	895	13345	 	ST	40755695
333087	1133	1997-09-08	VYDAJ	PREVOD NA UCET	895	14894	 	ST	40755695
333088	1133	1997-10-08	VYDAJ	PREVOD NA UCET	895	16449	 	ST	40755695
333089	1133	1997-11-08	VYDAJ	PREVOD NA UCET	895	13210	 	ST	40755695
333090	1133	1997-12-08	VYDAJ	PREVOD NA UCET	895	14759	 	ST	40755695
333091	1133	1998-01-08	VYDAJ	PREVOD NA UCET	895	14428	 	ST	40755695
333092	1133	1998-02-08	VYDAJ	PREVOD NA UCET	895	15981	 	ST	40755695
333093	1133	1998-03-08	VYDAJ	PREVOD NA UCET	895	14500	 	ST	40755695
333094	1133	1998-04-08	VYDAJ	PREVOD NA UCET	895	16057	 	ST	40755695
333095	1133	1998-05-08	VYDAJ	PREVOD NA UCET	895	17616	 	ST	40755695
333096	1133	1998-06-08	VYDAJ	PREVOD NA UCET	895	12063	 	ST	40755695
333097	1133	1998-07-08	VYDAJ	PREVOD NA UCET	895	13606	 	ST	40755695
333098	1133	1998-08-08	VYDAJ	PREVOD NA UCET	895	15155	 	ST	40755695
333099	1133	1998-09-08	VYDAJ	PREVOD NA UCET	895	16711	 	ST	40755695
333100	1133	1998-10-08	VYDAJ	PREVOD NA UCET	895	15069	 	ST	40755695
333101	1133	1998-11-08	VYDAJ	PREVOD NA UCET	895	16624	 	ST	40755695
333102	1133	1998-12-08	VYDAJ	PREVOD NA UCET	895	18186	 	ST	40755695
333104	1133	1994-06-01	VYDAJ	VYBER	9700	12387	\N	\N	\N
333111	1133	1995-01-06	VYDAJ	VYBER	4300	13301	\N	\N	\N
333113	1133	1997-01-19	VYDAJ	VYBER	3100	14533	\N	\N	\N
333116	1133	1994-12-30	VYDAJ	VYBER	800	17538	\N	\N	\N
333118	1133	1996-12-28	VYDAJ	VYBER	1100	16077	\N	\N	\N
333119	1133	1997-12-13	VYDAJ	VYBER	1000	15274	\N	\N	\N
333120	1133	1998-12-21	VYDAJ	VYBER	750	19831	\N	\N	\N
333125	1133	1994-12-11	VYDAJ	VYBER	1920	18338	\N	\N	\N
333126	1133	1994-07-03	VYDAJ	VYBER	480	13458	\N	\N	\N
333127	1133	1994-10-04	VYDAJ	VYBER	2480	15638	\N	\N	\N
333128	1133	1994-03-24	VYDAJ	VYBER	2480	18891	\N	\N	\N
333130	1133	1995-04-07	VYDAJ	VYBER	1680	15177	\N	\N	\N
333133	1133	1995-06-22	VYDAJ	VYBER	3040	16752	\N	\N	\N
333136	1133	1996-10-10	VYDAJ	VYBER	1120	17377	\N	\N	\N
333137	1133	1996-04-15	VYDAJ	VYBER	2800	13812	\N	\N	\N
333139	1133	1996-03-18	VYDAJ	VYBER	3120	15058	\N	\N	\N
333140	1133	1996-12-10	VYDAJ	VYBER	1200	19280	\N	\N	\N
333142	1133	1997-12-08	VYDAJ	VYBER	880	13879	\N	\N	\N
333145	1133	1998-03-02	VYDAJ	VYBER	3040	15395	\N	\N	\N
333150	1133	1998-09-22	VYDAJ	VYBER	3200	15906	\N	\N	\N
333166	1133	1994-03-31	VYDAJ	VYBER	15	18941	SLUZBY	\N	\N
333167	1133	1994-04-30	VYDAJ	VYBER	15	20511	SLUZBY	\N	\N
333168	1133	1994-05-31	VYDAJ	VYBER	15	22087	SLUZBY	\N	\N
333169	1133	1994-06-30	VYDAJ	VYBER	15	13938	SLUZBY	\N	\N
333170	1133	1994-07-31	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
333171	1133	1994-08-31	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
333172	1133	1994-09-30	VYDAJ	VYBER	15	18118	SLUZBY	\N	\N
333173	1133	1994-10-31	VYDAJ	VYBER	15	17196	SLUZBY	\N	\N
333174	1133	1994-11-30	VYDAJ	VYBER	15	18758	SLUZBY	\N	\N
333175	1133	1994-12-31	VYDAJ	VYBER	15	17601	SLUZBY	\N	\N
333176	1133	1995-01-31	VYDAJ	VYBER	15	14851	SLUZBY	\N	\N
333177	1133	1995-02-28	VYDAJ	VYBER	15	15303	SLUZBY	\N	\N
333178	1133	1995-03-31	VYDAJ	VYBER	15	16857	SLUZBY	\N	\N
333179	1133	1995-04-30	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
333180	1133	1995-05-31	VYDAJ	VYBER	15	18292	SLUZBY	\N	\N
333181	1133	1995-06-30	VYDAJ	VYBER	15	15614	SLUZBY	\N	\N
333182	1133	1995-07-31	VYDAJ	VYBER	15	12264	SLUZBY	\N	\N
333183	1133	1995-08-31	VYDAJ	VYBER	15	12504	SLUZBY	\N	\N
333184	1133	1995-09-30	VYDAJ	VYBER	15	14046	SLUZBY	\N	\N
333185	1133	1995-10-31	VYDAJ	VYBER	15	14093	SLUZBY	\N	\N
333186	1133	1995-11-30	VYDAJ	VYBER	15	12037	SLUZBY	\N	\N
333187	1133	1995-12-31	VYDAJ	VYBER	15	13578	SLUZBY	\N	\N
333188	1133	1996-01-31	VYDAJ	VYBER	15	15125	SLUZBY	\N	\N
333189	1133	1996-02-29	VYDAJ	VYBER	15	16678	SLUZBY	\N	\N
333190	1133	1996-03-31	VYDAJ	VYBER	15	15112	SLUZBY	\N	\N
333191	1133	1996-04-30	VYDAJ	VYBER	15	13859	SLUZBY	\N	\N
333192	1133	1996-05-31	VYDAJ	VYBER	15	15407	SLUZBY	\N	\N
333193	1133	1996-06-30	VYDAJ	VYBER	15	16961	SLUZBY	\N	\N
333194	1133	1996-07-31	VYDAJ	VYBER	15	11809	SLUZBY	\N	\N
333195	1133	1996-08-31	VYDAJ	VYBER	15	13348	SLUZBY	\N	\N
333196	1133	1996-09-30	VYDAJ	VYBER	15	14894	SLUZBY	\N	\N
333197	1133	1996-10-31	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
333198	1133	1996-11-30	VYDAJ	VYBER	15	16877	SLUZBY	\N	\N
333199	1133	1996-12-31	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
333200	1133	1997-01-31	VYDAJ	VYBER	15	14584	SLUZBY	\N	\N
333201	1133	1997-02-28	VYDAJ	VYBER	15	16135	SLUZBY	\N	\N
333202	1133	1997-03-31	VYDAJ	VYBER	15	17692	SLUZBY	\N	\N
333203	1133	1997-04-30	VYDAJ	VYBER	15	19256	SLUZBY	\N	\N
333204	1133	1997-05-31	VYDAJ	VYBER	15	20826	SLUZBY	\N	\N
333205	1133	1997-06-30	VYDAJ	VYBER	15	17490	SLUZBY	\N	\N
333206	1133	1997-07-31	VYDAJ	VYBER	15	14240	SLUZBY	\N	\N
333207	1133	1997-08-31	VYDAJ	VYBER	15	15789	SLUZBY	\N	\N
333208	1133	1997-09-30	VYDAJ	VYBER	15	17344	SLUZBY	\N	\N
333209	1133	1997-10-31	VYDAJ	VYBER	15	14105	SLUZBY	\N	\N
333210	1133	1997-11-30	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
333211	1133	1997-12-31	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
333212	1133	1998-01-31	VYDAJ	VYBER	15	16876	SLUZBY	\N	\N
333213	1133	1998-02-28	VYDAJ	VYBER	15	18435	SLUZBY	\N	\N
333214	1133	1998-03-31	VYDAJ	VYBER	15	16952	SLUZBY	\N	\N
333215	1133	1998-04-30	VYDAJ	VYBER	15	18511	SLUZBY	\N	\N
333216	1133	1998-05-31	VYDAJ	VYBER	15	12958	SLUZBY	\N	\N
333217	1133	1998-06-30	VYDAJ	VYBER	15	14501	SLUZBY	\N	\N
333218	1133	1998-07-31	VYDAJ	VYBER	15	16050	SLUZBY	\N	\N
333219	1133	1998-08-31	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
333220	1133	1998-09-30	VYDAJ	VYBER	15	15964	SLUZBY	\N	\N
333221	1133	1998-10-31	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
333222	1133	1998-11-30	VYDAJ	VYBER	15	19081	SLUZBY	\N	\N
333223	1133	1995-02-24	VYDAJ	VYBER	1100	15251	\N	\N	\N
333224	1133	1995-06-24	VYDAJ	VYBER	1200	15552	\N	\N	\N
333225	1133	1995-07-24	VYDAJ	VYBER	4900	12214	\N	\N	\N
333226	1133	1995-08-23	VYDAJ	VYBER	1300	12464	\N	\N	\N
333227	1133	1995-10-22	VYDAJ	VYBER	1500	14046	\N	\N	\N
333228	1133	1995-11-21	VYDAJ	VYBER	3600	11993	\N	\N	\N
333229	1133	1996-07-18	VYDAJ	VYBER	6700	11761	\N	\N	\N
333230	1133	1997-06-13	VYDAJ	VYBER	4900	17426	\N	\N	\N
333231	1133	1997-07-13	VYDAJ	VYBER	4800	14190	\N	\N	\N
333232	1133	1997-10-11	VYDAJ	VYBER	4800	14044	\N	\N	\N
333233	1133	1998-05-09	VYDAJ	VYBER	7100	15014	\N	\N	\N
333296	1134	1993-02-09	PRIJEM	VKLAD	400	400	\N	\N	\N
333299	1134	1993-03-06	PRIJEM	VKLAD	11970	12370	\N	\N	\N
333300	1134	1993-04-06	PRIJEM	VKLAD	11970	32598	\N	\N	\N
333301	1134	1993-05-06	PRIJEM	VKLAD	11970	39875	\N	\N	\N
333302	1134	1993-06-06	PRIJEM	VKLAD	17955	49857	\N	\N	\N
333303	1134	1993-07-06	PRIJEM	VKLAD	11970	51583	\N	\N	\N
333304	1134	1993-08-06	PRIJEM	VKLAD	11970	44323	\N	\N	\N
333305	1134	1993-09-06	PRIJEM	VKLAD	11970	37939	\N	\N	\N
333306	1134	1993-10-06	PRIJEM	VKLAD	11970	37747	\N	\N	\N
333307	1134	1993-11-06	PRIJEM	VKLAD	11970	34144	\N	\N	\N
333308	1134	1993-12-06	PRIJEM	VKLAD	17955	42429	\N	\N	\N
333309	1134	1994-01-06	PRIJEM	VKLAD	11970	32735	\N	\N	\N
333310	1134	1994-02-06	PRIJEM	VKLAD	11970	25410	\N	\N	\N
333311	1134	1994-03-06	PRIJEM	VKLAD	11970	26075	\N	\N	\N
333312	1134	1994-04-06	PRIJEM	VKLAD	11970	36159	\N	\N	\N
333313	1134	1994-05-06	PRIJEM	VKLAD	11970	37178	\N	\N	\N
333314	1134	1994-06-06	PRIJEM	VKLAD	17955	39875	\N	\N	\N
333315	1134	1994-07-06	PRIJEM	VKLAD	11970	34699	\N	\N	\N
333316	1134	1994-08-06	PRIJEM	VKLAD	11970	31402	\N	\N	\N
333317	1134	1994-09-06	PRIJEM	VKLAD	11970	33699	\N	\N	\N
333318	1134	1994-10-06	PRIJEM	VKLAD	11970	31299	\N	\N	\N
333319	1134	1994-11-06	PRIJEM	VKLAD	11970	30502	\N	\N	\N
333320	1134	1994-12-06	PRIJEM	VKLAD	17955	38980	\N	\N	\N
333321	1134	1995-01-06	PRIJEM	VKLAD	11970	32008	\N	\N	\N
333322	1134	1995-02-06	PRIJEM	VKLAD	11970	25184	\N	\N	\N
333323	1134	1995-03-06	PRIJEM	VKLAD	11970	25851	\N	\N	\N
333324	1134	1995-04-06	PRIJEM	VKLAD	11970	27329	\N	\N	\N
333325	1134	1995-05-06	PRIJEM	VKLAD	11970	29413	\N	\N	\N
333326	1134	1995-06-06	PRIJEM	VKLAD	17955	35090	\N	\N	\N
333327	1134	1995-07-06	PRIJEM	VKLAD	11970	29793	\N	\N	\N
333328	1134	1995-08-06	PRIJEM	VKLAD	11970	28579	\N	\N	\N
333329	1134	1995-09-06	PRIJEM	VKLAD	11970	29066	\N	\N	\N
333330	1134	1995-10-06	PRIJEM	VKLAD	11970	28753	\N	\N	\N
333331	1134	1995-11-06	PRIJEM	VKLAD	11970	28734	\N	\N	\N
333332	1134	1995-12-06	PRIJEM	VKLAD	17955	34304	\N	\N	\N
333333	1134	1996-01-06	PRIJEM	VKLAD	11970	29097	\N	\N	\N
333334	1134	1996-02-06	PRIJEM	VKLAD	11970	21770	\N	\N	\N
333335	1134	1996-03-06	PRIJEM	VKLAD	11970	25919	\N	\N	\N
333336	1134	1996-04-06	PRIJEM	VKLAD	11970	28194	\N	\N	\N
333337	1134	1996-05-06	PRIJEM	VKLAD	11970	28075	\N	\N	\N
333338	1134	1996-06-06	PRIJEM	VKLAD	17955	32839	\N	\N	\N
333339	1134	1996-07-06	PRIJEM	VKLAD	11970	25417	\N	\N	\N
333340	1134	1996-08-06	PRIJEM	VKLAD	11970	25076	\N	\N	\N
333341	1134	1996-09-06	PRIJEM	VKLAD	11970	24035	\N	\N	\N
333342	1134	1996-10-06	PRIJEM	VKLAD	11970	25293	\N	\N	\N
333343	1134	1996-11-06	PRIJEM	VKLAD	11970	22055	\N	\N	\N
333344	1134	1996-12-06	PRIJEM	VKLAD	17955	26689	\N	\N	\N
333345	1134	1997-01-06	PRIJEM	VKLAD	11970	22445	\N	\N	\N
333346	1134	1997-02-06	PRIJEM	VKLAD	11970	22489	\N	\N	\N
333347	1134	1997-03-06	PRIJEM	VKLAD	11970	21642	\N	\N	\N
333348	1134	1997-04-06	PRIJEM	VKLAD	11970	20185	\N	\N	\N
333349	1134	1997-05-06	PRIJEM	VKLAD	11970	23130	\N	\N	\N
333350	1134	1997-06-06	PRIJEM	VKLAD	17955	28372	\N	\N	\N
333351	1134	1997-07-06	PRIJEM	VKLAD	11970	21219	\N	\N	\N
333352	1134	1997-08-06	PRIJEM	VKLAD	11970	21560	\N	\N	\N
333353	1134	1997-09-06	PRIJEM	VKLAD	11970	26116	\N	\N	\N
333354	1134	1997-10-06	PRIJEM	VKLAD	11970	28789	\N	\N	\N
333355	1134	1997-11-06	PRIJEM	VKLAD	11970	27864	\N	\N	\N
333356	1134	1997-12-06	PRIJEM	VKLAD	17955	30813	\N	\N	\N
333357	1134	1998-01-06	PRIJEM	VKLAD	11970	22073	\N	\N	\N
333358	1134	1998-02-06	PRIJEM	VKLAD	11970	21516	\N	\N	\N
333359	1134	1998-03-06	PRIJEM	VKLAD	11970	21559	\N	\N	\N
333360	1134	1998-04-06	PRIJEM	VKLAD	11970	21400	\N	\N	\N
333361	1134	1998-05-06	PRIJEM	VKLAD	11970	25450	\N	\N	\N
333362	1134	1998-06-06	PRIJEM	VKLAD	17955	25879	\N	\N	\N
333363	1134	1998-07-06	PRIJEM	VKLAD	11970	26741	\N	\N	\N
333364	1134	1998-08-06	PRIJEM	VKLAD	11970	20790	\N	\N	\N
333365	1134	1998-09-06	PRIJEM	VKLAD	11970	24837	\N	\N	\N
333366	1134	1998-10-06	PRIJEM	VKLAD	11970	28400	\N	\N	\N
333367	1134	1998-11-06	PRIJEM	VKLAD	11970	32478	\N	\N	\N
333368	1134	1998-12-06	PRIJEM	VKLAD	17955	42559	\N	\N	\N
333375	1134	1993-07-06	VYDAJ	PREVOD NA UCET	1973	49610	SIPO	OP	83356666
333376	1134	1993-08-06	VYDAJ	PREVOD NA UCET	1973	42350	SIPO	OP	83356666
333377	1134	1993-09-06	VYDAJ	PREVOD NA UCET	1973	35966	SIPO	OP	83356666
333378	1134	1993-10-06	VYDAJ	PREVOD NA UCET	1973	35774	SIPO	OP	83356666
333379	1134	1993-11-06	VYDAJ	PREVOD NA UCET	1973	30371	SIPO	OP	83356666
333380	1134	1993-12-06	VYDAJ	PREVOD NA UCET	1973	31556	SIPO	OP	83356666
333381	1134	1994-01-06	VYDAJ	PREVOD NA UCET	1973	30762	SIPO	OP	83356666
333382	1134	1994-02-06	VYDAJ	PREVOD NA UCET	1973	23437	SIPO	OP	83356666
333383	1134	1994-03-06	VYDAJ	PREVOD NA UCET	1973	25502	SIPO	OP	83356666
333384	1134	1994-04-06	VYDAJ	PREVOD NA UCET	1973	34186	SIPO	OP	83356666
333385	1134	1994-05-06	VYDAJ	PREVOD NA UCET	1973	35205	SIPO	OP	83356666
333386	1134	1994-06-06	VYDAJ	PREVOD NA UCET	1973	37902	SIPO	OP	83356666
333387	1134	1994-07-06	VYDAJ	PREVOD NA UCET	1973	32726	SIPO	OP	83356666
333388	1134	1994-08-06	VYDAJ	PREVOD NA UCET	1973	29429	SIPO	OP	83356666
333389	1134	1994-09-06	VYDAJ	PREVOD NA UCET	1973	31726	SIPO	OP	83356666
333390	1134	1994-10-06	VYDAJ	PREVOD NA UCET	1973	29326	SIPO	OP	83356666
333391	1134	1994-11-06	VYDAJ	PREVOD NA UCET	1973	28529	SIPO	OP	83356666
333392	1134	1994-12-06	VYDAJ	PREVOD NA UCET	1973	37007	SIPO	OP	83356666
333393	1134	1995-01-06	VYDAJ	PREVOD NA UCET	1973	30035	SIPO	OP	83356666
333394	1134	1995-02-06	VYDAJ	PREVOD NA UCET	1973	23211	SIPO	OP	83356666
333395	1134	1995-03-06	VYDAJ	PREVOD NA UCET	1973	23878	SIPO	OP	83356666
333396	1134	1995-04-06	VYDAJ	PREVOD NA UCET	1973	25356	SIPO	OP	83356666
333397	1134	1995-05-06	VYDAJ	PREVOD NA UCET	1973	27440	SIPO	OP	83356666
333398	1134	1995-06-06	VYDAJ	PREVOD NA UCET	1973	33117	SIPO	OP	83356666
333399	1134	1995-07-06	VYDAJ	PREVOD NA UCET	1973	27820	SIPO	OP	83356666
333400	1134	1995-08-06	VYDAJ	PREVOD NA UCET	1973	26606	SIPO	OP	83356666
333401	1134	1995-09-06	VYDAJ	PREVOD NA UCET	1973	27093	SIPO	OP	83356666
333402	1134	1995-10-06	VYDAJ	PREVOD NA UCET	1973	26780	SIPO	OP	83356666
333403	1134	1995-11-06	VYDAJ	PREVOD NA UCET	1973	26761	SIPO	OP	83356666
333404	1134	1995-12-06	VYDAJ	PREVOD NA UCET	1973	32331	SIPO	OP	83356666
333405	1134	1996-01-06	VYDAJ	PREVOD NA UCET	1973	27124	SIPO	OP	83356666
333406	1134	1996-02-06	VYDAJ	PREVOD NA UCET	1973	19797	SIPO	OP	83356666
333407	1134	1996-03-06	VYDAJ	PREVOD NA UCET	1973	23946	SIPO	OP	83356666
333408	1134	1996-04-06	VYDAJ	PREVOD NA UCET	1973	26221	SIPO	OP	83356666
333409	1134	1996-05-06	VYDAJ	PREVOD NA UCET	1973	26102	SIPO	OP	83356666
333410	1134	1996-06-06	VYDAJ	PREVOD NA UCET	1973	30866	SIPO	OP	83356666
333411	1134	1996-07-06	VYDAJ	PREVOD NA UCET	1973	23444	SIPO	OP	83356666
333412	1134	1996-08-06	VYDAJ	PREVOD NA UCET	1973	23103	SIPO	OP	83356666
333413	1134	1996-09-06	VYDAJ	PREVOD NA UCET	1973	22062	SIPO	OP	83356666
333414	1134	1996-10-06	VYDAJ	PREVOD NA UCET	1973	23320	SIPO	OP	83356666
333415	1134	1996-11-06	VYDAJ	PREVOD NA UCET	1973	20082	SIPO	OP	83356666
333416	1134	1996-12-06	VYDAJ	PREVOD NA UCET	1973	24716	SIPO	OP	83356666
333417	1134	1997-01-06	VYDAJ	PREVOD NA UCET	1973	20472	SIPO	OP	83356666
333418	1134	1997-02-06	VYDAJ	PREVOD NA UCET	1973	20516	SIPO	OP	83356666
333419	1134	1997-03-06	VYDAJ	PREVOD NA UCET	1973	19669	SIPO	OP	83356666
333420	1134	1997-04-06	VYDAJ	PREVOD NA UCET	1973	18212	SIPO	OP	83356666
333421	1134	1997-05-06	VYDAJ	PREVOD NA UCET	1973	21157	SIPO	OP	83356666
333422	1134	1997-06-06	VYDAJ	PREVOD NA UCET	1973	26399	SIPO	OP	83356666
333423	1134	1997-07-06	VYDAJ	PREVOD NA UCET	1973	19246	SIPO	OP	83356666
333424	1134	1997-08-06	VYDAJ	PREVOD NA UCET	1973	19587	SIPO	OP	83356666
333425	1134	1997-09-06	VYDAJ	PREVOD NA UCET	1973	24143	SIPO	OP	83356666
333426	1134	1997-10-06	VYDAJ	PREVOD NA UCET	1973	26816	SIPO	OP	83356666
333427	1134	1997-11-06	VYDAJ	PREVOD NA UCET	1973	25891	SIPO	OP	83356666
333428	1134	1997-12-06	VYDAJ	PREVOD NA UCET	1973	28840	SIPO	OP	83356666
333429	1134	1998-01-06	VYDAJ	PREVOD NA UCET	1973	20100	SIPO	OP	83356666
333430	1134	1998-02-06	VYDAJ	PREVOD NA UCET	1973	19543	SIPO	OP	83356666
333431	1134	1998-03-06	VYDAJ	PREVOD NA UCET	1973	19586	SIPO	OP	83356666
333432	1134	1998-04-06	VYDAJ	PREVOD NA UCET	1973	19427	SIPO	OP	83356666
333433	1134	1998-05-06	VYDAJ	PREVOD NA UCET	1973	23477	SIPO	OP	83356666
333434	1134	1998-06-06	VYDAJ	PREVOD NA UCET	1973	23906	SIPO	OP	83356666
333435	1134	1998-07-06	VYDAJ	PREVOD NA UCET	1973	24768	SIPO	OP	83356666
333436	1134	1998-08-06	VYDAJ	PREVOD NA UCET	1973	18817	SIPO	OP	83356666
333437	1134	1998-09-06	VYDAJ	PREVOD NA UCET	1973	22864	SIPO	OP	83356666
333438	1134	1998-10-06	VYDAJ	PREVOD NA UCET	1973	26427	SIPO	OP	83356666
333439	1134	1998-11-06	VYDAJ	PREVOD NA UCET	1973	30505	SIPO	OP	83356666
333440	1134	1998-12-06	VYDAJ	PREVOD NA UCET	1973	40586	SIPO	OP	83356666
333448	1134	1993-08-05	VYDAJ	PREVOD NA UCET	6007	32353	 	ST	64548426
333449	1134	1993-09-05	VYDAJ	PREVOD NA UCET	6007	25969	 	ST	64548426
333450	1134	1993-10-05	VYDAJ	PREVOD NA UCET	6007	25777	 	ST	64548426
333451	1134	1993-11-05	VYDAJ	PREVOD NA UCET	6007	22174	 	ST	64548426
333452	1134	1993-12-05	VYDAJ	PREVOD NA UCET	6007	24474	 	ST	64548426
333453	1134	1994-01-05	VYDAJ	PREVOD NA UCET	6007	20765	 	ST	64548426
333454	1134	1994-02-05	VYDAJ	PREVOD NA UCET	6007	13440	 	ST	64548426
333455	1134	1994-03-05	VYDAJ	PREVOD NA UCET	6007	14105	 	ST	64548426
333456	1134	1994-04-05	VYDAJ	PREVOD NA UCET	6007	24189	 	ST	64548426
333457	1134	1994-05-05	VYDAJ	PREVOD NA UCET	6007	28308	 	ST	64548426
333458	1134	1994-06-05	VYDAJ	PREVOD NA UCET	6007	21920	 	ST	64548426
333459	1134	1994-07-05	VYDAJ	PREVOD NA UCET	6007	22729	 	ST	64548426
333460	1134	1994-08-05	VYDAJ	PREVOD NA UCET	6007	19432	 	ST	64548426
333461	1134	1994-09-05	VYDAJ	PREVOD NA UCET	6007	21729	 	ST	64548426
333462	1134	1994-10-05	VYDAJ	PREVOD NA UCET	6007	19329	 	ST	64548426
333463	1134	1994-11-05	VYDAJ	PREVOD NA UCET	6007	18532	 	ST	64548426
333464	1134	1994-12-05	VYDAJ	PREVOD NA UCET	6007	21025	 	ST	64548426
333465	1134	1995-01-05	VYDAJ	PREVOD NA UCET	6007	20038	 	ST	64548426
333466	1134	1995-02-05	VYDAJ	PREVOD NA UCET	6007	13214	 	ST	64548426
333467	1134	1995-03-05	VYDAJ	PREVOD NA UCET	6007	13881	 	ST	64548426
333468	1134	1995-04-05	VYDAJ	PREVOD NA UCET	6007	15359	 	ST	64548426
333469	1134	1995-05-05	VYDAJ	PREVOD NA UCET	6007	17443	 	ST	64548426
333470	1134	1995-06-05	VYDAJ	PREVOD NA UCET	6007	17135	 	ST	64548426
333471	1134	1995-07-05	VYDAJ	PREVOD NA UCET	6007	17823	 	ST	64548426
333472	1134	1995-08-05	VYDAJ	PREVOD NA UCET	6007	16609	 	ST	64548426
333473	1134	1995-09-05	VYDAJ	PREVOD NA UCET	6007	17096	 	ST	64548426
333474	1134	1995-10-05	VYDAJ	PREVOD NA UCET	6007	16783	 	ST	64548426
333475	1134	1995-11-05	VYDAJ	PREVOD NA UCET	6007	16764	 	ST	64548426
333476	1134	1995-12-05	VYDAJ	PREVOD NA UCET	6007	16349	 	ST	64548426
333477	1134	1996-01-05	VYDAJ	PREVOD NA UCET	6007	17127	 	ST	64548426
333478	1134	1996-02-05	VYDAJ	PREVOD NA UCET	6007	9800	 	ST	64548426
333479	1134	1996-03-05	VYDAJ	PREVOD NA UCET	6007	13949	 	ST	64548426
333480	1134	1996-04-05	VYDAJ	PREVOD NA UCET	6007	16224	 	ST	64548426
333481	1134	1996-05-05	VYDAJ	PREVOD NA UCET	6007	16105	 	ST	64548426
333482	1134	1996-06-05	VYDAJ	PREVOD NA UCET	6007	14884	 	ST	64548426
333483	1134	1996-07-05	VYDAJ	PREVOD NA UCET	6007	13447	 	ST	64548426
333484	1134	1996-08-05	VYDAJ	PREVOD NA UCET	6007	13106	 	ST	64548426
333485	1134	1996-09-05	VYDAJ	PREVOD NA UCET	6007	12065	 	ST	64548426
333486	1134	1996-10-05	VYDAJ	PREVOD NA UCET	6007	13323	 	ST	64548426
333487	1134	1996-11-05	VYDAJ	PREVOD NA UCET	6007	10085	 	ST	64548426
333488	1134	1996-12-05	VYDAJ	PREVOD NA UCET	6007	8734	 	ST	64548426
333489	1134	1997-01-05	VYDAJ	PREVOD NA UCET	6007	10475	 	ST	64548426
333490	1134	1997-02-05	VYDAJ	PREVOD NA UCET	6007	10519	 	ST	64548426
333491	1134	1997-03-05	VYDAJ	PREVOD NA UCET	6007	9672	 	ST	64548426
333492	1134	1997-04-05	VYDAJ	PREVOD NA UCET	6007	8215	 	ST	64548426
333493	1134	1997-05-05	VYDAJ	PREVOD NA UCET	6007	11160	 	ST	64548426
333494	1134	1997-06-05	VYDAJ	PREVOD NA UCET	6007	10417	 	ST	64548426
333495	1134	1997-07-05	VYDAJ	PREVOD NA UCET	6007	9249	 	ST	64548426
333496	1134	1997-08-05	VYDAJ	PREVOD NA UCET	6007	9590	 	ST	64548426
333497	1134	1997-09-05	VYDAJ	PREVOD NA UCET	6007	14146	 	ST	64548426
333498	1134	1997-10-05	VYDAJ	PREVOD NA UCET	6007	16819	 	ST	64548426
333499	1134	1997-11-05	VYDAJ	PREVOD NA UCET	6007	15894	 	ST	64548426
333500	1134	1997-12-05	VYDAJ	PREVOD NA UCET	6007	12858	 	ST	64548426
333501	1134	1998-01-05	VYDAJ	PREVOD NA UCET	6007	10103	 	ST	64548426
333502	1134	1998-02-05	VYDAJ	PREVOD NA UCET	6007	9546	 	ST	64548426
333503	1134	1998-03-05	VYDAJ	PREVOD NA UCET	6007	9589	 	ST	64548426
333504	1134	1998-04-05	VYDAJ	PREVOD NA UCET	6007	9430	 	ST	64548426
333505	1134	1998-05-05	VYDAJ	PREVOD NA UCET	6007	13480	 	ST	64548426
333506	1134	1998-06-05	VYDAJ	PREVOD NA UCET	6007	7924	 	ST	64548426
333507	1134	1998-07-05	VYDAJ	PREVOD NA UCET	6007	14771	 	ST	64548426
333508	1134	1998-08-05	VYDAJ	PREVOD NA UCET	6007	8820	 	ST	64548426
333509	1134	1998-09-05	VYDAJ	PREVOD NA UCET	6007	12867	 	ST	64548426
333510	1134	1998-10-05	VYDAJ	PREVOD NA UCET	6007	16430	 	ST	64548426
333511	1134	1998-11-05	VYDAJ	PREVOD NA UCET	6007	20508	 	ST	64548426
333512	1134	1998-12-05	VYDAJ	PREVOD NA UCET	6007	24604	 	ST	64548426
333514	1134	1994-06-24	VYDAJ	VYBER	8500	29402	\N	\N	\N
333517	1134	1997-06-08	VYDAJ	VYBER	7400	18999	\N	\N	\N
333518	1134	1998-06-26	VYDAJ	VYBER	3200	20706	\N	\N	\N
333520	1134	1994-01-25	VYDAJ	VYBER	9500	15462	\N	\N	\N
333521	1134	1995-01-17	VYDAJ	VYBER	3200	21635	\N	\N	\N
333525	1134	1993-12-19	VYDAJ	VYBER	2000	28556	\N	\N	\N
333526	1134	1994-12-06	VYDAJ	VYBER	2900	34107	\N	\N	\N
333527	1134	1995-12-12	VYDAJ	VYBER	900	31431	\N	\N	\N
333528	1134	1996-12-13	VYDAJ	VYBER	1700	23016	\N	\N	\N
333529	1134	1997-12-29	VYDAJ	VYBER	2000	16040	\N	\N	\N
333530	1134	1998-12-18	VYDAJ	VYBER	1300	39286	\N	\N	\N
333537	1134	1994-01-01	VYDAJ	VYBER	700	27972	\N	\N	\N
333538	1134	1994-01-09	VYDAJ	VYBER	1000	29762	\N	\N	\N
333539	1134	1994-01-28	VYDAJ	VYBER	600	14862	\N	\N	\N
333540	1134	1994-01-02	VYDAJ	VYBER	1200	26772	\N	\N	\N
333541	1134	1994-01-10	VYDAJ	VYBER	2700	27062	\N	\N	\N
333542	1134	1994-01-14	VYDAJ	VYBER	2100	24962	\N	\N	\N
333543	1134	1995-01-22	VYDAJ	VYBER	1500	20135	\N	\N	\N
333544	1134	1995-01-01	VYDAJ	VYBER	2100	26045	\N	\N	\N
333545	1134	1995-01-26	VYDAJ	VYBER	1500	16035	\N	\N	\N
333546	1134	1995-01-07	VYDAJ	VYBER	2800	27235	\N	\N	\N
333547	1134	1995-01-07	VYDAJ	VYBER	2400	24835	\N	\N	\N
333548	1134	1995-01-22	VYDAJ	VYBER	2600	17535	\N	\N	\N
333549	1134	1996-01-29	VYDAJ	VYBER	2400	15724	\N	\N	\N
333550	1134	1996-01-25	VYDAJ	VYBER	2500	22024	\N	\N	\N
333551	1134	1996-01-26	VYDAJ	VYBER	2600	18124	\N	\N	\N
333552	1134	1996-01-06	VYDAJ	VYBER	700	26424	\N	\N	\N
333553	1134	1996-01-25	VYDAJ	VYBER	1300	20724	\N	\N	\N
333554	1134	1996-01-22	VYDAJ	VYBER	2800	23624	\N	\N	\N
333555	1134	1997-01-10	VYDAJ	VYBER	2600	16472	\N	\N	\N
333557	1134	1997-01-08	VYDAJ	VYBER	1400	19072	\N	\N	\N
333559	1134	1997-01-03	VYDAJ	VYBER	900	16482	\N	\N	\N
333564	1134	1998-01-10	VYDAJ	VYBER	1800	18300	\N	\N	\N
333565	1134	1998-01-18	VYDAJ	VYBER	2800	15500	\N	\N	\N
333569	1134	1993-12-10	VYDAJ	VYBER	1000	30556	\N	\N	\N
333572	1134	1993-10-08	VYDAJ	VYBER	4600	28074	\N	\N	\N
333573	1134	1994-07-13	VYDAJ	VYBER	2800	29926	\N	\N	\N
333574	1134	1994-05-26	VYDAJ	VYBER	1200	30805	\N	\N	\N
333575	1134	1994-02-19	VYDAJ	VYBER	3400	20037	\N	\N	\N
333576	1134	1994-09-21	VYDAJ	VYBER	2900	28826	\N	\N	\N
333577	1134	1994-05-16	VYDAJ	VYBER	3200	32005	\N	\N	\N
333578	1134	1995-09-04	VYDAJ	VYBER	1000	23103	\N	\N	\N
333579	1134	1995-11-29	VYDAJ	VYBER	500	22261	\N	\N	\N
333580	1134	1995-02-18	VYDAJ	VYBER	1300	21911	\N	\N	\N
333581	1134	1996-08-17	VYDAJ	VYBER	1900	21203	\N	\N	\N
333582	1134	1996-07-13	VYDAJ	VYBER	3800	19644	\N	\N	\N
333583	1134	1996-05-29	VYDAJ	VYBER	500	20802	\N	\N	\N
333584	1134	1996-02-08	VYDAJ	VYBER	2000	17797	\N	\N	\N
333585	1134	1996-06-16	VYDAJ	VYBER	4600	26266	\N	\N	\N
333586	1134	1997-06-23	VYDAJ	VYBER	2500	15199	\N	\N	\N
333587	1134	1997-05-25	VYDAJ	VYBER	4300	16357	\N	\N	\N
333588	1134	1997-02-26	VYDAJ	VYBER	1800	15616	\N	\N	\N
333589	1134	1997-04-11	VYDAJ	VYBER	1100	17112	\N	\N	\N
333590	1134	1997-10-01	VYDAJ	VYBER	2900	22826	\N	\N	\N
333591	1134	1997-07-07	VYDAJ	VYBER	800	18446	\N	\N	\N
333592	1134	1997-07-14	VYDAJ	VYBER	2500	15946	\N	\N	\N
333593	1134	1998-02-17	VYDAJ	VYBER	4000	15543	\N	\N	\N
333595	1134	1998-09-12	VYDAJ	VYBER	500	22364	\N	\N	\N
333604	1134	1993-07-31	VYDAJ	VYBER	15	38360	SLUZBY	\N	\N
333605	1134	1993-08-31	VYDAJ	VYBER	15	31976	SLUZBY	\N	\N
333606	1134	1993-09-30	VYDAJ	VYBER	15	31784	SLUZBY	\N	\N
333607	1134	1993-10-31	VYDAJ	VYBER	15	28181	SLUZBY	\N	\N
333608	1134	1993-11-30	VYDAJ	VYBER	15	30481	SLUZBY	\N	\N
333609	1134	1993-12-31	VYDAJ	VYBER	15	28672	SLUZBY	\N	\N
333610	1134	1994-01-31	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
333611	1134	1994-02-28	VYDAJ	VYBER	15	20112	SLUZBY	\N	\N
333612	1134	1994-03-31	VYDAJ	VYBER	15	25596	SLUZBY	\N	\N
333613	1134	1994-04-30	VYDAJ	VYBER	15	34315	SLUZBY	\N	\N
333614	1134	1994-05-31	VYDAJ	VYBER	15	30927	SLUZBY	\N	\N
333615	1134	1994-06-30	VYDAJ	VYBER	15	29536	SLUZBY	\N	\N
333616	1134	1994-07-31	VYDAJ	VYBER	15	30039	SLUZBY	\N	\N
333617	1134	1994-08-31	VYDAJ	VYBER	15	29536	SLUZBY	\N	\N
333618	1134	1994-09-30	VYDAJ	VYBER	15	28936	SLUZBY	\N	\N
333619	1134	1994-10-31	VYDAJ	VYBER	15	29439	SLUZBY	\N	\N
333620	1134	1994-11-30	VYDAJ	VYBER	15	28632	SLUZBY	\N	\N
333621	1134	1994-12-31	VYDAJ	VYBER	15	34245	SLUZBY	\N	\N
333622	1134	1995-01-31	VYDAJ	VYBER	15	19221	SLUZBY	\N	\N
333623	1134	1995-02-28	VYDAJ	VYBER	15	21988	SLUZBY	\N	\N
333624	1134	1995-03-31	VYDAJ	VYBER	15	21366	SLUZBY	\N	\N
333625	1134	1995-04-30	VYDAJ	VYBER	15	25450	SLUZBY	\N	\N
333626	1134	1995-05-31	VYDAJ	VYBER	15	23142	SLUZBY	\N	\N
333627	1134	1995-06-30	VYDAJ	VYBER	15	23830	SLUZBY	\N	\N
333628	1134	1995-07-31	VYDAJ	VYBER	15	22616	SLUZBY	\N	\N
333629	1134	1995-08-31	VYDAJ	VYBER	15	24103	SLUZBY	\N	\N
333630	1134	1995-09-30	VYDAJ	VYBER	15	22790	SLUZBY	\N	\N
333631	1134	1995-10-31	VYDAJ	VYBER	15	22771	SLUZBY	\N	\N
333632	1134	1995-11-30	VYDAJ	VYBER	15	22356	SLUZBY	\N	\N
333633	1134	1995-12-31	VYDAJ	VYBER	15	23134	SLUZBY	\N	\N
333634	1134	1996-01-31	VYDAJ	VYBER	15	15807	SLUZBY	\N	\N
333635	1134	1996-02-29	VYDAJ	VYBER	15	19956	SLUZBY	\N	\N
333636	1134	1996-03-31	VYDAJ	VYBER	15	22231	SLUZBY	\N	\N
333637	1134	1996-04-30	VYDAJ	VYBER	15	22112	SLUZBY	\N	\N
333638	1134	1996-05-31	VYDAJ	VYBER	15	20891	SLUZBY	\N	\N
333639	1134	1996-06-30	VYDAJ	VYBER	15	19454	SLUZBY	\N	\N
333640	1134	1996-07-31	VYDAJ	VYBER	15	19113	SLUZBY	\N	\N
333641	1134	1996-08-31	VYDAJ	VYBER	15	18072	SLUZBY	\N	\N
333642	1134	1996-09-30	VYDAJ	VYBER	15	19330	SLUZBY	\N	\N
333643	1134	1996-10-31	VYDAJ	VYBER	15	16092	SLUZBY	\N	\N
333644	1134	1996-11-30	VYDAJ	VYBER	15	14741	SLUZBY	\N	\N
333645	1134	1996-12-31	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
333646	1134	1997-01-31	VYDAJ	VYBER	15	16526	SLUZBY	\N	\N
333647	1134	1997-02-28	VYDAJ	VYBER	15	15679	SLUZBY	\N	\N
333648	1134	1997-03-31	VYDAJ	VYBER	15	14222	SLUZBY	\N	\N
333649	1134	1997-04-30	VYDAJ	VYBER	15	17167	SLUZBY	\N	\N
333650	1134	1997-05-31	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
333651	1134	1997-06-30	VYDAJ	VYBER	15	15256	SLUZBY	\N	\N
333652	1134	1997-07-31	VYDAJ	VYBER	15	15597	SLUZBY	\N	\N
333653	1134	1997-08-31	VYDAJ	VYBER	15	20153	SLUZBY	\N	\N
333654	1134	1997-09-30	VYDAJ	VYBER	15	25726	SLUZBY	\N	\N
333655	1134	1997-10-31	VYDAJ	VYBER	15	21901	SLUZBY	\N	\N
333656	1134	1997-11-30	VYDAJ	VYBER	15	18865	SLUZBY	\N	\N
333657	1134	1997-12-31	VYDAJ	VYBER	15	16110	SLUZBY	\N	\N
333658	1134	1998-01-31	VYDAJ	VYBER	15	15553	SLUZBY	\N	\N
333659	1134	1998-02-28	VYDAJ	VYBER	15	15596	SLUZBY	\N	\N
333660	1134	1998-03-31	VYDAJ	VYBER	15	15437	SLUZBY	\N	\N
333661	1134	1998-04-30	VYDAJ	VYBER	15	19487	SLUZBY	\N	\N
333662	1134	1998-05-31	VYDAJ	VYBER	15	13931	SLUZBY	\N	\N
333663	1134	1998-06-30	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
333664	1134	1998-07-31	VYDAJ	VYBER	15	14827	SLUZBY	\N	\N
333665	1134	1998-08-31	VYDAJ	VYBER	15	18874	SLUZBY	\N	\N
333666	1134	1998-09-30	VYDAJ	VYBER	15	22437	SLUZBY	\N	\N
333667	1134	1998-10-31	VYDAJ	VYBER	15	26515	SLUZBY	\N	\N
333668	1134	1998-11-30	VYDAJ	VYBER	15	30611	SLUZBY	\N	\N
333669	1134	1993-03-11	PRIJEM	VKLAD	8200	20570	\N	\N	\N
333670	1134	1993-04-10	VYDAJ	VYBER	4800	27798	\N	\N	\N
333671	1134	1993-05-10	VYDAJ	VYBER	8100	31775	\N	\N	\N
333672	1134	1993-06-09	VYDAJ	VYBER	10400	39457	\N	\N	\N
333673	1134	1993-07-09	VYDAJ	VYBER	11400	38210	\N	\N	\N
333674	1134	1993-08-08	VYDAJ	VYBER	10500	31850	\N	\N	\N
333675	1134	1993-09-07	VYDAJ	VYBER	4300	31666	\N	\N	\N
333676	1134	1993-10-07	VYDAJ	VYBER	3100	32674	\N	\N	\N
333677	1134	1993-11-06	VYDAJ	VYBER	1800	32344	\N	\N	\N
333678	1134	1993-12-06	VYDAJ	VYBER	8900	33529	\N	\N	\N
333679	1134	1994-02-04	PRIJEM	VKLAD	4500	19447	\N	\N	\N
333680	1134	1994-03-06	PRIJEM	VKLAD	1400	27475	\N	\N	\N
333681	1134	1994-04-05	PRIJEM	VKLAD	4600	30196	\N	\N	\N
333682	1134	1994-05-05	VYDAJ	VYBER	3100	25208	\N	\N	\N
333683	1134	1994-06-04	VYDAJ	VYBER	3000	27927	\N	\N	\N
333684	1134	1994-07-04	VYDAJ	VYBER	800	28736	\N	\N	\N
333685	1134	1994-08-03	VYDAJ	VYBER	4600	25439	\N	\N	\N
333686	1134	1994-09-02	VYDAJ	VYBER	1800	27736	\N	\N	\N
333687	1134	1994-10-02	VYDAJ	VYBER	3600	25336	\N	\N	\N
333688	1134	1994-11-01	VYDAJ	VYBER	4900	24539	\N	\N	\N
333689	1134	1994-12-01	VYDAJ	VYBER	1600	27032	\N	\N	\N
333690	1134	1994-12-31	VYDAJ	VYBER	6100	28145	\N	\N	\N
333691	1134	1995-01-30	PRIJEM	VKLAD	3100	19135	\N	\N	\N
333692	1134	1995-03-01	VYDAJ	VYBER	2100	19888	\N	\N	\N
333693	1134	1995-03-31	VYDAJ	VYBER	2600	21380	\N	\N	\N
333694	1134	1995-04-30	VYDAJ	VYBER	2000	23450	\N	\N	\N
333695	1134	1995-05-30	VYDAJ	VYBER	4400	23040	\N	\N	\N
333696	1134	1995-06-29	VYDAJ	VYBER	9400	23717	\N	\N	\N
333697	1134	1995-07-29	VYDAJ	VYBER	5300	22520	\N	\N	\N
333698	1134	1995-08-28	VYDAJ	VYBER	2600	24006	\N	\N	\N
333699	1134	1995-09-27	VYDAJ	VYBER	4400	22693	\N	\N	\N
333700	1134	1995-10-27	VYDAJ	VYBER	4100	22680	\N	\N	\N
333701	1134	1995-11-26	VYDAJ	VYBER	4000	22761	\N	\N	\N
333702	1134	1995-12-26	VYDAJ	VYBER	8400	23031	\N	\N	\N
333703	1134	1996-01-25	PRIJEM	VKLAD	900	24524	\N	\N	\N
333704	1134	1996-02-24	PRIJEM	VKLAD	2100	19897	\N	\N	\N
333705	1134	1996-03-25	VYDAJ	VYBER	1800	22146	\N	\N	\N
333706	1134	1996-04-24	VYDAJ	VYBER	4200	22021	\N	\N	\N
333707	1134	1996-05-24	VYDAJ	VYBER	4800	21302	\N	\N	\N
333708	1134	1996-06-23	VYDAJ	VYBER	6900	19366	\N	\N	\N
333709	1134	1996-07-23	VYDAJ	VYBER	600	19044	\N	\N	\N
333710	1134	1996-08-22	VYDAJ	VYBER	3200	18003	\N	\N	\N
333711	1134	1996-09-21	VYDAJ	VYBER	2800	19262	\N	\N	\N
333712	1134	1996-10-21	VYDAJ	VYBER	7300	16020	\N	\N	\N
333713	1134	1996-11-20	VYDAJ	VYBER	5400	14682	\N	\N	\N
333714	1134	1996-12-20	VYDAJ	VYBER	5700	17316	\N	\N	\N
333715	1134	1997-02-18	VYDAJ	VYBER	3100	17416	\N	\N	\N
333716	1134	1997-03-20	VYDAJ	VYBER	5500	14169	\N	\N	\N
333717	1134	1997-05-19	VYDAJ	VYBER	500	20657	\N	\N	\N
333718	1134	1997-06-18	VYDAJ	VYBER	1300	17699	\N	\N	\N
333719	1134	1997-07-18	VYDAJ	VYBER	400	15546	\N	\N	\N
333720	1134	1997-08-17	PRIJEM	VKLAD	500	20087	\N	\N	\N
333721	1134	1997-09-16	PRIJEM	VKLAD	1500	25643	\N	\N	\N
333722	1134	1997-10-16	VYDAJ	VYBER	5000	21816	\N	\N	\N
333723	1134	1997-11-15	VYDAJ	VYBER	7100	18791	\N	\N	\N
333724	1134	1997-12-15	VYDAJ	VYBER	10800	18040	\N	\N	\N
333725	1134	1998-03-15	VYDAJ	VYBER	4200	15386	\N	\N	\N
333726	1134	1998-05-14	VYDAJ	VYBER	9600	13877	\N	\N	\N
333727	1134	1998-07-13	VYDAJ	VYBER	10000	14768	\N	\N	\N
333798	1135	1995-07-17	PRIJEM	VKLAD	500	500	\N	\N	\N
333806	1135	1995-08-06	PRIJEM	PREVOD Z UCTU	5106	5606	DUCHOD	YZ	16341048
333807	1135	1995-09-06	PRIJEM	PREVOD Z UCTU	5106	10712	DUCHOD	YZ	16341048
333808	1135	1995-10-06	PRIJEM	PREVOD Z UCTU	5106	15818	DUCHOD	YZ	16341048
333809	1135	1995-11-06	PRIJEM	PREVOD Z UCTU	5106	20924	DUCHOD	YZ	16341048
333810	1135	1995-12-06	PRIJEM	PREVOD Z UCTU	5106	26030	DUCHOD	YZ	16341048
333811	1135	1996-01-06	PRIJEM	PREVOD Z UCTU	5106	24979	DUCHOD	YZ	16341048
333812	1135	1996-02-06	PRIJEM	PREVOD Z UCTU	5106	20975	DUCHOD	YZ	16341048
333813	1135	1996-03-06	PRIJEM	PREVOD Z UCTU	5106	24406	DUCHOD	YZ	16341048
333814	1135	1996-04-06	PRIJEM	PREVOD Z UCTU	5106	25646	DUCHOD	YZ	16341048
333815	1135	1996-05-06	PRIJEM	PREVOD Z UCTU	5106	29096	DUCHOD	YZ	16341048
333816	1135	1996-06-06	PRIJEM	PREVOD Z UCTU	5106	30656	DUCHOD	YZ	16341048
333817	1135	1996-07-06	PRIJEM	PREVOD Z UCTU	5106	30319	DUCHOD	YZ	16341048
333818	1135	1996-08-06	PRIJEM	PREVOD Z UCTU	5106	31484	DUCHOD	YZ	16341048
333819	1135	1996-09-06	PRIJEM	PREVOD Z UCTU	5106	27589	DUCHOD	YZ	16341048
333820	1135	1996-10-06	PRIJEM	PREVOD Z UCTU	5106	28242	DUCHOD	YZ	16341048
333821	1135	1996-11-06	PRIJEM	PREVOD Z UCTU	5106	28597	DUCHOD	YZ	16341048
333822	1135	1996-12-06	PRIJEM	PREVOD Z UCTU	5106	28044	DUCHOD	YZ	16341048
333823	1135	1997-01-06	PRIJEM	PREVOD Z UCTU	5106	27049	DUCHOD	YZ	16341048
333824	1135	1997-02-06	PRIJEM	PREVOD Z UCTU	5106	21330	DUCHOD	YZ	16341048
333825	1135	1997-03-06	PRIJEM	PREVOD Z UCTU	5106	24761	DUCHOD	YZ	16341048
333826	1135	1997-04-06	PRIJEM	PREVOD Z UCTU	5106	26908	DUCHOD	YZ	16341048
333827	1135	1997-05-06	PRIJEM	PREVOD Z UCTU	5106	28361	DUCHOD	YZ	16341048
333828	1135	1997-06-06	PRIJEM	PREVOD Z UCTU	5106	31225	DUCHOD	YZ	16341048
333829	1135	1997-07-06	PRIJEM	PREVOD Z UCTU	5106	30494	DUCHOD	YZ	16341048
333830	1135	1997-08-06	PRIJEM	PREVOD Z UCTU	5106	29397	DUCHOD	YZ	16341048
333831	1135	1997-09-06	PRIJEM	PREVOD Z UCTU	5106	30942	DUCHOD	YZ	16341048
333832	1135	1997-10-06	PRIJEM	PREVOD Z UCTU	5106	33120	DUCHOD	YZ	16341048
333833	1135	1997-11-06	PRIJEM	PREVOD Z UCTU	5106	33239	DUCHOD	YZ	16341048
333834	1135	1997-12-06	PRIJEM	PREVOD Z UCTU	5106	36720	DUCHOD	YZ	16341048
333835	1135	1998-01-06	PRIJEM	PREVOD Z UCTU	5106	39670	DUCHOD	YZ	16341048
333836	1135	1998-02-06	PRIJEM	PREVOD Z UCTU	5106	33493	DUCHOD	YZ	16341048
333837	1135	1998-03-06	PRIJEM	PREVOD Z UCTU	5106	36983	DUCHOD	YZ	16341048
333838	1135	1998-04-06	PRIJEM	PREVOD Z UCTU	5106	40480	DUCHOD	YZ	16341048
333839	1135	1998-05-06	PRIJEM	PREVOD Z UCTU	5106	43991	DUCHOD	YZ	16341048
333840	1135	1998-06-06	PRIJEM	PREVOD Z UCTU	5106	47517	DUCHOD	YZ	16341048
333841	1135	1998-07-06	PRIJEM	PREVOD Z UCTU	5106	42327	DUCHOD	YZ	16341048
333842	1135	1998-08-06	PRIJEM	PREVOD Z UCTU	5106	45846	DUCHOD	YZ	16341048
333843	1135	1998-09-06	PRIJEM	PREVOD Z UCTU	5106	48059	DUCHOD	YZ	16341048
333844	1135	1998-10-06	PRIJEM	PREVOD Z UCTU	5106	51501	DUCHOD	YZ	16341048
333845	1135	1998-11-06	PRIJEM	PREVOD Z UCTU	5106	48257	DUCHOD	YZ	16341048
333846	1135	1998-12-06	PRIJEM	PREVOD Z UCTU	5106	48946	DUCHOD	YZ	16341048
333858	1135	1995-12-14	VYDAJ	PREVOD NA UCET	1735	24295	SIPO	YZ	62011670
333859	1135	1996-01-14	VYDAJ	PREVOD NA UCET	1735	20124	SIPO	YZ	62011670
333860	1135	1996-02-14	VYDAJ	PREVOD NA UCET	1735	19240	SIPO	YZ	62011670
333861	1135	1996-03-14	VYDAJ	PREVOD NA UCET	1735	20471	SIPO	YZ	62011670
333862	1135	1996-04-14	VYDAJ	PREVOD NA UCET	1735	23911	SIPO	YZ	62011670
333863	1135	1996-05-14	VYDAJ	PREVOD NA UCET	1735	25461	SIPO	YZ	62011670
333864	1135	1996-06-14	VYDAJ	PREVOD NA UCET	1735	25121	SIPO	YZ	62011670
333865	1135	1996-07-14	VYDAJ	PREVOD NA UCET	1735	26284	SIPO	YZ	62011670
333866	1135	1996-08-14	VYDAJ	PREVOD NA UCET	1735	26149	SIPO	YZ	62011670
333867	1135	1996-09-14	VYDAJ	PREVOD NA UCET	1735	23054	SIPO	YZ	62011670
333868	1135	1996-10-14	VYDAJ	PREVOD NA UCET	1735	23407	SIPO	YZ	62011670
333869	1135	1996-11-14	VYDAJ	PREVOD NA UCET	1735	23702	SIPO	YZ	62011670
333870	1135	1996-12-14	VYDAJ	PREVOD NA UCET	1735	26009	SIPO	YZ	62011670
333871	1135	1997-01-14	VYDAJ	PREVOD NA UCET	1735	21274	SIPO	YZ	62011670
333872	1135	1997-02-14	VYDAJ	PREVOD NA UCET	1735	19595	SIPO	YZ	62011670
333873	1135	1997-03-14	VYDAJ	PREVOD NA UCET	1735	21726	SIPO	YZ	62011670
333874	1135	1997-04-14	VYDAJ	PREVOD NA UCET	1735	23173	SIPO	YZ	62011670
333875	1135	1997-05-14	VYDAJ	PREVOD NA UCET	1735	26026	SIPO	YZ	62011670
333876	1135	1997-06-14	VYDAJ	PREVOD NA UCET	1735	25290	SIPO	YZ	62011670
333877	1135	1997-07-14	VYDAJ	PREVOD NA UCET	1735	28759	SIPO	YZ	62011670
333878	1135	1997-08-14	VYDAJ	PREVOD NA UCET	1735	27662	SIPO	YZ	62011670
333879	1135	1997-09-14	VYDAJ	PREVOD NA UCET	1735	29207	SIPO	YZ	62011670
333880	1135	1997-10-14	VYDAJ	PREVOD NA UCET	1735	28025	SIPO	YZ	62011670
333881	1135	1997-11-14	VYDAJ	PREVOD NA UCET	1735	31504	SIPO	YZ	62011670
333882	1135	1997-12-14	VYDAJ	PREVOD NA UCET	1735	34535	SIPO	YZ	62011670
333883	1135	1998-01-14	VYDAJ	PREVOD NA UCET	1735	37295	SIPO	YZ	62011670
333884	1135	1998-02-14	VYDAJ	PREVOD NA UCET	1735	31758	SIPO	YZ	62011670
333885	1135	1998-03-14	VYDAJ	PREVOD NA UCET	1735	35248	SIPO	YZ	62011670
333886	1135	1998-04-14	VYDAJ	PREVOD NA UCET	1735	38745	SIPO	YZ	62011670
333887	1135	1998-05-14	VYDAJ	PREVOD NA UCET	1735	42256	SIPO	YZ	62011670
333888	1135	1998-06-14	VYDAJ	PREVOD NA UCET	1735	43062	SIPO	YZ	62011670
333889	1135	1998-07-14	VYDAJ	PREVOD NA UCET	1735	40592	SIPO	YZ	62011670
333890	1135	1998-08-14	VYDAJ	PREVOD NA UCET	1735	43391	SIPO	YZ	62011670
333891	1135	1998-09-14	VYDAJ	PREVOD NA UCET	1735	46324	SIPO	YZ	62011670
333892	1135	1998-10-14	VYDAJ	PREVOD NA UCET	1735	49766	SIPO	YZ	62011670
333893	1135	1998-11-14	VYDAJ	PREVOD NA UCET	1735	46522	SIPO	YZ	62011670
333894	1135	1998-12-14	VYDAJ	PREVOD NA UCET	1735	46711	SIPO	YZ	62011670
333895	1135	1995-12-29	VYDAJ	VYBER	1100	19835	\N	\N	\N
333896	1135	1996-12-03	VYDAJ	VYBER	850	22938	\N	\N	\N
333897	1135	1997-12-06	VYDAJ	VYBER	450	36270	\N	\N	\N
333898	1135	1998-12-07	VYDAJ	VYBER	500	48446	\N	\N	\N
333905	1135	1996-01-09	VYDAJ	VYBER	1200	23379	\N	\N	\N
333906	1135	1996-01-22	VYDAJ	VYBER	1840	17164	\N	\N	\N
333907	1135	1996-01-15	VYDAJ	VYBER	1120	19004	\N	\N	\N
333908	1135	1996-01-09	VYDAJ	VYBER	400	24579	\N	\N	\N
333909	1135	1996-01-28	VYDAJ	VYBER	1360	15804	\N	\N	\N
333910	1135	1996-01-12	VYDAJ	VYBER	1520	21859	\N	\N	\N
333911	1135	1997-01-09	VYDAJ	VYBER	1040	23009	\N	\N	\N
333912	1135	1997-01-23	VYDAJ	VYBER	1040	16154	\N	\N	\N
333913	1135	1997-01-19	VYDAJ	VYBER	880	20394	\N	\N	\N
333914	1135	1997-01-21	VYDAJ	VYBER	880	19514	\N	\N	\N
333915	1135	1997-01-01	VYDAJ	VYBER	400	21943	\N	\N	\N
333916	1135	1997-01-22	VYDAJ	VYBER	2320	17194	\N	\N	\N
333917	1135	1998-01-18	VYDAJ	VYBER	1200	36095	\N	\N	\N
333918	1135	1998-01-26	VYDAJ	VYBER	1360	31615	\N	\N	\N
333919	1135	1998-01-11	VYDAJ	VYBER	640	39030	\N	\N	\N
333920	1135	1998-01-18	VYDAJ	VYBER	1520	34575	\N	\N	\N
333921	1135	1998-01-28	VYDAJ	VYBER	560	31055	\N	\N	\N
333922	1135	1998-01-20	VYDAJ	VYBER	1600	32975	\N	\N	\N
333924	1135	1995-12-19	VYDAJ	VYBER	3360	20935	\N	\N	\N
333926	1135	1996-08-30	VYDAJ	VYBER	3760	22389	\N	\N	\N
333927	1135	1996-11-09	VYDAJ	VYBER	2960	25437	\N	\N	\N
333928	1135	1997-07-21	VYDAJ	VYBER	3840	24199	\N	\N	\N
333929	1135	1997-01-01	VYDAJ	VYBER	3760	22343	\N	\N	\N
333930	1135	1997-07-17	VYDAJ	VYBER	720	28039	\N	\N	\N
333931	1135	1997-09-04	VYDAJ	VYBER	720	25836	\N	\N	\N
333932	1135	1997-10-13	VYDAJ	VYBER	3360	29760	\N	\N	\N
333933	1135	1998-08-12	VYDAJ	VYBER	720	45126	\N	\N	\N
333934	1135	1998-06-12	VYDAJ	VYBER	2720	44797	\N	\N	\N
333935	1135	1998-06-24	VYDAJ	VYBER	2400	40662	\N	\N	\N
333936	1135	1998-11-19	VYDAJ	VYBER	1360	45162	\N	\N	\N
333937	1135	1998-02-03	VYDAJ	VYBER	2800	28387	\N	\N	\N
333938	1135	1998-11-02	VYDAJ	VYBER	3600	43151	\N	\N	\N
333939	1135	1998-06-27	VYDAJ	VYBER	3600	37062	\N	\N	\N
333952	1135	1995-12-31	VYDAJ	VYBER	15	19873	SLUZBY	\N	\N
333953	1135	1996-01-31	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
333954	1135	1996-02-29	VYDAJ	VYBER	15	19300	SLUZBY	\N	\N
333955	1135	1996-03-31	VYDAJ	VYBER	15	20540	SLUZBY	\N	\N
333956	1135	1996-04-30	VYDAJ	VYBER	15	23990	SLUZBY	\N	\N
333957	1135	1996-05-31	VYDAJ	VYBER	15	25550	SLUZBY	\N	\N
333958	1135	1996-06-30	VYDAJ	VYBER	15	25213	SLUZBY	\N	\N
333959	1135	1996-07-31	VYDAJ	VYBER	15	26378	SLUZBY	\N	\N
333960	1135	1996-08-31	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
333961	1135	1996-09-30	VYDAJ	VYBER	15	23136	SLUZBY	\N	\N
333962	1135	1996-10-31	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
333963	1135	1996-11-30	VYDAJ	VYBER	15	23788	SLUZBY	\N	\N
333964	1135	1996-12-31	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
333965	1135	1997-01-31	VYDAJ	VYBER	15	16224	SLUZBY	\N	\N
333966	1135	1997-02-28	VYDAJ	VYBER	15	19655	SLUZBY	\N	\N
333967	1135	1997-03-31	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
333968	1135	1997-04-30	VYDAJ	VYBER	15	23255	SLUZBY	\N	\N
333969	1135	1997-05-31	VYDAJ	VYBER	15	26119	SLUZBY	\N	\N
333970	1135	1997-06-30	VYDAJ	VYBER	15	25388	SLUZBY	\N	\N
333971	1135	1997-07-31	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
333972	1135	1997-08-31	VYDAJ	VYBER	15	27756	SLUZBY	\N	\N
333973	1135	1997-09-30	VYDAJ	VYBER	15	29314	SLUZBY	\N	\N
333974	1135	1997-10-31	VYDAJ	VYBER	15	28133	SLUZBY	\N	\N
333975	1135	1997-11-30	VYDAJ	VYBER	15	31614	SLUZBY	\N	\N
333976	1135	1997-12-31	VYDAJ	VYBER	15	34664	SLUZBY	\N	\N
333977	1135	1998-01-31	VYDAJ	VYBER	15	31187	SLUZBY	\N	\N
333978	1135	1998-02-28	VYDAJ	VYBER	15	31877	SLUZBY	\N	\N
333979	1135	1998-03-31	VYDAJ	VYBER	15	35374	SLUZBY	\N	\N
333980	1135	1998-04-30	VYDAJ	VYBER	15	38885	SLUZBY	\N	\N
333981	1135	1998-05-31	VYDAJ	VYBER	15	42411	SLUZBY	\N	\N
333982	1135	1998-06-30	VYDAJ	VYBER	15	37221	SLUZBY	\N	\N
333983	1135	1998-07-31	VYDAJ	VYBER	15	40740	SLUZBY	\N	\N
333984	1135	1998-08-31	VYDAJ	VYBER	15	42953	SLUZBY	\N	\N
333985	1135	1998-09-30	VYDAJ	VYBER	15	46395	SLUZBY	\N	\N
333986	1135	1998-10-31	VYDAJ	VYBER	15	46751	SLUZBY	\N	\N
333987	1135	1998-11-30	VYDAJ	VYBER	15	43840	SLUZBY	\N	\N
333988	1135	1996-03-13	VYDAJ	VYBER	2200	22206	\N	\N	\N
333989	1135	1996-05-12	VYDAJ	VYBER	1900	27196	\N	\N	\N
333990	1135	1996-06-11	VYDAJ	VYBER	3800	26856	\N	\N	\N
333991	1135	1996-07-11	VYDAJ	VYBER	2300	28019	\N	\N	\N
333992	1135	1996-08-10	VYDAJ	VYBER	3600	27884	\N	\N	\N
333993	1135	1996-09-09	VYDAJ	VYBER	2800	24789	\N	\N	\N
333994	1135	1996-10-09	VYDAJ	VYBER	3100	25142	\N	\N	\N
333995	1135	1996-11-08	VYDAJ	VYBER	200	28397	\N	\N	\N
333996	1135	1996-12-08	VYDAJ	VYBER	300	27744	\N	\N	\N
333997	1135	1997-01-07	VYDAJ	VYBER	3000	24049	\N	\N	\N
333998	1135	1997-03-08	VYDAJ	VYBER	1300	23461	\N	\N	\N
333999	1135	1997-04-07	VYDAJ	VYBER	2000	24908	\N	\N	\N
334000	1135	1997-05-07	VYDAJ	VYBER	600	27761	\N	\N	\N
334001	1135	1997-06-06	VYDAJ	VYBER	4200	27025	\N	\N	\N
334002	1135	1997-09-04	VYDAJ	VYBER	1200	26556	\N	\N	\N
334003	1135	1997-10-04	VYDAJ	VYBER	1300	28014	\N	\N	\N
334004	1135	1998-01-02	VYDAJ	VYBER	100	34564	\N	\N	\N
334005	1135	1998-08-30	VYDAJ	VYBER	600	42791	\N	\N	\N
334006	1135	1998-09-29	VYDAJ	VYBER	100	46224	\N	\N	\N
334007	1135	1998-10-29	VYDAJ	VYBER	3200	46566	\N	\N	\N
334008	1135	1998-11-28	VYDAJ	VYBER	1500	43662	\N	\N	\N
334046	1136	1993-08-07	PRIJEM	VKLAD	900	900	\N	\N	\N
334054	1136	1993-08-12	PRIJEM	PREVOD Z UCTU	30818	31718	\N	KL	84885888
334055	1136	1993-09-12	PRIJEM	PREVOD Z UCTU	30818	61421	\N	KL	84885888
334056	1136	1993-10-12	PRIJEM	PREVOD Z UCTU	30818	76450	\N	KL	84885888
334057	1136	1993-11-12	PRIJEM	PREVOD Z UCTU	30818	79464	\N	KL	84885888
334058	1136	1993-12-12	PRIJEM	PREVOD Z UCTU	46227	99018	\N	KL	84885888
334059	1136	1994-01-12	PRIJEM	PREVOD Z UCTU	30818	74052	\N	KL	84885888
334060	1136	1994-02-12	PRIJEM	PREVOD Z UCTU	30818	64390	\N	KL	84885888
334061	1136	1994-03-12	PRIJEM	PREVOD Z UCTU	30818	66832	\N	KL	84885888
334062	1136	1994-04-12	PRIJEM	PREVOD Z UCTU	30818	69342	\N	KL	84885888
334063	1136	1994-05-12	PRIJEM	PREVOD Z UCTU	30818	73567	\N	KL	84885888
334064	1136	1994-06-12	PRIJEM	PREVOD Z UCTU	46227	92117	\N	KL	84885888
334065	1136	1994-07-12	PRIJEM	PREVOD Z UCTU	30818	71513	\N	KL	84885888
334066	1136	1994-08-12	PRIJEM	PREVOD Z UCTU	30818	55098	\N	KL	84885888
334067	1136	1994-09-12	PRIJEM	PREVOD Z UCTU	30818	52550	\N	KL	84885888
334068	1136	1994-10-12	PRIJEM	PREVOD Z UCTU	30818	61981	\N	KL	84885888
334069	1136	1994-11-12	PRIJEM	PREVOD Z UCTU	30818	66753	\N	KL	84885888
334070	1136	1994-12-12	PRIJEM	PREVOD Z UCTU	46227	85755	\N	KL	84885888
334071	1136	1995-01-12	PRIJEM	PREVOD Z UCTU	30818	67493	\N	KL	84885888
334072	1136	1995-02-12	PRIJEM	PREVOD Z UCTU	30818	64370	\N	KL	84885888
334073	1136	1995-03-12	PRIJEM	PREVOD Z UCTU	30818	71846	\N	KL	84885888
334074	1136	1995-04-12	PRIJEM	PREVOD Z UCTU	30818	74553	\N	KL	84885888
334075	1136	1995-05-12	PRIJEM	PREVOD Z UCTU	30818	56326	\N	KL	84885888
334076	1136	1995-06-12	PRIJEM	PREVOD Z UCTU	46227	71085	\N	KL	84885888
334077	1136	1995-07-12	PRIJEM	PREVOD Z UCTU	30818	63116	\N	KL	84885888
334078	1136	1995-08-12	PRIJEM	PREVOD Z UCTU	30818	68883	\N	KL	84885888
334079	1136	1995-09-12	PRIJEM	PREVOD Z UCTU	30818	67864	\N	KL	84885888
334080	1136	1995-10-12	PRIJEM	PREVOD Z UCTU	30818	71846	\N	KL	84885888
334081	1136	1995-11-12	PRIJEM	PREVOD Z UCTU	30818	60534	\N	KL	84885888
334082	1136	1995-12-12	PRIJEM	PREVOD Z UCTU	46227	67937	\N	KL	84885888
334083	1136	1996-01-12	PRIJEM	PREVOD Z UCTU	30818	64489	\N	KL	84885888
334084	1136	1996-02-12	PRIJEM	PREVOD Z UCTU	30818	56135	\N	KL	84885888
334085	1136	1996-03-12	PRIJEM	PREVOD Z UCTU	30818	52478	\N	KL	84885888
334086	1136	1996-04-12	PRIJEM	PREVOD Z UCTU	30818	58046	\N	KL	84885888
334087	1136	1996-05-12	PRIJEM	PREVOD Z UCTU	30818	54897	\N	KL	84885888
334088	1136	1996-06-12	PRIJEM	PREVOD Z UCTU	46227	71122	\N	KL	84885888
334089	1136	1996-07-12	PRIJEM	PREVOD Z UCTU	30818	53939	\N	KL	84885888
334090	1136	1996-08-12	PRIJEM	PREVOD Z UCTU	30818	54866	\N	KL	84885888
334091	1136	1996-09-12	PRIJEM	PREVOD Z UCTU	30818	60386	\N	KL	84885888
334092	1136	1996-10-12	PRIJEM	PREVOD Z UCTU	30818	60952	\N	KL	84885888
334093	1136	1996-11-12	PRIJEM	PREVOD Z UCTU	30818	65389	\N	KL	84885888
334094	1136	1996-12-12	PRIJEM	PREVOD Z UCTU	46227	80759	\N	KL	84885888
334095	1136	1997-01-12	PRIJEM	PREVOD Z UCTU	30818	54364	\N	KL	84885888
334096	1136	1997-02-12	PRIJEM	PREVOD Z UCTU	30818	52768	\N	KL	84885888
334097	1136	1997-03-12	PRIJEM	PREVOD Z UCTU	30818	54928	\N	KL	84885888
334098	1136	1997-04-12	PRIJEM	PREVOD Z UCTU	30818	59142	\N	KL	84885888
334099	1136	1997-05-12	PRIJEM	PREVOD Z UCTU	30818	58457	\N	KL	84885888
334100	1136	1997-06-12	PRIJEM	PREVOD Z UCTU	46227	68444	\N	KL	84885888
334101	1136	1997-07-12	PRIJEM	PREVOD Z UCTU	30818	55350	\N	KL	84885888
334102	1136	1997-08-12	PRIJEM	PREVOD Z UCTU	30818	49936	\N	KL	84885888
334103	1136	1997-09-12	PRIJEM	PREVOD Z UCTU	30818	47101	\N	KL	84885888
334104	1136	1997-10-12	PRIJEM	PREVOD Z UCTU	30818	54774	\N	KL	84885888
334105	1136	1997-11-12	PRIJEM	PREVOD Z UCTU	30818	50553	\N	KL	84885888
334106	1136	1997-12-12	PRIJEM	PREVOD Z UCTU	46227	66130	\N	KL	84885888
334107	1136	1998-01-12	PRIJEM	PREVOD Z UCTU	30818	54641	\N	KL	84885888
334108	1136	1998-02-12	PRIJEM	PREVOD Z UCTU	30818	54127	\N	KL	84885888
334109	1136	1998-03-12	PRIJEM	PREVOD Z UCTU	30818	50695	\N	KL	84885888
334110	1136	1998-04-12	PRIJEM	PREVOD Z UCTU	30818	49660	\N	KL	84885888
334111	1136	1998-05-12	PRIJEM	PREVOD Z UCTU	30818	50723	\N	KL	84885888
334112	1136	1998-06-12	PRIJEM	PREVOD Z UCTU	46227	68803	\N	KL	84885888
334113	1136	1998-07-12	PRIJEM	PREVOD Z UCTU	30818	57987	\N	KL	84885888
334114	1136	1998-08-12	PRIJEM	PREVOD Z UCTU	30818	53867	\N	KL	84885888
334115	1136	1998-09-12	PRIJEM	PREVOD Z UCTU	30818	63678	\N	KL	84885888
334116	1136	1998-10-12	PRIJEM	PREVOD Z UCTU	30818	56550	\N	KL	84885888
334117	1136	1998-11-12	PRIJEM	PREVOD Z UCTU	30818	58126	\N	KL	84885888
334118	1136	1998-12-12	PRIJEM	PREVOD Z UCTU	46227	87026	\N	KL	84885888
334202	1136	1993-12-14	VYDAJ	PREVOD NA UCET	6249	92769	SIPO	YZ	58973252
334203	1136	1994-01-14	VYDAJ	PREVOD NA UCET	6249	65103	SIPO	YZ	58973252
334204	1136	1994-02-14	VYDAJ	PREVOD NA UCET	6249	58141	SIPO	YZ	58973252
334205	1136	1994-03-14	VYDAJ	PREVOD NA UCET	6249	60583	SIPO	YZ	58973252
334206	1136	1994-04-14	VYDAJ	PREVOD NA UCET	6249	63093	SIPO	YZ	58973252
334207	1136	1994-05-14	VYDAJ	PREVOD NA UCET	6249	67318	SIPO	YZ	58973252
334208	1136	1994-06-14	VYDAJ	PREVOD NA UCET	6249	85868	SIPO	YZ	58973252
334209	1136	1994-07-14	VYDAJ	PREVOD NA UCET	6249	65264	SIPO	YZ	58973252
334210	1136	1994-08-14	VYDAJ	PREVOD NA UCET	6249	48849	SIPO	YZ	58973252
334211	1136	1994-09-14	VYDAJ	PREVOD NA UCET	6249	46301	SIPO	YZ	58973252
334212	1136	1994-10-14	VYDAJ	PREVOD NA UCET	6249	55732	SIPO	YZ	58973252
334213	1136	1994-11-14	VYDAJ	PREVOD NA UCET	6249	60504	SIPO	YZ	58973252
334214	1136	1994-12-14	VYDAJ	PREVOD NA UCET	6249	79506	SIPO	YZ	58973252
334215	1136	1995-01-14	VYDAJ	PREVOD NA UCET	6249	61244	SIPO	YZ	58973252
334216	1136	1995-02-14	VYDAJ	PREVOD NA UCET	6249	58121	SIPO	YZ	58973252
334217	1136	1995-03-14	VYDAJ	PREVOD NA UCET	6249	65597	SIPO	YZ	58973252
334218	1136	1995-04-14	VYDAJ	PREVOD NA UCET	6249	57204	SIPO	YZ	58973252
334219	1136	1995-05-14	VYDAJ	PREVOD NA UCET	6249	50077	SIPO	YZ	58973252
334220	1136	1995-06-14	VYDAJ	PREVOD NA UCET	6249	46536	SIPO	YZ	58973252
334221	1136	1995-07-14	VYDAJ	PREVOD NA UCET	6249	56867	SIPO	YZ	58973252
334222	1136	1995-08-14	VYDAJ	PREVOD NA UCET	6249	62634	SIPO	YZ	58973252
334223	1136	1995-09-14	VYDAJ	PREVOD NA UCET	6249	61615	SIPO	YZ	58973252
334224	1136	1995-10-14	VYDAJ	PREVOD NA UCET	6249	65597	SIPO	YZ	58973252
334225	1136	1995-11-14	VYDAJ	PREVOD NA UCET	6249	54285	SIPO	YZ	58973252
334226	1136	1995-12-14	VYDAJ	PREVOD NA UCET	6249	61688	SIPO	YZ	58973252
334227	1136	1996-01-14	VYDAJ	PREVOD NA UCET	6249	58240	SIPO	YZ	58973252
334228	1136	1996-02-14	VYDAJ	PREVOD NA UCET	6249	49886	SIPO	YZ	58973252
334229	1136	1996-03-14	VYDAJ	PREVOD NA UCET	6249	46229	SIPO	YZ	58973252
334230	1136	1996-04-14	VYDAJ	PREVOD NA UCET	6249	51797	SIPO	YZ	58973252
334231	1136	1996-05-14	VYDAJ	PREVOD NA UCET	6249	48648	SIPO	YZ	58973252
334232	1136	1996-06-14	VYDAJ	PREVOD NA UCET	6249	64873	SIPO	YZ	58973252
334233	1136	1996-07-14	VYDAJ	PREVOD NA UCET	6249	47690	SIPO	YZ	58973252
334234	1136	1996-08-14	VYDAJ	PREVOD NA UCET	6249	48617	SIPO	YZ	58973252
334235	1136	1996-09-14	VYDAJ	PREVOD NA UCET	6249	54137	SIPO	YZ	58973252
334236	1136	1996-10-14	VYDAJ	PREVOD NA UCET	6249	54703	SIPO	YZ	58973252
334237	1136	1996-11-14	VYDAJ	PREVOD NA UCET	6249	59140	SIPO	YZ	58973252
334238	1136	1996-12-14	VYDAJ	PREVOD NA UCET	6249	74510	SIPO	YZ	58973252
334239	1136	1997-01-14	VYDAJ	PREVOD NA UCET	6249	48115	SIPO	YZ	58973252
334240	1136	1997-02-14	VYDAJ	PREVOD NA UCET	6249	46519	SIPO	YZ	58973252
334241	1136	1997-03-14	VYDAJ	PREVOD NA UCET	6249	48679	SIPO	YZ	58973252
334242	1136	1997-04-14	VYDAJ	PREVOD NA UCET	6249	52893	SIPO	YZ	58973252
334243	1136	1997-05-14	VYDAJ	PREVOD NA UCET	6249	46787	SIPO	YZ	58973252
334244	1136	1997-06-14	VYDAJ	PREVOD NA UCET	6249	62195	SIPO	YZ	58973252
334245	1136	1997-07-14	VYDAJ	PREVOD NA UCET	6249	49101	SIPO	YZ	58973252
334246	1136	1997-08-14	VYDAJ	PREVOD NA UCET	6249	43687	SIPO	YZ	58973252
334247	1136	1997-09-14	VYDAJ	PREVOD NA UCET	6249	40852	SIPO	YZ	58973252
334248	1136	1997-10-14	VYDAJ	PREVOD NA UCET	6249	48525	SIPO	YZ	58973252
334249	1136	1997-11-14	VYDAJ	PREVOD NA UCET	6249	44304	SIPO	YZ	58973252
334250	1136	1997-12-14	VYDAJ	PREVOD NA UCET	6249	32881	SIPO	YZ	58973252
334251	1136	1998-01-14	VYDAJ	PREVOD NA UCET	6249	26092	SIPO	YZ	58973252
334252	1136	1998-02-14	VYDAJ	PREVOD NA UCET	6249	22678	SIPO	YZ	58973252
334253	1136	1998-03-14	VYDAJ	PREVOD NA UCET	6249	38048	SIPO	YZ	58973252
334254	1136	1998-04-14	VYDAJ	PREVOD NA UCET	6249	22711	SIPO	YZ	58973252
334255	1136	1998-05-14	VYDAJ	PREVOD NA UCET	6249	25374	SIPO	YZ	58973252
334256	1136	1998-06-14	VYDAJ	PREVOD NA UCET	6249	29954	SIPO	YZ	58973252
334257	1136	1998-07-14	VYDAJ	PREVOD NA UCET	6249	25838	SIPO	YZ	58973252
334258	1136	1998-08-14	VYDAJ	PREVOD NA UCET	6249	47618	SIPO	YZ	58973252
334259	1136	1998-09-14	VYDAJ	PREVOD NA UCET	6249	57429	SIPO	YZ	58973252
334260	1136	1998-10-14	VYDAJ	PREVOD NA UCET	6249	50301	SIPO	YZ	58973252
334261	1136	1998-11-14	VYDAJ	PREVOD NA UCET	6249	51877	SIPO	YZ	58973252
334262	1136	1998-12-14	VYDAJ	PREVOD NA UCET	6249	80777	SIPO	YZ	58973252
334275	1136	1994-01-10	VYDAJ	PREVOD NA UCET	2884	51934	 	YZ	17459643
334276	1136	1994-02-10	VYDAJ	PREVOD NA UCET	2884	33572	 	YZ	17459643
334277	1136	1994-03-10	VYDAJ	PREVOD NA UCET	2884	36014	 	YZ	17459643
334278	1136	1994-04-10	VYDAJ	PREVOD NA UCET	2884	38524	 	YZ	17459643
334279	1136	1994-05-10	VYDAJ	PREVOD NA UCET	2884	42749	 	YZ	17459643
334280	1136	1994-06-10	VYDAJ	PREVOD NA UCET	2884	45890	 	YZ	17459643
334281	1136	1994-07-10	VYDAJ	PREVOD NA UCET	2884	40695	 	YZ	17459643
334282	1136	1994-08-10	VYDAJ	PREVOD NA UCET	2884	24280	 	YZ	17459643
334283	1136	1994-09-10	VYDAJ	PREVOD NA UCET	2884	21732	 	YZ	17459643
334284	1136	1994-10-10	VYDAJ	PREVOD NA UCET	2884	31163	 	YZ	17459643
334285	1136	1994-11-10	VYDAJ	PREVOD NA UCET	2884	35935	 	YZ	17459643
334286	1136	1994-12-10	VYDAJ	PREVOD NA UCET	2884	39528	 	YZ	17459643
334287	1136	1995-01-10	VYDAJ	PREVOD NA UCET	2884	36675	 	YZ	17459643
334288	1136	1995-02-10	VYDAJ	PREVOD NA UCET	2884	33552	 	YZ	17459643
334289	1136	1995-03-10	VYDAJ	PREVOD NA UCET	2884	41028	 	YZ	17459643
334290	1136	1995-04-10	VYDAJ	PREVOD NA UCET	2884	43735	 	YZ	17459643
334291	1136	1995-05-10	VYDAJ	PREVOD NA UCET	2884	25508	 	YZ	17459643
334292	1136	1995-06-10	VYDAJ	PREVOD NA UCET	2884	24858	 	YZ	17459643
334293	1136	1995-07-10	VYDAJ	PREVOD NA UCET	2884	32298	 	YZ	17459643
334294	1136	1995-08-10	VYDAJ	PREVOD NA UCET	2884	38065	 	YZ	17459643
334295	1136	1995-09-10	VYDAJ	PREVOD NA UCET	2884	37046	 	YZ	17459643
334296	1136	1995-10-10	VYDAJ	PREVOD NA UCET	2884	41028	 	YZ	17459643
334297	1136	1995-11-10	VYDAJ	PREVOD NA UCET	2884	29716	 	YZ	17459643
334298	1136	1995-12-10	VYDAJ	PREVOD NA UCET	2884	21710	 	YZ	17459643
334299	1136	1996-01-10	VYDAJ	PREVOD NA UCET	2884	33671	 	YZ	17459643
334300	1136	1996-02-10	VYDAJ	PREVOD NA UCET	2884	25317	 	YZ	17459643
334301	1136	1996-03-10	VYDAJ	PREVOD NA UCET	2884	21660	 	YZ	17459643
334302	1136	1996-04-10	VYDAJ	PREVOD NA UCET	2884	27228	 	YZ	17459643
334303	1136	1996-05-10	VYDAJ	PREVOD NA UCET	2884	24079	 	YZ	17459643
334304	1136	1996-06-10	VYDAJ	PREVOD NA UCET	2884	24895	 	YZ	17459643
334305	1136	1996-07-10	VYDAJ	PREVOD NA UCET	2884	23121	 	YZ	17459643
334306	1136	1996-08-10	VYDAJ	PREVOD NA UCET	2884	24048	 	YZ	17459643
334307	1136	1996-09-10	VYDAJ	PREVOD NA UCET	2884	29568	 	YZ	17459643
334308	1136	1996-10-10	VYDAJ	PREVOD NA UCET	2884	30134	 	YZ	17459643
334309	1136	1996-11-10	VYDAJ	PREVOD NA UCET	2884	34571	 	YZ	17459643
334310	1136	1996-12-10	VYDAJ	PREVOD NA UCET	2884	34532	 	YZ	17459643
334311	1136	1997-01-10	VYDAJ	PREVOD NA UCET	2884	23546	 	YZ	17459643
334312	1136	1997-02-10	VYDAJ	PREVOD NA UCET	2884	21950	 	YZ	17459643
334313	1136	1997-03-10	VYDAJ	PREVOD NA UCET	2884	24110	 	YZ	17459643
334314	1136	1997-04-10	VYDAJ	PREVOD NA UCET	2884	28324	 	YZ	17459643
334315	1136	1997-05-10	VYDAJ	PREVOD NA UCET	2884	27639	 	YZ	17459643
334316	1136	1997-06-10	VYDAJ	PREVOD NA UCET	2884	22217	 	YZ	17459643
334317	1136	1997-07-10	VYDAJ	PREVOD NA UCET	2884	24532	 	YZ	17459643
334318	1136	1997-08-10	VYDAJ	PREVOD NA UCET	2884	19118	 	YZ	17459643
334319	1136	1997-09-10	VYDAJ	PREVOD NA UCET	2884	16283	 	YZ	17459643
334320	1136	1997-10-10	VYDAJ	PREVOD NA UCET	2884	23956	 	YZ	17459643
334321	1136	1997-11-10	VYDAJ	PREVOD NA UCET	2884	19735	 	YZ	17459643
334322	1136	1997-12-10	VYDAJ	PREVOD NA UCET	2884	19903	 	YZ	17459643
334323	1136	1998-01-10	VYDAJ	PREVOD NA UCET	2884	23823	 	YZ	17459643
334324	1136	1998-02-10	VYDAJ	PREVOD NA UCET	2884	23309	 	YZ	17459643
334325	1136	1998-03-10	VYDAJ	PREVOD NA UCET	2884	19877	 	YZ	17459643
334326	1136	1998-04-10	VYDAJ	PREVOD NA UCET	2884	18842	 	YZ	17459643
334327	1136	1998-05-10	VYDAJ	PREVOD NA UCET	2884	19905	 	YZ	17459643
334328	1136	1998-06-10	VYDAJ	PREVOD NA UCET	2884	22576	 	YZ	17459643
334329	1136	1998-07-10	VYDAJ	PREVOD NA UCET	2884	27169	 	YZ	17459643
334330	1136	1998-08-10	VYDAJ	PREVOD NA UCET	2884	23049	 	YZ	17459643
334331	1136	1998-09-10	VYDAJ	PREVOD NA UCET	2884	32860	 	YZ	17459643
334332	1136	1998-10-10	VYDAJ	PREVOD NA UCET	2884	25732	 	YZ	17459643
334333	1136	1998-11-10	VYDAJ	PREVOD NA UCET	2884	27308	 	YZ	17459643
334334	1136	1998-12-10	VYDAJ	PREVOD NA UCET	2884	40799	 	YZ	17459643
334344	1136	1994-08-03	VYBER	VYBER	19355	27164	\N	\N	\N
334345	1136	1994-08-24	VYBER	VYBER	4592	44257	\N	\N	\N
334346	1136	1994-11-15	VYBER	VYBER	6098	54406	\N	\N	\N
334348	1136	1994-03-08	VYBER	VYBER	3349	38898	\N	\N	\N
334349	1136	1995-05-03	VYBER	VYBER	14733	28392	\N	\N	\N
334350	1136	1995-08-18	VYBER	VYBER	7894	54740	\N	\N	\N
334351	1136	1995-05-26	VYBER	VYBER	8678	28499	\N	\N	\N
334352	1136	1995-11-26	VYBER	VYBER	13247	24438	\N	\N	\N
334353	1136	1996-11-15	VYBER	VYBER	4483	54657	\N	\N	\N
334354	1136	1996-03-02	VYBER	VYBER	12888	24544	\N	\N	\N
334355	1136	1996-03-18	VYBER	VYBER	3058	43171	\N	\N	\N
334356	1136	1996-09-16	VYBER	VYBER	7759	46378	\N	\N	\N
334357	1136	1996-07-24	VYBER	VYBER	3130	30760	\N	\N	\N
334360	1136	1996-08-09	VYBER	VYBER	3957	26932	\N	\N	\N
334361	1136	1996-04-18	VYBER	VYBER	17362	34435	\N	\N	\N
334372	1136	1997-06-20	VYBER	VYBER	7892	27303	\N	\N	\N
334373	1136	1997-03-05	VYBER	VYBER	5041	26994	\N	\N	\N
334374	1136	1997-05-13	VYBER	VYBER	5421	53036	\N	\N	\N
334377	1136	1997-01-10	VYBER	VYBER	4563	26430	\N	\N	\N
334378	1136	1998-10-26	VYBER	VYBER	20286	30015	\N	\N	\N
334380	1136	1998-08-15	VYBER	VYBER	11994	35624	\N	\N	\N
334382	1136	1998-12-02	VYBER	VYBER	3858	48183	\N	\N	\N
334383	1136	1998-03-13	VYBER	VYBER	6398	44297	\N	\N	\N
334384	1136	1998-12-23	VYBER	VYBER	5864	74913	\N	\N	\N
334390	1136	1995-06-12	VYDAJ	VYBER	18300	52785	\N	\N	\N
334391	1136	1996-06-16	VYDAJ	VYBER	20700	44173	\N	\N	\N
334392	1136	1997-06-15	VYDAJ	VYBER	27000	35195	\N	\N	\N
334394	1136	1993-12-27	VYDAJ	VYBER	7500	85269	\N	\N	\N
334395	1136	1994-12-29	VYDAJ	VYBER	8100	71406	\N	\N	\N
334397	1136	1996-12-27	VYDAJ	VYBER	2400	34410	\N	\N	\N
334399	1136	1998-12-07	VYDAJ	VYBER	4500	43683	\N	\N	\N
334406	1136	1994-01-30	VYDAJ	VYBER	1500	45603	\N	\N	\N
334407	1136	1994-01-20	VYDAJ	VYBER	5400	52803	\N	\N	\N
334408	1136	1994-01-14	VYDAJ	VYBER	2700	71352	\N	\N	\N
334409	1136	1994-01-19	VYDAJ	VYBER	6900	58203	\N	\N	\N
334410	1136	1994-01-11	VYDAJ	VYBER	8700	43234	\N	\N	\N
334411	1136	1994-01-21	VYDAJ	VYBER	5700	47103	\N	\N	\N
334412	1136	1995-01-22	VYDAJ	VYBER	8700	50144	\N	\N	\N
334413	1136	1995-01-29	VYDAJ	VYBER	5400	36244	\N	\N	\N
334414	1136	1995-01-17	VYDAJ	VYBER	2400	58844	\N	\N	\N
334415	1136	1995-01-04	VYDAJ	VYBER	2100	43459	\N	\N	\N
334416	1136	1995-01-05	VYDAJ	VYBER	3900	39559	\N	\N	\N
334417	1136	1995-01-01	VYDAJ	VYBER	2100	45559	\N	\N	\N
334418	1136	1996-01-14	VYDAJ	VYBER	2400	55840	\N	\N	\N
334419	1136	1996-01-06	VYDAJ	VYBER	2400	36555	\N	\N	\N
334420	1136	1996-01-01	VYDAJ	VYBER	1500	38955	\N	\N	\N
334421	1136	1996-01-24	VYDAJ	VYBER	3300	43840	\N	\N	\N
334422	1136	1996-01-25	VYDAJ	VYBER	5400	28040	\N	\N	\N
334423	1136	1996-01-21	VYDAJ	VYBER	8700	47140	\N	\N	\N
334424	1136	1997-01-21	VYDAJ	VYBER	1800	24715	\N	\N	\N
334425	1136	1997-01-01	VYDAJ	VYBER	3600	30993	\N	\N	\N
334427	1136	1997-01-17	VYDAJ	VYBER	4500	43615	\N	\N	\N
334432	1136	1998-01-08	VYDAJ	VYBER	6300	26707	\N	\N	\N
334442	1136	1994-09-05	VYDAJ	VYBER	4200	24616	\N	\N	\N
334443	1136	1994-10-20	VYDAJ	VYBER	6900	48832	\N	\N	\N
334444	1136	1994-07-06	VYDAJ	VYBER	12000	43579	\N	\N	\N
334445	1136	1994-08-30	VYDAJ	VYBER	12000	32257	\N	\N	\N
334446	1136	1994-09-17	VYDAJ	VYBER	2400	43901	\N	\N	\N
334447	1136	1995-05-15	VYDAJ	VYBER	12900	37177	\N	\N	\N
334448	1136	1995-10-28	VYDAJ	VYBER	10200	32397	\N	\N	\N
334449	1136	1995-04-14	VYDAJ	VYBER	11100	63453	\N	\N	\N
334451	1136	1996-06-20	VYDAJ	VYBER	10800	29173	\N	\N	\N
334452	1136	1996-05-26	VYDAJ	VYBER	3900	27648	\N	\N	\N
334453	1136	1996-06-20	VYDAJ	VYBER	4200	39973	\N	\N	\N
334454	1136	1996-12-19	VYDAJ	VYBER	10800	36810	\N	\N	\N
334456	1136	1997-09-15	VYDAJ	VYBER	14100	26752	\N	\N	\N
334462	1136	1998-10-04	VYDAJ	VYBER	1800	55816	\N	\N	\N
334475	1136	1993-12-31	VYDAJ	VYBER	15	85618	SLUZBY	\N	\N
334476	1136	1994-01-31	VYDAJ	VYBER	15	45856	SLUZBY	\N	\N
334477	1136	1994-02-28	VYDAJ	VYBER	15	58347	SLUZBY	\N	\N
334478	1136	1994-03-31	VYDAJ	VYBER	15	60808	SLUZBY	\N	\N
334479	1136	1994-04-30	VYDAJ	VYBER	15	63333	SLUZBY	\N	\N
334480	1136	1994-05-31	VYDAJ	VYBER	15	67574	SLUZBY	\N	\N
334481	1136	1994-06-30	VYDAJ	VYBER	15	86179	SLUZBY	\N	\N
334482	1136	1994-07-31	VYDAJ	VYBER	15	65519	SLUZBY	\N	\N
334483	1136	1994-08-31	VYDAJ	VYBER	15	32416	SLUZBY	\N	\N
334484	1136	1994-09-30	VYDAJ	VYBER	15	44047	SLUZBY	\N	\N
334485	1136	1994-10-31	VYDAJ	VYBER	15	49019	SLUZBY	\N	\N
334486	1136	1994-11-30	VYDAJ	VYBER	15	42412	SLUZBY	\N	\N
334487	1136	1994-12-31	VYDAJ	VYBER	15	47659	SLUZBY	\N	\N
334488	1136	1995-01-31	VYDAJ	VYBER	15	36436	SLUZBY	\N	\N
334489	1136	1995-02-28	VYDAJ	VYBER	15	43912	SLUZBY	\N	\N
334490	1136	1995-03-31	VYDAJ	VYBER	15	46619	SLUZBY	\N	\N
334491	1136	1995-04-30	VYDAJ	VYBER	15	43125	SLUZBY	\N	\N
334492	1136	1995-05-31	VYDAJ	VYBER	15	27742	SLUZBY	\N	\N
334493	1136	1995-06-30	VYDAJ	VYBER	15	35182	SLUZBY	\N	\N
334494	1136	1995-07-31	VYDAJ	VYBER	15	40949	SLUZBY	\N	\N
334495	1136	1995-08-31	VYDAJ	VYBER	15	39930	SLUZBY	\N	\N
334496	1136	1995-09-30	VYDAJ	VYBER	15	43912	SLUZBY	\N	\N
334497	1136	1995-10-31	VYDAJ	VYBER	15	32600	SLUZBY	\N	\N
334498	1136	1995-11-30	VYDAJ	VYBER	15	24594	SLUZBY	\N	\N
334499	1136	1995-12-31	VYDAJ	VYBER	15	40455	SLUZBY	\N	\N
334500	1136	1996-01-31	VYDAJ	VYBER	15	28201	SLUZBY	\N	\N
334501	1136	1996-02-29	VYDAJ	VYBER	15	37432	SLUZBY	\N	\N
334502	1136	1996-03-31	VYDAJ	VYBER	15	30112	SLUZBY	\N	\N
334503	1136	1996-04-30	VYDAJ	VYBER	15	26963	SLUZBY	\N	\N
334504	1136	1996-05-31	VYDAJ	VYBER	15	27779	SLUZBY	\N	\N
334505	1136	1996-06-30	VYDAJ	VYBER	15	26005	SLUZBY	\N	\N
334506	1136	1996-07-31	VYDAJ	VYBER	15	30889	SLUZBY	\N	\N
334507	1136	1996-08-31	VYDAJ	VYBER	15	32452	SLUZBY	\N	\N
334508	1136	1996-09-30	VYDAJ	VYBER	15	33018	SLUZBY	\N	\N
334509	1136	1996-10-31	VYDAJ	VYBER	15	37455	SLUZBY	\N	\N
334510	1136	1996-11-30	VYDAJ	VYBER	15	37416	SLUZBY	\N	\N
334511	1136	1996-12-31	VYDAJ	VYBER	15	34593	SLUZBY	\N	\N
334512	1136	1997-01-31	VYDAJ	VYBER	15	24834	SLUZBY	\N	\N
334513	1136	1997-02-28	VYDAJ	VYBER	15	32035	SLUZBY	\N	\N
334514	1136	1997-03-31	VYDAJ	VYBER	15	31208	SLUZBY	\N	\N
334515	1136	1997-04-30	VYDAJ	VYBER	15	30523	SLUZBY	\N	\N
334516	1136	1997-05-31	VYDAJ	VYBER	15	25101	SLUZBY	\N	\N
334517	1136	1997-06-30	VYDAJ	VYBER	15	27416	SLUZBY	\N	\N
334518	1136	1997-07-31	VYDAJ	VYBER	15	22002	SLUZBY	\N	\N
334519	1136	1997-08-31	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
334520	1136	1997-09-30	VYDAJ	VYBER	15	26840	SLUZBY	\N	\N
334521	1136	1997-10-31	VYDAJ	VYBER	15	22619	SLUZBY	\N	\N
334522	1136	1997-11-30	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
334523	1136	1997-12-31	VYDAJ	VYBER	15	33007	SLUZBY	\N	\N
334524	1136	1998-01-31	VYDAJ	VYBER	15	26193	SLUZBY	\N	\N
334525	1136	1998-02-28	VYDAJ	VYBER	15	22761	SLUZBY	\N	\N
334526	1136	1998-03-31	VYDAJ	VYBER	15	21726	SLUZBY	\N	\N
334527	1136	1998-04-30	VYDAJ	VYBER	15	22789	SLUZBY	\N	\N
334528	1136	1998-05-31	VYDAJ	VYBER	15	25460	SLUZBY	\N	\N
334529	1136	1998-06-30	VYDAJ	VYBER	15	30053	SLUZBY	\N	\N
334530	1136	1998-07-31	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
334531	1136	1998-08-31	VYDAJ	VYBER	15	35744	SLUZBY	\N	\N
334532	1136	1998-09-30	VYDAJ	VYBER	15	57616	SLUZBY	\N	\N
334533	1136	1998-10-31	VYDAJ	VYBER	15	30192	SLUZBY	\N	\N
334534	1136	1998-11-30	VYDAJ	VYBER	15	52041	SLUZBY	\N	\N
334535	1136	1993-09-06	VYDAJ	VYBER	1200	30603	\N	\N	\N
334536	1136	1993-10-06	VYDAJ	VYBER	16000	45632	\N	\N	\N
334537	1136	1993-11-05	VYDAJ	VYBER	28100	48646	\N	\N	\N
334538	1136	1993-12-05	VYDAJ	VYBER	27000	52791	\N	\N	\N
334539	1136	1994-01-04	VYDAJ	VYBER	30800	54818	\N	\N	\N
334540	1136	1994-02-03	VYDAJ	VYBER	9400	36456	\N	\N	\N
334541	1136	1994-03-05	VYDAJ	VYBER	16100	42247	\N	\N	\N
334542	1136	1994-04-04	VYDAJ	VYBER	19400	41408	\N	\N	\N
334543	1136	1994-05-04	VYDAJ	VYBER	17700	45633	\N	\N	\N
334544	1136	1994-06-03	VYDAJ	VYBER	18800	48774	\N	\N	\N
334545	1136	1994-07-03	VYDAJ	VYBER	30600	55579	\N	\N	\N
334546	1136	1994-08-02	VYDAJ	VYBER	19000	46519	\N	\N	\N
334547	1136	1994-09-01	VYDAJ	VYBER	3600	28816	\N	\N	\N
334548	1136	1994-10-01	VYDAJ	VYBER	10000	34047	\N	\N	\N
334549	1136	1994-10-31	VYDAJ	VYBER	10200	38819	\N	\N	\N
334550	1136	1994-11-30	VYDAJ	VYBER	12200	42426	\N	\N	\N
334551	1136	1994-12-30	VYDAJ	VYBER	24000	47406	\N	\N	\N
334552	1136	1995-01-29	VYDAJ	VYBER	8500	41644	\N	\N	\N
334553	1136	1995-02-28	VYDAJ	VYBER	14400	43927	\N	\N	\N
334554	1136	1995-03-30	VYDAJ	VYBER	19200	46397	\N	\N	\N
334555	1136	1995-04-29	VYDAJ	VYBER	14300	42904	\N	\N	\N
334556	1136	1995-05-29	VYDAJ	VYBER	900	27599	\N	\N	\N
334557	1136	1995-06-28	VYDAJ	VYBER	11500	35036	\N	\N	\N
334558	1136	1995-07-28	VYDAJ	VYBER	16100	40767	\N	\N	\N
334559	1136	1995-08-27	VYDAJ	VYBER	15000	39740	\N	\N	\N
334560	1136	1995-09-26	VYDAJ	VYBER	17900	43715	\N	\N	\N
334561	1136	1995-10-26	VYDAJ	VYBER	23000	42597	\N	\N	\N
334562	1136	1995-11-25	VYDAJ	VYBER	16600	37685	\N	\N	\N
334563	1136	1995-12-25	VYDAJ	VYBER	21400	40288	\N	\N	\N
334564	1136	1996-01-24	VYDAJ	VYBER	10400	33440	\N	\N	\N
334565	1136	1996-02-23	VYDAJ	VYBER	12600	37286	\N	\N	\N
334566	1136	1996-03-24	VYDAJ	VYBER	13200	29971	\N	\N	\N
334567	1136	1996-04-23	VYDAJ	VYBER	7600	26835	\N	\N	\N
334568	1136	1996-05-23	VYDAJ	VYBER	17100	31548	\N	\N	\N
334569	1136	1996-06-22	VYDAJ	VYBER	3300	25873	\N	\N	\N
334570	1136	1996-07-22	VYDAJ	VYBER	13800	33890	\N	\N	\N
334571	1136	1996-08-21	VYDAJ	VYBER	16300	32317	\N	\N	\N
334572	1136	1996-09-20	VYDAJ	VYBER	13500	32878	\N	\N	\N
334573	1136	1996-10-20	VYDAJ	VYBER	17400	37303	\N	\N	\N
334574	1136	1996-11-19	VYDAJ	VYBER	17400	37257	\N	\N	\N
334575	1136	1996-12-19	VYDAJ	VYBER	26900	47610	\N	\N	\N
334576	1136	1997-01-18	VYDAJ	VYBER	17100	26515	\N	\N	\N
334577	1136	1997-02-17	VYDAJ	VYBER	14600	31919	\N	\N	\N
334578	1136	1997-03-19	VYDAJ	VYBER	17600	31079	\N	\N	\N
334579	1136	1997-04-18	VYDAJ	VYBER	22500	30393	\N	\N	\N
334580	1136	1997-05-18	VYDAJ	VYBER	21800	24987	\N	\N	\N
334581	1136	1997-07-17	VYDAJ	VYBER	27200	21901	\N	\N	\N
334582	1136	1997-08-16	VYDAJ	VYBER	24600	19087	\N	\N	\N
334583	1136	1997-10-15	VYDAJ	VYBER	26000	22525	\N	\N	\N
334584	1136	1997-11-14	VYDAJ	VYBER	21600	22704	\N	\N	\N
334585	1136	1997-12-14	VYDAJ	VYBER	27000	39130	\N	\N	\N
334586	1136	1998-01-13	VYDAJ	VYBER	22300	32341	\N	\N	\N
334587	1136	1998-02-12	VYDAJ	VYBER	25200	28927	\N	\N	\N
334588	1136	1998-03-14	VYDAJ	VYBER	16400	21648	\N	\N	\N
334589	1136	1998-04-13	VYDAJ	VYBER	20700	28960	\N	\N	\N
334590	1136	1998-05-13	VYDAJ	VYBER	19100	31623	\N	\N	\N
334591	1136	1998-06-12	VYDAJ	VYBER	32600	36203	\N	\N	\N
334592	1136	1998-07-12	VYDAJ	VYBER	25900	32087	\N	\N	\N
334593	1136	1998-10-10	VYDAJ	VYBER	27200	28616	\N	\N	\N
334659	1137	1995-12-19	PRIJEM	VKLAD	900	900	\N	\N	\N
334672	1137	1996-01-13	PRIJEM	PREVOD Z UCTU	3182	4082	\N	QR	82249712
334673	1137	1996-02-13	PRIJEM	PREVOD Z UCTU	3182	7264	\N	QR	82249712
334674	1137	1996-03-13	PRIJEM	PREVOD Z UCTU	3182	10446	\N	QR	82249712
334675	1137	1996-04-13	PRIJEM	PREVOD Z UCTU	3182	13628	\N	QR	82249712
334676	1137	1996-05-13	PRIJEM	PREVOD Z UCTU	3182	16810	\N	QR	82249712
334677	1137	1996-06-13	PRIJEM	PREVOD Z UCTU	3182	16179	\N	QR	82249712
334678	1137	1996-07-13	PRIJEM	PREVOD Z UCTU	3182	17291	\N	QR	82249712
334679	1137	1996-08-13	PRIJEM	PREVOD Z UCTU	3182	18408	\N	QR	82249712
334680	1137	1996-09-13	PRIJEM	PREVOD Z UCTU	3182	18389	\N	QR	82249712
334681	1137	1996-10-13	PRIJEM	PREVOD Z UCTU	3182	18330	\N	QR	82249712
334682	1137	1996-11-13	PRIJEM	PREVOD Z UCTU	3182	18949	\N	QR	82249712
334683	1137	1996-12-13	PRIJEM	PREVOD Z UCTU	3182	19291	\N	QR	82249712
334684	1137	1997-01-13	PRIJEM	PREVOD Z UCTU	3182	15445	\N	QR	82249712
334685	1137	1997-02-13	PRIJEM	PREVOD Z UCTU	3182	14479	\N	QR	82249712
334686	1137	1997-03-13	PRIJEM	PREVOD Z UCTU	3182	14173	\N	QR	82249712
334687	1137	1997-04-13	PRIJEM	PREVOD Z UCTU	3182	15276	\N	QR	82249712
334688	1137	1997-05-13	PRIJEM	PREVOD Z UCTU	3182	16385	\N	QR	82249712
334689	1137	1997-06-13	PRIJEM	PREVOD Z UCTU	3182	17498	\N	QR	82249712
334690	1137	1997-07-13	PRIJEM	PREVOD Z UCTU	3182	17384	\N	QR	82249712
334691	1137	1997-08-13	PRIJEM	PREVOD Z UCTU	3182	17179	\N	QR	82249712
334692	1137	1997-09-13	PRIJEM	PREVOD Z UCTU	3182	15473	\N	QR	82249712
334693	1137	1997-10-13	PRIJEM	PREVOD Z UCTU	3182	16582	\N	QR	82249712
334694	1137	1997-11-13	PRIJEM	PREVOD Z UCTU	3182	17696	\N	QR	82249712
334695	1137	1997-12-13	PRIJEM	PREVOD Z UCTU	3182	17074	\N	QR	82249712
334696	1137	1998-01-13	PRIJEM	PREVOD Z UCTU	3182	16990	\N	QR	82249712
334697	1137	1998-02-13	PRIJEM	PREVOD Z UCTU	3182	14382	\N	QR	82249712
334698	1137	1998-03-13	PRIJEM	PREVOD Z UCTU	3182	14585	\N	QR	82249712
334699	1137	1998-04-13	PRIJEM	PREVOD Z UCTU	3182	15690	\N	QR	82249712
334700	1137	1998-05-13	PRIJEM	PREVOD Z UCTU	3182	16800	\N	QR	82249712
334701	1137	1998-06-13	PRIJEM	PREVOD Z UCTU	3182	17914	\N	QR	82249712
334702	1137	1998-07-13	PRIJEM	PREVOD Z UCTU	3182	19033	\N	QR	82249712
334703	1137	1998-08-13	PRIJEM	PREVOD Z UCTU	3182	18744	\N	QR	82249712
334704	1137	1998-09-13	PRIJEM	PREVOD Z UCTU	3182	19866	\N	QR	82249712
334705	1137	1998-10-13	PRIJEM	PREVOD Z UCTU	3182	18890	\N	QR	82249712
334706	1137	1998-11-13	PRIJEM	PREVOD Z UCTU	3182	20013	\N	QR	82249712
334707	1137	1998-12-13	PRIJEM	PREVOD Z UCTU	3182	21141	\N	QR	82249712
334725	1137	1996-06-08	VYDAJ	PREVOD NA UCET	2121	12997	SIPO	GH	1497954
334726	1137	1996-07-08	VYDAJ	PREVOD NA UCET	2121	14109	SIPO	GH	1497954
334727	1137	1996-08-08	VYDAJ	PREVOD NA UCET	2121	15226	SIPO	GH	1497954
334728	1137	1996-09-08	VYDAJ	PREVOD NA UCET	2121	15207	SIPO	GH	1497954
334729	1137	1996-10-08	VYDAJ	PREVOD NA UCET	2121	15148	SIPO	GH	1497954
334730	1137	1996-11-08	VYDAJ	PREVOD NA UCET	2121	15767	SIPO	GH	1497954
334731	1137	1996-12-08	VYDAJ	PREVOD NA UCET	2121	16109	SIPO	GH	1497954
334732	1137	1997-01-08	VYDAJ	PREVOD NA UCET	2121	12263	SIPO	GH	1497954
334733	1137	1997-02-08	VYDAJ	PREVOD NA UCET	2121	11297	SIPO	GH	1497954
334734	1137	1997-03-08	VYDAJ	PREVOD NA UCET	2121	10991	SIPO	GH	1497954
334735	1137	1997-04-08	VYDAJ	PREVOD NA UCET	2121	12094	SIPO	GH	1497954
334736	1137	1997-05-08	VYDAJ	PREVOD NA UCET	2121	13203	SIPO	GH	1497954
334737	1137	1997-06-08	VYDAJ	PREVOD NA UCET	2121	14316	SIPO	GH	1497954
334738	1137	1997-07-08	VYDAJ	PREVOD NA UCET	2121	14202	SIPO	GH	1497954
334739	1137	1997-08-08	VYDAJ	PREVOD NA UCET	2121	13997	SIPO	GH	1497954
334740	1137	1997-09-08	VYDAJ	PREVOD NA UCET	2121	12291	SIPO	GH	1497954
334741	1137	1997-10-08	VYDAJ	PREVOD NA UCET	2121	13400	SIPO	GH	1497954
334742	1137	1997-11-08	VYDAJ	PREVOD NA UCET	2121	14514	SIPO	GH	1497954
334743	1137	1997-12-08	VYDAJ	PREVOD NA UCET	2121	14282	SIPO	GH	1497954
334744	1137	1998-01-08	VYDAJ	PREVOD NA UCET	2121	13808	SIPO	GH	1497954
334745	1137	1998-02-08	VYDAJ	PREVOD NA UCET	2121	11200	SIPO	GH	1497954
334746	1137	1998-03-08	VYDAJ	PREVOD NA UCET	2121	11403	SIPO	GH	1497954
334747	1137	1998-04-08	VYDAJ	PREVOD NA UCET	2121	12508	SIPO	GH	1497954
334748	1137	1998-05-08	VYDAJ	PREVOD NA UCET	2121	13618	SIPO	GH	1497954
334749	1137	1998-06-08	VYDAJ	PREVOD NA UCET	2121	14732	SIPO	GH	1497954
334750	1137	1998-07-08	VYDAJ	PREVOD NA UCET	2121	15851	SIPO	GH	1497954
334751	1137	1998-08-08	VYDAJ	PREVOD NA UCET	2121	15562	SIPO	GH	1497954
334752	1137	1998-09-08	VYDAJ	PREVOD NA UCET	2121	16684	SIPO	GH	1497954
334753	1137	1998-10-08	VYDAJ	PREVOD NA UCET	2121	15708	SIPO	GH	1497954
334754	1137	1998-11-08	VYDAJ	PREVOD NA UCET	2121	16831	SIPO	GH	1497954
334755	1137	1998-12-08	VYDAJ	PREVOD NA UCET	2121	17959	SIPO	GH	1497954
334763	1137	1998-01-29	VYDAJ	VYBER	2310	13660	\N	\N	\N
334765	1137	1996-12-04	VYDAJ	VYBER	180	18230	\N	\N	\N
334766	1137	1997-12-08	VYDAJ	VYBER	390	13892	\N	\N	\N
334767	1137	1998-12-13	VYDAJ	VYBER	180	20961	\N	\N	\N
334780	1137	1997-01-01	VYDAJ	VYBER	780	14684	\N	\N	\N
334781	1137	1997-01-06	VYDAJ	VYBER	300	14384	\N	\N	\N
334782	1137	1997-01-18	VYDAJ	VYBER	450	14215	\N	\N	\N
334783	1137	1997-01-16	VYDAJ	VYBER	780	14665	\N	\N	\N
334784	1137	1997-01-19	VYDAJ	VYBER	840	13375	\N	\N	\N
334786	1137	1998-01-05	VYDAJ	VYBER	660	16289	\N	\N	\N
334788	1137	1998-01-13	VYDAJ	VYBER	630	16360	\N	\N	\N
334789	1137	1998-01-26	VYDAJ	VYBER	390	15970	\N	\N	\N
334790	1137	1998-01-06	VYDAJ	VYBER	360	15929	\N	\N	\N
334791	1137	1998-01-30	VYDAJ	VYBER	390	13270	\N	\N	\N
334794	1137	1996-12-14	VYDAJ	VYBER	1380	15411	\N	\N	\N
334796	1137	1996-05-17	VYDAJ	VYBER	450	16360	\N	\N	\N
334797	1137	1996-10-07	VYDAJ	VYBER	180	17269	\N	\N	\N
334798	1137	1996-06-02	VYDAJ	VYBER	1260	15118	\N	\N	\N
334799	1137	1996-08-31	VYDAJ	VYBER	1140	17328	\N	\N	\N
334800	1137	1997-02-23	VYDAJ	VYBER	1410	13069	\N	\N	\N
334801	1137	1997-06-27	VYDAJ	VYBER	1230	16268	\N	\N	\N
334802	1137	1997-08-28	VYDAJ	VYBER	1440	14359	\N	\N	\N
334803	1137	1997-07-18	VYDAJ	VYBER	1320	16064	\N	\N	\N
334804	1137	1997-12-03	VYDAJ	VYBER	1350	16403	\N	\N	\N
334805	1137	1997-08-27	VYDAJ	VYBER	1380	15799	\N	\N	\N
334806	1137	1997-12-26	VYDAJ	VYBER	180	16894	\N	\N	\N
334807	1137	1998-09-25	VYDAJ	VYBER	660	17766	\N	\N	\N
334809	1137	1998-02-18	VYDAJ	VYBER	900	13482	\N	\N	\N
334810	1137	1998-09-21	VYDAJ	VYBER	1440	18426	\N	\N	\N
334811	1137	1998-07-14	VYDAJ	VYBER	1410	17623	\N	\N	\N
334812	1137	1998-12-23	VYDAJ	VYBER	510	20451	\N	\N	\N
334831	1137	1996-05-31	VYDAJ	VYBER	15	16378	SLUZBY	\N	\N
334832	1137	1996-06-30	VYDAJ	VYBER	15	16230	SLUZBY	\N	\N
334833	1137	1996-07-31	VYDAJ	VYBER	15	17347	SLUZBY	\N	\N
334834	1137	1996-08-31	VYDAJ	VYBER	15	18468	SLUZBY	\N	\N
334835	1137	1996-09-30	VYDAJ	VYBER	15	17449	SLUZBY	\N	\N
334836	1137	1996-10-31	VYDAJ	VYBER	15	17888	SLUZBY	\N	\N
334837	1137	1996-11-30	VYDAJ	VYBER	15	18410	SLUZBY	\N	\N
334838	1137	1996-12-31	VYDAJ	VYBER	15	15464	SLUZBY	\N	\N
334839	1137	1997-01-31	VYDAJ	VYBER	15	13418	SLUZBY	\N	\N
334840	1137	1997-02-28	VYDAJ	VYBER	15	13112	SLUZBY	\N	\N
334841	1137	1997-03-31	VYDAJ	VYBER	15	14215	SLUZBY	\N	\N
334842	1137	1997-04-30	VYDAJ	VYBER	15	15324	SLUZBY	\N	\N
334843	1137	1997-05-31	VYDAJ	VYBER	15	16437	SLUZBY	\N	\N
334844	1137	1997-06-30	VYDAJ	VYBER	15	16323	SLUZBY	\N	\N
334845	1137	1997-07-31	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
334846	1137	1997-08-31	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
334847	1137	1997-09-30	VYDAJ	VYBER	15	15521	SLUZBY	\N	\N
334848	1137	1997-10-31	VYDAJ	VYBER	15	16635	SLUZBY	\N	\N
334849	1137	1997-11-30	VYDAJ	VYBER	15	17753	SLUZBY	\N	\N
334850	1137	1997-12-31	VYDAJ	VYBER	15	16949	SLUZBY	\N	\N
334851	1137	1998-01-31	VYDAJ	VYBER	15	13321	SLUZBY	\N	\N
334852	1137	1998-02-28	VYDAJ	VYBER	15	13524	SLUZBY	\N	\N
334853	1137	1998-03-31	VYDAJ	VYBER	15	14629	SLUZBY	\N	\N
334854	1137	1998-04-30	VYDAJ	VYBER	15	15739	SLUZBY	\N	\N
334855	1137	1998-05-31	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
334856	1137	1998-06-30	VYDAJ	VYBER	15	17972	SLUZBY	\N	\N
334857	1137	1998-07-31	VYDAJ	VYBER	15	17683	SLUZBY	\N	\N
334858	1137	1998-08-31	VYDAJ	VYBER	15	18805	SLUZBY	\N	\N
334859	1137	1998-09-30	VYDAJ	VYBER	15	17829	SLUZBY	\N	\N
334860	1137	1998-10-31	VYDAJ	VYBER	15	18952	SLUZBY	\N	\N
334861	1137	1998-11-30	VYDAJ	VYBER	15	20080	SLUZBY	\N	\N
334862	1137	1996-09-14	VYDAJ	VYBER	1000	17389	\N	\N	\N
334863	1137	1996-10-14	VYDAJ	VYBER	500	17830	\N	\N	\N
334864	1137	1996-11-13	VYDAJ	VYBER	600	18349	\N	\N	\N
334865	1137	1996-12-13	VYDAJ	VYBER	2500	16791	\N	\N	\N
334898	1138	1997-04-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
334899	1138	1997-07-01	PRIJEM	VKLAD	9317	24217	\N	\N	\N
334901	1138	1998-10-31	PRIJEM	VKLAD	4773	15187	\N	\N	\N
334902	1138	1998-11-02	PRIJEM	VKLAD	17430	32617	\N	\N	\N
334962	1138	1997-05-07	PRIJEM	VKLAD	9400	10400	\N	\N	\N
334963	1138	1997-06-06	PRIJEM	VKLAD	4500	14900	\N	\N	\N
334964	1138	1997-07-06	PRIJEM	VKLAD	100	24317	\N	\N	\N
334965	1138	1997-08-05	VYDAJ	VYBER	3100	21302	\N	\N	\N
334966	1138	1997-10-04	PRIJEM	VKLAD	1700	23103	\N	\N	\N
334967	1138	1997-11-03	PRIJEM	VKLAD	100	23305	\N	\N	\N
334968	1138	1997-12-03	PRIJEM	VKLAD	2100	25506	\N	\N	\N
334969	1138	1998-01-02	VYDAJ	VYBER	3800	21807	\N	\N	\N
334970	1138	1998-02-01	VYDAJ	VYBER	2300	19609	\N	\N	\N
334971	1138	1998-03-03	VYDAJ	VYBER	5600	14110	\N	\N	\N
334972	1138	1998-07-31	VYDAJ	VYBER	2000	12313	\N	\N	\N
334973	1138	1998-09-29	VYDAJ	VYBER	2000	10313	\N	\N	\N
334974	1138	1998-11-28	VYDAJ	VYBER	14800	17817	\N	\N	\N
334987	1139	1996-01-20	PRIJEM	VKLAD	900	900	\N	\N	\N
334988	1139	1996-09-11	PRIJEM	VKLAD	45135	76235	\N	\N	\N
334989	1139	1997-02-01	PRIJEM	VKLAD	18678	82591	\N	\N	\N
334990	1139	1997-10-24	PRIJEM	VKLAD	32857	92960	\N	\N	\N
334991	1139	1997-05-09	PRIJEM	VKLAD	29388	96258	\N	\N	\N
334992	1139	1997-08-04	PRIJEM	VKLAD	10973	106381	\N	\N	\N
334993	1139	1997-10-22	PRIJEM	VKLAD	27929	60103	\N	\N	\N
334994	1139	1997-11-24	PRIJEM	VKLAD	47256	183702	\N	\N	\N
334995	1139	1997-06-10	PRIJEM	VKLAD	34221	99188	\N	\N	\N
334996	1139	1997-03-24	PRIJEM	VKLAD	11618	97055	\N	\N	\N
334997	1139	1997-03-27	PRIJEM	VKLAD	8111	105166	\N	\N	\N
334998	1139	1997-02-06	PRIJEM	VKLAD	43314	125905	\N	\N	\N
334999	1139	1997-07-30	PRIJEM	VKLAD	38515	95172	\N	\N	\N
335000	1139	1997-08-09	PRIJEM	VKLAD	48205	111221	\N	\N	\N
335001	1139	1997-11-21	PRIJEM	VKLAD	48807	152546	\N	\N	\N
335002	1139	1997-03-01	PRIJEM	VKLAD	17274	76345	\N	\N	\N
335003	1139	1997-07-09	PRIJEM	VKLAD	8457	140258	\N	\N	\N
335004	1139	1997-07-09	PRIJEM	VKLAD	41391	131801	\N	\N	\N
335005	1139	1997-11-19	PRIJEM	VKLAD	20926	103739	\N	\N	\N
335006	1139	1997-01-16	PRIJEM	VKLAD	22331	63666	\N	\N	\N
335007	1139	1997-11-07	PRIJEM	VKLAD	17806	110875	\N	\N	\N
335008	1139	1997-03-18	PRIJEM	VKLAD	25037	85437	\N	\N	\N
335009	1139	1997-05-26	PRIJEM	VKLAD	49209	96211	\N	\N	\N
335010	1139	1997-05-25	PRIJEM	VKLAD	11135	47002	\N	\N	\N
335011	1139	1997-06-26	PRIJEM	VKLAD	45405	110392	\N	\N	\N
335012	1139	1997-11-15	PRIJEM	VKLAD	33704	82813	\N	\N	\N
335013	1139	1997-03-14	PRIJEM	VKLAD	39721	108900	\N	\N	\N
335014	1139	1998-11-01	PRIJEM	VKLAD	8826	50170	\N	\N	\N
335015	1139	1998-09-01	PRIJEM	VKLAD	11940	65558	\N	\N	\N
335016	1139	1998-04-10	PRIJEM	VKLAD	12112	72161	\N	\N	\N
335017	1139	1998-03-05	PRIJEM	VKLAD	10505	37778	\N	\N	\N
335018	1139	1998-11-29	PRIJEM	VKLAD	35171	89212	\N	\N	\N
335019	1139	1998-11-03	PRIJEM	VKLAD	46759	122279	\N	\N	\N
335020	1139	1998-03-09	PRIJEM	VKLAD	34961	88376	\N	\N	\N
335021	1139	1998-09-07	PRIJEM	VKLAD	31450	85708	\N	\N	\N
335022	1139	1998-04-30	PRIJEM	VKLAD	46357	123679	\N	\N	\N
335023	1139	1998-12-18	PRIJEM	VKLAD	36565	109807	\N	\N	\N
335024	1139	1998-11-02	PRIJEM	VKLAD	25350	75520	\N	\N	\N
335025	1139	1998-04-13	PRIJEM	VKLAD	9151	78202	\N	\N	\N
335026	1139	1998-03-05	PRIJEM	VKLAD	18502	56280	\N	\N	\N
335027	1139	1998-11-16	PRIJEM	VKLAD	36400	94813	\N	\N	\N
335028	1139	1998-09-15	PRIJEM	VKLAD	28651	107193	\N	\N	\N
335029	1139	1998-03-29	PRIJEM	VKLAD	36970	76891	\N	\N	\N
335030	1139	1998-12-06	PRIJEM	VKLAD	26861	103077	\N	\N	\N
335031	1139	1998-12-01	PRIJEM	VKLAD	48570	138016	\N	\N	\N
335032	1139	1998-11-28	PRIJEM	VKLAD	20628	115441	\N	\N	\N
335033	1139	1998-08-07	PRIJEM	VKLAD	31783	70663	\N	\N	\N
335034	1139	1998-12-23	PRIJEM	VKLAD	43331	153138	\N	\N	\N
335035	1139	1998-06-14	PRIJEM	VKLAD	45148	79659	\N	\N	\N
335086	1139	1997-03-13	VYDAJ	PREVOD NA UCET	1191	69179	SIPO	CD	88400810
335087	1139	1997-04-13	VYDAJ	PREVOD NA UCET	1191	98227	SIPO	CD	88400810
335088	1139	1997-05-13	VYDAJ	PREVOD NA UCET	1191	74829	SIPO	CD	88400810
335089	1139	1997-06-13	VYDAJ	PREVOD NA UCET	1191	64987	SIPO	CD	88400810
335090	1139	1997-07-13	VYDAJ	PREVOD NA UCET	1191	76057	SIPO	CD	88400810
335091	1139	1997-08-13	VYDAJ	PREVOD NA UCET	1191	63420	SIPO	CD	88400810
335092	1139	1997-09-13	VYDAJ	PREVOD NA UCET	1191	35597	SIPO	CD	88400810
335093	1139	1997-10-13	VYDAJ	PREVOD NA UCET	1191	32174	SIPO	CD	88400810
335094	1139	1997-11-13	VYDAJ	PREVOD NA UCET	1191	49109	SIPO	CD	88400810
335095	1139	1997-12-13	VYDAJ	PREVOD NA UCET	1191	60193	SIPO	CD	88400810
335096	1139	1998-01-13	VYDAJ	PREVOD NA UCET	1191	36875	SIPO	CD	88400810
335097	1139	1998-02-13	VYDAJ	PREVOD NA UCET	1191	27260	SIPO	CD	88400810
335098	1139	1998-03-13	VYDAJ	PREVOD NA UCET	1191	59575	SIPO	CD	88400810
335099	1139	1998-04-13	VYDAJ	PREVOD NA UCET	1191	77011	SIPO	CD	88400810
335100	1139	1998-05-13	VYDAJ	PREVOD NA UCET	1191	37696	SIPO	CD	88400810
335101	1139	1998-06-13	VYDAJ	PREVOD NA UCET	1191	34511	SIPO	CD	88400810
335102	1139	1998-07-13	VYDAJ	PREVOD NA UCET	1191	54647	SIPO	CD	88400810
335103	1139	1998-08-13	VYDAJ	PREVOD NA UCET	1191	53497	SIPO	CD	88400810
335104	1139	1998-09-13	VYDAJ	PREVOD NA UCET	1191	78542	SIPO	CD	88400810
335105	1139	1998-10-13	VYDAJ	PREVOD NA UCET	1191	55275	SIPO	CD	88400810
335106	1139	1998-11-13	VYDAJ	PREVOD NA UCET	1191	58413	SIPO	CD	88400810
335107	1139	1998-12-13	VYDAJ	PREVOD NA UCET	1191	95911	SIPO	CD	88400810
335122	1139	1997-03-10	VYDAJ	PREVOD NA UCET	3110	70370	 	UV	4895151
335123	1139	1997-04-10	VYDAJ	PREVOD NA UCET	3110	99418	 	UV	4895151
335124	1139	1997-05-10	VYDAJ	PREVOD NA UCET	3110	93148	 	UV	4895151
335125	1139	1997-06-10	VYDAJ	PREVOD NA UCET	3110	96078	 	UV	4895151
335126	1139	1997-07-10	VYDAJ	PREVOD NA UCET	3110	77248	 	UV	4895151
335127	1139	1997-08-10	VYDAJ	PREVOD NA UCET	3110	81111	 	UV	4895151
335128	1139	1997-09-10	VYDAJ	PREVOD NA UCET	3110	27588	 	UV	4895151
335129	1139	1997-10-10	VYDAJ	PREVOD NA UCET	3110	18565	 	UV	4895151
335130	1139	1997-11-10	VYDAJ	PREVOD NA UCET	3110	64700	 	UV	4895151
335131	1139	1997-12-10	VYDAJ	PREVOD NA UCET	3110	61384	 	UV	4895151
335132	1139	1998-01-10	VYDAJ	PREVOD NA UCET	3110	38066	 	UV	4895151
335133	1139	1998-02-10	VYDAJ	PREVOD NA UCET	3110	28451	 	UV	4895151
335134	1139	1998-03-10	VYDAJ	PREVOD NA UCET	3110	85266	 	UV	4895151
335135	1139	1998-04-10	VYDAJ	PREVOD NA UCET	3110	69051	 	UV	4895151
335136	1139	1998-05-10	VYDAJ	PREVOD NA UCET	3110	38887	 	UV	4895151
335137	1139	1998-06-10	VYDAJ	PREVOD NA UCET	3110	35702	 	UV	4895151
335138	1139	1998-07-10	VYDAJ	PREVOD NA UCET	3110	55838	 	UV	4895151
335139	1139	1998-08-10	VYDAJ	PREVOD NA UCET	3110	54688	 	UV	4895151
335140	1139	1998-09-10	VYDAJ	PREVOD NA UCET	3110	79733	 	UV	4895151
335141	1139	1998-10-10	VYDAJ	PREVOD NA UCET	3110	60966	 	UV	4895151
335142	1139	1998-11-10	VYDAJ	PREVOD NA UCET	3110	59604	 	UV	4895151
335143	1139	1998-12-10	VYDAJ	PREVOD NA UCET	3110	97102	 	UV	4895151
335158	1139	1997-03-07	VYDAJ	PREVOD NA UCET	2386	73959	POJISTNE	UV	35875827
335159	1139	1997-04-07	VYDAJ	PREVOD NA UCET	2386	102528	POJISTNE	UV	35875827
335160	1139	1997-05-07	VYDAJ	PREVOD NA UCET	2386	69898	POJISTNE	UV	35875827
335161	1139	1997-06-07	VYDAJ	PREVOD NA UCET	2386	73967	POJISTNE	UV	35875827
335162	1139	1997-07-07	VYDAJ	PREVOD NA UCET	2386	90410	POJISTNE	UV	35875827
335163	1139	1997-08-07	VYDAJ	PREVOD NA UCET	2386	63016	POJISTNE	UV	35875827
335164	1139	1997-09-07	VYDAJ	PREVOD NA UCET	2386	31177	POJISTNE	UV	35875827
335165	1139	1997-10-07	VYDAJ	PREVOD NA UCET	2386	21675	POJISTNE	UV	35875827
335166	1139	1997-11-07	VYDAJ	PREVOD NA UCET	2386	108489	POJISTNE	UV	35875827
335167	1139	1997-12-07	VYDAJ	PREVOD NA UCET	2386	109773	POJISTNE	UV	35875827
335168	1139	1998-01-07	VYDAJ	PREVOD NA UCET	2386	43655	POJISTNE	UV	35875827
335169	1139	1998-02-07	VYDAJ	PREVOD NA UCET	2386	23740	POJISTNE	UV	35875827
335170	1139	1998-03-07	VYDAJ	PREVOD NA UCET	2386	53894	POJISTNE	UV	35875827
335171	1139	1998-04-07	VYDAJ	PREVOD NA UCET	2386	74149	POJISTNE	UV	35875827
335172	1139	1998-05-07	VYDAJ	PREVOD NA UCET	2386	40175	POJISTNE	UV	35875827
335173	1139	1998-06-07	VYDAJ	PREVOD NA UCET	2386	34912	POJISTNE	UV	35875827
335174	1139	1998-07-07	VYDAJ	PREVOD NA UCET	2386	77427	POJISTNE	UV	35875827
335175	1139	1998-08-07	VYDAJ	PREVOD NA UCET	2386	68277	POJISTNE	UV	35875827
335176	1139	1998-09-07	VYDAJ	PREVOD NA UCET	2386	82843	POJISTNE	UV	35875827
335177	1139	1998-10-07	VYDAJ	PREVOD NA UCET	2386	64076	POJISTNE	UV	35875827
335178	1139	1998-11-07	VYDAJ	PREVOD NA UCET	2386	62714	POJISTNE	UV	35875827
335179	1139	1998-12-07	VYDAJ	PREVOD NA UCET	2386	100212	POJISTNE	UV	35875827
335194	1139	1997-03-07	VYDAJ	PREVOD NA UCET	479	73480	 	OP	71055465
335195	1139	1997-04-07	VYDAJ	PREVOD NA UCET	479	104914	 	OP	71055465
335196	1139	1997-05-07	VYDAJ	PREVOD NA UCET	479	69419	 	OP	71055465
335197	1139	1997-06-07	VYDAJ	PREVOD NA UCET	479	76353	 	OP	71055465
335198	1139	1997-07-07	VYDAJ	PREVOD NA UCET	479	92796	 	OP	71055465
335199	1139	1997-08-07	VYDAJ	PREVOD NA UCET	479	65402	 	OP	71055465
335200	1139	1997-09-07	VYDAJ	PREVOD NA UCET	479	30698	 	OP	71055465
335201	1139	1997-10-07	VYDAJ	PREVOD NA UCET	479	35161	 	OP	71055465
335202	1139	1997-11-07	VYDAJ	PREVOD NA UCET	479	108010	 	OP	71055465
335203	1139	1997-12-07	VYDAJ	PREVOD NA UCET	479	109294	 	OP	71055465
335204	1139	1998-01-07	VYDAJ	PREVOD NA UCET	479	43176	 	OP	71055465
335205	1139	1998-02-07	VYDAJ	PREVOD NA UCET	479	23261	 	OP	71055465
335206	1139	1998-03-07	VYDAJ	PREVOD NA UCET	479	53415	 	OP	71055465
335207	1139	1998-04-07	VYDAJ	PREVOD NA UCET	479	76535	 	OP	71055465
335208	1139	1998-05-07	VYDAJ	PREVOD NA UCET	479	42561	 	OP	71055465
335209	1139	1998-06-07	VYDAJ	PREVOD NA UCET	479	37298	 	OP	71055465
335210	1139	1998-07-07	VYDAJ	PREVOD NA UCET	479	76948	 	OP	71055465
335211	1139	1998-08-07	VYDAJ	PREVOD NA UCET	479	67798	 	OP	71055465
335212	1139	1998-09-07	VYDAJ	PREVOD NA UCET	479	85229	 	OP	71055465
335213	1139	1998-10-07	VYDAJ	PREVOD NA UCET	479	66462	 	OP	71055465
335214	1139	1998-11-07	VYDAJ	PREVOD NA UCET	479	65100	 	OP	71055465
335215	1139	1998-12-07	VYDAJ	PREVOD NA UCET	479	102598	 	OP	71055465
335226	1139	1997-08-28	VYBER	VYBER	18078	33399	\N	\N	\N
335227	1139	1997-06-07	VYBER	VYBER	19574	76832	\N	\N	\N
335229	1139	1997-05-23	VYBER	VYBER	20862	35867	\N	\N	\N
335230	1139	1997-05-11	VYBER	VYBER	17128	76020	\N	\N	\N
335231	1139	1997-08-14	VYBER	VYBER	11943	51477	\N	\N	\N
335232	1139	1997-05-08	VYBER	VYBER	2549	66870	\N	\N	\N
335233	1139	1998-05-07	VYBER	VYBER	23667	43040	\N	\N	\N
335234	1139	1998-04-30	VYBER	VYBER	19472	104207	\N	\N	\N
335235	1139	1998-05-08	VYBER	VYBER	5178	34997	\N	\N	\N
335236	1139	1998-10-07	VYBER	VYBER	7123	66941	\N	\N	\N
335237	1139	1998-12-17	VYBER	VYBER	15469	73242	\N	\N	\N
335238	1139	1998-03-25	VYBER	VYBER	19654	39921	\N	\N	\N
335246	1139	1997-12-09	VYDAJ	VYBER	8400	81994	\N	\N	\N
335247	1139	1998-12-14	VYDAJ	VYBER	7200	88711	\N	\N	\N
335263	1139	1998-01-16	VYDAJ	VYBER	7200	26075	\N	\N	\N
335265	1139	1998-01-15	VYDAJ	VYBER	3600	33275	\N	\N	\N
335269	1139	1997-11-10	VYDAJ	VYBER	14400	50300	\N	\N	\N
335270	1139	1997-06-13	VYDAJ	VYBER	2700	93378	\N	\N	\N
335271	1139	1997-07-26	VYDAJ	VYBER	3000	56657	\N	\N	\N
335272	1139	1997-06-08	VYDAJ	VYBER	9000	64967	\N	\N	\N
335273	1139	1997-10-07	VYDAJ	VYBER	11100	24061	\N	\N	\N
335275	1139	1998-10-10	VYDAJ	VYBER	4500	56466	\N	\N	\N
335276	1139	1998-12-29	VYDAJ	VYBER	1500	89038	\N	\N	\N
335277	1139	1998-08-04	VYDAJ	VYBER	6000	38880	\N	\N	\N
335278	1139	1998-07-18	VYDAJ	VYBER	9900	44747	\N	\N	\N
335279	1139	1998-10-28	VYDAJ	VYBER	14100	41175	\N	\N	\N
335280	1139	1998-01-06	VYDAJ	VYBER	14400	46041	\N	\N	\N
335281	1139	1998-11-03	VYDAJ	VYBER	7800	86979	\N	\N	\N
335297	1139	1997-03-31	VYDAJ	VYBER	100	105393	SLUZBY	\N	\N
335298	1139	1997-04-30	VYDAJ	VYBER	100	72284	SLUZBY	\N	\N
335299	1139	1997-05-31	VYDAJ	VYBER	100	96406	SLUZBY	\N	\N
335300	1139	1997-06-30	VYDAJ	VYBER	100	93275	SLUZBY	\N	\N
335301	1139	1997-07-31	VYDAJ	VYBER	100	95408	SLUZBY	\N	\N
335302	1139	1997-08-31	VYDAJ	VYBER	100	33563	SLUZBY	\N	\N
335303	1139	1997-09-30	VYDAJ	VYBER	100	35640	SLUZBY	\N	\N
335304	1139	1997-10-31	VYDAJ	VYBER	100	93069	SLUZBY	\N	\N
335305	1139	1997-11-30	VYDAJ	VYBER	100	158859	SLUZBY	\N	\N
335306	1139	1997-12-31	VYDAJ	VYBER	100	60441	SLUZBY	\N	\N
335307	1139	1998-01-31	VYDAJ	VYBER	100	26126	SLUZBY	\N	\N
335308	1139	1998-02-28	VYDAJ	VYBER	100	27273	SLUZBY	\N	\N
335309	1139	1998-03-31	VYDAJ	VYBER	100	77014	SLUZBY	\N	\N
335310	1139	1998-04-30	VYDAJ	VYBER	100	66707	SLUZBY	\N	\N
335311	1139	1998-05-31	VYDAJ	VYBER	100	37777	SLUZBY	\N	\N
335312	1139	1998-06-30	VYDAJ	VYBER	100	79813	SLUZBY	\N	\N
335313	1139	1998-07-31	VYDAJ	VYBER	100	44880	SLUZBY	\N	\N
335314	1139	1998-08-31	VYDAJ	VYBER	100	53618	SLUZBY	\N	\N
335315	1139	1998-09-30	VYDAJ	VYBER	100	107464	SLUZBY	\N	\N
335316	1139	1998-10-31	VYDAJ	VYBER	100	41344	SLUZBY	\N	\N
335317	1139	1998-11-30	VYDAJ	VYBER	100	89446	SLUZBY	\N	\N
335318	1139	1996-02-19	PRIJEM	VKLAD	10300	11200	\N	\N	\N
335319	1139	1996-03-20	PRIJEM	VKLAD	6700	17900	\N	\N	\N
335320	1139	1996-04-19	PRIJEM	VKLAD	6400	24300	\N	\N	\N
335321	1139	1996-05-19	PRIJEM	VKLAD	500	24800	\N	\N	\N
335322	1139	1996-06-18	PRIJEM	VKLAD	2700	27500	\N	\N	\N
335323	1139	1996-07-18	PRIJEM	VKLAD	100	27600	\N	\N	\N
335324	1139	1996-08-17	PRIJEM	VKLAD	3500	31100	\N	\N	\N
335325	1139	1996-09-16	VYDAJ	VYBER	21400	54835	\N	\N	\N
335326	1139	1996-10-16	VYDAJ	VYBER	8400	46549	\N	\N	\N
335327	1139	1996-11-15	VYDAJ	VYBER	2700	44078	\N	\N	\N
335328	1139	1996-12-15	VYDAJ	VYBER	1700	42606	\N	\N	\N
335329	1139	1997-01-14	VYDAJ	VYBER	1500	41335	\N	\N	\N
335330	1139	1997-02-06	VYDAJ	VYBER	51000	74905	\N	\N	\N
335331	1139	1997-02-13	VYDAJ	VYBER	16100	58805	\N	\N	\N
335332	1139	1997-03-14	VYDAJ	VYBER	34600	74300	\N	\N	\N
335333	1139	1997-03-15	VYDAJ	VYBER	13900	60400	\N	\N	\N
335334	1139	1997-04-14	VYDAJ	VYBER	26200	72027	\N	\N	\N
335335	1139	1997-05-14	VYDAJ	VYBER	18100	56729	\N	\N	\N
335336	1139	1997-06-13	VYDAJ	VYBER	27200	66178	\N	\N	\N
335337	1139	1997-06-26	VYDAJ	VYBER	17400	92992	\N	\N	\N
335338	1139	1997-07-09	VYDAJ	VYBER	19500	120758	\N	\N	\N
335339	1139	1997-07-09	VYDAJ	VYBER	40400	80358	\N	\N	\N
335340	1139	1997-07-13	VYDAJ	VYBER	16400	59657	\N	\N	\N
335341	1139	1997-08-04	VYDAJ	VYBER	40500	65881	\N	\N	\N
335342	1139	1997-08-09	VYDAJ	VYBER	27000	84221	\N	\N	\N
335343	1139	1997-08-12	VYDAJ	VYBER	16500	64611	\N	\N	\N
335344	1139	1997-09-11	PRIJEM	VKLAD	9200	36788	\N	\N	\N
335345	1139	1997-10-11	PRIJEM	VKLAD	14800	33365	\N	\N	\N
335346	1139	1997-11-07	VYDAJ	VYBER	30900	77110	\N	\N	\N
335347	1139	1997-11-10	VYDAJ	VYBER	9300	67810	\N	\N	\N
335348	1139	1997-11-21	VYDAJ	VYBER	16100	136446	\N	\N	\N
335349	1139	1997-11-24	VYDAJ	VYBER	25200	158502	\N	\N	\N
335350	1139	1997-11-30	VYDAJ	VYBER	46700	112159	\N	\N	\N
335351	1139	1997-12-07	VYDAJ	VYBER	18900	90394	\N	\N	\N
335352	1139	1997-12-10	VYDAJ	VYBER	17500	64494	\N	\N	\N
335353	1139	1998-01-09	VYDAJ	VYBER	2000	41176	\N	\N	\N
335354	1139	1998-02-08	PRIJEM	VKLAD	8300	31561	\N	\N	\N
335355	1139	1998-03-10	VYDAJ	VYBER	24500	60766	\N	\N	\N
335356	1139	1998-04-09	VYDAJ	VYBER	14100	60049	\N	\N	\N
335357	1139	1998-04-30	VYDAJ	VYBER	37400	66807	\N	\N	\N
335358	1139	1998-05-09	PRIJEM	VKLAD	7000	41997	\N	\N	\N
335359	1139	1998-06-08	PRIJEM	VKLAD	3900	38812	\N	\N	\N
335360	1139	1998-07-08	VYDAJ	VYBER	18000	58948	\N	\N	\N
335361	1139	1998-08-07	VYDAJ	VYBER	10000	57798	\N	\N	\N
335362	1139	1998-09-06	VYDAJ	VYBER	11300	54258	\N	\N	\N
335363	1139	1998-10-06	VYDAJ	VYBER	33400	74064	\N	\N	\N
335364	1139	1998-11-03	VYDAJ	VYBER	27500	94779	\N	\N	\N
335365	1139	1998-11-05	VYDAJ	VYBER	21400	65579	\N	\N	\N
335366	1139	1998-11-28	VYDAJ	VYBER	61400	54041	\N	\N	\N
335367	1139	1998-12-01	VYDAJ	VYBER	19500	118516	\N	\N	\N
335368	1139	1998-12-05	VYDAJ	VYBER	42300	76216	\N	\N	\N
335369	1139	1998-12-23	VYDAJ	VYBER	62600	90538	\N	\N	\N
335398	1140	1997-11-07	PRIJEM	VKLAD	800	800	\N	\N	\N
335409	1140	1997-11-14	PRIJEM	VKLAD	4186	4986	\N	\N	\N
335410	1140	1997-12-14	PRIJEM	VKLAD	6279	19277	\N	\N	\N
335411	1140	1998-01-14	PRIJEM	VKLAD	4186	24418	\N	\N	\N
335412	1140	1998-02-14	PRIJEM	VKLAD	4186	28597	\N	\N	\N
335413	1140	1998-03-14	PRIJEM	VKLAD	4186	33494	\N	\N	\N
335414	1140	1998-04-14	PRIJEM	VKLAD	4186	30506	\N	\N	\N
335415	1140	1998-05-14	PRIJEM	VKLAD	4186	23076	\N	\N	\N
335416	1140	1998-06-14	PRIJEM	VKLAD	6279	29455	\N	\N	\N
335417	1140	1998-07-14	PRIJEM	VKLAD	4186	31348	\N	\N	\N
335418	1140	1998-08-14	PRIJEM	VKLAD	4186	28456	\N	\N	\N
335419	1140	1998-09-14	PRIJEM	VKLAD	4186	33395	\N	\N	\N
335420	1140	1998-10-14	PRIJEM	VKLAD	4186	37404	\N	\N	\N
335421	1140	1998-11-14	PRIJEM	VKLAD	4186	44034	\N	\N	\N
335422	1140	1998-12-14	PRIJEM	VKLAD	6279	46782	\N	\N	\N
335438	1140	1998-04-10	VYDAJ	PREVOD NA UCET	2790	26320	SIPO	YZ	74234366
335439	1140	1998-05-10	VYDAJ	PREVOD NA UCET	2790	23930	SIPO	YZ	74234366
335440	1140	1998-06-10	VYDAJ	PREVOD NA UCET	2790	23176	SIPO	YZ	74234366
335441	1140	1998-07-10	VYDAJ	PREVOD NA UCET	2790	27162	SIPO	YZ	74234366
335442	1140	1998-08-10	VYDAJ	PREVOD NA UCET	2790	24270	SIPO	YZ	74234366
335443	1140	1998-09-10	VYDAJ	PREVOD NA UCET	2790	29209	SIPO	YZ	74234366
335444	1140	1998-10-10	VYDAJ	PREVOD NA UCET	2790	33218	SIPO	YZ	74234366
335445	1140	1998-11-10	VYDAJ	PREVOD NA UCET	2790	39848	SIPO	YZ	74234366
335446	1140	1998-12-10	VYDAJ	PREVOD NA UCET	2790	40503	SIPO	YZ	74234366
335452	1140	1998-12-14	VYDAJ	VYBER	4480	42302	\N	\N	\N
335473	1140	1998-08-24	VYDAJ	VYBER	2160	26296	\N	\N	\N
335474	1140	1998-05-12	VYDAJ	VYBER	5040	18890	\N	\N	\N
335490	1140	1998-03-31	VYDAJ	VYBER	15	33610	SLUZBY	\N	\N
335491	1140	1998-04-30	VYDAJ	VYBER	15	30620	SLUZBY	\N	\N
335492	1140	1998-05-31	VYDAJ	VYBER	15	23166	SLUZBY	\N	\N
335493	1140	1998-06-30	VYDAJ	VYBER	15	29552	SLUZBY	\N	\N
335494	1140	1998-07-31	VYDAJ	VYBER	15	31460	SLUZBY	\N	\N
335495	1140	1998-08-31	VYDAJ	VYBER	15	26399	SLUZBY	\N	\N
335496	1140	1998-09-30	VYDAJ	VYBER	15	33508	SLUZBY	\N	\N
335497	1140	1998-10-31	VYDAJ	VYBER	15	37538	SLUZBY	\N	\N
335498	1140	1998-11-30	VYDAJ	VYBER	15	44193	SLUZBY	\N	\N
335499	1140	1997-12-07	PRIJEM	VKLAD	8000	12998	\N	\N	\N
335500	1140	1998-01-06	PRIJEM	VKLAD	900	20232	\N	\N	\N
335501	1140	1998-02-05	VYDAJ	VYBER	100	24411	\N	\N	\N
335502	1140	1998-03-07	PRIJEM	VKLAD	600	29308	\N	\N	\N
335503	1140	1998-04-06	VYDAJ	VYBER	4500	29110	\N	\N	\N
335504	1140	1998-05-06	VYDAJ	VYBER	3900	26720	\N	\N	\N
335505	1140	1998-06-05	PRIJEM	VKLAD	2800	25966	\N	\N	\N
335506	1140	1998-07-05	PRIJEM	VKLAD	400	29952	\N	\N	\N
335507	1140	1998-08-04	VYDAJ	VYBER	4400	27060	\N	\N	\N
335508	1140	1998-09-03	PRIJEM	VKLAD	5600	31999	\N	\N	\N
335509	1140	1998-10-03	PRIJEM	VKLAD	2500	36008	\N	\N	\N
335510	1140	1998-11-02	PRIJEM	VKLAD	5100	42638	\N	\N	\N
335511	1140	1998-12-02	VYDAJ	VYBER	900	43293	\N	\N	\N
335526	1141	1997-02-16	PRIJEM	VKLAD	600	600	\N	\N	\N
335529	1141	1997-03-06	PRIJEM	PREVOD Z UCTU	3275	3875	\N	CD	25080847
335530	1141	1997-04-06	PRIJEM	PREVOD Z UCTU	3275	16174	\N	CD	25080847
335531	1141	1997-05-06	PRIJEM	PREVOD Z UCTU	3275	22114	\N	CD	25080847
335532	1141	1997-06-06	PRIJEM	PREVOD Z UCTU	3275	28480	\N	CD	25080847
335533	1141	1997-07-06	PRIJEM	PREVOD Z UCTU	3275	31266	\N	CD	25080847
335534	1141	1997-08-06	PRIJEM	PREVOD Z UCTU	3275	30159	\N	CD	25080847
335535	1141	1997-09-06	PRIJEM	PREVOD Z UCTU	3275	23625	\N	CD	25080847
335536	1141	1997-10-06	PRIJEM	PREVOD Z UCTU	3275	21414	\N	CD	25080847
335537	1141	1997-11-06	PRIJEM	PREVOD Z UCTU	3275	20466	\N	CD	25080847
335538	1141	1997-12-06	PRIJEM	PREVOD Z UCTU	3275	18104	\N	CD	25080847
335539	1141	1998-01-06	PRIJEM	PREVOD Z UCTU	3275	20151	\N	CD	25080847
335540	1141	1998-02-06	PRIJEM	PREVOD Z UCTU	3275	20694	\N	CD	25080847
335541	1141	1998-03-06	PRIJEM	PREVOD Z UCTU	3275	22249	\N	CD	25080847
335542	1141	1998-04-06	PRIJEM	PREVOD Z UCTU	3275	22407	\N	CD	25080847
335543	1141	1998-05-06	PRIJEM	PREVOD Z UCTU	3275	23871	\N	CD	25080847
335544	1141	1998-06-06	PRIJEM	PREVOD Z UCTU	3275	20325	\N	CD	25080847
335545	1141	1998-07-06	PRIJEM	PREVOD Z UCTU	3275	21377	\N	CD	25080847
335546	1141	1998-08-06	PRIJEM	PREVOD Z UCTU	3275	23637	\N	CD	25080847
335547	1141	1998-09-06	PRIJEM	PREVOD Z UCTU	3275	25606	\N	CD	25080847
335548	1141	1998-10-06	PRIJEM	PREVOD Z UCTU	3275	24423	\N	CD	25080847
335549	1141	1998-11-06	PRIJEM	PREVOD Z UCTU	3275	18872	\N	CD	25080847
335550	1141	1998-12-06	PRIJEM	PREVOD Z UCTU	3275	19216	\N	CD	25080847
335557	1141	1997-07-11	VYDAJ	PREVOD NA UCET	1028	29990	SIPO	OP	42710840
335558	1141	1997-08-11	VYDAJ	PREVOD NA UCET	1028	28883	SIPO	OP	42710840
335559	1141	1997-09-11	VYDAJ	PREVOD NA UCET	1028	22349	SIPO	OP	42710840
335560	1141	1997-10-11	VYDAJ	PREVOD NA UCET	1028	20138	SIPO	OP	42710840
335561	1141	1997-11-11	VYDAJ	PREVOD NA UCET	1028	19190	SIPO	OP	42710840
335562	1141	1997-12-11	VYDAJ	PREVOD NA UCET	1028	16828	SIPO	OP	42710840
335563	1141	1998-01-11	VYDAJ	PREVOD NA UCET	1028	18185	SIPO	OP	42710840
335564	1141	1998-02-11	VYDAJ	PREVOD NA UCET	1028	19818	SIPO	OP	42710840
335565	1141	1998-03-11	VYDAJ	PREVOD NA UCET	1028	20973	SIPO	OP	42710840
335566	1141	1998-04-11	VYDAJ	PREVOD NA UCET	1028	21131	SIPO	OP	42710840
335567	1141	1998-05-11	VYDAJ	PREVOD NA UCET	1028	22595	SIPO	OP	42710840
335568	1141	1998-06-11	VYDAJ	PREVOD NA UCET	1028	19049	SIPO	OP	42710840
335569	1141	1998-07-11	VYDAJ	PREVOD NA UCET	1028	21201	SIPO	OP	42710840
335570	1141	1998-08-11	VYDAJ	PREVOD NA UCET	1028	23161	SIPO	OP	42710840
335571	1141	1998-09-11	VYDAJ	PREVOD NA UCET	1028	22430	SIPO	OP	42710840
335572	1141	1998-10-11	VYDAJ	PREVOD NA UCET	1028	16447	SIPO	OP	42710840
335573	1141	1998-11-11	VYDAJ	PREVOD NA UCET	1028	16796	SIPO	OP	42710840
335574	1141	1998-12-11	VYDAJ	PREVOD NA UCET	1028	17640	SIPO	OP	42710840
335581	1141	1997-07-12	VYDAJ	PREVOD NA UCET	907	29083	 	QR	31942546
335582	1141	1997-08-12	VYDAJ	PREVOD NA UCET	907	27976	 	QR	31942546
335583	1141	1997-09-12	VYDAJ	PREVOD NA UCET	907	21442	 	QR	31942546
335584	1141	1997-10-12	VYDAJ	PREVOD NA UCET	907	19231	 	QR	31942546
335585	1141	1997-11-12	VYDAJ	PREVOD NA UCET	907	18283	 	QR	31942546
335586	1141	1997-12-12	VYDAJ	PREVOD NA UCET	907	15921	 	QR	31942546
335587	1141	1998-01-12	VYDAJ	PREVOD NA UCET	907	18798	 	QR	31942546
335588	1141	1998-02-12	VYDAJ	PREVOD NA UCET	907	18911	 	QR	31942546
335589	1141	1998-03-12	VYDAJ	PREVOD NA UCET	907	20066	 	QR	31942546
335590	1141	1998-04-12	VYDAJ	PREVOD NA UCET	907	20524	 	QR	31942546
335591	1141	1998-05-12	VYDAJ	PREVOD NA UCET	907	16988	 	QR	31942546
335592	1141	1998-06-12	VYDAJ	PREVOD NA UCET	907	18042	 	QR	31942546
335593	1141	1998-07-12	VYDAJ	PREVOD NA UCET	907	20294	 	QR	31942546
335594	1141	1998-08-12	VYDAJ	PREVOD NA UCET	907	22254	 	QR	31942546
335595	1141	1998-09-12	VYDAJ	PREVOD NA UCET	907	21523	 	QR	31942546
335596	1141	1998-10-12	VYDAJ	PREVOD NA UCET	907	15540	 	QR	31942546
335597	1141	1998-11-12	VYDAJ	PREVOD NA UCET	907	15889	 	QR	31942546
335598	1141	1998-12-12	VYDAJ	PREVOD NA UCET	907	16733	 	QR	31942546
335605	1141	1997-07-09	VYDAJ	PREVOD NA UCET	248	31018	POJISTNE	IJ	44392269
335606	1141	1997-08-09	VYDAJ	PREVOD NA UCET	248	29911	POJISTNE	IJ	44392269
335607	1141	1997-09-09	VYDAJ	PREVOD NA UCET	248	23377	POJISTNE	IJ	44392269
335608	1141	1997-10-09	VYDAJ	PREVOD NA UCET	248	21166	POJISTNE	IJ	44392269
335609	1141	1997-11-09	VYDAJ	PREVOD NA UCET	248	20218	POJISTNE	IJ	44392269
335610	1141	1997-12-09	VYDAJ	PREVOD NA UCET	248	17856	POJISTNE	IJ	44392269
335611	1141	1998-01-09	VYDAJ	PREVOD NA UCET	248	19903	POJISTNE	IJ	44392269
335612	1141	1998-02-09	VYDAJ	PREVOD NA UCET	248	20446	POJISTNE	IJ	44392269
335613	1141	1998-03-09	VYDAJ	PREVOD NA UCET	248	22001	POJISTNE	IJ	44392269
335614	1141	1998-04-09	VYDAJ	PREVOD NA UCET	248	22159	POJISTNE	IJ	44392269
335615	1141	1998-05-09	VYDAJ	PREVOD NA UCET	248	23623	POJISTNE	IJ	44392269
335616	1141	1998-06-09	VYDAJ	PREVOD NA UCET	248	20077	POJISTNE	IJ	44392269
335617	1141	1998-07-09	VYDAJ	PREVOD NA UCET	248	21129	POJISTNE	IJ	44392269
335618	1141	1998-08-09	VYDAJ	PREVOD NA UCET	248	23389	POJISTNE	IJ	44392269
335619	1141	1998-09-09	VYDAJ	PREVOD NA UCET	248	23458	POJISTNE	IJ	44392269
335620	1141	1998-10-09	VYDAJ	PREVOD NA UCET	248	24175	POJISTNE	IJ	44392269
335621	1141	1998-11-09	VYDAJ	PREVOD NA UCET	248	17824	POJISTNE	IJ	44392269
335622	1141	1998-12-09	VYDAJ	PREVOD NA UCET	248	18668	POJISTNE	IJ	44392269
335625	1141	1997-12-05	VYDAJ	VYBER	240	14829	\N	\N	\N
335626	1141	1998-12-23	VYDAJ	VYBER	810	15923	\N	\N	\N
335633	1141	1998-01-12	VYDAJ	VYBER	180	19705	\N	\N	\N
335634	1141	1998-01-19	VYDAJ	VYBER	540	18258	\N	\N	\N
335635	1141	1998-01-11	VYDAJ	VYBER	690	19213	\N	\N	\N
335636	1141	1998-01-28	VYDAJ	VYBER	210	17358	\N	\N	\N
335637	1141	1998-01-28	VYDAJ	VYBER	330	17568	\N	\N	\N
335638	1141	1998-01-26	VYDAJ	VYBER	360	17898	\N	\N	\N
335639	1141	1997-11-29	VYDAJ	VYBER	1170	15013	\N	\N	\N
335640	1141	1997-09-19	VYDAJ	VYBER	1470	18072	\N	\N	\N
335643	1141	1997-08-18	VYDAJ	VYBER	1110	20266	\N	\N	\N
335644	1141	1998-12-25	VYDAJ	VYBER	900	15023	\N	\N	\N
335645	1141	1998-09-15	VYDAJ	VYBER	450	21073	\N	\N	\N
335653	1141	1997-07-31	VYDAJ	VYBER	15	26884	SLUZBY	\N	\N
335654	1141	1997-08-31	VYDAJ	VYBER	15	20350	SLUZBY	\N	\N
335655	1141	1997-09-30	VYDAJ	VYBER	15	18139	SLUZBY	\N	\N
335656	1141	1997-10-31	VYDAJ	VYBER	15	17191	SLUZBY	\N	\N
335657	1141	1997-11-30	VYDAJ	VYBER	15	15069	SLUZBY	\N	\N
335658	1141	1997-12-31	VYDAJ	VYBER	15	16876	SLUZBY	\N	\N
335659	1141	1998-01-31	VYDAJ	VYBER	15	17419	SLUZBY	\N	\N
335660	1141	1998-02-28	VYDAJ	VYBER	15	18974	SLUZBY	\N	\N
335661	1141	1998-03-31	VYDAJ	VYBER	15	19132	SLUZBY	\N	\N
335662	1141	1998-04-30	VYDAJ	VYBER	15	20596	SLUZBY	\N	\N
335663	1141	1998-05-31	VYDAJ	VYBER	15	17050	SLUZBY	\N	\N
335664	1141	1998-06-30	VYDAJ	VYBER	15	18102	SLUZBY	\N	\N
335665	1141	1998-07-31	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
335666	1141	1998-08-31	VYDAJ	VYBER	15	22331	SLUZBY	\N	\N
335667	1141	1998-09-30	VYDAJ	VYBER	15	21148	SLUZBY	\N	\N
335668	1141	1998-10-31	VYDAJ	VYBER	15	15597	SLUZBY	\N	\N
335669	1141	1998-11-30	VYDAJ	VYBER	15	15941	SLUZBY	\N	\N
335670	1141	1997-03-18	PRIJEM	VKLAD	9000	12875	\N	\N	\N
335671	1141	1997-04-17	PRIJEM	VKLAD	2600	18774	\N	\N	\N
335672	1141	1997-05-17	PRIJEM	VKLAD	3000	25114	\N	\N	\N
335673	1141	1997-06-16	VYDAJ	VYBER	600	27880	\N	\N	\N
335674	1141	1997-07-16	VYDAJ	VYBER	2300	26783	\N	\N	\N
335675	1141	1997-08-15	VYDAJ	VYBER	6600	21376	\N	\N	\N
335676	1141	1997-09-14	VYDAJ	VYBER	1900	19542	\N	\N	\N
335677	1141	1997-10-14	VYDAJ	VYBER	2100	17131	\N	\N	\N
335678	1141	1997-11-13	VYDAJ	VYBER	2100	16183	\N	\N	\N
335679	1141	1997-12-13	PRIJEM	VKLAD	900	16821	\N	\N	\N
335680	1141	1998-01-12	PRIJEM	VKLAD	1700	19885	\N	\N	\N
335681	1141	1998-02-11	PRIJEM	VKLAD	400	20846	\N	\N	\N
335682	1141	1998-03-13	VYDAJ	VYBER	1000	19066	\N	\N	\N
335683	1141	1998-04-12	PRIJEM	VKLAD	300	21431	\N	\N	\N
335684	1141	1998-05-12	VYDAJ	VYBER	4700	17895	\N	\N	\N
335685	1141	1998-06-11	VYDAJ	VYBER	100	18949	\N	\N	\N
335686	1141	1998-07-11	PRIJEM	VKLAD	1100	22229	\N	\N	\N
335687	1141	1998-08-10	PRIJEM	VKLAD	800	24189	\N	\N	\N
335688	1141	1998-09-09	VYDAJ	VYBER	1900	23706	\N	\N	\N
335689	1141	1998-10-09	VYDAJ	VYBER	6700	17475	\N	\N	\N
335690	1141	1998-11-08	VYDAJ	VYBER	800	18072	\N	\N	\N
335691	1141	1998-12-08	VYDAJ	VYBER	300	18916	\N	\N	\N
335714	1142	1995-10-19	PRIJEM	VKLAD	600	600	\N	\N	\N
335725	1142	1995-11-10	PRIJEM	PREVOD Z UCTU	3116	3716	\N	UV	91938298
335726	1142	1995-12-10	PRIJEM	PREVOD Z UCTU	3116	14653	\N	UV	91938298
335727	1142	1996-01-10	PRIJEM	PREVOD Z UCTU	3116	20027	\N	UV	91938298
335728	1142	1996-02-10	PRIJEM	PREVOD Z UCTU	3116	23720	\N	UV	91938298
335729	1142	1996-03-10	PRIJEM	PREVOD Z UCTU	3116	26922	\N	UV	91938298
335730	1142	1996-04-10	PRIJEM	PREVOD Z UCTU	3116	26241	\N	UV	91938298
335731	1142	1996-05-10	PRIJEM	PREVOD Z UCTU	3116	20942	\N	UV	91938298
335732	1142	1996-06-10	PRIJEM	PREVOD Z UCTU	3116	19721	\N	UV	91938298
335733	1142	1996-07-10	PRIJEM	PREVOD Z UCTU	3116	16788	\N	UV	91938298
335734	1142	1996-08-10	PRIJEM	PREVOD Z UCTU	3116	17881	\N	UV	91938298
335735	1142	1996-09-10	PRIJEM	PREVOD Z UCTU	3116	16765	\N	UV	91938298
335736	1142	1996-10-10	PRIJEM	PREVOD Z UCTU	3116	14650	\N	UV	91938298
335737	1142	1996-11-10	PRIJEM	PREVOD Z UCTU	3116	15634	\N	UV	91938298
335738	1142	1996-12-10	PRIJEM	PREVOD Z UCTU	3116	15811	\N	UV	91938298
335739	1142	1997-01-10	PRIJEM	PREVOD Z UCTU	3116	16216	\N	UV	91938298
335740	1142	1997-02-10	PRIJEM	PREVOD Z UCTU	3116	19388	\N	UV	91938298
335741	1142	1997-03-10	PRIJEM	PREVOD Z UCTU	3116	20475	\N	UV	91938298
335742	1142	1997-04-10	PRIJEM	PREVOD Z UCTU	3116	22948	\N	UV	91938298
335743	1142	1997-05-10	PRIJEM	PREVOD Z UCTU	3116	20356	\N	UV	91938298
335744	1142	1997-06-10	PRIJEM	PREVOD Z UCTU	3116	21174	\N	UV	91938298
335745	1142	1997-07-10	PRIJEM	PREVOD Z UCTU	3116	18299	\N	UV	91938298
335746	1142	1997-08-10	PRIJEM	PREVOD Z UCTU	3116	17320	\N	UV	91938298
335747	1142	1997-09-10	PRIJEM	PREVOD Z UCTU	3116	21014	\N	UV	91938298
335748	1142	1997-10-10	PRIJEM	PREVOD Z UCTU	3116	23621	\N	UV	91938298
335749	1142	1997-11-10	PRIJEM	PREVOD Z UCTU	3116	26940	\N	UV	91938298
335750	1142	1997-12-10	PRIJEM	PREVOD Z UCTU	3116	24373	\N	UV	91938298
335751	1142	1998-01-10	PRIJEM	PREVOD Z UCTU	3116	23330	\N	UV	91938298
335752	1142	1998-02-10	PRIJEM	PREVOD Z UCTU	3116	21286	\N	UV	91938298
335753	1142	1998-03-10	PRIJEM	PREVOD Z UCTU	3116	24297	\N	UV	91938298
335754	1142	1998-04-10	PRIJEM	PREVOD Z UCTU	3116	24519	\N	UV	91938298
335755	1142	1998-05-10	PRIJEM	PREVOD Z UCTU	3116	27244	\N	UV	91938298
335756	1142	1998-06-10	PRIJEM	PREVOD Z UCTU	3116	26925	\N	UV	91938298
335757	1142	1998-07-10	PRIJEM	PREVOD Z UCTU	3116	29659	\N	UV	91938298
335758	1142	1998-08-10	PRIJEM	PREVOD Z UCTU	3116	26803	\N	UV	91938298
335759	1142	1998-09-10	PRIJEM	PREVOD Z UCTU	3116	28788	\N	UV	91938298
335760	1142	1998-10-10	PRIJEM	PREVOD Z UCTU	3116	28127	\N	UV	91938298
335761	1142	1998-11-10	PRIJEM	PREVOD Z UCTU	3116	28767	\N	UV	91938298
335762	1142	1998-12-10	PRIJEM	PREVOD Z UCTU	3116	26609	\N	UV	91938298
335778	1142	1996-04-07	VYDAJ	PREVOD NA UCET	2077	23125	SIPO	KL	67380297
335779	1142	1996-05-07	VYDAJ	PREVOD NA UCET	2077	17826	SIPO	KL	67380297
335780	1142	1996-06-07	VYDAJ	PREVOD NA UCET	2077	18135	SIPO	KL	67380297
335781	1142	1996-07-07	VYDAJ	PREVOD NA UCET	2077	13672	SIPO	KL	67380297
335782	1142	1996-08-07	VYDAJ	PREVOD NA UCET	2077	14765	SIPO	KL	67380297
335783	1142	1996-09-07	VYDAJ	PREVOD NA UCET	2077	13649	SIPO	KL	67380297
335784	1142	1996-10-07	VYDAJ	PREVOD NA UCET	2077	11534	SIPO	KL	67380297
335785	1142	1996-11-07	VYDAJ	PREVOD NA UCET	2077	12518	SIPO	KL	67380297
335786	1142	1996-12-07	VYDAJ	PREVOD NA UCET	2077	12695	SIPO	KL	67380297
335787	1142	1997-01-07	VYDAJ	PREVOD NA UCET	2077	13100	SIPO	KL	67380297
335788	1142	1997-02-07	VYDAJ	PREVOD NA UCET	2077	10472	SIPO	KL	67380297
335789	1142	1997-03-07	VYDAJ	PREVOD NA UCET	2077	17359	SIPO	KL	67380297
335790	1142	1997-04-07	VYDAJ	PREVOD NA UCET	2077	19832	SIPO	KL	67380297
335791	1142	1997-05-07	VYDAJ	PREVOD NA UCET	2077	17240	SIPO	KL	67380297
335792	1142	1997-06-07	VYDAJ	PREVOD NA UCET	2077	18058	SIPO	KL	67380297
335793	1142	1997-07-07	VYDAJ	PREVOD NA UCET	2077	15183	SIPO	KL	67380297
335794	1142	1997-08-07	VYDAJ	PREVOD NA UCET	2077	12904	SIPO	KL	67380297
335795	1142	1997-09-07	VYDAJ	PREVOD NA UCET	2077	15298	SIPO	KL	67380297
335796	1142	1997-10-07	VYDAJ	PREVOD NA UCET	2077	19005	SIPO	KL	67380297
335797	1142	1997-11-07	VYDAJ	PREVOD NA UCET	2077	23824	SIPO	KL	67380297
335798	1142	1997-12-07	VYDAJ	PREVOD NA UCET	2077	21257	SIPO	KL	67380297
335799	1142	1998-01-07	VYDAJ	PREVOD NA UCET	2077	20964	SIPO	KL	67380297
335800	1142	1998-02-07	VYDAJ	PREVOD NA UCET	2077	18170	SIPO	KL	67380297
335801	1142	1998-03-07	VYDAJ	PREVOD NA UCET	2077	21181	SIPO	KL	67380297
335802	1142	1998-04-07	VYDAJ	PREVOD NA UCET	2077	21403	SIPO	KL	67380297
335803	1142	1998-05-07	VYDAJ	PREVOD NA UCET	2077	24128	SIPO	KL	67380297
335804	1142	1998-06-07	VYDAJ	PREVOD NA UCET	2077	28579	SIPO	KL	67380297
335805	1142	1998-07-07	VYDAJ	PREVOD NA UCET	2077	26543	SIPO	KL	67380297
335806	1142	1998-08-07	VYDAJ	PREVOD NA UCET	2077	23687	SIPO	KL	67380297
335807	1142	1998-09-07	VYDAJ	PREVOD NA UCET	2077	25672	SIPO	KL	67380297
335808	1142	1998-10-07	VYDAJ	PREVOD NA UCET	2077	25011	SIPO	KL	67380297
335809	1142	1998-11-07	VYDAJ	PREVOD NA UCET	2077	25651	SIPO	KL	67380297
335810	1142	1998-12-07	VYDAJ	PREVOD NA UCET	2077	23493	SIPO	KL	67380297
335812	1142	1996-06-08	VYDAJ	VYBER	1530	16605	\N	\N	\N
335813	1142	1997-06-20	VYDAJ	VYBER	2880	17194	\N	\N	\N
335814	1142	1998-06-08	VYDAJ	VYBER	4770	23809	\N	\N	\N
335817	1142	1997-01-15	VYDAJ	VYBER	1500	12896	\N	\N	\N
335818	1142	1998-01-12	VYDAJ	VYBER	660	22670	\N	\N	\N
335820	1142	1996-12-03	VYDAJ	VYBER	510	14772	\N	\N	\N
335821	1142	1997-12-15	VYDAJ	VYBER	540	23833	\N	\N	\N
335822	1142	1998-12-27	VYDAJ	VYBER	180	25589	\N	\N	\N
335835	1142	1997-01-10	VYDAJ	VYBER	720	15496	\N	\N	\N
335836	1142	1997-01-03	VYDAJ	VYBER	570	16857	\N	\N	\N
335838	1142	1997-01-23	VYDAJ	VYBER	390	12506	\N	\N	\N
335840	1142	1997-01-03	VYDAJ	VYBER	840	16017	\N	\N	\N
335841	1142	1998-01-24	VYDAJ	VYBER	270	21320	\N	\N	\N
335842	1142	1998-01-08	VYDAJ	VYBER	750	20214	\N	\N	\N
335843	1142	1998-01-24	VYDAJ	VYBER	480	20840	\N	\N	\N
335844	1142	1998-01-20	VYDAJ	VYBER	600	21890	\N	\N	\N
335845	1142	1998-01-23	VYDAJ	VYBER	300	21590	\N	\N	\N
335846	1142	1998-01-29	VYDAJ	VYBER	270	20570	\N	\N	\N
335852	1142	1996-08-31	VYDAJ	VYBER	810	15741	\N	\N	\N
335853	1142	1996-05-05	VYDAJ	VYBER	1020	19903	\N	\N	\N
335854	1142	1996-06-11	VYDAJ	VYBER	630	19091	\N	\N	\N
335857	1142	1997-01-01	VYDAJ	VYBER	840	17427	\N	\N	\N
335858	1142	1997-03-21	VYDAJ	VYBER	540	21835	\N	\N	\N
335859	1142	1997-07-15	VYDAJ	VYBER	270	14929	\N	\N	\N
335860	1142	1997-05-13	VYDAJ	VYBER	990	20066	\N	\N	\N
335861	1142	1997-01-05	VYDAJ	VYBER	840	15177	\N	\N	\N
335862	1142	1998-05-15	VYDAJ	VYBER	1380	25864	\N	\N	\N
335863	1142	1998-08-30	VYDAJ	VYBER	990	24553	\N	\N	\N
335864	1142	1998-12-23	VYDAJ	VYBER	840	25769	\N	\N	\N
335865	1142	1998-01-19	VYDAJ	VYBER	180	22490	\N	\N	\N
335866	1142	1998-08-21	VYDAJ	VYBER	1260	25543	\N	\N	\N
335867	1142	1998-01-06	VYDAJ	VYBER	780	23041	\N	\N	\N
335883	1142	1996-03-31	VYDAJ	VYBER	15	25202	SLUZBY	\N	\N
335884	1142	1996-04-30	VYDAJ	VYBER	15	20923	SLUZBY	\N	\N
335885	1142	1996-05-31	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
335886	1142	1996-06-30	VYDAJ	VYBER	15	15749	SLUZBY	\N	\N
335887	1142	1996-07-31	VYDAJ	VYBER	15	16842	SLUZBY	\N	\N
335888	1142	1996-08-31	VYDAJ	VYBER	15	15726	SLUZBY	\N	\N
335889	1142	1996-09-30	VYDAJ	VYBER	15	13611	SLUZBY	\N	\N
335890	1142	1996-10-31	VYDAJ	VYBER	15	14595	SLUZBY	\N	\N
335891	1142	1996-11-30	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
335892	1142	1996-12-31	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
335893	1142	1997-01-31	VYDAJ	VYBER	15	12549	SLUZBY	\N	\N
335894	1142	1997-02-28	VYDAJ	VYBER	15	19436	SLUZBY	\N	\N
335895	1142	1997-03-31	VYDAJ	VYBER	15	21909	SLUZBY	\N	\N
335896	1142	1997-04-30	VYDAJ	VYBER	15	19317	SLUZBY	\N	\N
335897	1142	1997-05-31	VYDAJ	VYBER	15	20135	SLUZBY	\N	\N
335898	1142	1997-06-30	VYDAJ	VYBER	15	17260	SLUZBY	\N	\N
335899	1142	1997-07-31	VYDAJ	VYBER	15	14981	SLUZBY	\N	\N
335900	1142	1997-08-31	VYDAJ	VYBER	15	17375	SLUZBY	\N	\N
335901	1142	1997-09-30	VYDAJ	VYBER	15	21082	SLUZBY	\N	\N
335902	1142	1997-10-31	VYDAJ	VYBER	15	23701	SLUZBY	\N	\N
335903	1142	1997-11-30	VYDAJ	VYBER	15	27034	SLUZBY	\N	\N
335904	1142	1997-12-31	VYDAJ	VYBER	15	23921	SLUZBY	\N	\N
335905	1142	1998-01-31	VYDAJ	VYBER	15	20647	SLUZBY	\N	\N
335906	1142	1998-02-28	VYDAJ	VYBER	15	21358	SLUZBY	\N	\N
335907	1142	1998-03-31	VYDAJ	VYBER	15	24380	SLUZBY	\N	\N
335908	1142	1998-04-30	VYDAJ	VYBER	15	24605	SLUZBY	\N	\N
335909	1142	1998-05-31	VYDAJ	VYBER	15	25956	SLUZBY	\N	\N
335910	1142	1998-06-30	VYDAJ	VYBER	15	27020	SLUZBY	\N	\N
335911	1142	1998-07-31	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
335912	1142	1998-08-31	VYDAJ	VYBER	15	24649	SLUZBY	\N	\N
335913	1142	1998-09-30	VYDAJ	VYBER	15	28888	SLUZBY	\N	\N
335914	1142	1998-10-31	VYDAJ	VYBER	15	28228	SLUZBY	\N	\N
335915	1142	1998-11-30	VYDAJ	VYBER	15	28870	SLUZBY	\N	\N
335916	1142	1995-11-18	PRIJEM	VKLAD	7800	11516	\N	\N	\N
335917	1142	1995-12-18	PRIJEM	VKLAD	2200	16853	\N	\N	\N
335918	1142	1996-01-17	PRIJEM	VKLAD	500	20527	\N	\N	\N
335919	1142	1996-03-17	VYDAJ	VYBER	1800	25122	\N	\N	\N
335920	1142	1996-04-16	VYDAJ	VYBER	5400	20841	\N	\N	\N
335921	1142	1996-05-16	VYDAJ	VYBER	800	20142	\N	\N	\N
335922	1142	1996-06-15	VYDAJ	VYBER	3400	15691	\N	\N	\N
335923	1142	1996-08-14	VYDAJ	VYBER	1400	16481	\N	\N	\N
335924	1142	1996-09-13	VYDAJ	VYBER	3200	13565	\N	\N	\N
335925	1142	1996-10-13	VYDAJ	VYBER	100	14550	\N	\N	\N
335926	1142	1996-11-12	VYDAJ	VYBER	400	15234	\N	\N	\N
335927	1142	1996-12-12	PRIJEM	VKLAD	2400	18211	\N	\N	\N
335928	1142	1997-01-11	VYDAJ	VYBER	1100	14396	\N	\N	\N
335929	1142	1997-02-10	PRIJEM	VKLAD	5800	16272	\N	\N	\N
335930	1142	1997-03-12	PRIJEM	VKLAD	1900	22375	\N	\N	\N
335931	1142	1997-04-11	VYDAJ	VYBER	3700	19248	\N	\N	\N
335932	1142	1997-05-11	PRIJEM	VKLAD	700	21056	\N	\N	\N
335933	1142	1997-06-10	VYDAJ	VYBER	1100	20074	\N	\N	\N
335934	1142	1997-07-10	VYDAJ	VYBER	3100	15199	\N	\N	\N
335935	1142	1997-08-09	PRIJEM	VKLAD	1300	14204	\N	\N	\N
335936	1142	1997-09-08	PRIJEM	VKLAD	2600	17898	\N	\N	\N
335937	1142	1997-10-08	PRIJEM	VKLAD	1500	20505	\N	\N	\N
335938	1142	1997-11-07	PRIJEM	VKLAD	2200	25901	\N	\N	\N
335939	1142	1997-12-07	VYDAJ	VYBER	3700	23334	\N	\N	\N
335940	1142	1998-01-06	VYDAJ	VYBER	100	23821	\N	\N	\N
335941	1142	1998-02-05	VYDAJ	VYBER	400	20247	\N	\N	\N
335942	1142	1998-03-07	PRIJEM	VKLAD	1900	23258	\N	\N	\N
335943	1142	1998-04-06	VYDAJ	VYBER	900	23480	\N	\N	\N
335944	1142	1998-05-06	PRIJEM	VKLAD	1600	26205	\N	\N	\N
335945	1142	1998-06-05	PRIJEM	VKLAD	4700	30656	\N	\N	\N
335946	1142	1998-07-05	PRIJEM	VKLAD	1600	28620	\N	\N	\N
335947	1142	1998-08-04	VYDAJ	VYBER	4000	25764	\N	\N	\N
335948	1142	1998-09-03	PRIJEM	VKLAD	3100	27749	\N	\N	\N
335949	1142	1998-10-03	VYDAJ	VYBER	1800	27088	\N	\N	\N
335950	1142	1998-11-02	VYDAJ	VYBER	500	27728	\N	\N	\N
335951	1142	1998-12-02	VYDAJ	VYBER	3300	25570	\N	\N	\N
336631	1144	1993-01-28	PRIJEM	VKLAD	200	200	\N	\N	\N
336633	1144	1993-02-06	PRIJEM	PREVOD Z UCTU	3375	3575	\N	GH	1589578
336634	1144	1993-03-06	PRIJEM	PREVOD Z UCTU	3375	6950	\N	GH	1589578
336635	1144	1993-04-06	PRIJEM	PREVOD Z UCTU	3375	10325	\N	GH	1589578
336636	1144	1993-05-06	PRIJEM	PREVOD Z UCTU	3375	13700	\N	GH	1589578
336637	1144	1993-06-06	PRIJEM	PREVOD Z UCTU	3375	17075	\N	GH	1589578
336638	1144	1993-07-06	PRIJEM	PREVOD Z UCTU	3375	14285	\N	GH	1589578
336639	1144	1993-08-06	PRIJEM	PREVOD Z UCTU	3375	15443	\N	GH	1589578
336640	1144	1993-09-06	PRIJEM	PREVOD Z UCTU	3375	16607	\N	GH	1589578
336641	1144	1993-10-06	PRIJEM	PREVOD Z UCTU	3375	17775	\N	GH	1589578
336642	1144	1993-11-06	PRIJEM	PREVOD Z UCTU	3375	17627	\N	GH	1589578
336643	1144	1993-12-06	PRIJEM	PREVOD Z UCTU	3375	17809	\N	GH	1589578
336644	1144	1994-01-06	PRIJEM	PREVOD Z UCTU	3375	16130	\N	GH	1589578
336645	1144	1994-02-06	PRIJEM	PREVOD Z UCTU	3375	16187	\N	GH	1589578
336646	1144	1994-03-06	PRIJEM	PREVOD Z UCTU	3375	17354	\N	GH	1589578
336647	1144	1994-04-06	PRIJEM	PREVOD Z UCTU	3375	17203	\N	GH	1589578
336648	1144	1994-05-06	PRIJEM	PREVOD Z UCTU	3375	16991	\N	GH	1589578
336649	1144	1994-06-06	PRIJEM	PREVOD Z UCTU	3375	17681	\N	GH	1589578
336650	1144	1994-07-06	PRIJEM	PREVOD Z UCTU	3375	18857	\N	GH	1589578
336651	1144	1994-08-06	PRIJEM	PREVOD Z UCTU	3375	20035	\N	GH	1589578
336652	1144	1994-09-06	PRIJEM	PREVOD Z UCTU	3375	19236	\N	GH	1589578
336653	1144	1994-10-06	PRIJEM	PREVOD Z UCTU	3375	20415	\N	GH	1589578
336654	1144	1994-11-06	PRIJEM	PREVOD Z UCTU	3375	20788	\N	GH	1589578
336655	1144	1994-12-06	PRIJEM	PREVOD Z UCTU	3375	21974	\N	GH	1589578
336656	1144	1995-01-06	PRIJEM	PREVOD Z UCTU	3375	20433	\N	GH	1589578
336657	1144	1995-02-06	PRIJEM	PREVOD Z UCTU	3375	19005	\N	GH	1589578
336658	1144	1995-03-06	PRIJEM	PREVOD Z UCTU	3375	19313	\N	GH	1589578
336659	1144	1995-04-06	PRIJEM	PREVOD Z UCTU	3375	20161	\N	GH	1589578
336660	1144	1995-05-06	PRIJEM	PREVOD Z UCTU	3375	20806	\N	GH	1589578
336661	1144	1995-06-06	PRIJEM	PREVOD Z UCTU	3375	21991	\N	GH	1589578
336662	1144	1995-07-06	PRIJEM	PREVOD Z UCTU	3375	17947	\N	GH	1589578
336663	1144	1995-08-06	PRIJEM	PREVOD Z UCTU	3375	19121	\N	GH	1589578
336664	1144	1995-09-06	PRIJEM	PREVOD Z UCTU	3375	20299	\N	GH	1589578
336665	1144	1995-10-06	PRIJEM	PREVOD Z UCTU	3375	20552	\N	GH	1589578
336666	1144	1995-11-06	PRIJEM	PREVOD Z UCTU	3375	20715	\N	GH	1589578
336667	1144	1995-12-06	PRIJEM	PREVOD Z UCTU	3375	21900	\N	GH	1589578
336668	1144	1996-01-06	PRIJEM	PREVOD Z UCTU	3375	19878	\N	GH	1589578
336669	1144	1996-02-06	PRIJEM	PREVOD Z UCTU	3375	17698	\N	GH	1589578
336670	1144	1996-03-06	PRIJEM	PREVOD Z UCTU	3375	18871	\N	GH	1589578
336671	1144	1996-04-06	PRIJEM	PREVOD Z UCTU	3375	19537	\N	GH	1589578
336672	1144	1996-05-06	PRIJEM	PREVOD Z UCTU	3375	19756	\N	GH	1589578
336673	1144	1996-06-06	PRIJEM	PREVOD Z UCTU	3375	20937	\N	GH	1589578
336674	1144	1996-07-06	PRIJEM	PREVOD Z UCTU	3375	22123	\N	GH	1589578
336675	1144	1996-08-06	PRIJEM	PREVOD Z UCTU	3375	20417	\N	GH	1589578
336676	1144	1996-09-06	PRIJEM	PREVOD Z UCTU	3375	19395	\N	GH	1589578
336677	1144	1996-10-06	PRIJEM	PREVOD Z UCTU	3375	19573	\N	GH	1589578
336678	1144	1996-11-06	PRIJEM	PREVOD Z UCTU	3375	20753	\N	GH	1589578
336679	1144	1996-12-06	PRIJEM	PREVOD Z UCTU	3375	21938	\N	GH	1589578
336680	1144	1997-01-06	PRIJEM	PREVOD Z UCTU	3375	18593	\N	GH	1589578
336681	1144	1997-02-06	PRIJEM	PREVOD Z UCTU	3375	18481	\N	GH	1589578
336682	1144	1997-03-06	PRIJEM	PREVOD Z UCTU	3375	19657	\N	GH	1589578
336683	1144	1997-04-06	PRIJEM	PREVOD Z UCTU	3375	20837	\N	GH	1589578
336684	1144	1997-05-06	PRIJEM	PREVOD Z UCTU	3375	22022	\N	GH	1589578
336685	1144	1997-06-06	PRIJEM	PREVOD Z UCTU	3375	23211	\N	GH	1589578
336686	1144	1997-07-06	PRIJEM	PREVOD Z UCTU	3375	24406	\N	GH	1589578
336687	1144	1997-08-06	PRIJEM	PREVOD Z UCTU	3375	24616	\N	GH	1589578
336688	1144	1997-09-06	PRIJEM	PREVOD Z UCTU	3375	24740	\N	GH	1589578
336689	1144	1997-10-06	PRIJEM	PREVOD Z UCTU	3375	25943	\N	GH	1589578
336690	1144	1997-11-06	PRIJEM	PREVOD Z UCTU	3375	27149	\N	GH	1589578
336691	1144	1997-12-06	PRIJEM	PREVOD Z UCTU	3375	27039	\N	GH	1589578
336692	1144	1998-01-06	PRIJEM	PREVOD Z UCTU	3375	26267	\N	GH	1589578
336693	1144	1998-02-06	PRIJEM	PREVOD Z UCTU	3375	23333	\N	GH	1589578
336694	1144	1998-03-06	PRIJEM	PREVOD Z UCTU	3375	24527	\N	GH	1589578
336695	1144	1998-04-06	PRIJEM	PREVOD Z UCTU	3375	25727	\N	GH	1589578
336696	1144	1998-05-06	PRIJEM	PREVOD Z UCTU	3375	26932	\N	GH	1589578
336697	1144	1998-06-06	PRIJEM	PREVOD Z UCTU	3375	28141	\N	GH	1589578
336698	1144	1998-07-06	PRIJEM	PREVOD Z UCTU	3375	24973	\N	GH	1589578
336699	1144	1998-08-06	PRIJEM	PREVOD Z UCTU	3375	26174	\N	GH	1589578
336700	1144	1998-09-06	PRIJEM	PREVOD Z UCTU	3375	26328	\N	GH	1589578
336701	1144	1998-10-06	PRIJEM	PREVOD Z UCTU	3375	26134	\N	GH	1589578
336702	1144	1998-11-06	PRIJEM	PREVOD Z UCTU	3375	27040	\N	GH	1589578
336703	1144	1998-12-06	PRIJEM	PREVOD Z UCTU	3375	28250	\N	GH	1589578
336709	1144	1993-06-13	VYDAJ	PREVOD NA UCET	2250	10895	SIPO	GH	64795172
336710	1144	1993-07-13	VYDAJ	PREVOD NA UCET	2250	12035	SIPO	GH	64795172
336711	1144	1993-08-13	VYDAJ	PREVOD NA UCET	2250	13193	SIPO	GH	64795172
336712	1144	1993-09-13	VYDAJ	PREVOD NA UCET	2250	14357	SIPO	GH	64795172
336713	1144	1993-10-13	VYDAJ	PREVOD NA UCET	2250	15525	SIPO	GH	64795172
336714	1144	1993-11-13	VYDAJ	PREVOD NA UCET	2250	14387	SIPO	GH	64795172
336715	1144	1993-12-13	VYDAJ	PREVOD NA UCET	2250	15559	SIPO	GH	64795172
336716	1144	1994-01-13	VYDAJ	PREVOD NA UCET	2250	12770	SIPO	GH	64795172
336717	1144	1994-02-13	VYDAJ	PREVOD NA UCET	2250	13937	SIPO	GH	64795172
336718	1144	1994-03-13	VYDAJ	PREVOD NA UCET	2250	13784	SIPO	GH	64795172
336719	1144	1994-04-13	VYDAJ	PREVOD NA UCET	2250	13573	SIPO	GH	64795172
336720	1144	1994-05-13	VYDAJ	PREVOD NA UCET	2250	14741	SIPO	GH	64795172
336721	1144	1994-06-13	VYDAJ	PREVOD NA UCET	2250	15431	SIPO	GH	64795172
336722	1144	1994-07-13	VYDAJ	PREVOD NA UCET	2250	16607	SIPO	GH	64795172
336723	1144	1994-08-13	VYDAJ	PREVOD NA UCET	2250	17095	SIPO	GH	64795172
336724	1144	1994-09-13	VYDAJ	PREVOD NA UCET	2250	16986	SIPO	GH	64795172
336725	1144	1994-10-13	VYDAJ	PREVOD NA UCET	2250	18165	SIPO	GH	64795172
336726	1144	1994-11-13	VYDAJ	PREVOD NA UCET	2250	18538	SIPO	GH	64795172
336727	1144	1994-12-13	VYDAJ	PREVOD NA UCET	2250	19724	SIPO	GH	64795172
336728	1144	1995-01-13	VYDAJ	PREVOD NA UCET	2250	16713	SIPO	GH	64795172
336729	1144	1995-02-13	VYDAJ	PREVOD NA UCET	2250	16755	SIPO	GH	64795172
336730	1144	1995-03-13	VYDAJ	PREVOD NA UCET	2250	17063	SIPO	GH	64795172
336731	1144	1995-04-13	VYDAJ	PREVOD NA UCET	2250	17371	SIPO	GH	64795172
336732	1144	1995-05-13	VYDAJ	PREVOD NA UCET	2250	18556	SIPO	GH	64795172
336733	1144	1995-06-13	VYDAJ	PREVOD NA UCET	2250	14521	SIPO	GH	64795172
336734	1144	1995-07-13	VYDAJ	PREVOD NA UCET	2250	15697	SIPO	GH	64795172
336735	1144	1995-08-13	VYDAJ	PREVOD NA UCET	2250	16871	SIPO	GH	64795172
336736	1144	1995-09-13	VYDAJ	PREVOD NA UCET	2250	17119	SIPO	GH	64795172
336737	1144	1995-10-13	VYDAJ	PREVOD NA UCET	2250	18302	SIPO	GH	64795172
336738	1144	1995-11-13	VYDAJ	PREVOD NA UCET	2250	18465	SIPO	GH	64795172
336739	1144	1995-12-13	VYDAJ	PREVOD NA UCET	2250	17820	SIPO	GH	64795172
336740	1144	1996-01-13	VYDAJ	PREVOD NA UCET	2250	16938	SIPO	GH	64795172
336741	1144	1996-02-13	VYDAJ	PREVOD NA UCET	2250	15448	SIPO	GH	64795172
336742	1144	1996-03-13	VYDAJ	PREVOD NA UCET	2250	16111	SIPO	GH	64795172
336743	1144	1996-04-13	VYDAJ	PREVOD NA UCET	2250	16327	SIPO	GH	64795172
336744	1144	1996-05-13	VYDAJ	PREVOD NA UCET	2250	17506	SIPO	GH	64795172
336745	1144	1996-06-13	VYDAJ	PREVOD NA UCET	2250	18687	SIPO	GH	64795172
336746	1144	1996-07-13	VYDAJ	PREVOD NA UCET	2250	16983	SIPO	GH	64795172
336747	1144	1996-08-13	VYDAJ	PREVOD NA UCET	2250	15967	SIPO	GH	64795172
336748	1144	1996-09-13	VYDAJ	PREVOD NA UCET	2250	16145	SIPO	GH	64795172
336749	1144	1996-10-13	VYDAJ	PREVOD NA UCET	2250	17323	SIPO	GH	64795172
336750	1144	1996-11-13	VYDAJ	PREVOD NA UCET	2250	18503	SIPO	GH	64795172
336751	1144	1996-12-13	VYDAJ	PREVOD NA UCET	2250	19688	SIPO	GH	64795172
336752	1144	1997-01-13	VYDAJ	PREVOD NA UCET	2250	16133	SIPO	GH	64795172
336753	1144	1997-02-13	VYDAJ	PREVOD NA UCET	2250	16231	SIPO	GH	64795172
336754	1144	1997-03-13	VYDAJ	PREVOD NA UCET	2250	17407	SIPO	GH	64795172
336755	1144	1997-04-13	VYDAJ	PREVOD NA UCET	2250	18587	SIPO	GH	64795172
336756	1144	1997-05-13	VYDAJ	PREVOD NA UCET	2250	19772	SIPO	GH	64795172
336757	1144	1997-06-13	VYDAJ	PREVOD NA UCET	2250	20961	SIPO	GH	64795172
336758	1144	1997-07-13	VYDAJ	PREVOD NA UCET	2250	22156	SIPO	GH	64795172
336759	1144	1997-08-13	VYDAJ	PREVOD NA UCET	2250	22366	SIPO	GH	64795172
336760	1144	1997-09-13	VYDAJ	PREVOD NA UCET	2250	22490	SIPO	GH	64795172
336761	1144	1997-10-13	VYDAJ	PREVOD NA UCET	2250	23693	SIPO	GH	64795172
336762	1144	1997-11-13	VYDAJ	PREVOD NA UCET	2250	24899	SIPO	GH	64795172
336763	1144	1997-12-13	VYDAJ	PREVOD NA UCET	2250	24789	SIPO	GH	64795172
336764	1144	1998-01-13	VYDAJ	PREVOD NA UCET	2250	23297	SIPO	GH	64795172
336765	1144	1998-02-13	VYDAJ	PREVOD NA UCET	2250	21083	SIPO	GH	64795172
336766	1144	1998-03-13	VYDAJ	PREVOD NA UCET	2250	22277	SIPO	GH	64795172
336767	1144	1998-04-13	VYDAJ	PREVOD NA UCET	2250	23477	SIPO	GH	64795172
336768	1144	1998-05-13	VYDAJ	PREVOD NA UCET	2250	24682	SIPO	GH	64795172
336769	1144	1998-06-13	VYDAJ	PREVOD NA UCET	2250	25891	SIPO	GH	64795172
336770	1144	1998-07-13	VYDAJ	PREVOD NA UCET	2250	22723	SIPO	GH	64795172
336771	1144	1998-08-13	VYDAJ	PREVOD NA UCET	2250	22874	SIPO	GH	64795172
336772	1144	1998-09-13	VYDAJ	PREVOD NA UCET	2250	24078	SIPO	GH	64795172
336773	1144	1998-10-13	VYDAJ	PREVOD NA UCET	2250	23584	SIPO	GH	64795172
336774	1144	1998-11-13	VYDAJ	PREVOD NA UCET	2250	24790	SIPO	GH	64795172
336775	1144	1998-12-13	VYDAJ	PREVOD NA UCET	2250	25430	SIPO	GH	64795172
336776	1144	1993-06-12	VYDAJ	VYBER	3930	13145	\N	\N	\N
336778	1144	1995-06-06	VYDAJ	VYBER	5220	16771	\N	\N	\N
336781	1144	1998-06-27	VYDAJ	VYBER	2940	21511	\N	\N	\N
336784	1144	1995-01-06	VYDAJ	VYBER	900	19323	\N	\N	\N
336785	1144	1996-01-24	VYDAJ	VYBER	900	15168	\N	\N	\N
336787	1144	1998-01-29	VYDAJ	VYBER	1560	20657	\N	\N	\N
336788	1144	1993-12-21	VYDAJ	VYBER	720	14419	\N	\N	\N
336789	1144	1994-12-16	VYDAJ	VYBER	180	19544	\N	\N	\N
336790	1144	1995-12-07	VYDAJ	VYBER	420	21480	\N	\N	\N
336791	1144	1996-12-20	VYDAJ	VYBER	720	17768	\N	\N	\N
336792	1144	1997-12-16	VYDAJ	VYBER	390	24399	\N	\N	\N
336793	1144	1998-12-10	VYDAJ	VYBER	570	27680	\N	\N	\N
336800	1144	1994-01-09	VYDAJ	VYBER	660	15470	\N	\N	\N
336801	1144	1994-01-12	VYDAJ	VYBER	450	15020	\N	\N	\N
336802	1144	1994-01-04	VYDAJ	VYBER	450	13025	\N	\N	\N
336803	1144	1994-01-01	VYDAJ	VYBER	360	14105	\N	\N	\N
336804	1144	1994-01-05	VYDAJ	VYBER	270	12755	\N	\N	\N
336806	1144	1995-01-20	VYDAJ	VYBER	210	16503	\N	\N	\N
336807	1144	1995-01-04	VYDAJ	VYBER	420	17058	\N	\N	\N
336808	1144	1995-01-21	VYDAJ	VYBER	270	16233	\N	\N	\N
336809	1144	1995-01-30	VYDAJ	VYBER	660	15573	\N	\N	\N
336810	1144	1995-01-10	VYDAJ	VYBER	360	18963	\N	\N	\N
336811	1144	1995-01-06	VYDAJ	VYBER	210	20223	\N	\N	\N
336812	1144	1996-01-23	VYDAJ	VYBER	870	16068	\N	\N	\N
336813	1144	1996-01-01	VYDAJ	VYBER	540	17343	\N	\N	\N
336814	1144	1996-01-25	VYDAJ	VYBER	330	14838	\N	\N	\N
336815	1144	1996-01-02	VYDAJ	VYBER	840	16503	\N	\N	\N
336816	1144	1996-01-27	VYDAJ	VYBER	570	14268	\N	\N	\N
336818	1144	1997-01-23	VYDAJ	VYBER	360	15773	\N	\N	\N
336820	1144	1997-01-27	VYDAJ	VYBER	270	15503	\N	\N	\N
336821	1144	1997-01-11	VYDAJ	VYBER	210	18383	\N	\N	\N
336822	1144	1997-01-04	VYDAJ	VYBER	300	15218	\N	\N	\N
336824	1144	1998-01-07	VYDAJ	VYBER	720	25547	\N	\N	\N
336825	1144	1998-01-23	VYDAJ	VYBER	240	22217	\N	\N	\N
336826	1144	1998-01-30	VYDAJ	VYBER	780	19877	\N	\N	\N
336827	1144	1998-01-19	VYDAJ	VYBER	180	22457	\N	\N	\N
336828	1144	1998-01-16	VYDAJ	VYBER	660	22637	\N	\N	\N
336829	1144	1998-01-05	VYDAJ	VYBER	540	22892	\N	\N	\N
336830	1144	1993-12-18	VYDAJ	VYBER	420	15139	\N	\N	\N
336831	1144	1993-11-09	VYDAJ	VYBER	990	16637	\N	\N	\N
336832	1144	1993-10-25	VYDAJ	VYBER	1320	14205	\N	\N	\N
336835	1144	1994-12-27	VYDAJ	VYBER	1050	17414	\N	\N	\N
336836	1144	1994-08-27	VYDAJ	VYBER	1290	15805	\N	\N	\N
336837	1144	1994-03-09	VYDAJ	VYBER	1320	16034	\N	\N	\N
336838	1144	1994-04-11	VYDAJ	VYBER	1380	15823	\N	\N	\N
336839	1144	1994-01-04	VYDAJ	VYBER	630	13475	\N	\N	\N
336840	1144	1994-12-27	VYDAJ	VYBER	1080	18464	\N	\N	\N
336841	1144	1994-08-11	VYDAJ	VYBER	690	19345	\N	\N	\N
336842	1144	1994-06-02	VYDAJ	VYBER	480	14306	\N	\N	\N
336843	1144	1994-10-24	VYDAJ	VYBER	810	17355	\N	\N	\N
336844	1144	1995-02-26	VYDAJ	VYBER	870	15885	\N	\N	\N
336845	1144	1995-09-08	VYDAJ	VYBER	930	19369	\N	\N	\N
336846	1144	1995-04-06	VYDAJ	VYBER	540	19621	\N	\N	\N
336847	1144	1995-03-20	VYDAJ	VYBER	330	16733	\N	\N	\N
336848	1144	1995-10-22	VYDAJ	VYBER	1020	17282	\N	\N	\N
336849	1144	1995-12-07	VYDAJ	VYBER	1410	20070	\N	\N	\N
336850	1144	1996-12-25	VYDAJ	VYBER	1080	16688	\N	\N	\N
336851	1144	1996-12-18	VYDAJ	VYBER	1200	18488	\N	\N	\N
336852	1144	1996-03-12	VYDAJ	VYBER	510	18361	\N	\N	\N
336853	1144	1996-04-08	VYDAJ	VYBER	960	18577	\N	\N	\N
336854	1144	1996-07-12	VYDAJ	VYBER	1290	19233	\N	\N	\N
336855	1144	1996-01-11	VYDAJ	VYBER	690	19188	\N	\N	\N
336856	1144	1997-08-05	VYDAJ	VYBER	990	21241	\N	\N	\N
336857	1144	1997-08-31	VYDAJ	VYBER	1080	21365	\N	\N	\N
336858	1144	1997-01-28	VYDAJ	VYBER	450	15053	\N	\N	\N
336859	1144	1997-01-01	VYDAJ	VYBER	1230	15518	\N	\N	\N
336860	1144	1997-12-27	VYDAJ	VYBER	1050	23349	\N	\N	\N
336861	1144	1997-11-25	VYDAJ	VYBER	1320	23579	\N	\N	\N
336862	1144	1998-12-28	VYDAJ	VYBER	1230	24200	\N	\N	\N
336863	1144	1998-10-12	VYDAJ	VYBER	300	25834	\N	\N	\N
336864	1144	1998-06-19	VYDAJ	VYBER	630	25261	\N	\N	\N
336865	1144	1998-08-12	VYDAJ	VYBER	1050	25124	\N	\N	\N
336866	1144	1998-06-26	VYDAJ	VYBER	810	24451	\N	\N	\N
336873	1144	1993-06-30	VYDAJ	VYBER	15	10910	SLUZBY	\N	\N
336874	1144	1993-07-31	VYDAJ	VYBER	15	12068	SLUZBY	\N	\N
336875	1144	1993-08-31	VYDAJ	VYBER	15	13232	SLUZBY	\N	\N
336876	1144	1993-09-30	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
336877	1144	1993-10-31	VYDAJ	VYBER	15	14252	SLUZBY	\N	\N
336878	1144	1993-11-30	VYDAJ	VYBER	15	14434	SLUZBY	\N	\N
336879	1144	1993-12-31	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
336880	1144	1994-01-31	VYDAJ	VYBER	15	12812	SLUZBY	\N	\N
336881	1144	1994-02-28	VYDAJ	VYBER	15	13979	SLUZBY	\N	\N
336882	1144	1994-03-31	VYDAJ	VYBER	15	13828	SLUZBY	\N	\N
336883	1144	1994-04-30	VYDAJ	VYBER	15	13616	SLUZBY	\N	\N
336884	1144	1994-05-31	VYDAJ	VYBER	15	14786	SLUZBY	\N	\N
336885	1144	1994-06-30	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
336886	1144	1994-07-31	VYDAJ	VYBER	15	16660	SLUZBY	\N	\N
336887	1144	1994-08-31	VYDAJ	VYBER	15	15861	SLUZBY	\N	\N
336888	1144	1994-09-30	VYDAJ	VYBER	15	17040	SLUZBY	\N	\N
336889	1144	1994-10-31	VYDAJ	VYBER	15	17413	SLUZBY	\N	\N
336890	1144	1994-11-30	VYDAJ	VYBER	15	18599	SLUZBY	\N	\N
336891	1144	1994-12-31	VYDAJ	VYBER	15	17478	SLUZBY	\N	\N
336892	1144	1995-01-31	VYDAJ	VYBER	15	15630	SLUZBY	\N	\N
336893	1144	1995-02-28	VYDAJ	VYBER	15	15938	SLUZBY	\N	\N
336894	1144	1995-03-31	VYDAJ	VYBER	15	16786	SLUZBY	\N	\N
336895	1144	1995-04-30	VYDAJ	VYBER	15	17431	SLUZBY	\N	\N
336896	1144	1995-05-31	VYDAJ	VYBER	15	18616	SLUZBY	\N	\N
336897	1144	1995-06-30	VYDAJ	VYBER	15	14572	SLUZBY	\N	\N
336898	1144	1995-07-31	VYDAJ	VYBER	15	15746	SLUZBY	\N	\N
336899	1144	1995-08-31	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
336900	1144	1995-09-30	VYDAJ	VYBER	15	17177	SLUZBY	\N	\N
336901	1144	1995-10-31	VYDAJ	VYBER	15	17340	SLUZBY	\N	\N
336902	1144	1995-11-30	VYDAJ	VYBER	15	18525	SLUZBY	\N	\N
336903	1144	1995-12-31	VYDAJ	VYBER	15	17883	SLUZBY	\N	\N
336904	1144	1996-01-31	VYDAJ	VYBER	15	14323	SLUZBY	\N	\N
336905	1144	1996-02-29	VYDAJ	VYBER	15	15496	SLUZBY	\N	\N
336906	1144	1996-03-31	VYDAJ	VYBER	15	16162	SLUZBY	\N	\N
336907	1144	1996-04-30	VYDAJ	VYBER	15	16381	SLUZBY	\N	\N
336908	1144	1996-05-31	VYDAJ	VYBER	15	17562	SLUZBY	\N	\N
336909	1144	1996-06-30	VYDAJ	VYBER	15	18748	SLUZBY	\N	\N
336910	1144	1996-07-31	VYDAJ	VYBER	15	17042	SLUZBY	\N	\N
336911	1144	1996-08-31	VYDAJ	VYBER	15	16020	SLUZBY	\N	\N
336912	1144	1996-09-30	VYDAJ	VYBER	15	16198	SLUZBY	\N	\N
336913	1144	1996-10-31	VYDAJ	VYBER	15	17378	SLUZBY	\N	\N
336914	1144	1996-11-30	VYDAJ	VYBER	15	18563	SLUZBY	\N	\N
336915	1144	1996-12-31	VYDAJ	VYBER	15	16748	SLUZBY	\N	\N
336916	1144	1997-01-31	VYDAJ	VYBER	15	15106	SLUZBY	\N	\N
336917	1144	1997-02-28	VYDAJ	VYBER	15	16282	SLUZBY	\N	\N
336918	1144	1997-03-31	VYDAJ	VYBER	15	17462	SLUZBY	\N	\N
336919	1144	1997-04-30	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
336920	1144	1997-05-31	VYDAJ	VYBER	15	19836	SLUZBY	\N	\N
336921	1144	1997-06-30	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
336922	1144	1997-07-31	VYDAJ	VYBER	15	22231	SLUZBY	\N	\N
336923	1144	1997-08-31	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
336924	1144	1997-09-30	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
336925	1144	1997-10-31	VYDAJ	VYBER	15	23774	SLUZBY	\N	\N
336926	1144	1997-11-30	VYDAJ	VYBER	15	23664	SLUZBY	\N	\N
336927	1144	1997-12-31	VYDAJ	VYBER	15	23432	SLUZBY	\N	\N
336928	1144	1998-01-31	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
336929	1144	1998-02-28	VYDAJ	VYBER	15	21152	SLUZBY	\N	\N
336930	1144	1998-03-31	VYDAJ	VYBER	15	22352	SLUZBY	\N	\N
336931	1144	1998-04-30	VYDAJ	VYBER	15	23557	SLUZBY	\N	\N
336932	1144	1998-05-31	VYDAJ	VYBER	15	24766	SLUZBY	\N	\N
336933	1144	1998-06-30	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
336934	1144	1998-07-31	VYDAJ	VYBER	15	22799	SLUZBY	\N	\N
336935	1144	1998-08-31	VYDAJ	VYBER	15	22953	SLUZBY	\N	\N
336936	1144	1998-09-30	VYDAJ	VYBER	15	22759	SLUZBY	\N	\N
336937	1144	1998-10-31	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
336938	1144	1998-11-30	VYDAJ	VYBER	15	24875	SLUZBY	\N	\N
336939	1144	1996-07-11	VYDAJ	VYBER	1600	20523	\N	\N	\N
336940	1144	1996-08-10	VYDAJ	VYBER	2200	18217	\N	\N	\N
336941	1144	1996-09-09	VYDAJ	VYBER	1000	18395	\N	\N	\N
336942	1144	1998-09-29	VYDAJ	VYBER	1400	22678	\N	\N	\N
337010	1145	1993-07-03	PRIJEM	VKLAD	900	900	\N	\N	\N
337017	1145	1993-07-12	PRIJEM	PREVOD Z UCTU	2921	3821	\N	ST	25428694
337018	1145	1993-08-12	PRIJEM	PREVOD Z UCTU	2921	6752	\N	ST	25428694
337019	1145	1993-09-12	PRIJEM	PREVOD Z UCTU	2921	9689	\N	ST	25428694
337020	1145	1993-10-12	PRIJEM	PREVOD Z UCTU	2921	12626	\N	ST	25428694
337021	1145	1993-11-12	PRIJEM	PREVOD Z UCTU	2921	15563	\N	ST	25428694
337022	1145	1993-12-12	PRIJEM	PREVOD Z UCTU	2921	16540	\N	ST	25428694
337023	1145	1994-01-12	PRIJEM	PREVOD Z UCTU	2921	14626	\N	ST	25428694
337024	1145	1994-02-12	PRIJEM	PREVOD Z UCTU	2921	13482	\N	ST	25428694
337025	1145	1994-03-12	PRIJEM	PREVOD Z UCTU	2921	14495	\N	ST	25428694
337026	1145	1994-04-12	PRIJEM	PREVOD Z UCTU	2921	15122	\N	ST	25428694
337027	1145	1994-05-12	PRIJEM	PREVOD Z UCTU	2921	16142	\N	ST	25428694
337028	1145	1994-06-12	PRIJEM	PREVOD Z UCTU	2921	17166	\N	ST	25428694
337029	1145	1994-07-12	PRIJEM	PREVOD Z UCTU	2921	17203	\N	ST	25428694
337030	1145	1994-08-12	PRIJEM	PREVOD Z UCTU	2921	16819	\N	ST	25428694
337031	1145	1994-09-12	PRIJEM	PREVOD Z UCTU	2921	17847	\N	ST	25428694
337032	1145	1994-10-12	PRIJEM	PREVOD Z UCTU	2921	18878	\N	ST	25428694
337033	1145	1994-11-12	PRIJEM	PREVOD Z UCTU	2921	19914	\N	ST	25428694
337034	1145	1994-12-12	PRIJEM	PREVOD Z UCTU	2921	20954	\N	ST	25428694
337035	1145	1995-01-12	PRIJEM	PREVOD Z UCTU	2921	19688	\N	ST	25428694
337036	1145	1995-02-12	PRIJEM	PREVOD Z UCTU	2921	16762	\N	ST	25428694
337037	1145	1995-03-12	PRIJEM	PREVOD Z UCTU	2921	16349	\N	ST	25428694
337038	1145	1995-04-12	PRIJEM	PREVOD Z UCTU	2921	17375	\N	ST	25428694
337039	1145	1995-05-12	PRIJEM	PREVOD Z UCTU	2921	18404	\N	ST	25428694
337040	1145	1995-06-12	PRIJEM	PREVOD Z UCTU	2921	18476	\N	ST	25428694
337041	1145	1995-07-12	PRIJEM	PREVOD Z UCTU	2921	15456	\N	ST	25428694
337042	1145	1995-08-12	PRIJEM	PREVOD Z UCTU	2921	16477	\N	ST	25428694
337043	1145	1995-09-12	PRIJEM	PREVOD Z UCTU	2921	17503	\N	ST	25428694
337044	1145	1995-10-12	PRIJEM	PREVOD Z UCTU	2921	18533	\N	ST	25428694
337045	1145	1995-11-12	PRIJEM	PREVOD Z UCTU	2921	19567	\N	ST	25428694
337046	1145	1995-12-12	PRIJEM	PREVOD Z UCTU	2921	20455	\N	ST	25428694
337047	1145	1996-01-12	PRIJEM	PREVOD Z UCTU	2921	16965	\N	ST	25428694
337048	1145	1996-02-12	PRIJEM	PREVOD Z UCTU	2921	16614	\N	ST	25428694
337049	1145	1996-03-12	PRIJEM	PREVOD Z UCTU	2921	16800	\N	ST	25428694
337050	1145	1996-04-12	PRIJEM	PREVOD Z UCTU	2921	17827	\N	ST	25428694
337051	1145	1996-05-12	PRIJEM	PREVOD Z UCTU	2921	17686	\N	ST	25428694
337052	1145	1996-06-12	PRIJEM	PREVOD Z UCTU	2921	17245	\N	ST	25428694
337053	1145	1996-07-12	PRIJEM	PREVOD Z UCTU	2921	18274	\N	ST	25428694
337054	1145	1996-08-12	PRIJEM	PREVOD Z UCTU	2921	18676	\N	ST	25428694
337055	1145	1996-09-12	PRIJEM	PREVOD Z UCTU	2921	19710	\N	ST	25428694
337056	1145	1996-10-12	PRIJEM	PREVOD Z UCTU	2921	20749	\N	ST	25428694
337057	1145	1996-11-12	PRIJEM	PREVOD Z UCTU	2921	21791	\N	ST	25428694
337058	1145	1996-12-12	PRIJEM	PREVOD Z UCTU	2921	18913	\N	ST	25428694
337059	1145	1997-01-12	PRIJEM	PREVOD Z UCTU	2921	17578	\N	ST	25428694
337060	1145	1997-02-12	PRIJEM	PREVOD Z UCTU	2921	16894	\N	ST	25428694
337061	1145	1997-03-12	PRIJEM	PREVOD Z UCTU	2921	17921	\N	ST	25428694
337062	1145	1997-04-12	PRIJEM	PREVOD Z UCTU	2921	18952	\N	ST	25428694
337063	1145	1997-05-12	PRIJEM	PREVOD Z UCTU	2921	19987	\N	ST	25428694
337064	1145	1997-06-12	PRIJEM	PREVOD Z UCTU	2921	21026	\N	ST	25428694
337065	1145	1997-07-12	PRIJEM	PREVOD Z UCTU	2921	22070	\N	ST	25428694
337066	1145	1997-08-12	PRIJEM	PREVOD Z UCTU	2921	23118	\N	ST	25428694
337067	1145	1997-09-12	PRIJEM	PREVOD Z UCTU	2921	23600	\N	ST	25428694
337068	1145	1997-10-12	PRIJEM	PREVOD Z UCTU	2921	24655	\N	ST	25428694
337069	1145	1997-11-12	PRIJEM	PREVOD Z UCTU	2921	25713	\N	ST	25428694
337070	1145	1997-12-12	PRIJEM	PREVOD Z UCTU	2921	23446	\N	ST	25428694
337071	1145	1998-01-12	PRIJEM	PREVOD Z UCTU	2921	21560	\N	ST	25428694
337072	1145	1998-02-12	PRIJEM	PREVOD Z UCTU	2921	21736	\N	ST	25428694
337073	1145	1998-03-12	PRIJEM	PREVOD Z UCTU	2921	22782	\N	ST	25428694
337074	1145	1998-04-12	PRIJEM	PREVOD Z UCTU	2921	23833	\N	ST	25428694
337075	1145	1998-05-12	PRIJEM	PREVOD Z UCTU	2921	24888	\N	ST	25428694
337076	1145	1998-06-12	PRIJEM	PREVOD Z UCTU	2921	25947	\N	ST	25428694
337077	1145	1998-07-12	PRIJEM	PREVOD Z UCTU	2921	24579	\N	ST	25428694
337078	1145	1998-08-12	PRIJEM	PREVOD Z UCTU	2921	24735	\N	ST	25428694
337079	1145	1998-09-12	PRIJEM	PREVOD Z UCTU	2921	25794	\N	ST	25428694
337080	1145	1998-10-12	PRIJEM	PREVOD Z UCTU	2921	25716	\N	ST	25428694
337081	1145	1998-11-12	PRIJEM	PREVOD Z UCTU	2921	26780	\N	ST	25428694
337082	1145	1998-12-12	PRIJEM	PREVOD Z UCTU	2921	27637	\N	ST	25428694
337094	1145	1993-12-09	VYDAJ	PREVOD NA UCET	478	13619	\N	IJ	24233013
337095	1145	1994-01-09	VYDAJ	PREVOD NA UCET	478	11705	\N	IJ	24233013
337096	1145	1994-02-09	VYDAJ	PREVOD NA UCET	478	10561	\N	IJ	24233013
337097	1145	1994-03-09	VYDAJ	PREVOD NA UCET	478	11574	\N	IJ	24233013
337098	1145	1994-04-09	VYDAJ	PREVOD NA UCET	478	12201	\N	IJ	24233013
337099	1145	1994-05-09	VYDAJ	PREVOD NA UCET	478	13221	\N	IJ	24233013
337100	1145	1994-06-09	VYDAJ	PREVOD NA UCET	478	14245	\N	IJ	24233013
337101	1145	1994-07-09	VYDAJ	PREVOD NA UCET	478	14282	\N	IJ	24233013
337102	1145	1994-08-09	VYDAJ	PREVOD NA UCET	478	13898	\N	IJ	24233013
337103	1145	1994-09-09	VYDAJ	PREVOD NA UCET	478	14926	\N	IJ	24233013
337104	1145	1994-10-09	VYDAJ	PREVOD NA UCET	478	15957	\N	IJ	24233013
337105	1145	1994-11-09	VYDAJ	PREVOD NA UCET	478	16993	\N	IJ	24233013
337106	1145	1994-12-09	VYDAJ	PREVOD NA UCET	478	18033	\N	IJ	24233013
337107	1145	1995-01-09	VYDAJ	PREVOD NA UCET	478	17577	\N	IJ	24233013
337108	1145	1995-02-09	VYDAJ	PREVOD NA UCET	478	13841	\N	IJ	24233013
337109	1145	1995-03-09	VYDAJ	PREVOD NA UCET	478	13428	\N	IJ	24233013
337110	1145	1995-04-09	VYDAJ	PREVOD NA UCET	478	14454	\N	IJ	24233013
337111	1145	1995-05-09	VYDAJ	PREVOD NA UCET	478	15483	\N	IJ	24233013
337112	1145	1995-06-09	VYDAJ	PREVOD NA UCET	478	15555	\N	IJ	24233013
337113	1145	1995-07-09	VYDAJ	PREVOD NA UCET	478	12535	\N	IJ	24233013
337114	1145	1995-08-09	VYDAJ	PREVOD NA UCET	478	13556	\N	IJ	24233013
337115	1145	1995-09-09	VYDAJ	PREVOD NA UCET	478	14582	\N	IJ	24233013
337116	1145	1995-10-09	VYDAJ	PREVOD NA UCET	478	15612	\N	IJ	24233013
337117	1145	1995-11-09	VYDAJ	PREVOD NA UCET	478	16646	\N	IJ	24233013
337118	1145	1995-12-09	VYDAJ	PREVOD NA UCET	478	17534	\N	IJ	24233013
337119	1145	1996-01-09	VYDAJ	PREVOD NA UCET	478	15994	\N	IJ	24233013
337120	1145	1996-02-09	VYDAJ	PREVOD NA UCET	478	13693	\N	IJ	24233013
337121	1145	1996-03-09	VYDAJ	PREVOD NA UCET	478	13879	\N	IJ	24233013
337122	1145	1996-04-09	VYDAJ	PREVOD NA UCET	478	14906	\N	IJ	24233013
337123	1145	1996-05-09	VYDAJ	PREVOD NA UCET	478	14765	\N	IJ	24233013
337124	1145	1996-06-09	VYDAJ	PREVOD NA UCET	478	14324	\N	IJ	24233013
337125	1145	1996-07-09	VYDAJ	PREVOD NA UCET	478	15353	\N	IJ	24233013
337126	1145	1996-08-09	VYDAJ	PREVOD NA UCET	478	15755	\N	IJ	24233013
337127	1145	1996-09-09	VYDAJ	PREVOD NA UCET	478	16789	\N	IJ	24233013
337128	1145	1996-10-09	VYDAJ	PREVOD NA UCET	478	17828	\N	IJ	24233013
337129	1145	1996-11-09	VYDAJ	PREVOD NA UCET	478	18870	\N	IJ	24233013
337130	1145	1996-12-09	VYDAJ	PREVOD NA UCET	478	15992	\N	IJ	24233013
337131	1145	1997-01-09	VYDAJ	PREVOD NA UCET	478	14657	\N	IJ	24233013
337132	1145	1997-02-09	VYDAJ	PREVOD NA UCET	478	13973	\N	IJ	24233013
337133	1145	1997-03-09	VYDAJ	PREVOD NA UCET	478	15000	\N	IJ	24233013
337134	1145	1997-04-09	VYDAJ	PREVOD NA UCET	478	16031	\N	IJ	24233013
337135	1145	1997-05-09	VYDAJ	PREVOD NA UCET	478	17066	\N	IJ	24233013
337136	1145	1997-06-09	VYDAJ	PREVOD NA UCET	478	18105	\N	IJ	24233013
337137	1145	1997-07-09	VYDAJ	PREVOD NA UCET	478	19149	\N	IJ	24233013
337138	1145	1997-08-09	VYDAJ	PREVOD NA UCET	478	20197	\N	IJ	24233013
337139	1145	1997-09-09	VYDAJ	PREVOD NA UCET	478	20679	\N	IJ	24233013
337140	1145	1997-10-09	VYDAJ	PREVOD NA UCET	478	21734	\N	IJ	24233013
337141	1145	1997-11-09	VYDAJ	PREVOD NA UCET	478	22792	\N	IJ	24233013
337142	1145	1997-12-09	VYDAJ	PREVOD NA UCET	478	21095	\N	IJ	24233013
337143	1145	1998-01-09	VYDAJ	PREVOD NA UCET	478	19119	\N	IJ	24233013
337144	1145	1998-02-09	VYDAJ	PREVOD NA UCET	478	18815	\N	IJ	24233013
337145	1145	1998-03-09	VYDAJ	PREVOD NA UCET	478	19861	\N	IJ	24233013
337146	1145	1998-04-09	VYDAJ	PREVOD NA UCET	478	20912	\N	IJ	24233013
337147	1145	1998-05-09	VYDAJ	PREVOD NA UCET	478	21967	\N	IJ	24233013
337148	1145	1998-06-09	VYDAJ	PREVOD NA UCET	478	23026	\N	IJ	24233013
337149	1145	1998-07-09	VYDAJ	PREVOD NA UCET	478	21658	\N	IJ	24233013
337150	1145	1998-08-09	VYDAJ	PREVOD NA UCET	478	21814	\N	IJ	24233013
337151	1145	1998-09-09	VYDAJ	PREVOD NA UCET	478	22873	\N	IJ	24233013
337152	1145	1998-10-09	VYDAJ	PREVOD NA UCET	478	23935	\N	IJ	24233013
337153	1145	1998-11-09	VYDAJ	PREVOD NA UCET	478	23859	\N	IJ	24233013
337154	1145	1998-12-09	VYDAJ	PREVOD NA UCET	478	24716	\N	IJ	24233013
337166	1145	1993-12-06	VYDAJ	PREVOD NA UCET	1469	14097	\N	KL	38151466
337167	1145	1994-01-06	VYDAJ	PREVOD NA UCET	1469	14043	\N	KL	38151466
337168	1145	1994-02-06	VYDAJ	PREVOD NA UCET	1469	11039	\N	KL	38151466
337169	1145	1994-03-06	VYDAJ	PREVOD NA UCET	1469	12052	\N	KL	38151466
337170	1145	1994-04-06	VYDAJ	PREVOD NA UCET	1469	12679	\N	KL	38151466
337171	1145	1994-05-06	VYDAJ	PREVOD NA UCET	1469	13699	\N	KL	38151466
337172	1145	1994-06-06	VYDAJ	PREVOD NA UCET	1469	14723	\N	KL	38151466
337173	1145	1994-07-06	VYDAJ	PREVOD NA UCET	1469	14760	\N	KL	38151466
337174	1145	1994-08-06	VYDAJ	PREVOD NA UCET	1469	14376	\N	KL	38151466
337175	1145	1994-09-06	VYDAJ	PREVOD NA UCET	1469	15404	\N	KL	38151466
337176	1145	1994-10-06	VYDAJ	PREVOD NA UCET	1469	16435	\N	KL	38151466
337177	1145	1994-11-06	VYDAJ	PREVOD NA UCET	1469	17471	\N	KL	38151466
337178	1145	1994-12-06	VYDAJ	PREVOD NA UCET	1469	18511	\N	KL	38151466
337179	1145	1995-01-06	VYDAJ	PREVOD NA UCET	1469	18055	\N	KL	38151466
337180	1145	1995-02-06	VYDAJ	PREVOD NA UCET	1469	14319	\N	KL	38151466
337181	1145	1995-03-06	VYDAJ	PREVOD NA UCET	1469	15346	\N	KL	38151466
337182	1145	1995-04-06	VYDAJ	PREVOD NA UCET	1469	14932	\N	KL	38151466
337183	1145	1995-05-06	VYDAJ	PREVOD NA UCET	1469	15961	\N	KL	38151466
337184	1145	1995-06-06	VYDAJ	PREVOD NA UCET	1469	16033	\N	KL	38151466
337185	1145	1995-07-06	VYDAJ	PREVOD NA UCET	1469	13013	\N	KL	38151466
337186	1145	1995-08-06	VYDAJ	PREVOD NA UCET	1469	14034	\N	KL	38151466
337187	1145	1995-09-06	VYDAJ	PREVOD NA UCET	1469	15060	\N	KL	38151466
337188	1145	1995-10-06	VYDAJ	PREVOD NA UCET	1469	16090	\N	KL	38151466
337189	1145	1995-11-06	VYDAJ	PREVOD NA UCET	1469	17124	\N	KL	38151466
337190	1145	1995-12-06	VYDAJ	PREVOD NA UCET	1469	18012	\N	KL	38151466
337191	1145	1996-01-06	VYDAJ	PREVOD NA UCET	1469	16862	\N	KL	38151466
337192	1145	1996-02-06	VYDAJ	PREVOD NA UCET	1469	14171	\N	KL	38151466
337193	1145	1996-03-06	VYDAJ	PREVOD NA UCET	1469	15197	\N	KL	38151466
337194	1145	1996-04-06	VYDAJ	PREVOD NA UCET	1469	15384	\N	KL	38151466
337195	1145	1996-05-06	VYDAJ	PREVOD NA UCET	1469	15243	\N	KL	38151466
337196	1145	1996-06-06	VYDAJ	PREVOD NA UCET	1469	14802	\N	KL	38151466
337197	1145	1996-07-06	VYDAJ	PREVOD NA UCET	1469	15831	\N	KL	38151466
337198	1145	1996-08-06	VYDAJ	PREVOD NA UCET	1469	16233	\N	KL	38151466
337199	1145	1996-09-06	VYDAJ	PREVOD NA UCET	1469	17267	\N	KL	38151466
337200	1145	1996-10-06	VYDAJ	PREVOD NA UCET	1469	18306	\N	KL	38151466
337201	1145	1996-11-06	VYDAJ	PREVOD NA UCET	1469	19348	\N	KL	38151466
337202	1145	1996-12-06	VYDAJ	PREVOD NA UCET	1469	16470	\N	KL	38151466
337203	1145	1997-01-06	VYDAJ	PREVOD NA UCET	1469	15135	\N	KL	38151466
337204	1145	1997-02-06	VYDAJ	PREVOD NA UCET	1469	14451	\N	KL	38151466
337205	1145	1997-03-06	VYDAJ	PREVOD NA UCET	1469	15478	\N	KL	38151466
337206	1145	1997-04-06	VYDAJ	PREVOD NA UCET	1469	16509	\N	KL	38151466
337207	1145	1997-05-06	VYDAJ	PREVOD NA UCET	1469	17544	\N	KL	38151466
337208	1145	1997-06-06	VYDAJ	PREVOD NA UCET	1469	18583	\N	KL	38151466
337209	1145	1997-07-06	VYDAJ	PREVOD NA UCET	1469	19627	\N	KL	38151466
337210	1145	1997-08-06	VYDAJ	PREVOD NA UCET	1469	20675	\N	KL	38151466
337211	1145	1997-09-06	VYDAJ	PREVOD NA UCET	1469	21727	\N	KL	38151466
337212	1145	1997-10-06	VYDAJ	PREVOD NA UCET	1469	22212	\N	KL	38151466
337213	1145	1997-11-06	VYDAJ	PREVOD NA UCET	1469	23270	\N	KL	38151466
337214	1145	1997-12-06	VYDAJ	PREVOD NA UCET	1469	21573	\N	KL	38151466
337215	1145	1998-01-06	VYDAJ	PREVOD NA UCET	1469	19597	\N	KL	38151466
337216	1145	1998-02-06	VYDAJ	PREVOD NA UCET	1469	19293	\N	KL	38151466
337217	1145	1998-03-06	VYDAJ	PREVOD NA UCET	1469	20339	\N	KL	38151466
337218	1145	1998-04-06	VYDAJ	PREVOD NA UCET	1469	21390	\N	KL	38151466
337219	1145	1998-05-06	VYDAJ	PREVOD NA UCET	1469	22445	\N	KL	38151466
337220	1145	1998-06-06	VYDAJ	PREVOD NA UCET	1469	23504	\N	KL	38151466
337221	1145	1998-07-06	VYDAJ	PREVOD NA UCET	1469	22136	\N	KL	38151466
337222	1145	1998-08-06	VYDAJ	PREVOD NA UCET	1469	22292	\N	KL	38151466
337223	1145	1998-09-06	VYDAJ	PREVOD NA UCET	1469	23351	\N	KL	38151466
337224	1145	1998-10-06	VYDAJ	PREVOD NA UCET	1469	24413	\N	KL	38151466
337225	1145	1998-11-06	VYDAJ	PREVOD NA UCET	1469	24337	\N	KL	38151466
337226	1145	1998-12-06	VYDAJ	PREVOD NA UCET	1469	25404	\N	KL	38151466
337228	1145	1994-06-13	VYDAJ	VYBER	990	16176	\N	\N	\N
337229	1145	1995-06-24	VYDAJ	VYBER	4050	14426	\N	\N	\N
337232	1145	1998-06-26	VYDAJ	VYBER	1470	23517	\N	\N	\N
337234	1145	1994-01-07	VYDAJ	VYBER	1860	12183	\N	\N	\N
337235	1145	1995-01-12	VYDAJ	VYBER	930	18758	\N	\N	\N
337236	1145	1996-01-11	VYDAJ	VYBER	1410	14044	\N	\N	\N
337238	1145	1998-01-06	VYDAJ	VYBER	1800	21066	\N	\N	\N
337239	1145	1993-12-25	VYDAJ	VYBER	300	16240	\N	\N	\N
337240	1145	1994-12-18	VYDAJ	VYBER	210	20744	\N	\N	\N
337241	1145	1995-12-05	VYDAJ	VYBER	150	19481	\N	\N	\N
337242	1145	1996-12-18	VYDAJ	VYBER	870	18043	\N	\N	\N
337243	1145	1997-12-09	VYDAJ	VYBER	570	20525	\N	\N	\N
337244	1145	1998-12-14	VYDAJ	VYBER	510	27127	\N	\N	\N
337251	1145	1994-01-02	VYDAJ	VYBER	780	15512	\N	\N	\N
337252	1145	1994-01-27	VYDAJ	VYBER	840	12466	\N	\N	\N
337255	1145	1994-01-16	VYDAJ	VYBER	780	13306	\N	\N	\N
337256	1145	1994-01-15	VYDAJ	VYBER	540	14086	\N	\N	\N
337257	1145	1995-01-11	VYDAJ	VYBER	810	16767	\N	\N	\N
337258	1145	1995-01-06	VYDAJ	VYBER	540	19524	\N	\N	\N
337259	1145	1995-01-13	VYDAJ	VYBER	660	18098	\N	\N	\N
337260	1145	1995-01-20	VYDAJ	VYBER	330	17768	\N	\N	\N
337261	1145	1995-01-23	VYDAJ	VYBER	780	16988	\N	\N	\N
337262	1145	1995-01-27	VYDAJ	VYBER	210	16778	\N	\N	\N
337263	1145	1996-01-19	VYDAJ	VYBER	300	16365	\N	\N	\N
337264	1145	1996-01-24	VYDAJ	VYBER	780	15585	\N	\N	\N
337265	1145	1996-01-15	VYDAJ	VYBER	300	16665	\N	\N	\N
337266	1145	1996-01-06	VYDAJ	VYBER	660	18331	\N	\N	\N
337267	1145	1996-01-10	VYDAJ	VYBER	540	15454	\N	\N	\N
337268	1145	1996-01-07	VYDAJ	VYBER	390	16472	\N	\N	\N
337269	1145	1997-01-01	VYDAJ	VYBER	690	16604	\N	\N	\N
337270	1145	1997-01-01	VYDAJ	VYBER	540	17294	\N	\N	\N
337272	1145	1997-01-17	VYDAJ	VYBER	660	16918	\N	\N	\N
337273	1145	1997-01-21	VYDAJ	VYBER	180	16738	\N	\N	\N
337274	1145	1997-01-24	VYDAJ	VYBER	870	15868	\N	\N	\N
337275	1145	1998-01-20	VYDAJ	VYBER	450	21110	\N	\N	\N
337276	1145	1998-01-05	VYDAJ	VYBER	360	23016	\N	\N	\N
337277	1145	1998-01-11	VYDAJ	VYBER	480	18639	\N	\N	\N
337278	1145	1998-01-02	VYDAJ	VYBER	150	23376	\N	\N	\N
337279	1145	1998-01-05	VYDAJ	VYBER	150	22866	\N	\N	\N
337280	1145	1998-01-25	VYDAJ	VYBER	420	20690	\N	\N	\N
337285	1145	1994-07-21	VYDAJ	VYBER	1410	15793	\N	\N	\N
337286	1145	1994-03-19	VYDAJ	VYBER	390	14105	\N	\N	\N
337287	1145	1995-03-07	VYDAJ	VYBER	1110	13906	\N	\N	\N
337288	1145	1995-03-06	VYDAJ	VYBER	330	15016	\N	\N	\N
337289	1145	1995-01-05	VYDAJ	VYBER	750	20064	\N	\N	\N
337290	1145	1995-05-16	VYDAJ	VYBER	960	17444	\N	\N	\N
337291	1145	1995-02-01	VYDAJ	VYBER	1050	15788	\N	\N	\N
337292	1145	1996-07-20	VYDAJ	VYBER	630	17644	\N	\N	\N
337293	1145	1996-05-26	VYDAJ	VYBER	1470	16216	\N	\N	\N
337294	1145	1996-12-02	VYDAJ	VYBER	900	18659	\N	\N	\N
337295	1145	1996-01-05	VYDAJ	VYBER	630	18991	\N	\N	\N
337297	1145	1996-12-06	VYDAJ	VYBER	720	17939	\N	\N	\N
337298	1145	1996-04-23	VYDAJ	VYBER	1170	16657	\N	\N	\N
337299	1145	1996-12-27	VYDAJ	VYBER	270	17773	\N	\N	\N
337300	1145	1996-03-07	VYDAJ	VYBER	840	14357	\N	\N	\N
337301	1145	1997-11-12	VYDAJ	VYBER	1380	24333	\N	\N	\N
337302	1145	1997-11-29	VYDAJ	VYBER	1380	22953	\N	\N	\N
337303	1145	1997-09-07	VYDAJ	VYBER	570	21157	\N	\N	\N
337304	1145	1998-07-22	VYDAJ	VYBER	900	23679	\N	\N	\N
337305	1145	1998-12-18	VYDAJ	VYBER	150	26977	\N	\N	\N
337306	1145	1998-10-11	VYDAJ	VYBER	1140	22795	\N	\N	\N
337307	1145	1998-06-24	VYDAJ	VYBER	960	24987	\N	\N	\N
337308	1145	1998-12-06	VYDAJ	VYBER	210	25194	\N	\N	\N
337320	1145	1993-11-30	VYDAJ	VYBER	15	15566	SLUZBY	\N	\N
337321	1145	1993-12-31	VYDAJ	VYBER	15	16292	SLUZBY	\N	\N
337322	1145	1994-01-31	VYDAJ	VYBER	15	12508	SLUZBY	\N	\N
337323	1145	1994-02-28	VYDAJ	VYBER	15	13521	SLUZBY	\N	\N
337324	1145	1994-03-31	VYDAJ	VYBER	15	14148	SLUZBY	\N	\N
337325	1145	1994-04-30	VYDAJ	VYBER	15	15168	SLUZBY	\N	\N
337326	1145	1994-05-31	VYDAJ	VYBER	15	16192	SLUZBY	\N	\N
337327	1145	1994-06-30	VYDAJ	VYBER	15	16229	SLUZBY	\N	\N
337328	1145	1994-07-31	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
337329	1145	1994-08-31	VYDAJ	VYBER	15	16873	SLUZBY	\N	\N
337330	1145	1994-09-30	VYDAJ	VYBER	15	17904	SLUZBY	\N	\N
337331	1145	1994-10-31	VYDAJ	VYBER	15	18940	SLUZBY	\N	\N
337332	1145	1994-11-30	VYDAJ	VYBER	15	19980	SLUZBY	\N	\N
337333	1145	1994-12-31	VYDAJ	VYBER	15	20814	SLUZBY	\N	\N
337334	1145	1995-01-31	VYDAJ	VYBER	15	16838	SLUZBY	\N	\N
337335	1145	1995-02-28	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
337336	1145	1995-03-31	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
337337	1145	1995-04-30	VYDAJ	VYBER	15	17430	SLUZBY	\N	\N
337338	1145	1995-05-31	VYDAJ	VYBER	15	17502	SLUZBY	\N	\N
337339	1145	1995-06-30	VYDAJ	VYBER	15	14482	SLUZBY	\N	\N
337340	1145	1995-07-31	VYDAJ	VYBER	15	15503	SLUZBY	\N	\N
337341	1145	1995-08-31	VYDAJ	VYBER	15	16529	SLUZBY	\N	\N
337342	1145	1995-09-30	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
337343	1145	1995-10-31	VYDAJ	VYBER	15	18593	SLUZBY	\N	\N
337344	1145	1995-11-30	VYDAJ	VYBER	15	19631	SLUZBY	\N	\N
337345	1145	1995-12-31	VYDAJ	VYBER	15	19621	SLUZBY	\N	\N
337346	1145	1996-01-31	VYDAJ	VYBER	15	15640	SLUZBY	\N	\N
337347	1145	1996-02-29	VYDAJ	VYBER	15	16666	SLUZBY	\N	\N
337348	1145	1996-03-31	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
337349	1145	1996-04-30	VYDAJ	VYBER	15	16712	SLUZBY	\N	\N
337350	1145	1996-05-31	VYDAJ	VYBER	15	16271	SLUZBY	\N	\N
337351	1145	1996-06-30	VYDAJ	VYBER	15	17300	SLUZBY	\N	\N
337352	1145	1996-07-31	VYDAJ	VYBER	15	17702	SLUZBY	\N	\N
337353	1145	1996-08-31	VYDAJ	VYBER	15	18736	SLUZBY	\N	\N
337354	1145	1996-09-30	VYDAJ	VYBER	15	19775	SLUZBY	\N	\N
337355	1145	1996-10-31	VYDAJ	VYBER	15	20817	SLUZBY	\N	\N
337356	1145	1996-11-30	VYDAJ	VYBER	15	19559	SLUZBY	\N	\N
337357	1145	1996-12-31	VYDAJ	VYBER	15	17834	SLUZBY	\N	\N
337358	1145	1997-01-31	VYDAJ	VYBER	15	15920	SLUZBY	\N	\N
337359	1145	1997-02-28	VYDAJ	VYBER	15	16947	SLUZBY	\N	\N
337360	1145	1997-03-31	VYDAJ	VYBER	15	17978	SLUZBY	\N	\N
337361	1145	1997-04-30	VYDAJ	VYBER	15	19013	SLUZBY	\N	\N
337362	1145	1997-05-31	VYDAJ	VYBER	15	20052	SLUZBY	\N	\N
337363	1145	1997-06-30	VYDAJ	VYBER	15	21096	SLUZBY	\N	\N
337364	1145	1997-07-31	VYDAJ	VYBER	15	22144	SLUZBY	\N	\N
337365	1145	1997-08-31	VYDAJ	VYBER	15	23196	SLUZBY	\N	\N
337366	1145	1997-09-30	VYDAJ	VYBER	15	23681	SLUZBY	\N	\N
337367	1145	1997-10-31	VYDAJ	VYBER	15	24739	SLUZBY	\N	\N
337368	1145	1997-11-30	VYDAJ	VYBER	15	23042	SLUZBY	\N	\N
337369	1145	1997-12-31	VYDAJ	VYBER	15	23526	SLUZBY	\N	\N
337370	1145	1998-01-31	VYDAJ	VYBER	15	20762	SLUZBY	\N	\N
337371	1145	1998-02-28	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
337372	1145	1998-03-31	VYDAJ	VYBER	15	22859	SLUZBY	\N	\N
337373	1145	1998-04-30	VYDAJ	VYBER	15	23914	SLUZBY	\N	\N
337374	1145	1998-05-31	VYDAJ	VYBER	15	24973	SLUZBY	\N	\N
337375	1145	1998-06-30	VYDAJ	VYBER	15	23605	SLUZBY	\N	\N
337376	1145	1998-07-31	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
337377	1145	1998-08-31	VYDAJ	VYBER	15	24820	SLUZBY	\N	\N
337378	1145	1998-09-30	VYDAJ	VYBER	15	25882	SLUZBY	\N	\N
337379	1145	1998-10-31	VYDAJ	VYBER	15	25806	SLUZBY	\N	\N
337380	1145	1998-11-30	VYDAJ	VYBER	15	26873	SLUZBY	\N	\N
337381	1145	1995-12-20	VYDAJ	VYBER	900	19555	\N	\N	\N
337382	1145	1996-11-14	VYDAJ	VYBER	2300	19491	\N	\N	\N
337449	1146	1993-09-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
337459	1146	1993-10-07	PRIJEM	VKLAD	21725	22825	\N	\N	\N
337460	1146	1993-11-07	PRIJEM	VKLAD	21725	45614	\N	\N	\N
337461	1146	1993-12-07	PRIJEM	VKLAD	32588	66429	\N	\N	\N
337462	1146	1994-01-07	PRIJEM	VKLAD	21725	66525	\N	\N	\N
337463	1146	1994-02-07	PRIJEM	VKLAD	21725	66737	\N	\N	\N
337464	1146	1994-03-07	PRIJEM	VKLAD	21725	58933	\N	\N	\N
337465	1146	1994-04-07	PRIJEM	VKLAD	21725	57474	\N	\N	\N
337466	1146	1994-05-07	PRIJEM	VKLAD	21725	56912	\N	\N	\N
337467	1146	1994-06-07	PRIJEM	VKLAD	32588	68314	\N	\N	\N
337468	1146	1994-07-07	PRIJEM	VKLAD	21725	40395	\N	\N	\N
337469	1146	1994-08-07	PRIJEM	VKLAD	21725	50897	\N	\N	\N
337470	1146	1994-09-07	PRIJEM	VKLAD	21725	55525	\N	\N	\N
337471	1146	1994-10-07	PRIJEM	VKLAD	21725	59974	\N	\N	\N
337472	1146	1994-11-07	PRIJEM	VKLAD	21725	59648	\N	\N	\N
337473	1146	1994-12-07	PRIJEM	VKLAD	32588	71835	\N	\N	\N
337474	1146	1995-01-07	PRIJEM	VKLAD	21725	66646	\N	\N	\N
337475	1146	1995-02-07	PRIJEM	VKLAD	21725	55612	\N	\N	\N
337476	1146	1995-03-07	PRIJEM	VKLAD	21725	61905	\N	\N	\N
337477	1146	1995-04-07	PRIJEM	VKLAD	21725	67931	\N	\N	\N
337478	1146	1995-05-07	PRIJEM	VKLAD	21725	68482	\N	\N	\N
337479	1146	1995-06-07	PRIJEM	VKLAD	32588	80082	\N	\N	\N
337480	1146	1995-07-07	PRIJEM	VKLAD	21725	74872	\N	\N	\N
337481	1146	1995-08-07	PRIJEM	VKLAD	21725	71737	\N	\N	\N
337482	1146	1995-09-07	PRIJEM	VKLAD	21725	74309	\N	\N	\N
337483	1146	1995-10-07	PRIJEM	VKLAD	21725	74789	\N	\N	\N
337484	1146	1995-11-07	PRIJEM	VKLAD	21725	63947	\N	\N	\N
337485	1146	1995-12-07	PRIJEM	VKLAD	32588	79445	\N	\N	\N
337486	1146	1996-01-07	PRIJEM	VKLAD	21725	71332	\N	\N	\N
337487	1146	1996-02-07	PRIJEM	VKLAD	21725	61334	\N	\N	\N
337488	1146	1996-03-07	PRIJEM	VKLAD	21725	68731	\N	\N	\N
337489	1146	1996-04-07	PRIJEM	VKLAD	21725	68096	\N	\N	\N
337490	1146	1996-05-07	PRIJEM	VKLAD	21725	72318	\N	\N	\N
337491	1146	1996-06-07	PRIJEM	VKLAD	32588	88821	\N	\N	\N
337492	1146	1996-07-07	PRIJEM	VKLAD	21725	82844	\N	\N	\N
337493	1146	1996-08-07	PRIJEM	VKLAD	21725	78549	\N	\N	\N
337494	1146	1996-09-07	PRIJEM	VKLAD	21725	83311	\N	\N	\N
337495	1146	1996-10-07	PRIJEM	VKLAD	21725	82888	\N	\N	\N
337496	1146	1996-11-07	PRIJEM	VKLAD	21725	81863	\N	\N	\N
337497	1146	1996-12-07	PRIJEM	VKLAD	32588	90593	\N	\N	\N
337498	1146	1997-01-07	PRIJEM	VKLAD	21725	84336	\N	\N	\N
337499	1146	1997-02-07	PRIJEM	VKLAD	21725	74350	\N	\N	\N
337500	1146	1997-03-07	PRIJEM	VKLAD	21725	78488	\N	\N	\N
337501	1146	1997-04-07	PRIJEM	VKLAD	21725	80499	\N	\N	\N
337502	1146	1997-05-07	PRIJEM	VKLAD	21725	82439	\N	\N	\N
337503	1146	1997-06-07	PRIJEM	VKLAD	32588	91867	\N	\N	\N
337504	1146	1997-07-07	PRIJEM	VKLAD	21725	64417	\N	\N	\N
337505	1146	1997-08-07	PRIJEM	VKLAD	21725	76621	\N	\N	\N
337506	1146	1997-09-07	PRIJEM	VKLAD	21725	84969	\N	\N	\N
337507	1146	1997-10-07	PRIJEM	VKLAD	21725	91649	\N	\N	\N
337508	1146	1997-11-07	PRIJEM	VKLAD	21725	95552	\N	\N	\N
337509	1146	1997-12-07	PRIJEM	VKLAD	32588	109531	\N	\N	\N
337510	1146	1998-01-07	PRIJEM	VKLAD	21725	109587	\N	\N	\N
337511	1146	1998-02-07	PRIJEM	VKLAD	21725	88341	\N	\N	\N
337512	1146	1998-03-07	PRIJEM	VKLAD	21725	95129	\N	\N	\N
337513	1146	1998-04-07	PRIJEM	VKLAD	21725	99945	\N	\N	\N
337514	1146	1998-05-07	PRIJEM	VKLAD	21725	106182	\N	\N	\N
337515	1146	1998-06-07	PRIJEM	VKLAD	32588	120704	\N	\N	\N
337516	1146	1998-07-07	PRIJEM	VKLAD	21725	68397	\N	\N	\N
337517	1146	1998-08-07	PRIJEM	VKLAD	21725	96040	\N	\N	\N
337518	1146	1998-09-07	PRIJEM	VKLAD	21725	112879	\N	\N	\N
337519	1146	1998-10-07	PRIJEM	VKLAD	21725	109563	\N	\N	\N
337520	1146	1998-11-07	PRIJEM	VKLAD	21725	119364	\N	\N	\N
337521	1146	1998-12-07	PRIJEM	VKLAD	32588	118997	\N	\N	\N
337535	1146	1994-02-13	VYDAJ	PREVOD NA UCET	3437	37056	SIPO	OP	77362507
337536	1146	1994-03-13	VYDAJ	PREVOD NA UCET	3437	35612	SIPO	OP	77362507
337537	1146	1994-04-13	VYDAJ	PREVOD NA UCET	3437	35053	SIPO	OP	77362507
337538	1146	1994-05-13	VYDAJ	PREVOD NA UCET	3437	35591	SIPO	OP	77362507
337539	1146	1994-06-13	VYDAJ	PREVOD NA UCET	3437	41493	SIPO	OP	77362507
337540	1146	1994-07-13	VYDAJ	PREVOD NA UCET	3437	29074	SIPO	OP	77362507
337541	1146	1994-08-13	VYDAJ	PREVOD NA UCET	3437	33676	SIPO	OP	77362507
337542	1146	1994-09-13	VYDAJ	PREVOD NA UCET	3437	38104	SIPO	OP	77362507
337543	1146	1994-10-13	VYDAJ	PREVOD NA UCET	3437	42253	SIPO	OP	77362507
337544	1146	1994-11-13	VYDAJ	PREVOD NA UCET	3437	54827	SIPO	OP	77362507
337545	1146	1994-12-13	VYDAJ	PREVOD NA UCET	3437	67014	SIPO	OP	77362507
337546	1146	1995-01-13	VYDAJ	PREVOD NA UCET	3437	53905	SIPO	OP	77362507
337547	1146	1995-02-13	VYDAJ	PREVOD NA UCET	3437	50791	SIPO	OP	77362507
337548	1146	1995-03-13	VYDAJ	PREVOD NA UCET	3437	57084	SIPO	OP	77362507
337549	1146	1995-04-13	VYDAJ	PREVOD NA UCET	3437	63110	SIPO	OP	77362507
337550	1146	1995-05-13	VYDAJ	PREVOD NA UCET	3437	63661	SIPO	OP	77362507
337551	1146	1995-06-13	VYDAJ	PREVOD NA UCET	3437	75261	SIPO	OP	77362507
337552	1146	1995-07-13	VYDAJ	PREVOD NA UCET	3437	70051	SIPO	OP	77362507
337553	1146	1995-08-13	VYDAJ	PREVOD NA UCET	3437	66916	SIPO	OP	77362507
337554	1146	1995-09-13	VYDAJ	PREVOD NA UCET	3437	69488	SIPO	OP	77362507
337555	1146	1995-10-13	VYDAJ	PREVOD NA UCET	3437	69968	SIPO	OP	77362507
337556	1146	1995-11-13	VYDAJ	PREVOD NA UCET	3437	59126	SIPO	OP	77362507
337557	1146	1995-12-13	VYDAJ	PREVOD NA UCET	3437	73504	SIPO	OP	77362507
337558	1146	1996-01-13	VYDAJ	PREVOD NA UCET	3437	66511	SIPO	OP	77362507
337559	1146	1996-02-13	VYDAJ	PREVOD NA UCET	3437	56513	SIPO	OP	77362507
337560	1146	1996-03-13	VYDAJ	PREVOD NA UCET	3437	56950	SIPO	OP	77362507
337561	1146	1996-04-13	VYDAJ	PREVOD NA UCET	3437	63275	SIPO	OP	77362507
337562	1146	1996-05-13	VYDAJ	PREVOD NA UCET	3437	67497	SIPO	OP	77362507
337563	1146	1996-06-13	VYDAJ	PREVOD NA UCET	3437	84000	SIPO	OP	77362507
337564	1146	1996-07-13	VYDAJ	PREVOD NA UCET	3437	72863	SIPO	OP	77362507
337565	1146	1996-08-13	VYDAJ	PREVOD NA UCET	3437	73728	SIPO	OP	77362507
337566	1146	1996-09-13	VYDAJ	PREVOD NA UCET	3437	78490	SIPO	OP	77362507
337567	1146	1996-10-13	VYDAJ	PREVOD NA UCET	3437	78067	SIPO	OP	77362507
337568	1146	1996-11-13	VYDAJ	PREVOD NA UCET	3437	77042	SIPO	OP	77362507
337569	1146	1996-12-13	VYDAJ	PREVOD NA UCET	3437	85772	SIPO	OP	77362507
337570	1146	1997-01-13	VYDAJ	PREVOD NA UCET	3437	76395	SIPO	OP	77362507
337571	1146	1997-02-13	VYDAJ	PREVOD NA UCET	3437	69529	SIPO	OP	77362507
337572	1146	1997-03-13	VYDAJ	PREVOD NA UCET	3437	73667	SIPO	OP	77362507
337573	1146	1997-04-13	VYDAJ	PREVOD NA UCET	3437	75678	SIPO	OP	77362507
337574	1146	1997-05-13	VYDAJ	PREVOD NA UCET	3437	77618	SIPO	OP	77362507
337575	1146	1997-06-13	VYDAJ	PREVOD NA UCET	3437	41286	SIPO	OP	77362507
337576	1146	1997-07-13	VYDAJ	PREVOD NA UCET	3437	59596	SIPO	OP	77362507
337577	1146	1997-08-13	VYDAJ	PREVOD NA UCET	3437	71800	SIPO	OP	77362507
337578	1146	1997-09-13	VYDAJ	PREVOD NA UCET	3437	80148	SIPO	OP	77362507
337579	1146	1997-10-13	VYDAJ	PREVOD NA UCET	3437	86828	SIPO	OP	77362507
337580	1146	1997-11-13	VYDAJ	PREVOD NA UCET	3437	90731	SIPO	OP	77362507
337581	1146	1997-12-13	VYDAJ	PREVOD NA UCET	3437	104710	SIPO	OP	77362507
337582	1146	1998-01-13	VYDAJ	PREVOD NA UCET	3437	101766	SIPO	OP	77362507
337583	1146	1998-02-13	VYDAJ	PREVOD NA UCET	3437	83520	SIPO	OP	77362507
337584	1146	1998-03-13	VYDAJ	PREVOD NA UCET	3437	90308	SIPO	OP	77362507
337585	1146	1998-04-13	VYDAJ	PREVOD NA UCET	3437	95124	SIPO	OP	77362507
337586	1146	1998-05-13	VYDAJ	PREVOD NA UCET	3437	101361	SIPO	OP	77362507
337587	1146	1998-06-13	VYDAJ	PREVOD NA UCET	3437	80883	SIPO	OP	77362507
337588	1146	1998-07-13	VYDAJ	PREVOD NA UCET	3437	63576	SIPO	OP	77362507
337589	1146	1998-08-13	VYDAJ	PREVOD NA UCET	3437	91219	SIPO	OP	77362507
337590	1146	1998-09-13	VYDAJ	PREVOD NA UCET	3437	108058	SIPO	OP	77362507
337591	1146	1998-10-13	VYDAJ	PREVOD NA UCET	3437	104742	SIPO	OP	77362507
337592	1146	1998-11-13	VYDAJ	PREVOD NA UCET	3437	72243	SIPO	OP	77362507
337593	1146	1998-12-13	VYDAJ	PREVOD NA UCET	3437	50476	SIPO	OP	77362507
337607	1146	1994-02-12	VYDAJ	PREVOD NA UCET	1384	40493	 	QR	46465182
337608	1146	1994-03-12	VYDAJ	PREVOD NA UCET	1384	39049	 	QR	46465182
337609	1146	1994-04-12	VYDAJ	PREVOD NA UCET	1384	38490	 	QR	46465182
337610	1146	1994-05-12	VYDAJ	PREVOD NA UCET	1384	39028	 	QR	46465182
337611	1146	1994-06-12	VYDAJ	PREVOD NA UCET	1384	44930	 	QR	46465182
337612	1146	1994-07-12	VYDAJ	PREVOD NA UCET	1384	32511	 	QR	46465182
337613	1146	1994-08-12	VYDAJ	PREVOD NA UCET	1384	37113	 	QR	46465182
337614	1146	1994-09-12	VYDAJ	PREVOD NA UCET	1384	41541	 	QR	46465182
337615	1146	1994-10-12	VYDAJ	PREVOD NA UCET	1384	45690	 	QR	46465182
337616	1146	1994-11-12	VYDAJ	PREVOD NA UCET	1384	58264	 	QR	46465182
337617	1146	1994-12-12	VYDAJ	PREVOD NA UCET	1384	70451	 	QR	46465182
337618	1146	1995-01-12	VYDAJ	PREVOD NA UCET	1384	57342	 	QR	46465182
337619	1146	1995-02-12	VYDAJ	PREVOD NA UCET	1384	54228	 	QR	46465182
337620	1146	1995-03-12	VYDAJ	PREVOD NA UCET	1384	60521	 	QR	46465182
337621	1146	1995-04-12	VYDAJ	PREVOD NA UCET	1384	66547	 	QR	46465182
337622	1146	1995-05-12	VYDAJ	PREVOD NA UCET	1384	67098	 	QR	46465182
337623	1146	1995-06-12	VYDAJ	PREVOD NA UCET	1384	78698	 	QR	46465182
337624	1146	1995-07-12	VYDAJ	PREVOD NA UCET	1384	73488	 	QR	46465182
337625	1146	1995-08-12	VYDAJ	PREVOD NA UCET	1384	70353	 	QR	46465182
337626	1146	1995-09-12	VYDAJ	PREVOD NA UCET	1384	72925	 	QR	46465182
337627	1146	1995-10-12	VYDAJ	PREVOD NA UCET	1384	73405	 	QR	46465182
337628	1146	1995-11-12	VYDAJ	PREVOD NA UCET	1384	62563	 	QR	46465182
337629	1146	1995-12-12	VYDAJ	PREVOD NA UCET	1384	78061	 	QR	46465182
337630	1146	1996-01-12	VYDAJ	PREVOD NA UCET	1384	69948	 	QR	46465182
337631	1146	1996-02-12	VYDAJ	PREVOD NA UCET	1384	59950	 	QR	46465182
337632	1146	1996-03-12	VYDAJ	PREVOD NA UCET	1384	60387	 	QR	46465182
337633	1146	1996-04-12	VYDAJ	PREVOD NA UCET	1384	66712	 	QR	46465182
337634	1146	1996-05-12	VYDAJ	PREVOD NA UCET	1384	70934	 	QR	46465182
337635	1146	1996-06-12	VYDAJ	PREVOD NA UCET	1384	87437	 	QR	46465182
337636	1146	1996-07-12	VYDAJ	PREVOD NA UCET	1384	81460	 	QR	46465182
337637	1146	1996-08-12	VYDAJ	PREVOD NA UCET	1384	77165	 	QR	46465182
337638	1146	1996-09-12	VYDAJ	PREVOD NA UCET	1384	81927	 	QR	46465182
337639	1146	1996-10-12	VYDAJ	PREVOD NA UCET	1384	81504	 	QR	46465182
337640	1146	1996-11-12	VYDAJ	PREVOD NA UCET	1384	80479	 	QR	46465182
337641	1146	1996-12-12	VYDAJ	PREVOD NA UCET	1384	89209	 	QR	46465182
337642	1146	1997-01-12	VYDAJ	PREVOD NA UCET	1384	79832	 	QR	46465182
337643	1146	1997-02-12	VYDAJ	PREVOD NA UCET	1384	72966	 	QR	46465182
337644	1146	1997-03-12	VYDAJ	PREVOD NA UCET	1384	77104	 	QR	46465182
337645	1146	1997-04-12	VYDAJ	PREVOD NA UCET	1384	79115	 	QR	46465182
337646	1146	1997-05-12	VYDAJ	PREVOD NA UCET	1384	81055	 	QR	46465182
337647	1146	1997-06-12	VYDAJ	PREVOD NA UCET	1384	44723	 	QR	46465182
337648	1146	1997-07-12	VYDAJ	PREVOD NA UCET	1384	63033	 	QR	46465182
337649	1146	1997-08-12	VYDAJ	PREVOD NA UCET	1384	75237	 	QR	46465182
337650	1146	1997-09-12	VYDAJ	PREVOD NA UCET	1384	83585	 	QR	46465182
337651	1146	1997-10-12	VYDAJ	PREVOD NA UCET	1384	90265	 	QR	46465182
337652	1146	1997-11-12	VYDAJ	PREVOD NA UCET	1384	94168	 	QR	46465182
337653	1146	1997-12-12	VYDAJ	PREVOD NA UCET	1384	108147	 	QR	46465182
337654	1146	1998-01-12	VYDAJ	PREVOD NA UCET	1384	105203	 	QR	46465182
337655	1146	1998-02-12	VYDAJ	PREVOD NA UCET	1384	86957	 	QR	46465182
337656	1146	1998-03-12	VYDAJ	PREVOD NA UCET	1384	93745	 	QR	46465182
337657	1146	1998-04-12	VYDAJ	PREVOD NA UCET	1384	98561	 	QR	46465182
337658	1146	1998-05-12	VYDAJ	PREVOD NA UCET	1384	104798	 	QR	46465182
337659	1146	1998-06-12	VYDAJ	PREVOD NA UCET	1384	84320	 	QR	46465182
337660	1146	1998-07-12	VYDAJ	PREVOD NA UCET	1384	67013	 	QR	46465182
337661	1146	1998-08-12	VYDAJ	PREVOD NA UCET	1384	94656	 	QR	46465182
337662	1146	1998-09-12	VYDAJ	PREVOD NA UCET	1384	111495	 	QR	46465182
337663	1146	1998-10-12	VYDAJ	PREVOD NA UCET	1384	108179	 	QR	46465182
337664	1146	1998-11-12	VYDAJ	PREVOD NA UCET	1384	75680	 	QR	46465182
337665	1146	1998-12-12	VYDAJ	PREVOD NA UCET	1384	53913	 	QR	46465182
337667	1146	1994-06-25	VYDAJ	VYBER	19840	21653	\N	\N	\N
337668	1146	1995-06-02	VYDAJ	VYBER	9120	54794	\N	\N	\N
337669	1146	1996-06-25	VYDAJ	VYBER	7360	76640	\N	\N	\N
337670	1146	1997-06-07	VYDAJ	VYBER	45760	46107	\N	\N	\N
337671	1146	1998-06-22	VYDAJ	VYBER	35520	46363	\N	\N	\N
337674	1146	1995-01-24	VYDAJ	VYBER	8800	41985	\N	\N	\N
337675	1146	1996-01-17	VYDAJ	VYBER	13280	53231	\N	\N	\N
337676	1146	1997-01-23	VYDAJ	VYBER	9760	64715	\N	\N	\N
337677	1146	1998-01-27	VYDAJ	VYBER	11200	73766	\N	\N	\N
337679	1146	1994-12-14	VYDAJ	VYBER	3360	63654	\N	\N	\N
337680	1146	1995-12-12	VYDAJ	VYBER	1120	76941	\N	\N	\N
337681	1146	1996-12-27	VYDAJ	VYBER	1760	63412	\N	\N	\N
337682	1146	1997-12-29	VYDAJ	VYBER KARTOU	1600	87510	\N	\N	0
337683	1146	1998-12-20	VYDAJ	VYBER	4160	67716	\N	\N	\N
337696	1146	1995-01-08	VYDAJ	VYBER	1800	64846	\N	\N	\N
337697	1146	1995-01-12	VYDAJ	VYBER	3240	61606	\N	\N	\N
337698	1146	1995-01-12	VYDAJ	VYBER	2880	58726	\N	\N	\N
337699	1146	1995-01-17	VYDAJ	VYBER	3120	50785	\N	\N	\N
337700	1146	1995-01-29	VYDAJ	VYBER	1560	37785	\N	\N	\N
337701	1146	1995-01-01	VYDAJ	VYBER	2880	61021	\N	\N	\N
337702	1146	1996-01-28	VYDAJ	VYBER	1440	46271	\N	\N	\N
337703	1146	1996-01-30	VYDAJ	VYBER	1800	39371	\N	\N	\N
337704	1146	1996-01-05	VYDAJ	VYBER	1680	49607	\N	\N	\N
337705	1146	1996-01-25	VYDAJ	VYBER	2520	50711	\N	\N	\N
337706	1146	1996-01-27	VYDAJ	VYBER	1800	47711	\N	\N	\N
337707	1146	1996-01-25	VYDAJ	VYBER	1200	49511	\N	\N	\N
337708	1146	1997-01-21	VYDAJ	VYBER	1920	74475	\N	\N	\N
337709	1146	1997-01-05	VYDAJ	VYBER	1080	62611	\N	\N	\N
337710	1146	1997-01-09	VYDAJ	VYBER	1320	83016	\N	\N	\N
337711	1146	1997-01-26	VYDAJ	VYBER	3240	52355	\N	\N	\N
337712	1146	1997-01-24	VYDAJ	VYBER	2520	62195	\N	\N	\N
337713	1146	1997-01-10	VYDAJ	VYBER	1800	81216	\N	\N	\N
337714	1146	1998-01-15	VYDAJ	VYBER KARTOU	2200	99566	\N	\N	0
337715	1146	1998-01-29	VYDAJ	VYBER KARTOU	2500	67866	\N	\N	0
337716	1146	1998-01-09	VYDAJ	VYBER KARTOU	3000	106587	\N	\N	0
337717	1146	1998-01-29	VYDAJ	VYBER KARTOU	1600	66266	\N	\N	0
337718	1146	1998-01-28	VYDAJ	VYBER KARTOU	3400	70366	\N	\N	0
337719	1146	1998-01-17	VYDAJ	VYBER KARTOU	3000	96566	\N	\N	0
337727	1146	1994-06-30	VYDAJ	VYBER	3120	18685	\N	\N	\N
337728	1146	1994-11-18	VYDAJ	VYBER	4080	50747	\N	\N	\N
337729	1146	1994-02-10	VYDAJ	VYBER	2760	41877	\N	\N	\N
337730	1146	1995-11-04	VYDAJ	VYBER	5760	42222	\N	\N	\N
337731	1146	1995-10-16	VYDAJ	VYBER	2760	67208	\N	\N	\N
337732	1146	1995-07-22	VYDAJ	VYBER	3120	66931	\N	\N	\N
337733	1146	1995-01-25	VYDAJ	VYBER	2640	39345	\N	\N	\N
337734	1146	1996-07-12	VYDAJ	VYBER	5160	76300	\N	\N	\N
337735	1146	1996-10-30	VYDAJ	VYBER	3000	59867	\N	\N	\N
337736	1146	1996-03-10	VYDAJ	VYBER	5400	63331	\N	\N	\N
337737	1146	1996-04-28	VYDAJ	VYBER	2400	60875	\N	\N	\N
337738	1146	1996-03-12	VYDAJ	VYBER	1560	61771	\N	\N	\N
337739	1146	1997-04-18	VYDAJ	VYBER	1920	73758	\N	\N	\N
337740	1146	1997-03-16	VYDAJ	VYBER	3240	70427	\N	\N	\N
337741	1146	1997-12-27	VYDAJ	VYBER KARTOU	1300	89110	\N	\N	0
337742	1146	1998-09-30	VYDAJ	VYBER	5400	90938	\N	\N	\N
337743	1146	1998-09-19	VYDAJ	VYBER KARTOU	3500	95958	\N	\N	0
337744	1146	1998-11-01	VYDAJ	VYBER KARTOU	2300	97639	\N	\N	0
337745	1146	1998-10-01	VYDAJ	VYBER KARTOU	3100	87838	\N	\N	0
337746	1146	1998-02-16	VYDAJ	VYBER KARTOU	3600	79920	\N	\N	0
337761	1146	1994-02-28	VYDAJ	VYBER	15	37208	SLUZBY	\N	\N
337762	1146	1994-03-31	VYDAJ	VYBER	15	35749	SLUZBY	\N	\N
337763	1146	1994-04-30	VYDAJ	VYBER	15	35187	SLUZBY	\N	\N
337764	1146	1994-05-31	VYDAJ	VYBER	15	35726	SLUZBY	\N	\N
337765	1146	1994-06-30	VYDAJ	VYBER	15	18670	SLUZBY	\N	\N
337766	1146	1994-07-31	VYDAJ	VYBER	15	29172	SLUZBY	\N	\N
337767	1146	1994-08-31	VYDAJ	VYBER	15	33800	SLUZBY	\N	\N
337768	1146	1994-09-30	VYDAJ	VYBER	15	38249	SLUZBY	\N	\N
337769	1146	1994-10-31	VYDAJ	VYBER	15	42423	SLUZBY	\N	\N
337770	1146	1994-11-30	VYDAJ	VYBER	15	50947	SLUZBY	\N	\N
337771	1146	1994-12-31	VYDAJ	VYBER	15	63901	SLUZBY	\N	\N
337772	1146	1995-01-31	VYDAJ	VYBER	15	37987	SLUZBY	\N	\N
337773	1146	1995-02-28	VYDAJ	VYBER	15	50980	SLUZBY	\N	\N
337774	1146	1995-03-31	VYDAJ	VYBER	15	57306	SLUZBY	\N	\N
337775	1146	1995-04-30	VYDAJ	VYBER	15	63357	SLUZBY	\N	\N
337776	1146	1995-05-31	VYDAJ	VYBER	15	63914	SLUZBY	\N	\N
337777	1146	1995-06-30	VYDAJ	VYBER	15	75547	SLUZBY	\N	\N
337778	1146	1995-07-31	VYDAJ	VYBER	15	67212	SLUZBY	\N	\N
337779	1146	1995-08-31	VYDAJ	VYBER	15	67184	SLUZBY	\N	\N
337780	1146	1995-09-30	VYDAJ	VYBER	15	69764	SLUZBY	\N	\N
337781	1146	1995-10-31	VYDAJ	VYBER	15	67482	SLUZBY	\N	\N
337782	1146	1995-11-30	VYDAJ	VYBER	15	59357	SLUZBY	\N	\N
337783	1146	1995-12-31	VYDAJ	VYBER	15	73787	SLUZBY	\N	\N
337784	1146	1996-01-31	VYDAJ	VYBER	15	39609	SLUZBY	\N	\N
337785	1146	1996-02-29	VYDAJ	VYBER	15	56706	SLUZBY	\N	\N
337786	1146	1996-03-31	VYDAJ	VYBER	15	46371	SLUZBY	\N	\N
337787	1146	1996-04-30	VYDAJ	VYBER	15	50593	SLUZBY	\N	\N
337788	1146	1996-05-31	VYDAJ	VYBER	15	56233	SLUZBY	\N	\N
337789	1146	1996-06-30	VYDAJ	VYBER	15	61119	SLUZBY	\N	\N
337790	1146	1996-07-31	VYDAJ	VYBER	15	56824	SLUZBY	\N	\N
337791	1146	1996-08-31	VYDAJ	VYBER	15	61586	SLUZBY	\N	\N
337792	1146	1996-09-30	VYDAJ	VYBER	15	61163	SLUZBY	\N	\N
337793	1146	1996-10-31	VYDAJ	VYBER	15	60138	SLUZBY	\N	\N
337794	1146	1996-11-30	VYDAJ	VYBER	15	58005	SLUZBY	\N	\N
337795	1146	1996-12-31	VYDAJ	VYBER	15	63691	SLUZBY	\N	\N
337796	1146	1997-01-31	VYDAJ	VYBER	15	52625	SLUZBY	\N	\N
337797	1146	1997-02-28	VYDAJ	VYBER	15	56763	SLUZBY	\N	\N
337798	1146	1997-03-31	VYDAJ	VYBER	15	58774	SLUZBY	\N	\N
337799	1146	1997-04-30	VYDAJ	VYBER	15	60714	SLUZBY	\N	\N
337800	1146	1997-05-31	VYDAJ	VYBER	15	59279	SLUZBY	\N	\N
337801	1146	1997-06-30	VYDAJ	VYBER	15	42692	SLUZBY	\N	\N
337802	1146	1997-07-31	VYDAJ	VYBER	15	54896	SLUZBY	\N	\N
337803	1146	1997-08-31	VYDAJ	VYBER	15	63244	SLUZBY	\N	\N
337804	1146	1997-09-30	VYDAJ	VYBER	15	69924	SLUZBY	\N	\N
337805	1146	1997-10-31	VYDAJ	VYBER	15	73827	SLUZBY	\N	\N
337806	1146	1997-11-30	VYDAJ	VYBER	15	76943	SLUZBY	\N	\N
337807	1146	1997-12-31	VYDAJ	VYBER	15	87862	SLUZBY	\N	\N
337808	1146	1998-01-31	VYDAJ	VYBER	15	66616	SLUZBY	\N	\N
337809	1146	1998-02-28	VYDAJ	VYBER	15	73404	SLUZBY	\N	\N
337810	1146	1998-03-31	VYDAJ	VYBER	15	78220	SLUZBY	\N	\N
337811	1146	1998-04-30	VYDAJ	VYBER	15	84457	SLUZBY	\N	\N
337812	1146	1998-05-31	VYDAJ	VYBER	15	88116	SLUZBY	\N	\N
337813	1146	1998-06-30	VYDAJ	VYBER	15	46672	SLUZBY	\N	\N
337814	1146	1998-07-31	VYDAJ	VYBER	15	74315	SLUZBY	\N	\N
337815	1146	1998-08-31	VYDAJ	VYBER	15	91154	SLUZBY	\N	\N
337816	1146	1998-09-30	VYDAJ	VYBER	15	96338	SLUZBY	\N	\N
337817	1146	1998-10-31	VYDAJ	VYBER	15	99939	SLUZBY	\N	\N
337818	1146	1998-11-30	VYDAJ	VYBER	15	86409	SLUZBY	\N	\N
337819	1146	1993-10-12	PRIJEM	VKLAD	1000	23825	\N	\N	\N
337820	1146	1993-11-11	VYDAJ	VYBER	11900	33714	\N	\N	\N
337821	1146	1993-12-11	VYDAJ	VYBER	21800	44629	\N	\N	\N
337822	1146	1994-01-10	VYDAJ	VYBER	21700	44825	\N	\N	\N
337823	1146	1994-02-09	VYDAJ	VYBER	22100	44637	\N	\N	\N
337824	1146	1994-03-11	VYDAJ	VYBER	18500	40433	\N	\N	\N
337825	1146	1994-04-10	VYDAJ	VYBER	17600	39874	\N	\N	\N
337826	1146	1994-05-10	VYDAJ	VYBER	16500	40412	\N	\N	\N
337827	1146	1994-06-09	VYDAJ	VYBER	22000	46314	\N	\N	\N
337828	1146	1994-07-09	VYDAJ	VYBER	6500	33895	\N	\N	\N
337829	1146	1994-08-08	VYDAJ	VYBER	12400	38497	\N	\N	\N
337830	1146	1994-09-07	VYDAJ	VYBER	12600	42925	\N	\N	\N
337831	1146	1994-10-07	VYDAJ	VYBER	12900	47074	\N	\N	\N
337832	1146	1994-11-06	VYDAJ	VYBER	4500	37923	\N	\N	\N
337833	1146	1994-12-06	VYDAJ	VYBER	11700	39247	\N	\N	\N
337834	1146	1995-01-05	VYDAJ	VYBER	16100	44921	\N	\N	\N
337835	1146	1995-02-04	VYDAJ	VYBER	4100	33887	\N	\N	\N
337836	1146	1995-03-06	VYDAJ	VYBER	10800	40180	\N	\N	\N
337837	1146	1995-04-05	VYDAJ	VYBER	11100	46206	\N	\N	\N
337838	1146	1995-05-05	VYDAJ	VYBER	16600	46757	\N	\N	\N
337839	1146	1995-06-04	VYDAJ	VYBER	7300	47494	\N	\N	\N
337840	1146	1995-07-04	VYDAJ	VYBER	22400	53147	\N	\N	\N
337841	1146	1995-08-03	VYDAJ	VYBER	17200	50012	\N	\N	\N
337842	1146	1995-09-02	VYDAJ	VYBER	14600	52584	\N	\N	\N
337843	1146	1995-10-02	VYDAJ	VYBER	16700	53064	\N	\N	\N
337844	1146	1995-11-01	VYDAJ	VYBER	19500	47982	\N	\N	\N
337845	1146	1995-12-01	VYDAJ	VYBER	12500	46857	\N	\N	\N
337846	1146	1995-12-31	VYDAJ	VYBER	22500	51287	\N	\N	\N
337847	1146	1996-01-30	VYDAJ	VYBER	5100	41171	\N	\N	\N
337848	1146	1996-02-29	VYDAJ	VYBER	9700	47006	\N	\N	\N
337849	1146	1996-03-30	VYDAJ	VYBER	10800	46150	\N	\N	\N
337850	1146	1996-04-29	VYDAJ	VYBER	10500	50375	\N	\N	\N
337851	1146	1996-05-29	VYDAJ	VYBER	11500	55997	\N	\N	\N
337852	1146	1996-06-28	VYDAJ	VYBER	15800	60840	\N	\N	\N
337853	1146	1996-07-28	VYDAJ	VYBER	16300	56563	\N	\N	\N
337854	1146	1996-08-27	VYDAJ	VYBER	12400	61328	\N	\N	\N
337855	1146	1996-09-26	VYDAJ	VYBER	17600	60890	\N	\N	\N
337856	1146	1996-10-26	VYDAJ	VYBER	15200	62867	\N	\N	\N
337857	1146	1996-11-25	VYDAJ	VYBER	19300	57742	\N	\N	\N
337858	1146	1996-12-25	VYDAJ	VYBER	20600	65172	\N	\N	\N
337859	1146	1997-01-24	VYDAJ	VYBER	6600	55595	\N	\N	\N
337860	1146	1997-02-23	VYDAJ	VYBER	13000	56529	\N	\N	\N
337861	1146	1997-03-25	VYDAJ	VYBER	11900	58527	\N	\N	\N
337862	1146	1997-04-24	VYDAJ	VYBER	13300	60458	\N	\N	\N
337863	1146	1997-05-24	VYDAJ	VYBER	18600	59018	\N	\N	\N
337864	1146	1997-06-23	PRIJEM	VKLAD	1200	42486	\N	\N	\N
337865	1146	1997-07-23	VYDAJ	VYBER	4900	54696	\N	\N	\N
337866	1146	1997-08-22	VYDAJ	VYBER	8800	63000	\N	\N	\N
337867	1146	1997-09-21	VYDAJ	VYBER	10500	69648	\N	\N	\N
337868	1146	1997-10-21	VYDAJ	VYBER	13300	73528	\N	\N	\N
337869	1146	1997-11-20	VYDAJ	VYBER	14100	76631	\N	\N	\N
337870	1146	1997-12-20	VYDAJ	VYBER	14300	90410	\N	\N	\N
337871	1146	1998-01-19	VYDAJ	VYBER	11600	84966	\N	\N	\N
337872	1146	1998-02-18	VYDAJ	VYBER	6800	73120	\N	\N	\N
337873	1146	1998-03-20	VYDAJ	VYBER	12400	77908	\N	\N	\N
337874	1146	1998-04-19	VYDAJ	VYBER	11000	84124	\N	\N	\N
337875	1146	1998-05-19	VYDAJ	VYBER	13600	87761	\N	\N	\N
337876	1146	1998-06-07	VYDAJ	VYBER	35000	85704	\N	\N	\N
337877	1146	1998-06-18	PRIJEM	VKLAD	1000	81883	\N	\N	\N
337878	1146	1998-07-18	PRIJEM	VKLAD	10500	74076	\N	\N	\N
337879	1146	1998-08-17	VYDAJ	VYBER KARTOU	400	90819	\N	\N	0
337880	1146	1998-09-16	VYDAJ	VYBER	8600	99458	\N	\N	\N
337881	1146	1998-10-16	VYDAJ	VYBER	5200	99542	\N	\N	\N
337882	1146	1998-11-07	VYDAJ	VYBER	42300	77064	\N	\N	\N
337883	1146	1998-11-15	PRIJEM	VKLAD	13800	86043	\N	\N	\N
337884	1146	1998-12-07	VYDAJ	VYBER	63700	55297	\N	\N	\N
337885	1146	1998-12-15	PRIJEM	VKLAD	21400	71876	\N	\N	\N
337949	1147	1993-04-10	PRIJEM	VKLAD	400	400	\N	\N	\N
337954	1147	1993-05-08	PRIJEM	VKLAD	22669	23069	\N	\N	\N
337955	1147	1993-06-08	PRIJEM	VKLAD	34004	59247	\N	\N	\N
337956	1147	1993-07-08	PRIJEM	VKLAD	22669	67280	\N	\N	\N
337957	1147	1993-08-08	PRIJEM	VKLAD	22669	68939	\N	\N	\N
337958	1147	1993-09-08	PRIJEM	VKLAD	22669	58003	\N	\N	\N
337959	1147	1993-10-08	PRIJEM	VKLAD	22669	66288	\N	\N	\N
337960	1147	1993-11-08	PRIJEM	VKLAD	22669	68511	\N	\N	\N
337961	1147	1993-12-08	PRIJEM	VKLAD	34004	83384	\N	\N	\N
337962	1147	1994-01-08	PRIJEM	VKLAD	22669	76084	\N	\N	\N
337963	1147	1994-02-08	PRIJEM	VKLAD	22669	61016	\N	\N	\N
337964	1147	1994-03-08	PRIJEM	VKLAD	22669	64419	\N	\N	\N
337965	1147	1994-04-08	PRIJEM	VKLAD	22669	67296	\N	\N	\N
337966	1147	1994-05-08	PRIJEM	VKLAD	22669	67026	\N	\N	\N
337967	1147	1994-06-08	PRIJEM	VKLAD	34004	82685	\N	\N	\N
337968	1147	1994-07-08	PRIJEM	VKLAD	22669	62799	\N	\N	\N
337969	1147	1994-08-08	PRIJEM	VKLAD	22669	67362	\N	\N	\N
337970	1147	1994-09-08	PRIJEM	VKLAD	22669	72187	\N	\N	\N
337971	1147	1994-10-08	PRIJEM	VKLAD	22669	70218	\N	\N	\N
337972	1147	1994-11-08	PRIJEM	VKLAD	22669	72546	\N	\N	\N
337973	1147	1994-12-08	PRIJEM	VKLAD	34004	85935	\N	\N	\N
337974	1147	1995-01-08	PRIJEM	VKLAD	22669	75786	\N	\N	\N
337975	1147	1995-02-08	PRIJEM	VKLAD	22669	69551	\N	\N	\N
337976	1147	1995-03-08	PRIJEM	VKLAD	22669	72826	\N	\N	\N
337977	1147	1995-04-08	PRIJEM	VKLAD	22669	72532	\N	\N	\N
337978	1147	1995-05-08	PRIJEM	VKLAD	22669	75294	\N	\N	\N
337979	1147	1995-06-08	PRIJEM	VKLAD	34004	59841	\N	\N	\N
337980	1147	1995-07-08	PRIJEM	VKLAD	22669	66131	\N	\N	\N
337981	1147	1995-08-08	PRIJEM	VKLAD	22669	66326	\N	\N	\N
337982	1147	1995-09-08	PRIJEM	VKLAD	22669	67961	\N	\N	\N
337983	1147	1995-10-08	PRIJEM	VKLAD	22669	67936	\N	\N	\N
337984	1147	1995-11-08	PRIJEM	VKLAD	22669	70779	\N	\N	\N
337985	1147	1995-12-08	PRIJEM	VKLAD	34004	79106	\N	\N	\N
337986	1147	1996-01-08	PRIJEM	VKLAD	22669	64018	\N	\N	\N
337987	1147	1996-02-08	PRIJEM	VKLAD	22669	50873	\N	\N	\N
337988	1147	1996-03-08	PRIJEM	VKLAD	22669	59650	\N	\N	\N
337989	1147	1996-04-08	PRIJEM	VKLAD	22669	66245	\N	\N	\N
337990	1147	1996-05-08	PRIJEM	VKLAD	22669	65878	\N	\N	\N
337991	1147	1996-06-08	PRIJEM	VKLAD	34004	79748	\N	\N	\N
337992	1147	1996-07-08	PRIJEM	VKLAD	22669	72494	\N	\N	\N
337993	1147	1996-08-08	PRIJEM	VKLAD	22669	71352	\N	\N	\N
337994	1147	1996-09-08	PRIJEM	VKLAD	22669	70305	\N	\N	\N
337995	1147	1996-10-08	PRIJEM	VKLAD	22669	67953	\N	\N	\N
337996	1147	1996-11-08	PRIJEM	VKLAD	22669	69236	\N	\N	\N
337997	1147	1996-12-08	PRIJEM	VKLAD	34004	82218	\N	\N	\N
337998	1147	1997-01-08	PRIJEM	VKLAD	22669	60319	\N	\N	\N
337999	1147	1997-02-08	PRIJEM	VKLAD	22669	57855	\N	\N	\N
338000	1147	1997-03-08	PRIJEM	VKLAD	22669	62194	\N	\N	\N
338001	1147	1997-04-08	PRIJEM	VKLAD	22669	64915	\N	\N	\N
338002	1147	1997-05-08	PRIJEM	VKLAD	22669	66744	\N	\N	\N
338003	1147	1997-06-08	PRIJEM	VKLAD	34004	76418	\N	\N	\N
338004	1147	1997-07-08	PRIJEM	VKLAD	22669	52271	\N	\N	\N
338005	1147	1997-08-08	PRIJEM	VKLAD	22669	54148	\N	\N	\N
338006	1147	1997-09-08	PRIJEM	VKLAD	22669	48624	\N	\N	\N
338007	1147	1997-10-08	PRIJEM	VKLAD	22669	54193	\N	\N	\N
338008	1147	1997-11-08	PRIJEM	VKLAD	22669	56679	\N	\N	\N
338009	1147	1997-12-08	PRIJEM	VKLAD	34004	70110	\N	\N	\N
338010	1147	1998-01-08	PRIJEM	VKLAD	22669	58550	\N	\N	\N
338011	1147	1998-02-08	PRIJEM	VKLAD	22669	44339	\N	\N	\N
338012	1147	1998-03-08	PRIJEM	VKLAD	22669	48489	\N	\N	\N
338013	1147	1998-04-08	PRIJEM	VKLAD	22669	54658	\N	\N	\N
338014	1147	1998-05-08	PRIJEM	VKLAD	22669	59651	\N	\N	\N
338015	1147	1998-06-08	PRIJEM	VKLAD	34004	72476	\N	\N	\N
338016	1147	1998-07-08	PRIJEM	VKLAD	22669	51270	\N	\N	\N
338017	1147	1998-08-08	PRIJEM	VKLAD	22669	61161	\N	\N	\N
338018	1147	1998-09-08	PRIJEM	VKLAD	22669	61576	\N	\N	\N
338019	1147	1998-10-08	PRIJEM	VKLAD	22669	67501	\N	\N	\N
338020	1147	1998-11-08	PRIJEM	VKLAD	22669	70142	\N	\N	\N
338021	1147	1998-12-08	PRIJEM	VKLAD	34004	81320	\N	\N	\N
338023	1147	1994-06-29	VYDAJ	VYBER	34560	48125	\N	\N	\N
338024	1147	1995-06-07	VYDAJ	VYBER	25760	25837	\N	\N	\N
338026	1147	1997-06-29	VYDAJ	VYBER	19680	29438	\N	\N	\N
338027	1147	1998-06-08	VYDAJ	VYBER	46880	25596	\N	\N	\N
338029	1147	1994-01-14	VYDAJ	VYBER	3040	58524	\N	\N	\N
338030	1147	1995-01-13	VYDAJ	VYBER	11680	61466	\N	\N	\N
338031	1147	1996-01-28	VYDAJ	VYBER	10400	28858	\N	\N	\N
338032	1147	1997-01-01	VYDAJ	VYBER	8000	42450	\N	\N	\N
338033	1147	1998-01-17	VYDAJ	VYBER	11200	22350	\N	\N	\N
338034	1147	1993-12-14	VYDAJ	VYBER	3040	80344	\N	\N	\N
338035	1147	1994-12-18	VYDAJ	VYBER	960	84975	\N	\N	\N
338036	1147	1995-12-20	VYDAJ	VYBER	2240	76866	\N	\N	\N
338037	1147	1996-12-08	VYDAJ	VYBER KARTOU	3500	78718	\N	\N	0
338038	1147	1997-12-06	VYDAJ	VYBER KARTOU	800	36106	\N	\N	0
338039	1147	1998-12-23	VYDAJ	VYBER KARTOU	800	54920	\N	\N	0
338046	1147	1994-01-12	VYDAJ	VYBER	2640	64204	\N	\N	\N
338047	1147	1994-01-01	VYDAJ	VYBER	840	79815	\N	\N	\N
338048	1147	1994-01-13	VYDAJ	VYBER	2640	61564	\N	\N	\N
338049	1147	1994-01-08	VYDAJ	VYBER	720	75364	\N	\N	\N
338050	1147	1994-01-19	VYDAJ	VYBER	3120	55404	\N	\N	\N
338051	1147	1994-01-10	VYDAJ	VYBER	2880	72484	\N	\N	\N
338052	1147	1995-01-03	VYDAJ	VYBER	1200	55157	\N	\N	\N
338053	1147	1995-01-14	VYDAJ	VYBER	960	60506	\N	\N	\N
338054	1147	1995-01-10	VYDAJ	VYBER	2640	73146	\N	\N	\N
338055	1147	1995-01-07	VYDAJ	VYBER	2040	53117	\N	\N	\N
338056	1147	1995-01-18	VYDAJ	VYBER	600	59906	\N	\N	\N
338057	1147	1995-01-29	VYDAJ	VYBER	1680	58226	\N	\N	\N
338058	1147	1996-01-01	VYDAJ	VYBER	3120	49149	\N	\N	\N
338059	1147	1996-01-04	VYDAJ	VYBER	1200	47949	\N	\N	\N
338060	1147	1996-01-16	VYDAJ	VYBER	1800	53218	\N	\N	\N
338061	1147	1996-01-04	VYDAJ	VYBER	2160	45789	\N	\N	\N
338062	1147	1996-01-15	VYDAJ	VYBER	3480	55018	\N	\N	\N
338063	1147	1996-01-11	VYDAJ	VYBER	720	63298	\N	\N	\N
338064	1147	1997-01-01	VYDAJ	VYBER KARTOU	3200	39250	\N	\N	0
338065	1147	1997-01-14	VYDAJ	VYBER KARTOU	2400	52519	\N	\N	0
338066	1147	1997-01-12	VYDAJ	VYBER KARTOU	3400	56919	\N	\N	0
338067	1147	1997-01-23	VYDAJ	VYBER KARTOU	2300	36319	\N	\N	0
338068	1147	1997-01-13	VYDAJ	VYBER KARTOU	2000	54919	\N	\N	0
338069	1147	1997-01-05	VYDAJ	VYBER KARTOU	1600	37650	\N	\N	0
338071	1147	1998-01-01	VYDAJ	VYBER KARTOU	1600	36981	\N	\N	0
338072	1147	1998-01-14	VYDAJ	VYBER KARTOU	2000	33550	\N	\N	0
338074	1147	1998-01-06	VYDAJ	VYBER KARTOU	1100	35881	\N	\N	0
338075	1147	1998-01-14	VYDAJ	VYBER KARTOU	1800	56750	\N	\N	0
338081	1147	1994-12-22	VYDAJ	VYBER	5040	79935	\N	\N	\N
338082	1147	1994-05-04	VYDAJ	VYBER	600	66957	\N	\N	\N
338083	1147	1994-03-22	VYDAJ	VYBER	2040	62379	\N	\N	\N
338084	1147	1994-08-06	VYDAJ	VYBER	2040	44693	\N	\N	\N
338085	1147	1994-01-11	VYDAJ	VYBER	5640	66844	\N	\N	\N
338086	1147	1994-10-01	VYDAJ	VYBER	2520	69949	\N	\N	\N
338087	1147	1995-09-22	VYDAJ	VYBER	3480	64481	\N	\N	\N
338088	1147	1995-02-15	VYDAJ	VYBER	720	68831	\N	\N	\N
338089	1147	1995-03-22	VYDAJ	VYBER	3240	69586	\N	\N	\N
338090	1147	1995-11-29	VYDAJ	VYBER	2760	44919	\N	\N	\N
338091	1147	1995-07-30	VYDAJ	VYBER	5640	43491	\N	\N	\N
338092	1147	1996-01-06	VYDAJ	VYBER	4440	41349	\N	\N	\N
338093	1147	1996-01-18	VYDAJ	VYBER	3960	49258	\N	\N	\N
338094	1147	1996-12-09	VYDAJ	VYBER KARTOU	2200	76518	\N	\N	0
338095	1147	1996-03-09	VYDAJ	VYBER	2760	56890	\N	\N	\N
338096	1147	1996-01-14	VYDAJ	VYBER	4800	58498	\N	\N	\N
338097	1147	1996-01-28	VYDAJ	VYBER	840	28018	\N	\N	\N
338098	1147	1996-10-06	VYDAJ	VYBER KARTOU	1800	45284	\N	\N	0
338099	1147	1997-08-29	VYDAJ	VYBER KARTOU	700	29048	\N	\N	0
338100	1147	1997-08-31	VYDAJ	VYBER KARTOU	3200	25970	\N	\N	0
338101	1147	1997-02-05	VYDAJ	VYBER KARTOU	1300	35186	\N	\N	0
338102	1147	1997-05-16	VYDAJ	VYBER KARTOU	1800	64944	\N	\N	0
338103	1147	1997-12-30	VYDAJ	VYBER KARTOU	600	38410	\N	\N	0
338104	1147	1997-12-20	VYDAJ	VYBER KARTOU	2400	39010	\N	\N	0
338105	1147	1997-03-28	VYDAJ	VYBER KARTOU	1100	42094	\N	\N	0
338106	1147	1998-02-16	VYDAJ	VYBER KARTOU	3000	25739	\N	\N	0
338108	1147	1998-08-24	VYDAJ	VYBER	4200	38761	\N	\N	\N
338109	1147	1998-05-12	VYDAJ	VYBER	4920	54731	\N	\N	\N
338110	1147	1998-01-22	VYDAJ	VYBER KARTOU	800	21550	\N	\N	0
338120	1147	1993-09-30	VYDAJ	VYBER	15	58219	SLUZBY	\N	\N
338121	1147	1993-10-31	VYDAJ	VYBER	15	66542	SLUZBY	\N	\N
338122	1147	1993-11-30	VYDAJ	VYBER	15	68780	SLUZBY	\N	\N
338123	1147	1993-12-31	VYDAJ	VYBER	15	80655	SLUZBY	\N	\N
338124	1147	1994-01-31	VYDAJ	VYBER	15	55647	SLUZBY	\N	\N
338125	1147	1994-02-28	VYDAJ	VYBER	15	61250	SLUZBY	\N	\N
338126	1147	1994-03-31	VYDAJ	VYBER	15	62627	SLUZBY	\N	\N
338127	1147	1994-04-30	VYDAJ	VYBER	15	67557	SLUZBY	\N	\N
338128	1147	1994-05-31	VYDAJ	VYBER	15	67281	SLUZBY	\N	\N
338129	1147	1994-06-30	VYDAJ	VYBER	15	48430	SLUZBY	\N	\N
338130	1147	1994-07-31	VYDAJ	VYBER	15	63033	SLUZBY	\N	\N
338131	1147	1994-08-31	VYDAJ	VYBER	15	67618	SLUZBY	\N	\N
338132	1147	1994-09-30	VYDAJ	VYBER	15	72469	SLUZBY	\N	\N
338133	1147	1994-10-31	VYDAJ	VYBER	15	70477	SLUZBY	\N	\N
338134	1147	1994-11-30	VYDAJ	VYBER	15	72831	SLUZBY	\N	\N
338135	1147	1994-12-31	VYDAJ	VYBER	15	80257	SLUZBY	\N	\N
338136	1147	1995-01-31	VYDAJ	VYBER	15	46882	SLUZBY	\N	\N
338137	1147	1995-02-28	VYDAJ	VYBER	15	69057	SLUZBY	\N	\N
338138	1147	1995-03-31	VYDAJ	VYBER	15	49863	SLUZBY	\N	\N
338139	1147	1995-04-30	VYDAJ	VYBER	15	52625	SLUZBY	\N	\N
338140	1147	1995-05-31	VYDAJ	VYBER	15	51597	SLUZBY	\N	\N
338141	1147	1995-06-30	VYDAJ	VYBER	15	43462	SLUZBY	\N	\N
338142	1147	1995-07-31	VYDAJ	VYBER	15	43657	SLUZBY	\N	\N
338143	1147	1995-08-31	VYDAJ	VYBER	15	45292	SLUZBY	\N	\N
338144	1147	1995-09-30	VYDAJ	VYBER	15	45267	SLUZBY	\N	\N
338145	1147	1995-10-31	VYDAJ	VYBER	15	48110	SLUZBY	\N	\N
338146	1147	1995-11-30	VYDAJ	VYBER	15	45102	SLUZBY	\N	\N
338147	1147	1995-12-31	VYDAJ	VYBER	15	52269	SLUZBY	\N	\N
338148	1147	1996-01-31	VYDAJ	VYBER	15	28204	SLUZBY	\N	\N
338149	1147	1996-02-29	VYDAJ	VYBER	15	36981	SLUZBY	\N	\N
338150	1147	1996-03-31	VYDAJ	VYBER	15	43576	SLUZBY	\N	\N
338151	1147	1996-04-30	VYDAJ	VYBER	15	43209	SLUZBY	\N	\N
338152	1147	1996-05-31	VYDAJ	VYBER	15	45744	SLUZBY	\N	\N
338153	1147	1996-06-30	VYDAJ	VYBER	15	49825	SLUZBY	\N	\N
338154	1147	1996-07-31	VYDAJ	VYBER	15	48683	SLUZBY	\N	\N
338155	1147	1996-08-31	VYDAJ	VYBER	15	47636	SLUZBY	\N	\N
338156	1147	1996-09-30	VYDAJ	VYBER	15	47084	SLUZBY	\N	\N
338157	1147	1996-10-31	VYDAJ	VYBER	15	46567	SLUZBY	\N	\N
338158	1147	1996-11-30	VYDAJ	VYBER	15	48214	SLUZBY	\N	\N
338159	1147	1996-12-31	VYDAJ	VYBER	15	50450	SLUZBY	\N	\N
338160	1147	1997-01-31	VYDAJ	VYBER	15	36486	SLUZBY	\N	\N
338161	1147	1997-02-28	VYDAJ	VYBER	15	39525	SLUZBY	\N	\N
338162	1147	1997-03-31	VYDAJ	VYBER	15	42246	SLUZBY	\N	\N
338163	1147	1997-04-30	VYDAJ	VYBER	15	44075	SLUZBY	\N	\N
338164	1147	1997-05-31	VYDAJ	VYBER	15	42414	SLUZBY	\N	\N
338165	1147	1997-06-30	VYDAJ	VYBER	15	29602	SLUZBY	\N	\N
338166	1147	1997-07-31	VYDAJ	VYBER	15	31479	SLUZBY	\N	\N
338167	1147	1997-08-31	VYDAJ	VYBER	15	25955	SLUZBY	\N	\N
338168	1147	1997-09-30	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
338169	1147	1997-10-31	VYDAJ	VYBER	15	34010	SLUZBY	\N	\N
338170	1147	1997-11-30	VYDAJ	VYBER	15	36906	SLUZBY	\N	\N
338171	1147	1997-12-31	VYDAJ	VYBER	15	38581	SLUZBY	\N	\N
338172	1147	1998-01-31	VYDAJ	VYBER	15	21670	SLUZBY	\N	\N
338173	1147	1998-02-28	VYDAJ	VYBER	15	25820	SLUZBY	\N	\N
338174	1147	1998-03-31	VYDAJ	VYBER	15	31989	SLUZBY	\N	\N
338175	1147	1998-04-30	VYDAJ	VYBER	15	36982	SLUZBY	\N	\N
338176	1147	1998-05-31	VYDAJ	VYBER	15	38472	SLUZBY	\N	\N
338177	1147	1998-06-30	VYDAJ	VYBER	15	28601	SLUZBY	\N	\N
338178	1147	1998-07-31	VYDAJ	VYBER	15	38492	SLUZBY	\N	\N
338179	1147	1998-08-31	VYDAJ	VYBER	15	38907	SLUZBY	\N	\N
338180	1147	1998-09-30	VYDAJ	VYBER	15	44832	SLUZBY	\N	\N
338181	1147	1998-10-31	VYDAJ	VYBER	15	47473	SLUZBY	\N	\N
338182	1147	1998-11-30	VYDAJ	VYBER	15	47316	SLUZBY	\N	\N
338183	1147	1993-05-10	PRIJEM	VKLAD	2100	25169	\N	\N	\N
338184	1147	1993-06-09	VYDAJ	VYBER	14800	44447	\N	\N	\N
338185	1147	1993-07-09	VYDAJ	VYBER	21200	46080	\N	\N	\N
338186	1147	1993-08-08	VYDAJ	VYBER	22200	46739	\N	\N	\N
338187	1147	1993-09-07	VYDAJ	VYBER	11600	35334	\N	\N	\N
338188	1147	1993-10-07	VYDAJ	VYBER	14600	43619	\N	\N	\N
338189	1147	1993-11-06	VYDAJ	VYBER	20700	45842	\N	\N	\N
338190	1147	1993-12-06	VYDAJ	VYBER	19400	49380	\N	\N	\N
338191	1147	1994-01-05	VYDAJ	VYBER	26400	53415	\N	\N	\N
338192	1147	1994-02-04	VYDAJ	VYBER	17300	38347	\N	\N	\N
338193	1147	1994-03-06	VYDAJ	VYBER	19500	41750	\N	\N	\N
338194	1147	1994-04-05	VYDAJ	VYBER	18000	44627	\N	\N	\N
338195	1147	1994-05-05	VYDAJ	VYBER	22600	44357	\N	\N	\N
338196	1147	1994-06-04	VYDAJ	VYBER	18600	48681	\N	\N	\N
338197	1147	1994-07-04	VYDAJ	VYBER	8300	40130	\N	\N	\N
338198	1147	1994-08-03	VYDAJ	VYBER	16300	46733	\N	\N	\N
338199	1147	1994-09-02	VYDAJ	VYBER	18100	49518	\N	\N	\N
338200	1147	1994-10-02	VYDAJ	VYBER	22400	47549	\N	\N	\N
338201	1147	1994-11-01	VYDAJ	VYBER	20600	49877	\N	\N	\N
338202	1147	1994-12-01	VYDAJ	VYBER	20900	51931	\N	\N	\N
338203	1147	1994-12-31	VYDAJ	VYBER	23900	56357	\N	\N	\N
338204	1147	1995-01-30	VYDAJ	VYBER	11600	46626	\N	\N	\N
338205	1147	1995-03-01	VYDAJ	VYBER	18900	50157	\N	\N	\N
338206	1147	1995-03-31	VYDAJ	VYBER	20000	49878	\N	\N	\N
338207	1147	1995-04-30	VYDAJ	VYBER	20100	52639	\N	\N	\N
338208	1147	1995-05-30	VYDAJ	VYBER	23900	51394	\N	\N	\N
338209	1147	1995-06-29	VYDAJ	VYBER	16600	43241	\N	\N	\N
338210	1147	1995-07-29	VYDAJ	VYBER	17000	49131	\N	\N	\N
338211	1147	1995-08-28	VYDAJ	VYBER	21200	45126	\N	\N	\N
338212	1147	1995-09-27	VYDAJ	VYBER	19400	45081	\N	\N	\N
338213	1147	1995-10-27	VYDAJ	VYBER	20000	47936	\N	\N	\N
338214	1147	1995-11-26	VYDAJ	VYBER	23100	47679	\N	\N	\N
338215	1147	1995-12-26	VYDAJ	VYBER	24800	52066	\N	\N	\N
338216	1147	1996-01-25	VYDAJ	VYBER	10000	39258	\N	\N	\N
338217	1147	1996-02-24	VYDAJ	VYBER	14000	36873	\N	\N	\N
338218	1147	1996-03-25	VYDAJ	VYBER	13500	43390	\N	\N	\N
338219	1147	1996-04-24	VYDAJ	VYBER	23200	43045	\N	\N	\N
338220	1147	1996-05-24	VYDAJ	VYBER	20300	45578	\N	\N	\N
338221	1147	1996-06-23	VYDAJ	VYBER	30100	49648	\N	\N	\N
338222	1147	1996-07-23	VYDAJ	VYBER	24000	48494	\N	\N	\N
338223	1147	1996-08-22	VYDAJ	VYBER	23900	47452	\N	\N	\N
338224	1147	1996-09-21	VYDAJ	VYBER	23400	46905	\N	\N	\N
338225	1147	1996-10-21	VYDAJ	VYBER	21600	46353	\N	\N	\N
338226	1147	1996-11-20	VYDAJ	VYBER	21200	48036	\N	\N	\N
338227	1147	1996-12-20	VYDAJ	VYBER	26300	50218	\N	\N	\N
338228	1147	1997-01-19	VYDAJ	VYBER	13900	38619	\N	\N	\N
338229	1147	1997-02-18	VYDAJ	VYBER	18500	39355	\N	\N	\N
338230	1147	1997-03-20	VYDAJ	VYBER	19000	43194	\N	\N	\N
338231	1147	1997-04-19	VYDAJ	VYBER	21000	43915	\N	\N	\N
338232	1147	1997-05-19	VYDAJ	VYBER	22700	42244	\N	\N	\N
338233	1147	1997-06-18	VYDAJ	VYBER	27300	49118	\N	\N	\N
338234	1147	1997-07-18	VYDAJ	VYBER	20900	31371	\N	\N	\N
338235	1147	1997-08-17	VYDAJ	VYBER	24400	29748	\N	\N	\N
338236	1147	1997-09-16	VYDAJ	VYBER	17200	31424	\N	\N	\N
338237	1147	1997-10-16	VYDAJ	VYBER	20300	33893	\N	\N	\N
338238	1147	1997-11-15	VYDAJ	VYBER	19900	36779	\N	\N	\N
338239	1147	1997-12-15	VYDAJ	VYBER	28700	41410	\N	\N	\N
338240	1147	1998-01-14	VYDAJ	VYBER	21200	35550	\N	\N	\N
338241	1147	1998-02-13	VYDAJ	VYBER	15600	28739	\N	\N	\N
338242	1147	1998-03-15	VYDAJ	VYBER	16600	31889	\N	\N	\N
338243	1147	1998-04-14	VYDAJ	VYBER	17800	36858	\N	\N	\N
338244	1147	1998-05-14	VYDAJ	VYBER	16400	38331	\N	\N	\N
338245	1147	1998-06-13	PRIJEM	VKLAD	2900	28496	\N	\N	\N
338246	1147	1998-07-13	VYDAJ	VYBER	12900	38370	\N	\N	\N
338247	1147	1998-08-12	VYDAJ	VYBER	18200	42961	\N	\N	\N
338248	1147	1998-09-11	VYDAJ	VYBER	16900	44676	\N	\N	\N
338249	1147	1998-10-11	VYDAJ	VYBER	20200	47301	\N	\N	\N
338250	1147	1998-11-10	VYDAJ	VYBER	23000	47142	\N	\N	\N
338251	1147	1998-12-10	VYDAJ	VYBER	25600	55720	\N	\N	\N
338802	1149	1995-09-07	PRIJEM	VKLAD	200	200	\N	\N	\N
338805	1149	1996-01-31	PRIJEM	VKLAD	21611	46811	\N	\N	\N
338806	1149	1996-04-15	PRIJEM	VKLAD	3250	33657	\N	\N	\N
338807	1149	1997-11-11	PRIJEM	VKLAD	32920	60928	\N	\N	\N
338808	1149	1997-02-08	PRIJEM	VKLAD	14209	48668	\N	\N	\N
338809	1149	1998-05-24	PRIJEM	VKLAD	34166	75460	\N	\N	\N
338810	1149	1998-06-12	PRIJEM	VKLAD	12980	44934	\N	\N	\N
338814	1149	1998-06-12	VYDAJ	VYBER	20500	24434	\N	\N	\N
338818	1149	1998-06-09	VYDAJ	VYBER	26000	31954	\N	\N	\N
338822	1149	1998-12-23	VYDAJ	VYBER KARTOU	2900	27020	\N	\N	0
338864	1149	1998-09-11	VYDAJ	VYBER KARTOU	2400	31539	\N	\N	0
338866	1149	1998-06-19	VYDAJ	VYBER KARTOU	1800	22634	\N	\N	0
338908	1149	1998-05-31	VYDAJ	VYBER	15	57954	SLUZBY	\N	\N
338909	1149	1998-06-30	VYDAJ	VYBER	15	33580	SLUZBY	\N	\N
338910	1149	1998-07-31	VYDAJ	VYBER	15	35905	SLUZBY	\N	\N
338911	1149	1998-08-31	VYDAJ	VYBER	15	33939	SLUZBY	\N	\N
338912	1149	1998-09-30	VYDAJ	VYBER	15	35467	SLUZBY	\N	\N
338913	1149	1998-10-31	VYDAJ	VYBER	15	33099	SLUZBY	\N	\N
338914	1149	1998-11-30	VYDAJ	VYBER	15	29920	SLUZBY	\N	\N
338915	1149	1995-10-07	PRIJEM	VKLAD	10500	10700	\N	\N	\N
338916	1149	1995-11-06	PRIJEM	VKLAD	7600	18300	\N	\N	\N
338917	1149	1995-12-06	PRIJEM	VKLAD	3600	21900	\N	\N	\N
338918	1149	1996-01-05	PRIJEM	VKLAD	3300	25200	\N	\N	\N
338919	1149	1996-02-04	VYDAJ	VYBER	8200	38617	\N	\N	\N
338920	1149	1996-03-05	VYDAJ	VYBER	5000	33812	\N	\N	\N
338921	1149	1996-04-04	VYDAJ	VYBER	3600	30407	\N	\N	\N
338922	1149	1996-05-04	VYDAJ	VYBER	4000	29823	\N	\N	\N
338923	1149	1996-06-03	VYDAJ	VYBER	1500	28463	\N	\N	\N
338924	1149	1996-07-03	PRIJEM	VKLAD	2800	31404	\N	\N	\N
338925	1149	1996-08-02	PRIJEM	VKLAD	300	31844	\N	\N	\N
338926	1149	1996-09-01	PRIJEM	VKLAD	3400	35384	\N	\N	\N
338927	1149	1996-10-01	PRIJEM	VKLAD	100	35624	\N	\N	\N
338928	1149	1996-10-31	VYDAJ	VYBER	400	35365	\N	\N	\N
338929	1149	1996-11-30	VYDAJ	VYBER	100	35412	\N	\N	\N
338930	1149	1996-12-30	PRIJEM	VKLAD	1200	36612	\N	\N	\N
338931	1149	1997-01-29	VYDAJ	VYBER	2300	34459	\N	\N	\N
338932	1149	1997-02-28	VYDAJ	VYBER	6100	42880	\N	\N	\N
338933	1149	1997-03-30	VYDAJ	VYBER	5200	37680	\N	\N	\N
338934	1149	1997-04-29	VYDAJ	VYBER	500	37358	\N	\N	\N
338935	1149	1997-05-29	VYDAJ	VYBER	4400	33137	\N	\N	\N
338936	1149	1997-06-28	VYDAJ	VYBER	1700	31616	\N	\N	\N
338937	1149	1997-07-28	VYDAJ	VYBER	100	31694	\N	\N	\N
338938	1149	1997-08-27	PRIJEM	VKLAD	1500	33373	\N	\N	\N
338939	1149	1997-09-26	VYDAJ	VYBER	4800	28751	\N	\N	\N
338940	1149	1997-10-26	VYDAJ	VYBER	1100	27830	\N	\N	\N
338941	1149	1997-11-25	VYDAJ	VYBER	13600	47328	\N	\N	\N
338942	1149	1997-12-25	VYDAJ	VYBER	9700	37810	\N	\N	\N
338943	1149	1998-01-24	VYDAJ	VYBER	3800	34207	\N	\N	\N
338944	1149	1998-02-23	PRIJEM	VKLAD	300	34704	\N	\N	\N
338945	1149	1998-03-25	PRIJEM	VKLAD	3000	37901	\N	\N	\N
338946	1149	1998-04-24	PRIJEM	VKLAD	3000	41097	\N	\N	\N
338947	1149	1998-05-24	VYDAJ	VYBER	17700	57760	\N	\N	\N
338948	1149	1998-06-23	PRIJEM	VKLAD	10800	33434	\N	\N	\N
338949	1149	1998-07-23	PRIJEM	VKLAD	2200	35780	\N	\N	\N
338950	1149	1998-08-22	VYDAJ	VYBER KARTOU	2100	33805	\N	\N	0
338951	1149	1998-09-21	PRIJEM	VKLAD	3800	35339	\N	\N	\N
338952	1149	1998-10-21	VYDAJ	VYBER KARTOU	2500	32967	\N	\N	0
338953	1149	1998-11-20	VYDAJ	VYBER KARTOU	3300	29799	\N	\N	0
338989	1150	1997-10-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
338992	1150	1998-10-22	PRIJEM	VKLAD	2545	28664	\N	\N	\N
338993	1150	1998-11-22	PRIJEM	VKLAD	36759	67815	\N	\N	\N
339003	1150	1997-10-14	PRIJEM	VKLAD	1900	3000	\N	\N	\N
339004	1150	1997-11-15	PRIJEM	VKLAD	1900	13407	\N	\N	\N
339005	1150	1997-12-14	PRIJEM	VKLAD	1900	18543	\N	\N	\N
339006	1150	1998-01-16	PRIJEM	VKLAD	1900	17911	\N	\N	\N
339007	1150	1998-02-13	PRIJEM	VKLAD	1900	16087	\N	\N	\N
339008	1150	1998-03-14	PRIJEM	VKLAD	1900	13040	\N	\N	\N
339009	1150	1998-04-13	PRIJEM	VKLAD	1900	15279	\N	\N	\N
339010	1150	1998-05-17	PRIJEM	VKLAD	1900	16724	\N	\N	\N
339011	1150	1998-06-15	PRIJEM	VKLAD	1900	15576	\N	\N	\N
339012	1150	1998-07-16	PRIJEM	VKLAD	1900	18124	\N	\N	\N
339013	1150	1998-08-15	PRIJEM	VKLAD	1900	19880	\N	\N	\N
339014	1150	1998-09-17	PRIJEM	VKLAD	1900	22845	\N	\N	\N
339015	1150	1998-10-15	PRIJEM	VKLAD	1900	26119	\N	\N	\N
339016	1150	1998-11-16	PRIJEM	VKLAD	1900	31056	\N	\N	\N
339017	1150	1998-12-16	PRIJEM	VKLAD	1900	46871	\N	\N	\N
339025	1150	1998-12-11	VYDAJ	VYBER	1000	44971	\N	\N	\N
339044	1150	1998-03-21	VYDAJ	VYBER	300	12740	\N	\N	\N
339045	1150	1998-02-20	VYDAJ	VYBER	1800	14287	\N	\N	\N
339046	1150	1998-03-06	VYDAJ	VYBER	400	13940	\N	\N	\N
339047	1150	1998-06-04	VYDAJ	VYBER	2300	14476	\N	\N	\N
339063	1150	1998-02-28	VYDAJ	VYBER	15	14340	SLUZBY	\N	\N
339064	1150	1998-03-31	VYDAJ	VYBER	15	12779	SLUZBY	\N	\N
339065	1150	1998-04-30	VYDAJ	VYBER	15	15324	SLUZBY	\N	\N
339066	1150	1998-05-31	VYDAJ	VYBER	15	16776	SLUZBY	\N	\N
339067	1150	1998-06-30	VYDAJ	VYBER	15	15624	SLUZBY	\N	\N
339068	1150	1998-07-31	VYDAJ	VYBER	15	18180	SLUZBY	\N	\N
339069	1150	1998-08-31	VYDAJ	VYBER	15	19945	SLUZBY	\N	\N
339070	1150	1998-09-30	VYDAJ	VYBER	15	22919	SLUZBY	\N	\N
339071	1150	1998-10-31	VYDAJ	VYBER	15	28756	SLUZBY	\N	\N
339072	1150	1998-11-30	VYDAJ	VYBER	15	67971	SLUZBY	\N	\N
339073	1150	1997-11-07	PRIJEM	VKLAD	8500	11507	\N	\N	\N
339074	1150	1997-12-07	PRIJEM	VKLAD	3200	16643	\N	\N	\N
339075	1150	1998-01-06	VYDAJ	VYBER	2600	16011	\N	\N	\N
339076	1150	1998-02-05	VYDAJ	VYBER	3800	14187	\N	\N	\N
339077	1150	1998-03-07	VYDAJ	VYBER	2800	11140	\N	\N	\N
339078	1150	1998-04-06	PRIJEM	VKLAD	600	13379	\N	\N	\N
339079	1150	1998-05-06	VYDAJ	VYBER	500	14824	\N	\N	\N
339080	1150	1998-06-05	VYDAJ	VYBER	800	13676	\N	\N	\N
339081	1150	1998-07-05	PRIJEM	VKLAD	600	16224	\N	\N	\N
339082	1150	1998-08-04	VYDAJ	VYBER	200	17980	\N	\N	\N
339083	1150	1998-09-03	PRIJEM	VKLAD	1000	20945	\N	\N	\N
339084	1150	1998-10-03	PRIJEM	VKLAD	1300	24219	\N	\N	\N
339085	1150	1998-11-02	PRIJEM	VKLAD	400	29156	\N	\N	\N
339086	1150	1998-12-02	VYDAJ	VYBER	22000	45971	\N	\N	\N
339102	1151	1995-06-23	PRIJEM	VKLAD	300	300	\N	\N	\N
339109	1151	1995-07-13	PRIJEM	VKLAD	24015	24315	\N	\N	\N
339110	1151	1995-08-13	PRIJEM	VKLAD	24015	49561	\N	\N	\N
339111	1151	1995-09-13	PRIJEM	VKLAD	24015	61098	\N	\N	\N
339112	1151	1995-10-13	PRIJEM	VKLAD	24015	66674	\N	\N	\N
339113	1151	1995-11-13	PRIJEM	VKLAD	24015	73577	\N	\N	\N
339114	1151	1995-12-13	PRIJEM	VKLAD	36022	84830	\N	\N	\N
339115	1151	1996-01-13	PRIJEM	VKLAD	24015	64521	\N	\N	\N
339116	1151	1996-02-13	PRIJEM	VKLAD	24015	55964	\N	\N	\N
339117	1151	1996-03-13	PRIJEM	VKLAD	24015	63376	\N	\N	\N
339118	1151	1996-04-13	PRIJEM	VKLAD	24015	63107	\N	\N	\N
339119	1151	1996-05-13	PRIJEM	VKLAD	24015	66740	\N	\N	\N
339120	1151	1996-06-13	PRIJEM	VKLAD	36022	82496	\N	\N	\N
339121	1151	1996-07-13	PRIJEM	VKLAD	24015	62065	\N	\N	\N
339122	1151	1996-08-13	PRIJEM	VKLAD	24015	65993	\N	\N	\N
339123	1151	1996-09-13	PRIJEM	VKLAD	24015	66435	\N	\N	\N
339124	1151	1996-10-13	PRIJEM	VKLAD	24015	74791	\N	\N	\N
339125	1151	1996-11-13	PRIJEM	VKLAD	24015	77464	\N	\N	\N
339126	1151	1996-12-13	PRIJEM	VKLAD	36022	89751	\N	\N	\N
339127	1151	1997-01-13	PRIJEM	VKLAD	24015	75047	\N	\N	\N
339128	1151	1997-02-13	PRIJEM	VKLAD	24015	63410	\N	\N	\N
339129	1151	1997-03-13	PRIJEM	VKLAD	24015	84379	\N	\N	\N
339130	1151	1997-04-13	PRIJEM	VKLAD	24015	80677	\N	\N	\N
339131	1151	1997-05-13	PRIJEM	VKLAD	24015	75554	\N	\N	\N
339132	1151	1997-06-13	PRIJEM	VKLAD	36022	80525	\N	\N	\N
339133	1151	1997-07-13	PRIJEM	VKLAD	24015	79338	\N	\N	\N
339134	1151	1997-08-13	PRIJEM	VKLAD	24015	78793	\N	\N	\N
339135	1151	1997-09-13	PRIJEM	VKLAD	24015	76756	\N	\N	\N
339136	1151	1997-10-13	PRIJEM	VKLAD	24015	80200	\N	\N	\N
339137	1151	1997-11-13	PRIJEM	VKLAD	24015	84958	\N	\N	\N
339138	1151	1997-12-13	PRIJEM	VKLAD	36022	94536	\N	\N	\N
339139	1151	1998-01-13	PRIJEM	VKLAD	24015	86426	\N	\N	\N
339140	1151	1998-02-13	PRIJEM	VKLAD	24015	88696	\N	\N	\N
339141	1151	1998-03-13	PRIJEM	VKLAD	24015	95575	\N	\N	\N
339142	1151	1998-04-13	PRIJEM	VKLAD	24015	95087	\N	\N	\N
339143	1151	1998-05-13	PRIJEM	VKLAD	24015	96903	\N	\N	\N
339144	1151	1998-06-13	PRIJEM	VKLAD	36022	100735	\N	\N	\N
339145	1151	1998-07-13	PRIJEM	VKLAD	24015	103850	\N	\N	\N
339146	1151	1998-08-13	PRIJEM	VKLAD	24015	104003	\N	\N	\N
339147	1151	1998-09-13	PRIJEM	VKLAD	24015	107759	\N	\N	\N
339148	1151	1998-10-13	PRIJEM	VKLAD	24015	105826	\N	\N	\N
339149	1151	1998-11-13	PRIJEM	VKLAD	24015	104492	\N	\N	\N
339150	1151	1998-12-13	PRIJEM	VKLAD	36022	114558	\N	\N	\N
339162	1151	1995-12-09	VYDAJ	PREVOD NA UCET	3263	48808	SIPO	WX	90602427
339163	1151	1996-01-09	VYDAJ	PREVOD NA UCET	3263	50106	SIPO	WX	90602427
339164	1151	1996-02-09	VYDAJ	PREVOD NA UCET	3263	31949	SIPO	WX	90602427
339165	1151	1996-03-09	VYDAJ	PREVOD NA UCET	3263	39361	SIPO	WX	90602427
339166	1151	1996-04-09	VYDAJ	PREVOD NA UCET	3263	39092	SIPO	WX	90602427
339167	1151	1996-05-09	VYDAJ	PREVOD NA UCET	3263	42725	SIPO	WX	90602427
339168	1151	1996-06-09	VYDAJ	PREVOD NA UCET	3263	46474	SIPO	WX	90602427
339169	1151	1996-07-09	VYDAJ	PREVOD NA UCET	3263	38050	SIPO	WX	90602427
339170	1151	1996-08-09	VYDAJ	PREVOD NA UCET	3263	41978	SIPO	WX	90602427
339171	1151	1996-09-09	VYDAJ	PREVOD NA UCET	3263	46120	SIPO	WX	90602427
339172	1151	1996-10-09	VYDAJ	PREVOD NA UCET	3263	50776	SIPO	WX	90602427
339173	1151	1996-11-09	VYDAJ	PREVOD NA UCET	3263	53449	SIPO	WX	90602427
339174	1151	1996-12-09	VYDAJ	PREVOD NA UCET	3263	55029	SIPO	WX	90602427
339175	1151	1997-01-09	VYDAJ	PREVOD NA UCET	3263	52632	SIPO	WX	90602427
339176	1151	1997-02-09	VYDAJ	PREVOD NA UCET	3263	43095	SIPO	WX	90602427
339177	1151	1997-03-09	VYDAJ	PREVOD NA UCET	3263	60364	SIPO	WX	90602427
339178	1151	1997-04-09	VYDAJ	PREVOD NA UCET	3263	56662	SIPO	WX	90602427
339179	1151	1997-05-09	VYDAJ	PREVOD NA UCET	3263	51539	SIPO	WX	90602427
339180	1151	1997-06-09	VYDAJ	PREVOD NA UCET	3263	51703	SIPO	WX	90602427
339181	1151	1997-07-09	VYDAJ	PREVOD NA UCET	3263	70223	SIPO	WX	90602427
339182	1151	1997-08-09	VYDAJ	PREVOD NA UCET	3263	76378	SIPO	WX	90602427
339183	1151	1997-09-09	VYDAJ	PREVOD NA UCET	3263	72041	SIPO	WX	90602427
339184	1151	1997-10-09	VYDAJ	PREVOD NA UCET	3263	73785	SIPO	WX	90602427
339185	1151	1997-11-09	VYDAJ	PREVOD NA UCET	3263	77243	SIPO	WX	90602427
339186	1151	1997-12-09	VYDAJ	PREVOD NA UCET	3263	62414	SIPO	WX	90602427
339187	1151	1998-01-09	VYDAJ	PREVOD NA UCET	3263	62411	SIPO	WX	90602427
339188	1151	1998-02-09	VYDAJ	PREVOD NA UCET	3263	64681	SIPO	WX	90602427
339189	1151	1998-03-09	VYDAJ	PREVOD NA UCET	3263	71560	SIPO	WX	90602427
339190	1151	1998-04-09	VYDAJ	PREVOD NA UCET	3263	71072	SIPO	WX	90602427
339191	1151	1998-05-09	VYDAJ	PREVOD NA UCET	3263	72888	SIPO	WX	90602427
339192	1151	1998-06-09	VYDAJ	PREVOD NA UCET	3263	64713	SIPO	WX	90602427
339193	1151	1998-07-09	VYDAJ	PREVOD NA UCET	3263	79835	SIPO	WX	90602427
339194	1151	1998-08-09	VYDAJ	PREVOD NA UCET	3263	79988	SIPO	WX	90602427
339195	1151	1998-09-09	VYDAJ	PREVOD NA UCET	3263	83744	SIPO	WX	90602427
339196	1151	1998-10-09	VYDAJ	PREVOD NA UCET	3263	81811	SIPO	WX	90602427
339197	1151	1998-11-09	VYDAJ	PREVOD NA UCET	3263	80477	SIPO	WX	90602427
339198	1151	1998-12-09	VYDAJ	PREVOD NA UCET	3263	78536	SIPO	WX	90602427
339200	1151	1996-06-27	VYDAJ	VYBER	16100	41096	\N	\N	\N
339201	1151	1997-06-15	VYDAJ	VYBER	7300	73225	\N	\N	\N
339202	1151	1998-06-01	VYDAJ	VYBER	9000	88276	\N	\N	\N
339204	1151	1996-01-12	VYDAJ	VYBER	9600	40506	\N	\N	\N
339205	1151	1997-01-04	VYDAJ	VYBER	6400	55895	\N	\N	\N
339206	1151	1998-01-01	VYDAJ	VYBER KARTOU	1600	86874	\N	\N	0
339207	1151	1995-12-13	VYDAJ	VYBER	2000	82830	\N	\N	\N
339208	1151	1996-12-09	VYDAJ	VYBER KARTOU	1300	53729	\N	\N	0
339209	1151	1997-12-16	VYDAJ	VYBER KARTOU	700	93836	\N	\N	0
339210	1151	1998-12-06	VYDAJ	VYBER KARTOU	2700	84599	\N	\N	0
339217	1151	1996-01-17	VYDAJ	VYBER	900	61821	\N	\N	\N
339218	1151	1996-01-18	VYDAJ	VYBER	1400	60421	\N	\N	\N
339219	1151	1996-01-27	VYDAJ	VYBER	2500	38821	\N	\N	\N
339220	1151	1996-01-19	VYDAJ	VYBER	2900	41321	\N	\N	\N
339221	1151	1996-01-03	VYDAJ	VYBER	2400	54569	\N	\N	\N
339222	1151	1996-01-05	VYDAJ	VYBER	1200	53369	\N	\N	\N
339223	1151	1997-01-21	VYDAJ	VYBER KARTOU	2800	52447	\N	\N	0
339224	1151	1997-01-03	VYDAJ	VYBER KARTOU	1900	62295	\N	\N	0
339225	1151	1997-01-30	VYDAJ	VYBER KARTOU	2600	46147	\N	\N	0
339226	1151	1997-01-30	VYDAJ	VYBER KARTOU	2600	48747	\N	\N	0
339227	1151	1997-01-24	VYDAJ	VYBER KARTOU	1100	51347	\N	\N	0
339228	1151	1997-01-12	VYDAJ	VYBER KARTOU	1600	51032	\N	\N	0
339229	1151	1998-01-18	VYDAJ	VYBER KARTOU	2300	82626	\N	\N	0
339230	1151	1998-01-21	VYDAJ	VYBER KARTOU	2400	80226	\N	\N	0
339231	1151	1998-01-24	VYDAJ	VYBER KARTOU	1600	78626	\N	\N	0
339232	1151	1998-01-30	VYDAJ	VYBER KARTOU	1100	77526	\N	\N	0
339233	1151	1998-01-13	VYDAJ	VYBER KARTOU	1500	84926	\N	\N	0
339234	1151	1998-01-09	VYDAJ	VYBER KARTOU	2500	65674	\N	\N	0
339239	1151	1996-07-16	VYDAJ	VYBER KARTOU	2400	59665	\N	\N	0
339240	1151	1996-09-11	VYDAJ	VYBER KARTOU	3700	42420	\N	\N	0
339241	1151	1996-04-15	VYDAJ	VYBER KARTOU	3100	60007	\N	\N	0
339242	1151	1996-01-30	VYDAJ	VYBER	3800	35021	\N	\N	\N
339243	1151	1996-01-13	VYDAJ	VYBER	1800	62721	\N	\N	\N
339244	1151	1997-12-11	VYDAJ	VYBER KARTOU	3900	58514	\N	\N	0
339245	1151	1997-04-19	VYDAJ	VYBER KARTOU	3600	55377	\N	\N	0
339246	1151	1997-12-17	VYDAJ	VYBER	4900	88936	\N	\N	\N
339247	1151	1997-08-11	VYDAJ	VYBER	4700	71678	\N	\N	\N
339248	1151	1997-12-19	VYDAJ	VYBER KARTOU	800	88136	\N	\N	0
339249	1151	1997-04-05	VYDAJ	VYBER KARTOU	900	59925	\N	\N	0
339250	1151	1997-05-03	VYDAJ	VYBER KARTOU	800	54802	\N	\N	0
339251	1151	1997-08-28	VYDAJ	VYBER KARTOU	3800	74993	\N	\N	0
339252	1151	1997-11-21	VYDAJ	VYBER KARTOU	600	84358	\N	\N	0
339253	1151	1998-03-31	VYDAJ	VYBER KARTOU	1000	92835	\N	\N	0
339254	1151	1998-01-07	VYDAJ	VYBER KARTOU	3400	83474	\N	\N	0
339255	1151	1998-03-05	VYDAJ	VYBER KARTOU	3300	85723	\N	\N	0
339256	1151	1998-06-02	VYDAJ	VYBER KARTOU	2800	85476	\N	\N	0
339257	1151	1998-12-06	VYDAJ	VYBER KARTOU	2800	81799	\N	\N	0
339258	1151	1998-03-24	VYDAJ	VYBER KARTOU	2100	93475	\N	\N	0
339270	1151	1995-11-30	VYDAJ	VYBER	15	52071	SLUZBY	\N	\N
339271	1151	1995-12-31	VYDAJ	VYBER	15	56969	SLUZBY	\N	\N
339272	1151	1996-01-31	VYDAJ	VYBER	15	35212	SLUZBY	\N	\N
339273	1151	1996-02-29	VYDAJ	VYBER	15	42624	SLUZBY	\N	\N
339274	1151	1996-03-31	VYDAJ	VYBER	15	42355	SLUZBY	\N	\N
339275	1151	1996-04-30	VYDAJ	VYBER	15	45988	SLUZBY	\N	\N
339276	1151	1996-05-31	VYDAJ	VYBER	15	49737	SLUZBY	\N	\N
339277	1151	1996-06-30	VYDAJ	VYBER	15	41313	SLUZBY	\N	\N
339278	1151	1996-07-31	VYDAJ	VYBER	15	45241	SLUZBY	\N	\N
339279	1151	1996-08-31	VYDAJ	VYBER	15	49383	SLUZBY	\N	\N
339280	1151	1996-09-30	VYDAJ	VYBER	15	54039	SLUZBY	\N	\N
339281	1151	1996-10-31	VYDAJ	VYBER	15	56712	SLUZBY	\N	\N
339282	1151	1996-11-30	VYDAJ	VYBER	15	58292	SLUZBY	\N	\N
339283	1151	1996-12-31	VYDAJ	VYBER	15	64195	SLUZBY	\N	\N
339284	1151	1997-01-31	VYDAJ	VYBER	15	46358	SLUZBY	\N	\N
339285	1151	1997-02-28	VYDAJ	VYBER	15	63627	SLUZBY	\N	\N
339286	1151	1997-03-31	VYDAJ	VYBER	15	60825	SLUZBY	\N	\N
339287	1151	1997-04-30	VYDAJ	VYBER	15	55602	SLUZBY	\N	\N
339288	1151	1997-05-31	VYDAJ	VYBER	15	54966	SLUZBY	\N	\N
339289	1151	1997-06-30	VYDAJ	VYBER	15	73486	SLUZBY	\N	\N
339290	1151	1997-07-31	VYDAJ	VYBER	15	79641	SLUZBY	\N	\N
339291	1151	1997-08-31	VYDAJ	VYBER	15	75304	SLUZBY	\N	\N
339292	1151	1997-09-30	VYDAJ	VYBER	15	77048	SLUZBY	\N	\N
339293	1151	1997-10-31	VYDAJ	VYBER	15	80506	SLUZBY	\N	\N
339294	1151	1997-11-30	VYDAJ	VYBER	15	84677	SLUZBY	\N	\N
339295	1151	1997-12-31	VYDAJ	VYBER	15	88474	SLUZBY	\N	\N
339296	1151	1998-01-31	VYDAJ	VYBER	15	77844	SLUZBY	\N	\N
339297	1151	1998-02-28	VYDAJ	VYBER	15	89023	SLUZBY	\N	\N
339298	1151	1998-03-31	VYDAJ	VYBER	15	93835	SLUZBY	\N	\N
339299	1151	1998-04-30	VYDAJ	VYBER	15	95451	SLUZBY	\N	\N
339300	1151	1998-05-31	VYDAJ	VYBER	15	97276	SLUZBY	\N	\N
339301	1151	1998-06-30	VYDAJ	VYBER	15	101098	SLUZBY	\N	\N
339302	1151	1998-07-31	VYDAJ	VYBER	15	104251	SLUZBY	\N	\N
339303	1151	1998-08-31	VYDAJ	VYBER	15	104407	SLUZBY	\N	\N
339304	1151	1998-09-30	VYDAJ	VYBER	15	108174	SLUZBY	\N	\N
339305	1151	1998-10-31	VYDAJ	VYBER	15	106240	SLUZBY	\N	\N
339306	1151	1998-11-30	VYDAJ	VYBER	15	104899	SLUZBY	\N	\N
339307	1151	1995-07-23	PRIJEM	VKLAD	1200	25515	\N	\N	\N
339308	1151	1995-08-22	VYDAJ	VYBER	12600	36961	\N	\N	\N
339309	1151	1995-09-21	VYDAJ	VYBER	18600	42498	\N	\N	\N
339310	1151	1995-10-21	VYDAJ	VYBER	17300	49374	\N	\N	\N
339311	1151	1995-11-20	VYDAJ	VYBER	21700	51877	\N	\N	\N
339312	1151	1995-12-20	VYDAJ	VYBER	26100	56730	\N	\N	\N
339313	1151	1996-01-19	VYDAJ	VYBER	16200	44221	\N	\N	\N
339314	1151	1996-02-18	VYDAJ	VYBER	13500	42464	\N	\N	\N
339315	1151	1996-03-19	VYDAJ	VYBER	21200	42176	\N	\N	\N
339316	1151	1996-04-18	VYDAJ	VYBER	14200	45807	\N	\N	\N
339317	1151	1996-05-18	VYDAJ	VYBER	17200	49540	\N	\N	\N
339318	1151	1996-06-17	VYDAJ	VYBER	25300	57196	\N	\N	\N
339319	1151	1996-07-17	VYDAJ	VYBER	14600	45065	\N	\N	\N
339320	1151	1996-08-16	VYDAJ	VYBER	16800	49193	\N	\N	\N
339321	1151	1996-09-15	VYDAJ	VYBER	12600	53835	\N	\N	\N
339322	1151	1996-10-15	VYDAJ	VYBER	18300	56491	\N	\N	\N
339323	1151	1996-11-14	VYDAJ	VYBER	19400	58064	\N	\N	\N
339324	1151	1996-12-14	VYDAJ	VYBER	25800	63951	\N	\N	\N
339325	1151	1997-01-13	VYDAJ	VYBER	19800	55247	\N	\N	\N
339326	1151	1997-02-12	VYDAJ	VYBER KARTOU	3700	39395	\N	\N	0
339327	1151	1997-03-14	VYDAJ	VYBER	23800	60579	\N	\N	\N
339328	1151	1997-04-13	VYDAJ	VYBER	21700	58977	\N	\N	\N
339329	1151	1997-05-13	VYDAJ	VYBER	20800	54754	\N	\N	\N
339330	1151	1997-06-12	VYDAJ	VYBER	7200	44503	\N	\N	\N
339331	1151	1997-07-12	VYDAJ	VYBER	14900	55323	\N	\N	\N
339332	1151	1997-08-11	VYDAJ	VYBER	16900	54778	\N	\N	\N
339333	1151	1997-09-10	VYDAJ	VYBER	19300	52741	\N	\N	\N
339334	1151	1997-10-10	VYDAJ	VYBER	17600	56185	\N	\N	\N
339335	1151	1997-11-09	VYDAJ	VYBER	16300	60943	\N	\N	\N
339336	1151	1997-12-09	VYDAJ	VYBER	19000	65677	\N	\N	\N
339337	1151	1998-01-08	VYDAJ	VYBER	15300	68174	\N	\N	\N
339338	1151	1998-02-07	VYDAJ	VYBER	9900	67944	\N	\N	\N
339339	1151	1998-03-09	VYDAJ	VYBER	10900	74823	\N	\N	\N
339340	1151	1998-04-08	VYDAJ	VYBER	18500	74335	\N	\N	\N
339341	1151	1998-05-08	VYDAJ	VYBER	19300	76151	\N	\N	\N
339342	1151	1998-06-07	VYDAJ	VYBER	17500	67976	\N	\N	\N
339343	1151	1998-07-07	VYDAJ	VYBER	18000	83098	\N	\N	\N
339344	1151	1998-08-06	VYDAJ	VYBER	21000	83251	\N	\N	\N
339345	1151	1998-09-05	VYDAJ	VYBER	17400	87007	\N	\N	\N
339346	1151	1998-10-05	VYDAJ	VYBER	23100	85074	\N	\N	\N
339347	1151	1998-11-04	VYDAJ	VYBER	22500	83740	\N	\N	\N
339348	1151	1998-12-04	VYDAJ	VYBER	17600	87299	\N	\N	\N
339349	1151	1998-12-13	VYDAJ	VYBER	17100	97458	\N	\N	\N
339392	1152	1993-04-15	PRIJEM	VKLAD	800	800	\N	\N	\N
339397	1152	1993-05-05	PRIJEM	PREVOD Z UCTU	3279	4079	\N	ST	11872947
339398	1152	1993-06-05	PRIJEM	PREVOD Z UCTU	3279	7358	\N	ST	11872947
339399	1152	1993-07-05	PRIJEM	PREVOD Z UCTU	3279	10637	\N	ST	11872947
339400	1152	1993-08-05	PRIJEM	PREVOD Z UCTU	3279	13916	\N	ST	11872947
339401	1152	1993-09-05	PRIJEM	PREVOD Z UCTU	3279	17195	\N	ST	11872947
339402	1152	1993-10-05	PRIJEM	PREVOD Z UCTU	3279	18311	\N	ST	11872947
339403	1152	1993-11-05	PRIJEM	PREVOD Z UCTU	3279	19455	\N	ST	11872947
339404	1152	1993-12-05	PRIJEM	PREVOD Z UCTU	3279	20603	\N	ST	11872947
339405	1152	1994-01-05	PRIJEM	PREVOD Z UCTU	3279	20646	\N	ST	11872947
339406	1152	1994-02-05	PRIJEM	PREVOD Z UCTU	3279	20330	\N	ST	11872947
339407	1152	1994-03-05	PRIJEM	PREVOD Z UCTU	3279	20731	\N	ST	11872947
339408	1152	1994-04-05	PRIJEM	PREVOD Z UCTU	3279	21437	\N	ST	11872947
339409	1152	1994-05-05	PRIJEM	PREVOD Z UCTU	3279	22594	\N	ST	11872947
339410	1152	1994-06-05	PRIJEM	PREVOD Z UCTU	3279	23755	\N	ST	11872947
339411	1152	1994-07-05	PRIJEM	PREVOD Z UCTU	3279	24221	\N	ST	11872947
339412	1152	1994-08-05	PRIJEM	PREVOD Z UCTU	3279	22583	\N	ST	11872947
339413	1152	1994-09-05	PRIJEM	PREVOD Z UCTU	3279	22103	\N	ST	11872947
339414	1152	1994-10-05	PRIJEM	PREVOD Z UCTU	3279	22240	\N	ST	11872947
339415	1152	1994-11-05	PRIJEM	PREVOD Z UCTU	3279	23202	\N	ST	11872947
339416	1152	1994-12-05	PRIJEM	PREVOD Z UCTU	3279	23706	\N	ST	11872947
339417	1152	1995-01-05	PRIJEM	PREVOD Z UCTU	3279	24876	\N	ST	11872947
339418	1152	1995-02-05	PRIJEM	PREVOD Z UCTU	3279	22611	\N	ST	11872947
339419	1152	1995-03-05	PRIJEM	PREVOD Z UCTU	3279	23772	\N	ST	11872947
339420	1152	1995-04-05	PRIJEM	PREVOD Z UCTU	3279	24939	\N	ST	11872947
339421	1152	1995-05-05	PRIJEM	PREVOD Z UCTU	3279	25659	\N	ST	11872947
339422	1152	1995-06-05	PRIJEM	PREVOD Z UCTU	3279	21128	\N	ST	11872947
339423	1152	1995-07-05	PRIJEM	PREVOD Z UCTU	3279	16697	\N	ST	11872947
339424	1152	1995-08-05	PRIJEM	PREVOD Z UCTU	3279	17838	\N	ST	11872947
339425	1152	1995-09-05	PRIJEM	PREVOD Z UCTU	3279	18680	\N	ST	11872947
339426	1152	1995-10-05	PRIJEM	PREVOD Z UCTU	3279	17788	\N	ST	11872947
339427	1152	1995-11-05	PRIJEM	PREVOD Z UCTU	3279	16973	\N	ST	11872947
339428	1152	1995-12-05	PRIJEM	PREVOD Z UCTU	3279	17015	\N	ST	11872947
339429	1152	1996-01-05	PRIJEM	PREVOD Z UCTU	3279	16305	\N	ST	11872947
339430	1152	1996-02-05	PRIJEM	PREVOD Z UCTU	3279	15758	\N	ST	11872947
339431	1152	1996-03-05	PRIJEM	PREVOD Z UCTU	3279	16290	\N	ST	11872947
339432	1152	1996-04-05	PRIJEM	PREVOD Z UCTU	3279	17426	\N	ST	11872947
339433	1152	1996-05-05	PRIJEM	PREVOD Z UCTU	3279	18565	\N	ST	11872947
339434	1152	1996-06-05	PRIJEM	PREVOD Z UCTU	3279	19443	\N	ST	11872947
339435	1152	1996-07-05	PRIJEM	PREVOD Z UCTU	3279	20590	\N	ST	11872947
339436	1152	1996-08-05	PRIJEM	PREVOD Z UCTU	3279	21243	\N	ST	11872947
339437	1152	1996-09-05	PRIJEM	PREVOD Z UCTU	3279	19796	\N	ST	11872947
339438	1152	1996-10-05	PRIJEM	PREVOD Z UCTU	3279	18844	\N	ST	11872947
339439	1152	1996-11-05	PRIJEM	PREVOD Z UCTU	3279	17987	\N	ST	11872947
339440	1152	1996-12-05	PRIJEM	PREVOD Z UCTU	3279	17828	\N	ST	11872947
339441	1152	1997-01-05	PRIJEM	PREVOD Z UCTU	3279	18248	\N	ST	11872947
339442	1152	1997-02-05	PRIJEM	PREVOD Z UCTU	3279	17498	\N	ST	11872947
339443	1152	1997-03-05	PRIJEM	PREVOD Z UCTU	3279	17336	\N	ST	11872947
339444	1152	1997-04-05	PRIJEM	PREVOD Z UCTU	3279	18475	\N	ST	11872947
339445	1152	1997-05-05	PRIJEM	PREVOD Z UCTU	3279	17016	\N	ST	11872947
339446	1152	1997-06-05	PRIJEM	PREVOD Z UCTU	3279	18153	\N	ST	11872947
339447	1152	1997-07-05	PRIJEM	PREVOD Z UCTU	3279	19295	\N	ST	11872947
339448	1152	1997-08-05	PRIJEM	PREVOD Z UCTU	3279	20291	\N	ST	11872947
339449	1152	1997-09-05	PRIJEM	PREVOD Z UCTU	3279	17437	\N	ST	11872947
339450	1152	1997-10-05	PRIJEM	PREVOD Z UCTU	3279	18275	\N	ST	11872947
339451	1152	1997-11-05	PRIJEM	PREVOD Z UCTU	3279	16413	\N	ST	11872947
339452	1152	1997-12-05	PRIJEM	PREVOD Z UCTU	3279	17547	\N	ST	11872947
339453	1152	1998-01-05	PRIJEM	PREVOD Z UCTU	3279	17876	\N	ST	11872947
339454	1152	1998-02-05	PRIJEM	PREVOD Z UCTU	3279	17907	\N	ST	11872947
339455	1152	1998-03-05	PRIJEM	PREVOD Z UCTU	3279	16142	\N	ST	11872947
339456	1152	1998-04-05	PRIJEM	PREVOD Z UCTU	3279	16975	\N	ST	11872947
339457	1152	1998-05-05	PRIJEM	PREVOD Z UCTU	3279	18111	\N	ST	11872947
339458	1152	1998-06-05	PRIJEM	PREVOD Z UCTU	3279	18321	\N	ST	11872947
339459	1152	1998-07-05	PRIJEM	PREVOD Z UCTU	3279	17479	\N	ST	11872947
339460	1152	1998-08-05	PRIJEM	PREVOD Z UCTU	3279	18617	\N	ST	11872947
339461	1152	1998-09-05	PRIJEM	PREVOD Z UCTU	3279	19761	\N	ST	11872947
339462	1152	1998-10-05	PRIJEM	PREVOD Z UCTU	3279	20908	\N	ST	11872947
339463	1152	1998-11-05	PRIJEM	PREVOD Z UCTU	3279	22061	\N	ST	11872947
339464	1152	1998-12-05	PRIJEM	PREVOD Z UCTU	3279	23218	\N	ST	11872947
339473	1152	1993-09-13	VYDAJ	PREVOD NA UCET	2186	15009	SIPO	GH	77527123
339474	1152	1993-10-13	VYDAJ	PREVOD NA UCET	2186	16125	SIPO	GH	77527123
339475	1152	1993-11-13	VYDAJ	PREVOD NA UCET	2186	17269	SIPO	GH	77527123
339476	1152	1993-12-13	VYDAJ	PREVOD NA UCET	2186	18417	SIPO	GH	77527123
339477	1152	1994-01-13	VYDAJ	PREVOD NA UCET	2186	17410	SIPO	GH	77527123
339478	1152	1994-02-13	VYDAJ	PREVOD NA UCET	2186	17394	SIPO	GH	77527123
339479	1152	1994-03-13	VYDAJ	PREVOD NA UCET	2186	18095	SIPO	GH	77527123
339480	1152	1994-04-13	VYDAJ	PREVOD NA UCET	2186	19251	SIPO	GH	77527123
339481	1152	1994-05-13	VYDAJ	PREVOD NA UCET	2186	20408	SIPO	GH	77527123
339482	1152	1994-06-13	VYDAJ	PREVOD NA UCET	2186	20869	SIPO	GH	77527123
339483	1152	1994-07-13	VYDAJ	PREVOD NA UCET	2186	19235	SIPO	GH	77527123
339484	1152	1994-08-13	VYDAJ	PREVOD NA UCET	2186	19897	SIPO	GH	77527123
339485	1152	1994-09-13	VYDAJ	PREVOD NA UCET	2186	19917	SIPO	GH	77527123
339486	1152	1994-10-13	VYDAJ	PREVOD NA UCET	2186	19854	SIPO	GH	77527123
339487	1152	1994-11-13	VYDAJ	PREVOD NA UCET	2186	21016	SIPO	GH	77527123
339488	1152	1994-12-13	VYDAJ	PREVOD NA UCET	2186	21520	SIPO	GH	77527123
339489	1152	1995-01-13	VYDAJ	PREVOD NA UCET	2186	19920	SIPO	GH	77527123
339490	1152	1995-02-13	VYDAJ	PREVOD NA UCET	2186	20425	SIPO	GH	77527123
339491	1152	1995-03-13	VYDAJ	PREVOD NA UCET	2186	21586	SIPO	GH	77527123
339492	1152	1995-04-13	VYDAJ	PREVOD NA UCET	2186	22753	SIPO	GH	77527123
339493	1152	1995-05-13	VYDAJ	PREVOD NA UCET	2186	19973	SIPO	GH	77527123
339494	1152	1995-06-13	VYDAJ	PREVOD NA UCET	2186	14952	SIPO	GH	77527123
339495	1152	1995-07-13	VYDAJ	PREVOD NA UCET	2186	14511	SIPO	GH	77527123
339496	1152	1995-08-13	VYDAJ	PREVOD NA UCET	2186	15652	SIPO	GH	77527123
339497	1152	1995-09-13	VYDAJ	PREVOD NA UCET	2186	16494	SIPO	GH	77527123
339498	1152	1995-10-13	VYDAJ	PREVOD NA UCET	2186	15602	SIPO	GH	77527123
339499	1152	1995-11-13	VYDAJ	PREVOD NA UCET	2186	14787	SIPO	GH	77527123
339500	1152	1995-12-13	VYDAJ	PREVOD NA UCET	2186	14079	SIPO	GH	77527123
339501	1152	1996-01-13	VYDAJ	PREVOD NA UCET	2186	12439	SIPO	GH	77527123
339502	1152	1996-02-13	VYDAJ	PREVOD NA UCET	2186	13572	SIPO	GH	77527123
339503	1152	1996-03-13	VYDAJ	PREVOD NA UCET	2186	14104	SIPO	GH	77527123
339504	1152	1996-04-13	VYDAJ	PREVOD NA UCET	2186	15240	SIPO	GH	77527123
339505	1152	1996-05-13	VYDAJ	PREVOD NA UCET	2186	16109	SIPO	GH	77527123
339506	1152	1996-06-13	VYDAJ	PREVOD NA UCET	2186	17257	SIPO	GH	77527123
339507	1152	1996-07-13	VYDAJ	PREVOD NA UCET	2186	18404	SIPO	GH	77527123
339508	1152	1996-08-13	VYDAJ	PREVOD NA UCET	2186	19057	SIPO	GH	77527123
339509	1152	1996-09-13	VYDAJ	PREVOD NA UCET	2186	17610	SIPO	GH	77527123
339510	1152	1996-10-13	VYDAJ	PREVOD NA UCET	2186	16658	SIPO	GH	77527123
339511	1152	1996-11-13	VYDAJ	PREVOD NA UCET	2186	15801	SIPO	GH	77527123
339512	1152	1996-12-13	VYDAJ	PREVOD NA UCET	2186	15642	SIPO	GH	77527123
339513	1152	1997-01-13	VYDAJ	PREVOD NA UCET	2186	14832	SIPO	GH	77527123
339514	1152	1997-02-13	VYDAJ	PREVOD NA UCET	2186	15312	SIPO	GH	77527123
339515	1152	1997-03-13	VYDAJ	PREVOD NA UCET	2186	15150	SIPO	GH	77527123
339516	1152	1997-04-13	VYDAJ	PREVOD NA UCET	2186	16289	SIPO	GH	77527123
339517	1152	1997-05-13	VYDAJ	PREVOD NA UCET	2186	14830	SIPO	GH	77527123
339518	1152	1997-06-13	VYDAJ	PREVOD NA UCET	2186	15967	SIPO	GH	77527123
339519	1152	1997-07-13	VYDAJ	PREVOD NA UCET	2186	17109	SIPO	GH	77527123
339520	1152	1997-08-13	VYDAJ	PREVOD NA UCET	2186	18105	SIPO	GH	77527123
339521	1152	1997-09-13	VYDAJ	PREVOD NA UCET	2186	15251	SIPO	GH	77527123
339522	1152	1997-10-13	VYDAJ	PREVOD NA UCET	2186	16089	SIPO	GH	77527123
339523	1152	1997-11-13	VYDAJ	PREVOD NA UCET	2186	14227	SIPO	GH	77527123
339524	1152	1997-12-13	VYDAJ	PREVOD NA UCET	2186	15361	SIPO	GH	77527123
339525	1152	1998-01-13	VYDAJ	PREVOD NA UCET	2186	14580	SIPO	GH	77527123
339526	1152	1998-02-13	VYDAJ	PREVOD NA UCET	2186	15721	SIPO	GH	77527123
339527	1152	1998-03-13	VYDAJ	PREVOD NA UCET	2186	13956	SIPO	GH	77527123
339528	1152	1998-04-13	VYDAJ	PREVOD NA UCET	2186	14789	SIPO	GH	77527123
339529	1152	1998-05-13	VYDAJ	PREVOD NA UCET	2186	15925	SIPO	GH	77527123
339530	1152	1998-06-13	VYDAJ	PREVOD NA UCET	2186	14155	SIPO	GH	77527123
339531	1152	1998-07-13	VYDAJ	PREVOD NA UCET	2186	15293	SIPO	GH	77527123
339532	1152	1998-08-13	VYDAJ	PREVOD NA UCET	2186	16431	SIPO	GH	77527123
339533	1152	1998-09-13	VYDAJ	PREVOD NA UCET	2186	17575	SIPO	GH	77527123
339534	1152	1998-10-13	VYDAJ	PREVOD NA UCET	2186	18722	SIPO	GH	77527123
339535	1152	1998-11-13	VYDAJ	PREVOD NA UCET	2186	19875	SIPO	GH	77527123
339536	1152	1998-12-13	VYDAJ	PREVOD NA UCET	2186	21032	SIPO	GH	77527123
339539	1152	1995-06-12	VYDAJ	VYBER	3990	17138	\N	\N	\N
339542	1152	1998-06-07	VYDAJ	VYBER	1980	16341	\N	\N	\N
339543	1152	1993-12-22	VYDAJ	VYBER	300	18117	\N	\N	\N
339544	1152	1994-12-04	VYDAJ	VYBER	660	20427	\N	\N	\N
339545	1152	1995-12-09	VYDAJ	VYBER	750	16265	\N	\N	\N
339546	1152	1996-12-19	VYDAJ	VYBER	720	14922	\N	\N	\N
339547	1152	1997-12-24	VYDAJ	VYBER	390	14971	\N	\N	\N
339548	1152	1998-12-30	VYDAJ	VYBER	390	20642	\N	\N	\N
339555	1152	1994-01-24	VYDAJ	VYBER	240	16990	\N	\N	\N
339556	1152	1994-01-08	VYDAJ	VYBER	270	19596	\N	\N	\N
339557	1152	1994-01-07	VYDAJ	VYBER	780	19866	\N	\N	\N
339558	1152	1994-01-03	VYDAJ	VYBER	600	17577	\N	\N	\N
339559	1152	1994-01-21	VYDAJ	VYBER	180	17230	\N	\N	\N
339560	1152	1994-01-03	VYDAJ	VYBER	210	17367	\N	\N	\N
339561	1152	1995-01-28	VYDAJ	VYBER	180	19260	\N	\N	\N
339562	1152	1995-01-12	VYDAJ	VYBER	810	22106	\N	\N	\N
339563	1152	1995-01-07	VYDAJ	VYBER	330	23546	\N	\N	\N
339564	1152	1995-01-24	VYDAJ	VYBER	480	19440	\N	\N	\N
339565	1152	1995-01-06	VYDAJ	VYBER	150	23876	\N	\N	\N
339566	1152	1995-01-07	VYDAJ	VYBER	240	23306	\N	\N	\N
339569	1152	1996-01-11	VYDAJ	VYBER	240	16065	\N	\N	\N
339570	1152	1996-01-11	VYDAJ	VYBER	600	15465	\N	\N	\N
339571	1152	1996-01-11	VYDAJ	VYBER	840	14625	\N	\N	\N
339575	1152	1997-01-07	VYDAJ	VYBER	600	17348	\N	\N	\N
339576	1152	1997-01-19	VYDAJ	VYBER	660	14172	\N	\N	\N
339577	1152	1997-01-05	VYDAJ	VYBER	300	17948	\N	\N	\N
339578	1152	1997-01-11	VYDAJ	VYBER	330	17018	\N	\N	\N
339579	1152	1998-01-06	VYDAJ	VYBER	240	17636	\N	\N	\N
339581	1152	1998-01-02	VYDAJ	VYBER	420	14597	\N	\N	\N
339583	1152	1998-01-08	VYDAJ	VYBER	870	16766	\N	\N	\N
339590	1152	1994-03-06	VYDAJ	VYBER	450	20281	\N	\N	\N
339591	1152	1994-02-09	VYDAJ	VYBER	750	19580	\N	\N	\N
339592	1152	1994-09-14	VYDAJ	VYBER	1020	18897	\N	\N	\N
339593	1152	1994-08-18	VYDAJ	VYBER	1140	18757	\N	\N	\N
339594	1152	1995-01-05	VYDAJ	VYBER	450	24426	\N	\N	\N
339595	1152	1995-06-29	VYDAJ	VYBER	990	13962	\N	\N	\N
339597	1152	1995-10-27	VYDAJ	VYBER	660	14942	\N	\N	\N
339598	1152	1995-01-08	VYDAJ	VYBER	390	22916	\N	\N	\N
339599	1152	1995-10-03	VYDAJ	VYBER	1140	14509	\N	\N	\N
339600	1152	1995-04-20	VYDAJ	VYBER	450	22303	\N	\N	\N
339601	1152	1996-05-05	VYDAJ	VYBER	270	18295	\N	\N	\N
339603	1152	1997-09-24	VYDAJ	VYBER	300	14951	\N	\N	\N
339604	1152	1997-07-24	VYDAJ	VYBER	150	16959	\N	\N	\N
339605	1152	1997-04-21	VYDAJ	VYBER	300	15989	\N	\N	\N
339609	1152	1998-05-21	VYDAJ	VYBER	930	14995	\N	\N	\N
339619	1152	1993-09-30	VYDAJ	VYBER	15	15032	SLUZBY	\N	\N
339620	1152	1993-10-31	VYDAJ	VYBER	15	16176	SLUZBY	\N	\N
339621	1152	1993-11-30	VYDAJ	VYBER	15	17324	SLUZBY	\N	\N
339622	1152	1993-12-31	VYDAJ	VYBER	15	18177	SLUZBY	\N	\N
339623	1152	1994-01-31	VYDAJ	VYBER	15	17051	SLUZBY	\N	\N
339624	1152	1994-02-28	VYDAJ	VYBER	15	17452	SLUZBY	\N	\N
339625	1152	1994-03-31	VYDAJ	VYBER	15	18158	SLUZBY	\N	\N
339626	1152	1994-04-30	VYDAJ	VYBER	15	19315	SLUZBY	\N	\N
339627	1152	1994-05-31	VYDAJ	VYBER	15	20476	SLUZBY	\N	\N
339628	1152	1994-06-30	VYDAJ	VYBER	15	20942	SLUZBY	\N	\N
339629	1152	1994-07-31	VYDAJ	VYBER	15	19304	SLUZBY	\N	\N
339630	1152	1994-08-31	VYDAJ	VYBER	15	18824	SLUZBY	\N	\N
339631	1152	1994-09-30	VYDAJ	VYBER	15	18961	SLUZBY	\N	\N
339632	1152	1994-10-31	VYDAJ	VYBER	15	19923	SLUZBY	\N	\N
339633	1152	1994-11-30	VYDAJ	VYBER	15	21087	SLUZBY	\N	\N
339634	1152	1994-12-31	VYDAJ	VYBER	15	21597	SLUZBY	\N	\N
339635	1152	1995-01-31	VYDAJ	VYBER	15	19332	SLUZBY	\N	\N
339636	1152	1995-02-28	VYDAJ	VYBER	15	20493	SLUZBY	\N	\N
339637	1152	1995-03-31	VYDAJ	VYBER	15	21660	SLUZBY	\N	\N
339638	1152	1995-04-30	VYDAJ	VYBER	15	22380	SLUZBY	\N	\N
339639	1152	1995-05-31	VYDAJ	VYBER	15	20049	SLUZBY	\N	\N
339640	1152	1995-06-30	VYDAJ	VYBER	15	14018	SLUZBY	\N	\N
339641	1152	1995-07-31	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
339642	1152	1995-08-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
339643	1152	1995-09-30	VYDAJ	VYBER	15	16549	SLUZBY	\N	\N
339644	1152	1995-10-31	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
339645	1152	1995-11-30	VYDAJ	VYBER	15	14836	SLUZBY	\N	\N
339646	1152	1995-12-31	VYDAJ	VYBER	15	14126	SLUZBY	\N	\N
339647	1152	1996-01-31	VYDAJ	VYBER	15	12479	SLUZBY	\N	\N
339648	1152	1996-02-29	VYDAJ	VYBER	15	13611	SLUZBY	\N	\N
339649	1152	1996-03-31	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
339650	1152	1996-04-30	VYDAJ	VYBER	15	15286	SLUZBY	\N	\N
339651	1152	1996-05-31	VYDAJ	VYBER	15	16164	SLUZBY	\N	\N
339652	1152	1996-06-30	VYDAJ	VYBER	15	17311	SLUZBY	\N	\N
339653	1152	1996-07-31	VYDAJ	VYBER	15	17964	SLUZBY	\N	\N
339654	1152	1996-08-31	VYDAJ	VYBER	15	16517	SLUZBY	\N	\N
339655	1152	1996-09-30	VYDAJ	VYBER	15	15565	SLUZBY	\N	\N
339656	1152	1996-10-31	VYDAJ	VYBER	15	14708	SLUZBY	\N	\N
339657	1152	1996-11-30	VYDAJ	VYBER	15	14549	SLUZBY	\N	\N
339658	1152	1996-12-31	VYDAJ	VYBER	15	14969	SLUZBY	\N	\N
339659	1152	1997-01-31	VYDAJ	VYBER	15	14219	SLUZBY	\N	\N
339660	1152	1997-02-28	VYDAJ	VYBER	15	14057	SLUZBY	\N	\N
339661	1152	1997-03-31	VYDAJ	VYBER	15	15196	SLUZBY	\N	\N
339662	1152	1997-04-30	VYDAJ	VYBER	15	13737	SLUZBY	\N	\N
339663	1152	1997-05-31	VYDAJ	VYBER	15	14874	SLUZBY	\N	\N
339664	1152	1997-06-30	VYDAJ	VYBER	15	16016	SLUZBY	\N	\N
339665	1152	1997-07-31	VYDAJ	VYBER	15	17012	SLUZBY	\N	\N
339666	1152	1997-08-31	VYDAJ	VYBER	15	14158	SLUZBY	\N	\N
339667	1152	1997-09-30	VYDAJ	VYBER	15	14996	SLUZBY	\N	\N
339668	1152	1997-10-31	VYDAJ	VYBER	15	13134	SLUZBY	\N	\N
339669	1152	1997-11-30	VYDAJ	VYBER	15	14268	SLUZBY	\N	\N
339670	1152	1997-12-31	VYDAJ	VYBER	15	15017	SLUZBY	\N	\N
339671	1152	1998-01-31	VYDAJ	VYBER	15	14628	SLUZBY	\N	\N
339672	1152	1998-02-28	VYDAJ	VYBER	15	12863	SLUZBY	\N	\N
339673	1152	1998-03-31	VYDAJ	VYBER	15	13696	SLUZBY	\N	\N
339674	1152	1998-04-30	VYDAJ	VYBER	15	14832	SLUZBY	\N	\N
339675	1152	1998-05-31	VYDAJ	VYBER	15	15042	SLUZBY	\N	\N
339676	1152	1998-06-30	VYDAJ	VYBER	15	14200	SLUZBY	\N	\N
339677	1152	1998-07-31	VYDAJ	VYBER	15	15338	SLUZBY	\N	\N
339678	1152	1998-08-31	VYDAJ	VYBER	15	16482	SLUZBY	\N	\N
339679	1152	1998-09-30	VYDAJ	VYBER	15	17629	SLUZBY	\N	\N
339680	1152	1998-10-31	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
339681	1152	1998-11-30	VYDAJ	VYBER	15	19939	SLUZBY	\N	\N
339682	1152	1994-06-09	VYDAJ	VYBER	700	23055	\N	\N	\N
339683	1152	1994-07-09	VYDAJ	VYBER	2800	21421	\N	\N	\N
339684	1152	1994-08-08	VYDAJ	VYBER	500	22083	\N	\N	\N
339685	1152	1994-10-07	VYDAJ	VYBER	200	22040	\N	\N	\N
339686	1152	1995-01-05	VYDAJ	VYBER	400	24026	\N	\N	\N
339687	1152	1995-05-05	VYDAJ	VYBER	3500	22159	\N	\N	\N
339688	1152	1995-06-04	VYDAJ	VYBER	2200	17849	\N	\N	\N
339689	1152	1995-07-04	VYDAJ	VYBER	600	13418	\N	\N	\N
339690	1152	1995-09-02	VYDAJ	VYBER	300	15401	\N	\N	\N
339691	1152	1995-10-02	VYDAJ	VYBER	900	15649	\N	\N	\N
339692	1152	1995-11-01	VYDAJ	VYBER	1300	13694	\N	\N	\N
339693	1152	1995-12-01	VYDAJ	VYBER	1100	13736	\N	\N	\N
339694	1152	1995-12-31	VYDAJ	VYBER	1100	13026	\N	\N	\N
339695	1152	1996-02-29	VYDAJ	VYBER	600	13011	\N	\N	\N
339696	1152	1996-07-28	VYDAJ	VYBER	500	17904	\N	\N	\N
339697	1152	1996-08-27	VYDAJ	VYBER	2600	16457	\N	\N	\N
339698	1152	1996-09-26	VYDAJ	VYBER	2100	15510	\N	\N	\N
339699	1152	1996-10-26	VYDAJ	VYBER	2000	14658	\N	\N	\N
339700	1152	1996-11-25	VYDAJ	VYBER	1300	14501	\N	\N	\N
339701	1152	1997-02-23	VYDAJ	VYBER	1300	14012	\N	\N	\N
339702	1152	1997-04-24	VYDAJ	VYBER	2300	13689	\N	\N	\N
339703	1152	1997-08-22	VYDAJ	VYBER	4000	14105	\N	\N	\N
339704	1152	1997-10-21	VYDAJ	VYBER	3000	13089	\N	\N	\N
339705	1152	1998-02-18	VYDAJ	VYBER	2900	12821	\N	\N	\N
339706	1152	1998-03-20	VYDAJ	VYBER	300	13656	\N	\N	\N
339771	1153	1993-12-29	PRIJEM	VKLAD	200	200	\N	\N	\N
339784	1153	1994-01-14	PRIJEM	VKLAD	12012	12212	\N	\N	\N
339785	1153	1994-02-14	PRIJEM	VKLAD	12012	28533	\N	\N	\N
339786	1153	1994-03-14	PRIJEM	VKLAD	12012	38217	\N	\N	\N
339787	1153	1994-04-14	PRIJEM	VKLAD	12012	42439	\N	\N	\N
339788	1153	1994-05-14	PRIJEM	VKLAD	12012	44578	\N	\N	\N
339789	1153	1994-06-14	PRIJEM	VKLAD	18018	39284	\N	\N	\N
339790	1153	1994-07-14	PRIJEM	VKLAD	12012	36474	\N	\N	\N
339791	1153	1994-08-14	PRIJEM	VKLAD	12012	35256	\N	\N	\N
339792	1153	1994-09-14	PRIJEM	VKLAD	12012	35833	\N	\N	\N
339793	1153	1994-10-14	PRIJEM	VKLAD	12012	29913	\N	\N	\N
339794	1153	1994-11-14	PRIJEM	VKLAD	12012	33379	\N	\N	\N
339795	1153	1994-12-14	PRIJEM	VKLAD	18018	35352	\N	\N	\N
339796	1153	1995-01-14	PRIJEM	VKLAD	12012	27117	\N	\N	\N
339797	1153	1995-02-14	PRIJEM	VKLAD	12012	26962	\N	\N	\N
339798	1153	1995-03-14	PRIJEM	VKLAD	12012	30504	\N	\N	\N
339799	1153	1995-04-14	PRIJEM	VKLAD	12012	29760	\N	\N	\N
339800	1153	1995-05-14	PRIJEM	VKLAD	12012	26513	\N	\N	\N
339801	1153	1995-06-14	PRIJEM	VKLAD	18018	33362	\N	\N	\N
339802	1153	1995-07-14	PRIJEM	VKLAD	12012	21804	\N	\N	\N
339803	1153	1995-08-14	PRIJEM	VKLAD	12012	26929	\N	\N	\N
339804	1153	1995-09-14	PRIJEM	VKLAD	12012	30071	\N	\N	\N
339805	1153	1995-10-14	PRIJEM	VKLAD	12012	32325	\N	\N	\N
339806	1153	1995-11-14	PRIJEM	VKLAD	12012	31883	\N	\N	\N
339807	1153	1995-12-14	PRIJEM	VKLAD	18018	34448	\N	\N	\N
339808	1153	1996-01-14	PRIJEM	VKLAD	12012	30408	\N	\N	\N
339809	1153	1996-02-14	PRIJEM	VKLAD	12012	23652	\N	\N	\N
339810	1153	1996-03-14	PRIJEM	VKLAD	12012	24575	\N	\N	\N
339811	1153	1996-04-14	PRIJEM	VKLAD	12012	25502	\N	\N	\N
339812	1153	1996-05-14	PRIJEM	VKLAD	12012	28536	\N	\N	\N
339813	1153	1996-06-14	PRIJEM	VKLAD	18018	34883	\N	\N	\N
339814	1153	1996-07-14	PRIJEM	VKLAD	12012	30637	\N	\N	\N
339815	1153	1996-08-14	PRIJEM	VKLAD	12012	32894	\N	\N	\N
339816	1153	1996-09-14	PRIJEM	VKLAD	12012	29243	\N	\N	\N
339817	1153	1996-10-14	PRIJEM	VKLAD	12012	27180	\N	\N	\N
339818	1153	1996-11-14	PRIJEM	VKLAD	12012	24913	\N	\N	\N
339819	1153	1996-12-14	PRIJEM	VKLAD	18018	32760	\N	\N	\N
339820	1153	1997-01-14	PRIJEM	VKLAD	12012	24825	\N	\N	\N
339821	1153	1997-02-14	PRIJEM	VKLAD	12012	25772	\N	\N	\N
339822	1153	1997-03-14	PRIJEM	VKLAD	12012	31912	\N	\N	\N
339823	1153	1997-04-14	PRIJEM	VKLAD	12012	28177	\N	\N	\N
339824	1153	1997-05-14	PRIJEM	VKLAD	12012	29438	\N	\N	\N
339825	1153	1997-06-14	PRIJEM	VKLAD	18018	31906	\N	\N	\N
339826	1153	1997-07-14	PRIJEM	VKLAD	12012	38074	\N	\N	\N
339827	1153	1997-08-14	PRIJEM	VKLAD	12012	19766	\N	\N	\N
339828	1153	1997-09-14	PRIJEM	VKLAD	12012	25913	\N	\N	\N
339829	1153	1997-10-14	PRIJEM	VKLAD	12012	32054	\N	\N	\N
339830	1153	1997-11-14	PRIJEM	VKLAD	12012	37020	\N	\N	\N
339831	1153	1997-12-14	PRIJEM	VKLAD	18018	45510	\N	\N	\N
339832	1153	1998-01-14	PRIJEM	VKLAD	12012	36621	\N	\N	\N
339833	1153	1998-02-14	PRIJEM	VKLAD	12012	33107	\N	\N	\N
339834	1153	1998-03-14	PRIJEM	VKLAD	12012	39277	\N	\N	\N
339835	1153	1998-04-14	PRIJEM	VKLAD	12012	45474	\N	\N	\N
339836	1153	1998-05-14	PRIJEM	VKLAD	12012	51696	\N	\N	\N
339837	1153	1998-06-14	PRIJEM	VKLAD	18018	63950	\N	\N	\N
339838	1153	1998-07-14	PRIJEM	VKLAD	12012	22633	\N	\N	\N
339839	1153	1998-08-14	PRIJEM	VKLAD	12012	28818	\N	\N	\N
339840	1153	1998-09-14	PRIJEM	VKLAD	12012	34971	\N	\N	\N
339841	1153	1998-10-14	PRIJEM	VKLAD	12012	39049	\N	\N	\N
339842	1153	1998-11-14	PRIJEM	VKLAD	12012	45245	\N	\N	\N
339843	1153	1998-12-14	PRIJEM	VKLAD	18018	57471	\N	\N	\N
339861	1153	1994-06-11	VYDAJ	PREVOD NA UCET	4918	26599	SIPO	QR	24663144
339862	1153	1994-07-11	VYDAJ	PREVOD NA UCET	4918	25495	SIPO	QR	24663144
339863	1153	1994-08-11	VYDAJ	PREVOD NA UCET	4918	24277	SIPO	QR	24663144
339864	1153	1994-09-11	VYDAJ	PREVOD NA UCET	4918	24854	SIPO	QR	24663144
339865	1153	1994-10-11	VYDAJ	PREVOD NA UCET	4918	22634	SIPO	QR	24663144
339866	1153	1994-11-11	VYDAJ	PREVOD NA UCET	4918	22400	SIPO	QR	24663144
339867	1153	1994-12-11	VYDAJ	PREVOD NA UCET	4918	18367	SIPO	QR	24663144
339868	1153	1995-01-11	VYDAJ	PREVOD NA UCET	4918	16938	SIPO	QR	24663144
339869	1153	1995-02-11	VYDAJ	PREVOD NA UCET	4918	15983	SIPO	QR	24663144
339870	1153	1995-03-11	VYDAJ	PREVOD NA UCET	4918	19525	SIPO	QR	24663144
339871	1153	1995-04-11	VYDAJ	PREVOD NA UCET	4918	18781	SIPO	QR	24663144
339872	1153	1995-05-11	VYDAJ	PREVOD NA UCET	4918	15534	SIPO	QR	24663144
339873	1153	1995-06-11	VYDAJ	PREVOD NA UCET	4918	16377	SIPO	QR	24663144
339874	1153	1995-07-11	VYDAJ	PREVOD NA UCET	4918	10825	SIPO	QR	24663144
339875	1153	1995-08-11	VYDAJ	PREVOD NA UCET	4918	15950	SIPO	QR	24663144
339876	1153	1995-09-11	VYDAJ	PREVOD NA UCET	4918	19092	SIPO	QR	24663144
339877	1153	1995-10-11	VYDAJ	PREVOD NA UCET	4918	21346	SIPO	QR	24663144
339878	1153	1995-11-11	VYDAJ	PREVOD NA UCET	4918	20904	SIPO	QR	24663144
339879	1153	1995-12-11	VYDAJ	PREVOD NA UCET	4918	17463	SIPO	QR	24663144
339880	1153	1996-01-11	VYDAJ	PREVOD NA UCET	4918	19429	SIPO	QR	24663144
339881	1153	1996-02-11	VYDAJ	PREVOD NA UCET	4918	12673	SIPO	QR	24663144
339882	1153	1996-03-11	VYDAJ	PREVOD NA UCET	4918	13596	SIPO	QR	24663144
339883	1153	1996-04-11	VYDAJ	PREVOD NA UCET	4918	14523	SIPO	QR	24663144
339884	1153	1996-05-11	VYDAJ	PREVOD NA UCET	4918	17557	SIPO	QR	24663144
339885	1153	1996-06-11	VYDAJ	PREVOD NA UCET	4918	17898	SIPO	QR	24663144
339886	1153	1996-07-11	VYDAJ	PREVOD NA UCET	4918	19658	SIPO	QR	24663144
339887	1153	1996-08-11	VYDAJ	PREVOD NA UCET	4918	21915	SIPO	QR	24663144
339888	1153	1996-09-11	VYDAJ	PREVOD NA UCET	4918	18264	SIPO	QR	24663144
339889	1153	1996-10-11	VYDAJ	PREVOD NA UCET	4918	16201	SIPO	QR	24663144
339890	1153	1996-11-11	VYDAJ	PREVOD NA UCET	4918	16234	SIPO	QR	24663144
339891	1153	1996-12-11	VYDAJ	PREVOD NA UCET	4918	17275	SIPO	QR	24663144
339892	1153	1997-01-11	VYDAJ	PREVOD NA UCET	4918	19346	SIPO	QR	24663144
339893	1153	1997-02-11	VYDAJ	PREVOD NA UCET	4918	14793	SIPO	QR	24663144
339894	1153	1997-03-11	VYDAJ	PREVOD NA UCET	4918	20933	SIPO	QR	24663144
339895	1153	1997-04-11	VYDAJ	PREVOD NA UCET	4918	26098	SIPO	QR	24663144
339896	1153	1997-05-11	VYDAJ	PREVOD NA UCET	4918	21959	SIPO	QR	24663144
339897	1153	1997-06-11	VYDAJ	PREVOD NA UCET	4918	24621	SIPO	QR	24663144
339898	1153	1997-07-11	VYDAJ	PREVOD NA UCET	4918	27095	SIPO	QR	24663144
339899	1153	1997-08-11	VYDAJ	PREVOD NA UCET	4918	8787	SIPO	QR	24663144
339900	1153	1997-09-11	VYDAJ	PREVOD NA UCET	4918	14934	SIPO	QR	24663144
339901	1153	1997-10-11	VYDAJ	PREVOD NA UCET	4918	21075	SIPO	QR	24663144
339902	1153	1997-11-11	VYDAJ	PREVOD NA UCET	4918	26041	SIPO	QR	24663144
339903	1153	1997-12-11	VYDAJ	PREVOD NA UCET	4918	28525	SIPO	QR	24663144
339904	1153	1998-01-11	VYDAJ	PREVOD NA UCET	4918	28442	SIPO	QR	24663144
339905	1153	1998-02-11	VYDAJ	PREVOD NA UCET	4918	22128	SIPO	QR	24663144
339906	1153	1998-03-11	VYDAJ	PREVOD NA UCET	4918	28298	SIPO	QR	24663144
339907	1153	1998-04-11	VYDAJ	PREVOD NA UCET	4918	34495	SIPO	QR	24663144
339908	1153	1998-05-11	VYDAJ	PREVOD NA UCET	4918	40717	SIPO	QR	24663144
339909	1153	1998-06-11	VYDAJ	PREVOD NA UCET	4918	46965	SIPO	QR	24663144
339910	1153	1998-07-11	VYDAJ	PREVOD NA UCET	4918	11654	SIPO	QR	24663144
339911	1153	1998-08-11	VYDAJ	PREVOD NA UCET	4918	17839	SIPO	QR	24663144
339912	1153	1998-09-11	VYDAJ	PREVOD NA UCET	4918	23992	SIPO	QR	24663144
339913	1153	1998-10-11	VYDAJ	PREVOD NA UCET	4918	28070	SIPO	QR	24663144
339914	1153	1998-11-11	VYDAJ	PREVOD NA UCET	4918	34266	SIPO	QR	24663144
339915	1153	1998-12-11	VYDAJ	PREVOD NA UCET	4918	40486	SIPO	QR	24663144
339933	1153	1994-06-13	VYDAJ	PREVOD NA UCET	1033	25566	 	MN	55908048
339934	1153	1994-07-13	VYDAJ	PREVOD NA UCET	1033	24462	 	MN	55908048
339935	1153	1994-08-13	VYDAJ	PREVOD NA UCET	1033	23244	 	MN	55908048
339936	1153	1994-09-13	VYDAJ	PREVOD NA UCET	1033	23821	 	MN	55908048
339937	1153	1994-10-13	VYDAJ	PREVOD NA UCET	1033	21601	 	MN	55908048
339938	1153	1994-11-13	VYDAJ	PREVOD NA UCET	1033	21367	 	MN	55908048
339939	1153	1994-12-13	VYDAJ	PREVOD NA UCET	1033	17334	 	MN	55908048
339940	1153	1995-01-13	VYDAJ	PREVOD NA UCET	1033	15105	 	MN	55908048
339941	1153	1995-02-13	VYDAJ	PREVOD NA UCET	1033	14950	 	MN	55908048
339942	1153	1995-03-13	VYDAJ	PREVOD NA UCET	1033	18492	 	MN	55908048
339943	1153	1995-04-13	VYDAJ	PREVOD NA UCET	1033	17748	 	MN	55908048
339944	1153	1995-05-13	VYDAJ	PREVOD NA UCET	1033	14501	 	MN	55908048
339945	1153	1995-06-13	VYDAJ	PREVOD NA UCET	1033	15344	 	MN	55908048
339946	1153	1995-07-13	VYDAJ	PREVOD NA UCET	1033	9792	 	MN	55908048
339947	1153	1995-08-13	VYDAJ	PREVOD NA UCET	1033	14917	 	MN	55908048
339948	1153	1995-09-13	VYDAJ	PREVOD NA UCET	1033	18059	 	MN	55908048
339949	1153	1995-10-13	VYDAJ	PREVOD NA UCET	1033	20313	 	MN	55908048
339950	1153	1995-11-13	VYDAJ	PREVOD NA UCET	1033	19871	 	MN	55908048
339951	1153	1995-12-13	VYDAJ	PREVOD NA UCET	1033	16430	 	MN	55908048
339952	1153	1996-01-13	VYDAJ	PREVOD NA UCET	1033	18396	 	MN	55908048
339953	1153	1996-02-13	VYDAJ	PREVOD NA UCET	1033	11640	 	MN	55908048
339954	1153	1996-03-13	VYDAJ	PREVOD NA UCET	1033	12563	 	MN	55908048
339955	1153	1996-04-13	VYDAJ	PREVOD NA UCET	1033	13490	 	MN	55908048
339956	1153	1996-05-13	VYDAJ	PREVOD NA UCET	1033	16524	 	MN	55908048
339957	1153	1996-06-13	VYDAJ	PREVOD NA UCET	1033	16865	 	MN	55908048
339958	1153	1996-07-13	VYDAJ	PREVOD NA UCET	1033	18625	 	MN	55908048
339959	1153	1996-08-13	VYDAJ	PREVOD NA UCET	1033	20882	 	MN	55908048
339960	1153	1996-09-13	VYDAJ	PREVOD NA UCET	1033	17231	 	MN	55908048
339961	1153	1996-10-13	VYDAJ	PREVOD NA UCET	1033	15168	 	MN	55908048
339962	1153	1996-11-13	VYDAJ	PREVOD NA UCET	1033	15201	 	MN	55908048
339963	1153	1996-12-13	VYDAJ	PREVOD NA UCET	1033	14742	 	MN	55908048
339964	1153	1997-01-13	VYDAJ	PREVOD NA UCET	1033	12813	 	MN	55908048
339965	1153	1997-02-13	VYDAJ	PREVOD NA UCET	1033	13760	 	MN	55908048
339966	1153	1997-03-13	VYDAJ	PREVOD NA UCET	1033	19900	 	MN	55908048
339967	1153	1997-04-13	VYDAJ	PREVOD NA UCET	1033	16165	 	MN	55908048
339968	1153	1997-05-13	VYDAJ	PREVOD NA UCET	1033	17426	 	MN	55908048
339969	1153	1997-06-13	VYDAJ	PREVOD NA UCET	1033	13888	 	MN	55908048
339970	1153	1997-07-13	VYDAJ	PREVOD NA UCET	1033	26062	 	MN	55908048
339971	1153	1997-08-13	VYDAJ	PREVOD NA UCET	1033	7754	 	MN	55908048
339972	1153	1997-09-13	VYDAJ	PREVOD NA UCET	1033	13901	 	MN	55908048
339973	1153	1997-10-13	VYDAJ	PREVOD NA UCET	1033	20042	 	MN	55908048
339974	1153	1997-11-13	VYDAJ	PREVOD NA UCET	1033	25008	 	MN	55908048
339975	1153	1997-12-13	VYDAJ	PREVOD NA UCET	1033	27492	 	MN	55908048
339976	1153	1998-01-13	VYDAJ	PREVOD NA UCET	1033	24609	 	MN	55908048
339977	1153	1998-02-13	VYDAJ	PREVOD NA UCET	1033	21095	 	MN	55908048
339978	1153	1998-03-13	VYDAJ	PREVOD NA UCET	1033	27265	 	MN	55908048
339979	1153	1998-04-13	VYDAJ	PREVOD NA UCET	1033	33462	 	MN	55908048
339980	1153	1998-05-13	VYDAJ	PREVOD NA UCET	1033	39684	 	MN	55908048
339981	1153	1998-06-13	VYDAJ	PREVOD NA UCET	1033	45932	 	MN	55908048
339982	1153	1998-07-13	VYDAJ	PREVOD NA UCET	1033	10621	 	MN	55908048
339983	1153	1998-08-13	VYDAJ	PREVOD NA UCET	1033	16806	 	MN	55908048
339984	1153	1998-09-13	VYDAJ	PREVOD NA UCET	1033	22959	 	MN	55908048
339985	1153	1998-10-13	VYDAJ	PREVOD NA UCET	1033	27037	 	MN	55908048
339986	1153	1998-11-13	VYDAJ	PREVOD NA UCET	1033	33233	 	MN	55908048
339987	1153	1998-12-13	VYDAJ	PREVOD NA UCET	1033	39453	 	MN	55908048
339989	1153	1994-06-13	VYDAJ	VYBER	4300	21266	\N	\N	\N
339990	1153	1995-06-23	VYDAJ	VYBER	12700	15662	\N	\N	\N
339993	1153	1998-06-22	VYDAJ	VYBER	3400	60550	\N	\N	\N
339996	1153	1995-01-08	VYDAJ	VYBER	4100	21856	\N	\N	\N
339997	1153	1996-01-21	VYDAJ	VYBER	5800	18008	\N	\N	\N
339998	1153	1997-01-06	VYDAJ	VYBER	4500	25764	\N	\N	\N
339999	1153	1998-01-29	VYDAJ	VYBER	8000	26921	\N	\N	\N
340001	1153	1994-12-09	VYDAJ	VYBER	2900	23285	\N	\N	\N
340002	1153	1995-12-05	VYDAJ	VYBER	2700	22381	\N	\N	\N
340003	1153	1996-12-05	VYDAJ	VYBER	2800	22193	\N	\N	\N
340004	1153	1997-12-27	VYDAJ	VYBER	800	44710	\N	\N	\N
340005	1153	1998-12-28	VYDAJ	VYBER	1500	55971	\N	\N	\N
340018	1153	1995-01-02	VYDAJ	VYBER	1100	25956	\N	\N	\N
340019	1153	1995-01-21	VYDAJ	VYBER	1500	21117	\N	\N	\N
340020	1153	1995-01-17	VYDAJ	VYBER	1500	25617	\N	\N	\N
340021	1153	1995-01-21	VYDAJ	VYBER	1000	22617	\N	\N	\N
340022	1153	1995-01-20	VYDAJ	VYBER	2000	23617	\N	\N	\N
340023	1153	1995-01-13	VYDAJ	VYBER	800	16138	\N	\N	\N
340024	1153	1996-01-18	VYDAJ	VYBER	2600	23808	\N	\N	\N
340025	1153	1996-01-01	VYDAJ	VYBER	1700	26947	\N	\N	\N
340026	1153	1996-01-18	VYDAJ	VYBER	1800	26408	\N	\N	\N
340027	1153	1996-01-17	VYDAJ	VYBER	2400	28008	\N	\N	\N
340028	1153	1996-01-09	VYDAJ	VYBER	2600	24347	\N	\N	\N
340029	1153	1996-01-29	VYDAJ	VYBER	500	17508	\N	\N	\N
340030	1153	1997-01-27	VYDAJ	VYBER	1700	21925	\N	\N	\N
340031	1153	1997-01-01	VYDAJ	VYBER	2600	30264	\N	\N	\N
340032	1153	1997-01-30	VYDAJ	VYBER	2300	19625	\N	\N	\N
340033	1153	1997-01-21	VYDAJ	VYBER	1200	23625	\N	\N	\N
340034	1153	1997-01-10	VYDAJ	VYBER	1500	24264	\N	\N	\N
340036	1153	1998-01-04	VYDAJ	VYBER	1900	33360	\N	\N	\N
340037	1153	1998-01-04	VYDAJ	VYBER	1500	35860	\N	\N	\N
340038	1153	1998-01-04	VYDAJ	VYBER	600	35260	\N	\N	\N
340039	1153	1998-01-03	VYDAJ	VYBER	1200	37360	\N	\N	\N
340040	1153	1998-01-22	VYDAJ	VYBER	1700	34921	\N	\N	\N
340041	1153	1998-01-11	VYDAJ	VYBER	2800	25642	\N	\N	\N
340048	1153	1994-05-22	VYDAJ	VYBER	1900	38878	\N	\N	\N
340049	1153	1994-10-13	VYDAJ	VYBER	3700	17901	\N	\N	\N
340050	1153	1994-05-14	VYDAJ	VYBER	3800	40778	\N	\N	\N
340051	1153	1994-10-06	VYDAJ	VYBER	3400	27552	\N	\N	\N
340052	1153	1995-01-31	VYDAJ	VYBER	2200	20915	\N	\N	\N
340053	1153	1995-02-19	VYDAJ	VYBER	1500	25462	\N	\N	\N
340054	1153	1995-11-27	VYDAJ	VYBER	3200	24983	\N	\N	\N
340055	1153	1995-03-26	VYDAJ	VYBER	3900	23604	\N	\N	\N
340056	1153	1995-05-06	VYDAJ	VYBER	4400	20452	\N	\N	\N
340057	1153	1996-07-03	VYDAJ	VYBER	3400	24576	\N	\N	\N
340058	1153	1996-09-23	VYDAJ	VYBER	1100	21043	\N	\N	\N
340059	1153	1997-03-17	VYDAJ	VYBER	1000	30912	\N	\N	\N
340060	1153	1997-10-26	VYDAJ	VYBER	1200	30854	\N	\N	\N
340061	1153	1997-05-13	VYDAJ	VYBER	3500	18459	\N	\N	\N
340062	1153	1997-11-24	VYDAJ	VYBER	3700	33320	\N	\N	\N
340063	1153	1997-12-27	VYDAJ	VYBER	3200	41510	\N	\N	\N
340064	1153	1997-04-16	VYDAJ	VYBER	1400	26777	\N	\N	\N
340065	1153	1998-01-03	VYDAJ	VYBER	3100	38560	\N	\N	\N
340066	1153	1998-10-07	VYDAJ	VYBER	2100	32988	\N	\N	\N
340084	1153	1994-05-31	VYDAJ	VYBER	15	31517	SLUZBY	\N	\N
340085	1153	1994-06-30	VYDAJ	VYBER	15	30413	SLUZBY	\N	\N
340086	1153	1994-07-31	VYDAJ	VYBER	15	29195	SLUZBY	\N	\N
340087	1153	1994-08-31	VYDAJ	VYBER	15	29772	SLUZBY	\N	\N
340088	1153	1994-09-30	VYDAJ	VYBER	15	30952	SLUZBY	\N	\N
340089	1153	1994-10-31	VYDAJ	VYBER	15	27318	SLUZBY	\N	\N
340090	1153	1994-11-30	VYDAJ	VYBER	15	26185	SLUZBY	\N	\N
340091	1153	1994-12-31	VYDAJ	VYBER	15	27056	SLUZBY	\N	\N
340092	1153	1995-01-31	VYDAJ	VYBER	15	20901	SLUZBY	\N	\N
340093	1153	1995-02-28	VYDAJ	VYBER	15	24443	SLUZBY	\N	\N
340094	1153	1995-03-31	VYDAJ	VYBER	15	23699	SLUZBY	\N	\N
340095	1153	1995-04-30	VYDAJ	VYBER	15	24852	SLUZBY	\N	\N
340096	1153	1995-05-31	VYDAJ	VYBER	15	21295	SLUZBY	\N	\N
340097	1153	1995-06-30	VYDAJ	VYBER	15	15743	SLUZBY	\N	\N
340098	1153	1995-07-31	VYDAJ	VYBER	15	20868	SLUZBY	\N	\N
340099	1153	1995-08-31	VYDAJ	VYBER	15	24010	SLUZBY	\N	\N
340100	1153	1995-09-30	VYDAJ	VYBER	15	26264	SLUZBY	\N	\N
340101	1153	1995-10-31	VYDAJ	VYBER	15	25822	SLUZBY	\N	\N
340102	1153	1995-11-30	VYDAJ	VYBER	15	25081	SLUZBY	\N	\N
340103	1153	1995-12-31	VYDAJ	VYBER	15	28647	SLUZBY	\N	\N
340104	1153	1996-01-31	VYDAJ	VYBER	15	17591	SLUZBY	\N	\N
340105	1153	1996-02-29	VYDAJ	VYBER	15	18514	SLUZBY	\N	\N
340106	1153	1996-03-31	VYDAJ	VYBER	15	19441	SLUZBY	\N	\N
340107	1153	1996-04-30	VYDAJ	VYBER	15	22475	SLUZBY	\N	\N
340108	1153	1996-05-31	VYDAJ	VYBER	15	22816	SLUZBY	\N	\N
340109	1153	1996-06-30	VYDAJ	VYBER	15	27976	SLUZBY	\N	\N
340110	1153	1996-07-31	VYDAJ	VYBER	15	26833	SLUZBY	\N	\N
340111	1153	1996-08-31	VYDAJ	VYBER	15	23182	SLUZBY	\N	\N
340112	1153	1996-09-30	VYDAJ	VYBER	15	21119	SLUZBY	\N	\N
340113	1153	1996-10-31	VYDAJ	VYBER	15	21152	SLUZBY	\N	\N
340114	1153	1996-11-30	VYDAJ	VYBER	15	24993	SLUZBY	\N	\N
340115	1153	1996-12-31	VYDAJ	VYBER	15	32864	SLUZBY	\N	\N
340116	1153	1997-01-31	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
340117	1153	1997-02-28	VYDAJ	VYBER	15	25851	SLUZBY	\N	\N
340118	1153	1997-03-31	VYDAJ	VYBER	15	31016	SLUZBY	\N	\N
340119	1153	1997-04-30	VYDAJ	VYBER	15	26877	SLUZBY	\N	\N
340120	1153	1997-05-31	VYDAJ	VYBER	15	29539	SLUZBY	\N	\N
340121	1153	1997-06-30	VYDAJ	VYBER	15	32013	SLUZBY	\N	\N
340122	1153	1997-07-31	VYDAJ	VYBER	15	38205	SLUZBY	\N	\N
340123	1153	1997-08-31	VYDAJ	VYBER	15	19852	SLUZBY	\N	\N
340124	1153	1997-09-30	VYDAJ	VYBER	15	25993	SLUZBY	\N	\N
340125	1153	1997-10-31	VYDAJ	VYBER	15	30959	SLUZBY	\N	\N
340126	1153	1997-11-30	VYDAJ	VYBER	15	33443	SLUZBY	\N	\N
340127	1153	1997-12-31	VYDAJ	VYBER	15	41660	SLUZBY	\N	\N
340128	1153	1998-01-31	VYDAJ	VYBER	15	27046	SLUZBY	\N	\N
340129	1153	1998-02-28	VYDAJ	VYBER	15	33216	SLUZBY	\N	\N
340130	1153	1998-03-31	VYDAJ	VYBER	15	39413	SLUZBY	\N	\N
340131	1153	1998-04-30	VYDAJ	VYBER	15	45635	SLUZBY	\N	\N
340132	1153	1998-05-31	VYDAJ	VYBER	15	51883	SLUZBY	\N	\N
340133	1153	1998-06-30	VYDAJ	VYBER	15	60772	SLUZBY	\N	\N
340134	1153	1998-07-31	VYDAJ	VYBER	15	22757	SLUZBY	\N	\N
340135	1153	1998-08-31	VYDAJ	VYBER	15	28910	SLUZBY	\N	\N
340136	1153	1998-09-30	VYDAJ	VYBER	15	35088	SLUZBY	\N	\N
340137	1153	1998-10-31	VYDAJ	VYBER	15	39184	SLUZBY	\N	\N
340138	1153	1998-11-30	VYDAJ	VYBER	15	45404	SLUZBY	\N	\N
340139	1153	1994-01-28	PRIJEM	VKLAD	4300	16512	\N	\N	\N
340140	1153	1994-02-27	VYDAJ	VYBER	2400	26133	\N	\N	\N
340141	1153	1994-03-29	VYDAJ	VYBER	7900	30317	\N	\N	\N
340142	1153	1994-04-28	VYDAJ	VYBER	10000	32439	\N	\N	\N
340143	1153	1994-05-28	VYDAJ	VYBER	7500	31378	\N	\N	\N
340144	1153	1994-06-27	VYDAJ	VYBER	9000	30284	\N	\N	\N
340145	1153	1994-07-27	VYDAJ	VYBER	7400	29074	\N	\N	\N
340146	1153	1994-08-26	VYDAJ	VYBER	5600	29656	\N	\N	\N
340147	1153	1994-09-25	VYDAJ	VYBER	5000	30833	\N	\N	\N
340148	1153	1994-10-25	VYDAJ	VYBER	2700	27213	\N	\N	\N
340149	1153	1994-11-24	VYDAJ	VYBER	7300	26079	\N	\N	\N
340150	1153	1994-12-24	VYDAJ	VYBER	8400	26952	\N	\N	\N
340151	1153	1995-01-23	PRIJEM	VKLAD	1900	23017	\N	\N	\N
340152	1153	1995-02-22	VYDAJ	VYBER	1100	24362	\N	\N	\N
340153	1153	1995-03-24	VYDAJ	VYBER	3000	27504	\N	\N	\N
340154	1153	1995-04-23	VYDAJ	VYBER	5000	24760	\N	\N	\N
340155	1153	1995-05-23	VYDAJ	VYBER	5300	21213	\N	\N	\N
340156	1153	1995-06-22	VYDAJ	VYBER	5000	28362	\N	\N	\N
340157	1153	1995-07-22	VYDAJ	VYBER	1000	20804	\N	\N	\N
340158	1153	1995-08-21	VYDAJ	VYBER	3000	23929	\N	\N	\N
340159	1153	1995-09-20	VYDAJ	VYBER	3900	26171	\N	\N	\N
340160	1153	1995-10-20	VYDAJ	VYBER	6600	25725	\N	\N	\N
340161	1153	1995-11-19	VYDAJ	VYBER	3700	28183	\N	\N	\N
340162	1153	1995-12-19	VYDAJ	VYBER	5900	28548	\N	\N	\N
340163	1153	1996-01-18	PRIJEM	VKLAD	200	28208	\N	\N	\N
340164	1153	1996-02-17	VYDAJ	VYBER	5200	18452	\N	\N	\N
340165	1153	1996-03-18	VYDAJ	VYBER	5200	19375	\N	\N	\N
340166	1153	1996-04-17	VYDAJ	VYBER	3100	22402	\N	\N	\N
340167	1153	1996-05-17	VYDAJ	VYBER	5800	22736	\N	\N	\N
340168	1153	1996-06-16	VYDAJ	VYBER	7000	27883	\N	\N	\N
340169	1153	1996-07-16	VYDAJ	VYBER	3900	26737	\N	\N	\N
340170	1153	1996-08-15	VYDAJ	VYBER	9800	23094	\N	\N	\N
340171	1153	1996-09-14	VYDAJ	VYBER	7100	22143	\N	\N	\N
340172	1153	1996-10-14	VYDAJ	VYBER	6100	21080	\N	\N	\N
340173	1153	1996-11-13	VYDAJ	VYBER	2300	12901	\N	\N	\N
340174	1153	1996-12-13	VYDAJ	VYBER	1500	15775	\N	\N	\N
340175	1153	1997-01-12	VYDAJ	VYBER	5500	13846	\N	\N	\N
340176	1153	1997-04-12	VYDAJ	VYBER	8900	17198	\N	\N	\N
340177	1153	1997-06-11	VYDAJ	VYBER	9700	14921	\N	\N	\N
340178	1153	1997-08-10	VYDAJ	VYBER	24500	13705	\N	\N	\N
340179	1153	1998-07-06	VYDAJ	VYBER	44200	16572	\N	\N	\N
340240	1154	1997-08-29	PRIJEM	VKLAD	400	400	\N	\N	\N
340241	1154	1997-10-27	PRIJEM	VKLAD	30767	108509	\N	\N	\N
340244	1154	1997-10-01	PRIJEM	VKLAD	42875	108142	\N	\N	\N
340248	1154	1997-09-17	PRIJEM	VKLAD	13590	56157	\N	\N	\N
340254	1154	1997-12-07	PRIJEM	VKLAD	23622	61649	\N	\N	\N
340255	1154	1997-09-20	PRIJEM	VKLAD	48943	105100	\N	\N	\N
340256	1154	1997-09-06	PRIJEM	VKLAD	42167	42567	\N	\N	\N
340257	1154	1997-11-16	PRIJEM	VKLAD	6775	44880	\N	\N	\N
340262	1154	1997-12-10	PRIJEM	VKLAD	6419	64593	\N	\N	\N
340264	1154	1998-12-14	PRIJEM	VKLAD	5987	58137	\N	\N	\N
340265	1154	1998-08-23	PRIJEM	VKLAD	19614	102206	\N	\N	\N
340266	1154	1998-06-26	PRIJEM	VKLAD	31481	78790	\N	\N	\N
340267	1154	1998-04-01	PRIJEM	VKLAD	18808	67817	\N	\N	\N
340268	1154	1998-07-26	PRIJEM	VKLAD	21968	72627	\N	\N	\N
340269	1154	1998-11-12	PRIJEM	VKLAD	47828	133387	\N	\N	\N
340270	1154	1998-11-11	PRIJEM	VKLAD	9829	85559	\N	\N	\N
340271	1154	1998-01-05	PRIJEM	VKLAD	43713	85972	\N	\N	\N
340272	1154	1998-07-31	PRIJEM	VKLAD	19049	91676	\N	\N	\N
340273	1154	1998-03-25	PRIJEM	VKLAD	47962	99469	\N	\N	\N
340274	1154	1998-04-06	PRIJEM	VKLAD	23735	91552	\N	\N	\N
340275	1154	1998-12-26	PRIJEM	VKLAD	13171	56108	\N	\N	\N
340276	1154	1998-10-13	PRIJEM	VKLAD	7885	108539	\N	\N	\N
340277	1154	1998-10-31	PRIJEM	VKLAD	25926	62465	\N	\N	\N
340278	1154	1998-08-20	PRIJEM	VKLAD	36395	124834	\N	\N	\N
340279	1154	1998-10-04	PRIJEM	VKLAD	45944	104129	\N	\N	\N
340280	1154	1998-06-03	PRIJEM	VKLAD	22336	67684	\N	\N	\N
340281	1154	1998-11-11	PRIJEM	VKLAD	16460	75730	\N	\N	\N
340282	1154	1998-08-21	PRIJEM	VKLAD	45458	117992	\N	\N	\N
340283	1154	1998-03-27	PRIJEM	VKLAD	30872	109380	\N	\N	\N
340284	1154	1998-09-08	PRIJEM	VKLAD	6965	89185	\N	\N	\N
340285	1154	1998-02-01	PRIJEM	VKLAD	15629	59953	\N	\N	\N
340286	1154	1998-02-18	PRIJEM	VKLAD	15525	72003	\N	\N	\N
340287	1154	1998-02-26	PRIJEM	VKLAD	9373	63776	\N	\N	\N
340288	1154	1998-03-25	PRIJEM	VKLAD	19539	119008	\N	\N	\N
340289	1154	1998-05-04	PRIJEM	VKLAD	48329	109298	\N	\N	\N
340290	1154	1998-09-05	PRIJEM	VKLAD	35652	82220	\N	\N	\N
340291	1154	1998-08-02	PRIJEM	VKLAD	17945	109914	\N	\N	\N
340302	1154	1997-11-09	VYDAJ	PREVOD NA UCET	3475	38105	SIPO	IJ	42328703
340303	1154	1997-12-09	VYDAJ	PREVOD NA UCET	3475	58174	SIPO	IJ	42328703
340304	1154	1998-01-09	VYDAJ	PREVOD NA UCET	3475	76197	SIPO	IJ	42328703
340305	1154	1998-02-09	VYDAJ	PREVOD NA UCET	3475	56478	SIPO	IJ	42328703
340306	1154	1998-03-09	VYDAJ	PREVOD NA UCET	3475	54807	SIPO	IJ	42328703
340307	1154	1998-04-09	VYDAJ	PREVOD NA UCET	3475	88077	SIPO	IJ	42328703
340308	1154	1998-05-09	VYDAJ	PREVOD NA UCET	3475	63523	SIPO	IJ	42328703
340309	1154	1998-06-09	VYDAJ	PREVOD NA UCET	3475	64209	SIPO	IJ	42328703
340310	1154	1998-07-09	VYDAJ	PREVOD NA UCET	3475	75559	SIPO	IJ	42328703
340311	1154	1998-08-09	VYDAJ	PREVOD NA UCET	3475	88439	SIPO	IJ	42328703
340312	1154	1998-09-09	VYDAJ	PREVOD NA UCET	3475	85710	SIPO	IJ	42328703
340313	1154	1998-10-09	VYDAJ	PREVOD NA UCET	3475	100654	SIPO	IJ	42328703
340314	1154	1998-11-09	VYDAJ	PREVOD NA UCET	3475	59270	SIPO	IJ	42328703
340315	1154	1998-12-09	VYDAJ	PREVOD NA UCET	3475	52150	SIPO	IJ	42328703
340316	1154	1998-08-28	VYBER	VYBER	17770	49536	\N	\N	\N
340319	1154	1997-12-15	VYDAJ	VYBER	3900	46893	\N	\N	\N
340320	1154	1998-12-26	VYDAJ	VYBER KARTOU	3600	52508	\N	\N	0
340327	1154	1998-01-05	VYDAJ	VYBER	4800	81172	\N	\N	\N
340328	1154	1998-01-22	VYDAJ	VYBER	8700	61197	\N	\N	\N
340329	1154	1998-01-23	VYDAJ	VYBER	8100	53097	\N	\N	\N
340330	1154	1998-01-12	VYDAJ	VYBER	6300	69897	\N	\N	\N
340331	1154	1998-01-07	VYDAJ	VYBER	1500	79672	\N	\N	\N
340332	1154	1998-01-30	VYDAJ	VYBER	2100	44097	\N	\N	\N
340333	1154	1997-12-10	VYDAJ	VYBER	13800	50793	\N	\N	\N
340338	1154	1998-06-01	VYDAJ	VYBER	4800	45348	\N	\N	\N
340339	1154	1998-12-19	VYDAJ	VYBER	10500	47637	\N	\N	\N
340340	1154	1998-09-04	VYDAJ	VYBER	3300	46568	\N	\N	\N
340341	1154	1998-02-27	VYDAJ	VYBER	5700	58076	\N	\N	\N
340342	1154	1998-02-22	VYDAJ	VYBER	3000	69003	\N	\N	\N
340343	1154	1998-03-16	VYDAJ	VYBER	3300	51507	\N	\N	\N
340344	1154	1998-03-30	VYDAJ	VYBER	9900	48780	\N	\N	\N
340355	1154	1997-10-31	VYDAJ	VYBER	30	41580	SLUZBY	\N	\N
340356	1154	1997-11-30	VYDAJ	VYBER	30	38027	SLUZBY	\N	\N
340357	1154	1997-12-31	VYDAJ	VYBER	30	42259	SLUZBY	\N	\N
340358	1154	1998-01-31	VYDAJ	VYBER	30	44324	SLUZBY	\N	\N
340359	1154	1998-02-28	VYDAJ	VYBER	30	58282	SLUZBY	\N	\N
340360	1154	1998-03-31	VYDAJ	VYBER	30	49009	SLUZBY	\N	\N
340361	1154	1998-04-30	VYDAJ	VYBER	30	60969	SLUZBY	\N	\N
340362	1154	1998-05-31	VYDAJ	VYBER	30	50148	SLUZBY	\N	\N
340363	1154	1998-06-30	VYDAJ	VYBER	30	79034	SLUZBY	\N	\N
340364	1154	1998-07-31	VYDAJ	VYBER	30	91969	SLUZBY	\N	\N
340365	1154	1998-08-31	VYDAJ	VYBER	30	49868	SLUZBY	\N	\N
340366	1154	1998-09-30	VYDAJ	VYBER	30	58185	SLUZBY	\N	\N
340367	1154	1998-10-31	VYDAJ	VYBER	30	62745	SLUZBY	\N	\N
340368	1154	1998-11-30	VYDAJ	VYBER	30	55625	SLUZBY	\N	\N
340369	1154	1997-09-28	VYDAJ	VYBER	40000	65100	\N	\N	\N
340370	1154	1997-10-01	VYDAJ	VYBER	30400	77742	\N	\N	\N
340371	1154	1997-10-27	VYDAJ	VYBER	56200	52309	\N	\N	\N
340372	1154	1997-10-28	VYDAJ	VYBER	11000	41309	\N	\N	\N
340373	1154	1997-11-27	VYDAJ	VYBER	7000	37880	\N	\N	\N
340374	1154	1997-12-27	VYDAJ	VYBER	4800	42093	\N	\N	\N
340375	1154	1998-01-26	VYDAJ	VYBER	6900	46197	\N	\N	\N
340376	1154	1998-02-25	VYDAJ	VYBER	14600	54403	\N	\N	\N
340377	1154	1998-03-25	VYDAJ	VYBER	40500	78508	\N	\N	\N
340378	1154	1998-03-27	VYDAJ	VYBER	20200	89180	\N	\N	\N
340379	1154	1998-03-27	VYDAJ	VYBER	30500	58680	\N	\N	\N
340380	1154	1998-04-26	VYDAJ	VYBER	27400	60677	\N	\N	\N
340381	1154	1998-05-04	VYDAJ	VYBER	42300	66998	\N	\N	\N
340382	1154	1998-05-26	VYDAJ	VYBER	13600	49923	\N	\N	\N
340383	1154	1998-06-25	VYDAJ	VYBER	16900	47309	\N	\N	\N
340384	1154	1998-07-25	VYDAJ	VYBER	24900	50659	\N	\N	\N
340385	1154	1998-08-02	VYDAJ	VYBER	18000	91914	\N	\N	\N
340386	1154	1998-08-20	VYDAJ	VYBER	52300	72534	\N	\N	\N
340387	1154	1998-08-21	VYDAJ	VYBER	35400	82592	\N	\N	\N
340388	1154	1998-08-24	VYDAJ	VYBER	34900	67306	\N	\N	\N
340389	1154	1998-09-23	VYDAJ	VYBER	27800	57910	\N	\N	\N
340390	1154	1998-10-13	VYDAJ	VYBER	63400	45139	\N	\N	\N
340391	1154	1998-10-23	VYDAJ	VYBER	8600	36539	\N	\N	\N
340392	1154	1998-11-12	VYDAJ	VYBER	59600	73787	\N	\N	\N
340393	1154	1998-11-22	VYDAJ	VYBER	18400	55387	\N	\N	\N
340394	1154	1998-12-22	VYDAJ	VYBER KARTOU	4700	42937	\N	\N	0
340411	1155	1996-10-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
340421	1155	1996-10-12	PRIJEM	PREVOD Z UCTU	5959	7059	DUCHOD	MN	39938503
340422	1155	1996-11-12	PRIJEM	PREVOD Z UCTU	5959	13037	DUCHOD	MN	39938503
340423	1155	1996-12-12	PRIJEM	PREVOD Z UCTU	5959	19025	DUCHOD	MN	39938503
340424	1155	1997-01-12	PRIJEM	PREVOD Z UCTU	5959	25014	DUCHOD	MN	39938503
340425	1155	1997-02-12	PRIJEM	PREVOD Z UCTU	5959	27902	DUCHOD	MN	39938503
340426	1155	1997-03-12	PRIJEM	PREVOD Z UCTU	5959	27969	DUCHOD	MN	39938503
340427	1155	1997-04-12	PRIJEM	PREVOD Z UCTU	5959	27264	DUCHOD	MN	39938503
340428	1155	1997-05-12	PRIJEM	PREVOD Z UCTU	5959	28257	DUCHOD	MN	39938503
340429	1155	1997-06-12	PRIJEM	PREVOD Z UCTU	5959	25953	DUCHOD	MN	39938503
340430	1155	1997-07-12	PRIJEM	PREVOD Z UCTU	5959	26538	DUCHOD	MN	39938503
340431	1155	1997-08-12	PRIJEM	PREVOD Z UCTU	5959	29027	DUCHOD	MN	39938503
340432	1155	1997-09-12	PRIJEM	PREVOD Z UCTU	5959	29026	DUCHOD	MN	39938503
340433	1155	1997-10-12	PRIJEM	PREVOD Z UCTU	5959	31725	DUCHOD	MN	39938503
340434	1155	1997-11-12	PRIJEM	PREVOD Z UCTU	5959	33336	DUCHOD	MN	39938503
340435	1155	1997-12-12	PRIJEM	PREVOD Z UCTU	5959	36553	DUCHOD	MN	39938503
340436	1155	1998-01-12	PRIJEM	PREVOD Z UCTU	5959	33899	DUCHOD	MN	39938503
340437	1155	1998-02-12	PRIJEM	PREVOD Z UCTU	5959	27809	DUCHOD	MN	39938503
340438	1155	1998-03-12	PRIJEM	PREVOD Z UCTU	5959	30503	DUCHOD	MN	39938503
340439	1155	1998-04-12	PRIJEM	PREVOD Z UCTU	5959	29206	DUCHOD	MN	39938503
340440	1155	1998-05-12	PRIJEM	PREVOD Z UCTU	5959	28304	DUCHOD	MN	39938503
340441	1155	1998-06-12	PRIJEM	PREVOD Z UCTU	5959	27197	DUCHOD	MN	39938503
340442	1155	1998-07-12	PRIJEM	PREVOD Z UCTU	5959	19111	DUCHOD	MN	39938503
340443	1155	1998-08-12	PRIJEM	PREVOD Z UCTU	5959	21829	DUCHOD	MN	39938503
340444	1155	1998-09-12	PRIJEM	PREVOD Z UCTU	5959	25600	DUCHOD	MN	39938503
340445	1155	1998-10-12	PRIJEM	PREVOD Z UCTU	5959	26883	DUCHOD	MN	39938503
340446	1155	1998-11-12	PRIJEM	PREVOD Z UCTU	5959	22765	DUCHOD	MN	39938503
340447	1155	1998-12-12	PRIJEM	PREVOD Z UCTU	5959	17828	DUCHOD	MN	39938503
340462	1155	1997-03-05	VYDAJ	PREVOD NA UCET	2260	22010	SIPO	QR	81956076
340463	1155	1997-04-05	VYDAJ	PREVOD NA UCET	2260	21305	SIPO	QR	81956076
340464	1155	1997-05-05	VYDAJ	PREVOD NA UCET	2260	22298	SIPO	QR	81956076
340465	1155	1997-06-05	VYDAJ	PREVOD NA UCET	2260	19994	SIPO	QR	81956076
340466	1155	1997-07-05	VYDAJ	PREVOD NA UCET	2260	20579	SIPO	QR	81956076
340467	1155	1997-08-05	VYDAJ	PREVOD NA UCET	2260	23068	SIPO	QR	81956076
340468	1155	1997-09-05	VYDAJ	PREVOD NA UCET	2260	23067	SIPO	QR	81956076
340469	1155	1997-10-05	VYDAJ	PREVOD NA UCET	2260	25766	SIPO	QR	81956076
340470	1155	1997-11-05	VYDAJ	PREVOD NA UCET	2260	27377	SIPO	QR	81956076
340471	1155	1997-12-05	VYDAJ	PREVOD NA UCET	2260	30594	SIPO	QR	81956076
340472	1155	1998-01-05	VYDAJ	PREVOD NA UCET	2260	27940	SIPO	QR	81956076
340473	1155	1998-02-05	VYDAJ	PREVOD NA UCET	2260	21850	SIPO	QR	81956076
340474	1155	1998-03-05	VYDAJ	PREVOD NA UCET	2260	24544	SIPO	QR	81956076
340475	1155	1998-04-05	VYDAJ	PREVOD NA UCET	2260	23247	SIPO	QR	81956076
340476	1155	1998-05-05	VYDAJ	PREVOD NA UCET	2260	22345	SIPO	QR	81956076
340477	1155	1998-06-05	VYDAJ	PREVOD NA UCET	2260	21238	SIPO	QR	81956076
340478	1155	1998-07-05	VYDAJ	PREVOD NA UCET	2260	13152	SIPO	QR	81956076
340479	1155	1998-08-05	VYDAJ	PREVOD NA UCET	2260	15870	SIPO	QR	81956076
340480	1155	1998-09-05	VYDAJ	PREVOD NA UCET	2260	19641	SIPO	QR	81956076
340481	1155	1998-10-05	VYDAJ	PREVOD NA UCET	2260	20924	SIPO	QR	81956076
340482	1155	1998-11-05	VYDAJ	PREVOD NA UCET	2260	16806	SIPO	QR	81956076
340483	1155	1998-12-05	VYDAJ	PREVOD NA UCET	2260	11869	SIPO	QR	81956076
340485	1155	1997-06-02	VYDAJ	VYBER	4500	22254	\N	\N	\N
340486	1155	1998-06-14	VYDAJ	VYBER	11850	15347	\N	\N	\N
340489	1155	1998-01-20	VYDAJ	VYBER	3050	25489	\N	\N	\N
340491	1155	1997-12-18	VYDAJ	VYBER	600	35473	\N	\N	\N
340505	1155	1998-01-14	VYDAJ	VYBER	2320	31099	\N	\N	\N
340506	1155	1998-01-16	VYDAJ	VYBER	720	30379	\N	\N	\N
340507	1155	1998-01-12	VYDAJ	VYBER	480	33419	\N	\N	\N
340508	1155	1998-01-02	VYDAJ	VYBER	800	30200	\N	\N	\N
340509	1155	1998-01-16	VYDAJ	VYBER	1840	28539	\N	\N	\N
340510	1155	1998-01-25	VYDAJ	VYBER	1280	24209	\N	\N	\N
340516	1155	1997-12-16	VYDAJ	VYBER	480	36073	\N	\N	\N
340517	1155	1998-07-31	VYDAJ	VYBER	1040	18130	\N	\N	\N
340533	1155	1997-02-28	VYDAJ	VYBER	15	27970	SLUZBY	\N	\N
340534	1155	1997-03-31	VYDAJ	VYBER	15	28065	SLUZBY	\N	\N
340535	1155	1997-04-30	VYDAJ	VYBER	15	27358	SLUZBY	\N	\N
340536	1155	1997-05-31	VYDAJ	VYBER	15	28354	SLUZBY	\N	\N
340537	1155	1997-06-30	VYDAJ	VYBER	15	26039	SLUZBY	\N	\N
340538	1155	1997-07-31	VYDAJ	VYBER	15	26628	SLUZBY	\N	\N
340539	1155	1997-08-31	VYDAJ	VYBER	15	25327	SLUZBY	\N	\N
340540	1155	1997-09-30	VYDAJ	VYBER	15	28026	SLUZBY	\N	\N
340541	1155	1997-10-31	VYDAJ	VYBER	15	29637	SLUZBY	\N	\N
340542	1155	1997-11-30	VYDAJ	VYBER	15	32854	SLUZBY	\N	\N
340543	1155	1997-12-31	VYDAJ	VYBER	15	31000	SLUZBY	\N	\N
340544	1155	1998-01-31	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
340545	1155	1998-02-28	VYDAJ	VYBER	15	26804	SLUZBY	\N	\N
340546	1155	1998-03-31	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
340547	1155	1998-04-30	VYDAJ	VYBER	15	24605	SLUZBY	\N	\N
340548	1155	1998-05-31	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
340549	1155	1998-06-30	VYDAJ	VYBER	15	15412	SLUZBY	\N	\N
340550	1155	1998-07-31	VYDAJ	VYBER	15	19170	SLUZBY	\N	\N
340551	1155	1998-08-31	VYDAJ	VYBER	15	21901	SLUZBY	\N	\N
340552	1155	1998-09-30	VYDAJ	VYBER	15	23184	SLUZBY	\N	\N
340553	1155	1998-10-31	VYDAJ	VYBER	15	19066	SLUZBY	\N	\N
340554	1155	1998-11-30	VYDAJ	VYBER	15	14129	SLUZBY	\N	\N
340555	1155	1997-02-01	VYDAJ	VYBER	3100	21943	\N	\N	\N
340556	1155	1997-03-03	VYDAJ	VYBER	3700	24270	\N	\N	\N
340557	1155	1997-04-02	VYDAJ	VYBER	4500	23565	\N	\N	\N
340558	1155	1997-05-02	VYDAJ	VYBER	2800	24558	\N	\N	\N
340559	1155	1997-06-01	VYDAJ	VYBER	1600	26754	\N	\N	\N
340560	1155	1997-07-01	VYDAJ	VYBER	3200	22839	\N	\N	\N
340561	1155	1997-07-31	VYDAJ	VYBER	1300	25328	\N	\N	\N
340562	1155	1997-08-30	VYDAJ	VYBER	3800	25227	\N	\N	\N
340563	1155	1997-09-29	VYDAJ	VYBER	1100	27926	\N	\N	\N
340564	1155	1997-10-29	VYDAJ	VYBER	2200	29525	\N	\N	\N
340565	1155	1997-11-28	VYDAJ	VYBER	600	32736	\N	\N	\N
340566	1155	1997-12-28	VYDAJ	VYBER	4600	30873	\N	\N	\N
340567	1155	1998-01-27	VYDAJ	VYBER	200	24009	\N	\N	\N
340568	1155	1998-02-26	VYDAJ	VYBER	1100	26709	\N	\N	\N
340569	1155	1998-03-28	VYDAJ	VYBER	5100	25403	\N	\N	\N
340570	1155	1998-04-27	VYDAJ	VYBER	4700	24506	\N	\N	\N
340571	1155	1998-05-27	VYDAJ	VYBER	4900	23404	\N	\N	\N
340572	1155	1998-09-24	VYDAJ	VYBER	2500	23100	\N	\N	\N
340573	1155	1998-10-24	VYDAJ	VYBER	7900	18983	\N	\N	\N
340574	1155	1998-11-23	VYDAJ	VYBER	8700	14065	\N	\N	\N
340602	1156	1997-12-09	PRIJEM	VKLAD	300	300	\N	\N	\N
340614	1156	1997-12-10	PRIJEM	VKLAD	29774	30074	\N	\N	\N
340615	1156	1998-01-10	PRIJEM	VKLAD	19849	47112	\N	\N	\N
340616	1156	1998-02-10	PRIJEM	VKLAD	19849	58937	\N	\N	\N
340617	1156	1998-03-10	PRIJEM	VKLAD	19849	65615	\N	\N	\N
340618	1156	1998-04-10	PRIJEM	VKLAD	19849	69130	\N	\N	\N
340619	1156	1998-05-10	PRIJEM	VKLAD	19849	70248	\N	\N	\N
340620	1156	1998-06-10	PRIJEM	VKLAD	29774	80699	\N	\N	\N
340621	1156	1998-07-10	PRIJEM	VKLAD	19849	69528	\N	\N	\N
340622	1156	1998-08-10	PRIJEM	VKLAD	19849	69747	\N	\N	\N
340623	1156	1998-09-10	PRIJEM	VKLAD	19849	70072	\N	\N	\N
340624	1156	1998-10-10	PRIJEM	VKLAD	19849	71099	\N	\N	\N
340625	1156	1998-11-10	PRIJEM	VKLAD	19849	77628	\N	\N	\N
340626	1156	1998-12-10	PRIJEM	VKLAD	29774	88203	\N	\N	\N
340628	1156	1998-06-18	VYDAJ	VYBER	15700	64999	\N	\N	\N
340630	1156	1998-12-22	VYDAJ	VYBER KARTOU	2100	86103	\N	\N	0
340668	1156	1998-04-30	VYDAJ	VYBER	15	69399	SLUZBY	\N	\N
340669	1156	1998-05-31	VYDAJ	VYBER	15	70525	SLUZBY	\N	\N
340670	1156	1998-06-30	VYDAJ	VYBER	15	65279	SLUZBY	\N	\N
340671	1156	1998-07-31	VYDAJ	VYBER	15	69798	SLUZBY	\N	\N
340672	1156	1998-08-31	VYDAJ	VYBER	15	70023	SLUZBY	\N	\N
340673	1156	1998-09-30	VYDAJ	VYBER	15	70350	SLUZBY	\N	\N
340674	1156	1998-10-31	VYDAJ	VYBER	15	71379	SLUZBY	\N	\N
340675	1156	1998-11-30	VYDAJ	VYBER	15	77929	SLUZBY	\N	\N
340676	1156	1998-01-08	VYDAJ	VYBER	2900	27263	\N	\N	\N
340677	1156	1998-02-07	VYDAJ	VYBER	8200	39088	\N	\N	\N
340678	1156	1998-03-09	VYDAJ	VYBER	13400	45766	\N	\N	\N
340679	1156	1998-04-08	VYDAJ	VYBER	16600	49281	\N	\N	\N
340680	1156	1998-05-08	VYDAJ	VYBER	19000	50399	\N	\N	\N
340681	1156	1998-06-07	VYDAJ	VYBER	19600	50925	\N	\N	\N
340682	1156	1998-07-07	VYDAJ	VYBER	15600	49679	\N	\N	\N
340683	1156	1998-08-06	VYDAJ	VYBER	19900	49898	\N	\N	\N
340684	1156	1998-09-05	VYDAJ	VYBER	19800	50223	\N	\N	\N
340685	1156	1998-10-05	VYDAJ	VYBER	19100	51250	\N	\N	\N
340686	1156	1998-11-04	VYDAJ	VYBER	13600	57779	\N	\N	\N
340687	1156	1998-12-04	VYDAJ	VYBER	19500	58429	\N	\N	\N
340701	1157	1993-03-27	PRIJEM	VKLAD	700	700	\N	\N	\N
340705	1157	1993-04-08	PRIJEM	VKLAD	5588	6288	\N	\N	\N
340706	1157	1993-05-08	PRIJEM	VKLAD	5588	23088	\N	\N	\N
340707	1157	1993-06-08	PRIJEM	VKLAD	8382	32749	\N	\N	\N
340708	1157	1993-07-08	PRIJEM	VKLAD	5588	36243	\N	\N	\N
340709	1157	1993-08-08	PRIJEM	VKLAD	5588	36258	\N	\N	\N
340710	1157	1993-09-08	PRIJEM	VKLAD	5588	37360	\N	\N	\N
340711	1157	1993-10-08	PRIJEM	VKLAD	5588	32166	\N	\N	\N
340712	1157	1993-11-08	PRIJEM	VKLAD	5588	32366	\N	\N	\N
340713	1157	1993-12-08	PRIJEM	VKLAD	8382	35946	\N	\N	\N
340714	1157	1994-01-08	PRIJEM	VKLAD	5588	23134	\N	\N	\N
340715	1157	1994-02-08	PRIJEM	VKLAD	5588	28499	\N	\N	\N
340716	1157	1994-03-08	PRIJEM	VKLAD	5588	32974	\N	\N	\N
340717	1157	1994-04-08	PRIJEM	VKLAD	5588	33061	\N	\N	\N
340718	1157	1994-05-08	PRIJEM	VKLAD	5588	31149	\N	\N	\N
340719	1157	1994-06-08	PRIJEM	VKLAD	8382	35029	\N	\N	\N
340720	1157	1994-07-08	PRIJEM	VKLAD	5588	35919	\N	\N	\N
340721	1157	1994-08-08	PRIJEM	VKLAD	5588	37821	\N	\N	\N
340722	1157	1994-09-08	PRIJEM	VKLAD	5588	40333	\N	\N	\N
340723	1157	1994-10-08	PRIJEM	VKLAD	5588	42354	\N	\N	\N
340724	1157	1994-11-08	PRIJEM	VKLAD	5588	36872	\N	\N	\N
340725	1157	1994-12-08	PRIJEM	VKLAD	8382	38068	\N	\N	\N
340726	1157	1995-01-08	PRIJEM	VKLAD	5588	35177	\N	\N	\N
340727	1157	1995-02-08	PRIJEM	VKLAD	5588	28474	\N	\N	\N
340728	1157	1995-03-08	PRIJEM	VKLAD	5588	31348	\N	\N	\N
340729	1157	1995-04-08	PRIJEM	VKLAD	5588	34435	\N	\N	\N
340730	1157	1995-05-08	PRIJEM	VKLAD	5588	35229	\N	\N	\N
340731	1157	1995-06-08	PRIJEM	VKLAD	8382	37919	\N	\N	\N
340732	1157	1995-07-08	PRIJEM	VKLAD	5588	36317	\N	\N	\N
340733	1157	1995-08-08	PRIJEM	VKLAD	5588	34616	\N	\N	\N
340734	1157	1995-09-08	PRIJEM	VKLAD	5588	35317	\N	\N	\N
340735	1157	1995-10-08	PRIJEM	VKLAD	5588	34411	\N	\N	\N
340736	1157	1995-11-08	PRIJEM	VKLAD	5588	29997	\N	\N	\N
340737	1157	1995-12-08	PRIJEM	VKLAD	8382	32767	\N	\N	\N
340738	1157	1996-01-08	PRIJEM	VKLAD	5588	26642	\N	\N	\N
340739	1157	1996-02-08	PRIJEM	VKLAD	5588	23002	\N	\N	\N
340740	1157	1996-03-08	PRIJEM	VKLAD	5588	31170	\N	\N	\N
340741	1157	1996-04-08	PRIJEM	VKLAD	5588	34658	\N	\N	\N
340742	1157	1996-05-08	PRIJEM	VKLAD	5588	30046	\N	\N	\N
340743	1157	1996-06-08	PRIJEM	VKLAD	8382	33917	\N	\N	\N
340744	1157	1996-07-08	PRIJEM	VKLAD	5588	36311	\N	\N	\N
340745	1157	1996-08-08	PRIJEM	VKLAD	5588	40222	\N	\N	\N
340746	1157	1996-09-08	PRIJEM	VKLAD	5588	38433	\N	\N	\N
340747	1157	1996-10-08	PRIJEM	VKLAD	5588	41759	\N	\N	\N
340748	1157	1996-11-08	PRIJEM	VKLAD	5588	45402	\N	\N	\N
340749	1157	1996-12-08	PRIJEM	VKLAD	8382	48054	\N	\N	\N
340750	1157	1997-01-08	PRIJEM	VKLAD	5588	43322	\N	\N	\N
340751	1157	1997-02-08	PRIJEM	VKLAD	5588	38357	\N	\N	\N
340752	1157	1997-03-08	PRIJEM	VKLAD	5588	42385	\N	\N	\N
340753	1157	1997-04-08	PRIJEM	VKLAD	5588	45629	\N	\N	\N
340754	1157	1997-05-08	PRIJEM	VKLAD	5588	45388	\N	\N	\N
340755	1157	1997-06-08	PRIJEM	VKLAD	8382	48042	\N	\N	\N
340756	1157	1997-07-08	PRIJEM	VKLAD	5588	44410	\N	\N	\N
340757	1157	1997-08-08	PRIJEM	VKLAD	5588	42961	\N	\N	\N
340758	1157	1997-09-08	PRIJEM	VKLAD	5588	43210	\N	\N	\N
340759	1157	1997-10-08	PRIJEM	VKLAD	5588	46961	\N	\N	\N
340760	1157	1997-11-08	PRIJEM	VKLAD	5588	45324	\N	\N	\N
340761	1157	1997-12-08	PRIJEM	VKLAD	8382	48579	\N	\N	\N
340762	1157	1998-01-08	PRIJEM	VKLAD	5588	42047	\N	\N	\N
340763	1157	1998-02-08	PRIJEM	VKLAD	5588	36285	\N	\N	\N
340764	1157	1998-03-08	PRIJEM	VKLAD	5588	38084	\N	\N	\N
340765	1157	1998-04-08	PRIJEM	VKLAD	5588	35404	\N	\N	\N
340766	1157	1998-05-08	PRIJEM	VKLAD	5588	33723	\N	\N	\N
340767	1157	1998-06-08	PRIJEM	VKLAD	8382	38704	\N	\N	\N
340768	1157	1998-07-08	PRIJEM	VKLAD	5588	37901	\N	\N	\N
340769	1157	1998-08-08	PRIJEM	VKLAD	5588	36504	\N	\N	\N
340770	1157	1998-09-08	PRIJEM	VKLAD	5588	35303	\N	\N	\N
340771	1157	1998-10-08	PRIJEM	VKLAD	5588	37297	\N	\N	\N
340772	1157	1998-11-08	PRIJEM	VKLAD	5588	35597	\N	\N	\N
340773	1157	1998-12-08	PRIJEM	VKLAD	8382	32581	\N	\N	\N
340774	1157	1993-12-27	VYDAJ	VYBER	1200	26846	\N	\N	\N
340775	1157	1994-12-04	VYDAJ	VYBER	900	29686	\N	\N	\N
340776	1157	1995-12-04	VYDAJ	VYBER	700	24385	\N	\N	\N
340777	1157	1996-12-08	VYDAJ	VYBER	500	47554	\N	\N	\N
340778	1157	1997-12-15	VYDAJ	VYBER	600	47979	\N	\N	\N
340779	1157	1998-12-19	VYDAJ	VYBER	1100	31481	\N	\N	\N
340786	1157	1994-01-02	VYDAJ	VYBER	2700	22246	\N	\N	\N
340787	1157	1994-01-18	VYDAJ	VYBER	800	21134	\N	\N	\N
340788	1157	1994-01-24	VYDAJ	VYBER	2100	22834	\N	\N	\N
340789	1157	1994-01-05	VYDAJ	VYBER	1300	17546	\N	\N	\N
340790	1157	1994-01-01	VYDAJ	VYBER	2000	24946	\N	\N	\N
340791	1157	1994-01-10	VYDAJ	VYBER	1200	21934	\N	\N	\N
340792	1157	1995-01-04	VYDAJ	VYBER	1100	29589	\N	\N	\N
340793	1157	1995-01-24	VYDAJ	VYBER	1600	25177	\N	\N	\N
340794	1157	1995-01-15	VYDAJ	VYBER	1000	34177	\N	\N	\N
340795	1157	1995-01-22	VYDAJ	VYBER	2500	26777	\N	\N	\N
340796	1157	1995-01-29	VYDAJ	VYBER	2400	22777	\N	\N	\N
340797	1157	1995-01-19	VYDAJ	VYBER	900	29277	\N	\N	\N
340798	1157	1996-01-05	VYDAJ	VYBER	1100	21054	\N	\N	\N
340799	1157	1996-01-12	VYDAJ	VYBER	2900	21442	\N	\N	\N
340800	1157	1996-01-08	VYDAJ	VYBER	2400	24242	\N	\N	\N
340801	1157	1996-01-21	VYDAJ	VYBER	2900	18542	\N	\N	\N
340802	1157	1996-01-27	VYDAJ	VYBER	1200	17342	\N	\N	\N
340803	1157	1996-01-11	VYDAJ	VYBER	1900	24342	\N	\N	\N
340804	1157	1997-01-13	VYDAJ	VYBER	2800	39222	\N	\N	\N
340805	1157	1997-01-14	VYDAJ	VYBER	900	38322	\N	\N	\N
340806	1157	1997-01-08	VYDAJ	VYBER	1300	42022	\N	\N	\N
340807	1157	1997-01-07	VYDAJ	VYBER	2100	37734	\N	\N	\N
340808	1157	1997-01-22	VYDAJ	VYBER	2000	34722	\N	\N	\N
340809	1157	1997-01-14	VYDAJ	VYBER	1600	36722	\N	\N	\N
340810	1157	1998-01-27	VYDAJ	VYBER	1200	37147	\N	\N	\N
340811	1157	1998-01-01	VYDAJ	VYBER	2000	38359	\N	\N	\N
340812	1157	1998-01-26	VYDAJ	VYBER	1700	38347	\N	\N	\N
340813	1157	1998-01-22	VYDAJ	VYBER	1200	40047	\N	\N	\N
340814	1157	1998-01-04	VYDAJ	VYBER	1900	36459	\N	\N	\N
340815	1157	1998-01-14	VYDAJ	VYBER	800	41247	\N	\N	\N
340818	1157	1993-09-27	VYDAJ	VYBER	1400	31260	\N	\N	\N
340820	1157	1993-10-03	VYDAJ	VYBER	4800	26578	\N	\N	\N
340821	1157	1994-10-24	VYDAJ	VYBER	2200	31154	\N	\N	\N
340822	1157	1994-01-03	VYDAJ	VYBER	3400	18846	\N	\N	\N
340823	1157	1994-04-25	VYDAJ	VYBER	4600	25461	\N	\N	\N
340824	1157	1994-05-31	VYDAJ	VYBER	3700	26647	\N	\N	\N
340825	1157	1995-08-05	VYDAJ	VYBER	700	29028	\N	\N	\N
340826	1157	1995-08-26	VYDAJ	VYBER	800	29616	\N	\N	\N
340827	1157	1995-10-27	VYDAJ	VYBER	600	25911	\N	\N	\N
340828	1157	1995-12-17	VYDAJ	VYBER	3200	22067	\N	\N	\N
340829	1157	1995-10-29	VYDAJ	VYBER	1600	24311	\N	\N	\N
340830	1157	1996-04-23	VYDAJ	VYBER	4300	24358	\N	\N	\N
340831	1157	1996-08-29	VYDAJ	VYBER	1100	32022	\N	\N	\N
340832	1157	1997-07-23	VYDAJ	VYBER	2400	42010	\N	\N	\N
340833	1157	1997-06-29	VYDAJ	VYBER	3600	44442	\N	\N	\N
340834	1157	1997-07-01	VYDAJ	VYBER	3900	40722	\N	\N	\N
340835	1157	1998-03-10	VYDAJ	VYBER	2300	35784	\N	\N	\N
340836	1157	1998-08-23	VYDAJ	VYBER	4100	32404	\N	\N	\N
340845	1157	1993-08-31	VYDAJ	VYBER	15	31772	SLUZBY	\N	\N
340846	1157	1993-09-30	VYDAJ	VYBER	15	31378	SLUZBY	\N	\N
340847	1157	1993-10-31	VYDAJ	VYBER	15	26778	SLUZBY	\N	\N
340848	1157	1993-11-30	VYDAJ	VYBER	15	27564	SLUZBY	\N	\N
340849	1157	1993-12-31	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
340850	1157	1994-01-31	VYDAJ	VYBER	15	22911	SLUZBY	\N	\N
340851	1157	1994-02-28	VYDAJ	VYBER	15	27386	SLUZBY	\N	\N
340852	1157	1994-03-31	VYDAJ	VYBER	15	27473	SLUZBY	\N	\N
340853	1157	1994-04-30	VYDAJ	VYBER	15	25561	SLUZBY	\N	\N
340854	1157	1994-05-31	VYDAJ	VYBER	15	30347	SLUZBY	\N	\N
340855	1157	1994-06-30	VYDAJ	VYBER	15	30331	SLUZBY	\N	\N
340856	1157	1994-07-31	VYDAJ	VYBER	15	32233	SLUZBY	\N	\N
340857	1157	1994-08-31	VYDAJ	VYBER	15	34745	SLUZBY	\N	\N
340858	1157	1994-09-30	VYDAJ	VYBER	15	36766	SLUZBY	\N	\N
340859	1157	1994-10-31	VYDAJ	VYBER	15	31284	SLUZBY	\N	\N
340860	1157	1994-11-30	VYDAJ	VYBER	15	30586	SLUZBY	\N	\N
340861	1157	1994-12-31	VYDAJ	VYBER	15	30689	SLUZBY	\N	\N
340862	1157	1995-01-31	VYDAJ	VYBER	15	22886	SLUZBY	\N	\N
340863	1157	1995-02-28	VYDAJ	VYBER	15	25760	SLUZBY	\N	\N
340864	1157	1995-03-31	VYDAJ	VYBER	15	28847	SLUZBY	\N	\N
340865	1157	1995-04-30	VYDAJ	VYBER	15	29641	SLUZBY	\N	\N
340866	1157	1995-05-31	VYDAJ	VYBER	15	29537	SLUZBY	\N	\N
340867	1157	1995-06-30	VYDAJ	VYBER	15	30729	SLUZBY	\N	\N
340868	1157	1995-07-31	VYDAJ	VYBER	15	29728	SLUZBY	\N	\N
340869	1157	1995-08-31	VYDAJ	VYBER	15	29729	SLUZBY	\N	\N
340870	1157	1995-09-30	VYDAJ	VYBER	15	28823	SLUZBY	\N	\N
340871	1157	1995-10-31	VYDAJ	VYBER	15	24409	SLUZBY	\N	\N
340872	1157	1995-11-30	VYDAJ	VYBER	15	25085	SLUZBY	\N	\N
340873	1157	1995-12-31	VYDAJ	VYBER	15	22154	SLUZBY	\N	\N
340874	1157	1996-01-31	VYDAJ	VYBER	15	17414	SLUZBY	\N	\N
340875	1157	1996-02-29	VYDAJ	VYBER	15	25582	SLUZBY	\N	\N
340876	1157	1996-03-31	VYDAJ	VYBER	15	29070	SLUZBY	\N	\N
340877	1157	1996-04-30	VYDAJ	VYBER	15	24458	SLUZBY	\N	\N
340878	1157	1996-05-31	VYDAJ	VYBER	15	25535	SLUZBY	\N	\N
340879	1157	1996-06-30	VYDAJ	VYBER	15	30723	SLUZBY	\N	\N
340880	1157	1996-07-31	VYDAJ	VYBER	15	34634	SLUZBY	\N	\N
340881	1157	1996-08-31	VYDAJ	VYBER	15	32145	SLUZBY	\N	\N
340882	1157	1996-09-30	VYDAJ	VYBER	15	38571	SLUZBY	\N	\N
340883	1157	1996-10-31	VYDAJ	VYBER	15	41914	SLUZBY	\N	\N
340884	1157	1996-11-30	VYDAJ	VYBER	15	45572	SLUZBY	\N	\N
340885	1157	1996-12-31	VYDAJ	VYBER	15	47734	SLUZBY	\N	\N
340886	1157	1997-01-31	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
340887	1157	1997-02-28	VYDAJ	VYBER	15	38497	SLUZBY	\N	\N
340888	1157	1997-03-31	VYDAJ	VYBER	15	42541	SLUZBY	\N	\N
340889	1157	1997-04-30	VYDAJ	VYBER	15	45800	SLUZBY	\N	\N
340890	1157	1997-05-31	VYDAJ	VYBER	15	45560	SLUZBY	\N	\N
340891	1157	1997-06-30	VYDAJ	VYBER	15	44622	SLUZBY	\N	\N
340892	1157	1997-07-31	VYDAJ	VYBER	15	42173	SLUZBY	\N	\N
340893	1157	1997-08-31	VYDAJ	VYBER	15	43122	SLUZBY	\N	\N
340894	1157	1997-09-30	VYDAJ	VYBER	15	43373	SLUZBY	\N	\N
340895	1157	1997-10-31	VYDAJ	VYBER	15	47136	SLUZBY	\N	\N
340896	1157	1997-11-30	VYDAJ	VYBER	15	45497	SLUZBY	\N	\N
340897	1157	1997-12-31	VYDAJ	VYBER	15	48159	SLUZBY	\N	\N
340898	1157	1998-01-31	VYDAJ	VYBER	15	30697	SLUZBY	\N	\N
340899	1157	1998-02-28	VYDAJ	VYBER	15	36396	SLUZBY	\N	\N
340900	1157	1998-03-31	VYDAJ	VYBER	15	35916	SLUZBY	\N	\N
340901	1157	1998-04-30	VYDAJ	VYBER	15	28135	SLUZBY	\N	\N
340902	1157	1998-05-31	VYDAJ	VYBER	15	30322	SLUZBY	\N	\N
340903	1157	1998-06-30	VYDAJ	VYBER	15	32313	SLUZBY	\N	\N
340904	1157	1998-07-31	VYDAJ	VYBER	15	30916	SLUZBY	\N	\N
340905	1157	1998-08-31	VYDAJ	VYBER	15	29715	SLUZBY	\N	\N
340906	1157	1998-09-30	VYDAJ	VYBER	15	31709	SLUZBY	\N	\N
340907	1157	1998-10-31	VYDAJ	VYBER	15	30009	SLUZBY	\N	\N
340908	1157	1998-11-30	VYDAJ	VYBER	15	24199	SLUZBY	\N	\N
340909	1157	1993-04-26	PRIJEM	VKLAD	11200	17488	\N	\N	\N
340910	1157	1993-05-26	PRIJEM	VKLAD	1200	24288	\N	\N	\N
340911	1157	1993-06-25	VYDAJ	VYBER	2200	30549	\N	\N	\N
340912	1157	1993-07-25	VYDAJ	VYBER	5700	30543	\N	\N	\N
340913	1157	1993-08-24	VYDAJ	VYBER	4600	31658	\N	\N	\N
340914	1157	1993-09-23	VYDAJ	VYBER	4700	32660	\N	\N	\N
340915	1157	1993-10-23	VYDAJ	VYBER	5500	26666	\N	\N	\N
340916	1157	1993-11-22	VYDAJ	VYBER	4900	27466	\N	\N	\N
340917	1157	1993-12-22	VYDAJ	VYBER	7900	28046	\N	\N	\N
340918	1157	1994-01-21	PRIJEM	VKLAD	3800	24934	\N	\N	\N
340919	1157	1994-02-20	VYDAJ	VYBER	1200	27299	\N	\N	\N
340920	1157	1994-03-22	VYDAJ	VYBER	5600	27374	\N	\N	\N
340921	1157	1994-04-21	VYDAJ	VYBER	3000	30061	\N	\N	\N
340922	1157	1994-05-21	VYDAJ	VYBER	900	30249	\N	\N	\N
340923	1157	1994-06-20	VYDAJ	VYBER	4800	30229	\N	\N	\N
340924	1157	1994-07-20	VYDAJ	VYBER	3800	32119	\N	\N	\N
340925	1157	1994-08-19	VYDAJ	VYBER	3200	34621	\N	\N	\N
340926	1157	1994-09-18	VYDAJ	VYBER	3700	36633	\N	\N	\N
340927	1157	1994-10-18	VYDAJ	VYBER	9000	33354	\N	\N	\N
340928	1157	1994-11-17	VYDAJ	VYBER	6400	30472	\N	\N	\N
340929	1157	1994-12-17	VYDAJ	VYBER	7500	30568	\N	\N	\N
340930	1157	1995-01-16	VYDAJ	VYBER	4000	30177	\N	\N	\N
340931	1157	1995-02-15	VYDAJ	VYBER	2800	25674	\N	\N	\N
340932	1157	1995-03-17	VYDAJ	VYBER	2600	28748	\N	\N	\N
340933	1157	1995-04-16	VYDAJ	VYBER	4900	29535	\N	\N	\N
340934	1157	1995-05-16	VYDAJ	VYBER	5800	29429	\N	\N	\N
340935	1157	1995-06-15	VYDAJ	VYBER	7300	30619	\N	\N	\N
340936	1157	1995-07-15	VYDAJ	VYBER	6700	29617	\N	\N	\N
340937	1157	1995-08-14	VYDAJ	VYBER	4200	30416	\N	\N	\N
340938	1157	1995-09-13	VYDAJ	VYBER	6600	28717	\N	\N	\N
340939	1157	1995-10-13	VYDAJ	VYBER	7900	26511	\N	\N	\N
340940	1157	1995-11-12	VYDAJ	VYBER	5000	24997	\N	\N	\N
340941	1157	1995-12-12	VYDAJ	VYBER	7500	25267	\N	\N	\N
340942	1157	1996-01-11	PRIJEM	VKLAD	2000	26242	\N	\N	\N
340943	1157	1996-02-10	PRIJEM	VKLAD	2500	25502	\N	\N	\N
340944	1157	1996-03-11	VYDAJ	VYBER	2200	28970	\N	\N	\N
340945	1157	1996-04-10	VYDAJ	VYBER	6000	28658	\N	\N	\N
340946	1157	1996-05-10	VYDAJ	VYBER	4600	25446	\N	\N	\N
340947	1157	1996-06-09	VYDAJ	VYBER	3300	30617	\N	\N	\N
340948	1157	1996-07-09	VYDAJ	VYBER	1800	34511	\N	\N	\N
340949	1157	1996-08-08	VYDAJ	VYBER	7100	33122	\N	\N	\N
340950	1157	1996-09-07	PRIJEM	VKLAD	700	32845	\N	\N	\N
340951	1157	1996-10-07	VYDAJ	VYBER	2400	36171	\N	\N	\N
340952	1157	1996-11-06	VYDAJ	VYBER	2100	39814	\N	\N	\N
340953	1157	1996-12-06	VYDAJ	VYBER	5900	39672	\N	\N	\N
340954	1157	1997-01-05	VYDAJ	VYBER	7900	39834	\N	\N	\N
340955	1157	1997-02-04	VYDAJ	VYBER	2100	32769	\N	\N	\N
340956	1157	1997-03-06	VYDAJ	VYBER	1700	36797	\N	\N	\N
340957	1157	1997-04-05	VYDAJ	VYBER	2500	40041	\N	\N	\N
340958	1157	1997-05-05	VYDAJ	VYBER	6000	39800	\N	\N	\N
340959	1157	1997-06-04	VYDAJ	VYBER	5900	39660	\N	\N	\N
340960	1157	1997-07-04	VYDAJ	VYBER	1900	38822	\N	\N	\N
340961	1157	1997-08-03	VYDAJ	VYBER	4800	37373	\N	\N	\N
340962	1157	1997-09-02	VYDAJ	VYBER	5500	37622	\N	\N	\N
340963	1157	1997-10-02	VYDAJ	VYBER	2000	41373	\N	\N	\N
340964	1157	1997-11-01	VYDAJ	VYBER	7400	39736	\N	\N	\N
340965	1157	1997-12-01	VYDAJ	VYBER	5300	40197	\N	\N	\N
340966	1157	1997-12-31	VYDAJ	VYBER	7800	40359	\N	\N	\N
340967	1157	1998-01-30	VYDAJ	VYBER	6600	30547	\N	\N	\N
340968	1157	1998-03-01	VYDAJ	VYBER	3900	32496	\N	\N	\N
340969	1157	1998-03-31	VYDAJ	VYBER	6100	29816	\N	\N	\N
340970	1157	1998-04-30	VYDAJ	VYBER	7400	28149	\N	\N	\N
340971	1157	1998-05-30	VYDAJ	VYBER	3500	30223	\N	\N	\N
340972	1157	1998-06-29	VYDAJ	VYBER	6500	32204	\N	\N	\N
340973	1157	1998-07-29	VYDAJ	VYBER	7100	30801	\N	\N	\N
340974	1157	1998-08-28	VYDAJ	VYBER	2800	29604	\N	\N	\N
340975	1157	1998-09-27	VYDAJ	VYBER	3700	31603	\N	\N	\N
340976	1157	1998-10-27	VYDAJ	VYBER	7400	29897	\N	\N	\N
340977	1157	1998-11-26	VYDAJ	VYBER	11500	24097	\N	\N	\N
341047	1158	1994-04-03	PRIJEM	VKLAD	200	200	\N	\N	\N
341051	1158	1994-04-11	PRIJEM	PREVOD Z UCTU	6340	6540	DUCHOD	EF	55258649
341052	1158	1994-05-11	PRIJEM	PREVOD Z UCTU	6340	12898	DUCHOD	EF	55258649
341053	1158	1994-06-11	PRIJEM	PREVOD Z UCTU	6340	19265	DUCHOD	EF	55258649
341054	1158	1994-07-11	PRIJEM	PREVOD Z UCTU	6340	25633	DUCHOD	EF	55258649
341055	1158	1994-08-11	PRIJEM	PREVOD Z UCTU	6340	31100	DUCHOD	EF	55258649
341056	1158	1994-09-11	PRIJEM	PREVOD Z UCTU	6340	32251	DUCHOD	EF	55258649
341057	1158	1994-10-11	PRIJEM	PREVOD Z UCTU	6340	34338	DUCHOD	EF	55258649
341058	1158	1994-11-11	PRIJEM	PREVOD Z UCTU	6340	30050	DUCHOD	EF	55258649
341059	1158	1994-12-11	PRIJEM	PREVOD Z UCTU	6340	32026	DUCHOD	EF	55258649
341060	1158	1995-01-11	PRIJEM	PREVOD Z UCTU	6340	34508	DUCHOD	EF	55258649
341061	1158	1995-02-11	PRIJEM	PREVOD Z UCTU	6340	24897	DUCHOD	EF	55258649
341062	1158	1995-03-11	PRIJEM	PREVOD Z UCTU	6340	25864	DUCHOD	EF	55258649
341063	1158	1995-04-11	PRIJEM	PREVOD Z UCTU	6340	30120	DUCHOD	EF	55258649
341064	1158	1995-05-11	PRIJEM	PREVOD Z UCTU	6340	32874	DUCHOD	EF	55258649
341065	1158	1995-06-11	PRIJEM	PREVOD Z UCTU	6340	29460	DUCHOD	EF	55258649
341066	1158	1995-07-11	PRIJEM	PREVOD Z UCTU	6340	31737	DUCHOD	EF	55258649
341067	1158	1995-08-11	PRIJEM	PREVOD Z UCTU	6340	32816	DUCHOD	EF	55258649
341068	1158	1995-09-11	PRIJEM	PREVOD Z UCTU	6340	32797	DUCHOD	EF	55258649
341069	1158	1995-10-11	PRIJEM	PREVOD Z UCTU	6340	30977	DUCHOD	EF	55258649
341070	1158	1995-11-11	PRIJEM	PREVOD Z UCTU	6340	34354	DUCHOD	EF	55258649
341071	1158	1995-12-11	PRIJEM	PREVOD Z UCTU	6340	34241	DUCHOD	EF	55258649
341072	1158	1996-01-11	PRIJEM	PREVOD Z UCTU	6340	29955	DUCHOD	EF	55258649
341073	1158	1996-02-11	PRIJEM	PREVOD Z UCTU	6340	24316	DUCHOD	EF	55258649
341074	1158	1996-03-11	PRIJEM	PREVOD Z UCTU	6340	28565	DUCHOD	EF	55258649
341075	1158	1996-04-11	PRIJEM	PREVOD Z UCTU	6340	28768	DUCHOD	EF	55258649
341076	1158	1996-05-11	PRIJEM	PREVOD Z UCTU	6340	27024	DUCHOD	EF	55258649
341077	1158	1996-06-11	PRIJEM	PREVOD Z UCTU	6340	23735	DUCHOD	EF	55258649
341078	1158	1996-07-11	PRIJEM	PREVOD Z UCTU	6340	27991	DUCHOD	EF	55258649
341079	1158	1996-08-11	PRIJEM	PREVOD Z UCTU	6340	28974	DUCHOD	EF	55258649
341080	1158	1996-09-11	PRIJEM	PREVOD Z UCTU	6340	31560	DUCHOD	EF	55258649
341081	1158	1996-10-11	PRIJEM	PREVOD Z UCTU	6340	30951	DUCHOD	EF	55258649
341082	1158	1996-11-11	PRIJEM	PREVOD Z UCTU	6340	35228	DUCHOD	EF	55258649
341083	1158	1996-12-11	PRIJEM	PREVOD Z UCTU	6340	34514	DUCHOD	EF	55258649
341084	1158	1997-01-11	PRIJEM	PREVOD Z UCTU	6340	27679	DUCHOD	EF	55258649
341085	1158	1997-02-11	PRIJEM	PREVOD Z UCTU	6340	30744	DUCHOD	EF	55258649
341086	1158	1997-03-11	PRIJEM	PREVOD Z UCTU	6340	32219	DUCHOD	EF	55258649
341087	1158	1997-04-11	PRIJEM	PREVOD Z UCTU	6340	36504	DUCHOD	EF	55258649
341088	1158	1997-05-11	PRIJEM	PREVOD Z UCTU	6340	38223	DUCHOD	EF	55258649
341089	1158	1997-06-11	PRIJEM	PREVOD Z UCTU	6340	41030	DUCHOD	EF	55258649
341090	1158	1997-07-11	PRIJEM	PREVOD Z UCTU	6340	38457	DUCHOD	EF	55258649
341091	1158	1997-08-11	PRIJEM	PREVOD Z UCTU	6340	41404	DUCHOD	EF	55258649
341092	1158	1997-09-11	PRIJEM	PREVOD Z UCTU	6340	45724	DUCHOD	EF	55258649
341093	1158	1997-10-11	PRIJEM	PREVOD Z UCTU	6340	50062	DUCHOD	EF	55258649
341094	1158	1997-11-11	PRIJEM	PREVOD Z UCTU	6340	52655	DUCHOD	EF	55258649
341095	1158	1997-12-11	PRIJEM	PREVOD Z UCTU	6340	55819	DUCHOD	EF	55258649
341096	1158	1998-01-11	PRIJEM	PREVOD Z UCTU	6340	49054	DUCHOD	EF	55258649
341097	1158	1998-02-11	PRIJEM	PREVOD Z UCTU	6340	39180	DUCHOD	EF	55258649
341098	1158	1998-03-11	PRIJEM	PREVOD Z UCTU	6340	43492	DUCHOD	EF	55258649
341099	1158	1998-04-11	PRIJEM	PREVOD Z UCTU	6340	47820	DUCHOD	EF	55258649
341100	1158	1998-05-11	PRIJEM	PREVOD Z UCTU	6340	48317	DUCHOD	EF	55258649
341101	1158	1998-06-11	PRIJEM	PREVOD Z UCTU	6340	52064	DUCHOD	EF	55258649
341102	1158	1998-07-11	PRIJEM	PREVOD Z UCTU	6340	47622	DUCHOD	EF	55258649
341103	1158	1998-08-11	PRIJEM	PREVOD Z UCTU	6340	51065	DUCHOD	EF	55258649
341104	1158	1998-09-11	PRIJEM	PREVOD Z UCTU	6340	49824	DUCHOD	EF	55258649
341105	1158	1998-10-11	PRIJEM	PREVOD Z UCTU	6340	51184	DUCHOD	EF	55258649
341106	1158	1998-11-11	PRIJEM	PREVOD Z UCTU	6340	46647	DUCHOD	EF	55258649
341107	1158	1998-12-11	PRIJEM	PREVOD Z UCTU	6340	42198	DUCHOD	EF	55258649
341116	1158	1994-09-10	VYDAJ	PREVOD NA UCET	2171	25911	SIPO	CD	11980402
341117	1158	1994-10-10	VYDAJ	PREVOD NA UCET	2171	27998	SIPO	CD	11980402
341118	1158	1994-11-10	VYDAJ	PREVOD NA UCET	2171	26030	SIPO	CD	11980402
341119	1158	1994-12-10	VYDAJ	PREVOD NA UCET	2171	25686	SIPO	CD	11980402
341120	1158	1995-01-10	VYDAJ	PREVOD NA UCET	2171	28168	SIPO	CD	11980402
341121	1158	1995-02-10	VYDAJ	PREVOD NA UCET	2171	18557	SIPO	CD	11980402
341122	1158	1995-03-10	VYDAJ	PREVOD NA UCET	2171	19524	SIPO	CD	11980402
341123	1158	1995-04-10	VYDAJ	PREVOD NA UCET	2171	23780	SIPO	CD	11980402
341124	1158	1995-05-10	VYDAJ	PREVOD NA UCET	2171	26534	SIPO	CD	11980402
341125	1158	1995-06-10	VYDAJ	PREVOD NA UCET	2171	23120	SIPO	CD	11980402
341126	1158	1995-07-10	VYDAJ	PREVOD NA UCET	2171	25397	SIPO	CD	11980402
341127	1158	1995-08-10	VYDAJ	PREVOD NA UCET	2171	26476	SIPO	CD	11980402
341128	1158	1995-09-10	VYDAJ	PREVOD NA UCET	2171	26457	SIPO	CD	11980402
341129	1158	1995-10-10	VYDAJ	PREVOD NA UCET	2171	24637	SIPO	CD	11980402
341130	1158	1995-11-10	VYDAJ	PREVOD NA UCET	2171	28014	SIPO	CD	11980402
341131	1158	1995-12-10	VYDAJ	PREVOD NA UCET	2171	27901	SIPO	CD	11980402
341132	1158	1996-01-10	VYDAJ	PREVOD NA UCET	2171	23615	SIPO	CD	11980402
341133	1158	1996-02-10	VYDAJ	PREVOD NA UCET	2171	17976	SIPO	CD	11980402
341134	1158	1996-03-10	VYDAJ	PREVOD NA UCET	2171	22225	SIPO	CD	11980402
341135	1158	1996-04-10	VYDAJ	PREVOD NA UCET	2171	22428	SIPO	CD	11980402
341136	1158	1996-05-10	VYDAJ	PREVOD NA UCET	2171	20684	SIPO	CD	11980402
341137	1158	1996-06-10	VYDAJ	PREVOD NA UCET	2171	17395	SIPO	CD	11980402
341138	1158	1996-07-10	VYDAJ	PREVOD NA UCET	2171	21651	SIPO	CD	11980402
341139	1158	1996-08-10	VYDAJ	PREVOD NA UCET	2171	22634	SIPO	CD	11980402
341140	1158	1996-09-10	VYDAJ	PREVOD NA UCET	2171	25220	SIPO	CD	11980402
341141	1158	1996-10-10	VYDAJ	PREVOD NA UCET	2171	24611	SIPO	CD	11980402
341142	1158	1996-11-10	VYDAJ	PREVOD NA UCET	2171	28888	SIPO	CD	11980402
341143	1158	1996-12-10	VYDAJ	PREVOD NA UCET	2171	28174	SIPO	CD	11980402
341144	1158	1997-01-10	VYDAJ	PREVOD NA UCET	2171	21339	SIPO	CD	11980402
341145	1158	1997-02-10	VYDAJ	PREVOD NA UCET	2171	24404	SIPO	CD	11980402
341146	1158	1997-03-10	VYDAJ	PREVOD NA UCET	2171	25879	SIPO	CD	11980402
341147	1158	1997-04-10	VYDAJ	PREVOD NA UCET	2171	30164	SIPO	CD	11980402
341148	1158	1997-05-10	VYDAJ	PREVOD NA UCET	2171	31883	SIPO	CD	11980402
341149	1158	1997-06-10	VYDAJ	PREVOD NA UCET	2171	34690	SIPO	CD	11980402
341150	1158	1997-07-10	VYDAJ	PREVOD NA UCET	2171	32117	SIPO	CD	11980402
341151	1158	1997-08-10	VYDAJ	PREVOD NA UCET	2171	35064	SIPO	CD	11980402
341152	1158	1997-09-10	VYDAJ	PREVOD NA UCET	2171	39384	SIPO	CD	11980402
341153	1158	1997-10-10	VYDAJ	PREVOD NA UCET	2171	43722	SIPO	CD	11980402
341154	1158	1997-11-10	VYDAJ	PREVOD NA UCET	2171	46315	SIPO	CD	11980402
341155	1158	1997-12-10	VYDAJ	PREVOD NA UCET	2171	49479	SIPO	CD	11980402
341156	1158	1998-01-10	VYDAJ	PREVOD NA UCET	2171	42714	SIPO	CD	11980402
341157	1158	1998-02-10	VYDAJ	PREVOD NA UCET	2171	32840	SIPO	CD	11980402
341158	1158	1998-03-10	VYDAJ	PREVOD NA UCET	2171	37152	SIPO	CD	11980402
341159	1158	1998-04-10	VYDAJ	PREVOD NA UCET	2171	41480	SIPO	CD	11980402
341160	1158	1998-05-10	VYDAJ	PREVOD NA UCET	2171	41977	SIPO	CD	11980402
341161	1158	1998-06-10	VYDAJ	PREVOD NA UCET	2171	45724	SIPO	CD	11980402
341162	1158	1998-07-10	VYDAJ	PREVOD NA UCET	2171	41282	SIPO	CD	11980402
341163	1158	1998-08-10	VYDAJ	PREVOD NA UCET	2171	44725	SIPO	CD	11980402
341164	1158	1998-09-10	VYDAJ	PREVOD NA UCET	2171	43484	SIPO	CD	11980402
341165	1158	1998-10-10	VYDAJ	PREVOD NA UCET	2171	44844	SIPO	CD	11980402
341166	1158	1998-11-10	VYDAJ	PREVOD NA UCET	2171	40307	SIPO	CD	11980402
341167	1158	1998-12-10	VYDAJ	PREVOD NA UCET	2171	35858	SIPO	CD	11980402
341169	1158	1995-06-03	VYDAJ	VYBER	5400	25291	\N	\N	\N
341170	1158	1996-06-03	VYDAJ	VYBER	7550	19566	\N	\N	\N
341171	1158	1997-06-14	VYDAJ	VYBER	3600	37430	\N	\N	\N
341172	1158	1998-06-11	VYDAJ	VYBER	8400	43664	\N	\N	\N
341174	1158	1995-01-24	VYDAJ	VYBER	4450	26058	\N	\N	\N
341175	1158	1996-01-19	VYDAJ	VYBER	2700	23735	\N	\N	\N
341176	1158	1997-01-05	VYDAJ	VYBER	750	24470	\N	\N	\N
341177	1158	1998-01-14	VYDAJ	VYBER	4150	42764	\N	\N	\N
341178	1158	1994-12-11	VYDAJ	VYBER	800	31226	\N	\N	\N
341179	1158	1995-12-18	VYDAJ	VYBER	1250	32991	\N	\N	\N
341180	1158	1996-12-19	VYDAJ	VYBER	1250	30864	\N	\N	\N
341181	1158	1997-12-24	VYDAJ	VYBER	350	49969	\N	\N	\N
341182	1158	1998-12-04	VYDAJ	VYBER	400	46429	\N	\N	\N
341189	1158	1995-01-30	VYDAJ	VYBER	800	22298	\N	\N	\N
341190	1158	1995-01-15	VYDAJ	VYBER	800	33708	\N	\N	\N
341191	1158	1995-01-29	VYDAJ	VYBER	960	23098	\N	\N	\N
341192	1158	1995-01-23	VYDAJ	VYBER	2160	30508	\N	\N	\N
341193	1158	1995-01-25	VYDAJ	VYBER	2000	24058	\N	\N	\N
341194	1158	1995-01-15	VYDAJ	VYBER	1040	32668	\N	\N	\N
341195	1158	1996-01-27	VYDAJ	VYBER	1840	21895	\N	\N	\N
341196	1158	1996-01-29	VYDAJ	VYBER	1840	20055	\N	\N	\N
341197	1158	1996-01-07	VYDAJ	VYBER	2160	26426	\N	\N	\N
341198	1158	1996-01-11	VYDAJ	VYBER	2160	27795	\N	\N	\N
341199	1158	1996-01-08	VYDAJ	VYBER	640	25786	\N	\N	\N
341200	1158	1996-01-18	VYDAJ	VYBER	1360	26435	\N	\N	\N
341201	1158	1997-01-24	VYDAJ	VYBER	1200	26479	\N	\N	\N
341202	1158	1997-01-09	VYDAJ	VYBER	960	23510	\N	\N	\N
341203	1158	1997-01-02	VYDAJ	VYBER	1040	29940	\N	\N	\N
341204	1158	1997-01-03	VYDAJ	VYBER	1680	26980	\N	\N	\N
341205	1158	1997-01-03	VYDAJ	VYBER	1760	25220	\N	\N	\N
341206	1158	1997-01-02	VYDAJ	VYBER	1280	28660	\N	\N	\N
341207	1158	1998-01-13	VYDAJ	VYBER	1840	46914	\N	\N	\N
341208	1158	1998-01-16	VYDAJ	VYBER	880	41884	\N	\N	\N
341209	1158	1998-01-29	VYDAJ	VYBER	2240	39644	\N	\N	\N
341210	1158	1998-01-06	VYDAJ	VYBER	1120	46725	\N	\N	\N
341211	1158	1998-01-02	VYDAJ	VYBER	2320	47845	\N	\N	\N
341212	1158	1998-01-07	VYDAJ	VYBER	1840	44885	\N	\N	\N
341213	1158	1994-11-10	VYDAJ	VYBER	2320	23710	\N	\N	\N
341217	1158	1994-08-31	VYDAJ	VYBER	2400	28082	\N	\N	\N
341218	1158	1994-10-23	VYDAJ	VYBER	1360	32978	\N	\N	\N
341219	1158	1995-05-06	VYDAJ	VYBER	1520	28705	\N	\N	\N
341220	1158	1995-02-23	VYDAJ	VYBER	480	21617	\N	\N	\N
341221	1158	1995-02-13	VYDAJ	VYBER	2800	22097	\N	\N	\N
341222	1158	1995-02-02	VYDAJ	VYBER	1680	20728	\N	\N	\N
341223	1158	1995-12-18	VYDAJ	VYBER	2320	30671	\N	\N	\N
341224	1158	1996-09-20	VYDAJ	VYBER	880	26680	\N	\N	\N
341225	1158	1996-07-27	VYDAJ	VYBER	3280	24711	\N	\N	\N
341226	1158	1996-04-25	VYDAJ	VYBER	960	22768	\N	\N	\N
341227	1158	1996-08-17	VYDAJ	VYBER	1680	27294	\N	\N	\N
341228	1158	1996-04-20	VYDAJ	VYBER	2080	23728	\N	\N	\N
341229	1158	1996-03-24	VYDAJ	VYBER	3360	24505	\N	\N	\N
341230	1158	1996-04-13	VYDAJ	VYBER	2960	25808	\N	\N	\N
341231	1158	1997-05-01	VYDAJ	VYBER	2480	34054	\N	\N	\N
341232	1158	1997-03-09	VYDAJ	VYBER	2800	28050	\N	\N	\N
341233	1158	1997-06-24	VYDAJ	VYBER	3280	34150	\N	\N	\N
341234	1158	1997-10-22	VYDAJ	VYBER	1760	48302	\N	\N	\N
341235	1158	1997-07-28	VYDAJ	VYBER	1360	37097	\N	\N	\N
341236	1158	1998-06-27	VYDAJ	VYBER	400	43264	\N	\N	\N
341237	1158	1998-02-03	VYDAJ	VYBER	2080	37731	\N	\N	\N
341238	1158	1998-04-15	VYDAJ	VYBER	3840	43980	\N	\N	\N
341239	1158	1998-12-16	VYDAJ	VYBER	720	41478	\N	\N	\N
341240	1158	1998-02-04	VYDAJ	VYBER	2720	35011	\N	\N	\N
341249	1158	1994-08-31	VYDAJ	VYBER	15	31182	SLUZBY	\N	\N
341250	1158	1994-09-30	VYDAJ	VYBER	15	32369	SLUZBY	\N	\N
341251	1158	1994-10-31	VYDAJ	VYBER	15	28201	SLUZBY	\N	\N
341252	1158	1994-11-30	VYDAJ	VYBER	15	27857	SLUZBY	\N	\N
341253	1158	1994-12-31	VYDAJ	VYBER	15	30339	SLUZBY	\N	\N
341254	1158	1995-01-31	VYDAJ	VYBER	15	22408	SLUZBY	\N	\N
341255	1158	1995-02-28	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
341256	1158	1995-03-31	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
341257	1158	1995-04-30	VYDAJ	VYBER	15	30225	SLUZBY	\N	\N
341258	1158	1995-05-31	VYDAJ	VYBER	15	30691	SLUZBY	\N	\N
341259	1158	1995-06-30	VYDAJ	VYBER	15	27568	SLUZBY	\N	\N
341260	1158	1995-07-31	VYDAJ	VYBER	15	28647	SLUZBY	\N	\N
341261	1158	1995-08-31	VYDAJ	VYBER	15	28628	SLUZBY	\N	\N
341262	1158	1995-09-30	VYDAJ	VYBER	15	26808	SLUZBY	\N	\N
341263	1158	1995-10-31	VYDAJ	VYBER	15	30185	SLUZBY	\N	\N
341264	1158	1995-11-30	VYDAJ	VYBER	15	30072	SLUZBY	\N	\N
341265	1158	1995-12-31	VYDAJ	VYBER	15	28586	SLUZBY	\N	\N
341266	1158	1996-01-31	VYDAJ	VYBER	15	20147	SLUZBY	\N	\N
341267	1158	1996-02-29	VYDAJ	VYBER	15	24396	SLUZBY	\N	\N
341268	1158	1996-03-31	VYDAJ	VYBER	15	24599	SLUZBY	\N	\N
341269	1158	1996-04-30	VYDAJ	VYBER	15	22855	SLUZBY	\N	\N
341270	1158	1996-05-31	VYDAJ	VYBER	15	27116	SLUZBY	\N	\N
341271	1158	1996-06-30	VYDAJ	VYBER	15	23822	SLUZBY	\N	\N
341272	1158	1996-07-31	VYDAJ	VYBER	15	24805	SLUZBY	\N	\N
341273	1158	1996-08-31	VYDAJ	VYBER	15	27391	SLUZBY	\N	\N
341274	1158	1996-09-30	VYDAJ	VYBER	15	26782	SLUZBY	\N	\N
341275	1158	1996-10-31	VYDAJ	VYBER	15	31059	SLUZBY	\N	\N
341276	1158	1996-11-30	VYDAJ	VYBER	15	30345	SLUZBY	\N	\N
341277	1158	1996-12-31	VYDAJ	VYBER	15	30980	SLUZBY	\N	\N
341278	1158	1997-01-31	VYDAJ	VYBER	15	26575	SLUZBY	\N	\N
341279	1158	1997-02-28	VYDAJ	VYBER	15	30850	SLUZBY	\N	\N
341280	1158	1997-03-31	VYDAJ	VYBER	15	32335	SLUZBY	\N	\N
341281	1158	1997-04-30	VYDAJ	VYBER	15	36534	SLUZBY	\N	\N
341282	1158	1997-05-31	VYDAJ	VYBER	15	36861	SLUZBY	\N	\N
341283	1158	1997-06-30	VYDAJ	VYBER	15	34288	SLUZBY	\N	\N
341284	1158	1997-07-31	VYDAJ	VYBER	15	37235	SLUZBY	\N	\N
341285	1158	1997-08-31	VYDAJ	VYBER	15	41555	SLUZBY	\N	\N
341286	1158	1997-09-30	VYDAJ	VYBER	15	45893	SLUZBY	\N	\N
341287	1158	1997-10-31	VYDAJ	VYBER	15	48486	SLUZBY	\N	\N
341288	1158	1997-11-30	VYDAJ	VYBER	15	51650	SLUZBY	\N	\N
341289	1158	1997-12-31	VYDAJ	VYBER	15	50165	SLUZBY	\N	\N
341290	1158	1998-01-31	VYDAJ	VYBER	15	39811	SLUZBY	\N	\N
341291	1158	1998-02-28	VYDAJ	VYBER	15	39323	SLUZBY	\N	\N
341292	1158	1998-03-31	VYDAJ	VYBER	15	43651	SLUZBY	\N	\N
341293	1158	1998-04-30	VYDAJ	VYBER	15	44148	SLUZBY	\N	\N
341294	1158	1998-05-31	VYDAJ	VYBER	15	47895	SLUZBY	\N	\N
341295	1158	1998-06-30	VYDAJ	VYBER	15	43453	SLUZBY	\N	\N
341296	1158	1998-07-31	VYDAJ	VYBER	15	46896	SLUZBY	\N	\N
341297	1158	1998-08-31	VYDAJ	VYBER	15	51255	SLUZBY	\N	\N
341298	1158	1998-09-30	VYDAJ	VYBER	15	50015	SLUZBY	\N	\N
341299	1158	1998-10-31	VYDAJ	VYBER	15	51378	SLUZBY	\N	\N
341300	1158	1998-11-30	VYDAJ	VYBER	15	46829	SLUZBY	\N	\N
341301	1158	1994-08-01	VYDAJ	VYBER	900	24760	\N	\N	\N
341302	1158	1994-08-31	VYDAJ	VYBER	700	30482	\N	\N	\N
341303	1158	1994-09-30	VYDAJ	VYBER	2200	30169	\N	\N	\N
341304	1158	1994-10-30	VYDAJ	VYBER	4900	28078	\N	\N	\N
341305	1158	1994-11-29	VYDAJ	VYBER	2300	27750	\N	\N	\N
341306	1158	1994-12-29	VYDAJ	VYBER	1000	30226	\N	\N	\N
341307	1158	1995-05-28	VYDAJ	VYBER	2300	30574	\N	\N	\N
341308	1158	1995-06-27	VYDAJ	VYBER	2000	27460	\N	\N	\N
341309	1158	1995-07-27	VYDAJ	VYBER	3200	28537	\N	\N	\N
341310	1158	1995-08-26	VYDAJ	VYBER	4300	28516	\N	\N	\N
341311	1158	1995-09-25	VYDAJ	VYBER	6100	26697	\N	\N	\N
341312	1158	1995-10-25	VYDAJ	VYBER	900	30077	\N	\N	\N
341313	1158	1995-11-24	VYDAJ	VYBER	4400	29954	\N	\N	\N
341314	1158	1995-12-24	VYDAJ	VYBER	2200	28471	\N	\N	\N
341315	1158	1996-03-23	VYDAJ	VYBER	700	27865	\N	\N	\N
341316	1158	1996-09-19	VYDAJ	VYBER	4000	27560	\N	\N	\N
341317	1158	1996-11-18	VYDAJ	VYBER	5000	30228	\N	\N	\N
341318	1158	1996-12-18	VYDAJ	VYBER	2400	32114	\N	\N	\N
341319	1158	1997-04-17	VYDAJ	VYBER	100	36404	\N	\N	\N
341320	1158	1997-05-17	VYDAJ	VYBER	1500	36723	\N	\N	\N
341321	1158	1997-11-13	VYDAJ	VYBER	1200	51455	\N	\N	\N
341322	1158	1997-12-13	VYDAJ	VYBER	5500	50319	\N	\N	\N
341323	1158	1998-01-12	VYDAJ	VYBER	300	48754	\N	\N	\N
341324	1158	1998-05-12	VYDAJ	VYBER	600	47717	\N	\N	\N
341325	1158	1998-07-11	VYDAJ	VYBER	900	46722	\N	\N	\N
341326	1158	1998-09-09	VYDAJ	VYBER	5600	45655	\N	\N	\N
341327	1158	1998-10-09	VYDAJ	VYBER	3000	47015	\N	\N	\N
341328	1158	1998-11-08	VYDAJ	VYBER	8900	42478	\N	\N	\N
341329	1158	1998-12-08	VYDAJ	VYBER	8400	38029	\N	\N	\N
341387	1159	1994-02-09	PRIJEM	VKLAD	400	400	\N	\N	\N
341390	1159	1994-03-08	PRIJEM	VKLAD	10874	11274	\N	\N	\N
341391	1159	1994-04-08	PRIJEM	VKLAD	10874	28097	\N	\N	\N
341392	1159	1994-05-08	PRIJEM	VKLAD	10874	35564	\N	\N	\N
341393	1159	1994-06-08	PRIJEM	VKLAD	16311	47296	\N	\N	\N
341394	1159	1994-07-08	PRIJEM	VKLAD	10874	47315	\N	\N	\N
341395	1159	1994-08-08	PRIJEM	VKLAD	10874	40839	\N	\N	\N
341396	1159	1994-09-08	PRIJEM	VKLAD	10874	34545	\N	\N	\N
341397	1159	1994-10-08	PRIJEM	VKLAD	10874	32488	\N	\N	\N
341398	1159	1994-11-08	PRIJEM	VKLAD	10874	34984	\N	\N	\N
341399	1159	1994-12-08	PRIJEM	VKLAD	16311	40831	\N	\N	\N
341400	1159	1995-01-08	PRIJEM	VKLAD	10874	37216	\N	\N	\N
341401	1159	1995-02-08	PRIJEM	VKLAD	10874	33707	\N	\N	\N
341402	1159	1995-03-08	PRIJEM	VKLAD	10874	36439	\N	\N	\N
341403	1159	1995-04-08	PRIJEM	VKLAD	10874	36051	\N	\N	\N
341404	1159	1995-05-08	PRIJEM	VKLAD	10874	36008	\N	\N	\N
341405	1159	1995-06-08	PRIJEM	VKLAD	16311	42758	\N	\N	\N
341406	1159	1995-07-08	PRIJEM	VKLAD	10874	41524	\N	\N	\N
341407	1159	1995-08-08	PRIJEM	VKLAD	10874	41052	\N	\N	\N
341408	1159	1995-09-08	PRIJEM	VKLAD	10874	40749	\N	\N	\N
341409	1159	1995-10-08	PRIJEM	VKLAD	10874	40381	\N	\N	\N
341410	1159	1995-11-08	PRIJEM	VKLAD	10874	40917	\N	\N	\N
341411	1159	1995-12-08	PRIJEM	VKLAD	16311	42830	\N	\N	\N
341412	1159	1996-01-08	PRIJEM	VKLAD	10874	42669	\N	\N	\N
341413	1159	1996-02-08	PRIJEM	VKLAD	10874	32260	\N	\N	\N
341414	1159	1996-03-08	PRIJEM	VKLAD	10874	34549	\N	\N	\N
341415	1159	1996-04-08	PRIJEM	VKLAD	10874	38514	\N	\N	\N
341416	1159	1996-05-08	PRIJEM	VKLAD	10874	40428	\N	\N	\N
341417	1159	1996-06-08	PRIJEM	VKLAD	16311	45886	\N	\N	\N
341418	1159	1996-07-08	PRIJEM	VKLAD	10874	40697	\N	\N	\N
341419	1159	1996-08-08	PRIJEM	VKLAD	10874	44921	\N	\N	\N
341420	1159	1996-09-08	PRIJEM	VKLAD	10874	47161	\N	\N	\N
341421	1159	1996-10-08	PRIJEM	VKLAD	10874	46708	\N	\N	\N
341422	1159	1996-11-08	PRIJEM	VKLAD	10874	42250	\N	\N	\N
341423	1159	1996-12-08	PRIJEM	VKLAD	16311	43087	\N	\N	\N
341424	1159	1997-01-08	PRIJEM	VKLAD	10874	39790	\N	\N	\N
341425	1159	1997-02-08	PRIJEM	VKLAD	10874	34524	\N	\N	\N
341426	1159	1997-03-08	PRIJEM	VKLAD	10874	42124	\N	\N	\N
341427	1159	1997-04-08	PRIJEM	VKLAD	10874	41249	\N	\N	\N
341428	1159	1997-05-08	PRIJEM	VKLAD	10874	45574	\N	\N	\N
341429	1159	1997-06-08	PRIJEM	VKLAD	16311	53152	\N	\N	\N
341430	1159	1997-07-08	PRIJEM	VKLAD	10874	47547	\N	\N	\N
341431	1159	1997-08-08	PRIJEM	VKLAD	10874	52299	\N	\N	\N
341432	1159	1997-09-08	PRIJEM	VKLAD	10874	52464	\N	\N	\N
341433	1159	1997-10-08	PRIJEM	VKLAD	10874	53356	\N	\N	\N
341434	1159	1997-11-08	PRIJEM	VKLAD	10874	54927	\N	\N	\N
341435	1159	1997-12-08	PRIJEM	VKLAD	16311	55520	\N	\N	\N
341436	1159	1998-01-08	PRIJEM	VKLAD	10874	55946	\N	\N	\N
341437	1159	1998-02-08	PRIJEM	VKLAD	10874	31664	\N	\N	\N
341438	1159	1998-03-08	PRIJEM	VKLAD	10874	44261	\N	\N	\N
341439	1159	1998-04-08	PRIJEM	VKLAD	10874	48197	\N	\N	\N
341440	1159	1998-05-08	PRIJEM	VKLAD	10874	51048	\N	\N	\N
341441	1159	1998-06-08	PRIJEM	VKLAD	16311	54643	\N	\N	\N
341442	1159	1998-07-08	PRIJEM	VKLAD	10874	51083	\N	\N	\N
341443	1159	1998-08-08	PRIJEM	VKLAD	10874	54256	\N	\N	\N
341444	1159	1998-09-08	PRIJEM	VKLAD	10874	53570	\N	\N	\N
341445	1159	1998-10-08	PRIJEM	VKLAD	10874	53536	\N	\N	\N
341446	1159	1998-11-08	PRIJEM	VKLAD	10874	49977	\N	\N	\N
341447	1159	1998-12-08	PRIJEM	VKLAD	16311	56366	\N	\N	\N
341454	1159	1994-07-13	VYDAJ	PREVOD NA UCET	6470	29845	SIPO	KL	37861478
341455	1159	1994-08-13	VYDAJ	PREVOD NA UCET	6470	23969	SIPO	KL	37861478
341456	1159	1994-09-13	VYDAJ	PREVOD NA UCET	6470	18835	SIPO	KL	37861478
341457	1159	1994-10-13	VYDAJ	PREVOD NA UCET	6470	26018	SIPO	KL	37861478
341458	1159	1994-11-13	VYDAJ	PREVOD NA UCET	6470	28514	SIPO	KL	37861478
341459	1159	1994-12-13	VYDAJ	PREVOD NA UCET	6470	34361	SIPO	KL	37861478
341460	1159	1995-01-13	VYDAJ	PREVOD NA UCET	6470	24986	SIPO	KL	37861478
341461	1159	1995-02-13	VYDAJ	PREVOD NA UCET	6470	27237	SIPO	KL	37861478
341462	1159	1995-03-13	VYDAJ	PREVOD NA UCET	6470	29969	SIPO	KL	37861478
341463	1159	1995-04-13	VYDAJ	PREVOD NA UCET	6470	29581	SIPO	KL	37861478
341464	1159	1995-05-13	VYDAJ	PREVOD NA UCET	6470	29538	SIPO	KL	37861478
341465	1159	1995-06-13	VYDAJ	PREVOD NA UCET	6470	36288	SIPO	KL	37861478
341466	1159	1995-07-13	VYDAJ	PREVOD NA UCET	6470	35054	SIPO	KL	37861478
341467	1159	1995-08-13	VYDAJ	PREVOD NA UCET	6470	34582	SIPO	KL	37861478
341468	1159	1995-09-13	VYDAJ	PREVOD NA UCET	6470	34279	SIPO	KL	37861478
341469	1159	1995-10-13	VYDAJ	PREVOD NA UCET	6470	33911	SIPO	KL	37861478
341470	1159	1995-11-13	VYDAJ	PREVOD NA UCET	6470	34447	SIPO	KL	37861478
341471	1159	1995-12-13	VYDAJ	PREVOD NA UCET	6470	36360	SIPO	KL	37861478
341472	1159	1996-01-13	VYDAJ	PREVOD NA UCET	6470	36199	SIPO	KL	37861478
341473	1159	1996-02-13	VYDAJ	PREVOD NA UCET	6470	25790	SIPO	KL	37861478
341474	1159	1996-03-13	VYDAJ	PREVOD NA UCET	6470	28079	SIPO	KL	37861478
341475	1159	1996-04-13	VYDAJ	PREVOD NA UCET	6470	32044	SIPO	KL	37861478
341476	1159	1996-05-13	VYDAJ	PREVOD NA UCET	6470	33958	SIPO	KL	37861478
341477	1159	1996-06-13	VYDAJ	PREVOD NA UCET	6470	39416	SIPO	KL	37861478
341478	1159	1996-07-13	VYDAJ	PREVOD NA UCET	6470	34227	SIPO	KL	37861478
341479	1159	1996-08-13	VYDAJ	PREVOD NA UCET	6470	38451	SIPO	KL	37861478
341480	1159	1996-09-13	VYDAJ	PREVOD NA UCET	6470	40691	SIPO	KL	37861478
341481	1159	1996-10-13	VYDAJ	PREVOD NA UCET	6470	40238	SIPO	KL	37861478
341482	1159	1996-11-13	VYDAJ	PREVOD NA UCET	6470	33620	SIPO	KL	37861478
341483	1159	1996-12-13	VYDAJ	PREVOD NA UCET	6470	32617	SIPO	KL	37861478
341484	1159	1997-01-13	VYDAJ	PREVOD NA UCET	6470	33320	SIPO	KL	37861478
341485	1159	1997-02-13	VYDAJ	PREVOD NA UCET	6470	28054	SIPO	KL	37861478
341486	1159	1997-03-13	VYDAJ	PREVOD NA UCET	6470	35654	SIPO	KL	37861478
341487	1159	1997-04-13	VYDAJ	PREVOD NA UCET	6470	34779	SIPO	KL	37861478
341488	1159	1997-05-13	VYDAJ	PREVOD NA UCET	6470	39104	SIPO	KL	37861478
341489	1159	1997-06-13	VYDAJ	PREVOD NA UCET	6470	46682	SIPO	KL	37861478
341490	1159	1997-07-13	VYDAJ	PREVOD NA UCET	6470	41077	SIPO	KL	37861478
341491	1159	1997-08-13	VYDAJ	PREVOD NA UCET	6470	45829	SIPO	KL	37861478
341492	1159	1997-09-13	VYDAJ	PREVOD NA UCET	6470	45994	SIPO	KL	37861478
341493	1159	1997-10-13	VYDAJ	PREVOD NA UCET	6470	46886	SIPO	KL	37861478
341494	1159	1997-11-13	VYDAJ	PREVOD NA UCET	6470	48457	SIPO	KL	37861478
341495	1159	1997-12-13	VYDAJ	PREVOD NA UCET	6470	49050	SIPO	KL	37861478
341496	1159	1998-01-13	VYDAJ	PREVOD NA UCET	6470	45996	SIPO	KL	37861478
341497	1159	1998-02-13	VYDAJ	PREVOD NA UCET	6470	25194	SIPO	KL	37861478
341498	1159	1998-03-13	VYDAJ	PREVOD NA UCET	6470	37791	SIPO	KL	37861478
341499	1159	1998-04-13	VYDAJ	PREVOD NA UCET	6470	41727	SIPO	KL	37861478
341500	1159	1998-05-13	VYDAJ	PREVOD NA UCET	6470	44578	SIPO	KL	37861478
341501	1159	1998-06-13	VYDAJ	PREVOD NA UCET	6470	48173	SIPO	KL	37861478
341502	1159	1998-07-13	VYDAJ	PREVOD NA UCET	6470	44613	SIPO	KL	37861478
341503	1159	1998-08-13	VYDAJ	PREVOD NA UCET	6470	47786	SIPO	KL	37861478
341504	1159	1998-09-13	VYDAJ	PREVOD NA UCET	6470	47100	SIPO	KL	37861478
341505	1159	1998-10-13	VYDAJ	PREVOD NA UCET	6470	43946	SIPO	KL	37861478
341506	1159	1998-11-13	VYDAJ	PREVOD NA UCET	6470	43507	SIPO	KL	37861478
341507	1159	1998-12-13	VYDAJ	PREVOD NA UCET	6470	45456	SIPO	KL	37861478
341509	1159	1995-06-16	VYDAJ	VYBER	5760	30528	\N	\N	\N
341510	1159	1996-06-26	VYDAJ	VYBER	6720	32696	\N	\N	\N
341512	1159	1998-06-15	VYDAJ	VYBER	8480	39693	\N	\N	\N
341515	1159	1996-01-14	VYDAJ	VYBER	13760	22439	\N	\N	\N
341517	1159	1998-01-25	VYDAJ	VYBER	13600	24116	\N	\N	\N
341518	1159	1994-12-14	VYDAJ	VYBER	2720	31641	\N	\N	\N
341519	1159	1995-12-05	VYDAJ	VYBER	1760	26519	\N	\N	\N
341520	1159	1996-12-13	VYDAJ	VYBER	4000	39087	\N	\N	\N
341521	1159	1997-12-04	VYDAJ	VYBER	4160	39209	\N	\N	\N
341522	1159	1998-12-29	VYDAJ	VYBER	4640	32256	\N	\N	\N
341529	1159	1995-01-22	VYDAJ	VYBER	3480	17546	\N	\N	\N
341530	1159	1995-01-10	VYDAJ	VYBER	2520	31456	\N	\N	\N
341531	1159	1995-01-06	VYDAJ	VYBER	720	26342	\N	\N	\N
341532	1159	1995-01-14	VYDAJ	VYBER	2040	22946	\N	\N	\N
341533	1159	1995-01-20	VYDAJ	VYBER	1080	21026	\N	\N	\N
341534	1159	1995-01-09	VYDAJ	VYBER	3240	33976	\N	\N	\N
341535	1159	1996-01-19	VYDAJ	VYBER	3000	15839	\N	\N	\N
341536	1159	1996-01-16	VYDAJ	VYBER	2760	19679	\N	\N	\N
341539	1159	1996-01-27	VYDAJ	VYBER	1440	14399	\N	\N	\N
341540	1159	1996-01-19	VYDAJ	VYBER	840	18839	\N	\N	\N
341541	1159	1997-01-16	VYDAJ	VYBER	3480	29840	\N	\N	\N
341542	1159	1997-01-23	VYDAJ	VYBER	2640	26480	\N	\N	\N
341543	1159	1997-01-04	VYDAJ	VYBER	720	28916	\N	\N	\N
341544	1159	1997-01-27	VYDAJ	VYBER	2400	23540	\N	\N	\N
341545	1159	1997-01-26	VYDAJ	VYBER	840	25940	\N	\N	\N
341546	1159	1997-01-23	VYDAJ	VYBER	720	29120	\N	\N	\N
341547	1159	1998-01-28	VYDAJ	VYBER	3480	20636	\N	\N	\N
341548	1159	1998-01-19	VYDAJ	VYBER	720	45276	\N	\N	\N
341549	1159	1998-01-08	VYDAJ	VYBER	3480	52466	\N	\N	\N
341550	1159	1998-01-06	VYDAJ	VYBER	960	45072	\N	\N	\N
341551	1159	1998-01-24	VYDAJ	VYBER	840	37716	\N	\N	\N
341552	1159	1998-01-22	VYDAJ	VYBER	1560	43716	\N	\N	\N
341554	1159	1994-09-12	VYDAJ	VYBER	3840	30705	\N	\N	\N
341555	1159	1994-09-12	VYDAJ	VYBER	5400	25305	\N	\N	\N
341556	1159	1994-10-04	VYDAJ	VYBER	600	18314	\N	\N	\N
341557	1159	1995-02-18	VYDAJ	VYBER	3360	23877	\N	\N	\N
341558	1159	1995-08-27	VYDAJ	VYBER	2880	31702	\N	\N	\N
341559	1159	1995-09-03	VYDAJ	VYBER	960	29875	\N	\N	\N
341560	1159	1995-04-29	VYDAJ	VYBER	3960	25621	\N	\N	\N
341561	1159	1995-01-17	VYDAJ	VYBER	840	22106	\N	\N	\N
341562	1159	1996-03-02	VYDAJ	VYBER	3600	23675	\N	\N	\N
341563	1159	1996-11-11	VYDAJ	VYBER	2160	40090	\N	\N	\N
341564	1159	1996-11-17	VYDAJ	VYBER	960	32660	\N	\N	\N
341565	1159	1996-03-17	VYDAJ	VYBER	2640	25439	\N	\N	\N
341566	1159	1997-09-29	VYDAJ	VYBER	4080	42314	\N	\N	\N
341567	1159	1997-11-20	VYDAJ	VYBER	1560	43197	\N	\N	\N
341568	1159	1997-06-13	VYDAJ	VYBER	2280	38522	\N	\N	\N
341569	1159	1997-06-13	VYDAJ	VYBER	5880	40802	\N	\N	\N
341570	1159	1998-07-06	VYDAJ	VYBER	3840	40209	\N	\N	\N
341571	1159	1998-12-14	VYDAJ	VYBER	2160	43296	\N	\N	\N
341572	1159	1998-01-23	VYDAJ	VYBER	5160	38556	\N	\N	\N
341573	1159	1998-05-30	VYDAJ	VYBER	2400	38178	\N	\N	\N
341574	1159	1998-12-12	VYDAJ	VYBER	4440	51926	\N	\N	\N
341575	1159	1998-08-30	VYDAJ	VYBER	3360	42526	\N	\N	\N
341576	1159	1998-10-08	VYDAJ	VYBER	3120	50416	\N	\N	\N
341584	1159	1994-07-31	VYDAJ	VYBER	15	29965	SLUZBY	\N	\N
341585	1159	1994-08-31	VYDAJ	VYBER	15	24071	SLUZBY	\N	\N
341586	1159	1994-09-30	VYDAJ	VYBER	15	18914	SLUZBY	\N	\N
341587	1159	1994-10-31	VYDAJ	VYBER	15	26110	SLUZBY	\N	\N
341588	1159	1994-11-30	VYDAJ	VYBER	15	28620	SLUZBY	\N	\N
341589	1159	1994-12-31	VYDAJ	VYBER	15	31762	SLUZBY	\N	\N
341590	1159	1995-01-31	VYDAJ	VYBER	15	17633	SLUZBY	\N	\N
341591	1159	1995-02-28	VYDAJ	VYBER	15	23965	SLUZBY	\N	\N
341592	1159	1995-03-31	VYDAJ	VYBER	15	30077	SLUZBY	\N	\N
341593	1159	1995-04-30	VYDAJ	VYBER	15	25734	SLUZBY	\N	\N
341594	1159	1995-05-31	VYDAJ	VYBER	15	29647	SLUZBY	\N	\N
341595	1159	1995-06-30	VYDAJ	VYBER	15	30650	SLUZBY	\N	\N
341596	1159	1995-07-31	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
341597	1159	1995-08-31	VYDAJ	VYBER	15	31835	SLUZBY	\N	\N
341598	1159	1995-09-30	VYDAJ	VYBER	15	34407	SLUZBY	\N	\N
341599	1159	1995-10-31	VYDAJ	VYBER	15	34043	SLUZBY	\N	\N
341600	1159	1995-11-30	VYDAJ	VYBER	15	34579	SLUZBY	\N	\N
341601	1159	1995-12-31	VYDAJ	VYBER	15	31795	SLUZBY	\N	\N
341602	1159	1996-01-31	VYDAJ	VYBER	15	21386	SLUZBY	\N	\N
341603	1159	1996-02-29	VYDAJ	VYBER	15	27275	SLUZBY	\N	\N
341604	1159	1996-03-31	VYDAJ	VYBER	15	27640	SLUZBY	\N	\N
341605	1159	1996-04-30	VYDAJ	VYBER	15	29554	SLUZBY	\N	\N
341606	1159	1996-05-31	VYDAJ	VYBER	15	29575	SLUZBY	\N	\N
341607	1159	1996-06-30	VYDAJ	VYBER	15	29823	SLUZBY	\N	\N
341608	1159	1996-07-31	VYDAJ	VYBER	15	34047	SLUZBY	\N	\N
341609	1159	1996-08-31	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
341610	1159	1996-09-30	VYDAJ	VYBER	15	35834	SLUZBY	\N	\N
341611	1159	1996-10-31	VYDAJ	VYBER	15	31376	SLUZBY	\N	\N
341612	1159	1996-11-30	VYDAJ	VYBER	15	26776	SLUZBY	\N	\N
341613	1159	1996-12-31	VYDAJ	VYBER	15	29636	SLUZBY	\N	\N
341614	1159	1997-01-31	VYDAJ	VYBER	15	23650	SLUZBY	\N	\N
341615	1159	1997-02-28	VYDAJ	VYBER	15	31250	SLUZBY	\N	\N
341616	1159	1997-03-31	VYDAJ	VYBER	15	30375	SLUZBY	\N	\N
341617	1159	1997-04-30	VYDAJ	VYBER	15	34700	SLUZBY	\N	\N
341618	1159	1997-05-31	VYDAJ	VYBER	15	36841	SLUZBY	\N	\N
341619	1159	1997-06-30	VYDAJ	VYBER	15	36673	SLUZBY	\N	\N
341620	1159	1997-07-31	VYDAJ	VYBER	15	41425	SLUZBY	\N	\N
341621	1159	1997-08-31	VYDAJ	VYBER	15	41590	SLUZBY	\N	\N
341622	1159	1997-09-30	VYDAJ	VYBER	15	42482	SLUZBY	\N	\N
341623	1159	1997-10-31	VYDAJ	VYBER	15	44053	SLUZBY	\N	\N
341624	1159	1997-11-30	VYDAJ	VYBER	15	43369	SLUZBY	\N	\N
341625	1159	1997-12-31	VYDAJ	VYBER	15	46032	SLUZBY	\N	\N
341626	1159	1998-01-31	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
341627	1159	1998-02-28	VYDAJ	VYBER	15	33387	SLUZBY	\N	\N
341628	1159	1998-03-31	VYDAJ	VYBER	15	37323	SLUZBY	\N	\N
341629	1159	1998-04-30	VYDAJ	VYBER	15	40174	SLUZBY	\N	\N
341630	1159	1998-05-31	VYDAJ	VYBER	15	38332	SLUZBY	\N	\N
341631	1159	1998-06-30	VYDAJ	VYBER	15	44049	SLUZBY	\N	\N
341632	1159	1998-07-31	VYDAJ	VYBER	15	43382	SLUZBY	\N	\N
341633	1159	1998-08-31	VYDAJ	VYBER	15	42696	SLUZBY	\N	\N
341634	1159	1998-09-30	VYDAJ	VYBER	15	42662	SLUZBY	\N	\N
341635	1159	1998-10-31	VYDAJ	VYBER	15	39103	SLUZBY	\N	\N
341636	1159	1998-11-30	VYDAJ	VYBER	15	40055	SLUZBY	\N	\N
341637	1159	1994-03-11	PRIJEM	VKLAD	5900	17174	\N	\N	\N
341638	1159	1994-04-10	VYDAJ	VYBER	3500	24597	\N	\N	\N
341639	1159	1994-05-10	VYDAJ	VYBER	4700	30864	\N	\N	\N
341640	1159	1994-06-09	VYDAJ	VYBER	11000	36296	\N	\N	\N
341641	1159	1994-07-09	VYDAJ	VYBER	11000	36315	\N	\N	\N
341642	1159	1994-08-08	VYDAJ	VYBER	10400	30439	\N	\N	\N
341643	1159	1994-09-07	VYDAJ	VYBER	400	23671	\N	\N	\N
341644	1159	1994-10-07	PRIJEM	VKLAD	3300	21614	\N	\N	\N
341645	1159	1994-11-06	VYDAJ	VYBER	2000	24110	\N	\N	\N
341646	1159	1994-12-06	VYDAJ	VYBER	4100	24520	\N	\N	\N
341647	1159	1995-01-05	VYDAJ	VYBER	4700	27062	\N	\N	\N
341648	1159	1995-02-04	PRIJEM	VKLAD	5200	22833	\N	\N	\N
341649	1159	1995-03-06	PRIJEM	VKLAD	1600	25565	\N	\N	\N
341650	1159	1995-04-05	VYDAJ	VYBER	4900	25177	\N	\N	\N
341651	1159	1995-05-05	VYDAJ	VYBER	600	25134	\N	\N	\N
341652	1159	1995-06-04	VYDAJ	VYBER	3200	26447	\N	\N	\N
341653	1159	1995-08-03	VYDAJ	VYBER	5000	30178	\N	\N	\N
341654	1159	1995-09-02	VYDAJ	VYBER	1000	30835	\N	\N	\N
341655	1159	1995-10-02	VYDAJ	VYBER	4900	29507	\N	\N	\N
341656	1159	1995-11-01	VYDAJ	VYBER	4000	30043	\N	\N	\N
341657	1159	1995-12-01	VYDAJ	VYBER	6300	28279	\N	\N	\N
341658	1159	1995-12-31	VYDAJ	VYBER	4700	31810	\N	\N	\N
341659	1159	1996-01-30	PRIJEM	VKLAD	6900	21299	\N	\N	\N
341660	1159	1996-02-29	PRIJEM	VKLAD	1400	27190	\N	\N	\N
341661	1159	1996-03-30	PRIJEM	VKLAD	2100	27539	\N	\N	\N
341662	1159	1996-04-29	VYDAJ	VYBER	2600	29444	\N	\N	\N
341663	1159	1996-05-29	VYDAJ	VYBER	4500	29458	\N	\N	\N
341664	1159	1996-06-28	VYDAJ	VYBER	3000	29696	\N	\N	\N
341665	1159	1996-07-28	VYDAJ	VYBER	300	33927	\N	\N	\N
341666	1159	1996-08-27	VYDAJ	VYBER	2300	36151	\N	\N	\N
341667	1159	1996-09-26	VYDAJ	VYBER	5000	35691	\N	\N	\N
341668	1159	1996-10-26	VYDAJ	VYBER	9000	31238	\N	\N	\N
341669	1159	1996-11-25	VYDAJ	VYBER	6000	26660	\N	\N	\N
341670	1159	1996-12-25	VYDAJ	VYBER	3100	29517	\N	\N	\N
341671	1159	1997-01-24	PRIJEM	VKLAD	300	26780	\N	\N	\N
341672	1159	1997-02-23	PRIJEM	VKLAD	3100	31154	\N	\N	\N
341673	1159	1997-03-25	VYDAJ	VYBER	5400	30254	\N	\N	\N
341674	1159	1997-04-24	VYDAJ	VYBER	200	34579	\N	\N	\N
341675	1159	1997-05-24	VYDAJ	VYBER	2400	36704	\N	\N	\N
341676	1159	1997-06-23	VYDAJ	VYBER	2000	36522	\N	\N	\N
341677	1159	1997-07-23	PRIJEM	VKLAD	200	41277	\N	\N	\N
341678	1159	1997-08-22	VYDAJ	VYBER	4400	41429	\N	\N	\N
341679	1159	1997-09-21	PRIJEM	VKLAD	400	46394	\N	\N	\N
341680	1159	1997-10-21	VYDAJ	VYBER	3000	43886	\N	\N	\N
341681	1159	1997-11-20	VYDAJ	VYBER	3700	44757	\N	\N	\N
341682	1159	1997-12-20	VYDAJ	VYBER	3200	45850	\N	\N	\N
341683	1159	1998-02-18	PRIJEM	VKLAD	8100	33294	\N	\N	\N
341684	1159	1998-03-20	VYDAJ	VYBER	600	37191	\N	\N	\N
341685	1159	1998-04-19	VYDAJ	VYBER	1700	40027	\N	\N	\N
341686	1159	1998-05-19	VYDAJ	VYBER	4000	40578	\N	\N	\N
341687	1159	1998-06-18	PRIJEM	VKLAD	4200	43893	\N	\N	\N
341688	1159	1998-07-18	VYDAJ	VYBER	1400	43213	\N	\N	\N
341689	1159	1998-08-17	VYDAJ	VYBER	1900	45886	\N	\N	\N
341690	1159	1998-09-16	VYDAJ	VYBER	4600	42500	\N	\N	\N
341691	1159	1998-10-16	VYDAJ	VYBER	5000	38946	\N	\N	\N
341692	1159	1998-11-15	VYDAJ	VYBER	3600	39907	\N	\N	\N
341693	1159	1998-12-15	VYDAJ	VYBER	6400	36896	\N	\N	\N
341752	1160	1996-07-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
341760	1160	1996-08-08	PRIJEM	PREVOD Z UCTU	28420	29420	\N	YZ	84825235
341761	1160	1996-09-08	PRIJEM	PREVOD Z UCTU	28420	54354	\N	YZ	84825235
341762	1160	1996-10-08	PRIJEM	PREVOD Z UCTU	28420	67689	\N	YZ	84825235
341763	1160	1996-11-08	PRIJEM	PREVOD Z UCTU	28420	77179	\N	YZ	84825235
341764	1160	1996-12-08	PRIJEM	PREVOD Z UCTU	42630	98216	\N	YZ	84825235
341765	1160	1997-01-08	PRIJEM	PREVOD Z UCTU	28420	81656	\N	YZ	84825235
341766	1160	1997-02-08	PRIJEM	PREVOD Z UCTU	28420	60674	\N	YZ	84825235
341767	1160	1997-03-08	PRIJEM	PREVOD Z UCTU	28420	73510	\N	YZ	84825235
341768	1160	1997-04-08	PRIJEM	PREVOD Z UCTU	28420	78295	\N	YZ	84825235
341769	1160	1997-05-08	PRIJEM	PREVOD Z UCTU	28420	84499	\N	YZ	84825235
341770	1160	1997-06-08	PRIJEM	PREVOD Z UCTU	42630	103938	\N	YZ	84825235
341771	1160	1997-07-08	PRIJEM	PREVOD Z UCTU	28420	86915	\N	YZ	84825235
341772	1160	1997-08-08	PRIJEM	PREVOD Z UCTU	28420	92250	\N	YZ	84825235
341773	1160	1997-09-08	PRIJEM	PREVOD Z UCTU	28420	95301	\N	YZ	84825235
341774	1160	1997-10-08	PRIJEM	PREVOD Z UCTU	28420	98463	\N	YZ	84825235
341775	1160	1997-11-08	PRIJEM	PREVOD Z UCTU	28420	95831	\N	YZ	84825235
341776	1160	1997-12-08	PRIJEM	PREVOD Z UCTU	42630	113102	\N	YZ	84825235
341777	1160	1998-01-08	PRIJEM	PREVOD Z UCTU	28420	83387	\N	YZ	84825235
341778	1160	1998-02-08	PRIJEM	PREVOD Z UCTU	28420	58117	\N	YZ	84825235
341779	1160	1998-03-08	PRIJEM	PREVOD Z UCTU	28420	65197	\N	YZ	84825235
341780	1160	1998-04-08	PRIJEM	PREVOD Z UCTU	28420	79137	\N	YZ	84825235
341781	1160	1998-05-08	PRIJEM	PREVOD Z UCTU	28420	56102	\N	YZ	84825235
341782	1160	1998-06-08	PRIJEM	PREVOD Z UCTU	42630	92736	\N	YZ	84825235
341783	1160	1998-07-08	PRIJEM	PREVOD Z UCTU	28420	62646	\N	YZ	84825235
341784	1160	1998-08-08	PRIJEM	PREVOD Z UCTU	28420	65502	\N	YZ	84825235
341785	1160	1998-09-08	PRIJEM	PREVOD Z UCTU	28420	61967	\N	YZ	84825235
341786	1160	1998-10-08	PRIJEM	PREVOD Z UCTU	28420	66732	\N	YZ	84825235
341787	1160	1998-11-08	PRIJEM	PREVOD Z UCTU	28420	62355	\N	YZ	84825235
341788	1160	1998-12-08	PRIJEM	PREVOD Z UCTU	42630	95023	\N	YZ	84825235
341800	1160	1996-12-08	VYDAJ	PREVOD NA UCET	3487	94729	SIPO	YZ	20354813
341801	1160	1997-01-08	VYDAJ	PREVOD NA UCET	3487	78169	SIPO	YZ	20354813
341802	1160	1997-02-08	VYDAJ	PREVOD NA UCET	3487	57187	SIPO	YZ	20354813
341803	1160	1997-03-08	VYDAJ	PREVOD NA UCET	3487	70023	SIPO	YZ	20354813
341804	1160	1997-04-08	VYDAJ	PREVOD NA UCET	3487	74808	SIPO	YZ	20354813
341805	1160	1997-05-08	VYDAJ	PREVOD NA UCET	3487	81012	SIPO	YZ	20354813
341806	1160	1997-06-08	VYDAJ	PREVOD NA UCET	3487	100451	SIPO	YZ	20354813
341807	1160	1997-07-08	VYDAJ	PREVOD NA UCET	3487	83428	SIPO	YZ	20354813
341808	1160	1997-08-08	VYDAJ	PREVOD NA UCET	3487	88763	SIPO	YZ	20354813
341809	1160	1997-09-08	VYDAJ	PREVOD NA UCET	3487	91814	SIPO	YZ	20354813
341810	1160	1997-10-08	VYDAJ	PREVOD NA UCET	3487	94976	SIPO	YZ	20354813
341811	1160	1997-11-08	VYDAJ	PREVOD NA UCET	3487	92344	SIPO	YZ	20354813
341812	1160	1997-12-08	VYDAJ	PREVOD NA UCET	3487	109615	SIPO	YZ	20354813
341813	1160	1998-01-08	VYDAJ	PREVOD NA UCET	3487	79900	SIPO	YZ	20354813
341814	1160	1998-02-08	VYDAJ	PREVOD NA UCET	3487	54630	SIPO	YZ	20354813
341815	1160	1998-03-08	VYDAJ	PREVOD NA UCET	3487	61710	SIPO	YZ	20354813
341816	1160	1998-04-08	VYDAJ	PREVOD NA UCET	3487	75650	SIPO	YZ	20354813
341817	1160	1998-05-08	VYDAJ	PREVOD NA UCET	3487	52615	SIPO	YZ	20354813
341818	1160	1998-06-08	VYDAJ	PREVOD NA UCET	3487	89249	SIPO	YZ	20354813
341819	1160	1998-07-08	VYDAJ	PREVOD NA UCET	3487	59159	SIPO	YZ	20354813
341820	1160	1998-08-08	VYDAJ	PREVOD NA UCET	3487	62015	SIPO	YZ	20354813
341821	1160	1998-09-08	VYDAJ	PREVOD NA UCET	3487	44307	SIPO	YZ	20354813
341822	1160	1998-10-08	VYDAJ	PREVOD NA UCET	3487	63245	SIPO	YZ	20354813
341823	1160	1998-11-08	VYDAJ	PREVOD NA UCET	3487	58868	SIPO	YZ	20354813
341824	1160	1998-12-08	VYDAJ	PREVOD NA UCET	3487	91536	SIPO	YZ	20354813
341836	1160	1996-12-11	VYDAJ	PREVOD NA UCET	171	94558	 	CD	47398275
341837	1160	1997-01-11	VYDAJ	PREVOD NA UCET	171	47998	 	CD	47398275
341838	1160	1997-02-11	VYDAJ	PREVOD NA UCET	171	57016	 	CD	47398275
341839	1160	1997-03-11	VYDAJ	PREVOD NA UCET	171	69852	 	CD	47398275
341840	1160	1997-04-11	VYDAJ	PREVOD NA UCET	171	74637	 	CD	47398275
341841	1160	1997-05-11	VYDAJ	PREVOD NA UCET	171	80841	 	CD	47398275
341842	1160	1997-06-11	VYDAJ	PREVOD NA UCET	171	100280	 	CD	47398275
341843	1160	1997-07-11	VYDAJ	PREVOD NA UCET	171	83257	 	CD	47398275
341844	1160	1997-08-11	VYDAJ	PREVOD NA UCET	171	88592	 	CD	47398275
341845	1160	1997-09-11	VYDAJ	PREVOD NA UCET	171	91643	 	CD	47398275
341846	1160	1997-10-11	VYDAJ	PREVOD NA UCET	171	94805	 	CD	47398275
341847	1160	1997-11-11	VYDAJ	PREVOD NA UCET	171	92173	 	CD	47398275
341848	1160	1997-12-11	VYDAJ	PREVOD NA UCET	171	91944	 	CD	47398275
341849	1160	1998-01-11	VYDAJ	PREVOD NA UCET	171	79729	 	CD	47398275
341850	1160	1998-02-11	VYDAJ	PREVOD NA UCET	171	54459	 	CD	47398275
341851	1160	1998-03-11	VYDAJ	PREVOD NA UCET	171	61539	 	CD	47398275
341852	1160	1998-04-11	VYDAJ	PREVOD NA UCET	171	75479	 	CD	47398275
341853	1160	1998-05-11	VYDAJ	PREVOD NA UCET	171	52444	 	CD	47398275
341854	1160	1998-06-11	VYDAJ	PREVOD NA UCET	171	48878	 	CD	47398275
341855	1160	1998-07-11	VYDAJ	PREVOD NA UCET	171	58988	 	CD	47398275
341856	1160	1998-08-11	VYDAJ	PREVOD NA UCET	171	61844	 	CD	47398275
341857	1160	1998-09-11	VYDAJ	PREVOD NA UCET	171	44136	 	CD	47398275
341858	1160	1998-10-11	VYDAJ	PREVOD NA UCET	171	63074	 	CD	47398275
341859	1160	1998-11-11	VYDAJ	PREVOD NA UCET	171	58697	 	CD	47398275
341860	1160	1998-12-11	VYDAJ	PREVOD NA UCET	171	91365	 	CD	47398275
341873	1160	1997-12-25	VYBER	VYBER	3874	62770	\N	\N	\N
341874	1160	1998-02-27	VYBER	VYBER	8626	36633	\N	\N	\N
341875	1160	1998-07-13	VYBER	VYBER	5570	53418	\N	\N	\N
341876	1160	1998-11-07	VYBER	VYBER	18726	33935	\N	\N	\N
341877	1160	1998-09-30	VYBER	VYBER	8571	38342	\N	\N	\N
341879	1160	1998-08-23	VYBER	VYBER	18727	36417	\N	\N	\N
341880	1160	1998-04-12	VYBER	VYBER	11294	64185	\N	\N	\N
341881	1160	1998-04-29	VYBER	VYBER	5044	27498	\N	\N	\N
341882	1160	1998-04-21	VYBER	VYBER	23143	32542	\N	\N	\N
341883	1160	1998-07-27	VYBER	VYBER	15701	36917	\N	\N	\N
341884	1160	1998-09-08	VYBER	VYBER	14173	47794	\N	\N	\N
341885	1160	1998-08-28	VYBER	VYBER	3037	33380	\N	\N	\N
341886	1160	1998-01-26	VYBER	VYBER	6812	34917	\N	\N	\N
341887	1160	1998-06-12	VYBER	VYBER	22286	26592	\N	\N	\N
341890	1160	1998-06-09	VYDAJ	VYBER	40200	49049	\N	\N	\N
341892	1160	1997-01-09	VYDAJ	VYBER	22200	55969	\N	\N	\N
341893	1160	1998-01-13	VYDAJ	VYBER	27900	51829	\N	\N	\N
341894	1160	1996-12-13	VYDAJ	VYBER	5700	88858	\N	\N	\N
341895	1160	1997-12-14	VYDAJ	VYBER KARTOU	1800	90144	\N	\N	0
341896	1160	1998-12-25	VYDAJ	VYBER KARTOU	3600	62665	\N	\N	0
341903	1160	1997-01-24	VYDAJ	VYBER	3300	29698	\N	\N	\N
341904	1160	1997-01-10	VYDAJ	VYBER	6000	48169	\N	\N	\N
341905	1160	1997-01-10	VYDAJ	VYBER	1800	54169	\N	\N	\N
341906	1160	1997-01-06	VYDAJ	VYBER	4200	53236	\N	\N	\N
341907	1160	1997-01-12	VYDAJ	VYBER	3600	44398	\N	\N	\N
341908	1160	1997-01-17	VYDAJ	VYBER	2100	42298	\N	\N	\N
341909	1160	1998-01-01	VYDAJ	VYBER KARTOU	1800	61267	\N	\N	0
341910	1160	1998-01-15	VYDAJ	VYBER	6600	45229	\N	\N	\N
341911	1160	1998-01-27	VYDAJ	VYBER	5400	29517	\N	\N	\N
341912	1160	1998-01-02	VYDAJ	VYBER KARTOU	3900	57367	\N	\N	0
341913	1160	1998-01-07	VYDAJ	VYBER KARTOU	2400	54967	\N	\N	0
341914	1160	1998-01-20	VYDAJ	VYBER KARTOU	3600	41729	\N	\N	0
341920	1160	1996-12-14	VYDAJ	VYBER	5700	83158	\N	\N	\N
341923	1160	1997-04-24	VYDAJ	VYBER	2700	71937	\N	\N	\N
341924	1160	1997-06-27	VYDAJ	VYBER	12600	58180	\N	\N	\N
341925	1160	1997-10-23	VYDAJ	VYBER KARTOU	1500	67105	\N	\N	0
341926	1160	1997-01-21	VYDAJ	VYBER	9300	32998	\N	\N	\N
341927	1160	1998-03-15	VYDAJ	VYBER KARTOU	3300	52239	\N	\N	0
341928	1160	1998-02-13	VYDAJ	VYBER	13800	40659	\N	\N	\N
341930	1160	1998-03-12	VYDAJ	VYBER	6000	55539	\N	\N	\N
341931	1160	1998-04-17	VYDAJ	VYBER KARTOU	2100	62085	\N	\N	0
341944	1160	1996-12-31	VYDAJ	VYBER	30	57436	SLUZBY	\N	\N
341945	1160	1997-01-31	VYDAJ	VYBER	30	32254	SLUZBY	\N	\N
341946	1160	1997-02-28	VYDAJ	VYBER	30	45090	SLUZBY	\N	\N
341947	1160	1997-03-31	VYDAJ	VYBER	30	49875	SLUZBY	\N	\N
341948	1160	1997-04-30	VYDAJ	VYBER	30	56079	SLUZBY	\N	\N
341949	1160	1997-05-31	VYDAJ	VYBER	30	61308	SLUZBY	\N	\N
341950	1160	1997-06-30	VYDAJ	VYBER	30	58495	SLUZBY	\N	\N
341951	1160	1997-07-31	VYDAJ	VYBER	30	63830	SLUZBY	\N	\N
341952	1160	1997-08-31	VYDAJ	VYBER	30	66881	SLUZBY	\N	\N
341953	1160	1997-09-30	VYDAJ	VYBER	30	70043	SLUZBY	\N	\N
341954	1160	1997-10-31	VYDAJ	VYBER	30	67411	SLUZBY	\N	\N
341955	1160	1997-11-30	VYDAJ	VYBER	30	70472	SLUZBY	\N	\N
341956	1160	1997-12-31	VYDAJ	VYBER	30	63067	SLUZBY	\N	\N
341957	1160	1998-01-31	VYDAJ	VYBER	30	29697	SLUZBY	\N	\N
341958	1160	1998-02-28	VYDAJ	VYBER	30	36777	SLUZBY	\N	\N
341959	1160	1998-03-31	VYDAJ	VYBER	30	50717	SLUZBY	\N	\N
341960	1160	1998-04-30	VYDAJ	VYBER	30	27682	SLUZBY	\N	\N
341961	1160	1998-05-31	VYDAJ	VYBER	30	50106	SLUZBY	\N	\N
341962	1160	1998-06-30	VYDAJ	VYBER	30	34226	SLUZBY	\N	\N
341963	1160	1998-07-31	VYDAJ	VYBER	30	37082	SLUZBY	\N	\N
341964	1160	1998-08-31	VYDAJ	VYBER	30	33547	SLUZBY	\N	\N
341965	1160	1998-09-30	VYDAJ	VYBER	30	38312	SLUZBY	\N	\N
341966	1160	1998-10-31	VYDAJ	VYBER	30	52661	SLUZBY	\N	\N
341967	1160	1998-11-30	VYDAJ	VYBER	30	52393	SLUZBY	\N	\N
341968	1160	1996-08-28	VYDAJ	VYBER	3500	25920	\N	\N	\N
341969	1160	1996-09-27	VYDAJ	VYBER	15200	39154	\N	\N	\N
341970	1160	1996-10-27	VYDAJ	VYBER	19100	48589	\N	\N	\N
341971	1160	1996-11-26	VYDAJ	VYBER	21800	55379	\N	\N	\N
341972	1160	1996-12-26	VYDAJ	VYBER	26000	57158	\N	\N	\N
341973	1160	1997-01-25	PRIJEM	VKLAD	2400	32098	\N	\N	\N
341974	1160	1997-02-24	VYDAJ	VYBER	12100	44916	\N	\N	\N
341975	1160	1997-03-26	VYDAJ	VYBER	20200	49652	\N	\N	\N
341976	1160	1997-04-25	VYDAJ	VYBER	16100	55837	\N	\N	\N
341977	1160	1997-05-25	VYDAJ	VYBER	19800	61041	\N	\N	\N
341978	1160	1997-06-24	VYDAJ	VYBER	29500	70780	\N	\N	\N
341979	1160	1997-07-24	VYDAJ	VYBER	19700	63557	\N	\N	\N
341980	1160	1997-08-23	VYDAJ	VYBER	22000	66592	\N	\N	\N
341981	1160	1997-09-22	VYDAJ	VYBER	21900	69743	\N	\N	\N
341982	1160	1997-10-22	VYDAJ	VYBER	26200	68605	\N	\N	\N
341983	1160	1997-11-21	VYDAJ	VYBER	22000	70173	\N	\N	\N
341984	1160	1997-12-08	VYDAJ	VYBER	17500	92115	\N	\N	\N
341985	1160	1997-12-21	VYDAJ	VYBER	23500	66644	\N	\N	\N
341986	1160	1998-01-20	PRIJEM	VKLAD	100	45329	\N	\N	\N
341987	1160	1998-02-19	PRIJEM	VKLAD	4600	45259	\N	\N	\N
341988	1160	1998-03-21	VYDAJ	VYBER KARTOU	1700	50539	\N	\N	0
341989	1160	1998-04-20	VYDAJ	VYBER	6400	55685	\N	\N	\N
341990	1160	1998-05-20	VYDAJ	VYBER KARTOU	2500	49944	\N	\N	0
341991	1160	1998-06-19	PRIJEM	VKLAD	7500	34092	\N	\N	\N
341992	1160	1998-07-19	VYDAJ	VYBER KARTOU	800	52618	\N	\N	0
341993	1160	1998-08-18	VYDAJ	VYBER	6700	55144	\N	\N	\N
341994	1160	1998-09-17	PRIJEM	VKLAD	2600	46736	\N	\N	\N
341995	1160	1998-10-17	VYDAJ	VYBER	10600	52474	\N	\N	\N
341996	1160	1998-11-16	VYDAJ	VYBER	6500	52197	\N	\N	\N
341997	1160	1998-12-16	VYDAJ	VYBER	25100	66265	\N	\N	\N
342027	1161	1993-05-08	PRIJEM	VKLAD	600	600	\N	\N	\N
342032	1161	1993-05-14	PRIJEM	PREVOD Z UCTU	5921	6521	DUCHOD	EF	63046806
342033	1161	1993-06-14	PRIJEM	PREVOD Z UCTU	5921	12458	DUCHOD	EF	63046806
342034	1161	1993-07-14	PRIJEM	PREVOD Z UCTU	5921	18406	DUCHOD	EF	63046806
342035	1161	1993-08-14	PRIJEM	PREVOD Z UCTU	5921	24354	DUCHOD	EF	63046806
342036	1161	1993-09-14	PRIJEM	PREVOD Z UCTU	5921	30302	DUCHOD	EF	63046806
342037	1161	1993-10-14	PRIJEM	PREVOD Z UCTU	5921	28945	DUCHOD	EF	63046806
342038	1161	1993-11-14	PRIJEM	PREVOD Z UCTU	5921	31020	DUCHOD	EF	63046806
342039	1161	1993-12-14	PRIJEM	PREVOD Z UCTU	5921	32097	DUCHOD	EF	63046806
342040	1161	1994-01-14	PRIJEM	PREVOD Z UCTU	5921	27210	DUCHOD	EF	63046806
342041	1161	1994-02-14	PRIJEM	PREVOD Z UCTU	5921	24060	DUCHOD	EF	63046806
342042	1161	1994-03-14	PRIJEM	PREVOD Z UCTU	5921	26108	DUCHOD	EF	63046806
342043	1161	1994-04-14	PRIJEM	PREVOD Z UCTU	5921	28165	DUCHOD	EF	63046806
342044	1161	1994-05-14	PRIJEM	PREVOD Z UCTU	5921	27737	DUCHOD	EF	63046806
342045	1161	1994-06-14	PRIJEM	PREVOD Z UCTU	5921	27152	DUCHOD	EF	63046806
342046	1161	1994-07-14	PRIJEM	PREVOD Z UCTU	5921	26966	DUCHOD	EF	63046806
342047	1161	1994-08-14	PRIJEM	PREVOD Z UCTU	5921	27497	DUCHOD	EF	63046806
342048	1161	1994-09-14	PRIJEM	PREVOD Z UCTU	5921	29563	DUCHOD	EF	63046806
342049	1161	1994-10-14	PRIJEM	PREVOD Z UCTU	5921	28754	DUCHOD	EF	63046806
342050	1161	1994-11-14	PRIJEM	PREVOD Z UCTU	5921	25654	DUCHOD	EF	63046806
342051	1161	1994-12-14	PRIJEM	PREVOD Z UCTU	5921	27703	DUCHOD	EF	63046806
342052	1161	1995-01-14	PRIJEM	PREVOD Z UCTU	5921	26486	DUCHOD	EF	63046806
342053	1161	1995-02-14	PRIJEM	PREVOD Z UCTU	5921	22931	DUCHOD	EF	63046806
342054	1161	1995-03-14	PRIJEM	PREVOD Z UCTU	5921	19595	DUCHOD	EF	63046806
342055	1161	1995-04-14	PRIJEM	PREVOD Z UCTU	5921	21625	DUCHOD	EF	63046806
342056	1161	1995-05-14	PRIJEM	PREVOD Z UCTU	5921	23654	DUCHOD	EF	63046806
342057	1161	1995-06-14	PRIJEM	PREVOD Z UCTU	5921	25692	DUCHOD	EF	63046806
342058	1161	1995-07-14	PRIJEM	PREVOD Z UCTU	5921	27258	DUCHOD	EF	63046806
342059	1161	1995-08-14	PRIJEM	PREVOD Z UCTU	5921	29310	DUCHOD	EF	63046806
342060	1161	1995-09-14	PRIJEM	PREVOD Z UCTU	5921	28057	DUCHOD	EF	63046806
342061	1161	1995-10-14	PRIJEM	PREVOD Z UCTU	5921	29716	DUCHOD	EF	63046806
342062	1161	1995-11-14	PRIJEM	PREVOD Z UCTU	5921	31779	DUCHOD	EF	63046806
342063	1161	1995-12-14	PRIJEM	PREVOD Z UCTU	5921	32354	DUCHOD	EF	63046806
342064	1161	1996-01-14	PRIJEM	PREVOD Z UCTU	5921	29411	DUCHOD	EF	63046806
342065	1161	1996-02-14	PRIJEM	PREVOD Z UCTU	5921	27392	DUCHOD	EF	63046806
342066	1161	1996-03-14	PRIJEM	PREVOD Z UCTU	5921	29444	DUCHOD	EF	63046806
342067	1161	1996-04-14	PRIJEM	PREVOD Z UCTU	5921	30509	DUCHOD	EF	63046806
342068	1161	1996-05-14	PRIJEM	PREVOD Z UCTU	5921	26573	DUCHOD	EF	63046806
342069	1161	1996-06-14	PRIJEM	PREVOD Z UCTU	5921	23115	DUCHOD	EF	63046806
342070	1161	1996-07-14	PRIJEM	PREVOD Z UCTU	5921	21749	DUCHOD	EF	63046806
342071	1161	1996-08-14	PRIJEM	PREVOD Z UCTU	5921	19372	DUCHOD	EF	63046806
342072	1161	1996-09-14	PRIJEM	PREVOD Z UCTU	5921	21391	DUCHOD	EF	63046806
342073	1161	1996-10-14	PRIJEM	PREVOD Z UCTU	5921	19014	DUCHOD	EF	63046806
342074	1161	1996-11-14	PRIJEM	PREVOD Z UCTU	5921	18928	DUCHOD	EF	63046806
342075	1161	1996-12-14	PRIJEM	PREVOD Z UCTU	5921	20954	DUCHOD	EF	63046806
342076	1161	1997-01-14	PRIJEM	PREVOD Z UCTU	5921	21477	DUCHOD	EF	63046806
342077	1161	1997-02-14	PRIJEM	PREVOD Z UCTU	5921	20701	DUCHOD	EF	63046806
342078	1161	1997-03-14	PRIJEM	PREVOD Z UCTU	5921	22733	DUCHOD	EF	63046806
342079	1161	1997-04-14	PRIJEM	PREVOD Z UCTU	5921	19055	DUCHOD	EF	63046806
342080	1161	1997-05-14	PRIJEM	PREVOD Z UCTU	5921	21072	DUCHOD	EF	63046806
342081	1161	1997-06-14	PRIJEM	PREVOD Z UCTU	5921	23107	DUCHOD	EF	63046806
342082	1161	1997-07-14	PRIJEM	PREVOD Z UCTU	5921	20092	DUCHOD	EF	63046806
342083	1161	1997-08-14	PRIJEM	PREVOD Z UCTU	5921	22122	DUCHOD	EF	63046806
342084	1161	1997-09-14	PRIJEM	PREVOD Z UCTU	5921	24161	DUCHOD	EF	63046806
342085	1161	1997-10-14	PRIJEM	PREVOD Z UCTU	5921	26208	DUCHOD	EF	63046806
342086	1161	1997-11-14	PRIJEM	PREVOD Z UCTU	5921	28264	DUCHOD	EF	63046806
342087	1161	1997-12-14	PRIJEM	PREVOD Z UCTU	5921	30328	DUCHOD	EF	63046806
342088	1161	1998-01-14	PRIJEM	PREVOD Z UCTU	5921	30072	DUCHOD	EF	63046806
342089	1161	1998-02-14	PRIJEM	PREVOD Z UCTU	5921	28292	DUCHOD	EF	63046806
342090	1161	1998-03-14	PRIJEM	PREVOD Z UCTU	5921	30355	DUCHOD	EF	63046806
342091	1161	1998-04-14	PRIJEM	PREVOD Z UCTU	5921	32428	DUCHOD	EF	63046806
342092	1161	1998-05-14	PRIJEM	PREVOD Z UCTU	5921	34509	DUCHOD	EF	63046806
342093	1161	1998-06-14	PRIJEM	PREVOD Z UCTU	5921	36590	DUCHOD	EF	63046806
342094	1161	1998-07-14	PRIJEM	PREVOD Z UCTU	5921	38688	DUCHOD	EF	63046806
342095	1161	1998-08-14	PRIJEM	PREVOD Z UCTU	5921	40786	DUCHOD	EF	63046806
342096	1161	1998-09-14	PRIJEM	PREVOD Z UCTU	5921	42892	DUCHOD	EF	63046806
342097	1161	1998-10-14	PRIJEM	PREVOD Z UCTU	5921	45017	DUCHOD	EF	63046806
342098	1161	1998-11-14	PRIJEM	PREVOD Z UCTU	5921	47150	DUCHOD	EF	63046806
342099	1161	1998-12-14	PRIJEM	PREVOD Z UCTU	5921	49283	DUCHOD	EF	63046806
342108	1161	1993-09-14	VYDAJ	PREVOD NA UCET	3947	26355	SIPO	ST	53418099
342109	1161	1993-10-14	VYDAJ	PREVOD NA UCET	3947	24998	SIPO	ST	53418099
342110	1161	1993-11-14	VYDAJ	PREVOD NA UCET	3947	27073	SIPO	ST	53418099
342111	1161	1993-12-14	VYDAJ	PREVOD NA UCET	3947	28150	SIPO	ST	53418099
342112	1161	1994-01-14	VYDAJ	PREVOD NA UCET	3947	23263	SIPO	ST	53418099
342113	1161	1994-02-14	VYDAJ	PREVOD NA UCET	3947	20113	SIPO	ST	53418099
342114	1161	1994-03-14	VYDAJ	PREVOD NA UCET	3947	22161	SIPO	ST	53418099
342115	1161	1994-04-14	VYDAJ	PREVOD NA UCET	3947	24218	SIPO	ST	53418099
342116	1161	1994-05-14	VYDAJ	PREVOD NA UCET	3947	23790	SIPO	ST	53418099
342117	1161	1994-06-14	VYDAJ	PREVOD NA UCET	3947	23205	SIPO	ST	53418099
342118	1161	1994-07-14	VYDAJ	PREVOD NA UCET	3947	23019	SIPO	ST	53418099
342119	1161	1994-08-14	VYDAJ	PREVOD NA UCET	3947	23550	SIPO	ST	53418099
342120	1161	1994-09-14	VYDAJ	PREVOD NA UCET	3947	23536	SIPO	ST	53418099
342121	1161	1994-10-14	VYDAJ	PREVOD NA UCET	3947	24807	SIPO	ST	53418099
342122	1161	1994-11-14	VYDAJ	PREVOD NA UCET	3947	21707	SIPO	ST	53418099
342123	1161	1994-12-14	VYDAJ	PREVOD NA UCET	3947	23756	SIPO	ST	53418099
342124	1161	1995-01-14	VYDAJ	PREVOD NA UCET	3947	22539	SIPO	ST	53418099
342125	1161	1995-02-14	VYDAJ	PREVOD NA UCET	3947	18984	SIPO	ST	53418099
342126	1161	1995-03-14	VYDAJ	PREVOD NA UCET	3947	15648	SIPO	ST	53418099
342127	1161	1995-04-14	VYDAJ	PREVOD NA UCET	3947	17678	SIPO	ST	53418099
342128	1161	1995-05-14	VYDAJ	PREVOD NA UCET	3947	19707	SIPO	ST	53418099
342129	1161	1995-06-14	VYDAJ	PREVOD NA UCET	3947	21745	SIPO	ST	53418099
342130	1161	1995-07-14	VYDAJ	PREVOD NA UCET	3947	23311	SIPO	ST	53418099
342131	1161	1995-08-14	VYDAJ	PREVOD NA UCET	3947	25363	SIPO	ST	53418099
342132	1161	1995-09-14	VYDAJ	PREVOD NA UCET	3947	24110	SIPO	ST	53418099
342133	1161	1995-10-14	VYDAJ	PREVOD NA UCET	3947	25769	SIPO	ST	53418099
342134	1161	1995-11-14	VYDAJ	PREVOD NA UCET	3947	27832	SIPO	ST	53418099
342135	1161	1995-12-14	VYDAJ	PREVOD NA UCET	3947	28407	SIPO	ST	53418099
342136	1161	1996-01-14	VYDAJ	PREVOD NA UCET	3947	25464	SIPO	ST	53418099
342137	1161	1996-02-14	VYDAJ	PREVOD NA UCET	3947	23445	SIPO	ST	53418099
342138	1161	1996-03-14	VYDAJ	PREVOD NA UCET	3947	25497	SIPO	ST	53418099
342139	1161	1996-04-14	VYDAJ	PREVOD NA UCET	3947	26562	SIPO	ST	53418099
342140	1161	1996-05-14	VYDAJ	PREVOD NA UCET	3947	22626	SIPO	ST	53418099
342141	1161	1996-06-14	VYDAJ	PREVOD NA UCET	3947	19168	SIPO	ST	53418099
342142	1161	1996-07-14	VYDAJ	PREVOD NA UCET	3947	17802	SIPO	ST	53418099
342143	1161	1996-08-14	VYDAJ	PREVOD NA UCET	3947	15425	SIPO	ST	53418099
342144	1161	1996-09-14	VYDAJ	PREVOD NA UCET	3947	17444	SIPO	ST	53418099
342145	1161	1996-10-14	VYDAJ	PREVOD NA UCET	3947	15067	SIPO	ST	53418099
342146	1161	1996-11-14	VYDAJ	PREVOD NA UCET	3947	14981	SIPO	ST	53418099
342147	1161	1996-12-14	VYDAJ	PREVOD NA UCET	3947	17007	SIPO	ST	53418099
342148	1161	1997-01-14	VYDAJ	PREVOD NA UCET	3947	17530	SIPO	ST	53418099
342149	1161	1997-02-14	VYDAJ	PREVOD NA UCET	3947	16754	SIPO	ST	53418099
342150	1161	1997-03-14	VYDAJ	PREVOD NA UCET	3947	18786	SIPO	ST	53418099
342151	1161	1997-04-14	VYDAJ	PREVOD NA UCET	3947	15108	SIPO	ST	53418099
342152	1161	1997-05-14	VYDAJ	PREVOD NA UCET	3947	17125	SIPO	ST	53418099
342153	1161	1997-06-14	VYDAJ	PREVOD NA UCET	3947	16520	SIPO	ST	53418099
342154	1161	1997-07-14	VYDAJ	PREVOD NA UCET	3947	16145	SIPO	ST	53418099
342155	1161	1997-08-14	VYDAJ	PREVOD NA UCET	3947	18175	SIPO	ST	53418099
342156	1161	1997-09-14	VYDAJ	PREVOD NA UCET	3947	20214	SIPO	ST	53418099
342157	1161	1997-10-14	VYDAJ	PREVOD NA UCET	3947	22261	SIPO	ST	53418099
342158	1161	1997-11-14	VYDAJ	PREVOD NA UCET	3947	24317	SIPO	ST	53418099
342159	1161	1997-12-14	VYDAJ	PREVOD NA UCET	3947	26381	SIPO	ST	53418099
342160	1161	1998-01-14	VYDAJ	PREVOD NA UCET	3947	26125	SIPO	ST	53418099
342161	1161	1998-02-14	VYDAJ	PREVOD NA UCET	3947	24345	SIPO	ST	53418099
342162	1161	1998-03-14	VYDAJ	PREVOD NA UCET	3947	26408	SIPO	ST	53418099
342163	1161	1998-04-14	VYDAJ	PREVOD NA UCET	3947	28481	SIPO	ST	53418099
342164	1161	1998-05-14	VYDAJ	PREVOD NA UCET	3947	30562	SIPO	ST	53418099
342165	1161	1998-06-14	VYDAJ	PREVOD NA UCET	3947	32643	SIPO	ST	53418099
342166	1161	1998-07-14	VYDAJ	PREVOD NA UCET	3947	34741	SIPO	ST	53418099
342167	1161	1998-08-14	VYDAJ	PREVOD NA UCET	3947	36839	SIPO	ST	53418099
342168	1161	1998-09-14	VYDAJ	PREVOD NA UCET	3947	38945	SIPO	ST	53418099
342169	1161	1998-10-14	VYDAJ	PREVOD NA UCET	3947	41070	SIPO	ST	53418099
342170	1161	1998-11-14	VYDAJ	PREVOD NA UCET	3947	43203	SIPO	ST	53418099
342171	1161	1998-12-14	VYDAJ	PREVOD NA UCET	3947	45336	SIPO	ST	53418099
342178	1161	1994-01-20	VYDAJ	VYBER	1680	19503	\N	\N	\N
342179	1161	1994-01-10	VYDAJ	VYBER	640	21289	\N	\N	\N
342180	1161	1994-01-17	VYDAJ	VYBER	2080	21183	\N	\N	\N
342181	1161	1994-01-10	VYDAJ	VYBER	960	21929	\N	\N	\N
342182	1161	1994-01-02	VYDAJ	VYBER	1600	22889	\N	\N	\N
342183	1161	1994-01-25	VYDAJ	VYBER	1440	18063	\N	\N	\N
342184	1161	1995-01-08	VYDAJ	VYBER	2240	20565	\N	\N	\N
342185	1161	1995-01-20	VYDAJ	VYBER	2320	17499	\N	\N	\N
342186	1161	1995-01-25	VYDAJ	VYBER	560	16939	\N	\N	\N
342187	1161	1995-01-20	VYDAJ	VYBER	640	19819	\N	\N	\N
342188	1161	1995-01-17	VYDAJ	VYBER	2080	20459	\N	\N	\N
342189	1161	1995-01-05	VYDAJ	VYBER	1040	22805	\N	\N	\N
342190	1161	1996-01-30	VYDAJ	VYBER	880	21384	\N	\N	\N
342191	1161	1996-01-27	VYDAJ	VYBER	1280	22264	\N	\N	\N
342192	1161	1996-01-16	VYDAJ	VYBER	560	24904	\N	\N	\N
342193	1161	1996-01-06	VYDAJ	VYBER	2000	24610	\N	\N	\N
342194	1161	1996-01-21	VYDAJ	VYBER	1360	23544	\N	\N	\N
342195	1161	1996-01-10	VYDAJ	VYBER	1120	23490	\N	\N	\N
342202	1161	1998-01-22	VYDAJ	VYBER	1040	23965	\N	\N	\N
342203	1161	1998-01-09	VYDAJ	VYBER	1440	24151	\N	\N	\N
342204	1161	1998-01-19	VYDAJ	VYBER	1120	25005	\N	\N	\N
342205	1161	1998-01-07	VYDAJ	VYBER	480	25591	\N	\N	\N
342206	1161	1998-01-28	VYDAJ	VYBER	1680	22285	\N	\N	\N
342207	1161	1998-01-05	VYDAJ	VYBER	400	26071	\N	\N	\N
342208	1161	1993-12-28	VYDAJ	VYBER	3760	24390	\N	\N	\N
342212	1161	1994-11-07	VYDAJ	VYBER	1600	19733	\N	\N	\N
342213	1161	1994-04-17	VYDAJ	VYBER	2480	21738	\N	\N	\N
342214	1161	1994-09-14	VYDAJ	VYBER	2080	27483	\N	\N	\N
342215	1161	1994-06-08	VYDAJ	VYBER	2640	21231	\N	\N	\N
342216	1161	1994-08-03	VYDAJ	VYBER	1520	21576	\N	\N	\N
342217	1161	1994-10-07	VYDAJ	VYBER	800	22833	\N	\N	\N
342218	1161	1994-06-20	VYDAJ	VYBER	2240	20965	\N	\N	\N
342219	1161	1994-11-06	VYDAJ	VYBER	1760	21333	\N	\N	\N
342220	1161	1995-09-02	VYDAJ	VYBER	1920	22136	\N	\N	\N
342221	1161	1995-06-22	VYDAJ	VYBER	480	21265	\N	\N	\N
342222	1161	1995-02-15	VYDAJ	VYBER	2480	16504	\N	\N	\N
342223	1161	1995-02-17	VYDAJ	VYBER	2880	13624	\N	\N	\N
342227	1161	1996-04-30	VYDAJ	VYBER	1200	20667	\N	\N	\N
342230	1161	1997-06-14	VYDAJ	VYBER	2640	20467	\N	\N	\N
342232	1161	1998-12-29	VYDAJ	VYBER	3680	41656	\N	\N	\N
342242	1161	1993-09-30	VYDAJ	VYBER	15	26424	SLUZBY	\N	\N
342243	1161	1993-10-31	VYDAJ	VYBER	15	25099	SLUZBY	\N	\N
342244	1161	1993-11-30	VYDAJ	VYBER	15	27176	SLUZBY	\N	\N
342245	1161	1993-12-31	VYDAJ	VYBER	15	24489	SLUZBY	\N	\N
342246	1161	1994-01-31	VYDAJ	VYBER	15	18139	SLUZBY	\N	\N
342247	1161	1994-02-28	VYDAJ	VYBER	15	20187	SLUZBY	\N	\N
342248	1161	1994-03-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
342249	1161	1994-04-30	VYDAJ	VYBER	15	21816	SLUZBY	\N	\N
342250	1161	1994-05-31	VYDAJ	VYBER	15	23871	SLUZBY	\N	\N
342251	1161	1994-06-30	VYDAJ	VYBER	15	21045	SLUZBY	\N	\N
342252	1161	1994-07-31	VYDAJ	VYBER	15	23096	SLUZBY	\N	\N
342253	1161	1994-08-31	VYDAJ	VYBER	15	23642	SLUZBY	\N	\N
342254	1161	1994-09-30	VYDAJ	VYBER	15	23633	SLUZBY	\N	\N
342255	1161	1994-10-31	VYDAJ	VYBER	15	23093	SLUZBY	\N	\N
342256	1161	1994-11-30	VYDAJ	VYBER	15	21782	SLUZBY	\N	\N
342257	1161	1994-12-31	VYDAJ	VYBER	15	23845	SLUZBY	\N	\N
342258	1161	1995-01-31	VYDAJ	VYBER	15	17010	SLUZBY	\N	\N
342259	1161	1995-02-28	VYDAJ	VYBER	15	13674	SLUZBY	\N	\N
342260	1161	1995-03-31	VYDAJ	VYBER	15	15704	SLUZBY	\N	\N
342261	1161	1995-04-30	VYDAJ	VYBER	15	17733	SLUZBY	\N	\N
342262	1161	1995-05-31	VYDAJ	VYBER	15	19771	SLUZBY	\N	\N
342263	1161	1995-06-30	VYDAJ	VYBER	15	21337	SLUZBY	\N	\N
342264	1161	1995-07-31	VYDAJ	VYBER	15	23389	SLUZBY	\N	\N
342265	1161	1995-08-31	VYDAJ	VYBER	15	24056	SLUZBY	\N	\N
342266	1161	1995-09-30	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
342267	1161	1995-10-31	VYDAJ	VYBER	15	25858	SLUZBY	\N	\N
342268	1161	1995-11-30	VYDAJ	VYBER	15	26433	SLUZBY	\N	\N
342269	1161	1995-12-31	VYDAJ	VYBER	15	26610	SLUZBY	\N	\N
342270	1161	1996-01-31	VYDAJ	VYBER	15	21471	SLUZBY	\N	\N
342271	1161	1996-02-29	VYDAJ	VYBER	15	23523	SLUZBY	\N	\N
342272	1161	1996-03-31	VYDAJ	VYBER	15	24588	SLUZBY	\N	\N
342273	1161	1996-04-30	VYDAJ	VYBER	15	20652	SLUZBY	\N	\N
342274	1161	1996-05-31	VYDAJ	VYBER	15	17194	SLUZBY	\N	\N
342275	1161	1996-06-30	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
342276	1161	1996-07-31	VYDAJ	VYBER	15	13451	SLUZBY	\N	\N
342277	1161	1996-08-31	VYDAJ	VYBER	15	15470	SLUZBY	\N	\N
342278	1161	1996-09-30	VYDAJ	VYBER	15	13093	SLUZBY	\N	\N
342279	1161	1996-10-31	VYDAJ	VYBER	15	13007	SLUZBY	\N	\N
342280	1161	1996-11-30	VYDAJ	VYBER	15	15033	SLUZBY	\N	\N
342281	1161	1996-12-31	VYDAJ	VYBER	15	15556	SLUZBY	\N	\N
342282	1161	1997-01-31	VYDAJ	VYBER	15	14780	SLUZBY	\N	\N
342283	1161	1997-02-28	VYDAJ	VYBER	15	16812	SLUZBY	\N	\N
342284	1161	1997-03-31	VYDAJ	VYBER	15	13134	SLUZBY	\N	\N
342285	1161	1997-04-30	VYDAJ	VYBER	15	15151	SLUZBY	\N	\N
342286	1161	1997-05-31	VYDAJ	VYBER	15	17186	SLUZBY	\N	\N
342287	1161	1997-06-30	VYDAJ	VYBER	15	14171	SLUZBY	\N	\N
342288	1161	1997-07-31	VYDAJ	VYBER	15	16201	SLUZBY	\N	\N
342289	1161	1997-08-31	VYDAJ	VYBER	15	18240	SLUZBY	\N	\N
342290	1161	1997-09-30	VYDAJ	VYBER	15	20287	SLUZBY	\N	\N
342291	1161	1997-10-31	VYDAJ	VYBER	15	22343	SLUZBY	\N	\N
342292	1161	1997-11-30	VYDAJ	VYBER	15	24407	SLUZBY	\N	\N
342293	1161	1997-12-31	VYDAJ	VYBER	15	26471	SLUZBY	\N	\N
342294	1161	1998-01-31	VYDAJ	VYBER	15	22371	SLUZBY	\N	\N
342295	1161	1998-02-28	VYDAJ	VYBER	15	24434	SLUZBY	\N	\N
342296	1161	1998-03-31	VYDAJ	VYBER	15	26507	SLUZBY	\N	\N
342297	1161	1998-04-30	VYDAJ	VYBER	15	28588	SLUZBY	\N	\N
342298	1161	1998-05-31	VYDAJ	VYBER	15	30669	SLUZBY	\N	\N
342299	1161	1998-06-30	VYDAJ	VYBER	15	32767	SLUZBY	\N	\N
342300	1161	1998-07-31	VYDAJ	VYBER	15	34865	SLUZBY	\N	\N
342301	1161	1998-08-31	VYDAJ	VYBER	15	36971	SLUZBY	\N	\N
342302	1161	1998-09-30	VYDAJ	VYBER	15	39096	SLUZBY	\N	\N
342303	1161	1998-10-31	VYDAJ	VYBER	15	41229	SLUZBY	\N	\N
342304	1161	1998-11-30	VYDAJ	VYBER	15	43362	SLUZBY	\N	\N
342305	1161	1993-10-05	VYDAJ	VYBER	3400	23024	\N	\N	\N
342306	1161	1993-12-04	VYDAJ	VYBER	1000	26176	\N	\N	\N
342307	1161	1994-10-30	VYDAJ	VYBER	1800	23007	\N	\N	\N
342308	1161	1995-08-26	VYDAJ	VYBER	1400	23963	\N	\N	\N
342309	1161	1995-09-25	VYDAJ	VYBER	400	23710	\N	\N	\N
342310	1161	1995-11-24	VYDAJ	VYBER	1500	26332	\N	\N	\N
342311	1161	1995-12-24	VYDAJ	VYBER	1900	26507	\N	\N	\N
342312	1161	1996-03-23	VYDAJ	VYBER	1000	24497	\N	\N	\N
342313	1161	1996-04-22	VYDAJ	VYBER	4800	21762	\N	\N	\N
342314	1161	1996-05-22	VYDAJ	VYBER	5500	17126	\N	\N	\N
342315	1161	1996-06-21	VYDAJ	VYBER	3400	15768	\N	\N	\N
342316	1161	1996-07-21	VYDAJ	VYBER	4400	13402	\N	\N	\N
342317	1161	1996-09-19	VYDAJ	VYBER	4400	13044	\N	\N	\N
342318	1161	1996-10-19	VYDAJ	VYBER	2100	12967	\N	\N	\N
342319	1161	1996-12-18	VYDAJ	VYBER	1500	15507	\N	\N	\N
342320	1161	1997-01-17	VYDAJ	VYBER	2800	14730	\N	\N	\N
342321	1161	1997-03-18	VYDAJ	VYBER	5700	13086	\N	\N	\N
342322	1161	1997-06-16	VYDAJ	VYBER	2400	14120	\N	\N	\N
343142	1164	1994-01-14	PRIJEM	VKLAD	300	300	\N	\N	\N
343143	1164	1994-04-12	PRIJEM	VKLAD	43543	70793	\N	\N	\N
343144	1164	1994-01-16	PRIJEM	VKLAD	33132	33432	\N	\N	\N
343145	1164	1995-08-09	PRIJEM	VKLAD	42280	72225	\N	\N	\N
343146	1164	1995-07-05	PRIJEM	VKLAD	18319	43724	\N	\N	\N
343147	1164	1996-07-07	PRIJEM	VKLAD	21958	53898	\N	\N	\N
343148	1164	1996-02-14	PRIJEM	VKLAD	36344	61250	\N	\N	\N
343149	1164	1997-12-25	PRIJEM	VKLAD	24555	59210	\N	\N	\N
343150	1164	1997-10-27	PRIJEM	VKLAD	15024	44766	\N	\N	\N
343151	1164	1998-08-03	PRIJEM	VKLAD	6411	22239	\N	\N	\N
343152	1164	1998-11-25	PRIJEM	VKLAD	23406	47330	\N	\N	\N
343154	1164	1994-02-16	PRIJEM	VKLAD	300	28807	\N	\N	\N
343155	1164	1994-03-17	PRIJEM	VKLAD	300	25444	\N	\N	\N
343156	1164	1994-04-17	PRIJEM	VKLAD	300	44643	\N	\N	\N
343157	1164	1994-05-16	PRIJEM	VKLAD	300	34847	\N	\N	\N
343158	1164	1994-06-15	PRIJEM	VKLAD	300	22401	\N	\N	\N
343159	1164	1994-07-14	PRIJEM	VKLAD	300	22707	\N	\N	\N
343160	1164	1994-08-14	PRIJEM	VKLAD	300	22493	\N	\N	\N
343161	1164	1994-09-13	PRIJEM	VKLAD	300	26178	\N	\N	\N
343162	1164	1994-10-14	PRIJEM	VKLAD	300	26218	\N	\N	\N
343163	1164	1994-11-17	PRIJEM	VKLAD	300	22865	\N	\N	\N
343164	1164	1994-12-17	PRIJEM	VKLAD	300	22957	\N	\N	\N
343165	1164	1995-01-15	PRIJEM	VKLAD	300	20092	\N	\N	\N
343166	1164	1995-02-15	PRIJEM	VKLAD	300	19752	\N	\N	\N
343167	1164	1995-03-13	PRIJEM	VKLAD	300	24709	\N	\N	\N
343168	1164	1995-04-17	PRIJEM	VKLAD	300	27095	\N	\N	\N
343169	1164	1995-05-15	PRIJEM	VKLAD	300	28545	\N	\N	\N
343170	1164	1995-06-15	PRIJEM	VKLAD	300	27003	\N	\N	\N
343171	1164	1995-07-17	PRIJEM	VKLAD	300	33724	\N	\N	\N
343172	1164	1995-08-16	PRIJEM	VKLAD	300	70225	\N	\N	\N
343173	1164	1995-09-15	PRIJEM	VKLAD	300	47367	\N	\N	\N
343174	1164	1995-10-14	PRIJEM	VKLAD	300	36347	\N	\N	\N
343175	1164	1995-11-14	PRIJEM	VKLAD	300	32809	\N	\N	\N
343176	1164	1995-12-16	PRIJEM	VKLAD	300	33294	\N	\N	\N
343177	1164	1996-01-15	PRIJEM	VKLAD	300	24370	\N	\N	\N
343178	1164	1996-02-13	PRIJEM	VKLAD	300	24906	\N	\N	\N
343179	1164	1996-03-14	PRIJEM	VKLAD	300	48312	\N	\N	\N
343180	1164	1996-04-16	PRIJEM	VKLAD	300	41464	\N	\N	\N
343181	1164	1996-05-13	PRIJEM	VKLAD	300	40828	\N	\N	\N
343182	1164	1996-06-16	PRIJEM	VKLAD	300	39390	\N	\N	\N
343183	1164	1996-07-17	PRIJEM	VKLAD	300	54198	\N	\N	\N
343184	1164	1996-08-16	PRIJEM	VKLAD	300	45584	\N	\N	\N
343185	1164	1996-09-13	PRIJEM	VKLAD	300	42982	\N	\N	\N
343186	1164	1996-10-14	PRIJEM	VKLAD	300	39447	\N	\N	\N
343187	1164	1996-11-15	PRIJEM	VKLAD	300	35346	\N	\N	\N
343188	1164	1996-12-14	PRIJEM	VKLAD	300	36733	\N	\N	\N
343189	1164	1997-01-16	PRIJEM	VKLAD	300	18024	\N	\N	\N
343190	1164	1997-02-17	PRIJEM	VKLAD	300	23510	\N	\N	\N
343191	1164	1997-03-16	PRIJEM	VKLAD	300	25894	\N	\N	\N
343192	1164	1997-04-13	PRIJEM	VKLAD	300	31390	\N	\N	\N
343193	1164	1997-05-16	PRIJEM	VKLAD	300	31456	\N	\N	\N
343194	1164	1997-06-17	PRIJEM	VKLAD	300	25777	\N	\N	\N
343195	1164	1997-07-16	PRIJEM	VKLAD	300	31189	\N	\N	\N
343196	1164	1997-08-16	PRIJEM	VKLAD	300	29205	\N	\N	\N
343197	1164	1997-09-15	PRIJEM	VKLAD	300	33620	\N	\N	\N
343198	1164	1997-10-13	PRIJEM	VKLAD	300	31942	\N	\N	\N
343199	1164	1997-11-17	PRIJEM	VKLAD	300	43241	\N	\N	\N
343200	1164	1997-12-14	PRIJEM	VKLAD	300	39055	\N	\N	\N
343201	1164	1998-01-15	PRIJEM	VKLAD	300	56724	\N	\N	\N
343202	1164	1998-02-15	PRIJEM	VKLAD	300	36972	\N	\N	\N
343203	1164	1998-03-13	PRIJEM	VKLAD	300	33505	\N	\N	\N
343204	1164	1998-04-15	PRIJEM	VKLAD	300	28622	\N	\N	\N
343205	1164	1998-05-15	PRIJEM	VKLAD	300	23319	\N	\N	\N
343206	1164	1998-06-16	PRIJEM	VKLAD	300	22199	\N	\N	\N
343207	1164	1998-07-17	PRIJEM	VKLAD	300	19270	\N	\N	\N
343208	1164	1998-08-15	PRIJEM	VKLAD	300	22539	\N	\N	\N
343209	1164	1998-09-17	PRIJEM	VKLAD	300	18096	\N	\N	\N
343210	1164	1998-10-16	PRIJEM	VKLAD	300	20156	\N	\N	\N
343211	1164	1998-11-15	PRIJEM	VKLAD	300	22224	\N	\N	\N
343212	1164	1998-12-15	PRIJEM	VKLAD	300	47726	\N	\N	\N
343213	1164	1994-01-18	PRIJEM	VKLAD	1700	35132	\N	\N	\N
343214	1164	1994-02-18	PRIJEM	VKLAD	1700	30507	\N	\N	\N
343215	1164	1994-03-18	PRIJEM	VKLAD	1700	27144	\N	\N	\N
343216	1164	1994-04-18	PRIJEM	VKLAD	1700	46343	\N	\N	\N
343217	1164	1994-05-18	PRIJEM	VKLAD	1700	36547	\N	\N	\N
343218	1164	1994-06-18	PRIJEM	VKLAD	1700	24101	\N	\N	\N
343219	1164	1994-07-18	PRIJEM	VKLAD	1700	24407	\N	\N	\N
343220	1164	1994-08-18	PRIJEM	VKLAD	1700	24193	\N	\N	\N
343221	1164	1994-09-18	PRIJEM	VKLAD	1700	25928	\N	\N	\N
343222	1164	1994-10-18	PRIJEM	VKLAD	1700	27918	\N	\N	\N
343223	1164	1994-11-18	PRIJEM	VKLAD	1700	24565	\N	\N	\N
343224	1164	1994-12-18	PRIJEM	VKLAD	1700	24657	\N	\N	\N
343225	1164	1995-01-18	PRIJEM	VKLAD	1700	21792	\N	\N	\N
343226	1164	1995-02-18	PRIJEM	VKLAD	1700	21452	\N	\N	\N
343227	1164	1995-03-18	PRIJEM	VKLAD	1700	26409	\N	\N	\N
343228	1164	1995-04-18	PRIJEM	VKLAD	1700	28795	\N	\N	\N
343229	1164	1995-05-18	PRIJEM	VKLAD	1700	30245	\N	\N	\N
343230	1164	1995-06-18	PRIJEM	VKLAD	1700	28703	\N	\N	\N
343231	1164	1995-07-18	PRIJEM	VKLAD	1700	35424	\N	\N	\N
343232	1164	1995-08-18	PRIJEM	VKLAD	1700	71925	\N	\N	\N
343233	1164	1995-09-18	PRIJEM	VKLAD	1700	49067	\N	\N	\N
343234	1164	1995-10-18	PRIJEM	VKLAD	1700	38047	\N	\N	\N
343235	1164	1995-11-18	PRIJEM	VKLAD	1700	34509	\N	\N	\N
343236	1164	1995-12-18	PRIJEM	VKLAD	1700	34994	\N	\N	\N
343237	1164	1996-01-18	PRIJEM	VKLAD	1700	26070	\N	\N	\N
343238	1164	1996-02-18	PRIJEM	VKLAD	1700	62950	\N	\N	\N
343239	1164	1996-03-18	PRIJEM	VKLAD	1700	50012	\N	\N	\N
343240	1164	1996-04-18	PRIJEM	VKLAD	1700	43164	\N	\N	\N
343241	1164	1996-05-18	PRIJEM	VKLAD	1700	42528	\N	\N	\N
343242	1164	1996-06-18	PRIJEM	VKLAD	1700	41090	\N	\N	\N
343243	1164	1996-07-18	PRIJEM	VKLAD	1700	55898	\N	\N	\N
343244	1164	1996-08-18	PRIJEM	VKLAD	1700	47284	\N	\N	\N
343245	1164	1996-09-18	PRIJEM	VKLAD	1700	44682	\N	\N	\N
343246	1164	1996-10-18	PRIJEM	VKLAD	1700	40447	\N	\N	\N
343247	1164	1996-11-18	PRIJEM	VKLAD	1700	37046	\N	\N	\N
343248	1164	1996-12-18	PRIJEM	VKLAD	1700	38433	\N	\N	\N
343249	1164	1997-01-18	PRIJEM	VKLAD	1700	19724	\N	\N	\N
343250	1164	1997-02-18	PRIJEM	VKLAD	1700	25210	\N	\N	\N
343251	1164	1997-03-18	PRIJEM	VKLAD	1700	27594	\N	\N	\N
343252	1164	1997-04-18	PRIJEM	VKLAD	1700	33090	\N	\N	\N
343253	1164	1997-05-18	PRIJEM	VKLAD	1700	33156	\N	\N	\N
343254	1164	1997-06-18	PRIJEM	VKLAD	1700	27477	\N	\N	\N
343255	1164	1997-07-18	PRIJEM	VKLAD	1700	32889	\N	\N	\N
343256	1164	1997-08-18	PRIJEM	VKLAD	1700	30905	\N	\N	\N
343257	1164	1997-09-18	PRIJEM	VKLAD	1700	35320	\N	\N	\N
343258	1164	1997-10-18	PRIJEM	VKLAD	1700	33642	\N	\N	\N
343259	1164	1997-11-18	PRIJEM	VKLAD	1700	44941	\N	\N	\N
343260	1164	1997-12-18	PRIJEM	VKLAD	1700	40755	\N	\N	\N
343261	1164	1998-01-18	PRIJEM	VKLAD	1700	58424	\N	\N	\N
343262	1164	1998-02-18	PRIJEM	VKLAD	1700	38672	\N	\N	\N
343263	1164	1998-03-18	PRIJEM	VKLAD	1700	35205	\N	\N	\N
343264	1164	1998-04-18	PRIJEM	VKLAD	1700	30322	\N	\N	\N
343265	1164	1998-05-18	PRIJEM	VKLAD	1700	25019	\N	\N	\N
343266	1164	1998-06-18	PRIJEM	VKLAD	1700	23899	\N	\N	\N
343267	1164	1998-07-18	PRIJEM	VKLAD	1700	20970	\N	\N	\N
343268	1164	1998-08-18	PRIJEM	VKLAD	1700	24239	\N	\N	\N
343269	1164	1998-09-18	PRIJEM	VKLAD	1700	19796	\N	\N	\N
343270	1164	1998-10-18	PRIJEM	VKLAD	1700	21856	\N	\N	\N
343271	1164	1998-11-18	PRIJEM	VKLAD	1700	23924	\N	\N	\N
343272	1164	1998-12-18	PRIJEM	VKLAD	1700	49426	\N	\N	\N
343273	1164	1994-06-09	VYDAJ	VYBER	17100	19601	\N	\N	\N
343274	1164	1995-06-28	VYDAJ	VYBER	3400	25303	\N	\N	\N
343275	1164	1996-06-28	VYDAJ	VYBER	8600	20890	\N	\N	\N
343276	1164	1997-06-12	VYDAJ	VYBER	7400	25477	\N	\N	\N
343279	1164	1995-01-21	VYDAJ	VYBER	8600	13192	\N	\N	\N
343280	1164	1996-01-22	VYDAJ	VYBER	4600	17420	\N	\N	\N
343281	1164	1997-01-14	VYDAJ	VYBER	9600	17724	\N	\N	\N
343282	1164	1998-01-20	VYDAJ	VYBER	2500	54924	\N	\N	\N
343285	1164	1996-06-18	VYDAJ	VYBER	11600	29490	\N	\N	\N
343289	1164	1995-01-07	VYDAJ	VYBER	3800	17592	\N	\N	\N
343290	1164	1996-01-11	VYDAJ	VYBER	4900	24070	\N	\N	\N
343292	1164	1998-01-23	VYDAJ	VYBER	4000	50924	\N	\N	\N
343293	1164	1994-12-20	VYDAJ	VYBER	1400	23257	\N	\N	\N
343294	1164	1995-12-25	VYDAJ	VYBER	1200	33794	\N	\N	\N
343295	1164	1996-12-03	VYDAJ	VYBER	2000	36433	\N	\N	\N
343296	1164	1997-12-22	VYDAJ	VYBER	1700	39055	\N	\N	\N
343297	1164	1998-12-18	VYDAJ	VYBER	2400	47026	\N	\N	\N
343305	1164	1995-01-02	VYDAJ	VYBER	850	22492	\N	\N	\N
343307	1164	1995-01-03	VYDAJ	VYBER	1100	21392	\N	\N	\N
343310	1164	1996-01-06	VYDAJ	VYBER	1000	30220	\N	\N	\N
343311	1164	1996-01-08	VYDAJ	VYBER	1250	28970	\N	\N	\N
343312	1164	1996-01-01	VYDAJ	VYBER	900	33020	\N	\N	\N
343313	1164	1996-01-19	VYDAJ	VYBER	1350	23320	\N	\N	\N
343314	1164	1996-01-19	VYDAJ	VYBER	1400	24670	\N	\N	\N
343315	1164	1996-01-20	VYDAJ	VYBER	1300	22020	\N	\N	\N
343316	1164	1997-01-13	VYDAJ	VYBER	800	27324	\N	\N	\N
343317	1164	1997-01-19	VYDAJ	VYBER	900	18824	\N	\N	\N
343318	1164	1997-01-13	VYDAJ	VYBER	1300	28124	\N	\N	\N
343319	1164	1997-01-06	VYDAJ	VYBER	1450	30624	\N	\N	\N
343320	1164	1997-01-04	VYDAJ	VYBER	1200	32074	\N	\N	\N
343321	1164	1997-01-12	VYDAJ	VYBER	1200	29424	\N	\N	\N
343322	1164	1998-01-19	VYDAJ	VYBER	1000	57424	\N	\N	\N
343323	1164	1998-01-29	VYDAJ	VYBER	1000	36474	\N	\N	\N
343324	1164	1998-01-03	VYDAJ	VYBER	1100	58274	\N	\N	\N
343325	1164	1998-01-25	VYDAJ	VYBER	450	37474	\N	\N	\N
343326	1164	1998-01-10	VYDAJ	VYBER	1400	56424	\N	\N	\N
343327	1164	1998-01-24	VYDAJ	VYBER	300	37924	\N	\N	\N
343328	1164	1994-04-12	VYDAJ	VYBER	1650	69143	\N	\N	\N
343329	1164	1994-09-13	VYDAJ	VYBER	1950	24228	\N	\N	\N
343330	1164	1994-10-28	VYDAJ	VYBER	1350	26568	\N	\N	\N
343331	1164	1994-05-14	VYDAJ	VYBER	350	46147	\N	\N	\N
343332	1164	1995-09-30	VYDAJ	VYBER	1750	47547	\N	\N	\N
343333	1164	1995-05-02	VYDAJ	VYBER	2150	26745	\N	\N	\N
343334	1164	1995-12-07	VYDAJ	VYBER	450	32994	\N	\N	\N
343335	1164	1995-08-14	VYDAJ	VYBER	2300	69925	\N	\N	\N
343336	1164	1995-05-09	VYDAJ	VYBER	1200	28245	\N	\N	\N
343337	1164	1995-06-06	VYDAJ	VYBER	1450	28903	\N	\N	\N
343338	1164	1995-04-15	VYDAJ	VYBER	1500	26795	\N	\N	\N
343339	1164	1995-08-23	VYDAJ	VYBER	2000	69925	\N	\N	\N
343340	1164	1996-04-03	VYDAJ	VYBER	750	42764	\N	\N	\N
343341	1164	1996-03-08	VYDAJ	VYBER	2200	48012	\N	\N	\N
343342	1164	1996-11-06	VYDAJ	VYBER	950	35046	\N	\N	\N
343343	1164	1996-03-26	VYDAJ	VYBER	1300	48712	\N	\N	\N
343344	1164	1996-11-28	VYDAJ	VYBER	1050	35996	\N	\N	\N
343345	1164	1996-04-11	VYDAJ	VYBER	1600	41164	\N	\N	\N
343346	1164	1996-10-14	VYDAJ	VYBER	700	38747	\N	\N	\N
343347	1164	1996-11-01	VYDAJ	VYBER	2400	35996	\N	\N	\N
343348	1164	1997-11-09	VYDAJ	VYBER	1950	42941	\N	\N	\N
343349	1164	1997-11-18	VYDAJ	VYBER	450	44491	\N	\N	\N
343350	1164	1997-05-11	VYDAJ	VYBER	1750	31156	\N	\N	\N
343351	1164	1997-07-07	VYDAJ	VYBER	700	30889	\N	\N	\N
343352	1164	1997-07-31	VYDAJ	VYBER	2200	28905	\N	\N	\N
343353	1164	1998-12-28	VYDAJ	VYBER	1000	21926	\N	\N	\N
343354	1164	1998-05-03	VYDAJ	VYBER	900	23019	\N	\N	\N
343355	1164	1998-01-08	VYDAJ	VYBER	450	57824	\N	\N	\N
343360	1164	1994-03-31	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
343361	1164	1994-04-30	VYDAJ	VYBER	15	46497	SLUZBY	\N	\N
343362	1164	1994-05-31	VYDAJ	VYBER	15	36701	SLUZBY	\N	\N
343363	1164	1994-06-30	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
343364	1164	1994-07-31	VYDAJ	VYBER	15	24493	SLUZBY	\N	\N
343365	1164	1994-08-31	VYDAJ	VYBER	15	24278	SLUZBY	\N	\N
343366	1164	1994-09-30	VYDAJ	VYBER	15	26018	SLUZBY	\N	\N
343367	1164	1994-10-31	VYDAJ	VYBER	15	26665	SLUZBY	\N	\N
343368	1164	1994-11-30	VYDAJ	VYBER	15	24657	SLUZBY	\N	\N
343369	1164	1994-12-31	VYDAJ	VYBER	15	23342	SLUZBY	\N	\N
343370	1164	1995-01-31	VYDAJ	VYBER	15	13252	SLUZBY	\N	\N
343371	1164	1995-02-28	VYDAJ	VYBER	15	21509	SLUZBY	\N	\N
343372	1164	1995-03-31	VYDAJ	VYBER	15	26495	SLUZBY	\N	\N
343373	1164	1995-04-30	VYDAJ	VYBER	15	28895	SLUZBY	\N	\N
343374	1164	1995-05-31	VYDAJ	VYBER	15	30353	SLUZBY	\N	\N
343375	1164	1995-06-30	VYDAJ	VYBER	15	25405	SLUZBY	\N	\N
343376	1164	1995-07-31	VYDAJ	VYBER	15	35545	SLUZBY	\N	\N
343377	1164	1995-08-31	VYDAJ	VYBER	15	70167	SLUZBY	\N	\N
343378	1164	1995-09-30	VYDAJ	VYBER	15	49297	SLUZBY	\N	\N
343379	1164	1995-10-31	VYDAJ	VYBER	15	38209	SLUZBY	\N	\N
343380	1164	1995-11-30	VYDAJ	VYBER	15	34644	SLUZBY	\N	\N
343381	1164	1995-12-31	VYDAJ	VYBER	15	33920	SLUZBY	\N	\N
343382	1164	1996-01-31	VYDAJ	VYBER	15	17506	SLUZBY	\N	\N
343383	1164	1996-02-29	VYDAJ	VYBER	15	63112	SLUZBY	\N	\N
343384	1164	1996-03-31	VYDAJ	VYBER	15	48914	SLUZBY	\N	\N
343385	1164	1996-04-30	VYDAJ	VYBER	15	43328	SLUZBY	\N	\N
343386	1164	1996-05-31	VYDAJ	VYBER	15	42690	SLUZBY	\N	\N
343387	1164	1996-06-30	VYDAJ	VYBER	15	21040	SLUZBY	\N	\N
343388	1164	1996-07-31	VYDAJ	VYBER	15	56084	SLUZBY	\N	\N
343389	1164	1996-08-31	VYDAJ	VYBER	15	47482	SLUZBY	\N	\N
343390	1164	1996-09-30	VYDAJ	VYBER	15	39147	SLUZBY	\N	\N
343391	1164	1996-10-31	VYDAJ	VYBER	15	38396	SLUZBY	\N	\N
343392	1164	1996-11-30	VYDAJ	VYBER	15	38433	SLUZBY	\N	\N
343393	1164	1996-12-31	VYDAJ	VYBER	15	33274	SLUZBY	\N	\N
343394	1164	1997-01-31	VYDAJ	VYBER	15	23210	SLUZBY	\N	\N
343395	1164	1997-02-28	VYDAJ	VYBER	15	25594	SLUZBY	\N	\N
343396	1164	1997-03-31	VYDAJ	VYBER	15	31090	SLUZBY	\N	\N
343397	1164	1997-04-30	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
343398	1164	1997-05-31	VYDAJ	VYBER	15	32877	SLUZBY	\N	\N
343399	1164	1997-06-30	VYDAJ	VYBER	15	31589	SLUZBY	\N	\N
343400	1164	1997-07-31	VYDAJ	VYBER	15	31105	SLUZBY	\N	\N
343401	1164	1997-08-31	VYDAJ	VYBER	15	33320	SLUZBY	\N	\N
343402	1164	1997-09-30	VYDAJ	VYBER	15	31642	SLUZBY	\N	\N
343403	1164	1997-10-31	VYDAJ	VYBER	15	44891	SLUZBY	\N	\N
343404	1164	1997-11-30	VYDAJ	VYBER	15	38755	SLUZBY	\N	\N
343405	1164	1997-12-31	VYDAJ	VYBER	15	59374	SLUZBY	\N	\N
343406	1164	1998-01-31	VYDAJ	VYBER	15	36672	SLUZBY	\N	\N
343407	1164	1998-02-28	VYDAJ	VYBER	15	33205	SLUZBY	\N	\N
343408	1164	1998-03-31	VYDAJ	VYBER	15	28322	SLUZBY	\N	\N
343409	1164	1998-04-30	VYDAJ	VYBER	15	23919	SLUZBY	\N	\N
343410	1164	1998-05-31	VYDAJ	VYBER	15	21899	SLUZBY	\N	\N
343411	1164	1998-06-30	VYDAJ	VYBER	15	18970	SLUZBY	\N	\N
343412	1164	1998-07-31	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
343413	1164	1998-08-31	VYDAJ	VYBER	15	17796	SLUZBY	\N	\N
343414	1164	1998-09-30	VYDAJ	VYBER	15	19856	SLUZBY	\N	\N
343415	1164	1998-10-31	VYDAJ	VYBER	15	21924	SLUZBY	\N	\N
343416	1164	1998-11-30	VYDAJ	VYBER	15	47426	SLUZBY	\N	\N
343417	1164	1994-02-13	VYDAJ	VYBER	6700	28507	\N	\N	\N
343418	1164	1994-03-15	VYDAJ	VYBER	5500	25144	\N	\N	\N
343419	1164	1994-04-14	VYDAJ	VYBER	24800	44343	\N	\N	\N
343420	1164	1994-05-14	VYDAJ	VYBER	11600	34547	\N	\N	\N
343421	1164	1994-06-13	PRIJEM	VKLAD	2500	22101	\N	\N	\N
343422	1164	1994-07-13	VYDAJ	VYBER	1800	22407	\N	\N	\N
343423	1164	1994-08-12	VYDAJ	VYBER	2300	22193	\N	\N	\N
343424	1164	1994-09-11	PRIJEM	VKLAD	1600	25878	\N	\N	\N
343425	1164	1994-10-11	VYDAJ	VYBER	100	25918	\N	\N	\N
343426	1164	1994-11-10	VYDAJ	VYBER	4100	22565	\N	\N	\N
343427	1164	1994-12-10	VYDAJ	VYBER	2000	22657	\N	\N	\N
343428	1164	1995-01-09	PRIJEM	VKLAD	2200	19792	\N	\N	\N
343429	1164	1995-02-08	PRIJEM	VKLAD	6200	19452	\N	\N	\N
343430	1164	1995-03-10	PRIJEM	VKLAD	2900	24409	\N	\N	\N
343431	1164	1995-04-09	PRIJEM	VKLAD	1800	28295	\N	\N	\N
343432	1164	1995-05-09	PRIJEM	VKLAD	2700	29445	\N	\N	\N
343433	1164	1995-06-08	VYDAJ	VYBER	2200	26703	\N	\N	\N
343434	1164	1995-07-08	VYDAJ	VYBER	10300	33424	\N	\N	\N
343435	1164	1995-08-07	VYDAJ	VYBER	5600	29945	\N	\N	\N
343436	1164	1995-09-06	VYDAJ	VYBER	23100	47067	\N	\N	\N
343437	1164	1995-10-06	VYDAJ	VYBER	11500	36047	\N	\N	\N
343438	1164	1995-11-05	VYDAJ	VYBER	5700	32509	\N	\N	\N
343439	1164	1995-12-05	VYDAJ	VYBER	1200	33444	\N	\N	\N
343440	1164	1996-01-04	VYDAJ	VYBER	1800	31220	\N	\N	\N
343441	1164	1996-02-03	PRIJEM	VKLAD	7100	24606	\N	\N	\N
343442	1164	1996-03-04	VYDAJ	VYBER	12900	50212	\N	\N	\N
343443	1164	1996-04-03	VYDAJ	VYBER	5400	43514	\N	\N	\N
343444	1164	1996-05-03	VYDAJ	VYBER	2800	40528	\N	\N	\N
343445	1164	1996-06-02	VYDAJ	VYBER	3600	39090	\N	\N	\N
343446	1164	1996-07-02	PRIJEM	VKLAD	10900	31940	\N	\N	\N
343447	1164	1996-08-01	VYDAJ	VYBER	10800	45284	\N	\N	\N
343448	1164	1996-08-31	VYDAJ	VYBER	4800	42682	\N	\N	\N
343449	1164	1996-09-30	VYDAJ	VYBER	5700	39162	\N	\N	\N
343450	1164	1996-10-30	VYDAJ	VYBER	2200	38247	\N	\N	\N
343451	1164	1996-11-29	PRIJEM	VKLAD	2300	38296	\N	\N	\N
343452	1164	1996-12-29	VYDAJ	VYBER	5300	33133	\N	\N	\N
343453	1164	1997-01-28	PRIJEM	VKLAD	4300	23124	\N	\N	\N
343454	1164	1997-02-27	PRIJEM	VKLAD	300	25510	\N	\N	\N
343455	1164	1997-03-29	PRIJEM	VKLAD	3400	30994	\N	\N	\N
343456	1164	1997-04-28	VYDAJ	VYBER	300	32790	\N	\N	\N
343457	1164	1997-05-28	VYDAJ	VYBER	400	32756	\N	\N	\N
343458	1164	1997-06-27	PRIJEM	VKLAD	4000	31477	\N	\N	\N
343459	1164	1997-07-27	VYDAJ	VYBER	1900	30989	\N	\N	\N
343460	1164	1997-08-26	PRIJEM	VKLAD	2300	33205	\N	\N	\N
343461	1164	1997-09-25	VYDAJ	VYBER	3800	31520	\N	\N	\N
343462	1164	1997-10-25	VYDAJ	VYBER	3900	29742	\N	\N	\N
343463	1164	1997-11-24	VYDAJ	VYBER	5900	38591	\N	\N	\N
343464	1164	1997-12-24	VYDAJ	VYBER	4400	34655	\N	\N	\N
343465	1164	1998-01-23	VYDAJ	VYBER	12700	38224	\N	\N	\N
343466	1164	1998-02-22	VYDAJ	VYBER	5600	33072	\N	\N	\N
343467	1164	1998-03-24	VYDAJ	VYBER	7000	28205	\N	\N	\N
343468	1164	1998-04-23	VYDAJ	VYBER	6500	23822	\N	\N	\N
343469	1164	1998-05-23	VYDAJ	VYBER	3200	21819	\N	\N	\N
343470	1164	1998-06-22	VYDAJ	VYBER	5000	18899	\N	\N	\N
343471	1164	1998-07-22	VYDAJ	VYBER	5200	15770	\N	\N	\N
343472	1164	1998-08-21	VYDAJ	VYBER	6500	17739	\N	\N	\N
343473	1164	1998-12-19	VYDAJ	VYBER	24100	22926	\N	\N	\N
343534	1165	1997-03-23	PRIJEM	VKLAD	900	900	\N	\N	\N
343538	1165	1997-04-14	PRIJEM	VKLAD	13425	14325	\N	\N	\N
343539	1165	1997-05-14	PRIJEM	VKLAD	13425	29070	\N	\N	\N
343540	1165	1997-06-14	PRIJEM	VKLAD	20138	42381	\N	\N	\N
343541	1165	1997-07-14	PRIJEM	VKLAD	13425	42909	\N	\N	\N
343542	1165	1997-08-14	PRIJEM	VKLAD	13425	44759	\N	\N	\N
343543	1165	1997-09-14	PRIJEM	VKLAD	13425	31822	\N	\N	\N
343544	1165	1997-10-14	PRIJEM	VKLAD	13425	23161	\N	\N	\N
343545	1165	1997-11-14	PRIJEM	VKLAD	13425	22779	\N	\N	\N
343546	1165	1997-12-14	PRIJEM	VKLAD	20138	24138	\N	\N	\N
343547	1165	1998-01-14	PRIJEM	VKLAD	13425	18342	\N	\N	\N
343548	1165	1998-02-14	PRIJEM	VKLAD	13425	18503	\N	\N	\N
343549	1165	1998-03-14	PRIJEM	VKLAD	13425	17699	\N	\N	\N
343550	1165	1998-04-14	PRIJEM	VKLAD	13425	21100	\N	\N	\N
343551	1165	1998-05-14	PRIJEM	VKLAD	13425	19005	\N	\N	\N
343552	1165	1998-06-14	PRIJEM	VKLAD	20138	23253	\N	\N	\N
343553	1165	1998-07-14	PRIJEM	VKLAD	13425	19149	\N	\N	\N
343554	1165	1998-08-14	PRIJEM	VKLAD	13425	15942	\N	\N	\N
343555	1165	1998-09-14	PRIJEM	VKLAD	13425	21140	\N	\N	\N
343556	1165	1998-10-14	PRIJEM	VKLAD	13425	22516	\N	\N	\N
343557	1165	1998-11-14	PRIJEM	VKLAD	13425	16639	\N	\N	\N
343558	1165	1998-12-14	PRIJEM	VKLAD	20138	28553	\N	\N	\N
343567	1165	1997-09-12	VYDAJ	PREVOD NA UCET	8270	18397	SIPO	CD	13145977
343568	1165	1997-10-12	VYDAJ	PREVOD NA UCET	8270	9736	SIPO	CD	13145977
343569	1165	1997-11-12	VYDAJ	PREVOD NA UCET	8270	9354	SIPO	CD	13145977
343570	1165	1997-12-12	VYDAJ	PREVOD NA UCET	8270	4000	SIPO	CD	13145977
343571	1165	1998-01-12	VYDAJ	PREVOD NA UCET	8270	4917	SIPO	CD	13145977
343572	1165	1998-02-12	VYDAJ	PREVOD NA UCET	8270	5078	SIPO	CD	13145977
343573	1165	1998-03-12	VYDAJ	PREVOD NA UCET	8270	4274	SIPO	CD	13145977
343574	1165	1998-04-12	VYDAJ	PREVOD NA UCET	8270	7675	SIPO	CD	13145977
343575	1165	1998-05-12	VYDAJ	PREVOD NA UCET	8270	5580	SIPO	CD	13145977
343576	1165	1998-06-12	VYDAJ	PREVOD NA UCET	8270	3115	SIPO	CD	13145977
343577	1165	1998-07-12	VYDAJ	PREVOD NA UCET	8270	5724	SIPO	CD	13145977
343578	1165	1998-08-12	VYDAJ	PREVOD NA UCET	8270	2517	SIPO	CD	13145977
343579	1165	1998-09-12	VYDAJ	PREVOD NA UCET	8270	7715	SIPO	CD	13145977
343580	1165	1998-10-12	VYDAJ	PREVOD NA UCET	8270	9091	SIPO	CD	13145977
343581	1165	1998-11-12	VYDAJ	PREVOD NA UCET	8270	3214	SIPO	CD	13145977
343582	1165	1998-12-12	VYDAJ	PREVOD NA UCET	8270	8415	SIPO	CD	13145977
343588	1165	1998-12-27	VYDAJ	VYBER	960	27593	\N	\N	\N
343595	1165	1998-01-24	VYDAJ	VYBER	1560	13302	\N	\N	\N
343596	1165	1998-01-14	VYDAJ	VYBER	1080	17262	\N	\N	\N
343597	1165	1998-01-17	VYDAJ	VYBER	1080	16182	\N	\N	\N
343599	1165	1998-01-17	VYDAJ	VYBER	1320	14862	\N	\N	\N
343600	1165	1998-01-05	VYDAJ	VYBER	2400	13187	\N	\N	\N
343604	1165	1997-09-16	VYDAJ	VYBER	4200	27622	\N	\N	\N
343607	1165	1997-11-17	VYDAJ	VYBER	2760	20019	\N	\N	\N
343611	1165	1998-05-16	VYDAJ	VYBER	1560	17445	\N	\N	\N
343613	1165	1998-09-21	VYDAJ	VYBER	1920	17300	\N	\N	\N
343614	1165	1998-09-21	VYDAJ	VYBER	1920	19220	\N	\N	\N
343625	1165	1997-08-31	VYDAJ	VYBER	15	26667	SLUZBY	\N	\N
343626	1165	1997-09-30	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
343627	1165	1997-10-31	VYDAJ	VYBER	15	17624	SLUZBY	\N	\N
343628	1165	1997-11-30	VYDAJ	VYBER	15	12270	SLUZBY	\N	\N
343629	1165	1997-12-31	VYDAJ	VYBER	15	15587	SLUZBY	\N	\N
343630	1165	1998-01-31	VYDAJ	VYBER	15	13348	SLUZBY	\N	\N
343631	1165	1998-02-28	VYDAJ	VYBER	15	12544	SLUZBY	\N	\N
343632	1165	1998-03-31	VYDAJ	VYBER	15	15945	SLUZBY	\N	\N
343633	1165	1998-04-30	VYDAJ	VYBER	15	13850	SLUZBY	\N	\N
343634	1165	1998-05-31	VYDAJ	VYBER	15	11385	SLUZBY	\N	\N
343635	1165	1998-06-30	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
343636	1165	1998-07-31	VYDAJ	VYBER	15	10787	SLUZBY	\N	\N
343637	1165	1998-08-31	VYDAJ	VYBER	15	15985	SLUZBY	\N	\N
343638	1165	1998-09-30	VYDAJ	VYBER	15	17361	SLUZBY	\N	\N
343639	1165	1998-10-31	VYDAJ	VYBER	15	11484	SLUZBY	\N	\N
343640	1165	1998-11-30	VYDAJ	VYBER	15	16685	SLUZBY	\N	\N
343641	1165	1997-04-22	PRIJEM	VKLAD	1300	15625	\N	\N	\N
343642	1165	1997-05-22	VYDAJ	VYBER	6900	22170	\N	\N	\N
343643	1165	1997-06-21	VYDAJ	VYBER	13000	29381	\N	\N	\N
343644	1165	1997-07-21	VYDAJ	VYBER	11700	31209	\N	\N	\N
343645	1165	1997-08-20	VYDAJ	VYBER	18200	26559	\N	\N	\N
343646	1165	1997-09-19	VYDAJ	VYBER	9700	17922	\N	\N	\N
343647	1165	1997-10-19	VYDAJ	VYBER	5600	17561	\N	\N	\N
343648	1165	1997-11-18	VYDAJ	VYBER	7800	12219	\N	\N	\N
343649	1165	1997-12-18	VYDAJ	VYBER	8600	15538	\N	\N	\N
343650	1165	1998-02-16	VYDAJ	VYBER	6000	12503	\N	\N	\N
343651	1165	1998-03-18	VYDAJ	VYBER	1800	15899	\N	\N	\N
343652	1165	1998-04-17	VYDAJ	VYBER	7300	13800	\N	\N	\N
343653	1165	1998-05-17	VYDAJ	VYBER	6100	11345	\N	\N	\N
343654	1165	1998-06-16	VYDAJ	VYBER	9300	13953	\N	\N	\N
343655	1165	1998-07-16	VYDAJ	VYBER	8400	10749	\N	\N	\N
343656	1165	1998-10-14	VYDAJ	VYBER	11100	11416	\N	\N	\N
343678	1166	1993-04-21	PRIJEM	VKLAD	200	200	\N	\N	\N
343683	1166	1993-05-10	PRIJEM	PREVOD Z UCTU	18631	18831	\N	GH	41146189
343684	1166	1993-06-10	PRIJEM	PREVOD Z UCTU	27946	49008	\N	GH	41146189
343685	1166	1993-07-10	PRIJEM	PREVOD Z UCTU	18631	54149	\N	GH	41146189
343686	1166	1993-08-10	PRIJEM	PREVOD Z UCTU	18631	59536	\N	GH	41146189
343687	1166	1993-09-10	PRIJEM	PREVOD Z UCTU	18631	62442	\N	GH	41146189
343688	1166	1993-10-10	PRIJEM	PREVOD Z UCTU	18631	54644	\N	GH	41146189
343689	1166	1993-11-10	PRIJEM	PREVOD Z UCTU	18631	42977	\N	GH	41146189
343690	1166	1993-12-10	PRIJEM	PREVOD Z UCTU	27946	55236	\N	GH	41146189
343691	1166	1994-01-10	PRIJEM	PREVOD Z UCTU	18631	48819	\N	GH	41146189
343692	1166	1994-02-10	PRIJEM	PREVOD Z UCTU	18631	37665	\N	GH	41146189
343693	1166	1994-03-10	PRIJEM	PREVOD Z UCTU	18631	47284	\N	GH	41146189
343694	1166	1994-04-10	PRIJEM	PREVOD Z UCTU	18631	50032	\N	GH	41146189
343695	1166	1994-05-10	PRIJEM	PREVOD Z UCTU	18631	53391	\N	GH	41146189
343696	1166	1994-06-10	PRIJEM	PREVOD Z UCTU	27946	63975	\N	GH	41146189
343697	1166	1994-07-10	PRIJEM	PREVOD Z UCTU	18631	58060	\N	GH	41146189
343698	1166	1994-08-10	PRIJEM	PREVOD Z UCTU	18631	56540	\N	GH	41146189
343699	1166	1994-09-10	PRIJEM	PREVOD Z UCTU	18631	55213	\N	GH	41146189
343700	1166	1994-10-10	PRIJEM	PREVOD Z UCTU	18631	53277	\N	GH	41146189
343701	1166	1994-11-10	PRIJEM	PREVOD Z UCTU	18631	51032	\N	GH	41146189
343702	1166	1994-12-10	PRIJEM	PREVOD Z UCTU	27946	62403	\N	GH	41146189
343703	1166	1995-01-10	PRIJEM	PREVOD Z UCTU	18631	43148	\N	GH	41146189
343704	1166	1995-02-10	PRIJEM	PREVOD Z UCTU	18631	40862	\N	GH	41146189
343705	1166	1995-03-10	PRIJEM	PREVOD Z UCTU	18631	44585	\N	GH	41146189
343706	1166	1995-04-10	PRIJEM	PREVOD Z UCTU	18631	39519	\N	GH	41146189
343707	1166	1995-05-10	PRIJEM	PREVOD Z UCTU	18631	46454	\N	GH	41146189
343708	1166	1995-06-10	PRIJEM	PREVOD Z UCTU	27946	58006	\N	GH	41146189
343709	1166	1995-07-10	PRIJEM	PREVOD Z UCTU	18631	47043	\N	GH	41146189
343710	1166	1995-08-10	PRIJEM	PREVOD Z UCTU	18631	47592	\N	GH	41146189
343711	1166	1995-09-10	PRIJEM	PREVOD Z UCTU	18631	53366	\N	GH	41146189
343712	1166	1995-10-10	PRIJEM	PREVOD Z UCTU	18631	47820	\N	GH	41146189
343713	1166	1995-11-10	PRIJEM	PREVOD Z UCTU	18631	55612	\N	GH	41146189
343714	1166	1995-12-10	PRIJEM	PREVOD Z UCTU	27946	59734	\N	GH	41146189
343715	1166	1996-01-10	PRIJEM	PREVOD Z UCTU	18631	50751	\N	GH	41146189
343716	1166	1996-02-10	PRIJEM	PREVOD Z UCTU	18631	48816	\N	GH	41146189
343717	1166	1996-03-10	PRIJEM	PREVOD Z UCTU	18631	44036	\N	GH	41146189
343718	1166	1996-04-10	PRIJEM	PREVOD Z UCTU	18631	52302	\N	GH	41146189
343719	1166	1996-05-10	PRIJEM	PREVOD Z UCTU	18631	47878	\N	GH	41146189
343720	1166	1996-06-10	PRIJEM	PREVOD Z UCTU	27946	60965	\N	GH	41146189
343721	1166	1996-07-10	PRIJEM	PREVOD Z UCTU	18631	45110	\N	GH	41146189
343722	1166	1996-08-10	PRIJEM	PREVOD Z UCTU	18631	42948	\N	GH	41146189
343723	1166	1996-09-10	PRIJEM	PREVOD Z UCTU	18631	50601	\N	GH	41146189
343724	1166	1996-10-10	PRIJEM	PREVOD Z UCTU	18631	48379	\N	GH	41146189
343725	1166	1996-11-10	PRIJEM	PREVOD Z UCTU	18631	44246	\N	GH	41146189
343726	1166	1996-12-10	PRIJEM	PREVOD Z UCTU	27946	50225	\N	GH	41146189
343727	1166	1997-01-10	PRIJEM	PREVOD Z UCTU	18631	43011	\N	GH	41146189
343728	1166	1997-02-10	PRIJEM	PREVOD Z UCTU	18631	46547	\N	GH	41146189
343729	1166	1997-03-10	PRIJEM	PREVOD Z UCTU	18631	51905	\N	GH	41146189
343730	1166	1997-04-10	PRIJEM	PREVOD Z UCTU	18631	51597	\N	GH	41146189
343731	1166	1997-05-10	PRIJEM	PREVOD Z UCTU	18631	53675	\N	GH	41146189
343732	1166	1997-06-10	PRIJEM	PREVOD Z UCTU	27946	64577	\N	GH	41146189
343733	1166	1997-07-10	PRIJEM	PREVOD Z UCTU	18631	59191	\N	GH	41146189
343734	1166	1997-08-10	PRIJEM	PREVOD Z UCTU	18631	49851	\N	GH	41146189
343735	1166	1997-09-10	PRIJEM	PREVOD Z UCTU	18631	52219	\N	GH	41146189
343736	1166	1997-10-10	PRIJEM	PREVOD Z UCTU	18631	51094	\N	GH	41146189
343737	1166	1997-11-10	PRIJEM	PREVOD Z UCTU	18631	47866	\N	GH	41146189
343738	1166	1997-12-10	PRIJEM	PREVOD Z UCTU	27946	54052	\N	GH	41146189
343739	1166	1998-01-10	PRIJEM	PREVOD Z UCTU	18631	51833	\N	GH	41146189
343740	1166	1998-02-10	PRIJEM	PREVOD Z UCTU	18631	35843	\N	GH	41146189
343741	1166	1998-03-10	PRIJEM	PREVOD Z UCTU	18631	41352	\N	GH	41146189
343742	1166	1998-04-10	PRIJEM	PREVOD Z UCTU	18631	36263	\N	GH	41146189
343743	1166	1998-05-10	PRIJEM	PREVOD Z UCTU	18631	38487	\N	GH	41146189
343744	1166	1998-06-10	PRIJEM	PREVOD Z UCTU	27946	50818	\N	GH	41146189
343745	1166	1998-07-10	PRIJEM	PREVOD Z UCTU	18631	36128	\N	GH	41146189
343746	1166	1998-08-10	PRIJEM	PREVOD Z UCTU	18631	44857	\N	GH	41146189
343747	1166	1998-09-10	PRIJEM	PREVOD Z UCTU	18631	44996	\N	GH	41146189
343748	1166	1998-10-10	PRIJEM	PREVOD Z UCTU	18631	51545	\N	GH	41146189
343749	1166	1998-11-10	PRIJEM	PREVOD Z UCTU	18631	47317	\N	GH	41146189
343750	1166	1998-12-10	PRIJEM	PREVOD Z UCTU	27946	52879	\N	GH	41146189
343759	1166	1993-09-16	VYDAJ	VYBER	4200	50846	\N	\N	0
343760	1166	1993-10-03	VYDAJ	VYBER	3500	36013	\N	\N	0
343761	1166	1993-11-18	VYDAJ	VYBER	1800	32980	\N	\N	0
343762	1166	1993-12-08	VYDAJ	VYBER	3400	27290	\N	\N	0
343763	1166	1994-01-26	VYDAJ	VYBER	2500	18922	\N	\N	0
343764	1166	1994-02-12	VYDAJ	PREVOD NA UCET	3105	34559	UVER	CD	62584346
343765	1166	1994-03-12	VYDAJ	PREVOD NA UCET	3105	44179	UVER	CD	62584346
343766	1166	1994-04-12	VYDAJ	PREVOD NA UCET	3105	46927	UVER	CD	62584346
343767	1166	1994-05-12	VYDAJ	PREVOD NA UCET	3105	50286	UVER	CD	62584346
343768	1166	1994-06-12	VYDAJ	PREVOD NA UCET	3105	55469	UVER	CD	62584346
343769	1166	1994-07-12	VYDAJ	PREVOD NA UCET	3105	54955	UVER	CD	62584346
343770	1166	1994-08-12	VYDAJ	PREVOD NA UCET	3105	53435	UVER	CD	62584346
343771	1166	1994-09-12	VYDAJ	PREVOD NA UCET	3105	52107	UVER	CD	62584346
343772	1166	1994-10-12	VYDAJ	PREVOD NA UCET	3105	50171	UVER	CD	62584346
343773	1166	1994-11-12	VYDAJ	PREVOD NA UCET	3105	38726	UVER	CD	62584346
343774	1166	1994-12-12	VYDAJ	PREVOD NA UCET	3105	39597	UVER	CD	62584346
343775	1166	1995-01-12	VYDAJ	PREVOD NA UCET	3105	26543	UVER	CD	62584346
343776	1166	1995-02-12	VYDAJ	PREVOD NA UCET	3105	30257	UVER	CD	62584346
343777	1166	1995-03-12	VYDAJ	PREVOD NA UCET	3105	41480	UVER	CD	62584346
343778	1166	1995-04-12	VYDAJ	PREVOD NA UCET	3105	32114	UVER	CD	62584346
343779	1166	1995-05-12	VYDAJ	PREVOD NA UCET	3105	34349	UVER	CD	62584346
343780	1166	1995-06-12	VYDAJ	PREVOD NA UCET	3105	32701	UVER	CD	62584346
343781	1166	1995-07-12	VYDAJ	PREVOD NA UCET	3105	36738	UVER	CD	62584346
343782	1166	1995-08-12	VYDAJ	PREVOD NA UCET	3105	44487	UVER	CD	62584346
343783	1166	1995-09-12	VYDAJ	PREVOD NA UCET	3105	50261	UVER	CD	62584346
343784	1166	1995-10-12	VYDAJ	PREVOD NA UCET	3105	44715	UVER	CD	62584346
343785	1166	1995-11-12	VYDAJ	PREVOD NA UCET	3105	52506	UVER	CD	62584346
343786	1166	1995-12-12	VYDAJ	PREVOD NA UCET	3105	56629	UVER	CD	62584346
343787	1166	1996-01-12	VYDAJ	PREVOD NA UCET	3105	47646	UVER	CD	62584346
343788	1166	1996-02-12	VYDAJ	PREVOD NA UCET	3105	45711	UVER	CD	62584346
343789	1166	1996-03-12	VYDAJ	PREVOD NA UCET	3105	40931	UVER	CD	62584346
343790	1166	1996-04-12	VYDAJ	PREVOD NA UCET	3105	49197	UVER	CD	62584346
343791	1166	1996-05-12	VYDAJ	PREVOD NA UCET	3105	44773	UVER	CD	62584346
343792	1166	1996-06-12	VYDAJ	PREVOD NA UCET	3105	57860	UVER	CD	62584346
343793	1166	1996-07-12	VYDAJ	PREVOD NA UCET	3105	42005	UVER	CD	62584346
343794	1166	1996-08-12	VYDAJ	PREVOD NA UCET	3105	39843	UVER	CD	62584346
343795	1166	1996-09-12	VYDAJ	PREVOD NA UCET	3105	47495	UVER	CD	62584346
343796	1166	1996-10-12	VYDAJ	PREVOD NA UCET	3105	45274	UVER	CD	62584346
343797	1166	1996-11-12	VYDAJ	PREVOD NA UCET	3105	41141	UVER	CD	62584346
343798	1166	1996-12-12	VYDAJ	PREVOD NA UCET	3105	47120	UVER	CD	62584346
344048	1166	1995-12-31	VYDAJ	VYBER	15	44620	SLUZBY	\N	\N
343799	1166	1997-01-12	VYDAJ	PREVOD NA UCET	3105	39906	UVER	CD	62584346
343800	1166	1997-02-12	VYDAJ	PREVOD NA UCET	3105	43442	UVER	CD	62584346
343801	1166	1997-03-12	VYDAJ	PREVOD NA UCET	3105	48800	UVER	CD	62584346
343802	1166	1997-04-12	VYDAJ	PREVOD NA UCET	3105	48492	UVER	CD	62584346
343803	1166	1997-05-12	VYDAJ	PREVOD NA UCET	3105	50570	UVER	CD	62584346
343804	1166	1997-06-12	VYDAJ	PREVOD NA UCET	3105	61471	UVER	CD	62584346
343805	1166	1997-07-12	VYDAJ	PREVOD NA UCET	3105	56086	UVER	CD	62584346
343806	1166	1997-08-12	VYDAJ	PREVOD NA UCET	3105	46746	UVER	CD	62584346
343807	1166	1997-09-12	VYDAJ	PREVOD NA UCET	3105	49114	UVER	CD	62584346
343808	1166	1997-10-12	VYDAJ	PREVOD NA UCET	3105	47988	UVER	CD	62584346
343809	1166	1997-11-12	VYDAJ	PREVOD NA UCET	3105	44760	UVER	CD	62584346
343810	1166	1997-12-12	VYDAJ	PREVOD NA UCET	3105	50947	UVER	CD	62584346
343811	1166	1998-01-12	VYDAJ	PREVOD NA UCET	3105	26722	UVER	CD	62584346
343812	1166	1998-02-19	VYDAJ	VYBER	4000	27446	\N	\N	0
343813	1166	1998-03-22	VYDAJ	VYBER	2700	20857	\N	\N	0
343814	1166	1998-04-08	VYDAJ	VYBER	2900	17632	\N	\N	0
343815	1166	1998-04-30	VYDAJ	VYBER	3100	19871	\N	\N	0
343816	1166	1998-06-27	VYDAJ	VYBER	3400	19321	\N	\N	0
343817	1166	1998-07-05	VYDAJ	VYBER	1900	17497	\N	\N	0
343818	1166	1998-08-17	VYDAJ	VYBER	3200	37260	\N	\N	0
343819	1166	1998-09-24	VYDAJ	VYBER	2900	32799	\N	\N	0
343820	1166	1998-10-10	VYDAJ	VYBER	3000	48545	\N	\N	0
343821	1166	1998-10-30	VYDAJ	VYBER	3600	28548	\N	\N	0
343822	1166	1998-12-04	VYDAJ	VYBER	3300	24933	\N	\N	0
343831	1166	1993-09-14	VYDAJ	PREVOD NA UCET	4397	55046	SIPO	EF	69850820
343832	1166	1993-10-14	VYDAJ	PREVOD NA UCET	4397	46647	SIPO	EF	69850820
343833	1166	1993-11-14	VYDAJ	PREVOD NA UCET	4397	38580	SIPO	EF	69850820
343834	1166	1993-12-14	VYDAJ	PREVOD NA UCET	4397	50839	SIPO	EF	69850820
343835	1166	1994-01-14	VYDAJ	PREVOD NA UCET	4397	35422	SIPO	EF	69850820
343836	1166	1994-02-14	VYDAJ	PREVOD NA UCET	4397	30162	SIPO	EF	69850820
343837	1166	1994-03-14	VYDAJ	PREVOD NA UCET	4397	39782	SIPO	EF	69850820
343838	1166	1994-04-14	VYDAJ	PREVOD NA UCET	4397	42530	SIPO	EF	69850820
343839	1166	1994-05-14	VYDAJ	PREVOD NA UCET	4397	45889	SIPO	EF	69850820
343840	1166	1994-06-14	VYDAJ	PREVOD NA UCET	4397	51072	SIPO	EF	69850820
343841	1166	1994-07-14	VYDAJ	PREVOD NA UCET	4397	50558	SIPO	EF	69850820
343842	1166	1994-08-14	VYDAJ	PREVOD NA UCET	4397	36438	SIPO	EF	69850820
343843	1166	1994-09-14	VYDAJ	PREVOD NA UCET	4397	34510	SIPO	EF	69850820
343844	1166	1994-10-14	VYDAJ	PREVOD NA UCET	4397	32274	SIPO	EF	69850820
343845	1166	1994-11-14	VYDAJ	PREVOD NA UCET	4397	34329	SIPO	EF	69850820
343846	1166	1994-12-14	VYDAJ	PREVOD NA UCET	4397	35200	SIPO	EF	69850820
343847	1166	1995-01-14	VYDAJ	PREVOD NA UCET	4397	22146	SIPO	EF	69850820
343848	1166	1995-02-14	VYDAJ	PREVOD NA UCET	4397	25860	SIPO	EF	69850820
343849	1166	1995-03-14	VYDAJ	PREVOD NA UCET	4397	29183	SIPO	EF	69850820
343850	1166	1995-04-14	VYDAJ	PREVOD NA UCET	4397	27717	SIPO	EF	69850820
343851	1166	1995-05-14	VYDAJ	PREVOD NA UCET	4397	29952	SIPO	EF	69850820
343852	1166	1995-06-14	VYDAJ	PREVOD NA UCET	4397	28304	SIPO	EF	69850820
343853	1166	1995-07-14	VYDAJ	PREVOD NA UCET	4397	32341	SIPO	EF	69850820
343854	1166	1995-08-14	VYDAJ	PREVOD NA UCET	4397	40090	SIPO	EF	69850820
343855	1166	1995-09-14	VYDAJ	PREVOD NA UCET	4397	45864	SIPO	EF	69850820
343856	1166	1995-10-14	VYDAJ	PREVOD NA UCET	4397	40318	SIPO	EF	69850820
343857	1166	1995-11-14	VYDAJ	PREVOD NA UCET	4397	48109	SIPO	EF	69850820
343858	1166	1995-12-14	VYDAJ	PREVOD NA UCET	4397	52232	SIPO	EF	69850820
343859	1166	1996-01-14	VYDAJ	PREVOD NA UCET	4397	37849	SIPO	EF	69850820
343860	1166	1996-02-14	VYDAJ	PREVOD NA UCET	4397	41314	SIPO	EF	69850820
343861	1166	1996-03-14	VYDAJ	PREVOD NA UCET	4397	36534	SIPO	EF	69850820
343862	1166	1996-04-14	VYDAJ	PREVOD NA UCET	4397	44800	SIPO	EF	69850820
343863	1166	1996-05-14	VYDAJ	PREVOD NA UCET	4397	40376	SIPO	EF	69850820
343864	1166	1996-06-14	VYDAJ	PREVOD NA UCET	4397	37837	SIPO	EF	69850820
343865	1166	1996-07-14	VYDAJ	PREVOD NA UCET	4397	37608	SIPO	EF	69850820
343866	1166	1996-08-14	VYDAJ	PREVOD NA UCET	4397	35446	SIPO	EF	69850820
343867	1166	1996-09-14	VYDAJ	PREVOD NA UCET	4397	43098	SIPO	EF	69850820
343868	1166	1996-10-14	VYDAJ	PREVOD NA UCET	4397	40877	SIPO	EF	69850820
343869	1166	1996-11-14	VYDAJ	PREVOD NA UCET	4397	36744	SIPO	EF	69850820
343870	1166	1996-12-14	VYDAJ	PREVOD NA UCET	4397	42723	SIPO	EF	69850820
343871	1166	1997-01-14	VYDAJ	PREVOD NA UCET	4397	35509	SIPO	EF	69850820
343872	1166	1997-02-14	VYDAJ	PREVOD NA UCET	4397	39045	SIPO	EF	69850820
343873	1166	1997-03-14	VYDAJ	PREVOD NA UCET	4397	44403	SIPO	EF	69850820
343874	1166	1997-04-14	VYDAJ	PREVOD NA UCET	4397	44095	SIPO	EF	69850820
343875	1166	1997-05-14	VYDAJ	PREVOD NA UCET	4397	46173	SIPO	EF	69850820
343876	1166	1997-06-14	VYDAJ	PREVOD NA UCET	4397	57074	SIPO	EF	69850820
343877	1166	1997-07-14	VYDAJ	PREVOD NA UCET	4397	51689	SIPO	EF	69850820
343878	1166	1997-08-14	VYDAJ	PREVOD NA UCET	4397	42349	SIPO	EF	69850820
343879	1166	1997-09-14	VYDAJ	PREVOD NA UCET	4397	44717	SIPO	EF	69850820
343880	1166	1997-10-14	VYDAJ	PREVOD NA UCET	4397	43591	SIPO	EF	69850820
343881	1166	1997-11-14	VYDAJ	PREVOD NA UCET	4397	40363	SIPO	EF	69850820
343882	1166	1997-12-14	VYDAJ	PREVOD NA UCET	4397	46550	SIPO	EF	69850820
343883	1166	1998-01-14	VYDAJ	PREVOD NA UCET	4397	22325	SIPO	EF	69850820
343884	1166	1998-02-14	VYDAJ	PREVOD NA UCET	4397	31446	SIPO	EF	69850820
343885	1166	1998-03-14	VYDAJ	PREVOD NA UCET	4397	23557	SIPO	EF	69850820
343886	1166	1998-04-14	VYDAJ	PREVOD NA UCET	4397	25272	SIPO	EF	69850820
343887	1166	1998-05-14	VYDAJ	PREVOD NA UCET	4397	28090	SIPO	EF	69850820
343888	1166	1998-06-14	VYDAJ	PREVOD NA UCET	4397	22721	SIPO	EF	69850820
343889	1166	1998-07-14	VYDAJ	PREVOD NA UCET	4397	31731	SIPO	EF	69850820
343890	1166	1998-08-14	VYDAJ	PREVOD NA UCET	4397	40460	SIPO	EF	69850820
343891	1166	1998-09-14	VYDAJ	PREVOD NA UCET	4397	40599	SIPO	EF	69850820
343892	1166	1998-10-14	VYDAJ	PREVOD NA UCET	4397	44148	SIPO	EF	69850820
343893	1166	1998-11-14	VYDAJ	PREVOD NA UCET	4397	42920	SIPO	EF	69850820
343894	1166	1998-12-14	VYDAJ	PREVOD NA UCET	4397	42482	SIPO	EF	69850820
343897	1166	1993-10-19	VYBER	VYBER	4441	28706	\N	\N	\N
343902	1166	1993-09-13	VYBER	VYBER	2999	59443	\N	\N	\N
343904	1166	1995-10-01	VYBER	VYBER	16847	29189	\N	\N	\N
343908	1166	1996-07-19	VYBER	VYBER	2899	26009	\N	\N	\N
343909	1166	1996-12-21	VYBER	VYBER	7372	35351	\N	\N	\N
343910	1166	1996-11-02	VYBER	VYBER	3266	25615	\N	\N	\N
343911	1166	1996-06-13	VYBER	VYBER	15626	42234	\N	\N	\N
343912	1166	1996-10-20	VYBER	VYBER	7133	33744	\N	\N	\N
343913	1166	1996-04-18	VYBER	VYBER	14590	30210	\N	\N	\N
343915	1166	1996-03-02	VYBER	VYBER	13153	28305	\N	\N	\N
343916	1166	1996-12-03	VYBER	VYBER	10592	24079	\N	\N	\N
343918	1166	1997-07-18	VYBER	VYBER	11626	40063	\N	\N	\N
343919	1166	1998-04-14	VYBER	VYBER	6594	29669	\N	\N	\N
343920	1166	1998-01-11	VYBER	VYBER	22006	29827	\N	\N	\N
343921	1166	1998-03-14	VYBER	VYBER	13398	27954	\N	\N	\N
343931	1166	1998-06-11	VYDAJ	VYBER	23700	27118	\N	\N	\N
343933	1166	1994-01-10	VYDAJ	VYBER	5400	43419	\N	\N	\N
343936	1166	1997-01-02	VYDAJ	VYBER	5400	24380	\N	\N	\N
343938	1166	1993-12-04	VYDAJ	VYBER	2400	30690	\N	\N	\N
343939	1166	1994-12-10	VYDAJ	VYBER	7500	54903	\N	\N	\N
343940	1166	1995-12-27	VYDAJ	VYBER	7800	44432	\N	\N	\N
343941	1166	1996-12-05	VYDAJ	VYBER	1800	22279	\N	\N	\N
343942	1166	1997-12-03	VYDAJ	VYBER	7200	26106	\N	\N	\N
343943	1166	1998-12-10	VYDAJ	VYBER	6000	46879	\N	\N	\N
343950	1166	1994-01-18	VYDAJ	VYBER	2100	30722	\N	\N	\N
343951	1166	1994-01-11	VYDAJ	VYBER	3600	39819	\N	\N	\N
343954	1166	1994-01-02	VYDAJ	VYBER	6900	30188	\N	\N	\N
343955	1166	1994-01-21	VYDAJ	VYBER	4800	21422	\N	\N	\N
343960	1166	1995-01-10	VYDAJ	VYBER	8700	34448	\N	\N	\N
343962	1166	1996-01-05	VYDAJ	VYBER	8400	34120	\N	\N	\N
343963	1166	1996-01-22	VYDAJ	VYBER	1500	32449	\N	\N	\N
343964	1166	1996-01-13	VYDAJ	VYBER	5400	42246	\N	\N	\N
343965	1166	1996-01-16	VYDAJ	VYBER	3900	33949	\N	\N	\N
343966	1166	1996-01-05	VYDAJ	VYBER	2100	42520	\N	\N	\N
343967	1166	1996-01-26	VYDAJ	VYBER	3000	29449	\N	\N	\N
343968	1166	1997-01-18	VYDAJ	VYBER	3000	27109	\N	\N	\N
343971	1166	1997-01-21	VYDAJ	VYBER	3900	23209	\N	\N	\N
343977	1166	1998-01-14	VYDAJ	VYBER	1500	20825	\N	\N	\N
343982	1166	1993-10-13	VYDAJ	VYBER	3600	51044	\N	\N	\N
343984	1166	1993-10-30	VYDAJ	VYBER	4500	24206	\N	\N	\N
343987	1166	1994-12-18	VYDAJ	VYBER	10800	24400	\N	\N	\N
343988	1166	1994-06-10	VYDAJ	VYBER	5400	58575	\N	\N	\N
343989	1166	1994-01-19	VYDAJ	VYBER	4500	26222	\N	\N	\N
343991	1166	1995-04-03	VYDAJ	VYBER	8400	20888	\N	\N	\N
343992	1166	1995-06-10	VYDAJ	VYBER	10800	47206	\N	\N	\N
343995	1166	1995-12-02	VYDAJ	VYBER	12900	35388	\N	\N	\N
343996	1166	1996-09-25	VYDAJ	VYBER	9000	34098	\N	\N	\N
343998	1166	1996-07-17	VYDAJ	VYBER	8700	28908	\N	\N	\N
343999	1166	1996-12-28	VYDAJ	VYBER	7500	27851	\N	\N	\N
344000	1166	1996-06-22	VYDAJ	VYBER	10500	27337	\N	\N	\N
344002	1166	1997-01-14	VYDAJ	VYBER	5400	30109	\N	\N	\N
344006	1166	1997-11-05	VYDAJ	VYBER	6600	29235	\N	\N	\N
344008	1166	1998-05-12	VYDAJ	VYBER	6000	32487	\N	\N	\N
344021	1166	1993-09-30	VYDAJ	VYBER	15	39513	SLUZBY	\N	\N
344022	1166	1993-10-31	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
344023	1166	1993-11-30	VYDAJ	VYBER	15	33090	SLUZBY	\N	\N
344024	1166	1993-12-31	VYDAJ	VYBER	15	37088	SLUZBY	\N	\N
344025	1166	1994-01-31	VYDAJ	VYBER	15	19034	SLUZBY	\N	\N
344026	1166	1994-02-28	VYDAJ	VYBER	15	28653	SLUZBY	\N	\N
344027	1166	1994-03-31	VYDAJ	VYBER	15	31401	SLUZBY	\N	\N
344028	1166	1994-04-30	VYDAJ	VYBER	15	34760	SLUZBY	\N	\N
344029	1166	1994-05-31	VYDAJ	VYBER	15	36029	SLUZBY	\N	\N
344030	1166	1994-06-30	VYDAJ	VYBER	15	39429	SLUZBY	\N	\N
344031	1166	1994-07-31	VYDAJ	VYBER	15	37909	SLUZBY	\N	\N
344032	1166	1994-08-31	VYDAJ	VYBER	15	36582	SLUZBY	\N	\N
344033	1166	1994-09-30	VYDAJ	VYBER	15	34646	SLUZBY	\N	\N
344034	1166	1994-10-31	VYDAJ	VYBER	15	32401	SLUZBY	\N	\N
344035	1166	1994-11-30	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
344036	1166	1994-12-31	VYDAJ	VYBER	15	24517	SLUZBY	\N	\N
344037	1166	1995-01-31	VYDAJ	VYBER	15	22231	SLUZBY	\N	\N
344038	1166	1995-02-28	VYDAJ	VYBER	15	25954	SLUZBY	\N	\N
344039	1166	1995-03-31	VYDAJ	VYBER	15	29288	SLUZBY	\N	\N
344040	1166	1995-04-30	VYDAJ	VYBER	15	27823	SLUZBY	\N	\N
344041	1166	1995-05-31	VYDAJ	VYBER	15	30060	SLUZBY	\N	\N
344042	1166	1995-06-30	VYDAJ	VYBER	15	28412	SLUZBY	\N	\N
344043	1166	1995-07-31	VYDAJ	VYBER	15	32461	SLUZBY	\N	\N
344044	1166	1995-08-31	VYDAJ	VYBER	15	40235	SLUZBY	\N	\N
344045	1166	1995-09-30	VYDAJ	VYBER	15	46036	SLUZBY	\N	\N
344046	1166	1995-10-31	VYDAJ	VYBER	15	40481	SLUZBY	\N	\N
344047	1166	1995-11-30	VYDAJ	VYBER	15	48288	SLUZBY	\N	\N
344049	1166	1996-01-31	VYDAJ	VYBER	15	29585	SLUZBY	\N	\N
344050	1166	1996-02-29	VYDAJ	VYBER	15	41458	SLUZBY	\N	\N
344051	1166	1996-03-31	VYDAJ	VYBER	15	36671	SLUZBY	\N	\N
344052	1166	1996-04-30	VYDAJ	VYBER	15	30347	SLUZBY	\N	\N
344053	1166	1996-05-31	VYDAJ	VYBER	15	40519	SLUZBY	\N	\N
344054	1166	1996-06-30	VYDAJ	VYBER	15	27479	SLUZBY	\N	\N
344055	1166	1996-07-31	VYDAJ	VYBER	15	26117	SLUZBY	\N	\N
344056	1166	1996-08-31	VYDAJ	VYBER	15	35570	SLUZBY	\N	\N
344057	1166	1996-09-30	VYDAJ	VYBER	15	34248	SLUZBY	\N	\N
344058	1166	1996-10-31	VYDAJ	VYBER	15	33881	SLUZBY	\N	\N
344059	1166	1996-11-30	VYDAJ	VYBER	15	36871	SLUZBY	\N	\N
344060	1166	1996-12-31	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
344061	1166	1997-01-31	VYDAJ	VYBER	15	27916	SLUZBY	\N	\N
344062	1166	1997-02-28	VYDAJ	VYBER	15	39174	SLUZBY	\N	\N
344063	1166	1997-03-31	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
344064	1166	1997-04-30	VYDAJ	VYBER	15	35044	SLUZBY	\N	\N
344065	1166	1997-05-31	VYDAJ	VYBER	15	36631	SLUZBY	\N	\N
344066	1166	1997-06-30	VYDAJ	VYBER	15	40560	SLUZBY	\N	\N
344067	1166	1997-07-31	VYDAJ	VYBER	15	31220	SLUZBY	\N	\N
344068	1166	1997-08-31	VYDAJ	VYBER	15	33588	SLUZBY	\N	\N
344069	1166	1997-09-30	VYDAJ	VYBER	15	32463	SLUZBY	\N	\N
344070	1166	1997-10-31	VYDAJ	VYBER	15	35835	SLUZBY	\N	\N
344071	1166	1997-11-30	VYDAJ	VYBER	15	33306	SLUZBY	\N	\N
344072	1166	1997-12-31	VYDAJ	VYBER	15	33202	SLUZBY	\N	\N
344073	1166	1998-01-31	VYDAJ	VYBER	15	17212	SLUZBY	\N	\N
344074	1166	1998-02-28	VYDAJ	VYBER	15	22721	SLUZBY	\N	\N
344075	1166	1998-03-31	VYDAJ	VYBER	15	20532	SLUZBY	\N	\N
344076	1166	1998-04-30	VYDAJ	VYBER	15	19856	SLUZBY	\N	\N
344077	1166	1998-05-31	VYDAJ	VYBER	15	22872	SLUZBY	\N	\N
344078	1166	1998-06-30	VYDAJ	VYBER	15	19397	SLUZBY	\N	\N
344079	1166	1998-07-31	VYDAJ	VYBER	15	26226	SLUZBY	\N	\N
344080	1166	1998-08-31	VYDAJ	VYBER	15	26365	SLUZBY	\N	\N
344081	1166	1998-09-30	VYDAJ	VYBER	15	32914	SLUZBY	\N	\N
344082	1166	1998-10-31	VYDAJ	VYBER	15	28686	SLUZBY	\N	\N
344083	1166	1998-11-30	VYDAJ	VYBER	15	28233	SLUZBY	\N	\N
344084	1166	1993-05-21	PRIJEM	VKLAD	2200	21031	\N	\N	\N
344085	1166	1993-06-20	VYDAJ	VYBER	13600	35408	\N	\N	\N
344086	1166	1993-07-20	VYDAJ	VYBER	13400	40749	\N	\N	\N
344087	1166	1993-08-19	VYDAJ	VYBER	15900	43636	\N	\N	\N
344088	1166	1993-09-18	VYDAJ	VYBER	11500	39346	\N	\N	\N
344089	1166	1993-10-18	VYDAJ	VYBER	13500	33147	\N	\N	\N
344090	1166	1993-11-17	VYDAJ	VYBER	3800	34780	\N	\N	\N
344091	1166	1993-12-17	VYDAJ	VYBER	13900	36939	\N	\N	\N
344092	1166	1994-01-16	VYDAJ	VYBER	2600	32822	\N	\N	\N
344093	1166	1994-02-15	VYDAJ	VYBER	1600	28562	\N	\N	\N
344094	1166	1994-03-17	VYDAJ	VYBER	8500	31282	\N	\N	\N
344095	1166	1994-04-16	VYDAJ	VYBER	7900	34630	\N	\N	\N
344096	1166	1994-05-16	VYDAJ	VYBER	10000	35889	\N	\N	\N
344097	1166	1994-06-15	VYDAJ	VYBER	11800	39272	\N	\N	\N
344098	1166	1994-07-15	VYDAJ	VYBER	12800	37758	\N	\N	\N
344099	1166	1994-08-14	VYDAJ	VYBER	12600	40835	\N	\N	\N
344100	1166	1994-09-13	VYDAJ	VYBER	13200	38907	\N	\N	\N
344101	1166	1994-10-13	VYDAJ	VYBER	13500	36671	\N	\N	\N
344102	1166	1994-11-12	VYDAJ	VYBER	9200	41832	\N	\N	\N
344103	1166	1994-12-12	VYDAJ	VYBER	12200	42703	\N	\N	\N
344104	1166	1995-01-11	VYDAJ	VYBER	4800	29648	\N	\N	\N
344105	1166	1995-02-10	VYDAJ	VYBER	7500	33362	\N	\N	\N
344106	1166	1995-03-12	VYDAJ	VYBER	7900	33580	\N	\N	\N
344107	1166	1995-04-11	VYDAJ	VYBER	4300	35219	\N	\N	\N
344108	1166	1995-05-11	VYDAJ	VYBER	9000	37454	\N	\N	\N
344109	1166	1995-06-10	VYDAJ	VYBER	11400	35806	\N	\N	\N
344110	1166	1995-07-10	VYDAJ	VYBER	7200	39843	\N	\N	\N
344111	1166	1995-08-09	VYDAJ	VYBER	3500	28961	\N	\N	\N
344112	1166	1995-09-08	VYDAJ	VYBER	5500	34735	\N	\N	\N
344113	1166	1995-11-07	VYDAJ	VYBER	3500	36981	\N	\N	\N
344114	1166	1995-12-07	VYDAJ	VYBER	3600	31788	\N	\N	\N
344115	1166	1996-01-06	VYDAJ	VYBER	2000	32120	\N	\N	\N
344116	1166	1996-02-05	PRIJEM	VKLAD	600	30185	\N	\N	\N
344117	1166	1996-03-06	VYDAJ	VYBER	2900	25405	\N	\N	\N
344118	1166	1996-04-05	VYDAJ	VYBER	3000	33671	\N	\N	\N
344119	1166	1996-05-05	VYDAJ	VYBER	1100	29247	\N	\N	\N
344120	1166	1996-06-04	VYDAJ	VYBER	7500	33019	\N	\N	\N
344121	1166	1996-07-04	VYDAJ	VYBER	1000	26479	\N	\N	\N
344122	1166	1996-08-03	VYDAJ	VYBER	1800	24317	\N	\N	\N
344123	1166	1996-09-02	VYDAJ	VYBER	3600	31970	\N	\N	\N
344124	1166	1996-10-02	VYDAJ	VYBER	4500	29748	\N	\N	\N
344125	1166	1996-11-01	VYDAJ	VYBER	5000	28881	\N	\N	\N
344126	1166	1996-12-01	VYDAJ	VYBER	2200	34671	\N	\N	\N
344127	1166	1996-12-31	PRIJEM	VKLAD	1800	29651	\N	\N	\N
344128	1166	1997-01-30	PRIJEM	VKLAD	4600	27809	\N	\N	\N
344129	1166	1997-03-01	VYDAJ	VYBER	5900	33274	\N	\N	\N
344130	1166	1997-03-31	VYDAJ	VYBER	11600	32981	\N	\N	\N
344131	1166	1997-04-30	VYDAJ	VYBER	9200	35059	\N	\N	\N
344132	1166	1997-05-30	VYDAJ	VYBER	9700	36473	\N	\N	\N
344133	1166	1997-06-29	VYDAJ	VYBER	16700	40374	\N	\N	\N
344134	1166	1997-07-29	VYDAJ	VYBER	9000	31063	\N	\N	\N
344135	1166	1997-08-28	VYDAJ	VYBER	8900	33449	\N	\N	\N
344136	1166	1997-09-27	VYDAJ	VYBER	12400	32317	\N	\N	\N
344137	1166	1997-10-27	VYDAJ	VYBER	7900	35691	\N	\N	\N
344138	1166	1997-11-26	VYDAJ	VYBER	7200	33163	\N	\N	\N
344139	1166	1997-12-26	VYDAJ	VYBER	13500	33050	\N	\N	\N
344140	1166	1998-01-25	VYDAJ	VYBER	3700	17125	\N	\N	\N
344141	1166	1998-02-24	VYDAJ	VYBER	4800	22646	\N	\N	\N
344142	1166	1998-03-26	VYDAJ	VYBER	400	20457	\N	\N	\N
344143	1166	1998-04-25	VYDAJ	VYBER	2400	22872	\N	\N	\N
344144	1166	1998-05-25	VYDAJ	VYBER	5300	22790	\N	\N	\N
344145	1166	1998-07-24	VYDAJ	VYBER	5600	26131	\N	\N	\N
344146	1166	1998-08-23	VYDAJ	VYBER	11000	26260	\N	\N	\N
344147	1166	1998-09-22	VYDAJ	VYBER	4900	35699	\N	\N	\N
344148	1166	1998-10-22	VYDAJ	VYBER	12000	32148	\N	\N	\N
344149	1166	1998-11-21	VYDAJ	VYBER	14800	28120	\N	\N	\N
344524	1168	1994-11-03	PRIJEM	VKLAD	400	400	\N	\N	\N
344535	1168	1994-11-05	PRIJEM	VKLAD	9729	10129	\N	\N	\N
344536	1168	1994-12-05	PRIJEM	VKLAD	14594	33559	\N	\N	\N
344537	1168	1995-01-05	PRIJEM	VKLAD	9729	35915	\N	\N	\N
344538	1168	1995-02-05	PRIJEM	VKLAD	9729	40093	\N	\N	\N
344539	1168	1995-03-05	PRIJEM	VKLAD	9729	42586	\N	\N	\N
344540	1168	1995-04-05	PRIJEM	VKLAD	9729	41006	\N	\N	\N
344541	1168	1995-05-05	PRIJEM	VKLAD	9729	34263	\N	\N	\N
344542	1168	1995-06-05	PRIJEM	VKLAD	14594	38769	\N	\N	\N
344543	1168	1995-07-05	PRIJEM	VKLAD	9729	32790	\N	\N	\N
344544	1168	1995-08-05	PRIJEM	VKLAD	9729	31766	\N	\N	\N
344545	1168	1995-09-05	PRIJEM	VKLAD	9729	29711	\N	\N	\N
344546	1168	1995-10-05	PRIJEM	VKLAD	9729	30230	\N	\N	\N
344547	1168	1995-11-05	PRIJEM	VKLAD	9729	30911	\N	\N	\N
344548	1168	1995-12-05	PRIJEM	VKLAD	14594	37242	\N	\N	\N
344549	1168	1996-01-05	PRIJEM	VKLAD	9729	27403	\N	\N	\N
344550	1168	1996-02-05	PRIJEM	VKLAD	9729	23280	\N	\N	\N
344551	1168	1996-03-05	PRIJEM	VKLAD	9729	23665	\N	\N	\N
344552	1168	1996-04-05	PRIJEM	VKLAD	9729	26898	\N	\N	\N
344553	1168	1996-05-05	PRIJEM	VKLAD	9729	26242	\N	\N	\N
344554	1168	1996-06-05	PRIJEM	VKLAD	14594	32649	\N	\N	\N
344555	1168	1996-07-05	PRIJEM	VKLAD	9729	23185	\N	\N	\N
344556	1168	1996-08-05	PRIJEM	VKLAD	9729	25318	\N	\N	\N
344557	1168	1996-09-05	PRIJEM	VKLAD	9729	30459	\N	\N	\N
344558	1168	1996-10-05	PRIJEM	VKLAD	9729	32118	\N	\N	\N
344559	1168	1996-11-05	PRIJEM	VKLAD	9729	32782	\N	\N	\N
344560	1168	1996-12-05	PRIJEM	VKLAD	14594	32063	\N	\N	\N
344561	1168	1997-01-05	PRIJEM	VKLAD	9729	25711	\N	\N	\N
344562	1168	1997-02-05	PRIJEM	VKLAD	9729	19920	\N	\N	\N
344563	1168	1997-03-05	PRIJEM	VKLAD	9729	23836	\N	\N	\N
344564	1168	1997-04-05	PRIJEM	VKLAD	9729	26969	\N	\N	\N
344565	1168	1997-05-05	PRIJEM	VKLAD	9729	25971	\N	\N	\N
344566	1168	1997-06-05	PRIJEM	VKLAD	14594	31172	\N	\N	\N
344567	1168	1997-07-05	PRIJEM	VKLAD	9729	29287	\N	\N	\N
344568	1168	1997-08-05	PRIJEM	VKLAD	9729	26431	\N	\N	\N
344569	1168	1997-09-05	PRIJEM	VKLAD	9729	22420	\N	\N	\N
344570	1168	1997-10-05	PRIJEM	VKLAD	9729	22639	\N	\N	\N
344571	1168	1997-11-05	PRIJEM	VKLAD	9729	21792	\N	\N	\N
344572	1168	1997-12-05	PRIJEM	VKLAD	14594	30379	\N	\N	\N
344573	1168	1998-01-05	PRIJEM	VKLAD	9729	24500	\N	\N	\N
344574	1168	1998-02-05	PRIJEM	VKLAD	9729	23985	\N	\N	\N
344575	1168	1998-03-05	PRIJEM	VKLAD	9729	26375	\N	\N	\N
344576	1168	1998-04-05	PRIJEM	VKLAD	9729	24706	\N	\N	\N
344577	1168	1998-05-05	PRIJEM	VKLAD	9729	25033	\N	\N	\N
344578	1168	1998-06-05	PRIJEM	VKLAD	14594	31930	\N	\N	\N
344579	1168	1998-07-05	PRIJEM	VKLAD	9729	30680	\N	\N	\N
344580	1168	1998-08-05	PRIJEM	VKLAD	9729	31331	\N	\N	\N
344581	1168	1998-09-05	PRIJEM	VKLAD	9729	26981	\N	\N	\N
344582	1168	1998-10-05	PRIJEM	VKLAD	9729	25010	\N	\N	\N
344583	1168	1998-11-05	PRIJEM	VKLAD	9729	24913	\N	\N	\N
344584	1168	1998-12-05	PRIJEM	VKLAD	14594	29863	\N	\N	\N
344599	1168	1995-03-09	VYDAJ	PREVOD NA UCET	2432	40114	SIPO	WX	84145503
344600	1168	1995-04-09	VYDAJ	PREVOD NA UCET	2432	38534	SIPO	WX	84145503
344601	1168	1995-05-09	VYDAJ	PREVOD NA UCET	2432	31791	SIPO	WX	84145503
344602	1168	1995-06-09	VYDAJ	PREVOD NA UCET	2432	30537	SIPO	WX	84145503
344603	1168	1995-07-09	VYDAJ	PREVOD NA UCET	2432	30318	SIPO	WX	84145503
344604	1168	1995-08-09	VYDAJ	PREVOD NA UCET	2432	29294	SIPO	WX	84145503
344605	1168	1995-09-09	VYDAJ	PREVOD NA UCET	2432	27239	SIPO	WX	84145503
344606	1168	1995-10-09	VYDAJ	PREVOD NA UCET	2432	27758	SIPO	WX	84145503
344607	1168	1995-11-09	VYDAJ	PREVOD NA UCET	2432	28439	SIPO	WX	84145503
344608	1168	1995-12-09	VYDAJ	PREVOD NA UCET	2432	34770	SIPO	WX	84145503
344609	1168	1996-01-09	VYDAJ	PREVOD NA UCET	2432	24211	SIPO	WX	84145503
344610	1168	1996-02-09	VYDAJ	PREVOD NA UCET	2432	20808	SIPO	WX	84145503
344611	1168	1996-03-09	VYDAJ	PREVOD NA UCET	2432	21193	SIPO	WX	84145503
344612	1168	1996-04-09	VYDAJ	PREVOD NA UCET	2432	24426	SIPO	WX	84145503
344613	1168	1996-05-09	VYDAJ	PREVOD NA UCET	2432	23770	SIPO	WX	84145503
344614	1168	1996-06-09	VYDAJ	PREVOD NA UCET	2432	30177	SIPO	WX	84145503
344615	1168	1996-07-09	VYDAJ	PREVOD NA UCET	2432	20713	SIPO	WX	84145503
344616	1168	1996-08-09	VYDAJ	PREVOD NA UCET	2432	22846	SIPO	WX	84145503
344617	1168	1996-09-09	VYDAJ	PREVOD NA UCET	2432	27987	SIPO	WX	84145503
344618	1168	1996-10-09	VYDAJ	PREVOD NA UCET	2432	29646	SIPO	WX	84145503
344619	1168	1996-11-09	VYDAJ	PREVOD NA UCET	2432	30310	SIPO	WX	84145503
344620	1168	1996-12-09	VYDAJ	PREVOD NA UCET	2432	29591	SIPO	WX	84145503
344621	1168	1997-01-09	VYDAJ	PREVOD NA UCET	2432	12039	SIPO	WX	84145503
344622	1168	1997-02-09	VYDAJ	PREVOD NA UCET	2432	17448	SIPO	WX	84145503
344623	1168	1997-03-09	VYDAJ	PREVOD NA UCET	2432	21364	SIPO	WX	84145503
344956	1168	1998-07-31	VYDAJ	VYBER	15	21602	SLUZBY	\N	\N
344624	1168	1997-04-09	VYDAJ	PREVOD NA UCET	2432	24497	SIPO	WX	84145503
344625	1168	1997-05-09	VYDAJ	PREVOD NA UCET	2432	23499	SIPO	WX	84145503
344626	1168	1997-06-09	VYDAJ	PREVOD NA UCET	2432	28700	SIPO	WX	84145503
344627	1168	1997-07-09	VYDAJ	PREVOD NA UCET	2432	26815	SIPO	WX	84145503
344628	1168	1997-08-09	VYDAJ	PREVOD NA UCET	2432	23959	SIPO	WX	84145503
344629	1168	1997-09-09	VYDAJ	PREVOD NA UCET	2432	19948	SIPO	WX	84145503
344630	1168	1997-10-09	VYDAJ	PREVOD NA UCET	2432	16207	SIPO	WX	84145503
344631	1168	1997-11-09	VYDAJ	PREVOD NA UCET	2432	19320	SIPO	WX	84145503
344632	1168	1997-12-09	VYDAJ	PREVOD NA UCET	2432	27907	SIPO	WX	84145503
344633	1168	1998-01-09	VYDAJ	PREVOD NA UCET	2432	22028	SIPO	WX	84145503
344634	1168	1998-02-09	VYDAJ	PREVOD NA UCET	2432	21513	SIPO	WX	84145503
344635	1168	1998-03-09	VYDAJ	PREVOD NA UCET	2432	23903	SIPO	WX	84145503
344636	1168	1998-04-09	VYDAJ	PREVOD NA UCET	2432	22234	SIPO	WX	84145503
344637	1168	1998-05-09	VYDAJ	PREVOD NA UCET	2432	22561	SIPO	WX	84145503
344638	1168	1998-06-09	VYDAJ	PREVOD NA UCET	2432	29458	SIPO	WX	84145503
344639	1168	1998-07-09	VYDAJ	PREVOD NA UCET	2432	28208	SIPO	WX	84145503
344640	1168	1998-08-09	VYDAJ	PREVOD NA UCET	2432	28859	SIPO	WX	84145503
344641	1168	1998-09-09	VYDAJ	PREVOD NA UCET	2432	24509	SIPO	WX	84145503
344642	1168	1998-10-09	VYDAJ	PREVOD NA UCET	2432	22538	SIPO	WX	84145503
344643	1168	1998-11-09	VYDAJ	PREVOD NA UCET	2432	22441	SIPO	WX	84145503
344644	1168	1998-12-09	VYDAJ	PREVOD NA UCET	2432	27391	SIPO	WX	84145503
344659	1168	1995-03-10	VYDAJ	PREVOD NA UCET	1838	38276	 	GH	54825097
344660	1168	1995-04-10	VYDAJ	PREVOD NA UCET	1838	36696	 	GH	54825097
344661	1168	1995-05-10	VYDAJ	PREVOD NA UCET	1838	29953	 	GH	54825097
344662	1168	1995-06-10	VYDAJ	PREVOD NA UCET	1838	28699	 	GH	54825097
344663	1168	1995-07-10	VYDAJ	PREVOD NA UCET	1838	28480	 	GH	54825097
344664	1168	1995-08-10	VYDAJ	PREVOD NA UCET	1838	27456	 	GH	54825097
344665	1168	1995-09-10	VYDAJ	PREVOD NA UCET	1838	25401	 	GH	54825097
344666	1168	1995-10-10	VYDAJ	PREVOD NA UCET	1838	25920	 	GH	54825097
344667	1168	1995-11-10	VYDAJ	PREVOD NA UCET	1838	26601	 	GH	54825097
344668	1168	1995-12-10	VYDAJ	PREVOD NA UCET	1838	32932	 	GH	54825097
344669	1168	1996-01-10	VYDAJ	PREVOD NA UCET	1838	19853	 	GH	54825097
344670	1168	1996-02-10	VYDAJ	PREVOD NA UCET	1838	18970	 	GH	54825097
344671	1168	1996-03-10	VYDAJ	PREVOD NA UCET	1838	19355	 	GH	54825097
344672	1168	1996-04-10	VYDAJ	PREVOD NA UCET	1838	22588	 	GH	54825097
344673	1168	1996-05-10	VYDAJ	PREVOD NA UCET	1838	21932	 	GH	54825097
344674	1168	1996-06-10	VYDAJ	PREVOD NA UCET	1838	28339	 	GH	54825097
344675	1168	1996-07-10	VYDAJ	PREVOD NA UCET	1838	18875	 	GH	54825097
344676	1168	1996-08-10	VYDAJ	PREVOD NA UCET	1838	21008	 	GH	54825097
344677	1168	1996-09-10	VYDAJ	PREVOD NA UCET	1838	26149	 	GH	54825097
344678	1168	1996-10-10	VYDAJ	PREVOD NA UCET	1838	27808	 	GH	54825097
344679	1168	1996-11-10	VYDAJ	PREVOD NA UCET	1838	28472	 	GH	54825097
344680	1168	1996-12-10	VYDAJ	PREVOD NA UCET	1838	27753	 	GH	54825097
344681	1168	1997-01-10	VYDAJ	PREVOD NA UCET	1838	10201	 	GH	54825097
344682	1168	1997-02-10	VYDAJ	PREVOD NA UCET	1838	15610	 	GH	54825097
344683	1168	1997-03-10	VYDAJ	PREVOD NA UCET	1838	19526	 	GH	54825097
344684	1168	1997-04-10	VYDAJ	PREVOD NA UCET	1838	22659	 	GH	54825097
344685	1168	1997-05-10	VYDAJ	PREVOD NA UCET	1838	21661	 	GH	54825097
344686	1168	1997-06-10	VYDAJ	PREVOD NA UCET	1838	26862	 	GH	54825097
344687	1168	1997-07-10	VYDAJ	PREVOD NA UCET	1838	24977	 	GH	54825097
344688	1168	1997-08-10	VYDAJ	PREVOD NA UCET	1838	22121	 	GH	54825097
344689	1168	1997-09-10	VYDAJ	PREVOD NA UCET	1838	18110	 	GH	54825097
344690	1168	1997-10-10	VYDAJ	PREVOD NA UCET	1838	14369	 	GH	54825097
344691	1168	1997-11-10	VYDAJ	PREVOD NA UCET	1838	17482	 	GH	54825097
344692	1168	1997-12-10	VYDAJ	PREVOD NA UCET	1838	26069	 	GH	54825097
344693	1168	1998-01-10	VYDAJ	PREVOD NA UCET	1838	20190	 	GH	54825097
344694	1168	1998-02-10	VYDAJ	PREVOD NA UCET	1838	19675	 	GH	54825097
344695	1168	1998-03-10	VYDAJ	PREVOD NA UCET	1838	22065	 	GH	54825097
344696	1168	1998-04-10	VYDAJ	PREVOD NA UCET	1838	20396	 	GH	54825097
344697	1168	1998-05-10	VYDAJ	PREVOD NA UCET	1838	20723	 	GH	54825097
344698	1168	1998-06-10	VYDAJ	PREVOD NA UCET	1838	27620	 	GH	54825097
344699	1168	1998-07-10	VYDAJ	PREVOD NA UCET	1838	26370	 	GH	54825097
344700	1168	1998-08-10	VYDAJ	PREVOD NA UCET	1838	27021	 	GH	54825097
344701	1168	1998-09-10	VYDAJ	PREVOD NA UCET	1838	22671	 	GH	54825097
344702	1168	1998-10-10	VYDAJ	PREVOD NA UCET	1838	20700	 	GH	54825097
344703	1168	1998-11-10	VYDAJ	PREVOD NA UCET	1838	20603	 	GH	54825097
344704	1168	1998-12-10	VYDAJ	PREVOD NA UCET	1838	25553	 	GH	54825097
344719	1168	1995-03-13	VYDAJ	PREVOD NA UCET	48	38228	POJISTNE	MN	2626044
344720	1168	1995-04-13	VYDAJ	PREVOD NA UCET	48	36648	POJISTNE	MN	2626044
344721	1168	1995-05-13	VYDAJ	PREVOD NA UCET	48	29905	POJISTNE	MN	2626044
344722	1168	1995-06-13	VYDAJ	PREVOD NA UCET	48	28651	POJISTNE	MN	2626044
344723	1168	1995-07-13	VYDAJ	PREVOD NA UCET	48	28432	POJISTNE	MN	2626044
344724	1168	1995-08-13	VYDAJ	PREVOD NA UCET	48	27408	POJISTNE	MN	2626044
344725	1168	1995-09-13	VYDAJ	PREVOD NA UCET	48	25353	POJISTNE	MN	2626044
344726	1168	1995-10-13	VYDAJ	PREVOD NA UCET	48	25872	POJISTNE	MN	2626044
344727	1168	1995-11-13	VYDAJ	PREVOD NA UCET	48	26553	POJISTNE	MN	2626044
344728	1168	1995-12-13	VYDAJ	PREVOD NA UCET	48	32884	POJISTNE	MN	2626044
344729	1168	1996-01-13	VYDAJ	PREVOD NA UCET	48	18605	POJISTNE	MN	2626044
344730	1168	1996-02-13	VYDAJ	PREVOD NA UCET	48	18922	POJISTNE	MN	2626044
344731	1168	1996-03-13	VYDAJ	PREVOD NA UCET	48	19307	POJISTNE	MN	2626044
344732	1168	1996-04-13	VYDAJ	PREVOD NA UCET	48	22540	POJISTNE	MN	2626044
344733	1168	1996-05-13	VYDAJ	PREVOD NA UCET	48	21884	POJISTNE	MN	2626044
344734	1168	1996-06-13	VYDAJ	PREVOD NA UCET	48	28291	POJISTNE	MN	2626044
344735	1168	1996-07-13	VYDAJ	PREVOD NA UCET	48	18827	POJISTNE	MN	2626044
344736	1168	1996-08-13	VYDAJ	PREVOD NA UCET	48	20960	POJISTNE	MN	2626044
344737	1168	1996-09-13	VYDAJ	PREVOD NA UCET	48	26101	POJISTNE	MN	2626044
344738	1168	1996-10-13	VYDAJ	PREVOD NA UCET	48	27760	POJISTNE	MN	2626044
344739	1168	1996-11-13	VYDAJ	PREVOD NA UCET	48	28424	POJISTNE	MN	2626044
344740	1168	1996-12-13	VYDAJ	PREVOD NA UCET	48	27705	POJISTNE	MN	2626044
344741	1168	1997-01-13	VYDAJ	PREVOD NA UCET	48	10153	POJISTNE	MN	2626044
344742	1168	1997-02-13	VYDAJ	PREVOD NA UCET	48	15562	POJISTNE	MN	2626044
344743	1168	1997-03-13	VYDAJ	PREVOD NA UCET	48	19478	POJISTNE	MN	2626044
344744	1168	1997-04-13	VYDAJ	PREVOD NA UCET	48	22611	POJISTNE	MN	2626044
344745	1168	1997-05-13	VYDAJ	PREVOD NA UCET	48	21613	POJISTNE	MN	2626044
344746	1168	1997-06-13	VYDAJ	PREVOD NA UCET	48	26814	POJISTNE	MN	2626044
344747	1168	1997-07-13	VYDAJ	PREVOD NA UCET	48	24929	POJISTNE	MN	2626044
344748	1168	1997-08-13	VYDAJ	PREVOD NA UCET	48	22073	POJISTNE	MN	2626044
344749	1168	1997-09-13	VYDAJ	PREVOD NA UCET	48	18062	POJISTNE	MN	2626044
344750	1168	1997-10-13	VYDAJ	PREVOD NA UCET	48	14321	POJISTNE	MN	2626044
344751	1168	1997-11-13	VYDAJ	PREVOD NA UCET	48	17434	POJISTNE	MN	2626044
344752	1168	1997-12-13	VYDAJ	PREVOD NA UCET	48	26021	POJISTNE	MN	2626044
344753	1168	1998-01-13	VYDAJ	PREVOD NA UCET	48	17502	POJISTNE	MN	2626044
344754	1168	1998-02-13	VYDAJ	PREVOD NA UCET	48	19627	POJISTNE	MN	2626044
344755	1168	1998-03-13	VYDAJ	PREVOD NA UCET	48	22017	POJISTNE	MN	2626044
344756	1168	1998-04-13	VYDAJ	PREVOD NA UCET	48	20348	POJISTNE	MN	2626044
344757	1168	1998-05-13	VYDAJ	PREVOD NA UCET	48	20675	POJISTNE	MN	2626044
344758	1168	1998-06-13	VYDAJ	PREVOD NA UCET	48	27572	POJISTNE	MN	2626044
344759	1168	1998-07-13	VYDAJ	PREVOD NA UCET	48	26322	POJISTNE	MN	2626044
344760	1168	1998-08-13	VYDAJ	PREVOD NA UCET	48	26973	POJISTNE	MN	2626044
344761	1168	1998-09-13	VYDAJ	PREVOD NA UCET	48	15223	POJISTNE	MN	2626044
344762	1168	1998-10-13	VYDAJ	PREVOD NA UCET	48	16332	POJISTNE	MN	2626044
344763	1168	1998-11-13	VYDAJ	PREVOD NA UCET	48	17255	POJISTNE	MN	2626044
344764	1168	1998-12-13	VYDAJ	PREVOD NA UCET	48	20405	POJISTNE	MN	2626044
344779	1168	1995-03-06	VYDAJ	PREVOD NA UCET	40	42546	 	WX	34381449
344780	1168	1995-04-06	VYDAJ	PREVOD NA UCET	40	40966	 	WX	34381449
344781	1168	1995-05-06	VYDAJ	PREVOD NA UCET	40	34223	 	WX	34381449
344782	1168	1995-06-06	VYDAJ	PREVOD NA UCET	40	38729	 	WX	34381449
344783	1168	1995-07-06	VYDAJ	PREVOD NA UCET	40	32750	 	WX	34381449
344784	1168	1995-08-06	VYDAJ	PREVOD NA UCET	40	31726	 	WX	34381449
344785	1168	1995-09-06	VYDAJ	PREVOD NA UCET	40	29671	 	WX	34381449
344786	1168	1995-10-06	VYDAJ	PREVOD NA UCET	40	30190	 	WX	34381449
344787	1168	1995-11-06	VYDAJ	PREVOD NA UCET	40	30871	 	WX	34381449
344788	1168	1995-12-06	VYDAJ	PREVOD NA UCET	40	37202	 	WX	34381449
344789	1168	1996-01-06	VYDAJ	PREVOD NA UCET	40	27363	 	WX	34381449
344790	1168	1996-02-06	VYDAJ	PREVOD NA UCET	40	23240	 	WX	34381449
344791	1168	1996-03-06	VYDAJ	PREVOD NA UCET	40	23625	 	WX	34381449
344792	1168	1996-04-06	VYDAJ	PREVOD NA UCET	40	26858	 	WX	34381449
344793	1168	1996-05-06	VYDAJ	PREVOD NA UCET	40	26202	 	WX	34381449
344794	1168	1996-06-06	VYDAJ	PREVOD NA UCET	40	32609	 	WX	34381449
344795	1168	1996-07-06	VYDAJ	PREVOD NA UCET	40	23145	 	WX	34381449
344796	1168	1996-08-06	VYDAJ	PREVOD NA UCET	40	25278	 	WX	34381449
344797	1168	1996-09-06	VYDAJ	PREVOD NA UCET	40	30419	 	WX	34381449
344798	1168	1996-10-06	VYDAJ	PREVOD NA UCET	40	32078	 	WX	34381449
344799	1168	1996-11-06	VYDAJ	PREVOD NA UCET	40	32742	 	WX	34381449
344800	1168	1996-12-06	VYDAJ	PREVOD NA UCET	40	32023	 	WX	34381449
344801	1168	1997-01-06	VYDAJ	PREVOD NA UCET	40	25671	 	WX	34381449
344802	1168	1997-02-06	VYDAJ	PREVOD NA UCET	40	19880	 	WX	34381449
344803	1168	1997-03-06	VYDAJ	PREVOD NA UCET	40	23796	 	WX	34381449
344804	1168	1997-04-06	VYDAJ	PREVOD NA UCET	40	26929	 	WX	34381449
344805	1168	1997-05-06	VYDAJ	PREVOD NA UCET	40	25931	 	WX	34381449
344806	1168	1997-06-06	VYDAJ	PREVOD NA UCET	40	31132	 	WX	34381449
344807	1168	1997-07-06	VYDAJ	PREVOD NA UCET	40	29247	 	WX	34381449
344808	1168	1997-08-06	VYDAJ	PREVOD NA UCET	40	26391	 	WX	34381449
344809	1168	1997-09-06	VYDAJ	PREVOD NA UCET	40	22380	 	WX	34381449
344810	1168	1997-10-06	VYDAJ	PREVOD NA UCET	40	22599	 	WX	34381449
344811	1168	1997-11-06	VYDAJ	PREVOD NA UCET	40	21752	 	WX	34381449
344812	1168	1997-12-06	VYDAJ	PREVOD NA UCET	40	30339	 	WX	34381449
344813	1168	1998-01-06	VYDAJ	PREVOD NA UCET	40	24460	 	WX	34381449
344814	1168	1998-02-06	VYDAJ	PREVOD NA UCET	40	23945	 	WX	34381449
344815	1168	1998-03-06	VYDAJ	PREVOD NA UCET	40	26335	 	WX	34381449
344816	1168	1998-04-06	VYDAJ	PREVOD NA UCET	40	24666	 	WX	34381449
344817	1168	1998-05-06	VYDAJ	PREVOD NA UCET	40	24993	 	WX	34381449
344818	1168	1998-06-06	VYDAJ	PREVOD NA UCET	40	31890	 	WX	34381449
344819	1168	1998-07-06	VYDAJ	PREVOD NA UCET	40	30640	 	WX	34381449
344820	1168	1998-08-06	VYDAJ	PREVOD NA UCET	40	31291	 	WX	34381449
344821	1168	1998-09-06	VYDAJ	PREVOD NA UCET	40	26941	 	WX	34381449
344822	1168	1998-10-06	VYDAJ	PREVOD NA UCET	40	24970	 	WX	34381449
344823	1168	1998-11-06	VYDAJ	PREVOD NA UCET	40	24873	 	WX	34381449
344824	1168	1998-12-06	VYDAJ	PREVOD NA UCET	40	29823	 	WX	34381449
344826	1168	1995-06-08	VYDAJ	VYBER	5760	32969	\N	\N	\N
344832	1168	1996-01-28	VYDAJ	VYBER	3520	13485	\N	\N	\N
344833	1168	1997-01-08	VYDAJ	VYBER	9280	15431	\N	\N	\N
344836	1168	1995-12-25	VYDAJ	VYBER	3680	29204	\N	\N	\N
344837	1168	1996-12-17	VYDAJ	VYBER	4160	18625	\N	\N	\N
344839	1168	1998-12-23	VYDAJ	VYBER	2560	17845	\N	\N	\N
344852	1168	1996-01-01	VYDAJ	VYBER	1440	20074	\N	\N	\N
344853	1168	1996-01-07	VYDAJ	VYBER	720	26643	\N	\N	\N
344854	1168	1996-01-11	VYDAJ	VYBER	1200	18653	\N	\N	\N
344856	1168	1996-01-09	VYDAJ	VYBER	2520	21691	\N	\N	\N
344857	1168	1996-01-03	VYDAJ	VYBER	2400	17674	\N	\N	\N
344859	1168	1997-01-08	VYDAJ	VYBER	960	14471	\N	\N	\N
344860	1168	1997-01-06	VYDAJ	VYBER	960	24711	\N	\N	\N
344862	1168	1997-01-02	VYDAJ	VYBER	720	15982	\N	\N	\N
344865	1168	1998-01-11	VYDAJ	VYBER	2640	17550	\N	\N	\N
344866	1168	1998-01-04	VYDAJ	VYBER	960	14771	\N	\N	\N
344877	1168	1995-09-28	VYDAJ	VYBER	5040	20313	\N	\N	\N
344878	1168	1995-04-17	VYDAJ	VYBER	5400	31248	\N	\N	\N
344879	1168	1995-11-04	VYDAJ	VYBER	2880	21182	\N	\N	\N
344880	1168	1995-04-19	VYDAJ	VYBER	2640	28608	\N	\N	\N
344881	1168	1995-08-20	VYDAJ	VYBER	1320	26088	\N	\N	\N
344882	1168	1995-05-21	VYDAJ	VYBER	1440	28465	\N	\N	\N
344883	1168	1996-02-18	VYDAJ	VYBER	5040	13882	\N	\N	\N
344884	1168	1996-06-19	VYDAJ	VYBER	4920	23371	\N	\N	\N
344885	1168	1996-12-17	VYDAJ	VYBER	4920	22785	\N	\N	\N
344886	1168	1996-11-15	VYDAJ	VYBER	2640	25784	\N	\N	\N
344888	1168	1996-07-01	VYDAJ	VYBER	2520	13456	\N	\N	\N
344889	1168	1996-06-28	VYDAJ	VYBER	4080	15891	\N	\N	\N
344890	1168	1997-08-14	VYDAJ	VYBER	840	21233	\N	\N	\N
344891	1168	1997-06-29	VYDAJ	VYBER	2640	19474	\N	\N	\N
344893	1168	1997-10-07	VYDAJ	VYBER	3960	18639	\N	\N	\N
344895	1168	1997-04-29	VYDAJ	VYBER	3240	16171	\N	\N	\N
344896	1168	1998-10-10	VYDAJ	VYBER	4320	16380	\N	\N	\N
344897	1168	1998-02-19	VYDAJ	VYBER	840	16587	\N	\N	\N
344898	1168	1998-11-17	VYDAJ	VYBER	2040	15215	\N	\N	\N
344899	1168	1998-01-02	VYDAJ	VYBER	1560	15731	\N	\N	\N
344900	1168	1998-08-30	VYDAJ	VYBER	3600	17173	\N	\N	\N
344916	1168	1995-03-31	VYDAJ	VYBER	15	38377	SLUZBY	\N	\N
344917	1168	1995-04-30	VYDAJ	VYBER	15	28734	SLUZBY	\N	\N
344918	1168	1995-05-31	VYDAJ	VYBER	15	28575	SLUZBY	\N	\N
344919	1168	1995-06-30	VYDAJ	VYBER	15	28761	SLUZBY	\N	\N
344920	1168	1995-07-31	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
344921	1168	1995-08-31	VYDAJ	VYBER	15	19982	SLUZBY	\N	\N
344922	1168	1995-09-30	VYDAJ	VYBER	15	20501	SLUZBY	\N	\N
344923	1168	1995-10-31	VYDAJ	VYBER	15	24062	SLUZBY	\N	\N
344924	1168	1995-11-30	VYDAJ	VYBER	15	22649	SLUZBY	\N	\N
344925	1168	1995-12-31	VYDAJ	VYBER	15	21514	SLUZBY	\N	\N
344926	1168	1996-01-31	VYDAJ	VYBER	15	13551	SLUZBY	\N	\N
344927	1168	1996-02-29	VYDAJ	VYBER	15	13936	SLUZBY	\N	\N
344928	1168	1996-03-31	VYDAJ	VYBER	15	17169	SLUZBY	\N	\N
344929	1168	1996-04-30	VYDAJ	VYBER	15	16513	SLUZBY	\N	\N
344930	1168	1996-05-31	VYDAJ	VYBER	15	18056	SLUZBY	\N	\N
344931	1168	1996-06-30	VYDAJ	VYBER	15	15976	SLUZBY	\N	\N
344932	1168	1996-07-31	VYDAJ	VYBER	15	15589	SLUZBY	\N	\N
344933	1168	1996-08-31	VYDAJ	VYBER	15	20730	SLUZBY	\N	\N
344934	1168	1996-09-30	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
344935	1168	1996-10-31	VYDAJ	VYBER	15	23053	SLUZBY	\N	\N
344936	1168	1996-11-30	VYDAJ	VYBER	15	17470	SLUZBY	\N	\N
344937	1168	1996-12-31	VYDAJ	VYBER	15	16702	SLUZBY	\N	\N
344938	1168	1997-01-31	VYDAJ	VYBER	15	10191	SLUZBY	\N	\N
344939	1168	1997-02-28	VYDAJ	VYBER	15	14107	SLUZBY	\N	\N
344940	1168	1997-03-31	VYDAJ	VYBER	15	17240	SLUZBY	\N	\N
344941	1168	1997-04-30	VYDAJ	VYBER	15	16242	SLUZBY	\N	\N
344942	1168	1997-05-31	VYDAJ	VYBER	15	16579	SLUZBY	\N	\N
344943	1168	1997-06-30	VYDAJ	VYBER	15	19558	SLUZBY	\N	\N
344944	1168	1997-07-31	VYDAJ	VYBER	15	16702	SLUZBY	\N	\N
344945	1168	1997-08-31	VYDAJ	VYBER	15	12691	SLUZBY	\N	\N
344946	1168	1997-09-30	VYDAJ	VYBER	15	12910	SLUZBY	\N	\N
344947	1168	1997-10-31	VYDAJ	VYBER	15	12063	SLUZBY	\N	\N
344948	1168	1997-11-30	VYDAJ	VYBER	15	15786	SLUZBY	\N	\N
344949	1168	1997-12-31	VYDAJ	VYBER	15	17291	SLUZBY	\N	\N
344950	1168	1998-01-31	VYDAJ	VYBER	15	14256	SLUZBY	\N	\N
344951	1168	1998-02-28	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
344952	1168	1998-03-31	VYDAJ	VYBER	15	14977	SLUZBY	\N	\N
344953	1168	1998-04-30	VYDAJ	VYBER	15	15304	SLUZBY	\N	\N
344954	1168	1998-05-31	VYDAJ	VYBER	15	17336	SLUZBY	\N	\N
344955	1168	1998-06-30	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
344957	1168	1998-08-31	VYDAJ	VYBER	15	17252	SLUZBY	\N	\N
344958	1168	1998-09-30	VYDAJ	VYBER	15	15281	SLUZBY	\N	\N
344959	1168	1998-10-31	VYDAJ	VYBER	15	15184	SLUZBY	\N	\N
344960	1168	1998-11-30	VYDAJ	VYBER	15	15270	SLUZBY	\N	\N
344961	1168	1994-12-03	PRIJEM	VKLAD	8800	18966	\N	\N	\N
344962	1168	1995-01-02	VYDAJ	VYBER	7500	26186	\N	\N	\N
344963	1168	1995-02-01	VYDAJ	VYBER	5700	30364	\N	\N	\N
344964	1168	1995-03-03	VYDAJ	VYBER	7400	32857	\N	\N	\N
344965	1168	1995-04-02	VYDAJ	VYBER	7100	31277	\N	\N	\N
344966	1168	1995-05-02	VYDAJ	VYBER	4200	24534	\N	\N	\N
344967	1168	1995-06-01	VYDAJ	VYBER	4400	24175	\N	\N	\N
344968	1168	1995-07-01	VYDAJ	VYBER	5700	23061	\N	\N	\N
344969	1168	1995-07-31	VYDAJ	VYBER	6500	22052	\N	\N	\N
344970	1168	1995-08-30	VYDAJ	VYBER	6200	19888	\N	\N	\N
344971	1168	1995-09-29	PRIJEM	VKLAD	100	20413	\N	\N	\N
344972	1168	1995-10-29	VYDAJ	VYBER	1900	23972	\N	\N	\N
344973	1168	1995-11-28	VYDAJ	VYBER	4000	22553	\N	\N	\N
344974	1168	1995-12-28	VYDAJ	VYBER	7800	21404	\N	\N	\N
344975	1168	1996-01-27	VYDAJ	VYBER	1600	17005	\N	\N	\N
344976	1168	1996-03-27	VYDAJ	VYBER	2200	17107	\N	\N	\N
344977	1168	1996-04-26	VYDAJ	VYBER	6100	16440	\N	\N	\N
344978	1168	1996-05-26	VYDAJ	VYBER	3900	17984	\N	\N	\N
344979	1168	1996-06-25	VYDAJ	VYBER	3400	19971	\N	\N	\N
344980	1168	1996-07-25	VYDAJ	VYBER	3300	15527	\N	\N	\N
344981	1168	1996-08-24	VYDAJ	VYBER	300	20660	\N	\N	\N
344982	1168	1996-09-23	VYDAJ	VYBER	3800	22301	\N	\N	\N
344983	1168	1996-10-23	VYDAJ	VYBER	4800	22960	\N	\N	\N
344984	1168	1996-11-22	VYDAJ	VYBER	8400	17384	\N	\N	\N
344985	1168	1996-12-22	VYDAJ	VYBER	2000	16625	\N	\N	\N
344986	1168	1997-02-20	VYDAJ	VYBER	1500	14062	\N	\N	\N
344987	1168	1997-03-22	VYDAJ	VYBER	2300	17178	\N	\N	\N
344988	1168	1997-04-21	VYDAJ	VYBER	3200	19411	\N	\N	\N
344989	1168	1997-05-21	VYDAJ	VYBER	5100	16513	\N	\N	\N
344990	1168	1997-06-20	VYDAJ	VYBER	4700	22114	\N	\N	\N
344991	1168	1997-07-20	VYDAJ	VYBER	8300	16629	\N	\N	\N
344992	1168	1997-08-19	VYDAJ	VYBER	8600	12633	\N	\N	\N
344993	1168	1997-09-18	VYDAJ	VYBER	5200	12862	\N	\N	\N
344994	1168	1997-10-18	VYDAJ	VYBER	2300	12021	\N	\N	\N
344995	1168	1997-11-17	VYDAJ	VYBER	1700	15734	\N	\N	\N
344996	1168	1997-12-17	VYDAJ	VYBER	8800	17221	\N	\N	\N
344997	1168	1998-01-16	VYDAJ	VYBER	3300	14202	\N	\N	\N
344998	1168	1998-02-15	VYDAJ	VYBER	2200	17427	\N	\N	\N
344999	1168	1998-03-17	VYDAJ	VYBER	7100	14917	\N	\N	\N
345000	1168	1998-04-16	VYDAJ	VYBER	5100	15248	\N	\N	\N
345001	1168	1998-05-16	VYDAJ	VYBER	3400	17275	\N	\N	\N
345002	1168	1998-06-15	VYDAJ	VYBER	6700	20872	\N	\N	\N
345003	1168	1998-07-15	VYDAJ	VYBER	4800	21522	\N	\N	\N
345004	1168	1998-08-14	VYDAJ	VYBER	6200	20773	\N	\N	\N
345005	1168	1998-09-13	VYDAJ	VYBER	7400	15271	\N	\N	\N
345006	1168	1998-10-13	VYDAJ	VYBER	1200	15132	\N	\N	\N
345007	1168	1998-11-12	VYDAJ	VYBER	3300	17303	\N	\N	\N
345008	1168	1998-12-12	VYDAJ	VYBER	5100	20453	\N	\N	\N
345059	1169	1994-03-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
345060	1169	1994-10-23	PRIJEM	VKLAD	41139	51691	\N	\N	\N
345061	1169	1994-05-16	PRIJEM	VKLAD	14993	30393	\N	\N	\N
345062	1169	1994-06-29	PRIJEM	VKLAD	37203	121569	\N	\N	\N
345063	1169	1994-10-29	PRIJEM	VKLAD	12373	49564	\N	\N	\N
345064	1169	1994-06-01	PRIJEM	VKLAD	38872	68530	\N	\N	\N
345065	1169	1994-06-24	PRIJEM	VKLAD	29615	106266	\N	\N	\N
345066	1169	1994-06-13	PRIJEM	VKLAD	34021	102551	\N	\N	\N
345067	1169	1995-10-24	PRIJEM	VKLAD	18018	71470	\N	\N	\N
345068	1169	1995-09-01	PRIJEM	VKLAD	22352	59599	\N	\N	\N
345069	1169	1995-10-07	PRIJEM	VKLAD	28715	105071	\N	\N	\N
345070	1169	1995-01-06	PRIJEM	VKLAD	39720	61288	\N	\N	\N
345071	1169	1995-09-26	PRIJEM	VKLAD	14894	46834	\N	\N	\N
345072	1169	1995-04-21	PRIJEM	VKLAD	49116	59097	\N	\N	\N
345073	1169	1995-07-24	PRIJEM	VKLAD	43584	95858	\N	\N	\N
345074	1169	1995-10-02	PRIJEM	VKLAD	29439	76356	\N	\N	\N
345075	1169	1995-11-03	PRIJEM	VKLAD	20493	92101	\N	\N	\N
345076	1169	1995-05-18	PRIJEM	VKLAD	37677	87700	\N	\N	\N
345077	1169	1995-04-28	PRIJEM	VKLAD	14145	58342	\N	\N	\N
345078	1169	1995-07-01	PRIJEM	VKLAD	21174	47536	\N	\N	\N
345079	1169	1995-07-14	PRIJEM	VKLAD	6273	83414	\N	\N	\N
345080	1169	1995-07-07	PRIJEM	VKLAD	46150	84889	\N	\N	\N
345081	1169	1995-09-07	PRIJEM	VKLAD	13458	67357	\N	\N	\N
345082	1169	1995-11-29	PRIJEM	VKLAD	42458	95420	\N	\N	\N
345083	1169	1995-10-17	PRIJEM	VKLAD	40020	78252	\N	\N	\N
345084	1169	1996-10-28	PRIJEM	VKLAD	29431	53934	\N	\N	\N
345085	1169	1996-02-02	PRIJEM	VKLAD	9562	30792	\N	\N	\N
345086	1169	1996-09-27	PRIJEM	VKLAD	10315	34044	\N	\N	\N
345087	1169	1997-12-29	PRIJEM	VKLAD	32574	65043	\N	\N	\N
345088	1169	1997-05-12	PRIJEM	VKLAD	5967	28807	\N	\N	\N
345089	1169	1997-03-07	PRIJEM	VKLAD	17314	45337	\N	\N	\N
345090	1169	1997-10-31	PRIJEM	VKLAD	14199	113995	\N	\N	\N
345091	1169	1997-08-09	PRIJEM	VKLAD	6525	67976	\N	\N	\N
345092	1169	1997-01-28	PRIJEM	VKLAD	8171	70927	\N	\N	\N
345093	1169	1997-08-17	PRIJEM	VKLAD	6965	54902	\N	\N	\N
345094	1169	1997-12-18	PRIJEM	VKLAD	9343	39969	\N	\N	\N
345095	1169	1997-10-23	PRIJEM	VKLAD	37391	99796	\N	\N	\N
345096	1169	1997-03-10	PRIJEM	VKLAD	12146	49735	\N	\N	\N
345097	1169	1997-12-06	PRIJEM	VKLAD	8322	54696	\N	\N	\N
345098	1169	1997-05-15	PRIJEM	VKLAD	26877	55093	\N	\N	\N
345099	1169	1997-04-03	PRIJEM	VKLAD	18056	56284	\N	\N	\N
345100	1169	1997-06-20	PRIJEM	VKLAD	43839	89020	\N	\N	\N
345101	1169	1997-01-12	PRIJEM	VKLAD	29934	72496	\N	\N	\N
345102	1169	1997-06-01	PRIJEM	VKLAD	8728	60520	\N	\N	\N
345103	1169	1997-04-13	PRIJEM	VKLAD	10856	59392	\N	\N	\N
345104	1169	1997-01-06	PRIJEM	VKLAD	34279	56010	\N	\N	\N
345105	1169	1997-10-19	PRIJEM	VKLAD	36049	62405	\N	\N	\N
345106	1169	1997-01-22	PRIJEM	VKLAD	38151	80156	\N	\N	\N
345107	1169	1998-05-19	PRIJEM	VKLAD	24569	75176	\N	\N	\N
345108	1169	1998-03-15	PRIJEM	VKLAD	38844	98157	\N	\N	\N
345109	1169	1998-12-08	PRIJEM	VKLAD	31188	106502	\N	\N	\N
345110	1169	1998-12-26	PRIJEM	VKLAD	19594	117757	\N	\N	\N
345111	1169	1998-10-18	PRIJEM	VKLAD	48593	123249	\N	\N	\N
345112	1169	1998-10-29	PRIJEM	VKLAD	47151	144963	\N	\N	\N
345113	1169	1998-04-27	PRIJEM	VKLAD	34798	72477	\N	\N	\N
345114	1169	1998-02-08	PRIJEM	VKLAD	41756	68870	\N	\N	\N
345115	1169	1998-01-17	PRIJEM	VKLAD	20105	43560	\N	\N	\N
345116	1169	1998-10-27	PRIJEM	VKLAD	34263	97812	\N	\N	\N
345117	1169	1998-02-25	PRIJEM	VKLAD	40312	87343	\N	\N	\N
345118	1169	1998-09-08	PRIJEM	VKLAD	14961	69152	\N	\N	\N
345119	1169	1998-02-25	PRIJEM	VKLAD	36160	123503	\N	\N	\N
345120	1169	1998-06-13	PRIJEM	VKLAD	18659	77664	\N	\N	\N
345121	1169	1998-11-05	PRIJEM	VKLAD	34041	94892	\N	\N	\N
345122	1169	1998-06-14	PRIJEM	VKLAD	41008	118672	\N	\N	\N
345123	1169	1998-07-15	PRIJEM	VKLAD	22950	81910	\N	\N	\N
345124	1169	1998-06-29	PRIJEM	VKLAD	11084	43552	\N	\N	\N
345125	1169	1998-06-17	PRIJEM	VKLAD	22687	46568	\N	\N	\N
345126	1169	1998-11-15	PRIJEM	VKLAD	45212	107365	\N	\N	\N
345127	1169	1998-07-06	PRIJEM	VKLAD	28310	71999	\N	\N	\N
345128	1169	1998-10-02	PRIJEM	VKLAD	37048	121979	\N	\N	\N
345129	1169	1998-03-08	PRIJEM	VKLAD	10842	119452	\N	\N	\N
345130	1169	1998-09-14	PRIJEM	VKLAD	23903	85307	\N	\N	\N
345131	1169	1998-10-11	PRIJEM	VKLAD	19216	75247	\N	\N	\N
345132	1169	1998-07-19	PRIJEM	VKLAD	24327	106237	\N	\N	\N
345139	1169	1994-07-09	VYDAJ	PREVOD NA UCET	7748	33327	SIPO	EF	74447035
345140	1169	1994-08-09	VYDAJ	PREVOD NA UCET	7748	23241	SIPO	EF	74447035
345141	1169	1994-09-09	VYDAJ	PREVOD NA UCET	7748	13710	SIPO	EF	74447035
345142	1169	1994-10-09	VYDAJ	PREVOD NA UCET	7748	11143	SIPO	EF	74447035
345143	1169	1994-11-09	VYDAJ	PREVOD NA UCET	7748	41822	SIPO	EF	74447035
345144	1169	1994-12-09	VYDAJ	PREVOD NA UCET	7748	22654	SIPO	EF	74447035
345145	1169	1995-01-09	VYDAJ	PREVOD NA UCET	7748	46040	SIPO	EF	74447035
345146	1169	1995-02-09	VYDAJ	PREVOD NA UCET	7748	11034	SIPO	EF	74447035
345147	1169	1995-03-09	VYDAJ	PREVOD NA UCET	7748	7958	SIPO	EF	74447035
345148	1169	1995-04-09	VYDAJ	PREVOD NA UCET	7748	10572	SIPO	EF	74447035
345149	1169	1995-05-09	VYDAJ	PREVOD NA UCET	7748	50614	SIPO	EF	74447035
345150	1169	1995-06-09	VYDAJ	PREVOD NA UCET	7748	42611	SIPO	EF	74447035
345151	1169	1995-07-09	VYDAJ	PREVOD NA UCET	7748	77141	SIPO	EF	74447035
345152	1169	1995-08-09	VYDAJ	PREVOD NA UCET	7748	47844	SIPO	EF	74447035
345153	1169	1995-09-09	VYDAJ	PREVOD NA UCET	7748	59609	SIPO	EF	74447035
345154	1169	1995-10-09	VYDAJ	PREVOD NA UCET	7748	38823	SIPO	EF	74447035
345155	1169	1995-11-09	VYDAJ	PREVOD NA UCET	7748	84353	SIPO	EF	74447035
345156	1169	1995-12-09	VYDAJ	PREVOD NA UCET	7748	87881	SIPO	EF	74447035
345157	1169	1996-01-09	VYDAJ	PREVOD NA UCET	7748	26198	SIPO	EF	74447035
345158	1169	1996-02-09	VYDAJ	PREVOD NA UCET	7748	21544	SIPO	EF	74447035
345159	1169	1996-03-09	VYDAJ	PREVOD NA UCET	7748	13174	SIPO	EF	74447035
345160	1169	1996-04-09	VYDAJ	PREVOD NA UCET	7748	11211	SIPO	EF	74447035
345161	1169	1996-05-09	VYDAJ	PREVOD NA UCET	7748	13447	SIPO	EF	74447035
345162	1169	1996-06-09	VYDAJ	PREVOD NA UCET	7748	11486	SIPO	EF	74447035
345163	1169	1996-07-09	VYDAJ	PREVOD NA UCET	7748	13223	SIPO	EF	74447035
345164	1169	1996-08-09	VYDAJ	PREVOD NA UCET	7748	15269	SIPO	EF	74447035
345165	1169	1996-09-09	VYDAJ	PREVOD NA UCET	7748	15120	SIPO	EF	74447035
345166	1169	1996-10-09	VYDAJ	PREVOD NA UCET	7748	13394	SIPO	EF	74447035
345167	1169	1996-11-09	VYDAJ	PREVOD NA UCET	7748	36886	SIPO	EF	74447035
345168	1169	1996-12-09	VYDAJ	PREVOD NA UCET	7748	15419	SIPO	EF	74447035
345169	1169	1997-01-09	VYDAJ	PREVOD NA UCET	7748	42562	SIPO	EF	74447035
345170	1169	1997-02-09	VYDAJ	PREVOD NA UCET	7748	60907	SIPO	EF	74447035
345171	1169	1997-03-09	VYDAJ	PREVOD NA UCET	7748	37589	SIPO	EF	74447035
345172	1169	1997-04-09	VYDAJ	PREVOD NA UCET	7748	48536	SIPO	EF	74447035
345173	1169	1997-05-09	VYDAJ	PREVOD NA UCET	7748	22840	SIPO	EF	74447035
345174	1169	1997-06-09	VYDAJ	PREVOD NA UCET	7748	52772	SIPO	EF	74447035
345175	1169	1997-07-09	VYDAJ	PREVOD NA UCET	7748	81439	SIPO	EF	74447035
345176	1169	1997-08-09	VYDAJ	PREVOD NA UCET	7748	60228	SIPO	EF	74447035
345177	1169	1997-09-09	VYDAJ	PREVOD NA UCET	7748	47288	SIPO	EF	74447035
345178	1169	1997-10-09	VYDAJ	PREVOD NA UCET	7748	15647	SIPO	EF	74447035
345179	1169	1997-11-09	VYDAJ	PREVOD NA UCET	7748	53054	SIPO	EF	74447035
345180	1169	1997-12-09	VYDAJ	PREVOD NA UCET	7748	23717	SIPO	EF	74447035
345181	1169	1998-01-09	VYDAJ	PREVOD NA UCET	7748	25546	SIPO	EF	74447035
345182	1169	1998-02-09	VYDAJ	PREVOD NA UCET	7748	61122	SIPO	EF	74447035
345183	1169	1998-03-09	VYDAJ	PREVOD NA UCET	7748	78704	SIPO	EF	74447035
345184	1169	1998-04-09	VYDAJ	PREVOD NA UCET	7748	90697	SIPO	EF	74447035
345185	1169	1998-05-09	VYDAJ	PREVOD NA UCET	7748	59298	SIPO	EF	74447035
345186	1169	1998-06-09	VYDAJ	PREVOD NA UCET	7748	67605	SIPO	EF	74447035
345187	1169	1998-07-09	VYDAJ	PREVOD NA UCET	7748	64251	SIPO	EF	74447035
345188	1169	1998-08-09	VYDAJ	PREVOD NA UCET	7748	70614	SIPO	EF	74447035
345189	1169	1998-09-09	VYDAJ	PREVOD NA UCET	7748	61404	SIPO	EF	74447035
345190	1169	1998-10-09	VYDAJ	PREVOD NA UCET	7748	56031	SIPO	EF	74447035
345191	1169	1998-11-09	VYDAJ	PREVOD NA UCET	7748	62744	SIPO	EF	74447035
345192	1169	1998-12-09	VYDAJ	PREVOD NA UCET	7748	98754	SIPO	EF	74447035
345199	1169	1994-07-14	VYDAJ	PREVOD NA UCET	591	32736	 	WX	2818489
345200	1169	1994-08-14	VYDAJ	PREVOD NA UCET	591	22650	 	WX	2818489
345201	1169	1994-09-14	VYDAJ	PREVOD NA UCET	591	13119	 	WX	2818489
345202	1169	1994-10-14	VYDAJ	PREVOD NA UCET	591	10552	 	WX	2818489
345203	1169	1994-11-14	VYDAJ	PREVOD NA UCET	591	41231	 	WX	2818489
345204	1169	1994-12-14	VYDAJ	PREVOD NA UCET	591	22063	 	WX	2818489
345205	1169	1995-01-14	VYDAJ	PREVOD NA UCET	591	37649	 	WX	2818489
345206	1169	1995-02-14	VYDAJ	PREVOD NA UCET	591	10443	 	WX	2818489
345207	1169	1995-03-14	VYDAJ	PREVOD NA UCET	591	7367	 	WX	2818489
345208	1169	1995-04-14	VYDAJ	PREVOD NA UCET	591	9981	 	WX	2818489
345209	1169	1995-05-14	VYDAJ	PREVOD NA UCET	591	50023	 	WX	2818489
345210	1169	1995-06-14	VYDAJ	PREVOD NA UCET	591	42020	 	WX	2818489
345211	1169	1995-07-14	VYDAJ	PREVOD NA UCET	591	82823	 	WX	2818489
345212	1169	1995-08-14	VYDAJ	PREVOD NA UCET	591	47253	 	WX	2818489
345213	1169	1995-09-14	VYDAJ	PREVOD NA UCET	591	34240	 	WX	2818489
345214	1169	1995-10-14	VYDAJ	PREVOD NA UCET	591	38232	 	WX	2818489
345215	1169	1995-11-14	VYDAJ	PREVOD NA UCET	591	83762	 	WX	2818489
345216	1169	1995-12-14	VYDAJ	PREVOD NA UCET	591	87290	 	WX	2818489
345217	1169	1996-01-14	VYDAJ	PREVOD NA UCET	591	25607	 	WX	2818489
345218	1169	1996-02-14	VYDAJ	PREVOD NA UCET	591	20953	 	WX	2818489
345219	1169	1996-03-14	VYDAJ	PREVOD NA UCET	591	12583	 	WX	2818489
345220	1169	1996-04-14	VYDAJ	PREVOD NA UCET	591	10620	 	WX	2818489
345221	1169	1996-05-14	VYDAJ	PREVOD NA UCET	591	12856	 	WX	2818489
345222	1169	1996-06-14	VYDAJ	PREVOD NA UCET	591	10895	 	WX	2818489
345223	1169	1996-07-14	VYDAJ	PREVOD NA UCET	591	12632	 	WX	2818489
345224	1169	1996-08-14	VYDAJ	PREVOD NA UCET	591	14678	 	WX	2818489
345225	1169	1996-09-14	VYDAJ	PREVOD NA UCET	591	14529	 	WX	2818489
345226	1169	1996-10-14	VYDAJ	PREVOD NA UCET	591	12803	 	WX	2818489
345227	1169	1996-11-14	VYDAJ	PREVOD NA UCET	591	36295	 	WX	2818489
345228	1169	1996-12-14	VYDAJ	PREVOD NA UCET	591	14828	 	WX	2818489
345229	1169	1997-01-14	VYDAJ	PREVOD NA UCET	591	69205	 	WX	2818489
345230	1169	1997-02-14	VYDAJ	PREVOD NA UCET	591	60316	 	WX	2818489
345231	1169	1997-03-14	VYDAJ	PREVOD NA UCET	591	49144	 	WX	2818489
345232	1169	1997-04-14	VYDAJ	PREVOD NA UCET	591	58801	 	WX	2818489
345233	1169	1997-05-14	VYDAJ	PREVOD NA UCET	591	28216	 	WX	2818489
345234	1169	1997-06-14	VYDAJ	PREVOD NA UCET	591	45181	 	WX	2818489
345235	1169	1997-07-14	VYDAJ	PREVOD NA UCET	591	61248	 	WX	2818489
345236	1169	1997-08-14	VYDAJ	PREVOD NA UCET	591	47937	 	WX	2818489
345237	1169	1997-09-14	VYDAJ	PREVOD NA UCET	591	44497	 	WX	2818489
345238	1169	1997-10-14	VYDAJ	PREVOD NA UCET	591	26356	 	WX	2818489
345239	1169	1997-11-14	VYDAJ	PREVOD NA UCET	591	46263	 	WX	2818489
345240	1169	1997-12-14	VYDAJ	PREVOD NA UCET	591	30626	 	WX	2818489
345241	1169	1998-01-14	VYDAJ	PREVOD NA UCET	591	23455	 	WX	2818489
345242	1169	1998-02-14	VYDAJ	PREVOD NA UCET	591	47031	 	WX	2818489
345243	1169	1998-03-14	VYDAJ	PREVOD NA UCET	591	59313	 	WX	2818489
345244	1169	1998-04-14	VYDAJ	PREVOD NA UCET	591	42779	 	WX	2818489
345245	1169	1998-05-14	VYDAJ	PREVOD NA UCET	591	50607	 	WX	2818489
345246	1169	1998-06-14	VYDAJ	PREVOD NA UCET	591	94081	 	WX	2818489
345247	1169	1998-07-14	VYDAJ	PREVOD NA UCET	591	58960	 	WX	2818489
345248	1169	1998-08-14	VYDAJ	PREVOD NA UCET	591	70023	 	WX	2818489
345249	1169	1998-09-14	VYDAJ	PREVOD NA UCET	591	84716	 	WX	2818489
345250	1169	1998-10-14	VYDAJ	PREVOD NA UCET	591	74656	 	WX	2818489
345251	1169	1998-11-14	VYDAJ	PREVOD NA UCET	591	62153	 	WX	2818489
345252	1169	1998-12-14	VYDAJ	PREVOD NA UCET	591	98163	 	WX	2818489
345253	1169	1995-07-26	VYBER	VYBER	4117	55441	\N	\N	\N
345254	1169	1995-07-16	VYBER	VYBER	23949	58874	\N	\N	\N
345255	1169	1995-09-14	VYBER	VYBER	24778	34831	\N	\N	\N
345256	1169	1995-07-04	VYBER	VYBER	8797	38739	\N	\N	\N
345257	1169	1995-12-26	VYBER	VYBER	10468	45422	\N	\N	\N
345259	1169	1995-06-20	VYBER	VYBER	18722	23298	\N	\N	\N
345260	1169	1995-05-23	VYBER	VYBER	15498	72202	\N	\N	\N
345263	1169	1996-11-30	VYBER	VYBER	10996	23267	\N	\N	\N
345266	1169	1996-11-07	VYBER	VYBER	9315	44634	\N	\N	\N
345267	1169	1996-02-23	VYBER	VYBER	2426	20927	\N	\N	\N
345270	1169	1996-11-30	VYBER	VYBER	5106	34263	\N	\N	\N
345277	1169	1997-03-05	VYBER	VYBER	21858	28023	\N	\N	\N
345279	1169	1997-05-04	VYBER	VYBER	20411	30588	\N	\N	\N
345280	1169	1997-09-17	VYBER	VYBER	21160	23337	\N	\N	\N
345281	1169	1997-12-06	VYBER	VYBER	23231	31465	\N	\N	\N
345282	1169	1998-05-02	VYBER	VYBER	5600	67046	\N	\N	\N
345283	1169	1998-04-12	VYBER	VYBER	18390	48007	\N	\N	\N
345284	1169	1998-09-03	VYBER	VYBER	5859	64391	\N	\N	\N
345285	1169	1998-10-29	VYBER	VYBER	20827	124136	\N	\N	\N
345286	1169	1998-01-04	VYBER	VYBER	5706	52494	\N	\N	\N
345287	1169	1998-04-13	VYBER	VYBER	4637	43370	\N	\N	\N
345292	1169	1998-06-14	VYDAJ	VYBER	70200	23881	\N	\N	\N
345296	1169	1997-01-27	VYDAJ	VYBER	17400	62756	\N	\N	\N
345297	1169	1998-01-24	VYDAJ	VYBER	8700	31860	\N	\N	\N
345298	1169	1994-12-25	VYDAJ	VYBER	2100	19963	\N	\N	\N
345299	1169	1995-12-27	VYDAJ	VYBER	4800	40622	\N	\N	\N
345301	1169	1997-12-22	VYDAJ	VYBER	3000	36969	\N	\N	\N
345302	1169	1998-12-01	VYDAJ	VYBER	3600	98914	\N	\N	\N
345309	1169	1995-01-11	VYDAJ	VYBER	6000	38240	\N	\N	\N
345310	1169	1995-01-24	VYDAJ	VYBER	3600	34049	\N	\N	\N
345311	1169	1995-01-10	VYDAJ	VYBER	1800	44240	\N	\N	\N
345312	1169	1995-01-08	VYDAJ	VYBER	7500	53788	\N	\N	\N
345313	1169	1995-01-27	VYDAJ	VYBER	8700	22949	\N	\N	\N
345314	1169	1995-01-30	VYDAJ	VYBER	4200	18749	\N	\N	\N
345315	1169	1996-01-03	VYDAJ	VYBER	6900	33946	\N	\N	\N
345319	1169	1996-01-28	VYDAJ	VYBER	6000	21207	\N	\N	\N
345321	1169	1997-01-02	VYDAJ	VYBER	6000	21731	\N	\N	\N
345322	1169	1997-01-18	VYDAJ	VYBER	6900	45305	\N	\N	\N
345323	1169	1997-01-20	VYDAJ	VYBER	3300	42005	\N	\N	\N
345324	1169	1997-01-07	VYDAJ	VYBER	5700	50310	\N	\N	\N
345325	1169	1997-01-28	VYDAJ	VYBER	2400	68527	\N	\N	\N
345326	1169	1997-01-13	VYDAJ	VYBER	2700	69796	\N	\N	\N
345327	1169	1998-01-12	VYDAJ	VYBER	7500	24046	\N	\N	\N
345328	1169	1998-01-01	VYDAJ	VYBER	6900	58200	\N	\N	\N
345329	1169	1998-01-23	VYDAJ	VYBER	1500	40560	\N	\N	\N
345330	1169	1998-01-19	VYDAJ	VYBER	1500	42060	\N	\N	\N
345331	1169	1998-01-29	VYDAJ	VYBER	4800	27060	\N	\N	\N
345332	1169	1998-01-04	VYDAJ	VYBER	7200	45294	\N	\N	\N
345334	1169	1994-07-01	VYDAJ	VYBER	12600	49475	\N	\N	\N
345336	1169	1994-11-17	VYDAJ	VYBER	7200	34031	\N	\N	\N
345339	1169	1994-07-02	VYDAJ	VYBER	8400	41075	\N	\N	\N
345340	1169	1995-09-06	VYDAJ	VYBER	5700	53899	\N	\N	\N
345341	1169	1995-07-23	VYDAJ	VYBER	6600	52274	\N	\N	\N
345343	1169	1995-08-14	VYDAJ	VYBER	4500	42753	\N	\N	\N
345346	1169	1996-02-03	VYDAJ	VYBER	1500	29292	\N	\N	\N
345348	1169	1996-10-06	VYDAJ	VYBER	12900	21142	\N	\N	\N
345350	1169	1997-12-25	VYDAJ	VYBER	4500	32469	\N	\N	\N
345351	1169	1997-03-25	VYDAJ	VYBER	5400	38144	\N	\N	\N
345353	1169	1998-06-21	VYDAJ	VYBER	14100	32468	\N	\N	\N
345355	1169	1998-04-14	VYDAJ	VYBER	5100	37679	\N	\N	\N
345356	1169	1998-11-18	VYDAJ	VYBER	5100	102265	\N	\N	\N
345357	1169	1998-01-09	VYDAJ	VYBER	12000	33294	\N	\N	\N
345364	1169	1994-06-30	VYDAJ	VYBER	100	94775	SLUZBY	\N	\N
345365	1169	1994-07-31	VYDAJ	VYBER	100	30989	SLUZBY	\N	\N
345366	1169	1994-08-31	VYDAJ	VYBER	100	21458	SLUZBY	\N	\N
345367	1169	1994-09-30	VYDAJ	VYBER	100	18891	SLUZBY	\N	\N
345368	1169	1994-10-31	VYDAJ	VYBER	100	49570	SLUZBY	\N	\N
345369	1169	1994-11-30	VYDAJ	VYBER	100	30402	SLUZBY	\N	\N
345370	1169	1994-12-31	VYDAJ	VYBER	100	21568	SLUZBY	\N	\N
345371	1169	1995-01-31	VYDAJ	VYBER	100	18782	SLUZBY	\N	\N
345372	1169	1995-02-28	VYDAJ	VYBER	100	15706	SLUZBY	\N	\N
345373	1169	1995-03-31	VYDAJ	VYBER	100	18320	SLUZBY	\N	\N
345374	1169	1995-04-30	VYDAJ	VYBER	100	58362	SLUZBY	\N	\N
345375	1169	1995-05-31	VYDAJ	VYBER	100	50359	SLUZBY	\N	\N
345376	1169	1995-06-30	VYDAJ	VYBER	100	26362	SLUZBY	\N	\N
345377	1169	1995-07-31	VYDAJ	VYBER	100	55592	SLUZBY	\N	\N
345378	1169	1995-08-31	VYDAJ	VYBER	100	37247	SLUZBY	\N	\N
345379	1169	1995-09-30	VYDAJ	VYBER	100	46917	SLUZBY	\N	\N
345380	1169	1995-10-31	VYDAJ	VYBER	100	71608	SLUZBY	\N	\N
345381	1169	1995-11-30	VYDAJ	VYBER	100	95629	SLUZBY	\N	\N
345382	1169	1995-12-31	VYDAJ	VYBER	100	40846	SLUZBY	\N	\N
345383	1169	1996-01-31	VYDAJ	VYBER	100	21230	SLUZBY	\N	\N
345384	1169	1996-02-29	VYDAJ	VYBER	100	20922	SLUZBY	\N	\N
345385	1169	1996-03-31	VYDAJ	VYBER	100	18959	SLUZBY	\N	\N
345386	1169	1996-04-30	VYDAJ	VYBER	100	21195	SLUZBY	\N	\N
345387	1169	1996-05-31	VYDAJ	VYBER	100	19234	SLUZBY	\N	\N
345388	1169	1996-06-30	VYDAJ	VYBER	100	20971	SLUZBY	\N	\N
345389	1169	1996-07-31	VYDAJ	VYBER	100	23017	SLUZBY	\N	\N
345390	1169	1996-08-31	VYDAJ	VYBER	100	22868	SLUZBY	\N	\N
345391	1169	1996-09-30	VYDAJ	VYBER	100	34042	SLUZBY	\N	\N
345392	1169	1996-10-31	VYDAJ	VYBER	100	53949	SLUZBY	\N	\N
345393	1169	1996-11-30	VYDAJ	VYBER	100	23167	SLUZBY	\N	\N
345394	1169	1996-12-31	VYDAJ	VYBER	100	27731	SLUZBY	\N	\N
345395	1169	1997-01-31	VYDAJ	VYBER	100	68655	SLUZBY	\N	\N
345396	1169	1997-02-28	VYDAJ	VYBER	100	49881	SLUZBY	\N	\N
345397	1169	1997-03-31	VYDAJ	VYBER	100	38228	SLUZBY	\N	\N
345398	1169	1997-04-30	VYDAJ	VYBER	100	50999	SLUZBY	\N	\N
345399	1169	1997-05-31	VYDAJ	VYBER	100	51792	SLUZBY	\N	\N
345400	1169	1997-06-30	VYDAJ	VYBER	100	89187	SLUZBY	\N	\N
345401	1169	1997-07-31	VYDAJ	VYBER	100	61451	SLUZBY	\N	\N
345402	1169	1997-08-31	VYDAJ	VYBER	100	55036	SLUZBY	\N	\N
345403	1169	1997-09-30	VYDAJ	VYBER	100	23395	SLUZBY	\N	\N
345404	1169	1997-10-31	VYDAJ	VYBER	100	114102	SLUZBY	\N	\N
345405	1169	1997-11-30	VYDAJ	VYBER	100	46374	SLUZBY	\N	\N
345406	1169	1997-12-31	VYDAJ	VYBER	100	65100	SLUZBY	\N	\N
345407	1169	1998-01-31	VYDAJ	VYBER	100	27114	SLUZBY	\N	\N
345408	1169	1998-02-28	VYDAJ	VYBER	100	108610	SLUZBY	\N	\N
345409	1169	1998-03-31	VYDAJ	VYBER	100	98445	SLUZBY	\N	\N
345410	1169	1998-04-30	VYDAJ	VYBER	100	72646	SLUZBY	\N	\N
345411	1169	1998-05-31	VYDAJ	VYBER	100	75353	SLUZBY	\N	\N
345412	1169	1998-06-30	VYDAJ	VYBER	100	43689	SLUZBY	\N	\N
345413	1169	1998-07-31	VYDAJ	VYBER	100	106462	SLUZBY	\N	\N
345414	1169	1998-08-31	VYDAJ	VYBER	100	70250	SLUZBY	\N	\N
345415	1169	1998-09-30	VYDAJ	VYBER	100	84931	SLUZBY	\N	\N
345416	1169	1998-10-31	VYDAJ	VYBER	100	60851	SLUZBY	\N	\N
345417	1169	1998-11-30	VYDAJ	VYBER	100	102514	SLUZBY	\N	\N
345418	1169	1994-04-01	PRIJEM	VKLAD	10400	11400	\N	\N	\N
345419	1169	1994-05-01	PRIJEM	VKLAD	4000	15400	\N	\N	\N
345420	1169	1994-05-31	VYDAJ	VYBER	800	29658	\N	\N	\N
345421	1169	1994-06-13	VYDAJ	VYBER	25900	76651	\N	\N	\N
345422	1169	1994-06-24	VYDAJ	VYBER	21900	84366	\N	\N	\N
345423	1169	1994-06-29	VYDAJ	VYBER	27000	94569	\N	\N	\N
345424	1169	1994-06-30	VYDAJ	VYBER	32700	62075	\N	\N	\N
345425	1169	1994-07-30	VYDAJ	VYBER	1800	30936	\N	\N	\N
345426	1169	1994-08-29	VYDAJ	VYBER	1200	21450	\N	\N	\N
345427	1169	1994-09-28	PRIJEM	VKLAD	5800	18919	\N	\N	\N
345428	1169	1994-10-28	VYDAJ	VYBER	14500	37191	\N	\N	\N
345429	1169	1994-11-27	VYDAJ	VYBER	3700	30331	\N	\N	\N
345430	1169	1994-12-27	PRIJEM	VKLAD	1600	21563	\N	\N	\N
345431	1169	1995-01-26	VYDAJ	VYBER	2400	31649	\N	\N	\N
345432	1169	1995-02-25	PRIJEM	VKLAD	5300	15743	\N	\N	\N
345433	1169	1995-03-27	PRIJEM	VKLAD	11000	18367	\N	\N	\N
345434	1169	1995-04-26	VYDAJ	VYBER	14900	44197	\N	\N	\N
345435	1169	1995-05-26	VYDAJ	VYBER	22000	50202	\N	\N	\N
345436	1169	1995-06-25	PRIJEM	VKLAD	3000	26298	\N	\N	\N
345437	1169	1995-07-25	VYDAJ	VYBER	36300	59558	\N	\N	\N
345438	1169	1995-08-24	VYDAJ	VYBER	5600	37153	\N	\N	\N
345439	1169	1995-09-23	VYDAJ	VYBER	2300	31940	\N	\N	\N
345440	1169	1995-10-07	VYDAJ	VYBER	58500	46571	\N	\N	\N
345441	1169	1995-10-23	VYDAJ	VYBER	24800	53452	\N	\N	\N
345442	1169	1995-11-22	VYDAJ	VYBER	30800	52962	\N	\N	\N
345443	1169	1995-12-22	VYDAJ	VYBER	31400	55890	\N	\N	\N
345444	1169	1996-01-21	PRIJEM	VKLAD	1600	27207	\N	\N	\N
345445	1169	1996-02-20	PRIJEM	VKLAD	2400	23353	\N	\N	\N
345446	1169	1996-03-21	PRIJEM	VKLAD	6400	18983	\N	\N	\N
345447	1169	1996-04-20	PRIJEM	VKLAD	10600	21220	\N	\N	\N
345448	1169	1996-05-20	PRIJEM	VKLAD	6400	19256	\N	\N	\N
345449	1169	1996-06-19	PRIJEM	VKLAD	10100	20995	\N	\N	\N
345450	1169	1996-07-19	PRIJEM	VKLAD	10400	23032	\N	\N	\N
345451	1169	1996-08-18	PRIJEM	VKLAD	8200	22878	\N	\N	\N
345452	1169	1996-09-17	PRIJEM	VKLAD	9200	23729	\N	\N	\N
345453	1169	1996-10-17	PRIJEM	VKLAD	11700	24503	\N	\N	\N
345454	1169	1996-11-16	PRIJEM	VKLAD	2900	39195	\N	\N	\N
345455	1169	1996-12-16	PRIJEM	VKLAD	12900	27728	\N	\N	\N
345456	1169	1997-01-15	VYDAJ	VYBER	17000	52205	\N	\N	\N
345457	1169	1997-02-14	VYDAJ	VYBER	10600	49716	\N	\N	\N
345458	1169	1997-03-16	VYDAJ	VYBER	5600	43544	\N	\N	\N
345459	1169	1997-04-15	VYDAJ	VYBER	7900	50901	\N	\N	\N
345460	1169	1997-05-15	VYDAJ	VYBER	3400	51693	\N	\N	\N
345461	1169	1997-06-14	VYDAJ	VYBER	7000	45772	\N	\N	\N
345462	1169	1997-07-14	VYDAJ	VYBER	19600	61839	\N	\N	\N
345463	1169	1997-08-13	VYDAJ	VYBER	11700	48528	\N	\N	\N
345464	1169	1997-09-12	VYDAJ	VYBER	2200	45088	\N	\N	\N
345465	1169	1997-10-12	PRIJEM	VKLAD	11300	26947	\N	\N	\N
345466	1169	1997-10-31	VYDAJ	VYBER	53300	60802	\N	\N	\N
345467	1169	1997-11-11	VYDAJ	VYBER	6200	46854	\N	\N	\N
345468	1169	1997-12-11	PRIJEM	VKLAD	7500	31217	\N	\N	\N
345469	1169	1998-01-10	PRIJEM	VKLAD	6000	31546	\N	\N	\N
345470	1169	1998-02-09	VYDAJ	VYBER	13500	47622	\N	\N	\N
345471	1169	1998-02-25	VYDAJ	VYBER	15000	108503	\N	\N	\N
345472	1169	1998-03-08	VYDAJ	VYBER	33000	86452	\N	\N	\N
345473	1169	1998-03-11	VYDAJ	VYBER	18800	59904	\N	\N	\N
345474	1169	1998-04-10	VYDAJ	VYBER	24300	66397	\N	\N	\N
345475	1169	1998-05-10	VYDAJ	VYBER	8100	51198	\N	\N	\N
345476	1169	1998-06-09	VYDAJ	VYBER	8600	59005	\N	\N	\N
345477	1169	1998-06-14	VYDAJ	VYBER	24000	94672	\N	\N	\N
345478	1169	1998-07-09	VYDAJ	VYBER	4700	59551	\N	\N	\N
345479	1169	1998-08-08	VYDAJ	VYBER	28100	78362	\N	\N	\N
345480	1169	1998-09-07	VYDAJ	VYBER	10200	54191	\N	\N	\N
345481	1169	1998-10-02	VYDAJ	VYBER	42000	79979	\N	\N	\N
345482	1169	1998-10-07	VYDAJ	VYBER	16200	63779	\N	\N	\N
345483	1169	1998-10-18	VYDAJ	VYBER	59700	63549	\N	\N	\N
345484	1169	1998-10-29	VYDAJ	VYBER	63500	60636	\N	\N	\N
345485	1169	1998-11-06	VYDAJ	VYBER	24400	70492	\N	\N	\N
345486	1169	1998-12-06	VYDAJ	VYBER	23600	75314	\N	\N	\N
345487	1169	1998-12-26	VYDAJ	VYBER	19900	97857	\N	\N	\N
345544	1170	1996-03-26	PRIJEM	VKLAD	200	200	\N	\N	\N
345548	1170	1996-04-06	PRIJEM	PREVOD Z UCTU	22793	22993	\N	AB	67972969
345549	1170	1996-05-06	PRIJEM	PREVOD Z UCTU	22793	48908	\N	AB	67972969
345550	1170	1996-06-06	PRIJEM	PREVOD Z UCTU	34190	68314	\N	AB	67972969
345551	1170	1996-07-06	PRIJEM	PREVOD Z UCTU	22793	67859	\N	AB	67972969
345552	1170	1996-08-06	PRIJEM	PREVOD Z UCTU	22793	69942	\N	AB	67972969
345553	1170	1996-09-06	PRIJEM	PREVOD Z UCTU	22793	61670	\N	AB	67972969
345554	1170	1996-10-06	PRIJEM	PREVOD Z UCTU	22793	54355	\N	AB	67972969
345555	1170	1996-11-06	PRIJEM	PREVOD Z UCTU	22793	52424	\N	AB	67972969
345556	1170	1996-12-06	PRIJEM	PREVOD Z UCTU	34190	56481	\N	AB	67972969
345557	1170	1997-01-06	PRIJEM	PREVOD Z UCTU	22793	46363	\N	AB	67972969
345558	1170	1997-02-06	PRIJEM	PREVOD Z UCTU	22793	42082	\N	AB	67972969
345701	1170	1998-04-12	VYDAJ	VYBER	6900	53708	\N	\N	\N
345559	1170	1997-03-06	PRIJEM	PREVOD Z UCTU	22793	49512	\N	AB	67972969
345560	1170	1997-04-06	PRIJEM	PREVOD Z UCTU	22793	52367	\N	AB	67972969
345561	1170	1997-05-06	PRIJEM	PREVOD Z UCTU	22793	48212	\N	AB	67972969
345562	1170	1997-06-06	PRIJEM	PREVOD Z UCTU	34190	57952	\N	AB	67972969
345563	1170	1997-07-06	PRIJEM	PREVOD Z UCTU	22793	59629	\N	AB	67972969
345564	1170	1997-08-06	PRIJEM	PREVOD Z UCTU	22793	52041	\N	AB	67972969
345565	1170	1997-09-06	PRIJEM	PREVOD Z UCTU	22793	63019	\N	AB	67972969
345566	1170	1997-10-06	PRIJEM	PREVOD Z UCTU	22793	70335	\N	AB	67972969
345567	1170	1997-11-06	PRIJEM	PREVOD Z UCTU	22793	69139	\N	AB	67972969
345568	1170	1997-12-06	PRIJEM	PREVOD Z UCTU	34190	71975	\N	AB	67972969
345569	1170	1998-01-06	PRIJEM	PREVOD Z UCTU	22793	66907	\N	AB	67972969
345570	1170	1998-02-06	PRIJEM	PREVOD Z UCTU	22793	46080	\N	AB	67972969
345571	1170	1998-03-06	PRIJEM	PREVOD Z UCTU	22793	62144	\N	AB	67972969
345572	1170	1998-04-06	PRIJEM	PREVOD Z UCTU	22793	73665	\N	AB	67972969
345573	1170	1998-05-06	PRIJEM	PREVOD Z UCTU	22793	70814	\N	AB	67972969
345574	1170	1998-06-06	PRIJEM	PREVOD Z UCTU	34190	60523	\N	AB	67972969
345575	1170	1998-07-06	PRIJEM	PREVOD Z UCTU	22793	47954	\N	AB	67972969
345576	1170	1998-08-06	PRIJEM	PREVOD Z UCTU	22793	57749	\N	AB	67972969
345577	1170	1998-09-06	PRIJEM	PREVOD Z UCTU	22793	70956	\N	AB	67972969
345578	1170	1998-10-06	PRIJEM	PREVOD Z UCTU	22793	56395	\N	AB	67972969
345579	1170	1998-11-06	PRIJEM	PREVOD Z UCTU	22793	67404	\N	AB	67972969
345580	1170	1998-12-06	PRIJEM	PREVOD Z UCTU	34190	84628	\N	AB	67972969
345624	1170	1996-08-07	VYDAJ	PREVOD NA UCET	13057	56885	SIPO	EF	53990995
345625	1170	1996-09-07	VYDAJ	PREVOD NA UCET	13057	48613	SIPO	EF	53990995
345626	1170	1996-10-07	VYDAJ	PREVOD NA UCET	13057	41298	SIPO	EF	53990995
345627	1170	1996-11-07	VYDAJ	PREVOD NA UCET	13057	35467	SIPO	EF	53990995
345628	1170	1996-12-07	VYDAJ	PREVOD NA UCET	13057	43424	SIPO	EF	53990995
345629	1170	1997-01-07	VYDAJ	PREVOD NA UCET	13057	28506	SIPO	EF	53990995
345630	1170	1997-02-07	VYDAJ	PREVOD NA UCET	13057	29025	SIPO	EF	53990995
345631	1170	1997-03-07	VYDAJ	PREVOD NA UCET	13057	36455	SIPO	EF	53990995
345632	1170	1997-04-07	VYDAJ	PREVOD NA UCET	13057	39310	SIPO	EF	53990995
345633	1170	1997-05-07	VYDAJ	PREVOD NA UCET	13057	13192	SIPO	EF	53990995
345634	1170	1997-06-07	VYDAJ	PREVOD NA UCET	13057	44895	SIPO	EF	53990995
345635	1170	1997-07-07	VYDAJ	PREVOD NA UCET	13057	23244	SIPO	EF	53990995
345636	1170	1997-08-07	VYDAJ	PREVOD NA UCET	13057	38984	SIPO	EF	53990995
345637	1170	1997-09-07	VYDAJ	PREVOD NA UCET	13057	49962	SIPO	EF	53990995
345638	1170	1997-10-07	VYDAJ	PREVOD NA UCET	13057	57278	SIPO	EF	53990995
345639	1170	1997-11-07	VYDAJ	PREVOD NA UCET	13057	56082	SIPO	EF	53990995
345640	1170	1997-12-07	VYDAJ	PREVOD NA UCET	13057	58918	SIPO	EF	53990995
345641	1170	1998-01-07	VYDAJ	PREVOD NA UCET	13057	53850	SIPO	EF	53990995
345642	1170	1998-02-07	VYDAJ	PREVOD NA UCET	13057	33023	SIPO	EF	53990995
345643	1170	1998-03-07	VYDAJ	PREVOD NA UCET	13057	49087	SIPO	EF	53990995
345644	1170	1998-04-07	VYDAJ	PREVOD NA UCET	13057	60608	SIPO	EF	53990995
345645	1170	1998-05-07	VYDAJ	PREVOD NA UCET	13057	57757	SIPO	EF	53990995
345646	1170	1998-06-07	VYDAJ	PREVOD NA UCET	13057	47466	SIPO	EF	53990995
345647	1170	1998-07-07	VYDAJ	PREVOD NA UCET	13057	15943	SIPO	EF	53990995
345648	1170	1998-08-07	VYDAJ	PREVOD NA UCET	13057	44692	SIPO	EF	53990995
345649	1170	1998-09-07	VYDAJ	PREVOD NA UCET	13057	57899	SIPO	EF	53990995
345650	1170	1998-10-07	VYDAJ	PREVOD NA UCET	13057	43338	SIPO	EF	53990995
345651	1170	1998-11-07	VYDAJ	PREVOD NA UCET	13057	54347	SIPO	EF	53990995
345652	1170	1998-12-07	VYDAJ	PREVOD NA UCET	13057	71571	SIPO	EF	53990995
345653	1170	1997-12-04	VYBER	VYBER	15101	37785	\N	\N	\N
345655	1170	1997-07-07	VYBER	VYBER	23328	36301	\N	\N	\N
345657	1170	1997-05-06	VYBER	VYBER	21963	26249	\N	\N	\N
345658	1170	1997-04-16	VYBER	VYBER	12004	27306	\N	\N	\N
345659	1170	1997-10-09	VYBER	VYBER	8716	48562	\N	\N	\N
345661	1170	1998-07-02	VYBER	VYBER	9062	25161	\N	\N	\N
345662	1170	1998-07-06	VYBER	VYBER	18954	29000	\N	\N	\N
345663	1170	1998-12-14	VYBER	VYBER	23058	37113	\N	\N	\N
345664	1170	1998-05-10	VYBER	VYBER	20224	37533	\N	\N	\N
345665	1170	1998-05-27	VYBER	VYBER	16266	26167	\N	\N	\N
345668	1170	1998-06-25	VYDAJ	VYBER	15600	34066	\N	\N	\N
345672	1170	1996-12-02	VYDAJ	VYBER	7800	22291	\N	\N	\N
345673	1170	1997-12-16	VYDAJ	VYBER	8700	50218	\N	\N	\N
345674	1170	1998-12-25	VYDAJ	VYBER	8700	28413	\N	\N	\N
345681	1170	1997-01-04	VYDAJ	VYBER	3000	23570	\N	\N	\N
345682	1170	1997-01-01	VYDAJ	VYBER	7800	26570	\N	\N	\N
345683	1170	1997-01-09	VYDAJ	VYBER	5100	23406	\N	\N	\N
345684	1170	1997-01-06	VYDAJ	VYBER	4800	41563	\N	\N	\N
345685	1170	1997-01-17	VYDAJ	VYBER	4500	18906	\N	\N	\N
345687	1170	1998-01-17	VYDAJ	VYBER	4500	35450	\N	\N	\N
345688	1170	1998-01-23	VYDAJ	VYBER	4200	27650	\N	\N	\N
345689	1170	1998-01-10	VYDAJ	VYBER	7500	40950	\N	\N	\N
345690	1170	1998-01-20	VYDAJ	VYBER	3600	31850	\N	\N	\N
345691	1170	1998-01-07	VYDAJ	VYBER	5400	48450	\N	\N	\N
345692	1170	1998-01-29	VYDAJ	VYBER	4500	23150	\N	\N	\N
345693	1170	1996-11-06	VYDAJ	VYBER	3900	48524	\N	\N	\N
345695	1170	1996-09-11	VYDAJ	VYBER	6300	42313	\N	\N	\N
345699	1170	1997-06-22	VYDAJ	VYBER	1500	36695	\N	\N	\N
345700	1170	1998-05-03	VYDAJ	VYBER	6900	48021	\N	\N	\N
345702	1170	1998-10-05	VYDAJ	VYBER	5700	33602	\N	\N	\N
345703	1170	1998-10-02	VYDAJ	VYBER	12900	39302	\N	\N	\N
345712	1170	1996-08-31	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
345713	1170	1996-09-30	VYDAJ	VYBER	15	31562	SLUZBY	\N	\N
345714	1170	1996-10-31	VYDAJ	VYBER	15	29631	SLUZBY	\N	\N
345715	1170	1996-11-30	VYDAJ	VYBER	15	30091	SLUZBY	\N	\N
345716	1170	1996-12-31	VYDAJ	VYBER	15	34370	SLUZBY	\N	\N
345717	1170	1997-01-31	VYDAJ	VYBER	15	19289	SLUZBY	\N	\N
345718	1170	1997-02-28	VYDAJ	VYBER	15	26719	SLUZBY	\N	\N
345719	1170	1997-03-31	VYDAJ	VYBER	15	29574	SLUZBY	\N	\N
345720	1170	1997-04-30	VYDAJ	VYBER	15	25419	SLUZBY	\N	\N
345721	1170	1997-05-31	VYDAJ	VYBER	15	23762	SLUZBY	\N	\N
345722	1170	1997-06-30	VYDAJ	VYBER	15	36836	SLUZBY	\N	\N
345723	1170	1997-07-31	VYDAJ	VYBER	15	29248	SLUZBY	\N	\N
345724	1170	1997-08-31	VYDAJ	VYBER	15	40226	SLUZBY	\N	\N
345725	1170	1997-09-30	VYDAJ	VYBER	15	47542	SLUZBY	\N	\N
345726	1170	1997-10-31	VYDAJ	VYBER	15	46346	SLUZBY	\N	\N
345727	1170	1997-11-30	VYDAJ	VYBER	15	52886	SLUZBY	\N	\N
345728	1170	1997-12-31	VYDAJ	VYBER	15	44114	SLUZBY	\N	\N
345729	1170	1998-01-31	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
345730	1170	1998-02-28	VYDAJ	VYBER	15	39351	SLUZBY	\N	\N
345731	1170	1998-03-31	VYDAJ	VYBER	15	50872	SLUZBY	\N	\N
345732	1170	1998-04-30	VYDAJ	VYBER	15	54921	SLUZBY	\N	\N
345733	1170	1998-05-31	VYDAJ	VYBER	15	26333	SLUZBY	\N	\N
345734	1170	1998-06-30	VYDAJ	VYBER	15	34223	SLUZBY	\N	\N
345735	1170	1998-07-31	VYDAJ	VYBER	15	34956	SLUZBY	\N	\N
345736	1170	1998-08-31	VYDAJ	VYBER	15	48163	SLUZBY	\N	\N
345737	1170	1998-09-30	VYDAJ	VYBER	15	52202	SLUZBY	\N	\N
345738	1170	1998-10-31	VYDAJ	VYBER	15	44611	SLUZBY	\N	\N
345739	1170	1998-11-30	VYDAJ	VYBER	15	50438	SLUZBY	\N	\N
345740	1170	1996-04-25	PRIJEM	VKLAD	3100	26093	\N	\N	\N
345741	1170	1996-05-25	VYDAJ	VYBER	14900	34008	\N	\N	\N
345742	1170	1996-06-24	VYDAJ	VYBER	23400	44914	\N	\N	\N
345743	1170	1996-07-24	VYDAJ	VYBER	20900	46959	\N	\N	\N
345744	1170	1996-08-23	VYDAJ	VYBER	18200	38685	\N	\N	\N
345745	1170	1996-09-22	VYDAJ	VYBER	10900	31413	\N	\N	\N
345746	1170	1996-10-22	VYDAJ	VYBER	11800	29498	\N	\N	\N
345747	1170	1996-11-21	VYDAJ	VYBER	5500	29967	\N	\N	\N
345748	1170	1996-12-21	VYDAJ	VYBER	9200	34224	\N	\N	\N
345749	1170	1997-01-20	PRIJEM	VKLAD	300	19206	\N	\N	\N
345750	1170	1997-02-19	VYDAJ	VYBER	2400	26625	\N	\N	\N
345751	1170	1997-03-21	VYDAJ	VYBER	7000	29455	\N	\N	\N
345752	1170	1997-04-20	VYDAJ	VYBER	2000	25306	\N	\N	\N
345753	1170	1997-05-20	PRIJEM	VKLAD	10500	23692	\N	\N	\N
345754	1170	1997-06-19	VYDAJ	VYBER	6700	38195	\N	\N	\N
345755	1170	1997-07-19	PRIJEM	VKLAD	5900	29144	\N	\N	\N
345756	1170	1997-08-18	PRIJEM	VKLAD	1100	40084	\N	\N	\N
345757	1170	1997-09-17	VYDAJ	VYBER	2600	47362	\N	\N	\N
345758	1170	1997-10-17	VYDAJ	VYBER	2400	46162	\N	\N	\N
345759	1170	1997-11-16	VYDAJ	VYBER	3400	52682	\N	\N	\N
345760	1170	1997-12-16	VYDAJ	VYBER	6300	43918	\N	\N	\N
345761	1170	1998-01-15	VYDAJ	VYBER	1000	39950	\N	\N	\N
345762	1170	1998-02-14	PRIJEM	VKLAD	6200	39223	\N	\N	\N
345763	1170	1998-03-16	PRIJEM	VKLAD	1600	50687	\N	\N	\N
345764	1170	1998-04-15	PRIJEM	VKLAD	1000	54708	\N	\N	\N
345765	1170	1998-05-15	PRIJEM	VKLAD	4900	42433	\N	\N	\N
345766	1170	1998-06-14	PRIJEM	VKLAD	2200	49666	\N	\N	\N
345767	1170	1998-07-14	PRIJEM	VKLAD	18900	34843	\N	\N	\N
345768	1170	1998-08-13	PRIJEM	VKLAD	3300	47992	\N	\N	\N
345769	1170	1998-09-12	VYDAJ	VYBER	5900	51999	\N	\N	\N
345770	1170	1998-10-12	PRIJEM	VKLAD	1100	44438	\N	\N	\N
345771	1170	1998-11-11	VYDAJ	VYBER	4100	50247	\N	\N	\N
345772	1170	1998-12-11	VYDAJ	VYBER	11400	60171	\N	\N	\N
345806	1171	1997-12-20	PRIJEM	VKLAD	800	800	\N	\N	\N
345819	1171	1998-01-12	PRIJEM	VKLAD	16504	17304	\N	\N	\N
345820	1171	1998-02-12	PRIJEM	VKLAD	16504	37945	\N	\N	\N
345821	1171	1998-03-12	PRIJEM	VKLAD	16504	44349	\N	\N	\N
345822	1171	1998-04-12	PRIJEM	VKLAD	16504	53684	\N	\N	\N
345823	1171	1998-05-12	PRIJEM	VKLAD	16504	56346	\N	\N	\N
345824	1171	1998-06-12	PRIJEM	VKLAD	24756	58565	\N	\N	\N
345825	1171	1998-07-12	PRIJEM	VKLAD	16504	33497	\N	\N	\N
345826	1171	1998-08-12	PRIJEM	VKLAD	16504	45901	\N	\N	\N
345827	1171	1998-09-12	PRIJEM	VKLAD	16504	52338	\N	\N	\N
345828	1171	1998-10-12	PRIJEM	VKLAD	16504	52293	\N	\N	\N
345829	1171	1998-11-12	PRIJEM	VKLAD	16504	49410	\N	\N	\N
345830	1171	1998-12-12	PRIJEM	VKLAD	24756	62717	\N	\N	\N
345847	1171	1998-05-12	VYDAJ	PREVOD NA UCET	7893	48453	SIPO	AB	8577967
345848	1171	1998-06-12	VYDAJ	PREVOD NA UCET	7893	50672	SIPO	AB	8577967
345849	1171	1998-07-12	VYDAJ	PREVOD NA UCET	7893	25604	SIPO	AB	8577967
345850	1171	1998-08-12	VYDAJ	PREVOD NA UCET	7893	38008	SIPO	AB	8577967
345851	1171	1998-09-12	VYDAJ	PREVOD NA UCET	7893	44445	SIPO	AB	8577967
345852	1171	1998-10-12	VYDAJ	PREVOD NA UCET	7893	44400	SIPO	AB	8577967
345853	1171	1998-11-12	VYDAJ	PREVOD NA UCET	7893	41517	SIPO	AB	8577967
345854	1171	1998-12-12	VYDAJ	PREVOD NA UCET	7893	54824	SIPO	AB	8577967
345856	1171	1998-06-28	VYDAJ	VYBER	17920	16852	\N	\N	\N
345860	1171	1998-12-12	VYDAJ	VYBER	2400	52424	\N	\N	\N
345877	1171	1998-11-05	VYDAJ	VYBER	4440	32906	\N	\N	\N
345895	1171	1998-05-31	VYDAJ	VYBER	15	33809	SLUZBY	\N	\N
345896	1171	1998-06-30	VYDAJ	VYBER	15	16993	SLUZBY	\N	\N
345897	1171	1998-07-31	VYDAJ	VYBER	15	29397	SLUZBY	\N	\N
345898	1171	1998-08-31	VYDAJ	VYBER	15	35834	SLUZBY	\N	\N
345899	1171	1998-09-30	VYDAJ	VYBER	15	35789	SLUZBY	\N	\N
345900	1171	1998-10-31	VYDAJ	VYBER	15	37346	SLUZBY	\N	\N
345901	1171	1998-11-30	VYDAJ	VYBER	15	37961	SLUZBY	\N	\N
345902	1171	1998-01-19	PRIJEM	VKLAD	4100	21404	\N	\N	\N
345903	1171	1998-02-18	VYDAJ	VYBER	10200	27745	\N	\N	\N
345904	1171	1998-03-20	VYDAJ	VYBER	7300	37049	\N	\N	\N
345905	1171	1998-04-19	VYDAJ	VYBER	14000	39684	\N	\N	\N
345906	1171	1998-05-19	VYDAJ	VYBER	14800	33653	\N	\N	\N
345907	1171	1998-06-18	VYDAJ	VYBER	15900	34772	\N	\N	\N
345908	1171	1998-07-18	PRIJEM	VKLAD	3700	29304	\N	\N	\N
345909	1171	1998-08-17	VYDAJ	VYBER	2300	35708	\N	\N	\N
345910	1171	1998-09-16	VYDAJ	VYBER	8800	35645	\N	\N	\N
345911	1171	1998-10-16	VYDAJ	VYBER	7200	37200	\N	\N	\N
345912	1171	1998-11-15	VYDAJ	VYBER	3700	37817	\N	\N	\N
345925	1172	1997-10-25	PRIJEM	VKLAD	300	300	\N	\N	\N
345927	1172	1997-11-01	PRIJEM	VKLAD	32446	32746	\N	\N	\N
345928	1172	1998-10-13	PRIJEM	VKLAD	8949	24873	\N	\N	\N
345929	1172	1998-04-25	PRIJEM	VKLAD	49863	61167	\N	\N	\N
345988	1172	1997-11-24	VYDAJ	VYBER	6800	25946	\N	\N	\N
345989	1172	1997-12-24	VYDAJ	VYBER	3900	22071	\N	\N	\N
345990	1172	1998-01-23	VYDAJ	VYBER	6700	15479	\N	\N	\N
345991	1172	1998-02-22	VYDAJ	VYBER	5300	10287	\N	\N	\N
345992	1172	1998-03-24	PRIJEM	VKLAD	1000	11396	\N	\N	\N
345993	1172	1998-04-23	VYDAJ	VYBER	200	11304	\N	\N	\N
345994	1172	1998-05-23	VYDAJ	VYBER	25200	36104	\N	\N	\N
345995	1172	1998-06-22	VYDAJ	VYBER	11500	24859	\N	\N	\N
345996	1172	1998-07-22	VYDAJ	VYBER	6000	19114	\N	\N	\N
345997	1172	1998-08-21	VYDAJ	VYBER	3700	15669	\N	\N	\N
345998	1172	1998-10-20	VYDAJ	VYBER	13200	11673	\N	\N	\N
346010	1173	1996-09-22	PRIJEM	VKLAD	400	400	\N	\N	\N
346020	1173	1996-10-06	PRIJEM	PREVOD Z UCTU	3453	3853	\N	IJ	83490579
346021	1173	1996-11-06	PRIJEM	PREVOD Z UCTU	3453	7306	\N	IJ	83490579
346022	1173	1996-12-06	PRIJEM	PREVOD Z UCTU	3453	10759	\N	IJ	83490579
346023	1173	1997-01-06	PRIJEM	PREVOD Z UCTU	3453	14212	\N	IJ	83490579
346024	1173	1997-02-06	PRIJEM	PREVOD Z UCTU	3453	17665	\N	IJ	83490579
346025	1173	1997-03-06	PRIJEM	PREVOD Z UCTU	3453	18342	\N	IJ	83490579
346026	1173	1997-04-06	PRIJEM	PREVOD Z UCTU	3453	19544	\N	IJ	83490579
346027	1173	1997-05-06	PRIJEM	PREVOD Z UCTU	3453	20149	\N	IJ	83490579
346028	1173	1997-06-06	PRIJEM	PREVOD Z UCTU	3453	19226	\N	IJ	83490579
346029	1173	1997-07-06	PRIJEM	PREVOD Z UCTU	3453	16471	\N	IJ	83490579
346030	1173	1997-08-06	PRIJEM	PREVOD Z UCTU	3453	16221	\N	IJ	83490579
346031	1173	1997-09-06	PRIJEM	PREVOD Z UCTU	3453	17414	\N	IJ	83490579
346032	1173	1997-10-06	PRIJEM	PREVOD Z UCTU	3453	18612	\N	IJ	83490579
346033	1173	1997-11-06	PRIJEM	PREVOD Z UCTU	3453	18373	\N	IJ	83490579
346034	1173	1997-12-06	PRIJEM	PREVOD Z UCTU	3453	19095	\N	IJ	83490579
346035	1173	1998-01-06	PRIJEM	PREVOD Z UCTU	3453	19490	\N	IJ	83490579
346036	1173	1998-02-06	PRIJEM	PREVOD Z UCTU	3453	17213	\N	IJ	83490579
346037	1173	1998-03-06	PRIJEM	PREVOD Z UCTU	3453	18010	\N	IJ	83490579
346038	1173	1998-04-06	PRIJEM	PREVOD Z UCTU	3453	17827	\N	IJ	83490579
346039	1173	1998-05-06	PRIJEM	PREVOD Z UCTU	3453	18366	\N	IJ	83490579
346040	1173	1998-06-06	PRIJEM	PREVOD Z UCTU	3453	18769	\N	IJ	83490579
346041	1173	1998-07-06	PRIJEM	PREVOD Z UCTU	3453	17537	\N	IJ	83490579
346042	1173	1998-08-06	PRIJEM	PREVOD Z UCTU	3453	18735	\N	IJ	83490579
346043	1173	1998-09-06	PRIJEM	PREVOD Z UCTU	3453	16430	\N	IJ	83490579
346044	1173	1998-10-06	PRIJEM	PREVOD Z UCTU	3453	15418	\N	IJ	83490579
346045	1173	1998-11-06	PRIJEM	PREVOD Z UCTU	3453	13599	\N	IJ	83490579
346046	1173	1998-12-06	PRIJEM	PREVOD Z UCTU	3453	14781	\N	IJ	83490579
346060	1173	1997-02-14	VYDAJ	PREVOD NA UCET	950	14853	\N	YZ	85918098
346061	1173	1997-03-14	VYDAJ	PREVOD NA UCET	950	16040	\N	YZ	85918098
346062	1173	1997-04-14	VYDAJ	PREVOD NA UCET	950	17242	\N	YZ	85918098
346063	1173	1997-05-14	VYDAJ	PREVOD NA UCET	950	17847	\N	YZ	85918098
346064	1173	1997-06-14	VYDAJ	PREVOD NA UCET	950	16924	\N	YZ	85918098
346065	1173	1997-07-14	VYDAJ	PREVOD NA UCET	950	12729	\N	YZ	85918098
346066	1173	1997-08-14	VYDAJ	PREVOD NA UCET	950	13919	\N	YZ	85918098
346067	1173	1997-09-14	VYDAJ	PREVOD NA UCET	950	15112	\N	YZ	85918098
346068	1173	1997-10-14	VYDAJ	PREVOD NA UCET	950	16310	\N	YZ	85918098
346069	1173	1997-11-14	VYDAJ	PREVOD NA UCET	950	15591	\N	YZ	85918098
346070	1173	1997-12-14	VYDAJ	PREVOD NA UCET	950	16793	\N	YZ	85918098
346071	1173	1998-01-14	VYDAJ	PREVOD NA UCET	950	15508	\N	YZ	85918098
346072	1173	1998-02-14	VYDAJ	PREVOD NA UCET	950	14911	\N	YZ	85918098
346073	1173	1998-03-14	VYDAJ	PREVOD NA UCET	950	14328	\N	YZ	85918098
346074	1173	1998-04-14	VYDAJ	PREVOD NA UCET	950	15525	\N	YZ	85918098
346075	1173	1998-05-14	VYDAJ	PREVOD NA UCET	950	16064	\N	YZ	85918098
346076	1173	1998-06-14	VYDAJ	PREVOD NA UCET	950	14037	\N	YZ	85918098
346077	1173	1998-07-14	VYDAJ	PREVOD NA UCET	950	15235	\N	YZ	85918098
346078	1173	1998-08-14	VYDAJ	PREVOD NA UCET	950	12933	\N	YZ	85918098
346079	1173	1998-09-14	VYDAJ	PREVOD NA UCET	950	11928	\N	YZ	85918098
346080	1173	1998-10-14	VYDAJ	PREVOD NA UCET	950	10116	\N	YZ	85918098
346081	1173	1998-11-14	VYDAJ	PREVOD NA UCET	950	11297	\N	YZ	85918098
346082	1173	1998-12-14	VYDAJ	PREVOD NA UCET	950	9579	\N	YZ	85918098
346096	1173	1997-02-13	VYDAJ	PREVOD NA UCET	1352	15803	\N	AB	55954945
346097	1173	1997-03-13	VYDAJ	PREVOD NA UCET	1352	16990	\N	AB	55954945
346098	1173	1997-04-13	VYDAJ	PREVOD NA UCET	1352	18192	\N	AB	55954945
346099	1173	1997-05-13	VYDAJ	PREVOD NA UCET	1352	18797	\N	AB	55954945
346100	1173	1997-06-13	VYDAJ	PREVOD NA UCET	1352	17874	\N	AB	55954945
346101	1173	1997-07-13	VYDAJ	PREVOD NA UCET	1352	13679	\N	AB	55954945
346102	1173	1997-08-13	VYDAJ	PREVOD NA UCET	1352	14869	\N	AB	55954945
346103	1173	1997-09-13	VYDAJ	PREVOD NA UCET	1352	16062	\N	AB	55954945
346104	1173	1997-10-13	VYDAJ	PREVOD NA UCET	1352	17260	\N	AB	55954945
346105	1173	1997-11-13	VYDAJ	PREVOD NA UCET	1352	16541	\N	AB	55954945
346106	1173	1997-12-13	VYDAJ	PREVOD NA UCET	1352	17743	\N	AB	55954945
346107	1173	1998-01-13	VYDAJ	PREVOD NA UCET	1352	16458	\N	AB	55954945
346108	1173	1998-02-13	VYDAJ	PREVOD NA UCET	1352	15861	\N	AB	55954945
346109	1173	1998-03-13	VYDAJ	PREVOD NA UCET	1352	15278	\N	AB	55954945
346110	1173	1998-04-13	VYDAJ	PREVOD NA UCET	1352	16475	\N	AB	55954945
346111	1173	1998-05-13	VYDAJ	PREVOD NA UCET	1352	17014	\N	AB	55954945
346112	1173	1998-06-13	VYDAJ	PREVOD NA UCET	1352	14987	\N	AB	55954945
346113	1173	1998-07-13	VYDAJ	PREVOD NA UCET	1352	16185	\N	AB	55954945
346114	1173	1998-08-13	VYDAJ	PREVOD NA UCET	1352	17383	\N	AB	55954945
346115	1173	1998-09-13	VYDAJ	PREVOD NA UCET	1352	12878	\N	AB	55954945
346116	1173	1998-10-13	VYDAJ	PREVOD NA UCET	1352	11066	\N	AB	55954945
346117	1173	1998-11-13	VYDAJ	PREVOD NA UCET	1352	12247	\N	AB	55954945
346118	1173	1998-12-13	VYDAJ	PREVOD NA UCET	1352	10529	\N	AB	55954945
346120	1173	1997-06-22	VYDAJ	VYBER	3960	12964	\N	\N	\N
346121	1173	1998-06-07	VYDAJ	VYBER	2430	16339	\N	\N	\N
346124	1173	1998-01-28	VYDAJ	VYBER	1800	13708	\N	\N	\N
346126	1173	1997-12-22	VYDAJ	VYBER	150	16643	\N	\N	\N
346140	1173	1998-01-09	VYDAJ	VYBER	810	18200	\N	\N	\N
346141	1173	1998-01-12	VYDAJ	VYBER	180	17810	\N	\N	\N
346142	1173	1998-01-01	VYDAJ	VYBER	150	16547	\N	\N	\N
346143	1173	1998-01-07	VYDAJ	VYBER	480	19010	\N	\N	\N
346144	1173	1998-01-03	VYDAJ	VYBER	510	16037	\N	\N	\N
346145	1173	1998-01-09	VYDAJ	VYBER	210	17990	\N	\N	\N
346150	1173	1997-02-07	VYDAJ	VYBER	510	17155	\N	\N	\N
346151	1173	1997-11-07	VYDAJ	VYBER	480	17893	\N	\N	\N
346152	1173	1997-04-18	VYDAJ	VYBER	600	16642	\N	\N	\N
346153	1173	1997-07-10	VYDAJ	VYBER	1440	15031	\N	\N	\N
346154	1173	1997-06-02	VYDAJ	VYBER	1050	15773	\N	\N	\N
346155	1173	1997-10-24	VYDAJ	VYBER	1440	14870	\N	\N	\N
346157	1173	1997-05-19	VYDAJ	VYBER	1080	16767	\N	\N	\N
346158	1173	1998-03-11	VYDAJ	VYBER	1380	16630	\N	\N	\N
346159	1173	1998-05-05	VYDAJ	VYBER	660	14913	\N	\N	\N
346174	1173	1997-02-28	VYDAJ	VYBER	15	14889	SLUZBY	\N	\N
346175	1173	1997-03-31	VYDAJ	VYBER	15	16091	SLUZBY	\N	\N
346176	1173	1997-04-30	VYDAJ	VYBER	15	16696	SLUZBY	\N	\N
346177	1173	1997-05-31	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
346178	1173	1997-06-30	VYDAJ	VYBER	15	13018	SLUZBY	\N	\N
346179	1173	1997-07-31	VYDAJ	VYBER	15	12768	SLUZBY	\N	\N
346180	1173	1997-08-31	VYDAJ	VYBER	15	13961	SLUZBY	\N	\N
346181	1173	1997-09-30	VYDAJ	VYBER	15	15159	SLUZBY	\N	\N
346182	1173	1997-10-31	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
346183	1173	1997-11-30	VYDAJ	VYBER	15	15642	SLUZBY	\N	\N
346184	1173	1997-12-31	VYDAJ	VYBER	15	16697	SLUZBY	\N	\N
346185	1173	1998-01-31	VYDAJ	VYBER	15	13760	SLUZBY	\N	\N
346186	1173	1998-02-28	VYDAJ	VYBER	15	14557	SLUZBY	\N	\N
346187	1173	1998-03-31	VYDAJ	VYBER	15	14374	SLUZBY	\N	\N
346188	1173	1998-04-30	VYDAJ	VYBER	15	15573	SLUZBY	\N	\N
346189	1173	1998-05-31	VYDAJ	VYBER	15	15316	SLUZBY	\N	\N
346190	1173	1998-06-30	VYDAJ	VYBER	15	14084	SLUZBY	\N	\N
346191	1173	1998-07-31	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
346192	1173	1998-08-31	VYDAJ	VYBER	15	12977	SLUZBY	\N	\N
346193	1173	1998-09-30	VYDAJ	VYBER	15	11965	SLUZBY	\N	\N
346194	1173	1998-10-31	VYDAJ	VYBER	15	10146	SLUZBY	\N	\N
346195	1173	1998-11-30	VYDAJ	VYBER	15	11328	SLUZBY	\N	\N
346196	1173	1998-02-14	VYDAJ	VYBER	400	14511	\N	\N	\N
346197	1173	1998-05-15	VYDAJ	VYBER	800	15264	\N	\N	\N
346198	1173	1998-08-13	VYDAJ	VYBER	3500	13883	\N	\N	\N
346199	1173	1998-09-12	VYDAJ	VYBER	2200	14230	\N	\N	\N
346200	1173	1998-10-12	VYDAJ	VYBER	3000	12418	\N	\N	\N
346201	1173	1998-12-11	VYDAJ	VYBER	2900	11881	\N	\N	\N
346225	1174	1995-03-21	PRIJEM	VKLAD	900	900	\N	\N	\N
346229	1174	1995-04-14	PRIJEM	VKLAD	21904	22804	\N	\N	\N
346230	1174	1995-05-14	PRIJEM	VKLAD	21904	44843	\N	\N	\N
346231	1174	1995-06-14	PRIJEM	VKLAD	32856	67513	\N	\N	\N
346232	1174	1995-07-14	PRIJEM	VKLAD	21904	66077	\N	\N	\N
346233	1174	1995-08-14	PRIJEM	VKLAD	21904	66064	\N	\N	\N
346234	1174	1995-09-14	PRIJEM	VKLAD	21904	62571	\N	\N	\N
346235	1174	1995-10-14	PRIJEM	VKLAD	21904	59747	\N	\N	\N
346236	1174	1995-11-14	PRIJEM	VKLAD	21904	56906	\N	\N	\N
346237	1174	1995-12-14	PRIJEM	VKLAD	32856	70592	\N	\N	\N
346238	1174	1996-01-14	PRIJEM	VKLAD	21904	53382	\N	\N	\N
346239	1174	1996-02-14	PRIJEM	VKLAD	21904	50103	\N	\N	\N
346240	1174	1996-03-14	PRIJEM	VKLAD	21904	51806	\N	\N	\N
346241	1174	1996-04-14	PRIJEM	VKLAD	21904	54316	\N	\N	\N
346242	1174	1996-05-14	PRIJEM	VKLAD	21904	58738	\N	\N	\N
346243	1174	1996-06-14	PRIJEM	VKLAD	32856	67233	\N	\N	\N
346244	1174	1996-07-14	PRIJEM	VKLAD	21904	68356	\N	\N	\N
346245	1174	1996-08-14	PRIJEM	VKLAD	21904	63362	\N	\N	\N
346246	1174	1996-09-14	PRIJEM	VKLAD	21904	63681	\N	\N	\N
346247	1174	1996-10-14	PRIJEM	VKLAD	21904	65716	\N	\N	\N
346248	1174	1996-11-14	PRIJEM	VKLAD	21904	66354	\N	\N	\N
346249	1174	1996-12-14	PRIJEM	VKLAD	32856	80346	\N	\N	\N
346250	1174	1997-01-14	PRIJEM	VKLAD	21904	68625	\N	\N	\N
346251	1174	1997-02-14	PRIJEM	VKLAD	21904	65479	\N	\N	\N
346252	1174	1997-03-14	PRIJEM	VKLAD	21904	70086	\N	\N	\N
346253	1174	1997-04-14	PRIJEM	VKLAD	21904	69460	\N	\N	\N
346254	1174	1997-05-14	PRIJEM	VKLAD	21904	73994	\N	\N	\N
346255	1174	1997-06-14	PRIJEM	VKLAD	32856	84175	\N	\N	\N
346256	1174	1997-07-14	PRIJEM	VKLAD	21904	85644	\N	\N	\N
346257	1174	1997-08-14	PRIJEM	VKLAD	21904	84342	\N	\N	\N
346258	1174	1997-09-14	PRIJEM	VKLAD	21904	82309	\N	\N	\N
346259	1174	1997-10-14	PRIJEM	VKLAD	21904	87688	\N	\N	\N
346260	1174	1997-11-14	PRIJEM	VKLAD	21904	90787	\N	\N	\N
346261	1174	1997-12-14	PRIJEM	VKLAD	32856	102450	\N	\N	\N
346262	1174	1998-01-14	PRIJEM	VKLAD	21904	88350	\N	\N	\N
346263	1174	1998-02-14	PRIJEM	VKLAD	21904	81447	\N	\N	\N
346264	1174	1998-03-14	PRIJEM	VKLAD	21904	85017	\N	\N	\N
346265	1174	1998-04-14	PRIJEM	VKLAD	21904	81105	\N	\N	\N
346266	1174	1998-05-14	PRIJEM	VKLAD	21904	73788	\N	\N	\N
346267	1174	1998-06-14	PRIJEM	VKLAD	32856	75982	\N	\N	\N
346268	1174	1998-07-14	PRIJEM	VKLAD	21904	80209	\N	\N	\N
346269	1174	1998-08-14	PRIJEM	VKLAD	21904	75069	\N	\N	\N
346270	1174	1998-09-14	PRIJEM	VKLAD	21904	74711	\N	\N	\N
346271	1174	1998-10-14	PRIJEM	VKLAD	21904	74856	\N	\N	\N
346272	1174	1998-11-14	PRIJEM	VKLAD	21904	72796	\N	\N	\N
346273	1174	1998-12-14	PRIJEM	VKLAD	32856	81012	\N	\N	\N
346282	1174	1995-09-13	VYDAJ	PREVOD NA UCET	720	40667	SIPO	GH	72342484
346283	1174	1995-10-13	VYDAJ	PREVOD NA UCET	720	37843	SIPO	GH	72342484
346284	1174	1995-11-13	VYDAJ	PREVOD NA UCET	720	35002	SIPO	GH	72342484
346285	1174	1995-12-13	VYDAJ	PREVOD NA UCET	720	40918	SIPO	GH	72342484
346286	1174	1996-01-13	VYDAJ	PREVOD NA UCET	720	34660	SIPO	GH	72342484
346287	1174	1996-02-13	VYDAJ	PREVOD NA UCET	720	31381	SIPO	GH	72342484
346288	1174	1996-03-13	VYDAJ	PREVOD NA UCET	720	29902	SIPO	GH	72342484
346289	1174	1996-04-13	VYDAJ	PREVOD NA UCET	720	32412	SIPO	GH	72342484
346290	1174	1996-05-13	VYDAJ	PREVOD NA UCET	720	36834	SIPO	GH	72342484
346291	1174	1996-06-13	VYDAJ	PREVOD NA UCET	720	34377	SIPO	GH	72342484
346292	1174	1996-07-13	VYDAJ	PREVOD NA UCET	720	46452	SIPO	GH	72342484
346293	1174	1996-08-13	VYDAJ	PREVOD NA UCET	720	41458	SIPO	GH	72342484
346294	1174	1996-09-13	VYDAJ	PREVOD NA UCET	720	44959	SIPO	GH	72342484
346295	1174	1996-10-13	VYDAJ	PREVOD NA UCET	720	46994	SIPO	GH	72342484
346296	1174	1996-11-13	VYDAJ	PREVOD NA UCET	720	44450	SIPO	GH	72342484
346297	1174	1996-12-13	VYDAJ	PREVOD NA UCET	720	47490	SIPO	GH	72342484
346298	1174	1997-01-13	VYDAJ	PREVOD NA UCET	720	46721	SIPO	GH	72342484
346299	1174	1997-02-13	VYDAJ	PREVOD NA UCET	720	43575	SIPO	GH	72342484
346300	1174	1997-03-13	VYDAJ	PREVOD NA UCET	720	48182	SIPO	GH	72342484
346301	1174	1997-04-13	VYDAJ	PREVOD NA UCET	720	53618	SIPO	GH	72342484
346302	1174	1997-05-13	VYDAJ	PREVOD NA UCET	720	55272	SIPO	GH	72342484
346303	1174	1997-06-13	VYDAJ	PREVOD NA UCET	720	51319	SIPO	GH	72342484
346304	1174	1997-07-13	VYDAJ	PREVOD NA UCET	720	66922	SIPO	GH	72342484
346305	1174	1997-08-13	VYDAJ	PREVOD NA UCET	720	62438	SIPO	GH	72342484
346306	1174	1997-09-13	VYDAJ	PREVOD NA UCET	720	63587	SIPO	GH	72342484
346307	1174	1997-10-13	VYDAJ	PREVOD NA UCET	720	65784	SIPO	GH	72342484
346308	1174	1997-11-13	VYDAJ	PREVOD NA UCET	720	72065	SIPO	GH	72342484
346309	1174	1997-12-13	VYDAJ	PREVOD NA UCET	720	69594	SIPO	GH	72342484
346310	1174	1998-01-13	VYDAJ	PREVOD NA UCET	720	66446	SIPO	GH	72342484
346311	1174	1998-02-13	VYDAJ	PREVOD NA UCET	720	62725	SIPO	GH	72342484
346312	1174	1998-03-13	VYDAJ	PREVOD NA UCET	720	63113	SIPO	GH	72342484
346313	1174	1998-04-13	VYDAJ	PREVOD NA UCET	720	59201	SIPO	GH	72342484
346314	1174	1998-05-13	VYDAJ	PREVOD NA UCET	720	51884	SIPO	GH	72342484
346315	1174	1998-06-13	VYDAJ	PREVOD NA UCET	720	46308	SIPO	GH	72342484
346316	1174	1998-07-13	VYDAJ	PREVOD NA UCET	720	58305	SIPO	GH	72342484
346317	1174	1998-08-13	VYDAJ	PREVOD NA UCET	720	53165	SIPO	GH	72342484
346318	1174	1998-09-13	VYDAJ	PREVOD NA UCET	720	55989	SIPO	GH	72342484
346319	1174	1998-10-13	VYDAJ	PREVOD NA UCET	720	56134	SIPO	GH	72342484
346320	1174	1998-11-13	VYDAJ	PREVOD NA UCET	720	54074	SIPO	GH	72342484
346321	1174	1998-12-13	VYDAJ	PREVOD NA UCET	720	51338	SIPO	GH	72342484
346330	1174	1995-09-05	VYDAJ	PREVOD NA UCET	829	44569	 	IJ	14356726
346331	1174	1995-10-05	VYDAJ	PREVOD NA UCET	829	41745	 	IJ	14356726
346332	1174	1995-11-05	VYDAJ	PREVOD NA UCET	829	38904	 	IJ	14356726
346333	1174	1995-12-05	VYDAJ	PREVOD NA UCET	829	41638	 	IJ	14356726
346334	1174	1996-01-05	VYDAJ	PREVOD NA UCET	829	43020	 	IJ	14356726
346335	1174	1996-02-05	VYDAJ	PREVOD NA UCET	829	32101	 	IJ	14356726
346336	1174	1996-03-05	VYDAJ	PREVOD NA UCET	829	33804	 	IJ	14356726
346337	1174	1996-04-05	VYDAJ	PREVOD NA UCET	829	36314	 	IJ	14356726
346338	1174	1996-05-05	VYDAJ	PREVOD NA UCET	829	40736	 	IJ	14356726
346339	1174	1996-06-05	VYDAJ	PREVOD NA UCET	829	39579	 	IJ	14356726
346340	1174	1996-07-05	VYDAJ	PREVOD NA UCET	829	63254	 	IJ	14356726
346341	1174	1996-08-05	VYDAJ	PREVOD NA UCET	829	63460	 	IJ	14356726
346342	1174	1996-09-05	VYDAJ	PREVOD NA UCET	829	62779	 	IJ	14356726
346343	1174	1996-10-05	VYDAJ	PREVOD NA UCET	829	61414	 	IJ	14356726
346344	1174	1996-11-05	VYDAJ	PREVOD NA UCET	829	62852	 	IJ	14356726
346345	1174	1996-12-05	VYDAJ	PREVOD NA UCET	829	65772	 	IJ	14356726
346346	1174	1997-01-05	VYDAJ	PREVOD NA UCET	829	79803	 	IJ	14356726
346347	1174	1997-02-05	VYDAJ	PREVOD NA UCET	829	57977	 	IJ	14356726
346348	1174	1997-03-05	VYDAJ	PREVOD NA UCET	829	64884	 	IJ	14356726
346349	1174	1997-04-05	VYDAJ	PREVOD NA UCET	829	69518	 	IJ	14356726
346350	1174	1997-05-05	VYDAJ	PREVOD NA UCET	829	68892	 	IJ	14356726
346351	1174	1997-06-05	VYDAJ	PREVOD NA UCET	829	62721	 	IJ	14356726
346352	1174	1997-07-05	VYDAJ	PREVOD NA UCET	829	83642	 	IJ	14356726
346353	1174	1997-08-05	VYDAJ	PREVOD NA UCET	829	85140	 	IJ	14356726
346354	1174	1997-09-05	VYDAJ	PREVOD NA UCET	829	80707	 	IJ	14356726
346355	1174	1997-10-05	VYDAJ	PREVOD NA UCET	829	81786	 	IJ	14356726
346356	1174	1997-11-05	VYDAJ	PREVOD NA UCET	829	72785	 	IJ	14356726
346357	1174	1997-12-05	VYDAJ	PREVOD NA UCET	829	90296	 	IJ	14356726
346358	1174	1998-01-05	VYDAJ	PREVOD NA UCET	829	74188	 	IJ	14356726
346359	1174	1998-02-05	VYDAJ	PREVOD NA UCET	829	63445	 	IJ	14356726
346360	1174	1998-03-05	VYDAJ	PREVOD NA UCET	829	67015	 	IJ	14356726
346361	1174	1998-04-05	VYDAJ	PREVOD NA UCET	829	63103	 	IJ	14356726
346362	1174	1998-05-05	VYDAJ	PREVOD NA UCET	829	55786	 	IJ	14356726
346363	1174	1998-06-05	VYDAJ	PREVOD NA UCET	829	47028	 	IJ	14356726
346364	1174	1998-07-05	VYDAJ	PREVOD NA UCET	829	62207	 	IJ	14356726
346365	1174	1998-08-05	VYDAJ	PREVOD NA UCET	829	57067	 	IJ	14356726
346366	1174	1998-09-05	VYDAJ	PREVOD NA UCET	829	56709	 	IJ	14356726
346367	1174	1998-10-05	VYDAJ	PREVOD NA UCET	829	56854	 	IJ	14356726
346368	1174	1998-11-05	VYDAJ	PREVOD NA UCET	829	54794	 	IJ	14356726
346369	1174	1998-12-05	VYDAJ	PREVOD NA UCET	829	53018	 	IJ	14356726
346378	1174	1995-09-13	VYDAJ	PREVOD NA UCET	3182	41387	POJISTNE	IJ	69252133
346379	1174	1995-10-13	VYDAJ	PREVOD NA UCET	3182	38563	POJISTNE	IJ	69252133
346380	1174	1995-11-13	VYDAJ	PREVOD NA UCET	3182	35722	POJISTNE	IJ	69252133
346381	1174	1995-12-13	VYDAJ	PREVOD NA UCET	3182	37736	POJISTNE	IJ	69252133
346382	1174	1996-01-13	VYDAJ	PREVOD NA UCET	3182	31478	POJISTNE	IJ	69252133
346383	1174	1996-02-13	VYDAJ	PREVOD NA UCET	3182	28199	POJISTNE	IJ	69252133
346384	1174	1996-03-13	VYDAJ	PREVOD NA UCET	3182	30622	POJISTNE	IJ	69252133
346385	1174	1996-04-13	VYDAJ	PREVOD NA UCET	3182	33132	POJISTNE	IJ	69252133
346386	1174	1996-05-13	VYDAJ	PREVOD NA UCET	3182	37554	POJISTNE	IJ	69252133
346387	1174	1996-06-13	VYDAJ	PREVOD NA UCET	3182	35097	POJISTNE	IJ	69252133
346388	1174	1996-07-13	VYDAJ	PREVOD NA UCET	3182	47172	POJISTNE	IJ	69252133
346389	1174	1996-08-13	VYDAJ	PREVOD NA UCET	3182	42178	POJISTNE	IJ	69252133
346390	1174	1996-09-13	VYDAJ	PREVOD NA UCET	3182	41777	POJISTNE	IJ	69252133
346391	1174	1996-10-13	VYDAJ	PREVOD NA UCET	3182	43812	POJISTNE	IJ	69252133
346392	1174	1996-11-13	VYDAJ	PREVOD NA UCET	3182	45170	POJISTNE	IJ	69252133
346393	1174	1996-12-13	VYDAJ	PREVOD NA UCET	3182	48210	POJISTNE	IJ	69252133
346394	1174	1997-01-13	VYDAJ	PREVOD NA UCET	3182	47441	POJISTNE	IJ	69252133
346395	1174	1997-02-13	VYDAJ	PREVOD NA UCET	3182	44295	POJISTNE	IJ	69252133
346396	1174	1997-03-13	VYDAJ	PREVOD NA UCET	3182	48902	POJISTNE	IJ	69252133
346397	1174	1997-04-13	VYDAJ	PREVOD NA UCET	3182	47556	POJISTNE	IJ	69252133
346398	1174	1997-05-13	VYDAJ	PREVOD NA UCET	3182	52090	POJISTNE	IJ	69252133
346399	1174	1997-06-13	VYDAJ	PREVOD NA UCET	3182	52039	POJISTNE	IJ	69252133
346400	1174	1997-07-13	VYDAJ	PREVOD NA UCET	3182	63740	POJISTNE	IJ	69252133
346401	1174	1997-08-13	VYDAJ	PREVOD NA UCET	3182	63158	POJISTNE	IJ	69252133
346402	1174	1997-09-13	VYDAJ	PREVOD NA UCET	3182	60405	POJISTNE	IJ	69252133
346403	1174	1997-10-13	VYDAJ	PREVOD NA UCET	3182	66504	POJISTNE	IJ	69252133
346404	1174	1997-11-13	VYDAJ	PREVOD NA UCET	3182	68883	POJISTNE	IJ	69252133
346405	1174	1997-12-13	VYDAJ	PREVOD NA UCET	3182	70314	POJISTNE	IJ	69252133
346406	1174	1998-01-13	VYDAJ	PREVOD NA UCET	3182	67166	POJISTNE	IJ	69252133
346407	1174	1998-02-13	VYDAJ	PREVOD NA UCET	3182	59543	POJISTNE	IJ	69252133
346408	1174	1998-03-13	VYDAJ	PREVOD NA UCET	3182	63833	POJISTNE	IJ	69252133
346409	1174	1998-04-13	VYDAJ	PREVOD NA UCET	3182	59921	POJISTNE	IJ	69252133
346410	1174	1998-05-13	VYDAJ	PREVOD NA UCET	3182	52604	POJISTNE	IJ	69252133
346411	1174	1998-06-13	VYDAJ	PREVOD NA UCET	3182	43126	POJISTNE	IJ	69252133
346412	1174	1998-07-13	VYDAJ	PREVOD NA UCET	3182	59025	POJISTNE	IJ	69252133
346413	1174	1998-08-13	VYDAJ	PREVOD NA UCET	3182	53885	POJISTNE	IJ	69252133
346524	1174	1995-04-20	PRIJEM	VKLAD	100	22904	\N	\N	\N
346414	1174	1998-09-13	VYDAJ	PREVOD NA UCET	3182	52807	POJISTNE	IJ	69252133
346415	1174	1998-10-13	VYDAJ	PREVOD NA UCET	3182	52952	POJISTNE	IJ	69252133
346416	1174	1998-11-13	VYDAJ	PREVOD NA UCET	3182	50892	POJISTNE	IJ	69252133
346417	1174	1998-12-13	VYDAJ	PREVOD NA UCET	3182	48156	POJISTNE	IJ	69252133
346420	1174	1997-06-02	VYDAJ	VYBER	10720	63550	\N	\N	\N
346421	1174	1998-06-02	VYDAJ	VYBER	17440	53857	\N	\N	\N
346423	1174	1996-01-10	VYDAJ	VYBER	6080	35380	\N	\N	\N
346424	1174	1997-01-07	VYDAJ	VYBER	9280	68963	\N	\N	\N
346425	1174	1998-01-21	VYDAJ	VYBER	4160	82630	\N	\N	\N
346426	1174	1995-12-17	VYDAJ	VYBER	2400	46192	\N	\N	\N
346427	1174	1996-12-06	VYDAJ	VYBER	1280	64492	\N	\N	\N
346428	1174	1997-12-25	VYDAJ	VYBER	2240	100210	\N	\N	\N
346429	1174	1998-12-12	VYDAJ	VYBER	960	52058	\N	\N	\N
346436	1174	1996-01-24	VYDAJ	VYBER	1320	35302	\N	\N	\N
346437	1174	1996-01-19	VYDAJ	VYBER	3120	36622	\N	\N	\N
346438	1174	1996-01-28	VYDAJ	VYBER	2520	32782	\N	\N	\N
346439	1174	1996-01-02	VYDAJ	VYBER	2520	43849	\N	\N	\N
346440	1174	1996-01-18	VYDAJ	VYBER	1440	39742	\N	\N	\N
346441	1174	1996-01-07	VYDAJ	VYBER	1560	41460	\N	\N	\N
346442	1174	1997-01-29	VYDAJ	VYBER	1560	60345	\N	\N	\N
346443	1174	1997-01-10	VYDAJ	VYBER	3360	50623	\N	\N	\N
346444	1174	1997-01-29	VYDAJ	VYBER	1800	61905	\N	\N	\N
346445	1174	1997-01-30	VYDAJ	VYBER	1800	58545	\N	\N	\N
346446	1174	1997-01-21	VYDAJ	VYBER	2040	66585	\N	\N	\N
346447	1174	1997-01-08	VYDAJ	VYBER	2880	66083	\N	\N	\N
346448	1174	1998-01-11	VYDAJ	VYBER	2640	70348	\N	\N	\N
346449	1174	1998-01-05	VYDAJ	VYBER	1200	72988	\N	\N	\N
346450	1174	1998-01-04	VYDAJ	VYBER	3360	97217	\N	\N	\N
346451	1174	1998-01-30	VYDAJ	VYBER	2400	79150	\N	\N	\N
346452	1174	1998-01-14	VYDAJ	VYBER	1560	86790	\N	\N	\N
346453	1174	1998-01-22	VYDAJ	VYBER	1080	81550	\N	\N	\N
346455	1174	1995-10-02	VYDAJ	VYBER	4080	42574	\N	\N	\N
346456	1174	1995-10-25	VYDAJ	VYBER	1680	39567	\N	\N	\N
346457	1174	1995-08-24	VYDAJ	VYBER	3240	45224	\N	\N	\N
346459	1174	1996-06-18	VYDAJ	VYBER	3360	63873	\N	\N	\N
346460	1174	1996-05-20	VYDAJ	VYBER	1800	40238	\N	\N	\N
346461	1174	1996-07-20	VYDAJ	VYBER	4320	64036	\N	\N	\N
346462	1174	1996-02-26	VYDAJ	VYBER	2400	34503	\N	\N	\N
346463	1174	1996-09-29	VYDAJ	VYBER	1680	62001	\N	\N	\N
346464	1174	1996-10-26	VYDAJ	VYBER	2280	63436	\N	\N	\N
346465	1174	1997-04-13	VYDAJ	VYBER	2880	50738	\N	\N	\N
346466	1174	1997-01-25	VYDAJ	VYBER	2880	63705	\N	\N	\N
346467	1174	1997-04-06	VYDAJ	VYBER	5280	64238	\N	\N	\N
346468	1174	1997-01-06	VYDAJ	VYBER	1560	78243	\N	\N	\N
346469	1174	1997-08-18	VYDAJ	VYBER	3120	81222	\N	\N	\N
346470	1174	1998-08-03	VYDAJ	VYBER	1920	57896	\N	\N	\N
346471	1174	1998-05-30	VYDAJ	VYBER	2760	71028	\N	\N	\N
346472	1174	1998-10-29	VYDAJ	VYBER	1320	72456	\N	\N	\N
346473	1174	1998-10-18	VYDAJ	VYBER	1080	73776	\N	\N	\N
346474	1174	1998-07-20	VYDAJ	VYBER	3480	76729	\N	\N	\N
346475	1174	1998-04-17	VYDAJ	VYBER	5280	75825	\N	\N	\N
346484	1174	1995-08-31	VYDAJ	VYBER	15	45398	SLUZBY	\N	\N
346485	1174	1995-09-30	VYDAJ	VYBER	15	46654	SLUZBY	\N	\N
346486	1174	1995-10-31	VYDAJ	VYBER	15	39733	SLUZBY	\N	\N
346487	1174	1995-11-30	VYDAJ	VYBER	15	42467	SLUZBY	\N	\N
346488	1174	1995-12-31	VYDAJ	VYBER	15	46369	SLUZBY	\N	\N
346489	1174	1996-01-31	VYDAJ	VYBER	15	32930	SLUZBY	\N	\N
346490	1174	1996-02-29	VYDAJ	VYBER	15	34633	SLUZBY	\N	\N
346491	1174	1996-03-31	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
346492	1174	1996-04-30	VYDAJ	VYBER	15	41565	SLUZBY	\N	\N
346493	1174	1996-05-31	VYDAJ	VYBER	15	40408	SLUZBY	\N	\N
346494	1174	1996-06-30	VYDAJ	VYBER	15	64083	SLUZBY	\N	\N
346495	1174	1996-07-31	VYDAJ	VYBER	15	64289	SLUZBY	\N	\N
346496	1174	1996-08-31	VYDAJ	VYBER	15	63608	SLUZBY	\N	\N
346497	1174	1996-09-30	VYDAJ	VYBER	15	62243	SLUZBY	\N	\N
346498	1174	1996-10-31	VYDAJ	VYBER	15	63681	SLUZBY	\N	\N
346499	1174	1996-11-30	VYDAJ	VYBER	15	66601	SLUZBY	\N	\N
346500	1174	1996-12-31	VYDAJ	VYBER	15	80632	SLUZBY	\N	\N
346501	1174	1997-01-31	VYDAJ	VYBER	15	58806	SLUZBY	\N	\N
346502	1174	1997-02-28	VYDAJ	VYBER	15	65713	SLUZBY	\N	\N
346503	1174	1997-03-31	VYDAJ	VYBER	15	70347	SLUZBY	\N	\N
346504	1174	1997-04-30	VYDAJ	VYBER	15	69721	SLUZBY	\N	\N
346505	1174	1997-05-31	VYDAJ	VYBER	15	74270	SLUZBY	\N	\N
346506	1174	1997-06-30	VYDAJ	VYBER	15	84471	SLUZBY	\N	\N
346507	1174	1997-07-31	VYDAJ	VYBER	15	85969	SLUZBY	\N	\N
346508	1174	1997-08-31	VYDAJ	VYBER	15	81536	SLUZBY	\N	\N
346509	1174	1997-09-30	VYDAJ	VYBER	15	82615	SLUZBY	\N	\N
346510	1174	1997-10-31	VYDAJ	VYBER	15	88014	SLUZBY	\N	\N
346511	1174	1997-11-30	VYDAJ	VYBER	15	91125	SLUZBY	\N	\N
346512	1174	1997-12-31	VYDAJ	VYBER	15	100577	SLUZBY	\N	\N
346513	1174	1998-01-31	VYDAJ	VYBER	15	79474	SLUZBY	\N	\N
346514	1174	1998-02-28	VYDAJ	VYBER	15	81744	SLUZBY	\N	\N
346515	1174	1998-03-31	VYDAJ	VYBER	15	85332	SLUZBY	\N	\N
346516	1174	1998-04-30	VYDAJ	VYBER	15	76115	SLUZBY	\N	\N
346517	1174	1998-05-31	VYDAJ	VYBER	15	71297	SLUZBY	\N	\N
346518	1174	1998-06-30	VYDAJ	VYBER	15	76236	SLUZBY	\N	\N
346519	1174	1998-07-31	VYDAJ	VYBER	15	77016	SLUZBY	\N	\N
346520	1174	1998-08-31	VYDAJ	VYBER	15	75338	SLUZBY	\N	\N
346521	1174	1998-09-30	VYDAJ	VYBER	15	74983	SLUZBY	\N	\N
346522	1174	1998-10-31	VYDAJ	VYBER	15	55623	SLUZBY	\N	\N
346523	1174	1998-11-30	VYDAJ	VYBER	15	53847	SLUZBY	\N	\N
346525	1174	1995-05-20	VYDAJ	VYBER	10300	34543	\N	\N	\N
346526	1174	1995-06-19	VYDAJ	VYBER	23500	44013	\N	\N	\N
346527	1174	1995-07-19	VYDAJ	VYBER	22100	43977	\N	\N	\N
346528	1174	1995-08-18	VYDAJ	VYBER	17600	48464	\N	\N	\N
346529	1174	1995-09-17	VYDAJ	VYBER	16100	46471	\N	\N	\N
346530	1174	1995-10-17	VYDAJ	VYBER	18500	41247	\N	\N	\N
346531	1174	1995-11-16	VYDAJ	VYBER	14600	42306	\N	\N	\N
346532	1174	1995-12-16	VYDAJ	VYBER	22000	48592	\N	\N	\N
346533	1174	1996-01-15	VYDAJ	VYBER	12200	41182	\N	\N	\N
346534	1174	1996-02-14	VYDAJ	VYBER	13200	36903	\N	\N	\N
346535	1174	1996-03-15	VYDAJ	VYBER	14800	37006	\N	\N	\N
346536	1174	1996-04-14	VYDAJ	VYBER	12900	41416	\N	\N	\N
346537	1174	1996-05-14	VYDAJ	VYBER	16700	42038	\N	\N	\N
346538	1174	1996-06-13	VYDAJ	VYBER	1300	38279	\N	\N	\N
346539	1174	1996-07-13	VYDAJ	VYBER	12900	50354	\N	\N	\N
346540	1174	1996-08-12	VYDAJ	VYBER	18100	45360	\N	\N	\N
346541	1174	1996-09-11	VYDAJ	VYBER	17100	45679	\N	\N	\N
346542	1174	1996-10-11	VYDAJ	VYBER	13700	47714	\N	\N	\N
346543	1174	1996-11-10	VYDAJ	VYBER	14500	48352	\N	\N	\N
346544	1174	1996-12-10	VYDAJ	VYBER	13100	51392	\N	\N	\N
346545	1174	1997-01-09	VYDAJ	VYBER	12100	53983	\N	\N	\N
346546	1174	1997-02-08	VYDAJ	VYBER	10500	47477	\N	\N	\N
346547	1174	1997-03-10	VYDAJ	VYBER	12800	52084	\N	\N	\N
346548	1174	1997-04-09	VYDAJ	VYBER	9900	54338	\N	\N	\N
346549	1174	1997-05-09	VYDAJ	VYBER	12900	55992	\N	\N	\N
346550	1174	1997-06-08	VYDAJ	VYBER	7500	55221	\N	\N	\N
346551	1174	1997-07-08	VYDAJ	VYBER	16000	67642	\N	\N	\N
346552	1174	1997-08-07	VYDAJ	VYBER	18800	66340	\N	\N	\N
346553	1174	1997-09-06	VYDAJ	VYBER	16400	64307	\N	\N	\N
346554	1174	1997-10-06	VYDAJ	VYBER	12100	69686	\N	\N	\N
346555	1174	1997-11-05	VYDAJ	VYBER	14400	73614	\N	\N	\N
346556	1174	1997-12-05	VYDAJ	VYBER	16800	73496	\N	\N	\N
346557	1174	1998-01-04	VYDAJ	VYBER	22200	75017	\N	\N	\N
346558	1174	1998-02-03	VYDAJ	VYBER	15200	64274	\N	\N	\N
346559	1174	1998-03-05	VYDAJ	VYBER	13900	67844	\N	\N	\N
346560	1174	1998-04-04	VYDAJ	VYBER	21400	63932	\N	\N	\N
346561	1174	1998-05-04	VYDAJ	VYBER	19500	56615	\N	\N	\N
346562	1174	1998-06-03	VYDAJ	VYBER	6000	47857	\N	\N	\N
346563	1174	1998-07-03	VYDAJ	VYBER	13200	63036	\N	\N	\N
346564	1174	1998-08-02	VYDAJ	VYBER	17200	59816	\N	\N	\N
346565	1174	1998-09-01	VYDAJ	VYBER	17800	57538	\N	\N	\N
346566	1174	1998-10-01	VYDAJ	VYBER	17300	57683	\N	\N	\N
346567	1174	1998-10-31	VYDAJ	VYBER	17100	55637	\N	\N	\N
346568	1174	1998-11-30	VYDAJ	VYBER	19200	53862	\N	\N	\N
347049	1176	1996-10-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
347060	1176	1996-11-10	PRIJEM	PREVOD Z UCTU	4556	5656	DUCHOD	AB	44828593
347061	1176	1996-12-10	PRIJEM	PREVOD Z UCTU	4556	10212	DUCHOD	AB	44828593
347062	1176	1997-01-10	PRIJEM	PREVOD Z UCTU	4556	14768	DUCHOD	AB	44828593
347063	1176	1997-02-10	PRIJEM	PREVOD Z UCTU	4556	19324	DUCHOD	AB	44828593
347064	1176	1997-03-10	PRIJEM	PREVOD Z UCTU	4556	23880	DUCHOD	AB	44828593
347065	1176	1997-04-10	PRIJEM	PREVOD Z UCTU	4556	26158	DUCHOD	AB	44828593
347066	1176	1997-05-10	PRIJEM	PREVOD Z UCTU	4556	27036	DUCHOD	AB	44828593
347067	1176	1997-06-10	PRIJEM	PREVOD Z UCTU	4556	27718	DUCHOD	AB	44828593
347068	1176	1997-07-10	PRIJEM	PREVOD Z UCTU	4556	21176	DUCHOD	AB	44828593
347069	1176	1997-08-10	PRIJEM	PREVOD Z UCTU	4556	18290	DUCHOD	AB	44828593
347070	1176	1997-09-10	PRIJEM	PREVOD Z UCTU	4556	16832	DUCHOD	AB	44828593
347071	1176	1997-10-10	PRIJEM	PREVOD Z UCTU	4556	19073	DUCHOD	AB	44828593
347072	1176	1997-11-10	PRIJEM	PREVOD Z UCTU	4556	18419	DUCHOD	AB	44828593
347073	1176	1997-12-10	PRIJEM	PREVOD Z UCTU	4556	15157	DUCHOD	AB	44828593
347074	1176	1998-01-10	PRIJEM	PREVOD Z UCTU	4556	13885	DUCHOD	AB	44828593
347075	1176	1998-02-10	PRIJEM	PREVOD Z UCTU	4556	14911	DUCHOD	AB	44828593
347076	1176	1998-03-10	PRIJEM	PREVOD Z UCTU	4556	14539	DUCHOD	AB	44828593
347077	1176	1998-04-10	PRIJEM	PREVOD Z UCTU	4556	12764	DUCHOD	AB	44828593
347078	1176	1998-05-10	PRIJEM	PREVOD Z UCTU	4556	12984	DUCHOD	AB	44828593
347079	1176	1998-06-10	PRIJEM	PREVOD Z UCTU	4556	15310	DUCHOD	AB	44828593
347080	1176	1998-07-10	PRIJEM	PREVOD Z UCTU	4556	13937	DUCHOD	AB	44828593
347081	1176	1998-08-10	PRIJEM	PREVOD Z UCTU	4556	16267	DUCHOD	AB	44828593
347082	1176	1998-09-10	PRIJEM	PREVOD Z UCTU	4556	18606	DUCHOD	AB	44828593
347083	1176	1998-10-10	PRIJEM	PREVOD Z UCTU	4556	20955	DUCHOD	AB	44828593
347084	1176	1998-11-10	PRIJEM	PREVOD Z UCTU	4556	20834	DUCHOD	AB	44828593
347085	1176	1998-12-10	PRIJEM	PREVOD Z UCTU	4556	12867	DUCHOD	AB	44828593
347101	1176	1997-04-06	VYDAJ	PREVOD NA UCET	2267	21602	SIPO	YZ	67840176
347102	1176	1997-05-06	VYDAJ	PREVOD NA UCET	2267	22480	SIPO	YZ	67840176
347103	1176	1997-06-06	VYDAJ	PREVOD NA UCET	2267	23162	SIPO	YZ	67840176
347104	1176	1997-07-06	VYDAJ	PREVOD NA UCET	2267	16620	SIPO	YZ	67840176
347105	1176	1997-08-06	VYDAJ	PREVOD NA UCET	2267	13734	SIPO	YZ	67840176
347106	1176	1997-09-06	VYDAJ	PREVOD NA UCET	2267	12276	SIPO	YZ	67840176
347107	1176	1997-10-06	VYDAJ	PREVOD NA UCET	2267	14517	SIPO	YZ	67840176
347108	1176	1997-11-06	VYDAJ	PREVOD NA UCET	2267	13863	SIPO	YZ	67840176
347109	1176	1997-12-06	VYDAJ	PREVOD NA UCET	2267	10601	SIPO	YZ	67840176
347110	1176	1998-01-06	VYDAJ	PREVOD NA UCET	2267	9329	SIPO	YZ	67840176
347111	1176	1998-02-06	VYDAJ	PREVOD NA UCET	2267	10355	SIPO	YZ	67840176
347112	1176	1998-03-06	VYDAJ	PREVOD NA UCET	2267	9983	SIPO	YZ	67840176
347113	1176	1998-04-06	VYDAJ	PREVOD NA UCET	2267	8208	SIPO	YZ	67840176
347114	1176	1998-05-06	VYDAJ	PREVOD NA UCET	2267	8428	SIPO	YZ	67840176
347115	1176	1998-06-06	VYDAJ	PREVOD NA UCET	2267	10754	SIPO	YZ	67840176
347116	1176	1998-07-06	VYDAJ	PREVOD NA UCET	2267	9381	SIPO	YZ	67840176
347117	1176	1998-08-06	VYDAJ	PREVOD NA UCET	2267	11711	SIPO	YZ	67840176
347118	1176	1998-09-06	VYDAJ	PREVOD NA UCET	2267	14050	SIPO	YZ	67840176
347119	1176	1998-10-06	VYDAJ	PREVOD NA UCET	2267	16399	SIPO	YZ	67840176
347120	1176	1998-11-06	VYDAJ	PREVOD NA UCET	2267	16278	SIPO	YZ	67840176
347121	1176	1998-12-06	VYDAJ	PREVOD NA UCET	2267	8311	SIPO	YZ	67840176
347123	1176	1997-06-15	VYDAJ	VYBER	2700	25018	\N	\N	\N
347144	1176	1998-01-10	VYDAJ	VYBER	800	13085	\N	\N	\N
347152	1176	1997-07-03	VYDAJ	VYBER	3520	18887	\N	\N	\N
347153	1176	1997-08-01	VYDAJ	VYBER	1040	16001	\N	\N	\N
347159	1176	1998-11-01	VYDAJ	VYBER	2480	18545	\N	\N	\N
347177	1176	1997-03-31	VYDAJ	VYBER	15	23869	SLUZBY	\N	\N
347178	1176	1997-04-30	VYDAJ	VYBER	15	24747	SLUZBY	\N	\N
347179	1176	1997-05-31	VYDAJ	VYBER	15	25429	SLUZBY	\N	\N
347180	1176	1997-06-30	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
347181	1176	1997-07-31	VYDAJ	VYBER	15	17041	SLUZBY	\N	\N
347182	1176	1997-08-31	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
347183	1176	1997-09-30	VYDAJ	VYBER	15	16784	SLUZBY	\N	\N
347184	1176	1997-10-31	VYDAJ	VYBER	15	16130	SLUZBY	\N	\N
347185	1176	1997-11-30	VYDAJ	VYBER	15	12868	SLUZBY	\N	\N
347186	1176	1997-12-31	VYDAJ	VYBER	15	11596	SLUZBY	\N	\N
347187	1176	1998-01-31	VYDAJ	VYBER	15	12622	SLUZBY	\N	\N
347188	1176	1998-02-28	VYDAJ	VYBER	15	12250	SLUZBY	\N	\N
347189	1176	1998-03-31	VYDAJ	VYBER	15	10475	SLUZBY	\N	\N
347190	1176	1998-04-30	VYDAJ	VYBER	15	10695	SLUZBY	\N	\N
347191	1176	1998-05-31	VYDAJ	VYBER	15	13021	SLUZBY	\N	\N
347192	1176	1998-06-30	VYDAJ	VYBER	15	11648	SLUZBY	\N	\N
347193	1176	1998-07-31	VYDAJ	VYBER	15	13978	SLUZBY	\N	\N
347194	1176	1998-08-31	VYDAJ	VYBER	15	16317	SLUZBY	\N	\N
347195	1176	1998-09-30	VYDAJ	VYBER	15	18666	SLUZBY	\N	\N
347196	1176	1998-10-31	VYDAJ	VYBER	15	21025	SLUZBY	\N	\N
347197	1176	1998-11-30	VYDAJ	VYBER	15	10578	SLUZBY	\N	\N
347198	1176	1997-04-22	VYDAJ	VYBER	1500	24658	\N	\N	\N
347199	1176	1997-05-22	VYDAJ	VYBER	1700	25336	\N	\N	\N
347200	1176	1997-06-21	VYDAJ	VYBER	2700	22318	\N	\N	\N
347201	1176	1997-07-21	VYDAJ	VYBER	4200	16976	\N	\N	\N
347202	1176	1997-08-20	VYDAJ	VYBER	3800	14490	\N	\N	\N
347203	1176	1997-09-19	VYDAJ	VYBER	100	16732	\N	\N	\N
347204	1176	1997-10-19	VYDAJ	VYBER	3000	16073	\N	\N	\N
347205	1176	1997-11-18	VYDAJ	VYBER	5600	12819	\N	\N	\N
347206	1176	1997-12-18	VYDAJ	VYBER	3600	11557	\N	\N	\N
347207	1176	1998-01-17	VYDAJ	VYBER	500	12585	\N	\N	\N
347208	1176	1998-02-16	VYDAJ	VYBER	2700	12211	\N	\N	\N
347209	1176	1998-03-18	VYDAJ	VYBER	4100	10439	\N	\N	\N
347210	1176	1998-04-17	VYDAJ	VYBER	2100	10664	\N	\N	\N
347211	1176	1998-06-16	VYDAJ	VYBER	3700	11610	\N	\N	\N
347212	1176	1998-11-13	VYDAJ	VYBER	10300	10534	\N	\N	\N
347235	1177	1997-12-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
347248	1177	1998-01-12	PRIJEM	VKLAD	20562	21662	\N	\N	\N
347249	1177	1998-02-12	PRIJEM	VKLAD	20562	42863	\N	\N	\N
347250	1177	1998-03-12	PRIJEM	VKLAD	20562	53535	\N	\N	\N
347251	1177	1998-04-12	PRIJEM	VKLAD	20562	61347	\N	\N	\N
347252	1177	1998-05-12	PRIJEM	VKLAD	20562	57187	\N	\N	\N
347253	1177	1998-06-12	PRIJEM	VKLAD	30843	59660	\N	\N	\N
347254	1177	1998-07-12	PRIJEM	VKLAD	20562	45533	\N	\N	\N
347255	1177	1998-08-12	PRIJEM	VKLAD	20562	38667	\N	\N	\N
347256	1177	1998-09-12	PRIJEM	VKLAD	20562	41483	\N	\N	\N
347257	1177	1998-10-12	PRIJEM	VKLAD	20562	38005	\N	\N	\N
347258	1177	1998-11-12	PRIJEM	VKLAD	20562	31806	\N	\N	\N
347259	1177	1998-12-12	PRIJEM	VKLAD	30843	39897	\N	\N	\N
347276	1177	1998-05-12	VYDAJ	PREVOD NA UCET	541	56646	SIPO	YZ	63586568
347277	1177	1998-06-12	VYDAJ	PREVOD NA UCET	541	59119	SIPO	YZ	63586568
347278	1177	1998-07-12	VYDAJ	PREVOD NA UCET	541	44992	SIPO	YZ	63586568
347279	1177	1998-08-12	VYDAJ	PREVOD NA UCET	541	38126	SIPO	YZ	63586568
347280	1177	1998-09-12	VYDAJ	PREVOD NA UCET	541	40942	SIPO	YZ	63586568
347281	1177	1998-10-12	VYDAJ	PREVOD NA UCET	541	37464	SIPO	YZ	63586568
347282	1177	1998-11-12	VYDAJ	PREVOD NA UCET	541	31265	SIPO	YZ	63586568
347283	1177	1998-12-12	VYDAJ	PREVOD NA UCET	541	39356	SIPO	YZ	63586568
347301	1177	1998-06-08	VYDAJ	PREVOD NA UCET	3499	28817	 	IJ	89210205
347302	1177	1998-07-08	VYDAJ	PREVOD NA UCET	3499	24971	 	IJ	89210205
347303	1177	1998-08-08	VYDAJ	PREVOD NA UCET	3499	18105	 	IJ	89210205
347304	1177	1998-09-08	VYDAJ	PREVOD NA UCET	3499	20921	 	IJ	89210205
347305	1177	1998-10-08	VYDAJ	PREVOD NA UCET	3499	17443	 	IJ	89210205
347306	1177	1998-11-08	VYDAJ	PREVOD NA UCET	3499	17344	 	IJ	89210205
347307	1177	1998-12-08	VYDAJ	PREVOD NA UCET	3499	13454	 	IJ	89210205
347324	1177	1998-05-06	VYDAJ	VYBER	9500	36625	\N	\N	0
347325	1177	1998-06-05	VYDAJ	VYBER	4400	32316	\N	\N	0
347326	1177	1998-07-26	VYDAJ	VYBER	7100	21492	\N	\N	0
347327	1177	1998-08-18	VYDAJ	VYBER	5900	24326	\N	\N	0
347328	1177	1998-09-30	VYDAJ	VYBER	5700	20956	\N	\N	0
347329	1177	1998-10-14	VYDAJ	VYBER	8700	28764	\N	\N	0
347330	1177	1998-11-10	VYDAJ	VYBER	6100	11244	\N	\N	0
347331	1177	1998-12-11	VYDAJ	VYBER	4400	9054	\N	\N	0
347333	1177	1998-06-16	VYDAJ	VYBER	23680	35439	\N	\N	\N
347335	1177	1998-12-05	VYDAJ	VYBER	1280	16953	\N	\N	\N
347370	1177	1998-05-31	VYDAJ	VYBER	15	36716	SLUZBY	\N	\N
347371	1177	1998-06-30	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
347372	1177	1998-07-31	VYDAJ	VYBER	15	21604	SLUZBY	\N	\N
347373	1177	1998-08-31	VYDAJ	VYBER	15	24420	SLUZBY	\N	\N
347374	1177	1998-09-30	VYDAJ	VYBER	15	20942	SLUZBY	\N	\N
347375	1177	1998-10-31	VYDAJ	VYBER	15	20843	SLUZBY	\N	\N
347376	1177	1998-11-30	VYDAJ	VYBER	15	18233	SLUZBY	\N	\N
347377	1177	1998-01-19	PRIJEM	VKLAD	600	22262	\N	\N	\N
347378	1177	1998-02-18	VYDAJ	VYBER	10000	32863	\N	\N	\N
347379	1177	1998-03-20	VYDAJ	VYBER	12900	40635	\N	\N	\N
347380	1177	1998-04-19	VYDAJ	VYBER	15400	45947	\N	\N	\N
347381	1177	1998-05-19	VYDAJ	VYBER	20100	36546	\N	\N	\N
347382	1177	1998-06-18	VYDAJ	VYBER	7100	28339	\N	\N	\N
347383	1177	1998-07-18	VYDAJ	VYBER	16400	28592	\N	\N	\N
347384	1177	1998-08-17	VYDAJ	VYBER	7900	30226	\N	\N	\N
347385	1177	1998-09-16	VYDAJ	VYBER	14400	26542	\N	\N	\N
347386	1177	1998-10-16	VYDAJ	VYBER	8000	20764	\N	\N	\N
347387	1177	1998-11-15	VYDAJ	VYBER	13100	18165	\N	\N	\N
347400	1178	1997-05-04	PRIJEM	VKLAD	900	900	\N	\N	\N
347405	1178	1997-05-13	PRIJEM	VKLAD	20544	21444	\N	\N	\N
347406	1178	1997-06-13	PRIJEM	VKLAD	30816	54315	\N	\N	\N
347407	1178	1997-07-13	PRIJEM	VKLAD	20544	63230	\N	\N	\N
347408	1178	1997-08-13	PRIJEM	VKLAD	20544	65923	\N	\N	\N
347409	1178	1997-09-13	PRIJEM	VKLAD	20544	69438	\N	\N	\N
347410	1178	1997-10-13	PRIJEM	VKLAD	20544	63212	\N	\N	\N
347411	1178	1997-11-13	PRIJEM	VKLAD	20544	52858	\N	\N	\N
347412	1178	1997-12-13	PRIJEM	VKLAD	30816	64013	\N	\N	\N
347413	1178	1998-01-13	PRIJEM	VKLAD	20544	47221	\N	\N	\N
347414	1178	1998-02-13	PRIJEM	VKLAD	20544	50288	\N	\N	\N
347415	1178	1998-03-13	PRIJEM	VKLAD	20544	54360	\N	\N	\N
347416	1178	1998-04-13	PRIJEM	VKLAD	20544	58952	\N	\N	\N
347417	1178	1998-05-13	PRIJEM	VKLAD	20544	60959	\N	\N	\N
347418	1178	1998-06-13	PRIJEM	VKLAD	30816	71239	\N	\N	\N
347419	1178	1998-07-13	PRIJEM	VKLAD	20544	54844	\N	\N	\N
347420	1178	1998-08-13	PRIJEM	VKLAD	20544	55931	\N	\N	\N
347421	1178	1998-09-13	PRIJEM	VKLAD	20544	52610	\N	\N	\N
347422	1178	1998-10-13	PRIJEM	VKLAD	20544	51083	\N	\N	\N
347423	1178	1998-11-13	PRIJEM	VKLAD	20544	47647	\N	\N	\N
347424	1178	1998-12-13	PRIJEM	VKLAD	30816	53168	\N	\N	\N
347434	1178	1997-10-09	VYDAJ	PREVOD NA UCET	5639	42668	SIPO	GH	17762130
347435	1178	1997-11-09	VYDAJ	PREVOD NA UCET	5639	32314	SIPO	GH	17762130
347436	1178	1997-12-09	VYDAJ	PREVOD NA UCET	5639	33197	SIPO	GH	17762130
347437	1178	1998-01-09	VYDAJ	PREVOD NA UCET	5639	37377	SIPO	GH	17762130
347438	1178	1998-02-09	VYDAJ	PREVOD NA UCET	5639	29744	SIPO	GH	17762130
347439	1178	1998-03-09	VYDAJ	PREVOD NA UCET	5639	36516	SIPO	GH	17762130
347440	1178	1998-04-09	VYDAJ	PREVOD NA UCET	5639	38408	SIPO	GH	17762130
347441	1178	1998-05-09	VYDAJ	PREVOD NA UCET	5639	40415	SIPO	GH	17762130
347442	1178	1998-06-09	VYDAJ	PREVOD NA UCET	5639	40423	SIPO	GH	17762130
347443	1178	1998-07-09	VYDAJ	PREVOD NA UCET	5639	34300	SIPO	GH	17762130
347444	1178	1998-08-09	VYDAJ	PREVOD NA UCET	5639	35387	SIPO	GH	17762130
347445	1178	1998-09-09	VYDAJ	PREVOD NA UCET	5639	32066	SIPO	GH	17762130
347446	1178	1998-10-09	VYDAJ	PREVOD NA UCET	5639	30539	SIPO	GH	17762130
347447	1178	1998-11-09	VYDAJ	PREVOD NA UCET	5639	27103	SIPO	GH	17762130
347448	1178	1998-12-09	VYDAJ	PREVOD NA UCET	5639	24452	SIPO	GH	17762130
347450	1178	1998-06-22	VYDAJ	VYBER	14800	47839	\N	\N	\N
347452	1178	1998-01-10	VYDAJ	VYBER	7500	29877	\N	\N	\N
347453	1178	1997-12-20	VYDAJ	VYBER	2900	61113	\N	\N	\N
347454	1178	1998-12-11	VYDAJ	VYBER KARTOU	2100	22352	\N	\N	0
347461	1178	1998-01-13	VYDAJ	VYBER	500	46721	\N	\N	\N
347462	1178	1998-01-03	VYDAJ	VYBER	1600	43916	\N	\N	\N
347463	1178	1998-01-11	VYDAJ	VYBER	1500	28377	\N	\N	\N
347464	1178	1998-01-12	VYDAJ	VYBER	1700	26677	\N	\N	\N
347465	1178	1998-01-07	VYDAJ	VYBER	900	43016	\N	\N	\N
347466	1178	1998-01-16	VYDAJ	VYBER	1800	44921	\N	\N	\N
347468	1178	1997-11-03	VYDAJ	VYBER	2300	37953	\N	\N	\N
347472	1178	1998-10-27	VYDAJ	VYBER	4500	32583	\N	\N	\N
347473	1178	1998-06-18	VYDAJ	VYBER	3900	62639	\N	\N	\N
347474	1178	1998-05-06	VYDAJ	VYBER	1200	46054	\N	\N	\N
347475	1178	1998-08-15	VYDAJ	VYBER	4500	51431	\N	\N	\N
347476	1178	1998-12-13	VYDAJ	VYBER KARTOU	600	52568	\N	\N	0
347477	1178	1998-05-21	VYDAJ	VYBER	4600	56359	\N	\N	\N
347478	1178	1998-03-11	VYDAJ	VYBER	2700	33816	\N	\N	\N
347479	1178	1998-06-14	VYDAJ	VYBER	4700	66539	\N	\N	\N
347489	1178	1997-09-30	VYDAJ	VYBER	15	69707	SLUZBY	\N	\N
347490	1178	1997-10-31	VYDAJ	VYBER	15	63453	SLUZBY	\N	\N
347491	1178	1997-11-30	VYDAJ	VYBER	15	38836	SLUZBY	\N	\N
347492	1178	1997-12-31	VYDAJ	VYBER	15	45516	SLUZBY	\N	\N
347493	1178	1998-01-31	VYDAJ	VYBER	15	35383	SLUZBY	\N	\N
347494	1178	1998-02-28	VYDAJ	VYBER	15	42155	SLUZBY	\N	\N
347495	1178	1998-03-31	VYDAJ	VYBER	15	44047	SLUZBY	\N	\N
347496	1178	1998-04-30	VYDAJ	VYBER	15	47254	SLUZBY	\N	\N
347497	1178	1998-05-31	VYDAJ	VYBER	15	46062	SLUZBY	\N	\N
347498	1178	1998-06-30	VYDAJ	VYBER	15	39939	SLUZBY	\N	\N
347499	1178	1998-07-31	VYDAJ	VYBER	15	41026	SLUZBY	\N	\N
347500	1178	1998-08-31	VYDAJ	VYBER	15	37705	SLUZBY	\N	\N
347501	1178	1998-09-30	VYDAJ	VYBER	15	36178	SLUZBY	\N	\N
347502	1178	1998-10-31	VYDAJ	VYBER	15	32742	SLUZBY	\N	\N
347503	1178	1998-11-30	VYDAJ	VYBER	15	30091	SLUZBY	\N	\N
347504	1178	1997-06-03	PRIJEM	VKLAD	2000	23499	\N	\N	\N
347505	1178	1997-07-03	VYDAJ	VYBER	11800	42686	\N	\N	\N
347506	1178	1997-08-02	VYDAJ	VYBER	18100	45379	\N	\N	\N
347507	1178	1997-09-01	VYDAJ	VYBER	17300	48894	\N	\N	\N
347508	1178	1997-10-01	VYDAJ	VYBER	21400	48307	\N	\N	\N
347509	1178	1997-10-31	VYDAJ	VYBER	23200	40253	\N	\N	\N
347510	1178	1997-11-30	VYDAJ	VYBER	14200	38851	\N	\N	\N
347511	1178	1997-12-30	VYDAJ	VYBER	15800	45313	\N	\N	\N
347512	1178	1998-01-29	VYDAJ	VYBER	9700	35221	\N	\N	\N
347513	1178	1998-02-28	VYDAJ	VYBER	8300	42169	\N	\N	\N
347514	1178	1998-03-30	VYDAJ	VYBER	10500	43860	\N	\N	\N
347515	1178	1998-04-29	VYDAJ	VYBER	11900	47052	\N	\N	\N
347516	1178	1998-05-29	VYDAJ	VYBER	10500	45859	\N	\N	\N
347517	1178	1998-06-28	VYDAJ	VYBER	8100	39739	\N	\N	\N
347518	1178	1998-07-28	VYDAJ	VYBER	14000	40844	\N	\N	\N
347519	1178	1998-08-27	VYDAJ	VYBER	13900	37531	\N	\N	\N
347520	1178	1998-09-26	VYDAJ	VYBER	16600	36010	\N	\N	\N
347521	1178	1998-10-26	VYDAJ	VYBER	14000	37083	\N	\N	\N
347522	1178	1998-11-25	VYDAJ	VYBER	17700	29947	\N	\N	\N
347543	1179	1993-01-23	PRIJEM	VKLAD	700	700	\N	\N	\N
347545	1179	1993-02-07	PRIJEM	PREVOD Z UCTU	4212	4912	DUCHOD	WX	72322171
347546	1179	1993-03-07	PRIJEM	PREVOD Z UCTU	4212	9124	DUCHOD	WX	72322171
347547	1179	1993-04-07	PRIJEM	PREVOD Z UCTU	4212	13336	DUCHOD	WX	72322171
347548	1179	1993-05-07	PRIJEM	PREVOD Z UCTU	4212	17548	DUCHOD	WX	72322171
347549	1179	1993-06-07	PRIJEM	PREVOD Z UCTU	4212	21760	DUCHOD	WX	72322171
347550	1179	1993-07-07	PRIJEM	PREVOD Z UCTU	4212	23152	DUCHOD	WX	72322171
347551	1179	1993-08-07	PRIJEM	PREVOD Z UCTU	4212	17026	DUCHOD	WX	72322171
347552	1179	1993-09-07	PRIJEM	PREVOD Z UCTU	4212	18486	DUCHOD	WX	72322171
347553	1179	1993-10-07	PRIJEM	PREVOD Z UCTU	4212	17149	DUCHOD	WX	72322171
347554	1179	1993-11-07	PRIJEM	PREVOD Z UCTU	4212	17566	DUCHOD	WX	72322171
347555	1179	1993-12-07	PRIJEM	PREVOD Z UCTU	4212	15347	DUCHOD	WX	72322171
347556	1179	1994-01-07	PRIJEM	PREVOD Z UCTU	4212	16099	DUCHOD	WX	72322171
347557	1179	1994-02-07	PRIJEM	PREVOD Z UCTU	4212	14104	DUCHOD	WX	72322171
347558	1179	1994-03-07	PRIJEM	PREVOD Z UCTU	4212	15551	DUCHOD	WX	72322171
347559	1179	1994-04-07	PRIJEM	PREVOD Z UCTU	4212	17004	DUCHOD	WX	72322171
347560	1179	1994-05-07	PRIJEM	PREVOD Z UCTU	4212	17180	DUCHOD	WX	72322171
347561	1179	1994-06-07	PRIJEM	PREVOD Z UCTU	4212	18640	DUCHOD	WX	72322171
347562	1179	1994-07-07	PRIJEM	PREVOD Z UCTU	4212	16661	DUCHOD	WX	72322171
347563	1179	1994-08-07	PRIJEM	PREVOD Z UCTU	4212	18118	DUCHOD	WX	72322171
347564	1179	1994-09-07	PRIJEM	PREVOD Z UCTU	4212	19582	DUCHOD	WX	72322171
347565	1179	1994-10-07	PRIJEM	PREVOD Z UCTU	4212	21052	DUCHOD	WX	72322171
347566	1179	1994-11-07	PRIJEM	PREVOD Z UCTU	4212	22527	DUCHOD	WX	72322171
347567	1179	1994-12-07	PRIJEM	PREVOD Z UCTU	4212	22239	DUCHOD	WX	72322171
347568	1179	1995-01-07	PRIJEM	PREVOD Z UCTU	4212	20019	DUCHOD	WX	72322171
347569	1179	1995-02-07	PRIJEM	PREVOD Z UCTU	4212	16523	DUCHOD	WX	72322171
347570	1179	1995-03-07	PRIJEM	PREVOD Z UCTU	4212	17980	DUCHOD	WX	72322171
347571	1179	1995-04-07	PRIJEM	PREVOD Z UCTU	4212	19443	DUCHOD	WX	72322171
347572	1179	1995-05-07	PRIJEM	PREVOD Z UCTU	4212	17712	DUCHOD	WX	72322171
347573	1179	1995-06-07	PRIJEM	PREVOD Z UCTU	4212	17414	DUCHOD	WX	72322171
347574	1179	1995-07-07	PRIJEM	PREVOD Z UCTU	4212	17270	DUCHOD	WX	72322171
347575	1179	1995-08-07	PRIJEM	PREVOD Z UCTU	4212	18730	DUCHOD	WX	72322171
347576	1179	1995-09-07	PRIJEM	PREVOD Z UCTU	4212	20196	DUCHOD	WX	72322171
347577	1179	1995-10-07	PRIJEM	PREVOD Z UCTU	4212	16538	DUCHOD	WX	72322171
347578	1179	1995-11-07	PRIJEM	PREVOD Z UCTU	4212	16952	DUCHOD	WX	72322171
347579	1179	1995-12-07	PRIJEM	PREVOD Z UCTU	4212	18411	DUCHOD	WX	72322171
347580	1179	1996-01-07	PRIJEM	PREVOD Z UCTU	4212	16263	DUCHOD	WX	72322171
347581	1179	1996-02-07	PRIJEM	PREVOD Z UCTU	4212	15955	DUCHOD	WX	72322171
347582	1179	1996-03-07	PRIJEM	PREVOD Z UCTU	4212	17409	DUCHOD	WX	72322171
347583	1179	1996-04-07	PRIJEM	PREVOD Z UCTU	4212	18869	DUCHOD	WX	72322171
347584	1179	1996-05-07	PRIJEM	PREVOD Z UCTU	4212	20336	DUCHOD	WX	72322171
347585	1179	1996-06-07	PRIJEM	PREVOD Z UCTU	4212	21808	DUCHOD	WX	72322171
347586	1179	1996-07-07	PRIJEM	PREVOD Z UCTU	4212	23286	DUCHOD	WX	72322171
347587	1179	1996-08-07	PRIJEM	PREVOD Z UCTU	4212	24771	DUCHOD	WX	72322171
347588	1179	1996-09-07	PRIJEM	PREVOD Z UCTU	4212	26262	DUCHOD	WX	72322171
347589	1179	1996-10-07	PRIJEM	PREVOD Z UCTU	4212	27758	DUCHOD	WX	72322171
347590	1179	1996-11-07	PRIJEM	PREVOD Z UCTU	4212	26561	DUCHOD	WX	72322171
347591	1179	1996-12-07	PRIJEM	PREVOD Z UCTU	4212	25738	DUCHOD	WX	72322171
347592	1179	1997-01-07	PRIJEM	PREVOD Z UCTU	4212	22841	DUCHOD	WX	72322171
347593	1179	1997-02-07	PRIJEM	PREVOD Z UCTU	4212	16775	DUCHOD	WX	72322171
347594	1179	1997-03-07	PRIJEM	PREVOD Z UCTU	4212	18232	DUCHOD	WX	72322171
347595	1179	1997-04-07	PRIJEM	PREVOD Z UCTU	4212	19696	DUCHOD	WX	72322171
347596	1179	1997-05-07	PRIJEM	PREVOD Z UCTU	4212	21165	DUCHOD	WX	72322171
347597	1179	1997-06-07	PRIJEM	PREVOD Z UCTU	4212	20635	DUCHOD	WX	72322171
347598	1179	1997-07-07	PRIJEM	PREVOD Z UCTU	4212	22107	DUCHOD	WX	72322171
347599	1179	1997-08-07	PRIJEM	PREVOD Z UCTU	4212	20056	DUCHOD	WX	72322171
347600	1179	1997-09-07	PRIJEM	PREVOD Z UCTU	4212	21526	DUCHOD	WX	72322171
347601	1179	1997-10-07	PRIJEM	PREVOD Z UCTU	4212	23002	DUCHOD	WX	72322171
347602	1179	1997-11-07	PRIJEM	PREVOD Z UCTU	4212	20700	DUCHOD	WX	72322171
347603	1179	1997-12-07	PRIJEM	PREVOD Z UCTU	4212	22173	DUCHOD	WX	72322171
347604	1179	1998-01-07	PRIJEM	PREVOD Z UCTU	4212	19571	DUCHOD	WX	72322171
347605	1179	1998-02-07	PRIJEM	PREVOD Z UCTU	4212	18236	DUCHOD	WX	72322171
347606	1179	1998-03-07	PRIJEM	PREVOD Z UCTU	4212	19699	DUCHOD	WX	72322171
347607	1179	1998-04-07	PRIJEM	PREVOD Z UCTU	4212	20287	DUCHOD	WX	72322171
347608	1179	1998-05-07	PRIJEM	PREVOD Z UCTU	4212	18717	DUCHOD	WX	72322171
347609	1179	1998-06-07	PRIJEM	PREVOD Z UCTU	4212	19982	DUCHOD	WX	72322171
347610	1179	1998-07-07	PRIJEM	PREVOD Z UCTU	4212	16326	DUCHOD	WX	72322171
347611	1179	1998-08-07	PRIJEM	PREVOD Z UCTU	4212	17780	DUCHOD	WX	72322171
347612	1179	1998-09-07	PRIJEM	PREVOD Z UCTU	4212	19240	DUCHOD	WX	72322171
347613	1179	1998-10-07	PRIJEM	PREVOD Z UCTU	4212	16702	DUCHOD	WX	72322171
347614	1179	1998-11-07	PRIJEM	PREVOD Z UCTU	4212	16256	DUCHOD	WX	72322171
347615	1179	1998-12-07	PRIJEM	PREVOD Z UCTU	4212	17509	DUCHOD	WX	72322171
347622	1179	1993-07-05	VYDAJ	PREVOD NA UCET	2808	18940	SIPO	UV	68278848
347623	1179	1993-08-05	VYDAJ	PREVOD NA UCET	2808	16654	SIPO	UV	68278848
347624	1179	1993-09-05	VYDAJ	PREVOD NA UCET	2808	14274	SIPO	UV	68278848
347625	1179	1993-10-05	VYDAJ	PREVOD NA UCET	2808	12937	SIPO	UV	68278848
347626	1179	1993-11-05	VYDAJ	PREVOD NA UCET	2808	13354	SIPO	UV	68278848
347627	1179	1993-12-05	VYDAJ	PREVOD NA UCET	2808	11135	SIPO	UV	68278848
347628	1179	1994-01-05	VYDAJ	PREVOD NA UCET	2808	11887	SIPO	UV	68278848
347629	1179	1994-02-05	VYDAJ	PREVOD NA UCET	2808	9892	SIPO	UV	68278848
347630	1179	1994-03-05	VYDAJ	PREVOD NA UCET	2808	11339	SIPO	UV	68278848
347631	1179	1994-04-05	VYDAJ	PREVOD NA UCET	2808	12792	SIPO	UV	68278848
347632	1179	1994-05-05	VYDAJ	PREVOD NA UCET	2808	12968	SIPO	UV	68278848
347633	1179	1994-06-05	VYDAJ	PREVOD NA UCET	2808	14428	SIPO	UV	68278848
347634	1179	1994-07-05	VYDAJ	PREVOD NA UCET	2808	12449	SIPO	UV	68278848
347635	1179	1994-08-05	VYDAJ	PREVOD NA UCET	2808	13906	SIPO	UV	68278848
347636	1179	1994-09-05	VYDAJ	PREVOD NA UCET	2808	15370	SIPO	UV	68278848
347637	1179	1994-10-05	VYDAJ	PREVOD NA UCET	2808	16840	SIPO	UV	68278848
347638	1179	1994-11-05	VYDAJ	PREVOD NA UCET	2808	18315	SIPO	UV	68278848
347639	1179	1994-12-05	VYDAJ	PREVOD NA UCET	2808	18027	SIPO	UV	68278848
347640	1179	1995-01-05	VYDAJ	PREVOD NA UCET	2808	15807	SIPO	UV	68278848
347641	1179	1995-02-05	VYDAJ	PREVOD NA UCET	2808	12311	SIPO	UV	68278848
347642	1179	1995-03-05	VYDAJ	PREVOD NA UCET	2808	13768	SIPO	UV	68278848
347643	1179	1995-04-05	VYDAJ	PREVOD NA UCET	2808	15231	SIPO	UV	68278848
347644	1179	1995-05-05	VYDAJ	PREVOD NA UCET	2808	13500	SIPO	UV	68278848
347645	1179	1995-06-05	VYDAJ	PREVOD NA UCET	2808	13202	SIPO	UV	68278848
347646	1179	1995-07-05	VYDAJ	PREVOD NA UCET	2808	13058	SIPO	UV	68278848
347647	1179	1995-08-05	VYDAJ	PREVOD NA UCET	2808	14518	SIPO	UV	68278848
347648	1179	1995-09-05	VYDAJ	PREVOD NA UCET	2808	15984	SIPO	UV	68278848
347649	1179	1995-10-05	VYDAJ	PREVOD NA UCET	2808	12326	SIPO	UV	68278848
347650	1179	1995-11-05	VYDAJ	PREVOD NA UCET	2808	12740	SIPO	UV	68278848
347651	1179	1995-12-05	VYDAJ	PREVOD NA UCET	2808	14199	SIPO	UV	68278848
347652	1179	1996-01-05	VYDAJ	PREVOD NA UCET	2808	12051	SIPO	UV	68278848
347653	1179	1996-02-05	VYDAJ	PREVOD NA UCET	2808	11743	SIPO	UV	68278848
347654	1179	1996-03-05	VYDAJ	PREVOD NA UCET	2808	13197	SIPO	UV	68278848
347655	1179	1996-04-05	VYDAJ	PREVOD NA UCET	2808	14657	SIPO	UV	68278848
347656	1179	1996-05-05	VYDAJ	PREVOD NA UCET	2808	16124	SIPO	UV	68278848
347657	1179	1996-06-05	VYDAJ	PREVOD NA UCET	2808	17596	SIPO	UV	68278848
347658	1179	1996-07-05	VYDAJ	PREVOD NA UCET	2808	19074	SIPO	UV	68278848
347659	1179	1996-08-05	VYDAJ	PREVOD NA UCET	2808	20559	SIPO	UV	68278848
347660	1179	1996-09-05	VYDAJ	PREVOD NA UCET	2808	22050	SIPO	UV	68278848
347661	1179	1996-10-05	VYDAJ	PREVOD NA UCET	2808	23546	SIPO	UV	68278848
347662	1179	1996-11-05	VYDAJ	PREVOD NA UCET	2808	22349	SIPO	UV	68278848
347663	1179	1996-12-05	VYDAJ	PREVOD NA UCET	2808	21526	SIPO	UV	68278848
347664	1179	1997-01-05	VYDAJ	PREVOD NA UCET	2808	18629	SIPO	UV	68278848
347665	1179	1997-02-05	VYDAJ	PREVOD NA UCET	2808	12563	SIPO	UV	68278848
347666	1179	1997-03-05	VYDAJ	PREVOD NA UCET	2808	14020	SIPO	UV	68278848
347667	1179	1997-04-05	VYDAJ	PREVOD NA UCET	2808	15484	SIPO	UV	68278848
347668	1179	1997-05-05	VYDAJ	PREVOD NA UCET	2808	16953	SIPO	UV	68278848
347669	1179	1997-06-05	VYDAJ	PREVOD NA UCET	2808	16423	SIPO	UV	68278848
347670	1179	1997-07-05	VYDAJ	PREVOD NA UCET	2808	17895	SIPO	UV	68278848
347671	1179	1997-08-05	VYDAJ	PREVOD NA UCET	2808	15844	SIPO	UV	68278848
347672	1179	1997-09-05	VYDAJ	PREVOD NA UCET	2808	17314	SIPO	UV	68278848
347673	1179	1997-10-05	VYDAJ	PREVOD NA UCET	2808	18790	SIPO	UV	68278848
347674	1179	1997-11-05	VYDAJ	PREVOD NA UCET	2808	16488	SIPO	UV	68278848
347675	1179	1997-12-05	VYDAJ	PREVOD NA UCET	2808	17961	SIPO	UV	68278848
347676	1179	1998-01-05	VYDAJ	PREVOD NA UCET	2808	15359	SIPO	UV	68278848
347677	1179	1998-02-05	VYDAJ	PREVOD NA UCET	2808	14024	SIPO	UV	68278848
347678	1179	1998-03-05	VYDAJ	PREVOD NA UCET	2808	15487	SIPO	UV	68278848
347679	1179	1998-04-05	VYDAJ	PREVOD NA UCET	2808	16075	SIPO	UV	68278848
347680	1179	1998-05-05	VYDAJ	PREVOD NA UCET	2808	14505	SIPO	UV	68278848
347681	1179	1998-06-05	VYDAJ	PREVOD NA UCET	2808	15770	SIPO	UV	68278848
347682	1179	1998-07-05	VYDAJ	PREVOD NA UCET	2808	12114	SIPO	UV	68278848
347683	1179	1998-08-05	VYDAJ	PREVOD NA UCET	2808	13568	SIPO	UV	68278848
347684	1179	1998-09-05	VYDAJ	PREVOD NA UCET	2808	15028	SIPO	UV	68278848
347685	1179	1998-10-05	VYDAJ	PREVOD NA UCET	2808	12490	SIPO	UV	68278848
347686	1179	1998-11-05	VYDAJ	PREVOD NA UCET	2808	12044	SIPO	UV	68278848
347687	1179	1998-12-05	VYDAJ	PREVOD NA UCET	2808	13297	SIPO	UV	68278848
347696	1179	1995-01-01	VYDAJ	VYBER	3700	18615	\N	\N	\N
347698	1179	1997-01-15	VYDAJ	VYBER	3050	16351	\N	\N	\N
347700	1179	1993-12-30	VYDAJ	VYBER	700	14647	\N	\N	\N
347701	1179	1994-12-03	VYDAJ	VYBER	250	20835	\N	\N	\N
347702	1179	1995-12-07	VYDAJ	VYBER	650	17761	\N	\N	\N
347703	1179	1996-12-16	VYDAJ	VYBER	350	25388	\N	\N	\N
347704	1179	1997-12-12	VYDAJ	VYBER	300	21873	\N	\N	\N
347712	1179	1994-01-08	VYDAJ	VYBER	1600	14499	\N	\N	\N
347714	1179	1994-01-13	VYDAJ	VYBER	800	13699	\N	\N	\N
347717	1179	1994-01-14	VYDAJ	VYBER	400	13299	\N	\N	\N
347718	1179	1995-01-16	VYDAJ	VYBER	1040	17379	\N	\N	\N
347719	1179	1995-01-29	VYDAJ	VYBER	880	15059	\N	\N	\N
347720	1179	1995-01-20	VYDAJ	VYBER	960	16419	\N	\N	\N
347721	1179	1995-01-09	VYDAJ	VYBER	480	19539	\N	\N	\N
347722	1179	1995-01-12	VYDAJ	VYBER	1120	18419	\N	\N	\N
347723	1179	1995-01-22	VYDAJ	VYBER	480	15939	\N	\N	\N
347726	1179	1996-01-04	VYDAJ	VYBER	720	14859	\N	\N	\N
347728	1179	1996-01-19	VYDAJ	VYBER	880	14503	\N	\N	\N
347729	1179	1996-01-10	VYDAJ	VYBER	880	15383	\N	\N	\N
347731	1179	1997-01-21	VYDAJ	VYBER	1040	15311	\N	\N	\N
347735	1179	1997-01-03	VYDAJ	VYBER	1040	21437	\N	\N	\N
347736	1179	1998-01-24	VYDAJ	VYBER	1840	16771	\N	\N	\N
347737	1179	1998-01-01	VYDAJ	VYBER	800	20247	\N	\N	\N
347738	1179	1998-01-05	VYDAJ	VYBER	1600	18167	\N	\N	\N
347739	1179	1998-01-16	VYDAJ	VYBER	960	18611	\N	\N	\N
347740	1179	1998-01-03	VYDAJ	VYBER	480	19767	\N	\N	\N
347743	1179	1993-07-09	VYDAJ	VYBER	3760	19392	\N	\N	\N
347744	1179	1993-08-05	VYDAJ	VYBER	3840	12814	\N	\N	\N
347745	1179	1993-11-30	VYDAJ	VYBER	3680	13957	\N	\N	\N
347746	1179	1993-10-10	VYDAJ	VYBER	1040	16109	\N	\N	\N
347747	1179	1993-09-25	VYDAJ	VYBER	2800	15686	\N	\N	\N
347750	1179	1994-01-15	VYDAJ	VYBER	640	12659	\N	\N	\N
347751	1179	1994-04-14	VYDAJ	VYBER	1280	15724	\N	\N	\N
347753	1179	1994-11-30	VYDAJ	VYBER	1520	21100	\N	\N	\N
347754	1179	1994-06-20	VYDAJ	VYBER	3440	15200	\N	\N	\N
347755	1179	1995-06-14	VYDAJ	VYBER	1600	15814	\N	\N	\N
347756	1179	1995-10-17	VYDAJ	VYBER	1040	15498	\N	\N	\N
347757	1179	1995-05-01	VYDAJ	VYBER	3200	16308	\N	\N	\N
347758	1179	1995-05-29	VYDAJ	VYBER	1760	15952	\N	\N	\N
347759	1179	1995-09-28	VYDAJ	VYBER	1440	15076	\N	\N	\N
347760	1179	1995-09-12	VYDAJ	VYBER	3680	16516	\N	\N	\N
347761	1179	1996-01-03	VYDAJ	VYBER	2240	15579	\N	\N	\N
347762	1179	1996-11-23	VYDAJ	VYBER	2320	24241	\N	\N	\N
347764	1179	1997-05-12	VYDAJ	VYBER	2000	19165	\N	\N	\N
347765	1179	1997-07-09	VYDAJ	VYBER	3520	18587	\N	\N	\N
347766	1179	1997-10-15	VYDAJ	VYBER	1680	21322	\N	\N	\N
347768	1179	1997-01-10	VYDAJ	VYBER	3440	19401	\N	\N	\N
347769	1179	1998-06-20	VYDAJ	VYBER	1520	18462	\N	\N	\N
347773	1179	1998-06-21	VYDAJ	VYBER	1200	17262	\N	\N	\N
347774	1179	1998-03-28	VYDAJ	VYBER	880	18819	\N	\N	\N
347775	1179	1998-05-03	VYDAJ	VYBER	2640	17313	\N	\N	\N
347783	1179	1993-06-30	VYDAJ	VYBER	15	21748	SLUZBY	\N	\N
347784	1179	1993-07-31	VYDAJ	VYBER	15	19462	SLUZBY	\N	\N
347785	1179	1993-08-31	VYDAJ	VYBER	15	17082	SLUZBY	\N	\N
347786	1179	1993-09-30	VYDAJ	VYBER	15	15745	SLUZBY	\N	\N
347787	1179	1993-10-31	VYDAJ	VYBER	15	16162	SLUZBY	\N	\N
347788	1179	1993-11-30	VYDAJ	VYBER	15	13943	SLUZBY	\N	\N
347789	1179	1993-12-31	VYDAJ	VYBER	15	14695	SLUZBY	\N	\N
347790	1179	1994-01-31	VYDAJ	VYBER	15	12700	SLUZBY	\N	\N
347791	1179	1994-02-28	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
347792	1179	1994-03-31	VYDAJ	VYBER	15	15600	SLUZBY	\N	\N
347793	1179	1994-04-30	VYDAJ	VYBER	15	15776	SLUZBY	\N	\N
347794	1179	1994-05-31	VYDAJ	VYBER	15	17236	SLUZBY	\N	\N
347795	1179	1994-06-30	VYDAJ	VYBER	15	15257	SLUZBY	\N	\N
347796	1179	1994-07-31	VYDAJ	VYBER	15	16714	SLUZBY	\N	\N
347797	1179	1994-08-31	VYDAJ	VYBER	15	18178	SLUZBY	\N	\N
347798	1179	1994-09-30	VYDAJ	VYBER	15	19648	SLUZBY	\N	\N
347799	1179	1994-10-31	VYDAJ	VYBER	15	21123	SLUZBY	\N	\N
347800	1179	1994-11-30	VYDAJ	VYBER	15	21085	SLUZBY	\N	\N
347801	1179	1994-12-31	VYDAJ	VYBER	15	22315	SLUZBY	\N	\N
347802	1179	1995-01-31	VYDAJ	VYBER	15	15119	SLUZBY	\N	\N
347803	1179	1995-02-28	VYDAJ	VYBER	15	16576	SLUZBY	\N	\N
347804	1179	1995-03-31	VYDAJ	VYBER	15	18039	SLUZBY	\N	\N
347805	1179	1995-04-30	VYDAJ	VYBER	15	19508	SLUZBY	\N	\N
347806	1179	1995-05-31	VYDAJ	VYBER	15	16010	SLUZBY	\N	\N
347807	1179	1995-06-30	VYDAJ	VYBER	15	15866	SLUZBY	\N	\N
347808	1179	1995-07-31	VYDAJ	VYBER	15	17326	SLUZBY	\N	\N
347809	1179	1995-08-31	VYDAJ	VYBER	15	18792	SLUZBY	\N	\N
347810	1179	1995-09-30	VYDAJ	VYBER	15	15134	SLUZBY	\N	\N
347811	1179	1995-10-31	VYDAJ	VYBER	15	15548	SLUZBY	\N	\N
347812	1179	1995-11-30	VYDAJ	VYBER	15	17007	SLUZBY	\N	\N
347813	1179	1995-12-31	VYDAJ	VYBER	15	17819	SLUZBY	\N	\N
347814	1179	1996-01-31	VYDAJ	VYBER	15	14551	SLUZBY	\N	\N
347815	1179	1996-02-29	VYDAJ	VYBER	15	16005	SLUZBY	\N	\N
347816	1179	1996-03-31	VYDAJ	VYBER	15	17465	SLUZBY	\N	\N
347817	1179	1996-04-30	VYDAJ	VYBER	15	18932	SLUZBY	\N	\N
347818	1179	1996-05-31	VYDAJ	VYBER	15	20404	SLUZBY	\N	\N
347819	1179	1996-06-30	VYDAJ	VYBER	15	21882	SLUZBY	\N	\N
347820	1179	1996-07-31	VYDAJ	VYBER	15	23367	SLUZBY	\N	\N
347821	1179	1996-08-31	VYDAJ	VYBER	15	24858	SLUZBY	\N	\N
347822	1179	1996-09-30	VYDAJ	VYBER	15	26354	SLUZBY	\N	\N
347823	1179	1996-10-31	VYDAJ	VYBER	15	27857	SLUZBY	\N	\N
347824	1179	1996-11-30	VYDAJ	VYBER	15	24334	SLUZBY	\N	\N
347825	1179	1996-12-31	VYDAJ	VYBER	15	25477	SLUZBY	\N	\N
347826	1179	1997-01-31	VYDAJ	VYBER	15	15371	SLUZBY	\N	\N
347827	1179	1997-02-28	VYDAJ	VYBER	15	16828	SLUZBY	\N	\N
347828	1179	1997-03-31	VYDAJ	VYBER	15	18292	SLUZBY	\N	\N
347829	1179	1997-04-30	VYDAJ	VYBER	15	19761	SLUZBY	\N	\N
347830	1179	1997-05-31	VYDAJ	VYBER	15	19231	SLUZBY	\N	\N
347831	1179	1997-06-30	VYDAJ	VYBER	15	20703	SLUZBY	\N	\N
347832	1179	1997-07-31	VYDAJ	VYBER	15	18652	SLUZBY	\N	\N
347833	1179	1997-08-31	VYDAJ	VYBER	15	20122	SLUZBY	\N	\N
347834	1179	1997-09-30	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
347835	1179	1997-10-31	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
347836	1179	1997-11-30	VYDAJ	VYBER	15	20769	SLUZBY	\N	\N
347837	1179	1997-12-31	VYDAJ	VYBER	15	21047	SLUZBY	\N	\N
347838	1179	1998-01-31	VYDAJ	VYBER	15	16832	SLUZBY	\N	\N
347839	1179	1998-02-28	VYDAJ	VYBER	15	18295	SLUZBY	\N	\N
347840	1179	1998-03-31	VYDAJ	VYBER	15	18883	SLUZBY	\N	\N
347841	1179	1998-04-30	VYDAJ	VYBER	15	19953	SLUZBY	\N	\N
347842	1179	1998-05-31	VYDAJ	VYBER	15	18578	SLUZBY	\N	\N
347843	1179	1998-06-30	VYDAJ	VYBER	15	14922	SLUZBY	\N	\N
347844	1179	1998-07-31	VYDAJ	VYBER	15	16376	SLUZBY	\N	\N
347845	1179	1998-08-31	VYDAJ	VYBER	15	17836	SLUZBY	\N	\N
347846	1179	1998-09-30	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
347847	1179	1998-10-31	VYDAJ	VYBER	15	14852	SLUZBY	\N	\N
347848	1179	1998-11-30	VYDAJ	VYBER	15	16105	SLUZBY	\N	\N
347849	1179	1996-11-03	VYDAJ	VYBER	2700	25157	\N	\N	\N
347850	1179	1997-01-02	VYDAJ	VYBER	3000	22477	\N	\N	\N
347851	1179	1997-10-29	VYDAJ	VYBER	2100	19222	\N	\N	\N
347852	1179	1997-12-28	VYDAJ	VYBER	900	20973	\N	\N	\N
347853	1179	1998-04-27	VYDAJ	VYBER	400	19887	\N	\N	\N
347854	1179	1998-05-27	VYDAJ	VYBER	200	18517	\N	\N	\N
347855	1179	1998-06-26	VYDAJ	VYBER	2400	14862	\N	\N	\N
347856	1179	1998-09-24	VYDAJ	VYBER	4000	15240	\N	\N	\N
347857	1179	1998-10-24	VYDAJ	VYBER	1900	14802	\N	\N	\N
347858	1179	1998-11-23	VYDAJ	VYBER	200	16056	\N	\N	\N
347926	1180	1993-05-19	PRIJEM	VKLAD	500	500	\N	\N	\N
347932	1180	1993-06-05	PRIJEM	VKLAD	22809	23309	\N	\N	\N
347933	1180	1993-07-05	PRIJEM	VKLAD	15206	40260	\N	\N	\N
347934	1180	1993-08-05	PRIJEM	VKLAD	15206	45580	\N	\N	\N
347935	1180	1993-09-05	PRIJEM	VKLAD	15206	47917	\N	\N	\N
347936	1180	1993-10-05	PRIJEM	VKLAD	15206	49362	\N	\N	\N
347937	1180	1993-11-05	PRIJEM	VKLAD	15206	52924	\N	\N	\N
347938	1180	1993-12-05	PRIJEM	VKLAD	22809	61077	\N	\N	\N
347939	1180	1994-01-05	PRIJEM	VKLAD	15206	50550	\N	\N	\N
347940	1180	1994-02-05	PRIJEM	VKLAD	15206	47910	\N	\N	\N
347941	1180	1994-03-05	PRIJEM	VKLAD	15206	50747	\N	\N	\N
347942	1180	1994-04-05	PRIJEM	VKLAD	15206	53091	\N	\N	\N
347943	1180	1994-05-05	PRIJEM	VKLAD	15206	51202	\N	\N	\N
347944	1180	1994-06-05	PRIJEM	VKLAD	22809	42035	\N	\N	\N
347945	1180	1994-07-05	PRIJEM	VKLAD	15206	48914	\N	\N	\N
347946	1180	1994-08-05	PRIJEM	VKLAD	15206	50850	\N	\N	\N
347947	1180	1994-09-05	PRIJEM	VKLAD	15206	50935	\N	\N	\N
347948	1180	1994-10-05	PRIJEM	VKLAD	15206	50674	\N	\N	\N
347949	1180	1994-11-05	PRIJEM	VKLAD	15206	54925	\N	\N	\N
347950	1180	1994-12-05	PRIJEM	VKLAD	22809	63086	\N	\N	\N
347951	1180	1995-01-05	PRIJEM	VKLAD	15206	47148	\N	\N	\N
347952	1180	1995-02-05	PRIJEM	VKLAD	15206	41120	\N	\N	\N
347953	1180	1995-03-05	PRIJEM	VKLAD	15206	46836	\N	\N	\N
347954	1180	1995-04-05	PRIJEM	VKLAD	15206	49366	\N	\N	\N
347955	1180	1995-05-05	PRIJEM	VKLAD	15206	49697	\N	\N	\N
347956	1180	1995-06-05	PRIJEM	VKLAD	22809	63765	\N	\N	\N
347957	1180	1995-07-05	PRIJEM	VKLAD	15206	27936	\N	\N	\N
347958	1180	1995-08-05	PRIJEM	VKLAD	15206	44734	\N	\N	\N
347959	1180	1995-09-05	PRIJEM	VKLAD	15206	49305	\N	\N	\N
347960	1180	1995-10-05	PRIJEM	VKLAD	15206	46001	\N	\N	\N
347961	1180	1995-11-05	PRIJEM	VKLAD	15206	52643	\N	\N	\N
347962	1180	1995-12-05	PRIJEM	VKLAD	22809	63102	\N	\N	\N
347963	1180	1996-01-05	PRIJEM	VKLAD	15206	49788	\N	\N	\N
347964	1180	1996-02-05	PRIJEM	VKLAD	15206	47642	\N	\N	\N
347965	1180	1996-03-05	PRIJEM	VKLAD	15206	53123	\N	\N	\N
347966	1180	1996-04-05	PRIJEM	VKLAD	15206	54232	\N	\N	\N
347967	1180	1996-05-05	PRIJEM	VKLAD	15206	54664	\N	\N	\N
347968	1180	1996-06-05	PRIJEM	VKLAD	22809	59162	\N	\N	\N
347969	1180	1996-07-05	PRIJEM	VKLAD	15206	34949	\N	\N	\N
347970	1180	1996-08-05	PRIJEM	VKLAD	15206	48574	\N	\N	\N
347971	1180	1996-09-05	PRIJEM	VKLAD	15206	52957	\N	\N	\N
347972	1180	1996-10-05	PRIJEM	VKLAD	15206	55061	\N	\N	\N
347973	1180	1996-11-05	PRIJEM	VKLAD	15206	56317	\N	\N	\N
347974	1180	1996-12-05	PRIJEM	VKLAD	22809	65881	\N	\N	\N
347975	1180	1997-01-05	PRIJEM	VKLAD	15206	60652	\N	\N	\N
347976	1180	1997-02-05	PRIJEM	VKLAD	15206	53499	\N	\N	\N
347977	1180	1997-03-05	PRIJEM	VKLAD	15206	58649	\N	\N	\N
347978	1180	1997-04-05	PRIJEM	VKLAD	15206	62721	\N	\N	\N
347979	1180	1997-05-05	PRIJEM	VKLAD	15206	60307	\N	\N	\N
347980	1180	1997-06-05	PRIJEM	VKLAD	22809	67109	\N	\N	\N
347981	1180	1997-07-05	PRIJEM	VKLAD	15206	52618	\N	\N	\N
347982	1180	1997-08-05	PRIJEM	VKLAD	15206	50201	\N	\N	\N
347983	1180	1997-09-05	PRIJEM	VKLAD	15206	58642	\N	\N	\N
347984	1180	1997-10-05	PRIJEM	VKLAD	15206	63115	\N	\N	\N
347985	1180	1997-11-05	PRIJEM	VKLAD	15206	66607	\N	\N	\N
347986	1180	1997-12-05	PRIJEM	VKLAD	22809	74011	\N	\N	\N
347987	1180	1998-01-05	PRIJEM	VKLAD	15206	66454	\N	\N	\N
347988	1180	1998-02-05	PRIJEM	VKLAD	15206	52314	\N	\N	\N
347989	1180	1998-03-05	PRIJEM	VKLAD	15206	57862	\N	\N	\N
347990	1180	1998-04-05	PRIJEM	VKLAD	15206	67237	\N	\N	\N
347991	1180	1998-05-05	PRIJEM	VKLAD	15206	73948	\N	\N	\N
347992	1180	1998-06-05	PRIJEM	VKLAD	22809	87090	\N	\N	\N
347993	1180	1998-07-05	PRIJEM	VKLAD	15206	63728	\N	\N	\N
347994	1180	1998-08-05	PRIJEM	VKLAD	15206	76334	\N	\N	\N
347995	1180	1998-09-05	PRIJEM	VKLAD	15206	82406	\N	\N	\N
347996	1180	1998-10-05	PRIJEM	VKLAD	15206	86278	\N	\N	\N
347997	1180	1998-11-05	PRIJEM	VKLAD	15206	92470	\N	\N	\N
347998	1180	1998-12-05	PRIJEM	VKLAD	22809	103186	\N	\N	\N
348000	1180	1994-06-03	VYDAJ	VYBER	19040	19226	\N	\N	\N
348001	1180	1995-06-21	VYDAJ	VYBER	32320	12605	\N	\N	\N
348002	1180	1996-06-24	VYDAJ	VYBER	44000	15162	\N	\N	\N
348003	1180	1997-06-23	VYDAJ	VYBER	23360	43749	\N	\N	\N
348004	1180	1998-06-29	VYDAJ	VYBER	23680	48250	\N	\N	\N
348005	1180	1993-12-09	VYDAJ	VYBER	1280	59797	\N	\N	\N
348006	1180	1994-12-23	VYDAJ	VYBER	1120	40666	\N	\N	\N
348007	1180	1995-12-28	VYDAJ	VYBER	4000	44702	\N	\N	\N
348008	1180	1996-12-23	VYDAJ	VYBER	2240	59561	\N	\N	\N
348009	1180	1997-12-17	VYDAJ	VYBER	2400	71611	\N	\N	\N
348010	1180	1998-12-24	VYDAJ	VYBER	3200	84006	\N	\N	\N
348017	1180	1994-01-29	VYDAJ	VYBER	840	32550	\N	\N	\N
348018	1180	1994-01-13	VYDAJ	VYBER	2760	47790	\N	\N	\N
348019	1180	1994-01-01	VYDAJ	VYBER	2520	38344	\N	\N	\N
348020	1180	1994-01-29	VYDAJ	VYBER	2880	33390	\N	\N	\N
348021	1180	1994-01-21	VYDAJ	VYBER	1920	36270	\N	\N	\N
348022	1180	1994-01-01	VYDAJ	VYBER	3000	35344	\N	\N	\N
348023	1180	1995-01-04	VYDAJ	VYBER	3480	31942	\N	\N	\N
348024	1180	1995-01-03	VYDAJ	VYBER	2760	35422	\N	\N	\N
348025	1180	1995-01-18	VYDAJ	VYBER	2520	29148	\N	\N	\N
348026	1180	1995-01-30	VYDAJ	VYBER	3360	25788	\N	\N	\N
348027	1180	1995-01-15	VYDAJ	VYBER	3240	31668	\N	\N	\N
348028	1180	1995-01-12	VYDAJ	VYBER	2040	34908	\N	\N	\N
348029	1180	1996-01-17	VYDAJ	VYBER	1440	43788	\N	\N	\N
348030	1180	1996-01-26	VYDAJ	VYBER	2640	39468	\N	\N	\N
348031	1180	1996-01-08	VYDAJ	VYBER	1320	47508	\N	\N	\N
348032	1180	1996-01-19	VYDAJ	VYBER	1680	42108	\N	\N	\N
348033	1180	1996-01-16	VYDAJ	VYBER	2280	45228	\N	\N	\N
348034	1180	1996-01-06	VYDAJ	VYBER	960	48828	\N	\N	\N
348035	1180	1997-01-20	VYDAJ	VYBER	2760	51772	\N	\N	\N
348036	1180	1997-01-24	VYDAJ	VYBER	1080	47692	\N	\N	\N
348037	1180	1997-01-20	VYDAJ	VYBER	3240	54532	\N	\N	\N
348038	1180	1997-01-05	VYDAJ	VYBER	600	60052	\N	\N	\N
348039	1180	1997-01-17	VYDAJ	VYBER	2280	57772	\N	\N	\N
348040	1180	1997-01-21	VYDAJ	VYBER	3000	48772	\N	\N	\N
348041	1180	1998-01-04	VYDAJ	VYBER	1680	51248	\N	\N	\N
348042	1180	1998-01-24	VYDAJ	VYBER	2040	42294	\N	\N	\N
348043	1180	1998-01-27	VYDAJ	VYBER	3360	36894	\N	\N	\N
348044	1180	1998-01-12	VYDAJ	VYBER	2760	63694	\N	\N	\N
348045	1180	1998-01-12	VYDAJ	VYBER	1560	62134	\N	\N	\N
348046	1180	1998-01-24	VYDAJ	VYBER	2040	40254	\N	\N	\N
348050	1180	1993-10-27	VYDAJ	VYBER	1080	37582	\N	\N	\N
348051	1180	1994-02-21	VYDAJ	VYBER	2400	35410	\N	\N	\N
348052	1180	1994-06-01	VYDAJ	VYBER	1680	38266	\N	\N	\N
348053	1180	1994-08-09	VYDAJ	VYBER	2160	48690	\N	\N	\N
348054	1180	1994-04-10	VYDAJ	VYBER	3840	49251	\N	\N	\N
348055	1180	1994-06-12	VYDAJ	VYBER	1560	40475	\N	\N	\N
348056	1180	1994-09-16	VYDAJ	VYBER	1200	35335	\N	\N	\N
348057	1180	1995-01-02	VYDAJ	VYBER	2640	38182	\N	\N	\N
348058	1180	1995-09-23	VYDAJ	VYBER	5160	30665	\N	\N	\N
348059	1180	1995-06-17	VYDAJ	VYBER	1440	44925	\N	\N	\N
348060	1180	1995-08-13	VYDAJ	VYBER	3360	33974	\N	\N	\N
348061	1180	1995-05-03	VYDAJ	VYBER	5520	34491	\N	\N	\N
348062	1180	1995-09-20	VYDAJ	VYBER	1680	35825	\N	\N	\N
348063	1180	1996-08-27	VYDAJ	VYBER	600	47974	\N	\N	\N
348064	1180	1996-12-20	VYDAJ	VYBER	4080	61801	\N	\N	\N
348065	1180	1996-04-24	VYDAJ	VYBER	4080	50152	\N	\N	\N
348066	1180	1996-09-19	VYDAJ	VYBER	4560	48397	\N	\N	\N
348067	1180	1996-01-30	VYDAJ	VYBER	5400	34068	\N	\N	\N
348068	1180	1996-06-03	VYDAJ	VYBER	3720	36353	\N	\N	\N
348069	1180	1997-07-29	VYDAJ	VYBER	2760	34858	\N	\N	\N
348070	1180	1997-05-16	VYDAJ	VYBER	1200	59107	\N	\N	\N
348071	1180	1998-12-07	VYDAJ	VYBER	2880	100306	\N	\N	\N
348072	1180	1998-08-25	VYDAJ	VYBER	2880	66954	\N	\N	\N
348073	1180	1998-06-15	VYDAJ	VYBER	1560	85530	\N	\N	\N
348084	1180	1993-10-31	VYDAJ	VYBER	15	37718	SLUZBY	\N	\N
348085	1180	1993-11-30	VYDAJ	VYBER	15	38268	SLUZBY	\N	\N
348086	1180	1993-12-31	VYDAJ	VYBER	15	40864	SLUZBY	\N	\N
348087	1180	1994-01-31	VYDAJ	VYBER	15	32704	SLUZBY	\N	\N
348088	1180	1994-02-28	VYDAJ	VYBER	15	35541	SLUZBY	\N	\N
348089	1180	1994-03-31	VYDAJ	VYBER	15	37885	SLUZBY	\N	\N
348090	1180	1994-04-30	VYDAJ	VYBER	15	35996	SLUZBY	\N	\N
348091	1180	1994-05-31	VYDAJ	VYBER	15	39946	SLUZBY	\N	\N
348092	1180	1994-06-30	VYDAJ	VYBER	15	33708	SLUZBY	\N	\N
348093	1180	1994-07-31	VYDAJ	VYBER	15	35644	SLUZBY	\N	\N
348094	1180	1994-08-31	VYDAJ	VYBER	15	35729	SLUZBY	\N	\N
348095	1180	1994-09-30	VYDAJ	VYBER	15	35468	SLUZBY	\N	\N
348096	1180	1994-10-31	VYDAJ	VYBER	15	39719	SLUZBY	\N	\N
348097	1180	1994-11-30	VYDAJ	VYBER	15	40277	SLUZBY	\N	\N
348098	1180	1994-12-31	VYDAJ	VYBER	15	40822	SLUZBY	\N	\N
348099	1180	1995-01-31	VYDAJ	VYBER	15	25914	SLUZBY	\N	\N
348100	1180	1995-02-28	VYDAJ	VYBER	15	31630	SLUZBY	\N	\N
348101	1180	1995-03-31	VYDAJ	VYBER	15	34160	SLUZBY	\N	\N
348102	1180	1995-04-30	VYDAJ	VYBER	15	40011	SLUZBY	\N	\N
348103	1180	1995-05-31	VYDAJ	VYBER	15	40956	SLUZBY	\N	\N
348104	1180	1995-06-30	VYDAJ	VYBER	15	12730	SLUZBY	\N	\N
348105	1180	1995-07-31	VYDAJ	VYBER	15	29528	SLUZBY	\N	\N
348106	1180	1995-08-31	VYDAJ	VYBER	15	34099	SLUZBY	\N	\N
348107	1180	1995-09-30	VYDAJ	VYBER	15	30795	SLUZBY	\N	\N
348108	1180	1995-10-31	VYDAJ	VYBER	15	37437	SLUZBY	\N	\N
348109	1180	1995-11-30	VYDAJ	VYBER	15	40293	SLUZBY	\N	\N
348110	1180	1995-12-31	VYDAJ	VYBER	15	44882	SLUZBY	\N	\N
348111	1180	1996-01-31	VYDAJ	VYBER	15	34236	SLUZBY	\N	\N
348112	1180	1996-02-29	VYDAJ	VYBER	15	47817	SLUZBY	\N	\N
348113	1180	1996-03-31	VYDAJ	VYBER	15	53326	SLUZBY	\N	\N
348114	1180	1996-04-30	VYDAJ	VYBER	15	50358	SLUZBY	\N	\N
348115	1180	1996-05-31	VYDAJ	VYBER	15	54873	SLUZBY	\N	\N
348116	1180	1996-06-30	VYDAJ	VYBER	15	15343	SLUZBY	\N	\N
348117	1180	1996-07-31	VYDAJ	VYBER	15	35068	SLUZBY	\N	\N
348118	1180	1996-08-31	VYDAJ	VYBER	15	37751	SLUZBY	\N	\N
348119	1180	1996-09-30	VYDAJ	VYBER	15	39855	SLUZBY	\N	\N
348120	1180	1996-10-31	VYDAJ	VYBER	15	41111	SLUZBY	\N	\N
348121	1180	1996-11-30	VYDAJ	VYBER	15	43072	SLUZBY	\N	\N
348122	1180	1996-12-31	VYDAJ	VYBER	15	45446	SLUZBY	\N	\N
348123	1180	1997-01-31	VYDAJ	VYBER	15	38293	SLUZBY	\N	\N
348124	1180	1997-02-28	VYDAJ	VYBER	15	43443	SLUZBY	\N	\N
348125	1180	1997-03-31	VYDAJ	VYBER	15	47515	SLUZBY	\N	\N
348126	1180	1997-04-30	VYDAJ	VYBER	15	45101	SLUZBY	\N	\N
348127	1180	1997-05-31	VYDAJ	VYBER	15	44300	SLUZBY	\N	\N
348128	1180	1997-06-30	VYDAJ	VYBER	15	37412	SLUZBY	\N	\N
348129	1180	1997-07-31	VYDAJ	VYBER	15	34995	SLUZBY	\N	\N
348130	1180	1997-08-31	VYDAJ	VYBER	15	43436	SLUZBY	\N	\N
348131	1180	1997-09-30	VYDAJ	VYBER	15	47909	SLUZBY	\N	\N
348132	1180	1997-10-31	VYDAJ	VYBER	15	51401	SLUZBY	\N	\N
348133	1180	1997-11-30	VYDAJ	VYBER	15	51202	SLUZBY	\N	\N
348134	1180	1997-12-31	VYDAJ	VYBER	15	52928	SLUZBY	\N	\N
348135	1180	1998-01-31	VYDAJ	VYBER	15	37108	SLUZBY	\N	\N
348136	1180	1998-02-28	VYDAJ	VYBER	15	42656	SLUZBY	\N	\N
348137	1180	1998-03-31	VYDAJ	VYBER	15	52031	SLUZBY	\N	\N
348138	1180	1998-04-30	VYDAJ	VYBER	15	58742	SLUZBY	\N	\N
348139	1180	1998-05-31	VYDAJ	VYBER	15	64281	SLUZBY	\N	\N
348140	1180	1998-06-30	VYDAJ	VYBER	15	48522	SLUZBY	\N	\N
348141	1180	1998-07-31	VYDAJ	VYBER	15	61128	SLUZBY	\N	\N
348142	1180	1998-08-31	VYDAJ	VYBER	15	67200	SLUZBY	\N	\N
348143	1180	1998-09-30	VYDAJ	VYBER	15	71072	SLUZBY	\N	\N
348144	1180	1998-10-31	VYDAJ	VYBER	15	77264	SLUZBY	\N	\N
348145	1180	1998-11-30	VYDAJ	VYBER	15	80377	SLUZBY	\N	\N
348146	1180	1993-06-18	PRIJEM	VKLAD	1700	25009	\N	\N	\N
348147	1180	1993-07-18	VYDAJ	VYBER	10000	30260	\N	\N	\N
348148	1180	1993-08-17	VYDAJ	VYBER	13000	32580	\N	\N	\N
348149	1180	1993-09-16	VYDAJ	VYBER	13900	34017	\N	\N	\N
348150	1180	1993-10-16	VYDAJ	VYBER	10700	38662	\N	\N	\N
348151	1180	1993-11-15	VYDAJ	VYBER	14800	38124	\N	\N	\N
348152	1180	1993-12-15	VYDAJ	VYBER	19100	40697	\N	\N	\N
348153	1180	1994-01-14	VYDAJ	VYBER	9600	38190	\N	\N	\N
348154	1180	1994-02-13	VYDAJ	VYBER	10100	37810	\N	\N	\N
348155	1180	1994-03-15	VYDAJ	VYBER	13000	37747	\N	\N	\N
348156	1180	1994-04-14	VYDAJ	VYBER	13400	35851	\N	\N	\N
348157	1180	1994-05-14	VYDAJ	VYBER	11400	39802	\N	\N	\N
348158	1180	1994-06-13	VYDAJ	VYBER	6900	33575	\N	\N	\N
348159	1180	1994-07-13	VYDAJ	VYBER	13400	35514	\N	\N	\N
348160	1180	1994-08-12	VYDAJ	VYBER	13100	35590	\N	\N	\N
348161	1180	1994-09-11	VYDAJ	VYBER	14400	36535	\N	\N	\N
348162	1180	1994-10-11	VYDAJ	VYBER	11100	39574	\N	\N	\N
348163	1180	1994-11-10	VYDAJ	VYBER	14800	40125	\N	\N	\N
348164	1180	1994-12-10	VYDAJ	VYBER	21300	41786	\N	\N	\N
348165	1180	1995-01-09	VYDAJ	VYBER	10200	36948	\N	\N	\N
348166	1180	1995-02-08	VYDAJ	VYBER	9600	31520	\N	\N	\N
348167	1180	1995-03-10	VYDAJ	VYBER	12800	34036	\N	\N	\N
348168	1180	1995-04-09	VYDAJ	VYBER	9500	39866	\N	\N	\N
348169	1180	1995-05-09	VYDAJ	VYBER	8900	40797	\N	\N	\N
348170	1180	1995-06-08	VYDAJ	VYBER	17400	46365	\N	\N	\N
348171	1180	1995-07-08	PRIJEM	VKLAD	1500	29436	\N	\N	\N
348172	1180	1995-08-07	VYDAJ	VYBER	7400	37334	\N	\N	\N
348173	1180	1995-09-06	VYDAJ	VYBER	11800	37505	\N	\N	\N
348174	1180	1995-10-06	VYDAJ	VYBER	8700	37301	\N	\N	\N
348175	1180	1995-11-05	VYDAJ	VYBER	12500	40143	\N	\N	\N
348176	1180	1995-12-05	VYDAJ	VYBER	14400	48702	\N	\N	\N
348177	1180	1996-01-04	VYDAJ	VYBER	10300	34582	\N	\N	\N
348178	1180	1996-02-03	VYDAJ	VYBER	1800	32436	\N	\N	\N
348179	1180	1996-03-04	VYDAJ	VYBER	9900	37917	\N	\N	\N
348180	1180	1996-04-03	VYDAJ	VYBER	14300	39026	\N	\N	\N
348181	1180	1996-05-03	VYDAJ	VYBER	10900	39458	\N	\N	\N
348182	1180	1996-06-02	VYDAJ	VYBER	14800	40073	\N	\N	\N
348183	1180	1996-07-02	PRIJEM	VKLAD	4400	19743	\N	\N	\N
348184	1180	1996-08-01	VYDAJ	VYBER	1700	33368	\N	\N	\N
348185	1180	1996-08-31	VYDAJ	VYBER	10400	37765	\N	\N	\N
348186	1180	1996-09-30	VYDAJ	VYBER	8700	39869	\N	\N	\N
348187	1180	1996-10-30	VYDAJ	VYBER	14100	40961	\N	\N	\N
348188	1180	1996-11-29	VYDAJ	VYBER	13400	42917	\N	\N	\N
348189	1180	1996-12-29	VYDAJ	VYBER	14300	45261	\N	\N	\N
348190	1180	1997-01-28	VYDAJ	VYBER	9600	38092	\N	\N	\N
348191	1180	1997-02-27	VYDAJ	VYBER	10200	43299	\N	\N	\N
348192	1180	1997-03-29	VYDAJ	VYBER	11300	47349	\N	\N	\N
348193	1180	1997-04-28	VYDAJ	VYBER	17800	44921	\N	\N	\N
348194	1180	1997-05-28	VYDAJ	VYBER	15000	44107	\N	\N	\N
348195	1180	1997-06-27	VYDAJ	VYBER	6500	37249	\N	\N	\N
348196	1180	1997-07-27	VYDAJ	VYBER	15000	37618	\N	\N	\N
348197	1180	1997-08-26	VYDAJ	VYBER	6900	43301	\N	\N	\N
348198	1180	1997-09-25	VYDAJ	VYBER	10900	47742	\N	\N	\N
348199	1180	1997-10-25	VYDAJ	VYBER	11900	51215	\N	\N	\N
348200	1180	1997-11-24	VYDAJ	VYBER	15600	51007	\N	\N	\N
348201	1180	1997-12-24	VYDAJ	VYBER	18900	52711	\N	\N	\N
348202	1180	1998-01-23	VYDAJ	VYBER	17800	44334	\N	\N	\N
348203	1180	1998-02-22	VYDAJ	VYBER	9800	42514	\N	\N	\N
348204	1180	1998-03-24	VYDAJ	VYBER	6000	51862	\N	\N	\N
348205	1180	1998-04-23	VYDAJ	VYBER	8700	58537	\N	\N	\N
348206	1180	1998-05-23	VYDAJ	VYBER	9900	64048	\N	\N	\N
348207	1180	1998-06-22	VYDAJ	VYBER	13600	71930	\N	\N	\N
348208	1180	1998-07-22	VYDAJ	VYBER	2800	60928	\N	\N	\N
348209	1180	1998-08-21	VYDAJ	VYBER	6500	69834	\N	\N	\N
348210	1180	1998-09-20	VYDAJ	VYBER	11600	70806	\N	\N	\N
348211	1180	1998-10-20	VYDAJ	VYBER	9300	76978	\N	\N	\N
348212	1180	1998-11-19	VYDAJ	VYBER	12400	80070	\N	\N	\N
348213	1180	1998-12-19	VYDAJ	VYBER	13100	87206	\N	\N	\N
348281	1181	1997-08-20	PRIJEM	VKLAD	200	200	\N	\N	\N
348290	1181	1997-09-05	PRIJEM	VKLAD	5805	6005	\N	\N	\N
348291	1181	1997-10-05	PRIJEM	VKLAD	5805	24541	\N	\N	\N
348292	1181	1997-11-05	PRIJEM	VKLAD	5805	31737	\N	\N	\N
348293	1181	1997-12-05	PRIJEM	VKLAD	8708	36756	\N	\N	\N
348294	1181	1998-01-05	PRIJEM	VKLAD	5805	36482	\N	\N	\N
348295	1181	1998-02-05	PRIJEM	VKLAD	5805	22169	\N	\N	\N
348296	1181	1998-03-05	PRIJEM	VKLAD	5805	26193	\N	\N	\N
348297	1181	1998-04-05	PRIJEM	VKLAD	5805	30614	\N	\N	\N
348298	1181	1998-05-05	PRIJEM	VKLAD	5805	32944	\N	\N	\N
348299	1181	1998-06-05	PRIJEM	VKLAD	8708	36785	\N	\N	\N
348300	1181	1998-07-05	PRIJEM	VKLAD	5805	30847	\N	\N	\N
348301	1181	1998-08-05	PRIJEM	VKLAD	5805	28071	\N	\N	\N
348302	1181	1998-09-05	PRIJEM	VKLAD	5805	24077	\N	\N	\N
348303	1181	1998-10-05	PRIJEM	VKLAD	5805	23674	\N	\N	\N
348304	1181	1998-11-05	PRIJEM	VKLAD	5805	20062	\N	\N	\N
348305	1181	1998-12-05	PRIJEM	VKLAD	8708	23347	\N	\N	\N
348318	1181	1998-01-08	VYDAJ	PREVOD NA UCET	3418	19144	SIPO	OP	84730392
348319	1181	1998-02-08	VYDAJ	PREVOD NA UCET	3418	18751	SIPO	OP	84730392
348320	1181	1998-03-08	VYDAJ	PREVOD NA UCET	3418	22775	SIPO	OP	84730392
348321	1181	1998-04-08	VYDAJ	PREVOD NA UCET	3418	27196	SIPO	OP	84730392
348322	1181	1998-05-08	VYDAJ	PREVOD NA UCET	3418	29526	SIPO	OP	84730392
348323	1181	1998-06-08	VYDAJ	PREVOD NA UCET	3418	33367	SIPO	OP	84730392
348324	1181	1998-07-08	VYDAJ	PREVOD NA UCET	3418	27429	SIPO	OP	84730392
348325	1181	1998-08-08	VYDAJ	PREVOD NA UCET	3418	24653	SIPO	OP	84730392
348326	1181	1998-09-08	VYDAJ	PREVOD NA UCET	3418	20659	SIPO	OP	84730392
348327	1181	1998-10-08	VYDAJ	PREVOD NA UCET	3418	20256	SIPO	OP	84730392
348328	1181	1998-11-08	VYDAJ	PREVOD NA UCET	3418	16644	SIPO	OP	84730392
348329	1181	1998-12-08	VYDAJ	PREVOD NA UCET	3418	19929	SIPO	OP	84730392
348342	1181	1998-01-09	VYDAJ	PREVOD NA UCET	329	18815	 	WX	99466686
348343	1181	1998-02-09	VYDAJ	PREVOD NA UCET	329	18422	 	WX	99466686
348344	1181	1998-03-09	VYDAJ	PREVOD NA UCET	329	22446	 	WX	99466686
348345	1181	1998-04-09	VYDAJ	PREVOD NA UCET	329	26867	 	WX	99466686
348346	1181	1998-05-09	VYDAJ	PREVOD NA UCET	329	29197	 	WX	99466686
348347	1181	1998-06-09	VYDAJ	PREVOD NA UCET	329	33038	 	WX	99466686
348348	1181	1998-07-09	VYDAJ	PREVOD NA UCET	329	27100	 	WX	99466686
348349	1181	1998-08-09	VYDAJ	PREVOD NA UCET	329	24324	 	WX	99466686
348350	1181	1998-09-09	VYDAJ	PREVOD NA UCET	329	20330	 	WX	99466686
348351	1181	1998-10-09	VYDAJ	PREVOD NA UCET	329	19927	 	WX	99466686
348352	1181	1998-11-09	VYDAJ	PREVOD NA UCET	329	16315	 	WX	99466686
348353	1181	1998-12-09	VYDAJ	PREVOD NA UCET	329	19600	 	WX	99466686
348366	1181	1998-01-14	VYDAJ	PREVOD NA UCET	123	17372	POJISTNE	YZ	73321759
348367	1181	1998-02-14	VYDAJ	PREVOD NA UCET	123	18299	POJISTNE	YZ	73321759
348368	1181	1998-03-14	VYDAJ	PREVOD NA UCET	123	22323	POJISTNE	YZ	73321759
348369	1181	1998-04-14	VYDAJ	PREVOD NA UCET	123	26744	POJISTNE	YZ	73321759
348370	1181	1998-05-14	VYDAJ	PREVOD NA UCET	123	29074	POJISTNE	YZ	73321759
348371	1181	1998-06-14	VYDAJ	PREVOD NA UCET	123	32915	POJISTNE	YZ	73321759
348372	1181	1998-07-14	VYDAJ	PREVOD NA UCET	123	26977	POJISTNE	YZ	73321759
348373	1181	1998-08-14	VYDAJ	PREVOD NA UCET	123	24201	POJISTNE	YZ	73321759
348374	1181	1998-09-14	VYDAJ	PREVOD NA UCET	123	17807	POJISTNE	YZ	73321759
348556	1182	1998-02-28	VYDAJ	VYBER	15	25456	SLUZBY	\N	\N
348375	1181	1998-10-14	VYDAJ	PREVOD NA UCET	123	14204	POJISTNE	YZ	73321759
348376	1181	1998-11-14	VYDAJ	PREVOD NA UCET	123	14592	POJISTNE	YZ	73321759
348377	1181	1998-12-14	VYDAJ	PREVOD NA UCET	123	17177	POJISTNE	YZ	73321759
348381	1181	1998-01-08	VYDAJ	VYBER	13920	22562	\N	\N	\N
348383	1181	1998-12-20	VYDAJ	VYBER	4320	12857	\N	\N	\N
348390	1181	1998-01-15	VYDAJ	VYBER	600	16772	\N	\N	\N
348391	1181	1998-01-17	VYDAJ	VYBER	3360	20012	\N	\N	\N
348392	1181	1998-01-29	VYDAJ	VYBER	1440	16292	\N	\N	\N
348393	1181	1998-01-18	VYDAJ	VYBER	2280	17732	\N	\N	\N
348395	1181	1998-01-12	VYDAJ	VYBER	1320	17495	\N	\N	\N
348401	1181	1998-03-02	VYDAJ	VYBER	2880	20388	\N	\N	\N
348402	1181	1998-07-04	VYDAJ	VYBER	1560	25042	\N	\N	\N
348404	1181	1998-07-01	VYDAJ	VYBER	1320	26602	\N	\N	\N
348418	1181	1998-01-31	VYDAJ	VYBER	15	16364	SLUZBY	\N	\N
348419	1181	1998-02-28	VYDAJ	VYBER	15	23268	SLUZBY	\N	\N
348420	1181	1998-03-31	VYDAJ	VYBER	15	24809	SLUZBY	\N	\N
348421	1181	1998-04-30	VYDAJ	VYBER	15	27139	SLUZBY	\N	\N
348422	1181	1998-05-31	VYDAJ	VYBER	15	28077	SLUZBY	\N	\N
348423	1181	1998-06-30	VYDAJ	VYBER	15	27922	SLUZBY	\N	\N
348424	1181	1998-07-31	VYDAJ	VYBER	15	22266	SLUZBY	\N	\N
348425	1181	1998-08-31	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
348426	1181	1998-09-30	VYDAJ	VYBER	15	17869	SLUZBY	\N	\N
348427	1181	1998-10-31	VYDAJ	VYBER	15	14257	SLUZBY	\N	\N
348428	1181	1998-11-30	VYDAJ	VYBER	15	14639	SLUZBY	\N	\N
348429	1181	1997-09-19	PRIJEM	VKLAD	12700	18705	\N	\N	\N
348430	1181	1997-10-19	PRIJEM	VKLAD	1300	25841	\N	\N	\N
348431	1181	1997-11-18	VYDAJ	VYBER	3800	27937	\N	\N	\N
348432	1181	1997-12-18	VYDAJ	VYBER	6200	30556	\N	\N	\N
348433	1181	1998-01-17	PRIJEM	VKLAD	6600	23372	\N	\N	\N
348434	1181	1998-02-16	PRIJEM	VKLAD	4900	23199	\N	\N	\N
348435	1181	1998-03-18	PRIJEM	VKLAD	2400	24723	\N	\N	\N
348436	1181	1998-04-17	PRIJEM	VKLAD	300	27044	\N	\N	\N
348437	1181	1998-05-17	VYDAJ	VYBER	1100	27974	\N	\N	\N
348438	1181	1998-06-16	VYDAJ	VYBER	5100	27815	\N	\N	\N
348439	1181	1998-07-16	VYDAJ	VYBER	4800	22177	\N	\N	\N
348440	1181	1998-08-15	VYDAJ	VYBER	6000	18201	\N	\N	\N
348441	1181	1998-09-14	VYDAJ	VYBER	2400	17930	\N	\N	\N
348442	1181	1998-10-14	VYDAJ	VYBER	5600	14327	\N	\N	\N
348443	1181	1998-11-13	VYDAJ	VYBER	1600	14715	\N	\N	\N
348444	1181	1998-12-13	VYDAJ	VYBER	2300	17300	\N	\N	\N
348461	1182	1997-02-11	PRIJEM	VKLAD	700	700	\N	\N	\N
348464	1182	1997-03-05	PRIJEM	PREVOD Z UCTU	16627	17327	\N	CD	15337181
348465	1182	1997-04-05	PRIJEM	PREVOD Z UCTU	16627	38309	\N	CD	15337181
348466	1182	1997-05-05	PRIJEM	PREVOD Z UCTU	16627	52363	\N	CD	15337181
348467	1182	1997-06-05	PRIJEM	PREVOD Z UCTU	24940	66668	\N	CD	15337181
348468	1182	1997-07-05	PRIJEM	PREVOD Z UCTU	16627	66992	\N	CD	15337181
348469	1182	1997-08-05	PRIJEM	PREVOD Z UCTU	16627	55218	\N	CD	15337181
348470	1182	1997-09-05	PRIJEM	PREVOD Z UCTU	16627	66041	\N	CD	15337181
348471	1182	1997-10-05	PRIJEM	PREVOD Z UCTU	16627	66661	\N	CD	15337181
348472	1182	1997-11-05	PRIJEM	PREVOD Z UCTU	16627	53118	\N	CD	15337181
348473	1182	1997-12-05	PRIJEM	PREVOD Z UCTU	24940	70022	\N	CD	15337181
348474	1182	1998-01-05	PRIJEM	PREVOD Z UCTU	16627	38984	\N	CD	15337181
348475	1182	1998-02-05	PRIJEM	PREVOD Z UCTU	16627	23579	\N	CD	15337181
348476	1182	1998-03-05	PRIJEM	PREVOD Z UCTU	16627	42083	\N	CD	15337181
348477	1182	1998-04-05	PRIJEM	PREVOD Z UCTU	16627	50544	\N	CD	15337181
348478	1182	1998-05-05	PRIJEM	PREVOD Z UCTU	16627	59025	\N	CD	15337181
348479	1182	1998-06-05	PRIJEM	PREVOD Z UCTU	24940	71541	\N	CD	15337181
348480	1182	1998-07-05	PRIJEM	PREVOD Z UCTU	16627	65655	\N	CD	15337181
348481	1182	1998-08-05	PRIJEM	PREVOD Z UCTU	16627	65670	\N	CD	15337181
348482	1182	1998-09-05	PRIJEM	PREVOD Z UCTU	16627	53189	\N	CD	15337181
348483	1182	1998-10-05	PRIJEM	PREVOD Z UCTU	16627	58084	\N	CD	15337181
348484	1182	1998-11-05	PRIJEM	PREVOD Z UCTU	16627	45635	\N	CD	15337181
348485	1182	1998-12-05	PRIJEM	PREVOD Z UCTU	24940	62238	\N	CD	15337181
348513	1182	1997-10-29	VYBER	VYBER	18170	36291	\N	\N	\N
348516	1182	1997-12-12	VYBER	VYBER	24091	26431	\N	\N	\N
348521	1182	1998-10-19	VYBER	VYBER	17928	24556	\N	\N	\N
348522	1182	1998-09-18	VYBER	VYBER	6823	46366	\N	\N	\N
348523	1182	1998-03-07	VYBER	VYBER	6586	35497	\N	\N	\N
348528	1182	1998-01-22	VYDAJ	VYBER	5400	14084	\N	\N	\N
348529	1182	1997-12-12	VYDAJ	VYBER	4200	22231	\N	\N	\N
348530	1182	1998-12-30	VYDAJ	VYBER	6900	46038	\N	\N	\N
348532	1182	1997-08-01	VYDAJ	VYBER	13500	38591	\N	\N	\N
348536	1182	1998-01-23	VYDAJ	VYBER	7200	6884	\N	\N	\N
348537	1182	1998-01-16	VYDAJ	VYBER	12900	19484	\N	\N	\N
348538	1182	1998-09-02	VYDAJ	VYBER	4200	45662	\N	\N	\N
348539	1182	1998-10-17	VYDAJ	VYBER	10200	42484	\N	\N	\N
348540	1182	1998-12-08	VYDAJ	VYBER	9300	52938	\N	\N	\N
348541	1182	1998-10-08	VYDAJ	VYBER	5400	52684	\N	\N	\N
348549	1182	1997-07-31	VYDAJ	VYBER	15	52091	SLUZBY	\N	\N
348550	1182	1997-08-31	VYDAJ	VYBER	15	49414	SLUZBY	\N	\N
348551	1182	1997-09-30	VYDAJ	VYBER	15	50034	SLUZBY	\N	\N
348552	1182	1997-10-31	VYDAJ	VYBER	15	36491	SLUZBY	\N	\N
348553	1182	1997-11-30	VYDAJ	VYBER	15	45082	SLUZBY	\N	\N
348554	1182	1997-12-31	VYDAJ	VYBER	15	22357	SLUZBY	\N	\N
348555	1182	1998-01-31	VYDAJ	VYBER	15	6952	SLUZBY	\N	\N
348557	1182	1998-03-31	VYDAJ	VYBER	15	33917	SLUZBY	\N	\N
348558	1182	1998-04-30	VYDAJ	VYBER	15	42398	SLUZBY	\N	\N
348559	1182	1998-05-31	VYDAJ	VYBER	15	46601	SLUZBY	\N	\N
348560	1182	1998-06-30	VYDAJ	VYBER	15	49028	SLUZBY	\N	\N
348561	1182	1998-07-31	VYDAJ	VYBER	15	49043	SLUZBY	\N	\N
348562	1182	1998-08-31	VYDAJ	VYBER	15	49862	SLUZBY	\N	\N
348563	1182	1998-09-30	VYDAJ	VYBER	15	46557	SLUZBY	\N	\N
348564	1182	1998-10-31	VYDAJ	VYBER	15	24708	SLUZBY	\N	\N
348565	1182	1998-11-30	VYDAJ	VYBER	15	45798	SLUZBY	\N	\N
348566	1182	1997-03-13	PRIJEM	VKLAD	4300	21627	\N	\N	\N
348567	1182	1997-04-12	VYDAJ	VYBER	2700	35609	\N	\N	\N
348568	1182	1997-05-12	VYDAJ	VYBER	10800	41563	\N	\N	\N
348569	1182	1997-06-11	VYDAJ	VYBER	16500	50168	\N	\N	\N
348570	1182	1997-07-11	VYDAJ	VYBER	15100	51892	\N	\N	\N
348571	1182	1997-08-10	VYDAJ	VYBER	6000	49218	\N	\N	\N
348572	1182	1997-09-09	VYDAJ	VYBER	16200	49841	\N	\N	\N
348573	1182	1997-10-09	VYDAJ	VYBER	12200	54461	\N	\N	\N
348574	1182	1997-11-08	VYDAJ	VYBER	8200	44918	\N	\N	\N
348575	1182	1997-12-08	VYDAJ	VYBER	19500	50522	\N	\N	\N
348576	1182	1998-01-07	VYDAJ	VYBER	6600	32384	\N	\N	\N
348577	1182	1998-02-06	PRIJEM	VKLAD	1800	25379	\N	\N	\N
348578	1182	1998-03-08	VYDAJ	VYBER KARTOU	1700	33797	\N	\N	0
348579	1182	1998-04-07	VYDAJ	VYBER	8300	42244	\N	\N	\N
348580	1182	1998-05-07	VYDAJ	VYBER	12600	46425	\N	\N	\N
348581	1182	1998-06-06	VYDAJ	VYBER	22700	48841	\N	\N	\N
348582	1182	1998-07-06	VYDAJ	VYBER	16800	48855	\N	\N	\N
348583	1182	1998-08-05	VYDAJ	VYBER	16000	49670	\N	\N	\N
348584	1182	1998-09-04	VYDAJ	VYBER	9100	36562	\N	\N	\N
348585	1182	1998-10-04	VYDAJ	VYBER	5100	41457	\N	\N	\N
348586	1182	1998-11-03	PRIJEM	VKLAD	4300	29008	\N	\N	\N
348587	1182	1998-12-03	VYDAJ	VYBER	8500	37298	\N	\N	\N
348610	1183	1995-05-08	PRIJEM	VKLAD	700	700	\N	\N	\N
348616	1183	1995-06-07	PRIJEM	VKLAD	6588	7288	\N	\N	\N
348617	1183	1995-07-07	PRIJEM	VKLAD	4392	23541	\N	\N	\N
348618	1183	1995-08-07	PRIJEM	VKLAD	4392	26912	\N	\N	\N
348619	1183	1995-09-07	PRIJEM	VKLAD	4392	29510	\N	\N	\N
348620	1183	1995-10-07	PRIJEM	VKLAD	4392	33222	\N	\N	\N
348621	1183	1995-11-07	PRIJEM	VKLAD	4392	26457	\N	\N	\N
348622	1183	1995-12-07	PRIJEM	VKLAD	6588	30915	\N	\N	\N
348623	1183	1996-01-07	PRIJEM	VKLAD	4392	29651	\N	\N	\N
348624	1183	1996-02-07	PRIJEM	VKLAD	4392	31211	\N	\N	\N
348625	1183	1996-03-07	PRIJEM	VKLAD	4392	30276	\N	\N	\N
348626	1183	1996-04-07	PRIJEM	VKLAD	4392	29142	\N	\N	\N
348627	1183	1996-05-07	PRIJEM	VKLAD	4392	32801	\N	\N	\N
348628	1183	1996-06-07	PRIJEM	VKLAD	6588	36441	\N	\N	\N
348629	1183	1996-07-07	PRIJEM	VKLAD	4392	35324	\N	\N	\N
348630	1183	1996-08-07	PRIJEM	VKLAD	4392	33269	\N	\N	\N
348631	1183	1996-09-07	PRIJEM	VKLAD	4392	36443	\N	\N	\N
348632	1183	1996-10-07	PRIJEM	VKLAD	4392	36330	\N	\N	\N
348633	1183	1996-11-07	PRIJEM	VKLAD	4392	35316	\N	\N	\N
348634	1183	1996-12-07	PRIJEM	VKLAD	6588	37093	\N	\N	\N
348635	1183	1997-01-07	PRIJEM	VKLAD	4392	34015	\N	\N	\N
348636	1183	1997-02-07	PRIJEM	VKLAD	4392	32817	\N	\N	\N
348637	1183	1997-03-07	PRIJEM	VKLAD	4392	32248	\N	\N	\N
348638	1183	1997-04-07	PRIJEM	VKLAD	4392	30616	\N	\N	\N
348639	1183	1997-05-07	PRIJEM	VKLAD	4392	34380	\N	\N	\N
348640	1183	1997-06-07	PRIJEM	VKLAD	6588	36053	\N	\N	\N
348641	1183	1997-07-07	PRIJEM	VKLAD	4392	32625	\N	\N	\N
348642	1183	1997-08-07	PRIJEM	VKLAD	4392	31694	\N	\N	\N
348643	1183	1997-09-07	PRIJEM	VKLAD	4392	34862	\N	\N	\N
348644	1183	1997-10-07	PRIJEM	VKLAD	4392	33439	\N	\N	\N
348645	1183	1997-11-07	PRIJEM	VKLAD	4392	30342	\N	\N	\N
348646	1183	1997-12-07	PRIJEM	VKLAD	6588	37303	\N	\N	\N
348647	1183	1998-01-07	PRIJEM	VKLAD	4392	38768	\N	\N	\N
348648	1183	1998-02-07	PRIJEM	VKLAD	4392	38121	\N	\N	\N
348649	1183	1998-03-07	PRIJEM	VKLAD	4392	39814	\N	\N	\N
348650	1183	1998-04-07	PRIJEM	VKLAD	4392	35708	\N	\N	\N
348651	1183	1998-05-07	PRIJEM	VKLAD	4392	30968	\N	\N	\N
348652	1183	1998-06-07	PRIJEM	VKLAD	6588	36536	\N	\N	\N
348653	1183	1998-07-07	PRIJEM	VKLAD	4392	28527	\N	\N	\N
348654	1183	1998-08-07	PRIJEM	VKLAD	4392	26175	\N	\N	\N
348655	1183	1998-09-07	PRIJEM	VKLAD	4392	27318	\N	\N	\N
348656	1183	1998-10-07	PRIJEM	VKLAD	4392	27664	\N	\N	\N
348657	1183	1998-11-07	PRIJEM	VKLAD	4392	21040	\N	\N	\N
348658	1183	1998-12-07	PRIJEM	VKLAD	6588	22453	\N	\N	\N
348668	1183	1995-10-14	VYDAJ	PREVOD NA UCET	1882	30294	SIPO	YZ	94248866
348669	1183	1995-11-14	VYDAJ	PREVOD NA UCET	1882	20049	SIPO	YZ	94248866
348670	1183	1995-12-14	VYDAJ	PREVOD NA UCET	1882	27987	SIPO	YZ	94248866
348671	1183	1996-01-14	VYDAJ	PREVOD NA UCET	1882	26723	SIPO	YZ	94248866
348672	1183	1996-02-14	VYDAJ	PREVOD NA UCET	1882	28283	SIPO	YZ	94248866
348673	1183	1996-03-14	VYDAJ	PREVOD NA UCET	1882	27348	SIPO	YZ	94248866
348674	1183	1996-04-14	VYDAJ	PREVOD NA UCET	1882	26214	SIPO	YZ	94248866
348675	1183	1996-05-14	VYDAJ	PREVOD NA UCET	1882	29873	SIPO	YZ	94248866
348676	1183	1996-06-14	VYDAJ	PREVOD NA UCET	1882	33513	SIPO	YZ	94248866
348677	1183	1996-07-14	VYDAJ	PREVOD NA UCET	1882	32396	SIPO	YZ	94248866
348678	1183	1996-08-14	VYDAJ	PREVOD NA UCET	1882	30341	SIPO	YZ	94248866
348679	1183	1996-09-14	VYDAJ	PREVOD NA UCET	1882	33515	SIPO	YZ	94248866
348680	1183	1996-10-14	VYDAJ	PREVOD NA UCET	1882	33402	SIPO	YZ	94248866
348681	1183	1996-11-14	VYDAJ	PREVOD NA UCET	1882	32388	SIPO	YZ	94248866
348682	1183	1996-12-14	VYDAJ	PREVOD NA UCET	1882	34165	SIPO	YZ	94248866
348683	1183	1997-01-14	VYDAJ	PREVOD NA UCET	1882	31087	SIPO	YZ	94248866
348684	1183	1997-02-14	VYDAJ	PREVOD NA UCET	1882	28329	SIPO	YZ	94248866
348685	1183	1997-03-14	VYDAJ	PREVOD NA UCET	1882	29320	SIPO	YZ	94248866
348686	1183	1997-04-14	VYDAJ	PREVOD NA UCET	1882	27688	SIPO	YZ	94248866
348687	1183	1997-05-14	VYDAJ	PREVOD NA UCET	1882	31452	SIPO	YZ	94248866
348688	1183	1997-06-14	VYDAJ	PREVOD NA UCET	1882	33125	SIPO	YZ	94248866
348689	1183	1997-07-14	VYDAJ	PREVOD NA UCET	1882	29697	SIPO	YZ	94248866
348690	1183	1997-08-14	VYDAJ	PREVOD NA UCET	1882	28766	SIPO	YZ	94248866
348691	1183	1997-09-14	VYDAJ	PREVOD NA UCET	1882	31934	SIPO	YZ	94248866
348692	1183	1997-10-14	VYDAJ	PREVOD NA UCET	1882	26551	SIPO	YZ	94248866
348693	1183	1997-11-14	VYDAJ	PREVOD NA UCET	1882	27414	SIPO	YZ	94248866
348694	1183	1997-12-14	VYDAJ	PREVOD NA UCET	1882	34375	SIPO	YZ	94248866
348695	1183	1998-01-14	VYDAJ	PREVOD NA UCET	1882	35840	SIPO	YZ	94248866
348696	1183	1998-02-14	VYDAJ	PREVOD NA UCET	1882	35193	SIPO	YZ	94248866
348697	1183	1998-03-14	VYDAJ	PREVOD NA UCET	1882	36886	SIPO	YZ	94248866
348698	1183	1998-04-14	VYDAJ	PREVOD NA UCET	1882	32780	SIPO	YZ	94248866
348699	1183	1998-05-14	VYDAJ	PREVOD NA UCET	1882	28040	SIPO	YZ	94248866
348700	1183	1998-06-14	VYDAJ	PREVOD NA UCET	1882	33608	SIPO	YZ	94248866
348701	1183	1998-07-14	VYDAJ	PREVOD NA UCET	1882	25599	SIPO	YZ	94248866
348702	1183	1998-08-14	VYDAJ	PREVOD NA UCET	1882	23247	SIPO	YZ	94248866
348703	1183	1998-09-14	VYDAJ	PREVOD NA UCET	1882	24390	SIPO	YZ	94248866
348704	1183	1998-10-14	VYDAJ	PREVOD NA UCET	1882	24736	SIPO	YZ	94248866
348705	1183	1998-11-14	VYDAJ	PREVOD NA UCET	1882	18112	SIPO	YZ	94248866
348706	1183	1998-12-14	VYDAJ	PREVOD NA UCET	1882	19525	SIPO	YZ	94248866
348716	1183	1995-10-12	VYDAJ	PREVOD NA UCET	1046	32176	 	QR	47705107
348717	1183	1995-11-12	VYDAJ	PREVOD NA UCET	1046	21931	 	QR	47705107
348718	1183	1995-12-12	VYDAJ	PREVOD NA UCET	1046	29869	 	QR	47705107
348719	1183	1996-01-12	VYDAJ	PREVOD NA UCET	1046	28605	 	QR	47705107
348720	1183	1996-02-12	VYDAJ	PREVOD NA UCET	1046	30165	 	QR	47705107
348721	1183	1996-03-12	VYDAJ	PREVOD NA UCET	1046	29230	 	QR	47705107
348722	1183	1996-04-12	VYDAJ	PREVOD NA UCET	1046	28096	 	QR	47705107
348723	1183	1996-05-12	VYDAJ	PREVOD NA UCET	1046	31755	 	QR	47705107
348724	1183	1996-06-12	VYDAJ	PREVOD NA UCET	1046	35395	 	QR	47705107
348725	1183	1996-07-12	VYDAJ	PREVOD NA UCET	1046	34278	 	QR	47705107
348726	1183	1996-08-12	VYDAJ	PREVOD NA UCET	1046	32223	 	QR	47705107
348727	1183	1996-09-12	VYDAJ	PREVOD NA UCET	1046	35397	 	QR	47705107
348728	1183	1996-10-12	VYDAJ	PREVOD NA UCET	1046	35284	 	QR	47705107
348729	1183	1996-11-12	VYDAJ	PREVOD NA UCET	1046	34270	 	QR	47705107
348730	1183	1996-12-12	VYDAJ	PREVOD NA UCET	1046	36047	 	QR	47705107
348731	1183	1997-01-12	VYDAJ	PREVOD NA UCET	1046	32969	 	QR	47705107
348732	1183	1997-02-12	VYDAJ	PREVOD NA UCET	1046	31771	 	QR	47705107
348733	1183	1997-03-12	VYDAJ	PREVOD NA UCET	1046	31202	 	QR	47705107
348734	1183	1997-04-12	VYDAJ	PREVOD NA UCET	1046	29570	 	QR	47705107
348735	1183	1997-05-12	VYDAJ	PREVOD NA UCET	1046	33334	 	QR	47705107
348736	1183	1997-06-12	VYDAJ	PREVOD NA UCET	1046	35007	 	QR	47705107
348737	1183	1997-07-12	VYDAJ	PREVOD NA UCET	1046	31579	 	QR	47705107
348738	1183	1997-08-12	VYDAJ	PREVOD NA UCET	1046	30648	 	QR	47705107
348739	1183	1997-09-12	VYDAJ	PREVOD NA UCET	1046	33816	 	QR	47705107
348740	1183	1997-10-12	VYDAJ	PREVOD NA UCET	1046	28433	 	QR	47705107
348741	1183	1997-11-12	VYDAJ	PREVOD NA UCET	1046	29296	 	QR	47705107
348742	1183	1997-12-12	VYDAJ	PREVOD NA UCET	1046	36257	 	QR	47705107
348743	1183	1998-01-12	VYDAJ	PREVOD NA UCET	1046	37722	 	QR	47705107
348744	1183	1998-02-12	VYDAJ	PREVOD NA UCET	1046	37075	 	QR	47705107
348745	1183	1998-03-12	VYDAJ	PREVOD NA UCET	1046	38768	 	QR	47705107
348746	1183	1998-04-12	VYDAJ	PREVOD NA UCET	1046	34662	 	QR	47705107
348747	1183	1998-05-12	VYDAJ	PREVOD NA UCET	1046	29922	 	QR	47705107
348748	1183	1998-06-12	VYDAJ	PREVOD NA UCET	1046	35490	 	QR	47705107
348749	1183	1998-07-12	VYDAJ	PREVOD NA UCET	1046	27481	 	QR	47705107
348750	1183	1998-08-12	VYDAJ	PREVOD NA UCET	1046	25129	 	QR	47705107
348751	1183	1998-09-12	VYDAJ	PREVOD NA UCET	1046	26272	 	QR	47705107
348752	1183	1998-10-12	VYDAJ	PREVOD NA UCET	1046	26618	 	QR	47705107
348753	1183	1998-11-12	VYDAJ	PREVOD NA UCET	1046	19994	 	QR	47705107
348754	1183	1998-12-12	VYDAJ	PREVOD NA UCET	1046	21407	 	QR	47705107
348755	1183	1995-12-22	VYDAJ	VYBER	4160	23827	\N	\N	\N
348756	1183	1996-12-20	VYDAJ	VYBER	3520	30645	\N	\N	\N
348757	1183	1997-12-18	VYDAJ	VYBER	3520	30855	\N	\N	\N
348759	1183	1995-10-28	VYDAJ	VYBER	5040	25254	\N	\N	\N
348763	1183	1995-11-11	VYDAJ	VYBER	3480	22977	\N	\N	\N
348764	1183	1995-12-29	VYDAJ	VYBER	1560	22267	\N	\N	\N
348765	1183	1996-05-21	VYDAJ	VYBER	4080	23753	\N	\N	\N
348766	1183	1996-05-19	VYDAJ	VYBER	2040	27833	\N	\N	\N
348767	1183	1996-07-26	VYDAJ	VYBER	4440	27956	\N	\N	\N
348768	1183	1996-03-29	VYDAJ	VYBER	3600	23748	\N	\N	\N
348769	1183	1997-06-14	VYDAJ	VYBER	4200	28925	\N	\N	\N
348770	1183	1997-02-03	VYDAJ	VYBER	2880	28425	\N	\N	\N
348771	1183	1997-01-02	VYDAJ	VYBER	2520	30343	\N	\N	\N
348772	1183	1997-01-05	VYDAJ	VYBER	720	29623	\N	\N	\N
348773	1183	1997-02-23	VYDAJ	VYBER	3120	24249	\N	\N	\N
348774	1183	1997-10-11	VYDAJ	VYBER	3960	29479	\N	\N	\N
348775	1183	1997-02-18	VYDAJ	VYBER	960	27369	\N	\N	\N
348776	1183	1997-02-13	VYDAJ	VYBER	1560	30211	\N	\N	\N
348777	1183	1998-06-24	VYDAJ	VYBER	4080	24028	\N	\N	\N
348778	1183	1998-05-03	VYDAJ	VYBER	3720	26576	\N	\N	\N
348779	1183	1998-01-22	VYDAJ	VYBER	1440	33600	\N	\N	\N
348780	1183	1998-10-24	VYDAJ	VYBER	1560	16576	\N	\N	\N
348791	1183	1995-10-31	VYDAJ	VYBER	15	25365	SLUZBY	\N	\N
348792	1183	1995-11-30	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
348793	1183	1995-12-31	VYDAJ	VYBER	15	22359	SLUZBY	\N	\N
348794	1183	1996-01-31	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
348795	1183	1996-02-29	VYDAJ	VYBER	15	28384	SLUZBY	\N	\N
348796	1183	1996-03-31	VYDAJ	VYBER	15	23850	SLUZBY	\N	\N
348797	1183	1996-04-30	VYDAJ	VYBER	15	26309	SLUZBY	\N	\N
348798	1183	1996-05-31	VYDAJ	VYBER	15	23853	SLUZBY	\N	\N
348799	1183	1996-06-30	VYDAJ	VYBER	15	33632	SLUZBY	\N	\N
348800	1183	1996-07-31	VYDAJ	VYBER	15	28877	SLUZBY	\N	\N
348801	1183	1996-08-31	VYDAJ	VYBER	15	32051	SLUZBY	\N	\N
348802	1183	1996-09-30	VYDAJ	VYBER	15	31938	SLUZBY	\N	\N
348803	1183	1996-10-31	VYDAJ	VYBER	15	30924	SLUZBY	\N	\N
348804	1183	1996-11-30	VYDAJ	VYBER	15	30505	SLUZBY	\N	\N
348805	1183	1996-12-31	VYDAJ	VYBER	15	32863	SLUZBY	\N	\N
348806	1183	1997-01-31	VYDAJ	VYBER	15	31305	SLUZBY	\N	\N
348807	1183	1997-02-28	VYDAJ	VYBER	15	27856	SLUZBY	\N	\N
348808	1183	1997-03-31	VYDAJ	VYBER	15	26224	SLUZBY	\N	\N
348809	1183	1997-04-30	VYDAJ	VYBER	15	29988	SLUZBY	\N	\N
348810	1183	1997-05-31	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
348811	1183	1997-06-30	VYDAJ	VYBER	15	28233	SLUZBY	\N	\N
348812	1183	1997-07-31	VYDAJ	VYBER	15	27302	SLUZBY	\N	\N
348813	1183	1997-08-31	VYDAJ	VYBER	15	30470	SLUZBY	\N	\N
348814	1183	1997-09-30	VYDAJ	VYBER	15	29047	SLUZBY	\N	\N
348815	1183	1997-10-31	VYDAJ	VYBER	15	25950	SLUZBY	\N	\N
348816	1183	1997-11-30	VYDAJ	VYBER	15	30715	SLUZBY	\N	\N
348817	1183	1997-12-31	VYDAJ	VYBER	15	34376	SLUZBY	\N	\N
348818	1183	1998-01-31	VYDAJ	VYBER	15	33729	SLUZBY	\N	\N
348819	1183	1998-02-28	VYDAJ	VYBER	15	35422	SLUZBY	\N	\N
348820	1183	1998-03-31	VYDAJ	VYBER	15	31316	SLUZBY	\N	\N
348821	1183	1998-04-30	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
348822	1183	1998-05-31	VYDAJ	VYBER	15	29948	SLUZBY	\N	\N
348823	1183	1998-06-30	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
348824	1183	1998-07-31	VYDAJ	VYBER	15	21783	SLUZBY	\N	\N
348825	1183	1998-08-31	VYDAJ	VYBER	15	22926	SLUZBY	\N	\N
348826	1183	1998-09-30	VYDAJ	VYBER	15	23272	SLUZBY	\N	\N
348827	1183	1998-10-31	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
348828	1183	1998-11-30	VYDAJ	VYBER	15	15865	SLUZBY	\N	\N
348829	1183	1995-06-07	PRIJEM	VKLAD	10900	18188	\N	\N	\N
348830	1183	1995-07-07	PRIJEM	VKLAD	900	19149	\N	\N	\N
348831	1183	1995-08-06	VYDAJ	VYBER	1100	22520	\N	\N	\N
348832	1183	1995-09-05	VYDAJ	VYBER	1900	25118	\N	\N	\N
348833	1183	1995-10-05	VYDAJ	VYBER	800	28830	\N	\N	\N
348834	1183	1995-11-04	VYDAJ	VYBER	3300	22065	\N	\N	\N
348835	1183	1995-12-04	PRIJEM	VKLAD	4200	24327	\N	\N	\N
348836	1183	1996-01-03	PRIJEM	VKLAD	2900	25259	\N	\N	\N
348837	1183	1996-03-03	VYDAJ	VYBER	2500	25884	\N	\N	\N
348838	1183	1996-04-02	PRIJEM	VKLAD	900	24750	\N	\N	\N
348839	1183	1996-05-02	PRIJEM	VKLAD	2100	28409	\N	\N	\N
348840	1183	1996-06-01	PRIJEM	VKLAD	6000	29853	\N	\N	\N
348841	1183	1996-07-01	VYDAJ	VYBER	2700	30932	\N	\N	\N
348842	1183	1996-07-31	PRIJEM	VKLAD	800	28891	\N	\N	\N
348843	1183	1996-08-30	PRIJEM	VKLAD	1600	31941	\N	\N	\N
348844	1183	1996-09-29	VYDAJ	VYBER	1700	31815	\N	\N	\N
348845	1183	1996-10-29	VYDAJ	VYBER	2600	30802	\N	\N	\N
348846	1183	1996-11-28	VYDAJ	VYBER	2000	30388	\N	\N	\N
348847	1183	1996-12-28	PRIJEM	VKLAD	2100	32745	\N	\N	\N
348848	1183	1997-01-27	PRIJEM	VKLAD	100	31187	\N	\N	\N
348849	1183	1997-02-26	PRIJEM	VKLAD	3500	27749	\N	\N	\N
348850	1183	1997-03-28	VYDAJ	VYBER	3200	26120	\N	\N	\N
348851	1183	1997-04-27	PRIJEM	VKLAD	2200	29888	\N	\N	\N
348852	1183	1997-05-27	VYDAJ	VYBER	2100	29352	\N	\N	\N
348853	1183	1997-06-26	VYDAJ	VYBER	800	28125	\N	\N	\N
348854	1183	1997-07-26	VYDAJ	VYBER	2500	27197	\N	\N	\N
348855	1183	1997-08-25	PRIJEM	VKLAD	1600	30366	\N	\N	\N
348856	1183	1997-09-24	VYDAJ	VYBER	3000	28934	\N	\N	\N
348857	1183	1997-10-24	VYDAJ	VYBER	700	25851	\N	\N	\N
348858	1183	1997-11-23	PRIJEM	VKLAD	3200	30614	\N	\N	\N
348859	1183	1997-12-23	PRIJEM	VKLAD	3400	34255	\N	\N	\N
348860	1183	1998-01-22	VYDAJ	VYBER	800	35040	\N	\N	\N
348861	1183	1998-02-21	PRIJEM	VKLAD	100	35293	\N	\N	\N
348862	1183	1998-03-23	VYDAJ	VYBER	5700	31186	\N	\N	\N
348863	1183	1998-04-22	VYDAJ	VYBER	2600	30180	\N	\N	\N
348864	1183	1998-05-22	PRIJEM	VKLAD	1800	29840	\N	\N	\N
348865	1183	1998-06-21	VYDAJ	VYBER	5500	28108	\N	\N	\N
348866	1183	1998-07-21	VYDAJ	VYBER	3900	21699	\N	\N	\N
348867	1183	1998-08-20	VYDAJ	VYBER	400	22847	\N	\N	\N
348868	1183	1998-09-19	VYDAJ	VYBER	1200	23190	\N	\N	\N
348869	1183	1998-10-19	VYDAJ	VYBER	6600	18136	\N	\N	\N
348870	1183	1998-11-18	VYDAJ	VYBER	2300	15812	\N	\N	\N
348871	1183	1998-12-18	VYDAJ	VYBER	5200	14325	\N	\N	\N
348915	1184	1994-05-06	PRIJEM	VKLAD	700	700	\N	\N	\N
348921	1184	1994-06-05	PRIJEM	PREVOD Z UCTU	56686	57386	\N	KL	13872385
348922	1184	1994-07-05	PRIJEM	PREVOD Z UCTU	37791	78624	\N	KL	13872385
348923	1184	1994-08-05	PRIJEM	PREVOD Z UCTU	37791	77722	\N	KL	13872385
348924	1184	1994-09-05	PRIJEM	PREVOD Z UCTU	37791	88537	\N	KL	13872385
348925	1184	1994-10-05	PRIJEM	PREVOD Z UCTU	37791	95091	\N	KL	13872385
348926	1184	1994-11-05	PRIJEM	PREVOD Z UCTU	37791	83316	\N	KL	13872385
348927	1184	1994-12-05	PRIJEM	PREVOD Z UCTU	56686	101447	\N	KL	13872385
348928	1184	1995-01-05	PRIJEM	PREVOD Z UCTU	37791	85222	\N	KL	13872385
348929	1184	1995-02-05	PRIJEM	PREVOD Z UCTU	37791	72251	\N	KL	13872385
348930	1184	1995-03-05	PRIJEM	PREVOD Z UCTU	37791	72984	\N	KL	13872385
348931	1184	1995-04-05	PRIJEM	PREVOD Z UCTU	37791	73775	\N	KL	13872385
348932	1184	1995-05-05	PRIJEM	PREVOD Z UCTU	37791	76171	\N	KL	13872385
348933	1184	1995-06-05	PRIJEM	PREVOD Z UCTU	56686	107745	\N	KL	13872385
348934	1184	1995-07-05	PRIJEM	PREVOD Z UCTU	37791	85809	\N	KL	13872385
348935	1184	1995-08-05	PRIJEM	PREVOD Z UCTU	37791	89395	\N	KL	13872385
348936	1184	1995-09-05	PRIJEM	PREVOD Z UCTU	37791	83290	\N	KL	13872385
348937	1184	1995-10-05	PRIJEM	PREVOD Z UCTU	37791	79490	\N	KL	13872385
348938	1184	1995-11-05	PRIJEM	PREVOD Z UCTU	37791	87244	\N	KL	13872385
348939	1184	1995-12-05	PRIJEM	PREVOD Z UCTU	56686	103173	\N	KL	13872385
348940	1184	1996-01-05	PRIJEM	PREVOD Z UCTU	37791	87113	\N	KL	13872385
348941	1184	1996-02-05	PRIJEM	PREVOD Z UCTU	37791	65517	\N	KL	13872385
348942	1184	1996-03-05	PRIJEM	PREVOD Z UCTU	37791	80185	\N	KL	13872385
348943	1184	1996-04-05	PRIJEM	PREVOD Z UCTU	37791	84914	\N	KL	13872385
348944	1184	1996-05-05	PRIJEM	PREVOD Z UCTU	37791	91491	\N	KL	13872385
348945	1184	1996-06-05	PRIJEM	PREVOD Z UCTU	56686	109566	\N	KL	13872385
348946	1184	1996-07-05	PRIJEM	PREVOD Z UCTU	37791	72560	\N	KL	13872385
348947	1184	1996-08-05	PRIJEM	PREVOD Z UCTU	37791	72770	\N	KL	13872385
348948	1184	1996-09-05	PRIJEM	PREVOD Z UCTU	37791	64987	\N	KL	13872385
348949	1184	1996-10-05	PRIJEM	PREVOD Z UCTU	37791	75791	\N	KL	13872385
348950	1184	1996-11-05	PRIJEM	PREVOD Z UCTU	37791	67639	\N	KL	13872385
348951	1184	1996-12-05	PRIJEM	PREVOD Z UCTU	56686	105152	\N	KL	13872385
348952	1184	1997-01-05	PRIJEM	PREVOD Z UCTU	37791	89961	\N	KL	13872385
348953	1184	1997-02-05	PRIJEM	PREVOD Z UCTU	37791	64078	\N	KL	13872385
348954	1184	1997-03-05	PRIJEM	PREVOD Z UCTU	37791	64089	\N	KL	13872385
348955	1184	1997-04-05	PRIJEM	PREVOD Z UCTU	37791	78752	\N	KL	13872385
348956	1184	1997-05-05	PRIJEM	PREVOD Z UCTU	37791	76106	\N	KL	13872385
348957	1184	1997-06-05	PRIJEM	PREVOD Z UCTU	56686	98123	\N	KL	13872385
348958	1184	1997-07-05	PRIJEM	PREVOD Z UCTU	37791	96709	\N	KL	13872385
348959	1184	1997-08-05	PRIJEM	PREVOD Z UCTU	37791	104140	\N	KL	13872385
348960	1184	1997-09-05	PRIJEM	PREVOD Z UCTU	37791	104591	\N	KL	13872385
348961	1184	1997-10-05	PRIJEM	PREVOD Z UCTU	37791	97635	\N	KL	13872385
348962	1184	1997-11-05	PRIJEM	PREVOD Z UCTU	37791	86335	\N	KL	13872385
348963	1184	1997-12-05	PRIJEM	PREVOD Z UCTU	56686	103108	\N	KL	13872385
348964	1184	1998-01-05	PRIJEM	PREVOD Z UCTU	37791	70192	\N	KL	13872385
348965	1184	1998-02-05	PRIJEM	PREVOD Z UCTU	37791	65949	\N	KL	13872385
348966	1184	1998-03-05	PRIJEM	PREVOD Z UCTU	37791	76467	\N	KL	13872385
348967	1184	1998-04-05	PRIJEM	PREVOD Z UCTU	37791	82121	\N	KL	13872385
348968	1184	1998-05-05	PRIJEM	PREVOD Z UCTU	37791	92901	\N	KL	13872385
348969	1184	1998-06-05	PRIJEM	PREVOD Z UCTU	56686	103508	\N	KL	13872385
348970	1184	1998-07-05	PRIJEM	PREVOD Z UCTU	37791	105902	\N	KL	13872385
348971	1184	1998-08-05	PRIJEM	PREVOD Z UCTU	37791	100747	\N	KL	13872385
348972	1184	1998-09-05	PRIJEM	PREVOD Z UCTU	37791	97672	\N	KL	13872385
348973	1184	1998-10-05	PRIJEM	PREVOD Z UCTU	37791	95988	\N	KL	13872385
348974	1184	1998-11-05	PRIJEM	PREVOD Z UCTU	37791	95700	\N	KL	13872385
348975	1184	1998-12-05	PRIJEM	PREVOD Z UCTU	56686	95932	\N	KL	13872385
348976	1184	1994-11-29	VYBER	VYBER	17575	65741	\N	\N	\N
348981	1184	1994-10-18	VYBER	VYBER	13283	70408	\N	\N	\N
348989	1184	1995-03-20	VYBER	VYBER	16494	42372	\N	\N	\N
348990	1184	1995-03-14	VYBER	VYBER	4362	58866	\N	\N	\N
348991	1184	1995-08-22	VYBER	VYBER	15215	74180	\N	\N	\N
348992	1184	1995-06-21	VYBER	VYBER	8725	99020	\N	\N	\N
348993	1184	1995-12-13	VYBER	VYBER	13302	89871	\N	\N	\N
348994	1184	1995-02-08	VYBER	VYBER	11868	60383	\N	\N	\N
348995	1184	1995-04-15	VYBER	VYBER	17831	55944	\N	\N	\N
348996	1184	1995-06-28	VYBER	VYBER	22853	76167	\N	\N	\N
348997	1184	1995-03-10	VYBER	VYBER	9756	63228	\N	\N	\N
348998	1184	1996-08-12	VYBER	VYBER	17323	34112	\N	\N	\N
348999	1184	1996-08-13	VYBER	VYBER	6462	27650	\N	\N	\N
349001	1184	1996-11-04	VYBER	VYBER	16862	29848	\N	\N	\N
349002	1184	1996-05-19	VYBER	VYBER	10440	81051	\N	\N	\N
349004	1184	1996-01-06	VYBER	VYBER	10879	76234	\N	\N	\N
349005	1184	1996-07-23	VYBER	VYBER	3396	50270	\N	\N	\N
349006	1184	1996-08-05	VYBER	VYBER	21335	51435	\N	\N	\N
349007	1184	1996-07-16	VYBER	VYBER	18894	53666	\N	\N	\N
349008	1184	1996-03-08	VYBER	VYBER	5405	74780	\N	\N	\N
349009	1184	1996-10-14	VYBER	VYBER	17756	58035	\N	\N	\N
349010	1184	1996-12-09	VYBER	VYBER	10263	94889	\N	\N	\N
349011	1184	1997-11-10	VYBER	VYBER	10316	76019	\N	\N	\N
349012	1184	1997-10-14	VYBER	VYBER	2309	77697	\N	\N	\N
349013	1184	1997-05-03	VYBER	VYBER	7111	47315	\N	\N	\N
349014	1184	1997-10-13	VYBER	VYBER	17629	80006	\N	\N	\N
349015	1184	1997-12-12	VYBER	VYBER	13515	89593	\N	\N	\N
349016	1184	1997-02-25	VYBER	VYBER	18989	26189	\N	\N	\N
349017	1184	1997-10-27	VYBER	VYBER	2274	48323	\N	\N	\N
349018	1184	1998-01-08	VYBER	VYBER	3679	61113	\N	\N	\N
349019	1184	1998-12-04	VYBER	VYBER	18575	39246	\N	\N	\N
349022	1184	1996-06-26	VYDAJ	VYBER	24300	44466	\N	\N	\N
349026	1184	1995-01-01	VYDAJ	VYBER	29100	47431	\N	\N	\N
349028	1184	1997-01-30	VYDAJ	VYBER	11100	26061	\N	\N	\N
349029	1184	1998-01-23	VYDAJ	VYBER	3900	28013	\N	\N	\N
349030	1184	1994-12-12	VYDAJ	VYBER	2100	99347	\N	\N	\N
349031	1184	1995-12-17	VYDAJ	VYBER	8400	81471	\N	\N	\N
349032	1184	1996-12-28	VYDAJ	VYBER	4200	59389	\N	\N	\N
349033	1184	1997-12-24	VYDAJ	VYBER	6000	52293	\N	\N	\N
349034	1184	1998-12-05	VYDAJ	VYBER	1500	94432	\N	\N	\N
349041	1184	1995-01-11	VYDAJ	VYBER	3300	65122	\N	\N	\N
349042	1184	1995-01-05	VYDAJ	VYBER	8100	77122	\N	\N	\N
349043	1184	1995-01-17	VYDAJ	VYBER	2700	58822	\N	\N	\N
349044	1184	1995-01-07	VYDAJ	VYBER	8700	68422	\N	\N	\N
349045	1184	1995-01-13	VYDAJ	VYBER	3600	61522	\N	\N	\N
349046	1184	1995-01-21	VYDAJ	VYBER	7200	51622	\N	\N	\N
349047	1184	1996-01-27	VYDAJ	VYBER	5400	27534	\N	\N	\N
349048	1184	1996-01-20	VYDAJ	VYBER	8400	45934	\N	\N	\N
349049	1184	1996-01-23	VYDAJ	VYBER	5100	40834	\N	\N	\N
349050	1184	1996-01-08	VYDAJ	VYBER	4800	66334	\N	\N	\N
349051	1184	1996-01-18	VYDAJ	VYBER	5100	54334	\N	\N	\N
349052	1184	1996-01-11	VYDAJ	VYBER	6900	59434	\N	\N	\N
349053	1184	1997-01-04	VYDAJ	VYBER	7500	52170	\N	\N	\N
349054	1184	1997-01-08	VYDAJ	VYBER	8700	74961	\N	\N	\N
349055	1184	1997-01-17	VYDAJ	VYBER	3000	64761	\N	\N	\N
349056	1184	1997-01-29	VYDAJ	VYBER	8400	37161	\N	\N	\N
349057	1184	1997-01-09	VYDAJ	VYBER	7200	67761	\N	\N	\N
349058	1184	1997-01-06	VYDAJ	VYBER	6300	83661	\N	\N	\N
349060	1184	1998-01-11	VYDAJ	VYBER	7200	41913	\N	\N	\N
349061	1184	1998-01-10	VYDAJ	VYBER	3300	57813	\N	\N	\N
349062	1184	1998-01-01	VYDAJ	VYBER	6900	32401	\N	\N	\N
349063	1184	1998-01-10	VYDAJ	VYBER	8700	49113	\N	\N	\N
349064	1184	1998-01-07	VYDAJ	VYBER	5400	64792	\N	\N	\N
349067	1184	1994-10-08	VYDAJ	VYBER	11400	83691	\N	\N	\N
349070	1184	1995-09-17	VYDAJ	VYBER	13800	69490	\N	\N	\N
349071	1184	1995-03-02	VYDAJ	VYBER	14700	35193	\N	\N	\N
349072	1184	1995-11-13	VYDAJ	VYBER	9600	77644	\N	\N	\N
349073	1184	1995-01-27	VYDAJ	VYBER	7500	44122	\N	\N	\N
349074	1184	1995-07-28	VYDAJ	VYBER	3600	82209	\N	\N	\N
349075	1184	1996-09-25	VYDAJ	VYBER	7200	37887	\N	\N	\N
349076	1184	1996-07-04	VYDAJ	VYBER	9900	34769	\N	\N	\N
349078	1184	1996-01-06	VYDAJ	VYBER	5100	71134	\N	\N	\N
349079	1184	1996-02-10	VYDAJ	VYBER	6900	58617	\N	\N	\N
349080	1184	1997-06-28	VYDAJ	VYBER	8400	58723	\N	\N	\N
349081	1184	1997-03-05	VYDAJ	VYBER	11100	52989	\N	\N	\N
349082	1184	1997-05-04	VYDAJ	VYBER	9000	38315	\N	\N	\N
349083	1184	1997-09-23	VYDAJ	VYBER	8100	59591	\N	\N	\N
349084	1184	1997-05-21	VYDAJ	VYBER	12900	41206	\N	\N	\N
349085	1184	1997-12-27	VYDAJ	VYBER	13200	39093	\N	\N	\N
349086	1184	1998-02-17	VYDAJ	VYBER	11400	38549	\N	\N	\N
349087	1184	1998-06-03	VYDAJ	VYBER	12900	46822	\N	\N	\N
349089	1184	1998-07-21	VYDAJ	VYBER	2400	62702	\N	\N	\N
349090	1184	1998-03-24	VYDAJ	VYBER	8100	44167	\N	\N	\N
349101	1184	1994-10-31	VYDAJ	VYBER	15	70725	SLUZBY	\N	\N
349102	1184	1994-11-30	VYDAJ	VYBER	15	66061	SLUZBY	\N	\N
349103	1184	1994-12-31	VYDAJ	VYBER	15	99731	SLUZBY	\N	\N
349104	1184	1995-01-31	VYDAJ	VYBER	15	34460	SLUZBY	\N	\N
349105	1184	1995-02-28	VYDAJ	VYBER	15	60593	SLUZBY	\N	\N
349106	1184	1995-03-31	VYDAJ	VYBER	15	42584	SLUZBY	\N	\N
349107	1184	1995-04-30	VYDAJ	VYBER	15	56180	SLUZBY	\N	\N
349108	1184	1995-05-31	VYDAJ	VYBER	15	76459	SLUZBY	\N	\N
349109	1184	1995-06-30	VYDAJ	VYBER	15	48018	SLUZBY	\N	\N
349110	1184	1995-07-31	VYDAJ	VYBER	15	51604	SLUZBY	\N	\N
349111	1184	1995-08-31	VYDAJ	VYBER	15	45499	SLUZBY	\N	\N
349112	1184	1995-09-30	VYDAJ	VYBER	15	41699	SLUZBY	\N	\N
349113	1184	1995-10-31	VYDAJ	VYBER	15	49453	SLUZBY	\N	\N
349114	1184	1995-11-30	VYDAJ	VYBER	15	46487	SLUZBY	\N	\N
349115	1184	1995-12-31	VYDAJ	VYBER	15	49322	SLUZBY	\N	\N
349116	1184	1996-01-31	VYDAJ	VYBER	15	27726	SLUZBY	\N	\N
349117	1184	1996-02-29	VYDAJ	VYBER	15	42394	SLUZBY	\N	\N
349118	1184	1996-03-31	VYDAJ	VYBER	15	47123	SLUZBY	\N	\N
349119	1184	1996-04-30	VYDAJ	VYBER	15	53700	SLUZBY	\N	\N
349120	1184	1996-05-31	VYDAJ	VYBER	15	52880	SLUZBY	\N	\N
349121	1184	1996-06-30	VYDAJ	VYBER	15	44669	SLUZBY	\N	\N
349122	1184	1996-07-31	VYDAJ	VYBER	15	34979	SLUZBY	\N	\N
349123	1184	1996-08-31	VYDAJ	VYBER	15	27196	SLUZBY	\N	\N
349124	1184	1996-09-30	VYDAJ	VYBER	15	38000	SLUZBY	\N	\N
349125	1184	1996-10-31	VYDAJ	VYBER	15	46710	SLUZBY	\N	\N
349126	1184	1996-11-30	VYDAJ	VYBER	15	48466	SLUZBY	\N	\N
349127	1184	1996-12-31	VYDAJ	VYBER	15	59670	SLUZBY	\N	\N
349128	1184	1997-01-31	VYDAJ	VYBER	15	26287	SLUZBY	\N	\N
349129	1184	1997-02-28	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
349130	1184	1997-03-31	VYDAJ	VYBER	15	40961	SLUZBY	\N	\N
349131	1184	1997-04-30	VYDAJ	VYBER	15	54426	SLUZBY	\N	\N
349132	1184	1997-05-31	VYDAJ	VYBER	15	41437	SLUZBY	\N	\N
349133	1184	1997-06-30	VYDAJ	VYBER	15	58918	SLUZBY	\N	\N
349134	1184	1997-07-31	VYDAJ	VYBER	15	66349	SLUZBY	\N	\N
349135	1184	1997-08-31	VYDAJ	VYBER	15	66800	SLUZBY	\N	\N
349136	1184	1997-09-30	VYDAJ	VYBER	15	59844	SLUZBY	\N	\N
349137	1184	1997-10-31	VYDAJ	VYBER	15	48544	SLUZBY	\N	\N
349138	1184	1997-11-30	VYDAJ	VYBER	15	46422	SLUZBY	\N	\N
349139	1184	1997-12-31	VYDAJ	VYBER	15	39301	SLUZBY	\N	\N
349140	1184	1998-01-31	VYDAJ	VYBER	15	28158	SLUZBY	\N	\N
349141	1184	1998-02-28	VYDAJ	VYBER	15	38676	SLUZBY	\N	\N
349142	1184	1998-03-31	VYDAJ	VYBER	15	44330	SLUZBY	\N	\N
349143	1184	1998-04-30	VYDAJ	VYBER	15	55110	SLUZBY	\N	\N
349144	1184	1998-05-31	VYDAJ	VYBER	15	59722	SLUZBY	\N	\N
349145	1184	1998-06-30	VYDAJ	VYBER	15	68111	SLUZBY	\N	\N
349146	1184	1998-07-31	VYDAJ	VYBER	15	62956	SLUZBY	\N	\N
349147	1184	1998-08-31	VYDAJ	VYBER	15	59881	SLUZBY	\N	\N
349148	1184	1998-09-30	VYDAJ	VYBER	15	58197	SLUZBY	\N	\N
349149	1184	1998-10-31	VYDAJ	VYBER	15	57909	SLUZBY	\N	\N
349150	1184	1998-11-30	VYDAJ	VYBER	15	57821	SLUZBY	\N	\N
349151	1184	1994-06-05	VYDAJ	VYBER	16700	40686	\N	\N	\N
349152	1184	1994-07-05	VYDAJ	VYBER	28400	50224	\N	\N	\N
349153	1184	1994-08-04	VYDAJ	VYBER	10600	39931	\N	\N	\N
349154	1184	1994-09-03	VYDAJ	VYBER	27300	50746	\N	\N	\N
349155	1184	1994-10-03	VYDAJ	VYBER	31600	57300	\N	\N	\N
349156	1184	1994-11-02	VYDAJ	VYBER	25200	45525	\N	\N	\N
349157	1184	1994-12-02	VYDAJ	VYBER	21300	44761	\N	\N	\N
349158	1184	1995-01-01	VYDAJ	VYBER	23200	76531	\N	\N	\N
349159	1184	1995-01-31	VYDAJ	VYBER	9900	34475	\N	\N	\N
349160	1184	1995-03-02	VYDAJ	VYBER	10700	49893	\N	\N	\N
349161	1184	1995-04-01	VYDAJ	VYBER	6600	35984	\N	\N	\N
349162	1184	1995-05-01	VYDAJ	VYBER	17800	38380	\N	\N	\N
349163	1184	1995-05-31	VYDAJ	VYBER	25400	51059	\N	\N	\N
349164	1184	1995-06-30	VYDAJ	VYBER	28400	48033	\N	\N	\N
349165	1184	1995-07-30	VYDAJ	VYBER	30800	51409	\N	\N	\N
349166	1184	1995-08-29	VYDAJ	VYBER	28900	45280	\N	\N	\N
349167	1184	1995-09-28	VYDAJ	VYBER	28000	41490	\N	\N	\N
349168	1184	1995-10-28	VYDAJ	VYBER	30200	49290	\N	\N	\N
349169	1184	1995-11-27	VYDAJ	VYBER	31400	46244	\N	\N	\N
349170	1184	1995-12-27	VYDAJ	VYBER	32400	49071	\N	\N	\N
349171	1184	1996-01-26	VYDAJ	VYBER	7900	32934	\N	\N	\N
349172	1184	1996-02-25	VYDAJ	VYBER	16400	42217	\N	\N	\N
349173	1184	1996-03-26	VYDAJ	VYBER	27900	46880	\N	\N	\N
349174	1184	1996-04-25	VYDAJ	VYBER	31400	53514	\N	\N	\N
349175	1184	1996-05-25	VYDAJ	VYBER	28400	52651	\N	\N	\N
349176	1184	1996-06-24	VYDAJ	VYBER	40800	68766	\N	\N	\N
349177	1184	1996-07-24	VYDAJ	VYBER	15500	34770	\N	\N	\N
349178	1184	1996-08-23	VYDAJ	VYBER	600	27050	\N	\N	\N
349179	1184	1996-09-22	VYDAJ	VYBER	19900	45087	\N	\N	\N
349180	1184	1996-10-22	VYDAJ	VYBER	11500	46535	\N	\N	\N
349181	1184	1996-11-21	VYDAJ	VYBER	19400	48239	\N	\N	\N
349182	1184	1996-12-21	VYDAJ	VYBER	31300	63589	\N	\N	\N
349183	1184	1997-01-20	VYDAJ	VYBER	19200	45561	\N	\N	\N
349184	1184	1997-02-19	VYDAJ	VYBER	18900	45178	\N	\N	\N
349185	1184	1997-03-21	VYDAJ	VYBER	12200	40789	\N	\N	\N
349186	1184	1997-04-20	VYDAJ	VYBER	24500	54252	\N	\N	\N
349187	1184	1997-05-20	VYDAJ	VYBER	22000	54106	\N	\N	\N
349188	1184	1997-06-19	VYDAJ	VYBER	31000	67123	\N	\N	\N
349189	1184	1997-07-19	VYDAJ	VYBER	30600	66109	\N	\N	\N
349190	1184	1997-08-18	VYDAJ	VYBER	37600	66540	\N	\N	\N
349191	1184	1997-09-17	VYDAJ	VYBER	36900	67691	\N	\N	\N
349192	1184	1997-10-17	VYDAJ	VYBER	27100	50597	\N	\N	\N
349193	1184	1997-11-16	VYDAJ	VYBER	29800	46219	\N	\N	\N
349194	1184	1997-12-16	VYDAJ	VYBER	31300	58293	\N	\N	\N
349195	1184	1998-01-15	VYDAJ	VYBER	10000	31913	\N	\N	\N
349196	1184	1998-02-14	VYDAJ	VYBER	16000	49949	\N	\N	\N
349197	1184	1998-03-16	VYDAJ	VYBER	24200	52267	\N	\N	\N
349198	1184	1998-04-15	VYDAJ	VYBER	27200	54921	\N	\N	\N
349199	1184	1998-05-15	VYDAJ	VYBER	33400	59501	\N	\N	\N
349200	1184	1998-06-14	VYDAJ	VYBER	35700	67808	\N	\N	\N
349201	1184	1998-07-14	VYDAJ	VYBER	40800	65102	\N	\N	\N
349202	1184	1998-08-13	VYDAJ	VYBER	41100	59647	\N	\N	\N
349203	1184	1998-09-12	VYDAJ	VYBER	39700	57972	\N	\N	\N
349204	1184	1998-10-12	VYDAJ	VYBER	38300	57688	\N	\N	\N
349205	1184	1998-11-11	VYDAJ	VYBER	38100	57600	\N	\N	\N
349261	1185	1997-06-07	PRIJEM	VKLAD	700	700	\N	\N	\N
349268	1185	1997-07-06	PRIJEM	PREVOD Z UCTU	4246	4946	DUCHOD	IJ	18107730
349269	1185	1997-08-06	PRIJEM	PREVOD Z UCTU	4246	9192	DUCHOD	IJ	18107730
349270	1185	1997-09-06	PRIJEM	PREVOD Z UCTU	4246	13438	DUCHOD	IJ	18107730
349271	1185	1997-10-06	PRIJEM	PREVOD Z UCTU	4246	17684	DUCHOD	IJ	18107730
349272	1185	1997-11-06	PRIJEM	PREVOD Z UCTU	4246	21930	DUCHOD	IJ	18107730
349273	1185	1997-12-06	PRIJEM	PREVOD Z UCTU	4246	19467	DUCHOD	IJ	18107730
349274	1185	1998-01-06	PRIJEM	PREVOD Z UCTU	4246	18031	DUCHOD	IJ	18107730
349275	1185	1998-02-06	PRIJEM	PREVOD Z UCTU	4246	16527	DUCHOD	IJ	18107730
349276	1185	1998-03-06	PRIJEM	PREVOD Z UCTU	4246	17984	DUCHOD	IJ	18107730
349277	1185	1998-04-06	PRIJEM	PREVOD Z UCTU	4246	19447	DUCHOD	IJ	18107730
349278	1185	1998-05-06	PRIJEM	PREVOD Z UCTU	4246	16906	DUCHOD	IJ	18107730
349279	1185	1998-06-06	PRIJEM	PREVOD Z UCTU	4246	18364	DUCHOD	IJ	18107730
349280	1185	1998-07-06	PRIJEM	PREVOD Z UCTU	4246	19829	DUCHOD	IJ	18107730
349281	1185	1998-08-06	PRIJEM	PREVOD Z UCTU	4246	21300	DUCHOD	IJ	18107730
349282	1185	1998-09-06	PRIJEM	PREVOD Z UCTU	4246	22777	DUCHOD	IJ	18107730
349283	1185	1998-10-06	PRIJEM	PREVOD Z UCTU	4246	23779	DUCHOD	IJ	18107730
349284	1185	1998-11-06	PRIJEM	PREVOD Z UCTU	4246	25266	DUCHOD	IJ	18107730
349285	1185	1998-12-06	PRIJEM	PREVOD Z UCTU	4246	24917	DUCHOD	IJ	18107730
349296	1185	1997-11-09	VYDAJ	PREVOD NA UCET	2581	19349	SIPO	KL	67108410
349297	1185	1997-12-09	VYDAJ	PREVOD NA UCET	2581	16886	SIPO	KL	67108410
349298	1185	1998-01-09	VYDAJ	PREVOD NA UCET	2581	12490	SIPO	KL	67108410
349299	1185	1998-02-09	VYDAJ	PREVOD NA UCET	2581	13946	SIPO	KL	67108410
349300	1185	1998-03-09	VYDAJ	PREVOD NA UCET	2581	15403	SIPO	KL	67108410
349301	1185	1998-04-09	VYDAJ	PREVOD NA UCET	2581	16866	SIPO	KL	67108410
349302	1185	1998-05-09	VYDAJ	PREVOD NA UCET	2581	14325	SIPO	KL	67108410
349303	1185	1998-06-09	VYDAJ	PREVOD NA UCET	2581	15783	SIPO	KL	67108410
349304	1185	1998-07-09	VYDAJ	PREVOD NA UCET	2581	17248	SIPO	KL	67108410
349305	1185	1998-08-09	VYDAJ	PREVOD NA UCET	2581	18719	SIPO	KL	67108410
349306	1185	1998-09-09	VYDAJ	PREVOD NA UCET	2581	20196	SIPO	KL	67108410
349307	1185	1998-10-09	VYDAJ	PREVOD NA UCET	2581	21198	SIPO	KL	67108410
349308	1185	1998-11-09	VYDAJ	PREVOD NA UCET	2581	22685	SIPO	KL	67108410
349309	1185	1998-12-09	VYDAJ	PREVOD NA UCET	2581	22336	SIPO	KL	67108410
349320	1185	1997-11-10	VYDAJ	PREVOD NA UCET	249	19100	 	ST	46177363
349321	1185	1997-12-10	VYDAJ	PREVOD NA UCET	249	15737	 	ST	46177363
349322	1185	1998-01-10	VYDAJ	PREVOD NA UCET	249	12241	 	ST	46177363
349323	1185	1998-02-10	VYDAJ	PREVOD NA UCET	249	13697	 	ST	46177363
349324	1185	1998-03-10	VYDAJ	PREVOD NA UCET	249	15154	 	ST	46177363
349325	1185	1998-04-10	VYDAJ	PREVOD NA UCET	249	15817	 	ST	46177363
349326	1185	1998-05-10	VYDAJ	PREVOD NA UCET	249	14076	 	ST	46177363
349327	1185	1998-06-10	VYDAJ	PREVOD NA UCET	249	15534	 	ST	46177363
349328	1185	1998-07-10	VYDAJ	PREVOD NA UCET	249	16999	 	ST	46177363
349329	1185	1998-08-10	VYDAJ	PREVOD NA UCET	249	18470	 	ST	46177363
349330	1185	1998-09-10	VYDAJ	PREVOD NA UCET	249	19947	 	ST	46177363
349331	1185	1998-10-10	VYDAJ	PREVOD NA UCET	249	20949	 	ST	46177363
349332	1185	1998-11-10	VYDAJ	PREVOD NA UCET	249	22436	 	ST	46177363
349333	1185	1998-12-10	VYDAJ	PREVOD NA UCET	249	22087	 	ST	46177363
349338	1185	1997-12-09	VYDAJ	VYBER	900	15986	\N	\N	\N
349339	1185	1998-12-10	VYDAJ	VYBER	1450	20637	\N	\N	\N
349346	1185	1998-01-04	VYDAJ	VYBER	1040	13785	\N	\N	\N
349347	1185	1998-01-09	VYDAJ	VYBER	1920	15071	\N	\N	\N
349349	1185	1998-01-09	VYDAJ	VYBER	1040	16991	\N	\N	\N
349354	1185	1997-12-11	VYDAJ	VYBER	960	14777	\N	\N	\N
349356	1185	1997-11-26	VYDAJ	VYBER	3920	15180	\N	\N	\N
349359	1185	1998-11-22	VYDAJ	VYBER	1840	20596	\N	\N	\N
349361	1185	1998-09-17	VYDAJ	VYBER	480	19467	\N	\N	\N
349362	1185	1998-04-09	VYDAJ	VYBER	800	16066	\N	\N	\N
349363	1185	1998-04-13	VYDAJ	VYBER	3200	12617	\N	\N	\N
349375	1185	1997-11-30	VYDAJ	VYBER	15	15221	SLUZBY	\N	\N
349376	1185	1997-12-31	VYDAJ	VYBER	15	14825	SLUZBY	\N	\N
349377	1185	1998-01-31	VYDAJ	VYBER	15	12281	SLUZBY	\N	\N
349378	1185	1998-02-28	VYDAJ	VYBER	15	13738	SLUZBY	\N	\N
349379	1185	1998-03-31	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
349380	1185	1998-04-30	VYDAJ	VYBER	15	12660	SLUZBY	\N	\N
349381	1185	1998-05-31	VYDAJ	VYBER	15	14118	SLUZBY	\N	\N
349382	1185	1998-06-30	VYDAJ	VYBER	15	15583	SLUZBY	\N	\N
349383	1185	1998-07-31	VYDAJ	VYBER	15	17054	SLUZBY	\N	\N
349384	1185	1998-08-31	VYDAJ	VYBER	15	18531	SLUZBY	\N	\N
349385	1185	1998-09-30	VYDAJ	VYBER	15	19533	SLUZBY	\N	\N
349386	1185	1998-10-31	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
349387	1185	1998-11-30	VYDAJ	VYBER	15	20671	SLUZBY	\N	\N
349402	1186	1997-12-17	PRIJEM	VKLAD	600	600	\N	\N	\N
349405	1186	1998-07-01	PRIJEM	VKLAD	28493	54036	\N	\N	\N
349406	1186	1998-05-02	PRIJEM	VKLAD	30463	60065	\N	\N	\N
349419	1186	1998-01-17	PRIJEM	VKLAD	1400	15204	\N	\N	\N
349420	1186	1998-02-17	PRIJEM	VKLAD	1400	23441	\N	\N	\N
349421	1186	1998-03-16	PRIJEM	VKLAD	1400	26310	\N	\N	\N
349422	1186	1998-04-17	PRIJEM	VKLAD	1400	28102	\N	\N	\N
349423	1186	1998-05-14	PRIJEM	VKLAD	1400	61465	\N	\N	\N
349424	1186	1998-06-17	PRIJEM	VKLAD	1400	26063	\N	\N	\N
349425	1186	1998-07-15	PRIJEM	VKLAD	1400	55086	\N	\N	\N
349426	1186	1998-08-13	PRIJEM	VKLAD	1400	45356	\N	\N	\N
349427	1186	1998-09-15	PRIJEM	VKLAD	1400	31852	\N	\N	\N
349428	1186	1998-10-15	PRIJEM	VKLAD	1400	35978	\N	\N	\N
349429	1186	1998-11-13	PRIJEM	VKLAD	1400	38611	\N	\N	\N
349430	1186	1998-12-17	PRIJEM	VKLAD	1400	36058	\N	\N	\N
349442	1186	1997-12-18	PRIJEM	VKLAD	1400	2000	\N	\N	\N
349443	1186	1998-01-18	PRIJEM	VKLAD	1400	16604	\N	\N	\N
349444	1186	1998-02-18	PRIJEM	VKLAD	1400	24841	\N	\N	\N
349445	1186	1998-03-18	PRIJEM	VKLAD	1400	25910	\N	\N	\N
349446	1186	1998-04-18	PRIJEM	VKLAD	1400	29502	\N	\N	\N
349447	1186	1998-05-18	PRIJEM	VKLAD	1400	44265	\N	\N	\N
349448	1186	1998-06-18	PRIJEM	VKLAD	1400	27463	\N	\N	\N
349449	1186	1998-07-18	PRIJEM	VKLAD	1400	43786	\N	\N	\N
349450	1186	1998-08-18	PRIJEM	VKLAD	1400	34606	\N	\N	\N
349451	1186	1998-09-18	PRIJEM	VKLAD	1400	33252	\N	\N	\N
349452	1186	1998-10-18	PRIJEM	VKLAD	1400	37378	\N	\N	\N
349453	1186	1998-11-18	PRIJEM	VKLAD	1400	40011	\N	\N	\N
349454	1186	1998-12-18	PRIJEM	VKLAD	1400	37458	\N	\N	\N
349456	1186	1998-06-12	VYDAJ	VYBER	22700	21713	\N	\N	\N
349464	1186	1998-12-11	VYDAJ	VYBER	2200	37958	\N	\N	\N
349470	1186	1998-06-21	VYDAJ	VYBER	2050	25413	\N	\N	\N
349471	1186	1998-07-05	VYDAJ	VYBER	350	53686	\N	\N	\N
349474	1186	1998-08-13	VYDAJ	VYBER	2150	43206	\N	\N	\N
349475	1186	1998-06-15	VYDAJ	VYBER	1450	24663	\N	\N	\N
349476	1186	1998-12-22	VYDAJ	VYBER	2450	35008	\N	\N	\N
349491	1186	1998-02-28	VYDAJ	VYBER	15	24910	SLUZBY	\N	\N
349492	1186	1998-03-31	VYDAJ	VYBER	15	26002	SLUZBY	\N	\N
349493	1186	1998-04-30	VYDAJ	VYBER	15	29602	SLUZBY	\N	\N
349494	1186	1998-05-31	VYDAJ	VYBER	15	44413	SLUZBY	\N	\N
349495	1186	1998-06-30	VYDAJ	VYBER	15	25543	SLUZBY	\N	\N
349496	1186	1998-07-31	VYDAJ	VYBER	15	43956	SLUZBY	\N	\N
349497	1186	1998-08-31	VYDAJ	VYBER	15	34752	SLUZBY	\N	\N
349498	1186	1998-09-30	VYDAJ	VYBER	15	33378	SLUZBY	\N	\N
349499	1186	1998-10-31	VYDAJ	VYBER	15	37511	SLUZBY	\N	\N
349500	1186	1998-11-30	VYDAJ	VYBER	15	40158	SLUZBY	\N	\N
349501	1186	1998-01-16	PRIJEM	VKLAD	11800	13804	\N	\N	\N
349502	1186	1998-02-15	PRIJEM	VKLAD	5400	22041	\N	\N	\N
349503	1186	1998-03-17	VYDAJ	VYBER	1800	24510	\N	\N	\N
349504	1186	1998-04-16	PRIJEM	VKLAD	700	26702	\N	\N	\N
349505	1186	1998-05-16	VYDAJ	VYBER	18600	42865	\N	\N	\N
349506	1186	1998-06-15	PRIJEM	VKLAD	4400	26113	\N	\N	\N
349507	1186	1998-07-15	VYDAJ	VYBER	12700	42386	\N	\N	\N
349508	1186	1998-08-14	VYDAJ	VYBER	10000	33206	\N	\N	\N
349509	1186	1998-09-13	VYDAJ	VYBER	4300	30452	\N	\N	\N
349510	1186	1998-10-13	PRIJEM	VKLAD	1200	34578	\N	\N	\N
349511	1186	1998-11-12	VYDAJ	VYBER	300	37211	\N	\N	\N
349512	1186	1998-12-12	VYDAJ	VYBER	3300	34658	\N	\N	\N
349526	1187	1996-07-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
349534	1187	1996-08-08	PRIJEM	PREVOD Z UCTU	6220	7220	DUCHOD	KL	20782798
349535	1187	1996-09-08	PRIJEM	PREVOD Z UCTU	6220	13440	DUCHOD	KL	20782798
349536	1187	1996-10-08	PRIJEM	PREVOD Z UCTU	6220	19660	DUCHOD	KL	20782798
349537	1187	1996-11-08	PRIJEM	PREVOD Z UCTU	6220	25880	DUCHOD	KL	20782798
349538	1187	1996-12-08	PRIJEM	PREVOD Z UCTU	6220	32100	DUCHOD	KL	20782798
349539	1187	1997-01-08	PRIJEM	PREVOD Z UCTU	6220	28524	DUCHOD	KL	20782798
349540	1187	1997-02-08	PRIJEM	PREVOD Z UCTU	6220	22691	DUCHOD	KL	20782798
349541	1187	1997-03-08	PRIJEM	PREVOD Z UCTU	6220	24206	DUCHOD	KL	20782798
349542	1187	1997-04-08	PRIJEM	PREVOD Z UCTU	6220	28210	DUCHOD	KL	20782798
349543	1187	1997-05-08	PRIJEM	PREVOD Z UCTU	6220	32230	DUCHOD	KL	20782798
349544	1187	1997-06-08	PRIJEM	PREVOD Z UCTU	6220	34664	DUCHOD	KL	20782798
349545	1187	1997-07-08	PRIJEM	PREVOD Z UCTU	6220	34185	DUCHOD	KL	20782798
349546	1187	1997-08-08	PRIJEM	PREVOD Z UCTU	6220	38231	DUCHOD	KL	20782798
349547	1187	1997-09-08	PRIJEM	PREVOD Z UCTU	6220	41091	DUCHOD	KL	20782798
349548	1187	1997-10-08	PRIJEM	PREVOD Z UCTU	6220	40724	DUCHOD	KL	20782798
349549	1187	1997-11-08	PRIJEM	PREVOD Z UCTU	6220	40094	DUCHOD	KL	20782798
349550	1187	1997-12-08	PRIJEM	PREVOD Z UCTU	6220	38056	DUCHOD	KL	20782798
349551	1187	1998-01-08	PRIJEM	PREVOD Z UCTU	6220	41560	DUCHOD	KL	20782798
349552	1187	1998-02-08	PRIJEM	PREVOD Z UCTU	6220	34768	DUCHOD	KL	20782798
349553	1187	1998-03-08	PRIJEM	PREVOD Z UCTU	6220	38815	DUCHOD	KL	20782798
349554	1187	1998-04-08	PRIJEM	PREVOD Z UCTU	6220	42880	DUCHOD	KL	20782798
349555	1187	1998-05-08	PRIJEM	PREVOD Z UCTU	6220	45258	DUCHOD	KL	20782798
349556	1187	1998-06-08	PRIJEM	PREVOD Z UCTU	6220	39699	DUCHOD	KL	20782798
349557	1187	1998-07-08	PRIJEM	PREVOD Z UCTU	6220	37111	DUCHOD	KL	20782798
349558	1187	1998-08-08	PRIJEM	PREVOD Z UCTU	6220	40667	DUCHOD	KL	20782798
349559	1187	1998-09-08	PRIJEM	PREVOD Z UCTU	6220	39890	DUCHOD	KL	20782798
349560	1187	1998-10-08	PRIJEM	PREVOD Z UCTU	6220	36464	DUCHOD	KL	20782798
349561	1187	1998-11-08	PRIJEM	PREVOD Z UCTU	6220	33403	DUCHOD	KL	20782798
349562	1187	1998-12-08	PRIJEM	PREVOD Z UCTU	6220	32935	DUCHOD	KL	20782798
349574	1187	1996-12-10	VYDAJ	PREVOD NA UCET	2288	29812	SIPO	WX	56067287
349575	1187	1997-01-10	VYDAJ	PREVOD NA UCET	2288	26236	SIPO	WX	56067287
349576	1187	1997-02-10	VYDAJ	PREVOD NA UCET	2288	20403	SIPO	WX	56067287
349577	1187	1997-03-10	VYDAJ	PREVOD NA UCET	2288	21918	SIPO	WX	56067287
349578	1187	1997-04-10	VYDAJ	PREVOD NA UCET	2288	25922	SIPO	WX	56067287
349579	1187	1997-05-10	VYDAJ	PREVOD NA UCET	2288	28342	SIPO	WX	56067287
349580	1187	1997-06-10	VYDAJ	PREVOD NA UCET	2288	31656	SIPO	WX	56067287
349581	1187	1997-07-10	VYDAJ	PREVOD NA UCET	2288	31897	SIPO	WX	56067287
349582	1187	1997-08-10	VYDAJ	PREVOD NA UCET	2288	35543	SIPO	WX	56067287
349583	1187	1997-09-10	VYDAJ	PREVOD NA UCET	2288	38803	SIPO	WX	56067287
349584	1187	1997-10-10	VYDAJ	PREVOD NA UCET	2288	38436	SIPO	WX	56067287
349585	1187	1997-11-10	VYDAJ	PREVOD NA UCET	2288	37806	SIPO	WX	56067287
349586	1187	1997-12-10	VYDAJ	PREVOD NA UCET	2288	35768	SIPO	WX	56067287
349587	1187	1998-01-10	VYDAJ	PREVOD NA UCET	2288	36952	SIPO	WX	56067287
349588	1187	1998-02-10	VYDAJ	PREVOD NA UCET	2288	32480	SIPO	WX	56067287
349589	1187	1998-03-10	VYDAJ	PREVOD NA UCET	2288	36527	SIPO	WX	56067287
349590	1187	1998-04-10	VYDAJ	PREVOD NA UCET	2288	40592	SIPO	WX	56067287
349591	1187	1998-05-10	VYDAJ	PREVOD NA UCET	2288	42970	SIPO	WX	56067287
349592	1187	1998-06-10	VYDAJ	PREVOD NA UCET	2288	37411	SIPO	WX	56067287
349593	1187	1998-07-10	VYDAJ	PREVOD NA UCET	2288	34823	SIPO	WX	56067287
349594	1187	1998-08-10	VYDAJ	PREVOD NA UCET	2288	38379	SIPO	WX	56067287
349595	1187	1998-09-10	VYDAJ	PREVOD NA UCET	2288	37602	SIPO	WX	56067287
349596	1187	1998-10-10	VYDAJ	PREVOD NA UCET	2288	34176	SIPO	WX	56067287
349597	1187	1998-11-10	VYDAJ	PREVOD NA UCET	2288	31115	SIPO	WX	56067287
349598	1187	1998-12-10	VYDAJ	PREVOD NA UCET	2288	30647	SIPO	WX	56067287
349600	1187	1997-06-21	VYDAJ	VYBER	3800	27856	\N	\N	\N
349601	1187	1998-06-18	VYDAJ	VYBER	3450	33961	\N	\N	\N
349603	1187	1997-01-07	VYDAJ	VYBER	3750	22304	\N	\N	\N
349604	1187	1998-01-21	VYDAJ	VYBER	2850	30022	\N	\N	\N
349605	1187	1996-12-17	VYDAJ	VYBER	950	28862	\N	\N	\N
349606	1187	1997-12-06	VYDAJ	VYBER	1000	31836	\N	\N	\N
349607	1187	1998-12-17	VYDAJ	VYBER	1400	19447	\N	\N	\N
349614	1187	1997-01-04	VYDAJ	VYBER	2320	26614	\N	\N	\N
349615	1187	1997-01-10	VYDAJ	VYBER	1280	24956	\N	\N	\N
349616	1187	1997-01-17	VYDAJ	VYBER	1840	19196	\N	\N	\N
349617	1187	1997-01-18	VYDAJ	VYBER	720	18476	\N	\N	\N
349618	1187	1997-01-27	VYDAJ	VYBER	720	16396	\N	\N	\N
349619	1187	1997-01-25	VYDAJ	VYBER	1360	17116	\N	\N	\N
349620	1187	1998-01-10	VYDAJ	VYBER	2320	39240	\N	\N	\N
349621	1187	1998-01-16	VYDAJ	VYBER	2240	32872	\N	\N	\N
349622	1187	1998-01-07	VYDAJ	VYBER	560	35340	\N	\N	\N
349623	1187	1998-01-14	VYDAJ	VYBER	1280	35672	\N	\N	\N
349624	1187	1998-01-14	VYDAJ	VYBER	560	35112	\N	\N	\N
349625	1187	1998-01-28	VYDAJ	VYBER	1600	28422	\N	\N	\N
349630	1187	1997-05-08	VYDAJ	VYBER	1600	30630	\N	\N	\N
349631	1187	1997-06-09	VYDAJ	VYBER	720	33944	\N	\N	\N
349632	1187	1997-01-06	VYDAJ	VYBER	560	26054	\N	\N	\N
349633	1187	1997-08-09	VYDAJ	VYBER	400	37831	\N	\N	\N
349634	1187	1997-01-16	VYDAJ	VYBER	560	21036	\N	\N	\N
349635	1187	1997-02-23	VYDAJ	VYBER	2480	17923	\N	\N	\N
349636	1187	1997-10-06	VYDAJ	VYBER	3040	34504	\N	\N	\N
349637	1187	1997-01-11	VYDAJ	VYBER	3360	21596	\N	\N	\N
349638	1187	1998-05-31	VYDAJ	VYBER	1280	33479	\N	\N	\N
349639	1187	1998-06-28	VYDAJ	VYBER	3200	30761	\N	\N	\N
349640	1187	1998-08-25	VYDAJ	VYBER	640	33539	\N	\N	\N
349641	1187	1998-09-18	VYDAJ	VYBER	2480	30122	\N	\N	\N
349642	1187	1998-05-26	VYDAJ	VYBER	3760	34610	\N	\N	\N
349655	1187	1996-12-31	VYDAJ	VYBER	15	28934	SLUZBY	\N	\N
349656	1187	1997-01-31	VYDAJ	VYBER	15	16471	SLUZBY	\N	\N
349657	1187	1997-02-28	VYDAJ	VYBER	15	17986	SLUZBY	\N	\N
349658	1187	1997-03-31	VYDAJ	VYBER	15	21990	SLUZBY	\N	\N
349659	1187	1997-04-30	VYDAJ	VYBER	15	26010	SLUZBY	\N	\N
349660	1187	1997-05-31	VYDAJ	VYBER	15	28444	SLUZBY	\N	\N
349661	1187	1997-06-30	VYDAJ	VYBER	15	27965	SLUZBY	\N	\N
349662	1187	1997-07-31	VYDAJ	VYBER	15	32011	SLUZBY	\N	\N
349663	1187	1997-08-31	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
349664	1187	1997-09-30	VYDAJ	VYBER	15	37544	SLUZBY	\N	\N
349665	1187	1997-10-31	VYDAJ	VYBER	15	33874	SLUZBY	\N	\N
349666	1187	1997-11-30	VYDAJ	VYBER	15	32836	SLUZBY	\N	\N
349667	1187	1997-12-31	VYDAJ	VYBER	15	35900	SLUZBY	\N	\N
349668	1187	1998-01-31	VYDAJ	VYBER	15	28548	SLUZBY	\N	\N
349669	1187	1998-02-28	VYDAJ	VYBER	15	32595	SLUZBY	\N	\N
349670	1187	1998-03-31	VYDAJ	VYBER	15	36660	SLUZBY	\N	\N
349671	1187	1998-04-30	VYDAJ	VYBER	15	39038	SLUZBY	\N	\N
349672	1187	1998-05-31	VYDAJ	VYBER	15	34759	SLUZBY	\N	\N
349673	1187	1998-06-30	VYDAJ	VYBER	15	30891	SLUZBY	\N	\N
349674	1187	1998-07-31	VYDAJ	VYBER	15	34447	SLUZBY	\N	\N
349675	1187	1998-08-31	VYDAJ	VYBER	15	33670	SLUZBY	\N	\N
349676	1187	1998-09-30	VYDAJ	VYBER	15	30244	SLUZBY	\N	\N
349677	1187	1998-10-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
349678	1187	1998-11-30	VYDAJ	VYBER	15	26715	SLUZBY	\N	\N
349679	1187	1997-08-22	VYDAJ	VYBER	800	34743	\N	\N	\N
349680	1187	1997-09-21	VYDAJ	VYBER	1400	37403	\N	\N	\N
349681	1187	1997-10-21	VYDAJ	VYBER	4700	33736	\N	\N	\N
349682	1187	1997-11-20	VYDAJ	VYBER	5100	32706	\N	\N	\N
349683	1187	1998-04-19	VYDAJ	VYBER	1700	38892	\N	\N	\N
349684	1187	1998-05-19	VYDAJ	VYBER	4600	38370	\N	\N	\N
349685	1187	1998-07-18	VYDAJ	VYBER	500	34323	\N	\N	\N
349686	1187	1998-08-17	VYDAJ	VYBER	4200	34179	\N	\N	\N
349687	1187	1998-09-16	VYDAJ	VYBER	5000	32602	\N	\N	\N
349688	1187	1998-10-16	VYDAJ	VYBER	7100	27076	\N	\N	\N
349689	1187	1998-11-15	VYDAJ	VYBER	4500	26615	\N	\N	\N
349690	1187	1998-12-15	VYDAJ	VYBER	9800	20847	\N	\N	\N
349716	1188	1996-07-22	PRIJEM	VKLAD	800	800	\N	\N	\N
349724	1188	1996-08-08	PRIJEM	VKLAD	6632	7432	\N	\N	\N
349725	1188	1996-09-08	PRIJEM	VKLAD	6632	20585	\N	\N	\N
349726	1188	1996-10-08	PRIJEM	VKLAD	6632	28787	\N	\N	\N
349727	1188	1996-11-08	PRIJEM	VKLAD	6632	34220	\N	\N	\N
349728	1188	1996-12-08	PRIJEM	VKLAD	9948	40387	\N	\N	\N
349729	1188	1997-01-08	PRIJEM	VKLAD	6632	36060	\N	\N	\N
349730	1188	1997-02-08	PRIJEM	VKLAD	6632	19077	\N	\N	\N
349731	1188	1997-03-08	PRIJEM	VKLAD	6632	32552	\N	\N	\N
349732	1188	1997-04-08	PRIJEM	VKLAD	6632	38369	\N	\N	\N
349733	1188	1997-05-08	PRIJEM	VKLAD	6632	40905	\N	\N	\N
349734	1188	1997-06-08	PRIJEM	VKLAD	9948	43161	\N	\N	\N
349735	1188	1997-07-08	PRIJEM	VKLAD	6632	39000	\N	\N	\N
349736	1188	1997-08-08	PRIJEM	VKLAD	6632	42440	\N	\N	\N
349737	1188	1997-09-08	PRIJEM	VKLAD	6632	42487	\N	\N	\N
349738	1188	1997-10-08	PRIJEM	VKLAD	6632	35229	\N	\N	\N
349739	1188	1997-11-08	PRIJEM	VKLAD	6632	32343	\N	\N	\N
349740	1188	1997-12-08	PRIJEM	VKLAD	9948	39673	\N	\N	\N
349741	1188	1998-01-08	PRIJEM	VKLAD	6632	32862	\N	\N	\N
349742	1188	1998-02-08	PRIJEM	VKLAD	6632	29406	\N	\N	\N
349743	1188	1998-03-08	PRIJEM	VKLAD	6632	30782	\N	\N	\N
349744	1188	1998-04-08	PRIJEM	VKLAD	6632	30679	\N	\N	\N
349745	1188	1998-05-08	PRIJEM	VKLAD	6632	29574	\N	\N	\N
349746	1188	1998-06-08	PRIJEM	VKLAD	9948	24860	\N	\N	\N
349747	1188	1998-07-08	PRIJEM	VKLAD	6632	32355	\N	\N	\N
349748	1188	1998-08-08	PRIJEM	VKLAD	6632	36570	\N	\N	\N
349749	1188	1998-09-08	PRIJEM	VKLAD	6632	40201	\N	\N	\N
349750	1188	1998-10-08	PRIJEM	VKLAD	6632	41240	\N	\N	\N
349751	1188	1998-11-08	PRIJEM	VKLAD	6632	40578	\N	\N	\N
349752	1188	1998-12-08	PRIJEM	VKLAD	9948	39559	\N	\N	\N
349764	1188	1996-12-09	VYDAJ	PREVOD NA UCET	4421	35966	SIPO	KL	60496938
349765	1188	1997-01-09	VYDAJ	PREVOD NA UCET	4421	31639	SIPO	KL	60496938
349766	1188	1997-02-09	VYDAJ	PREVOD NA UCET	4421	14656	SIPO	KL	60496938
349767	1188	1997-03-09	VYDAJ	PREVOD NA UCET	4421	28131	SIPO	KL	60496938
349768	1188	1997-04-09	VYDAJ	PREVOD NA UCET	4421	33948	SIPO	KL	60496938
349769	1188	1997-05-09	VYDAJ	PREVOD NA UCET	4421	36484	SIPO	KL	60496938
349770	1188	1997-06-09	VYDAJ	PREVOD NA UCET	4421	38740	SIPO	KL	60496938
349771	1188	1997-07-09	VYDAJ	PREVOD NA UCET	4421	34579	SIPO	KL	60496938
349772	1188	1997-08-09	VYDAJ	PREVOD NA UCET	4421	38019	SIPO	KL	60496938
349773	1188	1997-09-09	VYDAJ	PREVOD NA UCET	4421	38066	SIPO	KL	60496938
349774	1188	1997-10-09	VYDAJ	PREVOD NA UCET	4421	30808	SIPO	KL	60496938
349775	1188	1997-11-09	VYDAJ	PREVOD NA UCET	4421	27922	SIPO	KL	60496938
349776	1188	1997-12-09	VYDAJ	PREVOD NA UCET	4421	30092	SIPO	KL	60496938
349777	1188	1998-01-09	VYDAJ	PREVOD NA UCET	4421	28441	SIPO	KL	60496938
349778	1188	1998-02-09	VYDAJ	PREVOD NA UCET	4421	24985	SIPO	KL	60496938
349779	1188	1998-03-09	VYDAJ	PREVOD NA UCET	4421	26361	SIPO	KL	60496938
349780	1188	1998-04-09	VYDAJ	PREVOD NA UCET	4421	26258	SIPO	KL	60496938
349781	1188	1998-05-09	VYDAJ	PREVOD NA UCET	4421	25153	SIPO	KL	60496938
349782	1188	1998-06-09	VYDAJ	PREVOD NA UCET	4421	20439	SIPO	KL	60496938
349783	1188	1998-07-09	VYDAJ	PREVOD NA UCET	4421	27934	SIPO	KL	60496938
349784	1188	1998-08-09	VYDAJ	PREVOD NA UCET	4421	32149	SIPO	KL	60496938
349785	1188	1998-09-09	VYDAJ	PREVOD NA UCET	4421	35780	SIPO	KL	60496938
349786	1188	1998-10-09	VYDAJ	PREVOD NA UCET	4421	36819	SIPO	KL	60496938
349787	1188	1998-11-09	VYDAJ	PREVOD NA UCET	4421	34657	SIPO	KL	60496938
349788	1188	1998-12-09	VYDAJ	PREVOD NA UCET	4421	35138	SIPO	KL	60496938
349793	1188	1997-01-22	VYDAJ	VYBER	13760	12359	\N	\N	\N
349805	1188	1997-01-01	VYDAJ	VYBER	2760	29428	\N	\N	\N
349807	1188	1998-01-17	VYDAJ	VYBER	3240	23401	\N	\N	\N
349808	1188	1998-01-04	VYDAJ	VYBER	1080	29830	\N	\N	\N
349809	1188	1998-01-01	VYDAJ	VYBER	1800	30910	\N	\N	\N
349810	1188	1998-01-27	VYDAJ	VYBER	720	22681	\N	\N	\N
349811	1188	1998-01-07	VYDAJ	VYBER	840	26230	\N	\N	\N
349812	1188	1998-01-04	VYDAJ	VYBER	2760	27070	\N	\N	\N
349815	1188	1997-01-13	VYDAJ	VYBER	5520	26119	\N	\N	\N
349816	1188	1997-09-20	VYDAJ	VYBER	3840	31826	\N	\N	\N
349817	1188	1997-10-07	VYDAJ	VYBER	3360	28597	\N	\N	\N
349818	1188	1997-12-08	VYDAJ	VYBER	5160	34513	\N	\N	\N
349819	1188	1998-02-12	VYDAJ	VYBER	1320	24065	\N	\N	\N
349820	1188	1998-11-12	VYDAJ	VYBER	5160	29497	\N	\N	\N
349821	1188	1998-06-07	VYDAJ	VYBER	5280	14912	\N	\N	\N
349822	1188	1998-05-25	VYDAJ	VYBER	2640	20113	\N	\N	\N
349835	1188	1996-12-31	VYDAJ	VYBER	15	32188	SLUZBY	\N	\N
349836	1188	1997-01-31	VYDAJ	VYBER	15	12445	SLUZBY	\N	\N
349837	1188	1997-02-28	VYDAJ	VYBER	15	25920	SLUZBY	\N	\N
349838	1188	1997-03-31	VYDAJ	VYBER	15	31737	SLUZBY	\N	\N
349839	1188	1997-04-30	VYDAJ	VYBER	15	34273	SLUZBY	\N	\N
349840	1188	1997-05-31	VYDAJ	VYBER	15	33213	SLUZBY	\N	\N
349841	1188	1997-06-30	VYDAJ	VYBER	15	32368	SLUZBY	\N	\N
349842	1188	1997-07-31	VYDAJ	VYBER	15	35808	SLUZBY	\N	\N
349843	1188	1997-08-31	VYDAJ	VYBER	15	35855	SLUZBY	\N	\N
349844	1188	1997-09-30	VYDAJ	VYBER	15	31957	SLUZBY	\N	\N
349845	1188	1997-10-31	VYDAJ	VYBER	15	25711	SLUZBY	\N	\N
349846	1188	1997-11-30	VYDAJ	VYBER	15	29725	SLUZBY	\N	\N
349847	1188	1997-12-31	VYDAJ	VYBER	15	32710	SLUZBY	\N	\N
349848	1188	1998-01-31	VYDAJ	VYBER	15	22774	SLUZBY	\N	\N
349849	1188	1998-02-28	VYDAJ	VYBER	15	24150	SLUZBY	\N	\N
349850	1188	1998-03-31	VYDAJ	VYBER	15	24047	SLUZBY	\N	\N
349851	1188	1998-04-30	VYDAJ	VYBER	15	22942	SLUZBY	\N	\N
349852	1188	1998-05-31	VYDAJ	VYBER	15	20192	SLUZBY	\N	\N
349853	1188	1998-06-30	VYDAJ	VYBER	15	25723	SLUZBY	\N	\N
349854	1188	1998-07-31	VYDAJ	VYBER	15	29938	SLUZBY	\N	\N
349855	1188	1998-08-31	VYDAJ	VYBER	15	33569	SLUZBY	\N	\N
349856	1188	1998-09-30	VYDAJ	VYBER	15	34608	SLUZBY	\N	\N
349857	1188	1998-10-31	VYDAJ	VYBER	15	33946	SLUZBY	\N	\N
349858	1188	1998-11-30	VYDAJ	VYBER	15	29611	SLUZBY	\N	\N
349859	1188	1996-08-21	PRIJEM	VKLAD	6500	13932	\N	\N	\N
349860	1188	1996-09-20	PRIJEM	VKLAD	1500	22085	\N	\N	\N
349861	1188	1996-10-20	VYDAJ	VYBER	1300	27487	\N	\N	\N
349862	1188	1996-11-19	VYDAJ	VYBER	3900	30320	\N	\N	\N
349863	1188	1996-12-19	VYDAJ	VYBER	3900	32066	\N	\N	\N
349864	1188	1997-02-17	PRIJEM	VKLAD	11200	25856	\N	\N	\N
349865	1188	1997-03-19	PRIJEM	VKLAD	3500	31631	\N	\N	\N
349866	1188	1997-04-18	PRIJEM	VKLAD	200	34148	\N	\N	\N
349867	1188	1997-05-18	VYDAJ	VYBER	3400	33084	\N	\N	\N
349868	1188	1997-06-17	VYDAJ	VYBER	6500	32240	\N	\N	\N
349869	1188	1997-07-17	PRIJEM	VKLAD	1100	35679	\N	\N	\N
349870	1188	1997-08-16	VYDAJ	VYBER	2300	35719	\N	\N	\N
349871	1188	1997-09-15	VYDAJ	VYBER	2400	35666	\N	\N	\N
349872	1188	1997-10-15	VYDAJ	VYBER	5200	25608	\N	\N	\N
349873	1188	1997-11-14	PRIJEM	VKLAD	1700	29622	\N	\N	\N
349874	1188	1997-12-14	PRIJEM	VKLAD	2500	32592	\N	\N	\N
349875	1188	1998-01-13	VYDAJ	VYBER	1800	26641	\N	\N	\N
349876	1188	1998-02-12	PRIJEM	VKLAD	400	25385	\N	\N	\N
349877	1188	1998-03-14	VYDAJ	VYBER	2400	23961	\N	\N	\N
349878	1188	1998-04-13	VYDAJ	VYBER	3400	22858	\N	\N	\N
349879	1188	1998-05-13	VYDAJ	VYBER	2400	22753	\N	\N	\N
349880	1188	1998-06-12	PRIJEM	VKLAD	5200	25639	\N	\N	\N
349881	1188	1998-07-12	PRIJEM	VKLAD	1900	29834	\N	\N	\N
349882	1188	1998-08-11	PRIJEM	VKLAD	1300	33449	\N	\N	\N
349883	1188	1998-09-10	VYDAJ	VYBER	1300	34480	\N	\N	\N
349884	1188	1998-10-10	VYDAJ	VYBER	3000	33819	\N	\N	\N
349885	1188	1998-11-09	VYDAJ	VYBER	1500	39078	\N	\N	\N
349915	1189	1993-03-19	PRIJEM	VKLAD	600	600	\N	\N	\N
349919	1189	1993-04-14	PRIJEM	PREVOD Z UCTU	3433	4033	\N	ST	3054506
349920	1189	1993-05-14	PRIJEM	PREVOD Z UCTU	3433	7466	\N	ST	3054506
349921	1189	1993-06-14	PRIJEM	PREVOD Z UCTU	3433	10899	\N	ST	3054506
349922	1189	1993-07-14	PRIJEM	PREVOD Z UCTU	3433	14332	\N	ST	3054506
349923	1189	1993-08-14	PRIJEM	PREVOD Z UCTU	3433	17765	\N	ST	3054506
349924	1189	1993-09-14	PRIJEM	PREVOD Z UCTU	3433	17668	\N	ST	3054506
349925	1189	1993-10-14	PRIJEM	PREVOD Z UCTU	3433	17699	\N	ST	3054506
349926	1189	1993-11-14	PRIJEM	PREVOD Z UCTU	3433	18901	\N	ST	3054506
349927	1189	1993-12-14	PRIJEM	PREVOD Z UCTU	3433	19235	\N	ST	3054506
349928	1189	1994-01-14	PRIJEM	PREVOD Z UCTU	3433	16334	\N	ST	3054506
349929	1189	1994-02-14	PRIJEM	PREVOD Z UCTU	3433	14589	\N	ST	3054506
349930	1189	1994-03-14	PRIJEM	PREVOD Z UCTU	3433	15776	\N	ST	3054506
349931	1189	1994-04-14	PRIJEM	PREVOD Z UCTU	3433	16970	\N	ST	3054506
349932	1189	1994-05-14	PRIJEM	PREVOD Z UCTU	3433	18166	\N	ST	3054506
349933	1189	1994-06-14	PRIJEM	PREVOD Z UCTU	3433	19369	\N	ST	3054506
349934	1189	1994-07-14	PRIJEM	PREVOD Z UCTU	3433	20575	\N	ST	3054506
349935	1189	1994-08-14	PRIJEM	PREVOD Z UCTU	3433	20465	\N	ST	3054506
349936	1189	1994-09-14	PRIJEM	PREVOD Z UCTU	3433	20444	\N	ST	3054506
349937	1189	1994-10-14	PRIJEM	PREVOD Z UCTU	3433	20183	\N	ST	3054506
349938	1189	1994-11-14	PRIJEM	PREVOD Z UCTU	3433	21394	\N	ST	3054506
349939	1189	1994-12-14	PRIJEM	PREVOD Z UCTU	3433	21861	\N	ST	3054506
349940	1189	1995-01-14	PRIJEM	PREVOD Z UCTU	3433	18759	\N	ST	3054506
349941	1189	1995-02-14	PRIJEM	PREVOD Z UCTU	3433	18825	\N	ST	3054506
349942	1189	1995-03-14	PRIJEM	PREVOD Z UCTU	3433	20031	\N	ST	3054506
349943	1189	1995-04-14	PRIJEM	PREVOD Z UCTU	3433	21241	\N	ST	3054506
349944	1189	1995-05-14	PRIJEM	PREVOD Z UCTU	3433	22455	\N	ST	3054506
349945	1189	1995-06-14	PRIJEM	PREVOD Z UCTU	3433	21995	\N	ST	3054506
349946	1189	1995-07-14	PRIJEM	PREVOD Z UCTU	3433	23214	\N	ST	3054506
349947	1189	1995-08-14	PRIJEM	PREVOD Z UCTU	3433	24436	\N	ST	3054506
349948	1189	1995-09-14	PRIJEM	PREVOD Z UCTU	3433	25666	\N	ST	3054506
349949	1189	1995-10-14	PRIJEM	PREVOD Z UCTU	3433	25970	\N	ST	3054506
349950	1189	1995-11-14	PRIJEM	PREVOD Z UCTU	3433	25553	\N	ST	3054506
349951	1189	1995-12-14	PRIJEM	PREVOD Z UCTU	3433	26215	\N	ST	3054506
349952	1189	1996-01-14	PRIJEM	PREVOD Z UCTU	3433	25292	\N	ST	3054506
349953	1189	1996-02-14	PRIJEM	PREVOD Z UCTU	3433	24480	\N	ST	3054506
349954	1189	1996-03-14	PRIJEM	PREVOD Z UCTU	3433	25708	\N	ST	3054506
349955	1189	1996-04-14	PRIJEM	PREVOD Z UCTU	3433	26943	\N	ST	3054506
349956	1189	1996-05-14	PRIJEM	PREVOD Z UCTU	3433	28181	\N	ST	3054506
349957	1189	1996-06-14	PRIJEM	PREVOD Z UCTU	3433	29425	\N	ST	3054506
349958	1189	1996-07-14	PRIJEM	PREVOD Z UCTU	3433	26233	\N	ST	3054506
349959	1189	1996-08-14	PRIJEM	PREVOD Z UCTU	3433	25996	\N	ST	3054506
349960	1189	1996-09-14	PRIJEM	PREVOD Z UCTU	3433	27230	\N	ST	3054506
349961	1189	1996-10-14	PRIJEM	PREVOD Z UCTU	3433	26728	\N	ST	3054506
349962	1189	1996-11-14	PRIJEM	PREVOD Z UCTU	3433	27067	\N	ST	3054506
349963	1189	1996-12-14	PRIJEM	PREVOD Z UCTU	3433	28307	\N	ST	3054506
349964	1189	1997-01-14	PRIJEM	PREVOD Z UCTU	3433	27180	\N	ST	3054506
349965	1189	1997-02-14	PRIJEM	PREVOD Z UCTU	3433	24275	\N	ST	3054506
349966	1189	1997-03-14	PRIJEM	PREVOD Z UCTU	3433	25502	\N	ST	3054506
349967	1189	1997-04-14	PRIJEM	PREVOD Z UCTU	3433	26734	\N	ST	3054506
349968	1189	1997-05-14	PRIJEM	PREVOD Z UCTU	3433	27970	\N	ST	3054506
349969	1189	1997-06-14	PRIJEM	PREVOD Z UCTU	3433	28911	\N	ST	3054506
349970	1189	1997-07-14	PRIJEM	PREVOD Z UCTU	3433	26255	\N	ST	3054506
349971	1189	1997-08-14	PRIJEM	PREVOD Z UCTU	3433	27490	\N	ST	3054506
349972	1189	1997-09-14	PRIJEM	PREVOD Z UCTU	3433	28730	\N	ST	3054506
349973	1189	1997-10-14	PRIJEM	PREVOD Z UCTU	3433	29974	\N	ST	3054506
349974	1189	1997-11-14	PRIJEM	PREVOD Z UCTU	3433	30595	\N	ST	3054506
349975	1189	1997-12-14	PRIJEM	PREVOD Z UCTU	3433	30977	\N	ST	3054506
349976	1189	1998-01-14	PRIJEM	PREVOD Z UCTU	3433	31722	\N	ST	3054506
349977	1189	1998-02-14	PRIJEM	PREVOD Z UCTU	3433	29735	\N	ST	3054506
349978	1189	1998-03-14	PRIJEM	PREVOD Z UCTU	3433	30982	\N	ST	3054506
349979	1189	1998-04-14	PRIJEM	PREVOD Z UCTU	3433	32235	\N	ST	3054506
349980	1189	1998-05-14	PRIJEM	PREVOD Z UCTU	3433	33494	\N	ST	3054506
349981	1189	1998-06-14	PRIJEM	PREVOD Z UCTU	3433	26419	\N	ST	3054506
349982	1189	1998-07-14	PRIJEM	PREVOD Z UCTU	3433	27659	\N	ST	3054506
349983	1189	1998-08-14	PRIJEM	PREVOD Z UCTU	3433	28898	\N	ST	3054506
349984	1189	1998-09-14	PRIJEM	PREVOD Z UCTU	3433	30144	\N	ST	3054506
349985	1189	1998-10-14	PRIJEM	PREVOD Z UCTU	3433	31033	\N	ST	3054506
349986	1189	1998-11-14	PRIJEM	PREVOD Z UCTU	3433	31415	\N	ST	3054506
349987	1189	1998-12-14	PRIJEM	PREVOD Z UCTU	3433	31891	\N	ST	3054506
349996	1189	1993-09-07	VYDAJ	PREVOD NA UCET	1944	15075	\N	GH	69967859
349997	1189	1993-10-07	VYDAJ	PREVOD NA UCET	1944	14266	\N	GH	69967859
349998	1189	1993-11-07	VYDAJ	PREVOD NA UCET	1944	15812	\N	GH	69967859
349999	1189	1993-12-07	VYDAJ	PREVOD NA UCET	1944	16492	\N	GH	69967859
350000	1189	1994-01-07	VYDAJ	PREVOD NA UCET	1944	15721	\N	GH	69967859
350001	1189	1994-02-07	VYDAJ	PREVOD NA UCET	1944	11156	\N	GH	69967859
350002	1189	1994-03-07	VYDAJ	PREVOD NA UCET	1944	12343	\N	GH	69967859
350003	1189	1994-04-07	VYDAJ	PREVOD NA UCET	1944	13881	\N	GH	69967859
350004	1189	1994-05-07	VYDAJ	PREVOD NA UCET	1944	15077	\N	GH	69967859
350005	1189	1994-06-07	VYDAJ	PREVOD NA UCET	1944	16280	\N	GH	69967859
350006	1189	1994-07-07	VYDAJ	PREVOD NA UCET	1944	17486	\N	GH	69967859
350007	1189	1994-08-07	VYDAJ	PREVOD NA UCET	1944	17032	\N	GH	69967859
350008	1189	1994-09-07	VYDAJ	PREVOD NA UCET	1944	17011	\N	GH	69967859
350009	1189	1994-10-07	VYDAJ	PREVOD NA UCET	1944	17094	\N	GH	69967859
350010	1189	1994-11-07	VYDAJ	PREVOD NA UCET	1944	17961	\N	GH	69967859
350011	1189	1994-12-07	VYDAJ	PREVOD NA UCET	1944	18772	\N	GH	69967859
350012	1189	1995-01-07	VYDAJ	PREVOD NA UCET	1944	15626	\N	GH	69967859
350013	1189	1995-02-07	VYDAJ	PREVOD NA UCET	1944	15392	\N	GH	69967859
350014	1189	1995-03-07	VYDAJ	PREVOD NA UCET	1944	16942	\N	GH	69967859
350015	1189	1995-04-07	VYDAJ	PREVOD NA UCET	1944	18152	\N	GH	69967859
350016	1189	1995-05-07	VYDAJ	PREVOD NA UCET	1944	19366	\N	GH	69967859
350017	1189	1995-06-07	VYDAJ	PREVOD NA UCET	1944	18906	\N	GH	69967859
350018	1189	1995-07-07	VYDAJ	PREVOD NA UCET	1944	19781	\N	GH	69967859
350019	1189	1995-08-07	VYDAJ	PREVOD NA UCET	1944	21003	\N	GH	69967859
350020	1189	1995-09-07	VYDAJ	PREVOD NA UCET	1944	22233	\N	GH	69967859
350021	1189	1995-10-07	VYDAJ	PREVOD NA UCET	1944	23077	\N	GH	69967859
350022	1189	1995-11-07	VYDAJ	PREVOD NA UCET	1944	22464	\N	GH	69967859
350023	1189	1995-12-07	VYDAJ	PREVOD NA UCET	1944	22782	\N	GH	69967859
350024	1189	1996-01-07	VYDAJ	PREVOD NA UCET	1944	22833	\N	GH	69967859
350025	1189	1996-02-07	VYDAJ	PREVOD NA UCET	1944	21391	\N	GH	69967859
350026	1189	1996-03-07	VYDAJ	PREVOD NA UCET	1944	22275	\N	GH	69967859
350027	1189	1996-04-07	VYDAJ	PREVOD NA UCET	1944	23854	\N	GH	69967859
350028	1189	1996-05-07	VYDAJ	PREVOD NA UCET	1944	24748	\N	GH	69967859
350029	1189	1996-06-07	VYDAJ	PREVOD NA UCET	1944	26336	\N	GH	69967859
350030	1189	1996-07-07	VYDAJ	PREVOD NA UCET	1944	23144	\N	GH	69967859
350031	1189	1996-08-07	VYDAJ	PREVOD NA UCET	1944	22907	\N	GH	69967859
350032	1189	1996-09-07	VYDAJ	PREVOD NA UCET	1944	23797	\N	GH	69967859
350033	1189	1996-10-07	VYDAJ	PREVOD NA UCET	1944	25035	\N	GH	69967859
350034	1189	1996-11-07	VYDAJ	PREVOD NA UCET	1944	24878	\N	GH	69967859
350035	1189	1996-12-07	VYDAJ	PREVOD NA UCET	1944	25218	\N	GH	69967859
350036	1189	1997-01-07	VYDAJ	PREVOD NA UCET	1944	25547	\N	GH	69967859
350037	1189	1997-02-07	VYDAJ	PREVOD NA UCET	1944	20842	\N	GH	69967859
350038	1189	1997-03-07	VYDAJ	PREVOD NA UCET	1944	22413	\N	GH	69967859
350039	1189	1997-04-07	VYDAJ	PREVOD NA UCET	1944	23301	\N	GH	69967859
350040	1189	1997-05-07	VYDAJ	PREVOD NA UCET	1944	24537	\N	GH	69967859
350041	1189	1997-06-07	VYDAJ	PREVOD NA UCET	1944	25478	\N	GH	69967859
350042	1189	1997-07-07	VYDAJ	PREVOD NA UCET	1944	24486	\N	GH	69967859
350043	1189	1997-08-07	VYDAJ	PREVOD NA UCET	1944	24401	\N	GH	69967859
350044	1189	1997-09-07	VYDAJ	PREVOD NA UCET	1944	25641	\N	GH	69967859
350045	1189	1997-10-07	VYDAJ	PREVOD NA UCET	1944	26541	\N	GH	69967859
350046	1189	1997-11-07	VYDAJ	PREVOD NA UCET	1944	27162	\N	GH	69967859
350047	1189	1997-12-07	VYDAJ	PREVOD NA UCET	1944	27888	\N	GH	69967859
350048	1189	1998-01-07	VYDAJ	PREVOD NA UCET	1944	28633	\N	GH	69967859
350049	1189	1998-02-07	VYDAJ	PREVOD NA UCET	1944	26646	\N	GH	69967859
350050	1189	1998-03-07	VYDAJ	PREVOD NA UCET	1944	27549	\N	GH	69967859
350051	1189	1998-04-07	VYDAJ	PREVOD NA UCET	1944	28802	\N	GH	69967859
350052	1189	1998-05-07	VYDAJ	PREVOD NA UCET	1944	30061	\N	GH	69967859
350053	1189	1998-06-07	VYDAJ	PREVOD NA UCET	1944	23886	\N	GH	69967859
350054	1189	1998-07-07	VYDAJ	PREVOD NA UCET	1944	24570	\N	GH	69967859
350055	1189	1998-08-07	VYDAJ	PREVOD NA UCET	1944	25465	\N	GH	69967859
350056	1189	1998-09-07	VYDAJ	PREVOD NA UCET	1944	27055	\N	GH	69967859
350057	1189	1998-10-07	VYDAJ	PREVOD NA UCET	1944	27944	\N	GH	69967859
350058	1189	1998-11-07	VYDAJ	PREVOD NA UCET	1944	27982	\N	GH	69967859
350059	1189	1998-12-07	VYDAJ	PREVOD NA UCET	1944	29238	\N	GH	69967859
350068	1189	1993-09-07	VYDAJ	PREVOD NA UCET	344	17019	\N	GH	59060120
350069	1189	1993-10-07	VYDAJ	PREVOD NA UCET	344	16210	\N	GH	59060120
350070	1189	1993-11-07	VYDAJ	PREVOD NA UCET	344	15468	\N	GH	59060120
350071	1189	1993-12-07	VYDAJ	PREVOD NA UCET	344	18436	\N	GH	59060120
350072	1189	1994-01-07	VYDAJ	PREVOD NA UCET	344	17665	\N	GH	59060120
350073	1189	1994-02-07	VYDAJ	PREVOD NA UCET	344	13100	\N	GH	59060120
350074	1189	1994-03-07	VYDAJ	PREVOD NA UCET	344	14287	\N	GH	59060120
350075	1189	1994-04-07	VYDAJ	PREVOD NA UCET	344	13537	\N	GH	59060120
350076	1189	1994-05-07	VYDAJ	PREVOD NA UCET	344	14733	\N	GH	59060120
350077	1189	1994-06-07	VYDAJ	PREVOD NA UCET	344	15936	\N	GH	59060120
350078	1189	1994-07-07	VYDAJ	PREVOD NA UCET	344	17142	\N	GH	59060120
350079	1189	1994-08-07	VYDAJ	PREVOD NA UCET	344	18976	\N	GH	59060120
350080	1189	1994-09-07	VYDAJ	PREVOD NA UCET	344	18955	\N	GH	59060120
350081	1189	1994-10-07	VYDAJ	PREVOD NA UCET	344	16750	\N	GH	59060120
350082	1189	1994-11-07	VYDAJ	PREVOD NA UCET	344	19905	\N	GH	59060120
350083	1189	1994-12-07	VYDAJ	PREVOD NA UCET	344	18428	\N	GH	59060120
350084	1189	1995-01-07	VYDAJ	PREVOD NA UCET	344	17570	\N	GH	59060120
350085	1189	1995-02-07	VYDAJ	PREVOD NA UCET	344	17336	\N	GH	59060120
350086	1189	1995-03-07	VYDAJ	PREVOD NA UCET	344	16598	\N	GH	59060120
350087	1189	1995-04-07	VYDAJ	PREVOD NA UCET	344	17808	\N	GH	59060120
350088	1189	1995-05-07	VYDAJ	PREVOD NA UCET	344	19022	\N	GH	59060120
350089	1189	1995-06-07	VYDAJ	PREVOD NA UCET	344	18562	\N	GH	59060120
350090	1189	1995-07-07	VYDAJ	PREVOD NA UCET	344	21725	\N	GH	59060120
350091	1189	1995-08-07	VYDAJ	PREVOD NA UCET	344	22947	\N	GH	59060120
350092	1189	1995-09-07	VYDAJ	PREVOD NA UCET	344	24177	\N	GH	59060120
350093	1189	1995-10-07	VYDAJ	PREVOD NA UCET	344	25021	\N	GH	59060120
350094	1189	1995-11-07	VYDAJ	PREVOD NA UCET	344	22120	\N	GH	59060120
350095	1189	1995-12-07	VYDAJ	PREVOD NA UCET	344	24726	\N	GH	59060120
350096	1189	1996-01-07	VYDAJ	PREVOD NA UCET	344	22489	\N	GH	59060120
350097	1189	1996-02-07	VYDAJ	PREVOD NA UCET	344	21047	\N	GH	59060120
350098	1189	1996-03-07	VYDAJ	PREVOD NA UCET	344	24219	\N	GH	59060120
350099	1189	1996-04-07	VYDAJ	PREVOD NA UCET	344	23510	\N	GH	59060120
350100	1189	1996-05-07	VYDAJ	PREVOD NA UCET	344	26692	\N	GH	59060120
350101	1189	1996-06-07	VYDAJ	PREVOD NA UCET	344	25992	\N	GH	59060120
350102	1189	1996-07-07	VYDAJ	PREVOD NA UCET	344	22800	\N	GH	59060120
350103	1189	1996-08-07	VYDAJ	PREVOD NA UCET	344	22563	\N	GH	59060120
350104	1189	1996-09-07	VYDAJ	PREVOD NA UCET	344	25741	\N	GH	59060120
350105	1189	1996-10-07	VYDAJ	PREVOD NA UCET	344	26979	\N	GH	59060120
350106	1189	1996-11-07	VYDAJ	PREVOD NA UCET	344	24534	\N	GH	59060120
350107	1189	1996-12-07	VYDAJ	PREVOD NA UCET	344	24874	\N	GH	59060120
350108	1189	1997-01-07	VYDAJ	PREVOD NA UCET	344	27491	\N	GH	59060120
350109	1189	1997-02-07	VYDAJ	PREVOD NA UCET	344	22786	\N	GH	59060120
350110	1189	1997-03-07	VYDAJ	PREVOD NA UCET	344	22069	\N	GH	59060120
350111	1189	1997-04-07	VYDAJ	PREVOD NA UCET	344	25245	\N	GH	59060120
350112	1189	1997-05-07	VYDAJ	PREVOD NA UCET	344	26481	\N	GH	59060120
350113	1189	1997-06-07	VYDAJ	PREVOD NA UCET	344	27422	\N	GH	59060120
350114	1189	1997-07-07	VYDAJ	PREVOD NA UCET	344	24142	\N	GH	59060120
350115	1189	1997-08-07	VYDAJ	PREVOD NA UCET	344	24057	\N	GH	59060120
350116	1189	1997-09-07	VYDAJ	PREVOD NA UCET	344	25297	\N	GH	59060120
350117	1189	1997-10-07	VYDAJ	PREVOD NA UCET	344	28485	\N	GH	59060120
350118	1189	1997-11-07	VYDAJ	PREVOD NA UCET	344	29106	\N	GH	59060120
350119	1189	1997-12-07	VYDAJ	PREVOD NA UCET	344	27544	\N	GH	59060120
350120	1189	1998-01-07	VYDAJ	PREVOD NA UCET	344	28289	\N	GH	59060120
350121	1189	1998-02-07	VYDAJ	PREVOD NA UCET	344	26302	\N	GH	59060120
350122	1189	1998-03-07	VYDAJ	PREVOD NA UCET	344	29493	\N	GH	59060120
350123	1189	1998-04-07	VYDAJ	PREVOD NA UCET	344	30746	\N	GH	59060120
350124	1189	1998-05-07	VYDAJ	PREVOD NA UCET	344	32005	\N	GH	59060120
350125	1189	1998-06-07	VYDAJ	PREVOD NA UCET	344	25830	\N	GH	59060120
350126	1189	1998-07-07	VYDAJ	PREVOD NA UCET	344	24226	\N	GH	59060120
350127	1189	1998-08-07	VYDAJ	PREVOD NA UCET	344	27409	\N	GH	59060120
350128	1189	1998-09-07	VYDAJ	PREVOD NA UCET	344	26711	\N	GH	59060120
350129	1189	1998-10-07	VYDAJ	PREVOD NA UCET	344	27600	\N	GH	59060120
350130	1189	1998-11-07	VYDAJ	PREVOD NA UCET	344	29926	\N	GH	59060120
350131	1189	1998-12-07	VYDAJ	PREVOD NA UCET	344	31182	\N	GH	59060120
350134	1189	1995-06-03	VYDAJ	VYBER	1680	20850	\N	\N	\N
350135	1189	1996-06-14	VYDAJ	VYBER	4290	25135	\N	\N	\N
350136	1189	1997-06-22	VYDAJ	VYBER	2580	26331	\N	\N	\N
350137	1189	1998-06-06	VYDAJ	VYBER	6420	26174	\N	\N	\N
350139	1189	1994-01-27	VYDAJ	VYBER	990	14504	\N	\N	\N
350140	1189	1995-01-01	VYDAJ	VYBER	2490	19444	\N	\N	\N
350141	1189	1996-01-05	VYDAJ	VYBER	360	24777	\N	\N	\N
350142	1189	1997-01-20	VYDAJ	VYBER	1680	24330	\N	\N	\N
350143	1189	1998-01-24	VYDAJ	VYBER	750	29322	\N	\N	\N
350144	1189	1993-12-12	VYDAJ	VYBER	690	15802	\N	\N	\N
350145	1189	1994-12-06	VYDAJ	VYBER	210	20716	\N	\N	\N
350146	1189	1995-12-07	VYDAJ	VYBER	570	25070	\N	\N	\N
350147	1189	1996-12-30	VYDAJ	VYBER	570	27737	\N	\N	\N
350148	1189	1997-12-01	VYDAJ	VYBER	870	29832	\N	\N	\N
350149	1189	1998-12-16	VYDAJ	VYBER	630	31261	\N	\N	\N
350156	1189	1994-01-14	VYDAJ	VYBER	840	15494	\N	\N	\N
350157	1189	1994-01-02	VYDAJ	VYBER	510	18789	\N	\N	\N
350158	1189	1994-01-04	VYDAJ	VYBER	780	18009	\N	\N	\N
350159	1189	1994-01-11	VYDAJ	VYBER	630	14071	\N	\N	\N
350160	1189	1994-01-29	VYDAJ	VYBER	720	13784	\N	\N	\N
350161	1189	1994-01-30	VYDAJ	VYBER	390	13394	\N	\N	\N
350162	1189	1995-01-24	VYDAJ	VYBER	360	17889	\N	\N	\N
350163	1189	1995-01-25	VYDAJ	VYBER	270	17619	\N	\N	\N
350164	1189	1995-01-18	VYDAJ	VYBER	210	18549	\N	\N	\N
350165	1189	1995-01-12	VYDAJ	VYBER	300	15326	\N	\N	\N
350166	1189	1995-01-21	VYDAJ	VYBER	300	18249	\N	\N	\N
350167	1189	1995-01-04	VYDAJ	VYBER	660	18784	\N	\N	\N
350168	1189	1996-01-03	VYDAJ	VYBER	240	26067	\N	\N	\N
350169	1189	1996-01-22	VYDAJ	VYBER	540	23252	\N	\N	\N
350170	1189	1996-01-04	VYDAJ	VYBER	210	25137	\N	\N	\N
350171	1189	1996-01-03	VYDAJ	VYBER	720	25347	\N	\N	\N
350172	1189	1996-01-14	VYDAJ	VYBER	180	23792	\N	\N	\N
350173	1189	1996-01-08	VYDAJ	VYBER	630	21859	\N	\N	\N
350174	1189	1997-01-30	VYDAJ	VYBER	450	23040	\N	\N	\N
350175	1189	1997-01-21	VYDAJ	VYBER	360	23970	\N	\N	\N
350176	1189	1997-01-17	VYDAJ	VYBER	420	26760	\N	\N	\N
350177	1189	1997-01-24	VYDAJ	VYBER	480	23490	\N	\N	\N
350178	1189	1997-01-08	VYDAJ	VYBER	390	25157	\N	\N	\N
350179	1189	1997-01-19	VYDAJ	VYBER	750	26010	\N	\N	\N
350180	1189	1998-01-18	VYDAJ	VYBER	570	30852	\N	\N	\N
350181	1189	1998-01-30	VYDAJ	VYBER	840	28482	\N	\N	\N
350182	1189	1998-01-14	VYDAJ	VYBER	300	31422	\N	\N	\N
350183	1189	1998-01-23	VYDAJ	VYBER	300	30072	\N	\N	\N
350184	1189	1998-01-19	VYDAJ	VYBER	480	30372	\N	\N	\N
350185	1189	1998-01-04	VYDAJ	VYBER	510	30577	\N	\N	\N
350186	1189	1993-09-06	VYDAJ	VYBER	390	17363	\N	\N	\N
350187	1189	1993-09-28	VYDAJ	VYBER	1170	16498	\N	\N	\N
350188	1189	1993-09-13	VYDAJ	VYBER	840	14235	\N	\N	\N
350190	1189	1993-11-20	VYDAJ	VYBER	180	18721	\N	\N	\N
350191	1189	1994-12-05	VYDAJ	VYBER	540	20926	\N	\N	\N
350192	1189	1994-07-16	VYDAJ	VYBER	1140	19435	\N	\N	\N
350193	1189	1994-07-28	VYDAJ	VYBER	180	19255	\N	\N	\N
350194	1189	1994-09-20	VYDAJ	VYBER	1470	18974	\N	\N	\N
350195	1189	1994-01-13	VYDAJ	VYBER	1170	12901	\N	\N	\N
350196	1189	1994-01-08	VYDAJ	VYBER	1020	14701	\N	\N	\N
350197	1189	1994-08-19	VYDAJ	VYBER	1230	19235	\N	\N	\N
350198	1189	1995-10-03	VYDAJ	VYBER	390	25365	\N	\N	\N
350199	1189	1995-01-04	VYDAJ	VYBER	360	18424	\N	\N	\N
350200	1189	1995-01-05	VYDAJ	VYBER	510	17914	\N	\N	\N
350201	1189	1995-10-23	VYDAJ	VYBER	1230	24320	\N	\N	\N
350202	1189	1995-10-07	VYDAJ	VYBER	540	22537	\N	\N	\N
350203	1189	1995-10-17	VYDAJ	VYBER	420	25550	\N	\N	\N
350204	1189	1996-11-12	VYDAJ	VYBER	900	23634	\N	\N	\N
350205	1189	1996-10-11	VYDAJ	VYBER	1410	23625	\N	\N	\N
350206	1189	1996-10-13	VYDAJ	VYBER	330	23295	\N	\N	\N
350207	1189	1996-07-01	VYDAJ	VYBER	150	25088	\N	\N	\N
350208	1189	1996-01-14	VYDAJ	VYBER	1320	23972	\N	\N	\N
350209	1189	1996-07-21	VYDAJ	VYBER	1470	24763	\N	\N	\N
350210	1189	1997-01-11	VYDAJ	VYBER	1410	23747	\N	\N	\N
350211	1189	1997-10-28	VYDAJ	VYBER	630	29344	\N	\N	\N
350212	1189	1997-05-26	VYDAJ	VYBER	300	27670	\N	\N	\N
350213	1189	1997-07-08	VYDAJ	VYBER	1320	22822	\N	\N	\N
350214	1189	1998-06-08	VYDAJ	VYBER	900	22986	\N	\N	\N
350215	1189	1998-10-16	VYDAJ	VYBER	870	30163	\N	\N	\N
350216	1189	1998-10-05	VYDAJ	VYBER	360	29888	\N	\N	\N
350217	1189	1998-05-30	VYDAJ	VYBER	1020	32474	\N	\N	\N
350218	1189	1998-12-11	VYDAJ	VYBER	780	28458	\N	\N	\N
350227	1189	1993-08-31	VYDAJ	VYBER	15	17753	SLUZBY	\N	\N
350228	1189	1993-09-30	VYDAJ	VYBER	15	16554	SLUZBY	\N	\N
350229	1189	1993-10-31	VYDAJ	VYBER	15	17756	SLUZBY	\N	\N
350230	1189	1993-11-30	VYDAJ	VYBER	15	18780	SLUZBY	\N	\N
350231	1189	1993-12-31	VYDAJ	VYBER	15	19299	SLUZBY	\N	\N
350232	1189	1994-01-31	VYDAJ	VYBER	15	13444	SLUZBY	\N	\N
350233	1189	1994-02-28	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
350234	1189	1994-03-31	VYDAJ	VYBER	15	15825	SLUZBY	\N	\N
350235	1189	1994-04-30	VYDAJ	VYBER	15	17021	SLUZBY	\N	\N
350236	1189	1994-05-31	VYDAJ	VYBER	15	18224	SLUZBY	\N	\N
350237	1189	1994-06-30	VYDAJ	VYBER	15	19430	SLUZBY	\N	\N
350238	1189	1994-07-31	VYDAJ	VYBER	15	19320	SLUZBY	\N	\N
350239	1189	1994-08-31	VYDAJ	VYBER	15	19299	SLUZBY	\N	\N
350240	1189	1994-09-30	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
350241	1189	1994-10-31	VYDAJ	VYBER	15	20249	SLUZBY	\N	\N
350242	1189	1994-11-30	VYDAJ	VYBER	15	21466	SLUZBY	\N	\N
350243	1189	1994-12-31	VYDAJ	VYBER	15	21934	SLUZBY	\N	\N
350244	1189	1995-01-31	VYDAJ	VYBER	15	17680	SLUZBY	\N	\N
350245	1189	1995-02-28	VYDAJ	VYBER	15	18886	SLUZBY	\N	\N
350246	1189	1995-03-31	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
350247	1189	1995-04-30	VYDAJ	VYBER	15	21310	SLUZBY	\N	\N
350248	1189	1995-05-31	VYDAJ	VYBER	15	22530	SLUZBY	\N	\N
350249	1189	1995-06-30	VYDAJ	VYBER	15	22069	SLUZBY	\N	\N
350250	1189	1995-07-31	VYDAJ	VYBER	15	23291	SLUZBY	\N	\N
350251	1189	1995-08-31	VYDAJ	VYBER	15	24521	SLUZBY	\N	\N
350252	1189	1995-09-30	VYDAJ	VYBER	15	25755	SLUZBY	\N	\N
350253	1189	1995-10-31	VYDAJ	VYBER	15	24408	SLUZBY	\N	\N
350254	1189	1995-11-30	VYDAJ	VYBER	15	25640	SLUZBY	\N	\N
350255	1189	1995-12-31	VYDAJ	VYBER	15	26307	SLUZBY	\N	\N
350256	1189	1996-01-31	VYDAJ	VYBER	15	23335	SLUZBY	\N	\N
350257	1189	1996-02-29	VYDAJ	VYBER	15	24563	SLUZBY	\N	\N
350258	1189	1996-03-31	VYDAJ	VYBER	15	25798	SLUZBY	\N	\N
350259	1189	1996-04-30	VYDAJ	VYBER	15	27036	SLUZBY	\N	\N
350260	1189	1996-05-31	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
350261	1189	1996-06-30	VYDAJ	VYBER	15	25238	SLUZBY	\N	\N
350262	1189	1996-07-31	VYDAJ	VYBER	15	24851	SLUZBY	\N	\N
350263	1189	1996-08-31	VYDAJ	VYBER	15	26085	SLUZBY	\N	\N
350264	1189	1996-09-30	VYDAJ	VYBER	15	27323	SLUZBY	\N	\N
350265	1189	1996-10-31	VYDAJ	VYBER	15	26822	SLUZBY	\N	\N
350266	1189	1996-11-30	VYDAJ	VYBER	15	27162	SLUZBY	\N	\N
350267	1189	1996-12-31	VYDAJ	VYBER	15	27835	SLUZBY	\N	\N
350268	1189	1997-01-31	VYDAJ	VYBER	15	23130	SLUZBY	\N	\N
350269	1189	1997-02-28	VYDAJ	VYBER	15	24357	SLUZBY	\N	\N
350270	1189	1997-03-31	VYDAJ	VYBER	15	25589	SLUZBY	\N	\N
350271	1189	1997-04-30	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
350272	1189	1997-05-31	VYDAJ	VYBER	15	27766	SLUZBY	\N	\N
350273	1189	1997-06-30	VYDAJ	VYBER	15	26430	SLUZBY	\N	\N
350274	1189	1997-07-31	VYDAJ	VYBER	15	26345	SLUZBY	\N	\N
350275	1189	1997-08-31	VYDAJ	VYBER	15	27585	SLUZBY	\N	\N
350276	1189	1997-09-30	VYDAJ	VYBER	15	28829	SLUZBY	\N	\N
350277	1189	1997-10-31	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
350278	1189	1997-11-30	VYDAJ	VYBER	15	30702	SLUZBY	\N	\N
350279	1189	1997-12-31	VYDAJ	VYBER	15	31087	SLUZBY	\N	\N
350280	1189	1998-01-31	VYDAJ	VYBER	15	28590	SLUZBY	\N	\N
350281	1189	1998-02-28	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
350282	1189	1998-03-31	VYDAJ	VYBER	15	31090	SLUZBY	\N	\N
350283	1189	1998-04-30	VYDAJ	VYBER	15	32349	SLUZBY	\N	\N
350284	1189	1998-05-31	VYDAJ	VYBER	15	32594	SLUZBY	\N	\N
350285	1189	1998-06-30	VYDAJ	VYBER	15	26514	SLUZBY	\N	\N
350286	1189	1998-07-31	VYDAJ	VYBER	15	27753	SLUZBY	\N	\N
350287	1189	1998-08-31	VYDAJ	VYBER	15	28999	SLUZBY	\N	\N
350288	1189	1998-09-30	VYDAJ	VYBER	15	30248	SLUZBY	\N	\N
350289	1189	1998-10-31	VYDAJ	VYBER	15	30270	SLUZBY	\N	\N
350290	1189	1998-11-30	VYDAJ	VYBER	15	31526	SLUZBY	\N	\N
350356	1190	1996-09-09	PRIJEM	VKLAD	500	500	\N	\N	\N
350366	1190	1996-10-07	PRIJEM	VKLAD	12374	12874	\N	\N	\N
350367	1190	1996-11-07	PRIJEM	VKLAD	12374	31908	\N	\N	\N
350368	1190	1996-12-07	PRIJEM	VKLAD	18561	46979	\N	\N	\N
350369	1190	1997-01-07	PRIJEM	VKLAD	12374	47492	\N	\N	\N
350370	1190	1997-02-07	PRIJEM	VKLAD	12374	45224	\N	\N	\N
350371	1190	1997-03-07	PRIJEM	VKLAD	12374	49499	\N	\N	\N
350372	1190	1997-04-07	PRIJEM	VKLAD	12374	39337	\N	\N	\N
350373	1190	1997-05-07	PRIJEM	VKLAD	12374	38164	\N	\N	\N
350374	1190	1997-06-07	PRIJEM	VKLAD	18561	40460	\N	\N	\N
350375	1190	1997-07-07	PRIJEM	VKLAD	12374	27747	\N	\N	\N
350376	1190	1997-08-07	PRIJEM	VKLAD	12374	36137	\N	\N	\N
350377	1190	1997-09-07	PRIJEM	VKLAD	12374	38164	\N	\N	\N
350378	1190	1997-10-07	PRIJEM	VKLAD	12374	36906	\N	\N	\N
350379	1190	1997-11-07	PRIJEM	VKLAD	12374	38344	\N	\N	\N
350380	1190	1997-12-07	PRIJEM	VKLAD	18561	44973	\N	\N	\N
350381	1190	1998-01-07	PRIJEM	VKLAD	12374	30937	\N	\N	\N
350382	1190	1998-02-07	PRIJEM	VKLAD	12374	25335	\N	\N	\N
350383	1190	1998-03-07	PRIJEM	VKLAD	12374	32118	\N	\N	\N
350384	1190	1998-04-07	PRIJEM	VKLAD	12374	33729	\N	\N	\N
350385	1190	1998-05-07	PRIJEM	VKLAD	12374	37652	\N	\N	\N
350386	1190	1998-06-07	PRIJEM	VKLAD	18561	45176	\N	\N	\N
350387	1190	1998-07-07	PRIJEM	VKLAD	12374	33734	\N	\N	\N
350388	1190	1998-08-07	PRIJEM	VKLAD	12374	34360	\N	\N	\N
350389	1190	1998-09-07	PRIJEM	VKLAD	12374	32574	\N	\N	\N
350390	1190	1998-10-07	PRIJEM	VKLAD	12374	32773	\N	\N	\N
350391	1190	1998-11-07	PRIJEM	VKLAD	12374	29575	\N	\N	\N
350392	1190	1998-12-07	PRIJEM	VKLAD	18561	32850	\N	\N	\N
350406	1190	1997-02-14	VYDAJ	PREVOD NA UCET	8249	36975	SIPO	KL	18257963
350407	1190	1997-03-14	VYDAJ	PREVOD NA UCET	8249	26850	SIPO	KL	18257963
350408	1190	1997-04-14	VYDAJ	PREVOD NA UCET	8249	25688	SIPO	KL	18257963
350409	1190	1997-05-14	VYDAJ	PREVOD NA UCET	8249	20815	SIPO	KL	18257963
350410	1190	1997-06-14	VYDAJ	PREVOD NA UCET	8249	8111	SIPO	KL	18257963
350411	1190	1997-07-14	VYDAJ	PREVOD NA UCET	8249	19498	SIPO	KL	18257963
350412	1190	1997-08-14	VYDAJ	PREVOD NA UCET	8249	27888	SIPO	KL	18257963
350413	1190	1997-09-14	VYDAJ	PREVOD NA UCET	8249	29915	SIPO	KL	18257963
350414	1190	1997-10-14	VYDAJ	PREVOD NA UCET	8249	28657	SIPO	KL	18257963
350415	1190	1997-11-14	VYDAJ	PREVOD NA UCET	8249	30095	SIPO	KL	18257963
350416	1190	1997-12-14	VYDAJ	PREVOD NA UCET	8249	36024	SIPO	KL	18257963
350417	1190	1998-01-14	VYDAJ	PREVOD NA UCET	8249	22688	SIPO	KL	18257963
350418	1190	1998-02-14	VYDAJ	PREVOD NA UCET	8249	15886	SIPO	KL	18257963
350419	1190	1998-03-14	VYDAJ	PREVOD NA UCET	8249	23869	SIPO	KL	18257963
350420	1190	1998-04-14	VYDAJ	PREVOD NA UCET	8249	25480	SIPO	KL	18257963
350421	1190	1998-05-14	VYDAJ	PREVOD NA UCET	8249	29403	SIPO	KL	18257963
350422	1190	1998-06-14	VYDAJ	PREVOD NA UCET	8249	36927	SIPO	KL	18257963
350423	1190	1998-07-14	VYDAJ	PREVOD NA UCET	8249	25485	SIPO	KL	18257963
350424	1190	1998-08-14	VYDAJ	PREVOD NA UCET	8249	26111	SIPO	KL	18257963
350425	1190	1998-09-14	VYDAJ	PREVOD NA UCET	8249	24325	SIPO	KL	18257963
350426	1190	1998-10-14	VYDAJ	PREVOD NA UCET	8249	24524	SIPO	KL	18257963
350427	1190	1998-11-14	VYDAJ	PREVOD NA UCET	8249	21326	SIPO	KL	18257963
350428	1190	1998-12-14	VYDAJ	PREVOD NA UCET	8249	24601	SIPO	KL	18257963
350430	1190	1997-06-07	VYDAJ	VYBER	24100	16360	\N	\N	\N
350431	1190	1998-06-24	VYDAJ	VYBER	8200	28727	\N	\N	\N
350434	1190	1998-01-04	VYDAJ	VYBER	5500	21263	\N	\N	\N
350436	1190	1997-12-10	VYDAJ	VYBER	700	44273	\N	\N	\N
350437	1190	1998-12-16	VYDAJ	VYBER	900	23701	\N	\N	\N
350450	1190	1998-01-23	VYDAJ	VYBER	2300	13288	\N	\N	\N
350452	1190	1998-01-01	VYDAJ	VYBER	1100	35063	\N	\N	\N
350453	1190	1998-01-02	VYDAJ	VYBER	2600	26763	\N	\N	\N
350454	1190	1998-01-19	VYDAJ	VYBER	2200	15588	\N	\N	\N
350462	1190	1997-10-27	VYDAJ	VYBER	700	27957	\N	\N	\N
350463	1190	1997-04-10	VYDAJ	VYBER	500	33937	\N	\N	\N
350467	1190	1998-01-16	VYDAJ	VYBER	4900	17788	\N	\N	\N
350468	1190	1998-09-24	VYDAJ	VYBER	4800	19525	\N	\N	\N
350469	1190	1998-08-26	VYDAJ	VYBER	1600	24511	\N	\N	\N
350470	1190	1998-02-11	VYDAJ	VYBER	1200	24135	\N	\N	\N
350471	1190	1998-07-28	VYDAJ	VYBER	1200	24285	\N	\N	\N
350472	1190	1998-01-05	VYDAJ	VYBER	2700	18563	\N	\N	\N
350487	1190	1997-02-28	VYDAJ	VYBER	15	37125	SLUZBY	\N	\N
350488	1190	1997-03-31	VYDAJ	VYBER	15	26963	SLUZBY	\N	\N
350489	1190	1997-04-30	VYDAJ	VYBER	15	25790	SLUZBY	\N	\N
350490	1190	1997-05-31	VYDAJ	VYBER	15	20899	SLUZBY	\N	\N
350491	1190	1997-06-30	VYDAJ	VYBER	15	8173	SLUZBY	\N	\N
350492	1190	1997-07-31	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
350493	1190	1997-08-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
350494	1190	1997-09-30	VYDAJ	VYBER	15	30032	SLUZBY	\N	\N
350495	1190	1997-10-31	VYDAJ	VYBER	15	28070	SLUZBY	\N	\N
350496	1190	1997-11-30	VYDAJ	VYBER	15	30212	SLUZBY	\N	\N
350497	1190	1997-12-31	VYDAJ	VYBER	15	36163	SLUZBY	\N	\N
350498	1190	1998-01-31	VYDAJ	VYBER	15	13361	SLUZBY	\N	\N
350499	1190	1998-02-28	VYDAJ	VYBER	15	15944	SLUZBY	\N	\N
350500	1190	1998-03-31	VYDAJ	VYBER	15	23955	SLUZBY	\N	\N
350501	1190	1998-04-30	VYDAJ	VYBER	15	25578	SLUZBY	\N	\N
350502	1190	1998-05-31	VYDAJ	VYBER	15	29515	SLUZBY	\N	\N
350503	1190	1998-06-30	VYDAJ	VYBER	15	28860	SLUZBY	\N	\N
350504	1190	1998-07-31	VYDAJ	VYBER	15	24386	SLUZBY	\N	\N
350505	1190	1998-08-31	VYDAJ	VYBER	15	20200	SLUZBY	\N	\N
350506	1190	1998-09-30	VYDAJ	VYBER	15	20399	SLUZBY	\N	\N
350507	1190	1998-10-31	VYDAJ	VYBER	15	17201	SLUZBY	\N	\N
350508	1190	1998-11-30	VYDAJ	VYBER	15	14289	SLUZBY	\N	\N
350509	1190	1996-10-09	PRIJEM	VKLAD	6600	19474	\N	\N	\N
350510	1190	1996-11-08	VYDAJ	VYBER	3600	28308	\N	\N	\N
350511	1190	1996-12-08	VYDAJ	VYBER	12000	34979	\N	\N	\N
350512	1190	1997-01-07	VYDAJ	VYBER	8900	38592	\N	\N	\N
350513	1190	1997-02-06	VYDAJ	VYBER	5900	32850	\N	\N	\N
350514	1190	1997-03-08	VYDAJ	VYBER	14400	35099	\N	\N	\N
350515	1190	1997-04-07	VYDAJ	VYBER	4900	34437	\N	\N	\N
350516	1190	1997-05-07	VYDAJ	VYBER	9100	29064	\N	\N	\N
350517	1190	1997-06-06	PRIJEM	VKLAD	1000	21899	\N	\N	\N
350518	1190	1997-07-06	PRIJEM	VKLAD	7200	15373	\N	\N	\N
350519	1190	1997-08-05	PRIJEM	VKLAD	4200	23763	\N	\N	\N
350520	1190	1997-09-04	VYDAJ	VYBER	2200	25790	\N	\N	\N
350521	1190	1997-10-04	VYDAJ	VYBER	5500	24532	\N	\N	\N
350522	1190	1997-11-03	VYDAJ	VYBER	2100	25970	\N	\N	\N
350523	1190	1997-12-03	VYDAJ	VYBER	3800	26412	\N	\N	\N
350524	1190	1998-01-02	VYDAJ	VYBER	5700	29363	\N	\N	\N
350525	1190	1998-02-01	VYDAJ	VYBER	400	12961	\N	\N	\N
350526	1190	1998-03-03	PRIJEM	VKLAD	3800	19744	\N	\N	\N
350527	1190	1998-04-02	VYDAJ	VYBER	2600	21355	\N	\N	\N
350528	1190	1998-05-02	VYDAJ	VYBER	300	25278	\N	\N	\N
350529	1190	1998-06-01	VYDAJ	VYBER	2900	26615	\N	\N	\N
350530	1190	1998-07-01	VYDAJ	VYBER	7500	21360	\N	\N	\N
350531	1190	1998-07-31	VYDAJ	VYBER	2400	21986	\N	\N	\N
350532	1190	1998-08-30	VYDAJ	VYBER	4400	20111	\N	\N	\N
350533	1190	1998-09-29	PRIJEM	VKLAD	800	20325	\N	\N	\N
350534	1190	1998-10-29	VYDAJ	VYBER	7400	17124	\N	\N	\N
350535	1190	1998-11-28	VYDAJ	VYBER	7100	14226	\N	\N	\N
350892	1192	1996-05-02	PRIJEM	VKLAD	200	200	\N	\N	\N
350897	1192	1996-05-11	PRIJEM	VKLAD	11611	11811	\N	\N	\N
350898	1192	1996-06-11	PRIJEM	VKLAD	17416	36460	\N	\N	\N
350899	1192	1996-07-11	PRIJEM	VKLAD	11611	41789	\N	\N	\N
350900	1192	1996-08-11	PRIJEM	VKLAD	11611	45566	\N	\N	\N
350901	1192	1996-09-11	PRIJEM	VKLAD	11611	48819	\N	\N	\N
350902	1192	1996-10-11	PRIJEM	VKLAD	11611	47270	\N	\N	\N
350903	1192	1996-11-11	PRIJEM	VKLAD	11611	49523	\N	\N	\N
350904	1192	1996-12-11	PRIJEM	VKLAD	17416	52499	\N	\N	\N
350905	1192	1997-01-11	PRIJEM	VKLAD	11611	52187	\N	\N	\N
350906	1192	1997-02-11	PRIJEM	VKLAD	11611	52463	\N	\N	\N
350907	1192	1997-03-11	PRIJEM	VKLAD	11611	46028	\N	\N	\N
350908	1192	1997-04-11	PRIJEM	VKLAD	11611	47799	\N	\N	\N
350909	1192	1997-05-11	PRIJEM	VKLAD	11611	50848	\N	\N	\N
350910	1192	1997-06-11	PRIJEM	VKLAD	17416	61216	\N	\N	\N
350911	1192	1997-07-11	PRIJEM	VKLAD	11611	51499	\N	\N	\N
350912	1192	1997-08-11	PRIJEM	VKLAD	11611	54263	\N	\N	\N
350913	1192	1997-09-11	PRIJEM	VKLAD	11611	55844	\N	\N	\N
350914	1192	1997-10-11	PRIJEM	VKLAD	11611	52624	\N	\N	\N
350915	1192	1997-11-11	PRIJEM	VKLAD	11611	58021	\N	\N	\N
350916	1192	1997-12-11	PRIJEM	VKLAD	17416	65917	\N	\N	\N
350917	1192	1998-01-11	PRIJEM	VKLAD	11611	59323	\N	\N	\N
350918	1192	1998-02-11	PRIJEM	VKLAD	11611	56019	\N	\N	\N
350919	1192	1998-03-11	PRIJEM	VKLAD	11611	55599	\N	\N	\N
350920	1192	1998-04-11	PRIJEM	VKLAD	11611	54580	\N	\N	\N
350921	1192	1998-05-11	PRIJEM	VKLAD	11611	57275	\N	\N	\N
350922	1192	1998-06-11	PRIJEM	VKLAD	17416	50564	\N	\N	\N
350923	1192	1998-07-11	PRIJEM	VKLAD	11611	56850	\N	\N	\N
350924	1192	1998-08-11	PRIJEM	VKLAD	11611	56833	\N	\N	\N
350925	1192	1998-09-11	PRIJEM	VKLAD	11611	60423	\N	\N	\N
350926	1192	1998-10-11	PRIJEM	VKLAD	11611	64929	\N	\N	\N
350927	1192	1998-11-11	PRIJEM	VKLAD	11611	62943	\N	\N	\N
350928	1192	1998-12-11	PRIJEM	VKLAD	17416	63747	\N	\N	\N
350930	1192	1997-06-20	VYDAJ	VYBER	6900	54316	\N	\N	\N
350931	1192	1998-06-08	VYDAJ	VYBER	8100	33148	\N	\N	\N
350933	1192	1997-01-27	VYDAJ	VYBER	1100	40687	\N	\N	\N
350934	1192	1998-01-30	VYDAJ	VYBER	4300	44223	\N	\N	\N
350935	1192	1996-12-06	VYDAJ	VYBER	1600	35083	\N	\N	\N
350936	1192	1997-12-19	VYDAJ	VYBER	800	65117	\N	\N	\N
350937	1192	1998-12-26	VYDAJ	VYBER KARTOU	2900	44347	\N	\N	0
350941	1192	1996-11-14	VYDAJ	VYBER	2400	47123	\N	\N	\N
350942	1192	1996-10-24	VYDAJ	VYBER	1000	46270	\N	\N	\N
350943	1192	1997-03-05	VYDAJ	VYBER	3200	34417	\N	\N	\N
350944	1192	1997-10-04	VYDAJ	VYBER	2800	41013	\N	\N	\N
350945	1192	1997-08-21	VYDAJ	VYBER	1400	52863	\N	\N	\N
350946	1192	1997-01-20	VYDAJ	VYBER	500	51687	\N	\N	\N
350947	1192	1997-06-22	VYDAJ	VYBER	2400	51916	\N	\N	\N
350948	1192	1998-05-23	VYDAJ	VYBER KARTOU	2700	41075	\N	\N	0
350949	1192	1998-05-18	VYDAJ	VYBER	4800	52475	\N	\N	\N
350950	1192	1998-04-10	VYDAJ	VYBER	2000	42969	\N	\N	\N
350951	1192	1998-01-28	VYDAJ	VYBER	2100	48523	\N	\N	\N
350952	1192	1998-04-11	VYDAJ	VYBER	1900	52680	\N	\N	\N
350962	1192	1996-09-30	VYDAJ	VYBER	15	35659	SLUZBY	\N	\N
350963	1192	1996-10-31	VYDAJ	VYBER	15	37912	SLUZBY	\N	\N
350964	1192	1996-11-30	VYDAJ	VYBER	15	36683	SLUZBY	\N	\N
350965	1192	1996-12-31	VYDAJ	VYBER	15	40576	SLUZBY	\N	\N
350966	1192	1997-01-31	VYDAJ	VYBER	15	40852	SLUZBY	\N	\N
350967	1192	1997-02-28	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
350968	1192	1997-03-31	VYDAJ	VYBER	15	36188	SLUZBY	\N	\N
350969	1192	1997-04-30	VYDAJ	VYBER	15	39237	SLUZBY	\N	\N
350970	1192	1997-05-31	VYDAJ	VYBER	15	43800	SLUZBY	\N	\N
350971	1192	1997-06-30	VYDAJ	VYBER	15	39888	SLUZBY	\N	\N
350972	1192	1997-07-31	VYDAJ	VYBER	15	42652	SLUZBY	\N	\N
350973	1192	1997-08-31	VYDAJ	VYBER	15	44233	SLUZBY	\N	\N
350974	1192	1997-09-30	VYDAJ	VYBER	15	43813	SLUZBY	\N	\N
350975	1192	1997-10-31	VYDAJ	VYBER	15	46410	SLUZBY	\N	\N
350976	1192	1997-11-30	VYDAJ	VYBER	15	48501	SLUZBY	\N	\N
350977	1192	1997-12-31	VYDAJ	VYBER	15	47712	SLUZBY	\N	\N
350978	1192	1998-01-31	VYDAJ	VYBER	15	44408	SLUZBY	\N	\N
350979	1192	1998-02-28	VYDAJ	VYBER	15	43988	SLUZBY	\N	\N
350980	1192	1998-03-31	VYDAJ	VYBER	15	44969	SLUZBY	\N	\N
350981	1192	1998-04-30	VYDAJ	VYBER	15	45664	SLUZBY	\N	\N
350982	1192	1998-05-31	VYDAJ	VYBER	15	41248	SLUZBY	\N	\N
350983	1192	1998-06-30	VYDAJ	VYBER	15	45239	SLUZBY	\N	\N
350984	1192	1998-07-31	VYDAJ	VYBER	15	45222	SLUZBY	\N	\N
350985	1192	1998-08-31	VYDAJ	VYBER	15	48812	SLUZBY	\N	\N
350986	1192	1998-09-30	VYDAJ	VYBER	15	53318	SLUZBY	\N	\N
350987	1192	1998-10-31	VYDAJ	VYBER	15	51332	SLUZBY	\N	\N
350988	1192	1998-11-30	VYDAJ	VYBER	15	46331	SLUZBY	\N	\N
350989	1192	1996-06-01	PRIJEM	VKLAD	7200	19044	\N	\N	\N
350990	1192	1996-07-01	VYDAJ	VYBER	6400	30178	\N	\N	\N
350991	1192	1996-07-31	VYDAJ	VYBER	8000	33955	\N	\N	\N
350992	1192	1996-08-30	VYDAJ	VYBER	8500	37066	\N	\N	\N
350993	1192	1996-09-29	VYDAJ	VYBER	13300	35519	\N	\N	\N
350994	1192	1996-10-29	VYDAJ	VYBER	8500	37770	\N	\N	\N
350995	1192	1996-11-28	VYDAJ	VYBER	10600	36523	\N	\N	\N
350996	1192	1996-12-28	VYDAJ	VYBER	12100	40399	\N	\N	\N
350997	1192	1997-01-27	VYDAJ	VYBER	9900	41787	\N	\N	\N
350998	1192	1997-02-26	VYDAJ	VYBER	15000	37463	\N	\N	\N
350999	1192	1997-03-28	VYDAJ	VYBER	10000	36028	\N	\N	\N
351000	1192	1997-04-27	VYDAJ	VYBER	8700	39099	\N	\N	\N
351001	1192	1997-05-27	VYDAJ	VYBER	7200	43648	\N	\N	\N
351002	1192	1997-06-26	VYDAJ	VYBER	12200	39716	\N	\N	\N
351003	1192	1997-07-26	VYDAJ	VYBER	9000	42499	\N	\N	\N
351004	1192	1997-08-25	VYDAJ	VYBER	8800	44063	\N	\N	\N
351005	1192	1997-09-24	VYDAJ	VYBER	12200	43644	\N	\N	\N
351006	1192	1997-10-24	VYDAJ	VYBER	6400	46224	\N	\N	\N
351007	1192	1997-11-23	VYDAJ	VYBER	9700	48321	\N	\N	\N
351008	1192	1997-12-23	VYDAJ	VYBER	17600	47517	\N	\N	\N
351009	1192	1998-01-22	VYDAJ	VYBER	8700	50623	\N	\N	\N
351010	1192	1998-02-21	VYDAJ	VYBER	12200	43819	\N	\N	\N
351011	1192	1998-03-23	VYDAJ	VYBER	10800	44799	\N	\N	\N
351012	1192	1998-04-22	VYDAJ	VYBER	7200	45480	\N	\N	\N
351013	1192	1998-05-22	VYDAJ	VYBER	8700	43775	\N	\N	\N
351014	1192	1998-06-21	VYDAJ	VYBER	5500	45064	\N	\N	\N
351015	1192	1998-07-21	VYDAJ	VYBER	11800	45050	\N	\N	\N
351016	1192	1998-08-20	VYDAJ	VYBER	8200	48633	\N	\N	\N
351017	1192	1998-09-19	VYDAJ	VYBER	7300	53123	\N	\N	\N
351018	1192	1998-10-19	VYDAJ	VYBER	13800	51129	\N	\N	\N
351019	1192	1998-11-18	VYDAJ	VYBER	16800	46143	\N	\N	\N
351020	1192	1998-12-18	VYDAJ	VYBER	16500	47247	\N	\N	\N
351053	1193	1994-01-05	PRIJEM	VKLAD	200	200	\N	\N	\N
351054	1193	1994-01-06	PRIJEM	VKLAD	14407	14607	\N	\N	\N
351055	1193	1994-02-06	PRIJEM	VKLAD	14407	36165	\N	\N	\N
351056	1193	1994-03-06	PRIJEM	VKLAD	14407	50707	\N	\N	\N
351057	1193	1994-04-06	PRIJEM	VKLAD	14407	44465	\N	\N	\N
351058	1193	1994-05-06	PRIJEM	VKLAD	14407	50551	\N	\N	\N
351059	1193	1994-06-06	PRIJEM	VKLAD	21611	51036	\N	\N	\N
351060	1193	1994-07-06	PRIJEM	VKLAD	14407	49774	\N	\N	\N
351061	1193	1994-08-06	PRIJEM	VKLAD	14407	47812	\N	\N	\N
351062	1193	1994-09-06	PRIJEM	VKLAD	14407	47843	\N	\N	\N
351063	1193	1994-10-06	PRIJEM	VKLAD	14407	43744	\N	\N	\N
351064	1193	1994-11-06	PRIJEM	VKLAD	14407	42756	\N	\N	\N
351065	1193	1994-12-06	PRIJEM	VKLAD	21611	53669	\N	\N	\N
351066	1193	1995-01-06	PRIJEM	VKLAD	14407	49648	\N	\N	\N
351067	1193	1995-02-06	PRIJEM	VKLAD	14407	33380	\N	\N	\N
351068	1193	1995-03-06	PRIJEM	VKLAD	14407	40684	\N	\N	\N
351069	1193	1995-04-06	PRIJEM	VKLAD	14407	40115	\N	\N	\N
351070	1193	1995-05-06	PRIJEM	VKLAD	14407	41803	\N	\N	\N
351071	1193	1995-06-06	PRIJEM	VKLAD	21611	48403	\N	\N	\N
351072	1193	1995-07-06	PRIJEM	VKLAD	14407	36270	\N	\N	\N
351073	1193	1995-08-06	PRIJEM	VKLAD	14407	38440	\N	\N	\N
351074	1193	1995-09-06	PRIJEM	VKLAD	14407	41818	\N	\N	\N
351075	1193	1995-10-06	PRIJEM	VKLAD	14407	41709	\N	\N	\N
351076	1193	1995-11-06	PRIJEM	VKLAD	14407	41050	\N	\N	\N
351077	1193	1995-12-06	PRIJEM	VKLAD	21611	45877	\N	\N	\N
351078	1193	1996-01-06	PRIJEM	VKLAD	14407	44812	\N	\N	\N
351079	1193	1996-02-06	PRIJEM	VKLAD	14407	40115	\N	\N	\N
351080	1193	1996-03-06	PRIJEM	VKLAD	14407	38012	\N	\N	\N
351081	1193	1996-04-06	PRIJEM	VKLAD	14407	32643	\N	\N	\N
351082	1193	1996-05-06	PRIJEM	VKLAD	14407	35602	\N	\N	\N
351083	1193	1996-06-06	PRIJEM	VKLAD	21611	41265	\N	\N	\N
351084	1193	1996-07-06	PRIJEM	VKLAD	14407	33602	\N	\N	\N
351085	1193	1996-08-06	PRIJEM	VKLAD	14407	36757	\N	\N	\N
351086	1193	1996-09-06	PRIJEM	VKLAD	14407	39124	\N	\N	\N
351087	1193	1996-10-06	PRIJEM	VKLAD	14407	38696	\N	\N	\N
351088	1193	1996-11-06	PRIJEM	VKLAD	14407	37428	\N	\N	\N
351089	1193	1996-12-06	PRIJEM	VKLAD	21611	47907	\N	\N	\N
351090	1193	1997-01-06	PRIJEM	VKLAD	14407	43741	\N	\N	\N
351091	1193	1997-02-06	PRIJEM	VKLAD	14407	41927	\N	\N	\N
351092	1193	1997-03-06	PRIJEM	VKLAD	14407	39405	\N	\N	\N
351093	1193	1997-04-06	PRIJEM	VKLAD	14407	36869	\N	\N	\N
351094	1193	1997-05-06	PRIJEM	VKLAD	14407	37712	\N	\N	\N
351095	1193	1997-06-06	PRIJEM	VKLAD	21611	46682	\N	\N	\N
351096	1193	1997-07-06	PRIJEM	VKLAD	14407	40580	\N	\N	\N
351097	1193	1997-08-06	PRIJEM	VKLAD	14407	34720	\N	\N	\N
351098	1193	1997-09-06	PRIJEM	VKLAD	14407	34970	\N	\N	\N
351099	1193	1997-10-06	PRIJEM	VKLAD	14407	29686	\N	\N	\N
351100	1193	1997-11-06	PRIJEM	VKLAD	14407	31316	\N	\N	\N
351101	1193	1997-12-06	PRIJEM	VKLAD	21611	37852	\N	\N	\N
351102	1193	1998-01-06	PRIJEM	VKLAD	14407	35060	\N	\N	\N
351103	1193	1998-02-06	PRIJEM	VKLAD	14407	31699	\N	\N	\N
351104	1193	1998-03-06	PRIJEM	VKLAD	14407	31131	\N	\N	\N
351105	1193	1998-04-06	PRIJEM	VKLAD	14407	35172	\N	\N	\N
351106	1193	1998-05-06	PRIJEM	VKLAD	14407	30883	\N	\N	\N
351107	1193	1998-06-06	PRIJEM	VKLAD	21611	41246	\N	\N	\N
351108	1193	1998-07-06	PRIJEM	VKLAD	14407	33680	\N	\N	\N
351109	1193	1998-08-06	PRIJEM	VKLAD	14407	37931	\N	\N	\N
351110	1193	1998-09-06	PRIJEM	VKLAD	14407	36985	\N	\N	\N
351111	1193	1998-10-06	PRIJEM	VKLAD	14407	32023	\N	\N	\N
351112	1193	1998-11-06	PRIJEM	VKLAD	14407	32756	\N	\N	\N
351113	1193	1998-12-06	PRIJEM	VKLAD	21611	43904	\N	\N	\N
351118	1193	1994-05-08	VYDAJ	PREVOD NA UCET	7334	43217	SIPO	KL	465041
351119	1193	1994-06-08	VYDAJ	PREVOD NA UCET	7334	43702	SIPO	KL	465041
351120	1193	1994-07-08	VYDAJ	PREVOD NA UCET	7334	42440	SIPO	KL	465041
351121	1193	1994-08-08	VYDAJ	PREVOD NA UCET	7334	40478	SIPO	KL	465041
351122	1193	1994-09-08	VYDAJ	PREVOD NA UCET	7334	40509	SIPO	KL	465041
351123	1193	1994-10-08	VYDAJ	PREVOD NA UCET	7334	36410	SIPO	KL	465041
351124	1193	1994-11-08	VYDAJ	PREVOD NA UCET	7334	35422	SIPO	KL	465041
351125	1193	1994-12-08	VYDAJ	PREVOD NA UCET	7334	46335	SIPO	KL	465041
351126	1193	1995-01-08	VYDAJ	PREVOD NA UCET	7334	42314	SIPO	KL	465041
351127	1193	1995-02-08	VYDAJ	PREVOD NA UCET	7334	26046	SIPO	KL	465041
351128	1193	1995-03-08	VYDAJ	PREVOD NA UCET	7334	33350	SIPO	KL	465041
351129	1193	1995-04-08	VYDAJ	PREVOD NA UCET	7334	32781	SIPO	KL	465041
351130	1193	1995-05-08	VYDAJ	PREVOD NA UCET	7334	34469	SIPO	KL	465041
351131	1193	1995-06-08	VYDAJ	PREVOD NA UCET	7334	41069	SIPO	KL	465041
351132	1193	1995-07-08	VYDAJ	PREVOD NA UCET	7334	28936	SIPO	KL	465041
351133	1193	1995-08-08	VYDAJ	PREVOD NA UCET	7334	31106	SIPO	KL	465041
351134	1193	1995-09-08	VYDAJ	PREVOD NA UCET	7334	34484	SIPO	KL	465041
351135	1193	1995-10-08	VYDAJ	PREVOD NA UCET	7334	31135	SIPO	KL	465041
351136	1193	1995-11-08	VYDAJ	PREVOD NA UCET	7334	33716	SIPO	KL	465041
351137	1193	1995-12-08	VYDAJ	PREVOD NA UCET	7334	38543	SIPO	KL	465041
351138	1193	1996-01-08	VYDAJ	PREVOD NA UCET	7334	37478	SIPO	KL	465041
351139	1193	1996-02-08	VYDAJ	PREVOD NA UCET	7334	32781	SIPO	KL	465041
351140	1193	1996-03-08	VYDAJ	PREVOD NA UCET	7334	30678	SIPO	KL	465041
351141	1193	1996-04-08	VYDAJ	PREVOD NA UCET	7334	25309	SIPO	KL	465041
351142	1193	1996-05-08	VYDAJ	PREVOD NA UCET	7334	28268	SIPO	KL	465041
351143	1193	1996-06-08	VYDAJ	PREVOD NA UCET	7334	33931	SIPO	KL	465041
351144	1193	1996-07-08	VYDAJ	PREVOD NA UCET	7334	26268	SIPO	KL	465041
351145	1193	1996-08-08	VYDAJ	PREVOD NA UCET	7334	29423	SIPO	KL	465041
351146	1193	1996-09-08	VYDAJ	PREVOD NA UCET	7334	31790	SIPO	KL	465041
351147	1193	1996-10-08	VYDAJ	PREVOD NA UCET	7334	31362	SIPO	KL	465041
351148	1193	1996-11-08	VYDAJ	PREVOD NA UCET	7334	30094	SIPO	KL	465041
351149	1193	1996-12-08	VYDAJ	PREVOD NA UCET	7334	40573	SIPO	KL	465041
351150	1193	1997-01-08	VYDAJ	PREVOD NA UCET	7334	36407	SIPO	KL	465041
351151	1193	1997-02-08	VYDAJ	PREVOD NA UCET	7334	34593	SIPO	KL	465041
351152	1193	1997-03-08	VYDAJ	PREVOD NA UCET	7334	32071	SIPO	KL	465041
351153	1193	1997-04-08	VYDAJ	PREVOD NA UCET	7334	27615	SIPO	KL	465041
351154	1193	1997-05-08	VYDAJ	PREVOD NA UCET	7334	30378	SIPO	KL	465041
351155	1193	1997-06-08	VYDAJ	PREVOD NA UCET	7334	34068	SIPO	KL	465041
351156	1193	1997-07-08	VYDAJ	PREVOD NA UCET	7334	33246	SIPO	KL	465041
351157	1193	1997-08-08	VYDAJ	PREVOD NA UCET	7334	27386	SIPO	KL	465041
351158	1193	1997-09-08	VYDAJ	PREVOD NA UCET	7334	22716	SIPO	KL	465041
351159	1193	1997-10-08	VYDAJ	PREVOD NA UCET	7334	22352	SIPO	KL	465041
351160	1193	1997-11-08	VYDAJ	PREVOD NA UCET	7334	23982	SIPO	KL	465041
351161	1193	1997-12-08	VYDAJ	PREVOD NA UCET	7334	29078	SIPO	KL	465041
351162	1193	1998-01-08	VYDAJ	PREVOD NA UCET	7334	27726	SIPO	KL	465041
351163	1193	1998-02-08	VYDAJ	PREVOD NA UCET	7334	24365	SIPO	KL	465041
351164	1193	1998-03-08	VYDAJ	PREVOD NA UCET	7334	23797	SIPO	KL	465041
351165	1193	1998-04-08	VYDAJ	PREVOD NA UCET	7334	27838	SIPO	KL	465041
351166	1193	1998-05-08	VYDAJ	PREVOD NA UCET	7334	20669	SIPO	KL	465041
351167	1193	1998-06-08	VYDAJ	PREVOD NA UCET	7334	33912	SIPO	KL	465041
351168	1193	1998-07-08	VYDAJ	PREVOD NA UCET	7334	26346	SIPO	KL	465041
351169	1193	1998-08-08	VYDAJ	PREVOD NA UCET	7334	30597	SIPO	KL	465041
351170	1193	1998-09-08	VYDAJ	PREVOD NA UCET	7334	29651	SIPO	KL	465041
351171	1193	1998-10-08	VYDAJ	PREVOD NA UCET	7334	24689	SIPO	KL	465041
351172	1193	1998-11-08	VYDAJ	PREVOD NA UCET	7334	25422	SIPO	KL	465041
351173	1193	1998-12-08	VYDAJ	PREVOD NA UCET	7334	36570	SIPO	KL	465041
351174	1193	1994-06-01	VYDAJ	VYBER	8960	34425	\N	\N	\N
351175	1193	1995-06-22	VYDAJ	VYBER	24320	16749	\N	\N	\N
351178	1193	1998-06-19	VYDAJ	VYBER	9120	19192	\N	\N	\N
351180	1193	1995-01-24	VYDAJ	VYBER	14240	28074	\N	\N	\N
351181	1193	1996-01-16	VYDAJ	VYBER	10880	26598	\N	\N	\N
351184	1193	1994-12-22	VYDAJ	VYBER	4160	42175	\N	\N	\N
351185	1193	1995-12-20	VYDAJ	VYBER	4160	34383	\N	\N	\N
351186	1193	1996-12-18	VYDAJ	VYBER	1760	38813	\N	\N	\N
351187	1193	1997-12-07	VYDAJ	VYBER	1440	36412	\N	\N	\N
351188	1193	1998-12-18	VYDAJ	VYBER	2400	31170	\N	\N	\N
351191	1193	1994-09-18	VYDAJ	VYBER	4320	36189	\N	\N	\N
351192	1193	1995-02-02	VYDAJ	VYBER	5640	18973	\N	\N	\N
351193	1193	1995-11-25	VYDAJ	VYBER	5760	27956	\N	\N	\N
351194	1193	1995-10-08	VYDAJ	VYBER	3240	38469	\N	\N	\N
351195	1193	1995-02-22	VYDAJ	VYBER	3360	22686	\N	\N	\N
351196	1193	1995-03-31	VYDAJ	VYBER	5160	28323	\N	\N	\N
351197	1193	1995-05-28	VYDAJ	VYBER	4200	30269	\N	\N	\N
351198	1193	1996-04-04	VYDAJ	VYBER	4440	18236	\N	\N	\N
351199	1193	1996-09-20	VYDAJ	VYBER	3600	28190	\N	\N	\N
351200	1193	1996-11-02	VYDAJ	VYBER	2640	23021	\N	\N	\N
351201	1193	1996-02-20	VYDAJ	VYBER	4080	28701	\N	\N	\N
351202	1193	1996-06-15	VYDAJ	VYBER	5880	28051	\N	\N	\N
351203	1193	1996-06-17	VYDAJ	VYBER	5640	22411	\N	\N	\N
351204	1193	1997-09-06	VYDAJ	VYBER	4920	30050	\N	\N	\N
351205	1193	1997-03-11	VYDAJ	VYBER	3600	28471	\N	\N	\N
351207	1193	1997-06-07	VYDAJ	VYBER	5280	41402	\N	\N	\N
351208	1193	1997-07-13	VYDAJ	VYBER	5520	27726	\N	\N	\N
351209	1193	1997-04-06	VYDAJ	VYBER	1920	34949	\N	\N	\N
351210	1193	1998-04-14	VYDAJ	VYBER	4680	23158	\N	\N	\N
351211	1193	1998-05-02	VYDAJ	VYBER	2040	16476	\N	\N	\N
351212	1193	1998-05-07	VYDAJ	VYBER	2880	28003	\N	\N	\N
351214	1193	1998-04-26	VYDAJ	VYBER	3120	18438	\N	\N	\N
351220	1193	1994-05-31	VYDAJ	VYBER	15	43385	SLUZBY	\N	\N
351221	1193	1994-06-30	VYDAJ	VYBER	15	43867	SLUZBY	\N	\N
351222	1193	1994-07-31	VYDAJ	VYBER	15	42605	SLUZBY	\N	\N
351223	1193	1994-08-31	VYDAJ	VYBER	15	40636	SLUZBY	\N	\N
351224	1193	1994-09-30	VYDAJ	VYBER	15	36337	SLUZBY	\N	\N
351225	1193	1994-10-31	VYDAJ	VYBER	15	36549	SLUZBY	\N	\N
351226	1193	1994-11-30	VYDAJ	VYBER	15	35558	SLUZBY	\N	\N
351227	1193	1994-12-31	VYDAJ	VYBER	15	35241	SLUZBY	\N	\N
351228	1193	1995-01-31	VYDAJ	VYBER	15	24613	SLUZBY	\N	\N
351229	1193	1995-02-28	VYDAJ	VYBER	15	22777	SLUZBY	\N	\N
351230	1193	1995-03-31	VYDAJ	VYBER	15	28308	SLUZBY	\N	\N
351231	1193	1995-04-30	VYDAJ	VYBER	15	32896	SLUZBY	\N	\N
351232	1193	1995-05-31	VYDAJ	VYBER	15	26793	SLUZBY	\N	\N
351233	1193	1995-06-30	VYDAJ	VYBER	15	21863	SLUZBY	\N	\N
351234	1193	1995-07-31	VYDAJ	VYBER	15	24033	SLUZBY	\N	\N
351235	1193	1995-08-31	VYDAJ	VYBER	15	27411	SLUZBY	\N	\N
351236	1193	1995-09-30	VYDAJ	VYBER	15	27302	SLUZBY	\N	\N
351237	1193	1995-10-31	VYDAJ	VYBER	15	26643	SLUZBY	\N	\N
351238	1193	1995-11-30	VYDAJ	VYBER	15	24267	SLUZBY	\N	\N
351239	1193	1995-12-31	VYDAJ	VYBER	15	30405	SLUZBY	\N	\N
351240	1193	1996-01-31	VYDAJ	VYBER	15	25708	SLUZBY	\N	\N
351241	1193	1996-02-29	VYDAJ	VYBER	15	23605	SLUZBY	\N	\N
351242	1193	1996-03-31	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
351243	1193	1996-04-30	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
351244	1193	1996-05-31	VYDAJ	VYBER	15	19654	SLUZBY	\N	\N
351245	1193	1996-06-30	VYDAJ	VYBER	15	19195	SLUZBY	\N	\N
351246	1193	1996-07-31	VYDAJ	VYBER	15	22350	SLUZBY	\N	\N
351247	1193	1996-08-31	VYDAJ	VYBER	15	24717	SLUZBY	\N	\N
351248	1193	1996-09-30	VYDAJ	VYBER	15	24289	SLUZBY	\N	\N
351249	1193	1996-10-31	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
351250	1193	1996-11-30	VYDAJ	VYBER	15	26297	SLUZBY	\N	\N
351251	1193	1996-12-31	VYDAJ	VYBER	15	29334	SLUZBY	\N	\N
351252	1193	1997-01-31	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
351253	1193	1997-02-28	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
351254	1193	1997-03-31	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
351255	1193	1997-04-30	VYDAJ	VYBER	15	23305	SLUZBY	\N	\N
351256	1193	1997-05-31	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
351257	1193	1997-06-30	VYDAJ	VYBER	15	26173	SLUZBY	\N	\N
351258	1193	1997-07-31	VYDAJ	VYBER	15	20313	SLUZBY	\N	\N
351259	1193	1997-08-31	VYDAJ	VYBER	15	20563	SLUZBY	\N	\N
351260	1193	1997-09-30	VYDAJ	VYBER	15	15279	SLUZBY	\N	\N
351261	1193	1997-10-31	VYDAJ	VYBER	15	16909	SLUZBY	\N	\N
351262	1193	1997-11-30	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
351263	1193	1997-12-31	VYDAJ	VYBER	15	20653	SLUZBY	\N	\N
351264	1193	1998-01-31	VYDAJ	VYBER	15	17292	SLUZBY	\N	\N
351265	1193	1998-02-28	VYDAJ	VYBER	15	16724	SLUZBY	\N	\N
351266	1193	1998-03-31	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
351267	1193	1998-04-30	VYDAJ	VYBER	15	18516	SLUZBY	\N	\N
351268	1193	1998-05-31	VYDAJ	VYBER	15	19635	SLUZBY	\N	\N
351269	1193	1998-06-30	VYDAJ	VYBER	15	19273	SLUZBY	\N	\N
351270	1193	1998-07-31	VYDAJ	VYBER	15	23524	SLUZBY	\N	\N
351271	1193	1998-08-31	VYDAJ	VYBER	15	22578	SLUZBY	\N	\N
351272	1193	1998-09-30	VYDAJ	VYBER	15	17616	SLUZBY	\N	\N
351273	1193	1998-10-31	VYDAJ	VYBER	15	18349	SLUZBY	\N	\N
351274	1193	1998-11-30	VYDAJ	VYBER	15	22294	SLUZBY	\N	\N
351275	1193	1994-02-04	PRIJEM	VKLAD	7100	21758	\N	\N	\N
351276	1193	1994-03-06	VYDAJ	VYBER	14500	36207	\N	\N	\N
351277	1193	1994-04-05	VYDAJ	VYBER	6300	30058	\N	\N	\N
351278	1193	1994-05-05	VYDAJ	VYBER	8500	36144	\N	\N	\N
351279	1193	1994-06-04	VYDAJ	VYBER	5000	29425	\N	\N	\N
351280	1193	1994-07-04	VYDAJ	VYBER	8500	35367	\N	\N	\N
351281	1193	1994-08-03	VYDAJ	VYBER	9200	33405	\N	\N	\N
351282	1193	1994-09-02	VYDAJ	VYBER	7200	33436	\N	\N	\N
351283	1193	1994-10-02	VYDAJ	VYBER	7000	29337	\N	\N	\N
351284	1193	1994-11-01	VYDAJ	VYBER	8200	28349	\N	\N	\N
351285	1193	1994-12-01	VYDAJ	VYBER	3500	32058	\N	\N	\N
351286	1193	1994-12-31	VYDAJ	VYBER	7100	35256	\N	\N	\N
351287	1193	1995-01-30	VYDAJ	VYBER	3600	24474	\N	\N	\N
351288	1193	1995-03-01	PRIJEM	VKLAD	3500	26277	\N	\N	\N
351289	1193	1995-03-31	VYDAJ	VYBER	2600	25708	\N	\N	\N
351290	1193	1995-04-30	VYDAJ	VYBER	5500	27396	\N	\N	\N
351291	1193	1995-05-30	VYDAJ	VYBER	3600	26669	\N	\N	\N
351292	1193	1995-06-29	PRIJEM	VKLAD	5000	21749	\N	\N	\N
351293	1193	1995-07-29	VYDAJ	VYBER	5000	23936	\N	\N	\N
351294	1193	1995-08-28	VYDAJ	VYBER	3800	27306	\N	\N	\N
351295	1193	1995-09-27	VYDAJ	VYBER	7300	27184	\N	\N	\N
351296	1193	1995-10-27	VYDAJ	VYBER	4600	26535	\N	\N	\N
351297	1193	1995-11-26	VYDAJ	VYBER	3800	24156	\N	\N	\N
351298	1193	1995-12-26	VYDAJ	VYBER	4100	30283	\N	\N	\N
351299	1193	1996-01-25	VYDAJ	VYBER	1000	25598	\N	\N	\N
351300	1193	1996-02-24	VYDAJ	VYBER	5200	23501	\N	\N	\N
351301	1193	1996-03-25	VYDAJ	VYBER	8100	22578	\N	\N	\N
351302	1193	1996-04-24	VYDAJ	VYBER	4200	21109	\N	\N	\N
351303	1193	1996-05-24	VYDAJ	VYBER	8700	19568	\N	\N	\N
351304	1193	1996-06-23	VYDAJ	VYBER	3300	19111	\N	\N	\N
351305	1193	1996-07-23	VYDAJ	VYBER	4000	22268	\N	\N	\N
351306	1193	1996-08-22	VYDAJ	VYBER	4800	24623	\N	\N	\N
351307	1193	1996-09-21	VYDAJ	VYBER	4000	24190	\N	\N	\N
351308	1193	1996-10-21	VYDAJ	VYBER	5800	25562	\N	\N	\N
351309	1193	1996-11-20	VYDAJ	VYBER	3900	26194	\N	\N	\N
351310	1193	1996-12-20	VYDAJ	VYBER	9600	29213	\N	\N	\N
351311	1193	1997-01-19	VYDAJ	VYBER	9000	27407	\N	\N	\N
351312	1193	1997-02-18	VYDAJ	VYBER	9700	24893	\N	\N	\N
351313	1193	1997-03-20	VYDAJ	VYBER	6100	22371	\N	\N	\N
351314	1193	1997-04-19	VYDAJ	VYBER	4400	23215	\N	\N	\N
351315	1193	1997-05-19	VYDAJ	VYBER	5400	24978	\N	\N	\N
351316	1193	1997-06-18	VYDAJ	VYBER	8000	26068	\N	\N	\N
351317	1193	1997-07-18	VYDAJ	VYBER	7500	20226	\N	\N	\N
351318	1193	1997-08-17	VYDAJ	VYBER	6900	20486	\N	\N	\N
351319	1193	1997-09-16	VYDAJ	VYBER	7500	15216	\N	\N	\N
351320	1193	1997-10-16	VYDAJ	VYBER	5500	16852	\N	\N	\N
351321	1193	1997-11-15	VYDAJ	VYBER	7800	16182	\N	\N	\N
351322	1193	1997-12-15	VYDAJ	VYBER	8500	20578	\N	\N	\N
351323	1193	1998-01-14	VYDAJ	VYBER	10500	17226	\N	\N	\N
351324	1193	1998-02-13	VYDAJ	VYBER	7700	16665	\N	\N	\N
351325	1193	1998-03-15	VYDAJ	VYBER	3100	20697	\N	\N	\N
351326	1193	1998-04-14	VYDAJ	VYBER	1600	21558	\N	\N	\N
351327	1193	1998-05-14	VYDAJ	VYBER	1100	19569	\N	\N	\N
351328	1193	1998-06-13	VYDAJ	VYBER	5600	28312	\N	\N	\N
351329	1193	1998-07-13	VYDAJ	VYBER	2900	23446	\N	\N	\N
351330	1193	1998-08-12	VYDAJ	VYBER	8100	22497	\N	\N	\N
351331	1193	1998-09-11	VYDAJ	VYBER	12100	17551	\N	\N	\N
351332	1193	1998-10-11	VYDAJ	VYBER	6400	18289	\N	\N	\N
351333	1193	1998-11-10	VYDAJ	VYBER	3200	22222	\N	\N	\N
351334	1193	1998-12-10	VYDAJ	VYBER	3000	33570	\N	\N	\N
351395	1194	1994-04-15	PRIJEM	VKLAD	500	500	\N	\N	\N
351400	1194	1994-05-12	PRIJEM	VKLAD	22132	22632	\N	\N	\N
351401	1194	1994-06-12	PRIJEM	VKLAD	33198	57285	\N	\N	\N
351402	1194	1994-07-12	PRIJEM	VKLAD	22132	64059	\N	\N	\N
351403	1194	1994-08-12	PRIJEM	VKLAD	22132	67674	\N	\N	\N
351404	1194	1994-09-12	PRIJEM	VKLAD	22132	68196	\N	\N	\N
351405	1194	1994-10-12	PRIJEM	VKLAD	22132	65389	\N	\N	\N
351406	1194	1994-11-12	PRIJEM	VKLAD	22132	52777	\N	\N	\N
351407	1194	1994-12-12	PRIJEM	VKLAD	33198	65508	\N	\N	\N
351408	1194	1995-01-12	PRIJEM	VKLAD	22132	52263	\N	\N	\N
351409	1194	1995-02-12	PRIJEM	VKLAD	22132	56139	\N	\N	\N
351410	1194	1995-03-12	PRIJEM	VKLAD	22132	62795	\N	\N	\N
351411	1194	1995-04-12	PRIJEM	VKLAD	22132	63531	\N	\N	\N
351412	1194	1995-05-12	PRIJEM	VKLAD	22132	61367	\N	\N	\N
351413	1194	1995-06-12	PRIJEM	VKLAD	33198	58524	\N	\N	\N
351414	1194	1995-07-12	PRIJEM	VKLAD	22132	60604	\N	\N	\N
351415	1194	1995-08-12	PRIJEM	VKLAD	22132	60791	\N	\N	\N
351416	1194	1995-09-12	PRIJEM	VKLAD	22132	63079	\N	\N	\N
351417	1194	1995-10-12	PRIJEM	VKLAD	22132	66671	\N	\N	\N
351418	1194	1995-11-12	PRIJEM	VKLAD	22132	62297	\N	\N	\N
351419	1194	1995-12-12	PRIJEM	VKLAD	33198	76569	\N	\N	\N
351420	1194	1996-01-12	PRIJEM	VKLAD	22132	64244	\N	\N	\N
351421	1194	1996-02-12	PRIJEM	VKLAD	22132	55116	\N	\N	\N
351422	1194	1996-03-12	PRIJEM	VKLAD	22132	58553	\N	\N	\N
351423	1194	1996-04-12	PRIJEM	VKLAD	22132	60021	\N	\N	\N
351424	1194	1996-05-12	PRIJEM	VKLAD	22132	61197	\N	\N	\N
351425	1194	1996-06-12	PRIJEM	VKLAD	33198	73445	\N	\N	\N
351426	1194	1996-07-12	PRIJEM	VKLAD	22132	60155	\N	\N	\N
351427	1194	1996-08-12	PRIJEM	VKLAD	22132	57679	\N	\N	\N
351428	1194	1996-09-12	PRIJEM	VKLAD	22132	59684	\N	\N	\N
351429	1194	1996-10-12	PRIJEM	VKLAD	22132	60620	\N	\N	\N
351430	1194	1996-11-12	PRIJEM	VKLAD	22132	60596	\N	\N	\N
351431	1194	1996-12-12	PRIJEM	VKLAD	33198	68127	\N	\N	\N
351432	1194	1997-01-12	PRIJEM	VKLAD	22132	52081	\N	\N	\N
351433	1194	1997-02-12	PRIJEM	VKLAD	22132	45679	\N	\N	\N
351434	1194	1997-03-12	PRIJEM	VKLAD	22132	50881	\N	\N	\N
351435	1194	1997-04-12	PRIJEM	VKLAD	22132	50300	\N	\N	\N
351436	1194	1997-05-12	PRIJEM	VKLAD	22132	53220	\N	\N	\N
351437	1194	1997-06-12	PRIJEM	VKLAD	33198	67918	\N	\N	\N
351438	1194	1997-07-12	PRIJEM	VKLAD	22132	41703	\N	\N	\N
351439	1194	1997-08-12	PRIJEM	VKLAD	22132	47485	\N	\N	\N
351440	1194	1997-09-12	PRIJEM	VKLAD	22132	53790	\N	\N	\N
351441	1194	1997-10-12	PRIJEM	VKLAD	22132	59119	\N	\N	\N
351442	1194	1997-11-12	PRIJEM	VKLAD	22132	58765	\N	\N	\N
351443	1194	1997-12-12	PRIJEM	VKLAD	33198	68675	\N	\N	\N
351444	1194	1998-01-12	PRIJEM	VKLAD	22132	56674	\N	\N	\N
351445	1194	1998-02-12	PRIJEM	VKLAD	22132	47431	\N	\N	\N
351446	1194	1998-03-12	PRIJEM	VKLAD	22132	54129	\N	\N	\N
351447	1194	1998-04-12	PRIJEM	VKLAD	22132	54554	\N	\N	\N
351448	1194	1998-05-12	PRIJEM	VKLAD	22132	57978	\N	\N	\N
351449	1194	1998-06-12	PRIJEM	VKLAD	33198	74285	\N	\N	\N
351450	1194	1998-07-12	PRIJEM	VKLAD	22132	67456	\N	\N	\N
351451	1194	1998-08-12	PRIJEM	VKLAD	22132	62689	\N	\N	\N
351452	1194	1998-09-12	PRIJEM	VKLAD	22132	66649	\N	\N	\N
351453	1194	1998-10-12	PRIJEM	VKLAD	22132	70036	\N	\N	\N
351454	1194	1998-11-12	PRIJEM	VKLAD	22132	75621	\N	\N	\N
351455	1194	1998-12-12	PRIJEM	VKLAD	33198	80387	\N	\N	\N
351465	1194	1994-10-06	VYDAJ	PREVOD NA UCET	3171	43257	SIPO	WX	70871931
351466	1194	1994-11-06	VYDAJ	PREVOD NA UCET	3171	40945	SIPO	WX	70871931
351467	1194	1994-12-06	VYDAJ	PREVOD NA UCET	3171	43310	SIPO	WX	70871931
351468	1194	1995-01-06	VYDAJ	PREVOD NA UCET	3171	52151	SIPO	WX	70871931
351469	1194	1995-02-06	VYDAJ	PREVOD NA UCET	3171	41607	SIPO	WX	70871931
351470	1194	1995-03-06	VYDAJ	PREVOD NA UCET	3171	53163	SIPO	WX	70871931
351471	1194	1995-04-06	VYDAJ	PREVOD NA UCET	3171	58899	SIPO	WX	70871931
351472	1194	1995-05-06	VYDAJ	PREVOD NA UCET	3171	54235	SIPO	WX	70871931
351473	1194	1995-06-06	VYDAJ	PREVOD NA UCET	3171	58426	SIPO	WX	70871931
351474	1194	1995-07-06	VYDAJ	PREVOD NA UCET	3171	55572	SIPO	WX	70871931
351475	1194	1995-08-06	VYDAJ	PREVOD NA UCET	3171	57659	SIPO	WX	70871931
351476	1194	1995-09-06	VYDAJ	PREVOD NA UCET	3171	57847	SIPO	WX	70871931
351477	1194	1995-10-06	VYDAJ	PREVOD NA UCET	3171	60139	SIPO	WX	70871931
351478	1194	1995-11-06	VYDAJ	PREVOD NA UCET	3171	63745	SIPO	WX	70871931
351479	1194	1995-12-06	VYDAJ	PREVOD NA UCET	3171	59371	SIPO	WX	70871931
351480	1194	1996-01-06	VYDAJ	PREVOD NA UCET	3171	47072	SIPO	WX	70871931
351481	1194	1996-02-06	VYDAJ	PREVOD NA UCET	3171	38024	SIPO	WX	70871931
351482	1194	1996-03-06	VYDAJ	PREVOD NA UCET	3171	36421	SIPO	WX	70871931
351483	1194	1996-04-06	VYDAJ	PREVOD NA UCET	3171	37889	SIPO	WX	70871931
351484	1194	1996-05-06	VYDAJ	PREVOD NA UCET	3171	39065	SIPO	WX	70871931
351485	1194	1996-06-06	VYDAJ	PREVOD NA UCET	3171	40247	SIPO	WX	70871931
351486	1194	1996-07-06	VYDAJ	PREVOD NA UCET	3171	38023	SIPO	WX	70871931
351487	1194	1996-08-06	VYDAJ	PREVOD NA UCET	3171	35547	SIPO	WX	70871931
351488	1194	1996-09-06	VYDAJ	PREVOD NA UCET	3171	39712	SIPO	WX	70871931
351489	1194	1996-10-06	VYDAJ	PREVOD NA UCET	3171	39328	SIPO	WX	70871931
351490	1194	1996-11-06	VYDAJ	PREVOD NA UCET	3171	38464	SIPO	WX	70871931
351491	1194	1996-12-06	VYDAJ	PREVOD NA UCET	3171	34929	SIPO	WX	70871931
351492	1194	1997-01-06	VYDAJ	PREVOD NA UCET	3171	32349	SIPO	WX	70871931
351493	1194	1997-02-06	VYDAJ	PREVOD NA UCET	3171	23547	SIPO	WX	70871931
351494	1194	1997-03-06	VYDAJ	PREVOD NA UCET	3171	28749	SIPO	WX	70871931
351495	1194	1997-04-06	VYDAJ	PREVOD NA UCET	3171	28168	SIPO	WX	70871931
351496	1194	1997-05-06	VYDAJ	PREVOD NA UCET	3171	31088	SIPO	WX	70871931
351497	1194	1997-06-06	VYDAJ	PREVOD NA UCET	3171	34720	SIPO	WX	70871931
351498	1194	1997-07-06	VYDAJ	PREVOD NA UCET	3171	19571	SIPO	WX	70871931
351499	1194	1997-08-06	VYDAJ	PREVOD NA UCET	3171	25353	SIPO	WX	70871931
351500	1194	1997-09-06	VYDAJ	PREVOD NA UCET	3171	31658	SIPO	WX	70871931
351501	1194	1997-10-06	VYDAJ	PREVOD NA UCET	3171	36987	SIPO	WX	70871931
351502	1194	1997-11-06	VYDAJ	PREVOD NA UCET	3171	36633	SIPO	WX	70871931
351503	1194	1997-12-06	VYDAJ	PREVOD NA UCET	3171	35477	SIPO	WX	70871931
351504	1194	1998-01-06	VYDAJ	PREVOD NA UCET	3171	35622	SIPO	WX	70871931
351505	1194	1998-02-06	VYDAJ	PREVOD NA UCET	3171	25299	SIPO	WX	70871931
351506	1194	1998-03-06	VYDAJ	PREVOD NA UCET	3171	31997	SIPO	WX	70871931
351507	1194	1998-04-06	VYDAJ	PREVOD NA UCET	3171	32422	SIPO	WX	70871931
351508	1194	1998-05-06	VYDAJ	PREVOD NA UCET	3171	35846	SIPO	WX	70871931
351509	1194	1998-06-06	VYDAJ	PREVOD NA UCET	3171	41087	SIPO	WX	70871931
351510	1194	1998-07-06	VYDAJ	PREVOD NA UCET	3171	45324	SIPO	WX	70871931
351511	1194	1998-08-06	VYDAJ	PREVOD NA UCET	3171	45597	SIPO	WX	70871931
351512	1194	1998-09-06	VYDAJ	PREVOD NA UCET	3171	44517	SIPO	WX	70871931
351513	1194	1998-10-06	VYDAJ	PREVOD NA UCET	3171	47904	SIPO	WX	70871931
351514	1194	1998-11-06	VYDAJ	PREVOD NA UCET	3171	53489	SIPO	WX	70871931
351515	1194	1998-12-06	VYDAJ	PREVOD NA UCET	3171	47189	SIPO	WX	70871931
351517	1194	1995-06-09	VYDAJ	VYBER	32800	25326	\N	\N	\N
351518	1194	1996-06-18	VYDAJ	VYBER	14080	59365	\N	\N	\N
351519	1194	1997-06-16	VYDAJ	VYBER	46400	21518	\N	\N	\N
351520	1194	1998-06-20	VYDAJ	VYBER	14400	59885	\N	\N	\N
351522	1194	1995-01-11	VYDAJ	VYBER	7360	30131	\N	\N	\N
351523	1194	1996-01-08	VYDAJ	VYBER	3040	44032	\N	\N	\N
351524	1194	1997-01-30	VYDAJ	VYBER	4160	26561	\N	\N	\N
351525	1194	1998-01-21	VYDAJ	VYBER	10880	43394	\N	\N	\N
351526	1194	1994-12-22	VYDAJ	VYBER	1280	58588	\N	\N	\N
351527	1194	1995-12-21	VYDAJ	VYBER	4640	71929	\N	\N	\N
351528	1194	1996-12-25	VYDAJ	VYBER	4000	64127	\N	\N	\N
351529	1194	1997-12-29	VYDAJ	VYBER	3360	39915	\N	\N	\N
351530	1194	1998-12-02	VYDAJ	VYBER KARTOU	2200	50360	\N	\N	0
351537	1194	1995-01-23	VYDAJ	VYBER	2040	48543	\N	\N	\N
351538	1194	1995-01-28	VYDAJ	VYBER	3240	45303	\N	\N	\N
351539	1194	1995-01-05	VYDAJ	VYBER	3480	55322	\N	\N	\N
351540	1194	1995-01-21	VYDAJ	VYBER	1680	50583	\N	\N	\N
351541	1194	1995-01-07	VYDAJ	VYBER	1080	51071	\N	\N	\N
351542	1194	1995-01-10	VYDAJ	VYBER	2280	37491	\N	\N	\N
351543	1194	1996-01-15	VYDAJ	VYBER	720	63524	\N	\N	\N
351544	1194	1996-01-29	VYDAJ	VYBER	720	58364	\N	\N	\N
351545	1194	1996-01-21	VYDAJ	VYBER	3360	60164	\N	\N	\N
351546	1194	1996-01-26	VYDAJ	VYBER	1080	59084	\N	\N	\N
351547	1194	1996-01-02	VYDAJ	VYBER	3360	68843	\N	\N	\N
351548	1194	1996-01-11	VYDAJ	VYBER	1920	42112	\N	\N	\N
351549	1194	1997-01-03	VYDAJ	VYBER	2640	37800	\N	\N	\N
351550	1194	1997-01-11	VYDAJ	VYBER	2400	29949	\N	\N	\N
351551	1194	1997-01-16	VYDAJ	VYBER	2160	49921	\N	\N	\N
351552	1194	1997-01-21	VYDAJ	VYBER	2760	45001	\N	\N	\N
351553	1194	1997-01-19	VYDAJ	VYBER	2160	47761	\N	\N	\N
351554	1194	1997-01-06	VYDAJ	VYBER	2280	35520	\N	\N	\N
351555	1194	1998-01-11	VYDAJ	VYBER	1080	34542	\N	\N	\N
351556	1194	1998-01-17	VYDAJ	VYBER	1320	54274	\N	\N	\N
351557	1194	1998-01-14	VYDAJ	VYBER	1080	55594	\N	\N	\N
351558	1194	1998-01-24	VYDAJ	VYBER	840	28314	\N	\N	\N
351559	1194	1998-01-03	VYDAJ	VYBER	1320	38793	\N	\N	\N
351560	1194	1998-01-24	VYDAJ	VYBER	3240	29154	\N	\N	\N
351563	1194	1994-11-20	VYDAJ	VYBER	4200	48577	\N	\N	\N
351564	1194	1994-12-15	VYDAJ	VYBER	5640	59868	\N	\N	\N
351565	1194	1994-11-30	VYDAJ	VYBER	2280	46495	\N	\N	\N
351566	1194	1995-04-18	VYDAJ	VYBER	2640	60891	\N	\N	\N
351567	1194	1995-04-05	VYDAJ	VYBER	960	62070	\N	\N	\N
351568	1194	1995-04-08	VYDAJ	VYBER	3600	55299	\N	\N	\N
351569	1194	1995-11-11	VYDAJ	VYBER	3480	40165	\N	\N	\N
351570	1194	1995-04-30	VYDAJ	VYBER	3720	57420	\N	\N	\N
351571	1194	1995-02-04	VYDAJ	VYBER	720	44778	\N	\N	\N
351572	1194	1996-10-07	VYDAJ	VYBER	840	38488	\N	\N	\N
351573	1194	1996-09-10	VYDAJ	VYBER	2160	37552	\N	\N	\N
351574	1194	1996-07-14	VYDAJ	VYBER	5640	54515	\N	\N	\N
351575	1194	1996-02-17	VYDAJ	VYBER	2520	52596	\N	\N	\N
351576	1194	1996-02-10	VYDAJ	VYBER	5040	32984	\N	\N	\N
351577	1194	1997-03-28	VYDAJ	VYBER	3720	45481	\N	\N	\N
351578	1194	1997-12-06	VYDAJ	VYBER	2400	38648	\N	\N	\N
351579	1194	1997-01-26	VYDAJ	VYBER	5280	39721	\N	\N	\N
351580	1194	1997-03-16	VYDAJ	VYBER	1680	49201	\N	\N	\N
351582	1194	1998-04-21	VYDAJ	VYBER KARTOU	3500	51054	\N	\N	0
351583	1194	1998-08-10	VYDAJ	VYBER	5040	40557	\N	\N	\N
351584	1194	1998-09-18	VYDAJ	VYBER	4680	61969	\N	\N	\N
351585	1194	1998-11-25	VYDAJ	VYBER KARTOU	4000	55821	\N	\N	0
351586	1194	1998-03-28	VYDAJ	VYBER KARTOU	4000	35429	\N	\N	0
351587	1194	1998-11-25	VYDAJ	VYBER KARTOU	3500	52321	\N	\N	0
351597	1194	1994-09-30	VYDAJ	VYBER	15	46428	SLUZBY	\N	\N
351598	1194	1994-10-31	VYDAJ	VYBER	15	44116	SLUZBY	\N	\N
351599	1194	1994-11-30	VYDAJ	VYBER	15	46481	SLUZBY	\N	\N
351600	1194	1994-12-31	VYDAJ	VYBER	15	58802	SLUZBY	\N	\N
351601	1194	1995-01-31	VYDAJ	VYBER	15	45498	SLUZBY	\N	\N
351602	1194	1995-02-28	VYDAJ	VYBER	15	56334	SLUZBY	\N	\N
351603	1194	1995-03-31	VYDAJ	VYBER	15	63030	SLUZBY	\N	\N
351604	1194	1995-04-30	VYDAJ	VYBER	15	57406	SLUZBY	\N	\N
351605	1194	1995-05-31	VYDAJ	VYBER	15	61597	SLUZBY	\N	\N
351606	1194	1995-06-30	VYDAJ	VYBER	15	58743	SLUZBY	\N	\N
351607	1194	1995-07-31	VYDAJ	VYBER	15	60830	SLUZBY	\N	\N
351608	1194	1995-08-31	VYDAJ	VYBER	15	61018	SLUZBY	\N	\N
351609	1194	1995-09-30	VYDAJ	VYBER	15	63310	SLUZBY	\N	\N
351610	1194	1995-10-31	VYDAJ	VYBER	15	66916	SLUZBY	\N	\N
351611	1194	1995-11-30	VYDAJ	VYBER	15	62542	SLUZBY	\N	\N
351612	1194	1995-12-31	VYDAJ	VYBER	15	72203	SLUZBY	\N	\N
351613	1194	1996-01-31	VYDAJ	VYBER	15	58595	SLUZBY	\N	\N
351614	1194	1996-02-29	VYDAJ	VYBER	15	52792	SLUZBY	\N	\N
351615	1194	1996-03-31	VYDAJ	VYBER	15	58760	SLUZBY	\N	\N
351616	1194	1996-04-30	VYDAJ	VYBER	15	60236	SLUZBY	\N	\N
351617	1194	1996-05-31	VYDAJ	VYBER	15	61418	SLUZBY	\N	\N
351618	1194	1996-06-30	VYDAJ	VYBER	15	59594	SLUZBY	\N	\N
351619	1194	1996-07-31	VYDAJ	VYBER	15	54718	SLUZBY	\N	\N
351620	1194	1996-08-31	VYDAJ	VYBER	15	57883	SLUZBY	\N	\N
351621	1194	1996-09-30	VYDAJ	VYBER	15	59899	SLUZBY	\N	\N
351622	1194	1996-10-31	VYDAJ	VYBER	15	41635	SLUZBY	\N	\N
351623	1194	1996-11-30	VYDAJ	VYBER	15	38100	SLUZBY	\N	\N
351624	1194	1996-12-31	VYDAJ	VYBER	15	40440	SLUZBY	\N	\N
351625	1194	1997-01-31	VYDAJ	VYBER	15	26718	SLUZBY	\N	\N
351626	1194	1997-02-28	VYDAJ	VYBER	15	45820	SLUZBY	\N	\N
351627	1194	1997-03-31	VYDAJ	VYBER	15	31339	SLUZBY	\N	\N
351628	1194	1997-04-30	VYDAJ	VYBER	15	34259	SLUZBY	\N	\N
351629	1194	1997-05-31	VYDAJ	VYBER	15	37891	SLUZBY	\N	\N
351630	1194	1997-06-30	VYDAJ	VYBER	15	22742	SLUZBY	\N	\N
351631	1194	1997-07-31	VYDAJ	VYBER	15	28524	SLUZBY	\N	\N
351632	1194	1997-08-31	VYDAJ	VYBER	15	34829	SLUZBY	\N	\N
351633	1194	1997-09-30	VYDAJ	VYBER	15	40158	SLUZBY	\N	\N
351634	1194	1997-10-31	VYDAJ	VYBER	15	39804	SLUZBY	\N	\N
351635	1194	1997-11-30	VYDAJ	VYBER	15	41048	SLUZBY	\N	\N
351636	1194	1997-12-31	VYDAJ	VYBER	15	40113	SLUZBY	\N	\N
351637	1194	1998-01-31	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
351638	1194	1998-02-28	VYDAJ	VYBER	15	35168	SLUZBY	\N	\N
351639	1194	1998-03-31	VYDAJ	VYBER	15	35593	SLUZBY	\N	\N
351640	1194	1998-04-30	VYDAJ	VYBER	15	39017	SLUZBY	\N	\N
351641	1194	1998-05-31	VYDAJ	VYBER	15	44258	SLUZBY	\N	\N
351642	1194	1998-06-30	VYDAJ	VYBER	15	48495	SLUZBY	\N	\N
351643	1194	1998-07-31	VYDAJ	VYBER	15	48768	SLUZBY	\N	\N
351644	1194	1998-08-31	VYDAJ	VYBER	15	47688	SLUZBY	\N	\N
351645	1194	1998-09-30	VYDAJ	VYBER	15	51075	SLUZBY	\N	\N
351646	1194	1998-10-31	VYDAJ	VYBER	15	56660	SLUZBY	\N	\N
351647	1194	1998-11-30	VYDAJ	VYBER	15	52560	SLUZBY	\N	\N
351648	1194	1994-05-15	PRIJEM	VKLAD	1400	24032	\N	\N	\N
351649	1194	1994-06-14	VYDAJ	VYBER	15500	41785	\N	\N	\N
351650	1194	1994-07-14	VYDAJ	VYBER	18700	45359	\N	\N	\N
351651	1194	1994-08-13	VYDAJ	VYBER	21800	45874	\N	\N	\N
351652	1194	1994-09-12	VYDAJ	VYBER	22000	46196	\N	\N	\N
351653	1194	1994-10-12	VYDAJ	VYBER	21500	43889	\N	\N	\N
351654	1194	1994-11-11	VYDAJ	VYBER	10300	30645	\N	\N	\N
351655	1194	1994-12-11	VYDAJ	VYBER	11000	32310	\N	\N	\N
351656	1194	1995-01-10	VYDAJ	VYBER	11300	39771	\N	\N	\N
351657	1194	1995-02-09	VYDAJ	VYBER	7600	34007	\N	\N	\N
351658	1194	1995-03-11	VYDAJ	VYBER	12500	40663	\N	\N	\N
351659	1194	1995-04-10	VYDAJ	VYBER	13900	41399	\N	\N	\N
351660	1194	1995-05-10	VYDAJ	VYBER	15000	39235	\N	\N	\N
351661	1194	1995-06-09	VYDAJ	VYBER	300	58126	\N	\N	\N
351662	1194	1995-07-09	VYDAJ	VYBER	17100	38472	\N	\N	\N
351663	1194	1995-08-08	VYDAJ	VYBER	19000	38659	\N	\N	\N
351664	1194	1995-09-07	VYDAJ	VYBER	16900	40947	\N	\N	\N
351665	1194	1995-10-07	VYDAJ	VYBER	15600	44539	\N	\N	\N
351666	1194	1995-11-06	VYDAJ	VYBER	20100	43645	\N	\N	\N
351667	1194	1995-12-06	VYDAJ	VYBER	16000	43371	\N	\N	\N
351668	1194	1996-01-05	VYDAJ	VYBER	18600	50243	\N	\N	\N
351669	1194	1996-02-04	VYDAJ	VYBER	17400	41195	\N	\N	\N
351670	1194	1996-03-05	VYDAJ	VYBER	13200	39592	\N	\N	\N
351671	1194	1996-04-04	VYDAJ	VYBER	17700	41060	\N	\N	\N
351672	1194	1996-05-04	VYDAJ	VYBER	18000	42236	\N	\N	\N
351673	1194	1996-06-03	VYDAJ	VYBER	18000	43418	\N	\N	\N
351674	1194	1996-07-03	VYDAJ	VYBER	18400	41194	\N	\N	\N
351675	1194	1996-08-02	VYDAJ	VYBER	16000	38718	\N	\N	\N
351676	1194	1996-09-01	VYDAJ	VYBER	15000	42883	\N	\N	\N
351677	1194	1996-10-01	VYDAJ	VYBER	17400	42499	\N	\N	\N
351678	1194	1996-10-31	VYDAJ	VYBER	19200	41650	\N	\N	\N
351679	1194	1996-11-30	VYDAJ	VYBER	22700	38115	\N	\N	\N
351680	1194	1996-12-30	VYDAJ	VYBER	23900	40227	\N	\N	\N
351681	1194	1997-01-29	VYDAJ	VYBER	9000	30721	\N	\N	\N
351682	1194	1997-02-28	VYDAJ	VYBER	13900	31920	\N	\N	\N
351683	1194	1997-03-30	VYDAJ	VYBER	14300	31181	\N	\N	\N
351684	1194	1997-04-29	VYDAJ	VYBER	16200	34100	\N	\N	\N
351685	1194	1997-05-29	VYDAJ	VYBER	15500	37720	\N	\N	\N
351686	1194	1997-06-28	PRIJEM	VKLAD	1100	22618	\N	\N	\N
351687	1194	1997-07-28	VYDAJ	VYBER	13300	28403	\N	\N	\N
351688	1194	1997-08-27	VYDAJ	VYBER	12800	34685	\N	\N	\N
351689	1194	1997-09-26	VYDAJ	VYBER	13800	39990	\N	\N	\N
351690	1194	1997-10-26	VYDAJ	VYBER	19500	39619	\N	\N	\N
351691	1194	1997-11-25	VYDAJ	VYBER	17900	40865	\N	\N	\N
351692	1194	1997-12-25	VYDAJ	VYBER	25400	43275	\N	\N	\N
351693	1194	1998-01-24	VYDAJ	VYBER	11000	32394	\N	\N	\N
351694	1194	1998-02-23	VYDAJ	VYBER	12400	35031	\N	\N	\N
351695	1194	1998-03-25	VYDAJ	VYBER	14700	39429	\N	\N	\N
351696	1194	1998-04-24	VYDAJ	VYBER	12200	38854	\N	\N	\N
351697	1194	1998-05-24	VYDAJ	VYBER	13900	44078	\N	\N	\N
351698	1194	1998-06-23	VYDAJ	VYBER	11600	48285	\N	\N	\N
351699	1194	1998-07-23	VYDAJ	VYBER	18900	48556	\N	\N	\N
351700	1194	1998-08-22	VYDAJ	VYBER	15200	47489	\N	\N	\N
351701	1194	1998-09-21	VYDAJ	VYBER	11100	50869	\N	\N	\N
351702	1194	1998-10-21	VYDAJ	VYBER	13600	56436	\N	\N	\N
351703	1194	1998-11-20	VYDAJ	VYBER	15800	59821	\N	\N	\N
351760	1195	1996-12-27	PRIJEM	VKLAD	800	800	\N	\N	\N
351773	1195	1997-01-11	PRIJEM	PREVOD Z UCTU	6223	7023	DUCHOD	EF	10232061
351774	1195	1997-02-11	PRIJEM	PREVOD Z UCTU	6223	13246	DUCHOD	EF	10232061
351775	1195	1997-03-11	PRIJEM	PREVOD Z UCTU	6223	19469	DUCHOD	EF	10232061
351776	1195	1997-04-11	PRIJEM	PREVOD Z UCTU	6223	25692	DUCHOD	EF	10232061
351777	1195	1997-05-11	PRIJEM	PREVOD Z UCTU	6223	31915	DUCHOD	EF	10232061
351778	1195	1997-06-11	PRIJEM	PREVOD Z UCTU	6223	31851	DUCHOD	EF	10232061
351779	1195	1997-07-11	PRIJEM	PREVOD Z UCTU	6223	22022	DUCHOD	EF	10232061
351780	1195	1997-08-11	PRIJEM	PREVOD Z UCTU	6223	25973	DUCHOD	EF	10232061
351781	1195	1997-09-11	PRIJEM	PREVOD Z UCTU	6223	29939	DUCHOD	EF	10232061
351782	1195	1997-10-11	PRIJEM	PREVOD Z UCTU	6223	33922	DUCHOD	EF	10232061
351783	1195	1997-11-11	PRIJEM	PREVOD Z UCTU	6223	37922	DUCHOD	EF	10232061
351784	1195	1997-12-11	PRIJEM	PREVOD Z UCTU	6223	36170	DUCHOD	EF	10232061
351785	1195	1998-01-11	PRIJEM	PREVOD Z UCTU	6223	31535	DUCHOD	EF	10232061
351786	1195	1998-02-11	PRIJEM	PREVOD Z UCTU	6223	29033	DUCHOD	EF	10232061
351787	1195	1998-03-11	PRIJEM	PREVOD Z UCTU	6223	33011	DUCHOD	EF	10232061
351788	1195	1998-04-11	PRIJEM	PREVOD Z UCTU	6223	37007	DUCHOD	EF	10232061
351789	1195	1998-05-11	PRIJEM	PREVOD Z UCTU	6223	37014	DUCHOD	EF	10232061
351790	1195	1998-06-11	PRIJEM	PREVOD Z UCTU	6223	38424	DUCHOD	EF	10232061
351791	1195	1998-07-11	PRIJEM	PREVOD Z UCTU	6223	29735	DUCHOD	EF	10232061
351792	1195	1998-08-11	PRIJEM	PREVOD Z UCTU	6223	33717	DUCHOD	EF	10232061
351793	1195	1998-09-11	PRIJEM	PREVOD Z UCTU	6223	34353	DUCHOD	EF	10232061
351794	1195	1998-10-11	PRIJEM	PREVOD Z UCTU	6223	38355	DUCHOD	EF	10232061
351795	1195	1998-11-11	PRIJEM	PREVOD Z UCTU	6223	36361	DUCHOD	EF	10232061
351796	1195	1998-12-11	PRIJEM	PREVOD Z UCTU	6223	33620	DUCHOD	EF	10232061
351814	1195	1997-06-05	VYDAJ	PREVOD NA UCET	1890	26081	SIPO	IJ	70545512
351815	1195	1997-07-05	VYDAJ	PREVOD NA UCET	1890	16252	SIPO	IJ	70545512
351816	1195	1997-08-05	VYDAJ	PREVOD NA UCET	1890	20203	SIPO	IJ	70545512
351817	1195	1997-09-05	VYDAJ	PREVOD NA UCET	1890	24169	SIPO	IJ	70545512
351818	1195	1997-10-05	VYDAJ	PREVOD NA UCET	1890	28152	SIPO	IJ	70545512
351819	1195	1997-11-05	VYDAJ	PREVOD NA UCET	1890	31699	SIPO	IJ	70545512
351820	1195	1997-12-05	VYDAJ	PREVOD NA UCET	1890	29947	SIPO	IJ	70545512
351821	1195	1998-01-05	VYDAJ	PREVOD NA UCET	1890	25765	SIPO	IJ	70545512
351822	1195	1998-02-05	VYDAJ	PREVOD NA UCET	1890	23263	SIPO	IJ	70545512
351823	1195	1998-03-05	VYDAJ	PREVOD NA UCET	1890	27241	SIPO	IJ	70545512
351824	1195	1998-04-05	VYDAJ	PREVOD NA UCET	1890	30784	SIPO	IJ	70545512
351825	1195	1998-05-05	VYDAJ	PREVOD NA UCET	1890	30791	SIPO	IJ	70545512
351826	1195	1998-06-05	VYDAJ	PREVOD NA UCET	1890	32201	SIPO	IJ	70545512
351827	1195	1998-07-05	VYDAJ	PREVOD NA UCET	1890	23512	SIPO	IJ	70545512
351828	1195	1998-08-05	VYDAJ	PREVOD NA UCET	1890	27947	SIPO	IJ	70545512
351829	1195	1998-09-05	VYDAJ	PREVOD NA UCET	1890	28583	SIPO	IJ	70545512
351830	1195	1998-10-05	VYDAJ	PREVOD NA UCET	1890	32132	SIPO	IJ	70545512
351831	1195	1998-11-05	VYDAJ	PREVOD NA UCET	1890	30138	SIPO	IJ	70545512
351832	1195	1998-12-05	VYDAJ	PREVOD NA UCET	1890	27397	SIPO	IJ	70545512
351850	1195	1997-06-05	VYDAJ	PREVOD NA UCET	453	25628	 	IJ	17328250
351851	1195	1997-07-05	VYDAJ	PREVOD NA UCET	453	15799	 	IJ	17328250
351852	1195	1997-08-05	VYDAJ	PREVOD NA UCET	453	19750	 	IJ	17328250
351853	1195	1997-09-05	VYDAJ	PREVOD NA UCET	453	23716	 	IJ	17328250
351854	1195	1997-10-05	VYDAJ	PREVOD NA UCET	453	27699	 	IJ	17328250
351855	1195	1997-11-05	VYDAJ	PREVOD NA UCET	453	33589	 	IJ	17328250
351856	1195	1997-12-05	VYDAJ	PREVOD NA UCET	453	31837	 	IJ	17328250
351857	1195	1998-01-05	VYDAJ	PREVOD NA UCET	453	25312	 	IJ	17328250
351858	1195	1998-02-05	VYDAJ	PREVOD NA UCET	453	22810	 	IJ	17328250
351859	1195	1998-03-05	VYDAJ	PREVOD NA UCET	453	26788	 	IJ	17328250
351860	1195	1998-04-05	VYDAJ	PREVOD NA UCET	453	32674	 	IJ	17328250
351861	1195	1998-05-05	VYDAJ	PREVOD NA UCET	453	32681	 	IJ	17328250
351862	1195	1998-06-05	VYDAJ	PREVOD NA UCET	453	34091	 	IJ	17328250
351863	1195	1998-07-05	VYDAJ	PREVOD NA UCET	453	25402	 	IJ	17328250
351864	1195	1998-08-05	VYDAJ	PREVOD NA UCET	453	27494	 	IJ	17328250
351865	1195	1998-09-05	VYDAJ	PREVOD NA UCET	453	28130	 	IJ	17328250
351866	1195	1998-10-05	VYDAJ	PREVOD NA UCET	453	34022	 	IJ	17328250
351867	1195	1998-11-05	VYDAJ	PREVOD NA UCET	453	32028	 	IJ	17328250
351868	1195	1998-12-05	VYDAJ	PREVOD NA UCET	453	29287	 	IJ	17328250
351870	1195	1997-06-19	VYDAJ	VYBER	10600	21251	\N	\N	\N
351871	1195	1998-06-27	VYDAJ	VYBER	12700	25724	\N	\N	\N
351874	1195	1998-01-02	VYDAJ	VYBER	2250	27655	\N	\N	\N
351876	1195	1997-12-20	VYDAJ	VYBER	950	35220	\N	\N	\N
351877	1195	1998-12-20	VYDAJ	VYBER	450	33170	\N	\N	\N
351890	1195	1998-01-18	VYDAJ	VYBER	1360	27295	\N	\N	\N
351891	1195	1998-01-02	VYDAJ	VYBER	1200	29905	\N	\N	\N
351892	1195	1998-01-13	VYDAJ	VYBER	880	30655	\N	\N	\N
351893	1195	1998-01-14	VYDAJ	VYBER	2000	28655	\N	\N	\N
351894	1195	1998-01-01	VYDAJ	VYBER	1920	31105	\N	\N	\N
351895	1195	1998-01-19	VYDAJ	VYBER	2240	25055	\N	\N	\N
351899	1195	1997-11-22	VYDAJ	VYBER	2240	32162	\N	\N	\N
351900	1195	1997-12-25	VYDAJ	VYBER	2320	32900	\N	\N	\N
351901	1195	1997-11-20	VYDAJ	VYBER	3520	34402	\N	\N	\N
351902	1195	1997-05-24	VYDAJ	VYBER	560	31355	\N	\N	\N
351903	1195	1997-06-25	VYDAJ	VYBER	3200	18051	\N	\N	\N
351904	1195	1998-04-26	VYDAJ	VYBER	880	33007	\N	\N	\N
351905	1195	1998-08-29	VYDAJ	VYBER	960	30357	\N	\N	\N
351906	1195	1998-04-20	VYDAJ	VYBER	3120	33887	\N	\N	\N
351907	1195	1998-11-23	VYDAJ	VYBER	3440	29621	\N	\N	\N
351908	1195	1998-08-27	VYDAJ	VYBER	2400	31317	\N	\N	\N
351926	1195	1997-05-31	VYDAJ	VYBER	15	27971	SLUZBY	\N	\N
351927	1195	1997-06-30	VYDAJ	VYBER	15	18142	SLUZBY	\N	\N
351928	1195	1997-07-31	VYDAJ	VYBER	15	22093	SLUZBY	\N	\N
351929	1195	1997-08-31	VYDAJ	VYBER	15	26059	SLUZBY	\N	\N
351930	1195	1997-09-30	VYDAJ	VYBER	15	30042	SLUZBY	\N	\N
351931	1195	1997-10-31	VYDAJ	VYBER	15	34042	SLUZBY	\N	\N
351932	1195	1997-11-30	VYDAJ	VYBER	15	32290	SLUZBY	\N	\N
351933	1195	1997-12-31	VYDAJ	VYBER	15	33025	SLUZBY	\N	\N
351934	1195	1998-01-31	VYDAJ	VYBER	15	25153	SLUZBY	\N	\N
351935	1195	1998-02-28	VYDAJ	VYBER	15	29131	SLUZBY	\N	\N
351936	1195	1998-03-31	VYDAJ	VYBER	15	33127	SLUZBY	\N	\N
351937	1195	1998-04-30	VYDAJ	VYBER	15	33134	SLUZBY	\N	\N
351938	1195	1998-05-31	VYDAJ	VYBER	15	34544	SLUZBY	\N	\N
351939	1195	1998-06-30	VYDAJ	VYBER	15	25855	SLUZBY	\N	\N
351940	1195	1998-07-31	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
351941	1195	1998-08-31	VYDAJ	VYBER	15	30473	SLUZBY	\N	\N
351942	1195	1998-09-30	VYDAJ	VYBER	15	34475	SLUZBY	\N	\N
351943	1195	1998-10-31	VYDAJ	VYBER	15	32481	SLUZBY	\N	\N
351944	1195	1998-11-30	VYDAJ	VYBER	15	29740	SLUZBY	\N	\N
351945	1195	1997-05-26	VYDAJ	VYBER	3400	27955	\N	\N	\N
351946	1195	1998-05-21	VYDAJ	VYBER	2600	34414	\N	\N	\N
351947	1195	1998-10-18	VYDAJ	VYBER	6000	32355	\N	\N	\N
351948	1195	1998-11-17	VYDAJ	VYBER	3300	33061	\N	\N	\N
351969	1196	1996-01-16	PRIJEM	VKLAD	800	800	\N	\N	\N
351970	1196	1996-11-02	PRIJEM	VKLAD	13374	40372	\N	\N	\N
351971	1196	1996-03-29	PRIJEM	VKLAD	35177	58738	\N	\N	\N
351972	1196	1996-02-29	PRIJEM	VKLAD	5758	18658	\N	\N	\N
351973	1196	1996-08-01	PRIJEM	VKLAD	27649	51960	\N	\N	\N
351974	1196	1997-08-13	PRIJEM	VKLAD	11230	107468	\N	\N	\N
351975	1196	1997-03-25	PRIJEM	VKLAD	21695	57646	\N	\N	\N
351976	1196	1997-09-02	PRIJEM	VKLAD	15519	118169	\N	\N	\N
351977	1196	1997-08-21	PRIJEM	VKLAD	24197	118816	\N	\N	\N
351978	1196	1997-07-15	PRIJEM	VKLAD	28127	53092	\N	\N	\N
351979	1196	1997-11-13	PRIJEM	VKLAD	48483	72241	\N	\N	\N
351980	1196	1997-08-10	PRIJEM	VKLAD	29018	96238	\N	\N	\N
351981	1196	1997-08-16	PRIJEM	VKLAD	32351	94619	\N	\N	\N
351982	1196	1997-05-25	PRIJEM	VKLAD	26499	66191	\N	\N	\N
351983	1196	1997-08-10	PRIJEM	VKLAD	33702	67220	\N	\N	\N
351984	1196	1997-05-07	PRIJEM	VKLAD	29803	53792	\N	\N	\N
351985	1196	1997-12-20	PRIJEM	VKLAD	28742	135038	\N	\N	\N
351986	1196	1997-12-02	PRIJEM	VKLAD	32912	105364	\N	\N	\N
351987	1196	1997-01-04	PRIJEM	VKLAD	36436	60274	\N	\N	\N
351988	1196	1997-12-06	PRIJEM	VKLAD	9636	102555	\N	\N	\N
351989	1196	1997-02-14	PRIJEM	VKLAD	29212	52692	\N	\N	\N
351990	1196	1997-02-10	PRIJEM	VKLAD	9944	23480	\N	\N	\N
351991	1196	1997-01-08	PRIJEM	VKLAD	34912	82741	\N	\N	\N
351992	1196	1997-12-07	PRIJEM	VKLAD	42541	110196	\N	\N	\N
351993	1196	1997-03-02	PRIJEM	VKLAD	24995	63896	\N	\N	\N
351994	1196	1997-09-20	PRIJEM	VKLAD	13694	50918	\N	\N	\N
351995	1196	1998-09-19	PRIJEM	VKLAD	26941	86071	\N	\N	\N
351996	1196	1998-01-02	PRIJEM	VKLAD	47003	152656	\N	\N	\N
351997	1196	1998-09-10	PRIJEM	VKLAD	19660	50732	\N	\N	\N
351998	1196	1998-05-24	PRIJEM	VKLAD	40024	95427	\N	\N	\N
351999	1196	1998-07-22	PRIJEM	VKLAD	33867	112138	\N	\N	\N
352000	1196	1998-06-06	PRIJEM	VKLAD	6021	58040	\N	\N	\N
352001	1196	1998-07-08	PRIJEM	VKLAD	25984	78271	\N	\N	\N
352002	1196	1998-09-13	PRIJEM	VKLAD	8398	59130	\N	\N	\N
352003	1196	1998-06-23	PRIJEM	VKLAD	32280	129232	\N	\N	\N
352004	1196	1998-11-19	PRIJEM	VKLAD	19197	57261	\N	\N	\N
352005	1196	1998-02-22	PRIJEM	VKLAD	31761	93491	\N	\N	\N
352006	1196	1998-01-06	PRIJEM	VKLAD	35115	91826	\N	\N	\N
352007	1196	1998-06-09	PRIJEM	VKLAD	45315	103355	\N	\N	\N
352008	1196	1998-12-27	PRIJEM	VKLAD	24765	68457	\N	\N	\N
352009	1196	1998-02-17	PRIJEM	VKLAD	21102	61730	\N	\N	\N
352010	1196	1998-05-11	PRIJEM	VKLAD	22199	55403	\N	\N	\N
352011	1196	1998-09-22	PRIJEM	VKLAD	46190	132261	\N	\N	\N
352012	1196	1998-04-24	PRIJEM	VKLAD	6665	47764	\N	\N	\N
352013	1196	1998-08-12	PRIJEM	VKLAD	29450	62489	\N	\N	\N
352014	1196	1998-12-20	PRIJEM	VKLAD	18628	43692	\N	\N	\N
352015	1196	1998-06-15	PRIJEM	VKLAD	25697	129052	\N	\N	\N
352016	1196	1998-11-16	PRIJEM	VKLAD	17036	38064	\N	\N	\N
352029	1196	1997-01-05	VYDAJ	PREVOD NA UCET	12445	47829	SIPO	GH	66254877
352030	1196	1997-02-05	VYDAJ	PREVOD NA UCET	12445	8036	SIPO	GH	66254877
352031	1196	1997-03-05	VYDAJ	PREVOD NA UCET	12445	51451	SIPO	GH	66254877
352032	1196	1997-04-05	VYDAJ	PREVOD NA UCET	12445	45371	SIPO	GH	66254877
352033	1196	1997-05-05	VYDAJ	PREVOD NA UCET	12445	23989	SIPO	GH	66254877
352034	1196	1997-06-05	VYDAJ	PREVOD NA UCET	12445	53925	SIPO	GH	66254877
352035	1196	1997-07-05	VYDAJ	PREVOD NA UCET	12445	29165	SIPO	GH	66254877
352036	1196	1997-08-05	VYDAJ	PREVOD NA UCET	12445	40818	SIPO	GH	66254877
352037	1196	1997-09-05	VYDAJ	PREVOD NA UCET	12445	59224	SIPO	GH	66254877
352038	1196	1997-10-05	VYDAJ	PREVOD NA UCET	12445	38667	SIPO	GH	66254877
352039	1196	1997-11-05	VYDAJ	PREVOD NA UCET	12445	20158	SIPO	GH	66254877
352040	1196	1997-12-05	VYDAJ	PREVOD NA UCET	12445	92919	SIPO	GH	66254877
352041	1196	1998-01-05	VYDAJ	PREVOD NA UCET	12445	90911	SIPO	GH	66254877
352042	1196	1998-02-05	VYDAJ	PREVOD NA UCET	12445	40628	SIPO	GH	66254877
352043	1196	1998-03-05	VYDAJ	PREVOD NA UCET	12445	81292	SIPO	GH	66254877
352044	1196	1998-04-05	VYDAJ	PREVOD NA UCET	12445	46199	SIPO	GH	66254877
352045	1196	1998-05-05	VYDAJ	PREVOD NA UCET	12445	33204	SIPO	GH	66254877
352046	1196	1998-06-05	VYDAJ	PREVOD NA UCET	12445	52019	SIPO	GH	66254877
352047	1196	1998-07-05	VYDAJ	PREVOD NA UCET	12445	52287	SIPO	GH	66254877
352048	1196	1998-08-05	VYDAJ	PREVOD NA UCET	12445	44139	SIPO	GH	66254877
352049	1196	1998-09-05	VYDAJ	PREVOD NA UCET	12445	31072	SIPO	GH	66254877
352050	1196	1998-10-05	VYDAJ	PREVOD NA UCET	12445	37216	SIPO	GH	66254877
352051	1196	1998-11-05	VYDAJ	PREVOD NA UCET	12445	21028	SIPO	GH	66254877
352052	1196	1998-12-05	VYDAJ	PREVOD NA UCET	12445	25064	SIPO	GH	66254877
352060	1196	1997-02-16	VYBER	VYBER	13907	38785	\N	\N	\N
352066	1196	1997-12-16	VYDAJ	VYBER	3900	106296	\N	\N	\N
352067	1196	1998-12-01	VYDAJ	VYBER	6000	51409	\N	\N	\N
352074	1196	1997-01-13	VYDAJ	VYBER	6600	40741	\N	\N	\N
352077	1196	1997-01-09	VYDAJ	VYBER	5400	77341	\N	\N	\N
352078	1196	1997-01-16	VYDAJ	VYBER	6900	33841	\N	\N	\N
352080	1196	1998-01-22	VYDAJ	VYBER	1500	79826	\N	\N	\N
352081	1196	1998-01-14	VYDAJ	VYBER	6000	81326	\N	\N	\N
352082	1196	1998-01-09	VYDAJ	VYBER	4500	87326	\N	\N	\N
352083	1196	1998-01-03	VYDAJ	VYBER	6600	127356	\N	\N	\N
352084	1196	1998-01-29	VYDAJ	VYBER	2100	77726	\N	\N	\N
352085	1196	1998-01-30	VYDAJ	VYBER	2100	75626	\N	\N	\N
352092	1196	1997-09-03	VYDAJ	VYBER	8400	71669	\N	\N	\N
352093	1196	1997-12-24	VYDAJ	VYBER	8100	105238	\N	\N	\N
352094	1196	1997-01-26	VYDAJ	VYBER	13500	20341	\N	\N	\N
352095	1196	1997-09-11	VYDAJ	VYBER	5100	37224	\N	\N	\N
352096	1196	1998-08-10	VYDAJ	VYBER	11100	33039	\N	\N	\N
352097	1196	1998-05-01	VYDAJ	VYBER	11400	36549	\N	\N	\N
352098	1196	1998-08-29	VYDAJ	VYBER	7500	54989	\N	\N	\N
352112	1196	1997-01-31	VYDAJ	VYBER	15	20481	SLUZBY	\N	\N
352113	1196	1997-02-28	VYDAJ	VYBER	15	38901	SLUZBY	\N	\N
352114	1196	1997-03-31	VYDAJ	VYBER	15	57816	SLUZBY	\N	\N
352115	1196	1997-04-30	VYDAJ	VYBER	15	36434	SLUZBY	\N	\N
352116	1196	1997-05-31	VYDAJ	VYBER	15	66370	SLUZBY	\N	\N
352117	1196	1997-06-30	VYDAJ	VYBER	15	41610	SLUZBY	\N	\N
352118	1196	1997-07-31	VYDAJ	VYBER	15	53263	SLUZBY	\N	\N
352119	1196	1997-08-31	VYDAJ	VYBER	15	102650	SLUZBY	\N	\N
352120	1196	1997-09-30	VYDAJ	VYBER	15	51112	SLUZBY	\N	\N
352121	1196	1997-10-31	VYDAJ	VYBER	15	32603	SLUZBY	\N	\N
352122	1196	1997-11-30	VYDAJ	VYBER	15	72452	SLUZBY	\N	\N
352123	1196	1997-12-31	VYDAJ	VYBER	15	105653	SLUZBY	\N	\N
352124	1196	1998-01-31	VYDAJ	VYBER	15	75973	SLUZBY	\N	\N
352125	1196	1998-02-28	VYDAJ	VYBER	15	93737	SLUZBY	\N	\N
352126	1196	1998-03-31	VYDAJ	VYBER	15	58644	SLUZBY	\N	\N
352127	1196	1998-04-30	VYDAJ	VYBER	15	47949	SLUZBY	\N	\N
352128	1196	1998-05-31	VYDAJ	VYBER	15	95664	SLUZBY	\N	\N
352129	1196	1998-06-30	VYDAJ	VYBER	15	87632	SLUZBY	\N	\N
352130	1196	1998-07-31	VYDAJ	VYBER	15	76684	SLUZBY	\N	\N
352131	1196	1998-08-31	VYDAJ	VYBER	15	55217	SLUZBY	\N	\N
352132	1196	1998-09-30	VYDAJ	VYBER	15	71861	SLUZBY	\N	\N
352133	1196	1998-10-31	VYDAJ	VYBER	15	37373	SLUZBY	\N	\N
352134	1196	1998-11-30	VYDAJ	VYBER	15	57409	SLUZBY	\N	\N
352135	1196	1996-02-15	PRIJEM	VKLAD	12100	12900	\N	\N	\N
352136	1196	1996-03-16	PRIJEM	VKLAD	4900	23561	\N	\N	\N
352137	1196	1996-04-15	VYDAJ	VYBER	18800	40032	\N	\N	\N
352138	1196	1996-05-15	VYDAJ	VYBER	10600	29676	\N	\N	\N
352139	1196	1996-06-14	VYDAJ	VYBER	5900	24021	\N	\N	\N
352140	1196	1996-07-14	VYDAJ	VYBER	200	24066	\N	\N	\N
352141	1196	1996-08-13	VYDAJ	VYBER	11200	40760	\N	\N	\N
352142	1196	1996-09-12	VYDAJ	VYBER	10100	30858	\N	\N	\N
352143	1196	1996-10-12	VYDAJ	VYBER	4200	26828	\N	\N	\N
352144	1196	1996-11-11	VYDAJ	VYBER	10200	30172	\N	\N	\N
352145	1196	1996-12-11	VYDAJ	VYBER	6600	23712	\N	\N	\N
352146	1196	1997-01-10	VYDAJ	VYBER	30000	47341	\N	\N	\N
352147	1196	1997-02-09	PRIJEM	VKLAD	5500	13536	\N	\N	\N
352148	1196	1997-03-11	VYDAJ	VYBER	15500	35951	\N	\N	\N
352149	1196	1997-04-10	VYDAJ	VYBER	9100	36271	\N	\N	\N
352150	1196	1997-05-10	VYDAJ	VYBER	14100	39692	\N	\N	\N
352151	1196	1997-06-09	VYDAJ	VYBER	12500	41425	\N	\N	\N
352152	1196	1997-07-09	VYDAJ	VYBER	4200	24965	\N	\N	\N
352153	1196	1997-08-08	VYDAJ	VYBER	7300	33518	\N	\N	\N
352154	1196	1997-08-13	VYDAJ	VYBER	45200	62268	\N	\N	\N
352155	1196	1997-08-21	VYDAJ	VYBER	16500	102316	\N	\N	\N
352156	1196	1997-09-02	VYDAJ	VYBER	38100	80069	\N	\N	\N
352157	1196	1997-09-07	VYDAJ	VYBER	16900	42324	\N	\N	\N
352158	1196	1997-10-07	VYDAJ	VYBER	6200	32467	\N	\N	\N
352159	1196	1997-11-06	PRIJEM	VKLAD	3600	23758	\N	\N	\N
352160	1196	1997-12-06	VYDAJ	VYBER	34900	67655	\N	\N	\N
352161	1196	1997-12-20	VYDAJ	VYBER	21700	113338	\N	\N	\N
352162	1196	1998-01-02	VYDAJ	VYBER	18700	133956	\N	\N	\N
352163	1196	1998-01-03	VYDAJ	VYBER	24000	103356	\N	\N	\N
352164	1196	1998-01-05	VYDAJ	VYBER	34200	56711	\N	\N	\N
352165	1196	1998-02-04	VYDAJ	VYBER	22900	53073	\N	\N	\N
352166	1196	1998-03-06	VYDAJ	VYBER	22900	58392	\N	\N	\N
352167	1196	1998-04-05	VYDAJ	VYBER	5100	41099	\N	\N	\N
352168	1196	1998-05-05	PRIJEM	VKLAD	9100	45649	\N	\N	\N
352169	1196	1998-06-04	VYDAJ	VYBER	31200	64464	\N	\N	\N
352170	1196	1998-06-15	VYDAJ	VYBER	32100	96952	\N	\N	\N
352171	1196	1998-06-23	VYDAJ	VYBER	42000	87232	\N	\N	\N
352172	1196	1998-07-04	VYDAJ	VYBER	22900	64732	\N	\N	\N
352173	1196	1998-07-22	VYDAJ	VYBER	35800	76338	\N	\N	\N
352174	1196	1998-08-03	VYDAJ	VYBER	20100	56584	\N	\N	\N
352175	1196	1998-09-02	VYDAJ	VYBER	11700	43517	\N	\N	\N
352176	1196	1998-09-22	VYDAJ	VYBER	60700	71561	\N	\N	\N
352177	1196	1998-10-02	VYDAJ	VYBER	22200	49661	\N	\N	\N
352178	1196	1998-11-01	VYDAJ	VYBER	3900	33473	\N	\N	\N
352179	1196	1998-12-01	VYDAJ	VYBER	13900	37509	\N	\N	\N
352215	1197	1993-09-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
352224	1197	1993-09-12	PRIJEM	PREVOD Z UCTU	3873	4873	\N	IJ	89770251
352225	1197	1993-10-12	PRIJEM	PREVOD Z UCTU	3873	18759	\N	IJ	89770251
352226	1197	1993-11-12	PRIJEM	PREVOD Z UCTU	3873	23690	\N	IJ	89770251
352227	1197	1993-12-12	PRIJEM	PREVOD Z UCTU	3873	27654	\N	IJ	89770251
352228	1197	1994-01-12	PRIJEM	PREVOD Z UCTU	3873	31725	\N	IJ	89770251
352229	1197	1994-02-12	PRIJEM	PREVOD Z UCTU	3873	26997	\N	IJ	89770251
352230	1197	1994-03-12	PRIJEM	PREVOD Z UCTU	3873	25886	\N	IJ	89770251
352231	1197	1994-04-12	PRIJEM	PREVOD Z UCTU	3873	26009	\N	IJ	89770251
352232	1197	1994-05-12	PRIJEM	PREVOD Z UCTU	3873	24821	\N	IJ	89770251
352233	1197	1994-06-12	PRIJEM	PREVOD Z UCTU	3873	21630	\N	IJ	89770251
352234	1197	1994-07-12	PRIJEM	PREVOD Z UCTU	3873	25699	\N	IJ	89770251
352235	1197	1994-08-12	PRIJEM	PREVOD Z UCTU	3873	28976	\N	IJ	89770251
352236	1197	1994-09-12	PRIJEM	PREVOD Z UCTU	3873	29768	\N	IJ	89770251
352237	1197	1994-10-12	PRIJEM	PREVOD Z UCTU	3873	29067	\N	IJ	89770251
352238	1197	1994-11-12	PRIJEM	PREVOD Z UCTU	3873	27224	\N	IJ	89770251
352239	1197	1994-12-12	PRIJEM	PREVOD Z UCTU	3873	26054	\N	IJ	89770251
352240	1197	1995-01-12	PRIJEM	PREVOD Z UCTU	3873	29497	\N	IJ	89770251
352241	1197	1995-02-12	PRIJEM	PREVOD Z UCTU	3873	27467	\N	IJ	89770251
352242	1197	1995-03-12	PRIJEM	PREVOD Z UCTU	3873	28055	\N	IJ	89770251
352243	1197	1995-04-12	PRIJEM	PREVOD Z UCTU	3873	30247	\N	IJ	89770251
352244	1197	1995-05-12	PRIJEM	PREVOD Z UCTU	3873	31925	\N	IJ	89770251
352245	1197	1995-06-12	PRIJEM	PREVOD Z UCTU	3873	29552	\N	IJ	89770251
352246	1197	1995-07-12	PRIJEM	PREVOD Z UCTU	3873	30150	\N	IJ	89770251
352247	1197	1995-08-12	PRIJEM	PREVOD Z UCTU	3873	31649	\N	IJ	89770251
352248	1197	1995-09-12	PRIJEM	PREVOD Z UCTU	3873	30554	\N	IJ	89770251
352249	1197	1995-10-12	PRIJEM	PREVOD Z UCTU	3873	30855	\N	IJ	89770251
352250	1197	1995-11-12	PRIJEM	PREVOD Z UCTU	3873	31778	\N	IJ	89770251
352251	1197	1995-12-12	PRIJEM	PREVOD Z UCTU	3873	29114	\N	IJ	89770251
352252	1197	1996-01-12	PRIJEM	PREVOD Z UCTU	3873	26808	\N	IJ	89770251
352253	1197	1996-02-12	PRIJEM	PREVOD Z UCTU	3873	23592	\N	IJ	89770251
352254	1197	1996-03-12	PRIJEM	PREVOD Z UCTU	3873	25965	\N	IJ	89770251
352255	1197	1996-04-12	PRIJEM	PREVOD Z UCTU	3873	31561	\N	IJ	89770251
352256	1197	1996-05-12	PRIJEM	PREVOD Z UCTU	3873	33767	\N	IJ	89770251
352257	1197	1996-06-12	PRIJEM	PREVOD Z UCTU	3873	29307	\N	IJ	89770251
352258	1197	1996-07-12	PRIJEM	PREVOD Z UCTU	3873	31706	\N	IJ	89770251
352259	1197	1996-08-12	PRIJEM	PREVOD Z UCTU	3873	31710	\N	IJ	89770251
352260	1197	1996-09-12	PRIJEM	PREVOD Z UCTU	3873	31513	\N	IJ	89770251
352261	1197	1996-10-12	PRIJEM	PREVOD Z UCTU	3873	36022	\N	IJ	89770251
352262	1197	1996-11-12	PRIJEM	PREVOD Z UCTU	3873	39820	\N	IJ	89770251
352263	1197	1996-12-12	PRIJEM	PREVOD Z UCTU	3873	35633	\N	IJ	89770251
352264	1197	1997-01-12	PRIJEM	PREVOD Z UCTU	3873	33532	\N	IJ	89770251
352265	1197	1997-02-12	PRIJEM	PREVOD Z UCTU	3873	32440	\N	IJ	89770251
352266	1197	1997-03-12	PRIJEM	PREVOD Z UCTU	3873	31545	\N	IJ	89770251
352267	1197	1997-04-12	PRIJEM	PREVOD Z UCTU	3873	35253	\N	IJ	89770251
352268	1197	1997-05-12	PRIJEM	PREVOD Z UCTU	3873	36033	\N	IJ	89770251
352269	1197	1997-06-12	PRIJEM	PREVOD Z UCTU	3873	34852	\N	IJ	89770251
352270	1197	1997-07-12	PRIJEM	PREVOD Z UCTU	3873	38117	\N	IJ	89770251
352271	1197	1997-08-12	PRIJEM	PREVOD Z UCTU	3873	43957	\N	IJ	89770251
352272	1197	1997-09-12	PRIJEM	PREVOD Z UCTU	3873	44311	\N	IJ	89770251
352273	1197	1997-10-12	PRIJEM	PREVOD Z UCTU	3873	45768	\N	IJ	89770251
352274	1197	1997-11-12	PRIJEM	PREVOD Z UCTU	3873	45427	\N	IJ	89770251
352275	1197	1997-12-12	PRIJEM	PREVOD Z UCTU	3873	48293	\N	IJ	89770251
352276	1197	1998-01-12	PRIJEM	PREVOD Z UCTU	3873	48464	\N	IJ	89770251
352277	1197	1998-02-12	PRIJEM	PREVOD Z UCTU	3873	43827	\N	IJ	89770251
352278	1197	1998-03-12	PRIJEM	PREVOD Z UCTU	3873	43878	\N	IJ	89770251
352279	1197	1998-04-12	PRIJEM	PREVOD Z UCTU	3873	46335	\N	IJ	89770251
352280	1197	1998-05-12	PRIJEM	PREVOD Z UCTU	3873	47499	\N	IJ	89770251
352281	1197	1998-06-12	PRIJEM	PREVOD Z UCTU	3873	47471	\N	IJ	89770251
352282	1197	1998-07-12	PRIJEM	PREVOD Z UCTU	3873	46837	\N	IJ	89770251
352283	1197	1998-08-12	PRIJEM	PREVOD Z UCTU	3873	42691	\N	IJ	89770251
352284	1197	1998-09-12	PRIJEM	PREVOD Z UCTU	3873	43840	\N	IJ	89770251
352285	1197	1998-10-12	PRIJEM	PREVOD Z UCTU	3873	43993	\N	IJ	89770251
352286	1197	1998-11-12	PRIJEM	PREVOD Z UCTU	3873	49346	\N	IJ	89770251
352287	1197	1998-12-12	PRIJEM	PREVOD Z UCTU	3873	46816	\N	IJ	89770251
352301	1197	1994-02-10	VYDAJ	PREVOD NA UCET	2582	23124	SIPO	ST	79359864
352302	1197	1994-03-10	VYDAJ	PREVOD NA UCET	2582	22013	SIPO	ST	79359864
352303	1197	1994-04-10	VYDAJ	PREVOD NA UCET	2582	22136	SIPO	ST	79359864
352304	1197	1994-05-10	VYDAJ	PREVOD NA UCET	2582	20948	SIPO	ST	79359864
352305	1197	1994-06-10	VYDAJ	PREVOD NA UCET	2582	17757	SIPO	ST	79359864
352306	1197	1994-07-10	VYDAJ	PREVOD NA UCET	2582	21826	SIPO	ST	79359864
352307	1197	1994-08-10	VYDAJ	PREVOD NA UCET	2582	25103	SIPO	ST	79359864
352308	1197	1994-09-10	VYDAJ	PREVOD NA UCET	2582	25895	SIPO	ST	79359864
352309	1197	1994-10-10	VYDAJ	PREVOD NA UCET	2582	25194	SIPO	ST	79359864
352310	1197	1994-11-10	VYDAJ	PREVOD NA UCET	2582	23351	SIPO	ST	79359864
352311	1197	1994-12-10	VYDAJ	PREVOD NA UCET	2582	22181	SIPO	ST	79359864
352312	1197	1995-01-10	VYDAJ	PREVOD NA UCET	2582	25624	SIPO	ST	79359864
352313	1197	1995-02-10	VYDAJ	PREVOD NA UCET	2582	23594	SIPO	ST	79359864
352314	1197	1995-03-10	VYDAJ	PREVOD NA UCET	2582	24182	SIPO	ST	79359864
352315	1197	1995-04-10	VYDAJ	PREVOD NA UCET	2582	26374	SIPO	ST	79359864
352316	1197	1995-05-10	VYDAJ	PREVOD NA UCET	2582	28052	SIPO	ST	79359864
352317	1197	1995-06-10	VYDAJ	PREVOD NA UCET	2582	25679	SIPO	ST	79359864
352318	1197	1995-07-10	VYDAJ	PREVOD NA UCET	2582	26277	SIPO	ST	79359864
352319	1197	1995-08-10	VYDAJ	PREVOD NA UCET	2582	27776	SIPO	ST	79359864
352320	1197	1995-09-10	VYDAJ	PREVOD NA UCET	2582	26681	SIPO	ST	79359864
352321	1197	1995-10-10	VYDAJ	PREVOD NA UCET	2582	26982	SIPO	ST	79359864
352322	1197	1995-11-10	VYDAJ	PREVOD NA UCET	2582	27905	SIPO	ST	79359864
352323	1197	1995-12-10	VYDAJ	PREVOD NA UCET	2582	25241	SIPO	ST	79359864
352324	1197	1996-01-10	VYDAJ	PREVOD NA UCET	2582	22935	SIPO	ST	79359864
352325	1197	1996-02-10	VYDAJ	PREVOD NA UCET	2582	19929	SIPO	ST	79359864
352326	1197	1996-03-10	VYDAJ	PREVOD NA UCET	2582	22092	SIPO	ST	79359864
352327	1197	1996-04-10	VYDAJ	PREVOD NA UCET	2582	27688	SIPO	ST	79359864
352328	1197	1996-05-10	VYDAJ	PREVOD NA UCET	2582	29894	SIPO	ST	79359864
352329	1197	1996-06-10	VYDAJ	PREVOD NA UCET	2582	25434	SIPO	ST	79359864
352330	1197	1996-07-10	VYDAJ	PREVOD NA UCET	2582	27833	SIPO	ST	79359864
352331	1197	1996-08-10	VYDAJ	PREVOD NA UCET	2582	27837	SIPO	ST	79359864
352332	1197	1996-09-10	VYDAJ	PREVOD NA UCET	2582	27640	SIPO	ST	79359864
352333	1197	1996-10-10	VYDAJ	PREVOD NA UCET	2582	32149	SIPO	ST	79359864
352334	1197	1996-11-10	VYDAJ	PREVOD NA UCET	2582	35947	SIPO	ST	79359864
352335	1197	1996-12-10	VYDAJ	PREVOD NA UCET	2582	32510	SIPO	ST	79359864
352336	1197	1997-01-10	VYDAJ	PREVOD NA UCET	2582	30169	SIPO	ST	79359864
352337	1197	1997-02-10	VYDAJ	PREVOD NA UCET	2582	28567	SIPO	ST	79359864
352338	1197	1997-03-10	VYDAJ	PREVOD NA UCET	2582	27672	SIPO	ST	79359864
352339	1197	1997-04-10	VYDAJ	PREVOD NA UCET	2582	31380	SIPO	ST	79359864
352340	1197	1997-05-10	VYDAJ	PREVOD NA UCET	2582	32160	SIPO	ST	79359864
352341	1197	1997-06-10	VYDAJ	PREVOD NA UCET	2582	30979	SIPO	ST	79359864
352342	1197	1997-07-10	VYDAJ	PREVOD NA UCET	2582	34244	SIPO	ST	79359864
352343	1197	1997-08-10	VYDAJ	PREVOD NA UCET	2582	40084	SIPO	ST	79359864
352344	1197	1997-09-10	VYDAJ	PREVOD NA UCET	2582	40438	SIPO	ST	79359864
352345	1197	1997-10-10	VYDAJ	PREVOD NA UCET	2582	41895	SIPO	ST	79359864
352346	1197	1997-11-10	VYDAJ	PREVOD NA UCET	2582	41554	SIPO	ST	79359864
352347	1197	1997-12-10	VYDAJ	PREVOD NA UCET	2582	44420	SIPO	ST	79359864
352348	1197	1998-01-10	VYDAJ	PREVOD NA UCET	2582	44591	SIPO	ST	79359864
352349	1197	1998-02-10	VYDAJ	PREVOD NA UCET	2582	39954	SIPO	ST	79359864
352350	1197	1998-03-10	VYDAJ	PREVOD NA UCET	2582	40005	SIPO	ST	79359864
352351	1197	1998-04-10	VYDAJ	PREVOD NA UCET	2582	42462	SIPO	ST	79359864
352352	1197	1998-05-10	VYDAJ	PREVOD NA UCET	2582	43626	SIPO	ST	79359864
352353	1197	1998-06-10	VYDAJ	PREVOD NA UCET	2582	43598	SIPO	ST	79359864
352354	1197	1998-07-10	VYDAJ	PREVOD NA UCET	2582	42964	SIPO	ST	79359864
352355	1197	1998-08-10	VYDAJ	PREVOD NA UCET	2582	38818	SIPO	ST	79359864
352356	1197	1998-09-10	VYDAJ	PREVOD NA UCET	2582	39367	SIPO	ST	79359864
352357	1197	1998-10-10	VYDAJ	PREVOD NA UCET	2582	40420	SIPO	ST	79359864
352358	1197	1998-11-10	VYDAJ	PREVOD NA UCET	2582	45473	SIPO	ST	79359864
352359	1197	1998-12-10	VYDAJ	PREVOD NA UCET	2582	46943	SIPO	ST	79359864
352361	1197	1994-06-09	VYDAJ	VYBER	4470	20339	\N	\N	\N
352362	1197	1995-06-07	VYDAJ	VYBER	1380	28261	\N	\N	\N
352363	1197	1996-06-04	VYDAJ	VYBER	2040	28016	\N	\N	\N
352364	1197	1997-06-26	VYDAJ	VYBER	1680	37772	\N	\N	\N
352365	1197	1998-06-08	VYDAJ	VYBER KARTOU	2400	46180	\N	\N	0
352367	1197	1994-01-28	VYDAJ	VYBER	2010	27405	\N	\N	\N
352368	1197	1995-01-17	VYDAJ	VYBER	1320	26527	\N	\N	\N
352369	1197	1996-01-29	VYDAJ	VYBER	2880	22418	\N	\N	\N
352370	1197	1997-01-14	VYDAJ	VYBER	1800	31582	\N	\N	\N
352371	1197	1998-01-13	VYDAJ	VYBER KARTOU	900	47564	\N	\N	0
352373	1197	1994-12-16	VYDAJ	VYBER	300	25754	\N	\N	\N
352374	1197	1995-12-02	VYDAJ	VYBER	750	29233	\N	\N	\N
352375	1197	1996-12-10	VYDAJ	VYBER	750	31760	\N	\N	\N
352376	1197	1997-12-06	VYDAJ	VYBER KARTOU	700	47002	\N	\N	0
352377	1197	1998-12-28	VYDAJ	VYBER KARTOU	600	46216	\N	\N	0
352385	1197	1994-01-13	VYDAJ	VYBER	600	31125	\N	\N	\N
352386	1197	1994-01-27	VYDAJ	VYBER	780	29415	\N	\N	\N
352387	1197	1994-01-17	VYDAJ	VYBER	150	30195	\N	\N	\N
352389	1197	1994-01-13	VYDAJ	VYBER	780	30345	\N	\N	\N
352390	1197	1995-01-03	VYDAJ	VYBER	210	28836	\N	\N	\N
352391	1197	1995-01-20	VYDAJ	VYBER	330	26197	\N	\N	\N
352392	1197	1995-01-21	VYDAJ	VYBER	420	25777	\N	\N	\N
352393	1197	1995-01-09	VYDAJ	VYBER	480	28206	\N	\N	\N
352394	1197	1995-01-07	VYDAJ	VYBER	150	28686	\N	\N	\N
352395	1197	1995-01-13	VYDAJ	VYBER	660	28837	\N	\N	\N
352396	1197	1996-01-28	VYDAJ	VYBER	450	25298	\N	\N	\N
352397	1197	1996-01-27	VYDAJ	VYBER	360	25748	\N	\N	\N
352398	1197	1996-01-27	VYDAJ	VYBER	570	26108	\N	\N	\N
352399	1197	1996-01-09	VYDAJ	VYBER	870	25517	\N	\N	\N
352400	1197	1996-01-08	VYDAJ	VYBER	390	26387	\N	\N	\N
352401	1197	1996-01-08	VYDAJ	VYBER	480	26777	\N	\N	\N
352402	1197	1997-01-16	VYDAJ	VYBER	270	31312	\N	\N	\N
352403	1197	1997-01-01	VYDAJ	VYBER	390	33831	\N	\N	\N
352404	1197	1997-01-07	VYDAJ	VYBER	240	32751	\N	\N	\N
352405	1197	1997-01-05	VYDAJ	VYBER	840	32991	\N	\N	\N
352406	1197	1997-01-26	VYDAJ	VYBER	180	31032	\N	\N	\N
352407	1197	1997-01-14	VYDAJ	VYBER	150	33382	\N	\N	\N
352408	1197	1998-01-28	VYDAJ	VYBER KARTOU	800	42764	\N	\N	0
352409	1197	1998-01-15	VYDAJ	VYBER KARTOU	800	45564	\N	\N	0
352410	1197	1998-01-15	VYDAJ	VYBER KARTOU	800	44764	\N	\N	0
352411	1197	1998-01-26	VYDAJ	VYBER KARTOU	700	43564	\N	\N	0
352412	1197	1998-01-18	VYDAJ	VYBER KARTOU	500	44264	\N	\N	0
352413	1197	1998-01-30	VYDAJ	VYBER KARTOU	400	42364	\N	\N	0
352422	1197	1994-10-29	VYDAJ	VYBER	840	28227	\N	\N	\N
352423	1197	1994-12-05	VYDAJ	VYBER	660	24763	\N	\N	\N
352424	1197	1994-03-21	VYDAJ	VYBER	960	24926	\N	\N	\N
352425	1197	1994-05-03	VYDAJ	VYBER	1170	24930	\N	\N	\N
352426	1197	1995-11-20	VYDAJ	VYBER	210	31568	\N	\N	\N
352427	1197	1995-12-20	VYDAJ	VYBER	660	28454	\N	\N	\N
352428	1197	1995-10-27	VYDAJ	VYBER	270	31845	\N	\N	\N
352429	1197	1995-04-19	VYDAJ	VYBER	1320	28927	\N	\N	\N
352430	1197	1995-01-15	VYDAJ	VYBER	990	27847	\N	\N	\N
352431	1197	1995-10-12	VYDAJ	VYBER	1440	29415	\N	\N	\N
352432	1197	1995-12-08	VYDAJ	VYBER	1410	27823	\N	\N	\N
352433	1197	1995-11-07	VYDAJ	VYBER	1470	30487	\N	\N	\N
352434	1197	1996-05-21	VYDAJ	VYBER	330	33437	\N	\N	\N
352435	1197	1996-03-24	VYDAJ	VYBER	390	25575	\N	\N	\N
352436	1197	1996-01-18	VYDAJ	VYBER	630	26178	\N	\N	\N
352437	1197	1996-11-25	VYDAJ	VYBER	870	36150	\N	\N	\N
352438	1197	1996-12-14	VYDAJ	VYBER	1440	34193	\N	\N	\N
352439	1197	1996-02-11	VYDAJ	VYBER	210	19719	\N	\N	\N
352440	1197	1996-11-26	VYDAJ	VYBER	1200	34950	\N	\N	\N
352441	1197	1996-10-30	VYDAJ	VYBER	930	38392	\N	\N	\N
352442	1197	1997-07-03	VYDAJ	VYBER	1080	36826	\N	\N	\N
352443	1197	1997-01-11	VYDAJ	VYBER	510	29659	\N	\N	\N
352444	1197	1997-04-28	VYDAJ	VYBER	1440	34613	\N	\N	\N
352445	1197	1998-09-03	VYDAJ	VYBER KARTOU	800	41949	\N	\N	0
352446	1197	1998-07-29	VYDAJ	VYBER KARTOU	1100	41237	\N	\N	0
352447	1197	1998-10-08	VYDAJ	VYBER KARTOU	400	43002	\N	\N	0
352448	1197	1998-09-28	VYDAJ	VYBER KARTOU	600	43240	\N	\N	0
352449	1197	1998-10-15	VYDAJ	VYBER KARTOU	800	43193	\N	\N	0
352463	1197	1994-01-31	VYDAJ	VYBER	15	27506	SLUZBY	\N	\N
352464	1197	1994-02-28	VYDAJ	VYBER	15	27095	SLUZBY	\N	\N
352465	1197	1994-03-31	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
352466	1197	1994-04-30	VYDAJ	VYBER	15	26100	SLUZBY	\N	\N
352467	1197	1994-05-31	VYDAJ	VYBER	15	24909	SLUZBY	\N	\N
352468	1197	1994-06-30	VYDAJ	VYBER	15	21708	SLUZBY	\N	\N
352469	1197	1994-07-31	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
352470	1197	1994-08-31	VYDAJ	VYBER	15	29077	SLUZBY	\N	\N
352471	1197	1994-09-30	VYDAJ	VYBER	15	29876	SLUZBY	\N	\N
352472	1197	1994-10-31	VYDAJ	VYBER	15	28333	SLUZBY	\N	\N
352473	1197	1994-11-30	VYDAJ	VYBER	15	27323	SLUZBY	\N	\N
352474	1197	1994-12-31	VYDAJ	VYBER	15	29046	SLUZBY	\N	\N
352475	1197	1995-01-31	VYDAJ	VYBER	15	26176	SLUZBY	\N	\N
352476	1197	1995-02-28	VYDAJ	VYBER	15	27564	SLUZBY	\N	\N
352477	1197	1995-03-31	VYDAJ	VYBER	15	28956	SLUZBY	\N	\N
352478	1197	1995-04-30	VYDAJ	VYBER	15	30634	SLUZBY	\N	\N
352479	1197	1995-05-31	VYDAJ	VYBER	15	29641	SLUZBY	\N	\N
352480	1197	1995-06-30	VYDAJ	VYBER	15	28859	SLUZBY	\N	\N
352481	1197	1995-07-31	VYDAJ	VYBER	15	30358	SLUZBY	\N	\N
352482	1197	1995-08-31	VYDAJ	VYBER	15	29263	SLUZBY	\N	\N
352483	1197	1995-09-30	VYDAJ	VYBER	15	29564	SLUZBY	\N	\N
352484	1197	1995-10-31	VYDAJ	VYBER	15	31957	SLUZBY	\N	\N
352485	1197	1995-11-30	VYDAJ	VYBER	15	29983	SLUZBY	\N	\N
352486	1197	1995-12-31	VYDAJ	VYBER	15	27257	SLUZBY	\N	\N
352487	1197	1996-01-31	VYDAJ	VYBER	15	22511	SLUZBY	\N	\N
352488	1197	1996-02-29	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
352489	1197	1996-03-31	VYDAJ	VYBER	15	30270	SLUZBY	\N	\N
352490	1197	1996-04-30	VYDAJ	VYBER	15	32476	SLUZBY	\N	\N
352491	1197	1996-05-31	VYDAJ	VYBER	15	30056	SLUZBY	\N	\N
352492	1197	1996-06-30	VYDAJ	VYBER	15	30415	SLUZBY	\N	\N
352493	1197	1996-07-31	VYDAJ	VYBER	15	30419	SLUZBY	\N	\N
352494	1197	1996-08-31	VYDAJ	VYBER	15	30222	SLUZBY	\N	\N
352495	1197	1996-09-30	VYDAJ	VYBER	15	34731	SLUZBY	\N	\N
352496	1197	1996-10-31	VYDAJ	VYBER	15	38529	SLUZBY	\N	\N
352497	1197	1996-11-30	VYDAJ	VYBER	15	35092	SLUZBY	\N	\N
352498	1197	1996-12-31	VYDAJ	VYBER	15	34221	SLUZBY	\N	\N
352499	1197	1997-01-31	VYDAJ	VYBER	15	31149	SLUZBY	\N	\N
352500	1197	1997-02-28	VYDAJ	VYBER	15	30254	SLUZBY	\N	\N
352501	1197	1997-03-31	VYDAJ	VYBER	15	33962	SLUZBY	\N	\N
352502	1197	1997-04-30	VYDAJ	VYBER	15	34742	SLUZBY	\N	\N
352503	1197	1997-05-31	VYDAJ	VYBER	15	33561	SLUZBY	\N	\N
352504	1197	1997-06-30	VYDAJ	VYBER	15	37906	SLUZBY	\N	\N
352505	1197	1997-07-31	VYDAJ	VYBER	15	42666	SLUZBY	\N	\N
352506	1197	1997-08-31	VYDAJ	VYBER	15	43020	SLUZBY	\N	\N
352507	1197	1997-09-30	VYDAJ	VYBER	15	44477	SLUZBY	\N	\N
352508	1197	1997-10-31	VYDAJ	VYBER	15	44136	SLUZBY	\N	\N
352509	1197	1997-11-30	VYDAJ	VYBER	15	47702	SLUZBY	\N	\N
352510	1197	1997-12-31	VYDAJ	VYBER	15	47173	SLUZBY	\N	\N
352511	1197	1998-01-31	VYDAJ	VYBER	15	42536	SLUZBY	\N	\N
352512	1197	1998-02-28	VYDAJ	VYBER	15	42587	SLUZBY	\N	\N
352513	1197	1998-03-31	VYDAJ	VYBER	15	45044	SLUZBY	\N	\N
352514	1197	1998-04-30	VYDAJ	VYBER	15	46208	SLUZBY	\N	\N
352515	1197	1998-05-31	VYDAJ	VYBER	15	48580	SLUZBY	\N	\N
352516	1197	1998-06-30	VYDAJ	VYBER	15	45546	SLUZBY	\N	\N
352517	1197	1998-07-31	VYDAJ	VYBER	15	41400	SLUZBY	\N	\N
352518	1197	1998-08-31	VYDAJ	VYBER	15	42749	SLUZBY	\N	\N
352519	1197	1998-09-30	VYDAJ	VYBER	15	43402	SLUZBY	\N	\N
352520	1197	1998-10-31	VYDAJ	VYBER	15	43355	SLUZBY	\N	\N
352521	1197	1998-11-30	VYDAJ	VYBER	15	49525	SLUZBY	\N	\N
352522	1197	1993-10-07	PRIJEM	VKLAD	10000	14886	\N	\N	\N
352523	1197	1993-11-06	PRIJEM	VKLAD	1000	19817	\N	\N	\N
352524	1197	1994-01-05	PRIJEM	VKLAD	100	27852	\N	\N	\N
352525	1197	1994-02-04	VYDAJ	VYBER	1800	25706	\N	\N	\N
352526	1197	1994-03-06	VYDAJ	VYBER	2500	24595	\N	\N	\N
352527	1197	1994-04-05	VYDAJ	VYBER	300	24718	\N	\N	\N
352528	1197	1994-05-05	VYDAJ	VYBER	1400	23530	\N	\N	\N
352529	1197	1994-06-04	VYDAJ	VYBER	100	24809	\N	\N	\N
352530	1197	1994-07-04	PRIJEM	VKLAD	2700	24408	\N	\N	\N
352531	1197	1994-08-03	PRIJEM	VKLAD	1900	27685	\N	\N	\N
352532	1197	1994-09-02	VYDAJ	VYBER	600	28477	\N	\N	\N
352533	1197	1994-10-02	VYDAJ	VYBER	2100	27776	\N	\N	\N
352534	1197	1994-11-01	VYDAJ	VYBER	2400	25933	\N	\N	\N
352535	1197	1994-12-01	VYDAJ	VYBER	1900	25423	\N	\N	\N
352536	1197	1994-12-31	PRIJEM	VKLAD	3200	29061	\N	\N	\N
352537	1197	1995-01-30	PRIJEM	VKLAD	300	26077	\N	\N	\N
352538	1197	1995-03-01	VYDAJ	VYBER	800	26764	\N	\N	\N
352539	1197	1995-03-31	PRIJEM	VKLAD	800	28855	\N	\N	\N
352540	1197	1995-04-30	PRIJEM	VKLAD	1600	30649	\N	\N	\N
352541	1197	1995-05-30	VYDAJ	VYBER	2400	29525	\N	\N	\N
352542	1197	1995-06-29	VYDAJ	VYBER	800	28752	\N	\N	\N
352543	1197	1995-07-29	PRIJEM	VKLAD	100	30250	\N	\N	\N
352544	1197	1995-08-28	VYDAJ	VYBER	2500	29149	\N	\N	\N
352545	1197	1995-09-27	VYDAJ	VYBER	1100	29454	\N	\N	\N
352546	1197	1995-10-27	PRIJEM	VKLAD	2700	32115	\N	\N	\N
352547	1197	1995-11-26	VYDAJ	VYBER	1700	29868	\N	\N	\N
352548	1197	1995-12-26	VYDAJ	VYBER	1300	27154	\N	\N	\N
352549	1197	1996-01-25	PRIJEM	VKLAD	500	26678	\N	\N	\N
352550	1197	1996-02-24	PRIJEM	VKLAD	1000	24592	\N	\N	\N
352551	1197	1996-03-25	PRIJEM	VKLAD	4600	30175	\N	\N	\N
352552	1197	1996-04-24	PRIJEM	VKLAD	800	32361	\N	\N	\N
352553	1197	1996-05-24	VYDAJ	VYBER	3500	29937	\N	\N	\N
352554	1197	1996-06-23	PRIJEM	VKLAD	1000	30307	\N	\N	\N
352555	1197	1996-07-23	VYDAJ	VYBER	1400	30306	\N	\N	\N
352556	1197	1996-08-22	VYDAJ	VYBER	1600	30110	\N	\N	\N
352557	1197	1996-09-21	PRIJEM	VKLAD	3100	34613	\N	\N	\N
352558	1197	1996-10-21	PRIJEM	VKLAD	3300	39322	\N	\N	\N
352559	1197	1996-11-20	VYDAJ	VYBER	2800	37020	\N	\N	\N
352560	1197	1996-12-20	VYDAJ	VYBER	100	34093	\N	\N	\N
352561	1197	1997-01-19	VYDAJ	VYBER	100	31212	\N	\N	\N
352562	1197	1997-02-18	VYDAJ	VYBER	2300	30140	\N	\N	\N
352563	1197	1997-03-20	PRIJEM	VKLAD	2300	33845	\N	\N	\N
352564	1197	1997-04-19	PRIJEM	VKLAD	800	36053	\N	\N	\N
352565	1197	1997-05-19	VYDAJ	VYBER	2600	33433	\N	\N	\N
352566	1197	1997-06-18	PRIJEM	VKLAD	4600	39452	\N	\N	\N
352567	1197	1997-07-18	PRIJEM	VKLAD	4400	42517	\N	\N	\N
352568	1197	1997-08-17	VYDAJ	VYBER	1100	42857	\N	\N	\N
352569	1197	1997-10-16	VYDAJ	VYBER	1800	43968	\N	\N	\N
352570	1197	1997-11-15	PRIJEM	VKLAD	2100	47527	\N	\N	\N
352571	1197	1997-12-15	VYDAJ	VYBER KARTOU	1300	46993	\N	\N	0
352572	1197	1998-01-14	VYDAJ	VYBER KARTOU	1200	46364	\N	\N	0
352573	1197	1998-02-13	VYDAJ	VYBER KARTOU	1400	42427	\N	\N	0
352574	1197	1998-03-15	PRIJEM	VKLAD	1000	44878	\N	\N	\N
352575	1197	1998-04-14	VYDAJ	VYBER KARTOU	300	46035	\N	\N	0
352576	1197	1998-05-14	PRIJEM	VKLAD	900	48399	\N	\N	\N
352577	1197	1998-06-13	VYDAJ	VYBER KARTOU	2100	45371	\N	\N	0
352578	1197	1998-07-13	VYDAJ	VYBER	4500	42337	\N	\N	\N
352579	1197	1998-08-12	VYDAJ	VYBER KARTOU	100	42591	\N	\N	0
352580	1197	1998-09-11	PRIJEM	VKLAD	600	39967	\N	\N	\N
352581	1197	1998-10-11	VYDAJ	VYBER KARTOU	300	40120	\N	\N	0
352582	1197	1998-11-10	PRIJEM	VKLAD	4700	48055	\N	\N	\N
352583	1197	1998-12-10	VYDAJ	VYBER KARTOU	4000	42943	\N	\N	0
352648	1198	1997-04-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
352653	1198	1997-05-14	PRIJEM	PREVOD Z UCTU	18827	19927	\N	UV	83680390
352654	1198	1997-06-14	PRIJEM	PREVOD Z UCTU	28240	51104	\N	UV	83680390
352655	1198	1997-07-14	PRIJEM	PREVOD Z UCTU	18827	56050	\N	UV	83680390
352656	1198	1997-08-14	PRIJEM	PREVOD Z UCTU	18827	60539	\N	UV	83680390
352657	1198	1997-09-14	PRIJEM	PREVOD Z UCTU	18827	68654	\N	UV	83680390
352658	1198	1997-10-14	PRIJEM	PREVOD Z UCTU	18827	68774	\N	UV	83680390
352659	1198	1997-11-14	PRIJEM	PREVOD Z UCTU	18827	49712	\N	UV	83680390
352660	1198	1997-12-14	PRIJEM	PREVOD Z UCTU	28240	35619	\N	UV	83680390
352661	1198	1998-01-14	PRIJEM	PREVOD Z UCTU	18827	51258	\N	UV	83680390
352662	1198	1998-02-14	PRIJEM	PREVOD Z UCTU	18827	56617	\N	UV	83680390
352663	1198	1998-03-14	PRIJEM	PREVOD Z UCTU	18827	48232	\N	UV	83680390
352664	1198	1998-04-14	PRIJEM	PREVOD Z UCTU	18827	39492	\N	UV	83680390
352665	1198	1998-05-14	PRIJEM	PREVOD Z UCTU	18827	20898	\N	UV	83680390
352666	1198	1998-06-14	PRIJEM	PREVOD Z UCTU	28240	51395	\N	UV	83680390
352667	1198	1998-07-14	PRIJEM	PREVOD Z UCTU	18827	61650	\N	UV	83680390
352668	1198	1998-08-14	PRIJEM	PREVOD Z UCTU	18827	55957	\N	UV	83680390
352669	1198	1998-09-14	PRIJEM	PREVOD Z UCTU	18827	29217	\N	UV	83680390
352670	1198	1998-10-14	PRIJEM	PREVOD Z UCTU	18827	37144	\N	UV	83680390
352671	1198	1998-11-14	PRIJEM	PREVOD Z UCTU	18827	46418	\N	UV	83680390
352672	1198	1998-12-14	PRIJEM	PREVOD Z UCTU	28240	56336	\N	UV	83680390
352675	1198	1997-12-09	VYBER	VYBER	19651	7379	\N	\N	\N
352685	1198	1997-11-22	VYBER	VYBER	8913	35299	\N	\N	\N
352686	1198	1997-10-23	VYBER	VYBER	11864	37010	\N	\N	\N
352687	1198	1998-04-29	VYBER	VYBER	11219	8883	\N	\N	\N
352688	1198	1998-03-04	VYBER	VYBER	4967	29405	\N	\N	\N
352689	1198	1998-09-20	VYBER	VYBER	4806	24411	\N	\N	\N
352690	1198	1998-07-16	VYBER	VYBER	13879	38471	\N	\N	\N
352691	1198	1998-04-22	VYBER	VYBER	17690	20102	\N	\N	\N
352692	1198	1998-05-05	VYBER	VYBER	6896	2071	\N	\N	\N
352694	1198	1998-03-20	VYBER	VYBER	17979	20553	\N	\N	\N
352695	1198	1998-09-13	VYBER	VYBER	13915	10390	\N	\N	\N
352696	1198	1998-08-26	VYBER	VYBER	20829	35128	\N	\N	\N
352697	1198	1998-11-21	VYBER	VYBER	2964	43454	\N	\N	\N
352698	1198	1998-10-30	VYBER	VYBER	6867	30277	\N	\N	\N
352699	1198	1998-09-09	VYBER	VYBER	17694	17605	\N	\N	\N
352700	1198	1997-12-23	VYDAJ	VYBER	4500	32319	\N	\N	\N
352701	1198	1998-12-10	VYDAJ	VYBER	3300	26796	\N	\N	\N
352702	1198	1997-10-30	VYDAJ	VYBER	6300	30710	\N	\N	\N
352707	1198	1997-12-03	VYDAJ	VYBER	8400	27030	\N	\N	\N
352708	1198	1998-11-26	VYDAJ	VYBER	3900	39554	\N	\N	\N
352709	1198	1998-11-09	VYDAJ	VYBER	2400	27991	\N	\N	\N
352710	1198	1998-12-09	VYDAJ	VYBER	9600	30096	\N	\N	\N
352711	1198	1998-02-20	VYDAJ	VYBER	9300	34217	\N	\N	\N
352712	1198	1998-10-06	VYDAJ	VYBER	14700	9817	\N	\N	\N
352722	1198	1997-09-30	VYDAJ	VYBER	15	49947	SLUZBY	\N	\N
352723	1198	1997-10-31	VYDAJ	VYBER	15	30885	SLUZBY	\N	\N
352724	1198	1997-11-30	VYDAJ	VYBER	15	35430	SLUZBY	\N	\N
352725	1198	1997-12-31	VYDAJ	VYBER	15	32431	SLUZBY	\N	\N
352726	1198	1998-01-31	VYDAJ	VYBER	15	37790	SLUZBY	\N	\N
352727	1198	1998-02-28	VYDAJ	VYBER	15	34372	SLUZBY	\N	\N
352728	1198	1998-03-31	VYDAJ	VYBER	15	20665	SLUZBY	\N	\N
352729	1198	1998-04-30	VYDAJ	VYBER	15	8967	SLUZBY	\N	\N
352730	1198	1998-05-31	VYDAJ	VYBER	15	23155	SLUZBY	\N	\N
352731	1198	1998-06-30	VYDAJ	VYBER	15	42823	SLUZBY	\N	\N
352732	1198	1998-07-31	VYDAJ	VYBER	15	38630	SLUZBY	\N	\N
352733	1198	1998-08-31	VYDAJ	VYBER	15	35299	SLUZBY	\N	\N
352734	1198	1998-09-30	VYDAJ	VYBER	15	24517	SLUZBY	\N	\N
352735	1198	1998-10-31	VYDAJ	VYBER	15	30391	SLUZBY	\N	\N
352736	1198	1998-11-30	VYDAJ	VYBER	15	39696	SLUZBY	\N	\N
352737	1198	1997-05-20	PRIJEM	VKLAD	2900	22827	\N	\N	\N
352738	1198	1997-06-19	VYDAJ	VYBER	14000	37104	\N	\N	\N
352739	1198	1997-07-19	VYDAJ	VYBER	14500	41550	\N	\N	\N
352740	1198	1997-08-18	VYDAJ	VYBER	10900	49639	\N	\N	\N
352741	1198	1997-09-17	VYDAJ	VYBER	18900	49754	\N	\N	\N
352742	1198	1997-10-17	VYDAJ	VYBER	19900	48874	\N	\N	\N
352743	1198	1997-11-16	VYDAJ	VYBER	5500	44212	\N	\N	\N
352744	1198	1997-12-16	PRIJEM	VKLAD	1200	36819	\N	\N	\N
352745	1198	1998-01-15	VYDAJ	VYBER	13600	37658	\N	\N	\N
352746	1198	1998-02-14	VYDAJ	VYBER	13100	43517	\N	\N	\N
352747	1198	1998-03-16	VYDAJ	VYBER	9700	38532	\N	\N	\N
352748	1198	1998-04-15	VYDAJ	VYBER	1700	37792	\N	\N	\N
352749	1198	1998-05-15	PRIJEM	VKLAD	2200	23098	\N	\N	\N
352750	1198	1998-06-14	VYDAJ	VYBER	8700	42695	\N	\N	\N
352751	1198	1998-07-14	VYDAJ	VYBER	9300	52350	\N	\N	\N
352752	1198	1998-08-13	VYDAJ	VYBER	1500	37130	\N	\N	\N
352753	1198	1998-09-12	PRIJEM	VKLAD	6700	24305	\N	\N	\N
352754	1198	1998-10-12	PRIJEM	VKLAD	8500	18317	\N	\N	\N
352755	1198	1998-11-11	VYDAJ	VYBER	400	27591	\N	\N	\N
352756	1198	1998-12-11	PRIJEM	VKLAD	1300	28096	\N	\N	\N
352777	1199	1997-03-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
352781	1199	1997-04-05	PRIJEM	VKLAD	4065	5065	\N	\N	\N
352782	1199	1997-05-05	PRIJEM	VKLAD	4065	19560	\N	\N	\N
352783	1199	1997-06-05	PRIJEM	VKLAD	6098	27033	\N	\N	\N
352784	1199	1997-07-05	PRIJEM	VKLAD	4065	31399	\N	\N	\N
352785	1199	1997-08-05	PRIJEM	VKLAD	4065	33281	\N	\N	\N
352786	1199	1997-09-05	PRIJEM	VKLAD	4065	32745	\N	\N	\N
352787	1199	1997-10-05	PRIJEM	VKLAD	4065	31404	\N	\N	\N
352788	1199	1997-11-05	PRIJEM	VKLAD	4065	33165	\N	\N	\N
352789	1199	1997-12-05	PRIJEM	VKLAD	6098	33858	\N	\N	\N
352790	1199	1998-01-05	PRIJEM	VKLAD	4065	26132	\N	\N	\N
352791	1199	1998-02-05	PRIJEM	VKLAD	4065	19834	\N	\N	\N
352792	1199	1998-03-05	PRIJEM	VKLAD	4065	27362	\N	\N	\N
352793	1199	1998-04-05	PRIJEM	VKLAD	4065	30811	\N	\N	\N
352794	1199	1998-05-05	PRIJEM	VKLAD	4065	32759	\N	\N	\N
352795	1199	1998-06-05	PRIJEM	VKLAD	6098	43276	\N	\N	\N
352796	1199	1998-07-05	PRIJEM	VKLAD	4065	47317	\N	\N	\N
352797	1199	1998-08-05	PRIJEM	VKLAD	4065	50110	\N	\N	\N
352798	1199	1998-09-05	PRIJEM	VKLAD	4065	56067	\N	\N	\N
352799	1199	1998-10-05	PRIJEM	VKLAD	4065	57930	\N	\N	\N
352800	1199	1998-11-05	PRIJEM	VKLAD	4065	56892	\N	\N	\N
352801	1199	1998-12-05	PRIJEM	VKLAD	6098	50660	\N	\N	\N
352809	1199	1997-08-10	VYDAJ	PREVOD NA UCET	1948	30571	SIPO	IJ	97586124
352810	1199	1997-09-10	VYDAJ	PREVOD NA UCET	1948	30035	SIPO	IJ	97586124
352811	1199	1997-10-10	VYDAJ	PREVOD NA UCET	1948	28694	SIPO	IJ	97586124
352812	1199	1997-11-10	VYDAJ	PREVOD NA UCET	1948	30455	SIPO	IJ	97586124
352813	1199	1997-12-10	VYDAJ	PREVOD NA UCET	1948	30348	SIPO	IJ	97586124
352814	1199	1998-01-10	VYDAJ	PREVOD NA UCET	1948	13982	SIPO	IJ	97586124
352815	1199	1998-02-10	VYDAJ	PREVOD NA UCET	1948	17124	SIPO	IJ	97586124
352816	1199	1998-03-10	VYDAJ	PREVOD NA UCET	1948	24652	SIPO	IJ	97586124
352817	1199	1998-04-10	VYDAJ	PREVOD NA UCET	1948	28101	SIPO	IJ	97586124
352818	1199	1998-05-10	VYDAJ	PREVOD NA UCET	1948	30049	SIPO	IJ	97586124
352819	1199	1998-06-10	VYDAJ	PREVOD NA UCET	1948	40566	SIPO	IJ	97586124
352820	1199	1998-07-10	VYDAJ	PREVOD NA UCET	1948	44607	SIPO	IJ	97586124
352821	1199	1998-08-10	VYDAJ	PREVOD NA UCET	1948	51800	SIPO	IJ	97586124
352822	1199	1998-09-10	VYDAJ	PREVOD NA UCET	1948	53657	SIPO	IJ	97586124
352823	1199	1998-10-10	VYDAJ	PREVOD NA UCET	1948	52620	SIPO	IJ	97586124
352824	1199	1998-11-10	VYDAJ	PREVOD NA UCET	1948	44382	SIPO	IJ	97586124
352825	1199	1998-12-10	VYDAJ	PREVOD NA UCET	1948	44850	SIPO	IJ	97586124
352833	1199	1997-08-06	VYDAJ	PREVOD NA UCET	762	32519	 	UV	49255633
352834	1199	1997-09-06	VYDAJ	PREVOD NA UCET	762	31983	 	UV	49255633
352835	1199	1997-10-06	VYDAJ	PREVOD NA UCET	762	30642	 	UV	49255633
352836	1199	1997-11-06	VYDAJ	PREVOD NA UCET	762	32403	 	UV	49255633
352837	1199	1997-12-06	VYDAJ	PREVOD NA UCET	762	33096	 	UV	49255633
352838	1199	1998-01-06	VYDAJ	PREVOD NA UCET	762	18210	 	UV	49255633
352839	1199	1998-02-06	VYDAJ	PREVOD NA UCET	762	19072	 	UV	49255633
352840	1199	1998-03-06	VYDAJ	PREVOD NA UCET	762	26600	 	UV	49255633
352841	1199	1998-04-06	VYDAJ	PREVOD NA UCET	762	30049	 	UV	49255633
352842	1199	1998-05-06	VYDAJ	PREVOD NA UCET	762	31997	 	UV	49255633
352843	1199	1998-06-06	VYDAJ	PREVOD NA UCET	762	42514	 	UV	49255633
352844	1199	1998-07-06	VYDAJ	PREVOD NA UCET	762	46555	 	UV	49255633
352845	1199	1998-08-06	VYDAJ	PREVOD NA UCET	762	49348	 	UV	49255633
352846	1199	1998-09-06	VYDAJ	PREVOD NA UCET	762	55305	 	UV	49255633
352847	1199	1998-10-06	VYDAJ	PREVOD NA UCET	762	57168	 	UV	49255633
352848	1199	1998-11-06	VYDAJ	PREVOD NA UCET	762	56130	 	UV	49255633
352849	1199	1998-12-06	VYDAJ	PREVOD NA UCET	762	49898	 	UV	49255633
352853	1199	1998-01-05	VYDAJ	VYBER	3680	22452	\N	\N	\N
352854	1199	1997-12-08	VYDAJ	VYBER	800	32296	\N	\N	\N
352855	1199	1998-12-11	VYDAJ	VYBER	2080	42770	\N	\N	\N
352862	1199	1998-01-17	VYDAJ	VYBER	2760	19422	\N	\N	\N
352863	1199	1998-01-27	VYDAJ	VYBER	3000	16422	\N	\N	\N
352864	1199	1998-01-27	VYDAJ	VYBER	720	15702	\N	\N	\N
352865	1199	1998-01-03	VYDAJ	VYBER	3480	22067	\N	\N	\N
352866	1199	1998-01-05	VYDAJ	VYBER	3480	18972	\N	\N	\N
352867	1199	1998-01-07	VYDAJ	VYBER	2280	15930	\N	\N	\N
352868	1199	1997-08-22	VYDAJ	VYBER	600	28571	\N	\N	\N
352872	1199	1998-06-22	VYDAJ	VYBER	4080	43086	\N	\N	\N
352873	1199	1998-07-28	VYDAJ	VYBER	1440	45867	\N	\N	\N
352874	1199	1998-04-27	VYDAJ	VYBER	4320	28581	\N	\N	\N
352883	1199	1997-08-31	VYDAJ	VYBER	15	28680	SLUZBY	\N	\N
352884	1199	1997-09-30	VYDAJ	VYBER	15	27339	SLUZBY	\N	\N
352885	1199	1997-10-31	VYDAJ	VYBER	15	29100	SLUZBY	\N	\N
352886	1199	1997-11-30	VYDAJ	VYBER	15	27760	SLUZBY	\N	\N
352887	1199	1997-12-31	VYDAJ	VYBER	15	25547	SLUZBY	\N	\N
352888	1199	1998-01-31	VYDAJ	VYBER	15	15769	SLUZBY	\N	\N
352889	1199	1998-02-28	VYDAJ	VYBER	15	23297	SLUZBY	\N	\N
352890	1199	1998-03-31	VYDAJ	VYBER	15	26746	SLUZBY	\N	\N
352891	1199	1998-04-30	VYDAJ	VYBER	15	28694	SLUZBY	\N	\N
352892	1199	1998-05-31	VYDAJ	VYBER	15	37178	SLUZBY	\N	\N
352893	1199	1998-06-30	VYDAJ	VYBER	15	43252	SLUZBY	\N	\N
352894	1199	1998-07-31	VYDAJ	VYBER	15	46045	SLUZBY	\N	\N
352895	1199	1998-08-31	VYDAJ	VYBER	15	52002	SLUZBY	\N	\N
352896	1199	1998-09-30	VYDAJ	VYBER	15	53865	SLUZBY	\N	\N
352897	1199	1998-10-31	VYDAJ	VYBER	15	52827	SLUZBY	\N	\N
352898	1199	1998-11-30	VYDAJ	VYBER	15	44562	SLUZBY	\N	\N
352899	1199	1997-04-17	PRIJEM	VKLAD	10400	15465	\N	\N	\N
352900	1199	1997-05-17	PRIJEM	VKLAD	1300	20860	\N	\N	\N
352901	1199	1997-06-16	PRIJEM	VKLAD	200	27233	\N	\N	\N
352902	1199	1997-07-16	VYDAJ	VYBER	2300	29099	\N	\N	\N
352903	1199	1997-08-15	VYDAJ	VYBER	1400	29171	\N	\N	\N
352904	1199	1997-09-14	VYDAJ	VYBER	2800	27235	\N	\N	\N
352905	1199	1997-10-14	PRIJEM	VKLAD	300	28994	\N	\N	\N
352906	1199	1997-11-13	VYDAJ	VYBER	2800	27655	\N	\N	\N
352907	1199	1997-12-13	VYDAJ	VYBER	4900	25448	\N	\N	\N
352908	1199	1998-01-12	PRIJEM	VKLAD	8200	22182	\N	\N	\N
352909	1199	1998-02-11	PRIJEM	VKLAD	6100	23224	\N	\N	\N
352910	1199	1998-03-13	PRIJEM	VKLAD	2000	26652	\N	\N	\N
352911	1199	1998-04-12	PRIJEM	VKLAD	4800	32901	\N	\N	\N
352912	1199	1998-05-12	PRIJEM	VKLAD	7000	37049	\N	\N	\N
352913	1199	1998-06-11	PRIJEM	VKLAD	6600	47166	\N	\N	\N
352914	1199	1998-07-11	PRIJEM	VKLAD	2700	47307	\N	\N	\N
352915	1199	1998-08-10	PRIJEM	VKLAD	4400	53748	\N	\N	\N
352916	1199	1998-09-09	PRIJEM	VKLAD	300	55605	\N	\N	\N
352917	1199	1998-10-09	VYDAJ	VYBER	2600	54568	\N	\N	\N
352918	1199	1998-11-08	VYDAJ	VYBER	9800	46330	\N	\N	\N
352919	1199	1998-12-08	VYDAJ	VYBER	3100	46798	\N	\N	\N
352941	1200	1993-05-07	PRIJEM	VKLAD	300	300	\N	\N	\N
352946	1200	1993-05-08	PRIJEM	VKLAD	23381	23681	\N	\N	\N
352947	1200	1993-06-08	PRIJEM	VKLAD	35072	57529	\N	\N	\N
352948	1200	1993-07-08	PRIJEM	VKLAD	23381	66517	\N	\N	\N
352949	1200	1993-08-08	PRIJEM	VKLAD	23381	71467	\N	\N	\N
352950	1200	1993-09-08	PRIJEM	VKLAD	23381	73141	\N	\N	\N
352951	1200	1993-10-08	PRIJEM	VKLAD	23381	68976	\N	\N	\N
352952	1200	1993-11-08	PRIJEM	VKLAD	23381	62090	\N	\N	\N
352953	1200	1993-12-08	PRIJEM	VKLAD	35072	71768	\N	\N	\N
352954	1200	1994-01-08	PRIJEM	VKLAD	23381	54076	\N	\N	\N
352955	1200	1994-02-08	PRIJEM	VKLAD	23381	54707	\N	\N	\N
352956	1200	1994-03-08	PRIJEM	VKLAD	23381	56738	\N	\N	\N
352957	1200	1994-04-08	PRIJEM	VKLAD	23381	60091	\N	\N	\N
352958	1200	1994-05-08	PRIJEM	VKLAD	23381	63163	\N	\N	\N
352959	1200	1994-06-08	PRIJEM	VKLAD	35072	73840	\N	\N	\N
352960	1200	1994-07-08	PRIJEM	VKLAD	23381	58725	\N	\N	\N
352961	1200	1994-08-08	PRIJEM	VKLAD	23381	58493	\N	\N	\N
352962	1200	1994-09-08	PRIJEM	VKLAD	23381	62146	\N	\N	\N
352963	1200	1994-10-08	PRIJEM	VKLAD	23381	61812	\N	\N	\N
352964	1200	1994-11-08	PRIJEM	VKLAD	23381	60176	\N	\N	\N
352965	1200	1994-12-08	PRIJEM	VKLAD	35072	75025	\N	\N	\N
352966	1200	1995-01-08	PRIJEM	VKLAD	23381	64825	\N	\N	\N
352967	1200	1995-02-08	PRIJEM	VKLAD	23381	44976	\N	\N	\N
352968	1200	1995-03-08	PRIJEM	VKLAD	23381	55375	\N	\N	\N
352969	1200	1995-04-08	PRIJEM	VKLAD	23381	57812	\N	\N	\N
352970	1200	1995-05-08	PRIJEM	VKLAD	23381	63459	\N	\N	\N
352971	1200	1995-06-08	PRIJEM	VKLAD	35072	76017	\N	\N	\N
352972	1200	1995-07-08	PRIJEM	VKLAD	23381	58289	\N	\N	\N
352973	1200	1995-08-08	PRIJEM	VKLAD	23381	61334	\N	\N	\N
352974	1200	1995-09-08	PRIJEM	VKLAD	23381	65490	\N	\N	\N
352975	1200	1995-10-08	PRIJEM	VKLAD	23381	67661	\N	\N	\N
352976	1200	1995-11-08	PRIJEM	VKLAD	23381	67938	\N	\N	\N
352977	1200	1995-12-08	PRIJEM	VKLAD	35072	76903	\N	\N	\N
352978	1200	1996-01-08	PRIJEM	VKLAD	23381	69598	\N	\N	\N
352979	1200	1996-02-08	PRIJEM	VKLAD	23381	60261	\N	\N	\N
352980	1200	1996-03-08	PRIJEM	VKLAD	23381	59602	\N	\N	\N
352981	1200	1996-04-08	PRIJEM	VKLAD	23381	60842	\N	\N	\N
352982	1200	1996-05-08	PRIJEM	VKLAD	23381	57786	\N	\N	\N
352983	1200	1996-06-08	PRIJEM	VKLAD	35072	68114	\N	\N	\N
352984	1200	1996-07-08	PRIJEM	VKLAD	23381	58665	\N	\N	\N
352985	1200	1996-08-08	PRIJEM	VKLAD	23381	60699	\N	\N	\N
352986	1200	1996-09-08	PRIJEM	VKLAD	23381	60534	\N	\N	\N
352987	1200	1996-10-08	PRIJEM	VKLAD	23381	56361	\N	\N	\N
352988	1200	1996-11-08	PRIJEM	VKLAD	23381	56677	\N	\N	\N
352989	1200	1996-12-08	PRIJEM	VKLAD	35072	69685	\N	\N	\N
352990	1200	1997-01-08	PRIJEM	VKLAD	23381	57629	\N	\N	\N
352991	1200	1997-02-08	PRIJEM	VKLAD	23381	47328	\N	\N	\N
352992	1200	1997-03-08	PRIJEM	VKLAD	23381	52310	\N	\N	\N
352993	1200	1997-04-08	PRIJEM	VKLAD	23381	53909	\N	\N	\N
352994	1200	1997-05-08	PRIJEM	VKLAD	23381	57517	\N	\N	\N
352995	1200	1997-06-08	PRIJEM	VKLAD	35072	71527	\N	\N	\N
352996	1200	1997-07-08	PRIJEM	VKLAD	23381	64066	\N	\N	\N
352997	1200	1997-08-08	PRIJEM	VKLAD	23381	61801	\N	\N	\N
352998	1200	1997-09-08	PRIJEM	VKLAD	23381	61628	\N	\N	\N
352999	1200	1997-10-08	PRIJEM	VKLAD	23381	63357	\N	\N	\N
353000	1200	1997-11-08	PRIJEM	VKLAD	23381	62887	\N	\N	\N
353001	1200	1997-12-08	PRIJEM	VKLAD	35072	72601	\N	\N	\N
353002	1200	1998-01-08	PRIJEM	VKLAD	23381	62038	\N	\N	\N
353003	1200	1998-02-08	PRIJEM	VKLAD	23381	54047	\N	\N	\N
353004	1200	1998-03-08	PRIJEM	VKLAD	23381	55136	\N	\N	\N
353005	1200	1998-04-08	PRIJEM	VKLAD	23381	57538	\N	\N	\N
353006	1200	1998-05-08	PRIJEM	VKLAD	23381	55134	\N	\N	\N
353007	1200	1998-06-08	PRIJEM	VKLAD	35072	65814	\N	\N	\N
353008	1200	1998-07-08	PRIJEM	VKLAD	23381	48594	\N	\N	\N
353009	1200	1998-08-08	PRIJEM	VKLAD	23381	42553	\N	\N	\N
353010	1200	1998-09-08	PRIJEM	VKLAD	23381	36773	\N	\N	\N
353011	1200	1998-10-08	PRIJEM	VKLAD	23381	36380	\N	\N	\N
353012	1200	1998-11-08	PRIJEM	VKLAD	23381	35691	\N	\N	\N
353013	1200	1998-12-08	PRIJEM	VKLAD	35072	63437	\N	\N	\N
353023	1200	1993-10-07	VYDAJ	PREVOD NA UCET	3743	45595	SIPO	KL	65062272
353024	1200	1993-11-07	VYDAJ	PREVOD NA UCET	3743	38709	SIPO	KL	65062272
353025	1200	1993-12-07	VYDAJ	PREVOD NA UCET	3743	36696	SIPO	KL	65062272
353026	1200	1994-01-07	VYDAJ	PREVOD NA UCET	3743	30695	SIPO	KL	65062272
353027	1200	1994-02-07	VYDAJ	PREVOD NA UCET	3743	31326	SIPO	KL	65062272
353028	1200	1994-03-07	VYDAJ	PREVOD NA UCET	3743	33357	SIPO	KL	65062272
353029	1200	1994-04-07	VYDAJ	PREVOD NA UCET	3743	36710	SIPO	KL	65062272
353030	1200	1994-05-07	VYDAJ	PREVOD NA UCET	3743	39782	SIPO	KL	65062272
353031	1200	1994-06-07	VYDAJ	PREVOD NA UCET	3743	38768	SIPO	KL	65062272
353032	1200	1994-07-07	VYDAJ	PREVOD NA UCET	3743	35344	SIPO	KL	65062272
353033	1200	1994-08-07	VYDAJ	PREVOD NA UCET	3743	35112	SIPO	KL	65062272
353034	1200	1994-09-07	VYDAJ	PREVOD NA UCET	3743	38765	SIPO	KL	65062272
353035	1200	1994-10-07	VYDAJ	PREVOD NA UCET	3743	38431	SIPO	KL	65062272
353036	1200	1994-11-07	VYDAJ	PREVOD NA UCET	3743	36795	SIPO	KL	65062272
353037	1200	1994-12-07	VYDAJ	PREVOD NA UCET	3743	39953	SIPO	KL	65062272
353038	1200	1995-01-07	VYDAJ	PREVOD NA UCET	3743	41444	SIPO	KL	65062272
353039	1200	1995-02-07	VYDAJ	PREVOD NA UCET	3743	21595	SIPO	KL	65062272
353040	1200	1995-03-07	VYDAJ	PREVOD NA UCET	3743	31994	SIPO	KL	65062272
353041	1200	1995-04-07	VYDAJ	PREVOD NA UCET	3743	34431	SIPO	KL	65062272
353042	1200	1995-05-07	VYDAJ	PREVOD NA UCET	3743	40078	SIPO	KL	65062272
353043	1200	1995-06-07	VYDAJ	PREVOD NA UCET	3743	40945	SIPO	KL	65062272
353044	1200	1995-07-07	VYDAJ	PREVOD NA UCET	3743	34908	SIPO	KL	65062272
353045	1200	1995-08-07	VYDAJ	PREVOD NA UCET	3743	37953	SIPO	KL	65062272
353046	1200	1995-09-07	VYDAJ	PREVOD NA UCET	3743	42109	SIPO	KL	65062272
353047	1200	1995-10-07	VYDAJ	PREVOD NA UCET	3743	44280	SIPO	KL	65062272
353048	1200	1995-11-07	VYDAJ	PREVOD NA UCET	3743	44557	SIPO	KL	65062272
353049	1200	1995-12-07	VYDAJ	PREVOD NA UCET	3743	41831	SIPO	KL	65062272
353050	1200	1996-01-07	VYDAJ	PREVOD NA UCET	3743	46217	SIPO	KL	65062272
353051	1200	1996-02-07	VYDAJ	PREVOD NA UCET	3743	36880	SIPO	KL	65062272
353052	1200	1996-03-07	VYDAJ	PREVOD NA UCET	3743	36221	SIPO	KL	65062272
353053	1200	1996-04-07	VYDAJ	PREVOD NA UCET	3743	37461	SIPO	KL	65062272
353054	1200	1996-05-07	VYDAJ	PREVOD NA UCET	3743	34405	SIPO	KL	65062272
353055	1200	1996-06-07	VYDAJ	PREVOD NA UCET	3743	33042	SIPO	KL	65062272
353056	1200	1996-07-07	VYDAJ	PREVOD NA UCET	3743	35284	SIPO	KL	65062272
353057	1200	1996-08-07	VYDAJ	PREVOD NA UCET	3743	37318	SIPO	KL	65062272
353058	1200	1996-09-07	VYDAJ	PREVOD NA UCET	3743	37153	SIPO	KL	65062272
353059	1200	1996-10-07	VYDAJ	PREVOD NA UCET	3743	32980	SIPO	KL	65062272
353060	1200	1996-11-07	VYDAJ	PREVOD NA UCET	3743	33296	SIPO	KL	65062272
353061	1200	1996-12-07	VYDAJ	PREVOD NA UCET	3743	34613	SIPO	KL	65062272
353062	1200	1997-01-07	VYDAJ	PREVOD NA UCET	3743	34248	SIPO	KL	65062272
353063	1200	1997-02-07	VYDAJ	PREVOD NA UCET	3743	23947	SIPO	KL	65062272
353064	1200	1997-03-07	VYDAJ	PREVOD NA UCET	3743	28929	SIPO	KL	65062272
353065	1200	1997-04-07	VYDAJ	PREVOD NA UCET	3743	30528	SIPO	KL	65062272
353066	1200	1997-05-07	VYDAJ	PREVOD NA UCET	3743	34136	SIPO	KL	65062272
353067	1200	1997-06-07	VYDAJ	PREVOD NA UCET	3743	36455	SIPO	KL	65062272
353068	1200	1997-07-07	VYDAJ	PREVOD NA UCET	3743	40685	SIPO	KL	65062272
353069	1200	1997-08-07	VYDAJ	PREVOD NA UCET	3743	38420	SIPO	KL	65062272
353070	1200	1997-09-07	VYDAJ	PREVOD NA UCET	3743	38247	SIPO	KL	65062272
353071	1200	1997-10-07	VYDAJ	PREVOD NA UCET	3743	39976	SIPO	KL	65062272
353072	1200	1997-11-07	VYDAJ	PREVOD NA UCET	3743	39506	SIPO	KL	65062272
353073	1200	1997-12-07	VYDAJ	PREVOD NA UCET	3743	37529	SIPO	KL	65062272
353074	1200	1998-01-07	VYDAJ	PREVOD NA UCET	3743	38657	SIPO	KL	65062272
353075	1200	1998-02-07	VYDAJ	PREVOD NA UCET	3743	30666	SIPO	KL	65062272
353076	1200	1998-03-07	VYDAJ	PREVOD NA UCET	3743	31755	SIPO	KL	65062272
353077	1200	1998-04-07	VYDAJ	PREVOD NA UCET	3743	34157	SIPO	KL	65062272
353078	1200	1998-05-07	VYDAJ	PREVOD NA UCET	3743	31753	SIPO	KL	65062272
353079	1200	1998-06-07	VYDAJ	PREVOD NA UCET	3743	30742	SIPO	KL	65062272
353080	1200	1998-07-07	VYDAJ	PREVOD NA UCET	3743	25213	SIPO	KL	65062272
353081	1200	1998-08-07	VYDAJ	PREVOD NA UCET	3743	19172	SIPO	KL	65062272
353082	1200	1998-09-07	VYDAJ	PREVOD NA UCET	3743	13392	SIPO	KL	65062272
353083	1200	1998-10-07	VYDAJ	PREVOD NA UCET	3743	12999	SIPO	KL	65062272
353084	1200	1998-11-07	VYDAJ	PREVOD NA UCET	3743	12310	SIPO	KL	65062272
353085	1200	1998-12-07	VYDAJ	PREVOD NA UCET	3743	28365	SIPO	KL	65062272
353094	1200	1993-09-12	VYDAJ	PREVOD NA UCET	525	69460	 	EF	63795244
353095	1200	1993-10-12	VYDAJ	PREVOD NA UCET	525	65295	 	EF	63795244
353096	1200	1993-11-12	VYDAJ	PREVOD NA UCET	525	58409	 	EF	63795244
353097	1200	1993-12-12	VYDAJ	PREVOD NA UCET	525	68087	 	EF	63795244
353098	1200	1994-01-12	VYDAJ	PREVOD NA UCET	525	46195	 	EF	63795244
353099	1200	1994-02-12	VYDAJ	PREVOD NA UCET	525	46826	 	EF	63795244
353100	1200	1994-03-12	VYDAJ	PREVOD NA UCET	525	53057	 	EF	63795244
353101	1200	1994-04-12	VYDAJ	PREVOD NA UCET	525	56410	 	EF	63795244
353102	1200	1994-05-12	VYDAJ	PREVOD NA UCET	525	59482	 	EF	63795244
353103	1200	1994-06-12	VYDAJ	PREVOD NA UCET	525	56059	 	EF	63795244
353104	1200	1994-07-12	VYDAJ	PREVOD NA UCET	525	55044	 	EF	63795244
353105	1200	1994-08-12	VYDAJ	PREVOD NA UCET	525	54812	 	EF	63795244
353106	1200	1994-09-12	VYDAJ	PREVOD NA UCET	525	58465	 	EF	63795244
353107	1200	1994-10-12	VYDAJ	PREVOD NA UCET	525	58131	 	EF	63795244
353108	1200	1994-11-12	VYDAJ	PREVOD NA UCET	525	56495	 	EF	63795244
353109	1200	1994-12-12	VYDAJ	PREVOD NA UCET	525	71344	 	EF	63795244
353110	1200	1995-01-12	VYDAJ	PREVOD NA UCET	525	59744	 	EF	63795244
353111	1200	1995-02-12	VYDAJ	PREVOD NA UCET	525	41295	 	EF	63795244
353112	1200	1995-03-12	VYDAJ	PREVOD NA UCET	525	51694	 	EF	63795244
353113	1200	1995-04-12	VYDAJ	PREVOD NA UCET	525	54131	 	EF	63795244
353114	1200	1995-05-12	VYDAJ	PREVOD NA UCET	525	59778	 	EF	63795244
353115	1200	1995-06-12	VYDAJ	PREVOD NA UCET	525	72336	 	EF	63795244
353116	1200	1995-07-12	VYDAJ	PREVOD NA UCET	525	54608	 	EF	63795244
353117	1200	1995-08-12	VYDAJ	PREVOD NA UCET	525	57653	 	EF	63795244
353118	1200	1995-09-12	VYDAJ	PREVOD NA UCET	525	61809	 	EF	63795244
353119	1200	1995-10-12	VYDAJ	PREVOD NA UCET	525	63980	 	EF	63795244
353120	1200	1995-11-12	VYDAJ	PREVOD NA UCET	525	64257	 	EF	63795244
353121	1200	1995-12-12	VYDAJ	PREVOD NA UCET	525	73222	 	EF	63795244
353122	1200	1996-01-12	VYDAJ	PREVOD NA UCET	525	64517	 	EF	63795244
353123	1200	1996-02-12	VYDAJ	PREVOD NA UCET	525	56580	 	EF	63795244
353124	1200	1996-03-12	VYDAJ	PREVOD NA UCET	525	55921	 	EF	63795244
353125	1200	1996-04-12	VYDAJ	PREVOD NA UCET	525	57161	 	EF	63795244
353126	1200	1996-05-12	VYDAJ	PREVOD NA UCET	525	54105	 	EF	63795244
353127	1200	1996-06-12	VYDAJ	PREVOD NA UCET	525	64433	 	EF	63795244
353128	1200	1996-07-12	VYDAJ	PREVOD NA UCET	525	54984	 	EF	63795244
353129	1200	1996-08-12	VYDAJ	PREVOD NA UCET	525	57018	 	EF	63795244
353130	1200	1996-09-12	VYDAJ	PREVOD NA UCET	525	56853	 	EF	63795244
353131	1200	1996-10-12	VYDAJ	PREVOD NA UCET	525	52680	 	EF	63795244
353132	1200	1996-11-12	VYDAJ	PREVOD NA UCET	525	52996	 	EF	63795244
353133	1200	1996-12-12	VYDAJ	PREVOD NA UCET	525	66004	 	EF	63795244
353134	1200	1997-01-12	VYDAJ	PREVOD NA UCET	525	53948	 	EF	63795244
353135	1200	1997-02-12	VYDAJ	PREVOD NA UCET	525	43647	 	EF	63795244
353136	1200	1997-03-12	VYDAJ	PREVOD NA UCET	525	48629	 	EF	63795244
353137	1200	1997-04-12	VYDAJ	PREVOD NA UCET	525	50228	 	EF	63795244
353138	1200	1997-05-12	VYDAJ	PREVOD NA UCET	525	53836	 	EF	63795244
353139	1200	1997-06-12	VYDAJ	PREVOD NA UCET	525	63146	 	EF	63795244
353140	1200	1997-07-12	VYDAJ	PREVOD NA UCET	525	60385	 	EF	63795244
353141	1200	1997-08-12	VYDAJ	PREVOD NA UCET	525	58120	 	EF	63795244
353142	1200	1997-09-12	VYDAJ	PREVOD NA UCET	525	57947	 	EF	63795244
353143	1200	1997-10-12	VYDAJ	PREVOD NA UCET	525	59676	 	EF	63795244
353144	1200	1997-11-12	VYDAJ	PREVOD NA UCET	525	59206	 	EF	63795244
353145	1200	1997-12-12	VYDAJ	PREVOD NA UCET	525	68920	 	EF	63795244
353146	1200	1998-01-12	VYDAJ	PREVOD NA UCET	525	41857	 	EF	63795244
353147	1200	1998-02-12	VYDAJ	PREVOD NA UCET	525	35366	 	EF	63795244
353148	1200	1998-03-12	VYDAJ	PREVOD NA UCET	525	37755	 	EF	63795244
353149	1200	1998-04-12	VYDAJ	PREVOD NA UCET	525	35357	 	EF	63795244
353150	1200	1998-05-12	VYDAJ	PREVOD NA UCET	525	34353	 	EF	63795244
353151	1200	1998-06-12	VYDAJ	PREVOD NA UCET	525	35833	 	EF	63795244
353152	1200	1998-07-12	VYDAJ	PREVOD NA UCET	525	27713	 	EF	63795244
353153	1200	1998-08-12	VYDAJ	PREVOD NA UCET	525	17072	 	EF	63795244
353154	1200	1998-09-12	VYDAJ	PREVOD NA UCET	525	16692	 	EF	63795244
353155	1200	1998-10-12	VYDAJ	PREVOD NA UCET	525	15999	 	EF	63795244
353156	1200	1998-11-12	VYDAJ	PREVOD NA UCET	525	32010	 	EF	63795244
353157	1200	1998-12-12	VYDAJ	PREVOD NA UCET	525	59756	 	EF	63795244
353166	1200	1993-09-11	VYDAJ	PREVOD NA UCET	3156	69985	POJISTNE	EF	13788360
353167	1200	1993-10-11	VYDAJ	PREVOD NA UCET	3156	65820	POJISTNE	EF	13788360
353168	1200	1993-11-11	VYDAJ	PREVOD NA UCET	3156	58934	POJISTNE	EF	13788360
353169	1200	1993-12-11	VYDAJ	PREVOD NA UCET	3156	68612	POJISTNE	EF	13788360
353170	1200	1994-01-11	VYDAJ	PREVOD NA UCET	3156	48420	POJISTNE	EF	13788360
353171	1200	1994-02-11	VYDAJ	PREVOD NA UCET	3156	47351	POJISTNE	EF	13788360
353172	1200	1994-03-11	VYDAJ	PREVOD NA UCET	3156	53582	POJISTNE	EF	13788360
353173	1200	1994-04-11	VYDAJ	PREVOD NA UCET	3156	56935	POJISTNE	EF	13788360
353174	1200	1994-05-11	VYDAJ	PREVOD NA UCET	3156	60007	POJISTNE	EF	13788360
353175	1200	1994-06-11	VYDAJ	PREVOD NA UCET	3156	56584	POJISTNE	EF	13788360
353176	1200	1994-07-11	VYDAJ	PREVOD NA UCET	3156	55569	POJISTNE	EF	13788360
353177	1200	1994-08-11	VYDAJ	PREVOD NA UCET	3156	55337	POJISTNE	EF	13788360
353178	1200	1994-09-11	VYDAJ	PREVOD NA UCET	3156	58990	POJISTNE	EF	13788360
353179	1200	1994-10-11	VYDAJ	PREVOD NA UCET	3156	58656	POJISTNE	EF	13788360
353180	1200	1994-11-11	VYDAJ	PREVOD NA UCET	3156	57020	POJISTNE	EF	13788360
353181	1200	1994-12-11	VYDAJ	PREVOD NA UCET	3156	71869	POJISTNE	EF	13788360
353182	1200	1995-01-11	VYDAJ	PREVOD NA UCET	3156	60269	POJISTNE	EF	13788360
353183	1200	1995-02-11	VYDAJ	PREVOD NA UCET	3156	41820	POJISTNE	EF	13788360
353184	1200	1995-03-11	VYDAJ	PREVOD NA UCET	3156	52219	POJISTNE	EF	13788360
353185	1200	1995-04-11	VYDAJ	PREVOD NA UCET	3156	54656	POJISTNE	EF	13788360
353186	1200	1995-05-11	VYDAJ	PREVOD NA UCET	3156	60303	POJISTNE	EF	13788360
353187	1200	1995-06-11	VYDAJ	PREVOD NA UCET	3156	72861	POJISTNE	EF	13788360
353188	1200	1995-07-11	VYDAJ	PREVOD NA UCET	3156	55133	POJISTNE	EF	13788360
353189	1200	1995-08-11	VYDAJ	PREVOD NA UCET	3156	58178	POJISTNE	EF	13788360
353190	1200	1995-09-11	VYDAJ	PREVOD NA UCET	3156	62334	POJISTNE	EF	13788360
353191	1200	1995-10-11	VYDAJ	PREVOD NA UCET	3156	64505	POJISTNE	EF	13788360
353192	1200	1995-11-11	VYDAJ	PREVOD NA UCET	3156	64782	POJISTNE	EF	13788360
353193	1200	1995-12-11	VYDAJ	PREVOD NA UCET	3156	73747	POJISTNE	EF	13788360
353194	1200	1996-01-11	VYDAJ	PREVOD NA UCET	3156	66442	POJISTNE	EF	13788360
353195	1200	1996-02-11	VYDAJ	PREVOD NA UCET	3156	57105	POJISTNE	EF	13788360
353196	1200	1996-03-11	VYDAJ	PREVOD NA UCET	3156	56446	POJISTNE	EF	13788360
353197	1200	1996-04-11	VYDAJ	PREVOD NA UCET	3156	57686	POJISTNE	EF	13788360
353198	1200	1996-05-11	VYDAJ	PREVOD NA UCET	3156	54630	POJISTNE	EF	13788360
353199	1200	1996-06-11	VYDAJ	PREVOD NA UCET	3156	64958	POJISTNE	EF	13788360
353200	1200	1996-07-11	VYDAJ	PREVOD NA UCET	3156	55509	POJISTNE	EF	13788360
353201	1200	1996-08-11	VYDAJ	PREVOD NA UCET	3156	57543	POJISTNE	EF	13788360
353202	1200	1996-09-11	VYDAJ	PREVOD NA UCET	3156	57378	POJISTNE	EF	13788360
353203	1200	1996-10-11	VYDAJ	PREVOD NA UCET	3156	53205	POJISTNE	EF	13788360
353204	1200	1996-11-11	VYDAJ	PREVOD NA UCET	3156	53521	POJISTNE	EF	13788360
353205	1200	1996-12-11	VYDAJ	PREVOD NA UCET	3156	66529	POJISTNE	EF	13788360
353206	1200	1997-01-11	VYDAJ	PREVOD NA UCET	3156	54473	POJISTNE	EF	13788360
353207	1200	1997-02-11	VYDAJ	PREVOD NA UCET	3156	44172	POJISTNE	EF	13788360
353208	1200	1997-03-11	VYDAJ	PREVOD NA UCET	3156	49154	POJISTNE	EF	13788360
353209	1200	1997-04-11	VYDAJ	PREVOD NA UCET	3156	50753	POJISTNE	EF	13788360
353210	1200	1997-05-11	VYDAJ	PREVOD NA UCET	3156	54361	POJISTNE	EF	13788360
353211	1200	1997-06-11	VYDAJ	PREVOD NA UCET	3156	63671	POJISTNE	EF	13788360
353212	1200	1997-07-11	VYDAJ	PREVOD NA UCET	3156	60910	POJISTNE	EF	13788360
353213	1200	1997-08-11	VYDAJ	PREVOD NA UCET	3156	58645	POJISTNE	EF	13788360
353214	1200	1997-09-11	VYDAJ	PREVOD NA UCET	3156	58472	POJISTNE	EF	13788360
353215	1200	1997-10-11	VYDAJ	PREVOD NA UCET	3156	60201	POJISTNE	EF	13788360
353216	1200	1997-11-11	VYDAJ	PREVOD NA UCET	3156	59731	POJISTNE	EF	13788360
353217	1200	1997-12-11	VYDAJ	PREVOD NA UCET	3156	69445	POJISTNE	EF	13788360
353218	1200	1998-01-11	VYDAJ	PREVOD NA UCET	3156	58882	POJISTNE	EF	13788360
353219	1200	1998-02-11	VYDAJ	PREVOD NA UCET	3156	35891	POJISTNE	EF	13788360
353220	1200	1998-03-11	VYDAJ	PREVOD NA UCET	3156	51980	POJISTNE	EF	13788360
353221	1200	1998-04-11	VYDAJ	PREVOD NA UCET	3156	35882	POJISTNE	EF	13788360
353222	1200	1998-05-11	VYDAJ	PREVOD NA UCET	3156	51978	POJISTNE	EF	13788360
353223	1200	1998-06-11	VYDAJ	PREVOD NA UCET	3156	36358	POJISTNE	EF	13788360
353224	1200	1998-07-11	VYDAJ	PREVOD NA UCET	3156	28238	POJISTNE	EF	13788360
353225	1200	1998-08-11	VYDAJ	PREVOD NA UCET	3156	17597	POJISTNE	EF	13788360
353226	1200	1998-09-11	VYDAJ	PREVOD NA UCET	3156	17217	POJISTNE	EF	13788360
353227	1200	1998-10-11	VYDAJ	PREVOD NA UCET	3156	16524	POJISTNE	EF	13788360
353228	1200	1998-11-11	VYDAJ	PREVOD NA UCET	3156	32535	POJISTNE	EF	13788360
353229	1200	1998-12-11	VYDAJ	PREVOD NA UCET	3156	60281	POJISTNE	EF	13788360
353231	1200	1994-06-11	VYDAJ	VYBER	14100	59740	\N	\N	\N
353232	1200	1995-06-20	VYDAJ	VYBER	25500	46836	\N	\N	\N
353234	1200	1997-06-09	VYDAJ	VYBER	4700	66827	\N	\N	\N
353235	1200	1998-06-18	VYDAJ	VYBER	7000	28833	\N	\N	\N
353237	1200	1994-01-03	VYDAJ	VYBER	9300	35338	\N	\N	\N
353238	1200	1995-01-28	VYDAJ	VYBER	5200	31444	\N	\N	\N
353239	1200	1996-01-16	VYDAJ	VYBER	4100	58217	\N	\N	\N
353240	1200	1997-01-23	VYDAJ	VYBER	4500	27548	\N	\N	\N
353241	1200	1998-01-03	VYDAJ	VYBER	2600	42400	\N	\N	\N
353242	1200	1993-12-13	VYDAJ	VYBER	2800	65287	\N	\N	\N
353243	1200	1994-12-26	VYDAJ	VYBER	1500	69844	\N	\N	\N
353244	1200	1995-12-29	VYDAJ	VYBER	1400	50322	\N	\N	\N
353245	1200	1996-12-20	VYDAJ	VYBER	1400	43004	\N	\N	\N
353246	1200	1997-12-21	VYDAJ	VYBER	1500	44820	\N	\N	\N
353247	1200	1998-12-23	VYDAJ	VYBER	2400	57356	\N	\N	\N
353254	1200	1994-01-08	VYDAJ	VYBER	600	53476	\N	\N	\N
353255	1200	1994-01-09	VYDAJ	VYBER	1900	51576	\N	\N	\N
353256	1200	1994-01-12	VYDAJ	VYBER	1700	46720	\N	\N	\N
353257	1200	1994-01-30	VYDAJ	VYBER	2800	42595	\N	\N	\N
353258	1200	1994-01-14	VYDAJ	VYBER	800	45395	\N	\N	\N
353259	1200	1994-01-06	VYDAJ	VYBER	900	34438	\N	\N	\N
353260	1200	1995-01-22	VYDAJ	VYBER	500	52544	\N	\N	\N
353261	1200	1995-01-21	VYDAJ	VYBER	2300	53044	\N	\N	\N
353262	1200	1995-01-09	VYDAJ	VYBER	1400	63425	\N	\N	\N
353263	1200	1995-01-30	VYDAJ	VYBER	2300	29144	\N	\N	\N
353264	1200	1995-01-01	VYDAJ	VYBER	2100	45187	\N	\N	\N
353265	1200	1995-01-26	VYDAJ	VYBER	2100	50444	\N	\N	\N
353266	1200	1996-01-11	VYDAJ	VYBER	1400	65042	\N	\N	\N
353267	1200	1996-01-17	VYDAJ	VYBER	2400	55817	\N	\N	\N
353268	1200	1996-01-21	VYDAJ	VYBER	1700	54117	\N	\N	\N
353269	1200	1996-01-04	VYDAJ	VYBER	600	49960	\N	\N	\N
353270	1200	1996-01-15	VYDAJ	VYBER	2200	62317	\N	\N	\N
353271	1200	1996-01-29	VYDAJ	VYBER	1600	42317	\N	\N	\N
353272	1200	1997-01-15	VYDAJ	VYBER	2100	51848	\N	\N	\N
353273	1200	1997-01-19	VYDAJ	VYBER	600	32048	\N	\N	\N
353274	1200	1997-01-03	VYDAJ	VYBER	1500	38891	\N	\N	\N
353275	1200	1997-01-01	VYDAJ	VYBER	2800	40391	\N	\N	\N
353276	1200	1997-01-04	VYDAJ	VYBER	900	37991	\N	\N	\N
353277	1200	1997-01-18	VYDAJ	VYBER	500	32648	\N	\N	\N
353278	1200	1998-01-22	VYDAJ	VYBER	1600	34857	\N	\N	\N
353279	1200	1998-01-28	VYDAJ	VYBER	600	34257	\N	\N	\N
353280	1200	1998-01-20	VYDAJ	VYBER	900	37557	\N	\N	\N
353281	1200	1998-01-20	VYDAJ	VYBER	1100	36457	\N	\N	\N
353282	1200	1998-01-19	VYDAJ	VYBER	1200	38457	\N	\N	\N
353283	1200	1998-01-15	VYDAJ	VYBER	2200	39657	\N	\N	\N
353286	1200	1993-10-25	VYDAJ	VYBER	3800	61495	\N	\N	\N
353288	1200	1993-12-20	VYDAJ	VYBER	800	64487	\N	\N	\N
353291	1200	1994-12-27	VYDAJ	VYBER	2400	67444	\N	\N	\N
353292	1200	1994-03-20	VYDAJ	VYBER	2500	50557	\N	\N	\N
353293	1200	1994-02-03	VYDAJ	VYBER	1000	35069	\N	\N	\N
353294	1200	1994-02-11	VYDAJ	VYBER	4200	50507	\N	\N	\N
353295	1200	1994-07-28	VYDAJ	VYBER	1900	53144	\N	\N	\N
353296	1200	1994-09-23	VYDAJ	VYBER	1500	56965	\N	\N	\N
353297	1200	1995-02-02	VYDAJ	VYBER	4000	25338	\N	\N	\N
353298	1200	1995-01-14	VYDAJ	VYBER	4400	55344	\N	\N	\N
353299	1200	1995-12-04	VYDAJ	VYBER	500	45574	\N	\N	\N
353300	1200	1996-09-19	VYDAJ	VYBER	4500	36553	\N	\N	\N
353301	1200	1996-05-02	VYDAJ	VYBER	4800	38148	\N	\N	\N
353302	1200	1996-02-01	VYDAJ	VYBER	1900	40623	\N	\N	\N
353303	1200	1996-07-01	VYDAJ	VYBER	2200	39027	\N	\N	\N
353304	1200	1996-06-21	VYDAJ	VYBER	2600	41033	\N	\N	\N
353305	1200	1996-06-04	VYDAJ	VYBER	4900	36785	\N	\N	\N
353308	1200	1998-08-03	VYDAJ	VYBER	4900	22915	\N	\N	\N
353318	1200	1993-09-30	VYDAJ	VYBER	15	69738	SLUZBY	\N	\N
353319	1200	1993-10-31	VYDAJ	VYBER	15	61752	SLUZBY	\N	\N
353320	1200	1993-11-30	VYDAJ	VYBER	15	58639	SLUZBY	\N	\N
353321	1200	1993-12-31	VYDAJ	VYBER	15	64738	SLUZBY	\N	\N
353322	1200	1994-01-31	VYDAJ	VYBER	15	42769	SLUZBY	\N	\N
353323	1200	1994-02-28	VYDAJ	VYBER	15	47000	SLUZBY	\N	\N
353324	1200	1994-03-31	VYDAJ	VYBER	15	50753	SLUZBY	\N	\N
353325	1200	1994-04-30	VYDAJ	VYBER	15	56625	SLUZBY	\N	\N
353326	1200	1994-05-31	VYDAJ	VYBER	15	59711	SLUZBY	\N	\N
353327	1200	1994-06-30	VYDAJ	VYBER	15	56287	SLUZBY	\N	\N
353328	1200	1994-07-31	VYDAJ	VYBER	15	38855	SLUZBY	\N	\N
353329	1200	1994-08-31	VYDAJ	VYBER	15	42508	SLUZBY	\N	\N
353330	1200	1994-09-30	VYDAJ	VYBER	15	42174	SLUZBY	\N	\N
353331	1200	1994-10-31	VYDAJ	VYBER	15	40538	SLUZBY	\N	\N
353332	1200	1994-11-30	VYDAJ	VYBER	15	43696	SLUZBY	\N	\N
353333	1200	1994-12-31	VYDAJ	VYBER	15	47287	SLUZBY	\N	\N
353334	1200	1995-01-31	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
353335	1200	1995-02-28	VYDAJ	VYBER	15	35737	SLUZBY	\N	\N
353336	1200	1995-03-31	VYDAJ	VYBER	15	38174	SLUZBY	\N	\N
353337	1200	1995-04-30	VYDAJ	VYBER	15	43821	SLUZBY	\N	\N
353338	1200	1995-05-31	VYDAJ	VYBER	15	44688	SLUZBY	\N	\N
353339	1200	1995-06-30	VYDAJ	VYBER	15	38651	SLUZBY	\N	\N
353340	1200	1995-07-31	VYDAJ	VYBER	15	41696	SLUZBY	\N	\N
353341	1200	1995-08-31	VYDAJ	VYBER	15	45852	SLUZBY	\N	\N
353342	1200	1995-09-30	VYDAJ	VYBER	15	48023	SLUZBY	\N	\N
353343	1200	1995-10-31	VYDAJ	VYBER	15	48300	SLUZBY	\N	\N
353344	1200	1995-11-30	VYDAJ	VYBER	15	46074	SLUZBY	\N	\N
353345	1200	1995-12-31	VYDAJ	VYBER	15	50560	SLUZBY	\N	\N
353346	1200	1996-01-31	VYDAJ	VYBER	15	42523	SLUZBY	\N	\N
353347	1200	1996-02-29	VYDAJ	VYBER	15	39964	SLUZBY	\N	\N
353348	1200	1996-03-31	VYDAJ	VYBER	15	41204	SLUZBY	\N	\N
353349	1200	1996-04-30	VYDAJ	VYBER	15	42948	SLUZBY	\N	\N
353350	1200	1996-05-31	VYDAJ	VYBER	15	41685	SLUZBY	\N	\N
353351	1200	1996-06-30	VYDAJ	VYBER	15	41227	SLUZBY	\N	\N
353352	1200	1996-07-31	VYDAJ	VYBER	15	41061	SLUZBY	\N	\N
353353	1200	1996-08-31	VYDAJ	VYBER	15	40896	SLUZBY	\N	\N
353354	1200	1996-09-30	VYDAJ	VYBER	15	36723	SLUZBY	\N	\N
353355	1200	1996-10-31	VYDAJ	VYBER	15	37039	SLUZBY	\N	\N
353356	1200	1996-11-30	VYDAJ	VYBER	15	38356	SLUZBY	\N	\N
353357	1200	1996-12-31	VYDAJ	VYBER	15	43191	SLUZBY	\N	\N
353358	1200	1997-01-31	VYDAJ	VYBER	15	27690	SLUZBY	\N	\N
353359	1200	1997-02-28	VYDAJ	VYBER	15	32672	SLUZBY	\N	\N
353360	1200	1997-03-31	VYDAJ	VYBER	15	34271	SLUZBY	\N	\N
353361	1200	1997-04-30	VYDAJ	VYBER	15	37879	SLUZBY	\N	\N
353362	1200	1997-05-31	VYDAJ	VYBER	15	40198	SLUZBY	\N	\N
353363	1200	1997-06-30	VYDAJ	VYBER	15	44428	SLUZBY	\N	\N
353364	1200	1997-07-31	VYDAJ	VYBER	15	42163	SLUZBY	\N	\N
353365	1200	1997-08-31	VYDAJ	VYBER	15	41990	SLUZBY	\N	\N
353366	1200	1997-09-30	VYDAJ	VYBER	15	43719	SLUZBY	\N	\N
353367	1200	1997-10-31	VYDAJ	VYBER	15	43249	SLUZBY	\N	\N
353368	1200	1997-11-30	VYDAJ	VYBER	15	41272	SLUZBY	\N	\N
353369	1200	1997-12-31	VYDAJ	VYBER	15	45000	SLUZBY	\N	\N
353370	1200	1998-01-31	VYDAJ	VYBER	15	34409	SLUZBY	\N	\N
353371	1200	1998-02-28	VYDAJ	VYBER	15	35498	SLUZBY	\N	\N
353372	1200	1998-03-31	VYDAJ	VYBER	15	37900	SLUZBY	\N	\N
353373	1200	1998-04-30	VYDAJ	VYBER	15	35496	SLUZBY	\N	\N
353374	1200	1998-05-31	VYDAJ	VYBER	15	34485	SLUZBY	\N	\N
353375	1200	1998-06-30	VYDAJ	VYBER	15	28956	SLUZBY	\N	\N
353376	1200	1998-07-31	VYDAJ	VYBER	15	27815	SLUZBY	\N	\N
353377	1200	1998-08-31	VYDAJ	VYBER	15	17135	SLUZBY	\N	\N
353378	1200	1998-09-30	VYDAJ	VYBER	15	16742	SLUZBY	\N	\N
353379	1200	1998-10-31	VYDAJ	VYBER	15	16053	SLUZBY	\N	\N
353380	1200	1998-11-30	VYDAJ	VYBER	15	32108	SLUZBY	\N	\N
353381	1200	1993-06-06	VYDAJ	VYBER	1300	22457	\N	\N	\N
353382	1200	1993-07-06	VYDAJ	VYBER	14600	43136	\N	\N	\N
353383	1200	1993-08-05	VYDAJ	VYBER	18700	48086	\N	\N	\N
353384	1200	1993-09-04	VYDAJ	VYBER	22000	49760	\N	\N	\N
353385	1200	1993-10-04	VYDAJ	VYBER	20400	49338	\N	\N	\N
353386	1200	1993-11-03	VYDAJ	VYBER	19300	42452	\N	\N	\N
353387	1200	1993-12-03	VYDAJ	VYBER	18200	40439	\N	\N	\N
353388	1200	1994-01-02	VYDAJ	VYBER	20100	44638	\N	\N	\N
353389	1200	1994-02-01	VYDAJ	VYBER	6700	36069	\N	\N	\N
353390	1200	1994-03-03	VYDAJ	VYBER	9900	37100	\N	\N	\N
353391	1200	1994-04-02	VYDAJ	VYBER	10300	40453	\N	\N	\N
353392	1200	1994-05-02	VYDAJ	VYBER	13100	43525	\N	\N	\N
353393	1200	1994-06-01	VYDAJ	VYBER	17200	42511	\N	\N	\N
353394	1200	1994-07-01	VYDAJ	VYBER	17200	39087	\N	\N	\N
353395	1200	1994-07-31	VYDAJ	VYBER	14500	38870	\N	\N	\N
353396	1200	1994-08-30	VYDAJ	VYBER	12500	42312	\N	\N	\N
353397	1200	1994-09-29	VYDAJ	VYBER	15000	41965	\N	\N	\N
353398	1200	1994-10-29	VYDAJ	VYBER	17800	40331	\N	\N	\N
353399	1200	1994-11-28	VYDAJ	VYBER	13000	43495	\N	\N	\N
353400	1200	1994-12-28	VYDAJ	VYBER	20400	47044	\N	\N	\N
353401	1200	1995-01-27	VYDAJ	VYBER	13800	36644	\N	\N	\N
353402	1200	1995-02-26	VYDAJ	VYBER	5700	35595	\N	\N	\N
353403	1200	1995-03-28	VYDAJ	VYBER	13700	37994	\N	\N	\N
353404	1200	1995-04-27	VYDAJ	VYBER	10500	43631	\N	\N	\N
353405	1200	1995-05-27	VYDAJ	VYBER	15300	44478	\N	\N	\N
353406	1200	1995-06-26	VYDAJ	VYBER	8400	38436	\N	\N	\N
353407	1200	1995-07-26	VYDAJ	VYBER	13100	41508	\N	\N	\N
353408	1200	1995-08-25	VYDAJ	VYBER	12000	45653	\N	\N	\N
353409	1200	1995-09-24	VYDAJ	VYBER	14000	47809	\N	\N	\N
353410	1200	1995-10-24	VYDAJ	VYBER	15900	48080	\N	\N	\N
353411	1200	1995-11-23	VYDAJ	VYBER	18400	45857	\N	\N	\N
353412	1200	1995-12-23	VYDAJ	VYBER	21500	51722	\N	\N	\N
353413	1200	1996-01-22	VYDAJ	VYBER	10200	43917	\N	\N	\N
353414	1200	1996-02-21	VYDAJ	VYBER	16800	39780	\N	\N	\N
353415	1200	1996-03-22	VYDAJ	VYBER	14900	41021	\N	\N	\N
353416	1200	1996-04-21	VYDAJ	VYBER	14400	42761	\N	\N	\N
353417	1200	1996-05-21	VYDAJ	VYBER	12600	41505	\N	\N	\N
353418	1200	1996-06-20	VYDAJ	VYBER	20800	43633	\N	\N	\N
353419	1200	1996-07-20	VYDAJ	VYBER	14100	40884	\N	\N	\N
353420	1200	1996-08-19	VYDAJ	VYBER	16300	40718	\N	\N	\N
353421	1200	1996-09-18	VYDAJ	VYBER	15800	41053	\N	\N	\N
353422	1200	1996-10-18	VYDAJ	VYBER	15800	36880	\N	\N	\N
353423	1200	1996-11-17	VYDAJ	VYBER	14800	38196	\N	\N	\N
353424	1200	1996-12-17	VYDAJ	VYBER	21600	44404	\N	\N	\N
353425	1200	1997-01-16	VYDAJ	VYBER	18700	33148	\N	\N	\N
353426	1200	1997-02-15	VYDAJ	VYBER	11100	32547	\N	\N	\N
353427	1200	1997-03-17	VYDAJ	VYBER	14500	34129	\N	\N	\N
353428	1200	1997-04-16	VYDAJ	VYBER	12500	37728	\N	\N	\N
353429	1200	1997-05-16	VYDAJ	VYBER	13800	40036	\N	\N	\N
353430	1200	1997-06-15	VYDAJ	VYBER	18900	44246	\N	\N	\N
353431	1200	1997-07-15	VYDAJ	VYBER	18400	41985	\N	\N	\N
353432	1200	1997-08-14	VYDAJ	VYBER	16300	41820	\N	\N	\N
353433	1200	1997-09-13	VYDAJ	VYBER	14400	43547	\N	\N	\N
353434	1200	1997-10-13	VYDAJ	VYBER	16600	43076	\N	\N	\N
353435	1200	1997-11-12	VYDAJ	VYBER	18100	41106	\N	\N	\N
353436	1200	1997-12-12	VYDAJ	VYBER	22600	46320	\N	\N	\N
353437	1200	1998-01-11	VYDAJ	VYBER	16500	42382	\N	\N	\N
353438	1200	1998-02-10	VYDAJ	VYBER	15000	39047	\N	\N	\N
353439	1200	1998-03-12	VYDAJ	VYBER	13700	38280	\N	\N	\N
353440	1200	1998-04-11	VYDAJ	VYBER	18500	39038	\N	\N	\N
353441	1200	1998-05-11	VYDAJ	VYBER	17100	34878	\N	\N	\N
353442	1200	1998-06-10	VYDAJ	VYBER	26300	39514	\N	\N	\N
353443	1200	1998-07-10	VYDAJ	VYBER	17200	31394	\N	\N	\N
353444	1200	1998-08-09	VYDAJ	VYBER	21800	20753	\N	\N	\N
353445	1200	1998-09-08	VYDAJ	VYBER	16400	20373	\N	\N	\N
353446	1200	1998-10-08	VYDAJ	VYBER	16700	19680	\N	\N	\N
353515	1201	1993-07-23	PRIJEM	VKLAD	600	600	\N	\N	\N
353523	1201	1993-08-14	PRIJEM	VKLAD	15080	15680	\N	\N	\N
353524	1201	1993-09-14	PRIJEM	VKLAD	15080	37090	\N	\N	\N
353525	1201	1993-10-14	PRIJEM	VKLAD	15080	43870	\N	\N	\N
353526	1201	1993-11-14	PRIJEM	VKLAD	15080	50279	\N	\N	\N
353527	1201	1993-12-14	PRIJEM	VKLAD	22620	62052	\N	\N	\N
353528	1201	1994-01-14	PRIJEM	VKLAD	15080	42831	\N	\N	\N
353529	1201	1994-02-14	PRIJEM	VKLAD	15080	33650	\N	\N	\N
353530	1201	1994-03-14	PRIJEM	VKLAD	15080	36221	\N	\N	\N
353531	1201	1994-04-14	PRIJEM	VKLAD	15080	35547	\N	\N	\N
353532	1201	1994-05-14	PRIJEM	VKLAD	15080	34071	\N	\N	\N
353533	1201	1994-06-14	PRIJEM	VKLAD	22620	42627	\N	\N	\N
353534	1201	1994-07-14	PRIJEM	VKLAD	15080	40913	\N	\N	\N
353535	1201	1994-08-14	PRIJEM	VKLAD	15080	41712	\N	\N	\N
353536	1201	1994-09-14	PRIJEM	VKLAD	15080	39306	\N	\N	\N
353537	1201	1994-10-14	PRIJEM	VKLAD	15080	41699	\N	\N	\N
353538	1201	1994-11-14	PRIJEM	VKLAD	15080	37510	\N	\N	\N
353539	1201	1994-12-14	PRIJEM	VKLAD	22620	43916	\N	\N	\N
353540	1201	1995-01-14	PRIJEM	VKLAD	15080	37209	\N	\N	\N
353541	1201	1995-02-14	PRIJEM	VKLAD	15080	32236	\N	\N	\N
353542	1201	1995-03-14	PRIJEM	VKLAD	15080	39698	\N	\N	\N
353543	1201	1995-04-14	PRIJEM	VKLAD	15080	36047	\N	\N	\N
353544	1201	1995-05-14	PRIJEM	VKLAD	15080	35702	\N	\N	\N
353545	1201	1995-06-14	PRIJEM	VKLAD	22620	48025	\N	\N	\N
353546	1201	1995-07-14	PRIJEM	VKLAD	15080	52252	\N	\N	\N
353547	1201	1995-08-14	PRIJEM	VKLAD	15080	49375	\N	\N	\N
353548	1201	1995-09-14	PRIJEM	VKLAD	15080	52935	\N	\N	\N
353549	1201	1995-10-14	PRIJEM	VKLAD	15080	55600	\N	\N	\N
353550	1201	1995-11-14	PRIJEM	VKLAD	15080	53878	\N	\N	\N
353551	1201	1995-12-14	PRIJEM	VKLAD	22620	58293	\N	\N	\N
353552	1201	1996-01-14	PRIJEM	VKLAD	15080	39853	\N	\N	\N
353553	1201	1996-02-14	PRIJEM	VKLAD	15080	38987	\N	\N	\N
353554	1201	1996-03-14	PRIJEM	VKLAD	15080	40088	\N	\N	\N
353555	1201	1996-04-14	PRIJEM	VKLAD	15080	46600	\N	\N	\N
353556	1201	1996-05-14	PRIJEM	VKLAD	15080	50032	\N	\N	\N
353557	1201	1996-06-14	PRIJEM	VKLAD	22620	41743	\N	\N	\N
353558	1201	1996-07-14	PRIJEM	VKLAD	15080	38719	\N	\N	\N
353559	1201	1996-08-14	PRIJEM	VKLAD	15080	37710	\N	\N	\N
353560	1201	1996-09-14	PRIJEM	VKLAD	15080	40906	\N	\N	\N
353561	1201	1996-10-14	PRIJEM	VKLAD	15080	37867	\N	\N	\N
353562	1201	1996-11-14	PRIJEM	VKLAD	15080	43764	\N	\N	\N
353563	1201	1996-12-14	PRIJEM	VKLAD	22620	52823	\N	\N	\N
353564	1201	1997-01-14	PRIJEM	VKLAD	15080	45669	\N	\N	\N
353565	1201	1997-02-14	PRIJEM	VKLAD	15080	41250	\N	\N	\N
353566	1201	1997-03-14	PRIJEM	VKLAD	15080	48057	\N	\N	\N
353567	1201	1997-04-14	PRIJEM	VKLAD	15080	47394	\N	\N	\N
353568	1201	1997-05-14	PRIJEM	VKLAD	15080	45566	\N	\N	\N
353569	1201	1997-06-14	PRIJEM	VKLAD	22620	56835	\N	\N	\N
353570	1201	1997-07-14	PRIJEM	VKLAD	15080	53897	\N	\N	\N
353571	1201	1997-08-14	PRIJEM	VKLAD	15080	53667	\N	\N	\N
353572	1201	1997-09-14	PRIJEM	VKLAD	15080	50734	\N	\N	\N
353573	1201	1997-10-14	PRIJEM	VKLAD	15080	49950	\N	\N	\N
353574	1201	1997-11-14	PRIJEM	VKLAD	15080	55595	\N	\N	\N
353575	1201	1997-12-14	PRIJEM	VKLAD	22620	62762	\N	\N	\N
353576	1201	1998-01-14	PRIJEM	VKLAD	15080	45860	\N	\N	\N
353577	1201	1998-02-14	PRIJEM	VKLAD	15080	50999	\N	\N	\N
353578	1201	1998-03-14	PRIJEM	VKLAD	15080	55346	\N	\N	\N
353579	1201	1998-04-14	PRIJEM	VKLAD	15080	57132	\N	\N	\N
353580	1201	1998-05-14	PRIJEM	VKLAD	15080	57906	\N	\N	\N
353581	1201	1998-06-14	PRIJEM	VKLAD	22620	50861	\N	\N	\N
353582	1201	1998-07-14	PRIJEM	VKLAD	15080	53105	\N	\N	\N
353583	1201	1998-08-14	PRIJEM	VKLAD	15080	54120	\N	\N	\N
353584	1201	1998-09-14	PRIJEM	VKLAD	15080	58445	\N	\N	\N
353585	1201	1998-10-14	PRIJEM	VKLAD	15080	66525	\N	\N	\N
353586	1201	1998-11-14	PRIJEM	VKLAD	15080	71579	\N	\N	\N
353587	1201	1998-12-14	PRIJEM	VKLAD	22620	79028	\N	\N	\N
353600	1201	1994-01-08	VYDAJ	PREVOD NA UCET	5873	32947	SIPO	CD	73948222
353601	1201	1994-02-08	VYDAJ	PREVOD NA UCET	5873	20406	SIPO	CD	73948222
353602	1201	1994-03-08	VYDAJ	PREVOD NA UCET	5873	22977	SIPO	CD	73948222
353603	1201	1994-04-08	VYDAJ	PREVOD NA UCET	5873	22303	SIPO	CD	73948222
353604	1201	1994-05-08	VYDAJ	PREVOD NA UCET	5873	20827	SIPO	CD	73948222
353605	1201	1994-06-08	VYDAJ	PREVOD NA UCET	5873	22803	SIPO	CD	73948222
353606	1201	1994-07-08	VYDAJ	PREVOD NA UCET	5873	27669	SIPO	CD	73948222
353607	1201	1994-08-08	VYDAJ	PREVOD NA UCET	5873	28468	SIPO	CD	73948222
353608	1201	1994-09-08	VYDAJ	PREVOD NA UCET	5873	26062	SIPO	CD	73948222
353609	1201	1994-10-08	VYDAJ	PREVOD NA UCET	5873	28455	SIPO	CD	73948222
353610	1201	1994-11-08	VYDAJ	PREVOD NA UCET	5873	24266	SIPO	CD	73948222
353611	1201	1994-12-08	VYDAJ	PREVOD NA UCET	5873	27052	SIPO	CD	73948222
353612	1201	1995-01-08	VYDAJ	PREVOD NA UCET	5873	25525	SIPO	CD	73948222
353613	1201	1995-02-08	VYDAJ	PREVOD NA UCET	5873	12992	SIPO	CD	73948222
353614	1201	1995-03-08	VYDAJ	PREVOD NA UCET	5873	26454	SIPO	CD	73948222
353615	1201	1995-04-08	VYDAJ	PREVOD NA UCET	5873	22803	SIPO	CD	73948222
353616	1201	1995-05-08	VYDAJ	PREVOD NA UCET	5873	22458	SIPO	CD	73948222
353617	1201	1995-06-08	VYDAJ	PREVOD NA UCET	5873	27741	SIPO	CD	73948222
353618	1201	1995-07-08	VYDAJ	PREVOD NA UCET	5873	42308	SIPO	CD	73948222
353619	1201	1995-08-08	VYDAJ	PREVOD NA UCET	5873	45731	SIPO	CD	73948222
353620	1201	1995-09-08	VYDAJ	PREVOD NA UCET	5873	43691	SIPO	CD	73948222
353621	1201	1995-10-08	VYDAJ	PREVOD NA UCET	5873	47256	SIPO	CD	73948222
353622	1201	1995-11-08	VYDAJ	PREVOD NA UCET	5873	49934	SIPO	CD	73948222
353623	1201	1995-12-08	VYDAJ	PREVOD NA UCET	5873	48209	SIPO	CD	73948222
353624	1201	1996-01-08	VYDAJ	PREVOD NA UCET	5873	33989	SIPO	CD	73948222
353625	1201	1996-02-08	VYDAJ	PREVOD NA UCET	5873	25743	SIPO	CD	73948222
353626	1201	1996-03-08	VYDAJ	PREVOD NA UCET	5873	33244	SIPO	CD	73948222
353627	1201	1996-04-08	VYDAJ	PREVOD NA UCET	5873	34356	SIPO	CD	73948222
353628	1201	1996-05-08	VYDAJ	PREVOD NA UCET	5873	40888	SIPO	CD	73948222
353629	1201	1996-06-08	VYDAJ	PREVOD NA UCET	5873	20959	SIPO	CD	73948222
353630	1201	1996-07-08	VYDAJ	PREVOD NA UCET	5873	30515	SIPO	CD	73948222
353631	1201	1996-08-08	VYDAJ	PREVOD NA UCET	5873	28786	SIPO	CD	73948222
353632	1201	1996-09-08	VYDAJ	PREVOD NA UCET	5873	27662	SIPO	CD	73948222
353633	1201	1996-10-08	VYDAJ	PREVOD NA UCET	5873	24623	SIPO	CD	73948222
353634	1201	1996-11-08	VYDAJ	PREVOD NA UCET	5873	30520	SIPO	CD	73948222
353635	1201	1996-12-08	VYDAJ	PREVOD NA UCET	5873	32039	SIPO	CD	73948222
353636	1201	1997-01-08	VYDAJ	PREVOD NA UCET	5873	34585	SIPO	CD	73948222
353637	1201	1997-02-08	VYDAJ	PREVOD NA UCET	5873	28006	SIPO	CD	73948222
353638	1201	1997-03-08	VYDAJ	PREVOD NA UCET	5873	34813	SIPO	CD	73948222
353639	1201	1997-04-08	VYDAJ	PREVOD NA UCET	5873	34150	SIPO	CD	73948222
353640	1201	1997-05-08	VYDAJ	PREVOD NA UCET	5873	32322	SIPO	CD	73948222
353641	1201	1997-06-08	VYDAJ	PREVOD NA UCET	5873	36051	SIPO	CD	73948222
353642	1201	1997-07-08	VYDAJ	PREVOD NA UCET	5873	40653	SIPO	CD	73948222
353643	1201	1997-08-08	VYDAJ	PREVOD NA UCET	5873	40423	SIPO	CD	73948222
353644	1201	1997-09-08	VYDAJ	PREVOD NA UCET	5873	37490	SIPO	CD	73948222
353645	1201	1997-10-08	VYDAJ	PREVOD NA UCET	5873	36706	SIPO	CD	73948222
353646	1201	1997-11-08	VYDAJ	PREVOD NA UCET	5873	42351	SIPO	CD	73948222
353647	1201	1997-12-08	VYDAJ	PREVOD NA UCET	5873	43418	SIPO	CD	73948222
353648	1201	1998-01-08	VYDAJ	PREVOD NA UCET	5873	41416	SIPO	CD	73948222
353649	1201	1998-02-08	VYDAJ	PREVOD NA UCET	5873	37755	SIPO	CD	73948222
353650	1201	1998-03-08	VYDAJ	PREVOD NA UCET	5873	42102	SIPO	CD	73948222
353651	1201	1998-04-08	VYDAJ	PREVOD NA UCET	5873	46768	SIPO	CD	73948222
353652	1201	1998-05-08	VYDAJ	PREVOD NA UCET	5873	44662	SIPO	CD	73948222
353653	1201	1998-06-08	VYDAJ	PREVOD NA UCET	5873	30077	SIPO	CD	73948222
353654	1201	1998-07-08	VYDAJ	PREVOD NA UCET	5873	39861	SIPO	CD	73948222
353655	1201	1998-08-08	VYDAJ	PREVOD NA UCET	5873	42916	SIPO	CD	73948222
353656	1201	1998-09-08	VYDAJ	PREVOD NA UCET	5873	45201	SIPO	CD	73948222
353657	1201	1998-10-08	VYDAJ	PREVOD NA UCET	5873	53281	SIPO	CD	73948222
353658	1201	1998-11-08	VYDAJ	PREVOD NA UCET	5873	58335	SIPO	CD	73948222
353659	1201	1998-12-08	VYDAJ	PREVOD NA UCET	5873	60964	SIPO	CD	73948222
353672	1201	1994-01-11	VYDAJ	PREVOD NA UCET	1836	31111	 	OP	53580081
353673	1201	1994-02-11	VYDAJ	PREVOD NA UCET	1836	18570	 	OP	53580081
353674	1201	1994-03-11	VYDAJ	PREVOD NA UCET	1836	21141	 	OP	53580081
353675	1201	1994-04-11	VYDAJ	PREVOD NA UCET	1836	20467	 	OP	53580081
353676	1201	1994-05-11	VYDAJ	PREVOD NA UCET	1836	18991	 	OP	53580081
353677	1201	1994-06-11	VYDAJ	PREVOD NA UCET	1836	20007	 	OP	53580081
353678	1201	1994-07-11	VYDAJ	PREVOD NA UCET	1836	25833	 	OP	53580081
353679	1201	1994-08-11	VYDAJ	PREVOD NA UCET	1836	26632	 	OP	53580081
353680	1201	1994-09-11	VYDAJ	PREVOD NA UCET	1836	24226	 	OP	53580081
353681	1201	1994-10-11	VYDAJ	PREVOD NA UCET	1836	26619	 	OP	53580081
353682	1201	1994-11-11	VYDAJ	PREVOD NA UCET	1836	22430	 	OP	53580081
353683	1201	1994-12-11	VYDAJ	PREVOD NA UCET	1836	25216	 	OP	53580081
353684	1201	1995-01-11	VYDAJ	PREVOD NA UCET	1836	23689	 	OP	53580081
353685	1201	1995-02-11	VYDAJ	PREVOD NA UCET	1836	11156	 	OP	53580081
353686	1201	1995-03-11	VYDAJ	PREVOD NA UCET	1836	24618	 	OP	53580081
353687	1201	1995-04-11	VYDAJ	PREVOD NA UCET	1836	20967	 	OP	53580081
353688	1201	1995-05-11	VYDAJ	PREVOD NA UCET	1836	20622	 	OP	53580081
353689	1201	1995-06-11	VYDAJ	PREVOD NA UCET	1836	25905	 	OP	53580081
353690	1201	1995-07-11	VYDAJ	PREVOD NA UCET	1836	40472	 	OP	53580081
353691	1201	1995-08-11	VYDAJ	PREVOD NA UCET	1836	43895	 	OP	53580081
353692	1201	1995-09-11	VYDAJ	PREVOD NA UCET	1836	37855	 	OP	53580081
353693	1201	1995-10-11	VYDAJ	PREVOD NA UCET	1836	40520	 	OP	53580081
353694	1201	1995-11-11	VYDAJ	PREVOD NA UCET	1836	38798	 	OP	53580081
353695	1201	1995-12-11	VYDAJ	PREVOD NA UCET	1836	35673	 	OP	53580081
353696	1201	1996-01-11	VYDAJ	PREVOD NA UCET	1836	24773	 	OP	53580081
353697	1201	1996-02-11	VYDAJ	PREVOD NA UCET	1836	23907	 	OP	53580081
353698	1201	1996-03-11	VYDAJ	PREVOD NA UCET	1836	25008	 	OP	53580081
353699	1201	1996-04-11	VYDAJ	PREVOD NA UCET	1836	31520	 	OP	53580081
353700	1201	1996-05-11	VYDAJ	PREVOD NA UCET	1836	34952	 	OP	53580081
353701	1201	1996-06-11	VYDAJ	PREVOD NA UCET	1836	19123	 	OP	53580081
353702	1201	1996-07-11	VYDAJ	PREVOD NA UCET	1836	28679	 	OP	53580081
353703	1201	1996-08-11	VYDAJ	PREVOD NA UCET	1836	26950	 	OP	53580081
353704	1201	1996-09-11	VYDAJ	PREVOD NA UCET	1836	25826	 	OP	53580081
353705	1201	1996-10-11	VYDAJ	PREVOD NA UCET	1836	22787	 	OP	53580081
353706	1201	1996-11-11	VYDAJ	PREVOD NA UCET	1836	28684	 	OP	53580081
353707	1201	1996-12-11	VYDAJ	PREVOD NA UCET	1836	30203	 	OP	53580081
353708	1201	1997-01-11	VYDAJ	PREVOD NA UCET	1836	32749	 	OP	53580081
353709	1201	1997-02-11	VYDAJ	PREVOD NA UCET	1836	26170	 	OP	53580081
353710	1201	1997-03-11	VYDAJ	PREVOD NA UCET	1836	32977	 	OP	53580081
353711	1201	1997-04-11	VYDAJ	PREVOD NA UCET	1836	32314	 	OP	53580081
353712	1201	1997-05-11	VYDAJ	PREVOD NA UCET	1836	30486	 	OP	53580081
353713	1201	1997-06-11	VYDAJ	PREVOD NA UCET	1836	34215	 	OP	53580081
353714	1201	1997-07-11	VYDAJ	PREVOD NA UCET	1836	38817	 	OP	53580081
353715	1201	1997-08-11	VYDAJ	PREVOD NA UCET	1836	38587	 	OP	53580081
353716	1201	1997-09-11	VYDAJ	PREVOD NA UCET	1836	35654	 	OP	53580081
353717	1201	1997-10-11	VYDAJ	PREVOD NA UCET	1836	34870	 	OP	53580081
353718	1201	1997-11-11	VYDAJ	PREVOD NA UCET	1836	40515	 	OP	53580081
353719	1201	1997-12-11	VYDAJ	PREVOD NA UCET	1836	41582	 	OP	53580081
353720	1201	1998-01-11	VYDAJ	PREVOD NA UCET	1836	39580	 	OP	53580081
353721	1201	1998-02-11	VYDAJ	PREVOD NA UCET	1836	35919	 	OP	53580081
353722	1201	1998-03-11	VYDAJ	PREVOD NA UCET	1836	40266	 	OP	53580081
353723	1201	1998-04-11	VYDAJ	PREVOD NA UCET	1836	42052	 	OP	53580081
353724	1201	1998-05-11	VYDAJ	PREVOD NA UCET	1836	42826	 	OP	53580081
353725	1201	1998-06-11	VYDAJ	PREVOD NA UCET	1836	28241	 	OP	53580081
353726	1201	1998-07-11	VYDAJ	PREVOD NA UCET	1836	38025	 	OP	53580081
353727	1201	1998-08-11	VYDAJ	PREVOD NA UCET	1836	41080	 	OP	53580081
353728	1201	1998-09-11	VYDAJ	PREVOD NA UCET	1836	43365	 	OP	53580081
353729	1201	1998-10-11	VYDAJ	PREVOD NA UCET	1836	51445	 	OP	53580081
353730	1201	1998-11-11	VYDAJ	PREVOD NA UCET	1836	56499	 	OP	53580081
353731	1201	1998-12-11	VYDAJ	PREVOD NA UCET	1836	56408	 	OP	53580081
353735	1201	1996-06-04	VYDAJ	VYBER	21280	28932	\N	\N	\N
353737	1201	1998-06-04	VYDAJ	VYBER	16160	35950	\N	\N	\N
353739	1201	1994-01-11	VYDAJ	VYBER	3360	27751	\N	\N	\N
353740	1201	1995-01-23	VYDAJ	VYBER	6880	21769	\N	\N	\N
353741	1201	1996-01-05	VYDAJ	VYBER	15520	41062	\N	\N	\N
353742	1201	1997-01-27	VYDAJ	VYBER	3840	34029	\N	\N	\N
353743	1201	1998-01-13	VYDAJ	VYBER	5440	32220	\N	\N	\N
353744	1201	1993-12-14	VYDAJ	VYBER	3520	58532	\N	\N	\N
353745	1201	1994-12-13	VYDAJ	VYBER	1280	21296	\N	\N	\N
353746	1201	1995-12-19	VYDAJ	VYBER	960	57333	\N	\N	\N
353747	1201	1996-12-21	VYDAJ	VYBER	2400	50423	\N	\N	\N
353748	1201	1997-12-13	VYDAJ	VYBER	1440	40142	\N	\N	\N
353749	1201	1998-12-09	VYDAJ	VYBER	2720	58244	\N	\N	\N
353756	1201	1994-01-25	VYDAJ	VYBER	1080	29031	\N	\N	\N
353757	1201	1994-01-15	VYDAJ	VYBER	1320	41511	\N	\N	\N
353758	1201	1994-01-30	VYDAJ	VYBER	2880	26151	\N	\N	\N
353759	1201	1994-01-22	VYDAJ	VYBER	960	30111	\N	\N	\N
353760	1201	1994-01-01	VYDAJ	VYBER	2400	38820	\N	\N	\N
353761	1201	1994-01-21	VYDAJ	VYBER	2640	31071	\N	\N	\N
353762	1201	1995-01-12	VYDAJ	VYBER	1560	22129	\N	\N	\N
353763	1201	1995-01-28	VYDAJ	VYBER	1320	20449	\N	\N	\N
353764	1201	1995-01-01	VYDAJ	VYBER	2640	31398	\N	\N	\N
353765	1201	1995-01-29	VYDAJ	VYBER	1680	18769	\N	\N	\N
353766	1201	1995-01-14	VYDAJ	VYBER	600	30209	\N	\N	\N
353767	1201	1995-01-15	VYDAJ	VYBER	1560	28649	\N	\N	\N
353768	1201	1996-01-20	VYDAJ	VYBER	1560	36493	\N	\N	\N
353769	1201	1996-01-17	VYDAJ	VYBER	1800	38053	\N	\N	\N
353770	1201	1996-01-23	VYDAJ	VYBER	1920	34573	\N	\N	\N
353771	1201	1996-01-07	VYDAJ	VYBER	1200	39862	\N	\N	\N
353772	1201	1996-01-09	VYDAJ	VYBER	2280	31709	\N	\N	\N
353773	1201	1996-01-01	VYDAJ	VYBER	960	56582	\N	\N	\N
353774	1201	1997-01-18	VYDAJ	VYBER	2640	40509	\N	\N	\N
353775	1201	1997-01-12	VYDAJ	VYBER	1440	31309	\N	\N	\N
353776	1201	1997-01-12	VYDAJ	VYBER	720	30589	\N	\N	\N
353777	1201	1997-01-16	VYDAJ	VYBER	2520	43149	\N	\N	\N
353778	1201	1997-01-22	VYDAJ	VYBER	2640	37869	\N	\N	\N
353779	1201	1997-01-07	VYDAJ	VYBER	840	40458	\N	\N	\N
353780	1201	1998-01-01	VYDAJ	VYBER	2400	50049	\N	\N	\N
353781	1201	1998-01-13	VYDAJ	VYBER	1440	30780	\N	\N	\N
353782	1201	1998-01-19	VYDAJ	VYBER	2880	42980	\N	\N	\N
353783	1201	1998-01-12	VYDAJ	VYBER	1920	37660	\N	\N	\N
353784	1201	1998-01-08	VYDAJ	VYBER	2760	47289	\N	\N	\N
353785	1201	1998-01-25	VYDAJ	VYBER	1320	38060	\N	\N	\N
353787	1201	1993-12-22	VYDAJ	VYBER	2880	41052	\N	\N	\N
353791	1201	1994-04-01	VYDAJ	VYBER	4560	28176	\N	\N	\N
353792	1201	1994-06-08	VYDAJ	VYBER	960	21843	\N	\N	\N
353793	1201	1994-10-29	VYDAJ	VYBER	1680	30019	\N	\N	\N
353794	1201	1994-01-16	VYDAJ	VYBER	1200	40311	\N	\N	\N
353795	1201	1994-05-06	VYDAJ	VYBER	5760	26700	\N	\N	\N
353796	1201	1994-12-12	VYDAJ	VYBER	2640	22576	\N	\N	\N
353797	1201	1995-03-27	VYDAJ	VYBER	5040	28558	\N	\N	\N
353798	1201	1995-07-30	VYDAJ	VYBER	840	51412	\N	\N	\N
353799	1201	1995-04-22	VYDAJ	VYBER	3720	28227	\N	\N	\N
353800	1201	1996-08-13	VYDAJ	VYBER	4320	22630	\N	\N	\N
353801	1201	1996-09-24	VYDAJ	VYBER	5160	35746	\N	\N	\N
353802	1201	1996-07-13	VYDAJ	VYBER	3480	25199	\N	\N	\N
353803	1201	1996-08-20	VYDAJ	VYBER	5400	32310	\N	\N	\N
353804	1201	1996-10-02	VYDAJ	VYBER	3480	32396	\N	\N	\N
353805	1201	1996-07-13	VYDAJ	VYBER	1560	23639	\N	\N	\N
353806	1201	1997-09-17	VYDAJ	VYBER	3240	47494	\N	\N	\N
353807	1201	1997-04-19	VYDAJ	VYBER	5160	42234	\N	\N	\N
353808	1201	1997-12-21	VYDAJ	VYBER	5520	57242	\N	\N	\N
353809	1201	1998-11-08	VYDAJ	VYBER	3360	64208	\N	\N	\N
353810	1201	1998-01-23	VYDAJ	VYBER	3600	39380	\N	\N	\N
353811	1201	1998-08-12	VYDAJ	VYBER	2040	39040	\N	\N	\N
353812	1201	1998-04-10	VYDAJ	VYBER	2880	43888	\N	\N	\N
353813	1201	1998-09-02	VYDAJ	VYBER	3240	51074	\N	\N	\N
353826	1201	1993-12-31	VYDAJ	VYBER	15	41220	SLUZBY	\N	\N
353827	1201	1994-01-31	VYDAJ	VYBER	15	26279	SLUZBY	\N	\N
353828	1201	1994-02-28	VYDAJ	VYBER	15	28850	SLUZBY	\N	\N
353829	1201	1994-03-31	VYDAJ	VYBER	15	32736	SLUZBY	\N	\N
353830	1201	1994-04-30	VYDAJ	VYBER	15	32460	SLUZBY	\N	\N
353831	1201	1994-05-31	VYDAJ	VYBER	15	28676	SLUZBY	\N	\N
353832	1201	1994-06-30	VYDAJ	VYBER	15	33542	SLUZBY	\N	\N
353833	1201	1994-07-31	VYDAJ	VYBER	15	34341	SLUZBY	\N	\N
353834	1201	1994-08-31	VYDAJ	VYBER	15	31935	SLUZBY	\N	\N
353835	1201	1994-09-30	VYDAJ	VYBER	15	34328	SLUZBY	\N	\N
353836	1201	1994-10-31	VYDAJ	VYBER	15	30139	SLUZBY	\N	\N
353837	1201	1994-11-30	VYDAJ	VYBER	15	32925	SLUZBY	\N	\N
353838	1201	1994-12-31	VYDAJ	VYBER	15	34038	SLUZBY	\N	\N
353839	1201	1995-01-31	VYDAJ	VYBER	15	18865	SLUZBY	\N	\N
353840	1201	1995-02-28	VYDAJ	VYBER	15	32327	SLUZBY	\N	\N
353841	1201	1995-03-31	VYDAJ	VYBER	15	28676	SLUZBY	\N	\N
353842	1201	1995-04-30	VYDAJ	VYBER	15	28331	SLUZBY	\N	\N
353843	1201	1995-05-31	VYDAJ	VYBER	15	33614	SLUZBY	\N	\N
353844	1201	1995-06-30	VYDAJ	VYBER	15	48181	SLUZBY	\N	\N
353845	1201	1995-07-31	VYDAJ	VYBER	15	51604	SLUZBY	\N	\N
353846	1201	1995-08-31	VYDAJ	VYBER	15	49564	SLUZBY	\N	\N
353847	1201	1995-09-30	VYDAJ	VYBER	15	53129	SLUZBY	\N	\N
353848	1201	1995-10-31	VYDAJ	VYBER	15	55807	SLUZBY	\N	\N
353849	1201	1995-11-30	VYDAJ	VYBER	15	54082	SLUZBY	\N	\N
353850	1201	1995-12-31	VYDAJ	VYBER	15	57542	SLUZBY	\N	\N
353851	1201	1996-01-31	VYDAJ	VYBER	15	34716	SLUZBY	\N	\N
353852	1201	1996-02-29	VYDAJ	VYBER	15	39117	SLUZBY	\N	\N
353853	1201	1996-03-31	VYDAJ	VYBER	15	40229	SLUZBY	\N	\N
353854	1201	1996-04-30	VYDAJ	VYBER	15	46761	SLUZBY	\N	\N
353855	1201	1996-05-31	VYDAJ	VYBER	15	50212	SLUZBY	\N	\N
353856	1201	1996-06-30	VYDAJ	VYBER	15	41888	SLUZBY	\N	\N
353857	1201	1996-07-31	VYDAJ	VYBER	15	38859	SLUZBY	\N	\N
353858	1201	1996-08-31	VYDAJ	VYBER	15	32435	SLUZBY	\N	\N
353859	1201	1996-09-30	VYDAJ	VYBER	15	35876	SLUZBY	\N	\N
353860	1201	1996-10-31	VYDAJ	VYBER	15	37993	SLUZBY	\N	\N
353861	1201	1996-11-30	VYDAJ	VYBER	15	43912	SLUZBY	\N	\N
353862	1201	1996-12-31	VYDAJ	VYBER	15	50598	SLUZBY	\N	\N
353863	1201	1997-01-31	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
353864	1201	1997-02-28	VYDAJ	VYBER	15	41386	SLUZBY	\N	\N
353865	1201	1997-03-31	VYDAJ	VYBER	15	48223	SLUZBY	\N	\N
353866	1201	1997-04-30	VYDAJ	VYBER	15	42395	SLUZBY	\N	\N
353867	1201	1997-05-31	VYDAJ	VYBER	15	45724	SLUZBY	\N	\N
353868	1201	1997-06-30	VYDAJ	VYBER	15	57026	SLUZBY	\N	\N
353869	1201	1997-07-31	VYDAJ	VYBER	15	54096	SLUZBY	\N	\N
353870	1201	1997-08-31	VYDAJ	VYBER	15	53863	SLUZBY	\N	\N
353871	1201	1997-09-30	VYDAJ	VYBER	15	42579	SLUZBY	\N	\N
353872	1201	1997-10-31	VYDAJ	VYBER	15	48224	SLUZBY	\N	\N
353873	1201	1997-11-30	VYDAJ	VYBER	15	49291	SLUZBY	\N	\N
353874	1201	1997-12-31	VYDAJ	VYBER	15	52449	SLUZBY	\N	\N
353875	1201	1998-01-31	VYDAJ	VYBER	15	43628	SLUZBY	\N	\N
353876	1201	1998-02-28	VYDAJ	VYBER	15	47975	SLUZBY	\N	\N
353877	1201	1998-03-31	VYDAJ	VYBER	15	52641	SLUZBY	\N	\N
353878	1201	1998-04-30	VYDAJ	VYBER	15	50535	SLUZBY	\N	\N
353879	1201	1998-05-31	VYDAJ	VYBER	15	52110	SLUZBY	\N	\N
353880	1201	1998-06-30	VYDAJ	VYBER	15	45734	SLUZBY	\N	\N
353881	1201	1998-07-31	VYDAJ	VYBER	15	48789	SLUZBY	\N	\N
353882	1201	1998-08-31	VYDAJ	VYBER	15	54314	SLUZBY	\N	\N
353883	1201	1998-09-30	VYDAJ	VYBER	15	59154	SLUZBY	\N	\N
353884	1201	1998-10-31	VYDAJ	VYBER	15	67568	SLUZBY	\N	\N
353885	1201	1998-11-30	VYDAJ	VYBER	15	66837	SLUZBY	\N	\N
353886	1201	1993-08-22	PRIJEM	VKLAD	6300	21980	\N	\N	\N
353887	1201	1993-09-21	VYDAJ	VYBER	8400	28690	\N	\N	\N
353888	1201	1993-10-21	VYDAJ	VYBER	8800	35070	\N	\N	\N
353889	1201	1993-11-20	VYDAJ	VYBER	11000	39279	\N	\N	\N
353890	1201	1993-12-20	VYDAJ	VYBER	14600	43932	\N	\N	\N
353891	1201	1994-01-19	VYDAJ	VYBER	6600	33711	\N	\N	\N
353892	1201	1994-02-18	VYDAJ	VYBER	4900	28750	\N	\N	\N
353893	1201	1994-03-20	VYDAJ	VYBER	3600	32621	\N	\N	\N
353894	1201	1994-04-19	VYDAJ	VYBER	3200	32347	\N	\N	\N
353895	1201	1994-05-19	VYDAJ	VYBER	5500	28571	\N	\N	\N
353896	1201	1994-06-18	VYDAJ	VYBER	9200	33427	\N	\N	\N
353897	1201	1994-07-18	VYDAJ	VYBER	6700	34213	\N	\N	\N
353898	1201	1994-08-17	VYDAJ	VYBER	9900	31812	\N	\N	\N
353899	1201	1994-09-16	VYDAJ	VYBER	5100	34206	\N	\N	\N
353900	1201	1994-10-16	VYDAJ	VYBER	10000	31699	\N	\N	\N
353901	1201	1994-11-15	VYDAJ	VYBER	4700	32810	\N	\N	\N
353902	1201	1994-12-15	VYDAJ	VYBER	10000	33916	\N	\N	\N
353903	1201	1995-01-14	VYDAJ	VYBER	6400	30809	\N	\N	\N
353904	1201	1995-02-13	PRIJEM	VKLAD	6000	17156	\N	\N	\N
353905	1201	1995-03-15	VYDAJ	VYBER	6100	33598	\N	\N	\N
353906	1201	1995-04-14	VYDAJ	VYBER	4100	31947	\N	\N	\N
353907	1201	1995-05-14	VYDAJ	VYBER	2200	33502	\N	\N	\N
353908	1201	1995-06-13	VYDAJ	VYBER	500	25405	\N	\N	\N
353909	1201	1995-07-13	VYDAJ	VYBER	3300	37172	\N	\N	\N
353910	1201	1995-08-12	VYDAJ	VYBER	9600	34295	\N	\N	\N
353911	1201	1995-09-11	VYDAJ	VYBER	4000	39691	\N	\N	\N
353912	1201	1995-10-11	VYDAJ	VYBER	4900	42356	\N	\N	\N
353913	1201	1995-11-10	VYDAJ	VYBER	9300	40634	\N	\N	\N
353914	1201	1995-12-10	VYDAJ	VYBER	10700	37509	\N	\N	\N
353915	1201	1996-01-09	VYDAJ	VYBER	5100	26609	\N	\N	\N
353916	1201	1996-02-08	VYDAJ	VYBER	3100	31616	\N	\N	\N
353917	1201	1996-03-09	VYDAJ	VYBER	6400	26844	\N	\N	\N
353918	1201	1996-04-08	VYDAJ	VYBER	1000	33356	\N	\N	\N
353919	1201	1996-05-08	VYDAJ	VYBER	4100	36788	\N	\N	\N
353920	1201	1996-06-07	VYDAJ	VYBER	2100	26832	\N	\N	\N
353921	1201	1996-07-07	VYDAJ	VYBER	5500	36388	\N	\N	\N
353922	1201	1996-08-06	VYDAJ	VYBER	4200	34659	\N	\N	\N
353923	1201	1996-09-05	PRIJEM	VKLAD	1100	33535	\N	\N	\N
353924	1201	1996-10-05	VYDAJ	VYBER	1900	30496	\N	\N	\N
353925	1201	1996-11-04	VYDAJ	VYBER	1600	36393	\N	\N	\N
353926	1201	1996-12-04	VYDAJ	VYBER	6000	37912	\N	\N	\N
353927	1201	1997-01-03	VYDAJ	VYBER	9300	41298	\N	\N	\N
353928	1201	1997-02-02	VYDAJ	VYBER	300	33879	\N	\N	\N
353929	1201	1997-03-04	VYDAJ	VYBER	700	40686	\N	\N	\N
353930	1201	1997-04-03	VYDAJ	VYBER	8200	40023	\N	\N	\N
353931	1201	1997-05-03	VYDAJ	VYBER	4200	38195	\N	\N	\N
353932	1201	1997-06-02	VYDAJ	VYBER	3800	41924	\N	\N	\N
353933	1201	1997-07-02	VYDAJ	VYBER	10500	46526	\N	\N	\N
353934	1201	1997-08-01	VYDAJ	VYBER	7800	46296	\N	\N	\N
353935	1201	1997-08-31	VYDAJ	VYBER	10500	43363	\N	\N	\N
353936	1201	1997-09-30	VYDAJ	VYBER	5100	42594	\N	\N	\N
353937	1201	1997-10-30	VYDAJ	VYBER	1900	48050	\N	\N	\N
353938	1201	1997-11-29	VYDAJ	VYBER	6500	49095	\N	\N	\N
353939	1201	1997-12-29	VYDAJ	VYBER	5000	52242	\N	\N	\N
353940	1201	1998-01-28	PRIJEM	VKLAD	5400	43460	\N	\N	\N
353941	1201	1998-02-27	VYDAJ	VYBER	3200	47799	\N	\N	\N
353942	1201	1998-03-29	VYDAJ	VYBER	2900	52446	\N	\N	\N
353943	1201	1998-04-28	VYDAJ	VYBER	6800	50332	\N	\N	\N
353944	1201	1998-05-28	VYDAJ	VYBER	6000	51906	\N	\N	\N
353945	1201	1998-06-27	VYDAJ	VYBER	5300	45561	\N	\N	\N
353946	1201	1998-07-27	VYDAJ	VYBER	4500	48605	\N	\N	\N
353947	1201	1998-09-25	PRIJEM	VKLAD	500	58945	\N	\N	\N
353948	1201	1998-10-25	PRIJEM	VKLAD	800	67325	\N	\N	\N
353949	1201	1998-11-24	VYDAJ	VYBER	5000	66579	\N	\N	\N
354693	1203	1995-08-09	PRIJEM	VKLAD	1000	1000	\N	\N	\N
354701	1203	1995-08-11	PRIJEM	VKLAD	20623	21623	\N	\N	\N
354702	1203	1995-09-11	PRIJEM	VKLAD	20623	41307	\N	\N	\N
354703	1203	1995-10-11	PRIJEM	VKLAD	20623	50575	\N	\N	\N
354704	1203	1995-11-11	PRIJEM	VKLAD	20623	56296	\N	\N	\N
354705	1203	1995-12-11	PRIJEM	VKLAD	30934	70457	\N	\N	\N
354706	1203	1996-01-11	PRIJEM	VKLAD	20623	59276	\N	\N	\N
354707	1203	1996-02-11	PRIJEM	VKLAD	20623	48129	\N	\N	\N
354708	1203	1996-03-11	PRIJEM	VKLAD	20623	48858	\N	\N	\N
354709	1203	1996-04-11	PRIJEM	VKLAD	20623	49997	\N	\N	\N
354710	1203	1996-05-11	PRIJEM	VKLAD	20623	51237	\N	\N	\N
354711	1203	1996-06-11	PRIJEM	VKLAD	30934	52389	\N	\N	\N
354712	1203	1996-07-11	PRIJEM	VKLAD	20623	55725	\N	\N	\N
354713	1203	1996-08-11	PRIJEM	VKLAD	20623	57489	\N	\N	\N
354714	1203	1996-09-11	PRIJEM	VKLAD	20623	63263	\N	\N	\N
354715	1203	1996-10-11	PRIJEM	VKLAD	20623	67658	\N	\N	\N
354716	1203	1996-11-11	PRIJEM	VKLAD	20623	70172	\N	\N	\N
354717	1203	1996-12-11	PRIJEM	VKLAD	30934	83209	\N	\N	\N
354718	1203	1997-01-11	PRIJEM	VKLAD	20623	75073	\N	\N	\N
354719	1203	1997-02-11	PRIJEM	VKLAD	20623	68398	\N	\N	\N
354720	1203	1997-03-11	PRIJEM	VKLAD	20623	68104	\N	\N	\N
354721	1203	1997-04-11	PRIJEM	VKLAD	20623	69324	\N	\N	\N
354722	1203	1997-05-11	PRIJEM	VKLAD	20623	72547	\N	\N	\N
354723	1203	1997-06-11	PRIJEM	VKLAD	30934	84779	\N	\N	\N
354724	1203	1997-07-11	PRIJEM	VKLAD	20623	67208	\N	\N	\N
354725	1203	1997-08-11	PRIJEM	VKLAD	20623	64206	\N	\N	\N
354726	1203	1997-09-11	PRIJEM	VKLAD	20623	78001	\N	\N	\N
354727	1203	1997-10-11	PRIJEM	VKLAD	20623	80539	\N	\N	\N
354728	1203	1997-11-11	PRIJEM	VKLAD	20623	79786	\N	\N	\N
354729	1203	1997-12-11	PRIJEM	VKLAD	30934	91639	\N	\N	\N
354730	1203	1998-01-11	PRIJEM	VKLAD	20623	84711	\N	\N	\N
354731	1203	1998-02-11	PRIJEM	VKLAD	20623	78857	\N	\N	\N
354732	1203	1998-03-11	PRIJEM	VKLAD	20623	76395	\N	\N	\N
354733	1203	1998-04-11	PRIJEM	VKLAD	20623	83229	\N	\N	\N
354734	1203	1998-05-11	PRIJEM	VKLAD	20623	92690	\N	\N	\N
354735	1203	1998-06-11	PRIJEM	VKLAD	30934	99686	\N	\N	\N
354736	1203	1998-07-11	PRIJEM	VKLAD	20623	86855	\N	\N	\N
354737	1203	1998-08-11	PRIJEM	VKLAD	20623	91925	\N	\N	\N
354738	1203	1998-09-11	PRIJEM	VKLAD	20623	95713	\N	\N	\N
354739	1203	1998-10-11	PRIJEM	VKLAD	20623	93908	\N	\N	\N
354740	1203	1998-11-11	PRIJEM	VKLAD	20623	95699	\N	\N	\N
354741	1203	1998-12-11	PRIJEM	VKLAD	30934	110912	\N	\N	\N
354753	1203	1995-12-13	VYDAJ	PREVOD NA UCET	465	69992	SIPO	EF	84286474
354754	1203	1996-01-13	VYDAJ	PREVOD NA UCET	465	58811	SIPO	EF	84286474
354755	1203	1996-02-13	VYDAJ	PREVOD NA UCET	465	47664	SIPO	EF	84286474
354756	1203	1996-03-13	VYDAJ	PREVOD NA UCET	465	48393	SIPO	EF	84286474
354757	1203	1996-04-13	VYDAJ	PREVOD NA UCET	465	49532	SIPO	EF	84286474
354758	1203	1996-05-13	VYDAJ	PREVOD NA UCET	465	50772	SIPO	EF	84286474
354759	1203	1996-06-13	VYDAJ	PREVOD NA UCET	465	51924	SIPO	EF	84286474
354760	1203	1996-07-13	VYDAJ	PREVOD NA UCET	465	55260	SIPO	EF	84286474
354761	1203	1996-08-13	VYDAJ	PREVOD NA UCET	465	57024	SIPO	EF	84286474
354762	1203	1996-09-13	VYDAJ	PREVOD NA UCET	465	62798	SIPO	EF	84286474
354763	1203	1996-10-13	VYDAJ	PREVOD NA UCET	465	67193	SIPO	EF	84286474
354764	1203	1996-11-13	VYDAJ	PREVOD NA UCET	465	69707	SIPO	EF	84286474
354765	1203	1996-12-13	VYDAJ	PREVOD NA UCET	465	82744	SIPO	EF	84286474
354766	1203	1997-01-13	VYDAJ	PREVOD NA UCET	465	72608	SIPO	EF	84286474
354767	1203	1997-02-13	VYDAJ	PREVOD NA UCET	465	67933	SIPO	EF	84286474
354768	1203	1997-03-13	VYDAJ	PREVOD NA UCET	465	67639	SIPO	EF	84286474
354769	1203	1997-04-13	VYDAJ	PREVOD NA UCET	465	68859	SIPO	EF	84286474
354770	1203	1997-05-13	VYDAJ	PREVOD NA UCET	465	72082	SIPO	EF	84286474
354771	1203	1997-06-13	VYDAJ	PREVOD NA UCET	465	84314	SIPO	EF	84286474
354772	1203	1997-07-13	VYDAJ	PREVOD NA UCET	465	66743	SIPO	EF	84286474
354773	1203	1997-08-13	VYDAJ	PREVOD NA UCET	465	63741	SIPO	EF	84286474
354774	1203	1997-09-13	VYDAJ	PREVOD NA UCET	465	77536	SIPO	EF	84286474
354775	1203	1997-10-13	VYDAJ	PREVOD NA UCET	465	80074	SIPO	EF	84286474
354776	1203	1997-11-13	VYDAJ	PREVOD NA UCET	465	79321	SIPO	EF	84286474
354777	1203	1997-12-13	VYDAJ	PREVOD NA UCET	465	91174	SIPO	EF	84286474
354778	1203	1998-01-13	VYDAJ	PREVOD NA UCET	465	83146	SIPO	EF	84286474
354779	1203	1998-02-13	VYDAJ	PREVOD NA UCET	465	78392	SIPO	EF	84286474
354780	1203	1998-03-13	VYDAJ	PREVOD NA UCET	465	72930	SIPO	EF	84286474
354781	1203	1998-04-13	VYDAJ	PREVOD NA UCET	465	82764	SIPO	EF	84286474
354782	1203	1998-05-13	VYDAJ	PREVOD NA UCET	465	88125	SIPO	EF	84286474
354783	1203	1998-06-13	VYDAJ	PREVOD NA UCET	465	99221	SIPO	EF	84286474
354784	1203	1998-07-13	VYDAJ	PREVOD NA UCET	465	86390	SIPO	EF	84286474
354785	1203	1998-08-13	VYDAJ	PREVOD NA UCET	465	91460	SIPO	EF	84286474
354786	1203	1998-09-13	VYDAJ	PREVOD NA UCET	465	95248	SIPO	EF	84286474
354787	1203	1998-10-13	VYDAJ	PREVOD NA UCET	465	93443	SIPO	EF	84286474
354788	1203	1998-11-13	VYDAJ	PREVOD NA UCET	465	95234	SIPO	EF	84286474
354789	1203	1998-12-13	VYDAJ	PREVOD NA UCET	465	91247	SIPO	EF	84286474
354802	1203	1996-01-10	VYDAJ	PREVOD NA UCET	3232	38653	 	UV	74031829
354803	1203	1996-02-10	VYDAJ	PREVOD NA UCET	3232	27506	 	UV	74031829
354804	1203	1996-03-10	VYDAJ	PREVOD NA UCET	3232	28235	 	UV	74031829
354805	1203	1996-04-10	VYDAJ	PREVOD NA UCET	3232	29374	 	UV	74031829
354806	1203	1996-05-10	VYDAJ	PREVOD NA UCET	3232	30614	 	UV	74031829
354807	1203	1996-06-10	VYDAJ	PREVOD NA UCET	3232	21455	 	UV	74031829
354808	1203	1996-07-10	VYDAJ	PREVOD NA UCET	3232	35102	 	UV	74031829
354809	1203	1996-08-10	VYDAJ	PREVOD NA UCET	3232	36866	 	UV	74031829
354810	1203	1996-09-10	VYDAJ	PREVOD NA UCET	3232	42640	 	UV	74031829
354811	1203	1996-10-10	VYDAJ	PREVOD NA UCET	3232	47035	 	UV	74031829
354812	1203	1996-11-10	VYDAJ	PREVOD NA UCET	3232	49549	 	UV	74031829
354813	1203	1996-12-10	VYDAJ	PREVOD NA UCET	3232	52275	 	UV	74031829
354814	1203	1997-01-10	VYDAJ	PREVOD NA UCET	3232	54450	 	UV	74031829
354815	1203	1997-02-10	VYDAJ	PREVOD NA UCET	3232	47775	 	UV	74031829
354816	1203	1997-03-10	VYDAJ	PREVOD NA UCET	3232	47481	 	UV	74031829
354817	1203	1997-04-10	VYDAJ	PREVOD NA UCET	3232	48701	 	UV	74031829
354818	1203	1997-05-10	VYDAJ	PREVOD NA UCET	3232	51924	 	UV	74031829
354819	1203	1997-06-10	VYDAJ	PREVOD NA UCET	3232	53845	 	UV	74031829
354820	1203	1997-07-10	VYDAJ	PREVOD NA UCET	3232	46585	 	UV	74031829
354821	1203	1997-08-10	VYDAJ	PREVOD NA UCET	3232	43583	 	UV	74031829
354822	1203	1997-09-10	VYDAJ	PREVOD NA UCET	3232	57378	 	UV	74031829
354823	1203	1997-10-10	VYDAJ	PREVOD NA UCET	3232	59916	 	UV	74031829
354824	1203	1997-11-10	VYDAJ	PREVOD NA UCET	3232	59163	 	UV	74031829
354825	1203	1997-12-10	VYDAJ	PREVOD NA UCET	3232	60705	 	UV	74031829
354826	1203	1998-01-10	VYDAJ	PREVOD NA UCET	3232	64088	 	UV	74031829
354827	1203	1998-02-10	VYDAJ	PREVOD NA UCET	3232	58234	 	UV	74031829
354828	1203	1998-03-10	VYDAJ	PREVOD NA UCET	3232	55772	 	UV	74031829
354829	1203	1998-04-10	VYDAJ	PREVOD NA UCET	3232	62606	 	UV	74031829
354830	1203	1998-05-10	VYDAJ	PREVOD NA UCET	3232	72067	 	UV	74031829
354831	1203	1998-06-10	VYDAJ	PREVOD NA UCET	3232	68752	 	UV	74031829
354832	1203	1998-07-10	VYDAJ	PREVOD NA UCET	3232	66232	 	UV	74031829
354833	1203	1998-08-10	VYDAJ	PREVOD NA UCET	3232	71302	 	UV	74031829
354834	1203	1998-09-10	VYDAJ	PREVOD NA UCET	3232	75090	 	UV	74031829
354835	1203	1998-10-10	VYDAJ	PREVOD NA UCET	3232	73285	 	UV	74031829
354836	1203	1998-11-10	VYDAJ	PREVOD NA UCET	3232	75076	 	UV	74031829
354837	1203	1998-12-10	VYDAJ	PREVOD NA UCET	3232	79978	 	UV	74031829
354850	1203	1996-01-08	VYDAJ	PREVOD NA UCET	118	41885	POJISTNE	AB	89206337
354851	1203	1996-02-08	VYDAJ	PREVOD NA UCET	118	30738	POJISTNE	AB	89206337
354852	1203	1996-03-08	VYDAJ	PREVOD NA UCET	118	31467	POJISTNE	AB	89206337
354853	1203	1996-04-08	VYDAJ	PREVOD NA UCET	118	32606	POJISTNE	AB	89206337
354854	1203	1996-05-08	VYDAJ	PREVOD NA UCET	118	33846	POJISTNE	AB	89206337
354855	1203	1996-06-08	VYDAJ	PREVOD NA UCET	118	24687	POJISTNE	AB	89206337
354856	1203	1996-07-08	VYDAJ	PREVOD NA UCET	118	38334	POJISTNE	AB	89206337
354857	1203	1996-08-08	VYDAJ	PREVOD NA UCET	118	40098	POJISTNE	AB	89206337
354858	1203	1996-09-08	VYDAJ	PREVOD NA UCET	118	45872	POJISTNE	AB	89206337
354859	1203	1996-10-08	VYDAJ	PREVOD NA UCET	118	50267	POJISTNE	AB	89206337
354860	1203	1996-11-08	VYDAJ	PREVOD NA UCET	118	52781	POJISTNE	AB	89206337
354861	1203	1996-12-08	VYDAJ	PREVOD NA UCET	118	55507	POJISTNE	AB	89206337
354862	1203	1997-01-08	VYDAJ	PREVOD NA UCET	118	58382	POJISTNE	AB	89206337
354863	1203	1997-02-08	VYDAJ	PREVOD NA UCET	118	51007	POJISTNE	AB	89206337
354864	1203	1997-03-08	VYDAJ	PREVOD NA UCET	118	50713	POJISTNE	AB	89206337
354865	1203	1997-04-08	VYDAJ	PREVOD NA UCET	118	51933	POJISTNE	AB	89206337
354866	1203	1997-05-08	VYDAJ	PREVOD NA UCET	118	55156	POJISTNE	AB	89206337
354867	1203	1997-06-08	VYDAJ	PREVOD NA UCET	118	57077	POJISTNE	AB	89206337
354868	1203	1997-07-08	VYDAJ	PREVOD NA UCET	118	49817	POJISTNE	AB	89206337
354869	1203	1997-08-08	VYDAJ	PREVOD NA UCET	118	46815	POJISTNE	AB	89206337
354870	1203	1997-09-08	VYDAJ	PREVOD NA UCET	118	60610	POJISTNE	AB	89206337
354871	1203	1997-10-08	VYDAJ	PREVOD NA UCET	118	64048	POJISTNE	AB	89206337
354872	1203	1997-11-08	VYDAJ	PREVOD NA UCET	118	62395	POJISTNE	AB	89206337
354873	1203	1997-12-08	VYDAJ	PREVOD NA UCET	118	63937	POJISTNE	AB	89206337
354874	1203	1998-01-08	VYDAJ	PREVOD NA UCET	118	67320	POJISTNE	AB	89206337
354875	1203	1998-02-08	VYDAJ	PREVOD NA UCET	118	61466	POJISTNE	AB	89206337
354876	1203	1998-03-08	VYDAJ	PREVOD NA UCET	118	65904	POJISTNE	AB	89206337
354877	1203	1998-04-08	VYDAJ	PREVOD NA UCET	118	65838	POJISTNE	AB	89206337
354878	1203	1998-05-08	VYDAJ	PREVOD NA UCET	118	75299	POJISTNE	AB	89206337
354879	1203	1998-06-08	VYDAJ	PREVOD NA UCET	118	71984	POJISTNE	AB	89206337
354880	1203	1998-07-08	VYDAJ	PREVOD NA UCET	118	69464	POJISTNE	AB	89206337
354881	1203	1998-08-08	VYDAJ	PREVOD NA UCET	118	74534	POJISTNE	AB	89206337
354882	1203	1998-09-08	VYDAJ	PREVOD NA UCET	118	78322	POJISTNE	AB	89206337
354883	1203	1998-10-08	VYDAJ	PREVOD NA UCET	118	76517	POJISTNE	AB	89206337
354884	1203	1998-11-08	VYDAJ	PREVOD NA UCET	118	78308	POJISTNE	AB	89206337
354885	1203	1998-12-08	VYDAJ	PREVOD NA UCET	118	83210	POJISTNE	AB	89206337
354898	1203	1996-01-07	VYDAJ	PREVOD NA UCET	346	42003	 	EF	31680542
354899	1203	1996-02-07	VYDAJ	PREVOD NA UCET	346	30856	 	EF	31680542
354900	1203	1996-03-07	VYDAJ	PREVOD NA UCET	346	31585	 	EF	31680542
354901	1203	1996-04-07	VYDAJ	PREVOD NA UCET	346	32724	 	EF	31680542
354902	1203	1996-05-07	VYDAJ	PREVOD NA UCET	346	33964	 	EF	31680542
354903	1203	1996-06-07	VYDAJ	PREVOD NA UCET	346	24805	 	EF	31680542
354904	1203	1996-07-07	VYDAJ	PREVOD NA UCET	346	38452	 	EF	31680542
354905	1203	1996-08-07	VYDAJ	PREVOD NA UCET	346	40216	 	EF	31680542
354906	1203	1996-09-07	VYDAJ	PREVOD NA UCET	346	45990	 	EF	31680542
354907	1203	1996-10-07	VYDAJ	PREVOD NA UCET	346	50385	 	EF	31680542
354908	1203	1996-11-07	VYDAJ	PREVOD NA UCET	346	52899	 	EF	31680542
354909	1203	1996-12-07	VYDAJ	PREVOD NA UCET	346	55625	 	EF	31680542
354910	1203	1997-01-07	VYDAJ	PREVOD NA UCET	346	58500	 	EF	31680542
354911	1203	1997-02-07	VYDAJ	PREVOD NA UCET	346	51125	 	EF	31680542
354912	1203	1997-03-07	VYDAJ	PREVOD NA UCET	346	50831	 	EF	31680542
354913	1203	1997-04-07	VYDAJ	PREVOD NA UCET	346	52051	 	EF	31680542
354914	1203	1997-05-07	VYDAJ	PREVOD NA UCET	346	55274	 	EF	31680542
354915	1203	1997-06-07	VYDAJ	PREVOD NA UCET	346	57195	 	EF	31680542
354916	1203	1997-07-07	VYDAJ	PREVOD NA UCET	346	49935	 	EF	31680542
354917	1203	1997-08-07	VYDAJ	PREVOD NA UCET	346	46933	 	EF	31680542
354918	1203	1997-09-07	VYDAJ	PREVOD NA UCET	346	60728	 	EF	31680542
354919	1203	1997-10-07	VYDAJ	PREVOD NA UCET	346	64166	 	EF	31680542
354920	1203	1997-11-07	VYDAJ	PREVOD NA UCET	346	62513	 	EF	31680542
354921	1203	1997-12-07	VYDAJ	PREVOD NA UCET	346	64055	 	EF	31680542
354922	1203	1998-01-07	VYDAJ	PREVOD NA UCET	346	67438	 	EF	31680542
354923	1203	1998-02-07	VYDAJ	PREVOD NA UCET	346	61584	 	EF	31680542
354924	1203	1998-03-07	VYDAJ	PREVOD NA UCET	346	66022	 	EF	31680542
354925	1203	1998-04-07	VYDAJ	PREVOD NA UCET	346	65956	 	EF	31680542
354926	1203	1998-05-07	VYDAJ	PREVOD NA UCET	346	75417	 	EF	31680542
354927	1203	1998-06-07	VYDAJ	PREVOD NA UCET	346	72102	 	EF	31680542
354928	1203	1998-07-07	VYDAJ	PREVOD NA UCET	346	69582	 	EF	31680542
354929	1203	1998-08-07	VYDAJ	PREVOD NA UCET	346	74652	 	EF	31680542
354930	1203	1998-09-07	VYDAJ	PREVOD NA UCET	346	78440	 	EF	31680542
354931	1203	1998-10-07	VYDAJ	PREVOD NA UCET	346	76635	 	EF	31680542
354932	1203	1998-11-07	VYDAJ	PREVOD NA UCET	346	78426	 	EF	31680542
354933	1203	1998-12-07	VYDAJ	PREVOD NA UCET	346	83328	 	EF	31680542
354935	1203	1996-06-05	VYDAJ	VYBER	10800	25151	\N	\N	\N
354936	1203	1997-06-24	VYDAJ	VYBER	24700	56214	\N	\N	\N
354937	1203	1998-06-17	VYDAJ	VYBER	27200	72021	\N	\N	\N
354939	1203	1996-01-17	VYDAJ	VYBER	9400	46511	\N	\N	\N
354940	1203	1997-01-11	VYDAJ	VYBER	1300	73773	\N	\N	\N
354941	1203	1998-01-11	VYDAJ	VYBER KARTOU	1100	83611	\N	\N	0
354942	1203	1995-12-15	VYDAJ	VYBER	700	69292	\N	\N	\N
354943	1203	1996-12-27	VYDAJ	VYBER	500	82244	\N	\N	\N
354944	1203	1997-12-24	VYDAJ	VYBER KARTOU	1300	89874	\N	\N	0
354945	1203	1998-12-18	VYDAJ	VYBER KARTOU	800	90447	\N	\N	0
354952	1203	1996-01-19	VYDAJ	VYBER	2100	44411	\N	\N	\N
354953	1203	1996-01-22	VYDAJ	VYBER	500	43911	\N	\N	\N
354954	1203	1996-01-24	VYDAJ	VYBER	2200	41711	\N	\N	\N
354955	1203	1996-01-24	VYDAJ	VYBER	2900	38811	\N	\N	\N
354956	1203	1996-01-17	VYDAJ	VYBER	2900	55911	\N	\N	\N
354957	1203	1996-01-04	VYDAJ	VYBER	2400	67149	\N	\N	\N
354958	1203	1997-01-21	VYDAJ	VYBER	500	72108	\N	\N	\N
354959	1203	1997-01-08	VYDAJ	VYBER	700	57682	\N	\N	\N
354960	1203	1997-01-02	VYDAJ	VYBER	1600	59346	\N	\N	\N
354961	1203	1997-01-12	VYDAJ	VYBER	700	73073	\N	\N	\N
354962	1203	1997-01-24	VYDAJ	VYBER	500	71608	\N	\N	\N
354963	1203	1997-01-06	VYDAJ	VYBER	500	58846	\N	\N	\N
354964	1203	1998-01-22	VYDAJ	VYBER KARTOU	500	78546	\N	\N	0
354965	1203	1998-01-19	VYDAJ	VYBER KARTOU	1600	79046	\N	\N	0
354966	1203	1998-01-22	VYDAJ	VYBER KARTOU	2800	75746	\N	\N	0
354967	1203	1998-01-06	VYDAJ	VYBER KARTOU	1400	67784	\N	\N	0
354968	1203	1998-01-24	VYDAJ	VYBER KARTOU	1600	74146	\N	\N	0
354969	1203	1998-01-14	VYDAJ	VYBER KARTOU	2500	80646	\N	\N	0
354974	1203	1996-04-20	VYDAJ	VYBER	2400	47132	\N	\N	\N
354975	1203	1996-05-18	VYDAJ	VYBER	2500	48272	\N	\N	\N
354976	1203	1996-06-03	VYDAJ	VYBER	3800	44651	\N	\N	\N
354977	1203	1996-06-18	VYDAJ	VYBER	1100	50824	\N	\N	\N
354978	1203	1997-06-20	VYDAJ	VYBER	3400	80914	\N	\N	\N
354979	1203	1997-10-08	VYDAJ	VYBER KARTOU	900	63148	\N	\N	0
354980	1203	1997-08-03	VYDAJ	VYBER	4500	51679	\N	\N	\N
354981	1203	1997-02-01	VYDAJ	VYBER	1400	51471	\N	\N	\N
354982	1203	1997-08-07	VYDAJ	VYBER	4400	47279	\N	\N	\N
354983	1203	1998-06-04	VYDAJ	VYBER KARTOU	4100	72448	\N	\N	0
354984	1203	1998-03-12	VYDAJ	VYBER KARTOU	1700	74695	\N	\N	0
354985	1203	1998-05-11	VYDAJ	VYBER KARTOU	4100	88590	\N	\N	0
354986	1203	1998-03-09	VYDAJ	VYBER KARTOU	2800	59004	\N	\N	0
354987	1203	1998-03-08	VYDAJ	VYBER KARTOU	4100	61804	\N	\N	0
354988	1203	1998-03-12	VYDAJ	VYBER KARTOU	1300	73395	\N	\N	0
355001	1203	1995-12-31	VYDAJ	VYBER	15	69549	SLUZBY	\N	\N
355002	1203	1996-01-31	VYDAJ	VYBER	15	39002	SLUZBY	\N	\N
355003	1203	1996-02-29	VYDAJ	VYBER	15	47831	SLUZBY	\N	\N
355004	1203	1996-03-31	VYDAJ	VYBER	15	48570	SLUZBY	\N	\N
355005	1203	1996-04-30	VYDAJ	VYBER	15	47310	SLUZBY	\N	\N
355006	1203	1996-05-31	VYDAJ	VYBER	15	48451	SLUZBY	\N	\N
355007	1203	1996-06-30	VYDAJ	VYBER	15	50998	SLUZBY	\N	\N
355008	1203	1996-07-31	VYDAJ	VYBER	15	55462	SLUZBY	\N	\N
355009	1203	1996-08-31	VYDAJ	VYBER	15	57236	SLUZBY	\N	\N
355010	1203	1996-09-30	VYDAJ	VYBER	15	63031	SLUZBY	\N	\N
355011	1203	1996-10-31	VYDAJ	VYBER	15	67445	SLUZBY	\N	\N
355012	1203	1996-11-30	VYDAJ	VYBER	15	69971	SLUZBY	\N	\N
355013	1203	1996-12-31	VYDAJ	VYBER	15	60946	SLUZBY	\N	\N
355014	1203	1997-01-31	VYDAJ	VYBER	15	52871	SLUZBY	\N	\N
355015	1203	1997-02-28	VYDAJ	VYBER	15	68177	SLUZBY	\N	\N
355016	1203	1997-03-31	VYDAJ	VYBER	15	67897	SLUZBY	\N	\N
355017	1203	1997-04-30	VYDAJ	VYBER	15	55620	SLUZBY	\N	\N
355018	1203	1997-05-31	VYDAJ	VYBER	15	57541	SLUZBY	\N	\N
355019	1203	1997-06-30	VYDAJ	VYBER	15	50281	SLUZBY	\N	\N
355020	1203	1997-07-31	VYDAJ	VYBER	15	56179	SLUZBY	\N	\N
355021	1203	1997-08-31	VYDAJ	VYBER	15	61074	SLUZBY	\N	\N
355022	1203	1997-09-30	VYDAJ	VYBER	15	64512	SLUZBY	\N	\N
355023	1203	1997-10-31	VYDAJ	VYBER	15	62859	SLUZBY	\N	\N
355024	1203	1997-11-30	VYDAJ	VYBER	15	64401	SLUZBY	\N	\N
355025	1203	1997-12-31	VYDAJ	VYBER	15	69184	SLUZBY	\N	\N
355026	1203	1998-01-31	VYDAJ	VYBER	15	61930	SLUZBY	\N	\N
355027	1203	1998-02-28	VYDAJ	VYBER	15	66368	SLUZBY	\N	\N
355028	1203	1998-03-31	VYDAJ	VYBER	15	66302	SLUZBY	\N	\N
355029	1203	1998-04-30	VYDAJ	VYBER	15	75763	SLUZBY	\N	\N
355030	1203	1998-05-31	VYDAJ	VYBER	15	76548	SLUZBY	\N	\N
355031	1203	1998-06-30	VYDAJ	VYBER	15	69928	SLUZBY	\N	\N
355032	1203	1998-07-31	VYDAJ	VYBER	15	74998	SLUZBY	\N	\N
355033	1203	1998-08-31	VYDAJ	VYBER	15	78786	SLUZBY	\N	\N
355034	1203	1998-09-30	VYDAJ	VYBER	15	76981	SLUZBY	\N	\N
355035	1203	1998-10-31	VYDAJ	VYBER	15	78772	SLUZBY	\N	\N
355036	1203	1998-11-30	VYDAJ	VYBER	15	83674	SLUZBY	\N	\N
355037	1203	1995-09-08	VYDAJ	VYBER	1000	20684	\N	\N	\N
355038	1203	1995-10-08	VYDAJ	VYBER	11500	29952	\N	\N	\N
355039	1203	1995-11-07	VYDAJ	VYBER	15100	35673	\N	\N	\N
355040	1203	1995-12-07	VYDAJ	VYBER	17000	39523	\N	\N	\N
355041	1203	1996-01-06	VYDAJ	VYBER	24800	42349	\N	\N	\N
355042	1203	1996-02-05	VYDAJ	VYBER	7800	31202	\N	\N	\N
355043	1203	1996-03-06	VYDAJ	VYBER	15900	31931	\N	\N	\N
355044	1203	1996-04-05	VYDAJ	VYBER	15500	33070	\N	\N	\N
355045	1203	1996-05-05	VYDAJ	VYBER	13000	34310	\N	\N	\N
355046	1203	1996-06-04	VYDAJ	VYBER	8700	35951	\N	\N	\N
355047	1203	1996-07-04	VYDAJ	VYBER	12200	38798	\N	\N	\N
355048	1203	1996-08-03	VYDAJ	VYBER	14900	40562	\N	\N	\N
355049	1203	1996-09-02	VYDAJ	VYBER	10900	46336	\N	\N	\N
355050	1203	1996-10-02	VYDAJ	VYBER	12300	50731	\N	\N	\N
355051	1203	1996-11-01	VYDAJ	VYBER	14200	53245	\N	\N	\N
355052	1203	1996-12-01	VYDAJ	VYBER	14000	55971	\N	\N	\N
355053	1203	1996-12-31	VYDAJ	VYBER	21600	60960	\N	\N	\N
355054	1203	1997-01-30	VYDAJ	VYBER	19000	52608	\N	\N	\N
355055	1203	1997-03-01	VYDAJ	VYBER	17000	51177	\N	\N	\N
355056	1203	1997-03-31	VYDAJ	VYBER	15500	52397	\N	\N	\N
355057	1203	1997-04-30	VYDAJ	VYBER	13500	55635	\N	\N	\N
355058	1203	1997-05-30	VYDAJ	VYBER	14800	57282	\N	\N	\N
355059	1203	1997-06-29	VYDAJ	VYBER	6200	50014	\N	\N	\N
355060	1203	1997-07-29	VYDAJ	VYBER	10800	55943	\N	\N	\N
355061	1203	1997-08-28	VYDAJ	VYBER KARTOU	2900	60841	\N	\N	0
355062	1203	1997-09-27	VYDAJ	VYBER	13300	64236	\N	\N	\N
355063	1203	1997-10-27	VYDAJ	VYBER	17500	62574	\N	\N	\N
355064	1203	1997-11-26	VYDAJ	VYBER	15200	64121	\N	\N	\N
355065	1203	1997-12-26	VYDAJ	VYBER	21000	68874	\N	\N	\N
355066	1203	1998-01-25	VYDAJ	VYBER	12500	61646	\N	\N	\N
355067	1203	1998-02-24	VYDAJ	VYBER	12300	66092	\N	\N	\N
355068	1203	1998-03-26	VYDAJ	VYBER KARTOU	6900	66030	\N	\N	0
355069	1203	1998-04-25	VYDAJ	VYBER KARTOU	7300	75464	\N	\N	0
355070	1203	1998-05-25	VYDAJ	VYBER	11900	76225	\N	\N	\N
355071	1203	1998-06-24	VYDAJ	VYBER KARTOU	2400	69621	\N	\N	0
355072	1203	1998-07-24	VYDAJ	VYBER	11700	74690	\N	\N	\N
355073	1203	1998-08-23	VYDAJ	VYBER	13000	78460	\N	\N	\N
355074	1203	1998-09-22	VYDAJ	VYBER	18600	76648	\N	\N	\N
355075	1203	1998-10-22	VYDAJ	VYBER	15000	78443	\N	\N	\N
355076	1203	1998-11-21	VYDAJ	VYBER	11900	83334	\N	\N	\N
355077	1203	1998-12-11	VYDAJ	VYBER	19200	91712	\N	\N	\N
355119	1204	1993-12-03	PRIJEM	VKLAD	800	800	\N	\N	\N
355131	1204	1993-12-05	PRIJEM	VKLAD	35427	36227	\N	\N	\N
355132	1204	1994-01-05	PRIJEM	VKLAD	23618	54277	\N	\N	\N
355133	1204	1994-02-05	PRIJEM	VKLAD	23618	61311	\N	\N	\N
355134	1204	1994-03-05	PRIJEM	VKLAD	23618	68880	\N	\N	\N
355135	1204	1994-04-05	PRIJEM	VKLAD	23618	69281	\N	\N	\N
355136	1204	1994-05-05	PRIJEM	VKLAD	23618	67203	\N	\N	\N
355137	1204	1994-06-05	PRIJEM	VKLAD	35427	79927	\N	\N	\N
355138	1204	1994-07-05	PRIJEM	VKLAD	23618	45547	\N	\N	\N
355139	1204	1994-08-05	PRIJEM	VKLAD	23618	55758	\N	\N	\N
355140	1204	1994-09-05	PRIJEM	VKLAD	23618	58107	\N	\N	\N
355141	1204	1994-10-05	PRIJEM	VKLAD	23618	60169	\N	\N	\N
355142	1204	1994-11-05	PRIJEM	VKLAD	23618	55557	\N	\N	\N
355143	1204	1994-12-05	PRIJEM	VKLAD	35427	72913	\N	\N	\N
355144	1204	1995-01-05	PRIJEM	VKLAD	23618	67116	\N	\N	\N
355145	1204	1995-02-05	PRIJEM	VKLAD	23618	60862	\N	\N	\N
355146	1204	1995-03-05	PRIJEM	VKLAD	23618	60927	\N	\N	\N
355147	1204	1995-04-05	PRIJEM	VKLAD	23618	58932	\N	\N	\N
355148	1204	1995-05-05	PRIJEM	VKLAD	23618	57614	\N	\N	\N
355149	1204	1995-06-05	PRIJEM	VKLAD	35427	72174	\N	\N	\N
355150	1204	1995-07-05	PRIJEM	VKLAD	23618	53571	\N	\N	\N
355151	1204	1995-08-05	PRIJEM	VKLAD	23618	57203	\N	\N	\N
355152	1204	1995-09-05	PRIJEM	VKLAD	23618	59648	\N	\N	\N
355153	1204	1995-10-05	PRIJEM	VKLAD	23618	64509	\N	\N	\N
355154	1204	1995-11-05	PRIJEM	VKLAD	23618	63868	\N	\N	\N
355155	1204	1995-12-05	PRIJEM	VKLAD	35427	79548	\N	\N	\N
355156	1204	1996-01-05	PRIJEM	VKLAD	23618	71807	\N	\N	\N
355157	1204	1996-02-05	PRIJEM	VKLAD	23618	64095	\N	\N	\N
355158	1204	1996-03-05	PRIJEM	VKLAD	23618	68470	\N	\N	\N
355159	1204	1996-04-05	PRIJEM	VKLAD	23618	71256	\N	\N	\N
355160	1204	1996-05-05	PRIJEM	VKLAD	23618	71308	\N	\N	\N
355161	1204	1996-06-05	PRIJEM	VKLAD	35427	81370	\N	\N	\N
355162	1204	1996-07-05	PRIJEM	VKLAD	23618	61533	\N	\N	\N
355163	1204	1996-08-05	PRIJEM	VKLAD	23618	71798	\N	\N	\N
355164	1204	1996-09-05	PRIJEM	VKLAD	23618	78799	\N	\N	\N
355165	1204	1996-10-05	PRIJEM	VKLAD	23618	82527	\N	\N	\N
355166	1204	1996-11-05	PRIJEM	VKLAD	23618	77212	\N	\N	\N
355167	1204	1996-12-05	PRIJEM	VKLAD	35427	93537	\N	\N	\N
355168	1204	1997-01-05	PRIJEM	VKLAD	23618	89900	\N	\N	\N
355169	1204	1997-02-05	PRIJEM	VKLAD	23618	83446	\N	\N	\N
355170	1204	1997-03-05	PRIJEM	VKLAD	23618	86075	\N	\N	\N
355171	1204	1997-04-05	PRIJEM	VKLAD	23618	91735	\N	\N	\N
355172	1204	1997-05-05	PRIJEM	VKLAD	23618	94681	\N	\N	\N
355173	1204	1997-06-05	PRIJEM	VKLAD	35427	108871	\N	\N	\N
355174	1204	1997-07-05	PRIJEM	VKLAD	23618	78679	\N	\N	\N
355175	1204	1997-08-05	PRIJEM	VKLAD	23618	84086	\N	\N	\N
355176	1204	1997-09-05	PRIJEM	VKLAD	23618	85380	\N	\N	\N
355177	1204	1997-10-05	PRIJEM	VKLAD	23618	84196	\N	\N	\N
355178	1204	1997-11-05	PRIJEM	VKLAD	23618	93043	\N	\N	\N
355179	1204	1997-12-05	PRIJEM	VKLAD	35427	102845	\N	\N	\N
355180	1204	1998-01-05	PRIJEM	VKLAD	23618	97277	\N	\N	\N
355181	1204	1998-02-05	PRIJEM	VKLAD	23618	91991	\N	\N	\N
355182	1204	1998-03-05	PRIJEM	VKLAD	23618	95653	\N	\N	\N
355183	1204	1998-04-05	PRIJEM	VKLAD	23618	91523	\N	\N	\N
355184	1204	1998-05-05	PRIJEM	VKLAD	23618	90552	\N	\N	\N
355185	1204	1998-06-05	PRIJEM	VKLAD	35427	101708	\N	\N	\N
355186	1204	1998-07-05	PRIJEM	VKLAD	23618	82757	\N	\N	\N
355187	1204	1998-08-05	PRIJEM	VKLAD	23618	89989	\N	\N	\N
355188	1204	1998-09-05	PRIJEM	VKLAD	23618	88625	\N	\N	\N
355189	1204	1998-10-05	PRIJEM	VKLAD	23618	91465	\N	\N	\N
355190	1204	1998-11-05	PRIJEM	VKLAD	23618	94826	\N	\N	\N
355191	1204	1998-12-05	PRIJEM	VKLAD	35427	112206	\N	\N	\N
355207	1204	1994-04-11	VYDAJ	PREVOD NA UCET	2154	62135	SIPO	WX	46599167
355208	1204	1994-05-11	VYDAJ	PREVOD NA UCET	2154	60057	SIPO	WX	46599167
355209	1204	1994-06-11	VYDAJ	PREVOD NA UCET	2154	71821	SIPO	WX	46599167
355210	1204	1994-07-11	VYDAJ	PREVOD NA UCET	2154	38401	SIPO	WX	46599167
355211	1204	1994-08-11	VYDAJ	PREVOD NA UCET	2154	48612	SIPO	WX	46599167
355212	1204	1994-09-11	VYDAJ	PREVOD NA UCET	2154	50961	SIPO	WX	46599167
355213	1204	1994-10-11	VYDAJ	PREVOD NA UCET	2154	53023	SIPO	WX	46599167
355214	1204	1994-11-11	VYDAJ	PREVOD NA UCET	2154	48411	SIPO	WX	46599167
355215	1204	1994-12-11	VYDAJ	PREVOD NA UCET	2154	64967	SIPO	WX	46599167
355216	1204	1995-01-11	VYDAJ	PREVOD NA UCET	2154	59970	SIPO	WX	46599167
355217	1204	1995-02-11	VYDAJ	PREVOD NA UCET	2154	53716	SIPO	WX	46599167
355218	1204	1995-03-11	VYDAJ	PREVOD NA UCET	2154	53781	SIPO	WX	46599167
355219	1204	1995-04-11	VYDAJ	PREVOD NA UCET	2154	51786	SIPO	WX	46599167
355220	1204	1995-05-11	VYDAJ	PREVOD NA UCET	2154	50468	SIPO	WX	46599167
355221	1204	1995-06-11	VYDAJ	PREVOD NA UCET	2154	65028	SIPO	WX	46599167
355222	1204	1995-07-11	VYDAJ	PREVOD NA UCET	2154	46425	SIPO	WX	46599167
355223	1204	1995-08-11	VYDAJ	PREVOD NA UCET	2154	50057	SIPO	WX	46599167
355224	1204	1995-09-11	VYDAJ	PREVOD NA UCET	2154	52502	SIPO	WX	46599167
355225	1204	1995-10-11	VYDAJ	PREVOD NA UCET	2154	52563	SIPO	WX	46599167
355226	1204	1995-11-11	VYDAJ	PREVOD NA UCET	2154	56722	SIPO	WX	46599167
355227	1204	1995-12-11	VYDAJ	PREVOD NA UCET	2154	72402	SIPO	WX	46599167
355228	1204	1996-01-11	VYDAJ	PREVOD NA UCET	2154	64661	SIPO	WX	46599167
355229	1204	1996-02-11	VYDAJ	PREVOD NA UCET	2154	56949	SIPO	WX	46599167
355230	1204	1996-03-11	VYDAJ	PREVOD NA UCET	2154	61324	SIPO	WX	46599167
355231	1204	1996-04-11	VYDAJ	PREVOD NA UCET	2154	64110	SIPO	WX	46599167
355232	1204	1996-05-11	VYDAJ	PREVOD NA UCET	2154	64162	SIPO	WX	46599167
355233	1204	1996-06-11	VYDAJ	PREVOD NA UCET	2154	74224	SIPO	WX	46599167
355234	1204	1996-07-11	VYDAJ	PREVOD NA UCET	2154	54387	SIPO	WX	46599167
355235	1204	1996-08-11	VYDAJ	PREVOD NA UCET	2154	64652	SIPO	WX	46599167
355236	1204	1996-09-11	VYDAJ	PREVOD NA UCET	2154	71653	SIPO	WX	46599167
355237	1204	1996-10-11	VYDAJ	PREVOD NA UCET	2154	75381	SIPO	WX	46599167
355238	1204	1996-11-11	VYDAJ	PREVOD NA UCET	2154	70066	SIPO	WX	46599167
355239	1204	1996-12-11	VYDAJ	PREVOD NA UCET	2154	85111	SIPO	WX	46599167
355240	1204	1997-01-11	VYDAJ	PREVOD NA UCET	2154	82034	SIPO	WX	46599167
355241	1204	1997-02-11	VYDAJ	PREVOD NA UCET	2154	76300	SIPO	WX	46599167
355242	1204	1997-03-11	VYDAJ	PREVOD NA UCET	2154	78929	SIPO	WX	46599167
355243	1204	1997-04-11	VYDAJ	PREVOD NA UCET	2154	80269	SIPO	WX	46599167
355244	1204	1997-05-11	VYDAJ	PREVOD NA UCET	2154	87535	SIPO	WX	46599167
355245	1204	1997-06-11	VYDAJ	PREVOD NA UCET	2154	54525	SIPO	WX	46599167
355246	1204	1997-07-11	VYDAJ	PREVOD NA UCET	2154	71533	SIPO	WX	46599167
355247	1204	1997-08-11	VYDAJ	PREVOD NA UCET	2154	76940	SIPO	WX	46599167
355248	1204	1997-09-11	VYDAJ	PREVOD NA UCET	2154	78234	SIPO	WX	46599167
355249	1204	1997-10-11	VYDAJ	PREVOD NA UCET	2154	77050	SIPO	WX	46599167
355250	1204	1997-11-11	VYDAJ	PREVOD NA UCET	2154	80137	SIPO	WX	46599167
355251	1204	1997-12-11	VYDAJ	PREVOD NA UCET	2154	95699	SIPO	WX	46599167
355252	1204	1998-01-11	VYDAJ	PREVOD NA UCET	2154	75151	SIPO	WX	46599167
355253	1204	1998-02-11	VYDAJ	PREVOD NA UCET	2154	71745	SIPO	WX	46599167
355254	1204	1998-03-11	VYDAJ	PREVOD NA UCET	2154	88507	SIPO	WX	46599167
355255	1204	1998-04-11	VYDAJ	PREVOD NA UCET	2154	69177	SIPO	WX	46599167
355256	1204	1998-05-11	VYDAJ	PREVOD NA UCET	2154	66006	SIPO	WX	46599167
355257	1204	1998-06-11	VYDAJ	PREVOD NA UCET	2154	58882	SIPO	WX	46599167
355258	1204	1998-07-11	VYDAJ	PREVOD NA UCET	2154	66111	SIPO	WX	46599167
355259	1204	1998-08-11	VYDAJ	PREVOD NA UCET	2154	64743	SIPO	WX	46599167
355260	1204	1998-09-11	VYDAJ	PREVOD NA UCET	2154	67579	SIPO	WX	46599167
355261	1204	1998-10-11	VYDAJ	PREVOD NA UCET	2154	73519	SIPO	WX	46599167
355262	1204	1998-11-11	VYDAJ	PREVOD NA UCET	2154	76480	SIPO	WX	46599167
355263	1204	1998-12-11	VYDAJ	PREVOD NA UCET	2154	82460	SIPO	WX	46599167
355279	1204	1994-04-05	VYDAJ	PREVOD NA UCET	4992	64289	 	MN	21313643
355280	1204	1994-05-05	VYDAJ	PREVOD NA UCET	4992	62211	 	MN	21313643
355281	1204	1994-06-05	VYDAJ	PREVOD NA UCET	4992	74935	 	MN	21313643
355282	1204	1994-07-05	VYDAJ	PREVOD NA UCET	4992	40555	 	MN	21313643
355283	1204	1994-08-05	VYDAJ	PREVOD NA UCET	4992	50766	 	MN	21313643
355284	1204	1994-09-05	VYDAJ	PREVOD NA UCET	4992	53115	 	MN	21313643
355285	1204	1994-10-05	VYDAJ	PREVOD NA UCET	4992	55177	 	MN	21313643
355286	1204	1994-11-05	VYDAJ	PREVOD NA UCET	4992	50565	 	MN	21313643
355287	1204	1994-12-05	VYDAJ	PREVOD NA UCET	4992	67921	 	MN	21313643
355288	1204	1995-01-05	VYDAJ	PREVOD NA UCET	4992	62124	 	MN	21313643
355289	1204	1995-02-05	VYDAJ	PREVOD NA UCET	4992	55870	 	MN	21313643
355290	1204	1995-03-05	VYDAJ	PREVOD NA UCET	4992	55935	 	MN	21313643
355291	1204	1995-04-05	VYDAJ	PREVOD NA UCET	4992	53940	 	MN	21313643
355292	1204	1995-05-05	VYDAJ	PREVOD NA UCET	4992	52622	 	MN	21313643
355293	1204	1995-06-05	VYDAJ	PREVOD NA UCET	4992	67182	 	MN	21313643
355294	1204	1995-07-05	VYDAJ	PREVOD NA UCET	4992	48579	 	MN	21313643
355295	1204	1995-08-05	VYDAJ	PREVOD NA UCET	4992	52211	 	MN	21313643
355296	1204	1995-09-05	VYDAJ	PREVOD NA UCET	4992	54656	 	MN	21313643
355297	1204	1995-10-05	VYDAJ	PREVOD NA UCET	4992	59517	 	MN	21313643
355298	1204	1995-11-05	VYDAJ	PREVOD NA UCET	4992	58876	 	MN	21313643
355299	1204	1995-12-05	VYDAJ	PREVOD NA UCET	4992	74556	 	MN	21313643
355300	1204	1996-01-05	VYDAJ	PREVOD NA UCET	4992	66815	 	MN	21313643
355301	1204	1996-02-05	VYDAJ	PREVOD NA UCET	4992	59103	 	MN	21313643
355302	1204	1996-03-05	VYDAJ	PREVOD NA UCET	4992	63478	 	MN	21313643
355303	1204	1996-04-05	VYDAJ	PREVOD NA UCET	4992	66264	 	MN	21313643
355304	1204	1996-05-05	VYDAJ	PREVOD NA UCET	4992	66316	 	MN	21313643
355305	1204	1996-06-05	VYDAJ	PREVOD NA UCET	4992	76378	 	MN	21313643
355306	1204	1996-07-05	VYDAJ	PREVOD NA UCET	4992	56541	 	MN	21313643
355307	1204	1996-08-05	VYDAJ	PREVOD NA UCET	4992	66806	 	MN	21313643
355308	1204	1996-09-05	VYDAJ	PREVOD NA UCET	4992	73807	 	MN	21313643
355309	1204	1996-10-05	VYDAJ	PREVOD NA UCET	4992	77535	 	MN	21313643
355310	1204	1996-11-05	VYDAJ	PREVOD NA UCET	4992	72220	 	MN	21313643
355311	1204	1996-12-05	VYDAJ	PREVOD NA UCET	4992	88545	 	MN	21313643
355312	1204	1997-01-05	VYDAJ	PREVOD NA UCET	4992	84908	 	MN	21313643
355313	1204	1997-02-05	VYDAJ	PREVOD NA UCET	4992	78454	 	MN	21313643
355314	1204	1997-03-05	VYDAJ	PREVOD NA UCET	4992	81083	 	MN	21313643
355315	1204	1997-04-05	VYDAJ	PREVOD NA UCET	4992	86743	 	MN	21313643
355316	1204	1997-05-05	VYDAJ	PREVOD NA UCET	4992	89689	 	MN	21313643
355317	1204	1997-06-05	VYDAJ	PREVOD NA UCET	4992	103879	 	MN	21313643
355318	1204	1997-07-05	VYDAJ	PREVOD NA UCET	4992	73687	 	MN	21313643
355319	1204	1997-08-05	VYDAJ	PREVOD NA UCET	4992	79094	 	MN	21313643
355320	1204	1997-09-05	VYDAJ	PREVOD NA UCET	4992	80388	 	MN	21313643
355321	1204	1997-10-05	VYDAJ	PREVOD NA UCET	4992	79204	 	MN	21313643
355322	1204	1997-11-05	VYDAJ	PREVOD NA UCET	4992	88051	 	MN	21313643
355323	1204	1997-12-05	VYDAJ	PREVOD NA UCET	4992	97853	 	MN	21313643
355324	1204	1998-01-05	VYDAJ	PREVOD NA UCET	4992	92285	 	MN	21313643
355325	1204	1998-02-05	VYDAJ	PREVOD NA UCET	4992	86999	 	MN	21313643
355326	1204	1998-03-05	VYDAJ	PREVOD NA UCET	4992	90661	 	MN	21313643
355327	1204	1998-04-05	VYDAJ	PREVOD NA UCET	4992	86531	 	MN	21313643
355328	1204	1998-05-05	VYDAJ	PREVOD NA UCET	4992	85560	 	MN	21313643
355329	1204	1998-06-05	VYDAJ	PREVOD NA UCET	4992	96716	 	MN	21313643
355330	1204	1998-07-05	VYDAJ	PREVOD NA UCET	4992	77765	 	MN	21313643
355331	1204	1998-08-05	VYDAJ	PREVOD NA UCET	4992	84997	 	MN	21313643
355332	1204	1998-09-05	VYDAJ	PREVOD NA UCET	4992	83633	 	MN	21313643
355333	1204	1998-10-05	VYDAJ	PREVOD NA UCET	4992	86473	 	MN	21313643
355334	1204	1998-11-05	VYDAJ	PREVOD NA UCET	4992	89834	 	MN	21313643
355335	1204	1998-12-05	VYDAJ	PREVOD NA UCET	4992	107214	 	MN	21313643
355337	1204	1994-06-17	VYDAJ	VYBER	45120	26701	\N	\N	\N
355338	1204	1995-06-16	VYDAJ	VYBER	22720	42308	\N	\N	\N
355339	1204	1996-06-21	VYDAJ	VYBER	20640	37684	\N	\N	\N
355340	1204	1997-06-07	VYDAJ	VYBER	47200	56679	\N	\N	\N
355341	1204	1998-06-10	VYDAJ	VYBER	24480	72236	\N	\N	\N
355343	1204	1994-12-09	VYDAJ	VYBER	800	67121	\N	\N	\N
355344	1204	1995-12-21	VYDAJ	VYBER	1280	71122	\N	\N	\N
355345	1204	1996-12-10	VYDAJ	VYBER	1280	87265	\N	\N	\N
355346	1204	1997-12-27	VYDAJ	VYBER	1120	75979	\N	\N	\N
355347	1204	1998-12-06	VYDAJ	VYBER KARTOU	3700	103514	\N	\N	0
355360	1204	1995-01-22	VYDAJ	VYBER	1320	57690	\N	\N	\N
355361	1204	1995-01-28	VYDAJ	VYBER	2400	37870	\N	\N	\N
355362	1204	1995-01-28	VYDAJ	VYBER	840	37030	\N	\N	\N
355363	1204	1995-01-15	VYDAJ	VYBER	960	59010	\N	\N	\N
355364	1204	1995-01-23	VYDAJ	VYBER	1920	55770	\N	\N	\N
355365	1204	1995-01-26	VYDAJ	VYBER	600	55170	\N	\N	\N
355366	1204	1996-01-23	VYDAJ	VYBER	1920	43381	\N	\N	\N
355367	1204	1996-01-13	VYDAJ	VYBER	1440	63221	\N	\N	\N
355368	1204	1996-01-01	VYDAJ	VYBER	3480	48189	\N	\N	\N
355369	1204	1996-01-17	VYDAJ	VYBER	1320	61901	\N	\N	\N
355370	1204	1996-01-29	VYDAJ	VYBER	3120	40261	\N	\N	\N
355371	1204	1996-01-19	VYDAJ	VYBER	1200	60701	\N	\N	\N
355372	1204	1997-01-10	VYDAJ	VYBER	720	84188	\N	\N	\N
355373	1204	1997-01-02	VYDAJ	VYBER	1920	66282	\N	\N	\N
355374	1204	1997-01-15	VYDAJ	VYBER	1800	74474	\N	\N	\N
355375	1204	1997-01-22	VYDAJ	VYBER	2040	61234	\N	\N	\N
355376	1204	1997-01-27	VYDAJ	VYBER	1680	59554	\N	\N	\N
355377	1204	1997-01-18	VYDAJ	VYBER	1800	63274	\N	\N	\N
355378	1204	1998-01-29	VYDAJ	VYBER	840	70951	\N	\N	\N
355379	1204	1998-01-19	VYDAJ	VYBER	2640	72511	\N	\N	\N
355380	1204	1998-01-29	VYDAJ	VYBER	2880	68071	\N	\N	\N
355381	1204	1998-01-27	VYDAJ	VYBER	720	71791	\N	\N	\N
355382	1204	1998-01-09	VYDAJ	VYBER	1080	91205	\N	\N	\N
355383	1204	1998-01-02	VYDAJ	VYBER	2640	73659	\N	\N	\N
355387	1204	1994-06-07	VYDAJ	VYBER	960	73975	\N	\N	\N
355388	1204	1994-10-30	VYDAJ	VYBER	5280	31743	\N	\N	\N
355389	1204	1994-06-18	VYDAJ	VYBER	2160	24541	\N	\N	\N
355391	1204	1995-10-06	VYDAJ	VYBER	4800	54717	\N	\N	\N
355392	1204	1995-04-02	VYDAJ	VYBER	2160	35314	\N	\N	\N
355393	1204	1995-04-28	VYDAJ	VYBER	4680	33806	\N	\N	\N
355394	1204	1995-06-19	VYDAJ	VYBER	840	41468	\N	\N	\N
355395	1204	1996-04-20	VYDAJ	VYBER	5040	59070	\N	\N	\N
355396	1204	1996-05-31	VYDAJ	VYBER	2040	46543	\N	\N	\N
355397	1204	1996-10-23	VYDAJ	VYBER	5640	53341	\N	\N	\N
355398	1204	1996-06-02	VYDAJ	VYBER	600	45943	\N	\N	\N
355399	1204	1997-01-13	VYDAJ	VYBER	5760	76274	\N	\N	\N
355400	1204	1997-11-10	VYDAJ	VYBER	5760	82291	\N	\N	\N
355401	1204	1997-08-21	VYDAJ	VYBER	3840	61500	\N	\N	\N
355402	1204	1997-04-07	VYDAJ	VYBER	4320	82423	\N	\N	\N
355403	1204	1997-03-02	VYDAJ	VYBER	4320	62457	\N	\N	\N
355404	1204	1997-09-25	VYDAJ	VYBER	4920	60314	\N	\N	\N
355405	1204	1997-07-26	VYDAJ	VYBER	2520	60213	\N	\N	\N
355406	1204	1998-04-14	VYDAJ	VYBER	2520	66657	\N	\N	\N
355407	1204	1998-10-26	VYDAJ	VYBER KARTOU	2600	70919	\N	\N	0
355408	1204	1998-05-08	VYDAJ	VYBER	4800	80760	\N	\N	\N
355409	1204	1998-03-30	VYDAJ	VYBER	4800	67607	\N	\N	\N
355426	1204	1994-04-30	VYDAJ	VYBER	15	62385	SLUZBY	\N	\N
355427	1204	1994-05-31	VYDAJ	VYBER	15	60300	SLUZBY	\N	\N
355428	1204	1994-06-30	VYDAJ	VYBER	15	24729	SLUZBY	\N	\N
355429	1204	1994-07-31	VYDAJ	VYBER	15	32140	SLUZBY	\N	\N
355430	1204	1994-08-31	VYDAJ	VYBER	15	34489	SLUZBY	\N	\N
355431	1204	1994-09-30	VYDAJ	VYBER	15	36551	SLUZBY	\N	\N
355432	1204	1994-10-31	VYDAJ	VYBER	15	31939	SLUZBY	\N	\N
355433	1204	1994-11-30	VYDAJ	VYBER	15	37486	SLUZBY	\N	\N
355434	1204	1994-12-31	VYDAJ	VYBER	15	43498	SLUZBY	\N	\N
355435	1204	1995-01-31	VYDAJ	VYBER	15	37244	SLUZBY	\N	\N
355436	1204	1995-02-28	VYDAJ	VYBER	15	37309	SLUZBY	\N	\N
355437	1204	1995-03-31	VYDAJ	VYBER	15	37474	SLUZBY	\N	\N
355438	1204	1995-04-30	VYDAJ	VYBER	15	33996	SLUZBY	\N	\N
355439	1204	1995-05-31	VYDAJ	VYBER	15	36747	SLUZBY	\N	\N
355440	1204	1995-06-30	VYDAJ	VYBER	15	29953	SLUZBY	\N	\N
355441	1204	1995-07-31	VYDAJ	VYBER	15	33585	SLUZBY	\N	\N
355442	1204	1995-08-31	VYDAJ	VYBER	15	36030	SLUZBY	\N	\N
355443	1204	1995-09-30	VYDAJ	VYBER	15	40891	SLUZBY	\N	\N
355444	1204	1995-10-31	VYDAJ	VYBER	15	40250	SLUZBY	\N	\N
355445	1204	1995-11-30	VYDAJ	VYBER	15	44121	SLUZBY	\N	\N
355446	1204	1995-12-31	VYDAJ	VYBER	15	51669	SLUZBY	\N	\N
355447	1204	1996-01-31	VYDAJ	VYBER	15	40477	SLUZBY	\N	\N
355448	1204	1996-02-29	VYDAJ	VYBER	15	44852	SLUZBY	\N	\N
355449	1204	1996-03-31	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
355450	1204	1996-04-30	VYDAJ	VYBER	15	47690	SLUZBY	\N	\N
355451	1204	1996-05-31	VYDAJ	VYBER	15	48583	SLUZBY	\N	\N
355452	1204	1996-06-30	VYDAJ	VYBER	15	37915	SLUZBY	\N	\N
355453	1204	1996-07-31	VYDAJ	VYBER	15	48180	SLUZBY	\N	\N
355454	1204	1996-08-31	VYDAJ	VYBER	15	55181	SLUZBY	\N	\N
355455	1204	1996-09-30	VYDAJ	VYBER	15	58909	SLUZBY	\N	\N
355456	1204	1996-10-31	VYDAJ	VYBER	15	53594	SLUZBY	\N	\N
355457	1204	1996-11-30	VYDAJ	VYBER	15	58110	SLUZBY	\N	\N
355458	1204	1996-12-31	VYDAJ	VYBER	15	68202	SLUZBY	\N	\N
355459	1204	1997-01-31	VYDAJ	VYBER	15	59828	SLUZBY	\N	\N
355460	1204	1997-02-28	VYDAJ	VYBER	15	66777	SLUZBY	\N	\N
355461	1204	1997-03-31	VYDAJ	VYBER	15	68117	SLUZBY	\N	\N
355462	1204	1997-04-30	VYDAJ	VYBER	15	71063	SLUZBY	\N	\N
355463	1204	1997-05-31	VYDAJ	VYBER	15	73444	SLUZBY	\N	\N
355464	1204	1997-06-30	VYDAJ	VYBER	15	55061	SLUZBY	\N	\N
355465	1204	1997-07-31	VYDAJ	VYBER	15	60468	SLUZBY	\N	\N
355466	1204	1997-08-31	VYDAJ	VYBER	15	61762	SLUZBY	\N	\N
355467	1204	1997-09-30	VYDAJ	VYBER	15	60578	SLUZBY	\N	\N
355468	1204	1997-10-31	VYDAJ	VYBER	15	69425	SLUZBY	\N	\N
355469	1204	1997-11-30	VYDAJ	VYBER	15	67418	SLUZBY	\N	\N
355470	1204	1997-12-31	VYDAJ	VYBER	15	76299	SLUZBY	\N	\N
355471	1204	1998-01-31	VYDAJ	VYBER	15	68373	SLUZBY	\N	\N
355472	1204	1998-02-28	VYDAJ	VYBER	15	72035	SLUZBY	\N	\N
355473	1204	1998-03-31	VYDAJ	VYBER	15	67905	SLUZBY	\N	\N
355474	1204	1998-04-30	VYDAJ	VYBER	15	66934	SLUZBY	\N	\N
355475	1204	1998-05-31	VYDAJ	VYBER	15	66281	SLUZBY	\N	\N
355476	1204	1998-06-30	VYDAJ	VYBER	15	59139	SLUZBY	\N	\N
355477	1204	1998-07-31	VYDAJ	VYBER	15	66371	SLUZBY	\N	\N
355478	1204	1998-08-31	VYDAJ	VYBER	15	65007	SLUZBY	\N	\N
355479	1204	1998-09-30	VYDAJ	VYBER	15	67847	SLUZBY	\N	\N
355480	1204	1998-10-31	VYDAJ	VYBER	15	71208	SLUZBY	\N	\N
355481	1204	1998-11-30	VYDAJ	VYBER	15	76779	SLUZBY	\N	\N
355482	1204	1994-01-02	VYDAJ	VYBER	5700	30659	\N	\N	\N
355483	1204	1994-02-01	VYDAJ	VYBER	16800	37693	\N	\N	\N
355484	1204	1994-03-03	VYDAJ	VYBER	16300	45262	\N	\N	\N
355485	1204	1994-04-02	VYDAJ	VYBER	23500	45663	\N	\N	\N
355486	1204	1994-05-02	VYDAJ	VYBER	18800	43585	\N	\N	\N
355487	1204	1994-06-01	VYDAJ	VYBER	15800	44500	\N	\N	\N
355488	1204	1994-07-01	VYDAJ	VYBER	2800	21929	\N	\N	\N
355489	1204	1994-07-31	VYDAJ	VYBER	6400	32155	\N	\N	\N
355490	1204	1994-08-30	VYDAJ	VYBER	14300	34312	\N	\N	\N
355491	1204	1994-09-29	VYDAJ	VYBER	14600	36361	\N	\N	\N
355492	1204	1994-10-29	VYDAJ	VYBER	16000	37023	\N	\N	\N
355493	1204	1994-11-28	VYDAJ	VYBER	11100	37311	\N	\N	\N
355494	1204	1994-12-28	VYDAJ	VYBER	21700	43267	\N	\N	\N
355495	1204	1995-01-27	VYDAJ	VYBER	14900	40270	\N	\N	\N
355496	1204	1995-02-26	VYDAJ	VYBER	16600	37116	\N	\N	\N
355497	1204	1995-03-28	VYDAJ	VYBER	16500	37281	\N	\N	\N
355498	1204	1995-04-27	VYDAJ	VYBER	13300	38486	\N	\N	\N
355499	1204	1995-05-27	VYDAJ	VYBER	13900	36568	\N	\N	\N
355500	1204	1995-06-26	VYDAJ	VYBER	11700	29768	\N	\N	\N
355501	1204	1995-07-26	VYDAJ	VYBER	13000	33425	\N	\N	\N
355502	1204	1995-08-25	VYDAJ	VYBER	14200	35857	\N	\N	\N
355503	1204	1995-09-24	VYDAJ	VYBER	11800	40702	\N	\N	\N
355504	1204	1995-10-24	VYDAJ	VYBER	12500	40063	\N	\N	\N
355505	1204	1995-11-23	VYDAJ	VYBER	12800	43922	\N	\N	\N
355506	1204	1995-12-23	VYDAJ	VYBER	19700	51422	\N	\N	\N
355507	1204	1996-01-22	VYDAJ	VYBER	15400	45301	\N	\N	\N
355508	1204	1996-02-21	VYDAJ	VYBER	12300	44649	\N	\N	\N
355509	1204	1996-03-22	VYDAJ	VYBER	13900	47424	\N	\N	\N
355510	1204	1996-04-21	VYDAJ	VYBER	11600	47470	\N	\N	\N
355511	1204	1996-05-21	VYDAJ	VYBER	15800	48362	\N	\N	\N
355512	1204	1996-06-20	VYDAJ	VYBER	15900	58324	\N	\N	\N
355513	1204	1996-07-20	VYDAJ	VYBER	6400	47987	\N	\N	\N
355514	1204	1996-08-19	VYDAJ	VYBER	9700	54952	\N	\N	\N
355515	1204	1996-09-18	VYDAJ	VYBER	13000	58653	\N	\N	\N
355516	1204	1996-10-18	VYDAJ	VYBER	16400	58981	\N	\N	\N
355517	1204	1996-11-17	VYDAJ	VYBER	12200	57866	\N	\N	\N
355518	1204	1996-12-17	VYDAJ	VYBER	17200	67911	\N	\N	\N
355519	1204	1997-01-16	VYDAJ	VYBER	9400	65074	\N	\N	\N
355520	1204	1997-02-15	VYDAJ	VYBER	9800	66500	\N	\N	\N
355521	1204	1997-03-17	VYDAJ	VYBER	11100	67829	\N	\N	\N
355522	1204	1997-04-16	VYDAJ	VYBER	9500	70769	\N	\N	\N
355523	1204	1997-05-16	VYDAJ	VYBER	14400	73135	\N	\N	\N
355524	1204	1997-06-15	PRIJEM	VKLAD	300	54825	\N	\N	\N
355525	1204	1997-07-15	VYDAJ	VYBER	8800	62733	\N	\N	\N
355526	1204	1997-08-14	VYDAJ	VYBER	11600	65340	\N	\N	\N
355527	1204	1997-09-13	VYDAJ	VYBER	13000	65234	\N	\N	\N
355528	1204	1997-10-13	VYDAJ	VYBER	7900	69150	\N	\N	\N
355529	1204	1997-11-12	VYDAJ	VYBER	13000	67137	\N	\N	\N
355530	1204	1997-12-12	VYDAJ	VYBER	18600	77099	\N	\N	\N
355531	1204	1998-01-11	VYDAJ	VYBER	13900	77305	\N	\N	\N
355532	1204	1998-02-10	VYDAJ	VYBER	13100	73899	\N	\N	\N
355533	1204	1998-03-12	VYDAJ	VYBER	16100	72407	\N	\N	\N
355534	1204	1998-04-11	VYDAJ	VYBER	15200	71331	\N	\N	\N
355535	1204	1998-05-11	VYDAJ	VYBER	12600	68160	\N	\N	\N
355536	1204	1998-06-10	VYDAJ	VYBER	11200	61036	\N	\N	\N
355537	1204	1998-07-10	VYDAJ	VYBER	9500	68265	\N	\N	\N
355538	1204	1998-08-09	VYDAJ	VYBER	18100	66897	\N	\N	\N
355539	1204	1998-09-08	VYDAJ	VYBER	13900	69733	\N	\N	\N
355540	1204	1998-10-08	VYDAJ	VYBER	10800	75673	\N	\N	\N
355541	1204	1998-11-07	VYDAJ	VYBER	11200	78634	\N	\N	\N
355542	1204	1998-12-07	VYDAJ	VYBER	18900	84614	\N	\N	\N
355604	1205	1994-10-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
355614	1205	1994-10-13	PRIJEM	PREVOD Z UCTU	5239	6339	DUCHOD	GH	26591027
355615	1205	1994-11-13	PRIJEM	PREVOD Z UCTU	5239	11594	DUCHOD	GH	26591027
355616	1205	1994-12-13	PRIJEM	PREVOD Z UCTU	5239	16860	DUCHOD	GH	26591027
355825	1205	1996-12-31	VYDAJ	VYBER	15	18804	SLUZBY	\N	\N
355617	1205	1995-01-13	PRIJEM	PREVOD Z UCTU	5239	22125	DUCHOD	GH	26591027
355618	1205	1995-02-13	PRIJEM	PREVOD Z UCTU	5239	27390	DUCHOD	GH	26591027
355619	1205	1995-03-13	PRIJEM	PREVOD Z UCTU	5239	28555	DUCHOD	GH	26591027
355620	1205	1995-04-13	PRIJEM	PREVOD Z UCTU	5239	30907	DUCHOD	GH	26591027
355621	1205	1995-05-13	PRIJEM	PREVOD Z UCTU	5239	29985	DUCHOD	GH	26591027
355622	1205	1995-06-13	PRIJEM	PREVOD Z UCTU	5239	32341	DUCHOD	GH	26591027
355623	1205	1995-07-13	PRIJEM	PREVOD Z UCTU	5239	32387	DUCHOD	GH	26591027
355624	1205	1995-08-13	PRIJEM	PREVOD Z UCTU	5239	33254	DUCHOD	GH	26591027
355625	1205	1995-09-13	PRIJEM	PREVOD Z UCTU	5239	32023	DUCHOD	GH	26591027
355626	1205	1995-10-13	PRIJEM	PREVOD Z UCTU	5239	33888	DUCHOD	GH	26591027
355627	1205	1995-11-13	PRIJEM	PREVOD Z UCTU	5239	30859	DUCHOD	GH	26591027
355628	1205	1995-12-13	PRIJEM	PREVOD Z UCTU	5239	31921	DUCHOD	GH	26591027
355629	1205	1996-01-13	PRIJEM	PREVOD Z UCTU	5239	30164	DUCHOD	GH	26591027
355630	1205	1996-02-13	PRIJEM	PREVOD Z UCTU	5239	25707	DUCHOD	GH	26591027
355631	1205	1996-03-13	PRIJEM	PREVOD Z UCTU	5239	26145	DUCHOD	GH	26591027
355632	1205	1996-04-13	PRIJEM	PREVOD Z UCTU	5239	28183	DUCHOD	GH	26591027
355633	1205	1996-05-13	PRIJEM	PREVOD Z UCTU	5239	27832	DUCHOD	GH	26591027
355634	1205	1996-06-13	PRIJEM	PREVOD Z UCTU	5239	30079	DUCHOD	GH	26591027
355635	1205	1996-07-13	PRIJEM	PREVOD Z UCTU	5239	28935	DUCHOD	GH	26591027
355636	1205	1996-08-13	PRIJEM	PREVOD Z UCTU	5239	25085	DUCHOD	GH	26591027
355637	1205	1996-09-13	PRIJEM	PREVOD Z UCTU	5239	19255	DUCHOD	GH	26591027
355638	1205	1996-10-13	PRIJEM	PREVOD Z UCTU	5239	20686	DUCHOD	GH	26591027
355639	1205	1996-11-13	PRIJEM	PREVOD Z UCTU	5239	23004	DUCHOD	GH	26591027
355640	1205	1996-12-13	PRIJEM	PREVOD Z UCTU	5239	21138	DUCHOD	GH	26591027
355641	1205	1997-01-13	PRIJEM	PREVOD Z UCTU	5239	17614	DUCHOD	GH	26591027
355642	1205	1997-02-13	PRIJEM	PREVOD Z UCTU	5239	19516	DUCHOD	GH	26591027
355643	1205	1997-03-13	PRIJEM	PREVOD Z UCTU	5239	21828	DUCHOD	GH	26591027
355644	1205	1997-04-13	PRIJEM	PREVOD Z UCTU	5239	20789	DUCHOD	GH	26591027
355645	1205	1997-05-13	PRIJEM	PREVOD Z UCTU	5239	19585	DUCHOD	GH	26591027
355646	1205	1997-06-13	PRIJEM	PREVOD Z UCTU	5239	21898	DUCHOD	GH	26591027
355647	1205	1997-07-13	PRIJEM	PREVOD Z UCTU	5239	24220	DUCHOD	GH	26591027
355648	1205	1997-08-13	PRIJEM	PREVOD Z UCTU	5239	26552	DUCHOD	GH	26591027
355649	1205	1997-09-13	PRIJEM	PREVOD Z UCTU	5239	28893	DUCHOD	GH	26591027
355650	1205	1997-10-13	PRIJEM	PREVOD Z UCTU	5239	26684	DUCHOD	GH	26591027
355651	1205	1997-11-13	PRIJEM	PREVOD Z UCTU	5239	29031	DUCHOD	GH	26591027
355652	1205	1997-12-13	PRIJEM	PREVOD Z UCTU	5239	26604	DUCHOD	GH	26591027
355653	1205	1998-01-13	PRIJEM	PREVOD Z UCTU	5239	26785	DUCHOD	GH	26591027
355654	1205	1998-02-13	PRIJEM	PREVOD Z UCTU	5239	23602	DUCHOD	GH	26591027
355655	1205	1998-03-13	PRIJEM	PREVOD Z UCTU	5239	25932	DUCHOD	GH	26591027
355656	1205	1998-04-13	PRIJEM	PREVOD Z UCTU	5239	24351	DUCHOD	GH	26591027
355657	1205	1998-05-13	PRIJEM	PREVOD Z UCTU	5239	22199	DUCHOD	GH	26591027
355658	1205	1998-06-13	PRIJEM	PREVOD Z UCTU	5239	21000	DUCHOD	GH	26591027
355659	1205	1998-07-13	PRIJEM	PREVOD Z UCTU	5239	23316	DUCHOD	GH	26591027
355660	1205	1998-08-13	PRIJEM	PREVOD Z UCTU	5239	25644	DUCHOD	GH	26591027
355661	1205	1998-09-13	PRIJEM	PREVOD Z UCTU	5239	27340	DUCHOD	GH	26591027
355662	1205	1998-10-13	PRIJEM	PREVOD Z UCTU	5239	29684	DUCHOD	GH	26591027
355663	1205	1998-11-13	PRIJEM	PREVOD Z UCTU	5239	32037	DUCHOD	GH	26591027
355664	1205	1998-12-13	PRIJEM	PREVOD Z UCTU	5239	34401	DUCHOD	GH	26591027
355679	1205	1995-03-07	VYDAJ	PREVOD NA UCET	2989	23316	SIPO	YZ	8382422
355680	1205	1995-04-07	VYDAJ	PREVOD NA UCET	2989	25668	SIPO	YZ	8382422
355681	1205	1995-05-07	VYDAJ	PREVOD NA UCET	2989	24746	SIPO	YZ	8382422
355682	1205	1995-06-07	VYDAJ	PREVOD NA UCET	2989	27102	SIPO	YZ	8382422
355683	1205	1995-07-07	VYDAJ	PREVOD NA UCET	2989	28268	SIPO	YZ	8382422
355684	1205	1995-08-07	VYDAJ	PREVOD NA UCET	2989	28015	SIPO	YZ	8382422
355685	1205	1995-09-07	VYDAJ	PREVOD NA UCET	2989	26784	SIPO	YZ	8382422
355686	1205	1995-10-07	VYDAJ	PREVOD NA UCET	2989	28649	SIPO	YZ	8382422
355687	1205	1995-11-07	VYDAJ	PREVOD NA UCET	2989	25620	SIPO	YZ	8382422
355688	1205	1995-12-07	VYDAJ	PREVOD NA UCET	2989	26682	SIPO	YZ	8382422
355689	1205	1996-01-07	VYDAJ	PREVOD NA UCET	2989	25965	SIPO	YZ	8382422
355690	1205	1996-02-07	VYDAJ	PREVOD NA UCET	2989	20468	SIPO	YZ	8382422
355691	1205	1996-03-07	VYDAJ	PREVOD NA UCET	2989	20906	SIPO	YZ	8382422
355692	1205	1996-04-07	VYDAJ	PREVOD NA UCET	2989	22944	SIPO	YZ	8382422
355693	1205	1996-05-07	VYDAJ	PREVOD NA UCET	2989	22593	SIPO	YZ	8382422
355694	1205	1996-06-07	VYDAJ	PREVOD NA UCET	2989	24840	SIPO	YZ	8382422
355695	1205	1996-07-07	VYDAJ	PREVOD NA UCET	2989	23696	SIPO	YZ	8382422
355696	1205	1996-08-07	VYDAJ	PREVOD NA UCET	2989	19846	SIPO	YZ	8382422
355697	1205	1996-09-07	VYDAJ	PREVOD NA UCET	2989	15056	SIPO	YZ	8382422
355698	1205	1996-10-07	VYDAJ	PREVOD NA UCET	2989	15447	SIPO	YZ	8382422
355699	1205	1996-11-07	VYDAJ	PREVOD NA UCET	2989	17765	SIPO	YZ	8382422
355700	1205	1996-12-07	VYDAJ	PREVOD NA UCET	2989	15899	SIPO	YZ	8382422
355701	1205	1997-01-07	VYDAJ	PREVOD NA UCET	2989	12375	SIPO	YZ	8382422
355702	1205	1997-02-07	VYDAJ	PREVOD NA UCET	2989	14277	SIPO	YZ	8382422
355703	1205	1997-03-07	VYDAJ	PREVOD NA UCET	2989	16589	SIPO	YZ	8382422
355704	1205	1997-04-07	VYDAJ	PREVOD NA UCET	2989	16670	SIPO	YZ	8382422
355705	1205	1997-05-07	VYDAJ	PREVOD NA UCET	2989	14346	SIPO	YZ	8382422
355706	1205	1997-06-07	VYDAJ	PREVOD NA UCET	2989	16659	SIPO	YZ	8382422
355707	1205	1997-07-07	VYDAJ	PREVOD NA UCET	2989	18981	SIPO	YZ	8382422
355708	1205	1997-08-07	VYDAJ	PREVOD NA UCET	2989	21313	SIPO	YZ	8382422
355709	1205	1997-09-07	VYDAJ	PREVOD NA UCET	2989	23654	SIPO	YZ	8382422
355710	1205	1997-10-07	VYDAJ	PREVOD NA UCET	2989	26005	SIPO	YZ	8382422
355711	1205	1997-11-07	VYDAJ	PREVOD NA UCET	2989	23792	SIPO	YZ	8382422
355712	1205	1997-12-07	VYDAJ	PREVOD NA UCET	2989	22215	SIPO	YZ	8382422
355713	1205	1998-01-07	VYDAJ	PREVOD NA UCET	2989	22026	SIPO	YZ	8382422
355714	1205	1998-02-07	VYDAJ	PREVOD NA UCET	2989	18363	SIPO	YZ	8382422
355715	1205	1998-03-07	VYDAJ	PREVOD NA UCET	2989	20693	SIPO	YZ	8382422
355716	1205	1998-04-07	VYDAJ	PREVOD NA UCET	2989	19112	SIPO	YZ	8382422
355717	1205	1998-05-07	VYDAJ	PREVOD NA UCET	2989	16960	SIPO	YZ	8382422
355718	1205	1998-06-07	VYDAJ	PREVOD NA UCET	2989	15761	SIPO	YZ	8382422
355719	1205	1998-07-07	VYDAJ	PREVOD NA UCET	2989	18077	SIPO	YZ	8382422
355720	1205	1998-08-07	VYDAJ	PREVOD NA UCET	2989	20405	SIPO	YZ	8382422
355721	1205	1998-09-07	VYDAJ	PREVOD NA UCET	2989	22101	SIPO	YZ	8382422
355722	1205	1998-10-07	VYDAJ	PREVOD NA UCET	2989	24445	SIPO	YZ	8382422
355723	1205	1998-11-07	VYDAJ	PREVOD NA UCET	2989	26798	SIPO	YZ	8382422
355724	1205	1998-12-07	VYDAJ	PREVOD NA UCET	2989	29162	SIPO	YZ	8382422
355726	1205	1995-12-27	VYDAJ	VYBER	1000	30921	\N	\N	\N
355727	1205	1996-12-01	VYDAJ	VYBER	1050	18888	\N	\N	\N
355728	1205	1997-12-08	VYDAJ	VYBER	850	21365	\N	\N	\N
355729	1205	1998-12-19	VYDAJ	VYBER	1150	33251	\N	\N	\N
355742	1205	1996-01-13	VYDAJ	VYBER	1200	28964	\N	\N	\N
355743	1205	1996-01-15	VYDAJ	VYBER	1840	24804	\N	\N	\N
355744	1205	1996-01-15	VYDAJ	VYBER	2320	26644	\N	\N	\N
355745	1205	1996-01-11	VYDAJ	VYBER	1040	24925	\N	\N	\N
355746	1205	1996-01-04	VYDAJ	VYBER	1280	28954	\N	\N	\N
355747	1205	1996-01-21	VYDAJ	VYBER	1440	23364	\N	\N	\N
355748	1205	1997-01-24	VYDAJ	VYBER	400	17214	\N	\N	\N
355750	1205	1997-01-01	VYDAJ	VYBER	1360	16644	\N	\N	\N
355751	1205	1997-01-02	VYDAJ	VYBER	800	15844	\N	\N	\N
355752	1205	1997-01-01	VYDAJ	VYBER	800	18004	\N	\N	\N
355753	1205	1997-01-05	VYDAJ	VYBER	480	15364	\N	\N	\N
355754	1205	1998-01-01	VYDAJ	VYBER	480	26215	\N	\N	\N
355755	1205	1998-01-06	VYDAJ	VYBER	1200	25015	\N	\N	\N
355756	1205	1998-01-08	VYDAJ	VYBER	480	21546	\N	\N	\N
355757	1205	1998-01-30	VYDAJ	VYBER	1360	22225	\N	\N	\N
355758	1205	1998-01-27	VYDAJ	VYBER	1920	23585	\N	\N	\N
355759	1205	1998-01-20	VYDAJ	VYBER	1280	25505	\N	\N	\N
355766	1205	1995-04-16	VYDAJ	VYBER	1280	29627	\N	\N	\N
355767	1205	1995-07-10	VYDAJ	VYBER	1120	27148	\N	\N	\N
355768	1205	1995-03-01	VYDAJ	VYBER	800	26605	\N	\N	\N
355769	1205	1996-08-21	VYDAJ	VYBER	1200	23885	\N	\N	\N
355770	1205	1996-09-12	VYDAJ	VYBER	1040	14016	\N	\N	\N
355771	1205	1996-02-28	VYDAJ	VYBER	1600	24107	\N	\N	\N
355772	1205	1996-09-04	VYDAJ	VYBER	1520	18045	\N	\N	\N
355773	1205	1996-11-20	VYDAJ	VYBER	1040	21964	\N	\N	\N
355774	1205	1996-08-25	VYDAJ	VYBER	3600	20285	\N	\N	\N
355775	1205	1996-09-28	VYDAJ	VYBER	880	18375	\N	\N	\N
355776	1205	1997-04-08	VYDAJ	VYBER	1120	15550	\N	\N	\N
355777	1205	1997-04-29	VYDAJ	VYBER	3520	17269	\N	\N	\N
355778	1205	1997-03-29	VYDAJ	VYBER	2240	19588	\N	\N	\N
355779	1205	1997-10-07	VYDAJ	VYBER	1040	24965	\N	\N	\N
355780	1205	1997-10-07	VYDAJ	VYBER	3520	21445	\N	\N	\N
355781	1205	1997-11-15	VYDAJ	VYBER	3920	25111	\N	\N	\N
355782	1205	1998-04-26	VYDAJ	VYBER	1280	19871	\N	\N	\N
355783	1205	1998-08-22	VYDAJ	VYBER	640	25004	\N	\N	\N
355784	1205	1998-06-01	VYDAJ	VYBER	640	18750	\N	\N	\N
355785	1205	1998-04-05	VYDAJ	VYBER	3920	22101	\N	\N	\N
355786	1205	1998-01-31	VYDAJ	VYBER	960	21352	\N	\N	\N
355787	1205	1998-05-28	VYDAJ	VYBER	2880	19319	\N	\N	\N
355788	1205	1998-04-23	VYDAJ	VYBER	3200	21151	\N	\N	\N
355803	1205	1995-02-28	VYDAJ	VYBER	15	27405	SLUZBY	\N	\N
355804	1205	1995-03-31	VYDAJ	VYBER	15	28657	SLUZBY	\N	\N
355805	1205	1995-04-30	VYDAJ	VYBER	15	29735	SLUZBY	\N	\N
355806	1205	1995-05-31	VYDAJ	VYBER	15	30091	SLUZBY	\N	\N
355807	1205	1995-06-30	VYDAJ	VYBER	15	32457	SLUZBY	\N	\N
355808	1205	1995-07-31	VYDAJ	VYBER	15	32504	SLUZBY	\N	\N
355809	1205	1995-08-31	VYDAJ	VYBER	15	33373	SLUZBY	\N	\N
355810	1205	1995-09-30	VYDAJ	VYBER	15	32138	SLUZBY	\N	\N
355811	1205	1995-10-31	VYDAJ	VYBER	15	34009	SLUZBY	\N	\N
355812	1205	1995-11-30	VYDAJ	VYBER	15	30971	SLUZBY	\N	\N
355813	1205	1995-12-31	VYDAJ	VYBER	15	31034	SLUZBY	\N	\N
355814	1205	1996-01-31	VYDAJ	VYBER	15	23457	SLUZBY	\N	\N
355815	1205	1996-02-29	VYDAJ	VYBER	15	24195	SLUZBY	\N	\N
355816	1205	1996-03-31	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
355817	1205	1996-04-30	VYDAJ	VYBER	15	25582	SLUZBY	\N	\N
355818	1205	1996-05-31	VYDAJ	VYBER	15	27829	SLUZBY	\N	\N
355819	1205	1996-06-30	VYDAJ	VYBER	15	26685	SLUZBY	\N	\N
355820	1205	1996-07-31	VYDAJ	VYBER	15	22835	SLUZBY	\N	\N
355821	1205	1996-08-31	VYDAJ	VYBER	15	19565	SLUZBY	\N	\N
355822	1205	1996-09-30	VYDAJ	VYBER	15	18436	SLUZBY	\N	\N
355823	1205	1996-10-31	VYDAJ	VYBER	15	20754	SLUZBY	\N	\N
355824	1205	1996-11-30	VYDAJ	VYBER	15	19938	SLUZBY	\N	\N
355826	1205	1997-01-31	VYDAJ	VYBER	15	17266	SLUZBY	\N	\N
355827	1205	1997-02-28	VYDAJ	VYBER	15	19578	SLUZBY	\N	\N
355828	1205	1997-03-31	VYDAJ	VYBER	15	19659	SLUZBY	\N	\N
355829	1205	1997-04-30	VYDAJ	VYBER	15	17335	SLUZBY	\N	\N
355830	1205	1997-05-31	VYDAJ	VYBER	15	19648	SLUZBY	\N	\N
355831	1205	1997-06-30	VYDAJ	VYBER	15	21970	SLUZBY	\N	\N
355832	1205	1997-07-31	VYDAJ	VYBER	15	24302	SLUZBY	\N	\N
355833	1205	1997-08-31	VYDAJ	VYBER	15	26643	SLUZBY	\N	\N
355834	1205	1997-09-30	VYDAJ	VYBER	15	28994	SLUZBY	\N	\N
355835	1205	1997-10-31	VYDAJ	VYBER	15	26781	SLUZBY	\N	\N
355836	1205	1997-11-30	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
355837	1205	1997-12-31	VYDAJ	VYBER	15	26695	SLUZBY	\N	\N
355838	1205	1998-01-31	VYDAJ	VYBER	15	22312	SLUZBY	\N	\N
355839	1205	1998-02-28	VYDAJ	VYBER	15	23682	SLUZBY	\N	\N
355840	1205	1998-03-31	VYDAJ	VYBER	15	26021	SLUZBY	\N	\N
355841	1205	1998-04-30	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
355842	1205	1998-05-31	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
355843	1205	1998-06-30	VYDAJ	VYBER	15	21066	SLUZBY	\N	\N
355844	1205	1998-07-31	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
355845	1205	1998-08-31	VYDAJ	VYBER	15	25090	SLUZBY	\N	\N
355846	1205	1998-09-30	VYDAJ	VYBER	15	27434	SLUZBY	\N	\N
355847	1205	1998-10-31	VYDAJ	VYBER	15	29787	SLUZBY	\N	\N
355848	1205	1998-11-30	VYDAJ	VYBER	15	32151	SLUZBY	\N	\N
355849	1205	1995-03-07	VYDAJ	VYBER	300	26305	\N	\N	\N
355850	1205	1995-05-06	VYDAJ	VYBER	2000	27735	\N	\N	\N
355851	1205	1995-07-05	VYDAJ	VYBER	1200	31257	\N	\N	\N
355852	1205	1995-08-04	VYDAJ	VYBER	1500	31004	\N	\N	\N
355853	1205	1995-09-03	VYDAJ	VYBER	3600	29773	\N	\N	\N
355854	1205	1995-10-03	VYDAJ	VYBER	500	31638	\N	\N	\N
355855	1205	1995-11-02	VYDAJ	VYBER	5400	28609	\N	\N	\N
355856	1205	1995-12-02	VYDAJ	VYBER	1300	29671	\N	\N	\N
355857	1205	1996-01-01	VYDAJ	VYBER	800	30234	\N	\N	\N
355858	1205	1996-03-01	VYDAJ	VYBER	300	23895	\N	\N	\N
355859	1205	1996-03-31	VYDAJ	VYBER	300	25948	\N	\N	\N
355860	1205	1996-04-30	VYDAJ	VYBER	2700	25596	\N	\N	\N
355861	1205	1996-05-30	VYDAJ	VYBER	100	27732	\N	\N	\N
355862	1205	1996-06-29	VYDAJ	VYBER	3500	26579	\N	\N	\N
355863	1205	1996-07-29	VYDAJ	VYBER	6200	22735	\N	\N	\N
355864	1205	1996-08-28	VYDAJ	VYBER	800	19485	\N	\N	\N
355865	1205	1996-11-26	VYDAJ	VYBER	2100	19864	\N	\N	\N
355866	1205	1996-12-26	VYDAJ	VYBER	2400	18738	\N	\N	\N
355918	1206	1995-10-21	PRIJEM	VKLAD	900	900	\N	\N	\N
355929	1206	1995-11-10	PRIJEM	PREVOD Z UCTU	5383	6283	DUCHOD	YZ	91859644
355930	1206	1995-12-10	PRIJEM	PREVOD Z UCTU	5383	11666	DUCHOD	YZ	91859644
355931	1206	1996-01-10	PRIJEM	PREVOD Z UCTU	5383	17049	DUCHOD	YZ	91859644
355932	1206	1996-02-10	PRIJEM	PREVOD Z UCTU	5383	22432	DUCHOD	YZ	91859644
355933	1206	1996-03-10	PRIJEM	PREVOD Z UCTU	5383	26952	DUCHOD	YZ	91859644
355934	1206	1996-04-10	PRIJEM	PREVOD Z UCTU	5383	27067	DUCHOD	YZ	91859644
355935	1206	1996-05-10	PRIJEM	PREVOD Z UCTU	5383	27051	DUCHOD	YZ	91859644
355936	1206	1996-06-10	PRIJEM	PREVOD Z UCTU	5383	23446	DUCHOD	YZ	91859644
355937	1206	1996-07-10	PRIJEM	PREVOD Z UCTU	5383	25634	DUCHOD	YZ	91859644
355938	1206	1996-08-10	PRIJEM	PREVOD Z UCTU	5383	25208	DUCHOD	YZ	91859644
355939	1206	1996-09-10	PRIJEM	PREVOD Z UCTU	5383	26284	DUCHOD	YZ	91859644
355940	1206	1996-10-10	PRIJEM	PREVOD Z UCTU	5383	23458	DUCHOD	YZ	91859644
355941	1206	1996-11-10	PRIJEM	PREVOD Z UCTU	5383	23023	DUCHOD	YZ	91859644
355942	1206	1996-12-10	PRIJEM	PREVOD Z UCTU	5383	21884	DUCHOD	YZ	91859644
355943	1206	1997-01-10	PRIJEM	PREVOD Z UCTU	5383	19492	DUCHOD	YZ	91859644
355944	1206	1997-02-10	PRIJEM	PREVOD Z UCTU	5383	21649	DUCHOD	YZ	91859644
355945	1206	1997-03-10	PRIJEM	PREVOD Z UCTU	5383	23812	DUCHOD	YZ	91859644
355946	1206	1997-04-10	PRIJEM	PREVOD Z UCTU	5383	23665	DUCHOD	YZ	91859644
355947	1206	1997-05-10	PRIJEM	PREVOD Z UCTU	5383	22329	DUCHOD	YZ	91859644
355948	1206	1997-06-10	PRIJEM	PREVOD Z UCTU	5383	21489	DUCHOD	YZ	91859644
355949	1206	1997-07-10	PRIJEM	PREVOD Z UCTU	5383	21045	DUCHOD	YZ	91859644
355950	1206	1997-08-10	PRIJEM	PREVOD Z UCTU	5383	18693	DUCHOD	YZ	91859644
355951	1206	1997-09-10	PRIJEM	PREVOD Z UCTU	5383	19942	DUCHOD	YZ	91859644
355952	1206	1997-10-10	PRIJEM	PREVOD Z UCTU	5383	20894	DUCHOD	YZ	91859644
355953	1206	1997-11-10	PRIJEM	PREVOD Z UCTU	5383	18155	DUCHOD	YZ	91859644
355954	1206	1997-12-10	PRIJEM	PREVOD Z UCTU	5383	16815	DUCHOD	YZ	91859644
355955	1206	1998-01-10	PRIJEM	PREVOD Z UCTU	5383	18468	DUCHOD	YZ	91859644
355956	1206	1998-02-10	PRIJEM	PREVOD Z UCTU	5383	17215	DUCHOD	YZ	91859644
355957	1206	1998-03-10	PRIJEM	PREVOD Z UCTU	5383	19371	DUCHOD	YZ	91859644
355958	1206	1998-04-10	PRIJEM	PREVOD Z UCTU	5383	19834	DUCHOD	YZ	91859644
355959	1206	1998-05-10	PRIJEM	PREVOD Z UCTU	5383	18091	DUCHOD	YZ	91859644
355960	1206	1998-06-10	PRIJEM	PREVOD Z UCTU	5383	18488	DUCHOD	YZ	91859644
355961	1206	1998-07-10	PRIJEM	PREVOD Z UCTU	5383	20647	DUCHOD	YZ	91859644
355962	1206	1998-08-10	PRIJEM	PREVOD Z UCTU	5383	16705	DUCHOD	YZ	91859644
355963	1206	1998-09-10	PRIJEM	PREVOD Z UCTU	5383	18864	DUCHOD	YZ	91859644
355964	1206	1998-10-10	PRIJEM	PREVOD Z UCTU	5383	21015	DUCHOD	YZ	91859644
355965	1206	1998-11-10	PRIJEM	PREVOD Z UCTU	5383	19335	DUCHOD	YZ	91859644
355966	1206	1998-12-10	PRIJEM	PREVOD Z UCTU	5383	21502	DUCHOD	YZ	91859644
355981	1206	1996-03-10	VYDAJ	PREVOD NA UCET	3279	23673	SIPO	KL	50189578
355982	1206	1996-04-10	VYDAJ	PREVOD NA UCET	3279	23788	SIPO	KL	50189578
355983	1206	1996-05-10	VYDAJ	PREVOD NA UCET	3279	23772	SIPO	KL	50189578
355984	1206	1996-06-10	VYDAJ	PREVOD NA UCET	3279	20167	SIPO	KL	50189578
355985	1206	1996-07-10	VYDAJ	PREVOD NA UCET	3279	22355	SIPO	KL	50189578
355986	1206	1996-08-10	VYDAJ	PREVOD NA UCET	3279	21929	SIPO	KL	50189578
355987	1206	1996-09-10	VYDAJ	PREVOD NA UCET	3279	23005	SIPO	KL	50189578
355988	1206	1996-10-10	VYDAJ	PREVOD NA UCET	3279	20179	SIPO	KL	50189578
355989	1206	1996-11-10	VYDAJ	PREVOD NA UCET	3279	19744	SIPO	KL	50189578
355990	1206	1996-12-10	VYDAJ	PREVOD NA UCET	3279	18605	SIPO	KL	50189578
355991	1206	1997-01-10	VYDAJ	PREVOD NA UCET	3279	16213	SIPO	KL	50189578
355992	1206	1997-02-10	VYDAJ	PREVOD NA UCET	3279	18370	SIPO	KL	50189578
355993	1206	1997-03-10	VYDAJ	PREVOD NA UCET	3279	20533	SIPO	KL	50189578
355994	1206	1997-04-10	VYDAJ	PREVOD NA UCET	3279	20386	SIPO	KL	50189578
355995	1206	1997-05-10	VYDAJ	PREVOD NA UCET	3279	19050	SIPO	KL	50189578
355996	1206	1997-06-10	VYDAJ	PREVOD NA UCET	3279	18210	SIPO	KL	50189578
355997	1206	1997-07-10	VYDAJ	PREVOD NA UCET	3279	17766	SIPO	KL	50189578
355998	1206	1997-08-10	VYDAJ	PREVOD NA UCET	3279	15414	SIPO	KL	50189578
355999	1206	1997-09-10	VYDAJ	PREVOD NA UCET	3279	16663	SIPO	KL	50189578
356000	1206	1997-10-10	VYDAJ	PREVOD NA UCET	3279	14815	SIPO	KL	50189578
356001	1206	1997-11-10	VYDAJ	PREVOD NA UCET	3279	14876	SIPO	KL	50189578
356002	1206	1997-12-10	VYDAJ	PREVOD NA UCET	3279	13536	SIPO	KL	50189578
356003	1206	1998-01-10	VYDAJ	PREVOD NA UCET	3279	15189	SIPO	KL	50189578
356004	1206	1998-02-10	VYDAJ	PREVOD NA UCET	3279	13936	SIPO	KL	50189578
356005	1206	1998-03-10	VYDAJ	PREVOD NA UCET	3279	16092	SIPO	KL	50189578
356006	1206	1998-04-10	VYDAJ	PREVOD NA UCET	3279	16555	SIPO	KL	50189578
356007	1206	1998-05-10	VYDAJ	PREVOD NA UCET	3279	14812	SIPO	KL	50189578
356008	1206	1998-06-10	VYDAJ	PREVOD NA UCET	3279	15209	SIPO	KL	50189578
356009	1206	1998-07-10	VYDAJ	PREVOD NA UCET	3279	17368	SIPO	KL	50189578
356010	1206	1998-08-10	VYDAJ	PREVOD NA UCET	3279	13426	SIPO	KL	50189578
356011	1206	1998-09-10	VYDAJ	PREVOD NA UCET	3279	15585	SIPO	KL	50189578
356012	1206	1998-10-10	VYDAJ	PREVOD NA UCET	3279	17736	SIPO	KL	50189578
356013	1206	1998-11-10	VYDAJ	PREVOD NA UCET	3279	16056	SIPO	KL	50189578
356014	1206	1998-12-10	VYDAJ	PREVOD NA UCET	3279	18223	SIPO	KL	50189578
356016	1206	1996-06-06	VYDAJ	VYBER	5800	18063	\N	\N	\N
356021	1206	1997-01-09	VYDAJ	VYBER	2050	14109	\N	\N	\N
356024	1206	1996-12-13	VYDAJ	VYBER	1200	17405	\N	\N	\N
356025	1206	1997-12-24	VYDAJ	VYBER	500	13036	\N	\N	\N
356026	1206	1998-12-24	VYDAJ	VYBER	1150	17073	\N	\N	\N
356032	1206	1996-04-03	VYDAJ	VYBER	2080	21684	\N	\N	\N
356036	1206	1997-03-21	VYDAJ	VYBER	2320	18213	\N	\N	\N
356039	1206	1998-05-24	VYDAJ	VYBER	1760	13052	\N	\N	\N
356040	1206	1998-11-03	VYDAJ	VYBER	3840	13952	\N	\N	\N
356041	1206	1998-01-14	VYDAJ	VYBER	1600	13589	\N	\N	\N
356057	1206	1996-03-31	VYDAJ	VYBER	15	23764	SLUZBY	\N	\N
356058	1206	1996-04-30	VYDAJ	VYBER	15	21668	SLUZBY	\N	\N
356059	1206	1996-05-31	VYDAJ	VYBER	15	23863	SLUZBY	\N	\N
356060	1206	1996-06-30	VYDAJ	VYBER	15	20251	SLUZBY	\N	\N
356061	1206	1996-07-31	VYDAJ	VYBER	15	19825	SLUZBY	\N	\N
356062	1206	1996-08-31	VYDAJ	VYBER	15	20901	SLUZBY	\N	\N
356063	1206	1996-09-30	VYDAJ	VYBER	15	18075	SLUZBY	\N	\N
356064	1206	1996-10-31	VYDAJ	VYBER	15	17640	SLUZBY	\N	\N
356065	1206	1996-11-30	VYDAJ	VYBER	15	16501	SLUZBY	\N	\N
356066	1206	1996-12-31	VYDAJ	VYBER	15	16159	SLUZBY	\N	\N
356067	1206	1997-01-31	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
356068	1206	1997-02-28	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
356069	1206	1997-03-31	VYDAJ	VYBER	15	18282	SLUZBY	\N	\N
356070	1206	1997-04-30	VYDAJ	VYBER	15	16946	SLUZBY	\N	\N
356071	1206	1997-05-31	VYDAJ	VYBER	15	16106	SLUZBY	\N	\N
356072	1206	1997-06-30	VYDAJ	VYBER	15	15662	SLUZBY	\N	\N
356073	1206	1997-07-31	VYDAJ	VYBER	15	13310	SLUZBY	\N	\N
356074	1206	1997-08-31	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
356075	1206	1997-09-30	VYDAJ	VYBER	15	15511	SLUZBY	\N	\N
356076	1206	1997-10-31	VYDAJ	VYBER	15	14872	SLUZBY	\N	\N
356077	1206	1997-11-30	VYDAJ	VYBER	15	14932	SLUZBY	\N	\N
356078	1206	1997-12-31	VYDAJ	VYBER	15	13085	SLUZBY	\N	\N
356079	1206	1998-01-31	VYDAJ	VYBER	15	13632	SLUZBY	\N	\N
356080	1206	1998-02-28	VYDAJ	VYBER	15	13988	SLUZBY	\N	\N
356081	1206	1998-03-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
356082	1206	1998-04-30	VYDAJ	VYBER	15	16608	SLUZBY	\N	\N
356083	1206	1998-05-31	VYDAJ	VYBER	15	13105	SLUZBY	\N	\N
356084	1206	1998-06-30	VYDAJ	VYBER	15	15264	SLUZBY	\N	\N
356085	1206	1998-07-31	VYDAJ	VYBER	15	17422	SLUZBY	\N	\N
356086	1206	1998-08-31	VYDAJ	VYBER	15	13481	SLUZBY	\N	\N
356087	1206	1998-09-30	VYDAJ	VYBER	15	15632	SLUZBY	\N	\N
356088	1206	1998-10-31	VYDAJ	VYBER	15	17792	SLUZBY	\N	\N
356089	1206	1998-11-30	VYDAJ	VYBER	15	16119	SLUZBY	\N	\N
356090	1206	1996-02-18	VYDAJ	VYBER	900	21532	\N	\N	\N
356091	1206	1996-04-18	VYDAJ	VYBER	2200	21588	\N	\N	\N
356092	1206	1996-07-17	VYDAJ	VYBER	2600	19755	\N	\N	\N
356093	1206	1996-08-16	VYDAJ	VYBER	1100	20829	\N	\N	\N
356094	1206	1996-09-15	VYDAJ	VYBER	5000	18005	\N	\N	\N
356095	1206	1996-10-15	VYDAJ	VYBER	2600	17579	\N	\N	\N
356096	1206	1996-11-14	VYDAJ	VYBER	3300	16444	\N	\N	\N
356097	1206	1996-12-14	VYDAJ	VYBER	1300	16105	\N	\N	\N
356098	1206	1997-04-13	VYDAJ	VYBER	3500	16886	\N	\N	\N
356099	1206	1997-05-13	VYDAJ	VYBER	3000	16050	\N	\N	\N
356100	1206	1997-06-12	VYDAJ	VYBER	2600	15610	\N	\N	\N
356101	1206	1997-07-12	VYDAJ	VYBER	4500	13266	\N	\N	\N
356102	1206	1997-08-11	VYDAJ	VYBER	900	14514	\N	\N	\N
356103	1206	1997-09-10	VYDAJ	VYBER	1200	15463	\N	\N	\N
356104	1206	1997-10-10	VYDAJ	VYBER	2800	18094	\N	\N	\N
356105	1206	1997-11-09	VYDAJ	VYBER	2100	12772	\N	\N	\N
356106	1206	1997-12-09	VYDAJ	VYBER	3500	11432	\N	\N	\N
356107	1206	1998-02-07	VYDAJ	VYBER	1800	11832	\N	\N	\N
356108	1206	1998-04-08	VYDAJ	VYBER	1700	14451	\N	\N	\N
356109	1206	1998-05-08	VYDAJ	VYBER	3900	12708	\N	\N	\N
356110	1206	1998-08-06	VYDAJ	VYBER	6100	11322	\N	\N	\N
356146	1207	1993-06-08	PRIJEM	VKLAD	700	700	\N	\N	\N
356152	1207	1993-06-09	PRIJEM	VKLAD	28635	29335	\N	\N	\N
356153	1207	1993-07-09	PRIJEM	VKLAD	19090	46115	\N	\N	\N
356154	1207	1993-08-09	PRIJEM	VKLAD	19090	52879	\N	\N	\N
356155	1207	1993-09-09	PRIJEM	VKLAD	19090	56782	\N	\N	\N
356156	1207	1993-10-09	PRIJEM	VKLAD	19090	62004	\N	\N	\N
356157	1207	1993-11-09	PRIJEM	VKLAD	19090	59457	\N	\N	\N
356158	1207	1993-12-09	PRIJEM	VKLAD	28635	61135	\N	\N	\N
356159	1207	1994-01-09	PRIJEM	VKLAD	19090	56111	\N	\N	\N
356160	1207	1994-02-09	PRIJEM	VKLAD	19090	51362	\N	\N	\N
356161	1207	1994-03-09	PRIJEM	VKLAD	19090	51551	\N	\N	\N
356162	1207	1994-04-09	PRIJEM	VKLAD	19090	52452	\N	\N	\N
356163	1207	1994-05-09	PRIJEM	VKLAD	19090	54060	\N	\N	\N
356164	1207	1994-06-09	PRIJEM	VKLAD	28635	65418	\N	\N	\N
356165	1207	1994-07-09	PRIJEM	VKLAD	19090	48712	\N	\N	\N
356166	1207	1994-08-09	PRIJEM	VKLAD	19090	50675	\N	\N	\N
356167	1207	1994-09-09	PRIJEM	VKLAD	19090	54170	\N	\N	\N
356168	1207	1994-10-09	PRIJEM	VKLAD	19090	56681	\N	\N	\N
356169	1207	1994-11-09	PRIJEM	VKLAD	19090	56861	\N	\N	\N
356170	1207	1994-12-09	PRIJEM	VKLAD	28635	61582	\N	\N	\N
356171	1207	1995-01-09	PRIJEM	VKLAD	19090	54367	\N	\N	\N
356172	1207	1995-02-09	PRIJEM	VKLAD	19090	48549	\N	\N	\N
356173	1207	1995-03-09	PRIJEM	VKLAD	19090	54418	\N	\N	\N
356174	1207	1995-04-09	PRIJEM	VKLAD	19090	56468	\N	\N	\N
356175	1207	1995-05-09	PRIJEM	VKLAD	19090	57881	\N	\N	\N
356176	1207	1995-06-09	PRIJEM	VKLAD	28635	69432	\N	\N	\N
356177	1207	1995-07-09	PRIJEM	VKLAD	19090	45501	\N	\N	\N
356178	1207	1995-08-09	PRIJEM	VKLAD	19090	52657	\N	\N	\N
356179	1207	1995-09-09	PRIJEM	VKLAD	19090	56940	\N	\N	\N
356180	1207	1995-10-09	PRIJEM	VKLAD	19090	57438	\N	\N	\N
356181	1207	1995-11-09	PRIJEM	VKLAD	19090	62141	\N	\N	\N
356182	1207	1995-12-09	PRIJEM	VKLAD	28635	62493	\N	\N	\N
356183	1207	1996-01-09	PRIJEM	VKLAD	19090	60874	\N	\N	\N
356184	1207	1996-02-09	PRIJEM	VKLAD	19090	57472	\N	\N	\N
356185	1207	1996-03-09	PRIJEM	VKLAD	19090	54367	\N	\N	\N
356186	1207	1996-04-09	PRIJEM	VKLAD	19090	60156	\N	\N	\N
356187	1207	1996-05-09	PRIJEM	VKLAD	19090	60563	\N	\N	\N
356188	1207	1996-06-09	PRIJEM	VKLAD	28635	71714	\N	\N	\N
356189	1207	1996-07-09	PRIJEM	VKLAD	19090	50412	\N	\N	\N
356190	1207	1996-08-09	PRIJEM	VKLAD	19090	55296	\N	\N	\N
356191	1207	1996-09-09	PRIJEM	VKLAD	19090	59084	\N	\N	\N
356192	1207	1996-10-09	PRIJEM	VKLAD	19090	57598	\N	\N	\N
356193	1207	1996-11-09	PRIJEM	VKLAD	19090	62496	\N	\N	\N
356194	1207	1996-12-09	PRIJEM	VKLAD	28635	72251	\N	\N	\N
356195	1207	1997-01-09	PRIJEM	VKLAD	19090	59995	\N	\N	\N
356196	1207	1997-02-09	PRIJEM	VKLAD	19090	60548	\N	\N	\N
356197	1207	1997-03-09	PRIJEM	VKLAD	19090	58049	\N	\N	\N
356198	1207	1997-04-09	PRIJEM	VKLAD	19090	59404	\N	\N	\N
356199	1207	1997-05-09	PRIJEM	VKLAD	19090	57578	\N	\N	\N
356200	1207	1997-06-09	PRIJEM	VKLAD	28635	68034	\N	\N	\N
356201	1207	1997-07-09	PRIJEM	VKLAD	19090	68866	\N	\N	\N
356202	1207	1997-08-09	PRIJEM	VKLAD	19090	69299	\N	\N	\N
356203	1207	1997-09-09	PRIJEM	VKLAD	19090	67928	\N	\N	\N
356204	1207	1997-10-09	PRIJEM	VKLAD	19090	68154	\N	\N	\N
356205	1207	1997-11-09	PRIJEM	VKLAD	19090	65302	\N	\N	\N
356206	1207	1997-12-09	PRIJEM	VKLAD	28635	78382	\N	\N	\N
356207	1207	1998-01-09	PRIJEM	VKLAD	19090	67697	\N	\N	\N
356208	1207	1998-02-09	PRIJEM	VKLAD	19090	61521	\N	\N	\N
356209	1207	1998-03-09	PRIJEM	VKLAD	19090	56806	\N	\N	\N
356210	1207	1998-04-09	PRIJEM	VKLAD	19090	63699	\N	\N	\N
356211	1207	1998-05-09	PRIJEM	VKLAD	19090	64305	\N	\N	\N
356212	1207	1998-06-09	PRIJEM	VKLAD	28635	75861	\N	\N	\N
356213	1207	1998-07-09	PRIJEM	VKLAD	19090	56168	\N	\N	\N
356214	1207	1998-08-09	PRIJEM	VKLAD	19090	53136	\N	\N	\N
356215	1207	1998-09-09	PRIJEM	VKLAD	19090	52797	\N	\N	\N
356216	1207	1998-10-09	PRIJEM	VKLAD	19090	49850	\N	\N	\N
356217	1207	1998-11-09	PRIJEM	VKLAD	19090	43185	\N	\N	\N
356218	1207	1998-12-09	PRIJEM	VKLAD	28635	57372	\N	\N	\N
356228	1207	1993-10-13	VYDAJ	PREVOD NA UCET	9252	52752	SIPO	ST	70412289
356229	1207	1993-11-13	VYDAJ	PREVOD NA UCET	9252	47445	SIPO	ST	70412289
356230	1207	1993-12-13	VYDAJ	PREVOD NA UCET	9252	51883	SIPO	ST	70412289
356231	1207	1994-01-13	VYDAJ	PREVOD NA UCET	9252	46859	SIPO	ST	70412289
356232	1207	1994-02-13	VYDAJ	PREVOD NA UCET	9252	42110	SIPO	ST	70412289
356233	1207	1994-03-13	VYDAJ	PREVOD NA UCET	9252	42299	SIPO	ST	70412289
356234	1207	1994-04-13	VYDAJ	PREVOD NA UCET	9252	43200	SIPO	ST	70412289
356235	1207	1994-05-13	VYDAJ	PREVOD NA UCET	9252	44808	SIPO	ST	70412289
356236	1207	1994-06-13	VYDAJ	PREVOD NA UCET	9252	56166	SIPO	ST	70412289
356237	1207	1994-07-13	VYDAJ	PREVOD NA UCET	9252	39460	SIPO	ST	70412289
356238	1207	1994-08-13	VYDAJ	PREVOD NA UCET	9252	41423	SIPO	ST	70412289
356239	1207	1994-09-13	VYDAJ	PREVOD NA UCET	9252	44918	SIPO	ST	70412289
356240	1207	1994-10-13	VYDAJ	PREVOD NA UCET	9252	47429	SIPO	ST	70412289
356241	1207	1994-11-13	VYDAJ	PREVOD NA UCET	9252	47609	SIPO	ST	70412289
356242	1207	1994-12-13	VYDAJ	PREVOD NA UCET	9252	52330	SIPO	ST	70412289
356243	1207	1995-01-13	VYDAJ	PREVOD NA UCET	9252	39235	SIPO	ST	70412289
356244	1207	1995-02-13	VYDAJ	PREVOD NA UCET	9252	39297	SIPO	ST	70412289
356245	1207	1995-03-13	VYDAJ	PREVOD NA UCET	9252	45166	SIPO	ST	70412289
356246	1207	1995-04-13	VYDAJ	PREVOD NA UCET	9252	47216	SIPO	ST	70412289
356247	1207	1995-05-13	VYDAJ	PREVOD NA UCET	9252	48629	SIPO	ST	70412289
356248	1207	1995-06-13	VYDAJ	PREVOD NA UCET	9252	60180	SIPO	ST	70412289
356249	1207	1995-07-13	VYDAJ	PREVOD NA UCET	9252	36249	SIPO	ST	70412289
356250	1207	1995-08-13	VYDAJ	PREVOD NA UCET	9252	43405	SIPO	ST	70412289
356251	1207	1995-09-13	VYDAJ	PREVOD NA UCET	9252	47688	SIPO	ST	70412289
356252	1207	1995-10-13	VYDAJ	PREVOD NA UCET	9252	48186	SIPO	ST	70412289
356253	1207	1995-11-13	VYDAJ	PREVOD NA UCET	9252	47369	SIPO	ST	70412289
356254	1207	1995-12-13	VYDAJ	PREVOD NA UCET	9252	53241	SIPO	ST	70412289
356255	1207	1996-01-13	VYDAJ	PREVOD NA UCET	9252	51622	SIPO	ST	70412289
356256	1207	1996-02-13	VYDAJ	PREVOD NA UCET	9252	48220	SIPO	ST	70412289
356257	1207	1996-03-13	VYDAJ	PREVOD NA UCET	9252	45115	SIPO	ST	70412289
356258	1207	1996-04-13	VYDAJ	PREVOD NA UCET	9252	50904	SIPO	ST	70412289
356259	1207	1996-05-13	VYDAJ	PREVOD NA UCET	9252	47711	SIPO	ST	70412289
356260	1207	1996-06-13	VYDAJ	PREVOD NA UCET	9252	62462	SIPO	ST	70412289
356261	1207	1996-07-13	VYDAJ	PREVOD NA UCET	9252	41160	SIPO	ST	70412289
356262	1207	1996-08-13	VYDAJ	PREVOD NA UCET	9252	46044	SIPO	ST	70412289
356263	1207	1996-09-13	VYDAJ	PREVOD NA UCET	9252	49832	SIPO	ST	70412289
356264	1207	1996-10-13	VYDAJ	PREVOD NA UCET	9252	48346	SIPO	ST	70412289
356265	1207	1996-11-13	VYDAJ	PREVOD NA UCET	9252	53244	SIPO	ST	70412289
356266	1207	1996-12-13	VYDAJ	PREVOD NA UCET	9252	62999	SIPO	ST	70412289
356267	1207	1997-01-13	VYDAJ	PREVOD NA UCET	9252	49063	SIPO	ST	70412289
356268	1207	1997-02-13	VYDAJ	PREVOD NA UCET	9252	45776	SIPO	ST	70412289
356269	1207	1997-03-13	VYDAJ	PREVOD NA UCET	9252	48797	SIPO	ST	70412289
356270	1207	1997-04-13	VYDAJ	PREVOD NA UCET	9252	45232	SIPO	ST	70412289
356271	1207	1997-05-13	VYDAJ	PREVOD NA UCET	9252	48326	SIPO	ST	70412289
356272	1207	1997-06-13	VYDAJ	PREVOD NA UCET	9252	58782	SIPO	ST	70412289
356273	1207	1997-07-13	VYDAJ	PREVOD NA UCET	9252	59614	SIPO	ST	70412289
356274	1207	1997-08-13	VYDAJ	PREVOD NA UCET	9252	60047	SIPO	ST	70412289
356275	1207	1997-09-13	VYDAJ	PREVOD NA UCET	9252	58676	SIPO	ST	70412289
356276	1207	1997-10-13	VYDAJ	PREVOD NA UCET	9252	58902	SIPO	ST	70412289
356277	1207	1997-11-13	VYDAJ	PREVOD NA UCET	9252	56050	SIPO	ST	70412289
356278	1207	1997-12-13	VYDAJ	PREVOD NA UCET	9252	69130	SIPO	ST	70412289
356279	1207	1998-01-13	VYDAJ	PREVOD NA UCET	9252	58445	SIPO	ST	70412289
356280	1207	1998-02-13	VYDAJ	PREVOD NA UCET	9252	37569	SIPO	ST	70412289
356281	1207	1998-03-13	VYDAJ	PREVOD NA UCET	9252	47554	SIPO	ST	70412289
356282	1207	1998-04-13	VYDAJ	PREVOD NA UCET	9252	45047	SIPO	ST	70412289
356283	1207	1998-05-13	VYDAJ	PREVOD NA UCET	9252	47053	SIPO	ST	70412289
356284	1207	1998-06-13	VYDAJ	PREVOD NA UCET	9252	45709	SIPO	ST	70412289
356285	1207	1998-07-13	VYDAJ	PREVOD NA UCET	9252	38716	SIPO	ST	70412289
356286	1207	1998-08-13	VYDAJ	PREVOD NA UCET	9252	33584	SIPO	ST	70412289
356287	1207	1998-09-13	VYDAJ	PREVOD NA UCET	9252	30645	SIPO	ST	70412289
356288	1207	1998-10-13	VYDAJ	PREVOD NA UCET	9252	25798	SIPO	ST	70412289
356289	1207	1998-11-13	VYDAJ	PREVOD NA UCET	9252	28633	SIPO	ST	70412289
356290	1207	1998-12-13	VYDAJ	PREVOD NA UCET	9252	34920	SIPO	ST	70412289
356364	1207	1994-06-20	VYDAJ	VYBER	17920	33446	\N	\N	\N
356365	1207	1995-06-29	VYDAJ	VYBER	16960	26220	\N	\N	\N
356366	1207	1996-06-23	VYDAJ	VYBER	13120	35342	\N	\N	\N
356368	1207	1998-06-27	VYDAJ	VYBER	8800	36909	\N	\N	\N
356369	1207	1993-12-07	VYDAJ	VYBER	2240	32500	\N	\N	\N
356370	1207	1994-12-02	VYDAJ	VYBER	2560	32947	\N	\N	\N
356371	1207	1995-12-15	VYDAJ	VYBER	1120	52121	\N	\N	\N
356372	1207	1996-12-25	VYDAJ	VYBER	4000	44799	\N	\N	\N
356373	1207	1997-12-17	VYDAJ	VYBER	1920	52010	\N	\N	\N
356374	1207	1998-12-21	VYDAJ	VYBER	4480	30440	\N	\N	\N
356381	1207	1994-01-26	VYDAJ	VYBER	3360	35099	\N	\N	\N
356382	1207	1994-01-16	VYDAJ	VYBER	2880	43979	\N	\N	\N
356383	1207	1994-01-22	VYDAJ	VYBER	3000	40259	\N	\N	\N
356384	1207	1994-01-18	VYDAJ	VYBER	720	43259	\N	\N	\N
356385	1207	1994-01-08	VYDAJ	VYBER	1560	37021	\N	\N	\N
356386	1207	1994-01-24	VYDAJ	VYBER	1800	38459	\N	\N	\N
356387	1207	1995-01-12	VYDAJ	VYBER	3120	48487	\N	\N	\N
356388	1207	1995-01-24	VYDAJ	VYBER	3240	34075	\N	\N	\N
356389	1207	1995-01-09	VYDAJ	VYBER	2760	51607	\N	\N	\N
356390	1207	1995-01-26	VYDAJ	VYBER	3360	30715	\N	\N	\N
356391	1207	1995-01-02	VYDAJ	VYBER	2280	38637	\N	\N	\N
356392	1207	1995-01-05	VYDAJ	VYBER	3360	35277	\N	\N	\N
356393	1207	1996-01-28	VYDAJ	VYBER	600	40122	\N	\N	\N
356394	1207	1996-01-20	VYDAJ	VYBER	840	48022	\N	\N	\N
356395	1207	1996-01-14	VYDAJ	VYBER	2160	49462	\N	\N	\N
356396	1207	1996-01-30	VYDAJ	VYBER	1920	38202	\N	\N	\N
356397	1207	1996-01-08	VYDAJ	VYBER	2520	41784	\N	\N	\N
356398	1207	1996-01-18	VYDAJ	VYBER	600	48862	\N	\N	\N
356399	1207	1997-01-23	VYDAJ	VYBER	1080	43083	\N	\N	\N
356400	1207	1997-01-09	VYDAJ	VYBER	1680	58315	\N	\N	\N
356401	1207	1997-01-07	VYDAJ	VYBER	840	40905	\N	\N	\N
356402	1207	1997-01-27	VYDAJ	VYBER	1800	41283	\N	\N	\N
356403	1207	1997-01-07	VYDAJ	VYBER	1320	41745	\N	\N	\N
356404	1207	1997-01-06	VYDAJ	VYBER	1920	43065	\N	\N	\N
356405	1207	1998-01-01	VYDAJ	VYBER	2160	50047	\N	\N	\N
356406	1207	1998-01-05	VYDAJ	VYBER	1440	48607	\N	\N	\N
356407	1207	1998-01-18	VYDAJ	VYBER	1560	43565	\N	\N	\N
356408	1207	1998-01-14	VYDAJ	VYBER	3360	46085	\N	\N	\N
356409	1207	1998-01-17	VYDAJ	VYBER	960	45125	\N	\N	\N
356410	1207	1998-01-30	VYDAJ	VYBER	1320	42245	\N	\N	\N
356414	1207	1993-11-11	VYDAJ	VYBER	2760	56697	\N	\N	\N
356417	1207	1994-06-18	VYDAJ	VYBER	4800	51366	\N	\N	\N
356418	1207	1994-02-17	VYDAJ	VYBER	3600	38510	\N	\N	\N
356419	1207	1994-10-14	VYDAJ	VYBER	1440	45989	\N	\N	\N
356420	1207	1994-07-30	VYDAJ	VYBER	2400	35740	\N	\N	\N
356421	1207	1994-07-18	VYDAJ	VYBER	1320	38140	\N	\N	\N
356422	1207	1994-11-25	VYDAJ	VYBER	1080	46529	\N	\N	\N
356423	1207	1995-12-05	VYDAJ	VYBER	2760	33858	\N	\N	\N
356424	1207	1995-01-18	VYDAJ	VYBER	1920	37315	\N	\N	\N
356425	1207	1995-03-16	VYDAJ	VYBER	1440	43726	\N	\N	\N
356426	1207	1995-11-22	VYDAJ	VYBER	4320	43049	\N	\N	\N
356427	1207	1995-11-10	VYDAJ	VYBER	5520	56621	\N	\N	\N
356428	1207	1995-04-07	VYDAJ	VYBER	1200	37378	\N	\N	\N
356429	1207	1996-07-03	VYDAJ	VYBER	4200	31322	\N	\N	\N
356430	1207	1996-03-18	VYDAJ	VYBER	600	44515	\N	\N	\N
356431	1207	1996-05-12	VYDAJ	VYBER	3600	56963	\N	\N	\N
356432	1207	1996-09-17	VYDAJ	VYBER	2880	46952	\N	\N	\N
356433	1207	1996-02-27	VYDAJ	VYBER	4800	35120	\N	\N	\N
356434	1207	1997-11-08	VYDAJ	VYBER	3480	46212	\N	\N	\N
356435	1207	1997-04-10	VYDAJ	VYBER	4920	54484	\N	\N	\N
356436	1207	1997-03-23	VYDAJ	VYBER	5040	40157	\N	\N	\N
356437	1207	1997-02-17	VYDAJ	VYBER	4680	41096	\N	\N	\N
356438	1207	1997-02-10	VYDAJ	VYBER	5520	55028	\N	\N	\N
356439	1207	1997-06-07	VYDAJ	VYBER	1080	39399	\N	\N	\N
356440	1207	1998-07-16	VYDAJ	VYBER	1560	37156	\N	\N	\N
356441	1207	1998-11-06	VYDAJ	VYBER	1800	24095	\N	\N	\N
356442	1207	1998-07-17	VYDAJ	VYBER	3240	33916	\N	\N	\N
356453	1207	1993-10-31	VYDAJ	VYBER	15	52967	SLUZBY	\N	\N
356454	1207	1993-11-30	VYDAJ	VYBER	15	47640	SLUZBY	\N	\N
356455	1207	1993-12-31	VYDAJ	VYBER	15	52081	SLUZBY	\N	\N
356456	1207	1994-01-31	VYDAJ	VYBER	15	35272	SLUZBY	\N	\N
356457	1207	1994-02-28	VYDAJ	VYBER	15	38661	SLUZBY	\N	\N
356458	1207	1994-03-31	VYDAJ	VYBER	15	42462	SLUZBY	\N	\N
356459	1207	1994-04-30	VYDAJ	VYBER	15	43370	SLUZBY	\N	\N
356460	1207	1994-05-31	VYDAJ	VYBER	15	44983	SLUZBY	\N	\N
356461	1207	1994-06-30	VYDAJ	VYBER	15	33622	SLUZBY	\N	\N
356462	1207	1994-07-31	VYDAJ	VYBER	15	35885	SLUZBY	\N	\N
356463	1207	1994-08-31	VYDAJ	VYBER	15	41580	SLUZBY	\N	\N
356464	1207	1994-09-30	VYDAJ	VYBER	15	45091	SLUZBY	\N	\N
356465	1207	1994-10-31	VYDAJ	VYBER	15	46171	SLUZBY	\N	\N
356466	1207	1994-11-30	VYDAJ	VYBER	15	46707	SLUZBY	\N	\N
356467	1207	1994-12-31	VYDAJ	VYBER	15	40917	SLUZBY	\N	\N
356468	1207	1995-01-31	VYDAJ	VYBER	15	29459	SLUZBY	\N	\N
356469	1207	1995-02-28	VYDAJ	VYBER	15	35328	SLUZBY	\N	\N
356470	1207	1995-03-31	VYDAJ	VYBER	15	38578	SLUZBY	\N	\N
356471	1207	1995-04-30	VYDAJ	VYBER	15	38791	SLUZBY	\N	\N
356472	1207	1995-05-31	VYDAJ	VYBER	15	40797	SLUZBY	\N	\N
356473	1207	1995-06-30	VYDAJ	VYBER	15	26411	SLUZBY	\N	\N
356474	1207	1995-07-31	VYDAJ	VYBER	15	33567	SLUZBY	\N	\N
356475	1207	1995-08-31	VYDAJ	VYBER	15	37850	SLUZBY	\N	\N
356476	1207	1995-09-30	VYDAJ	VYBER	15	38348	SLUZBY	\N	\N
356477	1207	1995-10-31	VYDAJ	VYBER	15	43051	SLUZBY	\N	\N
356478	1207	1995-11-30	VYDAJ	VYBER	15	36618	SLUZBY	\N	\N
356479	1207	1995-12-31	VYDAJ	VYBER	15	44304	SLUZBY	\N	\N
356480	1207	1996-01-31	VYDAJ	VYBER	15	38382	SLUZBY	\N	\N
356481	1207	1996-02-29	VYDAJ	VYBER	15	35277	SLUZBY	\N	\N
356482	1207	1996-03-31	VYDAJ	VYBER	15	41066	SLUZBY	\N	\N
356483	1207	1996-04-30	VYDAJ	VYBER	15	41473	SLUZBY	\N	\N
356484	1207	1996-05-31	VYDAJ	VYBER	15	43079	SLUZBY	\N	\N
356485	1207	1996-06-30	VYDAJ	VYBER	15	35522	SLUZBY	\N	\N
356486	1207	1996-07-31	VYDAJ	VYBER	15	36206	SLUZBY	\N	\N
356487	1207	1996-08-31	VYDAJ	VYBER	15	39994	SLUZBY	\N	\N
356488	1207	1996-09-30	VYDAJ	VYBER	15	38508	SLUZBY	\N	\N
356489	1207	1996-10-31	VYDAJ	VYBER	15	43406	SLUZBY	\N	\N
356490	1207	1996-11-30	VYDAJ	VYBER	15	43616	SLUZBY	\N	\N
356491	1207	1996-12-31	VYDAJ	VYBER	15	44985	SLUZBY	\N	\N
356492	1207	1997-01-31	VYDAJ	VYBER	15	41458	SLUZBY	\N	\N
356493	1207	1997-02-28	VYDAJ	VYBER	15	38959	SLUZBY	\N	\N
356494	1207	1997-03-31	VYDAJ	VYBER	15	40314	SLUZBY	\N	\N
356495	1207	1997-04-30	VYDAJ	VYBER	15	38488	SLUZBY	\N	\N
356496	1207	1997-05-31	VYDAJ	VYBER	15	40479	SLUZBY	\N	\N
356497	1207	1997-06-30	VYDAJ	VYBER	15	49776	SLUZBY	\N	\N
356498	1207	1997-07-31	VYDAJ	VYBER	15	50209	SLUZBY	\N	\N
356499	1207	1997-08-31	VYDAJ	VYBER	15	48838	SLUZBY	\N	\N
356500	1207	1997-09-30	VYDAJ	VYBER	15	49064	SLUZBY	\N	\N
356501	1207	1997-10-31	VYDAJ	VYBER	15	49692	SLUZBY	\N	\N
356502	1207	1997-11-30	VYDAJ	VYBER	15	49747	SLUZBY	\N	\N
356503	1207	1997-12-31	VYDAJ	VYBER	15	52207	SLUZBY	\N	\N
356504	1207	1998-01-31	VYDAJ	VYBER	15	42431	SLUZBY	\N	\N
356505	1207	1998-02-28	VYDAJ	VYBER	15	37716	SLUZBY	\N	\N
356506	1207	1998-03-31	VYDAJ	VYBER	15	44609	SLUZBY	\N	\N
356507	1207	1998-04-30	VYDAJ	VYBER	15	45215	SLUZBY	\N	\N
356508	1207	1998-05-31	VYDAJ	VYBER	15	47226	SLUZBY	\N	\N
356509	1207	1998-06-30	VYDAJ	VYBER	15	37078	SLUZBY	\N	\N
356510	1207	1998-07-31	VYDAJ	VYBER	15	34046	SLUZBY	\N	\N
356511	1207	1998-08-31	VYDAJ	VYBER	15	33707	SLUZBY	\N	\N
356512	1207	1998-09-30	VYDAJ	VYBER	15	30760	SLUZBY	\N	\N
356513	1207	1998-10-31	VYDAJ	VYBER	15	25895	SLUZBY	\N	\N
356514	1207	1998-11-30	VYDAJ	VYBER	15	28737	SLUZBY	\N	\N
356515	1207	1993-07-08	VYDAJ	VYBER	2400	27025	\N	\N	\N
356516	1207	1993-08-07	VYDAJ	VYBER	12500	33789	\N	\N	\N
356517	1207	1993-09-06	VYDAJ	VYBER	15400	37692	\N	\N	\N
356518	1207	1993-10-06	VYDAJ	VYBER	14100	42914	\N	\N	\N
356519	1207	1993-11-05	VYDAJ	VYBER	12600	40367	\N	\N	\N
356520	1207	1993-12-05	VYDAJ	VYBER	12900	34740	\N	\N	\N
356521	1207	1994-01-04	VYDAJ	VYBER	13500	38581	\N	\N	\N
356522	1207	1994-02-03	VYDAJ	VYBER	3000	32272	\N	\N	\N
356523	1207	1994-03-05	VYDAJ	VYBER	6200	32461	\N	\N	\N
356524	1207	1994-04-04	VYDAJ	VYBER	9100	33362	\N	\N	\N
356525	1207	1994-05-04	VYDAJ	VYBER	8400	34970	\N	\N	\N
356526	1207	1994-06-03	VYDAJ	VYBER	8200	36783	\N	\N	\N
356527	1207	1994-07-03	VYDAJ	VYBER	4000	29622	\N	\N	\N
356528	1207	1994-08-02	VYDAJ	VYBER	4300	31585	\N	\N	\N
356529	1207	1994-09-01	VYDAJ	VYBER	6500	35080	\N	\N	\N
356530	1207	1994-10-01	VYDAJ	VYBER	7500	37591	\N	\N	\N
356531	1207	1994-10-31	VYDAJ	VYBER	8400	37771	\N	\N	\N
356532	1207	1994-11-30	VYDAJ	VYBER	11200	35507	\N	\N	\N
356533	1207	1994-12-30	VYDAJ	VYBER	11600	40730	\N	\N	\N
356534	1207	1995-01-29	VYDAJ	VYBER	1400	29315	\N	\N	\N
356535	1207	1995-02-28	VYDAJ	VYBER	4100	35342	\N	\N	\N
356536	1207	1995-03-30	VYDAJ	VYBER	5300	38426	\N	\N	\N
356537	1207	1995-04-29	VYDAJ	VYBER	8600	38616	\N	\N	\N
356538	1207	1995-05-29	VYDAJ	VYBER	8000	40629	\N	\N	\N
356539	1207	1995-06-28	VYDAJ	VYBER	17000	43180	\N	\N	\N
356540	1207	1995-07-28	VYDAJ	VYBER	2800	33449	\N	\N	\N
356541	1207	1995-08-27	VYDAJ	VYBER	5700	37705	\N	\N	\N
356542	1207	1995-09-26	VYDAJ	VYBER	9500	38188	\N	\N	\N
356543	1207	1995-10-26	VYDAJ	VYBER	5300	42886	\N	\N	\N
356544	1207	1995-11-25	VYDAJ	VYBER	6600	36449	\N	\N	\N
356545	1207	1995-12-25	VYDAJ	VYBER	8000	44121	\N	\N	\N
356546	1207	1996-01-24	VYDAJ	VYBER	7300	40722	\N	\N	\N
356547	1207	1996-02-23	VYDAJ	VYBER	8300	39920	\N	\N	\N
356548	1207	1996-03-24	VYDAJ	VYBER	3600	40915	\N	\N	\N
356549	1207	1996-04-23	VYDAJ	VYBER	9600	41304	\N	\N	\N
356550	1207	1996-05-23	VYDAJ	VYBER	4800	42911	\N	\N	\N
356551	1207	1996-06-22	VYDAJ	VYBER	14000	48462	\N	\N	\N
356552	1207	1996-07-22	VYDAJ	VYBER	5100	36060	\N	\N	\N
356553	1207	1996-08-21	VYDAJ	VYBER	6200	39844	\N	\N	\N
356554	1207	1996-09-20	VYDAJ	VYBER	8600	38352	\N	\N	\N
356555	1207	1996-10-20	VYDAJ	VYBER	5100	43246	\N	\N	\N
356556	1207	1996-11-19	VYDAJ	VYBER	9800	43444	\N	\N	\N
356557	1207	1996-12-19	VYDAJ	VYBER	14200	48799	\N	\N	\N
356558	1207	1997-01-18	VYDAJ	VYBER	4900	44163	\N	\N	\N
356559	1207	1997-02-17	VYDAJ	VYBER	2300	38796	\N	\N	\N
356560	1207	1997-03-19	VYDAJ	VYBER	3600	45197	\N	\N	\N
356561	1207	1997-04-18	VYDAJ	VYBER	6900	38332	\N	\N	\N
356562	1207	1997-05-18	VYDAJ	VYBER	8000	40326	\N	\N	\N
356563	1207	1997-06-17	VYDAJ	VYBER	9200	49582	\N	\N	\N
356564	1207	1997-07-17	VYDAJ	VYBER	9600	50014	\N	\N	\N
356565	1207	1997-08-16	VYDAJ	VYBER	11400	48647	\N	\N	\N
356566	1207	1997-09-15	VYDAJ	VYBER	9800	48876	\N	\N	\N
356567	1207	1997-10-15	VYDAJ	VYBER	9400	49502	\N	\N	\N
356568	1207	1997-11-14	VYDAJ	VYBER	6500	49550	\N	\N	\N
356569	1207	1997-12-14	VYDAJ	VYBER	15200	53930	\N	\N	\N
356570	1207	1998-01-13	VYDAJ	VYBER	9000	49445	\N	\N	\N
356571	1207	1998-02-12	VYDAJ	VYBER	14700	46821	\N	\N	\N
356572	1207	1998-03-14	VYDAJ	VYBER	3100	44454	\N	\N	\N
356573	1207	1998-04-13	VYDAJ	VYBER	9400	54299	\N	\N	\N
356574	1207	1998-05-13	VYDAJ	VYBER	8000	56305	\N	\N	\N
356575	1207	1998-06-12	VYDAJ	VYBER	20900	54961	\N	\N	\N
356576	1207	1998-07-12	VYDAJ	VYBER	8200	47968	\N	\N	\N
356577	1207	1998-08-11	VYDAJ	VYBER	10300	42836	\N	\N	\N
356578	1207	1998-09-10	VYDAJ	VYBER	12900	39897	\N	\N	\N
356579	1207	1998-10-10	VYDAJ	VYBER	14800	35050	\N	\N	\N
356580	1207	1998-11-09	VYDAJ	VYBER	5300	37885	\N	\N	\N
356581	1207	1998-12-09	VYDAJ	VYBER	13200	44172	\N	\N	\N
356649	1208	1997-11-09	PRIJEM	VKLAD	1000	1000	\N	\N	\N
356660	1208	1997-11-13	PRIJEM	VKLAD	16840	17840	\N	\N	\N
356661	1208	1997-12-13	PRIJEM	VKLAD	25260	47545	\N	\N	\N
356662	1208	1998-01-13	PRIJEM	VKLAD	16840	58535	\N	\N	\N
356663	1208	1998-02-13	PRIJEM	VKLAD	16840	63401	\N	\N	\N
356664	1208	1998-03-13	PRIJEM	VKLAD	16840	63996	\N	\N	\N
356665	1208	1998-04-13	PRIJEM	VKLAD	16840	62236	\N	\N	\N
356666	1208	1998-05-13	PRIJEM	VKLAD	16840	58258	\N	\N	\N
356667	1208	1998-06-13	PRIJEM	VKLAD	25260	66286	\N	\N	\N
356668	1208	1998-07-13	PRIJEM	VKLAD	16840	45021	\N	\N	\N
356669	1208	1998-08-13	PRIJEM	VKLAD	16840	51061	\N	\N	\N
356670	1208	1998-09-13	PRIJEM	VKLAD	16840	52848	\N	\N	\N
356671	1208	1998-10-13	PRIJEM	VKLAD	16840	53024	\N	\N	\N
356672	1208	1998-11-13	PRIJEM	VKLAD	16840	54962	\N	\N	\N
356673	1208	1998-12-13	PRIJEM	VKLAD	25260	65543	\N	\N	\N
356689	1208	1998-04-05	VYDAJ	PREVOD NA UCET	4426	59822	SIPO	ST	82192122
356690	1208	1998-05-05	VYDAJ	PREVOD NA UCET	4426	58044	SIPO	ST	82192122
356691	1208	1998-06-05	VYDAJ	PREVOD NA UCET	4426	54052	SIPO	ST	82192122
356692	1208	1998-07-05	VYDAJ	PREVOD NA UCET	4426	31207	SIPO	ST	82192122
356693	1208	1998-08-05	VYDAJ	PREVOD NA UCET	4426	40747	SIPO	ST	82192122
356694	1208	1998-09-05	VYDAJ	PREVOD NA UCET	4426	46814	SIPO	ST	82192122
356695	1208	1998-10-05	VYDAJ	PREVOD NA UCET	4426	48610	SIPO	ST	82192122
356696	1208	1998-11-05	VYDAJ	PREVOD NA UCET	4426	40248	SIPO	ST	82192122
356697	1208	1998-12-05	VYDAJ	PREVOD NA UCET	4426	46729	SIPO	ST	82192122
356713	1208	1998-04-07	VYDAJ	PREVOD NA UCET	2126	57696	 	IJ	36384171
356714	1208	1998-05-07	VYDAJ	PREVOD NA UCET	2126	55918	 	IJ	36384171
356715	1208	1998-06-07	VYDAJ	PREVOD NA UCET	2126	51926	 	IJ	36384171
356716	1208	1998-07-07	VYDAJ	PREVOD NA UCET	2126	28181	 	IJ	36384171
356717	1208	1998-08-07	VYDAJ	PREVOD NA UCET	2126	34221	 	IJ	36384171
356718	1208	1998-09-07	VYDAJ	PREVOD NA UCET	2126	39488	 	IJ	36384171
356719	1208	1998-10-07	VYDAJ	PREVOD NA UCET	2126	36184	 	IJ	36384171
356720	1208	1998-11-07	VYDAJ	PREVOD NA UCET	2126	38122	 	IJ	36384171
356721	1208	1998-12-07	VYDAJ	PREVOD NA UCET	2126	44603	 	IJ	36384171
356723	1208	1998-06-18	VYDAJ	VYBER	27360	38926	\N	\N	\N
356727	1208	1998-12-09	VYDAJ	VYBER	4320	40283	\N	\N	\N
356735	1208	1998-09-10	VYDAJ	VYBER	3480	36008	\N	\N	\N
356736	1208	1998-10-29	VYDAJ	VYBER	3840	49184	\N	\N	\N
356738	1208	1998-06-19	VYDAJ	VYBER	3480	35446	\N	\N	\N
356755	1208	1998-03-31	VYDAJ	VYBER	15	64248	SLUZBY	\N	\N
356756	1208	1998-04-30	VYDAJ	VYBER	15	62470	SLUZBY	\N	\N
356757	1208	1998-05-31	VYDAJ	VYBER	15	58478	SLUZBY	\N	\N
356758	1208	1998-06-30	VYDAJ	VYBER	15	35633	SLUZBY	\N	\N
356759	1208	1998-07-31	VYDAJ	VYBER	15	45173	SLUZBY	\N	\N
356760	1208	1998-08-31	VYDAJ	VYBER	15	51240	SLUZBY	\N	\N
356761	1208	1998-09-30	VYDAJ	VYBER	15	53036	SLUZBY	\N	\N
356762	1208	1998-10-31	VYDAJ	VYBER	15	49374	SLUZBY	\N	\N
356763	1208	1998-11-30	VYDAJ	VYBER	15	55155	SLUZBY	\N	\N
356764	1208	1997-12-09	PRIJEM	VKLAD	4400	22285	\N	\N	\N
356765	1208	1998-01-08	VYDAJ	VYBER	6000	41695	\N	\N	\N
356766	1208	1998-02-07	VYDAJ	VYBER	12200	46561	\N	\N	\N
356767	1208	1998-03-09	VYDAJ	VYBER	16500	47156	\N	\N	\N
356768	1208	1998-04-08	VYDAJ	VYBER	12300	45396	\N	\N	\N
356769	1208	1998-05-08	VYDAJ	VYBER	14500	41418	\N	\N	\N
356770	1208	1998-06-07	VYDAJ	VYBER	10900	41026	\N	\N	\N
356771	1208	1998-07-07	VYDAJ	VYBER	900	30307	\N	\N	\N
356772	1208	1998-08-06	VYDAJ	VYBER	4400	36347	\N	\N	\N
356773	1208	1998-09-05	VYDAJ	VYBER	5200	41614	\N	\N	\N
356774	1208	1998-10-05	VYDAJ	VYBER	10300	38310	\N	\N	\N
356775	1208	1998-11-04	VYDAJ	VYBER	4700	44674	\N	\N	\N
356776	1208	1998-12-04	VYDAJ	VYBER	4000	51155	\N	\N	\N
356791	1209	1997-10-23	PRIJEM	VKLAD	900	900	\N	\N	\N
356802	1209	1997-11-08	PRIJEM	PREVOD Z UCTU	5353	6253	DUCHOD	UV	20474791
356803	1209	1997-12-08	PRIJEM	PREVOD Z UCTU	5353	11606	DUCHOD	UV	20474791
356804	1209	1998-01-08	PRIJEM	PREVOD Z UCTU	5353	16959	DUCHOD	UV	20474791
356805	1209	1998-02-08	PRIJEM	PREVOD Z UCTU	5353	21035	DUCHOD	UV	20474791
356806	1209	1998-03-08	PRIJEM	PREVOD Z UCTU	5353	24959	DUCHOD	UV	20474791
356807	1209	1998-04-08	PRIJEM	PREVOD Z UCTU	5353	24111	DUCHOD	UV	20474791
356808	1209	1998-05-08	PRIJEM	PREVOD Z UCTU	5353	24462	DUCHOD	UV	20474791
356809	1209	1998-06-08	PRIJEM	PREVOD Z UCTU	5353	20364	DUCHOD	UV	20474791
356810	1209	1998-07-08	PRIJEM	PREVOD Z UCTU	5353	17995	DUCHOD	UV	20474791
356811	1209	1998-08-08	PRIJEM	PREVOD Z UCTU	5353	18302	DUCHOD	UV	20474791
356812	1209	1998-09-08	PRIJEM	PREVOD Z UCTU	5353	20133	DUCHOD	UV	20474791
356813	1209	1998-10-08	PRIJEM	PREVOD Z UCTU	5353	21969	DUCHOD	UV	20474791
356814	1209	1998-11-08	PRIJEM	PREVOD Z UCTU	5353	23813	DUCHOD	UV	20474791
356815	1209	1998-12-08	PRIJEM	PREVOD Z UCTU	5353	25263	DUCHOD	UV	20474791
356830	1209	1998-03-14	VYDAJ	PREVOD NA UCET	3568	21391	SIPO	AB	9581202
356831	1209	1998-04-14	VYDAJ	PREVOD NA UCET	3568	20543	SIPO	AB	9581202
356832	1209	1998-05-14	VYDAJ	PREVOD NA UCET	3568	20894	SIPO	AB	9581202
356833	1209	1998-06-14	VYDAJ	PREVOD NA UCET	3568	16796	SIPO	AB	9581202
356834	1209	1998-07-14	VYDAJ	PREVOD NA UCET	3568	14427	SIPO	AB	9581202
356835	1209	1998-08-14	VYDAJ	PREVOD NA UCET	3568	14734	SIPO	AB	9581202
356836	1209	1998-09-14	VYDAJ	PREVOD NA UCET	3568	16565	SIPO	AB	9581202
356837	1209	1998-10-14	VYDAJ	PREVOD NA UCET	3568	18401	SIPO	AB	9581202
356838	1209	1998-11-14	VYDAJ	PREVOD NA UCET	3568	20245	SIPO	AB	9581202
356839	1209	1998-12-14	VYDAJ	PREVOD NA UCET	3568	20495	SIPO	AB	9581202
356845	1209	1998-12-18	VYDAJ	VYBER	450	20045	\N	\N	\N
356851	1209	1998-12-27	VYDAJ	VYBER	1680	18365	\N	\N	\N
356853	1209	1998-11-18	VYDAJ	VYBER	400	19845	\N	\N	\N
356854	1209	1998-05-15	VYDAJ	VYBER	3840	17054	\N	\N	\N
356855	1209	1998-07-31	VYDAJ	VYBER	1120	12949	\N	\N	\N
356856	1209	1998-12-10	VYDAJ	VYBER	1200	24063	\N	\N	\N
356872	1209	1998-03-31	VYDAJ	VYBER	15	18758	SLUZBY	\N	\N
356873	1209	1998-04-30	VYDAJ	VYBER	15	19109	SLUZBY	\N	\N
356874	1209	1998-05-31	VYDAJ	VYBER	15	15011	SLUZBY	\N	\N
356875	1209	1998-06-30	VYDAJ	VYBER	15	12642	SLUZBY	\N	\N
356876	1209	1998-07-31	VYDAJ	VYBER	15	14069	SLUZBY	\N	\N
356877	1209	1998-08-31	VYDAJ	VYBER	15	14780	SLUZBY	\N	\N
356878	1209	1998-09-30	VYDAJ	VYBER	15	16616	SLUZBY	\N	\N
356879	1209	1998-10-31	VYDAJ	VYBER	15	18460	SLUZBY	\N	\N
356880	1209	1998-11-30	VYDAJ	VYBER	15	19910	SLUZBY	\N	\N
356881	1209	1998-01-21	VYDAJ	VYBER	1300	15659	\N	\N	\N
356882	1209	1998-02-20	VYDAJ	VYBER	1500	19535	\N	\N	\N
356883	1209	1998-03-22	VYDAJ	VYBER	2700	18691	\N	\N	\N
356884	1209	1998-04-21	VYDAJ	VYBER	1500	19043	\N	\N	\N
356885	1209	1998-05-21	VYDAJ	VYBER	2100	14954	\N	\N	\N
356886	1209	1998-06-20	VYDAJ	VYBER	4200	12596	\N	\N	\N
356887	1209	1998-07-20	VYDAJ	VYBER	400	14027	\N	\N	\N
356900	1210	1996-05-21	PRIJEM	VKLAD	400	400	\N	\N	\N
356906	1210	1996-06-07	PRIJEM	VKLAD	30388	30788	\N	\N	\N
356907	1210	1996-07-07	PRIJEM	VKLAD	20259	46487	\N	\N	\N
356908	1210	1996-08-07	PRIJEM	VKLAD	20259	53366	\N	\N	\N
356909	1210	1996-09-07	PRIJEM	VKLAD	20259	56668	\N	\N	\N
356910	1210	1996-10-07	PRIJEM	VKLAD	20259	60385	\N	\N	\N
356911	1210	1996-11-07	PRIJEM	VKLAD	20259	64504	\N	\N	\N
356912	1210	1996-12-07	PRIJEM	VKLAD	30388	76667	\N	\N	\N
356913	1210	1997-01-07	PRIJEM	VKLAD	20259	74640	\N	\N	\N
356914	1210	1997-02-07	PRIJEM	VKLAD	20259	64217	\N	\N	\N
356915	1210	1997-03-07	PRIJEM	VKLAD	20259	58343	\N	\N	\N
356916	1210	1997-04-07	PRIJEM	VKLAD	20259	63184	\N	\N	\N
356917	1210	1997-05-07	PRIJEM	VKLAD	20259	65111	\N	\N	\N
356918	1210	1997-06-07	PRIJEM	VKLAD	30388	78678	\N	\N	\N
356919	1210	1997-07-07	PRIJEM	VKLAD	20259	54427	\N	\N	\N
356920	1210	1997-08-07	PRIJEM	VKLAD	20259	60827	\N	\N	\N
356921	1210	1997-09-07	PRIJEM	VKLAD	20259	62845	\N	\N	\N
356922	1210	1997-10-07	PRIJEM	VKLAD	20259	65673	\N	\N	\N
356923	1210	1997-11-07	PRIJEM	VKLAD	20259	63402	\N	\N	\N
356924	1210	1997-12-07	PRIJEM	VKLAD	30388	72652	\N	\N	\N
356925	1210	1998-01-07	PRIJEM	VKLAD	20259	65989	\N	\N	\N
356926	1210	1998-02-07	PRIJEM	VKLAD	20259	58721	\N	\N	\N
356927	1210	1998-03-07	PRIJEM	VKLAD	20259	59230	\N	\N	\N
356928	1210	1998-04-07	PRIJEM	VKLAD	20259	60253	\N	\N	\N
356929	1210	1998-05-07	PRIJEM	VKLAD	20259	57856	\N	\N	\N
356930	1210	1998-06-07	PRIJEM	VKLAD	30388	58984	\N	\N	\N
356931	1210	1998-07-07	PRIJEM	VKLAD	20259	57899	\N	\N	\N
356932	1210	1998-08-07	PRIJEM	VKLAD	20259	58802	\N	\N	\N
356933	1210	1998-09-07	PRIJEM	VKLAD	20259	62016	\N	\N	\N
356934	1210	1998-10-07	PRIJEM	VKLAD	20259	62835	\N	\N	\N
356935	1210	1998-11-07	PRIJEM	VKLAD	20259	65163	\N	\N	\N
356936	1210	1998-12-07	PRIJEM	VKLAD	30388	72013	\N	\N	\N
356938	1210	1997-06-29	VYDAJ	VYBER	18100	33978	\N	\N	\N
356939	1210	1998-06-06	VYDAJ	VYBER	6100	28596	\N	\N	\N
356940	1210	1996-12-12	VYDAJ	VYBER	1200	75467	\N	\N	\N
356941	1210	1997-12-25	VYDAJ	VYBER KARTOU	700	48252	\N	\N	0
356942	1210	1998-12-09	VYDAJ	VYBER KARTOU	1300	44513	\N	\N	0
356949	1210	1997-01-21	VYDAJ	VYBER	1400	49340	\N	\N	\N
356950	1210	1997-01-29	VYDAJ	VYBER	500	46040	\N	\N	\N
356951	1210	1997-01-11	VYDAJ	VYBER	1100	71040	\N	\N	\N
356952	1210	1997-01-17	VYDAJ	VYBER	1600	50740	\N	\N	\N
356953	1210	1997-01-29	VYDAJ	VYBER	2800	46540	\N	\N	\N
356954	1210	1997-01-08	VYDAJ	VYBER	2500	72140	\N	\N	\N
356955	1210	1998-01-07	VYDAJ	VYBER KARTOU	2800	62489	\N	\N	0
356956	1210	1998-01-16	VYDAJ	VYBER KARTOU	2400	41489	\N	\N	0
356957	1210	1998-01-01	VYDAJ	VYBER KARTOU	2700	45730	\N	\N	0
356958	1210	1998-01-20	VYDAJ	VYBER KARTOU	1500	38289	\N	\N	0
356959	1210	1998-01-16	VYDAJ	VYBER KARTOU	1700	39789	\N	\N	0
356960	1210	1998-01-07	VYDAJ	VYBER KARTOU	700	65289	\N	\N	0
356962	1210	1996-11-24	VYDAJ	VYBER	1900	46104	\N	\N	\N
356966	1210	1997-02-27	VYDAJ	VYBER	4600	39117	\N	\N	\N
356967	1210	1997-01-30	VYDAJ	VYBER	2300	43740	\N	\N	\N
356968	1210	1997-03-01	VYDAJ	VYBER	1200	38084	\N	\N	\N
356969	1210	1997-10-30	VYDAJ	VYBER KARTOU	500	42973	\N	\N	0
356970	1210	1998-05-26	VYDAJ	VYBER KARTOU	3200	34556	\N	\N	0
356971	1210	1998-03-01	VYDAJ	VYBER KARTOU	1400	38971	\N	\N	0
356972	1210	1998-08-13	VYDAJ	VYBER KARTOU	700	41602	\N	\N	0
356973	1210	1998-11-11	VYDAJ	VYBER	4100	41463	\N	\N	\N
356974	1210	1998-06-10	VYDAJ	VYBER KARTOU	3300	37484	\N	\N	0
356985	1210	1996-10-31	VYDAJ	VYBER	15	44245	SLUZBY	\N	\N
356986	1210	1996-11-30	VYDAJ	VYBER	15	46279	SLUZBY	\N	\N
356987	1210	1996-12-31	VYDAJ	VYBER	15	54381	SLUZBY	\N	\N
356988	1210	1997-01-31	VYDAJ	VYBER	15	43958	SLUZBY	\N	\N
356989	1210	1997-02-28	VYDAJ	VYBER	15	39284	SLUZBY	\N	\N
356990	1210	1997-03-31	VYDAJ	VYBER	15	42925	SLUZBY	\N	\N
356991	1210	1997-04-30	VYDAJ	VYBER	15	44852	SLUZBY	\N	\N
356992	1210	1997-05-31	VYDAJ	VYBER	15	48290	SLUZBY	\N	\N
356993	1210	1997-06-30	VYDAJ	VYBER	15	34168	SLUZBY	\N	\N
356994	1210	1997-07-31	VYDAJ	VYBER	15	40568	SLUZBY	\N	\N
356995	1210	1997-08-31	VYDAJ	VYBER	15	42586	SLUZBY	\N	\N
356996	1210	1997-09-30	VYDAJ	VYBER	15	45414	SLUZBY	\N	\N
356997	1210	1997-10-31	VYDAJ	VYBER	15	43143	SLUZBY	\N	\N
356998	1210	1997-11-30	VYDAJ	VYBER	15	42264	SLUZBY	\N	\N
356999	1210	1997-12-31	VYDAJ	VYBER	15	48430	SLUZBY	\N	\N
357000	1210	1998-01-31	VYDAJ	VYBER	15	38462	SLUZBY	\N	\N
357001	1210	1998-02-28	VYDAJ	VYBER	15	40371	SLUZBY	\N	\N
357002	1210	1998-03-31	VYDAJ	VYBER	15	39994	SLUZBY	\N	\N
357003	1210	1998-04-30	VYDAJ	VYBER	15	37597	SLUZBY	\N	\N
357004	1210	1998-05-31	VYDAJ	VYBER	15	34696	SLUZBY	\N	\N
357005	1210	1998-06-30	VYDAJ	VYBER	15	37640	SLUZBY	\N	\N
357006	1210	1998-07-31	VYDAJ	VYBER	15	38543	SLUZBY	\N	\N
357007	1210	1998-08-31	VYDAJ	VYBER	15	41757	SLUZBY	\N	\N
357008	1210	1998-09-30	VYDAJ	VYBER	15	42576	SLUZBY	\N	\N
357009	1210	1998-10-31	VYDAJ	VYBER	15	44904	SLUZBY	\N	\N
357010	1210	1998-11-30	VYDAJ	VYBER	15	41625	SLUZBY	\N	\N
357011	1210	1996-06-20	VYDAJ	VYBER	4600	26188	\N	\N	\N
357012	1210	1996-07-20	VYDAJ	VYBER	13500	32987	\N	\N	\N
357013	1210	1996-08-19	VYDAJ	VYBER	17100	36266	\N	\N	\N
357014	1210	1996-09-18	VYDAJ	VYBER	16700	39968	\N	\N	\N
357015	1210	1996-10-18	VYDAJ	VYBER	16300	44085	\N	\N	\N
357016	1210	1996-11-17	VYDAJ	VYBER	16500	48004	\N	\N	\N
357017	1210	1996-12-17	VYDAJ	VYBER	21300	54167	\N	\N	\N
357018	1210	1997-01-16	VYDAJ	VYBER	18700	52340	\N	\N	\N
357019	1210	1997-02-15	VYDAJ	VYBER	20500	43717	\N	\N	\N
357020	1210	1997-03-17	VYDAJ	VYBER	15600	42743	\N	\N	\N
357021	1210	1997-04-16	VYDAJ	VYBER	18500	44684	\N	\N	\N
357022	1210	1997-05-16	VYDAJ	VYBER	17000	48111	\N	\N	\N
357023	1210	1997-06-15	VYDAJ	VYBER	26600	52078	\N	\N	\N
357024	1210	1997-07-15	VYDAJ	VYBER	14000	40427	\N	\N	\N
357025	1210	1997-08-14	VYDAJ	VYBER	18400	42427	\N	\N	\N
357026	1210	1997-09-13	VYDAJ	VYBER	17600	45245	\N	\N	\N
357027	1210	1997-10-13	VYDAJ	VYBER	22200	43473	\N	\N	\N
357028	1210	1997-11-12	VYDAJ	VYBER	21300	42102	\N	\N	\N
357029	1210	1997-12-12	VYDAJ	VYBER	23700	48952	\N	\N	\N
357030	1210	1998-01-11	VYDAJ	VYBER	18600	43889	\N	\N	\N
357031	1210	1998-02-10	VYDAJ	VYBER	18500	40221	\N	\N	\N
357032	1210	1998-03-12	VYDAJ	VYBER	19400	39830	\N	\N	\N
357033	1210	1998-04-11	VYDAJ	VYBER	22800	37453	\N	\N	\N
357034	1210	1998-05-11	VYDAJ	VYBER	20100	37756	\N	\N	\N
357035	1210	1998-06-10	VYDAJ	VYBER	18200	40784	\N	\N	\N
357036	1210	1998-07-10	VYDAJ	VYBER	19500	38399	\N	\N	\N
357037	1210	1998-08-09	VYDAJ	VYBER	16500	42302	\N	\N	\N
357038	1210	1998-09-08	VYDAJ	VYBER	19600	42416	\N	\N	\N
357039	1210	1998-10-08	VYDAJ	VYBER	18100	44735	\N	\N	\N
357040	1210	1998-11-07	VYDAJ	VYBER	19600	45563	\N	\N	\N
357041	1210	1998-12-07	VYDAJ	VYBER	26200	45813	\N	\N	\N
357073	1211	1996-08-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
357081	1211	1996-08-10	PRIJEM	VKLAD	6503	7603	\N	\N	\N
357082	1211	1996-09-10	PRIJEM	VKLAD	6503	25829	\N	\N	\N
357083	1211	1996-10-10	PRIJEM	VKLAD	6503	35916	\N	\N	\N
357084	1211	1996-11-10	PRIJEM	VKLAD	6503	41657	\N	\N	\N
357085	1211	1996-12-10	PRIJEM	VKLAD	9754	49677	\N	\N	\N
357086	1211	1997-01-10	PRIJEM	VKLAD	6503	37319	\N	\N	\N
357087	1211	1997-02-10	PRIJEM	VKLAD	6503	33120	\N	\N	\N
357088	1211	1997-03-10	PRIJEM	VKLAD	6503	37205	\N	\N	\N
357089	1211	1997-04-10	PRIJEM	VKLAD	6503	37606	\N	\N	\N
357090	1211	1997-05-10	PRIJEM	VKLAD	6503	37512	\N	\N	\N
357091	1211	1997-06-10	PRIJEM	VKLAD	9754	40969	\N	\N	\N
357092	1211	1997-07-10	PRIJEM	VKLAD	6503	29673	\N	\N	\N
357093	1211	1997-08-10	PRIJEM	VKLAD	6503	31542	\N	\N	\N
357094	1211	1997-09-10	PRIJEM	VKLAD	6503	33421	\N	\N	\N
357095	1211	1997-10-10	PRIJEM	VKLAD	6503	33508	\N	\N	\N
357096	1211	1997-11-10	PRIJEM	VKLAD	6503	34995	\N	\N	\N
357097	1211	1997-12-10	PRIJEM	VKLAD	9754	38229	\N	\N	\N
357098	1211	1998-01-10	PRIJEM	VKLAD	6503	30027	\N	\N	\N
357099	1211	1998-02-10	PRIJEM	VKLAD	6503	27885	\N	\N	\N
357100	1211	1998-03-10	PRIJEM	VKLAD	6503	30947	\N	\N	\N
357101	1211	1998-04-10	PRIJEM	VKLAD	6503	26404	\N	\N	\N
357102	1211	1998-05-10	PRIJEM	VKLAD	6503	31960	\N	\N	\N
357103	1211	1998-06-10	PRIJEM	VKLAD	9754	35589	\N	\N	\N
357104	1211	1998-07-10	PRIJEM	VKLAD	6503	24352	\N	\N	\N
357105	1211	1998-08-10	PRIJEM	VKLAD	6503	25398	\N	\N	\N
357106	1211	1998-09-10	PRIJEM	VKLAD	6503	26550	\N	\N	\N
357107	1211	1998-10-10	PRIJEM	VKLAD	6503	25407	\N	\N	\N
357108	1211	1998-11-10	PRIJEM	VKLAD	6503	21249	\N	\N	\N
357109	1211	1998-12-10	PRIJEM	VKLAD	9754	25935	\N	\N	\N
357122	1211	1997-01-06	VYDAJ	PREVOD NA UCET	3073	30816	SIPO	QR	57585883
357123	1211	1997-02-06	VYDAJ	PREVOD NA UCET	3073	26617	SIPO	QR	57585883
357124	1211	1997-03-06	VYDAJ	PREVOD NA UCET	3073	28902	SIPO	QR	57585883
357125	1211	1997-04-06	VYDAJ	PREVOD NA UCET	3073	31103	SIPO	QR	57585883
357126	1211	1997-05-06	VYDAJ	PREVOD NA UCET	3073	33409	SIPO	QR	57585883
357127	1211	1997-06-06	VYDAJ	PREVOD NA UCET	3073	31215	SIPO	QR	57585883
357128	1211	1997-07-06	VYDAJ	PREVOD NA UCET	3073	23170	SIPO	QR	57585883
357129	1211	1997-08-06	VYDAJ	PREVOD NA UCET	3073	25039	SIPO	QR	57585883
357130	1211	1997-09-06	VYDAJ	PREVOD NA UCET	3073	26918	SIPO	QR	57585883
357131	1211	1997-10-06	VYDAJ	PREVOD NA UCET	3073	27005	SIPO	QR	57585883
357132	1211	1997-11-06	VYDAJ	PREVOD NA UCET	3073	28492	SIPO	QR	57585883
357133	1211	1997-12-06	VYDAJ	PREVOD NA UCET	3073	28475	SIPO	QR	57585883
357134	1211	1998-01-06	VYDAJ	PREVOD NA UCET	3073	27624	SIPO	QR	57585883
357135	1211	1998-02-06	VYDAJ	PREVOD NA UCET	3073	21382	SIPO	QR	57585883
357136	1211	1998-03-06	VYDAJ	PREVOD NA UCET	3073	24444	SIPO	QR	57585883
357137	1211	1998-04-06	VYDAJ	PREVOD NA UCET	3073	19901	SIPO	QR	57585883
357138	1211	1998-05-06	VYDAJ	PREVOD NA UCET	3073	25457	SIPO	QR	57585883
357139	1211	1998-06-06	VYDAJ	PREVOD NA UCET	3073	25835	SIPO	QR	57585883
357140	1211	1998-07-06	VYDAJ	PREVOD NA UCET	3073	17849	SIPO	QR	57585883
357141	1211	1998-08-06	VYDAJ	PREVOD NA UCET	3073	18895	SIPO	QR	57585883
357142	1211	1998-09-06	VYDAJ	PREVOD NA UCET	3073	20047	SIPO	QR	57585883
357143	1211	1998-10-06	VYDAJ	PREVOD NA UCET	3073	18904	SIPO	QR	57585883
357144	1211	1998-11-06	VYDAJ	PREVOD NA UCET	3073	14746	SIPO	QR	57585883
357145	1211	1998-12-06	VYDAJ	PREVOD NA UCET	3073	16181	SIPO	QR	57585883
357158	1211	1997-01-05	VYDAJ	PREVOD NA UCET	890	42289	 	KL	33158874
357159	1211	1997-02-05	VYDAJ	PREVOD NA UCET	890	29690	 	KL	33158874
357160	1211	1997-03-05	VYDAJ	PREVOD NA UCET	890	31975	 	KL	33158874
357161	1211	1997-04-05	VYDAJ	PREVOD NA UCET	890	33676	 	KL	33158874
357162	1211	1997-05-05	VYDAJ	PREVOD NA UCET	890	36482	 	KL	33158874
357163	1211	1997-06-05	VYDAJ	PREVOD NA UCET	890	36388	 	KL	33158874
357164	1211	1997-07-05	VYDAJ	PREVOD NA UCET	890	26243	 	KL	33158874
357165	1211	1997-08-05	VYDAJ	PREVOD NA UCET	890	28112	 	KL	33158874
357166	1211	1997-09-05	VYDAJ	PREVOD NA UCET	890	29991	 	KL	33158874
357167	1211	1997-10-05	VYDAJ	PREVOD NA UCET	890	30078	 	KL	33158874
357168	1211	1997-11-05	VYDAJ	PREVOD NA UCET	890	31565	 	KL	33158874
357169	1211	1997-12-05	VYDAJ	PREVOD NA UCET	890	31548	 	KL	33158874
357170	1211	1998-01-05	VYDAJ	PREVOD NA UCET	890	30697	 	KL	33158874
357171	1211	1998-02-05	VYDAJ	PREVOD NA UCET	890	24455	 	KL	33158874
357172	1211	1998-03-05	VYDAJ	PREVOD NA UCET	890	27517	 	KL	33158874
357173	1211	1998-04-05	VYDAJ	PREVOD NA UCET	890	22974	 	KL	33158874
357174	1211	1998-05-05	VYDAJ	PREVOD NA UCET	890	28530	 	KL	33158874
357175	1211	1998-06-05	VYDAJ	PREVOD NA UCET	890	28908	 	KL	33158874
357176	1211	1998-07-05	VYDAJ	PREVOD NA UCET	890	20922	 	KL	33158874
357177	1211	1998-08-05	VYDAJ	PREVOD NA UCET	890	21968	 	KL	33158874
357178	1211	1998-09-05	VYDAJ	PREVOD NA UCET	890	23120	 	KL	33158874
357179	1211	1998-10-05	VYDAJ	PREVOD NA UCET	890	21977	 	KL	33158874
357180	1211	1998-11-05	VYDAJ	PREVOD NA UCET	890	17819	 	KL	33158874
357181	1211	1998-12-05	VYDAJ	PREVOD NA UCET	890	19254	 	KL	33158874
357193	1211	1996-12-10	VYDAJ	PREVOD NA UCET	372	49305	POJISTNE	OP	16959125
357194	1211	1997-01-10	VYDAJ	PREVOD NA UCET	372	36947	POJISTNE	OP	16959125
357195	1211	1997-02-10	VYDAJ	PREVOD NA UCET	372	32748	POJISTNE	OP	16959125
357196	1211	1997-03-10	VYDAJ	PREVOD NA UCET	372	36833	POJISTNE	OP	16959125
357197	1211	1997-04-10	VYDAJ	PREVOD NA UCET	372	37234	POJISTNE	OP	16959125
357198	1211	1997-05-10	VYDAJ	PREVOD NA UCET	372	37140	POJISTNE	OP	16959125
357199	1211	1997-06-10	VYDAJ	PREVOD NA UCET	372	40597	POJISTNE	OP	16959125
357200	1211	1997-07-10	VYDAJ	PREVOD NA UCET	372	29301	POJISTNE	OP	16959125
357201	1211	1997-08-10	VYDAJ	PREVOD NA UCET	372	31170	POJISTNE	OP	16959125
357202	1211	1997-09-10	VYDAJ	PREVOD NA UCET	372	33049	POJISTNE	OP	16959125
357203	1211	1997-10-10	VYDAJ	PREVOD NA UCET	372	33136	POJISTNE	OP	16959125
357204	1211	1997-11-10	VYDAJ	PREVOD NA UCET	372	34623	POJISTNE	OP	16959125
357205	1211	1997-12-10	VYDAJ	PREVOD NA UCET	372	37857	POJISTNE	OP	16959125
357206	1211	1998-01-10	VYDAJ	PREVOD NA UCET	372	29655	POJISTNE	OP	16959125
357207	1211	1998-02-10	VYDAJ	PREVOD NA UCET	372	27513	POJISTNE	OP	16959125
357208	1211	1998-03-10	VYDAJ	PREVOD NA UCET	372	30575	POJISTNE	OP	16959125
357209	1211	1998-04-10	VYDAJ	PREVOD NA UCET	372	26032	POJISTNE	OP	16959125
357210	1211	1998-05-10	VYDAJ	PREVOD NA UCET	372	31588	POJISTNE	OP	16959125
357211	1211	1998-06-10	VYDAJ	PREVOD NA UCET	372	35217	POJISTNE	OP	16959125
357212	1211	1998-07-10	VYDAJ	PREVOD NA UCET	372	23980	POJISTNE	OP	16959125
357213	1211	1998-08-10	VYDAJ	PREVOD NA UCET	372	25026	POJISTNE	OP	16959125
357214	1211	1998-09-10	VYDAJ	PREVOD NA UCET	372	26178	POJISTNE	OP	16959125
357215	1211	1998-10-10	VYDAJ	PREVOD NA UCET	372	25035	POJISTNE	OP	16959125
357216	1211	1998-11-10	VYDAJ	PREVOD NA UCET	372	20877	POJISTNE	OP	16959125
357217	1211	1998-12-10	VYDAJ	PREVOD NA UCET	372	25563	POJISTNE	OP	16959125
357219	1211	1997-06-26	VYDAJ	VYBER	16100	24497	\N	\N	\N
357220	1211	1998-06-16	VYDAJ	VYBER	13000	22217	\N	\N	\N
357222	1211	1997-01-05	VYDAJ	VYBER	6700	35589	\N	\N	\N
357223	1211	1998-01-20	VYDAJ	VYBER	4400	19655	\N	\N	\N
357224	1211	1996-12-12	VYDAJ	VYBER	2800	46505	\N	\N	\N
357225	1211	1997-12-18	VYDAJ	VYBER	2000	35857	\N	\N	\N
357226	1211	1998-12-14	VYDAJ	VYBER	1200	24363	\N	\N	\N
357233	1211	1997-01-22	VYDAJ	VYBER	2800	30047	\N	\N	\N
357234	1211	1997-01-19	VYDAJ	VYBER	2300	32847	\N	\N	\N
357235	1211	1997-01-05	VYDAJ	VYBER	2100	33489	\N	\N	\N
357236	1211	1997-01-01	VYDAJ	VYBER	2400	44279	\N	\N	\N
357237	1211	1997-01-05	VYDAJ	VYBER	1100	43179	\N	\N	\N
357238	1211	1997-01-17	VYDAJ	VYBER	1800	35147	\N	\N	\N
357239	1211	1998-01-17	VYDAJ	VYBER	2100	26655	\N	\N	\N
357240	1211	1998-01-02	VYDAJ	VYBER	600	31587	\N	\N	\N
357241	1211	1998-01-20	VYDAJ	VYBER	2600	24055	\N	\N	\N
357242	1211	1998-01-25	VYDAJ	VYBER	2100	17055	\N	\N	\N
357243	1211	1998-01-10	VYDAJ	VYBER	900	28755	\N	\N	\N
357244	1211	1998-01-25	VYDAJ	VYBER	500	19155	\N	\N	\N
357249	1211	1997-03-29	VYDAJ	VYBER	2400	34433	\N	\N	\N
357250	1211	1997-05-07	VYDAJ	VYBER	1100	31009	\N	\N	\N
357251	1211	1997-10-30	VYDAJ	VYBER	4400	28736	\N	\N	\N
357252	1211	1997-11-16	VYDAJ	VYBER	800	33823	\N	\N	\N
357253	1211	1997-11-19	VYDAJ	VYBER	3100	30723	\N	\N	\N
357254	1211	1998-07-22	VYDAJ	VYBER	2600	21380	\N	\N	\N
357255	1211	1998-03-12	VYDAJ	VYBER	2900	23775	\N	\N	\N
357256	1211	1998-01-09	VYDAJ	VYBER	4100	23524	\N	\N	\N
357257	1211	1998-03-11	VYDAJ	VYBER	3900	26675	\N	\N	\N
357258	1211	1998-10-17	VYDAJ	VYBER	4500	20535	\N	\N	\N
357271	1211	1996-12-31	VYDAJ	VYBER	15	46679	SLUZBY	\N	\N
357272	1211	1997-01-31	VYDAJ	VYBER	15	30180	SLUZBY	\N	\N
357273	1211	1997-02-28	VYDAJ	VYBER	15	32865	SLUZBY	\N	\N
357274	1211	1997-03-31	VYDAJ	VYBER	15	34566	SLUZBY	\N	\N
357275	1211	1997-04-30	VYDAJ	VYBER	15	37372	SLUZBY	\N	\N
357276	1211	1997-05-31	VYDAJ	VYBER	15	37278	SLUZBY	\N	\N
357277	1211	1997-06-30	VYDAJ	VYBER	15	24633	SLUZBY	\N	\N
357278	1211	1997-07-31	VYDAJ	VYBER	15	29402	SLUZBY	\N	\N
357279	1211	1997-08-31	VYDAJ	VYBER	15	31281	SLUZBY	\N	\N
357280	1211	1997-09-30	VYDAJ	VYBER	15	33168	SLUZBY	\N	\N
357281	1211	1997-10-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
357282	1211	1997-11-30	VYDAJ	VYBER	15	30838	SLUZBY	\N	\N
357283	1211	1997-12-31	VYDAJ	VYBER	15	35987	SLUZBY	\N	\N
357284	1211	1998-01-31	VYDAJ	VYBER	15	25345	SLUZBY	\N	\N
357285	1211	1998-02-28	VYDAJ	VYBER	15	27607	SLUZBY	\N	\N
357286	1211	1998-03-31	VYDAJ	VYBER	15	23864	SLUZBY	\N	\N
357287	1211	1998-04-30	VYDAJ	VYBER	15	26120	SLUZBY	\N	\N
357288	1211	1998-05-31	VYDAJ	VYBER	15	31698	SLUZBY	\N	\N
357289	1211	1998-06-30	VYDAJ	VYBER	15	21812	SLUZBY	\N	\N
357290	1211	1998-07-31	VYDAJ	VYBER	15	22858	SLUZBY	\N	\N
357291	1211	1998-08-31	VYDAJ	VYBER	15	24010	SLUZBY	\N	\N
357292	1211	1998-09-30	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
357293	1211	1998-10-31	VYDAJ	VYBER	15	18709	SLUZBY	\N	\N
357294	1211	1998-11-30	VYDAJ	VYBER	15	20144	SLUZBY	\N	\N
357295	1211	1996-09-08	PRIJEM	VKLAD	11700	19326	\N	\N	\N
357296	1211	1996-10-08	PRIJEM	VKLAD	3500	29413	\N	\N	\N
357297	1211	1996-11-07	VYDAJ	VYBER	900	35154	\N	\N	\N
357298	1211	1996-12-07	VYDAJ	VYBER	1900	39923	\N	\N	\N
357299	1211	1997-01-06	PRIJEM	VKLAD	400	33889	\N	\N	\N
357300	1211	1997-02-05	PRIJEM	VKLAD	400	30580	\N	\N	\N
357301	1211	1997-03-07	PRIJEM	VKLAD	1800	30702	\N	\N	\N
357302	1211	1997-04-06	PRIJEM	VKLAD	500	34176	\N	\N	\N
357303	1211	1997-05-06	VYDAJ	VYBER	1300	32109	\N	\N	\N
357304	1211	1997-06-05	VYDAJ	VYBER	2100	34288	\N	\N	\N
357305	1211	1997-07-05	PRIJEM	VKLAD	2500	27133	\N	\N	\N
357306	1211	1997-08-04	VYDAJ	VYBER	400	29002	\N	\N	\N
357307	1211	1997-09-03	VYDAJ	VYBER	400	30881	\N	\N	\N
357308	1211	1997-10-03	VYDAJ	VYBER	2200	30968	\N	\N	\N
357309	1211	1997-11-02	PRIJEM	VKLAD	3600	32455	\N	\N	\N
357310	1211	1997-12-02	PRIJEM	VKLAD	1600	32438	\N	\N	\N
357311	1211	1998-01-01	VYDAJ	VYBER	3800	32187	\N	\N	\N
357312	1211	1998-01-31	PRIJEM	VKLAD	8200	25359	\N	\N	\N
357313	1211	1998-03-02	PRIJEM	VKLAD	800	28407	\N	\N	\N
357314	1211	1998-05-01	PRIJEM	VKLAD	3300	29420	\N	\N	\N
357315	1211	1998-05-31	VYDAJ	VYBER	1900	29798	\N	\N	\N
357316	1211	1998-06-30	VYDAJ	VYBER	500	21827	\N	\N	\N
357317	1211	1998-07-30	PRIJEM	VKLAD	1400	22780	\N	\N	\N
357318	1211	1998-08-29	VYDAJ	VYBER	1100	23926	\N	\N	\N
357319	1211	1998-09-28	VYDAJ	VYBER	3400	22778	\N	\N	\N
357320	1211	1998-10-28	VYDAJ	VYBER	1900	18635	\N	\N	\N
357321	1211	1998-11-27	VYDAJ	VYBER	800	20077	\N	\N	\N
357351	1212	1995-12-18	PRIJEM	VKLAD	900	900	\N	\N	\N
357364	1212	1996-01-05	PRIJEM	PREVOD Z UCTU	6896	7796	DUCHOD	MN	69205176
357365	1212	1996-02-05	PRIJEM	PREVOD Z UCTU	6896	14692	DUCHOD	MN	69205176
357366	1212	1996-03-05	PRIJEM	PREVOD Z UCTU	6896	21588	DUCHOD	MN	69205176
357367	1212	1996-04-05	PRIJEM	PREVOD Z UCTU	6896	28484	DUCHOD	MN	69205176
357368	1212	1996-05-05	PRIJEM	PREVOD Z UCTU	6896	35380	DUCHOD	MN	69205176
357369	1212	1996-06-05	PRIJEM	PREVOD Z UCTU	6896	36067	DUCHOD	MN	69205176
357370	1212	1996-07-05	PRIJEM	PREVOD Z UCTU	6896	34166	DUCHOD	MN	69205176
357371	1212	1996-08-05	PRIJEM	PREVOD Z UCTU	6896	29197	DUCHOD	MN	69205176
357372	1212	1996-09-05	PRIJEM	PREVOD Z UCTU	6896	26769	DUCHOD	MN	69205176
357373	1212	1996-10-05	PRIJEM	PREVOD Z UCTU	6896	23987	DUCHOD	MN	69205176
357374	1212	1996-11-05	PRIJEM	PREVOD Z UCTU	6896	22936	DUCHOD	MN	69205176
357375	1212	1996-12-05	PRIJEM	PREVOD Z UCTU	6896	19901	DUCHOD	MN	69205176
357376	1212	1997-01-05	PRIJEM	PREVOD Z UCTU	6896	18832	DUCHOD	MN	69205176
357377	1212	1997-02-05	PRIJEM	PREVOD Z UCTU	6896	19687	DUCHOD	MN	69205176
357378	1212	1997-03-05	PRIJEM	PREVOD Z UCTU	6896	22028	DUCHOD	MN	69205176
357379	1212	1997-04-05	PRIJEM	PREVOD Z UCTU	6896	24378	DUCHOD	MN	69205176
357380	1212	1997-05-05	PRIJEM	PREVOD Z UCTU	6896	21321	DUCHOD	MN	69205176
357381	1212	1997-06-05	PRIJEM	PREVOD Z UCTU	6896	18353	DUCHOD	MN	69205176
357382	1212	1997-07-05	PRIJEM	PREVOD Z UCTU	6896	17878	DUCHOD	MN	69205176
357383	1212	1997-08-05	PRIJEM	PREVOD Z UCTU	6896	18105	DUCHOD	MN	69205176
357384	1212	1997-09-05	PRIJEM	PREVOD Z UCTU	6896	20138	DUCHOD	MN	69205176
357385	1212	1997-10-05	PRIJEM	PREVOD Z UCTU	6896	19068	DUCHOD	MN	69205176
357386	1212	1997-11-05	PRIJEM	PREVOD Z UCTU	6896	19097	DUCHOD	MN	69205176
357387	1212	1997-12-05	PRIJEM	PREVOD Z UCTU	6896	20028	DUCHOD	MN	69205176
357388	1212	1998-01-05	PRIJEM	PREVOD Z UCTU	6896	18054	DUCHOD	MN	69205176
357389	1212	1998-02-05	PRIJEM	PREVOD Z UCTU	6896	19632	DUCHOD	MN	69205176
357390	1212	1998-03-05	PRIJEM	PREVOD Z UCTU	6896	23776	DUCHOD	MN	69205176
357391	1212	1998-04-05	PRIJEM	PREVOD Z UCTU	6896	27947	DUCHOD	MN	69205176
357392	1212	1998-05-05	PRIJEM	PREVOD Z UCTU	6896	18981	DUCHOD	MN	69205176
357393	1212	1998-06-05	PRIJEM	PREVOD Z UCTU	6896	23132	DUCHOD	MN	69205176
357394	1212	1998-07-05	PRIJEM	PREVOD Z UCTU	6896	17966	DUCHOD	MN	69205176
357395	1212	1998-08-05	PRIJEM	PREVOD Z UCTU	6896	22103	DUCHOD	MN	69205176
357396	1212	1998-09-05	PRIJEM	PREVOD Z UCTU	6896	22158	DUCHOD	MN	69205176
357397	1212	1998-10-05	PRIJEM	PREVOD Z UCTU	6896	24015	DUCHOD	MN	69205176
357398	1212	1998-11-05	PRIJEM	PREVOD Z UCTU	6896	21888	DUCHOD	MN	69205176
357399	1212	1998-12-05	PRIJEM	PREVOD Z UCTU	6896	23945	DUCHOD	MN	69205176
357416	1212	1996-05-05	VYDAJ	PREVOD NA UCET	2805	32575	SIPO	CD	49310952
357417	1212	1996-06-05	VYDAJ	PREVOD NA UCET	2805	33262	SIPO	CD	49310952
357418	1212	1996-07-05	VYDAJ	PREVOD NA UCET	2805	31361	SIPO	CD	49310952
357419	1212	1996-08-05	VYDAJ	PREVOD NA UCET	2805	26392	SIPO	CD	49310952
357420	1212	1996-09-05	VYDAJ	PREVOD NA UCET	2805	23964	SIPO	CD	49310952
357421	1212	1996-10-05	VYDAJ	PREVOD NA UCET	2805	21182	SIPO	CD	49310952
357422	1212	1996-11-05	VYDAJ	PREVOD NA UCET	2805	20131	SIPO	CD	49310952
357423	1212	1996-12-05	VYDAJ	PREVOD NA UCET	2805	17096	SIPO	CD	49310952
357424	1212	1997-01-05	VYDAJ	PREVOD NA UCET	2805	16027	SIPO	CD	49310952
357425	1212	1997-02-05	VYDAJ	PREVOD NA UCET	2805	16882	SIPO	CD	49310952
357426	1212	1997-03-05	VYDAJ	PREVOD NA UCET	2805	19223	SIPO	CD	49310952
357427	1212	1997-04-05	VYDAJ	PREVOD NA UCET	2805	21573	SIPO	CD	49310952
357428	1212	1997-05-05	VYDAJ	PREVOD NA UCET	2805	18516	SIPO	CD	49310952
357429	1212	1997-06-05	VYDAJ	PREVOD NA UCET	2805	15548	SIPO	CD	49310952
357430	1212	1997-07-05	VYDAJ	PREVOD NA UCET	2805	15073	SIPO	CD	49310952
357431	1212	1997-08-05	VYDAJ	PREVOD NA UCET	2805	15300	SIPO	CD	49310952
357432	1212	1997-09-05	VYDAJ	PREVOD NA UCET	2805	17333	SIPO	CD	49310952
357433	1212	1997-10-05	VYDAJ	PREVOD NA UCET	2805	16263	SIPO	CD	49310952
357434	1212	1997-11-05	VYDAJ	PREVOD NA UCET	2805	16292	SIPO	CD	49310952
357435	1212	1997-12-05	VYDAJ	PREVOD NA UCET	2805	17223	SIPO	CD	49310952
357436	1212	1998-01-05	VYDAJ	PREVOD NA UCET	2805	15249	SIPO	CD	49310952
357437	1212	1998-02-05	VYDAJ	PREVOD NA UCET	2805	16827	SIPO	CD	49310952
357438	1212	1998-03-05	VYDAJ	PREVOD NA UCET	2805	20971	SIPO	CD	49310952
357439	1212	1998-04-05	VYDAJ	PREVOD NA UCET	2805	25142	SIPO	CD	49310952
357440	1212	1998-05-05	VYDAJ	PREVOD NA UCET	2805	16176	SIPO	CD	49310952
357441	1212	1998-06-05	VYDAJ	PREVOD NA UCET	2805	11027	SIPO	CD	49310952
357442	1212	1998-07-05	VYDAJ	PREVOD NA UCET	2805	15161	SIPO	CD	49310952
357443	1212	1998-08-05	VYDAJ	PREVOD NA UCET	2805	19298	SIPO	CD	49310952
357444	1212	1998-09-05	VYDAJ	PREVOD NA UCET	2805	19353	SIPO	CD	49310952
357445	1212	1998-10-05	VYDAJ	PREVOD NA UCET	2805	21210	SIPO	CD	49310952
357446	1212	1998-11-05	VYDAJ	PREVOD NA UCET	2805	19083	SIPO	CD	49310952
357447	1212	1998-12-05	VYDAJ	PREVOD NA UCET	2805	21140	SIPO	CD	49310952
357451	1212	1998-12-27	VYDAJ	VYBER	1400	16620	\N	\N	\N
357464	1212	1997-01-23	VYDAJ	VYBER	640	12747	\N	\N	\N
357465	1212	1997-01-20	VYDAJ	VYBER	960	14267	\N	\N	\N
357469	1212	1997-01-06	VYDAJ	VYBER	800	15227	\N	\N	\N
357474	1212	1998-01-05	VYDAJ	VYBER	1440	13809	\N	\N	\N
357475	1212	1998-01-18	VYDAJ	VYBER	1120	12689	\N	\N	\N
357481	1212	1996-11-30	VYDAJ	VYBER	1680	13005	\N	\N	\N
357484	1212	1996-09-25	VYDAJ	VYBER	1040	17024	\N	\N	\N
357485	1212	1996-11-10	VYDAJ	VYBER	3200	16931	\N	\N	\N
357487	1212	1996-07-23	VYDAJ	VYBER	2960	22201	\N	\N	\N
357491	1212	1997-01-21	VYDAJ	VYBER	880	13387	\N	\N	\N
357492	1212	1998-12-23	VYDAJ	VYBER	3120	18020	\N	\N	\N
357512	1212	1996-05-31	VYDAJ	VYBER	15	29171	SLUZBY	\N	\N
357513	1212	1996-06-30	VYDAJ	VYBER	15	27270	SLUZBY	\N	\N
357514	1212	1996-07-31	VYDAJ	VYBER	15	22301	SLUZBY	\N	\N
357515	1212	1996-08-31	VYDAJ	VYBER	15	19873	SLUZBY	\N	\N
357516	1212	1996-09-30	VYDAJ	VYBER	15	17091	SLUZBY	\N	\N
357517	1212	1996-10-31	VYDAJ	VYBER	15	16040	SLUZBY	\N	\N
357518	1212	1996-11-30	VYDAJ	VYBER	15	14685	SLUZBY	\N	\N
357519	1212	1996-12-31	VYDAJ	VYBER	15	11936	SLUZBY	\N	\N
357520	1212	1997-01-31	VYDAJ	VYBER	15	12791	SLUZBY	\N	\N
357521	1212	1997-02-28	VYDAJ	VYBER	15	15132	SLUZBY	\N	\N
357522	1212	1997-03-31	VYDAJ	VYBER	15	17482	SLUZBY	\N	\N
357523	1212	1997-04-30	VYDAJ	VYBER	15	14425	SLUZBY	\N	\N
357524	1212	1997-05-31	VYDAJ	VYBER	15	11457	SLUZBY	\N	\N
357525	1212	1997-06-30	VYDAJ	VYBER	15	10982	SLUZBY	\N	\N
357526	1212	1997-07-31	VYDAJ	VYBER	15	11209	SLUZBY	\N	\N
357527	1212	1997-08-31	VYDAJ	VYBER	15	13242	SLUZBY	\N	\N
357528	1212	1997-09-30	VYDAJ	VYBER	15	12172	SLUZBY	\N	\N
357529	1212	1997-10-31	VYDAJ	VYBER	15	12201	SLUZBY	\N	\N
357530	1212	1997-11-30	VYDAJ	VYBER	15	13132	SLUZBY	\N	\N
357531	1212	1997-12-31	VYDAJ	VYBER	15	11158	SLUZBY	\N	\N
357532	1212	1998-01-31	VYDAJ	VYBER	15	12736	SLUZBY	\N	\N
357533	1212	1998-02-28	VYDAJ	VYBER	15	16880	SLUZBY	\N	\N
357534	1212	1998-03-31	VYDAJ	VYBER	15	21051	SLUZBY	\N	\N
357535	1212	1998-04-30	VYDAJ	VYBER	15	12085	SLUZBY	\N	\N
357536	1212	1998-05-31	VYDAJ	VYBER	15	16236	SLUZBY	\N	\N
357537	1212	1998-06-30	VYDAJ	VYBER	15	11070	SLUZBY	\N	\N
357538	1212	1998-07-31	VYDAJ	VYBER	15	15207	SLUZBY	\N	\N
357539	1212	1998-08-31	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
357540	1212	1998-09-30	VYDAJ	VYBER	15	19419	SLUZBY	\N	\N
357541	1212	1998-10-31	VYDAJ	VYBER	15	21292	SLUZBY	\N	\N
357542	1212	1998-11-30	VYDAJ	VYBER	15	19149	SLUZBY	\N	\N
357543	1212	1996-05-16	VYDAJ	VYBER	3500	29075	\N	\N	\N
357544	1212	1996-06-15	VYDAJ	VYBER	6100	27162	\N	\N	\N
357545	1212	1996-07-15	VYDAJ	VYBER	6200	25161	\N	\N	\N
357546	1212	1996-08-14	VYDAJ	VYBER	6600	19792	\N	\N	\N
357547	1212	1996-09-13	VYDAJ	VYBER	5900	18064	\N	\N	\N
357548	1212	1996-10-13	VYDAJ	VYBER	5200	15982	\N	\N	\N
357549	1212	1996-11-12	VYDAJ	VYBER	2300	14631	\N	\N	\N
357550	1212	1996-12-12	VYDAJ	VYBER	5200	11896	\N	\N	\N
357551	1212	1997-02-10	VYDAJ	VYBER	1800	15082	\N	\N	\N
357552	1212	1997-03-12	VYDAJ	VYBER	1800	17423	\N	\N	\N
357553	1212	1997-04-11	VYDAJ	VYBER	7200	14373	\N	\N	\N
357554	1212	1997-05-11	VYDAJ	VYBER	7100	11416	\N	\N	\N
357555	1212	1997-06-10	VYDAJ	VYBER	4600	10948	\N	\N	\N
357556	1212	1997-07-10	VYDAJ	VYBER	3900	11173	\N	\N	\N
357557	1212	1997-08-09	VYDAJ	VYBER	2100	13200	\N	\N	\N
357558	1212	1997-09-08	VYDAJ	VYBER	5200	12133	\N	\N	\N
357559	1212	1997-10-08	VYDAJ	VYBER	4100	12163	\N	\N	\N
357560	1212	1997-11-07	VYDAJ	VYBER	3200	13092	\N	\N	\N
357561	1212	1997-12-07	VYDAJ	VYBER	6100	11123	\N	\N	\N
357562	1212	1998-04-06	VYDAJ	VYBER	13100	12042	\N	\N	\N
357563	1212	1998-06-05	VYDAJ	VYBER	9300	13832	\N	\N	\N
357564	1212	1998-09-03	VYDAJ	VYBER	4100	15262	\N	\N	\N
357565	1212	1998-10-03	VYDAJ	VYBER	2300	17119	\N	\N	\N
357566	1212	1998-11-02	VYDAJ	VYBER	6300	14992	\N	\N	\N
357567	1212	1998-12-02	VYDAJ	VYBER	2100	17049	\N	\N	\N
357600	1213	1996-05-08	PRIJEM	VKLAD	200	200	\N	\N	\N
357605	1213	1996-05-14	PRIJEM	PREVOD Z UCTU	4909	5109	DUCHOD	IJ	84123497
357606	1213	1996-06-14	PRIJEM	PREVOD Z UCTU	4909	10030	DUCHOD	IJ	84123497
357607	1213	1996-07-14	PRIJEM	PREVOD Z UCTU	4909	14961	DUCHOD	IJ	84123497
357608	1213	1996-08-14	PRIJEM	PREVOD Z UCTU	4909	19891	DUCHOD	IJ	84123497
357609	1213	1996-09-14	PRIJEM	PREVOD Z UCTU	4909	23821	DUCHOD	IJ	84123497
357610	1213	1996-10-14	PRIJEM	PREVOD Z UCTU	4909	22397	DUCHOD	IJ	84123497
357611	1213	1996-11-14	PRIJEM	PREVOD Z UCTU	4909	17477	DUCHOD	IJ	84123497
357612	1213	1996-12-14	PRIJEM	PREVOD Z UCTU	4909	17708	DUCHOD	IJ	84123497
357613	1213	1997-01-14	PRIJEM	PREVOD Z UCTU	4909	17127	DUCHOD	IJ	84123497
357614	1213	1997-02-14	PRIJEM	PREVOD Z UCTU	4909	15182	DUCHOD	IJ	84123497
357615	1213	1997-03-14	PRIJEM	PREVOD Z UCTU	4909	17150	DUCHOD	IJ	84123497
357616	1213	1997-04-14	PRIJEM	PREVOD Z UCTU	4909	19128	DUCHOD	IJ	84123497
357617	1213	1997-05-14	PRIJEM	PREVOD Z UCTU	4909	20233	DUCHOD	IJ	84123497
357618	1213	1997-06-14	PRIJEM	PREVOD Z UCTU	4909	21345	DUCHOD	IJ	84123497
357619	1213	1997-07-14	PRIJEM	PREVOD Z UCTU	4909	23338	DUCHOD	IJ	84123497
357620	1213	1997-08-14	PRIJEM	PREVOD Z UCTU	4909	21842	DUCHOD	IJ	84123497
357621	1213	1997-09-14	PRIJEM	PREVOD Z UCTU	4909	22179	DUCHOD	IJ	84123497
357622	1213	1997-10-14	PRIJEM	PREVOD Z UCTU	4909	24178	DUCHOD	IJ	84123497
357623	1213	1997-11-14	PRIJEM	PREVOD Z UCTU	4909	26185	DUCHOD	IJ	84123497
357624	1213	1997-12-14	PRIJEM	PREVOD Z UCTU	4909	24701	DUCHOD	IJ	84123497
357625	1213	1998-01-14	PRIJEM	PREVOD Z UCTU	4909	18181	DUCHOD	IJ	84123497
357626	1213	1998-02-14	PRIJEM	PREVOD Z UCTU	4909	15327	DUCHOD	IJ	84123497
357627	1213	1998-03-14	PRIJEM	PREVOD Z UCTU	4909	17297	DUCHOD	IJ	84123497
357628	1213	1998-04-14	PRIJEM	PREVOD Z UCTU	4909	19276	DUCHOD	IJ	84123497
357629	1213	1998-05-14	PRIJEM	PREVOD Z UCTU	4909	21263	DUCHOD	IJ	84123497
357630	1213	1998-06-14	PRIJEM	PREVOD Z UCTU	4909	23259	DUCHOD	IJ	84123497
357631	1213	1998-07-14	PRIJEM	PREVOD Z UCTU	4909	25262	DUCHOD	IJ	84123497
357632	1213	1998-08-14	PRIJEM	PREVOD Z UCTU	4909	25113	DUCHOD	IJ	84123497
357633	1213	1998-09-14	PRIJEM	PREVOD Z UCTU	4909	23680	DUCHOD	IJ	84123497
357634	1213	1998-10-14	PRIJEM	PREVOD Z UCTU	4909	24165	DUCHOD	IJ	84123497
357635	1213	1998-11-14	PRIJEM	PREVOD Z UCTU	4909	26170	DUCHOD	IJ	84123497
357636	1213	1998-12-14	PRIJEM	PREVOD Z UCTU	4909	27086	DUCHOD	IJ	84123497
357646	1213	1996-10-06	VYDAJ	PREVOD NA UCET	2984	17488	SIPO	AB	19831466
357647	1213	1996-11-06	VYDAJ	PREVOD NA UCET	2984	16488	SIPO	AB	19831466
357648	1213	1996-12-06	VYDAJ	PREVOD NA UCET	2984	13949	SIPO	AB	19831466
357649	1213	1997-01-06	VYDAJ	PREVOD NA UCET	2984	13738	SIPO	AB	19831466
357650	1213	1997-02-06	VYDAJ	PREVOD NA UCET	2984	10273	SIPO	AB	19831466
357651	1213	1997-03-06	VYDAJ	PREVOD NA UCET	2984	12241	SIPO	AB	19831466
357652	1213	1997-04-06	VYDAJ	PREVOD NA UCET	2984	14219	SIPO	AB	19831466
357653	1213	1997-05-06	VYDAJ	PREVOD NA UCET	2984	15324	SIPO	AB	19831466
357654	1213	1997-06-06	VYDAJ	PREVOD NA UCET	2984	16436	SIPO	AB	19831466
357655	1213	1997-07-06	VYDAJ	PREVOD NA UCET	2984	18429	SIPO	AB	19831466
357656	1213	1997-08-06	VYDAJ	PREVOD NA UCET	2984	16933	SIPO	AB	19831466
357657	1213	1997-09-06	VYDAJ	PREVOD NA UCET	2984	17830	SIPO	AB	19831466
357658	1213	1997-10-06	VYDAJ	PREVOD NA UCET	2984	19269	SIPO	AB	19831466
357659	1213	1997-11-06	VYDAJ	PREVOD NA UCET	2984	21276	SIPO	AB	19831466
357660	1213	1997-12-06	VYDAJ	PREVOD NA UCET	2984	22192	SIPO	AB	19831466
357661	1213	1998-01-06	VYDAJ	PREVOD NA UCET	2984	15592	SIPO	AB	19831466
357662	1213	1998-02-06	VYDAJ	PREVOD NA UCET	2984	10418	SIPO	AB	19831466
357663	1213	1998-03-06	VYDAJ	PREVOD NA UCET	2984	12388	SIPO	AB	19831466
357664	1213	1998-04-06	VYDAJ	PREVOD NA UCET	2984	14367	SIPO	AB	19831466
357665	1213	1998-05-06	VYDAJ	PREVOD NA UCET	2984	16354	SIPO	AB	19831466
357666	1213	1998-06-06	VYDAJ	PREVOD NA UCET	2984	18350	SIPO	AB	19831466
357667	1213	1998-07-06	VYDAJ	PREVOD NA UCET	2984	20353	SIPO	AB	19831466
357668	1213	1998-08-06	VYDAJ	PREVOD NA UCET	2984	20204	SIPO	AB	19831466
357669	1213	1998-09-06	VYDAJ	PREVOD NA UCET	2984	18771	SIPO	AB	19831466
357670	1213	1998-10-06	VYDAJ	PREVOD NA UCET	2984	19256	SIPO	AB	19831466
357671	1213	1998-11-06	VYDAJ	PREVOD NA UCET	2984	21261	SIPO	AB	19831466
357672	1213	1998-12-06	VYDAJ	PREVOD NA UCET	2984	22177	SIPO	AB	19831466
357678	1213	1998-01-22	VYDAJ	VYBER	750	13351	\N	\N	\N
357679	1213	1996-12-08	VYDAJ	VYBER	1150	12799	\N	\N	\N
357680	1213	1997-12-30	VYDAJ	VYBER	1050	21451	\N	\N	\N
357681	1213	1998-12-06	VYDAJ	VYBER	1100	25161	\N	\N	\N
357688	1213	1997-01-04	VYDAJ	VYBER	1040	16722	\N	\N	\N
357690	1213	1997-01-25	VYDAJ	VYBER	560	14807	\N	\N	\N
357691	1213	1997-01-11	VYDAJ	VYBER	1520	12218	\N	\N	\N
357693	1213	1997-01-22	VYDAJ	VYBER	1760	15367	\N	\N	\N
357696	1213	1998-01-08	VYDAJ	VYBER	2320	13272	\N	\N	\N
357697	1213	1998-01-19	VYDAJ	VYBER	2160	16021	\N	\N	\N
357698	1213	1998-01-19	VYDAJ	VYBER	1920	14101	\N	\N	\N
357701	1213	1996-11-07	VYDAJ	VYBER	3920	12568	\N	\N	\N
357703	1213	1997-02-02	VYDAJ	VYBER	1600	13257	\N	\N	\N
357704	1213	1997-09-11	VYDAJ	VYBER	560	17270	\N	\N	\N
357705	1213	1997-06-05	VYDAJ	VYBER	880	19420	\N	\N	\N
357706	1213	1997-12-10	VYDAJ	VYBER	2400	19792	\N	\N	\N
357707	1213	1997-04-17	VYDAJ	VYBER	880	18248	\N	\N	\N
357708	1213	1998-08-22	VYDAJ	VYBER	3440	21673	\N	\N	\N
357709	1213	1998-07-28	VYDAJ	VYBER	2160	23102	\N	\N	\N
357710	1213	1998-10-03	VYDAJ	VYBER	1520	22240	\N	\N	\N
357711	1213	1998-01-04	VYDAJ	VYBER	2960	18576	\N	\N	\N
357721	1213	1996-09-30	VYDAJ	VYBER	15	23872	SLUZBY	\N	\N
357722	1213	1996-10-31	VYDAJ	VYBER	15	22472	SLUZBY	\N	\N
357723	1213	1996-11-30	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
357724	1213	1996-12-31	VYDAJ	VYBER	15	17762	SLUZBY	\N	\N
357725	1213	1997-01-31	VYDAJ	VYBER	15	14857	SLUZBY	\N	\N
357726	1213	1997-02-28	VYDAJ	VYBER	15	15225	SLUZBY	\N	\N
357727	1213	1997-03-31	VYDAJ	VYBER	15	17203	SLUZBY	\N	\N
357728	1213	1997-04-30	VYDAJ	VYBER	15	18308	SLUZBY	\N	\N
357729	1213	1997-05-31	VYDAJ	VYBER	15	20300	SLUZBY	\N	\N
357730	1213	1997-06-30	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
357731	1213	1997-07-31	VYDAJ	VYBER	15	23417	SLUZBY	\N	\N
357732	1213	1997-08-31	VYDAJ	VYBER	15	20814	SLUZBY	\N	\N
357733	1213	1997-09-30	VYDAJ	VYBER	15	22253	SLUZBY	\N	\N
357734	1213	1997-10-31	VYDAJ	VYBER	15	24260	SLUZBY	\N	\N
357735	1213	1997-11-30	VYDAJ	VYBER	15	25176	SLUZBY	\N	\N
357736	1213	1997-12-31	VYDAJ	VYBER	15	21536	SLUZBY	\N	\N
357737	1213	1998-01-31	VYDAJ	VYBER	15	13402	SLUZBY	\N	\N
357738	1213	1998-02-28	VYDAJ	VYBER	15	15372	SLUZBY	\N	\N
357739	1213	1998-03-31	VYDAJ	VYBER	15	17351	SLUZBY	\N	\N
357740	1213	1998-04-30	VYDAJ	VYBER	15	19338	SLUZBY	\N	\N
357741	1213	1998-05-31	VYDAJ	VYBER	15	21334	SLUZBY	\N	\N
357742	1213	1998-06-30	VYDAJ	VYBER	15	23337	SLUZBY	\N	\N
357743	1213	1998-07-31	VYDAJ	VYBER	15	23188	SLUZBY	\N	\N
357744	1213	1998-08-31	VYDAJ	VYBER	15	21755	SLUZBY	\N	\N
357745	1213	1998-09-30	VYDAJ	VYBER	15	23760	SLUZBY	\N	\N
357746	1213	1998-10-31	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
357747	1213	1998-11-30	VYDAJ	VYBER	15	26261	SLUZBY	\N	\N
357748	1213	1996-09-05	VYDAJ	VYBER	1000	18912	\N	\N	\N
357749	1213	1996-10-05	VYDAJ	VYBER	3400	20472	\N	\N	\N
357750	1213	1996-11-04	VYDAJ	VYBER	3000	19472	\N	\N	\N
357751	1213	1996-12-04	VYDAJ	VYBER	600	16933	\N	\N	\N
357752	1213	1997-08-01	VYDAJ	VYBER	3500	19917	\N	\N	\N
357753	1213	1997-08-31	VYDAJ	VYBER	1100	20829	\N	\N	\N
357754	1213	1997-11-29	VYDAJ	VYBER	1100	25085	\N	\N	\N
357755	1213	1997-12-29	VYDAJ	VYBER	2200	22501	\N	\N	\N
357788	1214	1997-01-19	PRIJEM	VKLAD	500	500	\N	\N	\N
357790	1214	1997-02-08	PRIJEM	VKLAD	16521	17021	\N	\N	\N
357791	1214	1997-03-08	PRIJEM	VKLAD	16521	35573	\N	\N	\N
357792	1214	1997-04-08	PRIJEM	VKLAD	16521	47292	\N	\N	\N
357793	1214	1997-05-08	PRIJEM	VKLAD	16521	50546	\N	\N	\N
357794	1214	1997-06-08	PRIJEM	VKLAD	24782	59571	\N	\N	\N
357795	1214	1997-07-08	PRIJEM	VKLAD	16521	40454	\N	\N	\N
357796	1214	1997-08-08	PRIJEM	VKLAD	16521	47310	\N	\N	\N
357797	1214	1997-09-08	PRIJEM	VKLAD	16521	44281	\N	\N	\N
357798	1214	1997-10-08	PRIJEM	VKLAD	16521	51469	\N	\N	\N
357799	1214	1997-11-08	PRIJEM	VKLAD	16521	52063	\N	\N	\N
357800	1214	1997-12-08	PRIJEM	VKLAD	24782	63238	\N	\N	\N
357801	1214	1998-01-08	PRIJEM	VKLAD	16521	62956	\N	\N	\N
357802	1214	1998-02-08	PRIJEM	VKLAD	16521	62403	\N	\N	\N
357803	1214	1998-03-08	PRIJEM	VKLAD	16521	59925	\N	\N	\N
357804	1214	1998-04-08	PRIJEM	VKLAD	16521	56641	\N	\N	\N
357805	1214	1998-05-08	PRIJEM	VKLAD	16521	63061	\N	\N	\N
357806	1214	1998-06-08	PRIJEM	VKLAD	24782	71357	\N	\N	\N
357807	1214	1998-07-08	PRIJEM	VKLAD	16521	53766	\N	\N	\N
357808	1214	1998-08-08	PRIJEM	VKLAD	16521	57868	\N	\N	\N
357809	1214	1998-09-08	PRIJEM	VKLAD	16521	56475	\N	\N	\N
357810	1214	1998-10-08	PRIJEM	VKLAD	16521	59989	\N	\N	\N
357811	1214	1998-11-08	PRIJEM	VKLAD	16521	61513	\N	\N	\N
357812	1214	1998-12-08	PRIJEM	VKLAD	24782	70603	\N	\N	\N
357818	1214	1997-06-14	VYDAJ	PREVOD NA UCET	4469	55102	SIPO	EF	29751098
357819	1214	1997-07-14	VYDAJ	PREVOD NA UCET	4469	35985	SIPO	EF	29751098
357820	1214	1997-08-14	VYDAJ	PREVOD NA UCET	4469	42841	SIPO	EF	29751098
357821	1214	1997-09-14	VYDAJ	PREVOD NA UCET	4469	39812	SIPO	EF	29751098
357822	1214	1997-10-14	VYDAJ	PREVOD NA UCET	4469	47000	SIPO	EF	29751098
357823	1214	1997-11-14	VYDAJ	PREVOD NA UCET	4469	47594	SIPO	EF	29751098
357824	1214	1997-12-14	VYDAJ	PREVOD NA UCET	4469	58769	SIPO	EF	29751098
357825	1214	1998-01-14	VYDAJ	PREVOD NA UCET	4469	52887	SIPO	EF	29751098
357826	1214	1998-02-14	VYDAJ	PREVOD NA UCET	4469	43234	SIPO	EF	29751098
357827	1214	1998-03-14	VYDAJ	PREVOD NA UCET	4469	55456	SIPO	EF	29751098
357828	1214	1998-04-14	VYDAJ	PREVOD NA UCET	4469	52172	SIPO	EF	29751098
357829	1214	1998-05-14	VYDAJ	PREVOD NA UCET	4469	58592	SIPO	EF	29751098
357830	1214	1998-06-14	VYDAJ	PREVOD NA UCET	4469	37088	SIPO	EF	29751098
357831	1214	1998-07-14	VYDAJ	PREVOD NA UCET	4469	41197	SIPO	EF	29751098
357832	1214	1998-08-14	VYDAJ	PREVOD NA UCET	4469	39799	SIPO	EF	29751098
357833	1214	1998-09-14	VYDAJ	PREVOD NA UCET	4469	43306	SIPO	EF	29751098
357834	1214	1998-10-14	VYDAJ	PREVOD NA UCET	4469	44820	SIPO	EF	29751098
357835	1214	1998-11-14	VYDAJ	PREVOD NA UCET	4469	45644	SIPO	EF	29751098
357836	1214	1998-12-14	VYDAJ	PREVOD NA UCET	4469	52134	SIPO	EF	29751098
357837	1214	1997-06-22	VYDAJ	VYBER	16600	23802	\N	\N	\N
357838	1214	1998-06-12	VYDAJ	VYBER	23900	47457	\N	\N	\N
357840	1214	1998-01-13	VYDAJ	VYBER	5600	57356	\N	\N	\N
357842	1214	1997-09-01	VYDAJ	VYBER	3400	27760	\N	\N	\N
357843	1214	1997-11-02	VYDAJ	VYBER	3300	35542	\N	\N	\N
357844	1214	1997-11-22	VYDAJ	VYBER	2900	38294	\N	\N	\N
357847	1214	1998-05-30	VYDAJ	VYBER	2400	46392	\N	\N	\N
357848	1214	1998-03-22	VYDAJ	VYBER	4600	39956	\N	\N	\N
357855	1214	1997-06-30	VYDAJ	VYBER	15	23933	SLUZBY	\N	\N
357856	1214	1997-07-31	VYDAJ	VYBER	15	30789	SLUZBY	\N	\N
357857	1214	1997-08-31	VYDAJ	VYBER	15	31160	SLUZBY	\N	\N
357858	1214	1997-09-30	VYDAJ	VYBER	15	34948	SLUZBY	\N	\N
357859	1214	1997-10-31	VYDAJ	VYBER	15	38842	SLUZBY	\N	\N
357860	1214	1997-11-30	VYDAJ	VYBER	15	38456	SLUZBY	\N	\N
357861	1214	1997-12-31	VYDAJ	VYBER	15	46435	SLUZBY	\N	\N
357862	1214	1998-01-31	VYDAJ	VYBER	15	45882	SLUZBY	\N	\N
357863	1214	1998-02-28	VYDAJ	VYBER	15	43404	SLUZBY	\N	\N
357864	1214	1998-03-31	VYDAJ	VYBER	15	40120	SLUZBY	\N	\N
357865	1214	1998-04-30	VYDAJ	VYBER	15	46540	SLUZBY	\N	\N
357866	1214	1998-05-31	VYDAJ	VYBER	15	46575	SLUZBY	\N	\N
357867	1214	1998-06-30	VYDAJ	VYBER	15	37245	SLUZBY	\N	\N
357868	1214	1998-07-31	VYDAJ	VYBER	15	41347	SLUZBY	\N	\N
357869	1214	1998-08-31	VYDAJ	VYBER	15	39954	SLUZBY	\N	\N
357870	1214	1998-09-30	VYDAJ	VYBER	15	43468	SLUZBY	\N	\N
357871	1214	1998-10-31	VYDAJ	VYBER	15	44992	SLUZBY	\N	\N
357872	1214	1998-11-30	VYDAJ	VYBER	15	45821	SLUZBY	\N	\N
357873	1214	1997-02-18	PRIJEM	VKLAD	2000	19021	\N	\N	\N
357874	1214	1997-03-20	VYDAJ	VYBER	4900	30673	\N	\N	\N
357875	1214	1997-04-19	VYDAJ	VYBER	13400	33892	\N	\N	\N
357876	1214	1997-05-19	VYDAJ	VYBER	15900	34646	\N	\N	\N
357877	1214	1997-06-18	VYDAJ	VYBER	14700	40402	\N	\N	\N
357878	1214	1997-07-18	VYDAJ	VYBER	5300	30685	\N	\N	\N
357879	1214	1997-08-17	VYDAJ	VYBER	11800	31041	\N	\N	\N
357880	1214	1997-09-16	VYDAJ	VYBER	5000	34812	\N	\N	\N
357881	1214	1997-10-16	VYDAJ	VYBER	8300	38700	\N	\N	\N
357882	1214	1997-11-15	VYDAJ	VYBER	6400	41194	\N	\N	\N
357883	1214	1997-12-15	VYDAJ	VYBER	12500	46269	\N	\N	\N
357884	1214	1998-01-14	VYDAJ	VYBER	7200	45687	\N	\N	\N
357885	1214	1998-02-13	VYDAJ	VYBER	14700	47703	\N	\N	\N
357886	1214	1998-03-15	VYDAJ	VYBER	10900	44556	\N	\N	\N
357887	1214	1998-04-14	VYDAJ	VYBER	5800	46372	\N	\N	\N
357888	1214	1998-05-14	VYDAJ	VYBER	9800	48792	\N	\N	\N
357889	1214	1998-06-13	VYDAJ	VYBER	5900	41557	\N	\N	\N
357890	1214	1998-07-13	VYDAJ	VYBER	8100	45666	\N	\N	\N
357891	1214	1998-08-12	VYDAJ	VYBER	13600	44268	\N	\N	\N
357892	1214	1998-09-11	VYDAJ	VYBER	8700	47775	\N	\N	\N
357893	1214	1998-10-11	VYDAJ	VYBER	10700	49289	\N	\N	\N
357894	1214	1998-11-10	VYDAJ	VYBER	11400	50113	\N	\N	\N
357895	1214	1998-12-10	VYDAJ	VYBER	14000	56603	\N	\N	\N
357919	1215	1997-03-04	PRIJEM	VKLAD	900	900	\N	\N	\N
357922	1215	1997-03-09	PRIJEM	PREVOD Z UCTU	5273	6173	DUCHOD	ST	62547105
357923	1215	1997-04-09	PRIJEM	PREVOD Z UCTU	5273	11465	DUCHOD	ST	62547105
357924	1215	1997-05-09	PRIJEM	PREVOD Z UCTU	5273	16764	DUCHOD	ST	62547105
357925	1215	1997-06-09	PRIJEM	PREVOD Z UCTU	5273	22063	DUCHOD	ST	62547105
357926	1215	1997-07-09	PRIJEM	PREVOD Z UCTU	5273	27361	DUCHOD	ST	62547105
357927	1215	1997-08-09	PRIJEM	PREVOD Z UCTU	5273	30183	DUCHOD	ST	62547105
357928	1215	1997-09-09	PRIJEM	PREVOD Z UCTU	5273	32643	DUCHOD	ST	62547105
357929	1215	1997-10-09	PRIJEM	PREVOD Z UCTU	5273	30349	DUCHOD	ST	62547105
357930	1215	1997-11-09	PRIJEM	PREVOD Z UCTU	5273	28310	DUCHOD	ST	62547105
357931	1215	1997-12-09	PRIJEM	PREVOD Z UCTU	5273	23461	DUCHOD	ST	62547105
357932	1215	1998-01-09	PRIJEM	PREVOD Z UCTU	5273	20578	DUCHOD	ST	62547105
357933	1215	1998-02-09	PRIJEM	PREVOD Z UCTU	5273	18511	DUCHOD	ST	62547105
357934	1215	1998-03-09	PRIJEM	PREVOD Z UCTU	5273	21323	DUCHOD	ST	62547105
357935	1215	1998-04-09	PRIJEM	PREVOD Z UCTU	5273	19621	DUCHOD	ST	62547105
357936	1215	1998-05-09	PRIJEM	PREVOD Z UCTU	5273	19234	DUCHOD	ST	62547105
357937	1215	1998-06-09	PRIJEM	PREVOD Z UCTU	5273	20766	DUCHOD	ST	62547105
357938	1215	1998-07-09	PRIJEM	PREVOD Z UCTU	5273	23588	DUCHOD	ST	62547105
357939	1215	1998-08-09	PRIJEM	PREVOD Z UCTU	5273	26421	DUCHOD	ST	62547105
357940	1215	1998-09-09	PRIJEM	PREVOD Z UCTU	5273	27424	DUCHOD	ST	62547105
357941	1215	1998-10-09	PRIJEM	PREVOD Z UCTU	5273	30273	DUCHOD	ST	62547105
357942	1215	1998-11-09	PRIJEM	PREVOD Z UCTU	5273	33134	DUCHOD	ST	62547105
357943	1215	1998-12-09	PRIJEM	PREVOD Z UCTU	5273	35286	DUCHOD	ST	62547105
357950	1215	1997-07-14	VYDAJ	PREVOD NA UCET	2508	24853	SIPO	QR	60905134
357951	1215	1997-08-14	VYDAJ	PREVOD NA UCET	2508	27675	SIPO	QR	60905134
357952	1215	1997-09-14	VYDAJ	PREVOD NA UCET	2508	27975	SIPO	QR	60905134
357953	1215	1997-10-14	VYDAJ	PREVOD NA UCET	2508	27841	SIPO	QR	60905134
357954	1215	1997-11-14	VYDAJ	PREVOD NA UCET	2508	25802	SIPO	QR	60905134
357955	1215	1997-12-14	VYDAJ	PREVOD NA UCET	2508	20453	SIPO	QR	60905134
357956	1215	1998-01-14	VYDAJ	PREVOD NA UCET	2508	13190	SIPO	QR	60905134
357957	1215	1998-02-14	VYDAJ	PREVOD NA UCET	2508	16003	SIPO	QR	60905134
357958	1215	1998-03-14	VYDAJ	PREVOD NA UCET	2508	18815	SIPO	QR	60905134
357959	1215	1998-04-14	VYDAJ	PREVOD NA UCET	2508	17113	SIPO	QR	60905134
357960	1215	1998-05-14	VYDAJ	PREVOD NA UCET	2508	16726	SIPO	QR	60905134
357961	1215	1998-06-14	VYDAJ	PREVOD NA UCET	2508	18258	SIPO	QR	60905134
357962	1215	1998-07-14	VYDAJ	PREVOD NA UCET	2508	21080	SIPO	QR	60905134
357963	1215	1998-08-14	VYDAJ	PREVOD NA UCET	2508	23913	SIPO	QR	60905134
357964	1215	1998-09-14	VYDAJ	PREVOD NA UCET	2508	24916	SIPO	QR	60905134
357965	1215	1998-10-14	VYDAJ	PREVOD NA UCET	2508	27765	SIPO	QR	60905134
357966	1215	1998-11-14	VYDAJ	PREVOD NA UCET	2508	30626	SIPO	QR	60905134
357967	1215	1998-12-14	VYDAJ	PREVOD NA UCET	2508	32778	SIPO	QR	60905134
357972	1215	1997-12-10	VYDAJ	VYBER	500	22961	\N	\N	\N
357973	1215	1998-12-24	VYDAJ	VYBER	750	32028	\N	\N	\N
357981	1215	1998-01-08	VYDAJ	VYBER	2320	15305	\N	\N	\N
357982	1215	1998-01-13	VYDAJ	VYBER	2000	15698	\N	\N	\N
357983	1215	1998-01-10	VYDAJ	VYBER	1440	17698	\N	\N	\N
357985	1215	1998-01-10	VYDAJ	VYBER	1440	19138	\N	\N	\N
357987	1215	1997-12-03	VYDAJ	VYBER	2800	18188	\N	\N	\N
357989	1215	1997-09-13	VYDAJ	VYBER	2160	30483	\N	\N	\N
357990	1215	1998-05-16	VYDAJ	VYBER	1280	15446	\N	\N	\N
357991	1215	1998-11-30	VYDAJ	VYBER	720	30028	\N	\N	\N
357992	1215	1998-03-16	VYDAJ	VYBER	2320	16495	\N	\N	\N
357993	1215	1998-04-23	VYDAJ	VYBER	3200	13913	\N	\N	\N
357994	1215	1998-08-22	VYDAJ	VYBER	1840	22073	\N	\N	\N
358002	1215	1997-07-31	VYDAJ	VYBER	15	24910	SLUZBY	\N	\N
358003	1215	1997-08-31	VYDAJ	VYBER	15	27770	SLUZBY	\N	\N
358004	1215	1997-09-30	VYDAJ	VYBER	15	25076	SLUZBY	\N	\N
358005	1215	1997-10-31	VYDAJ	VYBER	15	23037	SLUZBY	\N	\N
358006	1215	1997-11-30	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
358007	1215	1997-12-31	VYDAJ	VYBER	15	17625	SLUZBY	\N	\N
358008	1215	1998-01-31	VYDAJ	VYBER	15	13238	SLUZBY	\N	\N
358009	1215	1998-02-28	VYDAJ	VYBER	15	16050	SLUZBY	\N	\N
358010	1215	1998-03-31	VYDAJ	VYBER	15	14348	SLUZBY	\N	\N
358011	1215	1998-04-30	VYDAJ	VYBER	15	13961	SLUZBY	\N	\N
358012	1215	1998-05-31	VYDAJ	VYBER	15	15493	SLUZBY	\N	\N
358013	1215	1998-06-30	VYDAJ	VYBER	15	18315	SLUZBY	\N	\N
358014	1215	1998-07-31	VYDAJ	VYBER	15	21148	SLUZBY	\N	\N
358015	1215	1998-08-31	VYDAJ	VYBER	15	22151	SLUZBY	\N	\N
358016	1215	1998-09-30	VYDAJ	VYBER	15	25000	SLUZBY	\N	\N
358017	1215	1998-10-31	VYDAJ	VYBER	15	27861	SLUZBY	\N	\N
358018	1215	1998-11-30	VYDAJ	VYBER	15	30013	SLUZBY	\N	\N
358019	1215	1997-08-31	VYDAJ	VYBER	400	27370	\N	\N	\N
358020	1215	1997-09-30	VYDAJ	VYBER	3000	25091	\N	\N	\N
358021	1215	1997-10-30	VYDAJ	VYBER	4900	22941	\N	\N	\N
358022	1215	1997-11-29	VYDAJ	VYBER	4900	20902	\N	\N	\N
358023	1215	1997-12-29	VYDAJ	VYBER	2900	17553	\N	\N	\N
358024	1215	1998-03-29	VYDAJ	VYBER	2200	14295	\N	\N	\N
358047	1216	1996-03-01	PRIJEM	VKLAD	500	500	\N	\N	\N
358050	1216	1996-03-05	PRIJEM	PREVOD Z UCTU	3524	4024	\N	OP	67353
358051	1216	1996-04-05	PRIJEM	PREVOD Z UCTU	3524	17164	\N	OP	67353
358052	1216	1996-05-05	PRIJEM	PREVOD Z UCTU	3524	21945	\N	OP	67353
358053	1216	1996-06-05	PRIJEM	PREVOD Z UCTU	3524	24947	\N	OP	67353
358054	1216	1996-07-05	PRIJEM	PREVOD Z UCTU	3524	26560	\N	OP	67353
358055	1216	1996-08-05	PRIJEM	PREVOD Z UCTU	3524	20425	\N	OP	67353
358056	1216	1996-09-05	PRIJEM	PREVOD Z UCTU	3524	20760	\N	OP	67353
358057	1216	1996-10-05	PRIJEM	PREVOD Z UCTU	3524	16493	\N	OP	67353
358058	1216	1996-11-05	PRIJEM	PREVOD Z UCTU	3524	18119	\N	OP	67353
358059	1216	1996-12-05	PRIJEM	PREVOD Z UCTU	3524	16549	\N	OP	67353
358060	1216	1997-01-05	PRIJEM	PREVOD Z UCTU	3524	20079	\N	OP	67353
358061	1216	1997-02-05	PRIJEM	PREVOD Z UCTU	3524	20330	\N	OP	67353
358062	1216	1997-03-05	PRIJEM	PREVOD Z UCTU	3524	23867	\N	OP	67353
358063	1216	1997-04-05	PRIJEM	PREVOD Z UCTU	3524	26424	\N	OP	67353
358064	1216	1997-05-05	PRIJEM	PREVOD Z UCTU	3524	24681	\N	OP	67353
358065	1216	1997-06-05	PRIJEM	PREVOD Z UCTU	3524	26034	\N	OP	67353
358066	1216	1997-07-05	PRIJEM	PREVOD Z UCTU	3524	26341	\N	OP	67353
358067	1216	1997-08-05	PRIJEM	PREVOD Z UCTU	3524	25258	\N	OP	67353
358068	1216	1997-09-05	PRIJEM	PREVOD Z UCTU	3524	26044	\N	OP	67353
358069	1216	1997-10-05	PRIJEM	PREVOD Z UCTU	3524	27817	\N	OP	67353
358070	1216	1997-11-05	PRIJEM	PREVOD Z UCTU	3524	26484	\N	OP	67353
358071	1216	1997-12-05	PRIJEM	PREVOD Z UCTU	3524	28040	\N	OP	67353
358072	1216	1998-01-05	PRIJEM	PREVOD Z UCTU	3524	27900	\N	OP	67353
358073	1216	1998-02-05	PRIJEM	PREVOD Z UCTU	3524	27068	\N	OP	67353
358074	1216	1998-03-05	PRIJEM	PREVOD Z UCTU	3524	22526	\N	OP	67353
358075	1216	1998-04-05	PRIJEM	PREVOD Z UCTU	3524	17460	\N	OP	67353
358076	1216	1998-05-05	PRIJEM	PREVOD Z UCTU	3524	19384	\N	OP	67353
358077	1216	1998-06-05	PRIJEM	PREVOD Z UCTU	3524	16713	\N	OP	67353
358078	1216	1998-07-05	PRIJEM	PREVOD Z UCTU	3524	21142	\N	OP	67353
358079	1216	1998-08-05	PRIJEM	PREVOD Z UCTU	3524	24683	\N	OP	67353
358080	1216	1998-09-05	PRIJEM	PREVOD Z UCTU	3524	20718	\N	OP	67353
358081	1216	1998-10-05	PRIJEM	PREVOD Z UCTU	3524	21453	\N	OP	67353
358082	1216	1998-11-05	PRIJEM	PREVOD Z UCTU	3524	24495	\N	OP	67353
358083	1216	1998-12-05	PRIJEM	PREVOD Z UCTU	3524	23373	\N	OP	67353
358090	1216	1996-07-05	VYDAJ	PREVOD NA UCET	2349	24211	SIPO	OP	9067219
358091	1216	1996-08-05	VYDAJ	PREVOD NA UCET	2349	18076	SIPO	OP	9067219
358092	1216	1996-09-05	VYDAJ	PREVOD NA UCET	2349	18411	SIPO	OP	9067219
358093	1216	1996-10-05	VYDAJ	PREVOD NA UCET	2349	14144	SIPO	OP	9067219
358094	1216	1996-11-05	VYDAJ	PREVOD NA UCET	2349	15770	SIPO	OP	9067219
358095	1216	1996-12-05	VYDAJ	PREVOD NA UCET	2349	14200	SIPO	OP	9067219
358096	1216	1997-01-05	VYDAJ	PREVOD NA UCET	2349	17730	SIPO	OP	9067219
358097	1216	1997-02-05	VYDAJ	PREVOD NA UCET	2349	17981	SIPO	OP	9067219
358098	1216	1997-03-05	VYDAJ	PREVOD NA UCET	2349	21518	SIPO	OP	9067219
358099	1216	1997-04-05	VYDAJ	PREVOD NA UCET	2349	24075	SIPO	OP	9067219
358100	1216	1997-05-05	VYDAJ	PREVOD NA UCET	2349	22332	SIPO	OP	9067219
358101	1216	1997-06-05	VYDAJ	PREVOD NA UCET	2349	23685	SIPO	OP	9067219
358102	1216	1997-07-05	VYDAJ	PREVOD NA UCET	2349	23992	SIPO	OP	9067219
358103	1216	1997-08-05	VYDAJ	PREVOD NA UCET	2349	22909	SIPO	OP	9067219
358104	1216	1997-09-05	VYDAJ	PREVOD NA UCET	2349	23695	SIPO	OP	9067219
358105	1216	1997-10-05	VYDAJ	PREVOD NA UCET	2349	25468	SIPO	OP	9067219
358106	1216	1997-11-05	VYDAJ	PREVOD NA UCET	2349	24135	SIPO	OP	9067219
358107	1216	1997-12-05	VYDAJ	PREVOD NA UCET	2349	25691	SIPO	OP	9067219
358108	1216	1998-01-05	VYDAJ	PREVOD NA UCET	2349	25551	SIPO	OP	9067219
358109	1216	1998-02-05	VYDAJ	PREVOD NA UCET	2349	24719	SIPO	OP	9067219
358110	1216	1998-03-05	VYDAJ	PREVOD NA UCET	2349	20177	SIPO	OP	9067219
358111	1216	1998-04-05	VYDAJ	PREVOD NA UCET	2349	15111	SIPO	OP	9067219
358112	1216	1998-05-05	VYDAJ	PREVOD NA UCET	2349	17035	SIPO	OP	9067219
358113	1216	1998-06-05	VYDAJ	PREVOD NA UCET	2349	14364	SIPO	OP	9067219
358114	1216	1998-07-05	VYDAJ	PREVOD NA UCET	2349	18793	SIPO	OP	9067219
358115	1216	1998-08-05	VYDAJ	PREVOD NA UCET	2349	22334	SIPO	OP	9067219
358116	1216	1998-09-05	VYDAJ	PREVOD NA UCET	2349	18369	SIPO	OP	9067219
358117	1216	1998-10-05	VYDAJ	PREVOD NA UCET	2349	19104	SIPO	OP	9067219
358118	1216	1998-11-05	VYDAJ	PREVOD NA UCET	2349	22146	SIPO	OP	9067219
358119	1216	1998-12-05	VYDAJ	PREVOD NA UCET	2349	21024	SIPO	OP	9067219
358121	1216	1997-06-22	VYDAJ	VYBER	2250	21435	\N	\N	\N
358124	1216	1997-01-10	VYDAJ	VYBER	1260	16470	\N	\N	\N
358125	1216	1998-01-02	VYDAJ	VYBER	510	24376	\N	\N	\N
358126	1216	1996-12-08	VYDAJ	VYBER	390	13810	\N	\N	\N
358127	1216	1997-12-20	VYDAJ	VYBER	300	25391	\N	\N	\N
358128	1216	1998-12-02	VYDAJ	VYBER	870	19849	\N	\N	\N
358132	1216	1997-01-21	VYDAJ	VYBER	1020	15450	\N	\N	\N
358133	1216	1997-08-14	VYDAJ	VYBER	870	22039	\N	\N	\N
358134	1216	1997-09-19	VYDAJ	VYBER	1290	22405	\N	\N	\N
358135	1216	1997-11-24	VYDAJ	VYBER	210	24425	\N	\N	\N
358136	1216	1997-07-05	VYDAJ	VYBER	540	23452	\N	\N	\N
358138	1216	1998-08-29	VYDAJ	VYBER	1410	17124	\N	\N	\N
358139	1216	1998-07-19	VYDAJ	VYBER	300	21093	\N	\N	\N
358147	1216	1996-07-31	VYDAJ	VYBER	15	16901	SLUZBY	\N	\N
358148	1216	1996-08-31	VYDAJ	VYBER	15	17236	SLUZBY	\N	\N
358149	1216	1996-09-30	VYDAJ	VYBER	15	12969	SLUZBY	\N	\N
358150	1216	1996-10-31	VYDAJ	VYBER	15	14595	SLUZBY	\N	\N
358151	1216	1996-11-30	VYDAJ	VYBER	15	13025	SLUZBY	\N	\N
358152	1216	1996-12-31	VYDAJ	VYBER	15	16555	SLUZBY	\N	\N
358153	1216	1997-01-31	VYDAJ	VYBER	15	16806	SLUZBY	\N	\N
358154	1216	1997-02-28	VYDAJ	VYBER	15	20343	SLUZBY	\N	\N
358155	1216	1997-03-31	VYDAJ	VYBER	15	22900	SLUZBY	\N	\N
358156	1216	1997-04-30	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
358157	1216	1997-05-31	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
358158	1216	1997-06-30	VYDAJ	VYBER	15	22817	SLUZBY	\N	\N
358159	1216	1997-07-31	VYDAJ	VYBER	15	21734	SLUZBY	\N	\N
358160	1216	1997-08-31	VYDAJ	VYBER	15	22520	SLUZBY	\N	\N
358161	1216	1997-09-30	VYDAJ	VYBER	15	24293	SLUZBY	\N	\N
358162	1216	1997-10-31	VYDAJ	VYBER	15	22960	SLUZBY	\N	\N
358163	1216	1997-11-30	VYDAJ	VYBER	15	24516	SLUZBY	\N	\N
358164	1216	1997-12-31	VYDAJ	VYBER	15	24886	SLUZBY	\N	\N
358165	1216	1998-01-31	VYDAJ	VYBER	15	23544	SLUZBY	\N	\N
358166	1216	1998-02-28	VYDAJ	VYBER	15	19002	SLUZBY	\N	\N
358167	1216	1998-03-31	VYDAJ	VYBER	15	13936	SLUZBY	\N	\N
358168	1216	1998-04-30	VYDAJ	VYBER	15	15860	SLUZBY	\N	\N
358169	1216	1998-05-31	VYDAJ	VYBER	15	13189	SLUZBY	\N	\N
358170	1216	1998-06-30	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
358171	1216	1998-07-31	VYDAJ	VYBER	15	21159	SLUZBY	\N	\N
358172	1216	1998-08-31	VYDAJ	VYBER	15	17194	SLUZBY	\N	\N
358173	1216	1998-09-30	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
358174	1216	1998-10-31	VYDAJ	VYBER	15	20971	SLUZBY	\N	\N
358175	1216	1998-11-30	VYDAJ	VYBER	15	20719	SLUZBY	\N	\N
358176	1216	1996-03-31	PRIJEM	VKLAD	9600	13624	\N	\N	\N
358177	1216	1996-04-30	PRIJEM	VKLAD	1200	18364	\N	\N	\N
358178	1216	1996-05-30	VYDAJ	VYBER	600	21345	\N	\N	\N
358179	1216	1996-06-29	VYDAJ	VYBER	2000	22947	\N	\N	\N
358180	1216	1996-07-29	VYDAJ	VYBER	7400	16811	\N	\N	\N
358181	1216	1996-08-28	VYDAJ	VYBER	900	17176	\N	\N	\N
358182	1216	1996-09-27	VYDAJ	VYBER	5500	12911	\N	\N	\N
358183	1216	1996-10-27	PRIJEM	VKLAD	400	14544	\N	\N	\N
358184	1216	1996-11-26	VYDAJ	VYBER	2800	12970	\N	\N	\N
358185	1216	1996-12-26	PRIJEM	VKLAD	2700	16510	\N	\N	\N
358186	1216	1997-01-25	PRIJEM	VKLAD	1300	16750	\N	\N	\N
358187	1216	1997-02-24	PRIJEM	VKLAD	2300	20281	\N	\N	\N
358188	1216	1997-03-26	PRIJEM	VKLAD	1300	22818	\N	\N	\N
358189	1216	1997-04-25	VYDAJ	VYBER	3000	21075	\N	\N	\N
358190	1216	1997-05-25	PRIJEM	VKLAD	100	22432	\N	\N	\N
358191	1216	1997-06-24	PRIJEM	VKLAD	1300	22735	\N	\N	\N
358192	1216	1997-07-24	VYDAJ	VYBER	1800	21652	\N	\N	\N
358193	1216	1997-08-23	PRIJEM	VKLAD	400	22439	\N	\N	\N
358194	1216	1997-09-22	PRIJEM	VKLAD	1800	24205	\N	\N	\N
358195	1216	1997-10-22	VYDAJ	VYBER	2600	22868	\N	\N	\N
358196	1216	1997-11-21	PRIJEM	VKLAD	500	24635	\N	\N	\N
358197	1216	1997-12-21	VYDAJ	VYBER	600	24791	\N	\N	\N
358198	1216	1998-01-20	VYDAJ	VYBER	2100	23451	\N	\N	\N
358199	1216	1998-02-19	VYDAJ	VYBER	5800	18919	\N	\N	\N
358200	1216	1998-03-21	VYDAJ	VYBER	6300	13877	\N	\N	\N
358201	1216	1998-04-20	PRIJEM	VKLAD	700	15811	\N	\N	\N
358202	1216	1998-05-20	VYDAJ	VYBER	3900	13135	\N	\N	\N
358203	1216	1998-06-19	PRIJEM	VKLAD	3200	17564	\N	\N	\N
358204	1216	1998-07-19	PRIJEM	VKLAD	2600	21393	\N	\N	\N
358205	1216	1998-08-18	VYDAJ	VYBER	3800	18534	\N	\N	\N
358206	1216	1998-09-17	VYDAJ	VYBER	500	17869	\N	\N	\N
358207	1216	1998-10-17	PRIJEM	VKLAD	1800	20904	\N	\N	\N
358208	1216	1998-11-16	VYDAJ	VYBER	1500	20646	\N	\N	\N
358243	1217	1993-10-25	PRIJEM	VKLAD	200	200	\N	\N	\N
358254	1217	1993-11-06	PRIJEM	PREVOD Z UCTU	3161	3361	\N	CD	8226746
358255	1217	1993-12-06	PRIJEM	PREVOD Z UCTU	3161	6522	\N	CD	8226746
358256	1217	1994-01-06	PRIJEM	PREVOD Z UCTU	3161	9683	\N	CD	8226746
358257	1217	1994-02-06	PRIJEM	PREVOD Z UCTU	3161	12844	\N	CD	8226746
358258	1217	1994-03-06	PRIJEM	PREVOD Z UCTU	3161	16005	\N	CD	8226746
358259	1217	1994-04-06	PRIJEM	PREVOD Z UCTU	3161	16160	\N	CD	8226746
358260	1217	1994-05-06	PRIJEM	PREVOD Z UCTU	3161	17257	\N	CD	8226746
358261	1217	1994-06-06	PRIJEM	PREVOD Z UCTU	3161	16678	\N	CD	8226746
358262	1217	1994-07-06	PRIJEM	PREVOD Z UCTU	3161	16365	\N	CD	8226746
358263	1217	1994-08-06	PRIJEM	PREVOD Z UCTU	3161	16593	\N	CD	8226746
358264	1217	1994-09-06	PRIJEM	PREVOD Z UCTU	3161	17692	\N	CD	8226746
358265	1217	1994-10-06	PRIJEM	PREVOD Z UCTU	3161	18015	\N	CD	8226746
358266	1217	1994-11-06	PRIJEM	PREVOD Z UCTU	3161	19121	\N	CD	8226746
358267	1217	1994-12-06	PRIJEM	PREVOD Z UCTU	3161	18756	\N	CD	8226746
358268	1217	1995-01-06	PRIJEM	PREVOD Z UCTU	3161	18423	\N	CD	8226746
358269	1217	1995-02-06	PRIJEM	PREVOD Z UCTU	3161	15892	\N	CD	8226746
358270	1217	1995-03-06	PRIJEM	PREVOD Z UCTU	3161	16988	\N	CD	8226746
358271	1217	1995-04-06	PRIJEM	PREVOD Z UCTU	3161	18089	\N	CD	8226746
358272	1217	1995-05-06	PRIJEM	PREVOD Z UCTU	3161	19194	\N	CD	8226746
358273	1217	1995-06-06	PRIJEM	PREVOD Z UCTU	3161	19943	\N	CD	8226746
358274	1217	1995-07-06	PRIJEM	PREVOD Z UCTU	3161	18768	\N	CD	8226746
358275	1217	1995-08-06	PRIJEM	PREVOD Z UCTU	3161	19776	\N	CD	8226746
358276	1217	1995-09-06	PRIJEM	PREVOD Z UCTU	3161	20487	\N	CD	8226746
358277	1217	1995-10-06	PRIJEM	PREVOD Z UCTU	3161	19197	\N	CD	8226746
358278	1217	1995-11-06	PRIJEM	PREVOD Z UCTU	3161	19316	\N	CD	8226746
358279	1217	1995-12-06	PRIJEM	PREVOD Z UCTU	3161	20426	\N	CD	8226746
358280	1217	1996-01-06	PRIJEM	PREVOD Z UCTU	3161	21360	\N	CD	8226746
358281	1217	1996-02-06	PRIJEM	PREVOD Z UCTU	3161	17579	\N	CD	8226746
358282	1217	1996-03-06	PRIJEM	PREVOD Z UCTU	3161	18682	\N	CD	8226746
358283	1217	1996-04-06	PRIJEM	PREVOD Z UCTU	3161	19398	\N	CD	8226746
358284	1217	1996-05-06	PRIJEM	PREVOD Z UCTU	3161	20509	\N	CD	8226746
358285	1217	1996-06-06	PRIJEM	PREVOD Z UCTU	3161	21624	\N	CD	8226746
358286	1217	1996-07-06	PRIJEM	PREVOD Z UCTU	3161	18679	\N	CD	8226746
358287	1217	1996-08-06	PRIJEM	PREVOD Z UCTU	3161	19787	\N	CD	8226746
358288	1217	1996-09-06	PRIJEM	PREVOD Z UCTU	3161	20176	\N	CD	8226746
358289	1217	1996-10-06	PRIJEM	PREVOD Z UCTU	3161	21050	\N	CD	8226746
358290	1217	1996-11-06	PRIJEM	PREVOD Z UCTU	3161	21476	\N	CD	8226746
358291	1217	1996-12-06	PRIJEM	PREVOD Z UCTU	3161	21633	\N	CD	8226746
358292	1217	1997-01-06	PRIJEM	PREVOD Z UCTU	3161	22062	\N	CD	8226746
358293	1217	1997-02-06	PRIJEM	PREVOD Z UCTU	3161	17504	\N	CD	8226746
358294	1217	1997-03-06	PRIJEM	PREVOD Z UCTU	3161	18606	\N	CD	8226746
358295	1217	1997-04-06	PRIJEM	PREVOD Z UCTU	3161	19713	\N	CD	8226746
358296	1217	1997-05-06	PRIJEM	PREVOD Z UCTU	3161	20824	\N	CD	8226746
358297	1217	1997-06-06	PRIJEM	PREVOD Z UCTU	3161	21940	\N	CD	8226746
358298	1217	1997-07-06	PRIJEM	PREVOD Z UCTU	3161	21618	\N	CD	8226746
358299	1217	1997-08-06	PRIJEM	PREVOD Z UCTU	3161	22737	\N	CD	8226746
358300	1217	1997-09-06	PRIJEM	PREVOD Z UCTU	3161	21516	\N	CD	8226746
358301	1217	1997-10-06	PRIJEM	PREVOD Z UCTU	3161	22634	\N	CD	8226746
358302	1217	1997-11-06	PRIJEM	PREVOD Z UCTU	3161	23757	\N	CD	8226746
358303	1217	1997-12-06	PRIJEM	PREVOD Z UCTU	3161	23052	\N	CD	8226746
358304	1217	1998-01-06	PRIJEM	PREVOD Z UCTU	3161	22887	\N	CD	8226746
358305	1217	1998-02-06	PRIJEM	PREVOD Z UCTU	3161	21879	\N	CD	8226746
358306	1217	1998-03-06	PRIJEM	PREVOD Z UCTU	3161	21917	\N	CD	8226746
358307	1217	1998-04-06	PRIJEM	PREVOD Z UCTU	3161	23037	\N	CD	8226746
358308	1217	1998-05-06	PRIJEM	PREVOD Z UCTU	3161	24161	\N	CD	8226746
358309	1217	1998-06-06	PRIJEM	PREVOD Z UCTU	3161	25291	\N	CD	8226746
358310	1217	1998-07-06	PRIJEM	PREVOD Z UCTU	3161	25101	\N	CD	8226746
358311	1217	1998-08-06	PRIJEM	PREVOD Z UCTU	3161	25543	\N	CD	8226746
358312	1217	1998-09-06	PRIJEM	PREVOD Z UCTU	3161	26677	\N	CD	8226746
358313	1217	1998-10-06	PRIJEM	PREVOD Z UCTU	3161	27817	\N	CD	8226746
358314	1217	1998-11-06	PRIJEM	PREVOD Z UCTU	3161	28058	\N	CD	8226746
358315	1217	1998-12-06	PRIJEM	PREVOD Z UCTU	3161	29203	\N	CD	8226746
358330	1217	1994-03-10	VYDAJ	PREVOD NA UCET	151	13898	SIPO	AB	9696394
358331	1217	1994-04-10	VYDAJ	PREVOD NA UCET	151	14053	SIPO	AB	9696394
358332	1217	1994-05-10	VYDAJ	PREVOD NA UCET	151	15150	SIPO	AB	9696394
358333	1217	1994-06-10	VYDAJ	PREVOD NA UCET	151	14571	SIPO	AB	9696394
358334	1217	1994-07-10	VYDAJ	PREVOD NA UCET	151	14258	SIPO	AB	9696394
358335	1217	1994-08-10	VYDAJ	PREVOD NA UCET	151	14486	SIPO	AB	9696394
358336	1217	1994-09-10	VYDAJ	PREVOD NA UCET	151	15585	SIPO	AB	9696394
358337	1217	1994-10-10	VYDAJ	PREVOD NA UCET	151	15908	SIPO	AB	9696394
358338	1217	1994-11-10	VYDAJ	PREVOD NA UCET	151	15544	SIPO	AB	9696394
358339	1217	1994-12-10	VYDAJ	PREVOD NA UCET	151	16649	SIPO	AB	9696394
358340	1217	1995-01-10	VYDAJ	PREVOD NA UCET	151	15716	SIPO	AB	9696394
358341	1217	1995-02-10	VYDAJ	PREVOD NA UCET	151	13785	SIPO	AB	9696394
358342	1217	1995-03-10	VYDAJ	PREVOD NA UCET	151	14881	SIPO	AB	9696394
358343	1217	1995-04-10	VYDAJ	PREVOD NA UCET	151	15982	SIPO	AB	9696394
358344	1217	1995-05-10	VYDAJ	PREVOD NA UCET	151	17087	SIPO	AB	9696394
358345	1217	1995-06-10	VYDAJ	PREVOD NA UCET	151	15556	SIPO	AB	9696394
358346	1217	1995-07-10	VYDAJ	PREVOD NA UCET	151	16661	SIPO	AB	9696394
358347	1217	1995-08-10	VYDAJ	PREVOD NA UCET	151	17669	SIPO	AB	9696394
358348	1217	1995-09-10	VYDAJ	PREVOD NA UCET	151	18380	SIPO	AB	9696394
358349	1217	1995-10-10	VYDAJ	PREVOD NA UCET	151	17090	SIPO	AB	9696394
358350	1217	1995-11-10	VYDAJ	PREVOD NA UCET	151	17209	SIPO	AB	9696394
358351	1217	1995-12-10	VYDAJ	PREVOD NA UCET	151	18139	SIPO	AB	9696394
358352	1217	1996-01-10	VYDAJ	PREVOD NA UCET	151	17423	SIPO	AB	9696394
358353	1217	1996-02-10	VYDAJ	PREVOD NA UCET	151	15472	SIPO	AB	9696394
358354	1217	1996-03-10	VYDAJ	PREVOD NA UCET	151	16575	SIPO	AB	9696394
358355	1217	1996-04-10	VYDAJ	PREVOD NA UCET	151	17291	SIPO	AB	9696394
358356	1217	1996-05-10	VYDAJ	PREVOD NA UCET	151	18402	SIPO	AB	9696394
358357	1217	1996-06-10	VYDAJ	PREVOD NA UCET	151	15467	SIPO	AB	9696394
358358	1217	1996-07-10	VYDAJ	PREVOD NA UCET	151	16572	SIPO	AB	9696394
358359	1217	1996-08-10	VYDAJ	PREVOD NA UCET	151	16960	SIPO	AB	9696394
358360	1217	1996-09-10	VYDAJ	PREVOD NA UCET	151	18069	SIPO	AB	9696394
358361	1217	1996-10-10	VYDAJ	PREVOD NA UCET	151	18943	SIPO	AB	9696394
358362	1217	1996-11-10	VYDAJ	PREVOD NA UCET	151	19369	SIPO	AB	9696394
358363	1217	1996-12-10	VYDAJ	PREVOD NA UCET	151	19526	SIPO	AB	9696394
358364	1217	1997-01-10	VYDAJ	PREVOD NA UCET	151	18725	SIPO	AB	9696394
358365	1217	1997-02-10	VYDAJ	PREVOD NA UCET	151	15397	SIPO	AB	9696394
358366	1217	1997-03-10	VYDAJ	PREVOD NA UCET	151	16499	SIPO	AB	9696394
358367	1217	1997-04-10	VYDAJ	PREVOD NA UCET	151	17606	SIPO	AB	9696394
358368	1217	1997-05-10	VYDAJ	PREVOD NA UCET	151	18717	SIPO	AB	9696394
358369	1217	1997-06-10	VYDAJ	PREVOD NA UCET	151	19833	SIPO	AB	9696394
358370	1217	1997-07-10	VYDAJ	PREVOD NA UCET	151	19511	SIPO	AB	9696394
358371	1217	1997-08-10	VYDAJ	PREVOD NA UCET	151	19190	SIPO	AB	9696394
358372	1217	1997-09-10	VYDAJ	PREVOD NA UCET	151	19409	SIPO	AB	9696394
358373	1217	1997-10-10	VYDAJ	PREVOD NA UCET	151	20527	SIPO	AB	9696394
358374	1217	1997-11-10	VYDAJ	PREVOD NA UCET	151	20600	SIPO	AB	9696394
358375	1217	1997-12-10	VYDAJ	PREVOD NA UCET	151	20945	SIPO	AB	9696394
358376	1217	1998-01-10	VYDAJ	PREVOD NA UCET	151	20330	SIPO	AB	9696394
358377	1217	1998-02-10	VYDAJ	PREVOD NA UCET	151	19772	SIPO	AB	9696394
358378	1217	1998-03-10	VYDAJ	PREVOD NA UCET	151	19810	SIPO	AB	9696394
358379	1217	1998-04-10	VYDAJ	PREVOD NA UCET	151	20930	SIPO	AB	9696394
358380	1217	1998-05-10	VYDAJ	PREVOD NA UCET	151	22054	SIPO	AB	9696394
358381	1217	1998-06-10	VYDAJ	PREVOD NA UCET	151	22134	SIPO	AB	9696394
358382	1217	1998-07-10	VYDAJ	PREVOD NA UCET	151	22994	SIPO	AB	9696394
358383	1217	1998-08-10	VYDAJ	PREVOD NA UCET	151	23436	SIPO	AB	9696394
358384	1217	1998-09-10	VYDAJ	PREVOD NA UCET	151	24570	SIPO	AB	9696394
358385	1217	1998-10-10	VYDAJ	PREVOD NA UCET	151	24810	SIPO	AB	9696394
358386	1217	1998-11-10	VYDAJ	PREVOD NA UCET	151	25951	SIPO	AB	9696394
358387	1217	1998-12-10	VYDAJ	PREVOD NA UCET	151	27096	SIPO	AB	9696394
358402	1217	1994-03-07	VYDAJ	PREVOD NA UCET	1956	14049	 	YZ	58911669
358403	1217	1994-04-07	VYDAJ	PREVOD NA UCET	1956	14204	 	YZ	58911669
358404	1217	1994-05-07	VYDAJ	PREVOD NA UCET	1956	15301	 	YZ	58911669
358405	1217	1994-06-07	VYDAJ	PREVOD NA UCET	1956	14722	 	YZ	58911669
358406	1217	1994-07-07	VYDAJ	PREVOD NA UCET	1956	14409	 	YZ	58911669
358407	1217	1994-08-07	VYDAJ	PREVOD NA UCET	1956	14637	 	YZ	58911669
358408	1217	1994-09-07	VYDAJ	PREVOD NA UCET	1956	15736	 	YZ	58911669
358409	1217	1994-10-07	VYDAJ	PREVOD NA UCET	1956	16059	 	YZ	58911669
358410	1217	1994-11-07	VYDAJ	PREVOD NA UCET	1956	17165	 	YZ	58911669
358411	1217	1994-12-07	VYDAJ	PREVOD NA UCET	1956	16800	 	YZ	58911669
358412	1217	1995-01-07	VYDAJ	PREVOD NA UCET	1956	15867	 	YZ	58911669
358413	1217	1995-02-07	VYDAJ	PREVOD NA UCET	1956	13936	 	YZ	58911669
358414	1217	1995-03-07	VYDAJ	PREVOD NA UCET	1956	15032	 	YZ	58911669
358415	1217	1995-04-07	VYDAJ	PREVOD NA UCET	1956	16133	 	YZ	58911669
358416	1217	1995-05-07	VYDAJ	PREVOD NA UCET	1956	17238	 	YZ	58911669
358417	1217	1995-06-07	VYDAJ	PREVOD NA UCET	1956	17987	 	YZ	58911669
358418	1217	1995-07-07	VYDAJ	PREVOD NA UCET	1956	16812	 	YZ	58911669
358419	1217	1995-08-07	VYDAJ	PREVOD NA UCET	1956	17820	 	YZ	58911669
358420	1217	1995-09-07	VYDAJ	PREVOD NA UCET	1956	18531	 	YZ	58911669
358421	1217	1995-10-07	VYDAJ	PREVOD NA UCET	1956	17241	 	YZ	58911669
358422	1217	1995-11-07	VYDAJ	PREVOD NA UCET	1956	17360	 	YZ	58911669
358423	1217	1995-12-07	VYDAJ	PREVOD NA UCET	1956	18470	 	YZ	58911669
358424	1217	1996-01-07	VYDAJ	PREVOD NA UCET	1956	19404	 	YZ	58911669
358425	1217	1996-02-07	VYDAJ	PREVOD NA UCET	1956	15623	 	YZ	58911669
358426	1217	1996-03-07	VYDAJ	PREVOD NA UCET	1956	16726	 	YZ	58911669
358427	1217	1996-04-07	VYDAJ	PREVOD NA UCET	1956	17442	 	YZ	58911669
358428	1217	1996-05-07	VYDAJ	PREVOD NA UCET	1956	18553	 	YZ	58911669
358429	1217	1996-06-07	VYDAJ	PREVOD NA UCET	1956	15618	 	YZ	58911669
358430	1217	1996-07-07	VYDAJ	PREVOD NA UCET	1956	16723	 	YZ	58911669
358431	1217	1996-08-07	VYDAJ	PREVOD NA UCET	1956	17111	 	YZ	58911669
358432	1217	1996-09-07	VYDAJ	PREVOD NA UCET	1956	18220	 	YZ	58911669
358433	1217	1996-10-07	VYDAJ	PREVOD NA UCET	1956	19094	 	YZ	58911669
358434	1217	1996-11-07	VYDAJ	PREVOD NA UCET	1956	19520	 	YZ	58911669
358435	1217	1996-12-07	VYDAJ	PREVOD NA UCET	1956	19677	 	YZ	58911669
358436	1217	1997-01-07	VYDAJ	PREVOD NA UCET	1956	18876	 	YZ	58911669
358437	1217	1997-02-07	VYDAJ	PREVOD NA UCET	1956	15548	 	YZ	58911669
358438	1217	1997-03-07	VYDAJ	PREVOD NA UCET	1956	16650	 	YZ	58911669
358439	1217	1997-04-07	VYDAJ	PREVOD NA UCET	1956	17757	 	YZ	58911669
358440	1217	1997-05-07	VYDAJ	PREVOD NA UCET	1956	18868	 	YZ	58911669
358441	1217	1997-06-07	VYDAJ	PREVOD NA UCET	1956	19984	 	YZ	58911669
358442	1217	1997-07-07	VYDAJ	PREVOD NA UCET	1956	19662	 	YZ	58911669
358443	1217	1997-08-07	VYDAJ	PREVOD NA UCET	1956	19341	 	YZ	58911669
358444	1217	1997-09-07	VYDAJ	PREVOD NA UCET	1956	19560	 	YZ	58911669
358445	1217	1997-10-07	VYDAJ	PREVOD NA UCET	1956	20678	 	YZ	58911669
358446	1217	1997-11-07	VYDAJ	PREVOD NA UCET	1956	21801	 	YZ	58911669
358447	1217	1997-12-07	VYDAJ	PREVOD NA UCET	1956	21096	 	YZ	58911669
358448	1217	1998-01-07	VYDAJ	PREVOD NA UCET	1956	20481	 	YZ	58911669
358449	1217	1998-02-07	VYDAJ	PREVOD NA UCET	1956	19923	 	YZ	58911669
358450	1217	1998-03-07	VYDAJ	PREVOD NA UCET	1956	19961	 	YZ	58911669
358451	1217	1998-04-07	VYDAJ	PREVOD NA UCET	1956	21081	 	YZ	58911669
358452	1217	1998-05-07	VYDAJ	PREVOD NA UCET	1956	22205	 	YZ	58911669
358453	1217	1998-06-07	VYDAJ	PREVOD NA UCET	1956	23335	 	YZ	58911669
358454	1217	1998-07-07	VYDAJ	PREVOD NA UCET	1956	23145	 	YZ	58911669
358455	1217	1998-08-07	VYDAJ	PREVOD NA UCET	1956	23587	 	YZ	58911669
358456	1217	1998-09-07	VYDAJ	PREVOD NA UCET	1956	24721	 	YZ	58911669
358457	1217	1998-10-07	VYDAJ	PREVOD NA UCET	1956	25861	 	YZ	58911669
358458	1217	1998-11-07	VYDAJ	PREVOD NA UCET	1956	26102	 	YZ	58911669
358459	1217	1998-12-07	VYDAJ	PREVOD NA UCET	1956	27247	 	YZ	58911669
358461	1217	1994-06-14	VYDAJ	VYBER	1410	13161	\N	\N	\N
358462	1217	1995-06-09	VYDAJ	VYBER	2280	15707	\N	\N	\N
358463	1217	1996-06-06	VYDAJ	VYBER	4050	17574	\N	\N	\N
358464	1217	1997-06-16	VYDAJ	VYBER	1440	18393	\N	\N	\N
358465	1217	1998-06-09	VYDAJ	VYBER	1050	22285	\N	\N	\N
358468	1217	1995-01-11	VYDAJ	VYBER	1440	14276	\N	\N	\N
358469	1217	1996-01-08	VYDAJ	VYBER	1410	17994	\N	\N	\N
358470	1217	1997-01-06	VYDAJ	VYBER	1230	20832	\N	\N	\N
358471	1217	1998-01-03	VYDAJ	VYBER	1290	19726	\N	\N	\N
358473	1217	1994-12-22	VYDAJ	VYBER	600	16049	\N	\N	\N
358474	1217	1995-12-10	VYDAJ	VYBER	180	18290	\N	\N	\N
358475	1217	1996-12-14	VYDAJ	VYBER	270	19256	\N	\N	\N
358476	1217	1997-12-04	VYDAJ	VYBER	780	19891	\N	\N	\N
358477	1217	1998-12-12	VYDAJ	VYBER	510	26586	\N	\N	\N
358490	1217	1995-01-06	VYDAJ	VYBER	600	17823	\N	\N	\N
358491	1217	1995-01-21	VYDAJ	VYBER	630	13646	\N	\N	\N
358493	1217	1995-01-03	VYDAJ	VYBER	600	15262	\N	\N	\N
358494	1217	1995-01-24	VYDAJ	VYBER	720	12926	\N	\N	\N
358495	1217	1995-01-30	VYDAJ	VYBER	240	12686	\N	\N	\N
358496	1217	1996-01-29	VYDAJ	VYBER	690	14363	\N	\N	\N
358497	1217	1996-01-14	VYDAJ	VYBER	630	16793	\N	\N	\N
358498	1217	1996-01-08	VYDAJ	VYBER	420	17574	\N	\N	\N
358499	1217	1996-01-26	VYDAJ	VYBER	540	15053	\N	\N	\N
358500	1217	1996-01-17	VYDAJ	VYBER	600	16193	\N	\N	\N
358501	1217	1996-01-23	VYDAJ	VYBER	600	15593	\N	\N	\N
358502	1217	1997-01-29	VYDAJ	VYBER	690	14285	\N	\N	\N
358503	1217	1997-01-04	VYDAJ	VYBER	420	18901	\N	\N	\N
358504	1217	1997-01-25	VYDAJ	VYBER	810	14975	\N	\N	\N
358505	1217	1997-01-23	VYDAJ	VYBER	870	16535	\N	\N	\N
358506	1217	1997-01-19	VYDAJ	VYBER	780	17405	\N	\N	\N
358507	1217	1997-01-24	VYDAJ	VYBER	750	15785	\N	\N	\N
358508	1217	1998-01-12	VYDAJ	VYBER	300	20030	\N	\N	\N
358509	1217	1998-01-22	VYDAJ	VYBER	270	19250	\N	\N	\N
358510	1217	1998-01-30	VYDAJ	VYBER	600	18650	\N	\N	\N
358511	1217	1998-01-13	VYDAJ	VYBER	300	19730	\N	\N	\N
358512	1217	1998-01-06	VYDAJ	VYBER	450	22437	\N	\N	\N
358513	1217	1998-01-19	VYDAJ	VYBER	210	19520	\N	\N	\N
358519	1217	1994-03-19	VYDAJ	VYBER	930	12968	\N	\N	\N
358520	1217	1994-07-28	VYDAJ	VYBER	870	13388	\N	\N	\N
358521	1217	1994-06-04	VYDAJ	VYBER	1290	13517	\N	\N	\N
358522	1217	1994-10-03	VYDAJ	VYBER	780	14854	\N	\N	\N
358523	1217	1994-11-08	VYDAJ	VYBER	1470	15695	\N	\N	\N
358524	1217	1994-05-18	VYDAJ	VYBER	390	14760	\N	\N	\N
358526	1217	1995-10-28	VYDAJ	VYBER	990	16100	\N	\N	\N
358527	1217	1995-05-16	VYDAJ	VYBER	360	16727	\N	\N	\N
358528	1217	1995-01-01	VYDAJ	VYBER	240	15862	\N	\N	\N
358529	1217	1996-03-15	VYDAJ	VYBER	390	16185	\N	\N	\N
358530	1217	1996-09-28	VYDAJ	VYBER	240	17829	\N	\N	\N
358531	1217	1996-11-18	VYDAJ	VYBER	660	18409	\N	\N	\N
358532	1217	1996-08-06	VYDAJ	VYBER	720	19067	\N	\N	\N
358533	1217	1996-10-28	VYDAJ	VYBER	690	18253	\N	\N	\N
358534	1217	1996-11-11	VYDAJ	VYBER	300	19069	\N	\N	\N
358535	1217	1997-08-28	VYDAJ	VYBER	900	18290	\N	\N	\N
358536	1217	1997-08-06	VYDAJ	VYBER	1440	21297	\N	\N	\N
358537	1217	1997-11-08	VYDAJ	VYBER	1050	20751	\N	\N	\N
358538	1217	1997-01-17	VYDAJ	VYBER	540	18185	\N	\N	\N
358539	1217	1998-06-19	VYDAJ	VYBER	270	21864	\N	\N	\N
358540	1217	1998-02-19	VYDAJ	VYBER	1080	18692	\N	\N	\N
358541	1217	1998-07-14	VYDAJ	VYBER	390	22604	\N	\N	\N
358542	1217	1998-07-27	VYDAJ	VYBER	300	22304	\N	\N	\N
358543	1217	1998-10-08	VYDAJ	VYBER	900	24961	\N	\N	\N
358559	1217	1994-03-31	VYDAJ	VYBER	15	12999	SLUZBY	\N	\N
358560	1217	1994-04-30	VYDAJ	VYBER	15	14096	SLUZBY	\N	\N
358561	1217	1994-05-31	VYDAJ	VYBER	15	14807	SLUZBY	\N	\N
358562	1217	1994-06-30	VYDAJ	VYBER	15	13204	SLUZBY	\N	\N
358563	1217	1994-07-31	VYDAJ	VYBER	15	13432	SLUZBY	\N	\N
358564	1217	1994-08-31	VYDAJ	VYBER	15	14531	SLUZBY	\N	\N
358565	1217	1994-09-30	VYDAJ	VYBER	15	15634	SLUZBY	\N	\N
358566	1217	1994-10-31	VYDAJ	VYBER	15	15960	SLUZBY	\N	\N
358567	1217	1994-11-30	VYDAJ	VYBER	15	15595	SLUZBY	\N	\N
358568	1217	1994-12-31	VYDAJ	VYBER	15	16102	SLUZBY	\N	\N
358569	1217	1995-01-31	VYDAJ	VYBER	15	12731	SLUZBY	\N	\N
358570	1217	1995-02-28	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
358571	1217	1995-03-31	VYDAJ	VYBER	15	14928	SLUZBY	\N	\N
358572	1217	1995-04-30	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
358573	1217	1995-05-31	VYDAJ	VYBER	15	16782	SLUZBY	\N	\N
358574	1217	1995-06-30	VYDAJ	VYBER	15	15607	SLUZBY	\N	\N
358575	1217	1995-07-31	VYDAJ	VYBER	15	16615	SLUZBY	\N	\N
358576	1217	1995-08-31	VYDAJ	VYBER	15	17326	SLUZBY	\N	\N
358577	1217	1995-09-30	VYDAJ	VYBER	15	16036	SLUZBY	\N	\N
358578	1217	1995-10-31	VYDAJ	VYBER	15	16155	SLUZBY	\N	\N
358579	1217	1995-11-30	VYDAJ	VYBER	15	17265	SLUZBY	\N	\N
358580	1217	1995-12-31	VYDAJ	VYBER	15	18199	SLUZBY	\N	\N
358581	1217	1996-01-31	VYDAJ	VYBER	15	14418	SLUZBY	\N	\N
358582	1217	1996-02-29	VYDAJ	VYBER	15	15521	SLUZBY	\N	\N
358583	1217	1996-03-31	VYDAJ	VYBER	15	16237	SLUZBY	\N	\N
358584	1217	1996-04-30	VYDAJ	VYBER	15	17348	SLUZBY	\N	\N
358585	1217	1996-05-31	VYDAJ	VYBER	15	18463	SLUZBY	\N	\N
358586	1217	1996-06-30	VYDAJ	VYBER	15	15518	SLUZBY	\N	\N
358587	1217	1996-07-31	VYDAJ	VYBER	15	16626	SLUZBY	\N	\N
358588	1217	1996-08-31	VYDAJ	VYBER	15	17015	SLUZBY	\N	\N
358589	1217	1996-09-30	VYDAJ	VYBER	15	17889	SLUZBY	\N	\N
358590	1217	1996-10-31	VYDAJ	VYBER	15	18315	SLUZBY	\N	\N
358591	1217	1996-11-30	VYDAJ	VYBER	15	18472	SLUZBY	\N	\N
358592	1217	1996-12-31	VYDAJ	VYBER	15	19321	SLUZBY	\N	\N
358593	1217	1997-01-31	VYDAJ	VYBER	15	14343	SLUZBY	\N	\N
358594	1217	1997-02-28	VYDAJ	VYBER	15	15445	SLUZBY	\N	\N
358595	1217	1997-03-31	VYDAJ	VYBER	15	16552	SLUZBY	\N	\N
358596	1217	1997-04-30	VYDAJ	VYBER	15	17663	SLUZBY	\N	\N
358597	1217	1997-05-31	VYDAJ	VYBER	15	18779	SLUZBY	\N	\N
358598	1217	1997-06-30	VYDAJ	VYBER	15	18457	SLUZBY	\N	\N
358599	1217	1997-07-31	VYDAJ	VYBER	15	19576	SLUZBY	\N	\N
358600	1217	1997-08-31	VYDAJ	VYBER	15	18355	SLUZBY	\N	\N
358601	1217	1997-09-30	VYDAJ	VYBER	15	19473	SLUZBY	\N	\N
358602	1217	1997-10-31	VYDAJ	VYBER	15	20596	SLUZBY	\N	\N
358603	1217	1997-11-30	VYDAJ	VYBER	15	20671	SLUZBY	\N	\N
358604	1217	1997-12-31	VYDAJ	VYBER	15	21016	SLUZBY	\N	\N
358605	1217	1998-01-31	VYDAJ	VYBER	15	18718	SLUZBY	\N	\N
358606	1217	1998-02-28	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
358607	1217	1998-03-31	VYDAJ	VYBER	15	19876	SLUZBY	\N	\N
358608	1217	1998-04-30	VYDAJ	VYBER	15	21000	SLUZBY	\N	\N
358609	1217	1998-05-31	VYDAJ	VYBER	15	22130	SLUZBY	\N	\N
358610	1217	1998-06-30	VYDAJ	VYBER	15	21940	SLUZBY	\N	\N
358611	1217	1998-07-31	VYDAJ	VYBER	15	22382	SLUZBY	\N	\N
358612	1217	1998-08-31	VYDAJ	VYBER	15	23516	SLUZBY	\N	\N
358613	1217	1998-09-30	VYDAJ	VYBER	15	24656	SLUZBY	\N	\N
358614	1217	1998-10-31	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
358615	1217	1998-11-30	VYDAJ	VYBER	15	26042	SLUZBY	\N	\N
358616	1217	1995-07-17	VYDAJ	VYBER	100	16561	\N	\N	\N
358617	1217	1995-08-16	VYDAJ	VYBER	400	17269	\N	\N	\N
358618	1217	1995-09-15	VYDAJ	VYBER	2400	15980	\N	\N	\N
358677	1218	1996-12-12	PRIJEM	VKLAD	900	900	\N	\N	\N
358689	1218	1996-12-14	PRIJEM	PREVOD Z UCTU	48201	49101	\N	AB	74095773
358690	1218	1997-01-14	PRIJEM	PREVOD Z UCTU	32134	71554	\N	AB	74095773
358691	1218	1997-02-14	PRIJEM	PREVOD Z UCTU	32134	82447	\N	AB	74095773
358692	1218	1997-03-14	PRIJEM	PREVOD Z UCTU	32134	82303	\N	AB	74095773
358693	1218	1997-04-14	PRIJEM	PREVOD Z UCTU	32134	81580	\N	AB	74095773
358694	1218	1997-05-14	PRIJEM	PREVOD Z UCTU	32134	72242	\N	AB	74095773
358695	1218	1997-06-14	PRIJEM	PREVOD Z UCTU	48201	64111	\N	AB	74095773
358696	1218	1997-07-14	PRIJEM	PREVOD Z UCTU	32134	74681	\N	AB	74095773
358697	1218	1997-08-14	PRIJEM	PREVOD Z UCTU	32134	52904	\N	AB	74095773
358698	1218	1997-09-14	PRIJEM	PREVOD Z UCTU	32134	73714	\N	AB	74095773
358699	1218	1997-10-14	PRIJEM	PREVOD Z UCTU	32134	74294	\N	AB	74095773
358700	1218	1997-11-14	PRIJEM	PREVOD Z UCTU	32134	80486	\N	AB	74095773
358701	1218	1997-12-14	PRIJEM	PREVOD Z UCTU	48201	102297	\N	AB	74095773
358702	1218	1998-01-14	PRIJEM	PREVOD Z UCTU	32134	67398	\N	AB	74095773
358703	1218	1998-02-14	PRIJEM	PREVOD Z UCTU	32134	62262	\N	AB	74095773
358704	1218	1998-03-14	PRIJEM	PREVOD Z UCTU	32134	72092	\N	AB	74095773
358705	1218	1998-04-14	PRIJEM	PREVOD Z UCTU	32134	78492	\N	AB	74095773
358706	1218	1998-05-14	PRIJEM	PREVOD Z UCTU	32134	76808	\N	AB	74095773
358707	1218	1998-06-14	PRIJEM	PREVOD Z UCTU	48201	91976	\N	AB	74095773
358708	1218	1998-07-14	PRIJEM	PREVOD Z UCTU	32134	64723	\N	AB	74095773
358709	1218	1998-08-14	PRIJEM	PREVOD Z UCTU	32134	69667	\N	AB	74095773
358710	1218	1998-09-14	PRIJEM	PREVOD Z UCTU	32134	58389	\N	AB	74095773
358711	1218	1998-10-14	PRIJEM	PREVOD Z UCTU	32134	66504	\N	AB	74095773
358712	1218	1998-11-14	PRIJEM	PREVOD Z UCTU	32134	66586	\N	AB	74095773
358713	1218	1998-12-14	PRIJEM	PREVOD Z UCTU	48201	74449	\N	AB	74095773
358759	1218	1997-07-28	VYBER	VYBER	9122	47340	\N	\N	\N
358760	1218	1997-08-09	VYBER	VYBER	8443	20770	\N	\N	\N
358761	1218	1997-10-01	VYBER	VYBER	13009	60960	\N	\N	\N
358763	1218	1997-07-16	VYBER	VYBER	18219	56462	\N	\N	\N
358764	1218	1997-08-09	VYBER	VYBER	11458	29213	\N	\N	\N
358765	1218	1997-04-29	VYBER	VYBER	20393	61187	\N	\N	\N
358766	1218	1998-08-26	VYBER	VYBER	16465	53202	\N	\N	\N
358768	1218	1997-06-07	VYDAJ	VYBER	54000	18510	\N	\N	\N
358769	1218	1998-06-14	VYDAJ	VYBER	37800	54176	\N	\N	\N
358772	1218	1998-01-25	VYDAJ	VYBER	15600	51798	\N	\N	\N
358774	1218	1997-12-25	VYDAJ	VYBER	7200	95097	\N	\N	\N
358775	1218	1998-12-09	VYDAJ	VYBER	6300	26248	\N	\N	\N
358788	1218	1998-01-28	VYDAJ	VYBER	5400	37998	\N	\N	\N
358789	1218	1998-01-26	VYDAJ	VYBER	8400	43398	\N	\N	\N
358790	1218	1998-01-08	VYDAJ	VYBER	8400	43064	\N	\N	\N
358791	1218	1998-01-05	VYDAJ	VYBER	7200	81664	\N	\N	\N
358792	1218	1998-01-03	VYDAJ	VYBER	1800	88864	\N	\N	\N
358793	1218	1998-01-13	VYDAJ	VYBER	7800	35264	\N	\N	\N
358797	1218	1997-12-25	VYDAJ	VYBER	4800	90297	\N	\N	\N
358799	1218	1997-10-04	VYDAJ	VYBER	5700	55260	\N	\N	\N
358800	1218	1997-07-29	VYDAJ	VYBER	8100	39240	\N	\N	\N
358802	1218	1998-04-17	VYDAJ	VYBER	9900	68592	\N	\N	\N
358803	1218	1998-05-18	VYDAJ	VYBER	12600	64208	\N	\N	\N
358804	1218	1998-07-03	VYDAJ	VYBER	10500	43989	\N	\N	\N
358805	1218	1998-02-20	VYDAJ	VYBER	1500	60762	\N	\N	\N
358806	1218	1998-09-04	VYDAJ	VYBER	5700	26255	\N	\N	\N
358823	1218	1997-04-30	VYDAJ	VYBER	15	61508	SLUZBY	\N	\N
358824	1218	1997-05-31	VYDAJ	VYBER	15	72510	SLUZBY	\N	\N
358825	1218	1997-06-30	VYDAJ	VYBER	15	64347	SLUZBY	\N	\N
358826	1218	1997-07-31	VYDAJ	VYBER	15	39471	SLUZBY	\N	\N
358827	1218	1997-08-31	VYDAJ	VYBER	15	53080	SLUZBY	\N	\N
358828	1218	1997-09-30	VYDAJ	VYBER	15	73969	SLUZBY	\N	\N
358829	1218	1997-10-31	VYDAJ	VYBER	15	74552	SLUZBY	\N	\N
358830	1218	1997-11-30	VYDAJ	VYBER	15	80796	SLUZBY	\N	\N
358831	1218	1997-12-31	VYDAJ	VYBER	15	90664	SLUZBY	\N	\N
358832	1218	1998-01-31	VYDAJ	VYBER	15	38228	SLUZBY	\N	\N
358833	1218	1998-02-28	VYDAJ	VYBER	15	60958	SLUZBY	\N	\N
358834	1218	1998-03-31	VYDAJ	VYBER	15	72358	SLUZBY	\N	\N
358835	1218	1998-04-30	VYDAJ	VYBER	15	68874	SLUZBY	\N	\N
358836	1218	1998-05-31	VYDAJ	VYBER	15	64475	SLUZBY	\N	\N
358837	1218	1998-06-30	VYDAJ	VYBER	15	54489	SLUZBY	\N	\N
358838	1218	1998-07-31	VYDAJ	VYBER	15	64933	SLUZBY	\N	\N
358839	1218	1998-08-31	VYDAJ	VYBER	15	53455	SLUZBY	\N	\N
358840	1218	1998-09-30	VYDAJ	VYBER	15	58570	SLUZBY	\N	\N
358841	1218	1998-10-31	VYDAJ	VYBER	15	66752	SLUZBY	\N	\N
358842	1218	1998-11-30	VYDAJ	VYBER	15	66848	SLUZBY	\N	\N
358843	1218	1997-01-11	VYDAJ	VYBER	9800	39420	\N	\N	\N
358844	1218	1997-02-10	VYDAJ	VYBER	21500	50313	\N	\N	\N
358845	1218	1997-03-12	VYDAJ	VYBER	32600	50169	\N	\N	\N
358846	1218	1997-04-11	VYDAJ	VYBER	33200	49446	\N	\N	\N
358847	1218	1997-05-11	VYDAJ	VYBER	21400	40108	\N	\N	\N
358848	1218	1997-06-10	VYDAJ	VYBER	2600	15910	\N	\N	\N
358849	1218	1997-07-10	VYDAJ	VYBER	21800	42547	\N	\N	\N
358850	1218	1997-08-09	PRIJEM	VKLAD	1200	40671	\N	\N	\N
358851	1218	1997-09-08	VYDAJ	VYBER	11500	41580	\N	\N	\N
358852	1218	1997-10-08	VYDAJ	VYBER	13100	42160	\N	\N	\N
358853	1218	1997-11-07	VYDAJ	VYBER	26200	48352	\N	\N	\N
358854	1218	1997-12-07	VYDAJ	VYBER	26700	54096	\N	\N	\N
358855	1218	1998-01-06	VYDAJ	VYBER	30200	51464	\N	\N	\N
358856	1218	1998-02-05	VYDAJ	VYBER	8100	30128	\N	\N	\N
358857	1218	1998-03-07	VYDAJ	VYBER	21000	39958	\N	\N	\N
358858	1218	1998-04-06	VYDAJ	VYBER	26000	46358	\N	\N	\N
358859	1218	1998-05-06	VYDAJ	VYBER	24200	44674	\N	\N	\N
358860	1218	1998-06-05	VYDAJ	VYBER	20700	43775	\N	\N	\N
358861	1218	1998-07-05	VYDAJ	VYBER	11400	32589	\N	\N	\N
358862	1218	1998-08-04	VYDAJ	VYBER	27400	37533	\N	\N	\N
358863	1218	1998-09-03	VYDAJ	VYBER	21500	31955	\N	\N	\N
358864	1218	1998-10-03	VYDAJ	VYBER	24200	34370	\N	\N	\N
358865	1218	1998-11-02	VYDAJ	VYBER	32300	34452	\N	\N	\N
358866	1218	1998-12-02	VYDAJ	VYBER	34300	32548	\N	\N	\N
358892	1219	1996-06-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
358899	1219	1996-07-08	PRIJEM	VKLAD	5979	7079	\N	\N	\N
358900	1219	1996-08-08	PRIJEM	VKLAD	5979	26910	\N	\N	\N
358901	1219	1996-09-08	PRIJEM	VKLAD	5979	29790	\N	\N	\N
358902	1219	1996-10-08	PRIJEM	VKLAD	5979	31991	\N	\N	\N
358903	1219	1996-11-08	PRIJEM	VKLAD	5979	33801	\N	\N	\N
358904	1219	1996-12-08	PRIJEM	VKLAD	8968	37295	\N	\N	\N
358905	1219	1997-01-08	PRIJEM	VKLAD	5979	29722	\N	\N	\N
358906	1219	1997-02-08	PRIJEM	VKLAD	5979	27267	\N	\N	\N
358907	1219	1997-03-08	PRIJEM	VKLAD	5979	33314	\N	\N	\N
358908	1219	1997-04-08	PRIJEM	VKLAD	5979	34045	\N	\N	\N
358909	1219	1997-05-08	PRIJEM	VKLAD	5979	34858	\N	\N	\N
358910	1219	1997-06-08	PRIJEM	VKLAD	8968	38466	\N	\N	\N
358911	1219	1997-07-08	PRIJEM	VKLAD	5979	23124	\N	\N	\N
358912	1219	1997-08-08	PRIJEM	VKLAD	5979	26296	\N	\N	\N
358913	1219	1997-09-08	PRIJEM	VKLAD	5979	31142	\N	\N	\N
358914	1219	1997-10-08	PRIJEM	VKLAD	5979	30741	\N	\N	\N
358915	1219	1997-11-08	PRIJEM	VKLAD	5979	27943	\N	\N	\N
358916	1219	1997-12-08	PRIJEM	VKLAD	8968	25413	\N	\N	\N
358917	1219	1998-01-08	PRIJEM	VKLAD	5979	24959	\N	\N	\N
358918	1219	1998-02-08	PRIJEM	VKLAD	5979	25270	\N	\N	\N
358919	1219	1998-03-08	PRIJEM	VKLAD	5979	30035	\N	\N	\N
358920	1219	1998-04-08	PRIJEM	VKLAD	5979	29719	\N	\N	\N
358921	1219	1998-05-08	PRIJEM	VKLAD	5979	26213	\N	\N	\N
358922	1219	1998-06-08	PRIJEM	VKLAD	8968	27169	\N	\N	\N
358923	1219	1998-07-08	PRIJEM	VKLAD	5979	24614	\N	\N	\N
358924	1219	1998-08-08	PRIJEM	VKLAD	5979	30689	\N	\N	\N
358925	1219	1998-09-08	PRIJEM	VKLAD	5979	29985	\N	\N	\N
358926	1219	1998-10-08	PRIJEM	VKLAD	5979	31368	\N	\N	\N
358927	1219	1998-11-08	PRIJEM	VKLAD	5979	28264	\N	\N	\N
358928	1219	1998-12-08	PRIJEM	VKLAD	8968	30727	\N	\N	\N
358939	1219	1996-11-08	VYDAJ	PREVOD NA UCET	3986	29815	SIPO	IJ	86177932
358940	1219	1996-12-08	VYDAJ	PREVOD NA UCET	3986	33309	SIPO	IJ	86177932
358941	1219	1997-01-08	VYDAJ	PREVOD NA UCET	3986	25736	SIPO	IJ	86177932
358942	1219	1997-02-08	VYDAJ	PREVOD NA UCET	3986	23281	SIPO	IJ	86177932
358943	1219	1997-03-08	VYDAJ	PREVOD NA UCET	3986	29328	SIPO	IJ	86177932
358944	1219	1997-04-08	VYDAJ	PREVOD NA UCET	3986	30059	SIPO	IJ	86177932
358945	1219	1997-05-08	VYDAJ	PREVOD NA UCET	3986	30872	SIPO	IJ	86177932
358946	1219	1997-06-08	VYDAJ	PREVOD NA UCET	3986	34480	SIPO	IJ	86177932
358947	1219	1997-07-08	VYDAJ	PREVOD NA UCET	3986	19138	SIPO	IJ	86177932
358948	1219	1997-08-08	VYDAJ	PREVOD NA UCET	3986	22310	SIPO	IJ	86177932
358949	1219	1997-09-08	VYDAJ	PREVOD NA UCET	3986	27156	SIPO	IJ	86177932
358950	1219	1997-10-08	VYDAJ	PREVOD NA UCET	3986	26755	SIPO	IJ	86177932
358951	1219	1997-11-08	VYDAJ	PREVOD NA UCET	3986	23957	SIPO	IJ	86177932
358952	1219	1997-12-08	VYDAJ	PREVOD NA UCET	3986	21427	SIPO	IJ	86177932
358953	1219	1998-01-08	VYDAJ	PREVOD NA UCET	3986	20973	SIPO	IJ	86177932
358954	1219	1998-02-08	VYDAJ	PREVOD NA UCET	3986	21284	SIPO	IJ	86177932
358955	1219	1998-03-08	VYDAJ	PREVOD NA UCET	3986	26049	SIPO	IJ	86177932
358956	1219	1998-04-08	VYDAJ	PREVOD NA UCET	3986	25733	SIPO	IJ	86177932
358957	1219	1998-05-08	VYDAJ	PREVOD NA UCET	3986	22227	SIPO	IJ	86177932
358958	1219	1998-06-08	VYDAJ	PREVOD NA UCET	3986	23183	SIPO	IJ	86177932
358959	1219	1998-07-08	VYDAJ	PREVOD NA UCET	3986	20628	SIPO	IJ	86177932
358960	1219	1998-08-08	VYDAJ	PREVOD NA UCET	3986	26703	SIPO	IJ	86177932
358961	1219	1998-09-08	VYDAJ	PREVOD NA UCET	3986	25999	SIPO	IJ	86177932
358962	1219	1998-10-08	VYDAJ	PREVOD NA UCET	3986	27382	SIPO	IJ	86177932
358963	1219	1998-11-08	VYDAJ	PREVOD NA UCET	3986	24278	SIPO	IJ	86177932
358964	1219	1998-12-08	VYDAJ	PREVOD NA UCET	3986	26741	SIPO	IJ	86177932
358966	1219	1997-06-14	VYDAJ	VYBER	18720	15760	\N	\N	\N
358968	1219	1996-12-15	VYDAJ	VYBER	4480	28829	\N	\N	\N
358969	1219	1997-12-24	VYDAJ	VYBER	2240	19187	\N	\N	\N
358970	1219	1998-12-15	VYDAJ	VYBER	1440	25301	\N	\N	\N
358977	1219	1997-01-02	VYDAJ	VYBER	720	28223	\N	\N	\N
358978	1219	1997-01-09	VYDAJ	VYBER	3240	22496	\N	\N	\N
358979	1219	1997-01-30	VYDAJ	VYBER	600	13616	\N	\N	\N
358980	1219	1997-01-19	VYDAJ	VYBER	2520	19976	\N	\N	\N
358981	1219	1997-01-03	VYDAJ	VYBER	2280	25943	\N	\N	\N
358982	1219	1997-01-05	VYDAJ	VYBER	1800	23743	\N	\N	\N
358983	1219	1998-01-18	VYDAJ	VYBER	1560	13533	\N	\N	\N
358985	1219	1998-01-01	VYDAJ	VYBER	3480	18980	\N	\N	\N
358986	1219	1998-01-11	VYDAJ	VYBER	2760	15093	\N	\N	\N
358987	1219	1998-01-11	VYDAJ	VYBER	3120	17853	\N	\N	\N
358994	1219	1997-08-24	VYDAJ	VYBER	720	21590	\N	\N	\N
358995	1219	1997-12-01	VYDAJ	VYBER	5760	16445	\N	\N	\N
358997	1219	1997-03-18	VYDAJ	VYBER	1560	27768	\N	\N	\N
358998	1219	1997-02-17	VYDAJ	VYBER	1920	21361	\N	\N	\N
358999	1219	1997-07-12	VYDAJ	VYBER	1080	18058	\N	\N	\N
359000	1219	1997-11-17	VYDAJ	VYBER	2640	21317	\N	\N	\N
359001	1219	1997-01-23	VYDAJ	VYBER	5760	14216	\N	\N	\N
359002	1219	1998-06-25	VYDAJ	VYBER	5520	17663	\N	\N	\N
359014	1219	1996-11-30	VYDAJ	VYBER	15	29927	SLUZBY	\N	\N
359015	1219	1996-12-31	VYDAJ	VYBER	15	28943	SLUZBY	\N	\N
359016	1219	1997-01-31	VYDAJ	VYBER	15	13688	SLUZBY	\N	\N
359017	1219	1997-02-28	VYDAJ	VYBER	15	21435	SLUZBY	\N	\N
359018	1219	1997-03-31	VYDAJ	VYBER	15	27866	SLUZBY	\N	\N
359019	1219	1997-04-30	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
359020	1219	1997-05-31	VYDAJ	VYBER	15	30998	SLUZBY	\N	\N
359021	1219	1997-06-30	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
359022	1219	1997-07-31	VYDAJ	VYBER	15	18117	SLUZBY	\N	\N
359023	1219	1997-08-31	VYDAJ	VYBER	15	21663	SLUZBY	\N	\N
359024	1219	1997-09-30	VYDAJ	VYBER	15	27262	SLUZBY	\N	\N
359025	1219	1997-10-31	VYDAJ	VYBER	15	26864	SLUZBY	\N	\N
359026	1219	1997-11-30	VYDAJ	VYBER	15	22205	SLUZBY	\N	\N
359027	1219	1997-12-31	VYDAJ	VYBER	15	22460	SLUZBY	\N	\N
359028	1219	1998-01-31	VYDAJ	VYBER	15	19291	SLUZBY	\N	\N
359029	1219	1998-02-28	VYDAJ	VYBER	15	24056	SLUZBY	\N	\N
359030	1219	1998-03-31	VYDAJ	VYBER	15	23740	SLUZBY	\N	\N
359031	1219	1998-04-30	VYDAJ	VYBER	15	20234	SLUZBY	\N	\N
359032	1219	1998-05-31	VYDAJ	VYBER	15	18201	SLUZBY	\N	\N
359033	1219	1998-06-30	VYDAJ	VYBER	15	18635	SLUZBY	\N	\N
359034	1219	1998-07-31	VYDAJ	VYBER	15	24710	SLUZBY	\N	\N
359035	1219	1998-08-31	VYDAJ	VYBER	15	24006	SLUZBY	\N	\N
359036	1219	1998-09-30	VYDAJ	VYBER	15	25389	SLUZBY	\N	\N
359037	1219	1998-10-31	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
359038	1219	1998-11-30	VYDAJ	VYBER	15	21759	SLUZBY	\N	\N
359039	1219	1996-07-08	PRIJEM	VKLAD	8900	15979	\N	\N	\N
359040	1219	1996-08-07	PRIJEM	VKLAD	4900	20931	\N	\N	\N
359041	1219	1996-09-06	VYDAJ	VYBER	3200	23811	\N	\N	\N
359042	1219	1996-10-06	VYDAJ	VYBER	3900	26012	\N	\N	\N
359043	1219	1996-11-05	VYDAJ	VYBER	4300	27822	\N	\N	\N
359044	1219	1996-12-05	VYDAJ	VYBER	1600	28327	\N	\N	\N
359045	1219	1997-01-04	VYDAJ	VYBER	400	25543	\N	\N	\N
359046	1219	1997-02-03	PRIJEM	VKLAD	7600	21288	\N	\N	\N
359047	1219	1997-03-05	PRIJEM	VKLAD	5900	27335	\N	\N	\N
359048	1219	1997-04-04	PRIJEM	VKLAD	200	28066	\N	\N	\N
359049	1219	1997-05-04	VYDAJ	VYBER	1300	28879	\N	\N	\N
359050	1219	1997-06-03	VYDAJ	VYBER	1500	29498	\N	\N	\N
359051	1219	1997-07-03	PRIJEM	VKLAD	1300	17145	\N	\N	\N
359052	1219	1997-08-02	PRIJEM	VKLAD	2200	20317	\N	\N	\N
359053	1219	1997-09-01	PRIJEM	VKLAD	3500	25163	\N	\N	\N
359054	1219	1997-10-01	VYDAJ	VYBER	2500	24762	\N	\N	\N
359055	1219	1997-10-31	VYDAJ	VYBER	4900	21964	\N	\N	\N
359056	1219	1997-11-30	PRIJEM	VKLAD	800	22117	\N	\N	\N
359057	1219	1997-12-30	PRIJEM	VKLAD	3200	22387	\N	\N	\N
359058	1219	1998-01-29	PRIJEM	VKLAD	5700	19233	\N	\N	\N
359059	1219	1998-02-28	PRIJEM	VKLAD	2700	23984	\N	\N	\N
359060	1219	1998-03-30	VYDAJ	VYBER	2400	23649	\N	\N	\N
359061	1219	1998-04-29	VYDAJ	VYBER	5600	20133	\N	\N	\N
359062	1219	1998-05-29	VYDAJ	VYBER	4100	18127	\N	\N	\N
359063	1219	1998-06-28	PRIJEM	VKLAD	900	18563	\N	\N	\N
359064	1219	1998-07-28	PRIJEM	VKLAD	4000	24628	\N	\N	\N
359065	1219	1998-08-27	VYDAJ	VYBER	2800	23903	\N	\N	\N
359066	1219	1998-09-26	VYDAJ	VYBER	700	25299	\N	\N	\N
359067	1219	1998-10-26	VYDAJ	VYBER	5200	22182	\N	\N	\N
359068	1219	1998-11-25	VYDAJ	VYBER	2600	21678	\N	\N	\N
359099	1220	1995-07-15	PRIJEM	VKLAD	900	900	\N	\N	\N
359107	1220	1995-08-07	PRIJEM	PREVOD Z UCTU	5764	6664	DUCHOD	KL	22872096
359108	1220	1995-09-07	PRIJEM	PREVOD Z UCTU	5764	12428	DUCHOD	KL	22872096
359109	1220	1995-10-07	PRIJEM	PREVOD Z UCTU	5764	18192	DUCHOD	KL	22872096
359110	1220	1995-11-07	PRIJEM	PREVOD Z UCTU	5764	23956	DUCHOD	KL	22872096
359111	1220	1995-12-07	PRIJEM	PREVOD Z UCTU	5764	29720	DUCHOD	KL	22872096
359112	1220	1996-01-07	PRIJEM	PREVOD Z UCTU	5764	32786	DUCHOD	KL	22872096
359113	1220	1996-02-07	PRIJEM	PREVOD Z UCTU	5764	23304	DUCHOD	KL	22872096
359114	1220	1996-03-07	PRIJEM	PREVOD Z UCTU	5764	26366	DUCHOD	KL	22872096
359115	1220	1996-04-07	PRIJEM	PREVOD Z UCTU	5764	29441	DUCHOD	KL	22872096
359116	1220	1996-05-07	PRIJEM	PREVOD Z UCTU	5764	30924	DUCHOD	KL	22872096
359117	1220	1996-06-07	PRIJEM	PREVOD Z UCTU	5764	30254	DUCHOD	KL	22872096
359118	1220	1996-07-07	PRIJEM	PREVOD Z UCTU	5764	30737	DUCHOD	KL	22872096
359119	1220	1996-08-07	PRIJEM	PREVOD Z UCTU	5764	33830	DUCHOD	KL	22872096
359120	1220	1996-09-07	PRIJEM	PREVOD Z UCTU	5764	34536	DUCHOD	KL	22872096
359121	1220	1996-10-07	PRIJEM	PREVOD Z UCTU	5764	33835	DUCHOD	KL	22872096
359122	1220	1996-11-07	PRIJEM	PREVOD Z UCTU	5764	34937	DUCHOD	KL	22872096
359123	1220	1996-12-07	PRIJEM	PREVOD Z UCTU	5764	36748	DUCHOD	KL	22872096
359124	1220	1997-01-07	PRIJEM	PREVOD Z UCTU	5764	36655	DUCHOD	KL	22872096
359125	1220	1997-02-07	PRIJEM	PREVOD Z UCTU	5764	32241	DUCHOD	KL	22872096
359126	1220	1997-03-07	PRIJEM	PREVOD Z UCTU	5764	35340	DUCHOD	KL	22872096
359127	1220	1997-04-07	PRIJEM	PREVOD Z UCTU	5764	36048	DUCHOD	KL	22872096
359128	1220	1997-05-07	PRIJEM	PREVOD Z UCTU	5764	36763	DUCHOD	KL	22872096
359129	1220	1997-06-07	PRIJEM	PREVOD Z UCTU	5764	39883	DUCHOD	KL	22872096
359130	1220	1997-07-07	PRIJEM	PREVOD Z UCTU	5764	40133	DUCHOD	KL	22872096
359131	1220	1997-08-07	PRIJEM	PREVOD Z UCTU	5764	43265	DUCHOD	KL	22872096
359132	1220	1997-09-07	PRIJEM	PREVOD Z UCTU	5764	46410	DUCHOD	KL	22872096
359133	1220	1997-10-07	PRIJEM	PREVOD Z UCTU	5764	49568	DUCHOD	KL	22872096
359134	1220	1997-11-07	PRIJEM	PREVOD Z UCTU	5764	52739	DUCHOD	KL	22872096
359135	1220	1997-12-07	PRIJEM	PREVOD Z UCTU	5764	46153	DUCHOD	KL	22872096
359136	1220	1998-01-07	PRIJEM	PREVOD Z UCTU	5764	47530	DUCHOD	KL	22872096
359137	1220	1998-02-07	PRIJEM	PREVOD Z UCTU	5764	44358	DUCHOD	KL	22872096
359138	1220	1998-03-07	PRIJEM	PREVOD Z UCTU	5764	47507	DUCHOD	KL	22872096
359139	1220	1998-04-07	PRIJEM	PREVOD Z UCTU	5764	47946	DUCHOD	KL	22872096
359140	1220	1998-05-07	PRIJEM	PREVOD Z UCTU	5764	50389	DUCHOD	KL	22872096
359141	1220	1998-06-07	PRIJEM	PREVOD Z UCTU	5764	53563	DUCHOD	KL	22872096
359142	1220	1998-07-07	PRIJEM	PREVOD Z UCTU	5764	56750	DUCHOD	KL	22872096
359143	1220	1998-08-07	PRIJEM	PREVOD Z UCTU	5764	59951	DUCHOD	KL	22872096
359144	1220	1998-09-07	PRIJEM	PREVOD Z UCTU	5764	60195	DUCHOD	KL	22872096
359145	1220	1998-10-07	PRIJEM	PREVOD Z UCTU	5764	63410	DUCHOD	KL	22872096
359146	1220	1998-11-07	PRIJEM	PREVOD Z UCTU	5764	66238	DUCHOD	KL	22872096
359147	1220	1998-12-07	PRIJEM	PREVOD Z UCTU	5764	69477	DUCHOD	KL	22872096
359159	1220	1995-12-08	VYDAJ	PREVOD NA UCET	2770	26950	SIPO	CD	48306894
359160	1220	1996-01-08	VYDAJ	PREVOD NA UCET	2770	28736	SIPO	CD	48306894
359161	1220	1996-02-08	VYDAJ	PREVOD NA UCET	2770	20534	SIPO	CD	48306894
359162	1220	1996-03-08	VYDAJ	PREVOD NA UCET	2770	23596	SIPO	CD	48306894
359163	1220	1996-04-08	VYDAJ	PREVOD NA UCET	2770	26671	SIPO	CD	48306894
359164	1220	1996-05-08	VYDAJ	PREVOD NA UCET	2770	28154	SIPO	CD	48306894
359165	1220	1996-06-08	VYDAJ	PREVOD NA UCET	2770	27484	SIPO	CD	48306894
359166	1220	1996-07-08	VYDAJ	PREVOD NA UCET	2770	27967	SIPO	CD	48306894
359167	1220	1996-08-08	VYDAJ	PREVOD NA UCET	2770	31060	SIPO	CD	48306894
359168	1220	1996-09-08	VYDAJ	PREVOD NA UCET	2770	27966	SIPO	CD	48306894
359169	1220	1996-10-08	VYDAJ	PREVOD NA UCET	2770	29465	SIPO	CD	48306894
359170	1220	1996-11-08	VYDAJ	PREVOD NA UCET	2770	32167	SIPO	CD	48306894
359171	1220	1996-12-08	VYDAJ	PREVOD NA UCET	2770	33978	SIPO	CD	48306894
359172	1220	1997-01-08	VYDAJ	PREVOD NA UCET	2770	33885	SIPO	CD	48306894
359173	1220	1997-02-08	VYDAJ	PREVOD NA UCET	2770	29471	SIPO	CD	48306894
359174	1220	1997-03-08	VYDAJ	PREVOD NA UCET	2770	32570	SIPO	CD	48306894
359175	1220	1997-04-08	VYDAJ	PREVOD NA UCET	2770	33278	SIPO	CD	48306894
359176	1220	1997-05-08	VYDAJ	PREVOD NA UCET	2770	33993	SIPO	CD	48306894
359177	1220	1997-06-08	VYDAJ	PREVOD NA UCET	2770	37113	SIPO	CD	48306894
359178	1220	1997-07-08	VYDAJ	PREVOD NA UCET	2770	37363	SIPO	CD	48306894
359179	1220	1997-08-08	VYDAJ	PREVOD NA UCET	2770	40495	SIPO	CD	48306894
359180	1220	1997-09-08	VYDAJ	PREVOD NA UCET	2770	43640	SIPO	CD	48306894
359181	1220	1997-10-08	VYDAJ	PREVOD NA UCET	2770	46798	SIPO	CD	48306894
359182	1220	1997-11-08	VYDAJ	PREVOD NA UCET	2770	49969	SIPO	CD	48306894
359183	1220	1997-12-08	VYDAJ	PREVOD NA UCET	2770	43383	SIPO	CD	48306894
359184	1220	1998-01-08	VYDAJ	PREVOD NA UCET	2770	43400	SIPO	CD	48306894
359185	1220	1998-02-08	VYDAJ	PREVOD NA UCET	2770	41588	SIPO	CD	48306894
359186	1220	1998-03-08	VYDAJ	PREVOD NA UCET	2770	44737	SIPO	CD	48306894
359187	1220	1998-04-08	VYDAJ	PREVOD NA UCET	2770	45176	SIPO	CD	48306894
359188	1220	1998-05-08	VYDAJ	PREVOD NA UCET	2770	47619	SIPO	CD	48306894
359189	1220	1998-06-08	VYDAJ	PREVOD NA UCET	2770	50793	SIPO	CD	48306894
359190	1220	1998-07-08	VYDAJ	PREVOD NA UCET	2770	53980	SIPO	CD	48306894
359191	1220	1998-08-08	VYDAJ	PREVOD NA UCET	2770	57181	SIPO	CD	48306894
359192	1220	1998-09-08	VYDAJ	PREVOD NA UCET	2770	57425	SIPO	CD	48306894
359193	1220	1998-10-08	VYDAJ	PREVOD NA UCET	2770	60240	SIPO	CD	48306894
359194	1220	1998-11-08	VYDAJ	PREVOD NA UCET	2770	63468	SIPO	CD	48306894
359195	1220	1998-12-08	VYDAJ	PREVOD NA UCET	2770	66707	SIPO	CD	48306894
359197	1220	1996-12-15	VYDAJ	VYBER	1450	32528	\N	\N	\N
359198	1220	1997-12-13	VYDAJ	VYBER	900	42483	\N	\N	\N
359199	1220	1998-12-28	VYDAJ	VYBER KARTOU	1000	64907	\N	\N	0
359206	1220	1996-01-07	VYDAJ	VYBER	1280	31506	\N	\N	\N
359207	1220	1996-01-18	VYDAJ	VYBER	2080	21776	\N	\N	\N
359208	1220	1996-01-14	VYDAJ	VYBER	560	23856	\N	\N	\N
359209	1220	1996-01-18	VYDAJ	VYBER	1680	20096	\N	\N	\N
359210	1220	1996-01-23	VYDAJ	VYBER	2160	17936	\N	\N	\N
359211	1220	1996-01-28	VYDAJ	VYBER	480	17456	\N	\N	\N
359212	1220	1997-01-09	VYDAJ	VYBER	2080	31805	\N	\N	\N
359213	1220	1997-01-27	VYDAJ	VYBER	1280	26365	\N	\N	\N
359214	1220	1997-01-18	VYDAJ	VYBER	1520	30285	\N	\N	\N
359215	1220	1997-01-24	VYDAJ	VYBER	1200	27645	\N	\N	\N
359216	1220	1997-01-03	VYDAJ	VYBER	1760	30891	\N	\N	\N
359217	1220	1997-01-21	VYDAJ	VYBER	1440	28845	\N	\N	\N
359218	1220	1998-01-07	VYDAJ	VYBER	1360	46170	\N	\N	\N
359219	1220	1998-01-15	VYDAJ	VYBER	1840	39240	\N	\N	\N
359220	1220	1998-01-10	VYDAJ	VYBER	2320	41080	\N	\N	\N
359221	1220	1998-01-03	VYDAJ	VYBER	480	42166	\N	\N	\N
359222	1220	1998-01-05	VYDAJ	VYBER	400	41766	\N	\N	\N
359223	1220	1998-01-28	VYDAJ	VYBER	800	38440	\N	\N	\N
359229	1220	1996-09-03	VYDAJ	VYBER	2400	28772	\N	\N	\N
359230	1220	1996-05-26	VYDAJ	VYBER	3760	24394	\N	\N	\N
359231	1220	1996-01-14	VYDAJ	VYBER	3920	24416	\N	\N	\N
359232	1220	1997-06-28	VYDAJ	VYBER	2880	34233	\N	\N	\N
359233	1220	1997-03-18	VYDAJ	VYBER	2400	30170	\N	\N	\N
359234	1220	1997-04-30	VYDAJ	VYBER	2400	30999	\N	\N	\N
359235	1220	1997-11-26	VYDAJ	VYBER	2240	42769	\N	\N	\N
359236	1220	1997-11-22	VYDAJ	VYBER	3200	45009	\N	\N	\N
359237	1220	1997-11-13	VYDAJ	VYBER	1760	48209	\N	\N	\N
359238	1220	1997-12-06	VYDAJ	VYBER	2560	40389	\N	\N	\N
359239	1220	1998-03-24	VYDAJ	VYBER	2720	42017	\N	\N	\N
359240	1220	1998-08-09	VYDAJ	VYBER	2960	54221	\N	\N	\N
359241	1220	1998-10-07	VYDAJ	VYBER KARTOU	400	63010	\N	\N	0
359242	1220	1998-04-15	VYDAJ	VYBER	720	44456	\N	\N	\N
359243	1220	1998-12-27	VYDAJ	VYBER KARTOU	800	65907	\N	\N	0
359256	1220	1995-12-31	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
359257	1220	1996-01-31	VYDAJ	VYBER	15	17540	SLUZBY	\N	\N
359258	1220	1996-02-29	VYDAJ	VYBER	15	20602	SLUZBY	\N	\N
359259	1220	1996-03-31	VYDAJ	VYBER	15	23677	SLUZBY	\N	\N
359260	1220	1996-04-30	VYDAJ	VYBER	15	25160	SLUZBY	\N	\N
359261	1220	1996-05-31	VYDAJ	VYBER	15	24490	SLUZBY	\N	\N
359262	1220	1996-06-30	VYDAJ	VYBER	15	24973	SLUZBY	\N	\N
359263	1220	1996-07-31	VYDAJ	VYBER	15	28066	SLUZBY	\N	\N
359264	1220	1996-08-31	VYDAJ	VYBER	15	31172	SLUZBY	\N	\N
359265	1220	1996-09-30	VYDAJ	VYBER	15	28071	SLUZBY	\N	\N
359266	1220	1996-10-31	VYDAJ	VYBER	15	29573	SLUZBY	\N	\N
359267	1220	1996-11-30	VYDAJ	VYBER	15	32284	SLUZBY	\N	\N
359268	1220	1996-12-31	VYDAJ	VYBER	15	32651	SLUZBY	\N	\N
359269	1220	1997-01-31	VYDAJ	VYBER	15	26477	SLUZBY	\N	\N
359270	1220	1997-02-28	VYDAJ	VYBER	15	29576	SLUZBY	\N	\N
359271	1220	1997-03-31	VYDAJ	VYBER	15	30284	SLUZBY	\N	\N
359272	1220	1997-04-30	VYDAJ	VYBER	15	33399	SLUZBY	\N	\N
359273	1220	1997-05-31	VYDAJ	VYBER	15	34119	SLUZBY	\N	\N
359274	1220	1997-06-30	VYDAJ	VYBER	15	34369	SLUZBY	\N	\N
359275	1220	1997-07-31	VYDAJ	VYBER	15	37501	SLUZBY	\N	\N
359276	1220	1997-08-31	VYDAJ	VYBER	15	40646	SLUZBY	\N	\N
359277	1220	1997-09-30	VYDAJ	VYBER	15	43804	SLUZBY	\N	\N
359278	1220	1997-10-31	VYDAJ	VYBER	15	46975	SLUZBY	\N	\N
359279	1220	1997-11-30	VYDAJ	VYBER	15	42949	SLUZBY	\N	\N
359280	1220	1997-12-31	VYDAJ	VYBER	15	42646	SLUZBY	\N	\N
359281	1220	1998-01-31	VYDAJ	VYBER	15	38594	SLUZBY	\N	\N
359282	1220	1998-02-28	VYDAJ	VYBER	15	41743	SLUZBY	\N	\N
359283	1220	1998-03-31	VYDAJ	VYBER	15	42182	SLUZBY	\N	\N
359284	1220	1998-04-30	VYDAJ	VYBER	15	44625	SLUZBY	\N	\N
359285	1220	1998-05-31	VYDAJ	VYBER	15	47799	SLUZBY	\N	\N
359286	1220	1998-06-30	VYDAJ	VYBER	15	50986	SLUZBY	\N	\N
359287	1220	1998-07-31	VYDAJ	VYBER	15	54187	SLUZBY	\N	\N
359288	1220	1998-08-31	VYDAJ	VYBER	15	54431	SLUZBY	\N	\N
359289	1220	1998-09-30	VYDAJ	VYBER	15	57646	SLUZBY	\N	\N
359290	1220	1998-10-31	VYDAJ	VYBER	15	60474	SLUZBY	\N	\N
359291	1220	1998-11-30	VYDAJ	VYBER	15	63713	SLUZBY	\N	\N
359292	1220	1996-01-11	VYDAJ	VYBER	400	28336	\N	\N	\N
359293	1220	1996-04-10	VYDAJ	VYBER	1600	25071	\N	\N	\N
359294	1220	1996-06-09	VYDAJ	VYBER	2600	24884	\N	\N	\N
359295	1220	1996-09-07	VYDAJ	VYBER	3800	30736	\N	\N	\N
359296	1220	1996-10-07	VYDAJ	VYBER	1600	32235	\N	\N	\N
359297	1220	1996-11-06	VYDAJ	VYBER	400	29173	\N	\N	\N
359298	1220	1996-12-06	VYDAJ	VYBER	1300	30984	\N	\N	\N
359336	1221	1997-01-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
359337	1221	1997-09-02	PRIJEM	VKLAD	40739	120834	\N	\N	\N
359338	1221	1997-09-18	PRIJEM	VKLAD	8153	51021	\N	\N	\N
359339	1221	1997-08-31	PRIJEM	VKLAD	25275	80110	\N	\N	\N
359340	1221	1997-09-21	PRIJEM	VKLAD	25447	76468	\N	\N	\N
359341	1221	1997-05-06	PRIJEM	VKLAD	14125	71541	\N	\N	\N
359342	1221	1997-05-27	PRIJEM	VKLAD	43946	115487	\N	\N	\N
359343	1221	1997-08-27	PRIJEM	VKLAD	35274	90770	\N	\N	\N
359344	1221	1997-11-25	PRIJEM	VKLAD	6141	53847	\N	\N	\N
359345	1221	1997-07-16	PRIJEM	VKLAD	26750	87120	\N	\N	\N
359346	1221	1997-05-05	PRIJEM	VKLAD	34916	57416	\N	\N	\N
359347	1221	1997-09-15	PRIJEM	VKLAD	20142	106368	\N	\N	\N
359348	1221	1997-09-15	PRIJEM	VKLAD	15192	86226	\N	\N	\N
359349	1221	1997-08-23	PRIJEM	VKLAD	20363	55496	\N	\N	\N
359350	1221	1997-12-26	PRIJEM	VKLAD	41817	54638	\N	\N	\N
359351	1221	1997-11-15	PRIJEM	VKLAD	31669	47706	\N	\N	\N
359352	1221	1997-07-25	PRIJEM	VKLAD	23706	97144	\N	\N	\N
359353	1221	1997-06-29	PRIJEM	VKLAD	49919	99893	\N	\N	\N
359354	1221	1998-05-11	PRIJEM	VKLAD	43818	62263	\N	\N	\N
359355	1221	1998-11-03	PRIJEM	VKLAD	45829	57451	\N	\N	\N
359356	1221	1998-09-09	PRIJEM	VKLAD	15246	20468	\N	\N	\N
359357	1221	1998-04-16	PRIJEM	VKLAD	44372	73961	\N	\N	\N
359358	1221	1998-10-24	PRIJEM	VKLAD	8390	14307	\N	\N	\N
359359	1221	1998-02-22	PRIJEM	VKLAD	39029	38228	\N	\N	\N
359360	1221	1998-03-04	PRIJEM	VKLAD	17541	43657	\N	\N	\N
359361	1221	1998-07-06	PRIJEM	VKLAD	6534	11602	\N	\N	\N
359362	1221	1998-11-27	PRIJEM	VKLAD	41426	73677	\N	\N	\N
359388	1221	1997-12-28	VYBER	VYBER	23132	31506	\N	\N	\N
359389	1221	1997-08-19	VYBER	VYBER	24287	35133	\N	\N	\N
359394	1221	1997-07-24	VYBER	VYBER	13682	73438	\N	\N	\N
359396	1221	1997-09-28	VYBER	VYBER	5460	71008	\N	\N	\N
359399	1221	1997-10-26	VYBER	VYBER	18475	24982	\N	\N	\N
359400	1221	1998-03-19	VYBER	VYBER	6776	36881	\N	\N	\N
359402	1221	1998-09-14	VYBER	VYBER	10154	714	\N	\N	\N
359403	1221	1998-12-24	VYBER	VYBER	18232	18287	\N	\N	\N
359404	1221	1998-04-26	VYBER	VYBER	2108	71853	\N	\N	\N
359405	1221	1998-05-07	VYBER	VYBER	12038	18445	\N	\N	\N
359406	1221	1998-05-07	VYBER	VYBER	13391	30483	\N	\N	\N
359407	1221	1998-06-08	VYBER	VYBER	3904	20459	\N	\N	\N
359408	1221	1998-06-02	VYBER	VYBER	10995	24363	\N	\N	\N
359409	1221	1998-06-10	VYBER	VYBER	21611	-1153	\N	\N	\N
359414	1221	1997-12-08	VYDAJ	VYBER	7500	24221	\N	\N	\N
359415	1221	1998-12-13	VYDAJ	VYBER	6300	63019	\N	\N	\N
359422	1221	1998-01-27	VYDAJ	VYBER	5400	9679	\N	\N	\N
359423	1221	1998-01-02	VYDAJ	VYBER	6300	14379	\N	\N	\N
359424	1221	1998-01-28	VYDAJ	VYBER	2100	7579	\N	\N	\N
359425	1221	1998-01-04	VYDAJ	VYBER	6000	8379	\N	\N	\N
359427	1221	1998-01-29	VYDAJ	VYBER	8400	-821	\N	\N	\N
359428	1221	1997-12-09	VYDAJ	VYBER	11400	12821	\N	\N	\N
359429	1221	1997-08-30	VYDAJ	VYBER	3300	87470	\N	\N	\N
359430	1221	1998-09-11	VYDAJ	VYBER	9600	10868	\N	\N	\N
359431	1221	1998-11-12	VYDAJ	VYBER	4200	53251	\N	\N	\N
359433	1221	1998-07-18	VYDAJ	VYBER	9000	2602	\N	\N	\N
359434	1221	1998-12-12	VYDAJ	VYBER	4500	69319	\N	\N	\N
359442	1221	1997-07-31	VYDAJ	VYBER	15	97520	SLUZBY	\N	\N
359443	1221	1997-08-31	VYDAJ	VYBER	15	80095	SLUZBY	\N	\N
359444	1221	1997-09-30	VYDAJ	VYBER	15	43457	SLUZBY	\N	\N
359445	1221	1997-10-31	VYDAJ	VYBER	15	16037	SLUZBY	\N	\N
359446	1221	1997-11-30	VYDAJ	VYBER	15	31721	SLUZBY	\N	\N
359447	1221	1997-12-31	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
359448	1221	1998-01-31	VYDAJ	VYBER	15	-800	SLUZBY	\N	\N
359449	1221	1998-02-28	VYDAJ	VYBER	15	26125	SLUZBY	\N	\N
359450	1221	1998-03-31	VYDAJ	VYBER	15	29589	SLUZBY	\N	\N
359451	1221	1998-04-30	VYDAJ	VYBER	15	43874	SLUZBY	\N	\N
359452	1221	1998-05-31	VYDAJ	VYBER	15	35358	SLUZBY	\N	\N
359453	1221	1998-06-30	VYDAJ	VYBER	15	5076	SLUZBY	\N	\N
359454	1221	1998-07-31	VYDAJ	VYBER	15	7607	SLUZBY	\N	\N
359455	1221	1998-08-31	VYDAJ	VYBER	15	5222	SLUZBY	\N	\N
359456	1221	1998-09-30	VYDAJ	VYBER	15	5917	SLUZBY	\N	\N
359457	1221	1998-10-31	VYDAJ	VYBER	15	11622	SLUZBY	\N	\N
359458	1221	1998-11-30	VYDAJ	VYBER	15	73819	SLUZBY	\N	\N
359459	1221	1997-02-01	PRIJEM	VKLAD	13000	14000	\N	\N	\N
359460	1221	1997-03-03	PRIJEM	VKLAD	5800	19800	\N	\N	\N
359461	1221	1997-04-02	PRIJEM	VKLAD	5100	24900	\N	\N	\N
359462	1221	1997-05-02	VYDAJ	VYBER	2400	22500	\N	\N	\N
359463	1221	1997-05-27	VYDAJ	VYBER	28400	87087	\N	\N	\N
359464	1221	1997-06-01	VYDAJ	VYBER	37400	49974	\N	\N	\N
359465	1221	1997-07-01	VYDAJ	VYBER	40000	60370	\N	\N	\N
359466	1221	1997-07-31	VYDAJ	VYBER	38100	59420	\N	\N	\N
359467	1221	1997-08-30	VYDAJ	VYBER	32900	54570	\N	\N	\N
359468	1221	1997-09-02	VYDAJ	VYBER	49800	71034	\N	\N	\N
359469	1221	1997-09-15	VYDAJ	VYBER	63500	42868	\N	\N	\N
359470	1221	1997-09-29	VYDAJ	VYBER	27900	43108	\N	\N	\N
359471	1221	1997-10-29	VYDAJ	VYBER	9100	15882	\N	\N	\N
359472	1221	1997-11-28	VYDAJ	VYBER	22200	31647	\N	\N	\N
359473	1221	1997-12-28	VYDAJ	VYBER	10900	20606	\N	\N	\N
359474	1221	1998-01-27	PRIJEM	VKLAD	6700	15079	\N	\N	\N
359475	1221	1998-02-26	VYDAJ	VYBER	12100	26128	\N	\N	\N
359476	1221	1998-03-28	VYDAJ	VYBER	7400	29481	\N	\N	\N
359477	1221	1998-04-27	VYDAJ	VYBER	28100	43753	\N	\N	\N
359478	1221	1998-05-27	VYDAJ	VYBER	27100	35163	\N	\N	\N
359479	1221	1998-06-26	PRIJEM	VKLAD	6200	5048	\N	\N	\N
359480	1221	1998-07-26	PRIJEM	VKLAD	5000	7602	\N	\N	\N
359481	1221	1998-08-25	VYDAJ	VYBER	2400	5207	\N	\N	\N
359482	1221	1998-09-24	PRIJEM	VKLAD	5200	5914	\N	\N	\N
359483	1221	1998-10-24	VYDAJ	VYBER	2700	11607	\N	\N	\N
359484	1221	1998-11-23	VYDAJ	VYBER	21000	32251	\N	\N	\N
359485	1221	1998-12-23	VYDAJ	VYBER	26500	36519	\N	\N	\N
359511	1222	1993-01-20	PRIJEM	VKLAD	700	700	\N	\N	\N
359513	1222	1993-02-12	PRIJEM	PREVOD Z UCTU	6310	7010	DUCHOD	KL	77489798
359514	1222	1993-03-12	PRIJEM	PREVOD Z UCTU	6310	13320	DUCHOD	KL	77489798
359515	1222	1993-04-12	PRIJEM	PREVOD Z UCTU	6310	19630	DUCHOD	KL	77489798
359516	1222	1993-05-12	PRIJEM	PREVOD Z UCTU	6310	25940	DUCHOD	KL	77489798
359517	1222	1993-06-12	PRIJEM	PREVOD Z UCTU	6310	32250	DUCHOD	KL	77489798
359518	1222	1993-07-12	PRIJEM	PREVOD Z UCTU	6310	34068	DUCHOD	KL	77489798
359519	1222	1993-08-12	PRIJEM	PREVOD Z UCTU	6310	30182	DUCHOD	KL	77489798
359520	1222	1993-09-12	PRIJEM	PREVOD Z UCTU	6310	31686	DUCHOD	KL	77489798
359521	1222	1993-10-12	PRIJEM	PREVOD Z UCTU	6310	27005	DUCHOD	KL	77489798
359522	1222	1993-11-12	PRIJEM	PREVOD Z UCTU	6310	29375	DUCHOD	KL	77489798
359523	1222	1993-12-12	PRIJEM	PREVOD Z UCTU	6310	30351	DUCHOD	KL	77489798
359524	1222	1994-01-12	PRIJEM	PREVOD Z UCTU	6310	31983	DUCHOD	KL	77489798
359525	1222	1994-02-12	PRIJEM	PREVOD Z UCTU	6310	35475	DUCHOD	KL	77489798
359526	1222	1994-03-12	PRIJEM	PREVOD Z UCTU	6310	36976	DUCHOD	KL	77489798
359527	1222	1994-04-12	PRIJEM	PREVOD Z UCTU	6310	37483	DUCHOD	KL	77489798
359528	1222	1994-05-12	PRIJEM	PREVOD Z UCTU	6310	37189	DUCHOD	KL	77489798
359529	1222	1994-06-12	PRIJEM	PREVOD Z UCTU	6310	32632	DUCHOD	KL	77489798
359530	1222	1994-07-12	PRIJEM	PREVOD Z UCTU	6310	20098	DUCHOD	KL	77489798
359531	1222	1994-08-12	PRIJEM	PREVOD Z UCTU	6310	24744	DUCHOD	KL	77489798
359532	1222	1994-09-12	PRIJEM	PREVOD Z UCTU	6310	29408	DUCHOD	KL	77489798
359533	1222	1994-10-12	PRIJEM	PREVOD Z UCTU	6310	33390	DUCHOD	KL	77489798
359534	1222	1994-11-12	PRIJEM	PREVOD Z UCTU	6310	34771	DUCHOD	KL	77489798
359535	1222	1994-12-12	PRIJEM	PREVOD Z UCTU	6310	37378	DUCHOD	KL	77489798
359536	1222	1995-01-12	PRIJEM	PREVOD Z UCTU	6310	41047	DUCHOD	KL	77489798
359537	1222	1995-02-12	PRIJEM	PREVOD Z UCTU	6310	40279	DUCHOD	KL	77489798
359538	1222	1995-03-12	PRIJEM	PREVOD Z UCTU	6310	40207	DUCHOD	KL	77489798
359539	1222	1995-04-12	PRIJEM	PREVOD Z UCTU	6310	42338	DUCHOD	KL	77489798
359540	1222	1995-05-12	PRIJEM	PREVOD Z UCTU	6310	43478	DUCHOD	KL	77489798
359541	1222	1995-06-12	PRIJEM	PREVOD Z UCTU	6310	37174	DUCHOD	KL	77489798
359542	1222	1995-07-12	PRIJEM	PREVOD Z UCTU	6310	38571	DUCHOD	KL	77489798
359543	1222	1995-08-12	PRIJEM	PREVOD Z UCTU	6310	41693	DUCHOD	KL	77489798
359544	1222	1995-09-12	PRIJEM	PREVOD Z UCTU	6310	42129	DUCHOD	KL	77489798
359545	1222	1995-10-12	PRIJEM	PREVOD Z UCTU	6310	46867	DUCHOD	KL	77489798
359546	1222	1995-11-12	PRIJEM	PREVOD Z UCTU	6310	44423	DUCHOD	KL	77489798
359547	1222	1995-12-12	PRIJEM	PREVOD Z UCTU	6310	45656	DUCHOD	KL	77489798
359548	1222	1996-01-12	PRIJEM	PREVOD Z UCTU	6310	44456	DUCHOD	KL	77489798
359549	1222	1996-02-12	PRIJEM	PREVOD Z UCTU	6310	47203	DUCHOD	KL	77489798
359550	1222	1996-03-12	PRIJEM	PREVOD Z UCTU	6310	44660	DUCHOD	KL	77489798
359551	1222	1996-04-12	PRIJEM	PREVOD Z UCTU	6310	42310	DUCHOD	KL	77489798
359552	1222	1996-05-12	PRIJEM	PREVOD Z UCTU	6310	46150	DUCHOD	KL	77489798
359553	1222	1996-06-12	PRIJEM	PREVOD Z UCTU	6310	44902	DUCHOD	KL	77489798
359554	1222	1996-07-12	PRIJEM	PREVOD Z UCTU	6310	35768	DUCHOD	KL	77489798
359555	1222	1996-08-12	PRIJEM	PREVOD Z UCTU	6310	38777	DUCHOD	KL	77489798
359556	1222	1996-09-12	PRIJEM	PREVOD Z UCTU	6310	38998	DUCHOD	KL	77489798
359557	1222	1996-10-12	PRIJEM	PREVOD Z UCTU	6310	38722	DUCHOD	KL	77489798
359558	1222	1996-11-12	PRIJEM	PREVOD Z UCTU	6310	36144	DUCHOD	KL	77489798
359559	1222	1996-12-12	PRIJEM	PREVOD Z UCTU	6310	30214	DUCHOD	KL	77489798
359560	1222	1997-01-12	PRIJEM	PREVOD Z UCTU	6310	33352	DUCHOD	KL	77489798
359561	1222	1997-02-12	PRIJEM	PREVOD Z UCTU	6310	29727	DUCHOD	KL	77489798
359562	1222	1997-03-12	PRIJEM	PREVOD Z UCTU	6310	31610	DUCHOD	KL	77489798
359563	1222	1997-04-12	PRIJEM	PREVOD Z UCTU	6310	34101	DUCHOD	KL	77489798
359564	1222	1997-05-12	PRIJEM	PREVOD Z UCTU	6310	32000	DUCHOD	KL	77489798
359565	1222	1997-06-12	PRIJEM	PREVOD Z UCTU	6310	34291	DUCHOD	KL	77489798
359566	1222	1997-07-12	PRIJEM	PREVOD Z UCTU	6310	26903	DUCHOD	KL	77489798
359567	1222	1997-08-12	PRIJEM	PREVOD Z UCTU	6310	31574	DUCHOD	KL	77489798
359568	1222	1997-09-12	PRIJEM	PREVOD Z UCTU	6310	36264	DUCHOD	KL	77489798
359569	1222	1997-10-12	PRIJEM	PREVOD Z UCTU	6310	38094	DUCHOD	KL	77489798
359570	1222	1997-11-12	PRIJEM	PREVOD Z UCTU	6310	37912	DUCHOD	KL	77489798
359571	1222	1997-12-12	PRIJEM	PREVOD Z UCTU	6310	35944	DUCHOD	KL	77489798
359572	1222	1998-01-12	PRIJEM	PREVOD Z UCTU	6310	37952	DUCHOD	KL	77489798
359573	1222	1998-02-12	PRIJEM	PREVOD Z UCTU	6310	39782	DUCHOD	KL	77489798
359574	1222	1998-03-12	PRIJEM	PREVOD Z UCTU	6310	42704	DUCHOD	KL	77489798
359575	1222	1998-04-12	PRIJEM	PREVOD Z UCTU	6310	39833	DUCHOD	KL	77489798
359576	1222	1998-05-12	PRIJEM	PREVOD Z UCTU	6310	35690	DUCHOD	KL	77489798
359577	1222	1998-06-12	PRIJEM	PREVOD Z UCTU	6310	35892	DUCHOD	KL	77489798
359578	1222	1998-07-12	PRIJEM	PREVOD Z UCTU	6310	32941	DUCHOD	KL	77489798
359579	1222	1998-08-12	PRIJEM	PREVOD Z UCTU	6310	34488	DUCHOD	KL	77489798
359580	1222	1998-09-12	PRIJEM	PREVOD Z UCTU	6310	35163	DUCHOD	KL	77489798
359581	1222	1998-10-12	PRIJEM	PREVOD Z UCTU	6310	34960	DUCHOD	KL	77489798
359582	1222	1998-11-12	PRIJEM	PREVOD Z UCTU	6310	33353	DUCHOD	KL	77489798
359583	1222	1998-12-12	PRIJEM	PREVOD Z UCTU	6310	28434	DUCHOD	KL	77489798
359590	1222	1993-07-06	VYDAJ	PREVOD NA UCET	1727	27758	SIPO	WX	91109859
359591	1222	1993-08-06	VYDAJ	PREVOD NA UCET	1727	23872	SIPO	WX	91109859
359592	1222	1993-09-06	VYDAJ	PREVOD NA UCET	1727	25376	SIPO	WX	91109859
359593	1222	1993-10-06	VYDAJ	PREVOD NA UCET	1727	20695	SIPO	WX	91109859
359594	1222	1993-11-06	VYDAJ	PREVOD NA UCET	1727	23065	SIPO	WX	91109859
359595	1222	1993-12-06	VYDAJ	PREVOD NA UCET	1727	24041	SIPO	WX	91109859
359596	1222	1994-01-06	VYDAJ	PREVOD NA UCET	1727	25673	SIPO	WX	91109859
359597	1222	1994-02-06	VYDAJ	PREVOD NA UCET	1727	29165	SIPO	WX	91109859
359598	1222	1994-03-06	VYDAJ	PREVOD NA UCET	1727	30666	SIPO	WX	91109859
359599	1222	1994-04-06	VYDAJ	PREVOD NA UCET	1727	31173	SIPO	WX	91109859
359600	1222	1994-05-06	VYDAJ	PREVOD NA UCET	1727	30879	SIPO	WX	91109859
359601	1222	1994-06-06	VYDAJ	PREVOD NA UCET	1727	26322	SIPO	WX	91109859
359602	1222	1994-07-06	VYDAJ	PREVOD NA UCET	1727	13788	SIPO	WX	91109859
359603	1222	1994-08-06	VYDAJ	PREVOD NA UCET	1727	18434	SIPO	WX	91109859
359604	1222	1994-09-06	VYDAJ	PREVOD NA UCET	1727	23098	SIPO	WX	91109859
359605	1222	1994-10-06	VYDAJ	PREVOD NA UCET	1727	27080	SIPO	WX	91109859
359606	1222	1994-11-06	VYDAJ	PREVOD NA UCET	1727	28661	SIPO	WX	91109859
359607	1222	1994-12-06	VYDAJ	PREVOD NA UCET	1727	33168	SIPO	WX	91109859
359608	1222	1995-01-06	VYDAJ	PREVOD NA UCET	1727	35437	SIPO	WX	91109859
359609	1222	1995-02-06	VYDAJ	PREVOD NA UCET	1727	39469	SIPO	WX	91109859
359610	1222	1995-03-06	VYDAJ	PREVOD NA UCET	1727	35497	SIPO	WX	91109859
359611	1222	1995-04-06	VYDAJ	PREVOD NA UCET	1727	38628	SIPO	WX	91109859
359612	1222	1995-05-06	VYDAJ	PREVOD NA UCET	1727	40768	SIPO	WX	91109859
359613	1222	1995-06-06	VYDAJ	PREVOD NA UCET	1727	31264	SIPO	WX	91109859
359614	1222	1995-07-06	VYDAJ	PREVOD NA UCET	1727	33261	SIPO	WX	91109859
359615	1222	1995-08-06	VYDAJ	PREVOD NA UCET	1727	36983	SIPO	WX	91109859
359616	1222	1995-09-06	VYDAJ	PREVOD NA UCET	1727	40119	SIPO	WX	91109859
359617	1222	1995-10-06	VYDAJ	PREVOD NA UCET	1727	40557	SIPO	WX	91109859
359618	1222	1995-11-06	VYDAJ	PREVOD NA UCET	1727	45313	SIPO	WX	91109859
359619	1222	1995-12-06	VYDAJ	PREVOD NA UCET	1727	41746	SIPO	WX	91109859
359620	1222	1996-01-06	VYDAJ	PREVOD NA UCET	1727	38146	SIPO	WX	91109859
359621	1222	1996-02-06	VYDAJ	PREVOD NA UCET	1727	40893	SIPO	WX	91109859
359622	1222	1996-03-06	VYDAJ	PREVOD NA UCET	1727	38350	SIPO	WX	91109859
359623	1222	1996-04-06	VYDAJ	PREVOD NA UCET	1727	36000	SIPO	WX	91109859
359624	1222	1996-05-06	VYDAJ	PREVOD NA UCET	1727	39840	SIPO	WX	91109859
359625	1222	1996-06-06	VYDAJ	PREVOD NA UCET	1727	39792	SIPO	WX	91109859
359626	1222	1996-07-06	VYDAJ	PREVOD NA UCET	1727	29458	SIPO	WX	91109859
359627	1222	1996-08-06	VYDAJ	PREVOD NA UCET	1727	32467	SIPO	WX	91109859
359628	1222	1996-09-06	VYDAJ	PREVOD NA UCET	1727	32688	SIPO	WX	91109859
359629	1222	1996-10-06	VYDAJ	PREVOD NA UCET	1727	32412	SIPO	WX	91109859
359630	1222	1996-11-06	VYDAJ	PREVOD NA UCET	1727	29834	SIPO	WX	91109859
359631	1222	1996-12-06	VYDAJ	PREVOD NA UCET	1727	26784	SIPO	WX	91109859
359632	1222	1997-01-06	VYDAJ	PREVOD NA UCET	1727	27042	SIPO	WX	91109859
359633	1222	1997-02-06	VYDAJ	PREVOD NA UCET	1727	23417	SIPO	WX	91109859
359634	1222	1997-03-06	VYDAJ	PREVOD NA UCET	1727	25300	SIPO	WX	91109859
359635	1222	1997-04-06	VYDAJ	PREVOD NA UCET	1727	27791	SIPO	WX	91109859
359636	1222	1997-05-06	VYDAJ	PREVOD NA UCET	1727	25690	SIPO	WX	91109859
359637	1222	1997-06-06	VYDAJ	PREVOD NA UCET	1727	27981	SIPO	WX	91109859
359638	1222	1997-07-06	VYDAJ	PREVOD NA UCET	1727	20593	SIPO	WX	91109859
359639	1222	1997-08-06	VYDAJ	PREVOD NA UCET	1727	25264	SIPO	WX	91109859
359640	1222	1997-09-06	VYDAJ	PREVOD NA UCET	1727	29954	SIPO	WX	91109859
359641	1222	1997-10-06	VYDAJ	PREVOD NA UCET	1727	31784	SIPO	WX	91109859
359642	1222	1997-11-06	VYDAJ	PREVOD NA UCET	1727	31602	SIPO	WX	91109859
359643	1222	1997-12-06	VYDAJ	PREVOD NA UCET	1727	31874	SIPO	WX	91109859
359644	1222	1998-01-06	VYDAJ	PREVOD NA UCET	1727	31642	SIPO	WX	91109859
359645	1222	1998-02-06	VYDAJ	PREVOD NA UCET	1727	33472	SIPO	WX	91109859
359646	1222	1998-03-06	VYDAJ	PREVOD NA UCET	1727	36394	SIPO	WX	91109859
359647	1222	1998-04-06	VYDAJ	PREVOD NA UCET	1727	33523	SIPO	WX	91109859
359648	1222	1998-05-06	VYDAJ	PREVOD NA UCET	1727	29380	SIPO	WX	91109859
359649	1222	1998-06-06	VYDAJ	PREVOD NA UCET	1727	29582	SIPO	WX	91109859
359650	1222	1998-07-06	VYDAJ	PREVOD NA UCET	1727	26631	SIPO	WX	91109859
359651	1222	1998-08-06	VYDAJ	PREVOD NA UCET	1727	28178	SIPO	WX	91109859
359652	1222	1998-09-06	VYDAJ	PREVOD NA UCET	1727	28853	SIPO	WX	91109859
359653	1222	1998-10-06	VYDAJ	PREVOD NA UCET	1727	28650	SIPO	WX	91109859
359654	1222	1998-11-06	VYDAJ	PREVOD NA UCET	1727	27043	SIPO	WX	91109859
359655	1222	1998-12-06	VYDAJ	PREVOD NA UCET	1727	22124	SIPO	WX	91109859
359657	1222	1994-06-19	VYDAJ	VYBER	14300	15432	\N	\N	\N
359658	1222	1995-06-06	VYDAJ	VYBER	10650	32991	\N	\N	\N
359659	1222	1996-06-13	VYDAJ	VYBER	13850	31052	\N	\N	\N
359660	1222	1997-06-14	VYDAJ	VYBER	8150	26141	\N	\N	\N
359661	1222	1998-06-27	VYDAJ	VYBER	3050	29282	\N	\N	\N
359662	1222	1993-12-15	VYDAJ	VYBER	1050	29301	\N	\N	\N
359663	1222	1994-12-19	VYDAJ	VYBER	350	37028	\N	\N	\N
359664	1222	1995-12-15	VYDAJ	VYBER	1450	44206	\N	\N	\N
359665	1222	1996-12-21	VYDAJ	VYBER	850	29364	\N	\N	\N
359666	1222	1997-12-26	VYDAJ	VYBER	900	33244	\N	\N	\N
359667	1222	1998-12-30	VYDAJ	VYBER	950	19984	\N	\N	\N
359669	1222	1993-08-04	VYDAJ	VYBER	3280	25599	\N	\N	\N
359671	1222	1993-09-14	VYDAJ	VYBER	3040	28646	\N	\N	\N
359672	1222	1993-09-02	VYDAJ	VYBER	1280	27103	\N	\N	\N
359673	1222	1993-10-05	VYDAJ	VYBER	2720	22422	\N	\N	\N
359674	1222	1994-05-28	VYDAJ	VYBER	3760	27929	\N	\N	\N
359675	1222	1994-05-26	VYDAJ	VYBER	400	31689	\N	\N	\N
359676	1222	1994-11-01	VYDAJ	VYBER	3120	30388	\N	\N	\N
359677	1222	1995-12-09	VYDAJ	VYBER	2400	39346	\N	\N	\N
359678	1222	1995-06-18	VYDAJ	VYBER	480	34854	\N	\N	\N
359679	1222	1995-06-12	VYDAJ	VYBER	1840	35334	\N	\N	\N
359680	1222	1995-03-10	VYDAJ	VYBER	1600	33897	\N	\N	\N
359681	1222	1995-02-16	VYDAJ	VYBER	3200	37079	\N	\N	\N
359682	1222	1995-11-16	VYDAJ	VYBER	1120	43303	\N	\N	\N
359683	1222	1996-12-08	VYDAJ	VYBER	2880	23904	\N	\N	\N
359684	1222	1996-12-03	VYDAJ	VYBER	2960	28511	\N	\N	\N
359685	1222	1996-06-07	VYDAJ	VYBER	1200	38592	\N	\N	\N
359686	1222	1997-12-11	VYDAJ	VYBER	2240	29634	\N	\N	\N
359687	1222	1997-06-29	VYDAJ	VYBER	2320	22221	\N	\N	\N
359688	1222	1997-11-24	VYDAJ	VYBER	3840	34072	\N	\N	\N
359689	1222	1997-09-30	VYDAJ	VYBER	2880	33511	\N	\N	\N
359690	1222	1997-02-06	VYDAJ	VYBER	720	25144	\N	\N	\N
359691	1222	1998-06-29	VYDAJ	VYBER	640	28242	\N	\N	\N
359692	1222	1998-04-28	VYDAJ	VYBER	3760	30973	\N	\N	\N
359693	1222	1998-07-13	VYDAJ	VYBER	3040	29901	\N	\N	\N
359694	1222	1998-08-15	VYDAJ	VYBER	720	33768	\N	\N	\N
359695	1222	1998-01-15	VYDAJ	VYBER	2880	35072	\N	\N	\N
359696	1222	1998-06-28	VYDAJ	VYBER	400	28882	\N	\N	\N
359697	1222	1998-06-18	VYDAJ	VYBER	2960	32932	\N	\N	\N
359704	1222	1993-06-30	VYDAJ	VYBER	15	29485	SLUZBY	\N	\N
359705	1222	1993-07-31	VYDAJ	VYBER	15	28879	SLUZBY	\N	\N
359706	1222	1993-08-31	VYDAJ	VYBER	15	28383	SLUZBY	\N	\N
359707	1222	1993-09-30	VYDAJ	VYBER	15	25142	SLUZBY	\N	\N
359708	1222	1993-10-31	VYDAJ	VYBER	15	24792	SLUZBY	\N	\N
359709	1222	1993-11-30	VYDAJ	VYBER	15	25768	SLUZBY	\N	\N
359710	1222	1993-12-31	VYDAJ	VYBER	15	27400	SLUZBY	\N	\N
359711	1222	1994-01-31	VYDAJ	VYBER	15	30892	SLUZBY	\N	\N
359712	1222	1994-02-28	VYDAJ	VYBER	15	32393	SLUZBY	\N	\N
359713	1222	1994-03-31	VYDAJ	VYBER	15	32900	SLUZBY	\N	\N
359714	1222	1994-04-30	VYDAJ	VYBER	15	32606	SLUZBY	\N	\N
359715	1222	1994-05-31	VYDAJ	VYBER	15	28049	SLUZBY	\N	\N
359716	1222	1994-06-30	VYDAJ	VYBER	15	15515	SLUZBY	\N	\N
359717	1222	1994-07-31	VYDAJ	VYBER	15	20161	SLUZBY	\N	\N
359718	1222	1994-08-31	VYDAJ	VYBER	15	24825	SLUZBY	\N	\N
359719	1222	1994-09-30	VYDAJ	VYBER	15	28807	SLUZBY	\N	\N
359720	1222	1994-10-31	VYDAJ	VYBER	15	33508	SLUZBY	\N	\N
359721	1222	1994-11-30	VYDAJ	VYBER	15	34895	SLUZBY	\N	\N
359722	1222	1994-12-31	VYDAJ	VYBER	15	37164	SLUZBY	\N	\N
359723	1222	1995-01-31	VYDAJ	VYBER	15	41196	SLUZBY	\N	\N
359724	1222	1995-02-28	VYDAJ	VYBER	15	37224	SLUZBY	\N	\N
359725	1222	1995-03-31	VYDAJ	VYBER	15	40355	SLUZBY	\N	\N
359726	1222	1995-04-30	VYDAJ	VYBER	15	42495	SLUZBY	\N	\N
359727	1222	1995-05-31	VYDAJ	VYBER	15	43641	SLUZBY	\N	\N
359728	1222	1995-06-30	VYDAJ	VYBER	15	34988	SLUZBY	\N	\N
359729	1222	1995-07-31	VYDAJ	VYBER	15	38710	SLUZBY	\N	\N
359730	1222	1995-08-31	VYDAJ	VYBER	15	41846	SLUZBY	\N	\N
359731	1222	1995-09-30	VYDAJ	VYBER	15	42284	SLUZBY	\N	\N
359732	1222	1995-10-31	VYDAJ	VYBER	15	47040	SLUZBY	\N	\N
359733	1222	1995-11-30	VYDAJ	VYBER	15	43473	SLUZBY	\N	\N
359734	1222	1995-12-31	VYDAJ	VYBER	15	44373	SLUZBY	\N	\N
359735	1222	1996-01-31	VYDAJ	VYBER	15	44620	SLUZBY	\N	\N
359736	1222	1996-02-29	VYDAJ	VYBER	15	47377	SLUZBY	\N	\N
359737	1222	1996-03-31	VYDAJ	VYBER	15	44827	SLUZBY	\N	\N
359738	1222	1996-04-30	VYDAJ	VYBER	15	42467	SLUZBY	\N	\N
359739	1222	1996-05-31	VYDAJ	VYBER	15	46319	SLUZBY	\N	\N
359740	1222	1996-06-30	VYDAJ	VYBER	15	31185	SLUZBY	\N	\N
359741	1222	1996-07-31	VYDAJ	VYBER	15	35894	SLUZBY	\N	\N
359742	1222	1996-08-31	VYDAJ	VYBER	15	38915	SLUZBY	\N	\N
359743	1222	1996-09-30	VYDAJ	VYBER	15	39139	SLUZBY	\N	\N
359744	1222	1996-10-31	VYDAJ	VYBER	15	38861	SLUZBY	\N	\N
359745	1222	1996-11-30	VYDAJ	VYBER	15	36271	SLUZBY	\N	\N
359746	1222	1996-12-31	VYDAJ	VYBER	15	28769	SLUZBY	\N	\N
359747	1222	1997-01-31	VYDAJ	VYBER	15	25864	SLUZBY	\N	\N
359748	1222	1997-02-28	VYDAJ	VYBER	15	29827	SLUZBY	\N	\N
359749	1222	1997-03-31	VYDAJ	VYBER	15	29518	SLUZBY	\N	\N
359750	1222	1997-04-30	VYDAJ	VYBER	15	27417	SLUZBY	\N	\N
359751	1222	1997-05-31	VYDAJ	VYBER	15	29708	SLUZBY	\N	\N
359752	1222	1997-06-30	VYDAJ	VYBER	15	22320	SLUZBY	\N	\N
359753	1222	1997-07-31	VYDAJ	VYBER	15	26991	SLUZBY	\N	\N
359754	1222	1997-08-31	VYDAJ	VYBER	15	31681	SLUZBY	\N	\N
359755	1222	1997-09-30	VYDAJ	VYBER	15	36391	SLUZBY	\N	\N
359756	1222	1997-10-31	VYDAJ	VYBER	15	33329	SLUZBY	\N	\N
359757	1222	1997-11-30	VYDAJ	VYBER	15	33601	SLUZBY	\N	\N
359758	1222	1997-12-31	VYDAJ	VYBER	15	33369	SLUZBY	\N	\N
359759	1222	1998-01-31	VYDAJ	VYBER	15	35199	SLUZBY	\N	\N
359760	1222	1998-02-28	VYDAJ	VYBER	15	38121	SLUZBY	\N	\N
359761	1222	1998-03-31	VYDAJ	VYBER	15	35250	SLUZBY	\N	\N
359762	1222	1998-04-30	VYDAJ	VYBER	15	31107	SLUZBY	\N	\N
359763	1222	1998-05-31	VYDAJ	VYBER	15	31309	SLUZBY	\N	\N
359764	1222	1998-06-30	VYDAJ	VYBER	15	28358	SLUZBY	\N	\N
359765	1222	1998-07-31	VYDAJ	VYBER	15	29905	SLUZBY	\N	\N
359766	1222	1998-08-31	VYDAJ	VYBER	15	30580	SLUZBY	\N	\N
359767	1222	1998-09-30	VYDAJ	VYBER	15	30377	SLUZBY	\N	\N
359768	1222	1998-10-31	VYDAJ	VYBER	15	28770	SLUZBY	\N	\N
359769	1222	1998-11-30	VYDAJ	VYBER	15	23851	SLUZBY	\N	\N
359770	1222	1993-06-19	VYDAJ	VYBER	2800	29450	\N	\N	\N
359771	1222	1993-07-19	VYDAJ	VYBER	5300	28768	\N	\N	\N
359772	1222	1993-08-18	VYDAJ	VYBER	1900	28282	\N	\N	\N
359773	1222	1993-09-17	VYDAJ	VYBER	3600	25046	\N	\N	\N
359774	1222	1993-10-17	VYDAJ	VYBER	2300	24705	\N	\N	\N
359775	1222	1993-11-16	VYDAJ	VYBER	3700	25675	\N	\N	\N
359776	1222	1993-12-16	VYDAJ	VYBER	2000	27301	\N	\N	\N
359777	1222	1994-01-15	VYDAJ	VYBER	1200	30783	\N	\N	\N
359778	1222	1994-02-14	VYDAJ	VYBER	3200	32275	\N	\N	\N
359779	1222	1994-03-16	VYDAJ	VYBER	4200	32776	\N	\N	\N
359780	1222	1994-04-15	VYDAJ	VYBER	5000	32483	\N	\N	\N
359781	1222	1994-05-15	VYDAJ	VYBER	5100	32089	\N	\N	\N
359782	1222	1994-06-14	VYDAJ	VYBER	2900	29732	\N	\N	\N
359783	1222	1994-09-12	VYDAJ	VYBER	700	28708	\N	\N	\N
359784	1222	1994-11-11	VYDAJ	VYBER	200	28461	\N	\N	\N
359785	1222	1994-12-11	VYDAJ	VYBER	2100	31068	\N	\N	\N
359786	1222	1995-01-10	VYDAJ	VYBER	700	34737	\N	\N	\N
359787	1222	1995-02-09	VYDAJ	VYBER	5500	33969	\N	\N	\N
359788	1222	1995-04-10	VYDAJ	VYBER	2600	36028	\N	\N	\N
359789	1222	1995-05-10	VYDAJ	VYBER	3600	37168	\N	\N	\N
359790	1222	1995-06-09	VYDAJ	VYBER	400	30864	\N	\N	\N
359791	1222	1995-07-09	VYDAJ	VYBER	1000	32261	\N	\N	\N
359792	1222	1995-08-08	VYDAJ	VYBER	1600	35383	\N	\N	\N
359793	1222	1995-09-07	VYDAJ	VYBER	4300	35819	\N	\N	\N
359794	1222	1995-11-06	VYDAJ	VYBER	7200	38113	\N	\N	\N
359795	1222	1996-01-05	VYDAJ	VYBER	4500	39873	\N	\N	\N
359796	1222	1996-02-04	VYDAJ	VYBER	2000	42620	\N	\N	\N
359797	1222	1996-03-05	VYDAJ	VYBER	7300	40077	\N	\N	\N
359798	1222	1996-04-04	VYDAJ	VYBER	7100	37727	\N	\N	\N
359799	1222	1996-05-04	VYDAJ	VYBER	900	41567	\N	\N	\N
359800	1222	1996-06-03	VYDAJ	VYBER	4800	41519	\N	\N	\N
359801	1222	1996-08-02	VYDAJ	VYBER	1700	34194	\N	\N	\N
359802	1222	1996-09-01	VYDAJ	VYBER	4500	34415	\N	\N	\N
359803	1222	1996-10-01	VYDAJ	VYBER	5000	34139	\N	\N	\N
359804	1222	1996-10-31	VYDAJ	VYBER	7300	31561	\N	\N	\N
359805	1222	1996-11-30	VYDAJ	VYBER	4800	31471	\N	\N	\N
359806	1222	1996-12-30	VYDAJ	VYBER	700	28664	\N	\N	\N
359807	1222	1997-01-29	VYDAJ	VYBER	7600	25752	\N	\N	\N
359808	1222	1997-02-28	VYDAJ	VYBER	2800	27027	\N	\N	\N
359809	1222	1997-03-30	VYDAJ	VYBER	2200	29410	\N	\N	\N
359810	1222	1997-04-29	VYDAJ	VYBER	6800	27301	\N	\N	\N
359811	1222	1997-05-29	VYDAJ	VYBER	2400	29600	\N	\N	\N
359812	1222	1997-06-28	VYDAJ	VYBER	1600	24541	\N	\N	\N
359813	1222	1997-10-26	VYDAJ	VYBER	4900	33194	\N	\N	\N
359814	1222	1997-11-25	VYDAJ	VYBER	600	33472	\N	\N	\N
359815	1222	1997-12-25	VYDAJ	VYBER	1800	34144	\N	\N	\N
359816	1222	1998-02-23	VYDAJ	VYBER	1800	37982	\N	\N	\N
359817	1222	1998-03-25	VYDAJ	VYBER	7600	35104	\N	\N	\N
359818	1222	1998-04-24	VYDAJ	VYBER	5100	34733	\N	\N	\N
359819	1222	1998-05-24	VYDAJ	VYBER	4500	31190	\N	\N	\N
359820	1222	1998-06-23	VYDAJ	VYBER	600	32332	\N	\N	\N
359821	1222	1998-07-23	VYDAJ	VYBER	100	29801	\N	\N	\N
359822	1222	1998-08-22	VYDAJ	VYBER	3300	30468	\N	\N	\N
359823	1222	1998-09-21	VYDAJ	VYBER	4900	30263	\N	\N	\N
359824	1222	1998-10-21	VYDAJ	VYBER	6300	28660	\N	\N	\N
359825	1222	1998-11-20	VYDAJ	VYBER	9600	23753	\N	\N	\N
359826	1222	1998-12-20	VYDAJ	VYBER	7500	20934	\N	\N	\N
359894	1223	1996-08-10	PRIJEM	VKLAD	200	200	\N	\N	\N
359902	1223	1996-08-14	PRIJEM	VKLAD	12840	13040	\N	\N	\N
359903	1223	1996-09-14	PRIJEM	VKLAD	12840	28912	\N	\N	\N
359904	1223	1996-10-14	PRIJEM	VKLAD	12840	39343	\N	\N	\N
359905	1223	1996-11-14	PRIJEM	VKLAD	12840	45329	\N	\N	\N
359906	1223	1996-12-14	PRIJEM	VKLAD	19260	49767	\N	\N	\N
359907	1223	1997-01-14	PRIJEM	VKLAD	12840	33018	\N	\N	\N
359908	1223	1997-02-14	PRIJEM	VKLAD	12840	33207	\N	\N	\N
359909	1223	1997-03-14	PRIJEM	VKLAD	12840	35288	\N	\N	\N
359910	1223	1997-04-14	PRIJEM	VKLAD	12840	41185	\N	\N	\N
359911	1223	1997-05-14	PRIJEM	VKLAD	12840	44901	\N	\N	\N
359912	1223	1997-06-14	PRIJEM	VKLAD	19260	47947	\N	\N	\N
359913	1223	1997-07-14	PRIJEM	VKLAD	12840	44582	\N	\N	\N
359914	1223	1997-08-14	PRIJEM	VKLAD	12840	44213	\N	\N	\N
359915	1223	1997-09-14	PRIJEM	VKLAD	12840	46355	\N	\N	\N
359916	1223	1997-10-14	PRIJEM	VKLAD	12840	49499	\N	\N	\N
359917	1223	1997-11-14	PRIJEM	VKLAD	12840	50456	\N	\N	\N
359918	1223	1997-12-14	PRIJEM	VKLAD	19260	54738	\N	\N	\N
359919	1223	1998-01-14	PRIJEM	VKLAD	12840	48004	\N	\N	\N
359920	1223	1998-02-14	PRIJEM	VKLAD	12840	44052	\N	\N	\N
359921	1223	1998-03-14	PRIJEM	VKLAD	12840	46279	\N	\N	\N
359922	1223	1998-04-14	PRIJEM	VKLAD	12840	43521	\N	\N	\N
359923	1223	1998-05-14	PRIJEM	VKLAD	12840	44849	\N	\N	\N
359924	1223	1998-06-14	PRIJEM	VKLAD	19260	38101	\N	\N	\N
359925	1223	1998-07-14	PRIJEM	VKLAD	12840	43406	\N	\N	\N
359926	1223	1998-08-14	PRIJEM	VKLAD	12840	48831	\N	\N	\N
359927	1223	1998-09-14	PRIJEM	VKLAD	12840	53184	\N	\N	\N
359928	1223	1998-10-14	PRIJEM	VKLAD	12840	59250	\N	\N	\N
359929	1223	1998-11-14	PRIJEM	VKLAD	12840	56239	\N	\N	\N
359930	1223	1998-12-14	PRIJEM	VKLAD	19260	63438	\N	\N	\N
359942	1223	1996-12-14	VYDAJ	PREVOD NA UCET	1398	48369	SIPO	WX	7625335
359943	1223	1997-01-14	VYDAJ	PREVOD NA UCET	1398	31620	SIPO	WX	7625335
359944	1223	1997-02-14	VYDAJ	PREVOD NA UCET	1398	31809	SIPO	WX	7625335
359945	1223	1997-03-14	VYDAJ	PREVOD NA UCET	1398	33890	SIPO	WX	7625335
359946	1223	1997-04-14	VYDAJ	PREVOD NA UCET	1398	39787	SIPO	WX	7625335
359947	1223	1997-05-14	VYDAJ	PREVOD NA UCET	1398	43503	SIPO	WX	7625335
359948	1223	1997-06-14	VYDAJ	PREVOD NA UCET	1398	46549	SIPO	WX	7625335
359949	1223	1997-07-14	VYDAJ	PREVOD NA UCET	1398	43184	SIPO	WX	7625335
359950	1223	1997-08-14	VYDAJ	PREVOD NA UCET	1398	42815	SIPO	WX	7625335
359951	1223	1997-09-14	VYDAJ	PREVOD NA UCET	1398	44957	SIPO	WX	7625335
359952	1223	1997-10-14	VYDAJ	PREVOD NA UCET	1398	48101	SIPO	WX	7625335
359953	1223	1997-11-14	VYDAJ	PREVOD NA UCET	1398	49058	SIPO	WX	7625335
359954	1223	1997-12-14	VYDAJ	PREVOD NA UCET	1398	53340	SIPO	WX	7625335
359955	1223	1998-01-14	VYDAJ	PREVOD NA UCET	1398	46606	SIPO	WX	7625335
359956	1223	1998-02-14	VYDAJ	PREVOD NA UCET	1398	42654	SIPO	WX	7625335
359957	1223	1998-03-14	VYDAJ	PREVOD NA UCET	1398	44881	SIPO	WX	7625335
359958	1223	1998-04-14	VYDAJ	PREVOD NA UCET	1398	42123	SIPO	WX	7625335
359959	1223	1998-05-14	VYDAJ	PREVOD NA UCET	1398	43451	SIPO	WX	7625335
359960	1223	1998-06-14	VYDAJ	PREVOD NA UCET	1398	36703	SIPO	WX	7625335
359961	1223	1998-07-14	VYDAJ	PREVOD NA UCET	1398	42008	SIPO	WX	7625335
359962	1223	1998-08-14	VYDAJ	PREVOD NA UCET	1398	47433	SIPO	WX	7625335
359963	1223	1998-09-14	VYDAJ	PREVOD NA UCET	1398	51786	SIPO	WX	7625335
359964	1223	1998-10-14	VYDAJ	PREVOD NA UCET	1398	57852	SIPO	WX	7625335
359965	1223	1998-11-14	VYDAJ	PREVOD NA UCET	1398	54841	SIPO	WX	7625335
359966	1223	1998-12-14	VYDAJ	PREVOD NA UCET	1398	62040	SIPO	WX	7625335
359979	1223	1997-01-09	VYDAJ	PREVOD NA UCET	4963	20178	 	CD	87986993
359980	1223	1997-02-09	VYDAJ	PREVOD NA UCET	4963	20367	 	CD	87986993
359981	1223	1997-03-09	VYDAJ	PREVOD NA UCET	4963	22448	 	CD	87986993
359982	1223	1997-04-09	VYDAJ	PREVOD NA UCET	4963	28345	 	CD	87986993
359983	1223	1997-05-09	VYDAJ	PREVOD NA UCET	4963	32061	 	CD	87986993
359984	1223	1997-06-09	VYDAJ	PREVOD NA UCET	4963	28687	 	CD	87986993
359985	1223	1997-07-09	VYDAJ	PREVOD NA UCET	4963	31742	 	CD	87986993
359986	1223	1997-08-09	VYDAJ	PREVOD NA UCET	4963	31373	 	CD	87986993
359987	1223	1997-09-09	VYDAJ	PREVOD NA UCET	4963	33515	 	CD	87986993
359988	1223	1997-10-09	VYDAJ	PREVOD NA UCET	4963	36659	 	CD	87986993
359989	1223	1997-11-09	VYDAJ	PREVOD NA UCET	4963	37616	 	CD	87986993
359990	1223	1997-12-09	VYDAJ	PREVOD NA UCET	4963	35478	 	CD	87986993
359991	1223	1998-01-09	VYDAJ	PREVOD NA UCET	4963	37664	 	CD	87986993
359992	1223	1998-02-09	VYDAJ	PREVOD NA UCET	4963	31212	 	CD	87986993
359993	1223	1998-03-09	VYDAJ	PREVOD NA UCET	4963	33439	 	CD	87986993
359994	1223	1998-04-09	VYDAJ	PREVOD NA UCET	4963	32381	 	CD	87986993
359995	1223	1998-05-09	VYDAJ	PREVOD NA UCET	4963	32009	 	CD	87986993
359996	1223	1998-06-09	VYDAJ	PREVOD NA UCET	4963	18841	 	CD	87986993
359997	1223	1998-07-09	VYDAJ	PREVOD NA UCET	4963	30566	 	CD	87986993
359998	1223	1998-08-09	VYDAJ	PREVOD NA UCET	4963	35991	 	CD	87986993
359999	1223	1998-09-09	VYDAJ	PREVOD NA UCET	4963	40344	 	CD	87986993
360000	1223	1998-10-09	VYDAJ	PREVOD NA UCET	4963	46410	 	CD	87986993
360001	1223	1998-11-09	VYDAJ	PREVOD NA UCET	4963	43399	 	CD	87986993
360002	1223	1998-12-09	VYDAJ	PREVOD NA UCET	4963	44178	 	CD	87986993
360004	1223	1997-06-27	VYDAJ	VYBER	9200	37349	\N	\N	\N
360005	1223	1998-06-05	VYDAJ	VYBER	14400	24804	\N	\N	\N
360006	1223	1996-12-22	VYDAJ	VYBER	700	43869	\N	\N	\N
360007	1223	1997-12-19	VYDAJ	VYBER	600	52740	\N	\N	\N
360008	1223	1998-12-08	VYDAJ	VYBER	2000	49141	\N	\N	\N
360015	1223	1997-01-06	VYDAJ	VYBER	2300	39941	\N	\N	\N
360016	1223	1997-01-15	VYDAJ	VYBER	2700	28920	\N	\N	\N
360017	1223	1997-01-08	VYDAJ	VYBER	2300	25141	\N	\N	\N
360018	1223	1997-01-05	VYDAJ	VYBER	1800	42241	\N	\N	\N
360019	1223	1997-01-27	VYDAJ	VYBER	900	26920	\N	\N	\N
360020	1223	1997-01-21	VYDAJ	VYBER	1100	27820	\N	\N	\N
360021	1223	1998-01-13	VYDAJ	VYBER	2500	35164	\N	\N	\N
360022	1223	1998-01-17	VYDAJ	VYBER	1200	42906	\N	\N	\N
360023	1223	1998-01-27	VYDAJ	VYBER	1200	38606	\N	\N	\N
360024	1223	1998-01-27	VYDAJ	VYBER	1600	39806	\N	\N	\N
360025	1223	1998-01-21	VYDAJ	VYBER	1500	41406	\N	\N	\N
360026	1223	1998-01-15	VYDAJ	VYBER	2500	44106	\N	\N	\N
360031	1223	1996-12-15	VYDAJ	VYBER	3800	44569	\N	\N	\N
360034	1223	1997-05-15	VYDAJ	VYBER	3600	39903	\N	\N	\N
360035	1223	1997-11-28	VYDAJ	VYBER	2200	46858	\N	\N	\N
360036	1223	1997-06-08	VYDAJ	VYBER	1600	33650	\N	\N	\N
360037	1223	1997-06-04	VYDAJ	VYBER	4800	35250	\N	\N	\N
360038	1223	1997-08-09	VYDAJ	VYBER	1700	36336	\N	\N	\N
360039	1223	1997-02-21	VYDAJ	VYBER	1300	30509	\N	\N	\N
360040	1223	1998-02-26	VYDAJ	VYBER	2000	40654	\N	\N	\N
360041	1223	1998-04-12	VYDAJ	VYBER	1700	30681	\N	\N	\N
360042	1223	1998-05-21	VYDAJ	VYBER	1000	42451	\N	\N	\N
360043	1223	1998-06-09	VYDAJ	VYBER	1000	23804	\N	\N	\N
360044	1223	1998-09-01	VYDAJ	VYBER	1600	45307	\N	\N	\N
360045	1223	1998-12-18	VYDAJ	VYBER	4500	57540	\N	\N	\N
360046	1223	1998-04-15	VYDAJ	VYBER	3400	38723	\N	\N	\N
360059	1223	1996-12-31	VYDAJ	VYBER	15	44041	SLUZBY	\N	\N
360060	1223	1997-01-31	VYDAJ	VYBER	15	27030	SLUZBY	\N	\N
360061	1223	1997-02-28	VYDAJ	VYBER	15	30611	SLUZBY	\N	\N
360062	1223	1997-03-31	VYDAJ	VYBER	15	34008	SLUZBY	\N	\N
360063	1223	1997-04-30	VYDAJ	VYBER	15	39924	SLUZBY	\N	\N
360064	1223	1997-05-31	VYDAJ	VYBER	15	40050	SLUZBY	\N	\N
360065	1223	1997-06-30	VYDAJ	VYBER	15	37505	SLUZBY	\N	\N
360066	1223	1997-07-31	VYDAJ	VYBER	15	43336	SLUZBY	\N	\N
360067	1223	1997-08-31	VYDAJ	VYBER	15	42978	SLUZBY	\N	\N
360068	1223	1997-09-30	VYDAJ	VYBER	15	45122	SLUZBY	\N	\N
360069	1223	1997-10-31	VYDAJ	VYBER	15	48279	SLUZBY	\N	\N
360070	1223	1997-11-30	VYDAJ	VYBER	15	47041	SLUZBY	\N	\N
360071	1223	1997-12-31	VYDAJ	VYBER	15	52927	SLUZBY	\N	\N
360072	1223	1998-01-31	VYDAJ	VYBER	15	38775	SLUZBY	\N	\N
360073	1223	1998-02-28	VYDAJ	VYBER	15	40802	SLUZBY	\N	\N
360074	1223	1998-03-31	VYDAJ	VYBER	15	45044	SLUZBY	\N	\N
360075	1223	1998-04-30	VYDAJ	VYBER	15	38872	SLUZBY	\N	\N
360076	1223	1998-05-31	VYDAJ	VYBER	15	42604	SLUZBY	\N	\N
360077	1223	1998-06-30	VYDAJ	VYBER	15	36829	SLUZBY	\N	\N
360078	1223	1998-07-31	VYDAJ	VYBER	15	42154	SLUZBY	\N	\N
360079	1223	1998-08-31	VYDAJ	VYBER	15	46907	SLUZBY	\N	\N
360080	1223	1998-09-30	VYDAJ	VYBER	15	51373	SLUZBY	\N	\N
360081	1223	1998-10-31	VYDAJ	VYBER	15	48362	SLUZBY	\N	\N
360082	1223	1998-11-30	VYDAJ	VYBER	15	51141	SLUZBY	\N	\N
360083	1223	1996-09-09	PRIJEM	VKLAD	3000	16072	\N	\N	\N
360084	1223	1996-10-09	VYDAJ	VYBER	2500	26503	\N	\N	\N
360085	1223	1996-11-08	VYDAJ	VYBER	7000	32489	\N	\N	\N
360086	1223	1996-12-08	VYDAJ	VYBER	15000	30507	\N	\N	\N
360087	1223	1997-01-07	VYDAJ	VYBER	12500	27441	\N	\N	\N
360088	1223	1997-02-06	VYDAJ	VYBER	1700	25330	\N	\N	\N
360089	1223	1997-03-08	VYDAJ	VYBER	3200	27411	\N	\N	\N
360090	1223	1997-04-07	VYDAJ	VYBER	700	33308	\N	\N	\N
360091	1223	1997-05-07	VYDAJ	VYBER	2900	37024	\N	\N	\N
360092	1223	1997-07-06	VYDAJ	VYBER	800	36705	\N	\N	\N
360093	1223	1997-08-05	VYDAJ	VYBER	5300	38036	\N	\N	\N
360094	1223	1997-09-04	VYDAJ	VYBER	4500	38478	\N	\N	\N
360095	1223	1997-10-04	VYDAJ	VYBER	3500	41622	\N	\N	\N
360096	1223	1997-11-03	VYDAJ	VYBER	5700	42579	\N	\N	\N
360097	1223	1997-12-03	VYDAJ	VYBER	6600	40441	\N	\N	\N
360098	1223	1998-01-02	VYDAJ	VYBER	10300	42627	\N	\N	\N
360099	1223	1998-02-01	VYDAJ	VYBER	2600	36175	\N	\N	\N
360100	1223	1998-03-03	VYDAJ	VYBER	2400	38402	\N	\N	\N
360101	1223	1998-04-02	VYDAJ	VYBER	7700	37344	\N	\N	\N
360102	1223	1998-05-02	VYDAJ	VYBER	1900	36972	\N	\N	\N
360103	1223	1998-06-01	VYDAJ	VYBER	3400	39204	\N	\N	\N
360104	1223	1998-07-01	VYDAJ	VYBER	1300	35529	\N	\N	\N
360105	1223	1998-07-31	VYDAJ	VYBER	1200	40954	\N	\N	\N
360106	1223	1998-08-30	VYDAJ	VYBER	700	46733	\N	\N	\N
360107	1223	1998-09-29	VYDAJ	VYBER	600	51186	\N	\N	\N
360108	1223	1998-10-29	VYDAJ	VYBER	9700	48152	\N	\N	\N
360109	1223	1998-11-28	VYDAJ	VYBER	3900	50941	\N	\N	\N
360571	1225	1993-12-14	PRIJEM	VKLAD	900	900	\N	\N	\N
360584	1225	1994-01-05	PRIJEM	VKLAD	18819	19719	\N	\N	\N
360585	1225	1994-02-05	PRIJEM	VKLAD	18819	38689	\N	\N	\N
360586	1225	1994-03-05	PRIJEM	VKLAD	18819	49217	\N	\N	\N
360587	1225	1994-04-05	PRIJEM	VKLAD	18819	54074	\N	\N	\N
360588	1225	1994-05-05	PRIJEM	VKLAD	18819	59753	\N	\N	\N
360589	1225	1994-06-05	PRIJEM	VKLAD	28228	62855	\N	\N	\N
360590	1225	1994-07-05	PRIJEM	VKLAD	18819	38839	\N	\N	\N
360591	1225	1994-08-05	PRIJEM	VKLAD	18819	49455	\N	\N	\N
360592	1225	1994-09-05	PRIJEM	VKLAD	18819	55804	\N	\N	\N
360593	1225	1994-10-05	PRIJEM	VKLAD	18819	59072	\N	\N	\N
360594	1225	1994-11-05	PRIJEM	VKLAD	18819	62554	\N	\N	\N
360595	1225	1994-12-05	PRIJEM	VKLAD	28228	71169	\N	\N	\N
360596	1225	1995-01-05	PRIJEM	VKLAD	18819	59223	\N	\N	\N
360597	1225	1995-02-05	PRIJEM	VKLAD	18819	41283	\N	\N	\N
360598	1225	1995-03-05	PRIJEM	VKLAD	18819	55593	\N	\N	\N
360599	1225	1995-04-05	PRIJEM	VKLAD	18819	60465	\N	\N	\N
360600	1225	1995-05-05	PRIJEM	VKLAD	18819	59393	\N	\N	\N
360601	1225	1995-06-05	PRIJEM	VKLAD	28228	71984	\N	\N	\N
360602	1225	1995-07-05	PRIJEM	VKLAD	18819	66283	\N	\N	\N
360603	1225	1995-08-05	PRIJEM	VKLAD	18819	65180	\N	\N	\N
360604	1225	1995-09-05	PRIJEM	VKLAD	18819	67485	\N	\N	\N
360605	1225	1995-10-05	PRIJEM	VKLAD	18819	70903	\N	\N	\N
360606	1225	1995-11-05	PRIJEM	VKLAD	18819	59123	\N	\N	\N
360607	1225	1995-12-05	PRIJEM	VKLAD	28228	77650	\N	\N	\N
360608	1225	1996-01-05	PRIJEM	VKLAD	18819	74098	\N	\N	\N
360609	1225	1996-02-05	PRIJEM	VKLAD	18819	65933	\N	\N	\N
360610	1225	1996-03-05	PRIJEM	VKLAD	18819	72506	\N	\N	\N
360611	1225	1996-04-05	PRIJEM	VKLAD	18819	74847	\N	\N	\N
360612	1225	1996-05-05	PRIJEM	VKLAD	18819	74380	\N	\N	\N
360613	1225	1996-06-05	PRIJEM	VKLAD	28228	83039	\N	\N	\N
360614	1225	1996-07-05	PRIJEM	VKLAD	18819	77081	\N	\N	\N
360615	1225	1996-08-05	PRIJEM	VKLAD	18819	79605	\N	\N	\N
360616	1225	1996-09-05	PRIJEM	VKLAD	18819	76105	\N	\N	\N
360617	1225	1996-10-05	PRIJEM	VKLAD	18819	76409	\N	\N	\N
360618	1225	1996-11-05	PRIJEM	VKLAD	18819	79853	\N	\N	\N
360619	1225	1996-12-05	PRIJEM	VKLAD	28228	83279	\N	\N	\N
360620	1225	1997-01-05	PRIJEM	VKLAD	18819	75603	\N	\N	\N
360621	1225	1997-02-05	PRIJEM	VKLAD	18819	69287	\N	\N	\N
360622	1225	1997-03-05	PRIJEM	VKLAD	18819	73901	\N	\N	\N
360623	1225	1997-04-05	PRIJEM	VKLAD	18819	73533	\N	\N	\N
360624	1225	1997-05-05	PRIJEM	VKLAD	18819	76664	\N	\N	\N
360625	1225	1997-06-05	PRIJEM	VKLAD	28228	86140	\N	\N	\N
360626	1225	1997-07-05	PRIJEM	VKLAD	18819	75029	\N	\N	\N
360627	1225	1997-08-05	PRIJEM	VKLAD	18819	68563	\N	\N	\N
360628	1225	1997-09-05	PRIJEM	VKLAD	18819	67271	\N	\N	\N
360629	1225	1997-10-05	PRIJEM	VKLAD	18819	69476	\N	\N	\N
360630	1225	1997-11-05	PRIJEM	VKLAD	18819	69489	\N	\N	\N
360631	1225	1997-12-05	PRIJEM	VKLAD	28228	79474	\N	\N	\N
360632	1225	1998-01-05	PRIJEM	VKLAD	18819	75655	\N	\N	\N
360633	1225	1998-02-05	PRIJEM	VKLAD	18819	70340	\N	\N	\N
360634	1225	1998-03-05	PRIJEM	VKLAD	18819	75273	\N	\N	\N
360635	1225	1998-04-05	PRIJEM	VKLAD	18819	69689	\N	\N	\N
360636	1225	1998-05-05	PRIJEM	VKLAD	18819	70249	\N	\N	\N
360637	1225	1998-06-05	PRIJEM	VKLAD	28228	78471	\N	\N	\N
360638	1225	1998-07-05	PRIJEM	VKLAD	18819	54425	\N	\N	\N
360639	1225	1998-08-05	PRIJEM	VKLAD	18819	62297	\N	\N	\N
360640	1225	1998-09-05	PRIJEM	VKLAD	18819	61176	\N	\N	\N
360641	1225	1998-10-05	PRIJEM	VKLAD	18819	63956	\N	\N	\N
360642	1225	1998-11-05	PRIJEM	VKLAD	18819	62741	\N	\N	\N
360643	1225	1998-12-05	PRIJEM	VKLAD	28228	71355	\N	\N	\N
360645	1225	1994-06-07	VYDAJ	VYBER	47360	15495	\N	\N	\N
360647	1225	1996-06-10	VYDAJ	VYBER	6880	76159	\N	\N	\N
360648	1225	1997-06-09	VYDAJ	VYBER	8000	78140	\N	\N	\N
360649	1225	1998-06-17	VYDAJ	VYBER	29760	48711	\N	\N	\N
360652	1225	1995-01-10	VYDAJ	VYBER	10400	32663	\N	\N	\N
360653	1225	1996-01-21	VYDAJ	VYBER	3040	62298	\N	\N	\N
360654	1225	1997-01-27	VYDAJ	VYBER KARTOU	2100	51603	\N	\N	0
360655	1225	1998-01-12	VYDAJ	VYBER	4480	69475	\N	\N	\N
360657	1225	1994-12-24	VYDAJ	VYBER	2720	44549	\N	\N	\N
360658	1225	1995-12-11	VYDAJ	VYBER	3360	74290	\N	\N	\N
360659	1225	1996-12-02	VYDAJ	VYBER	4640	55051	\N	\N	\N
360660	1225	1997-12-06	VYDAJ	VYBER KARTOU	1400	78074	\N	\N	0
360661	1225	1998-12-02	VYDAJ	VYBER KARTOU	3000	43127	\N	\N	0
360674	1225	1995-01-01	VYDAJ	VYBER	840	40404	\N	\N	\N
360675	1225	1995-01-01	VYDAJ	VYBER	3480	41244	\N	\N	\N
360676	1225	1995-01-22	VYDAJ	VYBER	2160	25343	\N	\N	\N
360677	1225	1995-01-06	VYDAJ	VYBER	3360	55863	\N	\N	\N
360678	1225	1995-01-27	VYDAJ	VYBER	1080	24263	\N	\N	\N
360679	1225	1995-01-28	VYDAJ	VYBER	1920	22343	\N	\N	\N
360680	1225	1996-01-22	VYDAJ	VYBER	1920	60378	\N	\N	\N
360681	1225	1996-01-04	VYDAJ	VYBER	1200	55279	\N	\N	\N
360682	1225	1996-01-26	VYDAJ	VYBER	2640	55458	\N	\N	\N
360683	1225	1996-01-14	VYDAJ	VYBER	2640	67978	\N	\N	\N
360684	1225	1996-01-23	VYDAJ	VYBER	2280	58098	\N	\N	\N
360685	1225	1996-01-19	VYDAJ	VYBER	2640	65338	\N	\N	\N
360686	1225	1997-01-16	VYDAJ	VYBER KARTOU	3200	72403	\N	\N	0
360687	1225	1997-01-17	VYDAJ	VYBER KARTOU	1200	71203	\N	\N	0
360688	1225	1997-01-25	VYDAJ	VYBER KARTOU	2500	66803	\N	\N	0
360689	1225	1997-01-01	VYDAJ	VYBER KARTOU	2800	56784	\N	\N	0
360690	1225	1997-01-30	VYDAJ	VYBER KARTOU	1400	50203	\N	\N	0
360691	1225	1997-01-18	VYDAJ	VYBER KARTOU	1900	69303	\N	\N	0
360692	1225	1998-01-19	VYDAJ	VYBER KARTOU	700	65575	\N	\N	0
360693	1225	1998-01-14	VYDAJ	VYBER KARTOU	3200	66275	\N	\N	0
360694	1225	1998-01-06	VYDAJ	VYBER KARTOU	700	74955	\N	\N	0
360695	1225	1998-01-30	VYDAJ	VYBER KARTOU	600	51275	\N	\N	0
360696	1225	1998-01-30	VYDAJ	VYBER KARTOU	3500	51875	\N	\N	0
360697	1225	1998-01-08	VYDAJ	VYBER KARTOU	1000	73955	\N	\N	0
360704	1225	1994-06-20	VYDAJ	VYBER	1560	19935	\N	\N	\N
360705	1225	1994-11-19	VYDAJ	VYBER	2280	42774	\N	\N	\N
360706	1225	1994-05-31	VYDAJ	VYBER	5880	34627	\N	\N	\N
360707	1225	1995-01-11	VYDAJ	VYBER	3120	29543	\N	\N	\N
360708	1225	1995-11-08	VYDAJ	VYBER	1320	57803	\N	\N	\N
360709	1225	1995-02-05	VYDAJ	VYBER	1440	39843	\N	\N	\N
360710	1225	1995-01-19	VYDAJ	VYBER	2040	27503	\N	\N	\N
360711	1225	1995-04-08	VYDAJ	VYBER	4560	40405	\N	\N	\N
360712	1225	1995-10-12	VYDAJ	VYBER	5880	44723	\N	\N	\N
360713	1225	1996-01-07	VYDAJ	VYBER	2640	70618	\N	\N	\N
360714	1225	1996-01-06	VYDAJ	VYBER	840	73258	\N	\N	\N
360715	1225	1996-09-17	VYDAJ	VYBER	5760	70345	\N	\N	\N
360716	1225	1996-04-30	VYDAJ	VYBER	1080	74061	\N	\N	\N
360717	1225	1996-03-26	VYDAJ	VYBER	2160	70346	\N	\N	\N
360718	1225	1996-08-19	VYDAJ	VYBER	2520	77085	\N	\N	\N
360719	1225	1996-05-27	VYDAJ	VYBER	5160	69220	\N	\N	\N
360720	1225	1997-07-13	VYDAJ	VYBER	5520	69509	\N	\N	\N
360721	1225	1997-05-17	VYDAJ	VYBER KARTOU	1100	75564	\N	\N	0
360722	1225	1997-11-11	VYDAJ	VYBER	4560	64929	\N	\N	\N
360723	1225	1997-12-11	VYDAJ	VYBER KARTOU	1800	76274	\N	\N	0
360724	1225	1997-06-25	VYDAJ	VYBER KARTOU	1600	76540	\N	\N	0
360725	1225	1998-01-03	VYDAJ	VYBER KARTOU	1300	56836	\N	\N	0
360726	1225	1998-03-27	VYDAJ	VYBER KARTOU	3600	55573	\N	\N	0
360727	1225	1998-02-27	VYDAJ	VYBER KARTOU	1100	56240	\N	\N	0
360728	1225	1998-11-10	VYDAJ	VYBER KARTOU	1100	61641	\N	\N	0
360729	1225	1998-06-30	VYDAJ	VYBER	4680	35606	\N	\N	\N
360730	1225	1998-04-04	VYDAJ	VYBER	4920	50870	\N	\N	\N
360731	1225	1998-02-21	VYDAJ	VYBER KARTOU	1000	69340	\N	\N	0
360732	1225	1998-12-13	VYDAJ	VYBER	4680	66675	\N	\N	\N
360750	1225	1994-05-31	VYDAJ	VYBER	15	40507	SLUZBY	\N	\N
360751	1225	1994-06-30	VYDAJ	VYBER	15	20020	SLUZBY	\N	\N
360752	1225	1994-07-31	VYDAJ	VYBER	15	30636	SLUZBY	\N	\N
360753	1225	1994-08-31	VYDAJ	VYBER	15	36985	SLUZBY	\N	\N
360754	1225	1994-09-30	VYDAJ	VYBER	15	40253	SLUZBY	\N	\N
360755	1225	1994-10-31	VYDAJ	VYBER	15	43735	SLUZBY	\N	\N
360756	1225	1994-11-30	VYDAJ	VYBER	15	42941	SLUZBY	\N	\N
360757	1225	1994-12-31	VYDAJ	VYBER	15	44724	SLUZBY	\N	\N
360758	1225	1995-01-31	VYDAJ	VYBER	15	22464	SLUZBY	\N	\N
360759	1225	1995-02-28	VYDAJ	VYBER	15	36774	SLUZBY	\N	\N
360760	1225	1995-03-31	VYDAJ	VYBER	15	41646	SLUZBY	\N	\N
360761	1225	1995-04-30	VYDAJ	VYBER	15	40574	SLUZBY	\N	\N
360762	1225	1995-05-31	VYDAJ	VYBER	15	43756	SLUZBY	\N	\N
360763	1225	1995-06-30	VYDAJ	VYBER	15	47464	SLUZBY	\N	\N
360764	1225	1995-07-31	VYDAJ	VYBER	15	46361	SLUZBY	\N	\N
360765	1225	1995-08-31	VYDAJ	VYBER	15	48666	SLUZBY	\N	\N
360766	1225	1995-09-30	VYDAJ	VYBER	15	52084	SLUZBY	\N	\N
360767	1225	1995-10-31	VYDAJ	VYBER	15	44904	SLUZBY	\N	\N
360768	1225	1995-11-30	VYDAJ	VYBER	15	58022	SLUZBY	\N	\N
360769	1225	1995-12-31	VYDAJ	VYBER	15	74579	SLUZBY	\N	\N
360770	1225	1996-01-31	VYDAJ	VYBER	15	55714	SLUZBY	\N	\N
360771	1225	1996-02-29	VYDAJ	VYBER	15	66187	SLUZBY	\N	\N
360772	1225	1996-03-31	VYDAJ	VYBER	15	70628	SLUZBY	\N	\N
360773	1225	1996-04-30	VYDAJ	VYBER	15	75141	SLUZBY	\N	\N
360774	1225	1996-05-31	VYDAJ	VYBER	15	69511	SLUZBY	\N	\N
360775	1225	1996-06-30	VYDAJ	VYBER	15	76462	SLUZBY	\N	\N
360776	1225	1996-07-31	VYDAJ	VYBER	15	77386	SLUZBY	\N	\N
360777	1225	1996-08-31	VYDAJ	VYBER	15	57286	SLUZBY	\N	\N
360778	1225	1996-09-30	VYDAJ	VYBER	15	57590	SLUZBY	\N	\N
360779	1225	1996-10-31	VYDAJ	VYBER	15	61034	SLUZBY	\N	\N
360780	1225	1996-11-30	VYDAJ	VYBER	15	59691	SLUZBY	\N	\N
360781	1225	1996-12-31	VYDAJ	VYBER	15	59584	SLUZBY	\N	\N
360782	1225	1997-01-31	VYDAJ	VYBER	15	50468	SLUZBY	\N	\N
360783	1225	1997-02-28	VYDAJ	VYBER	15	55082	SLUZBY	\N	\N
360784	1225	1997-03-31	VYDAJ	VYBER	15	54714	SLUZBY	\N	\N
360785	1225	1997-04-30	VYDAJ	VYBER	15	57845	SLUZBY	\N	\N
360786	1225	1997-05-31	VYDAJ	VYBER	15	57912	SLUZBY	\N	\N
360787	1225	1997-06-30	VYDAJ	VYBER	15	56210	SLUZBY	\N	\N
360788	1225	1997-07-31	VYDAJ	VYBER	15	49744	SLUZBY	\N	\N
360789	1225	1997-08-31	VYDAJ	VYBER	15	48452	SLUZBY	\N	\N
360790	1225	1997-09-30	VYDAJ	VYBER	15	50657	SLUZBY	\N	\N
360791	1225	1997-10-31	VYDAJ	VYBER	15	50670	SLUZBY	\N	\N
360792	1225	1997-11-30	VYDAJ	VYBER	15	51246	SLUZBY	\N	\N
360793	1225	1997-12-31	VYDAJ	VYBER	15	58136	SLUZBY	\N	\N
360794	1225	1998-01-31	VYDAJ	VYBER	15	51521	SLUZBY	\N	\N
360795	1225	1998-02-28	VYDAJ	VYBER	15	56454	SLUZBY	\N	\N
360796	1225	1998-03-31	VYDAJ	VYBER	15	55790	SLUZBY	\N	\N
360797	1225	1998-04-30	VYDAJ	VYBER	15	51430	SLUZBY	\N	\N
360798	1225	1998-05-31	VYDAJ	VYBER	15	50243	SLUZBY	\N	\N
360799	1225	1998-06-30	VYDAJ	VYBER	15	40286	SLUZBY	\N	\N
360800	1225	1998-07-31	VYDAJ	VYBER	15	43478	SLUZBY	\N	\N
360801	1225	1998-08-31	VYDAJ	VYBER	15	42357	SLUZBY	\N	\N
360802	1225	1998-09-30	VYDAJ	VYBER	15	45137	SLUZBY	\N	\N
360803	1225	1998-10-31	VYDAJ	VYBER	15	43922	SLUZBY	\N	\N
360804	1225	1998-11-30	VYDAJ	VYBER	15	46127	SLUZBY	\N	\N
360805	1225	1994-01-13	PRIJEM	VKLAD	100	19819	\N	\N	\N
360806	1225	1994-02-12	VYDAJ	VYBER	8400	30289	\N	\N	\N
360807	1225	1994-03-14	VYDAJ	VYBER	14100	35117	\N	\N	\N
360808	1225	1994-04-13	VYDAJ	VYBER	13300	40774	\N	\N	\N
360809	1225	1994-05-13	VYDAJ	VYBER	19400	40353	\N	\N	\N
360810	1225	1994-06-12	PRIJEM	VKLAD	6000	21495	\N	\N	\N
360811	1225	1994-07-12	VYDAJ	VYBER	8300	30539	\N	\N	\N
360812	1225	1994-08-11	VYDAJ	VYBER	12600	36855	\N	\N	\N
360813	1225	1994-09-10	VYDAJ	VYBER	15700	40104	\N	\N	\N
360814	1225	1994-10-10	VYDAJ	VYBER	15500	43572	\N	\N	\N
360815	1225	1994-11-09	VYDAJ	VYBER	17500	45054	\N	\N	\N
360816	1225	1994-12-09	VYDAJ	VYBER	23900	47269	\N	\N	\N
360817	1225	1995-01-08	VYDAJ	VYBER	12800	43063	\N	\N	\N
360818	1225	1995-02-07	VYDAJ	VYBER	3200	36643	\N	\N	\N
360819	1225	1995-03-09	VYDAJ	VYBER	14100	41493	\N	\N	\N
360820	1225	1995-04-08	VYDAJ	VYBER	15500	44965	\N	\N	\N
360821	1225	1995-05-08	VYDAJ	VYBER	15800	43593	\N	\N	\N
360822	1225	1995-06-07	VYDAJ	VYBER	24700	47284	\N	\N	\N
360823	1225	1995-07-07	VYDAJ	VYBER	20100	46183	\N	\N	\N
360824	1225	1995-08-06	VYDAJ	VYBER	16700	48480	\N	\N	\N
360825	1225	1995-09-05	VYDAJ	VYBER	15600	51885	\N	\N	\N
360826	1225	1995-10-05	VYDAJ	VYBER	20300	50603	\N	\N	\N
360827	1225	1995-11-04	VYDAJ	VYBER	4600	40304	\N	\N	\N
360828	1225	1995-12-04	VYDAJ	VYBER	8600	49422	\N	\N	\N
360829	1225	1996-01-03	VYDAJ	VYBER	18100	56479	\N	\N	\N
360830	1225	1996-02-02	VYDAJ	VYBER	8600	47114	\N	\N	\N
360831	1225	1996-03-03	VYDAJ	VYBER	12500	53687	\N	\N	\N
360832	1225	1996-04-02	VYDAJ	VYBER	14600	56028	\N	\N	\N
360833	1225	1996-05-02	VYDAJ	VYBER	18500	55561	\N	\N	\N
360834	1225	1996-06-01	VYDAJ	VYBER	14700	54811	\N	\N	\N
360835	1225	1996-07-01	VYDAJ	VYBER	18200	58262	\N	\N	\N
360836	1225	1996-07-31	VYDAJ	VYBER	16600	60786	\N	\N	\N
360837	1225	1996-08-30	VYDAJ	VYBER	20100	56985	\N	\N	\N
360838	1225	1996-09-29	VYDAJ	VYBER	13000	57345	\N	\N	\N
360839	1225	1996-10-29	VYDAJ	VYBER	15600	60809	\N	\N	\N
360840	1225	1996-11-28	VYDAJ	VYBER	20400	59453	\N	\N	\N
360841	1225	1996-12-28	VYDAJ	VYBER	24000	59279	\N	\N	\N
360842	1225	1997-01-27	VYDAJ	VYBER	13100	53703	\N	\N	\N
360843	1225	1997-02-26	VYDAJ	VYBER	14400	54887	\N	\N	\N
360844	1225	1997-03-28	VYDAJ	VYBER	19400	54501	\N	\N	\N
360845	1225	1997-04-27	VYDAJ	VYBER	15900	57633	\N	\N	\N
360846	1225	1997-05-27	VYDAJ	VYBER	17900	57664	\N	\N	\N
360847	1225	1997-06-26	VYDAJ	VYBER	20600	55940	\N	\N	\N
360848	1225	1997-07-26	VYDAJ	VYBER	20000	49509	\N	\N	\N
360849	1225	1997-08-25	VYDAJ	VYBER	20300	48263	\N	\N	\N
360850	1225	1997-09-24	VYDAJ	VYBER	16800	50471	\N	\N	\N
360851	1225	1997-10-24	VYDAJ	VYBER	19000	50476	\N	\N	\N
360852	1225	1997-11-23	VYDAJ	VYBER	13900	51029	\N	\N	\N
360853	1225	1997-12-23	VYDAJ	VYBER	18400	57874	\N	\N	\N
360854	1225	1998-01-22	VYDAJ	VYBER	10200	55375	\N	\N	\N
360855	1225	1998-02-21	VYDAJ	VYBER	12000	57340	\N	\N	\N
360856	1225	1998-03-23	VYDAJ	VYBER	16100	59173	\N	\N	\N
360857	1225	1998-04-22	VYDAJ	VYBER	18500	51189	\N	\N	\N
360858	1225	1998-05-22	VYDAJ	VYBER	20200	50049	\N	\N	\N
360859	1225	1998-06-21	VYDAJ	VYBER	8600	40111	\N	\N	\N
360860	1225	1998-07-21	VYDAJ	VYBER	11100	43325	\N	\N	\N
360861	1225	1998-08-20	VYDAJ	VYBER	20100	42197	\N	\N	\N
360862	1225	1998-09-19	VYDAJ	VYBER	16200	44976	\N	\N	\N
360863	1225	1998-10-19	VYDAJ	VYBER	20200	43756	\N	\N	\N
360864	1225	1998-11-18	VYDAJ	VYBER	15700	45941	\N	\N	\N
360925	1226	1996-10-23	PRIJEM	VKLAD	400	400	\N	\N	\N
360936	1226	1996-11-05	PRIJEM	VKLAD	5740	6140	\N	\N	\N
360937	1226	1996-12-05	PRIJEM	VKLAD	8610	22868	\N	\N	\N
360938	1226	1997-01-05	PRIJEM	VKLAD	5740	27878	\N	\N	\N
360939	1226	1997-02-05	PRIJEM	VKLAD	5740	26708	\N	\N	\N
360940	1226	1997-03-05	PRIJEM	VKLAD	5740	29639	\N	\N	\N
360941	1226	1997-04-05	PRIJEM	VKLAD	5740	26361	\N	\N	\N
360942	1226	1997-05-05	PRIJEM	VKLAD	5740	25906	\N	\N	\N
360943	1226	1997-06-05	PRIJEM	VKLAD	8610	31064	\N	\N	\N
360944	1226	1997-07-05	PRIJEM	VKLAD	5740	27866	\N	\N	\N
360945	1226	1997-08-05	PRIJEM	VKLAD	5740	28641	\N	\N	\N
360946	1226	1997-09-05	PRIJEM	VKLAD	5740	27735	\N	\N	\N
360947	1226	1997-10-05	PRIJEM	VKLAD	5740	27526	\N	\N	\N
360948	1226	1997-11-05	PRIJEM	VKLAD	5740	26716	\N	\N	\N
360949	1226	1997-12-05	PRIJEM	VKLAD	8610	23784	\N	\N	\N
360950	1226	1998-01-05	PRIJEM	VKLAD	5740	16642	\N	\N	\N
360951	1226	1998-02-05	PRIJEM	VKLAD	5740	16309	\N	\N	\N
360952	1226	1998-03-05	PRIJEM	VKLAD	5740	15373	\N	\N	\N
360953	1226	1998-04-05	PRIJEM	VKLAD	5740	17317	\N	\N	\N
360954	1226	1998-05-05	PRIJEM	VKLAD	5740	19269	\N	\N	\N
360955	1226	1998-06-05	PRIJEM	VKLAD	8610	18686	\N	\N	\N
360956	1226	1998-07-05	PRIJEM	VKLAD	5740	19198	\N	\N	\N
360957	1226	1998-08-05	PRIJEM	VKLAD	5740	19476	\N	\N	\N
360958	1226	1998-09-05	PRIJEM	VKLAD	5740	19877	\N	\N	\N
360959	1226	1998-10-05	PRIJEM	VKLAD	5740	21839	\N	\N	\N
360960	1226	1998-11-05	PRIJEM	VKLAD	5740	23810	\N	\N	\N
360961	1226	1998-12-05	PRIJEM	VKLAD	8610	26379	\N	\N	\N
360976	1226	1997-03-14	VYDAJ	PREVOD NA UCET	3826	25813	SIPO	CD	52769649
360977	1226	1997-04-14	VYDAJ	PREVOD NA UCET	3826	22535	SIPO	CD	52769649
360978	1226	1997-05-14	VYDAJ	PREVOD NA UCET	3826	22080	SIPO	CD	52769649
360979	1226	1997-06-14	VYDAJ	PREVOD NA UCET	3826	25438	SIPO	CD	52769649
360980	1226	1997-07-14	VYDAJ	PREVOD NA UCET	3826	24040	SIPO	CD	52769649
360981	1226	1997-08-14	VYDAJ	PREVOD NA UCET	3826	24815	SIPO	CD	52769649
360982	1226	1997-09-14	VYDAJ	PREVOD NA UCET	3826	23909	SIPO	CD	52769649
360983	1226	1997-10-14	VYDAJ	PREVOD NA UCET	3826	23700	SIPO	CD	52769649
360984	1226	1997-11-14	VYDAJ	PREVOD NA UCET	3826	22890	SIPO	CD	52769649
360985	1226	1997-12-14	VYDAJ	PREVOD NA UCET	3826	18158	SIPO	CD	52769649
360986	1226	1998-01-14	VYDAJ	PREVOD NA UCET	3826	10536	SIPO	CD	52769649
360987	1226	1998-02-14	VYDAJ	PREVOD NA UCET	3826	9603	SIPO	CD	52769649
360988	1226	1998-03-14	VYDAJ	PREVOD NA UCET	3826	11547	SIPO	CD	52769649
360989	1226	1998-04-14	VYDAJ	PREVOD NA UCET	3826	13491	SIPO	CD	52769649
360990	1226	1998-05-14	VYDAJ	PREVOD NA UCET	3826	10043	SIPO	CD	52769649
360991	1226	1998-06-14	VYDAJ	PREVOD NA UCET	3826	14860	SIPO	CD	52769649
360992	1226	1998-07-14	VYDAJ	PREVOD NA UCET	3826	13692	SIPO	CD	52769649
360993	1226	1998-08-14	VYDAJ	PREVOD NA UCET	3826	15650	SIPO	CD	52769649
360994	1226	1998-09-14	VYDAJ	PREVOD NA UCET	3826	16051	SIPO	CD	52769649
360995	1226	1998-10-14	VYDAJ	PREVOD NA UCET	3826	18013	SIPO	CD	52769649
360996	1226	1998-11-14	VYDAJ	PREVOD NA UCET	3826	19984	SIPO	CD	52769649
360997	1226	1998-12-14	VYDAJ	PREVOD NA UCET	3826	16873	SIPO	CD	52769649
361006	1226	1998-12-08	VYDAJ	VYBER	1120	20699	\N	\N	\N
361022	1226	1998-01-08	VYDAJ	VYBER	2280	14362	\N	\N	\N
361032	1226	1997-06-07	VYDAJ	VYBER	1800	29264	\N	\N	\N
361033	1226	1997-11-20	VYDAJ	VYBER	4080	15110	\N	\N	\N
361034	1226	1997-07-25	VYDAJ	VYBER	1320	22820	\N	\N	\N
361035	1226	1997-04-19	VYDAJ	VYBER	5640	16895	\N	\N	\N
361036	1226	1997-03-22	VYDAJ	VYBER	4680	20533	\N	\N	\N
361037	1226	1997-12-10	VYDAJ	VYBER	1800	21984	\N	\N	\N
361038	1226	1998-05-13	VYDAJ	VYBER	5400	13869	\N	\N	\N
361039	1226	1998-12-06	VYDAJ	VYBER	4560	21819	\N	\N	\N
361040	1226	1998-12-04	VYDAJ	VYBER	2280	17769	\N	\N	\N
361041	1226	1998-08-29	VYDAJ	VYBER	1560	14090	\N	\N	\N
361042	1226	1998-06-28	VYDAJ	VYBER	1440	13420	\N	\N	\N
361043	1226	1998-07-09	VYDAJ	VYBER	1680	17518	\N	\N	\N
361044	1226	1998-02-07	VYDAJ	VYBER	2880	13429	\N	\N	\N
361061	1226	1997-03-31	VYDAJ	VYBER	15	20621	SLUZBY	\N	\N
361062	1226	1997-04-30	VYDAJ	VYBER	15	20166	SLUZBY	\N	\N
361063	1226	1997-05-31	VYDAJ	VYBER	15	22454	SLUZBY	\N	\N
361064	1226	1997-06-30	VYDAJ	VYBER	15	22126	SLUZBY	\N	\N
361065	1226	1997-07-31	VYDAJ	VYBER	15	22901	SLUZBY	\N	\N
361066	1226	1997-08-31	VYDAJ	VYBER	15	21995	SLUZBY	\N	\N
361067	1226	1997-09-30	VYDAJ	VYBER	15	21786	SLUZBY	\N	\N
361068	1226	1997-10-31	VYDAJ	VYBER	15	20976	SLUZBY	\N	\N
361069	1226	1997-11-30	VYDAJ	VYBER	15	15174	SLUZBY	\N	\N
361070	1226	1997-12-31	VYDAJ	VYBER	15	10902	SLUZBY	\N	\N
361071	1226	1998-01-31	VYDAJ	VYBER	15	10569	SLUZBY	\N	\N
361072	1226	1998-02-28	VYDAJ	VYBER	15	9633	SLUZBY	\N	\N
361073	1226	1998-03-31	VYDAJ	VYBER	15	11577	SLUZBY	\N	\N
361074	1226	1998-04-30	VYDAJ	VYBER	15	13529	SLUZBY	\N	\N
361075	1226	1998-05-31	VYDAJ	VYBER	15	10076	SLUZBY	\N	\N
361076	1226	1998-06-30	VYDAJ	VYBER	15	13458	SLUZBY	\N	\N
361077	1226	1998-07-31	VYDAJ	VYBER	15	13736	SLUZBY	\N	\N
361078	1226	1998-08-31	VYDAJ	VYBER	15	14137	SLUZBY	\N	\N
361079	1226	1998-09-30	VYDAJ	VYBER	15	16099	SLUZBY	\N	\N
361080	1226	1998-10-31	VYDAJ	VYBER	15	18070	SLUZBY	\N	\N
361081	1226	1998-11-30	VYDAJ	VYBER	15	20049	SLUZBY	\N	\N
361082	1226	1996-11-22	PRIJEM	VKLAD	8100	14240	\N	\N	\N
361083	1226	1996-12-22	VYDAJ	VYBER	800	22068	\N	\N	\N
361084	1226	1997-01-21	VYDAJ	VYBER	7000	20878	\N	\N	\N
361085	1226	1997-02-20	VYDAJ	VYBER	2900	23808	\N	\N	\N
361086	1226	1997-03-22	VYDAJ	VYBER	600	25213	\N	\N	\N
361087	1226	1997-04-21	PRIJEM	VKLAD	3200	20095	\N	\N	\N
361088	1226	1997-05-21	PRIJEM	VKLAD	300	22380	\N	\N	\N
361089	1226	1997-06-20	VYDAJ	VYBER	3400	22038	\N	\N	\N
361090	1226	1997-07-20	PRIJEM	VKLAD	100	24140	\N	\N	\N
361091	1226	1997-08-19	VYDAJ	VYBER	2900	21915	\N	\N	\N
361092	1226	1997-09-18	VYDAJ	VYBER	2200	21709	\N	\N	\N
361093	1226	1997-10-18	VYDAJ	VYBER	2800	20900	\N	\N	\N
361094	1226	1997-11-17	VYDAJ	VYBER	3700	19190	\N	\N	\N
361095	1226	1997-12-17	VYDAJ	VYBER	7300	10858	\N	\N	\N
361122	1227	1996-01-13	PRIJEM	VKLAD	900	900	\N	\N	\N
361124	1227	1996-02-09	PRIJEM	VKLAD	13405	14305	\N	\N	\N
361125	1227	1996-03-09	PRIJEM	VKLAD	13405	34264	\N	\N	\N
361126	1227	1996-04-09	PRIJEM	VKLAD	13405	40572	\N	\N	\N
361127	1227	1996-05-09	PRIJEM	VKLAD	13405	43096	\N	\N	\N
361128	1227	1996-06-09	PRIJEM	VKLAD	20108	53035	\N	\N	\N
361129	1227	1996-07-09	PRIJEM	VKLAD	13405	36889	\N	\N	\N
361130	1227	1996-08-09	PRIJEM	VKLAD	13405	32156	\N	\N	\N
361131	1227	1996-09-09	PRIJEM	VKLAD	13405	32094	\N	\N	\N
361132	1227	1996-10-09	PRIJEM	VKLAD	13405	29343	\N	\N	\N
361133	1227	1996-11-09	PRIJEM	VKLAD	13405	34218	\N	\N	\N
361134	1227	1996-12-09	PRIJEM	VKLAD	20108	45415	\N	\N	\N
361135	1227	1997-01-09	PRIJEM	VKLAD	13405	45334	\N	\N	\N
361136	1227	1997-02-09	PRIJEM	VKLAD	13405	38541	\N	\N	\N
361137	1227	1997-03-09	PRIJEM	VKLAD	13405	40647	\N	\N	\N
361138	1227	1997-04-09	PRIJEM	VKLAD	13405	35530	\N	\N	\N
361139	1227	1997-05-09	PRIJEM	VKLAD	13405	33921	\N	\N	\N
361140	1227	1997-06-09	PRIJEM	VKLAD	20108	45407	\N	\N	\N
361141	1227	1997-07-09	PRIJEM	VKLAD	13405	32081	\N	\N	\N
361142	1227	1997-08-09	PRIJEM	VKLAD	13405	40741	\N	\N	\N
361143	1227	1997-09-09	PRIJEM	VKLAD	13405	44543	\N	\N	\N
361144	1227	1997-10-09	PRIJEM	VKLAD	13405	47124	\N	\N	\N
361145	1227	1997-11-09	PRIJEM	VKLAD	13405	53653	\N	\N	\N
361146	1227	1997-12-09	PRIJEM	VKLAD	20108	63712	\N	\N	\N
361147	1227	1998-01-09	PRIJEM	VKLAD	13405	51900	\N	\N	\N
361148	1227	1998-02-09	PRIJEM	VKLAD	13405	51757	\N	\N	\N
361149	1227	1998-03-09	PRIJEM	VKLAD	13405	48513	\N	\N	\N
361150	1227	1998-04-09	PRIJEM	VKLAD	13405	46558	\N	\N	\N
361151	1227	1998-05-09	PRIJEM	VKLAD	13405	41391	\N	\N	\N
361152	1227	1998-06-09	PRIJEM	VKLAD	20108	46401	\N	\N	\N
361153	1227	1998-07-09	PRIJEM	VKLAD	13405	35624	\N	\N	\N
361154	1227	1998-08-09	PRIJEM	VKLAD	13405	33215	\N	\N	\N
361155	1227	1998-09-09	PRIJEM	VKLAD	13405	30387	\N	\N	\N
361156	1227	1998-10-09	PRIJEM	VKLAD	13405	27047	\N	\N	\N
361157	1227	1998-11-09	PRIJEM	VKLAD	13405	29090	\N	\N	\N
361158	1227	1998-12-09	PRIJEM	VKLAD	20108	35647	\N	\N	\N
361165	1227	1996-07-08	VYDAJ	PREVOD NA UCET	5511	23484	SIPO	YZ	31759178
361166	1227	1996-08-08	VYDAJ	PREVOD NA UCET	5511	18751	SIPO	YZ	31759178
361167	1227	1996-09-08	VYDAJ	PREVOD NA UCET	5511	18689	SIPO	YZ	31759178
361168	1227	1996-10-08	VYDAJ	PREVOD NA UCET	5511	15938	SIPO	YZ	31759178
361169	1227	1996-11-08	VYDAJ	PREVOD NA UCET	5511	20813	SIPO	YZ	31759178
361170	1227	1996-12-08	VYDAJ	PREVOD NA UCET	5511	25307	SIPO	YZ	31759178
361171	1227	1997-01-08	VYDAJ	PREVOD NA UCET	5511	31929	SIPO	YZ	31759178
361172	1227	1997-02-08	VYDAJ	PREVOD NA UCET	5511	25136	SIPO	YZ	31759178
361173	1227	1997-03-08	VYDAJ	PREVOD NA UCET	5511	29742	SIPO	YZ	31759178
361174	1227	1997-04-08	VYDAJ	PREVOD NA UCET	5511	22125	SIPO	YZ	31759178
361175	1227	1997-05-08	VYDAJ	PREVOD NA UCET	5511	20516	SIPO	YZ	31759178
361176	1227	1997-06-08	VYDAJ	PREVOD NA UCET	5511	25299	SIPO	YZ	31759178
361177	1227	1997-07-08	VYDAJ	PREVOD NA UCET	5511	18676	SIPO	YZ	31759178
361178	1227	1997-08-08	VYDAJ	PREVOD NA UCET	5511	27336	SIPO	YZ	31759178
361179	1227	1997-09-08	VYDAJ	PREVOD NA UCET	5511	31138	SIPO	YZ	31759178
361180	1227	1997-10-08	VYDAJ	PREVOD NA UCET	5511	33719	SIPO	YZ	31759178
361181	1227	1997-11-08	VYDAJ	PREVOD NA UCET	5511	40248	SIPO	YZ	31759178
361182	1227	1997-12-08	VYDAJ	PREVOD NA UCET	5511	43605	SIPO	YZ	31759178
361183	1227	1998-01-08	VYDAJ	PREVOD NA UCET	5511	38495	SIPO	YZ	31759178
361184	1227	1998-02-08	VYDAJ	PREVOD NA UCET	5511	38352	SIPO	YZ	31759178
361185	1227	1998-03-08	VYDAJ	PREVOD NA UCET	5511	35108	SIPO	YZ	31759178
361186	1227	1998-04-08	VYDAJ	PREVOD NA UCET	5511	33153	SIPO	YZ	31759178
361187	1227	1998-05-08	VYDAJ	PREVOD NA UCET	5511	27986	SIPO	YZ	31759178
361188	1227	1998-06-08	VYDAJ	PREVOD NA UCET	5511	26294	SIPO	YZ	31759178
361189	1227	1998-07-08	VYDAJ	PREVOD NA UCET	5511	22219	SIPO	YZ	31759178
361190	1227	1998-08-08	VYDAJ	PREVOD NA UCET	5511	19810	SIPO	YZ	31759178
361191	1227	1998-09-08	VYDAJ	PREVOD NA UCET	5511	16982	SIPO	YZ	31759178
361192	1227	1998-10-08	VYDAJ	PREVOD NA UCET	5511	13642	SIPO	YZ	31759178
361193	1227	1998-11-08	VYDAJ	PREVOD NA UCET	5511	15685	SIPO	YZ	31759178
361194	1227	1998-12-08	VYDAJ	PREVOD NA UCET	5511	15539	SIPO	YZ	31759178
361200	1227	1996-06-11	VYDAJ	PREVOD NA UCET	101	51954	 	GH	57943856
361201	1227	1996-07-11	VYDAJ	PREVOD NA UCET	101	28908	 	GH	57943856
361202	1227	1996-08-11	VYDAJ	PREVOD NA UCET	101	27775	 	GH	57943856
361203	1227	1996-09-11	VYDAJ	PREVOD NA UCET	101	23713	 	GH	57943856
361204	1227	1996-10-11	VYDAJ	PREVOD NA UCET	101	27262	 	GH	57943856
361205	1227	1996-11-11	VYDAJ	PREVOD NA UCET	101	33137	 	GH	57943856
361206	1227	1996-12-11	VYDAJ	PREVOD NA UCET	101	44334	 	GH	57943856
361207	1227	1997-01-11	VYDAJ	PREVOD NA UCET	101	44253	 	GH	57943856
361208	1227	1997-02-11	VYDAJ	PREVOD NA UCET	101	37460	 	GH	57943856
361209	1227	1997-03-11	VYDAJ	PREVOD NA UCET	101	39566	 	GH	57943856
361210	1227	1997-04-11	VYDAJ	PREVOD NA UCET	101	34449	 	GH	57943856
361211	1227	1997-05-11	VYDAJ	PREVOD NA UCET	101	32840	 	GH	57943856
361212	1227	1997-06-11	VYDAJ	PREVOD NA UCET	101	44326	 	GH	57943856
361213	1227	1997-07-11	VYDAJ	PREVOD NA UCET	101	31000	 	GH	57943856
361214	1227	1997-08-11	VYDAJ	PREVOD NA UCET	101	39660	 	GH	57943856
361215	1227	1997-09-11	VYDAJ	PREVOD NA UCET	101	43462	 	GH	57943856
361216	1227	1997-10-11	VYDAJ	PREVOD NA UCET	101	46043	 	GH	57943856
361217	1227	1997-11-11	VYDAJ	PREVOD NA UCET	101	52572	 	GH	57943856
361218	1227	1997-12-11	VYDAJ	PREVOD NA UCET	101	62631	 	GH	57943856
361219	1227	1998-01-11	VYDAJ	PREVOD NA UCET	101	50819	 	GH	57943856
361220	1227	1998-02-11	VYDAJ	PREVOD NA UCET	101	50676	 	GH	57943856
361221	1227	1998-03-11	VYDAJ	PREVOD NA UCET	101	47432	 	GH	57943856
361222	1227	1998-04-11	VYDAJ	PREVOD NA UCET	101	45477	 	GH	57943856
361223	1227	1998-05-11	VYDAJ	PREVOD NA UCET	101	39610	 	GH	57943856
361224	1227	1998-06-11	VYDAJ	PREVOD NA UCET	101	45320	 	GH	57943856
361225	1227	1998-07-11	VYDAJ	PREVOD NA UCET	101	34543	 	GH	57943856
361226	1227	1998-08-11	VYDAJ	PREVOD NA UCET	101	32134	 	GH	57943856
361227	1227	1998-09-11	VYDAJ	PREVOD NA UCET	101	29306	 	GH	57943856
361228	1227	1998-10-11	VYDAJ	PREVOD NA UCET	101	25966	 	GH	57943856
361229	1227	1998-11-11	VYDAJ	PREVOD NA UCET	101	28009	 	GH	57943856
361230	1227	1998-12-11	VYDAJ	PREVOD NA UCET	101	34566	 	GH	57943856
361236	1227	1996-06-10	VYDAJ	PREVOD NA UCET	980	52055	POJISTNE	MN	14547312
361237	1227	1996-07-10	VYDAJ	PREVOD NA UCET	980	35909	POJISTNE	MN	14547312
361238	1227	1996-08-10	VYDAJ	PREVOD NA UCET	980	31176	POJISTNE	MN	14547312
361239	1227	1996-09-10	VYDAJ	PREVOD NA UCET	980	23814	POJISTNE	MN	14547312
361240	1227	1996-10-10	VYDAJ	PREVOD NA UCET	980	27363	POJISTNE	MN	14547312
361241	1227	1996-11-10	VYDAJ	PREVOD NA UCET	980	33238	POJISTNE	MN	14547312
361242	1227	1996-12-10	VYDAJ	PREVOD NA UCET	980	44435	POJISTNE	MN	14547312
361243	1227	1997-01-10	VYDAJ	PREVOD NA UCET	980	44354	POJISTNE	MN	14547312
361244	1227	1997-02-10	VYDAJ	PREVOD NA UCET	980	37561	POJISTNE	MN	14547312
361245	1227	1997-03-10	VYDAJ	PREVOD NA UCET	980	39667	POJISTNE	MN	14547312
361246	1227	1997-04-10	VYDAJ	PREVOD NA UCET	980	34550	POJISTNE	MN	14547312
361247	1227	1997-05-10	VYDAJ	PREVOD NA UCET	980	32941	POJISTNE	MN	14547312
361248	1227	1997-06-10	VYDAJ	PREVOD NA UCET	980	44427	POJISTNE	MN	14547312
361249	1227	1997-07-10	VYDAJ	PREVOD NA UCET	980	31101	POJISTNE	MN	14547312
361250	1227	1997-08-10	VYDAJ	PREVOD NA UCET	980	39761	POJISTNE	MN	14547312
361251	1227	1997-09-10	VYDAJ	PREVOD NA UCET	980	43563	POJISTNE	MN	14547312
361252	1227	1997-10-10	VYDAJ	PREVOD NA UCET	980	46144	POJISTNE	MN	14547312
361253	1227	1997-11-10	VYDAJ	PREVOD NA UCET	980	52673	POJISTNE	MN	14547312
361254	1227	1997-12-10	VYDAJ	PREVOD NA UCET	980	62732	POJISTNE	MN	14547312
361255	1227	1998-01-10	VYDAJ	PREVOD NA UCET	980	50920	POJISTNE	MN	14547312
361256	1227	1998-02-10	VYDAJ	PREVOD NA UCET	980	50777	POJISTNE	MN	14547312
361257	1227	1998-03-10	VYDAJ	PREVOD NA UCET	980	47533	POJISTNE	MN	14547312
361258	1227	1998-04-10	VYDAJ	PREVOD NA UCET	980	45578	POJISTNE	MN	14547312
361259	1227	1998-05-10	VYDAJ	PREVOD NA UCET	980	39711	POJISTNE	MN	14547312
361260	1227	1998-06-10	VYDAJ	PREVOD NA UCET	980	45421	POJISTNE	MN	14547312
361261	1227	1998-07-10	VYDAJ	PREVOD NA UCET	980	34644	POJISTNE	MN	14547312
361262	1227	1998-08-10	VYDAJ	PREVOD NA UCET	980	32235	POJISTNE	MN	14547312
361263	1227	1998-09-10	VYDAJ	PREVOD NA UCET	980	29407	POJISTNE	MN	14547312
361264	1227	1998-10-10	VYDAJ	PREVOD NA UCET	980	26067	POJISTNE	MN	14547312
361265	1227	1998-11-10	VYDAJ	PREVOD NA UCET	980	28110	POJISTNE	MN	14547312
361266	1227	1998-12-10	VYDAJ	PREVOD NA UCET	980	34667	POJISTNE	MN	14547312
361272	1227	1996-06-13	VYDAJ	PREVOD NA UCET	2344	32710	 	YZ	39771598
361273	1227	1996-07-13	VYDAJ	PREVOD NA UCET	2344	26564	 	YZ	39771598
361274	1227	1996-08-13	VYDAJ	PREVOD NA UCET	2344	25431	 	YZ	39771598
361275	1227	1996-09-13	VYDAJ	PREVOD NA UCET	2344	21369	 	YZ	39771598
361276	1227	1996-10-13	VYDAJ	PREVOD NA UCET	2344	24918	 	YZ	39771598
361277	1227	1996-11-13	VYDAJ	PREVOD NA UCET	2344	30793	 	YZ	39771598
361278	1227	1996-12-13	VYDAJ	PREVOD NA UCET	2344	41990	 	YZ	39771598
361279	1227	1997-01-13	VYDAJ	PREVOD NA UCET	2344	41909	 	YZ	39771598
361280	1227	1997-02-13	VYDAJ	PREVOD NA UCET	2344	35116	 	YZ	39771598
361281	1227	1997-03-13	VYDAJ	PREVOD NA UCET	2344	37222	 	YZ	39771598
361282	1227	1997-04-13	VYDAJ	PREVOD NA UCET	2344	32105	 	YZ	39771598
361283	1227	1997-05-13	VYDAJ	PREVOD NA UCET	2344	30496	 	YZ	39771598
361284	1227	1997-06-13	VYDAJ	PREVOD NA UCET	2344	41982	 	YZ	39771598
361285	1227	1997-07-13	VYDAJ	PREVOD NA UCET	2344	28656	 	YZ	39771598
361286	1227	1997-08-13	VYDAJ	PREVOD NA UCET	2344	37316	 	YZ	39771598
361287	1227	1997-09-13	VYDAJ	PREVOD NA UCET	2344	41118	 	YZ	39771598
361288	1227	1997-10-13	VYDAJ	PREVOD NA UCET	2344	43699	 	YZ	39771598
361289	1227	1997-11-13	VYDAJ	PREVOD NA UCET	2344	50228	 	YZ	39771598
361290	1227	1997-12-13	VYDAJ	PREVOD NA UCET	2344	60287	 	YZ	39771598
361291	1227	1998-01-13	VYDAJ	PREVOD NA UCET	2344	48475	 	YZ	39771598
361292	1227	1998-02-13	VYDAJ	PREVOD NA UCET	2344	48332	 	YZ	39771598
361293	1227	1998-03-13	VYDAJ	PREVOD NA UCET	2344	45088	 	YZ	39771598
361294	1227	1998-04-13	VYDAJ	PREVOD NA UCET	2344	43133	 	YZ	39771598
361295	1227	1998-05-13	VYDAJ	PREVOD NA UCET	2344	37266	 	YZ	39771598
361296	1227	1998-06-13	VYDAJ	PREVOD NA UCET	2344	42976	 	YZ	39771598
361297	1227	1998-07-13	VYDAJ	PREVOD NA UCET	2344	32199	 	YZ	39771598
361298	1227	1998-08-13	VYDAJ	PREVOD NA UCET	2344	29790	 	YZ	39771598
361299	1227	1998-09-13	VYDAJ	PREVOD NA UCET	2344	26962	 	YZ	39771598
361300	1227	1998-10-13	VYDAJ	PREVOD NA UCET	2344	23622	 	YZ	39771598
361301	1227	1998-11-13	VYDAJ	PREVOD NA UCET	2344	25665	 	YZ	39771598
361302	1227	1998-12-13	VYDAJ	PREVOD NA UCET	2344	32222	 	YZ	39771598
361304	1227	1997-06-25	VYDAJ	VYBER	27520	14462	\N	\N	\N
361307	1227	1997-01-28	VYDAJ	VYBER	2720	39189	\N	\N	\N
361308	1227	1998-01-04	VYDAJ	VYBER	6080	44006	\N	\N	\N
361309	1227	1996-12-06	VYDAJ	VYBER	3680	27218	\N	\N	\N
361310	1227	1997-12-17	VYDAJ	VYBER	3520	56767	\N	\N	\N
361311	1227	1998-12-30	VYDAJ	VYBER KARTOU	800	23522	\N	\N	0
361313	1227	1996-08-16	VYDAJ	VYBER	1320	24111	\N	\N	\N
361314	1227	1996-07-18	VYDAJ	VYBER	2400	24164	\N	\N	\N
361315	1227	1996-10-29	VYDAJ	VYBER	2880	22038	\N	\N	\N
361316	1227	1996-06-22	VYDAJ	VYBER	3840	28870	\N	\N	\N
361319	1227	1997-03-16	VYDAJ	VYBER	1920	35302	\N	\N	\N
361320	1227	1997-09-30	VYDAJ	VYBER	5640	35630	\N	\N	\N
361321	1227	1998-05-21	VYDAJ	VYBER KARTOU	3600	33666	\N	\N	0
361322	1227	1998-05-09	VYDAJ	VYBER KARTOU	700	40691	\N	\N	0
361323	1227	1998-04-16	VYDAJ	VYBER KARTOU	1300	41833	\N	\N	0
361324	1227	1998-07-05	VYDAJ	VYBER KARTOU	2800	27730	\N	\N	0
361325	1227	1998-10-19	VYDAJ	VYBER KARTOU	3500	20122	\N	\N	0
361326	1227	1998-11-13	VYDAJ	VYBER KARTOU	2500	23165	\N	\N	0
361333	1227	1996-06-30	VYDAJ	VYBER	15	28995	SLUZBY	\N	\N
361334	1227	1996-07-31	VYDAJ	VYBER	15	24262	SLUZBY	\N	\N
361335	1227	1996-08-31	VYDAJ	VYBER	15	24200	SLUZBY	\N	\N
361336	1227	1996-09-30	VYDAJ	VYBER	15	21449	SLUZBY	\N	\N
361337	1227	1996-10-31	VYDAJ	VYBER	15	22124	SLUZBY	\N	\N
361338	1227	1996-11-30	VYDAJ	VYBER	15	30898	SLUZBY	\N	\N
361339	1227	1996-12-31	VYDAJ	VYBER	15	42140	SLUZBY	\N	\N
361340	1227	1997-01-31	VYDAJ	VYBER	15	39347	SLUZBY	\N	\N
361341	1227	1997-02-28	VYDAJ	VYBER	15	35253	SLUZBY	\N	\N
361342	1227	1997-03-31	VYDAJ	VYBER	15	35436	SLUZBY	\N	\N
361343	1227	1997-04-30	VYDAJ	VYBER	15	32227	SLUZBY	\N	\N
361344	1227	1997-05-31	VYDAJ	VYBER	15	30610	SLUZBY	\N	\N
361345	1227	1997-06-30	VYDAJ	VYBER	15	14587	SLUZBY	\N	\N
361346	1227	1997-07-31	VYDAJ	VYBER	15	28747	SLUZBY	\N	\N
361347	1227	1997-08-31	VYDAJ	VYBER	15	37449	SLUZBY	\N	\N
361348	1227	1997-09-30	VYDAJ	VYBER	15	41270	SLUZBY	\N	\N
361349	1227	1997-10-31	VYDAJ	VYBER	15	43859	SLUZBY	\N	\N
361350	1227	1997-11-30	VYDAJ	VYBER	15	50416	SLUZBY	\N	\N
361351	1227	1997-12-31	VYDAJ	VYBER	15	56986	SLUZBY	\N	\N
361352	1227	1998-01-31	VYDAJ	VYBER	15	48663	SLUZBY	\N	\N
361353	1227	1998-02-28	VYDAJ	VYBER	15	48519	SLUZBY	\N	\N
361354	1227	1998-03-31	VYDAJ	VYBER	15	45264	SLUZBY	\N	\N
361355	1227	1998-04-30	VYDAJ	VYBER	15	41997	SLUZBY	\N	\N
361356	1227	1998-05-31	VYDAJ	VYBER	15	33805	SLUZBY	\N	\N
361357	1227	1998-06-30	VYDAJ	VYBER	15	43130	SLUZBY	\N	\N
361358	1227	1998-07-31	VYDAJ	VYBER	15	32321	SLUZBY	\N	\N
361359	1227	1998-08-31	VYDAJ	VYBER	15	22493	SLUZBY	\N	\N
361360	1227	1998-09-30	VYDAJ	VYBER	15	19153	SLUZBY	\N	\N
361361	1227	1998-10-31	VYDAJ	VYBER	15	21196	SLUZBY	\N	\N
361362	1227	1998-11-30	VYDAJ	VYBER	15	21050	SLUZBY	\N	\N
361363	1227	1996-02-12	PRIJEM	VKLAD	6500	20805	\N	\N	\N
361364	1227	1996-03-13	VYDAJ	VYBER	7200	27064	\N	\N	\N
361365	1227	1996-04-12	VYDAJ	VYBER	11000	29572	\N	\N	\N
361366	1227	1996-05-12	VYDAJ	VYBER	10300	32796	\N	\N	\N
361367	1227	1996-06-11	VYDAJ	VYBER	16900	35054	\N	\N	\N
361368	1227	1996-07-11	VYDAJ	VYBER	6900	29009	\N	\N	\N
361369	1227	1996-08-10	VYDAJ	VYBER	3300	27876	\N	\N	\N
361370	1227	1996-09-09	VYDAJ	VYBER	7300	24794	\N	\N	\N
361371	1227	1996-10-09	VYDAJ	VYBER	1000	28343	\N	\N	\N
361372	1227	1996-11-08	PRIJEM	VKLAD	4200	26324	\N	\N	\N
361373	1227	1996-12-08	PRIJEM	VKLAD	3600	30818	\N	\N	\N
361374	1227	1997-01-07	VYDAJ	VYBER	4700	37440	\N	\N	\N
361375	1227	1997-02-06	VYDAJ	VYBER	8700	30647	\N	\N	\N
361376	1227	1997-03-08	VYDAJ	VYBER	2500	27242	\N	\N	\N
361377	1227	1997-04-07	VYDAJ	VYBER	7800	27636	\N	\N	\N
361378	1227	1997-05-07	VYDAJ	VYBER	6200	26027	\N	\N	\N
361379	1227	1997-06-06	PRIJEM	VKLAD	200	30810	\N	\N	\N
361380	1227	1997-07-06	PRIJEM	VKLAD	9600	24187	\N	\N	\N
361381	1227	1997-08-05	PRIJEM	VKLAD	4100	32847	\N	\N	\N
361382	1227	1997-09-04	VYDAJ	VYBER	800	36649	\N	\N	\N
361383	1227	1997-10-04	PRIJEM	VKLAD	3600	39230	\N	\N	\N
361384	1227	1997-11-03	PRIJEM	VKLAD	1900	45759	\N	\N	\N
361385	1227	1997-12-03	VYDAJ	VYBER	1300	49116	\N	\N	\N
361386	1227	1998-01-02	VYDAJ	VYBER	6900	50086	\N	\N	\N
361387	1227	1998-02-01	VYDAJ	VYBER	4800	43863	\N	\N	\N
361388	1227	1998-03-03	VYDAJ	VYBER	7900	40619	\N	\N	\N
361389	1227	1998-04-02	VYDAJ	VYBER	6600	38664	\N	\N	\N
361390	1227	1998-05-02	VYDAJ	VYBER	8500	33497	\N	\N	\N
361391	1227	1998-06-01	VYDAJ	VYBER KARTOU	2000	31805	\N	\N	0
361392	1227	1998-07-01	VYDAJ	VYBER	12600	30530	\N	\N	\N
361393	1227	1998-07-31	VYDAJ	VYBER	7000	25321	\N	\N	\N
361394	1227	1998-08-30	VYDAJ	VYBER	7400	22390	\N	\N	\N
361395	1227	1998-09-29	VYDAJ	VYBER	7900	19062	\N	\N	\N
361396	1227	1998-10-29	PRIJEM	VKLAD	1000	21122	\N	\N	\N
361397	1227	1998-11-28	VYDAJ	VYBER KARTOU	2200	20965	\N	\N	0
361398	1227	1998-12-28	VYDAJ	VYBER	7900	24322	\N	\N	\N
361434	1228	1995-04-09	PRIJEM	VKLAD	400	400	\N	\N	\N
361438	1228	1995-04-13	PRIJEM	PREVOD Z UCTU	5096	5496	DUCHOD	GH	5761027
361439	1228	1995-05-13	PRIJEM	PREVOD Z UCTU	5096	10606	DUCHOD	GH	5761027
361440	1228	1995-06-13	PRIJEM	PREVOD Z UCTU	5096	15725	DUCHOD	GH	5761027
361441	1228	1995-07-13	PRIJEM	PREVOD Z UCTU	5096	20844	DUCHOD	GH	5761027
361442	1228	1995-08-13	PRIJEM	PREVOD Z UCTU	5096	25962	DUCHOD	GH	5761027
361443	1228	1995-09-13	PRIJEM	PREVOD Z UCTU	5096	29090	DUCHOD	GH	5761027
361444	1228	1995-10-13	PRIJEM	PREVOD Z UCTU	5096	30507	DUCHOD	GH	5761027
361445	1228	1995-11-13	PRIJEM	PREVOD Z UCTU	5096	29969	DUCHOD	GH	5761027
361446	1228	1995-12-13	PRIJEM	PREVOD Z UCTU	5096	32040	DUCHOD	GH	5761027
361447	1228	1996-01-13	PRIJEM	PREVOD Z UCTU	5096	30231	DUCHOD	GH	5761027
361448	1228	1996-02-13	PRIJEM	PREVOD Z UCTU	5096	25544	DUCHOD	GH	5761027
361449	1228	1996-03-13	PRIJEM	PREVOD Z UCTU	5096	26586	DUCHOD	GH	5761027
361450	1228	1996-04-13	PRIJEM	PREVOD Z UCTU	5096	26673	DUCHOD	GH	5761027
361451	1228	1996-05-13	PRIJEM	PREVOD Z UCTU	5096	29881	DUCHOD	GH	5761027
361452	1228	1996-06-13	PRIJEM	PREVOD Z UCTU	5096	29898	DUCHOD	GH	5761027
361453	1228	1996-07-13	PRIJEM	PREVOD Z UCTU	5096	33119	DUCHOD	GH	5761027
361454	1228	1996-08-13	PRIJEM	PREVOD Z UCTU	5096	33230	DUCHOD	GH	5761027
361455	1228	1996-09-13	PRIJEM	PREVOD Z UCTU	5096	36465	DUCHOD	GH	5761027
361456	1228	1996-10-13	PRIJEM	PREVOD Z UCTU	5096	39713	DUCHOD	GH	5761027
361457	1228	1996-11-13	PRIJEM	PREVOD Z UCTU	5096	42975	DUCHOD	GH	5761027
361458	1228	1996-12-13	PRIJEM	PREVOD Z UCTU	5096	39889	DUCHOD	GH	5761027
361459	1228	1997-01-13	PRIJEM	PREVOD Z UCTU	5096	39362	DUCHOD	GH	5761027
361460	1228	1997-02-13	PRIJEM	PREVOD Z UCTU	5096	36770	DUCHOD	GH	5761027
361461	1228	1997-03-13	PRIJEM	PREVOD Z UCTU	5096	40019	DUCHOD	GH	5761027
361462	1228	1997-04-13	PRIJEM	PREVOD Z UCTU	5096	42281	DUCHOD	GH	5761027
361463	1228	1997-05-13	PRIJEM	PREVOD Z UCTU	5096	45553	DUCHOD	GH	5761027
361464	1228	1997-06-13	PRIJEM	PREVOD Z UCTU	5096	48339	DUCHOD	GH	5761027
361465	1228	1997-07-13	PRIJEM	PREVOD Z UCTU	5096	47132	DUCHOD	GH	5761027
361466	1228	1997-08-13	PRIJEM	PREVOD Z UCTU	5096	43962	DUCHOD	GH	5761027
361467	1228	1997-09-13	PRIJEM	PREVOD Z UCTU	5096	44039	DUCHOD	GH	5761027
361468	1228	1997-10-13	PRIJEM	PREVOD Z UCTU	5096	45017	DUCHOD	GH	5761027
361469	1228	1997-11-13	PRIJEM	PREVOD Z UCTU	5096	45898	DUCHOD	GH	5761027
361470	1228	1997-12-13	PRIJEM	PREVOD Z UCTU	5096	48183	DUCHOD	GH	5761027
361471	1228	1998-01-13	PRIJEM	PREVOD Z UCTU	5096	41884	DUCHOD	GH	5761027
361472	1228	1998-02-13	PRIJEM	PREVOD Z UCTU	5096	29853	DUCHOD	GH	5761027
361473	1228	1998-03-13	PRIJEM	PREVOD Z UCTU	5096	33078	DUCHOD	GH	5761027
361474	1228	1998-04-13	PRIJEM	PREVOD Z UCTU	5096	33351	DUCHOD	GH	5761027
361475	1228	1998-05-13	PRIJEM	PREVOD Z UCTU	5096	33307	DUCHOD	GH	5761027
361476	1228	1998-06-13	PRIJEM	PREVOD Z UCTU	5096	36544	DUCHOD	GH	5761027
361477	1228	1998-07-13	PRIJEM	PREVOD Z UCTU	5096	25341	DUCHOD	GH	5761027
361478	1228	1998-08-13	PRIJEM	PREVOD Z UCTU	5096	26539	DUCHOD	GH	5761027
361479	1228	1998-09-13	PRIJEM	PREVOD Z UCTU	5096	29744	DUCHOD	GH	5761027
361480	1228	1998-10-13	PRIJEM	PREVOD Z UCTU	5096	32963	DUCHOD	GH	5761027
361481	1228	1998-11-13	PRIJEM	PREVOD Z UCTU	5096	36195	DUCHOD	GH	5761027
361482	1228	1998-12-13	PRIJEM	PREVOD Z UCTU	5096	39440	DUCHOD	GH	5761027
361491	1228	1995-09-08	VYDAJ	PREVOD NA UCET	1980	23994	SIPO	AB	34928244
361492	1228	1995-10-08	VYDAJ	PREVOD NA UCET	1980	25411	SIPO	AB	34928244
361493	1228	1995-11-08	VYDAJ	PREVOD NA UCET	1980	24873	SIPO	AB	34928244
361494	1228	1995-12-08	VYDAJ	PREVOD NA UCET	1980	28094	SIPO	AB	34928244
361495	1228	1996-01-08	VYDAJ	PREVOD NA UCET	1980	27775	SIPO	AB	34928244
361496	1228	1996-02-08	VYDAJ	PREVOD NA UCET	1980	20448	SIPO	AB	34928244
361497	1228	1996-03-08	VYDAJ	PREVOD NA UCET	1980	21490	SIPO	AB	34928244
361498	1228	1996-04-08	VYDAJ	PREVOD NA UCET	1980	21577	SIPO	AB	34928244
361499	1228	1996-05-08	VYDAJ	PREVOD NA UCET	1980	24785	SIPO	AB	34928244
361500	1228	1996-06-08	VYDAJ	PREVOD NA UCET	1980	24802	SIPO	AB	34928244
361501	1228	1996-07-08	VYDAJ	PREVOD NA UCET	1980	28023	SIPO	AB	34928244
361502	1228	1996-08-08	VYDAJ	PREVOD NA UCET	1980	28134	SIPO	AB	34928244
361503	1228	1996-09-08	VYDAJ	PREVOD NA UCET	1980	31369	SIPO	AB	34928244
361504	1228	1996-10-08	VYDAJ	PREVOD NA UCET	1980	34617	SIPO	AB	34928244
361505	1228	1996-11-08	VYDAJ	PREVOD NA UCET	1980	37879	SIPO	AB	34928244
361614	1228	1997-04-30	VYDAJ	VYBER	15	42437	SLUZBY	\N	\N
361506	1228	1996-12-08	VYDAJ	PREVOD NA UCET	1980	34793	SIPO	AB	34928244
361507	1228	1997-01-08	VYDAJ	PREVOD NA UCET	1980	34266	SIPO	AB	34928244
361508	1228	1997-02-08	VYDAJ	PREVOD NA UCET	1980	31674	SIPO	AB	34928244
361509	1228	1997-03-08	VYDAJ	PREVOD NA UCET	1980	34923	SIPO	AB	34928244
361510	1228	1997-04-08	VYDAJ	PREVOD NA UCET	1980	37185	SIPO	AB	34928244
361511	1228	1997-05-08	VYDAJ	PREVOD NA UCET	1980	40457	SIPO	AB	34928244
361512	1228	1997-06-08	VYDAJ	PREVOD NA UCET	1980	43243	SIPO	AB	34928244
361513	1228	1997-07-08	VYDAJ	PREVOD NA UCET	1980	42036	SIPO	AB	34928244
361514	1228	1997-08-08	VYDAJ	PREVOD NA UCET	1980	38866	SIPO	AB	34928244
361515	1228	1997-09-08	VYDAJ	PREVOD NA UCET	1980	38943	SIPO	AB	34928244
361516	1228	1997-10-08	VYDAJ	PREVOD NA UCET	1980	39921	SIPO	AB	34928244
361517	1228	1997-11-08	VYDAJ	PREVOD NA UCET	1980	40802	SIPO	AB	34928244
361518	1228	1997-12-08	VYDAJ	PREVOD NA UCET	1980	43087	SIPO	AB	34928244
361519	1228	1998-01-08	VYDAJ	PREVOD NA UCET	1980	36788	SIPO	AB	34928244
361520	1228	1998-02-08	VYDAJ	PREVOD NA UCET	1980	28197	SIPO	AB	34928244
361521	1228	1998-03-08	VYDAJ	PREVOD NA UCET	1980	27982	SIPO	AB	34928244
361522	1228	1998-04-08	VYDAJ	PREVOD NA UCET	1980	28255	SIPO	AB	34928244
361523	1228	1998-05-08	VYDAJ	PREVOD NA UCET	1980	31491	SIPO	AB	34928244
361524	1228	1998-06-08	VYDAJ	PREVOD NA UCET	1980	31448	SIPO	AB	34928244
361525	1228	1998-07-08	VYDAJ	PREVOD NA UCET	1980	20245	SIPO	AB	34928244
361526	1228	1998-08-08	VYDAJ	PREVOD NA UCET	1980	21443	SIPO	AB	34928244
361527	1228	1998-09-08	VYDAJ	PREVOD NA UCET	1980	24648	SIPO	AB	34928244
361528	1228	1998-10-08	VYDAJ	PREVOD NA UCET	1980	27867	SIPO	AB	34928244
361529	1228	1998-11-08	VYDAJ	PREVOD NA UCET	1980	31099	SIPO	AB	34928244
361530	1228	1998-12-08	VYDAJ	PREVOD NA UCET	1980	34344	SIPO	AB	34928244
361533	1228	1997-06-22	VYDAJ	VYBER	1600	46739	\N	\N	\N
361534	1228	1998-06-15	VYDAJ	VYBER	13700	22844	\N	\N	\N
361536	1228	1996-01-22	VYDAJ	VYBER	4300	23691	\N	\N	\N
361537	1228	1997-01-05	VYDAJ	VYBER	2250	36886	\N	\N	\N
361538	1228	1998-01-27	VYDAJ	VYBER	2650	34354	\N	\N	\N
361539	1228	1995-12-11	VYDAJ	VYBER	1150	26944	\N	\N	\N
361540	1228	1996-12-26	VYDAJ	VYBER	800	39089	\N	\N	\N
361541	1228	1997-12-20	VYDAJ	VYBER	450	47733	\N	\N	\N
361542	1228	1998-12-20	VYDAJ	VYBER	1400	38040	\N	\N	\N
361549	1228	1996-01-15	VYDAJ	VYBER	2240	27991	\N	\N	\N
361550	1228	1996-01-04	VYDAJ	VYBER	1440	29755	\N	\N	\N
361551	1228	1996-01-09	VYDAJ	VYBER	560	27215	\N	\N	\N
361552	1228	1996-01-09	VYDAJ	VYBER	2080	25135	\N	\N	\N
361553	1228	1996-01-25	VYDAJ	VYBER	1360	22331	\N	\N	\N
361554	1228	1996-01-03	VYDAJ	VYBER	960	31195	\N	\N	\N
361555	1228	1997-01-16	VYDAJ	VYBER	400	34402	\N	\N	\N
361556	1228	1997-01-13	VYDAJ	VYBER	1120	37042	\N	\N	\N
361557	1228	1997-01-13	VYDAJ	VYBER	1200	38162	\N	\N	\N
361558	1228	1997-01-16	VYDAJ	VYBER	2240	34802	\N	\N	\N
361559	1228	1997-01-20	VYDAJ	VYBER	880	33522	\N	\N	\N
361560	1228	1997-01-06	VYDAJ	VYBER	640	36246	\N	\N	\N
361561	1228	1998-01-14	VYDAJ	VYBER	1360	40524	\N	\N	\N
361562	1228	1998-01-06	VYDAJ	VYBER	1040	38768	\N	\N	\N
361563	1228	1998-01-02	VYDAJ	VYBER	560	43248	\N	\N	\N
361564	1228	1998-01-02	VYDAJ	VYBER	1360	41888	\N	\N	\N
361565	1228	1998-01-05	VYDAJ	VYBER	2080	39808	\N	\N	\N
361566	1228	1998-01-28	VYDAJ	VYBER	1200	33154	\N	\N	\N
361567	1228	1995-10-28	VYDAJ	VYBER	3760	26747	\N	\N	\N
361571	1228	1996-12-06	VYDAJ	VYBER	2560	36773	\N	\N	\N
361572	1228	1996-02-28	VYDAJ	VYBER	2160	23384	\N	\N	\N
361573	1228	1996-05-25	VYDAJ	VYBER	3200	26681	\N	\N	\N
361574	1228	1996-04-06	VYDAJ	VYBER	2160	23557	\N	\N	\N
361575	1228	1996-03-26	VYDAJ	VYBER	960	25626	\N	\N	\N
361576	1228	1996-07-25	VYDAJ	VYBER	3120	29999	\N	\N	\N
361577	1228	1997-08-06	VYDAJ	VYBER	1040	40846	\N	\N	\N
361578	1228	1997-08-04	VYDAJ	VYBER	1920	41886	\N	\N	\N
361579	1228	1998-07-25	VYDAJ	VYBER	2000	23341	\N	\N	\N
361580	1228	1998-05-10	VYDAJ	VYBER	3280	28211	\N	\N	\N
361581	1228	1998-02-09	VYDAJ	VYBER	3440	24757	\N	\N	\N
361582	1228	1998-01-17	VYDAJ	VYBER	3520	37004	\N	\N	\N
361583	1228	1998-07-07	VYDAJ	VYBER	720	22225	\N	\N	\N
361584	1228	1998-02-05	VYDAJ	VYBER	3120	30177	\N	\N	\N
361585	1228	1998-04-07	VYDAJ	VYBER	2960	30235	\N	\N	\N
361594	1228	1995-08-31	VYDAJ	VYBER	15	25974	SLUZBY	\N	\N
361595	1228	1995-09-30	VYDAJ	VYBER	15	29191	SLUZBY	\N	\N
361596	1228	1995-10-31	VYDAJ	VYBER	15	26853	SLUZBY	\N	\N
361597	1228	1995-11-30	VYDAJ	VYBER	15	30074	SLUZBY	\N	\N
361598	1228	1995-12-31	VYDAJ	VYBER	15	32155	SLUZBY	\N	\N
361599	1228	1996-01-31	VYDAJ	VYBER	15	22428	SLUZBY	\N	\N
361600	1228	1996-02-29	VYDAJ	VYBER	15	23470	SLUZBY	\N	\N
361601	1228	1996-03-31	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
361602	1228	1996-04-30	VYDAJ	VYBER	15	26765	SLUZBY	\N	\N
361603	1228	1996-05-31	VYDAJ	VYBER	15	26782	SLUZBY	\N	\N
361604	1228	1996-06-30	VYDAJ	VYBER	15	30003	SLUZBY	\N	\N
361605	1228	1996-07-31	VYDAJ	VYBER	15	30114	SLUZBY	\N	\N
361606	1228	1996-08-31	VYDAJ	VYBER	15	33349	SLUZBY	\N	\N
361607	1228	1996-09-30	VYDAJ	VYBER	15	36597	SLUZBY	\N	\N
361608	1228	1996-10-31	VYDAJ	VYBER	15	39859	SLUZBY	\N	\N
361609	1228	1996-11-30	VYDAJ	VYBER	15	39333	SLUZBY	\N	\N
361610	1228	1996-12-31	VYDAJ	VYBER	15	39136	SLUZBY	\N	\N
361611	1228	1997-01-31	VYDAJ	VYBER	15	33654	SLUZBY	\N	\N
361612	1228	1997-02-28	VYDAJ	VYBER	15	36903	SLUZBY	\N	\N
361613	1228	1997-03-31	VYDAJ	VYBER	15	39165	SLUZBY	\N	\N
361615	1228	1997-05-31	VYDAJ	VYBER	15	45223	SLUZBY	\N	\N
361616	1228	1997-06-30	VYDAJ	VYBER	15	44016	SLUZBY	\N	\N
361617	1228	1997-07-31	VYDAJ	VYBER	15	43806	SLUZBY	\N	\N
361618	1228	1997-08-31	VYDAJ	VYBER	15	40923	SLUZBY	\N	\N
361619	1228	1997-09-30	VYDAJ	VYBER	15	41901	SLUZBY	\N	\N
361620	1228	1997-10-31	VYDAJ	VYBER	15	42782	SLUZBY	\N	\N
361621	1228	1997-11-30	VYDAJ	VYBER	15	45067	SLUZBY	\N	\N
361622	1228	1997-12-31	VYDAJ	VYBER	15	43808	SLUZBY	\N	\N
361623	1228	1998-01-31	VYDAJ	VYBER	15	33297	SLUZBY	\N	\N
361624	1228	1998-02-28	VYDAJ	VYBER	15	29962	SLUZBY	\N	\N
361625	1228	1998-03-31	VYDAJ	VYBER	15	33195	SLUZBY	\N	\N
361626	1228	1998-04-30	VYDAJ	VYBER	15	33471	SLUZBY	\N	\N
361627	1228	1998-05-31	VYDAJ	VYBER	15	33428	SLUZBY	\N	\N
361628	1228	1998-06-30	VYDAJ	VYBER	15	22945	SLUZBY	\N	\N
361629	1228	1998-07-31	VYDAJ	VYBER	15	23423	SLUZBY	\N	\N
361630	1228	1998-08-31	VYDAJ	VYBER	15	26628	SLUZBY	\N	\N
361631	1228	1998-09-30	VYDAJ	VYBER	15	29847	SLUZBY	\N	\N
361632	1228	1998-10-31	VYDAJ	VYBER	15	33079	SLUZBY	\N	\N
361633	1228	1998-11-30	VYDAJ	VYBER	15	36324	SLUZBY	\N	\N
361634	1228	1995-10-06	VYDAJ	VYBER	1800	27391	\N	\N	\N
361635	1228	1996-11-29	VYDAJ	VYBER	3800	39175	\N	\N	\N
361636	1228	1996-12-29	VYDAJ	VYBER	100	38989	\N	\N	\N
361637	1228	1997-03-29	VYDAJ	VYBER	1000	39019	\N	\N	\N
361638	1228	1997-05-28	VYDAJ	VYBER	500	45053	\N	\N	\N
361639	1228	1997-06-27	VYDAJ	VYBER	2900	43839	\N	\N	\N
361640	1228	1997-07-27	VYDAJ	VYBER	3500	43632	\N	\N	\N
361641	1228	1997-08-26	VYDAJ	VYBER	3200	40762	\N	\N	\N
361642	1228	1997-09-25	VYDAJ	VYBER	2300	41739	\N	\N	\N
361643	1228	1997-10-25	VYDAJ	VYBER	2400	42617	\N	\N	\N
361644	1228	1997-11-24	VYDAJ	VYBER	1000	44898	\N	\N	\N
361645	1228	1997-12-24	VYDAJ	VYBER	4100	43633	\N	\N	\N
361691	1229	1997-12-10	PRIJEM	VKLAD	500	500	\N	\N	\N
361703	1229	1997-12-13	PRIJEM	VKLAD	23186	23686	\N	\N	\N
361704	1229	1998-01-13	PRIJEM	VKLAD	15457	38803	\N	\N	\N
361705	1229	1998-02-13	PRIJEM	VKLAD	15457	46097	\N	\N	\N
361706	1229	1998-03-13	PRIJEM	VKLAD	15457	54933	\N	\N	\N
361707	1229	1998-04-13	PRIJEM	VKLAD	15457	57305	\N	\N	\N
361708	1229	1998-05-13	PRIJEM	VKLAD	15457	52564	\N	\N	\N
361709	1229	1998-06-13	PRIJEM	VKLAD	23186	61435	\N	\N	\N
361710	1229	1998-07-13	PRIJEM	VKLAD	15457	56092	\N	\N	\N
361711	1229	1998-08-13	PRIJEM	VKLAD	15457	49849	\N	\N	\N
361712	1229	1998-09-13	PRIJEM	VKLAD	15457	45335	\N	\N	\N
361713	1229	1998-10-13	PRIJEM	VKLAD	15457	46838	\N	\N	\N
361714	1229	1998-11-13	PRIJEM	VKLAD	15457	40946	\N	\N	\N
361715	1229	1998-12-13	PRIJEM	VKLAD	23186	50370	\N	\N	\N
361731	1229	1998-04-14	VYDAJ	PREVOD NA UCET	5505	51800	SIPO	UV	85866784
361732	1229	1998-05-14	VYDAJ	PREVOD NA UCET	5505	47059	SIPO	UV	85866784
361733	1229	1998-06-14	VYDAJ	PREVOD NA UCET	5505	55930	SIPO	UV	85866784
361734	1229	1998-07-14	VYDAJ	PREVOD NA UCET	5505	50587	SIPO	UV	85866784
361735	1229	1998-08-14	VYDAJ	PREVOD NA UCET	5505	44344	SIPO	UV	85866784
361736	1229	1998-09-14	VYDAJ	PREVOD NA UCET	5505	39830	SIPO	UV	85866784
361737	1229	1998-10-14	VYDAJ	PREVOD NA UCET	5505	41333	SIPO	UV	85866784
361738	1229	1998-11-14	VYDAJ	PREVOD NA UCET	5505	35441	SIPO	UV	85866784
361739	1229	1998-12-14	VYDAJ	PREVOD NA UCET	5505	44865	SIPO	UV	85866784
361745	1229	1998-12-24	VYDAJ	VYBER	2400	42465	\N	\N	\N
361762	1229	1998-09-12	VYDAJ	VYBER	960	29878	\N	\N	\N
361763	1229	1998-08-17	VYDAJ	VYBER	4080	40264	\N	\N	\N
361781	1229	1998-04-30	VYDAJ	VYBER	15	52007	SLUZBY	\N	\N
361782	1229	1998-05-31	VYDAJ	VYBER	15	47249	SLUZBY	\N	\N
361783	1229	1998-06-30	VYDAJ	VYBER	15	56135	SLUZBY	\N	\N
361784	1229	1998-07-31	VYDAJ	VYBER	15	50792	SLUZBY	\N	\N
361785	1229	1998-08-31	VYDAJ	VYBER	15	40438	SLUZBY	\N	\N
361786	1229	1998-09-30	VYDAJ	VYBER	15	39981	SLUZBY	\N	\N
361787	1229	1998-10-31	VYDAJ	VYBER	15	41489	SLUZBY	\N	\N
361788	1229	1998-11-30	VYDAJ	VYBER	15	35585	SLUZBY	\N	\N
361789	1229	1998-01-09	VYDAJ	VYBER	400	23346	\N	\N	\N
361790	1229	1998-02-08	VYDAJ	VYBER	8300	30640	\N	\N	\N
361791	1229	1998-03-10	VYDAJ	VYBER	6800	39476	\N	\N	\N
361792	1229	1998-04-09	VYDAJ	VYBER	13300	41848	\N	\N	\N
361793	1229	1998-05-09	VYDAJ	VYBER	14900	37107	\N	\N	\N
361794	1229	1998-06-08	VYDAJ	VYBER	9000	38249	\N	\N	\N
361795	1229	1998-07-08	VYDAJ	VYBER	15500	40635	\N	\N	\N
361796	1229	1998-08-07	VYDAJ	VYBER	16400	34392	\N	\N	\N
361797	1229	1998-09-06	VYDAJ	VYBER	9600	30838	\N	\N	\N
361798	1229	1998-10-06	VYDAJ	VYBER	8600	31381	\N	\N	\N
361799	1229	1998-11-05	VYDAJ	VYBER	16000	25489	\N	\N	\N
361800	1229	1998-12-05	VYDAJ	VYBER	8400	27185	\N	\N	\N
361814	1230	1997-05-03	PRIJEM	VKLAD	700	700	\N	\N	\N
361815	1230	1997-06-19	PRIJEM	VKLAD	45493	96924	\N	\N	\N
361819	1230	1997-09-28	PRIJEM	VKLAD	44364	120882	\N	\N	\N
361820	1230	1997-09-16	PRIJEM	VKLAD	12853	54560	\N	\N	\N
361821	1230	1997-11-08	PRIJEM	VKLAD	41233	91161	\N	\N	\N
361822	1230	1997-09-25	PRIJEM	VKLAD	21958	76518	\N	\N	\N
361825	1230	1997-06-16	PRIJEM	VKLAD	39331	51431	\N	\N	\N
361826	1230	1998-05-08	PRIJEM	VKLAD	14133	43648	\N	\N	\N
361827	1230	1998-12-29	PRIJEM	VKLAD	45235	105910	\N	\N	\N
361828	1230	1998-02-18	PRIJEM	VKLAD	24046	77182	\N	\N	\N
361829	1230	1998-10-10	PRIJEM	VKLAD	25931	70680	\N	\N	\N
361830	1230	1998-10-04	PRIJEM	VKLAD	43602	119147	\N	\N	\N
361831	1230	1998-12-13	PRIJEM	VKLAD	6575	76375	\N	\N	\N
361832	1230	1998-01-27	PRIJEM	VKLAD	46173	71085	\N	\N	\N
361833	1230	1998-03-11	PRIJEM	VKLAD	45640	143853	\N	\N	\N
361834	1230	1998-03-04	PRIJEM	VKLAD	46131	105384	\N	\N	\N
361835	1230	1998-07-22	PRIJEM	VKLAD	30607	86388	\N	\N	\N
361836	1230	1998-10-03	PRIJEM	VKLAD	48929	109345	\N	\N	\N
361837	1230	1998-06-19	PRIJEM	VKLAD	38668	69255	\N	\N	\N
361838	1230	1998-09-12	PRIJEM	VKLAD	12425	69790	\N	\N	\N
361839	1230	1998-11-20	PRIJEM	VKLAD	33680	137173	\N	\N	\N
361840	1230	1998-11-15	PRIJEM	VKLAD	44464	103493	\N	\N	\N
361841	1230	1998-10-21	PRIJEM	VKLAD	24371	95051	\N	\N	\N
361842	1230	1998-03-26	PRIJEM	VKLAD	26704	121357	\N	\N	\N
361843	1230	1998-11-28	PRIJEM	VKLAD	8786	88059	\N	\N	\N
361844	1230	1998-02-18	PRIJEM	VKLAD	14696	53136	\N	\N	\N
361871	1230	1997-12-20	VYBER	VYBER	7491	46407	\N	\N	\N
361877	1230	1997-11-26	VYBER	VYBER	15369	75792	\N	\N	\N
361879	1230	1998-03-05	VYBER	VYBER	7171	98213	\N	\N	\N
361881	1230	1998-10-05	VYBER	VYBER	14298	44749	\N	\N	\N
361882	1230	1998-05-18	VYBER	VYBER	16191	27457	\N	\N	\N
361883	1230	1998-04-16	VYBER	VYBER	9218	28969	\N	\N	\N
361888	1230	1997-12-12	VYDAJ	VYBER	3000	53898	\N	\N	\N
361889	1230	1998-12-30	VYDAJ	VYBER	6900	99010	\N	\N	\N
361896	1230	1998-01-08	VYDAJ	VYBER	8700	38412	\N	\N	\N
361897	1230	1998-01-13	VYDAJ	VYBER	5700	32712	\N	\N	\N
361898	1230	1998-01-30	VYDAJ	VYBER	8400	38285	\N	\N	\N
361899	1230	1998-01-29	VYDAJ	VYBER	8100	46685	\N	\N	\N
361901	1230	1998-01-25	VYDAJ	VYBER	7800	24912	\N	\N	\N
361904	1230	1997-10-09	VYDAJ	VYBER	1500	63675	\N	\N	\N
361909	1230	1998-11-30	VYDAJ	VYBER	8700	79715	\N	\N	\N
361910	1230	1998-05-02	VYDAJ	VYBER	5400	29515	\N	\N	\N
361911	1230	1998-12-10	VYDAJ	VYBER	9900	69800	\N	\N	\N
361913	1230	1998-04-11	VYDAJ	VYBER	8700	38187	\N	\N	\N
361914	1230	1998-11-07	VYDAJ	VYBER	13800	59029	\N	\N	\N
361924	1230	1997-09-30	VYDAJ	VYBER	15	97975	SLUZBY	\N	\N
361925	1230	1997-10-31	VYDAJ	VYBER	15	49928	SLUZBY	\N	\N
361926	1230	1997-11-30	VYDAJ	VYBER	15	56898	SLUZBY	\N	\N
361927	1230	1997-12-31	VYDAJ	VYBER	15	47112	SLUZBY	\N	\N
361928	1230	1998-01-31	VYDAJ	VYBER	15	38440	SLUZBY	\N	\N
361929	1230	1998-02-28	VYDAJ	VYBER	15	59253	SLUZBY	\N	\N
361930	1230	1998-03-31	VYDAJ	VYBER	15	46887	SLUZBY	\N	\N
361931	1230	1998-04-30	VYDAJ	VYBER	15	34915	SLUZBY	\N	\N
361932	1230	1998-05-31	VYDAJ	VYBER	15	30587	SLUZBY	\N	\N
361933	1230	1998-06-30	VYDAJ	VYBER	15	55781	SLUZBY	\N	\N
361934	1230	1998-07-31	VYDAJ	VYBER	15	64512	SLUZBY	\N	\N
361935	1230	1998-08-31	VYDAJ	VYBER	15	57365	SLUZBY	\N	\N
361936	1230	1998-09-30	VYDAJ	VYBER	15	60416	SLUZBY	\N	\N
361937	1230	1998-10-31	VYDAJ	VYBER	15	72829	SLUZBY	\N	\N
361938	1230	1998-11-30	VYDAJ	VYBER	15	79700	SLUZBY	\N	\N
361939	1230	1997-06-02	PRIJEM	VKLAD	11400	12100	\N	\N	\N
361940	1230	1997-07-02	VYDAJ	VYBER	31100	66007	\N	\N	\N
361941	1230	1997-08-01	VYDAJ	VYBER	19900	46511	\N	\N	\N
361942	1230	1997-08-31	VYDAJ	VYBER	5200	41707	\N	\N	\N
361943	1230	1997-09-28	VYDAJ	VYBER	23100	97782	\N	\N	\N
361944	1230	1997-09-30	VYDAJ	VYBER	32800	65175	\N	\N	\N
361945	1230	1997-10-30	VYDAJ	VYBER	14000	49675	\N	\N	\N
361946	1230	1997-11-29	VYDAJ	VYBER	19100	56692	\N	\N	\N
361947	1230	1997-12-29	PRIJEM	VKLAD	500	46907	\N	\N	\N
361948	1230	1998-01-28	VYDAJ	VYBER	16300	54785	\N	\N	\N
361949	1230	1998-02-27	VYDAJ	VYBER	18100	59082	\N	\N	\N
361950	1230	1998-03-11	VYDAJ	VYBER	49200	94653	\N	\N	\N
361951	1230	1998-03-26	VYDAJ	VYBER	62800	58557	\N	\N	\N
361952	1230	1998-03-29	VYDAJ	VYBER	12000	46557	\N	\N	\N
361953	1230	1998-04-28	PRIJEM	VKLAD	5800	34769	\N	\N	\N
361954	1230	1998-05-28	PRIJEM	VKLAD	3000	30457	\N	\N	\N
361955	1230	1998-06-27	VYDAJ	VYBER	13600	55655	\N	\N	\N
361956	1230	1998-07-27	VYDAJ	VYBER	22100	64288	\N	\N	\N
361957	1230	1998-08-26	VYDAJ	VYBER	7400	57112	\N	\N	\N
361958	1230	1998-09-25	VYDAJ	VYBER	9600	60190	\N	\N	\N
361959	1230	1998-10-03	VYDAJ	VYBER	33800	75545	\N	\N	\N
361960	1230	1998-10-04	VYDAJ	VYBER	60100	59047	\N	\N	\N
361961	1230	1998-10-25	VYDAJ	VYBER	22500	72551	\N	\N	\N
361962	1230	1998-11-20	VYDAJ	VYBER	23500	113673	\N	\N	\N
361963	1230	1998-11-24	VYDAJ	VYBER	34400	79273	\N	\N	\N
361964	1230	1998-12-24	VYDAJ	VYBER	15700	60675	\N	\N	\N
361984	1231	1994-01-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
361986	1231	1994-02-11	PRIJEM	VKLAD	17465	18465	\N	\N	\N
361987	1231	1994-03-11	PRIJEM	VKLAD	17465	36564	\N	\N	\N
361988	1231	1994-04-11	PRIJEM	VKLAD	17465	48529	\N	\N	\N
361989	1231	1994-05-11	PRIJEM	VKLAD	17465	55336	\N	\N	\N
361990	1231	1994-06-11	PRIJEM	VKLAD	26198	66194	\N	\N	\N
361991	1231	1994-07-11	PRIJEM	VKLAD	17465	44919	\N	\N	\N
361992	1231	1994-08-11	PRIJEM	VKLAD	17465	46427	\N	\N	\N
361993	1231	1994-09-11	PRIJEM	VKLAD	17465	48742	\N	\N	\N
361994	1231	1994-10-11	PRIJEM	VKLAD	17465	52167	\N	\N	\N
361995	1231	1994-11-11	PRIJEM	VKLAD	17465	52098	\N	\N	\N
361996	1231	1994-12-11	PRIJEM	VKLAD	26198	51252	\N	\N	\N
361997	1231	1995-01-11	PRIJEM	VKLAD	17465	46166	\N	\N	\N
361998	1231	1995-02-11	PRIJEM	VKLAD	17465	43211	\N	\N	\N
361999	1231	1995-03-11	PRIJEM	VKLAD	17465	46007	\N	\N	\N
362000	1231	1995-04-11	PRIJEM	VKLAD	17465	48717	\N	\N	\N
362001	1231	1995-05-11	PRIJEM	VKLAD	17465	48430	\N	\N	\N
362002	1231	1995-06-11	PRIJEM	VKLAD	26198	56874	\N	\N	\N
362003	1231	1995-07-11	PRIJEM	VKLAD	17465	32620	\N	\N	\N
362004	1231	1995-08-11	PRIJEM	VKLAD	17465	39382	\N	\N	\N
362005	1231	1995-09-11	PRIJEM	VKLAD	17465	37191	\N	\N	\N
362006	1231	1995-10-11	PRIJEM	VKLAD	17465	40707	\N	\N	\N
362007	1231	1995-11-11	PRIJEM	VKLAD	17465	46829	\N	\N	\N
362008	1231	1995-12-11	PRIJEM	VKLAD	26198	55550	\N	\N	\N
362009	1231	1996-01-11	PRIJEM	VKLAD	17465	50351	\N	\N	\N
362010	1231	1996-02-11	PRIJEM	VKLAD	17465	45064	\N	\N	\N
362011	1231	1996-03-11	PRIJEM	VKLAD	17465	47003	\N	\N	\N
362012	1231	1996-04-11	PRIJEM	VKLAD	17465	48754	\N	\N	\N
362013	1231	1996-05-11	PRIJEM	VKLAD	17465	45303	\N	\N	\N
362014	1231	1996-06-11	PRIJEM	VKLAD	26198	57017	\N	\N	\N
362015	1231	1996-07-11	PRIJEM	VKLAD	17465	53592	\N	\N	\N
362016	1231	1996-08-11	PRIJEM	VKLAD	17465	54970	\N	\N	\N
362017	1231	1996-09-11	PRIJEM	VKLAD	17465	54149	\N	\N	\N
362018	1231	1996-10-11	PRIJEM	VKLAD	17465	48065	\N	\N	\N
362019	1231	1996-11-11	PRIJEM	VKLAD	17465	47919	\N	\N	\N
362020	1231	1996-12-11	PRIJEM	VKLAD	26198	53080	\N	\N	\N
362021	1231	1997-01-11	PRIJEM	VKLAD	17465	43374	\N	\N	\N
362022	1231	1997-02-11	PRIJEM	VKLAD	17465	39167	\N	\N	\N
362023	1231	1997-03-11	PRIJEM	VKLAD	17465	41578	\N	\N	\N
362024	1231	1997-04-11	PRIJEM	VKLAD	17465	38299	\N	\N	\N
362025	1231	1997-05-11	PRIJEM	VKLAD	17465	36849	\N	\N	\N
362026	1231	1997-06-11	PRIJEM	VKLAD	26198	46883	\N	\N	\N
362027	1231	1997-07-11	PRIJEM	VKLAD	17465	31642	\N	\N	\N
362028	1231	1997-08-11	PRIJEM	VKLAD	17465	33616	\N	\N	\N
362029	1231	1997-09-11	PRIJEM	VKLAD	17465	35297	\N	\N	\N
362030	1231	1997-10-11	PRIJEM	VKLAD	17465	31575	\N	\N	\N
362031	1231	1997-11-11	PRIJEM	VKLAD	17465	29214	\N	\N	\N
362032	1231	1997-12-11	PRIJEM	VKLAD	26198	39106	\N	\N	\N
362033	1231	1998-01-11	PRIJEM	VKLAD	17465	33190	\N	\N	\N
362034	1231	1998-02-11	PRIJEM	VKLAD	17465	38745	\N	\N	\N
362035	1231	1998-03-11	PRIJEM	VKLAD	17465	31538	\N	\N	\N
362036	1231	1998-04-11	PRIJEM	VKLAD	17465	41047	\N	\N	\N
362037	1231	1998-05-11	PRIJEM	VKLAD	17465	55161	\N	\N	\N
362038	1231	1998-06-11	PRIJEM	VKLAD	26198	41581	\N	\N	\N
362039	1231	1998-07-11	PRIJEM	VKLAD	17465	40793	\N	\N	\N
362040	1231	1998-08-11	PRIJEM	VKLAD	17465	54912	\N	\N	\N
362041	1231	1998-09-11	PRIJEM	VKLAD	17465	69084	\N	\N	\N
362042	1231	1998-10-11	PRIJEM	VKLAD	17465	30563	\N	\N	\N
362043	1231	1998-11-11	PRIJEM	VKLAD	17465	44633	\N	\N	\N
362044	1231	1998-12-11	PRIJEM	VKLAD	26198	67494	\N	\N	\N
362051	1231	1994-07-05	VYDAJ	PREVOD NA UCET	3485	27454	SIPO	GH	5624753
362052	1231	1994-08-05	VYDAJ	PREVOD NA UCET	3485	28962	SIPO	GH	5624753
362053	1231	1994-09-05	VYDAJ	PREVOD NA UCET	3485	31277	SIPO	GH	5624753
362054	1231	1994-10-05	VYDAJ	PREVOD NA UCET	3485	34702	SIPO	GH	5624753
362055	1231	1994-11-05	VYDAJ	PREVOD NA UCET	3485	34633	SIPO	GH	5624753
362056	1231	1994-12-05	VYDAJ	PREVOD NA UCET	3485	27614	SIPO	GH	5624753
362057	1231	1995-01-05	VYDAJ	PREVOD NA UCET	3485	31221	SIPO	GH	5624753
362058	1231	1995-02-05	VYDAJ	PREVOD NA UCET	3485	25746	SIPO	GH	5624753
362059	1231	1995-03-05	VYDAJ	PREVOD NA UCET	3485	28542	SIPO	GH	5624753
362060	1231	1995-04-05	VYDAJ	PREVOD NA UCET	3485	31252	SIPO	GH	5624753
362061	1231	1995-05-05	VYDAJ	PREVOD NA UCET	3485	30965	SIPO	GH	5624753
362062	1231	1995-06-05	VYDAJ	PREVOD NA UCET	3485	30677	SIPO	GH	5624753
362063	1231	1995-07-05	VYDAJ	PREVOD NA UCET	3485	15155	SIPO	GH	5624753
362064	1231	1995-08-05	VYDAJ	PREVOD NA UCET	3485	21917	SIPO	GH	5624753
362065	1231	1995-09-05	VYDAJ	PREVOD NA UCET	3485	24926	SIPO	GH	5624753
362066	1231	1995-10-05	VYDAJ	PREVOD NA UCET	3485	29142	SIPO	GH	5624753
362067	1231	1995-11-05	VYDAJ	PREVOD NA UCET	3485	37364	SIPO	GH	5624753
362068	1231	1995-12-05	VYDAJ	PREVOD NA UCET	3485	43512	SIPO	GH	5624753
362069	1231	1996-01-05	VYDAJ	PREVOD NA UCET	3485	49866	SIPO	GH	5624753
362070	1231	1996-02-05	VYDAJ	PREVOD NA UCET	3485	38999	SIPO	GH	5624753
362071	1231	1996-03-05	VYDAJ	PREVOD NA UCET	3485	41738	SIPO	GH	5624753
362072	1231	1996-04-05	VYDAJ	PREVOD NA UCET	3485	43689	SIPO	GH	5624753
362073	1231	1996-05-05	VYDAJ	PREVOD NA UCET	3485	39438	SIPO	GH	5624753
362074	1231	1996-06-05	VYDAJ	PREVOD NA UCET	3485	36220	SIPO	GH	5624753
362075	1231	1996-07-05	VYDAJ	PREVOD NA UCET	3485	53727	SIPO	GH	5624753
362076	1231	1996-08-05	VYDAJ	PREVOD NA UCET	3485	50305	SIPO	GH	5624753
362077	1231	1996-09-05	VYDAJ	PREVOD NA UCET	3485	36684	SIPO	GH	5624753
362078	1231	1996-10-05	VYDAJ	PREVOD NA UCET	3485	33360	SIPO	GH	5624753
362079	1231	1996-11-05	VYDAJ	PREVOD NA UCET	3485	30454	SIPO	GH	5624753
362080	1231	1996-12-05	VYDAJ	PREVOD NA UCET	3485	30403	SIPO	GH	5624753
362081	1231	1997-01-05	VYDAJ	PREVOD NA UCET	3485	31549	SIPO	GH	5624753
362082	1231	1997-02-05	VYDAJ	PREVOD NA UCET	3485	21702	SIPO	GH	5624753
362083	1231	1997-03-05	VYDAJ	PREVOD NA UCET	3485	24113	SIPO	GH	5624753
362084	1231	1997-04-05	VYDAJ	PREVOD NA UCET	3485	20834	SIPO	GH	5624753
362085	1231	1997-05-05	VYDAJ	PREVOD NA UCET	3485	19384	SIPO	GH	5624753
362086	1231	1997-06-05	VYDAJ	PREVOD NA UCET	3485	20685	SIPO	GH	5624753
362087	1231	1997-07-05	VYDAJ	PREVOD NA UCET	3485	14177	SIPO	GH	5624753
362088	1231	1997-08-05	VYDAJ	PREVOD NA UCET	3485	16151	SIPO	GH	5624753
362089	1231	1997-09-05	VYDAJ	PREVOD NA UCET	3485	17832	SIPO	GH	5624753
362090	1231	1997-10-05	VYDAJ	PREVOD NA UCET	3485	14110	SIPO	GH	5624753
362091	1231	1997-11-05	VYDAJ	PREVOD NA UCET	3485	11749	SIPO	GH	5624753
362092	1231	1997-12-05	VYDAJ	PREVOD NA UCET	3485	12909	SIPO	GH	5624753
362093	1231	1998-01-05	VYDAJ	PREVOD NA UCET	3485	15725	SIPO	GH	5624753
362094	1231	1998-02-05	VYDAJ	PREVOD NA UCET	3485	21280	SIPO	GH	5624753
362095	1231	1998-03-05	VYDAJ	PREVOD NA UCET	3485	14073	SIPO	GH	5624753
362096	1231	1998-04-05	VYDAJ	PREVOD NA UCET	3485	23582	SIPO	GH	5624753
362097	1231	1998-05-05	VYDAJ	PREVOD NA UCET	3485	37696	SIPO	GH	5624753
362098	1231	1998-06-05	VYDAJ	PREVOD NA UCET	3485	15383	SIPO	GH	5624753
362099	1231	1998-07-05	VYDAJ	PREVOD NA UCET	3485	28848	SIPO	GH	5624753
362100	1231	1998-08-05	VYDAJ	PREVOD NA UCET	3485	37447	SIPO	GH	5624753
362101	1231	1998-09-05	VYDAJ	PREVOD NA UCET	3485	51619	SIPO	GH	5624753
362102	1231	1998-10-05	VYDAJ	PREVOD NA UCET	3485	13098	SIPO	GH	5624753
362103	1231	1998-11-05	VYDAJ	PREVOD NA UCET	3485	27168	SIPO	GH	5624753
362104	1231	1998-12-05	VYDAJ	PREVOD NA UCET	3485	41296	SIPO	GH	5624753
362165	1231	1994-06-23	VYDAJ	VYBER	11680	30794	\N	\N	\N
362166	1231	1995-06-25	VYDAJ	VYBER	20160	18514	\N	\N	\N
362168	1231	1997-06-22	VYDAJ	VYBER	25440	21443	\N	\N	\N
362169	1231	1998-06-26	VYDAJ	VYBER	6240	32221	\N	\N	\N
362170	1231	1994-12-08	VYDAJ	VYBER	2560	25054	\N	\N	\N
362171	1231	1995-12-09	VYDAJ	VYBER	2560	29352	\N	\N	\N
362172	1231	1996-12-08	VYDAJ	VYBER	3520	26883	\N	\N	\N
362173	1231	1997-12-26	VYDAJ	VYBER	1600	37506	\N	\N	\N
362174	1231	1998-12-23	VYDAJ	VYBER	4000	63494	\N	\N	\N
362181	1231	1995-01-27	VYDAJ	VYBER	2160	30186	\N	\N	\N
362182	1231	1995-01-09	VYDAJ	VYBER	1680	29541	\N	\N	\N
362183	1231	1995-01-02	VYDAJ	VYBER	2280	34706	\N	\N	\N
362184	1231	1995-01-22	VYDAJ	VYBER	1320	32346	\N	\N	\N
362185	1231	1995-01-10	VYDAJ	VYBER	840	28701	\N	\N	\N
362186	1231	1995-01-29	VYDAJ	VYBER	1080	29106	\N	\N	\N
362187	1231	1996-01-15	VYDAJ	VYBER	2880	43991	\N	\N	\N
362188	1231	1996-01-16	VYDAJ	VYBER	1680	42311	\N	\N	\N
362189	1231	1996-01-02	VYDAJ	VYBER	600	55151	\N	\N	\N
362190	1231	1996-01-08	VYDAJ	VYBER	3480	32886	\N	\N	\N
362191	1231	1996-01-05	VYDAJ	VYBER	1800	53351	\N	\N	\N
362192	1231	1996-01-14	VYDAJ	VYBER	3480	46871	\N	\N	\N
362193	1231	1997-01-29	VYDAJ	VYBER	1080	41094	\N	\N	\N
362194	1231	1997-01-08	VYDAJ	VYBER	2040	25909	\N	\N	\N
362195	1231	1997-01-05	VYDAJ	VYBER	600	30949	\N	\N	\N
362196	1231	1997-01-06	VYDAJ	VYBER	840	30109	\N	\N	\N
362197	1231	1997-01-20	VYDAJ	VYBER	1200	42174	\N	\N	\N
362198	1231	1997-01-08	VYDAJ	VYBER	2160	27949	\N	\N	\N
362199	1231	1998-01-20	VYDAJ	VYBER	600	31390	\N	\N	\N
362200	1231	1998-01-28	VYDAJ	VYBER	3000	24670	\N	\N	\N
362201	1231	1998-01-28	VYDAJ	VYBER	600	27670	\N	\N	\N
362202	1231	1998-01-15	VYDAJ	VYBER	1200	31990	\N	\N	\N
362204	1231	1998-01-27	VYDAJ	VYBER	3120	28270	\N	\N	\N
362205	1231	1994-06-20	VYDAJ	VYBER	1920	42474	\N	\N	\N
362207	1231	1994-11-24	VYDAJ	VYBER	5640	30958	\N	\N	\N
362211	1231	1995-09-14	VYDAJ	VYBER	4680	32511	\N	\N	\N
362212	1231	1996-12-13	VYDAJ	VYBER	3720	49360	\N	\N	\N
362213	1231	1996-02-06	VYDAJ	VYBER	4800	34199	\N	\N	\N
362214	1231	1996-05-03	VYDAJ	VYBER	960	42923	\N	\N	\N
362215	1231	1996-10-06	VYDAJ	VYBER	2760	30600	\N	\N	\N
362216	1231	1996-04-20	VYDAJ	VYBER	5040	43714	\N	\N	\N
362217	1231	1996-06-01	VYDAJ	VYBER	5760	39705	\N	\N	\N
362218	1231	1997-01-29	VYDAJ	VYBER	2760	38334	\N	\N	\N
362219	1231	1997-09-15	VYDAJ	VYBER	4200	31097	\N	\N	\N
362220	1231	1997-04-29	VYDAJ	VYBER	3960	34339	\N	\N	\N
362221	1231	1997-10-12	VYDAJ	VYBER	4320	27255	\N	\N	\N
362222	1231	1998-05-25	VYDAJ	VYBER	3360	51801	\N	\N	\N
362223	1231	1998-07-10	VYDAJ	VYBER	5520	23328	\N	\N	\N
362224	1231	1998-06-14	VYDAJ	VYBER	3120	38461	\N	\N	\N
362225	1231	1998-03-21	VYDAJ	VYBER	4560	26978	\N	\N	\N
362232	1231	1994-06-30	VYDAJ	VYBER	15	30939	SLUZBY	\N	\N
362233	1231	1994-07-31	VYDAJ	VYBER	15	32447	SLUZBY	\N	\N
362234	1231	1994-08-31	VYDAJ	VYBER	15	34762	SLUZBY	\N	\N
362235	1231	1994-09-30	VYDAJ	VYBER	15	38187	SLUZBY	\N	\N
362236	1231	1994-10-31	VYDAJ	VYBER	15	38118	SLUZBY	\N	\N
362237	1231	1994-11-30	VYDAJ	VYBER	15	31099	SLUZBY	\N	\N
362238	1231	1994-12-31	VYDAJ	VYBER	15	36986	SLUZBY	\N	\N
362239	1231	1995-01-31	VYDAJ	VYBER	15	29231	SLUZBY	\N	\N
362240	1231	1995-02-28	VYDAJ	VYBER	15	32027	SLUZBY	\N	\N
362241	1231	1995-03-31	VYDAJ	VYBER	15	34737	SLUZBY	\N	\N
362242	1231	1995-04-30	VYDAJ	VYBER	15	34450	SLUZBY	\N	\N
362243	1231	1995-05-31	VYDAJ	VYBER	15	34162	SLUZBY	\N	\N
362244	1231	1995-06-30	VYDAJ	VYBER	15	18640	SLUZBY	\N	\N
362245	1231	1995-07-31	VYDAJ	VYBER	15	25402	SLUZBY	\N	\N
362246	1231	1995-08-31	VYDAJ	VYBER	15	28411	SLUZBY	\N	\N
362247	1231	1995-09-30	VYDAJ	VYBER	15	32627	SLUZBY	\N	\N
362248	1231	1995-10-31	VYDAJ	VYBER	15	40849	SLUZBY	\N	\N
362249	1231	1995-11-30	VYDAJ	VYBER	15	46997	SLUZBY	\N	\N
362250	1231	1995-12-31	VYDAJ	VYBER	15	55751	SLUZBY	\N	\N
362251	1231	1996-01-31	VYDAJ	VYBER	15	42484	SLUZBY	\N	\N
362252	1231	1996-02-29	VYDAJ	VYBER	15	45223	SLUZBY	\N	\N
362253	1231	1996-03-31	VYDAJ	VYBER	15	47174	SLUZBY	\N	\N
362254	1231	1996-04-30	VYDAJ	VYBER	15	43883	SLUZBY	\N	\N
362255	1231	1996-05-31	VYDAJ	VYBER	15	45465	SLUZBY	\N	\N
362256	1231	1996-06-30	VYDAJ	VYBER	15	57212	SLUZBY	\N	\N
362257	1231	1996-07-31	VYDAJ	VYBER	15	53790	SLUZBY	\N	\N
362258	1231	1996-08-31	VYDAJ	VYBER	15	55169	SLUZBY	\N	\N
362259	1231	1996-09-30	VYDAJ	VYBER	15	54345	SLUZBY	\N	\N
362260	1231	1996-10-31	VYDAJ	VYBER	15	48239	SLUZBY	\N	\N
362261	1231	1996-11-30	VYDAJ	VYBER	15	48088	SLUZBY	\N	\N
362262	1231	1996-12-31	VYDAJ	VYBER	15	49534	SLUZBY	\N	\N
362263	1231	1997-01-31	VYDAJ	VYBER	15	38487	SLUZBY	\N	\N
362264	1231	1997-02-28	VYDAJ	VYBER	15	39298	SLUZBY	\N	\N
362265	1231	1997-03-31	VYDAJ	VYBER	15	41719	SLUZBY	\N	\N
362266	1231	1997-04-30	VYDAJ	VYBER	15	34469	SLUZBY	\N	\N
362267	1231	1997-05-31	VYDAJ	VYBER	15	36970	SLUZBY	\N	\N
362268	1231	1997-06-30	VYDAJ	VYBER	15	21562	SLUZBY	\N	\N
362269	1231	1997-07-31	VYDAJ	VYBER	15	19636	SLUZBY	\N	\N
362270	1231	1997-08-31	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
362271	1231	1997-09-30	VYDAJ	VYBER	15	17595	SLUZBY	\N	\N
362272	1231	1997-10-31	VYDAJ	VYBER	15	15234	SLUZBY	\N	\N
362273	1231	1997-11-30	VYDAJ	VYBER	15	16394	SLUZBY	\N	\N
362274	1231	1997-12-31	VYDAJ	VYBER	15	19210	SLUZBY	\N	\N
362275	1231	1998-01-31	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
362276	1231	1998-02-28	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
362277	1231	1998-03-31	VYDAJ	VYBER	15	27067	SLUZBY	\N	\N
362278	1231	1998-04-30	VYDAJ	VYBER	15	41181	SLUZBY	\N	\N
362279	1231	1998-05-31	VYDAJ	VYBER	15	18868	SLUZBY	\N	\N
362280	1231	1998-06-30	VYDAJ	VYBER	15	32333	SLUZBY	\N	\N
362281	1231	1998-07-31	VYDAJ	VYBER	15	40932	SLUZBY	\N	\N
362282	1231	1998-08-31	VYDAJ	VYBER	15	55104	SLUZBY	\N	\N
362283	1231	1998-09-30	VYDAJ	VYBER	15	16583	SLUZBY	\N	\N
362284	1231	1998-10-31	VYDAJ	VYBER	15	30653	SLUZBY	\N	\N
362285	1231	1998-11-30	VYDAJ	VYBER	15	44781	SLUZBY	\N	\N
362286	1231	1994-02-17	PRIJEM	VKLAD	600	19065	\N	\N	\N
362287	1231	1994-03-19	VYDAJ	VYBER	5600	30964	\N	\N	\N
362288	1231	1994-04-18	VYDAJ	VYBER	10800	37729	\N	\N	\N
362289	1231	1994-05-18	VYDAJ	VYBER	15500	39836	\N	\N	\N
362290	1231	1994-06-17	VYDAJ	VYBER	21800	44394	\N	\N	\N
362291	1231	1994-07-17	VYDAJ	VYBER	12600	32319	\N	\N	\N
362292	1231	1994-08-16	VYDAJ	VYBER	11800	34627	\N	\N	\N
362293	1231	1994-09-15	VYDAJ	VYBER	10700	38042	\N	\N	\N
362294	1231	1994-10-15	VYDAJ	VYBER	14200	37967	\N	\N	\N
362295	1231	1994-11-14	VYDAJ	VYBER	15500	36598	\N	\N	\N
362296	1231	1994-12-14	VYDAJ	VYBER	14400	36852	\N	\N	\N
362297	1231	1995-01-13	VYDAJ	VYBER	12500	33666	\N	\N	\N
362298	1231	1995-02-12	VYDAJ	VYBER	11300	31911	\N	\N	\N
362299	1231	1995-03-14	VYDAJ	VYBER	11400	34607	\N	\N	\N
362300	1231	1995-04-13	VYDAJ	VYBER	14400	34317	\N	\N	\N
362301	1231	1995-05-13	VYDAJ	VYBER	14400	34030	\N	\N	\N
362302	1231	1995-06-12	VYDAJ	VYBER	18200	38674	\N	\N	\N
362303	1231	1995-07-12	VYDAJ	VYBER	7300	25320	\N	\N	\N
362304	1231	1995-08-11	VYDAJ	VYBER	11100	28282	\N	\N	\N
362305	1231	1995-09-10	VYDAJ	VYBER	5200	19726	\N	\N	\N
362306	1231	1995-10-10	VYDAJ	VYBER	5900	23242	\N	\N	\N
362307	1231	1995-11-09	VYDAJ	VYBER	8000	29364	\N	\N	\N
362308	1231	1995-12-09	VYDAJ	VYBER	11600	31912	\N	\N	\N
362309	1231	1996-01-08	VYDAJ	VYBER	13500	36366	\N	\N	\N
362310	1231	1996-02-07	VYDAJ	VYBER	6600	27599	\N	\N	\N
362311	1231	1996-03-08	VYDAJ	VYBER	12200	29538	\N	\N	\N
362312	1231	1996-04-07	VYDAJ	VYBER	12400	31289	\N	\N	\N
362313	1231	1996-05-07	VYDAJ	VYBER	11600	27838	\N	\N	\N
362314	1231	1996-06-06	VYDAJ	VYBER	5400	30820	\N	\N	\N
362315	1231	1996-07-06	VYDAJ	VYBER	17600	36127	\N	\N	\N
362316	1231	1996-08-05	VYDAJ	VYBER	12800	37505	\N	\N	\N
362317	1231	1996-09-04	VYDAJ	VYBER	15000	40169	\N	\N	\N
362318	1231	1996-10-04	VYDAJ	VYBER	17500	36845	\N	\N	\N
362319	1231	1996-11-03	VYDAJ	VYBER	14300	33939	\N	\N	\N
362320	1231	1996-12-03	VYDAJ	VYBER	14200	33888	\N	\N	\N
362321	1231	1997-01-02	VYDAJ	VYBER	14500	35034	\N	\N	\N
362322	1231	1997-02-01	VYDAJ	VYBER	13300	25187	\N	\N	\N
362323	1231	1997-03-03	VYDAJ	VYBER	11700	27598	\N	\N	\N
362324	1231	1997-04-02	VYDAJ	VYBER	17400	24319	\N	\N	\N
362325	1231	1997-05-02	VYDAJ	VYBER	11600	22869	\N	\N	\N
362326	1231	1997-06-01	VYDAJ	VYBER	12800	24170	\N	\N	\N
362327	1231	1997-07-01	VYDAJ	VYBER	3900	17662	\N	\N	\N
362328	1231	1997-07-31	VYDAJ	VYBER	12100	19651	\N	\N	\N
362329	1231	1997-08-30	VYDAJ	VYBER	12400	21216	\N	\N	\N
362330	1231	1997-09-29	VYDAJ	VYBER	13600	17497	\N	\N	\N
362331	1231	1997-10-29	VYDAJ	VYBER	12100	15155	\N	\N	\N
362332	1231	1997-11-28	VYDAJ	VYBER	12900	16314	\N	\N	\N
362333	1231	1997-12-28	VYDAJ	VYBER	18400	19106	\N	\N	\N
362334	1231	1998-02-26	VYDAJ	VYBER	21300	17445	\N	\N	\N
362335	1231	1998-05-27	VYDAJ	VYBER	33100	18701	\N	\N	\N
362336	1231	1998-09-24	VYDAJ	VYBER	52700	16384	\N	\N	\N
362396	1232	1996-07-06	PRIJEM	VKLAD	900	900	\N	\N	\N
362397	1232	1996-07-30	PRIJEM	VKLAD	25310	26210	\N	\N	\N
362399	1232	1997-09-19	PRIJEM	VKLAD	45039	78495	\N	\N	\N
362400	1232	1997-10-11	PRIJEM	VKLAD	17707	72337	\N	\N	\N
362401	1232	1998-10-14	PRIJEM	VKLAD	3476	51463	\N	\N	\N
362402	1232	1998-08-14	PRIJEM	VKLAD	17255	60943	\N	\N	\N
362417	1232	1998-12-24	VYDAJ	VYBER	1300	33919	\N	\N	\N
362482	1232	1998-10-31	VYDAJ	VYBER	15	42856	SLUZBY	\N	\N
362483	1232	1998-11-30	VYDAJ	VYBER	15	38319	SLUZBY	\N	\N
362484	1232	1996-08-05	VYDAJ	VYBER	500	25717	\N	\N	\N
362485	1232	1996-09-04	PRIJEM	VKLAD	1600	27426	\N	\N	\N
362486	1232	1996-10-04	VYDAJ	VYBER	1100	26435	\N	\N	\N
362487	1232	1996-11-03	PRIJEM	VKLAD	700	27245	\N	\N	\N
362488	1232	1996-12-03	PRIJEM	VKLAD	1300	28654	\N	\N	\N
362489	1232	1997-01-02	PRIJEM	VKLAD	4000	32763	\N	\N	\N
362490	1232	1997-02-01	PRIJEM	VKLAD	600	33472	\N	\N	\N
362491	1232	1997-03-03	PRIJEM	VKLAD	2200	35781	\N	\N	\N
362492	1232	1997-04-02	PRIJEM	VKLAD	1400	37291	\N	\N	\N
362493	1232	1997-05-02	VYDAJ	VYBER	100	37300	\N	\N	\N
362494	1232	1997-06-01	VYDAJ	VYBER	1300	36109	\N	\N	\N
362495	1232	1997-07-01	VYDAJ	VYBER	3300	32918	\N	\N	\N
362496	1232	1997-07-31	VYDAJ	VYBER	2300	30728	\N	\N	\N
362497	1232	1997-08-30	PRIJEM	VKLAD	2600	33328	\N	\N	\N
362498	1232	1997-09-29	VYDAJ	VYBER	24000	54495	\N	\N	\N
362499	1232	1997-10-29	VYDAJ	VYBER	17600	54737	\N	\N	\N
362500	1232	1997-11-28	VYDAJ	VYBER	4600	50364	\N	\N	\N
362501	1232	1998-01-27	VYDAJ	VYBER	1600	48992	\N	\N	\N
362502	1232	1998-02-26	VYDAJ	VYBER	100	49120	\N	\N	\N
362503	1232	1998-03-28	VYDAJ	VYBER	1200	48148	\N	\N	\N
362504	1232	1998-04-27	VYDAJ	VYBER	400	47976	\N	\N	\N
362505	1232	1998-05-27	VYDAJ	VYBER	700	47504	\N	\N	\N
362506	1232	1998-06-26	VYDAJ	VYBER	4700	43032	\N	\N	\N
362507	1232	1998-07-26	PRIJEM	VKLAD	200	43460	\N	\N	\N
362508	1232	1998-08-25	VYDAJ	VYBER	8500	52443	\N	\N	\N
362509	1232	1998-09-24	VYDAJ	VYBER	4900	47769	\N	\N	\N
362510	1232	1998-10-24	VYDAJ	VYBER	8800	42663	\N	\N	\N
362511	1232	1998-11-23	VYDAJ	VYBER	4700	38156	\N	\N	\N
362512	1232	1998-12-23	VYDAJ	VYBER	3100	35219	\N	\N	\N
362542	1233	1996-02-08	PRIJEM	VKLAD	300	3690	\N	\N	\N
362544	1233	1996-02-08	PRIJEM	PREVOD Z UCTU	3390	3390	\N	UV	99501376
362545	1233	1996-03-08	PRIJEM	PREVOD Z UCTU	3390	7092	\N	UV	99501376
362546	1233	1996-04-08	PRIJEM	PREVOD Z UCTU	3390	10497	\N	UV	99501376
362547	1233	1996-05-08	PRIJEM	PREVOD Z UCTU	3390	13902	\N	UV	99501376
362548	1233	1996-06-08	PRIJEM	PREVOD Z UCTU	3390	17308	\N	UV	99501376
362549	1233	1996-07-08	PRIJEM	PREVOD Z UCTU	3390	18227	\N	UV	99501376
362550	1233	1996-08-08	PRIJEM	PREVOD Z UCTU	3390	18607	\N	UV	99501376
362551	1233	1996-09-08	PRIJEM	PREVOD Z UCTU	3390	19792	\N	UV	99501376
362552	1233	1996-10-08	PRIJEM	PREVOD Z UCTU	3390	18726	\N	UV	99501376
362553	1233	1996-11-08	PRIJEM	PREVOD Z UCTU	3390	19312	\N	UV	99501376
362554	1233	1996-12-08	PRIJEM	PREVOD Z UCTU	3390	18920	\N	UV	99501376
362555	1233	1997-01-08	PRIJEM	PREVOD Z UCTU	3390	19306	\N	UV	99501376
362556	1233	1997-02-08	PRIJEM	PREVOD Z UCTU	3390	19594	\N	UV	99501376
362557	1233	1997-03-08	PRIJEM	PREVOD Z UCTU	3390	19582	\N	UV	99501376
362558	1233	1997-04-08	PRIJEM	PREVOD Z UCTU	3390	20568	\N	UV	99501376
362559	1233	1997-05-08	PRIJEM	PREVOD Z UCTU	3390	20861	\N	UV	99501376
362560	1233	1997-06-08	PRIJEM	PREVOD Z UCTU	3390	18755	\N	UV	99501376
362561	1233	1997-07-08	PRIJEM	PREVOD Z UCTU	3390	19943	\N	UV	99501376
362562	1233	1997-08-08	PRIJEM	PREVOD Z UCTU	3390	20470	\N	UV	99501376
362563	1233	1997-09-08	PRIJEM	PREVOD Z UCTU	3390	21063	\N	UV	99501376
362564	1233	1997-10-08	PRIJEM	PREVOD Z UCTU	3390	19181	\N	UV	99501376
362565	1233	1997-11-08	PRIJEM	PREVOD Z UCTU	3390	17393	\N	UV	99501376
362566	1233	1997-12-08	PRIJEM	PREVOD Z UCTU	3390	16198	\N	UV	99501376
362567	1233	1998-01-08	PRIJEM	PREVOD Z UCTU	3390	17373	\N	UV	99501376
362568	1233	1998-02-08	PRIJEM	PREVOD Z UCTU	3390	18129	\N	UV	99501376
362569	1233	1998-03-08	PRIJEM	PREVOD Z UCTU	3390	16911	\N	UV	99501376
362570	1233	1998-04-08	PRIJEM	PREVOD Z UCTU	3390	16793	\N	UV	99501376
362571	1233	1998-05-08	PRIJEM	PREVOD Z UCTU	3390	16266	\N	UV	99501376
362572	1233	1998-06-08	PRIJEM	PREVOD Z UCTU	3390	15837	\N	UV	99501376
362573	1233	1998-07-08	PRIJEM	PREVOD Z UCTU	3390	15534	\N	UV	99501376
362574	1233	1998-08-08	PRIJEM	PREVOD Z UCTU	3390	16702	\N	UV	99501376
362575	1233	1998-09-08	PRIJEM	PREVOD Z UCTU	3390	16765	\N	UV	99501376
362576	1233	1998-10-08	PRIJEM	PREVOD Z UCTU	3390	15015	\N	UV	99501376
362577	1233	1998-11-08	PRIJEM	PREVOD Z UCTU	3390	16181	\N	UV	99501376
362578	1233	1998-12-08	PRIJEM	PREVOD Z UCTU	3390	15850	\N	UV	99501376
362584	1233	1996-06-14	VYDAJ	PREVOD NA UCET	2260	14808	SIPO	GH	76341795
362585	1233	1996-07-14	VYDAJ	PREVOD NA UCET	2260	15967	SIPO	GH	76341795
362586	1233	1996-08-14	VYDAJ	PREVOD NA UCET	2260	16347	SIPO	GH	76341795
362587	1233	1996-09-14	VYDAJ	PREVOD NA UCET	2260	16482	SIPO	GH	76341795
362588	1233	1996-10-14	VYDAJ	PREVOD NA UCET	2260	16466	SIPO	GH	76341795
362589	1233	1996-11-14	VYDAJ	PREVOD NA UCET	2260	17052	SIPO	GH	76341795
362590	1233	1996-12-14	VYDAJ	PREVOD NA UCET	2260	16660	SIPO	GH	76341795
362591	1233	1997-01-14	VYDAJ	PREVOD NA UCET	2260	17046	SIPO	GH	76341795
362592	1233	1997-02-14	VYDAJ	PREVOD NA UCET	2260	17334	SIPO	GH	76341795
362593	1233	1997-03-14	VYDAJ	PREVOD NA UCET	2260	17322	SIPO	GH	76341795
362594	1233	1997-04-14	VYDAJ	PREVOD NA UCET	2260	18308	SIPO	GH	76341795
362595	1233	1997-05-14	VYDAJ	PREVOD NA UCET	2260	18601	SIPO	GH	76341795
362596	1233	1997-06-14	VYDAJ	PREVOD NA UCET	2260	16495	SIPO	GH	76341795
362597	1233	1997-07-14	VYDAJ	PREVOD NA UCET	2260	17683	SIPO	GH	76341795
362598	1233	1997-08-14	VYDAJ	PREVOD NA UCET	2260	18210	SIPO	GH	76341795
362599	1233	1997-09-14	VYDAJ	PREVOD NA UCET	2260	18803	SIPO	GH	76341795
362600	1233	1997-10-14	VYDAJ	PREVOD NA UCET	2260	16921	SIPO	GH	76341795
362601	1233	1997-11-14	VYDAJ	PREVOD NA UCET	2260	15133	SIPO	GH	76341795
362602	1233	1997-12-14	VYDAJ	PREVOD NA UCET	2260	13938	SIPO	GH	76341795
362603	1233	1998-01-14	VYDAJ	PREVOD NA UCET	2260	15113	SIPO	GH	76341795
362604	1233	1998-02-14	VYDAJ	PREVOD NA UCET	2260	15869	SIPO	GH	76341795
362605	1233	1998-03-14	VYDAJ	PREVOD NA UCET	2260	14651	SIPO	GH	76341795
362606	1233	1998-04-14	VYDAJ	PREVOD NA UCET	2260	14533	SIPO	GH	76341795
362607	1233	1998-05-14	VYDAJ	PREVOD NA UCET	2260	14006	SIPO	GH	76341795
362608	1233	1998-06-14	VYDAJ	PREVOD NA UCET	2260	12107	SIPO	GH	76341795
362609	1233	1998-07-14	VYDAJ	PREVOD NA UCET	2260	13274	SIPO	GH	76341795
362610	1233	1998-08-14	VYDAJ	PREVOD NA UCET	2260	14442	SIPO	GH	76341795
362611	1233	1998-09-14	VYDAJ	PREVOD NA UCET	2260	13485	SIPO	GH	76341795
362612	1233	1998-10-14	VYDAJ	PREVOD NA UCET	2260	12755	SIPO	GH	76341795
362613	1233	1998-11-14	VYDAJ	PREVOD NA UCET	2260	13921	SIPO	GH	76341795
362614	1233	1998-12-14	VYDAJ	PREVOD NA UCET	2260	13080	SIPO	GH	76341795
362615	1233	1996-12-07	VYDAJ	VYBER	780	15530	\N	\N	\N
362616	1233	1997-12-04	VYDAJ	VYBER	750	12808	\N	\N	\N
362617	1233	1998-12-10	VYDAJ	VYBER	510	15340	\N	\N	\N
362618	1233	1996-09-13	VYDAJ	VYBER	1050	18742	\N	\N	\N
362619	1233	1996-06-13	VYDAJ	VYBER	240	17068	\N	\N	\N
362622	1233	1997-02-22	VYDAJ	VYBER	1200	16134	\N	\N	\N
362623	1233	1997-11-28	VYDAJ	VYBER	600	13513	\N	\N	\N
362624	1233	1997-11-25	VYDAJ	VYBER	1020	14113	\N	\N	\N
362625	1233	1997-08-05	VYDAJ	VYBER	660	17080	\N	\N	\N
362626	1233	1997-10-15	VYDAJ	VYBER	570	16351	\N	\N	\N
362627	1233	1997-09-16	VYDAJ	VYBER	1170	17633	\N	\N	\N
362628	1233	1998-08-26	VYDAJ	VYBER	1110	13332	\N	\N	\N
362629	1233	1998-09-11	VYDAJ	VYBER	1020	15745	\N	\N	\N
362630	1233	1998-02-03	VYDAJ	VYBER	420	14739	\N	\N	\N
362631	1233	1998-06-10	VYDAJ	VYBER	1470	14367	\N	\N	\N
362632	1233	1998-03-19	VYDAJ	VYBER	1290	13361	\N	\N	\N
362641	1233	1996-06-30	VYDAJ	VYBER	15	14837	SLUZBY	\N	\N
362642	1233	1996-07-31	VYDAJ	VYBER	15	16017	SLUZBY	\N	\N
362643	1233	1996-08-31	VYDAJ	VYBER	15	16402	SLUZBY	\N	\N
362644	1233	1996-09-30	VYDAJ	VYBER	15	16536	SLUZBY	\N	\N
362645	1233	1996-10-31	VYDAJ	VYBER	15	16522	SLUZBY	\N	\N
362646	1233	1996-11-30	VYDAJ	VYBER	15	17110	SLUZBY	\N	\N
362647	1233	1996-12-31	VYDAJ	VYBER	15	16716	SLUZBY	\N	\N
362648	1233	1997-01-31	VYDAJ	VYBER	15	17104	SLUZBY	\N	\N
362649	1233	1997-02-28	VYDAJ	VYBER	15	16192	SLUZBY	\N	\N
362650	1233	1997-03-31	VYDAJ	VYBER	15	17378	SLUZBY	\N	\N
362651	1233	1997-04-30	VYDAJ	VYBER	15	18371	SLUZBY	\N	\N
362652	1233	1997-05-31	VYDAJ	VYBER	15	18665	SLUZBY	\N	\N
362653	1233	1997-06-30	VYDAJ	VYBER	15	16553	SLUZBY	\N	\N
362654	1233	1997-07-31	VYDAJ	VYBER	15	17740	SLUZBY	\N	\N
362655	1233	1997-08-31	VYDAJ	VYBER	15	17673	SLUZBY	\N	\N
362656	1233	1997-09-30	VYDAJ	VYBER	15	15791	SLUZBY	\N	\N
362657	1233	1997-10-31	VYDAJ	VYBER	15	14003	SLUZBY	\N	\N
362658	1233	1997-11-30	VYDAJ	VYBER	15	13558	SLUZBY	\N	\N
362659	1233	1997-12-31	VYDAJ	VYBER	15	13983	SLUZBY	\N	\N
362660	1233	1998-01-31	VYDAJ	VYBER	15	15159	SLUZBY	\N	\N
362661	1233	1998-02-28	VYDAJ	VYBER	15	13521	SLUZBY	\N	\N
362662	1233	1998-03-31	VYDAJ	VYBER	15	13403	SLUZBY	\N	\N
362663	1233	1998-04-30	VYDAJ	VYBER	15	12876	SLUZBY	\N	\N
362664	1233	1998-05-31	VYDAJ	VYBER	15	12447	SLUZBY	\N	\N
362665	1233	1998-06-30	VYDAJ	VYBER	15	12144	SLUZBY	\N	\N
362666	1233	1998-07-31	VYDAJ	VYBER	15	13312	SLUZBY	\N	\N
362667	1233	1998-08-31	VYDAJ	VYBER	15	13375	SLUZBY	\N	\N
362668	1233	1998-09-30	VYDAJ	VYBER	15	11625	SLUZBY	\N	\N
362669	1233	1998-10-31	VYDAJ	VYBER	15	12791	SLUZBY	\N	\N
362670	1233	1998-11-30	VYDAJ	VYBER	15	12460	SLUZBY	\N	\N
362671	1233	1996-08-06	VYDAJ	VYBER	800	15217	\N	\N	\N
362672	1233	1996-10-05	VYDAJ	VYBER	1200	15336	\N	\N	\N
362673	1233	1996-11-04	VYDAJ	VYBER	600	15922	\N	\N	\N
362674	1233	1996-12-04	VYDAJ	VYBER	800	16310	\N	\N	\N
362675	1233	1997-01-03	VYDAJ	VYBER	800	15916	\N	\N	\N
362676	1233	1997-02-02	VYDAJ	VYBER	900	16204	\N	\N	\N
362677	1233	1997-04-03	VYDAJ	VYBER	200	17178	\N	\N	\N
362678	1233	1997-05-03	VYDAJ	VYBER	900	17471	\N	\N	\N
362679	1233	1997-06-02	VYDAJ	VYBER	3300	15365	\N	\N	\N
362680	1233	1997-08-31	VYDAJ	VYBER	600	17687	\N	\N	\N
362681	1233	1997-09-30	VYDAJ	VYBER	1900	15806	\N	\N	\N
362682	1233	1997-10-30	VYDAJ	VYBER	2400	13951	\N	\N	\N
362683	1233	1998-02-27	VYDAJ	VYBER	2400	13469	\N	\N	\N
362684	1233	1998-04-28	VYDAJ	VYBER	1700	12833	\N	\N	\N
362685	1233	1998-05-28	VYDAJ	VYBER	1600	12406	\N	\N	\N
362686	1233	1998-09-25	VYDAJ	VYBER	1900	11585	\N	\N	\N
362687	1233	1998-11-24	VYDAJ	VYBER	1500	12421	\N	\N	\N
362723	1234	1993-09-13	PRIJEM	VKLAD	1100	7490	\N	\N	\N
362732	1234	1993-09-13	PRIJEM	PREVOD Z UCTU	6390	6390	DUCHOD	KL	57374542
362733	1234	1993-10-13	PRIJEM	PREVOD Z UCTU	6390	13899	DUCHOD	KL	57374542
362734	1234	1993-11-13	PRIJEM	PREVOD Z UCTU	6390	20320	DUCHOD	KL	57374542
362735	1234	1993-12-13	PRIJEM	PREVOD Z UCTU	6390	26741	DUCHOD	KL	57374542
362736	1234	1994-01-13	PRIJEM	PREVOD Z UCTU	6390	32262	DUCHOD	KL	57374542
362737	1234	1994-02-13	PRIJEM	PREVOD Z UCTU	6390	29825	DUCHOD	KL	57374542
362738	1234	1994-03-13	PRIJEM	PREVOD Z UCTU	6390	31373	DUCHOD	KL	57374542
362739	1234	1994-04-13	PRIJEM	PREVOD Z UCTU	6390	35032	DUCHOD	KL	57374542
362740	1234	1994-05-13	PRIJEM	PREVOD Z UCTU	6390	34202	DUCHOD	KL	57374542
362741	1234	1994-06-13	PRIJEM	PREVOD Z UCTU	6390	33677	DUCHOD	KL	57374542
362742	1234	1994-07-13	PRIJEM	PREVOD Z UCTU	6390	28182	DUCHOD	KL	57374542
362743	1234	1994-08-13	PRIJEM	PREVOD Z UCTU	6390	30660	DUCHOD	KL	57374542
362744	1234	1994-09-13	PRIJEM	PREVOD Z UCTU	6390	34111	DUCHOD	KL	57374542
362745	1234	1994-10-13	PRIJEM	PREVOD Z UCTU	6390	28357	DUCHOD	KL	57374542
362746	1234	1994-11-13	PRIJEM	PREVOD Z UCTU	6390	26933	DUCHOD	KL	57374542
362747	1234	1994-12-13	PRIJEM	PREVOD Z UCTU	6390	31172	DUCHOD	KL	57374542
362748	1234	1995-01-13	PRIJEM	PREVOD Z UCTU	6390	29315	DUCHOD	KL	57374542
362749	1234	1995-02-13	PRIJEM	PREVOD Z UCTU	6390	20930	DUCHOD	KL	57374542
362750	1234	1995-03-13	PRIJEM	PREVOD Z UCTU	6390	24139	DUCHOD	KL	57374542
362751	1234	1995-04-13	PRIJEM	PREVOD Z UCTU	6390	27765	DUCHOD	KL	57374542
362752	1234	1995-05-13	PRIJEM	PREVOD Z UCTU	6390	26505	DUCHOD	KL	57374542
362753	1234	1995-06-13	PRIJEM	PREVOD Z UCTU	6390	25648	DUCHOD	KL	57374542
362754	1234	1995-07-13	PRIJEM	PREVOD Z UCTU	6390	17299	DUCHOD	KL	57374542
362755	1234	1995-08-13	PRIJEM	PREVOD Z UCTU	6390	21494	DUCHOD	KL	57374542
362756	1234	1995-09-13	PRIJEM	PREVOD Z UCTU	6390	25706	DUCHOD	KL	57374542
362757	1234	1995-10-13	PRIJEM	PREVOD Z UCTU	6390	26235	DUCHOD	KL	57374542
362758	1234	1995-11-13	PRIJEM	PREVOD Z UCTU	6390	26948	DUCHOD	KL	57374542
362759	1234	1995-12-13	PRIJEM	PREVOD Z UCTU	6390	26884	DUCHOD	KL	57374542
362760	1234	1996-01-13	PRIJEM	PREVOD Z UCTU	6390	24203	DUCHOD	KL	57374542
362761	1234	1996-02-13	PRIJEM	PREVOD Z UCTU	6390	21622	DUCHOD	KL	57374542
362762	1234	1996-03-13	PRIJEM	PREVOD Z UCTU	6390	21493	DUCHOD	KL	57374542
362763	1234	1996-04-13	PRIJEM	PREVOD Z UCTU	6390	23813	DUCHOD	KL	57374542
362764	1234	1996-05-13	PRIJEM	PREVOD Z UCTU	6390	24412	DUCHOD	KL	57374542
362765	1234	1996-06-13	PRIJEM	PREVOD Z UCTU	6390	26735	DUCHOD	KL	57374542
362766	1234	1996-07-13	PRIJEM	PREVOD Z UCTU	6390	26826	DUCHOD	KL	57374542
362767	1234	1996-08-13	PRIJEM	PREVOD Z UCTU	6390	23677	DUCHOD	KL	57374542
362768	1234	1996-09-13	PRIJEM	PREVOD Z UCTU	6390	20398	DUCHOD	KL	57374542
362769	1234	1996-10-13	PRIJEM	PREVOD Z UCTU	6390	20302	DUCHOD	KL	57374542
362770	1234	1996-11-13	PRIJEM	PREVOD Z UCTU	6390	24509	DUCHOD	KL	57374542
362771	1234	1996-12-13	PRIJEM	PREVOD Z UCTU	6390	19626	DUCHOD	KL	57374542
362772	1234	1997-01-13	PRIJEM	PREVOD Z UCTU	6390	20299	DUCHOD	KL	57374542
362773	1234	1997-02-13	PRIJEM	PREVOD Z UCTU	6390	21226	DUCHOD	KL	57374542
362774	1234	1997-03-13	PRIJEM	PREVOD Z UCTU	6390	24394	DUCHOD	KL	57374542
362775	1234	1997-04-13	PRIJEM	PREVOD Z UCTU	6390	19410	DUCHOD	KL	57374542
362776	1234	1997-05-13	PRIJEM	PREVOD Z UCTU	6390	23612	DUCHOD	KL	57374542
362777	1234	1997-06-13	PRIJEM	PREVOD Z UCTU	6390	27832	DUCHOD	KL	57374542
362778	1234	1997-07-13	PRIJEM	PREVOD Z UCTU	6390	28708	DUCHOD	KL	57374542
362779	1234	1997-08-13	PRIJEM	PREVOD Z UCTU	6390	20235	DUCHOD	KL	57374542
362780	1234	1997-09-13	PRIJEM	PREVOD Z UCTU	6390	19135	DUCHOD	KL	57374542
362781	1234	1997-10-13	PRIJEM	PREVOD Z UCTU	6390	22055	DUCHOD	KL	57374542
362782	1234	1997-11-13	PRIJEM	PREVOD Z UCTU	6390	26271	DUCHOD	KL	57374542
362783	1234	1997-12-13	PRIJEM	PREVOD Z UCTU	6390	27328	DUCHOD	KL	57374542
362784	1234	1998-01-13	PRIJEM	PREVOD Z UCTU	6390	22111	DUCHOD	KL	57374542
362785	1234	1998-02-13	PRIJEM	PREVOD Z UCTU	6390	21521	DUCHOD	KL	57374542
362786	1234	1998-03-13	PRIJEM	PREVOD Z UCTU	6390	25731	DUCHOD	KL	57374542
362787	1234	1998-04-13	PRIJEM	PREVOD Z UCTU	6390	29959	DUCHOD	KL	57374542
362788	1234	1998-05-13	PRIJEM	PREVOD Z UCTU	6390	19582	DUCHOD	KL	57374542
362789	1234	1998-06-13	PRIJEM	PREVOD Z UCTU	6390	23784	DUCHOD	KL	57374542
362790	1234	1998-07-13	PRIJEM	PREVOD Z UCTU	6390	22194	DUCHOD	KL	57374542
362791	1234	1998-08-13	PRIJEM	PREVOD Z UCTU	6390	26407	DUCHOD	KL	57374542
362792	1234	1998-09-13	PRIJEM	PREVOD Z UCTU	6390	30638	DUCHOD	KL	57374542
362793	1234	1998-10-13	PRIJEM	PREVOD Z UCTU	6390	19856	DUCHOD	KL	57374542
362794	1234	1998-11-13	PRIJEM	PREVOD Z UCTU	6390	24059	DUCHOD	KL	57374542
362795	1234	1998-12-13	PRIJEM	PREVOD Z UCTU	6390	28279	DUCHOD	KL	57374542
362808	1234	1994-01-14	VYDAJ	PREVOD NA UCET	2236	30026	SIPO	WX	71036088
362809	1234	1994-02-14	VYDAJ	PREVOD NA UCET	2236	27589	SIPO	WX	71036088
362810	1234	1994-03-14	VYDAJ	PREVOD NA UCET	2236	29137	SIPO	WX	71036088
362811	1234	1994-04-14	VYDAJ	PREVOD NA UCET	2236	32796	SIPO	WX	71036088
362812	1234	1994-05-14	VYDAJ	PREVOD NA UCET	2236	31966	SIPO	WX	71036088
362813	1234	1994-06-14	VYDAJ	PREVOD NA UCET	2236	31441	SIPO	WX	71036088
362814	1234	1994-07-14	VYDAJ	PREVOD NA UCET	2236	25946	SIPO	WX	71036088
362815	1234	1994-08-14	VYDAJ	PREVOD NA UCET	2236	28424	SIPO	WX	71036088
362816	1234	1994-09-14	VYDAJ	PREVOD NA UCET	2236	31875	SIPO	WX	71036088
362817	1234	1994-10-14	VYDAJ	PREVOD NA UCET	2236	26121	SIPO	WX	71036088
362818	1234	1994-11-14	VYDAJ	PREVOD NA UCET	2236	24697	SIPO	WX	71036088
362819	1234	1994-12-14	VYDAJ	PREVOD NA UCET	2236	28936	SIPO	WX	71036088
362820	1234	1995-01-14	VYDAJ	PREVOD NA UCET	2236	27079	SIPO	WX	71036088
362821	1234	1995-02-14	VYDAJ	PREVOD NA UCET	2236	18694	SIPO	WX	71036088
362822	1234	1995-03-14	VYDAJ	PREVOD NA UCET	2236	21903	SIPO	WX	71036088
362823	1234	1995-04-14	VYDAJ	PREVOD NA UCET	2236	25529	SIPO	WX	71036088
362824	1234	1995-05-14	VYDAJ	PREVOD NA UCET	2236	24269	SIPO	WX	71036088
362825	1234	1995-06-14	VYDAJ	PREVOD NA UCET	2236	10862	SIPO	WX	71036088
362826	1234	1995-07-14	VYDAJ	PREVOD NA UCET	2236	15063	SIPO	WX	71036088
362827	1234	1995-08-14	VYDAJ	PREVOD NA UCET	2236	19258	SIPO	WX	71036088
362828	1234	1995-09-14	VYDAJ	PREVOD NA UCET	2236	23470	SIPO	WX	71036088
362829	1234	1995-10-14	VYDAJ	PREVOD NA UCET	2236	23999	SIPO	WX	71036088
362830	1234	1995-11-14	VYDAJ	PREVOD NA UCET	2236	24712	SIPO	WX	71036088
362831	1234	1995-12-14	VYDAJ	PREVOD NA UCET	2236	24648	SIPO	WX	71036088
362832	1234	1996-01-14	VYDAJ	PREVOD NA UCET	2236	21967	SIPO	WX	71036088
362833	1234	1996-02-14	VYDAJ	PREVOD NA UCET	2236	19386	SIPO	WX	71036088
362834	1234	1996-03-14	VYDAJ	PREVOD NA UCET	2236	19257	SIPO	WX	71036088
362835	1234	1996-04-14	VYDAJ	PREVOD NA UCET	2236	21577	SIPO	WX	71036088
362836	1234	1996-05-14	VYDAJ	PREVOD NA UCET	2236	22176	SIPO	WX	71036088
362837	1234	1996-06-14	VYDAJ	PREVOD NA UCET	2236	24499	SIPO	WX	71036088
362838	1234	1996-07-14	VYDAJ	PREVOD NA UCET	2236	24590	SIPO	WX	71036088
362839	1234	1996-08-14	VYDAJ	PREVOD NA UCET	2236	21441	SIPO	WX	71036088
362840	1234	1996-09-14	VYDAJ	PREVOD NA UCET	2236	18162	SIPO	WX	71036088
362841	1234	1996-10-14	VYDAJ	PREVOD NA UCET	2236	18066	SIPO	WX	71036088
362842	1234	1996-11-14	VYDAJ	PREVOD NA UCET	2236	22273	SIPO	WX	71036088
362843	1234	1996-12-14	VYDAJ	PREVOD NA UCET	2236	17390	SIPO	WX	71036088
362844	1234	1997-01-14	VYDAJ	PREVOD NA UCET	2236	16863	SIPO	WX	71036088
362845	1234	1997-02-14	VYDAJ	PREVOD NA UCET	2236	18990	SIPO	WX	71036088
362846	1234	1997-03-14	VYDAJ	PREVOD NA UCET	2236	22158	SIPO	WX	71036088
362847	1234	1997-04-14	VYDAJ	PREVOD NA UCET	2236	17174	SIPO	WX	71036088
362848	1234	1997-05-14	VYDAJ	PREVOD NA UCET	2236	21376	SIPO	WX	71036088
362849	1234	1997-06-14	VYDAJ	PREVOD NA UCET	2236	25596	SIPO	WX	71036088
362850	1234	1997-07-14	VYDAJ	PREVOD NA UCET	2236	26472	SIPO	WX	71036088
362851	1234	1997-08-14	VYDAJ	PREVOD NA UCET	2236	17999	SIPO	WX	71036088
362852	1234	1997-09-14	VYDAJ	PREVOD NA UCET	2236	16899	SIPO	WX	71036088
362853	1234	1997-10-14	VYDAJ	PREVOD NA UCET	2236	19819	SIPO	WX	71036088
362854	1234	1997-11-14	VYDAJ	PREVOD NA UCET	2236	24035	SIPO	WX	71036088
362855	1234	1997-12-14	VYDAJ	PREVOD NA UCET	2236	25092	SIPO	WX	71036088
362856	1234	1998-01-14	VYDAJ	PREVOD NA UCET	2236	19875	SIPO	WX	71036088
362857	1234	1998-02-14	VYDAJ	PREVOD NA UCET	2236	19285	SIPO	WX	71036088
362858	1234	1998-03-14	VYDAJ	PREVOD NA UCET	2236	23495	SIPO	WX	71036088
362859	1234	1998-04-14	VYDAJ	PREVOD NA UCET	2236	27723	SIPO	WX	71036088
362860	1234	1998-05-14	VYDAJ	PREVOD NA UCET	2236	17346	SIPO	WX	71036088
362861	1234	1998-06-14	VYDAJ	PREVOD NA UCET	2236	21548	SIPO	WX	71036088
362862	1234	1998-07-14	VYDAJ	PREVOD NA UCET	2236	19958	SIPO	WX	71036088
362863	1234	1998-08-14	VYDAJ	PREVOD NA UCET	2236	24171	SIPO	WX	71036088
362864	1234	1998-09-14	VYDAJ	PREVOD NA UCET	2236	28402	SIPO	WX	71036088
362865	1234	1998-10-14	VYDAJ	PREVOD NA UCET	2236	17620	SIPO	WX	71036088
362866	1234	1998-11-14	VYDAJ	PREVOD NA UCET	2236	21823	SIPO	WX	71036088
362867	1234	1998-12-14	VYDAJ	PREVOD NA UCET	2236	26043	SIPO	WX	71036088
362869	1234	1994-06-19	VYDAJ	VYBER	9750	21691	\N	\N	\N
362870	1234	1995-06-13	VYDAJ	VYBER	12550	13098	\N	\N	\N
362875	1234	1994-01-29	VYDAJ	VYBER	3700	23766	\N	\N	\N
362876	1234	1995-01-25	VYDAJ	VYBER	4700	16619	\N	\N	\N
362879	1234	1998-01-05	VYDAJ	VYBER	4650	16761	\N	\N	\N
362881	1234	1994-12-26	VYDAJ	VYBER	350	28586	\N	\N	\N
362882	1234	1995-12-17	VYDAJ	VYBER	1200	23448	\N	\N	\N
362883	1234	1996-12-30	VYDAJ	VYBER	1450	15940	\N	\N	\N
362884	1234	1997-12-10	VYDAJ	VYBER	450	20938	\N	\N	\N
362885	1234	1998-12-29	VYDAJ	VYBER	550	25493	\N	\N	\N
362892	1234	1994-01-17	VYDAJ	VYBER	1920	28106	\N	\N	\N
362894	1234	1994-01-27	VYDAJ	VYBER	640	27466	\N	\N	\N
362898	1234	1995-01-26	VYDAJ	VYBER	2160	14459	\N	\N	\N
362899	1234	1995-01-09	VYDAJ	VYBER	1680	22925	\N	\N	\N
362900	1234	1995-01-04	VYDAJ	VYBER	1680	27005	\N	\N	\N
362901	1234	1995-01-23	VYDAJ	VYBER	1440	23479	\N	\N	\N
362902	1234	1995-01-18	VYDAJ	VYBER	2160	24919	\N	\N	\N
362903	1234	1995-01-24	VYDAJ	VYBER	2160	21319	\N	\N	\N
362904	1234	1996-01-25	VYDAJ	VYBER	1760	15167	\N	\N	\N
362905	1234	1996-01-15	VYDAJ	VYBER	1280	18687	\N	\N	\N
362906	1234	1996-01-25	VYDAJ	VYBER	1760	16927	\N	\N	\N
362907	1234	1996-01-08	VYDAJ	VYBER	2080	17813	\N	\N	\N
362908	1234	1996-01-14	VYDAJ	VYBER	2000	19967	\N	\N	\N
362909	1234	1996-01-08	VYDAJ	VYBER	640	19893	\N	\N	\N
362911	1234	1997-01-14	VYDAJ	VYBER	1200	19099	\N	\N	\N
362913	1234	1997-01-21	VYDAJ	VYBER	2080	14783	\N	\N	\N
362915	1234	1997-01-01	VYDAJ	VYBER	2080	13909	\N	\N	\N
362916	1234	1998-01-09	VYDAJ	VYBER	1040	15721	\N	\N	\N
362917	1234	1998-01-16	VYDAJ	VYBER	1360	18035	\N	\N	\N
362918	1234	1998-01-22	VYDAJ	VYBER	1920	16115	\N	\N	\N
362919	1234	1998-01-28	VYDAJ	VYBER	1040	15075	\N	\N	\N
362920	1234	1998-01-15	VYDAJ	VYBER	480	19395	\N	\N	\N
362921	1234	1998-01-01	VYDAJ	VYBER	800	21411	\N	\N	\N
362924	1234	1994-11-12	VYDAJ	VYBER	1920	20543	\N	\N	\N
362925	1234	1994-10-12	VYDAJ	VYBER	3920	21967	\N	\N	\N
362926	1234	1994-10-14	VYDAJ	VYBER	3760	22361	\N	\N	\N
362927	1234	1994-07-22	VYDAJ	VYBER	1760	24186	\N	\N	\N
362928	1234	1995-10-18	VYDAJ	VYBER	3120	20879	\N	\N	\N
362929	1234	1995-06-03	VYDAJ	VYBER	1600	22758	\N	\N	\N
362931	1234	1996-08-06	VYDAJ	VYBER	2080	17287	\N	\N	\N
362932	1234	1996-02-29	VYDAJ	VYBER	2640	16803	\N	\N	\N
362933	1234	1996-06-20	VYDAJ	VYBER	1040	23459	\N	\N	\N
362934	1234	1996-04-24	VYDAJ	VYBER	1920	19657	\N	\N	\N
362935	1234	1997-06-30	VYDAJ	VYBER	3360	22333	\N	\N	\N
362936	1234	1997-02-22	VYDAJ	VYBER	1040	17950	\N	\N	\N
362937	1234	1997-11-23	VYDAJ	VYBER	2720	21315	\N	\N	\N
362938	1234	1997-10-04	VYDAJ	VYBER	1280	15665	\N	\N	\N
362939	1234	1997-12-21	VYDAJ	VYBER	2960	22132	\N	\N	\N
362955	1234	1994-01-31	VYDAJ	VYBER	15	23835	SLUZBY	\N	\N
362956	1234	1994-02-28	VYDAJ	VYBER	15	27683	SLUZBY	\N	\N
362957	1234	1994-03-31	VYDAJ	VYBER	15	29242	SLUZBY	\N	\N
362958	1234	1994-04-30	VYDAJ	VYBER	15	32912	SLUZBY	\N	\N
362959	1234	1994-05-31	VYDAJ	VYBER	15	32087	SLUZBY	\N	\N
362960	1234	1994-06-30	VYDAJ	VYBER	15	21792	SLUZBY	\N	\N
362961	1234	1994-07-31	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
362962	1234	1994-08-31	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
362963	1234	1994-09-30	VYDAJ	VYBER	15	31987	SLUZBY	\N	\N
362964	1234	1994-10-31	VYDAJ	VYBER	15	22463	SLUZBY	\N	\N
362965	1234	1994-11-30	VYDAJ	VYBER	15	24782	SLUZBY	\N	\N
362966	1234	1994-12-31	VYDAJ	VYBER	15	28685	SLUZBY	\N	\N
362967	1234	1995-01-31	VYDAJ	VYBER	15	14540	SLUZBY	\N	\N
362968	1234	1995-02-28	VYDAJ	VYBER	15	18749	SLUZBY	\N	\N
362969	1234	1995-03-31	VYDAJ	VYBER	15	21975	SLUZBY	\N	\N
362970	1234	1995-04-30	VYDAJ	VYBER	15	25615	SLUZBY	\N	\N
362971	1234	1995-05-31	VYDAJ	VYBER	15	24358	SLUZBY	\N	\N
362972	1234	1995-06-30	VYDAJ	VYBER	15	10909	SLUZBY	\N	\N
362973	1234	1995-07-31	VYDAJ	VYBER	15	15104	SLUZBY	\N	\N
362974	1234	1995-08-31	VYDAJ	VYBER	15	19316	SLUZBY	\N	\N
362975	1234	1995-09-30	VYDAJ	VYBER	15	23545	SLUZBY	\N	\N
362976	1234	1995-10-31	VYDAJ	VYBER	15	20958	SLUZBY	\N	\N
362977	1234	1995-11-30	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
362978	1234	1995-12-31	VYDAJ	VYBER	15	23533	SLUZBY	\N	\N
362979	1234	1996-01-31	VYDAJ	VYBER	15	15232	SLUZBY	\N	\N
362980	1234	1996-02-29	VYDAJ	VYBER	15	19443	SLUZBY	\N	\N
362981	1234	1996-03-31	VYDAJ	VYBER	15	19323	SLUZBY	\N	\N
362982	1234	1996-04-30	VYDAJ	VYBER	15	19722	SLUZBY	\N	\N
362983	1234	1996-05-31	VYDAJ	VYBER	15	20345	SLUZBY	\N	\N
362984	1234	1996-06-30	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
362985	1234	1996-07-31	VYDAJ	VYBER	15	19367	SLUZBY	\N	\N
362986	1234	1996-08-31	VYDAJ	VYBER	15	14008	SLUZBY	\N	\N
362987	1234	1996-09-30	VYDAJ	VYBER	15	13912	SLUZBY	\N	\N
362988	1234	1996-10-31	VYDAJ	VYBER	15	18119	SLUZBY	\N	\N
362989	1234	1996-11-30	VYDAJ	VYBER	15	13236	SLUZBY	\N	\N
362990	1234	1996-12-31	VYDAJ	VYBER	15	15989	SLUZBY	\N	\N
362991	1234	1997-01-31	VYDAJ	VYBER	15	14836	SLUZBY	\N	\N
362992	1234	1997-02-28	VYDAJ	VYBER	15	18004	SLUZBY	\N	\N
362993	1234	1997-03-31	VYDAJ	VYBER	15	13020	SLUZBY	\N	\N
362994	1234	1997-04-30	VYDAJ	VYBER	15	17222	SLUZBY	\N	\N
362995	1234	1997-05-31	VYDAJ	VYBER	15	21442	SLUZBY	\N	\N
362996	1234	1997-06-30	VYDAJ	VYBER	15	22318	SLUZBY	\N	\N
362997	1234	1997-07-31	VYDAJ	VYBER	15	13845	SLUZBY	\N	\N
362998	1234	1997-08-31	VYDAJ	VYBER	15	12745	SLUZBY	\N	\N
362999	1234	1997-09-30	VYDAJ	VYBER	15	16945	SLUZBY	\N	\N
363000	1234	1997-10-31	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
363001	1234	1997-11-30	VYDAJ	VYBER	15	21388	SLUZBY	\N	\N
363002	1234	1997-12-31	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
363003	1234	1998-01-31	VYDAJ	VYBER	15	15131	SLUZBY	\N	\N
363004	1234	1998-02-28	VYDAJ	VYBER	15	19341	SLUZBY	\N	\N
363005	1234	1998-03-31	VYDAJ	VYBER	15	23569	SLUZBY	\N	\N
363006	1234	1998-04-30	VYDAJ	VYBER	15	13192	SLUZBY	\N	\N
363007	1234	1998-05-31	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
363008	1234	1998-06-30	VYDAJ	VYBER	15	15804	SLUZBY	\N	\N
363009	1234	1998-07-31	VYDAJ	VYBER	15	20017	SLUZBY	\N	\N
363010	1234	1998-08-31	VYDAJ	VYBER	15	24248	SLUZBY	\N	\N
363011	1234	1998-09-30	VYDAJ	VYBER	15	13466	SLUZBY	\N	\N
363012	1234	1998-10-31	VYDAJ	VYBER	15	17669	SLUZBY	\N	\N
363013	1234	1998-11-30	VYDAJ	VYBER	15	21889	SLUZBY	\N	\N
363014	1234	1994-01-11	VYDAJ	VYBER	900	25872	\N	\N	\N
363015	1234	1994-02-10	VYDAJ	VYBER	400	23435	\N	\N	\N
363016	1234	1994-03-12	VYDAJ	VYBER	2700	24983	\N	\N	\N
363017	1234	1994-04-11	VYDAJ	VYBER	600	28642	\N	\N	\N
363018	1234	1994-05-11	VYDAJ	VYBER	5100	27812	\N	\N	\N
363019	1234	1994-06-10	VYDAJ	VYBER	4800	27287	\N	\N	\N
363020	1234	1994-09-08	VYDAJ	VYBER	800	27721	\N	\N	\N
363021	1234	1994-10-08	VYDAJ	VYBER	6100	25887	\N	\N	\N
363022	1234	1995-01-06	VYDAJ	VYBER	2400	24605	\N	\N	\N
363023	1234	1995-03-07	VYDAJ	VYBER	1000	17749	\N	\N	\N
363024	1234	1995-04-06	VYDAJ	VYBER	600	21375	\N	\N	\N
363025	1234	1995-05-06	VYDAJ	VYBER	5500	20115	\N	\N	\N
363026	1234	1995-06-05	VYDAJ	VYBER	3500	19258	\N	\N	\N
363027	1234	1995-10-03	VYDAJ	VYBER	3700	19845	\N	\N	\N
363028	1234	1995-11-02	VYDAJ	VYBER	400	20558	\N	\N	\N
363029	1234	1995-12-02	VYDAJ	VYBER	4300	20494	\N	\N	\N
363030	1234	1996-01-01	VYDAJ	VYBER	3000	20533	\N	\N	\N
363031	1234	1996-03-01	VYDAJ	VYBER	1700	15103	\N	\N	\N
363032	1234	1996-03-31	VYDAJ	VYBER	1900	17423	\N	\N	\N
363033	1234	1996-04-30	VYDAJ	VYBER	1700	18022	\N	\N	\N
363034	1234	1996-05-30	VYDAJ	VYBER	1900	20276	\N	\N	\N
363035	1234	1996-06-29	VYDAJ	VYBER	3100	20359	\N	\N	\N
363036	1234	1996-07-29	VYDAJ	VYBER	5300	19290	\N	\N	\N
363037	1234	1996-08-28	VYDAJ	VYBER	7500	13941	\N	\N	\N
363038	1234	1996-09-27	VYDAJ	VYBER	4300	13862	\N	\N	\N
363039	1234	1996-11-26	VYDAJ	VYBER	9100	13173	\N	\N	\N
363040	1234	1997-03-26	VYDAJ	VYBER	9200	12958	\N	\N	\N
363041	1234	1997-07-24	VYDAJ	VYBER	12700	13772	\N	\N	\N
363042	1234	1997-08-23	VYDAJ	VYBER	5300	12699	\N	\N	\N
363043	1234	1998-04-20	VYDAJ	VYBER	14600	13123	\N	\N	\N
363044	1234	1998-06-19	VYDAJ	VYBER	5800	15748	\N	\N	\N
363045	1234	1998-09-17	VYDAJ	VYBER	15000	13402	\N	\N	\N
363110	1235	1993-11-23	PRIJEM	VKLAD	500	500	\N	\N	\N
363122	1235	1993-12-12	PRIJEM	PREVOD Z UCTU	4339	4839	DUCHOD	YZ	63160800
363123	1235	1994-01-12	PRIJEM	PREVOD Z UCTU	4339	9178	DUCHOD	YZ	63160800
363124	1235	1994-02-12	PRIJEM	PREVOD Z UCTU	4339	13517	DUCHOD	YZ	63160800
363125	1235	1994-03-12	PRIJEM	PREVOD Z UCTU	4339	17856	DUCHOD	YZ	63160800
363126	1235	1994-04-12	PRIJEM	PREVOD Z UCTU	4339	22195	DUCHOD	YZ	63160800
363127	1235	1994-05-12	PRIJEM	PREVOD Z UCTU	4339	23683	DUCHOD	YZ	63160800
363128	1235	1994-06-12	PRIJEM	PREVOD Z UCTU	4339	21910	DUCHOD	YZ	63160800
363129	1235	1994-07-12	PRIJEM	PREVOD Z UCTU	4339	23433	DUCHOD	YZ	63160800
363130	1235	1994-08-12	PRIJEM	PREVOD Z UCTU	4339	23277	DUCHOD	YZ	63160800
363131	1235	1994-09-12	PRIJEM	PREVOD Z UCTU	4339	24600	DUCHOD	YZ	63160800
363132	1235	1994-10-12	PRIJEM	PREVOD Z UCTU	4339	23325	DUCHOD	YZ	63160800
363133	1235	1994-11-12	PRIJEM	PREVOD Z UCTU	4339	18223	DUCHOD	YZ	63160800
363134	1235	1994-12-12	PRIJEM	PREVOD Z UCTU	4339	19726	DUCHOD	YZ	63160800
363135	1235	1995-01-12	PRIJEM	PREVOD Z UCTU	4339	17851	DUCHOD	YZ	63160800
363136	1235	1995-02-12	PRIJEM	PREVOD Z UCTU	4339	15826	DUCHOD	YZ	63160800
363137	1235	1995-03-12	PRIJEM	PREVOD Z UCTU	4339	16438	DUCHOD	YZ	63160800
363138	1235	1995-04-12	PRIJEM	PREVOD Z UCTU	4339	17532	DUCHOD	YZ	63160800
363139	1235	1995-05-12	PRIJEM	PREVOD Z UCTU	4339	15423	DUCHOD	YZ	63160800
363140	1235	1995-06-12	PRIJEM	PREVOD Z UCTU	4339	16913	DUCHOD	YZ	63160800
363141	1235	1995-07-12	PRIJEM	PREVOD Z UCTU	4339	18412	DUCHOD	YZ	63160800
363142	1235	1995-08-12	PRIJEM	PREVOD Z UCTU	4339	19917	DUCHOD	YZ	63160800
363143	1235	1995-09-12	PRIJEM	PREVOD Z UCTU	4339	21426	DUCHOD	YZ	63160800
363144	1235	1995-10-12	PRIJEM	PREVOD Z UCTU	4339	22941	DUCHOD	YZ	63160800
363145	1235	1995-11-12	PRIJEM	PREVOD Z UCTU	4339	22141	DUCHOD	YZ	63160800
363146	1235	1995-12-12	PRIJEM	PREVOD Z UCTU	4339	19558	DUCHOD	YZ	63160800
363147	1235	1996-01-12	PRIJEM	PREVOD Z UCTU	4339	20164	DUCHOD	YZ	63160800
363148	1235	1996-02-12	PRIJEM	PREVOD Z UCTU	4339	16145	DUCHOD	YZ	63160800
363149	1235	1996-03-12	PRIJEM	PREVOD Z UCTU	4339	16997	DUCHOD	YZ	63160800
363150	1235	1996-04-12	PRIJEM	PREVOD Z UCTU	4339	18093	DUCHOD	YZ	63160800
363151	1235	1996-05-12	PRIJEM	PREVOD Z UCTU	4339	19595	DUCHOD	YZ	63160800
363152	1235	1996-06-12	PRIJEM	PREVOD Z UCTU	4339	21105	DUCHOD	YZ	63160800
363153	1235	1996-07-12	PRIJEM	PREVOD Z UCTU	4339	22619	DUCHOD	YZ	63160800
363154	1235	1996-08-12	PRIJEM	PREVOD Z UCTU	4339	24138	DUCHOD	YZ	63160800
363155	1235	1996-09-12	PRIJEM	PREVOD Z UCTU	4339	25667	DUCHOD	YZ	63160800
363156	1235	1996-10-12	PRIJEM	PREVOD Z UCTU	4339	27199	DUCHOD	YZ	63160800
363157	1235	1996-11-12	PRIJEM	PREVOD Z UCTU	4339	28738	DUCHOD	YZ	63160800
363158	1235	1996-12-12	PRIJEM	PREVOD Z UCTU	4339	29723	DUCHOD	YZ	63160800
363159	1235	1997-01-12	PRIJEM	PREVOD Z UCTU	4339	25220	DUCHOD	YZ	63160800
363160	1235	1997-02-12	PRIJEM	PREVOD Z UCTU	4339	20516	DUCHOD	YZ	63160800
363161	1235	1997-03-12	PRIJEM	PREVOD Z UCTU	4339	22027	DUCHOD	YZ	63160800
363162	1235	1997-04-12	PRIJEM	PREVOD Z UCTU	4339	21944	DUCHOD	YZ	63160800
363163	1235	1997-05-12	PRIJEM	PREVOD Z UCTU	4339	23363	DUCHOD	YZ	63160800
363164	1235	1997-06-12	PRIJEM	PREVOD Z UCTU	4339	18584	DUCHOD	YZ	63160800
363165	1235	1997-07-12	PRIJEM	PREVOD Z UCTU	4339	20090	DUCHOD	YZ	63160800
363166	1235	1997-08-12	PRIJEM	PREVOD Z UCTU	4339	18395	DUCHOD	YZ	63160800
363167	1235	1997-09-12	PRIJEM	PREVOD Z UCTU	4339	17733	DUCHOD	YZ	63160800
363168	1235	1997-10-12	PRIJEM	PREVOD Z UCTU	4339	19234	DUCHOD	YZ	63160800
363169	1235	1997-11-12	PRIJEM	PREVOD Z UCTU	4339	20742	DUCHOD	YZ	63160800
363170	1235	1997-12-12	PRIJEM	PREVOD Z UCTU	4339	20806	DUCHOD	YZ	63160800
363171	1235	1998-01-12	PRIJEM	PREVOD Z UCTU	4339	21679	DUCHOD	YZ	63160800
363172	1235	1998-02-12	PRIJEM	PREVOD Z UCTU	4339	18224	DUCHOD	YZ	63160800
363173	1235	1998-03-12	PRIJEM	PREVOD Z UCTU	4339	19726	DUCHOD	YZ	63160800
363174	1235	1998-04-12	PRIJEM	PREVOD Z UCTU	4339	21236	DUCHOD	YZ	63160800
363175	1235	1998-05-12	PRIJEM	PREVOD Z UCTU	4339	22349	DUCHOD	YZ	63160800
363176	1235	1998-06-12	PRIJEM	PREVOD Z UCTU	4339	23867	DUCHOD	YZ	63160800
363177	1235	1998-07-12	PRIJEM	PREVOD Z UCTU	4339	19629	DUCHOD	YZ	63160800
363178	1235	1998-08-12	PRIJEM	PREVOD Z UCTU	4339	21137	DUCHOD	YZ	63160800
363179	1235	1998-09-12	PRIJEM	PREVOD Z UCTU	4339	22009	DUCHOD	YZ	63160800
363180	1235	1998-10-12	PRIJEM	PREVOD Z UCTU	4339	16424	DUCHOD	YZ	63160800
363181	1235	1998-11-12	PRIJEM	PREVOD Z UCTU	4339	17920	DUCHOD	YZ	63160800
363182	1235	1998-12-12	PRIJEM	PREVOD Z UCTU	4339	19421	DUCHOD	YZ	63160800
363199	1235	1994-05-05	VYDAJ	PREVOD NA UCET	1843	19344	SIPO	QR	36736953
363200	1235	1994-06-05	VYDAJ	PREVOD NA UCET	1843	20871	SIPO	QR	36736953
363201	1235	1994-07-05	VYDAJ	PREVOD NA UCET	1843	19094	SIPO	QR	36736953
363202	1235	1994-08-05	VYDAJ	PREVOD NA UCET	1843	20618	SIPO	QR	36736953
363203	1235	1994-09-05	VYDAJ	PREVOD NA UCET	1843	20261	SIPO	QR	36736953
363204	1235	1994-10-05	VYDAJ	PREVOD NA UCET	1843	18986	SIPO	QR	36736953
363205	1235	1994-11-05	VYDAJ	PREVOD NA UCET	1843	15964	SIPO	QR	36736953
363206	1235	1994-12-05	VYDAJ	PREVOD NA UCET	1843	15387	SIPO	QR	36736953
363207	1235	1995-01-05	VYDAJ	PREVOD NA UCET	1843	14792	SIPO	QR	36736953
363208	1235	1995-02-05	VYDAJ	PREVOD NA UCET	1843	11487	SIPO	QR	36736953
363209	1235	1995-03-05	VYDAJ	PREVOD NA UCET	1843	12099	SIPO	QR	36736953
363210	1235	1995-04-05	VYDAJ	PREVOD NA UCET	1843	13193	SIPO	QR	36736953
363211	1235	1995-05-05	VYDAJ	PREVOD NA UCET	1843	11084	SIPO	QR	36736953
363212	1235	1995-06-05	VYDAJ	PREVOD NA UCET	1843	12574	SIPO	QR	36736953
363213	1235	1995-07-05	VYDAJ	PREVOD NA UCET	1843	14073	SIPO	QR	36736953
363214	1235	1995-08-05	VYDAJ	PREVOD NA UCET	1843	15578	SIPO	QR	36736953
363215	1235	1995-09-05	VYDAJ	PREVOD NA UCET	1843	17087	SIPO	QR	36736953
363216	1235	1995-10-05	VYDAJ	PREVOD NA UCET	1843	18602	SIPO	QR	36736953
363217	1235	1995-11-05	VYDAJ	PREVOD NA UCET	1843	17802	SIPO	QR	36736953
363218	1235	1995-12-05	VYDAJ	PREVOD NA UCET	1843	16819	SIPO	QR	36736953
363219	1235	1996-01-05	VYDAJ	PREVOD NA UCET	1843	15825	SIPO	QR	36736953
363220	1235	1996-02-05	VYDAJ	PREVOD NA UCET	1843	11806	SIPO	QR	36736953
363221	1235	1996-03-05	VYDAJ	PREVOD NA UCET	1843	12658	SIPO	QR	36736953
363222	1235	1996-04-05	VYDAJ	PREVOD NA UCET	1843	13754	SIPO	QR	36736953
363223	1235	1996-05-05	VYDAJ	PREVOD NA UCET	1843	15256	SIPO	QR	36736953
363224	1235	1996-06-05	VYDAJ	PREVOD NA UCET	1843	16766	SIPO	QR	36736953
363225	1235	1996-07-05	VYDAJ	PREVOD NA UCET	1843	18280	SIPO	QR	36736953
363226	1235	1996-08-05	VYDAJ	PREVOD NA UCET	1843	19799	SIPO	QR	36736953
363227	1235	1996-09-05	VYDAJ	PREVOD NA UCET	1843	21328	SIPO	QR	36736953
363228	1235	1996-10-05	VYDAJ	PREVOD NA UCET	1843	22860	SIPO	QR	36736953
363229	1235	1996-11-05	VYDAJ	PREVOD NA UCET	1843	24399	SIPO	QR	36736953
363230	1235	1996-12-05	VYDAJ	PREVOD NA UCET	1843	25384	SIPO	QR	36736953
363231	1235	1997-01-05	VYDAJ	PREVOD NA UCET	1843	23921	SIPO	QR	36736953
363232	1235	1997-02-05	VYDAJ	PREVOD NA UCET	1843	16177	SIPO	QR	36736953
363233	1235	1997-03-05	VYDAJ	PREVOD NA UCET	1843	17688	SIPO	QR	36736953
363234	1235	1997-04-05	VYDAJ	PREVOD NA UCET	1843	19205	SIPO	QR	36736953
363235	1235	1997-05-05	VYDAJ	PREVOD NA UCET	1843	19124	SIPO	QR	36736953
363236	1235	1997-06-05	VYDAJ	PREVOD NA UCET	1843	14245	SIPO	QR	36736953
363237	1235	1997-07-05	VYDAJ	PREVOD NA UCET	1843	15751	SIPO	QR	36736953
363238	1235	1997-08-05	VYDAJ	PREVOD NA UCET	1843	14056	SIPO	QR	36736953
363239	1235	1997-09-05	VYDAJ	PREVOD NA UCET	1843	13394	SIPO	QR	36736953
363240	1235	1997-10-05	VYDAJ	PREVOD NA UCET	1843	14895	SIPO	QR	36736953
363241	1235	1997-11-05	VYDAJ	PREVOD NA UCET	1843	16403	SIPO	QR	36736953
363242	1235	1997-12-05	VYDAJ	PREVOD NA UCET	1843	16467	SIPO	QR	36736953
363243	1235	1998-01-05	VYDAJ	PREVOD NA UCET	1843	17340	SIPO	QR	36736953
363244	1235	1998-02-05	VYDAJ	PREVOD NA UCET	1843	13885	SIPO	QR	36736953
363245	1235	1998-03-05	VYDAJ	PREVOD NA UCET	1843	15387	SIPO	QR	36736953
363246	1235	1998-04-05	VYDAJ	PREVOD NA UCET	1843	16897	SIPO	QR	36736953
363247	1235	1998-05-05	VYDAJ	PREVOD NA UCET	1843	18010	SIPO	QR	36736953
363248	1235	1998-06-05	VYDAJ	PREVOD NA UCET	1843	19528	SIPO	QR	36736953
363249	1235	1998-07-05	VYDAJ	PREVOD NA UCET	1843	15290	SIPO	QR	36736953
363250	1235	1998-08-05	VYDAJ	PREVOD NA UCET	1843	16798	SIPO	QR	36736953
363251	1235	1998-09-05	VYDAJ	PREVOD NA UCET	1843	17670	SIPO	QR	36736953
363252	1235	1998-10-05	VYDAJ	PREVOD NA UCET	1843	12085	SIPO	QR	36736953
363253	1235	1998-11-05	VYDAJ	PREVOD NA UCET	1843	13581	SIPO	QR	36736953
363254	1235	1998-12-05	VYDAJ	PREVOD NA UCET	1843	15082	SIPO	QR	36736953
363270	1235	1994-04-12	VYDAJ	PREVOD NA UCET	1049	21146	 	GH	56642502
363271	1235	1994-05-12	VYDAJ	PREVOD NA UCET	1049	22634	 	GH	56642502
363272	1235	1994-06-12	VYDAJ	PREVOD NA UCET	1049	20861	 	GH	56642502
363273	1235	1994-07-12	VYDAJ	PREVOD NA UCET	1049	22384	 	GH	56642502
363274	1235	1994-08-12	VYDAJ	PREVOD NA UCET	1049	22228	 	GH	56642502
363275	1235	1994-09-12	VYDAJ	PREVOD NA UCET	1049	23551	 	GH	56642502
363276	1235	1994-10-12	VYDAJ	PREVOD NA UCET	1049	22276	 	GH	56642502
363277	1235	1994-11-12	VYDAJ	PREVOD NA UCET	1049	17174	 	GH	56642502
363278	1235	1994-12-12	VYDAJ	PREVOD NA UCET	1049	18677	 	GH	56642502
363279	1235	1995-01-12	VYDAJ	PREVOD NA UCET	1049	16802	 	GH	56642502
363280	1235	1995-02-12	VYDAJ	PREVOD NA UCET	1049	14777	 	GH	56642502
363281	1235	1995-03-12	VYDAJ	PREVOD NA UCET	1049	15389	 	GH	56642502
363282	1235	1995-04-12	VYDAJ	PREVOD NA UCET	1049	16483	 	GH	56642502
363283	1235	1995-05-12	VYDAJ	PREVOD NA UCET	1049	14374	 	GH	56642502
363284	1235	1995-06-12	VYDAJ	PREVOD NA UCET	1049	15864	 	GH	56642502
363285	1235	1995-07-12	VYDAJ	PREVOD NA UCET	1049	17363	 	GH	56642502
363286	1235	1995-08-12	VYDAJ	PREVOD NA UCET	1049	18868	 	GH	56642502
363287	1235	1995-09-12	VYDAJ	PREVOD NA UCET	1049	20377	 	GH	56642502
363288	1235	1995-10-12	VYDAJ	PREVOD NA UCET	1049	21892	 	GH	56642502
363289	1235	1995-11-12	VYDAJ	PREVOD NA UCET	1049	21092	 	GH	56642502
363290	1235	1995-12-12	VYDAJ	PREVOD NA UCET	1049	18509	 	GH	56642502
363291	1235	1996-01-12	VYDAJ	PREVOD NA UCET	1049	19115	 	GH	56642502
363292	1235	1996-02-12	VYDAJ	PREVOD NA UCET	1049	15096	 	GH	56642502
363293	1235	1996-03-12	VYDAJ	PREVOD NA UCET	1049	15948	 	GH	56642502
363294	1235	1996-04-12	VYDAJ	PREVOD NA UCET	1049	17044	 	GH	56642502
363295	1235	1996-05-12	VYDAJ	PREVOD NA UCET	1049	18546	 	GH	56642502
363296	1235	1996-06-12	VYDAJ	PREVOD NA UCET	1049	20056	 	GH	56642502
363297	1235	1996-07-12	VYDAJ	PREVOD NA UCET	1049	21570	 	GH	56642502
363298	1235	1996-08-12	VYDAJ	PREVOD NA UCET	1049	23089	 	GH	56642502
363299	1235	1996-09-12	VYDAJ	PREVOD NA UCET	1049	24618	 	GH	56642502
363300	1235	1996-10-12	VYDAJ	PREVOD NA UCET	1049	26150	 	GH	56642502
363301	1235	1996-11-12	VYDAJ	PREVOD NA UCET	1049	27689	 	GH	56642502
363302	1235	1996-12-12	VYDAJ	PREVOD NA UCET	1049	28674	 	GH	56642502
363303	1235	1997-01-12	VYDAJ	PREVOD NA UCET	1049	24171	 	GH	56642502
363304	1235	1997-02-12	VYDAJ	PREVOD NA UCET	1049	19467	 	GH	56642502
363305	1235	1997-03-12	VYDAJ	PREVOD NA UCET	1049	20978	 	GH	56642502
363306	1235	1997-04-12	VYDAJ	PREVOD NA UCET	1049	20895	 	GH	56642502
363307	1235	1997-05-12	VYDAJ	PREVOD NA UCET	1049	22314	 	GH	56642502
363308	1235	1997-06-12	VYDAJ	PREVOD NA UCET	1049	17535	 	GH	56642502
363309	1235	1997-07-12	VYDAJ	PREVOD NA UCET	1049	19041	 	GH	56642502
363310	1235	1997-08-12	VYDAJ	PREVOD NA UCET	1049	17346	 	GH	56642502
363311	1235	1997-09-12	VYDAJ	PREVOD NA UCET	1049	16684	 	GH	56642502
363312	1235	1997-10-12	VYDAJ	PREVOD NA UCET	1049	18185	 	GH	56642502
363313	1235	1997-11-12	VYDAJ	PREVOD NA UCET	1049	19693	 	GH	56642502
363314	1235	1997-12-12	VYDAJ	PREVOD NA UCET	1049	19757	 	GH	56642502
363315	1235	1998-01-12	VYDAJ	PREVOD NA UCET	1049	19910	 	GH	56642502
363316	1235	1998-02-12	VYDAJ	PREVOD NA UCET	1049	17175	 	GH	56642502
363317	1235	1998-03-12	VYDAJ	PREVOD NA UCET	1049	18677	 	GH	56642502
363318	1235	1998-04-12	VYDAJ	PREVOD NA UCET	1049	20187	 	GH	56642502
363319	1235	1998-05-12	VYDAJ	PREVOD NA UCET	1049	21300	 	GH	56642502
363320	1235	1998-06-12	VYDAJ	PREVOD NA UCET	1049	22818	 	GH	56642502
363321	1235	1998-07-12	VYDAJ	PREVOD NA UCET	1049	18580	 	GH	56642502
363322	1235	1998-08-12	VYDAJ	PREVOD NA UCET	1049	20088	 	GH	56642502
363323	1235	1998-09-12	VYDAJ	PREVOD NA UCET	1049	20960	 	GH	56642502
363324	1235	1998-10-12	VYDAJ	PREVOD NA UCET	1049	15375	 	GH	56642502
363325	1235	1998-11-12	VYDAJ	PREVOD NA UCET	1049	16871	 	GH	56642502
363326	1235	1998-12-12	VYDAJ	PREVOD NA UCET	1049	18372	 	GH	56642502
363328	1235	1994-06-09	VYDAJ	VYBER	3300	17571	\N	\N	\N
363332	1235	1998-06-16	VYDAJ	VYBER	5750	17068	\N	\N	\N
363337	1235	1997-01-29	VYDAJ	VYBER	1350	19141	\N	\N	\N
363340	1235	1994-12-14	VYDAJ	VYBER	1300	17377	\N	\N	\N
363341	1235	1995-12-01	VYDAJ	VYBER	500	18662	\N	\N	\N
363342	1235	1996-12-27	VYDAJ	VYBER	850	27824	\N	\N	\N
363343	1235	1997-12-02	VYDAJ	VYBER	1450	18310	\N	\N	\N
363344	1235	1998-12-25	VYDAJ	VYBER	1300	17072	\N	\N	\N
363357	1235	1995-01-19	VYDAJ	VYBER	1200	15602	\N	\N	\N
363358	1235	1995-01-24	VYDAJ	VYBER	1120	14482	\N	\N	\N
363359	1235	1995-01-06	VYDAJ	VYBER	1280	13512	\N	\N	\N
363360	1235	1995-01-04	VYDAJ	VYBER	800	16635	\N	\N	\N
363362	1235	1995-01-24	VYDAJ	VYBER	1200	13282	\N	\N	\N
363363	1235	1996-01-14	VYDAJ	VYBER	2000	17115	\N	\N	\N
363365	1235	1996-01-22	VYDAJ	VYBER	1760	15355	\N	\N	\N
363366	1235	1996-01-26	VYDAJ	VYBER	1200	13595	\N	\N	\N
363368	1235	1996-01-24	VYDAJ	VYBER	560	14795	\N	\N	\N
363369	1235	1997-01-25	VYDAJ	VYBER	800	20491	\N	\N	\N
363370	1235	1997-01-23	VYDAJ	VYBER	1760	21291	\N	\N	\N
363371	1235	1997-01-30	VYDAJ	VYBER	1200	17941	\N	\N	\N
363372	1235	1997-01-03	VYDAJ	VYBER	2160	25764	\N	\N	\N
363373	1235	1997-01-10	VYDAJ	VYBER	1840	20881	\N	\N	\N
363374	1235	1997-01-13	VYDAJ	VYBER	1120	23051	\N	\N	\N
363375	1235	1998-01-15	VYDAJ	VYBER	1600	18310	\N	\N	\N
363377	1235	1998-01-16	VYDAJ	VYBER	400	17910	\N	\N	\N
363378	1235	1998-01-12	VYDAJ	VYBER	720	20959	\N	\N	\N
363379	1235	1998-01-04	VYDAJ	VYBER	640	19183	\N	\N	\N
363380	1235	1998-01-24	VYDAJ	VYBER	2240	15670	\N	\N	\N
363386	1235	1994-11-10	VYDAJ	VYBER	2080	13884	\N	\N	\N
363388	1235	1994-08-09	VYDAJ	VYBER	1680	18938	\N	\N	\N
363389	1235	1994-10-25	VYDAJ	VYBER	3040	17736	\N	\N	\N
363390	1235	1995-04-17	VYDAJ	VYBER	3600	12883	\N	\N	\N
363391	1235	1995-12-11	VYDAJ	VYBER	1600	15219	\N	\N	\N
363392	1235	1995-02-20	VYDAJ	VYBER	880	13897	\N	\N	\N
363393	1235	1995-10-29	VYDAJ	VYBER	2320	19572	\N	\N	\N
363394	1235	1995-11-21	VYDAJ	VYBER	2000	19092	\N	\N	\N
363395	1235	1996-04-01	VYDAJ	VYBER	400	15597	\N	\N	\N
363396	1235	1996-12-02	VYDAJ	VYBER	560	27227	\N	\N	\N
363398	1235	1996-02-25	VYDAJ	VYBER	640	14456	\N	\N	\N
363399	1235	1997-07-23	VYDAJ	VYBER	3200	15841	\N	\N	\N
363400	1235	1997-08-19	VYDAJ	VYBER	2160	15186	\N	\N	\N
363403	1235	1998-04-21	VYDAJ	VYBER	400	19787	\N	\N	\N
363404	1235	1998-08-17	VYDAJ	VYBER	640	19448	\N	\N	\N
363421	1235	1994-04-30	VYDAJ	VYBER	15	21187	SLUZBY	\N	\N
363422	1235	1994-05-31	VYDAJ	VYBER	15	22714	SLUZBY	\N	\N
363423	1235	1994-06-30	VYDAJ	VYBER	15	20937	SLUZBY	\N	\N
363424	1235	1994-07-31	VYDAJ	VYBER	15	22461	SLUZBY	\N	\N
363425	1235	1994-08-31	VYDAJ	VYBER	15	22104	SLUZBY	\N	\N
363426	1235	1994-09-30	VYDAJ	VYBER	15	20829	SLUZBY	\N	\N
363427	1235	1994-10-31	VYDAJ	VYBER	15	17807	SLUZBY	\N	\N
363428	1235	1994-11-30	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
363429	1235	1994-12-31	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
363430	1235	1995-01-31	VYDAJ	VYBER	15	13330	SLUZBY	\N	\N
363431	1235	1995-02-28	VYDAJ	VYBER	15	13942	SLUZBY	\N	\N
363432	1235	1995-03-31	VYDAJ	VYBER	15	15036	SLUZBY	\N	\N
363433	1235	1995-04-30	VYDAJ	VYBER	15	12927	SLUZBY	\N	\N
363434	1235	1995-05-31	VYDAJ	VYBER	15	14417	SLUZBY	\N	\N
363435	1235	1995-06-30	VYDAJ	VYBER	15	15916	SLUZBY	\N	\N
363436	1235	1995-07-31	VYDAJ	VYBER	15	17421	SLUZBY	\N	\N
363437	1235	1995-08-31	VYDAJ	VYBER	15	18930	SLUZBY	\N	\N
363438	1235	1995-09-30	VYDAJ	VYBER	15	20445	SLUZBY	\N	\N
363439	1235	1995-10-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
363440	1235	1995-11-30	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
363441	1235	1995-12-31	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
363442	1235	1996-01-31	VYDAJ	VYBER	15	13649	SLUZBY	\N	\N
363443	1235	1996-02-29	VYDAJ	VYBER	15	14501	SLUZBY	\N	\N
363444	1235	1996-03-31	VYDAJ	VYBER	15	15997	SLUZBY	\N	\N
363445	1235	1996-04-30	VYDAJ	VYBER	15	17099	SLUZBY	\N	\N
363446	1235	1996-05-31	VYDAJ	VYBER	15	18609	SLUZBY	\N	\N
363447	1235	1996-06-30	VYDAJ	VYBER	15	20123	SLUZBY	\N	\N
363448	1235	1996-07-31	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
363449	1235	1996-08-31	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
363450	1235	1996-09-30	VYDAJ	VYBER	15	24703	SLUZBY	\N	\N
363451	1235	1996-10-31	VYDAJ	VYBER	15	26242	SLUZBY	\N	\N
363452	1235	1996-11-30	VYDAJ	VYBER	15	27787	SLUZBY	\N	\N
363453	1235	1996-12-31	VYDAJ	VYBER	15	27924	SLUZBY	\N	\N
363454	1235	1997-01-31	VYDAJ	VYBER	15	18020	SLUZBY	\N	\N
363455	1235	1997-02-28	VYDAJ	VYBER	15	19531	SLUZBY	\N	\N
363456	1235	1997-03-31	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
363457	1235	1997-04-30	VYDAJ	VYBER	15	20967	SLUZBY	\N	\N
363458	1235	1997-05-31	VYDAJ	VYBER	15	22388	SLUZBY	\N	\N
363459	1235	1997-06-30	VYDAJ	VYBER	15	17594	SLUZBY	\N	\N
363460	1235	1997-07-31	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
363461	1235	1997-08-31	VYDAJ	VYBER	15	15237	SLUZBY	\N	\N
363462	1235	1997-09-30	VYDAJ	VYBER	15	16738	SLUZBY	\N	\N
363463	1235	1997-10-31	VYDAJ	VYBER	15	18246	SLUZBY	\N	\N
363464	1235	1997-11-30	VYDAJ	VYBER	15	19760	SLUZBY	\N	\N
363465	1235	1997-12-31	VYDAJ	VYBER	15	19823	SLUZBY	\N	\N
363466	1235	1998-01-31	VYDAJ	VYBER	15	15728	SLUZBY	\N	\N
363467	1235	1998-02-28	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
363468	1235	1998-03-31	VYDAJ	VYBER	15	18740	SLUZBY	\N	\N
363469	1235	1998-04-30	VYDAJ	VYBER	15	19853	SLUZBY	\N	\N
363470	1235	1998-05-31	VYDAJ	VYBER	15	21371	SLUZBY	\N	\N
363471	1235	1998-06-30	VYDAJ	VYBER	15	17133	SLUZBY	\N	\N
363472	1235	1998-07-31	VYDAJ	VYBER	15	18641	SLUZBY	\N	\N
363473	1235	1998-08-31	VYDAJ	VYBER	15	19513	SLUZBY	\N	\N
363474	1235	1998-09-30	VYDAJ	VYBER	15	13928	SLUZBY	\N	\N
363475	1235	1998-10-31	VYDAJ	VYBER	15	15424	SLUZBY	\N	\N
363476	1235	1998-11-30	VYDAJ	VYBER	15	16925	SLUZBY	\N	\N
363477	1235	1994-08-20	VYDAJ	VYBER	200	22028	\N	\N	\N
363478	1235	1994-09-19	VYDAJ	VYBER	2800	20751	\N	\N	\N
363479	1235	1994-10-19	VYDAJ	VYBER	1500	20776	\N	\N	\N
363480	1235	1995-03-18	VYDAJ	VYBER	400	14989	\N	\N	\N
363481	1235	1995-12-13	VYDAJ	VYBER	900	17609	\N	\N	\N
363482	1235	1997-01-06	VYDAJ	VYBER	1200	22721	\N	\N	\N
363483	1235	1997-04-06	VYDAJ	VYBER	1600	17605	\N	\N	\N
363484	1235	1997-05-06	VYDAJ	VYBER	100	19024	\N	\N	\N
363485	1235	1997-06-05	VYDAJ	VYBER	6300	16088	\N	\N	\N
363486	1235	1998-09-28	VYDAJ	VYBER	7100	13860	\N	\N	\N
363544	1236	1993-05-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
363545	1236	1993-12-17	PRIJEM	VKLAD	13756	41854	\N	\N	\N
363547	1236	1994-10-22	PRIJEM	VKLAD	21754	47902	\N	\N	\N
363548	1236	1994-10-26	PRIJEM	VKLAD	32616	80518	\N	\N	\N
363549	1236	1995-12-29	PRIJEM	VKLAD	33963	55881	\N	\N	\N
363550	1236	1995-11-10	PRIJEM	VKLAD	18395	35485	\N	\N	\N
363551	1236	1996-08-20	PRIJEM	VKLAD	37062	51641	\N	\N	\N
363552	1236	1996-12-11	PRIJEM	VKLAD	26062	42166	\N	\N	\N
363553	1236	1997-03-02	PRIJEM	VKLAD	20027	36214	\N	\N	\N
363554	1236	1997-07-29	PRIJEM	VKLAD	10397	26513	\N	\N	\N
363555	1236	1998-09-19	PRIJEM	VKLAD	13881	37261	\N	\N	\N
363556	1236	1998-08-14	PRIJEM	VKLAD	16603	34484	\N	\N	\N
363561	1236	1993-05-16	PRIJEM	VKLAD	1600	2600	\N	\N	\N
363562	1236	1993-06-17	PRIJEM	VKLAD	1600	16806	\N	\N	\N
363563	1236	1993-07-15	PRIJEM	VKLAD	1600	21644	\N	\N	\N
363564	1236	1993-08-14	PRIJEM	VKLAD	1600	24925	\N	\N	\N
363565	1236	1993-09-16	PRIJEM	VKLAD	1600	24923	\N	\N	\N
363566	1236	1993-10-15	PRIJEM	VKLAD	1600	25413	\N	\N	\N
363567	1236	1993-11-14	PRIJEM	VKLAD	1600	26803	\N	\N	\N
363568	1236	1993-12-14	PRIJEM	VKLAD	1600	28098	\N	\N	\N
363569	1236	1994-01-13	PRIJEM	VKLAD	1600	29981	\N	\N	\N
363570	1236	1994-02-16	PRIJEM	VKLAD	1600	27390	\N	\N	\N
363571	1236	1994-03-15	PRIJEM	VKLAD	1600	25983	\N	\N	\N
363572	1236	1994-04-13	PRIJEM	VKLAD	1600	26179	\N	\N	\N
363573	1236	1994-05-14	PRIJEM	VKLAD	1600	27973	\N	\N	\N
363574	1236	1994-06-17	PRIJEM	VKLAD	1600	19068	\N	\N	\N
363575	1236	1994-07-16	PRIJEM	VKLAD	1600	23441	\N	\N	\N
363576	1236	1994-08-15	PRIJEM	VKLAD	1600	27919	\N	\N	\N
363577	1236	1994-09-13	PRIJEM	VKLAD	1600	25712	\N	\N	\N
363578	1236	1994-10-13	PRIJEM	VKLAD	1600	26148	\N	\N	\N
363579	1236	1994-11-15	PRIJEM	VKLAD	1600	53744	\N	\N	\N
363580	1236	1994-12-17	PRIJEM	VKLAD	1600	38087	\N	\N	\N
363581	1236	1995-01-15	PRIJEM	VKLAD	1600	25075	\N	\N	\N
363582	1236	1995-02-16	PRIJEM	VKLAD	1600	26977	\N	\N	\N
363583	1236	1995-03-17	PRIJEM	VKLAD	1600	27218	\N	\N	\N
363584	1236	1995-04-14	PRIJEM	VKLAD	1600	27810	\N	\N	\N
363585	1236	1995-05-13	PRIJEM	VKLAD	1600	25153	\N	\N	\N
363586	1236	1995-06-13	PRIJEM	VKLAD	1600	22683	\N	\N	\N
363587	1236	1995-07-16	PRIJEM	VKLAD	1600	21356	\N	\N	\N
363588	1236	1995-08-14	PRIJEM	VKLAD	1600	20873	\N	\N	\N
363589	1236	1995-09-17	PRIJEM	VKLAD	1600	23345	\N	\N	\N
363590	1236	1995-10-15	PRIJEM	VKLAD	1600	23020	\N	\N	\N
363591	1236	1995-11-14	PRIJEM	VKLAD	1600	37085	\N	\N	\N
363592	1236	1995-12-14	PRIJEM	VKLAD	1600	24418	\N	\N	\N
363593	1236	1996-01-17	PRIJEM	VKLAD	1600	55326	\N	\N	\N
363594	1236	1996-02-14	PRIJEM	VKLAD	1600	27394	\N	\N	\N
363595	1236	1996-03-17	PRIJEM	VKLAD	1600	23082	\N	\N	\N
363596	1236	1996-04-13	PRIJEM	VKLAD	1600	16646	\N	\N	\N
363597	1236	1996-05-16	PRIJEM	VKLAD	1600	18293	\N	\N	\N
363598	1236	1996-06-16	PRIJEM	VKLAD	1600	17195	\N	\N	\N
363599	1236	1996-07-15	PRIJEM	VKLAD	1600	14840	\N	\N	\N
363600	1236	1996-08-15	PRIJEM	VKLAD	1600	14579	\N	\N	\N
363601	1236	1996-09-14	PRIJEM	VKLAD	1600	53341	\N	\N	\N
363602	1236	1996-10-13	PRIJEM	VKLAD	1600	28990	\N	\N	\N
363603	1236	1996-11-14	PRIJEM	VKLAD	1600	16060	\N	\N	\N
363604	1236	1996-12-17	PRIJEM	VKLAD	1600	19666	\N	\N	\N
363605	1236	1997-01-17	PRIJEM	VKLAD	1600	16289	\N	\N	\N
363606	1236	1997-02-15	PRIJEM	VKLAD	1600	16142	\N	\N	\N
363607	1236	1997-03-16	PRIJEM	VKLAD	1600	19414	\N	\N	\N
363608	1236	1997-04-14	PRIJEM	VKLAD	1600	21072	\N	\N	\N
363609	1236	1997-05-15	PRIJEM	VKLAD	1600	22737	\N	\N	\N
363610	1236	1997-06-14	PRIJEM	VKLAD	1600	14459	\N	\N	\N
363611	1236	1997-07-17	PRIJEM	VKLAD	1600	16116	\N	\N	\N
363612	1236	1997-08-13	PRIJEM	VKLAD	1600	18462	\N	\N	\N
363613	1236	1997-09-13	PRIJEM	VKLAD	1600	20135	\N	\N	\N
363614	1236	1997-10-14	PRIJEM	VKLAD	1600	18696	\N	\N	\N
363615	1236	1997-11-14	PRIJEM	VKLAD	1600	19259	\N	\N	\N
363616	1236	1997-12-14	PRIJEM	VKLAD	1600	18622	\N	\N	\N
363617	1236	1998-01-13	PRIJEM	VKLAD	1600	16382	\N	\N	\N
363618	1236	1998-02-16	PRIJEM	VKLAD	1600	14584	\N	\N	\N
363619	1236	1998-03-15	PRIJEM	VKLAD	1600	17930	\N	\N	\N
363620	1236	1998-04-14	PRIJEM	VKLAD	1600	17581	\N	\N	\N
363621	1236	1998-05-13	PRIJEM	VKLAD	1600	15634	\N	\N	\N
363622	1236	1998-06-17	PRIJEM	VKLAD	1600	19281	\N	\N	\N
363623	1236	1998-07-15	PRIJEM	VKLAD	1600	17130	\N	\N	\N
363624	1236	1998-08-13	PRIJEM	VKLAD	1600	17881	\N	\N	\N
363625	1236	1998-09-13	PRIJEM	VKLAD	1600	23380	\N	\N	\N
363626	1236	1998-10-14	PRIJEM	VKLAD	1600	25681	\N	\N	\N
363627	1236	1998-11-13	PRIJEM	VKLAD	1600	16491	\N	\N	\N
363628	1236	1998-12-14	PRIJEM	VKLAD	1600	18157	\N	\N	\N
363630	1236	1994-06-01	VYDAJ	VYBER	6400	17468	\N	\N	\N
363634	1236	1998-06-18	VYDAJ	VYBER	3400	15881	\N	\N	\N
363642	1236	1994-01-03	VYDAJ	VYBER	2500	32081	\N	\N	\N
363643	1236	1995-01-10	VYDAJ	VYBER	8100	24075	\N	\N	\N
363644	1236	1996-01-18	VYDAJ	VYBER	8200	47126	\N	\N	\N
363645	1236	1997-01-13	VYDAJ	VYBER	2700	14689	\N	\N	\N
363647	1236	1993-12-10	VYDAJ	VYBER	1500	26498	\N	\N	\N
363648	1236	1994-12-06	VYDAJ	VYBER	1000	36487	\N	\N	\N
363649	1236	1995-12-08	VYDAJ	VYBER	1200	22818	\N	\N	\N
363650	1236	1996-12-11	VYDAJ	VYBER	2600	39566	\N	\N	\N
363651	1236	1997-12-06	VYDAJ	VYBER	2800	16522	\N	\N	\N
363652	1236	1998-12-23	VYDAJ	VYBER	2400	15757	\N	\N	\N
363659	1236	1994-01-28	VYDAJ	VYBER	750	28081	\N	\N	\N
363660	1236	1994-01-04	VYDAJ	VYBER	1150	30931	\N	\N	\N
363661	1236	1994-01-08	VYDAJ	VYBER	1150	29781	\N	\N	\N
363662	1236	1994-01-09	VYDAJ	VYBER	350	28381	\N	\N	\N
363663	1236	1994-01-21	VYDAJ	VYBER	1150	28831	\N	\N	\N
363664	1236	1994-01-09	VYDAJ	VYBER	1050	28731	\N	\N	\N
363665	1236	1995-01-10	VYDAJ	VYBER	250	32175	\N	\N	\N
363666	1236	1995-01-17	VYDAJ	VYBER	1100	23975	\N	\N	\N
363667	1236	1995-01-22	VYDAJ	VYBER	600	23375	\N	\N	\N
363668	1236	1995-01-25	VYDAJ	VYBER	350	25275	\N	\N	\N
363669	1236	1995-01-14	VYDAJ	VYBER	600	23475	\N	\N	\N
363670	1236	1995-01-25	VYDAJ	VYBER	1150	25625	\N	\N	\N
363671	1236	1996-01-26	VYDAJ	VYBER	1400	28276	\N	\N	\N
363672	1236	1996-01-07	VYDAJ	VYBER	350	53726	\N	\N	\N
363673	1236	1996-01-01	VYDAJ	VYBER	650	55326	\N	\N	\N
363674	1236	1996-01-18	VYDAJ	VYBER	850	46276	\N	\N	\N
363675	1236	1996-01-04	VYDAJ	VYBER	1250	54076	\N	\N	\N
363676	1236	1996-01-29	VYDAJ	VYBER	250	28026	\N	\N	\N
363677	1236	1997-01-26	VYDAJ	VYBER	650	14489	\N	\N	\N
363678	1236	1997-01-12	VYDAJ	VYBER	250	17389	\N	\N	\N
363679	1236	1997-01-09	VYDAJ	VYBER	1300	17639	\N	\N	\N
363680	1236	1997-01-24	VYDAJ	VYBER	250	15139	\N	\N	\N
363681	1236	1997-01-23	VYDAJ	VYBER	900	15389	\N	\N	\N
363682	1236	1997-01-08	VYDAJ	VYBER	800	18939	\N	\N	\N
363683	1236	1998-01-09	VYDAJ	VYBER	550	16832	\N	\N	\N
363684	1236	1998-01-09	VYDAJ	VYBER	1300	17382	\N	\N	\N
363686	1236	1998-01-14	VYDAJ	VYBER	850	15532	\N	\N	\N
363688	1236	1998-01-12	VYDAJ	VYBER	1450	14782	\N	\N	\N
363692	1236	1994-06-20	VYDAJ	VYBER	600	16668	\N	\N	\N
363693	1236	1994-12-26	VYDAJ	VYBER	900	32287	\N	\N	\N
363694	1236	1994-09-20	VYDAJ	VYBER	1650	24062	\N	\N	\N
363695	1236	1994-06-19	VYDAJ	VYBER	1800	17268	\N	\N	\N
363696	1236	1994-11-26	VYDAJ	VYBER	650	37294	\N	\N	\N
363697	1236	1995-04-29	VYDAJ	VYBER	650	23460	\N	\N	\N
363698	1236	1995-08-09	VYDAJ	VYBER	1050	19273	\N	\N	\N
363699	1236	1995-11-14	VYDAJ	VYBER	2250	34835	\N	\N	\N
363700	1236	1995-06-30	VYDAJ	VYBER	1100	19770	\N	\N	\N
363701	1236	1995-05-18	VYDAJ	VYBER	1350	23803	\N	\N	\N
363702	1236	1995-02-22	VYDAJ	VYBER	1550	25427	\N	\N	\N
363703	1236	1995-10-31	VYDAJ	VYBER	1700	17090	\N	\N	\N
363705	1236	1996-02-01	VYDAJ	VYBER	1100	27094	\N	\N	\N
363706	1236	1996-05-18	VYDAJ	VYBER	450	17843	\N	\N	\N
363707	1236	1996-02-07	VYDAJ	VYBER	1300	25794	\N	\N	\N
363711	1236	1997-05-30	VYDAJ	VYBER	750	21987	\N	\N	\N
363714	1236	1998-08-25	VYDAJ	VYBER	400	34084	\N	\N	\N
363716	1236	1998-04-16	VYDAJ	VYBER	1700	15881	\N	\N	\N
363717	1236	1998-04-28	VYDAJ	VYBER	500	15381	\N	\N	\N
363727	1236	1993-09-30	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
363728	1236	1993-10-31	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
363729	1236	1993-11-30	VYDAJ	VYBER	15	26898	SLUZBY	\N	\N
363730	1236	1993-12-31	VYDAJ	VYBER	15	34581	SLUZBY	\N	\N
363731	1236	1994-01-31	VYDAJ	VYBER	15	25790	SLUZBY	\N	\N
363732	1236	1994-02-28	VYDAJ	VYBER	15	27483	SLUZBY	\N	\N
363733	1236	1994-03-31	VYDAJ	VYBER	15	26079	SLUZBY	\N	\N
363734	1236	1994-04-30	VYDAJ	VYBER	15	26373	SLUZBY	\N	\N
363735	1236	1994-05-31	VYDAJ	VYBER	15	23868	SLUZBY	\N	\N
363736	1236	1994-06-30	VYDAJ	VYBER	15	21841	SLUZBY	\N	\N
363737	1236	1994-07-31	VYDAJ	VYBER	15	26319	SLUZBY	\N	\N
363738	1236	1994-08-31	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
363739	1236	1994-09-30	VYDAJ	VYBER	15	24548	SLUZBY	\N	\N
363740	1236	1994-10-31	VYDAJ	VYBER	15	52144	SLUZBY	\N	\N
363741	1236	1994-11-30	VYDAJ	VYBER	15	37487	SLUZBY	\N	\N
363742	1236	1994-12-31	VYDAJ	VYBER	15	32425	SLUZBY	\N	\N
363743	1236	1995-01-31	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
363744	1236	1995-02-28	VYDAJ	VYBER	15	25618	SLUZBY	\N	\N
363745	1236	1995-03-31	VYDAJ	VYBER	15	26210	SLUZBY	\N	\N
363746	1236	1995-04-30	VYDAJ	VYBER	15	23553	SLUZBY	\N	\N
363747	1236	1995-05-31	VYDAJ	VYBER	15	21083	SLUZBY	\N	\N
363748	1236	1995-06-30	VYDAJ	VYBER	15	19756	SLUZBY	\N	\N
363749	1236	1995-07-31	VYDAJ	VYBER	15	20323	SLUZBY	\N	\N
363750	1236	1995-08-31	VYDAJ	VYBER	15	21745	SLUZBY	\N	\N
363751	1236	1995-09-30	VYDAJ	VYBER	15	21420	SLUZBY	\N	\N
363752	1236	1995-10-31	VYDAJ	VYBER	15	18790	SLUZBY	\N	\N
363753	1236	1995-11-30	VYDAJ	VYBER	15	24018	SLUZBY	\N	\N
363754	1236	1995-12-31	VYDAJ	VYBER	15	55976	SLUZBY	\N	\N
363755	1236	1996-01-31	VYDAJ	VYBER	15	28194	SLUZBY	\N	\N
363756	1236	1996-02-29	VYDAJ	VYBER	15	21482	SLUZBY	\N	\N
363757	1236	1996-03-31	VYDAJ	VYBER	15	15046	SLUZBY	\N	\N
363758	1236	1996-04-30	VYDAJ	VYBER	15	16693	SLUZBY	\N	\N
363759	1236	1996-05-31	VYDAJ	VYBER	15	15595	SLUZBY	\N	\N
363760	1236	1996-06-30	VYDAJ	VYBER	15	13240	SLUZBY	\N	\N
363761	1236	1996-07-31	VYDAJ	VYBER	15	12979	SLUZBY	\N	\N
363762	1236	1996-08-31	VYDAJ	VYBER	15	51741	SLUZBY	\N	\N
363763	1236	1996-09-30	VYDAJ	VYBER	15	27390	SLUZBY	\N	\N
363764	1236	1996-10-31	VYDAJ	VYBER	15	14460	SLUZBY	\N	\N
363765	1236	1996-11-30	VYDAJ	VYBER	15	16104	SLUZBY	\N	\N
363766	1236	1996-12-31	VYDAJ	VYBER	15	19739	SLUZBY	\N	\N
363767	1236	1997-01-31	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
363768	1236	1997-02-28	VYDAJ	VYBER	15	16187	SLUZBY	\N	\N
363769	1236	1997-03-31	VYDAJ	VYBER	15	19472	SLUZBY	\N	\N
363770	1236	1997-04-30	VYDAJ	VYBER	15	21137	SLUZBY	\N	\N
363771	1236	1997-05-31	VYDAJ	VYBER	15	22059	SLUZBY	\N	\N
363772	1236	1997-06-30	VYDAJ	VYBER	15	14516	SLUZBY	\N	\N
363773	1236	1997-07-31	VYDAJ	VYBER	15	26562	SLUZBY	\N	\N
363774	1236	1997-08-31	VYDAJ	VYBER	15	18535	SLUZBY	\N	\N
363775	1236	1997-09-30	VYDAJ	VYBER	15	20196	SLUZBY	\N	\N
363776	1236	1997-10-31	VYDAJ	VYBER	15	18759	SLUZBY	\N	\N
363777	1236	1997-11-30	VYDAJ	VYBER	15	19322	SLUZBY	\N	\N
363778	1236	1997-12-31	VYDAJ	VYBER	15	18682	SLUZBY	\N	\N
363779	1236	1998-01-31	VYDAJ	VYBER	15	15584	SLUZBY	\N	\N
363780	1236	1998-02-28	VYDAJ	VYBER	15	14630	SLUZBY	\N	\N
363781	1236	1998-03-31	VYDAJ	VYBER	15	17981	SLUZBY	\N	\N
363782	1236	1998-04-30	VYDAJ	VYBER	15	15434	SLUZBY	\N	\N
363783	1236	1998-05-31	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
363784	1236	1998-06-30	VYDAJ	VYBER	15	15930	SLUZBY	\N	\N
363785	1236	1998-07-31	VYDAJ	VYBER	15	17181	SLUZBY	\N	\N
363786	1236	1998-08-31	VYDAJ	VYBER	15	34180	SLUZBY	\N	\N
363787	1236	1998-09-30	VYDAJ	VYBER	15	37381	SLUZBY	\N	\N
363788	1236	1998-10-31	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
363789	1236	1998-11-30	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
363790	1236	1993-06-04	PRIJEM	VKLAD	12600	15206	\N	\N	\N
363791	1236	1993-07-04	PRIJEM	VKLAD	3200	20044	\N	\N	\N
363792	1236	1993-08-03	PRIJEM	VKLAD	1600	23325	\N	\N	\N
363793	1236	1993-09-02	VYDAJ	VYBER	1700	23323	\N	\N	\N
363794	1236	1993-10-02	VYDAJ	VYBER	1200	23813	\N	\N	\N
363795	1236	1993-11-01	VYDAJ	VYBER	300	25203	\N	\N	\N
363796	1236	1993-12-01	PRIJEM	VKLAD	1100	27998	\N	\N	\N
363797	1236	1993-12-31	VYDAJ	VYBER	7400	34595	\N	\N	\N
363798	1236	1994-01-30	VYDAJ	VYBER	2400	25681	\N	\N	\N
363799	1236	1994-03-01	VYDAJ	VYBER	3100	24383	\N	\N	\N
363800	1236	1994-03-31	VYDAJ	VYBER	1500	24579	\N	\N	\N
363801	1236	1994-04-30	PRIJEM	VKLAD	100	26388	\N	\N	\N
363802	1236	1994-05-30	VYDAJ	VYBER	4200	23773	\N	\N	\N
363803	1236	1994-06-29	PRIJEM	VKLAD	5100	21768	\N	\N	\N
363804	1236	1994-07-29	PRIJEM	VKLAD	2800	26241	\N	\N	\N
363805	1236	1994-08-28	VYDAJ	VYBER	3900	24019	\N	\N	\N
363806	1236	1994-09-27	PRIJEM	VKLAD	400	24462	\N	\N	\N
363807	1236	1994-10-27	VYDAJ	VYBER	28500	52018	\N	\N	\N
363808	1236	1994-11-26	VYDAJ	VYBER	15800	37944	\N	\N	\N
363809	1236	1994-12-26	VYDAJ	VYBER	4900	33187	\N	\N	\N
363810	1236	1995-01-25	PRIJEM	VKLAD	3400	26775	\N	\N	\N
363811	1236	1995-02-24	PRIJEM	VKLAD	100	25527	\N	\N	\N
363812	1236	1995-03-26	VYDAJ	VYBER	1100	26118	\N	\N	\N
363813	1236	1995-04-25	VYDAJ	VYBER	3700	24110	\N	\N	\N
363814	1236	1995-05-25	VYDAJ	VYBER	2800	21003	\N	\N	\N
363815	1236	1995-06-24	VYDAJ	VYBER	1900	20783	\N	\N	\N
363816	1236	1995-07-24	VYDAJ	VYBER	1100	20256	\N	\N	\N
363817	1236	1995-08-23	PRIJEM	VKLAD	800	21673	\N	\N	\N
363818	1236	1995-09-22	VYDAJ	VYBER	2000	21345	\N	\N	\N
363819	1236	1995-10-22	VYDAJ	VYBER	4300	18720	\N	\N	\N
363820	1236	1995-11-21	VYDAJ	VYBER	10900	23935	\N	\N	\N
363821	1236	1995-12-21	VYDAJ	VYBER	2500	21918	\N	\N	\N
363822	1236	1996-01-20	VYDAJ	VYBER	16600	29676	\N	\N	\N
363823	1236	1996-02-19	VYDAJ	VYBER	6000	21394	\N	\N	\N
363824	1236	1996-03-20	VYDAJ	VYBER	8100	14982	\N	\N	\N
363825	1236	1996-05-19	VYDAJ	VYBER	2300	15543	\N	\N	\N
363826	1236	1996-06-18	VYDAJ	VYBER	4000	13195	\N	\N	\N
363827	1236	1996-07-18	VYDAJ	VYBER	1900	12940	\N	\N	\N
363828	1236	1996-09-16	VYDAJ	VYBER	26100	27241	\N	\N	\N
363829	1236	1996-10-16	VYDAJ	VYBER	14600	14390	\N	\N	\N
363830	1236	1996-12-15	VYDAJ	VYBER	21500	18066	\N	\N	\N
363831	1236	1997-03-15	VYDAJ	VYBER	18400	17814	\N	\N	\N
363832	1236	1997-06-13	VYDAJ	VYBER	9200	12859	\N	\N	\N
363833	1236	1997-08-12	VYDAJ	VYBER	9700	16862	\N	\N	\N
363834	1236	1997-10-11	VYDAJ	VYBER	3100	17096	\N	\N	\N
363835	1236	1997-11-10	VYDAJ	VYBER	1100	17659	\N	\N	\N
363836	1236	1997-12-10	PRIJEM	VKLAD	500	17022	\N	\N	\N
363837	1236	1998-01-09	VYDAJ	VYBER	600	16232	\N	\N	\N
363838	1236	1998-02-08	VYDAJ	VYBER	2600	12984	\N	\N	\N
363839	1236	1998-03-10	PRIJEM	VKLAD	1700	16330	\N	\N	\N
363840	1236	1998-04-09	VYDAJ	VYBER	2000	15981	\N	\N	\N
363841	1236	1998-05-09	VYDAJ	VYBER	1400	14034	\N	\N	\N
363842	1236	1998-06-08	PRIJEM	VKLAD	2000	17681	\N	\N	\N
363843	1236	1998-07-08	VYDAJ	VYBER	400	15530	\N	\N	\N
363844	1236	1998-08-07	VYDAJ	VYBER	900	16281	\N	\N	\N
363845	1236	1998-09-06	VYDAJ	VYBER	12400	21780	\N	\N	\N
363846	1236	1998-10-06	VYDAJ	VYBER	13300	24081	\N	\N	\N
363847	1236	1998-11-05	VYDAJ	VYBER	10900	14891	\N	\N	\N
363916	1237	1994-03-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
363917	1237	1994-08-27	PRIJEM	VKLAD	48262	64287	\N	\N	\N
363918	1237	1994-12-27	PRIJEM	VKLAD	26432	99376	\N	\N	\N
363920	1237	1994-09-14	PRIJEM	VKLAD	11662	56760	\N	\N	\N
363921	1237	1994-07-01	PRIJEM	VKLAD	22167	81151	\N	\N	\N
363922	1237	1994-11-25	PRIJEM	VKLAD	11521	62506	\N	\N	\N
363923	1237	1994-05-27	PRIJEM	VKLAD	26458	69206	\N	\N	\N
363924	1237	1994-03-14	PRIJEM	VKLAD	10170	11270	\N	\N	\N
363925	1237	1994-07-23	PRIJEM	VKLAD	14582	73271	\N	\N	\N
363926	1237	1994-12-10	PRIJEM	VKLAD	40855	90875	\N	\N	\N
363927	1237	1994-03-18	PRIJEM	VKLAD	43890	55160	\N	\N	\N
363928	1237	1994-05-30	PRIJEM	VKLAD	17865	87071	\N	\N	\N
363929	1237	1994-12-18	PRIJEM	VKLAD	46095	136970	\N	\N	\N
363930	1237	1994-04-05	PRIJEM	VKLAD	29730	98682	\N	\N	\N
363931	1237	1994-11-24	PRIJEM	VKLAD	36096	110585	\N	\N	\N
363932	1237	1994-03-29	PRIJEM	VKLAD	13677	68837	\N	\N	\N
363933	1237	1994-11-11	PRIJEM	VKLAD	17060	74489	\N	\N	\N
363936	1237	1994-12-25	PRIJEM	VKLAD	30674	114444	\N	\N	\N
363937	1237	1994-11-27	PRIJEM	VKLAD	45097	107603	\N	\N	\N
363938	1237	1994-07-05	PRIJEM	VKLAD	9238	90389	\N	\N	\N
363940	1237	1994-10-31	PRIJEM	VKLAD	43566	111299	\N	\N	\N
363941	1237	1994-10-10	PRIJEM	VKLAD	37591	67733	\N	\N	\N
363942	1237	1994-06-10	PRIJEM	VKLAD	44914	132234	\N	\N	\N
363943	1237	1994-07-01	PRIJEM	VKLAD	8174	58984	\N	\N	\N
363944	1237	1995-07-15	PRIJEM	VKLAD	21232	55994	\N	\N	\N
363945	1237	1995-10-12	PRIJEM	VKLAD	34595	98834	\N	\N	\N
363946	1237	1995-04-23	PRIJEM	VKLAD	33802	51366	\N	\N	\N
363947	1237	1995-06-04	PRIJEM	VKLAD	39643	82310	\N	\N	\N
363948	1237	1995-06-06	PRIJEM	VKLAD	6486	88796	\N	\N	\N
363949	1237	1995-08-30	PRIJEM	VKLAD	39041	98926	\N	\N	\N
363950	1237	1995-12-13	PRIJEM	VKLAD	48195	105437	\N	\N	\N
363951	1237	1995-08-05	PRIJEM	VKLAD	28604	84785	\N	\N	\N
363952	1237	1995-04-29	PRIJEM	VKLAD	36907	80590	\N	\N	\N
363953	1237	1995-11-13	PRIJEM	VKLAD	40757	109326	\N	\N	\N
363954	1237	1995-01-12	PRIJEM	VKLAD	45056	108951	\N	\N	\N
363955	1237	1995-06-17	PRIJEM	VKLAD	13045	73341	\N	\N	\N
363956	1237	1995-06-25	PRIJEM	VKLAD	11176	108178	\N	\N	\N
363957	1237	1995-09-07	PRIJEM	VKLAD	27901	96353	\N	\N	\N
363958	1237	1995-02-25	PRIJEM	VKLAD	7793	8928	\N	\N	\N
363959	1237	1995-06-20	PRIJEM	VKLAD	23661	97002	\N	\N	\N
363960	1237	1995-12-22	PRIJEM	VKLAD	25558	121009	\N	\N	\N
363961	1237	1995-11-08	PRIJEM	VKLAD	11832	68569	\N	\N	\N
363962	1237	1995-12-29	PRIJEM	VKLAD	38646	77833	\N	\N	\N
363963	1237	1995-10-12	PRIJEM	VKLAD	35602	134436	\N	\N	\N
363964	1237	1996-12-27	PRIJEM	VKLAD	15201	106450	\N	\N	\N
363965	1237	1996-05-11	PRIJEM	VKLAD	8544	73871	\N	\N	\N
363966	1237	1996-09-08	PRIJEM	VKLAD	42164	99363	\N	\N	\N
363967	1237	1996-04-12	PRIJEM	VKLAD	38982	110394	\N	\N	\N
363968	1237	1996-10-23	PRIJEM	VKLAD	25995	106066	\N	\N	\N
363969	1237	1996-12-13	PRIJEM	VKLAD	27512	120149	\N	\N	\N
363970	1237	1996-12-01	PRIJEM	VKLAD	49268	92637	\N	\N	\N
363971	1237	1996-07-06	PRIJEM	VKLAD	25446	101971	\N	\N	\N
363972	1237	1996-05-30	PRIJEM	VKLAD	16890	84294	\N	\N	\N
363973	1237	1996-09-18	PRIJEM	VKLAD	15052	104898	\N	\N	\N
363974	1237	1996-02-11	PRIJEM	VKLAD	22423	67468	\N	\N	\N
363975	1237	1996-02-07	PRIJEM	VKLAD	11518	19844	\N	\N	\N
363976	1237	1996-02-08	PRIJEM	VKLAD	5664	45045	\N	\N	\N
363977	1237	1996-06-27	PRIJEM	VKLAD	41146	105571	\N	\N	\N
363978	1237	1996-10-14	PRIJEM	VKLAD	6474	80071	\N	\N	\N
363979	1237	1996-08-21	PRIJEM	VKLAD	40813	72617	\N	\N	\N
363980	1237	1996-03-22	PRIJEM	VKLAD	24856	70610	\N	\N	\N
363981	1237	1996-03-30	PRIJEM	VKLAD	38668	94878	\N	\N	\N
363982	1237	1996-09-17	PRIJEM	VKLAD	27283	126646	\N	\N	\N
363983	1237	1996-02-08	PRIJEM	VKLAD	31089	39381	\N	\N	\N
363984	1237	1997-01-08	PRIJEM	VKLAD	32695	88228	\N	\N	\N
363985	1237	1997-06-05	PRIJEM	VKLAD	31914	85759	\N	\N	\N
363986	1237	1998-05-16	PRIJEM	VKLAD	21741	81160	\N	\N	\N
363987	1237	1998-02-20	PRIJEM	VKLAD	43493	124015	\N	\N	\N
363988	1237	1998-04-22	PRIJEM	VKLAD	28944	117759	\N	\N	\N
363989	1237	1998-10-02	PRIJEM	VKLAD	7701	76878	\N	\N	\N
363990	1237	1998-09-15	PRIJEM	VKLAD	16308	89062	\N	\N	\N
363991	1237	1998-03-05	PRIJEM	VKLAD	24348	98707	\N	\N	\N
363992	1237	1998-10-07	PRIJEM	VKLAD	34397	111318	\N	\N	\N
363993	1237	1998-04-01	PRIJEM	VKLAD	36612	123526	\N	\N	\N
363994	1237	1998-04-07	PRIJEM	VKLAD	49968	148694	\N	\N	\N
363995	1237	1998-02-10	PRIJEM	VKLAD	43444	80522	\N	\N	\N
363996	1237	1998-07-08	PRIJEM	VKLAD	36679	67010	\N	\N	\N
363997	1237	1998-10-03	PRIJEM	VKLAD	15885	92763	\N	\N	\N
363998	1237	1994-08-23	VYBER	VYBER	18964	16025	\N	\N	\N
363999	1237	1994-09-28	VYBER	VYBER	22245	34515	\N	\N	\N
364001	1237	1994-08-22	VYBER	VYBER	10063	34989	\N	\N	\N
364002	1237	1994-06-14	VYBER	VYBER	19082	50552	\N	\N	\N
364004	1237	1995-01-06	VYBER	VYBER	2105	97695	\N	\N	\N
364005	1237	1995-06-29	VYBER	VYBER	12076	39102	\N	\N	\N
364007	1237	1995-12-24	VYBER	VYBER	23222	39187	\N	\N	\N
364008	1237	1995-04-24	VYBER	VYBER	7683	43683	\N	\N	\N
364010	1237	1995-12-21	VYBER	VYBER	9986	95451	\N	\N	\N
364014	1237	1996-02-07	VYBER	VYBER	11552	8292	\N	\N	\N
364015	1237	1996-08-02	VYBER	VYBER	5607	44766	\N	\N	\N
364016	1237	1996-08-02	VYBER	VYBER	18115	50373	\N	\N	\N
364017	1237	1996-11-02	VYBER	VYBER	23354	52225	\N	\N	\N
364018	1237	1996-11-17	VYBER	VYBER	12986	39239	\N	\N	\N
364019	1237	1996-07-08	VYBER	VYBER	11525	90446	\N	\N	\N
364020	1237	1996-03-09	VYBER	VYBER	8515	45754	\N	\N	\N
364021	1237	1996-01-24	VYBER	VYBER	15140	24094	\N	\N	\N
364023	1237	1996-05-26	VYBER	VYBER	6467	67404	\N	\N	\N
364024	1237	1996-08-06	VYBER	VYBER	12962	31804	\N	\N	\N
364025	1237	1996-02-03	VYBER	VYBER	21943	8326	\N	\N	\N
364026	1237	1996-05-10	VYBER	VYBER	13988	65327	\N	\N	\N
364027	1237	1997-04-25	VYBER	VYBER	18517	34035	\N	\N	\N
364028	1237	1997-02-13	VYBER	VYBER	7008	55299	\N	\N	\N
364029	1237	1998-12-22	VYBER	VYBER	6480	68880	\N	\N	\N
364030	1237	1998-04-16	VYBER	VYBER	22579	101515	\N	\N	\N
364031	1237	1998-05-24	VYBER	VYBER	21455	56905	\N	\N	\N
364032	1237	1998-07-06	VYBER	VYBER	19724	30331	\N	\N	\N
364033	1237	1998-06-20	VYBER	VYBER	22099	56739	\N	\N	\N
364034	1237	1998-10-03	VYBER	VYBER	9542	83221	\N	\N	\N
364035	1237	1998-12-08	VYBER	VYBER	16630	66260	\N	\N	\N
364036	1237	1994-12-02	VYDAJ	VYBER	3600	77320	\N	\N	\N
364037	1237	1995-12-03	VYDAJ	VYBER	3600	57242	\N	\N	\N
364038	1237	1996-12-19	VYDAJ	VYBER	3300	91249	\N	\N	\N
364039	1237	1997-12-23	VYDAJ	VYBER	6900	55550	\N	\N	\N
364040	1237	1998-12-05	VYDAJ	VYBER	5400	82890	\N	\N	\N
364047	1237	1995-01-26	VYDAJ	VYBER	6900	12151	\N	\N	\N
364048	1237	1995-01-25	VYDAJ	VYBER	6000	19051	\N	\N	\N
364049	1237	1995-01-22	VYDAJ	VYBER	5100	32851	\N	\N	\N
364050	1237	1995-01-13	VYDAJ	VYBER	6600	37951	\N	\N	\N
364051	1237	1995-01-23	VYDAJ	VYBER	3900	25051	\N	\N	\N
364052	1237	1995-01-22	VYDAJ	VYBER	3900	28951	\N	\N	\N
364053	1237	1996-01-11	VYDAJ	VYBER	2100	50334	\N	\N	\N
364054	1237	1996-01-20	VYDAJ	VYBER	1500	39234	\N	\N	\N
364055	1237	1996-01-07	VYDAJ	VYBER	6000	55734	\N	\N	\N
364056	1237	1996-01-08	VYDAJ	VYBER	3300	52434	\N	\N	\N
364057	1237	1996-01-13	VYDAJ	VYBER	8100	40734	\N	\N	\N
364058	1237	1996-01-11	VYDAJ	VYBER	1500	48834	\N	\N	\N
364059	1237	1997-01-04	VYDAJ	VYBER	7800	58833	\N	\N	\N
364060	1237	1997-01-03	VYDAJ	VYBER	4500	66633	\N	\N	\N
364061	1237	1997-01-05	VYDAJ	VYBER	3300	55533	\N	\N	\N
364062	1237	1997-01-02	VYDAJ	VYBER	6900	71133	\N	\N	\N
364063	1237	1997-01-16	VYDAJ	VYBER	7500	72928	\N	\N	\N
364064	1237	1997-01-10	VYDAJ	VYBER	7800	80428	\N	\N	\N
364065	1237	1998-01-07	VYDAJ	VYBER	5400	50408	\N	\N	\N
364066	1237	1998-01-30	VYDAJ	VYBER	5400	36908	\N	\N	\N
364067	1237	1998-01-10	VYDAJ	VYBER	4200	46208	\N	\N	\N
364068	1237	1998-01-27	VYDAJ	VYBER	4800	42308	\N	\N	\N
364069	1237	1998-01-11	VYDAJ	VYBER	3300	42908	\N	\N	\N
364070	1237	1998-01-15	VYDAJ	VYBER	7800	35108	\N	\N	\N
364071	1237	1994-11-07	VYDAJ	VYBER	3300	87629	\N	\N	\N
364073	1237	1994-08-12	VYDAJ	VYBER	3000	45052	\N	\N	\N
364076	1237	1995-09-29	VYDAJ	VYBER	8400	87953	\N	\N	\N
364077	1237	1995-02-18	VYDAJ	VYBER	13800	3835	\N	\N	\N
364078	1237	1995-03-15	VYDAJ	VYBER	14100	4851	\N	\N	\N
364079	1237	1995-02-20	VYDAJ	VYBER	2700	1135	\N	\N	\N
364080	1237	1995-06-01	VYDAJ	VYBER	11700	42667	\N	\N	\N
364081	1237	1995-12-01	VYDAJ	VYBER	10200	75342	\N	\N	\N
364082	1237	1996-03-28	VYDAJ	VYBER	14400	56210	\N	\N	\N
364083	1237	1996-12-14	VYDAJ	VYBER	8400	94549	\N	\N	\N
364084	1237	1997-12-04	VYDAJ	VYBER	13800	57550	\N	\N	\N
364085	1237	1997-04-05	VYDAJ	VYBER	8400	52552	\N	\N	\N
364086	1237	1997-11-21	VYDAJ	VYBER	3300	68072	\N	\N	\N
364087	1237	1998-09-10	VYDAJ	VYBER	4500	72754	\N	\N	\N
364088	1237	1998-06-20	VYDAJ	VYBER	6900	49839	\N	\N	\N
364089	1237	1998-11-30	VYDAJ	VYBER	8700	88290	\N	\N	\N
364090	1237	1998-10-03	VYDAJ	VYBER	6300	76921	\N	\N	\N
364091	1237	1998-09-24	VYDAJ	VYBER	9900	77562	\N	\N	\N
364092	1237	1998-06-05	VYDAJ	VYBER	9000	48138	\N	\N	\N
364093	1237	1998-01-20	VYDAJ	VYBER	9900	25208	\N	\N	\N
364094	1237	1998-10-01	VYDAJ	VYBER	8700	69177	\N	\N	\N
364095	1237	1998-12-30	VYDAJ	VYBER	9300	59580	\N	\N	\N
364101	1237	1994-05-31	VYDAJ	VYBER	15	87320	SLUZBY	\N	\N
364102	1237	1994-06-30	VYDAJ	VYBER	15	50810	SLUZBY	\N	\N
364103	1237	1994-07-31	VYDAJ	VYBER	15	73552	SLUZBY	\N	\N
364104	1237	1994-08-31	VYDAJ	VYBER	15	64498	SLUZBY	\N	\N
364105	1237	1994-09-30	VYDAJ	VYBER	15	34742	SLUZBY	\N	\N
364106	1237	1994-10-31	VYDAJ	VYBER	15	111529	SLUZBY	\N	\N
364107	1237	1994-11-30	VYDAJ	VYBER	15	107920	SLUZBY	\N	\N
364108	1237	1994-12-31	VYDAJ	VYBER	15	99800	SLUZBY	\N	\N
364109	1237	1995-01-31	VYDAJ	VYBER	15	12335	SLUZBY	\N	\N
364110	1237	1995-02-28	VYDAJ	VYBER	15	8951	SLUZBY	\N	\N
364111	1237	1995-03-31	VYDAJ	VYBER	15	4864	SLUZBY	\N	\N
364112	1237	1995-04-30	VYDAJ	VYBER	15	80650	SLUZBY	\N	\N
364113	1237	1995-05-31	VYDAJ	VYBER	15	54367	SLUZBY	\N	\N
364114	1237	1995-06-30	VYDAJ	VYBER	15	39362	SLUZBY	\N	\N
364115	1237	1995-07-31	VYDAJ	VYBER	15	56181	SLUZBY	\N	\N
364116	1237	1995-08-31	VYDAJ	VYBER	15	99252	SLUZBY	\N	\N
364117	1237	1995-09-30	VYDAJ	VYBER	15	88339	SLUZBY	\N	\N
364118	1237	1995-10-31	VYDAJ	VYBER	15	73037	SLUZBY	\N	\N
364119	1237	1995-11-30	VYDAJ	VYBER	15	85542	SLUZBY	\N	\N
364120	1237	1995-12-31	VYDAJ	VYBER	15	78134	SLUZBY	\N	\N
364121	1237	1996-01-31	VYDAJ	VYBER	15	24269	SLUZBY	\N	\N
364122	1237	1996-02-29	VYDAJ	VYBER	15	67669	SLUZBY	\N	\N
364123	1237	1996-03-31	VYDAJ	VYBER	15	95112	SLUZBY	\N	\N
364124	1237	1996-04-30	VYDAJ	VYBER	15	110815	SLUZBY	\N	\N
364125	1237	1996-05-31	VYDAJ	VYBER	15	64425	SLUZBY	\N	\N
364126	1237	1996-06-30	VYDAJ	VYBER	15	76525	SLUZBY	\N	\N
364127	1237	1996-07-31	VYDAJ	VYBER	15	68488	SLUZBY	\N	\N
364128	1237	1996-08-31	VYDAJ	VYBER	15	57199	SLUZBY	\N	\N
364129	1237	1996-09-30	VYDAJ	VYBER	15	73597	SLUZBY	\N	\N
364130	1237	1996-10-31	VYDAJ	VYBER	15	75579	SLUZBY	\N	\N
364131	1237	1996-11-30	VYDAJ	VYBER	15	43369	SLUZBY	\N	\N
364132	1237	1996-12-31	VYDAJ	VYBER	15	78033	SLUZBY	\N	\N
364133	1237	1997-01-31	VYDAJ	VYBER	15	62307	SLUZBY	\N	\N
364134	1237	1997-02-28	VYDAJ	VYBER	15	55438	SLUZBY	\N	\N
364135	1237	1997-03-31	VYDAJ	VYBER	15	60952	SLUZBY	\N	\N
364136	1237	1997-04-30	VYDAJ	VYBER	15	48759	SLUZBY	\N	\N
364137	1237	1997-05-31	VYDAJ	VYBER	15	53845	SLUZBY	\N	\N
364138	1237	1997-06-30	VYDAJ	VYBER	15	73282	SLUZBY	\N	\N
364139	1237	1997-07-31	VYDAJ	VYBER	15	67968	SLUZBY	\N	\N
364140	1237	1997-08-31	VYDAJ	VYBER	15	66733	SLUZBY	\N	\N
364141	1237	1997-09-30	VYDAJ	VYBER	15	71293	SLUZBY	\N	\N
364142	1237	1997-10-31	VYDAJ	VYBER	15	71372	SLUZBY	\N	\N
364143	1237	1997-11-30	VYDAJ	VYBER	15	71350	SLUZBY	\N	\N
364144	1237	1997-12-31	VYDAJ	VYBER	15	55808	SLUZBY	\N	\N
364145	1237	1998-01-31	VYDAJ	VYBER	15	37078	SLUZBY	\N	\N
364146	1237	1998-02-28	VYDAJ	VYBER	15	74359	SLUZBY	\N	\N
364147	1237	1998-03-31	VYDAJ	VYBER	15	86914	SLUZBY	\N	\N
364148	1237	1998-04-30	VYDAJ	VYBER	15	59419	SLUZBY	\N	\N
364149	1237	1998-05-31	VYDAJ	VYBER	15	57138	SLUZBY	\N	\N
364150	1237	1998-06-30	VYDAJ	VYBER	15	50055	SLUZBY	\N	\N
364151	1237	1998-07-31	VYDAJ	VYBER	15	74364	SLUZBY	\N	\N
364152	1237	1998-08-31	VYDAJ	VYBER	15	77254	SLUZBY	\N	\N
364153	1237	1998-09-30	VYDAJ	VYBER	15	77877	SLUZBY	\N	\N
364154	1237	1998-10-31	VYDAJ	VYBER	15	96909	SLUZBY	\N	\N
364155	1237	1998-11-30	VYDAJ	VYBER	15	96990	SLUZBY	\N	\N
364156	1237	1994-04-12	VYDAJ	VYBER	38000	60682	\N	\N	\N
364157	1237	1994-05-12	VYDAJ	VYBER	18200	42748	\N	\N	\N
364158	1237	1994-06-10	VYDAJ	VYBER	20100	112134	\N	\N	\N
364159	1237	1994-06-11	VYDAJ	VYBER	42500	69634	\N	\N	\N
364160	1237	1994-07-11	VYDAJ	VYBER	31700	58689	\N	\N	\N
364161	1237	1994-08-10	VYDAJ	VYBER	25500	48052	\N	\N	\N
364162	1237	1994-09-09	VYDAJ	VYBER	19400	45098	\N	\N	\N
364163	1237	1994-10-09	VYDAJ	VYBER	4600	30142	\N	\N	\N
364164	1237	1994-10-31	VYDAJ	VYBER	20600	90929	\N	\N	\N
364165	1237	1994-11-08	VYDAJ	VYBER	30200	57429	\N	\N	\N
364166	1237	1994-11-24	VYDAJ	VYBER	59600	50985	\N	\N	\N
364167	1237	1994-11-30	VYDAJ	VYBER	27000	80920	\N	\N	\N
364168	1237	1994-12-08	VYDAJ	VYBER	27300	50020	\N	\N	\N
364169	1237	1994-12-18	VYDAJ	VYBER	53200	83770	\N	\N	\N
364170	1237	1994-12-25	VYDAJ	VYBER	41500	72944	\N	\N	\N
364171	1237	1995-01-07	VYDAJ	VYBER	33800	63895	\N	\N	\N
364172	1237	1995-01-12	VYDAJ	VYBER	64400	44551	\N	\N	\N
364173	1237	1995-02-06	PRIJEM	VKLAD	5300	17635	\N	\N	\N
364174	1237	1995-03-08	PRIJEM	VKLAD	10000	18951	\N	\N	\N
364175	1237	1995-04-07	PRIJEM	VKLAD	12700	17564	\N	\N	\N
364176	1237	1995-05-07	VYDAJ	VYBER	26600	54050	\N	\N	\N
364177	1237	1995-06-06	VYDAJ	VYBER	28500	60296	\N	\N	\N
364178	1237	1995-06-25	VYDAJ	VYBER	57000	51178	\N	\N	\N
364179	1237	1995-07-06	VYDAJ	VYBER	4600	34762	\N	\N	\N
364180	1237	1995-08-05	VYDAJ	VYBER	24900	59885	\N	\N	\N
364181	1237	1995-09-04	VYDAJ	VYBER	30800	68452	\N	\N	\N
364182	1237	1995-10-04	VYDAJ	VYBER	24100	64239	\N	\N	\N
364183	1237	1995-10-12	VYDAJ	VYBER	26400	108036	\N	\N	\N
364184	1237	1995-10-31	VYDAJ	VYBER	35400	73052	\N	\N	\N
364185	1237	1995-11-03	VYDAJ	VYBER	16300	56737	\N	\N	\N
364186	1237	1995-11-13	VYDAJ	VYBER	24100	85226	\N	\N	\N
364187	1237	1995-12-03	VYDAJ	VYBER	14500	60842	\N	\N	\N
364188	1237	1995-12-22	VYDAJ	VYBER	58600	62409	\N	\N	\N
364189	1237	1996-01-02	VYDAJ	VYBER	16400	61734	\N	\N	\N
364190	1237	1996-02-01	PRIJEM	VKLAD	6000	30269	\N	\N	\N
364191	1237	1996-03-02	VYDAJ	VYBER	13400	54269	\N	\N	\N
364192	1237	1996-04-01	VYDAJ	VYBER	23700	71412	\N	\N	\N
364193	1237	1996-05-01	VYDAJ	VYBER	31500	79315	\N	\N	\N
364194	1237	1996-05-31	VYDAJ	VYBER	20200	64440	\N	\N	\N
364195	1237	1996-06-30	VYDAJ	VYBER	29300	76540	\N	\N	\N
364196	1237	1996-07-30	VYDAJ	VYBER	22300	68146	\N	\N	\N
364197	1237	1996-08-29	VYDAJ	VYBER	15600	57017	\N	\N	\N
364198	1237	1996-09-17	VYDAJ	VYBER	36800	89846	\N	\N	\N
364199	1237	1996-09-28	VYDAJ	VYBER	31600	73298	\N	\N	\N
364200	1237	1996-10-28	VYDAJ	VYBER	30800	75266	\N	\N	\N
364201	1237	1996-11-27	PRIJEM	VKLAD	3900	43139	\N	\N	\N
364202	1237	1996-12-13	VYDAJ	VYBER	17200	102949	\N	\N	\N
364203	1237	1996-12-27	VYDAJ	VYBER	28700	77750	\N	\N	\N
364204	1237	1997-01-26	VYDAJ	VYBER	10900	62028	\N	\N	\N
364205	1237	1997-02-25	VYDAJ	VYBER	100	55199	\N	\N	\N
364206	1237	1997-03-27	PRIJEM	VKLAD	5300	60738	\N	\N	\N
364207	1237	1997-04-26	PRIJEM	VKLAD	14500	48535	\N	\N	\N
364208	1237	1997-05-26	PRIJEM	VKLAD	4900	53659	\N	\N	\N
364209	1237	1997-06-25	VYDAJ	VYBER	12700	73059	\N	\N	\N
364210	1237	1997-07-25	VYDAJ	VYBER	5600	67682	\N	\N	\N
364211	1237	1997-08-24	VYDAJ	VYBER	1500	66468	\N	\N	\N
364212	1237	1997-09-23	PRIJEM	VKLAD	4300	71033	\N	\N	\N
364213	1237	1997-10-23	VYDAJ	VYBER	200	71093	\N	\N	\N
364214	1237	1997-11-22	PRIJEM	VKLAD	3000	71072	\N	\N	\N
364215	1237	1997-12-22	PRIJEM	VKLAD	4900	62450	\N	\N	\N
364216	1237	1998-01-21	PRIJEM	VKLAD	21900	47108	\N	\N	\N
364217	1237	1998-02-20	VYDAJ	VYBER	54700	74115	\N	\N	\N
364218	1237	1998-02-20	PRIJEM	VKLAD	4800	128815	\N	\N	\N
364219	1237	1998-03-22	VYDAJ	VYBER	12100	86607	\N	\N	\N
364220	1237	1998-04-01	VYDAJ	VYBER	24800	98726	\N	\N	\N
364221	1237	1998-04-07	VYDAJ	VYBER	24600	124094	\N	\N	\N
364222	1237	1998-04-21	VYDAJ	VYBER	12700	88815	\N	\N	\N
364223	1237	1998-04-22	VYDAJ	VYBER	58800	58959	\N	\N	\N
364224	1237	1998-05-21	VYDAJ	VYBER KARTOU	2800	78360	\N	\N	0
364225	1237	1998-06-20	PRIJEM	VKLAD	30700	78838	\N	\N	\N
364226	1237	1998-07-20	PRIJEM	VKLAD	7100	74110	\N	\N	\N
364227	1237	1998-08-19	PRIJEM	VKLAD	2600	76964	\N	\N	\N
364228	1237	1998-09-18	VYDAJ	VYBER KARTOU	1600	87462	\N	\N	0
364229	1237	1998-10-18	VYDAJ	VYBER	14800	96518	\N	\N	\N
364230	1237	1998-11-17	VYDAJ	VYBER KARTOU	300	96609	\N	\N	0
364231	1237	1998-12-17	PRIJEM	VKLAD	9100	75360	\N	\N	\N
364291	1238	1995-10-29	PRIJEM	VKLAD	600	600	\N	\N	\N
364302	1238	1995-11-11	PRIJEM	PREVOD Z UCTU	6126	6726	DUCHOD	GH	9374910
364303	1238	1995-12-11	PRIJEM	PREVOD Z UCTU	6126	12852	DUCHOD	GH	9374910
364304	1238	1996-01-11	PRIJEM	PREVOD Z UCTU	6126	18978	DUCHOD	GH	9374910
364305	1238	1996-02-11	PRIJEM	PREVOD Z UCTU	6126	25104	DUCHOD	GH	9374910
364306	1238	1996-03-11	PRIJEM	PREVOD Z UCTU	6126	31230	DUCHOD	GH	9374910
364307	1238	1996-04-11	PRIJEM	PREVOD Z UCTU	6126	25503	DUCHOD	GH	9374910
364308	1238	1996-05-11	PRIJEM	PREVOD Z UCTU	6126	28859	DUCHOD	GH	9374910
364309	1238	1996-06-11	PRIJEM	PREVOD Z UCTU	6126	32630	DUCHOD	GH	9374910
364310	1238	1996-07-11	PRIJEM	PREVOD Z UCTU	6126	29053	DUCHOD	GH	9374910
364311	1238	1996-08-11	PRIJEM	PREVOD Z UCTU	6126	31723	DUCHOD	GH	9374910
364312	1238	1996-09-11	PRIJEM	PREVOD Z UCTU	6126	30100	DUCHOD	GH	9374910
364313	1238	1996-10-11	PRIJEM	PREVOD Z UCTU	6126	31873	DUCHOD	GH	9374910
364314	1238	1996-11-11	PRIJEM	PREVOD Z UCTU	6126	29548	DUCHOD	GH	9374910
364315	1238	1996-12-11	PRIJEM	PREVOD Z UCTU	6126	29017	DUCHOD	GH	9374910
364316	1238	1997-01-11	PRIJEM	PREVOD Z UCTU	6126	23665	DUCHOD	GH	9374910
364317	1238	1997-02-11	PRIJEM	PREVOD Z UCTU	6126	19240	DUCHOD	GH	9374910
364318	1238	1997-03-11	PRIJEM	PREVOD Z UCTU	6126	23169	DUCHOD	GH	9374910
364319	1238	1997-04-11	PRIJEM	PREVOD Z UCTU	6126	27116	DUCHOD	GH	9374910
364320	1238	1997-05-11	PRIJEM	PREVOD Z UCTU	6126	30578	DUCHOD	GH	9374910
364321	1238	1997-06-11	PRIJEM	PREVOD Z UCTU	6126	33154	DUCHOD	GH	9374910
364322	1238	1997-07-11	PRIJEM	PREVOD Z UCTU	6126	24660	DUCHOD	GH	9374910
364323	1238	1997-08-11	PRIJEM	PREVOD Z UCTU	6126	28613	DUCHOD	GH	9374910
364324	1238	1997-09-11	PRIJEM	PREVOD Z UCTU	6126	30980	DUCHOD	GH	9374910
364325	1238	1997-10-11	PRIJEM	PREVOD Z UCTU	6126	31191	DUCHOD	GH	9374910
364326	1238	1997-11-11	PRIJEM	PREVOD Z UCTU	6126	31568	DUCHOD	GH	9374910
364327	1238	1997-12-11	PRIJEM	PREVOD Z UCTU	6126	34849	DUCHOD	GH	9374910
364328	1238	1998-01-11	PRIJEM	PREVOD Z UCTU	6126	34416	DUCHOD	GH	9374910
364329	1238	1998-02-11	PRIJEM	PREVOD Z UCTU	6126	29069	DUCHOD	GH	9374910
364330	1238	1998-03-11	PRIJEM	PREVOD Z UCTU	6126	33039	DUCHOD	GH	9374910
364331	1238	1998-04-11	PRIJEM	PREVOD Z UCTU	6126	30785	DUCHOD	GH	9374910
364332	1238	1998-05-11	PRIJEM	PREVOD Z UCTU	6126	34766	DUCHOD	GH	9374910
364333	1238	1998-06-11	PRIJEM	PREVOD Z UCTU	6126	23574	DUCHOD	GH	9374910
364334	1238	1998-07-11	PRIJEM	PREVOD Z UCTU	6126	27530	DUCHOD	GH	9374910
364335	1238	1998-08-11	PRIJEM	PREVOD Z UCTU	6126	31494	DUCHOD	GH	9374910
364336	1238	1998-09-11	PRIJEM	PREVOD Z UCTU	6126	35475	DUCHOD	GH	9374910
364337	1238	1998-10-11	PRIJEM	PREVOD Z UCTU	6126	39472	DUCHOD	GH	9374910
364338	1238	1998-11-11	PRIJEM	PREVOD Z UCTU	6126	41521	DUCHOD	GH	9374910
364339	1238	1998-12-11	PRIJEM	PREVOD Z UCTU	6126	42586	DUCHOD	GH	9374910
364355	1238	1996-04-07	VYDAJ	PREVOD NA UCET	2256	19377	SIPO	IJ	28000951
364356	1238	1996-05-07	VYDAJ	PREVOD NA UCET	2256	22733	SIPO	IJ	28000951
364357	1238	1996-06-07	VYDAJ	PREVOD NA UCET	2256	26504	SIPO	IJ	28000951
364358	1238	1996-07-07	VYDAJ	PREVOD NA UCET	2256	22927	SIPO	IJ	28000951
364359	1238	1996-08-07	VYDAJ	PREVOD NA UCET	2256	25597	SIPO	IJ	28000951
364360	1238	1996-09-07	VYDAJ	PREVOD NA UCET	2256	23974	SIPO	IJ	28000951
364361	1238	1996-10-07	VYDAJ	PREVOD NA UCET	2256	25747	SIPO	IJ	28000951
364362	1238	1996-11-07	VYDAJ	PREVOD NA UCET	2256	23422	SIPO	IJ	28000951
364363	1238	1996-12-07	VYDAJ	PREVOD NA UCET	2256	22891	SIPO	IJ	28000951
364364	1238	1997-01-07	VYDAJ	PREVOD NA UCET	2256	19779	SIPO	IJ	28000951
364365	1238	1997-02-07	VYDAJ	PREVOD NA UCET	2256	14154	SIPO	IJ	28000951
364366	1238	1997-03-07	VYDAJ	PREVOD NA UCET	2256	17043	SIPO	IJ	28000951
364367	1238	1997-04-07	VYDAJ	PREVOD NA UCET	2256	20990	SIPO	IJ	28000951
364368	1238	1997-05-07	VYDAJ	PREVOD NA UCET	2256	24452	SIPO	IJ	28000951
364369	1238	1997-06-07	VYDAJ	PREVOD NA UCET	2256	27028	SIPO	IJ	28000951
364370	1238	1997-07-07	VYDAJ	PREVOD NA UCET	2256	18534	SIPO	IJ	28000951
364371	1238	1997-08-07	VYDAJ	PREVOD NA UCET	2256	22487	SIPO	IJ	28000951
364372	1238	1997-09-07	VYDAJ	PREVOD NA UCET	2256	24854	SIPO	IJ	28000951
364373	1238	1997-10-07	VYDAJ	PREVOD NA UCET	2256	25065	SIPO	IJ	28000951
364374	1238	1997-11-07	VYDAJ	PREVOD NA UCET	2256	25442	SIPO	IJ	28000951
364375	1238	1997-12-07	VYDAJ	PREVOD NA UCET	2256	28723	SIPO	IJ	28000951
364376	1238	1998-01-07	VYDAJ	PREVOD NA UCET	2256	28290	SIPO	IJ	28000951
364377	1238	1998-02-07	VYDAJ	PREVOD NA UCET	2256	22943	SIPO	IJ	28000951
364378	1238	1998-03-07	VYDAJ	PREVOD NA UCET	2256	26913	SIPO	IJ	28000951
364379	1238	1998-04-07	VYDAJ	PREVOD NA UCET	2256	24659	SIPO	IJ	28000951
364380	1238	1998-05-07	VYDAJ	PREVOD NA UCET	2256	28640	SIPO	IJ	28000951
364381	1238	1998-06-07	VYDAJ	PREVOD NA UCET	2256	17448	SIPO	IJ	28000951
364382	1238	1998-07-07	VYDAJ	PREVOD NA UCET	2256	21404	SIPO	IJ	28000951
364383	1238	1998-08-07	VYDAJ	PREVOD NA UCET	2256	25368	SIPO	IJ	28000951
364384	1238	1998-09-07	VYDAJ	PREVOD NA UCET	2256	29349	SIPO	IJ	28000951
364385	1238	1998-10-07	VYDAJ	PREVOD NA UCET	2256	33346	SIPO	IJ	28000951
364386	1238	1998-11-07	VYDAJ	PREVOD NA UCET	2256	35395	SIPO	IJ	28000951
364387	1238	1998-12-07	VYDAJ	PREVOD NA UCET	2256	36460	SIPO	IJ	28000951
364389	1238	1996-06-19	VYDAJ	VYBER	7450	25180	\N	\N	\N
364390	1238	1997-06-13	VYDAJ	VYBER	12450	20704	\N	\N	\N
364391	1238	1998-06-06	VYDAJ	VYBER	11500	19704	\N	\N	\N
364394	1238	1997-01-27	VYDAJ	VYBER	4450	17535	\N	\N	\N
364395	1238	1998-01-26	VYDAJ	VYBER	850	30846	\N	\N	\N
364397	1238	1996-12-04	VYDAJ	VYBER	1300	25147	\N	\N	\N
364398	1238	1997-12-06	VYDAJ	VYBER	700	30979	\N	\N	\N
364399	1238	1998-12-06	VYDAJ	VYBER	250	38716	\N	\N	\N
364412	1238	1997-01-09	VYDAJ	VYBER	2240	17539	\N	\N	\N
364413	1238	1997-01-30	VYDAJ	VYBER	1200	16335	\N	\N	\N
364414	1238	1997-01-04	VYDAJ	VYBER	2320	23155	\N	\N	\N
364415	1238	1997-01-02	VYDAJ	VYBER	1440	25475	\N	\N	\N
364416	1238	1997-01-15	VYDAJ	VYBER	1680	21985	\N	\N	\N
364417	1238	1997-01-06	VYDAJ	VYBER	1120	22035	\N	\N	\N
364418	1238	1998-01-29	VYDAJ	VYBER	2240	25086	\N	\N	\N
364419	1238	1998-01-06	VYDAJ	VYBER	720	30546	\N	\N	\N
364420	1238	1998-01-27	VYDAJ	VYBER	2000	27326	\N	\N	\N
364421	1238	1998-01-19	VYDAJ	VYBER	560	31696	\N	\N	\N
364422	1238	1998-01-14	VYDAJ	VYBER	960	33456	\N	\N	\N
364423	1238	1998-01-26	VYDAJ	VYBER	1520	29326	\N	\N	\N
364433	1238	1996-04-04	VYDAJ	VYBER	2480	21633	\N	\N	\N
364434	1238	1996-03-30	VYDAJ	VYBER	2720	24110	\N	\N	\N
364435	1238	1997-02-07	VYDAJ	VYBER	1040	13114	\N	\N	\N
364436	1238	1997-10-25	VYDAJ	VYBER	3600	27591	\N	\N	\N
364437	1238	1997-09-17	VYDAJ	VYBER	3760	27220	\N	\N	\N
364439	1238	1998-03-29	VYDAJ	VYBER	2640	30399	\N	\N	\N
364441	1238	1998-05-19	VYDAJ	VYBER	3680	31086	\N	\N	\N
364442	1238	1998-04-07	VYDAJ	VYBER	3600	26915	\N	\N	\N
364443	1238	1998-10-12	VYDAJ	VYBER	960	38512	\N	\N	\N
364459	1238	1996-03-31	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
364460	1238	1996-04-30	VYDAJ	VYBER	15	24989	SLUZBY	\N	\N
364461	1238	1996-05-31	VYDAJ	VYBER	15	28760	SLUZBY	\N	\N
364462	1238	1996-06-30	VYDAJ	VYBER	15	25183	SLUZBY	\N	\N
364463	1238	1996-07-31	VYDAJ	VYBER	15	27853	SLUZBY	\N	\N
364464	1238	1996-08-31	VYDAJ	VYBER	15	26230	SLUZBY	\N	\N
364465	1238	1996-09-30	VYDAJ	VYBER	15	28003	SLUZBY	\N	\N
364466	1238	1996-10-31	VYDAJ	VYBER	15	25678	SLUZBY	\N	\N
364467	1238	1996-11-30	VYDAJ	VYBER	15	26447	SLUZBY	\N	\N
364468	1238	1996-12-31	VYDAJ	VYBER	15	26915	SLUZBY	\N	\N
364469	1238	1997-01-31	VYDAJ	VYBER	15	16410	SLUZBY	\N	\N
364470	1238	1997-02-28	VYDAJ	VYBER	15	19299	SLUZBY	\N	\N
364471	1238	1997-03-31	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
364472	1238	1997-04-30	VYDAJ	VYBER	15	26708	SLUZBY	\N	\N
364473	1238	1997-05-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
364474	1238	1997-06-30	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
364475	1238	1997-07-31	VYDAJ	VYBER	15	24743	SLUZBY	\N	\N
364476	1238	1997-08-31	VYDAJ	VYBER	15	27110	SLUZBY	\N	\N
364477	1238	1997-09-30	VYDAJ	VYBER	15	27321	SLUZBY	\N	\N
364478	1238	1997-10-31	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
364479	1238	1997-11-30	VYDAJ	VYBER	15	31679	SLUZBY	\N	\N
364480	1238	1997-12-31	VYDAJ	VYBER	15	31266	SLUZBY	\N	\N
364481	1238	1998-01-31	VYDAJ	VYBER	15	25199	SLUZBY	\N	\N
364482	1238	1998-02-28	VYDAJ	VYBER	15	29169	SLUZBY	\N	\N
364483	1238	1998-03-31	VYDAJ	VYBER	15	30515	SLUZBY	\N	\N
364484	1238	1998-04-30	VYDAJ	VYBER	15	30896	SLUZBY	\N	\N
364485	1238	1998-05-31	VYDAJ	VYBER	15	31204	SLUZBY	\N	\N
364486	1238	1998-06-30	VYDAJ	VYBER	15	23660	SLUZBY	\N	\N
364487	1238	1998-07-31	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
364488	1238	1998-08-31	VYDAJ	VYBER	15	31605	SLUZBY	\N	\N
364489	1238	1998-09-30	VYDAJ	VYBER	15	35602	SLUZBY	\N	\N
364490	1238	1998-10-31	VYDAJ	VYBER	15	37651	SLUZBY	\N	\N
364491	1238	1998-11-30	VYDAJ	VYBER	15	38966	SLUZBY	\N	\N
364492	1238	1996-03-27	VYDAJ	VYBER	4400	26830	\N	\N	\N
364493	1238	1996-04-26	VYDAJ	VYBER	600	24903	\N	\N	\N
364494	1238	1996-05-26	VYDAJ	VYBER	200	28659	\N	\N	\N
364495	1238	1996-06-25	VYDAJ	VYBER	100	25080	\N	\N	\N
364496	1238	1996-07-25	VYDAJ	VYBER	1300	27753	\N	\N	\N
364497	1238	1996-08-24	VYDAJ	VYBER	5600	26123	\N	\N	\N
364498	1238	1996-09-23	VYDAJ	VYBER	2200	27900	\N	\N	\N
364499	1238	1996-10-23	VYDAJ	VYBER	6300	25573	\N	\N	\N
364500	1238	1996-11-22	VYDAJ	VYBER	3200	26348	\N	\N	\N
364501	1238	1996-12-22	VYDAJ	VYBER	2200	26817	\N	\N	\N
364502	1238	1997-04-21	VYDAJ	VYBER	500	26616	\N	\N	\N
364503	1238	1997-05-21	VYDAJ	VYBER	1400	29178	\N	\N	\N
364504	1238	1997-08-19	VYDAJ	VYBER	1600	27013	\N	\N	\N
364505	1238	1997-12-17	VYDAJ	VYBER	3700	31149	\N	\N	\N
364506	1238	1998-01-16	VYDAJ	VYBER	1200	32256	\N	\N	\N
364507	1238	1998-10-13	VYDAJ	VYBER	1000	37512	\N	\N	\N
364508	1238	1998-11-12	VYDAJ	VYBER	2700	38821	\N	\N	\N
364543	1239	1993-04-10	PRIJEM	VKLAD	900	900	\N	\N	\N
364548	1239	1993-05-06	PRIJEM	PREVOD Z UCTU	6668	7568	DUCHOD	GH	71884184
364549	1239	1993-06-06	PRIJEM	PREVOD Z UCTU	6668	14236	DUCHOD	GH	71884184
364550	1239	1993-07-06	PRIJEM	PREVOD Z UCTU	6668	20904	DUCHOD	GH	71884184
364551	1239	1993-08-06	PRIJEM	PREVOD Z UCTU	6668	27536	DUCHOD	GH	71884184
364552	1239	1993-09-06	PRIJEM	PREVOD Z UCTU	6668	32206	DUCHOD	GH	71884184
364553	1239	1993-10-06	PRIJEM	PREVOD Z UCTU	6668	28811	DUCHOD	GH	71884184
364554	1239	1993-11-06	PRIJEM	PREVOD Z UCTU	6668	29115	DUCHOD	GH	71884184
364555	1239	1993-12-06	PRIJEM	PREVOD Z UCTU	6668	29883	DUCHOD	GH	71884184
364556	1239	1994-01-06	PRIJEM	PREVOD Z UCTU	6668	30345	DUCHOD	GH	71884184
364557	1239	1994-02-06	PRIJEM	PREVOD Z UCTU	6668	29653	DUCHOD	GH	71884184
364558	1239	1994-03-06	PRIJEM	PREVOD Z UCTU	6668	29946	DUCHOD	GH	71884184
364559	1239	1994-04-06	PRIJEM	PREVOD Z UCTU	6668	30055	DUCHOD	GH	71884184
364560	1239	1994-05-06	PRIJEM	PREVOD Z UCTU	6668	33071	DUCHOD	GH	71884184
364561	1239	1994-06-06	PRIJEM	PREVOD Z UCTU	6668	32399	DUCHOD	GH	71884184
364562	1239	1994-07-06	PRIJEM	PREVOD Z UCTU	6668	24775	DUCHOD	GH	71884184
364563	1239	1994-08-06	PRIJEM	PREVOD Z UCTU	6668	27769	DUCHOD	GH	71884184
364564	1239	1994-09-06	PRIJEM	PREVOD Z UCTU	6668	30175	DUCHOD	GH	71884184
364565	1239	1994-10-06	PRIJEM	PREVOD Z UCTU	6668	29994	DUCHOD	GH	71884184
364566	1239	1994-11-06	PRIJEM	PREVOD Z UCTU	6668	30414	DUCHOD	GH	71884184
364567	1239	1994-12-06	PRIJEM	PREVOD Z UCTU	6668	32436	DUCHOD	GH	71884184
364568	1239	1995-01-06	PRIJEM	PREVOD Z UCTU	6668	32121	DUCHOD	GH	71884184
364569	1239	1995-02-06	PRIJEM	PREVOD Z UCTU	6668	31689	DUCHOD	GH	71884184
364570	1239	1995-03-06	PRIJEM	PREVOD Z UCTU	6668	29511	DUCHOD	GH	71884184
364571	1239	1995-04-06	PRIJEM	PREVOD Z UCTU	6668	29730	DUCHOD	GH	71884184
364572	1239	1995-05-06	PRIJEM	PREVOD Z UCTU	6668	27824	DUCHOD	GH	71884184
364573	1239	1995-06-06	PRIJEM	PREVOD Z UCTU	6668	30836	DUCHOD	GH	71884184
364574	1239	1995-07-06	PRIJEM	PREVOD Z UCTU	6668	30023	DUCHOD	GH	71884184
364575	1239	1995-08-06	PRIJEM	PREVOD Z UCTU	6668	28233	DUCHOD	GH	71884184
364576	1239	1995-09-06	PRIJEM	PREVOD Z UCTU	6668	28239	DUCHOD	GH	71884184
364577	1239	1995-10-06	PRIJEM	PREVOD Z UCTU	6668	31247	DUCHOD	GH	71884184
364578	1239	1995-11-06	PRIJEM	PREVOD Z UCTU	6668	34267	DUCHOD	GH	71884184
364579	1239	1995-12-06	PRIJEM	PREVOD Z UCTU	6668	30695	DUCHOD	GH	71884184
364580	1239	1996-01-06	PRIJEM	PREVOD Z UCTU	6668	29312	DUCHOD	GH	71884184
364581	1239	1996-02-06	PRIJEM	PREVOD Z UCTU	6668	32328	DUCHOD	GH	71884184
364582	1239	1996-03-06	PRIJEM	PREVOD Z UCTU	6668	30348	DUCHOD	GH	71884184
364583	1239	1996-04-06	PRIJEM	PREVOD Z UCTU	6668	30062	DUCHOD	GH	71884184
364584	1239	1996-05-06	PRIJEM	PREVOD Z UCTU	6668	31275	DUCHOD	GH	71884184
364585	1239	1996-06-06	PRIJEM	PREVOD Z UCTU	6668	29490	DUCHOD	GH	71884184
364586	1239	1996-07-06	PRIJEM	PREVOD Z UCTU	6668	20518	DUCHOD	GH	71884184
364587	1239	1996-08-06	PRIJEM	PREVOD Z UCTU	6668	19626	DUCHOD	GH	71884184
364588	1239	1996-09-06	PRIJEM	PREVOD Z UCTU	6668	20394	DUCHOD	GH	71884184
364589	1239	1996-10-06	PRIJEM	PREVOD Z UCTU	6668	21527	DUCHOD	GH	71884184
364590	1239	1996-11-06	PRIJEM	PREVOD Z UCTU	6668	22603	DUCHOD	GH	71884184
364591	1239	1996-12-06	PRIJEM	PREVOD Z UCTU	6668	23583	DUCHOD	GH	71884184
364592	1239	1997-01-06	PRIJEM	PREVOD Z UCTU	6668	19760	DUCHOD	GH	71884184
364593	1239	1997-02-06	PRIJEM	PREVOD Z UCTU	6668	19726	DUCHOD	GH	71884184
364594	1239	1997-03-06	PRIJEM	PREVOD Z UCTU	6668	22697	DUCHOD	GH	71884184
364595	1239	1997-04-06	PRIJEM	PREVOD Z UCTU	6668	25681	DUCHOD	GH	71884184
364596	1239	1997-05-06	PRIJEM	PREVOD Z UCTU	6668	27795	DUCHOD	GH	71884184
364597	1239	1997-06-06	PRIJEM	PREVOD Z UCTU	6668	30800	DUCHOD	GH	71884184
364598	1239	1997-07-06	PRIJEM	PREVOD Z UCTU	6668	21495	DUCHOD	GH	71884184
364599	1239	1997-08-06	PRIJEM	PREVOD Z UCTU	6668	24473	DUCHOD	GH	71884184
364600	1239	1997-09-06	PRIJEM	PREVOD Z UCTU	6668	20049	DUCHOD	GH	71884184
364601	1239	1997-10-06	PRIJEM	PREVOD Z UCTU	6668	20015	DUCHOD	GH	71884184
364602	1239	1997-11-06	PRIJEM	PREVOD Z UCTU	6668	20281	DUCHOD	GH	71884184
364603	1239	1997-12-06	PRIJEM	PREVOD Z UCTU	6668	21951	DUCHOD	GH	71884184
364604	1239	1998-01-06	PRIJEM	PREVOD Z UCTU	6668	21824	DUCHOD	GH	71884184
364605	1239	1998-02-06	PRIJEM	PREVOD Z UCTU	6668	21295	DUCHOD	GH	71884184
364606	1239	1998-03-06	PRIJEM	PREVOD Z UCTU	6668	20964	DUCHOD	GH	71884184
364607	1239	1998-04-06	PRIJEM	PREVOD Z UCTU	6668	22035	DUCHOD	GH	71884184
364608	1239	1998-05-06	PRIJEM	PREVOD Z UCTU	6668	19803	DUCHOD	GH	71884184
364609	1239	1998-06-06	PRIJEM	PREVOD Z UCTU	6668	20869	DUCHOD	GH	71884184
364610	1239	1998-07-06	PRIJEM	PREVOD Z UCTU	6668	22404	DUCHOD	GH	71884184
364611	1239	1998-08-06	PRIJEM	PREVOD Z UCTU	6668	21178	DUCHOD	GH	71884184
364612	1239	1998-09-06	PRIJEM	PREVOD Z UCTU	6668	24154	DUCHOD	GH	71884184
364613	1239	1998-10-06	PRIJEM	PREVOD Z UCTU	6668	20825	DUCHOD	GH	71884184
364614	1239	1998-11-06	PRIJEM	PREVOD Z UCTU	6668	23799	DUCHOD	GH	71884184
364615	1239	1998-12-06	PRIJEM	PREVOD Z UCTU	6668	26786	DUCHOD	GH	71884184
364624	1239	1993-09-09	VYDAJ	PREVOD NA UCET	3744	22062	SIPO	KL	83388852
364625	1239	1993-10-09	VYDAJ	PREVOD NA UCET	3744	22367	SIPO	KL	83388852
364626	1239	1993-11-09	VYDAJ	PREVOD NA UCET	3744	23771	SIPO	KL	83388852
364627	1239	1993-12-09	VYDAJ	PREVOD NA UCET	3744	24339	SIPO	KL	83388852
364628	1239	1994-01-09	VYDAJ	PREVOD NA UCET	3744	26601	SIPO	KL	83388852
364629	1239	1994-02-09	VYDAJ	PREVOD NA UCET	3744	25909	SIPO	KL	83388852
364630	1239	1994-03-09	VYDAJ	PREVOD NA UCET	3744	23302	SIPO	KL	83388852
364631	1239	1994-04-09	VYDAJ	PREVOD NA UCET	3744	26311	SIPO	KL	83388852
364632	1239	1994-05-09	VYDAJ	PREVOD NA UCET	3744	29327	SIPO	KL	83388852
364633	1239	1994-06-09	VYDAJ	PREVOD NA UCET	3744	28655	SIPO	KL	83388852
364634	1239	1994-07-09	VYDAJ	PREVOD NA UCET	3744	21031	SIPO	KL	83388852
364635	1239	1994-08-09	VYDAJ	PREVOD NA UCET	3744	24025	SIPO	KL	83388852
364636	1239	1994-09-09	VYDAJ	PREVOD NA UCET	3744	26431	SIPO	KL	83388852
364637	1239	1994-10-09	VYDAJ	PREVOD NA UCET	3744	26250	SIPO	KL	83388852
364638	1239	1994-11-09	VYDAJ	PREVOD NA UCET	3744	26670	SIPO	KL	83388852
364639	1239	1994-12-09	VYDAJ	PREVOD NA UCET	3744	28692	SIPO	KL	83388852
364640	1239	1995-01-09	VYDAJ	PREVOD NA UCET	3744	28377	SIPO	KL	83388852
364641	1239	1995-02-09	VYDAJ	PREVOD NA UCET	3744	27945	SIPO	KL	83388852
364642	1239	1995-03-09	VYDAJ	PREVOD NA UCET	3744	25767	SIPO	KL	83388852
364643	1239	1995-04-09	VYDAJ	PREVOD NA UCET	3744	25986	SIPO	KL	83388852
364644	1239	1995-05-09	VYDAJ	PREVOD NA UCET	3744	24080	SIPO	KL	83388852
364645	1239	1995-06-09	VYDAJ	PREVOD NA UCET	3744	27092	SIPO	KL	83388852
364646	1239	1995-07-09	VYDAJ	PREVOD NA UCET	3744	24999	SIPO	KL	83388852
364647	1239	1995-08-09	VYDAJ	PREVOD NA UCET	3744	24489	SIPO	KL	83388852
364648	1239	1995-09-09	VYDAJ	PREVOD NA UCET	3744	24495	SIPO	KL	83388852
364649	1239	1995-10-09	VYDAJ	PREVOD NA UCET	3744	27503	SIPO	KL	83388852
364650	1239	1995-11-09	VYDAJ	PREVOD NA UCET	3744	30523	SIPO	KL	83388852
364651	1239	1995-12-09	VYDAJ	PREVOD NA UCET	3744	26951	SIPO	KL	83388852
364652	1239	1996-01-09	VYDAJ	PREVOD NA UCET	3744	25568	SIPO	KL	83388852
364653	1239	1996-02-09	VYDAJ	PREVOD NA UCET	3744	28584	SIPO	KL	83388852
364654	1239	1996-03-09	VYDAJ	PREVOD NA UCET	3744	26604	SIPO	KL	83388852
364655	1239	1996-04-09	VYDAJ	PREVOD NA UCET	3744	26318	SIPO	KL	83388852
364656	1239	1996-05-09	VYDAJ	PREVOD NA UCET	3744	27531	SIPO	KL	83388852
364657	1239	1996-06-09	VYDAJ	PREVOD NA UCET	3744	25746	SIPO	KL	83388852
364658	1239	1996-07-09	VYDAJ	PREVOD NA UCET	3744	16774	SIPO	KL	83388852
364659	1239	1996-08-09	VYDAJ	PREVOD NA UCET	3744	15882	SIPO	KL	83388852
364660	1239	1996-09-09	VYDAJ	PREVOD NA UCET	3744	16650	SIPO	KL	83388852
364661	1239	1996-10-09	VYDAJ	PREVOD NA UCET	3744	17783	SIPO	KL	83388852
364662	1239	1996-11-09	VYDAJ	PREVOD NA UCET	3744	18859	SIPO	KL	83388852
364663	1239	1996-12-09	VYDAJ	PREVOD NA UCET	3744	19839	SIPO	KL	83388852
364664	1239	1997-01-09	VYDAJ	PREVOD NA UCET	3744	16016	SIPO	KL	83388852
364665	1239	1997-02-09	VYDAJ	PREVOD NA UCET	3744	15982	SIPO	KL	83388852
364666	1239	1997-03-09	VYDAJ	PREVOD NA UCET	3744	18953	SIPO	KL	83388852
364667	1239	1997-04-09	VYDAJ	PREVOD NA UCET	3744	21937	SIPO	KL	83388852
364668	1239	1997-05-09	VYDAJ	PREVOD NA UCET	3744	24051	SIPO	KL	83388852
364669	1239	1997-06-09	VYDAJ	PREVOD NA UCET	3744	27056	SIPO	KL	83388852
364670	1239	1997-07-09	VYDAJ	PREVOD NA UCET	3744	17751	SIPO	KL	83388852
364671	1239	1997-08-09	VYDAJ	PREVOD NA UCET	3744	20729	SIPO	KL	83388852
364672	1239	1997-09-09	VYDAJ	PREVOD NA UCET	3744	16305	SIPO	KL	83388852
364673	1239	1997-10-09	VYDAJ	PREVOD NA UCET	3744	16271	SIPO	KL	83388852
364674	1239	1997-11-09	VYDAJ	PREVOD NA UCET	3744	16537	SIPO	KL	83388852
364675	1239	1997-12-09	VYDAJ	PREVOD NA UCET	3744	18207	SIPO	KL	83388852
364676	1239	1998-01-09	VYDAJ	PREVOD NA UCET	3744	18080	SIPO	KL	83388852
364677	1239	1998-02-09	VYDAJ	PREVOD NA UCET	3744	17551	SIPO	KL	83388852
364678	1239	1998-03-09	VYDAJ	PREVOD NA UCET	3744	17220	SIPO	KL	83388852
364679	1239	1998-04-09	VYDAJ	PREVOD NA UCET	3744	18291	SIPO	KL	83388852
364680	1239	1998-05-09	VYDAJ	PREVOD NA UCET	3744	16059	SIPO	KL	83388852
364681	1239	1998-06-09	VYDAJ	PREVOD NA UCET	3744	17125	SIPO	KL	83388852
364682	1239	1998-07-09	VYDAJ	PREVOD NA UCET	3744	18660	SIPO	KL	83388852
364683	1239	1998-08-09	VYDAJ	PREVOD NA UCET	3744	17434	SIPO	KL	83388852
364684	1239	1998-09-09	VYDAJ	PREVOD NA UCET	3744	20410	SIPO	KL	83388852
364685	1239	1998-10-09	VYDAJ	PREVOD NA UCET	3744	17081	SIPO	KL	83388852
364686	1239	1998-11-09	VYDAJ	PREVOD NA UCET	3744	20055	SIPO	KL	83388852
364687	1239	1998-12-09	VYDAJ	PREVOD NA UCET	3744	23042	SIPO	KL	83388852
364689	1239	1994-06-11	VYDAJ	VYBER	6950	21705	\N	\N	\N
364690	1239	1995-06-25	VYDAJ	VYBER	1950	25142	\N	\N	\N
364691	1239	1996-06-09	VYDAJ	VYBER	10850	14896	\N	\N	\N
364695	1239	1994-01-14	VYDAJ	VYBER	3700	22901	\N	\N	\N
364696	1239	1995-01-12	VYDAJ	VYBER	2450	25927	\N	\N	\N
364697	1239	1996-01-04	VYDAJ	VYBER	2900	22644	\N	\N	\N
364700	1239	1993-12-21	VYDAJ	VYBER	750	23589	\N	\N	\N
364701	1239	1994-12-29	VYDAJ	VYBER	700	26152	\N	\N	\N
364702	1239	1995-12-24	VYDAJ	VYBER	1100	25851	\N	\N	\N
364704	1239	1997-12-25	VYDAJ	VYBER	400	15107	\N	\N	\N
364705	1239	1998-12-20	VYDAJ	VYBER	850	16992	\N	\N	\N
364708	1239	1993-11-28	VYDAJ	VYBER	640	23131	\N	\N	\N
364709	1239	1994-12-15	VYDAJ	VYBER	1840	26852	\N	\N	\N
364710	1239	1994-02-28	VYDAJ	VYBER	2720	23293	\N	\N	\N
364711	1239	1994-06-18	VYDAJ	VYBER	2720	18985	\N	\N	\N
364712	1239	1994-06-22	VYDAJ	VYBER	960	18025	\N	\N	\N
364713	1239	1995-07-06	VYDAJ	VYBER	1280	28743	\N	\N	\N
364714	1239	1995-07-24	VYDAJ	VYBER	3520	21479	\N	\N	\N
364715	1239	1995-05-01	VYDAJ	VYBER	3520	21156	\N	\N	\N
364716	1239	1995-06-29	VYDAJ	VYBER	480	24662	\N	\N	\N
364718	1239	1996-09-25	VYDAJ	VYBER	1840	14810	\N	\N	\N
364720	1239	1996-07-10	VYDAJ	VYBER	1360	15414	\N	\N	\N
364724	1239	1997-04-16	VYDAJ	VYBER	880	21057	\N	\N	\N
364728	1239	1998-07-03	VYDAJ	VYBER	1440	15736	\N	\N	\N
364738	1239	1993-09-30	VYDAJ	VYBER	15	22143	SLUZBY	\N	\N
364739	1239	1993-10-31	VYDAJ	VYBER	15	22447	SLUZBY	\N	\N
364740	1239	1993-11-30	VYDAJ	VYBER	15	23215	SLUZBY	\N	\N
364741	1239	1993-12-31	VYDAJ	VYBER	15	23677	SLUZBY	\N	\N
364742	1239	1994-01-31	VYDAJ	VYBER	15	22985	SLUZBY	\N	\N
364743	1239	1994-02-28	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
364744	1239	1994-03-31	VYDAJ	VYBER	15	23387	SLUZBY	\N	\N
364745	1239	1994-04-30	VYDAJ	VYBER	15	26403	SLUZBY	\N	\N
364746	1239	1994-05-31	VYDAJ	VYBER	15	29431	SLUZBY	\N	\N
364747	1239	1994-06-30	VYDAJ	VYBER	15	18107	SLUZBY	\N	\N
364748	1239	1994-07-31	VYDAJ	VYBER	15	21101	SLUZBY	\N	\N
364749	1239	1994-08-31	VYDAJ	VYBER	15	24107	SLUZBY	\N	\N
364750	1239	1994-09-30	VYDAJ	VYBER	15	26526	SLUZBY	\N	\N
364751	1239	1994-10-31	VYDAJ	VYBER	15	26346	SLUZBY	\N	\N
364752	1239	1994-11-30	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
364753	1239	1994-12-31	VYDAJ	VYBER	15	26253	SLUZBY	\N	\N
364754	1239	1995-01-31	VYDAJ	VYBER	15	25021	SLUZBY	\N	\N
364755	1239	1995-02-28	VYDAJ	VYBER	15	28043	SLUZBY	\N	\N
364756	1239	1995-03-31	VYDAJ	VYBER	15	23062	SLUZBY	\N	\N
364757	1239	1995-04-30	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
364758	1239	1995-05-31	VYDAJ	VYBER	15	24168	SLUZBY	\N	\N
364759	1239	1995-06-30	VYDAJ	VYBER	15	23355	SLUZBY	\N	\N
364760	1239	1995-07-31	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
364761	1239	1995-08-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
364762	1239	1995-09-30	VYDAJ	VYBER	15	24579	SLUZBY	\N	\N
364763	1239	1995-10-31	VYDAJ	VYBER	15	27599	SLUZBY	\N	\N
364764	1239	1995-11-30	VYDAJ	VYBER	15	24027	SLUZBY	\N	\N
364765	1239	1995-12-31	VYDAJ	VYBER	15	25544	SLUZBY	\N	\N
364766	1239	1996-01-31	VYDAJ	VYBER	15	25660	SLUZBY	\N	\N
364767	1239	1996-02-29	VYDAJ	VYBER	15	23680	SLUZBY	\N	\N
364768	1239	1996-03-31	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
364769	1239	1996-04-30	VYDAJ	VYBER	15	24607	SLUZBY	\N	\N
364770	1239	1996-05-31	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
364771	1239	1996-06-30	VYDAJ	VYBER	15	13850	SLUZBY	\N	\N
364772	1239	1996-07-31	VYDAJ	VYBER	15	12958	SLUZBY	\N	\N
364773	1239	1996-08-31	VYDAJ	VYBER	15	13726	SLUZBY	\N	\N
364774	1239	1996-09-30	VYDAJ	VYBER	15	14859	SLUZBY	\N	\N
364775	1239	1996-10-31	VYDAJ	VYBER	15	15935	SLUZBY	\N	\N
364776	1239	1996-11-30	VYDAJ	VYBER	15	16915	SLUZBY	\N	\N
364777	1239	1996-12-31	VYDAJ	VYBER	15	13092	SLUZBY	\N	\N
364778	1239	1997-01-31	VYDAJ	VYBER	15	13058	SLUZBY	\N	\N
364779	1239	1997-02-28	VYDAJ	VYBER	15	16029	SLUZBY	\N	\N
364780	1239	1997-03-31	VYDAJ	VYBER	15	19013	SLUZBY	\N	\N
364781	1239	1997-04-30	VYDAJ	VYBER	15	21127	SLUZBY	\N	\N
364782	1239	1997-05-31	VYDAJ	VYBER	15	24132	SLUZBY	\N	\N
364783	1239	1997-06-30	VYDAJ	VYBER	15	14827	SLUZBY	\N	\N
364784	1239	1997-07-31	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
364785	1239	1997-08-31	VYDAJ	VYBER	15	13381	SLUZBY	\N	\N
364786	1239	1997-09-30	VYDAJ	VYBER	15	13347	SLUZBY	\N	\N
364787	1239	1997-10-31	VYDAJ	VYBER	15	13613	SLUZBY	\N	\N
364788	1239	1997-11-30	VYDAJ	VYBER	15	15283	SLUZBY	\N	\N
364789	1239	1997-12-31	VYDAJ	VYBER	15	15156	SLUZBY	\N	\N
364790	1239	1998-01-31	VYDAJ	VYBER	15	14627	SLUZBY	\N	\N
364791	1239	1998-02-28	VYDAJ	VYBER	15	14296	SLUZBY	\N	\N
364792	1239	1998-03-31	VYDAJ	VYBER	15	15367	SLUZBY	\N	\N
364793	1239	1998-04-30	VYDAJ	VYBER	15	13135	SLUZBY	\N	\N
364794	1239	1998-05-31	VYDAJ	VYBER	15	14201	SLUZBY	\N	\N
364795	1239	1998-06-30	VYDAJ	VYBER	15	17176	SLUZBY	\N	\N
364796	1239	1998-07-31	VYDAJ	VYBER	15	14510	SLUZBY	\N	\N
364797	1239	1998-08-31	VYDAJ	VYBER	15	17486	SLUZBY	\N	\N
364798	1239	1998-09-30	VYDAJ	VYBER	15	14157	SLUZBY	\N	\N
364799	1239	1998-10-31	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
364800	1239	1998-11-30	VYDAJ	VYBER	15	20118	SLUZBY	\N	\N
364801	1239	1993-07-09	VYDAJ	VYBER	100	20804	\N	\N	\N
364802	1239	1993-08-08	VYDAJ	VYBER	2100	25436	\N	\N	\N
364803	1239	1993-09-07	VYDAJ	VYBER	6400	25806	\N	\N	\N
364804	1239	1993-10-07	VYDAJ	VYBER	2700	26111	\N	\N	\N
364805	1239	1993-11-06	VYDAJ	VYBER	1600	27515	\N	\N	\N
364806	1239	1993-12-06	VYDAJ	VYBER	1800	28083	\N	\N	\N
364807	1239	1994-03-06	VYDAJ	VYBER	2900	27046	\N	\N	\N
364808	1239	1994-06-04	VYDAJ	VYBER	3700	25731	\N	\N	\N
364809	1239	1994-09-02	VYDAJ	VYBER	600	23507	\N	\N	\N
364810	1239	1994-10-02	VYDAJ	VYBER	3200	23326	\N	\N	\N
364811	1239	1994-11-01	VYDAJ	VYBER	2600	23746	\N	\N	\N
364812	1239	1994-12-01	VYDAJ	VYBER	1000	25768	\N	\N	\N
364813	1239	1994-12-31	VYDAJ	VYBER	800	25453	\N	\N	\N
364814	1239	1995-01-30	VYDAJ	VYBER	1000	24927	\N	\N	\N
364815	1239	1995-03-01	VYDAJ	VYBER	5200	22843	\N	\N	\N
364816	1239	1995-03-31	VYDAJ	VYBER	2800	23077	\N	\N	\N
364817	1239	1995-04-30	VYDAJ	VYBER	1400	24676	\N	\N	\N
364818	1239	1995-06-29	VYDAJ	VYBER	1400	23262	\N	\N	\N
364819	1239	1995-08-28	VYDAJ	VYBER	3000	21489	\N	\N	\N
364820	1239	1995-11-26	VYDAJ	VYBER	6600	23923	\N	\N	\N
364821	1239	1995-12-26	VYDAJ	VYBER	400	25451	\N	\N	\N
364822	1239	1996-02-24	VYDAJ	VYBER	5000	23584	\N	\N	\N
364823	1239	1996-03-25	VYDAJ	VYBER	3300	23304	\N	\N	\N
364824	1239	1996-04-24	VYDAJ	VYBER	1800	24518	\N	\N	\N
364825	1239	1996-05-24	VYDAJ	VYBER	4800	22731	\N	\N	\N
364826	1239	1996-06-23	VYDAJ	VYBER	1100	13796	\N	\N	\N
364827	1239	1996-07-23	VYDAJ	VYBER	2500	12914	\N	\N	\N
364828	1239	1996-08-22	VYDAJ	VYBER	2200	13682	\N	\N	\N
364829	1239	1996-10-21	VYDAJ	VYBER	1900	15883	\N	\N	\N
364830	1239	1996-11-20	VYDAJ	VYBER	2000	16859	\N	\N	\N
364831	1239	1996-12-20	VYDAJ	VYBER	6800	13039	\N	\N	\N
364832	1239	1997-01-19	VYDAJ	VYBER	3000	13016	\N	\N	\N
364833	1239	1997-06-18	VYDAJ	VYBER	12300	14756	\N	\N	\N
364834	1239	1997-08-17	VYDAJ	VYBER	7400	13329	\N	\N	\N
364835	1239	1997-09-16	VYDAJ	VYBER	3000	13305	\N	\N	\N
364836	1239	1997-10-16	VYDAJ	VYBER	2700	13571	\N	\N	\N
364837	1239	1997-11-15	VYDAJ	VYBER	1300	15237	\N	\N	\N
364838	1239	1997-12-15	VYDAJ	VYBER	2700	15507	\N	\N	\N
364839	1239	1998-01-14	VYDAJ	VYBER	3500	14580	\N	\N	\N
364840	1239	1998-02-13	VYDAJ	VYBER	3300	14251	\N	\N	\N
364841	1239	1998-03-15	VYDAJ	VYBER	1900	15320	\N	\N	\N
364842	1239	1998-04-14	VYDAJ	VYBER	5200	13091	\N	\N	\N
364843	1239	1998-05-14	VYDAJ	VYBER	1900	14159	\N	\N	\N
364844	1239	1998-07-13	VYDAJ	VYBER	4200	14460	\N	\N	\N
364845	1239	1998-09-11	VYDAJ	VYBER	6300	14110	\N	\N	\N
364846	1239	1998-12-10	VYDAJ	VYBER	5200	17842	\N	\N	\N
364913	1240	1997-09-11	PRIJEM	VKLAD	800	800	\N	\N	\N
364923	1240	1997-10-07	PRIJEM	VKLAD	10902	11702	\N	\N	\N
364924	1240	1997-11-07	PRIJEM	VKLAD	10902	28253	\N	\N	\N
364925	1240	1997-12-07	PRIJEM	VKLAD	16353	40096	\N	\N	\N
364926	1240	1998-01-07	PRIJEM	VKLAD	10902	44326	\N	\N	\N
364927	1240	1998-02-07	PRIJEM	VKLAD	10902	44667	\N	\N	\N
364928	1240	1998-03-07	PRIJEM	VKLAD	10902	37637	\N	\N	\N
364929	1240	1998-04-07	PRIJEM	VKLAD	10902	36396	\N	\N	\N
364930	1240	1998-05-07	PRIJEM	VKLAD	10902	34031	\N	\N	\N
364931	1240	1998-06-07	PRIJEM	VKLAD	16353	38009	\N	\N	\N
364932	1240	1998-07-07	PRIJEM	VKLAD	10902	25625	\N	\N	\N
364933	1240	1998-08-07	PRIJEM	VKLAD	10902	24017	\N	\N	\N
364934	1240	1998-09-07	PRIJEM	VKLAD	10902	24822	\N	\N	\N
364935	1240	1998-10-07	PRIJEM	VKLAD	10902	25642	\N	\N	\N
364936	1240	1998-11-07	PRIJEM	VKLAD	10902	24967	\N	\N	\N
364937	1240	1998-12-07	PRIJEM	VKLAD	16353	28342	\N	\N	\N
364951	1240	1998-02-12	VYDAJ	PREVOD NA UCET	4353	31114	SIPO	MN	14062285
364952	1240	1998-03-12	VYDAJ	PREVOD NA UCET	4353	28384	SIPO	MN	14062285
364953	1240	1998-04-12	VYDAJ	PREVOD NA UCET	4353	23043	SIPO	MN	14062285
364954	1240	1998-05-12	VYDAJ	PREVOD NA UCET	4353	21578	SIPO	MN	14062285
364955	1240	1998-06-12	VYDAJ	PREVOD NA UCET	4353	21656	SIPO	MN	14062285
364956	1240	1998-07-12	VYDAJ	PREVOD NA UCET	4353	13072	SIPO	MN	14062285
364957	1240	1998-08-12	VYDAJ	PREVOD NA UCET	4353	16964	SIPO	MN	14062285
364958	1240	1998-09-12	VYDAJ	PREVOD NA UCET	4353	20469	SIPO	MN	14062285
364959	1240	1998-10-12	VYDAJ	PREVOD NA UCET	4353	21289	SIPO	MN	14062285
364960	1240	1998-11-12	VYDAJ	PREVOD NA UCET	4353	20614	SIPO	MN	14062285
364961	1240	1998-12-12	VYDAJ	PREVOD NA UCET	4353	23089	SIPO	MN	14062285
364963	1240	1998-06-19	VYDAJ	VYBER	7000	14656	\N	\N	\N
364967	1240	1998-12-10	VYDAJ	VYBER	900	27442	\N	\N	\N
364987	1240	1998-03-30	VYDAJ	VYBER	3000	25384	\N	\N	\N
364988	1240	1998-03-02	VYDAJ	VYBER	4500	26735	\N	\N	\N
365006	1240	1998-02-28	VYDAJ	VYBER	15	31235	SLUZBY	\N	\N
365007	1240	1998-03-31	VYDAJ	VYBER	15	25494	SLUZBY	\N	\N
365008	1240	1998-04-30	VYDAJ	VYBER	15	23129	SLUZBY	\N	\N
365009	1240	1998-05-31	VYDAJ	VYBER	15	21656	SLUZBY	\N	\N
365010	1240	1998-06-30	VYDAJ	VYBER	15	14723	SLUZBY	\N	\N
365011	1240	1998-07-31	VYDAJ	VYBER	15	13115	SLUZBY	\N	\N
365012	1240	1998-08-31	VYDAJ	VYBER	15	17020	SLUZBY	\N	\N
365013	1240	1998-09-30	VYDAJ	VYBER	15	20540	SLUZBY	\N	\N
365014	1240	1998-10-31	VYDAJ	VYBER	15	21365	SLUZBY	\N	\N
365015	1240	1998-11-30	VYDAJ	VYBER	15	20689	SLUZBY	\N	\N
365016	1240	1997-10-11	PRIJEM	VKLAD	5600	17302	\N	\N	\N
365017	1240	1997-11-10	VYDAJ	VYBER	4600	23653	\N	\N	\N
365018	1240	1997-12-10	VYDAJ	VYBER	6800	33296	\N	\N	\N
365019	1240	1998-01-09	VYDAJ	VYBER	10700	33626	\N	\N	\N
365020	1240	1998-02-08	VYDAJ	VYBER	9200	35467	\N	\N	\N
365021	1240	1998-03-10	VYDAJ	VYBER	4900	32737	\N	\N	\N
365022	1240	1998-04-09	VYDAJ	VYBER	9000	27396	\N	\N	\N
365023	1240	1998-05-09	VYDAJ	VYBER	8100	25931	\N	\N	\N
365024	1240	1998-06-08	VYDAJ	VYBER	12000	26009	\N	\N	\N
365025	1240	1998-07-08	VYDAJ	VYBER	8200	17425	\N	\N	\N
365026	1240	1998-08-07	VYDAJ	VYBER	2700	21317	\N	\N	\N
365027	1240	1998-09-06	VYDAJ	VYBER	3100	13920	\N	\N	\N
365028	1240	1998-10-06	VYDAJ	VYBER	5800	14740	\N	\N	\N
365029	1240	1998-11-05	VYDAJ	VYBER	7300	14065	\N	\N	\N
365030	1240	1998-12-05	VYDAJ	VYBER	8700	11989	\N	\N	\N
365046	1241	1996-07-02	PRIJEM	VKLAD	200	200	\N	\N	\N
365053	1241	1996-07-05	PRIJEM	VKLAD	5694	5894	\N	\N	\N
365054	1241	1996-08-05	PRIJEM	VKLAD	5694	17809	\N	\N	\N
365055	1241	1996-09-05	PRIJEM	VKLAD	5694	27372	\N	\N	\N
365056	1241	1996-10-05	PRIJEM	VKLAD	5694	30356	\N	\N	\N
365057	1241	1996-11-05	PRIJEM	VKLAD	5694	32554	\N	\N	\N
365058	1241	1996-12-05	PRIJEM	VKLAD	8541	32004	\N	\N	\N
365059	1241	1997-01-05	PRIJEM	VKLAD	5694	22146	\N	\N	\N
365060	1241	1997-02-05	PRIJEM	VKLAD	5694	23317	\N	\N	\N
365061	1241	1997-03-05	PRIJEM	VKLAD	5694	27984	\N	\N	\N
365062	1241	1997-04-05	PRIJEM	VKLAD	5694	31271	\N	\N	\N
365063	1241	1997-05-05	PRIJEM	VKLAD	5694	30269	\N	\N	\N
365064	1241	1997-06-05	PRIJEM	VKLAD	8541	31909	\N	\N	\N
365065	1241	1997-07-05	PRIJEM	VKLAD	5694	19429	\N	\N	\N
365066	1241	1997-08-05	PRIJEM	VKLAD	5694	20279	\N	\N	\N
365067	1241	1997-09-05	PRIJEM	VKLAD	5694	17828	\N	\N	\N
365068	1241	1997-10-05	PRIJEM	VKLAD	5694	17069	\N	\N	\N
365069	1241	1997-11-05	PRIJEM	VKLAD	5694	19410	\N	\N	\N
365070	1241	1997-12-05	PRIJEM	VKLAD	8541	20103	\N	\N	\N
365071	1241	1998-01-05	PRIJEM	VKLAD	5694	19811	\N	\N	\N
365072	1241	1998-02-05	PRIJEM	VKLAD	5694	17632	\N	\N	\N
365073	1241	1998-03-05	PRIJEM	VKLAD	5694	20075	\N	\N	\N
365074	1241	1998-04-05	PRIJEM	VKLAD	5694	19225	\N	\N	\N
365075	1241	1998-05-05	PRIJEM	VKLAD	5694	19772	\N	\N	\N
365076	1241	1998-06-05	PRIJEM	VKLAD	8541	21066	\N	\N	\N
365077	1241	1998-07-05	PRIJEM	VKLAD	5694	16812	\N	\N	\N
365078	1241	1998-08-05	PRIJEM	VKLAD	5694	18751	\N	\N	\N
365079	1241	1998-09-05	PRIJEM	VKLAD	5694	20698	\N	\N	\N
365080	1241	1998-10-05	PRIJEM	VKLAD	5694	22653	\N	\N	\N
365081	1241	1998-11-05	PRIJEM	VKLAD	5694	17805	\N	\N	\N
365082	1241	1998-12-05	PRIJEM	VKLAD	8541	19590	\N	\N	\N
365093	1241	1996-11-12	VYDAJ	PREVOD NA UCET	1368	30959	SIPO	EF	97685855
365094	1241	1996-12-12	VYDAJ	PREVOD NA UCET	1368	28489	SIPO	EF	97685855
365095	1241	1997-01-12	VYDAJ	PREVOD NA UCET	1368	17551	SIPO	EF	97685855
365096	1241	1997-02-12	VYDAJ	PREVOD NA UCET	1368	21722	SIPO	EF	97685855
365097	1241	1997-03-12	VYDAJ	PREVOD NA UCET	1368	26389	SIPO	EF	97685855
365098	1241	1997-04-12	VYDAJ	PREVOD NA UCET	1368	29676	SIPO	EF	97685855
365099	1241	1997-05-12	VYDAJ	PREVOD NA UCET	1368	28674	SIPO	EF	97685855
365100	1241	1997-06-12	VYDAJ	PREVOD NA UCET	1368	30314	SIPO	EF	97685855
365101	1241	1997-07-12	VYDAJ	PREVOD NA UCET	1368	17834	SIPO	EF	97685855
365102	1241	1997-08-12	VYDAJ	PREVOD NA UCET	1368	18684	SIPO	EF	97685855
365103	1241	1997-09-12	VYDAJ	PREVOD NA UCET	1368	16233	SIPO	EF	97685855
365104	1241	1997-10-12	VYDAJ	PREVOD NA UCET	1368	15474	SIPO	EF	97685855
365105	1241	1997-11-12	VYDAJ	PREVOD NA UCET	1368	17815	SIPO	EF	97685855
365106	1241	1997-12-12	VYDAJ	PREVOD NA UCET	1368	18508	SIPO	EF	97685855
365107	1241	1998-01-12	VYDAJ	PREVOD NA UCET	1368	16416	SIPO	EF	97685855
365108	1241	1998-02-12	VYDAJ	PREVOD NA UCET	1368	16037	SIPO	EF	97685855
365109	1241	1998-03-12	VYDAJ	PREVOD NA UCET	1368	18480	SIPO	EF	97685855
365110	1241	1998-04-12	VYDAJ	PREVOD NA UCET	1368	17630	SIPO	EF	97685855
365111	1241	1998-05-12	VYDAJ	PREVOD NA UCET	1368	18177	SIPO	EF	97685855
365112	1241	1998-06-12	VYDAJ	PREVOD NA UCET	1368	19471	SIPO	EF	97685855
365113	1241	1998-07-12	VYDAJ	PREVOD NA UCET	1368	15217	SIPO	EF	97685855
365114	1241	1998-08-12	VYDAJ	PREVOD NA UCET	1368	17156	SIPO	EF	97685855
365115	1241	1998-09-12	VYDAJ	PREVOD NA UCET	1368	19103	SIPO	EF	97685855
365116	1241	1998-10-12	VYDAJ	PREVOD NA UCET	1368	21058	SIPO	EF	97685855
365117	1241	1998-11-12	VYDAJ	PREVOD NA UCET	1368	16210	SIPO	EF	97685855
365118	1241	1998-12-12	VYDAJ	PREVOD NA UCET	1368	16875	SIPO	EF	97685855
365129	1241	1996-11-14	VYDAJ	PREVOD NA UCET	2201	28758	 	IJ	21271294
365130	1241	1996-12-14	VYDAJ	PREVOD NA UCET	2201	26288	 	IJ	21271294
365131	1241	1997-01-14	VYDAJ	PREVOD NA UCET	2201	12470	 	IJ	21271294
365132	1241	1997-02-14	VYDAJ	PREVOD NA UCET	2201	19521	 	IJ	21271294
365133	1241	1997-03-14	VYDAJ	PREVOD NA UCET	2201	24188	 	IJ	21271294
365134	1241	1997-04-14	VYDAJ	PREVOD NA UCET	2201	27475	 	IJ	21271294
365135	1241	1997-05-14	VYDAJ	PREVOD NA UCET	2201	26473	 	IJ	21271294
365136	1241	1997-06-14	VYDAJ	PREVOD NA UCET	2201	13073	 	IJ	21271294
365137	1241	1997-07-14	VYDAJ	PREVOD NA UCET	2201	15633	 	IJ	21271294
365138	1241	1997-08-14	VYDAJ	PREVOD NA UCET	2201	16483	 	IJ	21271294
365139	1241	1997-09-14	VYDAJ	PREVOD NA UCET	2201	14032	 	IJ	21271294
365140	1241	1997-10-14	VYDAJ	PREVOD NA UCET	2201	13273	 	IJ	21271294
365141	1241	1997-11-14	VYDAJ	PREVOD NA UCET	2201	15614	 	IJ	21271294
365142	1241	1997-12-14	VYDAJ	PREVOD NA UCET	2201	16307	 	IJ	21271294
365143	1241	1998-01-14	VYDAJ	PREVOD NA UCET	2201	14215	 	IJ	21271294
365144	1241	1998-02-14	VYDAJ	PREVOD NA UCET	2201	13836	 	IJ	21271294
365145	1241	1998-03-14	VYDAJ	PREVOD NA UCET	2201	16279	 	IJ	21271294
365146	1241	1998-04-14	VYDAJ	PREVOD NA UCET	2201	15429	 	IJ	21271294
365147	1241	1998-05-14	VYDAJ	PREVOD NA UCET	2201	15976	 	IJ	21271294
365148	1241	1998-06-14	VYDAJ	PREVOD NA UCET	2201	17270	 	IJ	21271294
365149	1241	1998-07-14	VYDAJ	PREVOD NA UCET	2201	13016	 	IJ	21271294
365150	1241	1998-08-14	VYDAJ	PREVOD NA UCET	2201	14955	 	IJ	21271294
365151	1241	1998-09-14	VYDAJ	PREVOD NA UCET	2201	16902	 	IJ	21271294
365152	1241	1998-10-14	VYDAJ	PREVOD NA UCET	2201	18857	 	IJ	21271294
365153	1241	1998-11-14	VYDAJ	PREVOD NA UCET	2201	14009	 	IJ	21271294
365154	1241	1998-12-14	VYDAJ	PREVOD NA UCET	2201	14674	 	IJ	21271294
365165	1241	1996-11-07	VYDAJ	PREVOD NA UCET	227	32327	POJISTNE	WX	87002157
365166	1241	1996-12-07	VYDAJ	PREVOD NA UCET	227	31777	POJISTNE	WX	87002157
365167	1241	1997-01-07	VYDAJ	PREVOD NA UCET	227	21919	POJISTNE	WX	87002157
365168	1241	1997-02-07	VYDAJ	PREVOD NA UCET	227	23090	POJISTNE	WX	87002157
365169	1241	1997-03-07	VYDAJ	PREVOD NA UCET	227	27757	POJISTNE	WX	87002157
365170	1241	1997-04-07	VYDAJ	PREVOD NA UCET	227	31044	POJISTNE	WX	87002157
365171	1241	1997-05-07	VYDAJ	PREVOD NA UCET	227	30042	POJISTNE	WX	87002157
365172	1241	1997-06-07	VYDAJ	PREVOD NA UCET	227	31682	POJISTNE	WX	87002157
365173	1241	1997-07-07	VYDAJ	PREVOD NA UCET	227	19202	POJISTNE	WX	87002157
365174	1241	1997-08-07	VYDAJ	PREVOD NA UCET	227	20052	POJISTNE	WX	87002157
365175	1241	1997-09-07	VYDAJ	PREVOD NA UCET	227	17601	POJISTNE	WX	87002157
365176	1241	1997-10-07	VYDAJ	PREVOD NA UCET	227	16842	POJISTNE	WX	87002157
365177	1241	1997-11-07	VYDAJ	PREVOD NA UCET	227	19183	POJISTNE	WX	87002157
365178	1241	1997-12-07	VYDAJ	PREVOD NA UCET	227	19876	POJISTNE	WX	87002157
365179	1241	1998-01-07	VYDAJ	PREVOD NA UCET	227	17784	POJISTNE	WX	87002157
365180	1241	1998-02-07	VYDAJ	PREVOD NA UCET	227	17405	POJISTNE	WX	87002157
365181	1241	1998-03-07	VYDAJ	PREVOD NA UCET	227	19848	POJISTNE	WX	87002157
365182	1241	1998-04-07	VYDAJ	PREVOD NA UCET	227	18998	POJISTNE	WX	87002157
365183	1241	1998-05-07	VYDAJ	PREVOD NA UCET	227	19545	POJISTNE	WX	87002157
365184	1241	1998-06-07	VYDAJ	PREVOD NA UCET	227	20839	POJISTNE	WX	87002157
365185	1241	1998-07-07	VYDAJ	PREVOD NA UCET	227	16585	POJISTNE	WX	87002157
365186	1241	1998-08-07	VYDAJ	PREVOD NA UCET	227	18524	POJISTNE	WX	87002157
365187	1241	1998-09-07	VYDAJ	PREVOD NA UCET	227	20471	POJISTNE	WX	87002157
365188	1241	1998-10-07	VYDAJ	PREVOD NA UCET	227	22426	POJISTNE	WX	87002157
365189	1241	1998-11-07	VYDAJ	PREVOD NA UCET	227	17578	POJISTNE	WX	87002157
365190	1241	1998-12-07	VYDAJ	PREVOD NA UCET	227	19363	POJISTNE	WX	87002157
365192	1241	1997-06-12	VYDAJ	VYBER	15040	15274	\N	\N	\N
365197	1241	1996-12-11	VYDAJ	VYBER	1920	29857	\N	\N	\N
365198	1241	1997-12-14	VYDAJ	VYBER	3040	13267	\N	\N	\N
365199	1241	1998-12-12	VYDAJ	VYBER	1120	18243	\N	\N	\N
365206	1241	1997-01-13	VYDAJ	VYBER	2880	14671	\N	\N	\N
365207	1241	1997-01-11	VYDAJ	VYBER	1800	18919	\N	\N	\N
365210	1241	1997-01-09	VYDAJ	VYBER	1200	20719	\N	\N	\N
365211	1241	1997-01-03	VYDAJ	VYBER	2760	16452	\N	\N	\N
365214	1241	1998-01-14	VYDAJ	VYBER	1320	12895	\N	\N	\N
365216	1241	1998-01-05	VYDAJ	VYBER	1800	18011	\N	\N	\N
365221	1241	1996-12-17	VYDAJ	VYBER	5760	20528	\N	\N	\N
365230	1241	1998-12-16	VYDAJ	VYBER	720	13954	\N	\N	\N
365243	1241	1996-11-30	VYDAJ	VYBER	15	23463	SLUZBY	\N	\N
365244	1241	1996-12-31	VYDAJ	VYBER	15	19212	SLUZBY	\N	\N
365245	1241	1997-01-31	VYDAJ	VYBER	15	17623	SLUZBY	\N	\N
365246	1241	1997-02-28	VYDAJ	VYBER	15	22290	SLUZBY	\N	\N
365247	1241	1997-03-31	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
365248	1241	1997-04-30	VYDAJ	VYBER	15	24575	SLUZBY	\N	\N
365249	1241	1997-05-31	VYDAJ	VYBER	15	23368	SLUZBY	\N	\N
365250	1241	1997-06-30	VYDAJ	VYBER	15	13735	SLUZBY	\N	\N
365251	1241	1997-07-31	VYDAJ	VYBER	15	14585	SLUZBY	\N	\N
365252	1241	1997-08-31	VYDAJ	VYBER	15	12134	SLUZBY	\N	\N
365253	1241	1997-09-30	VYDAJ	VYBER	15	11375	SLUZBY	\N	\N
365254	1241	1997-10-31	VYDAJ	VYBER	15	13716	SLUZBY	\N	\N
365255	1241	1997-11-30	VYDAJ	VYBER	15	11562	SLUZBY	\N	\N
365256	1241	1997-12-31	VYDAJ	VYBER	15	14117	SLUZBY	\N	\N
365257	1241	1998-01-31	VYDAJ	VYBER	15	11938	SLUZBY	\N	\N
365258	1241	1998-02-28	VYDAJ	VYBER	15	14381	SLUZBY	\N	\N
365259	1241	1998-03-31	VYDAJ	VYBER	15	13531	SLUZBY	\N	\N
365260	1241	1998-04-30	VYDAJ	VYBER	15	14078	SLUZBY	\N	\N
365261	1241	1998-05-31	VYDAJ	VYBER	15	12525	SLUZBY	\N	\N
365262	1241	1998-06-30	VYDAJ	VYBER	15	11118	SLUZBY	\N	\N
365263	1241	1998-07-31	VYDAJ	VYBER	15	13057	SLUZBY	\N	\N
365264	1241	1998-08-31	VYDAJ	VYBER	15	15004	SLUZBY	\N	\N
365265	1241	1998-09-30	VYDAJ	VYBER	15	16959	SLUZBY	\N	\N
365266	1241	1998-10-31	VYDAJ	VYBER	15	12111	SLUZBY	\N	\N
365267	1241	1998-11-30	VYDAJ	VYBER	15	11049	SLUZBY	\N	\N
365268	1241	1996-08-01	PRIJEM	VKLAD	6200	12115	\N	\N	\N
365269	1241	1996-08-31	PRIJEM	VKLAD	3800	21678	\N	\N	\N
365270	1241	1996-09-30	VYDAJ	VYBER	2800	24662	\N	\N	\N
365271	1241	1996-10-30	VYDAJ	VYBER	3600	26756	\N	\N	\N
365272	1241	1996-11-29	VYDAJ	VYBER	5400	23358	\N	\N	\N
365273	1241	1996-12-29	VYDAJ	VYBER	1400	19128	\N	\N	\N
365274	1241	1997-01-28	PRIJEM	VKLAD	5100	17570	\N	\N	\N
365275	1241	1997-02-27	PRIJEM	VKLAD	2700	22221	\N	\N	\N
365276	1241	1997-03-29	PRIJEM	VKLAD	1300	25488	\N	\N	\N
365277	1241	1997-04-28	VYDAJ	VYBER	3000	24475	\N	\N	\N
365278	1241	1997-05-28	VYDAJ	VYBER	3200	23273	\N	\N	\N
365279	1241	1997-06-27	PRIJEM	VKLAD	600	13673	\N	\N	\N
365280	1241	1997-07-27	VYDAJ	VYBER	1100	14533	\N	\N	\N
365281	1241	1997-08-26	VYDAJ	VYBER	4400	12083	\N	\N	\N
365282	1241	1997-09-25	VYDAJ	VYBER	2700	11332	\N	\N	\N
365283	1241	1997-10-25	PRIJEM	VKLAD	400	13673	\N	\N	\N
365284	1241	1997-11-24	VYDAJ	VYBER	4100	11514	\N	\N	\N
365285	1241	1997-12-24	PRIJEM	VKLAD	800	14067	\N	\N	\N
365286	1241	1998-01-23	VYDAJ	VYBER	1000	11895	\N	\N	\N
365287	1241	1998-02-22	PRIJEM	VKLAD	500	14336	\N	\N	\N
365288	1241	1998-03-24	VYDAJ	VYBER	2800	13479	\N	\N	\N
365289	1241	1998-04-23	VYDAJ	VYBER	1400	14029	\N	\N	\N
365290	1241	1998-05-23	VYDAJ	VYBER	3500	12476	\N	\N	\N
365291	1241	1998-06-22	VYDAJ	VYBER	6200	11070	\N	\N	\N
365292	1241	1998-10-20	VYDAJ	VYBER	6800	12057	\N	\N	\N
365293	1241	1998-11-19	VYDAJ	VYBER	3000	11009	\N	\N	\N
365324	1242	1996-11-24	PRIJEM	VKLAD	200	200	\N	\N	\N
365326	1242	1996-11-25	PRIJEM	VKLAD	45043	45243	\N	\N	\N
365328	1242	1997-03-22	PRIJEM	VKLAD	22783	95136	\N	\N	\N
365329	1242	1997-09-17	PRIJEM	VKLAD	33078	49760	\N	\N	\N
365330	1242	1997-03-19	PRIJEM	VKLAD	38334	131453	\N	\N	\N
365331	1242	1997-11-25	PRIJEM	VKLAD	41573	74238	\N	\N	\N
365332	1242	1997-04-22	PRIJEM	VKLAD	11630	50770	\N	\N	\N
365333	1242	1997-02-23	PRIJEM	VKLAD	42785	92811	\N	\N	\N
365334	1242	1997-01-24	PRIJEM	VKLAD	36443	68812	\N	\N	\N
365335	1242	1998-06-07	PRIJEM	VKLAD	10187	108258	\N	\N	\N
365336	1242	1998-07-06	PRIJEM	VKLAD	13232	68687	\N	\N	\N
365337	1242	1998-09-01	PRIJEM	VKLAD	37662	129174	\N	\N	\N
365338	1242	1998-08-17	PRIJEM	VKLAD	28233	135761	\N	\N	\N
365339	1242	1998-08-03	PRIJEM	VKLAD	17211	76240	\N	\N	\N
365340	1242	1998-09-07	PRIJEM	VKLAD	20067	113244	\N	\N	\N
365341	1242	1998-01-23	PRIJEM	VKLAD	41738	64207	\N	\N	\N
365342	1242	1998-08-17	PRIJEM	VKLAD	42987	107528	\N	\N	\N
365343	1242	1998-09-21	PRIJEM	VKLAD	42646	96590	\N	\N	\N
365344	1242	1998-04-19	PRIJEM	VKLAD	47757	101054	\N	\N	\N
365345	1242	1998-04-20	PRIJEM	VKLAD	9919	110973	\N	\N	\N
365346	1242	1998-05-24	PRIJEM	VKLAD	17349	97878	\N	\N	\N
365347	1242	1998-03-15	PRIJEM	VKLAD	43448	93261	\N	\N	\N
365348	1242	1998-09-02	PRIJEM	VKLAD	23903	93177	\N	\N	\N
365349	1242	1998-04-29	PRIJEM	VKLAD	10607	78380	\N	\N	\N
365350	1242	1998-05-24	PRIJEM	VKLAD	26925	80529	\N	\N	\N
365351	1242	1998-02-28	PRIJEM	VKLAD	25087	64313	\N	\N	\N
365367	1242	1997-04-20	VYDAJ	VYBER	6000	39140	\N	\N	0
365368	1242	1997-05-09	VYDAJ	VYBER	5600	31165	\N	\N	0
365369	1242	1997-06-14	VYDAJ	VYBER	4300	16532	\N	\N	0
365370	1242	1997-07-20	VYDAJ	VYBER	5900	17501	\N	\N	0
365371	1242	1997-08-08	VYDAJ	VYBER	4700	20910	\N	\N	0
365372	1242	1997-09-12	VYDAJ	PREVOD NA UCET	5356	16682	UVER	CD	11588836
365373	1242	1997-10-12	VYDAJ	PREVOD NA UCET	5356	39316	UVER	CD	11588836
365374	1242	1997-11-12	VYDAJ	PREVOD NA UCET	5356	14487	UVER	CD	11588836
365375	1242	1997-12-12	VYDAJ	PREVOD NA UCET	5356	41692	UVER	CD	11588836
365376	1242	1998-01-12	VYDAJ	PREVOD NA UCET	5356	19365	UVER	CD	11588836
365377	1242	1998-02-12	VYDAJ	PREVOD NA UCET	5356	25560	UVER	CD	11588836
365378	1242	1998-03-12	VYDAJ	PREVOD NA UCET	5356	49813	UVER	CD	11588836
365379	1242	1998-04-12	VYDAJ	PREVOD NA UCET	5356	48197	UVER	CD	11588836
365380	1242	1998-05-12	VYDAJ	PREVOD NA UCET	5356	68300	UVER	CD	11588836
365381	1242	1998-06-12	VYDAJ	PREVOD NA UCET	5356	52158	UVER	CD	11588836
365382	1242	1998-07-12	VYDAJ	PREVOD NA UCET	5356	58383	UVER	CD	11588836
365383	1242	1998-08-12	VYDAJ	PREVOD NA UCET	5356	65937	UVER	CD	11588836
365384	1242	1998-09-12	VYDAJ	PREVOD NA UCET	5356	46444	UVER	CD	11588836
365385	1242	1998-10-12	VYDAJ	PREVOD NA UCET	5356	57537	UVER	CD	11588836
365386	1242	1998-11-12	VYDAJ	PREVOD NA UCET	5356	41796	UVER	CD	11588836
365387	1242	1998-12-12	VYDAJ	PREVOD NA UCET	5356	27807	UVER	CD	11588836
365403	1242	1997-04-07	VYDAJ	PREVOD NA UCET	4910	49274	SIPO	GH	12355560
365404	1242	1997-05-07	VYDAJ	PREVOD NA UCET	4910	36765	SIPO	GH	12355560
365405	1242	1997-06-07	VYDAJ	PREVOD NA UCET	4910	29766	SIPO	GH	12355560
365406	1242	1997-07-07	VYDAJ	PREVOD NA UCET	4910	27535	SIPO	GH	12355560
365407	1242	1997-08-07	VYDAJ	PREVOD NA UCET	4910	25610	SIPO	GH	12355560
365408	1242	1997-09-07	VYDAJ	PREVOD NA UCET	4910	26172	SIPO	GH	12355560
365409	1242	1997-10-07	VYDAJ	PREVOD NA UCET	4910	44709	SIPO	GH	12355560
365410	1242	1997-11-07	VYDAJ	PREVOD NA UCET	4910	23554	SIPO	GH	12355560
365411	1242	1997-12-07	VYDAJ	PREVOD NA UCET	4910	47507	SIPO	GH	12355560
365412	1242	1998-01-07	VYDAJ	PREVOD NA UCET	4910	31902	SIPO	GH	12355560
365413	1242	1998-02-07	VYDAJ	PREVOD NA UCET	4910	35049	SIPO	GH	12355560
365414	1242	1998-03-07	VYDAJ	PREVOD NA UCET	4910	59303	SIPO	GH	12355560
365415	1242	1998-04-07	VYDAJ	PREVOD NA UCET	4910	57686	SIPO	GH	12355560
365416	1242	1998-05-07	VYDAJ	PREVOD NA UCET	4910	73694	SIPO	GH	12355560
365417	1242	1998-06-07	VYDAJ	PREVOD NA UCET	4910	61648	SIPO	GH	12355560
365418	1242	1998-07-07	VYDAJ	PREVOD NA UCET	4910	63777	SIPO	GH	12355560
365419	1242	1998-08-07	VYDAJ	PREVOD NA UCET	4910	71330	SIPO	GH	12355560
365420	1242	1998-09-07	VYDAJ	PREVOD NA UCET	4910	55934	SIPO	GH	12355560
365421	1242	1998-10-07	VYDAJ	PREVOD NA UCET	4910	67027	SIPO	GH	12355560
365422	1242	1998-11-07	VYDAJ	PREVOD NA UCET	4910	51285	SIPO	GH	12355560
365423	1242	1998-12-07	VYDAJ	PREVOD NA UCET	4910	37296	SIPO	GH	12355560
365439	1242	1997-04-12	VYDAJ	PREVOD NA UCET	3674	45140	 	AB	62675297
365440	1242	1997-05-12	VYDAJ	PREVOD NA UCET	3674	27031	 	AB	62675297
365441	1242	1997-06-12	VYDAJ	PREVOD NA UCET	3674	20832	 	AB	62675297
365442	1242	1997-07-12	VYDAJ	PREVOD NA UCET	3674	23823	 	AB	62675297
365443	1242	1997-08-12	VYDAJ	PREVOD NA UCET	3674	17198	 	AB	62675297
365444	1242	1997-09-12	VYDAJ	PREVOD NA UCET	3674	22460	 	AB	62675297
365445	1242	1997-10-12	VYDAJ	PREVOD NA UCET	3674	35220	 	AB	62675297
365446	1242	1997-11-12	VYDAJ	PREVOD NA UCET	3674	19842	 	AB	62675297
365447	1242	1997-12-12	VYDAJ	PREVOD NA UCET	3674	38018	 	AB	62675297
365448	1242	1998-01-12	VYDAJ	PREVOD NA UCET	3674	15691	 	AB	62675297
365449	1242	1998-02-12	VYDAJ	PREVOD NA UCET	3674	30915	 	AB	62675297
365450	1242	1998-03-12	VYDAJ	PREVOD NA UCET	3674	55169	 	AB	62675297
365451	1242	1998-04-12	VYDAJ	PREVOD NA UCET	3674	53552	 	AB	62675297
365452	1242	1998-05-12	VYDAJ	PREVOD NA UCET	3674	64626	 	AB	62675297
365453	1242	1998-06-12	VYDAJ	PREVOD NA UCET	3674	57936	 	AB	62675297
365454	1242	1998-07-12	VYDAJ	PREVOD NA UCET	3674	54287	 	AB	62675297
365455	1242	1998-08-12	VYDAJ	PREVOD NA UCET	3674	61841	 	AB	62675297
365456	1242	1998-09-12	VYDAJ	PREVOD NA UCET	3674	51800	 	AB	62675297
365457	1242	1998-10-12	VYDAJ	PREVOD NA UCET	3674	62893	 	AB	62675297
365458	1242	1998-11-12	VYDAJ	PREVOD NA UCET	3674	47573	 	AB	62675297
365459	1242	1998-12-12	VYDAJ	PREVOD NA UCET	3674	33584	 	AB	62675297
365475	1242	1997-04-12	VYDAJ	PREVOD NA UCET	422	48814	POJISTNE	OP	25744539
365476	1242	1997-05-12	VYDAJ	PREVOD NA UCET	422	30705	POJISTNE	OP	25744539
365477	1242	1997-06-12	VYDAJ	PREVOD NA UCET	422	24506	POJISTNE	OP	25744539
365478	1242	1997-07-12	VYDAJ	PREVOD NA UCET	422	23401	POJISTNE	OP	25744539
365479	1242	1997-08-12	VYDAJ	PREVOD NA UCET	422	16776	POJISTNE	OP	25744539
365480	1242	1997-09-12	VYDAJ	PREVOD NA UCET	422	22038	POJISTNE	OP	25744539
365481	1242	1997-10-12	VYDAJ	PREVOD NA UCET	422	38894	POJISTNE	OP	25744539
365482	1242	1997-11-12	VYDAJ	PREVOD NA UCET	422	14065	POJISTNE	OP	25744539
365483	1242	1997-12-12	VYDAJ	PREVOD NA UCET	422	47047	POJISTNE	OP	25744539
365484	1242	1998-01-12	VYDAJ	PREVOD NA UCET	422	15269	POJISTNE	OP	25744539
365485	1242	1998-02-12	VYDAJ	PREVOD NA UCET	422	34589	POJISTNE	OP	25744539
365486	1242	1998-03-12	VYDAJ	PREVOD NA UCET	422	58843	POJISTNE	OP	25744539
365487	1242	1998-04-12	VYDAJ	PREVOD NA UCET	422	57226	POJISTNE	OP	25744539
365488	1242	1998-05-12	VYDAJ	PREVOD NA UCET	422	64204	POJISTNE	OP	25744539
365489	1242	1998-06-12	VYDAJ	PREVOD NA UCET	422	57514	POJISTNE	OP	25744539
365490	1242	1998-07-12	VYDAJ	PREVOD NA UCET	422	57961	POJISTNE	OP	25744539
365491	1242	1998-08-12	VYDAJ	PREVOD NA UCET	422	65515	POJISTNE	OP	25744539
365492	1242	1998-09-12	VYDAJ	PREVOD NA UCET	422	55474	POJISTNE	OP	25744539
365493	1242	1998-10-12	VYDAJ	PREVOD NA UCET	422	66567	POJISTNE	OP	25744539
365494	1242	1998-11-12	VYDAJ	PREVOD NA UCET	422	47151	POJISTNE	OP	25744539
365495	1242	1998-12-12	VYDAJ	PREVOD NA UCET	422	33162	POJISTNE	OP	25744539
365511	1242	1997-04-11	VYDAJ	PREVOD NA UCET	38	49236	 	UV	13214141
365512	1242	1997-05-11	VYDAJ	PREVOD NA UCET	38	31127	 	UV	13214141
365513	1242	1997-06-11	VYDAJ	PREVOD NA UCET	38	24928	 	UV	13214141
365514	1242	1997-07-11	VYDAJ	PREVOD NA UCET	38	27497	 	UV	13214141
365515	1242	1997-08-11	VYDAJ	PREVOD NA UCET	38	20872	 	UV	13214141
365516	1242	1997-09-11	VYDAJ	PREVOD NA UCET	38	26134	 	UV	13214141
365517	1242	1997-10-11	VYDAJ	PREVOD NA UCET	38	44671	 	UV	13214141
365518	1242	1997-11-11	VYDAJ	PREVOD NA UCET	38	23516	 	UV	13214141
365519	1242	1997-12-11	VYDAJ	PREVOD NA UCET	38	47469	 	UV	13214141
365520	1242	1998-01-11	VYDAJ	PREVOD NA UCET	38	24721	 	UV	13214141
365521	1242	1998-02-11	VYDAJ	PREVOD NA UCET	38	35011	 	UV	13214141
365522	1242	1998-03-11	VYDAJ	PREVOD NA UCET	38	59265	 	UV	13214141
365523	1242	1998-04-11	VYDAJ	PREVOD NA UCET	38	57648	 	UV	13214141
365524	1242	1998-05-11	VYDAJ	PREVOD NA UCET	38	73656	 	UV	13214141
365525	1242	1998-06-11	VYDAJ	PREVOD NA UCET	38	61610	 	UV	13214141
365526	1242	1998-07-11	VYDAJ	PREVOD NA UCET	38	63739	 	UV	13214141
365527	1242	1998-08-11	VYDAJ	PREVOD NA UCET	38	71292	 	UV	13214141
365528	1242	1998-09-11	VYDAJ	PREVOD NA UCET	38	55896	 	UV	13214141
365529	1242	1998-10-11	VYDAJ	PREVOD NA UCET	38	66989	 	UV	13214141
365530	1242	1998-11-11	VYDAJ	PREVOD NA UCET	38	51247	 	UV	13214141
365531	1242	1998-12-11	VYDAJ	PREVOD NA UCET	38	37258	 	UV	13214141
365537	1242	1997-11-06	VYBER	VYBER	13337	28464	\N	\N	\N
365544	1242	1997-11-27	VYBER	VYBER	12856	61382	\N	\N	\N
365545	1242	1997-12-07	VYBER	VYBER	9011	52417	\N	\N	\N
365547	1242	1998-01-08	VYBER	VYBER	7143	24759	\N	\N	\N
365548	1242	1998-03-19	VYBER	VYBER	17763	75498	\N	\N	\N
365549	1242	1998-09-29	VYBER	VYBER	24857	71733	\N	\N	\N
365557	1242	1997-12-24	VYDAJ	VYBER	2100	36718	\N	\N	\N
365558	1242	1998-12-01	VYDAJ	VYBER	3900	42206	\N	\N	\N
365571	1242	1998-01-22	VYDAJ	VYBER	5100	22469	\N	\N	\N
365573	1242	1998-01-29	VYDAJ	VYBER	7200	53707	\N	\N	\N
365574	1242	1998-01-19	VYDAJ	VYBER	1500	30269	\N	\N	\N
365575	1242	1998-01-23	VYDAJ	VYBER	3300	60907	\N	\N	\N
365576	1242	1998-01-20	VYDAJ	VYBER	2700	27569	\N	\N	\N
365581	1242	1997-06-08	VYDAJ	VYBER	4800	24966	\N	\N	\N
365582	1242	1997-04-07	VYDAJ	VYBER	9900	54184	\N	\N	\N
365583	1242	1997-12-20	VYDAJ	VYBER	4800	38818	\N	\N	\N
365585	1242	1998-02-02	VYDAJ	VYBER	13800	39959	\N	\N	\N
365586	1242	1998-12-27	VYDAJ	VYBER	9600	32107	\N	\N	\N
365587	1242	1998-11-27	VYDAJ	VYBER	2700	45996	\N	\N	\N
365588	1242	1998-05-14	VYDAJ	VYBER	11700	52504	\N	\N	\N
365589	1242	1998-04-20	VYDAJ	VYBER	6300	67773	\N	\N	\N
365605	1242	1997-03-31	VYDAJ	VYBER	100	64084	SLUZBY	\N	\N
365606	1242	1997-04-30	VYDAJ	VYBER	100	41675	SLUZBY	\N	\N
365607	1242	1997-05-31	VYDAJ	VYBER	100	34676	SLUZBY	\N	\N
365608	1242	1997-06-30	VYDAJ	VYBER	100	32445	SLUZBY	\N	\N
365609	1242	1997-07-31	VYDAJ	VYBER	100	30520	SLUZBY	\N	\N
365610	1242	1997-08-31	VYDAJ	VYBER	100	31082	SLUZBY	\N	\N
365611	1242	1997-09-30	VYDAJ	VYBER	100	49619	SLUZBY	\N	\N
365612	1242	1997-10-31	VYDAJ	VYBER	100	41801	SLUZBY	\N	\N
365613	1242	1997-11-30	VYDAJ	VYBER	100	61428	SLUZBY	\N	\N
365614	1242	1997-12-31	VYDAJ	VYBER	100	36812	SLUZBY	\N	\N
365615	1242	1998-01-31	VYDAJ	VYBER	100	53759	SLUZBY	\N	\N
365616	1242	1998-02-28	VYDAJ	VYBER	100	64213	SLUZBY	\N	\N
365617	1242	1998-03-31	VYDAJ	VYBER	100	62596	SLUZBY	\N	\N
365618	1242	1998-04-30	VYDAJ	VYBER	100	78604	SLUZBY	\N	\N
365619	1242	1998-05-31	VYDAJ	VYBER	100	98071	SLUZBY	\N	\N
365620	1242	1998-06-30	VYDAJ	VYBER	100	55455	SLUZBY	\N	\N
365621	1242	1998-07-31	VYDAJ	VYBER	100	59029	SLUZBY	\N	\N
365622	1242	1998-08-31	VYDAJ	VYBER	100	91512	SLUZBY	\N	\N
365623	1242	1998-09-30	VYDAJ	VYBER	100	71937	SLUZBY	\N	\N
365624	1242	1998-10-31	VYDAJ	VYBER	100	56195	SLUZBY	\N	\N
365625	1242	1998-11-30	VYDAJ	VYBER	100	46106	SLUZBY	\N	\N
365626	1242	1996-12-24	VYDAJ	VYBER	7300	37981	\N	\N	\N
365627	1242	1997-01-23	VYDAJ	VYBER	5800	32369	\N	\N	\N
365628	1242	1997-02-22	VYDAJ	VYBER	19000	50026	\N	\N	\N
365629	1242	1997-03-19	VYDAJ	VYBER	59100	72353	\N	\N	\N
365630	1242	1997-03-24	VYDAJ	VYBER	31300	63836	\N	\N	\N
365631	1242	1997-04-23	VYDAJ	VYBER	9200	41570	\N	\N	\N
365632	1242	1997-05-23	PRIJEM	VKLAD	7600	34631	\N	\N	\N
365633	1242	1997-06-22	PRIJEM	VKLAD	15900	32432	\N	\N	\N
365634	1242	1997-07-22	PRIJEM	VKLAD	13000	30501	\N	\N	\N
365635	1242	1997-08-21	PRIJEM	VKLAD	14300	31076	\N	\N	\N
365636	1242	1997-09-20	VYDAJ	VYBER	200	49560	\N	\N	\N
365637	1242	1997-10-20	PRIJEM	VKLAD	6500	41720	\N	\N	\N
365638	1242	1997-11-19	PRIJEM	VKLAD	18600	32665	\N	\N	\N
365639	1242	1997-12-19	PRIJEM	VKLAD	5600	43618	\N	\N	\N
365640	1242	1998-01-18	PRIJEM	VKLAD	16500	31769	\N	\N	\N
365641	1242	1998-02-17	PRIJEM	VKLAD	13500	39060	\N	\N	\N
365642	1242	1998-03-19	VYDAJ	VYBER	13100	62398	\N	\N	\N
365643	1242	1998-04-18	PRIJEM	VKLAD	5100	53297	\N	\N	\N
365644	1242	1998-04-20	VYDAJ	VYBER	36900	74073	\N	\N	\N
365645	1242	1998-05-18	PRIJEM	VKLAD	1100	53604	\N	\N	\N
365646	1242	1998-06-07	VYDAJ	VYBER	41700	66558	\N	\N	\N
365647	1242	1998-06-17	PRIJEM	VKLAD	3100	55258	\N	\N	\N
365648	1242	1998-07-17	PRIJEM	VKLAD	4600	58887	\N	\N	\N
365649	1242	1998-08-16	PRIJEM	VKLAD	2700	64541	\N	\N	\N
365650	1242	1998-08-17	VYDAJ	VYBER	44500	91261	\N	\N	\N
365651	1242	1998-09-01	VYDAJ	VYBER	59900	69274	\N	\N	\N
365652	1242	1998-09-07	VYDAJ	VYBER	52400	60844	\N	\N	\N
365653	1242	1998-09-15	PRIJEM	VKLAD	7500	53944	\N	\N	\N
365654	1242	1998-10-15	VYDAJ	VYBER	1500	56037	\N	\N	\N
365655	1242	1998-11-14	PRIJEM	VKLAD	6900	48696	\N	\N	\N
365656	1242	1998-12-14	PRIJEM	VKLAD	13900	41707	\N	\N	\N
365683	1243	1996-01-07	PRIJEM	VKLAD	200	200	\N	\N	\N
365684	1243	1996-09-11	PRIJEM	VKLAD	44931	79402	\N	\N	\N
365685	1243	1996-08-15	PRIJEM	VKLAD	21664	46764	\N	\N	\N
365686	1243	1997-04-28	PRIJEM	VKLAD	11497	37425	\N	\N	\N
365687	1243	1997-06-02	PRIJEM	VKLAD	9067	43874	\N	\N	\N
365688	1243	1998-12-21	PRIJEM	VKLAD	44861	110210	\N	\N	\N
365689	1243	1998-08-15	PRIJEM	VKLAD	46024	106694	\N	\N	\N
365698	1243	1998-12-17	VYDAJ	VYBER KARTOU	1500	65349	\N	\N	0
365727	1243	1998-12-05	VYDAJ	VYBER KARTOU	1000	66849	\N	\N	0
365729	1243	1998-08-31	VYDAJ	VYBER KARTOU	300	84803	\N	\N	0
365764	1243	1998-08-31	VYDAJ	VYBER	15	85103	SLUZBY	\N	\N
365765	1243	1998-09-30	VYDAJ	VYBER	15	79440	SLUZBY	\N	\N
365766	1243	1998-10-31	VYDAJ	VYBER	15	74355	SLUZBY	\N	\N
365767	1243	1998-11-30	VYDAJ	VYBER	15	67849	SLUZBY	\N	\N
365768	1243	1996-02-06	PRIJEM	VKLAD	10900	11100	\N	\N	\N
365769	1243	1996-03-07	PRIJEM	VKLAD	10400	21500	\N	\N	\N
365770	1243	1996-04-06	PRIJEM	VKLAD	7200	28700	\N	\N	\N
365771	1243	1996-05-06	PRIJEM	VKLAD	1300	30000	\N	\N	\N
365772	1243	1996-06-05	VYDAJ	VYBER	1500	28500	\N	\N	\N
365773	1243	1996-08-04	VYDAJ	VYBER	3400	25100	\N	\N	\N
365774	1243	1996-09-03	VYDAJ	VYBER	12400	34471	\N	\N	\N
365775	1243	1996-10-03	VYDAJ	VYBER	27300	52387	\N	\N	\N
365776	1243	1996-11-02	VYDAJ	VYBER	16100	36618	\N	\N	\N
365777	1243	1996-12-02	VYDAJ	VYBER	6600	30349	\N	\N	\N
365778	1243	1997-01-01	PRIJEM	VKLAD	600	31280	\N	\N	\N
365779	1243	1997-01-31	VYDAJ	VYBER	1900	29704	\N	\N	\N
365780	1243	1997-03-02	VYDAJ	VYBER	2300	27404	\N	\N	\N
365781	1243	1997-04-01	VYDAJ	VYBER	1600	25928	\N	\N	\N
365782	1243	1997-05-01	VYDAJ	VYBER	2000	35552	\N	\N	\N
365783	1243	1997-05-31	VYDAJ	VYBER	900	34807	\N	\N	\N
365784	1243	1997-06-30	VYDAJ	VYBER	1000	43020	\N	\N	\N
365785	1243	1997-07-30	VYDAJ	VYBER	3600	39420	\N	\N	\N
365786	1243	1997-08-29	PRIJEM	VKLAD	1100	40700	\N	\N	\N
365787	1243	1997-09-28	PRIJEM	VKLAD	3700	44579	\N	\N	\N
365788	1243	1997-10-28	PRIJEM	VKLAD	2000	46758	\N	\N	\N
365789	1243	1997-12-27	PRIJEM	VKLAD	2900	49837	\N	\N	\N
365790	1243	1998-01-26	PRIJEM	VKLAD	700	50716	\N	\N	\N
365791	1243	1998-02-25	VYDAJ	VYBER KARTOU	500	50395	\N	\N	0
365792	1243	1998-03-27	PRIJEM	VKLAD	100	50674	\N	\N	\N
365793	1243	1998-04-26	PRIJEM	VKLAD	2300	53153	\N	\N	\N
365794	1243	1998-05-26	PRIJEM	VKLAD	3900	57232	\N	\N	\N
365795	1243	1998-06-25	PRIJEM	VKLAD	1200	58612	\N	\N	\N
365796	1243	1998-07-25	PRIJEM	VKLAD	1700	60491	\N	\N	\N
365797	1243	1998-08-24	VYDAJ	VYBER	21800	84894	\N	\N	\N
365798	1243	1998-09-23	VYDAJ	VYBER	5700	79103	\N	\N	\N
365799	1243	1998-10-23	VYDAJ	VYBER	5400	74040	\N	\N	\N
365800	1243	1998-11-22	VYDAJ	VYBER	6800	67555	\N	\N	\N
365828	1244	1996-05-08	PRIJEM	VKLAD	900	900	\N	\N	\N
365834	1244	1996-06-06	PRIJEM	VKLAD	7842	8742	\N	\N	\N
365835	1244	1996-07-06	PRIJEM	VKLAD	5228	19618	\N	\N	\N
365836	1244	1996-08-06	PRIJEM	VKLAD	5228	27525	\N	\N	\N
365837	1244	1996-09-06	PRIJEM	VKLAD	5228	34144	\N	\N	\N
365838	1244	1996-10-06	PRIJEM	VKLAD	5228	32307	\N	\N	\N
365839	1244	1996-11-06	PRIJEM	VKLAD	5228	29165	\N	\N	\N
365840	1244	1996-12-06	PRIJEM	VKLAD	7842	28637	\N	\N	\N
365841	1244	1997-01-06	PRIJEM	VKLAD	5228	22150	\N	\N	\N
365842	1244	1997-02-06	PRIJEM	VKLAD	5228	23179	\N	\N	\N
365843	1244	1997-03-06	PRIJEM	VKLAD	5228	22824	\N	\N	\N
365844	1244	1997-04-06	PRIJEM	VKLAD	5228	16706	\N	\N	\N
365845	1244	1997-05-06	PRIJEM	VKLAD	5228	14750	\N	\N	\N
365846	1244	1997-06-06	PRIJEM	VKLAD	7842	20700	\N	\N	\N
365847	1244	1997-07-06	PRIJEM	VKLAD	5228	16556	\N	\N	\N
365848	1244	1997-08-06	PRIJEM	VKLAD	5228	16721	\N	\N	\N
365849	1244	1997-09-06	PRIJEM	VKLAD	5228	20264	\N	\N	\N
365850	1244	1997-10-06	PRIJEM	VKLAD	5228	18221	\N	\N	\N
365851	1244	1997-11-06	PRIJEM	VKLAD	5228	17269	\N	\N	\N
365852	1244	1997-12-06	PRIJEM	VKLAD	7842	20928	\N	\N	\N
365853	1244	1998-01-06	PRIJEM	VKLAD	5228	13784	\N	\N	\N
365854	1244	1998-02-06	PRIJEM	VKLAD	5228	14814	\N	\N	\N
365855	1244	1998-03-06	PRIJEM	VKLAD	5228	16449	\N	\N	\N
365856	1244	1998-04-06	PRIJEM	VKLAD	5228	15790	\N	\N	\N
365857	1244	1998-05-06	PRIJEM	VKLAD	5228	16829	\N	\N	\N
365858	1244	1998-06-06	PRIJEM	VKLAD	7842	20485	\N	\N	\N
365859	1244	1998-07-06	PRIJEM	VKLAD	5228	19040	\N	\N	\N
365860	1244	1998-08-06	PRIJEM	VKLAD	5228	18889	\N	\N	\N
365861	1244	1998-09-06	PRIJEM	VKLAD	5228	16238	\N	\N	\N
365862	1244	1998-10-06	PRIJEM	VKLAD	5228	15777	\N	\N	\N
365863	1244	1998-11-06	PRIJEM	VKLAD	5228	16815	\N	\N	\N
365864	1244	1998-12-06	PRIJEM	VKLAD	7842	20472	\N	\N	\N
365874	1244	1996-10-07	VYDAJ	PREVOD NA UCET	903	31404	SIPO	EF	22533941
365875	1244	1996-11-07	VYDAJ	PREVOD NA UCET	903	25982	SIPO	EF	22533941
365876	1244	1996-12-07	VYDAJ	PREVOD NA UCET	903	27734	SIPO	EF	22533941
365877	1244	1997-01-07	VYDAJ	PREVOD NA UCET	903	21247	SIPO	EF	22533941
365878	1244	1997-02-07	VYDAJ	PREVOD NA UCET	903	18316	SIPO	EF	22533941
365879	1244	1997-03-07	VYDAJ	PREVOD NA UCET	903	21921	SIPO	EF	22533941
365880	1244	1997-04-07	VYDAJ	PREVOD NA UCET	903	15803	SIPO	EF	22533941
365881	1244	1997-05-07	VYDAJ	PREVOD NA UCET	903	13847	SIPO	EF	22533941
365882	1244	1997-06-07	VYDAJ	PREVOD NA UCET	903	19797	SIPO	EF	22533941
365883	1244	1997-07-07	VYDAJ	PREVOD NA UCET	903	15653	SIPO	EF	22533941
365884	1244	1997-08-07	VYDAJ	PREVOD NA UCET	903	15818	SIPO	EF	22533941
365885	1244	1997-09-07	VYDAJ	PREVOD NA UCET	903	19361	SIPO	EF	22533941
365886	1244	1997-10-07	VYDAJ	PREVOD NA UCET	903	17318	SIPO	EF	22533941
365887	1244	1997-11-07	VYDAJ	PREVOD NA UCET	903	16366	SIPO	EF	22533941
365888	1244	1997-12-07	VYDAJ	PREVOD NA UCET	903	20025	SIPO	EF	22533941
365889	1244	1998-01-07	VYDAJ	PREVOD NA UCET	903	12881	SIPO	EF	22533941
365890	1244	1998-02-07	VYDAJ	PREVOD NA UCET	903	13911	SIPO	EF	22533941
365891	1244	1998-03-07	VYDAJ	PREVOD NA UCET	903	15546	SIPO	EF	22533941
365892	1244	1998-04-07	VYDAJ	PREVOD NA UCET	903	14887	SIPO	EF	22533941
365893	1244	1998-05-07	VYDAJ	PREVOD NA UCET	903	15926	SIPO	EF	22533941
365894	1244	1998-06-07	VYDAJ	PREVOD NA UCET	903	19582	SIPO	EF	22533941
365895	1244	1998-07-07	VYDAJ	PREVOD NA UCET	903	18137	SIPO	EF	22533941
365896	1244	1998-08-07	VYDAJ	PREVOD NA UCET	903	17986	SIPO	EF	22533941
365897	1244	1998-09-07	VYDAJ	PREVOD NA UCET	903	15335	SIPO	EF	22533941
365898	1244	1998-10-07	VYDAJ	PREVOD NA UCET	903	14874	SIPO	EF	22533941
365899	1244	1998-11-07	VYDAJ	PREVOD NA UCET	903	15912	SIPO	EF	22533941
365900	1244	1998-12-07	VYDAJ	PREVOD NA UCET	903	19569	SIPO	EF	22533941
365911	1244	1996-11-05	VYDAJ	PREVOD NA UCET	2122	23937	 	IJ	81744551
365912	1244	1996-12-05	VYDAJ	PREVOD NA UCET	2122	21701	 	IJ	81744551
365913	1244	1997-01-05	VYDAJ	PREVOD NA UCET	2122	16922	 	IJ	81744551
365914	1244	1997-02-05	VYDAJ	PREVOD NA UCET	2122	18357	 	IJ	81744551
365915	1244	1997-03-05	VYDAJ	PREVOD NA UCET	2122	17596	 	IJ	81744551
365916	1244	1997-04-05	VYDAJ	PREVOD NA UCET	2122	11884	 	IJ	81744551
365917	1244	1997-05-05	VYDAJ	PREVOD NA UCET	2122	9522	 	IJ	81744551
365918	1244	1997-06-05	VYDAJ	PREVOD NA UCET	2122	13264	 	IJ	81744551
365919	1244	1997-07-05	VYDAJ	PREVOD NA UCET	2122	11734	 	IJ	81744551
365920	1244	1997-08-05	VYDAJ	PREVOD NA UCET	2122	11899	 	IJ	81744551
365921	1244	1997-09-05	VYDAJ	PREVOD NA UCET	2122	15036	 	IJ	81744551
365922	1244	1997-10-05	VYDAJ	PREVOD NA UCET	2122	13399	 	IJ	81744551
365923	1244	1997-11-05	VYDAJ	PREVOD NA UCET	2122	12447	 	IJ	81744551
365924	1244	1997-12-05	VYDAJ	PREVOD NA UCET	2122	13086	 	IJ	81744551
365925	1244	1998-01-05	VYDAJ	PREVOD NA UCET	2122	8556	 	IJ	81744551
365926	1244	1998-02-05	VYDAJ	PREVOD NA UCET	2122	9586	 	IJ	81744551
365927	1244	1998-03-05	VYDAJ	PREVOD NA UCET	2122	11221	 	IJ	81744551
365928	1244	1998-04-05	VYDAJ	PREVOD NA UCET	2122	10562	 	IJ	81744551
365929	1244	1998-05-05	VYDAJ	PREVOD NA UCET	2122	12007	 	IJ	81744551
365930	1244	1998-06-05	VYDAJ	PREVOD NA UCET	2122	13049	 	IJ	81744551
365931	1244	1998-07-05	VYDAJ	PREVOD NA UCET	2122	13812	 	IJ	81744551
365932	1244	1998-08-05	VYDAJ	PREVOD NA UCET	2122	14067	 	IJ	81744551
365933	1244	1998-09-05	VYDAJ	PREVOD NA UCET	2122	11010	 	IJ	81744551
365934	1244	1998-10-05	VYDAJ	PREVOD NA UCET	2122	10955	 	IJ	81744551
365935	1244	1998-11-05	VYDAJ	PREVOD NA UCET	2122	11993	 	IJ	81744551
365936	1244	1998-12-05	VYDAJ	PREVOD NA UCET	2122	12630	 	IJ	81744551
365947	1244	1996-11-05	VYDAJ	PREVOD NA UCET	406	26059	POJISTNE	WX	97042274
365948	1244	1996-12-05	VYDAJ	PREVOD NA UCET	406	20795	POJISTNE	WX	97042274
365949	1244	1997-01-05	VYDAJ	PREVOD NA UCET	406	19044	POJISTNE	WX	97042274
365950	1244	1997-02-05	VYDAJ	PREVOD NA UCET	406	17951	POJISTNE	WX	97042274
365951	1244	1997-03-05	VYDAJ	PREVOD NA UCET	406	19718	POJISTNE	WX	97042274
365952	1244	1997-04-05	VYDAJ	PREVOD NA UCET	406	11478	POJISTNE	WX	97042274
365953	1244	1997-05-05	VYDAJ	PREVOD NA UCET	406	11644	POJISTNE	WX	97042274
365954	1244	1997-06-05	VYDAJ	PREVOD NA UCET	406	12858	POJISTNE	WX	97042274
365955	1244	1997-07-05	VYDAJ	PREVOD NA UCET	406	11328	POJISTNE	WX	97042274
365956	1244	1997-08-05	VYDAJ	PREVOD NA UCET	406	11493	POJISTNE	WX	97042274
365957	1244	1997-09-05	VYDAJ	PREVOD NA UCET	406	17158	POJISTNE	WX	97042274
365958	1244	1997-10-05	VYDAJ	PREVOD NA UCET	406	12993	POJISTNE	WX	97042274
365959	1244	1997-11-05	VYDAJ	PREVOD NA UCET	406	12041	POJISTNE	WX	97042274
365960	1244	1997-12-05	VYDAJ	PREVOD NA UCET	406	15208	POJISTNE	WX	97042274
365961	1244	1998-01-05	VYDAJ	PREVOD NA UCET	406	10678	POJISTNE	WX	97042274
365962	1244	1998-02-05	VYDAJ	PREVOD NA UCET	406	11708	POJISTNE	WX	97042274
365963	1244	1998-03-05	VYDAJ	PREVOD NA UCET	406	13343	POJISTNE	WX	97042274
365964	1244	1998-04-05	VYDAJ	PREVOD NA UCET	406	12684	POJISTNE	WX	97042274
365965	1244	1998-05-05	VYDAJ	PREVOD NA UCET	406	11601	POJISTNE	WX	97042274
365966	1244	1998-06-05	VYDAJ	PREVOD NA UCET	406	12643	POJISTNE	WX	97042274
365967	1244	1998-07-05	VYDAJ	PREVOD NA UCET	406	15934	POJISTNE	WX	97042274
365968	1244	1998-08-05	VYDAJ	PREVOD NA UCET	406	13661	POJISTNE	WX	97042274
365969	1244	1998-09-05	VYDAJ	PREVOD NA UCET	406	13132	POJISTNE	WX	97042274
365970	1244	1998-10-05	VYDAJ	PREVOD NA UCET	406	10549	POJISTNE	WX	97042274
365971	1244	1998-11-05	VYDAJ	PREVOD NA UCET	406	11587	POJISTNE	WX	97042274
365972	1244	1998-12-05	VYDAJ	PREVOD NA UCET	406	14752	POJISTNE	WX	97042274
365982	1244	1996-10-14	VYDAJ	PREVOD NA UCET	54	30350	 	QR	49724513
365983	1244	1996-11-14	VYDAJ	PREVOD NA UCET	54	25228	 	QR	49724513
365984	1244	1996-12-14	VYDAJ	PREVOD NA UCET	54	27680	 	QR	49724513
365985	1244	1997-01-14	VYDAJ	PREVOD NA UCET	54	21193	 	QR	49724513
365986	1244	1997-02-14	VYDAJ	PREVOD NA UCET	54	18262	 	QR	49724513
365987	1244	1997-03-14	VYDAJ	PREVOD NA UCET	54	21119	 	QR	49724513
365988	1244	1997-04-14	VYDAJ	PREVOD NA UCET	54	15001	 	QR	49724513
365989	1244	1997-05-14	VYDAJ	PREVOD NA UCET	54	13045	 	QR	49724513
365990	1244	1997-06-14	VYDAJ	PREVOD NA UCET	54	18995	 	QR	49724513
365991	1244	1997-07-14	VYDAJ	PREVOD NA UCET	54	14851	 	QR	49724513
365992	1244	1997-08-14	VYDAJ	PREVOD NA UCET	54	15016	 	QR	49724513
365993	1244	1997-09-14	VYDAJ	PREVOD NA UCET	54	18559	 	QR	49724513
365994	1244	1997-10-14	VYDAJ	PREVOD NA UCET	54	16516	 	QR	49724513
365995	1244	1997-11-14	VYDAJ	PREVOD NA UCET	54	15564	 	QR	49724513
365996	1244	1997-12-14	VYDAJ	PREVOD NA UCET	54	19223	 	QR	49724513
365997	1244	1998-01-14	VYDAJ	PREVOD NA UCET	54	12079	 	QR	49724513
365998	1244	1998-02-14	VYDAJ	PREVOD NA UCET	54	13109	 	QR	49724513
365999	1244	1998-03-14	VYDAJ	PREVOD NA UCET	54	14744	 	QR	49724513
366000	1244	1998-04-14	VYDAJ	PREVOD NA UCET	54	14085	 	QR	49724513
366001	1244	1998-05-14	VYDAJ	PREVOD NA UCET	54	15124	 	QR	49724513
366002	1244	1998-06-14	VYDAJ	PREVOD NA UCET	54	18780	 	QR	49724513
366003	1244	1998-07-14	VYDAJ	PREVOD NA UCET	54	16135	 	QR	49724513
366004	1244	1998-08-14	VYDAJ	PREVOD NA UCET	54	17184	 	QR	49724513
366005	1244	1998-09-14	VYDAJ	PREVOD NA UCET	54	14533	 	QR	49724513
366006	1244	1998-10-14	VYDAJ	PREVOD NA UCET	54	14072	 	QR	49724513
366007	1244	1998-11-14	VYDAJ	PREVOD NA UCET	54	15110	 	QR	49724513
366008	1244	1998-12-14	VYDAJ	PREVOD NA UCET	54	18767	 	QR	49724513
366018	1244	1996-10-13	VYDAJ	VYBER	1000	30404	\N	\N	0
366019	1244	1996-11-13	VYDAJ	VYBER	700	25282	\N	\N	0
366020	1244	1996-12-05	VYDAJ	VYBER	500	21201	\N	\N	0
366021	1244	1997-01-17	VYDAJ	VYBER	600	17713	\N	\N	0
366022	1244	1997-02-19	VYDAJ	VYBER	600	17662	\N	\N	0
366023	1244	1997-03-12	VYDAJ	PREVOD NA UCET	748	21173	UVER	AB	67696446
366024	1244	1997-04-12	VYDAJ	PREVOD NA UCET	748	15055	UVER	AB	67696446
366025	1244	1997-05-12	VYDAJ	PREVOD NA UCET	748	13099	UVER	AB	67696446
366026	1244	1997-06-12	VYDAJ	PREVOD NA UCET	748	19049	UVER	AB	67696446
366027	1244	1997-07-12	VYDAJ	PREVOD NA UCET	748	14905	UVER	AB	67696446
366028	1244	1997-08-12	VYDAJ	PREVOD NA UCET	748	15070	UVER	AB	67696446
366029	1244	1997-09-12	VYDAJ	PREVOD NA UCET	748	18613	UVER	AB	67696446
366030	1244	1997-10-12	VYDAJ	PREVOD NA UCET	748	16570	UVER	AB	67696446
366031	1244	1997-11-12	VYDAJ	PREVOD NA UCET	748	15618	UVER	AB	67696446
366032	1244	1997-12-12	VYDAJ	PREVOD NA UCET	748	19277	UVER	AB	67696446
366033	1244	1998-01-12	VYDAJ	PREVOD NA UCET	748	12133	UVER	AB	67696446
366034	1244	1998-02-12	VYDAJ	PREVOD NA UCET	748	13163	UVER	AB	67696446
366035	1244	1998-03-12	VYDAJ	PREVOD NA UCET	748	14798	UVER	AB	67696446
366036	1244	1998-04-12	VYDAJ	PREVOD NA UCET	748	14139	UVER	AB	67696446
366037	1244	1998-05-12	VYDAJ	PREVOD NA UCET	748	15178	UVER	AB	67696446
366038	1244	1998-06-12	VYDAJ	PREVOD NA UCET	748	18834	UVER	AB	67696446
366039	1244	1998-07-12	VYDAJ	PREVOD NA UCET	748	17389	UVER	AB	67696446
366040	1244	1998-08-12	VYDAJ	PREVOD NA UCET	748	17238	UVER	AB	67696446
366041	1244	1998-09-12	VYDAJ	PREVOD NA UCET	748	14587	UVER	AB	67696446
366042	1244	1998-10-12	VYDAJ	PREVOD NA UCET	748	14126	UVER	AB	67696446
366043	1244	1998-11-12	VYDAJ	PREVOD NA UCET	748	15164	UVER	AB	67696446
366044	1244	1998-12-12	VYDAJ	PREVOD NA UCET	748	18821	UVER	AB	67696446
366048	1244	1996-12-19	VYDAJ	VYBER	4640	23040	\N	\N	\N
366052	1244	1996-11-06	VYDAJ	VYBER	2280	26885	\N	\N	\N
366057	1244	1997-02-06	VYDAJ	VYBER	3960	19219	\N	\N	\N
366059	1244	1997-01-03	VYDAJ	VYBER	5280	19450	\N	\N	\N
366060	1244	1997-03-27	VYDAJ	VYBER	5880	15239	\N	\N	\N
366061	1244	1997-01-16	VYDAJ	VYBER	2880	18313	\N	\N	\N
366062	1244	1997-08-01	VYDAJ	VYBER	1080	14021	\N	\N	\N
366066	1244	1998-07-13	VYDAJ	VYBER	1200	16189	\N	\N	\N
366078	1244	1996-10-31	VYDAJ	VYBER	15	30465	SLUZBY	\N	\N
366079	1244	1996-11-30	VYDAJ	VYBER	15	25323	SLUZBY	\N	\N
366080	1244	1996-12-31	VYDAJ	VYBER	15	23130	SLUZBY	\N	\N
366081	1244	1997-01-31	VYDAJ	VYBER	15	17779	SLUZBY	\N	\N
366082	1244	1997-02-28	VYDAJ	VYBER	15	17724	SLUZBY	\N	\N
366083	1244	1997-03-31	VYDAJ	VYBER	15	15306	SLUZBY	\N	\N
366084	1244	1997-04-30	VYDAJ	VYBER	15	15050	SLUZBY	\N	\N
366085	1244	1997-05-31	VYDAJ	VYBER	15	13086	SLUZBY	\N	\N
366086	1244	1997-06-30	VYDAJ	VYBER	15	19056	SLUZBY	\N	\N
366087	1244	1997-07-31	VYDAJ	VYBER	15	14901	SLUZBY	\N	\N
366088	1244	1997-08-31	VYDAJ	VYBER	15	17564	SLUZBY	\N	\N
366089	1244	1997-09-30	VYDAJ	VYBER	15	18621	SLUZBY	\N	\N
366090	1244	1997-10-31	VYDAJ	VYBER	15	14569	SLUZBY	\N	\N
366091	1244	1997-11-30	VYDAJ	VYBER	15	15614	SLUZBY	\N	\N
366092	1244	1997-12-31	VYDAJ	VYBER	15	11084	SLUZBY	\N	\N
366093	1244	1998-01-31	VYDAJ	VYBER	15	12114	SLUZBY	\N	\N
366094	1244	1998-02-28	VYDAJ	VYBER	15	13749	SLUZBY	\N	\N
366095	1244	1998-03-31	VYDAJ	VYBER	15	13090	SLUZBY	\N	\N
366096	1244	1998-04-30	VYDAJ	VYBER	15	14129	SLUZBY	\N	\N
366097	1244	1998-05-31	VYDAJ	VYBER	15	15171	SLUZBY	\N	\N
366098	1244	1998-06-30	VYDAJ	VYBER	15	16340	SLUZBY	\N	\N
366099	1244	1998-07-31	VYDAJ	VYBER	15	16189	SLUZBY	\N	\N
366100	1244	1998-08-31	VYDAJ	VYBER	15	13538	SLUZBY	\N	\N
366101	1244	1998-09-30	VYDAJ	VYBER	15	13077	SLUZBY	\N	\N
366102	1244	1998-10-31	VYDAJ	VYBER	15	14115	SLUZBY	\N	\N
366103	1244	1998-11-30	VYDAJ	VYBER	15	15158	SLUZBY	\N	\N
366104	1244	1996-06-07	PRIJEM	VKLAD	5600	14342	\N	\N	\N
366105	1244	1996-07-07	PRIJEM	VKLAD	500	20118	\N	\N	\N
366106	1244	1996-08-06	PRIJEM	VKLAD	2100	22297	\N	\N	\N
366107	1244	1996-09-05	PRIJEM	VKLAD	1300	28916	\N	\N	\N
366108	1244	1996-10-05	VYDAJ	VYBER	7200	27079	\N	\N	\N
366109	1244	1996-11-04	VYDAJ	VYBER	4000	26465	\N	\N	\N
366110	1244	1996-12-04	VYDAJ	VYBER	1500	23823	\N	\N	\N
366111	1244	1997-01-03	PRIJEM	VKLAD	1600	24730	\N	\N	\N
366112	1244	1997-02-02	PRIJEM	VKLAD	2700	20479	\N	\N	\N
366113	1244	1997-03-04	PRIJEM	VKLAD	2400	20124	\N	\N	\N
366114	1244	1997-04-03	VYDAJ	VYBER	1300	14006	\N	\N	\N
366115	1244	1997-05-03	VYDAJ	VYBER	3000	12050	\N	\N	\N
366116	1244	1997-06-02	PRIJEM	VKLAD	2300	15386	\N	\N	\N
366117	1244	1997-07-02	VYDAJ	VYBER	5200	13856	\N	\N	\N
366118	1244	1997-08-01	PRIJEM	VKLAD	200	15101	\N	\N	\N
366119	1244	1997-08-31	PRIJEM	VKLAD	2500	17516	\N	\N	\N
366120	1244	1997-09-30	VYDAJ	VYBER	3100	15521	\N	\N	\N
366121	1244	1997-10-30	VYDAJ	VYBER	2000	14516	\N	\N	\N
366122	1244	1997-12-29	VYDAJ	VYBER	8200	11023	\N	\N	\N
366123	1244	1998-02-27	PRIJEM	VKLAD	600	13709	\N	\N	\N
366124	1244	1998-03-29	VYDAJ	VYBER	1700	13044	\N	\N	\N
366125	1244	1998-06-27	VYDAJ	VYBER	2500	16280	\N	\N	\N
366126	1244	1998-08-26	VYDAJ	VYBER	3700	13484	\N	\N	\N
366127	1244	1998-09-25	VYDAJ	VYBER	1500	13033	\N	\N	\N
366159	1245	1997-11-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
366171	1245	1997-12-09	PRIJEM	VKLAD	16455	17555	\N	\N	\N
366172	1245	1998-01-09	PRIJEM	VKLAD	10970	33686	\N	\N	\N
366173	1245	1998-02-09	PRIJEM	VKLAD	10970	42174	\N	\N	\N
366174	1245	1998-03-09	PRIJEM	VKLAD	10970	47288	\N	\N	\N
366175	1245	1998-04-09	PRIJEM	VKLAD	10970	47409	\N	\N	\N
366176	1245	1998-05-09	PRIJEM	VKLAD	10970	40988	\N	\N	\N
366177	1245	1998-06-09	PRIJEM	VKLAD	16455	42220	\N	\N	\N
366178	1245	1998-07-09	PRIJEM	VKLAD	10970	42696	\N	\N	\N
366179	1245	1998-08-09	PRIJEM	VKLAD	10970	43275	\N	\N	\N
366180	1245	1998-09-09	PRIJEM	VKLAD	10970	44164	\N	\N	\N
366181	1245	1998-10-09	PRIJEM	VKLAD	10970	50772	\N	\N	\N
366182	1245	1998-11-09	PRIJEM	VKLAD	10970	53986	\N	\N	\N
366183	1245	1998-12-09	PRIJEM	VKLAD	16455	55121	\N	\N	\N
366199	1245	1998-04-13	VYDAJ	PREVOD NA UCET	3611	29898	SIPO	IJ	42008179
366200	1245	1998-05-13	VYDAJ	PREVOD NA UCET	3611	28777	SIPO	IJ	42008179
366201	1245	1998-06-13	VYDAJ	PREVOD NA UCET	3611	31609	SIPO	IJ	42008179
366202	1245	1998-07-13	VYDAJ	PREVOD NA UCET	3611	32185	SIPO	IJ	42008179
366203	1245	1998-08-13	VYDAJ	PREVOD NA UCET	3611	33864	SIPO	IJ	42008179
366204	1245	1998-09-13	VYDAJ	PREVOD NA UCET	3611	40553	SIPO	IJ	42008179
366205	1245	1998-10-13	VYDAJ	PREVOD NA UCET	3611	47161	SIPO	IJ	42008179
366206	1245	1998-11-13	VYDAJ	PREVOD NA UCET	3611	50375	SIPO	IJ	42008179
366207	1245	1998-12-13	VYDAJ	PREVOD NA UCET	3611	51510	SIPO	IJ	42008179
366211	1245	1998-12-25	VYDAJ	VYBER	960	50550	\N	\N	\N
366217	1245	1998-10-28	VYDAJ	VYBER	3120	44041	\N	\N	\N
366219	1245	1998-06-02	VYDAJ	VYBER	3120	25765	\N	\N	\N
366238	1245	1998-04-30	VYDAJ	VYBER	15	30018	SLUZBY	\N	\N
366239	1245	1998-05-31	VYDAJ	VYBER	15	28885	SLUZBY	\N	\N
366240	1245	1998-06-30	VYDAJ	VYBER	15	31726	SLUZBY	\N	\N
366241	1245	1998-07-31	VYDAJ	VYBER	15	32305	SLUZBY	\N	\N
366242	1245	1998-08-31	VYDAJ	VYBER	15	33994	SLUZBY	\N	\N
366243	1245	1998-09-30	VYDAJ	VYBER	15	40702	SLUZBY	\N	\N
366244	1245	1998-10-31	VYDAJ	VYBER	15	44216	SLUZBY	\N	\N
366245	1245	1998-11-30	VYDAJ	VYBER	15	50566	SLUZBY	\N	\N
366246	1245	1997-12-12	PRIJEM	VKLAD	5100	22655	\N	\N	\N
366247	1245	1998-01-11	VYDAJ	VYBER	2600	31086	\N	\N	\N
366248	1245	1998-02-10	VYDAJ	VYBER	6000	36174	\N	\N	\N
366249	1245	1998-03-12	VYDAJ	VYBER	11000	36288	\N	\N	\N
366250	1245	1998-04-11	VYDAJ	VYBER	13900	33509	\N	\N	\N
366251	1245	1998-05-11	VYDAJ	VYBER	8600	32388	\N	\N	\N
366252	1245	1998-06-10	VYDAJ	VYBER	7000	35220	\N	\N	\N
366253	1245	1998-07-10	VYDAJ	VYBER	6900	35796	\N	\N	\N
366254	1245	1998-08-09	VYDAJ	VYBER	5800	37475	\N	\N	\N
366255	1245	1998-09-08	VYDAJ	VYBER	800	33194	\N	\N	\N
366256	1245	1998-10-08	VYDAJ	VYBER	900	39802	\N	\N	\N
366257	1245	1998-11-07	VYDAJ	VYBER	1200	43016	\N	\N	\N
366258	1245	1998-12-07	VYDAJ	VYBER	11900	38666	\N	\N	\N
366272	1246	1994-08-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
366281	1246	1994-09-06	PRIJEM	PREVOD Z UCTU	6148	7248	DUCHOD	KL	70411568
366282	1246	1994-10-06	PRIJEM	PREVOD Z UCTU	6148	13396	DUCHOD	KL	70411568
366283	1246	1994-11-06	PRIJEM	PREVOD Z UCTU	6148	19544	DUCHOD	KL	70411568
366284	1246	1994-12-06	PRIJEM	PREVOD Z UCTU	6148	25692	DUCHOD	KL	70411568
366285	1246	1995-01-06	PRIJEM	PREVOD Z UCTU	6148	29590	DUCHOD	KL	70411568
366286	1246	1995-02-06	PRIJEM	PREVOD Z UCTU	6148	21139	DUCHOD	KL	70411568
366287	1246	1995-03-06	PRIJEM	PREVOD Z UCTU	6148	24111	DUCHOD	KL	70411568
366288	1246	1995-04-06	PRIJEM	PREVOD Z UCTU	6148	27088	DUCHOD	KL	70411568
366289	1246	1995-05-06	PRIJEM	PREVOD Z UCTU	6148	22683	DUCHOD	KL	70411568
366290	1246	1995-06-06	PRIJEM	PREVOD Z UCTU	6148	24551	DUCHOD	KL	70411568
366291	1246	1995-07-06	PRIJEM	PREVOD Z UCTU	6148	22316	DUCHOD	KL	70411568
366292	1246	1995-08-06	PRIJEM	PREVOD Z UCTU	6148	19455	DUCHOD	KL	70411568
366293	1246	1995-09-06	PRIJEM	PREVOD Z UCTU	6148	17240	DUCHOD	KL	70411568
366294	1246	1995-10-06	PRIJEM	PREVOD Z UCTU	6148	17783	DUCHOD	KL	70411568
366295	1246	1995-11-06	PRIJEM	PREVOD Z UCTU	6148	16924	DUCHOD	KL	70411568
366296	1246	1995-12-06	PRIJEM	PREVOD Z UCTU	6148	19870	DUCHOD	KL	70411568
366297	1246	1996-01-06	PRIJEM	PREVOD Z UCTU	6148	22829	DUCHOD	KL	70411568
366298	1246	1996-02-06	PRIJEM	PREVOD Z UCTU	6148	13730	DUCHOD	KL	70411568
366299	1246	1996-03-06	PRIJEM	PREVOD Z UCTU	6148	16663	DUCHOD	KL	70411568
366300	1246	1996-04-06	PRIJEM	PREVOD Z UCTU	6148	19609	DUCHOD	KL	70411568
366301	1246	1996-05-06	PRIJEM	PREVOD Z UCTU	6148	22566	DUCHOD	KL	70411568
366302	1246	1996-06-06	PRIJEM	PREVOD Z UCTU	6148	14506	DUCHOD	KL	70411568
366303	1246	1996-07-06	PRIJEM	PREVOD Z UCTU	6148	17442	DUCHOD	KL	70411568
366304	1246	1996-08-06	PRIJEM	PREVOD Z UCTU	6148	19192	DUCHOD	KL	70411568
366305	1246	1996-09-06	PRIJEM	PREVOD Z UCTU	6148	20068	DUCHOD	KL	70411568
366306	1246	1996-10-06	PRIJEM	PREVOD Z UCTU	6148	21107	DUCHOD	KL	70411568
366307	1246	1996-11-06	PRIJEM	PREVOD Z UCTU	6148	24078	DUCHOD	KL	70411568
366308	1246	1996-12-06	PRIJEM	PREVOD Z UCTU	6148	24973	DUCHOD	KL	70411568
366309	1246	1997-01-06	PRIJEM	PREVOD Z UCTU	6148	25153	DUCHOD	KL	70411568
366310	1246	1997-02-06	PRIJEM	PREVOD Z UCTU	6148	20923	DUCHOD	KL	70411568
366311	1246	1997-03-06	PRIJEM	PREVOD Z UCTU	6148	23886	DUCHOD	KL	70411568
366312	1246	1997-04-06	PRIJEM	PREVOD Z UCTU	6148	26861	DUCHOD	KL	70411568
366313	1246	1997-05-06	PRIJEM	PREVOD Z UCTU	6148	29848	DUCHOD	KL	70411568
366314	1246	1997-06-06	PRIJEM	PREVOD Z UCTU	6148	32849	DUCHOD	KL	70411568
366315	1246	1997-07-06	PRIJEM	PREVOD Z UCTU	6148	31709	DUCHOD	KL	70411568
366316	1246	1997-08-06	PRIJEM	PREVOD Z UCTU	6148	33117	DUCHOD	KL	70411568
366317	1246	1997-09-06	PRIJEM	PREVOD Z UCTU	6148	34052	DUCHOD	KL	70411568
366318	1246	1997-10-06	PRIJEM	PREVOD Z UCTU	6148	32507	DUCHOD	KL	70411568
366319	1246	1997-11-06	PRIJEM	PREVOD Z UCTU	6148	32158	DUCHOD	KL	70411568
366320	1246	1997-12-06	PRIJEM	PREVOD Z UCTU	6148	35167	DUCHOD	KL	70411568
366321	1246	1998-01-06	PRIJEM	PREVOD Z UCTU	6148	36669	DUCHOD	KL	70411568
366322	1246	1998-02-06	PRIJEM	PREVOD Z UCTU	6148	32009	DUCHOD	KL	70411568
366323	1246	1998-03-06	PRIJEM	PREVOD Z UCTU	6148	35017	DUCHOD	KL	70411568
366324	1246	1998-04-06	PRIJEM	PREVOD Z UCTU	6148	34591	DUCHOD	KL	70411568
366325	1246	1998-05-06	PRIJEM	PREVOD Z UCTU	6148	37610	DUCHOD	KL	70411568
366326	1246	1998-06-06	PRIJEM	PREVOD Z UCTU	6148	34393	DUCHOD	KL	70411568
366327	1246	1998-07-06	PRIJEM	PREVOD Z UCTU	6148	33448	DUCHOD	KL	70411568
366328	1246	1998-08-06	PRIJEM	PREVOD Z UCTU	6148	35748	DUCHOD	KL	70411568
366329	1246	1998-09-06	PRIJEM	PREVOD Z UCTU	6148	38772	DUCHOD	KL	70411568
366330	1246	1998-10-06	PRIJEM	PREVOD Z UCTU	6148	36046	DUCHOD	KL	70411568
366331	1246	1998-11-06	PRIJEM	PREVOD Z UCTU	6148	39079	DUCHOD	KL	70411568
366332	1246	1998-12-06	PRIJEM	PREVOD Z UCTU	6148	42116	DUCHOD	KL	70411568
366345	1246	1995-01-13	VYDAJ	PREVOD NA UCET	3239	26351	SIPO	AB	34252166
366346	1246	1995-02-13	VYDAJ	PREVOD NA UCET	3239	17900	SIPO	AB	34252166
366347	1246	1995-03-13	VYDAJ	PREVOD NA UCET	3239	20872	SIPO	AB	34252166
366348	1246	1995-04-13	VYDAJ	PREVOD NA UCET	3239	23849	SIPO	AB	34252166
366349	1246	1995-05-13	VYDAJ	PREVOD NA UCET	3239	19444	SIPO	AB	34252166
366350	1246	1995-06-13	VYDAJ	PREVOD NA UCET	3239	16112	SIPO	AB	34252166
366351	1246	1995-07-13	VYDAJ	PREVOD NA UCET	3239	17157	SIPO	AB	34252166
366352	1246	1995-08-13	VYDAJ	PREVOD NA UCET	3239	13256	SIPO	AB	34252166
366353	1246	1995-09-13	VYDAJ	PREVOD NA UCET	3239	11601	SIPO	AB	34252166
366354	1246	1995-10-13	VYDAJ	PREVOD NA UCET	3239	10744	SIPO	AB	34252166
366355	1246	1995-11-13	VYDAJ	PREVOD NA UCET	3239	13685	SIPO	AB	34252166
366356	1246	1995-12-13	VYDAJ	PREVOD NA UCET	3239	16631	SIPO	AB	34252166
366357	1246	1996-01-13	VYDAJ	PREVOD NA UCET	3239	7550	SIPO	AB	34252166
366358	1246	1996-02-13	VYDAJ	PREVOD NA UCET	3239	10491	SIPO	AB	34252166
366359	1246	1996-03-13	VYDAJ	PREVOD NA UCET	3239	13424	SIPO	AB	34252166
366360	1246	1996-04-13	VYDAJ	PREVOD NA UCET	3239	16370	SIPO	AB	34252166
366361	1246	1996-05-13	VYDAJ	PREVOD NA UCET	3239	8327	SIPO	AB	34252166
366362	1246	1996-06-13	VYDAJ	PREVOD NA UCET	3239	11267	SIPO	AB	34252166
366363	1246	1996-07-13	VYDAJ	PREVOD NA UCET	3239	13003	SIPO	AB	34252166
366364	1246	1996-08-13	VYDAJ	PREVOD NA UCET	3239	15953	SIPO	AB	34252166
366365	1246	1996-09-13	VYDAJ	PREVOD NA UCET	3239	16829	SIPO	AB	34252166
366366	1246	1996-10-13	VYDAJ	PREVOD NA UCET	3239	17868	SIPO	AB	34252166
366367	1246	1996-11-13	VYDAJ	PREVOD NA UCET	3239	20839	SIPO	AB	34252166
366368	1246	1996-12-13	VYDAJ	PREVOD NA UCET	3239	21734	SIPO	AB	34252166
366369	1246	1997-01-13	VYDAJ	PREVOD NA UCET	3239	20634	SIPO	AB	34252166
366370	1246	1997-02-13	VYDAJ	PREVOD NA UCET	3239	17684	SIPO	AB	34252166
366371	1246	1997-03-13	VYDAJ	PREVOD NA UCET	3239	20647	SIPO	AB	34252166
366372	1246	1997-04-13	VYDAJ	PREVOD NA UCET	3239	23622	SIPO	AB	34252166
366373	1246	1997-05-13	VYDAJ	PREVOD NA UCET	3239	26609	SIPO	AB	34252166
366374	1246	1997-06-13	VYDAJ	PREVOD NA UCET	3239	29610	SIPO	AB	34252166
366375	1246	1997-07-13	VYDAJ	PREVOD NA UCET	3239	28470	SIPO	AB	34252166
366376	1246	1997-08-13	VYDAJ	PREVOD NA UCET	3239	27798	SIPO	AB	34252166
366377	1246	1997-09-13	VYDAJ	PREVOD NA UCET	3239	30813	SIPO	AB	34252166
366378	1246	1997-10-13	VYDAJ	PREVOD NA UCET	3239	29268	SIPO	AB	34252166
366379	1246	1997-11-13	VYDAJ	PREVOD NA UCET	3239	28919	SIPO	AB	34252166
366380	1246	1997-12-13	VYDAJ	PREVOD NA UCET	3239	31928	SIPO	AB	34252166
366381	1246	1998-01-13	VYDAJ	PREVOD NA UCET	3239	30870	SIPO	AB	34252166
366382	1246	1998-02-13	VYDAJ	PREVOD NA UCET	3239	28770	SIPO	AB	34252166
366383	1246	1998-03-13	VYDAJ	PREVOD NA UCET	3239	28338	SIPO	AB	34252166
366384	1246	1998-04-13	VYDAJ	PREVOD NA UCET	3239	31352	SIPO	AB	34252166
366385	1246	1998-05-13	VYDAJ	PREVOD NA UCET	3239	34371	SIPO	AB	34252166
366386	1246	1998-06-13	VYDAJ	PREVOD NA UCET	3239	31154	SIPO	AB	34252166
366387	1246	1998-07-13	VYDAJ	PREVOD NA UCET	3239	30209	SIPO	AB	34252166
366388	1246	1998-08-13	VYDAJ	PREVOD NA UCET	3239	32509	SIPO	AB	34252166
366389	1246	1998-09-13	VYDAJ	PREVOD NA UCET	3239	35533	SIPO	AB	34252166
366390	1246	1998-10-13	VYDAJ	PREVOD NA UCET	3239	32807	SIPO	AB	34252166
366391	1246	1998-11-13	VYDAJ	PREVOD NA UCET	3239	35840	SIPO	AB	34252166
366392	1246	1998-12-13	VYDAJ	PREVOD NA UCET	3239	38877	SIPO	AB	34252166
366394	1246	1995-06-11	VYDAJ	VYBER	5200	19351	\N	\N	\N
366396	1246	1997-06-28	VYDAJ	VYBER	4150	25460	\N	\N	\N
366397	1246	1998-06-24	VYDAJ	VYBER	3000	28154	\N	\N	\N
366404	1246	1995-01-29	VYDAJ	VYBER	2160	17631	\N	\N	\N
366405	1246	1995-01-16	VYDAJ	VYBER	560	25791	\N	\N	\N
366406	1246	1995-01-23	VYDAJ	VYBER	2080	19791	\N	\N	\N
366407	1246	1995-01-17	VYDAJ	VYBER	2240	21871	\N	\N	\N
366409	1246	1995-01-17	VYDAJ	VYBER	1680	24111	\N	\N	\N
366410	1246	1996-01-06	VYDAJ	VYBER	2240	20589	\N	\N	\N
366416	1246	1997-01-07	VYDAJ	VYBER	1280	23873	\N	\N	\N
366417	1246	1997-01-15	VYDAJ	VYBER	2000	17114	\N	\N	\N
366418	1246	1997-01-16	VYDAJ	VYBER	1040	14714	\N	\N	\N
366419	1246	1997-01-04	VYDAJ	VYBER	880	19005	\N	\N	\N
366420	1246	1997-01-13	VYDAJ	VYBER	1520	19114	\N	\N	\N
366421	1246	1997-01-01	VYDAJ	VYBER	1920	19885	\N	\N	\N
366422	1246	1998-01-22	VYDAJ	VYBER	1520	27030	\N	\N	\N
366423	1246	1998-01-01	VYDAJ	VYBER	1520	30521	\N	\N	\N
366424	1246	1998-01-19	VYDAJ	VYBER	1920	28550	\N	\N	\N
366425	1246	1998-01-27	VYDAJ	VYBER	1280	25750	\N	\N	\N
366426	1246	1998-01-18	VYDAJ	VYBER	400	30470	\N	\N	\N
366427	1246	1998-01-06	VYDAJ	VYBER	1680	34989	\N	\N	\N
366433	1246	1995-04-19	VYDAJ	VYBER	3680	16469	\N	\N	\N
366434	1246	1995-02-03	VYDAJ	VYBER	2720	14991	\N	\N	\N
366435	1246	1995-07-07	VYDAJ	VYBER	1920	20396	\N	\N	\N
366436	1246	1995-08-09	VYDAJ	VYBER	2960	16495	\N	\N	\N
366437	1246	1996-11-27	VYDAJ	VYBER	2080	18759	\N	\N	\N
366438	1246	1996-08-29	VYDAJ	VYBER	2080	13873	\N	\N	\N
366439	1246	1996-07-06	VYDAJ	VYBER	1200	16242	\N	\N	\N
366441	1246	1996-10-04	VYDAJ	VYBER	1920	14959	\N	\N	\N
366442	1246	1997-01-16	VYDAJ	VYBER	1360	15754	\N	\N	\N
366443	1246	1997-08-03	VYDAJ	VYBER	1600	26969	\N	\N	\N
366444	1246	1997-08-06	VYDAJ	VYBER	2080	31037	\N	\N	\N
366445	1246	1997-09-23	VYDAJ	VYBER	2160	28653	\N	\N	\N
366446	1246	1997-10-04	VYDAJ	VYBER	2400	26359	\N	\N	\N
366447	1246	1997-10-14	VYDAJ	VYBER	3360	25908	\N	\N	\N
366448	1246	1998-07-05	VYDAJ	VYBER	960	27300	\N	\N	\N
366449	1246	1998-05-18	VYDAJ	VYBER	2720	31651	\N	\N	\N
366450	1246	1998-05-23	VYDAJ	VYBER	3520	28131	\N	\N	\N
366451	1246	1998-09-23	VYDAJ	VYBER	2480	33053	\N	\N	\N
366452	1246	1998-07-21	VYDAJ	VYBER	720	29489	\N	\N	\N
366453	1246	1998-01-11	VYDAJ	VYBER	880	34109	\N	\N	\N
366454	1246	1998-10-05	VYDAJ	VYBER	3280	29898	\N	\N	\N
366455	1246	1998-03-10	VYDAJ	VYBER	3440	31577	\N	\N	\N
366469	1246	1995-01-31	VYDAJ	VYBER	15	17711	SLUZBY	\N	\N
366470	1246	1995-02-28	VYDAJ	VYBER	15	17963	SLUZBY	\N	\N
366471	1246	1995-03-31	VYDAJ	VYBER	15	20940	SLUZBY	\N	\N
366472	1246	1995-04-30	VYDAJ	VYBER	15	16535	SLUZBY	\N	\N
366473	1246	1995-05-31	VYDAJ	VYBER	15	18403	SLUZBY	\N	\N
366474	1246	1995-06-30	VYDAJ	VYBER	15	16168	SLUZBY	\N	\N
366475	1246	1995-07-31	VYDAJ	VYBER	15	13307	SLUZBY	\N	\N
366476	1246	1995-08-31	VYDAJ	VYBER	15	11092	SLUZBY	\N	\N
366477	1246	1995-09-30	VYDAJ	VYBER	15	11635	SLUZBY	\N	\N
366478	1246	1995-10-31	VYDAJ	VYBER	15	10776	SLUZBY	\N	\N
366479	1246	1995-11-30	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
366480	1246	1995-12-31	VYDAJ	VYBER	15	16681	SLUZBY	\N	\N
366481	1246	1996-01-31	VYDAJ	VYBER	15	7582	SLUZBY	\N	\N
366482	1246	1996-02-29	VYDAJ	VYBER	15	10515	SLUZBY	\N	\N
366483	1246	1996-03-31	VYDAJ	VYBER	15	13461	SLUZBY	\N	\N
366484	1246	1996-04-30	VYDAJ	VYBER	15	16418	SLUZBY	\N	\N
366485	1246	1996-05-31	VYDAJ	VYBER	15	8358	SLUZBY	\N	\N
366486	1246	1996-06-30	VYDAJ	VYBER	15	11294	SLUZBY	\N	\N
366487	1246	1996-07-31	VYDAJ	VYBER	15	13044	SLUZBY	\N	\N
366488	1246	1996-08-31	VYDAJ	VYBER	15	13920	SLUZBY	\N	\N
366489	1246	1996-09-30	VYDAJ	VYBER	15	16879	SLUZBY	\N	\N
366490	1246	1996-10-31	VYDAJ	VYBER	15	17930	SLUZBY	\N	\N
366491	1246	1996-11-30	VYDAJ	VYBER	15	18825	SLUZBY	\N	\N
366492	1246	1996-12-31	VYDAJ	VYBER	15	21805	SLUZBY	\N	\N
366493	1246	1997-01-31	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
366494	1246	1997-02-28	VYDAJ	VYBER	15	17738	SLUZBY	\N	\N
366495	1246	1997-03-31	VYDAJ	VYBER	15	20713	SLUZBY	\N	\N
366496	1246	1997-04-30	VYDAJ	VYBER	15	23700	SLUZBY	\N	\N
366497	1246	1997-05-31	VYDAJ	VYBER	15	26701	SLUZBY	\N	\N
366498	1246	1997-06-30	VYDAJ	VYBER	15	25561	SLUZBY	\N	\N
366499	1246	1997-07-31	VYDAJ	VYBER	15	28569	SLUZBY	\N	\N
366500	1246	1997-08-31	VYDAJ	VYBER	15	27904	SLUZBY	\N	\N
366501	1246	1997-09-30	VYDAJ	VYBER	15	28759	SLUZBY	\N	\N
366502	1246	1997-10-31	VYDAJ	VYBER	15	26010	SLUZBY	\N	\N
366503	1246	1997-11-30	VYDAJ	VYBER	15	29019	SLUZBY	\N	\N
366504	1246	1997-12-31	VYDAJ	VYBER	15	32041	SLUZBY	\N	\N
366505	1246	1998-01-31	VYDAJ	VYBER	15	25861	SLUZBY	\N	\N
366506	1246	1998-02-28	VYDAJ	VYBER	15	28869	SLUZBY	\N	\N
366507	1246	1998-03-31	VYDAJ	VYBER	15	28443	SLUZBY	\N	\N
366508	1246	1998-04-30	VYDAJ	VYBER	15	31462	SLUZBY	\N	\N
366509	1246	1998-05-31	VYDAJ	VYBER	15	28245	SLUZBY	\N	\N
366510	1246	1998-06-30	VYDAJ	VYBER	15	28260	SLUZBY	\N	\N
366511	1246	1998-07-31	VYDAJ	VYBER	15	29600	SLUZBY	\N	\N
366512	1246	1998-08-31	VYDAJ	VYBER	15	32624	SLUZBY	\N	\N
366513	1246	1998-09-30	VYDAJ	VYBER	15	33178	SLUZBY	\N	\N
366514	1246	1998-10-31	VYDAJ	VYBER	15	32931	SLUZBY	\N	\N
366515	1246	1998-11-30	VYDAJ	VYBER	15	35968	SLUZBY	\N	\N
366516	1246	1994-12-16	VYDAJ	VYBER	2300	23392	\N	\N	\N
366517	1246	1995-04-15	VYDAJ	VYBER	3700	20149	\N	\N	\N
366518	1246	1995-05-15	VYDAJ	VYBER	1100	18344	\N	\N	\N
366519	1246	1995-07-14	VYDAJ	VYBER	3900	13257	\N	\N	\N
366520	1246	1995-08-13	VYDAJ	VYBER	2200	11056	\N	\N	\N
366521	1246	1995-09-12	VYDAJ	VYBER	2400	14840	\N	\N	\N
366522	1246	1995-10-12	VYDAJ	VYBER	3800	13983	\N	\N	\N
366523	1246	1996-01-10	VYDAJ	VYBER	9800	10789	\N	\N	\N
366524	1246	1996-05-09	VYDAJ	VYBER	11000	11566	\N	\N	\N
366574	1247	1993-06-08	PRIJEM	VKLAD	300	300	\N	\N	\N
366575	1247	1994-09-10	PRIJEM	VKLAD	17640	96425	\N	\N	\N
366576	1247	1994-03-18	PRIJEM	VKLAD	47050	95735	\N	\N	\N
366577	1247	1994-04-14	PRIJEM	VKLAD	8920	95806	\N	\N	\N
366578	1247	1994-05-20	PRIJEM	VKLAD	22906	66629	\N	\N	\N
366579	1247	1994-09-27	PRIJEM	VKLAD	10670	107095	\N	\N	\N
366580	1247	1994-07-26	PRIJEM	VKLAD	30063	110778	\N	\N	\N
366581	1247	1994-01-20	PRIJEM	VKLAD	42767	64767	\N	\N	\N
366582	1247	1994-04-10	PRIJEM	VKLAD	28041	86886	\N	\N	\N
366583	1247	1994-06-12	PRIJEM	VKLAD	16499	44606	\N	\N	\N
366584	1247	1994-03-02	PRIJEM	VKLAD	34056	127685	\N	\N	\N
366585	1247	1994-07-13	PRIJEM	VKLAD	47457	83615	\N	\N	\N
366586	1247	1994-05-01	PRIJEM	VKLAD	14044	62223	\N	\N	\N
366587	1247	1994-09-05	PRIJEM	VKLAD	14672	49176	\N	\N	\N
366588	1247	1994-10-12	PRIJEM	VKLAD	9919	16876	\N	\N	\N
366589	1247	1994-09-07	PRIJEM	VKLAD	31009	80185	\N	\N	\N
366590	1247	1994-03-29	PRIJEM	VKLAD	8095	103830	\N	\N	\N
366591	1247	1994-08-19	PRIJEM	VKLAD	24809	42081	\N	\N	\N
366592	1247	1994-02-21	PRIJEM	VKLAD	44246	93302	\N	\N	\N
366593	1247	1994-01-21	PRIJEM	VKLAD	7773	72540	\N	\N	\N
366594	1247	1994-11-23	PRIJEM	VKLAD	49327	59643	\N	\N	\N
366595	1247	1995-05-17	PRIJEM	VKLAD	19501	112555	\N	\N	\N
366596	1247	1995-05-09	PRIJEM	VKLAD	24003	58494	\N	\N	\N
366597	1247	1995-08-01	PRIJEM	VKLAD	17073	51378	\N	\N	\N
366598	1247	1995-11-19	PRIJEM	VKLAD	45152	144287	\N	\N	\N
366599	1247	1995-01-26	PRIJEM	VKLAD	9410	27030	\N	\N	\N
366600	1247	1995-07-21	PRIJEM	VKLAD	39219	41417	\N	\N	\N
366601	1247	1995-10-08	PRIJEM	VKLAD	28374	54544	\N	\N	\N
366602	1247	1995-12-05	PRIJEM	VKLAD	6099	52458	\N	\N	\N
366603	1247	1995-12-06	PRIJEM	VKLAD	11126	63584	\N	\N	\N
366604	1247	1995-05-28	PRIJEM	VKLAD	38365	67558	\N	\N	\N
366605	1247	1995-03-16	PRIJEM	VKLAD	8954	41921	\N	\N	\N
366606	1247	1995-11-21	PRIJEM	VKLAD	40724	146738	\N	\N	\N
366607	1247	1995-12-12	PRIJEM	VKLAD	47349	79030	\N	\N	\N
366608	1247	1995-10-14	PRIJEM	VKLAD	45721	98188	\N	\N	\N
366609	1247	1995-10-28	PRIJEM	VKLAD	42333	103921	\N	\N	\N
366610	1247	1995-02-28	PRIJEM	VKLAD	45690	44715	\N	\N	\N
366611	1247	1995-08-14	PRIJEM	VKLAD	43041	84242	\N	\N	\N
366612	1247	1995-03-22	PRIJEM	VKLAD	15958	57879	\N	\N	\N
366613	1247	1995-04-29	PRIJEM	VKLAD	35544	42969	\N	\N	\N
366614	1247	1995-01-05	PRIJEM	VKLAD	39299	38620	\N	\N	\N
366615	1247	1995-06-18	PRIJEM	VKLAD	27931	36873	\N	\N	\N
366616	1247	1995-05-15	PRIJEM	VKLAD	36637	93054	\N	\N	\N
366617	1247	1996-12-22	PRIJEM	VKLAD	35093	58918	\N	\N	\N
366618	1247	1996-06-03	PRIJEM	VKLAD	10404	31890	\N	\N	\N
366619	1247	1996-09-06	PRIJEM	VKLAD	28115	39235	\N	\N	\N
366620	1247	1996-10-28	PRIJEM	VKLAD	29184	59557	\N	\N	\N
366621	1247	1997-01-17	PRIJEM	VKLAD	43865	110102	\N	\N	\N
366622	1247	1997-10-26	PRIJEM	VKLAD	23051	75252	\N	\N	\N
366623	1247	1997-03-03	PRIJEM	VKLAD	29016	70195	\N	\N	\N
366624	1247	1997-01-27	PRIJEM	VKLAD	44739	104491	\N	\N	\N
366625	1247	1997-09-26	PRIJEM	VKLAD	47130	81254	\N	\N	\N
366626	1247	1997-12-12	PRIJEM	VKLAD	9067	81509	\N	\N	\N
366627	1247	1997-05-06	PRIJEM	VKLAD	7792	101130	\N	\N	\N
366628	1247	1997-11-19	PRIJEM	VKLAD	30427	126667	\N	\N	\N
366629	1247	1997-01-16	PRIJEM	VKLAD	23658	66237	\N	\N	\N
366630	1247	1997-06-24	PRIJEM	VKLAD	25854	68656	\N	\N	\N
366631	1247	1997-04-17	PRIJEM	VKLAD	6160	57212	\N	\N	\N
366632	1247	1997-01-20	PRIJEM	VKLAD	36350	99352	\N	\N	\N
366633	1247	1997-03-10	PRIJEM	VKLAD	37456	104651	\N	\N	\N
366634	1247	1997-07-04	PRIJEM	VKLAD	19468	88333	\N	\N	\N
366635	1247	1997-11-17	PRIJEM	VKLAD	33634	96240	\N	\N	\N
366636	1247	1997-05-15	PRIJEM	VKLAD	13135	112188	\N	\N	\N
366637	1247	1997-04-21	PRIJEM	VKLAD	49169	93081	\N	\N	\N
366638	1247	1998-01-22	PRIJEM	VKLAD	11469	51101	\N	\N	\N
366639	1247	1998-07-01	PRIJEM	VKLAD	10026	43779	\N	\N	\N
366640	1247	1998-07-10	PRIJEM	VKLAD	44811	80105	\N	\N	\N
366641	1247	1998-11-02	PRIJEM	VKLAD	45399	88557	\N	\N	\N
366642	1247	1998-11-27	PRIJEM	VKLAD	5832	92425	\N	\N	\N
366643	1247	1998-03-17	PRIJEM	VKLAD	33512	99846	\N	\N	\N
366644	1247	1998-05-19	PRIJEM	VKLAD	24205	88030	\N	\N	\N
366645	1247	1998-09-27	PRIJEM	VKLAD	22060	99339	\N	\N	\N
366646	1247	1998-10-04	PRIJEM	VKLAD	39806	139430	\N	\N	\N
366647	1247	1998-06-13	PRIJEM	VKLAD	15537	102976	\N	\N	\N
366648	1247	1998-10-14	PRIJEM	VKLAD	8725	102178	\N	\N	\N
366649	1247	1998-08-12	PRIJEM	VKLAD	29384	106765	\N	\N	\N
366650	1247	1998-08-19	PRIJEM	VKLAD	30534	124274	\N	\N	\N
366651	1247	1998-06-07	PRIJEM	VKLAD	20371	108716	\N	\N	\N
366652	1247	1998-09-05	PRIJEM	VKLAD	36801	87456	\N	\N	\N
366653	1247	1998-11-24	PRIJEM	VKLAD	8243	86593	\N	\N	\N
366654	1247	1998-07-05	PRIJEM	VKLAD	30859	50151	\N	\N	\N
366655	1247	1998-12-15	PRIJEM	VKLAD	28611	107608	\N	\N	\N
366656	1247	1998-03-14	PRIJEM	VKLAD	23816	72234	\N	\N	\N
366657	1247	1998-11-14	PRIJEM	VKLAD	7087	90767	\N	\N	\N
366658	1247	1998-10-25	PRIJEM	VKLAD	26828	115206	\N	\N	\N
366659	1247	1998-11-21	PRIJEM	VKLAD	49683	140450	\N	\N	\N
366660	1247	1998-03-11	PRIJEM	VKLAD	9607	50495	\N	\N	\N
366676	1247	1994-04-14	VYDAJ	VYBER	2500	93306	\N	\N	0
366677	1247	1994-04-22	VYDAJ	VYBER	1600	91706	\N	\N	0
366678	1247	1994-06-11	VYDAJ	VYBER	2300	28107	\N	\N	0
366679	1247	1994-07-16	VYDAJ	VYBER	2900	80715	\N	\N	0
366680	1247	1994-08-06	VYDAJ	VYBER	1700	27994	\N	\N	0
366681	1247	1994-09-08	VYDAJ	VYBER	1400	78785	\N	\N	0
366682	1247	1994-10-18	VYDAJ	VYBER	1300	69	\N	\N	0
366683	1247	1994-11-08	VYDAJ	VYBER	2100	10316	\N	\N	0
366684	1247	1994-12-11	VYDAJ	VYBER	2900	32730	\N	\N	0
366685	1247	1995-01-26	VYDAJ	VYBER	1700	25330	\N	\N	0
366686	1247	1995-02-11	VYDAJ	VYBER	2500	13425	\N	\N	0
366687	1247	1995-03-04	VYDAJ	VYBER	2000	32967	\N	\N	0
366688	1247	1995-04-12	VYDAJ	PREVOD NA UCET	2077	40765	UVER	YZ	9652227
366689	1247	1995-05-12	VYDAJ	PREVOD NA UCET	2077	56417	UVER	YZ	9652227
366690	1247	1995-06-12	VYDAJ	PREVOD NA UCET	2077	8942	UVER	YZ	9652227
366692	1247	1995-08-12	VYDAJ	PREVOD NA UCET	2077	41201	UVER	YZ	9652227
366693	1247	1995-09-12	VYDAJ	PREVOD NA UCET	2077	54704	UVER	YZ	9652227
366694	1247	1995-10-12	VYDAJ	PREVOD NA UCET	2077	52467	UVER	YZ	9652227
366695	1247	1995-11-12	VYDAJ	PREVOD NA UCET	2077	99135	UVER	YZ	9652227
366696	1247	1995-12-12	VYDAJ	PREVOD NA UCET	2077	76953	UVER	YZ	9652227
366697	1247	1996-01-12	VYDAJ	PREVOD NA UCET	2077	16404	UVER	YZ	9652227
366698	1247	1996-02-12	VYDAJ	PREVOD NA UCET	2077	9797	UVER	YZ	9652227
366699	1247	1996-03-12	VYDAJ	PREVOD NA UCET	2077	13659	UVER	YZ	9652227
366700	1247	1996-04-12	VYDAJ	PREVOD NA UCET	2077	19337	UVER	YZ	9652227
366701	1247	1996-05-12	VYDAJ	PREVOD NA UCET	2077	15225	UVER	YZ	9652227
366702	1247	1996-06-12	VYDAJ	PREVOD NA UCET	2077	16613	UVER	YZ	9652227
366705	1247	1996-09-12	VYDAJ	PREVOD NA UCET	2077	37158	UVER	YZ	9652227
366706	1247	1996-10-12	VYDAJ	PREVOD NA UCET	2077	31073	UVER	YZ	9652227
366707	1247	1996-11-12	VYDAJ	PREVOD NA UCET	2077	57613	UVER	YZ	9652227
366708	1247	1996-12-12	VYDAJ	PREVOD NA UCET	2077	26325	UVER	YZ	9652227
366709	1247	1997-01-12	VYDAJ	PREVOD NA UCET	2077	42579	UVER	YZ	9652227
366710	1247	1997-02-12	VYDAJ	PREVOD NA UCET	2077	87693	UVER	YZ	9652227
366711	1247	1997-03-12	VYDAJ	PREVOD NA UCET	2077	102574	UVER	YZ	9652227
366712	1247	1997-04-12	VYDAJ	PREVOD NA UCET	2077	51052	UVER	YZ	9652227
366713	1247	1997-05-12	VYDAJ	PREVOD NA UCET	2077	99053	UVER	YZ	9652227
366714	1247	1997-06-12	VYDAJ	PREVOD NA UCET	2077	50602	UVER	YZ	9652227
366715	1247	1997-07-12	VYDAJ	PREVOD NA UCET	2077	86256	UVER	YZ	9652227
366716	1247	1997-08-12	VYDAJ	PREVOD NA UCET	2077	62350	UVER	YZ	9652227
366717	1247	1997-09-12	VYDAJ	PREVOD NA UCET	2077	38613	UVER	YZ	9652227
366718	1247	1997-10-12	VYDAJ	PREVOD NA UCET	2077	56701	UVER	YZ	9652227
366719	1247	1997-11-12	VYDAJ	PREVOD NA UCET	2077	73406	UVER	YZ	9652227
366720	1247	1997-12-12	VYDAJ	PREVOD NA UCET	2077	79432	UVER	YZ	9652227
366721	1247	1998-01-12	VYDAJ	PREVOD NA UCET	2077	23332	UVER	YZ	9652227
366722	1247	1998-02-12	VYDAJ	PREVOD NA UCET	2077	40752	UVER	YZ	9652227
366723	1247	1998-03-12	VYDAJ	PREVOD NA UCET	2077	48418	UVER	YZ	9652227
366724	1247	1998-04-12	VYDAJ	PREVOD NA UCET	2077	98052	UVER	YZ	9652227
366725	1247	1998-05-12	VYDAJ	PREVOD NA UCET	2077	67925	UVER	YZ	9652227
366726	1247	1998-06-12	VYDAJ	PREVOD NA UCET	2077	106639	UVER	YZ	9652227
366727	1247	1998-07-12	VYDAJ	PREVOD NA UCET	2077	78028	UVER	YZ	9652227
366728	1247	1998-08-12	VYDAJ	PREVOD NA UCET	2077	104688	UVER	YZ	9652227
366729	1247	1998-09-12	VYDAJ	PREVOD NA UCET	2077	77279	UVER	YZ	9652227
366730	1247	1998-10-12	VYDAJ	PREVOD NA UCET	2077	93453	UVER	YZ	9652227
366731	1247	1998-11-12	VYDAJ	PREVOD NA UCET	2077	83680	UVER	YZ	9652227
366732	1247	1998-12-12	VYDAJ	PREVOD NA UCET	2077	78997	UVER	YZ	9652227
366734	1247	1994-10-04	VYBER	VYBER	21883	6957	\N	\N	\N
366735	1247	1994-10-04	VYBER	VYBER	13191	28840	\N	\N	\N
366737	1247	1994-04-24	VYBER	VYBER	23149	68557	\N	\N	\N
366739	1247	1994-08-03	VYBER	VYBER	13331	29694	\N	\N	\N
366741	1247	1994-04-30	VYBER	VYBER	20722	48194	\N	\N	\N
366743	1247	1994-08-09	VYBER	VYBER	10722	17272	\N	\N	\N
366745	1247	1994-10-14	VYBER	VYBER	15507	1369	\N	\N	\N
366746	1247	1995-01-03	VYBER	VYBER	17942	12821	\N	\N	\N
366747	1247	1995-07-04	VYBER	VYBER	18795	12999	\N	\N	\N
366748	1247	1995-11-20	VYBER	VYBER	13973	106014	\N	\N	\N
366749	1247	1995-10-03	VYBER	VYBER	7530	26170	\N	\N	\N
366750	1247	1995-12-07	VYBER	VYBER	17627	37681	\N	\N	\N
366751	1247	1995-05-20	VYBER	VYBER	19762	29193	\N	\N	\N
366752	1247	1995-04-27	VYBER	VYBER	10840	7425	\N	\N	\N
366753	1247	1995-07-11	VYBER	VYBER	10801	2198	\N	\N	\N
366754	1247	1995-12-07	VYBER	VYBER	8276	55308	\N	\N	\N
366755	1247	1995-11-29	VYBER	VYBER	23487	45951	\N	\N	\N
366757	1247	1996-06-25	VYBER	VYBER	13351	3862	\N	\N	\N
366758	1247	1996-04-22	VYBER	VYBER	12902	6435	\N	\N	\N
366759	1247	1997-09-28	VYBER	VYBER	22659	58595	\N	\N	\N
366760	1247	1997-09-23	VYBER	VYBER	6889	34124	\N	\N	\N
366761	1247	1997-03-23	VYBER	VYBER	15513	52861	\N	\N	\N
366762	1247	1997-09-01	VYBER	VYBER	10683	40690	\N	\N	\N
366763	1247	1998-06-28	VYBER	VYBER	6745	33455	\N	\N	\N
366764	1247	1998-08-16	VYBER	VYBER	10948	93740	\N	\N	\N
366765	1247	1998-07-07	VYBER	VYBER	14857	35294	\N	\N	\N
366766	1247	1998-01-28	VYBER	VYBER	9344	37257	\N	\N	\N
366767	1247	1998-08-22	VYBER	VYBER	18993	50381	\N	\N	\N
366768	1247	1998-11-27	VYBER	VYBER	6645	85780	\N	\N	\N
366769	1247	1998-06-26	VYBER	VYBER	3376	40200	\N	\N	\N
366770	1247	1998-10-29	VYBER	VYBER	13227	42779	\N	\N	\N
366771	1247	1998-07-22	VYBER	VYBER	6787	69441	\N	\N	\N
366772	1247	1998-07-02	VYBER	VYBER	24487	19292	\N	\N	\N
366775	1247	1995-06-04	VYDAJ	VYBER	31500	11019	\N	\N	\N
366778	1247	1998-06-21	VYDAJ	VYBER	59400	43576	\N	\N	\N
366781	1247	1995-01-03	VYDAJ	VYBER	13500	-679	\N	\N	\N
366782	1247	1996-01-07	VYDAJ	VYBER	16200	23581	\N	\N	\N
366783	1247	1997-01-26	VYDAJ	VYBER	29700	59752	\N	\N	\N
366784	1247	1998-01-12	VYDAJ	VYBER	26700	25409	\N	\N	\N
366786	1247	1994-12-08	VYDAJ	VYBER	6300	35630	\N	\N	\N
366787	1247	1995-12-09	VYDAJ	VYBER	6000	31681	\N	\N	\N
366788	1247	1996-12-28	VYDAJ	VYBER	5100	53818	\N	\N	\N
366789	1247	1997-12-13	VYDAJ	VYBER	3900	75532	\N	\N	\N
366790	1247	1998-12-27	VYDAJ	VYBER	6600	101008	\N	\N	\N
366803	1247	1995-01-16	VYDAJ	VYBER	8700	25420	\N	\N	\N
366804	1247	1995-01-29	VYDAJ	VYBER	6300	15830	\N	\N	\N
366805	1247	1995-01-17	VYDAJ	VYBER	2700	22720	\N	\N	\N
366806	1247	1995-01-29	VYDAJ	VYBER	8400	22130	\N	\N	\N
366807	1247	1995-01-21	VYDAJ	VYBER	5100	17620	\N	\N	\N
366808	1247	1995-01-12	VYDAJ	VYBER	4500	34120	\N	\N	\N
366809	1247	1996-01-10	VYDAJ	VYBER	2400	18481	\N	\N	\N
366810	1247	1996-01-17	VYDAJ	VYBER	3900	9804	\N	\N	\N
366811	1247	1996-01-24	VYDAJ	VYBER	2700	11804	\N	\N	\N
366812	1247	1996-01-09	VYDAJ	VYBER	2700	20881	\N	\N	\N
366813	1247	1996-01-14	VYDAJ	VYBER	2700	13704	\N	\N	\N
366814	1247	1996-01-05	VYDAJ	VYBER	6000	39781	\N	\N	\N
366815	1247	1997-01-25	VYDAJ	VYBER	5100	89452	\N	\N	\N
366816	1247	1997-01-24	VYDAJ	VYBER	4800	94552	\N	\N	\N
366817	1247	1997-01-08	VYDAJ	VYBER	4200	49756	\N	\N	\N
366818	1247	1997-01-17	VYDAJ	VYBER	4200	99002	\N	\N	\N
366819	1247	1997-01-17	VYDAJ	VYBER	6900	103202	\N	\N	\N
366820	1247	1997-01-11	VYDAJ	VYBER	5100	44656	\N	\N	\N
366821	1247	1998-01-02	VYDAJ	VYBER	7200	54509	\N	\N	\N
366822	1247	1998-01-01	VYDAJ	VYBER	4200	61709	\N	\N	\N
366823	1247	1998-01-27	VYDAJ	VYBER	4500	46601	\N	\N	\N
366824	1247	1998-01-10	VYDAJ	VYBER	2400	52109	\N	\N	\N
366825	1247	1998-01-15	VYDAJ	VYBER	1800	39632	\N	\N	\N
366826	1247	1998-01-29	VYDAJ	VYBER	8700	28557	\N	\N	\N
366832	1247	1994-06-30	VYDAJ	VYBER	2400	42358	\N	\N	\N
366833	1247	1994-05-24	VYDAJ	VYBER	9900	45629	\N	\N	\N
366835	1247	1994-05-30	VYDAJ	VYBER	12900	32729	\N	\N	\N
366836	1247	1994-03-30	VYDAJ	VYBER	10200	93630	\N	\N	\N
366837	1247	1994-05-22	VYDAJ	VYBER	11100	55529	\N	\N	\N
366839	1247	1995-02-27	VYDAJ	VYBER	14400	-975	\N	\N	\N
366840	1247	1995-11-06	VYDAJ	VYBER	3000	101212	\N	\N	\N
366841	1247	1995-04-16	VYDAJ	VYBER	10800	29965	\N	\N	\N
366842	1247	1995-09-22	VYDAJ	VYBER	14100	40604	\N	\N	\N
366843	1247	1995-08-06	VYDAJ	VYBER	8100	43278	\N	\N	\N
366844	1247	1995-04-21	VYDAJ	VYBER	11700	18265	\N	\N	\N
366845	1247	1996-07-30	VYDAJ	VYBER	13500	2425	\N	\N	\N
366846	1247	1996-06-03	VYDAJ	VYBER	13200	18690	\N	\N	\N
366847	1247	1996-11-24	VYDAJ	VYBER	12900	28213	\N	\N	\N
366848	1247	1996-03-03	VYDAJ	VYBER	1800	15736	\N	\N	\N
366849	1247	1996-06-21	VYDAJ	VYBER	3900	12713	\N	\N	\N
366850	1247	1997-02-24	VYDAJ	VYBER	14700	40893	\N	\N	\N
366851	1247	1997-12-02	VYDAJ	VYBER	5700	72442	\N	\N	\N
366852	1247	1997-05-22	VYDAJ	VYBER	2700	52388	\N	\N	\N
366853	1247	1997-03-07	VYDAJ	VYBER	3000	67195	\N	\N	\N
366854	1247	1998-05-06	VYDAJ	VYBER	11100	70002	\N	\N	\N
366855	1247	1998-09-09	VYDAJ	VYBER	12600	74856	\N	\N	\N
366856	1247	1998-10-23	VYDAJ	VYBER	13800	88378	\N	\N	\N
366872	1247	1994-03-31	VYDAJ	VYBER	15	93945	SLUZBY	\N	\N
366873	1247	1994-04-30	VYDAJ	VYBER	15	48179	SLUZBY	\N	\N
366874	1247	1994-05-31	VYDAJ	VYBER	15	32907	SLUZBY	\N	\N
366875	1247	1994-06-30	VYDAJ	VYBER	15	44758	SLUZBY	\N	\N
366876	1247	1994-07-31	VYDAJ	VYBER	15	63725	SLUZBY	\N	\N
366877	1247	1994-08-31	VYDAJ	VYBER	15	42204	SLUZBY	\N	\N
366878	1247	1994-09-30	VYDAJ	VYBER	15	59131	SLUZBY	\N	\N
366879	1247	1994-10-31	VYDAJ	VYBER	15	12416	SLUZBY	\N	\N
366880	1247	1994-11-30	VYDAJ	VYBER	15	41930	SLUZBY	\N	\N
366881	1247	1994-12-31	VYDAJ	VYBER	15	30763	SLUZBY	\N	\N
366882	1247	1995-01-31	VYDAJ	VYBER	15	15925	SLUZBY	\N	\N
366883	1247	1995-02-28	VYDAJ	VYBER	15	44767	SLUZBY	\N	\N
366884	1247	1995-03-31	VYDAJ	VYBER	15	42842	SLUZBY	\N	\N
366885	1247	1995-04-30	VYDAJ	VYBER	15	34491	SLUZBY	\N	\N
366886	1247	1995-05-31	VYDAJ	VYBER	15	42519	SLUZBY	\N	\N
366887	1247	1995-06-30	VYDAJ	VYBER	15	31794	SLUZBY	\N	\N
366888	1247	1995-07-31	VYDAJ	VYBER	15	34305	SLUZBY	\N	\N
366889	1247	1995-08-31	VYDAJ	VYBER	15	56781	SLUZBY	\N	\N
366890	1247	1995-09-30	VYDAJ	VYBER	15	33700	SLUZBY	\N	\N
366891	1247	1995-10-31	VYDAJ	VYBER	15	104212	SLUZBY	\N	\N
366892	1247	1995-11-30	VYDAJ	VYBER	15	46359	SLUZBY	\N	\N
366893	1247	1995-12-31	VYDAJ	VYBER	15	45781	SLUZBY	\N	\N
366894	1247	1996-01-31	VYDAJ	VYBER	15	11874	SLUZBY	\N	\N
366895	1247	1996-02-29	VYDAJ	VYBER	15	17536	SLUZBY	\N	\N
366896	1247	1996-03-31	VYDAJ	VYBER	15	21414	SLUZBY	\N	\N
366897	1247	1996-04-30	VYDAJ	VYBER	15	17302	SLUZBY	\N	\N
366898	1247	1996-05-31	VYDAJ	VYBER	15	21486	SLUZBY	\N	\N
366899	1247	1996-06-30	VYDAJ	VYBER	15	3925	SLUZBY	\N	\N
366900	1247	1996-07-31	VYDAJ	VYBER	15	2425	SLUZBY	\N	\N
366901	1247	1996-08-31	VYDAJ	VYBER	15	11120	SLUZBY	\N	\N
366902	1247	1996-09-30	VYDAJ	VYBER	15	33150	SLUZBY	\N	\N
366903	1247	1996-10-31	VYDAJ	VYBER	15	59690	SLUZBY	\N	\N
366904	1247	1996-11-30	VYDAJ	VYBER	15	28402	SLUZBY	\N	\N
366905	1247	1996-12-31	VYDAJ	VYBER	15	53956	SLUZBY	\N	\N
366906	1247	1997-01-31	VYDAJ	VYBER	15	89770	SLUZBY	\N	\N
366907	1247	1997-02-28	VYDAJ	VYBER	15	41179	SLUZBY	\N	\N
366908	1247	1997-03-31	VYDAJ	VYBER	15	53129	SLUZBY	\N	\N
366909	1247	1997-04-30	VYDAJ	VYBER	15	93338	SLUZBY	\N	\N
366910	1247	1997-05-31	VYDAJ	VYBER	15	52679	SLUZBY	\N	\N
366911	1247	1997-06-30	VYDAJ	VYBER	15	68865	SLUZBY	\N	\N
366912	1247	1997-07-31	VYDAJ	VYBER	15	64427	SLUZBY	\N	\N
366913	1247	1997-08-31	VYDAJ	VYBER	15	51373	SLUZBY	\N	\N
366914	1247	1997-09-30	VYDAJ	VYBER	15	58778	SLUZBY	\N	\N
366915	1247	1997-10-31	VYDAJ	VYBER	15	75483	SLUZBY	\N	\N
366916	1247	1997-11-30	VYDAJ	VYBER	15	78142	SLUZBY	\N	\N
366917	1247	1997-12-31	VYDAJ	VYBER	15	65909	SLUZBY	\N	\N
366918	1247	1998-01-31	VYDAJ	VYBER	15	28729	SLUZBY	\N	\N
366919	1247	1998-02-28	VYDAJ	VYBER	15	40888	SLUZBY	\N	\N
366920	1247	1998-03-31	VYDAJ	VYBER	15	100129	SLUZBY	\N	\N
366921	1247	1998-04-30	VYDAJ	VYBER	15	81102	SLUZBY	\N	\N
366922	1247	1998-05-31	VYDAJ	VYBER	15	88345	SLUZBY	\N	\N
366923	1247	1998-06-30	VYDAJ	VYBER	15	33753	SLUZBY	\N	\N
366924	1247	1998-07-31	VYDAJ	VYBER	15	69681	SLUZBY	\N	\N
366925	1247	1998-08-31	VYDAJ	VYBER	15	50655	SLUZBY	\N	\N
366926	1247	1998-09-30	VYDAJ	VYBER	15	99624	SLUZBY	\N	\N
366927	1247	1998-10-31	VYDAJ	VYBER	15	43158	SLUZBY	\N	\N
366928	1247	1998-11-30	VYDAJ	VYBER	15	86074	SLUZBY	\N	\N
366929	1247	1993-07-08	PRIJEM	VKLAD	10800	11100	\N	\N	\N
366930	1247	1993-08-07	PRIJEM	VKLAD	6400	17500	\N	\N	\N
366931	1247	1993-09-06	PRIJEM	VKLAD	5200	22700	\N	\N	\N
366932	1247	1993-10-06	PRIJEM	VKLAD	900	23600	\N	\N	\N
366933	1247	1993-11-05	PRIJEM	VKLAD	1000	24600	\N	\N	\N
366934	1247	1994-01-04	VYDAJ	VYBER	2600	22000	\N	\N	\N
366935	1247	1994-02-03	VYDAJ	VYBER	23600	49056	\N	\N	\N
366936	1247	1994-03-02	VYDAJ	VYBER	55900	71785	\N	\N	\N
366937	1247	1994-03-05	VYDAJ	VYBER	23100	48685	\N	\N	\N
366938	1247	1994-04-04	VYDAJ	VYBER	35100	58845	\N	\N	\N
366939	1247	1994-05-04	VYDAJ	VYBER	18500	43723	\N	\N	\N
366940	1247	1994-06-03	VYDAJ	VYBER	2500	30407	\N	\N	\N
366941	1247	1994-07-03	VYDAJ	VYBER	6200	36158	\N	\N	\N
366942	1247	1994-07-26	VYDAJ	VYBER	47300	63478	\N	\N	\N
366943	1247	1994-08-02	VYDAJ	VYBER	20700	43025	\N	\N	\N
366944	1247	1994-09-01	VYDAJ	VYBER	7700	34504	\N	\N	\N
366945	1247	1994-09-27	VYDAJ	VYBER	48300	58795	\N	\N	\N
366946	1247	1994-10-01	VYDAJ	VYBER	17100	42031	\N	\N	\N
366947	1247	1994-10-31	PRIJEM	VKLAD	12300	12369	\N	\N	\N
366948	1247	1994-11-30	VYDAJ	VYBER	17800	41944	\N	\N	\N
366949	1247	1994-12-30	VYDAJ	VYBER	2100	30630	\N	\N	\N
366950	1247	1995-01-29	PRIJEM	VKLAD	5200	30530	\N	\N	\N
366951	1247	1995-02-28	VYDAJ	VYBER	9800	34967	\N	\N	\N
366952	1247	1995-03-30	VYDAJ	VYBER	15200	42679	\N	\N	\N
366953	1247	1995-04-29	VYDAJ	VYBER	8600	34369	\N	\N	\N
366954	1247	1995-05-17	VYDAJ	VYBER	63600	48955	\N	\N	\N
366955	1247	1995-05-29	VYDAJ	VYBER	25200	42358	\N	\N	\N
366956	1247	1995-06-28	VYDAJ	VYBER	5200	31673	\N	\N	\N
366957	1247	1995-07-28	VYDAJ	VYBER	7200	34217	\N	\N	\N
366958	1247	1995-08-27	VYDAJ	VYBER	27700	56542	\N	\N	\N
366959	1247	1995-09-26	VYDAJ	VYBER	7100	33504	\N	\N	\N
366960	1247	1995-10-26	VYDAJ	VYBER	36600	61588	\N	\N	\N
366961	1247	1995-11-19	VYDAJ	VYBER	24300	119987	\N	\N	\N
366962	1247	1995-11-21	VYDAJ	VYBER	32200	114538	\N	\N	\N
366963	1247	1995-11-25	VYDAJ	VYBER	45100	69438	\N	\N	\N
366964	1247	1995-12-25	VYDAJ	VYBER	31400	45553	\N	\N	\N
366965	1247	1996-01-24	PRIJEM	VKLAD	4700	14504	\N	\N	\N
366966	1247	1996-02-23	PRIJEM	VKLAD	7700	17497	\N	\N	\N
366967	1247	1996-03-24	PRIJEM	VKLAD	7700	21359	\N	\N	\N
366968	1247	1996-04-23	PRIJEM	VKLAD	10800	17235	\N	\N	\N
366969	1247	1996-05-23	PRIJEM	VKLAD	6200	21425	\N	\N	\N
366970	1247	1996-06-22	PRIJEM	VKLAD	4500	17213	\N	\N	\N
366971	1247	1996-07-22	PRIJEM	VKLAD	12000	15925	\N	\N	\N
366972	1247	1996-08-21	PRIJEM	VKLAD	8700	11125	\N	\N	\N
366973	1247	1996-09-20	VYDAJ	VYBER	4100	33058	\N	\N	\N
366974	1247	1996-10-20	VYDAJ	VYBER	700	30373	\N	\N	\N
366975	1247	1996-11-19	VYDAJ	VYBER	16500	41113	\N	\N	\N
366976	1247	1996-12-19	VYDAJ	VYBER	2500	23825	\N	\N	\N
366977	1247	1997-01-18	VYDAJ	VYBER	36000	63002	\N	\N	\N
366978	1247	1997-01-27	VYDAJ	VYBER	15000	89491	\N	\N	\N
366979	1247	1997-02-17	VYDAJ	VYBER	32100	55593	\N	\N	\N
366980	1247	1997-03-19	VYDAJ	VYBER	34200	68374	\N	\N	\N
366981	1247	1997-04-18	VYDAJ	VYBER	13300	43912	\N	\N	\N
366982	1247	1997-05-15	VYDAJ	VYBER	35200	76988	\N	\N	\N
366983	1247	1997-05-18	VYDAJ	VYBER	21900	55088	\N	\N	\N
366984	1247	1997-06-17	VYDAJ	VYBER	7800	42802	\N	\N	\N
366985	1247	1997-07-17	VYDAJ	VYBER	22100	64156	\N	\N	\N
366986	1247	1997-08-16	VYDAJ	VYBER	11200	51150	\N	\N	\N
366987	1247	1997-09-15	PRIJEM	VKLAD	2400	41013	\N	\N	\N
366988	1247	1997-10-15	VYDAJ	VYBER	4500	52201	\N	\N	\N
366989	1247	1997-11-14	VYDAJ	VYBER	10800	62606	\N	\N	\N
366990	1247	1997-11-19	VYDAJ	VYBER	48900	77767	\N	\N	\N
366991	1247	1997-12-14	VYDAJ	VYBER	9900	65632	\N	\N	\N
366992	1247	1998-01-13	PRIJEM	VKLAD	18100	41432	\N	\N	\N
366993	1247	1998-02-12	PRIJEM	VKLAD	14100	42829	\N	\N	\N
366994	1247	1998-03-14	VYDAJ	VYBER	5900	66334	\N	\N	\N
366995	1247	1998-04-13	VYDAJ	VYBER	17300	80752	\N	\N	\N
366996	1247	1998-05-13	VYDAJ	VYBER	4100	63825	\N	\N	\N
366997	1247	1998-06-12	VYDAJ	VYBER	19200	87439	\N	\N	\N
366998	1247	1998-07-12	VYDAJ	VYBER	1800	76228	\N	\N	\N
366999	1247	1998-08-11	PRIJEM	VKLAD	7700	77381	\N	\N	\N
367000	1247	1998-08-19	VYDAJ	VYBER	54900	69374	\N	\N	\N
367001	1247	1998-09-10	PRIJEM	VKLAD	4500	79356	\N	\N	\N
367002	1247	1998-10-04	VYDAJ	VYBER	33100	106330	\N	\N	\N
367003	1247	1998-10-10	VYDAJ	VYBER	10800	95530	\N	\N	\N
367004	1247	1998-10-25	VYDAJ	VYBER	59200	56006	\N	\N	\N
367005	1247	1998-11-09	VYDAJ	VYBER	2800	85757	\N	\N	\N
367006	1247	1998-11-21	VYDAJ	VYBER	62100	78350	\N	\N	\N
367007	1247	1998-12-09	VYDAJ	VYBER	5000	81074	\N	\N	\N
367073	1248	1995-04-29	PRIJEM	VKLAD	600	600	\N	\N	\N
367078	1248	1995-05-13	PRIJEM	PREVOD Z UCTU	6372	6972	DUCHOD	OP	83117985
367079	1248	1995-06-13	PRIJEM	PREVOD Z UCTU	6372	13344	DUCHOD	OP	83117985
367080	1248	1995-07-13	PRIJEM	PREVOD Z UCTU	6372	19716	DUCHOD	OP	83117985
367081	1248	1995-08-13	PRIJEM	PREVOD Z UCTU	6372	26088	DUCHOD	OP	83117985
367082	1248	1995-09-13	PRIJEM	PREVOD Z UCTU	6372	32460	DUCHOD	OP	83117985
367083	1248	1995-10-13	PRIJEM	PREVOD Z UCTU	6372	32162	DUCHOD	OP	83117985
367084	1248	1995-11-13	PRIJEM	PREVOD Z UCTU	6372	33971	DUCHOD	OP	83117985
367085	1248	1995-12-13	PRIJEM	PREVOD Z UCTU	6372	31584	DUCHOD	OP	83117985
367086	1248	1996-01-13	PRIJEM	PREVOD Z UCTU	6372	24887	DUCHOD	OP	83117985
367087	1248	1996-02-13	PRIJEM	PREVOD Z UCTU	6372	22327	DUCHOD	OP	83117985
367088	1248	1996-03-13	PRIJEM	PREVOD Z UCTU	6372	25601	DUCHOD	OP	83117985
367089	1248	1996-04-13	PRIJEM	PREVOD Z UCTU	6372	28884	DUCHOD	OP	83117985
367090	1248	1996-05-13	PRIJEM	PREVOD Z UCTU	6372	29478	DUCHOD	OP	83117985
367091	1248	1996-06-13	PRIJEM	PREVOD Z UCTU	6372	20873	DUCHOD	OP	83117985
367092	1248	1996-07-13	PRIJEM	PREVOD Z UCTU	6372	21665	DUCHOD	OP	83117985
367093	1248	1996-08-13	PRIJEM	PREVOD Z UCTU	6372	24931	DUCHOD	OP	83117985
367094	1248	1996-09-13	PRIJEM	PREVOD Z UCTU	6372	24706	DUCHOD	OP	83117985
367095	1248	1996-10-13	PRIJEM	PREVOD Z UCTU	6372	27985	DUCHOD	OP	83117985
367096	1248	1996-11-13	PRIJEM	PREVOD Z UCTU	6372	27472	DUCHOD	OP	83117985
367097	1248	1996-12-13	PRIJEM	PREVOD Z UCTU	6372	28959	DUCHOD	OP	83117985
367098	1248	1997-01-13	PRIJEM	PREVOD Z UCTU	6372	22074	DUCHOD	OP	83117985
367099	1248	1997-02-13	PRIJEM	PREVOD Z UCTU	6372	23824	DUCHOD	OP	83117985
367100	1248	1997-03-13	PRIJEM	PREVOD Z UCTU	6372	23172	DUCHOD	OP	83117985
367101	1248	1997-04-13	PRIJEM	PREVOD Z UCTU	6372	25482	DUCHOD	OP	83117985
367102	1248	1997-05-13	PRIJEM	PREVOD Z UCTU	6372	28764	DUCHOD	OP	83117985
367103	1248	1997-06-13	PRIJEM	PREVOD Z UCTU	6372	22606	DUCHOD	OP	83117985
367104	1248	1997-07-13	PRIJEM	PREVOD Z UCTU	6372	25786	DUCHOD	OP	83117985
367105	1248	1997-08-13	PRIJEM	PREVOD Z UCTU	6372	29070	DUCHOD	OP	83117985
367106	1248	1997-09-13	PRIJEM	PREVOD Z UCTU	6372	29206	DUCHOD	OP	83117985
367107	1248	1997-10-13	PRIJEM	PREVOD Z UCTU	6372	28098	DUCHOD	OP	83117985
367108	1248	1997-11-13	PRIJEM	PREVOD Z UCTU	6372	28986	DUCHOD	OP	83117985
367109	1248	1997-12-13	PRIJEM	PREVOD Z UCTU	6372	28016	DUCHOD	OP	83117985
367110	1248	1998-01-13	PRIJEM	PREVOD Z UCTU	6372	24055	DUCHOD	OP	83117985
367111	1248	1998-02-13	PRIJEM	PREVOD Z UCTU	6372	19881	DUCHOD	OP	83117985
367112	1248	1998-03-13	PRIJEM	PREVOD Z UCTU	6372	23139	DUCHOD	OP	83117985
367113	1248	1998-04-13	PRIJEM	PREVOD Z UCTU	6372	24727	DUCHOD	OP	83117985
367114	1248	1998-05-13	PRIJEM	PREVOD Z UCTU	6372	26903	DUCHOD	OP	83117985
367115	1248	1998-06-13	PRIJEM	PREVOD Z UCTU	6372	23867	DUCHOD	OP	83117985
367116	1248	1998-07-13	PRIJEM	PREVOD Z UCTU	6372	24843	DUCHOD	OP	83117985
367117	1248	1998-08-13	PRIJEM	PREVOD Z UCTU	6372	22325	DUCHOD	OP	83117985
367118	1248	1998-09-13	PRIJEM	PREVOD Z UCTU	6372	21602	DUCHOD	OP	83117985
367119	1248	1998-10-13	PRIJEM	PREVOD Z UCTU	6372	19510	DUCHOD	OP	83117985
367120	1248	1998-11-13	PRIJEM	PREVOD Z UCTU	6372	22766	DUCHOD	OP	83117985
367121	1248	1998-12-13	PRIJEM	PREVOD Z UCTU	6372	26036	DUCHOD	OP	83117985
367131	1248	1995-10-12	VYDAJ	PREVOD NA UCET	3176	25790	SIPO	AB	25126809
367132	1248	1995-11-12	VYDAJ	PREVOD NA UCET	3176	27599	SIPO	AB	25126809
367133	1248	1995-12-12	VYDAJ	PREVOD NA UCET	3176	25212	SIPO	AB	25126809
367134	1248	1996-01-12	VYDAJ	PREVOD NA UCET	3176	18515	SIPO	AB	25126809
367135	1248	1996-02-12	VYDAJ	PREVOD NA UCET	3176	15955	SIPO	AB	25126809
367136	1248	1996-03-12	VYDAJ	PREVOD NA UCET	3176	19229	SIPO	AB	25126809
367137	1248	1996-04-12	VYDAJ	PREVOD NA UCET	3176	22512	SIPO	AB	25126809
367138	1248	1996-05-12	VYDAJ	PREVOD NA UCET	3176	23106	SIPO	AB	25126809
367139	1248	1996-06-12	VYDAJ	PREVOD NA UCET	3176	14501	SIPO	AB	25126809
367140	1248	1996-07-12	VYDAJ	PREVOD NA UCET	3176	15293	SIPO	AB	25126809
367141	1248	1996-08-12	VYDAJ	PREVOD NA UCET	3176	18559	SIPO	AB	25126809
367142	1248	1996-09-12	VYDAJ	PREVOD NA UCET	3176	18334	SIPO	AB	25126809
367143	1248	1996-10-12	VYDAJ	PREVOD NA UCET	3176	21613	SIPO	AB	25126809
367144	1248	1996-11-12	VYDAJ	PREVOD NA UCET	3176	21100	SIPO	AB	25126809
367145	1248	1996-12-12	VYDAJ	PREVOD NA UCET	3176	22587	SIPO	AB	25126809
367146	1248	1997-01-12	VYDAJ	PREVOD NA UCET	3176	15702	SIPO	AB	25126809
367147	1248	1997-02-12	VYDAJ	PREVOD NA UCET	3176	17452	SIPO	AB	25126809
367148	1248	1997-03-12	VYDAJ	PREVOD NA UCET	3176	16800	SIPO	AB	25126809
367149	1248	1997-04-12	VYDAJ	PREVOD NA UCET	3176	19110	SIPO	AB	25126809
367150	1248	1997-05-12	VYDAJ	PREVOD NA UCET	3176	22392	SIPO	AB	25126809
367151	1248	1997-06-12	VYDAJ	PREVOD NA UCET	3176	16234	SIPO	AB	25126809
367152	1248	1997-07-12	VYDAJ	PREVOD NA UCET	3176	19414	SIPO	AB	25126809
367153	1248	1997-08-12	VYDAJ	PREVOD NA UCET	3176	22698	SIPO	AB	25126809
367154	1248	1997-09-12	VYDAJ	PREVOD NA UCET	3176	22834	SIPO	AB	25126809
367155	1248	1997-10-12	VYDAJ	PREVOD NA UCET	3176	21726	SIPO	AB	25126809
367156	1248	1997-11-12	VYDAJ	PREVOD NA UCET	3176	22614	SIPO	AB	25126809
367157	1248	1997-12-12	VYDAJ	PREVOD NA UCET	3176	21644	SIPO	AB	25126809
367158	1248	1998-01-12	VYDAJ	PREVOD NA UCET	3176	17683	SIPO	AB	25126809
367159	1248	1998-02-12	VYDAJ	PREVOD NA UCET	3176	13509	SIPO	AB	25126809
367160	1248	1998-03-12	VYDAJ	PREVOD NA UCET	3176	16767	SIPO	AB	25126809
367161	1248	1998-04-12	VYDAJ	PREVOD NA UCET	3176	18355	SIPO	AB	25126809
367162	1248	1998-05-12	VYDAJ	PREVOD NA UCET	3176	20531	SIPO	AB	25126809
367163	1248	1998-06-12	VYDAJ	PREVOD NA UCET	3176	17495	SIPO	AB	25126809
367164	1248	1998-07-12	VYDAJ	PREVOD NA UCET	3176	18471	SIPO	AB	25126809
367165	1248	1998-08-12	VYDAJ	PREVOD NA UCET	3176	15953	SIPO	AB	25126809
367166	1248	1998-09-12	VYDAJ	PREVOD NA UCET	3176	15230	SIPO	AB	25126809
367167	1248	1998-10-12	VYDAJ	PREVOD NA UCET	3176	13138	SIPO	AB	25126809
367168	1248	1998-11-12	VYDAJ	PREVOD NA UCET	3176	16394	SIPO	AB	25126809
367169	1248	1998-12-12	VYDAJ	PREVOD NA UCET	3176	19664	SIPO	AB	25126809
367171	1248	1996-06-05	VYDAJ	VYBER	8900	17677	\N	\N	\N
367172	1248	1997-06-01	VYDAJ	VYBER	7350	19410	\N	\N	\N
367173	1248	1998-06-03	VYDAJ	VYBER	1500	20671	\N	\N	\N
367180	1248	1996-01-01	VYDAJ	VYBER	1040	24811	\N	\N	\N
367181	1248	1996-01-25	VYDAJ	VYBER	1120	22567	\N	\N	\N
367182	1248	1996-01-01	VYDAJ	VYBER	2320	25851	\N	\N	\N
367183	1248	1996-01-11	VYDAJ	VYBER	1680	21691	\N	\N	\N
367184	1248	1996-01-09	VYDAJ	VYBER	1440	23371	\N	\N	\N
367185	1248	1996-01-22	VYDAJ	VYBER	1200	23687	\N	\N	\N
367186	1248	1997-01-04	VYDAJ	VYBER	1520	22318	\N	\N	\N
367187	1248	1997-01-09	VYDAJ	VYBER	1280	18878	\N	\N	\N
367188	1248	1997-01-30	VYDAJ	VYBER	880	20554	\N	\N	\N
367189	1248	1997-01-01	VYDAJ	VYBER	800	27358	\N	\N	\N
367190	1248	1997-01-14	VYDAJ	VYBER	640	21434	\N	\N	\N
367191	1248	1997-01-04	VYDAJ	VYBER	2160	20158	\N	\N	\N
367192	1248	1998-01-17	VYDAJ	VYBER	2080	21975	\N	\N	\N
367193	1248	1998-01-01	VYDAJ	VYBER	640	22059	\N	\N	\N
367194	1248	1998-01-11	VYDAJ	VYBER	1200	20859	\N	\N	\N
367195	1248	1998-01-18	VYDAJ	VYBER	1440	20055	\N	\N	\N
367196	1248	1998-01-25	VYDAJ	VYBER	1360	16615	\N	\N	\N
367197	1248	1998-01-18	VYDAJ	VYBER	480	21495	\N	\N	\N
367198	1248	1995-09-21	VYDAJ	VYBER	3520	28940	\N	\N	\N
367202	1248	1995-11-26	VYDAJ	VYBER	400	28271	\N	\N	\N
367203	1248	1995-12-22	VYDAJ	VYBER	3520	28064	\N	\N	\N
367204	1248	1996-02-05	VYDAJ	VYBER	3520	19131	\N	\N	\N
367205	1248	1996-06-18	VYDAJ	VYBER	2480	18393	\N	\N	\N
367206	1248	1997-09-17	VYDAJ	VYBER	2800	24806	\N	\N	\N
367207	1248	1997-01-03	VYDAJ	VYBER	3520	23838	\N	\N	\N
367208	1248	1997-02-17	VYDAJ	VYBER	3920	19904	\N	\N	\N
367209	1248	1997-03-15	VYDAJ	VYBER	960	22212	\N	\N	\N
367210	1248	1997-09-03	VYDAJ	VYBER	2960	26010	\N	\N	\N
367211	1248	1997-11-23	VYDAJ	VYBER	2960	24726	\N	\N	\N
367213	1248	1998-05-27	VYDAJ	VYBER	720	22083	\N	\N	\N
367214	1248	1998-09-24	VYDAJ	VYBER	3280	16242	\N	\N	\N
367215	1248	1998-09-24	VYDAJ	VYBER	2080	19522	\N	\N	\N
367216	1248	1998-03-18	VYDAJ	VYBER	1280	21459	\N	\N	\N
367217	1248	1998-01-21	VYDAJ	VYBER	2080	17975	\N	\N	\N
367227	1248	1995-09-30	VYDAJ	VYBER	15	28966	SLUZBY	\N	\N
367228	1248	1995-10-31	VYDAJ	VYBER	15	30775	SLUZBY	\N	\N
367229	1248	1995-11-30	VYDAJ	VYBER	15	28388	SLUZBY	\N	\N
367230	1248	1995-12-31	VYDAJ	VYBER	15	28171	SLUZBY	\N	\N
367231	1248	1996-01-31	VYDAJ	VYBER	15	22651	SLUZBY	\N	\N
367232	1248	1996-02-29	VYDAJ	VYBER	15	22405	SLUZBY	\N	\N
367233	1248	1996-03-31	VYDAJ	VYBER	15	25688	SLUZBY	\N	\N
367234	1248	1996-04-30	VYDAJ	VYBER	15	26282	SLUZBY	\N	\N
367235	1248	1996-05-31	VYDAJ	VYBER	15	26577	SLUZBY	\N	\N
367236	1248	1996-06-30	VYDAJ	VYBER	15	18469	SLUZBY	\N	\N
367237	1248	1996-07-31	VYDAJ	VYBER	15	21735	SLUZBY	\N	\N
367238	1248	1996-08-31	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
367239	1248	1996-09-30	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
367240	1248	1996-10-31	VYDAJ	VYBER	15	24276	SLUZBY	\N	\N
367241	1248	1996-11-30	VYDAJ	VYBER	15	25763	SLUZBY	\N	\N
367242	1248	1996-12-31	VYDAJ	VYBER	15	28158	SLUZBY	\N	\N
367243	1248	1997-01-31	VYDAJ	VYBER	15	20628	SLUZBY	\N	\N
367244	1248	1997-02-28	VYDAJ	VYBER	15	19976	SLUZBY	\N	\N
367245	1248	1997-03-31	VYDAJ	VYBER	15	22286	SLUZBY	\N	\N
367246	1248	1997-04-30	VYDAJ	VYBER	15	25568	SLUZBY	\N	\N
367247	1248	1997-05-31	VYDAJ	VYBER	15	26760	SLUZBY	\N	\N
367248	1248	1997-06-30	VYDAJ	VYBER	15	22590	SLUZBY	\N	\N
367249	1248	1997-07-31	VYDAJ	VYBER	15	25874	SLUZBY	\N	\N
367250	1248	1997-08-31	VYDAJ	VYBER	15	28970	SLUZBY	\N	\N
367251	1248	1997-09-30	VYDAJ	VYBER	15	24902	SLUZBY	\N	\N
367252	1248	1997-10-31	VYDAJ	VYBER	15	25790	SLUZBY	\N	\N
367253	1248	1997-11-30	VYDAJ	VYBER	15	24820	SLUZBY	\N	\N
367254	1248	1997-12-31	VYDAJ	VYBER	15	22699	SLUZBY	\N	\N
367255	1248	1998-01-31	VYDAJ	VYBER	15	16685	SLUZBY	\N	\N
367256	1248	1998-02-28	VYDAJ	VYBER	15	19943	SLUZBY	\N	\N
367257	1248	1998-03-31	VYDAJ	VYBER	15	21531	SLUZBY	\N	\N
367258	1248	1998-04-30	VYDAJ	VYBER	15	23707	SLUZBY	\N	\N
367259	1248	1998-05-31	VYDAJ	VYBER	15	22171	SLUZBY	\N	\N
367260	1248	1998-06-30	VYDAJ	VYBER	15	23947	SLUZBY	\N	\N
367261	1248	1998-07-31	VYDAJ	VYBER	15	24929	SLUZBY	\N	\N
367262	1248	1998-08-31	VYDAJ	VYBER	15	22406	SLUZBY	\N	\N
367263	1248	1998-09-30	VYDAJ	VYBER	15	16314	SLUZBY	\N	\N
367264	1248	1998-10-31	VYDAJ	VYBER	15	19570	SLUZBY	\N	\N
367265	1248	1998-11-30	VYDAJ	VYBER	15	22840	SLUZBY	\N	\N
367266	1248	1995-10-26	VYDAJ	VYBER	1500	30662	\N	\N	\N
367267	1248	1995-11-25	VYDAJ	VYBER	5300	28671	\N	\N	\N
367268	1248	1996-04-23	VYDAJ	VYBER	2700	26184	\N	\N	\N
367269	1248	1996-05-23	VYDAJ	VYBER	3000	26478	\N	\N	\N
367270	1248	1996-08-21	VYDAJ	VYBER	3500	21431	\N	\N	\N
367271	1248	1996-10-20	VYDAJ	VYBER	3800	24185	\N	\N	\N
367272	1248	1996-11-19	VYDAJ	VYBER	1800	25672	\N	\N	\N
367273	1248	1996-12-19	VYDAJ	VYBER	900	28059	\N	\N	\N
367274	1248	1997-05-18	VYDAJ	VYBER	2100	26664	\N	\N	\N
367275	1248	1997-06-17	VYDAJ	VYBER	100	22506	\N	\N	\N
367276	1248	1997-08-16	VYDAJ	VYBER	200	28870	\N	\N	\N
367277	1248	1997-09-15	VYDAJ	VYBER	1600	27606	\N	\N	\N
367278	1248	1997-10-15	VYDAJ	VYBER	2400	25698	\N	\N	\N
367279	1248	1997-11-14	VYDAJ	VYBER	1300	27686	\N	\N	\N
367280	1248	1997-12-14	VYDAJ	VYBER	5400	22616	\N	\N	\N
367281	1248	1998-03-14	VYDAJ	VYBER	400	22739	\N	\N	\N
367282	1248	1998-04-13	VYDAJ	VYBER	1100	23627	\N	\N	\N
367283	1248	1998-05-13	VYDAJ	VYBER	4100	22803	\N	\N	\N
367284	1248	1998-07-12	VYDAJ	VYBER	2300	21647	\N	\N	\N
367285	1248	1998-08-11	VYDAJ	VYBER	5800	19129	\N	\N	\N
367286	1248	1998-09-10	VYDAJ	VYBER	4000	18406	\N	\N	\N
367327	1249	1995-03-30	PRIJEM	VKLAD	400	400	\N	\N	\N
367331	1249	1995-04-13	PRIJEM	PREVOD Z UCTU	3686	4086	\N	MN	18376
367332	1249	1995-05-13	PRIJEM	PREVOD Z UCTU	3686	17976	\N	MN	18376
367333	1249	1995-06-13	PRIJEM	PREVOD Z UCTU	3686	25925	\N	MN	18376
367334	1249	1995-07-13	PRIJEM	PREVOD Z UCTU	3686	29703	\N	MN	18376
367335	1249	1995-08-13	PRIJEM	PREVOD Z UCTU	3686	32185	\N	MN	18376
367336	1249	1995-09-13	PRIJEM	PREVOD Z UCTU	3686	30922	\N	MN	18376
367337	1249	1995-10-13	PRIJEM	PREVOD Z UCTU	3686	29718	\N	MN	18376
367338	1249	1995-11-13	PRIJEM	PREVOD Z UCTU	3686	31608	\N	MN	18376
367339	1249	1995-12-13	PRIJEM	PREVOD Z UCTU	3686	35151	\N	MN	18376
367340	1249	1996-01-13	PRIJEM	PREVOD Z UCTU	3686	33652	\N	MN	18376
367341	1249	1996-02-13	PRIJEM	PREVOD Z UCTU	3686	31332	\N	MN	18376
367342	1249	1996-03-13	PRIJEM	PREVOD Z UCTU	3686	32170	\N	MN	18376
367343	1249	1996-04-13	PRIJEM	PREVOD Z UCTU	3686	31530	\N	MN	18376
367344	1249	1996-05-13	PRIJEM	PREVOD Z UCTU	3686	31165	\N	MN	18376
367345	1249	1996-06-13	PRIJEM	PREVOD Z UCTU	3686	32111	\N	MN	18376
367346	1249	1996-07-13	PRIJEM	PREVOD Z UCTU	3686	23996	\N	MN	18376
367347	1249	1996-08-13	PRIJEM	PREVOD Z UCTU	3686	25373	\N	MN	18376
367348	1249	1996-09-13	PRIJEM	PREVOD Z UCTU	3686	30992	\N	MN	18376
367349	1249	1996-10-13	PRIJEM	PREVOD Z UCTU	3686	33702	\N	MN	18376
367350	1249	1996-11-13	PRIJEM	PREVOD Z UCTU	3686	33448	\N	MN	18376
367351	1249	1996-12-13	PRIJEM	PREVOD Z UCTU	3686	34092	\N	MN	18376
367352	1249	1997-01-13	PRIJEM	PREVOD Z UCTU	3686	29343	\N	MN	18376
367353	1249	1997-02-13	PRIJEM	PREVOD Z UCTU	3686	28129	\N	MN	18376
367354	1249	1997-03-13	PRIJEM	PREVOD Z UCTU	3686	33961	\N	MN	18376
367355	1249	1997-04-13	PRIJEM	PREVOD Z UCTU	3686	33606	\N	MN	18376
367356	1249	1997-05-13	PRIJEM	PREVOD Z UCTU	3686	34751	\N	MN	18376
367357	1249	1997-06-13	PRIJEM	PREVOD Z UCTU	3686	33598	\N	MN	18376
367358	1249	1997-07-13	PRIJEM	PREVOD Z UCTU	3686	28200	\N	MN	18376
367359	1249	1997-08-13	PRIJEM	PREVOD Z UCTU	3686	34033	\N	MN	18376
367360	1249	1997-09-13	PRIJEM	PREVOD Z UCTU	3686	38186	\N	MN	18376
367361	1249	1997-10-13	PRIJEM	PREVOD Z UCTU	3686	36945	\N	MN	18376
367362	1249	1997-11-13	PRIJEM	PREVOD Z UCTU	3686	38966	\N	MN	18376
367363	1249	1997-12-13	PRIJEM	PREVOD Z UCTU	3686	40937	\N	MN	18376
367364	1249	1998-01-13	PRIJEM	PREVOD Z UCTU	3686	43852	\N	MN	18376
367365	1249	1998-02-13	PRIJEM	PREVOD Z UCTU	3686	42959	\N	MN	18376
367366	1249	1998-03-13	PRIJEM	PREVOD Z UCTU	3686	43776	\N	MN	18376
367367	1249	1998-04-13	PRIJEM	PREVOD Z UCTU	3686	46458	\N	MN	18376
367368	1249	1998-05-13	PRIJEM	PREVOD Z UCTU	3686	47854	\N	MN	18376
367369	1249	1998-06-13	PRIJEM	PREVOD Z UCTU	3686	48223	\N	MN	18376
367370	1249	1998-07-13	PRIJEM	PREVOD Z UCTU	3686	51431	\N	MN	18376
367371	1249	1998-08-13	PRIJEM	PREVOD Z UCTU	3686	54015	\N	MN	18376
367372	1249	1998-09-13	PRIJEM	PREVOD Z UCTU	3686	56145	\N	MN	18376
367373	1249	1998-10-13	PRIJEM	PREVOD Z UCTU	3686	58212	\N	MN	18376
367374	1249	1998-11-13	PRIJEM	PREVOD Z UCTU	3686	58460	\N	MN	18376
367375	1249	1998-12-13	PRIJEM	PREVOD Z UCTU	3686	59170	\N	MN	18376
367384	1249	1995-09-07	VYDAJ	PREVOD NA UCET	704	27628	SIPO	ST	91224199
367385	1249	1995-10-07	VYDAJ	PREVOD NA UCET	704	26424	SIPO	ST	91224199
367386	1249	1995-11-07	VYDAJ	PREVOD NA UCET	704	28554	SIPO	ST	91224199
367387	1249	1995-12-07	VYDAJ	PREVOD NA UCET	704	31857	SIPO	ST	91224199
367388	1249	1996-01-07	VYDAJ	PREVOD NA UCET	704	30358	SIPO	ST	91224199
367389	1249	1996-02-07	VYDAJ	PREVOD NA UCET	704	28038	SIPO	ST	91224199
367390	1249	1996-03-07	VYDAJ	PREVOD NA UCET	704	28876	SIPO	ST	91224199
367391	1249	1996-04-07	VYDAJ	PREVOD NA UCET	704	28236	SIPO	ST	91224199
367392	1249	1996-05-07	VYDAJ	PREVOD NA UCET	704	27871	SIPO	ST	91224199
367393	1249	1996-06-07	VYDAJ	PREVOD NA UCET	704	28817	SIPO	ST	91224199
367394	1249	1996-07-07	VYDAJ	PREVOD NA UCET	704	20702	SIPO	ST	91224199
367395	1249	1996-08-07	VYDAJ	PREVOD NA UCET	704	22079	SIPO	ST	91224199
367396	1249	1996-09-07	VYDAJ	PREVOD NA UCET	704	27698	SIPO	ST	91224199
367397	1249	1996-10-07	VYDAJ	PREVOD NA UCET	704	31038	SIPO	ST	91224199
367398	1249	1996-11-07	VYDAJ	PREVOD NA UCET	704	30154	SIPO	ST	91224199
367399	1249	1996-12-07	VYDAJ	PREVOD NA UCET	704	30798	SIPO	ST	91224199
367400	1249	1997-01-07	VYDAJ	PREVOD NA UCET	704	26679	SIPO	ST	91224199
367401	1249	1997-02-07	VYDAJ	PREVOD NA UCET	704	24835	SIPO	ST	91224199
367402	1249	1997-03-07	VYDAJ	PREVOD NA UCET	704	30667	SIPO	ST	91224199
367403	1249	1997-04-07	VYDAJ	PREVOD NA UCET	704	30312	SIPO	ST	91224199
367404	1249	1997-05-07	VYDAJ	PREVOD NA UCET	704	31457	SIPO	ST	91224199
367405	1249	1997-06-07	VYDAJ	PREVOD NA UCET	704	30304	SIPO	ST	91224199
367406	1249	1997-07-07	VYDAJ	PREVOD NA UCET	704	24906	SIPO	ST	91224199
367407	1249	1997-08-07	VYDAJ	PREVOD NA UCET	704	30739	SIPO	ST	91224199
367408	1249	1997-09-07	VYDAJ	PREVOD NA UCET	704	34892	SIPO	ST	91224199
367409	1249	1997-10-07	VYDAJ	PREVOD NA UCET	704	33651	SIPO	ST	91224199
367410	1249	1997-11-07	VYDAJ	PREVOD NA UCET	704	35672	SIPO	ST	91224199
367411	1249	1997-12-07	VYDAJ	PREVOD NA UCET	704	38213	SIPO	ST	91224199
367412	1249	1998-01-07	VYDAJ	PREVOD NA UCET	704	42238	SIPO	ST	91224199
367413	1249	1998-02-07	VYDAJ	PREVOD NA UCET	704	39765	SIPO	ST	91224199
367414	1249	1998-03-07	VYDAJ	PREVOD NA UCET	704	40482	SIPO	ST	91224199
367415	1249	1998-04-07	VYDAJ	PREVOD NA UCET	704	39464	SIPO	ST	91224199
367416	1249	1998-05-07	VYDAJ	PREVOD NA UCET	704	44560	SIPO	ST	91224199
367417	1249	1998-06-07	VYDAJ	PREVOD NA UCET	704	46669	SIPO	ST	91224199
367418	1249	1998-07-07	VYDAJ	PREVOD NA UCET	704	46337	SIPO	ST	91224199
367419	1249	1998-08-07	VYDAJ	PREVOD NA UCET	704	48321	SIPO	ST	91224199
367420	1249	1998-09-07	VYDAJ	PREVOD NA UCET	704	52151	SIPO	ST	91224199
367421	1249	1998-10-07	VYDAJ	PREVOD NA UCET	704	53118	SIPO	ST	91224199
367422	1249	1998-11-07	VYDAJ	PREVOD NA UCET	704	56366	SIPO	ST	91224199
367423	1249	1998-12-07	VYDAJ	PREVOD NA UCET	704	56076	SIPO	ST	91224199
367432	1249	1995-09-09	VYDAJ	PREVOD NA UCET	392	27236	 	GH	65504103
367433	1249	1995-10-09	VYDAJ	PREVOD NA UCET	392	26032	 	GH	65504103
367434	1249	1995-11-09	VYDAJ	PREVOD NA UCET	392	28162	 	GH	65504103
367435	1249	1995-12-09	VYDAJ	PREVOD NA UCET	392	31465	 	GH	65504103
367436	1249	1996-01-09	VYDAJ	PREVOD NA UCET	392	29966	 	GH	65504103
367437	1249	1996-02-09	VYDAJ	PREVOD NA UCET	392	27646	 	GH	65504103
367438	1249	1996-03-09	VYDAJ	PREVOD NA UCET	392	28484	 	GH	65504103
367439	1249	1996-04-09	VYDAJ	PREVOD NA UCET	392	27844	 	GH	65504103
367440	1249	1996-05-09	VYDAJ	PREVOD NA UCET	392	27479	 	GH	65504103
367441	1249	1996-06-09	VYDAJ	PREVOD NA UCET	392	28425	 	GH	65504103
367442	1249	1996-07-09	VYDAJ	PREVOD NA UCET	392	20310	 	GH	65504103
367443	1249	1996-08-09	VYDAJ	PREVOD NA UCET	392	21687	 	GH	65504103
367444	1249	1996-09-09	VYDAJ	PREVOD NA UCET	392	27306	 	GH	65504103
367445	1249	1996-10-09	VYDAJ	PREVOD NA UCET	392	30646	 	GH	65504103
367446	1249	1996-11-09	VYDAJ	PREVOD NA UCET	392	29762	 	GH	65504103
367447	1249	1996-12-09	VYDAJ	PREVOD NA UCET	392	30406	 	GH	65504103
367448	1249	1997-01-09	VYDAJ	PREVOD NA UCET	392	26287	 	GH	65504103
367449	1249	1997-02-09	VYDAJ	PREVOD NA UCET	392	24443	 	GH	65504103
367450	1249	1997-03-09	VYDAJ	PREVOD NA UCET	392	30275	 	GH	65504103
367451	1249	1997-04-09	VYDAJ	PREVOD NA UCET	392	29920	 	GH	65504103
367452	1249	1997-05-09	VYDAJ	PREVOD NA UCET	392	31065	 	GH	65504103
367453	1249	1997-06-09	VYDAJ	PREVOD NA UCET	392	29912	 	GH	65504103
367454	1249	1997-07-09	VYDAJ	PREVOD NA UCET	392	24514	 	GH	65504103
367455	1249	1997-08-09	VYDAJ	PREVOD NA UCET	392	30347	 	GH	65504103
367456	1249	1997-09-09	VYDAJ	PREVOD NA UCET	392	34500	 	GH	65504103
367457	1249	1997-10-09	VYDAJ	PREVOD NA UCET	392	33259	 	GH	65504103
367458	1249	1997-11-09	VYDAJ	PREVOD NA UCET	392	35280	 	GH	65504103
367459	1249	1997-12-09	VYDAJ	PREVOD NA UCET	392	37251	 	GH	65504103
367460	1249	1998-01-09	VYDAJ	PREVOD NA UCET	392	41846	 	GH	65504103
367461	1249	1998-02-09	VYDAJ	PREVOD NA UCET	392	39373	 	GH	65504103
367462	1249	1998-03-09	VYDAJ	PREVOD NA UCET	392	40090	 	GH	65504103
367463	1249	1998-04-09	VYDAJ	PREVOD NA UCET	392	39072	 	GH	65504103
367464	1249	1998-05-09	VYDAJ	PREVOD NA UCET	392	44168	 	GH	65504103
367465	1249	1998-06-09	VYDAJ	PREVOD NA UCET	392	46277	 	GH	65504103
367466	1249	1998-07-09	VYDAJ	PREVOD NA UCET	392	45945	 	GH	65504103
367467	1249	1998-08-09	VYDAJ	PREVOD NA UCET	392	47929	 	GH	65504103
367468	1249	1998-09-09	VYDAJ	PREVOD NA UCET	392	51759	 	GH	65504103
367469	1249	1998-10-09	VYDAJ	PREVOD NA UCET	392	52726	 	GH	65504103
367470	1249	1998-11-09	VYDAJ	PREVOD NA UCET	392	54774	 	GH	65504103
367471	1249	1998-12-09	VYDAJ	PREVOD NA UCET	392	55484	 	GH	65504103
367479	1249	1995-08-13	VYDAJ	PREVOD NA UCET	1361	30824	POJISTNE	QR	4520500
367480	1249	1995-09-13	VYDAJ	PREVOD NA UCET	1361	29561	POJISTNE	QR	4520500
367481	1249	1995-10-13	VYDAJ	PREVOD NA UCET	1361	28357	POJISTNE	QR	4520500
367482	1249	1995-11-13	VYDAJ	PREVOD NA UCET	1361	30247	POJISTNE	QR	4520500
367483	1249	1995-12-13	VYDAJ	PREVOD NA UCET	1361	33790	POJISTNE	QR	4520500
367484	1249	1996-01-13	VYDAJ	PREVOD NA UCET	1361	32291	POJISTNE	QR	4520500
367485	1249	1996-02-13	VYDAJ	PREVOD NA UCET	1361	29971	POJISTNE	QR	4520500
367486	1249	1996-03-13	VYDAJ	PREVOD NA UCET	1361	30809	POJISTNE	QR	4520500
367487	1249	1996-04-13	VYDAJ	PREVOD NA UCET	1361	30169	POJISTNE	QR	4520500
367488	1249	1996-05-13	VYDAJ	PREVOD NA UCET	1361	29804	POJISTNE	QR	4520500
367489	1249	1996-06-13	VYDAJ	PREVOD NA UCET	1361	30750	POJISTNE	QR	4520500
367490	1249	1996-07-13	VYDAJ	PREVOD NA UCET	1361	22635	POJISTNE	QR	4520500
367491	1249	1996-08-13	VYDAJ	PREVOD NA UCET	1361	24012	POJISTNE	QR	4520500
367492	1249	1996-09-13	VYDAJ	PREVOD NA UCET	1361	29631	POJISTNE	QR	4520500
367493	1249	1996-10-13	VYDAJ	PREVOD NA UCET	1361	32341	POJISTNE	QR	4520500
367494	1249	1996-11-13	VYDAJ	PREVOD NA UCET	1361	32087	POJISTNE	QR	4520500
367495	1249	1996-12-13	VYDAJ	PREVOD NA UCET	1361	32731	POJISTNE	QR	4520500
367496	1249	1997-01-13	VYDAJ	PREVOD NA UCET	1361	27982	POJISTNE	QR	4520500
367497	1249	1997-02-13	VYDAJ	PREVOD NA UCET	1361	26768	POJISTNE	QR	4520500
367498	1249	1997-03-13	VYDAJ	PREVOD NA UCET	1361	32600	POJISTNE	QR	4520500
367499	1249	1997-04-13	VYDAJ	PREVOD NA UCET	1361	32245	POJISTNE	QR	4520500
367500	1249	1997-05-13	VYDAJ	PREVOD NA UCET	1361	33390	POJISTNE	QR	4520500
367501	1249	1997-06-13	VYDAJ	PREVOD NA UCET	1361	32237	POJISTNE	QR	4520500
367502	1249	1997-07-13	VYDAJ	PREVOD NA UCET	1361	26839	POJISTNE	QR	4520500
367503	1249	1997-08-13	VYDAJ	PREVOD NA UCET	1361	32672	POJISTNE	QR	4520500
367504	1249	1997-09-13	VYDAJ	PREVOD NA UCET	1361	36825	POJISTNE	QR	4520500
367505	1249	1997-10-13	VYDAJ	PREVOD NA UCET	1361	35584	POJISTNE	QR	4520500
367506	1249	1997-11-13	VYDAJ	PREVOD NA UCET	1361	36375	POJISTNE	QR	4520500
367507	1249	1997-12-13	VYDAJ	PREVOD NA UCET	1361	39576	POJISTNE	QR	4520500
367508	1249	1998-01-13	VYDAJ	PREVOD NA UCET	1361	42491	POJISTNE	QR	4520500
367509	1249	1998-02-13	VYDAJ	PREVOD NA UCET	1361	41598	POJISTNE	QR	4520500
367510	1249	1998-03-13	VYDAJ	PREVOD NA UCET	1361	42415	POJISTNE	QR	4520500
367511	1249	1998-04-13	VYDAJ	PREVOD NA UCET	1361	45097	POJISTNE	QR	4520500
367512	1249	1998-05-13	VYDAJ	PREVOD NA UCET	1361	47193	POJISTNE	QR	4520500
367513	1249	1998-06-13	VYDAJ	PREVOD NA UCET	1361	46862	POJISTNE	QR	4520500
367514	1249	1998-07-13	VYDAJ	PREVOD NA UCET	1361	50070	POJISTNE	QR	4520500
367515	1249	1998-08-13	VYDAJ	PREVOD NA UCET	1361	52654	POJISTNE	QR	4520500
367516	1249	1998-09-13	VYDAJ	PREVOD NA UCET	1361	54784	POJISTNE	QR	4520500
367517	1249	1998-10-13	VYDAJ	PREVOD NA UCET	1361	56851	POJISTNE	QR	4520500
367518	1249	1998-11-13	VYDAJ	PREVOD NA UCET	1361	57099	POJISTNE	QR	4520500
367519	1249	1998-12-13	VYDAJ	PREVOD NA UCET	1361	57809	POJISTNE	QR	4520500
367521	1249	1996-06-28	VYDAJ	VYBER	8550	21300	\N	\N	\N
367522	1249	1997-06-17	VYDAJ	VYBER	5910	25507	\N	\N	\N
367523	1249	1998-06-11	VYDAJ	VYBER	8940	37337	\N	\N	\N
367525	1249	1996-01-17	VYDAJ	VYBER	2730	29081	\N	\N	\N
367526	1249	1997-01-22	VYDAJ	VYBER	2310	25712	\N	\N	\N
367527	1249	1998-01-12	VYDAJ	VYBER	1170	40166	\N	\N	\N
367528	1249	1995-12-30	VYDAJ	VYBER	600	31990	\N	\N	\N
367529	1249	1996-12-27	VYDAJ	VYBER	540	27991	\N	\N	\N
367530	1249	1997-12-08	VYDAJ	VYBER	570	37643	\N	\N	\N
367531	1249	1998-12-18	VYDAJ	VYBER	540	57269	\N	\N	\N
367538	1249	1996-01-21	VYDAJ	VYBER	660	27761	\N	\N	\N
367539	1249	1996-01-23	VYDAJ	VYBER	630	27131	\N	\N	\N
367540	1249	1996-01-19	VYDAJ	VYBER	660	28421	\N	\N	\N
367541	1249	1996-01-01	VYDAJ	VYBER	330	31782	\N	\N	\N
367542	1249	1996-01-01	VYDAJ	VYBER	720	31062	\N	\N	\N
367543	1249	1996-01-17	VYDAJ	VYBER	480	31811	\N	\N	\N
367544	1249	1997-01-25	VYDAJ	VYBER	270	25442	\N	\N	\N
367545	1249	1997-01-06	VYDAJ	VYBER	150	27383	\N	\N	\N
367546	1249	1997-01-02	VYDAJ	VYBER	570	27533	\N	\N	\N
367547	1249	1997-01-22	VYDAJ	VYBER	480	28022	\N	\N	\N
367548	1249	1997-01-10	VYDAJ	VYBER	630	25657	\N	\N	\N
367549	1249	1997-01-14	VYDAJ	VYBER	480	27502	\N	\N	\N
367550	1249	1998-01-21	VYDAJ	VYBER	390	41061	\N	\N	\N
367551	1249	1998-01-11	VYDAJ	VYBER	510	41336	\N	\N	\N
367552	1249	1998-01-17	VYDAJ	VYBER	180	41451	\N	\N	\N
367553	1249	1998-01-26	VYDAJ	VYBER	750	40311	\N	\N	\N
367554	1249	1998-01-01	VYDAJ	VYBER	480	42942	\N	\N	\N
367555	1249	1998-01-14	VYDAJ	VYBER	660	41631	\N	\N	\N
367558	1249	1995-09-27	VYDAJ	VYBER	1440	27021	\N	\N	\N
367560	1249	1995-11-11	VYDAJ	VYBER	240	27922	\N	\N	\N
367563	1249	1996-04-04	VYDAJ	VYBER	180	28940	\N	\N	\N
367564	1249	1996-05-18	VYDAJ	VYBER	1350	28454	\N	\N	\N
367565	1249	1996-05-27	VYDAJ	VYBER	1440	29414	\N	\N	\N
367566	1249	1996-08-04	VYDAJ	VYBER	1230	22783	\N	\N	\N
367567	1249	1996-10-12	VYDAJ	VYBER	630	30016	\N	\N	\N
367568	1249	1997-12-25	VYDAJ	VYBER	210	43266	\N	\N	\N
367569	1249	1997-10-14	VYDAJ	VYBER	540	35044	\N	\N	\N
367570	1249	1997-06-16	VYDAJ	VYBER	720	31517	\N	\N	\N
367571	1249	1997-11-13	VYDAJ	VYBER	1230	37736	\N	\N	\N
367572	1249	1998-09-25	VYDAJ	VYBER	1170	53614	\N	\N	\N
367573	1249	1998-07-21	VYDAJ	VYBER	1230	48840	\N	\N	\N
367574	1249	1998-03-04	VYDAJ	VYBER	570	41186	\N	\N	\N
367575	1249	1998-11-20	VYDAJ	VYBER	540	56559	\N	\N	\N
367584	1249	1995-08-31	VYDAJ	VYBER	15	28332	SLUZBY	\N	\N
367585	1249	1995-09-30	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
367586	1249	1995-10-31	VYDAJ	VYBER	15	29258	SLUZBY	\N	\N
367587	1249	1995-11-30	VYDAJ	VYBER	15	32561	SLUZBY	\N	\N
367588	1249	1995-12-31	VYDAJ	VYBER	15	32112	SLUZBY	\N	\N
367589	1249	1996-01-31	VYDAJ	VYBER	15	28742	SLUZBY	\N	\N
367590	1249	1996-02-29	VYDAJ	VYBER	15	29580	SLUZBY	\N	\N
367591	1249	1996-03-31	VYDAJ	VYBER	15	29120	SLUZBY	\N	\N
367592	1249	1996-04-30	VYDAJ	VYBER	15	28575	SLUZBY	\N	\N
367593	1249	1996-05-31	VYDAJ	VYBER	15	29521	SLUZBY	\N	\N
367594	1249	1996-06-30	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
367595	1249	1996-07-31	VYDAJ	VYBER	15	24013	SLUZBY	\N	\N
367596	1249	1996-08-31	VYDAJ	VYBER	15	28402	SLUZBY	\N	\N
367597	1249	1996-09-30	VYDAJ	VYBER	15	31742	SLUZBY	\N	\N
367598	1249	1996-10-31	VYDAJ	VYBER	15	30858	SLUZBY	\N	\N
367599	1249	1996-11-30	VYDAJ	VYBER	15	31502	SLUZBY	\N	\N
367600	1249	1996-12-31	VYDAJ	VYBER	15	28103	SLUZBY	\N	\N
367601	1249	1997-01-31	VYDAJ	VYBER	15	25539	SLUZBY	\N	\N
367602	1249	1997-02-28	VYDAJ	VYBER	15	31371	SLUZBY	\N	\N
367603	1249	1997-03-31	VYDAJ	VYBER	15	31016	SLUZBY	\N	\N
367604	1249	1997-04-30	VYDAJ	VYBER	15	32161	SLUZBY	\N	\N
367605	1249	1997-05-31	VYDAJ	VYBER	15	31008	SLUZBY	\N	\N
367606	1249	1997-06-30	VYDAJ	VYBER	15	25610	SLUZBY	\N	\N
367607	1249	1997-07-31	VYDAJ	VYBER	15	31443	SLUZBY	\N	\N
367608	1249	1997-08-31	VYDAJ	VYBER	15	35596	SLUZBY	\N	\N
367609	1249	1997-09-30	VYDAJ	VYBER	15	34355	SLUZBY	\N	\N
367610	1249	1997-10-31	VYDAJ	VYBER	15	36376	SLUZBY	\N	\N
367611	1249	1997-11-30	VYDAJ	VYBER	15	38917	SLUZBY	\N	\N
367612	1249	1997-12-31	VYDAJ	VYBER	15	43422	SLUZBY	\N	\N
367613	1249	1998-01-31	VYDAJ	VYBER	15	40469	SLUZBY	\N	\N
367614	1249	1998-02-28	VYDAJ	VYBER	15	41756	SLUZBY	\N	\N
367615	1249	1998-03-31	VYDAJ	VYBER	15	40168	SLUZBY	\N	\N
367616	1249	1998-04-30	VYDAJ	VYBER	15	45264	SLUZBY	\N	\N
367617	1249	1998-05-31	VYDAJ	VYBER	15	47373	SLUZBY	\N	\N
367618	1249	1998-06-30	VYDAJ	VYBER	15	47041	SLUZBY	\N	\N
367619	1249	1998-07-31	VYDAJ	VYBER	15	49025	SLUZBY	\N	\N
367620	1249	1998-08-31	VYDAJ	VYBER	15	52855	SLUZBY	\N	\N
367621	1249	1998-09-30	VYDAJ	VYBER	15	53822	SLUZBY	\N	\N
367622	1249	1998-10-31	VYDAJ	VYBER	15	57070	SLUZBY	\N	\N
367623	1249	1998-11-30	VYDAJ	VYBER	15	56780	SLUZBY	\N	\N
367624	1249	1995-04-29	PRIJEM	VKLAD	10200	14286	\N	\N	\N
367625	1249	1995-05-29	PRIJEM	VKLAD	4200	22176	\N	\N	\N
367626	1249	1995-07-28	VYDAJ	VYBER	1300	28403	\N	\N	\N
367627	1249	1995-08-27	VYDAJ	VYBER	2600	28224	\N	\N	\N
367628	1249	1995-09-26	VYDAJ	VYBER	1100	28461	\N	\N	\N
367629	1249	1995-10-26	PRIJEM	VKLAD	800	29157	\N	\N	\N
367630	1249	1995-11-25	PRIJEM	VKLAD	2200	32447	\N	\N	\N
367631	1249	1995-12-25	VYDAJ	VYBER	1200	32590	\N	\N	\N
367632	1249	1996-01-24	PRIJEM	VKLAD	1500	28631	\N	\N	\N
367633	1249	1996-02-23	VYDAJ	VYBER	500	29471	\N	\N	\N
367634	1249	1996-03-24	VYDAJ	VYBER	1800	29009	\N	\N	\N
367635	1249	1996-04-23	VYDAJ	VYBER	1700	28469	\N	\N	\N
367636	1249	1996-05-23	PRIJEM	VKLAD	2400	30854	\N	\N	\N
367637	1249	1996-06-22	VYDAJ	VYBER	900	29850	\N	\N	\N
367638	1249	1996-07-22	PRIJEM	VKLAD	1300	23935	\N	\N	\N
367639	1249	1996-08-21	PRIJEM	VKLAD	4300	28312	\N	\N	\N
367640	1249	1996-09-20	PRIJEM	VKLAD	2000	31631	\N	\N	\N
367641	1249	1996-10-20	VYDAJ	VYBER	1600	30741	\N	\N	\N
367642	1249	1996-11-19	VYDAJ	VYBER	700	31387	\N	\N	\N
367643	1249	1996-12-19	VYDAJ	VYBER	4200	28531	\N	\N	\N
367644	1249	1997-01-18	PRIJEM	VKLAD	1000	28502	\N	\N	\N
367645	1249	1997-02-17	PRIJEM	VKLAD	4500	31268	\N	\N	\N
367646	1249	1997-03-19	VYDAJ	VYBER	1700	30900	\N	\N	\N
367647	1249	1997-04-18	VYDAJ	VYBER	200	32045	\N	\N	\N
367648	1249	1997-05-18	VYDAJ	VYBER	2500	30890	\N	\N	\N
367649	1249	1997-06-17	VYDAJ	VYBER	100	31417	\N	\N	\N
367650	1249	1997-07-17	PRIJEM	VKLAD	4500	31339	\N	\N	\N
367651	1249	1997-08-16	PRIJEM	VKLAD	2800	35472	\N	\N	\N
367652	1249	1997-09-15	VYDAJ	VYBER	2600	34225	\N	\N	\N
367653	1249	1997-10-15	PRIJEM	VKLAD	1200	36244	\N	\N	\N
367654	1249	1997-11-14	PRIJEM	VKLAD	2400	38775	\N	\N	\N
367655	1249	1997-12-14	PRIJEM	VKLAD	3900	43476	\N	\N	\N
367656	1249	1998-01-13	VYDAJ	VYBER	200	42291	\N	\N	\N
367657	1249	1998-02-12	VYDAJ	VYBER	100	39273	\N	\N	\N
367658	1249	1998-03-14	VYDAJ	VYBER	2400	40015	\N	\N	\N
367659	1249	1998-04-13	PRIJEM	VKLAD	3700	42772	\N	\N	\N
367660	1249	1998-05-13	PRIJEM	VKLAD	700	48554	\N	\N	\N
367661	1249	1998-06-12	PRIJEM	VKLAD	7200	44537	\N	\N	\N
367662	1249	1998-07-12	PRIJEM	VKLAD	1800	47745	\N	\N	\N
367663	1249	1998-08-11	PRIJEM	VKLAD	2400	50329	\N	\N	\N
367664	1249	1998-09-10	PRIJEM	VKLAD	700	52459	\N	\N	\N
367665	1249	1998-10-10	PRIJEM	VKLAD	1800	54526	\N	\N	\N
367666	1249	1998-11-09	VYDAJ	VYBER	1200	55166	\N	\N	\N
367667	1249	1998-12-09	VYDAJ	VYBER	200	55876	\N	\N	\N
367713	1250	1996-03-28	PRIJEM	VKLAD	600	600	\N	\N	\N
367717	1250	1996-04-06	PRIJEM	PREVOD Z UCTU	22831	23431	\N	IJ	81347185
367718	1250	1996-05-06	PRIJEM	PREVOD Z UCTU	22831	43474	\N	IJ	81347185
367719	1250	1996-06-06	PRIJEM	PREVOD Z UCTU	34246	64412	\N	IJ	81347185
367720	1250	1996-07-06	PRIJEM	PREVOD Z UCTU	22831	64376	\N	IJ	81347185
367721	1250	1996-08-06	PRIJEM	PREVOD Z UCTU	22831	63479	\N	IJ	81347185
367722	1250	1996-09-06	PRIJEM	PREVOD Z UCTU	22831	59048	\N	IJ	81347185
367723	1250	1996-10-06	PRIJEM	PREVOD Z UCTU	22831	56718	\N	IJ	81347185
367724	1250	1996-11-06	PRIJEM	PREVOD Z UCTU	22831	46267	\N	IJ	81347185
367725	1250	1996-12-06	PRIJEM	PREVOD Z UCTU	34246	58195	\N	IJ	81347185
367726	1250	1997-01-06	PRIJEM	PREVOD Z UCTU	22831	51028	\N	IJ	81347185
367727	1250	1997-02-06	PRIJEM	PREVOD Z UCTU	22831	37698	\N	IJ	81347185
367728	1250	1997-03-06	PRIJEM	PREVOD Z UCTU	22831	41177	\N	IJ	81347185
367729	1250	1997-04-06	PRIJEM	PREVOD Z UCTU	22831	40864	\N	IJ	81347185
367730	1250	1997-05-06	PRIJEM	PREVOD Z UCTU	22831	43756	\N	IJ	81347185
367731	1250	1997-06-06	PRIJEM	PREVOD Z UCTU	34246	55873	\N	IJ	81347185
367732	1250	1997-07-06	PRIJEM	PREVOD Z UCTU	22831	43496	\N	IJ	81347185
367733	1250	1997-08-06	PRIJEM	PREVOD Z UCTU	22831	38278	\N	IJ	81347185
367734	1250	1997-09-06	PRIJEM	PREVOD Z UCTU	22831	33381	\N	IJ	81347185
367735	1250	1997-10-06	PRIJEM	PREVOD Z UCTU	22831	35339	\N	IJ	81347185
367736	1250	1997-11-06	PRIJEM	PREVOD Z UCTU	22831	44316	\N	IJ	81347185
367737	1250	1997-12-06	PRIJEM	PREVOD Z UCTU	34246	47314	\N	IJ	81347185
367738	1250	1998-01-06	PRIJEM	PREVOD Z UCTU	22831	35495	\N	IJ	81347185
367739	1250	1998-02-06	PRIJEM	PREVOD Z UCTU	22831	44472	\N	IJ	81347185
367740	1250	1998-03-06	PRIJEM	PREVOD Z UCTU	22831	35253	\N	IJ	81347185
367741	1250	1998-04-06	PRIJEM	PREVOD Z UCTU	22831	33209	\N	IJ	81347185
367742	1250	1998-05-06	PRIJEM	PREVOD Z UCTU	22831	33361	\N	IJ	81347185
367743	1250	1998-06-06	PRIJEM	PREVOD Z UCTU	34246	46530	\N	IJ	81347185
367744	1250	1998-07-06	PRIJEM	PREVOD Z UCTU	22831	42519	\N	IJ	81347185
367745	1250	1998-08-06	PRIJEM	PREVOD Z UCTU	22831	41705	\N	IJ	81347185
367746	1250	1998-09-06	PRIJEM	PREVOD Z UCTU	22831	39984	\N	IJ	81347185
367747	1250	1998-10-06	PRIJEM	PREVOD Z UCTU	22831	41964	\N	IJ	81347185
367748	1250	1998-11-06	PRIJEM	PREVOD Z UCTU	22831	40945	\N	IJ	81347185
367749	1250	1998-12-06	PRIJEM	PREVOD Z UCTU	34246	46801	\N	IJ	81347185
367757	1250	1996-08-12	VYDAJ	VYBER	3500	59979	\N	\N	0
367758	1250	1996-09-10	VYDAJ	VYBER	3000	56048	\N	\N	0
367759	1250	1996-10-15	VYDAJ	VYBER	5200	41449	\N	\N	0
367760	1250	1996-11-11	VYDAJ	VYBER	5100	41167	\N	\N	0
367761	1250	1996-12-12	VYDAJ	PREVOD NA UCET	3805	48090	UVER	GH	21845096
367762	1250	1997-01-12	VYDAJ	PREVOD NA UCET	3805	27123	UVER	GH	21845096
367763	1250	1997-02-12	VYDAJ	PREVOD NA UCET	3805	33893	UVER	GH	21845096
367764	1250	1997-03-12	VYDAJ	PREVOD NA UCET	3805	37372	UVER	GH	21845096
367765	1250	1997-04-12	VYDAJ	PREVOD NA UCET	3805	37058	UVER	GH	21845096
367766	1250	1997-05-12	VYDAJ	PREVOD NA UCET	3805	39951	UVER	GH	21845096
367767	1250	1997-06-12	VYDAJ	PREVOD NA UCET	3805	52068	UVER	GH	21845096
367768	1250	1997-07-12	VYDAJ	PREVOD NA UCET	3805	33391	UVER	GH	21845096
367769	1250	1997-08-12	VYDAJ	PREVOD NA UCET	3805	34473	UVER	GH	21845096
367770	1250	1997-09-12	VYDAJ	PREVOD NA UCET	3805	29576	UVER	GH	21845096
367771	1250	1997-10-12	VYDAJ	PREVOD NA UCET	3805	31533	UVER	GH	21845096
367772	1250	1997-11-12	VYDAJ	PREVOD NA UCET	3805	40511	UVER	GH	21845096
367773	1250	1997-12-12	VYDAJ	PREVOD NA UCET	3805	43509	UVER	GH	21845096
367774	1250	1998-01-12	VYDAJ	PREVOD NA UCET	3805	31689	UVER	GH	21845096
367775	1250	1998-02-12	VYDAJ	PREVOD NA UCET	3805	40667	UVER	GH	21845096
367776	1250	1998-03-12	VYDAJ	PREVOD NA UCET	3805	31448	UVER	GH	21845096
367777	1250	1998-04-12	VYDAJ	PREVOD NA UCET	3805	29404	UVER	GH	21845096
367778	1250	1998-05-12	VYDAJ	PREVOD NA UCET	3805	29556	UVER	GH	21845096
367779	1250	1998-06-12	VYDAJ	PREVOD NA UCET	3805	42725	UVER	GH	21845096
367780	1250	1998-07-12	VYDAJ	PREVOD NA UCET	3805	38714	UVER	GH	21845096
367781	1250	1998-08-12	VYDAJ	PREVOD NA UCET	3805	37900	UVER	GH	21845096
367782	1250	1998-09-12	VYDAJ	PREVOD NA UCET	3805	36179	UVER	GH	21845096
367783	1250	1998-10-12	VYDAJ	PREVOD NA UCET	3805	38159	UVER	GH	21845096
367784	1250	1998-11-12	VYDAJ	PREVOD NA UCET	3805	37140	UVER	GH	21845096
367785	1250	1998-12-12	VYDAJ	PREVOD NA UCET	3805	42996	UVER	GH	21845096
367794	1250	1996-09-05	VYDAJ	PREVOD NA UCET	61	36217	SIPO	YZ	14470041
367795	1250	1996-10-05	VYDAJ	PREVOD NA UCET	61	33887	SIPO	YZ	14470041
367796	1250	1996-11-05	VYDAJ	PREVOD NA UCET	61	23436	SIPO	YZ	14470041
367797	1250	1996-12-05	VYDAJ	PREVOD NA UCET	61	23949	SIPO	YZ	14470041
367798	1250	1997-01-05	VYDAJ	PREVOD NA UCET	61	28197	SIPO	YZ	14470041
367799	1250	1997-02-05	VYDAJ	PREVOD NA UCET	61	14867	SIPO	YZ	14470041
367800	1250	1997-03-05	VYDAJ	PREVOD NA UCET	61	18346	SIPO	YZ	14470041
367801	1250	1997-04-05	VYDAJ	PREVOD NA UCET	61	18033	SIPO	YZ	14470041
367802	1250	1997-05-05	VYDAJ	PREVOD NA UCET	61	20925	SIPO	YZ	14470041
367803	1250	1997-06-05	VYDAJ	PREVOD NA UCET	61	21627	SIPO	YZ	14470041
367804	1250	1997-07-05	VYDAJ	PREVOD NA UCET	61	20665	SIPO	YZ	14470041
367805	1250	1997-08-05	VYDAJ	PREVOD NA UCET	61	15447	SIPO	YZ	14470041
367806	1250	1997-09-05	VYDAJ	PREVOD NA UCET	61	10550	SIPO	YZ	14470041
367807	1250	1997-10-05	VYDAJ	PREVOD NA UCET	61	12508	SIPO	YZ	14470041
367808	1250	1997-11-05	VYDAJ	PREVOD NA UCET	61	21485	SIPO	YZ	14470041
367809	1250	1997-12-05	VYDAJ	PREVOD NA UCET	61	13068	SIPO	YZ	14470041
367810	1250	1998-01-05	VYDAJ	PREVOD NA UCET	61	12664	SIPO	YZ	14470041
367811	1250	1998-02-05	VYDAJ	PREVOD NA UCET	61	21641	SIPO	YZ	14470041
367812	1250	1998-03-05	VYDAJ	PREVOD NA UCET	61	12422	SIPO	YZ	14470041
367813	1250	1998-04-05	VYDAJ	PREVOD NA UCET	61	10378	SIPO	YZ	14470041
367814	1250	1998-05-05	VYDAJ	PREVOD NA UCET	61	10530	SIPO	YZ	14470041
367815	1250	1998-06-05	VYDAJ	PREVOD NA UCET	61	12284	SIPO	YZ	14470041
367816	1250	1998-07-05	VYDAJ	PREVOD NA UCET	61	19688	SIPO	YZ	14470041
367817	1250	1998-08-05	VYDAJ	PREVOD NA UCET	61	18874	SIPO	YZ	14470041
367818	1250	1998-09-05	VYDAJ	PREVOD NA UCET	61	17153	SIPO	YZ	14470041
367819	1250	1998-10-05	VYDAJ	PREVOD NA UCET	61	19133	SIPO	YZ	14470041
367820	1250	1998-11-05	VYDAJ	PREVOD NA UCET	61	18114	SIPO	YZ	14470041
367821	1250	1998-12-05	VYDAJ	PREVOD NA UCET	61	12555	SIPO	YZ	14470041
367829	1250	1996-08-13	VYDAJ	PREVOD NA UCET	10069	49910	 	IJ	49418222
367830	1250	1996-09-13	VYDAJ	PREVOD NA UCET	10069	45979	 	IJ	49418222
367831	1250	1996-10-13	VYDAJ	PREVOD NA UCET	10069	46649	 	IJ	49418222
367832	1250	1996-11-13	VYDAJ	PREVOD NA UCET	10069	31098	 	IJ	49418222
367833	1250	1996-12-13	VYDAJ	PREVOD NA UCET	10069	38021	 	IJ	49418222
367834	1250	1997-01-13	VYDAJ	PREVOD NA UCET	10069	17054	 	IJ	49418222
367835	1250	1997-02-13	VYDAJ	PREVOD NA UCET	10069	23824	 	IJ	49418222
367836	1250	1997-03-13	VYDAJ	PREVOD NA UCET	10069	27303	 	IJ	49418222
367837	1250	1997-04-13	VYDAJ	PREVOD NA UCET	10069	26989	 	IJ	49418222
367838	1250	1997-05-13	VYDAJ	PREVOD NA UCET	10069	29882	 	IJ	49418222
367839	1250	1997-06-13	VYDAJ	PREVOD NA UCET	10069	41999	 	IJ	49418222
367840	1250	1997-07-13	VYDAJ	PREVOD NA UCET	10069	23322	 	IJ	49418222
367841	1250	1997-08-13	VYDAJ	PREVOD NA UCET	10069	24404	 	IJ	49418222
367842	1250	1997-09-13	VYDAJ	PREVOD NA UCET	10069	19507	 	IJ	49418222
367843	1250	1997-10-13	VYDAJ	PREVOD NA UCET	10069	21464	 	IJ	49418222
367844	1250	1997-11-13	VYDAJ	PREVOD NA UCET	10069	30442	 	IJ	49418222
367845	1250	1997-12-13	VYDAJ	PREVOD NA UCET	10069	33440	 	IJ	49418222
367846	1250	1998-01-13	VYDAJ	PREVOD NA UCET	10069	21620	 	IJ	49418222
367847	1250	1998-02-13	VYDAJ	PREVOD NA UCET	10069	30598	 	IJ	49418222
367848	1250	1998-03-13	VYDAJ	PREVOD NA UCET	10069	21379	 	IJ	49418222
367849	1250	1998-04-13	VYDAJ	PREVOD NA UCET	10069	19335	 	IJ	49418222
367850	1250	1998-05-13	VYDAJ	PREVOD NA UCET	10069	19487	 	IJ	49418222
367851	1250	1998-06-13	VYDAJ	PREVOD NA UCET	10069	32656	 	IJ	49418222
367852	1250	1998-07-13	VYDAJ	PREVOD NA UCET	10069	28645	 	IJ	49418222
367853	1250	1998-08-13	VYDAJ	PREVOD NA UCET	10069	27831	 	IJ	49418222
367854	1250	1998-09-13	VYDAJ	PREVOD NA UCET	10069	26110	 	IJ	49418222
367855	1250	1998-10-13	VYDAJ	PREVOD NA UCET	10069	28090	 	IJ	49418222
367856	1250	1998-11-13	VYDAJ	PREVOD NA UCET	10069	12548	 	IJ	49418222
367857	1250	1998-12-13	VYDAJ	PREVOD NA UCET	10069	17527	 	IJ	49418222
367865	1250	1997-08-17	VYBER	VYBER	5062	19342	\N	\N	\N
367868	1250	1998-11-13	VYBER	VYBER	14523	22617	\N	\N	\N
367870	1250	1997-06-20	VYDAJ	VYBER	15300	26699	\N	\N	\N
367873	1250	1997-01-06	VYDAJ	VYBER	20100	30928	\N	\N	\N
367875	1250	1996-12-09	VYDAJ	VYBER	6300	51895	\N	\N	\N
367878	1250	1996-11-20	VYDAJ	VYBER	8100	22998	\N	\N	\N
367879	1250	1996-10-23	VYDAJ	VYBER	10200	31249	\N	\N	\N
367881	1250	1997-02-18	VYDAJ	VYBER	4200	19624	\N	\N	\N
367882	1250	1997-07-11	VYDAJ	VYBER	6300	37196	\N	\N	\N
367883	1250	1997-03-18	VYDAJ	VYBER	5700	21603	\N	\N	\N
367897	1250	1996-08-31	VYDAJ	VYBER	15	36278	SLUZBY	\N	\N
367898	1250	1996-09-30	VYDAJ	VYBER	15	33948	SLUZBY	\N	\N
367899	1250	1996-10-31	VYDAJ	VYBER	15	23497	SLUZBY	\N	\N
367900	1250	1996-11-30	VYDAJ	VYBER	15	24010	SLUZBY	\N	\N
367901	1250	1996-12-31	VYDAJ	VYBER	15	28258	SLUZBY	\N	\N
367902	1250	1997-01-31	VYDAJ	VYBER	15	14928	SLUZBY	\N	\N
367903	1250	1997-02-28	VYDAJ	VYBER	15	18407	SLUZBY	\N	\N
367904	1250	1997-03-31	VYDAJ	VYBER	15	18094	SLUZBY	\N	\N
367905	1250	1997-04-30	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
367906	1250	1997-05-31	VYDAJ	VYBER	15	21688	SLUZBY	\N	\N
367907	1250	1997-06-30	VYDAJ	VYBER	15	20726	SLUZBY	\N	\N
367908	1250	1997-07-31	VYDAJ	VYBER	15	15508	SLUZBY	\N	\N
367909	1250	1997-08-31	VYDAJ	VYBER	15	10611	SLUZBY	\N	\N
367910	1250	1997-09-30	VYDAJ	VYBER	15	12569	SLUZBY	\N	\N
367911	1250	1997-10-31	VYDAJ	VYBER	15	21546	SLUZBY	\N	\N
367912	1250	1997-11-30	VYDAJ	VYBER	15	13129	SLUZBY	\N	\N
367913	1250	1997-12-31	VYDAJ	VYBER	15	12725	SLUZBY	\N	\N
367914	1250	1998-01-31	VYDAJ	VYBER	15	21702	SLUZBY	\N	\N
367915	1250	1998-02-28	VYDAJ	VYBER	15	12483	SLUZBY	\N	\N
367916	1250	1998-03-31	VYDAJ	VYBER	15	10439	SLUZBY	\N	\N
367917	1250	1998-04-30	VYDAJ	VYBER	15	10591	SLUZBY	\N	\N
367918	1250	1998-05-31	VYDAJ	VYBER	15	12345	SLUZBY	\N	\N
367919	1250	1998-06-30	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
367920	1250	1998-07-31	VYDAJ	VYBER	15	18935	SLUZBY	\N	\N
367921	1250	1998-08-31	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
367922	1250	1998-09-30	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
367923	1250	1998-10-31	VYDAJ	VYBER	15	18175	SLUZBY	\N	\N
367924	1250	1998-11-30	VYDAJ	VYBER	15	12616	SLUZBY	\N	\N
367925	1250	1996-04-27	VYDAJ	VYBER	2800	20631	\N	\N	\N
367926	1250	1996-05-27	VYDAJ	VYBER	13400	30074	\N	\N	\N
367927	1250	1996-06-26	VYDAJ	VYBER	23000	41412	\N	\N	\N
367928	1250	1996-07-26	VYDAJ	VYBER	23900	40476	\N	\N	\N
367929	1250	1996-08-25	VYDAJ	VYBER	13800	36110	\N	\N	\N
367930	1250	1996-09-24	VYDAJ	VYBER	12200	33779	\N	\N	\N
367931	1250	1996-10-24	VYDAJ	VYBER	7900	23349	\N	\N	\N
367932	1250	1996-11-23	PRIJEM	VKLAD	900	23898	\N	\N	\N
367933	1250	1996-12-23	VYDAJ	VYBER	9900	28121	\N	\N	\N
367934	1250	1997-01-22	VYDAJ	VYBER	2200	14854	\N	\N	\N
367935	1250	1997-02-21	VYDAJ	VYBER	1300	18324	\N	\N	\N
367936	1250	1997-03-23	VYDAJ	VYBER	3600	18003	\N	\N	\N
367937	1250	1997-04-22	VYDAJ	VYBER	6100	20889	\N	\N	\N
367938	1250	1997-05-22	VYDAJ	VYBER	8300	21582	\N	\N	\N
367939	1250	1997-06-21	VYDAJ	VYBER	6100	20599	\N	\N	\N
367940	1250	1997-07-21	VYDAJ	VYBER	7900	15422	\N	\N	\N
367941	1250	1997-08-20	VYDAJ	VYBER	8800	10542	\N	\N	\N
367942	1250	1997-09-19	VYDAJ	VYBER	7000	12507	\N	\N	\N
367943	1250	1997-11-18	VYDAJ	VYBER	17400	13042	\N	\N	\N
367944	1250	1997-12-18	VYDAJ	VYBER	20800	12640	\N	\N	\N
367945	1250	1998-02-16	VYDAJ	VYBER	18200	12398	\N	\N	\N
367946	1250	1998-03-18	VYDAJ	VYBER	11000	10379	\N	\N	\N
367947	1250	1998-04-17	VYDAJ	VYBER	8800	10535	\N	\N	\N
367948	1250	1998-05-17	VYDAJ	VYBER	7200	12287	\N	\N	\N
367949	1250	1998-06-16	VYDAJ	VYBER	13000	19656	\N	\N	\N
367950	1250	1998-07-16	VYDAJ	VYBER	9800	18845	\N	\N	\N
367951	1250	1998-08-15	VYDAJ	VYBER	10700	17131	\N	\N	\N
367952	1250	1998-09-14	VYDAJ	VYBER	7000	19110	\N	\N	\N
367953	1250	1998-10-14	VYDAJ	VYBER	10000	18090	\N	\N	\N
367954	1250	1998-12-13	VYDAJ	VYBER	15400	27596	\N	\N	\N
367988	1251	1995-07-18	PRIJEM	VKLAD	400	400	\N	\N	\N
367990	1251	1995-11-30	PRIJEM	VKLAD	31401	82119	\N	\N	\N
367999	1251	1995-11-28	PRIJEM	VKLAD	26700	50540	\N	\N	\N
368001	1251	1995-08-04	PRIJEM	VKLAD	24499	24899	\N	\N	\N
368002	1251	1995-08-21	PRIJEM	VKLAD	13328	40627	\N	\N	\N
368008	1251	1996-10-29	PRIJEM	VKLAD	26329	32256	\N	\N	\N
368009	1251	1996-12-04	PRIJEM	VKLAD	14384	35994	\N	\N	\N
368010	1251	1996-08-19	PRIJEM	VKLAD	33361	39874	\N	\N	\N
368011	1251	1996-11-05	PRIJEM	VKLAD	15023	47297	\N	\N	\N
368012	1251	1996-01-02	PRIJEM	VKLAD	15314	66375	\N	\N	\N
368013	1251	1996-12-18	PRIJEM	VKLAD	43434	55351	\N	\N	\N
368014	1251	1997-12-28	PRIJEM	VKLAD	8731	25553	\N	\N	\N
368015	1251	1997-10-22	PRIJEM	VKLAD	35577	47854	\N	\N	\N
368016	1251	1998-02-05	PRIJEM	VKLAD	47928	108840	\N	\N	\N
368017	1251	1998-07-02	PRIJEM	VKLAD	45312	90108	\N	\N	\N
368018	1251	1998-08-19	PRIJEM	VKLAD	33025	76206	\N	\N	\N
368019	1251	1998-10-21	PRIJEM	VKLAD	46292	76973	\N	\N	\N
368020	1251	1998-10-26	PRIJEM	VKLAD	42829	119802	\N	\N	\N
368021	1251	1998-05-30	PRIJEM	VKLAD	8430	39608	\N	\N	\N
368022	1251	1998-05-28	PRIJEM	VKLAD	7164	31178	\N	\N	\N
368023	1251	1998-02-07	PRIJEM	VKLAD	48250	120490	\N	\N	\N
368024	1251	1998-08-27	PRIJEM	VKLAD	12866	114106	\N	\N	\N
368025	1251	1998-06-21	PRIJEM	VKLAD	30427	60394	\N	\N	\N
368026	1251	1998-12-15	PRIJEM	VKLAD	40121	66154	\N	\N	\N
368027	1251	1998-02-03	PRIJEM	VKLAD	29734	60912	\N	\N	\N
368028	1251	1998-08-19	PRIJEM	VKLAD	25034	101240	\N	\N	\N
368029	1251	1998-12-26	PRIJEM	VKLAD	39254	101656	\N	\N	\N
368030	1251	1998-01-08	PRIJEM	VKLAD	23462	47957	\N	\N	\N
368031	1251	1998-05-02	PRIJEM	VKLAD	49827	69707	\N	\N	\N
368044	1251	1996-01-13	VYDAJ	PREVOD NA UCET	7870	32522	SIPO	UV	78350180
368045	1251	1996-02-13	VYDAJ	PREVOD NA UCET	7870	13708	SIPO	UV	78350180
368046	1251	1996-03-13	VYDAJ	PREVOD NA UCET	7870	5877	SIPO	UV	78350180
368047	1251	1996-04-13	VYDAJ	PREVOD NA UCET	7870	14029	SIPO	UV	78350180
368048	1251	1996-05-13	VYDAJ	PREVOD NA UCET	7870	13182	SIPO	UV	78350180
368049	1251	1996-06-13	VYDAJ	PREVOD NA UCET	7870	8839	SIPO	UV	78350180
368050	1251	1996-07-13	VYDAJ	PREVOD NA UCET	7870	6183	SIPO	UV	78350180
368051	1251	1996-08-13	VYDAJ	PREVOD NA UCET	7870	6513	SIPO	UV	78350180
368052	1251	1996-09-13	VYDAJ	PREVOD NA UCET	7870	13848	SIPO	UV	78350180
368053	1251	1996-10-13	VYDAJ	PREVOD NA UCET	7870	5927	SIPO	UV	78350180
368054	1251	1996-11-13	VYDAJ	PREVOD NA UCET	7870	23927	SIPO	UV	78350180
368055	1251	1996-12-13	VYDAJ	PREVOD NA UCET	7870	11917	SIPO	UV	78350180
368056	1251	1997-01-13	VYDAJ	PREVOD NA UCET	7870	16006	SIPO	UV	78350180
368057	1251	1997-02-13	VYDAJ	PREVOD NA UCET	7870	9318	SIPO	UV	78350180
368058	1251	1997-03-13	VYDAJ	PREVOD NA UCET	7870	1469	SIPO	UV	78350180
368061	1251	1997-06-13	VYDAJ	PREVOD NA UCET	7870	3653	SIPO	UV	78350180
368062	1251	1997-07-13	VYDAJ	PREVOD NA UCET	7870	6770	SIPO	UV	78350180
368063	1251	1997-08-13	VYDAJ	PREVOD NA UCET	7870	10793	SIPO	UV	78350180
368064	1251	1997-09-13	VYDAJ	PREVOD NA UCET	7870	11331	SIPO	UV	78350180
368065	1251	1997-10-13	VYDAJ	PREVOD NA UCET	7870	12277	SIPO	UV	78350180
368066	1251	1997-11-13	VYDAJ	PREVOD NA UCET	7870	16243	SIPO	UV	78350180
368067	1251	1997-12-13	VYDAJ	PREVOD NA UCET	7870	16822	SIPO	UV	78350180
368068	1251	1998-01-13	VYDAJ	PREVOD NA UCET	7870	37087	SIPO	UV	78350180
368069	1251	1998-02-13	VYDAJ	PREVOD NA UCET	7870	44749	SIPO	UV	78350180
368070	1251	1998-03-13	VYDAJ	PREVOD NA UCET	7870	34460	SIPO	UV	78350180
368071	1251	1998-04-13	VYDAJ	PREVOD NA UCET	7870	19828	SIPO	UV	78350180
368072	1251	1998-05-13	VYDAJ	PREVOD NA UCET	7870	42837	SIPO	UV	78350180
368073	1251	1998-06-13	VYDAJ	PREVOD NA UCET	7870	29967	SIPO	UV	78350180
368074	1251	1998-07-13	VYDAJ	PREVOD NA UCET	7870	56138	SIPO	UV	78350180
368075	1251	1998-08-13	VYDAJ	PREVOD NA UCET	7870	43181	SIPO	UV	78350180
368076	1251	1998-09-13	VYDAJ	PREVOD NA UCET	7870	52682	SIPO	UV	78350180
368077	1251	1998-10-13	VYDAJ	PREVOD NA UCET	7870	32742	SIPO	UV	78350180
368078	1251	1998-11-13	VYDAJ	PREVOD NA UCET	7870	45017	SIPO	UV	78350180
368079	1251	1998-12-13	VYDAJ	PREVOD NA UCET	7870	26033	SIPO	UV	78350180
368091	1251	1996-01-13	VYBER	VYBER	24183	40392	\N	\N	\N
368096	1251	1996-12-08	VYBER	VYBER	10507	25487	\N	\N	\N
368107	1251	1997-10-22	VYBER	VYBER	24475	23379	\N	\N	\N
368110	1251	1998-05-17	VYBER	VYBER	12223	30614	\N	\N	\N
368111	1251	1998-10-18	VYBER	VYBER	2061	30681	\N	\N	\N
368112	1251	1998-03-30	VYBER	VYBER	14988	19472	\N	\N	\N
368114	1251	1998-10-10	VYBER	VYBER	6690	40612	\N	\N	\N
368115	1251	1998-02-08	VYBER	VYBER	8171	52619	\N	\N	\N
368119	1251	1998-06-27	VYBER	VYBER	15742	44652	\N	\N	\N
368120	1251	1998-12-20	VYBER	VYBER	3752	62402	\N	\N	\N
368122	1251	1996-12-02	VYDAJ	VYBER	2400	21610	\N	\N	\N
368123	1251	1997-12-30	VYDAJ	VYBER	5100	20453	\N	\N	\N
368124	1251	1998-12-06	VYDAJ	VYBER	7500	33903	\N	\N	\N
368131	1251	1996-01-09	VYDAJ	VYBER	1800	64575	\N	\N	\N
368134	1251	1996-01-29	VYDAJ	VYBER	1800	20722	\N	\N	\N
368135	1251	1996-01-20	VYDAJ	VYBER	5400	22522	\N	\N	\N
368140	1251	1997-01-11	VYDAJ	VYBER	8400	23876	\N	\N	\N
368141	1251	1997-01-04	VYDAJ	VYBER	8700	46776	\N	\N	\N
368144	1251	1998-01-24	VYDAJ	VYBER	7200	24187	\N	\N	\N
368145	1251	1998-01-13	VYDAJ	VYBER	5700	31387	\N	\N	\N
368146	1251	1998-01-28	VYDAJ	VYBER	1500	22687	\N	\N	\N
368148	1251	1998-01-09	VYDAJ	VYBER	3000	44957	\N	\N	\N
368156	1251	1996-08-29	VYDAJ	VYBER	5400	26374	\N	\N	\N
368159	1251	1996-08-24	VYDAJ	VYBER	8100	31774	\N	\N	\N
368166	1251	1998-05-27	VYDAJ	VYBER	6600	24014	\N	\N	\N
368182	1251	1996-01-31	VYDAJ	VYBER	30	20878	SLUZBY	\N	\N
368183	1251	1996-02-29	VYDAJ	VYBER	30	13747	SLUZBY	\N	\N
368184	1251	1996-03-31	VYDAJ	VYBER	30	11299	SLUZBY	\N	\N
368185	1251	1996-04-30	VYDAJ	VYBER	30	14052	SLUZBY	\N	\N
368186	1251	1996-05-31	VYDAJ	VYBER	30	13209	SLUZBY	\N	\N
368187	1251	1996-06-30	VYDAJ	VYBER	30	8853	SLUZBY	\N	\N
368188	1251	1996-07-31	VYDAJ	VYBER	30	6183	SLUZBY	\N	\N
368189	1251	1996-08-31	VYDAJ	VYBER	30	26418	SLUZBY	\N	\N
368190	1251	1996-09-30	VYDAJ	VYBER	30	13897	SLUZBY	\N	\N
368191	1251	1996-10-31	VYDAJ	VYBER	30	32274	SLUZBY	\N	\N
368192	1251	1996-11-30	VYDAJ	VYBER	30	24010	SLUZBY	\N	\N
368193	1251	1996-12-31	VYDAJ	VYBER	30	55476	SLUZBY	\N	\N
368194	1251	1997-01-31	VYDAJ	VYBER	30	16088	SLUZBY	\N	\N
368195	1251	1997-02-28	VYDAJ	VYBER	30	9339	SLUZBY	\N	\N
368196	1251	1997-03-31	VYDAJ	VYBER	30	1477	SLUZBY	\N	\N
368197	1251	1997-04-30	VYDAJ	VYBER	30	1453	SLUZBY	\N	\N
368198	1251	1997-05-31	VYDAJ	VYBER	30	1423	SLUZBY	\N	\N
368199	1251	1997-06-30	VYDAJ	VYBER	30	3640	SLUZBY	\N	\N
368200	1251	1997-07-31	VYDAJ	VYBER	30	6763	SLUZBY	\N	\N
368201	1251	1997-08-31	VYDAJ	VYBER	30	10801	SLUZBY	\N	\N
368202	1251	1997-09-30	VYDAJ	VYBER	30	11347	SLUZBY	\N	\N
368203	1251	1997-10-31	VYDAJ	VYBER	30	23413	SLUZBY	\N	\N
368204	1251	1997-11-30	VYDAJ	VYBER	30	16292	SLUZBY	\N	\N
368205	1251	1997-12-31	VYDAJ	VYBER	30	20495	SLUZBY	\N	\N
368206	1251	1998-01-31	VYDAJ	VYBER	30	22778	SLUZBY	\N	\N
368207	1251	1998-02-28	VYDAJ	VYBER	30	44930	SLUZBY	\N	\N
368208	1251	1998-03-31	VYDAJ	VYBER	30	19598	SLUZBY	\N	\N
368209	1251	1998-04-30	VYDAJ	VYBER	30	19880	SLUZBY	\N	\N
368210	1251	1998-05-31	VYDAJ	VYBER	30	39737	SLUZBY	\N	\N
368211	1251	1998-06-30	VYDAJ	VYBER	30	44796	SLUZBY	\N	\N
368212	1251	1998-07-31	VYDAJ	VYBER	30	56351	SLUZBY	\N	\N
368213	1251	1998-08-31	VYDAJ	VYBER	30	82552	SLUZBY	\N	\N
368214	1251	1998-09-30	VYDAJ	VYBER	30	47302	SLUZBY	\N	\N
368215	1251	1998-10-31	VYDAJ	VYBER	30	52887	SLUZBY	\N	\N
368216	1251	1998-11-30	VYDAJ	VYBER	30	41403	SLUZBY	\N	\N
368217	1251	1995-08-17	PRIJEM	VKLAD	2400	27299	\N	\N	\N
368218	1251	1995-09-16	VYDAJ	VYBER	9400	31302	\N	\N	\N
368219	1251	1995-10-16	VYDAJ	VYBER	4900	26571	\N	\N	\N
368220	1251	1995-11-15	VYDAJ	VYBER	2900	23840	\N	\N	\N
368221	1251	1995-12-15	VYDAJ	VYBER	31400	50719	\N	\N	\N
368222	1251	1996-01-14	VYDAJ	VYBER	4600	27922	\N	\N	\N
368223	1251	1996-02-13	PRIJEM	VKLAD	700	21578	\N	\N	\N
368224	1251	1996-03-14	PRIJEM	VKLAD	5400	11277	\N	\N	\N
368225	1251	1996-04-13	PRIJEM	VKLAD	10600	21899	\N	\N	\N
368226	1251	1996-05-13	PRIJEM	VKLAD	7000	21052	\N	\N	\N
368227	1251	1996-06-12	PRIJEM	VKLAD	3500	16709	\N	\N	\N
368228	1251	1996-07-12	PRIJEM	VKLAD	5200	14053	\N	\N	\N
368229	1251	1996-08-11	PRIJEM	VKLAD	8200	14383	\N	\N	\N
368230	1251	1996-09-10	VYDAJ	VYBER	4700	21718	\N	\N	\N
368231	1251	1996-10-10	VYDAJ	VYBER	100	13797	\N	\N	\N
368232	1251	1996-11-09	VYDAJ	VYBER	15500	31797	\N	\N	\N
368233	1251	1996-12-09	VYDAJ	VYBER	5700	19787	\N	\N	\N
368234	1251	1997-01-08	VYDAJ	VYBER	14500	32276	\N	\N	\N
368235	1251	1997-02-07	PRIJEM	VKLAD	1100	17188	\N	\N	\N
368236	1251	1997-06-07	PRIJEM	VKLAD	10100	11523	\N	\N	\N
368237	1251	1997-07-07	PRIJEM	VKLAD	11000	14640	\N	\N	\N
368238	1251	1997-08-06	PRIJEM	VKLAD	11900	18663	\N	\N	\N
368239	1251	1997-09-05	PRIJEM	VKLAD	8400	19201	\N	\N	\N
368240	1251	1997-10-05	PRIJEM	VKLAD	8800	20147	\N	\N	\N
368241	1251	1997-11-04	PRIJEM	VKLAD	700	24113	\N	\N	\N
368242	1251	1997-12-04	PRIJEM	VKLAD	8400	24692	\N	\N	\N
368243	1251	1998-01-03	PRIJEM	VKLAD	4000	24495	\N	\N	\N
368244	1251	1998-02-02	PRIJEM	VKLAD	8400	31178	\N	\N	\N
368245	1251	1998-02-05	VYDAJ	VYBER	36600	72240	\N	\N	\N
368246	1251	1998-02-07	VYDAJ	VYBER	59700	60790	\N	\N	\N
368247	1251	1998-03-04	VYDAJ	VYBER	2600	42330	\N	\N	\N
368248	1251	1998-04-03	PRIJEM	VKLAD	8100	27698	\N	\N	\N
368249	1251	1998-05-03	VYDAJ	VYBER	19000	50707	\N	\N	\N
368250	1251	1998-06-02	VYDAJ	VYBER	1900	37837	\N	\N	\N
368251	1251	1998-07-02	VYDAJ	VYBER	26100	64008	\N	\N	\N
368252	1251	1998-08-01	VYDAJ	VYBER	5300	51051	\N	\N	\N
368253	1251	1998-08-27	VYDAJ	VYBER	31800	82306	\N	\N	\N
368254	1251	1998-08-31	VYDAJ	VYBER	22000	60552	\N	\N	\N
368255	1251	1998-09-30	VYDAJ	VYBER	5600	47332	\N	\N	\N
368256	1251	1998-10-26	VYDAJ	VYBER	46600	73202	\N	\N	\N
368257	1251	1998-10-30	VYDAJ	VYBER	20500	52702	\N	\N	\N
368258	1251	1998-11-29	VYDAJ	VYBER	3800	41217	\N	\N	\N
368302	1252	1995-07-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
368310	1252	1995-08-11	PRIJEM	PREVOD Z UCTU	24688	25688	\N	MN	28461086
368311	1252	1995-09-11	PRIJEM	PREVOD Z UCTU	24688	52102	\N	MN	28461086
368312	1252	1995-10-11	PRIJEM	PREVOD Z UCTU	24688	61213	\N	MN	28461086
368313	1252	1995-11-11	PRIJEM	PREVOD Z UCTU	24688	67559	\N	MN	28461086
368314	1252	1995-12-11	PRIJEM	PREVOD Z UCTU	37032	78469	\N	MN	28461086
368315	1252	1996-01-11	PRIJEM	PREVOD Z UCTU	24688	67785	\N	MN	28461086
368316	1252	1996-02-11	PRIJEM	PREVOD Z UCTU	24688	42116	\N	MN	28461086
368317	1252	1996-03-11	PRIJEM	PREVOD Z UCTU	24688	55408	\N	MN	28461086
368318	1252	1996-04-11	PRIJEM	PREVOD Z UCTU	24688	49001	\N	MN	28461086
368319	1252	1996-05-11	PRIJEM	PREVOD Z UCTU	24688	60616	\N	MN	28461086
368320	1252	1996-06-11	PRIJEM	PREVOD Z UCTU	37032	60127	\N	MN	28461086
368321	1252	1996-07-11	PRIJEM	PREVOD Z UCTU	24688	51480	\N	MN	28461086
368322	1252	1996-08-11	PRIJEM	PREVOD Z UCTU	24688	49497	\N	MN	28461086
368323	1252	1996-09-11	PRIJEM	PREVOD Z UCTU	24688	65717	\N	MN	28461086
368324	1252	1996-10-11	PRIJEM	PREVOD Z UCTU	24688	66567	\N	MN	28461086
368325	1252	1996-11-11	PRIJEM	PREVOD Z UCTU	24688	53038	\N	MN	28461086
368326	1252	1996-12-11	PRIJEM	PREVOD Z UCTU	37032	76914	\N	MN	28461086
368327	1252	1997-01-11	PRIJEM	PREVOD Z UCTU	24688	57955	\N	MN	28461086
368328	1252	1997-02-11	PRIJEM	PREVOD Z UCTU	24688	48287	\N	MN	28461086
368329	1252	1997-03-11	PRIJEM	PREVOD Z UCTU	24688	57690	\N	MN	28461086
368330	1252	1997-04-11	PRIJEM	PREVOD Z UCTU	24688	50910	\N	MN	28461086
368331	1252	1997-05-11	PRIJEM	PREVOD Z UCTU	24688	60894	\N	MN	28461086
368332	1252	1997-06-11	PRIJEM	PREVOD Z UCTU	37032	74547	\N	MN	28461086
368333	1252	1997-07-11	PRIJEM	PREVOD Z UCTU	24688	61084	\N	MN	28461086
368334	1252	1997-08-11	PRIJEM	PREVOD Z UCTU	24688	65195	\N	MN	28461086
368335	1252	1997-09-11	PRIJEM	PREVOD Z UCTU	24688	66364	\N	MN	28461086
368336	1252	1997-10-11	PRIJEM	PREVOD Z UCTU	24688	48612	\N	MN	28461086
368337	1252	1997-11-11	PRIJEM	PREVOD Z UCTU	24688	49878	\N	MN	28461086
368338	1252	1997-12-11	PRIJEM	PREVOD Z UCTU	37032	61267	\N	MN	28461086
368339	1252	1998-01-11	PRIJEM	PREVOD Z UCTU	24688	49561	\N	MN	28461086
368340	1252	1998-02-11	PRIJEM	PREVOD Z UCTU	24688	46516	\N	MN	28461086
368341	1252	1998-03-11	PRIJEM	PREVOD Z UCTU	24688	67211	\N	MN	28461086
368342	1252	1998-04-11	PRIJEM	PREVOD Z UCTU	24688	64221	\N	MN	28461086
368343	1252	1998-05-11	PRIJEM	PREVOD Z UCTU	24688	63228	\N	MN	28461086
368344	1252	1998-06-11	PRIJEM	PREVOD Z UCTU	37032	62936	\N	MN	28461086
368345	1252	1998-07-11	PRIJEM	PREVOD Z UCTU	24688	62051	\N	MN	28461086
368346	1252	1998-08-11	PRIJEM	PREVOD Z UCTU	24688	65913	\N	MN	28461086
368347	1252	1998-09-11	PRIJEM	PREVOD Z UCTU	24688	71596	\N	MN	28461086
368348	1252	1998-10-11	PRIJEM	PREVOD Z UCTU	24688	62831	\N	MN	28461086
368349	1252	1998-11-11	PRIJEM	PREVOD Z UCTU	24688	59105	\N	MN	28461086
368350	1252	1998-12-11	PRIJEM	PREVOD Z UCTU	37032	86290	\N	MN	28461086
368362	1252	1995-11-26	VYDAJ	VYBER	2800	41259	\N	\N	0
368363	1252	1996-01-15	VYDAJ	VYBER	3700	61085	\N	\N	0
368364	1252	1996-02-04	VYDAJ	VYBER	3600	17428	\N	\N	0
368365	1252	1996-03-12	VYDAJ	VYBER	6000	49408	\N	\N	0
368366	1252	1996-04-07	VYDAJ	VYBER	3900	24313	\N	\N	0
368367	1252	1996-05-13	VYDAJ	VYBER	2900	57716	\N	\N	0
368368	1252	1996-05-30	VYDAJ	VYBER	3600	39216	\N	\N	0
368369	1252	1996-07-06	VYDAJ	VYBER	4200	38792	\N	\N	0
368370	1252	1996-08-05	VYDAJ	VYBER	3000	24809	\N	\N	0
368371	1252	1996-09-15	VYDAJ	VYBER	3700	56917	\N	\N	0
368372	1252	1996-10-03	VYDAJ	VYBER	4200	41879	\N	\N	0
368373	1252	1996-11-14	VYDAJ	VYBER	4600	48438	\N	\N	0
368374	1252	1996-12-17	VYDAJ	VYBER	4200	48414	\N	\N	0
368375	1252	1997-01-22	VYDAJ	VYBER	3100	34655	\N	\N	0
368376	1252	1997-02-01	VYDAJ	VYBER	5500	23599	\N	\N	0
368377	1252	1997-03-19	VYDAJ	VYBER	4300	42990	\N	\N	0
368378	1252	1997-04-12	VYDAJ	PREVOD NA UCET	4115	46796	UVER	UV	84370898
368379	1252	1997-05-12	VYDAJ	PREVOD NA UCET	4115	56779	UVER	UV	84370898
368380	1252	1997-06-12	VYDAJ	PREVOD NA UCET	4115	49466	UVER	UV	84370898
368381	1252	1997-07-12	VYDAJ	PREVOD NA UCET	4115	56969	UVER	UV	84370898
368382	1252	1997-08-12	VYDAJ	PREVOD NA UCET	4115	61081	UVER	UV	84370898
368383	1252	1997-09-12	VYDAJ	PREVOD NA UCET	4115	62249	UVER	UV	84370898
368384	1252	1997-10-12	VYDAJ	PREVOD NA UCET	4115	44497	UVER	UV	84370898
368385	1252	1997-11-12	VYDAJ	PREVOD NA UCET	4115	45763	UVER	UV	84370898
368386	1252	1997-12-12	VYDAJ	PREVOD NA UCET	4115	29281	UVER	UV	84370898
368387	1252	1998-01-12	VYDAJ	PREVOD NA UCET	4115	26446	UVER	UV	84370898
368388	1252	1998-02-12	VYDAJ	PREVOD NA UCET	4115	42402	UVER	UV	84370898
368389	1252	1998-03-12	VYDAJ	PREVOD NA UCET	4115	63097	UVER	UV	84370898
368390	1252	1998-04-12	VYDAJ	PREVOD NA UCET	4115	38407	UVER	UV	84370898
368391	1252	1998-05-12	VYDAJ	PREVOD NA UCET	4115	40313	UVER	UV	84370898
368392	1252	1998-06-12	VYDAJ	PREVOD NA UCET	4115	58821	UVER	UV	84370898
368393	1252	1998-07-12	VYDAJ	PREVOD NA UCET	4115	57936	UVER	UV	84370898
368394	1252	1998-08-12	VYDAJ	PREVOD NA UCET	4115	61799	UVER	UV	84370898
368395	1252	1998-09-12	VYDAJ	PREVOD NA UCET	4115	67481	UVER	UV	84370898
368396	1252	1998-10-12	VYDAJ	PREVOD NA UCET	4115	58716	UVER	UV	84370898
368397	1252	1998-11-12	VYDAJ	PREVOD NA UCET	4115	54991	UVER	UV	84370898
368398	1252	1998-12-12	VYDAJ	PREVOD NA UCET	4115	82176	UVER	UV	84370898
368402	1252	1996-01-08	VYBER	VYBER	10028	43097	\N	\N	\N
368403	1252	1996-06-01	VYBER	VYBER	16273	23095	\N	\N	\N
368405	1252	1997-06-11	VYBER	VYBER	20966	53581	\N	\N	\N
368407	1252	1997-10-02	VYBER	VYBER	9170	23924	\N	\N	\N
368408	1252	1997-02-23	VYBER	VYBER	4701	32886	\N	\N	\N
368409	1252	1997-08-22	VYBER	VYBER	5056	41525	\N	\N	\N
368410	1252	1997-03-23	VYBER	VYBER	16875	26115	\N	\N	\N
368412	1252	1997-12-10	VYBER	VYBER	3448	24235	\N	\N	\N
368413	1252	1997-09-17	VYBER	VYBER	9884	32965	\N	\N	\N
368414	1252	1997-12-12	VYBER	VYBER	21272	39995	\N	\N	\N
368417	1252	1998-06-09	VYBER	VYBER	15043	25404	\N	\N	\N
368418	1252	1998-06-24	VYBER	VYBER	5439	53382	\N	\N	\N
368419	1252	1998-12-18	VYBER	VYBER	19831	62345	\N	\N	\N
368420	1252	1998-09-14	VYBER	VYBER	10354	57127	\N	\N	\N
368423	1252	1998-09-22	VYBER	VYBER	21674	35453	\N	\N	\N
368425	1252	1998-10-20	VYBER	VYBER	24740	33976	\N	\N	\N
368431	1252	1996-01-17	VYDAJ	VYBER	25800	35285	\N	\N	\N
368432	1252	1997-01-01	VYDAJ	VYBER	6300	42267	\N	\N	\N
368440	1252	1996-01-24	VYDAJ	VYBER	2400	20885	\N	\N	\N
368441	1252	1996-01-13	VYDAJ	VYBER	3000	64785	\N	\N	\N
368442	1252	1996-01-19	VYDAJ	VYBER	3600	26585	\N	\N	\N
368443	1252	1996-01-23	VYDAJ	VYBER	2400	23285	\N	\N	\N
368444	1252	1996-01-19	VYDAJ	VYBER	5100	30185	\N	\N	\N
368446	1252	1997-01-18	VYDAJ	VYBER	3000	44055	\N	\N	\N
368447	1252	1997-01-19	VYDAJ	VYBER	6300	37755	\N	\N	\N
368448	1252	1997-01-06	VYDAJ	VYBER	2700	39567	\N	\N	\N
368449	1252	1997-01-28	VYDAJ	VYBER	4200	28955	\N	\N	\N
368450	1252	1997-01-25	VYDAJ	VYBER	1500	33155	\N	\N	\N
368451	1252	1997-01-10	VYDAJ	VYBER	4500	35067	\N	\N	\N
368453	1252	1998-01-05	VYDAJ	VYBER	2400	24873	\N	\N	\N
368457	1252	1998-01-02	VYDAJ	VYBER	2100	27273	\N	\N	\N
368466	1252	1996-07-07	VYDAJ	VYBER	12000	26792	\N	\N	\N
368467	1252	1996-02-28	VYDAJ	VYBER	3900	30616	\N	\N	\N
368468	1252	1996-07-22	VYDAJ	VYBER	10500	27680	\N	\N	\N
368469	1252	1996-11-07	VYDAJ	VYBER	5100	28350	\N	\N	\N
368470	1252	1996-11-05	VYDAJ	VYBER	13800	33450	\N	\N	\N
368471	1252	1996-03-14	VYDAJ	VYBER	14100	35308	\N	\N	\N
368472	1252	1996-09-13	VYDAJ	VYBER	5100	60617	\N	\N	\N
368473	1252	1997-10-17	VYDAJ	VYBER	4800	25097	\N	\N	\N
368474	1252	1997-05-21	VYDAJ	VYBER	2700	37379	\N	\N	\N
368475	1252	1997-11-28	VYDAJ	VYBER	5100	27563	\N	\N	\N
368476	1252	1997-01-10	VYDAJ	VYBER	1800	33267	\N	\N	\N
368478	1252	1998-07-20	VYDAJ	VYBER	8700	49236	\N	\N	\N
368491	1252	1995-12-31	VYDAJ	VYBER	30	53125	SLUZBY	\N	\N
368492	1252	1996-01-31	VYDAJ	VYBER	30	21028	SLUZBY	\N	\N
368493	1252	1996-02-29	VYDAJ	VYBER	30	30720	SLUZBY	\N	\N
368494	1252	1996-03-31	VYDAJ	VYBER	30	28213	SLUZBY	\N	\N
368495	1252	1996-04-30	VYDAJ	VYBER	30	35928	SLUZBY	\N	\N
368496	1252	1996-05-31	VYDAJ	VYBER	30	39368	SLUZBY	\N	\N
368497	1252	1996-06-30	VYDAJ	VYBER	30	42992	SLUZBY	\N	\N
368498	1252	1996-07-31	VYDAJ	VYBER	30	27809	SLUZBY	\N	\N
368499	1252	1996-08-31	VYDAJ	VYBER	30	41029	SLUZBY	\N	\N
368500	1252	1996-09-30	VYDAJ	VYBER	30	46079	SLUZBY	\N	\N
368501	1252	1996-10-31	VYDAJ	VYBER	30	47250	SLUZBY	\N	\N
368502	1252	1996-11-30	VYDAJ	VYBER	30	39882	SLUZBY	\N	\N
368503	1252	1996-12-31	VYDAJ	VYBER	30	48567	SLUZBY	\N	\N
368504	1252	1997-01-31	VYDAJ	VYBER	30	29099	SLUZBY	\N	\N
368505	1252	1997-02-28	VYDAJ	VYBER	30	33002	SLUZBY	\N	\N
368506	1252	1997-03-31	VYDAJ	VYBER	30	26222	SLUZBY	\N	\N
368507	1252	1997-04-30	VYDAJ	VYBER	30	36206	SLUZBY	\N	\N
368508	1252	1997-05-31	VYDAJ	VYBER	30	37515	SLUZBY	\N	\N
368509	1252	1997-06-30	VYDAJ	VYBER	30	36396	SLUZBY	\N	\N
368510	1252	1997-07-31	VYDAJ	VYBER	30	40507	SLUZBY	\N	\N
368511	1252	1997-08-31	VYDAJ	VYBER	30	41676	SLUZBY	\N	\N
368512	1252	1997-09-30	VYDAJ	VYBER	30	33094	SLUZBY	\N	\N
368513	1252	1997-10-31	VYDAJ	VYBER	30	25190	SLUZBY	\N	\N
368514	1252	1997-11-30	VYDAJ	VYBER	30	27683	SLUZBY	\N	\N
368515	1252	1997-12-31	VYDAJ	VYBER	30	29373	SLUZBY	\N	\N
368516	1252	1998-01-31	VYDAJ	VYBER	30	26528	SLUZBY	\N	\N
368517	1252	1998-02-28	VYDAJ	VYBER	30	42523	SLUZBY	\N	\N
368518	1252	1998-03-31	VYDAJ	VYBER	30	39533	SLUZBY	\N	\N
368519	1252	1998-04-30	VYDAJ	VYBER	30	38540	SLUZBY	\N	\N
368520	1252	1998-05-31	VYDAJ	VYBER	30	40447	SLUZBY	\N	\N
368521	1252	1998-06-30	VYDAJ	VYBER	30	53563	SLUZBY	\N	\N
368522	1252	1998-07-31	VYDAJ	VYBER	30	49425	SLUZBY	\N	\N
368523	1252	1998-08-31	VYDAJ	VYBER	30	62008	SLUZBY	\N	\N
368524	1252	1998-09-30	VYDAJ	VYBER	30	35643	SLUZBY	\N	\N
368525	1252	1998-10-31	VYDAJ	VYBER	30	34117	SLUZBY	\N	\N
368526	1252	1998-11-30	VYDAJ	VYBER	30	55158	SLUZBY	\N	\N
368527	1252	1995-08-25	PRIJEM	VKLAD	1700	27388	\N	\N	\N
368528	1252	1995-09-24	VYDAJ	VYBER	15700	36402	\N	\N	\N
368529	1252	1995-10-24	VYDAJ	VYBER	18500	42713	\N	\N	\N
368530	1252	1995-11-23	VYDAJ	VYBER	23500	44059	\N	\N	\N
368531	1252	1995-12-23	VYDAJ	VYBER	25500	52969	\N	\N	\N
368532	1252	1996-01-22	VYDAJ	VYBER	900	25685	\N	\N	\N
368533	1252	1996-02-21	VYDAJ	VYBER	7600	34516	\N	\N	\N
368534	1252	1996-03-22	VYDAJ	VYBER	7200	28108	\N	\N	\N
368535	1252	1996-04-21	VYDAJ	VYBER	13200	35801	\N	\N	\N
368536	1252	1996-05-21	VYDAJ	VYBER	14900	42816	\N	\N	\N
368537	1252	1996-06-20	VYDAJ	VYBER	17300	42827	\N	\N	\N
368538	1252	1996-07-20	VYDAJ	VYBER	13300	38180	\N	\N	\N
368539	1252	1996-08-19	VYDAJ	VYBER	8600	40897	\N	\N	\N
368540	1252	1996-09-18	VYDAJ	VYBER	11000	45917	\N	\N	\N
368541	1252	1996-10-18	VYDAJ	VYBER	19500	47067	\N	\N	\N
368542	1252	1996-11-17	VYDAJ	VYBER	8700	39738	\N	\N	\N
368543	1252	1996-12-17	VYDAJ	VYBER	24300	52614	\N	\N	\N
368544	1252	1997-01-16	VYDAJ	VYBER	10900	47055	\N	\N	\N
368545	1252	1997-02-15	VYDAJ	VYBER	10700	37587	\N	\N	\N
368546	1252	1997-03-17	VYDAJ	VYBER	10400	47290	\N	\N	\N
368547	1252	1997-04-16	VYDAJ	VYBER	10700	36096	\N	\N	\N
368548	1252	1997-05-16	VYDAJ	VYBER	16700	40079	\N	\N	\N
368549	1252	1997-06-15	VYDAJ	VYBER	13200	36266	\N	\N	\N
368550	1252	1997-07-15	VYDAJ	VYBER	16600	40369	\N	\N	\N
368551	1252	1997-08-14	VYDAJ	VYBER	14500	46581	\N	\N	\N
368552	1252	1997-09-13	VYDAJ	VYBER	19400	42849	\N	\N	\N
368553	1252	1997-10-13	VYDAJ	VYBER	14600	29897	\N	\N	\N
368554	1252	1997-11-12	VYDAJ	VYBER	13100	32663	\N	\N	\N
368555	1252	1997-12-12	VYDAJ	VYBER	6600	33395	\N	\N	\N
368556	1252	1998-01-11	VYDAJ	VYBER	19000	30561	\N	\N	\N
368557	1252	1998-02-10	VYDAJ	VYBER	4700	21828	\N	\N	\N
368558	1252	1998-03-12	VYDAJ	VYBER	23700	39397	\N	\N	\N
368559	1252	1998-04-11	VYDAJ	VYBER	21700	42521	\N	\N	\N
368560	1252	1998-05-11	VYDAJ	VYBER	18800	44428	\N	\N	\N
368561	1252	1998-06-10	PRIJEM	VKLAD	500	25904	\N	\N	\N
368562	1252	1998-07-10	VYDAJ	VYBER	16200	37363	\N	\N	\N
368563	1252	1998-08-09	VYDAJ	VYBER	8200	41225	\N	\N	\N
368564	1252	1998-09-08	VYDAJ	VYBER	15100	46908	\N	\N	\N
368565	1252	1998-10-08	PRIJEM	VKLAD	2500	38143	\N	\N	\N
368566	1252	1998-11-07	PRIJEM	VKLAD	300	34417	\N	\N	\N
368567	1252	1998-12-07	VYDAJ	VYBER	5900	49258	\N	\N	\N
368609	1253	1997-04-13	PRIJEM	VKLAD	700	700	\N	\N	\N
368614	1253	1997-05-08	PRIJEM	VKLAD	17661	18361	\N	\N	\N
368615	1253	1997-06-08	PRIJEM	VKLAD	26492	49111	\N	\N	\N
368616	1253	1997-07-08	PRIJEM	VKLAD	17661	57310	\N	\N	\N
368617	1253	1997-08-08	PRIJEM	VKLAD	17661	57537	\N	\N	\N
368618	1253	1997-09-08	PRIJEM	VKLAD	17661	62477	\N	\N	\N
368619	1253	1997-10-08	PRIJEM	VKLAD	17661	61215	\N	\N	\N
368620	1253	1997-11-08	PRIJEM	VKLAD	17661	59546	\N	\N	\N
368621	1253	1997-12-08	PRIJEM	VKLAD	26492	66309	\N	\N	\N
368622	1253	1998-01-08	PRIJEM	VKLAD	17661	66963	\N	\N	\N
368623	1253	1998-02-08	PRIJEM	VKLAD	17661	61897	\N	\N	\N
368624	1253	1998-03-08	PRIJEM	VKLAD	17661	67150	\N	\N	\N
368625	1253	1998-04-08	PRIJEM	VKLAD	17661	68821	\N	\N	\N
368626	1253	1998-05-08	PRIJEM	VKLAD	17661	66081	\N	\N	\N
368627	1253	1998-06-08	PRIJEM	VKLAD	26492	71856	\N	\N	\N
368628	1253	1998-07-08	PRIJEM	VKLAD	17661	55947	\N	\N	\N
368629	1253	1998-08-08	PRIJEM	VKLAD	17661	66584	\N	\N	\N
368630	1253	1998-09-08	PRIJEM	VKLAD	17661	68569	\N	\N	\N
368631	1253	1998-10-08	PRIJEM	VKLAD	17661	74469	\N	\N	\N
368632	1253	1998-11-08	PRIJEM	VKLAD	17661	73091	\N	\N	\N
368633	1253	1998-12-08	PRIJEM	VKLAD	26492	80043	\N	\N	\N
368642	1253	1997-09-14	VYDAJ	PREVOD NA UCET	3865	43382	SIPO	OP	64931833
368643	1253	1997-10-14	VYDAJ	PREVOD NA UCET	3865	41720	SIPO	OP	64931833
368644	1253	1997-11-14	VYDAJ	PREVOD NA UCET	3865	43351	SIPO	OP	64931833
368645	1253	1997-12-14	VYDAJ	PREVOD NA UCET	3865	49114	SIPO	OP	64931833
368646	1253	1998-01-14	VYDAJ	PREVOD NA UCET	3865	42068	SIPO	OP	64931833
368647	1253	1998-02-14	VYDAJ	PREVOD NA UCET	3865	52702	SIPO	OP	64931833
368648	1253	1998-03-14	VYDAJ	PREVOD NA UCET	3865	54455	SIPO	OP	64931833
368649	1253	1998-04-14	VYDAJ	PREVOD NA UCET	3865	48226	SIPO	OP	64931833
368650	1253	1998-05-14	VYDAJ	PREVOD NA UCET	3865	44386	SIPO	OP	64931833
368651	1253	1998-06-14	VYDAJ	PREVOD NA UCET	3865	62661	SIPO	OP	64931833
368652	1253	1998-07-14	VYDAJ	PREVOD NA UCET	3865	46752	SIPO	OP	64931833
368653	1253	1998-08-14	VYDAJ	PREVOD NA UCET	3865	57389	SIPO	OP	64931833
368654	1253	1998-09-14	VYDAJ	PREVOD NA UCET	3865	59374	SIPO	OP	64931833
368655	1253	1998-10-14	VYDAJ	PREVOD NA UCET	3865	65274	SIPO	OP	64931833
368656	1253	1998-11-14	VYDAJ	PREVOD NA UCET	3865	63896	SIPO	OP	64931833
368657	1253	1998-12-14	VYDAJ	PREVOD NA UCET	3865	70848	SIPO	OP	64931833
368666	1253	1997-09-09	VYDAJ	PREVOD NA UCET	5330	57147	 	WX	10639518
368667	1253	1997-10-09	VYDAJ	PREVOD NA UCET	5330	55885	 	WX	10639518
368668	1253	1997-11-09	VYDAJ	PREVOD NA UCET	5330	47216	 	WX	10639518
368669	1253	1997-12-09	VYDAJ	PREVOD NA UCET	5330	60979	 	WX	10639518
368670	1253	1998-01-09	VYDAJ	PREVOD NA UCET	5330	48633	 	WX	10639518
368671	1253	1998-02-09	VYDAJ	PREVOD NA UCET	5330	56567	 	WX	10639518
368672	1253	1998-03-09	VYDAJ	PREVOD NA UCET	5330	61820	 	WX	10639518
368673	1253	1998-04-09	VYDAJ	PREVOD NA UCET	5330	52091	 	WX	10639518
368674	1253	1998-05-09	VYDAJ	PREVOD NA UCET	5330	48251	 	WX	10639518
368675	1253	1998-06-09	VYDAJ	PREVOD NA UCET	5330	66526	 	WX	10639518
368676	1253	1998-07-09	VYDAJ	PREVOD NA UCET	5330	50617	 	WX	10639518
368677	1253	1998-08-09	VYDAJ	PREVOD NA UCET	5330	61254	 	WX	10639518
368678	1253	1998-09-09	VYDAJ	PREVOD NA UCET	5330	63239	 	WX	10639518
368679	1253	1998-10-09	VYDAJ	PREVOD NA UCET	5330	69139	 	WX	10639518
368680	1253	1998-11-09	VYDAJ	PREVOD NA UCET	5330	67761	 	WX	10639518
368681	1253	1998-12-09	VYDAJ	PREVOD NA UCET	5330	74713	 	WX	10639518
368683	1253	1998-06-29	VYDAJ	VYBER	28800	33861	\N	\N	\N
368684	1253	1997-12-01	VYDAJ	VYBER	1500	39817	\N	\N	\N
368685	1253	1998-12-15	VYDAJ	VYBER KARTOU	600	70248	\N	\N	0
368692	1253	1998-01-30	VYDAJ	VYBER	1000	36468	\N	\N	\N
368693	1253	1998-01-30	VYDAJ	VYBER	500	37468	\N	\N	\N
368694	1253	1998-01-24	VYDAJ	VYBER	1100	37968	\N	\N	\N
368695	1253	1998-01-19	VYDAJ	VYBER	1200	40868	\N	\N	\N
368696	1253	1998-01-23	VYDAJ	VYBER	1800	39068	\N	\N	\N
368697	1253	1998-01-08	VYDAJ	VYBER	2800	64163	\N	\N	\N
368698	1253	1997-11-16	VYDAJ	VYBER	2200	41151	\N	\N	\N
368699	1253	1997-10-12	VYDAJ	VYBER	1500	45585	\N	\N	\N
368703	1253	1998-01-13	VYDAJ	VYBER	2700	45933	\N	\N	\N
368704	1253	1998-11-04	VYDAJ	VYBER KARTOU	3800	61730	\N	\N	0
368705	1253	1998-02-17	VYDAJ	VYBER	3400	49302	\N	\N	\N
368706	1253	1998-03-17	VYDAJ	VYBER KARTOU	3500	50955	\N	\N	0
368716	1253	1997-09-30	VYDAJ	VYBER	15	43554	SLUZBY	\N	\N
368717	1253	1997-10-31	VYDAJ	VYBER	15	41885	SLUZBY	\N	\N
368718	1253	1997-11-30	VYDAJ	VYBER	15	41317	SLUZBY	\N	\N
368719	1253	1997-12-31	VYDAJ	VYBER	15	49302	SLUZBY	\N	\N
368720	1253	1998-01-31	VYDAJ	VYBER	15	36636	SLUZBY	\N	\N
368721	1253	1998-02-28	VYDAJ	VYBER	15	49489	SLUZBY	\N	\N
368722	1253	1998-03-31	VYDAJ	VYBER	15	51160	SLUZBY	\N	\N
368723	1253	1998-04-30	VYDAJ	VYBER	15	48420	SLUZBY	\N	\N
368724	1253	1998-05-31	VYDAJ	VYBER	15	44564	SLUZBY	\N	\N
368725	1253	1998-06-30	VYDAJ	VYBER	15	34086	SLUZBY	\N	\N
368726	1253	1998-07-31	VYDAJ	VYBER	15	46923	SLUZBY	\N	\N
368727	1253	1998-08-31	VYDAJ	VYBER	15	57608	SLUZBY	\N	\N
368728	1253	1998-09-30	VYDAJ	VYBER	15	59608	SLUZBY	\N	\N
368729	1253	1998-10-31	VYDAJ	VYBER	15	65530	SLUZBY	\N	\N
368730	1253	1998-11-30	VYDAJ	VYBER	15	64151	SLUZBY	\N	\N
368731	1253	1997-05-13	PRIJEM	VKLAD	4200	22561	\N	\N	\N
368732	1253	1997-06-12	VYDAJ	VYBER	9600	39511	\N	\N	\N
368733	1253	1997-07-12	VYDAJ	VYBER	17600	39710	\N	\N	\N
368734	1253	1997-08-11	VYDAJ	VYBER	12900	44637	\N	\N	\N
368735	1253	1997-09-10	VYDAJ	VYBER	9900	47247	\N	\N	\N
368736	1253	1997-10-10	VYDAJ	VYBER	8800	47085	\N	\N	\N
368737	1253	1997-11-09	VYDAJ	VYBER	7000	52546	\N	\N	\N
368738	1253	1997-12-09	VYDAJ	VYBER	8000	52979	\N	\N	\N
368739	1253	1998-01-08	VYDAJ	VYBER	10200	53963	\N	\N	\N
368740	1253	1998-02-07	PRIJEM	VKLAD	7600	44236	\N	\N	\N
368741	1253	1998-03-09	VYDAJ	VYBER KARTOU	3500	58320	\N	\N	0
368742	1253	1998-04-08	VYDAJ	VYBER	11400	57421	\N	\N	\N
368743	1253	1998-05-08	VYDAJ	VYBER	12500	53581	\N	\N	\N
368744	1253	1998-06-07	PRIJEM	VKLAD	800	45364	\N	\N	\N
368745	1253	1998-07-07	PRIJEM	VKLAD	4200	38286	\N	\N	\N
368746	1253	1998-08-06	PRIJEM	VKLAD	2000	48923	\N	\N	\N
368747	1253	1998-09-05	VYDAJ	VYBER	6700	50908	\N	\N	\N
368748	1253	1998-10-05	VYDAJ	VYBER KARTOU	2800	56808	\N	\N	0
368749	1253	1998-11-04	VYDAJ	VYBER	6300	55430	\N	\N	\N
368750	1253	1998-12-04	VYDAJ	VYBER	10600	53551	\N	\N	\N
368771	1254	1995-03-28	PRIJEM	VKLAD	800	800	\N	\N	\N
368774	1254	1995-12-21	PRIJEM	VKLAD	33936	79053	\N	\N	\N
368775	1254	1995-07-07	PRIJEM	VKLAD	18817	90694	\N	\N	\N
368776	1254	1995-05-07	PRIJEM	VKLAD	37009	107682	\N	\N	\N
368778	1254	1995-06-29	PRIJEM	VKLAD	17570	71614	\N	\N	\N
368779	1254	1995-05-06	PRIJEM	VKLAD	48928	106373	\N	\N	\N
368780	1254	1995-05-14	PRIJEM	VKLAD	14665	94547	\N	\N	\N
368782	1254	1995-12-02	PRIJEM	VKLAD	7447	45117	\N	\N	\N
368783	1254	1995-04-15	PRIJEM	VKLAD	46637	47437	\N	\N	\N
368784	1254	1995-07-23	PRIJEM	VKLAD	28371	94243	\N	\N	\N
368785	1254	1995-05-02	PRIJEM	VKLAD	12699	57445	\N	\N	\N
368786	1254	1995-10-27	PRIJEM	VKLAD	17653	41532	\N	\N	\N
368787	1254	1995-05-23	PRIJEM	VKLAD	48706	130922	\N	\N	\N
368788	1254	1995-05-15	PRIJEM	VKLAD	48969	143516	\N	\N	\N
368789	1254	1995-06-11	PRIJEM	VKLAD	35875	78944	\N	\N	\N
368792	1254	1995-11-18	PRIJEM	VKLAD	22691	64314	\N	\N	\N
368793	1254	1995-04-16	PRIJEM	VKLAD	21079	68516	\N	\N	\N
368794	1254	1996-04-05	PRIJEM	VKLAD	38469	101135	\N	\N	\N
368795	1254	1996-07-10	PRIJEM	VKLAD	21374	71365	\N	\N	\N
368796	1254	1996-01-04	PRIJEM	VKLAD	19629	57855	\N	\N	\N
368797	1254	1996-11-05	PRIJEM	VKLAD	45377	113393	\N	\N	\N
368798	1254	1996-04-12	PRIJEM	VKLAD	42670	152484	\N	\N	\N
368799	1254	1996-08-02	PRIJEM	VKLAD	45871	108795	\N	\N	\N
368800	1254	1996-07-18	PRIJEM	VKLAD	30261	130852	\N	\N	\N
368801	1254	1996-07-28	PRIJEM	VKLAD	7510	62662	\N	\N	\N
368802	1254	1996-12-11	PRIJEM	VKLAD	29920	137563	\N	\N	\N
368803	1254	1996-09-27	PRIJEM	VKLAD	48588	94274	\N	\N	\N
368804	1254	1996-06-11	PRIJEM	VKLAD	31906	94650	\N	\N	\N
368805	1254	1996-05-13	PRIJEM	VKLAD	42050	114441	\N	\N	\N
368806	1254	1996-03-19	PRIJEM	VKLAD	23356	110563	\N	\N	\N
368807	1254	1996-08-08	PRIJEM	VKLAD	12760	121555	\N	\N	\N
368808	1254	1996-04-08	PRIJEM	VKLAD	8679	109814	\N	\N	\N
368809	1254	1996-04-01	PRIJEM	VKLAD	6019	62666	\N	\N	\N
368810	1254	1996-05-15	PRIJEM	VKLAD	41194	115335	\N	\N	\N
368811	1254	1996-09-30	PRIJEM	VKLAD	12325	106599	\N	\N	\N
368812	1254	1996-02-26	PRIJEM	VKLAD	41022	77663	\N	\N	\N
368813	1254	1996-06-18	PRIJEM	VKLAD	38395	133045	\N	\N	\N
368814	1254	1996-07-12	PRIJEM	VKLAD	29226	100591	\N	\N	\N
368815	1254	1996-03-13	PRIJEM	VKLAD	9425	87207	\N	\N	\N
368816	1254	1996-04-25	PRIJEM	VKLAD	13204	71988	\N	\N	\N
368817	1254	1996-12-11	PRIJEM	VKLAD	42609	107643	\N	\N	\N
368818	1254	1996-02-19	PRIJEM	VKLAD	18325	40341	\N	\N	\N
368819	1254	1997-10-17	PRIJEM	VKLAD	46836	85158	\N	\N	\N
368820	1254	1997-06-04	PRIJEM	VKLAD	29690	84082	\N	\N	\N
368821	1254	1997-02-26	PRIJEM	VKLAD	42815	95273	\N	\N	\N
368822	1254	1997-01-07	PRIJEM	VKLAD	25430	87884	\N	\N	\N
368823	1254	1998-09-20	PRIJEM	VKLAD	43307	93046	\N	\N	\N
368824	1254	1998-12-26	PRIJEM	VKLAD	22534	95733	\N	\N	\N
368825	1254	1998-02-01	PRIJEM	VKLAD	8598	34460	\N	\N	\N
368826	1254	1998-11-29	PRIJEM	VKLAD	22887	67224	\N	\N	\N
368827	1254	1998-04-14	PRIJEM	VKLAD	36409	84364	\N	\N	\N
368828	1254	1998-06-07	PRIJEM	VKLAD	44871	123497	\N	\N	\N
368829	1254	1998-06-15	PRIJEM	VKLAD	24406	80169	\N	\N	\N
368830	1254	1998-05-21	PRIJEM	VKLAD	28097	114363	\N	\N	\N
368831	1254	1998-10-07	PRIJEM	VKLAD	19712	109056	\N	\N	\N
368832	1254	1998-12-06	PRIJEM	VKLAD	42298	107299	\N	\N	\N
368833	1254	1998-04-27	PRIJEM	VKLAD	25549	109913	\N	\N	\N
368835	1254	1995-06-01	VYBER	VYBER	7964	43069	\N	\N	\N
368837	1254	1995-07-19	VYBER	VYBER	24822	65872	\N	\N	\N
368838	1254	1995-12-22	VYBER	VYBER	15787	63266	\N	\N	\N
368839	1254	1995-09-21	VYBER	VYBER	6267	23577	\N	\N	\N
368840	1254	1997-06-26	VYBER	VYBER	17639	37435	\N	\N	\N
368842	1254	1997-10-22	VYBER	VYBER	21251	63907	\N	\N	\N
368843	1254	1997-11-25	VYBER	VYBER	6099	52185	\N	\N	\N
368844	1254	1997-03-11	VYBER	VYBER	6121	89364	\N	\N	\N
368845	1254	1997-06-10	VYBER	VYBER	3308	80774	\N	\N	\N
368846	1254	1997-12-20	VYBER	VYBER	8456	31064	\N	\N	\N
368848	1254	1997-11-28	VYBER	VYBER	22890	29295	\N	\N	\N
368849	1254	1997-09-26	VYBER	VYBER	17605	23885	\N	\N	\N
368850	1254	1997-01-09	VYBER	VYBER	11466	76418	\N	\N	\N
368852	1254	1997-08-26	VYBER	VYBER	10370	37439	\N	\N	\N
368853	1254	1998-06-14	VYBER	VYBER	22734	55763	\N	\N	\N
368854	1254	1998-03-13	VYBER	VYBER	20383	31520	\N	\N	\N
368855	1254	1998-08-14	VYBER	VYBER	10840	31802	\N	\N	\N
368856	1254	1998-07-21	VYBER	VYBER	18010	49084	\N	\N	\N
368857	1254	1998-06-15	VYBER	VYBER	11590	68579	\N	\N	\N
368858	1254	1998-08-10	VYBER	VYBER	16782	42642	\N	\N	\N
368859	1254	1998-10-30	VYBER	VYBER	20681	48656	\N	\N	\N
368860	1254	1998-11-08	VYBER	VYBER	3827	44337	\N	\N	\N
368861	1254	1998-10-19	VYBER	VYBER	17119	69337	\N	\N	\N
368862	1254	1995-12-22	VYDAJ	VYBER	3300	59966	\N	\N	\N
368863	1254	1996-12-04	VYDAJ	VYBER	2100	65034	\N	\N	\N
368864	1254	1997-12-21	VYDAJ	VYBER	4200	26864	\N	\N	\N
368865	1254	1998-12-11	VYDAJ	VYBER	5100	73199	\N	\N	\N
368872	1254	1996-01-21	VYDAJ	VYBER	2100	30855	\N	\N	\N
368873	1254	1996-01-29	VYDAJ	VYBER	6600	21855	\N	\N	\N
368874	1254	1996-01-20	VYDAJ	VYBER	1500	32955	\N	\N	\N
368875	1254	1996-01-16	VYDAJ	VYBER	7800	44355	\N	\N	\N
368876	1254	1996-01-03	VYDAJ	VYBER	6300	38226	\N	\N	\N
368877	1254	1996-01-13	VYDAJ	VYBER	5700	52155	\N	\N	\N
368878	1254	1997-01-05	VYDAJ	VYBER	1500	62454	\N	\N	\N
368879	1254	1997-01-05	VYDAJ	VYBER	3300	63954	\N	\N	\N
368880	1254	1997-01-15	VYDAJ	VYBER	8100	61418	\N	\N	\N
368881	1254	1997-01-23	VYDAJ	VYBER	6300	49618	\N	\N	\N
368882	1254	1997-01-10	VYDAJ	VYBER	5400	71018	\N	\N	\N
368883	1254	1997-01-14	VYDAJ	VYBER	1500	69518	\N	\N	\N
368885	1254	1998-01-20	VYDAJ	VYBER	6000	25766	\N	\N	\N
368886	1254	1998-01-18	VYDAJ	VYBER	3300	31766	\N	\N	\N
368888	1254	1998-01-17	VYDAJ	VYBER	5400	35066	\N	\N	\N
368890	1254	1995-05-28	VYDAJ	VYBER	9300	50722	\N	\N	\N
368892	1254	1995-08-14	VYDAJ	VYBER	4200	56525	\N	\N	\N
368893	1254	1995-08-31	VYDAJ	VYBER	11700	29844	\N	\N	\N
368894	1254	1995-11-25	VYDAJ	VYBER	7200	37514	\N	\N	\N
368895	1254	1996-12-20	VYDAJ	VYBER	2400	66963	\N	\N	\N
368896	1254	1996-07-23	VYDAJ	VYBER	8400	55152	\N	\N	\N
368897	1254	1996-07-19	VYDAJ	VYBER	14700	87752	\N	\N	\N
368898	1254	1996-01-19	VYDAJ	VYBER	9900	34455	\N	\N	\N
368899	1254	1996-10-01	VYDAJ	VYBER	9600	97260	\N	\N	\N
368900	1254	1996-05-30	VYDAJ	VYBER	3000	62435	\N	\N	\N
368901	1254	1997-07-02	VYDAJ	VYBER	10500	27162	\N	\N	\N
368902	1254	1997-09-04	VYDAJ	VYBER	7800	29790	\N	\N	\N
368903	1254	1997-10-26	VYDAJ	VYBER	1500	62407	\N	\N	\N
368904	1254	1997-06-21	VYDAJ	VYBER	10800	55074	\N	\N	\N
368907	1254	1998-05-28	VYDAJ	VYBER	1500	78263	\N	\N	\N
368908	1254	1998-11-02	VYDAJ	VYBER	9300	39664	\N	\N	\N
368909	1254	1998-12-06	VYDAJ	VYBER	8100	99199	\N	\N	\N
368910	1254	1998-09-20	VYDAJ	VYBER	3900	89146	\N	\N	\N
368911	1254	1998-05-04	VYDAJ	VYBER	2100	108066	\N	\N	\N
368912	1254	1998-08-22	VYDAJ	VYBER	3600	28202	\N	\N	\N
368913	1254	1998-12-03	VYDAJ	VYBER	2400	65001	\N	\N	\N
368919	1254	1995-05-31	VYDAJ	VYBER	15	51033	SLUZBY	\N	\N
368920	1254	1995-06-30	VYDAJ	VYBER	15	71877	SLUZBY	\N	\N
368921	1254	1995-07-31	VYDAJ	VYBER	15	60725	SLUZBY	\N	\N
368922	1254	1995-08-31	VYDAJ	VYBER	15	41544	SLUZBY	\N	\N
368923	1254	1995-09-30	VYDAJ	VYBER	15	22279	SLUZBY	\N	\N
368924	1254	1995-10-31	VYDAJ	VYBER	15	41623	SLUZBY	\N	\N
368925	1254	1995-11-30	VYDAJ	VYBER	15	37670	SLUZBY	\N	\N
368926	1254	1995-12-31	VYDAJ	VYBER	15	44526	SLUZBY	\N	\N
368927	1254	1996-01-31	VYDAJ	VYBER	15	22016	SLUZBY	\N	\N
368928	1254	1996-02-29	VYDAJ	VYBER	15	77782	SLUZBY	\N	\N
368929	1254	1996-03-31	VYDAJ	VYBER	15	56647	SLUZBY	\N	\N
368930	1254	1996-04-30	VYDAJ	VYBER	15	72391	SLUZBY	\N	\N
368931	1254	1996-05-31	VYDAJ	VYBER	15	62744	SLUZBY	\N	\N
368932	1254	1996-06-30	VYDAJ	VYBER	15	49991	SLUZBY	\N	\N
368933	1254	1996-07-31	VYDAJ	VYBER	15	62924	SLUZBY	\N	\N
368934	1254	1996-08-31	VYDAJ	VYBER	15	61786	SLUZBY	\N	\N
368935	1254	1996-09-30	VYDAJ	VYBER	15	106860	SLUZBY	\N	\N
368936	1254	1996-10-31	VYDAJ	VYBER	15	68016	SLUZBY	\N	\N
368937	1254	1996-11-30	VYDAJ	VYBER	15	67134	SLUZBY	\N	\N
368938	1254	1996-12-31	VYDAJ	VYBER	15	67254	SLUZBY	\N	\N
368939	1254	1997-01-31	VYDAJ	VYBER	15	49858	SLUZBY	\N	\N
368940	1254	1997-02-28	VYDAJ	VYBER	15	95485	SLUZBY	\N	\N
368941	1254	1997-03-31	VYDAJ	VYBER	15	68791	SLUZBY	\N	\N
368942	1254	1997-04-30	VYDAJ	VYBER	15	59760	SLUZBY	\N	\N
368943	1254	1997-05-31	VYDAJ	VYBER	15	54392	SLUZBY	\N	\N
368944	1254	1997-06-30	VYDAJ	VYBER	15	37662	SLUZBY	\N	\N
368945	1254	1997-07-31	VYDAJ	VYBER	15	40809	SLUZBY	\N	\N
368946	1254	1997-08-31	VYDAJ	VYBER	15	37590	SLUZBY	\N	\N
368947	1254	1997-09-30	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
368948	1254	1997-10-31	VYDAJ	VYBER	15	62584	SLUZBY	\N	\N
368949	1254	1997-11-30	VYDAJ	VYBER	15	29520	SLUZBY	\N	\N
368950	1254	1997-12-31	VYDAJ	VYBER	15	26966	SLUZBY	\N	\N
368951	1254	1998-01-31	VYDAJ	VYBER	15	25862	SLUZBY	\N	\N
368952	1254	1998-02-28	VYDAJ	VYBER	15	44703	SLUZBY	\N	\N
368953	1254	1998-03-31	VYDAJ	VYBER	15	31655	SLUZBY	\N	\N
368954	1254	1998-04-30	VYDAJ	VYBER	15	110166	SLUZBY	\N	\N
368955	1254	1998-05-31	VYDAJ	VYBER	15	78626	SLUZBY	\N	\N
368956	1254	1998-06-30	VYDAJ	VYBER	15	68894	SLUZBY	\N	\N
368957	1254	1998-07-31	VYDAJ	VYBER	15	49324	SLUZBY	\N	\N
368958	1254	1998-08-31	VYDAJ	VYBER	15	28339	SLUZBY	\N	\N
368959	1254	1998-09-30	VYDAJ	VYBER	15	89344	SLUZBY	\N	\N
368960	1254	1998-10-31	VYDAJ	VYBER	15	48964	SLUZBY	\N	\N
368961	1254	1998-11-30	VYDAJ	VYBER	15	67401	SLUZBY	\N	\N
368962	1254	1995-04-27	VYDAJ	VYBER	23900	44616	\N	\N	\N
368963	1254	1995-05-06	VYDAJ	VYBER	35700	70673	\N	\N	\N
368964	1254	1995-05-07	VYDAJ	VYBER	27800	79882	\N	\N	\N
368965	1254	1995-05-15	VYDAJ	VYBER	61300	82216	\N	\N	\N
368966	1254	1995-05-23	VYDAJ	VYBER	38000	92922	\N	\N	\N
368967	1254	1995-05-27	VYDAJ	VYBER	32900	60022	\N	\N	\N
368968	1254	1995-06-26	VYDAJ	VYBER	24900	54044	\N	\N	\N
368969	1254	1995-07-26	VYDAJ	VYBER	33800	60443	\N	\N	\N
368970	1254	1995-08-25	VYDAJ	VYBER	15200	41325	\N	\N	\N
368971	1254	1995-09-24	VYDAJ	VYBER	1400	22177	\N	\N	\N
368972	1254	1995-10-24	PRIJEM	VKLAD	1600	23879	\N	\N	\N
368973	1254	1995-11-23	VYDAJ	VYBER	19600	44714	\N	\N	\N
368974	1254	1995-12-23	VYDAJ	VYBER	15600	44366	\N	\N	\N
368975	1254	1996-01-22	VYDAJ	VYBER	2400	28455	\N	\N	\N
368976	1254	1996-02-21	VYDAJ	VYBER	3700	36641	\N	\N	\N
368977	1254	1996-03-19	VYDAJ	VYBER	24400	86163	\N	\N	\N
368978	1254	1996-03-22	VYDAJ	VYBER	29800	56363	\N	\N	\N
368979	1254	1996-04-12	VYDAJ	VYBER	59700	92784	\N	\N	\N
368980	1254	1996-04-21	VYDAJ	VYBER	34000	58784	\N	\N	\N
368981	1254	1996-05-13	VYDAJ	VYBER	40300	74141	\N	\N	\N
368982	1254	1996-05-15	VYDAJ	VYBER	15600	99735	\N	\N	\N
368983	1254	1996-05-21	VYDAJ	VYBER	34300	65435	\N	\N	\N
368984	1254	1996-06-18	VYDAJ	VYBER	64100	68945	\N	\N	\N
368985	1254	1996-06-20	VYDAJ	VYBER	19200	49745	\N	\N	\N
368986	1254	1996-07-18	VYDAJ	VYBER	28400	102452	\N	\N	\N
368987	1254	1996-07-20	VYDAJ	VYBER	24200	63552	\N	\N	\N
368988	1254	1996-08-08	VYDAJ	VYBER	37300	84255	\N	\N	\N
368989	1254	1996-08-19	VYDAJ	VYBER	22800	61455	\N	\N	\N
368990	1254	1996-09-18	VYDAJ	VYBER	16100	45686	\N	\N	\N
368991	1254	1996-10-18	VYDAJ	VYBER	29600	67660	\N	\N	\N
368992	1254	1996-11-05	VYDAJ	VYBER	18300	95093	\N	\N	\N
368993	1254	1996-11-17	VYDAJ	VYBER	28300	66793	\N	\N	\N
368994	1254	1996-12-11	VYDAJ	VYBER	37200	100363	\N	\N	\N
368995	1254	1996-12-17	VYDAJ	VYBER	31000	69363	\N	\N	\N
368996	1254	1997-01-16	VYDAJ	VYBER	5500	55918	\N	\N	\N
368997	1254	1997-02-15	PRIJEM	VKLAD	2600	52458	\N	\N	\N
368998	1254	1997-03-17	VYDAJ	VYBER	20900	68464	\N	\N	\N
368999	1254	1997-04-16	VYDAJ	VYBER	9300	59491	\N	\N	\N
369000	1254	1997-05-16	VYDAJ	VYBER	5600	54160	\N	\N	\N
369001	1254	1997-06-15	VYDAJ	VYBER	14900	65874	\N	\N	\N
369002	1254	1997-07-15	PRIJEM	VKLAD	13500	40662	\N	\N	\N
369003	1254	1997-08-14	PRIJEM	VKLAD	7000	47809	\N	\N	\N
369004	1254	1997-09-13	PRIJEM	VKLAD	11700	41490	\N	\N	\N
369005	1254	1997-10-13	PRIJEM	VKLAD	14300	38322	\N	\N	\N
369006	1254	1997-11-12	VYDAJ	VYBER	4300	58284	\N	\N	\N
369007	1254	1997-12-12	PRIJEM	VKLAD	10000	39520	\N	\N	\N
369008	1254	1998-01-11	PRIJEM	VKLAD	13500	40466	\N	\N	\N
369009	1254	1998-02-10	PRIJEM	VKLAD	10100	44560	\N	\N	\N
369010	1254	1998-03-12	PRIJEM	VKLAD	7200	51903	\N	\N	\N
369011	1254	1998-04-11	PRIJEM	VKLAD	16300	47955	\N	\N	\N
369012	1254	1998-05-11	VYDAJ	VYBER	21800	86266	\N	\N	\N
369013	1254	1998-05-21	VYDAJ	VYBER	34600	79763	\N	\N	\N
369014	1254	1998-06-07	VYDAJ	VYBER	28300	95197	\N	\N	\N
369015	1254	1998-06-10	VYDAJ	VYBER	16700	78497	\N	\N	\N
369016	1254	1998-07-10	VYDAJ	VYBER	1800	67094	\N	\N	\N
369017	1254	1998-08-09	PRIJEM	VKLAD	10100	59424	\N	\N	\N
369018	1254	1998-09-08	PRIJEM	VKLAD	21400	49739	\N	\N	\N
369019	1254	1998-10-08	VYDAJ	VYBER	22600	86456	\N	\N	\N
369020	1254	1998-11-07	PRIJEM	VKLAD	8500	48164	\N	\N	\N
369021	1254	1998-12-07	VYDAJ	VYBER	20900	78299	\N	\N	\N
369067	1255	1997-07-02	PRIJEM	VKLAD	300	300	\N	\N	\N
369074	1255	1997-07-05	PRIJEM	PREVOD Z UCTU	34934	35234	\N	WX	76384728
369075	1255	1997-08-05	PRIJEM	PREVOD Z UCTU	34934	66996	\N	WX	76384728
369076	1255	1997-09-05	PRIJEM	PREVOD Z UCTU	34934	82589	\N	WX	76384728
369077	1255	1997-10-05	PRIJEM	PREVOD Z UCTU	34934	88523	\N	WX	76384728
369078	1255	1997-11-05	PRIJEM	PREVOD Z UCTU	34934	90380	\N	WX	76384728
369079	1255	1997-12-05	PRIJEM	PREVOD Z UCTU	52401	104284	\N	WX	76384728
369080	1255	1998-01-05	PRIJEM	PREVOD Z UCTU	34934	91109	\N	WX	76384728
369081	1255	1998-02-05	PRIJEM	PREVOD Z UCTU	34934	59337	\N	WX	76384728
369082	1255	1998-03-05	PRIJEM	PREVOD Z UCTU	34934	61552	\N	WX	76384728
369083	1255	1998-04-05	PRIJEM	PREVOD Z UCTU	34934	71001	\N	WX	76384728
369084	1255	1998-05-05	PRIJEM	PREVOD Z UCTU	34934	72971	\N	WX	76384728
369085	1255	1998-06-05	PRIJEM	PREVOD Z UCTU	52401	88658	\N	WX	76384728
369086	1255	1998-07-05	PRIJEM	PREVOD Z UCTU	34934	32250	\N	WX	76384728
369087	1255	1998-08-05	PRIJEM	PREVOD Z UCTU	34934	47942	\N	WX	76384728
369088	1255	1998-09-05	PRIJEM	PREVOD Z UCTU	34934	52075	\N	WX	76384728
369089	1255	1998-10-05	PRIJEM	PREVOD Z UCTU	34934	52314	\N	WX	76384728
369090	1255	1998-11-05	PRIJEM	PREVOD Z UCTU	34934	47292	\N	WX	76384728
369091	1255	1998-12-05	PRIJEM	PREVOD Z UCTU	52401	65586	\N	WX	76384728
369102	1255	1997-11-08	VYDAJ	VYBER	4900	85480	\N	\N	0
369103	1255	1997-12-15	VYDAJ	VYBER	4200	100084	\N	\N	0
369104	1255	1997-12-27	VYDAJ	VYBER	5900	89384	\N	\N	0
369105	1255	1998-02-04	VYDAJ	VYBER	3300	24403	\N	\N	0
369106	1255	1998-03-04	VYDAJ	VYBER	5200	26618	\N	\N	0
369107	1255	1998-04-28	VYDAJ	VYBER	5100	37901	\N	\N	0
369108	1255	1998-05-13	VYDAJ	VYBER	4800	68171	\N	\N	0
369109	1255	1998-06-18	VYDAJ	VYBER	5600	11058	\N	\N	0
369110	1255	1998-07-07	VYDAJ	VYBER	6500	25750	\N	\N	0
369111	1255	1998-08-06	VYDAJ	VYBER	4100	43842	\N	\N	0
369112	1255	1998-09-14	VYDAJ	VYBER	5400	46675	\N	\N	0
369113	1255	1998-10-23	VYDAJ	VYBER	3400	20625	\N	\N	0
369114	1255	1998-11-17	VYDAJ	VYBER	4900	33992	\N	\N	0
369115	1255	1998-12-06	VYDAJ	VYBER	5200	58886	\N	\N	0
369130	1255	1998-05-16	VYBER	VYBER	4211	63960	\N	\N	\N
369131	1255	1998-10-23	VYBER	VYBER	18689	24025	\N	\N	\N
369132	1255	1998-01-25	VYBER	VYBER	3002	43707	\N	\N	\N
369133	1255	1998-06-28	VYBER	VYBER	8403	-2745	\N	\N	\N
369134	1255	1998-12-19	VYBER	VYBER	7788	51098	\N	\N	\N
369136	1255	1998-06-10	VYDAJ	VYBER	72000	16658	\N	\N	\N
369138	1255	1998-01-10	VYDAJ	VYBER	25800	65309	\N	\N	\N
369139	1255	1997-12-15	VYDAJ	VYBER	4800	95284	\N	\N	\N
369140	1255	1998-12-06	VYDAJ	VYBER	1500	64086	\N	\N	\N
369147	1255	1998-01-23	VYDAJ	VYBER	4800	46709	\N	\N	\N
369148	1255	1998-01-19	VYDAJ	VYBER	3000	51509	\N	\N	\N
369149	1255	1998-01-29	VYDAJ	VYBER	2100	27507	\N	\N	\N
369150	1255	1998-01-28	VYDAJ	VYBER	3000	29607	\N	\N	\N
369151	1255	1998-01-12	VYDAJ	VYBER	5100	60209	\N	\N	\N
369152	1255	1998-01-13	VYDAJ	VYBER	5700	54509	\N	\N	\N
369156	1255	1998-11-22	VYDAJ	VYBER	7800	26192	\N	\N	\N
369157	1255	1998-02-15	VYDAJ	VYBER	13800	45537	\N	\N	\N
369158	1255	1998-08-09	VYDAJ	VYBER	11700	32142	\N	\N	\N
369159	1255	1998-10-01	VYDAJ	VYBER	3900	17380	\N	\N	\N
369160	1255	1998-11-07	VYDAJ	VYBER	8400	38892	\N	\N	\N
369161	1255	1998-10-17	VYDAJ	VYBER	9600	42714	\N	\N	\N
369173	1255	1997-11-30	VYDAJ	VYBER	15	51883	SLUZBY	\N	\N
369174	1255	1997-12-31	VYDAJ	VYBER	15	56175	SLUZBY	\N	\N
369175	1255	1998-01-31	VYDAJ	VYBER	15	27703	SLUZBY	\N	\N
369176	1255	1998-02-28	VYDAJ	VYBER	15	31818	SLUZBY	\N	\N
369177	1255	1998-03-31	VYDAJ	VYBER	15	36067	SLUZBY	\N	\N
369178	1255	1998-04-30	VYDAJ	VYBER	15	38037	SLUZBY	\N	\N
369179	1255	1998-05-31	VYDAJ	VYBER	15	36257	SLUZBY	\N	\N
369180	1255	1998-06-30	VYDAJ	VYBER	15	-2684	SLUZBY	\N	\N
369181	1255	1998-07-31	VYDAJ	VYBER	15	13008	SLUZBY	\N	\N
369182	1255	1998-08-31	VYDAJ	VYBER	15	17141	SLUZBY	\N	\N
369183	1255	1998-09-30	VYDAJ	VYBER	15	21280	SLUZBY	\N	\N
369184	1255	1998-10-31	VYDAJ	VYBER	15	12358	SLUZBY	\N	\N
369185	1255	1998-11-30	VYDAJ	VYBER	15	13185	SLUZBY	\N	\N
369186	1255	1997-08-01	VYDAJ	VYBER	3300	32062	\N	\N	\N
369187	1255	1997-08-31	VYDAJ	VYBER	19600	47655	\N	\N	\N
369188	1255	1997-09-30	VYDAJ	VYBER	29200	53589	\N	\N	\N
369189	1255	1997-10-30	VYDAJ	VYBER	33300	55223	\N	\N	\N
369190	1255	1997-11-29	VYDAJ	VYBER	33900	51580	\N	\N	\N
369191	1255	1997-12-29	VYDAJ	VYBER	33500	55884	\N	\N	\N
369192	1255	1998-01-28	VYDAJ	VYBER	11100	32607	\N	\N	\N
369193	1255	1998-02-27	VYDAJ	VYBER	13900	31637	\N	\N	\N
369194	1255	1998-03-29	VYDAJ	VYBER	25700	35852	\N	\N	\N
369195	1255	1998-04-28	VYDAJ	VYBER	28000	43001	\N	\N	\N
369196	1255	1998-05-28	VYDAJ	VYBER	27900	36060	\N	\N	\N
369197	1255	1998-06-27	VYDAJ	VYBER	5400	5658	\N	\N	\N
369198	1255	1998-07-27	VYDAJ	VYBER	12800	12950	\N	\N	\N
369199	1255	1998-08-26	VYDAJ	VYBER	15100	17042	\N	\N	\N
369200	1255	1998-09-25	VYDAJ	VYBER	25500	21175	\N	\N	\N
369201	1255	1998-10-25	VYDAJ	VYBER	8400	12225	\N	\N	\N
369202	1255	1998-11-24	VYDAJ	VYBER	13100	13092	\N	\N	\N
369223	1256	1994-04-21	PRIJEM	VKLAD	700	700	\N	\N	\N
369228	1256	1994-05-08	PRIJEM	VKLAD	15272	15972	\N	\N	\N
369229	1256	1994-06-08	PRIJEM	VKLAD	22908	44812	\N	\N	\N
369230	1256	1994-07-08	PRIJEM	VKLAD	15272	48893	\N	\N	\N
369231	1256	1994-08-08	PRIJEM	VKLAD	15272	51509	\N	\N	\N
369232	1256	1994-09-08	PRIJEM	VKLAD	15272	53335	\N	\N	\N
369233	1256	1994-10-08	PRIJEM	VKLAD	15272	49529	\N	\N	\N
369234	1256	1994-11-08	PRIJEM	VKLAD	15272	44665	\N	\N	\N
369235	1256	1994-12-08	PRIJEM	VKLAD	22908	55373	\N	\N	\N
369236	1256	1995-01-08	PRIJEM	VKLAD	15272	42964	\N	\N	\N
369237	1256	1995-02-08	PRIJEM	VKLAD	15272	33299	\N	\N	\N
369238	1256	1995-03-08	PRIJEM	VKLAD	15272	42238	\N	\N	\N
369239	1256	1995-04-08	PRIJEM	VKLAD	15272	43796	\N	\N	\N
369240	1256	1995-05-08	PRIJEM	VKLAD	15272	44025	\N	\N	\N
369241	1256	1995-06-08	PRIJEM	VKLAD	22908	54429	\N	\N	\N
369242	1256	1995-07-08	PRIJEM	VKLAD	15272	42400	\N	\N	\N
369243	1256	1995-08-08	PRIJEM	VKLAD	15272	40800	\N	\N	\N
369244	1256	1995-09-08	PRIJEM	VKLAD	15272	44580	\N	\N	\N
369245	1256	1995-10-08	PRIJEM	VKLAD	15272	47474	\N	\N	\N
369246	1256	1995-11-08	PRIJEM	VKLAD	15272	41238	\N	\N	\N
369247	1256	1995-12-08	PRIJEM	VKLAD	22908	54674	\N	\N	\N
369248	1256	1996-01-08	PRIJEM	VKLAD	15272	40403	\N	\N	\N
369249	1256	1996-02-08	PRIJEM	VKLAD	15272	32708	\N	\N	\N
369250	1256	1996-03-08	PRIJEM	VKLAD	15272	36858	\N	\N	\N
369251	1256	1996-04-08	PRIJEM	VKLAD	15272	34449	\N	\N	\N
369252	1256	1996-05-08	PRIJEM	VKLAD	15272	40826	\N	\N	\N
369253	1256	1996-06-08	PRIJEM	VKLAD	22908	50339	\N	\N	\N
369254	1256	1996-07-08	PRIJEM	VKLAD	15272	45823	\N	\N	\N
369255	1256	1996-08-08	PRIJEM	VKLAD	15272	43917	\N	\N	\N
369256	1256	1996-09-08	PRIJEM	VKLAD	15272	40450	\N	\N	\N
369257	1256	1996-10-08	PRIJEM	VKLAD	15272	39134	\N	\N	\N
369258	1256	1996-11-08	PRIJEM	VKLAD	15272	40026	\N	\N	\N
369259	1256	1996-12-08	PRIJEM	VKLAD	22908	44764	\N	\N	\N
369260	1256	1997-01-08	PRIJEM	VKLAD	15272	33611	\N	\N	\N
369261	1256	1997-02-08	PRIJEM	VKLAD	15272	33284	\N	\N	\N
369262	1256	1997-03-08	PRIJEM	VKLAD	15272	35043	\N	\N	\N
369263	1256	1997-04-08	PRIJEM	VKLAD	15272	33867	\N	\N	\N
369264	1256	1997-05-08	PRIJEM	VKLAD	15272	33066	\N	\N	\N
369265	1256	1997-06-08	PRIJEM	VKLAD	22908	47473	\N	\N	\N
369266	1256	1997-07-08	PRIJEM	VKLAD	15272	38692	\N	\N	\N
369267	1256	1997-08-08	PRIJEM	VKLAD	15272	31158	\N	\N	\N
369268	1256	1997-09-08	PRIJEM	VKLAD	15272	37911	\N	\N	\N
369269	1256	1997-10-08	PRIJEM	VKLAD	15272	42757	\N	\N	\N
369270	1256	1997-11-08	PRIJEM	VKLAD	15272	35449	\N	\N	\N
369271	1256	1997-12-08	PRIJEM	VKLAD	22908	45894	\N	\N	\N
369272	1256	1998-01-08	PRIJEM	VKLAD	15272	50251	\N	\N	\N
369273	1256	1998-02-08	PRIJEM	VKLAD	15272	33881	\N	\N	\N
369274	1256	1998-03-08	PRIJEM	VKLAD	15272	40635	\N	\N	\N
369275	1256	1998-04-08	PRIJEM	VKLAD	15272	33018	\N	\N	\N
369276	1256	1998-05-08	PRIJEM	VKLAD	15272	39784	\N	\N	\N
369277	1256	1998-06-08	PRIJEM	VKLAD	22908	48443	\N	\N	\N
369278	1256	1998-07-08	PRIJEM	VKLAD	15272	35027	\N	\N	\N
369279	1256	1998-08-08	PRIJEM	VKLAD	15272	39662	\N	\N	\N
369280	1256	1998-09-08	PRIJEM	VKLAD	15272	42902	\N	\N	\N
369281	1256	1998-10-08	PRIJEM	VKLAD	15272	43180	\N	\N	\N
369282	1256	1998-11-08	PRIJEM	VKLAD	15272	32940	\N	\N	\N
369283	1256	1998-12-08	PRIJEM	VKLAD	22908	49306	\N	\N	\N
369292	1256	1994-09-08	VYDAJ	PREVOD NA UCET	1178	52157	SIPO	AB	72944313
369293	1256	1994-10-08	VYDAJ	PREVOD NA UCET	1178	48351	SIPO	AB	72944313
369294	1256	1994-11-08	VYDAJ	PREVOD NA UCET	1178	43487	SIPO	AB	72944313
369295	1256	1994-12-08	VYDAJ	PREVOD NA UCET	1178	54195	SIPO	AB	72944313
369296	1256	1995-01-08	VYDAJ	PREVOD NA UCET	1178	41786	SIPO	AB	72944313
369297	1256	1995-02-08	VYDAJ	PREVOD NA UCET	1178	32121	SIPO	AB	72944313
369298	1256	1995-03-08	VYDAJ	PREVOD NA UCET	1178	41060	SIPO	AB	72944313
369299	1256	1995-04-08	VYDAJ	PREVOD NA UCET	1178	42618	SIPO	AB	72944313
369300	1256	1995-05-08	VYDAJ	PREVOD NA UCET	1178	42847	SIPO	AB	72944313
369301	1256	1995-06-08	VYDAJ	PREVOD NA UCET	1178	53251	SIPO	AB	72944313
369302	1256	1995-07-08	VYDAJ	PREVOD NA UCET	1178	41222	SIPO	AB	72944313
369303	1256	1995-08-08	VYDAJ	PREVOD NA UCET	1178	39622	SIPO	AB	72944313
369304	1256	1995-09-08	VYDAJ	PREVOD NA UCET	1178	43402	SIPO	AB	72944313
369305	1256	1995-10-08	VYDAJ	PREVOD NA UCET	1178	46296	SIPO	AB	72944313
369306	1256	1995-11-08	VYDAJ	PREVOD NA UCET	1178	40060	SIPO	AB	72944313
369307	1256	1995-12-08	VYDAJ	PREVOD NA UCET	1178	53496	SIPO	AB	72944313
369308	1256	1996-01-08	VYDAJ	PREVOD NA UCET	1178	39225	SIPO	AB	72944313
369309	1256	1996-02-08	VYDAJ	PREVOD NA UCET	1178	31530	SIPO	AB	72944313
369310	1256	1996-03-08	VYDAJ	PREVOD NA UCET	1178	35680	SIPO	AB	72944313
369311	1256	1996-04-08	VYDAJ	PREVOD NA UCET	1178	33271	SIPO	AB	72944313
369312	1256	1996-05-08	VYDAJ	PREVOD NA UCET	1178	39648	SIPO	AB	72944313
369313	1256	1996-06-08	VYDAJ	PREVOD NA UCET	1178	49161	SIPO	AB	72944313
369314	1256	1996-07-08	VYDAJ	PREVOD NA UCET	1178	44645	SIPO	AB	72944313
369315	1256	1996-08-08	VYDAJ	PREVOD NA UCET	1178	33639	SIPO	AB	72944313
369316	1256	1996-09-08	VYDAJ	PREVOD NA UCET	1178	39272	SIPO	AB	72944313
369317	1256	1996-10-08	VYDAJ	PREVOD NA UCET	1178	37956	SIPO	AB	72944313
369318	1256	1996-11-08	VYDAJ	PREVOD NA UCET	1178	38848	SIPO	AB	72944313
369319	1256	1996-12-08	VYDAJ	PREVOD NA UCET	1178	43586	SIPO	AB	72944313
369320	1256	1997-01-08	VYDAJ	PREVOD NA UCET	1178	32433	SIPO	AB	72944313
369321	1256	1997-02-08	VYDAJ	PREVOD NA UCET	1178	32106	SIPO	AB	72944313
369322	1256	1997-03-08	VYDAJ	PREVOD NA UCET	1178	33865	SIPO	AB	72944313
369323	1256	1997-04-08	VYDAJ	PREVOD NA UCET	1178	32689	SIPO	AB	72944313
369324	1256	1997-05-08	VYDAJ	PREVOD NA UCET	1178	31888	SIPO	AB	72944313
369325	1256	1997-06-08	VYDAJ	PREVOD NA UCET	1178	46295	SIPO	AB	72944313
369326	1256	1997-07-08	VYDAJ	PREVOD NA UCET	1178	37514	SIPO	AB	72944313
369327	1256	1997-08-08	VYDAJ	PREVOD NA UCET	1178	29980	SIPO	AB	72944313
369328	1256	1997-09-08	VYDAJ	PREVOD NA UCET	1178	34813	SIPO	AB	72944313
369329	1256	1997-10-08	VYDAJ	PREVOD NA UCET	1178	41579	SIPO	AB	72944313
369330	1256	1997-11-08	VYDAJ	PREVOD NA UCET	1178	34271	SIPO	AB	72944313
369331	1256	1997-12-08	VYDAJ	PREVOD NA UCET	1178	44716	SIPO	AB	72944313
369332	1256	1998-01-08	VYDAJ	PREVOD NA UCET	1178	46433	SIPO	AB	72944313
369333	1256	1998-02-08	VYDAJ	PREVOD NA UCET	1178	32703	SIPO	AB	72944313
369334	1256	1998-03-08	VYDAJ	PREVOD NA UCET	1178	39457	SIPO	AB	72944313
369335	1256	1998-04-08	VYDAJ	PREVOD NA UCET	1178	31840	SIPO	AB	72944313
369336	1256	1998-05-08	VYDAJ	PREVOD NA UCET	1178	38606	SIPO	AB	72944313
369337	1256	1998-06-08	VYDAJ	PREVOD NA UCET	1178	47265	SIPO	AB	72944313
369338	1256	1998-07-08	VYDAJ	PREVOD NA UCET	1178	33849	SIPO	AB	72944313
369339	1256	1998-08-08	VYDAJ	PREVOD NA UCET	1178	38484	SIPO	AB	72944313
369340	1256	1998-09-08	VYDAJ	PREVOD NA UCET	1178	41724	SIPO	AB	72944313
369341	1256	1998-10-08	VYDAJ	PREVOD NA UCET	1178	42002	SIPO	AB	72944313
369342	1256	1998-11-08	VYDAJ	PREVOD NA UCET	1178	31762	SIPO	AB	72944313
369343	1256	1998-12-08	VYDAJ	PREVOD NA UCET	1178	48128	SIPO	AB	72944313
369352	1256	1994-09-12	VYDAJ	PREVOD NA UCET	5450	45207	 	ST	69528400
369353	1256	1994-10-12	VYDAJ	PREVOD NA UCET	5450	35661	 	ST	69528400
369354	1256	1994-11-12	VYDAJ	PREVOD NA UCET	5450	38037	 	ST	69528400
369355	1256	1994-12-12	VYDAJ	PREVOD NA UCET	5450	48745	 	ST	69528400
369356	1256	1995-01-12	VYDAJ	PREVOD NA UCET	5450	32596	 	ST	69528400
369357	1256	1995-02-12	VYDAJ	PREVOD NA UCET	5450	26671	 	ST	69528400
369358	1256	1995-03-12	VYDAJ	PREVOD NA UCET	5450	33610	 	ST	69528400
369359	1256	1995-04-12	VYDAJ	PREVOD NA UCET	5450	37168	 	ST	69528400
369360	1256	1995-05-12	VYDAJ	PREVOD NA UCET	5450	34397	 	ST	69528400
369361	1256	1995-06-12	VYDAJ	PREVOD NA UCET	5450	45827	 	ST	69528400
369362	1256	1995-07-12	VYDAJ	PREVOD NA UCET	5450	33798	 	ST	69528400
369363	1256	1995-08-12	VYDAJ	PREVOD NA UCET	5450	34172	 	ST	69528400
369364	1256	1995-09-12	VYDAJ	PREVOD NA UCET	5450	35978	 	ST	69528400
369365	1256	1995-10-12	VYDAJ	PREVOD NA UCET	5450	40846	 	ST	69528400
369366	1256	1995-11-12	VYDAJ	PREVOD NA UCET	5450	31636	 	ST	69528400
369367	1256	1995-12-12	VYDAJ	PREVOD NA UCET	5450	48046	 	ST	69528400
369368	1256	1996-01-12	VYDAJ	PREVOD NA UCET	5450	21781	 	ST	69528400
369369	1256	1996-02-12	VYDAJ	PREVOD NA UCET	5450	23480	 	ST	69528400
369370	1256	1996-03-12	VYDAJ	PREVOD NA UCET	5450	23756	 	ST	69528400
369371	1256	1996-04-12	VYDAJ	PREVOD NA UCET	5450	25447	 	ST	69528400
369372	1256	1996-05-12	VYDAJ	PREVOD NA UCET	5450	29298	 	ST	69528400
369373	1256	1996-06-12	VYDAJ	PREVOD NA UCET	5450	30437	 	ST	69528400
369374	1256	1996-07-12	VYDAJ	PREVOD NA UCET	5450	28521	 	ST	69528400
369375	1256	1996-08-12	VYDAJ	PREVOD NA UCET	5450	26215	 	ST	69528400
369376	1256	1996-09-12	VYDAJ	PREVOD NA UCET	5450	33822	 	ST	69528400
369377	1256	1996-10-12	VYDAJ	PREVOD NA UCET	5450	32506	 	ST	69528400
369378	1256	1996-11-12	VYDAJ	PREVOD NA UCET	5450	31424	 	ST	69528400
369379	1256	1996-12-12	VYDAJ	PREVOD NA UCET	5450	33656	 	ST	69528400
369380	1256	1997-01-12	VYDAJ	PREVOD NA UCET	5450	24289	 	ST	69528400
369381	1256	1997-02-12	VYDAJ	PREVOD NA UCET	5450	26656	 	ST	69528400
369382	1256	1997-03-12	VYDAJ	PREVOD NA UCET	5450	28415	 	ST	69528400
369383	1256	1997-04-12	VYDAJ	PREVOD NA UCET	5450	27239	 	ST	69528400
369384	1256	1997-05-12	VYDAJ	PREVOD NA UCET	5450	24464	 	ST	69528400
369385	1256	1997-06-12	VYDAJ	PREVOD NA UCET	5450	38871	 	ST	69528400
369386	1256	1997-07-12	VYDAJ	PREVOD NA UCET	5450	30090	 	ST	69528400
369387	1256	1997-08-12	VYDAJ	PREVOD NA UCET	5450	24530	 	ST	69528400
369388	1256	1997-09-12	VYDAJ	PREVOD NA UCET	5450	29363	 	ST	69528400
369389	1256	1997-10-12	VYDAJ	PREVOD NA UCET	5450	34155	 	ST	69528400
369390	1256	1997-11-12	VYDAJ	PREVOD NA UCET	5450	28821	 	ST	69528400
369391	1256	1997-12-12	VYDAJ	PREVOD NA UCET	5450	37292	 	ST	69528400
369392	1256	1998-01-12	VYDAJ	PREVOD NA UCET	5450	37569	 	ST	69528400
369393	1256	1998-02-12	VYDAJ	PREVOD NA UCET	5450	25279	 	ST	69528400
369394	1256	1998-03-12	VYDAJ	PREVOD NA UCET	5450	32033	 	ST	69528400
369395	1256	1998-04-12	VYDAJ	PREVOD NA UCET	5450	24416	 	ST	69528400
369396	1256	1998-05-12	VYDAJ	PREVOD NA UCET	5450	33156	 	ST	69528400
369397	1256	1998-06-12	VYDAJ	PREVOD NA UCET	5450	41815	 	ST	69528400
369398	1256	1998-07-12	VYDAJ	PREVOD NA UCET	5450	28399	 	ST	69528400
369399	1256	1998-08-12	VYDAJ	PREVOD NA UCET	5450	33034	 	ST	69528400
369400	1256	1998-09-12	VYDAJ	PREVOD NA UCET	5450	33474	 	ST	69528400
369401	1256	1998-10-12	VYDAJ	PREVOD NA UCET	5450	36552	 	ST	69528400
369402	1256	1998-11-12	VYDAJ	PREVOD NA UCET	5450	26312	 	ST	69528400
369403	1256	1998-12-12	VYDAJ	PREVOD NA UCET	5450	42678	 	ST	69528400
369412	1256	1994-09-10	VYDAJ	VYBER	1500	50657	\N	\N	0
369413	1256	1994-10-12	VYDAJ	VYBER	1600	41111	\N	\N	0
369414	1256	1994-10-30	VYDAJ	VYBER	1400	29261	\N	\N	0
369415	1256	1994-12-18	VYDAJ	VYBER	1600	34545	\N	\N	0
369416	1256	1995-01-09	VYDAJ	VYBER	2300	39486	\N	\N	0
369417	1256	1995-02-27	VYDAJ	VYBER	1800	26871	\N	\N	0
369418	1256	1995-03-09	VYDAJ	VYBER	2000	39060	\N	\N	0
369419	1256	1995-03-25	VYDAJ	VYBER	1900	28410	\N	\N	0
369420	1256	1995-05-09	VYDAJ	VYBER	1200	41647	\N	\N	0
369421	1256	1995-06-12	VYDAJ	PREVOD NA UCET	1974	51277	UVER	IJ	9768981
369422	1256	1995-07-12	VYDAJ	PREVOD NA UCET	1974	39248	UVER	IJ	9768981
369423	1256	1995-08-12	VYDAJ	PREVOD NA UCET	1974	32198	UVER	IJ	9768981
369424	1256	1995-09-12	VYDAJ	PREVOD NA UCET	1974	41428	UVER	IJ	9768981
369425	1256	1995-10-12	VYDAJ	PREVOD NA UCET	1974	38872	UVER	IJ	9768981
369426	1256	1995-11-12	VYDAJ	PREVOD NA UCET	1974	37086	UVER	IJ	9768981
369427	1256	1995-12-12	VYDAJ	PREVOD NA UCET	1974	46072	UVER	IJ	9768981
369428	1256	1996-01-12	VYDAJ	PREVOD NA UCET	1974	30951	UVER	IJ	9768981
369429	1256	1996-02-12	VYDAJ	PREVOD NA UCET	1974	21506	UVER	IJ	9768981
369430	1256	1996-03-12	VYDAJ	PREVOD NA UCET	1974	29206	UVER	IJ	9768981
369431	1256	1996-04-12	VYDAJ	PREVOD NA UCET	1974	30897	UVER	IJ	9768981
369432	1256	1996-05-12	VYDAJ	PREVOD NA UCET	1974	27324	UVER	IJ	9768981
369433	1256	1996-06-12	VYDAJ	PREVOD NA UCET	1974	35887	UVER	IJ	9768981
369434	1256	1996-07-12	VYDAJ	PREVOD NA UCET	1974	33971	UVER	IJ	9768981
369435	1256	1996-08-12	VYDAJ	PREVOD NA UCET	1974	31665	UVER	IJ	9768981
369436	1256	1996-09-12	VYDAJ	PREVOD NA UCET	1974	31848	UVER	IJ	9768981
369437	1256	1996-10-12	VYDAJ	PREVOD NA UCET	1974	30532	UVER	IJ	9768981
369438	1256	1996-11-12	VYDAJ	PREVOD NA UCET	1974	36874	UVER	IJ	9768981
369439	1256	1996-12-12	VYDAJ	PREVOD NA UCET	1974	31682	UVER	IJ	9768981
369440	1256	1997-01-12	VYDAJ	PREVOD NA UCET	1974	29739	UVER	IJ	9768981
369441	1256	1997-02-12	VYDAJ	PREVOD NA UCET	1974	24682	UVER	IJ	9768981
369442	1256	1997-03-12	VYDAJ	PREVOD NA UCET	1974	26441	UVER	IJ	9768981
369443	1256	1997-04-12	VYDAJ	PREVOD NA UCET	1974	25265	UVER	IJ	9768981
369444	1256	1997-05-12	VYDAJ	PREVOD NA UCET	1974	29914	UVER	IJ	9768981
369445	1256	1997-06-12	VYDAJ	PREVOD NA UCET	1974	44321	UVER	IJ	9768981
369446	1256	1997-07-12	VYDAJ	PREVOD NA UCET	1974	35540	UVER	IJ	9768981
369447	1256	1997-08-12	VYDAJ	PREVOD NA UCET	1974	22556	UVER	IJ	9768981
369448	1256	1997-09-12	VYDAJ	PREVOD NA UCET	1974	27389	UVER	IJ	9768981
369449	1256	1997-10-12	VYDAJ	PREVOD NA UCET	1974	39605	UVER	IJ	9768981
369450	1256	1997-11-12	VYDAJ	PREVOD NA UCET	1974	26847	UVER	IJ	9768981
369451	1256	1997-12-12	VYDAJ	PREVOD NA UCET	1974	42742	UVER	IJ	9768981
369452	1256	1998-01-12	VYDAJ	PREVOD NA UCET	1974	43019	UVER	IJ	9768981
369453	1256	1998-02-12	VYDAJ	PREVOD NA UCET	1974	30729	UVER	IJ	9768981
369576	1256	1997-07-31	VYDAJ	VYBER	15	25286	SLUZBY	\N	\N
369454	1256	1998-03-12	VYDAJ	PREVOD NA UCET	1974	37483	UVER	IJ	9768981
369455	1256	1998-04-12	VYDAJ	PREVOD NA UCET	1974	29866	UVER	IJ	9768981
369456	1256	1998-05-12	VYDAJ	PREVOD NA UCET	1974	31182	UVER	IJ	9768981
369457	1256	1998-06-16	VYDAJ	VYBER	1200	40615	\N	\N	0
369458	1256	1998-07-15	VYDAJ	VYBER	1500	26899	\N	\N	0
369459	1256	1998-08-07	VYDAJ	VYBER	2600	24390	\N	\N	0
369460	1256	1998-09-10	VYDAJ	VYBER	2800	38924	\N	\N	0
369461	1256	1998-10-04	VYDAJ	VYBER	1600	27908	\N	\N	0
369462	1256	1998-10-30	VYDAJ	VYBER	1300	17552	\N	\N	0
369463	1256	1998-12-17	VYDAJ	VYBER	2000	40678	\N	\N	0
369465	1256	1995-06-13	VYDAJ	VYBER	14720	31107	\N	\N	\N
369470	1256	1995-01-14	VYDAJ	VYBER	11200	21396	\N	\N	\N
369471	1256	1996-01-03	VYDAJ	VYBER	7360	26691	\N	\N	\N
369472	1256	1997-01-01	VYDAJ	VYBER	2400	26639	\N	\N	\N
369473	1256	1998-01-24	VYDAJ	VYBER	13440	18489	\N	\N	\N
369474	1256	1994-12-28	VYDAJ	VYBER	1600	32945	\N	\N	\N
369475	1256	1995-12-23	VYDAJ	VYBER	2560	33912	\N	\N	\N
369476	1256	1996-12-09	VYDAJ	VYBER	4480	39106	\N	\N	\N
369477	1256	1997-12-30	VYDAJ	VYBER	1120	36172	\N	\N	\N
369478	1256	1998-12-17	VYDAJ	VYBER	1920	38758	\N	\N	\N
369485	1256	1995-01-15	VYDAJ	VYBER	1080	20316	\N	\N	\N
369486	1256	1995-01-06	VYDAJ	VYBER	2040	27692	\N	\N	\N
369487	1256	1995-01-21	VYDAJ	VYBER	1920	20696	\N	\N	\N
369488	1256	1995-01-25	VYDAJ	VYBER	960	17936	\N	\N	\N
369489	1256	1995-01-24	VYDAJ	VYBER	1800	18896	\N	\N	\N
369490	1256	1995-01-09	VYDAJ	VYBER	1440	38046	\N	\N	\N
369491	1256	1996-01-05	VYDAJ	VYBER	1560	25131	\N	\N	\N
369493	1256	1996-01-22	VYDAJ	VYBER	2760	19021	\N	\N	\N
369494	1256	1996-01-12	VYDAJ	VYBER	960	29991	\N	\N	\N
369495	1256	1996-01-12	VYDAJ	VYBER	2760	27231	\N	\N	\N
369496	1256	1996-01-26	VYDAJ	VYBER	1680	17341	\N	\N	\N
369498	1256	1997-01-22	VYDAJ	VYBER	2880	21409	\N	\N	\N
369500	1256	1997-01-11	VYDAJ	VYBER	720	31713	\N	\N	\N
369501	1256	1997-01-29	VYDAJ	VYBER	1440	17929	\N	\N	\N
369502	1256	1997-01-28	VYDAJ	VYBER	2040	19369	\N	\N	\N
369503	1256	1998-01-10	VYDAJ	VYBER	1440	44993	\N	\N	\N
369505	1256	1998-01-03	VYDAJ	VYBER	1320	34979	\N	\N	\N
369506	1256	1998-01-18	VYDAJ	VYBER	2400	31929	\N	\N	\N
369507	1256	1998-01-08	VYDAJ	VYBER	2640	47611	\N	\N	\N
369508	1256	1998-01-16	VYDAJ	VYBER	3240	34329	\N	\N	\N
369509	1256	1994-10-10	VYDAJ	VYBER	5640	42711	\N	\N	\N
369512	1256	1994-12-30	VYDAJ	VYBER	3360	29585	\N	\N	\N
369517	1256	1995-07-23	VYDAJ	VYBER	4680	25418	\N	\N	\N
369518	1256	1995-05-05	VYDAJ	VYBER	3840	28753	\N	\N	\N
369519	1256	1995-10-17	VYDAJ	VYBER	5520	25852	\N	\N	\N
369520	1256	1995-05-10	VYDAJ	VYBER	1800	39847	\N	\N	\N
369521	1256	1996-12-25	VYDAJ	VYBER	2760	28922	\N	\N	\N
369522	1256	1996-04-05	VYDAJ	VYBER	4680	19177	\N	\N	\N
369523	1256	1996-08-20	VYDAJ	VYBER	1440	24775	\N	\N	\N
369524	1256	1997-04-17	VYDAJ	VYBER	2280	22985	\N	\N	\N
369525	1256	1997-07-24	VYDAJ	VYBER	4920	25170	\N	\N	\N
369526	1256	1997-11-20	VYDAJ	VYBER	3960	22887	\N	\N	\N
369527	1256	1997-03-17	VYDAJ	VYBER	1440	25001	\N	\N	\N
369528	1256	1997-09-08	VYDAJ	VYBER	1920	35991	\N	\N	\N
369529	1256	1997-05-04	VYDAJ	VYBER	5280	17794	\N	\N	\N
369530	1256	1998-06-06	VYDAJ	VYBER	5760	25535	\N	\N	\N
369531	1256	1998-09-23	VYDAJ	VYBER	4080	29394	\N	\N	\N
369532	1256	1998-08-12	VYDAJ	VYBER	5520	27514	\N	\N	\N
369542	1256	1994-09-30	VYDAJ	VYBER	15	34257	SLUZBY	\N	\N
369543	1256	1994-10-31	VYDAJ	VYBER	15	29393	SLUZBY	\N	\N
369544	1256	1994-11-30	VYDAJ	VYBER	15	32465	SLUZBY	\N	\N
369545	1256	1994-12-31	VYDAJ	VYBER	15	29732	SLUZBY	\N	\N
369546	1256	1995-01-31	VYDAJ	VYBER	15	18027	SLUZBY	\N	\N
369547	1256	1995-02-28	VYDAJ	VYBER	15	26966	SLUZBY	\N	\N
369548	1256	1995-03-31	VYDAJ	VYBER	15	28524	SLUZBY	\N	\N
369549	1256	1995-04-30	VYDAJ	VYBER	15	32593	SLUZBY	\N	\N
369550	1256	1995-05-31	VYDAJ	VYBER	15	31521	SLUZBY	\N	\N
369551	1256	1995-06-30	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
369552	1256	1995-07-31	VYDAJ	VYBER	15	25528	SLUZBY	\N	\N
369553	1256	1995-08-31	VYDAJ	VYBER	15	29308	SLUZBY	\N	\N
369554	1256	1995-09-30	VYDAJ	VYBER	15	32202	SLUZBY	\N	\N
369555	1256	1995-10-31	VYDAJ	VYBER	15	25966	SLUZBY	\N	\N
369556	1256	1995-11-30	VYDAJ	VYBER	15	31766	SLUZBY	\N	\N
369557	1256	1995-12-31	VYDAJ	VYBER	15	34051	SLUZBY	\N	\N
369558	1256	1996-01-31	VYDAJ	VYBER	15	17436	SLUZBY	\N	\N
369559	1256	1996-02-29	VYDAJ	VYBER	15	21586	SLUZBY	\N	\N
369560	1256	1996-03-31	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
369561	1256	1996-04-30	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
369562	1256	1996-05-31	VYDAJ	VYBER	15	27431	SLUZBY	\N	\N
369563	1256	1996-06-30	VYDAJ	VYBER	15	30551	SLUZBY	\N	\N
369564	1256	1996-07-31	VYDAJ	VYBER	15	28645	SLUZBY	\N	\N
369565	1256	1996-08-31	VYDAJ	VYBER	15	24878	SLUZBY	\N	\N
369566	1256	1996-09-30	VYDAJ	VYBER	15	31962	SLUZBY	\N	\N
369567	1256	1996-10-31	VYDAJ	VYBER	15	30654	SLUZBY	\N	\N
369568	1256	1996-11-30	VYDAJ	VYBER	15	31556	SLUZBY	\N	\N
369569	1256	1996-12-31	VYDAJ	VYBER	15	29039	SLUZBY	\N	\N
369570	1256	1997-01-31	VYDAJ	VYBER	15	18012	SLUZBY	\N	\N
369571	1256	1997-02-28	VYDAJ	VYBER	15	24771	SLUZBY	\N	\N
369572	1256	1997-03-31	VYDAJ	VYBER	15	25095	SLUZBY	\N	\N
369573	1256	1997-04-30	VYDAJ	VYBER	15	23074	SLUZBY	\N	\N
369574	1256	1997-05-31	VYDAJ	VYBER	15	24565	SLUZBY	\N	\N
369575	1256	1997-06-30	VYDAJ	VYBER	15	39020	SLUZBY	\N	\N
369577	1256	1997-08-31	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
369578	1256	1997-09-30	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
369579	1256	1997-10-31	VYDAJ	VYBER	15	34277	SLUZBY	\N	\N
369580	1256	1997-11-30	VYDAJ	VYBER	15	22986	SLUZBY	\N	\N
369581	1256	1997-12-31	VYDAJ	VYBER	15	36299	SLUZBY	\N	\N
369582	1256	1998-01-31	VYDAJ	VYBER	15	18609	SLUZBY	\N	\N
369583	1256	1998-02-28	VYDAJ	VYBER	15	25363	SLUZBY	\N	\N
369584	1256	1998-03-31	VYDAJ	VYBER	15	32146	SLUZBY	\N	\N
369585	1256	1998-04-30	VYDAJ	VYBER	15	24512	SLUZBY	\N	\N
369586	1256	1998-05-31	VYDAJ	VYBER	15	31295	SLUZBY	\N	\N
369587	1256	1998-06-30	VYDAJ	VYBER	15	19755	SLUZBY	\N	\N
369588	1256	1998-07-31	VYDAJ	VYBER	15	26990	SLUZBY	\N	\N
369589	1256	1998-08-31	VYDAJ	VYBER	15	27630	SLUZBY	\N	\N
369590	1256	1998-09-30	VYDAJ	VYBER	15	29508	SLUZBY	\N	\N
369591	1256	1998-10-31	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
369592	1256	1998-11-30	VYDAJ	VYBER	15	26398	SLUZBY	\N	\N
369593	1256	1994-05-21	PRIJEM	VKLAD	5900	21872	\N	\N	\N
369594	1256	1994-06-20	VYDAJ	VYBER	11300	33512	\N	\N	\N
369595	1256	1994-07-20	VYDAJ	VYBER	12800	36093	\N	\N	\N
369596	1256	1994-08-19	VYDAJ	VYBER	13600	37909	\N	\N	\N
369597	1256	1994-09-18	VYDAJ	VYBER	11100	34107	\N	\N	\N
369598	1256	1994-10-18	VYDAJ	VYBER	5000	30661	\N	\N	\N
369599	1256	1994-11-17	VYDAJ	VYBER	5700	32337	\N	\N	\N
369600	1256	1994-12-17	VYDAJ	VYBER	12600	36145	\N	\N	\N
369601	1256	1995-01-16	PRIJEM	VKLAD	2300	22616	\N	\N	\N
369602	1256	1995-02-15	PRIJEM	VKLAD	2000	28671	\N	\N	\N
369603	1256	1995-03-17	VYDAJ	VYBER	3300	30310	\N	\N	\N
369604	1256	1995-04-16	VYDAJ	VYBER	4700	32468	\N	\N	\N
369605	1256	1995-05-16	VYDAJ	VYBER	3000	31397	\N	\N	\N
369606	1256	1995-06-15	VYDAJ	VYBER	4100	27007	\N	\N	\N
369607	1256	1995-07-15	VYDAJ	VYBER	3700	30098	\N	\N	\N
369608	1256	1995-08-14	VYDAJ	VYBER	3000	29198	\N	\N	\N
369609	1256	1995-09-13	VYDAJ	VYBER	3900	32078	\N	\N	\N
369610	1256	1995-10-13	VYDAJ	VYBER	7500	31372	\N	\N	\N
369611	1256	1995-11-12	VYDAJ	VYBER	1000	39060	\N	\N	\N
369612	1256	1995-12-12	VYDAJ	VYBER	9600	36472	\N	\N	\N
369613	1256	1996-01-11	VYDAJ	VYBER	6300	32925	\N	\N	\N
369614	1256	1996-02-10	VYDAJ	VYBER	2600	28930	\N	\N	\N
369615	1256	1996-03-11	VYDAJ	VYBER	4500	31180	\N	\N	\N
369616	1256	1996-04-10	VYDAJ	VYBER	400	32871	\N	\N	\N
369617	1256	1996-05-10	VYDAJ	VYBER	4900	34748	\N	\N	\N
369618	1256	1996-06-09	VYDAJ	VYBER	11300	37861	\N	\N	\N
369619	1256	1996-07-09	VYDAJ	VYBER	8700	35945	\N	\N	\N
369620	1256	1996-08-08	VYDAJ	VYBER	9100	34817	\N	\N	\N
369621	1256	1996-09-07	PRIJEM	VKLAD	300	25178	\N	\N	\N
369622	1256	1996-10-07	VYDAJ	VYBER	8100	23862	\N	\N	\N
369623	1256	1996-11-06	VYDAJ	VYBER	5900	24754	\N	\N	\N
369624	1256	1996-12-06	VYDAJ	VYBER	9700	21856	\N	\N	\N
369625	1256	1997-01-05	VYDAJ	VYBER	8300	18339	\N	\N	\N
369626	1256	1997-03-06	VYDAJ	VYBER	5000	19771	\N	\N	\N
369627	1256	1997-04-05	VYDAJ	VYBER	6500	18595	\N	\N	\N
369628	1256	1997-07-04	VYDAJ	VYBER	15600	23420	\N	\N	\N
369629	1256	1997-08-03	VYDAJ	VYBER	9400	15886	\N	\N	\N
369630	1256	1997-11-01	VYDAJ	VYBER	14100	20177	\N	\N	\N
369631	1256	1998-03-31	VYDAJ	VYBER	14400	17746	\N	\N	\N
369632	1256	1998-06-29	VYDAJ	VYBER	21000	19615	\N	\N	\N
369633	1256	1998-10-27	VYDAJ	VYBER	17700	18852	\N	\N	\N
369690	1257	1995-10-11	PRIJEM	VKLAD	500	500	\N	\N	\N
369701	1257	1995-11-09	PRIJEM	VKLAD	18639	19139	\N	\N	\N
369702	1257	1995-12-09	PRIJEM	VKLAD	27958	47654	\N	\N	\N
369703	1257	1996-01-09	PRIJEM	VKLAD	18639	57431	\N	\N	\N
369704	1257	1996-02-09	PRIJEM	VKLAD	18639	48542	\N	\N	\N
369705	1257	1996-03-09	PRIJEM	VKLAD	18639	67376	\N	\N	\N
369706	1257	1996-04-09	PRIJEM	VKLAD	18639	48671	\N	\N	\N
369707	1257	1996-05-09	PRIJEM	VKLAD	18639	47905	\N	\N	\N
369708	1257	1996-06-09	PRIJEM	VKLAD	27958	59259	\N	\N	\N
369709	1257	1996-07-09	PRIJEM	VKLAD	18639	42701	\N	\N	\N
369710	1257	1996-08-09	PRIJEM	VKLAD	18639	43404	\N	\N	\N
369711	1257	1996-09-09	PRIJEM	VKLAD	18639	37516	\N	\N	\N
369712	1257	1996-10-09	PRIJEM	VKLAD	18639	40311	\N	\N	\N
369713	1257	1996-11-09	PRIJEM	VKLAD	18639	43809	\N	\N	\N
369714	1257	1996-12-09	PRIJEM	VKLAD	27958	52730	\N	\N	\N
369715	1257	1997-01-09	PRIJEM	VKLAD	18639	50767	\N	\N	\N
369716	1257	1997-02-09	PRIJEM	VKLAD	18639	41684	\N	\N	\N
369717	1257	1997-03-09	PRIJEM	VKLAD	18639	42984	\N	\N	\N
369718	1257	1997-04-09	PRIJEM	VKLAD	18639	41890	\N	\N	\N
369719	1257	1997-05-09	PRIJEM	VKLAD	18639	41995	\N	\N	\N
369720	1257	1997-06-09	PRIJEM	VKLAD	27958	52520	\N	\N	\N
369721	1257	1997-07-09	PRIJEM	VKLAD	18639	34149	\N	\N	\N
369722	1257	1997-08-09	PRIJEM	VKLAD	18639	40513	\N	\N	\N
369723	1257	1997-09-09	PRIJEM	VKLAD	18639	46008	\N	\N	\N
369724	1257	1997-10-09	PRIJEM	VKLAD	18639	52720	\N	\N	\N
369725	1257	1997-11-09	PRIJEM	VKLAD	18639	48266	\N	\N	\N
369726	1257	1997-12-09	PRIJEM	VKLAD	27958	59905	\N	\N	\N
369727	1257	1998-01-09	PRIJEM	VKLAD	18639	51056	\N	\N	\N
369728	1257	1998-02-09	PRIJEM	VKLAD	18639	38564	\N	\N	\N
369729	1257	1998-03-09	PRIJEM	VKLAD	18639	45141	\N	\N	\N
369730	1257	1998-04-09	PRIJEM	VKLAD	18639	51447	\N	\N	\N
369731	1257	1998-05-09	PRIJEM	VKLAD	18639	53374	\N	\N	\N
369732	1257	1998-06-09	PRIJEM	VKLAD	27958	48323	\N	\N	\N
369733	1257	1998-07-09	PRIJEM	VKLAD	18639	55640	\N	\N	\N
369734	1257	1998-08-09	PRIJEM	VKLAD	18639	56083	\N	\N	\N
369735	1257	1998-09-09	PRIJEM	VKLAD	18639	56926	\N	\N	\N
369736	1257	1998-10-09	PRIJEM	VKLAD	18639	59573	\N	\N	\N
369737	1257	1998-11-09	PRIJEM	VKLAD	18639	58227	\N	\N	\N
369738	1257	1998-12-09	PRIJEM	VKLAD	27958	59789	\N	\N	\N
369754	1257	1996-04-07	VYDAJ	PREVOD NA UCET	4387	40232	SIPO	CD	16047442
369755	1257	1996-05-07	VYDAJ	PREVOD NA UCET	4387	44466	SIPO	CD	16047442
369756	1257	1996-06-07	VYDAJ	PREVOD NA UCET	4387	31301	SIPO	CD	16047442
369757	1257	1996-07-07	VYDAJ	PREVOD NA UCET	4387	24062	SIPO	CD	16047442
369758	1257	1996-08-07	VYDAJ	PREVOD NA UCET	4387	29665	SIPO	CD	16047442
369759	1257	1996-09-07	VYDAJ	PREVOD NA UCET	4387	22477	SIPO	CD	16047442
369760	1257	1996-10-07	VYDAJ	PREVOD NA UCET	4387	21672	SIPO	CD	16047442
369761	1257	1996-11-07	VYDAJ	PREVOD NA UCET	4387	25170	SIPO	CD	16047442
369762	1257	1996-12-07	VYDAJ	PREVOD NA UCET	4387	24772	SIPO	CD	16047442
369763	1257	1997-01-07	VYDAJ	PREVOD NA UCET	4387	32128	SIPO	CD	16047442
369764	1257	1997-02-07	VYDAJ	PREVOD NA UCET	4387	23045	SIPO	CD	16047442
369765	1257	1997-03-07	VYDAJ	PREVOD NA UCET	4387	24345	SIPO	CD	16047442
369766	1257	1997-04-07	VYDAJ	PREVOD NA UCET	4387	23251	SIPO	CD	16047442
369767	1257	1997-05-07	VYDAJ	PREVOD NA UCET	4387	23356	SIPO	CD	16047442
369768	1257	1997-06-07	VYDAJ	PREVOD NA UCET	4387	24562	SIPO	CD	16047442
369769	1257	1997-07-07	VYDAJ	PREVOD NA UCET	4387	15510	SIPO	CD	16047442
369770	1257	1997-08-07	VYDAJ	PREVOD NA UCET	4387	21874	SIPO	CD	16047442
369771	1257	1997-09-07	VYDAJ	PREVOD NA UCET	4387	27369	SIPO	CD	16047442
369772	1257	1997-10-07	VYDAJ	PREVOD NA UCET	4387	34081	SIPO	CD	16047442
369773	1257	1997-11-07	VYDAJ	PREVOD NA UCET	4387	29627	SIPO	CD	16047442
369774	1257	1997-12-07	VYDAJ	PREVOD NA UCET	4387	31947	SIPO	CD	16047442
369775	1257	1998-01-07	VYDAJ	PREVOD NA UCET	4387	32417	SIPO	CD	16047442
369776	1257	1998-02-07	VYDAJ	PREVOD NA UCET	4387	19925	SIPO	CD	16047442
369777	1257	1998-03-07	VYDAJ	PREVOD NA UCET	4387	26502	SIPO	CD	16047442
369778	1257	1998-04-07	VYDAJ	PREVOD NA UCET	4387	32808	SIPO	CD	16047442
369779	1257	1998-05-07	VYDAJ	PREVOD NA UCET	4387	34735	SIPO	CD	16047442
369780	1257	1998-06-07	VYDAJ	PREVOD NA UCET	4387	20365	SIPO	CD	16047442
369781	1257	1998-07-07	VYDAJ	PREVOD NA UCET	4387	37001	SIPO	CD	16047442
369782	1257	1998-08-07	VYDAJ	PREVOD NA UCET	4387	37444	SIPO	CD	16047442
369783	1257	1998-09-07	VYDAJ	PREVOD NA UCET	4387	38287	SIPO	CD	16047442
369784	1257	1998-10-07	VYDAJ	PREVOD NA UCET	4387	40934	SIPO	CD	16047442
369785	1257	1998-11-07	VYDAJ	PREVOD NA UCET	4387	39588	SIPO	CD	16047442
369786	1257	1998-12-07	VYDAJ	PREVOD NA UCET	4387	31831	SIPO	CD	16047442
369788	1257	1996-06-23	VYDAJ	VYBER	24400	34859	\N	\N	\N
369789	1257	1997-06-28	VYDAJ	VYBER	26300	26220	\N	\N	\N
369790	1257	1998-06-06	VYDAJ	VYBER	12300	24752	\N	\N	\N
369793	1257	1997-01-28	VYDAJ	VYBER	6800	36567	\N	\N	\N
369794	1257	1998-01-29	VYDAJ	VYBER	8200	24156	\N	\N	\N
369796	1257	1996-12-05	VYDAJ	VYBER	1500	29159	\N	\N	\N
369797	1257	1997-12-23	VYDAJ	VYBER	1600	58305	\N	\N	\N
369798	1257	1998-12-02	VYDAJ	VYBER KARTOU	2900	36218	\N	\N	0
369811	1257	1997-01-13	VYDAJ	VYBER	1000	47467	\N	\N	\N
369812	1257	1997-01-03	VYDAJ	VYBER	600	37215	\N	\N	\N
369813	1257	1997-01-12	VYDAJ	VYBER	2300	48467	\N	\N	\N
369814	1257	1997-01-15	VYDAJ	VYBER	2700	44767	\N	\N	\N
369815	1257	1997-01-05	VYDAJ	VYBER	700	36515	\N	\N	\N
369816	1257	1997-01-25	VYDAJ	VYBER	1400	43367	\N	\N	\N
369817	1257	1998-01-22	VYDAJ	VYBER	600	42956	\N	\N	\N
369818	1257	1998-01-13	VYDAJ	VYBER	2100	48956	\N	\N	\N
369819	1257	1998-01-21	VYDAJ	VYBER	900	43556	\N	\N	\N
369820	1257	1998-01-22	VYDAJ	VYBER	2600	40356	\N	\N	\N
369821	1257	1998-01-17	VYDAJ	VYBER	2400	44456	\N	\N	\N
369822	1257	1998-01-16	VYDAJ	VYBER	2100	46856	\N	\N	\N
369829	1257	1996-09-07	VYDAJ	VYBER	4300	26864	\N	\N	\N
369830	1257	1996-08-08	VYDAJ	VYBER	4900	24765	\N	\N	\N
369833	1257	1996-09-07	VYDAJ	VYBER	3600	18877	\N	\N	\N
369834	1257	1996-11-11	VYDAJ	VYBER	3300	40509	\N	\N	\N
369835	1257	1996-07-25	VYDAJ	VYBER	1100	41601	\N	\N	\N
369836	1257	1997-03-18	VYDAJ	VYBER	1400	41584	\N	\N	\N
369837	1257	1997-11-06	VYDAJ	VYBER	4200	34014	\N	\N	\N
369838	1257	1997-03-21	VYDAJ	VYBER	1600	39984	\N	\N	\N
369839	1257	1997-07-02	VYDAJ	VYBER	1700	19897	\N	\N	\N
369840	1257	1998-04-09	VYDAJ	VYBER KARTOU	1000	50447	\N	\N	0
369841	1257	1998-05-18	VYDAJ	VYBER KARTOU	2700	50674	\N	\N	0
369842	1257	1998-08-09	VYDAJ	VYBER KARTOU	800	55283	\N	\N	0
369843	1257	1998-11-27	VYDAJ	VYBER	4600	38927	\N	\N	\N
369844	1257	1998-11-16	VYDAJ	VYBER KARTOU	2500	55727	\N	\N	0
369860	1257	1996-03-31	VYDAJ	VYBER	15	44619	SLUZBY	\N	\N
369861	1257	1996-04-30	VYDAJ	VYBER	15	48853	SLUZBY	\N	\N
369862	1257	1996-05-31	VYDAJ	VYBER	15	48088	SLUZBY	\N	\N
369863	1257	1996-06-30	VYDAJ	VYBER	15	35049	SLUZBY	\N	\N
369864	1257	1996-07-31	VYDAJ	VYBER	15	41752	SLUZBY	\N	\N
369865	1257	1996-08-31	VYDAJ	VYBER	15	43564	SLUZBY	\N	\N
369866	1257	1996-09-30	VYDAJ	VYBER	15	37659	SLUZBY	\N	\N
369867	1257	1996-10-31	VYDAJ	VYBER	15	40457	SLUZBY	\N	\N
369868	1257	1996-11-30	VYDAJ	VYBER	15	40659	SLUZBY	\N	\N
369869	1257	1996-12-31	VYDAJ	VYBER	15	52915	SLUZBY	\N	\N
369870	1257	1997-01-31	VYDAJ	VYBER	15	36732	SLUZBY	\N	\N
369871	1257	1997-02-28	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
369872	1257	1997-03-31	VYDAJ	VYBER	15	40138	SLUZBY	\N	\N
369873	1257	1997-04-30	VYDAJ	VYBER	15	42043	SLUZBY	\N	\N
369874	1257	1997-05-31	VYDAJ	VYBER	15	42149	SLUZBY	\N	\N
369875	1257	1997-06-30	VYDAJ	VYBER	15	26397	SLUZBY	\N	\N
369876	1257	1997-07-31	VYDAJ	VYBER	15	34261	SLUZBY	\N	\N
369877	1257	1997-08-31	VYDAJ	VYBER	15	31756	SLUZBY	\N	\N
369878	1257	1997-09-30	VYDAJ	VYBER	15	46168	SLUZBY	\N	\N
369879	1257	1997-10-31	VYDAJ	VYBER	15	38214	SLUZBY	\N	\N
369880	1257	1997-11-30	VYDAJ	VYBER	15	36334	SLUZBY	\N	\N
369881	1257	1997-12-31	VYDAJ	VYBER	15	36804	SLUZBY	\N	\N
369882	1257	1998-01-31	VYDAJ	VYBER	15	24312	SLUZBY	\N	\N
369883	1257	1998-02-28	VYDAJ	VYBER	15	30889	SLUZBY	\N	\N
369884	1257	1998-03-31	VYDAJ	VYBER	15	37195	SLUZBY	\N	\N
369885	1257	1998-04-30	VYDAJ	VYBER	15	39122	SLUZBY	\N	\N
369886	1257	1998-05-31	VYDAJ	VYBER	15	37052	SLUZBY	\N	\N
369887	1257	1998-06-30	VYDAJ	VYBER	15	41388	SLUZBY	\N	\N
369888	1257	1998-07-31	VYDAJ	VYBER	15	41831	SLUZBY	\N	\N
369889	1257	1998-08-31	VYDAJ	VYBER	15	42674	SLUZBY	\N	\N
369890	1257	1998-09-30	VYDAJ	VYBER	15	45321	SLUZBY	\N	\N
369891	1257	1998-10-31	VYDAJ	VYBER	15	43975	SLUZBY	\N	\N
369892	1257	1998-11-30	VYDAJ	VYBER	15	39118	SLUZBY	\N	\N
369893	1257	1995-11-10	PRIJEM	VKLAD	500	19639	\N	\N	\N
369894	1257	1995-12-10	VYDAJ	VYBER	9000	38654	\N	\N	\N
369895	1257	1996-01-09	VYDAJ	VYBER	15300	42131	\N	\N	\N
369896	1257	1996-02-08	VYDAJ	VYBER	12400	29903	\N	\N	\N
369897	1257	1996-03-09	VYDAJ	VYBER	23000	44376	\N	\N	\N
369898	1257	1996-04-08	VYDAJ	VYBER	10200	30032	\N	\N	\N
369899	1257	1996-05-08	VYDAJ	VYBER	15200	29266	\N	\N	\N
369900	1257	1996-06-07	VYDAJ	VYBER	12400	35688	\N	\N	\N
369901	1257	1996-07-07	VYDAJ	VYBER	6600	28449	\N	\N	\N
369902	1257	1996-08-06	VYDAJ	VYBER	7700	34052	\N	\N	\N
369903	1257	1996-09-05	VYDAJ	VYBER	12400	31164	\N	\N	\N
369904	1257	1996-10-05	VYDAJ	VYBER	11600	26059	\N	\N	\N
369905	1257	1996-11-04	VYDAJ	VYBER	10900	29557	\N	\N	\N
369906	1257	1996-12-04	VYDAJ	VYBER	10000	30659	\N	\N	\N
369907	1257	1997-01-03	VYDAJ	VYBER	15100	37815	\N	\N	\N
369908	1257	1997-02-02	VYDAJ	VYBER	9300	27432	\N	\N	\N
369909	1257	1997-03-04	VYDAJ	VYBER	13100	28732	\N	\N	\N
369910	1257	1997-04-03	VYDAJ	VYBER	12500	27638	\N	\N	\N
369911	1257	1997-05-03	VYDAJ	VYBER	14300	27743	\N	\N	\N
369912	1257	1997-06-02	VYDAJ	VYBER	13200	28949	\N	\N	\N
369913	1257	1997-07-02	VYDAJ	VYBER	4800	21597	\N	\N	\N
369914	1257	1997-08-01	VYDAJ	VYBER	8000	26261	\N	\N	\N
369915	1257	1997-08-31	VYDAJ	VYBER	8900	31770	\N	\N	\N
369916	1257	1997-09-30	VYDAJ	VYBER	7700	38468	\N	\N	\N
369917	1257	1997-10-30	VYDAJ	VYBER	14700	38020	\N	\N	\N
369918	1257	1997-11-29	VYDAJ	VYBER	12100	36166	\N	\N	\N
369919	1257	1997-12-29	VYDAJ	VYBER	21700	36605	\N	\N	\N
369920	1257	1998-01-28	VYDAJ	VYBER	8000	32356	\N	\N	\N
369921	1257	1998-02-27	VYDAJ	VYBER	7800	30764	\N	\N	\N
369922	1257	1998-03-29	VYDAJ	VYBER	8100	37041	\N	\N	\N
369923	1257	1998-04-28	VYDAJ	VYBER	11500	38947	\N	\N	\N
369924	1257	1998-05-28	VYDAJ	VYBER	13800	36874	\N	\N	\N
369925	1257	1998-06-27	VYDAJ	VYBER	7100	41223	\N	\N	\N
369926	1257	1998-07-27	VYDAJ	VYBER	14000	41640	\N	\N	\N
369927	1257	1998-08-26	VYDAJ	VYBER	12800	42483	\N	\N	\N
369928	1257	1998-09-25	VYDAJ	VYBER	11800	45126	\N	\N	\N
369929	1257	1998-10-25	VYDAJ	VYBER	15800	43773	\N	\N	\N
369930	1257	1998-11-24	VYDAJ	VYBER	12200	43527	\N	\N	\N
369969	1258	1996-09-01	PRIJEM	VKLAD	700	700	\N	\N	\N
369978	1258	1996-09-13	PRIJEM	PREVOD Z UCTU	2900	3600	\N	OP	1983190
369979	1258	1996-10-13	PRIJEM	PREVOD Z UCTU	2900	6509	\N	OP	1983190
369980	1258	1996-11-13	PRIJEM	PREVOD Z UCTU	2900	9424	\N	OP	1983190
369981	1258	1996-12-13	PRIJEM	PREVOD Z UCTU	2900	12339	\N	OP	1983190
369982	1258	1997-01-13	PRIJEM	PREVOD Z UCTU	2900	15254	\N	OP	1983190
369983	1258	1997-02-13	PRIJEM	PREVOD Z UCTU	2900	13396	\N	OP	1983190
369984	1258	1997-03-13	PRIJEM	PREVOD Z UCTU	2900	14402	\N	OP	1983190
369985	1258	1997-04-13	PRIJEM	PREVOD Z UCTU	2900	15412	\N	OP	1983190
369986	1258	1997-05-13	PRIJEM	PREVOD Z UCTU	2900	16427	\N	OP	1983190
369987	1258	1997-06-13	PRIJEM	PREVOD Z UCTU	2900	17446	\N	OP	1983190
369988	1258	1997-07-13	PRIJEM	PREVOD Z UCTU	2900	17629	\N	OP	1983190
369989	1258	1997-08-13	PRIJEM	PREVOD Z UCTU	2900	17631	\N	OP	1983190
369990	1258	1997-09-13	PRIJEM	PREVOD Z UCTU	2900	18655	\N	OP	1983190
369991	1258	1997-10-13	PRIJEM	PREVOD Z UCTU	2900	19684	\N	OP	1983190
369992	1258	1997-11-13	PRIJEM	PREVOD Z UCTU	2900	20716	\N	OP	1983190
369993	1258	1997-12-13	PRIJEM	PREVOD Z UCTU	2900	21153	\N	OP	1983190
369994	1258	1998-01-13	PRIJEM	PREVOD Z UCTU	2900	18560	\N	OP	1983190
369995	1258	1998-02-13	PRIJEM	PREVOD Z UCTU	2900	18119	\N	OP	1983190
369996	1258	1998-03-13	PRIJEM	PREVOD Z UCTU	2900	18845	\N	OP	1983190
369997	1258	1998-04-13	PRIJEM	PREVOD Z UCTU	2900	19874	\N	OP	1983190
369998	1258	1998-05-13	PRIJEM	PREVOD Z UCTU	2900	16302	\N	OP	1983190
369999	1258	1998-06-13	PRIJEM	PREVOD Z UCTU	2900	14818	\N	OP	1983190
370000	1258	1998-07-13	PRIJEM	PREVOD Z UCTU	2900	14687	\N	OP	1983190
370001	1258	1998-08-13	PRIJEM	PREVOD Z UCTU	2900	15699	\N	OP	1983190
370002	1258	1998-09-13	PRIJEM	PREVOD Z UCTU	2900	16414	\N	OP	1983190
370003	1258	1998-10-13	PRIJEM	PREVOD Z UCTU	2900	16963	\N	OP	1983190
370143	1258	1997-12-31	VYDAJ	VYBER	15	20743	SLUZBY	\N	\N
370004	1258	1998-11-13	PRIJEM	PREVOD Z UCTU	2900	17233	\N	OP	1983190
370005	1258	1998-12-13	PRIJEM	PREVOD Z UCTU	2900	18255	\N	OP	1983190
370019	1258	1997-02-12	VYDAJ	PREVOD NA UCET	759	10496	SIPO	AB	56178200
370020	1258	1997-03-12	VYDAJ	PREVOD NA UCET	759	11502	SIPO	AB	56178200
370021	1258	1997-04-12	VYDAJ	PREVOD NA UCET	759	12512	SIPO	AB	56178200
370022	1258	1997-05-12	VYDAJ	PREVOD NA UCET	759	13527	SIPO	AB	56178200
370023	1258	1997-06-12	VYDAJ	PREVOD NA UCET	759	14546	SIPO	AB	56178200
370024	1258	1997-07-12	VYDAJ	PREVOD NA UCET	759	14729	SIPO	AB	56178200
370025	1258	1997-08-12	VYDAJ	PREVOD NA UCET	759	14731	SIPO	AB	56178200
370026	1258	1997-09-12	VYDAJ	PREVOD NA UCET	759	15755	SIPO	AB	56178200
370027	1258	1997-10-12	VYDAJ	PREVOD NA UCET	759	16784	SIPO	AB	56178200
370028	1258	1997-11-12	VYDAJ	PREVOD NA UCET	759	17816	SIPO	AB	56178200
370029	1258	1997-12-12	VYDAJ	PREVOD NA UCET	759	18253	SIPO	AB	56178200
370030	1258	1998-01-12	VYDAJ	PREVOD NA UCET	759	16680	SIPO	AB	56178200
370031	1258	1998-02-12	VYDAJ	PREVOD NA UCET	759	15219	SIPO	AB	56178200
370032	1258	1998-03-12	VYDAJ	PREVOD NA UCET	759	15945	SIPO	AB	56178200
370033	1258	1998-04-12	VYDAJ	PREVOD NA UCET	759	16974	SIPO	AB	56178200
370034	1258	1998-05-12	VYDAJ	PREVOD NA UCET	759	13402	SIPO	AB	56178200
370035	1258	1998-06-12	VYDAJ	PREVOD NA UCET	759	11918	SIPO	AB	56178200
370036	1258	1998-07-12	VYDAJ	PREVOD NA UCET	759	11787	SIPO	AB	56178200
370037	1258	1998-08-12	VYDAJ	PREVOD NA UCET	759	12799	SIPO	AB	56178200
370038	1258	1998-09-12	VYDAJ	PREVOD NA UCET	759	13514	SIPO	AB	56178200
370039	1258	1998-10-12	VYDAJ	PREVOD NA UCET	759	14063	SIPO	AB	56178200
370040	1258	1998-11-12	VYDAJ	PREVOD NA UCET	759	14333	SIPO	AB	56178200
370041	1258	1998-12-12	VYDAJ	PREVOD NA UCET	759	15355	SIPO	AB	56178200
370055	1258	1997-02-06	VYDAJ	PREVOD NA UCET	1174	11255	 	OP	77309888
370056	1258	1997-03-06	VYDAJ	PREVOD NA UCET	1174	12261	 	OP	77309888
370057	1258	1997-04-06	VYDAJ	PREVOD NA UCET	1174	13271	 	OP	77309888
370058	1258	1997-05-06	VYDAJ	PREVOD NA UCET	1174	14286	 	OP	77309888
370059	1258	1997-06-06	VYDAJ	PREVOD NA UCET	1174	15305	 	OP	77309888
370060	1258	1997-07-06	VYDAJ	PREVOD NA UCET	1174	15488	 	OP	77309888
370061	1258	1997-08-06	VYDAJ	PREVOD NA UCET	1174	15490	 	OP	77309888
370062	1258	1997-09-06	VYDAJ	PREVOD NA UCET	1174	16514	 	OP	77309888
370063	1258	1997-10-06	VYDAJ	PREVOD NA UCET	1174	17543	 	OP	77309888
370064	1258	1997-11-06	VYDAJ	PREVOD NA UCET	1174	18575	 	OP	77309888
370065	1258	1997-12-06	VYDAJ	PREVOD NA UCET	1174	19012	 	OP	77309888
370066	1258	1998-01-06	VYDAJ	PREVOD NA UCET	1174	19359	 	OP	77309888
370067	1258	1998-02-06	VYDAJ	PREVOD NA UCET	1174	15978	 	OP	77309888
370068	1258	1998-03-06	VYDAJ	PREVOD NA UCET	1174	16704	 	OP	77309888
370069	1258	1998-04-06	VYDAJ	PREVOD NA UCET	1174	17733	 	OP	77309888
370070	1258	1998-05-06	VYDAJ	PREVOD NA UCET	1174	14161	 	OP	77309888
370071	1258	1998-06-06	VYDAJ	PREVOD NA UCET	1174	12677	 	OP	77309888
370072	1258	1998-07-06	VYDAJ	PREVOD NA UCET	1174	12546	 	OP	77309888
370073	1258	1998-08-06	VYDAJ	PREVOD NA UCET	1174	13558	 	OP	77309888
370074	1258	1998-09-06	VYDAJ	PREVOD NA UCET	1174	14273	 	OP	77309888
370075	1258	1998-10-06	VYDAJ	PREVOD NA UCET	1174	14822	 	OP	77309888
370076	1258	1998-11-06	VYDAJ	PREVOD NA UCET	1174	15092	 	OP	77309888
370077	1258	1998-12-06	VYDAJ	PREVOD NA UCET	1174	16114	 	OP	77309888
370080	1258	1998-06-13	VYDAJ	VYBER	1140	13678	\N	\N	\N
370082	1258	1997-01-17	VYDAJ	VYBER	300	14594	\N	\N	\N
370083	1258	1998-01-09	VYDAJ	VYBER	450	17439	\N	\N	\N
370085	1258	1997-12-15	VYDAJ	VYBER	480	20673	\N	\N	\N
370086	1258	1998-12-14	VYDAJ	VYBER	150	18105	\N	\N	\N
370095	1258	1997-01-18	VYDAJ	VYBER	420	14174	\N	\N	\N
370096	1258	1997-01-14	VYDAJ	VYBER	360	14894	\N	\N	\N
370097	1258	1997-01-30	VYDAJ	VYBER	420	12914	\N	\N	\N
370099	1258	1998-01-22	VYDAJ	VYBER	510	17600	\N	\N	\N
370100	1258	1998-01-08	VYDAJ	VYBER	780	18579	\N	\N	\N
370101	1258	1998-01-04	VYDAJ	VYBER	210	20533	\N	\N	\N
370102	1258	1998-01-22	VYDAJ	VYBER	450	18110	\N	\N	\N
370103	1258	1998-01-26	VYDAJ	VYBER	510	17090	\N	\N	\N
370104	1258	1998-01-08	VYDAJ	VYBER	690	17889	\N	\N	\N
370109	1258	1997-02-06	VYDAJ	VYBER	510	12429	\N	\N	\N
370110	1258	1997-07-22	VYDAJ	VYBER	1020	16609	\N	\N	\N
370111	1258	1997-07-05	VYDAJ	VYBER	840	16662	\N	\N	\N
370112	1258	1997-01-22	VYDAJ	VYBER	840	13334	\N	\N	\N
370114	1258	1998-09-25	VYDAJ	VYBER	270	15944	\N	\N	\N
370115	1258	1998-02-25	VYDAJ	VYBER	300	17819	\N	\N	\N
370116	1258	1998-10-22	VYDAJ	VYBER	750	16213	\N	\N	\N
370117	1258	1998-01-12	VYDAJ	VYBER	1020	15660	\N	\N	\N
370118	1258	1998-08-26	VYDAJ	VYBER	300	15399	\N	\N	\N
370132	1258	1997-01-31	VYDAJ	VYBER	15	12939	SLUZBY	\N	\N
370133	1258	1997-02-28	VYDAJ	VYBER	15	13435	SLUZBY	\N	\N
370134	1258	1997-03-31	VYDAJ	VYBER	15	14445	SLUZBY	\N	\N
370135	1258	1997-04-30	VYDAJ	VYBER	15	15460	SLUZBY	\N	\N
370136	1258	1997-05-31	VYDAJ	VYBER	15	16479	SLUZBY	\N	\N
370137	1258	1997-06-30	VYDAJ	VYBER	15	17502	SLUZBY	\N	\N
370138	1258	1997-07-31	VYDAJ	VYBER	15	16664	SLUZBY	\N	\N
370139	1258	1997-08-31	VYDAJ	VYBER	15	17688	SLUZBY	\N	\N
370140	1258	1997-09-30	VYDAJ	VYBER	15	18717	SLUZBY	\N	\N
370141	1258	1997-10-31	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
370142	1258	1997-11-30	VYDAJ	VYBER	15	20186	SLUZBY	\N	\N
370144	1258	1998-01-31	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
370145	1258	1998-02-28	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
370146	1258	1998-03-31	VYDAJ	VYBER	15	18907	SLUZBY	\N	\N
370147	1258	1998-04-30	VYDAJ	VYBER	15	15335	SLUZBY	\N	\N
370148	1258	1998-05-31	VYDAJ	VYBER	15	13851	SLUZBY	\N	\N
370149	1258	1998-06-30	VYDAJ	VYBER	15	13720	SLUZBY	\N	\N
370150	1258	1998-07-31	VYDAJ	VYBER	15	14732	SLUZBY	\N	\N
370151	1258	1998-08-31	VYDAJ	VYBER	15	15447	SLUZBY	\N	\N
370152	1258	1998-09-30	VYDAJ	VYBER	15	15996	SLUZBY	\N	\N
370153	1258	1998-10-31	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
370154	1258	1998-11-30	VYDAJ	VYBER	15	17288	SLUZBY	\N	\N
370155	1258	1997-11-25	VYDAJ	VYBER	600	20116	\N	\N	\N
370156	1258	1998-04-24	VYDAJ	VYBER	4600	15274	\N	\N	\N
370157	1258	1998-05-24	VYDAJ	VYBER	2500	13802	\N	\N	\N
370158	1258	1998-09-21	VYDAJ	VYBER	200	16214	\N	\N	\N
370187	1259	1997-04-12	PRIJEM	VKLAD	500	500	\N	\N	\N
370191	1259	1997-04-14	PRIJEM	VKLAD	14672	15172	\N	\N	\N
370192	1259	1997-05-14	PRIJEM	VKLAD	14672	32480	\N	\N	\N
370193	1259	1997-06-14	PRIJEM	VKLAD	22008	48393	\N	\N	\N
370194	1259	1997-07-14	PRIJEM	VKLAD	14672	48538	\N	\N	\N
370195	1259	1997-08-14	PRIJEM	VKLAD	14672	45912	\N	\N	\N
370196	1259	1997-09-14	PRIJEM	VKLAD	14672	40069	\N	\N	\N
370197	1259	1997-10-14	PRIJEM	VKLAD	14672	37296	\N	\N	\N
370198	1259	1997-11-14	PRIJEM	VKLAD	14672	33407	\N	\N	\N
370199	1259	1997-12-14	PRIJEM	VKLAD	22008	37638	\N	\N	\N
370200	1259	1998-01-14	PRIJEM	VKLAD	14672	27434	\N	\N	\N
370201	1259	1998-02-14	PRIJEM	VKLAD	14672	28682	\N	\N	\N
370202	1259	1998-03-14	PRIJEM	VKLAD	14672	26039	\N	\N	\N
370203	1259	1998-04-14	PRIJEM	VKLAD	14672	25305	\N	\N	\N
370204	1259	1998-05-14	PRIJEM	VKLAD	14672	25360	\N	\N	\N
370205	1259	1998-06-14	PRIJEM	VKLAD	22008	34456	\N	\N	\N
370206	1259	1998-07-14	PRIJEM	VKLAD	14672	29033	\N	\N	\N
370207	1259	1998-08-14	PRIJEM	VKLAD	14672	32502	\N	\N	\N
370208	1259	1998-09-14	PRIJEM	VKLAD	14672	34878	\N	\N	\N
370209	1259	1998-10-14	PRIJEM	VKLAD	14672	29867	\N	\N	\N
370210	1259	1998-11-14	PRIJEM	VKLAD	14672	36348	\N	\N	\N
370211	1259	1998-12-14	PRIJEM	VKLAD	22008	47879	\N	\N	\N
370220	1259	1997-09-10	VYDAJ	PREVOD NA UCET	724	27505	SIPO	IJ	29708302
370221	1259	1997-10-10	VYDAJ	PREVOD NA UCET	724	25196	SIPO	IJ	29708302
370222	1259	1997-11-10	VYDAJ	PREVOD NA UCET	724	20843	SIPO	IJ	29708302
370223	1259	1997-12-10	VYDAJ	PREVOD NA UCET	724	17738	SIPO	IJ	29708302
370224	1259	1998-01-10	VYDAJ	PREVOD NA UCET	724	15334	SIPO	IJ	29708302
370225	1259	1998-02-10	VYDAJ	PREVOD NA UCET	724	16118	SIPO	IJ	29708302
370226	1259	1998-03-10	VYDAJ	PREVOD NA UCET	724	14675	SIPO	IJ	29708302
370227	1259	1998-04-10	VYDAJ	PREVOD NA UCET	724	13205	SIPO	IJ	29708302
370228	1259	1998-05-10	VYDAJ	PREVOD NA UCET	724	12796	SIPO	IJ	29708302
370229	1259	1998-06-10	VYDAJ	PREVOD NA UCET	724	15020	SIPO	IJ	29708302
370230	1259	1998-07-10	VYDAJ	PREVOD NA UCET	724	16933	SIPO	IJ	29708302
370231	1259	1998-08-10	VYDAJ	PREVOD NA UCET	724	19938	SIPO	IJ	29708302
370232	1259	1998-09-10	VYDAJ	PREVOD NA UCET	724	22778	SIPO	IJ	29708302
370233	1259	1998-10-10	VYDAJ	PREVOD NA UCET	724	21967	SIPO	IJ	29708302
370234	1259	1998-11-10	VYDAJ	PREVOD NA UCET	724	24248	SIPO	IJ	29708302
370235	1259	1998-12-10	VYDAJ	PREVOD NA UCET	724	27979	SIPO	IJ	29708302
370244	1259	1997-09-13	VYDAJ	PREVOD NA UCET	2108	25397	 	MN	46119725
370245	1259	1997-10-13	VYDAJ	PREVOD NA UCET	2108	22624	 	MN	46119725
370246	1259	1997-11-13	VYDAJ	PREVOD NA UCET	2108	18735	 	MN	46119725
370247	1259	1997-12-13	VYDAJ	PREVOD NA UCET	2108	15630	 	MN	46119725
370248	1259	1998-01-13	VYDAJ	PREVOD NA UCET	2108	12762	 	MN	46119725
370249	1259	1998-02-13	VYDAJ	PREVOD NA UCET	2108	14010	 	MN	46119725
370250	1259	1998-03-13	VYDAJ	PREVOD NA UCET	2108	12567	 	MN	46119725
370251	1259	1998-04-13	VYDAJ	PREVOD NA UCET	2108	10633	 	MN	46119725
370252	1259	1998-05-13	VYDAJ	PREVOD NA UCET	2108	10688	 	MN	46119725
370253	1259	1998-06-13	VYDAJ	PREVOD NA UCET	2108	12448	 	MN	46119725
370254	1259	1998-07-13	VYDAJ	PREVOD NA UCET	2108	14361	 	MN	46119725
370255	1259	1998-08-13	VYDAJ	PREVOD NA UCET	2108	17830	 	MN	46119725
370256	1259	1998-09-13	VYDAJ	PREVOD NA UCET	2108	20206	 	MN	46119725
370257	1259	1998-10-13	VYDAJ	PREVOD NA UCET	2108	15195	 	MN	46119725
370258	1259	1998-11-13	VYDAJ	PREVOD NA UCET	2108	21676	 	MN	46119725
370259	1259	1998-12-13	VYDAJ	PREVOD NA UCET	2108	25871	 	MN	46119725
370268	1259	1997-09-10	VYDAJ	PREVOD NA UCET	464	28229	POJISTNE	EF	47106474
370269	1259	1997-10-10	VYDAJ	PREVOD NA UCET	464	24732	POJISTNE	EF	47106474
370270	1259	1997-11-10	VYDAJ	PREVOD NA UCET	464	21567	POJISTNE	EF	47106474
370271	1259	1997-12-10	VYDAJ	PREVOD NA UCET	464	18462	POJISTNE	EF	47106474
370272	1259	1998-01-10	VYDAJ	PREVOD NA UCET	464	14870	POJISTNE	EF	47106474
370273	1259	1998-02-10	VYDAJ	PREVOD NA UCET	464	16842	POJISTNE	EF	47106474
370274	1259	1998-03-10	VYDAJ	PREVOD NA UCET	464	15399	POJISTNE	EF	47106474
370275	1259	1998-04-10	VYDAJ	PREVOD NA UCET	464	12741	POJISTNE	EF	47106474
370276	1259	1998-05-10	VYDAJ	PREVOD NA UCET	464	13520	POJISTNE	EF	47106474
370277	1259	1998-06-10	VYDAJ	PREVOD NA UCET	464	14556	POJISTNE	EF	47106474
370278	1259	1998-07-10	VYDAJ	PREVOD NA UCET	464	16469	POJISTNE	EF	47106474
370279	1259	1998-08-10	VYDAJ	PREVOD NA UCET	464	20662	POJISTNE	EF	47106474
370280	1259	1998-09-10	VYDAJ	PREVOD NA UCET	464	22314	POJISTNE	EF	47106474
370281	1259	1998-10-10	VYDAJ	PREVOD NA UCET	464	21503	POJISTNE	EF	47106474
370282	1259	1998-11-10	VYDAJ	PREVOD NA UCET	464	23784	POJISTNE	EF	47106474
370283	1259	1998-12-10	VYDAJ	PREVOD NA UCET	464	30603	POJISTNE	EF	47106474
370292	1259	1997-09-22	VYDAJ	VYBER	1100	38969	\N	\N	0
370293	1259	1997-10-05	VYDAJ	VYBER	1400	37720	\N	\N	0
370294	1259	1997-11-09	VYDAJ	VYBER	1400	22031	\N	\N	0
370295	1259	1997-11-26	VYDAJ	VYBER	1500	31907	\N	\N	0
370296	1259	1998-01-16	VYDAJ	VYBER	1700	22934	\N	\N	0
370297	1259	1998-02-24	VYDAJ	VYBER	800	27882	\N	\N	0
370298	1259	1998-03-13	VYDAJ	VYBER	1200	11367	\N	\N	0
370299	1259	1998-04-04	VYDAJ	VYBER	1900	24229	\N	\N	0
370300	1259	1998-05-29	VYDAJ	VYBER	1300	24060	\N	\N	0
370301	1259	1998-06-18	VYDAJ	VYBER	1000	33456	\N	\N	0
370302	1259	1998-07-22	VYDAJ	VYBER	2000	27033	\N	\N	0
370303	1259	1998-08-19	VYDAJ	VYBER	1400	28902	\N	\N	0
370304	1259	1998-09-06	VYDAJ	VYBER	800	23502	\N	\N	0
370305	1259	1998-10-07	VYDAJ	VYBER	1400	22691	\N	\N	0
370306	1259	1998-11-19	VYDAJ	VYBER	1100	35248	\N	\N	0
370307	1259	1998-12-21	VYDAJ	VYBER	1000	44879	\N	\N	0
370311	1259	1998-01-02	VYDAJ	VYBER	4300	30658	\N	\N	\N
370312	1259	1997-12-02	VYDAJ	VYBER	1400	30626	\N	\N	\N
370313	1259	1998-12-10	VYDAJ	VYBER	1900	28703	\N	\N	\N
370320	1259	1998-01-03	VYDAJ	VYBER	2600	28058	\N	\N	\N
370321	1259	1998-01-14	VYDAJ	VYBER	700	26734	\N	\N	\N
370322	1259	1998-01-22	VYDAJ	VYBER	2900	17234	\N	\N	\N
370323	1259	1998-01-16	VYDAJ	VYBER	2100	24634	\N	\N	\N
370324	1259	1998-01-04	VYDAJ	VYBER	1600	26458	\N	\N	\N
370325	1259	1998-01-19	VYDAJ	VYBER	2800	20134	\N	\N	\N
370330	1259	1997-12-29	VYDAJ	VYBER	2800	34838	\N	\N	\N
370332	1259	1998-12-15	VYDAJ	VYBER	2000	45879	\N	\N	\N
370333	1259	1998-07-02	VYDAJ	VYBER	4300	27557	\N	\N	\N
370334	1259	1998-10-12	VYDAJ	VYBER	4200	17303	\N	\N	\N
370335	1259	1998-08-18	VYDAJ	VYBER	2200	30302	\N	\N	\N
370336	1259	1998-06-27	VYDAJ	VYBER	1700	31756	\N	\N	\N
370345	1259	1997-08-31	VYDAJ	VYBER	15	46093	SLUZBY	\N	\N
370346	1259	1997-09-30	VYDAJ	VYBER	15	39120	SLUZBY	\N	\N
370347	1259	1997-10-31	VYDAJ	VYBER	15	37431	SLUZBY	\N	\N
370348	1259	1997-11-30	VYDAJ	VYBER	15	32026	SLUZBY	\N	\N
370349	1259	1997-12-31	VYDAJ	VYBER	15	34958	SLUZBY	\N	\N
370350	1259	1998-01-31	VYDAJ	VYBER	15	17306	SLUZBY	\N	\N
370351	1259	1998-02-28	VYDAJ	VYBER	15	27963	SLUZBY	\N	\N
370352	1259	1998-03-31	VYDAJ	VYBER	15	26129	SLUZBY	\N	\N
370353	1259	1998-04-30	VYDAJ	VYBER	15	25384	SLUZBY	\N	\N
370354	1259	1998-05-31	VYDAJ	VYBER	15	24144	SLUZBY	\N	\N
370355	1259	1998-06-30	VYDAJ	VYBER	15	31857	SLUZBY	\N	\N
370356	1259	1998-07-31	VYDAJ	VYBER	15	27126	SLUZBY	\N	\N
370357	1259	1998-08-31	VYDAJ	VYBER	15	29002	SLUZBY	\N	\N
370358	1259	1998-09-30	VYDAJ	VYBER	15	34991	SLUZBY	\N	\N
370359	1259	1998-10-31	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
370360	1259	1998-11-30	VYDAJ	VYBER	15	35367	SLUZBY	\N	\N
370361	1259	1997-05-12	PRIJEM	VKLAD	2600	17808	\N	\N	\N
370362	1259	1997-06-11	VYDAJ	VYBER	6200	26385	\N	\N	\N
370363	1259	1997-07-11	VYDAJ	VYBER	14700	33866	\N	\N	\N
370364	1259	1997-08-10	VYDAJ	VYBER	17500	31240	\N	\N	\N
370365	1259	1997-09-09	VYDAJ	VYBER	17400	28693	\N	\N	\N
370366	1259	1997-10-09	VYDAJ	VYBER	11800	25920	\N	\N	\N
370367	1259	1997-11-08	VYDAJ	VYBER	14000	23431	\N	\N	\N
370368	1259	1997-12-08	VYDAJ	VYBER	11700	18926	\N	\N	\N
370369	1259	1998-01-07	VYDAJ	VYBER	10400	16058	\N	\N	\N
370370	1259	1998-03-08	VYDAJ	VYBER	12100	15863	\N	\N	\N
370371	1259	1998-04-07	VYDAJ	VYBER	10300	13929	\N	\N	\N
370372	1259	1998-05-07	VYDAJ	VYBER	11400	13984	\N	\N	\N
370373	1259	1998-06-06	VYDAJ	VYBER	8400	15744	\N	\N	\N
370374	1259	1998-07-06	VYDAJ	VYBER	9900	17657	\N	\N	\N
370375	1259	1998-08-05	VYDAJ	VYBER	6000	21126	\N	\N	\N
370376	1259	1998-09-04	VYDAJ	VYBER	4700	24302	\N	\N	\N
370377	1259	1998-10-04	VYDAJ	VYBER	10900	24091	\N	\N	\N
370378	1259	1998-11-03	VYDAJ	VYBER	5000	24972	\N	\N	\N
370379	1259	1998-12-03	VYDAJ	VYBER	4300	31067	\N	\N	\N
370401	1260	1996-11-17	PRIJEM	VKLAD	200	200	\N	\N	\N
370413	1260	1996-12-09	PRIJEM	VKLAD	20858	21058	\N	\N	\N
370414	1260	1997-01-09	PRIJEM	VKLAD	13905	38612	\N	\N	\N
370415	1260	1997-02-09	PRIJEM	VKLAD	13905	47038	\N	\N	\N
370416	1260	1997-03-09	PRIJEM	VKLAD	13905	50287	\N	\N	\N
370417	1260	1997-04-09	PRIJEM	VKLAD	13905	51846	\N	\N	\N
370418	1260	1997-05-09	PRIJEM	VKLAD	13905	46282	\N	\N	\N
370419	1260	1997-06-09	PRIJEM	VKLAD	20858	52274	\N	\N	\N
370420	1260	1997-07-09	PRIJEM	VKLAD	13905	34883	\N	\N	\N
370421	1260	1997-08-09	PRIJEM	VKLAD	13905	39993	\N	\N	\N
370422	1260	1997-09-09	PRIJEM	VKLAD	13905	39104	\N	\N	\N
370423	1260	1997-10-09	PRIJEM	VKLAD	13905	37509	\N	\N	\N
370424	1260	1997-11-09	PRIJEM	VKLAD	13905	42122	\N	\N	\N
370425	1260	1997-12-09	PRIJEM	VKLAD	20858	47290	\N	\N	\N
370426	1260	1998-01-09	PRIJEM	VKLAD	13905	35624	\N	\N	\N
370427	1260	1998-02-09	PRIJEM	VKLAD	13905	28802	\N	\N	\N
370428	1260	1998-03-09	PRIJEM	VKLAD	13905	32292	\N	\N	\N
370429	1260	1998-04-09	PRIJEM	VKLAD	13905	34875	\N	\N	\N
370430	1260	1998-05-09	PRIJEM	VKLAD	13905	40778	\N	\N	\N
370431	1260	1998-06-09	PRIJEM	VKLAD	20858	53559	\N	\N	\N
370432	1260	1998-07-09	PRIJEM	VKLAD	13905	49001	\N	\N	\N
370433	1260	1998-08-09	PRIJEM	VKLAD	13905	38824	\N	\N	\N
370434	1260	1998-09-09	PRIJEM	VKLAD	13905	33543	\N	\N	\N
370435	1260	1998-10-09	PRIJEM	VKLAD	13905	37565	\N	\N	\N
370436	1260	1998-11-09	PRIJEM	VKLAD	13905	40077	\N	\N	\N
370437	1260	1998-12-09	PRIJEM	VKLAD	20858	54472	\N	\N	\N
370453	1260	1997-04-09	VYDAJ	PREVOD NA UCET	6594	45252	SIPO	QR	76420205
370454	1260	1997-05-09	VYDAJ	PREVOD NA UCET	6594	39688	SIPO	QR	76420205
370455	1260	1997-06-09	VYDAJ	PREVOD NA UCET	6594	45680	SIPO	QR	76420205
370456	1260	1997-07-09	VYDAJ	PREVOD NA UCET	6594	28289	SIPO	QR	76420205
370457	1260	1997-08-09	VYDAJ	PREVOD NA UCET	6594	33399	SIPO	QR	76420205
370458	1260	1997-09-09	VYDAJ	PREVOD NA UCET	6594	32510	SIPO	QR	76420205
370459	1260	1997-10-09	VYDAJ	PREVOD NA UCET	6594	30915	SIPO	QR	76420205
370460	1260	1997-11-09	VYDAJ	PREVOD NA UCET	6594	35528	SIPO	QR	76420205
370461	1260	1997-12-09	VYDAJ	PREVOD NA UCET	6594	40696	SIPO	QR	76420205
370462	1260	1998-01-09	VYDAJ	PREVOD NA UCET	6594	29030	SIPO	QR	76420205
370463	1260	1998-02-09	VYDAJ	PREVOD NA UCET	6594	22208	SIPO	QR	76420205
370464	1260	1998-03-09	VYDAJ	PREVOD NA UCET	6594	25698	SIPO	QR	76420205
370465	1260	1998-04-09	VYDAJ	PREVOD NA UCET	6594	28281	SIPO	QR	76420205
370466	1260	1998-05-09	VYDAJ	PREVOD NA UCET	6594	34184	SIPO	QR	76420205
370467	1260	1998-06-09	VYDAJ	PREVOD NA UCET	6594	46965	SIPO	QR	76420205
370468	1260	1998-07-09	VYDAJ	PREVOD NA UCET	6594	42407	SIPO	QR	76420205
370469	1260	1998-08-09	VYDAJ	PREVOD NA UCET	6594	32230	SIPO	QR	76420205
370470	1260	1998-09-09	VYDAJ	PREVOD NA UCET	6594	26949	SIPO	QR	76420205
370471	1260	1998-10-09	VYDAJ	PREVOD NA UCET	6594	30971	SIPO	QR	76420205
370472	1260	1998-11-09	VYDAJ	PREVOD NA UCET	6594	33483	SIPO	QR	76420205
370473	1260	1998-12-09	VYDAJ	PREVOD NA UCET	6594	47878	SIPO	QR	76420205
370475	1260	1997-06-19	VYDAJ	VYBER	13120	20860	\N	\N	\N
370481	1260	1997-12-13	VYDAJ	VYBER	2720	26176	\N	\N	\N
370482	1260	1998-12-25	VYDAJ	VYBER	1440	46438	\N	\N	\N
370495	1260	1998-01-17	VYDAJ	VYBER	1200	16870	\N	\N	\N
370496	1260	1998-01-14	VYDAJ	VYBER	840	18070	\N	\N	\N
370497	1260	1998-01-04	VYDAJ	VYBER	960	25319	\N	\N	\N
370498	1260	1998-01-13	VYDAJ	VYBER	1920	18910	\N	\N	\N
370499	1260	1998-01-18	VYDAJ	VYBER	2040	14830	\N	\N	\N
370500	1260	1998-01-11	VYDAJ	VYBER	3000	26030	\N	\N	\N
370505	1260	1997-08-13	VYDAJ	VYBER	4800	28599	\N	\N	\N
370507	1260	1997-05-01	VYDAJ	VYBER	3120	32377	\N	\N	\N
370509	1260	1997-07-28	VYDAJ	VYBER	2400	25989	\N	\N	\N
370511	1260	1998-08-06	VYDAJ	VYBER	2520	24919	\N	\N	\N
370512	1260	1998-10-21	VYDAJ	VYBER	2160	23771	\N	\N	\N
370513	1260	1998-02-11	VYDAJ	VYBER	2880	18328	\N	\N	\N
370515	1260	1998-08-14	VYDAJ	VYBER	3480	21750	\N	\N	\N
370516	1260	1998-01-06	VYDAJ	VYBER	3600	21719	\N	\N	\N
370517	1260	1998-10-15	VYDAJ	VYBER	5040	25931	\N	\N	\N
370518	1260	1998-07-14	VYDAJ	VYBER	4680	27327	\N	\N	\N
370519	1260	1998-11-22	VYDAJ	VYBER	1680	31803	\N	\N	\N
370536	1260	1997-04-30	VYDAJ	VYBER	15	35497	SLUZBY	\N	\N
370537	1260	1997-05-31	VYDAJ	VYBER	15	31417	SLUZBY	\N	\N
370538	1260	1997-06-30	VYDAJ	VYBER	15	20978	SLUZBY	\N	\N
370539	1260	1997-07-31	VYDAJ	VYBER	15	26088	SLUZBY	\N	\N
370540	1260	1997-08-31	VYDAJ	VYBER	15	25199	SLUZBY	\N	\N
370541	1260	1997-09-30	VYDAJ	VYBER	15	23604	SLUZBY	\N	\N
370542	1260	1997-10-31	VYDAJ	VYBER	15	28217	SLUZBY	\N	\N
370543	1260	1997-11-30	VYDAJ	VYBER	15	26432	SLUZBY	\N	\N
370544	1260	1997-12-31	VYDAJ	VYBER	15	26279	SLUZBY	\N	\N
370545	1260	1998-01-31	VYDAJ	VYBER	15	14897	SLUZBY	\N	\N
370546	1260	1998-02-28	VYDAJ	VYBER	15	18387	SLUZBY	\N	\N
370547	1260	1998-03-31	VYDAJ	VYBER	15	20970	SLUZBY	\N	\N
370548	1260	1998-04-30	VYDAJ	VYBER	15	26873	SLUZBY	\N	\N
370549	1260	1998-05-31	VYDAJ	VYBER	15	32701	SLUZBY	\N	\N
370550	1260	1998-06-30	VYDAJ	VYBER	15	35096	SLUZBY	\N	\N
370551	1260	1998-07-31	VYDAJ	VYBER	15	27439	SLUZBY	\N	\N
370552	1260	1998-08-31	VYDAJ	VYBER	15	21838	SLUZBY	\N	\N
370553	1260	1998-09-30	VYDAJ	VYBER	15	27060	SLUZBY	\N	\N
370554	1260	1998-10-31	VYDAJ	VYBER	15	23872	SLUZBY	\N	\N
370555	1260	1998-11-30	VYDAJ	VYBER	15	31914	SLUZBY	\N	\N
370556	1260	1996-12-17	PRIJEM	VKLAD	3600	24658	\N	\N	\N
370557	1260	1997-01-16	VYDAJ	VYBER	5600	33012	\N	\N	\N
370558	1260	1997-02-15	VYDAJ	VYBER	10800	36238	\N	\N	\N
370559	1260	1997-03-17	VYDAJ	VYBER	12500	37787	\N	\N	\N
370560	1260	1997-04-16	VYDAJ	VYBER	9900	35352	\N	\N	\N
370561	1260	1997-05-16	VYDAJ	VYBER	8400	31288	\N	\N	\N
370562	1260	1997-06-15	VYDAJ	VYBER	11700	33980	\N	\N	\N
370563	1260	1997-07-15	PRIJEM	VKLAD	100	28389	\N	\N	\N
370564	1260	1997-08-14	VYDAJ	VYBER	3500	25099	\N	\N	\N
370565	1260	1997-09-13	VYDAJ	VYBER	9000	23510	\N	\N	\N
370566	1260	1997-10-13	VYDAJ	VYBER	2800	28115	\N	\N	\N
370567	1260	1997-11-12	VYDAJ	VYBER	9200	26328	\N	\N	\N
370568	1260	1997-12-12	VYDAJ	VYBER	11800	28896	\N	\N	\N
370569	1260	1998-01-11	VYDAJ	VYBER	5200	20830	\N	\N	\N
370570	1260	1998-02-10	VYDAJ	VYBER	1000	21208	\N	\N	\N
370571	1260	1998-03-12	VYDAJ	VYBER	4800	20898	\N	\N	\N
370572	1260	1998-04-11	VYDAJ	VYBER	1500	26781	\N	\N	\N
370573	1260	1998-05-11	VYDAJ	VYBER	1600	32584	\N	\N	\N
370574	1260	1998-06-10	VYDAJ	VYBER	12000	34965	\N	\N	\N
370575	1260	1998-07-10	VYDAJ	VYBER	10400	32007	\N	\N	\N
370576	1260	1998-08-09	VYDAJ	VYBER	7000	25230	\N	\N	\N
370577	1260	1998-09-08	VYDAJ	VYBER	2200	19638	\N	\N	\N
370578	1260	1998-10-08	VYDAJ	VYBER	3400	23660	\N	\N	\N
370579	1260	1998-11-07	PRIJEM	VKLAD	2300	26172	\N	\N	\N
370580	1260	1998-12-07	PRIJEM	VKLAD	1700	33614	\N	\N	\N
370606	1261	1995-03-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
370610	1261	1995-04-10	PRIJEM	VKLAD	22906	23906	\N	\N	\N
370611	1261	1995-05-10	PRIJEM	VKLAD	22906	47359	\N	\N	\N
370612	1261	1995-06-10	PRIJEM	VKLAD	34359	67938	\N	\N	\N
370613	1261	1995-07-10	PRIJEM	VKLAD	22906	70713	\N	\N	\N
370614	1261	1995-08-10	PRIJEM	VKLAD	22906	72722	\N	\N	\N
370615	1261	1995-09-10	PRIJEM	VKLAD	22906	66588	\N	\N	\N
370616	1261	1995-10-10	PRIJEM	VKLAD	22906	62932	\N	\N	\N
370617	1261	1995-11-10	PRIJEM	VKLAD	22906	57867	\N	\N	\N
370618	1261	1995-12-10	PRIJEM	VKLAD	34359	72260	\N	\N	\N
370619	1261	1996-01-10	PRIJEM	VKLAD	22906	59453	\N	\N	\N
370620	1261	1996-02-10	PRIJEM	VKLAD	22906	41689	\N	\N	\N
370621	1261	1996-03-10	PRIJEM	VKLAD	22906	46953	\N	\N	\N
370622	1261	1996-04-10	PRIJEM	VKLAD	22906	50834	\N	\N	\N
370623	1261	1996-05-10	PRIJEM	VKLAD	22906	49618	\N	\N	\N
370624	1261	1996-06-10	PRIJEM	VKLAD	34359	61154	\N	\N	\N
370625	1261	1996-07-10	PRIJEM	VKLAD	22906	37859	\N	\N	\N
370626	1261	1996-08-10	PRIJEM	VKLAD	22906	40205	\N	\N	\N
370627	1261	1996-09-10	PRIJEM	VKLAD	22906	44351	\N	\N	\N
370628	1261	1996-10-10	PRIJEM	VKLAD	22906	48363	\N	\N	\N
370629	1261	1996-11-10	PRIJEM	VKLAD	22906	53594	\N	\N	\N
370630	1261	1996-12-10	PRIJEM	VKLAD	34359	62478	\N	\N	\N
370631	1261	1997-01-10	PRIJEM	VKLAD	22906	59105	\N	\N	\N
370632	1261	1997-02-10	PRIJEM	VKLAD	22906	53958	\N	\N	\N
370633	1261	1997-03-10	PRIJEM	VKLAD	22906	62397	\N	\N	\N
370634	1261	1997-04-10	PRIJEM	VKLAD	22906	64681	\N	\N	\N
370635	1261	1997-05-10	PRIJEM	VKLAD	22906	65282	\N	\N	\N
370636	1261	1997-06-10	PRIJEM	VKLAD	34359	71981	\N	\N	\N
370637	1261	1997-07-10	PRIJEM	VKLAD	22906	68194	\N	\N	\N
370638	1261	1997-08-10	PRIJEM	VKLAD	22906	70316	\N	\N	\N
370639	1261	1997-09-10	PRIJEM	VKLAD	22906	64301	\N	\N	\N
370640	1261	1997-10-10	PRIJEM	VKLAD	22906	61479	\N	\N	\N
370641	1261	1997-11-10	PRIJEM	VKLAD	22906	63161	\N	\N	\N
370642	1261	1997-12-10	PRIJEM	VKLAD	34359	77513	\N	\N	\N
370643	1261	1998-01-10	PRIJEM	VKLAD	22906	74182	\N	\N	\N
370644	1261	1998-02-10	PRIJEM	VKLAD	22906	68467	\N	\N	\N
370645	1261	1998-03-10	PRIJEM	VKLAD	22906	72063	\N	\N	\N
370646	1261	1998-04-10	PRIJEM	VKLAD	22906	74370	\N	\N	\N
370647	1261	1998-05-10	PRIJEM	VKLAD	22906	82237	\N	\N	\N
370648	1261	1998-06-10	PRIJEM	VKLAD	34359	97754	\N	\N	\N
370649	1261	1998-07-10	PRIJEM	VKLAD	22906	83290	\N	\N	\N
370650	1261	1998-08-10	PRIJEM	VKLAD	22906	82340	\N	\N	\N
370651	1261	1998-09-10	PRIJEM	VKLAD	22906	84385	\N	\N	\N
370652	1261	1998-10-10	PRIJEM	VKLAD	22906	86437	\N	\N	\N
370653	1261	1998-11-10	PRIJEM	VKLAD	22906	89398	\N	\N	\N
370654	1261	1998-12-10	PRIJEM	VKLAD	34359	103222	\N	\N	\N
370662	1261	1995-08-13	VYDAJ	PREVOD NA UCET	9222	63500	SIPO	CD	48037660
370663	1261	1995-09-13	VYDAJ	PREVOD NA UCET	9222	57366	SIPO	CD	48037660
370664	1261	1995-10-13	VYDAJ	PREVOD NA UCET	9222	53710	SIPO	CD	48037660
370665	1261	1995-11-13	VYDAJ	PREVOD NA UCET	9222	48645	SIPO	CD	48037660
370666	1261	1995-12-13	VYDAJ	PREVOD NA UCET	9222	63038	SIPO	CD	48037660
370667	1261	1996-01-13	VYDAJ	PREVOD NA UCET	9222	30431	SIPO	CD	48037660
370668	1261	1996-02-13	VYDAJ	PREVOD NA UCET	9222	23967	SIPO	CD	48037660
370669	1261	1996-03-13	VYDAJ	PREVOD NA UCET	9222	27831	SIPO	CD	48037660
370670	1261	1996-04-13	VYDAJ	PREVOD NA UCET	9222	26612	SIPO	CD	48037660
370671	1261	1996-05-13	VYDAJ	PREVOD NA UCET	9222	26696	SIPO	CD	48037660
370672	1261	1996-06-13	VYDAJ	PREVOD NA UCET	9222	14872	SIPO	CD	48037660
370673	1261	1996-07-13	VYDAJ	PREVOD NA UCET	9222	18337	SIPO	CD	48037660
370674	1261	1996-08-13	VYDAJ	PREVOD NA UCET	9222	30983	SIPO	CD	48037660
370675	1261	1996-09-13	VYDAJ	PREVOD NA UCET	9222	35129	SIPO	CD	48037660
370676	1261	1996-10-13	VYDAJ	PREVOD NA UCET	9222	39141	SIPO	CD	48037660
370677	1261	1996-11-13	VYDAJ	PREVOD NA UCET	9222	44372	SIPO	CD	48037660
370678	1261	1996-12-13	VYDAJ	PREVOD NA UCET	9222	53256	SIPO	CD	48037660
370679	1261	1997-01-13	VYDAJ	PREVOD NA UCET	9222	49883	SIPO	CD	48037660
370680	1261	1997-02-13	VYDAJ	PREVOD NA UCET	9222	44736	SIPO	CD	48037660
370681	1261	1997-03-13	VYDAJ	PREVOD NA UCET	9222	53175	SIPO	CD	48037660
370682	1261	1997-04-13	VYDAJ	PREVOD NA UCET	9222	55459	SIPO	CD	48037660
370683	1261	1997-05-13	VYDAJ	PREVOD NA UCET	9222	56060	SIPO	CD	48037660
370684	1261	1997-06-13	VYDAJ	PREVOD NA UCET	9222	62759	SIPO	CD	48037660
370685	1261	1997-07-13	VYDAJ	PREVOD NA UCET	9222	58972	SIPO	CD	48037660
370686	1261	1997-08-13	VYDAJ	PREVOD NA UCET	9222	61094	SIPO	CD	48037660
370687	1261	1997-09-13	VYDAJ	PREVOD NA UCET	9222	55079	SIPO	CD	48037660
370688	1261	1997-10-13	VYDAJ	PREVOD NA UCET	9222	52257	SIPO	CD	48037660
370689	1261	1997-11-13	VYDAJ	PREVOD NA UCET	9222	53939	SIPO	CD	48037660
370690	1261	1997-12-13	VYDAJ	PREVOD NA UCET	9222	68291	SIPO	CD	48037660
370691	1261	1998-01-13	VYDAJ	PREVOD NA UCET	9222	62320	SIPO	CD	48037660
370692	1261	1998-02-13	VYDAJ	PREVOD NA UCET	9222	59245	SIPO	CD	48037660
370693	1261	1998-03-13	VYDAJ	PREVOD NA UCET	9222	62841	SIPO	CD	48037660
370694	1261	1998-04-13	VYDAJ	PREVOD NA UCET	9222	65148	SIPO	CD	48037660
370695	1261	1998-05-13	VYDAJ	PREVOD NA UCET	9222	73015	SIPO	CD	48037660
370696	1261	1998-06-13	VYDAJ	PREVOD NA UCET	9222	88532	SIPO	CD	48037660
370697	1261	1998-07-13	VYDAJ	PREVOD NA UCET	9222	74068	SIPO	CD	48037660
370698	1261	1998-08-13	VYDAJ	PREVOD NA UCET	9222	73118	SIPO	CD	48037660
370699	1261	1998-09-13	VYDAJ	PREVOD NA UCET	9222	75163	SIPO	CD	48037660
370700	1261	1998-10-13	VYDAJ	PREVOD NA UCET	9222	77215	SIPO	CD	48037660
370701	1261	1998-11-13	VYDAJ	PREVOD NA UCET	9222	80176	SIPO	CD	48037660
370702	1261	1998-12-13	VYDAJ	PREVOD NA UCET	9222	91900	SIPO	CD	48037660
370704	1261	1996-06-10	VYDAJ	VYBER	33760	27394	\N	\N	\N
370705	1261	1997-06-05	VYDAJ	VYBER	16160	40122	\N	\N	\N
370706	1261	1998-06-17	VYDAJ	VYBER	16320	72212	\N	\N	\N
370709	1261	1997-01-30	VYDAJ	VYBER	7840	29683	\N	\N	\N
370710	1261	1998-01-21	VYDAJ	VYBER	5120	50720	\N	\N	\N
370711	1261	1995-12-24	VYDAJ	VYBER	4640	37598	\N	\N	\N
370712	1261	1996-12-13	VYDAJ	VYBER	4000	49256	\N	\N	\N
370713	1261	1997-12-07	VYDAJ	VYBER	3680	43154	\N	\N	\N
370714	1261	1998-12-13	VYDAJ	VYBER KARTOU	2100	101122	\N	\N	0
370721	1261	1996-01-05	VYDAJ	VYBER	1200	36547	\N	\N	\N
370722	1261	1996-01-22	VYDAJ	VYBER	3000	21911	\N	\N	\N
370723	1261	1996-01-10	VYDAJ	VYBER	600	58853	\N	\N	\N
370724	1261	1996-01-19	VYDAJ	VYBER	3480	24911	\N	\N	\N
370725	1261	1996-01-15	VYDAJ	VYBER	2040	28391	\N	\N	\N
370726	1261	1996-01-23	VYDAJ	VYBER	3240	18671	\N	\N	\N
370727	1261	1997-01-09	VYDAJ	VYBER	2160	36199	\N	\N	\N
370728	1261	1997-01-17	VYDAJ	VYBER	2880	43643	\N	\N	\N
370729	1261	1997-01-24	VYDAJ	VYBER	1320	42323	\N	\N	\N
370730	1261	1997-01-26	VYDAJ	VYBER	2160	40163	\N	\N	\N
370731	1261	1997-01-14	VYDAJ	VYBER	3360	46523	\N	\N	\N
370732	1261	1997-01-28	VYDAJ	VYBER	2640	37523	\N	\N	\N
370733	1261	1998-01-23	VYDAJ	VYBER	1080	49640	\N	\N	\N
370734	1261	1998-01-04	VYDAJ	VYBER	960	51276	\N	\N	\N
370735	1261	1998-01-18	VYDAJ	VYBER	1800	60520	\N	\N	\N
370736	1261	1998-01-20	VYDAJ	VYBER	3480	55840	\N	\N	\N
370737	1261	1998-01-11	VYDAJ	VYBER	2640	71542	\N	\N	\N
370738	1261	1998-01-18	VYDAJ	VYBER	1200	59320	\N	\N	\N
370741	1261	1995-11-17	VYDAJ	VYBER	600	37745	\N	\N	\N
370742	1261	1995-11-03	VYDAJ	VYBER	1680	34961	\N	\N	\N
370744	1261	1995-10-30	VYDAJ	VYBER	2520	36490	\N	\N	\N
370745	1261	1996-12-09	VYDAJ	VYBER	4320	28119	\N	\N	\N
370746	1261	1996-12-19	VYDAJ	VYBER	1200	45176	\N	\N	\N
370747	1261	1996-09-04	VYDAJ	VYBER	4440	26645	\N	\N	\N
370748	1261	1996-12-18	VYDAJ	VYBER	2880	46376	\N	\N	\N
370749	1261	1997-12-26	VYDAJ	VYBER	1800	66491	\N	\N	\N
370750	1261	1997-10-26	VYDAJ	VYBER	720	51537	\N	\N	\N
370751	1261	1997-11-15	VYDAJ	VYBER	5400	48539	\N	\N	\N
370752	1261	1997-11-02	VYDAJ	VYBER	2880	48855	\N	\N	\N
370753	1261	1997-09-06	VYDAJ	VYBER	1440	41395	\N	\N	\N
370754	1261	1997-10-05	VYDAJ	VYBER	5520	38573	\N	\N	\N
370755	1261	1998-02-24	VYDAJ	VYBER	1800	57445	\N	\N	\N
370756	1261	1998-06-23	VYDAJ	VYBER	1320	70892	\N	\N	\N
370757	1261	1998-11-27	VYDAJ	VYBER KARTOU	3100	77076	\N	\N	0
370758	1261	1998-04-03	VYDAJ	VYBER	3120	51464	\N	\N	\N
370759	1261	1998-04-23	VYDAJ	VYBER	2160	62988	\N	\N	\N
370768	1261	1995-08-31	VYDAJ	VYBER	15	43682	SLUZBY	\N	\N
370769	1261	1995-09-30	VYDAJ	VYBER	15	40026	SLUZBY	\N	\N
370770	1261	1995-10-31	VYDAJ	VYBER	15	36641	SLUZBY	\N	\N
370771	1261	1995-11-30	VYDAJ	VYBER	15	37901	SLUZBY	\N	\N
370772	1261	1995-12-31	VYDAJ	VYBER	15	37747	SLUZBY	\N	\N
370773	1261	1996-01-31	VYDAJ	VYBER	15	18783	SLUZBY	\N	\N
370774	1261	1996-02-29	VYDAJ	VYBER	15	24047	SLUZBY	\N	\N
370775	1261	1996-03-31	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
370776	1261	1996-04-30	VYDAJ	VYBER	15	26712	SLUZBY	\N	\N
370777	1261	1996-05-31	VYDAJ	VYBER	15	26795	SLUZBY	\N	\N
370778	1261	1996-06-30	VYDAJ	VYBER	15	14953	SLUZBY	\N	\N
370779	1261	1996-07-31	VYDAJ	VYBER	15	18399	SLUZBY	\N	\N
370780	1261	1996-08-31	VYDAJ	VYBER	15	31085	SLUZBY	\N	\N
370781	1261	1996-09-30	VYDAJ	VYBER	15	35257	SLUZBY	\N	\N
370782	1261	1996-10-31	VYDAJ	VYBER	15	39288	SLUZBY	\N	\N
370783	1261	1996-11-30	VYDAJ	VYBER	15	44539	SLUZBY	\N	\N
370784	1261	1996-12-31	VYDAJ	VYBER	15	45359	SLUZBY	\N	\N
370785	1261	1997-01-31	VYDAJ	VYBER	15	29852	SLUZBY	\N	\N
370786	1261	1997-02-28	VYDAJ	VYBER	15	44891	SLUZBY	\N	\N
370787	1261	1997-03-31	VYDAJ	VYBER	15	53375	SLUZBY	\N	\N
370788	1261	1997-04-30	VYDAJ	VYBER	15	55676	SLUZBY	\N	\N
370789	1261	1997-05-31	VYDAJ	VYBER	15	56282	SLUZBY	\N	\N
370790	1261	1997-06-30	VYDAJ	VYBER	15	62988	SLUZBY	\N	\N
370791	1261	1997-07-31	VYDAJ	VYBER	15	59210	SLUZBY	\N	\N
370792	1261	1997-08-31	VYDAJ	VYBER	15	61335	SLUZBY	\N	\N
370793	1261	1997-09-30	VYDAJ	VYBER	15	55293	SLUZBY	\N	\N
370794	1261	1997-10-31	VYDAJ	VYBER	15	51735	SLUZBY	\N	\N
370795	1261	1997-11-30	VYDAJ	VYBER	15	48734	SLUZBY	\N	\N
370796	1261	1997-12-31	VYDAJ	VYBER	15	66736	SLUZBY	\N	\N
370797	1261	1998-01-31	VYDAJ	VYBER	15	49861	SLUZBY	\N	\N
370798	1261	1998-02-28	VYDAJ	VYBER	15	57657	SLUZBY	\N	\N
370799	1261	1998-03-31	VYDAJ	VYBER	15	63084	SLUZBY	\N	\N
370800	1261	1998-04-30	VYDAJ	VYBER	15	63231	SLUZBY	\N	\N
370801	1261	1998-05-31	VYDAJ	VYBER	15	73295	SLUZBY	\N	\N
370802	1261	1998-06-30	VYDAJ	VYBER	15	60384	SLUZBY	\N	\N
370803	1261	1998-07-31	VYDAJ	VYBER	15	59434	SLUZBY	\N	\N
370804	1261	1998-08-31	VYDAJ	VYBER	15	61479	SLUZBY	\N	\N
370805	1261	1998-09-30	VYDAJ	VYBER	15	63531	SLUZBY	\N	\N
370806	1261	1998-10-31	VYDAJ	VYBER	15	66492	SLUZBY	\N	\N
370807	1261	1998-11-30	VYDAJ	VYBER	15	68863	SLUZBY	\N	\N
370808	1261	1995-04-17	PRIJEM	VKLAD	500	24406	\N	\N	\N
370809	1261	1995-05-17	VYDAJ	VYBER	13900	33459	\N	\N	\N
370810	1261	1995-06-16	VYDAJ	VYBER	20300	47638	\N	\N	\N
370811	1261	1995-07-16	VYDAJ	VYBER	21100	49613	\N	\N	\N
370812	1261	1995-08-15	VYDAJ	VYBER	20000	43500	\N	\N	\N
370813	1261	1995-09-14	VYDAJ	VYBER	17500	39866	\N	\N	\N
370814	1261	1995-10-14	VYDAJ	VYBER	14700	39010	\N	\N	\N
370815	1261	1995-11-13	VYDAJ	VYBER	10300	38345	\N	\N	\N
370816	1261	1995-12-13	VYDAJ	VYBER	20800	42238	\N	\N	\N
370817	1261	1996-01-12	VYDAJ	VYBER	19200	39653	\N	\N	\N
370818	1261	1996-02-11	VYDAJ	VYBER	8500	33189	\N	\N	\N
370819	1261	1996-03-12	VYDAJ	VYBER	9900	37053	\N	\N	\N
370820	1261	1996-04-11	VYDAJ	VYBER	15000	35834	\N	\N	\N
370821	1261	1996-05-11	VYDAJ	VYBER	13700	35918	\N	\N	\N
370822	1261	1996-06-10	VYDAJ	VYBER	3300	24094	\N	\N	\N
370823	1261	1996-07-10	VYDAJ	VYBER	10300	27559	\N	\N	\N
370824	1261	1996-08-09	VYDAJ	VYBER	1100	17299	\N	\N	\N
370825	1261	1996-09-08	VYDAJ	VYBER	5200	21445	\N	\N	\N
370826	1261	1996-10-08	VYDAJ	VYBER	9800	25457	\N	\N	\N
370827	1261	1996-11-07	VYDAJ	VYBER	8600	30688	\N	\N	\N
370828	1261	1996-12-07	VYDAJ	VYBER	12100	32439	\N	\N	\N
370829	1261	1997-01-06	VYDAJ	VYBER	7000	38359	\N	\N	\N
370830	1261	1997-02-05	PRIJEM	VKLAD	1200	31052	\N	\N	\N
370831	1261	1997-03-07	VYDAJ	VYBER	5400	39491	\N	\N	\N
370832	1261	1997-04-06	VYDAJ	VYBER	11600	41775	\N	\N	\N
370833	1261	1997-05-06	VYDAJ	VYBER	13300	42376	\N	\N	\N
370834	1261	1997-06-05	VYDAJ	VYBER	2500	37622	\N	\N	\N
370835	1261	1997-07-05	VYDAJ	VYBER	17700	45288	\N	\N	\N
370836	1261	1997-08-04	VYDAJ	VYBER	11800	47410	\N	\N	\N
370837	1261	1997-09-03	VYDAJ	VYBER	18500	42835	\N	\N	\N
370838	1261	1997-10-03	VYDAJ	VYBER	11200	44093	\N	\N	\N
370839	1261	1997-11-02	VYDAJ	VYBER	8600	40255	\N	\N	\N
370840	1261	1997-12-02	VYDAJ	VYBER	1900	46834	\N	\N	\N
370841	1261	1998-01-01	VYDAJ	VYBER	14500	52236	\N	\N	\N
370842	1261	1998-01-31	VYDAJ	VYBER	4300	45561	\N	\N	\N
370843	1261	1998-03-02	VYDAJ	VYBER	8500	49157	\N	\N	\N
370844	1261	1998-04-01	VYDAJ	VYBER	8500	54584	\N	\N	\N
370845	1261	1998-05-01	VYDAJ	VYBER	3900	59331	\N	\N	\N
370846	1261	1998-05-31	VYDAJ	VYBER	9900	63395	\N	\N	\N
370847	1261	1998-06-30	VYDAJ	VYBER	10800	60398	\N	\N	\N
370848	1261	1998-07-30	VYDAJ	VYBER	14900	59168	\N	\N	\N
370849	1261	1998-08-29	VYDAJ	VYBER	11900	61218	\N	\N	\N
370850	1261	1998-09-28	VYDAJ	VYBER	11900	63263	\N	\N	\N
370851	1261	1998-10-28	VYDAJ	VYBER	11000	66215	\N	\N	\N
370852	1261	1998-11-27	VYDAJ	VYBER	8500	68576	\N	\N	\N
370898	1262	1997-01-19	PRIJEM	VKLAD	400	400	\N	\N	\N
370900	1262	1997-02-11	PRIJEM	PREVOD Z UCTU	6747	7147	DUCHOD	ST	28803724
370901	1262	1997-03-11	PRIJEM	PREVOD Z UCTU	6747	13894	DUCHOD	ST	28803724
370902	1262	1997-04-11	PRIJEM	PREVOD Z UCTU	6747	20641	DUCHOD	ST	28803724
370903	1262	1997-05-11	PRIJEM	PREVOD Z UCTU	6747	27388	DUCHOD	ST	28803724
370904	1262	1997-06-11	PRIJEM	PREVOD Z UCTU	6747	34135	DUCHOD	ST	28803724
370905	1262	1997-07-11	PRIJEM	PREVOD Z UCTU	6747	23489	DUCHOD	ST	28803724
370906	1262	1997-08-11	PRIJEM	PREVOD Z UCTU	6747	27493	DUCHOD	ST	28803724
370907	1262	1997-09-11	PRIJEM	PREVOD Z UCTU	6747	31513	DUCHOD	ST	28803724
370908	1262	1997-10-11	PRIJEM	PREVOD Z UCTU	6747	35551	DUCHOD	ST	28803724
370909	1262	1997-11-11	PRIJEM	PREVOD Z UCTU	6747	31588	DUCHOD	ST	28803724
370910	1262	1997-12-11	PRIJEM	PREVOD Z UCTU	6747	25960	DUCHOD	ST	28803724
370911	1262	1998-01-11	PRIJEM	PREVOD Z UCTU	6747	23287	DUCHOD	ST	28803724
370912	1262	1998-02-11	PRIJEM	PREVOD Z UCTU	6747	22866	DUCHOD	ST	28803724
370913	1262	1998-03-11	PRIJEM	PREVOD Z UCTU	6747	26867	DUCHOD	ST	28803724
370914	1262	1998-04-11	PRIJEM	PREVOD Z UCTU	6747	29302	DUCHOD	ST	28803724
370915	1262	1998-05-11	PRIJEM	PREVOD Z UCTU	6747	32830	DUCHOD	ST	28803724
370916	1262	1998-06-11	PRIJEM	PREVOD Z UCTU	6747	35369	DUCHOD	ST	28803724
370917	1262	1998-07-11	PRIJEM	PREVOD Z UCTU	6747	29521	DUCHOD	ST	28803724
370918	1262	1998-08-11	PRIJEM	PREVOD Z UCTU	6747	32909	DUCHOD	ST	28803724
370919	1262	1998-09-11	PRIJEM	PREVOD Z UCTU	6747	36952	DUCHOD	ST	28803724
370920	1262	1998-10-11	PRIJEM	PREVOD Z UCTU	6747	36411	DUCHOD	ST	28803724
370921	1262	1998-11-11	PRIJEM	PREVOD Z UCTU	6747	35541	DUCHOD	ST	28803724
370922	1262	1998-12-11	PRIJEM	PREVOD Z UCTU	6747	35491	DUCHOD	ST	28803724
370929	1262	1997-07-08	VYDAJ	PREVOD NA UCET	2821	16742	SIPO	EF	16308558
370930	1262	1997-08-08	VYDAJ	PREVOD NA UCET	2821	20746	SIPO	EF	16308558
370931	1262	1997-09-08	VYDAJ	PREVOD NA UCET	2821	24766	SIPO	EF	16308558
370932	1262	1997-10-08	VYDAJ	PREVOD NA UCET	2821	28804	SIPO	EF	16308558
370933	1262	1997-11-08	VYDAJ	PREVOD NA UCET	2821	24841	SIPO	EF	16308558
370934	1262	1997-12-08	VYDAJ	PREVOD NA UCET	2821	19213	SIPO	EF	16308558
370935	1262	1998-01-08	VYDAJ	PREVOD NA UCET	2821	17820	SIPO	EF	16308558
370936	1262	1998-02-08	VYDAJ	PREVOD NA UCET	2821	16119	SIPO	EF	16308558
370937	1262	1998-03-08	VYDAJ	PREVOD NA UCET	2821	20120	SIPO	EF	16308558
370938	1262	1998-04-08	VYDAJ	PREVOD NA UCET	2821	22555	SIPO	EF	16308558
370939	1262	1998-05-08	VYDAJ	PREVOD NA UCET	2821	26083	SIPO	EF	16308558
370940	1262	1998-06-08	VYDAJ	PREVOD NA UCET	2821	28622	SIPO	EF	16308558
370941	1262	1998-07-08	VYDAJ	PREVOD NA UCET	2821	22774	SIPO	EF	16308558
370942	1262	1998-08-08	VYDAJ	PREVOD NA UCET	2821	26162	SIPO	EF	16308558
370943	1262	1998-09-08	VYDAJ	PREVOD NA UCET	2821	30205	SIPO	EF	16308558
370944	1262	1998-10-08	VYDAJ	PREVOD NA UCET	2821	29664	SIPO	EF	16308558
370945	1262	1998-11-08	VYDAJ	PREVOD NA UCET	2821	28794	SIPO	EF	16308558
370946	1262	1998-12-08	VYDAJ	PREVOD NA UCET	2821	30844	SIPO	EF	16308558
370947	1262	1997-06-22	VYDAJ	VYBER	12400	19535	\N	\N	\N
370948	1262	1998-06-11	VYDAJ	VYBER	9900	25469	\N	\N	\N
370950	1262	1998-01-11	VYDAJ	VYBER	500	22787	\N	\N	\N
370951	1262	1997-12-01	VYDAJ	VYBER	1050	24034	\N	\N	\N
370952	1262	1998-12-19	VYDAJ	VYBER	450	35041	\N	\N	\N
370959	1262	1998-01-28	VYDAJ	VYBER	400	19827	\N	\N	\N
370960	1262	1998-01-29	VYDAJ	VYBER	960	18867	\N	\N	\N
370961	1262	1998-01-01	VYDAJ	VYBER	1680	21281	\N	\N	\N
370962	1262	1998-01-03	VYDAJ	VYBER	640	20641	\N	\N	\N
370963	1262	1998-01-10	VYDAJ	VYBER	1280	16540	\N	\N	\N
370964	1262	1998-01-25	VYDAJ	VYBER	1280	20227	\N	\N	\N
370965	1262	1997-12-13	VYDAJ	VYBER	480	25480	\N	\N	\N
370967	1262	1997-12-03	VYDAJ	VYBER	2000	22034	\N	\N	\N
370968	1262	1998-04-08	VYDAJ	VYBER	480	25376	\N	\N	\N
370969	1262	1998-11-18	VYDAJ	VYBER	2000	33541	\N	\N	\N
370970	1262	1998-08-07	VYDAJ	VYBER	640	28983	\N	\N	\N
370971	1262	1998-01-19	VYDAJ	VYBER	1280	21507	\N	\N	\N
370972	1262	1998-10-29	VYDAJ	VYBER	2720	31491	\N	\N	\N
370979	1262	1997-06-30	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
370980	1262	1997-07-31	VYDAJ	VYBER	15	23567	SLUZBY	\N	\N
370981	1262	1997-08-31	VYDAJ	VYBER	15	27587	SLUZBY	\N	\N
370982	1262	1997-09-30	VYDAJ	VYBER	15	31625	SLUZBY	\N	\N
370983	1262	1997-10-31	VYDAJ	VYBER	15	27662	SLUZBY	\N	\N
370984	1262	1997-11-30	VYDAJ	VYBER	15	25084	SLUZBY	\N	\N
370985	1262	1997-12-31	VYDAJ	VYBER	15	22961	SLUZBY	\N	\N
370986	1262	1998-01-31	VYDAJ	VYBER	15	18940	SLUZBY	\N	\N
370987	1262	1998-02-28	VYDAJ	VYBER	15	22941	SLUZBY	\N	\N
370988	1262	1998-03-31	VYDAJ	VYBER	15	25856	SLUZBY	\N	\N
370989	1262	1998-04-30	VYDAJ	VYBER	15	28904	SLUZBY	\N	\N
370990	1262	1998-05-31	VYDAJ	VYBER	15	31443	SLUZBY	\N	\N
370991	1262	1998-06-30	VYDAJ	VYBER	15	25595	SLUZBY	\N	\N
370992	1262	1998-07-31	VYDAJ	VYBER	15	29623	SLUZBY	\N	\N
370993	1262	1998-08-31	VYDAJ	VYBER	15	33026	SLUZBY	\N	\N
370994	1262	1998-09-30	VYDAJ	VYBER	15	32485	SLUZBY	\N	\N
370995	1262	1998-10-31	VYDAJ	VYBER	15	31615	SLUZBY	\N	\N
370996	1262	1998-11-30	VYDAJ	VYBER	15	33665	SLUZBY	\N	\N
370997	1262	1997-06-18	VYDAJ	VYBER	2200	31935	\N	\N	\N
370998	1262	1997-10-16	VYDAJ	VYBER	8000	27551	\N	\N	\N
370999	1262	1997-11-15	VYDAJ	VYBER	6600	24988	\N	\N	\N
371000	1262	1997-12-15	VYDAJ	VYBER	2600	22880	\N	\N	\N
371001	1262	1998-03-15	VYDAJ	VYBER	1100	25767	\N	\N	\N
371002	1262	1998-04-14	VYDAJ	VYBER	500	28802	\N	\N	\N
371003	1262	1998-05-14	VYDAJ	VYBER	1500	31330	\N	\N	\N
371004	1262	1998-09-11	VYDAJ	VYBER	4600	32352	\N	\N	\N
371005	1262	1998-10-11	VYDAJ	VYBER	2200	34211	\N	\N	\N
371006	1262	1998-12-10	VYDAJ	VYBER	2100	28744	\N	\N	\N
371026	1263	1996-01-09	PRIJEM	VKLAD	200	200	\N	\N	\N
371027	1263	1996-09-20	PRIJEM	VKLAD	18699	62137	\N	\N	\N
371028	1263	1996-06-24	PRIJEM	VKLAD	18767	111856	\N	\N	\N
371029	1263	1996-11-28	PRIJEM	VKLAD	44045	100801	\N	\N	\N
371030	1263	1996-09-24	PRIJEM	VKLAD	21019	83156	\N	\N	\N
371031	1263	1996-03-16	PRIJEM	VKLAD	11599	68526	\N	\N	\N
371032	1263	1996-07-07	PRIJEM	VKLAD	19600	96162	\N	\N	\N
371033	1263	1996-05-26	PRIJEM	VKLAD	49126	125861	\N	\N	\N
371034	1263	1996-08-10	PRIJEM	VKLAD	45001	100407	\N	\N	\N
371035	1263	1996-02-22	PRIJEM	VKLAD	31658	55273	\N	\N	\N
371036	1263	1996-06-06	PRIJEM	VKLAD	13145	89111	\N	\N	\N
371037	1263	1996-10-24	PRIJEM	VKLAD	18140	113214	\N	\N	\N
371038	1263	1996-01-18	PRIJEM	VKLAD	10157	10357	\N	\N	\N
371039	1263	1996-09-03	PRIJEM	VKLAD	24318	116338	\N	\N	\N
371040	1263	1996-06-15	PRIJEM	VKLAD	48378	105089	\N	\N	\N
371041	1263	1996-04-05	PRIJEM	VKLAD	31881	110738	\N	\N	\N
371042	1263	1996-01-27	PRIJEM	VKLAD	13629	23986	\N	\N	\N
371044	1263	1996-07-12	PRIJEM	VKLAD	28729	89991	\N	\N	\N
371045	1263	1996-03-07	PRIJEM	VKLAD	31218	86627	\N	\N	\N
371046	1263	1996-08-29	PRIJEM	VKLAD	18260	118667	\N	\N	\N
371047	1263	1996-12-13	PRIJEM	VKLAD	10849	73173	\N	\N	\N
371048	1263	1996-10-16	PRIJEM	VKLAD	49582	95074	\N	\N	\N
371049	1263	1996-11-05	PRIJEM	VKLAD	19604	56756	\N	\N	\N
371050	1263	1996-03-30	PRIJEM	VKLAD	10098	78624	\N	\N	\N
371051	1263	1996-05-13	PRIJEM	VKLAD	39743	81535	\N	\N	\N
371052	1263	1997-10-15	PRIJEM	VKLAD	9199	39186	\N	\N	\N
371053	1263	1997-05-09	PRIJEM	VKLAD	43729	99185	\N	\N	\N
371054	1263	1997-05-12	PRIJEM	VKLAD	14105	113290	\N	\N	\N
371055	1263	1997-06-04	PRIJEM	VKLAD	36485	99159	\N	\N	\N
371056	1263	1997-05-03	PRIJEM	VKLAD	26364	74556	\N	\N	\N
371057	1263	1997-03-27	PRIJEM	VKLAD	33899	63148	\N	\N	\N
371058	1263	1997-11-21	PRIJEM	VKLAD	21831	61713	\N	\N	\N
371059	1263	1998-09-08	PRIJEM	VKLAD	25782	66093	\N	\N	\N
371060	1263	1998-12-12	PRIJEM	VKLAD	14712	60350	\N	\N	\N
371061	1263	1998-07-19	PRIJEM	VKLAD	49877	79495	\N	\N	\N
371062	1263	1998-10-28	PRIJEM	VKLAD	26984	89233	\N	\N	\N
371063	1263	1998-09-08	PRIJEM	VKLAD	29037	95130	\N	\N	\N
371064	1263	1998-05-12	PRIJEM	VKLAD	7846	38260	\N	\N	\N
371065	1263	1998-12-19	PRIJEM	VKLAD	22580	82930	\N	\N	\N
371066	1263	1998-11-26	PRIJEM	VKLAD	46785	112228	\N	\N	\N
371067	1263	1998-02-18	PRIJEM	VKLAD	31508	56693	\N	\N	\N
371068	1263	1998-10-16	PRIJEM	VKLAD	23448	83849	\N	\N	\N
371069	1263	1998-10-29	PRIJEM	VKLAD	13274	102507	\N	\N	\N
371070	1263	1998-06-27	PRIJEM	VKLAD	10534	39355	\N	\N	\N
371071	1263	1998-11-16	PRIJEM	VKLAD	42796	145543	\N	\N	\N
371072	1263	1998-12-23	PRIJEM	VKLAD	12936	75116	\N	\N	\N
371076	1263	1997-09-25	VYBER	VYBER	4554	25865	\N	\N	\N
371078	1263	1998-12-19	VYBER	VYBER	20750	62180	\N	\N	\N
371079	1263	1998-05-21	VYBER	VYBER	3076	25728	\N	\N	\N
371080	1263	1998-07-22	VYBER	VYBER	3807	66688	\N	\N	\N
371083	1263	1998-05-14	VYBER	VYBER	9456	28804	\N	\N	\N
371084	1263	1998-07-08	VYBER	VYBER	6530	29618	\N	\N	\N
371086	1263	1996-06-03	VYDAJ	VYBER	24600	75966	\N	\N	\N
371087	1263	1997-06-14	VYDAJ	VYBER	16500	75759	\N	\N	\N
371090	1263	1997-01-02	VYDAJ	VYBER	28800	31484	\N	\N	\N
371092	1263	1996-12-22	VYDAJ	VYBER	6600	66573	\N	\N	\N
371093	1263	1997-12-24	VYDAJ	VYBER	7500	40950	\N	\N	\N
371094	1263	1998-12-24	VYDAJ	VYBER	1800	73316	\N	\N	\N
371102	1263	1997-01-05	VYDAJ	VYBER	2100	29084	\N	\N	\N
371103	1263	1997-01-01	VYDAJ	VYBER	6600	60284	\N	\N	\N
371104	1263	1997-01-09	VYDAJ	VYBER	3300	25784	\N	\N	\N
371107	1263	1998-01-04	VYDAJ	VYBER	6600	27111	\N	\N	\N
371108	1263	1998-01-01	VYDAJ	VYBER	2100	33711	\N	\N	\N
371109	1263	1998-01-08	VYDAJ	VYBER	3900	23211	\N	\N	\N
371113	1263	1996-05-19	VYDAJ	VYBER	4800	76735	\N	\N	\N
371114	1263	1996-10-13	VYDAJ	VYBER	8700	45492	\N	\N	\N
371115	1263	1996-06-15	VYDAJ	VYBER	12000	93089	\N	\N	\N
371116	1263	1996-08-04	VYDAJ	VYBER	2100	88206	\N	\N	\N
371118	1263	1996-09-09	VYDAJ	VYBER	2700	43438	\N	\N	\N
371119	1263	1997-06-12	VYDAJ	VYBER	6900	92259	\N	\N	\N
371121	1263	1997-09-13	VYDAJ	VYBER	8700	30419	\N	\N	\N
371122	1263	1997-08-19	VYDAJ	VYBER	14400	34061	\N	\N	\N
371123	1263	1997-12-26	VYDAJ	VYBER	2700	38250	\N	\N	\N
371125	1263	1998-12-08	VYDAJ	VYBER	8700	45638	\N	\N	\N
371126	1263	1998-11-21	VYDAJ	VYBER	9900	94343	\N	\N	\N
371128	1263	1998-03-31	VYDAJ	VYBER	2400	33536	\N	\N	\N
371129	1263	1998-07-19	VYDAJ	VYBER	9000	70495	\N	\N	\N
371130	1263	1998-03-02	VYDAJ	VYBER	3900	36671	\N	\N	\N
371131	1263	1998-09-18	VYDAJ	VYBER	11400	83730	\N	\N	\N
371132	1263	1998-05-11	VYDAJ	VYBER	2100	30414	\N	\N	\N
371136	1263	1996-03-31	VYDAJ	VYBER	30	78857	SLUZBY	\N	\N
371137	1263	1996-04-30	VYDAJ	VYBER	30	61192	SLUZBY	\N	\N
371138	1263	1996-05-31	VYDAJ	VYBER	30	100566	SLUZBY	\N	\N
371139	1263	1996-06-30	VYDAJ	VYBER	30	76562	SLUZBY	\N	\N
371140	1263	1996-07-31	VYDAJ	VYBER	30	90306	SLUZBY	\N	\N
371141	1263	1996-08-31	VYDAJ	VYBER	30	92020	SLUZBY	\N	\N
371142	1263	1996-09-30	VYDAJ	VYBER	30	83392	SLUZBY	\N	\N
371143	1263	1996-10-31	VYDAJ	VYBER	30	53852	SLUZBY	\N	\N
371144	1263	1996-11-30	VYDAJ	VYBER	30	101024	SLUZBY	\N	\N
371145	1263	1996-12-31	VYDAJ	VYBER	30	66884	SLUZBY	\N	\N
371146	1263	1997-01-31	VYDAJ	VYBER	30	25871	SLUZBY	\N	\N
371147	1263	1997-02-28	VYDAJ	VYBER	30	28949	SLUZBY	\N	\N
371148	1263	1997-03-31	VYDAJ	VYBER	30	63261	SLUZBY	\N	\N
371149	1263	1997-04-30	VYDAJ	VYBER	30	48192	SLUZBY	\N	\N
371150	1263	1997-05-31	VYDAJ	VYBER	30	86174	SLUZBY	\N	\N
371151	1263	1997-06-30	VYDAJ	VYBER	30	76078	SLUZBY	\N	\N
371152	1263	1997-07-31	VYDAJ	VYBER	30	53261	SLUZBY	\N	\N
371153	1263	1997-08-31	VYDAJ	VYBER	30	39119	SLUZBY	\N	\N
371154	1263	1997-09-30	VYDAJ	VYBER	30	29987	SLUZBY	\N	\N
371155	1263	1997-10-31	VYDAJ	VYBER	30	39882	SLUZBY	\N	\N
371156	1263	1997-11-30	VYDAJ	VYBER	30	48450	SLUZBY	\N	\N
371157	1263	1997-12-31	VYDAJ	VYBER	30	35811	SLUZBY	\N	\N
371158	1263	1998-01-31	VYDAJ	VYBER	30	25185	SLUZBY	\N	\N
371159	1263	1998-02-28	VYDAJ	VYBER	30	40571	SLUZBY	\N	\N
371160	1263	1998-03-31	VYDAJ	VYBER	30	33506	SLUZBY	\N	\N
371161	1263	1998-04-30	VYDAJ	VYBER	30	32514	SLUZBY	\N	\N
371162	1263	1998-05-31	VYDAJ	VYBER	30	28821	SLUZBY	\N	\N
371163	1263	1998-06-30	VYDAJ	VYBER	30	36148	SLUZBY	\N	\N
371164	1263	1998-07-31	VYDAJ	VYBER	30	46948	SLUZBY	\N	\N
371165	1263	1998-08-31	VYDAJ	VYBER	30	40311	SLUZBY	\N	\N
371166	1263	1998-09-30	VYDAJ	VYBER	30	60401	SLUZBY	\N	\N
371167	1263	1998-10-31	VYDAJ	VYBER	30	102747	SLUZBY	\N	\N
371168	1263	1998-11-30	VYDAJ	VYBER	30	54338	SLUZBY	\N	\N
371169	1263	1996-02-08	VYDAJ	VYBER	400	23615	\N	\N	\N
371170	1263	1996-03-09	VYDAJ	VYBER	29700	56927	\N	\N	\N
371171	1263	1996-04-05	VYDAJ	VYBER	15800	94938	\N	\N	\N
371172	1263	1996-04-08	VYDAJ	VYBER	34000	60938	\N	\N	\N
371173	1263	1996-05-08	VYDAJ	VYBER	19400	41792	\N	\N	\N
371174	1263	1996-05-26	VYDAJ	VYBER	25600	100261	\N	\N	\N
371175	1263	1996-06-07	VYDAJ	VYBER	32400	56711	\N	\N	\N
371176	1263	1996-06-24	VYDAJ	VYBER	35600	76256	\N	\N	\N
371177	1263	1996-07-07	VYDAJ	VYBER	34900	61262	\N	\N	\N
371178	1263	1996-08-06	VYDAJ	VYBER	32800	55406	\N	\N	\N
371179	1263	1996-08-29	VYDAJ	VYBER	27000	91667	\N	\N	\N
371180	1263	1996-09-03	VYDAJ	VYBER	49700	66638	\N	\N	\N
371181	1263	1996-09-05	VYDAJ	VYBER	20500	46138	\N	\N	\N
371182	1263	1996-10-05	VYDAJ	VYBER	29200	54192	\N	\N	\N
371183	1263	1996-10-24	VYDAJ	VYBER	59700	53514	\N	\N	\N
371184	1263	1996-11-04	VYDAJ	VYBER	16700	37152	\N	\N	\N
371185	1263	1996-12-04	VYDAJ	VYBER	38700	62324	\N	\N	\N
371186	1263	1997-01-03	VYDAJ	VYBER	300	31184	\N	\N	\N
371187	1263	1997-02-02	PRIJEM	VKLAD	3000	28871	\N	\N	\N
371188	1263	1997-03-04	PRIJEM	VKLAD	300	29249	\N	\N	\N
371189	1263	1997-04-03	VYDAJ	VYBER	15300	47961	\N	\N	\N
371190	1263	1997-05-03	VYDAJ	VYBER	19100	55456	\N	\N	\N
371191	1263	1997-05-12	VYDAJ	VYBER	27500	85790	\N	\N	\N
371192	1263	1997-06-02	VYDAJ	VYBER	23500	62674	\N	\N	\N
371193	1263	1997-07-02	VYDAJ	VYBER	23100	52978	\N	\N	\N
371194	1263	1997-08-01	VYDAJ	VYBER	4800	48461	\N	\N	\N
371195	1263	1997-08-31	PRIJEM	VKLAD	4900	39149	\N	\N	\N
371196	1263	1997-09-30	PRIJEM	VKLAD	4000	29865	\N	\N	\N
371197	1263	1997-10-30	PRIJEM	VKLAD	600	39786	\N	\N	\N
371198	1263	1997-11-29	VYDAJ	VYBER	13400	48313	\N	\N	\N
371199	1263	1997-12-29	VYDAJ	VYBER	2600	35650	\N	\N	\N
371200	1263	1998-01-28	PRIJEM	VKLAD	1900	25111	\N	\N	\N
371201	1263	1998-02-27	VYDAJ	VYBER	16200	40493	\N	\N	\N
371202	1263	1998-03-29	VYDAJ	VYBER	900	35771	\N	\N	\N
371203	1263	1998-04-28	VYDAJ	VYBER	1100	32406	\N	\N	\N
371204	1263	1998-05-28	PRIJEM	VKLAD	3000	28728	\N	\N	\N
371205	1263	1998-06-27	VYDAJ	VYBER	3300	36055	\N	\N	\N
371206	1263	1998-07-27	VYDAJ	VYBER	19900	46788	\N	\N	\N
371207	1263	1998-08-26	VYDAJ	VYBER	6800	40148	\N	\N	\N
371208	1263	1998-09-25	VYDAJ	VYBER	23600	60130	\N	\N	\N
371209	1263	1998-10-25	VYDAJ	VYBER	21600	62249	\N	\N	\N
371210	1263	1998-11-16	VYDAJ	VYBER	41300	104243	\N	\N	\N
371211	1263	1998-11-24	VYDAJ	VYBER	28900	65443	\N	\N	\N
371212	1263	1998-11-26	VYDAJ	VYBER	58300	53928	\N	\N	\N
371249	1264	1997-02-16	PRIJEM	VKLAD	900	900	\N	\N	\N
371252	1264	1997-03-05	PRIJEM	VKLAD	16819	17719	\N	\N	\N
371253	1264	1997-04-05	PRIJEM	VKLAD	16819	40683	\N	\N	\N
371254	1264	1997-05-05	PRIJEM	VKLAD	16819	52223	\N	\N	\N
371255	1264	1997-06-05	PRIJEM	VKLAD	25229	66511	\N	\N	\N
371256	1264	1997-07-05	PRIJEM	VKLAD	16819	68422	\N	\N	\N
371257	1264	1997-08-05	PRIJEM	VKLAD	16819	62237	\N	\N	\N
371258	1264	1997-09-05	PRIJEM	VKLAD	16819	58830	\N	\N	\N
371259	1264	1997-10-05	PRIJEM	VKLAD	16819	59015	\N	\N	\N
371260	1264	1997-11-05	PRIJEM	VKLAD	16819	51283	\N	\N	\N
371261	1264	1997-12-05	PRIJEM	VKLAD	25229	57239	\N	\N	\N
371262	1264	1998-01-05	PRIJEM	VKLAD	16819	49099	\N	\N	\N
371263	1264	1998-02-05	PRIJEM	VKLAD	16819	30968	\N	\N	\N
371264	1264	1998-03-05	PRIJEM	VKLAD	16819	37852	\N	\N	\N
371265	1264	1998-04-05	PRIJEM	VKLAD	16819	46470	\N	\N	\N
371266	1264	1998-05-05	PRIJEM	VKLAD	16819	54122	\N	\N	\N
371267	1264	1998-06-05	PRIJEM	VKLAD	25229	65903	\N	\N	\N
371268	1264	1998-07-05	PRIJEM	VKLAD	16819	52307	\N	\N	\N
371269	1264	1998-08-05	PRIJEM	VKLAD	16819	61085	\N	\N	\N
371270	1264	1998-09-05	PRIJEM	VKLAD	16819	63681	\N	\N	\N
371271	1264	1998-10-05	PRIJEM	VKLAD	16819	64481	\N	\N	\N
371272	1264	1998-11-05	PRIJEM	VKLAD	16819	67792	\N	\N	\N
371273	1264	1998-12-05	PRIJEM	VKLAD	25229	80128	\N	\N	\N
371280	1264	1997-07-06	VYDAJ	PREVOD NA UCET	6605	61817	SIPO	YZ	35251403
371281	1264	1997-08-06	VYDAJ	PREVOD NA UCET	6605	55632	SIPO	YZ	35251403
371282	1264	1997-09-06	VYDAJ	PREVOD NA UCET	6605	52225	SIPO	YZ	35251403
371283	1264	1997-10-06	VYDAJ	PREVOD NA UCET	6605	52410	SIPO	YZ	35251403
371284	1264	1997-11-06	VYDAJ	PREVOD NA UCET	6605	44678	SIPO	YZ	35251403
371285	1264	1997-12-06	VYDAJ	PREVOD NA UCET	6605	50634	SIPO	YZ	35251403
371286	1264	1998-01-06	VYDAJ	PREVOD NA UCET	6605	42494	SIPO	YZ	35251403
371287	1264	1998-02-06	VYDAJ	PREVOD NA UCET	6605	24363	SIPO	YZ	35251403
371288	1264	1998-03-06	VYDAJ	PREVOD NA UCET	6605	31247	SIPO	YZ	35251403
371289	1264	1998-04-06	VYDAJ	PREVOD NA UCET	6605	39865	SIPO	YZ	35251403
371290	1264	1998-05-06	VYDAJ	PREVOD NA UCET	6605	47517	SIPO	YZ	35251403
371291	1264	1998-06-06	VYDAJ	PREVOD NA UCET	6605	59298	SIPO	YZ	35251403
371292	1264	1998-07-06	VYDAJ	PREVOD NA UCET	6605	45702	SIPO	YZ	35251403
371293	1264	1998-08-06	VYDAJ	PREVOD NA UCET	6605	54480	SIPO	YZ	35251403
371294	1264	1998-09-06	VYDAJ	PREVOD NA UCET	6605	57076	SIPO	YZ	35251403
371295	1264	1998-10-06	VYDAJ	PREVOD NA UCET	6605	57876	SIPO	YZ	35251403
371296	1264	1998-11-06	VYDAJ	PREVOD NA UCET	6605	61187	SIPO	YZ	35251403
371297	1264	1998-12-06	VYDAJ	PREVOD NA UCET	6605	73523	SIPO	YZ	35251403
371299	1264	1998-06-28	VYDAJ	VYBER	5440	35318	\N	\N	\N
371301	1264	1998-01-24	VYDAJ	VYBER	14560	14034	\N	\N	\N
371302	1264	1997-12-19	VYDAJ	VYBER KARTOU	1100	35334	\N	\N	0
371303	1264	1998-12-23	VYDAJ	VYBER KARTOU	2900	54023	\N	\N	0
371311	1264	1998-01-20	VYDAJ	VYBER KARTOU	1900	28594	\N	\N	0
371312	1264	1998-01-02	VYDAJ	VYBER KARTOU	3200	32280	\N	\N	0
371314	1264	1998-01-09	VYDAJ	VYBER KARTOU	2900	39594	\N	\N	0
371315	1264	1998-01-12	VYDAJ	VYBER KARTOU	1600	37994	\N	\N	0
371316	1264	1997-10-19	VYDAJ	VYBER	1200	34310	\N	\N	\N
371321	1264	1998-06-19	VYDAJ	VYBER	5760	40758	\N	\N	\N
371323	1264	1998-04-20	VYDAJ	VYBER KARTOU	1100	37165	\N	\N	0
371325	1264	1998-12-26	VYDAJ	VYBER KARTOU	2600	51423	\N	\N	0
371326	1264	1998-06-10	VYDAJ	VYBER KARTOU	2600	50818	\N	\N	0
371327	1264	1998-06-09	VYDAJ	VYBER	5880	53418	\N	\N	\N
371335	1264	1997-07-31	VYDAJ	VYBER	15	45418	SLUZBY	\N	\N
371336	1264	1997-08-31	VYDAJ	VYBER	15	42011	SLUZBY	\N	\N
371337	1264	1997-09-30	VYDAJ	VYBER	15	42196	SLUZBY	\N	\N
371338	1264	1997-10-31	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
371339	1264	1997-11-30	VYDAJ	VYBER	15	32011	SLUZBY	\N	\N
371340	1264	1997-12-31	VYDAJ	VYBER	15	35480	SLUZBY	\N	\N
371341	1264	1998-01-31	VYDAJ	VYBER	15	14149	SLUZBY	\N	\N
371342	1264	1998-02-28	VYDAJ	VYBER	15	21033	SLUZBY	\N	\N
371343	1264	1998-03-31	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
371344	1264	1998-04-30	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
371345	1264	1998-05-31	VYDAJ	VYBER	15	40675	SLUZBY	\N	\N
371346	1264	1998-06-30	VYDAJ	VYBER	15	35488	SLUZBY	\N	\N
371347	1264	1998-07-31	VYDAJ	VYBER	15	44266	SLUZBY	\N	\N
371348	1264	1998-08-31	VYDAJ	VYBER	15	46862	SLUZBY	\N	\N
371349	1264	1998-09-30	VYDAJ	VYBER	15	47662	SLUZBY	\N	\N
371350	1264	1998-10-31	VYDAJ	VYBER	15	50973	SLUZBY	\N	\N
371351	1264	1998-11-30	VYDAJ	VYBER	15	54899	SLUZBY	\N	\N
371352	1264	1997-03-18	PRIJEM	VKLAD	6100	23819	\N	\N	\N
371353	1264	1997-04-17	VYDAJ	VYBER	5400	35283	\N	\N	\N
371354	1264	1997-05-17	VYDAJ	VYBER	11100	41123	\N	\N	\N
371355	1264	1997-06-16	VYDAJ	VYBER	15100	51411	\N	\N	\N
371356	1264	1997-07-16	VYDAJ	VYBER	16600	45217	\N	\N	\N
371357	1264	1997-08-15	VYDAJ	VYBER	13800	41832	\N	\N	\N
371358	1264	1997-09-14	VYDAJ	VYBER	10200	42025	\N	\N	\N
371359	1264	1997-10-14	VYDAJ	VYBER	16900	35510	\N	\N	\N
371360	1264	1997-11-13	VYDAJ	VYBER	12800	31878	\N	\N	\N
371361	1264	1997-12-13	VYDAJ	VYBER	14200	36434	\N	\N	\N
371362	1264	1998-01-12	VYDAJ	VYBER	7500	30494	\N	\N	\N
371363	1264	1998-02-11	VYDAJ	VYBER KARTOU	3400	20963	\N	\N	0
371364	1264	1998-03-13	VYDAJ	VYBER KARTOU	1700	29547	\N	\N	0
371365	1264	1998-04-12	VYDAJ	VYBER KARTOU	1600	38265	\N	\N	0
371366	1264	1998-05-12	VYDAJ	VYBER	7000	40517	\N	\N	\N
371367	1264	1998-06-11	VYDAJ	VYBER	4300	46518	\N	\N	\N
371368	1264	1998-07-11	VYDAJ	VYBER KARTOU	1600	44102	\N	\N	0
371369	1264	1998-08-10	VYDAJ	VYBER	7800	46680	\N	\N	\N
371370	1264	1998-09-09	VYDAJ	VYBER	9600	47476	\N	\N	\N
371371	1264	1998-10-09	VYDAJ	VYBER	7100	50776	\N	\N	\N
371372	1264	1998-11-08	VYDAJ	VYBER	6500	54687	\N	\N	\N
371373	1264	1998-12-08	VYDAJ	VYBER	16600	56923	\N	\N	\N
371396	1265	1996-02-25	PRIJEM	VKLAD	300	300	\N	\N	\N
371399	1265	1996-03-07	PRIJEM	PREVOD Z UCTU	6797	7097	DUCHOD	EF	98183327
371400	1265	1996-04-07	PRIJEM	PREVOD Z UCTU	6797	13894	DUCHOD	EF	98183327
371401	1265	1996-05-07	PRIJEM	PREVOD Z UCTU	6797	20691	DUCHOD	EF	98183327
371402	1265	1996-06-07	PRIJEM	PREVOD Z UCTU	6797	27488	DUCHOD	EF	98183327
371403	1265	1996-07-07	PRIJEM	PREVOD Z UCTU	6797	30608	DUCHOD	EF	98183327
371404	1265	1996-08-07	PRIJEM	PREVOD Z UCTU	6797	34931	DUCHOD	EF	98183327
371405	1265	1996-09-07	PRIJEM	PREVOD Z UCTU	6797	30743	DUCHOD	EF	98183327
371406	1265	1996-10-07	PRIJEM	PREVOD Z UCTU	6797	29868	DUCHOD	EF	98183327
371407	1265	1996-11-07	PRIJEM	PREVOD Z UCTU	6797	27279	DUCHOD	EF	98183327
371408	1265	1996-12-07	PRIJEM	PREVOD Z UCTU	6797	22381	DUCHOD	EF	98183327
371409	1265	1997-01-07	PRIJEM	PREVOD Z UCTU	6797	27379	DUCHOD	EF	98183327
371410	1265	1997-02-07	PRIJEM	PREVOD Z UCTU	6797	27781	DUCHOD	EF	98183327
371411	1265	1997-03-07	PRIJEM	PREVOD Z UCTU	6797	28846	DUCHOD	EF	98183327
371412	1265	1997-04-07	PRIJEM	PREVOD Z UCTU	6797	27553	DUCHOD	EF	98183327
371413	1265	1997-05-07	PRIJEM	PREVOD Z UCTU	6797	28457	DUCHOD	EF	98183327
371414	1265	1997-06-07	PRIJEM	PREVOD Z UCTU	6797	23519	DUCHOD	EF	98183327
371415	1265	1997-07-07	PRIJEM	PREVOD Z UCTU	6797	24919	DUCHOD	EF	98183327
371416	1265	1997-08-07	PRIJEM	PREVOD Z UCTU	6797	26012	DUCHOD	EF	98183327
371417	1265	1997-09-07	PRIJEM	PREVOD Z UCTU	6797	23002	DUCHOD	EF	98183327
371418	1265	1997-10-07	PRIJEM	PREVOD Z UCTU	6797	19176	DUCHOD	EF	98183327
371419	1265	1997-11-07	PRIJEM	PREVOD Z UCTU	6797	22152	DUCHOD	EF	98183327
371420	1265	1997-12-07	PRIJEM	PREVOD Z UCTU	6797	26098	DUCHOD	EF	98183327
371421	1265	1998-01-07	PRIJEM	PREVOD Z UCTU	6797	31109	DUCHOD	EF	98183327
371422	1265	1998-02-07	PRIJEM	PREVOD Z UCTU	6797	34833	DUCHOD	EF	98183327
371423	1265	1998-03-07	PRIJEM	PREVOD Z UCTU	6797	18224	DUCHOD	EF	98183327
371424	1265	1998-04-07	PRIJEM	PREVOD Z UCTU	6797	23196	DUCHOD	EF	98183327
371425	1265	1998-05-07	PRIJEM	PREVOD Z UCTU	6797	28188	DUCHOD	EF	98183327
371426	1265	1998-06-07	PRIJEM	PREVOD Z UCTU	6797	29916	DUCHOD	EF	98183327
371427	1265	1998-07-07	PRIJEM	PREVOD Z UCTU	6797	25015	DUCHOD	EF	98183327
371428	1265	1998-08-07	PRIJEM	PREVOD Z UCTU	6797	29619	DUCHOD	EF	98183327
371429	1265	1998-09-07	PRIJEM	PREVOD Z UCTU	6797	34638	DUCHOD	EF	98183327
371430	1265	1998-10-07	PRIJEM	PREVOD Z UCTU	6797	39277	DUCHOD	EF	98183327
371431	1265	1998-11-07	PRIJEM	PREVOD Z UCTU	6797	40416	DUCHOD	EF	98183327
371432	1265	1998-12-07	PRIJEM	PREVOD Z UCTU	6797	45137	DUCHOD	EF	98183327
371439	1265	1996-07-14	VYDAJ	PREVOD NA UCET	1870	28738	SIPO	QR	2120972
371440	1265	1996-08-14	VYDAJ	PREVOD NA UCET	1870	31701	SIPO	QR	2120972
371441	1265	1996-09-14	VYDAJ	PREVOD NA UCET	1870	28873	SIPO	QR	2120972
371442	1265	1996-10-14	VYDAJ	PREVOD NA UCET	1870	27998	SIPO	QR	2120972
371443	1265	1996-11-14	VYDAJ	PREVOD NA UCET	1870	25409	SIPO	QR	2120972
371444	1265	1996-12-14	VYDAJ	PREVOD NA UCET	1870	20511	SIPO	QR	2120972
371445	1265	1997-01-14	VYDAJ	PREVOD NA UCET	1870	25509	SIPO	QR	2120972
371446	1265	1997-02-14	VYDAJ	PREVOD NA UCET	1870	25911	SIPO	QR	2120972
371447	1265	1997-03-14	VYDAJ	PREVOD NA UCET	1870	26976	SIPO	QR	2120972
371448	1265	1997-04-14	VYDAJ	PREVOD NA UCET	1870	25683	SIPO	QR	2120972
371449	1265	1997-05-14	VYDAJ	PREVOD NA UCET	1870	26587	SIPO	QR	2120972
371450	1265	1997-06-14	VYDAJ	PREVOD NA UCET	1870	21649	SIPO	QR	2120972
371451	1265	1997-07-14	VYDAJ	PREVOD NA UCET	1870	23049	SIPO	QR	2120972
371452	1265	1997-08-14	VYDAJ	PREVOD NA UCET	1870	24142	SIPO	QR	2120972
371453	1265	1997-09-14	VYDAJ	PREVOD NA UCET	1870	21132	SIPO	QR	2120972
371454	1265	1997-10-14	VYDAJ	PREVOD NA UCET	1870	17306	SIPO	QR	2120972
371455	1265	1997-11-14	VYDAJ	PREVOD NA UCET	1870	20282	SIPO	QR	2120972
371456	1265	1997-12-14	VYDAJ	PREVOD NA UCET	1870	24228	SIPO	QR	2120972
371457	1265	1998-01-14	VYDAJ	PREVOD NA UCET	1870	29239	SIPO	QR	2120972
371458	1265	1998-02-14	VYDAJ	PREVOD NA UCET	1870	32963	SIPO	QR	2120972
371459	1265	1998-03-14	VYDAJ	PREVOD NA UCET	1870	16354	SIPO	QR	2120972
371460	1265	1998-04-14	VYDAJ	PREVOD NA UCET	1870	21326	SIPO	QR	2120972
371461	1265	1998-05-14	VYDAJ	PREVOD NA UCET	1870	23038	SIPO	QR	2120972
371462	1265	1998-06-14	VYDAJ	PREVOD NA UCET	1870	28046	SIPO	QR	2120972
371463	1265	1998-07-14	VYDAJ	PREVOD NA UCET	1870	22745	SIPO	QR	2120972
371464	1265	1998-08-14	VYDAJ	PREVOD NA UCET	1870	27749	SIPO	QR	2120972
371465	1265	1998-09-14	VYDAJ	PREVOD NA UCET	1870	32768	SIPO	QR	2120972
371466	1265	1998-10-14	VYDAJ	PREVOD NA UCET	1870	37407	SIPO	QR	2120972
371467	1265	1998-11-14	VYDAJ	PREVOD NA UCET	1870	38546	SIPO	QR	2120972
371468	1265	1998-12-14	VYDAJ	PREVOD NA UCET	1870	43267	SIPO	QR	2120972
371470	1265	1997-06-02	VYDAJ	VYBER	8050	16722	\N	\N	\N
371471	1265	1998-06-16	VYDAJ	VYBER	9900	18146	\N	\N	\N
371473	1265	1997-01-17	VYDAJ	VYBER	2100	23409	\N	\N	\N
371474	1265	1998-01-20	VYDAJ	VYBER	1300	27939	\N	\N	\N
371475	1265	1996-12-04	VYDAJ	VYBER	1400	15584	\N	\N	\N
371476	1265	1997-12-03	VYDAJ	VYBER	1050	19301	\N	\N	\N
371477	1265	1998-12-03	VYDAJ	VYBER	350	38340	\N	\N	\N
371478	1265	1996-08-13	VYDAJ	VYBER	1360	33571	\N	\N	\N
371479	1265	1996-12-03	VYDAJ	VYBER	3600	16984	\N	\N	\N
371480	1265	1996-09-27	VYDAJ	VYBER	2000	22973	\N	\N	\N
371481	1265	1996-09-03	VYDAJ	VYBER	1760	23946	\N	\N	\N
371482	1265	1996-11-25	VYDAJ	VYBER	400	20509	\N	\N	\N
371486	1265	1997-02-22	VYDAJ	VYBER	640	21971	\N	\N	\N
371487	1265	1997-11-03	VYDAJ	VYBER	2000	15355	\N	\N	\N
371488	1265	1998-05-08	VYDAJ	VYBER	3280	24908	\N	\N	\N
371489	1265	1998-07-08	VYDAJ	VYBER	400	24615	\N	\N	\N
371490	1265	1998-10-31	VYDAJ	VYBER	3920	33619	\N	\N	\N
371491	1265	1998-09-22	VYDAJ	VYBER	400	32368	\N	\N	\N
371499	1265	1996-07-31	VYDAJ	VYBER	15	28134	SLUZBY	\N	\N
371500	1265	1996-08-31	VYDAJ	VYBER	15	25706	SLUZBY	\N	\N
371501	1265	1996-09-30	VYDAJ	VYBER	15	23071	SLUZBY	\N	\N
371502	1265	1996-10-31	VYDAJ	VYBER	15	20482	SLUZBY	\N	\N
371503	1265	1996-11-30	VYDAJ	VYBER	15	20584	SLUZBY	\N	\N
371504	1265	1996-12-31	VYDAJ	VYBER	15	20582	SLUZBY	\N	\N
371505	1265	1997-01-31	VYDAJ	VYBER	15	20984	SLUZBY	\N	\N
371506	1265	1997-02-28	VYDAJ	VYBER	15	22049	SLUZBY	\N	\N
371507	1265	1997-03-31	VYDAJ	VYBER	15	20756	SLUZBY	\N	\N
371508	1265	1997-04-30	VYDAJ	VYBER	15	21660	SLUZBY	\N	\N
371509	1265	1997-05-31	VYDAJ	VYBER	15	24772	SLUZBY	\N	\N
371510	1265	1997-06-30	VYDAJ	VYBER	15	18122	SLUZBY	\N	\N
371511	1265	1997-07-31	VYDAJ	VYBER	15	19215	SLUZBY	\N	\N
371512	1265	1997-08-31	VYDAJ	VYBER	15	16205	SLUZBY	\N	\N
371513	1265	1997-09-30	VYDAJ	VYBER	15	12379	SLUZBY	\N	\N
371514	1265	1997-10-31	VYDAJ	VYBER	15	17355	SLUZBY	\N	\N
371515	1265	1997-11-30	VYDAJ	VYBER	15	20351	SLUZBY	\N	\N
371516	1265	1997-12-31	VYDAJ	VYBER	15	24312	SLUZBY	\N	\N
371517	1265	1998-01-31	VYDAJ	VYBER	15	28036	SLUZBY	\N	\N
371518	1265	1998-02-28	VYDAJ	VYBER	15	11427	SLUZBY	\N	\N
371519	1265	1998-03-31	VYDAJ	VYBER	15	16399	SLUZBY	\N	\N
371520	1265	1998-04-30	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
371521	1265	1998-05-31	VYDAJ	VYBER	15	23119	SLUZBY	\N	\N
371522	1265	1998-06-30	VYDAJ	VYBER	15	18218	SLUZBY	\N	\N
371523	1265	1998-07-31	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
371524	1265	1998-08-31	VYDAJ	VYBER	15	27841	SLUZBY	\N	\N
371525	1265	1998-09-30	VYDAJ	VYBER	15	32480	SLUZBY	\N	\N
371526	1265	1998-10-31	VYDAJ	VYBER	15	37539	SLUZBY	\N	\N
371527	1265	1998-11-30	VYDAJ	VYBER	15	38690	SLUZBY	\N	\N
371528	1265	1996-06-24	VYDAJ	VYBER	3700	23788	\N	\N	\N
371529	1265	1996-07-24	VYDAJ	VYBER	700	28038	\N	\N	\N
371530	1265	1996-08-23	VYDAJ	VYBER	6100	25601	\N	\N	\N
371531	1265	1996-09-22	VYDAJ	VYBER	3900	24973	\N	\N	\N
371532	1265	1996-10-22	VYDAJ	VYBER	7600	20398	\N	\N	\N
371533	1265	1996-11-21	VYDAJ	VYBER	4500	20909	\N	\N	\N
371534	1265	1997-01-20	VYDAJ	VYBER	2500	20909	\N	\N	\N
371535	1265	1997-02-19	VYDAJ	VYBER	3300	22611	\N	\N	\N
371536	1265	1997-03-21	VYDAJ	VYBER	6300	20676	\N	\N	\N
371537	1265	1997-04-20	VYDAJ	VYBER	4100	21583	\N	\N	\N
371538	1265	1997-05-20	VYDAJ	VYBER	1900	24687	\N	\N	\N
371539	1265	1997-06-19	VYDAJ	VYBER	3600	18049	\N	\N	\N
371540	1265	1997-07-19	VYDAJ	VYBER	3900	19149	\N	\N	\N
371541	1265	1997-08-18	VYDAJ	VYBER	8000	16142	\N	\N	\N
371542	1265	1997-09-17	VYDAJ	VYBER	8800	12332	\N	\N	\N
371543	1265	1998-02-14	VYDAJ	VYBER	21600	11363	\N	\N	\N
371575	1266	1996-07-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
371582	1266	1996-07-11	PRIJEM	VKLAD	20671	21771	\N	\N	\N
371583	1266	1996-08-11	PRIJEM	VKLAD	20671	44304	\N	\N	\N
371584	1266	1996-09-11	PRIJEM	VKLAD	20671	52275	\N	\N	\N
371585	1266	1996-10-11	PRIJEM	VKLAD	20671	56478	\N	\N	\N
371586	1266	1996-11-11	PRIJEM	VKLAD	20671	59199	\N	\N	\N
371587	1266	1996-12-11	PRIJEM	VKLAD	31006	60260	\N	\N	\N
371588	1266	1997-01-11	PRIJEM	VKLAD	20671	47416	\N	\N	\N
371589	1266	1997-02-11	PRIJEM	VKLAD	20671	33261	\N	\N	\N
371590	1266	1997-03-11	PRIJEM	VKLAD	20671	40546	\N	\N	\N
371591	1266	1997-04-11	PRIJEM	VKLAD	20671	45141	\N	\N	\N
371592	1266	1997-05-11	PRIJEM	VKLAD	20671	47425	\N	\N	\N
371593	1266	1997-06-11	PRIJEM	VKLAD	31006	58490	\N	\N	\N
371594	1266	1997-07-11	PRIJEM	VKLAD	20671	34949	\N	\N	\N
371595	1266	1997-08-11	PRIJEM	VKLAD	20671	38197	\N	\N	\N
371596	1266	1997-09-11	PRIJEM	VKLAD	20671	42600	\N	\N	\N
371597	1266	1997-10-11	PRIJEM	VKLAD	20671	49823	\N	\N	\N
371598	1266	1997-11-11	PRIJEM	VKLAD	20671	49067	\N	\N	\N
371599	1266	1997-12-11	PRIJEM	VKLAD	31006	58642	\N	\N	\N
371600	1266	1998-01-11	PRIJEM	VKLAD	20671	42773	\N	\N	\N
371601	1266	1998-02-11	PRIJEM	VKLAD	20671	30994	\N	\N	\N
371602	1266	1998-03-11	PRIJEM	VKLAD	20671	40469	\N	\N	\N
371603	1266	1998-04-11	PRIJEM	VKLAD	20671	38439	\N	\N	\N
371604	1266	1998-05-11	PRIJEM	VKLAD	20671	34316	\N	\N	\N
371605	1266	1998-06-11	PRIJEM	VKLAD	31006	54942	\N	\N	\N
371606	1266	1998-07-11	PRIJEM	VKLAD	20671	47169	\N	\N	\N
371607	1266	1998-08-11	PRIJEM	VKLAD	20671	53107	\N	\N	\N
371608	1266	1998-09-11	PRIJEM	VKLAD	20671	52945	\N	\N	\N
371609	1266	1998-10-11	PRIJEM	VKLAD	20671	54898	\N	\N	\N
371610	1266	1998-11-11	PRIJEM	VKLAD	20671	58863	\N	\N	\N
371611	1266	1998-12-11	PRIJEM	VKLAD	31006	70874	\N	\N	\N
371623	1266	1996-12-08	VYDAJ	PREVOD NA UCET	9291	29254	SIPO	MN	3816020
371624	1266	1997-01-08	VYDAJ	PREVOD NA UCET	9291	26745	SIPO	MN	3816020
371625	1266	1997-02-08	VYDAJ	PREVOD NA UCET	9291	12590	SIPO	MN	3816020
371626	1266	1997-03-08	VYDAJ	PREVOD NA UCET	9291	19875	SIPO	MN	3816020
371627	1266	1997-04-08	VYDAJ	PREVOD NA UCET	9291	24470	SIPO	MN	3816020
371628	1266	1997-05-08	VYDAJ	PREVOD NA UCET	9291	26754	SIPO	MN	3816020
371629	1266	1997-06-08	VYDAJ	PREVOD NA UCET	9291	27484	SIPO	MN	3816020
371630	1266	1997-07-08	VYDAJ	PREVOD NA UCET	9291	14278	SIPO	MN	3816020
371631	1266	1997-08-08	VYDAJ	PREVOD NA UCET	9291	17526	SIPO	MN	3816020
371632	1266	1997-09-08	VYDAJ	PREVOD NA UCET	9291	21929	SIPO	MN	3816020
371633	1266	1997-10-08	VYDAJ	PREVOD NA UCET	9291	29152	SIPO	MN	3816020
371634	1266	1997-11-08	VYDAJ	PREVOD NA UCET	9291	28396	SIPO	MN	3816020
371635	1266	1997-12-08	VYDAJ	PREVOD NA UCET	9291	27636	SIPO	MN	3816020
371636	1266	1998-01-08	VYDAJ	PREVOD NA UCET	9291	22102	SIPO	MN	3816020
371637	1266	1998-02-08	VYDAJ	PREVOD NA UCET	9291	10323	SIPO	MN	3816020
371638	1266	1998-03-08	VYDAJ	PREVOD NA UCET	9291	19798	SIPO	MN	3816020
371639	1266	1998-04-08	VYDAJ	PREVOD NA UCET	9291	17768	SIPO	MN	3816020
371640	1266	1998-05-08	VYDAJ	PREVOD NA UCET	9291	13645	SIPO	MN	3816020
371641	1266	1998-06-08	VYDAJ	PREVOD NA UCET	9291	23936	SIPO	MN	3816020
371642	1266	1998-07-08	VYDAJ	PREVOD NA UCET	9291	26498	SIPO	MN	3816020
371643	1266	1998-08-08	VYDAJ	PREVOD NA UCET	9291	32436	SIPO	MN	3816020
371644	1266	1998-09-08	VYDAJ	PREVOD NA UCET	9291	32274	SIPO	MN	3816020
371645	1266	1998-10-08	VYDAJ	PREVOD NA UCET	9291	34227	SIPO	MN	3816020
371646	1266	1998-11-08	VYDAJ	PREVOD NA UCET	9291	38192	SIPO	MN	3816020
371647	1266	1998-12-08	VYDAJ	PREVOD NA UCET	9291	39868	SIPO	MN	3816020
371649	1266	1997-06-23	VYDAJ	VYBER	38080	20410	\N	\N	\N
371650	1266	1998-06-19	VYDAJ	VYBER	16800	31542	\N	\N	\N
371652	1266	1997-01-12	VYDAJ	VYBER	6720	40696	\N	\N	\N
371653	1266	1998-01-28	VYDAJ	VYBER	10560	19493	\N	\N	\N
371654	1266	1996-12-11	VYDAJ	VYBER	1280	58980	\N	\N	\N
371655	1266	1997-12-18	VYDAJ	VYBER	4640	54002	\N	\N	\N
371656	1266	1998-12-26	VYDAJ	VYBER	3840	51634	\N	\N	\N
371663	1266	1997-01-02	VYDAJ	VYBER	2040	37836	\N	\N	\N
371664	1266	1997-01-24	VYDAJ	VYBER	3240	24856	\N	\N	\N
371665	1266	1997-01-21	VYDAJ	VYBER	3360	31456	\N	\N	\N
371666	1266	1997-01-08	VYDAJ	VYBER	1800	36036	\N	\N	\N
371667	1266	1997-01-22	VYDAJ	VYBER	3360	28096	\N	\N	\N
371668	1266	1997-01-30	VYDAJ	VYBER	1800	21756	\N	\N	\N
371669	1266	1998-01-05	VYDAJ	VYBER	1920	32953	\N	\N	\N
371670	1266	1998-01-15	VYDAJ	VYBER	2400	40373	\N	\N	\N
371671	1266	1998-01-17	VYDAJ	VYBER	1200	37853	\N	\N	\N
371672	1266	1998-01-01	VYDAJ	VYBER	2400	34873	\N	\N	\N
371673	1266	1998-01-16	VYDAJ	VYBER	1320	39053	\N	\N	\N
371674	1266	1998-01-06	VYDAJ	VYBER	1560	31393	\N	\N	\N
371678	1266	1997-07-25	VYDAJ	VYBER	2640	32309	\N	\N	\N
371679	1266	1997-03-24	VYDAJ	VYBER	720	39826	\N	\N	\N
371680	1266	1997-01-15	VYDAJ	VYBER	5880	34816	\N	\N	\N
371681	1266	1997-04-14	VYDAJ	VYBER	5040	40101	\N	\N	\N
371682	1266	1997-12-26	VYDAJ	VYBER	1200	37102	\N	\N	\N
371683	1266	1997-05-12	VYDAJ	VYBER	4800	42625	\N	\N	\N
371684	1266	1998-04-06	VYDAJ	VYBER	3480	27059	\N	\N	\N
371685	1266	1998-04-28	VYDAJ	VYBER	2400	28339	\N	\N	\N
371686	1266	1998-06-16	VYDAJ	VYBER	960	48342	\N	\N	\N
371687	1266	1998-04-29	VYDAJ	VYBER	5520	22819	\N	\N	\N
371688	1266	1998-06-11	VYDAJ	VYBER	5640	49302	\N	\N	\N
371689	1266	1998-03-31	VYDAJ	VYBER	3960	30539	\N	\N	\N
371690	1266	1998-09-03	VYDAJ	VYBER	3720	41565	\N	\N	\N
371702	1266	1996-11-30	VYDAJ	VYBER	15	38545	SLUZBY	\N	\N
371703	1266	1996-12-31	VYDAJ	VYBER	15	39876	SLUZBY	\N	\N
371704	1266	1997-01-31	VYDAJ	VYBER	15	21881	SLUZBY	\N	\N
371705	1266	1997-02-28	VYDAJ	VYBER	15	29166	SLUZBY	\N	\N
371706	1266	1997-03-31	VYDAJ	VYBER	15	33761	SLUZBY	\N	\N
371707	1266	1997-04-30	VYDAJ	VYBER	15	36045	SLUZBY	\N	\N
371708	1266	1997-05-31	VYDAJ	VYBER	15	36775	SLUZBY	\N	\N
371709	1266	1997-06-30	VYDAJ	VYBER	15	23569	SLUZBY	\N	\N
371710	1266	1997-07-31	VYDAJ	VYBER	15	26817	SLUZBY	\N	\N
371711	1266	1997-08-31	VYDAJ	VYBER	15	31220	SLUZBY	\N	\N
371712	1266	1997-09-30	VYDAJ	VYBER	15	38443	SLUZBY	\N	\N
371713	1266	1997-10-31	VYDAJ	VYBER	15	37687	SLUZBY	\N	\N
371714	1266	1997-11-30	VYDAJ	VYBER	15	36927	SLUZBY	\N	\N
371715	1266	1997-12-31	VYDAJ	VYBER	15	37273	SLUZBY	\N	\N
371716	1266	1998-01-31	VYDAJ	VYBER	15	19614	SLUZBY	\N	\N
371717	1266	1998-02-28	VYDAJ	VYBER	15	29089	SLUZBY	\N	\N
371718	1266	1998-03-31	VYDAJ	VYBER	15	34499	SLUZBY	\N	\N
371719	1266	1998-04-30	VYDAJ	VYBER	15	22936	SLUZBY	\N	\N
371720	1266	1998-05-31	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
371721	1266	1998-06-30	VYDAJ	VYBER	15	35789	SLUZBY	\N	\N
371722	1266	1998-07-31	VYDAJ	VYBER	15	41727	SLUZBY	\N	\N
371723	1266	1998-08-31	VYDAJ	VYBER	15	45285	SLUZBY	\N	\N
371724	1266	1998-09-30	VYDAJ	VYBER	15	43518	SLUZBY	\N	\N
371725	1266	1998-10-31	VYDAJ	VYBER	15	47483	SLUZBY	\N	\N
371726	1266	1998-11-30	VYDAJ	VYBER	15	49159	SLUZBY	\N	\N
371727	1266	1996-07-31	PRIJEM	VKLAD	1800	23571	\N	\N	\N
371728	1266	1996-08-30	VYDAJ	VYBER	12800	31504	\N	\N	\N
371729	1266	1996-09-29	VYDAJ	VYBER	16600	35675	\N	\N	\N
371730	1266	1996-10-29	VYDAJ	VYBER	18100	38378	\N	\N	\N
371731	1266	1996-11-28	VYDAJ	VYBER	20800	38399	\N	\N	\N
371732	1266	1996-12-28	VYDAJ	VYBER	19300	39680	\N	\N	\N
371733	1266	1997-01-27	VYDAJ	VYBER	1300	23556	\N	\N	\N
371734	1266	1997-02-26	VYDAJ	VYBER	4200	29061	\N	\N	\N
371735	1266	1997-03-28	VYDAJ	VYBER	6200	33626	\N	\N	\N
371736	1266	1997-04-27	VYDAJ	VYBER	4200	35901	\N	\N	\N
371737	1266	1997-05-27	VYDAJ	VYBER	6000	36625	\N	\N	\N
371738	1266	1997-06-26	PRIJEM	VKLAD	3000	23410	\N	\N	\N
371739	1266	1997-07-26	VYDAJ	VYBER	5600	26709	\N	\N	\N
371740	1266	1997-08-25	VYDAJ	VYBER	7100	31097	\N	\N	\N
371741	1266	1997-09-24	VYDAJ	VYBER	4300	38300	\N	\N	\N
371742	1266	1997-10-24	VYDAJ	VYBER	12300	37523	\N	\N	\N
371743	1266	1997-11-23	VYDAJ	VYBER	12300	36767	\N	\N	\N
371744	1266	1997-12-23	VYDAJ	VYBER	15700	38302	\N	\N	\N
371745	1266	1998-01-22	VYDAJ	VYBER	7800	30053	\N	\N	\N
371746	1266	1998-02-21	VYDAJ	VYBER	2000	28994	\N	\N	\N
371747	1266	1998-03-23	VYDAJ	VYBER	6100	34369	\N	\N	\N
371748	1266	1998-04-22	VYDAJ	VYBER	7700	30739	\N	\N	\N
371749	1266	1998-05-22	VYDAJ	VYBER	1200	33116	\N	\N	\N
371750	1266	1998-06-21	PRIJEM	VKLAD	4100	35642	\N	\N	\N
371751	1266	1998-07-21	VYDAJ	VYBER	5600	41569	\N	\N	\N
371752	1266	1998-08-20	VYDAJ	VYBER	8000	45107	\N	\N	\N
371753	1266	1998-09-19	VYDAJ	VYBER	9600	43345	\N	\N	\N
371754	1266	1998-10-19	VYDAJ	VYBER	7600	47298	\N	\N	\N
371755	1266	1998-11-18	VYDAJ	VYBER	9900	48963	\N	\N	\N
371756	1266	1998-12-18	VYDAJ	VYBER	15400	55474	\N	\N	\N
371787	1267	1996-08-05	PRIJEM	VKLAD	400	400	\N	\N	\N
371795	1267	1996-08-09	PRIJEM	VKLAD	19155	19555	\N	\N	\N
371796	1267	1996-09-09	PRIJEM	VKLAD	19155	43170	\N	\N	\N
371797	1267	1996-10-09	PRIJEM	VKLAD	19155	53779	\N	\N	\N
371798	1267	1996-11-09	PRIJEM	VKLAD	19155	60947	\N	\N	\N
371799	1267	1996-12-09	PRIJEM	VKLAD	28733	73525	\N	\N	\N
371800	1267	1997-01-09	PRIJEM	VKLAD	19155	62601	\N	\N	\N
371801	1267	1997-02-09	PRIJEM	VKLAD	19155	51208	\N	\N	\N
371802	1267	1997-03-09	PRIJEM	VKLAD	19155	51816	\N	\N	\N
371803	1267	1997-04-09	PRIJEM	VKLAD	19155	51223	\N	\N	\N
371804	1267	1997-05-09	PRIJEM	VKLAD	19155	53135	\N	\N	\N
371805	1267	1997-06-09	PRIJEM	VKLAD	28733	56282	\N	\N	\N
371806	1267	1997-07-09	PRIJEM	VKLAD	19155	50835	\N	\N	\N
371807	1267	1997-08-09	PRIJEM	VKLAD	19155	50044	\N	\N	\N
371808	1267	1997-09-09	PRIJEM	VKLAD	19155	42905	\N	\N	\N
371809	1267	1997-10-09	PRIJEM	VKLAD	19155	40563	\N	\N	\N
371810	1267	1997-11-09	PRIJEM	VKLAD	19155	44317	\N	\N	\N
371811	1267	1997-12-09	PRIJEM	VKLAD	28733	51757	\N	\N	\N
371812	1267	1998-01-09	PRIJEM	VKLAD	19155	43173	\N	\N	\N
371813	1267	1998-02-09	PRIJEM	VKLAD	19155	43021	\N	\N	\N
371814	1267	1998-03-09	PRIJEM	VKLAD	19155	44376	\N	\N	\N
371815	1267	1998-04-09	PRIJEM	VKLAD	19155	42630	\N	\N	\N
371816	1267	1998-05-09	PRIJEM	VKLAD	19155	43383	\N	\N	\N
371817	1267	1998-06-09	PRIJEM	VKLAD	28733	51814	\N	\N	\N
371818	1267	1998-07-09	PRIJEM	VKLAD	19155	47786	\N	\N	\N
371819	1267	1998-08-09	PRIJEM	VKLAD	19155	43058	\N	\N	\N
371820	1267	1998-09-09	PRIJEM	VKLAD	19155	36506	\N	\N	\N
371821	1267	1998-10-09	PRIJEM	VKLAD	19155	33523	\N	\N	\N
371822	1267	1998-11-09	PRIJEM	VKLAD	19155	47953	\N	\N	\N
371823	1267	1998-12-09	PRIJEM	VKLAD	28733	42680	\N	\N	\N
371835	1267	1996-12-09	VYDAJ	PREVOD NA UCET	2271	71254	SIPO	GH	53632640
371836	1267	1997-01-09	VYDAJ	PREVOD NA UCET	2271	60330	SIPO	GH	53632640
371837	1267	1997-02-09	VYDAJ	PREVOD NA UCET	2271	48937	SIPO	GH	53632640
371838	1267	1997-03-09	VYDAJ	PREVOD NA UCET	2271	49545	SIPO	GH	53632640
371839	1267	1997-04-09	VYDAJ	PREVOD NA UCET	2271	48952	SIPO	GH	53632640
371840	1267	1997-05-09	VYDAJ	PREVOD NA UCET	2271	50864	SIPO	GH	53632640
371841	1267	1997-06-09	VYDAJ	PREVOD NA UCET	2271	54011	SIPO	GH	53632640
371842	1267	1997-07-09	VYDAJ	PREVOD NA UCET	2271	48564	SIPO	GH	53632640
371843	1267	1997-08-09	VYDAJ	PREVOD NA UCET	2271	47773	SIPO	GH	53632640
371844	1267	1997-09-09	VYDAJ	PREVOD NA UCET	2271	40634	SIPO	GH	53632640
371845	1267	1997-10-09	VYDAJ	PREVOD NA UCET	2271	38292	SIPO	GH	53632640
371846	1267	1997-11-09	VYDAJ	PREVOD NA UCET	2271	42046	SIPO	GH	53632640
371847	1267	1997-12-09	VYDAJ	PREVOD NA UCET	2271	49486	SIPO	GH	53632640
371848	1267	1998-01-09	VYDAJ	PREVOD NA UCET	2271	40902	SIPO	GH	53632640
371849	1267	1998-02-09	VYDAJ	PREVOD NA UCET	2271	40750	SIPO	GH	53632640
371850	1267	1998-03-09	VYDAJ	PREVOD NA UCET	2271	42105	SIPO	GH	53632640
371851	1267	1998-04-09	VYDAJ	PREVOD NA UCET	2271	40359	SIPO	GH	53632640
371852	1267	1998-05-09	VYDAJ	PREVOD NA UCET	2271	41112	SIPO	GH	53632640
371853	1267	1998-06-09	VYDAJ	PREVOD NA UCET	2271	49543	SIPO	GH	53632640
371854	1267	1998-07-09	VYDAJ	PREVOD NA UCET	2271	45515	SIPO	GH	53632640
371855	1267	1998-08-09	VYDAJ	PREVOD NA UCET	2271	40787	SIPO	GH	53632640
371856	1267	1998-09-09	VYDAJ	PREVOD NA UCET	2271	34235	SIPO	GH	53632640
371857	1267	1998-10-09	VYDAJ	PREVOD NA UCET	2271	31252	SIPO	GH	53632640
371858	1267	1998-11-09	VYDAJ	PREVOD NA UCET	2271	45682	SIPO	GH	53632640
371859	1267	1998-12-09	VYDAJ	PREVOD NA UCET	2271	40409	SIPO	GH	53632640
371872	1267	1997-01-08	VYDAJ	PREVOD NA UCET	867	43446	 	YZ	92731403
371873	1267	1997-02-08	VYDAJ	PREVOD NA UCET	867	32053	 	YZ	92731403
371874	1267	1997-03-08	VYDAJ	PREVOD NA UCET	867	32661	 	YZ	92731403
371875	1267	1997-04-08	VYDAJ	PREVOD NA UCET	867	32068	 	YZ	92731403
371876	1267	1997-05-08	VYDAJ	PREVOD NA UCET	867	33980	 	YZ	92731403
371877	1267	1997-06-08	VYDAJ	PREVOD NA UCET	867	27550	 	YZ	92731403
371878	1267	1997-07-08	VYDAJ	PREVOD NA UCET	867	31680	 	YZ	92731403
371879	1267	1997-08-08	VYDAJ	PREVOD NA UCET	867	30889	 	YZ	92731403
371880	1267	1997-09-08	VYDAJ	PREVOD NA UCET	867	23750	 	YZ	92731403
371881	1267	1997-10-08	VYDAJ	PREVOD NA UCET	867	21408	 	YZ	92731403
371882	1267	1997-11-08	VYDAJ	PREVOD NA UCET	867	25162	 	YZ	92731403
371883	1267	1997-12-08	VYDAJ	PREVOD NA UCET	867	23025	 	YZ	92731403
371884	1267	1998-01-08	VYDAJ	PREVOD NA UCET	867	24018	 	YZ	92731403
371885	1267	1998-02-08	VYDAJ	PREVOD NA UCET	867	23866	 	YZ	92731403
371886	1267	1998-03-08	VYDAJ	PREVOD NA UCET	867	25221	 	YZ	92731403
371887	1267	1998-04-08	VYDAJ	PREVOD NA UCET	867	23475	 	YZ	92731403
371888	1267	1998-05-08	VYDAJ	PREVOD NA UCET	867	24228	 	YZ	92731403
371889	1267	1998-06-08	VYDAJ	PREVOD NA UCET	867	23081	 	YZ	92731403
371890	1267	1998-07-08	VYDAJ	PREVOD NA UCET	867	28631	 	YZ	92731403
371891	1267	1998-08-08	VYDAJ	PREVOD NA UCET	867	23903	 	YZ	92731403
371892	1267	1998-09-08	VYDAJ	PREVOD NA UCET	867	17351	 	YZ	92731403
371893	1267	1998-10-08	VYDAJ	PREVOD NA UCET	867	14368	 	YZ	92731403
371894	1267	1998-11-08	VYDAJ	PREVOD NA UCET	867	28798	 	YZ	92731403
371895	1267	1998-12-08	VYDAJ	PREVOD NA UCET	867	13947	 	YZ	92731403
371908	1267	1997-01-07	VYDAJ	PREVOD NA UCET	21	44313	POJISTNE	OP	38344526
371909	1267	1997-02-07	VYDAJ	PREVOD NA UCET	21	32920	POJISTNE	OP	38344526
371910	1267	1997-03-07	VYDAJ	PREVOD NA UCET	21	33528	POJISTNE	OP	38344526
371911	1267	1997-04-07	VYDAJ	PREVOD NA UCET	21	32935	POJISTNE	OP	38344526
371912	1267	1997-05-07	VYDAJ	PREVOD NA UCET	21	34847	POJISTNE	OP	38344526
371913	1267	1997-06-07	VYDAJ	PREVOD NA UCET	21	28417	POJISTNE	OP	38344526
371914	1267	1997-07-07	VYDAJ	PREVOD NA UCET	21	32547	POJISTNE	OP	38344526
371915	1267	1997-08-07	VYDAJ	PREVOD NA UCET	21	31756	POJISTNE	OP	38344526
371916	1267	1997-09-07	VYDAJ	PREVOD NA UCET	21	24617	POJISTNE	OP	38344526
371917	1267	1997-10-07	VYDAJ	PREVOD NA UCET	21	22275	POJISTNE	OP	38344526
371918	1267	1997-11-07	VYDAJ	PREVOD NA UCET	21	26029	POJISTNE	OP	38344526
371919	1267	1997-12-07	VYDAJ	PREVOD NA UCET	21	23892	POJISTNE	OP	38344526
371920	1267	1998-01-07	VYDAJ	PREVOD NA UCET	21	24885	POJISTNE	OP	38344526
371921	1267	1998-02-07	VYDAJ	PREVOD NA UCET	21	24733	POJISTNE	OP	38344526
371922	1267	1998-03-07	VYDAJ	PREVOD NA UCET	21	26088	POJISTNE	OP	38344526
371923	1267	1998-04-07	VYDAJ	PREVOD NA UCET	21	24342	POJISTNE	OP	38344526
371924	1267	1998-05-07	VYDAJ	PREVOD NA UCET	21	25095	POJISTNE	OP	38344526
371925	1267	1998-06-07	VYDAJ	PREVOD NA UCET	21	23948	POJISTNE	OP	38344526
371926	1267	1998-07-07	VYDAJ	PREVOD NA UCET	21	29498	POJISTNE	OP	38344526
371927	1267	1998-08-07	VYDAJ	PREVOD NA UCET	21	24770	POJISTNE	OP	38344526
371928	1267	1998-09-07	VYDAJ	PREVOD NA UCET	21	18218	POJISTNE	OP	38344526
371929	1267	1998-10-07	VYDAJ	PREVOD NA UCET	21	15235	POJISTNE	OP	38344526
371930	1267	1998-11-07	VYDAJ	PREVOD NA UCET	21	29665	POJISTNE	OP	38344526
371931	1267	1998-12-07	VYDAJ	PREVOD NA UCET	21	14814	POJISTNE	OP	38344526
371944	1267	1997-01-05	VYDAJ	PREVOD NA UCET	1672	44334	 	QR	69378167
371945	1267	1997-02-05	VYDAJ	PREVOD NA UCET	1672	32941	 	QR	69378167
371946	1267	1997-03-05	VYDAJ	PREVOD NA UCET	1672	33549	 	QR	69378167
371947	1267	1997-04-05	VYDAJ	PREVOD NA UCET	1672	32956	 	QR	69378167
371948	1267	1997-05-05	VYDAJ	PREVOD NA UCET	1672	34868	 	QR	69378167
371949	1267	1997-06-05	VYDAJ	PREVOD NA UCET	1672	28438	 	QR	69378167
371950	1267	1997-07-05	VYDAJ	PREVOD NA UCET	1672	32568	 	QR	69378167
371951	1267	1997-08-05	VYDAJ	PREVOD NA UCET	1672	31777	 	QR	69378167
371952	1267	1997-09-05	VYDAJ	PREVOD NA UCET	1672	24638	 	QR	69378167
371953	1267	1997-10-05	VYDAJ	PREVOD NA UCET	1672	22296	 	QR	69378167
371954	1267	1997-11-05	VYDAJ	PREVOD NA UCET	1672	26050	 	QR	69378167
371955	1267	1997-12-05	VYDAJ	PREVOD NA UCET	1672	27913	 	QR	69378167
371956	1267	1998-01-05	VYDAJ	PREVOD NA UCET	1672	26906	 	QR	69378167
371957	1267	1998-02-05	VYDAJ	PREVOD NA UCET	1672	24754	 	QR	69378167
371958	1267	1998-03-05	VYDAJ	PREVOD NA UCET	1672	26109	 	QR	69378167
371959	1267	1998-04-05	VYDAJ	PREVOD NA UCET	1672	24363	 	QR	69378167
371960	1267	1998-05-05	VYDAJ	PREVOD NA UCET	1672	25116	 	QR	69378167
371961	1267	1998-06-05	VYDAJ	PREVOD NA UCET	1672	23969	 	QR	69378167
371962	1267	1998-07-05	VYDAJ	PREVOD NA UCET	1672	29519	 	QR	69378167
371963	1267	1998-08-05	VYDAJ	PREVOD NA UCET	1672	24791	 	QR	69378167
371964	1267	1998-09-05	VYDAJ	PREVOD NA UCET	1672	18239	 	QR	69378167
371965	1267	1998-10-05	VYDAJ	PREVOD NA UCET	1672	15256	 	QR	69378167
371966	1267	1998-11-05	VYDAJ	PREVOD NA UCET	1672	29686	 	QR	69378167
371967	1267	1998-12-05	VYDAJ	PREVOD NA UCET	1672	14835	 	QR	69378167
371971	1267	1996-12-16	VYDAJ	VYBER	960	70294	\N	\N	\N
371972	1267	1997-12-14	VYDAJ	VYBER	4160	45326	\N	\N	\N
371973	1267	1998-12-14	VYDAJ	VYBER KARTOU	1100	39309	\N	\N	0
371980	1267	1997-01-28	VYDAJ	VYBER	2640	54930	\N	\N	\N
371981	1267	1997-01-05	VYDAJ	VYBER	1200	46006	\N	\N	\N
371982	1267	1997-01-04	VYDAJ	VYBER	2160	47206	\N	\N	\N
371983	1267	1997-01-17	VYDAJ	VYBER	2760	57570	\N	\N	\N
371984	1267	1997-01-30	VYDAJ	VYBER	3120	51810	\N	\N	\N
371985	1267	1997-01-30	VYDAJ	VYBER	720	51090	\N	\N	\N
371986	1267	1998-01-12	VYDAJ	VYBER KARTOU	2500	38402	\N	\N	0
371987	1267	1998-01-02	VYDAJ	VYBER KARTOU	2000	30778	\N	\N	0
371988	1267	1998-01-26	VYDAJ	VYBER KARTOU	2200	34902	\N	\N	0
371989	1267	1998-01-26	VYDAJ	VYBER KARTOU	1200	33702	\N	\N	0
371990	1267	1998-01-06	VYDAJ	VYBER KARTOU	2000	24906	\N	\N	0
371991	1267	1998-01-04	VYDAJ	VYBER KARTOU	2200	28578	\N	\N	0
371994	1267	1997-06-21	VYDAJ	VYBER	2160	51851	\N	\N	\N
371995	1267	1997-02-04	VYDAJ	VYBER	5400	34613	\N	\N	\N
371996	1267	1997-12-07	VYDAJ	VYBER KARTOU	4000	23913	\N	\N	0
371997	1267	1997-05-30	VYDAJ	VYBER	5040	45824	\N	\N	\N
371998	1267	1997-08-15	VYDAJ	VYBER	3720	44053	\N	\N	\N
372000	1267	1998-01-12	VYDAJ	VYBER KARTOU	1300	37102	\N	\N	0
372001	1267	1998-02-26	VYDAJ	VYBER KARTOU	3100	27650	\N	\N	0
372002	1267	1998-06-17	VYDAJ	VYBER	4200	45343	\N	\N	\N
372004	1267	1998-03-16	VYDAJ	VYBER	4800	37305	\N	\N	\N
372017	1267	1996-12-31	VYDAJ	VYBER	15	70566	SLUZBY	\N	\N
372018	1267	1997-01-31	VYDAJ	VYBER	15	51313	SLUZBY	\N	\N
372019	1267	1997-02-28	VYDAJ	VYBER	15	49121	SLUZBY	\N	\N
372020	1267	1997-03-31	VYDAJ	VYBER	15	49728	SLUZBY	\N	\N
372021	1267	1997-04-30	VYDAJ	VYBER	15	49140	SLUZBY	\N	\N
372022	1267	1997-05-31	VYDAJ	VYBER	15	46010	SLUZBY	\N	\N
372023	1267	1997-06-30	VYDAJ	VYBER	15	52040	SLUZBY	\N	\N
372024	1267	1997-07-31	VYDAJ	VYBER	15	33449	SLUZBY	\N	\N
372025	1267	1997-08-31	VYDAJ	VYBER	15	26310	SLUZBY	\N	\N
372026	1267	1997-09-30	VYDAJ	VYBER	15	23968	SLUZBY	\N	\N
372027	1267	1997-10-31	VYDAJ	VYBER	15	27722	SLUZBY	\N	\N
372028	1267	1997-11-30	VYDAJ	VYBER	15	29585	SLUZBY	\N	\N
372029	1267	1997-12-31	VYDAJ	VYBER	15	32778	SLUZBY	\N	\N
372030	1267	1998-01-31	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
372031	1267	1998-02-28	VYDAJ	VYBER	15	27781	SLUZBY	\N	\N
372032	1267	1998-03-31	VYDAJ	VYBER	15	26035	SLUZBY	\N	\N
372033	1267	1998-04-30	VYDAJ	VYBER	15	26788	SLUZBY	\N	\N
372034	1267	1998-05-31	VYDAJ	VYBER	15	25641	SLUZBY	\N	\N
372035	1267	1998-06-30	VYDAJ	VYBER	15	31191	SLUZBY	\N	\N
372036	1267	1998-07-31	VYDAJ	VYBER	15	26463	SLUZBY	\N	\N
372037	1267	1998-08-31	VYDAJ	VYBER	15	19911	SLUZBY	\N	\N
372038	1267	1998-09-30	VYDAJ	VYBER	15	16928	SLUZBY	\N	\N
372039	1267	1998-10-31	VYDAJ	VYBER	15	31358	SLUZBY	\N	\N
372040	1267	1998-11-30	VYDAJ	VYBER	15	16507	SLUZBY	\N	\N
372041	1267	1996-09-04	PRIJEM	VKLAD	4400	24016	\N	\N	\N
372042	1267	1996-10-04	VYDAJ	VYBER	8700	34624	\N	\N	\N
372043	1267	1996-11-03	VYDAJ	VYBER	12200	41792	\N	\N	\N
372044	1267	1996-12-03	VYDAJ	VYBER	16400	44793	\N	\N	\N
372045	1267	1997-01-02	VYDAJ	VYBER	21200	49366	\N	\N	\N
372046	1267	1997-02-01	VYDAJ	VYBER	11300	40013	\N	\N	\N
372047	1267	1997-03-03	VYDAJ	VYBER	13900	35221	\N	\N	\N
372048	1267	1997-04-02	VYDAJ	VYBER	15100	34628	\N	\N	\N
372049	1267	1997-05-02	VYDAJ	VYBER	12600	36540	\N	\N	\N
372050	1267	1997-06-01	VYDAJ	VYBER	15900	30110	\N	\N	\N
372051	1267	1997-07-01	VYDAJ	VYBER	17800	34240	\N	\N	\N
372052	1267	1997-07-31	VYDAJ	VYBER	15300	33464	\N	\N	\N
372053	1267	1997-08-30	VYDAJ	VYBER	17900	26153	\N	\N	\N
372054	1267	1997-09-29	VYDAJ	VYBER	16800	23834	\N	\N	\N
372055	1267	1997-10-29	VYDAJ	VYBER	10700	27592	\N	\N	\N
372056	1267	1997-11-28	VYDAJ	VYBER	12600	29446	\N	\N	\N
372057	1267	1997-12-28	VYDAJ	VYBER	12700	32626	\N	\N	\N
372058	1267	1998-01-27	VYDAJ	VYBER	7400	26302	\N	\N	\N
372059	1267	1998-02-26	VYDAJ	VYBER	10000	30750	\N	\N	\N
372060	1267	1998-03-28	VYDAJ	VYBER	11400	25905	\N	\N	\N
372061	1267	1998-04-27	VYDAJ	VYBER	13700	26659	\N	\N	\N
372062	1267	1998-05-27	VYDAJ	VYBER	15600	25512	\N	\N	\N
372063	1267	1998-06-26	VYDAJ	VYBER	14300	31043	\N	\N	\N
372064	1267	1998-07-26	VYDAJ	VYBER	19200	26315	\N	\N	\N
372065	1267	1998-08-25	VYDAJ	VYBER	21000	19787	\N	\N	\N
372066	1267	1998-09-24	VYDAJ	VYBER	17400	16835	\N	\N	\N
372067	1267	1998-11-23	VYDAJ	VYBER	29300	16382	\N	\N	\N
372097	1268	1993-07-25	PRIJEM	VKLAD	800	800	\N	\N	\N
372105	1268	1993-08-06	PRIJEM	PREVOD Z UCTU	3330	4130	\N	OP	83469372
372106	1268	1993-09-06	PRIJEM	PREVOD Z UCTU	3330	16474	\N	OP	83469372
372107	1268	1993-10-06	PRIJEM	PREVOD Z UCTU	3330	23166	\N	OP	83469372
372108	1268	1993-11-06	PRIJEM	PREVOD Z UCTU	3330	28085	\N	OP	83469372
372109	1268	1993-12-06	PRIJEM	PREVOD Z UCTU	3330	28418	\N	OP	83469372
372110	1268	1994-01-06	PRIJEM	PREVOD Z UCTU	3330	27017	\N	OP	83469372
372111	1268	1994-02-06	PRIJEM	PREVOD Z UCTU	3330	21025	\N	OP	83469372
372112	1268	1994-03-06	PRIJEM	PREVOD Z UCTU	3330	25401	\N	OP	83469372
372113	1268	1994-04-06	PRIJEM	PREVOD Z UCTU	3330	26721	\N	OP	83469372
372114	1268	1994-05-06	PRIJEM	PREVOD Z UCTU	3330	26214	\N	OP	83469372
372115	1268	1994-06-06	PRIJEM	PREVOD Z UCTU	3330	25305	\N	OP	83469372
372116	1268	1994-07-06	PRIJEM	PREVOD Z UCTU	3330	21132	\N	OP	83469372
372117	1268	1994-08-06	PRIJEM	PREVOD Z UCTU	3330	23146	\N	OP	83469372
372118	1268	1994-09-06	PRIJEM	PREVOD Z UCTU	3330	22894	\N	OP	83469372
372119	1268	1994-10-06	PRIJEM	PREVOD Z UCTU	3330	23567	\N	OP	83469372
372120	1268	1994-11-06	PRIJEM	PREVOD Z UCTU	3330	25752	\N	OP	83469372
372121	1268	1994-12-06	PRIJEM	PREVOD Z UCTU	3330	24438	\N	OP	83469372
372122	1268	1995-01-06	PRIJEM	PREVOD Z UCTU	3330	26346	\N	OP	83469372
372123	1268	1995-02-06	PRIJEM	PREVOD Z UCTU	3330	21134	\N	OP	83469372
372124	1268	1995-03-06	PRIJEM	PREVOD Z UCTU	3330	25116	\N	OP	83469372
372125	1268	1995-04-06	PRIJEM	PREVOD Z UCTU	3330	26405	\N	OP	83469372
372126	1268	1995-05-06	PRIJEM	PREVOD Z UCTU	3330	28802	\N	OP	83469372
372127	1268	1995-06-06	PRIJEM	PREVOD Z UCTU	3330	25951	\N	OP	83469372
372128	1268	1995-07-06	PRIJEM	PREVOD Z UCTU	3330	28150	\N	OP	83469372
372129	1268	1995-08-06	PRIJEM	PREVOD Z UCTU	3330	27168	\N	OP	83469372
372130	1268	1995-09-06	PRIJEM	PREVOD Z UCTU	3330	27272	\N	OP	83469372
372131	1268	1995-10-06	PRIJEM	PREVOD Z UCTU	3330	27567	\N	OP	83469372
372132	1268	1995-11-06	PRIJEM	PREVOD Z UCTU	3330	24154	\N	OP	83469372
372133	1268	1995-12-06	PRIJEM	PREVOD Z UCTU	3330	22643	\N	OP	83469372
372134	1268	1996-01-06	PRIJEM	PREVOD Z UCTU	3330	20719	\N	OP	83469372
372135	1268	1996-02-06	PRIJEM	PREVOD Z UCTU	3330	21377	\N	OP	83469372
372136	1268	1996-03-06	PRIJEM	PREVOD Z UCTU	3330	20044	\N	OP	83469372
372137	1268	1996-04-06	PRIJEM	PREVOD Z UCTU	3330	19437	\N	OP	83469372
372138	1268	1996-05-06	PRIJEM	PREVOD Z UCTU	3330	22810	\N	OP	83469372
372139	1268	1996-06-06	PRIJEM	PREVOD Z UCTU	3330	27100	\N	OP	83469372
372140	1268	1996-07-06	PRIJEM	PREVOD Z UCTU	3330	26814	\N	OP	83469372
372141	1268	1996-08-06	PRIJEM	PREVOD Z UCTU	3330	32325	\N	OP	83469372
372142	1268	1996-09-06	PRIJEM	PREVOD Z UCTU	3330	32112	\N	OP	83469372
372143	1268	1996-10-06	PRIJEM	PREVOD Z UCTU	3330	35038	\N	OP	83469372
372144	1268	1996-11-06	PRIJEM	PREVOD Z UCTU	3330	36973	\N	OP	83469372
372145	1268	1996-12-06	PRIJEM	PREVOD Z UCTU	3330	39247	\N	OP	83469372
372146	1268	1997-01-06	PRIJEM	PREVOD Z UCTU	3330	41898	\N	OP	83469372
372147	1268	1997-02-06	PRIJEM	PREVOD Z UCTU	3330	40193	\N	OP	83469372
372148	1268	1997-03-06	PRIJEM	PREVOD Z UCTU	3330	41447	\N	OP	83469372
372149	1268	1997-04-06	PRIJEM	PREVOD Z UCTU	3330	44594	\N	OP	83469372
372150	1268	1997-05-06	PRIJEM	PREVOD Z UCTU	3330	43614	\N	OP	83469372
372151	1268	1997-06-06	PRIJEM	PREVOD Z UCTU	3330	46984	\N	OP	83469372
372152	1268	1997-07-06	PRIJEM	PREVOD Z UCTU	3330	45722	\N	OP	83469372
372153	1268	1997-08-06	PRIJEM	PREVOD Z UCTU	3330	48390	\N	OP	83469372
372154	1268	1997-09-06	PRIJEM	PREVOD Z UCTU	3330	54177	\N	OP	83469372
372155	1268	1997-10-06	PRIJEM	PREVOD Z UCTU	3330	54986	\N	OP	83469372
372156	1268	1997-11-06	PRIJEM	PREVOD Z UCTU	3330	55301	\N	OP	83469372
372157	1268	1997-12-06	PRIJEM	PREVOD Z UCTU	3330	52418	\N	OP	83469372
372158	1268	1998-01-06	PRIJEM	PREVOD Z UCTU	3330	47103	\N	OP	83469372
372159	1268	1998-02-06	PRIJEM	PREVOD Z UCTU	3330	42591	\N	OP	83469372
372160	1268	1998-03-06	PRIJEM	PREVOD Z UCTU	3330	42730	\N	OP	83469372
372161	1268	1998-04-06	PRIJEM	PREVOD Z UCTU	3330	47394	\N	OP	83469372
372162	1268	1998-05-06	PRIJEM	PREVOD Z UCTU	3330	47873	\N	OP	83469372
372163	1268	1998-06-06	PRIJEM	PREVOD Z UCTU	3330	44553	\N	OP	83469372
372164	1268	1998-07-06	PRIJEM	PREVOD Z UCTU	3330	41825	\N	OP	83469372
372165	1268	1998-08-06	PRIJEM	PREVOD Z UCTU	3330	44149	\N	OP	83469372
372166	1268	1998-09-06	PRIJEM	PREVOD Z UCTU	3330	46215	\N	OP	83469372
372167	1268	1998-10-06	PRIJEM	PREVOD Z UCTU	3330	43827	\N	OP	83469372
372168	1268	1998-11-06	PRIJEM	PREVOD Z UCTU	3330	42889	\N	OP	83469372
372169	1268	1998-12-06	PRIJEM	PREVOD Z UCTU	3330	37343	\N	OP	83469372
372181	1268	1993-12-14	VYDAJ	PREVOD NA UCET	2220	25688	SIPO	ST	70287799
372182	1268	1994-01-14	VYDAJ	PREVOD NA UCET	2220	24197	SIPO	ST	70287799
372183	1268	1994-02-14	VYDAJ	PREVOD NA UCET	2220	18805	SIPO	ST	70287799
372184	1268	1994-03-14	VYDAJ	PREVOD NA UCET	2220	23181	SIPO	ST	70287799
372185	1268	1994-04-14	VYDAJ	PREVOD NA UCET	2220	24501	SIPO	ST	70287799
372186	1268	1994-05-14	VYDAJ	PREVOD NA UCET	2220	23994	SIPO	ST	70287799
372187	1268	1994-06-14	VYDAJ	PREVOD NA UCET	2220	23085	SIPO	ST	70287799
372188	1268	1994-07-14	VYDAJ	PREVOD NA UCET	2220	18912	SIPO	ST	70287799
372189	1268	1994-08-14	VYDAJ	PREVOD NA UCET	2220	20926	SIPO	ST	70287799
372190	1268	1994-09-14	VYDAJ	PREVOD NA UCET	2220	20674	SIPO	ST	70287799
372191	1268	1994-10-14	VYDAJ	PREVOD NA UCET	2220	21347	SIPO	ST	70287799
372192	1268	1994-11-14	VYDAJ	PREVOD NA UCET	2220	23532	SIPO	ST	70287799
372193	1268	1994-12-14	VYDAJ	PREVOD NA UCET	2220	22218	SIPO	ST	70287799
372194	1268	1995-01-14	VYDAJ	PREVOD NA UCET	2220	21546	SIPO	ST	70287799
372195	1268	1995-02-14	VYDAJ	PREVOD NA UCET	2220	18914	SIPO	ST	70287799
372196	1268	1995-03-14	VYDAJ	PREVOD NA UCET	2220	22896	SIPO	ST	70287799
372197	1268	1995-04-14	VYDAJ	PREVOD NA UCET	2220	24185	SIPO	ST	70287799
372198	1268	1995-05-14	VYDAJ	PREVOD NA UCET	2220	26582	SIPO	ST	70287799
372199	1268	1995-06-14	VYDAJ	PREVOD NA UCET	2220	23731	SIPO	ST	70287799
372200	1268	1995-07-14	VYDAJ	PREVOD NA UCET	2220	25930	SIPO	ST	70287799
372201	1268	1995-08-14	VYDAJ	PREVOD NA UCET	2220	23848	SIPO	ST	70287799
372202	1268	1995-09-14	VYDAJ	PREVOD NA UCET	2220	24152	SIPO	ST	70287799
372203	1268	1995-10-14	VYDAJ	PREVOD NA UCET	2220	20747	SIPO	ST	70287799
372204	1268	1995-11-14	VYDAJ	PREVOD NA UCET	2220	19634	SIPO	ST	70287799
372205	1268	1995-12-14	VYDAJ	PREVOD NA UCET	2220	20023	SIPO	ST	70287799
372206	1268	1996-01-14	VYDAJ	PREVOD NA UCET	2220	20379	SIPO	ST	70287799
372207	1268	1996-02-14	VYDAJ	PREVOD NA UCET	2220	16657	SIPO	ST	70287799
372208	1268	1996-03-14	VYDAJ	PREVOD NA UCET	2220	16054	SIPO	ST	70287799
372209	1268	1996-04-14	VYDAJ	PREVOD NA UCET	2220	19417	SIPO	ST	70287799
372210	1268	1996-05-14	VYDAJ	PREVOD NA UCET	2220	23690	SIPO	ST	70287799
372211	1268	1996-06-14	VYDAJ	PREVOD NA UCET	2220	23400	SIPO	ST	70287799
372212	1268	1996-07-14	VYDAJ	PREVOD NA UCET	2220	28894	SIPO	ST	70287799
372213	1268	1996-08-14	VYDAJ	PREVOD NA UCET	2220	29605	SIPO	ST	70287799
372214	1268	1996-09-14	VYDAJ	PREVOD NA UCET	2220	31592	SIPO	ST	70287799
372215	1268	1996-10-14	VYDAJ	PREVOD NA UCET	2220	33518	SIPO	ST	70287799
372216	1268	1996-11-14	VYDAJ	PREVOD NA UCET	2220	36053	SIPO	ST	70287799
372217	1268	1996-12-14	VYDAJ	PREVOD NA UCET	2220	40327	SIPO	ST	70287799
372218	1268	1997-01-14	VYDAJ	PREVOD NA UCET	2220	38208	SIPO	ST	70287799
372219	1268	1997-02-14	VYDAJ	PREVOD NA UCET	2220	37973	SIPO	ST	70287799
372220	1268	1997-03-14	VYDAJ	PREVOD NA UCET	2220	39427	SIPO	ST	70287799
372221	1268	1997-04-14	VYDAJ	PREVOD NA UCET	2220	42374	SIPO	ST	70287799
372222	1268	1997-05-14	VYDAJ	PREVOD NA UCET	2220	41394	SIPO	ST	70287799
372223	1268	1997-06-14	VYDAJ	PREVOD NA UCET	2220	44764	SIPO	ST	70287799
372224	1268	1997-07-14	VYDAJ	PREVOD NA UCET	2220	43502	SIPO	ST	70287799
372225	1268	1997-08-14	VYDAJ	PREVOD NA UCET	2220	46170	SIPO	ST	70287799
372226	1268	1997-09-14	VYDAJ	PREVOD NA UCET	2220	51957	SIPO	ST	70287799
372227	1268	1997-10-14	VYDAJ	PREVOD NA UCET	2220	52766	SIPO	ST	70287799
372228	1268	1997-11-14	VYDAJ	PREVOD NA UCET	2220	53081	SIPO	ST	70287799
372229	1268	1997-12-14	VYDAJ	PREVOD NA UCET	2220	49688	SIPO	ST	70287799
372230	1268	1998-01-14	VYDAJ	PREVOD NA UCET	2220	43443	SIPO	ST	70287799
372231	1268	1998-02-14	VYDAJ	PREVOD NA UCET	2220	40371	SIPO	ST	70287799
372232	1268	1998-03-14	VYDAJ	PREVOD NA UCET	2220	40510	SIPO	ST	70287799
372233	1268	1998-04-14	VYDAJ	PREVOD NA UCET	2220	45174	SIPO	ST	70287799
372234	1268	1998-05-14	VYDAJ	PREVOD NA UCET	2220	45653	SIPO	ST	70287799
372235	1268	1998-06-14	VYDAJ	PREVOD NA UCET	2220	42333	SIPO	ST	70287799
372236	1268	1998-07-14	VYDAJ	PREVOD NA UCET	2220	39605	SIPO	ST	70287799
372237	1268	1998-08-14	VYDAJ	PREVOD NA UCET	2220	41929	SIPO	ST	70287799
372238	1268	1998-09-14	VYDAJ	PREVOD NA UCET	2220	43635	SIPO	ST	70287799
372239	1268	1998-10-14	VYDAJ	PREVOD NA UCET	2220	41607	SIPO	ST	70287799
372240	1268	1998-11-14	VYDAJ	PREVOD NA UCET	2220	40669	SIPO	ST	70287799
372241	1268	1998-12-14	VYDAJ	PREVOD NA UCET	2220	35123	SIPO	ST	70287799
372243	1268	1994-06-27	VYDAJ	VYBER	6060	17725	\N	\N	\N
372244	1268	1995-06-03	VYDAJ	VYBER	1440	22621	\N	\N	\N
372245	1268	1996-06-10	VYDAJ	VYBER	4080	25620	\N	\N	\N
372246	1268	1997-06-19	VYDAJ	VYBER	1440	43324	\N	\N	\N
372247	1268	1998-06-18	VYDAJ	VYBER	2490	39843	\N	\N	\N
372249	1268	1994-01-27	VYDAJ	VYBER	1440	18637	\N	\N	\N
372250	1268	1995-01-12	VYDAJ	VYBER	2580	23766	\N	\N	\N
372251	1268	1996-01-28	VYDAJ	VYBER	1080	17979	\N	\N	\N
372252	1268	1997-01-19	VYDAJ	VYBER	690	37188	\N	\N	\N
372253	1268	1998-01-25	VYDAJ	VYBER	1710	40293	\N	\N	\N
372254	1268	1993-12-10	VYDAJ	VYBER	510	27908	\N	\N	\N
372255	1268	1994-12-16	VYDAJ	VYBER	330	21888	\N	\N	\N
372256	1268	1995-12-17	VYDAJ	VYBER	870	19153	\N	\N	\N
372257	1268	1996-12-20	VYDAJ	VYBER	810	39517	\N	\N	\N
372258	1268	1997-12-09	VYDAJ	VYBER	510	51908	\N	\N	\N
372259	1268	1998-12-24	VYDAJ	VYBER	150	34973	\N	\N	\N
372266	1268	1994-01-29	VYDAJ	VYBER	390	17977	\N	\N	\N
372267	1268	1994-01-12	VYDAJ	VYBER	600	26417	\N	\N	\N
372268	1268	1994-01-15	VYDAJ	VYBER	600	22757	\N	\N	\N
372269	1268	1994-01-30	VYDAJ	VYBER	360	17617	\N	\N	\N
372270	1268	1994-01-28	VYDAJ	VYBER	270	18367	\N	\N	\N
372271	1268	1994-01-15	VYDAJ	VYBER	840	23357	\N	\N	\N
372272	1268	1995-01-20	VYDAJ	VYBER	600	20216	\N	\N	\N
372273	1268	1995-01-30	VYDAJ	VYBER	480	19286	\N	\N	\N
372274	1268	1995-01-25	VYDAJ	VYBER	450	19766	\N	\N	\N
372275	1268	1995-01-30	VYDAJ	VYBER	570	18716	\N	\N	\N
372276	1268	1995-01-04	VYDAJ	VYBER	450	23016	\N	\N	\N
372277	1268	1995-01-19	VYDAJ	VYBER	330	20816	\N	\N	\N
372278	1268	1996-01-01	VYDAJ	VYBER	780	18019	\N	\N	\N
372279	1268	1996-01-23	VYDAJ	VYBER	210	19809	\N	\N	\N
372280	1268	1996-01-04	VYDAJ	VYBER	630	17389	\N	\N	\N
372281	1268	1996-01-18	VYDAJ	VYBER	360	20019	\N	\N	\N
372282	1268	1996-01-26	VYDAJ	VYBER	750	19059	\N	\N	\N
372283	1268	1996-01-13	VYDAJ	VYBER	720	22599	\N	\N	\N
372284	1268	1997-01-10	VYDAJ	VYBER	180	41178	\N	\N	\N
372285	1268	1997-01-18	VYDAJ	VYBER	330	37878	\N	\N	\N
372286	1268	1997-01-12	VYDAJ	VYBER	750	40428	\N	\N	\N
372287	1268	1997-01-26	VYDAJ	VYBER	270	36618	\N	\N	\N
372288	1268	1997-01-06	VYDAJ	VYBER	540	41358	\N	\N	\N
372289	1268	1997-01-22	VYDAJ	VYBER	300	36888	\N	\N	\N
372290	1268	1998-01-20	VYDAJ	VYBER	870	42003	\N	\N	\N
372291	1268	1998-01-16	VYDAJ	VYBER	570	42873	\N	\N	\N
372292	1268	1998-01-14	VYDAJ	VYBER	180	45663	\N	\N	\N
372293	1268	1998-01-02	VYDAJ	VYBER	360	43773	\N	\N	\N
372294	1268	1998-01-08	VYDAJ	VYBER	630	45843	\N	\N	\N
372295	1268	1998-01-06	VYDAJ	VYBER	630	46473	\N	\N	\N
372298	1268	1993-12-16	VYDAJ	VYBER	390	25298	\N	\N	\N
372301	1268	1994-09-01	VYDAJ	VYBER	330	19564	\N	\N	\N
372302	1268	1994-03-19	VYDAJ	VYBER	870	22311	\N	\N	\N
372303	1268	1994-09-26	VYDAJ	VYBER	510	20164	\N	\N	\N
372304	1268	1994-01-22	VYDAJ	VYBER	1380	20077	\N	\N	\N
372305	1268	1994-07-23	VYDAJ	VYBER	960	19752	\N	\N	\N
372306	1268	1995-11-26	VYDAJ	VYBER	390	19244	\N	\N	\N
372307	1268	1995-08-04	VYDAJ	VYBER	780	23838	\N	\N	\N
372308	1268	1995-12-28	VYDAJ	VYBER	420	18733	\N	\N	\N
372309	1268	1995-05-23	VYDAJ	VYBER	1410	23972	\N	\N	\N
372310	1268	1995-02-01	VYDAJ	VYBER	990	17804	\N	\N	\N
372311	1268	1996-11-30	VYDAJ	VYBER	270	35917	\N	\N	\N
372312	1268	1996-03-13	VYDAJ	VYBER	870	18274	\N	\N	\N
372313	1268	1996-08-21	VYDAJ	VYBER	930	28675	\N	\N	\N
372314	1268	1997-04-23	VYDAJ	VYBER	150	42224	\N	\N	\N
372315	1268	1997-12-24	VYDAJ	VYBER	150	49538	\N	\N	\N
372316	1268	1997-08-03	VYDAJ	VYBER	1410	45060	\N	\N	\N
372317	1268	1997-03-16	VYDAJ	VYBER	1200	38227	\N	\N	\N
372318	1268	1997-04-05	VYDAJ	VYBER	510	41264	\N	\N	\N
372319	1268	1998-07-15	VYDAJ	VYBER	1230	38375	\N	\N	\N
372320	1268	1998-03-03	VYDAJ	VYBER	780	39400	\N	\N	\N
372321	1268	1998-09-12	VYDAJ	VYBER	360	45855	\N	\N	\N
372322	1268	1998-11-17	VYDAJ	VYBER	600	40069	\N	\N	\N
372323	1268	1998-03-01	VYDAJ	VYBER	540	40180	\N	\N	\N
372336	1268	1993-12-31	VYDAJ	VYBER	15	23687	SLUZBY	\N	\N
372337	1268	1994-01-31	VYDAJ	VYBER	15	17695	SLUZBY	\N	\N
372338	1268	1994-02-28	VYDAJ	VYBER	15	22071	SLUZBY	\N	\N
372339	1268	1994-03-31	VYDAJ	VYBER	15	23391	SLUZBY	\N	\N
372340	1268	1994-04-30	VYDAJ	VYBER	15	22884	SLUZBY	\N	\N
372341	1268	1994-05-31	VYDAJ	VYBER	15	21975	SLUZBY	\N	\N
372342	1268	1994-06-30	VYDAJ	VYBER	15	17802	SLUZBY	\N	\N
372343	1268	1994-07-31	VYDAJ	VYBER	15	19816	SLUZBY	\N	\N
372344	1268	1994-08-31	VYDAJ	VYBER	15	19894	SLUZBY	\N	\N
372345	1268	1994-09-30	VYDAJ	VYBER	15	20237	SLUZBY	\N	\N
372346	1268	1994-10-31	VYDAJ	VYBER	15	22422	SLUZBY	\N	\N
372347	1268	1994-11-30	VYDAJ	VYBER	15	21108	SLUZBY	\N	\N
372348	1268	1994-12-31	VYDAJ	VYBER	15	23466	SLUZBY	\N	\N
372349	1268	1995-01-31	VYDAJ	VYBER	15	18794	SLUZBY	\N	\N
372350	1268	1995-02-28	VYDAJ	VYBER	15	21786	SLUZBY	\N	\N
372351	1268	1995-03-31	VYDAJ	VYBER	15	23075	SLUZBY	\N	\N
372352	1268	1995-04-30	VYDAJ	VYBER	15	25472	SLUZBY	\N	\N
372353	1268	1995-05-31	VYDAJ	VYBER	15	24061	SLUZBY	\N	\N
372354	1268	1995-06-30	VYDAJ	VYBER	15	24820	SLUZBY	\N	\N
372355	1268	1995-07-31	VYDAJ	VYBER	15	24618	SLUZBY	\N	\N
372356	1268	1995-08-31	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
372357	1268	1995-09-30	VYDAJ	VYBER	15	24237	SLUZBY	\N	\N
372358	1268	1995-10-31	VYDAJ	VYBER	15	20824	SLUZBY	\N	\N
372359	1268	1995-11-30	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
372360	1268	1995-12-31	VYDAJ	VYBER	15	18799	SLUZBY	\N	\N
372361	1268	1996-01-31	VYDAJ	VYBER	15	18047	SLUZBY	\N	\N
372362	1268	1996-02-29	VYDAJ	VYBER	15	16714	SLUZBY	\N	\N
372363	1268	1996-03-31	VYDAJ	VYBER	15	16107	SLUZBY	\N	\N
372364	1268	1996-04-30	VYDAJ	VYBER	15	19480	SLUZBY	\N	\N
372365	1268	1996-05-31	VYDAJ	VYBER	15	23770	SLUZBY	\N	\N
372366	1268	1996-06-30	VYDAJ	VYBER	15	23484	SLUZBY	\N	\N
372367	1268	1996-07-31	VYDAJ	VYBER	15	28995	SLUZBY	\N	\N
372368	1268	1996-08-31	VYDAJ	VYBER	15	28782	SLUZBY	\N	\N
372369	1268	1996-09-30	VYDAJ	VYBER	15	31708	SLUZBY	\N	\N
372370	1268	1996-10-31	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
372371	1268	1996-11-30	VYDAJ	VYBER	15	36187	SLUZBY	\N	\N
372372	1268	1996-12-31	VYDAJ	VYBER	15	39668	SLUZBY	\N	\N
372373	1268	1997-01-31	VYDAJ	VYBER	15	36763	SLUZBY	\N	\N
372374	1268	1997-02-28	VYDAJ	VYBER	15	38117	SLUZBY	\N	\N
372375	1268	1997-03-31	VYDAJ	VYBER	15	38374	SLUZBY	\N	\N
372376	1268	1997-04-30	VYDAJ	VYBER	15	42384	SLUZBY	\N	\N
372377	1268	1997-05-31	VYDAJ	VYBER	15	41554	SLUZBY	\N	\N
372378	1268	1997-06-30	VYDAJ	VYBER	15	43492	SLUZBY	\N	\N
372379	1268	1997-07-31	VYDAJ	VYBER	15	43670	SLUZBY	\N	\N
372380	1268	1997-08-31	VYDAJ	VYBER	15	46347	SLUZBY	\N	\N
372381	1268	1997-09-30	VYDAJ	VYBER	15	52156	SLUZBY	\N	\N
372382	1268	1997-10-31	VYDAJ	VYBER	15	52971	SLUZBY	\N	\N
372383	1268	1997-11-30	VYDAJ	VYBER	15	53288	SLUZBY	\N	\N
372384	1268	1997-12-31	VYDAJ	VYBER	15	49733	SLUZBY	\N	\N
372385	1268	1998-01-31	VYDAJ	VYBER	15	39261	SLUZBY	\N	\N
372386	1268	1998-02-28	VYDAJ	VYBER	15	40520	SLUZBY	\N	\N
372387	1268	1998-03-31	VYDAJ	VYBER	15	44064	SLUZBY	\N	\N
372388	1268	1998-04-30	VYDAJ	VYBER	15	44543	SLUZBY	\N	\N
372389	1268	1998-05-31	VYDAJ	VYBER	15	41223	SLUZBY	\N	\N
372390	1268	1998-06-30	VYDAJ	VYBER	15	38495	SLUZBY	\N	\N
372391	1268	1998-07-31	VYDAJ	VYBER	15	40819	SLUZBY	\N	\N
372392	1268	1998-08-31	VYDAJ	VYBER	15	42885	SLUZBY	\N	\N
372393	1268	1998-09-30	VYDAJ	VYBER	15	40497	SLUZBY	\N	\N
372394	1268	1998-10-31	VYDAJ	VYBER	15	39559	SLUZBY	\N	\N
372395	1268	1998-11-30	VYDAJ	VYBER	15	34013	SLUZBY	\N	\N
372396	1268	1993-08-24	PRIJEM	VKLAD	9000	13130	\N	\N	\N
372397	1268	1993-09-23	PRIJEM	VKLAD	3300	19774	\N	\N	\N
372398	1268	1993-10-23	PRIJEM	VKLAD	1500	24666	\N	\N	\N
372399	1268	1993-11-22	VYDAJ	VYBER	3100	24985	\N	\N	\N
372400	1268	1993-12-22	VYDAJ	VYBER	1700	23598	\N	\N	\N
372401	1268	1994-01-21	VYDAJ	VYBER	1300	21457	\N	\N	\N
372402	1268	1994-02-20	PRIJEM	VKLAD	3200	22005	\N	\N	\N
372403	1268	1994-03-22	PRIJEM	VKLAD	1000	23311	\N	\N	\N
372404	1268	1994-04-21	VYDAJ	VYBER	1700	22801	\N	\N	\N
372405	1268	1994-05-21	VYDAJ	VYBER	2100	21894	\N	\N	\N
372406	1268	1994-06-20	PRIJEM	VKLAD	700	23785	\N	\N	\N
372407	1268	1994-07-20	PRIJEM	VKLAD	1800	20712	\N	\N	\N
372408	1268	1994-08-19	VYDAJ	VYBER	1100	19826	\N	\N	\N
372409	1268	1994-10-18	PRIJEM	VKLAD	1000	22347	\N	\N	\N
372410	1268	1994-11-17	VYDAJ	VYBER	2500	21032	\N	\N	\N
372411	1268	1994-12-17	PRIJEM	VKLAD	1500	23388	\N	\N	\N
372412	1268	1995-01-16	VYDAJ	VYBER	400	21146	\N	\N	\N
372413	1268	1995-02-15	PRIJEM	VKLAD	2800	21714	\N	\N	\N
372414	1268	1995-03-17	PRIJEM	VKLAD	100	22996	\N	\N	\N
372415	1268	1995-04-16	PRIJEM	VKLAD	1200	25385	\N	\N	\N
372416	1268	1995-05-16	VYDAJ	VYBER	1200	25382	\N	\N	\N
372417	1268	1995-06-15	PRIJEM	VKLAD	1000	24731	\N	\N	\N
372418	1268	1995-07-15	VYDAJ	VYBER	1400	24530	\N	\N	\N
372419	1268	1995-08-14	VYDAJ	VYBER	1100	26068	\N	\N	\N
372420	1268	1995-09-13	VYDAJ	VYBER	900	26372	\N	\N	\N
372421	1268	1995-10-13	VYDAJ	VYBER	4600	22967	\N	\N	\N
372422	1268	1995-11-12	VYDAJ	VYBER	2300	21854	\N	\N	\N
372423	1268	1995-12-12	VYDAJ	VYBER	400	22243	\N	\N	\N
372424	1268	1996-01-11	PRIJEM	VKLAD	2600	23319	\N	\N	\N
372425	1268	1996-02-10	VYDAJ	VYBER	2500	18877	\N	\N	\N
372426	1268	1996-03-11	VYDAJ	VYBER	900	19144	\N	\N	\N
372427	1268	1996-04-10	PRIJEM	VKLAD	2200	21637	\N	\N	\N
372428	1268	1996-05-10	PRIJEM	VKLAD	3100	25910	\N	\N	\N
372429	1268	1996-06-09	PRIJEM	VKLAD	2600	29700	\N	\N	\N
372430	1268	1996-07-09	PRIJEM	VKLAD	4300	31114	\N	\N	\N
372431	1268	1996-08-08	VYDAJ	VYBER	500	31825	\N	\N	\N
372432	1268	1996-09-07	PRIJEM	VKLAD	1700	33812	\N	\N	\N
372433	1268	1996-10-07	PRIJEM	VKLAD	700	35738	\N	\N	\N
372434	1268	1996-11-06	PRIJEM	VKLAD	1300	38273	\N	\N	\N
372435	1268	1996-12-06	PRIJEM	VKLAD	3300	42547	\N	\N	\N
372436	1268	1997-01-05	VYDAJ	VYBER	1100	38568	\N	\N	\N
372437	1268	1997-02-04	PRIJEM	VKLAD	100	36863	\N	\N	\N
372438	1268	1997-03-06	PRIJEM	VKLAD	200	41647	\N	\N	\N
372439	1268	1997-04-05	PRIJEM	VKLAD	3400	41774	\N	\N	\N
372440	1268	1997-05-05	VYDAJ	VYBER	2100	40284	\N	\N	\N
372441	1268	1997-06-04	PRIJEM	VKLAD	2100	43654	\N	\N	\N
372442	1268	1997-07-04	VYDAJ	VYBER	1100	42392	\N	\N	\N
372443	1268	1997-08-03	PRIJEM	VKLAD	2800	46470	\N	\N	\N
372444	1268	1997-09-02	PRIJEM	VKLAD	4500	50847	\N	\N	\N
372445	1268	1997-10-02	VYDAJ	VYBER	500	51656	\N	\N	\N
372446	1268	1997-11-01	VYDAJ	VYBER	1000	51971	\N	\N	\N
372447	1268	1997-12-01	VYDAJ	VYBER	4200	49088	\N	\N	\N
372448	1268	1997-12-31	VYDAJ	VYBER	5600	44133	\N	\N	\N
372449	1268	1998-01-30	VYDAJ	VYBER	1200	39093	\N	\N	\N
372450	1268	1998-03-01	PRIJEM	VKLAD	200	40720	\N	\N	\N
372451	1268	1998-03-31	PRIJEM	VKLAD	3400	44079	\N	\N	\N
372452	1268	1998-04-30	VYDAJ	VYBER	800	44558	\N	\N	\N
372453	1268	1998-05-30	VYDAJ	VYBER	4600	41053	\N	\N	\N
372454	1268	1998-06-29	VYDAJ	VYBER	1500	38343	\N	\N	\N
372455	1268	1998-07-29	PRIJEM	VKLAD	2300	40675	\N	\N	\N
372456	1268	1998-08-28	PRIJEM	VKLAD	800	42729	\N	\N	\N
372457	1268	1998-09-27	VYDAJ	VYBER	3300	40335	\N	\N	\N
372458	1268	1998-10-27	VYDAJ	VYBER	2200	39407	\N	\N	\N
372459	1268	1998-11-26	VYDAJ	VYBER	6200	33869	\N	\N	\N
372525	1269	1994-03-28	PRIJEM	VKLAD	400	400	\N	\N	\N
372529	1269	1994-04-13	PRIJEM	VKLAD	12129	12529	\N	\N	\N
372530	1269	1994-05-13	PRIJEM	VKLAD	12129	32469	\N	\N	\N
372531	1269	1994-06-13	PRIJEM	VKLAD	18194	44351	\N	\N	\N
372532	1269	1994-07-13	PRIJEM	VKLAD	12129	47295	\N	\N	\N
372533	1269	1994-08-13	PRIJEM	VKLAD	12129	47671	\N	\N	\N
372534	1269	1994-09-13	PRIJEM	VKLAD	12129	43710	\N	\N	\N
372535	1269	1994-10-13	PRIJEM	VKLAD	12129	44438	\N	\N	\N
372536	1269	1994-11-13	PRIJEM	VKLAD	12129	43066	\N	\N	\N
372537	1269	1994-12-13	PRIJEM	VKLAD	18194	39540	\N	\N	\N
372538	1269	1995-01-13	PRIJEM	VKLAD	12129	38246	\N	\N	\N
372539	1269	1995-02-13	PRIJEM	VKLAD	12129	26446	\N	\N	\N
372540	1269	1995-03-13	PRIJEM	VKLAD	12129	32058	\N	\N	\N
372541	1269	1995-04-13	PRIJEM	VKLAD	12129	39846	\N	\N	\N
372542	1269	1995-05-13	PRIJEM	VKLAD	12129	39053	\N	\N	\N
372543	1269	1995-06-13	PRIJEM	VKLAD	18194	45563	\N	\N	\N
372544	1269	1995-07-13	PRIJEM	VKLAD	12129	36891	\N	\N	\N
372545	1269	1995-08-13	PRIJEM	VKLAD	12129	39293	\N	\N	\N
372546	1269	1995-09-13	PRIJEM	VKLAD	12129	41598	\N	\N	\N
372547	1269	1995-10-13	PRIJEM	VKLAD	12129	38803	\N	\N	\N
372548	1269	1995-11-13	PRIJEM	VKLAD	12129	40404	\N	\N	\N
372549	1269	1995-12-13	PRIJEM	VKLAD	18194	37501	\N	\N	\N
372550	1269	1996-01-13	PRIJEM	VKLAD	12129	36167	\N	\N	\N
372551	1269	1996-02-13	PRIJEM	VKLAD	12129	31662	\N	\N	\N
372552	1269	1996-03-13	PRIJEM	VKLAD	12129	34832	\N	\N	\N
372553	1269	1996-04-13	PRIJEM	VKLAD	12129	35017	\N	\N	\N
372554	1269	1996-05-13	PRIJEM	VKLAD	12129	38605	\N	\N	\N
372555	1269	1996-06-13	PRIJEM	VKLAD	18194	41672	\N	\N	\N
372556	1269	1996-07-13	PRIJEM	VKLAD	12129	37073	\N	\N	\N
372557	1269	1996-08-13	PRIJEM	VKLAD	12129	33146	\N	\N	\N
372558	1269	1996-09-13	PRIJEM	VKLAD	12129	32510	\N	\N	\N
372559	1269	1996-10-13	PRIJEM	VKLAD	12129	27023	\N	\N	\N
372560	1269	1996-11-13	PRIJEM	VKLAD	12129	26883	\N	\N	\N
372561	1269	1996-12-13	PRIJEM	VKLAD	18194	34737	\N	\N	\N
372562	1269	1997-01-13	PRIJEM	VKLAD	12129	28511	\N	\N	\N
372563	1269	1997-02-13	PRIJEM	VKLAD	12129	24463	\N	\N	\N
372564	1269	1997-03-13	PRIJEM	VKLAD	12129	30705	\N	\N	\N
372565	1269	1997-04-13	PRIJEM	VKLAD	12129	30869	\N	\N	\N
372566	1269	1997-05-13	PRIJEM	VKLAD	12129	32642	\N	\N	\N
372567	1269	1997-06-13	PRIJEM	VKLAD	18194	41300	\N	\N	\N
372568	1269	1997-07-13	PRIJEM	VKLAD	12129	34114	\N	\N	\N
372569	1269	1997-08-13	PRIJEM	VKLAD	12129	32315	\N	\N	\N
372570	1269	1997-09-13	PRIJEM	VKLAD	12129	35808	\N	\N	\N
372571	1269	1997-10-13	PRIJEM	VKLAD	12129	34381	\N	\N	\N
372572	1269	1997-11-13	PRIJEM	VKLAD	12129	38260	\N	\N	\N
372573	1269	1997-12-13	PRIJEM	VKLAD	18194	49122	\N	\N	\N
372574	1269	1998-01-13	PRIJEM	VKLAD	12129	42609	\N	\N	\N
372575	1269	1998-02-13	PRIJEM	VKLAD	12129	41654	\N	\N	\N
372576	1269	1998-03-13	PRIJEM	VKLAD	12129	40052	\N	\N	\N
372577	1269	1998-04-13	PRIJEM	VKLAD	12129	43856	\N	\N	\N
372578	1269	1998-05-13	PRIJEM	VKLAD	12129	47993	\N	\N	\N
372579	1269	1998-06-13	PRIJEM	VKLAD	18194	58412	\N	\N	\N
372580	1269	1998-07-13	PRIJEM	VKLAD	12129	44561	\N	\N	\N
372581	1269	1998-08-13	PRIJEM	VKLAD	12129	43255	\N	\N	\N
372582	1269	1998-09-13	PRIJEM	VKLAD	12129	47194	\N	\N	\N
372583	1269	1998-10-13	PRIJEM	VKLAD	12129	52344	\N	\N	\N
372584	1269	1998-11-13	PRIJEM	VKLAD	12129	49273	\N	\N	\N
372585	1269	1998-12-13	PRIJEM	VKLAD	18194	57697	\N	\N	\N
372593	1269	1994-08-13	VYDAJ	PREVOD NA UCET	6840	40831	SIPO	CD	70135479
372594	1269	1994-09-13	VYDAJ	PREVOD NA UCET	6840	36870	SIPO	CD	70135479
372595	1269	1994-10-13	VYDAJ	PREVOD NA UCET	6840	37598	SIPO	CD	70135479
372596	1269	1994-11-13	VYDAJ	PREVOD NA UCET	6840	36226	SIPO	CD	70135479
372597	1269	1994-12-13	VYDAJ	PREVOD NA UCET	6840	32700	SIPO	CD	70135479
372598	1269	1995-01-13	VYDAJ	PREVOD NA UCET	6840	31406	SIPO	CD	70135479
372599	1269	1995-02-13	VYDAJ	PREVOD NA UCET	6840	19606	SIPO	CD	70135479
372600	1269	1995-03-13	VYDAJ	PREVOD NA UCET	6840	25218	SIPO	CD	70135479
372601	1269	1995-04-13	VYDAJ	PREVOD NA UCET	6840	33006	SIPO	CD	70135479
372602	1269	1995-05-13	VYDAJ	PREVOD NA UCET	6840	32213	SIPO	CD	70135479
372603	1269	1995-06-13	VYDAJ	PREVOD NA UCET	6840	38723	SIPO	CD	70135479
372604	1269	1995-07-13	VYDAJ	PREVOD NA UCET	6840	30051	SIPO	CD	70135479
372605	1269	1995-08-13	VYDAJ	PREVOD NA UCET	6840	32453	SIPO	CD	70135479
372606	1269	1995-09-13	VYDAJ	PREVOD NA UCET	6840	34758	SIPO	CD	70135479
372607	1269	1995-10-13	VYDAJ	PREVOD NA UCET	6840	31963	SIPO	CD	70135479
372608	1269	1995-11-13	VYDAJ	PREVOD NA UCET	6840	33564	SIPO	CD	70135479
372609	1269	1995-12-13	VYDAJ	PREVOD NA UCET	6840	30661	SIPO	CD	70135479
372610	1269	1996-01-13	VYDAJ	PREVOD NA UCET	6840	29327	SIPO	CD	70135479
372611	1269	1996-02-13	VYDAJ	PREVOD NA UCET	6840	24822	SIPO	CD	70135479
372612	1269	1996-03-13	VYDAJ	PREVOD NA UCET	6840	27992	SIPO	CD	70135479
372613	1269	1996-04-13	VYDAJ	PREVOD NA UCET	6840	28177	SIPO	CD	70135479
372614	1269	1996-05-13	VYDAJ	PREVOD NA UCET	6840	31765	SIPO	CD	70135479
372615	1269	1996-06-13	VYDAJ	PREVOD NA UCET	6840	34832	SIPO	CD	70135479
372616	1269	1996-07-13	VYDAJ	PREVOD NA UCET	6840	30233	SIPO	CD	70135479
372617	1269	1996-08-13	VYDAJ	PREVOD NA UCET	6840	26306	SIPO	CD	70135479
372618	1269	1996-09-13	VYDAJ	PREVOD NA UCET	6840	25670	SIPO	CD	70135479
372619	1269	1996-10-13	VYDAJ	PREVOD NA UCET	6840	14683	SIPO	CD	70135479
372620	1269	1996-11-13	VYDAJ	PREVOD NA UCET	6840	20043	SIPO	CD	70135479
372621	1269	1996-12-13	VYDAJ	PREVOD NA UCET	6840	27897	SIPO	CD	70135479
372622	1269	1997-01-13	VYDAJ	PREVOD NA UCET	6840	14951	SIPO	CD	70135479
372623	1269	1997-02-13	VYDAJ	PREVOD NA UCET	6840	17623	SIPO	CD	70135479
372624	1269	1997-03-13	VYDAJ	PREVOD NA UCET	6840	23865	SIPO	CD	70135479
372625	1269	1997-04-13	VYDAJ	PREVOD NA UCET	6840	24029	SIPO	CD	70135479
372626	1269	1997-05-13	VYDAJ	PREVOD NA UCET	6840	25802	SIPO	CD	70135479
372627	1269	1997-06-13	VYDAJ	PREVOD NA UCET	6840	34460	SIPO	CD	70135479
372628	1269	1997-07-13	VYDAJ	PREVOD NA UCET	6840	27274	SIPO	CD	70135479
372629	1269	1997-08-13	VYDAJ	PREVOD NA UCET	6840	25475	SIPO	CD	70135479
372630	1269	1997-09-13	VYDAJ	PREVOD NA UCET	6840	28968	SIPO	CD	70135479
372631	1269	1997-10-13	VYDAJ	PREVOD NA UCET	6840	27541	SIPO	CD	70135479
372632	1269	1997-11-13	VYDAJ	PREVOD NA UCET	6840	31420	SIPO	CD	70135479
372633	1269	1997-12-13	VYDAJ	PREVOD NA UCET	6840	42282	SIPO	CD	70135479
372634	1269	1998-01-13	VYDAJ	PREVOD NA UCET	6840	35769	SIPO	CD	70135479
372635	1269	1998-02-13	VYDAJ	PREVOD NA UCET	6840	34814	SIPO	CD	70135479
372636	1269	1998-03-13	VYDAJ	PREVOD NA UCET	6840	33212	SIPO	CD	70135479
372637	1269	1998-04-13	VYDAJ	PREVOD NA UCET	6840	37016	SIPO	CD	70135479
372638	1269	1998-05-13	VYDAJ	PREVOD NA UCET	6840	41153	SIPO	CD	70135479
372639	1269	1998-06-13	VYDAJ	PREVOD NA UCET	6840	51572	SIPO	CD	70135479
372640	1269	1998-07-13	VYDAJ	PREVOD NA UCET	6840	37721	SIPO	CD	70135479
372641	1269	1998-08-13	VYDAJ	PREVOD NA UCET	6840	36415	SIPO	CD	70135479
372642	1269	1998-09-13	VYDAJ	PREVOD NA UCET	6840	40354	SIPO	CD	70135479
372643	1269	1998-10-13	VYDAJ	PREVOD NA UCET	6840	45504	SIPO	CD	70135479
372644	1269	1998-11-13	VYDAJ	PREVOD NA UCET	6840	42433	SIPO	CD	70135479
372645	1269	1998-12-13	VYDAJ	PREVOD NA UCET	6840	50857	SIPO	CD	70135479
372654	1269	1994-09-11	VYDAJ	PREVOD NA UCET	599	31581	 	EF	78545605
372655	1269	1994-10-11	VYDAJ	PREVOD NA UCET	599	32309	 	EF	78545605
372656	1269	1994-11-11	VYDAJ	PREVOD NA UCET	599	30937	 	EF	78545605
372657	1269	1994-12-11	VYDAJ	PREVOD NA UCET	599	21347	 	EF	78545605
372658	1269	1995-01-11	VYDAJ	PREVOD NA UCET	599	26117	 	EF	78545605
372659	1269	1995-02-11	VYDAJ	PREVOD NA UCET	599	14317	 	EF	78545605
372660	1269	1995-03-11	VYDAJ	PREVOD NA UCET	599	19929	 	EF	78545605
372661	1269	1995-04-11	VYDAJ	PREVOD NA UCET	599	27717	 	EF	78545605
372662	1269	1995-05-11	VYDAJ	PREVOD NA UCET	599	26924	 	EF	78545605
372663	1269	1995-06-11	VYDAJ	PREVOD NA UCET	599	27369	 	EF	78545605
372664	1269	1995-07-11	VYDAJ	PREVOD NA UCET	599	28242	 	EF	78545605
372665	1269	1995-08-11	VYDAJ	PREVOD NA UCET	599	27164	 	EF	78545605
372666	1269	1995-09-11	VYDAJ	PREVOD NA UCET	599	29469	 	EF	78545605
372667	1269	1995-10-11	VYDAJ	PREVOD NA UCET	599	26674	 	EF	78545605
372668	1269	1995-11-11	VYDAJ	PREVOD NA UCET	599	28275	 	EF	78545605
372669	1269	1995-12-11	VYDAJ	PREVOD NA UCET	599	19308	 	EF	78545605
372670	1269	1996-01-11	VYDAJ	PREVOD NA UCET	599	24038	 	EF	78545605
372671	1269	1996-02-11	VYDAJ	PREVOD NA UCET	599	19533	 	EF	78545605
372672	1269	1996-03-11	VYDAJ	PREVOD NA UCET	599	22703	 	EF	78545605
372673	1269	1996-04-11	VYDAJ	PREVOD NA UCET	599	22888	 	EF	78545605
372674	1269	1996-05-11	VYDAJ	PREVOD NA UCET	599	26476	 	EF	78545605
372675	1269	1996-06-11	VYDAJ	PREVOD NA UCET	599	23479	 	EF	78545605
372676	1269	1996-07-11	VYDAJ	PREVOD NA UCET	599	24944	 	EF	78545605
372677	1269	1996-08-11	VYDAJ	PREVOD NA UCET	599	21017	 	EF	78545605
372678	1269	1996-09-11	VYDAJ	PREVOD NA UCET	599	20381	 	EF	78545605
372679	1269	1996-10-11	VYDAJ	PREVOD NA UCET	599	14894	 	EF	78545605
372680	1269	1996-11-11	VYDAJ	PREVOD NA UCET	599	14154	 	EF	78545605
372681	1269	1996-12-11	VYDAJ	PREVOD NA UCET	599	17743	 	EF	78545605
372682	1269	1997-01-11	VYDAJ	PREVOD NA UCET	599	25242	 	EF	78545605
372683	1269	1997-02-11	VYDAJ	PREVOD NA UCET	599	12334	 	EF	78545605
372684	1269	1997-03-11	VYDAJ	PREVOD NA UCET	599	17076	 	EF	78545605
372685	1269	1997-04-11	VYDAJ	PREVOD NA UCET	599	18740	 	EF	78545605
372686	1269	1997-05-11	VYDAJ	PREVOD NA UCET	599	20513	 	EF	78545605
372687	1269	1997-06-11	VYDAJ	PREVOD NA UCET	599	23107	 	EF	78545605
372688	1269	1997-07-11	VYDAJ	PREVOD NA UCET	599	21985	 	EF	78545605
372689	1269	1997-08-11	VYDAJ	PREVOD NA UCET	599	20186	 	EF	78545605
372690	1269	1997-09-11	VYDAJ	PREVOD NA UCET	599	23679	 	EF	78545605
372691	1269	1997-10-11	VYDAJ	PREVOD NA UCET	599	22252	 	EF	78545605
372692	1269	1997-11-11	VYDAJ	PREVOD NA UCET	599	26131	 	EF	78545605
372693	1269	1997-12-11	VYDAJ	PREVOD NA UCET	599	30929	 	EF	78545605
372694	1269	1998-01-11	VYDAJ	PREVOD NA UCET	599	30480	 	EF	78545605
372695	1269	1998-02-11	VYDAJ	PREVOD NA UCET	599	29525	 	EF	78545605
372696	1269	1998-03-11	VYDAJ	PREVOD NA UCET	599	27923	 	EF	78545605
372697	1269	1998-04-11	VYDAJ	PREVOD NA UCET	599	31727	 	EF	78545605
372698	1269	1998-05-11	VYDAJ	PREVOD NA UCET	599	35864	 	EF	78545605
372699	1269	1998-06-11	VYDAJ	PREVOD NA UCET	599	40218	 	EF	78545605
372700	1269	1998-07-11	VYDAJ	PREVOD NA UCET	599	32432	 	EF	78545605
372701	1269	1998-08-11	VYDAJ	PREVOD NA UCET	599	31126	 	EF	78545605
372702	1269	1998-09-11	VYDAJ	PREVOD NA UCET	599	35065	 	EF	78545605
372703	1269	1998-10-11	VYDAJ	PREVOD NA UCET	599	40215	 	EF	78545605
372704	1269	1998-11-11	VYDAJ	PREVOD NA UCET	599	37144	 	EF	78545605
372705	1269	1998-12-11	VYDAJ	PREVOD NA UCET	599	39504	 	EF	78545605
372709	1269	1997-06-28	VYDAJ	VYBER	8000	26460	\N	\N	\N
372710	1269	1998-06-23	VYDAJ	VYBER	17760	33812	\N	\N	\N
372712	1269	1995-01-27	VYDAJ	VYBER	2880	16866	\N	\N	\N
372714	1269	1997-01-13	VYDAJ	VYBER	6720	21791	\N	\N	\N
372715	1269	1998-01-26	VYDAJ	VYBER	7520	26929	\N	\N	\N
372716	1269	1994-12-07	VYDAJ	VYBER	4480	21946	\N	\N	\N
372717	1269	1995-12-08	VYDAJ	VYBER	4480	19907	\N	\N	\N
372718	1269	1996-12-02	VYDAJ	VYBER	1760	18342	\N	\N	\N
372719	1269	1997-12-29	VYDAJ	VYBER	1120	41162	\N	\N	\N
372720	1269	1998-12-02	VYDAJ	VYBER	4480	40103	\N	\N	\N
372727	1269	1995-01-21	VYDAJ	VYBER	2760	22286	\N	\N	\N
372728	1269	1995-01-30	VYDAJ	VYBER	2040	14826	\N	\N	\N
372729	1269	1995-01-18	VYDAJ	VYBER	3120	25046	\N	\N	\N
372730	1269	1995-01-15	VYDAJ	VYBER	3240	28166	\N	\N	\N
372731	1269	1995-01-26	VYDAJ	VYBER	1440	19746	\N	\N	\N
372732	1269	1995-01-01	VYDAJ	VYBER	3000	26716	\N	\N	\N
372733	1269	1996-01-19	VYDAJ	VYBER	1080	23767	\N	\N	\N
372734	1269	1996-01-24	VYDAJ	VYBER	1200	21247	\N	\N	\N
372735	1269	1996-01-25	VYDAJ	VYBER	1200	20047	\N	\N	\N
372736	1269	1996-01-15	VYDAJ	VYBER	3480	25847	\N	\N	\N
372737	1269	1996-01-19	VYDAJ	VYBER	1320	22447	\N	\N	\N
372738	1269	1996-01-02	VYDAJ	VYBER	1320	24637	\N	\N	\N
372739	1269	1997-01-04	VYDAJ	VYBER	2160	25841	\N	\N	\N
372742	1269	1997-01-11	VYDAJ	VYBER	2280	21062	\N	\N	\N
372743	1269	1997-01-11	VYDAJ	VYBER	1920	16382	\N	\N	\N
372744	1269	1997-01-11	VYDAJ	VYBER	2760	18302	\N	\N	\N
372745	1269	1998-01-26	VYDAJ	VYBER	1800	25129	\N	\N	\N
372746	1269	1998-01-25	VYDAJ	VYBER	1320	34449	\N	\N	\N
372747	1269	1998-01-28	VYDAJ	VYBER	840	24289	\N	\N	\N
372748	1269	1998-01-06	VYDAJ	VYBER	960	33359	\N	\N	\N
372749	1269	1998-01-01	VYDAJ	VYBER	1200	40119	\N	\N	\N
372750	1269	1998-01-06	VYDAJ	VYBER	2280	31079	\N	\N	\N
372756	1269	1994-11-18	VYDAJ	VYBER	3120	33106	\N	\N	\N
372759	1269	1995-06-15	VYDAJ	VYBER	600	38123	\N	\N	\N
372760	1269	1995-07-11	VYDAJ	VYBER	3480	24762	\N	\N	\N
372761	1269	1995-06-25	VYDAJ	VYBER	5400	28723	\N	\N	\N
372762	1269	1995-03-05	VYDAJ	VYBER	2040	20528	\N	\N	\N
372763	1269	1995-12-08	VYDAJ	VYBER	960	24387	\N	\N	\N
372764	1269	1995-06-04	VYDAJ	VYBER	960	27968	\N	\N	\N
372765	1269	1995-11-23	VYDAJ	VYBER	1320	25244	\N	\N	\N
372766	1269	1996-04-03	VYDAJ	VYBER	3000	23487	\N	\N	\N
372767	1269	1996-05-14	VYDAJ	VYBER	5280	26485	\N	\N	\N
372768	1269	1996-06-14	VYDAJ	VYBER	5880	28952	\N	\N	\N
372769	1269	1996-10-11	VYDAJ	VYBER	5160	15493	\N	\N	\N
372770	1269	1997-07-24	VYDAJ	VYBER	3480	23794	\N	\N	\N
372772	1269	1997-09-27	VYDAJ	VYBER	3840	21648	\N	\N	\N
372773	1269	1997-09-24	VYDAJ	VYBER	3480	25488	\N	\N	\N
372774	1269	1998-03-04	VYDAJ	VYBER	1320	27722	\N	\N	\N
372775	1269	1998-10-20	VYDAJ	VYBER	3840	41664	\N	\N	\N
372776	1269	1998-08-08	VYDAJ	VYBER	5040	31725	\N	\N	\N
372777	1269	1998-10-23	VYDAJ	VYBER	4680	36984	\N	\N	\N
372778	1269	1998-02-25	VYDAJ	VYBER	5880	28934	\N	\N	\N
372779	1269	1998-06-29	VYDAJ	VYBER	4440	29372	\N	\N	\N
372788	1269	1994-08-31	VYDAJ	VYBER	15	32180	SLUZBY	\N	\N
372789	1269	1994-09-30	VYDAJ	VYBER	15	32908	SLUZBY	\N	\N
372790	1269	1994-10-31	VYDAJ	VYBER	15	31536	SLUZBY	\N	\N
372791	1269	1994-11-30	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
372792	1269	1994-12-31	VYDAJ	VYBER	15	29716	SLUZBY	\N	\N
372793	1269	1995-01-31	VYDAJ	VYBER	15	14916	SLUZBY	\N	\N
372794	1269	1995-02-28	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
372795	1269	1995-03-31	VYDAJ	VYBER	15	28316	SLUZBY	\N	\N
372796	1269	1995-04-30	VYDAJ	VYBER	15	27523	SLUZBY	\N	\N
372797	1269	1995-05-31	VYDAJ	VYBER	15	28928	SLUZBY	\N	\N
372798	1269	1995-06-30	VYDAJ	VYBER	15	28841	SLUZBY	\N	\N
372799	1269	1995-07-31	VYDAJ	VYBER	15	27763	SLUZBY	\N	\N
372800	1269	1995-08-31	VYDAJ	VYBER	15	30068	SLUZBY	\N	\N
372801	1269	1995-09-30	VYDAJ	VYBER	15	27273	SLUZBY	\N	\N
372802	1269	1995-10-31	VYDAJ	VYBER	15	28874	SLUZBY	\N	\N
372803	1269	1995-11-30	VYDAJ	VYBER	15	25347	SLUZBY	\N	\N
372804	1269	1995-12-31	VYDAJ	VYBER	15	25957	SLUZBY	\N	\N
372805	1269	1996-01-31	VYDAJ	VYBER	15	20132	SLUZBY	\N	\N
372806	1269	1996-02-29	VYDAJ	VYBER	15	23302	SLUZBY	\N	\N
372807	1269	1996-03-31	VYDAJ	VYBER	15	26487	SLUZBY	\N	\N
372808	1269	1996-04-30	VYDAJ	VYBER	15	27075	SLUZBY	\N	\N
372809	1269	1996-05-31	VYDAJ	VYBER	15	24078	SLUZBY	\N	\N
372810	1269	1996-06-30	VYDAJ	VYBER	15	25543	SLUZBY	\N	\N
372811	1269	1996-07-31	VYDAJ	VYBER	15	21616	SLUZBY	\N	\N
372812	1269	1996-08-31	VYDAJ	VYBER	15	20980	SLUZBY	\N	\N
372813	1269	1996-09-30	VYDAJ	VYBER	15	20653	SLUZBY	\N	\N
372814	1269	1996-10-31	VYDAJ	VYBER	15	14753	SLUZBY	\N	\N
372815	1269	1996-11-30	VYDAJ	VYBER	15	20102	SLUZBY	\N	\N
372816	1269	1996-12-31	VYDAJ	VYBER	15	28001	SLUZBY	\N	\N
372817	1269	1997-01-31	VYDAJ	VYBER	15	15033	SLUZBY	\N	\N
372818	1269	1997-02-28	VYDAJ	VYBER	15	17675	SLUZBY	\N	\N
372819	1269	1997-03-31	VYDAJ	VYBER	15	23939	SLUZBY	\N	\N
372820	1269	1997-04-30	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
372821	1269	1997-05-31	VYDAJ	VYBER	15	25906	SLUZBY	\N	\N
372822	1269	1997-06-30	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
372823	1269	1997-07-31	VYDAJ	VYBER	15	23885	SLUZBY	\N	\N
372824	1269	1997-08-31	VYDAJ	VYBER	15	25578	SLUZBY	\N	\N
372825	1269	1997-09-30	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
372826	1269	1997-10-31	VYDAJ	VYBER	15	27630	SLUZBY	\N	\N
372827	1269	1997-11-30	VYDAJ	VYBER	15	31528	SLUZBY	\N	\N
372828	1269	1997-12-31	VYDAJ	VYBER	15	41319	SLUZBY	\N	\N
372829	1269	1998-01-31	VYDAJ	VYBER	15	24424	SLUZBY	\N	\N
372830	1269	1998-02-28	VYDAJ	VYBER	15	29042	SLUZBY	\N	\N
372831	1269	1998-03-31	VYDAJ	VYBER	15	33326	SLUZBY	\N	\N
372832	1269	1998-04-30	VYDAJ	VYBER	15	37163	SLUZBY	\N	\N
372833	1269	1998-05-31	VYDAJ	VYBER	15	41317	SLUZBY	\N	\N
372834	1269	1998-06-30	VYDAJ	VYBER	15	29531	SLUZBY	\N	\N
372835	1269	1998-07-31	VYDAJ	VYBER	15	37865	SLUZBY	\N	\N
372836	1269	1998-08-31	VYDAJ	VYBER	15	36564	SLUZBY	\N	\N
372837	1269	1998-09-30	VYDAJ	VYBER	15	40514	SLUZBY	\N	\N
372838	1269	1998-10-31	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
372839	1269	1998-11-30	VYDAJ	VYBER	15	42583	SLUZBY	\N	\N
372840	1269	1994-04-27	PRIJEM	VKLAD	7800	20329	\N	\N	\N
372841	1269	1994-05-27	VYDAJ	VYBER	6400	26069	\N	\N	\N
372842	1269	1994-06-26	VYDAJ	VYBER	9300	35051	\N	\N	\N
372843	1269	1994-07-26	VYDAJ	VYBER	11900	35395	\N	\N	\N
372844	1269	1994-08-25	VYDAJ	VYBER	8800	32031	\N	\N	\N
372845	1269	1994-09-24	VYDAJ	VYBER	4100	32770	\N	\N	\N
372846	1269	1994-10-24	VYDAJ	VYBER	6200	31398	\N	\N	\N
372847	1269	1994-11-23	VYDAJ	VYBER	6800	26306	\N	\N	\N
372848	1269	1994-12-23	VYDAJ	VYBER	3100	29600	\N	\N	\N
372849	1269	1995-01-22	VYDAJ	VYBER	1100	21186	\N	\N	\N
372850	1269	1995-02-21	PRIJEM	VKLAD	2900	22506	\N	\N	\N
372851	1269	1995-03-23	PRIJEM	VKLAD	3000	28218	\N	\N	\N
372852	1269	1995-04-22	VYDAJ	VYBER	5600	27406	\N	\N	\N
372853	1269	1995-05-22	VYDAJ	VYBER	3400	28813	\N	\N	\N
372854	1269	1995-06-21	VYDAJ	VYBER	4000	34123	\N	\N	\N
372855	1269	1995-07-21	VYDAJ	VYBER	2400	27651	\N	\N	\N
372856	1269	1995-08-20	VYDAJ	VYBER	2500	29953	\N	\N	\N
372857	1269	1995-09-19	VYDAJ	VYBER	7600	27158	\N	\N	\N
372858	1269	1995-10-19	VYDAJ	VYBER	3200	28763	\N	\N	\N
372859	1269	1995-11-18	VYDAJ	VYBER	7000	26564	\N	\N	\N
372860	1269	1995-12-18	VYDAJ	VYBER	4800	25861	\N	\N	\N
372861	1269	1996-01-17	VYDAJ	VYBER	1000	24847	\N	\N	\N
372862	1269	1996-02-16	VYDAJ	VYBER	1600	23222	\N	\N	\N
372863	1269	1996-03-17	VYDAJ	VYBER	1600	26392	\N	\N	\N
372864	1269	1996-04-16	VYDAJ	VYBER	1200	26977	\N	\N	\N
372865	1269	1996-05-16	VYDAJ	VYBER	2500	23985	\N	\N	\N
372866	1269	1996-06-15	VYDAJ	VYBER	3500	25452	\N	\N	\N
372867	1269	1996-07-15	VYDAJ	VYBER	8700	21533	\N	\N	\N
372868	1269	1996-08-14	VYDAJ	VYBER	5400	20906	\N	\N	\N
372869	1269	1996-09-13	VYDAJ	VYBER	5100	20570	\N	\N	\N
372870	1269	1996-10-13	VYDAJ	VYBER	5500	21523	\N	\N	\N
372871	1269	1996-11-12	PRIJEM	VKLAD	600	14754	\N	\N	\N
372872	1269	1996-12-12	VYDAJ	VYBER	1200	16543	\N	\N	\N
372873	1269	1997-01-11	VYDAJ	VYBER	1900	23342	\N	\N	\N
372874	1269	1997-02-10	VYDAJ	VYBER	2100	12933	\N	\N	\N
372875	1269	1997-03-12	PRIJEM	VKLAD	1500	18576	\N	\N	\N
372876	1269	1997-04-11	VYDAJ	VYBER	4600	19339	\N	\N	\N
372877	1269	1997-05-11	VYDAJ	VYBER	3000	21112	\N	\N	\N
372878	1269	1997-06-10	VYDAJ	VYBER	2200	23706	\N	\N	\N
372879	1269	1997-07-10	VYDAJ	VYBER	4000	22584	\N	\N	\N
372880	1269	1997-08-09	VYDAJ	VYBER	3100	20785	\N	\N	\N
372881	1269	1997-09-08	VYDAJ	VYBER	1300	24278	\N	\N	\N
372882	1269	1997-10-08	PRIJEM	VKLAD	1100	22851	\N	\N	\N
372883	1269	1997-11-07	VYDAJ	VYBER	900	26730	\N	\N	\N
372884	1269	1998-01-06	VYDAJ	VYBER	5800	34319	\N	\N	\N
372885	1269	1998-02-05	PRIJEM	VKLAD	5700	30124	\N	\N	\N
372886	1269	1998-03-07	PRIJEM	VKLAD	800	28522	\N	\N	\N
372887	1269	1998-04-06	VYDAJ	VYBER	1000	32326	\N	\N	\N
372888	1269	1998-05-06	VYDAJ	VYBER	700	36463	\N	\N	\N
372889	1269	1998-06-05	VYDAJ	VYBER	500	40817	\N	\N	\N
372890	1269	1998-07-05	PRIJEM	VKLAD	3500	33031	\N	\N	\N
372891	1269	1998-08-04	VYDAJ	VYBER	1100	36765	\N	\N	\N
372892	1269	1998-09-03	VYDAJ	VYBER	900	35664	\N	\N	\N
372893	1269	1998-10-03	PRIJEM	VKLAD	300	40814	\N	\N	\N
372894	1269	1998-11-02	PRIJEM	VKLAD	600	37743	\N	\N	\N
372895	1269	1998-12-02	PRIJEM	VKLAD	2000	44583	\N	\N	\N
372953	1270	1996-06-07	PRIJEM	VKLAD	500	500	\N	\N	\N
372959	1270	1996-06-14	PRIJEM	PREVOD Z UCTU	18696	19196	\N	YZ	60244399
372960	1270	1996-07-14	PRIJEM	PREVOD Z UCTU	12464	33805	\N	YZ	60244399
372961	1270	1996-08-14	PRIJEM	PREVOD Z UCTU	12464	40985	\N	YZ	60244399
372962	1270	1996-09-14	PRIJEM	PREVOD Z UCTU	12464	45807	\N	YZ	60244399
372963	1270	1996-10-14	PRIJEM	PREVOD Z UCTU	12464	45053	\N	YZ	60244399
372964	1270	1996-11-14	PRIJEM	PREVOD Z UCTU	12464	29641	\N	YZ	60244399
372965	1270	1996-12-14	PRIJEM	PREVOD Z UCTU	18696	30699	\N	YZ	60244399
372966	1270	1997-01-14	PRIJEM	PREVOD Z UCTU	12464	31527	\N	YZ	60244399
372967	1270	1997-02-14	PRIJEM	PREVOD Z UCTU	12464	28722	\N	YZ	60244399
372968	1270	1997-03-14	PRIJEM	PREVOD Z UCTU	12464	26624	\N	YZ	60244399
372969	1270	1997-04-14	PRIJEM	PREVOD Z UCTU	12464	25928	\N	YZ	60244399
372970	1270	1997-05-14	PRIJEM	PREVOD Z UCTU	12464	24833	\N	YZ	60244399
372971	1270	1997-06-14	PRIJEM	PREVOD Z UCTU	18696	33161	\N	YZ	60244399
372972	1270	1997-07-14	PRIJEM	PREVOD Z UCTU	12464	33902	\N	YZ	60244399
372973	1270	1997-08-14	PRIJEM	PREVOD Z UCTU	12464	28764	\N	YZ	60244399
372974	1270	1997-09-14	PRIJEM	PREVOD Z UCTU	12464	29911	\N	YZ	60244399
372975	1270	1997-10-14	PRIJEM	PREVOD Z UCTU	12464	28746	\N	YZ	60244399
372976	1270	1997-11-14	PRIJEM	PREVOD Z UCTU	12464	28476	\N	YZ	60244399
372977	1270	1997-12-14	PRIJEM	PREVOD Z UCTU	18696	35138	\N	YZ	60244399
372978	1270	1998-01-14	PRIJEM	PREVOD Z UCTU	12464	25481	\N	YZ	60244399
372979	1270	1998-02-14	PRIJEM	PREVOD Z UCTU	12464	26201	\N	YZ	60244399
372980	1270	1998-03-14	PRIJEM	PREVOD Z UCTU	12464	26720	\N	YZ	60244399
372981	1270	1998-04-14	PRIJEM	PREVOD Z UCTU	12464	26041	\N	YZ	60244399
372982	1270	1998-05-14	PRIJEM	PREVOD Z UCTU	12464	28860	\N	YZ	60244399
372983	1270	1998-06-14	PRIJEM	PREVOD Z UCTU	18696	31318	\N	YZ	60244399
372984	1270	1998-07-14	PRIJEM	PREVOD Z UCTU	12464	31945	\N	YZ	60244399
372985	1270	1998-08-14	PRIJEM	PREVOD Z UCTU	12464	26996	\N	YZ	60244399
372986	1270	1998-09-14	PRIJEM	PREVOD Z UCTU	12464	26416	\N	YZ	60244399
372987	1270	1998-10-14	PRIJEM	PREVOD Z UCTU	12464	28333	\N	YZ	60244399
372988	1270	1998-11-14	PRIJEM	PREVOD Z UCTU	12464	19249	\N	YZ	60244399
372989	1270	1998-12-14	PRIJEM	PREVOD Z UCTU	18696	27868	\N	YZ	60244399
373000	1270	1996-11-11	VYDAJ	VYBER	2400	25539	\N	\N	0
373001	1270	1996-11-26	VYDAJ	VYBER	2400	27241	\N	\N	0
373002	1270	1997-01-14	VYDAJ	VYBER	2300	29227	\N	\N	0
373003	1270	1997-02-09	VYDAJ	VYBER	2100	20420	\N	\N	0
373004	1270	1997-03-09	VYDAJ	VYBER	1800	18322	\N	\N	0
373005	1270	1997-04-17	VYDAJ	VYBER	1300	24628	\N	\N	0
373006	1270	1997-05-14	VYDAJ	VYBER	2200	22633	\N	\N	0
373007	1270	1997-06-11	VYDAJ	VYBER	2400	18627	\N	\N	0
373008	1270	1997-07-12	VYDAJ	PREVOD NA UCET	2077	21438	UVER	AB	27904290
373009	1270	1997-08-12	VYDAJ	PREVOD NA UCET	2077	20462	UVER	AB	27904290
373010	1270	1997-09-12	VYDAJ	PREVOD NA UCET	2077	17447	UVER	AB	27904290
373011	1270	1997-10-12	VYDAJ	PREVOD NA UCET	2077	20444	UVER	AB	27904290
373012	1270	1997-11-12	VYDAJ	PREVOD NA UCET	2077	20174	UVER	AB	27904290
373013	1270	1997-12-12	VYDAJ	PREVOD NA UCET	2077	16442	UVER	AB	27904290
373014	1270	1998-01-12	VYDAJ	PREVOD NA UCET	2077	13017	UVER	AB	27904290
373015	1270	1998-02-12	VYDAJ	PREVOD NA UCET	2077	13737	UVER	AB	27904290
373016	1270	1998-03-12	VYDAJ	PREVOD NA UCET	2077	14256	UVER	AB	27904290
373017	1270	1998-04-12	VYDAJ	PREVOD NA UCET	2077	13577	UVER	AB	27904290
373018	1270	1998-05-12	VYDAJ	PREVOD NA UCET	2077	16396	UVER	AB	27904290
373019	1270	1998-06-12	VYDAJ	PREVOD NA UCET	2077	12622	UVER	AB	27904290
373020	1270	1998-07-12	VYDAJ	PREVOD NA UCET	2077	23643	UVER	AB	27904290
373021	1270	1998-08-12	VYDAJ	PREVOD NA UCET	2077	18694	UVER	AB	27904290
373022	1270	1998-09-12	VYDAJ	PREVOD NA UCET	2077	13952	UVER	AB	27904290
373023	1270	1998-10-12	VYDAJ	PREVOD NA UCET	2077	15869	UVER	AB	27904290
373024	1270	1998-11-12	VYDAJ	PREVOD NA UCET	2077	10947	UVER	AB	27904290
373025	1270	1998-12-12	VYDAJ	PREVOD NA UCET	2077	13334	UVER	AB	27904290
373036	1270	1996-11-12	VYDAJ	PREVOD NA UCET	4162	21377	SIPO	WX	88882463
373037	1270	1996-12-12	VYDAJ	PREVOD NA UCET	4162	12003	SIPO	WX	88882463
373038	1270	1997-01-12	VYDAJ	PREVOD NA UCET	4162	19063	SIPO	WX	88882463
373039	1270	1997-02-12	VYDAJ	PREVOD NA UCET	4162	16258	SIPO	WX	88882463
373040	1270	1997-03-12	VYDAJ	PREVOD NA UCET	4162	14160	SIPO	WX	88882463
373041	1270	1997-04-12	VYDAJ	PREVOD NA UCET	4162	13464	SIPO	WX	88882463
373042	1270	1997-05-12	VYDAJ	PREVOD NA UCET	4162	12369	SIPO	WX	88882463
373043	1270	1997-06-12	VYDAJ	PREVOD NA UCET	4162	14465	SIPO	WX	88882463
373044	1270	1997-07-12	VYDAJ	PREVOD NA UCET	4162	23515	SIPO	WX	88882463
373045	1270	1997-08-12	VYDAJ	PREVOD NA UCET	4162	16300	SIPO	WX	88882463
373046	1270	1997-09-12	VYDAJ	PREVOD NA UCET	4162	19524	SIPO	WX	88882463
373047	1270	1997-10-12	VYDAJ	PREVOD NA UCET	4162	16282	SIPO	WX	88882463
373048	1270	1997-11-12	VYDAJ	PREVOD NA UCET	4162	16012	SIPO	WX	88882463
373049	1270	1997-12-12	VYDAJ	PREVOD NA UCET	4162	18519	SIPO	WX	88882463
373050	1270	1998-01-12	VYDAJ	PREVOD NA UCET	4162	15094	SIPO	WX	88882463
373051	1270	1998-02-12	VYDAJ	PREVOD NA UCET	4162	15815	SIPO	WX	88882463
373052	1270	1998-03-12	VYDAJ	PREVOD NA UCET	4162	16333	SIPO	WX	88882463
373053	1270	1998-04-12	VYDAJ	PREVOD NA UCET	4162	15654	SIPO	WX	88882463
373054	1270	1998-05-12	VYDAJ	PREVOD NA UCET	4162	18473	SIPO	WX	88882463
373055	1270	1998-06-12	VYDAJ	PREVOD NA UCET	4162	14699	SIPO	WX	88882463
373056	1270	1998-07-12	VYDAJ	PREVOD NA UCET	4162	19481	SIPO	WX	88882463
373057	1270	1998-08-12	VYDAJ	PREVOD NA UCET	4162	14532	SIPO	WX	88882463
373058	1270	1998-09-12	VYDAJ	PREVOD NA UCET	4162	16029	SIPO	WX	88882463
373059	1270	1998-10-12	VYDAJ	PREVOD NA UCET	4162	17947	SIPO	WX	88882463
373060	1270	1998-11-12	VYDAJ	PREVOD NA UCET	4162	6785	SIPO	WX	88882463
373061	1270	1998-12-12	VYDAJ	PREVOD NA UCET	4162	9172	SIPO	WX	88882463
373069	1270	1996-12-15	VYBER	VYBER	11159	19540	\N	\N	\N
373083	1270	1998-07-19	VYBER	VYBER	6879	25066	\N	\N	\N
373091	1270	1996-12-09	VYDAJ	VYBER	2100	16165	\N	\N	\N
373102	1270	1997-01-20	VYDAJ	VYBER	8700	20527	\N	\N	\N
373107	1270	1998-01-24	VYDAJ	VYBER	3600	20381	\N	\N	\N
373109	1270	1998-01-20	VYDAJ	VYBER	1500	23981	\N	\N	\N
373111	1270	1998-01-07	VYDAJ	VYBER	6000	19256	\N	\N	\N
373113	1270	1996-11-12	VYDAJ	VYBER	4200	17177	\N	\N	\N
373116	1270	1996-10-30	VYDAJ	VYBER	12000	33053	\N	\N	\N
373117	1270	1996-12-07	VYDAJ	VYBER	3000	18265	\N	\N	\N
373118	1270	1997-08-01	VYDAJ	VYBER	10200	22539	\N	\N	\N
373121	1270	1997-02-26	VYDAJ	VYBER	4500	24222	\N	\N	\N
373122	1270	1998-05-10	VYDAJ	VYBER	2400	22635	\N	\N	\N
373123	1270	1998-10-14	VYDAJ	VYBER	7500	20833	\N	\N	\N
373125	1270	1998-05-24	VYDAJ	VYBER	8700	20160	\N	\N	\N
373140	1270	1996-10-31	VYDAJ	VYBER	100	33139	SLUZBY	\N	\N
373141	1270	1996-11-30	VYDAJ	VYBER	100	27265	SLUZBY	\N	\N
373142	1270	1996-12-31	VYDAJ	VYBER	100	19525	SLUZBY	\N	\N
373143	1270	1997-01-31	VYDAJ	VYBER	100	20520	SLUZBY	\N	\N
373144	1270	1997-02-28	VYDAJ	VYBER	100	24222	SLUZBY	\N	\N
373145	1270	1997-03-31	VYDAJ	VYBER	100	26626	SLUZBY	\N	\N
373146	1270	1997-04-30	VYDAJ	VYBER	100	24631	SLUZBY	\N	\N
373147	1270	1997-05-31	VYDAJ	VYBER	100	22627	SLUZBY	\N	\N
373148	1270	1997-06-30	VYDAJ	VYBER	100	33177	SLUZBY	\N	\N
373149	1270	1997-07-31	VYDAJ	VYBER	100	33939	SLUZBY	\N	\N
373150	1270	1997-08-31	VYDAJ	VYBER	100	23686	SLUZBY	\N	\N
373151	1270	1997-09-30	VYDAJ	VYBER	100	22521	SLUZBY	\N	\N
373152	1270	1997-10-31	VYDAJ	VYBER	100	22251	SLUZBY	\N	\N
373153	1270	1997-11-30	VYDAJ	VYBER	100	22681	SLUZBY	\N	\N
373154	1270	1997-12-31	VYDAJ	VYBER	100	25256	SLUZBY	\N	\N
373155	1270	1998-01-31	VYDAJ	VYBER	100	19977	SLUZBY	\N	\N
373156	1270	1998-02-28	VYDAJ	VYBER	100	20495	SLUZBY	\N	\N
373157	1270	1998-03-31	VYDAJ	VYBER	100	19816	SLUZBY	\N	\N
373158	1270	1998-04-30	VYDAJ	VYBER	100	25035	SLUZBY	\N	\N
373159	1270	1998-05-31	VYDAJ	VYBER	100	18861	SLUZBY	\N	\N
373160	1270	1998-06-30	VYDAJ	VYBER	100	25721	SLUZBY	\N	\N
373161	1270	1998-07-31	VYDAJ	VYBER	100	20771	SLUZBY	\N	\N
373162	1270	1998-08-31	VYDAJ	VYBER	100	20191	SLUZBY	\N	\N
373163	1270	1998-09-30	VYDAJ	VYBER	100	22109	SLUZBY	\N	\N
373164	1270	1998-10-31	VYDAJ	VYBER	100	13024	SLUZBY	\N	\N
373165	1270	1998-11-30	VYDAJ	VYBER	100	15412	SLUZBY	\N	\N
373166	1270	1996-07-07	PRIJEM	VKLAD	2100	21341	\N	\N	\N
373167	1270	1996-08-06	VYDAJ	VYBER	5400	28521	\N	\N	\N
373168	1270	1996-09-05	VYDAJ	VYBER	7800	33343	\N	\N	\N
373169	1270	1996-10-05	VYDAJ	VYBER	13400	32589	\N	\N	\N
373170	1270	1996-11-04	VYDAJ	VYBER	5200	27939	\N	\N	\N
373171	1270	1996-12-04	VYDAJ	VYBER	6000	21265	\N	\N	\N
373172	1270	1997-01-03	PRIJEM	VKLAD	3700	23225	\N	\N	\N
373173	1270	1997-02-02	PRIJEM	VKLAD	2000	22520	\N	\N	\N
373174	1270	1997-03-04	VYDAJ	VYBER	4100	20122	\N	\N	\N
373175	1270	1997-04-03	VYDAJ	VYBER	9000	17626	\N	\N	\N
373176	1270	1997-05-03	VYDAJ	VYBER	8100	16531	\N	\N	\N
373177	1270	1997-06-02	VYDAJ	VYBER	1600	21027	\N	\N	\N
373178	1270	1997-07-02	VYDAJ	VYBER	5500	27677	\N	\N	\N
373179	1270	1997-08-01	VYDAJ	VYBER	1200	32739	\N	\N	\N
373180	1270	1997-08-31	VYDAJ	VYBER	5100	23786	\N	\N	\N
373181	1270	1997-09-30	VYDAJ	VYBER	7400	22621	\N	\N	\N
373182	1270	1997-10-30	VYDAJ	VYBER	6500	22246	\N	\N	\N
373183	1270	1997-11-29	VYDAJ	VYBER	5800	22676	\N	\N	\N
373184	1270	1997-12-29	VYDAJ	VYBER	9900	25238	\N	\N	\N
373185	1270	1998-01-28	VYDAJ	VYBER	400	19981	\N	\N	\N
373186	1270	1998-02-27	VYDAJ	VYBER	5700	20501	\N	\N	\N
373187	1270	1998-03-29	VYDAJ	VYBER	6900	19820	\N	\N	\N
373188	1270	1998-04-28	VYDAJ	VYBER	1000	25041	\N	\N	\N
373189	1270	1998-05-28	VYDAJ	VYBER	1300	18860	\N	\N	\N
373190	1270	1998-06-27	VYDAJ	VYBER	5600	25718	\N	\N	\N
373191	1270	1998-07-27	VYDAJ	VYBER	4300	20766	\N	\N	\N
373192	1270	1998-08-26	VYDAJ	VYBER	6800	20196	\N	\N	\N
373193	1270	1998-09-25	VYDAJ	VYBER	4300	22116	\N	\N	\N
373194	1270	1998-10-25	VYDAJ	VYBER	7800	13033	\N	\N	\N
373195	1270	1998-11-24	VYDAJ	VYBER	3800	15449	\N	\N	\N
373227	1271	1996-06-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
373234	1271	1996-07-07	PRIJEM	VKLAD	6192	7192	\N	\N	\N
373235	1271	1996-08-07	PRIJEM	VKLAD	6192	19910	\N	\N	\N
373236	1271	1996-09-07	PRIJEM	VKLAD	6192	31582	\N	\N	\N
373237	1271	1996-10-07	PRIJEM	VKLAD	6192	34285	\N	\N	\N
373238	1271	1996-11-07	PRIJEM	VKLAD	6192	34093	\N	\N	\N
373239	1271	1996-12-07	PRIJEM	VKLAD	9288	30442	\N	\N	\N
373240	1271	1997-01-07	PRIJEM	VKLAD	6192	20284	\N	\N	\N
373241	1271	1997-02-07	PRIJEM	VKLAD	6192	19239	\N	\N	\N
373242	1271	1997-03-07	PRIJEM	VKLAD	6192	18471	\N	\N	\N
373243	1271	1997-04-07	PRIJEM	VKLAD	6192	23485	\N	\N	\N
373244	1271	1997-05-07	PRIJEM	VKLAD	6192	20604	\N	\N	\N
373245	1271	1997-06-07	PRIJEM	VKLAD	9288	25375	\N	\N	\N
373246	1271	1997-07-07	PRIJEM	VKLAD	6192	25101	\N	\N	\N
373247	1271	1997-08-07	PRIJEM	VKLAD	6192	20081	\N	\N	\N
373248	1271	1997-09-07	PRIJEM	VKLAD	6192	23799	\N	\N	\N
373249	1271	1997-10-07	PRIJEM	VKLAD	6192	26529	\N	\N	\N
373250	1271	1997-11-07	PRIJEM	VKLAD	6192	24859	\N	\N	\N
373251	1271	1997-12-07	PRIJEM	VKLAD	9288	27882	\N	\N	\N
373252	1271	1998-01-07	PRIJEM	VKLAD	6192	20279	\N	\N	\N
373253	1271	1998-02-07	PRIJEM	VKLAD	6192	19268	\N	\N	\N
373254	1271	1998-03-07	PRIJEM	VKLAD	6192	21479	\N	\N	\N
373255	1271	1998-04-07	PRIJEM	VKLAD	6192	20079	\N	\N	\N
373256	1271	1998-05-07	PRIJEM	VKLAD	6192	27100	\N	\N	\N
373257	1271	1998-06-07	PRIJEM	VKLAD	9288	34546	\N	\N	\N
373258	1271	1998-07-07	PRIJEM	VKLAD	6192	29394	\N	\N	\N
373259	1271	1998-08-07	PRIJEM	VKLAD	6192	23220	\N	\N	\N
373260	1271	1998-09-07	PRIJEM	VKLAD	6192	24137	\N	\N	\N
373261	1271	1998-10-07	PRIJEM	VKLAD	6192	27347	\N	\N	\N
373262	1271	1998-11-07	PRIJEM	VKLAD	6192	27130	\N	\N	\N
373263	1271	1998-12-07	PRIJEM	VKLAD	9288	25670	\N	\N	\N
373274	1271	1996-11-09	VYDAJ	PREVOD NA UCET	4128	29965	SIPO	EF	44934696
373275	1271	1996-12-09	VYDAJ	PREVOD NA UCET	4128	26314	SIPO	EF	44934696
373276	1271	1997-01-09	VYDAJ	PREVOD NA UCET	4128	16156	SIPO	EF	44934696
373277	1271	1997-02-09	VYDAJ	PREVOD NA UCET	4128	15111	SIPO	EF	44934696
373278	1271	1997-03-09	VYDAJ	PREVOD NA UCET	4128	14343	SIPO	EF	44934696
373279	1271	1997-04-09	VYDAJ	PREVOD NA UCET	4128	19357	SIPO	EF	44934696
373280	1271	1997-05-09	VYDAJ	PREVOD NA UCET	4128	16476	SIPO	EF	44934696
373281	1271	1997-06-09	VYDAJ	PREVOD NA UCET	4128	21247	SIPO	EF	44934696
373282	1271	1997-07-09	VYDAJ	PREVOD NA UCET	4128	20973	SIPO	EF	44934696
373283	1271	1997-08-09	VYDAJ	PREVOD NA UCET	4128	15953	SIPO	EF	44934696
373284	1271	1997-09-09	VYDAJ	PREVOD NA UCET	4128	19671	SIPO	EF	44934696
373285	1271	1997-10-09	VYDAJ	PREVOD NA UCET	4128	22401	SIPO	EF	44934696
373286	1271	1997-11-09	VYDAJ	PREVOD NA UCET	4128	20731	SIPO	EF	44934696
373287	1271	1997-12-09	VYDAJ	PREVOD NA UCET	4128	23754	SIPO	EF	44934696
373288	1271	1998-01-09	VYDAJ	PREVOD NA UCET	4128	16591	SIPO	EF	44934696
373289	1271	1998-02-09	VYDAJ	PREVOD NA UCET	4128	15240	SIPO	EF	44934696
373290	1271	1998-03-09	VYDAJ	PREVOD NA UCET	4128	17351	SIPO	EF	44934696
373291	1271	1998-04-09	VYDAJ	PREVOD NA UCET	4128	21551	SIPO	EF	44934696
373292	1271	1998-05-09	VYDAJ	PREVOD NA UCET	4128	25172	SIPO	EF	44934696
373293	1271	1998-06-09	VYDAJ	PREVOD NA UCET	4128	23118	SIPO	EF	44934696
373294	1271	1998-07-09	VYDAJ	PREVOD NA UCET	4128	16966	SIPO	EF	44934696
373295	1271	1998-08-09	VYDAJ	PREVOD NA UCET	4128	15492	SIPO	EF	44934696
373296	1271	1998-09-09	VYDAJ	PREVOD NA UCET	4128	20009	SIPO	EF	44934696
373297	1271	1998-10-09	VYDAJ	PREVOD NA UCET	4128	23219	SIPO	EF	44934696
373298	1271	1998-11-09	VYDAJ	PREVOD NA UCET	4128	23002	SIPO	EF	44934696
373299	1271	1998-12-09	VYDAJ	PREVOD NA UCET	4128	21542	SIPO	EF	44934696
373305	1271	1998-01-11	VYDAJ	VYBER	2240	14351	\N	\N	\N
373306	1271	1996-12-27	VYDAJ	VYBER	4160	18454	\N	\N	\N
373308	1271	1998-12-15	VYDAJ	VYBER	1760	19782	\N	\N	\N
373315	1271	1997-01-27	VYDAJ	VYBER	1800	12996	\N	\N	\N
373316	1271	1997-01-04	VYDAJ	VYBER	2880	15652	\N	\N	\N
373317	1271	1997-01-18	VYDAJ	VYBER	600	14796	\N	\N	\N
373318	1271	1997-01-15	VYDAJ	VYBER	2160	16596	\N	\N	\N
373319	1271	1997-01-17	VYDAJ	VYBER	1200	15396	\N	\N	\N
373320	1271	1997-01-06	VYDAJ	VYBER	1560	14092	\N	\N	\N
373321	1271	1998-01-25	VYDAJ	VYBER	600	13031	\N	\N	\N
373324	1271	1998-01-07	VYDAJ	VYBER	3360	16919	\N	\N	\N
373326	1271	1998-01-24	VYDAJ	VYBER	720	13631	\N	\N	\N
373329	1271	1997-05-15	VYDAJ	VYBER	4440	16036	\N	\N	\N
373330	1271	1997-04-19	VYDAJ	VYBER	4800	14357	\N	\N	\N
373331	1271	1997-07-19	VYDAJ	VYBER	3600	13833	\N	\N	\N
373332	1271	1997-12-15	VYDAJ	VYBER	4920	14034	\N	\N	\N
373333	1271	1997-07-14	VYDAJ	VYBER	1440	17433	\N	\N	\N
373334	1271	1997-02-23	VYDAJ	VYBER	5880	12231	\N	\N	\N
373336	1271	1998-10-27	VYDAJ	VYBER	2160	21059	\N	\N	\N
373338	1271	1998-04-28	VYDAJ	VYBER	720	20831	\N	\N	\N
373340	1271	1998-03-30	VYDAJ	VYBER	4320	13831	\N	\N	\N
373341	1271	1998-10-03	VYDAJ	VYBER	720	19355	\N	\N	\N
373353	1271	1996-11-30	VYDAJ	VYBER	15	21154	SLUZBY	\N	\N
373354	1271	1996-12-31	VYDAJ	VYBER	15	18532	SLUZBY	\N	\N
373355	1271	1997-01-31	VYDAJ	VYBER	15	13047	SLUZBY	\N	\N
373356	1271	1997-02-28	VYDAJ	VYBER	15	12279	SLUZBY	\N	\N
373357	1271	1997-03-31	VYDAJ	VYBER	15	17293	SLUZBY	\N	\N
373358	1271	1997-04-30	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
373359	1271	1997-05-31	VYDAJ	VYBER	15	16087	SLUZBY	\N	\N
373360	1271	1997-06-30	VYDAJ	VYBER	15	18909	SLUZBY	\N	\N
373361	1271	1997-07-31	VYDAJ	VYBER	15	13889	SLUZBY	\N	\N
373362	1271	1997-08-31	VYDAJ	VYBER	15	17607	SLUZBY	\N	\N
373363	1271	1997-09-30	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
373364	1271	1997-10-31	VYDAJ	VYBER	15	18667	SLUZBY	\N	\N
373365	1271	1997-11-30	VYDAJ	VYBER	15	18594	SLUZBY	\N	\N
373366	1271	1997-12-31	VYDAJ	VYBER	15	14087	SLUZBY	\N	\N
373367	1271	1998-01-31	VYDAJ	VYBER	15	13076	SLUZBY	\N	\N
373368	1271	1998-02-28	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
373369	1271	1998-03-31	VYDAJ	VYBER	15	13887	SLUZBY	\N	\N
373370	1271	1998-04-30	VYDAJ	VYBER	15	20908	SLUZBY	\N	\N
373371	1271	1998-05-31	VYDAJ	VYBER	15	25258	SLUZBY	\N	\N
373372	1271	1998-06-30	VYDAJ	VYBER	15	23202	SLUZBY	\N	\N
373373	1271	1998-07-31	VYDAJ	VYBER	15	17028	SLUZBY	\N	\N
373374	1271	1998-08-31	VYDAJ	VYBER	15	15545	SLUZBY	\N	\N
373375	1271	1998-09-30	VYDAJ	VYBER	15	20075	SLUZBY	\N	\N
373376	1271	1998-10-31	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
373377	1271	1998-11-30	VYDAJ	VYBER	15	23082	SLUZBY	\N	\N
373378	1271	1996-07-18	PRIJEM	VKLAD	6500	13692	\N	\N	\N
373379	1271	1996-08-17	PRIJEM	VKLAD	5400	25310	\N	\N	\N
373380	1271	1996-09-16	VYDAJ	VYBER	3600	27982	\N	\N	\N
373381	1271	1996-10-16	VYDAJ	VYBER	6500	27785	\N	\N	\N
373382	1271	1996-11-15	VYDAJ	VYBER	8900	21065	\N	\N	\N
373383	1271	1996-12-15	VYDAJ	VYBER	3700	22614	\N	\N	\N
373384	1271	1997-01-14	PRIJEM	VKLAD	2600	18756	\N	\N	\N
373385	1271	1997-02-13	PRIJEM	VKLAD	3000	18111	\N	\N	\N
373386	1271	1997-03-15	PRIJEM	VKLAD	2900	17243	\N	\N	\N
373387	1271	1997-04-14	VYDAJ	VYBER	200	19157	\N	\N	\N
373388	1271	1997-05-14	PRIJEM	VKLAD	4000	20476	\N	\N	\N
373389	1271	1997-06-13	VYDAJ	VYBER	2400	18847	\N	\N	\N
373390	1271	1997-07-13	VYDAJ	VYBER	2100	18873	\N	\N	\N
373391	1271	1997-08-12	PRIJEM	VKLAD	1600	17553	\N	\N	\N
373392	1271	1997-09-11	PRIJEM	VKLAD	600	20271	\N	\N	\N
373393	1271	1997-10-11	VYDAJ	VYBER	3800	18601	\N	\N	\N
373394	1271	1997-11-10	VYDAJ	VYBER	2200	18531	\N	\N	\N
373395	1271	1997-12-10	VYDAJ	VYBER	4800	18954	\N	\N	\N
373396	1271	1998-01-09	PRIJEM	VKLAD	3800	20719	\N	\N	\N
373397	1271	1998-02-08	PRIJEM	VKLAD	100	19368	\N	\N	\N
373398	1271	1998-03-10	PRIJEM	VKLAD	800	18151	\N	\N	\N
373399	1271	1998-04-09	PRIJEM	VKLAD	5600	25679	\N	\N	\N
373400	1271	1998-05-09	PRIJEM	VKLAD	2200	29300	\N	\N	\N
373401	1271	1998-06-08	VYDAJ	VYBER	7300	27246	\N	\N	\N
373402	1271	1998-07-08	VYDAJ	VYBER	8300	21094	\N	\N	\N
373403	1271	1998-08-07	VYDAJ	VYBER	3600	19620	\N	\N	\N
373404	1271	1998-09-06	PRIJEM	VKLAD	2400	17945	\N	\N	\N
373405	1271	1998-10-06	PRIJEM	VKLAD	1800	21155	\N	\N	\N
373406	1271	1998-11-05	VYDAJ	VYBER	200	20938	\N	\N	\N
373407	1271	1998-12-05	VYDAJ	VYBER	6700	16382	\N	\N	\N
373438	1272	1993-05-25	PRIJEM	VKLAD	500	500	\N	\N	\N
373439	1272	1993-10-28	PRIJEM	VKLAD	44664	66564	\N	\N	\N
373441	1272	1994-04-23	PRIJEM	VKLAD	12205	36092	\N	\N	\N
373442	1272	1994-09-07	PRIJEM	VKLAD	23167	65518	\N	\N	\N
373443	1272	1994-06-05	PRIJEM	VKLAD	30520	59905	\N	\N	\N
373444	1272	1994-08-18	PRIJEM	VKLAD	17425	54673	\N	\N	\N
373445	1272	1995-11-15	PRIJEM	VKLAD	39380	86986	\N	\N	\N
373446	1272	1995-05-22	PRIJEM	VKLAD	16723	41440	\N	\N	\N
373447	1272	1995-12-28	PRIJEM	VKLAD	42079	100213	\N	\N	\N
373448	1272	1995-08-15	PRIJEM	VKLAD	16252	54688	\N	\N	\N
373449	1272	1995-06-09	PRIJEM	VKLAD	39975	112969	\N	\N	\N
373450	1272	1995-11-02	PRIJEM	VKLAD	16494	59106	\N	\N	\N
373451	1272	1995-05-28	PRIJEM	VKLAD	34795	76235	\N	\N	\N
373452	1272	1995-06-13	PRIJEM	VKLAD	38623	108692	\N	\N	\N
373453	1272	1995-02-15	PRIJEM	VKLAD	42724	60575	\N	\N	\N
373454	1272	1996-09-08	PRIJEM	VKLAD	12712	60840	\N	\N	\N
373455	1272	1996-11-09	PRIJEM	VKLAD	39219	97985	\N	\N	\N
373456	1272	1997-07-16	PRIJEM	VKLAD	31037	93593	\N	\N	\N
373457	1272	1997-11-01	PRIJEM	VKLAD	24735	102057	\N	\N	\N
373458	1272	1998-10-31	PRIJEM	VKLAD	11565	102920	\N	\N	\N
373537	1272	1994-09-24	VYBER	VYBER	18582	26936	\N	\N	\N
373538	1272	1994-10-30	VYBER	VYBER	22257	-493	\N	\N	\N
373540	1272	1995-07-01	VYBER	VYBER	16089	41868	\N	\N	\N
373541	1272	1995-05-29	VYBER	VYBER	3352	72883	\N	\N	\N
373542	1272	1995-06-13	VYBER	VYBER	6778	101914	\N	\N	\N
373543	1272	1996-05-13	VYBER	VYBER	24484	12607	\N	\N	\N
373544	1272	1996-12-08	VYBER	VYBER	16722	58096	\N	\N	\N
373545	1272	1996-02-02	VYBER	VYBER	10236	38621	\N	\N	\N
373546	1272	1997-02-08	VYBER	VYBER	20605	23175	\N	\N	\N
373548	1272	1994-12-18	VYDAJ	VYBER	5100	17906	\N	\N	\N
373549	1272	1995-12-15	VYDAJ	VYBER	4800	58134	\N	\N	\N
373550	1272	1996-12-05	VYDAJ	VYBER	4500	93818	\N	\N	\N
373551	1272	1997-12-17	VYDAJ	VYBER	2400	84747	\N	\N	\N
373552	1272	1998-12-19	VYDAJ	VYBER	4800	93183	\N	\N	\N
373565	1272	1995-01-18	VYDAJ	VYBER	3900	14242	\N	\N	\N
373566	1272	1995-01-07	VYDAJ	VYBER	4200	7742	\N	\N	\N
373567	1272	1995-01-01	VYDAJ	VYBER	1500	16442	\N	\N	\N
373570	1272	1995-01-07	VYDAJ	VYBER	4500	11942	\N	\N	\N
373571	1272	1996-01-02	VYDAJ	VYBER	1800	96902	\N	\N	\N
373572	1272	1996-01-26	VYDAJ	VYBER	7800	48602	\N	\N	\N
373573	1272	1996-01-20	VYDAJ	VYBER	5400	56402	\N	\N	\N
373574	1272	1996-01-16	VYDAJ	VYBER	4500	61802	\N	\N	\N
373575	1272	1996-01-02	VYDAJ	VYBER	1800	98702	\N	\N	\N
373576	1272	1996-01-06	VYDAJ	VYBER	5700	91202	\N	\N	\N
373577	1272	1997-01-01	VYDAJ	VYBER	6900	43331	\N	\N	\N
373578	1272	1997-01-25	VYDAJ	VYBER	8100	31131	\N	\N	\N
373579	1272	1997-01-21	VYDAJ	VYBER	3000	46431	\N	\N	\N
373580	1272	1997-01-25	VYDAJ	VYBER	7200	39231	\N	\N	\N
373581	1272	1997-01-27	VYDAJ	VYBER	5700	25431	\N	\N	\N
373582	1272	1997-01-02	VYDAJ	VYBER	4800	38531	\N	\N	\N
373583	1272	1998-01-26	VYDAJ	VYBER	4800	59676	\N	\N	\N
373584	1272	1998-01-03	VYDAJ	VYBER	3000	80376	\N	\N	\N
373585	1272	1998-01-25	VYDAJ	VYBER	4500	64476	\N	\N	\N
373586	1272	1998-01-21	VYDAJ	VYBER	1800	68976	\N	\N	\N
373587	1272	1998-01-09	VYDAJ	VYBER	6300	74076	\N	\N	\N
373588	1272	1998-01-11	VYDAJ	VYBER	3300	70776	\N	\N	\N
373598	1272	1994-09-27	VYDAJ	VYBER	11400	15536	\N	\N	\N
373602	1272	1995-04-13	VYDAJ	VYBER	13800	33692	\N	\N	\N
373603	1272	1995-06-17	VYDAJ	VYBER	9300	57714	\N	\N	\N
373604	1272	1995-04-22	VYDAJ	VYBER	10500	23692	\N	\N	\N
373605	1272	1995-05-08	VYDAJ	VYBER	8400	15417	\N	\N	\N
373606	1272	1995-01-20	VYDAJ	VYBER	14100	142	\N	\N	\N
373607	1272	1996-12-29	VYDAJ	VYBER	8100	49996	\N	\N	\N
373608	1272	1996-05-18	VYDAJ	VYBER	7500	5107	\N	\N	\N
373609	1272	1996-03-06	VYDAJ	VYBER	12600	29071	\N	\N	\N
373610	1272	1996-04-22	VYDAJ	VYBER	9600	27794	\N	\N	\N
373611	1272	1996-03-22	VYDAJ	VYBER	5400	31971	\N	\N	\N
373613	1272	1997-05-19	VYDAJ	VYBER	5100	39583	\N	\N	\N
373614	1272	1997-03-30	VYDAJ	VYBER	12900	20715	\N	\N	\N
373615	1272	1997-02-16	VYDAJ	VYBER	13500	9675	\N	\N	\N
373616	1272	1997-05-15	VYDAJ	VYBER	5100	44683	\N	\N	\N
373617	1272	1997-09-04	VYDAJ	VYBER	2100	80020	\N	\N	\N
373618	1272	1998-02-09	VYDAJ	VYBER	10200	59945	\N	\N	\N
373619	1272	1998-10-14	VYDAJ	VYBER	12900	79288	\N	\N	\N
373620	1272	1998-10-20	VYDAJ	VYBER	3000	76288	\N	\N	\N
373621	1272	1998-12-16	VYDAJ	VYBER	8700	97983	\N	\N	\N
373643	1272	1994-09-30	VYDAJ	VYBER	30	15664	SLUZBY	\N	\N
373644	1272	1994-10-31	VYDAJ	VYBER	30	-462	SLUZBY	\N	\N
373645	1272	1994-11-30	VYDAJ	VYBER	30	14506	SLUZBY	\N	\N
373646	1272	1994-12-31	VYDAJ	VYBER	30	17942	SLUZBY	\N	\N
373647	1272	1995-01-31	VYDAJ	VYBER	30	151	SLUZBY	\N	\N
373648	1272	1995-02-28	VYDAJ	VYBER	30	60671	SLUZBY	\N	\N
373649	1272	1995-03-31	VYDAJ	VYBER	30	47492	SLUZBY	\N	\N
373650	1272	1995-04-30	VYDAJ	VYBER	30	23817	SLUZBY	\N	\N
373651	1272	1995-05-31	VYDAJ	VYBER	30	72994	SLUZBY	\N	\N
373652	1272	1995-06-30	VYDAJ	VYBER	30	57957	SLUZBY	\N	\N
373653	1272	1995-07-31	VYDAJ	VYBER	30	40036	SLUZBY	\N	\N
373654	1272	1995-08-31	VYDAJ	VYBER	30	54857	SLUZBY	\N	\N
373655	1272	1995-09-30	VYDAJ	VYBER	30	45354	SLUZBY	\N	\N
373656	1272	1995-10-31	VYDAJ	VYBER	30	42612	SLUZBY	\N	\N
373657	1272	1995-11-30	VYDAJ	VYBER	30	87234	SLUZBY	\N	\N
373658	1272	1995-12-31	VYDAJ	VYBER	30	100502	SLUZBY	\N	\N
373659	1272	1996-01-31	VYDAJ	VYBER	30	48857	SLUZBY	\N	\N
373660	1272	1996-02-29	VYDAJ	VYBER	30	41671	SLUZBY	\N	\N
373661	1272	1996-03-31	VYDAJ	VYBER	30	32094	SLUZBY	\N	\N
373662	1272	1996-04-30	VYDAJ	VYBER	30	27891	SLUZBY	\N	\N
373663	1272	1996-05-31	VYDAJ	VYBER	30	5139	SLUZBY	\N	\N
373664	1272	1996-06-30	VYDAJ	VYBER	30	26232	SLUZBY	\N	\N
373665	1272	1996-07-31	VYDAJ	VYBER	30	35411	SLUZBY	\N	\N
373666	1272	1996-08-31	VYDAJ	VYBER	30	42728	SLUZBY	\N	\N
373667	1272	1996-09-30	VYDAJ	VYBER	30	61044	SLUZBY	\N	\N
373668	1272	1996-10-31	VYDAJ	VYBER	30	58666	SLUZBY	\N	\N
373669	1272	1996-11-30	VYDAJ	VYBER	30	98318	SLUZBY	\N	\N
373670	1272	1996-12-31	VYDAJ	VYBER	30	50231	SLUZBY	\N	\N
373671	1272	1997-01-31	VYDAJ	VYBER	30	25580	SLUZBY	\N	\N
373672	1272	1997-02-28	VYDAJ	VYBER	30	9715	SLUZBY	\N	\N
373673	1272	1997-03-31	VYDAJ	VYBER	30	20726	SLUZBY	\N	\N
373674	1272	1997-04-30	VYDAJ	VYBER	30	41383	SLUZBY	\N	\N
373675	1272	1997-05-31	VYDAJ	VYBER	30	39722	SLUZBY	\N	\N
373676	1272	1997-06-30	VYDAJ	VYBER	30	50356	SLUZBY	\N	\N
373677	1272	1997-07-31	VYDAJ	VYBER	30	93863	SLUZBY	\N	\N
373678	1272	1997-08-31	VYDAJ	VYBER	30	82920	SLUZBY	\N	\N
373679	1272	1997-09-30	VYDAJ	VYBER	30	80321	SLUZBY	\N	\N
373680	1272	1997-10-31	VYDAJ	VYBER	30	78522	SLUZBY	\N	\N
373681	1272	1997-11-30	VYDAJ	VYBER	30	102347	SLUZBY	\N	\N
373682	1272	1997-12-31	VYDAJ	VYBER	30	83376	SLUZBY	\N	\N
373683	1272	1998-01-31	VYDAJ	VYBER	30	70145	SLUZBY	\N	\N
373684	1272	1998-02-28	VYDAJ	VYBER	30	73504	SLUZBY	\N	\N
373685	1272	1998-03-31	VYDAJ	VYBER	30	79077	SLUZBY	\N	\N
373686	1272	1998-04-30	VYDAJ	VYBER	30	80873	SLUZBY	\N	\N
373687	1272	1998-05-31	VYDAJ	VYBER	30	89076	SLUZBY	\N	\N
373688	1272	1998-06-30	VYDAJ	VYBER	30	94014	SLUZBY	\N	\N
373689	1272	1998-07-31	VYDAJ	VYBER	30	95271	SLUZBY	\N	\N
373690	1272	1998-08-31	VYDAJ	VYBER	30	93833	SLUZBY	\N	\N
373691	1272	1998-09-30	VYDAJ	VYBER	30	92188	SLUZBY	\N	\N
373692	1272	1998-10-31	VYDAJ	VYBER	30	102890	SLUZBY	\N	\N
373693	1272	1998-11-30	VYDAJ	VYBER	30	106683	SLUZBY	\N	\N
373694	1272	1993-06-24	PRIJEM	VKLAD	12300	12800	\N	\N	\N
373695	1272	1993-07-24	PRIJEM	VKLAD	4500	17300	\N	\N	\N
373696	1272	1993-08-23	PRIJEM	VKLAD	5200	22500	\N	\N	\N
373697	1272	1993-09-22	VYDAJ	VYBER	500	22000	\N	\N	\N
373698	1272	1993-10-22	VYDAJ	VYBER	100	21900	\N	\N	\N
373699	1272	1993-11-21	VYDAJ	VYBER	20900	45700	\N	\N	\N
373700	1272	1993-12-21	VYDAJ	VYBER	10900	35077	\N	\N	\N
373701	1272	1994-01-20	VYDAJ	VYBER	4900	30455	\N	\N	\N
373702	1272	1994-02-19	VYDAJ	VYBER	4400	26332	\N	\N	\N
373703	1272	1994-03-21	VYDAJ	VYBER	1700	24909	\N	\N	\N
373704	1272	1994-04-20	VYDAJ	VYBER	1300	23887	\N	\N	\N
373705	1272	1994-05-20	VYDAJ	VYBER	7100	29235	\N	\N	\N
373706	1272	1994-06-19	VYDAJ	VYBER	16600	43305	\N	\N	\N
373707	1272	1994-07-19	VYDAJ	VYBER	6400	37068	\N	\N	\N
373708	1272	1994-08-18	VYDAJ	VYBER	12500	42173	\N	\N	\N
373709	1272	1994-09-17	VYDAJ	VYBER	20000	45518	\N	\N	\N
373710	1272	1994-10-17	PRIJEM	VKLAD	6100	21764	\N	\N	\N
373711	1272	1994-11-16	PRIJEM	VKLAD	15000	14538	\N	\N	\N
373712	1272	1994-12-16	PRIJEM	VKLAD	8500	23006	\N	\N	\N
373713	1272	1995-01-15	PRIJEM	VKLAD	10400	18142	\N	\N	\N
373714	1272	1995-02-14	PRIJEM	VKLAD	17700	17851	\N	\N	\N
373715	1272	1995-03-16	VYDAJ	VYBER	13400	47271	\N	\N	\N
373716	1272	1995-04-15	PRIJEM	VKLAD	500	34192	\N	\N	\N
373717	1272	1995-05-15	PRIJEM	VKLAD	9300	24717	\N	\N	\N
373718	1272	1995-06-09	VYDAJ	VYBER	42900	70069	\N	\N	\N
373719	1272	1995-06-14	VYDAJ	VYBER	34900	67014	\N	\N	\N
373720	1272	1995-07-14	VYDAJ	VYBER	2000	39868	\N	\N	\N
373721	1272	1995-08-13	VYDAJ	VYBER	1600	38436	\N	\N	\N
373722	1272	1995-09-12	VYDAJ	VYBER	9700	45157	\N	\N	\N
373723	1272	1995-10-12	VYDAJ	VYBER	2900	42454	\N	\N	\N
373724	1272	1995-11-11	VYDAJ	VYBER	11500	47606	\N	\N	\N
373725	1272	1995-12-11	VYDAJ	VYBER	24300	62934	\N	\N	\N
373726	1272	1996-01-10	VYDAJ	VYBER	24900	66302	\N	\N	\N
373727	1272	1996-02-09	PRIJEM	VKLAD	2900	41521	\N	\N	\N
373728	1272	1996-03-10	PRIJEM	VKLAD	8300	37371	\N	\N	\N
373729	1272	1996-04-09	PRIJEM	VKLAD	5300	37394	\N	\N	\N
373730	1272	1996-05-09	PRIJEM	VKLAD	9200	37091	\N	\N	\N
373731	1272	1996-06-08	PRIJEM	VKLAD	21100	26239	\N	\N	\N
373732	1272	1996-07-08	PRIJEM	VKLAD	9100	35332	\N	\N	\N
373733	1272	1996-08-07	PRIJEM	VKLAD	7200	42611	\N	\N	\N
373734	1272	1996-09-06	PRIJEM	VKLAD	5400	48128	\N	\N	\N
373735	1272	1996-10-06	VYDAJ	VYBER	2600	58444	\N	\N	\N
373736	1272	1996-11-05	PRIJEM	VKLAD	100	58766	\N	\N	\N
373737	1272	1996-12-05	VYDAJ	VYBER	19000	74818	\N	\N	\N
373738	1272	1997-01-04	PRIJEM	VKLAD	10900	49431	\N	\N	\N
373739	1272	1997-02-03	PRIJEM	VKLAD	18200	43780	\N	\N	\N
373740	1272	1997-03-05	PRIJEM	VKLAD	23900	33615	\N	\N	\N
373741	1272	1997-04-04	PRIJEM	VKLAD	20600	41326	\N	\N	\N
373742	1272	1997-05-04	PRIJEM	VKLAD	8400	49783	\N	\N	\N
373743	1272	1997-06-03	PRIJEM	VKLAD	10500	50222	\N	\N	\N
373744	1272	1997-07-03	PRIJEM	VKLAD	12200	62556	\N	\N	\N
373745	1272	1997-08-02	VYDAJ	VYBER	11300	82563	\N	\N	\N
373746	1272	1997-09-01	VYDAJ	VYBER	800	82120	\N	\N	\N
373747	1272	1997-10-01	VYDAJ	VYBER	2100	78221	\N	\N	\N
373748	1272	1997-10-31	VYDAJ	VYBER	1200	77322	\N	\N	\N
373749	1272	1997-11-30	VYDAJ	VYBER	15200	87147	\N	\N	\N
373750	1272	1997-12-30	VYDAJ	VYBER	1700	83047	\N	\N	\N
373751	1272	1998-01-29	PRIJEM	VKLAD	10200	69876	\N	\N	\N
373752	1272	1998-02-28	PRIJEM	VKLAD	13300	73245	\N	\N	\N
373753	1272	1998-03-30	PRIJEM	VKLAD	5300	78804	\N	\N	\N
373754	1272	1998-04-29	PRIJEM	VKLAD	1500	80577	\N	\N	\N
373755	1272	1998-05-29	PRIJEM	VKLAD	7900	88773	\N	\N	\N
373756	1272	1998-06-28	PRIJEM	VKLAD	4600	93676	\N	\N	\N
373757	1272	1998-07-28	PRIJEM	VKLAD	900	94914	\N	\N	\N
373758	1272	1998-08-27	VYDAJ	VYBER	1800	93471	\N	\N	\N
373759	1272	1998-09-26	VYDAJ	VYBER	2000	91833	\N	\N	\N
373760	1272	1998-10-26	PRIJEM	VKLAD	14700	90988	\N	\N	\N
373761	1272	1998-11-25	PRIJEM	VKLAD	3400	106290	\N	\N	\N
373831	1273	1994-03-25	PRIJEM	VKLAD	500	500	\N	\N	\N
373835	1273	1994-04-06	PRIJEM	VKLAD	20485	20985	\N	\N	\N
373836	1273	1994-05-06	PRIJEM	VKLAD	20485	43092	\N	\N	\N
373837	1273	1994-06-06	PRIJEM	VKLAD	30728	67028	\N	\N	\N
373838	1273	1994-07-06	PRIJEM	VKLAD	20485	68077	\N	\N	\N
373839	1273	1994-08-06	PRIJEM	VKLAD	20485	67959	\N	\N	\N
373840	1273	1994-09-06	PRIJEM	VKLAD	20485	66306	\N	\N	\N
373841	1273	1994-10-06	PRIJEM	VKLAD	20485	65846	\N	\N	\N
373842	1273	1994-11-06	PRIJEM	VKLAD	20485	63780	\N	\N	\N
373843	1273	1994-12-06	PRIJEM	VKLAD	30728	72686	\N	\N	\N
373844	1273	1995-01-06	PRIJEM	VKLAD	20485	64773	\N	\N	\N
373845	1273	1995-02-06	PRIJEM	VKLAD	20485	43933	\N	\N	\N
373846	1273	1995-03-06	PRIJEM	VKLAD	20485	52588	\N	\N	\N
373847	1273	1995-04-06	PRIJEM	VKLAD	20485	55773	\N	\N	\N
373848	1273	1995-05-06	PRIJEM	VKLAD	20485	56015	\N	\N	\N
373849	1273	1995-06-06	PRIJEM	VKLAD	30728	67644	\N	\N	\N
373850	1273	1995-07-06	PRIJEM	VKLAD	20485	62165	\N	\N	\N
373851	1273	1995-08-06	PRIJEM	VKLAD	20485	57480	\N	\N	\N
373852	1273	1995-09-06	PRIJEM	VKLAD	20485	57769	\N	\N	\N
373853	1273	1995-10-06	PRIJEM	VKLAD	20485	58461	\N	\N	\N
373854	1273	1995-11-06	PRIJEM	VKLAD	20485	57215	\N	\N	\N
373855	1273	1995-12-06	PRIJEM	VKLAD	30728	66001	\N	\N	\N
373856	1273	1996-01-06	PRIJEM	VKLAD	20485	65115	\N	\N	\N
373857	1273	1996-02-06	PRIJEM	VKLAD	20485	44253	\N	\N	\N
373858	1273	1996-03-06	PRIJEM	VKLAD	20485	52295	\N	\N	\N
373859	1273	1996-04-06	PRIJEM	VKLAD	20485	58767	\N	\N	\N
373860	1273	1996-05-06	PRIJEM	VKLAD	20485	59450	\N	\N	\N
373861	1273	1996-06-06	PRIJEM	VKLAD	30728	72083	\N	\N	\N
373862	1273	1996-07-06	PRIJEM	VKLAD	20485	67702	\N	\N	\N
373863	1273	1996-08-06	PRIJEM	VKLAD	20485	64856	\N	\N	\N
373864	1273	1996-09-06	PRIJEM	VKLAD	20485	62754	\N	\N	\N
373865	1273	1996-10-06	PRIJEM	VKLAD	20485	61844	\N	\N	\N
373866	1273	1996-11-06	PRIJEM	VKLAD	20485	63137	\N	\N	\N
373867	1273	1996-12-06	PRIJEM	VKLAD	30728	71325	\N	\N	\N
373868	1273	1997-01-06	PRIJEM	VKLAD	20485	61419	\N	\N	\N
373869	1273	1997-02-06	PRIJEM	VKLAD	20485	48064	\N	\N	\N
373870	1273	1997-03-06	PRIJEM	VKLAD	20485	52400	\N	\N	\N
373871	1273	1997-04-06	PRIJEM	VKLAD	20485	57262	\N	\N	\N
373872	1273	1997-05-06	PRIJEM	VKLAD	20485	60034	\N	\N	\N
373873	1273	1997-06-06	PRIJEM	VKLAD	30728	67241	\N	\N	\N
373874	1273	1997-07-06	PRIJEM	VKLAD	20485	37529	\N	\N	\N
373875	1273	1997-08-06	PRIJEM	VKLAD	20485	49347	\N	\N	\N
373876	1273	1997-09-06	PRIJEM	VKLAD	20485	49366	\N	\N	\N
373877	1273	1997-10-06	PRIJEM	VKLAD	20485	58651	\N	\N	\N
373878	1273	1997-11-06	PRIJEM	VKLAD	20485	62788	\N	\N	\N
373879	1273	1997-12-06	PRIJEM	VKLAD	30728	80389	\N	\N	\N
373880	1273	1998-01-06	PRIJEM	VKLAD	20485	75265	\N	\N	\N
373881	1273	1998-02-06	PRIJEM	VKLAD	20485	63166	\N	\N	\N
373882	1273	1998-03-06	PRIJEM	VKLAD	20485	69368	\N	\N	\N
373883	1273	1998-04-06	PRIJEM	VKLAD	20485	74838	\N	\N	\N
373884	1273	1998-05-06	PRIJEM	VKLAD	20485	77947	\N	\N	\N
373885	1273	1998-06-06	PRIJEM	VKLAD	30728	93513	\N	\N	\N
373886	1273	1998-07-06	PRIJEM	VKLAD	20485	82539	\N	\N	\N
373887	1273	1998-08-06	PRIJEM	VKLAD	20485	82665	\N	\N	\N
373888	1273	1998-09-06	PRIJEM	VKLAD	20485	81994	\N	\N	\N
373889	1273	1998-10-06	PRIJEM	VKLAD	20485	80122	\N	\N	\N
373890	1273	1998-11-06	PRIJEM	VKLAD	20485	79726	\N	\N	\N
373891	1273	1998-12-06	PRIJEM	VKLAD	30728	85848	\N	\N	\N
373899	1273	1994-08-06	VYDAJ	PREVOD NA UCET	3863	64096	SIPO	IJ	25406718
373900	1273	1994-09-06	VYDAJ	PREVOD NA UCET	3863	62443	SIPO	IJ	25406718
373901	1273	1994-10-06	VYDAJ	PREVOD NA UCET	3863	61983	SIPO	IJ	25406718
373902	1273	1994-11-06	VYDAJ	PREVOD NA UCET	3863	59917	SIPO	IJ	25406718
373903	1273	1994-12-06	VYDAJ	PREVOD NA UCET	3863	68823	SIPO	IJ	25406718
373904	1273	1995-01-06	VYDAJ	PREVOD NA UCET	3863	60910	SIPO	IJ	25406718
373905	1273	1995-02-06	VYDAJ	PREVOD NA UCET	3863	40070	SIPO	IJ	25406718
373906	1273	1995-03-06	VYDAJ	PREVOD NA UCET	3863	48725	SIPO	IJ	25406718
373907	1273	1995-04-06	VYDAJ	PREVOD NA UCET	3863	51910	SIPO	IJ	25406718
373908	1273	1995-05-06	VYDAJ	PREVOD NA UCET	3863	52152	SIPO	IJ	25406718
373909	1273	1995-06-06	VYDAJ	PREVOD NA UCET	3863	63781	SIPO	IJ	25406718
373910	1273	1995-07-06	VYDAJ	PREVOD NA UCET	3863	58302	SIPO	IJ	25406718
373911	1273	1995-08-06	VYDAJ	PREVOD NA UCET	3863	53617	SIPO	IJ	25406718
373912	1273	1995-09-06	VYDAJ	PREVOD NA UCET	3863	53906	SIPO	IJ	25406718
373913	1273	1995-10-06	VYDAJ	PREVOD NA UCET	3863	54598	SIPO	IJ	25406718
373914	1273	1995-11-06	VYDAJ	PREVOD NA UCET	3863	53352	SIPO	IJ	25406718
373915	1273	1995-12-06	VYDAJ	PREVOD NA UCET	3863	62138	SIPO	IJ	25406718
373916	1273	1996-01-06	VYDAJ	PREVOD NA UCET	3863	61252	SIPO	IJ	25406718
373917	1273	1996-02-06	VYDAJ	PREVOD NA UCET	3863	40390	SIPO	IJ	25406718
373918	1273	1996-03-06	VYDAJ	PREVOD NA UCET	3863	48432	SIPO	IJ	25406718
373919	1273	1996-04-06	VYDAJ	PREVOD NA UCET	3863	54904	SIPO	IJ	25406718
373920	1273	1996-05-06	VYDAJ	PREVOD NA UCET	3863	55587	SIPO	IJ	25406718
373921	1273	1996-06-06	VYDAJ	PREVOD NA UCET	3863	68220	SIPO	IJ	25406718
373922	1273	1996-07-06	VYDAJ	PREVOD NA UCET	3863	63839	SIPO	IJ	25406718
373923	1273	1996-08-06	VYDAJ	PREVOD NA UCET	3863	60993	SIPO	IJ	25406718
373924	1273	1996-09-06	VYDAJ	PREVOD NA UCET	3863	58891	SIPO	IJ	25406718
373925	1273	1996-10-06	VYDAJ	PREVOD NA UCET	3863	57981	SIPO	IJ	25406718
373926	1273	1996-11-06	VYDAJ	PREVOD NA UCET	3863	59274	SIPO	IJ	25406718
373927	1273	1996-12-06	VYDAJ	PREVOD NA UCET	3863	67462	SIPO	IJ	25406718
373928	1273	1997-01-06	VYDAJ	PREVOD NA UCET	3863	57556	SIPO	IJ	25406718
373929	1273	1997-02-06	VYDAJ	PREVOD NA UCET	3863	44201	SIPO	IJ	25406718
373930	1273	1997-03-06	VYDAJ	PREVOD NA UCET	3863	48537	SIPO	IJ	25406718
373931	1273	1997-04-06	VYDAJ	PREVOD NA UCET	3863	53399	SIPO	IJ	25406718
373932	1273	1997-05-06	VYDAJ	PREVOD NA UCET	3863	56171	SIPO	IJ	25406718
373933	1273	1997-06-06	VYDAJ	PREVOD NA UCET	3863	63378	SIPO	IJ	25406718
373934	1273	1997-07-06	VYDAJ	PREVOD NA UCET	3863	33666	SIPO	IJ	25406718
373935	1273	1997-08-06	VYDAJ	PREVOD NA UCET	3863	45484	SIPO	IJ	25406718
373936	1273	1997-09-06	VYDAJ	PREVOD NA UCET	3863	45503	SIPO	IJ	25406718
373937	1273	1997-10-06	VYDAJ	PREVOD NA UCET	3863	54788	SIPO	IJ	25406718
373938	1273	1997-11-06	VYDAJ	PREVOD NA UCET	3863	58925	SIPO	IJ	25406718
373939	1273	1997-12-06	VYDAJ	PREVOD NA UCET	3863	76526	SIPO	IJ	25406718
373940	1273	1998-01-06	VYDAJ	PREVOD NA UCET	3863	71402	SIPO	IJ	25406718
373941	1273	1998-02-06	VYDAJ	PREVOD NA UCET	3863	59303	SIPO	IJ	25406718
373942	1273	1998-03-06	VYDAJ	PREVOD NA UCET	3863	65505	SIPO	IJ	25406718
373943	1273	1998-04-06	VYDAJ	PREVOD NA UCET	3863	70975	SIPO	IJ	25406718
373944	1273	1998-05-06	VYDAJ	PREVOD NA UCET	3863	74084	SIPO	IJ	25406718
373945	1273	1998-06-06	VYDAJ	PREVOD NA UCET	3863	89650	SIPO	IJ	25406718
373946	1273	1998-07-06	VYDAJ	PREVOD NA UCET	3863	78676	SIPO	IJ	25406718
373947	1273	1998-08-06	VYDAJ	PREVOD NA UCET	3863	78802	SIPO	IJ	25406718
373948	1273	1998-09-06	VYDAJ	PREVOD NA UCET	3863	78131	SIPO	IJ	25406718
373949	1273	1998-10-06	VYDAJ	PREVOD NA UCET	3863	76259	SIPO	IJ	25406718
373950	1273	1998-11-06	VYDAJ	PREVOD NA UCET	3863	75863	SIPO	IJ	25406718
373951	1273	1998-12-06	VYDAJ	PREVOD NA UCET	3863	81985	SIPO	IJ	25406718
373955	1273	1997-06-17	VYDAJ	VYBER	23040	16938	\N	\N	\N
373956	1273	1998-06-29	VYDAJ	VYBER	13760	70730	\N	\N	\N
373958	1273	1995-01-27	VYDAJ	VYBER	7360	26030	\N	\N	\N
373959	1273	1996-01-30	VYDAJ	VYBER	14400	23592	\N	\N	\N
373960	1273	1997-01-22	VYDAJ	VYBER	2560	35596	\N	\N	\N
373961	1273	1998-01-20	VYDAJ	VYBER	5280	59162	\N	\N	\N
373968	1273	1995-01-30	VYDAJ	VYBER	2760	23270	\N	\N	\N
373969	1273	1995-01-01	VYDAJ	VYBER	2160	44288	\N	\N	\N
373970	1273	1995-01-11	VYDAJ	VYBER	1680	58510	\N	\N	\N
373971	1273	1995-01-19	VYDAJ	VYBER	840	41070	\N	\N	\N
373972	1273	1995-01-08	VYDAJ	VYBER	720	60190	\N	\N	\N
373973	1273	1995-01-24	VYDAJ	VYBER	3480	33390	\N	\N	\N
373974	1273	1996-01-15	VYDAJ	VYBER	1920	39432	\N	\N	\N
373975	1273	1996-01-30	VYDAJ	VYBER	840	37992	\N	\N	\N
373976	1273	1996-01-13	VYDAJ	VYBER	1800	58132	\N	\N	\N
373977	1273	1996-01-14	VYDAJ	VYBER	1080	41352	\N	\N	\N
373978	1273	1996-01-16	VYDAJ	VYBER	600	38832	\N	\N	\N
373979	1273	1996-01-12	VYDAJ	VYBER	1320	59932	\N	\N	\N
373980	1273	1997-01-15	VYDAJ	VYBER	600	39356	\N	\N	\N
373981	1273	1997-01-25	VYDAJ	VYBER	2760	29596	\N	\N	\N
373982	1273	1997-01-17	VYDAJ	VYBER	1200	38156	\N	\N	\N
373983	1273	1997-01-05	VYDAJ	VYBER	2400	40934	\N	\N	\N
373984	1273	1997-01-28	VYDAJ	VYBER	2160	27436	\N	\N	\N
373985	1273	1997-01-23	VYDAJ	VYBER	3240	32356	\N	\N	\N
373986	1273	1998-01-15	VYDAJ	VYBER	3360	64442	\N	\N	\N
373987	1273	1998-01-26	VYDAJ	VYBER	1200	54602	\N	\N	\N
373988	1273	1998-01-02	VYDAJ	VYBER	2760	68280	\N	\N	\N
373989	1273	1998-01-21	VYDAJ	VYBER	3360	55802	\N	\N	\N
373990	1273	1998-01-11	VYDAJ	VYBER	1440	67802	\N	\N	\N
373991	1273	1998-01-28	VYDAJ	VYBER	1560	53042	\N	\N	\N
373992	1273	1994-11-16	VYDAJ	VYBER	1680	58237	\N	\N	\N
373993	1273	1994-11-28	VYDAJ	VYBER	1080	41757	\N	\N	\N
373995	1273	1995-04-15	VYDAJ	VYBER	4320	47590	\N	\N	\N
373996	1273	1995-12-03	VYDAJ	VYBER	3240	35274	\N	\N	\N
373997	1273	1995-10-26	VYDAJ	VYBER	3240	36558	\N	\N	\N
373998	1273	1995-08-04	VYDAJ	VYBER	5160	36995	\N	\N	\N
373999	1273	1995-04-23	VYDAJ	VYBER	1320	35370	\N	\N	\N
374000	1273	1995-01-19	VYDAJ	VYBER	4200	36870	\N	\N	\N
374001	1273	1995-07-26	VYDAJ	VYBER	840	41962	\N	\N	\N
374002	1273	1996-11-13	VYDAJ	VYBER	1440	40434	\N	\N	\N
374003	1273	1996-07-12	VYDAJ	VYBER	3000	60839	\N	\N	\N
374004	1273	1997-08-09	VYDAJ	VYBER	720	32664	\N	\N	\N
374005	1273	1997-12-10	VYDAJ	VYBER	5760	70766	\N	\N	\N
374006	1273	1997-10-09	VYDAJ	VYBER	3480	51308	\N	\N	\N
374007	1273	1998-02-17	VYDAJ	VYBER	3840	55463	\N	\N	\N
374008	1273	1998-01-09	VYDAJ	VYBER	2160	69242	\N	\N	\N
374009	1273	1998-06-08	VYDAJ	VYBER	5160	84490	\N	\N	\N
374010	1273	1998-12-10	VYDAJ	VYBER KARTOU	2800	79185	\N	\N	0
374011	1273	1998-11-11	VYDAJ	VYBER	1920	73943	\N	\N	\N
374012	1273	1998-02-03	VYDAJ	VYBER	3000	42681	\N	\N	\N
374021	1273	1994-08-31	VYDAJ	VYBER	15	45821	SLUZBY	\N	\N
374022	1273	1994-09-30	VYDAJ	VYBER	15	45361	SLUZBY	\N	\N
374023	1273	1994-10-31	VYDAJ	VYBER	15	43295	SLUZBY	\N	\N
374024	1273	1994-11-30	VYDAJ	VYBER	15	41958	SLUZBY	\N	\N
374025	1273	1994-12-31	VYDAJ	VYBER	15	46448	SLUZBY	\N	\N
374026	1273	1995-01-31	VYDAJ	VYBER	15	23448	SLUZBY	\N	\N
374027	1273	1995-02-28	VYDAJ	VYBER	15	32103	SLUZBY	\N	\N
374028	1273	1995-03-31	VYDAJ	VYBER	15	35288	SLUZBY	\N	\N
374029	1273	1995-04-30	VYDAJ	VYBER	15	35530	SLUZBY	\N	\N
374030	1273	1995-05-31	VYDAJ	VYBER	15	36917	SLUZBY	\N	\N
374031	1273	1995-06-30	VYDAJ	VYBER	15	41680	SLUZBY	\N	\N
374032	1273	1995-07-31	VYDAJ	VYBER	15	42155	SLUZBY	\N	\N
374033	1273	1995-08-31	VYDAJ	VYBER	15	37284	SLUZBY	\N	\N
374034	1273	1995-09-30	VYDAJ	VYBER	15	37976	SLUZBY	\N	\N
374035	1273	1995-10-31	VYDAJ	VYBER	15	36730	SLUZBY	\N	\N
374036	1273	1995-11-30	VYDAJ	VYBER	15	38514	SLUZBY	\N	\N
374037	1273	1995-12-31	VYDAJ	VYBER	15	44630	SLUZBY	\N	\N
374038	1273	1996-01-31	VYDAJ	VYBER	15	23768	SLUZBY	\N	\N
374039	1273	1996-02-29	VYDAJ	VYBER	15	31810	SLUZBY	\N	\N
374040	1273	1996-03-31	VYDAJ	VYBER	15	38282	SLUZBY	\N	\N
374041	1273	1996-04-30	VYDAJ	VYBER	15	38965	SLUZBY	\N	\N
374042	1273	1996-05-31	VYDAJ	VYBER	15	41355	SLUZBY	\N	\N
374043	1273	1996-06-30	VYDAJ	VYBER	15	47217	SLUZBY	\N	\N
374044	1273	1996-07-31	VYDAJ	VYBER	15	44371	SLUZBY	\N	\N
374045	1273	1996-08-31	VYDAJ	VYBER	15	42269	SLUZBY	\N	\N
374046	1273	1996-09-30	VYDAJ	VYBER	15	41359	SLUZBY	\N	\N
374047	1273	1996-10-31	VYDAJ	VYBER	15	42652	SLUZBY	\N	\N
374048	1273	1996-11-30	VYDAJ	VYBER	15	40598	SLUZBY	\N	\N
374049	1273	1996-12-31	VYDAJ	VYBER	15	43334	SLUZBY	\N	\N
374050	1273	1997-01-31	VYDAJ	VYBER	15	27579	SLUZBY	\N	\N
374051	1273	1997-02-28	VYDAJ	VYBER	15	31915	SLUZBY	\N	\N
374052	1273	1997-03-31	VYDAJ	VYBER	15	36777	SLUZBY	\N	\N
374053	1273	1997-04-30	VYDAJ	VYBER	15	39549	SLUZBY	\N	\N
374054	1273	1997-05-31	VYDAJ	VYBER	15	36513	SLUZBY	\N	\N
374055	1273	1997-06-30	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
374056	1273	1997-07-31	VYDAJ	VYBER	15	28862	SLUZBY	\N	\N
374057	1273	1997-08-31	VYDAJ	VYBER	15	32781	SLUZBY	\N	\N
374058	1273	1997-09-30	VYDAJ	VYBER	15	45666	SLUZBY	\N	\N
374059	1273	1997-10-31	VYDAJ	VYBER	15	51503	SLUZBY	\N	\N
374060	1273	1997-11-30	VYDAJ	VYBER	15	59161	SLUZBY	\N	\N
374061	1273	1997-12-31	VYDAJ	VYBER	15	71040	SLUZBY	\N	\N
374062	1273	1998-01-31	VYDAJ	VYBER	15	53281	SLUZBY	\N	\N
374063	1273	1998-02-28	VYDAJ	VYBER	15	55683	SLUZBY	\N	\N
374064	1273	1998-03-31	VYDAJ	VYBER	15	65753	SLUZBY	\N	\N
374065	1273	1998-04-30	VYDAJ	VYBER	15	71262	SLUZBY	\N	\N
374066	1273	1998-05-31	VYDAJ	VYBER	15	74385	SLUZBY	\N	\N
374067	1273	1998-06-30	VYDAJ	VYBER	15	71054	SLUZBY	\N	\N
374068	1273	1998-07-31	VYDAJ	VYBER	15	78980	SLUZBY	\N	\N
374069	1273	1998-08-31	VYDAJ	VYBER	15	61509	SLUZBY	\N	\N
374070	1273	1998-09-30	VYDAJ	VYBER	15	78437	SLUZBY	\N	\N
374071	1273	1998-10-31	VYDAJ	VYBER	15	59241	SLUZBY	\N	\N
374072	1273	1998-11-30	VYDAJ	VYBER	15	55121	SLUZBY	\N	\N
374073	1273	1994-04-24	PRIJEM	VKLAD	1600	22585	\N	\N	\N
374074	1273	1994-05-24	VYDAJ	VYBER	6900	36192	\N	\N	\N
374075	1273	1994-06-23	VYDAJ	VYBER	19600	47428	\N	\N	\N
374076	1273	1994-07-23	VYDAJ	VYBER	20800	47277	\N	\N	\N
374077	1273	1994-08-22	VYDAJ	VYBER	18500	45596	\N	\N	\N
374078	1273	1994-09-21	VYDAJ	VYBER	17300	45143	\N	\N	\N
374079	1273	1994-10-21	VYDAJ	VYBER	18900	43083	\N	\N	\N
374080	1273	1994-11-20	VYDAJ	VYBER	15400	42837	\N	\N	\N
374081	1273	1994-12-20	VYDAJ	VYBER	22600	46223	\N	\N	\N
374082	1273	1995-01-19	VYDAJ	VYBER	16600	41910	\N	\N	\N
374083	1273	1995-02-18	VYDAJ	VYBER	8100	31970	\N	\N	\N
374084	1273	1995-03-20	VYDAJ	VYBER	13600	35125	\N	\N	\N
374085	1273	1995-04-19	VYDAJ	VYBER	10900	36690	\N	\N	\N
374086	1273	1995-05-19	VYDAJ	VYBER	15400	36752	\N	\N	\N
374087	1273	1995-06-18	VYDAJ	VYBER	22300	41481	\N	\N	\N
374088	1273	1995-07-18	VYDAJ	VYBER	15500	42802	\N	\N	\N
374089	1273	1995-08-17	VYDAJ	VYBER	16500	37117	\N	\N	\N
374090	1273	1995-09-16	VYDAJ	VYBER	16100	37806	\N	\N	\N
374091	1273	1995-10-16	VYDAJ	VYBER	14800	39798	\N	\N	\N
374092	1273	1995-11-15	VYDAJ	VYBER	15000	38352	\N	\N	\N
374093	1273	1995-12-15	VYDAJ	VYBER	17700	44438	\N	\N	\N
374094	1273	1996-01-14	VYDAJ	VYBER	15700	42432	\N	\N	\N
374095	1273	1996-02-13	VYDAJ	VYBER	8700	31690	\N	\N	\N
374096	1273	1996-03-14	VYDAJ	VYBER	10300	38132	\N	\N	\N
374097	1273	1996-04-13	VYDAJ	VYBER	16100	38804	\N	\N	\N
374098	1273	1996-05-13	VYDAJ	VYBER	14400	41187	\N	\N	\N
374099	1273	1996-06-12	VYDAJ	VYBER	21200	47020	\N	\N	\N
374100	1273	1996-07-12	VYDAJ	VYBER	16700	44139	\N	\N	\N
374101	1273	1996-08-11	VYDAJ	VYBER	18900	42093	\N	\N	\N
374102	1273	1996-09-10	VYDAJ	VYBER	17700	41191	\N	\N	\N
374103	1273	1996-10-10	VYDAJ	VYBER	15500	42481	\N	\N	\N
374104	1273	1996-11-09	VYDAJ	VYBER	17400	41874	\N	\N	\N
374105	1273	1996-12-09	VYDAJ	VYBER	24300	43162	\N	\N	\N
374106	1273	1997-01-08	VYDAJ	VYBER	17600	39956	\N	\N	\N
374107	1273	1997-02-07	VYDAJ	VYBER	12400	31801	\N	\N	\N
374108	1273	1997-03-09	VYDAJ	VYBER	11900	36637	\N	\N	\N
374109	1273	1997-04-08	VYDAJ	VYBER	14000	39399	\N	\N	\N
374110	1273	1997-05-08	VYDAJ	VYBER	19800	36371	\N	\N	\N
374111	1273	1997-06-07	VYDAJ	VYBER	23400	39978	\N	\N	\N
374112	1273	1997-07-07	VYDAJ	VYBER	4900	28766	\N	\N	\N
374113	1273	1997-08-06	VYDAJ	VYBER	12100	33384	\N	\N	\N
374114	1273	1997-09-05	VYDAJ	VYBER	3900	28881	\N	\N	\N
374115	1273	1997-10-05	VYDAJ	VYBER	7500	38166	\N	\N	\N
374116	1273	1997-11-04	VYDAJ	VYBER	9200	42303	\N	\N	\N
374117	1273	1997-12-04	VYDAJ	VYBER	9500	49661	\N	\N	\N
374118	1273	1998-01-03	VYDAJ	VYBER	13500	54780	\N	\N	\N
374119	1273	1998-02-02	VYDAJ	VYBER	7600	45681	\N	\N	\N
374120	1273	1998-03-04	VYDAJ	VYBER	6800	48883	\N	\N	\N
374121	1273	1998-04-03	VYDAJ	VYBER	11400	54353	\N	\N	\N
374122	1273	1998-05-03	VYDAJ	VYBER	13800	57462	\N	\N	\N
374123	1273	1998-06-02	VYDAJ	VYBER	11600	62785	\N	\N	\N
374124	1273	1998-07-02	VYDAJ	VYBER	9000	62054	\N	\N	\N
374125	1273	1998-08-01	VYDAJ	VYBER	16800	62180	\N	\N	\N
374126	1273	1998-08-31	VYDAJ	VYBER	17600	61524	\N	\N	\N
374127	1273	1998-09-30	VYDAJ	VYBER	18800	59637	\N	\N	\N
374128	1273	1998-10-30	VYDAJ	VYBER	17300	58959	\N	\N	\N
374129	1273	1998-11-29	VYDAJ	VYBER	19100	54843	\N	\N	\N
374187	1274	1996-08-19	PRIJEM	VKLAD	400	400	\N	\N	\N
374189	1274	1996-11-27	PRIJEM	VKLAD	49755	128674	\N	\N	\N
374191	1274	1996-09-23	PRIJEM	VKLAD	20571	106157	\N	\N	\N
374193	1274	1996-09-09	PRIJEM	VKLAD	35741	36141	\N	\N	\N
374195	1274	1996-09-11	PRIJEM	VKLAD	18922	55063	\N	\N	\N
374196	1274	1996-12-16	PRIJEM	VKLAD	29003	111201	\N	\N	\N
374198	1274	1996-10-22	PRIJEM	VKLAD	45670	112833	\N	\N	\N
374199	1274	1996-09-22	PRIJEM	VKLAD	44723	85586	\N	\N	\N
374201	1274	1996-11-18	PRIJEM	VKLAD	34724	78919	\N	\N	\N
374206	1274	1996-12-16	PRIJEM	VKLAD	15358	82198	\N	\N	\N
374209	1274	1997-02-18	PRIJEM	VKLAD	42150	57148	\N	\N	\N
374210	1274	1997-05-19	PRIJEM	VKLAD	48553	76595	\N	\N	\N
374211	1274	1997-02-24	PRIJEM	VKLAD	41943	99091	\N	\N	\N
374212	1274	1997-05-14	PRIJEM	VKLAD	11822	29342	\N	\N	\N
374213	1274	1997-06-12	PRIJEM	VKLAD	27532	85701	\N	\N	\N
374214	1274	1997-11-02	PRIJEM	VKLAD	27603	46696	\N	\N	\N
374215	1274	1997-12-02	PRIJEM	VKLAD	38887	76281	\N	\N	\N
374216	1274	1998-10-10	PRIJEM	VKLAD	5298	76123	\N	\N	\N
374217	1274	1998-12-19	PRIJEM	VKLAD	29321	116340	\N	\N	\N
374218	1274	1998-11-03	PRIJEM	VKLAD	37019	110965	\N	\N	\N
374219	1274	1998-07-27	PRIJEM	VKLAD	7216	39246	\N	\N	\N
374220	1274	1998-04-25	PRIJEM	VKLAD	39721	49601	\N	\N	\N
374221	1274	1998-05-06	PRIJEM	VKLAD	46325	96104	\N	\N	\N
374222	1274	1998-11-30	PRIJEM	VKLAD	29788	144218	\N	\N	\N
374223	1274	1998-05-26	PRIJEM	VKLAD	29722	89832	\N	\N	\N
374224	1274	1998-03-28	PRIJEM	VKLAD	40522	64894	\N	\N	\N
374225	1274	1998-09-09	PRIJEM	VKLAD	37754	70921	\N	\N	\N
374226	1274	1998-07-04	PRIJEM	VKLAD	35659	69608	\N	\N	\N
374227	1274	1998-11-30	PRIJEM	VKLAD	19676	114109	\N	\N	\N
374228	1274	1998-08-11	PRIJEM	VKLAD	14137	34162	\N	\N	\N
374229	1274	1998-08-24	PRIJEM	VKLAD	16549	25203	\N	\N	\N
374230	1274	1998-05-08	PRIJEM	VKLAD	36109	132213	\N	\N	\N
374231	1274	1998-09-23	PRIJEM	VKLAD	35372	94703	\N	\N	\N
374232	1274	1998-12-17	PRIJEM	VKLAD	35209	87019	\N	\N	\N
374233	1274	1998-12-03	PRIJEM	VKLAD	24480	118568	\N	\N	\N
374234	1274	1998-11-19	PRIJEM	VKLAD	47068	94433	\N	\N	\N
374237	1274	1996-12-25	VYBER	VYBER	21683	32318	\N	\N	\N
374239	1274	1997-04-16	VYBER	VYBER	10433	39332	\N	\N	\N
374240	1274	1997-01-13	VYBER	VYBER	12741	-916	\N	\N	\N
374241	1274	1997-06-01	VYBER	VYBER	7172	58169	\N	\N	\N
374242	1274	1997-07-10	VYBER	VYBER	7477	37790	\N	\N	\N
374244	1274	1997-04-01	VYBER	VYBER	10523	54555	\N	\N	\N
374245	1274	1997-06-23	VYBER	VYBER	9150	45051	\N	\N	\N
374246	1274	1997-04-24	VYBER	VYBER	15777	17355	\N	\N	\N
374247	1274	1997-04-15	VYBER	VYBER	4790	49765	\N	\N	\N
374248	1274	1997-10-01	VYBER	VYBER	17699	5038	\N	\N	\N
374249	1274	1998-05-11	VYBER	VYBER	11903	90410	\N	\N	\N
374250	1274	1998-08-21	VYBER	VYBER	17408	8654	\N	\N	\N
374251	1274	1998-07-17	VYBER	VYBER	12378	39830	\N	\N	\N
374252	1274	1998-06-25	VYBER	VYBER	16442	33748	\N	\N	\N
374253	1274	1998-10-14	VYBER	VYBER	2480	73643	\N	\N	\N
374254	1274	1998-08-04	VYBER	VYBER	8542	6525	\N	\N	\N
374255	1274	1998-12-23	VYBER	VYBER	18046	78894	\N	\N	\N
374256	1274	1998-02-02	VYBER	VYBER	8624	11319	\N	\N	\N
374257	1274	1998-04-19	VYBER	VYBER	23690	9880	\N	\N	\N
374258	1274	1998-09-11	VYBER	VYBER	11590	59331	\N	\N	\N
374259	1274	1998-05-31	VYBER	VYBER	10912	79200	\N	\N	\N
374260	1274	1998-07-31	VYBER	VYBER	24315	15097	\N	\N	\N
374261	1274	1998-12-11	VYBER	VYBER	9958	56610	\N	\N	\N
374262	1274	1998-06-05	VYBER	VYBER	11380	67790	\N	\N	\N
374269	1274	1996-12-16	VYDAJ	VYBER	6600	104601	\N	\N	\N
374270	1274	1997-12-09	VYDAJ	VYBER	3300	72981	\N	\N	\N
374271	1274	1998-12-14	VYDAJ	VYBER	4800	51810	\N	\N	\N
374278	1274	1997-01-02	VYDAJ	VYBER	6000	24125	\N	\N	\N
374281	1274	1997-01-18	VYDAJ	VYBER	7800	5184	\N	\N	\N
374282	1274	1997-01-08	VYDAJ	VYBER	6900	13325	\N	\N	\N
374283	1274	1997-01-09	VYDAJ	VYBER	1500	11825	\N	\N	\N
374284	1274	1998-01-09	VYDAJ	VYBER	4200	42853	\N	\N	\N
374285	1274	1998-01-16	VYDAJ	VYBER	3600	19853	\N	\N	\N
374286	1274	1998-01-10	VYDAJ	VYBER	6900	27253	\N	\N	\N
374287	1274	1998-01-09	VYDAJ	VYBER	8700	34153	\N	\N	\N
374288	1274	1998-01-12	VYDAJ	VYBER	3300	23453	\N	\N	\N
374289	1274	1998-01-03	VYDAJ	VYBER	2400	47053	\N	\N	\N
374291	1274	1996-11-08	VYDAJ	VYBER	12300	56995	\N	\N	\N
374296	1274	1996-12-27	VYDAJ	VYBER	2400	29918	\N	\N	\N
374297	1274	1997-01-04	VYDAJ	VYBER	3900	20225	\N	\N	\N
374298	1274	1997-05-29	VYDAJ	VYBER	11400	65195	\N	\N	\N
374299	1274	1997-08-15	VYDAJ	VYBER	11700	18412	\N	\N	\N
374300	1274	1997-09-07	VYDAJ	VYBER	2700	15780	\N	\N	\N
374301	1274	1998-07-26	VYDAJ	VYBER	7800	32030	\N	\N	\N
374302	1274	1998-08-18	VYDAJ	VYBER	8100	26062	\N	\N	\N
374303	1274	1998-12-05	VYDAJ	VYBER	11400	88868	\N	\N	\N
374304	1274	1998-11-12	VYDAJ	VYBER	4200	47365	\N	\N	\N
374305	1274	1998-11-30	VYDAJ	VYBER	2700	94118	\N	\N	\N
374306	1274	1998-04-18	VYDAJ	VYBER	11700	33570	\N	\N	\N
374317	1274	1996-10-31	VYDAJ	VYBER	30	69295	SLUZBY	\N	\N
374318	1274	1996-11-30	VYDAJ	VYBER	30	66840	SLUZBY	\N	\N
374319	1274	1996-12-31	VYDAJ	VYBER	30	30125	SLUZBY	\N	\N
374320	1274	1997-01-31	VYDAJ	VYBER	30	5199	SLUZBY	\N	\N
374321	1274	1997-02-28	VYDAJ	VYBER	30	99199	SLUZBY	\N	\N
374322	1274	1997-03-31	VYDAJ	VYBER	30	65078	SLUZBY	\N	\N
374323	1274	1997-04-30	VYDAJ	VYBER	30	17520	SLUZBY	\N	\N
374324	1274	1997-05-31	VYDAJ	VYBER	30	65341	SLUZBY	\N	\N
374325	1274	1997-06-30	VYDAJ	VYBER	30	45267	SLUZBY	\N	\N
374326	1274	1997-07-31	VYDAJ	VYBER	30	29412	SLUZBY	\N	\N
374327	1274	1997-08-31	VYDAJ	VYBER	30	18480	SLUZBY	\N	\N
374328	1274	1997-09-30	VYDAJ	VYBER	30	22737	SLUZBY	\N	\N
374329	1274	1997-10-31	VYDAJ	VYBER	30	19093	SLUZBY	\N	\N
374330	1274	1997-11-30	VYDAJ	VYBER	30	37394	SLUZBY	\N	\N
374331	1274	1997-12-31	VYDAJ	VYBER	30	49453	SLUZBY	\N	\N
374332	1274	1998-01-31	VYDAJ	VYBER	30	19943	SLUZBY	\N	\N
374333	1274	1998-02-28	VYDAJ	VYBER	30	19872	SLUZBY	\N	\N
374334	1274	1998-03-31	VYDAJ	VYBER	30	64970	SLUZBY	\N	\N
374335	1274	1998-04-30	VYDAJ	VYBER	30	49779	SLUZBY	\N	\N
374336	1274	1998-05-31	VYDAJ	VYBER	30	79170	SLUZBY	\N	\N
374337	1274	1998-06-30	VYDAJ	VYBER	30	33949	SLUZBY	\N	\N
374338	1274	1998-07-31	VYDAJ	VYBER	30	15067	SLUZBY	\N	\N
374339	1274	1998-08-31	VYDAJ	VYBER	30	25267	SLUZBY	\N	\N
374340	1274	1998-09-30	VYDAJ	VYBER	30	94925	SLUZBY	\N	\N
374341	1274	1998-10-31	VYDAJ	VYBER	30	73946	SLUZBY	\N	\N
374342	1274	1998-11-30	VYDAJ	VYBER	30	94088	SLUZBY	\N	\N
374343	1274	1996-09-18	VYDAJ	VYBER	14200	40863	\N	\N	\N
374344	1274	1996-10-18	VYDAJ	VYBER	39200	67163	\N	\N	\N
374345	1274	1996-10-22	VYDAJ	VYBER	43900	68933	\N	\N	\N
374346	1274	1996-11-17	VYDAJ	VYBER	12800	44195	\N	\N	\N
374347	1274	1996-11-27	VYDAJ	VYBER	62100	66574	\N	\N	\N
374348	1274	1996-12-16	VYDAJ	VYBER	23300	81301	\N	\N	\N
374349	1274	1996-12-17	VYDAJ	VYBER	27300	54001	\N	\N	\N
374350	1274	1997-01-16	PRIJEM	VKLAD	13900	12984	\N	\N	\N
374351	1274	1997-02-15	PRIJEM	VKLAD	9800	14998	\N	\N	\N
374352	1274	1997-03-17	VYDAJ	VYBER	34500	64699	\N	\N	\N
374353	1274	1997-04-16	VYDAJ	VYBER	6200	33132	\N	\N	\N
374354	1274	1997-05-16	VYDAJ	VYBER	1300	28042	\N	\N	\N
374355	1274	1997-06-15	VYDAJ	VYBER	31500	54201	\N	\N	\N
374356	1274	1997-07-15	VYDAJ	VYBER	8500	29290	\N	\N	\N
374357	1274	1997-08-14	PRIJEM	VKLAD	700	30112	\N	\N	\N
374358	1274	1997-09-13	PRIJEM	VKLAD	6900	22680	\N	\N	\N
374359	1274	1997-10-13	PRIJEM	VKLAD	14000	19038	\N	\N	\N
374360	1274	1997-11-12	VYDAJ	VYBER	9400	37296	\N	\N	\N
374361	1274	1997-12-12	VYDAJ	VYBER	23700	49281	\N	\N	\N
374362	1274	1998-01-11	VYDAJ	VYBER	500	26753	\N	\N	\N
374363	1274	1998-02-10	PRIJEM	VKLAD	8500	19819	\N	\N	\N
374364	1274	1998-03-12	PRIJEM	VKLAD	4500	24372	\N	\N	\N
374365	1274	1998-04-11	VYDAJ	VYBER	19700	45270	\N	\N	\N
374366	1274	1998-05-08	VYDAJ	VYBER	29900	102313	\N	\N	\N
374367	1274	1998-05-11	VYDAJ	VYBER	30300	60110	\N	\N	\N
374368	1274	1998-06-10	VYDAJ	VYBER	17600	50190	\N	\N	\N
374369	1274	1998-07-10	VYDAJ	VYBER	17400	52208	\N	\N	\N
374370	1274	1998-08-09	PRIJEM	VKLAD	13500	20025	\N	\N	\N
374371	1274	1998-09-08	PRIJEM	VKLAD	7900	33167	\N	\N	\N
374372	1274	1998-10-08	VYDAJ	VYBER	24100	70825	\N	\N	\N
374373	1274	1998-11-03	VYDAJ	VYBER	55700	55265	\N	\N	\N
374374	1274	1998-11-07	VYDAJ	VYBER	3700	51565	\N	\N	\N
374375	1274	1998-11-30	VYDAJ	VYBER	26900	117318	\N	\N	\N
374376	1274	1998-11-30	VYDAJ	VYBER	20500	96818	\N	\N	\N
374377	1274	1998-12-03	VYDAJ	VYBER	18300	100268	\N	\N	\N
374378	1274	1998-12-07	VYDAJ	VYBER	22300	66568	\N	\N	\N
374379	1274	1998-12-19	VYDAJ	VYBER	19400	96940	\N	\N	\N
374409	1275	1996-06-26	PRIJEM	VKLAD	300	300	\N	\N	\N
374416	1275	1996-07-08	PRIJEM	PREVOD Z UCTU	5447	5747	DUCHOD	OP	12421352
374417	1275	1996-08-08	PRIJEM	PREVOD Z UCTU	5447	11194	DUCHOD	OP	12421352
374418	1275	1996-09-08	PRIJEM	PREVOD Z UCTU	5447	16641	DUCHOD	OP	12421352
374419	1275	1996-10-08	PRIJEM	PREVOD Z UCTU	5447	22088	DUCHOD	OP	12421352
374420	1275	1996-11-08	PRIJEM	PREVOD Z UCTU	5447	26658	DUCHOD	OP	12421352
374421	1275	1996-12-08	PRIJEM	PREVOD Z UCTU	5447	30186	DUCHOD	OP	12421352
374422	1275	1997-01-08	PRIJEM	PREVOD Z UCTU	5447	26625	DUCHOD	OP	12421352
374423	1275	1997-02-08	PRIJEM	PREVOD Z UCTU	5447	24011	DUCHOD	OP	12421352
374424	1275	1997-03-08	PRIJEM	PREVOD Z UCTU	5447	24625	DUCHOD	OP	12421352
374425	1275	1997-04-08	PRIJEM	PREVOD Z UCTU	5447	28245	DUCHOD	OP	12421352
374426	1275	1997-05-08	PRIJEM	PREVOD Z UCTU	5447	27139	DUCHOD	OP	12421352
374427	1275	1997-06-08	PRIJEM	PREVOD Z UCTU	5447	29873	DUCHOD	OP	12421352
374428	1275	1997-07-08	PRIJEM	PREVOD Z UCTU	5447	17903	DUCHOD	OP	12421352
374429	1275	1997-08-08	PRIJEM	PREVOD Z UCTU	5447	21495	DUCHOD	OP	12421352
374430	1275	1997-09-08	PRIJEM	PREVOD Z UCTU	5447	23342	DUCHOD	OP	12421352
374431	1275	1997-10-08	PRIJEM	PREVOD Z UCTU	5447	26757	DUCHOD	OP	12421352
374432	1275	1997-11-08	PRIJEM	PREVOD Z UCTU	5447	26546	DUCHOD	OP	12421352
374433	1275	1997-12-08	PRIJEM	PREVOD Z UCTU	5447	29178	DUCHOD	OP	12421352
374434	1275	1998-01-08	PRIJEM	PREVOD Z UCTU	5447	32819	DUCHOD	OP	12421352
374435	1275	1998-02-08	PRIJEM	PREVOD Z UCTU	5447	33437	DUCHOD	OP	12421352
374436	1275	1998-03-08	PRIJEM	PREVOD Z UCTU	5447	35791	DUCHOD	OP	12421352
374437	1275	1998-04-08	PRIJEM	PREVOD Z UCTU	5447	36313	DUCHOD	OP	12421352
374438	1275	1998-05-08	PRIJEM	PREVOD Z UCTU	5447	34055	DUCHOD	OP	12421352
374439	1275	1998-06-08	PRIJEM	PREVOD Z UCTU	5447	30047	DUCHOD	OP	12421352
374440	1275	1998-07-08	PRIJEM	PREVOD Z UCTU	5447	28431	DUCHOD	OP	12421352
374441	1275	1998-08-08	PRIJEM	PREVOD Z UCTU	5447	31566	DUCHOD	OP	12421352
374442	1275	1998-09-08	PRIJEM	PREVOD Z UCTU	5447	35215	DUCHOD	OP	12421352
374443	1275	1998-10-08	PRIJEM	PREVOD Z UCTU	5447	36774	DUCHOD	OP	12421352
374444	1275	1998-11-08	PRIJEM	PREVOD Z UCTU	5447	30162	DUCHOD	OP	12421352
374445	1275	1998-12-08	PRIJEM	PREVOD Z UCTU	5447	27134	DUCHOD	OP	12421352
374456	1275	1996-11-09	VYDAJ	PREVOD NA UCET	1903	24755	SIPO	IJ	30025339
374457	1275	1996-12-09	VYDAJ	PREVOD NA UCET	1903	28283	SIPO	IJ	30025339
374458	1275	1997-01-09	VYDAJ	PREVOD NA UCET	1903	24722	SIPO	IJ	30025339
374459	1275	1997-02-09	VYDAJ	PREVOD NA UCET	1903	22108	SIPO	IJ	30025339
374460	1275	1997-03-09	VYDAJ	PREVOD NA UCET	1903	22722	SIPO	IJ	30025339
374461	1275	1997-04-09	VYDAJ	PREVOD NA UCET	1903	26342	SIPO	IJ	30025339
374462	1275	1997-05-09	VYDAJ	PREVOD NA UCET	1903	25236	SIPO	IJ	30025339
374463	1275	1997-06-09	VYDAJ	PREVOD NA UCET	1903	27970	SIPO	IJ	30025339
374464	1275	1997-07-09	VYDAJ	PREVOD NA UCET	1903	16000	SIPO	IJ	30025339
374465	1275	1997-08-09	VYDAJ	PREVOD NA UCET	1903	19592	SIPO	IJ	30025339
374466	1275	1997-09-09	VYDAJ	PREVOD NA UCET	1903	21439	SIPO	IJ	30025339
374467	1275	1997-10-09	VYDAJ	PREVOD NA UCET	1903	24854	SIPO	IJ	30025339
374468	1275	1997-11-09	VYDAJ	PREVOD NA UCET	1903	24643	SIPO	IJ	30025339
374469	1275	1997-12-09	VYDAJ	PREVOD NA UCET	1903	27275	SIPO	IJ	30025339
374470	1275	1998-01-09	VYDAJ	PREVOD NA UCET	1903	30916	SIPO	IJ	30025339
374471	1275	1998-02-09	VYDAJ	PREVOD NA UCET	1903	31534	SIPO	IJ	30025339
374472	1275	1998-03-09	VYDAJ	PREVOD NA UCET	1903	33888	SIPO	IJ	30025339
374473	1275	1998-04-09	VYDAJ	PREVOD NA UCET	1903	34410	SIPO	IJ	30025339
374474	1275	1998-05-09	VYDAJ	PREVOD NA UCET	1903	32152	SIPO	IJ	30025339
374475	1275	1998-06-09	VYDAJ	PREVOD NA UCET	1903	28144	SIPO	IJ	30025339
374476	1275	1998-07-09	VYDAJ	PREVOD NA UCET	1903	26528	SIPO	IJ	30025339
374477	1275	1998-08-09	VYDAJ	PREVOD NA UCET	1903	29663	SIPO	IJ	30025339
374478	1275	1998-09-09	VYDAJ	PREVOD NA UCET	1903	33312	SIPO	IJ	30025339
374479	1275	1998-10-09	VYDAJ	PREVOD NA UCET	1903	34871	SIPO	IJ	30025339
374480	1275	1998-11-09	VYDAJ	PREVOD NA UCET	1903	28259	SIPO	IJ	30025339
374481	1275	1998-12-09	VYDAJ	PREVOD NA UCET	1903	25231	SIPO	IJ	30025339
374483	1275	1997-06-11	VYDAJ	VYBER	14450	13520	\N	\N	\N
374484	1275	1998-06-28	VYDAJ	VYBER	1550	22894	\N	\N	\N
374486	1275	1997-01-07	VYDAJ	VYBER	3950	21178	\N	\N	\N
374487	1275	1998-01-22	VYDAJ	VYBER	950	27886	\N	\N	\N
374488	1275	1996-12-20	VYDAJ	VYBER	1050	27233	\N	\N	\N
374489	1275	1997-12-03	VYDAJ	VYBER	1000	23731	\N	\N	\N
374490	1275	1998-12-26	VYDAJ	VYBER	1250	18881	\N	\N	\N
374496	1275	1997-08-09	VYDAJ	VYBER	1760	17832	\N	\N	\N
374497	1275	1997-06-22	VYDAJ	VYBER	1120	12400	\N	\N	\N
374498	1275	1997-11-06	VYDAJ	VYBER	3840	21099	\N	\N	\N
374499	1275	1997-01-24	VYDAJ	VYBER	3040	18482	\N	\N	\N
374500	1275	1997-05-01	VYDAJ	VYBER	3840	21692	\N	\N	\N
374501	1275	1998-01-15	VYDAJ	VYBER	2080	28836	\N	\N	\N
374502	1275	1998-05-29	VYDAJ	VYBER	3360	24492	\N	\N	\N
374503	1275	1998-10-30	VYDAJ	VYBER	1360	24611	\N	\N	\N
374504	1275	1998-11-26	VYDAJ	VYBER	960	23199	\N	\N	\N
374505	1275	1998-05-01	VYDAJ	VYBER	2320	28608	\N	\N	\N
374506	1275	1998-12-04	VYDAJ	VYBER	1600	21687	\N	\N	\N
374507	1275	1998-03-24	VYDAJ	VYBER	1840	30748	\N	\N	\N
374519	1275	1996-11-30	VYDAJ	VYBER	15	24739	SLUZBY	\N	\N
374520	1275	1996-12-31	VYDAJ	VYBER	15	25128	SLUZBY	\N	\N
374521	1275	1997-01-31	VYDAJ	VYBER	15	18564	SLUZBY	\N	\N
374522	1275	1997-02-28	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
374523	1275	1997-03-31	VYDAJ	VYBER	15	22798	SLUZBY	\N	\N
374524	1275	1997-04-30	VYDAJ	VYBER	15	25532	SLUZBY	\N	\N
374525	1275	1997-05-31	VYDAJ	VYBER	15	24426	SLUZBY	\N	\N
374526	1275	1997-06-30	VYDAJ	VYBER	15	12456	SLUZBY	\N	\N
374527	1275	1997-07-31	VYDAJ	VYBER	15	16048	SLUZBY	\N	\N
374528	1275	1997-08-31	VYDAJ	VYBER	15	17895	SLUZBY	\N	\N
374529	1275	1997-09-30	VYDAJ	VYBER	15	21310	SLUZBY	\N	\N
374530	1275	1997-10-31	VYDAJ	VYBER	15	24939	SLUZBY	\N	\N
374531	1275	1997-11-30	VYDAJ	VYBER	15	24731	SLUZBY	\N	\N
374532	1275	1997-12-31	VYDAJ	VYBER	15	27372	SLUZBY	\N	\N
374533	1275	1998-01-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
374534	1275	1998-02-28	VYDAJ	VYBER	15	30344	SLUZBY	\N	\N
374535	1275	1998-03-31	VYDAJ	VYBER	15	30866	SLUZBY	\N	\N
374536	1275	1998-04-30	VYDAJ	VYBER	15	30928	SLUZBY	\N	\N
374537	1275	1998-05-31	VYDAJ	VYBER	15	24600	SLUZBY	\N	\N
374538	1275	1998-06-30	VYDAJ	VYBER	15	22984	SLUZBY	\N	\N
374539	1275	1998-07-31	VYDAJ	VYBER	15	26119	SLUZBY	\N	\N
374540	1275	1998-08-31	VYDAJ	VYBER	15	29768	SLUZBY	\N	\N
374541	1275	1998-09-30	VYDAJ	VYBER	15	31327	SLUZBY	\N	\N
374542	1275	1998-10-31	VYDAJ	VYBER	15	24715	SLUZBY	\N	\N
374543	1275	1998-11-30	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
374544	1275	1996-10-24	VYDAJ	VYBER	900	21188	\N	\N	\N
374545	1275	1996-11-23	VYDAJ	VYBER	100	24655	\N	\N	\N
374546	1275	1996-12-23	VYDAJ	VYBER	2200	25033	\N	\N	\N
374547	1275	1997-01-22	VYDAJ	VYBER	3200	21522	\N	\N	\N
374548	1275	1997-02-21	VYDAJ	VYBER	3000	19108	\N	\N	\N
374549	1275	1997-04-22	VYDAJ	VYBER	900	25442	\N	\N	\N
374550	1275	1997-05-22	VYDAJ	VYBER	900	24336	\N	\N	\N
374551	1275	1997-09-19	VYDAJ	VYBER	200	21239	\N	\N	\N
374552	1275	1998-02-16	VYDAJ	VYBER	1300	30234	\N	\N	\N
374553	1275	1998-03-18	VYDAJ	VYBER	1300	32588	\N	\N	\N
374554	1275	1998-04-17	VYDAJ	VYBER	3600	30810	\N	\N	\N
374555	1275	1998-05-17	VYDAJ	VYBER	4300	27852	\N	\N	\N
374556	1275	1998-06-16	VYDAJ	VYBER	3700	24444	\N	\N	\N
374557	1275	1998-07-16	VYDAJ	VYBER	500	26028	\N	\N	\N
374558	1275	1998-09-14	VYDAJ	VYBER	2100	31212	\N	\N	\N
374559	1275	1998-10-14	VYDAJ	VYBER	8900	25971	\N	\N	\N
374560	1275	1998-11-13	VYDAJ	VYBER	4100	24159	\N	\N	\N
374561	1275	1998-12-13	VYDAJ	VYBER	5100	20131	\N	\N	\N
374589	1276	1993-01-07	PRIJEM	VKLAD	400	400	\N	\N	\N
374590	1276	1993-01-08	PRIJEM	VKLAD	6774	7174	\N	\N	\N
374591	1276	1993-02-08	PRIJEM	VKLAD	6774	24571	\N	\N	\N
374592	1276	1993-03-08	PRIJEM	VKLAD	6774	31429	\N	\N	\N
374593	1276	1993-04-08	PRIJEM	VKLAD	6774	32821	\N	\N	\N
374594	1276	1993-05-08	PRIJEM	VKLAD	6774	36628	\N	\N	\N
374595	1276	1993-06-08	PRIJEM	VKLAD	10161	39794	\N	\N	\N
374596	1276	1993-07-08	PRIJEM	VKLAD	6774	35884	\N	\N	\N
374597	1276	1993-08-08	PRIJEM	VKLAD	6774	32664	\N	\N	\N
374598	1276	1993-09-08	PRIJEM	VKLAD	6774	32325	\N	\N	\N
374599	1276	1993-10-08	PRIJEM	VKLAD	6774	34587	\N	\N	\N
374600	1276	1993-11-08	PRIJEM	VKLAD	6774	33174	\N	\N	\N
374601	1276	1993-12-08	PRIJEM	VKLAD	10161	35226	\N	\N	\N
374602	1276	1994-01-08	PRIJEM	VKLAD	6774	33114	\N	\N	\N
374603	1276	1994-02-08	PRIJEM	VKLAD	6774	30772	\N	\N	\N
374604	1276	1994-03-08	PRIJEM	VKLAD	6774	32723	\N	\N	\N
374605	1276	1994-04-08	PRIJEM	VKLAD	6774	26803	\N	\N	\N
374606	1276	1994-05-08	PRIJEM	VKLAD	6774	29751	\N	\N	\N
374607	1276	1994-06-08	PRIJEM	VKLAD	10161	35111	\N	\N	\N
374608	1276	1994-07-08	PRIJEM	VKLAD	6774	34874	\N	\N	\N
374609	1276	1994-08-08	PRIJEM	VKLAD	6774	33846	\N	\N	\N
374610	1276	1994-09-08	PRIJEM	VKLAD	6774	33409	\N	\N	\N
374611	1276	1994-10-08	PRIJEM	VKLAD	6774	33673	\N	\N	\N
374612	1276	1994-11-08	PRIJEM	VKLAD	6774	33592	\N	\N	\N
374613	1276	1994-12-08	PRIJEM	VKLAD	10161	38079	\N	\N	\N
374614	1276	1995-01-08	PRIJEM	VKLAD	6774	35239	\N	\N	\N
374615	1276	1995-02-08	PRIJEM	VKLAD	6774	25848	\N	\N	\N
374616	1276	1995-03-08	PRIJEM	VKLAD	6774	25759	\N	\N	\N
374617	1276	1995-04-08	PRIJEM	VKLAD	6774	26313	\N	\N	\N
374618	1276	1995-05-08	PRIJEM	VKLAD	6774	30849	\N	\N	\N
374619	1276	1995-06-08	PRIJEM	VKLAD	10161	36302	\N	\N	\N
374620	1276	1995-07-08	PRIJEM	VKLAD	6774	34369	\N	\N	\N
374621	1276	1995-08-08	PRIJEM	VKLAD	6774	27819	\N	\N	\N
374622	1276	1995-09-08	PRIJEM	VKLAD	6774	32261	\N	\N	\N
374623	1276	1995-10-08	PRIJEM	VKLAD	6774	31615	\N	\N	\N
374624	1276	1995-11-08	PRIJEM	VKLAD	6774	30566	\N	\N	\N
374625	1276	1995-12-08	PRIJEM	VKLAD	10161	35524	\N	\N	\N
374626	1276	1996-01-08	PRIJEM	VKLAD	6774	30394	\N	\N	\N
374627	1276	1996-02-08	PRIJEM	VKLAD	6774	30170	\N	\N	\N
374628	1276	1996-03-08	PRIJEM	VKLAD	6774	35424	\N	\N	\N
374629	1276	1996-04-08	PRIJEM	VKLAD	6774	38294	\N	\N	\N
374630	1276	1996-05-08	PRIJEM	VKLAD	6774	39875	\N	\N	\N
374631	1276	1996-06-08	PRIJEM	VKLAD	10161	42487	\N	\N	\N
374632	1276	1996-07-08	PRIJEM	VKLAD	6774	35774	\N	\N	\N
374633	1276	1996-08-08	PRIJEM	VKLAD	6774	38627	\N	\N	\N
374634	1276	1996-09-08	PRIJEM	VKLAD	6774	39708	\N	\N	\N
374635	1276	1996-10-08	PRIJEM	VKLAD	6774	40993	\N	\N	\N
374636	1276	1996-11-08	PRIJEM	VKLAD	6774	43486	\N	\N	\N
374637	1276	1996-12-08	PRIJEM	VKLAD	10161	47374	\N	\N	\N
374638	1276	1997-01-08	PRIJEM	VKLAD	6774	41579	\N	\N	\N
374639	1276	1997-02-08	PRIJEM	VKLAD	6774	29640	\N	\N	\N
374640	1276	1997-03-08	PRIJEM	VKLAD	6774	33509	\N	\N	\N
374641	1276	1997-04-08	PRIJEM	VKLAD	6774	38475	\N	\N	\N
374642	1276	1997-05-08	PRIJEM	VKLAD	6774	38552	\N	\N	\N
374643	1276	1997-06-08	PRIJEM	VKLAD	10161	44220	\N	\N	\N
374644	1276	1997-07-08	PRIJEM	VKLAD	6774	41112	\N	\N	\N
374645	1276	1997-08-08	PRIJEM	VKLAD	6774	39376	\N	\N	\N
374646	1276	1997-09-08	PRIJEM	VKLAD	6774	41123	\N	\N	\N
374647	1276	1997-10-08	PRIJEM	VKLAD	6774	41975	\N	\N	\N
374648	1276	1997-11-08	PRIJEM	VKLAD	6774	38183	\N	\N	\N
374649	1276	1997-12-08	PRIJEM	VKLAD	10161	43428	\N	\N	\N
374650	1276	1998-01-08	PRIJEM	VKLAD	6774	29473	\N	\N	\N
374651	1276	1998-02-08	PRIJEM	VKLAD	6774	23457	\N	\N	\N
374652	1276	1998-03-08	PRIJEM	VKLAD	6774	26778	\N	\N	\N
374653	1276	1998-04-08	PRIJEM	VKLAD	6774	29837	\N	\N	\N
374654	1276	1998-05-08	PRIJEM	VKLAD	6774	34086	\N	\N	\N
374655	1276	1998-06-08	PRIJEM	VKLAD	10161	33203	\N	\N	\N
374656	1276	1998-07-08	PRIJEM	VKLAD	6774	25063	\N	\N	\N
374657	1276	1998-08-08	PRIJEM	VKLAD	6774	23279	\N	\N	\N
374658	1276	1998-09-08	PRIJEM	VKLAD	6774	23911	\N	\N	\N
374659	1276	1998-10-08	PRIJEM	VKLAD	6774	24725	\N	\N	\N
374660	1276	1998-11-08	PRIJEM	VKLAD	6774	26838	\N	\N	\N
374661	1276	1998-12-08	PRIJEM	VKLAD	10161	27055	\N	\N	\N
374666	1276	1993-05-08	VYDAJ	PREVOD NA UCET	3839	32789	SIPO	OP	19942432
374667	1276	1993-06-08	VYDAJ	PREVOD NA UCET	3839	35955	SIPO	OP	19942432
374668	1276	1993-07-08	VYDAJ	PREVOD NA UCET	3839	32045	SIPO	OP	19942432
374669	1276	1993-08-08	VYDAJ	PREVOD NA UCET	3839	28825	SIPO	OP	19942432
374670	1276	1993-09-08	VYDAJ	PREVOD NA UCET	3839	28486	SIPO	OP	19942432
374671	1276	1993-10-08	VYDAJ	PREVOD NA UCET	3839	30748	SIPO	OP	19942432
374672	1276	1993-11-08	VYDAJ	PREVOD NA UCET	3839	29335	SIPO	OP	19942432
374673	1276	1993-12-08	VYDAJ	PREVOD NA UCET	3839	31387	SIPO	OP	19942432
374674	1276	1994-01-08	VYDAJ	PREVOD NA UCET	3839	29275	SIPO	OP	19942432
374675	1276	1994-02-08	VYDAJ	PREVOD NA UCET	3839	26933	SIPO	OP	19942432
374676	1276	1994-03-08	VYDAJ	PREVOD NA UCET	3839	28884	SIPO	OP	19942432
374677	1276	1994-04-08	VYDAJ	PREVOD NA UCET	3839	22964	SIPO	OP	19942432
374678	1276	1994-05-08	VYDAJ	PREVOD NA UCET	3839	25912	SIPO	OP	19942432
374679	1276	1994-06-08	VYDAJ	PREVOD NA UCET	3839	31272	SIPO	OP	19942432
374680	1276	1994-07-08	VYDAJ	PREVOD NA UCET	3839	31035	SIPO	OP	19942432
374681	1276	1994-08-08	VYDAJ	PREVOD NA UCET	3839	30007	SIPO	OP	19942432
374682	1276	1994-09-08	VYDAJ	PREVOD NA UCET	3839	29570	SIPO	OP	19942432
374683	1276	1994-10-08	VYDAJ	PREVOD NA UCET	3839	29834	SIPO	OP	19942432
374684	1276	1994-11-08	VYDAJ	PREVOD NA UCET	3839	29753	SIPO	OP	19942432
374685	1276	1994-12-08	VYDAJ	PREVOD NA UCET	3839	34240	SIPO	OP	19942432
374686	1276	1995-01-08	VYDAJ	PREVOD NA UCET	3839	29000	SIPO	OP	19942432
374687	1276	1995-02-08	VYDAJ	PREVOD NA UCET	3839	22009	SIPO	OP	19942432
374688	1276	1995-03-08	VYDAJ	PREVOD NA UCET	3839	21920	SIPO	OP	19942432
374689	1276	1995-04-08	VYDAJ	PREVOD NA UCET	3839	22474	SIPO	OP	19942432
374690	1276	1995-05-08	VYDAJ	PREVOD NA UCET	3839	27010	SIPO	OP	19942432
374691	1276	1995-06-08	VYDAJ	PREVOD NA UCET	3839	32463	SIPO	OP	19942432
374692	1276	1995-07-08	VYDAJ	PREVOD NA UCET	3839	30530	SIPO	OP	19942432
374693	1276	1995-08-08	VYDAJ	PREVOD NA UCET	3839	23980	SIPO	OP	19942432
374694	1276	1995-09-08	VYDAJ	PREVOD NA UCET	3839	28422	SIPO	OP	19942432
374695	1276	1995-10-08	VYDAJ	PREVOD NA UCET	3839	27776	SIPO	OP	19942432
374696	1276	1995-11-08	VYDAJ	PREVOD NA UCET	3839	26727	SIPO	OP	19942432
374697	1276	1995-12-08	VYDAJ	PREVOD NA UCET	3839	31685	SIPO	OP	19942432
374698	1276	1996-01-08	VYDAJ	PREVOD NA UCET	3839	26555	SIPO	OP	19942432
374699	1276	1996-02-08	VYDAJ	PREVOD NA UCET	3839	26331	SIPO	OP	19942432
374700	1276	1996-03-08	VYDAJ	PREVOD NA UCET	3839	31585	SIPO	OP	19942432
374701	1276	1996-04-08	VYDAJ	PREVOD NA UCET	3839	34455	SIPO	OP	19942432
374702	1276	1996-05-08	VYDAJ	PREVOD NA UCET	3839	36036	SIPO	OP	19942432
374703	1276	1996-06-08	VYDAJ	PREVOD NA UCET	3839	38648	SIPO	OP	19942432
374704	1276	1996-07-08	VYDAJ	PREVOD NA UCET	3839	31935	SIPO	OP	19942432
374705	1276	1996-08-08	VYDAJ	PREVOD NA UCET	3839	34788	SIPO	OP	19942432
374706	1276	1996-09-08	VYDAJ	PREVOD NA UCET	3839	35869	SIPO	OP	19942432
374707	1276	1996-10-08	VYDAJ	PREVOD NA UCET	3839	37154	SIPO	OP	19942432
374708	1276	1996-11-08	VYDAJ	PREVOD NA UCET	3839	39647	SIPO	OP	19942432
374709	1276	1996-12-08	VYDAJ	PREVOD NA UCET	3839	43535	SIPO	OP	19942432
374710	1276	1997-01-08	VYDAJ	PREVOD NA UCET	3839	37740	SIPO	OP	19942432
374711	1276	1997-02-08	VYDAJ	PREVOD NA UCET	3839	25801	SIPO	OP	19942432
374712	1276	1997-03-08	VYDAJ	PREVOD NA UCET	3839	29670	SIPO	OP	19942432
374713	1276	1997-04-08	VYDAJ	PREVOD NA UCET	3839	34636	SIPO	OP	19942432
374714	1276	1997-05-08	VYDAJ	PREVOD NA UCET	3839	34713	SIPO	OP	19942432
374715	1276	1997-06-08	VYDAJ	PREVOD NA UCET	3839	40381	SIPO	OP	19942432
374716	1276	1997-07-08	VYDAJ	PREVOD NA UCET	3839	37273	SIPO	OP	19942432
374717	1276	1997-08-08	VYDAJ	PREVOD NA UCET	3839	35537	SIPO	OP	19942432
374718	1276	1997-09-08	VYDAJ	PREVOD NA UCET	3839	37284	SIPO	OP	19942432
374719	1276	1997-10-08	VYDAJ	PREVOD NA UCET	3839	38136	SIPO	OP	19942432
374720	1276	1997-11-08	VYDAJ	PREVOD NA UCET	3839	34344	SIPO	OP	19942432
374721	1276	1997-12-08	VYDAJ	PREVOD NA UCET	3839	39589	SIPO	OP	19942432
374722	1276	1998-01-08	VYDAJ	PREVOD NA UCET	3839	25634	SIPO	OP	19942432
374723	1276	1998-02-08	VYDAJ	PREVOD NA UCET	3839	19618	SIPO	OP	19942432
374724	1276	1998-03-08	VYDAJ	PREVOD NA UCET	3839	22939	SIPO	OP	19942432
374725	1276	1998-04-08	VYDAJ	PREVOD NA UCET	3839	25998	SIPO	OP	19942432
374726	1276	1998-05-08	VYDAJ	PREVOD NA UCET	3839	30247	SIPO	OP	19942432
374727	1276	1998-06-08	VYDAJ	PREVOD NA UCET	3839	29364	SIPO	OP	19942432
374728	1276	1998-07-08	VYDAJ	PREVOD NA UCET	3839	21224	SIPO	OP	19942432
374729	1276	1998-08-08	VYDAJ	PREVOD NA UCET	3839	19440	SIPO	OP	19942432
374730	1276	1998-09-08	VYDAJ	PREVOD NA UCET	3839	18572	SIPO	OP	19942432
374731	1276	1998-10-08	VYDAJ	PREVOD NA UCET	3839	18086	SIPO	OP	19942432
374732	1276	1998-11-08	VYDAJ	PREVOD NA UCET	3839	22999	SIPO	OP	19942432
374733	1276	1998-12-08	VYDAJ	PREVOD NA UCET	3839	23216	SIPO	OP	19942432
374738	1276	1993-05-12	VYDAJ	PREVOD NA UCET	508	32281	 	YZ	87970047
374739	1276	1993-06-12	VYDAJ	PREVOD NA UCET	508	35447	 	YZ	87970047
374740	1276	1993-07-12	VYDAJ	PREVOD NA UCET	508	25897	 	YZ	87970047
374741	1276	1993-08-12	VYDAJ	PREVOD NA UCET	508	28317	 	YZ	87970047
374742	1276	1993-09-12	VYDAJ	PREVOD NA UCET	508	27978	 	YZ	87970047
374743	1276	1993-10-12	VYDAJ	PREVOD NA UCET	508	30240	 	YZ	87970047
374744	1276	1993-11-12	VYDAJ	PREVOD NA UCET	508	28827	 	YZ	87970047
374745	1276	1993-12-12	VYDAJ	PREVOD NA UCET	508	30879	 	YZ	87970047
374746	1276	1994-01-12	VYDAJ	PREVOD NA UCET	508	28767	 	YZ	87970047
374747	1276	1994-02-12	VYDAJ	PREVOD NA UCET	508	26425	 	YZ	87970047
374748	1276	1994-03-12	VYDAJ	PREVOD NA UCET	508	28376	 	YZ	87970047
374749	1276	1994-04-12	VYDAJ	PREVOD NA UCET	508	18976	 	YZ	87970047
374750	1276	1994-05-12	VYDAJ	PREVOD NA UCET	508	25404	 	YZ	87970047
374751	1276	1994-06-12	VYDAJ	PREVOD NA UCET	508	30764	 	YZ	87970047
374752	1276	1994-07-12	VYDAJ	PREVOD NA UCET	508	30527	 	YZ	87970047
374753	1276	1994-08-12	VYDAJ	PREVOD NA UCET	508	29499	 	YZ	87970047
374754	1276	1994-09-12	VYDAJ	PREVOD NA UCET	508	29062	 	YZ	87970047
374755	1276	1994-10-12	VYDAJ	PREVOD NA UCET	508	29326	 	YZ	87970047
374756	1276	1994-11-12	VYDAJ	PREVOD NA UCET	508	29245	 	YZ	87970047
374757	1276	1994-12-12	VYDAJ	PREVOD NA UCET	508	33732	 	YZ	87970047
374758	1276	1995-01-12	VYDAJ	PREVOD NA UCET	508	27652	 	YZ	87970047
374759	1276	1995-02-12	VYDAJ	PREVOD NA UCET	508	21501	 	YZ	87970047
374760	1276	1995-03-12	VYDAJ	PREVOD NA UCET	508	21412	 	YZ	87970047
374761	1276	1995-04-12	VYDAJ	PREVOD NA UCET	508	21966	 	YZ	87970047
374762	1276	1995-05-12	VYDAJ	PREVOD NA UCET	508	26502	 	YZ	87970047
374763	1276	1995-06-12	VYDAJ	PREVOD NA UCET	508	31955	 	YZ	87970047
374764	1276	1995-07-12	VYDAJ	PREVOD NA UCET	508	30022	 	YZ	87970047
374765	1276	1995-08-12	VYDAJ	PREVOD NA UCET	508	23472	 	YZ	87970047
374766	1276	1995-09-12	VYDAJ	PREVOD NA UCET	508	27914	 	YZ	87970047
374767	1276	1995-10-12	VYDAJ	PREVOD NA UCET	508	27268	 	YZ	87970047
374768	1276	1995-11-12	VYDAJ	PREVOD NA UCET	508	26219	 	YZ	87970047
374769	1276	1995-12-12	VYDAJ	PREVOD NA UCET	508	31177	 	YZ	87970047
374770	1276	1996-01-12	VYDAJ	PREVOD NA UCET	508	26047	 	YZ	87970047
374771	1276	1996-02-12	VYDAJ	PREVOD NA UCET	508	25823	 	YZ	87970047
374772	1276	1996-03-12	VYDAJ	PREVOD NA UCET	508	31077	 	YZ	87970047
374773	1276	1996-04-12	VYDAJ	PREVOD NA UCET	508	33947	 	YZ	87970047
374774	1276	1996-05-12	VYDAJ	PREVOD NA UCET	508	35528	 	YZ	87970047
374775	1276	1996-06-12	VYDAJ	PREVOD NA UCET	508	38140	 	YZ	87970047
374776	1276	1996-07-12	VYDAJ	PREVOD NA UCET	508	31427	 	YZ	87970047
374777	1276	1996-08-12	VYDAJ	PREVOD NA UCET	508	34280	 	YZ	87970047
374778	1276	1996-09-12	VYDAJ	PREVOD NA UCET	508	35361	 	YZ	87970047
374779	1276	1996-10-12	VYDAJ	PREVOD NA UCET	508	36646	 	YZ	87970047
374780	1276	1996-11-12	VYDAJ	PREVOD NA UCET	508	39139	 	YZ	87970047
374781	1276	1996-12-12	VYDAJ	PREVOD NA UCET	508	43027	 	YZ	87970047
374782	1276	1997-01-12	VYDAJ	PREVOD NA UCET	508	32072	 	YZ	87970047
374783	1276	1997-02-12	VYDAJ	PREVOD NA UCET	508	25293	 	YZ	87970047
374784	1276	1997-03-12	VYDAJ	PREVOD NA UCET	508	29162	 	YZ	87970047
374785	1276	1997-04-12	VYDAJ	PREVOD NA UCET	508	34128	 	YZ	87970047
374786	1276	1997-05-12	VYDAJ	PREVOD NA UCET	508	34205	 	YZ	87970047
374787	1276	1997-06-12	VYDAJ	PREVOD NA UCET	508	39873	 	YZ	87970047
374788	1276	1997-07-12	VYDAJ	PREVOD NA UCET	508	31725	 	YZ	87970047
374789	1276	1997-08-12	VYDAJ	PREVOD NA UCET	508	35029	 	YZ	87970047
374790	1276	1997-09-12	VYDAJ	PREVOD NA UCET	508	36776	 	YZ	87970047
374791	1276	1997-10-12	VYDAJ	PREVOD NA UCET	508	37628	 	YZ	87970047
374792	1276	1997-11-12	VYDAJ	PREVOD NA UCET	508	34636	 	YZ	87970047
374793	1276	1997-12-12	VYDAJ	PREVOD NA UCET	508	33381	 	YZ	87970047
374794	1276	1998-01-12	VYDAJ	PREVOD NA UCET	508	20866	 	YZ	87970047
374795	1276	1998-02-12	VYDAJ	PREVOD NA UCET	508	20110	 	YZ	87970047
374796	1276	1998-03-12	VYDAJ	PREVOD NA UCET	508	26031	 	YZ	87970047
374797	1276	1998-04-12	VYDAJ	PREVOD NA UCET	508	27390	 	YZ	87970047
374798	1276	1998-05-12	VYDAJ	PREVOD NA UCET	508	25639	 	YZ	87970047
374799	1276	1998-06-12	VYDAJ	PREVOD NA UCET	508	23656	 	YZ	87970047
374800	1276	1998-07-12	VYDAJ	PREVOD NA UCET	508	16616	 	YZ	87970047
374801	1276	1998-08-12	VYDAJ	PREVOD NA UCET	508	18332	 	YZ	87970047
374802	1276	1998-09-12	VYDAJ	PREVOD NA UCET	508	18064	 	YZ	87970047
374803	1276	1998-10-12	VYDAJ	PREVOD NA UCET	508	17578	 	YZ	87970047
374804	1276	1998-11-12	VYDAJ	PREVOD NA UCET	508	22491	 	YZ	87970047
374805	1276	1998-12-12	VYDAJ	PREVOD NA UCET	508	22708	 	YZ	87970047
374811	1276	1993-06-05	VYDAJ	PREVOD NA UCET	169	32233	POJISTNE	AB	23086488
374812	1276	1993-07-05	VYDAJ	PREVOD NA UCET	169	35410	POJISTNE	AB	23086488
374813	1276	1993-08-05	VYDAJ	PREVOD NA UCET	169	25890	POJISTNE	AB	23086488
374814	1276	1993-09-05	VYDAJ	PREVOD NA UCET	169	25551	POJISTNE	AB	23086488
374815	1276	1993-10-05	VYDAJ	PREVOD NA UCET	169	27813	POJISTNE	AB	23086488
374816	1276	1993-11-05	VYDAJ	PREVOD NA UCET	169	26400	POJISTNE	AB	23086488
374817	1276	1993-12-05	VYDAJ	PREVOD NA UCET	169	25065	POJISTNE	AB	23086488
374818	1276	1994-01-05	VYDAJ	PREVOD NA UCET	169	28020	POJISTNE	AB	23086488
374819	1276	1994-02-05	VYDAJ	PREVOD NA UCET	169	23998	POJISTNE	AB	23086488
374820	1276	1994-03-05	VYDAJ	PREVOD NA UCET	169	25949	POJISTNE	AB	23086488
374821	1276	1994-04-05	VYDAJ	PREVOD NA UCET	169	20029	POJISTNE	AB	23086488
374822	1276	1994-05-05	VYDAJ	PREVOD NA UCET	169	22977	POJISTNE	AB	23086488
374823	1276	1994-06-05	VYDAJ	PREVOD NA UCET	169	24950	POJISTNE	AB	23086488
374824	1276	1994-07-05	VYDAJ	PREVOD NA UCET	169	28100	POJISTNE	AB	23086488
374825	1276	1994-08-05	VYDAJ	PREVOD NA UCET	169	27072	POJISTNE	AB	23086488
374826	1276	1994-09-05	VYDAJ	PREVOD NA UCET	169	26635	POJISTNE	AB	23086488
374827	1276	1994-10-05	VYDAJ	PREVOD NA UCET	169	26899	POJISTNE	AB	23086488
374828	1276	1994-11-05	VYDAJ	PREVOD NA UCET	169	26818	POJISTNE	AB	23086488
374829	1276	1994-12-05	VYDAJ	PREVOD NA UCET	169	27918	POJISTNE	AB	23086488
374830	1276	1995-01-05	VYDAJ	PREVOD NA UCET	169	29665	POJISTNE	AB	23086488
374831	1276	1995-02-05	VYDAJ	PREVOD NA UCET	169	19074	POJISTNE	AB	23086488
374832	1276	1995-03-05	VYDAJ	PREVOD NA UCET	169	18985	POJISTNE	AB	23086488
374833	1276	1995-04-05	VYDAJ	PREVOD NA UCET	169	21819	POJISTNE	AB	23086488
374834	1276	1995-05-05	VYDAJ	PREVOD NA UCET	169	24075	POJISTNE	AB	23086488
374835	1276	1995-06-05	VYDAJ	PREVOD NA UCET	169	26141	POJISTNE	AB	23086488
374836	1276	1995-07-05	VYDAJ	PREVOD NA UCET	169	27595	POJISTNE	AB	23086488
374837	1276	1995-08-05	VYDAJ	PREVOD NA UCET	169	21045	POJISTNE	AB	23086488
374838	1276	1995-09-05	VYDAJ	PREVOD NA UCET	169	25487	POJISTNE	AB	23086488
374839	1276	1995-10-05	VYDAJ	PREVOD NA UCET	169	24841	POJISTNE	AB	23086488
374840	1276	1995-11-05	VYDAJ	PREVOD NA UCET	169	23792	POJISTNE	AB	23086488
374841	1276	1995-12-05	VYDAJ	PREVOD NA UCET	169	25363	POJISTNE	AB	23086488
374842	1276	1996-01-05	VYDAJ	PREVOD NA UCET	169	25900	POJISTNE	AB	23086488
374843	1276	1996-02-05	VYDAJ	PREVOD NA UCET	169	23396	POJISTNE	AB	23086488
374844	1276	1996-03-05	VYDAJ	PREVOD NA UCET	169	28650	POJISTNE	AB	23086488
374845	1276	1996-04-05	VYDAJ	PREVOD NA UCET	169	31520	POJISTNE	AB	23086488
374846	1276	1996-05-05	VYDAJ	PREVOD NA UCET	169	33101	POJISTNE	AB	23086488
374847	1276	1996-06-05	VYDAJ	PREVOD NA UCET	169	33286	POJISTNE	AB	23086488
374848	1276	1996-07-05	VYDAJ	PREVOD NA UCET	169	29000	POJISTNE	AB	23086488
374849	1276	1996-08-05	VYDAJ	PREVOD NA UCET	169	31853	POJISTNE	AB	23086488
374850	1276	1996-09-05	VYDAJ	PREVOD NA UCET	169	32934	POJISTNE	AB	23086488
374851	1276	1996-10-05	VYDAJ	PREVOD NA UCET	169	34219	POJISTNE	AB	23086488
374852	1276	1996-11-05	VYDAJ	PREVOD NA UCET	169	36712	POJISTNE	AB	23086488
374853	1276	1996-12-05	VYDAJ	PREVOD NA UCET	169	37213	POJISTNE	AB	23086488
374854	1276	1997-01-05	VYDAJ	PREVOD NA UCET	169	34805	POJISTNE	AB	23086488
374855	1276	1997-02-05	VYDAJ	PREVOD NA UCET	169	22866	POJISTNE	AB	23086488
374856	1276	1997-03-05	VYDAJ	PREVOD NA UCET	169	26735	POJISTNE	AB	23086488
374857	1276	1997-04-05	VYDAJ	PREVOD NA UCET	169	31701	POJISTNE	AB	23086488
374858	1276	1997-05-05	VYDAJ	PREVOD NA UCET	169	31778	POJISTNE	AB	23086488
374859	1276	1997-06-05	VYDAJ	PREVOD NA UCET	169	34059	POJISTNE	AB	23086488
374860	1276	1997-07-05	VYDAJ	PREVOD NA UCET	169	34338	POJISTNE	AB	23086488
374861	1276	1997-08-05	VYDAJ	PREVOD NA UCET	169	32602	POJISTNE	AB	23086488
374862	1276	1997-09-05	VYDAJ	PREVOD NA UCET	169	34349	POJISTNE	AB	23086488
374863	1276	1997-10-05	VYDAJ	PREVOD NA UCET	169	35201	POJISTNE	AB	23086488
374864	1276	1997-11-05	VYDAJ	PREVOD NA UCET	169	31409	POJISTNE	AB	23086488
374865	1276	1997-12-05	VYDAJ	PREVOD NA UCET	169	33267	POJISTNE	AB	23086488
374866	1276	1998-01-05	VYDAJ	PREVOD NA UCET	169	22699	POJISTNE	AB	23086488
374867	1276	1998-02-05	VYDAJ	PREVOD NA UCET	169	16683	POJISTNE	AB	23086488
374868	1276	1998-03-05	VYDAJ	PREVOD NA UCET	169	20004	POJISTNE	AB	23086488
374869	1276	1998-04-05	VYDAJ	PREVOD NA UCET	169	23063	POJISTNE	AB	23086488
374870	1276	1998-05-05	VYDAJ	PREVOD NA UCET	169	27312	POJISTNE	AB	23086488
374871	1276	1998-06-05	VYDAJ	PREVOD NA UCET	169	23042	POJISTNE	AB	23086488
374872	1276	1998-07-05	VYDAJ	PREVOD NA UCET	169	18289	POJISTNE	AB	23086488
374873	1276	1998-08-05	VYDAJ	PREVOD NA UCET	169	16505	POJISTNE	AB	23086488
374874	1276	1998-09-05	VYDAJ	PREVOD NA UCET	169	17137	POJISTNE	AB	23086488
374875	1276	1998-10-05	VYDAJ	PREVOD NA UCET	169	17951	POJISTNE	AB	23086488
374876	1276	1998-11-05	VYDAJ	PREVOD NA UCET	169	17464	POJISTNE	AB	23086488
374877	1276	1998-12-05	VYDAJ	PREVOD NA UCET	169	22394	POJISTNE	AB	23086488
374881	1276	1996-06-24	VYDAJ	VYBER	5600	29040	\N	\N	\N
374885	1276	1994-01-27	VYDAJ	VYBER	1760	22567	\N	\N	\N
374886	1276	1995-01-22	VYDAJ	VYBER	10880	15452	\N	\N	\N
374888	1276	1997-01-15	VYDAJ	VYBER	6400	25672	\N	\N	\N
374889	1276	1998-01-01	VYDAJ	VYBER	8960	24548	\N	\N	\N
374896	1276	1994-01-07	VYDAJ	VYBER	600	27420	\N	\N	\N
374897	1276	1994-01-07	VYDAJ	VYBER	1080	26340	\N	\N	\N
374898	1276	1994-01-24	VYDAJ	VYBER	600	26727	\N	\N	\N
374899	1276	1994-01-26	VYDAJ	VYBER	720	24327	\N	\N	\N
374900	1276	1994-01-15	VYDAJ	VYBER	1440	27327	\N	\N	\N
374901	1276	1994-01-25	VYDAJ	VYBER	1680	25047	\N	\N	\N
374902	1276	1995-01-30	VYDAJ	VYBER	3000	19152	\N	\N	\N
374903	1276	1995-01-19	VYDAJ	VYBER	1320	26332	\N	\N	\N
374904	1276	1995-01-08	VYDAJ	VYBER	2400	32839	\N	\N	\N
374905	1276	1995-01-01	VYDAJ	VYBER	2520	29834	\N	\N	\N
374907	1276	1995-01-09	VYDAJ	VYBER	840	28160	\N	\N	\N
374908	1276	1996-01-05	VYDAJ	VYBER	2160	28829	\N	\N	\N
374909	1276	1996-01-26	VYDAJ	VYBER	1680	23467	\N	\N	\N
374910	1276	1996-01-05	VYDAJ	VYBER	2760	26069	\N	\N	\N
374911	1276	1996-01-26	VYDAJ	VYBER	2760	25147	\N	\N	\N
374912	1276	1996-01-07	VYDAJ	VYBER	2280	23620	\N	\N	\N
374913	1276	1996-01-12	VYDAJ	VYBER	840	25207	\N	\N	\N
374914	1276	1997-01-10	VYDAJ	VYBER	2040	32580	\N	\N	\N
374915	1276	1997-01-17	VYDAJ	VYBER	2520	24252	\N	\N	\N
374916	1276	1997-01-09	VYDAJ	VYBER	2400	34620	\N	\N	\N
374917	1276	1997-01-04	VYDAJ	VYBER	3000	34974	\N	\N	\N
374918	1276	1997-01-21	VYDAJ	VYBER	1320	22932	\N	\N	\N
374919	1276	1997-01-08	VYDAJ	VYBER	720	37020	\N	\N	\N
374920	1276	1998-01-15	VYDAJ	VYBER	1920	16786	\N	\N	\N
374921	1276	1998-01-15	VYDAJ	VYBER	2160	18706	\N	\N	\N
374922	1276	1998-01-11	VYDAJ	VYBER	1080	24254	\N	\N	\N
374923	1276	1998-01-02	VYDAJ	VYBER	1680	22868	\N	\N	\N
374925	1276	1998-01-12	VYDAJ	VYBER	2880	21374	\N	\N	\N
374926	1276	1993-11-01	VYDAJ	VYBER	2280	28069	\N	\N	\N
374928	1276	1993-07-11	VYDAJ	VYBER	5640	26405	\N	\N	\N
374929	1276	1993-07-26	VYDAJ	VYBER	840	25057	\N	\N	\N
374930	1276	1993-12-15	VYDAJ	VYBER	1200	29679	\N	\N	\N
374931	1276	1994-04-10	VYDAJ	VYBER	3480	19484	\N	\N	\N
374932	1276	1994-11-16	VYDAJ	VYBER	2760	26485	\N	\N	\N
374933	1276	1994-10-20	VYDAJ	VYBER	2640	26686	\N	\N	\N
374934	1276	1994-05-14	VYDAJ	VYBER	5160	20244	\N	\N	\N
374935	1276	1994-04-04	VYDAJ	VYBER	5520	20198	\N	\N	\N
374936	1276	1994-03-17	VYDAJ	VYBER	960	27416	\N	\N	\N
374937	1276	1995-12-04	VYDAJ	VYBER	2280	25532	\N	\N	\N
374938	1276	1995-07-15	VYDAJ	VYBER	3120	26902	\N	\N	\N
374939	1276	1995-01-07	VYDAJ	VYBER	1200	28465	\N	\N	\N
374940	1276	1995-05-16	VYDAJ	VYBER	3480	23022	\N	\N	\N
374941	1276	1995-04-07	VYDAJ	VYBER	2280	19539	\N	\N	\N
374942	1276	1995-03-01	VYDAJ	VYBER	3720	19154	\N	\N	\N
374943	1276	1995-07-20	VYDAJ	VYBER	5880	21022	\N	\N	\N
374944	1276	1996-07-16	VYDAJ	VYBER	1320	30107	\N	\N	\N
374945	1276	1996-06-07	VYDAJ	VYBER	960	32326	\N	\N	\N
374946	1276	1997-08-01	VYDAJ	VYBER	2280	32771	\N	\N	\N
374947	1276	1997-02-14	VYDAJ	VYBER	3480	21813	\N	\N	\N
374948	1276	1997-07-10	VYDAJ	VYBER	5040	32233	\N	\N	\N
374949	1276	1997-10-27	VYDAJ	VYBER	4680	31448	\N	\N	\N
374950	1276	1997-09-21	VYDAJ	VYBER	3240	35236	\N	\N	\N
374951	1276	1997-08-15	VYDAJ	VYBER	1440	34389	\N	\N	\N
374952	1276	1997-11-14	VYDAJ	VYBER	1320	33316	\N	\N	\N
374953	1276	1998-06-04	VYDAJ	VYBER	1920	23211	\N	\N	\N
374954	1276	1998-05-24	VYDAJ	VYBER	600	25039	\N	\N	\N
374955	1276	1998-08-16	VYDAJ	VYBER	1080	17252	\N	\N	\N
374956	1276	1998-03-25	VYDAJ	VYBER	2880	23151	\N	\N	\N
374958	1276	1998-07-01	VYDAJ	VYBER	5280	18458	\N	\N	\N
374965	1276	1993-05-31	VYDAJ	VYBER	15	32402	SLUZBY	\N	\N
374966	1276	1993-06-30	VYDAJ	VYBER	15	35579	SLUZBY	\N	\N
374967	1276	1993-07-31	VYDAJ	VYBER	15	25159	SLUZBY	\N	\N
374968	1276	1993-08-31	VYDAJ	VYBER	15	28420	SLUZBY	\N	\N
374969	1276	1993-09-30	VYDAJ	VYBER	15	28082	SLUZBY	\N	\N
374970	1276	1993-10-31	VYDAJ	VYBER	15	30349	SLUZBY	\N	\N
374971	1276	1993-11-30	VYDAJ	VYBER	15	28934	SLUZBY	\N	\N
374972	1276	1993-12-31	VYDAJ	VYBER	15	29789	SLUZBY	\N	\N
374973	1276	1994-01-31	VYDAJ	VYBER	15	22667	SLUZBY	\N	\N
374974	1276	1994-02-28	VYDAJ	VYBER	15	26518	SLUZBY	\N	\N
374975	1276	1994-03-31	VYDAJ	VYBER	15	27518	SLUZBY	\N	\N
374976	1276	1994-04-30	VYDAJ	VYBER	15	19046	SLUZBY	\N	\N
374977	1276	1994-05-31	VYDAJ	VYBER	15	20319	SLUZBY	\N	\N
374978	1276	1994-06-30	VYDAJ	VYBER	15	30869	SLUZBY	\N	\N
374979	1276	1994-07-31	VYDAJ	VYBER	15	30641	SLUZBY	\N	\N
374980	1276	1994-08-31	VYDAJ	VYBER	15	26804	SLUZBY	\N	\N
374981	1276	1994-09-30	VYDAJ	VYBER	15	27068	SLUZBY	\N	\N
374982	1276	1994-10-31	VYDAJ	VYBER	15	26987	SLUZBY	\N	\N
374983	1276	1994-11-30	VYDAJ	VYBER	15	28087	SLUZBY	\N	\N
374984	1276	1994-12-31	VYDAJ	VYBER	15	32354	SLUZBY	\N	\N
374985	1276	1995-01-31	VYDAJ	VYBER	15	19243	SLUZBY	\N	\N
374986	1276	1995-02-28	VYDAJ	VYBER	15	22874	SLUZBY	\N	\N
374987	1276	1995-03-31	VYDAJ	VYBER	15	21988	SLUZBY	\N	\N
374988	1276	1995-04-30	VYDAJ	VYBER	15	24244	SLUZBY	\N	\N
374989	1276	1995-05-31	VYDAJ	VYBER	15	26310	SLUZBY	\N	\N
374990	1276	1995-06-30	VYDAJ	VYBER	15	27764	SLUZBY	\N	\N
374991	1276	1995-07-31	VYDAJ	VYBER	15	21214	SLUZBY	\N	\N
374992	1276	1995-08-31	VYDAJ	VYBER	15	25656	SLUZBY	\N	\N
374993	1276	1995-09-30	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
374994	1276	1995-10-31	VYDAJ	VYBER	15	23961	SLUZBY	\N	\N
374995	1276	1995-11-30	VYDAJ	VYBER	15	27812	SLUZBY	\N	\N
374996	1276	1995-12-31	VYDAJ	VYBER	15	30989	SLUZBY	\N	\N
374997	1276	1996-01-31	VYDAJ	VYBER	15	23565	SLUZBY	\N	\N
374998	1276	1996-02-29	VYDAJ	VYBER	15	28819	SLUZBY	\N	\N
374999	1276	1996-03-31	VYDAJ	VYBER	15	31689	SLUZBY	\N	\N
375000	1276	1996-04-30	VYDAJ	VYBER	15	33270	SLUZBY	\N	\N
375001	1276	1996-05-31	VYDAJ	VYBER	15	33455	SLUZBY	\N	\N
375002	1276	1996-06-30	VYDAJ	VYBER	15	29169	SLUZBY	\N	\N
375003	1276	1996-07-31	VYDAJ	VYBER	15	32022	SLUZBY	\N	\N
375004	1276	1996-08-31	VYDAJ	VYBER	15	33103	SLUZBY	\N	\N
375005	1276	1996-09-30	VYDAJ	VYBER	15	34388	SLUZBY	\N	\N
375006	1276	1996-10-31	VYDAJ	VYBER	15	36881	SLUZBY	\N	\N
375007	1276	1996-11-30	VYDAJ	VYBER	15	37382	SLUZBY	\N	\N
375008	1276	1996-12-31	VYDAJ	VYBER	15	37974	SLUZBY	\N	\N
375009	1276	1997-01-31	VYDAJ	VYBER	15	23035	SLUZBY	\N	\N
375010	1276	1997-02-28	VYDAJ	VYBER	15	26904	SLUZBY	\N	\N
375011	1276	1997-03-31	VYDAJ	VYBER	15	31870	SLUZBY	\N	\N
375012	1276	1997-04-30	VYDAJ	VYBER	15	31947	SLUZBY	\N	\N
375013	1276	1997-05-31	VYDAJ	VYBER	15	34228	SLUZBY	\N	\N
375014	1276	1997-06-30	VYDAJ	VYBER	15	34507	SLUZBY	\N	\N
375015	1276	1997-07-31	VYDAJ	VYBER	15	35051	SLUZBY	\N	\N
375016	1276	1997-08-31	VYDAJ	VYBER	15	34518	SLUZBY	\N	\N
375017	1276	1997-09-30	VYDAJ	VYBER	15	35370	SLUZBY	\N	\N
375018	1276	1997-10-31	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
375019	1276	1997-11-30	VYDAJ	VYBER	15	33436	SLUZBY	\N	\N
375020	1276	1997-12-31	VYDAJ	VYBER	15	33508	SLUZBY	\N	\N
375021	1276	1998-01-31	VYDAJ	VYBER	15	16852	SLUZBY	\N	\N
375022	1276	1998-02-28	VYDAJ	VYBER	15	20173	SLUZBY	\N	\N
375023	1276	1998-03-31	VYDAJ	VYBER	15	23232	SLUZBY	\N	\N
375024	1276	1998-04-30	VYDAJ	VYBER	15	27481	SLUZBY	\N	\N
375025	1276	1998-05-31	VYDAJ	VYBER	15	25131	SLUZBY	\N	\N
375026	1276	1998-06-30	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
375027	1276	1998-07-31	VYDAJ	VYBER	15	16674	SLUZBY	\N	\N
375028	1276	1998-08-31	VYDAJ	VYBER	15	17306	SLUZBY	\N	\N
375029	1276	1998-09-30	VYDAJ	VYBER	15	18120	SLUZBY	\N	\N
375030	1276	1998-10-31	VYDAJ	VYBER	15	17633	SLUZBY	\N	\N
375031	1276	1998-11-30	VYDAJ	VYBER	15	22563	SLUZBY	\N	\N
375032	1276	1993-02-06	PRIJEM	VKLAD	10600	17797	\N	\N	\N
375033	1276	1993-03-08	VYDAJ	VYBER	2200	29229	\N	\N	\N
375034	1276	1993-04-07	VYDAJ	VYBER	3300	26047	\N	\N	\N
375035	1276	1993-05-07	VYDAJ	VYBER	3100	29854	\N	\N	\N
375036	1276	1993-06-06	VYDAJ	VYBER	2600	29633	\N	\N	\N
375037	1276	1993-07-06	VYDAJ	VYBER	6300	29110	\N	\N	\N
375038	1276	1993-08-05	PRIJEM	VKLAD	900	26059	\N	\N	\N
375039	1276	1993-09-04	VYDAJ	VYBER	2700	25720	\N	\N	\N
375040	1276	1993-10-04	VYDAJ	VYBER	100	27982	\N	\N	\N
375041	1276	1993-11-03	VYDAJ	VYBER	1500	26569	\N	\N	\N
375042	1276	1993-12-03	VYDAJ	VYBER	3700	25234	\N	\N	\N
375043	1276	1994-01-02	VYDAJ	VYBER	1600	28189	\N	\N	\N
375044	1276	1994-02-01	PRIJEM	VKLAD	1500	24167	\N	\N	\N
375045	1276	1994-03-03	VYDAJ	VYBER	400	26118	\N	\N	\N
375046	1276	1994-04-02	VYDAJ	VYBER	1800	25718	\N	\N	\N
375047	1276	1994-05-02	PRIJEM	VKLAD	4100	23146	\N	\N	\N
375048	1276	1994-06-01	PRIJEM	VKLAD	4800	25119	\N	\N	\N
375049	1276	1994-07-01	VYDAJ	VYBER	2600	28269	\N	\N	\N
375050	1276	1994-07-31	VYDAJ	VYBER	3400	27241	\N	\N	\N
375051	1276	1994-08-30	VYDAJ	VYBER	2800	26699	\N	\N	\N
375052	1276	1994-09-29	VYDAJ	VYBER	2100	26962	\N	\N	\N
375053	1276	1994-10-29	PRIJEM	VKLAD	200	26886	\N	\N	\N
375054	1276	1994-11-28	PRIJEM	VKLAD	1500	27985	\N	\N	\N
375055	1276	1994-12-28	VYDAJ	VYBER	1500	32232	\N	\N	\N
375056	1276	1995-01-27	PRIJEM	VKLAD	6700	22152	\N	\N	\N
375057	1276	1995-02-26	PRIJEM	VKLAD	1300	22801	\N	\N	\N
375058	1276	1995-03-28	PRIJEM	VKLAD	500	21912	\N	\N	\N
375059	1276	1995-04-27	PRIJEM	VKLAD	2200	24166	\N	\N	\N
375060	1276	1995-05-27	PRIJEM	VKLAD	3200	26222	\N	\N	\N
375061	1276	1995-06-26	VYDAJ	VYBER	4300	27655	\N	\N	\N
375062	1276	1995-07-26	PRIJEM	VKLAD	100	21122	\N	\N	\N
375063	1276	1995-08-25	PRIJEM	VKLAD	2100	25572	\N	\N	\N
375064	1276	1995-09-24	VYDAJ	VYBER	3000	24914	\N	\N	\N
375065	1276	1995-10-24	VYDAJ	VYBER	3400	23868	\N	\N	\N
375066	1276	1995-11-23	PRIJEM	VKLAD	1500	27719	\N	\N	\N
375067	1276	1995-12-23	VYDAJ	VYBER	300	30877	\N	\N	\N
375068	1276	1996-01-22	PRIJEM	VKLAD	2700	27907	\N	\N	\N
375069	1276	1996-02-21	PRIJEM	VKLAD	2900	28723	\N	\N	\N
375070	1276	1996-03-22	PRIJEM	VKLAD	500	31577	\N	\N	\N
375071	1276	1996-04-21	VYDAJ	VYBER	800	33147	\N	\N	\N
375072	1276	1996-05-21	VYDAJ	VYBER	2200	33328	\N	\N	\N
375073	1276	1996-06-20	VYDAJ	VYBER	3500	34640	\N	\N	\N
375074	1276	1996-07-20	PRIJEM	VKLAD	1800	31907	\N	\N	\N
375075	1276	1996-08-19	VYDAJ	VYBER	1300	32980	\N	\N	\N
375076	1276	1996-09-18	VYDAJ	VYBER	1100	34261	\N	\N	\N
375077	1276	1996-10-18	PRIJEM	VKLAD	100	36746	\N	\N	\N
375078	1276	1996-11-17	VYDAJ	VYBER	1900	37239	\N	\N	\N
375079	1276	1996-12-17	VYDAJ	VYBER	5200	37827	\N	\N	\N
375080	1276	1997-01-16	PRIJEM	VKLAD	1100	26772	\N	\N	\N
375081	1276	1997-02-15	PRIJEM	VKLAD	5000	26813	\N	\N	\N
375082	1276	1997-03-17	PRIJEM	VKLAD	2600	31762	\N	\N	\N
375083	1276	1997-04-16	VYDAJ	VYBER	2300	31828	\N	\N	\N
375084	1276	1997-05-16	VYDAJ	VYBER	100	34105	\N	\N	\N
375085	1276	1997-06-15	VYDAJ	VYBER	5500	34373	\N	\N	\N
375086	1276	1997-07-15	PRIJEM	VKLAD	3200	34925	\N	\N	\N
375087	1276	1997-08-14	PRIJEM	VKLAD	800	35829	\N	\N	\N
375088	1276	1997-09-13	PRIJEM	VKLAD	1700	38476	\N	\N	\N
375089	1276	1997-10-13	VYDAJ	VYBER	1500	36128	\N	\N	\N
375090	1276	1997-11-12	PRIJEM	VKLAD	800	35144	\N	\N	\N
375091	1276	1997-12-12	VYDAJ	VYBER	5700	33889	\N	\N	\N
375092	1276	1998-01-11	VYDAJ	VYBER	300	25334	\N	\N	\N
375093	1276	1998-02-10	PRIJEM	VKLAD	1000	20618	\N	\N	\N
375094	1276	1998-03-12	PRIJEM	VKLAD	3600	26539	\N	\N	\N
375095	1276	1998-04-11	PRIJEM	VKLAD	1900	27898	\N	\N	\N
375096	1276	1998-05-11	VYDAJ	VYBER	4100	26147	\N	\N	\N
375097	1276	1998-06-10	VYDAJ	VYBER	5200	24164	\N	\N	\N
375098	1276	1998-07-10	VYDAJ	VYBER	4100	17124	\N	\N	\N
375099	1276	1998-08-09	VYDAJ	VYBER	600	18840	\N	\N	\N
375100	1276	1998-09-08	VYDAJ	VYBER	1500	22411	\N	\N	\N
375101	1276	1998-10-08	VYDAJ	VYBER	2800	21925	\N	\N	\N
375102	1276	1998-11-07	PRIJEM	VKLAD	2600	20064	\N	\N	\N
375103	1276	1998-12-07	VYDAJ	VYBER	5500	16894	\N	\N	\N
375176	1277	1993-06-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
375183	1277	1993-07-09	PRIJEM	PREVOD Z UCTU	6248	7248	DUCHOD	IJ	36786365
375184	1277	1993-08-09	PRIJEM	PREVOD Z UCTU	6248	13496	DUCHOD	IJ	36786365
375185	1277	1993-09-09	PRIJEM	PREVOD Z UCTU	6248	19744	DUCHOD	IJ	36786365
375186	1277	1993-10-09	PRIJEM	PREVOD Z UCTU	6248	25928	DUCHOD	IJ	36786365
375187	1277	1993-11-09	PRIJEM	PREVOD Z UCTU	6248	30466	DUCHOD	IJ	36786365
375188	1277	1993-12-09	PRIJEM	PREVOD Z UCTU	6248	29329	DUCHOD	IJ	36786365
375189	1277	1994-01-09	PRIJEM	PREVOD Z UCTU	6248	27096	DUCHOD	IJ	36786365
375190	1277	1994-02-09	PRIJEM	PREVOD Z UCTU	6248	18782	DUCHOD	IJ	36786365
375191	1277	1994-03-09	PRIJEM	PREVOD Z UCTU	6248	21915	DUCHOD	IJ	36786365
375192	1277	1994-04-09	PRIJEM	PREVOD Z UCTU	6248	25062	DUCHOD	IJ	36786365
375193	1277	1994-05-09	PRIJEM	PREVOD Z UCTU	6248	27720	DUCHOD	IJ	36786365
375194	1277	1994-06-09	PRIJEM	PREVOD Z UCTU	6248	21487	DUCHOD	IJ	36786365
375195	1277	1994-07-09	PRIJEM	PREVOD Z UCTU	6248	16062	DUCHOD	IJ	36786365
375196	1277	1994-08-09	PRIJEM	PREVOD Z UCTU	6248	16377	DUCHOD	IJ	36786365
375197	1277	1994-09-09	PRIJEM	PREVOD Z UCTU	6248	19500	DUCHOD	IJ	36786365
375198	1277	1994-10-09	PRIJEM	PREVOD Z UCTU	6248	22636	DUCHOD	IJ	36786365
375199	1277	1994-11-09	PRIJEM	PREVOD Z UCTU	6248	25786	DUCHOD	IJ	36786365
375200	1277	1994-12-09	PRIJEM	PREVOD Z UCTU	6248	26265	DUCHOD	IJ	36786365
375201	1277	1995-01-09	PRIJEM	PREVOD Z UCTU	6248	20097	DUCHOD	IJ	36786365
375202	1277	1995-02-09	PRIJEM	PREVOD Z UCTU	6248	19634	DUCHOD	IJ	36786365
375203	1277	1995-03-09	PRIJEM	PREVOD Z UCTU	6248	22771	DUCHOD	IJ	36786365
375204	1277	1995-04-09	PRIJEM	PREVOD Z UCTU	6248	25200	DUCHOD	IJ	36786365
375205	1277	1995-05-09	PRIJEM	PREVOD Z UCTU	6248	24637	DUCHOD	IJ	36786365
375206	1277	1995-06-09	PRIJEM	PREVOD Z UCTU	6248	19346	DUCHOD	IJ	36786365
375207	1277	1995-07-09	PRIJEM	PREVOD Z UCTU	6248	22486	DUCHOD	IJ	36786365
375208	1277	1995-08-09	PRIJEM	PREVOD Z UCTU	6248	25634	DUCHOD	IJ	36786365
375209	1277	1995-09-09	PRIJEM	PREVOD Z UCTU	6248	27795	DUCHOD	IJ	36786365
375210	1277	1995-10-09	PRIJEM	PREVOD Z UCTU	6248	28163	DUCHOD	IJ	36786365
375211	1277	1995-11-09	PRIJEM	PREVOD Z UCTU	6248	31335	DUCHOD	IJ	36786365
375212	1277	1995-12-09	PRIJEM	PREVOD Z UCTU	6248	30220	DUCHOD	IJ	36786365
375213	1277	1996-01-09	PRIJEM	PREVOD Z UCTU	6248	29403	DUCHOD	IJ	36786365
375214	1277	1996-02-09	PRIJEM	PREVOD Z UCTU	6248	26252	DUCHOD	IJ	36786365
375215	1277	1996-03-09	PRIJEM	PREVOD Z UCTU	6248	29416	DUCHOD	IJ	36786365
375216	1277	1996-04-09	PRIJEM	PREVOD Z UCTU	6248	30493	DUCHOD	IJ	36786365
375217	1277	1996-05-09	PRIJEM	PREVOD Z UCTU	6248	28667	DUCHOD	IJ	36786365
375218	1277	1996-06-09	PRIJEM	PREVOD Z UCTU	6248	29740	DUCHOD	IJ	36786365
375219	1277	1996-07-09	PRIJEM	PREVOD Z UCTU	6248	29019	DUCHOD	IJ	36786365
375220	1277	1996-08-09	PRIJEM	PREVOD Z UCTU	6248	26095	DUCHOD	IJ	36786365
375221	1277	1996-09-09	PRIJEM	PREVOD Z UCTU	6248	28061	DUCHOD	IJ	36786365
375222	1277	1996-10-09	PRIJEM	PREVOD Z UCTU	6248	31232	DUCHOD	IJ	36786365
375223	1277	1996-11-09	PRIJEM	PREVOD Z UCTU	6248	28016	DUCHOD	IJ	36786365
375224	1277	1996-12-09	PRIJEM	PREVOD Z UCTU	6248	26390	DUCHOD	IJ	36786365
375225	1277	1997-01-09	PRIJEM	PREVOD Z UCTU	6248	27102	DUCHOD	IJ	36786365
375226	1277	1997-02-09	PRIJEM	PREVOD Z UCTU	6248	18576	DUCHOD	IJ	36786365
375227	1277	1997-03-09	PRIJEM	PREVOD Z UCTU	6248	21707	DUCHOD	IJ	36786365
375228	1277	1997-04-09	PRIJEM	PREVOD Z UCTU	6248	20264	DUCHOD	IJ	36786365
375229	1277	1997-05-09	PRIJEM	PREVOD Z UCTU	6248	20044	DUCHOD	IJ	36786365
375230	1277	1997-06-09	PRIJEM	PREVOD Z UCTU	6248	20057	DUCHOD	IJ	36786365
375231	1277	1997-07-09	PRIJEM	PREVOD Z UCTU	6248	21994	DUCHOD	IJ	36786365
375232	1277	1997-08-09	PRIJEM	PREVOD Z UCTU	6248	24439	DUCHOD	IJ	36786365
375233	1277	1997-09-09	PRIJEM	PREVOD Z UCTU	6248	25593	DUCHOD	IJ	36786365
375234	1277	1997-10-09	PRIJEM	PREVOD Z UCTU	6248	24450	DUCHOD	IJ	36786365
375235	1277	1997-11-09	PRIJEM	PREVOD Z UCTU	6248	20979	DUCHOD	IJ	36786365
375236	1277	1997-12-09	PRIJEM	PREVOD Z UCTU	6248	24120	DUCHOD	IJ	36786365
375237	1277	1998-01-09	PRIJEM	PREVOD Z UCTU	6248	19187	DUCHOD	IJ	36786365
375238	1277	1998-02-09	PRIJEM	PREVOD Z UCTU	6248	20075	DUCHOD	IJ	36786365
375239	1277	1998-03-09	PRIJEM	PREVOD Z UCTU	6248	23211	DUCHOD	IJ	36786365
375240	1277	1998-04-09	PRIJEM	PREVOD Z UCTU	6248	21077	DUCHOD	IJ	36786365
375241	1277	1998-05-09	PRIJEM	PREVOD Z UCTU	6248	20914	DUCHOD	IJ	36786365
375242	1277	1998-06-09	PRIJEM	PREVOD Z UCTU	6248	18049	DUCHOD	IJ	36786365
375243	1277	1998-07-09	PRIJEM	PREVOD Z UCTU	6248	21176	DUCHOD	IJ	36786365
375244	1277	1998-08-09	PRIJEM	PREVOD Z UCTU	6248	24317	DUCHOD	IJ	36786365
375245	1277	1998-09-09	PRIJEM	PREVOD Z UCTU	6248	20362	DUCHOD	IJ	36786365
375246	1277	1998-10-09	PRIJEM	PREVOD Z UCTU	6248	21738	DUCHOD	IJ	36786365
375247	1277	1998-11-09	PRIJEM	PREVOD Z UCTU	6248	24781	DUCHOD	IJ	36786365
375248	1277	1998-12-09	PRIJEM	PREVOD Z UCTU	6248	22207	DUCHOD	IJ	36786365
375260	1277	1993-12-06	VYDAJ	PREVOD NA UCET	3175	23081	SIPO	OP	2533764
375261	1277	1994-01-06	VYDAJ	PREVOD NA UCET	3175	20848	SIPO	OP	2533764
375262	1277	1994-02-06	VYDAJ	PREVOD NA UCET	3175	12534	SIPO	OP	2533764
375263	1277	1994-03-06	VYDAJ	PREVOD NA UCET	3175	15667	SIPO	OP	2533764
375264	1277	1994-04-06	VYDAJ	PREVOD NA UCET	3175	18814	SIPO	OP	2533764
375265	1277	1994-05-06	VYDAJ	PREVOD NA UCET	3175	21472	SIPO	OP	2533764
375266	1277	1994-06-06	VYDAJ	PREVOD NA UCET	3175	15239	SIPO	OP	2533764
375267	1277	1994-07-06	VYDAJ	PREVOD NA UCET	3175	9814	SIPO	OP	2533764
375268	1277	1994-08-06	VYDAJ	PREVOD NA UCET	3175	10129	SIPO	OP	2533764
375269	1277	1994-09-06	VYDAJ	PREVOD NA UCET	3175	13252	SIPO	OP	2533764
375270	1277	1994-10-06	VYDAJ	PREVOD NA UCET	3175	16388	SIPO	OP	2533764
375271	1277	1994-11-06	VYDAJ	PREVOD NA UCET	3175	19538	SIPO	OP	2533764
375272	1277	1994-12-06	VYDAJ	PREVOD NA UCET	3175	20017	SIPO	OP	2533764
375273	1277	1995-01-06	VYDAJ	PREVOD NA UCET	3175	14999	SIPO	OP	2533764
375274	1277	1995-02-06	VYDAJ	PREVOD NA UCET	3175	13386	SIPO	OP	2533764
375275	1277	1995-03-06	VYDAJ	PREVOD NA UCET	3175	16523	SIPO	OP	2533764
375276	1277	1995-04-06	VYDAJ	PREVOD NA UCET	3175	18952	SIPO	OP	2533764
375277	1277	1995-05-06	VYDAJ	PREVOD NA UCET	3175	21109	SIPO	OP	2533764
375278	1277	1995-06-06	VYDAJ	PREVOD NA UCET	3175	13098	SIPO	OP	2533764
375279	1277	1995-07-06	VYDAJ	PREVOD NA UCET	3175	16238	SIPO	OP	2533764
375280	1277	1995-08-06	VYDAJ	PREVOD NA UCET	3175	19386	SIPO	OP	2533764
375281	1277	1995-09-06	VYDAJ	PREVOD NA UCET	3175	21547	SIPO	OP	2533764
375282	1277	1995-10-06	VYDAJ	PREVOD NA UCET	3175	21915	SIPO	OP	2533764
375283	1277	1995-11-06	VYDAJ	PREVOD NA UCET	3175	25087	SIPO	OP	2533764
375284	1277	1995-12-06	VYDAJ	PREVOD NA UCET	3175	28272	SIPO	OP	2533764
375285	1277	1996-01-06	VYDAJ	PREVOD NA UCET	3175	23155	SIPO	OP	2533764
375286	1277	1996-02-06	VYDAJ	PREVOD NA UCET	3175	20004	SIPO	OP	2533764
375287	1277	1996-03-06	VYDAJ	PREVOD NA UCET	3175	23168	SIPO	OP	2533764
375288	1277	1996-04-06	VYDAJ	PREVOD NA UCET	3175	24245	SIPO	OP	2533764
375289	1277	1996-05-06	VYDAJ	PREVOD NA UCET	3175	22419	SIPO	OP	2533764
375290	1277	1996-06-06	VYDAJ	PREVOD NA UCET	3175	23492	SIPO	OP	2533764
375291	1277	1996-07-06	VYDAJ	PREVOD NA UCET	3175	22771	SIPO	OP	2533764
375292	1277	1996-08-06	VYDAJ	PREVOD NA UCET	3175	19847	SIPO	OP	2533764
375293	1277	1996-09-06	VYDAJ	PREVOD NA UCET	3175	21813	SIPO	OP	2533764
375294	1277	1996-10-06	VYDAJ	PREVOD NA UCET	3175	24984	SIPO	OP	2533764
375295	1277	1996-11-06	VYDAJ	PREVOD NA UCET	3175	21768	SIPO	OP	2533764
375296	1277	1996-12-06	VYDAJ	PREVOD NA UCET	3175	20142	SIPO	OP	2533764
375297	1277	1997-01-06	VYDAJ	PREVOD NA UCET	3175	20854	SIPO	OP	2533764
375298	1277	1997-02-06	VYDAJ	PREVOD NA UCET	3175	12328	SIPO	OP	2533764
375299	1277	1997-03-06	VYDAJ	PREVOD NA UCET	3175	15459	SIPO	OP	2533764
375300	1277	1997-04-06	VYDAJ	PREVOD NA UCET	3175	14016	SIPO	OP	2533764
375301	1277	1997-05-06	VYDAJ	PREVOD NA UCET	3175	13796	SIPO	OP	2533764
375302	1277	1997-06-06	VYDAJ	PREVOD NA UCET	3175	13809	SIPO	OP	2533764
375303	1277	1997-07-06	VYDAJ	PREVOD NA UCET	3175	15746	SIPO	OP	2533764
375304	1277	1997-08-06	VYDAJ	PREVOD NA UCET	3175	18191	SIPO	OP	2533764
375305	1277	1997-09-06	VYDAJ	PREVOD NA UCET	3175	19345	SIPO	OP	2533764
375306	1277	1997-10-06	VYDAJ	PREVOD NA UCET	3175	18202	SIPO	OP	2533764
375307	1277	1997-11-06	VYDAJ	PREVOD NA UCET	3175	14731	SIPO	OP	2533764
375308	1277	1997-12-06	VYDAJ	PREVOD NA UCET	3175	17872	SIPO	OP	2533764
375309	1277	1998-01-06	VYDAJ	PREVOD NA UCET	3175	12939	SIPO	OP	2533764
375310	1277	1998-02-06	VYDAJ	PREVOD NA UCET	3175	13827	SIPO	OP	2533764
375311	1277	1998-03-06	VYDAJ	PREVOD NA UCET	3175	16963	SIPO	OP	2533764
375312	1277	1998-04-06	VYDAJ	PREVOD NA UCET	3175	14829	SIPO	OP	2533764
375313	1277	1998-05-06	VYDAJ	PREVOD NA UCET	3175	14666	SIPO	OP	2533764
375314	1277	1998-06-06	VYDAJ	PREVOD NA UCET	3175	11801	SIPO	OP	2533764
375315	1277	1998-07-06	VYDAJ	PREVOD NA UCET	3175	14928	SIPO	OP	2533764
375316	1277	1998-08-06	VYDAJ	PREVOD NA UCET	3175	18069	SIPO	OP	2533764
375317	1277	1998-09-06	VYDAJ	PREVOD NA UCET	3175	14114	SIPO	OP	2533764
375318	1277	1998-10-06	VYDAJ	PREVOD NA UCET	3175	15490	SIPO	OP	2533764
375319	1277	1998-11-06	VYDAJ	PREVOD NA UCET	3175	18533	SIPO	OP	2533764
375320	1277	1998-12-06	VYDAJ	PREVOD NA UCET	3175	15959	SIPO	OP	2533764
375322	1277	1994-06-02	VYDAJ	VYBER	7700	18414	\N	\N	\N
375323	1277	1995-06-02	VYDAJ	VYBER	8450	16273	\N	\N	\N
375328	1277	1994-01-12	VYDAJ	VYBER	1700	25396	\N	\N	\N
375329	1277	1995-01-07	VYDAJ	VYBER	1150	13849	\N	\N	\N
375330	1277	1996-01-01	VYDAJ	VYBER	4000	26330	\N	\N	\N
375333	1277	1993-12-20	VYDAJ	VYBER	300	24329	\N	\N	\N
375334	1277	1994-12-13	VYDAJ	VYBER	900	25365	\N	\N	\N
375335	1277	1995-12-07	VYDAJ	VYBER	1100	27172	\N	\N	\N
375336	1277	1996-12-11	VYDAJ	VYBER	1350	25040	\N	\N	\N
375337	1277	1997-12-13	VYDAJ	VYBER	400	23720	\N	\N	\N
375338	1277	1998-12-12	VYDAJ	VYBER	1250	20957	\N	\N	\N
375345	1277	1994-01-21	VYDAJ	VYBER	2320	18836	\N	\N	\N
375346	1277	1994-01-16	VYDAJ	VYBER	720	21156	\N	\N	\N
375347	1277	1994-01-05	VYDAJ	VYBER	400	24023	\N	\N	\N
375348	1277	1994-01-22	VYDAJ	VYBER	1040	17796	\N	\N	\N
375349	1277	1994-01-13	VYDAJ	VYBER	1760	23636	\N	\N	\N
375350	1277	1994-01-15	VYDAJ	VYBER	1760	21876	\N	\N	\N
375351	1277	1995-01-15	VYDAJ	VYBER	560	18257	\N	\N	\N
375352	1277	1995-01-06	VYDAJ	VYBER	2320	18174	\N	\N	\N
375353	1277	1995-01-03	VYDAJ	VYBER	960	24494	\N	\N	\N
375354	1277	1995-01-06	VYDAJ	VYBER	2320	20494	\N	\N	\N
375355	1277	1995-01-04	VYDAJ	VYBER	1680	22814	\N	\N	\N
375356	1277	1995-01-27	VYDAJ	VYBER	1760	16497	\N	\N	\N
375357	1277	1996-01-17	VYDAJ	VYBER	880	25403	\N	\N	\N
375358	1277	1996-01-09	VYDAJ	VYBER	400	29003	\N	\N	\N
375359	1277	1996-01-17	VYDAJ	VYBER	1040	26283	\N	\N	\N
375360	1277	1996-01-21	VYDAJ	VYBER	1040	24363	\N	\N	\N
375361	1277	1996-01-21	VYDAJ	VYBER	1280	23083	\N	\N	\N
375362	1277	1996-01-17	VYDAJ	VYBER	1680	27323	\N	\N	\N
375363	1277	1997-01-19	VYDAJ	VYBER	1200	23822	\N	\N	\N
375364	1277	1997-01-25	VYDAJ	VYBER	2240	20542	\N	\N	\N
375365	1277	1997-01-26	VYDAJ	VYBER	1680	18862	\N	\N	\N
375366	1277	1997-01-10	VYDAJ	VYBER	1040	26062	\N	\N	\N
375368	1277	1997-01-14	VYDAJ	VYBER	1040	25022	\N	\N	\N
375372	1277	1998-01-04	VYDAJ	VYBER	1280	16114	\N	\N	\N
375373	1277	1998-01-14	VYDAJ	VYBER	2240	16947	\N	\N	\N
375381	1277	1994-11-28	VYDAJ	VYBER	2080	23106	\N	\N	\N
375382	1277	1994-06-19	VYDAJ	VYBER	3680	15487	\N	\N	\N
375383	1277	1994-06-09	VYDAJ	VYBER	2320	19167	\N	\N	\N
375384	1277	1994-07-11	VYDAJ	VYBER	2800	13262	\N	\N	\N
375385	1277	1994-07-04	VYDAJ	VYBER	2560	12989	\N	\N	\N
375386	1277	1994-01-28	VYDAJ	VYBER	2160	15636	\N	\N	\N
375387	1277	1995-01-11	VYDAJ	VYBER	1280	18817	\N	\N	\N
375388	1277	1995-03-27	VYDAJ	VYBER	720	22051	\N	\N	\N
375389	1277	1995-05-07	VYDAJ	VYBER	2720	18389	\N	\N	\N
375390	1277	1995-09-24	VYDAJ	VYBER	2800	24995	\N	\N	\N
375391	1277	1996-04-15	VYDAJ	VYBER	2400	27293	\N	\N	\N
375392	1277	1996-04-10	VYDAJ	VYBER	800	29693	\N	\N	\N
375393	1277	1996-08-31	VYDAJ	VYBER	1200	25002	\N	\N	\N
375394	1277	1997-10-11	VYDAJ	VYBER	720	23730	\N	\N	\N
375395	1277	1997-03-12	VYDAJ	VYBER	2480	19227	\N	\N	\N
375396	1277	1997-04-09	VYDAJ	VYBER	3360	16904	\N	\N	\N
375398	1277	1997-01-28	VYDAJ	VYBER	3440	15422	\N	\N	\N
375399	1277	1997-05-13	VYDAJ	VYBER	1520	18524	\N	\N	\N
375400	1277	1997-01-25	VYDAJ	VYBER	1040	22782	\N	\N	\N
375402	1277	1998-11-15	VYDAJ	VYBER	1520	23261	\N	\N	\N
375403	1277	1998-03-28	VYDAJ	VYBER	880	17931	\N	\N	\N
375406	1277	1998-09-28	VYDAJ	VYBER	960	18602	\N	\N	\N
375418	1277	1993-11-30	VYDAJ	VYBER	15	26256	SLUZBY	\N	\N
375419	1277	1993-12-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
375420	1277	1994-01-31	VYDAJ	VYBER	15	15709	SLUZBY	\N	\N
375421	1277	1994-02-28	VYDAJ	VYBER	15	18842	SLUZBY	\N	\N
375422	1277	1994-03-31	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
375423	1277	1994-04-30	VYDAJ	VYBER	15	24647	SLUZBY	\N	\N
375424	1277	1994-05-31	VYDAJ	VYBER	15	26114	SLUZBY	\N	\N
375425	1277	1994-06-30	VYDAJ	VYBER	15	15549	SLUZBY	\N	\N
375426	1277	1994-07-31	VYDAJ	VYBER	15	13304	SLUZBY	\N	\N
375427	1277	1994-08-31	VYDAJ	VYBER	15	16427	SLUZBY	\N	\N
375428	1277	1994-09-30	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
375429	1277	1994-10-31	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
375430	1277	1994-11-30	VYDAJ	VYBER	15	23192	SLUZBY	\N	\N
375431	1277	1994-12-31	VYDAJ	VYBER	15	25454	SLUZBY	\N	\N
375432	1277	1995-01-31	VYDAJ	VYBER	15	16561	SLUZBY	\N	\N
375433	1277	1995-02-28	VYDAJ	VYBER	15	19698	SLUZBY	\N	\N
375434	1277	1995-03-31	VYDAJ	VYBER	15	22127	SLUZBY	\N	\N
375435	1277	1995-04-30	VYDAJ	VYBER	15	24284	SLUZBY	\N	\N
375436	1277	1995-05-31	VYDAJ	VYBER	15	24723	SLUZBY	\N	\N
375437	1277	1995-06-30	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
375438	1277	1995-07-31	VYDAJ	VYBER	15	22561	SLUZBY	\N	\N
375439	1277	1995-08-31	VYDAJ	VYBER	15	24722	SLUZBY	\N	\N
375440	1277	1995-09-30	VYDAJ	VYBER	15	25090	SLUZBY	\N	\N
375441	1277	1995-10-31	VYDAJ	VYBER	15	28262	SLUZBY	\N	\N
375442	1277	1995-11-30	VYDAJ	VYBER	15	31447	SLUZBY	\N	\N
375443	1277	1995-12-31	VYDAJ	VYBER	15	30330	SLUZBY	\N	\N
375444	1277	1996-01-31	VYDAJ	VYBER	15	23179	SLUZBY	\N	\N
375445	1277	1996-02-29	VYDAJ	VYBER	15	26343	SLUZBY	\N	\N
375446	1277	1996-03-31	VYDAJ	VYBER	15	29520	SLUZBY	\N	\N
375447	1277	1996-04-30	VYDAJ	VYBER	15	27394	SLUZBY	\N	\N
375448	1277	1996-05-31	VYDAJ	VYBER	15	28767	SLUZBY	\N	\N
375449	1277	1996-06-30	VYDAJ	VYBER	15	29846	SLUZBY	\N	\N
375450	1277	1996-07-31	VYDAJ	VYBER	15	29122	SLUZBY	\N	\N
375451	1277	1996-08-31	VYDAJ	VYBER	15	24988	SLUZBY	\N	\N
375452	1277	1996-09-30	VYDAJ	VYBER	15	28159	SLUZBY	\N	\N
375453	1277	1996-10-31	VYDAJ	VYBER	15	31343	SLUZBY	\N	\N
375454	1277	1996-11-30	VYDAJ	VYBER	15	28117	SLUZBY	\N	\N
375455	1277	1996-12-31	VYDAJ	VYBER	15	25129	SLUZBY	\N	\N
375456	1277	1997-01-31	VYDAJ	VYBER	15	15503	SLUZBY	\N	\N
375457	1277	1997-02-28	VYDAJ	VYBER	15	18634	SLUZBY	\N	\N
375458	1277	1997-03-31	VYDAJ	VYBER	15	19291	SLUZBY	\N	\N
375459	1277	1997-04-30	VYDAJ	VYBER	15	16971	SLUZBY	\N	\N
375460	1277	1997-05-31	VYDAJ	VYBER	15	16984	SLUZBY	\N	\N
375461	1277	1997-06-30	VYDAJ	VYBER	15	18921	SLUZBY	\N	\N
375462	1277	1997-07-31	VYDAJ	VYBER	15	21366	SLUZBY	\N	\N
375463	1277	1997-08-31	VYDAJ	VYBER	15	22520	SLUZBY	\N	\N
375464	1277	1997-09-30	VYDAJ	VYBER	15	21377	SLUZBY	\N	\N
375465	1277	1997-10-31	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
375466	1277	1997-11-30	VYDAJ	VYBER	15	21047	SLUZBY	\N	\N
375467	1277	1997-12-31	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
375468	1277	1998-01-31	VYDAJ	VYBER	15	17002	SLUZBY	\N	\N
375469	1277	1998-02-28	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
375470	1277	1998-03-31	VYDAJ	VYBER	15	18004	SLUZBY	\N	\N
375471	1277	1998-04-30	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
375472	1277	1998-05-31	VYDAJ	VYBER	15	14976	SLUZBY	\N	\N
375473	1277	1998-06-30	VYDAJ	VYBER	15	18103	SLUZBY	\N	\N
375474	1277	1998-07-31	VYDAJ	VYBER	15	21244	SLUZBY	\N	\N
375475	1277	1998-08-31	VYDAJ	VYBER	15	17289	SLUZBY	\N	\N
375476	1277	1998-09-30	VYDAJ	VYBER	15	18665	SLUZBY	\N	\N
375477	1277	1998-10-31	VYDAJ	VYBER	15	21708	SLUZBY	\N	\N
375478	1277	1998-11-30	VYDAJ	VYBER	15	19134	SLUZBY	\N	\N
375479	1277	1993-09-18	VYDAJ	VYBER	100	19644	\N	\N	\N
375480	1277	1993-10-18	VYDAJ	VYBER	1800	24128	\N	\N	\N
375481	1277	1993-11-17	VYDAJ	VYBER	4300	26166	\N	\N	\N
375482	1277	1993-12-17	VYDAJ	VYBER	4700	24629	\N	\N	\N
375483	1277	1994-04-16	VYDAJ	VYBER	500	24562	\N	\N	\N
375484	1277	1994-05-16	VYDAJ	VYBER	1700	26020	\N	\N	\N
375485	1277	1994-11-12	VYDAJ	VYBER	600	25186	\N	\N	\N
375486	1277	1995-04-11	VYDAJ	VYBER	1000	24200	\N	\N	\N
375487	1277	1995-08-09	VYDAJ	VYBER	1000	24634	\N	\N	\N
375488	1277	1995-12-07	VYDAJ	VYBER	3200	23972	\N	\N	\N
375489	1277	1996-04-05	VYDAJ	VYBER	2100	27420	\N	\N	\N
375490	1277	1996-05-05	VYDAJ	VYBER	1800	25594	\N	\N	\N
375491	1277	1996-06-04	VYDAJ	VYBER	2100	26667	\N	\N	\N
375492	1277	1996-07-04	VYDAJ	VYBER	3900	25946	\N	\N	\N
375493	1277	1996-08-03	VYDAJ	VYBER	6100	23022	\N	\N	\N
375494	1277	1996-11-01	VYDAJ	VYBER	6400	24943	\N	\N	\N
375495	1277	1996-12-01	VYDAJ	VYBER	4800	23317	\N	\N	\N
375496	1277	1996-12-31	VYDAJ	VYBER	1100	24029	\N	\N	\N
375497	1277	1997-03-31	VYDAJ	VYBER	2100	17191	\N	\N	\N
375498	1277	1997-05-30	VYDAJ	VYBER	1600	16924	\N	\N	\N
375499	1277	1997-06-29	VYDAJ	VYBER	1200	18857	\N	\N	\N
375500	1277	1997-07-29	VYDAJ	VYBER	700	21294	\N	\N	\N
375501	1277	1997-08-28	VYDAJ	VYBER	2000	22439	\N	\N	\N
375502	1277	1997-09-27	VYDAJ	VYBER	4300	21293	\N	\N	\N
375503	1277	1997-10-27	VYDAJ	VYBER	5900	17830	\N	\N	\N
375504	1277	1997-12-26	VYDAJ	VYBER	6400	17320	\N	\N	\N
375505	1277	1998-03-26	VYDAJ	VYBER	4400	18811	\N	\N	\N
375506	1277	1998-04-25	VYDAJ	VYBER	3300	17777	\N	\N	\N
375507	1277	1998-05-25	VYDAJ	VYBER	6000	14914	\N	\N	\N
375508	1277	1998-08-23	VYDAJ	VYBER	7100	17217	\N	\N	\N
375509	1277	1998-09-22	VYDAJ	VYBER	800	19562	\N	\N	\N
375510	1277	1998-10-22	VYDAJ	VYBER	100	21638	\N	\N	\N
375511	1277	1998-11-21	VYDAJ	VYBER	4200	19061	\N	\N	\N
375512	1277	1998-12-21	VYDAJ	VYBER	4900	16057	\N	\N	\N
375773	1279	1997-10-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
375784	1279	1997-11-08	PRIJEM	PREVOD Z UCTU	5381	6381	DUCHOD	WX	20465845
375785	1279	1997-12-08	PRIJEM	PREVOD Z UCTU	5381	11762	DUCHOD	WX	20465845
375786	1279	1998-01-08	PRIJEM	PREVOD Z UCTU	5381	17143	DUCHOD	WX	20465845
375787	1279	1998-02-08	PRIJEM	PREVOD Z UCTU	5381	21670	DUCHOD	WX	20465845
375788	1279	1998-03-08	PRIJEM	PREVOD Z UCTU	5381	26632	DUCHOD	WX	20465845
375789	1279	1998-04-08	PRIJEM	PREVOD Z UCTU	5381	26300	DUCHOD	WX	20465845
375790	1279	1998-05-08	PRIJEM	PREVOD Z UCTU	5381	28172	DUCHOD	WX	20465845
375791	1279	1998-06-08	PRIJEM	PREVOD Z UCTU	5381	29049	DUCHOD	WX	20465845
375792	1279	1998-07-08	PRIJEM	PREVOD Z UCTU	5381	19409	DUCHOD	WX	20465845
375793	1279	1998-08-08	PRIJEM	PREVOD Z UCTU	5381	21252	DUCHOD	WX	20465845
375794	1279	1998-09-08	PRIJEM	PREVOD Z UCTU	5381	20223	DUCHOD	WX	20465845
375795	1279	1998-10-08	PRIJEM	PREVOD Z UCTU	5381	18628	DUCHOD	WX	20465845
375796	1279	1998-11-08	PRIJEM	PREVOD Z UCTU	5381	20468	DUCHOD	WX	20465845
375797	1279	1998-12-08	PRIJEM	PREVOD Z UCTU	5381	19352	DUCHOD	WX	20465845
375812	1279	1998-03-09	VYDAJ	PREVOD NA UCET	3587	23045	SIPO	QR	61846792
375813	1279	1998-04-09	VYDAJ	PREVOD NA UCET	3587	22713	SIPO	QR	61846792
375814	1279	1998-05-09	VYDAJ	PREVOD NA UCET	3587	24585	SIPO	QR	61846792
375815	1279	1998-06-09	VYDAJ	PREVOD NA UCET	3587	25462	SIPO	QR	61846792
375816	1279	1998-07-09	VYDAJ	PREVOD NA UCET	3587	15822	SIPO	QR	61846792
375817	1279	1998-08-09	VYDAJ	PREVOD NA UCET	3587	17665	SIPO	QR	61846792
375818	1279	1998-09-09	VYDAJ	PREVOD NA UCET	3587	16636	SIPO	QR	61846792
375819	1279	1998-10-09	VYDAJ	PREVOD NA UCET	3587	15041	SIPO	QR	61846792
375820	1279	1998-11-09	VYDAJ	PREVOD NA UCET	3587	16881	SIPO	QR	61846792
375821	1279	1998-12-09	VYDAJ	PREVOD NA UCET	3587	15765	SIPO	QR	61846792
375823	1279	1998-06-16	VYDAJ	VYBER	11500	13962	\N	\N	\N
375827	1279	1998-12-24	VYDAJ	VYBER	700	15065	\N	\N	\N
375846	1279	1998-09-30	VYDAJ	VYBER	2480	13261	\N	\N	\N
375847	1279	1998-08-09	VYDAJ	VYBER	2880	14785	\N	\N	\N
375849	1279	1998-11-22	VYDAJ	VYBER	2960	13921	\N	\N	\N
375851	1279	1998-09-20	VYDAJ	VYBER	960	15676	\N	\N	\N
375867	1279	1998-03-31	VYDAJ	VYBER	15	20919	SLUZBY	\N	\N
375868	1279	1998-04-30	VYDAJ	VYBER	15	22791	SLUZBY	\N	\N
375869	1279	1998-05-31	VYDAJ	VYBER	15	23668	SLUZBY	\N	\N
375870	1279	1998-06-30	VYDAJ	VYBER	15	14028	SLUZBY	\N	\N
375871	1279	1998-07-31	VYDAJ	VYBER	15	15871	SLUZBY	\N	\N
375872	1279	1998-08-31	VYDAJ	VYBER	15	14842	SLUZBY	\N	\N
375873	1279	1998-09-30	VYDAJ	VYBER	15	13247	SLUZBY	\N	\N
375874	1279	1998-10-31	VYDAJ	VYBER	15	15087	SLUZBY	\N	\N
375875	1279	1998-11-30	VYDAJ	VYBER	15	13971	SLUZBY	\N	\N
375876	1279	1998-01-11	VYDAJ	VYBER	900	16243	\N	\N	\N
375877	1279	1998-02-10	VYDAJ	VYBER	500	21170	\N	\N	\N
375878	1279	1998-03-12	VYDAJ	VYBER	2200	20845	\N	\N	\N
375879	1279	1998-05-11	VYDAJ	VYBER	1000	23585	\N	\N	\N
375892	1280	1995-05-03	PRIJEM	VKLAD	600	600	\N	\N	\N
375897	1280	1995-05-08	PRIJEM	PREVOD Z UCTU	5122	5722	DUCHOD	OP	38542556
375898	1280	1995-06-08	PRIJEM	PREVOD Z UCTU	5122	10863	DUCHOD	OP	38542556
375899	1280	1995-07-08	PRIJEM	PREVOD Z UCTU	5122	16008	DUCHOD	OP	38542556
375900	1280	1995-08-08	PRIJEM	PREVOD Z UCTU	5122	21154	DUCHOD	OP	38542556
375901	1280	1995-09-08	PRIJEM	PREVOD Z UCTU	5122	26300	DUCHOD	OP	38542556
375902	1280	1995-10-08	PRIJEM	PREVOD Z UCTU	5122	27443	DUCHOD	OP	38542556
375903	1280	1995-11-08	PRIJEM	PREVOD Z UCTU	5122	28390	DUCHOD	OP	38542556
375904	1280	1995-12-08	PRIJEM	PREVOD Z UCTU	5122	29321	DUCHOD	OP	38542556
375905	1280	1996-01-08	PRIJEM	PREVOD Z UCTU	5122	29456	DUCHOD	OP	38542556
375906	1280	1996-02-08	PRIJEM	PREVOD Z UCTU	5122	27739	DUCHOD	OP	38542556
375907	1280	1996-03-08	PRIJEM	PREVOD Z UCTU	5122	28567	DUCHOD	OP	38542556
375908	1280	1996-04-08	PRIJEM	PREVOD Z UCTU	5122	25817	DUCHOD	OP	38542556
375909	1280	1996-05-08	PRIJEM	PREVOD Z UCTU	5122	24434	DUCHOD	OP	38542556
375910	1280	1996-06-08	PRIJEM	PREVOD Z UCTU	5122	25148	DUCHOD	OP	38542556
375911	1280	1996-07-08	PRIJEM	PREVOD Z UCTU	5122	19546	DUCHOD	OP	38542556
375912	1280	1996-08-08	PRIJEM	PREVOD Z UCTU	5122	18715	DUCHOD	OP	38542556
375913	1280	1996-09-08	PRIJEM	PREVOD Z UCTU	5122	21407	DUCHOD	OP	38542556
375914	1280	1996-10-08	PRIJEM	PREVOD Z UCTU	5122	20586	DUCHOD	OP	38542556
375915	1280	1996-11-08	PRIJEM	PREVOD Z UCTU	5122	23286	DUCHOD	OP	38542556
375916	1280	1996-12-08	PRIJEM	PREVOD Z UCTU	5122	22306	DUCHOD	OP	38542556
375917	1280	1997-01-08	PRIJEM	PREVOD Z UCTU	5122	24762	DUCHOD	OP	38542556
375918	1280	1997-02-08	PRIJEM	PREVOD Z UCTU	5122	21041	DUCHOD	OP	38542556
375919	1280	1997-03-08	PRIJEM	PREVOD Z UCTU	5122	23742	DUCHOD	OP	38542556
375920	1280	1997-04-08	PRIJEM	PREVOD Z UCTU	5122	25894	DUCHOD	OP	38542556
375921	1280	1997-05-08	PRIJEM	PREVOD Z UCTU	5122	26813	DUCHOD	OP	38542556
375922	1280	1997-06-08	PRIJEM	PREVOD Z UCTU	5122	28416	DUCHOD	OP	38542556
375923	1280	1997-07-08	PRIJEM	PREVOD Z UCTU	5122	31148	DUCHOD	OP	38542556
375924	1280	1997-08-08	PRIJEM	PREVOD Z UCTU	5122	33391	DUCHOD	OP	38542556
375925	1280	1997-09-08	PRIJEM	PREVOD Z UCTU	5122	32659	DUCHOD	OP	38542556
375926	1280	1997-10-08	PRIJEM	PREVOD Z UCTU	5122	32908	DUCHOD	OP	38542556
375927	1280	1997-11-08	PRIJEM	PREVOD Z UCTU	5122	35058	DUCHOD	OP	38542556
375928	1280	1997-12-08	PRIJEM	PREVOD Z UCTU	5122	36616	DUCHOD	OP	38542556
375929	1280	1998-01-08	PRIJEM	PREVOD Z UCTU	5122	38882	DUCHOD	OP	38542556
375930	1280	1998-02-08	PRIJEM	PREVOD Z UCTU	5122	38060	DUCHOD	OP	38542556
375931	1280	1998-03-08	PRIJEM	PREVOD Z UCTU	5122	40832	DUCHOD	OP	38542556
375932	1280	1998-04-08	PRIJEM	PREVOD Z UCTU	5122	41050	DUCHOD	OP	38542556
375933	1280	1998-05-08	PRIJEM	PREVOD Z UCTU	5122	43834	DUCHOD	OP	38542556
375934	1280	1998-06-08	PRIJEM	PREVOD Z UCTU	5122	46630	DUCHOD	OP	38542556
375935	1280	1998-07-08	PRIJEM	PREVOD Z UCTU	5122	44541	DUCHOD	OP	38542556
375936	1280	1998-08-08	PRIJEM	PREVOD Z UCTU	5122	45019	DUCHOD	OP	38542556
375937	1280	1998-09-08	PRIJEM	PREVOD Z UCTU	5122	47820	DUCHOD	OP	38542556
375938	1280	1998-10-08	PRIJEM	PREVOD Z UCTU	5122	50632	DUCHOD	OP	38542556
375939	1280	1998-11-08	PRIJEM	PREVOD Z UCTU	5122	53456	DUCHOD	OP	38542556
375940	1280	1998-12-08	PRIJEM	PREVOD Z UCTU	5122	55441	DUCHOD	OP	38542556
375950	1280	1995-10-05	VYDAJ	PREVOD NA UCET	2491	22321	SIPO	EF	39353507
375951	1280	1995-11-05	VYDAJ	PREVOD NA UCET	2491	23268	SIPO	EF	39353507
375952	1280	1995-12-05	VYDAJ	PREVOD NA UCET	2491	24499	SIPO	EF	39353507
375953	1280	1996-01-05	VYDAJ	PREVOD NA UCET	2491	24334	SIPO	EF	39353507
375954	1280	1996-02-05	VYDAJ	PREVOD NA UCET	2491	22617	SIPO	EF	39353507
375955	1280	1996-03-05	VYDAJ	PREVOD NA UCET	2491	23445	SIPO	EF	39353507
375956	1280	1996-04-05	VYDAJ	PREVOD NA UCET	2491	21175	SIPO	EF	39353507
375957	1280	1996-05-05	VYDAJ	PREVOD NA UCET	2491	19312	SIPO	EF	39353507
375958	1280	1996-06-05	VYDAJ	PREVOD NA UCET	2491	20026	SIPO	EF	39353507
375959	1280	1996-07-05	VYDAJ	PREVOD NA UCET	2491	14424	SIPO	EF	39353507
375960	1280	1996-08-05	VYDAJ	PREVOD NA UCET	2491	13593	SIPO	EF	39353507
375961	1280	1996-09-05	VYDAJ	PREVOD NA UCET	2491	16285	SIPO	EF	39353507
375962	1280	1996-10-05	VYDAJ	PREVOD NA UCET	2491	15464	SIPO	EF	39353507
375963	1280	1996-11-05	VYDAJ	PREVOD NA UCET	2491	18164	SIPO	EF	39353507
375964	1280	1996-12-05	VYDAJ	PREVOD NA UCET	2491	17184	SIPO	EF	39353507
375965	1280	1997-01-05	VYDAJ	PREVOD NA UCET	2491	19640	SIPO	EF	39353507
375966	1280	1997-02-05	VYDAJ	PREVOD NA UCET	2491	15919	SIPO	EF	39353507
375967	1280	1997-03-05	VYDAJ	PREVOD NA UCET	2491	18620	SIPO	EF	39353507
375968	1280	1997-04-05	VYDAJ	PREVOD NA UCET	2491	20772	SIPO	EF	39353507
375969	1280	1997-05-05	VYDAJ	PREVOD NA UCET	2491	21691	SIPO	EF	39353507
375970	1280	1997-06-05	VYDAJ	PREVOD NA UCET	2491	23294	SIPO	EF	39353507
375971	1280	1997-07-05	VYDAJ	PREVOD NA UCET	2491	26026	SIPO	EF	39353507
375972	1280	1997-08-05	VYDAJ	PREVOD NA UCET	2491	28269	SIPO	EF	39353507
375973	1280	1997-09-05	VYDAJ	PREVOD NA UCET	2491	27537	SIPO	EF	39353507
375974	1280	1997-10-05	VYDAJ	PREVOD NA UCET	2491	27786	SIPO	EF	39353507
375975	1280	1997-11-05	VYDAJ	PREVOD NA UCET	2491	29936	SIPO	EF	39353507
375976	1280	1997-12-05	VYDAJ	PREVOD NA UCET	2491	31494	SIPO	EF	39353507
375977	1280	1998-01-05	VYDAJ	PREVOD NA UCET	2491	33760	SIPO	EF	39353507
375978	1280	1998-02-05	VYDAJ	PREVOD NA UCET	2491	32938	SIPO	EF	39353507
375979	1280	1998-03-05	VYDAJ	PREVOD NA UCET	2491	35710	SIPO	EF	39353507
375980	1280	1998-04-05	VYDAJ	PREVOD NA UCET	2491	35928	SIPO	EF	39353507
375981	1280	1998-05-05	VYDAJ	PREVOD NA UCET	2491	38712	SIPO	EF	39353507
375982	1280	1998-06-05	VYDAJ	PREVOD NA UCET	2491	41508	SIPO	EF	39353507
375983	1280	1998-07-05	VYDAJ	PREVOD NA UCET	2491	39419	SIPO	EF	39353507
375984	1280	1998-08-05	VYDAJ	PREVOD NA UCET	2491	39897	SIPO	EF	39353507
375985	1280	1998-09-05	VYDAJ	PREVOD NA UCET	2491	42698	SIPO	EF	39353507
375986	1280	1998-10-05	VYDAJ	PREVOD NA UCET	2491	45510	SIPO	EF	39353507
375987	1280	1998-11-05	VYDAJ	PREVOD NA UCET	2491	48334	SIPO	EF	39353507
375988	1280	1998-12-05	VYDAJ	PREVOD NA UCET	2491	50319	SIPO	EF	39353507
375990	1280	1996-06-13	VYDAJ	VYBER	8300	16848	\N	\N	\N
375992	1280	1998-06-24	VYDAJ	VYBER	2650	42700	\N	\N	\N
375994	1280	1996-01-18	VYDAJ	VYBER	1150	28306	\N	\N	\N
375995	1280	1997-01-08	VYDAJ	VYBER	4100	20662	\N	\N	\N
375996	1280	1998-01-13	VYDAJ	VYBER	2550	36332	\N	\N	\N
375997	1280	1995-12-06	VYDAJ	VYBER	300	24199	\N	\N	\N
375998	1280	1996-12-12	VYDAJ	VYBER	250	22056	\N	\N	\N
375999	1280	1997-12-28	VYDAJ	VYBER	500	36116	\N	\N	\N
376000	1280	1998-12-04	VYDAJ	VYBER	850	52810	\N	\N	\N
376001	1280	1995-10-15	VYDAJ	VYBER	1280	26163	\N	\N	\N
376006	1280	1996-07-19	VYDAJ	VYBER	3520	16026	\N	\N	\N
376007	1280	1996-11-10	VYDAJ	VYBER	3680	19606	\N	\N	\N
376008	1280	1996-09-24	VYDAJ	VYBER	3520	17887	\N	\N	\N
376009	1280	1996-04-08	VYDAJ	VYBER	800	25017	\N	\N	\N
376010	1280	1996-04-05	VYDAJ	VYBER	480	20695	\N	\N	\N
376011	1280	1997-09-30	VYDAJ	VYBER	2400	30277	\N	\N	\N
376012	1280	1997-01-16	VYDAJ	VYBER	2320	18342	\N	\N	\N
376013	1280	1997-03-23	VYDAJ	VYBER	560	23182	\N	\N	\N
376014	1280	1997-11-25	VYDAJ	VYBER	1200	33858	\N	\N	\N
376015	1280	1997-05-18	VYDAJ	VYBER	1120	25693	\N	\N	\N
376016	1280	1997-08-26	VYDAJ	VYBER	2080	29911	\N	\N	\N
376017	1280	1998-07-02	VYDAJ	VYBER	960	41910	\N	\N	\N
376018	1280	1998-02-01	VYDAJ	VYBER	1040	35429	\N	\N	\N
376019	1280	1998-03-17	VYDAJ	VYBER	2560	38272	\N	\N	\N
376020	1280	1998-08-01	VYDAJ	VYBER	2320	42388	\N	\N	\N
376021	1280	1998-06-15	VYDAJ	VYBER	1280	45350	\N	\N	\N
376031	1280	1995-09-30	VYDAJ	VYBER	15	26312	SLUZBY	\N	\N
376032	1280	1995-10-31	VYDAJ	VYBER	15	25759	SLUZBY	\N	\N
376033	1280	1995-11-30	VYDAJ	VYBER	15	26990	SLUZBY	\N	\N
376034	1280	1995-12-31	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
376035	1280	1996-01-31	VYDAJ	VYBER	15	25108	SLUZBY	\N	\N
376036	1280	1996-02-29	VYDAJ	VYBER	15	25936	SLUZBY	\N	\N
376037	1280	1996-03-31	VYDAJ	VYBER	15	23666	SLUZBY	\N	\N
376038	1280	1996-04-30	VYDAJ	VYBER	15	21803	SLUZBY	\N	\N
376039	1280	1996-05-31	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
376040	1280	1996-06-30	VYDAJ	VYBER	15	16915	SLUZBY	\N	\N
376041	1280	1996-07-31	VYDAJ	VYBER	15	16084	SLUZBY	\N	\N
376042	1280	1996-08-31	VYDAJ	VYBER	15	18776	SLUZBY	\N	\N
376043	1280	1996-09-30	VYDAJ	VYBER	15	17955	SLUZBY	\N	\N
376044	1280	1996-10-31	VYDAJ	VYBER	15	20655	SLUZBY	\N	\N
376045	1280	1996-11-30	VYDAJ	VYBER	15	19675	SLUZBY	\N	\N
376046	1280	1996-12-31	VYDAJ	VYBER	15	22131	SLUZBY	\N	\N
376047	1280	1997-01-31	VYDAJ	VYBER	15	18410	SLUZBY	\N	\N
376048	1280	1997-02-28	VYDAJ	VYBER	15	21111	SLUZBY	\N	\N
376049	1280	1997-03-31	VYDAJ	VYBER	15	23263	SLUZBY	\N	\N
376050	1280	1997-04-30	VYDAJ	VYBER	15	24182	SLUZBY	\N	\N
376051	1280	1997-05-31	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
376052	1280	1997-06-30	VYDAJ	VYBER	15	28517	SLUZBY	\N	\N
376053	1280	1997-07-31	VYDAJ	VYBER	15	30760	SLUZBY	\N	\N
376054	1280	1997-08-31	VYDAJ	VYBER	15	30028	SLUZBY	\N	\N
376055	1280	1997-09-30	VYDAJ	VYBER	15	32677	SLUZBY	\N	\N
376056	1280	1997-10-31	VYDAJ	VYBER	15	32427	SLUZBY	\N	\N
376057	1280	1997-11-30	VYDAJ	VYBER	15	33985	SLUZBY	\N	\N
376058	1280	1997-12-31	VYDAJ	VYBER	15	36251	SLUZBY	\N	\N
376059	1280	1998-01-31	VYDAJ	VYBER	15	36469	SLUZBY	\N	\N
376060	1280	1998-02-28	VYDAJ	VYBER	15	38201	SLUZBY	\N	\N
376061	1280	1998-03-31	VYDAJ	VYBER	15	38419	SLUZBY	\N	\N
376062	1280	1998-04-30	VYDAJ	VYBER	15	41203	SLUZBY	\N	\N
376063	1280	1998-05-31	VYDAJ	VYBER	15	43999	SLUZBY	\N	\N
376064	1280	1998-06-30	VYDAJ	VYBER	15	42870	SLUZBY	\N	\N
376065	1280	1998-07-31	VYDAJ	VYBER	15	44708	SLUZBY	\N	\N
376066	1280	1998-08-31	VYDAJ	VYBER	15	45189	SLUZBY	\N	\N
376067	1280	1998-09-30	VYDAJ	VYBER	15	48001	SLUZBY	\N	\N
376068	1280	1998-10-31	VYDAJ	VYBER	15	50825	SLUZBY	\N	\N
376069	1280	1998-11-30	VYDAJ	VYBER	15	53660	SLUZBY	\N	\N
376070	1280	1995-09-30	VYDAJ	VYBER	1500	24812	\N	\N	\N
376071	1280	1995-10-30	VYDAJ	VYBER	500	25663	\N	\N	\N
376072	1280	1995-11-29	VYDAJ	VYBER	1500	26890	\N	\N	\N
376073	1280	1995-12-29	VYDAJ	VYBER	2600	26721	\N	\N	\N
376074	1280	1996-01-28	VYDAJ	VYBER	3300	25006	\N	\N	\N
376075	1280	1996-02-27	VYDAJ	VYBER	1900	25839	\N	\N	\N
376076	1280	1996-03-28	VYDAJ	VYBER	5000	23567	\N	\N	\N
376077	1280	1996-04-27	VYDAJ	VYBER	3300	21717	\N	\N	\N
376078	1280	1996-05-27	VYDAJ	VYBER	2000	22434	\N	\N	\N
376079	1280	1997-04-22	VYDAJ	VYBER	1800	24094	\N	\N	\N
376080	1280	1997-07-21	VYDAJ	VYBER	500	30648	\N	\N	\N
376081	1280	1997-08-20	VYDAJ	VYBER	1400	31991	\N	\N	\N
376082	1280	1997-09-19	VYDAJ	VYBER	100	32559	\N	\N	\N
376083	1280	1997-10-19	VYDAJ	VYBER	600	32308	\N	\N	\N
376128	1281	1997-04-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
376133	1281	1997-05-09	PRIJEM	VKLAD	14057	15157	\N	\N	\N
376134	1281	1997-06-09	PRIJEM	VKLAD	21086	43497	\N	\N	\N
376135	1281	1997-07-09	PRIJEM	VKLAD	14057	51585	\N	\N	\N
376136	1281	1997-08-09	PRIJEM	VKLAD	14057	51197	\N	\N	\N
376137	1281	1997-09-09	PRIJEM	VKLAD	14057	52912	\N	\N	\N
376138	1281	1997-10-09	PRIJEM	VKLAD	14057	56827	\N	\N	\N
376139	1281	1997-11-09	PRIJEM	VKLAD	14057	60758	\N	\N	\N
376140	1281	1997-12-09	PRIJEM	VKLAD	21086	74242	\N	\N	\N
376141	1281	1998-01-09	PRIJEM	VKLAD	14057	67731	\N	\N	\N
376142	1281	1998-02-09	PRIJEM	VKLAD	14057	61101	\N	\N	\N
376143	1281	1998-03-09	PRIJEM	VKLAD	14057	74882	\N	\N	\N
376144	1281	1998-04-09	PRIJEM	VKLAD	14057	80093	\N	\N	\N
376145	1281	1998-05-09	PRIJEM	VKLAD	14057	82116	\N	\N	\N
376146	1281	1998-06-09	PRIJEM	VKLAD	21086	84912	\N	\N	\N
376147	1281	1998-07-09	PRIJEM	VKLAD	14057	77458	\N	\N	\N
376148	1281	1998-08-09	PRIJEM	VKLAD	14057	80717	\N	\N	\N
376149	1281	1998-09-09	PRIJEM	VKLAD	14057	84888	\N	\N	\N
376150	1281	1998-10-09	PRIJEM	VKLAD	14057	89879	\N	\N	\N
376151	1281	1998-11-09	PRIJEM	VKLAD	14057	96391	\N	\N	\N
376152	1281	1998-12-09	PRIJEM	VKLAD	21086	103556	\N	\N	\N
376154	1281	1998-06-11	VYDAJ	VYBER	9400	75512	\N	\N	\N
376156	1281	1998-01-06	VYDAJ	VYBER	6400	53674	\N	\N	\N
376157	1281	1997-12-18	VYDAJ	VYBER	1400	61042	\N	\N	\N
376158	1281	1998-12-28	VYDAJ	VYBER	2600	100956	\N	\N	\N
376165	1281	1998-01-26	VYDAJ	VYBER	2900	49831	\N	\N	\N
376166	1281	1998-01-24	VYDAJ	VYBER	1500	52731	\N	\N	\N
376167	1281	1998-01-04	VYDAJ	VYBER	1200	60074	\N	\N	\N
376168	1281	1998-01-19	VYDAJ	VYBER	700	54231	\N	\N	\N
376169	1281	1998-01-28	VYDAJ	VYBER	1700	48131	\N	\N	\N
376170	1281	1998-01-13	VYDAJ	VYBER	2500	54931	\N	\N	\N
376174	1281	1998-06-15	VYDAJ	VYBER	1700	73812	\N	\N	\N
376175	1281	1998-07-28	VYDAJ	VYBER	2000	73658	\N	\N	\N
376176	1281	1998-07-27	VYDAJ	VYBER	1800	75658	\N	\N	\N
376177	1281	1998-05-09	VYDAJ	VYBER	3600	66916	\N	\N	\N
376178	1281	1998-02-06	VYDAJ	VYBER	3900	44444	\N	\N	\N
376179	1281	1998-02-24	VYDAJ	VYBER	500	60601	\N	\N	\N
376189	1281	1997-09-30	VYDAJ	VYBER	15	42770	SLUZBY	\N	\N
376190	1281	1997-10-31	VYDAJ	VYBER	15	46701	SLUZBY	\N	\N
376191	1281	1997-11-30	VYDAJ	VYBER	15	53156	SLUZBY	\N	\N
376192	1281	1997-12-31	VYDAJ	VYBER	15	61274	SLUZBY	\N	\N
376193	1281	1998-01-31	VYDAJ	VYBER	15	48344	SLUZBY	\N	\N
376194	1281	1998-02-28	VYDAJ	VYBER	15	60825	SLUZBY	\N	\N
376195	1281	1998-03-31	VYDAJ	VYBER	15	66036	SLUZBY	\N	\N
376196	1281	1998-04-30	VYDAJ	VYBER	15	68059	SLUZBY	\N	\N
376197	1281	1998-05-31	VYDAJ	VYBER	15	67226	SLUZBY	\N	\N
376198	1281	1998-06-30	VYDAJ	VYBER	15	74101	SLUZBY	\N	\N
376199	1281	1998-07-31	VYDAJ	VYBER	15	73960	SLUZBY	\N	\N
376200	1281	1998-08-31	VYDAJ	VYBER	15	81031	SLUZBY	\N	\N
376201	1281	1998-09-30	VYDAJ	VYBER	15	85222	SLUZBY	\N	\N
376202	1281	1998-10-31	VYDAJ	VYBER	15	90234	SLUZBY	\N	\N
376203	1281	1998-11-30	VYDAJ	VYBER	15	96770	SLUZBY	\N	\N
376204	1281	1997-05-14	PRIJEM	VKLAD	7200	22357	\N	\N	\N
376205	1281	1997-06-13	VYDAJ	VYBER	6100	37397	\N	\N	\N
376206	1281	1997-07-13	VYDAJ	VYBER	14600	36985	\N	\N	\N
376207	1281	1997-08-12	VYDAJ	VYBER	12500	38697	\N	\N	\N
376208	1281	1997-09-11	VYDAJ	VYBER	10300	42612	\N	\N	\N
376209	1281	1997-10-11	VYDAJ	VYBER	10300	46527	\N	\N	\N
376210	1281	1997-11-10	VYDAJ	VYBER	7800	52958	\N	\N	\N
376211	1281	1997-12-10	VYDAJ	VYBER	11800	62442	\N	\N	\N
376212	1281	1998-01-09	VYDAJ	VYBER	10300	57431	\N	\N	\N
376213	1281	1998-02-08	PRIJEM	VKLAD	2600	47044	\N	\N	\N
376214	1281	1998-03-10	VYDAJ	VYBER	9100	65782	\N	\N	\N
376215	1281	1998-04-09	VYDAJ	VYBER	12300	67793	\N	\N	\N
376216	1281	1998-05-09	VYDAJ	VYBER	11600	70516	\N	\N	\N
376217	1281	1998-06-08	VYDAJ	VYBER	3400	63826	\N	\N	\N
376218	1281	1998-07-08	VYDAJ	VYBER	10700	63401	\N	\N	\N
376219	1281	1998-08-07	VYDAJ	VYBER	7300	66660	\N	\N	\N
376220	1281	1998-09-06	VYDAJ	VYBER	10200	70831	\N	\N	\N
376221	1281	1998-10-06	VYDAJ	VYBER	9400	75822	\N	\N	\N
376222	1281	1998-11-05	VYDAJ	VYBER	7900	82334	\N	\N	\N
376223	1281	1998-12-05	VYDAJ	VYBER	14300	82470	\N	\N	\N
377113	1284	1997-07-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
377115	1284	1997-12-01	PRIJEM	VKLAD	40373	79597	\N	\N	\N
377118	1284	1997-12-18	PRIJEM	VKLAD	33278	112875	\N	\N	\N
377120	1284	1997-11-21	PRIJEM	VKLAD	29213	50213	\N	\N	\N
377121	1284	1998-02-19	PRIJEM	VKLAD	17332	60725	\N	\N	\N
377122	1284	1998-07-24	PRIJEM	VKLAD	6655	75422	\N	\N	\N
377123	1284	1998-08-29	PRIJEM	VKLAD	15516	47325	\N	\N	\N
377124	1284	1998-04-29	PRIJEM	VKLAD	27331	79967	\N	\N	\N
377125	1284	1998-10-22	PRIJEM	VKLAD	39816	120420	\N	\N	\N
377126	1284	1998-03-24	PRIJEM	VKLAD	49972	84986	\N	\N	\N
377127	1284	1998-01-21	PRIJEM	VKLAD	9025	84774	\N	\N	\N
377128	1284	1998-09-04	PRIJEM	VKLAD	46829	94377	\N	\N	\N
377129	1284	1998-03-28	PRIJEM	VKLAD	16529	101515	\N	\N	\N
377130	1284	1998-05-03	PRIJEM	VKLAD	31505	111686	\N	\N	\N
377131	1284	1998-05-19	PRIJEM	VKLAD	32887	97473	\N	\N	\N
377132	1284	1998-07-21	PRIJEM	VKLAD	37161	68767	\N	\N	\N
377133	1284	1998-10-09	PRIJEM	VKLAD	24660	87204	\N	\N	\N
377134	1284	1998-01-30	PRIJEM	VKLAD	15964	67138	\N	\N	\N
377135	1284	1998-04-22	PRIJEM	VKLAD	39488	77134	\N	\N	\N
377136	1284	1998-01-08	PRIJEM	VKLAD	19795	75749	\N	\N	\N
377150	1284	1998-02-17	VYDAJ	VYBER	3800	43393	\N	\N	0
377151	1284	1998-03-05	VYDAJ	VYBER	2800	43152	\N	\N	0
377152	1284	1998-04-21	VYDAJ	VYBER	4100	37646	\N	\N	0
377153	1284	1998-05-05	VYDAJ	VYBER	4100	64586	\N	\N	0
377154	1284	1998-06-18	VYDAJ	VYBER	5200	61673	\N	\N	0
377155	1284	1998-07-02	VYDAJ	VYBER	3700	31606	\N	\N	0
377156	1284	1998-08-11	VYDAJ	VYBER	5200	54800	\N	\N	0
377157	1284	1998-09-15	VYDAJ	VYBER	3800	85139	\N	\N	0
377158	1284	1998-10-21	VYDAJ	VYBER	3000	80604	\N	\N	0
377159	1284	1998-11-12	VYDAJ	VYBER	4600	34979	\N	\N	0
377160	1284	1998-12-12	VYDAJ	PREVOD NA UCET	4376	36660	UVER	AB	29951918
377167	1284	1998-03-08	VYBER	VYBER	8138	35014	\N	\N	\N
377169	1284	1998-11-02	VYBER	VYBER	8397	39579	\N	\N	\N
377170	1284	1998-12-21	VYBER	VYBER	4058	30202	\N	\N	\N
377171	1284	1998-04-27	VYBER	VYBER	4298	72836	\N	\N	\N
377173	1284	1998-09-05	VYBER	VYBER	5438	88939	\N	\N	\N
377174	1284	1998-04-01	VYBER	VYBER	18059	48346	\N	\N	\N
377175	1284	1998-02-01	VYBER	VYBER	12992	47193	\N	\N	\N
377176	1284	1998-08-28	VYBER	VYBER	14991	31809	\N	\N	\N
377178	1284	1998-06-24	VYDAJ	VYBER	27300	34373	\N	\N	\N
377180	1284	1998-01-21	VYDAJ	VYBER	5400	79374	\N	\N	\N
377182	1284	1998-12-20	VYDAJ	VYBER	2400	34260	\N	\N	\N
377193	1284	1998-01-28	VYDAJ	VYBER	5100	74274	\N	\N	\N
377194	1284	1998-01-30	VYDAJ	VYBER	7200	59938	\N	\N	\N
377200	1284	1998-10-19	VYDAJ	VYBER	3600	83604	\N	\N	\N
377201	1284	1998-10-30	VYDAJ	VYBER	14100	47720	\N	\N	\N
377202	1284	1998-04-05	VYDAJ	VYBER	6600	41746	\N	\N	\N
377218	1284	1998-01-31	VYDAJ	VYBER	15	60185	SLUZBY	\N	\N
377219	1284	1998-02-28	VYDAJ	VYBER	15	45952	SLUZBY	\N	\N
377220	1284	1998-03-31	VYDAJ	VYBER	15	66405	SLUZBY	\N	\N
377221	1284	1998-04-30	VYDAJ	VYBER	15	80181	SLUZBY	\N	\N
377222	1284	1998-05-31	VYDAJ	VYBER	15	66873	SLUZBY	\N	\N
377223	1284	1998-06-30	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
377224	1284	1998-07-31	VYDAJ	VYBER	15	60000	SLUZBY	\N	\N
377225	1284	1998-08-31	VYDAJ	VYBER	15	47548	SLUZBY	\N	\N
377226	1284	1998-09-30	VYDAJ	VYBER	15	62544	SLUZBY	\N	\N
377227	1284	1998-10-31	VYDAJ	VYBER	15	47976	SLUZBY	\N	\N
377228	1284	1998-11-30	VYDAJ	VYBER	15	41035	SLUZBY	\N	\N
377229	1284	1997-08-31	PRIJEM	VKLAD	9000	10000	\N	\N	\N
377230	1284	1997-09-30	PRIJEM	VKLAD	6000	16000	\N	\N	\N
377231	1284	1997-10-30	PRIJEM	VKLAD	5000	21000	\N	\N	\N
377232	1284	1997-11-29	VYDAJ	VYBER	11000	39213	\N	\N	\N
377233	1284	1997-12-18	VYDAJ	VYBER	24500	88375	\N	\N	\N
377234	1284	1997-12-29	VYDAJ	VYBER	32700	55675	\N	\N	\N
377235	1284	1998-01-28	VYDAJ	VYBER	23100	51174	\N	\N	\N
377236	1284	1998-02-27	VYDAJ	VYBER	15000	45725	\N	\N	\N
377237	1284	1998-03-29	VYDAJ	VYBER	35300	66215	\N	\N	\N
377238	1284	1998-04-28	VYDAJ	VYBER	20200	52636	\N	\N	\N
377239	1284	1998-05-03	VYDAJ	VYBER	43000	68686	\N	\N	\N
377240	1284	1998-05-28	VYDAJ	VYBER	30900	66573	\N	\N	\N
377241	1284	1998-06-27	PRIJEM	VKLAD	700	35073	\N	\N	\N
377242	1284	1998-07-27	VYDAJ	VYBER	15600	59822	\N	\N	\N
377243	1284	1998-08-26	VYDAJ	VYBER	8000	46800	\N	\N	\N
377244	1284	1998-09-25	VYDAJ	VYBER	22900	62239	\N	\N	\N
377245	1284	1998-10-22	VYDAJ	VYBER	39800	80620	\N	\N	\N
377246	1284	1998-10-25	VYDAJ	VYBER	18800	61820	\N	\N	\N
377247	1284	1998-11-24	PRIJEM	VKLAD	5900	40879	\N	\N	\N
377262	1285	1993-06-04	PRIJEM	VKLAD	300	300	\N	\N	\N
377268	1285	1993-06-11	PRIJEM	VKLAD	28558	28858	\N	\N	\N
377269	1285	1993-07-11	PRIJEM	VKLAD	19039	47177	\N	\N	\N
377270	1285	1993-08-11	PRIJEM	VKLAD	19039	56488	\N	\N	\N
377271	1285	1993-09-11	PRIJEM	VKLAD	19039	57950	\N	\N	\N
377272	1285	1993-10-11	PRIJEM	VKLAD	19039	58728	\N	\N	\N
377273	1285	1993-11-11	PRIJEM	VKLAD	19039	55363	\N	\N	\N
377274	1285	1993-12-11	PRIJEM	VKLAD	28558	67301	\N	\N	\N
377275	1285	1994-01-11	PRIJEM	VKLAD	19039	60549	\N	\N	\N
377276	1285	1994-02-11	PRIJEM	VKLAD	19039	53760	\N	\N	\N
377277	1285	1994-03-11	PRIJEM	VKLAD	19039	57348	\N	\N	\N
377278	1285	1994-04-11	PRIJEM	VKLAD	19039	58583	\N	\N	\N
377279	1285	1994-05-11	PRIJEM	VKLAD	19039	54815	\N	\N	\N
377280	1285	1994-06-11	PRIJEM	VKLAD	28558	65632	\N	\N	\N
377281	1285	1994-07-11	PRIJEM	VKLAD	19039	45338	\N	\N	\N
377282	1285	1994-08-11	PRIJEM	VKLAD	19039	50306	\N	\N	\N
377283	1285	1994-09-11	PRIJEM	VKLAD	19039	51575	\N	\N	\N
377284	1285	1994-10-11	PRIJEM	VKLAD	19039	48149	\N	\N	\N
377285	1285	1994-11-11	PRIJEM	VKLAD	19039	52011	\N	\N	\N
377286	1285	1994-12-11	PRIJEM	VKLAD	28558	62704	\N	\N	\N
377287	1285	1995-01-11	PRIJEM	VKLAD	19039	54112	\N	\N	\N
377288	1285	1995-02-11	PRIJEM	VKLAD	19039	48888	\N	\N	\N
377289	1285	1995-03-11	PRIJEM	VKLAD	19039	52044	\N	\N	\N
377290	1285	1995-04-11	PRIJEM	VKLAD	19039	55834	\N	\N	\N
377291	1285	1995-05-11	PRIJEM	VKLAD	19039	54620	\N	\N	\N
377292	1285	1995-06-11	PRIJEM	VKLAD	28558	63733	\N	\N	\N
377293	1285	1995-07-11	PRIJEM	VKLAD	19039	57145	\N	\N	\N
377294	1285	1995-08-11	PRIJEM	VKLAD	19039	55037	\N	\N	\N
377295	1285	1995-09-11	PRIJEM	VKLAD	19039	51112	\N	\N	\N
377296	1285	1995-10-11	PRIJEM	VKLAD	19039	49572	\N	\N	\N
377297	1285	1995-11-11	PRIJEM	VKLAD	19039	45721	\N	\N	\N
377298	1285	1995-12-11	PRIJEM	VKLAD	28558	57181	\N	\N	\N
377299	1285	1996-01-11	PRIJEM	VKLAD	19039	44945	\N	\N	\N
377300	1285	1996-02-11	PRIJEM	VKLAD	19039	43674	\N	\N	\N
377301	1285	1996-03-11	PRIJEM	VKLAD	19039	44110	\N	\N	\N
377302	1285	1996-04-11	PRIJEM	VKLAD	19039	44941	\N	\N	\N
377303	1285	1996-05-11	PRIJEM	VKLAD	19039	48578	\N	\N	\N
377304	1285	1996-06-11	PRIJEM	VKLAD	28558	55145	\N	\N	\N
377305	1285	1996-07-11	PRIJEM	VKLAD	19039	50711	\N	\N	\N
377306	1285	1996-08-11	PRIJEM	VKLAD	19039	50370	\N	\N	\N
377307	1285	1996-09-11	PRIJEM	VKLAD	19039	48221	\N	\N	\N
377308	1285	1996-10-11	PRIJEM	VKLAD	19039	46461	\N	\N	\N
377309	1285	1996-11-11	PRIJEM	VKLAD	19039	50902	\N	\N	\N
377310	1285	1996-12-11	PRIJEM	VKLAD	28558	59768	\N	\N	\N
377311	1285	1997-01-11	PRIJEM	VKLAD	19039	44721	\N	\N	\N
377312	1285	1997-02-11	PRIJEM	VKLAD	19039	37832	\N	\N	\N
377313	1285	1997-03-11	PRIJEM	VKLAD	19039	42634	\N	\N	\N
377314	1285	1997-04-11	PRIJEM	VKLAD	19039	47057	\N	\N	\N
377315	1285	1997-05-11	PRIJEM	VKLAD	19039	48791	\N	\N	\N
377316	1285	1997-06-11	PRIJEM	VKLAD	28558	63259	\N	\N	\N
377317	1285	1997-07-11	PRIJEM	VKLAD	19039	55330	\N	\N	\N
377318	1285	1997-08-11	PRIJEM	VKLAD	19039	52590	\N	\N	\N
377319	1285	1997-09-11	PRIJEM	VKLAD	19039	49933	\N	\N	\N
377320	1285	1997-10-11	PRIJEM	VKLAD	19039	45358	\N	\N	\N
377321	1285	1997-11-11	PRIJEM	VKLAD	19039	40527	\N	\N	\N
377322	1285	1997-12-11	PRIJEM	VKLAD	28558	53480	\N	\N	\N
377323	1285	1998-01-11	PRIJEM	VKLAD	19039	46259	\N	\N	\N
377324	1285	1998-02-11	PRIJEM	VKLAD	19039	44120	\N	\N	\N
377325	1285	1998-03-11	PRIJEM	VKLAD	19039	42396	\N	\N	\N
377326	1285	1998-04-11	PRIJEM	VKLAD	19039	41952	\N	\N	\N
377327	1285	1998-05-11	PRIJEM	VKLAD	19039	41605	\N	\N	\N
377328	1285	1998-06-11	PRIJEM	VKLAD	28558	50071	\N	\N	\N
377329	1285	1998-07-11	PRIJEM	VKLAD	19039	46059	\N	\N	\N
377330	1285	1998-08-11	PRIJEM	VKLAD	19039	42933	\N	\N	\N
377331	1285	1998-09-11	PRIJEM	VKLAD	19039	44112	\N	\N	\N
377332	1285	1998-10-11	PRIJEM	VKLAD	19039	45090	\N	\N	\N
377333	1285	1998-11-11	PRIJEM	VKLAD	19039	41372	\N	\N	\N
377334	1285	1998-12-11	PRIJEM	VKLAD	28558	50764	\N	\N	\N
377344	1285	1993-10-11	VYDAJ	PREVOD NA UCET	7213	51515	SIPO	YZ	21816671
377345	1285	1993-11-11	VYDAJ	PREVOD NA UCET	7213	48150	SIPO	YZ	21816671
377346	1285	1993-12-11	VYDAJ	PREVOD NA UCET	7213	60088	SIPO	YZ	21816671
377347	1285	1994-01-11	VYDAJ	PREVOD NA UCET	7213	53336	SIPO	YZ	21816671
377348	1285	1994-02-11	VYDAJ	PREVOD NA UCET	7213	46547	SIPO	YZ	21816671
377349	1285	1994-03-11	VYDAJ	PREVOD NA UCET	7213	50135	SIPO	YZ	21816671
377350	1285	1994-04-11	VYDAJ	PREVOD NA UCET	7213	51370	SIPO	YZ	21816671
377351	1285	1994-05-11	VYDAJ	PREVOD NA UCET	7213	47602	SIPO	YZ	21816671
377352	1285	1994-06-11	VYDAJ	PREVOD NA UCET	7213	58419	SIPO	YZ	21816671
377353	1285	1994-07-11	VYDAJ	PREVOD NA UCET	7213	38125	SIPO	YZ	21816671
377354	1285	1994-08-11	VYDAJ	PREVOD NA UCET	7213	43093	SIPO	YZ	21816671
377355	1285	1994-09-11	VYDAJ	PREVOD NA UCET	7213	44362	SIPO	YZ	21816671
377356	1285	1994-10-11	VYDAJ	PREVOD NA UCET	7213	40936	SIPO	YZ	21816671
377357	1285	1994-11-11	VYDAJ	PREVOD NA UCET	7213	44798	SIPO	YZ	21816671
377358	1285	1994-12-11	VYDAJ	PREVOD NA UCET	7213	55491	SIPO	YZ	21816671
377359	1285	1995-01-11	VYDAJ	PREVOD NA UCET	7213	46899	SIPO	YZ	21816671
377360	1285	1995-02-11	VYDAJ	PREVOD NA UCET	7213	41675	SIPO	YZ	21816671
377361	1285	1995-03-11	VYDAJ	PREVOD NA UCET	7213	44831	SIPO	YZ	21816671
377362	1285	1995-04-11	VYDAJ	PREVOD NA UCET	7213	48621	SIPO	YZ	21816671
377363	1285	1995-05-11	VYDAJ	PREVOD NA UCET	7213	47407	SIPO	YZ	21816671
377364	1285	1995-06-11	VYDAJ	PREVOD NA UCET	7213	56520	SIPO	YZ	21816671
377365	1285	1995-07-11	VYDAJ	PREVOD NA UCET	7213	49932	SIPO	YZ	21816671
377366	1285	1995-08-11	VYDAJ	PREVOD NA UCET	7213	47824	SIPO	YZ	21816671
377367	1285	1995-09-11	VYDAJ	PREVOD NA UCET	7213	43899	SIPO	YZ	21816671
377368	1285	1995-10-11	VYDAJ	PREVOD NA UCET	7213	42359	SIPO	YZ	21816671
377369	1285	1995-11-11	VYDAJ	PREVOD NA UCET	7213	38508	SIPO	YZ	21816671
377370	1285	1995-12-11	VYDAJ	PREVOD NA UCET	7213	49968	SIPO	YZ	21816671
377371	1285	1996-01-11	VYDAJ	PREVOD NA UCET	7213	36232	SIPO	YZ	21816671
377372	1285	1996-02-11	VYDAJ	PREVOD NA UCET	7213	36461	SIPO	YZ	21816671
377373	1285	1996-03-11	VYDAJ	PREVOD NA UCET	7213	36897	SIPO	YZ	21816671
377374	1285	1996-04-11	VYDAJ	PREVOD NA UCET	7213	37728	SIPO	YZ	21816671
377375	1285	1996-05-11	VYDAJ	PREVOD NA UCET	7213	41365	SIPO	YZ	21816671
377376	1285	1996-06-11	VYDAJ	PREVOD NA UCET	7213	47932	SIPO	YZ	21816671
377377	1285	1996-07-11	VYDAJ	PREVOD NA UCET	7213	43498	SIPO	YZ	21816671
377378	1285	1996-08-11	VYDAJ	PREVOD NA UCET	7213	43157	SIPO	YZ	21816671
377379	1285	1996-09-11	VYDAJ	PREVOD NA UCET	7213	41008	SIPO	YZ	21816671
377380	1285	1996-10-11	VYDAJ	PREVOD NA UCET	7213	39248	SIPO	YZ	21816671
377381	1285	1996-11-11	VYDAJ	PREVOD NA UCET	7213	43689	SIPO	YZ	21816671
377382	1285	1996-12-11	VYDAJ	PREVOD NA UCET	7213	52555	SIPO	YZ	21816671
377383	1285	1997-01-11	VYDAJ	PREVOD NA UCET	7213	37508	SIPO	YZ	21816671
377384	1285	1997-02-11	VYDAJ	PREVOD NA UCET	7213	30619	SIPO	YZ	21816671
377385	1285	1997-03-11	VYDAJ	PREVOD NA UCET	7213	35421	SIPO	YZ	21816671
377386	1285	1997-04-11	VYDAJ	PREVOD NA UCET	7213	39844	SIPO	YZ	21816671
377387	1285	1997-05-11	VYDAJ	PREVOD NA UCET	7213	41578	SIPO	YZ	21816671
377388	1285	1997-06-11	VYDAJ	PREVOD NA UCET	7213	56046	SIPO	YZ	21816671
377389	1285	1997-07-11	VYDAJ	PREVOD NA UCET	7213	48117	SIPO	YZ	21816671
377390	1285	1997-08-11	VYDAJ	PREVOD NA UCET	7213	45377	SIPO	YZ	21816671
377391	1285	1997-09-11	VYDAJ	PREVOD NA UCET	7213	29120	SIPO	YZ	21816671
377392	1285	1997-10-11	VYDAJ	PREVOD NA UCET	7213	38145	SIPO	YZ	21816671
377393	1285	1997-11-11	VYDAJ	PREVOD NA UCET	7213	33314	SIPO	YZ	21816671
377394	1285	1997-12-11	VYDAJ	PREVOD NA UCET	7213	46267	SIPO	YZ	21816671
377395	1285	1998-01-11	VYDAJ	PREVOD NA UCET	7213	39046	SIPO	YZ	21816671
377396	1285	1998-02-11	VYDAJ	PREVOD NA UCET	7213	36907	SIPO	YZ	21816671
377397	1285	1998-03-11	VYDAJ	PREVOD NA UCET	7213	35183	SIPO	YZ	21816671
377398	1285	1998-04-11	VYDAJ	PREVOD NA UCET	7213	34739	SIPO	YZ	21816671
377399	1285	1998-05-11	VYDAJ	PREVOD NA UCET	7213	34392	SIPO	YZ	21816671
377400	1285	1998-06-11	VYDAJ	PREVOD NA UCET	7213	42858	SIPO	YZ	21816671
377401	1285	1998-07-11	VYDAJ	PREVOD NA UCET	7213	38846	SIPO	YZ	21816671
377402	1285	1998-08-11	VYDAJ	PREVOD NA UCET	7213	35720	SIPO	YZ	21816671
377403	1285	1998-09-11	VYDAJ	PREVOD NA UCET	7213	36899	SIPO	YZ	21816671
377404	1285	1998-10-11	VYDAJ	PREVOD NA UCET	7213	37877	SIPO	YZ	21816671
377405	1285	1998-11-11	VYDAJ	PREVOD NA UCET	7213	34159	SIPO	YZ	21816671
377406	1285	1998-12-11	VYDAJ	PREVOD NA UCET	7213	43551	SIPO	YZ	21816671
377408	1285	1994-06-26	VYDAJ	VYBER	27500	30919	\N	\N	\N
377410	1285	1996-06-07	VYDAJ	VYBER	4700	26587	\N	\N	\N
377412	1285	1998-06-02	VYDAJ	VYBER	9400	25113	\N	\N	\N
377413	1285	1993-12-21	VYDAJ	VYBER	1000	58388	\N	\N	\N
377414	1285	1994-12-20	VYDAJ	VYBER	2700	52791	\N	\N	\N
377415	1285	1995-12-16	VYDAJ	VYBER	1700	48268	\N	\N	\N
377416	1285	1996-12-30	VYDAJ	VYBER	2000	27755	\N	\N	\N
377417	1285	1997-12-20	VYDAJ	VYBER	1700	44567	\N	\N	\N
377418	1285	1998-12-02	VYDAJ	VYBER	2800	31506	\N	\N	\N
377425	1285	1994-01-30	VYDAJ	VYBER	1700	44236	\N	\N	\N
377426	1285	1994-01-18	VYDAJ	VYBER	1100	51036	\N	\N	\N
377427	1285	1994-01-18	VYDAJ	VYBER	2500	48536	\N	\N	\N
377428	1285	1994-01-28	VYDAJ	VYBER	2600	45936	\N	\N	\N
377429	1285	1994-01-08	VYDAJ	VYBER	2800	41510	\N	\N	\N
377430	1285	1994-01-14	VYDAJ	VYBER	1200	52136	\N	\N	\N
377431	1285	1995-01-04	VYDAJ	VYBER	2500	35073	\N	\N	\N
377432	1285	1995-01-30	VYDAJ	VYBER	1200	29699	\N	\N	\N
377433	1285	1995-01-14	VYDAJ	VYBER	2700	44199	\N	\N	\N
377434	1285	1995-01-23	VYDAJ	VYBER	600	43599	\N	\N	\N
377435	1285	1995-01-27	VYDAJ	VYBER	2100	30899	\N	\N	\N
377436	1285	1995-01-02	VYDAJ	VYBER	2300	37573	\N	\N	\N
377437	1285	1996-01-22	VYDAJ	VYBER	800	24532	\N	\N	\N
377438	1285	1996-01-11	VYDAJ	VYBER	1500	43445	\N	\N	\N
377439	1285	1996-01-21	VYDAJ	VYBER	1000	25332	\N	\N	\N
377440	1285	1996-01-12	VYDAJ	VYBER	900	35332	\N	\N	\N
377441	1285	1996-01-21	VYDAJ	VYBER	1400	26332	\N	\N	\N
377442	1285	1996-01-02	VYDAJ	VYBER	1300	29206	\N	\N	\N
377443	1285	1997-01-29	VYDAJ	VYBER	1900	18708	\N	\N	\N
377444	1285	1997-01-17	VYDAJ	VYBER	500	23808	\N	\N	\N
377445	1285	1997-01-19	VYDAJ	VYBER	1900	21908	\N	\N	\N
377446	1285	1997-01-03	VYDAJ	VYBER	800	27082	\N	\N	\N
377447	1285	1997-01-05	VYDAJ	VYBER	1400	25682	\N	\N	\N
377448	1285	1997-01-20	VYDAJ	VYBER	1300	20608	\N	\N	\N
377449	1285	1998-01-09	VYDAJ	VYBER	2300	34220	\N	\N	\N
377450	1285	1998-01-23	VYDAJ	VYBER	1200	34946	\N	\N	\N
377451	1285	1998-01-08	VYDAJ	VYBER	1500	36520	\N	\N	\N
377452	1285	1998-01-03	VYDAJ	VYBER	1600	38920	\N	\N	\N
377453	1285	1998-01-05	VYDAJ	VYBER	900	38020	\N	\N	\N
377454	1285	1998-01-22	VYDAJ	VYBER	2300	36146	\N	\N	\N
377458	1285	1993-11-03	VYDAJ	VYBER	4000	36324	\N	\N	\N
377459	1285	1993-12-18	VYDAJ	VYBER	700	59388	\N	\N	\N
377462	1285	1994-05-20	VYDAJ	VYBER	1400	46202	\N	\N	\N
377463	1285	1994-10-14	VYDAJ	VYBER	1600	39336	\N	\N	\N
377464	1285	1994-06-10	VYDAJ	VYBER	1200	37074	\N	\N	\N
377465	1285	1994-04-08	VYDAJ	VYBER	600	39544	\N	\N	\N
377466	1285	1994-04-22	VYDAJ	VYBER	800	50570	\N	\N	\N
377467	1285	1994-10-06	VYDAJ	VYBER	3900	29110	\N	\N	\N
377468	1285	1995-10-13	VYDAJ	VYBER	2800	39559	\N	\N	\N
377469	1285	1995-12-30	VYDAJ	VYBER	3600	30368	\N	\N	\N
377470	1285	1995-07-17	VYDAJ	VYBER	1000	48932	\N	\N	\N
377471	1285	1995-02-15	VYDAJ	VYBER	3000	38675	\N	\N	\N
377472	1285	1995-11-01	VYDAJ	VYBER	1200	27682	\N	\N	\N
377473	1285	1995-11-04	VYDAJ	VYBER	1000	26682	\N	\N	\N
377474	1285	1996-12-22	VYDAJ	VYBER	2600	29755	\N	\N	\N
377475	1285	1996-08-21	VYDAJ	VYBER	900	29057	\N	\N	\N
377476	1285	1996-06-26	VYDAJ	VYBER	2000	31532	\N	\N	\N
377477	1285	1996-03-04	VYDAJ	VYBER	600	25071	\N	\N	\N
377478	1285	1996-01-03	VYDAJ	VYBER	3300	25906	\N	\N	\N
377479	1285	1996-01-19	VYDAJ	VYBER	2100	33232	\N	\N	\N
377480	1285	1997-12-20	VYDAJ	VYBER	4200	40367	\N	\N	\N
377481	1285	1997-06-13	VYDAJ	VYBER	1400	38146	\N	\N	\N
377482	1285	1997-09-12	VYDAJ	VYBER	2900	26220	\N	\N	\N
377483	1285	1997-07-10	VYDAJ	VYBER	2000	36291	\N	\N	\N
377484	1285	1997-11-21	VYDAJ	VYBER	2500	30814	\N	\N	\N
377485	1285	1998-05-02	VYDAJ	VYBER	900	33966	\N	\N	\N
377486	1285	1998-01-15	VYDAJ	VYBER	600	38446	\N	\N	\N
377497	1285	1993-10-31	VYDAJ	VYBER	15	51724	SLUZBY	\N	\N
377498	1285	1993-11-30	VYDAJ	VYBER	15	48343	SLUZBY	\N	\N
377499	1285	1993-12-31	VYDAJ	VYBER	15	44310	SLUZBY	\N	\N
377500	1285	1994-01-31	VYDAJ	VYBER	15	34721	SLUZBY	\N	\N
377501	1285	1994-02-28	VYDAJ	VYBER	15	46709	SLUZBY	\N	\N
377502	1285	1994-03-31	VYDAJ	VYBER	15	50344	SLUZBY	\N	\N
377503	1285	1994-04-30	VYDAJ	VYBER	15	35776	SLUZBY	\N	\N
377504	1285	1994-05-31	VYDAJ	VYBER	15	38274	SLUZBY	\N	\N
377505	1285	1994-06-30	VYDAJ	VYBER	15	26299	SLUZBY	\N	\N
377506	1285	1994-07-31	VYDAJ	VYBER	15	31267	SLUZBY	\N	\N
377507	1285	1994-08-31	VYDAJ	VYBER	15	32536	SLUZBY	\N	\N
377508	1285	1994-09-30	VYDAJ	VYBER	15	33010	SLUZBY	\N	\N
377509	1285	1994-10-31	VYDAJ	VYBER	15	32972	SLUZBY	\N	\N
377510	1285	1994-11-30	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
377511	1285	1994-12-31	VYDAJ	VYBER	15	39873	SLUZBY	\N	\N
377512	1285	1995-01-31	VYDAJ	VYBER	15	29849	SLUZBY	\N	\N
377513	1285	1995-02-28	VYDAJ	VYBER	15	33005	SLUZBY	\N	\N
377514	1285	1995-03-31	VYDAJ	VYBER	15	36795	SLUZBY	\N	\N
377515	1285	1995-04-30	VYDAJ	VYBER	15	35581	SLUZBY	\N	\N
377516	1285	1995-05-31	VYDAJ	VYBER	15	35175	SLUZBY	\N	\N
377517	1285	1995-06-30	VYDAJ	VYBER	15	38106	SLUZBY	\N	\N
377518	1285	1995-07-31	VYDAJ	VYBER	15	35998	SLUZBY	\N	\N
377519	1285	1995-08-31	VYDAJ	VYBER	15	32073	SLUZBY	\N	\N
377520	1285	1995-09-30	VYDAJ	VYBER	15	30533	SLUZBY	\N	\N
377521	1285	1995-10-31	VYDAJ	VYBER	15	28882	SLUZBY	\N	\N
377522	1285	1995-11-30	VYDAJ	VYBER	15	28623	SLUZBY	\N	\N
377523	1285	1995-12-31	VYDAJ	VYBER	15	30506	SLUZBY	\N	\N
377524	1285	1996-01-31	VYDAJ	VYBER	15	24635	SLUZBY	\N	\N
377525	1285	1996-02-29	VYDAJ	VYBER	15	25671	SLUZBY	\N	\N
377526	1285	1996-03-31	VYDAJ	VYBER	15	25902	SLUZBY	\N	\N
377527	1285	1996-04-30	VYDAJ	VYBER	15	29539	SLUZBY	\N	\N
377528	1285	1996-05-31	VYDAJ	VYBER	15	31287	SLUZBY	\N	\N
377529	1285	1996-06-30	VYDAJ	VYBER	15	31672	SLUZBY	\N	\N
377530	1285	1996-07-31	VYDAJ	VYBER	15	31331	SLUZBY	\N	\N
377531	1285	1996-08-31	VYDAJ	VYBER	15	29182	SLUZBY	\N	\N
377532	1285	1996-09-30	VYDAJ	VYBER	15	27422	SLUZBY	\N	\N
377533	1285	1996-10-31	VYDAJ	VYBER	15	31863	SLUZBY	\N	\N
377534	1285	1996-11-30	VYDAJ	VYBER	15	31210	SLUZBY	\N	\N
377535	1285	1996-12-31	VYDAJ	VYBER	15	27882	SLUZBY	\N	\N
377536	1285	1997-01-31	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
377537	1285	1997-02-28	VYDAJ	VYBER	15	23595	SLUZBY	\N	\N
377538	1285	1997-03-31	VYDAJ	VYBER	15	28018	SLUZBY	\N	\N
377539	1285	1997-04-30	VYDAJ	VYBER	15	29752	SLUZBY	\N	\N
377540	1285	1997-05-31	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
377541	1285	1997-06-30	VYDAJ	VYBER	15	38291	SLUZBY	\N	\N
377542	1285	1997-07-31	VYDAJ	VYBER	15	33551	SLUZBY	\N	\N
377543	1285	1997-08-31	VYDAJ	VYBER	15	30894	SLUZBY	\N	\N
377544	1285	1997-09-30	VYDAJ	VYBER	15	26319	SLUZBY	\N	\N
377545	1285	1997-10-31	VYDAJ	VYBER	15	26888	SLUZBY	\N	\N
377546	1285	1997-11-30	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
377547	1285	1997-12-31	VYDAJ	VYBER	15	40520	SLUZBY	\N	\N
377548	1285	1998-01-31	VYDAJ	VYBER	15	35081	SLUZBY	\N	\N
377549	1285	1998-02-28	VYDAJ	VYBER	15	37057	SLUZBY	\N	\N
377550	1285	1998-03-31	VYDAJ	VYBER	15	35313	SLUZBY	\N	\N
377551	1285	1998-04-30	VYDAJ	VYBER	15	34866	SLUZBY	\N	\N
377552	1285	1998-05-31	VYDAJ	VYBER	15	34513	SLUZBY	\N	\N
377553	1285	1998-06-30	VYDAJ	VYBER	15	43020	SLUZBY	\N	\N
377554	1285	1998-07-31	VYDAJ	VYBER	15	38994	SLUZBY	\N	\N
377555	1285	1998-08-31	VYDAJ	VYBER	15	35873	SLUZBY	\N	\N
377556	1285	1998-09-30	VYDAJ	VYBER	15	37051	SLUZBY	\N	\N
377557	1285	1998-10-31	VYDAJ	VYBER	15	38033	SLUZBY	\N	\N
377558	1285	1998-11-30	VYDAJ	VYBER	15	34306	SLUZBY	\N	\N
377559	1285	1993-07-04	VYDAJ	VYBER	800	28138	\N	\N	\N
377560	1285	1993-08-03	VYDAJ	VYBER	9900	37449	\N	\N	\N
377561	1285	1993-09-02	VYDAJ	VYBER	17800	38911	\N	\N	\N
377562	1285	1993-10-02	VYDAJ	VYBER	18500	39689	\N	\N	\N
377563	1285	1993-11-01	VYDAJ	VYBER	11400	40324	\N	\N	\N
377564	1285	1993-12-01	VYDAJ	VYBER	9600	38743	\N	\N	\N
377565	1285	1993-12-31	VYDAJ	VYBER	14300	44325	\N	\N	\N
377566	1285	1994-01-30	VYDAJ	VYBER	9700	34536	\N	\N	\N
377567	1285	1994-03-01	VYDAJ	VYBER	8400	38309	\N	\N	\N
377568	1285	1994-03-31	VYDAJ	VYBER	10200	40144	\N	\N	\N
377569	1285	1994-04-30	VYDAJ	VYBER	15000	35790	\N	\N	\N
377570	1285	1994-05-30	VYDAJ	VYBER	8100	38102	\N	\N	\N
377571	1285	1994-06-29	VYDAJ	VYBER	4800	26119	\N	\N	\N
377572	1285	1994-07-29	VYDAJ	VYBER	7000	31125	\N	\N	\N
377573	1285	1994-08-28	VYDAJ	VYBER	10700	32393	\N	\N	\N
377574	1285	1994-09-27	VYDAJ	VYBER	11500	32862	\N	\N	\N
377575	1285	1994-10-27	VYDAJ	VYBER	6500	32836	\N	\N	\N
377576	1285	1994-11-26	VYDAJ	VYBER	10800	33998	\N	\N	\N
377577	1285	1994-12-26	VYDAJ	VYBER	13100	39691	\N	\N	\N
377578	1285	1995-01-25	VYDAJ	VYBER	10600	32999	\N	\N	\N
377579	1285	1995-02-24	VYDAJ	VYBER	5800	32875	\N	\N	\N
377580	1285	1995-03-26	VYDAJ	VYBER	8200	36631	\N	\N	\N
377581	1285	1995-04-25	VYDAJ	VYBER	13200	35421	\N	\N	\N
377582	1285	1995-05-25	VYDAJ	VYBER	12400	35007	\N	\N	\N
377583	1285	1995-06-24	VYDAJ	VYBER	18600	37920	\N	\N	\N
377584	1285	1995-07-24	VYDAJ	VYBER	13100	35832	\N	\N	\N
377585	1285	1995-08-23	VYDAJ	VYBER	15900	31924	\N	\N	\N
377586	1285	1995-09-22	VYDAJ	VYBER	13500	30399	\N	\N	\N
377587	1285	1995-10-22	VYDAJ	VYBER	10800	28759	\N	\N	\N
377588	1285	1995-11-21	VYDAJ	VYBER	10000	28508	\N	\N	\N
377589	1285	1995-12-21	VYDAJ	VYBER	14300	33968	\N	\N	\N
377590	1285	1996-01-20	VYDAJ	VYBER	5500	27732	\N	\N	\N
377591	1285	1996-02-19	VYDAJ	VYBER	10900	25561	\N	\N	\N
377592	1285	1996-03-20	VYDAJ	VYBER	11100	25797	\N	\N	\N
377593	1285	1996-04-19	VYDAJ	VYBER	8300	29428	\N	\N	\N
377594	1285	1996-05-19	VYDAJ	VYBER	10200	31165	\N	\N	\N
377595	1285	1996-06-18	VYDAJ	VYBER	14400	33532	\N	\N	\N
377596	1285	1996-07-18	VYDAJ	VYBER	12300	31198	\N	\N	\N
377597	1285	1996-08-17	VYDAJ	VYBER	13200	29957	\N	\N	\N
377598	1285	1996-09-16	VYDAJ	VYBER	13700	27308	\N	\N	\N
377599	1285	1996-10-16	VYDAJ	VYBER	7500	31748	\N	\N	\N
377600	1285	1996-11-15	VYDAJ	VYBER	12600	31089	\N	\N	\N
377601	1285	1996-12-15	VYDAJ	VYBER	20200	32355	\N	\N	\N
377602	1285	1997-01-14	VYDAJ	VYBER	13200	24308	\N	\N	\N
377603	1285	1997-02-13	VYDAJ	VYBER	7100	23519	\N	\N	\N
377604	1285	1997-03-15	VYDAJ	VYBER	7500	27921	\N	\N	\N
377605	1285	1997-04-14	VYDAJ	VYBER	10200	29644	\N	\N	\N
377606	1285	1997-05-14	VYDAJ	VYBER	7000	34578	\N	\N	\N
377607	1285	1997-06-13	VYDAJ	VYBER	16500	39546	\N	\N	\N
377608	1285	1997-07-13	VYDAJ	VYBER	14700	33417	\N	\N	\N
377609	1285	1997-08-12	VYDAJ	VYBER	14600	30777	\N	\N	\N
377610	1285	1997-09-11	VYDAJ	VYBER	13600	36333	\N	\N	\N
377611	1285	1997-10-11	VYDAJ	VYBER	11400	26745	\N	\N	\N
377612	1285	1997-11-10	VYDAJ	VYBER	5400	21488	\N	\N	\N
377613	1285	1997-12-10	VYDAJ	VYBER	6000	24922	\N	\N	\N
377614	1285	1998-01-09	VYDAJ	VYBER	7000	27220	\N	\N	\N
377615	1285	1998-02-08	VYDAJ	VYBER	10000	25081	\N	\N	\N
377616	1285	1998-03-10	VYDAJ	VYBER	13700	23357	\N	\N	\N
377617	1285	1998-04-09	VYDAJ	VYBER	12400	22913	\N	\N	\N
377618	1285	1998-05-09	VYDAJ	VYBER	11400	22566	\N	\N	\N
377619	1285	1998-06-08	VYDAJ	VYBER	3600	21513	\N	\N	\N
377620	1285	1998-07-08	VYDAJ	VYBER	16000	27020	\N	\N	\N
377621	1285	1998-08-07	VYDAJ	VYBER	15100	23894	\N	\N	\N
377622	1285	1998-09-06	VYDAJ	VYBER	10800	25073	\N	\N	\N
377623	1285	1998-10-06	VYDAJ	VYBER	11000	26051	\N	\N	\N
377624	1285	1998-11-05	VYDAJ	VYBER	15700	22333	\N	\N	\N
377625	1285	1998-12-05	VYDAJ	VYBER	9300	22206	\N	\N	\N
377693	1286	1993-11-23	PRIJEM	VKLAD	500	500	\N	\N	\N
377700	1286	1993-11-30	PRIJEM	VKLAD	26803	27303	\N	\N	\N
377702	1286	1993-12-19	PRIJEM	VKLAD	6646	33953	\N	\N	\N
377707	1286	1993-12-28	PRIJEM	VKLAD	5188	33141	\N	\N	\N
377712	1286	1994-07-23	PRIJEM	VKLAD	6041	59888	\N	\N	\N
377713	1286	1994-06-04	PRIJEM	VKLAD	39161	101581	\N	\N	\N
377714	1286	1994-12-12	PRIJEM	VKLAD	30157	110034	\N	\N	\N
377715	1286	1994-08-29	PRIJEM	VKLAD	42911	83456	\N	\N	\N
377716	1286	1994-07-14	PRIJEM	VKLAD	34312	110947	\N	\N	\N
377717	1286	1994-03-07	PRIJEM	VKLAD	38936	116196	\N	\N	\N
377718	1286	1994-07-13	PRIJEM	VKLAD	31167	76635	\N	\N	\N
377719	1286	1994-01-28	PRIJEM	VKLAD	34292	76413	\N	\N	\N
377720	1286	1994-11-22	PRIJEM	VKLAD	22349	49925	\N	\N	\N
377721	1286	1994-01-21	PRIJEM	VKLAD	26762	93929	\N	\N	\N
377722	1286	1994-02-21	PRIJEM	VKLAD	16036	92250	\N	\N	\N
377723	1286	1994-11-27	PRIJEM	VKLAD	28060	113572	\N	\N	\N
377724	1286	1994-06-07	PRIJEM	VKLAD	10780	103961	\N	\N	\N
377725	1286	1994-03-09	PRIJEM	VKLAD	8285	88681	\N	\N	\N
377726	1286	1994-11-22	PRIJEM	VKLAD	35587	85512	\N	\N	\N
377727	1286	1994-03-03	PRIJEM	VKLAD	31621	77260	\N	\N	\N
377728	1286	1994-03-15	PRIJEM	VKLAD	21247	109928	\N	\N	\N
377729	1286	1994-01-27	PRIJEM	VKLAD	43292	104221	\N	\N	\N
377730	1286	1994-05-31	PRIJEM	VKLAD	42908	62440	\N	\N	\N
377731	1286	1994-07-01	PRIJEM	VKLAD	27769	53968	\N	\N	\N
377732	1286	1994-01-12	PRIJEM	VKLAD	33909	67167	\N	\N	\N
377733	1286	1994-02-17	PRIJEM	VKLAD	43213	108214	\N	\N	\N
377734	1286	1994-05-06	PRIJEM	VKLAD	5853	24332	\N	\N	\N
377735	1286	1995-02-09	PRIJEM	VKLAD	36083	76754	\N	\N	\N
377736	1286	1995-04-21	PRIJEM	VKLAD	5200	44913	\N	\N	\N
377737	1286	1995-04-28	PRIJEM	VKLAD	11719	56632	\N	\N	\N
377738	1286	1995-07-30	PRIJEM	VKLAD	43115	105996	\N	\N	\N
377739	1286	1995-12-23	PRIJEM	VKLAD	12660	43942	\N	\N	\N
377740	1286	1995-02-24	PRIJEM	VKLAD	48964	100918	\N	\N	\N
377741	1286	1995-03-13	PRIJEM	VKLAD	41775	114492	\N	\N	\N
377742	1286	1995-09-25	PRIJEM	VKLAD	9206	65142	\N	\N	\N
377743	1286	1995-01-16	PRIJEM	VKLAD	27799	49483	\N	\N	\N
377744	1286	1995-07-12	PRIJEM	VKLAD	8074	97581	\N	\N	\N
377745	1286	1995-11-28	PRIJEM	VKLAD	14472	52431	\N	\N	\N
377746	1286	1995-09-23	PRIJEM	VKLAD	39848	113436	\N	\N	\N
377747	1286	1995-03-04	PRIJEM	VKLAD	45927	140717	\N	\N	\N
377748	1286	1995-04-16	PRIJEM	VKLAD	12366	106513	\N	\N	\N
377749	1286	1995-01-23	PRIJEM	VKLAD	18337	55520	\N	\N	\N
377750	1286	1995-12-10	PRIJEM	VKLAD	31792	75888	\N	\N	\N
377751	1286	1995-10-25	PRIJEM	VKLAD	37799	77621	\N	\N	\N
377752	1286	1995-06-22	PRIJEM	VKLAD	23629	52337	\N	\N	\N
377753	1286	1995-01-28	PRIJEM	VKLAD	24478	67398	\N	\N	\N
377754	1286	1995-03-20	PRIJEM	VKLAD	39990	102330	\N	\N	\N
377755	1286	1995-07-04	PRIJEM	VKLAD	47996	100407	\N	\N	\N
377756	1286	1995-11-01	PRIJEM	VKLAD	38107	115859	\N	\N	\N
377757	1286	1995-09-16	PRIJEM	VKLAD	44077	73588	\N	\N	\N
377758	1286	1995-05-03	PRIJEM	VKLAD	30100	86950	\N	\N	\N
377759	1286	1996-04-23	PRIJEM	VKLAD	20621	67072	\N	\N	\N
377760	1286	1996-03-29	PRIJEM	VKLAD	19728	62361	\N	\N	\N
377761	1286	1996-09-08	PRIJEM	VKLAD	29464	74108	\N	\N	\N
377762	1286	1996-10-17	PRIJEM	VKLAD	29465	81968	\N	\N	\N
377763	1286	1996-02-01	PRIJEM	VKLAD	28432	119831	\N	\N	\N
377764	1286	1996-01-31	PRIJEM	VKLAD	32245	91328	\N	\N	\N
377765	1286	1996-12-08	PRIJEM	VKLAD	27021	96009	\N	\N	\N
377766	1286	1996-02-04	PRIJEM	VKLAD	6648	63481	\N	\N	\N
377767	1286	1996-04-11	PRIJEM	VKLAD	40570	94509	\N	\N	\N
377768	1286	1996-04-24	PRIJEM	VKLAD	28857	95929	\N	\N	\N
377769	1286	1996-08-03	PRIJEM	VKLAD	17842	78664	\N	\N	\N
377770	1286	1996-03-03	PRIJEM	VKLAD	25858	57833	\N	\N	\N
377771	1286	1996-11-11	PRIJEM	VKLAD	49850	124038	\N	\N	\N
377772	1286	1996-09-28	PRIJEM	VKLAD	34899	117593	\N	\N	\N
377773	1286	1996-12-09	PRIJEM	VKLAD	49937	137446	\N	\N	\N
377774	1286	1996-09-18	PRIJEM	VKLAD	24186	82694	\N	\N	\N
377775	1286	1996-02-01	PRIJEM	VKLAD	30102	149933	\N	\N	\N
377776	1286	1996-07-28	PRIJEM	VKLAD	39845	74766	\N	\N	\N
377777	1286	1996-10-23	PRIJEM	VKLAD	28581	110549	\N	\N	\N
377778	1286	1996-01-25	PRIJEM	VKLAD	49116	75762	\N	\N	\N
377779	1286	1996-12-16	PRIJEM	VKLAD	48672	134618	\N	\N	\N
377780	1286	1997-01-31	PRIJEM	VKLAD	45463	71490	\N	\N	\N
377781	1286	1997-02-18	PRIJEM	VKLAD	6278	58968	\N	\N	\N
377782	1286	1997-04-23	PRIJEM	VKLAD	36341	85490	\N	\N	\N
377783	1286	1997-01-01	PRIJEM	VKLAD	38988	106209	\N	\N	\N
377784	1286	1997-09-24	PRIJEM	VKLAD	13992	79065	\N	\N	\N
377785	1286	1997-05-07	PRIJEM	VKLAD	47221	115661	\N	\N	\N
377786	1286	1997-09-22	PRIJEM	VKLAD	37492	65073	\N	\N	\N
377787	1286	1997-03-02	PRIJEM	VKLAD	28290	78120	\N	\N	\N
377788	1286	1997-11-04	PRIJEM	VKLAD	43265	101143	\N	\N	\N
377789	1286	1998-05-26	PRIJEM	VKLAD	6701	101020	\N	\N	\N
377790	1286	1998-07-21	PRIJEM	VKLAD	47988	150359	\N	\N	\N
377791	1286	1998-08-12	PRIJEM	VKLAD	23103	133894	\N	\N	\N
377792	1286	1998-10-19	PRIJEM	VKLAD	33466	89164	\N	\N	\N
377793	1286	1998-08-16	PRIJEM	VKLAD	8178	119372	\N	\N	\N
377794	1286	1998-12-07	PRIJEM	VKLAD	41105	100462	\N	\N	\N
377795	1286	1998-02-23	PRIJEM	VKLAD	49621	108754	\N	\N	\N
377796	1286	1998-07-10	PRIJEM	VKLAD	33292	102371	\N	\N	\N
377797	1286	1998-06-09	PRIJEM	VKLAD	17029	82033	\N	\N	\N
377798	1286	1998-12-30	PRIJEM	VKLAD	34506	118646	\N	\N	\N
377799	1286	1998-06-30	PRIJEM	VKLAD	23849	77883	\N	\N	\N
377800	1286	1998-06-25	PRIJEM	VKLAD	13901	95934	\N	\N	\N
377801	1286	1998-07-07	PRIJEM	VKLAD	45583	123679	\N	\N	\N
377802	1286	1998-11-07	PRIJEM	VKLAD	49131	134209	\N	\N	\N
377803	1286	1998-08-05	PRIJEM	VKLAD	44244	132949	\N	\N	\N
377804	1286	1998-02-05	PRIJEM	VKLAD	6428	73933	\N	\N	\N
377805	1286	1998-09-04	PRIJEM	VKLAD	14056	105947	\N	\N	\N
377806	1286	1998-11-11	PRIJEM	VKLAD	41934	122143	\N	\N	\N
377807	1286	1998-10-07	PRIJEM	VKLAD	38407	128432	\N	\N	\N
377808	1286	1998-04-24	PRIJEM	VKLAD	34274	95968	\N	\N	\N
377809	1286	1998-05-19	PRIJEM	VKLAD	43056	118419	\N	\N	\N
377810	1286	1998-03-03	PRIJEM	VKLAD	18388	110841	\N	\N	\N
377811	1286	1998-03-28	PRIJEM	VKLAD	10580	73546	\N	\N	\N
377812	1286	1998-01-29	PRIJEM	VKLAD	45606	64696	\N	\N	\N
377813	1286	1998-03-24	PRIJEM	VKLAD	26081	62966	\N	\N	\N
377814	1286	1998-03-03	PRIJEM	VKLAD	9979	120820	\N	\N	\N
377815	1286	1998-08-10	PRIJEM	VKLAD	19142	110791	\N	\N	\N
377829	1286	1994-02-08	VYDAJ	PREVOD NA UCET	8500	65001	SIPO	IJ	38014668
377830	1286	1994-03-08	VYDAJ	PREVOD NA UCET	8500	80396	SIPO	IJ	38014668
377831	1286	1994-04-08	VYDAJ	PREVOD NA UCET	8500	10597	SIPO	IJ	38014668
377832	1286	1994-05-08	VYDAJ	PREVOD NA UCET	8500	15832	SIPO	IJ	38014668
377833	1286	1994-06-08	VYDAJ	PREVOD NA UCET	8500	95461	SIPO	IJ	38014668
377834	1286	1994-07-08	VYDAJ	PREVOD NA UCET	8500	45468	SIPO	IJ	38014668
377835	1286	1994-08-08	VYDAJ	PREVOD NA UCET	8500	51545	SIPO	IJ	38014668
377836	1286	1994-09-08	VYDAJ	PREVOD NA UCET	8500	75092	SIPO	IJ	38014668
377837	1286	1994-10-08	VYDAJ	PREVOD NA UCET	8500	33922	SIPO	IJ	38014668
377838	1286	1994-11-08	VYDAJ	PREVOD NA UCET	8500	21176	SIPO	IJ	38014668
377839	1286	1994-12-08	VYDAJ	PREVOD NA UCET	8500	79877	SIPO	IJ	38014668
377840	1286	1995-01-08	VYDAJ	PREVOD NA UCET	8500	21684	SIPO	IJ	38014668
377841	1286	1995-02-08	VYDAJ	PREVOD NA UCET	8500	40671	SIPO	IJ	38014668
377842	1286	1995-03-08	VYDAJ	PREVOD NA UCET	8500	72717	SIPO	IJ	38014668
377843	1286	1995-04-08	VYDAJ	PREVOD NA UCET	8500	94147	SIPO	IJ	38014668
377844	1286	1995-05-08	VYDAJ	PREVOD NA UCET	8500	74550	SIPO	IJ	38014668
377845	1286	1995-06-08	VYDAJ	PREVOD NA UCET	8500	33472	SIPO	IJ	38014668
377846	1286	1995-07-08	VYDAJ	PREVOD NA UCET	8500	91907	SIPO	IJ	38014668
377847	1286	1995-08-08	VYDAJ	PREVOD NA UCET	8500	34076	SIPO	IJ	38014668
377848	1286	1995-09-08	VYDAJ	PREVOD NA UCET	8500	21211	SIPO	IJ	38014668
377849	1286	1995-10-08	VYDAJ	PREVOD NA UCET	8500	47622	SIPO	IJ	38014668
377850	1286	1995-11-08	VYDAJ	PREVOD NA UCET	8500	73059	SIPO	IJ	38014668
377851	1286	1995-12-08	VYDAJ	PREVOD NA UCET	8500	44096	SIPO	IJ	38014668
377852	1286	1996-01-08	VYDAJ	PREVOD NA UCET	8500	25346	SIPO	IJ	38014668
377853	1286	1996-02-08	VYDAJ	PREVOD NA UCET	8500	54981	SIPO	IJ	38014668
377854	1286	1996-03-08	VYDAJ	PREVOD NA UCET	8500	49333	SIPO	IJ	38014668
377855	1286	1996-04-08	VYDAJ	PREVOD NA UCET	8500	53939	SIPO	IJ	38014668
377856	1286	1996-05-08	VYDAJ	PREVOD NA UCET	8500	87626	SIPO	IJ	38014668
377857	1286	1996-06-08	VYDAJ	PREVOD NA UCET	8500	42884	SIPO	IJ	38014668
377858	1286	1996-07-08	VYDAJ	PREVOD NA UCET	8500	29863	SIPO	IJ	38014668
377859	1286	1996-08-08	VYDAJ	PREVOD NA UCET	8500	70164	SIPO	IJ	38014668
377860	1286	1996-09-08	VYDAJ	PREVOD NA UCET	8500	65608	SIPO	IJ	38014668
377861	1286	1996-10-08	VYDAJ	PREVOD NA UCET	8500	52503	SIPO	IJ	38014668
377862	1286	1996-11-08	VYDAJ	PREVOD NA UCET	8500	74188	SIPO	IJ	38014668
377863	1286	1996-12-08	VYDAJ	PREVOD NA UCET	8500	87509	SIPO	IJ	38014668
377864	1286	1997-01-08	VYDAJ	PREVOD NA UCET	8500	68109	SIPO	IJ	38014668
377865	1286	1997-02-08	VYDAJ	PREVOD NA UCET	8500	52690	SIPO	IJ	38014668
377866	1286	1997-03-08	VYDAJ	PREVOD NA UCET	8500	56920	SIPO	IJ	38014668
377867	1286	1997-04-08	VYDAJ	PREVOD NA UCET	8500	49149	SIPO	IJ	38014668
377868	1286	1997-05-08	VYDAJ	PREVOD NA UCET	8500	79861	SIPO	IJ	38014668
377869	1286	1997-06-08	VYDAJ	PREVOD NA UCET	8500	46910	SIPO	IJ	38014668
377870	1286	1997-07-08	VYDAJ	PREVOD NA UCET	8500	26977	SIPO	IJ	38014668
377871	1286	1997-08-08	VYDAJ	PREVOD NA UCET	8500	36701	SIPO	IJ	38014668
377872	1286	1997-09-08	VYDAJ	PREVOD NA UCET	8500	41741	SIPO	IJ	38014668
377873	1286	1997-10-08	VYDAJ	PREVOD NA UCET	8500	64459	SIPO	IJ	38014668
377874	1286	1997-11-08	VYDAJ	PREVOD NA UCET	8500	92643	SIPO	IJ	38014668
377875	1286	1997-12-08	VYDAJ	PREVOD NA UCET	8500	42432	SIPO	IJ	38014668
377876	1286	1998-01-08	VYDAJ	PREVOD NA UCET	8500	19090	SIPO	IJ	38014668
377877	1286	1998-02-08	VYDAJ	PREVOD NA UCET	8500	65433	SIPO	IJ	38014668
377878	1286	1998-03-08	VYDAJ	PREVOD NA UCET	8500	36885	SIPO	IJ	38014668
377879	1286	1998-04-08	VYDAJ	PREVOD NA UCET	8500	64994	SIPO	IJ	38014668
377880	1286	1998-05-08	VYDAJ	PREVOD NA UCET	8500	80572	SIPO	IJ	38014668
377881	1286	1998-06-08	VYDAJ	PREVOD NA UCET	8500	65004	SIPO	IJ	38014668
377882	1286	1998-07-08	VYDAJ	PREVOD NA UCET	8500	69079	SIPO	IJ	38014668
377883	1286	1998-08-08	VYDAJ	PREVOD NA UCET	8500	91649	SIPO	IJ	38014668
377884	1286	1998-09-08	VYDAJ	PREVOD NA UCET	8500	97447	SIPO	IJ	38014668
377885	1286	1998-10-08	VYDAJ	PREVOD NA UCET	8500	84732	SIPO	IJ	38014668
377886	1286	1998-11-08	VYDAJ	PREVOD NA UCET	8500	80209	SIPO	IJ	38014668
377887	1286	1998-12-08	VYDAJ	PREVOD NA UCET	8500	91962	SIPO	IJ	38014668
377892	1286	1994-09-26	VYBER	VYBER	7457	42235	\N	\N	\N
377893	1286	1994-04-04	VYBER	VYBER	20876	19097	\N	\N	\N
377894	1286	1995-05-09	VYBER	VYBER	17801	56749	\N	\N	\N
377895	1286	1995-12-20	VYBER	VYBER	19676	31282	\N	\N	\N
377897	1286	1995-12-10	VYBER	VYBER	7030	68858	\N	\N	\N
377898	1286	1995-10-08	VYBER	VYBER	9139	56122	\N	\N	\N
377899	1286	1995-06-15	VYBER	VYBER	5264	28208	\N	\N	\N
377900	1286	1995-03-13	VYBER	VYBER	6152	108340	\N	\N	\N
377901	1286	1995-08-13	VYBER	VYBER	2509	31567	\N	\N	\N
377902	1286	1996-04-22	VYBER	VYBER	20558	46451	\N	\N	\N
377903	1286	1996-01-30	VYBER	VYBER	16679	59083	\N	\N	\N
377904	1286	1996-09-06	VYBER	VYBER	16974	44644	\N	\N	\N
377905	1286	1996-07-16	VYBER	VYBER	2942	34921	\N	\N	\N
377906	1286	1996-07-28	VYBER	VYBER	14014	60752	\N	\N	\N
377907	1286	1996-05-27	VYBER	VYBER	4346	53280	\N	\N	\N
377908	1286	1996-12-03	VYBER	VYBER	3026	81488	\N	\N	\N
377909	1286	1996-10-05	VYBER	VYBER	14899	68903	\N	\N	\N
377911	1286	1997-11-25	VYBER	VYBER	12844	61477	\N	\N	\N
377912	1286	1997-11-27	VYBER	VYBER	17258	44219	\N	\N	\N
377913	1286	1997-10-31	VYBER	VYBER	13958	50778	\N	\N	\N
377914	1286	1997-05-31	VYBER	VYBER	22487	57710	\N	\N	\N
377915	1286	1997-07-07	VYBER	VYBER	17858	35477	\N	\N	\N
377916	1286	1997-09-15	VYBER	VYBER	14160	27581	\N	\N	\N
377918	1286	1997-02-19	VYBER	VYBER	9269	49699	\N	\N	\N
377919	1286	1997-06-09	VYBER	VYBER	2869	44041	\N	\N	\N
377920	1286	1997-12-21	VYBER	VYBER	10007	32425	\N	\N	\N
377922	1286	1997-11-17	VYBER	VYBER	15622	77021	\N	\N	\N
377924	1286	1998-11-29	VYBER	VYBER	15978	59166	\N	\N	\N
377925	1286	1998-10-15	VYBER	VYBER	17521	59111	\N	\N	\N
377926	1286	1998-12-09	VYBER	VYBER	23622	68340	\N	\N	\N
377927	1286	1998-03-07	VYBER	VYBER	19935	45385	\N	\N	\N
377928	1286	1998-11-14	VYBER	VYBER	22899	47344	\N	\N	\N
377929	1286	1998-06-07	VYBER	VYBER	18385	73504	\N	\N	\N
377930	1286	1998-11-05	VYBER	VYBER	7528	85078	\N	\N	\N
377931	1286	1998-05-13	VYBER	VYBER	5209	75363	\N	\N	\N
377932	1286	1998-10-16	VYBER	VYBER	3413	55698	\N	\N	\N
377934	1286	1994-06-21	VYDAJ	VYBER	56400	25961	\N	\N	\N
377938	1286	1998-06-25	VYDAJ	VYBER	52200	43734	\N	\N	\N
377941	1286	1995-01-30	VYDAJ	VYBER	18300	49098	\N	\N	\N
377943	1286	1997-01-11	VYDAJ	VYBER	10800	50409	\N	\N	\N
377944	1286	1998-01-03	VYDAJ	VYBER	6900	42890	\N	\N	\N
377946	1286	1994-12-02	VYDAJ	VYBER	3000	88377	\N	\N	\N
377947	1286	1995-12-12	VYDAJ	VYBER	2100	66758	\N	\N	\N
377948	1286	1996-12-12	VYDAJ	VYBER	5400	85946	\N	\N	\N
377949	1286	1997-12-01	VYDAJ	VYBER	6600	37832	\N	\N	\N
377950	1286	1998-12-22	VYDAJ	VYBER	5700	62640	\N	\N	\N
377961	1286	1994-01-29	VYDAJ	VYBER	3000	73413	\N	\N	\N
377963	1286	1995-01-27	VYDAJ	VYBER	1500	42920	\N	\N	\N
377964	1286	1995-01-17	VYDAJ	VYBER	5400	37183	\N	\N	\N
377965	1286	1995-01-08	VYDAJ	VYBER	5700	30184	\N	\N	\N
377966	1286	1995-01-25	VYDAJ	VYBER	5100	44420	\N	\N	\N
377967	1286	1995-01-03	VYDAJ	VYBER	6000	35884	\N	\N	\N
377968	1286	1995-01-23	VYDAJ	VYBER	6000	49520	\N	\N	\N
377970	1286	1996-01-05	VYDAJ	VYBER	5400	38646	\N	\N	\N
377971	1286	1996-01-14	VYDAJ	VYBER	6000	26646	\N	\N	\N
377974	1286	1996-01-06	VYDAJ	VYBER	4800	33846	\N	\N	\N
377975	1286	1997-01-25	VYDAJ	VYBER	6000	32409	\N	\N	\N
377976	1286	1997-01-30	VYDAJ	VYBER	2400	25809	\N	\N	\N
377977	1286	1997-01-13	VYDAJ	VYBER	1500	44409	\N	\N	\N
377978	1286	1997-01-23	VYDAJ	VYBER	2700	38409	\N	\N	\N
377979	1286	1997-01-03	VYDAJ	VYBER	4800	101409	\N	\N	\N
377980	1286	1997-01-12	VYDAJ	VYBER	4500	45909	\N	\N	\N
377982	1286	1998-01-05	VYDAJ	VYBER	6600	36290	\N	\N	\N
377985	1286	1998-01-07	VYDAJ	VYBER	8700	27590	\N	\N	\N
377993	1286	1994-06-13	VYDAJ	VYBER	13800	81661	\N	\N	\N
377994	1286	1994-02-28	VYDAJ	VYBER	13200	45739	\N	\N	\N
377996	1286	1994-06-05	VYDAJ	VYBER	8400	93181	\N	\N	\N
377997	1286	1995-02-26	VYDAJ	VYBER	6300	94618	\N	\N	\N
377998	1286	1995-05-04	VYDAJ	VYBER	3900	83050	\N	\N	\N
377999	1286	1995-11-14	VYDAJ	VYBER	14700	37959	\N	\N	\N
378000	1286	1995-07-09	VYDAJ	VYBER	2400	89507	\N	\N	\N
378002	1286	1996-02-14	VYDAJ	VYBER	11700	35481	\N	\N	\N
378003	1286	1996-06-23	VYDAJ	VYBER	2700	38284	\N	\N	\N
378004	1286	1996-05-26	VYDAJ	VYBER	8400	57626	\N	\N	\N
378005	1286	1996-02-20	VYDAJ	VYBER	3600	31881	\N	\N	\N
378006	1286	1996-06-07	VYDAJ	VYBER	2100	51384	\N	\N	\N
378007	1286	1997-01-26	VYDAJ	VYBER	4200	28209	\N	\N	\N
378008	1286	1997-11-18	VYDAJ	VYBER	2700	74321	\N	\N	\N
378010	1286	1997-01-22	VYDAJ	VYBER	3300	41109	\N	\N	\N
378012	1286	1997-01-31	VYDAJ	VYBER	2400	69090	\N	\N	\N
378013	1286	1997-01-10	VYDAJ	VYBER	6900	61209	\N	\N	\N
378014	1286	1998-09-14	VYDAJ	VYBER	7200	90247	\N	\N	\N
378015	1286	1998-12-29	VYDAJ	VYBER	2100	84140	\N	\N	\N
378016	1286	1998-02-12	VYDAJ	VYBER	6300	59133	\N	\N	\N
378017	1286	1998-04-23	VYDAJ	VYBER	3300	61694	\N	\N	\N
378018	1286	1998-10-11	VYDAJ	VYBER	8100	76632	\N	\N	\N
378032	1286	1994-01-31	VYDAJ	VYBER	100	73501	SLUZBY	\N	\N
378033	1286	1994-02-28	VYDAJ	VYBER	100	45639	SLUZBY	\N	\N
378034	1286	1994-03-31	VYDAJ	VYBER	100	39973	SLUZBY	\N	\N
378035	1286	1994-04-30	VYDAJ	VYBER	100	18479	SLUZBY	\N	\N
378036	1286	1994-05-31	VYDAJ	VYBER	100	62420	SLUZBY	\N	\N
378037	1286	1994-06-30	VYDAJ	VYBER	100	26199	SLUZBY	\N	\N
378038	1286	1994-07-31	VYDAJ	VYBER	100	60045	SLUZBY	\N	\N
378039	1286	1994-08-31	VYDAJ	VYBER	100	83592	SLUZBY	\N	\N
378040	1286	1994-09-30	VYDAJ	VYBER	100	42422	SLUZBY	\N	\N
378041	1286	1994-10-31	VYDAJ	VYBER	100	29676	SLUZBY	\N	\N
378042	1286	1994-11-30	VYDAJ	VYBER	100	91377	SLUZBY	\N	\N
378043	1286	1994-12-31	VYDAJ	VYBER	100	41884	SLUZBY	\N	\N
378044	1286	1995-01-31	VYDAJ	VYBER	100	49171	SLUZBY	\N	\N
378045	1286	1995-02-28	VYDAJ	VYBER	100	94790	SLUZBY	\N	\N
378046	1286	1995-03-31	VYDAJ	VYBER	100	102647	SLUZBY	\N	\N
378047	1286	1995-04-30	VYDAJ	VYBER	100	56850	SLUZBY	\N	\N
378048	1286	1995-05-31	VYDAJ	VYBER	100	41972	SLUZBY	\N	\N
378049	1286	1995-06-30	VYDAJ	VYBER	100	52411	SLUZBY	\N	\N
378050	1286	1995-07-31	VYDAJ	VYBER	100	42576	SLUZBY	\N	\N
378051	1286	1995-08-31	VYDAJ	VYBER	100	29711	SLUZBY	\N	\N
378052	1286	1995-09-30	VYDAJ	VYBER	100	65261	SLUZBY	\N	\N
378053	1286	1995-10-31	VYDAJ	VYBER	100	77752	SLUZBY	\N	\N
378054	1286	1995-11-30	VYDAJ	VYBER	100	52596	SLUZBY	\N	\N
378055	1286	1995-12-31	VYDAJ	VYBER	100	44046	SLUZBY	\N	\N
378056	1286	1996-01-31	VYDAJ	VYBER	100	91399	SLUZBY	\N	\N
378057	1286	1996-02-29	VYDAJ	VYBER	100	31975	SLUZBY	\N	\N
378058	1286	1996-03-31	VYDAJ	VYBER	100	62439	SLUZBY	\N	\N
378059	1286	1996-04-30	VYDAJ	VYBER	100	96126	SLUZBY	\N	\N
378060	1286	1996-05-31	VYDAJ	VYBER	100	53484	SLUZBY	\N	\N
378061	1286	1996-06-30	VYDAJ	VYBER	100	38363	SLUZBY	\N	\N
378062	1286	1996-07-31	VYDAJ	VYBER	100	60822	SLUZBY	\N	\N
378063	1286	1996-08-31	VYDAJ	VYBER	100	61618	SLUZBY	\N	\N
378064	1286	1996-09-30	VYDAJ	VYBER	100	83802	SLUZBY	\N	\N
378065	1286	1996-10-31	VYDAJ	VYBER	100	110788	SLUZBY	\N	\N
378066	1286	1996-11-30	VYDAJ	VYBER	100	84514	SLUZBY	\N	\N
378067	1286	1996-12-31	VYDAJ	VYBER	100	67221	SLUZBY	\N	\N
378068	1286	1997-01-31	VYDAJ	VYBER	100	68990	SLUZBY	\N	\N
378069	1286	1997-02-28	VYDAJ	VYBER	100	49830	SLUZBY	\N	\N
378070	1286	1997-03-31	VYDAJ	VYBER	100	57049	SLUZBY	\N	\N
378071	1286	1997-04-30	VYDAJ	VYBER	100	85640	SLUZBY	\N	\N
378072	1286	1997-05-31	VYDAJ	VYBER	100	57610	SLUZBY	\N	\N
378073	1286	1997-06-30	VYDAJ	VYBER	100	44135	SLUZBY	\N	\N
378074	1286	1997-07-31	VYDAJ	VYBER	100	27001	SLUZBY	\N	\N
378075	1286	1997-08-31	VYDAJ	VYBER	100	36741	SLUZBY	\N	\N
378076	1286	1997-09-30	VYDAJ	VYBER	100	79159	SLUZBY	\N	\N
378077	1286	1997-10-31	VYDAJ	VYBER	100	50678	SLUZBY	\N	\N
378078	1286	1997-11-30	VYDAJ	VYBER	100	44432	SLUZBY	\N	\N
378079	1286	1997-12-31	VYDAJ	VYBER	100	32490	SLUZBY	\N	\N
378080	1286	1998-01-31	VYDAJ	VYBER	100	67505	SLUZBY	\N	\N
378081	1286	1998-02-28	VYDAJ	VYBER	100	108953	SLUZBY	\N	\N
378082	1286	1998-03-31	VYDAJ	VYBER	100	73694	SLUZBY	\N	\N
378083	1286	1998-04-30	VYDAJ	VYBER	100	96172	SLUZBY	\N	\N
378084	1286	1998-05-31	VYDAJ	VYBER	100	91889	SLUZBY	\N	\N
378085	1286	1998-06-30	VYDAJ	VYBER	100	78096	SLUZBY	\N	\N
378086	1286	1998-07-31	VYDAJ	VYBER	100	88705	SLUZBY	\N	\N
378087	1286	1998-08-31	VYDAJ	VYBER	100	91891	SLUZBY	\N	\N
378088	1286	1998-09-30	VYDAJ	VYBER	100	90025	SLUZBY	\N	\N
378089	1286	1998-10-31	VYDAJ	VYBER	100	92606	SLUZBY	\N	\N
378090	1286	1998-11-30	VYDAJ	VYBER	100	59357	SLUZBY	\N	\N
378091	1286	1993-12-23	VYDAJ	VYBER	6000	27953	\N	\N	\N
378092	1286	1994-01-22	VYDAJ	VYBER	33000	60929	\N	\N	\N
378093	1286	1994-01-27	VYDAJ	VYBER	62100	42121	\N	\N	\N
378094	1286	1994-02-17	VYDAJ	VYBER	32000	76214	\N	\N	\N
378095	1286	1994-02-21	VYDAJ	VYBER	33600	58650	\N	\N	\N
378096	1286	1994-03-07	VYDAJ	VYBER	27300	88896	\N	\N	\N
378097	1286	1994-03-15	VYDAJ	VYBER	52300	57628	\N	\N	\N
378098	1286	1994-03-23	VYDAJ	VYBER	17800	39828	\N	\N	\N
378099	1286	1994-04-22	PRIJEM	VKLAD	7900	18497	\N	\N	\N
378100	1286	1994-05-22	PRIJEM	VKLAD	3700	19532	\N	\N	\N
378101	1286	1994-06-21	PRIJEM	VKLAD	700	82361	\N	\N	\N
378102	1286	1994-07-14	VYDAJ	VYBER	31800	79147	\N	\N	\N
378103	1286	1994-07-21	VYDAJ	VYBER	25300	53847	\N	\N	\N
378104	1286	1994-08-20	VYDAJ	VYBER	11000	40545	\N	\N	\N
378105	1286	1994-09-19	VYDAJ	VYBER	25400	49692	\N	\N	\N
378106	1286	1994-10-19	VYDAJ	VYBER	4300	29622	\N	\N	\N
378107	1286	1994-11-18	PRIJEM	VKLAD	6400	27576	\N	\N	\N
378108	1286	1994-11-27	VYDAJ	VYBER	22300	91272	\N	\N	\N
378109	1286	1994-12-12	VYDAJ	VYBER	56500	53534	\N	\N	\N
378110	1286	1994-12-18	VYDAJ	VYBER	11800	41734	\N	\N	\N
378111	1286	1995-01-17	VYDAJ	VYBER	6900	42583	\N	\N	\N
378112	1286	1995-02-16	VYDAJ	VYBER	24800	51954	\N	\N	\N
378113	1286	1995-03-04	VYDAJ	VYBER	59500	81217	\N	\N	\N
378114	1286	1995-03-13	VYDAJ	VYBER	15000	93340	\N	\N	\N
378115	1286	1995-03-18	VYDAJ	VYBER	31000	62340	\N	\N	\N
378116	1286	1995-04-16	VYDAJ	VYBER	51900	54613	\N	\N	\N
378117	1286	1995-04-17	VYDAJ	VYBER	14900	39713	\N	\N	\N
378118	1286	1995-05-17	VYDAJ	VYBER	14900	41849	\N	\N	\N
378119	1286	1995-06-16	PRIJEM	VKLAD	500	28708	\N	\N	\N
378120	1286	1995-07-16	VYDAJ	VYBER	34700	62881	\N	\N	\N
378121	1286	1995-07-30	VYDAJ	VYBER	63600	42396	\N	\N	\N
378122	1286	1995-08-15	VYDAJ	VYBER	1900	29667	\N	\N	\N
378123	1286	1995-09-14	PRIJEM	VKLAD	8300	29511	\N	\N	\N
378124	1286	1995-09-23	VYDAJ	VYBER	57500	55936	\N	\N	\N
378125	1286	1995-10-14	VYDAJ	VYBER	7800	39822	\N	\N	\N
378126	1286	1995-11-01	VYDAJ	VYBER	34300	81559	\N	\N	\N
378127	1286	1995-11-13	VYDAJ	VYBER	20400	52659	\N	\N	\N
378128	1286	1995-12-13	VYDAJ	VYBER	15800	50958	\N	\N	\N
378129	1286	1996-01-12	PRIJEM	VKLAD	7300	32646	\N	\N	\N
378130	1286	1996-02-01	VYDAJ	VYBER	33700	56833	\N	\N	\N
378131	1286	1996-02-01	VYDAJ	VYBER	59400	90533	\N	\N	\N
378132	1286	1996-02-11	VYDAJ	VYBER	7800	47181	\N	\N	\N
378133	1286	1996-03-12	VYDAJ	VYBER	6700	42633	\N	\N	\N
378134	1286	1996-04-11	VYDAJ	VYBER	27500	67009	\N	\N	\N
378135	1286	1996-05-11	VYDAJ	VYBER	21600	66026	\N	\N	\N
378136	1286	1996-06-10	VYDAJ	VYBER	1900	40984	\N	\N	\N
378137	1286	1996-07-10	PRIJEM	VKLAD	8000	37863	\N	\N	\N
378138	1286	1996-08-09	VYDAJ	VYBER	8700	61464	\N	\N	\N
378139	1286	1996-09-08	VYDAJ	VYBER	7100	58508	\N	\N	\N
378140	1286	1996-09-28	VYDAJ	VYBER	34000	83593	\N	\N	\N
378141	1286	1996-10-08	VYDAJ	VYBER	7900	61003	\N	\N	\N
378142	1286	1996-11-07	VYDAJ	VYBER	28100	82688	\N	\N	\N
378143	1286	1996-11-11	VYDAJ	VYBER	39900	84138	\N	\N	\N
378144	1286	1996-12-07	VYDAJ	VYBER	12500	68988	\N	\N	\N
378145	1286	1996-12-09	VYDAJ	VYBER	46100	91346	\N	\N	\N
378146	1286	1996-12-16	VYDAJ	VYBER	23300	111318	\N	\N	\N
378147	1286	1996-12-31	VYDAJ	VYBER	44400	67321	\N	\N	\N
378148	1286	1997-01-06	VYDAJ	VYBER	24800	76609	\N	\N	\N
378149	1286	1997-02-05	VYDAJ	VYBER	7800	61190	\N	\N	\N
378150	1286	1997-03-07	VYDAJ	VYBER	12700	65420	\N	\N	\N
378151	1286	1997-04-06	PRIJEM	VKLAD	600	57649	\N	\N	\N
378152	1286	1997-05-06	VYDAJ	VYBER	17200	68440	\N	\N	\N
378153	1286	1997-05-07	VYDAJ	VYBER	27300	88361	\N	\N	\N
378154	1286	1997-06-05	VYDAJ	VYBER	2200	55410	\N	\N	\N
378155	1286	1997-07-05	PRIJEM	VKLAD	9200	53335	\N	\N	\N
378156	1286	1997-08-04	PRIJEM	VKLAD	18200	45201	\N	\N	\N
378157	1286	1997-09-03	PRIJEM	VKLAD	13500	50241	\N	\N	\N
378158	1286	1997-10-03	VYDAJ	VYBER	6200	72959	\N	\N	\N
378159	1286	1997-11-02	PRIJEM	VKLAD	7200	57878	\N	\N	\N
378160	1286	1997-12-02	PRIJEM	VKLAD	13100	50932	\N	\N	\N
378161	1286	1998-01-01	PRIJEM	VKLAD	17300	49790	\N	\N	\N
378162	1286	1998-01-31	PRIJEM	VKLAD	2800	67605	\N	\N	\N
378163	1286	1998-03-02	VYDAJ	VYBER	16500	92453	\N	\N	\N
378164	1286	1998-03-03	VYDAJ	VYBER	55500	65320	\N	\N	\N
378165	1286	1998-04-01	VYDAJ	VYBER	200	73494	\N	\N	\N
378166	1286	1998-05-01	VYDAJ	VYBER	7100	89072	\N	\N	\N
378167	1286	1998-05-19	VYDAJ	VYBER	24100	94319	\N	\N	\N
378168	1286	1998-05-31	VYDAJ	VYBER	9400	91989	\N	\N	\N
378169	1286	1998-06-30	PRIJEM	VKLAD	10300	54034	\N	\N	\N
378170	1286	1998-07-07	VYDAJ	VYBER	46100	77579	\N	\N	\N
378171	1286	1998-07-21	VYDAJ	VYBER	63900	86459	\N	\N	\N
378172	1286	1998-07-30	PRIJEM	VKLAD	2000	88459	\N	\N	\N
378173	1286	1998-08-05	VYDAJ	VYBER	32800	100149	\N	\N	\N
378174	1286	1998-08-12	VYDAJ	VYBER	22700	111194	\N	\N	\N
378175	1286	1998-08-16	VYDAJ	VYBER	21000	98372	\N	\N	\N
378176	1286	1998-08-29	VYDAJ	VYBER	6800	91572	\N	\N	\N
378177	1286	1998-09-28	VYDAJ	VYBER	500	89747	\N	\N	\N
378178	1286	1998-10-07	VYDAJ	VYBER	35200	93232	\N	\N	\N
378179	1286	1998-10-28	PRIJEM	VKLAD	3200	92364	\N	\N	\N
378180	1286	1998-11-07	VYDAJ	VYBER	45500	88709	\N	\N	\N
378181	1286	1998-11-11	VYDAJ	VYBER	51900	70243	\N	\N	\N
378182	1286	1998-11-27	PRIJEM	VKLAD	27800	75144	\N	\N	\N
378183	1286	1998-12-27	PRIJEM	VKLAD	23600	86240	\N	\N	\N
378184	1286	1998-12-30	VYDAJ	VYBER	63400	55246	\N	\N	\N
378247	1287	1995-03-04	PRIJEM	VKLAD	600	600	\N	\N	\N
378250	1287	1995-03-07	PRIJEM	PREVOD Z UCTU	21046	21646	\N	UV	11824322
378251	1287	1995-04-07	PRIJEM	PREVOD Z UCTU	21046	41865	\N	UV	11824322
378252	1287	1995-05-07	PRIJEM	PREVOD Z UCTU	21046	55968	\N	UV	11824322
378253	1287	1995-06-07	PRIJEM	PREVOD Z UCTU	31569	72059	\N	UV	11824322
378254	1287	1995-07-07	PRIJEM	PREVOD Z UCTU	21046	69792	\N	UV	11824322
378255	1287	1995-08-07	PRIJEM	PREVOD Z UCTU	21046	64522	\N	UV	11824322
378256	1287	1995-09-07	PRIJEM	PREVOD Z UCTU	21046	57530	\N	UV	11824322
378257	1287	1995-10-07	PRIJEM	PREVOD Z UCTU	21046	56297	\N	UV	11824322
378258	1287	1995-11-07	PRIJEM	PREVOD Z UCTU	21046	62051	\N	UV	11824322
378259	1287	1995-12-07	PRIJEM	PREVOD Z UCTU	31569	60177	\N	UV	11824322
378260	1287	1996-01-07	PRIJEM	PREVOD Z UCTU	21046	46436	\N	UV	11824322
378261	1287	1996-02-07	PRIJEM	PREVOD Z UCTU	21046	46137	\N	UV	11824322
378262	1287	1996-03-07	PRIJEM	PREVOD Z UCTU	21046	58050	\N	UV	11824322
378263	1287	1996-04-07	PRIJEM	PREVOD Z UCTU	21046	59307	\N	UV	11824322
378264	1287	1996-05-07	PRIJEM	PREVOD Z UCTU	21046	62270	\N	UV	11824322
378265	1287	1996-06-07	PRIJEM	PREVOD Z UCTU	31569	58073	\N	UV	11824322
378266	1287	1996-07-07	PRIJEM	PREVOD Z UCTU	21046	50485	\N	UV	11824322
378267	1287	1996-08-07	PRIJEM	PREVOD Z UCTU	21046	54911	\N	UV	11824322
378268	1287	1996-09-07	PRIJEM	PREVOD Z UCTU	21046	59156	\N	UV	11824322
378269	1287	1996-10-07	PRIJEM	PREVOD Z UCTU	21046	63719	\N	UV	11824322
378270	1287	1996-11-07	PRIJEM	PREVOD Z UCTU	21046	54695	\N	UV	11824322
378271	1287	1996-12-07	PRIJEM	PREVOD Z UCTU	31569	57669	\N	UV	11824322
378272	1287	1997-01-07	PRIJEM	PREVOD Z UCTU	21046	41906	\N	UV	11824322
378273	1287	1997-02-07	PRIJEM	PREVOD Z UCTU	21046	44690	\N	UV	11824322
378274	1287	1997-03-07	PRIJEM	PREVOD Z UCTU	21046	56496	\N	UV	11824322
378275	1287	1997-04-07	PRIJEM	PREVOD Z UCTU	21046	50436	\N	UV	11824322
378276	1287	1997-05-07	PRIJEM	PREVOD Z UCTU	21046	60537	\N	UV	11824322
378277	1287	1997-06-07	PRIJEM	PREVOD Z UCTU	31569	82232	\N	UV	11824322
378278	1287	1997-07-07	PRIJEM	PREVOD Z UCTU	21046	76402	\N	UV	11824322
378279	1287	1997-08-07	PRIJEM	PREVOD Z UCTU	21046	73920	\N	UV	11824322
378280	1287	1997-09-07	PRIJEM	PREVOD Z UCTU	21046	65596	\N	UV	11824322
378281	1287	1997-10-07	PRIJEM	PREVOD Z UCTU	21046	53074	\N	UV	11824322
378282	1287	1997-11-07	PRIJEM	PREVOD Z UCTU	21046	58513	\N	UV	11824322
378283	1287	1997-12-07	PRIJEM	PREVOD Z UCTU	31569	67801	\N	UV	11824322
378284	1287	1998-01-07	PRIJEM	PREVOD Z UCTU	21046	70434	\N	UV	11824322
378285	1287	1998-02-07	PRIJEM	PREVOD Z UCTU	21046	44484	\N	UV	11824322
378286	1287	1998-03-07	PRIJEM	PREVOD Z UCTU	21046	65907	\N	UV	11824322
378287	1287	1998-04-07	PRIJEM	PREVOD Z UCTU	21046	80206	\N	UV	11824322
378288	1287	1998-05-07	PRIJEM	PREVOD Z UCTU	21046	85748	\N	UV	11824322
378289	1287	1998-06-07	PRIJEM	PREVOD Z UCTU	31569	101835	\N	UV	11824322
378290	1287	1998-07-07	PRIJEM	PREVOD Z UCTU	21046	78735	\N	UV	11824322
378291	1287	1998-08-07	PRIJEM	PREVOD Z UCTU	21046	80872	\N	UV	11824322
378292	1287	1998-09-07	PRIJEM	PREVOD Z UCTU	21046	63039	\N	UV	11824322
378293	1287	1998-10-07	PRIJEM	PREVOD Z UCTU	21046	79632	\N	UV	11824322
378294	1287	1998-11-07	PRIJEM	PREVOD Z UCTU	21046	74166	\N	UV	11824322
378295	1287	1998-12-07	PRIJEM	PREVOD Z UCTU	31569	72650	\N	UV	11824322
378302	1287	1995-07-14	VYDAJ	PREVOD NA UCET	2623	60550	SIPO	EF	52661430
378303	1287	1995-08-14	VYDAJ	PREVOD NA UCET	2623	44517	SIPO	EF	52661430
378304	1287	1995-09-14	VYDAJ	PREVOD NA UCET	2623	46111	SIPO	EF	52661430
378305	1287	1995-10-14	VYDAJ	PREVOD NA UCET	2623	47055	SIPO	EF	52661430
378306	1287	1995-11-14	VYDAJ	PREVOD NA UCET	2623	52809	SIPO	EF	52661430
378307	1287	1995-12-14	VYDAJ	PREVOD NA UCET	2623	50935	SIPO	EF	52661430
378308	1287	1996-01-14	VYDAJ	PREVOD NA UCET	2623	37194	SIPO	EF	52661430
378309	1287	1996-02-14	VYDAJ	PREVOD NA UCET	2623	36895	SIPO	EF	52661430
378310	1287	1996-03-14	VYDAJ	PREVOD NA UCET	2623	48808	SIPO	EF	52661430
378311	1287	1996-04-14	VYDAJ	PREVOD NA UCET	2623	50065	SIPO	EF	52661430
378312	1287	1996-05-14	VYDAJ	PREVOD NA UCET	2623	53028	SIPO	EF	52661430
378313	1287	1996-06-14	VYDAJ	PREVOD NA UCET	2623	48831	SIPO	EF	52661430
378314	1287	1996-07-14	VYDAJ	PREVOD NA UCET	2623	41243	SIPO	EF	52661430
378315	1287	1996-08-14	VYDAJ	PREVOD NA UCET	2623	45669	SIPO	EF	52661430
378316	1287	1996-09-14	VYDAJ	PREVOD NA UCET	2623	49914	SIPO	EF	52661430
378317	1287	1996-10-14	VYDAJ	PREVOD NA UCET	2623	54477	SIPO	EF	52661430
378318	1287	1996-11-14	VYDAJ	PREVOD NA UCET	2623	45453	SIPO	EF	52661430
378319	1287	1996-12-14	VYDAJ	PREVOD NA UCET	2623	48427	SIPO	EF	52661430
378320	1287	1997-01-14	VYDAJ	PREVOD NA UCET	2623	26964	SIPO	EF	52661430
378321	1287	1997-02-14	VYDAJ	PREVOD NA UCET	2623	35448	SIPO	EF	52661430
378322	1287	1997-03-14	VYDAJ	PREVOD NA UCET	2623	47254	SIPO	EF	52661430
378323	1287	1997-04-14	VYDAJ	PREVOD NA UCET	2623	41194	SIPO	EF	52661430
378324	1287	1997-05-14	VYDAJ	PREVOD NA UCET	2623	51295	SIPO	EF	52661430
378325	1287	1997-06-14	VYDAJ	PREVOD NA UCET	2623	59849	SIPO	EF	52661430
378326	1287	1997-07-14	VYDAJ	PREVOD NA UCET	2623	67160	SIPO	EF	52661430
378327	1287	1997-08-14	VYDAJ	PREVOD NA UCET	2623	39895	SIPO	EF	52661430
378328	1287	1997-09-14	VYDAJ	PREVOD NA UCET	2623	56354	SIPO	EF	52661430
378329	1287	1997-10-14	VYDAJ	PREVOD NA UCET	2623	43832	SIPO	EF	52661430
378330	1287	1997-11-14	VYDAJ	PREVOD NA UCET	2623	49271	SIPO	EF	52661430
378331	1287	1997-12-14	VYDAJ	PREVOD NA UCET	2623	58559	SIPO	EF	52661430
378332	1287	1998-01-14	VYDAJ	PREVOD NA UCET	2623	61192	SIPO	EF	52661430
378333	1287	1998-02-14	VYDAJ	PREVOD NA UCET	2623	35242	SIPO	EF	52661430
378334	1287	1998-03-14	VYDAJ	PREVOD NA UCET	2623	56665	SIPO	EF	52661430
378335	1287	1998-04-14	VYDAJ	PREVOD NA UCET	2623	70964	SIPO	EF	52661430
378336	1287	1998-05-14	VYDAJ	PREVOD NA UCET	2623	76506	SIPO	EF	52661430
378337	1287	1998-06-14	VYDAJ	PREVOD NA UCET	2623	92593	SIPO	EF	52661430
378338	1287	1998-07-14	VYDAJ	PREVOD NA UCET	2623	69493	SIPO	EF	52661430
378339	1287	1998-08-14	VYDAJ	PREVOD NA UCET	2623	71630	SIPO	EF	52661430
378340	1287	1998-09-14	VYDAJ	PREVOD NA UCET	2623	58897	SIPO	EF	52661430
378341	1287	1998-10-14	VYDAJ	PREVOD NA UCET	2623	70390	SIPO	EF	52661430
378342	1287	1998-11-14	VYDAJ	PREVOD NA UCET	2623	62624	SIPO	EF	52661430
378343	1287	1998-12-14	VYDAJ	PREVOD NA UCET	2623	61508	SIPO	EF	52661430
378350	1287	1995-07-09	VYDAJ	PREVOD NA UCET	6619	63173	 	UV	28742987
378351	1287	1995-08-09	VYDAJ	PREVOD NA UCET	6619	57903	 	UV	28742987
378352	1287	1995-09-09	VYDAJ	PREVOD NA UCET	6619	50911	 	UV	28742987
378353	1287	1995-10-09	VYDAJ	PREVOD NA UCET	6619	49678	 	UV	28742987
378354	1287	1995-11-09	VYDAJ	PREVOD NA UCET	6619	55432	 	UV	28742987
378355	1287	1995-12-09	VYDAJ	PREVOD NA UCET	6619	53558	 	UV	28742987
378356	1287	1996-01-09	VYDAJ	PREVOD NA UCET	6619	39817	 	UV	28742987
378357	1287	1996-02-09	VYDAJ	PREVOD NA UCET	6619	39518	 	UV	28742987
378358	1287	1996-03-09	VYDAJ	PREVOD NA UCET	6619	51431	 	UV	28742987
378359	1287	1996-04-09	VYDAJ	PREVOD NA UCET	6619	52688	 	UV	28742987
378360	1287	1996-05-09	VYDAJ	PREVOD NA UCET	6619	55651	 	UV	28742987
378361	1287	1996-06-09	VYDAJ	PREVOD NA UCET	6619	51454	 	UV	28742987
378362	1287	1996-07-09	VYDAJ	PREVOD NA UCET	6619	43866	 	UV	28742987
378363	1287	1996-08-09	VYDAJ	PREVOD NA UCET	6619	48292	 	UV	28742987
378364	1287	1996-09-09	VYDAJ	PREVOD NA UCET	6619	52537	 	UV	28742987
378365	1287	1996-10-09	VYDAJ	PREVOD NA UCET	6619	57100	 	UV	28742987
378366	1287	1996-11-09	VYDAJ	PREVOD NA UCET	6619	48076	 	UV	28742987
378367	1287	1996-12-09	VYDAJ	PREVOD NA UCET	6619	51050	 	UV	28742987
378368	1287	1997-01-09	VYDAJ	PREVOD NA UCET	6619	35287	 	UV	28742987
378369	1287	1997-02-09	VYDAJ	PREVOD NA UCET	6619	38071	 	UV	28742987
378370	1287	1997-03-09	VYDAJ	PREVOD NA UCET	6619	49877	 	UV	28742987
378371	1287	1997-04-09	VYDAJ	PREVOD NA UCET	6619	43817	 	UV	28742987
378372	1287	1997-05-09	VYDAJ	PREVOD NA UCET	6619	53918	 	UV	28742987
378373	1287	1997-06-09	VYDAJ	PREVOD NA UCET	6619	75613	 	UV	28742987
378374	1287	1997-07-09	VYDAJ	PREVOD NA UCET	6619	69783	 	UV	28742987
378375	1287	1997-08-09	VYDAJ	PREVOD NA UCET	6619	42518	 	UV	28742987
378376	1287	1997-09-09	VYDAJ	PREVOD NA UCET	6619	58977	 	UV	28742987
378377	1287	1997-10-09	VYDAJ	PREVOD NA UCET	6619	46455	 	UV	28742987
378378	1287	1997-11-09	VYDAJ	PREVOD NA UCET	6619	51894	 	UV	28742987
378379	1287	1997-12-09	VYDAJ	PREVOD NA UCET	6619	61182	 	UV	28742987
378380	1287	1998-01-09	VYDAJ	PREVOD NA UCET	6619	63815	 	UV	28742987
378381	1287	1998-02-09	VYDAJ	PREVOD NA UCET	6619	37865	 	UV	28742987
378382	1287	1998-03-09	VYDAJ	PREVOD NA UCET	6619	59288	 	UV	28742987
378383	1287	1998-04-09	VYDAJ	PREVOD NA UCET	6619	73587	 	UV	28742987
378384	1287	1998-05-09	VYDAJ	PREVOD NA UCET	6619	79129	 	UV	28742987
378385	1287	1998-06-09	VYDAJ	PREVOD NA UCET	6619	95216	 	UV	28742987
378386	1287	1998-07-09	VYDAJ	PREVOD NA UCET	6619	72116	 	UV	28742987
378387	1287	1998-08-09	VYDAJ	PREVOD NA UCET	6619	74253	 	UV	28742987
378388	1287	1998-09-09	VYDAJ	PREVOD NA UCET	6619	56420	 	UV	28742987
378389	1287	1998-10-09	VYDAJ	PREVOD NA UCET	6619	73013	 	UV	28742987
378390	1287	1998-11-09	VYDAJ	PREVOD NA UCET	6619	67547	 	UV	28742987
378391	1287	1998-12-09	VYDAJ	PREVOD NA UCET	6619	66031	 	UV	28742987
378399	1287	1995-08-06	VYDAJ	PREVOD NA UCET	525	43476	POJISTNE	CD	8041507
378400	1287	1995-09-06	VYDAJ	PREVOD NA UCET	525	36484	POJISTNE	CD	8041507
378401	1287	1995-10-06	VYDAJ	PREVOD NA UCET	525	35251	POJISTNE	CD	8041507
378402	1287	1995-11-06	VYDAJ	PREVOD NA UCET	525	41005	POJISTNE	CD	8041507
378403	1287	1995-12-06	VYDAJ	PREVOD NA UCET	525	28608	POJISTNE	CD	8041507
378404	1287	1996-01-06	VYDAJ	PREVOD NA UCET	525	25390	POJISTNE	CD	8041507
378405	1287	1996-02-06	VYDAJ	PREVOD NA UCET	525	25091	POJISTNE	CD	8041507
378406	1287	1996-03-06	VYDAJ	PREVOD NA UCET	525	37004	POJISTNE	CD	8041507
378407	1287	1996-04-06	VYDAJ	PREVOD NA UCET	525	38261	POJISTNE	CD	8041507
378408	1287	1996-05-06	VYDAJ	PREVOD NA UCET	525	41224	POJISTNE	CD	8041507
378409	1287	1996-06-06	VYDAJ	PREVOD NA UCET	525	26504	POJISTNE	CD	8041507
378410	1287	1996-07-06	VYDAJ	PREVOD NA UCET	525	29439	POJISTNE	CD	8041507
378411	1287	1996-08-06	VYDAJ	PREVOD NA UCET	525	33865	POJISTNE	CD	8041507
378412	1287	1996-09-06	VYDAJ	PREVOD NA UCET	525	38110	POJISTNE	CD	8041507
378413	1287	1996-10-06	VYDAJ	PREVOD NA UCET	525	42673	POJISTNE	CD	8041507
378414	1287	1996-11-06	VYDAJ	PREVOD NA UCET	525	33649	POJISTNE	CD	8041507
378415	1287	1996-12-06	VYDAJ	PREVOD NA UCET	525	26100	POJISTNE	CD	8041507
378416	1287	1997-01-06	VYDAJ	PREVOD NA UCET	525	20860	POJISTNE	CD	8041507
378417	1287	1997-02-06	VYDAJ	PREVOD NA UCET	525	23644	POJISTNE	CD	8041507
378418	1287	1997-03-06	VYDAJ	PREVOD NA UCET	525	35450	POJISTNE	CD	8041507
378419	1287	1997-04-06	VYDAJ	PREVOD NA UCET	525	29390	POJISTNE	CD	8041507
378420	1287	1997-05-06	VYDAJ	PREVOD NA UCET	525	39491	POJISTNE	CD	8041507
378421	1287	1997-06-06	VYDAJ	PREVOD NA UCET	525	50663	POJISTNE	CD	8041507
378422	1287	1997-07-06	VYDAJ	PREVOD NA UCET	525	55356	POJISTNE	CD	8041507
378423	1287	1997-08-06	VYDAJ	PREVOD NA UCET	525	52874	POJISTNE	CD	8041507
378424	1287	1997-09-06	VYDAJ	PREVOD NA UCET	525	44550	POJISTNE	CD	8041507
378425	1287	1997-10-06	VYDAJ	PREVOD NA UCET	525	32028	POJISTNE	CD	8041507
378426	1287	1997-11-06	VYDAJ	PREVOD NA UCET	525	37467	POJISTNE	CD	8041507
378427	1287	1997-12-06	VYDAJ	PREVOD NA UCET	525	36232	POJISTNE	CD	8041507
378428	1287	1998-01-06	VYDAJ	PREVOD NA UCET	525	49388	POJISTNE	CD	8041507
378429	1287	1998-02-06	VYDAJ	PREVOD NA UCET	525	23438	POJISTNE	CD	8041507
378430	1287	1998-03-06	VYDAJ	PREVOD NA UCET	525	44861	POJISTNE	CD	8041507
378431	1287	1998-04-06	VYDAJ	PREVOD NA UCET	525	59160	POJISTNE	CD	8041507
378432	1287	1998-05-06	VYDAJ	PREVOD NA UCET	525	64702	POJISTNE	CD	8041507
378433	1287	1998-06-06	VYDAJ	PREVOD NA UCET	525	70266	POJISTNE	CD	8041507
378434	1287	1998-07-06	VYDAJ	PREVOD NA UCET	525	57689	POJISTNE	CD	8041507
378435	1287	1998-08-06	VYDAJ	PREVOD NA UCET	525	59826	POJISTNE	CD	8041507
378436	1287	1998-09-06	VYDAJ	PREVOD NA UCET	525	41993	POJISTNE	CD	8041507
378437	1287	1998-10-06	VYDAJ	PREVOD NA UCET	525	58586	POJISTNE	CD	8041507
378438	1287	1998-11-06	VYDAJ	PREVOD NA UCET	525	53120	POJISTNE	CD	8041507
378439	1287	1998-12-06	VYDAJ	PREVOD NA UCET	525	41081	POJISTNE	CD	8041507
378441	1287	1995-09-10	VYBER	VYBER	2177	48734	\N	\N	\N
378444	1287	1995-08-12	VYBER	VYBER	8963	48940	\N	\N	\N
378447	1287	1995-12-02	VYBER	VYBER	12573	29133	\N	\N	\N
378450	1287	1996-05-16	VYBER	VYBER	18265	34763	\N	\N	\N
378451	1287	1996-06-20	VYBER	VYBER	5257	43574	\N	\N	\N
378453	1287	1996-06-25	VYBER	VYBER	17568	26006	\N	\N	\N
378454	1287	1996-06-04	VYBER	VYBER	4992	27029	\N	\N	\N
378455	1287	1997-08-09	VYBER	VYBER	5688	49137	\N	\N	\N
378456	1287	1997-08-07	VYBER	VYBER	19095	54825	\N	\N	\N
378457	1287	1997-04-17	VYBER	VYBER	5623	35571	\N	\N	\N
378458	1287	1997-09-24	VYBER	VYBER	22691	32363	\N	\N	\N
378460	1287	1997-12-22	VYBER	VYBER	3546	49713	\N	\N	\N
378461	1287	1997-06-11	VYBER	VYBER	13141	62472	\N	\N	\N
378463	1287	1998-07-04	VYBER	VYBER	16396	58214	\N	\N	\N
378464	1287	1998-11-15	VYBER	VYBER	21213	41411	\N	\N	\N
378465	1287	1998-01-18	VYBER	VYBER	21693	34899	\N	\N	\N
378466	1287	1998-08-30	VYBER	VYBER	19661	42269	\N	\N	\N
378467	1287	1995-12-18	VYDAJ	VYBER	5700	45235	\N	\N	\N
378468	1287	1996-12-17	VYDAJ	VYBER	3600	44827	\N	\N	\N
378469	1287	1997-12-21	VYDAJ	VYBER	1800	53259	\N	\N	\N
378470	1287	1998-12-27	VYDAJ	VYBER	6000	51308	\N	\N	\N
378477	1287	1996-01-16	VYDAJ	VYBER	4200	32994	\N	\N	\N
378478	1287	1996-01-27	VYDAJ	VYBER	2400	28194	\N	\N	\N
378479	1287	1996-01-01	VYDAJ	VYBER	7200	32215	\N	\N	\N
378480	1287	1996-01-27	VYDAJ	VYBER	8700	19494	\N	\N	\N
378481	1287	1996-01-02	VYDAJ	VYBER	6300	25915	\N	\N	\N
378482	1287	1996-01-24	VYDAJ	VYBER	2400	30594	\N	\N	\N
378483	1287	1997-01-09	VYDAJ	VYBER	2400	32887	\N	\N	\N
378486	1287	1997-01-02	VYDAJ	VYBER	8400	26485	\N	\N	\N
378487	1287	1997-01-23	VYDAJ	VYBER	8400	24064	\N	\N	\N
378488	1287	1997-01-13	VYDAJ	VYBER	3300	29587	\N	\N	\N
378489	1287	1998-01-15	VYDAJ	VYBER	6900	54292	\N	\N	\N
378493	1287	1998-01-24	VYDAJ	VYBER	2400	23799	\N	\N	\N
378494	1287	1998-01-19	VYDAJ	VYBER	8700	26199	\N	\N	\N
378495	1287	1995-09-20	VYDAJ	VYBER	6600	39511	\N	\N	\N
378496	1287	1995-08-12	VYDAJ	VYBER	1800	47140	\N	\N	\N
378499	1287	1996-12-18	VYDAJ	VYBER	9300	35527	\N	\N	\N
378500	1287	1996-11-05	VYDAJ	VYBER	11400	34174	\N	\N	\N
378501	1287	1996-09-05	VYDAJ	VYBER	3300	38635	\N	\N	\N
378502	1287	1996-12-01	VYDAJ	VYBER	14700	26625	\N	\N	\N
378503	1287	1996-05-22	VYDAJ	VYBER	3300	31463	\N	\N	\N
378504	1287	1997-10-28	VYDAJ	VYBER	7200	37832	\N	\N	\N
378505	1287	1997-11-30	VYDAJ	VYBER	14700	36757	\N	\N	\N
378506	1287	1997-02-20	VYDAJ	VYBER	1800	33648	\N	\N	\N
378507	1287	1997-01-05	VYDAJ	VYBER	5100	21385	\N	\N	\N
378508	1287	1997-03-26	VYDAJ	VYBER	12300	29754	\N	\N	\N
378509	1287	1998-10-30	VYDAJ	VYBER	11400	53390	\N	\N	\N
378510	1287	1998-12-22	VYDAJ	VYBER	4200	57308	\N	\N	\N
378518	1287	1995-07-31	VYDAJ	VYBER	15	60801	SLUZBY	\N	\N
378519	1287	1995-08-31	VYDAJ	VYBER	15	37009	SLUZBY	\N	\N
378520	1287	1995-09-30	VYDAJ	VYBER	15	39676	SLUZBY	\N	\N
378521	1287	1995-10-31	VYDAJ	VYBER	15	41530	SLUZBY	\N	\N
378522	1287	1995-11-30	VYDAJ	VYBER	15	41706	SLUZBY	\N	\N
378523	1287	1995-12-31	VYDAJ	VYBER	15	39415	SLUZBY	\N	\N
378524	1287	1996-01-31	VYDAJ	VYBER	15	25616	SLUZBY	\N	\N
378525	1287	1996-02-29	VYDAJ	VYBER	15	37529	SLUZBY	\N	\N
378526	1287	1996-03-31	VYDAJ	VYBER	15	38786	SLUZBY	\N	\N
378527	1287	1996-04-30	VYDAJ	VYBER	15	41749	SLUZBY	\N	\N
378528	1287	1996-05-31	VYDAJ	VYBER	15	32021	SLUZBY	\N	\N
378529	1287	1996-06-30	VYDAJ	VYBER	15	29964	SLUZBY	\N	\N
378530	1287	1996-07-31	VYDAJ	VYBER	15	34390	SLUZBY	\N	\N
378531	1287	1996-08-31	VYDAJ	VYBER	15	41935	SLUZBY	\N	\N
378532	1287	1996-09-30	VYDAJ	VYBER	15	43198	SLUZBY	\N	\N
378533	1287	1996-10-31	VYDAJ	VYBER	15	45574	SLUZBY	\N	\N
378534	1287	1996-11-30	VYDAJ	VYBER	15	41325	SLUZBY	\N	\N
378535	1287	1996-12-31	VYDAJ	VYBER	15	34885	SLUZBY	\N	\N
378536	1287	1997-01-31	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
378537	1287	1997-02-28	VYDAJ	VYBER	15	35975	SLUZBY	\N	\N
378538	1287	1997-03-31	VYDAJ	VYBER	15	29915	SLUZBY	\N	\N
378539	1287	1997-04-30	VYDAJ	VYBER	15	40016	SLUZBY	\N	\N
378540	1287	1997-05-31	VYDAJ	VYBER	15	51188	SLUZBY	\N	\N
378541	1287	1997-06-30	VYDAJ	VYBER	15	55881	SLUZBY	\N	\N
378542	1287	1997-07-31	VYDAJ	VYBER	15	53399	SLUZBY	\N	\N
378543	1287	1997-08-31	VYDAJ	VYBER	15	45075	SLUZBY	\N	\N
378544	1287	1997-09-30	VYDAJ	VYBER	15	32553	SLUZBY	\N	\N
378545	1287	1997-10-31	VYDAJ	VYBER	15	37992	SLUZBY	\N	\N
378546	1287	1997-11-30	VYDAJ	VYBER	15	51457	SLUZBY	\N	\N
378547	1287	1997-12-31	VYDAJ	VYBER	15	49913	SLUZBY	\N	\N
378548	1287	1998-01-31	VYDAJ	VYBER	15	23963	SLUZBY	\N	\N
378549	1287	1998-02-28	VYDAJ	VYBER	15	45386	SLUZBY	\N	\N
378550	1287	1998-03-31	VYDAJ	VYBER	15	59685	SLUZBY	\N	\N
378551	1287	1998-04-30	VYDAJ	VYBER	15	65227	SLUZBY	\N	\N
378552	1287	1998-05-31	VYDAJ	VYBER	15	70791	SLUZBY	\N	\N
378553	1287	1998-06-30	VYDAJ	VYBER	15	74610	SLUZBY	\N	\N
378554	1287	1998-07-31	VYDAJ	VYBER	15	60351	SLUZBY	\N	\N
378555	1287	1998-08-31	VYDAJ	VYBER	15	42518	SLUZBY	\N	\N
378556	1287	1998-09-30	VYDAJ	VYBER	15	59111	SLUZBY	\N	\N
378557	1287	1998-10-31	VYDAJ	VYBER	15	53645	SLUZBY	\N	\N
378558	1287	1998-11-30	VYDAJ	VYBER	15	41606	SLUZBY	\N	\N
378559	1287	1995-04-03	VYDAJ	VYBER	900	20819	\N	\N	\N
378560	1287	1995-05-03	VYDAJ	VYBER	7100	34922	\N	\N	\N
378561	1287	1995-06-02	VYDAJ	VYBER	15700	40490	\N	\N	\N
378562	1287	1995-07-02	VYDAJ	VYBER	23600	48746	\N	\N	\N
378563	1287	1995-08-01	VYDAJ	VYBER	16800	44001	\N	\N	\N
378564	1287	1995-08-31	VYDAJ	VYBER	7700	37024	\N	\N	\N
378565	1287	1995-09-30	VYDAJ	VYBER	3900	35776	\N	\N	\N
378566	1287	1995-10-30	VYDAJ	VYBER	5700	41355	\N	\N	\N
378567	1287	1995-11-29	VYDAJ	VYBER	11300	41509	\N	\N	\N
378568	1287	1995-12-29	VYDAJ	VYBER	6000	39235	\N	\N	\N
378569	1287	1996-01-28	PRIJEM	VKLAD	6000	25494	\N	\N	\N
378570	1287	1996-02-27	PRIJEM	VKLAD	500	37395	\N	\N	\N
378571	1287	1996-03-28	VYDAJ	VYBER	10200	38608	\N	\N	\N
378572	1287	1996-04-27	VYDAJ	VYBER	8500	41565	\N	\N	\N
378573	1287	1996-05-27	PRIJEM	VKLAD	400	31863	\N	\N	\N
378574	1287	1996-06-26	PRIJEM	VKLAD	3800	29806	\N	\N	\N
378575	1287	1996-07-26	VYDAJ	VYBER	7000	34243	\N	\N	\N
378576	1287	1996-08-25	VYDAJ	VYBER	3900	41769	\N	\N	\N
378577	1287	1996-09-24	VYDAJ	VYBER	6900	43014	\N	\N	\N
378578	1287	1996-10-24	VYDAJ	VYBER	9100	45377	\N	\N	\N
378579	1287	1996-11-23	VYDAJ	VYBER	4300	41153	\N	\N	\N
378580	1287	1996-12-23	VYDAJ	VYBER	800	34727	\N	\N	\N
378581	1287	1997-01-22	PRIJEM	VKLAD	5500	32464	\N	\N	\N
378582	1287	1997-02-21	PRIJEM	VKLAD	2200	35848	\N	\N	\N
378583	1287	1997-03-23	VYDAJ	VYBER	5200	42054	\N	\N	\N
378584	1287	1997-04-22	PRIJEM	VKLAD	4300	39871	\N	\N	\N
378585	1287	1997-05-22	VYDAJ	VYBER	300	50995	\N	\N	\N
378586	1287	1997-06-21	VYDAJ	VYBER	4200	55649	\N	\N	\N
378587	1287	1997-07-21	VYDAJ	VYBER	14000	53160	\N	\N	\N
378588	1287	1997-08-20	PRIJEM	VKLAD	5000	44895	\N	\N	\N
378589	1287	1997-09-19	VYDAJ	VYBER	1300	55054	\N	\N	\N
378590	1287	1997-10-19	PRIJEM	VKLAD	1200	45032	\N	\N	\N
378591	1287	1997-11-18	PRIJEM	VKLAD	2000	51271	\N	\N	\N
378592	1287	1997-12-18	VYDAJ	VYBER	3500	55059	\N	\N	\N
378593	1287	1998-01-17	PRIJEM	VKLAD	2300	56592	\N	\N	\N
378594	1287	1998-02-16	PRIJEM	VKLAD	10000	45242	\N	\N	\N
378595	1287	1998-03-18	PRIJEM	VKLAD	2800	59465	\N	\N	\N
378596	1287	1998-04-17	VYDAJ	VYBER	6000	64964	\N	\N	\N
378597	1287	1998-05-17	VYDAJ	VYBER	6000	70506	\N	\N	\N
378598	1287	1998-06-16	VYDAJ	VYBER	18300	74293	\N	\N	\N
378599	1287	1998-07-16	VYDAJ	VYBER	9400	60093	\N	\N	\N
378600	1287	1998-08-15	VYDAJ	VYBER	9700	61930	\N	\N	\N
378601	1287	1998-09-14	PRIJEM	VKLAD	5100	61520	\N	\N	\N
378602	1287	1998-10-14	VYDAJ	VYBER	5600	64790	\N	\N	\N
378603	1287	1998-11-13	VYDAJ	VYBER	2300	65247	\N	\N	\N
378604	1287	1998-12-13	VYDAJ	VYBER	1900	64131	\N	\N	\N
378651	1288	1993-11-27	PRIJEM	VKLAD	600	600	\N	\N	\N
378663	1288	1993-12-08	PRIJEM	PREVOD Z UCTU	6059	6659	DUCHOD	KL	7797551
378664	1288	1994-01-08	PRIJEM	PREVOD Z UCTU	6059	12718	DUCHOD	KL	7797551
378665	1288	1994-02-08	PRIJEM	PREVOD Z UCTU	6059	18777	DUCHOD	KL	7797551
378666	1288	1994-03-08	PRIJEM	PREVOD Z UCTU	6059	24836	DUCHOD	KL	7797551
378667	1288	1994-04-08	PRIJEM	PREVOD Z UCTU	6059	30511	DUCHOD	KL	7797551
378668	1288	1994-05-08	PRIJEM	PREVOD Z UCTU	6059	30916	DUCHOD	KL	7797551
378669	1288	1994-06-08	PRIJEM	PREVOD Z UCTU	6059	31522	DUCHOD	KL	7797551
378670	1288	1994-07-08	PRIJEM	PREVOD Z UCTU	6059	32930	DUCHOD	KL	7797551
378671	1288	1994-08-08	PRIJEM	PREVOD Z UCTU	6059	24708	DUCHOD	KL	7797551
378672	1288	1994-09-08	PRIJEM	PREVOD Z UCTU	6059	27898	DUCHOD	KL	7797551
378673	1288	1994-10-08	PRIJEM	PREVOD Z UCTU	6059	30893	DUCHOD	KL	7797551
378674	1288	1994-11-08	PRIJEM	PREVOD Z UCTU	6059	33701	DUCHOD	KL	7797551
378675	1288	1994-12-08	PRIJEM	PREVOD Z UCTU	6059	29472	DUCHOD	KL	7797551
378676	1288	1995-01-08	PRIJEM	PREVOD Z UCTU	6059	25975	DUCHOD	KL	7797551
378677	1288	1995-02-08	PRIJEM	PREVOD Z UCTU	6059	20209	DUCHOD	KL	7797551
378678	1288	1995-03-08	PRIJEM	PREVOD Z UCTU	6059	22652	DUCHOD	KL	7797551
378679	1288	1995-04-08	PRIJEM	PREVOD Z UCTU	6059	21265	DUCHOD	KL	7797551
378680	1288	1995-05-08	PRIJEM	PREVOD Z UCTU	6059	20543	DUCHOD	KL	7797551
378681	1288	1995-06-08	PRIJEM	PREVOD Z UCTU	6059	21505	DUCHOD	KL	7797551
378682	1288	1995-07-08	PRIJEM	PREVOD Z UCTU	6059	23872	DUCHOD	KL	7797551
378683	1288	1995-08-08	PRIJEM	PREVOD Z UCTU	6059	24747	DUCHOD	KL	7797551
378684	1288	1995-09-08	PRIJEM	PREVOD Z UCTU	6059	21740	DUCHOD	KL	7797551
378685	1288	1995-10-08	PRIJEM	PREVOD Z UCTU	6059	21285	DUCHOD	KL	7797551
378686	1288	1995-11-08	PRIJEM	PREVOD Z UCTU	6059	24152	DUCHOD	KL	7797551
378687	1288	1995-12-08	PRIJEM	PREVOD Z UCTU	6059	25429	DUCHOD	KL	7797551
378688	1288	1996-01-08	PRIJEM	PREVOD Z UCTU	6059	22748	DUCHOD	KL	7797551
378689	1288	1996-02-08	PRIJEM	PREVOD Z UCTU	6059	19589	DUCHOD	KL	7797551
378690	1288	1996-03-08	PRIJEM	PREVOD Z UCTU	6059	21346	DUCHOD	KL	7797551
378691	1288	1996-04-08	PRIJEM	PREVOD Z UCTU	6059	19804	DUCHOD	KL	7797551
378692	1288	1996-05-08	PRIJEM	PREVOD Z UCTU	6059	19558	DUCHOD	KL	7797551
378693	1288	1996-06-08	PRIJEM	PREVOD Z UCTU	6059	19652	DUCHOD	KL	7797551
378694	1288	1996-07-08	PRIJEM	PREVOD Z UCTU	6059	20407	DUCHOD	KL	7797551
378695	1288	1996-08-08	PRIJEM	PREVOD Z UCTU	6059	18860	DUCHOD	KL	7797551
378696	1288	1996-09-08	PRIJEM	PREVOD Z UCTU	6059	22017	DUCHOD	KL	7797551
378697	1288	1996-10-08	PRIJEM	PREVOD Z UCTU	6059	24493	DUCHOD	KL	7797551
378698	1288	1996-11-08	PRIJEM	PREVOD Z UCTU	6059	26370	DUCHOD	KL	7797551
378699	1288	1996-12-08	PRIJEM	PREVOD Z UCTU	6059	24196	DUCHOD	KL	7797551
378700	1288	1997-01-08	PRIJEM	PREVOD Z UCTU	6059	19913	DUCHOD	KL	7797551
378701	1288	1997-02-08	PRIJEM	PREVOD Z UCTU	6059	19952	DUCHOD	KL	7797551
378702	1288	1997-03-08	PRIJEM	PREVOD Z UCTU	6059	22213	DUCHOD	KL	7797551
378703	1288	1997-04-08	PRIJEM	PREVOD Z UCTU	6059	16961	DUCHOD	KL	7797551
378704	1288	1997-05-08	PRIJEM	PREVOD Z UCTU	6059	14796	DUCHOD	KL	7797551
378705	1288	1997-06-08	PRIJEM	PREVOD Z UCTU	6059	17936	DUCHOD	KL	7797551
378706	1288	1997-07-08	PRIJEM	PREVOD Z UCTU	6059	14973	DUCHOD	KL	7797551
378707	1288	1997-08-08	PRIJEM	PREVOD Z UCTU	6059	18114	DUCHOD	KL	7797551
378708	1288	1997-09-08	PRIJEM	PREVOD Z UCTU	6059	17058	DUCHOD	KL	7797551
378709	1288	1997-10-08	PRIJEM	PREVOD Z UCTU	6059	20207	DUCHOD	KL	7797551
378710	1288	1997-11-08	PRIJEM	PREVOD Z UCTU	6059	20369	DUCHOD	KL	7797551
378711	1288	1997-12-08	PRIJEM	PREVOD Z UCTU	6059	20638	DUCHOD	KL	7797551
378712	1288	1998-01-08	PRIJEM	PREVOD Z UCTU	6059	18417	DUCHOD	KL	7797551
378713	1288	1998-02-08	PRIJEM	PREVOD Z UCTU	6059	20374	DUCHOD	KL	7797551
378714	1288	1998-03-08	PRIJEM	PREVOD Z UCTU	6059	19237	DUCHOD	KL	7797551
378715	1288	1998-04-08	PRIJEM	PREVOD Z UCTU	6059	18602	DUCHOD	KL	7797551
378716	1288	1998-05-08	PRIJEM	PREVOD Z UCTU	6059	18920	DUCHOD	KL	7797551
378717	1288	1998-06-08	PRIJEM	PREVOD Z UCTU	6059	21381	DUCHOD	KL	7797551
378718	1288	1998-07-08	PRIJEM	PREVOD Z UCTU	6059	23910	DUCHOD	KL	7797551
378719	1288	1998-08-08	PRIJEM	PREVOD Z UCTU	6059	23088	DUCHOD	KL	7797551
378720	1288	1998-09-08	PRIJEM	PREVOD Z UCTU	6059	20269	DUCHOD	KL	7797551
378721	1288	1998-10-08	PRIJEM	PREVOD Z UCTU	6059	21440	DUCHOD	KL	7797551
378722	1288	1998-11-08	PRIJEM	PREVOD Z UCTU	6059	24610	DUCHOD	KL	7797551
378723	1288	1998-12-08	PRIJEM	PREVOD Z UCTU	6059	27790	DUCHOD	KL	7797551
378739	1288	1994-04-12	VYDAJ	PREVOD NA UCET	2948	27563	SIPO	IJ	87367409
378740	1288	1994-05-12	VYDAJ	PREVOD NA UCET	2948	27968	SIPO	IJ	87367409
378741	1288	1994-06-12	VYDAJ	PREVOD NA UCET	2948	28574	SIPO	IJ	87367409
378742	1288	1994-07-12	VYDAJ	PREVOD NA UCET	2948	24062	SIPO	IJ	87367409
378743	1288	1994-08-12	VYDAJ	PREVOD NA UCET	2948	21760	SIPO	IJ	87367409
378744	1288	1994-09-12	VYDAJ	PREVOD NA UCET	2948	24950	SIPO	IJ	87367409
378745	1288	1994-10-12	VYDAJ	PREVOD NA UCET	2948	27945	SIPO	IJ	87367409
378746	1288	1994-11-12	VYDAJ	PREVOD NA UCET	2948	30753	SIPO	IJ	87367409
378747	1288	1994-12-12	VYDAJ	PREVOD NA UCET	2948	26524	SIPO	IJ	87367409
378748	1288	1995-01-12	VYDAJ	PREVOD NA UCET	2948	23027	SIPO	IJ	87367409
378749	1288	1995-02-12	VYDAJ	PREVOD NA UCET	2948	17261	SIPO	IJ	87367409
378750	1288	1995-03-12	VYDAJ	PREVOD NA UCET	2948	19704	SIPO	IJ	87367409
378751	1288	1995-04-12	VYDAJ	PREVOD NA UCET	2948	18317	SIPO	IJ	87367409
378752	1288	1995-05-12	VYDAJ	PREVOD NA UCET	2948	17595	SIPO	IJ	87367409
378753	1288	1995-06-12	VYDAJ	PREVOD NA UCET	2948	18557	SIPO	IJ	87367409
378754	1288	1995-07-12	VYDAJ	PREVOD NA UCET	2948	20924	SIPO	IJ	87367409
378755	1288	1995-08-12	VYDAJ	PREVOD NA UCET	2948	21799	SIPO	IJ	87367409
378756	1288	1995-09-12	VYDAJ	PREVOD NA UCET	2948	18792	SIPO	IJ	87367409
378757	1288	1995-10-12	VYDAJ	PREVOD NA UCET	2948	18337	SIPO	IJ	87367409
378758	1288	1995-11-12	VYDAJ	PREVOD NA UCET	2948	21204	SIPO	IJ	87367409
378759	1288	1995-12-12	VYDAJ	PREVOD NA UCET	2948	22481	SIPO	IJ	87367409
378760	1288	1996-01-12	VYDAJ	PREVOD NA UCET	2948	17000	SIPO	IJ	87367409
378761	1288	1996-02-12	VYDAJ	PREVOD NA UCET	2948	16641	SIPO	IJ	87367409
378762	1288	1996-03-12	VYDAJ	PREVOD NA UCET	2948	18398	SIPO	IJ	87367409
378763	1288	1996-04-12	VYDAJ	PREVOD NA UCET	2948	16856	SIPO	IJ	87367409
378764	1288	1996-05-12	VYDAJ	PREVOD NA UCET	2948	14450	SIPO	IJ	87367409
378765	1288	1996-06-12	VYDAJ	PREVOD NA UCET	2948	16704	SIPO	IJ	87367409
378766	1288	1996-07-12	VYDAJ	PREVOD NA UCET	2948	17459	SIPO	IJ	87367409
378767	1288	1996-08-12	VYDAJ	PREVOD NA UCET	2948	15912	SIPO	IJ	87367409
378768	1288	1996-09-12	VYDAJ	PREVOD NA UCET	2948	18369	SIPO	IJ	87367409
378769	1288	1996-10-12	VYDAJ	PREVOD NA UCET	2948	21545	SIPO	IJ	87367409
378770	1288	1996-11-12	VYDAJ	PREVOD NA UCET	2948	18622	SIPO	IJ	87367409
378771	1288	1996-12-12	VYDAJ	PREVOD NA UCET	2948	19048	SIPO	IJ	87367409
378772	1288	1997-01-12	VYDAJ	PREVOD NA UCET	2948	16325	SIPO	IJ	87367409
378773	1288	1997-02-12	VYDAJ	PREVOD NA UCET	2948	16104	SIPO	IJ	87367409
378774	1288	1997-03-12	VYDAJ	PREVOD NA UCET	2948	10865	SIPO	IJ	87367409
378775	1288	1997-04-12	VYDAJ	PREVOD NA UCET	2948	8713	SIPO	IJ	87367409
378776	1288	1997-05-12	VYDAJ	PREVOD NA UCET	2948	11848	SIPO	IJ	87367409
378777	1288	1997-06-12	VYDAJ	PREVOD NA UCET	2948	8888	SIPO	IJ	87367409
378778	1288	1997-07-12	VYDAJ	PREVOD NA UCET	2948	12025	SIPO	IJ	87367409
378779	1288	1997-08-12	VYDAJ	PREVOD NA UCET	2948	10966	SIPO	IJ	87367409
378780	1288	1997-09-12	VYDAJ	PREVOD NA UCET	2948	14110	SIPO	IJ	87367409
378781	1288	1997-10-12	VYDAJ	PREVOD NA UCET	2948	17259	SIPO	IJ	87367409
378782	1288	1997-11-12	VYDAJ	PREVOD NA UCET	2948	17421	SIPO	IJ	87367409
378783	1288	1997-12-12	VYDAJ	PREVOD NA UCET	2948	17690	SIPO	IJ	87367409
378784	1288	1998-01-12	VYDAJ	PREVOD NA UCET	2948	15469	SIPO	IJ	87367409
378785	1288	1998-02-12	VYDAJ	PREVOD NA UCET	2948	17426	SIPO	IJ	87367409
378786	1288	1998-03-12	VYDAJ	PREVOD NA UCET	2948	16289	SIPO	IJ	87367409
378787	1288	1998-04-12	VYDAJ	PREVOD NA UCET	2948	14214	SIPO	IJ	87367409
378788	1288	1998-05-12	VYDAJ	PREVOD NA UCET	2948	15972	SIPO	IJ	87367409
378789	1288	1998-06-12	VYDAJ	PREVOD NA UCET	2948	17793	SIPO	IJ	87367409
378790	1288	1998-07-12	VYDAJ	PREVOD NA UCET	2948	20962	SIPO	IJ	87367409
378791	1288	1998-08-12	VYDAJ	PREVOD NA UCET	2948	20140	SIPO	IJ	87367409
378792	1288	1998-09-12	VYDAJ	PREVOD NA UCET	2948	17321	SIPO	IJ	87367409
378793	1288	1998-10-12	VYDAJ	PREVOD NA UCET	2948	18492	SIPO	IJ	87367409
378794	1288	1998-11-12	VYDAJ	PREVOD NA UCET	2948	21662	SIPO	IJ	87367409
378795	1288	1998-12-12	VYDAJ	PREVOD NA UCET	2948	24842	SIPO	IJ	87367409
378797	1288	1994-06-21	VYDAJ	VYBER	1800	26774	\N	\N	\N
378804	1288	1995-01-29	VYDAJ	VYBER	2250	14077	\N	\N	\N
378805	1288	1996-01-10	VYDAJ	VYBER	2800	19948	\N	\N	\N
378806	1288	1997-01-01	VYDAJ	VYBER	3500	15614	\N	\N	\N
378809	1288	1994-12-06	VYDAJ	VYBER	900	23413	\N	\N	\N
378810	1288	1995-12-02	VYDAJ	VYBER	800	19370	\N	\N	\N
378811	1288	1996-12-01	VYDAJ	VYBER	550	18137	\N	\N	\N
378812	1288	1997-12-15	VYDAJ	VYBER	450	17240	\N	\N	\N
378813	1288	1998-12-29	VYDAJ	VYBER	600	24242	\N	\N	\N
378826	1288	1995-01-20	VYDAJ	VYBER	960	21187	\N	\N	\N
378827	1288	1995-01-28	VYDAJ	VYBER	1280	16327	\N	\N	\N
378828	1288	1995-01-22	VYDAJ	VYBER	1920	18167	\N	\N	\N
378829	1288	1995-01-03	VYDAJ	VYBER	2240	19916	\N	\N	\N
378830	1288	1995-01-28	VYDAJ	VYBER	560	17607	\N	\N	\N
378831	1288	1995-01-18	VYDAJ	VYBER	880	22147	\N	\N	\N
378833	1288	1996-01-02	VYDAJ	VYBER	560	16689	\N	\N	\N
378834	1288	1996-01-13	VYDAJ	VYBER	960	14280	\N	\N	\N
378836	1288	1996-01-12	VYDAJ	VYBER	1760	15240	\N	\N	\N
378839	1288	1997-01-14	VYDAJ	VYBER	2080	14245	\N	\N	\N
378840	1288	1997-01-02	VYDAJ	VYBER	1760	13854	\N	\N	\N
378841	1288	1997-01-10	VYDAJ	VYBER	640	19273	\N	\N	\N
378843	1288	1997-01-23	VYDAJ	VYBER	400	13845	\N	\N	\N
378844	1288	1998-01-01	VYDAJ	VYBER	800	16498	\N	\N	\N
378845	1288	1998-01-14	VYDAJ	VYBER	1200	14269	\N	\N	\N
378847	1288	1998-01-02	VYDAJ	VYBER	1040	15458	\N	\N	\N
378855	1288	1994-11-21	VYDAJ	VYBER	1840	28913	\N	\N	\N
378856	1288	1994-12-22	VYDAJ	VYBER	2560	23964	\N	\N	\N
378857	1288	1994-07-12	VYDAJ	VYBER	2320	30610	\N	\N	\N
378858	1288	1994-08-07	VYDAJ	VYBER	1840	18649	\N	\N	\N
378859	1288	1994-08-03	VYDAJ	VYBER	3680	20489	\N	\N	\N
378860	1288	1994-07-12	VYDAJ	VYBER	3600	27010	\N	\N	\N
378862	1288	1995-03-07	VYDAJ	VYBER	720	16593	\N	\N	\N
378863	1288	1995-06-21	VYDAJ	VYBER	800	17757	\N	\N	\N
378864	1288	1995-04-13	VYDAJ	VYBER	3680	14637	\N	\N	\N
378865	1288	1995-09-23	VYDAJ	VYBER	1920	15172	\N	\N	\N
378866	1288	1995-03-27	VYDAJ	VYBER	2160	15144	\N	\N	\N
378867	1288	1995-08-22	VYDAJ	VYBER	3280	15619	\N	\N	\N
378870	1288	1996-05-08	VYDAJ	VYBER	2160	17398	\N	\N	\N
378877	1288	1998-10-01	VYDAJ	VYBER	800	16581	\N	\N	\N
378878	1288	1998-04-08	VYDAJ	VYBER	1440	17162	\N	\N	\N
378880	1288	1998-06-11	VYDAJ	VYBER	640	20741	\N	\N	\N
378897	1288	1994-04-30	VYDAJ	VYBER	15	24857	SLUZBY	\N	\N
378898	1288	1994-05-31	VYDAJ	VYBER	15	25463	SLUZBY	\N	\N
378899	1288	1994-06-30	VYDAJ	VYBER	15	26871	SLUZBY	\N	\N
378900	1288	1994-07-31	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
378901	1288	1994-08-31	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
378902	1288	1994-09-30	VYDAJ	VYBER	15	24834	SLUZBY	\N	\N
378903	1288	1994-10-31	VYDAJ	VYBER	15	27642	SLUZBY	\N	\N
378904	1288	1994-11-30	VYDAJ	VYBER	15	24313	SLUZBY	\N	\N
378905	1288	1994-12-31	VYDAJ	VYBER	15	22156	SLUZBY	\N	\N
378906	1288	1995-01-31	VYDAJ	VYBER	15	14150	SLUZBY	\N	\N
378907	1288	1995-02-28	VYDAJ	VYBER	15	17313	SLUZBY	\N	\N
378908	1288	1995-03-31	VYDAJ	VYBER	15	15206	SLUZBY	\N	\N
378909	1288	1995-04-30	VYDAJ	VYBER	15	14484	SLUZBY	\N	\N
378910	1288	1995-05-31	VYDAJ	VYBER	15	15446	SLUZBY	\N	\N
378911	1288	1995-06-30	VYDAJ	VYBER	15	17813	SLUZBY	\N	\N
378912	1288	1995-07-31	VYDAJ	VYBER	15	18688	SLUZBY	\N	\N
378913	1288	1995-08-31	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
378914	1288	1995-09-30	VYDAJ	VYBER	15	15226	SLUZBY	\N	\N
378915	1288	1995-10-31	VYDAJ	VYBER	15	18093	SLUZBY	\N	\N
378916	1288	1995-11-30	VYDAJ	VYBER	15	20170	SLUZBY	\N	\N
378917	1288	1995-12-31	VYDAJ	VYBER	15	17249	SLUZBY	\N	\N
378918	1288	1996-01-31	VYDAJ	VYBER	15	13530	SLUZBY	\N	\N
378919	1288	1996-02-29	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
378920	1288	1996-03-31	VYDAJ	VYBER	15	13745	SLUZBY	\N	\N
378921	1288	1996-04-30	VYDAJ	VYBER	15	13499	SLUZBY	\N	\N
378922	1288	1996-05-31	VYDAJ	VYBER	15	13593	SLUZBY	\N	\N
378923	1288	1996-06-30	VYDAJ	VYBER	15	14348	SLUZBY	\N	\N
378924	1288	1996-07-31	VYDAJ	VYBER	15	12801	SLUZBY	\N	\N
378925	1288	1996-08-31	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
378926	1288	1996-09-30	VYDAJ	VYBER	15	18434	SLUZBY	\N	\N
378927	1288	1996-10-31	VYDAJ	VYBER	15	20311	SLUZBY	\N	\N
378928	1288	1996-11-30	VYDAJ	VYBER	15	18687	SLUZBY	\N	\N
378929	1288	1996-12-31	VYDAJ	VYBER	15	19114	SLUZBY	\N	\N
378930	1288	1997-01-31	VYDAJ	VYBER	15	13893	SLUZBY	\N	\N
378931	1288	1997-02-28	VYDAJ	VYBER	15	16154	SLUZBY	\N	\N
378932	1288	1997-03-31	VYDAJ	VYBER	15	10902	SLUZBY	\N	\N
378933	1288	1997-04-30	VYDAJ	VYBER	15	8737	SLUZBY	\N	\N
378934	1288	1997-05-31	VYDAJ	VYBER	15	11877	SLUZBY	\N	\N
378935	1288	1997-06-30	VYDAJ	VYBER	15	8914	SLUZBY	\N	\N
378936	1288	1997-07-31	VYDAJ	VYBER	15	12055	SLUZBY	\N	\N
378937	1288	1997-08-31	VYDAJ	VYBER	15	10999	SLUZBY	\N	\N
378938	1288	1997-09-30	VYDAJ	VYBER	15	14148	SLUZBY	\N	\N
378939	1288	1997-10-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
378940	1288	1997-11-30	VYDAJ	VYBER	15	17479	SLUZBY	\N	\N
378941	1288	1997-12-31	VYDAJ	VYBER	15	17298	SLUZBY	\N	\N
378942	1288	1998-01-31	VYDAJ	VYBER	15	14315	SLUZBY	\N	\N
378943	1288	1998-02-28	VYDAJ	VYBER	15	17478	SLUZBY	\N	\N
378944	1288	1998-03-31	VYDAJ	VYBER	15	16343	SLUZBY	\N	\N
378945	1288	1998-04-30	VYDAJ	VYBER	15	14261	SLUZBY	\N	\N
378946	1288	1998-05-31	VYDAJ	VYBER	15	16022	SLUZBY	\N	\N
378947	1288	1998-06-30	VYDAJ	VYBER	15	17851	SLUZBY	\N	\N
378948	1288	1998-07-31	VYDAJ	VYBER	15	21029	SLUZBY	\N	\N
378949	1288	1998-08-31	VYDAJ	VYBER	15	20210	SLUZBY	\N	\N
378950	1288	1998-09-30	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
378951	1288	1998-10-31	VYDAJ	VYBER	15	18551	SLUZBY	\N	\N
378952	1288	1998-11-30	VYDAJ	VYBER	15	21731	SLUZBY	\N	\N
378953	1288	1994-03-27	VYDAJ	VYBER	400	24436	\N	\N	\N
378954	1288	1994-04-26	VYDAJ	VYBER	2800	24763	\N	\N	\N
378955	1288	1994-05-26	VYDAJ	VYBER	2600	25368	\N	\N	\N
378956	1288	1994-09-23	VYDAJ	VYBER	200	24750	\N	\N	\N
378957	1288	1994-10-23	VYDAJ	VYBER	400	27545	\N	\N	\N
378958	1288	1994-11-22	VYDAJ	VYBER	4700	24213	\N	\N	\N
378959	1288	1994-12-22	VYDAJ	VYBER	1900	22064	\N	\N	\N
378960	1288	1995-01-21	VYDAJ	VYBER	1100	20087	\N	\N	\N
378961	1288	1995-03-22	VYDAJ	VYBER	2400	17304	\N	\N	\N
378962	1288	1995-04-21	VYDAJ	VYBER	200	14437	\N	\N	\N
378963	1288	1995-05-21	VYDAJ	VYBER	2200	15395	\N	\N	\N
378964	1288	1995-07-20	VYDAJ	VYBER	2300	18624	\N	\N	\N
378965	1288	1995-08-19	VYDAJ	VYBER	2900	18899	\N	\N	\N
378966	1288	1995-09-18	VYDAJ	VYBER	1700	17092	\N	\N	\N
378967	1288	1995-10-18	VYDAJ	VYBER	300	18037	\N	\N	\N
378968	1288	1995-11-17	VYDAJ	VYBER	1100	20104	\N	\N	\N
378969	1288	1995-12-17	VYDAJ	VYBER	5300	17181	\N	\N	\N
378970	1288	1996-01-16	VYDAJ	VYBER	800	13480	\N	\N	\N
378971	1288	1996-02-15	VYDAJ	VYBER	1400	15241	\N	\N	\N
378972	1288	1996-03-16	VYDAJ	VYBER	4700	13698	\N	\N	\N
378973	1288	1996-04-15	VYDAJ	VYBER	3400	13456	\N	\N	\N
378974	1288	1996-05-15	VYDAJ	VYBER	900	13550	\N	\N	\N
378975	1288	1996-06-14	VYDAJ	VYBER	2400	14304	\N	\N	\N
378976	1288	1996-07-14	VYDAJ	VYBER	4700	12759	\N	\N	\N
378977	1288	1996-09-12	VYDAJ	VYBER	700	21317	\N	\N	\N
378978	1288	1996-10-12	VYDAJ	VYBER	1300	20245	\N	\N	\N
378979	1288	1996-11-11	VYDAJ	VYBER	4800	21570	\N	\N	\N
378980	1288	1996-12-11	VYDAJ	VYBER	2200	21996	\N	\N	\N
378981	1288	1997-02-09	VYDAJ	VYBER	900	19052	\N	\N	\N
378982	1288	1997-03-11	VYDAJ	VYBER	8400	13813	\N	\N	\N
378983	1288	1997-04-10	VYDAJ	VYBER	5300	11661	\N	\N	\N
378984	1288	1997-06-09	VYDAJ	VYBER	6100	11836	\N	\N	\N
378985	1288	1997-08-08	VYDAJ	VYBER	4200	13914	\N	\N	\N
378986	1288	1997-11-06	VYDAJ	VYBER	3000	14310	\N	\N	\N
378987	1288	1997-12-06	VYDAJ	VYBER	2900	14579	\N	\N	\N
378988	1288	1998-01-05	VYDAJ	VYBER	3100	12358	\N	\N	\N
378989	1288	1998-03-06	VYDAJ	VYBER	4300	13178	\N	\N	\N
378990	1288	1998-04-05	VYDAJ	VYBER	3800	12543	\N	\N	\N
378991	1288	1998-05-05	VYDAJ	VYBER	1400	12861	\N	\N	\N
378992	1288	1998-06-04	VYDAJ	VYBER	700	15322	\N	\N	\N
378993	1288	1998-08-03	VYDAJ	VYBER	4000	17029	\N	\N	\N
378994	1288	1998-09-02	VYDAJ	VYBER	6000	14210	\N	\N	\N
378995	1288	1998-10-02	VYDAJ	VYBER	1200	15381	\N	\N	\N
379054	1289	1996-07-07	PRIJEM	VKLAD	500	500	\N	\N	\N
379061	1289	1996-07-14	PRIJEM	VKLAD	23341	23841	\N	\N	\N
379062	1289	1996-08-14	PRIJEM	VKLAD	23341	46740	\N	\N	\N
379063	1289	1996-09-14	PRIJEM	VKLAD	23341	63535	\N	\N	\N
379064	1289	1996-10-14	PRIJEM	VKLAD	23341	73411	\N	\N	\N
379065	1289	1996-11-14	PRIJEM	VKLAD	23341	77140	\N	\N	\N
379066	1289	1996-12-14	PRIJEM	VKLAD	35012	81581	\N	\N	\N
379067	1289	1997-01-14	PRIJEM	VKLAD	23341	56457	\N	\N	\N
379068	1289	1997-02-14	PRIJEM	VKLAD	23341	57786	\N	\N	\N
379069	1289	1997-03-14	PRIJEM	VKLAD	23341	66674	\N	\N	\N
379070	1289	1997-04-14	PRIJEM	VKLAD	23341	72911	\N	\N	\N
379071	1289	1997-05-14	PRIJEM	VKLAD	23341	76678	\N	\N	\N
379072	1289	1997-06-14	PRIJEM	VKLAD	35012	93036	\N	\N	\N
379073	1289	1997-07-14	PRIJEM	VKLAD	23341	66482	\N	\N	\N
379074	1289	1997-08-14	PRIJEM	VKLAD	23341	73800	\N	\N	\N
379075	1289	1997-09-14	PRIJEM	VKLAD	23341	73996	\N	\N	\N
379076	1289	1997-10-14	PRIJEM	VKLAD	23341	79649	\N	\N	\N
379077	1289	1997-11-14	PRIJEM	VKLAD	23341	81224	\N	\N	\N
379078	1289	1997-12-14	PRIJEM	VKLAD	35012	93436	\N	\N	\N
379079	1289	1998-01-14	PRIJEM	VKLAD	23341	84426	\N	\N	\N
379080	1289	1998-02-14	PRIJEM	VKLAD	23341	72587	\N	\N	\N
379081	1289	1998-03-14	PRIJEM	VKLAD	23341	78030	\N	\N	\N
379082	1289	1998-04-14	PRIJEM	VKLAD	23341	82298	\N	\N	\N
379083	1289	1998-05-14	PRIJEM	VKLAD	23341	82880	\N	\N	\N
379084	1289	1998-06-14	PRIJEM	VKLAD	35012	60037	\N	\N	\N
379085	1289	1998-07-14	PRIJEM	VKLAD	23341	72672	\N	\N	\N
379086	1289	1998-08-14	PRIJEM	VKLAD	23341	83817	\N	\N	\N
379087	1289	1998-09-14	PRIJEM	VKLAD	23341	84800	\N	\N	\N
379088	1289	1998-10-14	PRIJEM	VKLAD	23341	81662	\N	\N	\N
379089	1289	1998-11-14	PRIJEM	VKLAD	23341	85837	\N	\N	\N
379090	1289	1998-12-14	PRIJEM	VKLAD	35012	85628	\N	\N	\N
379102	1289	1996-12-13	VYDAJ	PREVOD NA UCET	6950	46570	SIPO	OP	91892945
379103	1289	1997-01-13	VYDAJ	PREVOD NA UCET	6950	33116	SIPO	OP	91892945
379104	1289	1997-02-13	VYDAJ	PREVOD NA UCET	6950	34445	SIPO	OP	91892945
379105	1289	1997-03-13	VYDAJ	PREVOD NA UCET	6950	43333	SIPO	OP	91892945
379106	1289	1997-04-13	VYDAJ	PREVOD NA UCET	6950	49570	SIPO	OP	91892945
379107	1289	1997-05-13	VYDAJ	PREVOD NA UCET	6950	53337	SIPO	OP	91892945
379108	1289	1997-06-13	VYDAJ	PREVOD NA UCET	6950	58024	SIPO	OP	91892945
379109	1289	1997-07-13	VYDAJ	PREVOD NA UCET	6950	43141	SIPO	OP	91892945
379110	1289	1997-08-13	VYDAJ	PREVOD NA UCET	6950	50459	SIPO	OP	91892945
379111	1289	1997-09-13	VYDAJ	PREVOD NA UCET	6950	50655	SIPO	OP	91892945
379112	1289	1997-10-13	VYDAJ	PREVOD NA UCET	6950	56308	SIPO	OP	91892945
379113	1289	1997-11-13	VYDAJ	PREVOD NA UCET	6950	57883	SIPO	OP	91892945
379114	1289	1997-12-13	VYDAJ	PREVOD NA UCET	6950	58424	SIPO	OP	91892945
379115	1289	1998-01-13	VYDAJ	PREVOD NA UCET	6950	62525	SIPO	OP	91892945
379116	1289	1998-02-13	VYDAJ	PREVOD NA UCET	6950	49246	SIPO	OP	91892945
379117	1289	1998-03-13	VYDAJ	PREVOD NA UCET	6950	54689	SIPO	OP	91892945
379118	1289	1998-04-13	VYDAJ	PREVOD NA UCET	6950	58957	SIPO	OP	91892945
379119	1289	1998-05-13	VYDAJ	PREVOD NA UCET	6950	59539	SIPO	OP	91892945
379120	1289	1998-06-13	VYDAJ	PREVOD NA UCET	6950	25026	SIPO	OP	91892945
379121	1289	1998-07-13	VYDAJ	PREVOD NA UCET	6950	49331	SIPO	OP	91892945
379122	1289	1998-08-13	VYDAJ	PREVOD NA UCET	6950	60476	SIPO	OP	91892945
379123	1289	1998-09-13	VYDAJ	PREVOD NA UCET	6950	61459	SIPO	OP	91892945
379124	1289	1998-10-13	VYDAJ	PREVOD NA UCET	6950	58321	SIPO	OP	91892945
379125	1289	1998-11-13	VYDAJ	PREVOD NA UCET	6950	62496	SIPO	OP	91892945
379126	1289	1998-12-13	VYDAJ	PREVOD NA UCET	6950	50616	SIPO	OP	91892945
379128	1289	1997-06-24	VYDAJ	VYBER	47040	45996	\N	\N	\N
379129	1289	1998-06-12	VYDAJ	VYBER	34240	37856	\N	\N	\N
379131	1289	1997-01-11	VYDAJ	VYBER	15360	42466	\N	\N	\N
379132	1289	1998-01-17	VYDAJ	VYBER	15680	68746	\N	\N	\N
379133	1289	1996-12-03	VYDAJ	VYBER	2080	74520	\N	\N	\N
379134	1289	1997-12-09	VYDAJ	VYBER	2240	65374	\N	\N	\N
379135	1289	1998-12-01	VYDAJ	VYBER	3200	57566	\N	\N	\N
379142	1289	1997-01-13	VYDAJ	VYBER	2400	40066	\N	\N	\N
379143	1289	1997-01-14	VYDAJ	VYBER	3480	52977	\N	\N	\N
379144	1289	1997-01-15	VYDAJ	VYBER	3240	49737	\N	\N	\N
379145	1289	1997-01-19	VYDAJ	VYBER	2400	45297	\N	\N	\N
379146	1289	1997-01-15	VYDAJ	VYBER	2040	47697	\N	\N	\N
379147	1289	1997-01-30	VYDAJ	VYBER	1800	43497	\N	\N	\N
379148	1289	1998-01-22	VYDAJ	VYBER	1320	67426	\N	\N	\N
379149	1289	1998-01-24	VYDAJ	VYBER	840	63466	\N	\N	\N
379150	1289	1998-01-02	VYDAJ	VYBER	2280	69475	\N	\N	\N
379151	1289	1998-01-22	VYDAJ	VYBER	3120	64306	\N	\N	\N
379152	1289	1998-01-13	VYDAJ	VYBER	1440	61085	\N	\N	\N
379153	1289	1998-01-27	VYDAJ	VYBER	840	62626	\N	\N	\N
379156	1289	1996-11-22	VYDAJ	VYBER	840	76300	\N	\N	\N
379157	1289	1997-08-29	VYDAJ	VYBER	5520	62040	\N	\N	\N
379158	1289	1997-08-25	VYDAJ	VYBER	2640	67560	\N	\N	\N
379159	1289	1997-01-01	VYDAJ	VYBER	840	81026	\N	\N	\N
379160	1289	1997-08-16	VYDAJ	VYBER	3600	70200	\N	\N	\N
379161	1289	1998-06-07	VYDAJ	VYBER	1080	72096	\N	\N	\N
379162	1289	1998-06-12	VYDAJ	VYBER	5880	31976	\N	\N	\N
379163	1289	1998-09-23	VYDAJ	VYBER	3720	81080	\N	\N	\N
379164	1289	1998-11-28	VYDAJ	VYBER	4560	60477	\N	\N	\N
379176	1289	1996-11-30	VYDAJ	VYBER	15	76600	SLUZBY	\N	\N
379177	1289	1996-12-31	VYDAJ	VYBER	15	81866	SLUZBY	\N	\N
379178	1289	1997-01-31	VYDAJ	VYBER	15	43695	SLUZBY	\N	\N
379179	1289	1997-02-28	VYDAJ	VYBER	15	57983	SLUZBY	\N	\N
379180	1289	1997-03-31	VYDAJ	VYBER	15	66920	SLUZBY	\N	\N
379181	1289	1997-04-30	VYDAJ	VYBER	15	73187	SLUZBY	\N	\N
379182	1289	1997-05-31	VYDAJ	VYBER	15	76974	SLUZBY	\N	\N
379183	1289	1997-06-30	VYDAJ	VYBER	15	46291	SLUZBY	\N	\N
379184	1289	1997-07-31	VYDAJ	VYBER	15	66709	SLUZBY	\N	\N
379185	1289	1997-08-31	VYDAJ	VYBER	15	62305	SLUZBY	\N	\N
379186	1289	1997-09-30	VYDAJ	VYBER	15	74258	SLUZBY	\N	\N
379187	1289	1997-10-31	VYDAJ	VYBER	15	64833	SLUZBY	\N	\N
379188	1289	1997-11-30	VYDAJ	VYBER	15	67614	SLUZBY	\N	\N
379189	1289	1997-12-31	VYDAJ	VYBER	15	71755	SLUZBY	\N	\N
379190	1289	1998-01-31	VYDAJ	VYBER	15	56196	SLUZBY	\N	\N
379191	1289	1998-02-28	VYDAJ	VYBER	15	61639	SLUZBY	\N	\N
379192	1289	1998-03-31	VYDAJ	VYBER	15	65907	SLUZBY	\N	\N
379193	1289	1998-04-30	VYDAJ	VYBER	15	66489	SLUZBY	\N	\N
379194	1289	1998-05-31	VYDAJ	VYBER	15	73176	SLUZBY	\N	\N
379195	1289	1998-06-30	VYDAJ	VYBER	15	56281	SLUZBY	\N	\N
379196	1289	1998-07-31	VYDAJ	VYBER	15	67426	SLUZBY	\N	\N
379197	1289	1998-08-31	VYDAJ	VYBER	15	68409	SLUZBY	\N	\N
379198	1289	1998-09-30	VYDAJ	VYBER	15	65271	SLUZBY	\N	\N
379199	1289	1998-10-31	VYDAJ	VYBER	15	69446	SLUZBY	\N	\N
379200	1289	1998-11-30	VYDAJ	VYBER	15	60766	SLUZBY	\N	\N
379201	1289	1996-08-06	VYDAJ	VYBER	500	23399	\N	\N	\N
379202	1289	1996-09-05	VYDAJ	VYBER	6700	40194	\N	\N	\N
379203	1289	1996-10-05	VYDAJ	VYBER	13700	50070	\N	\N	\N
379204	1289	1996-11-04	VYDAJ	VYBER	19900	53799	\N	\N	\N
379205	1289	1996-12-04	VYDAJ	VYBER	21000	53520	\N	\N	\N
379206	1289	1997-01-03	VYDAJ	VYBER	23200	57826	\N	\N	\N
379207	1289	1997-02-02	VYDAJ	VYBER	2300	41395	\N	\N	\N
379208	1289	1997-03-04	VYDAJ	VYBER	7700	50283	\N	\N	\N
379209	1289	1997-04-03	VYDAJ	VYBER	10400	56520	\N	\N	\N
379210	1289	1997-05-03	VYDAJ	VYBER	12900	60287	\N	\N	\N
379211	1289	1997-06-02	VYDAJ	VYBER	12000	64974	\N	\N	\N
379212	1289	1997-07-02	PRIJEM	VKLAD	3800	50091	\N	\N	\N
379213	1289	1997-08-01	VYDAJ	VYBER	9300	57409	\N	\N	\N
379214	1289	1997-08-31	VYDAJ	VYBER	4700	57605	\N	\N	\N
379215	1289	1997-09-30	VYDAJ	VYBER	11000	63258	\N	\N	\N
379216	1289	1997-10-30	VYDAJ	VYBER	15100	64549	\N	\N	\N
379217	1289	1997-11-29	VYDAJ	VYBER	13900	67324	\N	\N	\N
379218	1289	1997-12-29	VYDAJ	VYBER	22000	71436	\N	\N	\N
379219	1289	1998-01-28	VYDAJ	VYBER	6700	55926	\N	\N	\N
379220	1289	1998-02-27	VYDAJ	VYBER	11200	61387	\N	\N	\N
379221	1289	1998-03-29	VYDAJ	VYBER	12400	65630	\N	\N	\N
379222	1289	1998-04-28	VYDAJ	VYBER	16100	66198	\N	\N	\N
379223	1289	1998-05-28	VYDAJ	VYBER	10000	72880	\N	\N	\N
379224	1289	1998-06-27	VYDAJ	VYBER	4000	56037	\N	\N	\N
379225	1289	1998-07-27	VYDAJ	VYBER	5500	67172	\N	\N	\N
379226	1289	1998-08-26	VYDAJ	VYBER	15700	68117	\N	\N	\N
379227	1289	1998-09-25	VYDAJ	VYBER	16100	64980	\N	\N	\N
379228	1289	1998-10-25	VYDAJ	VYBER	12500	69162	\N	\N	\N
379229	1289	1998-11-24	VYDAJ	VYBER	20800	65037	\N	\N	\N
379659	1291	1994-07-04	PRIJEM	VKLAD	600	600	\N	\N	\N
379666	1291	1994-07-07	PRIJEM	PREVOD Z UCTU	4821	5421	DUCHOD	WX	86025642
379667	1291	1994-08-07	PRIJEM	PREVOD Z UCTU	4821	10260	DUCHOD	WX	86025642
379668	1291	1994-09-07	PRIJEM	PREVOD Z UCTU	4821	15104	DUCHOD	WX	86025642
379669	1291	1994-10-07	PRIJEM	PREVOD Z UCTU	4821	19947	DUCHOD	WX	86025642
379670	1291	1994-11-07	PRIJEM	PREVOD Z UCTU	4821	24791	DUCHOD	WX	86025642
379671	1291	1994-12-07	PRIJEM	PREVOD Z UCTU	4821	27610	DUCHOD	WX	86025642
379672	1291	1995-01-07	PRIJEM	PREVOD Z UCTU	4821	28108	DUCHOD	WX	86025642
379673	1291	1995-02-07	PRIJEM	PREVOD Z UCTU	4821	16112	DUCHOD	WX	86025642
379674	1291	1995-03-07	PRIJEM	PREVOD Z UCTU	4821	19313	DUCHOD	WX	86025642
379675	1291	1995-04-07	PRIJEM	PREVOD Z UCTU	4821	19001	DUCHOD	WX	86025642
379676	1291	1995-05-07	PRIJEM	PREVOD Z UCTU	4821	22214	DUCHOD	WX	86025642
379677	1291	1995-06-07	PRIJEM	PREVOD Z UCTU	4821	24880	DUCHOD	WX	86025642
379678	1291	1995-07-07	PRIJEM	PREVOD Z UCTU	4821	23716	DUCHOD	WX	86025642
379679	1291	1995-08-07	PRIJEM	PREVOD Z UCTU	4821	23750	DUCHOD	WX	86025642
379680	1291	1995-09-07	PRIJEM	PREVOD Z UCTU	4821	26985	DUCHOD	WX	86025642
379681	1291	1995-10-07	PRIJEM	PREVOD Z UCTU	4821	30131	DUCHOD	WX	86025642
379682	1291	1995-11-07	PRIJEM	PREVOD Z UCTU	4821	33091	DUCHOD	WX	86025642
379683	1291	1995-12-07	PRIJEM	PREVOD Z UCTU	4821	29615	DUCHOD	WX	86025642
379684	1291	1996-01-07	PRIJEM	PREVOD Z UCTU	4821	27397	DUCHOD	WX	86025642
379685	1291	1996-02-07	PRIJEM	PREVOD Z UCTU	4821	21167	DUCHOD	WX	86025642
379686	1291	1996-03-07	PRIJEM	PREVOD Z UCTU	4821	23509	DUCHOD	WX	86025642
379687	1291	1996-04-07	PRIJEM	PREVOD Z UCTU	4821	26742	DUCHOD	WX	86025642
379688	1291	1996-05-07	PRIJEM	PREVOD Z UCTU	4821	26583	DUCHOD	WX	86025642
379689	1291	1996-06-07	PRIJEM	PREVOD Z UCTU	4821	17427	DUCHOD	WX	86025642
379690	1291	1996-07-07	PRIJEM	PREVOD Z UCTU	4821	20642	DUCHOD	WX	86025642
379691	1291	1996-08-07	PRIJEM	PREVOD Z UCTU	4821	23862	DUCHOD	WX	86025642
379692	1291	1996-09-07	PRIJEM	PREVOD Z UCTU	4821	23650	DUCHOD	WX	86025642
379693	1291	1996-10-07	PRIJEM	PREVOD Z UCTU	4821	26883	DUCHOD	WX	86025642
379694	1291	1996-11-07	PRIJEM	PREVOD Z UCTU	4821	27225	DUCHOD	WX	86025642
379695	1291	1996-12-07	PRIJEM	PREVOD Z UCTU	4821	27267	DUCHOD	WX	86025642
379696	1291	1997-01-07	PRIJEM	PREVOD Z UCTU	4821	24609	DUCHOD	WX	86025642
379697	1291	1997-02-07	PRIJEM	PREVOD Z UCTU	4821	17887	DUCHOD	WX	86025642
379698	1291	1997-03-07	PRIJEM	PREVOD Z UCTU	4821	20694	DUCHOD	WX	86025642
379699	1291	1997-04-07	PRIJEM	PREVOD Z UCTU	4821	16938	DUCHOD	WX	86025642
379700	1291	1997-05-07	PRIJEM	PREVOD Z UCTU	4821	20142	DUCHOD	WX	86025642
379701	1291	1997-06-07	PRIJEM	PREVOD Z UCTU	4821	23360	DUCHOD	WX	86025642
379702	1291	1997-07-07	PRIJEM	PREVOD Z UCTU	4821	20179	DUCHOD	WX	86025642
379703	1291	1997-08-07	PRIJEM	PREVOD Z UCTU	4821	18690	DUCHOD	WX	86025642
379704	1291	1997-09-07	PRIJEM	PREVOD Z UCTU	4821	16910	DUCHOD	WX	86025642
379705	1291	1997-10-07	PRIJEM	PREVOD Z UCTU	4821	17107	DUCHOD	WX	86025642
379706	1291	1997-11-07	PRIJEM	PREVOD Z UCTU	4821	16805	DUCHOD	WX	86025642
379707	1291	1997-12-07	PRIJEM	PREVOD Z UCTU	4821	18323	DUCHOD	WX	86025642
379708	1291	1998-01-07	PRIJEM	PREVOD Z UCTU	4821	19281	DUCHOD	WX	86025642
379709	1291	1998-02-07	PRIJEM	PREVOD Z UCTU	4821	17522	DUCHOD	WX	86025642
379710	1291	1998-03-07	PRIJEM	PREVOD Z UCTU	4821	19124	DUCHOD	WX	86025642
379711	1291	1998-04-07	PRIJEM	PREVOD Z UCTU	4821	20233	DUCHOD	WX	86025642
379712	1291	1998-05-07	PRIJEM	PREVOD Z UCTU	4821	21345	DUCHOD	WX	86025642
379713	1291	1998-06-07	PRIJEM	PREVOD Z UCTU	4821	19555	DUCHOD	WX	86025642
379714	1291	1998-07-07	PRIJEM	PREVOD Z UCTU	4821	19862	DUCHOD	WX	86025642
379715	1291	1998-08-07	PRIJEM	PREVOD Z UCTU	4821	21875	DUCHOD	WX	86025642
379716	1291	1998-09-07	PRIJEM	PREVOD Z UCTU	4821	19885	DUCHOD	WX	86025642
379717	1291	1998-10-07	PRIJEM	PREVOD Z UCTU	4821	23101	DUCHOD	WX	86025642
379718	1291	1998-11-07	PRIJEM	PREVOD Z UCTU	4821	23521	DUCHOD	WX	86025642
379719	1291	1998-12-07	PRIJEM	PREVOD Z UCTU	4821	25147	DUCHOD	WX	86025642
379731	1291	1994-12-05	VYDAJ	PREVOD NA UCET	1333	22789	SIPO	OP	71369182
379732	1291	1995-01-05	VYDAJ	PREVOD NA UCET	1333	23287	SIPO	OP	71369182
379733	1291	1995-02-05	VYDAJ	PREVOD NA UCET	1333	11291	SIPO	OP	71369182
379734	1291	1995-03-05	VYDAJ	PREVOD NA UCET	1333	14492	SIPO	OP	71369182
379735	1291	1995-04-05	VYDAJ	PREVOD NA UCET	1333	14180	SIPO	OP	71369182
379736	1291	1995-05-05	VYDAJ	PREVOD NA UCET	1333	17393	SIPO	OP	71369182
379737	1291	1995-06-05	VYDAJ	PREVOD NA UCET	1333	20059	SIPO	OP	71369182
379738	1291	1995-07-05	VYDAJ	PREVOD NA UCET	1333	18895	SIPO	OP	71369182
379739	1291	1995-08-05	VYDAJ	PREVOD NA UCET	1333	18929	SIPO	OP	71369182
379740	1291	1995-09-05	VYDAJ	PREVOD NA UCET	1333	22164	SIPO	OP	71369182
379741	1291	1995-10-05	VYDAJ	PREVOD NA UCET	1333	25310	SIPO	OP	71369182
379742	1291	1995-11-05	VYDAJ	PREVOD NA UCET	1333	28270	SIPO	OP	71369182
379743	1291	1995-12-05	VYDAJ	PREVOD NA UCET	1333	24794	SIPO	OP	71369182
379744	1291	1996-01-05	VYDAJ	PREVOD NA UCET	1333	23856	SIPO	OP	71369182
379745	1291	1996-02-05	VYDAJ	PREVOD NA UCET	1333	16346	SIPO	OP	71369182
379746	1291	1996-03-05	VYDAJ	PREVOD NA UCET	1333	18688	SIPO	OP	71369182
379747	1291	1996-04-05	VYDAJ	PREVOD NA UCET	1333	21921	SIPO	OP	71369182
379748	1291	1996-05-05	VYDAJ	PREVOD NA UCET	1333	21762	SIPO	OP	71369182
379749	1291	1996-06-05	VYDAJ	PREVOD NA UCET	1333	23606	SIPO	OP	71369182
379750	1291	1996-07-05	VYDAJ	PREVOD NA UCET	1333	15821	SIPO	OP	71369182
379751	1291	1996-08-05	VYDAJ	PREVOD NA UCET	1333	19041	SIPO	OP	71369182
379752	1291	1996-09-05	VYDAJ	PREVOD NA UCET	1333	18829	SIPO	OP	71369182
379753	1291	1996-10-05	VYDAJ	PREVOD NA UCET	1333	22062	SIPO	OP	71369182
379754	1291	1996-11-05	VYDAJ	PREVOD NA UCET	1333	22404	SIPO	OP	71369182
379755	1291	1996-12-05	VYDAJ	PREVOD NA UCET	1333	22446	SIPO	OP	71369182
379756	1291	1997-01-05	VYDAJ	PREVOD NA UCET	1333	19788	SIPO	OP	71369182
379757	1291	1997-02-05	VYDAJ	PREVOD NA UCET	1333	13066	SIPO	OP	71369182
379758	1291	1997-03-05	VYDAJ	PREVOD NA UCET	1333	15873	SIPO	OP	71369182
379759	1291	1997-04-05	VYDAJ	PREVOD NA UCET	1333	12117	SIPO	OP	71369182
379760	1291	1997-05-05	VYDAJ	PREVOD NA UCET	1333	15321	SIPO	OP	71369182
379761	1291	1997-06-05	VYDAJ	PREVOD NA UCET	1333	18539	SIPO	OP	71369182
379762	1291	1997-07-05	VYDAJ	PREVOD NA UCET	1333	15358	SIPO	OP	71369182
379763	1291	1997-08-05	VYDAJ	PREVOD NA UCET	1333	13869	SIPO	OP	71369182
379764	1291	1997-09-05	VYDAJ	PREVOD NA UCET	1333	12089	SIPO	OP	71369182
379765	1291	1997-10-05	VYDAJ	PREVOD NA UCET	1333	12286	SIPO	OP	71369182
379766	1291	1997-11-05	VYDAJ	PREVOD NA UCET	1333	11984	SIPO	OP	71369182
379767	1291	1997-12-05	VYDAJ	PREVOD NA UCET	1333	13502	SIPO	OP	71369182
379768	1291	1998-01-05	VYDAJ	PREVOD NA UCET	1333	14460	SIPO	OP	71369182
379769	1291	1998-02-05	VYDAJ	PREVOD NA UCET	1333	12701	SIPO	OP	71369182
379770	1291	1998-03-05	VYDAJ	PREVOD NA UCET	1333	14303	SIPO	OP	71369182
379771	1291	1998-04-05	VYDAJ	PREVOD NA UCET	1333	15412	SIPO	OP	71369182
379772	1291	1998-05-05	VYDAJ	PREVOD NA UCET	1333	16524	SIPO	OP	71369182
379773	1291	1998-06-05	VYDAJ	PREVOD NA UCET	1333	14734	SIPO	OP	71369182
379774	1291	1998-07-05	VYDAJ	PREVOD NA UCET	1333	15041	SIPO	OP	71369182
379775	1291	1998-08-05	VYDAJ	PREVOD NA UCET	1333	17054	SIPO	OP	71369182
379776	1291	1998-09-05	VYDAJ	PREVOD NA UCET	1333	15064	SIPO	OP	71369182
379777	1291	1998-10-05	VYDAJ	PREVOD NA UCET	1333	18280	SIPO	OP	71369182
379778	1291	1998-11-05	VYDAJ	PREVOD NA UCET	1333	18700	SIPO	OP	71369182
379779	1291	1998-12-05	VYDAJ	PREVOD NA UCET	1333	20326	SIPO	OP	71369182
379790	1291	1994-11-09	VYDAJ	PREVOD NA UCET	335	24456	 	IJ	15883821
379791	1291	1994-12-09	VYDAJ	PREVOD NA UCET	335	27275	 	IJ	15883821
379792	1291	1995-01-09	VYDAJ	PREVOD NA UCET	335	27053	 	IJ	15883821
379793	1291	1995-02-09	VYDAJ	PREVOD NA UCET	335	15777	 	IJ	15883821
379794	1291	1995-03-09	VYDAJ	PREVOD NA UCET	335	18978	 	IJ	15883821
379795	1291	1995-04-09	VYDAJ	PREVOD NA UCET	335	18666	 	IJ	15883821
379796	1291	1995-05-09	VYDAJ	PREVOD NA UCET	335	21319	 	IJ	15883821
379797	1291	1995-06-09	VYDAJ	PREVOD NA UCET	335	24545	 	IJ	15883821
379798	1291	1995-07-09	VYDAJ	PREVOD NA UCET	335	23381	 	IJ	15883821
379799	1291	1995-08-09	VYDAJ	PREVOD NA UCET	335	23415	 	IJ	15883821
379800	1291	1995-09-09	VYDAJ	PREVOD NA UCET	335	26650	 	IJ	15883821
379801	1291	1995-10-09	VYDAJ	PREVOD NA UCET	335	29796	 	IJ	15883821
379802	1291	1995-11-09	VYDAJ	PREVOD NA UCET	335	32756	 	IJ	15883821
379803	1291	1995-12-09	VYDAJ	PREVOD NA UCET	335	29280	 	IJ	15883821
379804	1291	1996-01-09	VYDAJ	PREVOD NA UCET	335	27062	 	IJ	15883821
379805	1291	1996-02-09	VYDAJ	PREVOD NA UCET	335	20832	 	IJ	15883821
379806	1291	1996-03-09	VYDAJ	PREVOD NA UCET	335	23174	 	IJ	15883821
379807	1291	1996-04-09	VYDAJ	PREVOD NA UCET	335	26407	 	IJ	15883821
379808	1291	1996-05-09	VYDAJ	PREVOD NA UCET	335	26248	 	IJ	15883821
379809	1291	1996-06-09	VYDAJ	PREVOD NA UCET	335	17092	 	IJ	15883821
379810	1291	1996-07-09	VYDAJ	PREVOD NA UCET	335	20307	 	IJ	15883821
379811	1291	1996-08-09	VYDAJ	PREVOD NA UCET	335	23527	 	IJ	15883821
379812	1291	1996-09-09	VYDAJ	PREVOD NA UCET	335	23315	 	IJ	15883821
379813	1291	1996-10-09	VYDAJ	PREVOD NA UCET	335	26548	 	IJ	15883821
379814	1291	1996-11-09	VYDAJ	PREVOD NA UCET	335	26890	 	IJ	15883821
379815	1291	1996-12-09	VYDAJ	PREVOD NA UCET	335	26932	 	IJ	15883821
379816	1291	1997-01-09	VYDAJ	PREVOD NA UCET	335	22834	 	IJ	15883821
379817	1291	1997-02-09	VYDAJ	PREVOD NA UCET	335	17552	 	IJ	15883821
379818	1291	1997-03-09	VYDAJ	PREVOD NA UCET	335	16999	 	IJ	15883821
379819	1291	1997-04-09	VYDAJ	PREVOD NA UCET	335	16603	 	IJ	15883821
379820	1291	1997-05-09	VYDAJ	PREVOD NA UCET	335	19807	 	IJ	15883821
379821	1291	1997-06-09	VYDAJ	PREVOD NA UCET	335	23025	 	IJ	15883821
379822	1291	1997-07-09	VYDAJ	PREVOD NA UCET	335	19844	 	IJ	15883821
379823	1291	1997-08-09	VYDAJ	PREVOD NA UCET	335	18355	 	IJ	15883821
379824	1291	1997-09-09	VYDAJ	PREVOD NA UCET	335	16575	 	IJ	15883821
379825	1291	1997-10-09	VYDAJ	PREVOD NA UCET	335	16772	 	IJ	15883821
379826	1291	1997-11-09	VYDAJ	PREVOD NA UCET	335	16470	 	IJ	15883821
379827	1291	1997-12-09	VYDAJ	PREVOD NA UCET	335	17988	 	IJ	15883821
379828	1291	1998-01-09	VYDAJ	PREVOD NA UCET	335	17586	 	IJ	15883821
379829	1291	1998-02-09	VYDAJ	PREVOD NA UCET	335	17187	 	IJ	15883821
379830	1291	1998-03-09	VYDAJ	PREVOD NA UCET	335	18789	 	IJ	15883821
379831	1291	1998-04-09	VYDAJ	PREVOD NA UCET	335	19898	 	IJ	15883821
379832	1291	1998-05-09	VYDAJ	PREVOD NA UCET	335	21010	 	IJ	15883821
379833	1291	1998-06-09	VYDAJ	PREVOD NA UCET	335	19220	 	IJ	15883821
379834	1291	1998-07-09	VYDAJ	PREVOD NA UCET	335	19527	 	IJ	15883821
379835	1291	1998-08-09	VYDAJ	PREVOD NA UCET	335	21540	 	IJ	15883821
379836	1291	1998-09-09	VYDAJ	PREVOD NA UCET	335	19550	 	IJ	15883821
379837	1291	1998-10-09	VYDAJ	PREVOD NA UCET	335	19966	 	IJ	15883821
379838	1291	1998-11-09	VYDAJ	PREVOD NA UCET	335	23186	 	IJ	15883821
379839	1291	1998-12-09	VYDAJ	PREVOD NA UCET	335	24812	 	IJ	15883821
379841	1291	1995-06-29	VYDAJ	VYBER	4400	20145	\N	\N	\N
379842	1291	1996-06-05	VYDAJ	VYBER	11000	12606	\N	\N	\N
379846	1291	1995-01-20	VYDAJ	VYBER	4500	12553	\N	\N	\N
379847	1291	1996-01-27	VYDAJ	VYBER	3550	19032	\N	\N	\N
379849	1291	1998-01-01	VYDAJ	VYBER	1050	15793	\N	\N	\N
379850	1291	1994-12-22	VYDAJ	VYBER	1250	26025	\N	\N	\N
379851	1291	1995-12-14	VYDAJ	VYBER	1250	28030	\N	\N	\N
379852	1291	1996-12-30	VYDAJ	VYBER	500	22632	\N	\N	\N
379853	1291	1997-12-19	VYDAJ	VYBER	1200	16788	\N	\N	\N
379854	1291	1998-12-24	VYDAJ	VYBER	1300	22792	\N	\N	\N
379861	1291	1995-01-13	VYDAJ	VYBER	1760	22973	\N	\N	\N
379862	1291	1995-01-13	VYDAJ	VYBER	2240	20733	\N	\N	\N
379864	1291	1995-01-10	VYDAJ	VYBER	2320	24733	\N	\N	\N
379865	1291	1995-01-20	VYDAJ	VYBER	1600	17053	\N	\N	\N
379866	1291	1995-01-14	VYDAJ	VYBER	2080	18653	\N	\N	\N
379867	1291	1996-01-16	VYDAJ	VYBER	960	26102	\N	\N	\N
379868	1291	1996-01-23	VYDAJ	VYBER	1440	22582	\N	\N	\N
379869	1291	1996-01-06	VYDAJ	VYBER	1280	22576	\N	\N	\N
379870	1291	1996-01-28	VYDAJ	VYBER	1440	17592	\N	\N	\N
379871	1291	1996-01-21	VYDAJ	VYBER	2080	24022	\N	\N	\N
379872	1291	1996-01-02	VYDAJ	VYBER	640	25189	\N	\N	\N
379873	1291	1997-01-16	VYDAJ	VYBER	2160	20034	\N	\N	\N
379874	1291	1997-01-28	VYDAJ	VYBER	640	14334	\N	\N	\N
379875	1291	1997-01-13	VYDAJ	VYBER	640	22194	\N	\N	\N
379876	1291	1997-01-05	VYDAJ	VYBER	1600	21121	\N	\N	\N
379877	1291	1997-01-08	VYDAJ	VYBER	1440	23169	\N	\N	\N
379878	1291	1997-01-26	VYDAJ	VYBER	960	14974	\N	\N	\N
379879	1291	1998-01-09	VYDAJ	VYBER	1360	17921	\N	\N	\N
379892	1291	1995-11-15	VYDAJ	VYBER	2640	30116	\N	\N	\N
379893	1291	1995-08-02	VYDAJ	VYBER	3200	20262	\N	\N	\N
379894	1291	1995-03-16	VYDAJ	VYBER	3520	15458	\N	\N	\N
379895	1291	1995-01-07	VYDAJ	VYBER	720	27388	\N	\N	\N
379896	1291	1995-05-07	VYDAJ	VYBER	560	21654	\N	\N	\N
379897	1291	1996-04-22	VYDAJ	VYBER	3200	23207	\N	\N	\N
379898	1291	1996-03-01	VYDAJ	VYBER	880	20021	\N	\N	\N
379899	1291	1996-08-18	VYDAJ	VYBER	2400	21127	\N	\N	\N
379901	1291	1996-08-24	VYDAJ	VYBER	1040	20087	\N	\N	\N
379903	1291	1997-08-13	VYDAJ	VYBER	2880	15475	\N	\N	\N
379904	1291	1997-08-01	VYDAJ	VYBER	800	15202	\N	\N	\N
379905	1291	1997-11-11	VYDAJ	VYBER	1680	14790	\N	\N	\N
379907	1291	1997-03-08	VYDAJ	VYBER	3360	17334	\N	\N	\N
379908	1291	1998-10-07	VYDAJ	VYBER	2800	20301	\N	\N	\N
379909	1291	1998-11-11	VYDAJ	VYBER	1600	21586	\N	\N	\N
379910	1291	1998-12-10	VYDAJ	VYBER	720	24092	\N	\N	\N
379923	1291	1994-11-30	VYDAJ	VYBER	15	24522	SLUZBY	\N	\N
379924	1291	1994-12-31	VYDAJ	VYBER	15	24620	SLUZBY	\N	\N
379925	1291	1995-01-31	VYDAJ	VYBER	15	12624	SLUZBY	\N	\N
379926	1291	1995-02-28	VYDAJ	VYBER	15	15825	SLUZBY	\N	\N
379927	1291	1995-03-31	VYDAJ	VYBER	15	15513	SLUZBY	\N	\N
379928	1291	1995-04-30	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
379929	1291	1995-05-31	VYDAJ	VYBER	15	21392	SLUZBY	\N	\N
379930	1291	1995-06-30	VYDAJ	VYBER	15	20228	SLUZBY	\N	\N
379931	1291	1995-07-31	VYDAJ	VYBER	15	23462	SLUZBY	\N	\N
379932	1291	1995-08-31	VYDAJ	VYBER	15	23497	SLUZBY	\N	\N
379933	1291	1995-09-30	VYDAJ	VYBER	15	26643	SLUZBY	\N	\N
379934	1291	1995-10-31	VYDAJ	VYBER	15	29603	SLUZBY	\N	\N
379935	1291	1995-11-30	VYDAJ	VYBER	15	26127	SLUZBY	\N	\N
379936	1291	1995-12-31	VYDAJ	VYBER	15	25829	SLUZBY	\N	\N
379937	1291	1996-01-31	VYDAJ	VYBER	15	17679	SLUZBY	\N	\N
379938	1291	1996-02-29	VYDAJ	VYBER	15	20901	SLUZBY	\N	\N
379939	1291	1996-03-31	VYDAJ	VYBER	15	23254	SLUZBY	\N	\N
379940	1291	1996-04-30	VYDAJ	VYBER	15	23095	SLUZBY	\N	\N
379941	1291	1996-05-31	VYDAJ	VYBER	15	24939	SLUZBY	\N	\N
379942	1291	1996-06-30	VYDAJ	VYBER	15	17154	SLUZBY	\N	\N
379943	1291	1996-07-31	VYDAJ	VYBER	15	20374	SLUZBY	\N	\N
379944	1291	1996-08-31	VYDAJ	VYBER	15	20162	SLUZBY	\N	\N
379945	1291	1996-09-30	VYDAJ	VYBER	15	23395	SLUZBY	\N	\N
379946	1291	1996-10-31	VYDAJ	VYBER	15	23737	SLUZBY	\N	\N
379947	1291	1996-11-30	VYDAJ	VYBER	15	23779	SLUZBY	\N	\N
379948	1291	1996-12-31	VYDAJ	VYBER	15	22721	SLUZBY	\N	\N
379949	1291	1997-01-31	VYDAJ	VYBER	15	14399	SLUZBY	\N	\N
379950	1291	1997-02-28	VYDAJ	VYBER	15	17206	SLUZBY	\N	\N
379951	1291	1997-03-31	VYDAJ	VYBER	15	13450	SLUZBY	\N	\N
379952	1291	1997-04-30	VYDAJ	VYBER	15	16654	SLUZBY	\N	\N
379953	1291	1997-05-31	VYDAJ	VYBER	15	19872	SLUZBY	\N	\N
379954	1291	1997-06-30	VYDAJ	VYBER	15	16691	SLUZBY	\N	\N
379955	1291	1997-07-31	VYDAJ	VYBER	15	16002	SLUZBY	\N	\N
379956	1291	1997-08-31	VYDAJ	VYBER	15	13422	SLUZBY	\N	\N
379957	1291	1997-09-30	VYDAJ	VYBER	15	13619	SLUZBY	\N	\N
379958	1291	1997-10-31	VYDAJ	VYBER	15	13317	SLUZBY	\N	\N
379959	1291	1997-11-30	VYDAJ	VYBER	15	14835	SLUZBY	\N	\N
379960	1291	1997-12-31	VYDAJ	VYBER	15	16843	SLUZBY	\N	\N
379961	1291	1998-01-31	VYDAJ	VYBER	15	14034	SLUZBY	\N	\N
379962	1291	1998-02-28	VYDAJ	VYBER	15	15636	SLUZBY	\N	\N
379963	1291	1998-03-31	VYDAJ	VYBER	15	16745	SLUZBY	\N	\N
379964	1291	1998-04-30	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
379965	1291	1998-05-31	VYDAJ	VYBER	15	16067	SLUZBY	\N	\N
379966	1291	1998-06-30	VYDAJ	VYBER	15	16374	SLUZBY	\N	\N
379967	1291	1998-07-31	VYDAJ	VYBER	15	18387	SLUZBY	\N	\N
379968	1291	1998-08-31	VYDAJ	VYBER	15	16397	SLUZBY	\N	\N
379969	1291	1998-09-30	VYDAJ	VYBER	15	19613	SLUZBY	\N	\N
379970	1291	1998-10-31	VYDAJ	VYBER	15	20033	SLUZBY	\N	\N
379971	1291	1998-11-30	VYDAJ	VYBER	15	21659	SLUZBY	\N	\N
379972	1291	1994-12-01	VYDAJ	VYBER	400	24122	\N	\N	\N
379973	1291	1994-12-31	VYDAJ	VYBER	1500	24634	\N	\N	\N
379974	1291	1995-09-27	VYDAJ	VYBER	100	26550	\N	\N	\N
379975	1291	1995-10-27	VYDAJ	VYBER	300	29496	\N	\N	\N
379976	1291	1995-11-26	VYDAJ	VYBER	4100	26016	\N	\N	\N
379977	1291	1995-12-26	VYDAJ	VYBER	2300	25730	\N	\N	\N
379978	1291	1996-04-24	VYDAJ	VYBER	200	23007	\N	\N	\N
379979	1291	1996-05-24	VYDAJ	VYBER	1400	24848	\N	\N	\N
379980	1291	1996-10-21	VYDAJ	VYBER	2900	23648	\N	\N	\N
379981	1291	1996-11-20	VYDAJ	VYBER	3200	23690	\N	\N	\N
379982	1291	1996-12-20	VYDAJ	VYBER	3800	23132	\N	\N	\N
379983	1291	1997-01-19	VYDAJ	VYBER	4100	15934	\N	\N	\N
379984	1291	1997-02-18	VYDAJ	VYBER	400	17152	\N	\N	\N
379985	1291	1997-03-20	VYDAJ	VYBER	3600	13399	\N	\N	\N
379986	1291	1997-06-18	VYDAJ	VYBER	6400	16625	\N	\N	\N
379987	1291	1997-07-18	VYDAJ	VYBER	3900	15944	\N	\N	\N
379988	1291	1997-08-17	VYDAJ	VYBER	2100	13375	\N	\N	\N
379989	1291	1997-09-16	VYDAJ	VYBER	3000	13575	\N	\N	\N
379990	1291	1997-10-16	VYDAJ	VYBER	3500	13272	\N	\N	\N
379991	1291	1998-01-14	VYDAJ	VYBER	3600	13986	\N	\N	\N
379992	1291	1998-02-13	VYDAJ	VYBER	1600	15587	\N	\N	\N
379993	1291	1998-03-15	VYDAJ	VYBER	2100	16689	\N	\N	\N
379994	1291	1998-04-14	VYDAJ	VYBER	2100	17798	\N	\N	\N
379995	1291	1998-05-14	VYDAJ	VYBER	5000	16010	\N	\N	\N
379996	1291	1998-06-13	VYDAJ	VYBER	2900	16320	\N	\N	\N
379997	1291	1998-07-13	VYDAJ	VYBER	1200	18327	\N	\N	\N
379998	1291	1998-08-12	VYDAJ	VYBER	5200	16340	\N	\N	\N
380053	1292	1994-09-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
380062	1292	1994-09-14	PRIJEM	VKLAD	11886	12986	\N	\N	\N
380063	1292	1994-10-14	PRIJEM	VKLAD	11886	30803	\N	\N	\N
380064	1292	1994-11-14	PRIJEM	VKLAD	11886	38386	\N	\N	\N
380065	1292	1994-12-14	PRIJEM	VKLAD	17829	50061	\N	\N	\N
380066	1292	1995-01-14	PRIJEM	VKLAD	11886	50835	\N	\N	\N
380067	1292	1995-02-14	PRIJEM	VKLAD	11886	41645	\N	\N	\N
380068	1292	1995-03-14	PRIJEM	VKLAD	11886	40785	\N	\N	\N
380069	1292	1995-04-14	PRIJEM	VKLAD	11886	40682	\N	\N	\N
380070	1292	1995-05-14	PRIJEM	VKLAD	11886	41031	\N	\N	\N
380071	1292	1995-06-14	PRIJEM	VKLAD	17829	47169	\N	\N	\N
380072	1292	1995-07-14	PRIJEM	VKLAD	11886	44829	\N	\N	\N
380073	1292	1995-08-14	PRIJEM	VKLAD	11886	46736	\N	\N	\N
380074	1292	1995-09-14	PRIJEM	VKLAD	11886	46250	\N	\N	\N
380075	1292	1995-10-14	PRIJEM	VKLAD	11886	45862	\N	\N	\N
380076	1292	1995-11-14	PRIJEM	VKLAD	11886	43987	\N	\N	\N
380077	1292	1995-12-14	PRIJEM	VKLAD	17829	54734	\N	\N	\N
380078	1292	1996-01-14	PRIJEM	VKLAD	11886	44225	\N	\N	\N
380079	1292	1996-02-14	PRIJEM	VKLAD	11886	45080	\N	\N	\N
380080	1292	1996-03-14	PRIJEM	VKLAD	11886	49386	\N	\N	\N
380081	1292	1996-04-14	PRIJEM	VKLAD	11886	50609	\N	\N	\N
380082	1292	1996-05-14	PRIJEM	VKLAD	11886	44150	\N	\N	\N
380083	1292	1996-06-14	PRIJEM	VKLAD	17829	57299	\N	\N	\N
380084	1292	1996-07-14	PRIJEM	VKLAD	11886	48306	\N	\N	\N
380085	1292	1996-08-14	PRIJEM	VKLAD	11886	51123	\N	\N	\N
380086	1292	1996-09-14	PRIJEM	VKLAD	11886	51828	\N	\N	\N
380087	1292	1996-10-14	PRIJEM	VKLAD	11886	54659	\N	\N	\N
380088	1292	1996-11-14	PRIJEM	VKLAD	11886	48752	\N	\N	\N
380089	1292	1996-12-14	PRIJEM	VKLAD	17829	52591	\N	\N	\N
380090	1292	1997-01-14	PRIJEM	VKLAD	11886	49752	\N	\N	\N
380091	1292	1997-02-14	PRIJEM	VKLAD	11886	39736	\N	\N	\N
380092	1292	1997-03-14	PRIJEM	VKLAD	11886	49933	\N	\N	\N
380093	1292	1997-04-14	PRIJEM	VKLAD	11886	52554	\N	\N	\N
380094	1292	1997-05-14	PRIJEM	VKLAD	11886	56287	\N	\N	\N
380095	1292	1997-06-14	PRIJEM	VKLAD	17829	38532	\N	\N	\N
380096	1292	1997-07-14	PRIJEM	VKLAD	11886	48441	\N	\N	\N
380097	1292	1997-08-14	PRIJEM	VKLAD	11886	52957	\N	\N	\N
380098	1292	1997-09-14	PRIJEM	VKLAD	11886	55028	\N	\N	\N
380099	1292	1997-10-14	PRIJEM	VKLAD	11886	56006	\N	\N	\N
380100	1292	1997-11-14	PRIJEM	VKLAD	11886	61157	\N	\N	\N
380101	1292	1997-12-14	PRIJEM	VKLAD	17829	66804	\N	\N	\N
380102	1292	1998-01-14	PRIJEM	VKLAD	11886	65419	\N	\N	\N
380103	1292	1998-02-14	PRIJEM	VKLAD	11886	55874	\N	\N	\N
380104	1292	1998-03-14	PRIJEM	VKLAD	11886	59256	\N	\N	\N
380105	1292	1998-04-14	PRIJEM	VKLAD	11886	65819	\N	\N	\N
380106	1292	1998-05-14	PRIJEM	VKLAD	11886	71707	\N	\N	\N
380107	1292	1998-06-14	PRIJEM	VKLAD	17829	78251	\N	\N	\N
380108	1292	1998-07-14	PRIJEM	VKLAD	11886	33573	\N	\N	\N
380109	1292	1998-08-14	PRIJEM	VKLAD	11886	56436	\N	\N	\N
380110	1292	1998-09-14	PRIJEM	VKLAD	11886	64388	\N	\N	\N
380111	1292	1998-10-14	PRIJEM	VKLAD	11886	71713	\N	\N	\N
380112	1292	1998-11-14	PRIJEM	VKLAD	11886	71048	\N	\N	\N
380113	1292	1998-12-14	PRIJEM	VKLAD	17829	76680	\N	\N	\N
380127	1292	1995-02-09	VYDAJ	PREVOD NA UCET	1653	31216	SIPO	MN	61391454
380128	1292	1995-03-09	VYDAJ	PREVOD NA UCET	1653	30356	SIPO	MN	61391454
380129	1292	1995-04-09	VYDAJ	PREVOD NA UCET	1653	30253	SIPO	MN	61391454
380130	1292	1995-05-09	VYDAJ	PREVOD NA UCET	1653	30602	SIPO	MN	61391454
380131	1292	1995-06-09	VYDAJ	PREVOD NA UCET	1653	30797	SIPO	MN	61391454
380132	1292	1995-07-09	VYDAJ	PREVOD NA UCET	1653	34400	SIPO	MN	61391454
380133	1292	1995-08-09	VYDAJ	PREVOD NA UCET	1653	36307	SIPO	MN	61391454
380134	1292	1995-09-09	VYDAJ	PREVOD NA UCET	1653	35821	SIPO	MN	61391454
380135	1292	1995-10-09	VYDAJ	PREVOD NA UCET	1653	35433	SIPO	MN	61391454
380136	1292	1995-11-09	VYDAJ	PREVOD NA UCET	1653	33558	SIPO	MN	61391454
380137	1292	1995-12-09	VYDAJ	PREVOD NA UCET	1653	38362	SIPO	MN	61391454
380138	1292	1996-01-09	VYDAJ	PREVOD NA UCET	1653	42316	SIPO	MN	61391454
380139	1292	1996-02-09	VYDAJ	PREVOD NA UCET	1653	34651	SIPO	MN	61391454
380140	1292	1996-03-09	VYDAJ	PREVOD NA UCET	1653	38957	SIPO	MN	61391454
380141	1292	1996-04-09	VYDAJ	PREVOD NA UCET	1653	40180	SIPO	MN	61391454
380142	1292	1996-05-09	VYDAJ	PREVOD NA UCET	1653	33721	SIPO	MN	61391454
380143	1292	1996-06-09	VYDAJ	PREVOD NA UCET	1653	40927	SIPO	MN	61391454
380144	1292	1996-07-09	VYDAJ	PREVOD NA UCET	1653	37877	SIPO	MN	61391454
380145	1292	1996-08-09	VYDAJ	PREVOD NA UCET	1653	40694	SIPO	MN	61391454
380146	1292	1996-09-09	VYDAJ	PREVOD NA UCET	1653	41399	SIPO	MN	61391454
380147	1292	1996-10-09	VYDAJ	PREVOD NA UCET	1653	44230	SIPO	MN	61391454
380148	1292	1996-11-09	VYDAJ	PREVOD NA UCET	1653	41083	SIPO	MN	61391454
380149	1292	1996-12-09	VYDAJ	PREVOD NA UCET	1653	36219	SIPO	MN	61391454
380150	1292	1997-01-09	VYDAJ	PREVOD NA UCET	1653	40163	SIPO	MN	61391454
380151	1292	1997-02-09	VYDAJ	PREVOD NA UCET	1653	34227	SIPO	MN	61391454
380152	1292	1997-03-09	VYDAJ	PREVOD NA UCET	1653	39504	SIPO	MN	61391454
380153	1292	1997-04-09	VYDAJ	PREVOD NA UCET	1653	42125	SIPO	MN	61391454
380154	1292	1997-05-09	VYDAJ	PREVOD NA UCET	1653	45858	SIPO	MN	61391454
380155	1292	1997-06-09	VYDAJ	PREVOD NA UCET	1653	45200	SIPO	MN	61391454
380156	1292	1997-07-09	VYDAJ	PREVOD NA UCET	1653	38012	SIPO	MN	61391454
380157	1292	1997-08-09	VYDAJ	PREVOD NA UCET	1653	42528	SIPO	MN	61391454
380158	1292	1997-09-09	VYDAJ	PREVOD NA UCET	1653	44599	SIPO	MN	61391454
380159	1292	1997-10-09	VYDAJ	PREVOD NA UCET	1653	47137	SIPO	MN	61391454
380160	1292	1997-11-09	VYDAJ	PREVOD NA UCET	1653	50728	SIPO	MN	61391454
380161	1292	1997-12-09	VYDAJ	PREVOD NA UCET	1653	53792	SIPO	MN	61391454
380162	1292	1998-01-09	VYDAJ	PREVOD NA UCET	1653	54990	SIPO	MN	61391454
380163	1292	1998-02-09	VYDAJ	PREVOD NA UCET	1653	45445	SIPO	MN	61391454
380164	1292	1998-03-09	VYDAJ	PREVOD NA UCET	1653	48827	SIPO	MN	61391454
380165	1292	1998-04-09	VYDAJ	PREVOD NA UCET	1653	55390	SIPO	MN	61391454
380166	1292	1998-05-09	VYDAJ	PREVOD NA UCET	1653	61278	SIPO	MN	61391454
380167	1292	1998-06-09	VYDAJ	PREVOD NA UCET	1653	61879	SIPO	MN	61391454
380168	1292	1998-07-09	VYDAJ	PREVOD NA UCET	1653	23144	SIPO	MN	61391454
380169	1292	1998-08-09	VYDAJ	PREVOD NA UCET	1653	43607	SIPO	MN	61391454
380170	1292	1998-09-09	VYDAJ	PREVOD NA UCET	1653	54759	SIPO	MN	61391454
380171	1292	1998-10-09	VYDAJ	PREVOD NA UCET	1653	59984	SIPO	MN	61391454
380172	1292	1998-11-09	VYDAJ	PREVOD NA UCET	1653	68419	SIPO	MN	61391454
380173	1292	1998-12-09	VYDAJ	PREVOD NA UCET	1653	57408	SIPO	MN	61391454
380187	1292	1995-02-11	VYDAJ	PREVOD NA UCET	1457	29759	 	UV	43192416
380188	1292	1995-03-11	VYDAJ	PREVOD NA UCET	1457	28899	 	UV	43192416
380189	1292	1995-04-11	VYDAJ	PREVOD NA UCET	1457	28796	 	UV	43192416
380190	1292	1995-05-11	VYDAJ	PREVOD NA UCET	1457	29145	 	UV	43192416
380191	1292	1995-06-11	VYDAJ	PREVOD NA UCET	1457	29340	 	UV	43192416
380192	1292	1995-07-11	VYDAJ	PREVOD NA UCET	1457	32943	 	UV	43192416
380193	1292	1995-08-11	VYDAJ	PREVOD NA UCET	1457	34850	 	UV	43192416
380194	1292	1995-09-11	VYDAJ	PREVOD NA UCET	1457	34364	 	UV	43192416
380195	1292	1995-10-11	VYDAJ	PREVOD NA UCET	1457	33976	 	UV	43192416
380196	1292	1995-11-11	VYDAJ	PREVOD NA UCET	1457	32101	 	UV	43192416
380197	1292	1995-12-11	VYDAJ	PREVOD NA UCET	1457	36905	 	UV	43192416
380198	1292	1996-01-11	VYDAJ	PREVOD NA UCET	1457	35459	 	UV	43192416
380199	1292	1996-02-11	VYDAJ	PREVOD NA UCET	1457	33194	 	UV	43192416
380200	1292	1996-03-11	VYDAJ	PREVOD NA UCET	1457	37500	 	UV	43192416
380201	1292	1996-04-11	VYDAJ	PREVOD NA UCET	1457	38723	 	UV	43192416
380202	1292	1996-05-11	VYDAJ	PREVOD NA UCET	1457	32264	 	UV	43192416
380203	1292	1996-06-11	VYDAJ	PREVOD NA UCET	1457	39470	 	UV	43192416
380204	1292	1996-07-11	VYDAJ	PREVOD NA UCET	1457	36420	 	UV	43192416
380205	1292	1996-08-11	VYDAJ	PREVOD NA UCET	1457	39237	 	UV	43192416
380206	1292	1996-09-11	VYDAJ	PREVOD NA UCET	1457	39942	 	UV	43192416
380207	1292	1996-10-11	VYDAJ	PREVOD NA UCET	1457	42773	 	UV	43192416
380208	1292	1996-11-11	VYDAJ	PREVOD NA UCET	1457	39626	 	UV	43192416
380209	1292	1996-12-11	VYDAJ	PREVOD NA UCET	1457	34762	 	UV	43192416
380210	1292	1997-01-11	VYDAJ	PREVOD NA UCET	1457	37866	 	UV	43192416
380211	1292	1997-02-11	VYDAJ	PREVOD NA UCET	1457	27850	 	UV	43192416
380212	1292	1997-03-11	VYDAJ	PREVOD NA UCET	1457	38047	 	UV	43192416
380213	1292	1997-04-11	VYDAJ	PREVOD NA UCET	1457	40668	 	UV	43192416
380214	1292	1997-05-11	VYDAJ	PREVOD NA UCET	1457	44401	 	UV	43192416
380215	1292	1997-06-11	VYDAJ	PREVOD NA UCET	1457	43743	 	UV	43192416
380216	1292	1997-07-11	VYDAJ	PREVOD NA UCET	1457	36555	 	UV	43192416
380217	1292	1997-08-11	VYDAJ	PREVOD NA UCET	1457	41071	 	UV	43192416
380218	1292	1997-09-11	VYDAJ	PREVOD NA UCET	1457	43142	 	UV	43192416
380219	1292	1997-10-11	VYDAJ	PREVOD NA UCET	1457	45680	 	UV	43192416
380220	1292	1997-11-11	VYDAJ	PREVOD NA UCET	1457	49271	 	UV	43192416
380221	1292	1997-12-11	VYDAJ	PREVOD NA UCET	1457	48975	 	UV	43192416
380222	1292	1998-01-11	VYDAJ	PREVOD NA UCET	1457	53533	 	UV	43192416
380223	1292	1998-02-11	VYDAJ	PREVOD NA UCET	1457	43988	 	UV	43192416
380224	1292	1998-03-11	VYDAJ	PREVOD NA UCET	1457	47370	 	UV	43192416
380225	1292	1998-04-11	VYDAJ	PREVOD NA UCET	1457	53933	 	UV	43192416
380226	1292	1998-05-11	VYDAJ	PREVOD NA UCET	1457	59821	 	UV	43192416
380227	1292	1998-06-11	VYDAJ	PREVOD NA UCET	1457	60422	 	UV	43192416
380228	1292	1998-07-11	VYDAJ	PREVOD NA UCET	1457	21687	 	UV	43192416
380229	1292	1998-08-11	VYDAJ	PREVOD NA UCET	1457	42150	 	UV	43192416
380230	1292	1998-09-11	VYDAJ	PREVOD NA UCET	1457	53302	 	UV	43192416
380231	1292	1998-10-11	VYDAJ	PREVOD NA UCET	1457	58527	 	UV	43192416
380232	1292	1998-11-11	VYDAJ	PREVOD NA UCET	1457	66962	 	UV	43192416
380233	1292	1998-12-11	VYDAJ	PREVOD NA UCET	1457	58851	 	UV	43192416
380247	1292	1995-02-05	VYDAJ	PREVOD NA UCET	221	32869	POJISTNE	KL	75588404
380248	1292	1995-03-05	VYDAJ	PREVOD NA UCET	221	32009	POJISTNE	KL	75588404
380249	1292	1995-04-05	VYDAJ	PREVOD NA UCET	221	31906	POJISTNE	KL	75588404
380250	1292	1995-05-05	VYDAJ	PREVOD NA UCET	221	32255	POJISTNE	KL	75588404
380251	1292	1995-06-05	VYDAJ	PREVOD NA UCET	221	32450	POJISTNE	KL	75588404
380252	1292	1995-07-05	VYDAJ	PREVOD NA UCET	221	36053	POJISTNE	KL	75588404
380253	1292	1995-08-05	VYDAJ	PREVOD NA UCET	221	37960	POJISTNE	KL	75588404
380254	1292	1995-09-05	VYDAJ	PREVOD NA UCET	221	37474	POJISTNE	KL	75588404
380255	1292	1995-10-05	VYDAJ	PREVOD NA UCET	221	37086	POJISTNE	KL	75588404
380256	1292	1995-11-05	VYDAJ	PREVOD NA UCET	221	35211	POJISTNE	KL	75588404
380257	1292	1995-12-05	VYDAJ	PREVOD NA UCET	221	40015	POJISTNE	KL	75588404
380258	1292	1996-01-05	VYDAJ	PREVOD NA UCET	221	43969	POJISTNE	KL	75588404
380259	1292	1996-02-05	VYDAJ	PREVOD NA UCET	221	36304	POJISTNE	KL	75588404
380260	1292	1996-03-05	VYDAJ	PREVOD NA UCET	221	40610	POJISTNE	KL	75588404
380261	1292	1996-04-05	VYDAJ	PREVOD NA UCET	221	41833	POJISTNE	KL	75588404
380262	1292	1996-05-05	VYDAJ	PREVOD NA UCET	221	35374	POJISTNE	KL	75588404
380263	1292	1996-06-05	VYDAJ	PREVOD NA UCET	221	42580	POJISTNE	KL	75588404
380264	1292	1996-07-05	VYDAJ	PREVOD NA UCET	221	39530	POJISTNE	KL	75588404
380265	1292	1996-08-05	VYDAJ	PREVOD NA UCET	221	42347	POJISTNE	KL	75588404
380266	1292	1996-09-05	VYDAJ	PREVOD NA UCET	221	43052	POJISTNE	KL	75588404
380267	1292	1996-10-05	VYDAJ	PREVOD NA UCET	221	45883	POJISTNE	KL	75588404
380268	1292	1996-11-05	VYDAJ	PREVOD NA UCET	221	42736	POJISTNE	KL	75588404
380269	1292	1996-12-05	VYDAJ	PREVOD NA UCET	221	37872	POJISTNE	KL	75588404
380270	1292	1997-01-05	VYDAJ	PREVOD NA UCET	221	44696	POJISTNE	KL	75588404
380271	1292	1997-02-05	VYDAJ	PREVOD NA UCET	221	35880	POJISTNE	KL	75588404
380272	1292	1997-03-05	VYDAJ	PREVOD NA UCET	221	41157	POJISTNE	KL	75588404
380273	1292	1997-04-05	VYDAJ	PREVOD NA UCET	221	43778	POJISTNE	KL	75588404
380274	1292	1997-05-05	VYDAJ	PREVOD NA UCET	221	47511	POJISTNE	KL	75588404
380275	1292	1997-06-05	VYDAJ	PREVOD NA UCET	221	46853	POJISTNE	KL	75588404
380276	1292	1997-07-05	VYDAJ	PREVOD NA UCET	221	39665	POJISTNE	KL	75588404
380277	1292	1997-08-05	VYDAJ	PREVOD NA UCET	221	44181	POJISTNE	KL	75588404
380278	1292	1997-09-05	VYDAJ	PREVOD NA UCET	221	46252	POJISTNE	KL	75588404
380279	1292	1997-10-05	VYDAJ	PREVOD NA UCET	221	48790	POJISTNE	KL	75588404
380280	1292	1997-11-05	VYDAJ	PREVOD NA UCET	221	52381	POJISTNE	KL	75588404
380281	1292	1997-12-05	VYDAJ	PREVOD NA UCET	221	55445	POJISTNE	KL	75588404
380282	1292	1998-01-05	VYDAJ	PREVOD NA UCET	221	56643	POJISTNE	KL	75588404
380283	1292	1998-02-05	VYDAJ	PREVOD NA UCET	221	47098	POJISTNE	KL	75588404
380284	1292	1998-03-05	VYDAJ	PREVOD NA UCET	221	50480	POJISTNE	KL	75588404
380285	1292	1998-04-05	VYDAJ	PREVOD NA UCET	221	57043	POJISTNE	KL	75588404
380286	1292	1998-05-05	VYDAJ	PREVOD NA UCET	221	62931	POJISTNE	KL	75588404
380287	1292	1998-06-05	VYDAJ	PREVOD NA UCET	221	63532	POJISTNE	KL	75588404
380288	1292	1998-07-05	VYDAJ	PREVOD NA UCET	221	24797	POJISTNE	KL	75588404
380289	1292	1998-08-05	VYDAJ	PREVOD NA UCET	221	45260	POJISTNE	KL	75588404
380290	1292	1998-09-05	VYDAJ	PREVOD NA UCET	221	56412	POJISTNE	KL	75588404
380291	1292	1998-10-05	VYDAJ	PREVOD NA UCET	221	61637	POJISTNE	KL	75588404
380292	1292	1998-11-05	VYDAJ	PREVOD NA UCET	221	70072	POJISTNE	KL	75588404
380293	1292	1998-12-05	VYDAJ	PREVOD NA UCET	221	64581	POJISTNE	KL	75588404
380295	1292	1995-06-22	VYDAJ	VYBER	6240	40929	\N	\N	\N
380296	1292	1996-06-20	VYDAJ	VYBER	12320	44979	\N	\N	\N
380297	1292	1997-06-12	VYDAJ	VYBER	23040	20703	\N	\N	\N
380298	1292	1998-06-27	VYDAJ	VYBER	40160	24791	\N	\N	\N
380300	1292	1995-12-18	VYDAJ	VYBER	1920	52814	\N	\N	\N
380301	1292	1996-12-22	VYDAJ	VYBER	1280	45711	\N	\N	\N
380302	1292	1997-12-10	VYDAJ	VYBER	3360	50432	\N	\N	\N
380303	1292	1998-12-04	VYDAJ	VYBER	4000	64802	\N	\N	\N
380310	1292	1995-01-19	VYDAJ	VYBER	2760	44595	\N	\N	\N
380311	1292	1995-01-19	VYDAJ	VYBER	2640	41955	\N	\N	\N
380312	1292	1995-01-15	VYDAJ	VYBER	3480	47355	\N	\N	\N
380313	1292	1995-01-20	VYDAJ	VYBER	1800	40155	\N	\N	\N
380316	1292	1996-01-29	VYDAJ	VYBER	1200	38285	\N	\N	\N
380317	1292	1996-01-11	VYDAJ	VYBER	3120	32339	\N	\N	\N
380318	1292	1996-01-09	VYDAJ	VYBER	3120	39196	\N	\N	\N
380319	1292	1996-01-30	VYDAJ	VYBER	1920	36365	\N	\N	\N
380320	1292	1996-01-20	VYDAJ	VYBER	720	43505	\N	\N	\N
380321	1292	1996-01-10	VYDAJ	VYBER	2280	36916	\N	\N	\N
380322	1292	1997-01-26	VYDAJ	VYBER	720	42292	\N	\N	\N
380323	1292	1997-01-26	VYDAJ	VYBER	2640	43012	\N	\N	\N
380324	1292	1997-01-11	VYDAJ	VYBER	840	39323	\N	\N	\N
380325	1292	1997-01-27	VYDAJ	VYBER	2520	39772	\N	\N	\N
380326	1292	1997-01-09	VYDAJ	VYBER	2280	41816	\N	\N	\N
380327	1292	1997-01-04	VYDAJ	VYBER	960	44917	\N	\N	\N
380328	1292	1998-01-24	VYDAJ	VYBER	1200	61019	\N	\N	\N
380329	1292	1998-01-26	VYDAJ	VYBER	2400	49859	\N	\N	\N
380330	1292	1998-01-24	VYDAJ	VYBER	1920	59099	\N	\N	\N
380331	1292	1998-01-30	VYDAJ	VYBER	1920	47099	\N	\N	\N
380332	1292	1998-01-25	VYDAJ	VYBER	1440	57659	\N	\N	\N
380333	1292	1998-01-29	VYDAJ	VYBER	840	49019	\N	\N	\N
380339	1292	1995-07-29	VYDAJ	VYBER	960	43029	\N	\N	\N
380340	1292	1995-01-28	VYDAJ	VYBER	2640	37515	\N	\N	\N
380341	1292	1995-02-28	VYDAJ	VYBER	3360	38444	\N	\N	\N
380342	1292	1995-10-21	VYDAJ	VYBER	4080	37582	\N	\N	\N
380343	1292	1995-10-21	VYDAJ	VYBER	4200	41662	\N	\N	\N
380344	1292	1995-07-17	VYDAJ	VYBER	840	43989	\N	\N	\N
380345	1292	1995-04-21	VYDAJ	VYBER	5640	35042	\N	\N	\N
380346	1292	1996-11-23	VYDAJ	VYBER	4320	37932	\N	\N	\N
380347	1292	1996-01-20	VYDAJ	VYBER	2520	40985	\N	\N	\N
380348	1292	1996-04-28	VYDAJ	VYBER	4680	35429	\N	\N	\N
380349	1292	1996-11-13	VYDAJ	VYBER	2760	36866	\N	\N	\N
380350	1292	1996-04-22	VYDAJ	VYBER	3600	47009	\N	\N	\N
380351	1292	1996-08-20	VYDAJ	VYBER	4920	46203	\N	\N	\N
380352	1292	1996-10-20	VYDAJ	VYBER	5880	48779	\N	\N	\N
380353	1292	1997-10-12	VYDAJ	VYBER	1560	44120	\N	\N	\N
380354	1292	1997-02-01	VYDAJ	VYBER	3840	36101	\N	\N	\N
380355	1292	1997-08-20	VYDAJ	VYBER	1560	46297	\N	\N	\N
380356	1292	1997-02-10	VYDAJ	VYBER	4920	29307	\N	\N	\N
380357	1292	1997-01-07	VYDAJ	VYBER	600	44096	\N	\N	\N
380358	1292	1997-12-22	VYDAJ	VYBER	4560	56644	\N	\N	\N
380359	1292	1998-12-06	VYDAJ	VYBER	5520	59061	\N	\N	\N
380360	1292	1998-02-17	VYDAJ	VYBER	2160	50514	\N	\N	\N
380361	1292	1998-10-21	VYDAJ	VYBER	1680	70033	\N	\N	\N
380362	1292	1998-01-26	VYDAJ	VYBER	5400	52259	\N	\N	\N
380363	1292	1998-09-16	VYDAJ	VYBER	1200	63188	\N	\N	\N
380364	1292	1998-12-03	VYDAJ	VYBER	1680	68802	\N	\N	\N
380365	1292	1998-09-20	VYDAJ	VYBER	1560	61628	\N	\N	\N
380366	1292	1998-11-23	VYDAJ	VYBER	840	70208	\N	\N	\N
380380	1292	1995-01-31	VYDAJ	VYBER	15	37690	SLUZBY	\N	\N
380381	1292	1995-02-28	VYDAJ	VYBER	15	38430	SLUZBY	\N	\N
380382	1292	1995-03-31	VYDAJ	VYBER	15	40927	SLUZBY	\N	\N
380383	1292	1995-04-30	VYDAJ	VYBER	15	35176	SLUZBY	\N	\N
380384	1292	1995-05-31	VYDAJ	VYBER	15	41171	SLUZBY	\N	\N
380385	1292	1995-06-30	VYDAJ	VYBER	15	36274	SLUZBY	\N	\N
380386	1292	1995-07-31	VYDAJ	VYBER	15	38181	SLUZBY	\N	\N
380387	1292	1995-08-31	VYDAJ	VYBER	15	37695	SLUZBY	\N	\N
380388	1292	1995-09-30	VYDAJ	VYBER	15	37307	SLUZBY	\N	\N
380389	1292	1995-10-31	VYDAJ	VYBER	15	35432	SLUZBY	\N	\N
380390	1292	1995-11-30	VYDAJ	VYBER	15	40236	SLUZBY	\N	\N
380391	1292	1995-12-31	VYDAJ	VYBER	15	44190	SLUZBY	\N	\N
380392	1292	1996-01-31	VYDAJ	VYBER	15	36525	SLUZBY	\N	\N
380393	1292	1996-02-29	VYDAJ	VYBER	15	40831	SLUZBY	\N	\N
380394	1292	1996-03-31	VYDAJ	VYBER	15	42054	SLUZBY	\N	\N
380395	1292	1996-04-30	VYDAJ	VYBER	15	35595	SLUZBY	\N	\N
380396	1292	1996-05-31	VYDAJ	VYBER	15	42801	SLUZBY	\N	\N
380397	1292	1996-06-30	VYDAJ	VYBER	15	39751	SLUZBY	\N	\N
380398	1292	1996-07-31	VYDAJ	VYBER	15	42568	SLUZBY	\N	\N
380399	1292	1996-08-31	VYDAJ	VYBER	15	43273	SLUZBY	\N	\N
380400	1292	1996-09-30	VYDAJ	VYBER	15	46104	SLUZBY	\N	\N
380401	1292	1996-10-31	VYDAJ	VYBER	15	42957	SLUZBY	\N	\N
380402	1292	1996-11-30	VYDAJ	VYBER	15	38093	SLUZBY	\N	\N
380403	1292	1996-12-31	VYDAJ	VYBER	15	45877	SLUZBY	\N	\N
380404	1292	1997-01-31	VYDAJ	VYBER	15	39941	SLUZBY	\N	\N
380405	1292	1997-02-28	VYDAJ	VYBER	15	41378	SLUZBY	\N	\N
380406	1292	1997-03-31	VYDAJ	VYBER	15	43999	SLUZBY	\N	\N
380407	1292	1997-04-30	VYDAJ	VYBER	15	47732	SLUZBY	\N	\N
380408	1292	1997-05-31	VYDAJ	VYBER	15	47074	SLUZBY	\N	\N
380409	1292	1997-06-30	VYDAJ	VYBER	15	39886	SLUZBY	\N	\N
380410	1292	1997-07-31	VYDAJ	VYBER	15	44402	SLUZBY	\N	\N
380411	1292	1997-08-31	VYDAJ	VYBER	15	46473	SLUZBY	\N	\N
380412	1292	1997-09-30	VYDAJ	VYBER	15	49011	SLUZBY	\N	\N
380413	1292	1997-10-31	VYDAJ	VYBER	15	52602	SLUZBY	\N	\N
380414	1292	1997-11-30	VYDAJ	VYBER	15	55666	SLUZBY	\N	\N
380415	1292	1997-12-31	VYDAJ	VYBER	15	56864	SLUZBY	\N	\N
380416	1292	1998-01-31	VYDAJ	VYBER	15	47319	SLUZBY	\N	\N
380417	1292	1998-02-28	VYDAJ	VYBER	15	50701	SLUZBY	\N	\N
380418	1292	1998-03-31	VYDAJ	VYBER	15	57264	SLUZBY	\N	\N
380419	1292	1998-04-30	VYDAJ	VYBER	15	63152	SLUZBY	\N	\N
380420	1292	1998-05-31	VYDAJ	VYBER	15	63753	SLUZBY	\N	\N
380421	1292	1998-06-30	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
380422	1292	1998-07-31	VYDAJ	VYBER	15	45481	SLUZBY	\N	\N
380423	1292	1998-08-31	VYDAJ	VYBER	15	56633	SLUZBY	\N	\N
380424	1292	1998-09-30	VYDAJ	VYBER	15	61858	SLUZBY	\N	\N
380425	1292	1998-10-31	VYDAJ	VYBER	15	70293	SLUZBY	\N	\N
380426	1292	1998-11-30	VYDAJ	VYBER	15	70482	SLUZBY	\N	\N
380427	1292	1994-10-03	PRIJEM	VKLAD	5900	18917	\N	\N	\N
380428	1292	1994-11-02	VYDAJ	VYBER	4400	26500	\N	\N	\N
380429	1292	1994-12-02	VYDAJ	VYBER	6300	32232	\N	\N	\N
380430	1292	1995-01-01	VYDAJ	VYBER	11300	38949	\N	\N	\N
380431	1292	1995-01-31	VYDAJ	VYBER	4600	33090	\N	\N	\N
380432	1292	1995-03-02	VYDAJ	VYBER	6200	32230	\N	\N	\N
380433	1292	1995-04-01	VYDAJ	VYBER	8800	32127	\N	\N	\N
380434	1292	1995-05-01	VYDAJ	VYBER	2700	32476	\N	\N	\N
380435	1292	1995-05-31	VYDAJ	VYBER	8500	32671	\N	\N	\N
380436	1292	1995-06-30	VYDAJ	VYBER	4800	36289	\N	\N	\N
380437	1292	1995-07-30	VYDAJ	VYBER	5000	38029	\N	\N	\N
380438	1292	1995-08-29	VYDAJ	VYBER	9200	37536	\N	\N	\N
380439	1292	1995-09-28	VYDAJ	VYBER	9100	37150	\N	\N	\N
380440	1292	1995-10-28	VYDAJ	VYBER	2300	35282	\N	\N	\N
380441	1292	1995-11-27	VYDAJ	VYBER	3900	40087	\N	\N	\N
380442	1292	1995-12-27	VYDAJ	VYBER	8800	44014	\N	\N	\N
380443	1292	1996-01-26	VYDAJ	VYBER	1500	39485	\N	\N	\N
380444	1292	1996-02-25	VYDAJ	VYBER	4400	40680	\N	\N	\N
380445	1292	1996-03-26	VYDAJ	VYBER	7500	41886	\N	\N	\N
380446	1292	1996-04-25	VYDAJ	VYBER	6900	40109	\N	\N	\N
380447	1292	1996-05-25	VYDAJ	VYBER	1500	42650	\N	\N	\N
380448	1292	1996-06-24	VYDAJ	VYBER	5400	39579	\N	\N	\N
380449	1292	1996-07-24	VYDAJ	VYBER	5900	42406	\N	\N	\N
380450	1292	1996-08-23	VYDAJ	VYBER	3100	43103	\N	\N	\N
380451	1292	1996-09-22	VYDAJ	VYBER	5900	45928	\N	\N	\N
380452	1292	1996-10-22	VYDAJ	VYBER	6000	42779	\N	\N	\N
380453	1292	1996-11-21	VYDAJ	VYBER	6500	42252	\N	\N	\N
380454	1292	1996-12-21	VYDAJ	VYBER	5600	46991	\N	\N	\N
380455	1292	1997-01-20	VYDAJ	VYBER	4100	45652	\N	\N	\N
380456	1292	1997-02-19	PRIJEM	VKLAD	1500	41236	\N	\N	\N
380457	1292	1997-03-21	VYDAJ	VYBER	6100	43833	\N	\N	\N
380458	1292	1997-04-20	VYDAJ	VYBER	5000	47554	\N	\N	\N
380459	1292	1997-05-20	VYDAJ	VYBER	9400	46887	\N	\N	\N
380460	1292	1997-06-19	PRIJEM	VKLAD	1200	39732	\N	\N	\N
380461	1292	1997-07-19	VYDAJ	VYBER	4200	44241	\N	\N	\N
380462	1292	1997-08-18	VYDAJ	VYBER	5100	47857	\N	\N	\N
380463	1292	1997-09-17	VYDAJ	VYBER	6200	48828	\N	\N	\N
380464	1292	1997-10-17	VYDAJ	VYBER	3600	52406	\N	\N	\N
380465	1292	1997-11-16	VYDAJ	VYBER	5700	55457	\N	\N	\N
380466	1292	1997-12-16	VYDAJ	VYBER	5600	61204	\N	\N	\N
380467	1292	1998-01-15	VYDAJ	VYBER	3200	62219	\N	\N	\N
380468	1292	1998-02-14	VYDAJ	VYBER	3200	52674	\N	\N	\N
380469	1292	1998-03-16	VYDAJ	VYBER	2200	57056	\N	\N	\N
380470	1292	1998-04-15	VYDAJ	VYBER	2900	62919	\N	\N	\N
380471	1292	1998-05-15	VYDAJ	VYBER	8200	63507	\N	\N	\N
380472	1292	1998-06-14	VYDAJ	VYBER	13300	64951	\N	\N	\N
380473	1292	1998-07-14	PRIJEM	VKLAD	11800	45373	\N	\N	\N
380474	1292	1998-08-13	PRIJEM	VKLAD	2400	44550	\N	\N	\N
380475	1292	1998-09-12	VYDAJ	VYBER	800	52502	\N	\N	\N
380476	1292	1998-10-12	PRIJEM	VKLAD	1300	59827	\N	\N	\N
380477	1292	1998-11-11	VYDAJ	VYBER	7800	59162	\N	\N	\N
380478	1292	1998-12-11	PRIJEM	VKLAD	2900	60308	\N	\N	\N
380531	1293	1996-09-03	PRIJEM	VKLAD	800	800	\N	\N	\N
380540	1293	1996-09-14	PRIJEM	VKLAD	22988	23788	\N	\N	\N
380541	1293	1996-10-14	PRIJEM	VKLAD	22988	49032	\N	\N	\N
380542	1293	1996-11-14	PRIJEM	VKLAD	22988	60980	\N	\N	\N
380543	1293	1996-12-14	PRIJEM	VKLAD	34482	76695	\N	\N	\N
380544	1293	1997-01-14	PRIJEM	VKLAD	22988	76775	\N	\N	\N
380545	1293	1997-02-14	PRIJEM	VKLAD	22988	66873	\N	\N	\N
380546	1293	1997-03-14	PRIJEM	VKLAD	22988	63742	\N	\N	\N
380547	1293	1997-04-14	PRIJEM	VKLAD	22988	63879	\N	\N	\N
380548	1293	1997-05-14	PRIJEM	VKLAD	22988	64398	\N	\N	\N
380549	1293	1997-06-14	PRIJEM	VKLAD	34482	74425	\N	\N	\N
380550	1293	1997-07-14	PRIJEM	VKLAD	22988	60854	\N	\N	\N
380551	1293	1997-08-14	PRIJEM	VKLAD	22988	65476	\N	\N	\N
380552	1293	1997-09-14	PRIJEM	VKLAD	22988	64095	\N	\N	\N
380553	1293	1997-10-14	PRIJEM	VKLAD	22988	63207	\N	\N	\N
380554	1293	1997-11-14	PRIJEM	VKLAD	22988	59315	\N	\N	\N
380555	1293	1997-12-14	PRIJEM	VKLAD	34482	67997	\N	\N	\N
380556	1293	1998-01-14	PRIJEM	VKLAD	22988	51895	\N	\N	\N
380557	1293	1998-02-14	PRIJEM	VKLAD	22988	47548	\N	\N	\N
380558	1293	1998-03-14	PRIJEM	VKLAD	22988	49386	\N	\N	\N
380559	1293	1998-04-14	PRIJEM	VKLAD	22988	49133	\N	\N	\N
380560	1293	1998-05-14	PRIJEM	VKLAD	22988	48377	\N	\N	\N
380561	1293	1998-06-14	PRIJEM	VKLAD	34482	57609	\N	\N	\N
380562	1293	1998-07-14	PRIJEM	VKLAD	22988	50658	\N	\N	\N
380563	1293	1998-08-14	PRIJEM	VKLAD	22988	42399	\N	\N	\N
380564	1293	1998-09-14	PRIJEM	VKLAD	22988	42309	\N	\N	\N
380565	1293	1998-10-14	PRIJEM	VKLAD	22988	38612	\N	\N	\N
380566	1293	1998-11-14	PRIJEM	VKLAD	22988	36901	\N	\N	\N
380567	1293	1998-12-14	PRIJEM	VKLAD	34482	50279	\N	\N	\N
380581	1293	1997-02-07	VYDAJ	PREVOD NA UCET	3484	43885	SIPO	MN	91569077
380582	1293	1997-03-07	VYDAJ	PREVOD NA UCET	3484	40754	SIPO	MN	91569077
380583	1293	1997-04-07	VYDAJ	PREVOD NA UCET	3484	40891	SIPO	MN	91569077
380584	1293	1997-05-07	VYDAJ	PREVOD NA UCET	3484	41410	SIPO	MN	91569077
380585	1293	1997-06-07	VYDAJ	PREVOD NA UCET	3484	39943	SIPO	MN	91569077
380586	1293	1997-07-07	VYDAJ	PREVOD NA UCET	3484	37866	SIPO	MN	91569077
380587	1293	1997-08-07	VYDAJ	PREVOD NA UCET	3484	42488	SIPO	MN	91569077
380588	1293	1997-09-07	VYDAJ	PREVOD NA UCET	3484	41107	SIPO	MN	91569077
380589	1293	1997-10-07	VYDAJ	PREVOD NA UCET	3484	40219	SIPO	MN	91569077
380590	1293	1997-11-07	VYDAJ	PREVOD NA UCET	3484	36327	SIPO	MN	91569077
380591	1293	1997-12-07	VYDAJ	PREVOD NA UCET	3484	33515	SIPO	MN	91569077
380592	1293	1998-01-07	VYDAJ	PREVOD NA UCET	3484	33607	SIPO	MN	91569077
380593	1293	1998-02-07	VYDAJ	PREVOD NA UCET	3484	24560	SIPO	MN	91569077
380594	1293	1998-03-07	VYDAJ	PREVOD NA UCET	3484	26398	SIPO	MN	91569077
380595	1293	1998-04-07	VYDAJ	PREVOD NA UCET	3484	26145	SIPO	MN	91569077
380596	1293	1998-05-07	VYDAJ	PREVOD NA UCET	3484	25389	SIPO	MN	91569077
380597	1293	1998-06-07	VYDAJ	PREVOD NA UCET	3484	23127	SIPO	MN	91569077
380598	1293	1998-07-07	VYDAJ	PREVOD NA UCET	3484	27670	SIPO	MN	91569077
380599	1293	1998-08-07	VYDAJ	PREVOD NA UCET	3484	19411	SIPO	MN	91569077
380600	1293	1998-09-07	VYDAJ	PREVOD NA UCET	3484	19321	SIPO	MN	91569077
380601	1293	1998-10-07	VYDAJ	PREVOD NA UCET	3484	15624	SIPO	MN	91569077
380602	1293	1998-11-07	VYDAJ	PREVOD NA UCET	3484	13913	SIPO	MN	91569077
380603	1293	1998-12-07	VYDAJ	PREVOD NA UCET	3484	15797	SIPO	MN	91569077
380605	1293	1997-06-27	VYDAJ	VYBER	23300	51125	\N	\N	\N
380606	1293	1998-06-23	VYDAJ	VYBER	6800	50809	\N	\N	\N
380608	1293	1997-01-20	VYDAJ	VYBER	1800	72075	\N	\N	\N
380609	1293	1998-01-24	VYDAJ	VYBER	1000	49395	\N	\N	\N
380611	1293	1997-12-25	VYDAJ	VYBER	700	67297	\N	\N	\N
380612	1293	1998-12-15	VYDAJ	VYBER	1800	48479	\N	\N	\N
380619	1293	1997-01-29	VYDAJ	VYBER	1900	67675	\N	\N	\N
380620	1293	1997-01-29	VYDAJ	VYBER	1600	69575	\N	\N	\N
380621	1293	1997-01-18	VYDAJ	VYBER	2000	73875	\N	\N	\N
380623	1293	1997-01-21	VYDAJ	VYBER	900	71175	\N	\N	\N
380624	1293	1997-01-15	VYDAJ	VYBER	900	75875	\N	\N	\N
380625	1293	1998-01-14	VYDAJ	VYBER	1500	50395	\N	\N	\N
380626	1293	1998-01-25	VYDAJ	VYBER	1700	47695	\N	\N	\N
380627	1293	1998-01-12	VYDAJ	VYBER	2500	28907	\N	\N	\N
380628	1293	1998-01-04	VYDAJ	VYBER	2000	37091	\N	\N	\N
380629	1293	1998-01-27	VYDAJ	VYBER	900	27895	\N	\N	\N
380630	1293	1998-01-08	VYDAJ	VYBER	2200	31407	\N	\N	\N
380635	1293	1997-04-02	VYDAJ	VYBER	1200	44375	\N	\N	\N
380636	1293	1997-06-07	VYDAJ	VYBER	2100	43427	\N	\N	\N
380637	1293	1997-02-26	VYDAJ	VYBER	3200	63673	\N	\N	\N
380638	1293	1997-03-07	VYDAJ	VYBER	1300	44238	\N	\N	\N
380639	1293	1997-11-06	VYDAJ	VYBER	4100	39811	\N	\N	\N
380640	1293	1998-09-15	VYDAJ	VYBER	800	41509	\N	\N	\N
380641	1293	1998-07-15	VYDAJ	VYBER	1800	48858	\N	\N	\N
380642	1293	1998-08-06	VYDAJ	VYBER	4700	22895	\N	\N	\N
380656	1293	1997-01-31	VYDAJ	VYBER	15	67969	SLUZBY	\N	\N
380657	1293	1997-02-28	VYDAJ	VYBER	15	63938	SLUZBY	\N	\N
380658	1293	1997-03-31	VYDAJ	VYBER	15	63975	SLUZBY	\N	\N
380659	1293	1997-04-30	VYDAJ	VYBER	15	64094	SLUZBY	\N	\N
380660	1293	1997-05-31	VYDAJ	VYBER	15	45527	SLUZBY	\N	\N
380661	1293	1997-06-30	VYDAJ	VYBER	15	51350	SLUZBY	\N	\N
380662	1293	1997-07-31	VYDAJ	VYBER	15	45972	SLUZBY	\N	\N
380663	1293	1997-08-31	VYDAJ	VYBER	15	44591	SLUZBY	\N	\N
380664	1293	1997-09-30	VYDAJ	VYBER	15	43703	SLUZBY	\N	\N
380665	1293	1997-10-31	VYDAJ	VYBER	15	43911	SLUZBY	\N	\N
380666	1293	1997-11-30	VYDAJ	VYBER	15	36999	SLUZBY	\N	\N
380667	1293	1997-12-31	VYDAJ	VYBER	15	39091	SLUZBY	\N	\N
380668	1293	1998-01-31	VYDAJ	VYBER	15	28044	SLUZBY	\N	\N
380669	1293	1998-02-28	VYDAJ	VYBER	15	29882	SLUZBY	\N	\N
380670	1293	1998-03-31	VYDAJ	VYBER	15	29629	SLUZBY	\N	\N
380671	1293	1998-04-30	VYDAJ	VYBER	15	28873	SLUZBY	\N	\N
380672	1293	1998-05-31	VYDAJ	VYBER	15	26611	SLUZBY	\N	\N
380673	1293	1998-06-30	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
380674	1293	1998-07-31	VYDAJ	VYBER	15	27595	SLUZBY	\N	\N
380675	1293	1998-08-31	VYDAJ	VYBER	15	22805	SLUZBY	\N	\N
380676	1293	1998-09-30	VYDAJ	VYBER	15	19108	SLUZBY	\N	\N
380677	1293	1998-10-31	VYDAJ	VYBER	15	17397	SLUZBY	\N	\N
380678	1293	1998-11-30	VYDAJ	VYBER	15	19281	SLUZBY	\N	\N
380679	1293	1996-10-03	PRIJEM	VKLAD	2200	26044	\N	\N	\N
380680	1293	1996-11-02	VYDAJ	VYBER	11200	37992	\N	\N	\N
380681	1293	1996-12-02	VYDAJ	VYBER	19000	42213	\N	\N	\N
380682	1293	1997-01-01	VYDAJ	VYBER	23200	53787	\N	\N	\N
380683	1293	1997-01-31	VYDAJ	VYBER	20600	47369	\N	\N	\N
380684	1293	1997-03-02	VYDAJ	VYBER	18400	45538	\N	\N	\N
380685	1293	1997-04-01	VYDAJ	VYBER	18400	45575	\N	\N	\N
380686	1293	1997-05-01	VYDAJ	VYBER	19200	44894	\N	\N	\N
380687	1293	1997-05-31	VYDAJ	VYBER	19100	45542	\N	\N	\N
380688	1293	1997-06-30	VYDAJ	VYBER	10000	41350	\N	\N	\N
380689	1293	1997-07-30	VYDAJ	VYBER	15100	45754	\N	\N	\N
380690	1293	1997-08-29	VYDAJ	VYBER	21100	44376	\N	\N	\N
380691	1293	1997-09-28	VYDAJ	VYBER	20600	43495	\N	\N	\N
380692	1293	1997-10-28	VYDAJ	VYBER	19500	43707	\N	\N	\N
380693	1293	1997-11-27	VYDAJ	VYBER	22500	36815	\N	\N	\N
380694	1293	1997-12-27	VYDAJ	VYBER	28400	38897	\N	\N	\N
380695	1293	1998-01-26	VYDAJ	VYBER	18900	28795	\N	\N	\N
380696	1293	1998-02-25	VYDAJ	VYBER	17800	29748	\N	\N	\N
380697	1293	1998-03-27	VYDAJ	VYBER	19900	29486	\N	\N	\N
380698	1293	1998-04-26	VYDAJ	VYBER	20400	28733	\N	\N	\N
380699	1293	1998-05-26	VYDAJ	VYBER	21900	26477	\N	\N	\N
380700	1293	1998-06-25	VYDAJ	VYBER	19800	31009	\N	\N	\N
380701	1293	1998-07-25	VYDAJ	VYBER	21400	27458	\N	\N	\N
380702	1293	1998-08-24	VYDAJ	VYBER	19700	22699	\N	\N	\N
380703	1293	1998-09-23	VYDAJ	VYBER	22500	19009	\N	\N	\N
380704	1293	1998-10-23	VYDAJ	VYBER	21300	17312	\N	\N	\N
380705	1293	1998-11-22	VYDAJ	VYBER	17700	19201	\N	\N	\N
380734	1294	1994-11-27	PRIJEM	VKLAD	300	300	\N	\N	\N
380746	1294	1994-12-14	PRIJEM	VKLAD	21654	21954	\N	\N	\N
380747	1294	1995-01-14	PRIJEM	VKLAD	14436	38206	\N	\N	\N
380748	1294	1995-02-14	PRIJEM	VKLAD	14436	43946	\N	\N	\N
380749	1294	1995-03-14	PRIJEM	VKLAD	14436	47106	\N	\N	\N
380750	1294	1995-04-14	PRIJEM	VKLAD	14436	47978	\N	\N	\N
380751	1294	1995-05-14	PRIJEM	VKLAD	14436	46759	\N	\N	\N
380752	1294	1995-06-14	PRIJEM	VKLAD	21654	54584	\N	\N	\N
380753	1294	1995-07-14	PRIJEM	VKLAD	14436	37177	\N	\N	\N
380754	1294	1995-08-14	PRIJEM	VKLAD	14436	43451	\N	\N	\N
380755	1294	1995-09-14	PRIJEM	VKLAD	14436	43240	\N	\N	\N
380756	1294	1995-10-14	PRIJEM	VKLAD	14436	44129	\N	\N	\N
380757	1294	1995-11-14	PRIJEM	VKLAD	14436	43319	\N	\N	\N
380758	1294	1995-12-14	PRIJEM	VKLAD	21654	44185	\N	\N	\N
380759	1294	1996-01-14	PRIJEM	VKLAD	14436	32283	\N	\N	\N
380760	1294	1996-02-14	PRIJEM	VKLAD	14436	32575	\N	\N	\N
380761	1294	1996-03-14	PRIJEM	VKLAD	14436	33538	\N	\N	\N
380762	1294	1996-04-14	PRIJEM	VKLAD	14436	35987	\N	\N	\N
380763	1294	1996-05-14	PRIJEM	VKLAD	14436	33738	\N	\N	\N
380764	1294	1996-06-14	PRIJEM	VKLAD	21654	41084	\N	\N	\N
380765	1294	1996-07-14	PRIJEM	VKLAD	14436	40243	\N	\N	\N
380766	1294	1996-08-14	PRIJEM	VKLAD	14436	35705	\N	\N	\N
380767	1294	1996-09-14	PRIJEM	VKLAD	14436	36855	\N	\N	\N
380768	1294	1996-10-14	PRIJEM	VKLAD	14436	37408	\N	\N	\N
380769	1294	1996-11-14	PRIJEM	VKLAD	14436	34356	\N	\N	\N
380770	1294	1996-12-14	PRIJEM	VKLAD	21654	35451	\N	\N	\N
380771	1294	1997-01-14	PRIJEM	VKLAD	14436	27076	\N	\N	\N
380772	1294	1997-02-14	PRIJEM	VKLAD	14436	26727	\N	\N	\N
380773	1294	1997-03-14	PRIJEM	VKLAD	14436	26431	\N	\N	\N
380774	1294	1997-04-14	PRIJEM	VKLAD	14436	24934	\N	\N	\N
380775	1294	1997-05-14	PRIJEM	VKLAD	14436	32017	\N	\N	\N
380776	1294	1997-06-14	PRIJEM	VKLAD	21654	32952	\N	\N	\N
380777	1294	1997-07-14	PRIJEM	VKLAD	14436	25474	\N	\N	\N
380778	1294	1997-08-14	PRIJEM	VKLAD	14436	36400	\N	\N	\N
380779	1294	1997-09-14	PRIJEM	VKLAD	14436	28871	\N	\N	\N
380780	1294	1997-10-14	PRIJEM	VKLAD	14436	39844	\N	\N	\N
380781	1294	1997-11-14	PRIJEM	VKLAD	14436	25089	\N	\N	\N
380782	1294	1997-12-14	PRIJEM	VKLAD	21654	41023	\N	\N	\N
380783	1294	1998-01-14	PRIJEM	VKLAD	14436	37603	\N	\N	\N
380784	1294	1998-02-14	PRIJEM	VKLAD	14436	37772	\N	\N	\N
380785	1294	1998-03-14	PRIJEM	VKLAD	14436	48747	\N	\N	\N
380786	1294	1998-04-14	PRIJEM	VKLAD	14436	30869	\N	\N	\N
380787	1294	1998-05-14	PRIJEM	VKLAD	14436	38488	\N	\N	\N
380788	1294	1998-06-14	PRIJEM	VKLAD	21654	42125	\N	\N	\N
380789	1294	1998-07-14	PRIJEM	VKLAD	14436	51674	\N	\N	\N
380790	1294	1998-08-14	PRIJEM	VKLAD	14436	60185	\N	\N	\N
380791	1294	1998-09-14	PRIJEM	VKLAD	14436	29555	\N	\N	\N
380792	1294	1998-10-14	PRIJEM	VKLAD	14436	40530	\N	\N	\N
380793	1294	1998-11-14	PRIJEM	VKLAD	14436	51517	\N	\N	\N
380794	1294	1998-12-14	PRIJEM	VKLAD	21654	63568	\N	\N	\N
380811	1294	1995-05-06	VYDAJ	PREVOD NA UCET	1404	34500	SIPO	ST	59882163
380812	1294	1995-06-06	VYDAJ	PREVOD NA UCET	1404	35107	SIPO	ST	59882163
380813	1294	1995-07-06	VYDAJ	PREVOD NA UCET	1404	27798	SIPO	ST	59882163
380814	1294	1995-08-06	VYDAJ	PREVOD NA UCET	1404	31192	SIPO	ST	59882163
380815	1294	1995-09-06	VYDAJ	PREVOD NA UCET	1404	30981	SIPO	ST	59882163
380816	1294	1995-10-06	VYDAJ	PREVOD NA UCET	1404	31870	SIPO	ST	59882163
380817	1294	1995-11-06	VYDAJ	PREVOD NA UCET	1404	31060	SIPO	ST	59882163
380818	1294	1995-12-06	VYDAJ	PREVOD NA UCET	1404	26948	SIPO	ST	59882163
380819	1294	1996-01-06	VYDAJ	PREVOD NA UCET	1404	28384	SIPO	ST	59882163
380820	1294	1996-02-06	VYDAJ	PREVOD NA UCET	1404	20316	SIPO	ST	59882163
380821	1294	1996-03-06	VYDAJ	PREVOD NA UCET	1404	22959	SIPO	ST	59882163
380822	1294	1996-04-06	VYDAJ	PREVOD NA UCET	1404	23728	SIPO	ST	59882163
380823	1294	1996-05-06	VYDAJ	PREVOD NA UCET	1404	21479	SIPO	ST	59882163
380824	1294	1996-06-06	VYDAJ	PREVOD NA UCET	1404	24127	SIPO	ST	59882163
380825	1294	1996-07-06	VYDAJ	PREVOD NA UCET	1404	27984	SIPO	ST	59882163
380826	1294	1996-08-06	VYDAJ	PREVOD NA UCET	1404	23446	SIPO	ST	59882163
380827	1294	1996-09-06	VYDAJ	PREVOD NA UCET	1404	24596	SIPO	ST	59882163
380828	1294	1996-10-06	VYDAJ	PREVOD NA UCET	1404	25149	SIPO	ST	59882163
380829	1294	1996-11-06	VYDAJ	PREVOD NA UCET	1404	22097	SIPO	ST	59882163
380830	1294	1996-12-06	VYDAJ	PREVOD NA UCET	1404	17734	SIPO	ST	59882163
380831	1294	1997-01-06	VYDAJ	PREVOD NA UCET	1404	18657	SIPO	ST	59882163
380832	1294	1997-02-06	VYDAJ	PREVOD NA UCET	1404	14468	SIPO	ST	59882163
380833	1294	1997-03-06	VYDAJ	PREVOD NA UCET	1404	14172	SIPO	ST	59882163
380834	1294	1997-04-06	VYDAJ	PREVOD NA UCET	1404	12675	SIPO	ST	59882163
380835	1294	1997-05-06	VYDAJ	PREVOD NA UCET	1404	23598	SIPO	ST	59882163
380836	1294	1997-06-06	VYDAJ	PREVOD NA UCET	1404	13475	SIPO	ST	59882163
380837	1294	1997-07-06	VYDAJ	PREVOD NA UCET	1404	13215	SIPO	ST	59882163
380838	1294	1997-08-06	VYDAJ	PREVOD NA UCET	1404	24141	SIPO	ST	59882163
380839	1294	1997-09-06	VYDAJ	PREVOD NA UCET	1404	35112	SIPO	ST	59882163
380840	1294	1997-10-06	VYDAJ	PREVOD NA UCET	1404	27585	SIPO	ST	59882163
380841	1294	1997-11-06	VYDAJ	PREVOD NA UCET	1404	38570	SIPO	ST	59882163
380842	1294	1997-12-06	VYDAJ	PREVOD NA UCET	1404	21546	SIPO	ST	59882163
380843	1294	1998-01-06	VYDAJ	PREVOD NA UCET	1404	25344	SIPO	ST	59882163
380844	1294	1998-02-06	VYDAJ	PREVOD NA UCET	1404	25513	SIPO	ST	59882163
380845	1294	1998-03-06	VYDAJ	PREVOD NA UCET	1404	36488	SIPO	ST	59882163
380846	1294	1998-04-06	VYDAJ	PREVOD NA UCET	1404	47510	SIPO	ST	59882163
380847	1294	1998-05-06	VYDAJ	PREVOD NA UCET	1404	26229	SIPO	ST	59882163
380848	1294	1998-06-06	VYDAJ	PREVOD NA UCET	1404	22648	SIPO	ST	59882163
380849	1294	1998-07-06	VYDAJ	PREVOD NA UCET	1404	39415	SIPO	ST	59882163
380850	1294	1998-08-06	VYDAJ	PREVOD NA UCET	1404	47926	SIPO	ST	59882163
380851	1294	1998-09-06	VYDAJ	PREVOD NA UCET	1404	58996	SIPO	ST	59882163
380852	1294	1998-10-06	VYDAJ	PREVOD NA UCET	1404	28271	SIPO	ST	59882163
380853	1294	1998-11-06	VYDAJ	PREVOD NA UCET	1404	39258	SIPO	ST	59882163
380854	1294	1998-12-06	VYDAJ	PREVOD NA UCET	1404	50291	SIPO	ST	59882163
380871	1294	1995-05-12	VYDAJ	PREVOD NA UCET	2177	32323	 	UV	31563121
380872	1294	1995-06-12	VYDAJ	PREVOD NA UCET	2177	32930	 	UV	31563121
380873	1294	1995-07-12	VYDAJ	PREVOD NA UCET	2177	22741	 	UV	31563121
380874	1294	1995-08-12	VYDAJ	PREVOD NA UCET	2177	29015	 	UV	31563121
380875	1294	1995-09-12	VYDAJ	PREVOD NA UCET	2177	28804	 	UV	31563121
380876	1294	1995-10-12	VYDAJ	PREVOD NA UCET	2177	29693	 	UV	31563121
380877	1294	1995-11-12	VYDAJ	PREVOD NA UCET	2177	28883	 	UV	31563121
380878	1294	1995-12-12	VYDAJ	PREVOD NA UCET	2177	22531	 	UV	31563121
380879	1294	1996-01-12	VYDAJ	PREVOD NA UCET	2177	17847	 	UV	31563121
380880	1294	1996-02-12	VYDAJ	PREVOD NA UCET	2177	18139	 	UV	31563121
380881	1294	1996-03-12	VYDAJ	PREVOD NA UCET	2177	19102	 	UV	31563121
380882	1294	1996-04-12	VYDAJ	PREVOD NA UCET	2177	21551	 	UV	31563121
380883	1294	1996-05-12	VYDAJ	PREVOD NA UCET	2177	19302	 	UV	31563121
380884	1294	1996-06-12	VYDAJ	PREVOD NA UCET	2177	19430	 	UV	31563121
380885	1294	1996-07-12	VYDAJ	PREVOD NA UCET	2177	25807	 	UV	31563121
380886	1294	1996-08-12	VYDAJ	PREVOD NA UCET	2177	21269	 	UV	31563121
380887	1294	1996-09-12	VYDAJ	PREVOD NA UCET	2177	22419	 	UV	31563121
380888	1294	1996-10-12	VYDAJ	PREVOD NA UCET	2177	22972	 	UV	31563121
380889	1294	1996-11-12	VYDAJ	PREVOD NA UCET	2177	19920	 	UV	31563121
380890	1294	1996-12-12	VYDAJ	PREVOD NA UCET	2177	13797	 	UV	31563121
380891	1294	1997-01-12	VYDAJ	PREVOD NA UCET	2177	12640	 	UV	31563121
380892	1294	1997-02-12	VYDAJ	PREVOD NA UCET	2177	12291	 	UV	31563121
380893	1294	1997-03-12	VYDAJ	PREVOD NA UCET	2177	11995	 	UV	31563121
380894	1294	1997-04-12	VYDAJ	PREVOD NA UCET	2177	10498	 	UV	31563121
380895	1294	1997-05-12	VYDAJ	PREVOD NA UCET	2177	17581	 	UV	31563121
380896	1294	1997-06-12	VYDAJ	PREVOD NA UCET	2177	11298	 	UV	31563121
380897	1294	1997-07-12	VYDAJ	PREVOD NA UCET	2177	11038	 	UV	31563121
380898	1294	1997-08-12	VYDAJ	PREVOD NA UCET	2177	21964	 	UV	31563121
380899	1294	1997-09-12	VYDAJ	PREVOD NA UCET	2177	32935	 	UV	31563121
381033	1294	1998-01-31	VYDAJ	VYBER	15	26917	SLUZBY	\N	\N
380900	1294	1997-10-12	VYDAJ	PREVOD NA UCET	2177	25408	 	UV	31563121
380901	1294	1997-11-12	VYDAJ	PREVOD NA UCET	2177	10653	 	UV	31563121
380902	1294	1997-12-12	VYDAJ	PREVOD NA UCET	2177	19369	 	UV	31563121
380903	1294	1998-01-12	VYDAJ	PREVOD NA UCET	2177	23167	 	UV	31563121
380904	1294	1998-02-12	VYDAJ	PREVOD NA UCET	2177	23336	 	UV	31563121
380905	1294	1998-03-12	VYDAJ	PREVOD NA UCET	2177	34311	 	UV	31563121
380906	1294	1998-04-12	VYDAJ	PREVOD NA UCET	2177	16433	 	UV	31563121
380907	1294	1998-05-12	VYDAJ	PREVOD NA UCET	2177	24052	 	UV	31563121
380908	1294	1998-06-12	VYDAJ	PREVOD NA UCET	2177	20471	 	UV	31563121
380909	1294	1998-07-12	VYDAJ	PREVOD NA UCET	2177	37238	 	UV	31563121
380910	1294	1998-08-12	VYDAJ	PREVOD NA UCET	2177	45749	 	UV	31563121
380911	1294	1998-09-12	VYDAJ	PREVOD NA UCET	2177	15119	 	UV	31563121
380912	1294	1998-10-12	VYDAJ	PREVOD NA UCET	2177	26094	 	UV	31563121
380913	1294	1998-11-12	VYDAJ	PREVOD NA UCET	2177	37081	 	UV	31563121
380914	1294	1998-12-12	VYDAJ	PREVOD NA UCET	2177	41914	 	UV	31563121
380916	1294	1995-06-25	VYDAJ	VYBER	15040	29044	\N	\N	\N
380919	1294	1998-06-04	VYDAJ	VYBER	14560	24052	\N	\N	\N
380922	1294	1996-01-11	VYDAJ	VYBER	6560	20024	\N	\N	\N
380924	1294	1998-01-04	VYDAJ	VYBER	14400	26748	\N	\N	\N
380926	1294	1995-12-08	VYDAJ	VYBER	2240	24708	\N	\N	\N
380927	1294	1996-12-07	VYDAJ	VYBER	1760	15974	\N	\N	\N
380928	1294	1997-12-06	VYDAJ	VYBER	2240	22950	\N	\N	\N
380929	1294	1998-12-07	VYDAJ	VYBER	3680	44091	\N	\N	\N
380942	1294	1996-01-01	VYDAJ	VYBER	1800	29788	\N	\N	\N
380943	1294	1996-01-19	VYDAJ	VYBER	720	31563	\N	\N	\N
380944	1294	1996-01-08	VYDAJ	VYBER	1800	26584	\N	\N	\N
380945	1294	1996-01-21	VYDAJ	VYBER	840	28563	\N	\N	\N
380946	1294	1996-01-29	VYDAJ	VYBER	3240	21623	\N	\N	\N
380947	1294	1996-01-20	VYDAJ	VYBER	2160	29403	\N	\N	\N
380948	1294	1997-01-01	VYDAJ	VYBER	960	20061	\N	\N	\N
380949	1294	1997-01-09	VYDAJ	VYBER	1200	14817	\N	\N	\N
380950	1294	1997-01-08	VYDAJ	VYBER	2640	16017	\N	\N	\N
380951	1294	1997-01-20	VYDAJ	VYBER	720	16656	\N	\N	\N
380952	1294	1997-01-22	VYDAJ	VYBER	840	15816	\N	\N	\N
380954	1294	1998-01-23	VYDAJ	VYBER	1680	30883	\N	\N	\N
380955	1294	1998-01-24	VYDAJ	VYBER	1560	29323	\N	\N	\N
380956	1294	1998-01-19	VYDAJ	VYBER	1560	33163	\N	\N	\N
380957	1294	1998-01-18	VYDAJ	VYBER	2880	34723	\N	\N	\N
380958	1294	1998-01-25	VYDAJ	VYBER	2520	26803	\N	\N	\N
380959	1294	1998-01-21	VYDAJ	VYBER	600	32563	\N	\N	\N
380964	1294	1995-12-14	VYDAJ	VYBER	1320	42865	\N	\N	\N
380966	1294	1995-07-09	VYDAJ	VYBER	2880	24918	\N	\N	\N
380969	1294	1995-12-05	VYDAJ	VYBER	5400	28352	\N	\N	\N
380970	1294	1996-11-28	VYDAJ	VYBER	4200	19056	\N	\N	\N
380971	1294	1996-04-24	VYDAJ	VYBER	3600	22787	\N	\N	\N
380972	1294	1996-07-25	VYDAJ	VYBER	1200	24743	\N	\N	\N
380973	1294	1996-03-09	VYDAJ	VYBER	1680	21279	\N	\N	\N
380974	1294	1996-06-08	VYDAJ	VYBER	2520	21607	\N	\N	\N
380975	1294	1997-11-07	VYDAJ	VYBER	3240	35330	\N	\N	\N
380976	1294	1997-06-20	VYDAJ	VYBER	2280	14572	\N	\N	\N
380977	1294	1997-05-08	VYDAJ	VYBER	3840	19758	\N	\N	\N
380979	1294	1998-12-06	VYDAJ	VYBER	2520	47771	\N	\N	\N
380980	1294	1998-07-23	VYDAJ	VYBER	2520	49154	\N	\N	\N
380981	1294	1998-04-23	VYDAJ	VYBER	3360	27509	\N	\N	\N
380982	1294	1998-06-27	VYDAJ	VYBER	1440	40685	\N	\N	\N
380983	1294	1998-12-29	VYDAJ	VYBER	3720	59848	\N	\N	\N
381000	1294	1995-04-30	VYDAJ	VYBER	15	35904	SLUZBY	\N	\N
381001	1294	1995-05-31	VYDAJ	VYBER	15	36511	SLUZBY	\N	\N
381002	1294	1995-06-30	VYDAJ	VYBER	15	29202	SLUZBY	\N	\N
381003	1294	1995-07-31	VYDAJ	VYBER	15	32596	SLUZBY	\N	\N
381004	1294	1995-08-31	VYDAJ	VYBER	15	32385	SLUZBY	\N	\N
381005	1294	1995-09-30	VYDAJ	VYBER	15	33274	SLUZBY	\N	\N
381006	1294	1995-10-31	VYDAJ	VYBER	15	32464	SLUZBY	\N	\N
381007	1294	1995-11-30	VYDAJ	VYBER	15	33752	SLUZBY	\N	\N
381008	1294	1995-12-31	VYDAJ	VYBER	15	31588	SLUZBY	\N	\N
381009	1294	1996-01-31	VYDAJ	VYBER	15	21720	SLUZBY	\N	\N
381010	1294	1996-02-29	VYDAJ	VYBER	15	24363	SLUZBY	\N	\N
381011	1294	1996-03-31	VYDAJ	VYBER	15	25132	SLUZBY	\N	\N
381012	1294	1996-04-30	VYDAJ	VYBER	15	22883	SLUZBY	\N	\N
381013	1294	1996-05-31	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
381014	1294	1996-06-30	VYDAJ	VYBER	15	29388	SLUZBY	\N	\N
381015	1294	1996-07-31	VYDAJ	VYBER	15	24850	SLUZBY	\N	\N
381016	1294	1996-08-31	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
381017	1294	1996-09-30	VYDAJ	VYBER	15	26553	SLUZBY	\N	\N
381018	1294	1996-10-31	VYDAJ	VYBER	15	23501	SLUZBY	\N	\N
381019	1294	1996-11-30	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
381020	1294	1996-12-31	VYDAJ	VYBER	15	21021	SLUZBY	\N	\N
381021	1294	1997-01-31	VYDAJ	VYBER	15	15872	SLUZBY	\N	\N
381022	1294	1997-02-28	VYDAJ	VYBER	15	15576	SLUZBY	\N	\N
381023	1294	1997-03-31	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
381024	1294	1997-04-30	VYDAJ	VYBER	15	25002	SLUZBY	\N	\N
381025	1294	1997-05-31	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
381026	1294	1997-06-30	VYDAJ	VYBER	15	14619	SLUZBY	\N	\N
381027	1294	1997-07-31	VYDAJ	VYBER	15	25545	SLUZBY	\N	\N
381028	1294	1997-08-31	VYDAJ	VYBER	15	36516	SLUZBY	\N	\N
381029	1294	1997-09-30	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
381030	1294	1997-10-31	VYDAJ	VYBER	15	39974	SLUZBY	\N	\N
381031	1294	1997-11-30	VYDAJ	VYBER	15	25190	SLUZBY	\N	\N
381032	1294	1997-12-31	VYDAJ	VYBER	15	41148	SLUZBY	\N	\N
381034	1294	1998-02-28	VYDAJ	VYBER	15	37892	SLUZBY	\N	\N
381035	1294	1998-03-31	VYDAJ	VYBER	15	48914	SLUZBY	\N	\N
381036	1294	1998-04-30	VYDAJ	VYBER	15	27633	SLUZBY	\N	\N
381037	1294	1998-05-31	VYDAJ	VYBER	15	38612	SLUZBY	\N	\N
381038	1294	1998-06-30	VYDAJ	VYBER	15	40819	SLUZBY	\N	\N
381039	1294	1998-07-31	VYDAJ	VYBER	15	49330	SLUZBY	\N	\N
381040	1294	1998-08-31	VYDAJ	VYBER	15	60400	SLUZBY	\N	\N
381041	1294	1998-09-30	VYDAJ	VYBER	15	29675	SLUZBY	\N	\N
381042	1294	1998-10-31	VYDAJ	VYBER	15	40662	SLUZBY	\N	\N
381043	1294	1998-11-30	VYDAJ	VYBER	15	51695	SLUZBY	\N	\N
381044	1294	1994-12-27	PRIJEM	VKLAD	1800	23754	\N	\N	\N
381045	1294	1995-01-26	VYDAJ	VYBER	8800	29406	\N	\N	\N
381046	1294	1995-02-25	VYDAJ	VYBER	11400	32546	\N	\N	\N
381047	1294	1995-03-27	VYDAJ	VYBER	13700	33406	\N	\N	\N
381048	1294	1995-04-26	VYDAJ	VYBER	12200	35778	\N	\N	\N
381049	1294	1995-05-26	VYDAJ	VYBER	10400	36359	\N	\N	\N
381050	1294	1995-06-25	VYDAJ	VYBER	10500	44084	\N	\N	\N
381051	1294	1995-07-25	VYDAJ	VYBER	4700	32477	\N	\N	\N
381052	1294	1995-08-24	VYDAJ	VYBER	11200	32251	\N	\N	\N
381053	1294	1995-09-23	VYDAJ	VYBER	10100	33140	\N	\N	\N
381054	1294	1995-10-23	VYDAJ	VYBER	11800	32329	\N	\N	\N
381055	1294	1995-11-22	VYDAJ	VYBER	9700	33619	\N	\N	\N
381056	1294	1995-12-22	VYDAJ	VYBER	11400	31465	\N	\N	\N
381057	1294	1996-01-21	VYDAJ	VYBER	3700	24863	\N	\N	\N
381058	1294	1996-02-20	VYDAJ	VYBER	8300	24275	\N	\N	\N
381059	1294	1996-03-21	VYDAJ	VYBER	8500	25038	\N	\N	\N
381060	1294	1996-04-20	VYDAJ	VYBER	9600	26387	\N	\N	\N
381061	1294	1996-05-20	VYDAJ	VYBER	8300	25438	\N	\N	\N
381062	1294	1996-06-19	VYDAJ	VYBER	11800	29284	\N	\N	\N
381063	1294	1996-07-19	VYDAJ	VYBER	14300	25943	\N	\N	\N
381064	1294	1996-08-18	VYDAJ	VYBER	9800	25905	\N	\N	\N
381065	1294	1996-09-17	VYDAJ	VYBER	10400	26455	\N	\N	\N
381066	1294	1996-10-17	VYDAJ	VYBER	14000	23408	\N	\N	\N
381067	1294	1996-11-16	VYDAJ	VYBER	11100	23256	\N	\N	\N
381068	1294	1996-12-16	VYDAJ	VYBER	14500	20951	\N	\N	\N
381069	1294	1997-01-15	VYDAJ	VYBER	9700	17376	\N	\N	\N
381070	1294	1997-02-14	VYDAJ	VYBER	11200	15527	\N	\N	\N
381071	1294	1997-03-16	VYDAJ	VYBER	12400	14031	\N	\N	\N
381072	1294	1997-05-15	VYDAJ	VYBER	17200	14817	\N	\N	\N
381073	1294	1997-06-14	VYDAJ	VYBER	16100	16852	\N	\N	\N
381074	1294	1997-09-12	VYDAJ	VYBER	18500	14435	\N	\N	\N
381075	1294	1997-11-11	VYDAJ	VYBER	22500	12830	\N	\N	\N
381076	1294	1998-04-10	VYDAJ	VYBER	28900	18610	\N	\N	\N
381077	1294	1998-09-07	VYDAJ	VYBER	41700	17296	\N	\N	\N
381127	1295	1994-10-28	PRIJEM	VKLAD	600	600	\N	\N	\N
381138	1295	1994-11-10	PRIJEM	VKLAD	5582	6182	\N	\N	\N
381139	1295	1994-12-10	PRIJEM	VKLAD	8373	25164	\N	\N	\N
381140	1295	1995-01-10	PRIJEM	VKLAD	5582	31322	\N	\N	\N
381141	1295	1995-02-10	PRIJEM	VKLAD	5582	31711	\N	\N	\N
381142	1295	1995-03-10	PRIJEM	VKLAD	5582	31502	\N	\N	\N
381143	1295	1995-04-10	PRIJEM	VKLAD	5582	31197	\N	\N	\N
381144	1295	1995-05-10	PRIJEM	VKLAD	5582	33509	\N	\N	\N
381145	1295	1995-06-10	PRIJEM	VKLAD	8373	30420	\N	\N	\N
381146	1295	1995-07-10	PRIJEM	VKLAD	5582	31428	\N	\N	\N
381147	1295	1995-08-10	PRIJEM	VKLAD	5582	26837	\N	\N	\N
381148	1295	1995-09-10	PRIJEM	VKLAD	5582	24025	\N	\N	\N
381149	1295	1995-10-10	PRIJEM	VKLAD	5582	24707	\N	\N	\N
381150	1295	1995-11-10	PRIJEM	VKLAD	5582	24089	\N	\N	\N
381151	1295	1995-12-10	PRIJEM	VKLAD	8373	25258	\N	\N	\N
381152	1295	1996-01-10	PRIJEM	VKLAD	5582	18534	\N	\N	\N
381153	1295	1996-02-10	PRIJEM	VKLAD	5582	17994	\N	\N	\N
381154	1295	1996-03-10	PRIJEM	VKLAD	5582	18749	\N	\N	\N
381155	1295	1996-04-10	PRIJEM	VKLAD	5582	21209	\N	\N	\N
381156	1295	1996-05-10	PRIJEM	VKLAD	5582	19173	\N	\N	\N
381157	1295	1996-06-10	PRIJEM	VKLAD	8373	26029	\N	\N	\N
381158	1295	1996-07-10	PRIJEM	VKLAD	5582	27515	\N	\N	\N
381159	1295	1996-08-10	PRIJEM	VKLAD	5582	24002	\N	\N	\N
381160	1295	1996-09-10	PRIJEM	VKLAD	5582	24180	\N	\N	\N
381161	1295	1996-10-10	PRIJEM	VKLAD	5582	23256	\N	\N	\N
381162	1295	1996-11-10	PRIJEM	VKLAD	5582	22228	\N	\N	\N
381163	1295	1996-12-10	PRIJEM	VKLAD	8373	26793	\N	\N	\N
381164	1295	1997-01-10	PRIJEM	VKLAD	5582	19673	\N	\N	\N
381165	1295	1997-02-10	PRIJEM	VKLAD	5582	19439	\N	\N	\N
381166	1295	1997-03-10	PRIJEM	VKLAD	5582	19096	\N	\N	\N
381167	1295	1997-04-10	PRIJEM	VKLAD	5582	15749	\N	\N	\N
381168	1295	1997-05-10	PRIJEM	VKLAD	5582	16192	\N	\N	\N
381169	1295	1997-06-10	PRIJEM	VKLAD	8373	17624	\N	\N	\N
381170	1295	1997-07-10	PRIJEM	VKLAD	5582	21279	\N	\N	\N
381171	1295	1997-08-10	PRIJEM	VKLAD	5582	20842	\N	\N	\N
381172	1295	1997-09-10	PRIJEM	VKLAD	5582	18800	\N	\N	\N
381173	1295	1997-10-10	PRIJEM	VKLAD	5582	19355	\N	\N	\N
381174	1295	1997-11-10	PRIJEM	VKLAD	5582	15703	\N	\N	\N
381175	1295	1997-12-10	PRIJEM	VKLAD	8373	20038	\N	\N	\N
381176	1295	1998-01-10	PRIJEM	VKLAD	5582	16692	\N	\N	\N
381177	1295	1998-02-10	PRIJEM	VKLAD	5582	15033	\N	\N	\N
381178	1295	1998-03-10	PRIJEM	VKLAD	5582	17377	\N	\N	\N
381179	1295	1998-04-10	PRIJEM	VKLAD	5582	18130	\N	\N	\N
381180	1295	1998-05-10	PRIJEM	VKLAD	5582	16587	\N	\N	\N
381181	1295	1998-06-10	PRIJEM	VKLAD	8373	17118	\N	\N	\N
381182	1295	1998-07-10	PRIJEM	VKLAD	5582	19667	\N	\N	\N
381183	1295	1998-08-10	PRIJEM	VKLAD	5582	17430	\N	\N	\N
381184	1295	1998-09-10	PRIJEM	VKLAD	5582	19287	\N	\N	\N
381185	1295	1998-10-10	PRIJEM	VKLAD	5582	17246	\N	\N	\N
381186	1295	1998-11-10	PRIJEM	VKLAD	5582	19402	\N	\N	\N
381187	1295	1998-12-10	PRIJEM	VKLAD	8373	19754	\N	\N	\N
381203	1295	1995-04-08	VYDAJ	PREVOD NA UCET	3282	25615	SIPO	UV	74620097
381204	1295	1995-05-08	VYDAJ	PREVOD NA UCET	3282	27927	SIPO	UV	74620097
381205	1295	1995-06-08	VYDAJ	PREVOD NA UCET	3282	22047	SIPO	UV	74620097
381206	1295	1995-07-08	VYDAJ	PREVOD NA UCET	3282	25846	SIPO	UV	74620097
381207	1295	1995-08-08	VYDAJ	PREVOD NA UCET	3282	21255	SIPO	UV	74620097
381208	1295	1995-09-08	VYDAJ	PREVOD NA UCET	3282	18443	SIPO	UV	74620097
381209	1295	1995-10-08	VYDAJ	PREVOD NA UCET	3282	19125	SIPO	UV	74620097
381210	1295	1995-11-08	VYDAJ	PREVOD NA UCET	3282	18507	SIPO	UV	74620097
381211	1295	1995-12-08	VYDAJ	PREVOD NA UCET	3282	16885	SIPO	UV	74620097
381212	1295	1996-01-08	VYDAJ	PREVOD NA UCET	3282	13452	SIPO	UV	74620097
381213	1295	1996-02-08	VYDAJ	PREVOD NA UCET	3282	12412	SIPO	UV	74620097
381214	1295	1996-03-08	VYDAJ	PREVOD NA UCET	3282	13167	SIPO	UV	74620097
381215	1295	1996-04-08	VYDAJ	PREVOD NA UCET	3282	15627	SIPO	UV	74620097
381216	1295	1996-05-08	VYDAJ	PREVOD NA UCET	3282	13591	SIPO	UV	74620097
381217	1295	1996-06-08	VYDAJ	PREVOD NA UCET	3282	17656	SIPO	UV	74620097
381218	1295	1996-07-08	VYDAJ	PREVOD NA UCET	3282	21933	SIPO	UV	74620097
381219	1295	1996-08-08	VYDAJ	PREVOD NA UCET	3282	18420	SIPO	UV	74620097
381220	1295	1996-09-08	VYDAJ	PREVOD NA UCET	3282	18598	SIPO	UV	74620097
381221	1295	1996-10-08	VYDAJ	PREVOD NA UCET	3282	17674	SIPO	UV	74620097
381222	1295	1996-11-08	VYDAJ	PREVOD NA UCET	3282	16646	SIPO	UV	74620097
381223	1295	1996-12-08	VYDAJ	PREVOD NA UCET	3282	18420	SIPO	UV	74620097
381224	1295	1997-01-08	VYDAJ	PREVOD NA UCET	3282	15291	SIPO	UV	74620097
381225	1295	1997-02-08	VYDAJ	PREVOD NA UCET	3282	13857	SIPO	UV	74620097
381226	1295	1997-03-08	VYDAJ	PREVOD NA UCET	3282	13514	SIPO	UV	74620097
381227	1295	1997-04-08	VYDAJ	PREVOD NA UCET	3282	10167	SIPO	UV	74620097
381228	1295	1997-05-08	VYDAJ	PREVOD NA UCET	3282	10610	SIPO	UV	74620097
381229	1295	1997-06-08	VYDAJ	PREVOD NA UCET	3282	9251	SIPO	UV	74620097
381230	1295	1997-07-08	VYDAJ	PREVOD NA UCET	3282	15697	SIPO	UV	74620097
381231	1295	1997-08-08	VYDAJ	PREVOD NA UCET	3282	15260	SIPO	UV	74620097
381232	1295	1997-09-08	VYDAJ	PREVOD NA UCET	3282	13218	SIPO	UV	74620097
381233	1295	1997-10-08	VYDAJ	PREVOD NA UCET	3282	13773	SIPO	UV	74620097
381234	1295	1997-11-08	VYDAJ	PREVOD NA UCET	3282	10121	SIPO	UV	74620097
381235	1295	1997-12-08	VYDAJ	PREVOD NA UCET	3282	11665	SIPO	UV	74620097
381236	1295	1998-01-08	VYDAJ	PREVOD NA UCET	3282	11110	SIPO	UV	74620097
381237	1295	1998-02-08	VYDAJ	PREVOD NA UCET	3282	9451	SIPO	UV	74620097
381238	1295	1998-03-08	VYDAJ	PREVOD NA UCET	3282	11795	SIPO	UV	74620097
381239	1295	1998-04-08	VYDAJ	PREVOD NA UCET	3282	12548	SIPO	UV	74620097
381240	1295	1998-05-08	VYDAJ	PREVOD NA UCET	3282	11005	SIPO	UV	74620097
381241	1295	1998-06-08	VYDAJ	PREVOD NA UCET	3282	8745	SIPO	UV	74620097
381242	1295	1998-07-08	VYDAJ	PREVOD NA UCET	3282	13885	SIPO	UV	74620097
381243	1295	1998-08-08	VYDAJ	PREVOD NA UCET	3282	16448	SIPO	UV	74620097
381244	1295	1998-09-08	VYDAJ	PREVOD NA UCET	3282	13705	SIPO	UV	74620097
381245	1295	1998-10-08	VYDAJ	PREVOD NA UCET	3282	11664	SIPO	UV	74620097
381246	1295	1998-11-08	VYDAJ	PREVOD NA UCET	3282	13820	SIPO	UV	74620097
381247	1295	1998-12-08	VYDAJ	PREVOD NA UCET	3282	11381	SIPO	UV	74620097
381249	1295	1995-06-07	VYDAJ	VYBER	4900	25329	\N	\N	\N
381259	1295	1995-12-10	VYDAJ	VYBER	1900	23358	\N	\N	\N
381260	1295	1996-12-11	VYDAJ	VYBER	600	26193	\N	\N	\N
381262	1295	1998-12-30	VYDAJ	VYBER	1100	17754	\N	\N	\N
381275	1295	1996-01-20	VYDAJ	VYBER	2500	14434	\N	\N	\N
381276	1295	1996-01-29	VYDAJ	VYBER	1400	15634	\N	\N	\N
381277	1295	1996-01-01	VYDAJ	VYBER	2900	16734	\N	\N	\N
381278	1295	1996-01-09	VYDAJ	VYBER	500	12952	\N	\N	\N
381279	1295	1996-01-10	VYDAJ	VYBER	1600	16934	\N	\N	\N
381280	1295	1996-01-28	VYDAJ	VYBER	500	17034	\N	\N	\N
381281	1295	1997-01-09	VYDAJ	VYBER	600	14091	\N	\N	\N
381282	1295	1997-01-09	VYDAJ	VYBER	600	14691	\N	\N	\N
381283	1295	1997-01-05	VYDAJ	VYBER	2200	19973	\N	\N	\N
381284	1295	1997-01-30	VYDAJ	VYBER	800	17073	\N	\N	\N
381285	1295	1997-01-27	VYDAJ	VYBER	700	17873	\N	\N	\N
381286	1295	1997-01-08	VYDAJ	VYBER	1400	18573	\N	\N	\N
381292	1295	1998-01-03	VYDAJ	VYBER	2800	14392	\N	\N	\N
381298	1295	1995-08-10	VYDAJ	VYBER	700	26137	\N	\N	\N
381299	1295	1995-07-28	VYDAJ	VYBER	3700	24428	\N	\N	\N
381300	1295	1995-10-21	VYDAJ	VYBER	800	23907	\N	\N	\N
381301	1295	1995-10-03	VYDAJ	VYBER	1000	22407	\N	\N	\N
381304	1295	1997-10-29	VYDAJ	VYBER	600	13355	\N	\N	\N
381306	1295	1997-03-16	VYDAJ	VYBER	4000	15096	\N	\N	\N
381307	1295	1997-01-23	VYDAJ	VYBER	1600	18573	\N	\N	\N
381308	1295	1998-12-25	VYDAJ	VYBER	900	18854	\N	\N	\N
381310	1295	1998-08-25	VYDAJ	VYBER	1700	15730	\N	\N	\N
381311	1295	1998-05-07	VYDAJ	VYBER	3900	14287	\N	\N	\N
381312	1295	1998-03-10	VYDAJ	VYBER	1600	15777	\N	\N	\N
381330	1295	1995-03-31	VYDAJ	VYBER	15	28897	SLUZBY	\N	\N
381331	1295	1995-04-30	VYDAJ	VYBER	15	31209	SLUZBY	\N	\N
381332	1295	1995-05-31	VYDAJ	VYBER	15	30229	SLUZBY	\N	\N
381333	1295	1995-06-30	VYDAJ	VYBER	15	29128	SLUZBY	\N	\N
381334	1295	1995-07-31	VYDAJ	VYBER	15	24537	SLUZBY	\N	\N
381335	1295	1995-08-31	VYDAJ	VYBER	15	21725	SLUZBY	\N	\N
381336	1295	1995-09-30	VYDAJ	VYBER	15	23407	SLUZBY	\N	\N
381337	1295	1995-10-31	VYDAJ	VYBER	15	21789	SLUZBY	\N	\N
381338	1295	1995-11-30	VYDAJ	VYBER	15	20167	SLUZBY	\N	\N
381339	1295	1995-12-31	VYDAJ	VYBER	15	19634	SLUZBY	\N	\N
381340	1295	1996-01-31	VYDAJ	VYBER	15	15694	SLUZBY	\N	\N
381341	1295	1996-02-29	VYDAJ	VYBER	15	16449	SLUZBY	\N	\N
381342	1295	1996-03-31	VYDAJ	VYBER	15	18909	SLUZBY	\N	\N
381343	1295	1996-04-30	VYDAJ	VYBER	15	16873	SLUZBY	\N	\N
381344	1295	1996-05-31	VYDAJ	VYBER	15	20938	SLUZBY	\N	\N
381345	1295	1996-06-30	VYDAJ	VYBER	15	25215	SLUZBY	\N	\N
381346	1295	1996-07-31	VYDAJ	VYBER	15	21702	SLUZBY	\N	\N
381347	1295	1996-08-31	VYDAJ	VYBER	15	21880	SLUZBY	\N	\N
381348	1295	1996-09-30	VYDAJ	VYBER	15	20956	SLUZBY	\N	\N
381349	1295	1996-10-31	VYDAJ	VYBER	15	19928	SLUZBY	\N	\N
381350	1295	1996-11-30	VYDAJ	VYBER	15	21702	SLUZBY	\N	\N
381351	1295	1996-12-31	VYDAJ	VYBER	15	22173	SLUZBY	\N	\N
381352	1295	1997-01-31	VYDAJ	VYBER	15	17139	SLUZBY	\N	\N
381353	1295	1997-02-28	VYDAJ	VYBER	15	16796	SLUZBY	\N	\N
381354	1295	1997-03-31	VYDAJ	VYBER	15	13449	SLUZBY	\N	\N
381355	1295	1997-04-30	VYDAJ	VYBER	15	13892	SLUZBY	\N	\N
381356	1295	1997-05-31	VYDAJ	VYBER	15	12533	SLUZBY	\N	\N
381357	1295	1997-06-30	VYDAJ	VYBER	15	18979	SLUZBY	\N	\N
381358	1295	1997-07-31	VYDAJ	VYBER	15	18542	SLUZBY	\N	\N
381359	1295	1997-08-31	VYDAJ	VYBER	15	16500	SLUZBY	\N	\N
381360	1295	1997-09-30	VYDAJ	VYBER	15	17055	SLUZBY	\N	\N
381361	1295	1997-10-31	VYDAJ	VYBER	15	13403	SLUZBY	\N	\N
381362	1295	1997-11-30	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
381363	1295	1997-12-31	VYDAJ	VYBER	15	17192	SLUZBY	\N	\N
381364	1295	1998-01-31	VYDAJ	VYBER	15	12733	SLUZBY	\N	\N
381365	1295	1998-02-28	VYDAJ	VYBER	15	15077	SLUZBY	\N	\N
381366	1295	1998-03-31	VYDAJ	VYBER	15	15830	SLUZBY	\N	\N
381367	1295	1998-04-30	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
381368	1295	1998-05-31	VYDAJ	VYBER	15	12027	SLUZBY	\N	\N
381369	1295	1998-06-30	VYDAJ	VYBER	15	17167	SLUZBY	\N	\N
381370	1295	1998-07-31	VYDAJ	VYBER	15	19730	SLUZBY	\N	\N
381371	1295	1998-08-31	VYDAJ	VYBER	15	15787	SLUZBY	\N	\N
381372	1295	1998-09-30	VYDAJ	VYBER	15	19346	SLUZBY	\N	\N
381373	1295	1998-10-31	VYDAJ	VYBER	15	17302	SLUZBY	\N	\N
381374	1295	1998-11-30	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
381375	1295	1994-11-27	PRIJEM	VKLAD	10600	16782	\N	\N	\N
381376	1295	1994-12-27	PRIJEM	VKLAD	500	25664	\N	\N	\N
381377	1295	1995-01-26	VYDAJ	VYBER	5300	26022	\N	\N	\N
381378	1295	1995-02-25	VYDAJ	VYBER	5900	25811	\N	\N	\N
381379	1295	1995-03-27	VYDAJ	VYBER	2700	28802	\N	\N	\N
381380	1295	1995-04-26	VYDAJ	VYBER	100	31097	\N	\N	\N
381381	1295	1995-05-26	VYDAJ	VYBER	3400	30109	\N	\N	\N
381382	1295	1995-06-25	VYDAJ	VYBER	1400	29020	\N	\N	\N
381383	1295	1995-07-25	VYDAJ	VYBER	3300	28128	\N	\N	\N
381384	1295	1995-08-24	VYDAJ	VYBER	4500	21637	\N	\N	\N
381385	1295	1995-09-23	VYDAJ	VYBER	700	23325	\N	\N	\N
381386	1295	1995-10-23	VYDAJ	VYBER	2200	21707	\N	\N	\N
381387	1295	1995-11-22	VYDAJ	VYBER	4000	20089	\N	\N	\N
381388	1295	1995-12-22	VYDAJ	VYBER	3800	19558	\N	\N	\N
381389	1295	1996-01-21	PRIJEM	VKLAD	3100	17534	\N	\N	\N
381390	1295	1996-02-20	VYDAJ	VYBER	1600	16394	\N	\N	\N
381391	1295	1996-03-21	PRIJEM	VKLAD	100	18849	\N	\N	\N
381392	1295	1996-04-20	VYDAJ	VYBER	4400	16809	\N	\N	\N
381393	1295	1996-05-20	PRIJEM	VKLAD	1700	20873	\N	\N	\N
381394	1295	1996-06-19	VYDAJ	VYBER	900	25129	\N	\N	\N
381395	1295	1996-07-19	VYDAJ	VYBER	5900	21615	\N	\N	\N
381396	1295	1996-08-18	VYDAJ	VYBER	2200	21802	\N	\N	\N
381397	1295	1996-09-17	VYDAJ	VYBER	3300	20880	\N	\N	\N
381398	1295	1996-10-17	VYDAJ	VYBER	3400	19856	\N	\N	\N
381399	1295	1996-11-16	VYDAJ	VYBER	600	21628	\N	\N	\N
381400	1295	1996-12-16	VYDAJ	VYBER	4100	22093	\N	\N	\N
381401	1295	1997-01-15	PRIJEM	VKLAD	500	20173	\N	\N	\N
381402	1295	1997-02-14	VYDAJ	VYBER	2700	16739	\N	\N	\N
381403	1295	1997-03-16	VYDAJ	VYBER	1700	13396	\N	\N	\N
381404	1295	1997-04-15	VYDAJ	VYBER	1900	13849	\N	\N	\N
381405	1295	1997-05-15	VYDAJ	VYBER	3700	12492	\N	\N	\N
381406	1295	1997-06-14	PRIJEM	VKLAD	1300	18924	\N	\N	\N
381407	1295	1997-07-14	VYDAJ	VYBER	2800	18479	\N	\N	\N
381408	1295	1997-08-13	VYDAJ	VYBER	4400	16442	\N	\N	\N
381409	1295	1997-09-12	VYDAJ	VYBER	1800	17000	\N	\N	\N
381410	1295	1997-10-12	VYDAJ	VYBER	5400	13955	\N	\N	\N
381411	1295	1997-11-11	VYDAJ	VYBER	800	14903	\N	\N	\N
381412	1295	1997-12-11	VYDAJ	VYBER	2900	17138	\N	\N	\N
381413	1295	1998-01-10	VYDAJ	VYBER	4000	12692	\N	\N	\N
381414	1295	1998-05-10	VYDAJ	VYBER	4600	11987	\N	\N	\N
381415	1295	1998-07-09	PRIJEM	VKLAD	200	14085	\N	\N	\N
381416	1295	1998-08-08	VYDAJ	VYBER	4600	11848	\N	\N	\N
381417	1295	1998-09-07	PRIJEM	VKLAD	1200	16987	\N	\N	\N
381418	1295	1998-10-07	VYDAJ	VYBER	4400	14946	\N	\N	\N
381419	1295	1998-11-06	VYDAJ	VYBER	200	17102	\N	\N	\N
381420	1295	1998-12-06	VYDAJ	VYBER	4800	14663	\N	\N	\N
381471	1296	1996-12-02	PRIJEM	VKLAD	800	800	\N	\N	\N
381483	1296	1996-12-14	PRIJEM	PREVOD Z UCTU	5020	5820	DUCHOD	EF	97580295
381484	1296	1997-01-14	PRIJEM	PREVOD Z UCTU	5020	10854	DUCHOD	EF	97580295
381485	1296	1997-02-14	PRIJEM	PREVOD Z UCTU	5020	15898	DUCHOD	EF	97580295
381486	1296	1997-03-14	PRIJEM	PREVOD Z UCTU	5020	20643	DUCHOD	EF	97580295
381487	1296	1997-04-14	PRIJEM	PREVOD Z UCTU	5020	20423	DUCHOD	EF	97580295
381488	1296	1997-05-14	PRIJEM	PREVOD Z UCTU	5020	19207	DUCHOD	EF	97580295
381489	1296	1997-06-14	PRIJEM	PREVOD Z UCTU	5020	17879	DUCHOD	EF	97580295
381490	1296	1997-07-14	PRIJEM	PREVOD Z UCTU	5020	19546	DUCHOD	EF	97580295
381491	1296	1997-08-14	PRIJEM	PREVOD Z UCTU	5020	18918	DUCHOD	EF	97580295
381492	1296	1997-09-14	PRIJEM	PREVOD Z UCTU	5020	16987	DUCHOD	EF	97580295
381493	1296	1997-10-14	PRIJEM	PREVOD Z UCTU	5020	14048	DUCHOD	EF	97580295
381494	1296	1997-11-14	PRIJEM	PREVOD Z UCTU	5020	17499	DUCHOD	EF	97580295
381495	1296	1997-12-14	PRIJEM	PREVOD Z UCTU	5020	18640	DUCHOD	EF	97580295
381496	1296	1998-01-14	PRIJEM	PREVOD Z UCTU	5020	16036	DUCHOD	EF	97580295
381497	1296	1998-02-14	PRIJEM	PREVOD Z UCTU	5020	16931	DUCHOD	EF	97580295
381498	1296	1998-03-14	PRIJEM	PREVOD Z UCTU	5020	18071	DUCHOD	EF	97580295
381499	1296	1998-04-14	PRIJEM	PREVOD Z UCTU	5020	20339	DUCHOD	EF	97580295
381500	1296	1998-05-14	PRIJEM	PREVOD Z UCTU	5020	23814	DUCHOD	EF	97580295
381501	1296	1998-06-14	PRIJEM	PREVOD Z UCTU	5020	20756	DUCHOD	EF	97580295
381502	1296	1998-07-14	PRIJEM	PREVOD Z UCTU	5020	22076	DUCHOD	EF	97580295
381503	1296	1998-08-14	PRIJEM	PREVOD Z UCTU	5020	25560	DUCHOD	EF	97580295
381504	1296	1998-09-14	PRIJEM	PREVOD Z UCTU	5020	29059	DUCHOD	EF	97580295
381505	1296	1998-10-14	PRIJEM	PREVOD Z UCTU	5020	32572	DUCHOD	EF	97580295
381506	1296	1998-11-14	PRIJEM	PREVOD Z UCTU	5020	33058	DUCHOD	EF	97580295
381507	1296	1998-12-14	PRIJEM	PREVOD Z UCTU	5020	35638	DUCHOD	EF	97580295
381524	1296	1997-05-05	VYDAJ	PREVOD NA UCET	1607	14187	SIPO	GH	57227110
381525	1296	1997-06-05	VYDAJ	PREVOD NA UCET	1607	12859	SIPO	GH	57227110
381526	1296	1997-07-05	VYDAJ	PREVOD NA UCET	1607	14526	SIPO	GH	57227110
381527	1296	1997-08-05	VYDAJ	PREVOD NA UCET	1607	13898	SIPO	GH	57227110
381528	1296	1997-09-05	VYDAJ	PREVOD NA UCET	1607	11967	SIPO	GH	57227110
381529	1296	1997-10-05	VYDAJ	PREVOD NA UCET	1607	9028	SIPO	GH	57227110
381530	1296	1997-11-05	VYDAJ	PREVOD NA UCET	1607	12479	SIPO	GH	57227110
381531	1296	1997-12-05	VYDAJ	PREVOD NA UCET	1607	13620	SIPO	GH	57227110
381532	1296	1998-01-05	VYDAJ	PREVOD NA UCET	1607	11016	SIPO	GH	57227110
381533	1296	1998-02-05	VYDAJ	PREVOD NA UCET	1607	11911	SIPO	GH	57227110
381534	1296	1998-03-05	VYDAJ	PREVOD NA UCET	1607	13051	SIPO	GH	57227110
381535	1296	1998-04-05	VYDAJ	PREVOD NA UCET	1607	16519	SIPO	GH	57227110
381536	1296	1998-05-05	VYDAJ	PREVOD NA UCET	1607	18794	SIPO	GH	57227110
381537	1296	1998-06-05	VYDAJ	PREVOD NA UCET	1607	15736	SIPO	GH	57227110
381538	1296	1998-07-05	VYDAJ	PREVOD NA UCET	1607	17056	SIPO	GH	57227110
381539	1296	1998-08-05	VYDAJ	PREVOD NA UCET	1607	20540	SIPO	GH	57227110
381540	1296	1998-09-05	VYDAJ	PREVOD NA UCET	1607	24039	SIPO	GH	57227110
381541	1296	1998-10-05	VYDAJ	PREVOD NA UCET	1607	27552	SIPO	GH	57227110
381542	1296	1998-11-05	VYDAJ	PREVOD NA UCET	1607	28038	SIPO	GH	57227110
381543	1296	1998-12-05	VYDAJ	PREVOD NA UCET	1607	31568	SIPO	GH	57227110
381546	1296	1998-06-01	VYDAJ	VYBER	6550	17343	\N	\N	\N
381551	1296	1997-12-18	VYDAJ	VYBER	1350	17290	\N	\N	\N
381552	1296	1998-12-08	VYDAJ	VYBER	950	30618	\N	\N	\N
381567	1296	1998-01-21	VYDAJ	VYBER	640	13476	\N	\N	\N
381569	1296	1998-01-19	VYDAJ	VYBER	1920	14116	\N	\N	\N
381575	1296	1997-12-20	VYDAJ	VYBER	3920	12570	\N	\N	\N
381577	1296	1997-12-20	VYDAJ	VYBER	800	16490	\N	\N	\N
381581	1296	1997-11-20	VYDAJ	VYBER	2320	15179	\N	\N	\N
381582	1296	1998-04-06	VYDAJ	VYBER	1200	15319	\N	\N	\N
381583	1296	1998-06-14	VYDAJ	VYBER	2160	18596	\N	\N	\N
381584	1296	1998-10-27	VYDAJ	VYBER	3040	29532	\N	\N	\N
381585	1296	1998-12-24	VYDAJ	VYBER	720	34918	\N	\N	\N
381587	1296	1998-02-23	VYDAJ	VYBER	2320	14611	\N	\N	\N
381604	1296	1997-04-30	VYDAJ	VYBER	15	20494	SLUZBY	\N	\N
381605	1296	1997-05-31	VYDAJ	VYBER	15	14466	SLUZBY	\N	\N
381606	1296	1997-06-30	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
381607	1296	1997-07-31	VYDAJ	VYBER	15	15505	SLUZBY	\N	\N
381608	1296	1997-08-31	VYDAJ	VYBER	15	13574	SLUZBY	\N	\N
381609	1296	1997-09-30	VYDAJ	VYBER	15	10635	SLUZBY	\N	\N
381610	1296	1997-10-31	VYDAJ	VYBER	15	14086	SLUZBY	\N	\N
381611	1296	1997-11-30	VYDAJ	VYBER	15	15227	SLUZBY	\N	\N
381612	1296	1997-12-31	VYDAJ	VYBER	15	12623	SLUZBY	\N	\N
381613	1296	1998-01-31	VYDAJ	VYBER	15	13518	SLUZBY	\N	\N
381614	1296	1998-02-28	VYDAJ	VYBER	15	14658	SLUZBY	\N	\N
381615	1296	1998-03-31	VYDAJ	VYBER	15	18126	SLUZBY	\N	\N
381616	1296	1998-04-30	VYDAJ	VYBER	15	20401	SLUZBY	\N	\N
381617	1296	1998-05-31	VYDAJ	VYBER	15	23893	SLUZBY	\N	\N
381618	1296	1998-06-30	VYDAJ	VYBER	15	18663	SLUZBY	\N	\N
381619	1296	1998-07-31	VYDAJ	VYBER	15	22147	SLUZBY	\N	\N
381620	1296	1998-08-31	VYDAJ	VYBER	15	25646	SLUZBY	\N	\N
381621	1296	1998-09-30	VYDAJ	VYBER	15	29159	SLUZBY	\N	\N
381622	1296	1998-10-31	VYDAJ	VYBER	15	29645	SLUZBY	\N	\N
381623	1296	1998-11-30	VYDAJ	VYBER	15	33175	SLUZBY	\N	\N
381624	1296	1997-03-02	VYDAJ	VYBER	300	15623	\N	\N	\N
381625	1296	1997-04-01	VYDAJ	VYBER	5300	15403	\N	\N	\N
381626	1296	1997-05-01	VYDAJ	VYBER	4700	15794	\N	\N	\N
381627	1296	1997-05-31	VYDAJ	VYBER	4800	14481	\N	\N	\N
381628	1296	1997-06-30	VYDAJ	VYBER	1800	16147	\N	\N	\N
381629	1296	1997-07-30	VYDAJ	VYBER	4100	15446	\N	\N	\N
381630	1296	1997-08-29	VYDAJ	VYBER	5400	13518	\N	\N	\N
381631	1296	1997-09-28	VYDAJ	VYBER	6400	10587	\N	\N	\N
381657	1297	1993-07-27	PRIJEM	VKLAD	400	400	\N	\N	\N
381665	1297	1993-08-06	PRIJEM	VKLAD	20511	20911	\N	\N	\N
381666	1297	1993-09-06	PRIJEM	VKLAD	20511	43841	\N	\N	\N
381667	1297	1993-10-06	PRIJEM	VKLAD	20511	53957	\N	\N	\N
381668	1297	1993-11-06	PRIJEM	VKLAD	20511	59112	\N	\N	\N
381669	1297	1993-12-06	PRIJEM	VKLAD	30767	74444	\N	\N	\N
381670	1297	1994-01-06	PRIJEM	VKLAD	20511	64917	\N	\N	\N
381671	1297	1994-02-06	PRIJEM	VKLAD	20511	50474	\N	\N	\N
381672	1297	1994-03-06	PRIJEM	VKLAD	20511	57649	\N	\N	\N
381673	1297	1994-04-06	PRIJEM	VKLAD	20511	59147	\N	\N	\N
381674	1297	1994-05-06	PRIJEM	VKLAD	20511	61754	\N	\N	\N
381675	1297	1994-06-06	PRIJEM	VKLAD	30767	71122	\N	\N	\N
381676	1297	1994-07-06	PRIJEM	VKLAD	20511	44089	\N	\N	\N
381677	1297	1994-08-06	PRIJEM	VKLAD	20511	53739	\N	\N	\N
381678	1297	1994-09-06	PRIJEM	VKLAD	20511	57420	\N	\N	\N
381679	1297	1994-10-06	PRIJEM	VKLAD	20511	61416	\N	\N	\N
381680	1297	1994-11-06	PRIJEM	VKLAD	20511	58594	\N	\N	\N
381681	1297	1994-12-06	PRIJEM	VKLAD	30767	70027	\N	\N	\N
381682	1297	1995-01-06	PRIJEM	VKLAD	20511	50753	\N	\N	\N
381683	1297	1995-02-06	PRIJEM	VKLAD	20511	52273	\N	\N	\N
381684	1297	1995-03-06	PRIJEM	VKLAD	20511	61153	\N	\N	\N
381685	1297	1995-04-06	PRIJEM	VKLAD	20511	60222	\N	\N	\N
381686	1297	1995-05-06	PRIJEM	VKLAD	20511	65232	\N	\N	\N
381687	1297	1995-06-06	PRIJEM	VKLAD	30767	74925	\N	\N	\N
381688	1297	1995-07-06	PRIJEM	VKLAD	20511	65462	\N	\N	\N
381689	1297	1995-08-06	PRIJEM	VKLAD	20511	65077	\N	\N	\N
381690	1297	1995-09-06	PRIJEM	VKLAD	20511	65291	\N	\N	\N
381691	1297	1995-10-06	PRIJEM	VKLAD	20511	65100	\N	\N	\N
381692	1297	1995-11-06	PRIJEM	VKLAD	20511	62811	\N	\N	\N
381693	1297	1995-12-06	PRIJEM	VKLAD	30767	75775	\N	\N	\N
381694	1297	1996-01-06	PRIJEM	VKLAD	20511	62358	\N	\N	\N
381695	1297	1996-02-06	PRIJEM	VKLAD	20511	46837	\N	\N	\N
381696	1297	1996-03-06	PRIJEM	VKLAD	20511	54687	\N	\N	\N
381697	1297	1996-04-06	PRIJEM	VKLAD	20511	56576	\N	\N	\N
381698	1297	1996-05-06	PRIJEM	VKLAD	20511	61859	\N	\N	\N
381699	1297	1996-06-06	PRIJEM	VKLAD	30767	75515	\N	\N	\N
381700	1297	1996-07-06	PRIJEM	VKLAD	20511	72043	\N	\N	\N
381701	1297	1996-08-06	PRIJEM	VKLAD	20511	67661	\N	\N	\N
381702	1297	1996-09-06	PRIJEM	VKLAD	20511	61302	\N	\N	\N
381703	1297	1996-10-06	PRIJEM	VKLAD	20511	61989	\N	\N	\N
381704	1297	1996-11-06	PRIJEM	VKLAD	20511	65082	\N	\N	\N
381705	1297	1996-12-06	PRIJEM	VKLAD	30767	76838	\N	\N	\N
381706	1297	1997-01-06	PRIJEM	VKLAD	20511	57623	\N	\N	\N
381707	1297	1997-02-06	PRIJEM	VKLAD	20511	48468	\N	\N	\N
381708	1297	1997-03-06	PRIJEM	VKLAD	20511	48552	\N	\N	\N
381709	1297	1997-04-06	PRIJEM	VKLAD	20511	56724	\N	\N	\N
381710	1297	1997-05-06	PRIJEM	VKLAD	20511	58186	\N	\N	\N
381711	1297	1997-06-06	PRIJEM	VKLAD	30767	68851	\N	\N	\N
381712	1297	1997-07-06	PRIJEM	VKLAD	20511	68353	\N	\N	\N
381713	1297	1997-08-06	PRIJEM	VKLAD	20511	58855	\N	\N	\N
381714	1297	1997-09-06	PRIJEM	VKLAD	20511	64976	\N	\N	\N
381715	1297	1997-10-06	PRIJEM	VKLAD	20511	65576	\N	\N	\N
381716	1297	1997-11-06	PRIJEM	VKLAD	20511	71924	\N	\N	\N
381717	1297	1997-12-06	PRIJEM	VKLAD	30767	83654	\N	\N	\N
381718	1297	1998-01-06	PRIJEM	VKLAD	20511	80865	\N	\N	\N
381719	1297	1998-02-06	PRIJEM	VKLAD	20511	73718	\N	\N	\N
381720	1297	1998-03-06	PRIJEM	VKLAD	20511	82193	\N	\N	\N
381721	1297	1998-04-06	PRIJEM	VKLAD	20511	83924	\N	\N	\N
381722	1297	1998-05-06	PRIJEM	VKLAD	20511	87423	\N	\N	\N
381723	1297	1998-06-06	PRIJEM	VKLAD	30767	98575	\N	\N	\N
381724	1297	1998-07-06	PRIJEM	VKLAD	20511	81668	\N	\N	\N
381725	1297	1998-08-06	PRIJEM	VKLAD	20511	87376	\N	\N	\N
381726	1297	1998-09-06	PRIJEM	VKLAD	20511	87404	\N	\N	\N
381727	1297	1998-10-06	PRIJEM	VKLAD	20511	87153	\N	\N	\N
381728	1297	1998-11-06	PRIJEM	VKLAD	20511	93281	\N	\N	\N
381729	1297	1998-12-06	PRIJEM	VKLAD	30767	111189	\N	\N	\N
381741	1297	1993-12-06	VYDAJ	PREVOD NA UCET	2878	71566	SIPO	IJ	23392784
381742	1297	1994-01-06	VYDAJ	PREVOD NA UCET	2878	62039	SIPO	IJ	23392784
381743	1297	1994-02-06	VYDAJ	PREVOD NA UCET	2878	47596	SIPO	IJ	23392784
381744	1297	1994-03-06	VYDAJ	PREVOD NA UCET	2878	54771	SIPO	IJ	23392784
381745	1297	1994-04-06	VYDAJ	PREVOD NA UCET	2878	56269	SIPO	IJ	23392784
381746	1297	1994-05-06	VYDAJ	PREVOD NA UCET	2878	58876	SIPO	IJ	23392784
381747	1297	1994-06-06	VYDAJ	PREVOD NA UCET	2878	68244	SIPO	IJ	23392784
381748	1297	1994-07-06	VYDAJ	PREVOD NA UCET	2878	41211	SIPO	IJ	23392784
381749	1297	1994-08-06	VYDAJ	PREVOD NA UCET	2878	50861	SIPO	IJ	23392784
381750	1297	1994-09-06	VYDAJ	PREVOD NA UCET	2878	54542	SIPO	IJ	23392784
381751	1297	1994-10-06	VYDAJ	PREVOD NA UCET	2878	58538	SIPO	IJ	23392784
381752	1297	1994-11-06	VYDAJ	PREVOD NA UCET	2878	55716	SIPO	IJ	23392784
381753	1297	1994-12-06	VYDAJ	PREVOD NA UCET	2878	67149	SIPO	IJ	23392784
381754	1297	1995-01-06	VYDAJ	PREVOD NA UCET	2878	47875	SIPO	IJ	23392784
381755	1297	1995-02-06	VYDAJ	PREVOD NA UCET	2878	49395	SIPO	IJ	23392784
381756	1297	1995-03-06	VYDAJ	PREVOD NA UCET	2878	58275	SIPO	IJ	23392784
381757	1297	1995-04-06	VYDAJ	PREVOD NA UCET	2878	57344	SIPO	IJ	23392784
381758	1297	1995-05-06	VYDAJ	PREVOD NA UCET	2878	62354	SIPO	IJ	23392784
381759	1297	1995-06-06	VYDAJ	PREVOD NA UCET	2878	72047	SIPO	IJ	23392784
381760	1297	1995-07-06	VYDAJ	PREVOD NA UCET	2878	62584	SIPO	IJ	23392784
381761	1297	1995-08-06	VYDAJ	PREVOD NA UCET	2878	62199	SIPO	IJ	23392784
381762	1297	1995-09-06	VYDAJ	PREVOD NA UCET	2878	62413	SIPO	IJ	23392784
381763	1297	1995-10-06	VYDAJ	PREVOD NA UCET	2878	62222	SIPO	IJ	23392784
381764	1297	1995-11-06	VYDAJ	PREVOD NA UCET	2878	59933	SIPO	IJ	23392784
381765	1297	1995-12-06	VYDAJ	PREVOD NA UCET	2878	72897	SIPO	IJ	23392784
381766	1297	1996-01-06	VYDAJ	PREVOD NA UCET	2878	59480	SIPO	IJ	23392784
381767	1297	1996-02-06	VYDAJ	PREVOD NA UCET	2878	43959	SIPO	IJ	23392784
381768	1297	1996-03-06	VYDAJ	PREVOD NA UCET	2878	51809	SIPO	IJ	23392784
381769	1297	1996-04-06	VYDAJ	PREVOD NA UCET	2878	53698	SIPO	IJ	23392784
381770	1297	1996-05-06	VYDAJ	PREVOD NA UCET	2878	58981	SIPO	IJ	23392784
381771	1297	1996-06-06	VYDAJ	PREVOD NA UCET	2878	72637	SIPO	IJ	23392784
381772	1297	1996-07-06	VYDAJ	PREVOD NA UCET	2878	69165	SIPO	IJ	23392784
381773	1297	1996-08-06	VYDAJ	PREVOD NA UCET	2878	64783	SIPO	IJ	23392784
381774	1297	1996-09-06	VYDAJ	PREVOD NA UCET	2878	58424	SIPO	IJ	23392784
381775	1297	1996-10-06	VYDAJ	PREVOD NA UCET	2878	59111	SIPO	IJ	23392784
381776	1297	1996-11-06	VYDAJ	PREVOD NA UCET	2878	62204	SIPO	IJ	23392784
381777	1297	1996-12-06	VYDAJ	PREVOD NA UCET	2878	73960	SIPO	IJ	23392784
381778	1297	1997-01-06	VYDAJ	PREVOD NA UCET	2878	54745	SIPO	IJ	23392784
381779	1297	1997-02-06	VYDAJ	PREVOD NA UCET	2878	38190	SIPO	IJ	23392784
381780	1297	1997-03-06	VYDAJ	PREVOD NA UCET	2878	45674	SIPO	IJ	23392784
381781	1297	1997-04-06	VYDAJ	PREVOD NA UCET	2878	53846	SIPO	IJ	23392784
381782	1297	1997-05-06	VYDAJ	PREVOD NA UCET	2878	55308	SIPO	IJ	23392784
381783	1297	1997-06-06	VYDAJ	PREVOD NA UCET	2878	50973	SIPO	IJ	23392784
381784	1297	1997-07-06	VYDAJ	PREVOD NA UCET	2878	65475	SIPO	IJ	23392784
381785	1297	1997-08-06	VYDAJ	PREVOD NA UCET	2878	55977	SIPO	IJ	23392784
381786	1297	1997-09-06	VYDAJ	PREVOD NA UCET	2878	62098	SIPO	IJ	23392784
381787	1297	1997-10-06	VYDAJ	PREVOD NA UCET	2878	62698	SIPO	IJ	23392784
381788	1297	1997-11-06	VYDAJ	PREVOD NA UCET	2878	69046	SIPO	IJ	23392784
381789	1297	1997-12-06	VYDAJ	PREVOD NA UCET	2878	80776	SIPO	IJ	23392784
381790	1297	1998-01-06	VYDAJ	PREVOD NA UCET	2878	77987	SIPO	IJ	23392784
381791	1297	1998-02-06	VYDAJ	PREVOD NA UCET	2878	70840	SIPO	IJ	23392784
381792	1297	1998-03-06	VYDAJ	PREVOD NA UCET	2878	79315	SIPO	IJ	23392784
381793	1297	1998-04-06	VYDAJ	PREVOD NA UCET	2878	81046	SIPO	IJ	23392784
381794	1297	1998-05-06	VYDAJ	PREVOD NA UCET	2878	84545	SIPO	IJ	23392784
381795	1297	1998-06-06	VYDAJ	PREVOD NA UCET	2878	95697	SIPO	IJ	23392784
381796	1297	1998-07-06	VYDAJ	PREVOD NA UCET	2878	78790	SIPO	IJ	23392784
381797	1297	1998-08-06	VYDAJ	PREVOD NA UCET	2878	84498	SIPO	IJ	23392784
381798	1297	1998-09-06	VYDAJ	PREVOD NA UCET	2878	84526	SIPO	IJ	23392784
381799	1297	1998-10-06	VYDAJ	PREVOD NA UCET	2878	84275	SIPO	IJ	23392784
381800	1297	1998-11-06	VYDAJ	PREVOD NA UCET	2878	90403	SIPO	IJ	23392784
381801	1297	1998-12-06	VYDAJ	PREVOD NA UCET	2878	108311	SIPO	IJ	23392784
381813	1297	1993-12-08	VYDAJ	PREVOD NA UCET	3311	68255	 	UV	17594236
381814	1297	1994-01-08	VYDAJ	PREVOD NA UCET	3311	58728	 	UV	17594236
381815	1297	1994-02-08	VYDAJ	PREVOD NA UCET	3311	44285	 	UV	17594236
381816	1297	1994-03-08	VYDAJ	PREVOD NA UCET	3311	50860	 	UV	17594236
381817	1297	1994-04-08	VYDAJ	PREVOD NA UCET	3311	52958	 	UV	17594236
381818	1297	1994-05-08	VYDAJ	PREVOD NA UCET	3311	55565	 	UV	17594236
381819	1297	1994-06-08	VYDAJ	PREVOD NA UCET	3311	64933	 	UV	17594236
381820	1297	1994-07-08	VYDAJ	PREVOD NA UCET	3311	37900	 	UV	17594236
381821	1297	1994-08-08	VYDAJ	PREVOD NA UCET	3311	47550	 	UV	17594236
381822	1297	1994-09-08	VYDAJ	PREVOD NA UCET	3311	51231	 	UV	17594236
381823	1297	1994-10-08	VYDAJ	PREVOD NA UCET	3311	55227	 	UV	17594236
381824	1297	1994-11-08	VYDAJ	PREVOD NA UCET	3311	52405	 	UV	17594236
381825	1297	1994-12-08	VYDAJ	PREVOD NA UCET	3311	63838	 	UV	17594236
381826	1297	1995-01-08	VYDAJ	PREVOD NA UCET	3311	44564	 	UV	17594236
381827	1297	1995-02-08	VYDAJ	PREVOD NA UCET	3311	46084	 	UV	17594236
381828	1297	1995-03-08	VYDAJ	PREVOD NA UCET	3311	54964	 	UV	17594236
381829	1297	1995-04-08	VYDAJ	PREVOD NA UCET	3311	54033	 	UV	17594236
381830	1297	1995-05-08	VYDAJ	PREVOD NA UCET	3311	59043	 	UV	17594236
381831	1297	1995-06-08	VYDAJ	PREVOD NA UCET	3311	59456	 	UV	17594236
381832	1297	1995-07-08	VYDAJ	PREVOD NA UCET	3311	59273	 	UV	17594236
381833	1297	1995-08-08	VYDAJ	PREVOD NA UCET	3311	58888	 	UV	17594236
381834	1297	1995-09-08	VYDAJ	PREVOD NA UCET	3311	59102	 	UV	17594236
381835	1297	1995-10-08	VYDAJ	PREVOD NA UCET	3311	58911	 	UV	17594236
381836	1297	1995-11-08	VYDAJ	PREVOD NA UCET	3311	56622	 	UV	17594236
381837	1297	1995-12-08	VYDAJ	PREVOD NA UCET	3311	69586	 	UV	17594236
381838	1297	1996-01-08	VYDAJ	PREVOD NA UCET	3311	56169	 	UV	17594236
381839	1297	1996-02-08	VYDAJ	PREVOD NA UCET	3311	40648	 	UV	17594236
381840	1297	1996-03-08	VYDAJ	PREVOD NA UCET	3311	48498	 	UV	17594236
381841	1297	1996-04-08	VYDAJ	PREVOD NA UCET	3311	50387	 	UV	17594236
381842	1297	1996-05-08	VYDAJ	PREVOD NA UCET	3311	55670	 	UV	17594236
381843	1297	1996-06-08	VYDAJ	PREVOD NA UCET	3311	69326	 	UV	17594236
381844	1297	1996-07-08	VYDAJ	PREVOD NA UCET	3311	65854	 	UV	17594236
381845	1297	1996-08-08	VYDAJ	PREVOD NA UCET	3311	61472	 	UV	17594236
381846	1297	1996-09-08	VYDAJ	PREVOD NA UCET	3311	55113	 	UV	17594236
381847	1297	1996-10-08	VYDAJ	PREVOD NA UCET	3311	55800	 	UV	17594236
381848	1297	1996-11-08	VYDAJ	PREVOD NA UCET	3311	45893	 	UV	17594236
381849	1297	1996-12-08	VYDAJ	PREVOD NA UCET	3311	50149	 	UV	17594236
381850	1297	1997-01-08	VYDAJ	PREVOD NA UCET	3311	41734	 	UV	17594236
381851	1297	1997-02-08	VYDAJ	PREVOD NA UCET	3311	34879	 	UV	17594236
381852	1297	1997-03-08	VYDAJ	PREVOD NA UCET	3311	42363	 	UV	17594236
381853	1297	1997-04-08	VYDAJ	PREVOD NA UCET	3311	37535	 	UV	17594236
381854	1297	1997-05-08	VYDAJ	PREVOD NA UCET	3311	41297	 	UV	17594236
381855	1297	1997-06-08	VYDAJ	PREVOD NA UCET	3311	47662	 	UV	17594236
381856	1297	1997-07-08	VYDAJ	PREVOD NA UCET	3311	45764	 	UV	17594236
381857	1297	1997-08-08	VYDAJ	PREVOD NA UCET	3311	52666	 	UV	17594236
381858	1297	1997-09-08	VYDAJ	PREVOD NA UCET	3311	58787	 	UV	17594236
381859	1297	1997-10-08	VYDAJ	PREVOD NA UCET	3311	59387	 	UV	17594236
381860	1297	1997-11-08	VYDAJ	PREVOD NA UCET	3311	65735	 	UV	17594236
381861	1297	1997-12-08	VYDAJ	PREVOD NA UCET	3311	74585	 	UV	17594236
381862	1297	1998-01-08	VYDAJ	PREVOD NA UCET	3311	69156	 	UV	17594236
381863	1297	1998-02-08	VYDAJ	PREVOD NA UCET	3311	67529	 	UV	17594236
381864	1297	1998-03-08	VYDAJ	PREVOD NA UCET	3311	76004	 	UV	17594236
381865	1297	1998-04-08	VYDAJ	PREVOD NA UCET	3311	77735	 	UV	17594236
381866	1297	1998-05-08	VYDAJ	PREVOD NA UCET	3311	81234	 	UV	17594236
381867	1297	1998-06-08	VYDAJ	PREVOD NA UCET	3311	92386	 	UV	17594236
381868	1297	1998-07-08	VYDAJ	PREVOD NA UCET	3311	75479	 	UV	17594236
381869	1297	1998-08-08	VYDAJ	PREVOD NA UCET	3311	81187	 	UV	17594236
381870	1297	1998-09-08	VYDAJ	PREVOD NA UCET	3311	81215	 	UV	17594236
381871	1297	1998-10-08	VYDAJ	PREVOD NA UCET	3311	80964	 	UV	17594236
381872	1297	1998-11-08	VYDAJ	PREVOD NA UCET	3311	87092	 	UV	17594236
381873	1297	1998-12-08	VYDAJ	PREVOD NA UCET	3311	105000	 	UV	17594236
381875	1297	1994-06-28	VYDAJ	VYBER	20960	23373	\N	\N	\N
381876	1297	1995-06-07	VYDAJ	VYBER	9280	62767	\N	\N	\N
381879	1297	1998-06-25	VYDAJ	VYBER	30560	61826	\N	\N	\N
381881	1297	1994-01-09	VYDAJ	VYBER	15040	43688	\N	\N	\N
381882	1297	1995-01-02	VYDAJ	VYBER	12000	32402	\N	\N	\N
381883	1297	1996-01-26	VYDAJ	VYBER	10880	27009	\N	\N	\N
381884	1297	1997-01-25	VYDAJ	VYBER	6240	31054	\N	\N	\N
381885	1297	1998-01-05	VYDAJ	VYBER	1920	60354	\N	\N	\N
381886	1297	1993-12-20	VYDAJ	VYBER	1440	66815	\N	\N	\N
381887	1297	1994-12-20	VYDAJ	VYBER	800	45038	\N	\N	\N
381888	1297	1995-12-20	VYDAJ	VYBER	4000	44286	\N	\N	\N
381889	1297	1996-12-28	VYDAJ	VYBER	3520	46629	\N	\N	\N
381890	1297	1997-12-07	VYDAJ	VYBER	2880	77896	\N	\N	\N
381891	1297	1998-12-13	VYDAJ	VYBER	1280	103720	\N	\N	\N
381898	1297	1994-01-10	VYDAJ	VYBER	2280	41408	\N	\N	\N
381899	1297	1994-01-02	VYDAJ	VYBER	3240	44406	\N	\N	\N
381900	1297	1994-01-29	VYDAJ	VYBER	1560	29808	\N	\N	\N
381901	1297	1994-01-21	VYDAJ	VYBER	2760	36368	\N	\N	\N
381902	1297	1994-01-18	VYDAJ	VYBER	1560	39128	\N	\N	\N
381903	1297	1994-01-11	VYDAJ	VYBER	720	40688	\N	\N	\N
381904	1297	1995-01-21	VYDAJ	VYBER	2520	33904	\N	\N	\N
381905	1297	1995-01-10	VYDAJ	VYBER	2880	39524	\N	\N	\N
381906	1297	1995-01-05	VYDAJ	VYBER	2160	30242	\N	\N	\N
381907	1297	1995-01-24	VYDAJ	VYBER	2280	31624	\N	\N	\N
381908	1297	1995-01-01	VYDAJ	VYBER	840	44402	\N	\N	\N
381909	1297	1995-01-08	VYDAJ	VYBER	2160	42404	\N	\N	\N
381910	1297	1996-01-14	VYDAJ	VYBER	2040	40529	\N	\N	\N
381911	1297	1996-01-09	VYDAJ	VYBER	2400	53769	\N	\N	\N
381912	1297	1996-01-27	VYDAJ	VYBER	840	26169	\N	\N	\N
381913	1297	1996-01-02	VYDAJ	VYBER	2640	41847	\N	\N	\N
381914	1297	1996-01-17	VYDAJ	VYBER	720	39809	\N	\N	\N
381915	1297	1996-01-20	VYDAJ	VYBER	1920	37889	\N	\N	\N
381916	1297	1997-01-05	VYDAJ	VYBER	3360	37112	\N	\N	\N
381917	1297	1997-01-09	VYDAJ	VYBER	1080	40654	\N	\N	\N
381918	1297	1997-01-23	VYDAJ	VYBER	3360	37294	\N	\N	\N
381919	1297	1997-01-27	VYDAJ	VYBER	3240	27814	\N	\N	\N
381920	1297	1997-01-02	VYDAJ	VYBER	3480	40472	\N	\N	\N
381921	1297	1997-01-01	VYDAJ	VYBER	2880	43952	\N	\N	\N
381922	1297	1998-01-26	VYDAJ	VYBER	1680	53916	\N	\N	\N
381923	1297	1998-01-25	VYDAJ	VYBER	3000	58956	\N	\N	\N
381924	1297	1998-01-21	VYDAJ	VYBER	1800	61956	\N	\N	\N
381925	1297	1998-01-13	VYDAJ	VYBER	2520	66636	\N	\N	\N
381926	1297	1998-01-26	VYDAJ	VYBER	2160	51756	\N	\N	\N
381927	1297	1998-01-15	VYDAJ	VYBER	2880	63756	\N	\N	\N
381934	1297	1994-10-17	VYDAJ	VYBER	5520	49707	\N	\N	\N
381935	1297	1994-03-06	VYDAJ	VYBER	600	54171	\N	\N	\N
381936	1297	1994-11-28	VYDAJ	VYBER	1920	39085	\N	\N	\N
381937	1297	1995-05-23	VYDAJ	VYBER	1080	43963	\N	\N	\N
381938	1297	1995-11-05	VYDAJ	VYBER	3000	42300	\N	\N	\N
381939	1297	1995-09-12	VYDAJ	VYBER	4800	54302	\N	\N	\N
381940	1297	1995-04-01	VYDAJ	VYBER	5040	39711	\N	\N	\N
381941	1297	1996-03-15	VYDAJ	VYBER	2280	35918	\N	\N	\N
381942	1297	1996-08-11	VYDAJ	VYBER	4440	43732	\N	\N	\N
381943	1297	1996-09-05	VYDAJ	VYBER	3120	40791	\N	\N	\N
381944	1297	1997-05-14	VYDAJ	VYBER	3360	37937	\N	\N	\N
381945	1297	1997-09-23	VYDAJ	VYBER	5640	53147	\N	\N	\N
381946	1297	1997-02-27	VYDAJ	VYBER	1920	27919	\N	\N	\N
381947	1297	1997-02-20	VYDAJ	VYBER	2160	32719	\N	\N	\N
381948	1297	1997-02-25	VYDAJ	VYBER	2880	29839	\N	\N	\N
381949	1297	1998-05-27	VYDAJ	VYBER	3840	77394	\N	\N	\N
381950	1297	1998-04-13	VYDAJ	VYBER	2520	75215	\N	\N	\N
381951	1297	1998-03-21	VYDAJ	VYBER	2880	73124	\N	\N	\N
381952	1297	1998-10-02	VYDAJ	VYBER	2280	67242	\N	\N	\N
381953	1297	1998-01-07	VYDAJ	VYBER	5520	72467	\N	\N	\N
381954	1297	1998-10-03	VYDAJ	VYBER	600	66642	\N	\N	\N
381955	1297	1998-01-26	VYDAJ	VYBER	3360	55596	\N	\N	\N
381968	1297	1993-12-31	VYDAJ	VYBER	15	47646	SLUZBY	\N	\N
381969	1297	1994-01-31	VYDAJ	VYBER	15	29963	SLUZBY	\N	\N
381970	1297	1994-02-28	VYDAJ	VYBER	15	37138	SLUZBY	\N	\N
381971	1297	1994-03-31	VYDAJ	VYBER	15	38636	SLUZBY	\N	\N
381972	1297	1994-04-30	VYDAJ	VYBER	15	41243	SLUZBY	\N	\N
381973	1297	1994-05-31	VYDAJ	VYBER	15	40355	SLUZBY	\N	\N
381974	1297	1994-06-30	VYDAJ	VYBER	15	23578	SLUZBY	\N	\N
381975	1297	1994-07-31	VYDAJ	VYBER	15	33228	SLUZBY	\N	\N
381976	1297	1994-08-31	VYDAJ	VYBER	15	36909	SLUZBY	\N	\N
381977	1297	1994-09-30	VYDAJ	VYBER	15	40905	SLUZBY	\N	\N
381978	1297	1994-10-31	VYDAJ	VYBER	15	38083	SLUZBY	\N	\N
381979	1297	1994-11-30	VYDAJ	VYBER	15	39261	SLUZBY	\N	\N
381980	1297	1994-12-31	VYDAJ	VYBER	15	45242	SLUZBY	\N	\N
381981	1297	1995-01-31	VYDAJ	VYBER	15	31762	SLUZBY	\N	\N
381982	1297	1995-02-28	VYDAJ	VYBER	15	40642	SLUZBY	\N	\N
381983	1297	1995-03-31	VYDAJ	VYBER	15	44751	SLUZBY	\N	\N
381984	1297	1995-04-30	VYDAJ	VYBER	15	44721	SLUZBY	\N	\N
381985	1297	1995-05-31	VYDAJ	VYBER	15	44158	SLUZBY	\N	\N
381986	1297	1995-06-30	VYDAJ	VYBER	15	44951	SLUZBY	\N	\N
381987	1297	1995-07-31	VYDAJ	VYBER	15	44566	SLUZBY	\N	\N
381988	1297	1995-08-31	VYDAJ	VYBER	15	44780	SLUZBY	\N	\N
381989	1297	1995-09-30	VYDAJ	VYBER	15	44589	SLUZBY	\N	\N
381990	1297	1995-10-31	VYDAJ	VYBER	15	45300	SLUZBY	\N	\N
381991	1297	1995-11-30	VYDAJ	VYBER	15	45008	SLUZBY	\N	\N
381992	1297	1995-12-31	VYDAJ	VYBER	15	44487	SLUZBY	\N	\N
381993	1297	1996-01-31	VYDAJ	VYBER	15	26326	SLUZBY	\N	\N
381994	1297	1996-02-29	VYDAJ	VYBER	15	34176	SLUZBY	\N	\N
381995	1297	1996-03-31	VYDAJ	VYBER	15	36065	SLUZBY	\N	\N
381996	1297	1996-04-30	VYDAJ	VYBER	15	41348	SLUZBY	\N	\N
381997	1297	1996-05-31	VYDAJ	VYBER	15	44748	SLUZBY	\N	\N
381998	1297	1996-06-30	VYDAJ	VYBER	15	51532	SLUZBY	\N	\N
381999	1297	1996-07-31	VYDAJ	VYBER	15	47150	SLUZBY	\N	\N
382000	1297	1996-08-31	VYDAJ	VYBER	15	43911	SLUZBY	\N	\N
382001	1297	1996-09-30	VYDAJ	VYBER	15	41478	SLUZBY	\N	\N
382002	1297	1996-10-31	VYDAJ	VYBER	15	44571	SLUZBY	\N	\N
382003	1297	1996-11-30	VYDAJ	VYBER	15	46072	SLUZBY	\N	\N
382004	1297	1996-12-31	VYDAJ	VYBER	15	46832	SLUZBY	\N	\N
382005	1297	1997-01-31	VYDAJ	VYBER	15	27957	SLUZBY	\N	\N
382006	1297	1997-02-28	VYDAJ	VYBER	15	28041	SLUZBY	\N	\N
382007	1297	1997-03-31	VYDAJ	VYBER	15	36213	SLUZBY	\N	\N
382008	1297	1997-04-30	VYDAJ	VYBER	15	37675	SLUZBY	\N	\N
382009	1297	1997-05-31	VYDAJ	VYBER	15	38084	SLUZBY	\N	\N
382010	1297	1997-06-30	VYDAJ	VYBER	15	47842	SLUZBY	\N	\N
382011	1297	1997-07-31	VYDAJ	VYBER	15	45944	SLUZBY	\N	\N
382012	1297	1997-08-31	VYDAJ	VYBER	15	52865	SLUZBY	\N	\N
382013	1297	1997-09-30	VYDAJ	VYBER	15	53365	SLUZBY	\N	\N
382014	1297	1997-10-31	VYDAJ	VYBER	15	59613	SLUZBY	\N	\N
382015	1297	1997-11-30	VYDAJ	VYBER	15	65988	SLUZBY	\N	\N
382016	1297	1997-12-31	VYDAJ	VYBER	15	74874	SLUZBY	\N	\N
382017	1297	1998-01-31	VYDAJ	VYBER	15	52007	SLUZBY	\N	\N
382018	1297	1998-02-28	VYDAJ	VYBER	15	67782	SLUZBY	\N	\N
382019	1297	1998-03-31	VYDAJ	VYBER	15	73413	SLUZBY	\N	\N
382020	1297	1998-04-30	VYDAJ	VYBER	15	75512	SLUZBY	\N	\N
382021	1297	1998-05-31	VYDAJ	VYBER	15	77708	SLUZBY	\N	\N
382022	1297	1998-06-30	VYDAJ	VYBER	15	62157	SLUZBY	\N	\N
382023	1297	1998-07-31	VYDAJ	VYBER	15	66865	SLUZBY	\N	\N
382024	1297	1998-08-31	VYDAJ	VYBER	15	66893	SLUZBY	\N	\N
382025	1297	1998-09-30	VYDAJ	VYBER	15	69522	SLUZBY	\N	\N
382026	1297	1998-10-31	VYDAJ	VYBER	15	72770	SLUZBY	\N	\N
382027	1297	1998-11-30	VYDAJ	VYBER	15	80423	SLUZBY	\N	\N
382028	1297	1993-08-26	PRIJEM	VKLAD	2400	23311	\N	\N	\N
382029	1297	1993-09-25	VYDAJ	VYBER	10500	33341	\N	\N	\N
382030	1297	1993-10-25	VYDAJ	VYBER	15500	38457	\N	\N	\N
382031	1297	1993-11-24	VYDAJ	VYBER	15600	43512	\N	\N	\N
382032	1297	1993-12-24	VYDAJ	VYBER	19400	47415	\N	\N	\N
382033	1297	1994-01-23	VYDAJ	VYBER	5000	31368	\N	\N	\N
382034	1297	1994-02-22	VYDAJ	VYBER	7300	36985	\N	\N	\N
382035	1297	1994-03-24	VYDAJ	VYBER	12400	38460	\N	\N	\N
382036	1297	1994-04-23	VYDAJ	VYBER	11900	41058	\N	\N	\N
382037	1297	1994-05-23	VYDAJ	VYBER	15400	40165	\N	\N	\N
382038	1297	1994-06-22	VYDAJ	VYBER	20600	44333	\N	\N	\N
382039	1297	1994-07-22	VYDAJ	VYBER	4800	33100	\N	\N	\N
382040	1297	1994-08-21	VYDAJ	VYBER	10800	36750	\N	\N	\N
382041	1297	1994-09-20	VYDAJ	VYBER	10500	40731	\N	\N	\N
382042	1297	1994-10-20	VYDAJ	VYBER	11800	37907	\N	\N	\N
382043	1297	1994-11-19	VYDAJ	VYBER	11400	41005	\N	\N	\N
382044	1297	1994-12-19	VYDAJ	VYBER	18000	45838	\N	\N	\N
382045	1297	1995-01-18	VYDAJ	VYBER	3100	36424	\N	\N	\N
382046	1297	1995-02-17	VYDAJ	VYBER	5600	40484	\N	\N	\N
382047	1297	1995-03-19	VYDAJ	VYBER	10400	44564	\N	\N	\N
382048	1297	1995-04-18	VYDAJ	VYBER	9500	44533	\N	\N	\N
382049	1297	1995-05-18	VYDAJ	VYBER	14000	45043	\N	\N	\N
382050	1297	1995-06-17	VYDAJ	VYBER	14700	44756	\N	\N	\N
382051	1297	1995-07-17	VYDAJ	VYBER	14900	44373	\N	\N	\N
382052	1297	1995-08-16	VYDAJ	VYBER	14300	44588	\N	\N	\N
382053	1297	1995-09-15	VYDAJ	VYBER	9900	44402	\N	\N	\N
382054	1297	1995-10-15	VYDAJ	VYBER	13800	45111	\N	\N	\N
382055	1297	1995-11-14	VYDAJ	VYBER	11800	44822	\N	\N	\N
382056	1297	1995-12-14	VYDAJ	VYBER	21300	48286	\N	\N	\N
382057	1297	1996-01-13	VYDAJ	VYBER	11200	42569	\N	\N	\N
382058	1297	1996-02-12	VYDAJ	VYBER	6600	34048	\N	\N	\N
382059	1297	1996-03-13	VYDAJ	VYBER	10300	38198	\N	\N	\N
382060	1297	1996-04-12	VYDAJ	VYBER	9200	41187	\N	\N	\N
382061	1297	1996-05-12	VYDAJ	VYBER	11100	44570	\N	\N	\N
382062	1297	1996-06-11	VYDAJ	VYBER	18000	51326	\N	\N	\N
382063	1297	1996-07-11	VYDAJ	VYBER	18900	46954	\N	\N	\N
382064	1297	1996-08-10	VYDAJ	VYBER	13300	48172	\N	\N	\N
382065	1297	1996-09-09	VYDAJ	VYBER	13800	41313	\N	\N	\N
382066	1297	1996-10-09	VYDAJ	VYBER	11400	44400	\N	\N	\N
382067	1297	1996-11-08	VYDAJ	VYBER	13000	49204	\N	\N	\N
382068	1297	1996-12-08	VYDAJ	VYBER	20500	53460	\N	\N	\N
382069	1297	1997-01-07	VYDAJ	VYBER	9700	45045	\N	\N	\N
382070	1297	1997-02-06	VYDAJ	VYBER	7400	41068	\N	\N	\N
382071	1297	1997-03-08	VYDAJ	VYBER	6300	36063	\N	\N	\N
382072	1297	1997-04-07	VYDAJ	VYBER	13000	40846	\N	\N	\N
382073	1297	1997-05-07	VYDAJ	VYBER	10700	44608	\N	\N	\N
382074	1297	1997-06-06	VYDAJ	VYBER	15000	53851	\N	\N	\N
382075	1297	1997-07-06	VYDAJ	VYBER	16400	49075	\N	\N	\N
382076	1297	1997-08-05	VYDAJ	VYBER	7600	38344	\N	\N	\N
382077	1297	1997-09-04	VYDAJ	VYBER	8400	44465	\N	\N	\N
382078	1297	1997-10-04	VYDAJ	VYBER	8300	45065	\N	\N	\N
382079	1297	1997-11-03	VYDAJ	VYBER	8200	51413	\N	\N	\N
382080	1297	1997-12-03	VYDAJ	VYBER	13100	52888	\N	\N	\N
382081	1297	1998-01-02	VYDAJ	VYBER	12600	62274	\N	\N	\N
382082	1297	1998-02-01	PRIJEM	VKLAD	1200	53207	\N	\N	\N
382083	1297	1998-03-03	VYDAJ	VYBER	6100	61682	\N	\N	\N
382084	1297	1998-04-02	VYDAJ	VYBER	10000	63413	\N	\N	\N
382085	1297	1998-05-02	VYDAJ	VYBER	8600	66912	\N	\N	\N
382086	1297	1998-06-01	VYDAJ	VYBER	9900	67808	\N	\N	\N
382087	1297	1998-07-01	VYDAJ	VYBER	1000	61157	\N	\N	\N
382088	1297	1998-07-31	VYDAJ	VYBER	8900	66879	\N	\N	\N
382089	1297	1998-08-30	VYDAJ	VYBER	14600	66587	\N	\N	\N
382090	1297	1998-09-29	VYDAJ	VYBER	12000	69215	\N	\N	\N
382091	1297	1998-10-29	VYDAJ	VYBER	8500	72464	\N	\N	\N
382092	1297	1998-11-28	VYDAJ	VYBER	7000	80092	\N	\N	\N
382158	1298	1996-01-20	PRIJEM	VKLAD	400	400	\N	\N	\N
382160	1298	1996-02-13	PRIJEM	VKLAD	12446	12846	\N	\N	\N
382161	1298	1996-03-13	PRIJEM	VKLAD	12446	33625	\N	\N	\N
382162	1298	1996-04-13	PRIJEM	VKLAD	12446	40671	\N	\N	\N
382163	1298	1996-05-13	PRIJEM	VKLAD	12446	47846	\N	\N	\N
382164	1298	1996-06-13	PRIJEM	VKLAD	18669	55965	\N	\N	\N
382165	1298	1996-07-13	PRIJEM	VKLAD	12446	46534	\N	\N	\N
382166	1298	1996-08-13	PRIJEM	VKLAD	12446	38900	\N	\N	\N
382167	1298	1996-09-13	PRIJEM	VKLAD	12446	32744	\N	\N	\N
382168	1298	1996-10-13	PRIJEM	VKLAD	12446	32474	\N	\N	\N
382169	1298	1996-11-13	PRIJEM	VKLAD	12446	32501	\N	\N	\N
382170	1298	1996-12-13	PRIJEM	VKLAD	18669	36547	\N	\N	\N
382171	1298	1997-01-13	PRIJEM	VKLAD	12446	27975	\N	\N	\N
382172	1298	1997-02-13	PRIJEM	VKLAD	12446	30491	\N	\N	\N
382173	1298	1997-03-13	PRIJEM	VKLAD	12446	33607	\N	\N	\N
382174	1298	1997-04-13	PRIJEM	VKLAD	12446	31526	\N	\N	\N
382175	1298	1997-05-13	PRIJEM	VKLAD	12446	28236	\N	\N	\N
382176	1298	1997-06-13	PRIJEM	VKLAD	18669	37266	\N	\N	\N
382177	1298	1997-07-13	PRIJEM	VKLAD	12446	33386	\N	\N	\N
382178	1298	1997-08-13	PRIJEM	VKLAD	12446	33614	\N	\N	\N
382179	1298	1997-09-13	PRIJEM	VKLAD	12446	31948	\N	\N	\N
382180	1298	1997-10-13	PRIJEM	VKLAD	12446	36483	\N	\N	\N
382181	1298	1997-11-13	PRIJEM	VKLAD	12446	41434	\N	\N	\N
382182	1298	1997-12-13	PRIJEM	VKLAD	18669	44228	\N	\N	\N
382183	1298	1998-01-13	PRIJEM	VKLAD	12446	33313	\N	\N	\N
382184	1298	1998-02-13	PRIJEM	VKLAD	12446	28751	\N	\N	\N
382185	1298	1998-03-13	PRIJEM	VKLAD	12446	31473	\N	\N	\N
382186	1298	1998-04-13	PRIJEM	VKLAD	12446	29805	\N	\N	\N
382187	1298	1998-05-13	PRIJEM	VKLAD	12446	31835	\N	\N	\N
382188	1298	1998-06-13	PRIJEM	VKLAD	18669	36692	\N	\N	\N
382189	1298	1998-07-13	PRIJEM	VKLAD	12446	24823	\N	\N	\N
382190	1298	1998-08-13	PRIJEM	VKLAD	12446	28420	\N	\N	\N
382191	1298	1998-09-13	PRIJEM	VKLAD	12446	33838	\N	\N	\N
382192	1298	1998-10-13	PRIJEM	VKLAD	12446	35575	\N	\N	\N
382193	1298	1998-11-13	PRIJEM	VKLAD	12446	40025	\N	\N	\N
382194	1298	1998-12-13	PRIJEM	VKLAD	18669	46311	\N	\N	\N
382201	1298	1996-07-10	VYDAJ	PREVOD NA UCET	5822	34088	SIPO	MN	11863774
382202	1298	1996-08-10	VYDAJ	PREVOD NA UCET	5822	26454	SIPO	MN	11863774
382203	1298	1996-09-10	VYDAJ	PREVOD NA UCET	5822	20298	SIPO	MN	11863774
382204	1298	1996-10-10	VYDAJ	PREVOD NA UCET	5822	20028	SIPO	MN	11863774
382205	1298	1996-11-10	VYDAJ	PREVOD NA UCET	5822	20055	SIPO	MN	11863774
382206	1298	1996-12-10	VYDAJ	PREVOD NA UCET	5822	17878	SIPO	MN	11863774
382207	1298	1997-01-10	VYDAJ	PREVOD NA UCET	5822	15529	SIPO	MN	11863774
382208	1298	1997-02-10	VYDAJ	PREVOD NA UCET	5822	18045	SIPO	MN	11863774
382209	1298	1997-03-10	VYDAJ	PREVOD NA UCET	5822	21161	SIPO	MN	11863774
382210	1298	1997-04-10	VYDAJ	PREVOD NA UCET	5822	19080	SIPO	MN	11863774
382211	1298	1997-05-10	VYDAJ	PREVOD NA UCET	5822	15790	SIPO	MN	11863774
382212	1298	1997-06-10	VYDAJ	PREVOD NA UCET	5822	18597	SIPO	MN	11863774
382213	1298	1997-07-10	VYDAJ	PREVOD NA UCET	5822	20940	SIPO	MN	11863774
382214	1298	1997-08-10	VYDAJ	PREVOD NA UCET	5822	20868	SIPO	MN	11863774
382215	1298	1997-09-10	VYDAJ	PREVOD NA UCET	5822	23602	SIPO	MN	11863774
382216	1298	1997-10-10	VYDAJ	PREVOD NA UCET	5822	25737	SIPO	MN	11863774
382217	1298	1997-11-10	VYDAJ	PREVOD NA UCET	5822	30788	SIPO	MN	11863774
382218	1298	1997-12-10	VYDAJ	PREVOD NA UCET	5822	25559	SIPO	MN	11863774
382219	1298	1998-01-10	VYDAJ	PREVOD NA UCET	5822	20867	SIPO	MN	11863774
382220	1298	1998-02-10	VYDAJ	PREVOD NA UCET	5822	18005	SIPO	MN	11863774
382221	1298	1998-03-10	VYDAJ	PREVOD NA UCET	5822	19027	SIPO	MN	11863774
382222	1298	1998-04-10	VYDAJ	PREVOD NA UCET	5822	17359	SIPO	MN	11863774
382223	1298	1998-05-10	VYDAJ	PREVOD NA UCET	5822	19389	SIPO	MN	11863774
382224	1298	1998-06-10	VYDAJ	PREVOD NA UCET	5822	18023	SIPO	MN	11863774
382225	1298	1998-07-10	VYDAJ	PREVOD NA UCET	5822	12377	SIPO	MN	11863774
382226	1298	1998-08-10	VYDAJ	PREVOD NA UCET	5822	15974	SIPO	MN	11863774
382227	1298	1998-09-10	VYDAJ	PREVOD NA UCET	5822	21392	SIPO	MN	11863774
382228	1298	1998-10-10	VYDAJ	PREVOD NA UCET	5822	23129	SIPO	MN	11863774
382229	1298	1998-11-10	VYDAJ	PREVOD NA UCET	5822	27579	SIPO	MN	11863774
382230	1298	1998-12-10	VYDAJ	PREVOD NA UCET	5822	27642	SIPO	MN	11863774
382233	1298	1998-06-25	VYDAJ	VYBER	20100	16592	\N	\N	\N
382234	1298	1996-12-01	VYDAJ	VYBER	2500	23700	\N	\N	\N
382235	1298	1997-12-30	VYDAJ	VYBER	800	43428	\N	\N	\N
382236	1298	1998-12-19	VYDAJ	VYBER	1200	40811	\N	\N	\N
382243	1298	1997-01-03	VYDAJ	VYBER	2400	26351	\N	\N	\N
382244	1298	1997-01-19	VYDAJ	VYBER	500	25975	\N	\N	\N
382245	1298	1997-01-09	VYDAJ	VYBER	2900	23451	\N	\N	\N
382246	1298	1997-01-30	VYDAJ	VYBER	1000	23775	\N	\N	\N
382247	1298	1997-01-03	VYDAJ	VYBER	1800	28751	\N	\N	\N
382248	1298	1997-01-10	VYDAJ	VYBER	2100	21351	\N	\N	\N
382249	1298	1998-01-06	VYDAJ	VYBER	2200	37689	\N	\N	\N
382250	1298	1998-01-02	VYDAJ	VYBER	2000	41589	\N	\N	\N
382251	1298	1998-01-15	VYDAJ	VYBER	700	32613	\N	\N	\N
382252	1298	1998-01-16	VYDAJ	VYBER	2000	30613	\N	\N	\N
382253	1298	1998-01-03	VYDAJ	VYBER	1700	39889	\N	\N	\N
382254	1298	1998-01-17	VYDAJ	VYBER	2300	28313	\N	\N	\N
382256	1298	1996-09-26	VYDAJ	VYBER	4400	26244	\N	\N	\N
382257	1298	1996-11-05	VYDAJ	VYBER	2900	25877	\N	\N	\N
382259	1298	1996-10-10	VYDAJ	VYBER	500	25850	\N	\N	\N
382260	1298	1996-09-14	VYDAJ	VYBER	1100	31644	\N	\N	\N
382261	1298	1996-11-24	VYDAJ	VYBER	2400	26101	\N	\N	\N
382262	1298	1996-09-06	VYDAJ	VYBER	4700	26120	\N	\N	\N
382263	1298	1997-08-27	VYDAJ	VYBER	4300	29314	\N	\N	\N
382264	1298	1997-01-29	VYDAJ	VYBER	1200	24775	\N	\N	\N
382265	1298	1997-09-26	VYDAJ	VYBER	500	31448	\N	\N	\N
382266	1298	1997-04-21	VYDAJ	VYBER	4900	21526	\N	\N	\N
382267	1298	1997-06-15	VYDAJ	VYBER	4100	26666	\N	\N	\N
382268	1298	1997-07-26	VYDAJ	VYBER	4400	26586	\N	\N	\N
382269	1298	1997-12-08	VYDAJ	VYBER	1700	39881	\N	\N	\N
382271	1298	1998-02-12	VYDAJ	VYBER	1700	16305	\N	\N	\N
382272	1298	1998-10-28	VYDAJ	VYBER	800	34775	\N	\N	\N
382273	1298	1998-02-07	VYDAJ	VYBER	600	27827	\N	\N	\N
382274	1298	1998-12-15	VYDAJ	VYBER	4300	42011	\N	\N	\N
382281	1298	1996-06-30	VYDAJ	VYBER	15	39910	SLUZBY	\N	\N
382282	1298	1996-07-31	VYDAJ	VYBER	15	32276	SLUZBY	\N	\N
382283	1298	1996-08-31	VYDAJ	VYBER	15	30820	SLUZBY	\N	\N
382284	1298	1996-09-30	VYDAJ	VYBER	15	26350	SLUZBY	\N	\N
382285	1298	1996-10-31	VYDAJ	VYBER	15	28777	SLUZBY	\N	\N
382286	1298	1996-11-30	VYDAJ	VYBER	15	26200	SLUZBY	\N	\N
382287	1298	1996-12-31	VYDAJ	VYBER	15	30551	SLUZBY	\N	\N
382288	1298	1997-01-31	VYDAJ	VYBER	15	23867	SLUZBY	\N	\N
382289	1298	1997-02-28	VYDAJ	VYBER	15	26983	SLUZBY	\N	\N
382290	1298	1997-03-31	VYDAJ	VYBER	15	24902	SLUZBY	\N	\N
382291	1298	1997-04-30	VYDAJ	VYBER	15	21612	SLUZBY	\N	\N
382292	1298	1997-05-31	VYDAJ	VYBER	15	24419	SLUZBY	\N	\N
382293	1298	1997-06-30	VYDAJ	VYBER	15	26762	SLUZBY	\N	\N
382294	1298	1997-07-31	VYDAJ	VYBER	15	26690	SLUZBY	\N	\N
382295	1298	1997-08-31	VYDAJ	VYBER	15	29424	SLUZBY	\N	\N
382296	1298	1997-09-30	VYDAJ	VYBER	15	31559	SLUZBY	\N	\N
382297	1298	1997-10-31	VYDAJ	VYBER	15	36610	SLUZBY	\N	\N
382298	1298	1997-11-30	VYDAJ	VYBER	15	41581	SLUZBY	\N	\N
382299	1298	1997-12-31	VYDAJ	VYBER	15	43589	SLUZBY	\N	\N
382300	1298	1998-01-31	VYDAJ	VYBER	15	28427	SLUZBY	\N	\N
382301	1298	1998-02-28	VYDAJ	VYBER	15	28849	SLUZBY	\N	\N
382302	1298	1998-03-31	VYDAJ	VYBER	15	31581	SLUZBY	\N	\N
382303	1298	1998-04-30	VYDAJ	VYBER	15	29911	SLUZBY	\N	\N
382304	1298	1998-05-31	VYDAJ	VYBER	15	31945	SLUZBY	\N	\N
382305	1298	1998-06-30	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
382306	1298	1998-07-31	VYDAJ	VYBER	15	24896	SLUZBY	\N	\N
382307	1298	1998-08-31	VYDAJ	VYBER	15	28514	SLUZBY	\N	\N
382308	1298	1998-09-30	VYDAJ	VYBER	15	33951	SLUZBY	\N	\N
382309	1298	1998-10-31	VYDAJ	VYBER	15	34901	SLUZBY	\N	\N
382310	1298	1998-11-30	VYDAJ	VYBER	15	40164	SLUZBY	\N	\N
382311	1298	1996-02-19	PRIJEM	VKLAD	8300	21146	\N	\N	\N
382312	1298	1996-03-20	VYDAJ	VYBER	5500	28125	\N	\N	\N
382313	1298	1996-04-19	VYDAJ	VYBER	5400	35271	\N	\N	\N
382314	1298	1996-05-19	VYDAJ	VYBER	10700	37146	\N	\N	\N
382315	1298	1996-06-18	VYDAJ	VYBER	16200	39765	\N	\N	\N
382316	1298	1996-07-18	VYDAJ	VYBER	14400	32134	\N	\N	\N
382317	1298	1996-08-17	VYDAJ	VYBER	8200	30700	\N	\N	\N
382318	1298	1996-09-16	VYDAJ	VYBER	1000	30644	\N	\N	\N
382319	1298	1996-10-16	VYDAJ	VYBER	3800	28674	\N	\N	\N
382320	1298	1996-11-15	VYDAJ	VYBER	4000	28501	\N	\N	\N
382321	1298	1996-12-15	VYDAJ	VYBER	6100	30447	\N	\N	\N
382322	1298	1997-01-14	VYDAJ	VYBER	1500	26475	\N	\N	\N
382323	1298	1997-02-13	VYDAJ	VYBER	3600	26891	\N	\N	\N
382324	1298	1997-03-15	VYDAJ	VYBER	8800	24807	\N	\N	\N
382325	1298	1997-04-14	VYDAJ	VYBER	5100	26426	\N	\N	\N
382326	1298	1997-05-14	VYDAJ	VYBER	3900	24336	\N	\N	\N
382327	1298	1997-06-13	VYDAJ	VYBER	6500	30766	\N	\N	\N
382328	1298	1997-07-13	VYDAJ	VYBER	2400	30986	\N	\N	\N
382329	1298	1997-08-12	PRIJEM	VKLAD	300	21168	\N	\N	\N
382330	1298	1997-09-11	VYDAJ	VYBER	4100	19502	\N	\N	\N
382331	1298	1997-10-11	VYDAJ	VYBER	1700	24037	\N	\N	\N
382332	1298	1997-11-10	VYDAJ	VYBER	1800	28988	\N	\N	\N
382333	1298	1997-12-10	VYDAJ	VYBER	8500	31381	\N	\N	\N
382334	1298	1998-01-09	VYDAJ	VYBER	11000	26689	\N	\N	\N
382335	1298	1998-02-08	VYDAJ	VYBER	4000	23827	\N	\N	\N
382336	1298	1998-03-10	VYDAJ	VYBER	4000	24849	\N	\N	\N
382337	1298	1998-04-09	VYDAJ	VYBER	8400	23181	\N	\N	\N
382338	1298	1998-05-09	VYDAJ	VYBER	4700	25211	\N	\N	\N
382339	1298	1998-06-08	VYDAJ	VYBER	8100	23845	\N	\N	\N
382340	1298	1998-07-08	PRIJEM	VKLAD	1500	18199	\N	\N	\N
382341	1298	1998-08-07	VYDAJ	VYBER	3100	21796	\N	\N	\N
382342	1298	1998-09-06	VYDAJ	VYBER	1300	27214	\N	\N	\N
382343	1298	1998-10-06	VYDAJ	VYBER	5000	28951	\N	\N	\N
382344	1298	1998-11-05	VYDAJ	VYBER	1500	33401	\N	\N	\N
382345	1298	1998-12-05	VYDAJ	VYBER	6700	33464	\N	\N	\N
382381	1299	1993-06-21	PRIJEM	VKLAD	200	200	\N	\N	\N
382388	1299	1993-07-08	PRIJEM	PREVOD Z UCTU	3913	4113	\N	CD	49405068
382389	1299	1993-08-08	PRIJEM	PREVOD Z UCTU	3913	16445	\N	CD	49405068
382390	1299	1993-09-08	PRIJEM	PREVOD Z UCTU	3913	25925	\N	CD	49405068
382391	1299	1993-10-08	PRIJEM	PREVOD Z UCTU	3913	27332	\N	CD	49405068
382392	1299	1993-11-08	PRIJEM	PREVOD Z UCTU	3913	29345	\N	CD	49405068
382393	1299	1993-12-08	PRIJEM	PREVOD Z UCTU	3913	29734	\N	CD	49405068
382394	1299	1994-01-08	PRIJEM	PREVOD Z UCTU	3913	27354	\N	CD	49405068
382395	1299	1994-02-08	PRIJEM	PREVOD Z UCTU	3913	27543	\N	CD	49405068
382396	1299	1994-03-08	PRIJEM	PREVOD Z UCTU	3913	31141	\N	CD	49405068
382397	1299	1994-04-08	PRIJEM	PREVOD Z UCTU	3913	30658	\N	CD	49405068
382398	1299	1994-05-08	PRIJEM	PREVOD Z UCTU	3913	29961	\N	CD	49405068
382399	1299	1994-06-08	PRIJEM	PREVOD Z UCTU	3913	28129	\N	CD	49405068
382400	1299	1994-07-08	PRIJEM	PREVOD Z UCTU	3913	27421	\N	CD	49405068
382401	1299	1994-08-08	PRIJEM	PREVOD Z UCTU	3913	30617	\N	CD	49405068
382402	1299	1994-09-08	PRIJEM	PREVOD Z UCTU	3913	30923	\N	CD	49405068
382403	1299	1994-10-08	PRIJEM	PREVOD Z UCTU	3913	31368	\N	CD	49405068
382404	1299	1994-11-08	PRIJEM	PREVOD Z UCTU	3913	29671	\N	CD	49405068
382405	1299	1994-12-08	PRIJEM	PREVOD Z UCTU	3913	30692	\N	CD	49405068
382406	1299	1995-01-08	PRIJEM	PREVOD Z UCTU	3913	27807	\N	CD	49405068
382407	1299	1995-02-08	PRIJEM	PREVOD Z UCTU	3913	26299	\N	CD	49405068
382408	1299	1995-03-08	PRIJEM	PREVOD Z UCTU	3913	25381	\N	CD	49405068
382409	1299	1995-04-08	PRIJEM	PREVOD Z UCTU	3913	24561	\N	CD	49405068
382410	1299	1995-05-08	PRIJEM	PREVOD Z UCTU	3913	26343	\N	CD	49405068
382411	1299	1995-06-08	PRIJEM	PREVOD Z UCTU	3913	23721	\N	CD	49405068
382412	1299	1995-07-08	PRIJEM	PREVOD Z UCTU	3913	23994	\N	CD	49405068
382413	1299	1995-08-08	PRIJEM	PREVOD Z UCTU	3913	22022	\N	CD	49405068
382414	1299	1995-09-08	PRIJEM	PREVOD Z UCTU	3913	23794	\N	CD	49405068
382415	1299	1995-10-08	PRIJEM	PREVOD Z UCTU	3913	25162	\N	CD	49405068
382416	1299	1995-11-08	PRIJEM	PREVOD Z UCTU	3913	24940	\N	CD	49405068
382417	1299	1995-12-08	PRIJEM	PREVOD Z UCTU	3913	25017	\N	CD	49405068
382418	1299	1996-01-08	PRIJEM	PREVOD Z UCTU	3913	18331	\N	CD	49405068
382419	1299	1996-02-08	PRIJEM	PREVOD Z UCTU	3913	18577	\N	CD	49405068
382420	1299	1996-03-08	PRIJEM	PREVOD Z UCTU	3913	16140	\N	CD	49405068
382421	1299	1996-04-08	PRIJEM	PREVOD Z UCTU	3913	17495	\N	CD	49405068
382422	1299	1996-05-08	PRIJEM	PREVOD Z UCTU	3913	18846	\N	CD	49405068
382423	1299	1996-06-08	PRIJEM	PREVOD Z UCTU	3913	16230	\N	CD	49405068
382424	1299	1996-07-08	PRIJEM	PREVOD Z UCTU	3913	17579	\N	CD	49405068
382425	1299	1996-08-08	PRIJEM	PREVOD Z UCTU	3913	18240	\N	CD	49405068
382426	1299	1996-09-08	PRIJEM	PREVOD Z UCTU	3913	19112	\N	CD	49405068
382427	1299	1996-10-08	PRIJEM	PREVOD Z UCTU	3913	20470	\N	CD	49405068
382428	1299	1996-11-08	PRIJEM	PREVOD Z UCTU	3913	16440	\N	CD	49405068
382429	1299	1996-12-08	PRIJEM	PREVOD Z UCTU	3913	17799	\N	CD	49405068
382430	1299	1997-01-08	PRIJEM	PREVOD Z UCTU	3913	18729	\N	CD	49405068
382431	1299	1997-02-08	PRIJEM	PREVOD Z UCTU	3913	20084	\N	CD	49405068
382432	1299	1997-03-08	PRIJEM	PREVOD Z UCTU	3913	21445	\N	CD	49405068
382433	1299	1997-04-08	PRIJEM	PREVOD Z UCTU	3913	22811	\N	CD	49405068
382434	1299	1997-05-08	PRIJEM	PREVOD Z UCTU	3913	24183	\N	CD	49405068
382435	1299	1997-06-08	PRIJEM	PREVOD Z UCTU	3913	25567	\N	CD	49405068
382436	1299	1997-07-08	PRIJEM	PREVOD Z UCTU	3913	22025	\N	CD	49405068
382437	1299	1997-08-08	PRIJEM	PREVOD Z UCTU	3913	23393	\N	CD	49405068
382438	1299	1997-09-08	PRIJEM	PREVOD Z UCTU	3913	23744	\N	CD	49405068
382439	1299	1997-10-08	PRIJEM	PREVOD Z UCTU	3913	24915	\N	CD	49405068
382440	1299	1997-11-08	PRIJEM	PREVOD Z UCTU	3913	23079	\N	CD	49405068
382441	1299	1997-12-08	PRIJEM	PREVOD Z UCTU	3913	23255	\N	CD	49405068
382442	1299	1998-01-08	PRIJEM	PREVOD Z UCTU	3913	24390	\N	CD	49405068
382443	1299	1998-02-08	PRIJEM	PREVOD Z UCTU	3913	24755	\N	CD	49405068
382444	1299	1998-03-08	PRIJEM	PREVOD Z UCTU	3913	26135	\N	CD	49405068
382445	1299	1998-04-08	PRIJEM	PREVOD Z UCTU	3913	27520	\N	CD	49405068
382446	1299	1998-05-08	PRIJEM	PREVOD Z UCTU	3913	27502	\N	CD	49405068
382447	1299	1998-06-08	PRIJEM	PREVOD Z UCTU	3913	21729	\N	CD	49405068
382448	1299	1998-07-08	PRIJEM	PREVOD Z UCTU	3913	23103	\N	CD	49405068
382449	1299	1998-08-08	PRIJEM	PREVOD Z UCTU	3913	24483	\N	CD	49405068
382450	1299	1998-09-08	PRIJEM	PREVOD Z UCTU	3913	25869	\N	CD	49405068
382451	1299	1998-10-08	PRIJEM	PREVOD Z UCTU	3913	27252	\N	CD	49405068
382452	1299	1998-11-08	PRIJEM	PREVOD Z UCTU	3913	28648	\N	CD	49405068
382453	1299	1998-12-08	PRIJEM	PREVOD Z UCTU	3913	29382	\N	CD	49405068
382464	1299	1993-11-08	VYDAJ	PREVOD NA UCET	317	26737	SIPO	CD	17364889
382465	1299	1993-12-08	VYDAJ	PREVOD NA UCET	317	27126	SIPO	CD	17364889
382466	1299	1994-01-08	VYDAJ	PREVOD NA UCET	317	27037	SIPO	CD	17364889
382467	1299	1994-02-08	VYDAJ	PREVOD NA UCET	317	27226	SIPO	CD	17364889
382468	1299	1994-03-08	VYDAJ	PREVOD NA UCET	317	30824	SIPO	CD	17364889
382469	1299	1994-04-08	VYDAJ	PREVOD NA UCET	317	28050	SIPO	CD	17364889
382470	1299	1994-05-08	VYDAJ	PREVOD NA UCET	317	29644	SIPO	CD	17364889
382471	1299	1994-06-08	VYDAJ	PREVOD NA UCET	317	25521	SIPO	CD	17364889
382472	1299	1994-07-08	VYDAJ	PREVOD NA UCET	317	27104	SIPO	CD	17364889
382473	1299	1994-08-08	VYDAJ	PREVOD NA UCET	317	28009	SIPO	CD	17364889
382474	1299	1994-09-08	VYDAJ	PREVOD NA UCET	317	30606	SIPO	CD	17364889
382475	1299	1994-10-08	VYDAJ	PREVOD NA UCET	317	28760	SIPO	CD	17364889
382476	1299	1994-11-08	VYDAJ	PREVOD NA UCET	317	29354	SIPO	CD	17364889
382477	1299	1994-12-08	VYDAJ	PREVOD NA UCET	317	30375	SIPO	CD	17364889
382478	1299	1995-01-08	VYDAJ	PREVOD NA UCET	317	25199	SIPO	CD	17364889
382479	1299	1995-02-08	VYDAJ	PREVOD NA UCET	317	25982	SIPO	CD	17364889
382480	1299	1995-03-08	VYDAJ	PREVOD NA UCET	317	25064	SIPO	CD	17364889
382481	1299	1995-04-08	VYDAJ	PREVOD NA UCET	317	21953	SIPO	CD	17364889
382482	1299	1995-05-08	VYDAJ	PREVOD NA UCET	317	26026	SIPO	CD	17364889
382483	1299	1995-06-08	VYDAJ	PREVOD NA UCET	317	23404	SIPO	CD	17364889
382484	1299	1995-07-08	VYDAJ	PREVOD NA UCET	317	23677	SIPO	CD	17364889
382485	1299	1995-08-08	VYDAJ	PREVOD NA UCET	317	21705	SIPO	CD	17364889
382486	1299	1995-09-08	VYDAJ	PREVOD NA UCET	317	23477	SIPO	CD	17364889
382487	1299	1995-10-08	VYDAJ	PREVOD NA UCET	317	24845	SIPO	CD	17364889
382488	1299	1995-11-08	VYDAJ	PREVOD NA UCET	317	21032	SIPO	CD	17364889
382489	1299	1995-12-08	VYDAJ	PREVOD NA UCET	317	24700	SIPO	CD	17364889
382490	1299	1996-01-08	VYDAJ	PREVOD NA UCET	317	15723	SIPO	CD	17364889
382491	1299	1996-02-08	VYDAJ	PREVOD NA UCET	317	18260	SIPO	CD	17364889
382492	1299	1996-03-08	VYDAJ	PREVOD NA UCET	317	15823	SIPO	CD	17364889
382493	1299	1996-04-08	VYDAJ	PREVOD NA UCET	317	14887	SIPO	CD	17364889
382494	1299	1996-05-08	VYDAJ	PREVOD NA UCET	317	16238	SIPO	CD	17364889
382495	1299	1996-06-08	VYDAJ	PREVOD NA UCET	317	13622	SIPO	CD	17364889
382496	1299	1996-07-08	VYDAJ	PREVOD NA UCET	317	17262	SIPO	CD	17364889
382497	1299	1996-08-08	VYDAJ	PREVOD NA UCET	317	17923	SIPO	CD	17364889
382498	1299	1996-09-08	VYDAJ	PREVOD NA UCET	317	16504	SIPO	CD	17364889
382499	1299	1996-10-08	VYDAJ	PREVOD NA UCET	317	17862	SIPO	CD	17364889
382500	1299	1996-11-08	VYDAJ	PREVOD NA UCET	317	13832	SIPO	CD	17364889
382501	1299	1996-12-08	VYDAJ	PREVOD NA UCET	317	15191	SIPO	CD	17364889
382502	1299	1997-01-08	VYDAJ	PREVOD NA UCET	317	18412	SIPO	CD	17364889
382503	1299	1997-02-08	VYDAJ	PREVOD NA UCET	317	19767	SIPO	CD	17364889
382504	1299	1997-03-08	VYDAJ	PREVOD NA UCET	317	21128	SIPO	CD	17364889
382505	1299	1997-04-08	VYDAJ	PREVOD NA UCET	317	20203	SIPO	CD	17364889
382506	1299	1997-05-08	VYDAJ	PREVOD NA UCET	317	23866	SIPO	CD	17364889
382507	1299	1997-06-08	VYDAJ	PREVOD NA UCET	317	25250	SIPO	CD	17364889
382508	1299	1997-07-08	VYDAJ	PREVOD NA UCET	317	19417	SIPO	CD	17364889
382509	1299	1997-08-08	VYDAJ	PREVOD NA UCET	317	23076	SIPO	CD	17364889
382510	1299	1997-09-08	VYDAJ	PREVOD NA UCET	317	21136	SIPO	CD	17364889
382511	1299	1997-10-08	VYDAJ	PREVOD NA UCET	317	24598	SIPO	CD	17364889
382512	1299	1997-11-08	VYDAJ	PREVOD NA UCET	317	22762	SIPO	CD	17364889
382513	1299	1997-12-08	VYDAJ	PREVOD NA UCET	317	22938	SIPO	CD	17364889
382514	1299	1998-01-08	VYDAJ	PREVOD NA UCET	317	20762	SIPO	CD	17364889
382515	1299	1998-02-08	VYDAJ	PREVOD NA UCET	317	22147	SIPO	CD	17364889
382516	1299	1998-03-08	VYDAJ	PREVOD NA UCET	317	25818	SIPO	CD	17364889
382517	1299	1998-04-08	VYDAJ	PREVOD NA UCET	317	24912	SIPO	CD	17364889
382518	1299	1998-05-08	VYDAJ	PREVOD NA UCET	317	27185	SIPO	CD	17364889
382519	1299	1998-06-08	VYDAJ	PREVOD NA UCET	317	19121	SIPO	CD	17364889
382520	1299	1998-07-08	VYDAJ	PREVOD NA UCET	317	22786	SIPO	CD	17364889
382521	1299	1998-08-08	VYDAJ	PREVOD NA UCET	317	21875	SIPO	CD	17364889
382522	1299	1998-09-08	VYDAJ	PREVOD NA UCET	317	25552	SIPO	CD	17364889
382523	1299	1998-10-08	VYDAJ	PREVOD NA UCET	317	26935	SIPO	CD	17364889
382524	1299	1998-11-08	VYDAJ	PREVOD NA UCET	317	26040	SIPO	CD	17364889
382525	1299	1998-12-08	VYDAJ	PREVOD NA UCET	317	29065	SIPO	CD	17364889
382536	1299	1993-11-08	VYDAJ	PREVOD NA UCET	2291	27054	 	GH	4791987
382537	1299	1993-12-08	VYDAJ	PREVOD NA UCET	2291	27443	 	GH	4791987
382538	1299	1994-01-08	VYDAJ	PREVOD NA UCET	2291	24746	 	GH	4791987
382539	1299	1994-02-08	VYDAJ	PREVOD NA UCET	2291	24935	 	GH	4791987
382540	1299	1994-03-08	VYDAJ	PREVOD NA UCET	2291	28533	 	GH	4791987
382541	1299	1994-04-08	VYDAJ	PREVOD NA UCET	2291	28367	 	GH	4791987
382542	1299	1994-05-08	VYDAJ	PREVOD NA UCET	2291	27353	 	GH	4791987
382543	1299	1994-06-08	VYDAJ	PREVOD NA UCET	2291	25838	 	GH	4791987
382544	1299	1994-07-08	VYDAJ	PREVOD NA UCET	2291	24813	 	GH	4791987
382545	1299	1994-08-08	VYDAJ	PREVOD NA UCET	2291	28326	 	GH	4791987
382546	1299	1994-09-08	VYDAJ	PREVOD NA UCET	2291	28315	 	GH	4791987
382547	1299	1994-10-08	VYDAJ	PREVOD NA UCET	2291	29077	 	GH	4791987
382548	1299	1994-11-08	VYDAJ	PREVOD NA UCET	2291	27063	 	GH	4791987
382549	1299	1994-12-08	VYDAJ	PREVOD NA UCET	2291	28084	 	GH	4791987
382550	1299	1995-01-08	VYDAJ	PREVOD NA UCET	2291	25516	 	GH	4791987
382551	1299	1995-02-08	VYDAJ	PREVOD NA UCET	2291	23691	 	GH	4791987
382552	1299	1995-03-08	VYDAJ	PREVOD NA UCET	2291	22773	 	GH	4791987
382553	1299	1995-04-08	VYDAJ	PREVOD NA UCET	2291	22270	 	GH	4791987
382554	1299	1995-05-08	VYDAJ	PREVOD NA UCET	2291	23735	 	GH	4791987
382555	1299	1995-06-08	VYDAJ	PREVOD NA UCET	2291	21113	 	GH	4791987
382556	1299	1995-07-08	VYDAJ	PREVOD NA UCET	2291	21386	 	GH	4791987
382557	1299	1995-08-08	VYDAJ	PREVOD NA UCET	2291	19414	 	GH	4791987
382558	1299	1995-09-08	VYDAJ	PREVOD NA UCET	2291	21186	 	GH	4791987
382559	1299	1995-10-08	VYDAJ	PREVOD NA UCET	2291	22554	 	GH	4791987
382560	1299	1995-11-08	VYDAJ	PREVOD NA UCET	2291	22649	 	GH	4791987
382561	1299	1995-12-08	VYDAJ	PREVOD NA UCET	2291	22409	 	GH	4791987
382562	1299	1996-01-08	VYDAJ	PREVOD NA UCET	2291	16040	 	GH	4791987
382563	1299	1996-02-08	VYDAJ	PREVOD NA UCET	2291	15969	 	GH	4791987
382564	1299	1996-03-08	VYDAJ	PREVOD NA UCET	2291	13532	 	GH	4791987
382565	1299	1996-04-08	VYDAJ	PREVOD NA UCET	2291	15204	 	GH	4791987
382566	1299	1996-05-08	VYDAJ	PREVOD NA UCET	2291	16555	 	GH	4791987
382567	1299	1996-06-08	VYDAJ	PREVOD NA UCET	2291	13939	 	GH	4791987
382568	1299	1996-07-08	VYDAJ	PREVOD NA UCET	2291	14971	 	GH	4791987
382569	1299	1996-08-08	VYDAJ	PREVOD NA UCET	2291	15632	 	GH	4791987
382570	1299	1996-09-08	VYDAJ	PREVOD NA UCET	2291	16821	 	GH	4791987
382571	1299	1996-10-08	VYDAJ	PREVOD NA UCET	2291	18179	 	GH	4791987
382572	1299	1996-11-08	VYDAJ	PREVOD NA UCET	2291	14149	 	GH	4791987
382573	1299	1996-12-08	VYDAJ	PREVOD NA UCET	2291	15508	 	GH	4791987
382574	1299	1997-01-08	VYDAJ	PREVOD NA UCET	2291	16121	 	GH	4791987
382575	1299	1997-02-08	VYDAJ	PREVOD NA UCET	2291	17476	 	GH	4791987
382576	1299	1997-03-08	VYDAJ	PREVOD NA UCET	2291	18837	 	GH	4791987
382577	1299	1997-04-08	VYDAJ	PREVOD NA UCET	2291	20520	 	GH	4791987
382578	1299	1997-05-08	VYDAJ	PREVOD NA UCET	2291	21575	 	GH	4791987
382579	1299	1997-06-08	VYDAJ	PREVOD NA UCET	2291	22959	 	GH	4791987
382580	1299	1997-07-08	VYDAJ	PREVOD NA UCET	2291	19734	 	GH	4791987
382581	1299	1997-08-08	VYDAJ	PREVOD NA UCET	2291	20785	 	GH	4791987
382582	1299	1997-09-08	VYDAJ	PREVOD NA UCET	2291	21453	 	GH	4791987
382583	1299	1997-10-08	VYDAJ	PREVOD NA UCET	2291	22307	 	GH	4791987
382584	1299	1997-11-08	VYDAJ	PREVOD NA UCET	2291	19271	 	GH	4791987
382585	1299	1997-12-08	VYDAJ	PREVOD NA UCET	2291	20647	 	GH	4791987
382586	1299	1998-01-08	VYDAJ	PREVOD NA UCET	2291	22099	 	GH	4791987
382587	1299	1998-02-08	VYDAJ	PREVOD NA UCET	2291	22464	 	GH	4791987
382588	1299	1998-03-08	VYDAJ	PREVOD NA UCET	2291	23527	 	GH	4791987
382589	1299	1998-04-08	VYDAJ	PREVOD NA UCET	2291	25229	 	GH	4791987
382590	1299	1998-05-08	VYDAJ	PREVOD NA UCET	2291	24894	 	GH	4791987
382591	1299	1998-06-08	VYDAJ	PREVOD NA UCET	2291	19438	 	GH	4791987
382592	1299	1998-07-08	VYDAJ	PREVOD NA UCET	2291	20495	 	GH	4791987
382593	1299	1998-08-08	VYDAJ	PREVOD NA UCET	2291	22192	 	GH	4791987
382594	1299	1998-09-08	VYDAJ	PREVOD NA UCET	2291	23261	 	GH	4791987
382595	1299	1998-10-08	VYDAJ	PREVOD NA UCET	2291	24644	 	GH	4791987
382596	1299	1998-11-08	VYDAJ	PREVOD NA UCET	2291	26357	 	GH	4791987
382597	1299	1998-12-08	VYDAJ	PREVOD NA UCET	2291	26774	 	GH	4791987
382599	1299	1994-06-19	VYDAJ	VYBER	2580	23421	\N	\N	\N
382602	1299	1997-06-18	VYDAJ	VYBER	4920	18039	\N	\N	\N
382603	1299	1998-06-07	VYDAJ	VYBER	7170	17816	\N	\N	\N
382604	1299	1993-12-28	VYDAJ	VYBER	780	23346	\N	\N	\N
382605	1299	1994-12-12	VYDAJ	VYBER	480	27604	\N	\N	\N
382606	1299	1995-12-12	VYDAJ	VYBER	840	16759	\N	\N	\N
382607	1299	1996-12-19	VYDAJ	VYBER	180	14771	\N	\N	\N
382608	1299	1997-12-15	VYDAJ	VYBER	240	20407	\N	\N	\N
382609	1299	1998-12-09	VYDAJ	VYBER	150	26624	\N	\N	\N
382613	1299	1993-11-16	VYDAJ	VYBER	1410	25327	\N	\N	\N
382615	1299	1994-09-10	VYDAJ	VYBER	960	27355	\N	\N	\N
382616	1299	1994-03-25	VYDAJ	VYBER	390	26643	\N	\N	\N
382617	1299	1994-11-09	VYDAJ	VYBER	180	26883	\N	\N	\N
382618	1299	1994-05-31	VYDAJ	VYBER	930	24231	\N	\N	\N
382619	1299	1994-06-15	VYDAJ	VYBER	1320	24201	\N	\N	\N
382620	1299	1995-02-07	VYDAJ	VYBER	300	22386	\N	\N	\N
382621	1299	1995-01-30	VYDAJ	VYBER	1200	22599	\N	\N	\N
382622	1299	1995-09-20	VYDAJ	VYBER	510	21176	\N	\N	\N
382623	1299	1995-07-08	VYDAJ	VYBER	1440	19946	\N	\N	\N
382624	1299	1995-12-10	VYDAJ	VYBER	510	17599	\N	\N	\N
382625	1299	1996-01-08	VYDAJ	VYBER	1110	14613	\N	\N	\N
382626	1299	1996-05-18	VYDAJ	VYBER	870	15368	\N	\N	\N
382627	1299	1996-08-15	VYDAJ	VYBER	480	15152	\N	\N	\N
382628	1299	1996-07-14	VYDAJ	VYBER	690	14281	\N	\N	\N
382629	1299	1996-12-15	VYDAJ	VYBER	240	14951	\N	\N	\N
382630	1299	1997-09-24	VYDAJ	VYBER	210	20926	\N	\N	\N
382631	1299	1997-10-16	VYDAJ	VYBER	1170	20237	\N	\N	\N
382632	1299	1997-08-09	VYDAJ	VYBER	1020	19765	\N	\N	\N
382633	1299	1997-10-13	VYDAJ	VYBER	900	21407	\N	\N	\N
382634	1299	1997-10-25	VYDAJ	VYBER	1140	19097	\N	\N	\N
382635	1299	1997-11-08	VYDAJ	VYBER	1200	21562	\N	\N	\N
382636	1299	1998-11-22	VYDAJ	VYBER	660	25380	\N	\N	\N
382637	1299	1998-01-08	VYDAJ	VYBER	1020	21079	\N	\N	\N
382638	1299	1998-04-30	VYDAJ	VYBER	1410	23589	\N	\N	\N
382639	1299	1998-12-12	VYDAJ	VYBER	1290	25334	\N	\N	\N
382651	1299	1993-11-30	VYDAJ	VYBER	15	25821	SLUZBY	\N	\N
382652	1299	1993-12-31	VYDAJ	VYBER	15	23441	SLUZBY	\N	\N
382653	1299	1994-01-31	VYDAJ	VYBER	15	23630	SLUZBY	\N	\N
382654	1299	1994-02-28	VYDAJ	VYBER	15	27228	SLUZBY	\N	\N
382655	1299	1994-03-31	VYDAJ	VYBER	15	26745	SLUZBY	\N	\N
382656	1299	1994-04-30	VYDAJ	VYBER	15	26048	SLUZBY	\N	\N
382657	1299	1994-05-31	VYDAJ	VYBER	15	24216	SLUZBY	\N	\N
382658	1299	1994-06-30	VYDAJ	VYBER	15	23508	SLUZBY	\N	\N
382659	1299	1994-07-31	VYDAJ	VYBER	15	26704	SLUZBY	\N	\N
382660	1299	1994-08-31	VYDAJ	VYBER	15	27010	SLUZBY	\N	\N
382661	1299	1994-09-30	VYDAJ	VYBER	15	27455	SLUZBY	\N	\N
382662	1299	1994-10-31	VYDAJ	VYBER	15	25758	SLUZBY	\N	\N
382663	1299	1994-11-30	VYDAJ	VYBER	15	26779	SLUZBY	\N	\N
382664	1299	1994-12-31	VYDAJ	VYBER	15	23894	SLUZBY	\N	\N
382665	1299	1995-01-31	VYDAJ	VYBER	15	22686	SLUZBY	\N	\N
382666	1299	1995-02-28	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
382667	1299	1995-03-31	VYDAJ	VYBER	15	20648	SLUZBY	\N	\N
382668	1299	1995-04-30	VYDAJ	VYBER	15	22430	SLUZBY	\N	\N
382669	1299	1995-05-31	VYDAJ	VYBER	15	19808	SLUZBY	\N	\N
382670	1299	1995-06-30	VYDAJ	VYBER	15	20081	SLUZBY	\N	\N
382671	1299	1995-07-31	VYDAJ	VYBER	15	18109	SLUZBY	\N	\N
382672	1299	1995-08-31	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
382673	1299	1995-09-30	VYDAJ	VYBER	15	21249	SLUZBY	\N	\N
382674	1299	1995-10-31	VYDAJ	VYBER	15	21027	SLUZBY	\N	\N
382675	1299	1995-11-30	VYDAJ	VYBER	15	21104	SLUZBY	\N	\N
382676	1299	1995-12-31	VYDAJ	VYBER	15	16818	SLUZBY	\N	\N
382677	1299	1996-01-31	VYDAJ	VYBER	15	14664	SLUZBY	\N	\N
382678	1299	1996-02-29	VYDAJ	VYBER	15	16027	SLUZBY	\N	\N
382679	1299	1996-03-31	VYDAJ	VYBER	15	13582	SLUZBY	\N	\N
382680	1299	1996-04-30	VYDAJ	VYBER	15	14933	SLUZBY	\N	\N
382681	1299	1996-05-31	VYDAJ	VYBER	15	15417	SLUZBY	\N	\N
382682	1299	1996-06-30	VYDAJ	VYBER	15	13666	SLUZBY	\N	\N
382683	1299	1996-07-31	VYDAJ	VYBER	15	14327	SLUZBY	\N	\N
382684	1299	1996-08-31	VYDAJ	VYBER	15	15199	SLUZBY	\N	\N
382685	1299	1996-09-30	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
382686	1299	1996-10-31	VYDAJ	VYBER	15	17927	SLUZBY	\N	\N
382687	1299	1996-11-30	VYDAJ	VYBER	15	13886	SLUZBY	\N	\N
382688	1299	1996-12-31	VYDAJ	VYBER	15	14816	SLUZBY	\N	\N
382689	1299	1997-01-31	VYDAJ	VYBER	15	16171	SLUZBY	\N	\N
382690	1299	1997-02-28	VYDAJ	VYBER	15	17532	SLUZBY	\N	\N
382691	1299	1997-03-31	VYDAJ	VYBER	15	18898	SLUZBY	\N	\N
382692	1299	1997-04-30	VYDAJ	VYBER	15	20270	SLUZBY	\N	\N
382693	1299	1997-05-31	VYDAJ	VYBER	15	21654	SLUZBY	\N	\N
382694	1299	1997-06-30	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
382695	1299	1997-07-31	VYDAJ	VYBER	15	19480	SLUZBY	\N	\N
382696	1299	1997-08-31	VYDAJ	VYBER	15	19831	SLUZBY	\N	\N
382697	1299	1997-09-30	VYDAJ	VYBER	15	21002	SLUZBY	\N	\N
382698	1299	1997-10-31	VYDAJ	VYBER	15	19166	SLUZBY	\N	\N
382699	1299	1997-11-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
382700	1299	1997-12-31	VYDAJ	VYBER	15	20477	SLUZBY	\N	\N
382701	1299	1998-01-31	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
382702	1299	1998-02-28	VYDAJ	VYBER	15	22222	SLUZBY	\N	\N
382703	1299	1998-03-31	VYDAJ	VYBER	15	23607	SLUZBY	\N	\N
382704	1299	1998-04-30	VYDAJ	VYBER	15	24999	SLUZBY	\N	\N
382705	1299	1998-05-31	VYDAJ	VYBER	15	24986	SLUZBY	\N	\N
382706	1299	1998-06-30	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
382707	1299	1998-07-31	VYDAJ	VYBER	15	20570	SLUZBY	\N	\N
382708	1299	1998-08-31	VYDAJ	VYBER	15	21956	SLUZBY	\N	\N
382709	1299	1998-09-30	VYDAJ	VYBER	15	23339	SLUZBY	\N	\N
382710	1299	1998-10-31	VYDAJ	VYBER	15	24735	SLUZBY	\N	\N
382711	1299	1998-11-30	VYDAJ	VYBER	15	25469	SLUZBY	\N	\N
382712	1299	1993-07-21	PRIJEM	VKLAD	8400	12513	\N	\N	\N
382713	1299	1993-08-20	PRIJEM	VKLAD	5500	21945	\N	\N	\N
382714	1299	1993-09-19	VYDAJ	VYBER	2600	23325	\N	\N	\N
382715	1299	1993-10-19	VYDAJ	VYBER	2000	25332	\N	\N	\N
382716	1299	1993-11-18	PRIJEM	VKLAD	400	25727	\N	\N	\N
382717	1299	1993-12-18	VYDAJ	VYBER	3000	24126	\N	\N	\N
382718	1299	1994-01-17	VYDAJ	VYBER	1200	23546	\N	\N	\N
382719	1299	1994-02-16	PRIJEM	VKLAD	2200	27135	\N	\N	\N
382720	1299	1994-03-18	VYDAJ	VYBER	1500	27033	\N	\N	\N
382721	1299	1994-04-17	VYDAJ	VYBER	2100	25950	\N	\N	\N
382722	1299	1994-05-17	VYDAJ	VYBER	2300	25053	\N	\N	\N
382723	1299	1994-06-16	PRIJEM	VKLAD	1800	26001	\N	\N	\N
382724	1299	1994-07-16	PRIJEM	VKLAD	1800	26613	\N	\N	\N
382725	1299	1994-08-15	VYDAJ	VYBER	1100	26909	\N	\N	\N
382726	1299	1994-10-14	VYDAJ	VYBER	3100	25660	\N	\N	\N
382727	1299	1994-11-13	VYDAJ	VYBER	200	26683	\N	\N	\N
382728	1299	1994-12-13	VYDAJ	VYBER	3800	23804	\N	\N	\N
382729	1299	1995-01-12	VYDAJ	VYBER	1400	23799	\N	\N	\N
382730	1299	1995-02-11	VYDAJ	VYBER	2300	21391	\N	\N	\N
382731	1299	1995-03-13	VYDAJ	VYBER	2200	20573	\N	\N	\N
382732	1299	1995-04-12	PRIJEM	VKLAD	400	22353	\N	\N	\N
382733	1299	1995-05-12	VYDAJ	VYBER	4000	19735	\N	\N	\N
382734	1299	1995-06-11	VYDAJ	VYBER	1100	20013	\N	\N	\N
382735	1299	1995-07-11	VYDAJ	VYBER	1900	18046	\N	\N	\N
382736	1299	1995-08-10	PRIJEM	VKLAD	400	19814	\N	\N	\N
382737	1299	1995-09-09	PRIJEM	VKLAD	500	21686	\N	\N	\N
382738	1299	1995-10-09	VYDAJ	VYBER	1600	20954	\N	\N	\N
382739	1299	1995-11-08	VYDAJ	VYBER	1300	21349	\N	\N	\N
382740	1299	1995-12-08	VYDAJ	VYBER	4300	18109	\N	\N	\N
382741	1299	1996-01-07	VYDAJ	VYBER	2400	14418	\N	\N	\N
382742	1299	1996-03-07	VYDAJ	VYBER	3800	12227	\N	\N	\N
382743	1299	1996-06-05	VYDAJ	VYBER	3100	12317	\N	\N	\N
382744	1299	1996-11-02	VYDAJ	VYBER	5400	12527	\N	\N	\N
382986	1301	1994-09-15	PRIJEM	VKLAD	600	600	\N	\N	\N
382987	1301	1994-10-31	PRIJEM	VKLAD	24724	37524	\N	\N	\N
382989	1301	1995-11-20	PRIJEM	VKLAD	46251	63886	\N	\N	\N
382990	1301	1995-07-15	PRIJEM	VKLAD	13516	31696	\N	\N	\N
382991	1301	1996-06-04	PRIJEM	VKLAD	9863	24627	\N	\N	\N
382992	1301	1996-07-01	PRIJEM	VKLAD	27670	46105	\N	\N	\N
382993	1301	1997-03-29	PRIJEM	VKLAD	44082	68476	\N	\N	\N
382994	1301	1997-02-23	PRIJEM	VKLAD	25162	39011	\N	\N	\N
382995	1301	1998-12-21	PRIJEM	VKLAD	11227	28748	\N	\N	\N
382996	1301	1998-11-23	PRIJEM	VKLAD	20868	35615	\N	\N	\N
383021	1301	1998-12-28	VYDAJ	VYBER	2800	17448	\N	\N	\N
383066	1301	1996-11-03	VYDAJ	VYBER	1350	14865	\N	\N	\N
383067	1301	1996-07-21	VYDAJ	VYBER	2000	26105	\N	\N	\N
383068	1301	1996-07-07	VYDAJ	VYBER	1100	28105	\N	\N	\N
383069	1301	1996-09-22	VYDAJ	VYBER	800	17489	\N	\N	\N
383070	1301	1996-07-26	VYDAJ	VYBER	300	25805	\N	\N	\N
383072	1301	1997-02-28	VYDAJ	VYBER	1000	38159	\N	\N	\N
383075	1301	1997-03-15	VYDAJ	VYBER	2250	24394	\N	\N	\N
383081	1301	1998-12-30	VYDAJ	VYBER	550	16898	\N	\N	\N
383113	1301	1996-07-31	VYDAJ	VYBER	15	25897	SLUZBY	\N	\N
383114	1301	1996-08-31	VYDAJ	VYBER	15	20889	SLUZBY	\N	\N
383115	1301	1996-09-30	VYDAJ	VYBER	15	17557	SLUZBY	\N	\N
383116	1301	1996-10-31	VYDAJ	VYBER	15	16215	SLUZBY	\N	\N
383117	1301	1996-11-30	VYDAJ	VYBER	15	14917	SLUZBY	\N	\N
383118	1301	1996-12-31	VYDAJ	VYBER	15	14464	SLUZBY	\N	\N
383119	1301	1997-01-31	VYDAJ	VYBER	15	14449	SLUZBY	\N	\N
383120	1301	1997-02-28	VYDAJ	VYBER	15	38144	SLUZBY	\N	\N
383121	1301	1997-03-31	VYDAJ	VYBER	15	68606	SLUZBY	\N	\N
383122	1301	1997-04-30	VYDAJ	VYBER	15	38072	SLUZBY	\N	\N
383123	1301	1997-05-31	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
383124	1301	1997-06-30	VYDAJ	VYBER	15	15291	SLUZBY	\N	\N
383125	1301	1997-07-31	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
383126	1301	1997-08-31	VYDAJ	VYBER	15	14186	SLUZBY	\N	\N
383127	1301	1997-09-30	VYDAJ	VYBER	15	14230	SLUZBY	\N	\N
383128	1301	1997-10-31	VYDAJ	VYBER	15	14215	SLUZBY	\N	\N
383129	1301	1997-11-30	VYDAJ	VYBER	15	14318	SLUZBY	\N	\N
383130	1301	1997-12-31	VYDAJ	VYBER	15	14361	SLUZBY	\N	\N
383131	1301	1998-01-31	VYDAJ	VYBER	15	14346	SLUZBY	\N	\N
383132	1301	1998-02-28	VYDAJ	VYBER	15	14453	SLUZBY	\N	\N
383133	1301	1998-03-31	VYDAJ	VYBER	15	14439	SLUZBY	\N	\N
383134	1301	1998-04-30	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
383135	1301	1998-05-31	VYDAJ	VYBER	15	14527	SLUZBY	\N	\N
383136	1301	1998-06-30	VYDAJ	VYBER	15	14630	SLUZBY	\N	\N
383137	1301	1998-07-31	VYDAJ	VYBER	15	14673	SLUZBY	\N	\N
383138	1301	1998-08-31	VYDAJ	VYBER	15	14658	SLUZBY	\N	\N
383139	1301	1998-09-30	VYDAJ	VYBER	15	14761	SLUZBY	\N	\N
383140	1301	1998-10-31	VYDAJ	VYBER	15	14747	SLUZBY	\N	\N
383141	1301	1998-11-30	VYDAJ	VYBER	15	17521	SLUZBY	\N	\N
383142	1301	1994-10-15	PRIJEM	VKLAD	12200	12800	\N	\N	\N
383143	1301	1994-11-14	VYDAJ	VYBER	6600	30929	\N	\N	\N
383144	1301	1994-12-14	VYDAJ	VYBER	2900	28185	\N	\N	\N
383145	1301	1995-01-13	VYDAJ	VYBER	3400	24942	\N	\N	\N
383146	1301	1995-02-12	VYDAJ	VYBER	900	24198	\N	\N	\N
383147	1301	1995-03-14	VYDAJ	VYBER	3000	21354	\N	\N	\N
383148	1301	1995-04-13	VYDAJ	VYBER	2200	19311	\N	\N	\N
383149	1301	1995-05-13	PRIJEM	VKLAD	1900	21367	\N	\N	\N
383150	1301	1995-06-12	VYDAJ	VYBER	2500	19024	\N	\N	\N
383151	1301	1995-07-12	VYDAJ	VYBER	1000	18180	\N	\N	\N
383152	1301	1995-08-11	VYDAJ	VYBER	8600	23239	\N	\N	\N
383153	1301	1995-09-10	VYDAJ	VYBER	6100	17271	\N	\N	\N
383154	1301	1995-10-10	VYDAJ	VYBER	2000	15403	\N	\N	\N
383155	1301	1995-11-09	PRIJEM	VKLAD	2100	17635	\N	\N	\N
383156	1301	1995-12-09	VYDAJ	VYBER	24300	39767	\N	\N	\N
383157	1301	1996-01-08	VYDAJ	VYBER	12200	27833	\N	\N	\N
383158	1301	1996-02-07	VYDAJ	VYBER	6200	21900	\N	\N	\N
383159	1301	1996-03-08	VYDAJ	VYBER	4300	17866	\N	\N	\N
383160	1301	1996-04-07	VYDAJ	VYBER	4100	14032	\N	\N	\N
383161	1301	1996-05-07	PRIJEM	VKLAD	200	14498	\N	\N	\N
383162	1301	1996-06-06	VYDAJ	VYBER	6300	18327	\N	\N	\N
383163	1301	1996-07-06	VYDAJ	VYBER	16900	29205	\N	\N	\N
383164	1301	1996-08-05	VYDAJ	VYBER	5100	20797	\N	\N	\N
383165	1301	1996-09-04	VYDAJ	VYBER	2600	18289	\N	\N	\N
383166	1301	1996-10-04	VYDAJ	VYBER	1400	16157	\N	\N	\N
383167	1301	1996-12-03	VYDAJ	VYBER	500	14417	\N	\N	\N
383168	1301	1997-02-01	VYDAJ	VYBER	600	13849	\N	\N	\N
383169	1301	1997-03-03	VYDAJ	VYBER	11500	26644	\N	\N	\N
383170	1301	1997-04-02	VYDAJ	VYBER	30800	37806	\N	\N	\N
383171	1301	1997-05-02	VYDAJ	VYBER	15500	22572	\N	\N	\N
383172	1301	1997-06-01	VYDAJ	VYBER	7500	15213	\N	\N	\N
383173	1301	1997-08-30	VYDAJ	VYBER	1200	14139	\N	\N	\N
383174	1301	1998-11-23	VYDAJ	VYBER	18200	17415	\N	\N	\N
383175	1301	1998-12-23	VYDAJ	VYBER	8500	20248	\N	\N	\N
383227	1302	1993-11-21	PRIJEM	VKLAD	800	800	\N	\N	\N
383239	1302	1993-12-12	PRIJEM	PREVOD Z UCTU	6090	6890	DUCHOD	UV	14724636
383240	1302	1994-01-12	PRIJEM	PREVOD Z UCTU	6090	12980	DUCHOD	UV	14724636
383241	1302	1994-02-12	PRIJEM	PREVOD Z UCTU	6090	19070	DUCHOD	UV	14724636
383242	1302	1994-03-12	PRIJEM	PREVOD Z UCTU	6090	25160	DUCHOD	UV	14724636
383243	1302	1994-04-12	PRIJEM	PREVOD Z UCTU	6090	31250	DUCHOD	UV	14724636
383244	1302	1994-05-12	PRIJEM	PREVOD Z UCTU	6090	30645	DUCHOD	UV	14724636
383245	1302	1994-06-12	PRIJEM	PREVOD Z UCTU	6090	31018	DUCHOD	UV	14724636
383246	1302	1994-07-12	PRIJEM	PREVOD Z UCTU	6090	15821	DUCHOD	UV	14724636
383247	1302	1994-08-12	PRIJEM	PREVOD Z UCTU	6090	18035	DUCHOD	UV	14724636
383248	1302	1994-09-12	PRIJEM	PREVOD Z UCTU	6090	20258	DUCHOD	UV	14724636
383249	1302	1994-10-12	PRIJEM	PREVOD Z UCTU	6090	19685	DUCHOD	UV	14724636
383250	1302	1994-11-12	PRIJEM	PREVOD Z UCTU	6090	21915	DUCHOD	UV	14724636
383251	1302	1994-12-12	PRIJEM	PREVOD Z UCTU	6090	20467	DUCHOD	UV	14724636
383252	1302	1995-01-12	PRIJEM	PREVOD Z UCTU	6090	17438	DUCHOD	UV	14724636
383253	1302	1995-02-12	PRIJEM	PREVOD Z UCTU	6090	14849	DUCHOD	UV	14724636
383254	1302	1995-03-12	PRIJEM	PREVOD Z UCTU	6090	15456	DUCHOD	UV	14724636
383255	1302	1995-04-12	PRIJEM	PREVOD Z UCTU	6090	17668	DUCHOD	UV	14724636
383256	1302	1995-05-12	PRIJEM	PREVOD Z UCTU	6090	19890	DUCHOD	UV	14724636
383257	1302	1995-06-12	PRIJEM	PREVOD Z UCTU	6090	22121	DUCHOD	UV	14724636
383258	1302	1995-07-12	PRIJEM	PREVOD Z UCTU	6090	24361	DUCHOD	UV	14724636
383259	1302	1995-08-12	PRIJEM	PREVOD Z UCTU	6090	26610	DUCHOD	UV	14724636
383260	1302	1995-09-12	PRIJEM	PREVOD Z UCTU	6090	28869	DUCHOD	UV	14724636
383261	1302	1995-10-12	PRIJEM	PREVOD Z UCTU	6090	27074	DUCHOD	UV	14724636
383262	1302	1995-11-12	PRIJEM	PREVOD Z UCTU	6090	27052	DUCHOD	UV	14724636
383263	1302	1995-12-12	PRIJEM	PREVOD Z UCTU	6090	29314	DUCHOD	UV	14724636
383264	1302	1996-01-12	PRIJEM	PREVOD Z UCTU	6090	21520	DUCHOD	UV	14724636
383265	1302	1996-02-12	PRIJEM	PREVOD Z UCTU	6090	16865	DUCHOD	UV	14724636
383266	1302	1996-03-12	PRIJEM	PREVOD Z UCTU	6090	19083	DUCHOD	UV	14724636
383267	1302	1996-04-12	PRIJEM	PREVOD Z UCTU	6090	20830	DUCHOD	UV	14724636
383268	1302	1996-05-12	PRIJEM	PREVOD Z UCTU	6090	23065	DUCHOD	UV	14724636
383269	1302	1996-06-12	PRIJEM	PREVOD Z UCTU	6090	25309	DUCHOD	UV	14724636
383270	1302	1996-07-12	PRIJEM	PREVOD Z UCTU	6090	25257	DUCHOD	UV	14724636
383271	1302	1996-08-12	PRIJEM	PREVOD Z UCTU	6090	27510	DUCHOD	UV	14724636
383272	1302	1996-09-12	PRIJEM	PREVOD Z UCTU	6090	27607	DUCHOD	UV	14724636
383273	1302	1996-10-12	PRIJEM	PREVOD Z UCTU	6090	24263	DUCHOD	UV	14724636
383274	1302	1996-11-12	PRIJEM	PREVOD Z UCTU	6090	26515	DUCHOD	UV	14724636
383275	1302	1996-12-12	PRIJEM	PREVOD Z UCTU	6090	28473	DUCHOD	UV	14724636
383276	1302	1997-01-12	PRIJEM	PREVOD Z UCTU	6090	30739	DUCHOD	UV	14724636
383277	1302	1997-02-12	PRIJEM	PREVOD Z UCTU	6090	19102	DUCHOD	UV	14724636
383278	1302	1997-03-12	PRIJEM	PREVOD Z UCTU	6090	21328	DUCHOD	UV	14724636
383279	1302	1997-04-12	PRIJEM	PREVOD Z UCTU	6090	20762	DUCHOD	UV	14724636
383280	1302	1997-05-12	PRIJEM	PREVOD Z UCTU	6090	22515	DUCHOD	UV	14724636
383281	1302	1997-06-12	PRIJEM	PREVOD Z UCTU	6090	24756	DUCHOD	UV	14724636
383282	1302	1997-07-12	PRIJEM	PREVOD Z UCTU	6090	24685	DUCHOD	UV	14724636
383283	1302	1997-08-12	PRIJEM	PREVOD Z UCTU	6090	25491	DUCHOD	UV	14724636
383284	1302	1997-09-12	PRIJEM	PREVOD Z UCTU	6090	26383	DUCHOD	UV	14724636
383285	1302	1997-10-12	PRIJEM	PREVOD Z UCTU	6090	28640	DUCHOD	UV	14724636
383286	1302	1997-11-12	PRIJEM	PREVOD Z UCTU	6090	30906	DUCHOD	UV	14724636
383287	1302	1997-12-12	PRIJEM	PREVOD Z UCTU	6090	33182	DUCHOD	UV	14724636
383288	1302	1998-01-12	PRIJEM	PREVOD Z UCTU	6090	29956	DUCHOD	UV	14724636
383289	1302	1998-02-12	PRIJEM	PREVOD Z UCTU	6090	26851	DUCHOD	UV	14724636
383290	1302	1998-03-12	PRIJEM	PREVOD Z UCTU	6090	29109	DUCHOD	UV	14724636
383291	1302	1998-04-12	PRIJEM	PREVOD Z UCTU	6090	31377	DUCHOD	UV	14724636
383292	1302	1998-05-12	PRIJEM	PREVOD Z UCTU	6090	33655	DUCHOD	UV	14724636
383293	1302	1998-06-12	PRIJEM	PREVOD Z UCTU	6090	29381	DUCHOD	UV	14724636
383294	1302	1998-07-12	PRIJEM	PREVOD Z UCTU	6090	27811	DUCHOD	UV	14724636
383295	1302	1998-08-12	PRIJEM	PREVOD Z UCTU	6090	30073	DUCHOD	UV	14724636
383410	1302	1996-01-05	VYDAJ	VYBER	2000	19354	\N	\N	\N
383296	1302	1998-09-12	PRIJEM	PREVOD Z UCTU	6090	32345	DUCHOD	UV	14724636
383297	1302	1998-10-12	PRIJEM	PREVOD Z UCTU	6090	34626	DUCHOD	UV	14724636
383298	1302	1998-11-12	PRIJEM	PREVOD Z UCTU	6090	36916	DUCHOD	UV	14724636
383299	1302	1998-12-12	PRIJEM	PREVOD Z UCTU	6090	35305	DUCHOD	UV	14724636
383316	1302	1994-05-11	VYDAJ	PREVOD NA UCET	3924	24555	SIPO	UV	38729328
383317	1302	1994-06-11	VYDAJ	PREVOD NA UCET	3924	24928	SIPO	UV	38729328
383318	1302	1994-07-11	VYDAJ	PREVOD NA UCET	3924	9731	SIPO	UV	38729328
383319	1302	1994-08-11	VYDAJ	PREVOD NA UCET	3924	11945	SIPO	UV	38729328
383320	1302	1994-09-11	VYDAJ	PREVOD NA UCET	3924	14168	SIPO	UV	38729328
383321	1302	1994-10-11	VYDAJ	PREVOD NA UCET	3924	13595	SIPO	UV	38729328
383322	1302	1994-11-11	VYDAJ	PREVOD NA UCET	3924	15825	SIPO	UV	38729328
383323	1302	1994-12-11	VYDAJ	PREVOD NA UCET	3924	14377	SIPO	UV	38729328
383324	1302	1995-01-11	VYDAJ	PREVOD NA UCET	3924	11348	SIPO	UV	38729328
383325	1302	1995-02-11	VYDAJ	PREVOD NA UCET	3924	8759	SIPO	UV	38729328
383326	1302	1995-03-11	VYDAJ	PREVOD NA UCET	3924	9366	SIPO	UV	38729328
383327	1302	1995-04-11	VYDAJ	PREVOD NA UCET	3924	11578	SIPO	UV	38729328
383328	1302	1995-05-11	VYDAJ	PREVOD NA UCET	3924	13800	SIPO	UV	38729328
383329	1302	1995-06-11	VYDAJ	PREVOD NA UCET	3924	16031	SIPO	UV	38729328
383330	1302	1995-07-11	VYDAJ	PREVOD NA UCET	3924	18271	SIPO	UV	38729328
383331	1302	1995-08-11	VYDAJ	PREVOD NA UCET	3924	20520	SIPO	UV	38729328
383332	1302	1995-09-11	VYDAJ	PREVOD NA UCET	3924	22779	SIPO	UV	38729328
383333	1302	1995-10-11	VYDAJ	PREVOD NA UCET	3924	20984	SIPO	UV	38729328
383334	1302	1995-11-11	VYDAJ	PREVOD NA UCET	3924	20962	SIPO	UV	38729328
383335	1302	1995-12-11	VYDAJ	PREVOD NA UCET	3924	23224	SIPO	UV	38729328
383336	1302	1996-01-11	VYDAJ	PREVOD NA UCET	3924	15430	SIPO	UV	38729328
383337	1302	1996-02-11	VYDAJ	PREVOD NA UCET	3924	10775	SIPO	UV	38729328
383338	1302	1996-03-11	VYDAJ	PREVOD NA UCET	3924	12993	SIPO	UV	38729328
383339	1302	1996-04-11	VYDAJ	PREVOD NA UCET	3924	14740	SIPO	UV	38729328
383340	1302	1996-05-11	VYDAJ	PREVOD NA UCET	3924	16975	SIPO	UV	38729328
383341	1302	1996-06-11	VYDAJ	PREVOD NA UCET	3924	19219	SIPO	UV	38729328
383342	1302	1996-07-11	VYDAJ	PREVOD NA UCET	3924	19167	SIPO	UV	38729328
383343	1302	1996-08-11	VYDAJ	PREVOD NA UCET	3924	21420	SIPO	UV	38729328
383344	1302	1996-09-11	VYDAJ	PREVOD NA UCET	3924	21517	SIPO	UV	38729328
383345	1302	1996-10-11	VYDAJ	PREVOD NA UCET	3924	18173	SIPO	UV	38729328
383346	1302	1996-11-11	VYDAJ	PREVOD NA UCET	3924	20425	SIPO	UV	38729328
383347	1302	1996-12-11	VYDAJ	PREVOD NA UCET	3924	22383	SIPO	UV	38729328
383348	1302	1997-01-11	VYDAJ	PREVOD NA UCET	3924	24649	SIPO	UV	38729328
383349	1302	1997-02-11	VYDAJ	PREVOD NA UCET	3924	13012	SIPO	UV	38729328
383350	1302	1997-03-11	VYDAJ	PREVOD NA UCET	3924	15238	SIPO	UV	38729328
383351	1302	1997-04-11	VYDAJ	PREVOD NA UCET	3924	14672	SIPO	UV	38729328
383352	1302	1997-05-11	VYDAJ	PREVOD NA UCET	3924	16425	SIPO	UV	38729328
383353	1302	1997-06-11	VYDAJ	PREVOD NA UCET	3924	18666	SIPO	UV	38729328
383354	1302	1997-07-11	VYDAJ	PREVOD NA UCET	3924	18595	SIPO	UV	38729328
383355	1302	1997-08-11	VYDAJ	PREVOD NA UCET	3924	19401	SIPO	UV	38729328
383356	1302	1997-09-11	VYDAJ	PREVOD NA UCET	3924	20293	SIPO	UV	38729328
383357	1302	1997-10-11	VYDAJ	PREVOD NA UCET	3924	22550	SIPO	UV	38729328
383358	1302	1997-11-11	VYDAJ	PREVOD NA UCET	3924	24816	SIPO	UV	38729328
383359	1302	1997-12-11	VYDAJ	PREVOD NA UCET	3924	27092	SIPO	UV	38729328
383360	1302	1998-01-11	VYDAJ	PREVOD NA UCET	3924	23866	SIPO	UV	38729328
383361	1302	1998-02-11	VYDAJ	PREVOD NA UCET	3924	20761	SIPO	UV	38729328
383362	1302	1998-03-11	VYDAJ	PREVOD NA UCET	3924	23019	SIPO	UV	38729328
383363	1302	1998-04-11	VYDAJ	PREVOD NA UCET	3924	25287	SIPO	UV	38729328
383364	1302	1998-05-11	VYDAJ	PREVOD NA UCET	3924	27565	SIPO	UV	38729328
383365	1302	1998-06-11	VYDAJ	PREVOD NA UCET	3924	23291	SIPO	UV	38729328
383366	1302	1998-07-11	VYDAJ	PREVOD NA UCET	3924	21721	SIPO	UV	38729328
383367	1302	1998-08-11	VYDAJ	PREVOD NA UCET	3924	23983	SIPO	UV	38729328
383368	1302	1998-09-11	VYDAJ	PREVOD NA UCET	3924	26255	SIPO	UV	38729328
383369	1302	1998-10-11	VYDAJ	PREVOD NA UCET	3924	28536	SIPO	UV	38729328
383370	1302	1998-11-11	VYDAJ	PREVOD NA UCET	3924	30826	SIPO	UV	38729328
383371	1302	1998-12-11	VYDAJ	PREVOD NA UCET	3924	29215	SIPO	UV	38729328
383373	1302	1994-06-22	VYDAJ	VYBER	12050	13568	\N	\N	\N
383375	1302	1996-06-16	VYDAJ	VYBER	2300	23009	\N	\N	\N
383377	1302	1998-06-10	VYDAJ	VYBER	4000	27215	\N	\N	\N
383380	1302	1995-01-06	VYDAJ	VYBER	3200	15272	\N	\N	\N
383381	1302	1996-01-04	VYDAJ	VYBER	4950	21354	\N	\N	\N
383382	1302	1997-01-17	VYDAJ	VYBER	2050	24689	\N	\N	\N
383383	1302	1998-01-21	VYDAJ	VYBER	1450	24586	\N	\N	\N
383385	1302	1994-12-15	VYDAJ	VYBER	1100	19367	\N	\N	\N
383386	1302	1995-12-12	VYDAJ	VYBER	1350	27964	\N	\N	\N
383387	1302	1996-12-04	VYDAJ	VYBER	300	26307	\N	\N	\N
383388	1302	1997-12-23	VYDAJ	VYBER	550	32632	\N	\N	\N
383389	1302	1998-12-05	VYDAJ	VYBER	1050	35299	\N	\N	\N
383402	1302	1995-01-18	VYDAJ	VYBER	1040	12638	\N	\N	\N
383403	1302	1995-01-13	VYDAJ	VYBER	640	15278	\N	\N	\N
383404	1302	1995-01-12	VYDAJ	VYBER	1520	15918	\N	\N	\N
383405	1302	1995-01-14	VYDAJ	VYBER	1600	13678	\N	\N	\N
383406	1302	1995-01-05	VYDAJ	VYBER	960	18472	\N	\N	\N
383408	1302	1996-01-14	VYDAJ	VYBER	1760	16080	\N	\N	\N
383409	1302	1996-01-02	VYDAJ	VYBER	1760	26304	\N	\N	\N
383412	1302	1996-01-22	VYDAJ	VYBER	1440	14640	\N	\N	\N
383413	1302	1996-01-13	VYDAJ	VYBER	2000	17840	\N	\N	\N
383414	1302	1997-01-22	VYDAJ	VYBER	1760	22929	\N	\N	\N
383415	1302	1997-01-16	VYDAJ	VYBER	1360	26739	\N	\N	\N
383416	1302	1997-01-26	VYDAJ	VYBER	1280	16849	\N	\N	\N
383417	1302	1997-01-25	VYDAJ	VYBER	1360	19489	\N	\N	\N
383418	1302	1997-01-23	VYDAJ	VYBER	2080	20849	\N	\N	\N
383419	1302	1997-01-25	VYDAJ	VYBER	1360	18129	\N	\N	\N
383420	1302	1998-01-17	VYDAJ	VYBER	2320	27636	\N	\N	\N
383421	1302	1998-01-18	VYDAJ	VYBER	480	27156	\N	\N	\N
383422	1302	1998-01-11	VYDAJ	VYBER	1840	27790	\N	\N	\N
383423	1302	1998-01-03	VYDAJ	VYBER	1680	29630	\N	\N	\N
383424	1302	1998-01-02	VYDAJ	VYBER	1440	31310	\N	\N	\N
383425	1302	1998-01-20	VYDAJ	VYBER	1120	26036	\N	\N	\N
383430	1302	1994-06-15	VYDAJ	VYBER	400	30618	\N	\N	\N
383431	1302	1994-11-16	VYDAJ	VYBER	3680	18235	\N	\N	\N
383432	1302	1994-09-16	VYDAJ	VYBER	2800	17458	\N	\N	\N
383434	1302	1995-02-15	VYDAJ	VYBER	1600	13249	\N	\N	\N
383435	1302	1995-10-17	VYDAJ	VYBER	720	25754	\N	\N	\N
383436	1302	1995-11-05	VYDAJ	VYBER	960	24886	\N	\N	\N
383437	1302	1995-09-25	VYDAJ	VYBER	3360	24809	\N	\N	\N
383438	1302	1996-10-10	VYDAJ	VYBER	2320	22097	\N	\N	\N
383439	1302	1996-08-13	VYDAJ	VYBER	2160	25350	\N	\N	\N
383440	1302	1996-04-09	VYDAJ	VYBER	480	18664	\N	\N	\N
383441	1302	1996-09-17	VYDAJ	VYBER	3280	24327	\N	\N	\N
383442	1302	1996-01-12	VYDAJ	VYBER	1680	19840	\N	\N	\N
383443	1302	1997-04-22	VYDAJ	VYBER	480	20282	\N	\N	\N
383444	1302	1997-06-26	VYDAJ	VYBER	2320	22436	\N	\N	\N
383445	1302	1997-08-24	VYDAJ	VYBER	1360	24131	\N	\N	\N
383446	1302	1997-07-14	VYDAJ	VYBER	1440	23245	\N	\N	\N
383447	1302	1997-01-12	VYDAJ	VYBER	2640	28099	\N	\N	\N
383448	1302	1997-03-24	VYDAJ	VYBER	2800	18528	\N	\N	\N
383449	1302	1998-06-18	VYDAJ	VYBER	3840	25541	\N	\N	\N
383450	1302	1998-12-09	VYDAJ	VYBER	2160	33139	\N	\N	\N
383451	1302	1998-06-04	VYDAJ	VYBER	2560	31215	\N	\N	\N
383468	1302	1994-04-30	VYDAJ	VYBER	15	28479	SLUZBY	\N	\N
383469	1302	1994-05-31	VYDAJ	VYBER	15	28852	SLUZBY	\N	\N
383470	1302	1994-06-30	VYDAJ	VYBER	15	13655	SLUZBY	\N	\N
383471	1302	1994-07-31	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
383472	1302	1994-08-31	VYDAJ	VYBER	15	18092	SLUZBY	\N	\N
383473	1302	1994-09-30	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
383474	1302	1994-10-31	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
383475	1302	1994-11-30	VYDAJ	VYBER	15	18301	SLUZBY	\N	\N
383476	1302	1994-12-31	VYDAJ	VYBER	15	19432	SLUZBY	\N	\N
383477	1302	1995-01-31	VYDAJ	VYBER	15	12683	SLUZBY	\N	\N
383478	1302	1995-02-28	VYDAJ	VYBER	15	13290	SLUZBY	\N	\N
383479	1302	1995-03-31	VYDAJ	VYBER	15	15502	SLUZBY	\N	\N
383480	1302	1995-04-30	VYDAJ	VYBER	15	17724	SLUZBY	\N	\N
383481	1302	1995-05-31	VYDAJ	VYBER	15	19955	SLUZBY	\N	\N
383482	1302	1995-06-30	VYDAJ	VYBER	15	22195	SLUZBY	\N	\N
383483	1302	1995-07-31	VYDAJ	VYBER	15	24444	SLUZBY	\N	\N
383484	1302	1995-08-31	VYDAJ	VYBER	15	26703	SLUZBY	\N	\N
383485	1302	1995-09-30	VYDAJ	VYBER	15	24908	SLUZBY	\N	\N
383486	1302	1995-10-31	VYDAJ	VYBER	15	25846	SLUZBY	\N	\N
383487	1302	1995-11-30	VYDAJ	VYBER	15	27148	SLUZBY	\N	\N
383488	1302	1995-12-31	VYDAJ	VYBER	15	28064	SLUZBY	\N	\N
383489	1302	1996-01-31	VYDAJ	VYBER	15	14699	SLUZBY	\N	\N
383490	1302	1996-02-29	VYDAJ	VYBER	15	16917	SLUZBY	\N	\N
383491	1302	1996-03-31	VYDAJ	VYBER	15	19144	SLUZBY	\N	\N
383492	1302	1996-04-30	VYDAJ	VYBER	15	20899	SLUZBY	\N	\N
383493	1302	1996-05-31	VYDAJ	VYBER	15	23143	SLUZBY	\N	\N
383494	1302	1996-06-30	VYDAJ	VYBER	15	23091	SLUZBY	\N	\N
383495	1302	1996-07-31	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
383496	1302	1996-08-31	VYDAJ	VYBER	15	25441	SLUZBY	\N	\N
383497	1302	1996-09-30	VYDAJ	VYBER	15	24417	SLUZBY	\N	\N
383498	1302	1996-10-31	VYDAJ	VYBER	15	24349	SLUZBY	\N	\N
383499	1302	1996-11-30	VYDAJ	VYBER	15	26607	SLUZBY	\N	\N
383500	1302	1996-12-31	VYDAJ	VYBER	15	28573	SLUZBY	\N	\N
383501	1302	1997-01-31	VYDAJ	VYBER	15	16936	SLUZBY	\N	\N
383502	1302	1997-02-28	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
383503	1302	1997-03-31	VYDAJ	VYBER	15	18596	SLUZBY	\N	\N
383504	1302	1997-04-30	VYDAJ	VYBER	15	20349	SLUZBY	\N	\N
383505	1302	1997-05-31	VYDAJ	VYBER	15	22590	SLUZBY	\N	\N
383506	1302	1997-06-30	VYDAJ	VYBER	15	22519	SLUZBY	\N	\N
383507	1302	1997-07-31	VYDAJ	VYBER	15	23325	SLUZBY	\N	\N
383508	1302	1997-08-31	VYDAJ	VYBER	15	24217	SLUZBY	\N	\N
383509	1302	1997-09-30	VYDAJ	VYBER	15	26474	SLUZBY	\N	\N
383510	1302	1997-10-31	VYDAJ	VYBER	15	28740	SLUZBY	\N	\N
383511	1302	1997-11-30	VYDAJ	VYBER	15	31016	SLUZBY	\N	\N
383512	1302	1997-12-31	VYDAJ	VYBER	15	32750	SLUZBY	\N	\N
383513	1302	1998-01-31	VYDAJ	VYBER	15	24685	SLUZBY	\N	\N
383514	1302	1998-02-28	VYDAJ	VYBER	15	26943	SLUZBY	\N	\N
383515	1302	1998-03-31	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
383516	1302	1998-04-30	VYDAJ	VYBER	15	31489	SLUZBY	\N	\N
383517	1302	1998-05-31	VYDAJ	VYBER	15	33775	SLUZBY	\N	\N
383518	1302	1998-06-30	VYDAJ	VYBER	15	25645	SLUZBY	\N	\N
383519	1302	1998-07-31	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
383520	1302	1998-08-31	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
383521	1302	1998-09-30	VYDAJ	VYBER	15	32460	SLUZBY	\N	\N
383522	1302	1998-10-31	VYDAJ	VYBER	15	34750	SLUZBY	\N	\N
383523	1302	1998-11-30	VYDAJ	VYBER	15	36349	SLUZBY	\N	\N
383524	1302	1994-04-20	VYDAJ	VYBER	2800	28450	\N	\N	\N
383525	1302	1994-05-20	VYDAJ	VYBER	1900	28745	\N	\N	\N
383526	1302	1994-06-19	VYDAJ	VYBER	5000	25618	\N	\N	\N
383527	1302	1995-09-12	VYDAJ	VYBER	700	28169	\N	\N	\N
383528	1302	1995-10-12	VYDAJ	VYBER	600	26474	\N	\N	\N
383529	1302	1998-11-25	VYDAJ	VYBER	700	36216	\N	\N	\N
383587	1303	1997-09-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
383597	1303	1997-10-08	PRIJEM	VKLAD	5402	6502	\N	\N	\N
383598	1303	1997-11-08	PRIJEM	VKLAD	5402	24325	\N	\N	\N
383599	1303	1997-12-08	PRIJEM	VKLAD	8103	27912	\N	\N	\N
383600	1303	1998-01-08	PRIJEM	VKLAD	5402	32927	\N	\N	\N
383601	1303	1998-02-08	PRIJEM	VKLAD	5402	34762	\N	\N	\N
383602	1303	1998-03-08	PRIJEM	VKLAD	5402	33991	\N	\N	\N
383603	1303	1998-04-08	PRIJEM	VKLAD	5402	34816	\N	\N	\N
383604	1303	1998-05-08	PRIJEM	VKLAD	5402	35132	\N	\N	\N
383605	1303	1998-06-08	PRIJEM	VKLAD	8103	41361	\N	\N	\N
383606	1303	1998-07-08	PRIJEM	VKLAD	5402	41911	\N	\N	\N
383607	1303	1998-08-08	PRIJEM	VKLAD	5402	36045	\N	\N	\N
383608	1303	1998-09-08	PRIJEM	VKLAD	5402	38279	\N	\N	\N
383609	1303	1998-10-08	PRIJEM	VKLAD	5402	42508	\N	\N	\N
383610	1303	1998-11-08	PRIJEM	VKLAD	5402	42453	\N	\N	\N
383611	1303	1998-12-08	PRIJEM	VKLAD	8103	46502	\N	\N	\N
383625	1303	1998-02-08	VYDAJ	PREVOD NA UCET	3601	31161	SIPO	IJ	57378178
383626	1303	1998-03-08	VYDAJ	PREVOD NA UCET	3601	30390	SIPO	IJ	57378178
383627	1303	1998-04-08	VYDAJ	PREVOD NA UCET	3601	31215	SIPO	IJ	57378178
383628	1303	1998-05-08	VYDAJ	PREVOD NA UCET	3601	31531	SIPO	IJ	57378178
383629	1303	1998-06-08	VYDAJ	PREVOD NA UCET	3601	37760	SIPO	IJ	57378178
383630	1303	1998-07-08	VYDAJ	PREVOD NA UCET	3601	38310	SIPO	IJ	57378178
383631	1303	1998-08-08	VYDAJ	PREVOD NA UCET	3601	32444	SIPO	IJ	57378178
383632	1303	1998-09-08	VYDAJ	PREVOD NA UCET	3601	34678	SIPO	IJ	57378178
383633	1303	1998-10-08	VYDAJ	PREVOD NA UCET	3601	38907	SIPO	IJ	57378178
383634	1303	1998-11-08	VYDAJ	PREVOD NA UCET	3601	38852	SIPO	IJ	57378178
383635	1303	1998-12-08	VYDAJ	PREVOD NA UCET	3601	42901	SIPO	IJ	57378178
383641	1303	1998-12-25	VYDAJ	VYBER	3200	39701	\N	\N	\N
383660	1303	1998-07-12	VYDAJ	VYBER	4200	34110	\N	\N	\N
383661	1303	1998-06-02	VYDAJ	VYBER	4800	26858	\N	\N	\N
383676	1303	1998-02-28	VYDAJ	VYBER	15	31289	SLUZBY	\N	\N
383677	1303	1998-03-31	VYDAJ	VYBER	15	30514	SLUZBY	\N	\N
383678	1303	1998-04-30	VYDAJ	VYBER	15	31330	SLUZBY	\N	\N
383679	1303	1998-05-31	VYDAJ	VYBER	15	31658	SLUZBY	\N	\N
383680	1303	1998-06-30	VYDAJ	VYBER	15	37909	SLUZBY	\N	\N
383681	1303	1998-07-31	VYDAJ	VYBER	15	34243	SLUZBY	\N	\N
383682	1303	1998-08-31	VYDAJ	VYBER	15	32577	SLUZBY	\N	\N
383683	1303	1998-09-30	VYDAJ	VYBER	15	34806	SLUZBY	\N	\N
383684	1303	1998-10-31	VYDAJ	VYBER	15	39051	SLUZBY	\N	\N
383685	1303	1998-11-30	VYDAJ	VYBER	15	38999	SLUZBY	\N	\N
383686	1303	1997-10-08	PRIJEM	VKLAD	6300	12802	\N	\N	\N
383687	1303	1997-11-07	PRIJEM	VKLAD	6100	18923	\N	\N	\N
383688	1303	1997-12-07	VYDAJ	VYBER	4600	19809	\N	\N	\N
383689	1303	1998-01-06	VYDAJ	VYBER	500	27525	\N	\N	\N
383690	1303	1998-02-05	VYDAJ	VYBER	3700	29360	\N	\N	\N
383691	1303	1998-03-07	VYDAJ	VYBER	2700	28589	\N	\N	\N
383692	1303	1998-04-06	VYDAJ	VYBER	1100	29414	\N	\N	\N
383693	1303	1998-05-06	VYDAJ	VYBER	1600	29730	\N	\N	\N
383694	1303	1998-06-05	PRIJEM	VKLAD	6400	33258	\N	\N	\N
383695	1303	1998-07-05	VYDAJ	VYBER	1400	36509	\N	\N	\N
383696	1303	1998-08-04	VYDAJ	VYBER	3600	30643	\N	\N	\N
383697	1303	1998-09-03	PRIJEM	VKLAD	300	32877	\N	\N	\N
383698	1303	1998-10-03	PRIJEM	VKLAD	2300	37106	\N	\N	\N
383699	1303	1998-11-02	VYDAJ	VYBER	2000	37051	\N	\N	\N
383700	1303	1998-12-02	VYDAJ	VYBER	600	38399	\N	\N	\N
383716	1304	1996-04-27	PRIJEM	VKLAD	400	400	\N	\N	\N
383717	1304	1996-05-24	PRIJEM	VKLAD	15894	16294	\N	\N	\N
383718	1304	1997-05-26	PRIJEM	VKLAD	17081	53987	\N	\N	\N
383719	1304	1997-04-06	PRIJEM	VKLAD	33278	97590	\N	\N	\N
383720	1304	1997-05-19	PRIJEM	VKLAD	42565	105706	\N	\N	\N
383721	1304	1997-01-30	PRIJEM	VKLAD	45305	91878	\N	\N	\N
383722	1304	1997-08-21	PRIJEM	VKLAD	39829	96499	\N	\N	\N
383723	1304	1997-06-25	PRIJEM	VKLAD	11827	50435	\N	\N	\N
383724	1304	1997-01-26	PRIJEM	VKLAD	18829	46573	\N	\N	\N
383725	1304	1997-09-06	PRIJEM	VKLAD	5575	60512	\N	\N	\N
383726	1304	1997-09-21	PRIJEM	VKLAD	32281	77520	\N	\N	\N
383727	1304	1997-03-29	PRIJEM	VKLAD	34111	64131	\N	\N	\N
383728	1304	1997-10-01	PRIJEM	VKLAD	41361	119181	\N	\N	\N
383729	1304	1997-08-19	PRIJEM	VKLAD	46152	82470	\N	\N	\N
383730	1304	1997-08-10	PRIJEM	VKLAD	17661	56613	\N	\N	\N
383731	1304	1997-02-06	PRIJEM	VKLAD	39155	131152	\N	\N	\N
383732	1304	1997-07-06	PRIJEM	VKLAD	11391	62034	\N	\N	\N
383733	1304	1997-09-11	PRIJEM	VKLAD	43134	103646	\N	\N	\N
383734	1304	1997-02-19	PRIJEM	VKLAD	5834	121986	\N	\N	\N
383735	1304	1997-08-22	PRIJEM	VKLAD	25751	122250	\N	\N	\N
383736	1304	1997-07-29	PRIJEM	VKLAD	8046	63488	\N	\N	\N
383737	1304	1997-11-21	PRIJEM	VKLAD	33632	91256	\N	\N	\N
383738	1304	1997-07-15	PRIJEM	VKLAD	15808	77842	\N	\N	\N
383739	1304	1997-12-17	PRIJEM	VKLAD	29956	107459	\N	\N	\N
383740	1304	1997-10-21	PRIJEM	VKLAD	40837	99718	\N	\N	\N
383741	1304	1997-01-06	PRIJEM	VKLAD	13274	34244	\N	\N	\N
383742	1304	1998-03-03	PRIJEM	VKLAD	47207	73760	\N	\N	\N
383743	1304	1998-06-29	PRIJEM	VKLAD	12921	39135	\N	\N	\N
383788	1304	1997-03-01	VYBER	VYBER	16183	49520	\N	\N	\N
383789	1304	1997-09-20	VYBER	VYBER	22807	45239	\N	\N	\N
383790	1304	1997-08-24	VYBER	VYBER	15900	54750	\N	\N	\N
383791	1304	1997-10-30	VYBER	VYBER	10528	89190	\N	\N	\N
383792	1304	1997-07-31	VYBER	VYBER	24761	38967	\N	\N	\N
383793	1304	1997-08-11	VYBER	VYBER	14595	42018	\N	\N	\N
383795	1304	1998-06-28	VYBER	VYBER	2300	26214	\N	\N	\N
383798	1304	1998-07-04	VYBER	VYBER	11571	27665	\N	\N	\N
383799	1304	1998-03-03	VYBER	VYBER	4283	69477	\N	\N	\N
383800	1304	1998-10-27	VYBER	VYBER	4313	25875	\N	\N	\N
383802	1304	1998-01-01	VYBER	VYBER	2947	60414	\N	\N	\N
383803	1304	1998-10-09	VYBER	VYBER	2160	22888	\N	\N	\N
383805	1304	1998-03-05	VYBER	VYBER	14149	55328	\N	\N	\N
383815	1304	1997-12-08	VYDAJ	VYBER	5700	85903	\N	\N	\N
383816	1304	1998-12-20	VYDAJ	VYBER	4800	23269	\N	\N	\N
383829	1304	1998-01-04	VYDAJ	VYBER	4500	49914	\N	\N	\N
383830	1304	1998-01-02	VYDAJ	VYBER	6000	54414	\N	\N	\N
383831	1304	1998-01-05	VYDAJ	VYBER	8100	41814	\N	\N	\N
383832	1304	1998-01-30	VYDAJ	VYBER	5100	26114	\N	\N	\N
383833	1304	1998-01-15	VYDAJ	VYBER	6300	35514	\N	\N	\N
383834	1304	1998-01-30	VYDAJ	VYBER KARTOU	1500	31214	\N	\N	0
383840	1304	1997-12-10	VYDAJ	VYBER	8400	77503	\N	\N	\N
383841	1304	1997-11-18	VYDAJ	VYBER KARTOU	1800	87824	\N	\N	0
383842	1304	1997-08-12	VYDAJ	VYBER	5700	36318	\N	\N	\N
383843	1304	1997-03-11	VYDAJ	VYBER	14100	35420	\N	\N	\N
383845	1304	1998-12-15	VYDAJ	VYBER	8400	28069	\N	\N	\N
383846	1304	1998-10-03	VYDAJ	VYBER	4200	25048	\N	\N	\N
383848	1304	1998-03-25	VYDAJ	VYBER	10500	34528	\N	\N	\N
383849	1304	1998-04-02	VYDAJ	VYBER	11700	23011	\N	\N	\N
383864	1304	1997-02-28	VYDAJ	VYBER	15	65703	SLUZBY	\N	\N
383865	1304	1997-03-31	VYDAJ	VYBER	15	64312	SLUZBY	\N	\N
383866	1304	1997-04-30	VYDAJ	VYBER	15	63141	SLUZBY	\N	\N
383867	1304	1997-05-31	VYDAJ	VYBER	15	54208	SLUZBY	\N	\N
383868	1304	1997-06-30	VYDAJ	VYBER	15	50643	SLUZBY	\N	\N
383869	1304	1997-07-31	VYDAJ	VYBER	15	38952	SLUZBY	\N	\N
383870	1304	1997-08-31	VYDAJ	VYBER	15	54937	SLUZBY	\N	\N
383871	1304	1997-09-30	VYDAJ	VYBER	15	77820	SLUZBY	\N	\N
383872	1304	1997-10-31	VYDAJ	VYBER	15	89624	SLUZBY	\N	\N
383873	1304	1997-11-30	VYDAJ	VYBER	15	91603	SLUZBY	\N	\N
383874	1304	1997-12-31	VYDAJ	VYBER	15	63361	SLUZBY	\N	\N
383875	1304	1998-01-31	VYDAJ	VYBER	15	26259	SLUZBY	\N	\N
383876	1304	1998-02-28	VYDAJ	VYBER	15	26553	SLUZBY	\N	\N
383877	1304	1998-03-31	VYDAJ	VYBER	15	34711	SLUZBY	\N	\N
383878	1304	1998-04-30	VYDAJ	VYBER	15	25623	SLUZBY	\N	\N
383879	1304	1998-05-31	VYDAJ	VYBER	15	27214	SLUZBY	\N	\N
383880	1304	1998-06-30	VYDAJ	VYBER	15	39236	SLUZBY	\N	\N
383881	1304	1998-07-31	VYDAJ	VYBER	15	22878	SLUZBY	\N	\N
383882	1304	1998-08-31	VYDAJ	VYBER	15	25357	SLUZBY	\N	\N
383883	1304	1998-09-30	VYDAJ	VYBER	15	29248	SLUZBY	\N	\N
383884	1304	1998-10-31	VYDAJ	VYBER	15	25976	SLUZBY	\N	\N
383885	1304	1998-11-30	VYDAJ	VYBER	15	32669	SLUZBY	\N	\N
383886	1304	1996-05-27	PRIJEM	VKLAD	3000	19294	\N	\N	\N
383887	1304	1996-06-26	VYDAJ	VYBER	500	18807	\N	\N	\N
383888	1304	1996-07-26	VYDAJ	VYBER	300	18587	\N	\N	\N
383889	1304	1996-08-25	PRIJEM	VKLAD	1300	19968	\N	\N	\N
383890	1304	1996-09-24	VYDAJ	VYBER	2100	17948	\N	\N	\N
383891	1304	1996-10-24	VYDAJ	VYBER	500	17529	\N	\N	\N
383892	1304	1996-11-23	PRIJEM	VKLAD	2000	19609	\N	\N	\N
383893	1304	1996-12-23	PRIJEM	VKLAD	1200	20889	\N	\N	\N
383894	1304	1997-01-22	VYDAJ	VYBER	6500	27744	\N	\N	\N
383895	1304	1997-02-06	VYDAJ	VYBER	15000	116152	\N	\N	\N
383896	1304	1997-02-19	VYDAJ	VYBER	15500	106486	\N	\N	\N
383897	1304	1997-02-21	VYDAJ	VYBER	41200	65286	\N	\N	\N
383898	1304	1997-03-23	VYDAJ	VYBER	5400	30020	\N	\N	\N
383899	1304	1997-04-22	VYDAJ	VYBER	34700	62890	\N	\N	\N
383900	1304	1997-05-19	VYDAJ	VYBER	58000	47706	\N	\N	\N
383901	1304	1997-05-22	VYDAJ	VYBER	10800	36906	\N	\N	\N
383902	1304	1997-06-21	VYDAJ	VYBER	15600	38608	\N	\N	\N
383903	1304	1997-07-21	VYDAJ	VYBER	22400	55442	\N	\N	\N
383904	1304	1997-08-20	VYDAJ	VYBER	25800	56670	\N	\N	\N
383905	1304	1997-08-22	VYDAJ	VYBER	51600	70650	\N	\N	\N
383906	1304	1997-09-19	VYDAJ	VYBER	35600	68046	\N	\N	\N
383907	1304	1997-10-01	VYDAJ	VYBER	29100	90081	\N	\N	\N
383908	1304	1997-10-19	VYDAJ	VYBER	31200	58881	\N	\N	\N
383909	1304	1997-11-18	VYDAJ	VYBER	30200	57624	\N	\N	\N
383910	1304	1997-12-18	VYDAJ	VYBER	44400	63059	\N	\N	\N
383911	1304	1998-01-17	VYDAJ	VYBER KARTOU	2800	32714	\N	\N	0
383912	1304	1998-02-16	PRIJEM	VKLAD	200	26459	\N	\N	\N
383913	1304	1998-03-18	VYDAJ	VYBER	10300	45028	\N	\N	\N
383914	1304	1998-04-17	PRIJEM	VKLAD	2500	25511	\N	\N	\N
383915	1304	1998-05-17	PRIJEM	VKLAD	1500	27123	\N	\N	\N
383916	1304	1998-06-16	PRIJEM	VKLAD	1300	28514	\N	\N	\N
383917	1304	1998-07-16	VYDAJ	VYBER	4900	22765	\N	\N	\N
383918	1304	1998-08-15	PRIJEM	VKLAD	2400	25278	\N	\N	\N
383919	1304	1998-09-14	PRIJEM	VKLAD	3800	29157	\N	\N	\N
383920	1304	1998-10-14	PRIJEM	VKLAD	7300	30188	\N	\N	\N
383921	1304	1998-11-13	PRIJEM	VKLAD	6600	32576	\N	\N	\N
383922	1304	1998-12-13	PRIJEM	VKLAD	3800	36469	\N	\N	\N
383955	1305	1993-08-25	PRIJEM	VKLAD	400	400	\N	\N	\N
383964	1305	1993-09-09	PRIJEM	VKLAD	10239	10639	\N	\N	\N
383965	1305	1993-10-09	PRIJEM	VKLAD	10239	28496	\N	\N	\N
383966	1305	1993-11-09	PRIJEM	VKLAD	10239	38021	\N	\N	\N
383967	1305	1993-12-09	PRIJEM	VKLAD	15358	47900	\N	\N	\N
383968	1305	1994-01-09	PRIJEM	VKLAD	10239	46778	\N	\N	\N
383969	1305	1994-02-09	PRIJEM	VKLAD	10239	41353	\N	\N	\N
383970	1305	1994-03-09	PRIJEM	VKLAD	10239	44611	\N	\N	\N
383971	1305	1994-04-09	PRIJEM	VKLAD	10239	45379	\N	\N	\N
383972	1305	1994-05-09	PRIJEM	VKLAD	10239	45055	\N	\N	\N
383973	1305	1994-06-09	PRIJEM	VKLAD	15358	51665	\N	\N	\N
383974	1305	1994-07-09	PRIJEM	VKLAD	10239	42239	\N	\N	\N
383975	1305	1994-08-09	PRIJEM	VKLAD	10239	44400	\N	\N	\N
383976	1305	1994-09-09	PRIJEM	VKLAD	10239	44076	\N	\N	\N
383977	1305	1994-10-09	PRIJEM	VKLAD	10239	41242	\N	\N	\N
383978	1305	1994-11-09	PRIJEM	VKLAD	10239	44100	\N	\N	\N
383979	1305	1994-12-09	PRIJEM	VKLAD	15358	52891	\N	\N	\N
383980	1305	1995-01-09	PRIJEM	VKLAD	10239	51393	\N	\N	\N
383981	1305	1995-02-09	PRIJEM	VKLAD	10239	42292	\N	\N	\N
383982	1305	1995-03-09	PRIJEM	VKLAD	10239	45465	\N	\N	\N
383983	1305	1995-04-09	PRIJEM	VKLAD	10239	47539	\N	\N	\N
383984	1305	1995-05-09	PRIJEM	VKLAD	10239	49329	\N	\N	\N
383985	1305	1995-06-09	PRIJEM	VKLAD	15358	45133	\N	\N	\N
383986	1305	1995-07-09	PRIJEM	VKLAD	10239	44223	\N	\N	\N
383987	1305	1995-08-09	PRIJEM	VKLAD	10239	48011	\N	\N	\N
383988	1305	1995-09-09	PRIJEM	VKLAD	10239	52502	\N	\N	\N
383989	1305	1995-10-09	PRIJEM	VKLAD	10239	52802	\N	\N	\N
383990	1305	1995-11-09	PRIJEM	VKLAD	10239	55209	\N	\N	\N
383991	1305	1995-12-09	PRIJEM	VKLAD	15358	52538	\N	\N	\N
383992	1305	1996-01-09	PRIJEM	VKLAD	10239	54151	\N	\N	\N
383993	1305	1996-02-09	PRIJEM	VKLAD	10239	44354	\N	\N	\N
383994	1305	1996-03-09	PRIJEM	VKLAD	10239	51238	\N	\N	\N
383995	1305	1996-04-09	PRIJEM	VKLAD	10239	49939	\N	\N	\N
383996	1305	1996-05-09	PRIJEM	VKLAD	10239	57052	\N	\N	\N
383997	1305	1996-06-09	PRIJEM	VKLAD	15358	47294	\N	\N	\N
383998	1305	1996-07-09	PRIJEM	VKLAD	10239	52413	\N	\N	\N
383999	1305	1996-08-09	PRIJEM	VKLAD	10239	59647	\N	\N	\N
384000	1305	1996-09-09	PRIJEM	VKLAD	10239	64107	\N	\N	\N
384001	1305	1996-10-09	PRIJEM	VKLAD	10239	72484	\N	\N	\N
384002	1305	1996-11-09	PRIJEM	VKLAD	10239	71300	\N	\N	\N
384003	1305	1996-12-09	PRIJEM	VKLAD	15358	80341	\N	\N	\N
384004	1305	1997-01-09	PRIJEM	VKLAD	10239	80486	\N	\N	\N
384005	1305	1997-02-09	PRIJEM	VKLAD	10239	77721	\N	\N	\N
384006	1305	1997-03-09	PRIJEM	VKLAD	10239	78560	\N	\N	\N
384007	1305	1997-04-09	PRIJEM	VKLAD	10239	80409	\N	\N	\N
384008	1305	1997-05-09	PRIJEM	VKLAD	10239	83165	\N	\N	\N
384009	1305	1997-06-09	PRIJEM	VKLAD	15358	86150	\N	\N	\N
384010	1305	1997-07-09	PRIJEM	VKLAD	10239	74390	\N	\N	\N
384011	1305	1997-08-09	PRIJEM	VKLAD	10239	78008	\N	\N	\N
384012	1305	1997-09-09	PRIJEM	VKLAD	10239	76452	\N	\N	\N
384013	1305	1997-10-09	PRIJEM	VKLAD	10239	80085	\N	\N	\N
384014	1305	1997-11-09	PRIJEM	VKLAD	10239	89734	\N	\N	\N
384015	1305	1997-12-09	PRIJEM	VKLAD	15358	103138	\N	\N	\N
384016	1305	1998-01-09	PRIJEM	VKLAD	10239	93067	\N	\N	\N
384017	1305	1998-02-09	PRIJEM	VKLAD	10239	95160	\N	\N	\N
384018	1305	1998-03-09	PRIJEM	VKLAD	10239	98035	\N	\N	\N
384019	1305	1998-04-09	PRIJEM	VKLAD	10239	102757	\N	\N	\N
384020	1305	1998-05-09	PRIJEM	VKLAD	10239	105895	\N	\N	\N
384021	1305	1998-06-09	PRIJEM	VKLAD	15358	112865	\N	\N	\N
384022	1305	1998-07-09	PRIJEM	VKLAD	10239	108395	\N	\N	\N
384023	1305	1998-08-09	PRIJEM	VKLAD	10239	107440	\N	\N	\N
384024	1305	1998-09-09	PRIJEM	VKLAD	10239	114694	\N	\N	\N
384025	1305	1998-10-09	PRIJEM	VKLAD	10239	124052	\N	\N	\N
384026	1305	1998-11-09	PRIJEM	VKLAD	10239	115767	\N	\N	\N
384027	1305	1998-12-09	PRIJEM	VKLAD	15358	108970	\N	\N	\N
384029	1305	1994-06-20	VYDAJ	VYBER	6600	45065	\N	\N	\N
384030	1305	1995-06-02	VYDAJ	VYBER	8700	29775	\N	\N	\N
384031	1305	1996-06-08	VYDAJ	VYBER	13500	31936	\N	\N	\N
384032	1305	1997-06-22	VYDAJ	VYBER	24500	61650	\N	\N	\N
384033	1305	1998-06-22	VYDAJ	VYBER	12200	100665	\N	\N	\N
384036	1305	1995-01-10	VYDAJ	VYBER	3800	47593	\N	\N	\N
384037	1305	1996-01-20	VYDAJ	VYBER	7600	38351	\N	\N	\N
384038	1305	1997-01-13	VYDAJ	VYBER	1300	75086	\N	\N	\N
384039	1305	1998-01-04	VYDAJ	VYBER	7100	86728	\N	\N	\N
384041	1305	1994-12-12	VYDAJ	VYBER	600	52291	\N	\N	\N
384042	1305	1995-12-30	VYDAJ	VYBER	800	46238	\N	\N	\N
384043	1305	1996-12-23	VYDAJ	VYBER	2000	78341	\N	\N	\N
384044	1305	1997-12-18	VYDAJ	VYBER	2900	100238	\N	\N	\N
384045	1305	1998-12-23	VYDAJ	VYBER KARTOU	1500	107470	\N	\N	0
384054	1305	1994-01-16	VYDAJ	VYBER	2100	39878	\N	\N	\N
384055	1305	1994-01-15	VYDAJ	VYBER	2800	41978	\N	\N	\N
384057	1305	1994-01-13	VYDAJ	VYBER	2000	44778	\N	\N	\N
384058	1305	1995-01-29	VYDAJ	VYBER	800	38693	\N	\N	\N
384059	1305	1995-01-10	VYDAJ	VYBER	1500	46093	\N	\N	\N
384060	1305	1995-01-29	VYDAJ	VYBER	2600	36093	\N	\N	\N
384061	1305	1995-01-01	VYDAJ	VYBER	900	41854	\N	\N	\N
384062	1305	1995-01-30	VYDAJ	VYBER	2900	33193	\N	\N	\N
384063	1305	1995-01-08	VYDAJ	VYBER	700	41154	\N	\N	\N
384064	1305	1996-01-21	VYDAJ	VYBER	1800	36551	\N	\N	\N
384065	1305	1996-01-25	VYDAJ	VYBER	500	36051	\N	\N	\N
384066	1305	1996-01-27	VYDAJ	VYBER	1000	33951	\N	\N	\N
384067	1305	1996-01-08	VYDAJ	VYBER	2500	43912	\N	\N	\N
384068	1305	1996-01-17	VYDAJ	VYBER	1300	45951	\N	\N	\N
384069	1305	1996-01-27	VYDAJ	VYBER	1100	34951	\N	\N	\N
384070	1305	1997-01-24	VYDAJ	VYBER	600	72386	\N	\N	\N
384071	1305	1997-01-24	VYDAJ	VYBER	2100	72986	\N	\N	\N
384072	1305	1997-01-28	VYDAJ	VYBER	1000	71386	\N	\N	\N
384073	1305	1997-01-07	VYDAJ	VYBER	1500	70247	\N	\N	\N
384074	1305	1997-01-09	VYDAJ	VYBER	600	79886	\N	\N	\N
384075	1305	1997-01-12	VYDAJ	VYBER	1000	76386	\N	\N	\N
384076	1305	1998-01-24	VYDAJ	VYBER	700	85867	\N	\N	\N
384077	1305	1998-01-04	VYDAJ	VYBER	2700	84028	\N	\N	\N
384078	1305	1998-01-30	VYDAJ	VYBER	2600	83267	\N	\N	\N
384079	1305	1998-01-06	VYDAJ	VYBER	1200	82828	\N	\N	\N
384080	1305	1998-01-11	VYDAJ	VYBER	500	92567	\N	\N	\N
384081	1305	1998-01-20	VYDAJ	VYBER	1700	86567	\N	\N	\N
384084	1305	1994-05-06	VYDAJ	VYBER	1900	34816	\N	\N	\N
384085	1305	1994-06-30	VYDAJ	VYBER	2600	32000	\N	\N	\N
384086	1305	1994-04-19	VYDAJ	VYBER	2000	43379	\N	\N	\N
384087	1305	1994-08-10	VYDAJ	VYBER	2400	42000	\N	\N	\N
384088	1305	1994-09-13	VYDAJ	VYBER	4500	39576	\N	\N	\N
384089	1305	1995-07-03	VYDAJ	VYBER	4100	33984	\N	\N	\N
384090	1305	1995-02-12	VYDAJ	VYBER	4300	37992	\N	\N	\N
384091	1305	1995-02-06	VYDAJ	VYBER	1300	32053	\N	\N	\N
384092	1305	1995-06-19	VYDAJ	VYBER	2300	37933	\N	\N	\N
384093	1305	1995-12-01	VYDAJ	VYBER	4800	39880	\N	\N	\N
384094	1305	1995-12-03	VYDAJ	VYBER	2700	37180	\N	\N	\N
384095	1305	1995-04-12	VYDAJ	VYBER	800	46739	\N	\N	\N
384096	1305	1996-07-26	VYDAJ	VYBER	4000	49213	\N	\N	\N
384097	1305	1996-04-06	VYDAJ	VYBER	900	39700	\N	\N	\N
384098	1305	1996-05-31	VYDAJ	VYBER	3200	45436	\N	\N	\N
384099	1305	1996-04-03	VYDAJ	VYBER	2900	40600	\N	\N	\N
384100	1305	1996-07-03	VYDAJ	VYBER	4300	42174	\N	\N	\N
384101	1305	1997-10-06	VYDAJ	VYBER	2600	69846	\N	\N	\N
384102	1305	1997-01-10	VYDAJ	VYBER	2500	77386	\N	\N	\N
384103	1305	1997-09-04	VYDAJ	VYBER	3700	66213	\N	\N	\N
384104	1305	1997-12-03	VYDAJ	VYBER	500	87780	\N	\N	\N
384105	1305	1997-06-02	VYDAJ	VYBER	4000	79492	\N	\N	\N
384106	1305	1998-08-10	VYDAJ	VYBER	2400	105040	\N	\N	\N
384107	1305	1998-04-30	VYDAJ	VYBER	3300	98056	\N	\N	\N
384108	1305	1998-03-14	VYDAJ	VYBER	1700	96335	\N	\N	\N
384109	1305	1998-08-06	VYDAJ	VYBER	4600	97201	\N	\N	\N
384110	1305	1998-07-17	VYDAJ	VYBER	1300	107095	\N	\N	\N
384111	1305	1998-01-11	VYDAJ	VYBER	4300	88267	\N	\N	\N
384112	1305	1998-04-18	VYDAJ	VYBER	1800	100957	\N	\N	\N
384126	1305	1994-01-31	VYDAJ	VYBER	15	31114	SLUZBY	\N	\N
384127	1305	1994-02-28	VYDAJ	VYBER	15	34372	SLUZBY	\N	\N
384128	1305	1994-03-31	VYDAJ	VYBER	15	35140	SLUZBY	\N	\N
384129	1305	1994-04-30	VYDAJ	VYBER	15	36716	SLUZBY	\N	\N
384130	1305	1994-05-31	VYDAJ	VYBER	15	36307	SLUZBY	\N	\N
384131	1305	1994-06-30	VYDAJ	VYBER	15	34600	SLUZBY	\N	\N
384132	1305	1994-07-31	VYDAJ	VYBER	15	34161	SLUZBY	\N	\N
384133	1305	1994-08-31	VYDAJ	VYBER	15	33837	SLUZBY	\N	\N
384134	1305	1994-09-30	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
384135	1305	1994-10-31	VYDAJ	VYBER	15	33861	SLUZBY	\N	\N
384136	1305	1994-11-30	VYDAJ	VYBER	15	37533	SLUZBY	\N	\N
384137	1305	1994-12-31	VYDAJ	VYBER	15	42754	SLUZBY	\N	\N
384138	1305	1995-01-31	VYDAJ	VYBER	15	33353	SLUZBY	\N	\N
384139	1305	1995-02-28	VYDAJ	VYBER	15	35226	SLUZBY	\N	\N
384140	1305	1995-03-31	VYDAJ	VYBER	15	37300	SLUZBY	\N	\N
384141	1305	1995-04-30	VYDAJ	VYBER	15	39090	SLUZBY	\N	\N
384142	1305	1995-05-31	VYDAJ	VYBER	15	38475	SLUZBY	\N	\N
384143	1305	1995-06-30	VYDAJ	VYBER	15	38084	SLUZBY	\N	\N
384144	1305	1995-07-31	VYDAJ	VYBER	15	37772	SLUZBY	\N	\N
384145	1305	1995-08-31	VYDAJ	VYBER	15	42263	SLUZBY	\N	\N
384146	1305	1995-09-30	VYDAJ	VYBER	15	42563	SLUZBY	\N	\N
384147	1305	1995-10-31	VYDAJ	VYBER	15	44970	SLUZBY	\N	\N
384148	1305	1995-11-30	VYDAJ	VYBER	15	44680	SLUZBY	\N	\N
384149	1305	1995-12-31	VYDAJ	VYBER	15	46412	SLUZBY	\N	\N
384150	1305	1996-01-31	VYDAJ	VYBER	15	34115	SLUZBY	\N	\N
384151	1305	1996-02-29	VYDAJ	VYBER	15	40999	SLUZBY	\N	\N
384152	1305	1996-03-31	VYDAJ	VYBER	15	43500	SLUZBY	\N	\N
384153	1305	1996-04-30	VYDAJ	VYBER	15	46813	SLUZBY	\N	\N
384154	1305	1996-05-31	VYDAJ	VYBER	15	48636	SLUZBY	\N	\N
384155	1305	1996-06-30	VYDAJ	VYBER	15	46474	SLUZBY	\N	\N
384156	1305	1996-07-31	VYDAJ	VYBER	15	49408	SLUZBY	\N	\N
384157	1305	1996-08-31	VYDAJ	VYBER	15	52668	SLUZBY	\N	\N
384158	1305	1996-09-30	VYDAJ	VYBER	15	64345	SLUZBY	\N	\N
384159	1305	1996-10-31	VYDAJ	VYBER	15	72761	SLUZBY	\N	\N
384160	1305	1996-11-30	VYDAJ	VYBER	15	71583	SLUZBY	\N	\N
384161	1305	1996-12-31	VYDAJ	VYBER	15	78647	SLUZBY	\N	\N
384162	1305	1997-01-31	VYDAJ	VYBER	15	71682	SLUZBY	\N	\N
384163	1305	1997-02-28	VYDAJ	VYBER	15	78021	SLUZBY	\N	\N
384164	1305	1997-03-31	VYDAJ	VYBER	15	78870	SLUZBY	\N	\N
384165	1305	1997-04-30	VYDAJ	VYBER	15	80726	SLUZBY	\N	\N
384166	1305	1997-05-31	VYDAJ	VYBER	15	83492	SLUZBY	\N	\N
384167	1305	1997-06-30	VYDAJ	VYBER	15	61951	SLUZBY	\N	\N
384168	1305	1997-07-31	VYDAJ	VYBER	15	74669	SLUZBY	\N	\N
384169	1305	1997-08-31	VYDAJ	VYBER	15	78313	SLUZBY	\N	\N
384170	1305	1997-09-30	VYDAJ	VYBER	15	76746	SLUZBY	\N	\N
384171	1305	1997-10-31	VYDAJ	VYBER	15	80395	SLUZBY	\N	\N
384172	1305	1997-11-30	VYDAJ	VYBER	15	90080	SLUZBY	\N	\N
384173	1305	1997-12-31	VYDAJ	VYBER	15	100628	SLUZBY	\N	\N
384174	1305	1998-01-31	VYDAJ	VYBER	15	84921	SLUZBY	\N	\N
384175	1305	1998-02-28	VYDAJ	VYBER	15	95496	SLUZBY	\N	\N
384176	1305	1998-03-31	VYDAJ	VYBER	15	96718	SLUZBY	\N	\N
384177	1305	1998-04-30	VYDAJ	VYBER	15	101356	SLUZBY	\N	\N
384178	1305	1998-05-31	VYDAJ	VYBER	15	97507	SLUZBY	\N	\N
384179	1305	1998-06-30	VYDAJ	VYBER	15	98156	SLUZBY	\N	\N
384180	1305	1998-07-31	VYDAJ	VYBER	15	101801	SLUZBY	\N	\N
384181	1305	1998-08-31	VYDAJ	VYBER	15	104455	SLUZBY	\N	\N
384182	1305	1998-09-30	VYDAJ	VYBER	15	113813	SLUZBY	\N	\N
384183	1305	1998-10-31	VYDAJ	VYBER	15	105528	SLUZBY	\N	\N
384184	1305	1998-11-30	VYDAJ	VYBER	15	93612	SLUZBY	\N	\N
384185	1305	1993-09-24	PRIJEM	VKLAD	7600	18239	\N	\N	\N
384186	1305	1993-10-24	VYDAJ	VYBER	800	27696	\N	\N	\N
384187	1305	1993-11-23	VYDAJ	VYBER	5600	32421	\N	\N	\N
384188	1305	1993-12-23	VYDAJ	VYBER	11500	36400	\N	\N	\N
384189	1305	1994-01-22	VYDAJ	VYBER	8900	30978	\N	\N	\N
384190	1305	1994-02-21	VYDAJ	VYBER	7100	34253	\N	\N	\N
384191	1305	1994-03-23	VYDAJ	VYBER	9600	35011	\N	\N	\N
384192	1305	1994-04-22	VYDAJ	VYBER	6800	36579	\N	\N	\N
384193	1305	1994-05-22	VYDAJ	VYBER	8900	36155	\N	\N	\N
384194	1305	1994-06-21	VYDAJ	VYBER	10600	34465	\N	\N	\N
384195	1305	1994-07-21	VYDAJ	VYBER	8200	34039	\N	\N	\N
384196	1305	1994-08-20	VYDAJ	VYBER	8300	33700	\N	\N	\N
384197	1305	1994-09-19	VYDAJ	VYBER	8700	30876	\N	\N	\N
384198	1305	1994-10-19	VYDAJ	VYBER	7500	33742	\N	\N	\N
384199	1305	1994-11-18	VYDAJ	VYBER	6700	37400	\N	\N	\N
384200	1305	1994-12-18	VYDAJ	VYBER	9700	42591	\N	\N	\N
384201	1305	1995-01-17	VYDAJ	VYBER	6600	39493	\N	\N	\N
384202	1305	1995-02-16	VYDAJ	VYBER	2900	35092	\N	\N	\N
384203	1305	1995-03-18	VYDAJ	VYBER	8300	37165	\N	\N	\N
384204	1305	1995-04-17	VYDAJ	VYBER	7800	38939	\N	\N	\N
384205	1305	1995-05-17	VYDAJ	VYBER	11000	38329	\N	\N	\N
384206	1305	1995-06-16	VYDAJ	VYBER	4900	40233	\N	\N	\N
384207	1305	1995-07-16	VYDAJ	VYBER	6600	37623	\N	\N	\N
384208	1305	1995-08-15	VYDAJ	VYBER	5900	42111	\N	\N	\N
384209	1305	1995-09-14	VYDAJ	VYBER	10100	42402	\N	\N	\N
384210	1305	1995-10-14	VYDAJ	VYBER	8000	44802	\N	\N	\N
384211	1305	1995-11-13	VYDAJ	VYBER	10700	44509	\N	\N	\N
384212	1305	1995-12-13	VYDAJ	VYBER	5500	47038	\N	\N	\N
384213	1305	1996-01-12	VYDAJ	VYBER	6900	47251	\N	\N	\N
384214	1305	1996-02-11	VYDAJ	VYBER	3500	40854	\N	\N	\N
384215	1305	1996-03-12	VYDAJ	VYBER	7900	43338	\N	\N	\N
384216	1305	1996-04-11	VYDAJ	VYBER	3300	46639	\N	\N	\N
384217	1305	1996-05-11	VYDAJ	VYBER	8600	48452	\N	\N	\N
384218	1305	1996-06-10	VYDAJ	VYBER	1000	46294	\N	\N	\N
384219	1305	1996-07-10	PRIJEM	VKLAD	800	53213	\N	\N	\N
384220	1305	1996-08-09	VYDAJ	VYBER	7200	52447	\N	\N	\N
384221	1305	1996-09-08	PRIJEM	VKLAD	1200	53868	\N	\N	\N
384222	1305	1996-10-08	VYDAJ	VYBER	2100	62245	\N	\N	\N
384223	1305	1996-11-07	VYDAJ	VYBER	11700	61061	\N	\N	\N
384224	1305	1996-12-07	VYDAJ	VYBER	6600	64983	\N	\N	\N
384225	1305	1997-01-06	VYDAJ	VYBER	6900	71747	\N	\N	\N
384226	1305	1997-02-05	VYDAJ	VYBER	4200	67482	\N	\N	\N
384227	1305	1997-03-07	VYDAJ	VYBER	9700	68321	\N	\N	\N
384228	1305	1997-04-06	VYDAJ	VYBER	8700	70170	\N	\N	\N
384229	1305	1997-05-06	VYDAJ	VYBER	7800	72926	\N	\N	\N
384230	1305	1997-06-05	VYDAJ	VYBER	8700	70792	\N	\N	\N
384231	1305	1997-07-05	PRIJEM	VKLAD	2200	64151	\N	\N	\N
384232	1305	1997-08-04	VYDAJ	VYBER	6900	67769	\N	\N	\N
384233	1305	1997-09-03	VYDAJ	VYBER	8400	69913	\N	\N	\N
384234	1305	1997-10-03	VYDAJ	VYBER	4300	72446	\N	\N	\N
384235	1305	1997-11-02	VYDAJ	VYBER	900	79495	\N	\N	\N
384236	1305	1997-12-02	VYDAJ	VYBER	1800	88280	\N	\N	\N
384237	1305	1998-01-01	VYDAJ	VYBER	6800	93828	\N	\N	\N
384238	1305	1998-01-31	PRIJEM	VKLAD	1300	84567	\N	\N	\N
384239	1305	1998-03-02	VYDAJ	VYBER	7700	87796	\N	\N	\N
384240	1305	1998-04-01	VYDAJ	VYBER	4200	92518	\N	\N	\N
384241	1305	1998-05-01	VYDAJ	VYBER	2400	95656	\N	\N	\N
384242	1305	1998-05-31	VYDAJ	VYBER	8800	97522	\N	\N	\N
384243	1305	1998-06-30	VYDAJ	VYBER	2900	98171	\N	\N	\N
384244	1305	1998-07-30	VYDAJ	VYBER	5700	101395	\N	\N	\N
384245	1305	1998-08-29	VYDAJ	VYBER	1000	104040	\N	\N	\N
384246	1305	1998-09-28	VYDAJ	VYBER	1300	113394	\N	\N	\N
384247	1305	1998-10-09	VYDAJ	VYBER	18700	105352	\N	\N	\N
384248	1305	1998-10-28	VYDAJ	VYBER KARTOU	300	105052	\N	\N	0
384249	1305	1998-11-09	VYDAJ	VYBER	37100	78667	\N	\N	\N
384250	1305	1998-11-27	PRIJEM	VKLAD	14600	93267	\N	\N	\N
384315	1306	1995-03-22	PRIJEM	VKLAD	600	600	\N	\N	\N
384319	1306	1995-04-06	PRIJEM	VKLAD	17049	17649	\N	\N	\N
384320	1306	1995-05-06	PRIJEM	VKLAD	17049	39429	\N	\N	\N
384321	1306	1995-06-06	PRIJEM	VKLAD	25574	56108	\N	\N	\N
384322	1306	1995-07-06	PRIJEM	VKLAD	17049	56898	\N	\N	\N
384323	1306	1995-08-06	PRIJEM	VKLAD	17049	55110	\N	\N	\N
384324	1306	1995-09-06	PRIJEM	VKLAD	17049	47158	\N	\N	\N
384325	1306	1995-10-06	PRIJEM	VKLAD	17049	41386	\N	\N	\N
384326	1306	1995-11-06	PRIJEM	VKLAD	17049	43797	\N	\N	\N
384327	1306	1995-12-06	PRIJEM	VKLAD	25574	51448	\N	\N	\N
384328	1306	1996-01-06	PRIJEM	VKLAD	17049	44483	\N	\N	\N
384329	1306	1996-02-06	PRIJEM	VKLAD	17049	40601	\N	\N	\N
384330	1306	1996-03-06	PRIJEM	VKLAD	17049	44610	\N	\N	\N
384331	1306	1996-04-06	PRIJEM	VKLAD	17049	43827	\N	\N	\N
384332	1306	1996-05-06	PRIJEM	VKLAD	17049	46747	\N	\N	\N
384333	1306	1996-06-06	PRIJEM	VKLAD	25574	51791	\N	\N	\N
384334	1306	1996-07-06	PRIJEM	VKLAD	17049	30502	\N	\N	\N
384335	1306	1996-08-06	PRIJEM	VKLAD	17049	37574	\N	\N	\N
384336	1306	1996-09-06	PRIJEM	VKLAD	17049	40666	\N	\N	\N
384337	1306	1996-10-06	PRIJEM	VKLAD	17049	43467	\N	\N	\N
384338	1306	1996-11-06	PRIJEM	VKLAD	17049	39963	\N	\N	\N
384339	1306	1996-12-06	PRIJEM	VKLAD	25574	48881	\N	\N	\N
384340	1306	1997-01-06	PRIJEM	VKLAD	17049	42490	\N	\N	\N
384341	1306	1997-02-06	PRIJEM	VKLAD	17049	35473	\N	\N	\N
384342	1306	1997-03-06	PRIJEM	VKLAD	17049	32836	\N	\N	\N
384343	1306	1997-04-06	PRIJEM	VKLAD	17049	34300	\N	\N	\N
384344	1306	1997-05-06	PRIJEM	VKLAD	17049	34465	\N	\N	\N
384345	1306	1997-06-06	PRIJEM	VKLAD	25574	47469	\N	\N	\N
384346	1306	1997-07-06	PRIJEM	VKLAD	17049	39659	\N	\N	\N
384347	1306	1997-08-06	PRIJEM	VKLAD	17049	37345	\N	\N	\N
384348	1306	1997-09-06	PRIJEM	VKLAD	17049	39526	\N	\N	\N
384349	1306	1997-10-06	PRIJEM	VKLAD	17049	41314	\N	\N	\N
384350	1306	1997-11-06	PRIJEM	VKLAD	17049	44413	\N	\N	\N
384351	1306	1997-12-06	PRIJEM	VKLAD	25574	55864	\N	\N	\N
384352	1306	1998-01-06	PRIJEM	VKLAD	17049	43807	\N	\N	\N
384353	1306	1998-02-06	PRIJEM	VKLAD	17049	41026	\N	\N	\N
384354	1306	1998-03-06	PRIJEM	VKLAD	17049	50348	\N	\N	\N
384355	1306	1998-04-06	PRIJEM	VKLAD	17049	47878	\N	\N	\N
384356	1306	1998-05-06	PRIJEM	VKLAD	17049	47025	\N	\N	\N
384357	1306	1998-06-06	PRIJEM	VKLAD	25574	54796	\N	\N	\N
384358	1306	1998-07-06	PRIJEM	VKLAD	17049	41546	\N	\N	\N
384359	1306	1998-08-06	PRIJEM	VKLAD	17049	40673	\N	\N	\N
384360	1306	1998-09-06	PRIJEM	VKLAD	17049	39298	\N	\N	\N
384361	1306	1998-10-06	PRIJEM	VKLAD	17049	34205	\N	\N	\N
384362	1306	1998-11-06	PRIJEM	VKLAD	17049	36903	\N	\N	\N
384363	1306	1998-12-06	PRIJEM	VKLAD	25574	47034	\N	\N	\N
384371	1306	1995-08-14	VYDAJ	PREVOD NA UCET	5023	47257	SIPO	YZ	36806219
384372	1306	1995-09-14	VYDAJ	PREVOD NA UCET	5023	39305	SIPO	YZ	36806219
384373	1306	1995-10-14	VYDAJ	PREVOD NA UCET	5023	33533	SIPO	YZ	36806219
384374	1306	1995-11-14	VYDAJ	PREVOD NA UCET	5023	35944	SIPO	YZ	36806219
384375	1306	1995-12-14	VYDAJ	PREVOD NA UCET	5023	43595	SIPO	YZ	36806219
384376	1306	1996-01-14	VYDAJ	PREVOD NA UCET	5023	36130	SIPO	YZ	36806219
384377	1306	1996-02-14	VYDAJ	PREVOD NA UCET	5023	32748	SIPO	YZ	36806219
384378	1306	1996-03-14	VYDAJ	PREVOD NA UCET	5023	36757	SIPO	YZ	36806219
384379	1306	1996-04-14	VYDAJ	PREVOD NA UCET	5023	35974	SIPO	YZ	36806219
384380	1306	1996-05-14	VYDAJ	PREVOD NA UCET	5023	38894	SIPO	YZ	36806219
384381	1306	1996-06-14	VYDAJ	PREVOD NA UCET	5023	43938	SIPO	YZ	36806219
384382	1306	1996-07-14	VYDAJ	PREVOD NA UCET	5023	20449	SIPO	YZ	36806219
384383	1306	1996-08-14	VYDAJ	PREVOD NA UCET	5023	23521	SIPO	YZ	36806219
384384	1306	1996-09-14	VYDAJ	PREVOD NA UCET	5023	26313	SIPO	YZ	36806219
384385	1306	1996-10-14	VYDAJ	PREVOD NA UCET	5023	24314	SIPO	YZ	36806219
384386	1306	1996-11-14	VYDAJ	PREVOD NA UCET	5023	25910	SIPO	YZ	36806219
384387	1306	1996-12-14	VYDAJ	PREVOD NA UCET	5023	28928	SIPO	YZ	36806219
384388	1306	1997-01-14	VYDAJ	PREVOD NA UCET	5023	23437	SIPO	YZ	36806219
384389	1306	1997-02-14	VYDAJ	PREVOD NA UCET	5023	17920	SIPO	YZ	36806219
384390	1306	1997-03-14	VYDAJ	PREVOD NA UCET	5023	17183	SIPO	YZ	36806219
384391	1306	1997-04-14	VYDAJ	PREVOD NA UCET	5023	17347	SIPO	YZ	36806219
384392	1306	1997-05-14	VYDAJ	PREVOD NA UCET	5023	21812	SIPO	YZ	36806219
384393	1306	1997-06-14	VYDAJ	PREVOD NA UCET	5023	22516	SIPO	YZ	36806219
384394	1306	1997-07-14	VYDAJ	PREVOD NA UCET	5023	22806	SIPO	YZ	36806219
384395	1306	1997-08-14	VYDAJ	PREVOD NA UCET	5023	22392	SIPO	YZ	36806219
384396	1306	1997-09-14	VYDAJ	PREVOD NA UCET	5023	24173	SIPO	YZ	36806219
384397	1306	1997-10-14	VYDAJ	PREVOD NA UCET	5023	27261	SIPO	YZ	36806219
384398	1306	1997-11-14	VYDAJ	PREVOD NA UCET	5023	33760	SIPO	YZ	36806219
384399	1306	1997-12-14	VYDAJ	PREVOD NA UCET	5023	36511	SIPO	YZ	36806219
384400	1306	1998-01-14	VYDAJ	PREVOD NA UCET	5023	31554	SIPO	YZ	36806219
384401	1306	1998-02-14	VYDAJ	PREVOD NA UCET	5023	33173	SIPO	YZ	36806219
384402	1306	1998-03-14	VYDAJ	PREVOD NA UCET	5023	31595	SIPO	YZ	36806219
384403	1306	1998-04-14	VYDAJ	PREVOD NA UCET	5023	40025	SIPO	YZ	36806219
384404	1306	1998-05-14	VYDAJ	PREVOD NA UCET	5023	39172	SIPO	YZ	36806219
384405	1306	1998-06-14	VYDAJ	PREVOD NA UCET	5023	39643	SIPO	YZ	36806219
384406	1306	1998-07-14	VYDAJ	PREVOD NA UCET	5023	33693	SIPO	YZ	36806219
384407	1306	1998-08-14	VYDAJ	PREVOD NA UCET	5023	32820	SIPO	YZ	36806219
384408	1306	1998-09-14	VYDAJ	PREVOD NA UCET	5023	27645	SIPO	YZ	36806219
384409	1306	1998-10-14	VYDAJ	PREVOD NA UCET	5023	26352	SIPO	YZ	36806219
384410	1306	1998-11-14	VYDAJ	PREVOD NA UCET	5023	29050	SIPO	YZ	36806219
384411	1306	1998-12-14	VYDAJ	PREVOD NA UCET	5023	39181	SIPO	YZ	36806219
384419	1306	1995-08-13	VYDAJ	PREVOD NA UCET	942	52280	 	IJ	20391887
384420	1306	1995-09-13	VYDAJ	PREVOD NA UCET	942	44328	 	IJ	20391887
384421	1306	1995-10-13	VYDAJ	PREVOD NA UCET	942	38556	 	IJ	20391887
384422	1306	1995-11-13	VYDAJ	PREVOD NA UCET	942	40967	 	IJ	20391887
384423	1306	1995-12-13	VYDAJ	PREVOD NA UCET	942	48618	 	IJ	20391887
384424	1306	1996-01-13	VYDAJ	PREVOD NA UCET	942	41153	 	IJ	20391887
384425	1306	1996-02-13	VYDAJ	PREVOD NA UCET	942	37771	 	IJ	20391887
384426	1306	1996-03-13	VYDAJ	PREVOD NA UCET	942	41780	 	IJ	20391887
384427	1306	1996-04-13	VYDAJ	PREVOD NA UCET	942	40997	 	IJ	20391887
384428	1306	1996-05-13	VYDAJ	PREVOD NA UCET	942	43917	 	IJ	20391887
384429	1306	1996-06-13	VYDAJ	PREVOD NA UCET	942	48961	 	IJ	20391887
384430	1306	1996-07-13	VYDAJ	PREVOD NA UCET	942	27672	 	IJ	20391887
384431	1306	1996-08-13	VYDAJ	PREVOD NA UCET	942	34744	 	IJ	20391887
384432	1306	1996-09-13	VYDAJ	PREVOD NA UCET	942	31336	 	IJ	20391887
384433	1306	1996-10-13	VYDAJ	PREVOD NA UCET	942	29337	 	IJ	20391887
384434	1306	1996-11-13	VYDAJ	PREVOD NA UCET	942	30933	 	IJ	20391887
384435	1306	1996-12-13	VYDAJ	PREVOD NA UCET	942	33951	 	IJ	20391887
384436	1306	1997-01-13	VYDAJ	PREVOD NA UCET	942	28460	 	IJ	20391887
384437	1306	1997-02-13	VYDAJ	PREVOD NA UCET	942	22943	 	IJ	20391887
384438	1306	1997-03-13	VYDAJ	PREVOD NA UCET	942	22206	 	IJ	20391887
384439	1306	1997-04-13	VYDAJ	PREVOD NA UCET	942	22370	 	IJ	20391887
384440	1306	1997-05-13	VYDAJ	PREVOD NA UCET	942	26835	 	IJ	20391887
384441	1306	1997-06-13	VYDAJ	PREVOD NA UCET	942	27539	 	IJ	20391887
384442	1306	1997-07-13	VYDAJ	PREVOD NA UCET	942	27829	 	IJ	20391887
384443	1306	1997-08-13	VYDAJ	PREVOD NA UCET	942	27415	 	IJ	20391887
384444	1306	1997-09-13	VYDAJ	PREVOD NA UCET	942	29196	 	IJ	20391887
384445	1306	1997-10-13	VYDAJ	PREVOD NA UCET	942	32284	 	IJ	20391887
384446	1306	1997-11-13	VYDAJ	PREVOD NA UCET	942	38783	 	IJ	20391887
384447	1306	1997-12-13	VYDAJ	PREVOD NA UCET	942	41534	 	IJ	20391887
384448	1306	1998-01-13	VYDAJ	PREVOD NA UCET	942	36577	 	IJ	20391887
384449	1306	1998-02-13	VYDAJ	PREVOD NA UCET	942	38196	 	IJ	20391887
384450	1306	1998-03-13	VYDAJ	PREVOD NA UCET	942	36618	 	IJ	20391887
384451	1306	1998-04-13	VYDAJ	PREVOD NA UCET	942	45048	 	IJ	20391887
384452	1306	1998-05-13	VYDAJ	PREVOD NA UCET	942	44195	 	IJ	20391887
384453	1306	1998-06-13	VYDAJ	PREVOD NA UCET	942	44666	 	IJ	20391887
384454	1306	1998-07-13	VYDAJ	PREVOD NA UCET	942	38716	 	IJ	20391887
384455	1306	1998-08-13	VYDAJ	PREVOD NA UCET	942	37843	 	IJ	20391887
384456	1306	1998-09-13	VYDAJ	PREVOD NA UCET	942	32668	 	IJ	20391887
384457	1306	1998-10-13	VYDAJ	PREVOD NA UCET	942	31375	 	IJ	20391887
384458	1306	1998-11-13	VYDAJ	PREVOD NA UCET	942	34073	 	IJ	20391887
384459	1306	1998-12-13	VYDAJ	PREVOD NA UCET	942	44204	 	IJ	20391887
384467	1306	1995-08-06	VYDAJ	PREVOD NA UCET	1888	53222	POJISTNE	EF	58231496
384468	1306	1995-09-06	VYDAJ	PREVOD NA UCET	1888	45270	POJISTNE	EF	58231496
384469	1306	1995-10-06	VYDAJ	PREVOD NA UCET	1888	39498	POJISTNE	EF	58231496
384470	1306	1995-11-06	VYDAJ	PREVOD NA UCET	1888	41909	POJISTNE	EF	58231496
384471	1306	1995-12-06	VYDAJ	PREVOD NA UCET	1888	49560	POJISTNE	EF	58231496
384472	1306	1996-01-06	VYDAJ	PREVOD NA UCET	1888	42095	POJISTNE	EF	58231496
384473	1306	1996-02-06	VYDAJ	PREVOD NA UCET	1888	38713	POJISTNE	EF	58231496
384474	1306	1996-03-06	VYDAJ	PREVOD NA UCET	1888	42722	POJISTNE	EF	58231496
384475	1306	1996-04-06	VYDAJ	PREVOD NA UCET	1888	41939	POJISTNE	EF	58231496
384476	1306	1996-05-06	VYDAJ	PREVOD NA UCET	1888	44859	POJISTNE	EF	58231496
384477	1306	1996-06-06	VYDAJ	PREVOD NA UCET	1888	49903	POJISTNE	EF	58231496
384478	1306	1996-07-06	VYDAJ	PREVOD NA UCET	1888	28614	POJISTNE	EF	58231496
384479	1306	1996-08-06	VYDAJ	PREVOD NA UCET	1888	35686	POJISTNE	EF	58231496
384480	1306	1996-09-06	VYDAJ	PREVOD NA UCET	1888	38778	POJISTNE	EF	58231496
384481	1306	1996-10-06	VYDAJ	PREVOD NA UCET	1888	41579	POJISTNE	EF	58231496
384482	1306	1996-11-06	VYDAJ	PREVOD NA UCET	1888	38075	POJISTNE	EF	58231496
384483	1306	1996-12-06	VYDAJ	PREVOD NA UCET	1888	46993	POJISTNE	EF	58231496
384484	1306	1997-01-06	VYDAJ	PREVOD NA UCET	1888	40602	POJISTNE	EF	58231496
384485	1306	1997-02-06	VYDAJ	PREVOD NA UCET	1888	33585	POJISTNE	EF	58231496
384486	1306	1997-03-06	VYDAJ	PREVOD NA UCET	1888	30948	POJISTNE	EF	58231496
384487	1306	1997-04-06	VYDAJ	PREVOD NA UCET	1888	32412	POJISTNE	EF	58231496
384488	1306	1997-05-06	VYDAJ	PREVOD NA UCET	1888	32577	POJISTNE	EF	58231496
384489	1306	1997-06-06	VYDAJ	PREVOD NA UCET	1888	45581	POJISTNE	EF	58231496
384490	1306	1997-07-06	VYDAJ	PREVOD NA UCET	1888	37771	POJISTNE	EF	58231496
384491	1306	1997-08-06	VYDAJ	PREVOD NA UCET	1888	35457	POJISTNE	EF	58231496
384492	1306	1997-09-06	VYDAJ	PREVOD NA UCET	1888	37638	POJISTNE	EF	58231496
384493	1306	1997-10-06	VYDAJ	PREVOD NA UCET	1888	39426	POJISTNE	EF	58231496
384494	1306	1997-11-06	VYDAJ	PREVOD NA UCET	1888	42525	POJISTNE	EF	58231496
384495	1306	1997-12-06	VYDAJ	PREVOD NA UCET	1888	42476	POJISTNE	EF	58231496
384496	1306	1998-01-06	VYDAJ	PREVOD NA UCET	1888	41919	POJISTNE	EF	58231496
384497	1306	1998-02-06	VYDAJ	PREVOD NA UCET	1888	39138	POJISTNE	EF	58231496
384498	1306	1998-03-06	VYDAJ	PREVOD NA UCET	1888	48460	POJISTNE	EF	58231496
384499	1306	1998-04-06	VYDAJ	PREVOD NA UCET	1888	45990	POJISTNE	EF	58231496
384500	1306	1998-05-06	VYDAJ	PREVOD NA UCET	1888	45137	POJISTNE	EF	58231496
384501	1306	1998-06-06	VYDAJ	PREVOD NA UCET	1888	49608	POJISTNE	EF	58231496
384502	1306	1998-07-06	VYDAJ	PREVOD NA UCET	1888	39658	POJISTNE	EF	58231496
384503	1306	1998-08-06	VYDAJ	PREVOD NA UCET	1888	38785	POJISTNE	EF	58231496
384504	1306	1998-09-06	VYDAJ	PREVOD NA UCET	1888	37410	POJISTNE	EF	58231496
384505	1306	1998-10-06	VYDAJ	PREVOD NA UCET	1888	32317	POJISTNE	EF	58231496
384506	1306	1998-11-06	VYDAJ	PREVOD NA UCET	1888	35015	POJISTNE	EF	58231496
384507	1306	1998-12-06	VYDAJ	PREVOD NA UCET	1888	45146	POJISTNE	EF	58231496
384509	1306	1996-06-24	VYDAJ	VYBER	17100	13338	\N	\N	\N
384511	1306	1998-06-07	VYDAJ	VYBER	4000	45608	\N	\N	\N
384512	1306	1995-12-24	VYDAJ	VYBER	2300	31295	\N	\N	\N
384513	1306	1996-12-21	VYDAJ	VYBER	2100	26828	\N	\N	\N
384514	1306	1997-12-16	VYDAJ	VYBER	1700	34811	\N	\N	\N
384515	1306	1998-12-03	VYDAJ	VYBER	1700	22260	\N	\N	\N
384522	1306	1996-01-24	VYDAJ	VYBER	1000	28430	\N	\N	\N
384523	1306	1996-01-05	VYDAJ	VYBER	1100	27434	\N	\N	\N
384524	1306	1996-01-30	VYDAJ	VYBER	2200	23430	\N	\N	\N
384525	1306	1996-01-06	VYDAJ	VYBER	500	43983	\N	\N	\N
384526	1306	1996-01-03	VYDAJ	VYBER	2900	28534	\N	\N	\N
384527	1306	1996-01-25	VYDAJ	VYBER	2800	25630	\N	\N	\N
384528	1306	1997-01-27	VYDAJ	VYBER	700	18337	\N	\N	\N
384529	1306	1997-01-09	VYDAJ	VYBER	1400	39202	\N	\N	\N
384530	1306	1997-01-01	VYDAJ	VYBER	1500	25441	\N	\N	\N
384531	1306	1997-01-15	VYDAJ	VYBER	2600	19037	\N	\N	\N
384532	1306	1997-01-14	VYDAJ	VYBER	1100	21637	\N	\N	\N
384533	1306	1997-01-14	VYDAJ	VYBER	700	22737	\N	\N	\N
384534	1306	1998-01-26	VYDAJ	VYBER	2000	29554	\N	\N	\N
384535	1306	1998-01-27	VYDAJ	VYBER	2000	25454	\N	\N	\N
384536	1306	1998-01-12	VYDAJ	VYBER	1500	37519	\N	\N	\N
384537	1306	1998-01-05	VYDAJ	VYBER	1600	26758	\N	\N	\N
384538	1306	1998-01-26	VYDAJ	VYBER	2100	27454	\N	\N	\N
384539	1306	1998-01-11	VYDAJ	VYBER	2900	39019	\N	\N	\N
384542	1306	1995-11-17	VYDAJ	VYBER	3100	32844	\N	\N	\N
384543	1306	1995-08-20	VYDAJ	VYBER	4800	29957	\N	\N	\N
384544	1306	1995-10-01	VYDAJ	VYBER	4300	24337	\N	\N	\N
384545	1306	1996-04-04	VYDAJ	VYBER	1500	26778	\N	\N	\N
384546	1306	1996-06-22	VYDAJ	VYBER	1100	30438	\N	\N	\N
384547	1306	1996-01-23	VYDAJ	VYBER	900	29430	\N	\N	\N
384548	1306	1996-11-16	VYDAJ	VYBER	2700	23210	\N	\N	\N
384549	1306	1996-05-19	VYDAJ	VYBER	2400	26094	\N	\N	\N
384550	1306	1996-05-15	VYDAJ	VYBER	2300	28494	\N	\N	\N
384551	1306	1996-10-16	VYDAJ	VYBER	1500	22814	\N	\N	\N
384552	1306	1997-02-16	VYDAJ	VYBER	2200	15720	\N	\N	\N
384553	1306	1997-12-26	VYDAJ	VYBER	1100	33711	\N	\N	\N
384554	1306	1997-11-28	VYDAJ	VYBER	3600	30160	\N	\N	\N
384555	1306	1997-06-13	VYDAJ	VYBER	4800	28481	\N	\N	\N
384556	1306	1997-07-30	VYDAJ	VYBER	2600	20206	\N	\N	\N
384557	1306	1998-02-04	VYDAJ	VYBER	4100	23977	\N	\N	\N
384558	1306	1998-05-15	VYDAJ	VYBER	2200	36972	\N	\N	\N
384559	1306	1998-06-06	VYDAJ	VYBER	3300	51496	\N	\N	\N
384560	1306	1998-01-05	VYDAJ	VYBER	4200	28358	\N	\N	\N
384561	1306	1998-01-01	VYDAJ	VYBER	3700	30158	\N	\N	\N
384562	1306	1998-09-09	VYDAJ	VYBER	3800	33610	\N	\N	\N
384563	1306	1998-07-01	VYDAJ	VYBER	2100	37697	\N	\N	\N
384564	1306	1998-12-04	VYDAJ	VYBER	800	21460	\N	\N	\N
384573	1306	1995-08-31	VYDAJ	VYBER	15	30109	SLUZBY	\N	\N
384574	1306	1995-09-30	VYDAJ	VYBER	15	28637	SLUZBY	\N	\N
384575	1306	1995-10-31	VYDAJ	VYBER	15	26748	SLUZBY	\N	\N
384576	1306	1995-11-30	VYDAJ	VYBER	15	25874	SLUZBY	\N	\N
384577	1306	1995-12-31	VYDAJ	VYBER	15	31434	SLUZBY	\N	\N
384578	1306	1996-01-31	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
384579	1306	1996-02-29	VYDAJ	VYBER	15	27561	SLUZBY	\N	\N
384580	1306	1996-03-31	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
384581	1306	1996-04-30	VYDAJ	VYBER	15	29698	SLUZBY	\N	\N
384582	1306	1996-05-31	VYDAJ	VYBER	15	26217	SLUZBY	\N	\N
384583	1306	1996-06-30	VYDAJ	VYBER	15	13453	SLUZBY	\N	\N
384584	1306	1996-07-31	VYDAJ	VYBER	15	20525	SLUZBY	\N	\N
384585	1306	1996-08-31	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
384586	1306	1996-09-30	VYDAJ	VYBER	15	26418	SLUZBY	\N	\N
384587	1306	1996-10-31	VYDAJ	VYBER	15	22914	SLUZBY	\N	\N
384588	1306	1996-11-30	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
384589	1306	1996-12-31	VYDAJ	VYBER	15	26941	SLUZBY	\N	\N
384590	1306	1997-01-31	VYDAJ	VYBER	15	18424	SLUZBY	\N	\N
384591	1306	1997-02-28	VYDAJ	VYBER	15	15787	SLUZBY	\N	\N
384592	1306	1997-03-31	VYDAJ	VYBER	15	17251	SLUZBY	\N	\N
384593	1306	1997-04-30	VYDAJ	VYBER	15	17416	SLUZBY	\N	\N
384594	1306	1997-05-31	VYDAJ	VYBER	15	21895	SLUZBY	\N	\N
384595	1306	1997-06-30	VYDAJ	VYBER	15	22610	SLUZBY	\N	\N
384596	1306	1997-07-31	VYDAJ	VYBER	15	20296	SLUZBY	\N	\N
384597	1306	1997-08-31	VYDAJ	VYBER	15	22477	SLUZBY	\N	\N
384598	1306	1997-09-30	VYDAJ	VYBER	15	24265	SLUZBY	\N	\N
384599	1306	1997-10-31	VYDAJ	VYBER	15	27364	SLUZBY	\N	\N
384600	1306	1997-11-30	VYDAJ	VYBER	15	30290	SLUZBY	\N	\N
384601	1306	1997-12-31	VYDAJ	VYBER	15	33858	SLUZBY	\N	\N
384602	1306	1998-01-31	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
384603	1306	1998-02-28	VYDAJ	VYBER	15	33299	SLUZBY	\N	\N
384604	1306	1998-03-31	VYDAJ	VYBER	15	31729	SLUZBY	\N	\N
384605	1306	1998-04-30	VYDAJ	VYBER	15	40176	SLUZBY	\N	\N
384606	1306	1998-05-31	VYDAJ	VYBER	15	37122	SLUZBY	\N	\N
384607	1306	1998-06-30	VYDAJ	VYBER	15	39797	SLUZBY	\N	\N
384608	1306	1998-07-31	VYDAJ	VYBER	15	33824	SLUZBY	\N	\N
384609	1306	1998-08-31	VYDAJ	VYBER	15	32949	SLUZBY	\N	\N
384610	1306	1998-09-30	VYDAJ	VYBER	15	27756	SLUZBY	\N	\N
384611	1306	1998-10-31	VYDAJ	VYBER	15	26454	SLUZBY	\N	\N
384612	1306	1998-11-30	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
384613	1306	1995-04-21	PRIJEM	VKLAD	4700	22349	\N	\N	\N
384614	1306	1995-05-21	VYDAJ	VYBER	9000	30429	\N	\N	\N
384615	1306	1995-06-20	VYDAJ	VYBER	16400	39708	\N	\N	\N
384616	1306	1995-07-20	VYDAJ	VYBER	19000	37898	\N	\N	\N
384617	1306	1995-08-19	VYDAJ	VYBER	12500	34757	\N	\N	\N
384618	1306	1995-09-18	VYDAJ	VYBER	10800	28505	\N	\N	\N
384619	1306	1995-10-18	VYDAJ	VYBER	6900	26633	\N	\N	\N
384620	1306	1995-11-17	VYDAJ	VYBER	7100	25744	\N	\N	\N
384621	1306	1995-12-17	VYDAJ	VYBER	10000	33595	\N	\N	\N
384622	1306	1996-01-16	VYDAJ	VYBER	5800	30330	\N	\N	\N
384623	1306	1996-02-15	VYDAJ	VYBER	5300	27448	\N	\N	\N
384624	1306	1996-03-16	VYDAJ	VYBER	8600	28157	\N	\N	\N
384625	1306	1996-04-15	VYDAJ	VYBER	6400	29574	\N	\N	\N
384626	1306	1996-05-15	VYDAJ	VYBER	8100	30794	\N	\N	\N
384627	1306	1996-06-14	VYDAJ	VYBER	12400	31538	\N	\N	\N
384628	1306	1996-07-14	VYDAJ	VYBER	2200	25472	\N	\N	\N
384629	1306	1996-08-13	VYDAJ	VYBER	6200	28544	\N	\N	\N
384630	1306	1996-09-12	VYDAJ	VYBER	6500	32278	\N	\N	\N
384631	1306	1996-10-12	VYDAJ	VYBER	11300	30279	\N	\N	\N
384632	1306	1996-11-11	VYDAJ	VYBER	6200	31875	\N	\N	\N
384633	1306	1996-12-11	VYDAJ	VYBER	12100	34893	\N	\N	\N
384634	1306	1997-01-10	VYDAJ	VYBER	9800	29402	\N	\N	\N
384635	1306	1997-02-09	VYDAJ	VYBER	9700	23885	\N	\N	\N
384636	1306	1997-03-11	VYDAJ	VYBER	7800	23148	\N	\N	\N
384637	1306	1997-04-10	VYDAJ	VYBER	9100	23312	\N	\N	\N
384638	1306	1997-05-10	VYDAJ	VYBER	4800	27777	\N	\N	\N
384639	1306	1997-06-09	VYDAJ	VYBER	12300	33281	\N	\N	\N
384640	1306	1997-07-09	VYDAJ	VYBER	9000	28771	\N	\N	\N
384641	1306	1997-08-08	VYDAJ	VYBER	7100	28357	\N	\N	\N
384642	1306	1997-09-07	VYDAJ	VYBER	7500	30138	\N	\N	\N
384643	1306	1997-10-07	VYDAJ	VYBER	6200	33226	\N	\N	\N
384644	1306	1997-11-06	VYDAJ	VYBER	2800	39725	\N	\N	\N
384645	1306	1997-12-06	VYDAJ	VYBER	11500	44364	\N	\N	\N
384646	1306	1998-01-05	PRIJEM	VKLAD	2400	32558	\N	\N	\N
384647	1306	1998-02-04	PRIJEM	VKLAD	2500	28077	\N	\N	\N
384648	1306	1998-03-06	VYDAJ	VYBER	10900	37560	\N	\N	\N
384649	1306	1998-04-05	VYDAJ	VYBER	900	30829	\N	\N	\N
384650	1306	1998-05-05	VYDAJ	VYBER	10200	29976	\N	\N	\N
384651	1306	1998-06-04	VYDAJ	VYBER	7900	29222	\N	\N	\N
384652	1306	1998-07-04	VYDAJ	VYBER	13200	24497	\N	\N	\N
384653	1306	1998-08-03	VYDAJ	VYBER	10200	23624	\N	\N	\N
384654	1306	1998-09-02	VYDAJ	VYBER	10700	22249	\N	\N	\N
384655	1306	1998-10-02	VYDAJ	VYBER	10600	17156	\N	\N	\N
384656	1306	1998-11-01	VYDAJ	VYBER	6600	19854	\N	\N	\N
384657	1306	1998-12-01	VYDAJ	VYBER	5200	23960	\N	\N	\N
384703	1307	1994-12-05	PRIJEM	VKLAD	500	500	\N	\N	\N
384715	1307	1994-12-14	PRIJEM	VKLAD	7419	7919	\N	\N	\N
384716	1307	1995-01-14	PRIJEM	VKLAD	4946	21384	\N	\N	\N
384717	1307	1995-02-14	PRIJEM	VKLAD	4946	26496	\N	\N	\N
384718	1307	1995-03-14	PRIJEM	VKLAD	4946	31742	\N	\N	\N
384719	1307	1995-04-14	PRIJEM	VKLAD	4946	34011	\N	\N	\N
384720	1307	1995-05-14	PRIJEM	VKLAD	4946	32200	\N	\N	\N
384721	1307	1995-06-14	PRIJEM	VKLAD	7419	36036	\N	\N	\N
384722	1307	1995-07-14	PRIJEM	VKLAD	4946	21595	\N	\N	\N
384723	1307	1995-08-14	PRIJEM	VKLAD	4946	25610	\N	\N	\N
384724	1307	1995-09-14	PRIJEM	VKLAD	4946	29343	\N	\N	\N
384725	1307	1995-10-14	PRIJEM	VKLAD	4946	24813	\N	\N	\N
384726	1307	1995-11-14	PRIJEM	VKLAD	4946	22829	\N	\N	\N
384727	1307	1995-12-14	PRIJEM	VKLAD	7419	27182	\N	\N	\N
384728	1307	1996-01-14	PRIJEM	VKLAD	4946	26577	\N	\N	\N
384729	1307	1996-02-14	PRIJEM	VKLAD	4946	26187	\N	\N	\N
384730	1307	1996-03-14	PRIJEM	VKLAD	4946	28108	\N	\N	\N
384731	1307	1996-04-14	PRIJEM	VKLAD	4946	25616	\N	\N	\N
384732	1307	1996-05-14	PRIJEM	VKLAD	4946	22739	\N	\N	\N
384733	1307	1996-06-14	PRIJEM	VKLAD	7419	28843	\N	\N	\N
384734	1307	1996-07-14	PRIJEM	VKLAD	4946	28189	\N	\N	\N
384735	1307	1996-08-14	PRIJEM	VKLAD	4946	23852	\N	\N	\N
384736	1307	1996-09-14	PRIJEM	VKLAD	4946	25783	\N	\N	\N
384737	1307	1996-10-14	PRIJEM	VKLAD	4946	22518	\N	\N	\N
384738	1307	1996-11-14	PRIJEM	VKLAD	4946	26044	\N	\N	\N
384739	1307	1996-12-14	PRIJEM	VKLAD	7419	29659	\N	\N	\N
384740	1307	1997-01-14	PRIJEM	VKLAD	4946	19566	\N	\N	\N
384741	1307	1997-02-14	PRIJEM	VKLAD	4946	21543	\N	\N	\N
384742	1307	1997-03-14	PRIJEM	VKLAD	4946	27368	\N	\N	\N
384743	1307	1997-04-14	PRIJEM	VKLAD	4946	21463	\N	\N	\N
384744	1307	1997-05-14	PRIJEM	VKLAD	4946	19924	\N	\N	\N
384745	1307	1997-06-14	PRIJEM	VKLAD	7419	24611	\N	\N	\N
384746	1307	1997-07-14	PRIJEM	VKLAD	4946	26240	\N	\N	\N
384747	1307	1997-08-14	PRIJEM	VKLAD	4946	22072	\N	\N	\N
384748	1307	1997-09-14	PRIJEM	VKLAD	4946	20490	\N	\N	\N
384749	1307	1997-10-14	PRIJEM	VKLAD	4946	17999	\N	\N	\N
384750	1307	1997-11-14	PRIJEM	VKLAD	4946	14715	\N	\N	\N
384751	1307	1997-12-14	PRIJEM	VKLAD	7419	20582	\N	\N	\N
384752	1307	1998-01-14	PRIJEM	VKLAD	4946	15706	\N	\N	\N
384753	1307	1998-02-14	PRIJEM	VKLAD	4946	15397	\N	\N	\N
384754	1307	1998-03-14	PRIJEM	VKLAD	4946	17092	\N	\N	\N
384755	1307	1998-04-14	PRIJEM	VKLAD	4946	18192	\N	\N	\N
384756	1307	1998-05-14	PRIJEM	VKLAD	4946	17995	\N	\N	\N
384757	1307	1998-06-14	PRIJEM	VKLAD	7419	22173	\N	\N	\N
384758	1307	1998-07-14	PRIJEM	VKLAD	4946	20684	\N	\N	\N
384759	1307	1998-08-14	PRIJEM	VKLAD	4946	23002	\N	\N	\N
384760	1307	1998-09-14	PRIJEM	VKLAD	4946	19300	\N	\N	\N
384761	1307	1998-10-14	PRIJEM	VKLAD	4946	17506	\N	\N	\N
384762	1307	1998-11-14	PRIJEM	VKLAD	4946	19008	\N	\N	\N
384763	1307	1998-12-14	PRIJEM	VKLAD	7419	16374	\N	\N	\N
384780	1307	1995-05-09	VYDAJ	PREVOD NA UCET	3297	27254	SIPO	OP	88894867
384781	1307	1995-06-09	VYDAJ	PREVOD NA UCET	3297	28617	SIPO	OP	88894867
384782	1307	1995-07-09	VYDAJ	PREVOD NA UCET	3297	16649	SIPO	OP	88894867
384783	1307	1995-08-09	VYDAJ	PREVOD NA UCET	3297	20664	SIPO	OP	88894867
384784	1307	1995-09-09	VYDAJ	PREVOD NA UCET	3297	24397	SIPO	OP	88894867
384785	1307	1995-10-09	VYDAJ	PREVOD NA UCET	3297	19867	SIPO	OP	88894867
384786	1307	1995-11-09	VYDAJ	PREVOD NA UCET	3297	23403	SIPO	OP	88894867
384787	1307	1995-12-09	VYDAJ	PREVOD NA UCET	3297	19763	SIPO	OP	88894867
384788	1307	1996-01-09	VYDAJ	PREVOD NA UCET	3297	23071	SIPO	OP	88894867
384789	1307	1996-02-09	VYDAJ	PREVOD NA UCET	3297	21241	SIPO	OP	88894867
384790	1307	1996-03-09	VYDAJ	PREVOD NA UCET	3297	23162	SIPO	OP	88894867
384791	1307	1996-04-09	VYDAJ	PREVOD NA UCET	3297	24510	SIPO	OP	88894867
384792	1307	1996-05-09	VYDAJ	PREVOD NA UCET	3297	17793	SIPO	OP	88894867
384793	1307	1996-06-09	VYDAJ	PREVOD NA UCET	3297	21424	SIPO	OP	88894867
384794	1307	1996-07-09	VYDAJ	PREVOD NA UCET	3297	23243	SIPO	OP	88894867
384795	1307	1996-08-09	VYDAJ	PREVOD NA UCET	3297	18906	SIPO	OP	88894867
384796	1307	1996-09-09	VYDAJ	PREVOD NA UCET	3297	20837	SIPO	OP	88894867
384797	1307	1996-10-09	VYDAJ	PREVOD NA UCET	3297	17572	SIPO	OP	88894867
384798	1307	1996-11-09	VYDAJ	PREVOD NA UCET	3297	21098	SIPO	OP	88894867
384799	1307	1996-12-09	VYDAJ	PREVOD NA UCET	3297	22240	SIPO	OP	88894867
384800	1307	1997-01-09	VYDAJ	PREVOD NA UCET	3297	14620	SIPO	OP	88894867
384801	1307	1997-02-09	VYDAJ	PREVOD NA UCET	3297	16597	SIPO	OP	88894867
384802	1307	1997-03-09	VYDAJ	PREVOD NA UCET	3297	22422	SIPO	OP	88894867
384803	1307	1997-04-09	VYDAJ	PREVOD NA UCET	3297	16517	SIPO	OP	88894867
384804	1307	1997-05-09	VYDAJ	PREVOD NA UCET	3297	14978	SIPO	OP	88894867
384805	1307	1997-06-09	VYDAJ	PREVOD NA UCET	3297	17192	SIPO	OP	88894867
384806	1307	1997-07-09	VYDAJ	PREVOD NA UCET	3297	21294	SIPO	OP	88894867
384807	1307	1997-08-09	VYDAJ	PREVOD NA UCET	3297	17126	SIPO	OP	88894867
384808	1307	1997-09-09	VYDAJ	PREVOD NA UCET	3297	15544	SIPO	OP	88894867
384809	1307	1997-10-09	VYDAJ	PREVOD NA UCET	3297	13053	SIPO	OP	88894867
384810	1307	1997-11-09	VYDAJ	PREVOD NA UCET	3297	9769	SIPO	OP	88894867
384811	1307	1997-12-09	VYDAJ	PREVOD NA UCET	3297	13163	SIPO	OP	88894867
384812	1307	1998-01-09	VYDAJ	PREVOD NA UCET	3297	10760	SIPO	OP	88894867
384813	1307	1998-02-09	VYDAJ	PREVOD NA UCET	3297	10451	SIPO	OP	88894867
384814	1307	1998-03-09	VYDAJ	PREVOD NA UCET	3297	12146	SIPO	OP	88894867
384815	1307	1998-04-09	VYDAJ	PREVOD NA UCET	3297	13246	SIPO	OP	88894867
384816	1307	1998-05-09	VYDAJ	PREVOD NA UCET	3297	13049	SIPO	OP	88894867
384817	1307	1998-06-09	VYDAJ	PREVOD NA UCET	3297	14754	SIPO	OP	88894867
384818	1307	1998-07-09	VYDAJ	PREVOD NA UCET	3297	15738	SIPO	OP	88894867
384819	1307	1998-08-09	VYDAJ	PREVOD NA UCET	3297	18056	SIPO	OP	88894867
384820	1307	1998-09-09	VYDAJ	PREVOD NA UCET	3297	14354	SIPO	OP	88894867
384821	1307	1998-10-09	VYDAJ	PREVOD NA UCET	3297	12560	SIPO	OP	88894867
384822	1307	1998-11-09	VYDAJ	PREVOD NA UCET	3297	14062	SIPO	OP	88894867
384823	1307	1998-12-09	VYDAJ	PREVOD NA UCET	3297	8955	SIPO	OP	88894867
384825	1307	1995-06-25	VYDAJ	VYBER	20000	16036	\N	\N	\N
384831	1307	1996-01-23	VYDAJ	VYBER	4640	16537	\N	\N	\N
384832	1307	1997-01-03	VYDAJ	VYBER	3360	20557	\N	\N	\N
384835	1307	1995-12-19	VYDAJ	VYBER	4000	23182	\N	\N	\N
384836	1307	1996-12-17	VYDAJ	VYBER	4000	25659	\N	\N	\N
384851	1307	1996-01-14	VYDAJ	VYBER	2880	23697	\N	\N	\N
384852	1307	1996-01-01	VYDAJ	VYBER	1800	26368	\N	\N	\N
384853	1307	1996-01-11	VYDAJ	VYBER	1440	21631	\N	\N	\N
384855	1307	1996-01-28	VYDAJ	VYBER	2280	14257	\N	\N	\N
384856	1307	1996-01-15	VYDAJ	VYBER	720	22977	\N	\N	\N
384857	1307	1997-01-03	VYDAJ	VYBER	1680	23917	\N	\N	\N
384858	1307	1997-01-01	VYDAJ	VYBER	3360	25597	\N	\N	\N
384859	1307	1997-01-30	VYDAJ	VYBER	2040	19826	\N	\N	\N
384860	1307	1997-01-20	VYDAJ	VYBER	3000	16566	\N	\N	\N
384862	1307	1997-01-07	VYDAJ	VYBER	2640	17917	\N	\N	\N
384864	1307	1998-01-04	VYDAJ	VYBER	1680	14057	\N	\N	\N
384874	1307	1995-11-10	VYDAJ	VYBER	5520	17883	\N	\N	\N
384875	1307	1995-11-16	VYDAJ	VYBER	5640	17189	\N	\N	\N
384876	1307	1995-04-23	VYDAJ	VYBER	3480	30531	\N	\N	\N
384877	1307	1995-10-05	VYDAJ	VYBER	5280	23164	\N	\N	\N
384878	1307	1996-02-28	VYDAJ	VYBER	4920	26367	\N	\N	\N
384879	1307	1996-07-29	VYDAJ	VYBER	600	22109	\N	\N	\N
384880	1307	1996-07-25	VYDAJ	VYBER	3480	24709	\N	\N	\N
384881	1307	1996-12-06	VYDAJ	VYBER	3000	25537	\N	\N	\N
384882	1307	1996-04-12	VYDAJ	VYBER	3840	20670	\N	\N	\N
384883	1307	1996-05-04	VYDAJ	VYBER	5520	21090	\N	\N	\N
384884	1307	1996-01-20	VYDAJ	VYBER	1800	21177	\N	\N	\N
384885	1307	1997-05-19	VYDAJ	VYBER	2400	17524	\N	\N	\N
384886	1307	1997-03-15	VYDAJ	VYBER	1320	26048	\N	\N	\N
384887	1307	1997-03-15	VYDAJ	VYBER	4920	21128	\N	\N	\N
384890	1307	1997-05-01	VYDAJ	VYBER	3360	18275	\N	\N	\N
384891	1307	1997-10-14	VYDAJ	VYBER	2280	15719	\N	\N	\N
384892	1307	1998-08-15	VYDAJ	VYBER	840	22162	\N	\N	\N
384894	1307	1998-08-24	VYDAJ	VYBER	3480	17582	\N	\N	\N
384897	1307	1998-09-29	VYDAJ	VYBER	1800	15800	\N	\N	\N
384914	1307	1995-04-30	VYDAJ	VYBER	15	30651	SLUZBY	\N	\N
384915	1307	1995-05-31	VYDAJ	VYBER	15	32314	SLUZBY	\N	\N
384916	1307	1995-06-30	VYDAJ	VYBER	15	16146	SLUZBY	\N	\N
384917	1307	1995-07-31	VYDAJ	VYBER	15	21661	SLUZBY	\N	\N
384918	1307	1995-08-31	VYDAJ	VYBER	15	25694	SLUZBY	\N	\N
384919	1307	1995-09-30	VYDAJ	VYBER	15	29444	SLUZBY	\N	\N
384920	1307	1995-10-31	VYDAJ	VYBER	15	26700	SLUZBY	\N	\N
384921	1307	1995-11-30	VYDAJ	VYBER	15	23060	SLUZBY	\N	\N
384922	1307	1995-12-31	VYDAJ	VYBER	15	28168	SLUZBY	\N	\N
384923	1307	1996-01-31	VYDAJ	VYBER	15	24538	SLUZBY	\N	\N
384924	1307	1996-02-29	VYDAJ	VYBER	15	26459	SLUZBY	\N	\N
384925	1307	1996-03-31	VYDAJ	VYBER	15	27807	SLUZBY	\N	\N
384926	1307	1996-04-30	VYDAJ	VYBER	15	26610	SLUZBY	\N	\N
384927	1307	1996-05-31	VYDAJ	VYBER	15	24721	SLUZBY	\N	\N
384928	1307	1996-06-30	VYDAJ	VYBER	15	26540	SLUZBY	\N	\N
384929	1307	1996-07-31	VYDAJ	VYBER	15	22203	SLUZBY	\N	\N
384930	1307	1996-08-31	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
384931	1307	1996-09-30	VYDAJ	VYBER	15	20869	SLUZBY	\N	\N
384932	1307	1996-10-31	VYDAJ	VYBER	15	24395	SLUZBY	\N	\N
384933	1307	1996-11-30	VYDAJ	VYBER	15	28537	SLUZBY	\N	\N
384934	1307	1996-12-31	VYDAJ	VYBER	15	28957	SLUZBY	\N	\N
384935	1307	1997-01-31	VYDAJ	VYBER	15	19894	SLUZBY	\N	\N
384936	1307	1997-02-28	VYDAJ	VYBER	15	25719	SLUZBY	\N	\N
384937	1307	1997-03-31	VYDAJ	VYBER	15	19814	SLUZBY	\N	\N
384938	1307	1997-04-30	VYDAJ	VYBER	15	21635	SLUZBY	\N	\N
384939	1307	1997-05-31	VYDAJ	VYBER	15	20489	SLUZBY	\N	\N
384940	1307	1997-06-30	VYDAJ	VYBER	15	24591	SLUZBY	\N	\N
384941	1307	1997-07-31	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
384942	1307	1997-08-31	VYDAJ	VYBER	15	18841	SLUZBY	\N	\N
384943	1307	1997-09-30	VYDAJ	VYBER	15	16350	SLUZBY	\N	\N
384944	1307	1997-10-31	VYDAJ	VYBER	15	13066	SLUZBY	\N	\N
384945	1307	1997-11-30	VYDAJ	VYBER	15	16460	SLUZBY	\N	\N
384946	1307	1997-12-31	VYDAJ	VYBER	15	15737	SLUZBY	\N	\N
384947	1307	1998-01-31	VYDAJ	VYBER	15	13748	SLUZBY	\N	\N
384948	1307	1998-02-28	VYDAJ	VYBER	15	15443	SLUZBY	\N	\N
384949	1307	1998-03-31	VYDAJ	VYBER	15	16543	SLUZBY	\N	\N
384950	1307	1998-04-30	VYDAJ	VYBER	15	16346	SLUZBY	\N	\N
384951	1307	1998-05-31	VYDAJ	VYBER	15	18051	SLUZBY	\N	\N
384952	1307	1998-06-30	VYDAJ	VYBER	15	19035	SLUZBY	\N	\N
384953	1307	1998-07-31	VYDAJ	VYBER	15	21353	SLUZBY	\N	\N
384954	1307	1998-08-31	VYDAJ	VYBER	15	17651	SLUZBY	\N	\N
384955	1307	1998-09-30	VYDAJ	VYBER	15	15857	SLUZBY	\N	\N
384956	1307	1998-10-31	VYDAJ	VYBER	15	17359	SLUZBY	\N	\N
384957	1307	1998-11-30	VYDAJ	VYBER	15	12252	SLUZBY	\N	\N
384958	1307	1995-01-04	PRIJEM	VKLAD	8500	16438	\N	\N	\N
384959	1307	1995-02-03	PRIJEM	VKLAD	100	21550	\N	\N	\N
384960	1307	1995-03-05	PRIJEM	VKLAD	200	26796	\N	\N	\N
384961	1307	1995-04-04	VYDAJ	VYBER	2800	29065	\N	\N	\N
384962	1307	1995-05-04	VYDAJ	VYBER	100	30551	\N	\N	\N
384963	1307	1995-06-03	VYDAJ	VYBER	400	31914	\N	\N	\N
384964	1307	1995-07-03	PRIJEM	VKLAD	3800	19946	\N	\N	\N
384965	1307	1995-08-02	PRIJEM	VKLAD	2300	23961	\N	\N	\N
384966	1307	1995-09-01	PRIJEM	VKLAD	2000	27694	\N	\N	\N
384967	1307	1995-10-01	VYDAJ	VYBER	1000	28444	\N	\N	\N
384968	1307	1995-10-31	PRIJEM	VKLAD	1800	26714	\N	\N	\N
384969	1307	1995-11-30	PRIJEM	VKLAD	5800	23075	\N	\N	\N
384970	1307	1995-12-30	PRIJEM	VKLAD	4900	28082	\N	\N	\N
384971	1307	1996-01-29	PRIJEM	VKLAD	10200	24457	\N	\N	\N
384972	1307	1996-02-28	PRIJEM	VKLAD	5100	31287	\N	\N	\N
384973	1307	1996-03-29	VYDAJ	VYBER	400	27708	\N	\N	\N
384974	1307	1996-04-28	PRIJEM	VKLAD	900	26516	\N	\N	\N
384975	1307	1996-05-28	PRIJEM	VKLAD	1900	24639	\N	\N	\N
384976	1307	1996-06-27	VYDAJ	VYBER	2400	26443	\N	\N	\N
384977	1307	1996-07-27	VYDAJ	VYBER	2000	22709	\N	\N	\N
384978	1307	1996-08-26	PRIJEM	VKLAD	200	24052	\N	\N	\N
384979	1307	1996-09-25	VYDAJ	VYBER	5000	20783	\N	\N	\N
384980	1307	1996-10-25	PRIJEM	VKLAD	1800	24318	\N	\N	\N
384981	1307	1996-11-24	PRIJEM	VKLAD	2400	28444	\N	\N	\N
384982	1307	1996-12-24	PRIJEM	VKLAD	3200	28859	\N	\N	\N
384983	1307	1997-01-23	PRIJEM	VKLAD	5300	21866	\N	\N	\N
384984	1307	1997-02-22	PRIJEM	VKLAD	4100	25643	\N	\N	\N
384985	1307	1997-03-24	VYDAJ	VYBER	1400	19728	\N	\N	\N
384986	1307	1997-04-23	PRIJEM	VKLAD	100	21563	\N	\N	\N
384987	1307	1997-05-23	PRIJEM	VKLAD	2900	20424	\N	\N	\N
384988	1307	1997-06-22	VYDAJ	VYBER	100	24511	\N	\N	\N
384989	1307	1997-07-22	VYDAJ	VYBER	5900	20340	\N	\N	\N
384990	1307	1997-08-21	VYDAJ	VYBER	3300	18772	\N	\N	\N
384991	1307	1997-09-20	VYDAJ	VYBER	4200	16290	\N	\N	\N
384992	1307	1997-10-20	VYDAJ	VYBER	2700	13019	\N	\N	\N
384993	1307	1997-11-19	PRIJEM	VKLAD	1700	16415	\N	\N	\N
384994	1307	1997-12-19	VYDAJ	VYBER	4900	15682	\N	\N	\N
384995	1307	1998-01-18	VYDAJ	VYBER	2000	13706	\N	\N	\N
384996	1307	1998-03-19	VYDAJ	VYBER	600	16492	\N	\N	\N
384997	1307	1998-04-18	VYDAJ	VYBER	1900	16292	\N	\N	\N
384998	1307	1998-06-17	VYDAJ	VYBER	3200	18973	\N	\N	\N
384999	1307	1998-07-17	PRIJEM	VKLAD	600	21284	\N	\N	\N
385000	1307	1998-08-16	VYDAJ	VYBER	1100	21062	\N	\N	\N
385001	1307	1998-09-15	VYDAJ	VYBER	1700	17600	\N	\N	\N
385002	1307	1998-10-15	VYDAJ	VYBER	200	17306	\N	\N	\N
385003	1307	1998-11-14	VYDAJ	VYBER	6800	12208	\N	\N	\N
385004	1307	1998-12-14	VYDAJ	VYBER	3700	12674	\N	\N	\N
385054	1308	1996-09-25	PRIJEM	VKLAD	400	400	\N	\N	\N
385064	1308	1996-10-13	PRIJEM	PREVOD Z UCTU	5119	5519	DUCHOD	MN	96537941
385065	1308	1996-11-13	PRIJEM	PREVOD Z UCTU	5119	10638	DUCHOD	MN	96537941
385066	1308	1996-12-13	PRIJEM	PREVOD Z UCTU	5119	15757	DUCHOD	MN	96537941
385067	1308	1997-01-13	PRIJEM	PREVOD Z UCTU	5119	20876	DUCHOD	MN	96537941
385068	1308	1997-02-13	PRIJEM	PREVOD Z UCTU	5119	25995	DUCHOD	MN	96537941
385069	1308	1997-03-13	PRIJEM	PREVOD Z UCTU	5119	27897	DUCHOD	MN	96537941
385070	1308	1997-04-13	PRIJEM	PREVOD Z UCTU	5119	29909	DUCHOD	MN	96537941
385071	1308	1997-05-13	PRIJEM	PREVOD Z UCTU	5119	28809	DUCHOD	MN	96537941
385072	1308	1997-06-13	PRIJEM	PREVOD Z UCTU	5119	27324	DUCHOD	MN	96537941
385073	1308	1997-07-13	PRIJEM	PREVOD Z UCTU	5119	29333	DUCHOD	MN	96537941
385074	1308	1997-08-13	PRIJEM	PREVOD Z UCTU	5119	31351	DUCHOD	MN	96537941
385075	1308	1997-09-13	PRIJEM	PREVOD Z UCTU	5119	33377	DUCHOD	MN	96537941
385076	1308	1997-10-13	PRIJEM	PREVOD Z UCTU	5119	32291	DUCHOD	MN	96537941
385077	1308	1997-11-13	PRIJEM	PREVOD Z UCTU	5119	34321	DUCHOD	MN	96537941
385078	1308	1997-12-13	PRIJEM	PREVOD Z UCTU	5119	35109	DUCHOD	MN	96537941
385079	1308	1998-01-13	PRIJEM	PREVOD Z UCTU	5119	30589	DUCHOD	MN	96537941
385080	1308	1998-02-13	PRIJEM	PREVOD Z UCTU	5119	25034	DUCHOD	MN	96537941
385081	1308	1998-03-13	PRIJEM	PREVOD Z UCTU	5119	23748	DUCHOD	MN	96537941
385082	1308	1998-04-13	PRIJEM	PREVOD Z UCTU	5119	25742	DUCHOD	MN	96537941
385083	1308	1998-05-13	PRIJEM	PREVOD Z UCTU	5119	27744	DUCHOD	MN	96537941
385084	1308	1998-06-13	PRIJEM	PREVOD Z UCTU	5119	20955	DUCHOD	MN	96537941
385085	1308	1998-07-13	PRIJEM	PREVOD Z UCTU	5119	22950	DUCHOD	MN	96537941
385086	1308	1998-08-13	PRIJEM	PREVOD Z UCTU	5119	24941	DUCHOD	MN	96537941
385087	1308	1998-09-13	PRIJEM	PREVOD Z UCTU	5119	26300	DUCHOD	MN	96537941
385088	1308	1998-10-13	PRIJEM	PREVOD Z UCTU	5119	28303	DUCHOD	MN	96537941
385089	1308	1998-11-13	PRIJEM	PREVOD Z UCTU	5119	30316	DUCHOD	MN	96537941
385090	1308	1998-12-13	PRIJEM	PREVOD Z UCTU	5119	32037	DUCHOD	MN	96537941
385105	1308	1997-03-07	VYDAJ	PREVOD NA UCET	3206	22778	SIPO	CD	27181756
385106	1308	1997-04-07	VYDAJ	PREVOD NA UCET	3206	24790	SIPO	CD	27181756
385107	1308	1997-05-07	VYDAJ	PREVOD NA UCET	3206	23690	SIPO	CD	27181756
385108	1308	1997-06-07	VYDAJ	PREVOD NA UCET	3206	22205	SIPO	CD	27181756
385109	1308	1997-07-07	VYDAJ	PREVOD NA UCET	3206	24214	SIPO	CD	27181756
385110	1308	1997-08-07	VYDAJ	PREVOD NA UCET	3206	26232	SIPO	CD	27181756
385111	1308	1997-09-07	VYDAJ	PREVOD NA UCET	3206	28258	SIPO	CD	27181756
385112	1308	1997-10-07	VYDAJ	PREVOD NA UCET	3206	27172	SIPO	CD	27181756
385113	1308	1997-11-07	VYDAJ	PREVOD NA UCET	3206	29202	SIPO	CD	27181756
385114	1308	1997-12-07	VYDAJ	PREVOD NA UCET	3206	29990	SIPO	CD	27181756
385115	1308	1998-01-07	VYDAJ	PREVOD NA UCET	3206	27390	SIPO	CD	27181756
385116	1308	1998-02-07	VYDAJ	PREVOD NA UCET	3206	19915	SIPO	CD	27181756
385117	1308	1998-03-07	VYDAJ	PREVOD NA UCET	3206	18629	SIPO	CD	27181756
385118	1308	1998-04-07	VYDAJ	PREVOD NA UCET	3206	20623	SIPO	CD	27181756
385119	1308	1998-05-07	VYDAJ	PREVOD NA UCET	3206	22625	SIPO	CD	27181756
385120	1308	1998-06-07	VYDAJ	PREVOD NA UCET	3206	24636	SIPO	CD	27181756
385121	1308	1998-07-07	VYDAJ	PREVOD NA UCET	3206	17831	SIPO	CD	27181756
385122	1308	1998-08-07	VYDAJ	PREVOD NA UCET	3206	19822	SIPO	CD	27181756
385123	1308	1998-09-07	VYDAJ	PREVOD NA UCET	3206	21821	SIPO	CD	27181756
385124	1308	1998-10-07	VYDAJ	PREVOD NA UCET	3206	23184	SIPO	CD	27181756
385125	1308	1998-11-07	VYDAJ	PREVOD NA UCET	3206	25197	SIPO	CD	27181756
385126	1308	1998-12-07	VYDAJ	PREVOD NA UCET	3206	26918	SIPO	CD	27181756
385128	1308	1997-06-02	VYDAJ	VYBER	3500	25411	\N	\N	\N
385129	1308	1998-06-12	VYDAJ	VYBER	8800	15836	\N	\N	\N
385132	1308	1998-01-15	VYDAJ	VYBER	2050	28539	\N	\N	\N
385134	1308	1997-12-03	VYDAJ	VYBER	1250	33196	\N	\N	\N
385135	1308	1998-12-04	VYDAJ	VYBER	300	30124	\N	\N	\N
385148	1308	1998-01-11	VYDAJ	VYBER	1920	25470	\N	\N	\N
385149	1308	1998-01-20	VYDAJ	VYBER	1840	26699	\N	\N	\N
385150	1308	1998-01-27	VYDAJ	VYBER	1440	25259	\N	\N	\N
385151	1308	1998-01-30	VYDAJ	VYBER	2240	23019	\N	\N	\N
385152	1308	1998-01-03	VYDAJ	VYBER	480	33396	\N	\N	\N
385153	1308	1998-01-02	VYDAJ	VYBER	1360	33876	\N	\N	\N
385159	1308	1997-10-05	VYDAJ	VYBER	3120	30378	\N	\N	\N
385160	1308	1997-05-02	VYDAJ	VYBER	3120	26896	\N	\N	\N
385161	1308	1998-09-08	VYDAJ	VYBER	640	21181	\N	\N	\N
385162	1308	1998-01-05	VYDAJ	VYBER	2800	30596	\N	\N	\N
385163	1308	1998-02-17	VYDAJ	VYBER	3280	21754	\N	\N	\N
385178	1308	1997-02-28	VYDAJ	VYBER	15	25984	SLUZBY	\N	\N
385179	1308	1997-03-31	VYDAJ	VYBER	15	27996	SLUZBY	\N	\N
385180	1308	1997-04-30	VYDAJ	VYBER	15	30016	SLUZBY	\N	\N
385181	1308	1997-05-31	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
385182	1308	1997-06-30	VYDAJ	VYBER	15	27420	SLUZBY	\N	\N
385183	1308	1997-07-31	VYDAJ	VYBER	15	29438	SLUZBY	\N	\N
385184	1308	1997-08-31	VYDAJ	VYBER	15	31464	SLUZBY	\N	\N
385185	1308	1997-09-30	VYDAJ	VYBER	15	33498	SLUZBY	\N	\N
385186	1308	1997-10-31	VYDAJ	VYBER	15	32408	SLUZBY	\N	\N
385187	1308	1997-11-30	VYDAJ	VYBER	15	34446	SLUZBY	\N	\N
385188	1308	1997-12-31	VYDAJ	VYBER	15	35236	SLUZBY	\N	\N
385189	1308	1998-01-31	VYDAJ	VYBER	15	23121	SLUZBY	\N	\N
385190	1308	1998-02-28	VYDAJ	VYBER	15	21835	SLUZBY	\N	\N
385191	1308	1998-03-31	VYDAJ	VYBER	15	23829	SLUZBY	\N	\N
385192	1308	1998-04-30	VYDAJ	VYBER	15	25831	SLUZBY	\N	\N
385193	1308	1998-05-31	VYDAJ	VYBER	15	27842	SLUZBY	\N	\N
385194	1308	1998-06-30	VYDAJ	VYBER	15	21037	SLUZBY	\N	\N
385195	1308	1998-07-31	VYDAJ	VYBER	15	23028	SLUZBY	\N	\N
385196	1308	1998-08-31	VYDAJ	VYBER	15	25027	SLUZBY	\N	\N
385197	1308	1998-09-30	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
385198	1308	1998-10-31	VYDAJ	VYBER	15	28403	SLUZBY	\N	\N
385199	1308	1998-11-30	VYDAJ	VYBER	15	30424	SLUZBY	\N	\N
385223	1309	1995-04-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
385228	1309	1995-05-11	PRIJEM	PREVOD Z UCTU	39531	40531	\N	ST	74940770
385229	1309	1995-06-11	PRIJEM	PREVOD Z UCTU	59296	93705	\N	ST	74940770
385230	1309	1995-07-11	PRIJEM	PREVOD Z UCTU	39531	100943	\N	ST	74940770
385231	1309	1995-08-11	PRIJEM	PREVOD Z UCTU	39531	103836	\N	ST	74940770
385232	1309	1995-09-11	PRIJEM	PREVOD Z UCTU	39531	80472	\N	ST	74940770
385233	1309	1995-10-11	PRIJEM	PREVOD Z UCTU	39531	84170	\N	ST	74940770
385234	1309	1995-11-11	PRIJEM	PREVOD Z UCTU	39531	79265	\N	ST	74940770
385235	1309	1995-12-11	PRIJEM	PREVOD Z UCTU	59296	82058	\N	ST	74940770
385236	1309	1996-01-11	PRIJEM	PREVOD Z UCTU	39531	65930	\N	ST	74940770
385237	1309	1996-02-11	PRIJEM	PREVOD Z UCTU	39531	70240	\N	ST	74940770
385238	1309	1996-03-11	PRIJEM	PREVOD Z UCTU	39531	81180	\N	ST	74940770
385239	1309	1996-04-11	PRIJEM	PREVOD Z UCTU	39531	87982	\N	ST	74940770
385240	1309	1996-05-11	PRIJEM	PREVOD Z UCTU	39531	88617	\N	ST	74940770
385241	1309	1996-06-11	PRIJEM	PREVOD Z UCTU	59296	108927	\N	ST	74940770
385242	1309	1996-07-11	PRIJEM	PREVOD Z UCTU	39531	99123	\N	ST	74940770
385243	1309	1996-08-11	PRIJEM	PREVOD Z UCTU	39531	88511	\N	ST	74940770
385244	1309	1996-09-11	PRIJEM	PREVOD Z UCTU	39531	74942	\N	ST	74940770
385245	1309	1996-10-11	PRIJEM	PREVOD Z UCTU	39531	75199	\N	ST	74940770
385246	1309	1996-11-11	PRIJEM	PREVOD Z UCTU	39531	81177	\N	ST	74940770
385247	1309	1996-12-11	PRIJEM	PREVOD Z UCTU	59296	104650	\N	ST	74940770
385248	1309	1997-01-11	PRIJEM	PREVOD Z UCTU	39531	80332	\N	ST	74940770
385249	1309	1997-02-11	PRIJEM	PREVOD Z UCTU	39531	62370	\N	ST	74940770
385250	1309	1997-03-11	PRIJEM	PREVOD Z UCTU	39531	68579	\N	ST	74940770
385251	1309	1997-04-11	PRIJEM	PREVOD Z UCTU	39531	66911	\N	ST	74940770
385252	1309	1997-05-11	PRIJEM	PREVOD Z UCTU	39531	59853	\N	ST	74940770
385253	1309	1997-06-11	PRIJEM	PREVOD Z UCTU	59296	82334	\N	ST	74940770
385254	1309	1997-07-11	PRIJEM	PREVOD Z UCTU	39531	80023	\N	ST	74940770
385255	1309	1997-08-11	PRIJEM	PREVOD Z UCTU	39531	63218	\N	ST	74940770
385256	1309	1997-09-11	PRIJEM	PREVOD Z UCTU	39531	63350	\N	ST	74940770
385257	1309	1997-10-11	PRIJEM	PREVOD Z UCTU	39531	64190	\N	ST	74940770
385258	1309	1997-11-11	PRIJEM	PREVOD Z UCTU	39531	66129	\N	ST	74940770
385259	1309	1997-12-11	PRIJEM	PREVOD Z UCTU	59296	83939	\N	ST	74940770
385260	1309	1998-01-11	PRIJEM	PREVOD Z UCTU	39531	65870	\N	ST	74940770
385261	1309	1998-02-11	PRIJEM	PREVOD Z UCTU	39531	70148	\N	ST	74940770
385262	1309	1998-03-11	PRIJEM	PREVOD Z UCTU	39531	57261	\N	ST	74940770
385263	1309	1998-04-11	PRIJEM	PREVOD Z UCTU	39531	80883	\N	ST	74940770
385264	1309	1998-05-11	PRIJEM	PREVOD Z UCTU	39531	67132	\N	ST	74940770
385265	1309	1998-06-11	PRIJEM	PREVOD Z UCTU	59296	87063	\N	ST	74940770
385266	1309	1998-07-11	PRIJEM	PREVOD Z UCTU	39531	85225	\N	ST	74940770
385267	1309	1998-08-11	PRIJEM	PREVOD Z UCTU	39531	62477	\N	ST	74940770
385268	1309	1998-09-11	PRIJEM	PREVOD Z UCTU	39531	57538	\N	ST	74940770
385269	1309	1998-10-11	PRIJEM	PREVOD Z UCTU	39531	78411	\N	ST	74940770
385270	1309	1998-11-11	PRIJEM	PREVOD Z UCTU	39531	65127	\N	ST	74940770
385271	1309	1998-12-11	PRIJEM	PREVOD Z UCTU	59296	114386	\N	ST	74940770
385328	1309	1995-09-13	VYDAJ	PREVOD NA UCET	10199	44473	SIPO	YZ	27833730
385329	1309	1995-10-13	VYDAJ	PREVOD NA UCET	10199	44771	SIPO	YZ	27833730
385330	1309	1995-11-13	VYDAJ	PREVOD NA UCET	10199	42966	SIPO	YZ	27833730
385331	1309	1995-12-13	VYDAJ	PREVOD NA UCET	10199	44959	SIPO	YZ	27833730
385332	1309	1996-01-13	VYDAJ	PREVOD NA UCET	10199	55731	SIPO	YZ	27833730
385333	1309	1996-02-13	VYDAJ	PREVOD NA UCET	10199	60041	SIPO	YZ	27833730
385334	1309	1996-03-13	VYDAJ	PREVOD NA UCET	10199	70981	SIPO	YZ	27833730
385335	1309	1996-04-13	VYDAJ	PREVOD NA UCET	10199	77783	SIPO	YZ	27833730
385336	1309	1996-05-13	VYDAJ	PREVOD NA UCET	10199	78418	SIPO	YZ	27833730
385337	1309	1996-06-13	VYDAJ	PREVOD NA UCET	10199	98728	SIPO	YZ	27833730
385338	1309	1996-07-13	VYDAJ	PREVOD NA UCET	10199	88924	SIPO	YZ	27833730
385339	1309	1996-08-13	VYDAJ	PREVOD NA UCET	10199	78312	SIPO	YZ	27833730
385340	1309	1996-09-13	VYDAJ	PREVOD NA UCET	10199	64743	SIPO	YZ	27833730
385341	1309	1996-10-13	VYDAJ	PREVOD NA UCET	10199	65000	SIPO	YZ	27833730
385342	1309	1996-11-13	VYDAJ	PREVOD NA UCET	10199	70978	SIPO	YZ	27833730
385343	1309	1996-12-13	VYDAJ	PREVOD NA UCET	10199	94451	SIPO	YZ	27833730
385344	1309	1997-01-13	VYDAJ	PREVOD NA UCET	10199	56349	SIPO	YZ	27833730
385345	1309	1997-02-13	VYDAJ	PREVOD NA UCET	10199	52171	SIPO	YZ	27833730
385346	1309	1997-03-13	VYDAJ	PREVOD NA UCET	10199	58380	SIPO	YZ	27833730
385347	1309	1997-04-13	VYDAJ	PREVOD NA UCET	10199	41963	SIPO	YZ	27833730
385348	1309	1997-05-13	VYDAJ	PREVOD NA UCET	10199	49654	SIPO	YZ	27833730
385349	1309	1997-06-13	VYDAJ	PREVOD NA UCET	10199	72135	SIPO	YZ	27833730
385350	1309	1997-07-13	VYDAJ	PREVOD NA UCET	10199	55476	SIPO	YZ	27833730
385351	1309	1997-08-13	VYDAJ	PREVOD NA UCET	10199	53019	SIPO	YZ	27833730
385352	1309	1997-09-13	VYDAJ	PREVOD NA UCET	10199	53151	SIPO	YZ	27833730
385353	1309	1997-10-13	VYDAJ	PREVOD NA UCET	10199	53991	SIPO	YZ	27833730
385354	1309	1997-11-13	VYDAJ	PREVOD NA UCET	10199	55930	SIPO	YZ	27833730
385355	1309	1997-12-13	VYDAJ	PREVOD NA UCET	10199	73740	SIPO	YZ	27833730
385356	1309	1998-01-13	VYDAJ	PREVOD NA UCET	10199	52071	SIPO	YZ	27833730
385357	1309	1998-02-13	VYDAJ	PREVOD NA UCET	10199	59949	SIPO	YZ	27833730
385358	1309	1998-03-13	VYDAJ	PREVOD NA UCET	10199	47062	SIPO	YZ	27833730
385359	1309	1998-04-13	VYDAJ	PREVOD NA UCET	10199	70684	SIPO	YZ	27833730
385360	1309	1998-05-13	VYDAJ	PREVOD NA UCET	10199	56933	SIPO	YZ	27833730
385361	1309	1998-06-13	VYDAJ	PREVOD NA UCET	10199	76864	SIPO	YZ	27833730
385362	1309	1998-07-13	VYDAJ	PREVOD NA UCET	10199	75026	SIPO	YZ	27833730
385363	1309	1998-08-13	VYDAJ	PREVOD NA UCET	10199	52278	SIPO	YZ	27833730
385364	1309	1998-09-13	VYDAJ	PREVOD NA UCET	10199	38760	SIPO	YZ	27833730
385365	1309	1998-10-13	VYDAJ	PREVOD NA UCET	10199	68212	SIPO	YZ	27833730
385366	1309	1998-11-13	VYDAJ	PREVOD NA UCET	10199	54928	SIPO	YZ	27833730
385367	1309	1998-12-13	VYDAJ	PREVOD NA UCET	10199	37112	SIPO	YZ	27833730
385368	1309	1995-11-22	VYBER	VYBER	4019	22631	\N	\N	\N
385369	1309	1995-12-20	VYBER	VYBER	5796	39163	\N	\N	\N
385372	1309	1995-10-14	VYBER	VYBER	5198	39573	\N	\N	\N
385381	1309	1995-11-20	VYBER	VYBER	4616	26650	\N	\N	\N
385382	1309	1996-08-31	VYBER	VYBER	4284	50326	\N	\N	\N
385383	1309	1997-01-11	VYBER	VYBER	13784	66548	\N	\N	\N
385384	1309	1997-07-12	VYBER	VYBER	14348	65675	\N	\N	\N
385388	1309	1997-04-01	VYBER	VYBER	6822	51780	\N	\N	\N
385389	1309	1997-01-17	VYBER	VYBER	3289	41551	\N	\N	\N
385390	1309	1997-07-29	VYBER	VYBER	8828	46648	\N	\N	\N
385392	1309	1997-04-13	VYBER	VYBER	14749	52162	\N	\N	\N
385393	1309	1997-01-16	VYBER	VYBER	7909	44840	\N	\N	\N
385394	1309	1997-11-26	VYBER	VYBER	24824	24506	\N	\N	\N
385395	1309	1998-09-11	VYBER	VYBER	8579	48959	\N	\N	\N
385399	1309	1998-12-18	VYBER	VYBER	7231	29881	\N	\N	\N
385400	1309	1998-03-29	VYBER	VYBER	5908	41154	\N	\N	\N
385401	1309	1998-06-19	VYBER	VYBER	5580	71284	\N	\N	\N
385403	1309	1998-05-23	VYBER	VYBER	23001	27632	\N	\N	\N
385406	1309	1998-12-11	VYBER	VYBER	9075	105311	\N	\N	\N
385410	1309	1998-06-19	VYDAJ	VYBER	14700	56584	\N	\N	\N
385421	1309	1996-01-27	VYDAJ	VYBER	3600	44631	\N	\N	\N
385422	1309	1996-01-20	VYDAJ	VYBER	3000	50331	\N	\N	\N
385423	1309	1996-01-17	VYDAJ	VYBER	2400	53331	\N	\N	\N
385424	1309	1996-01-21	VYDAJ	VYBER	2100	48231	\N	\N	\N
385425	1309	1996-01-06	VYDAJ	VYBER	8700	30599	\N	\N	\N
385426	1309	1996-01-28	VYDAJ	VYBER	6000	38631	\N	\N	\N
385427	1309	1997-01-27	VYDAJ	VYBER	3300	33151	\N	\N	\N
385428	1309	1997-01-20	VYDAJ	VYBER	5100	36451	\N	\N	\N
385429	1309	1997-01-14	VYDAJ	VYBER	3600	52749	\N	\N	\N
385430	1309	1997-01-10	VYDAJ	VYBER	2100	40801	\N	\N	\N
385431	1309	1997-01-09	VYDAJ	VYBER	8700	42901	\N	\N	\N
385432	1309	1997-01-03	VYDAJ	VYBER	8400	86401	\N	\N	\N
385433	1309	1998-01-18	VYDAJ	VYBER KARTOU	3900	44571	\N	\N	0
385434	1309	1998-01-12	VYDAJ	VYBER KARTOU	3600	62270	\N	\N	0
385435	1309	1998-01-15	VYDAJ	VYBER KARTOU	3600	48471	\N	\N	0
385436	1309	1998-01-29	VYDAJ	VYBER	5700	30471	\N	\N	\N
385437	1309	1998-01-25	VYDAJ	VYBER	8400	36171	\N	\N	\N
385438	1309	1998-01-01	VYDAJ	VYBER KARTOU	2100	26339	\N	\N	0
385439	1309	1995-11-19	VYDAJ	VYBER	11700	31266	\N	\N	\N
385442	1309	1996-09-21	VYDAJ	VYBER	9000	55743	\N	\N	\N
385443	1309	1996-08-26	VYDAJ	VYBER	14100	64212	\N	\N	\N
385444	1309	1996-08-30	VYDAJ	VYBER	9900	54312	\N	\N	\N
385445	1309	1996-05-31	VYDAJ	VYBER	6000	72731	\N	\N	\N
385446	1309	1996-07-23	VYDAJ	VYBER	12600	76324	\N	\N	\N
385447	1309	1996-08-03	VYDAJ	VYBER	1500	75180	\N	\N	\N
385450	1309	1997-11-15	VYDAJ	VYBER	4800	51130	\N	\N	\N
385451	1309	1997-11-16	VYDAJ	VYBER KARTOU	1800	49330	\N	\N	0
385452	1309	1998-07-10	VYDAJ	VYBER	11100	45694	\N	\N	\N
385454	1309	1998-07-13	VYDAJ	VYBER	12600	62426	\N	\N	\N
385455	1309	1998-05-21	VYDAJ	VYBER	6300	50633	\N	\N	\N
385465	1309	1995-09-30	VYDAJ	VYBER	15	44639	SLUZBY	\N	\N
385466	1309	1995-10-31	VYDAJ	VYBER	15	39734	SLUZBY	\N	\N
385467	1309	1995-11-30	VYDAJ	VYBER	15	22762	SLUZBY	\N	\N
385468	1309	1995-12-31	VYDAJ	VYBER	15	39299	SLUZBY	\N	\N
385469	1309	1996-01-31	VYDAJ	VYBER	15	38809	SLUZBY	\N	\N
385470	1309	1996-02-29	VYDAJ	VYBER	15	60249	SLUZBY	\N	\N
385471	1309	1996-03-31	VYDAJ	VYBER	15	71251	SLUZBY	\N	\N
385472	1309	1996-04-30	VYDAJ	VYBER	15	78086	SLUZBY	\N	\N
385473	1309	1996-05-31	VYDAJ	VYBER	15	78731	SLUZBY	\N	\N
385474	1309	1996-06-30	VYDAJ	VYBER	15	99092	SLUZBY	\N	\N
385475	1309	1996-07-31	VYDAJ	VYBER	15	76680	SLUZBY	\N	\N
385476	1309	1996-08-31	VYDAJ	VYBER	15	50311	SLUZBY	\N	\N
385477	1309	1996-09-30	VYDAJ	VYBER	15	55968	SLUZBY	\N	\N
385478	1309	1996-10-31	VYDAJ	VYBER	15	65246	SLUZBY	\N	\N
385479	1309	1996-11-30	VYDAJ	VYBER	15	71254	SLUZBY	\N	\N
385480	1309	1996-12-31	VYDAJ	VYBER	15	94801	SLUZBY	\N	\N
385481	1309	1997-01-31	VYDAJ	VYBER	15	33339	SLUZBY	\N	\N
385482	1309	1997-02-28	VYDAJ	VYBER	15	52348	SLUZBY	\N	\N
385483	1309	1997-03-31	VYDAJ	VYBER	15	58602	SLUZBY	\N	\N
385484	1309	1997-04-30	VYDAJ	VYBER	15	42122	SLUZBY	\N	\N
385485	1309	1997-05-31	VYDAJ	VYBER	15	49838	SLUZBY	\N	\N
385486	1309	1997-06-30	VYDAJ	VYBER	15	72392	SLUZBY	\N	\N
385487	1309	1997-07-31	VYDAJ	VYBER	15	46887	SLUZBY	\N	\N
385488	1309	1997-08-31	VYDAJ	VYBER	15	53219	SLUZBY	\N	\N
385489	1309	1997-09-30	VYDAJ	VYBER	15	53359	SLUZBY	\N	\N
385490	1309	1997-10-31	VYDAJ	VYBER	15	54198	SLUZBY	\N	\N
385491	1309	1997-11-30	VYDAJ	VYBER	15	24643	SLUZBY	\N	\N
385492	1309	1997-12-31	VYDAJ	VYBER	15	28439	SLUZBY	\N	\N
385493	1309	1998-01-31	VYDAJ	VYBER	15	30617	SLUZBY	\N	\N
385494	1309	1998-02-28	VYDAJ	VYBER	15	60130	SLUZBY	\N	\N
385495	1309	1998-03-31	VYDAJ	VYBER	15	41352	SLUZBY	\N	\N
385496	1309	1998-04-30	VYDAJ	VYBER	15	27601	SLUZBY	\N	\N
385497	1309	1998-05-31	VYDAJ	VYBER	15	27767	SLUZBY	\N	\N
385498	1309	1998-06-30	VYDAJ	VYBER	15	56794	SLUZBY	\N	\N
385499	1309	1998-07-31	VYDAJ	VYBER	15	22946	SLUZBY	\N	\N
385500	1309	1998-08-31	VYDAJ	VYBER	15	18007	SLUZBY	\N	\N
385501	1309	1998-09-30	VYDAJ	VYBER	15	38880	SLUZBY	\N	\N
385502	1309	1998-10-31	VYDAJ	VYBER	15	25596	SLUZBY	\N	\N
385503	1309	1998-11-30	VYDAJ	VYBER	15	55090	SLUZBY	\N	\N
385504	1309	1995-05-15	VYDAJ	VYBER	6200	34331	\N	\N	\N
385505	1309	1995-06-14	VYDAJ	VYBER	32500	61205	\N	\N	\N
385506	1309	1995-07-14	VYDAJ	VYBER	36900	64043	\N	\N	\N
385507	1309	1995-08-11	VYDAJ	VYBER	48500	55336	\N	\N	\N
385508	1309	1995-08-13	VYDAJ	VYBER	14600	40736	\N	\N	\N
385509	1309	1995-09-12	VYDAJ	VYBER	25800	54672	\N	\N	\N
385510	1309	1995-10-12	VYDAJ	VYBER	29200	54970	\N	\N	\N
385511	1309	1995-11-11	VYDAJ	VYBER	26100	53165	\N	\N	\N
385512	1309	1995-12-11	VYDAJ	VYBER	26900	55158	\N	\N	\N
385513	1309	1996-01-10	VYDAJ	VYBER	4200	26399	\N	\N	\N
385514	1309	1996-02-09	VYDAJ	VYBER	8100	30709	\N	\N	\N
385515	1309	1996-03-10	VYDAJ	VYBER	18600	41649	\N	\N	\N
385516	1309	1996-04-09	VYDAJ	VYBER	22800	48451	\N	\N	\N
385517	1309	1996-05-09	VYDAJ	VYBER	29000	49086	\N	\N	\N
385518	1309	1996-06-08	VYDAJ	VYBER	23100	49631	\N	\N	\N
385519	1309	1996-07-08	VYDAJ	VYBER	39500	59592	\N	\N	\N
385520	1309	1996-08-07	VYDAJ	VYBER	26200	48980	\N	\N	\N
385521	1309	1996-09-06	VYDAJ	VYBER	14900	35411	\N	\N	\N
385522	1309	1996-10-06	VYDAJ	VYBER	20300	35668	\N	\N	\N
385523	1309	1996-11-05	VYDAJ	VYBER	23600	41646	\N	\N	\N
385524	1309	1996-12-05	VYDAJ	VYBER	25900	45354	\N	\N	\N
385525	1309	1997-01-04	VYDAJ	VYBER	34800	51601	\N	\N	\N
385526	1309	1997-02-03	VYDAJ	VYBER	10500	22839	\N	\N	\N
385527	1309	1997-03-05	VYDAJ	VYBER	23300	29048	\N	\N	\N
385528	1309	1997-04-04	VYDAJ	VYBER	24400	27380	\N	\N	\N
385529	1309	1997-05-04	VYDAJ	VYBER	21800	20322	\N	\N	\N
385530	1309	1997-06-03	VYDAJ	VYBER	26800	23038	\N	\N	\N
385531	1309	1997-07-03	VYDAJ	VYBER	31900	40492	\N	\N	\N
385532	1309	1997-08-02	VYDAJ	VYBER	23200	23687	\N	\N	\N
385533	1309	1997-09-01	VYDAJ	VYBER	29400	23819	\N	\N	\N
385534	1309	1997-10-01	VYDAJ	VYBER	28700	24659	\N	\N	\N
385535	1309	1997-10-31	VYDAJ	VYBER	27600	26598	\N	\N	\N
385536	1309	1997-12-30	VYDAJ	VYBER	45500	28240	\N	\N	\N
385537	1309	1998-02-28	VYDAJ	VYBER	42400	17730	\N	\N	\N
385538	1309	1998-04-29	VYDAJ	VYBER	43300	27384	\N	\N	\N
385539	1309	1998-07-28	VYDAJ	VYBER	39700	22726	\N	\N	\N
385540	1309	1998-08-27	VYDAJ	VYBER	34400	17878	\N	\N	\N
385541	1309	1998-10-26	VYDAJ	VYBER	42800	25412	\N	\N	\N
385542	1309	1998-12-11	VYDAJ	VYBER	58000	47311	\N	\N	\N
385587	1310	1996-02-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
385590	1310	1996-03-14	PRIJEM	VKLAD	6717	7817	\N	\N	\N
385591	1310	1996-04-14	PRIJEM	VKLAD	6717	26057	\N	\N	\N
385592	1310	1996-05-14	PRIJEM	VKLAD	6717	32563	\N	\N	\N
385593	1310	1996-06-14	PRIJEM	VKLAD	10076	36347	\N	\N	\N
385594	1310	1996-07-14	PRIJEM	VKLAD	6717	36978	\N	\N	\N
385595	1310	1996-08-14	PRIJEM	VKLAD	6717	31406	\N	\N	\N
385596	1310	1996-09-14	PRIJEM	VKLAD	6717	32323	\N	\N	\N
385597	1310	1996-10-14	PRIJEM	VKLAD	6717	30229	\N	\N	\N
385598	1310	1996-11-14	PRIJEM	VKLAD	6717	27330	\N	\N	\N
385599	1310	1996-12-14	PRIJEM	VKLAD	10076	29884	\N	\N	\N
385600	1310	1997-01-14	PRIJEM	VKLAD	6717	25483	\N	\N	\N
385601	1310	1997-02-14	PRIJEM	VKLAD	6717	19364	\N	\N	\N
385602	1310	1997-03-14	PRIJEM	VKLAD	6717	27239	\N	\N	\N
385603	1310	1997-04-14	PRIJEM	VKLAD	6717	26128	\N	\N	\N
385604	1310	1997-05-14	PRIJEM	VKLAD	6717	22618	\N	\N	\N
385605	1310	1997-06-14	PRIJEM	VKLAD	10076	29762	\N	\N	\N
385606	1310	1997-07-14	PRIJEM	VKLAD	6717	27950	\N	\N	\N
385607	1310	1997-08-14	PRIJEM	VKLAD	6717	26644	\N	\N	\N
385608	1310	1997-09-14	PRIJEM	VKLAD	6717	22530	\N	\N	\N
385609	1310	1997-10-14	PRIJEM	VKLAD	6717	25413	\N	\N	\N
385610	1310	1997-11-14	PRIJEM	VKLAD	6717	19791	\N	\N	\N
385611	1310	1997-12-14	PRIJEM	VKLAD	10076	26231	\N	\N	\N
385612	1310	1998-01-14	PRIJEM	VKLAD	6717	20931	\N	\N	\N
385613	1310	1998-02-14	PRIJEM	VKLAD	6717	19407	\N	\N	\N
385614	1310	1998-03-14	PRIJEM	VKLAD	6717	19878	\N	\N	\N
385615	1310	1998-04-14	PRIJEM	VKLAD	6717	19162	\N	\N	\N
385616	1310	1998-05-14	PRIJEM	VKLAD	6717	19043	\N	\N	\N
385617	1310	1998-06-14	PRIJEM	VKLAD	10076	29183	\N	\N	\N
385618	1310	1998-07-14	PRIJEM	VKLAD	6717	20363	\N	\N	\N
385619	1310	1998-08-14	PRIJEM	VKLAD	6717	27122	\N	\N	\N
385620	1310	1998-09-14	PRIJEM	VKLAD	6717	17910	\N	\N	\N
385621	1310	1998-10-14	PRIJEM	VKLAD	6717	23092	\N	\N	\N
385622	1310	1998-11-14	PRIJEM	VKLAD	6717	29881	\N	\N	\N
385623	1310	1998-12-14	PRIJEM	VKLAD	10076	22239	\N	\N	\N
385625	1310	1997-06-15	VYDAJ	VYBER	4900	24862	\N	\N	\N
385626	1310	1998-06-28	VYDAJ	VYBER	15600	13583	\N	\N	\N
385629	1310	1998-01-17	VYDAJ	VYBER	7700	13231	\N	\N	\N
385630	1310	1996-12-10	VYDAJ	VYBER	1700	19808	\N	\N	\N
385631	1310	1997-12-06	VYDAJ	VYBER	1700	18155	\N	\N	\N
385632	1310	1998-12-14	VYDAJ	VYBER	1900	20339	\N	\N	\N
385639	1310	1997-01-05	VYDAJ	VYBER	900	19866	\N	\N	\N
385640	1310	1997-01-10	VYDAJ	VYBER	600	18766	\N	\N	\N
385641	1310	1997-01-04	VYDAJ	VYBER	1900	20766	\N	\N	\N
385642	1310	1997-01-09	VYDAJ	VYBER	500	19366	\N	\N	\N
385643	1310	1997-01-23	VYDAJ	VYBER	1800	16183	\N	\N	\N
385644	1310	1997-01-28	VYDAJ	VYBER	2100	14083	\N	\N	\N
385645	1310	1998-01-11	VYDAJ	VYBER	500	19414	\N	\N	\N
385646	1310	1998-01-04	VYDAJ	VYBER	2800	23514	\N	\N	\N
385649	1310	1998-01-07	VYDAJ	VYBER	2200	21314	\N	\N	\N
385650	1310	1998-01-08	VYDAJ	VYBER	1400	19914	\N	\N	\N
385654	1310	1996-10-25	VYDAJ	VYBER	4100	21729	\N	\N	\N
385655	1310	1996-10-24	VYDAJ	VYBER	500	25829	\N	\N	\N
385656	1310	1996-11-02	VYDAJ	VYBER	1200	20613	\N	\N	\N
385657	1310	1996-07-30	VYDAJ	VYBER	3200	27478	\N	\N	\N
385658	1310	1996-08-02	VYDAJ	VYBER	2900	24689	\N	\N	\N
385659	1310	1997-04-03	VYDAJ	VYBER	2000	19411	\N	\N	\N
385660	1310	1997-02-11	VYDAJ	VYBER	1500	12647	\N	\N	\N
385661	1310	1997-07-29	VYDAJ	VYBER	3600	19850	\N	\N	\N
385662	1310	1997-04-30	VYDAJ	VYBER	3900	15901	\N	\N	\N
385663	1310	1997-09-05	VYDAJ	VYBER	4600	15813	\N	\N	\N
385666	1310	1998-09-02	VYDAJ	VYBER	3700	23493	\N	\N	\N
385667	1310	1998-10-03	VYDAJ	VYBER	1600	16375	\N	\N	\N
385668	1310	1998-12-25	VYDAJ	VYBER	2300	18039	\N	\N	\N
385669	1310	1998-04-09	VYDAJ	VYBER	1200	18745	\N	\N	\N
385671	1310	1998-12-25	VYDAJ	VYBER	900	17139	\N	\N	\N
385679	1310	1996-07-31	VYDAJ	VYBER	15	27589	SLUZBY	\N	\N
385680	1310	1996-08-31	VYDAJ	VYBER	15	25606	SLUZBY	\N	\N
385681	1310	1996-09-30	VYDAJ	VYBER	15	23512	SLUZBY	\N	\N
385682	1310	1996-10-31	VYDAJ	VYBER	15	21813	SLUZBY	\N	\N
385683	1310	1996-11-30	VYDAJ	VYBER	15	21508	SLUZBY	\N	\N
385684	1310	1996-12-31	VYDAJ	VYBER	15	22666	SLUZBY	\N	\N
385685	1310	1997-01-31	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
385686	1310	1997-02-28	VYDAJ	VYBER	15	20522	SLUZBY	\N	\N
385687	1310	1997-03-31	VYDAJ	VYBER	15	21411	SLUZBY	\N	\N
385688	1310	1997-04-30	VYDAJ	VYBER	15	19801	SLUZBY	\N	\N
385689	1310	1997-05-31	VYDAJ	VYBER	15	19686	SLUZBY	\N	\N
385690	1310	1997-06-30	VYDAJ	VYBER	15	21233	SLUZBY	\N	\N
385691	1310	1997-07-31	VYDAJ	VYBER	15	19927	SLUZBY	\N	\N
385692	1310	1997-08-31	VYDAJ	VYBER	15	20413	SLUZBY	\N	\N
385693	1310	1997-09-30	VYDAJ	VYBER	15	18696	SLUZBY	\N	\N
385694	1310	1997-10-31	VYDAJ	VYBER	15	17974	SLUZBY	\N	\N
385695	1310	1997-11-30	VYDAJ	VYBER	15	19855	SLUZBY	\N	\N
385696	1310	1997-12-31	VYDAJ	VYBER	15	26314	SLUZBY	\N	\N
385697	1310	1998-01-31	VYDAJ	VYBER	15	13290	SLUZBY	\N	\N
385698	1310	1998-02-28	VYDAJ	VYBER	15	19461	SLUZBY	\N	\N
385699	1310	1998-03-31	VYDAJ	VYBER	15	19945	SLUZBY	\N	\N
385700	1310	1998-04-30	VYDAJ	VYBER	15	19226	SLUZBY	\N	\N
385701	1310	1998-05-31	VYDAJ	VYBER	15	19107	SLUZBY	\N	\N
385702	1310	1998-06-30	VYDAJ	VYBER	15	13646	SLUZBY	\N	\N
385703	1310	1998-07-31	VYDAJ	VYBER	15	20405	SLUZBY	\N	\N
385704	1310	1998-08-31	VYDAJ	VYBER	15	27193	SLUZBY	\N	\N
385705	1310	1998-09-30	VYDAJ	VYBER	15	17975	SLUZBY	\N	\N
385706	1310	1998-10-31	VYDAJ	VYBER	15	23164	SLUZBY	\N	\N
385707	1310	1998-11-30	VYDAJ	VYBER	15	29963	SLUZBY	\N	\N
385708	1310	1996-03-23	PRIJEM	VKLAD	11500	19317	\N	\N	\N
385709	1310	1996-04-22	VYDAJ	VYBER	300	25757	\N	\N	\N
385710	1310	1996-05-22	VYDAJ	VYBER	6400	26163	\N	\N	\N
385711	1310	1996-06-21	VYDAJ	VYBER	6200	30147	\N	\N	\N
385712	1310	1996-07-21	VYDAJ	VYBER	6300	30678	\N	\N	\N
385713	1310	1996-08-20	VYDAJ	VYBER	5900	25506	\N	\N	\N
385714	1310	1996-09-19	VYDAJ	VYBER	8900	23423	\N	\N	\N
385715	1310	1996-10-19	VYDAJ	VYBER	3900	26329	\N	\N	\N
385716	1310	1996-11-18	VYDAJ	VYBER	5900	21430	\N	\N	\N
385717	1310	1996-12-18	VYDAJ	VYBER	7300	22584	\N	\N	\N
385718	1310	1997-01-17	VYDAJ	VYBER	7500	17983	\N	\N	\N
385719	1310	1997-02-16	PRIJEM	VKLAD	1100	20464	\N	\N	\N
385720	1310	1997-03-18	VYDAJ	VYBER	5900	21339	\N	\N	\N
385721	1310	1997-04-17	VYDAJ	VYBER	6400	19728	\N	\N	\N
385722	1310	1997-05-17	VYDAJ	VYBER	3000	19618	\N	\N	\N
385723	1310	1997-06-16	VYDAJ	VYBER	3700	21162	\N	\N	\N
385724	1310	1997-07-16	VYDAJ	VYBER	4500	23450	\N	\N	\N
385725	1310	1997-08-15	VYDAJ	VYBER	6300	20344	\N	\N	\N
385726	1310	1997-09-14	VYDAJ	VYBER	3900	18630	\N	\N	\N
385727	1310	1997-10-14	VYDAJ	VYBER	7500	17913	\N	\N	\N
385728	1310	1997-11-13	VYDAJ	VYBER	4900	13074	\N	\N	\N
385729	1310	1997-12-13	VYDAJ	VYBER	2000	16155	\N	\N	\N
385730	1310	1998-01-12	VYDAJ	VYBER	5200	14214	\N	\N	\N
385731	1310	1998-02-11	VYDAJ	VYBER	600	12690	\N	\N	\N
385732	1310	1998-03-13	VYDAJ	VYBER	6300	13161	\N	\N	\N
385733	1310	1998-04-12	VYDAJ	VYBER	6300	12445	\N	\N	\N
385734	1310	1998-05-12	VYDAJ	VYBER	6900	12326	\N	\N	\N
385735	1310	1998-09-09	VYDAJ	VYBER	12300	11193	\N	\N	\N
385736	1310	1998-12-08	VYDAJ	VYBER	17800	12163	\N	\N	\N
385771	1311	1996-01-03	PRIJEM	VKLAD	500	500	\N	\N	\N
385772	1311	1996-01-05	PRIJEM	VKLAD	14340	14840	\N	\N	\N
385773	1311	1996-02-05	PRIJEM	VKLAD	14340	32834	\N	\N	\N
385774	1311	1996-03-05	PRIJEM	VKLAD	14340	40700	\N	\N	\N
385775	1311	1996-04-05	PRIJEM	VKLAD	14340	42506	\N	\N	\N
385776	1311	1996-05-05	PRIJEM	VKLAD	14340	44422	\N	\N	\N
385777	1311	1996-06-05	PRIJEM	VKLAD	21510	46922	\N	\N	\N
385778	1311	1996-07-05	PRIJEM	VKLAD	14340	41777	\N	\N	\N
385779	1311	1996-08-05	PRIJEM	VKLAD	14340	36100	\N	\N	\N
385780	1311	1996-09-05	PRIJEM	VKLAD	14340	32403	\N	\N	\N
385781	1311	1996-10-05	PRIJEM	VKLAD	14340	30992	\N	\N	\N
385782	1311	1996-11-05	PRIJEM	VKLAD	14340	33876	\N	\N	\N
385783	1311	1996-12-05	PRIJEM	VKLAD	21510	34882	\N	\N	\N
385784	1311	1997-01-05	PRIJEM	VKLAD	14340	26536	\N	\N	\N
385785	1311	1997-02-05	PRIJEM	VKLAD	14340	26490	\N	\N	\N
385786	1311	1997-03-05	PRIJEM	VKLAD	14340	31372	\N	\N	\N
385787	1311	1997-04-05	PRIJEM	VKLAD	14340	29875	\N	\N	\N
385788	1311	1997-05-05	PRIJEM	VKLAD	14340	32788	\N	\N	\N
385789	1311	1997-06-05	PRIJEM	VKLAD	21510	42348	\N	\N	\N
385790	1311	1997-07-05	PRIJEM	VKLAD	14340	18255	\N	\N	\N
385791	1311	1997-08-05	PRIJEM	VKLAD	14340	26489	\N	\N	\N
385792	1311	1997-09-05	PRIJEM	VKLAD	14340	28952	\N	\N	\N
385793	1311	1997-10-05	PRIJEM	VKLAD	14340	26120	\N	\N	\N
385794	1311	1997-11-05	PRIJEM	VKLAD	14340	27096	\N	\N	\N
385795	1311	1997-12-05	PRIJEM	VKLAD	21510	37432	\N	\N	\N
385796	1311	1998-01-05	PRIJEM	VKLAD	14340	27923	\N	\N	\N
385797	1311	1998-02-05	PRIJEM	VKLAD	14340	25319	\N	\N	\N
385798	1311	1998-03-05	PRIJEM	VKLAD	14340	30279	\N	\N	\N
385799	1311	1998-04-05	PRIJEM	VKLAD	14340	29553	\N	\N	\N
385800	1311	1998-05-05	PRIJEM	VKLAD	14340	32328	\N	\N	\N
385801	1311	1998-06-05	PRIJEM	VKLAD	21510	42284	\N	\N	\N
385802	1311	1998-07-05	PRIJEM	VKLAD	14340	32950	\N	\N	\N
385803	1311	1998-08-05	PRIJEM	VKLAD	14340	30891	\N	\N	\N
385804	1311	1998-09-05	PRIJEM	VKLAD	14340	27360	\N	\N	\N
385805	1311	1998-10-05	PRIJEM	VKLAD	14340	28426	\N	\N	\N
385806	1311	1998-11-05	PRIJEM	VKLAD	14340	28796	\N	\N	\N
385807	1311	1998-12-05	PRIJEM	VKLAD	21510	36772	\N	\N	\N
385812	1311	1996-05-07	VYDAJ	PREVOD NA UCET	9327	35095	SIPO	UV	53567492
385813	1311	1996-06-07	VYDAJ	PREVOD NA UCET	9327	37595	SIPO	UV	53567492
385814	1311	1996-07-07	VYDAJ	PREVOD NA UCET	9327	32450	SIPO	UV	53567492
385815	1311	1996-08-07	VYDAJ	PREVOD NA UCET	9327	26773	SIPO	UV	53567492
385816	1311	1996-09-07	VYDAJ	PREVOD NA UCET	9327	23076	SIPO	UV	53567492
385817	1311	1996-10-07	VYDAJ	PREVOD NA UCET	9327	21665	SIPO	UV	53567492
385818	1311	1996-11-07	VYDAJ	PREVOD NA UCET	9327	18909	SIPO	UV	53567492
385819	1311	1996-12-07	VYDAJ	PREVOD NA UCET	9327	21555	SIPO	UV	53567492
385820	1311	1997-01-07	VYDAJ	PREVOD NA UCET	9327	15889	SIPO	UV	53567492
385821	1311	1997-02-07	VYDAJ	PREVOD NA UCET	9327	17163	SIPO	UV	53567492
385822	1311	1997-03-07	VYDAJ	PREVOD NA UCET	9327	22045	SIPO	UV	53567492
385823	1311	1997-04-07	VYDAJ	PREVOD NA UCET	9327	20548	SIPO	UV	53567492
385824	1311	1997-05-07	VYDAJ	PREVOD NA UCET	9327	23461	SIPO	UV	53567492
385825	1311	1997-06-07	VYDAJ	PREVOD NA UCET	9327	3901	SIPO	UV	53567492
385826	1311	1997-07-07	VYDAJ	PREVOD NA UCET	9327	8928	SIPO	UV	53567492
385827	1311	1997-08-07	VYDAJ	PREVOD NA UCET	9327	17162	SIPO	UV	53567492
385828	1311	1997-09-07	VYDAJ	PREVOD NA UCET	9327	19625	SIPO	UV	53567492
385829	1311	1997-10-07	VYDAJ	PREVOD NA UCET	9327	16793	SIPO	UV	53567492
385830	1311	1997-11-07	VYDAJ	PREVOD NA UCET	9327	17769	SIPO	UV	53567492
385831	1311	1997-12-07	VYDAJ	PREVOD NA UCET	9327	28105	SIPO	UV	53567492
385832	1311	1998-01-07	VYDAJ	PREVOD NA UCET	9327	18596	SIPO	UV	53567492
385833	1311	1998-02-07	VYDAJ	PREVOD NA UCET	9327	15992	SIPO	UV	53567492
385834	1311	1998-03-07	VYDAJ	PREVOD NA UCET	9327	20952	SIPO	UV	53567492
385835	1311	1998-04-07	VYDAJ	PREVOD NA UCET	9327	20226	SIPO	UV	53567492
385836	1311	1998-05-07	VYDAJ	PREVOD NA UCET	9327	23001	SIPO	UV	53567492
385837	1311	1998-06-07	VYDAJ	PREVOD NA UCET	9327	32957	SIPO	UV	53567492
385838	1311	1998-07-07	VYDAJ	PREVOD NA UCET	9327	23623	SIPO	UV	53567492
385839	1311	1998-08-07	VYDAJ	PREVOD NA UCET	9327	21564	SIPO	UV	53567492
385840	1311	1998-09-07	VYDAJ	PREVOD NA UCET	9327	18033	SIPO	UV	53567492
385841	1311	1998-10-07	VYDAJ	PREVOD NA UCET	9327	19099	SIPO	UV	53567492
385842	1311	1998-11-07	VYDAJ	PREVOD NA UCET	9327	19469	SIPO	UV	53567492
385843	1311	1998-12-07	VYDAJ	PREVOD NA UCET	9327	26645	SIPO	UV	53567492
385845	1311	1997-06-06	VYDAJ	VYBER	29120	13228	\N	\N	\N
385850	1311	1996-12-06	VYDAJ	VYBER	4000	30882	\N	\N	\N
385851	1311	1997-12-29	VYDAJ	VYBER	4000	13505	\N	\N	\N
385852	1311	1998-12-05	VYDAJ	VYBER	800	35972	\N	\N	\N
385859	1311	1997-01-07	VYDAJ	VYBER	1320	25216	\N	\N	\N
385862	1311	1997-01-13	VYDAJ	VYBER	1680	13009	\N	\N	\N
385863	1311	1997-01-12	VYDAJ	VYBER	1200	14689	\N	\N	\N
385866	1311	1998-01-15	VYDAJ	VYBER	2040	14036	\N	\N	\N
385870	1311	1998-01-13	VYDAJ	VYBER	2520	16076	\N	\N	\N
385872	1311	1996-11-06	VYDAJ	VYBER	5640	28236	\N	\N	\N
385873	1311	1996-05-29	VYDAJ	VYBER	2520	32575	\N	\N	\N
385874	1311	1996-07-11	VYDAJ	VYBER	5400	27050	\N	\N	\N
385875	1311	1996-12-21	VYDAJ	VYBER	4920	16635	\N	\N	\N
385876	1311	1997-10-17	VYDAJ	VYBER	3480	13313	\N	\N	\N
385878	1311	1997-03-29	VYDAJ	VYBER	4080	15465	\N	\N	\N
385879	1311	1997-04-12	VYDAJ	VYBER	2760	17788	\N	\N	\N
385880	1311	1997-02-15	VYDAJ	VYBER	1680	15483	\N	\N	\N
385881	1311	1998-06-27	VYDAJ	VYBER	1440	18517	\N	\N	\N
385882	1311	1998-12-20	VYDAJ	VYBER	600	17645	\N	\N	\N
385883	1311	1998-11-17	VYDAJ	VYBER	3360	16109	\N	\N	\N
385885	1311	1998-10-03	VYDAJ	VYBER	2400	14086	\N	\N	\N
385886	1311	1998-07-12	VYDAJ	VYBER	1560	22063	\N	\N	\N
385888	1311	1998-07-23	VYDAJ	VYBER	1680	16483	\N	\N	\N
385894	1311	1996-05-31	VYDAJ	VYBER	15	32712	SLUZBY	\N	\N
385895	1311	1996-06-30	VYDAJ	VYBER	15	37737	SLUZBY	\N	\N
385896	1311	1996-07-31	VYDAJ	VYBER	15	21760	SLUZBY	\N	\N
385897	1311	1996-08-31	VYDAJ	VYBER	15	18063	SLUZBY	\N	\N
385898	1311	1996-09-30	VYDAJ	VYBER	15	16652	SLUZBY	\N	\N
385899	1311	1996-10-31	VYDAJ	VYBER	15	19536	SLUZBY	\N	\N
385900	1311	1996-11-30	VYDAJ	VYBER	15	13372	SLUZBY	\N	\N
385901	1311	1996-12-31	VYDAJ	VYBER	15	12196	SLUZBY	\N	\N
385902	1311	1997-01-31	VYDAJ	VYBER	15	12150	SLUZBY	\N	\N
385903	1311	1997-02-28	VYDAJ	VYBER	15	17032	SLUZBY	\N	\N
385904	1311	1997-03-31	VYDAJ	VYBER	15	15535	SLUZBY	\N	\N
385905	1311	1997-04-30	VYDAJ	VYBER	15	18448	SLUZBY	\N	\N
385906	1311	1997-05-31	VYDAJ	VYBER	15	20838	SLUZBY	\N	\N
385907	1311	1997-06-30	VYDAJ	VYBER	15	3915	SLUZBY	\N	\N
385908	1311	1997-07-31	VYDAJ	VYBER	15	12149	SLUZBY	\N	\N
385909	1311	1997-08-31	VYDAJ	VYBER	15	14612	SLUZBY	\N	\N
385910	1311	1997-09-30	VYDAJ	VYBER	15	11780	SLUZBY	\N	\N
385911	1311	1997-10-31	VYDAJ	VYBER	15	12756	SLUZBY	\N	\N
385912	1311	1997-11-30	VYDAJ	VYBER	15	15922	SLUZBY	\N	\N
385913	1311	1997-12-31	VYDAJ	VYBER	15	13583	SLUZBY	\N	\N
385914	1311	1998-01-31	VYDAJ	VYBER	15	10979	SLUZBY	\N	\N
385915	1311	1998-02-28	VYDAJ	VYBER	15	15939	SLUZBY	\N	\N
385916	1311	1998-03-31	VYDAJ	VYBER	15	15213	SLUZBY	\N	\N
385917	1311	1998-04-30	VYDAJ	VYBER	15	17988	SLUZBY	\N	\N
385918	1311	1998-05-31	VYDAJ	VYBER	15	20774	SLUZBY	\N	\N
385919	1311	1998-06-30	VYDAJ	VYBER	15	18610	SLUZBY	\N	\N
385920	1311	1998-07-31	VYDAJ	VYBER	15	16551	SLUZBY	\N	\N
385921	1311	1998-08-31	VYDAJ	VYBER	15	13020	SLUZBY	\N	\N
385922	1311	1998-09-30	VYDAJ	VYBER	15	16486	SLUZBY	\N	\N
385923	1311	1998-10-31	VYDAJ	VYBER	15	14456	SLUZBY	\N	\N
385924	1311	1998-11-30	VYDAJ	VYBER	15	15262	SLUZBY	\N	\N
385925	1311	1996-02-02	PRIJEM	VKLAD	3600	18494	\N	\N	\N
385926	1311	1996-03-03	VYDAJ	VYBER	6600	26360	\N	\N	\N
385927	1311	1996-04-02	VYDAJ	VYBER	12700	28166	\N	\N	\N
385928	1311	1996-05-02	VYDAJ	VYBER	12600	30082	\N	\N	\N
385929	1311	1996-06-01	VYDAJ	VYBER	7300	25412	\N	\N	\N
385930	1311	1996-07-01	VYDAJ	VYBER	10300	27437	\N	\N	\N
385931	1311	1996-07-31	VYDAJ	VYBER	5400	21774	\N	\N	\N
385932	1311	1996-08-30	VYDAJ	VYBER	8800	17973	\N	\N	\N
385933	1311	1996-09-29	VYDAJ	VYBER	6500	16576	\N	\N	\N
385934	1311	1996-10-29	VYDAJ	VYBER	2200	19465	\N	\N	\N
385935	1311	1996-11-28	VYDAJ	VYBER	5600	13309	\N	\N	\N
385936	1311	1996-12-28	VYDAJ	VYBER	4500	12135	\N	\N	\N
385937	1311	1997-01-27	VYDAJ	VYBER	900	12109	\N	\N	\N
385938	1311	1997-02-26	PRIJEM	VKLAD	1500	16983	\N	\N	\N
385939	1311	1997-03-28	VYDAJ	VYBER	2500	19545	\N	\N	\N
385940	1311	1997-04-27	PRIJEM	VKLAD	600	18388	\N	\N	\N
385941	1311	1997-05-27	VYDAJ	VYBER	2700	20761	\N	\N	\N
385942	1311	1997-07-26	PRIJEM	VKLAD	3200	12128	\N	\N	\N
385943	1311	1997-08-25	VYDAJ	VYBER	2600	14562	\N	\N	\N
385944	1311	1997-09-24	VYDAJ	VYBER	7900	11725	\N	\N	\N
385945	1311	1997-10-24	VYDAJ	VYBER	600	12713	\N	\N	\N
385946	1311	1997-11-23	VYDAJ	VYBER	1900	15869	\N	\N	\N
385947	1311	1997-12-23	VYDAJ	VYBER	10600	17505	\N	\N	\N
385948	1311	1998-01-22	VYDAJ	VYBER	3100	10936	\N	\N	\N
385949	1311	1998-02-21	VYDAJ	VYBER	100	15892	\N	\N	\N
385950	1311	1998-03-23	VYDAJ	VYBER	5800	15152	\N	\N	\N
385951	1311	1998-04-22	VYDAJ	VYBER	2300	17926	\N	\N	\N
385952	1311	1998-05-22	VYDAJ	VYBER	2300	20701	\N	\N	\N
385953	1311	1998-06-21	VYDAJ	VYBER	13000	19957	\N	\N	\N
385954	1311	1998-07-21	VYDAJ	VYBER	3900	18163	\N	\N	\N
385955	1311	1998-08-20	VYDAJ	VYBER	8600	12964	\N	\N	\N
385956	1311	1998-09-19	VYDAJ	VYBER	1600	16433	\N	\N	\N
385957	1311	1998-10-19	VYDAJ	VYBER	4700	14399	\N	\N	\N
385958	1311	1998-11-18	VYDAJ	VYBER	900	15209	\N	\N	\N
385959	1311	1998-12-18	VYDAJ	VYBER	8400	18245	\N	\N	\N
385996	1312	1994-10-15	PRIJEM	VKLAD	400	400	\N	\N	\N
386007	1312	1994-11-10	PRIJEM	PREVOD Z UCTU	5735	6135	DUCHOD	QR	82899385
386008	1312	1994-12-10	PRIJEM	PREVOD Z UCTU	5735	11870	DUCHOD	QR	82899385
386009	1312	1995-01-10	PRIJEM	PREVOD Z UCTU	5735	17605	DUCHOD	QR	82899385
386010	1312	1995-02-10	PRIJEM	PREVOD Z UCTU	5735	23340	DUCHOD	QR	82899385
386011	1312	1995-03-10	PRIJEM	PREVOD Z UCTU	5735	29075	DUCHOD	QR	82899385
386012	1312	1995-04-10	PRIJEM	PREVOD Z UCTU	5735	31973	DUCHOD	QR	82899385
386013	1312	1995-05-10	PRIJEM	PREVOD Z UCTU	5735	27857	DUCHOD	QR	82899385
386014	1312	1995-06-10	PRIJEM	PREVOD Z UCTU	5735	28190	DUCHOD	QR	82899385
386015	1312	1995-07-10	PRIJEM	PREVOD Z UCTU	5735	26720	DUCHOD	QR	82899385
386016	1312	1995-08-10	PRIJEM	PREVOD Z UCTU	5735	26144	DUCHOD	QR	82899385
386017	1312	1995-09-10	PRIJEM	PREVOD Z UCTU	5735	25085	DUCHOD	QR	82899385
386018	1312	1995-10-10	PRIJEM	PREVOD Z UCTU	5735	23369	DUCHOD	QR	82899385
386019	1312	1995-11-10	PRIJEM	PREVOD Z UCTU	5735	25893	DUCHOD	QR	82899385
386020	1312	1995-12-10	PRIJEM	PREVOD Z UCTU	5735	30026	DUCHOD	QR	82899385
386021	1312	1996-01-10	PRIJEM	PREVOD Z UCTU	5735	29844	DUCHOD	QR	82899385
386022	1312	1996-02-10	PRIJEM	PREVOD Z UCTU	5735	28626	DUCHOD	QR	82899385
386023	1312	1996-03-10	PRIJEM	PREVOD Z UCTU	5735	30870	DUCHOD	QR	82899385
386024	1312	1996-04-10	PRIJEM	PREVOD Z UCTU	5735	33726	DUCHOD	QR	82899385
386025	1312	1996-05-10	PRIJEM	PREVOD Z UCTU	5735	36030	DUCHOD	QR	82899385
386026	1312	1996-06-10	PRIJEM	PREVOD Z UCTU	5735	38406	DUCHOD	QR	82899385
386027	1312	1996-07-10	PRIJEM	PREVOD Z UCTU	5735	35592	DUCHOD	QR	82899385
386028	1312	1996-08-10	PRIJEM	PREVOD Z UCTU	5735	36273	DUCHOD	QR	82899385
386029	1312	1996-09-10	PRIJEM	PREVOD Z UCTU	5735	33251	DUCHOD	QR	82899385
386030	1312	1996-10-10	PRIJEM	PREVOD Z UCTU	5735	31119	DUCHOD	QR	82899385
386031	1312	1996-11-10	PRIJEM	PREVOD Z UCTU	5735	30292	DUCHOD	QR	82899385
386032	1312	1996-12-10	PRIJEM	PREVOD Z UCTU	5735	28390	DUCHOD	QR	82899385
386033	1312	1997-01-10	PRIJEM	PREVOD Z UCTU	5735	25755	DUCHOD	QR	82899385
386034	1312	1997-02-10	PRIJEM	PREVOD Z UCTU	5735	24906	DUCHOD	QR	82899385
386035	1312	1997-03-10	PRIJEM	PREVOD Z UCTU	5735	25252	DUCHOD	QR	82899385
386036	1312	1997-04-10	PRIJEM	PREVOD Z UCTU	5735	25602	DUCHOD	QR	82899385
386037	1312	1997-05-10	PRIJEM	PREVOD Z UCTU	5735	25670	DUCHOD	QR	82899385
386038	1312	1997-06-10	PRIJEM	PREVOD Z UCTU	5735	26502	DUCHOD	QR	82899385
386039	1312	1997-07-10	PRIJEM	PREVOD Z UCTU	5735	25739	DUCHOD	QR	82899385
386040	1312	1997-08-10	PRIJEM	PREVOD Z UCTU	5735	25272	DUCHOD	QR	82899385
386041	1312	1997-09-10	PRIJEM	PREVOD Z UCTU	5735	23801	DUCHOD	QR	82899385
386042	1312	1997-10-10	PRIJEM	PREVOD Z UCTU	5735	22423	DUCHOD	QR	82899385
386043	1312	1997-11-10	PRIJEM	PREVOD Z UCTU	5735	21639	DUCHOD	QR	82899385
386044	1312	1997-12-10	PRIJEM	PREVOD Z UCTU	5735	18651	DUCHOD	QR	82899385
386045	1312	1998-01-10	PRIJEM	PREVOD Z UCTU	5735	19692	DUCHOD	QR	82899385
386046	1312	1998-02-10	PRIJEM	PREVOD Z UCTU	5735	18827	DUCHOD	QR	82899385
386047	1312	1998-03-10	PRIJEM	PREVOD Z UCTU	5735	22929	DUCHOD	QR	82899385
386048	1312	1998-04-10	PRIJEM	PREVOD Z UCTU	5735	24162	DUCHOD	QR	82899385
386049	1312	1998-05-10	PRIJEM	PREVOD Z UCTU	5735	27886	DUCHOD	QR	82899385
386050	1312	1998-06-10	PRIJEM	PREVOD Z UCTU	5735	32027	DUCHOD	QR	82899385
386051	1312	1998-07-10	PRIJEM	PREVOD Z UCTU	5735	18171	DUCHOD	QR	82899385
386052	1312	1998-08-10	PRIJEM	PREVOD Z UCTU	5735	22271	DUCHOD	QR	82899385
386053	1312	1998-09-10	PRIJEM	PREVOD Z UCTU	5735	22468	DUCHOD	QR	82899385
386054	1312	1998-10-10	PRIJEM	PREVOD Z UCTU	5735	26587	DUCHOD	QR	82899385
386055	1312	1998-11-10	PRIJEM	PREVOD Z UCTU	5735	30722	DUCHOD	QR	82899385
386056	1312	1998-12-10	PRIJEM	PREVOD Z UCTU	5735	33524	DUCHOD	QR	82899385
386072	1312	1995-04-06	VYDAJ	PREVOD NA UCET	1690	26238	SIPO	ST	56866002
386073	1312	1995-05-06	VYDAJ	PREVOD NA UCET	1690	24682	SIPO	ST	56866002
386074	1312	1995-06-06	VYDAJ	PREVOD NA UCET	1690	22455	SIPO	ST	56866002
386075	1312	1995-07-06	VYDAJ	PREVOD NA UCET	1690	20985	SIPO	ST	56866002
386076	1312	1995-08-06	VYDAJ	PREVOD NA UCET	1690	20409	SIPO	ST	56866002
386077	1312	1995-09-06	VYDAJ	PREVOD NA UCET	1690	19350	SIPO	ST	56866002
386078	1312	1995-10-06	VYDAJ	PREVOD NA UCET	1690	17634	SIPO	ST	56866002
386079	1312	1995-11-06	VYDAJ	PREVOD NA UCET	1690	20158	SIPO	ST	56866002
386080	1312	1995-12-06	VYDAJ	PREVOD NA UCET	1690	24291	SIPO	ST	56866002
386081	1312	1996-01-06	VYDAJ	PREVOD NA UCET	1690	24109	SIPO	ST	56866002
386082	1312	1996-02-06	VYDAJ	PREVOD NA UCET	1690	22891	SIPO	ST	56866002
386083	1312	1996-03-06	VYDAJ	PREVOD NA UCET	1690	27035	SIPO	ST	56866002
386084	1312	1996-04-06	VYDAJ	PREVOD NA UCET	1690	28091	SIPO	ST	56866002
386085	1312	1996-05-06	VYDAJ	PREVOD NA UCET	1690	30795	SIPO	ST	56866002
386086	1312	1996-06-06	VYDAJ	PREVOD NA UCET	1690	32671	SIPO	ST	56866002
386087	1312	1996-07-06	VYDAJ	PREVOD NA UCET	1690	36857	SIPO	ST	56866002
386088	1312	1996-08-06	VYDAJ	PREVOD NA UCET	1690	30538	SIPO	ST	56866002
386089	1312	1996-09-06	VYDAJ	PREVOD NA UCET	1690	27516	SIPO	ST	56866002
386090	1312	1996-10-06	VYDAJ	PREVOD NA UCET	1690	25384	SIPO	ST	56866002
386091	1312	1996-11-06	VYDAJ	PREVOD NA UCET	1690	24557	SIPO	ST	56866002
386092	1312	1996-12-06	VYDAJ	PREVOD NA UCET	1690	22655	SIPO	ST	56866002
386093	1312	1997-01-06	VYDAJ	PREVOD NA UCET	1690	20980	SIPO	ST	56866002
386094	1312	1997-02-06	VYDAJ	PREVOD NA UCET	1690	19171	SIPO	ST	56866002
386095	1312	1997-03-06	VYDAJ	PREVOD NA UCET	1690	19517	SIPO	ST	56866002
386096	1312	1997-04-06	VYDAJ	PREVOD NA UCET	1690	19867	SIPO	ST	56866002
386097	1312	1997-05-06	VYDAJ	PREVOD NA UCET	1690	19935	SIPO	ST	56866002
386098	1312	1997-06-06	VYDAJ	PREVOD NA UCET	1690	20767	SIPO	ST	56866002
386099	1312	1997-07-06	VYDAJ	PREVOD NA UCET	1690	20004	SIPO	ST	56866002
386100	1312	1997-08-06	VYDAJ	PREVOD NA UCET	1690	19537	SIPO	ST	56866002
386101	1312	1997-09-06	VYDAJ	PREVOD NA UCET	1690	18066	SIPO	ST	56866002
386102	1312	1997-10-06	VYDAJ	PREVOD NA UCET	1690	16688	SIPO	ST	56866002
386103	1312	1997-11-06	VYDAJ	PREVOD NA UCET	1690	15904	SIPO	ST	56866002
386104	1312	1997-12-06	VYDAJ	PREVOD NA UCET	1690	12916	SIPO	ST	56866002
386105	1312	1998-01-06	VYDAJ	PREVOD NA UCET	1690	13957	SIPO	ST	56866002
386106	1312	1998-02-06	VYDAJ	PREVOD NA UCET	1690	13092	SIPO	ST	56866002
386107	1312	1998-03-06	VYDAJ	PREVOD NA UCET	1690	17194	SIPO	ST	56866002
386108	1312	1998-04-06	VYDAJ	PREVOD NA UCET	1690	18427	SIPO	ST	56866002
386109	1312	1998-05-06	VYDAJ	PREVOD NA UCET	1690	22151	SIPO	ST	56866002
386110	1312	1998-06-06	VYDAJ	PREVOD NA UCET	1690	26292	SIPO	ST	56866002
386111	1312	1998-07-06	VYDAJ	PREVOD NA UCET	1690	12436	SIPO	ST	56866002
386112	1312	1998-08-06	VYDAJ	PREVOD NA UCET	1690	16536	SIPO	ST	56866002
386113	1312	1998-09-06	VYDAJ	PREVOD NA UCET	1690	16733	SIPO	ST	56866002
386114	1312	1998-10-06	VYDAJ	PREVOD NA UCET	1690	20852	SIPO	ST	56866002
386115	1312	1998-11-06	VYDAJ	PREVOD NA UCET	1690	24987	SIPO	ST	56866002
386116	1312	1998-12-06	VYDAJ	PREVOD NA UCET	1690	29139	SIPO	ST	56866002
386118	1312	1995-12-14	VYDAJ	VYBER	1050	28976	\N	\N	\N
386119	1312	1996-12-06	VYDAJ	VYBER	750	24345	\N	\N	\N
386120	1312	1997-12-28	VYDAJ	VYBER	1300	17351	\N	\N	\N
386121	1312	1998-12-08	VYDAJ	VYBER	1350	27789	\N	\N	\N
386134	1312	1996-01-19	VYDAJ	VYBER	2000	26164	\N	\N	\N
386135	1312	1996-01-16	VYDAJ	VYBER	1200	28164	\N	\N	\N
386136	1312	1996-01-13	VYDAJ	VYBER	480	29364	\N	\N	\N
386137	1312	1996-01-03	VYDAJ	VYBER	2320	26759	\N	\N	\N
386138	1312	1996-01-25	VYDAJ	VYBER	1680	24484	\N	\N	\N
386139	1312	1996-01-04	VYDAJ	VYBER	960	25799	\N	\N	\N
386140	1312	1997-01-22	VYDAJ	VYBER	400	23995	\N	\N	\N
386141	1312	1997-01-27	VYDAJ	VYBER	400	22475	\N	\N	\N
386142	1312	1997-01-08	VYDAJ	VYBER	960	20020	\N	\N	\N
386143	1312	1997-01-15	VYDAJ	VYBER	1360	24395	\N	\N	\N
386144	1312	1997-01-23	VYDAJ	VYBER	1120	22875	\N	\N	\N
386145	1312	1997-01-06	VYDAJ	VYBER	720	22670	\N	\N	\N
386146	1312	1998-01-16	VYDAJ	VYBER	1120	14732	\N	\N	\N
386147	1312	1998-01-06	VYDAJ	VYBER	1760	15647	\N	\N	\N
386149	1312	1998-01-10	VYDAJ	VYBER	2160	17532	\N	\N	\N
386151	1312	1998-01-11	VYDAJ	VYBER	1680	15852	\N	\N	\N
386157	1312	1995-08-14	VYDAJ	VYBER	2480	20964	\N	\N	\N
386158	1312	1995-05-07	VYDAJ	VYBER	2560	22122	\N	\N	\N
386159	1312	1995-10-30	VYDAJ	VYBER	1600	21769	\N	\N	\N
386160	1312	1995-10-03	VYDAJ	VYBER	3840	19324	\N	\N	\N
386161	1312	1995-06-19	VYDAJ	VYBER	1600	22590	\N	\N	\N
386162	1312	1996-04-26	VYDAJ	VYBER	1360	32366	\N	\N	\N
386163	1312	1996-11-22	VYDAJ	VYBER	2800	27492	\N	\N	\N
386164	1312	1996-10-19	VYDAJ	VYBER	2880	28239	\N	\N	\N
386165	1312	1996-04-02	VYDAJ	VYBER	1200	29781	\N	\N	\N
386166	1312	1997-04-16	VYDAJ	VYBER	1760	23842	\N	\N	\N
386167	1312	1997-02-22	VYDAJ	VYBER	2480	22426	\N	\N	\N
386168	1312	1997-10-27	VYDAJ	VYBER	400	22023	\N	\N	\N
386169	1312	1997-04-02	VYDAJ	VYBER	3280	21557	\N	\N	\N
386170	1312	1998-03-14	VYDAJ	VYBER	2880	20049	\N	\N	\N
386171	1312	1998-12-22	VYDAJ	VYBER	2080	31444	\N	\N	\N
386172	1312	1998-04-14	VYDAJ	VYBER	400	23762	\N	\N	\N
386173	1312	1998-09-04	VYDAJ	VYBER	3920	18423	\N	\N	\N
386189	1312	1995-03-31	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
386190	1312	1995-04-30	VYDAJ	VYBER	15	26372	SLUZBY	\N	\N
386191	1312	1995-05-31	VYDAJ	VYBER	15	24145	SLUZBY	\N	\N
386192	1312	1995-06-30	VYDAJ	VYBER	15	22675	SLUZBY	\N	\N
386193	1312	1995-07-31	VYDAJ	VYBER	15	22099	SLUZBY	\N	\N
386194	1312	1995-08-31	VYDAJ	VYBER	15	21040	SLUZBY	\N	\N
386195	1312	1995-09-30	VYDAJ	VYBER	15	23164	SLUZBY	\N	\N
386196	1312	1995-10-31	VYDAJ	VYBER	15	21848	SLUZBY	\N	\N
386197	1312	1995-11-30	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
386198	1312	1995-12-31	VYDAJ	VYBER	15	29079	SLUZBY	\N	\N
386199	1312	1996-01-31	VYDAJ	VYBER	15	24581	SLUZBY	\N	\N
386200	1312	1996-02-29	VYDAJ	VYBER	15	28725	SLUZBY	\N	\N
386201	1312	1996-03-31	VYDAJ	VYBER	15	30981	SLUZBY	\N	\N
386202	1312	1996-04-30	VYDAJ	VYBER	15	32485	SLUZBY	\N	\N
386203	1312	1996-05-31	VYDAJ	VYBER	15	36161	SLUZBY	\N	\N
386204	1312	1996-06-30	VYDAJ	VYBER	15	38547	SLUZBY	\N	\N
386205	1312	1996-07-31	VYDAJ	VYBER	15	35728	SLUZBY	\N	\N
386206	1312	1996-08-31	VYDAJ	VYBER	15	36406	SLUZBY	\N	\N
386207	1312	1996-09-30	VYDAJ	VYBER	15	33374	SLUZBY	\N	\N
386208	1312	1996-10-31	VYDAJ	VYBER	15	28347	SLUZBY	\N	\N
386209	1312	1996-11-30	VYDAJ	VYBER	15	27595	SLUZBY	\N	\N
386210	1312	1996-12-31	VYDAJ	VYBER	15	28490	SLUZBY	\N	\N
386211	1312	1997-01-31	VYDAJ	VYBER	15	22561	SLUZBY	\N	\N
386212	1312	1997-02-28	VYDAJ	VYBER	15	22507	SLUZBY	\N	\N
386213	1312	1997-03-31	VYDAJ	VYBER	15	25337	SLUZBY	\N	\N
386214	1312	1997-04-30	VYDAJ	VYBER	15	23925	SLUZBY	\N	\N
386215	1312	1997-05-31	VYDAJ	VYBER	15	25757	SLUZBY	\N	\N
386216	1312	1997-06-30	VYDAJ	VYBER	15	26594	SLUZBY	\N	\N
386217	1312	1997-07-31	VYDAJ	VYBER	15	25827	SLUZBY	\N	\N
386218	1312	1997-08-31	VYDAJ	VYBER	15	19756	SLUZBY	\N	\N
386219	1312	1997-09-30	VYDAJ	VYBER	15	18378	SLUZBY	\N	\N
386220	1312	1997-10-31	VYDAJ	VYBER	15	17594	SLUZBY	\N	\N
386221	1312	1997-11-30	VYDAJ	VYBER	15	14606	SLUZBY	\N	\N
386222	1312	1997-12-31	VYDAJ	VYBER	15	17407	SLUZBY	\N	\N
386223	1312	1998-01-31	VYDAJ	VYBER	15	14782	SLUZBY	\N	\N
386224	1312	1998-02-28	VYDAJ	VYBER	15	18884	SLUZBY	\N	\N
386225	1312	1998-03-31	VYDAJ	VYBER	15	20117	SLUZBY	\N	\N
386226	1312	1998-04-30	VYDAJ	VYBER	15	23841	SLUZBY	\N	\N
386227	1312	1998-05-31	VYDAJ	VYBER	15	27982	SLUZBY	\N	\N
386228	1312	1998-06-30	VYDAJ	VYBER	15	14126	SLUZBY	\N	\N
386229	1312	1998-07-31	VYDAJ	VYBER	15	18226	SLUZBY	\N	\N
386230	1312	1998-08-31	VYDAJ	VYBER	15	22343	SLUZBY	\N	\N
386231	1312	1998-09-30	VYDAJ	VYBER	15	22542	SLUZBY	\N	\N
386232	1312	1998-10-31	VYDAJ	VYBER	15	26677	SLUZBY	\N	\N
386233	1312	1998-11-30	VYDAJ	VYBER	15	30829	SLUZBY	\N	\N
386234	1312	1995-03-14	VYDAJ	VYBER	1200	27875	\N	\N	\N
386235	1312	1995-04-13	VYDAJ	VYBER	5700	26273	\N	\N	\N
386236	1312	1995-05-13	VYDAJ	VYBER	3800	24057	\N	\N	\N
386237	1312	1995-06-12	VYDAJ	VYBER	4000	24190	\N	\N	\N
386238	1312	1995-07-12	VYDAJ	VYBER	4700	22020	\N	\N	\N
386239	1312	1995-08-11	VYDAJ	VYBER	2700	23444	\N	\N	\N
386240	1312	1995-09-10	VYDAJ	VYBER	2000	23085	\N	\N	\N
386241	1312	1996-03-08	VYDAJ	VYBER	1900	25135	\N	\N	\N
386242	1312	1996-04-07	VYDAJ	VYBER	100	27991	\N	\N	\N
386243	1312	1996-05-07	VYDAJ	VYBER	500	30295	\N	\N	\N
386244	1312	1996-06-06	VYDAJ	VYBER	1800	34361	\N	\N	\N
386245	1312	1996-07-06	VYDAJ	VYBER	7000	29857	\N	\N	\N
386246	1312	1996-08-05	VYDAJ	VYBER	3500	32228	\N	\N	\N
386247	1312	1996-09-04	VYDAJ	VYBER	7200	29206	\N	\N	\N
386248	1312	1996-10-04	VYDAJ	VYBER	6300	27074	\N	\N	\N
386249	1312	1996-11-03	VYDAJ	VYBER	2100	26247	\N	\N	\N
386250	1312	1996-12-03	VYDAJ	VYBER	2500	25095	\N	\N	\N
386251	1312	1997-01-02	VYDAJ	VYBER	5100	23390	\N	\N	\N
386252	1312	1997-02-01	VYDAJ	VYBER	1700	20861	\N	\N	\N
386253	1312	1997-03-03	VYDAJ	VYBER	1300	21207	\N	\N	\N
386254	1312	1997-04-02	VYDAJ	VYBER	500	24837	\N	\N	\N
386255	1312	1997-05-02	VYDAJ	VYBER	2300	21625	\N	\N	\N
386256	1312	1997-06-01	VYDAJ	VYBER	3300	22457	\N	\N	\N
386257	1312	1997-07-01	VYDAJ	VYBER	4900	21694	\N	\N	\N
386258	1312	1997-07-31	VYDAJ	VYBER	4600	21227	\N	\N	\N
386259	1312	1997-08-30	VYDAJ	VYBER	5600	19672	\N	\N	\N
386260	1312	1997-09-29	VYDAJ	VYBER	5500	18301	\N	\N	\N
386261	1312	1997-10-29	VYDAJ	VYBER	4500	17523	\N	\N	\N
386262	1312	1997-11-28	VYDAJ	VYBER	7100	14539	\N	\N	\N
386263	1312	1998-06-26	VYDAJ	VYBER	18000	14027	\N	\N	\N
386310	1313	1997-10-01	PRIJEM	VKLAD	200	200	\N	\N	\N
386316	1313	1997-11-28	PRIJEM	VKLAD	32865	81593	\N	\N	\N
386319	1313	1997-12-02	PRIJEM	VKLAD	43773	96142	\N	\N	\N
386324	1313	1997-12-20	PRIJEM	VKLAD	28781	151157	\N	\N	\N
386327	1313	1997-12-05	PRIJEM	VKLAD	42734	138876	\N	\N	\N
386329	1313	1997-11-04	PRIJEM	VKLAD	36326	48728	\N	\N	\N
386330	1313	1997-12-28	PRIJEM	VKLAD	26824	117981	\N	\N	\N
386340	1313	1998-08-07	PRIJEM	VKLAD	17980	56807	\N	\N	\N
386341	1313	1998-11-01	PRIJEM	VKLAD	35542	87691	\N	\N	\N
386342	1313	1998-03-05	PRIJEM	VKLAD	44240	83443	\N	\N	\N
386343	1313	1998-07-25	PRIJEM	VKLAD	15794	50343	\N	\N	\N
386344	1313	1998-11-17	PRIJEM	VKLAD	36688	124379	\N	\N	\N
386345	1313	1998-04-24	PRIJEM	VKLAD	39425	95342	\N	\N	\N
386346	1313	1998-02-18	PRIJEM	VKLAD	38798	94349	\N	\N	\N
386347	1313	1998-06-05	PRIJEM	VKLAD	8339	57645	\N	\N	\N
386348	1313	1998-09-22	PRIJEM	VKLAD	28348	128050	\N	\N	\N
386349	1313	1998-09-07	PRIJEM	VKLAD	43159	102402	\N	\N	\N
386350	1313	1998-03-24	PRIJEM	VKLAD	16558	97828	\N	\N	\N
386351	1313	1998-10-15	PRIJEM	VKLAD	25489	101972	\N	\N	\N
386352	1313	1998-08-10	PRIJEM	VKLAD	23480	80287	\N	\N	\N
386353	1313	1998-02-24	PRIJEM	VKLAD	6427	100776	\N	\N	\N
386354	1313	1998-02-24	PRIJEM	VKLAD	19642	120418	\N	\N	\N
386355	1313	1998-11-17	PRIJEM	VKLAD	41337	165716	\N	\N	\N
386356	1313	1998-07-26	PRIJEM	VKLAD	13933	64276	\N	\N	\N
386357	1313	1998-02-03	PRIJEM	VKLAD	35860	55551	\N	\N	\N
386358	1313	1998-06-02	PRIJEM	VKLAD	17750	49306	\N	\N	\N
386359	1313	1998-05-19	PRIJEM	VKLAD	8182	64443	\N	\N	\N
386360	1313	1998-09-22	PRIJEM	VKLAD	20383	148433	\N	\N	\N
386361	1313	1998-08-10	PRIJEM	VKLAD	47546	127833	\N	\N	\N
386362	1313	1998-11-18	PRIJEM	VKLAD	20660	115476	\N	\N	\N
386363	1313	1998-12-01	PRIJEM	VKLAD	14023	53836	\N	\N	\N
386364	1313	1998-10-13	PRIJEM	VKLAD	24834	76483	\N	\N	\N
386365	1313	1998-12-29	PRIJEM	VKLAD	14523	41659	\N	\N	\N
386366	1313	1998-03-21	PRIJEM	VKLAD	10727	81270	\N	\N	\N
386376	1313	1998-07-04	VYBER	VYBER	3008	34549	\N	\N	\N
386377	1313	1998-03-25	VYBER	VYBER	9269	88559	\N	\N	\N
386381	1313	1998-01-08	VYDAJ	VYBER	16800	33781	\N	\N	\N
386383	1313	1998-12-18	VYDAJ	VYBER	6300	47536	\N	\N	\N
386390	1313	1998-01-08	VYDAJ	VYBER	6600	50581	\N	\N	\N
386391	1313	1998-01-02	VYDAJ	VYBER	3000	57181	\N	\N	\N
386392	1313	1998-01-11	VYDAJ	VYBER	3900	22981	\N	\N	\N
386393	1313	1998-01-29	VYDAJ	VYBER	2700	19581	\N	\N	\N
386394	1313	1998-01-09	VYDAJ	VYBER	6900	26881	\N	\N	\N
386395	1313	1998-01-14	VYDAJ	VYBER	4200	18781	\N	\N	\N
386402	1313	1998-06-01	VYDAJ	VYBER	8700	31556	\N	\N	\N
386403	1313	1998-09-13	VYDAJ	VYBER	2700	99702	\N	\N	\N
386404	1313	1998-11-17	VYDAJ	VYBER	10200	94816	\N	\N	\N
386405	1313	1998-10-28	VYDAJ	VYBER	5400	51872	\N	\N	\N
386406	1313	1998-11-25	VYDAJ	VYBER	12600	74776	\N	\N	\N
386407	1313	1998-03-10	VYDAJ	VYBER	12900	70543	\N	\N	\N
386420	1313	1997-12-31	VYDAJ	VYBER	15	60181	SLUZBY	\N	\N
386421	1313	1998-01-31	VYDAJ	VYBER	15	19691	SLUZBY	\N	\N
386422	1313	1998-02-28	VYDAJ	VYBER	15	58303	SLUZBY	\N	\N
386423	1313	1998-03-31	VYDAJ	VYBER	15	55917	SLUZBY	\N	\N
386424	1313	1998-04-30	VYDAJ	VYBER	15	56261	SLUZBY	\N	\N
386425	1313	1998-05-31	VYDAJ	VYBER	15	40256	SLUZBY	\N	\N
386426	1313	1998-06-30	VYDAJ	VYBER	15	37557	SLUZBY	\N	\N
386427	1313	1998-07-31	VYDAJ	VYBER	15	38827	SLUZBY	\N	\N
386428	1313	1998-08-31	VYDAJ	VYBER	15	59243	SLUZBY	\N	\N
386429	1313	1998-09-30	VYDAJ	VYBER	15	51649	SLUZBY	\N	\N
386430	1313	1998-10-31	VYDAJ	VYBER	15	52149	SLUZBY	\N	\N
386431	1313	1998-11-30	VYDAJ	VYBER	15	39813	SLUZBY	\N	\N
386432	1313	1997-10-31	PRIJEM	VKLAD	12200	12402	\N	\N	\N
386433	1313	1997-11-30	VYDAJ	VYBER	29300	52369	\N	\N	\N
386434	1313	1997-12-05	VYDAJ	VYBER	16500	122376	\N	\N	\N
386435	1313	1997-12-20	VYDAJ	VYBER	60000	91157	\N	\N	\N
386436	1313	1997-12-28	VYDAJ	VYBER	22100	95881	\N	\N	\N
386437	1313	1997-12-30	VYDAJ	VYBER	36100	59781	\N	\N	\N
386438	1313	1998-01-29	PRIJEM	VKLAD	3500	22281	\N	\N	\N
386439	1313	1998-02-24	VYDAJ	VYBER	62300	58118	\N	\N	\N
386440	1313	1998-02-28	VYDAJ	VYBER	19100	39203	\N	\N	\N
386441	1313	1998-03-30	VYDAJ	VYBER	32900	55659	\N	\N	\N
386442	1313	1998-04-29	VYDAJ	VYBER	39300	56042	\N	\N	\N
386443	1313	1998-05-29	VYDAJ	VYBER	24400	40043	\N	\N	\N
386444	1313	1998-06-28	VYDAJ	VYBER	20300	37345	\N	\N	\N
386445	1313	1998-07-28	VYDAJ	VYBER	25600	38676	\N	\N	\N
386446	1313	1998-08-10	VYDAJ	VYBER	23700	104133	\N	\N	\N
386447	1313	1998-08-27	VYDAJ	VYBER	45200	58933	\N	\N	\N
386448	1313	1998-09-22	VYDAJ	VYBER	18900	129533	\N	\N	\N
386449	1313	1998-09-22	VYDAJ	VYBER	30000	99533	\N	\N	\N
386450	1313	1998-09-26	VYDAJ	VYBER	48200	51333	\N	\N	\N
386451	1313	1998-10-26	VYDAJ	VYBER	44700	57272	\N	\N	\N
386452	1313	1998-11-17	VYDAJ	VYBER	39900	125816	\N	\N	\N
386453	1313	1998-11-17	VYDAJ	VYBER	20800	105016	\N	\N	\N
386454	1313	1998-11-18	VYDAJ	VYBER	28100	87376	\N	\N	\N
386455	1313	1998-11-25	VYDAJ	VYBER	35200	39576	\N	\N	\N
386456	1313	1998-12-25	VYDAJ	VYBER	20400	27136	\N	\N	\N
386472	1314	1993-12-03	PRIJEM	VKLAD	600	600	\N	\N	\N
386484	1314	1993-12-05	PRIJEM	VKLAD	24996	25596	\N	\N	\N
386485	1314	1994-01-05	PRIJEM	VKLAD	16664	40553	\N	\N	\N
386486	1314	1994-02-05	PRIJEM	VKLAD	16664	50078	\N	\N	\N
386487	1314	1994-03-05	PRIJEM	VKLAD	16664	56245	\N	\N	\N
386488	1314	1994-04-05	PRIJEM	VKLAD	16664	55540	\N	\N	\N
386489	1314	1994-05-05	PRIJEM	VKLAD	16664	52910	\N	\N	\N
386490	1314	1994-06-05	PRIJEM	VKLAD	24996	61899	\N	\N	\N
386491	1314	1994-07-05	PRIJEM	VKLAD	16664	54043	\N	\N	\N
386492	1314	1994-08-05	PRIJEM	VKLAD	16664	51803	\N	\N	\N
386493	1314	1994-09-05	PRIJEM	VKLAD	16664	52839	\N	\N	\N
386494	1314	1994-10-05	PRIJEM	VKLAD	16664	53478	\N	\N	\N
386495	1314	1994-11-05	PRIJEM	VKLAD	16664	48255	\N	\N	\N
386496	1314	1994-12-05	PRIJEM	VKLAD	24996	60107	\N	\N	\N
386497	1314	1995-01-05	PRIJEM	VKLAD	16664	53623	\N	\N	\N
386498	1314	1995-02-05	PRIJEM	VKLAD	16664	50760	\N	\N	\N
386499	1314	1995-03-05	PRIJEM	VKLAD	16664	47887	\N	\N	\N
386500	1314	1995-04-05	PRIJEM	VKLAD	16664	46803	\N	\N	\N
386501	1314	1995-05-05	PRIJEM	VKLAD	16664	44513	\N	\N	\N
386502	1314	1995-06-05	PRIJEM	VKLAD	24996	53146	\N	\N	\N
386503	1314	1995-07-05	PRIJEM	VKLAD	16664	42939	\N	\N	\N
386504	1314	1995-08-05	PRIJEM	VKLAD	16664	41331	\N	\N	\N
386505	1314	1995-09-05	PRIJEM	VKLAD	16664	43918	\N	\N	\N
386506	1314	1995-10-05	PRIJEM	VKLAD	16664	45414	\N	\N	\N
386507	1314	1995-11-05	PRIJEM	VKLAD	16664	42214	\N	\N	\N
386508	1314	1995-12-05	PRIJEM	VKLAD	24996	47097	\N	\N	\N
386509	1314	1996-01-05	PRIJEM	VKLAD	16664	45774	\N	\N	\N
386510	1314	1996-02-05	PRIJEM	VKLAD	16664	45372	\N	\N	\N
386511	1314	1996-03-05	PRIJEM	VKLAD	16664	48774	\N	\N	\N
386512	1314	1996-04-05	PRIJEM	VKLAD	16664	48658	\N	\N	\N
386513	1314	1996-05-05	PRIJEM	VKLAD	16664	47968	\N	\N	\N
386514	1314	1996-06-05	PRIJEM	VKLAD	24996	58910	\N	\N	\N
386515	1314	1996-07-05	PRIJEM	VKLAD	16664	54146	\N	\N	\N
386516	1314	1996-08-05	PRIJEM	VKLAD	16664	52274	\N	\N	\N
386517	1314	1996-09-05	PRIJEM	VKLAD	16664	45611	\N	\N	\N
386518	1314	1996-10-05	PRIJEM	VKLAD	16664	49812	\N	\N	\N
386519	1314	1996-11-05	PRIJEM	VKLAD	16664	50022	\N	\N	\N
386520	1314	1996-12-05	PRIJEM	VKLAD	24996	61770	\N	\N	\N
386521	1314	1997-01-05	PRIJEM	VKLAD	16664	51855	\N	\N	\N
386522	1314	1997-02-05	PRIJEM	VKLAD	16664	52373	\N	\N	\N
386523	1314	1997-03-05	PRIJEM	VKLAD	16664	52590	\N	\N	\N
386524	1314	1997-04-05	PRIJEM	VKLAD	16664	54113	\N	\N	\N
386525	1314	1997-05-05	PRIJEM	VKLAD	16664	55641	\N	\N	\N
386526	1314	1997-06-05	PRIJEM	VKLAD	24996	60143	\N	\N	\N
386527	1314	1997-07-05	PRIJEM	VKLAD	16664	63558	\N	\N	\N
386528	1314	1997-08-05	PRIJEM	VKLAD	16664	69842	\N	\N	\N
386529	1314	1997-09-05	PRIJEM	VKLAD	16664	69728	\N	\N	\N
386530	1314	1997-10-05	PRIJEM	VKLAD	16664	71919	\N	\N	\N
386531	1314	1997-11-05	PRIJEM	VKLAD	16664	72313	\N	\N	\N
386532	1314	1997-12-05	PRIJEM	VKLAD	24996	82708	\N	\N	\N
386533	1314	1998-01-05	PRIJEM	VKLAD	16664	76803	\N	\N	\N
386534	1314	1998-02-05	PRIJEM	VKLAD	16664	76413	\N	\N	\N
386535	1314	1998-03-05	PRIJEM	VKLAD	16664	75500	\N	\N	\N
386536	1314	1998-04-05	PRIJEM	VKLAD	16664	77011	\N	\N	\N
386537	1314	1998-05-05	PRIJEM	VKLAD	16664	76722	\N	\N	\N
386538	1314	1998-06-05	PRIJEM	VKLAD	24996	82222	\N	\N	\N
386539	1314	1998-07-05	PRIJEM	VKLAD	16664	79839	\N	\N	\N
386540	1314	1998-08-05	PRIJEM	VKLAD	16664	81566	\N	\N	\N
386541	1314	1998-09-05	PRIJEM	VKLAD	16664	78283	\N	\N	\N
386542	1314	1998-10-05	PRIJEM	VKLAD	16664	82228	\N	\N	\N
386543	1314	1998-11-05	PRIJEM	VKLAD	16664	81877	\N	\N	\N
386544	1314	1998-12-05	PRIJEM	VKLAD	24996	83815	\N	\N	\N
386560	1314	1994-04-08	VYDAJ	PREVOD NA UCET	6889	48651	SIPO	IJ	52970862
386561	1314	1994-05-08	VYDAJ	PREVOD NA UCET	6889	46021	SIPO	IJ	52970862
386562	1314	1994-06-08	VYDAJ	PREVOD NA UCET	6889	55010	SIPO	IJ	52970862
386563	1314	1994-07-08	VYDAJ	PREVOD NA UCET	6889	47154	SIPO	IJ	52970862
386564	1314	1994-08-08	VYDAJ	PREVOD NA UCET	6889	44914	SIPO	IJ	52970862
386565	1314	1994-09-08	VYDAJ	PREVOD NA UCET	6889	45950	SIPO	IJ	52970862
386566	1314	1994-10-08	VYDAJ	PREVOD NA UCET	6889	46589	SIPO	IJ	52970862
386567	1314	1994-11-08	VYDAJ	PREVOD NA UCET	6889	41366	SIPO	IJ	52970862
386568	1314	1994-12-08	VYDAJ	PREVOD NA UCET	6889	53218	SIPO	IJ	52970862
386569	1314	1995-01-08	VYDAJ	PREVOD NA UCET	6889	46734	SIPO	IJ	52970862
386570	1314	1995-02-08	VYDAJ	PREVOD NA UCET	6889	43871	SIPO	IJ	52970862
386571	1314	1995-03-08	VYDAJ	PREVOD NA UCET	6889	40998	SIPO	IJ	52970862
386572	1314	1995-04-08	VYDAJ	PREVOD NA UCET	6889	39914	SIPO	IJ	52970862
386573	1314	1995-05-08	VYDAJ	PREVOD NA UCET	6889	37624	SIPO	IJ	52970862
386574	1314	1995-06-08	VYDAJ	PREVOD NA UCET	6889	46257	SIPO	IJ	52970862
386575	1314	1995-07-08	VYDAJ	PREVOD NA UCET	6889	36050	SIPO	IJ	52970862
386576	1314	1995-08-08	VYDAJ	PREVOD NA UCET	6889	34442	SIPO	IJ	52970862
386577	1314	1995-09-08	VYDAJ	PREVOD NA UCET	6889	37029	SIPO	IJ	52970862
386578	1314	1995-10-08	VYDAJ	PREVOD NA UCET	6889	38525	SIPO	IJ	52970862
386579	1314	1995-11-08	VYDAJ	PREVOD NA UCET	6889	35325	SIPO	IJ	52970862
386580	1314	1995-12-08	VYDAJ	PREVOD NA UCET	6889	40208	SIPO	IJ	52970862
386581	1314	1996-01-08	VYDAJ	PREVOD NA UCET	6889	38885	SIPO	IJ	52970862
386582	1314	1996-02-08	VYDAJ	PREVOD NA UCET	6889	38483	SIPO	IJ	52970862
386583	1314	1996-03-08	VYDAJ	PREVOD NA UCET	6889	36365	SIPO	IJ	52970862
386584	1314	1996-04-08	VYDAJ	PREVOD NA UCET	6889	41169	SIPO	IJ	52970862
386585	1314	1996-05-08	VYDAJ	PREVOD NA UCET	6889	41079	SIPO	IJ	52970862
386586	1314	1996-06-08	VYDAJ	PREVOD NA UCET	6889	52021	SIPO	IJ	52970862
386587	1314	1996-07-08	VYDAJ	PREVOD NA UCET	6889	47257	SIPO	IJ	52970862
386588	1314	1996-08-08	VYDAJ	PREVOD NA UCET	6889	45385	SIPO	IJ	52970862
386589	1314	1996-09-08	VYDAJ	PREVOD NA UCET	6889	38722	SIPO	IJ	52970862
386590	1314	1996-10-08	VYDAJ	PREVOD NA UCET	6889	42923	SIPO	IJ	52970862
386591	1314	1996-11-08	VYDAJ	PREVOD NA UCET	6889	43133	SIPO	IJ	52970862
386592	1314	1996-12-08	VYDAJ	PREVOD NA UCET	6889	54881	SIPO	IJ	52970862
386593	1314	1997-01-08	VYDAJ	PREVOD NA UCET	6889	44966	SIPO	IJ	52970862
386594	1314	1997-02-08	VYDAJ	PREVOD NA UCET	6889	45484	SIPO	IJ	52970862
386595	1314	1997-03-08	VYDAJ	PREVOD NA UCET	6889	45701	SIPO	IJ	52970862
386596	1314	1997-04-08	VYDAJ	PREVOD NA UCET	6889	47224	SIPO	IJ	52970862
386597	1314	1997-05-08	VYDAJ	PREVOD NA UCET	6889	45392	SIPO	IJ	52970862
386598	1314	1997-06-08	VYDAJ	PREVOD NA UCET	6889	48814	SIPO	IJ	52970862
386599	1314	1997-07-08	VYDAJ	PREVOD NA UCET	6889	56669	SIPO	IJ	52970862
386600	1314	1997-08-08	VYDAJ	PREVOD NA UCET	6889	62953	SIPO	IJ	52970862
386601	1314	1997-09-08	VYDAJ	PREVOD NA UCET	6889	62839	SIPO	IJ	52970862
386602	1314	1997-10-08	VYDAJ	PREVOD NA UCET	6889	65030	SIPO	IJ	52970862
386603	1314	1997-11-08	VYDAJ	PREVOD NA UCET	6889	65424	SIPO	IJ	52970862
386604	1314	1997-12-08	VYDAJ	PREVOD NA UCET	6889	75819	SIPO	IJ	52970862
386605	1314	1998-01-08	VYDAJ	PREVOD NA UCET	6889	69914	SIPO	IJ	52970862
386606	1314	1998-02-08	VYDAJ	PREVOD NA UCET	6889	69524	SIPO	IJ	52970862
386607	1314	1998-03-08	VYDAJ	PREVOD NA UCET	6889	68611	SIPO	IJ	52970862
386608	1314	1998-04-08	VYDAJ	PREVOD NA UCET	6889	70122	SIPO	IJ	52970862
386609	1314	1998-05-08	VYDAJ	PREVOD NA UCET	6889	69833	SIPO	IJ	52970862
386610	1314	1998-06-08	VYDAJ	PREVOD NA UCET	6889	75333	SIPO	IJ	52970862
386611	1314	1998-07-08	VYDAJ	PREVOD NA UCET	6889	72950	SIPO	IJ	52970862
386612	1314	1998-08-08	VYDAJ	PREVOD NA UCET	6889	74677	SIPO	IJ	52970862
386613	1314	1998-09-08	VYDAJ	PREVOD NA UCET	6889	65294	SIPO	IJ	52970862
386614	1314	1998-10-08	VYDAJ	PREVOD NA UCET	6889	64939	SIPO	IJ	52970862
386615	1314	1998-11-08	VYDAJ	PREVOD NA UCET	6889	58588	SIPO	IJ	52970862
386616	1314	1998-12-08	VYDAJ	PREVOD NA UCET	6889	57526	SIPO	IJ	52970862
386618	1314	1994-12-27	VYDAJ	VYBER	2240	50978	\N	\N	\N
386619	1314	1995-12-22	VYDAJ	VYBER	1920	38288	\N	\N	\N
386620	1314	1996-12-08	VYDAJ	VYBER	4640	50241	\N	\N	\N
386621	1314	1997-12-19	VYDAJ	VYBER	1920	59899	\N	\N	\N
386622	1314	1998-12-11	VYDAJ	VYBER KARTOU	3400	54126	\N	\N	0
386629	1314	1994-10-24	VYDAJ	VYBER	3960	42629	\N	\N	\N
386630	1314	1994-06-27	VYDAJ	VYBER	5040	49970	\N	\N	\N
386631	1314	1995-06-13	VYDAJ	VYBER	3120	43137	\N	\N	\N
386632	1314	1995-10-28	VYDAJ	VYBER	4800	25425	\N	\N	\N
386633	1314	1995-11-17	VYDAJ	VYBER	4440	25605	\N	\N	\N
386634	1314	1995-11-13	VYDAJ	VYBER	5280	30045	\N	\N	\N
386635	1314	1995-06-23	VYDAJ	VYBER	4800	37737	\N	\N	\N
386636	1314	1995-06-19	VYDAJ	VYBER	600	42537	\N	\N	\N
386637	1314	1996-08-17	VYDAJ	VYBER	840	44545	\N	\N	\N
386638	1314	1996-08-29	VYDAJ	VYBER	5640	28805	\N	\N	\N
386639	1314	1996-04-07	VYDAJ	VYBER	600	48058	\N	\N	\N
386640	1314	1996-03-06	VYDAJ	VYBER	5520	43254	\N	\N	\N
386641	1314	1997-01-20	VYDAJ	VYBER	3000	35566	\N	\N	\N
386642	1314	1997-05-08	VYDAJ	VYBER	3360	52281	\N	\N	\N
386643	1314	1997-05-21	VYDAJ	VYBER	5400	34992	\N	\N	\N
386644	1314	1997-07-04	VYDAJ	VYBER	1200	46894	\N	\N	\N
386645	1314	1997-11-23	VYDAJ	VYBER	2040	57484	\N	\N	\N
386646	1314	1997-06-05	VYDAJ	VYBER	4440	55703	\N	\N	\N
386647	1314	1998-12-12	VYDAJ	VYBER KARTOU	800	53326	\N	\N	0
386648	1314	1998-12-19	VYDAJ	VYBER KARTOU	3200	50126	\N	\N	0
386649	1314	1998-02-14	VYDAJ	VYBER	2520	58604	\N	\N	\N
386650	1314	1998-05-23	VYDAJ	VYBER	3840	56993	\N	\N	\N
386667	1314	1994-04-30	VYDAJ	VYBER	15	48846	SLUZBY	\N	\N
386668	1314	1994-05-31	VYDAJ	VYBER	15	46203	SLUZBY	\N	\N
386669	1314	1994-06-30	VYDAJ	VYBER	15	50179	SLUZBY	\N	\N
386670	1314	1994-07-31	VYDAJ	VYBER	15	35139	SLUZBY	\N	\N
386671	1314	1994-08-31	VYDAJ	VYBER	15	36175	SLUZBY	\N	\N
386672	1314	1994-09-30	VYDAJ	VYBER	15	36814	SLUZBY	\N	\N
386673	1314	1994-10-31	VYDAJ	VYBER	15	31591	SLUZBY	\N	\N
386674	1314	1994-11-30	VYDAJ	VYBER	15	35111	SLUZBY	\N	\N
386675	1314	1994-12-31	VYDAJ	VYBER	15	36959	SLUZBY	\N	\N
386676	1314	1995-01-31	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
386677	1314	1995-02-28	VYDAJ	VYBER	15	31223	SLUZBY	\N	\N
386678	1314	1995-03-31	VYDAJ	VYBER	15	30139	SLUZBY	\N	\N
386679	1314	1995-04-30	VYDAJ	VYBER	15	27849	SLUZBY	\N	\N
386680	1314	1995-05-31	VYDAJ	VYBER	15	28150	SLUZBY	\N	\N
386681	1314	1995-06-30	VYDAJ	VYBER	15	26275	SLUZBY	\N	\N
386682	1314	1995-07-31	VYDAJ	VYBER	15	24667	SLUZBY	\N	\N
386683	1314	1995-08-31	VYDAJ	VYBER	15	27254	SLUZBY	\N	\N
386684	1314	1995-09-30	VYDAJ	VYBER	15	28750	SLUZBY	\N	\N
386685	1314	1995-10-31	VYDAJ	VYBER	15	25550	SLUZBY	\N	\N
386686	1314	1995-11-30	VYDAJ	VYBER	15	22101	SLUZBY	\N	\N
386687	1314	1995-12-31	VYDAJ	VYBER	15	29110	SLUZBY	\N	\N
386688	1314	1996-01-31	VYDAJ	VYBER	15	28708	SLUZBY	\N	\N
386689	1314	1996-02-29	VYDAJ	VYBER	15	32110	SLUZBY	\N	\N
386690	1314	1996-03-31	VYDAJ	VYBER	15	31994	SLUZBY	\N	\N
386691	1314	1996-04-30	VYDAJ	VYBER	15	31304	SLUZBY	\N	\N
386692	1314	1996-05-31	VYDAJ	VYBER	15	33914	SLUZBY	\N	\N
386693	1314	1996-06-30	VYDAJ	VYBER	15	37482	SLUZBY	\N	\N
386694	1314	1996-07-31	VYDAJ	VYBER	15	35610	SLUZBY	\N	\N
386695	1314	1996-08-31	VYDAJ	VYBER	15	28947	SLUZBY	\N	\N
386696	1314	1996-09-30	VYDAJ	VYBER	15	33148	SLUZBY	\N	\N
386697	1314	1996-10-31	VYDAJ	VYBER	15	33358	SLUZBY	\N	\N
386698	1314	1996-11-30	VYDAJ	VYBER	15	36774	SLUZBY	\N	\N
386699	1314	1996-12-31	VYDAJ	VYBER	15	35191	SLUZBY	\N	\N
386700	1314	1997-01-31	VYDAJ	VYBER	15	35709	SLUZBY	\N	\N
386701	1314	1997-02-28	VYDAJ	VYBER	15	35926	SLUZBY	\N	\N
386702	1314	1997-03-31	VYDAJ	VYBER	15	37449	SLUZBY	\N	\N
386703	1314	1997-04-30	VYDAJ	VYBER	15	38977	SLUZBY	\N	\N
386704	1314	1997-05-31	VYDAJ	VYBER	15	35147	SLUZBY	\N	\N
386705	1314	1997-06-30	VYDAJ	VYBER	15	48094	SLUZBY	\N	\N
386706	1314	1997-07-31	VYDAJ	VYBER	15	53178	SLUZBY	\N	\N
386707	1314	1997-08-31	VYDAJ	VYBER	15	53064	SLUZBY	\N	\N
386708	1314	1997-09-30	VYDAJ	VYBER	15	55255	SLUZBY	\N	\N
386709	1314	1997-10-31	VYDAJ	VYBER	15	55649	SLUZBY	\N	\N
386710	1314	1997-11-30	VYDAJ	VYBER	15	57712	SLUZBY	\N	\N
386711	1314	1997-12-31	VYDAJ	VYBER	15	60139	SLUZBY	\N	\N
386712	1314	1998-01-31	VYDAJ	VYBER	15	59749	SLUZBY	\N	\N
386713	1314	1998-02-28	VYDAJ	VYBER	15	58836	SLUZBY	\N	\N
386714	1314	1998-03-31	VYDAJ	VYBER	15	60347	SLUZBY	\N	\N
386715	1314	1998-04-30	VYDAJ	VYBER	15	60058	SLUZBY	\N	\N
386716	1314	1998-05-31	VYDAJ	VYBER	15	57226	SLUZBY	\N	\N
386717	1314	1998-06-30	VYDAJ	VYBER	15	63175	SLUZBY	\N	\N
386718	1314	1998-07-31	VYDAJ	VYBER	15	64902	SLUZBY	\N	\N
386719	1314	1998-08-31	VYDAJ	VYBER	15	61619	SLUZBY	\N	\N
386720	1314	1998-09-30	VYDAJ	VYBER	15	65564	SLUZBY	\N	\N
386721	1314	1998-10-31	VYDAJ	VYBER	15	65213	SLUZBY	\N	\N
386722	1314	1998-11-30	VYDAJ	VYBER	15	58819	SLUZBY	\N	\N
386723	1314	1994-01-02	VYDAJ	VYBER	1800	23889	\N	\N	\N
386724	1314	1994-02-01	VYDAJ	VYBER	7300	33414	\N	\N	\N
386725	1314	1994-03-03	VYDAJ	VYBER	10700	39581	\N	\N	\N
386726	1314	1994-04-02	VYDAJ	VYBER	17600	38876	\N	\N	\N
386727	1314	1994-05-02	VYDAJ	VYBER	12600	36246	\N	\N	\N
386728	1314	1994-06-01	VYDAJ	VYBER	9300	36903	\N	\N	\N
386729	1314	1994-07-01	VYDAJ	VYBER	12800	37379	\N	\N	\N
386730	1314	1994-07-31	VYDAJ	VYBER	12200	35153	\N	\N	\N
386731	1314	1994-08-30	VYDAJ	VYBER	8900	36014	\N	\N	\N
386732	1314	1994-09-29	VYDAJ	VYBER	9300	36650	\N	\N	\N
386733	1314	1994-10-29	VYDAJ	VYBER	11200	31429	\N	\N	\N
386734	1314	1994-11-28	VYDAJ	VYBER	6400	34966	\N	\N	\N
386735	1314	1994-12-28	VYDAJ	VYBER	14200	36778	\N	\N	\N
386736	1314	1995-01-27	VYDAJ	VYBER	12800	33934	\N	\N	\N
386737	1314	1995-02-26	VYDAJ	VYBER	12800	31071	\N	\N	\N
386738	1314	1995-03-28	VYDAJ	VYBER	11000	29998	\N	\N	\N
386739	1314	1995-04-27	VYDAJ	VYBER	12200	27714	\N	\N	\N
386740	1314	1995-05-27	VYDAJ	VYBER	9600	28024	\N	\N	\N
386741	1314	1995-06-26	VYDAJ	VYBER	11600	26137	\N	\N	\N
386742	1314	1995-07-26	VYDAJ	VYBER	11500	24550	\N	\N	\N
386743	1314	1995-08-25	VYDAJ	VYBER	7300	27142	\N	\N	\N
386744	1314	1995-09-24	VYDAJ	VYBER	8400	28629	\N	\N	\N
386745	1314	1995-10-24	VYDAJ	VYBER	8300	30225	\N	\N	\N
386746	1314	1995-11-23	VYDAJ	VYBER	3600	22005	\N	\N	\N
386747	1314	1995-12-23	VYDAJ	VYBER	9300	28988	\N	\N	\N
386748	1314	1996-01-22	VYDAJ	VYBER	10300	28585	\N	\N	\N
386749	1314	1996-02-21	VYDAJ	VYBER	6500	31983	\N	\N	\N
386750	1314	1996-03-22	VYDAJ	VYBER	4500	31865	\N	\N	\N
386751	1314	1996-04-21	VYDAJ	VYBER	10000	31169	\N	\N	\N
386752	1314	1996-05-21	VYDAJ	VYBER	7300	33779	\N	\N	\N
386753	1314	1996-06-20	VYDAJ	VYBER	14700	37321	\N	\N	\N
386754	1314	1996-07-20	VYDAJ	VYBER	11800	35457	\N	\N	\N
386755	1314	1996-08-19	VYDAJ	VYBER	10100	34445	\N	\N	\N
386756	1314	1996-09-18	VYDAJ	VYBER	5700	33022	\N	\N	\N
386757	1314	1996-10-18	VYDAJ	VYBER	9700	33223	\N	\N	\N
386758	1314	1996-11-17	VYDAJ	VYBER	6500	36633	\N	\N	\N
386759	1314	1996-12-17	VYDAJ	VYBER	15200	35041	\N	\N	\N
386760	1314	1997-01-16	VYDAJ	VYBER	6400	38566	\N	\N	\N
386761	1314	1997-02-15	VYDAJ	VYBER	9700	35784	\N	\N	\N
386762	1314	1997-03-17	VYDAJ	VYBER	8400	37301	\N	\N	\N
386763	1314	1997-04-16	VYDAJ	VYBER	8400	38824	\N	\N	\N
386764	1314	1997-05-16	VYDAJ	VYBER	5000	40392	\N	\N	\N
386765	1314	1997-06-15	VYDAJ	VYBER	900	47914	\N	\N	\N
386766	1314	1997-07-15	VYDAJ	VYBER	3700	52969	\N	\N	\N
386767	1314	1997-08-14	VYDAJ	VYBER	10100	52853	\N	\N	\N
386768	1314	1997-09-13	VYDAJ	VYBER	7800	55039	\N	\N	\N
386769	1314	1997-10-13	VYDAJ	VYBER	9600	55430	\N	\N	\N
386770	1314	1997-11-12	VYDAJ	VYBER	5900	59524	\N	\N	\N
386771	1314	1997-12-12	VYDAJ	VYBER	14000	61819	\N	\N	\N
386772	1314	1998-01-11	VYDAJ	VYBER	10400	59514	\N	\N	\N
386773	1314	1998-02-10	VYDAJ	VYBER	8400	61124	\N	\N	\N
386774	1314	1998-03-12	VYDAJ	VYBER	8500	60111	\N	\N	\N
386775	1314	1998-04-11	VYDAJ	VYBER	10300	59822	\N	\N	\N
386776	1314	1998-05-11	VYDAJ	VYBER	9000	60833	\N	\N	\N
386777	1314	1998-06-10	VYDAJ	VYBER	12400	62933	\N	\N	\N
386778	1314	1998-07-10	VYDAJ	VYBER	8300	64650	\N	\N	\N
386779	1314	1998-08-09	VYDAJ	VYBER	13300	61377	\N	\N	\N
386780	1314	1998-09-08	VYDAJ	VYBER	6100	72183	\N	\N	\N
386781	1314	1998-10-08	VYDAJ	VYBER	10400	71828	\N	\N	\N
386782	1314	1998-11-07	VYDAJ	VYBER	16400	65477	\N	\N	\N
386783	1314	1998-12-07	VYDAJ	VYBER	19400	64415	\N	\N	\N
386845	1315	1995-04-17	PRIJEM	VKLAD	900	900	\N	\N	\N
386850	1315	1995-05-05	PRIJEM	VKLAD	9408	10308	\N	\N	\N
386851	1315	1995-06-05	PRIJEM	VKLAD	14112	31756	\N	\N	\N
386852	1315	1995-07-05	PRIJEM	VKLAD	9408	39062	\N	\N	\N
386853	1315	1995-08-05	PRIJEM	VKLAD	9408	40797	\N	\N	\N
386854	1315	1995-09-05	PRIJEM	VKLAD	9408	44944	\N	\N	\N
386855	1315	1995-10-05	PRIJEM	VKLAD	9408	43226	\N	\N	\N
386856	1315	1995-11-05	PRIJEM	VKLAD	9408	42501	\N	\N	\N
386857	1315	1995-12-05	PRIJEM	VKLAD	14112	42985	\N	\N	\N
386858	1315	1996-01-05	PRIJEM	VKLAD	9408	32308	\N	\N	\N
386859	1315	1996-02-05	PRIJEM	VKLAD	9408	29653	\N	\N	\N
386860	1315	1996-03-05	PRIJEM	VKLAD	9408	32571	\N	\N	\N
386861	1315	1996-04-05	PRIJEM	VKLAD	9408	37828	\N	\N	\N
386862	1315	1996-05-05	PRIJEM	VKLAD	9408	39777	\N	\N	\N
386863	1315	1996-06-05	PRIJEM	VKLAD	14112	39889	\N	\N	\N
386864	1315	1996-07-05	PRIJEM	VKLAD	9408	33580	\N	\N	\N
386865	1315	1996-08-05	PRIJEM	VKLAD	9408	38119	\N	\N	\N
386866	1315	1996-09-05	PRIJEM	VKLAD	9408	41273	\N	\N	\N
386867	1315	1996-10-05	PRIJEM	VKLAD	9408	39526	\N	\N	\N
386868	1315	1996-11-05	PRIJEM	VKLAD	9408	38773	\N	\N	\N
386869	1315	1996-12-05	PRIJEM	VKLAD	14112	47098	\N	\N	\N
386870	1315	1997-01-05	PRIJEM	VKLAD	9408	42406	\N	\N	\N
386871	1315	1997-02-05	PRIJEM	VKLAD	9408	30003	\N	\N	\N
386872	1315	1997-03-05	PRIJEM	VKLAD	9408	33220	\N	\N	\N
386873	1315	1997-04-05	PRIJEM	VKLAD	9408	34277	\N	\N	\N
386874	1315	1997-05-05	PRIJEM	VKLAD	9408	35108	\N	\N	\N
386875	1315	1997-06-05	PRIJEM	VKLAD	14112	43053	\N	\N	\N
386876	1315	1997-07-05	PRIJEM	VKLAD	9408	38127	\N	\N	\N
386877	1315	1997-08-05	PRIJEM	VKLAD	9408	44273	\N	\N	\N
386878	1315	1997-09-05	PRIJEM	VKLAD	9408	49952	\N	\N	\N
386879	1315	1997-10-05	PRIJEM	VKLAD	9408	53056	\N	\N	\N
386880	1315	1997-11-05	PRIJEM	VKLAD	9408	53474	\N	\N	\N
386881	1315	1997-12-05	PRIJEM	VKLAD	14112	50894	\N	\N	\N
386882	1315	1998-01-05	PRIJEM	VKLAD	9408	53402	\N	\N	\N
386883	1315	1998-02-05	PRIJEM	VKLAD	9408	41119	\N	\N	\N
386884	1315	1998-03-05	PRIJEM	VKLAD	9408	48085	\N	\N	\N
386885	1315	1998-04-05	PRIJEM	VKLAD	9408	50380	\N	\N	\N
386886	1315	1998-05-05	PRIJEM	VKLAD	9408	45387	\N	\N	\N
386887	1315	1998-06-05	PRIJEM	VKLAD	14112	45180	\N	\N	\N
386888	1315	1998-07-05	PRIJEM	VKLAD	9408	33921	\N	\N	\N
386889	1315	1998-08-05	PRIJEM	VKLAD	9408	33375	\N	\N	\N
386890	1315	1998-09-05	PRIJEM	VKLAD	9408	30943	\N	\N	\N
386891	1315	1998-10-05	PRIJEM	VKLAD	9408	27274	\N	\N	\N
386892	1315	1998-11-05	PRIJEM	VKLAD	9408	24879	\N	\N	\N
386893	1315	1998-12-05	PRIJEM	VKLAD	14112	30178	\N	\N	\N
386902	1315	1995-09-07	VYDAJ	PREVOD NA UCET	2813	42131	SIPO	YZ	869143
386903	1315	1995-10-07	VYDAJ	PREVOD NA UCET	2813	40413	SIPO	YZ	869143
386904	1315	1995-11-07	VYDAJ	PREVOD NA UCET	2813	39688	SIPO	YZ	869143
386905	1315	1995-12-07	VYDAJ	PREVOD NA UCET	2813	38012	SIPO	YZ	869143
386906	1315	1996-01-07	VYDAJ	PREVOD NA UCET	2813	29495	SIPO	YZ	869143
386907	1315	1996-02-07	VYDAJ	PREVOD NA UCET	2813	26840	SIPO	YZ	869143
386908	1315	1996-03-07	VYDAJ	PREVOD NA UCET	2813	29758	SIPO	YZ	869143
386909	1315	1996-04-07	VYDAJ	PREVOD NA UCET	2813	35015	SIPO	YZ	869143
386910	1315	1996-05-07	VYDAJ	PREVOD NA UCET	2813	36964	SIPO	YZ	869143
386911	1315	1996-06-07	VYDAJ	PREVOD NA UCET	2813	37076	SIPO	YZ	869143
386912	1315	1996-07-07	VYDAJ	PREVOD NA UCET	2813	30767	SIPO	YZ	869143
386913	1315	1996-08-07	VYDAJ	PREVOD NA UCET	2813	35306	SIPO	YZ	869143
386914	1315	1996-09-07	VYDAJ	PREVOD NA UCET	2813	38460	SIPO	YZ	869143
386915	1315	1996-10-07	VYDAJ	PREVOD NA UCET	2813	36713	SIPO	YZ	869143
386916	1315	1996-11-07	VYDAJ	PREVOD NA UCET	2813	37760	SIPO	YZ	869143
386917	1315	1996-12-07	VYDAJ	PREVOD NA UCET	2813	39685	SIPO	YZ	869143
386918	1315	1997-01-07	VYDAJ	PREVOD NA UCET	2813	35493	SIPO	YZ	869143
386919	1315	1997-02-07	VYDAJ	PREVOD NA UCET	2813	27190	SIPO	YZ	869143
386920	1315	1997-03-07	VYDAJ	PREVOD NA UCET	2813	32907	SIPO	YZ	869143
386921	1315	1997-04-07	VYDAJ	PREVOD NA UCET	2813	29064	SIPO	YZ	869143
386922	1315	1997-05-07	VYDAJ	PREVOD NA UCET	2813	32295	SIPO	YZ	869143
386923	1315	1997-06-07	VYDAJ	PREVOD NA UCET	2813	36140	SIPO	YZ	869143
386924	1315	1997-07-07	VYDAJ	PREVOD NA UCET	2813	32414	SIPO	YZ	869143
386925	1315	1997-08-07	VYDAJ	PREVOD NA UCET	2813	41460	SIPO	YZ	869143
386926	1315	1997-09-07	VYDAJ	PREVOD NA UCET	2813	47139	SIPO	YZ	869143
386927	1315	1997-10-07	VYDAJ	PREVOD NA UCET	2813	50243	SIPO	YZ	869143
386928	1315	1997-11-07	VYDAJ	PREVOD NA UCET	2813	50661	SIPO	YZ	869143
386929	1315	1997-12-07	VYDAJ	PREVOD NA UCET	2813	48081	SIPO	YZ	869143
386930	1315	1998-01-07	VYDAJ	PREVOD NA UCET	2813	47589	SIPO	YZ	869143
386931	1315	1998-02-07	VYDAJ	PREVOD NA UCET	2813	38306	SIPO	YZ	869143
386932	1315	1998-03-07	VYDAJ	PREVOD NA UCET	2813	45272	SIPO	YZ	869143
386933	1315	1998-04-07	VYDAJ	PREVOD NA UCET	2813	47567	SIPO	YZ	869143
386934	1315	1998-05-07	VYDAJ	PREVOD NA UCET	2813	42574	SIPO	YZ	869143
386935	1315	1998-06-07	VYDAJ	PREVOD NA UCET	2813	42367	SIPO	YZ	869143
386936	1315	1998-07-07	VYDAJ	PREVOD NA UCET	2813	31108	SIPO	YZ	869143
386937	1315	1998-08-07	VYDAJ	PREVOD NA UCET	2813	30562	SIPO	YZ	869143
386938	1315	1998-09-07	VYDAJ	PREVOD NA UCET	2813	25250	SIPO	YZ	869143
386939	1315	1998-10-07	VYDAJ	PREVOD NA UCET	2813	24461	SIPO	YZ	869143
386940	1315	1998-11-07	VYDAJ	PREVOD NA UCET	2813	22066	SIPO	YZ	869143
386941	1315	1998-12-07	VYDAJ	PREVOD NA UCET	2813	27365	SIPO	YZ	869143
386950	1315	1995-09-14	VYDAJ	PREVOD NA UCET	299	38672	 	QR	62296283
386951	1315	1995-10-14	VYDAJ	PREVOD NA UCET	299	36954	 	QR	62296283
386952	1315	1995-11-14	VYDAJ	PREVOD NA UCET	299	30829	 	QR	62296283
386953	1315	1995-12-14	VYDAJ	PREVOD NA UCET	299	32653	 	QR	62296283
386954	1315	1996-01-14	VYDAJ	PREVOD NA UCET	299	24956	 	QR	62296283
386955	1315	1996-02-14	VYDAJ	PREVOD NA UCET	299	23081	 	QR	62296283
386956	1315	1996-03-14	VYDAJ	PREVOD NA UCET	299	28319	 	QR	62296283
386957	1315	1996-04-14	VYDAJ	PREVOD NA UCET	299	30256	 	QR	62296283
386958	1315	1996-05-14	VYDAJ	PREVOD NA UCET	299	33705	 	QR	62296283
386959	1315	1996-06-14	VYDAJ	PREVOD NA UCET	299	24077	 	QR	62296283
386960	1315	1996-07-14	VYDAJ	PREVOD NA UCET	299	28608	 	QR	62296283
386961	1315	1996-08-14	VYDAJ	PREVOD NA UCET	299	31747	 	QR	62296283
386962	1315	1996-09-14	VYDAJ	PREVOD NA UCET	299	31201	 	QR	62296283
386963	1315	1996-10-14	VYDAJ	PREVOD NA UCET	299	29254	 	QR	62296283
386964	1315	1996-11-14	VYDAJ	PREVOD NA UCET	299	34301	 	QR	62296283
386965	1315	1996-12-14	VYDAJ	PREVOD NA UCET	299	32866	 	QR	62296283
386966	1315	1997-01-14	VYDAJ	PREVOD NA UCET	299	29754	 	QR	62296283
386967	1315	1997-02-14	VYDAJ	PREVOD NA UCET	299	23731	 	QR	62296283
386968	1315	1997-03-14	VYDAJ	PREVOD NA UCET	299	29448	 	QR	62296283
386969	1315	1997-04-14	VYDAJ	PREVOD NA UCET	299	25605	 	QR	62296283
386970	1315	1997-05-14	VYDAJ	PREVOD NA UCET	299	28836	 	QR	62296283
386971	1315	1997-06-14	VYDAJ	PREVOD NA UCET	299	32681	 	QR	62296283
386972	1315	1997-07-14	VYDAJ	PREVOD NA UCET	299	28955	 	QR	62296283
386973	1315	1997-08-14	VYDAJ	PREVOD NA UCET	299	38001	 	QR	62296283
386974	1315	1997-09-14	VYDAJ	PREVOD NA UCET	299	43680	 	QR	62296283
386975	1315	1997-10-14	VYDAJ	PREVOD NA UCET	299	46784	 	QR	62296283
386976	1315	1997-11-14	VYDAJ	PREVOD NA UCET	299	47202	 	QR	62296283
386977	1315	1997-12-14	VYDAJ	PREVOD NA UCET	299	44622	 	QR	62296283
386978	1315	1998-01-14	VYDAJ	PREVOD NA UCET	299	38490	 	QR	62296283
386979	1315	1998-02-14	VYDAJ	PREVOD NA UCET	299	34847	 	QR	62296283
386980	1315	1998-03-14	VYDAJ	PREVOD NA UCET	299	41813	 	QR	62296283
386981	1315	1998-04-14	VYDAJ	PREVOD NA UCET	299	44108	 	QR	62296283
386982	1315	1998-05-14	VYDAJ	PREVOD NA UCET	299	39115	 	QR	62296283
386983	1315	1998-06-14	VYDAJ	PREVOD NA UCET	299	35188	 	QR	62296283
386984	1315	1998-07-14	VYDAJ	PREVOD NA UCET	299	27649	 	QR	62296283
386985	1315	1998-08-14	VYDAJ	PREVOD NA UCET	299	27103	 	QR	62296283
386986	1315	1998-09-14	VYDAJ	PREVOD NA UCET	299	21791	 	QR	62296283
386987	1315	1998-10-14	VYDAJ	PREVOD NA UCET	299	21002	 	QR	62296283
386988	1315	1998-11-14	VYDAJ	PREVOD NA UCET	299	18607	 	QR	62296283
386989	1315	1998-12-14	VYDAJ	PREVOD NA UCET	299	23906	 	QR	62296283
386998	1315	1995-09-13	VYDAJ	PREVOD NA UCET	3160	38971	POJISTNE	MN	4333562
386999	1315	1995-10-13	VYDAJ	PREVOD NA UCET	3160	37253	POJISTNE	MN	4333562
387000	1315	1995-11-13	VYDAJ	PREVOD NA UCET	3160	31128	POJISTNE	MN	4333562
387001	1315	1995-12-13	VYDAJ	PREVOD NA UCET	3160	34852	POJISTNE	MN	4333562
387002	1315	1996-01-13	VYDAJ	PREVOD NA UCET	3160	25255	POJISTNE	MN	4333562
387003	1315	1996-02-13	VYDAJ	PREVOD NA UCET	3160	23380	POJISTNE	MN	4333562
387004	1315	1996-03-13	VYDAJ	PREVOD NA UCET	3160	28618	POJISTNE	MN	4333562
387005	1315	1996-04-13	VYDAJ	PREVOD NA UCET	3160	30555	POJISTNE	MN	4333562
387006	1315	1996-05-13	VYDAJ	PREVOD NA UCET	3160	34004	POJISTNE	MN	4333562
387007	1315	1996-06-13	VYDAJ	PREVOD NA UCET	3160	24376	POJISTNE	MN	4333562
387008	1315	1996-07-13	VYDAJ	PREVOD NA UCET	3160	28907	POJISTNE	MN	4333562
387009	1315	1996-08-13	VYDAJ	PREVOD NA UCET	3160	32046	POJISTNE	MN	4333562
387010	1315	1996-09-13	VYDAJ	PREVOD NA UCET	3160	31500	POJISTNE	MN	4333562
387011	1315	1996-10-13	VYDAJ	PREVOD NA UCET	3160	29553	POJISTNE	MN	4333562
387012	1315	1996-11-13	VYDAJ	PREVOD NA UCET	3160	34600	POJISTNE	MN	4333562
387013	1315	1996-12-13	VYDAJ	PREVOD NA UCET	3160	33165	POJISTNE	MN	4333562
387014	1315	1997-01-13	VYDAJ	PREVOD NA UCET	3160	30053	POJISTNE	MN	4333562
387015	1315	1997-02-13	VYDAJ	PREVOD NA UCET	3160	24030	POJISTNE	MN	4333562
387016	1315	1997-03-13	VYDAJ	PREVOD NA UCET	3160	29747	POJISTNE	MN	4333562
387017	1315	1997-04-13	VYDAJ	PREVOD NA UCET	3160	25904	POJISTNE	MN	4333562
387018	1315	1997-05-13	VYDAJ	PREVOD NA UCET	3160	29135	POJISTNE	MN	4333562
387019	1315	1997-06-13	VYDAJ	PREVOD NA UCET	3160	32980	POJISTNE	MN	4333562
387020	1315	1997-07-13	VYDAJ	PREVOD NA UCET	3160	29254	POJISTNE	MN	4333562
387021	1315	1997-08-13	VYDAJ	PREVOD NA UCET	3160	38300	POJISTNE	MN	4333562
387022	1315	1997-09-13	VYDAJ	PREVOD NA UCET	3160	43979	POJISTNE	MN	4333562
387023	1315	1997-10-13	VYDAJ	PREVOD NA UCET	3160	47083	POJISTNE	MN	4333562
387024	1315	1997-11-13	VYDAJ	PREVOD NA UCET	3160	47501	POJISTNE	MN	4333562
387025	1315	1997-12-13	VYDAJ	PREVOD NA UCET	3160	44921	POJISTNE	MN	4333562
387026	1315	1998-01-13	VYDAJ	PREVOD NA UCET	3160	41069	POJISTNE	MN	4333562
387027	1315	1998-02-13	VYDAJ	PREVOD NA UCET	3160	35146	POJISTNE	MN	4333562
387028	1315	1998-03-13	VYDAJ	PREVOD NA UCET	3160	42112	POJISTNE	MN	4333562
387029	1315	1998-04-13	VYDAJ	PREVOD NA UCET	3160	44407	POJISTNE	MN	4333562
387030	1315	1998-05-13	VYDAJ	PREVOD NA UCET	3160	39414	POJISTNE	MN	4333562
387031	1315	1998-06-13	VYDAJ	PREVOD NA UCET	3160	35487	POJISTNE	MN	4333562
387032	1315	1998-07-13	VYDAJ	PREVOD NA UCET	3160	27948	POJISTNE	MN	4333562
387033	1315	1998-08-13	VYDAJ	PREVOD NA UCET	3160	27402	POJISTNE	MN	4333562
387034	1315	1998-09-13	VYDAJ	PREVOD NA UCET	3160	22090	POJISTNE	MN	4333562
387035	1315	1998-10-13	VYDAJ	PREVOD NA UCET	3160	21301	POJISTNE	MN	4333562
387036	1315	1998-11-13	VYDAJ	PREVOD NA UCET	3160	18906	POJISTNE	MN	4333562
387037	1315	1998-12-13	VYDAJ	PREVOD NA UCET	3160	24205	POJISTNE	MN	4333562
387043	1315	1996-01-02	VYDAJ	VYBER	7360	22900	\N	\N	\N
387044	1315	1997-01-24	VYDAJ	VYBER	9920	16834	\N	\N	\N
387045	1315	1998-01-27	VYDAJ	VYBER	3840	23370	\N	\N	\N
387046	1315	1995-12-03	VYDAJ	VYBER	2080	28873	\N	\N	\N
387047	1315	1996-12-10	VYDAJ	VYBER	3360	36325	\N	\N	\N
387048	1315	1997-12-03	VYDAJ	VYBER	1920	36782	\N	\N	\N
387049	1315	1998-12-29	VYDAJ	VYBER	960	19946	\N	\N	\N
387056	1315	1996-01-01	VYDAJ	VYBER	600	30980	\N	\N	\N
387057	1315	1996-01-01	VYDAJ	VYBER	720	30260	\N	\N	\N
387058	1315	1996-01-01	VYDAJ	VYBER	1200	31580	\N	\N	\N
387059	1315	1996-01-11	VYDAJ	VYBER	1080	28415	\N	\N	\N
387060	1315	1996-01-25	VYDAJ	VYBER	1440	20156	\N	\N	\N
387061	1315	1996-01-23	VYDAJ	VYBER	3360	21596	\N	\N	\N
387062	1315	1997-01-06	VYDAJ	VYBER	1080	40606	\N	\N	\N
387063	1315	1997-01-07	VYDAJ	VYBER	1680	33813	\N	\N	\N
387064	1315	1997-01-20	VYDAJ	VYBER	3000	26754	\N	\N	\N
387065	1315	1997-01-30	VYDAJ	VYBER	840	15994	\N	\N	\N
387066	1315	1997-01-11	VYDAJ	VYBER	600	33213	\N	\N	\N
387067	1315	1997-01-06	VYDAJ	VYBER	720	41686	\N	\N	\N
387068	1315	1998-01-27	VYDAJ	VYBER	2040	27210	\N	\N	\N
387069	1315	1998-01-05	VYDAJ	VYBER	3000	50402	\N	\N	\N
387070	1315	1998-01-14	VYDAJ	VYBER	600	37890	\N	\N	\N
387071	1315	1998-01-11	VYDAJ	VYBER	3360	44229	\N	\N	\N
387072	1315	1998-01-15	VYDAJ	VYBER	3360	34530	\N	\N	\N
387073	1315	1998-01-13	VYDAJ	VYBER	2280	38789	\N	\N	\N
387077	1315	1995-12-05	VYDAJ	VYBER	2160	40825	\N	\N	\N
387079	1315	1996-11-20	VYDAJ	VYBER	720	33581	\N	\N	\N
387080	1315	1996-05-15	VYDAJ	VYBER	5760	27945	\N	\N	\N
387081	1315	1996-05-30	VYDAJ	VYBER	2280	25665	\N	\N	\N
387082	1315	1996-09-15	VYDAJ	VYBER	1200	30001	\N	\N	\N
387083	1315	1996-06-12	VYDAJ	VYBER	5640	27536	\N	\N	\N
387084	1315	1996-12-03	VYDAJ	VYBER	720	32986	\N	\N	\N
387085	1315	1996-03-10	VYDAJ	VYBER	1080	28678	\N	\N	\N
387086	1315	1997-11-23	VYDAJ	VYBER	5280	41922	\N	\N	\N
387087	1315	1997-06-18	VYDAJ	VYBER	4080	28601	\N	\N	\N
387088	1315	1997-03-24	VYDAJ	VYBER	4680	24768	\N	\N	\N
387089	1315	1998-07-28	VYDAJ	VYBER	2880	24769	\N	\N	\N
387090	1315	1998-01-22	VYDAJ	VYBER	5280	29250	\N	\N	\N
387091	1315	1998-06-29	VYDAJ	VYBER	5880	24988	\N	\N	\N
387092	1315	1998-08-23	VYDAJ	VYBER	3960	23143	\N	\N	\N
387093	1315	1998-06-09	VYDAJ	VYBER	3720	38647	\N	\N	\N
387094	1315	1998-05-28	VYDAJ	VYBER	1200	37915	\N	\N	\N
387095	1315	1998-06-24	VYDAJ	VYBER	4320	30868	\N	\N	\N
387096	1315	1998-09-07	VYDAJ	VYBER	2880	28063	\N	\N	\N
387106	1315	1995-09-30	VYDAJ	VYBER	15	33818	SLUZBY	\N	\N
387107	1315	1995-10-31	VYDAJ	VYBER	15	33093	SLUZBY	\N	\N
387108	1315	1995-11-30	VYDAJ	VYBER	15	30953	SLUZBY	\N	\N
387109	1315	1995-12-31	VYDAJ	VYBER	15	32780	SLUZBY	\N	\N
387110	1315	1996-01-31	VYDAJ	VYBER	15	20245	SLUZBY	\N	\N
387111	1315	1996-02-29	VYDAJ	VYBER	15	23163	SLUZBY	\N	\N
387112	1315	1996-03-31	VYDAJ	VYBER	15	28420	SLUZBY	\N	\N
387113	1315	1996-04-30	VYDAJ	VYBER	15	30369	SLUZBY	\N	\N
387114	1315	1996-05-31	VYDAJ	VYBER	15	25777	SLUZBY	\N	\N
387115	1315	1996-06-30	VYDAJ	VYBER	15	24172	SLUZBY	\N	\N
387116	1315	1996-07-31	VYDAJ	VYBER	15	28711	SLUZBY	\N	\N
387117	1315	1996-08-31	VYDAJ	VYBER	15	31865	SLUZBY	\N	\N
387118	1315	1996-09-30	VYDAJ	VYBER	15	30118	SLUZBY	\N	\N
387119	1315	1996-10-31	VYDAJ	VYBER	15	29365	SLUZBY	\N	\N
387120	1315	1996-11-30	VYDAJ	VYBER	15	33706	SLUZBY	\N	\N
387121	1315	1996-12-31	VYDAJ	VYBER	15	32998	SLUZBY	\N	\N
387122	1315	1997-01-31	VYDAJ	VYBER	15	16095	SLUZBY	\N	\N
387123	1315	1997-02-28	VYDAJ	VYBER	15	23812	SLUZBY	\N	\N
387124	1315	1997-03-31	VYDAJ	VYBER	15	24869	SLUZBY	\N	\N
387125	1315	1997-04-30	VYDAJ	VYBER	15	25700	SLUZBY	\N	\N
387126	1315	1997-05-31	VYDAJ	VYBER	15	28941	SLUZBY	\N	\N
387127	1315	1997-06-30	VYDAJ	VYBER	15	28719	SLUZBY	\N	\N
387128	1315	1997-07-31	VYDAJ	VYBER	15	29065	SLUZBY	\N	\N
387129	1315	1997-08-31	VYDAJ	VYBER	15	38144	SLUZBY	\N	\N
387130	1315	1997-09-30	VYDAJ	VYBER	15	43848	SLUZBY	\N	\N
387131	1315	1997-10-31	VYDAJ	VYBER	15	46966	SLUZBY	\N	\N
387132	1315	1997-11-30	VYDAJ	VYBER	15	42102	SLUZBY	\N	\N
387133	1315	1997-12-31	VYDAJ	VYBER	15	44794	SLUZBY	\N	\N
387134	1315	1998-01-31	VYDAJ	VYBER	15	31711	SLUZBY	\N	\N
387135	1315	1998-02-28	VYDAJ	VYBER	15	34977	SLUZBY	\N	\N
387136	1315	1998-03-31	VYDAJ	VYBER	15	41972	SLUZBY	\N	\N
387137	1315	1998-04-30	VYDAJ	VYBER	15	44279	SLUZBY	\N	\N
387138	1315	1998-05-31	VYDAJ	VYBER	15	31068	SLUZBY	\N	\N
387139	1315	1998-06-30	VYDAJ	VYBER	15	25113	SLUZBY	\N	\N
387140	1315	1998-07-31	VYDAJ	VYBER	15	23967	SLUZBY	\N	\N
387141	1315	1998-08-31	VYDAJ	VYBER	15	21535	SLUZBY	\N	\N
387142	1315	1998-09-30	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
387143	1315	1998-10-31	VYDAJ	VYBER	15	15471	SLUZBY	\N	\N
387144	1315	1998-11-30	VYDAJ	VYBER	15	16066	SLUZBY	\N	\N
387145	1315	1995-05-17	PRIJEM	VKLAD	7300	17608	\N	\N	\N
387146	1315	1995-06-16	VYDAJ	VYBER	2200	29556	\N	\N	\N
387147	1315	1995-07-16	VYDAJ	VYBER	7800	31262	\N	\N	\N
387148	1315	1995-08-15	VYDAJ	VYBER	5400	35397	\N	\N	\N
387149	1315	1995-09-14	VYDAJ	VYBER	5000	33672	\N	\N	\N
387150	1315	1995-10-14	VYDAJ	VYBER	4000	32954	\N	\N	\N
387151	1315	1995-11-13	VYDAJ	VYBER	5400	34288	\N	\N	\N
387152	1315	1995-12-13	VYDAJ	VYBER	1900	32952	\N	\N	\N
387153	1315	1996-02-11	VYDAJ	VYBER	300	26540	\N	\N	\N
387154	1315	1996-03-12	PRIJEM	VKLAD	3100	31778	\N	\N	\N
387155	1315	1996-04-11	VYDAJ	VYBER	1300	33715	\N	\N	\N
387156	1315	1996-05-11	PRIJEM	VKLAD	200	37164	\N	\N	\N
387157	1315	1996-06-10	VYDAJ	VYBER	3900	33176	\N	\N	\N
387158	1315	1996-07-10	PRIJEM	VKLAD	1300	32067	\N	\N	\N
387159	1315	1996-08-09	VYDAJ	VYBER	100	35206	\N	\N	\N
387160	1315	1996-09-08	VYDAJ	VYBER	3800	34660	\N	\N	\N
387161	1315	1996-10-08	VYDAJ	VYBER	4000	32713	\N	\N	\N
387162	1315	1996-11-07	PRIJEM	VKLAD	1800	40573	\N	\N	\N
387163	1315	1996-12-07	VYDAJ	VYBER	4600	42498	\N	\N	\N
387164	1315	1997-01-06	VYDAJ	VYBER	2300	38306	\N	\N	\N
387165	1315	1997-02-05	PRIJEM	VKLAD	4500	20595	\N	\N	\N
387166	1315	1997-03-07	PRIJEM	VKLAD	2500	35720	\N	\N	\N
387167	1315	1997-04-06	VYDAJ	VYBER	2400	31877	\N	\N	\N
387168	1315	1997-06-05	VYDAJ	VYBER	4100	38953	\N	\N	\N
387169	1315	1997-07-05	VYDAJ	VYBER	2900	35227	\N	\N	\N
387170	1315	1997-08-04	PRIJEM	VKLAD	5800	34865	\N	\N	\N
387171	1315	1997-09-03	PRIJEM	VKLAD	2400	40544	\N	\N	\N
387172	1315	1997-10-03	VYDAJ	VYBER	200	43648	\N	\N	\N
387173	1315	1997-11-02	VYDAJ	VYBER	2900	44066	\N	\N	\N
387174	1315	1997-12-02	VYDAJ	VYBER	3400	38702	\N	\N	\N
387175	1315	1998-01-01	VYDAJ	VYBER	800	43994	\N	\N	\N
387176	1315	1998-01-31	PRIJEM	VKLAD	8200	31570	\N	\N	\N
387177	1315	1998-03-02	PRIJEM	VKLAD	3700	38677	\N	\N	\N
387178	1315	1998-04-01	VYDAJ	VYBER	1000	40972	\N	\N	\N
387179	1315	1998-05-01	VYDAJ	VYBER	8300	35979	\N	\N	\N
387180	1315	1998-05-31	VYDAJ	VYBER	7000	31083	\N	\N	\N
387181	1315	1998-06-30	VYDAJ	VYBER	600	24513	\N	\N	\N
387182	1315	1998-07-30	VYDAJ	VYBER	900	23869	\N	\N	\N
387183	1315	1998-08-29	VYDAJ	VYBER	1700	21443	\N	\N	\N
387184	1315	1998-09-28	VYDAJ	VYBER	4000	17791	\N	\N	\N
387185	1315	1998-10-28	VYDAJ	VYBER	5600	15402	\N	\N	\N
387186	1315	1998-11-27	VYDAJ	VYBER	2600	16007	\N	\N	\N
387187	1315	1998-12-27	VYDAJ	VYBER	3000	20906	\N	\N	\N
387232	1316	1996-12-13	PRIJEM	VKLAD	300	300	\N	\N	\N
387245	1316	1997-01-08	PRIJEM	PREVOD Z UCTU	2973	3273	\N	KL	82299637
387246	1316	1997-02-08	PRIJEM	PREVOD Z UCTU	2973	6246	\N	KL	82299637
387247	1316	1997-03-08	PRIJEM	PREVOD Z UCTU	2973	9219	\N	KL	82299637
387248	1316	1997-04-08	PRIJEM	PREVOD Z UCTU	2973	12192	\N	KL	82299637
387249	1316	1997-05-08	PRIJEM	PREVOD Z UCTU	2973	15165	\N	KL	82299637
387250	1316	1997-06-08	PRIJEM	PREVOD Z UCTU	2973	16182	\N	KL	82299637
387251	1316	1997-07-08	PRIJEM	PREVOD Z UCTU	2973	17217	\N	KL	82299637
387252	1316	1997-08-08	PRIJEM	PREVOD Z UCTU	2973	18256	\N	KL	82299637
387253	1316	1997-09-08	PRIJEM	PREVOD Z UCTU	2973	17918	\N	KL	82299637
387254	1316	1997-10-08	PRIJEM	PREVOD Z UCTU	2973	18960	\N	KL	82299637
387255	1316	1997-11-08	PRIJEM	PREVOD Z UCTU	2973	20007	\N	KL	82299637
387256	1316	1997-12-08	PRIJEM	PREVOD Z UCTU	2973	20367	\N	KL	82299637
387257	1316	1998-01-08	PRIJEM	PREVOD Z UCTU	2973	16527	\N	KL	82299637
387258	1316	1998-02-08	PRIJEM	PREVOD Z UCTU	2973	16064	\N	KL	82299637
387259	1316	1998-03-08	PRIJEM	PREVOD Z UCTU	2973	17098	\N	KL	82299637
387260	1316	1998-04-08	PRIJEM	PREVOD Z UCTU	2973	18138	\N	KL	82299637
387261	1316	1998-05-08	PRIJEM	PREVOD Z UCTU	2973	18130	\N	KL	82299637
387262	1316	1998-06-08	PRIJEM	PREVOD Z UCTU	2973	17103	\N	KL	82299637
387263	1316	1998-07-08	PRIJEM	PREVOD Z UCTU	2973	16912	\N	KL	82299637
387264	1316	1998-08-08	PRIJEM	PREVOD Z UCTU	2973	17950	\N	KL	82299637
387265	1316	1998-09-08	PRIJEM	PREVOD Z UCTU	2973	18992	\N	KL	82299637
387407	1316	1997-12-17	VYDAJ	VYBER	1140	17095	\N	\N	\N
387266	1316	1998-10-08	PRIJEM	PREVOD Z UCTU	2973	20038	\N	KL	82299637
387267	1316	1998-11-08	PRIJEM	PREVOD Z UCTU	2973	19705	\N	KL	82299637
387268	1316	1998-12-08	PRIJEM	PREVOD Z UCTU	2973	20754	\N	KL	82299637
387285	1316	1997-05-10	VYDAJ	PREVOD NA UCET	1130	14035	\N	KL	70345508
387286	1316	1997-06-10	VYDAJ	PREVOD NA UCET	1130	15052	\N	KL	70345508
387287	1316	1997-07-10	VYDAJ	PREVOD NA UCET	1130	16087	\N	KL	70345508
387288	1316	1997-08-10	VYDAJ	PREVOD NA UCET	1130	17126	\N	KL	70345508
387289	1316	1997-09-10	VYDAJ	PREVOD NA UCET	1130	16788	\N	KL	70345508
387290	1316	1997-10-10	VYDAJ	PREVOD NA UCET	1130	17830	\N	KL	70345508
387291	1316	1997-11-10	VYDAJ	PREVOD NA UCET	1130	18877	\N	KL	70345508
387292	1316	1997-12-10	VYDAJ	PREVOD NA UCET	1130	19087	\N	KL	70345508
387293	1316	1998-01-10	VYDAJ	PREVOD NA UCET	1130	15397	\N	KL	70345508
387294	1316	1998-02-10	VYDAJ	PREVOD NA UCET	1130	14934	\N	KL	70345508
387295	1316	1998-03-10	VYDAJ	PREVOD NA UCET	1130	15968	\N	KL	70345508
387296	1316	1998-04-10	VYDAJ	PREVOD NA UCET	1130	17008	\N	KL	70345508
387297	1316	1998-05-10	VYDAJ	PREVOD NA UCET	1130	17000	\N	KL	70345508
387298	1316	1998-06-10	VYDAJ	PREVOD NA UCET	1130	15973	\N	KL	70345508
387299	1316	1998-07-10	VYDAJ	PREVOD NA UCET	1130	15782	\N	KL	70345508
387300	1316	1998-08-10	VYDAJ	PREVOD NA UCET	1130	16820	\N	KL	70345508
387301	1316	1998-09-10	VYDAJ	PREVOD NA UCET	1130	17862	\N	KL	70345508
387302	1316	1998-10-10	VYDAJ	PREVOD NA UCET	1130	17678	\N	KL	70345508
387303	1316	1998-11-10	VYDAJ	PREVOD NA UCET	1130	18575	\N	KL	70345508
387304	1316	1998-12-10	VYDAJ	PREVOD NA UCET	1130	19624	\N	KL	70345508
387321	1316	1997-05-12	VYDAJ	PREVOD NA UCET	619	13183	\N	WX	87733494
387322	1316	1997-06-12	VYDAJ	PREVOD NA UCET	619	14433	\N	WX	87733494
387323	1316	1997-07-12	VYDAJ	PREVOD NA UCET	619	15235	\N	WX	87733494
387324	1316	1997-08-12	VYDAJ	PREVOD NA UCET	619	16507	\N	WX	87733494
387325	1316	1997-09-12	VYDAJ	PREVOD NA UCET	619	16169	\N	WX	87733494
387326	1316	1997-10-12	VYDAJ	PREVOD NA UCET	619	17211	\N	WX	87733494
387327	1316	1997-11-12	VYDAJ	PREVOD NA UCET	619	18258	\N	WX	87733494
387328	1316	1997-12-12	VYDAJ	PREVOD NA UCET	619	18468	\N	WX	87733494
387329	1316	1998-01-12	VYDAJ	PREVOD NA UCET	619	14545	\N	WX	87733494
387330	1316	1998-02-12	VYDAJ	PREVOD NA UCET	619	14315	\N	WX	87733494
387331	1316	1998-03-12	VYDAJ	PREVOD NA UCET	619	15116	\N	WX	87733494
387332	1316	1998-04-12	VYDAJ	PREVOD NA UCET	619	16389	\N	WX	87733494
387333	1316	1998-05-12	VYDAJ	PREVOD NA UCET	619	16148	\N	WX	87733494
387334	1316	1998-06-12	VYDAJ	PREVOD NA UCET	619	15354	\N	WX	87733494
387335	1316	1998-07-12	VYDAJ	PREVOD NA UCET	619	15163	\N	WX	87733494
387336	1316	1998-08-12	VYDAJ	PREVOD NA UCET	619	16201	\N	WX	87733494
387337	1316	1998-09-12	VYDAJ	PREVOD NA UCET	619	17010	\N	WX	87733494
387338	1316	1998-10-12	VYDAJ	PREVOD NA UCET	619	17059	\N	WX	87733494
387339	1316	1998-11-12	VYDAJ	PREVOD NA UCET	619	17956	\N	WX	87733494
387340	1316	1998-12-12	VYDAJ	PREVOD NA UCET	619	18772	\N	WX	87733494
387357	1316	1997-05-12	VYDAJ	PREVOD NA UCET	233	13802	\N	EF	61034697
387358	1316	1997-06-12	VYDAJ	PREVOD NA UCET	233	14200	\N	EF	61034697
387359	1316	1997-07-12	VYDAJ	PREVOD NA UCET	233	15854	\N	EF	61034697
387360	1316	1997-08-12	VYDAJ	PREVOD NA UCET	233	16274	\N	EF	61034697
387361	1316	1997-09-12	VYDAJ	PREVOD NA UCET	233	15936	\N	EF	61034697
387362	1316	1997-10-12	VYDAJ	PREVOD NA UCET	233	16978	\N	EF	61034697
387363	1316	1997-11-12	VYDAJ	PREVOD NA UCET	233	18025	\N	EF	61034697
387364	1316	1997-12-12	VYDAJ	PREVOD NA UCET	233	18235	\N	EF	61034697
387365	1316	1998-01-12	VYDAJ	PREVOD NA UCET	233	15164	\N	EF	61034697
387366	1316	1998-02-12	VYDAJ	PREVOD NA UCET	233	14082	\N	EF	61034697
387367	1316	1998-03-12	VYDAJ	PREVOD NA UCET	233	15735	\N	EF	61034697
387368	1316	1998-04-12	VYDAJ	PREVOD NA UCET	233	16156	\N	EF	61034697
387369	1316	1998-05-12	VYDAJ	PREVOD NA UCET	233	16767	\N	EF	61034697
387370	1316	1998-06-12	VYDAJ	PREVOD NA UCET	233	15121	\N	EF	61034697
387371	1316	1998-07-12	VYDAJ	PREVOD NA UCET	233	14930	\N	EF	61034697
387372	1316	1998-08-12	VYDAJ	PREVOD NA UCET	233	15968	\N	EF	61034697
387373	1316	1998-09-12	VYDAJ	PREVOD NA UCET	233	17629	\N	EF	61034697
387374	1316	1998-10-12	VYDAJ	PREVOD NA UCET	233	16826	\N	EF	61034697
387375	1316	1998-11-12	VYDAJ	PREVOD NA UCET	233	17723	\N	EF	61034697
387376	1316	1998-12-12	VYDAJ	PREVOD NA UCET	233	19391	\N	EF	61034697
387379	1316	1998-06-23	VYDAJ	VYBER	1230	13891	\N	\N	\N
387382	1316	1998-01-05	VYDAJ	VYBER	1830	15084	\N	\N	\N
387384	1316	1997-12-08	VYDAJ	VYBER	150	20217	\N	\N	\N
387385	1316	1998-12-30	VYDAJ	VYBER	480	18292	\N	\N	\N
387398	1316	1998-01-15	VYDAJ	VYBER	210	13735	\N	\N	\N
387399	1316	1998-01-07	VYDAJ	VYBER	810	14274	\N	\N	\N
387400	1316	1998-01-15	VYDAJ	VYBER	240	13495	\N	\N	\N
387401	1316	1998-01-07	VYDAJ	VYBER	720	13554	\N	\N	\N
387402	1316	1998-01-25	VYDAJ	VYBER	450	13045	\N	\N	\N
387403	1316	1998-01-15	VYDAJ	VYBER	600	13945	\N	\N	\N
387408	1316	1997-08-20	VYDAJ	VYBER	1380	14894	\N	\N	\N
387409	1316	1997-11-26	VYDAJ	VYBER	690	17335	\N	\N	\N
387410	1316	1997-12-22	VYDAJ	VYBER	240	16855	\N	\N	\N
387412	1316	1998-10-23	VYDAJ	VYBER	150	16676	\N	\N	\N
387413	1316	1998-04-19	VYDAJ	VYBER	360	15796	\N	\N	\N
387414	1316	1998-05-31	VYDAJ	VYBER	600	15614	\N	\N	\N
387415	1316	1998-04-29	VYDAJ	VYBER	690	15106	\N	\N	\N
387416	1316	1998-10-10	VYDAJ	VYBER	1230	18808	\N	\N	\N
387417	1316	1998-06-03	VYDAJ	VYBER	1470	14130	\N	\N	\N
387435	1316	1997-05-31	VYDAJ	VYBER	15	13209	SLUZBY	\N	\N
387436	1316	1997-06-30	VYDAJ	VYBER	15	14244	SLUZBY	\N	\N
387437	1316	1997-07-31	VYDAJ	VYBER	15	15283	SLUZBY	\N	\N
387438	1316	1997-08-31	VYDAJ	VYBER	15	14945	SLUZBY	\N	\N
387439	1316	1997-09-30	VYDAJ	VYBER	15	15987	SLUZBY	\N	\N
387440	1316	1997-10-31	VYDAJ	VYBER	15	17034	SLUZBY	\N	\N
387441	1316	1997-11-30	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
387442	1316	1997-12-31	VYDAJ	VYBER	15	16914	SLUZBY	\N	\N
387443	1316	1998-01-31	VYDAJ	VYBER	15	13091	SLUZBY	\N	\N
387444	1316	1998-02-28	VYDAJ	VYBER	15	14125	SLUZBY	\N	\N
387445	1316	1998-03-31	VYDAJ	VYBER	15	15165	SLUZBY	\N	\N
387446	1316	1998-04-30	VYDAJ	VYBER	15	15157	SLUZBY	\N	\N
387447	1316	1998-05-31	VYDAJ	VYBER	15	15600	SLUZBY	\N	\N
387448	1316	1998-06-30	VYDAJ	VYBER	15	13939	SLUZBY	\N	\N
387449	1316	1998-07-31	VYDAJ	VYBER	15	14977	SLUZBY	\N	\N
387450	1316	1998-08-31	VYDAJ	VYBER	15	16019	SLUZBY	\N	\N
387451	1316	1998-09-30	VYDAJ	VYBER	15	17065	SLUZBY	\N	\N
387452	1316	1998-10-31	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
387453	1316	1998-11-30	VYDAJ	VYBER	15	17781	SLUZBY	\N	\N
387474	1317	1994-02-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
387477	1317	1994-03-10	PRIJEM	PREVOD Z UCTU	6732	7832	DUCHOD	MN	53008729
387478	1317	1994-04-10	PRIJEM	PREVOD Z UCTU	6732	14564	DUCHOD	MN	53008729
387479	1317	1994-05-10	PRIJEM	PREVOD Z UCTU	6732	21296	DUCHOD	MN	53008729
387480	1317	1994-06-10	PRIJEM	PREVOD Z UCTU	6732	28028	DUCHOD	MN	53008729
387481	1317	1994-07-10	PRIJEM	PREVOD Z UCTU	6732	34610	DUCHOD	MN	53008729
387482	1317	1994-08-10	PRIJEM	PREVOD Z UCTU	6732	31551	DUCHOD	MN	53008729
387483	1317	1994-09-10	PRIJEM	PREVOD Z UCTU	6732	32899	DUCHOD	MN	53008729
387484	1317	1994-10-10	PRIJEM	PREVOD Z UCTU	6732	30344	DUCHOD	MN	53008729
387485	1317	1994-11-10	PRIJEM	PREVOD Z UCTU	6732	32090	DUCHOD	MN	53008729
387486	1317	1994-12-10	PRIJEM	PREVOD Z UCTU	6732	29731	DUCHOD	MN	53008729
387487	1317	1995-01-10	PRIJEM	PREVOD Z UCTU	6732	18584	DUCHOD	MN	53008729
387488	1317	1995-02-10	PRIJEM	PREVOD Z UCTU	6732	17399	DUCHOD	MN	53008729
387489	1317	1995-03-10	PRIJEM	PREVOD Z UCTU	6732	20692	DUCHOD	MN	53008729
387490	1317	1995-04-10	PRIJEM	PREVOD Z UCTU	6732	23998	DUCHOD	MN	53008729
387491	1317	1995-05-10	PRIJEM	PREVOD Z UCTU	6732	26116	DUCHOD	MN	53008729
387492	1317	1995-06-10	PRIJEM	PREVOD Z UCTU	6732	27641	DUCHOD	MN	53008729
387493	1317	1995-07-10	PRIJEM	PREVOD Z UCTU	6732	28570	DUCHOD	MN	53008729
387494	1317	1995-08-10	PRIJEM	PREVOD Z UCTU	6732	28002	DUCHOD	MN	53008729
387495	1317	1995-09-10	PRIJEM	PREVOD Z UCTU	6732	24379	DUCHOD	MN	53008729
387496	1317	1995-10-10	PRIJEM	PREVOD Z UCTU	6732	27706	DUCHOD	MN	53008729
387497	1317	1995-11-10	PRIJEM	PREVOD Z UCTU	6732	31042	DUCHOD	MN	53008729
387498	1317	1995-12-10	PRIJEM	PREVOD Z UCTU	6732	32191	DUCHOD	MN	53008729
387499	1317	1996-01-10	PRIJEM	PREVOD Z UCTU	6732	32264	DUCHOD	MN	53008729
387500	1317	1996-02-10	PRIJEM	PREVOD Z UCTU	6732	27786	DUCHOD	MN	53008729
387501	1317	1996-03-10	PRIJEM	PREVOD Z UCTU	6732	31122	DUCHOD	MN	53008729
387502	1317	1996-04-10	PRIJEM	PREVOD Z UCTU	6732	33172	DUCHOD	MN	53008729
387503	1317	1996-05-10	PRIJEM	PREVOD Z UCTU	6732	36530	DUCHOD	MN	53008729
387504	1317	1996-06-10	PRIJEM	PREVOD Z UCTU	6732	36603	DUCHOD	MN	53008729
387505	1317	1996-07-10	PRIJEM	PREVOD Z UCTU	6732	30774	DUCHOD	MN	53008729
387506	1317	1996-08-10	PRIJEM	PREVOD Z UCTU	6732	34126	DUCHOD	MN	53008729
387507	1317	1996-09-10	PRIJEM	PREVOD Z UCTU	6732	35667	DUCHOD	MN	53008729
387508	1317	1996-10-10	PRIJEM	PREVOD Z UCTU	6732	37335	DUCHOD	MN	53008729
387509	1317	1996-11-10	PRIJEM	PREVOD Z UCTU	6732	34211	DUCHOD	MN	53008729
387510	1317	1996-12-10	PRIJEM	PREVOD Z UCTU	6732	33778	DUCHOD	MN	53008729
387511	1317	1997-01-10	PRIJEM	PREVOD Z UCTU	6732	30781	DUCHOD	MN	53008729
387512	1317	1997-02-10	PRIJEM	PREVOD Z UCTU	6732	27396	DUCHOD	MN	53008729
387513	1317	1997-03-10	PRIJEM	PREVOD Z UCTU	6732	30729	DUCHOD	MN	53008729
387514	1317	1997-04-10	PRIJEM	PREVOD Z UCTU	6732	33377	DUCHOD	MN	53008729
387515	1317	1997-05-10	PRIJEM	PREVOD Z UCTU	6732	36735	DUCHOD	MN	53008729
387516	1317	1997-06-10	PRIJEM	PREVOD Z UCTU	6732	34407	DUCHOD	MN	53008729
387517	1317	1997-07-10	PRIJEM	PREVOD Z UCTU	6732	27709	DUCHOD	MN	53008729
387518	1317	1997-08-10	PRIJEM	PREVOD Z UCTU	6732	31044	DUCHOD	MN	53008729
387519	1317	1997-09-10	PRIJEM	PREVOD Z UCTU	6732	31666	DUCHOD	MN	53008729
387520	1317	1997-10-10	PRIJEM	PREVOD Z UCTU	6732	35017	DUCHOD	MN	53008729
387521	1317	1997-11-10	PRIJEM	PREVOD Z UCTU	6732	38182	DUCHOD	MN	53008729
387522	1317	1997-12-10	PRIJEM	PREVOD Z UCTU	6732	38259	DUCHOD	MN	53008729
387523	1317	1998-01-10	PRIJEM	PREVOD Z UCTU	6732	32983	DUCHOD	MN	53008729
387524	1317	1998-02-10	PRIJEM	PREVOD Z UCTU	6732	25502	DUCHOD	MN	53008729
387525	1317	1998-03-10	PRIJEM	PREVOD Z UCTU	6732	28829	DUCHOD	MN	53008729
387526	1317	1998-04-10	PRIJEM	PREVOD Z UCTU	6732	32168	DUCHOD	MN	53008729
387527	1317	1998-05-10	PRIJEM	PREVOD Z UCTU	6732	35520	DUCHOD	MN	53008729
387528	1317	1998-06-10	PRIJEM	PREVOD Z UCTU	6732	38887	DUCHOD	MN	53008729
387529	1317	1998-07-10	PRIJEM	PREVOD Z UCTU	6732	25959	DUCHOD	MN	53008729
387530	1317	1998-08-10	PRIJEM	PREVOD Z UCTU	6732	25516	DUCHOD	MN	53008729
387531	1317	1998-09-10	PRIJEM	PREVOD Z UCTU	6732	28840	DUCHOD	MN	53008729
387532	1317	1998-10-10	PRIJEM	PREVOD Z UCTU	6732	24672	DUCHOD	MN	53008729
387533	1317	1998-11-10	PRIJEM	PREVOD Z UCTU	6732	22688	DUCHOD	MN	53008729
387534	1317	1998-12-10	PRIJEM	PREVOD Z UCTU	6732	21696	DUCHOD	MN	53008729
387542	1317	1994-08-08	VYDAJ	PREVOD NA UCET	3493	24819	SIPO	YZ	54353141
387543	1317	1994-09-08	VYDAJ	PREVOD NA UCET	3493	26167	SIPO	YZ	54353141
387544	1317	1994-10-08	VYDAJ	PREVOD NA UCET	3493	23612	SIPO	YZ	54353141
387545	1317	1994-11-08	VYDAJ	PREVOD NA UCET	3493	25358	SIPO	YZ	54353141
387546	1317	1994-12-08	VYDAJ	PREVOD NA UCET	3493	22999	SIPO	YZ	54353141
387547	1317	1995-01-08	VYDAJ	PREVOD NA UCET	3493	11852	SIPO	YZ	54353141
387548	1317	1995-02-08	VYDAJ	PREVOD NA UCET	3493	10667	SIPO	YZ	54353141
387549	1317	1995-03-08	VYDAJ	PREVOD NA UCET	3493	13960	SIPO	YZ	54353141
387550	1317	1995-04-08	VYDAJ	PREVOD NA UCET	3493	17266	SIPO	YZ	54353141
387551	1317	1995-05-08	VYDAJ	PREVOD NA UCET	3493	19384	SIPO	YZ	54353141
387552	1317	1995-06-08	VYDAJ	PREVOD NA UCET	3493	20909	SIPO	YZ	54353141
387553	1317	1995-07-08	VYDAJ	PREVOD NA UCET	3493	21838	SIPO	YZ	54353141
387554	1317	1995-08-08	VYDAJ	PREVOD NA UCET	3493	22070	SIPO	YZ	54353141
387555	1317	1995-09-08	VYDAJ	PREVOD NA UCET	3493	20927	SIPO	YZ	54353141
387556	1317	1995-10-08	VYDAJ	PREVOD NA UCET	3493	20974	SIPO	YZ	54353141
387557	1317	1995-11-08	VYDAJ	PREVOD NA UCET	3493	24310	SIPO	YZ	54353141
387558	1317	1995-12-08	VYDAJ	PREVOD NA UCET	3493	25459	SIPO	YZ	54353141
387559	1317	1996-01-08	VYDAJ	PREVOD NA UCET	3493	25532	SIPO	YZ	54353141
387560	1317	1996-02-08	VYDAJ	PREVOD NA UCET	3493	21054	SIPO	YZ	54353141
387561	1317	1996-03-08	VYDAJ	PREVOD NA UCET	3493	24390	SIPO	YZ	54353141
387562	1317	1996-04-08	VYDAJ	PREVOD NA UCET	3493	27740	SIPO	YZ	54353141
387563	1317	1996-05-08	VYDAJ	PREVOD NA UCET	3493	29798	SIPO	YZ	54353141
387564	1317	1996-06-08	VYDAJ	PREVOD NA UCET	3493	29871	SIPO	YZ	54353141
387565	1317	1996-07-08	VYDAJ	PREVOD NA UCET	3493	24042	SIPO	YZ	54353141
387566	1317	1996-08-08	VYDAJ	PREVOD NA UCET	3493	27394	SIPO	YZ	54353141
387567	1317	1996-09-08	VYDAJ	PREVOD NA UCET	3493	28935	SIPO	YZ	54353141
387568	1317	1996-10-08	VYDAJ	PREVOD NA UCET	3493	30603	SIPO	YZ	54353141
387569	1317	1996-11-08	VYDAJ	PREVOD NA UCET	3493	27479	SIPO	YZ	54353141
387570	1317	1996-12-08	VYDAJ	PREVOD NA UCET	3493	27046	SIPO	YZ	54353141
387571	1317	1997-01-08	VYDAJ	PREVOD NA UCET	3493	24049	SIPO	YZ	54353141
387572	1317	1997-02-08	VYDAJ	PREVOD NA UCET	3493	20664	SIPO	YZ	54353141
387573	1317	1997-03-08	VYDAJ	PREVOD NA UCET	3493	23997	SIPO	YZ	54353141
387574	1317	1997-04-08	VYDAJ	PREVOD NA UCET	3493	26645	SIPO	YZ	54353141
387575	1317	1997-05-08	VYDAJ	PREVOD NA UCET	3493	30003	SIPO	YZ	54353141
387576	1317	1997-06-08	VYDAJ	PREVOD NA UCET	3493	27675	SIPO	YZ	54353141
387577	1317	1997-07-08	VYDAJ	PREVOD NA UCET	3493	20977	SIPO	YZ	54353141
387578	1317	1997-08-08	VYDAJ	PREVOD NA UCET	3493	24312	SIPO	YZ	54353141
387579	1317	1997-09-08	VYDAJ	PREVOD NA UCET	3493	24934	SIPO	YZ	54353141
387580	1317	1997-10-08	VYDAJ	PREVOD NA UCET	3493	28285	SIPO	YZ	54353141
387581	1317	1997-11-08	VYDAJ	PREVOD NA UCET	3493	31450	SIPO	YZ	54353141
387582	1317	1997-12-08	VYDAJ	PREVOD NA UCET	3493	31527	SIPO	YZ	54353141
387583	1317	1998-01-08	VYDAJ	PREVOD NA UCET	3493	26251	SIPO	YZ	54353141
387584	1317	1998-02-08	VYDAJ	PREVOD NA UCET	3493	18770	SIPO	YZ	54353141
387585	1317	1998-03-08	VYDAJ	PREVOD NA UCET	3493	22097	SIPO	YZ	54353141
387586	1317	1998-04-08	VYDAJ	PREVOD NA UCET	3493	25436	SIPO	YZ	54353141
387587	1317	1998-05-08	VYDAJ	PREVOD NA UCET	3493	28788	SIPO	YZ	54353141
387588	1317	1998-06-08	VYDAJ	PREVOD NA UCET	3493	32155	SIPO	YZ	54353141
387589	1317	1998-07-08	VYDAJ	PREVOD NA UCET	3493	19227	SIPO	YZ	54353141
387590	1317	1998-08-08	VYDAJ	PREVOD NA UCET	3493	18784	SIPO	YZ	54353141
387591	1317	1998-09-08	VYDAJ	PREVOD NA UCET	3493	22108	SIPO	YZ	54353141
387592	1317	1998-10-08	VYDAJ	PREVOD NA UCET	3493	17940	SIPO	YZ	54353141
387593	1317	1998-11-08	VYDAJ	PREVOD NA UCET	3493	15956	SIPO	YZ	54353141
387594	1317	1998-12-08	VYDAJ	PREVOD NA UCET	3493	14964	SIPO	YZ	54353141
387597	1317	1996-06-23	VYDAJ	VYBER	3300	33303	\N	\N	\N
387598	1317	1997-06-20	VYDAJ	VYBER	10050	24357	\N	\N	\N
387599	1317	1998-06-23	VYDAJ	VYBER	13250	22597	\N	\N	\N
387601	1317	1995-01-03	VYDAJ	VYBER	3200	19345	\N	\N	\N
387602	1317	1996-01-27	VYDAJ	VYBER	700	24444	\N	\N	\N
387603	1317	1997-01-15	VYDAJ	VYBER	2000	25981	\N	\N	\N
387604	1317	1998-01-29	VYDAJ	VYBER	1950	27273	\N	\N	\N
387605	1317	1994-12-18	VYDAJ	VYBER	1000	25331	\N	\N	\N
387606	1317	1995-12-21	VYDAJ	VYBER	600	30991	\N	\N	\N
387607	1317	1996-12-17	VYDAJ	VYBER	400	33378	\N	\N	\N
387608	1317	1997-12-13	VYDAJ	VYBER	1350	36909	\N	\N	\N
387609	1317	1998-12-19	VYDAJ	VYBER	1200	20496	\N	\N	\N
387616	1317	1995-01-11	VYDAJ	VYBER	560	18024	\N	\N	\N
387617	1317	1995-01-07	VYDAJ	VYBER	2240	15345	\N	\N	\N
387618	1317	1995-01-27	VYDAJ	VYBER	1280	15384	\N	\N	\N
387619	1317	1995-01-04	VYDAJ	VYBER	1760	17585	\N	\N	\N
387620	1317	1995-01-30	VYDAJ	VYBER	1280	14104	\N	\N	\N
387621	1317	1995-01-17	VYDAJ	VYBER	1360	16664	\N	\N	\N
387622	1317	1996-01-02	VYDAJ	VYBER	2080	29025	\N	\N	\N
387623	1317	1996-01-15	VYDAJ	VYBER	2000	29544	\N	\N	\N
387624	1317	1996-01-21	VYDAJ	VYBER	1840	26984	\N	\N	\N
387625	1317	1996-01-17	VYDAJ	VYBER	720	28824	\N	\N	\N
387626	1317	1996-01-14	VYDAJ	VYBER	720	31544	\N	\N	\N
387627	1317	1996-01-22	VYDAJ	VYBER	1840	25144	\N	\N	\N
387628	1317	1997-01-11	VYDAJ	VYBER	1360	29421	\N	\N	\N
387629	1317	1997-01-03	VYDAJ	VYBER	2080	28262	\N	\N	\N
387630	1317	1997-01-02	VYDAJ	VYBER	1120	32382	\N	\N	\N
387631	1317	1997-01-04	VYDAJ	VYBER	720	27542	\N	\N	\N
387632	1317	1997-01-02	VYDAJ	VYBER	1440	30942	\N	\N	\N
387633	1317	1997-01-27	VYDAJ	VYBER	1920	24061	\N	\N	\N
387634	1317	1998-01-06	VYDAJ	VYBER	1840	31424	\N	\N	\N
387635	1317	1998-01-29	VYDAJ	VYBER	1520	25753	\N	\N	\N
387636	1317	1998-01-16	VYDAJ	VYBER	1280	30903	\N	\N	\N
387637	1317	1998-01-30	VYDAJ	VYBER	560	25193	\N	\N	\N
387638	1317	1998-01-07	VYDAJ	VYBER	1680	29744	\N	\N	\N
387639	1317	1998-01-04	VYDAJ	VYBER	1280	33264	\N	\N	\N
387641	1317	1994-11-07	VYDAJ	VYBER	800	28851	\N	\N	\N
387644	1317	1994-12-28	VYDAJ	VYBER	2880	22451	\N	\N	\N
387645	1317	1995-09-03	VYDAJ	VYBER	3680	24420	\N	\N	\N
387646	1317	1995-09-08	VYDAJ	VYBER	3280	17647	\N	\N	\N
387647	1317	1995-08-09	VYDAJ	VYBER	800	21270	\N	\N	\N
387648	1317	1996-08-22	VYDAJ	VYBER	1120	33006	\N	\N	\N
387649	1317	1997-08-15	VYDAJ	VYBER	2720	28324	\N	\N	\N
387650	1317	1997-01-12	VYDAJ	VYBER	1440	27981	\N	\N	\N
387651	1317	1998-06-22	VYDAJ	VYBER	3040	35847	\N	\N	\N
387652	1317	1998-07-14	VYDAJ	VYBER	3760	22199	\N	\N	\N
387654	1317	1998-01-18	VYDAJ	VYBER	1680	29223	\N	\N	\N
387655	1317	1998-02-02	VYDAJ	VYBER	3040	22263	\N	\N	\N
387656	1317	1998-01-15	VYDAJ	VYBER	800	32183	\N	\N	\N
387664	1317	1994-07-31	VYDAJ	VYBER	15	28312	SLUZBY	\N	\N
387665	1317	1994-08-31	VYDAJ	VYBER	15	29660	SLUZBY	\N	\N
387666	1317	1994-09-30	VYDAJ	VYBER	15	27105	SLUZBY	\N	\N
387667	1317	1994-10-31	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
387668	1317	1994-11-30	VYDAJ	VYBER	15	26492	SLUZBY	\N	\N
387669	1317	1994-12-31	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
387670	1317	1995-01-31	VYDAJ	VYBER	15	14160	SLUZBY	\N	\N
387671	1317	1995-02-28	VYDAJ	VYBER	15	17453	SLUZBY	\N	\N
387672	1317	1995-03-31	VYDAJ	VYBER	15	20759	SLUZBY	\N	\N
387673	1317	1995-04-30	VYDAJ	VYBER	15	22877	SLUZBY	\N	\N
387674	1317	1995-05-31	VYDAJ	VYBER	15	24402	SLUZBY	\N	\N
387675	1317	1995-06-30	VYDAJ	VYBER	15	25331	SLUZBY	\N	\N
387676	1317	1995-07-31	VYDAJ	VYBER	15	25563	SLUZBY	\N	\N
387677	1317	1995-08-31	VYDAJ	VYBER	15	28100	SLUZBY	\N	\N
387678	1317	1995-09-30	VYDAJ	VYBER	15	24467	SLUZBY	\N	\N
387679	1317	1995-10-31	VYDAJ	VYBER	15	27803	SLUZBY	\N	\N
387680	1317	1995-11-30	VYDAJ	VYBER	15	28952	SLUZBY	\N	\N
387681	1317	1995-12-31	VYDAJ	VYBER	15	31105	SLUZBY	\N	\N
387682	1317	1996-01-31	VYDAJ	VYBER	15	24547	SLUZBY	\N	\N
387683	1317	1996-02-29	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
387684	1317	1996-03-31	VYDAJ	VYBER	15	31233	SLUZBY	\N	\N
387685	1317	1996-04-30	VYDAJ	VYBER	15	33291	SLUZBY	\N	\N
387686	1317	1996-05-31	VYDAJ	VYBER	15	36664	SLUZBY	\N	\N
387687	1317	1996-06-30	VYDAJ	VYBER	15	33435	SLUZBY	\N	\N
387688	1317	1996-07-31	VYDAJ	VYBER	15	30887	SLUZBY	\N	\N
387689	1317	1996-08-31	VYDAJ	VYBER	15	33128	SLUZBY	\N	\N
387690	1317	1996-09-30	VYDAJ	VYBER	15	35796	SLUZBY	\N	\N
387691	1317	1996-10-31	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
387692	1317	1996-11-30	VYDAJ	VYBER	15	34339	SLUZBY	\N	\N
387693	1317	1996-12-31	VYDAJ	VYBER	15	33502	SLUZBY	\N	\N
387694	1317	1997-01-31	VYDAJ	VYBER	15	24157	SLUZBY	\N	\N
387695	1317	1997-02-28	VYDAJ	VYBER	15	27490	SLUZBY	\N	\N
387696	1317	1997-03-31	VYDAJ	VYBER	15	30838	SLUZBY	\N	\N
387697	1317	1997-04-30	VYDAJ	VYBER	15	33496	SLUZBY	\N	\N
387698	1317	1997-05-31	VYDAJ	VYBER	15	36868	SLUZBY	\N	\N
387699	1317	1997-06-30	VYDAJ	VYBER	15	24470	SLUZBY	\N	\N
387700	1317	1997-07-31	VYDAJ	VYBER	15	27805	SLUZBY	\N	\N
387701	1317	1997-08-31	VYDAJ	VYBER	15	28427	SLUZBY	\N	\N
387702	1317	1997-09-30	VYDAJ	VYBER	15	31778	SLUZBY	\N	\N
387703	1317	1997-10-31	VYDAJ	VYBER	15	34943	SLUZBY	\N	\N
387704	1317	1997-11-30	VYDAJ	VYBER	15	35020	SLUZBY	\N	\N
387705	1317	1997-12-31	VYDAJ	VYBER	15	34544	SLUZBY	\N	\N
387706	1317	1998-01-31	VYDAJ	VYBER	15	25303	SLUZBY	\N	\N
387707	1317	1998-02-28	VYDAJ	VYBER	15	25590	SLUZBY	\N	\N
387708	1317	1998-03-31	VYDAJ	VYBER	15	28929	SLUZBY	\N	\N
387709	1317	1998-04-30	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
387710	1317	1998-05-31	VYDAJ	VYBER	15	35648	SLUZBY	\N	\N
387711	1317	1998-06-30	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
387712	1317	1998-07-31	VYDAJ	VYBER	15	22277	SLUZBY	\N	\N
387713	1317	1998-08-31	VYDAJ	VYBER	15	25601	SLUZBY	\N	\N
387714	1317	1998-09-30	VYDAJ	VYBER	15	21433	SLUZBY	\N	\N
387715	1317	1998-10-31	VYDAJ	VYBER	15	19449	SLUZBY	\N	\N
387716	1317	1998-11-30	VYDAJ	VYBER	15	18457	SLUZBY	\N	\N
387717	1317	1994-06-18	VYDAJ	VYBER	200	27828	\N	\N	\N
387718	1317	1994-07-18	VYDAJ	VYBER	6400	28210	\N	\N	\N
387719	1317	1994-08-17	VYDAJ	VYBER	2000	29551	\N	\N	\N
387720	1317	1994-09-16	VYDAJ	VYBER	5900	26999	\N	\N	\N
387721	1317	1994-10-16	VYDAJ	VYBER	800	29544	\N	\N	\N
387722	1317	1994-11-15	VYDAJ	VYBER	5700	26390	\N	\N	\N
387723	1317	1994-12-15	VYDAJ	VYBER	3400	26331	\N	\N	\N
387724	1317	1995-04-14	VYDAJ	VYBER	1200	22798	\N	\N	\N
387725	1317	1995-05-14	VYDAJ	VYBER	1800	24316	\N	\N	\N
387726	1317	1995-06-13	VYDAJ	VYBER	2400	25241	\N	\N	\N
387727	1317	1995-07-13	VYDAJ	VYBER	3100	25470	\N	\N	\N
387728	1317	1995-11-10	VYDAJ	VYBER	2200	28842	\N	\N	\N
387729	1317	1995-12-10	VYDAJ	VYBER	600	31591	\N	\N	\N
387730	1317	1996-04-08	VYDAJ	VYBER	1300	26440	\N	\N	\N
387731	1317	1996-06-07	VYDAJ	VYBER	3300	33364	\N	\N	\N
387732	1317	1996-07-07	VYDAJ	VYBER	5900	27535	\N	\N	\N
387733	1317	1996-09-05	VYDAJ	VYBER	700	32428	\N	\N	\N
387734	1317	1996-10-05	VYDAJ	VYBER	1700	34096	\N	\N	\N
387735	1317	1996-11-04	VYDAJ	VYBER	6500	30972	\N	\N	\N
387736	1317	1996-12-04	VYDAJ	VYBER	3800	30539	\N	\N	\N
387737	1317	1997-01-03	VYDAJ	VYBER	600	30342	\N	\N	\N
387738	1317	1997-04-03	VYDAJ	VYBER	700	30138	\N	\N	\N
387739	1317	1997-06-02	VYDAJ	VYBER	5700	31168	\N	\N	\N
387740	1317	1997-10-30	VYDAJ	VYBER	200	34817	\N	\N	\N
387741	1317	1997-11-29	VYDAJ	VYBER	3300	34882	\N	\N	\N
387742	1317	1997-12-29	VYDAJ	VYBER	2500	34409	\N	\N	\N
387743	1317	1998-09-25	VYDAJ	VYBER	7500	21340	\N	\N	\N
387744	1317	1998-10-25	VYDAJ	VYBER	5300	19372	\N	\N	\N
387745	1317	1998-11-24	VYDAJ	VYBER	4300	18388	\N	\N	\N
387801	1318	1997-12-22	PRIJEM	VKLAD	200	200	\N	\N	\N
387814	1318	1998-08-03	PRIJEM	VKLAD	29159	56545	\N	\N	\N
387815	1318	1998-03-15	PRIJEM	VKLAD	16685	33285	\N	\N	\N
387816	1318	1998-08-18	PRIJEM	VKLAD	14343	70888	\N	\N	\N
387817	1318	1998-04-19	PRIJEM	VKLAD	15027	41448	\N	\N	\N
387818	1318	1998-12-26	PRIJEM	VKLAD	14557	34117	\N	\N	\N
387819	1318	1998-12-01	PRIJEM	VKLAD	18204	30412	\N	\N	\N
387820	1318	1998-04-30	PRIJEM	VKLAD	9423	39771	\N	\N	\N
387821	1318	1998-09-23	PRIJEM	VKLAD	28450	41113	\N	\N	\N
387842	1318	1998-09-05	VYDAJ	VYBER	3900	41753	\N	\N	0
387843	1318	1998-10-12	VYDAJ	PREVOD NA UCET	5154	8540	UVER	ST	77757256
387845	1318	1998-12-12	VYDAJ	PREVOD NA UCET	5154	6575	UVER	ST	77757256
387866	1318	1998-09-10	VYDAJ	PREVOD NA UCET	8677	7740	SIPO	AB	10788429
387867	1318	1998-10-10	VYDAJ	PREVOD NA UCET	8677	15456	SIPO	AB	10788429
387868	1318	1998-11-10	VYDAJ	PREVOD NA UCET	8677	4956	SIPO	AB	10788429
387869	1318	1998-12-10	VYDAJ	PREVOD NA UCET	8677	11729	SIPO	AB	10788429
387890	1318	1998-09-10	VYDAJ	PREVOD NA UCET	1762	5978	 	AB	50830727
387891	1318	1998-10-10	VYDAJ	PREVOD NA UCET	1762	13694	 	AB	50830727
387892	1318	1998-11-10	VYDAJ	PREVOD NA UCET	1762	3194	 	AB	50830727
387893	1318	1998-12-10	VYDAJ	PREVOD NA UCET	1762	20406	 	AB	50830727
387914	1318	1998-09-12	VYDAJ	PREVOD NA UCET	2015	3963	POJISTNE	MN	13490295
387915	1318	1998-10-12	VYDAJ	PREVOD NA UCET	2015	6525	POJISTNE	MN	13490295
387916	1318	1998-11-12	VYDAJ	PREVOD NA UCET	2015	1179	POJISTNE	MN	13490295
387917	1318	1998-12-12	VYDAJ	PREVOD NA UCET	2015	4560	POJISTNE	MN	13490295
387938	1318	1998-09-09	VYDAJ	PREVOD NA UCET	744	16417	 	AB	44717049
387939	1318	1998-10-09	VYDAJ	PREVOD NA UCET	744	24133	 	AB	44717049
387940	1318	1998-11-09	VYDAJ	PREVOD NA UCET	744	13633	 	AB	44717049
387941	1318	1998-12-09	VYDAJ	PREVOD NA UCET	744	22168	 	AB	44717049
387947	1318	1998-09-08	VYBER	VYBER	24592	17161	\N	\N	\N
387958	1318	1998-09-24	VYBER	VYBER	16314	24799	\N	\N	\N
387986	1318	1998-12-07	VYDAJ	VYBER	7500	22912	\N	\N	\N
388008	1318	1998-08-31	VYDAJ	VYBER	15	45653	SLUZBY	\N	\N
388009	1318	1998-09-30	VYDAJ	VYBER	15	24877	SLUZBY	\N	\N
388010	1318	1998-10-31	VYDAJ	VYBER	15	14377	SLUZBY	\N	\N
388011	1318	1998-11-30	VYDAJ	VYBER	15	12208	SLUZBY	\N	\N
388012	1318	1998-01-21	PRIJEM	VKLAD	10300	10500	\N	\N	\N
388013	1318	1998-02-20	PRIJEM	VKLAD	6100	16600	\N	\N	\N
388014	1318	1998-03-22	VYDAJ	VYBER	6900	26385	\N	\N	\N
388015	1318	1998-04-21	VYDAJ	VYBER	11100	30348	\N	\N	\N
388016	1318	1998-05-21	VYDAJ	VYBER	10900	28987	\N	\N	\N
388017	1318	1998-06-20	VYDAJ	VYBER	2200	26953	\N	\N	\N
388018	1318	1998-07-20	PRIJEM	VKLAD	100	27220	\N	\N	\N
388019	1318	1998-08-19	VYDAJ	VYBER	25400	45488	\N	\N	\N
388020	1318	1998-09-18	PRIJEM	VKLAD	8700	12663	\N	\N	\N
388021	1318	1998-10-18	PRIJEM	VKLAD	7800	14325	\N	\N	\N
388022	1318	1998-11-17	PRIJEM	VKLAD	11000	12179	\N	\N	\N
388023	1318	1998-12-17	PRIJEM	VKLAD	15000	19560	\N	\N	\N
388035	1319	1997-08-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
388037	1319	1997-11-25	PRIJEM	VKLAD	14220	50789	\N	\N	\N
388039	1319	1997-12-30	PRIJEM	VKLAD	6796	48024	\N	\N	\N
388040	1319	1997-11-04	PRIJEM	VKLAD	20369	41669	\N	\N	\N
388042	1319	1998-09-05	PRIJEM	VKLAD	44483	78158	\N	\N	\N
388043	1319	1998-05-28	PRIJEM	VKLAD	17508	90131	\N	\N	\N
388044	1319	1998-06-18	PRIJEM	VKLAD	25363	110832	\N	\N	\N
388045	1319	1998-05-15	PRIJEM	VKLAD	34238	102532	\N	\N	\N
388046	1319	1998-05-15	PRIJEM	VKLAD	30233	68294	\N	\N	\N
388047	1319	1998-06-15	PRIJEM	VKLAD	26763	85469	\N	\N	\N
388048	1319	1998-05-28	PRIJEM	VKLAD	41200	131331	\N	\N	\N
388049	1319	1998-04-30	PRIJEM	VKLAD	19661	58499	\N	\N	\N
388050	1319	1998-04-06	PRIJEM	VKLAD	15100	50569	\N	\N	\N
388051	1319	1998-10-30	PRIJEM	VKLAD	35095	62146	\N	\N	\N
388052	1319	1998-01-28	PRIJEM	VKLAD	22018	61053	\N	\N	\N
388053	1319	1998-11-04	PRIJEM	VKLAD	34451	81544	\N	\N	\N
388270	1320	1998-12-09	PRIJEM	VKLAD	20235	38377	\N	\N	\N
388069	1319	1998-04-10	VYDAJ	PREVOD NA UCET	6185	44384	SIPO	IJ	20581275
388070	1319	1998-05-10	VYDAJ	PREVOD NA UCET	6185	40307	SIPO	IJ	20581275
388071	1319	1998-06-10	VYDAJ	PREVOD NA UCET	6185	60952	SIPO	IJ	20581275
388072	1319	1998-07-10	VYDAJ	PREVOD NA UCET	6185	36851	SIPO	IJ	20581275
388073	1319	1998-08-10	VYDAJ	PREVOD NA UCET	6185	31990	SIPO	IJ	20581275
388074	1319	1998-09-10	VYDAJ	PREVOD NA UCET	6185	71973	SIPO	IJ	20581275
388075	1319	1998-10-10	VYDAJ	PREVOD NA UCET	6185	29297	SIPO	IJ	20581275
388076	1319	1998-11-10	VYDAJ	PREVOD NA UCET	6185	75359	SIPO	IJ	20581275
388077	1319	1998-12-10	VYDAJ	PREVOD NA UCET	6185	41236	SIPO	IJ	20581275
388093	1319	1998-04-14	VYDAJ	PREVOD NA UCET	884	42138	 	YZ	35347509
388094	1319	1998-05-14	VYDAJ	PREVOD NA UCET	884	38061	 	YZ	35347509
388095	1319	1998-06-14	VYDAJ	PREVOD NA UCET	884	58706	 	YZ	35347509
388096	1319	1998-07-14	VYDAJ	PREVOD NA UCET	884	34605	 	YZ	35347509
388097	1319	1998-08-14	VYDAJ	PREVOD NA UCET	884	29744	 	YZ	35347509
388098	1319	1998-09-14	VYDAJ	PREVOD NA UCET	884	69727	 	YZ	35347509
388099	1319	1998-10-14	VYDAJ	PREVOD NA UCET	884	27051	 	YZ	35347509
388100	1319	1998-11-14	VYDAJ	PREVOD NA UCET	884	73113	 	YZ	35347509
388101	1319	1998-12-14	VYDAJ	PREVOD NA UCET	884	38990	 	YZ	35347509
388117	1319	1998-04-12	VYDAJ	PREVOD NA UCET	1362	43022	POJISTNE	EF	91518568
388118	1319	1998-05-12	VYDAJ	PREVOD NA UCET	1362	38945	POJISTNE	EF	91518568
388119	1319	1998-06-12	VYDAJ	PREVOD NA UCET	1362	59590	POJISTNE	EF	91518568
388120	1319	1998-07-12	VYDAJ	PREVOD NA UCET	1362	35489	POJISTNE	EF	91518568
388121	1319	1998-08-12	VYDAJ	PREVOD NA UCET	1362	30628	POJISTNE	EF	91518568
388122	1319	1998-09-12	VYDAJ	PREVOD NA UCET	1362	70611	POJISTNE	EF	91518568
388123	1319	1998-10-12	VYDAJ	PREVOD NA UCET	1362	27935	POJISTNE	EF	91518568
388124	1319	1998-11-12	VYDAJ	PREVOD NA UCET	1362	73997	POJISTNE	EF	91518568
388125	1319	1998-12-12	VYDAJ	PREVOD NA UCET	1362	39874	POJISTNE	EF	91518568
388140	1319	1998-05-24	VYBER	VYBER	19157	72623	\N	\N	\N
388142	1319	1998-05-21	VYBER	VYBER	2052	91780	\N	\N	\N
388151	1319	1998-12-05	VYDAJ	VYBER	8100	47421	\N	\N	\N
388171	1319	1998-05-15	VYDAJ	VYBER	8700	93832	\N	\N	\N
388174	1319	1998-04-24	VYDAJ	VYBER	3300	38838	\N	\N	\N
388176	1319	1998-09-16	VYDAJ	VYBER	9600	60127	\N	\N	\N
388177	1319	1998-10-05	VYDAJ	VYBER	11400	35482	\N	\N	\N
388194	1319	1998-04-30	VYDAJ	VYBER	100	58592	SLUZBY	\N	\N
388195	1319	1998-05-31	VYDAJ	VYBER	100	102137	SLUZBY	\N	\N
388196	1319	1998-06-30	VYDAJ	VYBER	100	54936	SLUZBY	\N	\N
388197	1319	1998-07-31	VYDAJ	VYBER	100	34675	SLUZBY	\N	\N
388198	1319	1998-08-31	VYDAJ	VYBER	100	29775	SLUZBY	\N	\N
388199	1319	1998-09-30	VYDAJ	VYBER	100	60282	SLUZBY	\N	\N
388200	1319	1998-10-31	VYDAJ	VYBER	100	62193	SLUZBY	\N	\N
388201	1319	1998-11-30	VYDAJ	VYBER	100	73321	SLUZBY	\N	\N
388202	1319	1997-09-07	PRIJEM	VKLAD	13600	14600	\N	\N	\N
388203	1319	1997-10-07	PRIJEM	VKLAD	6700	21300	\N	\N	\N
388204	1319	1997-11-06	VYDAJ	VYBER	5100	36569	\N	\N	\N
388205	1319	1997-12-06	VYDAJ	VYBER	9700	41228	\N	\N	\N
388206	1319	1998-01-05	VYDAJ	VYBER	9200	39035	\N	\N	\N
388207	1319	1998-02-04	VYDAJ	VYBER	13300	47960	\N	\N	\N
388208	1319	1998-03-06	VYDAJ	VYBER	7500	40714	\N	\N	\N
388209	1319	1998-04-05	VYDAJ	VYBER	5500	35469	\N	\N	\N
388210	1319	1998-05-05	VYDAJ	VYBER	12100	46492	\N	\N	\N
388211	1319	1998-05-28	VYDAJ	VYBER	29400	101931	\N	\N	\N
388212	1319	1998-06-04	VYDAJ	VYBER	35000	67137	\N	\N	\N
388213	1319	1998-06-18	VYDAJ	VYBER	56100	54732	\N	\N	\N
388214	1319	1998-07-04	VYDAJ	VYBER	11900	43036	\N	\N	\N
388215	1319	1998-08-03	PRIJEM	VKLAD	3500	38175	\N	\N	\N
388216	1319	1998-09-02	PRIJEM	VKLAD	3900	33675	\N	\N	\N
388217	1319	1998-10-02	VYDAJ	VYBER	13400	46882	\N	\N	\N
388218	1319	1998-11-01	VYDAJ	VYBER	15100	47093	\N	\N	\N
388219	1319	1998-12-01	VYDAJ	VYBER	17800	55521	\N	\N	\N
388234	1320	1996-11-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
388246	1320	1996-12-09	PRIJEM	VKLAD	20235	21235	\N	\N	\N
388247	1320	1997-01-09	PRIJEM	VKLAD	13490	40175	\N	\N	\N
388248	1320	1997-02-09	PRIJEM	VKLAD	13490	49896	\N	\N	\N
388249	1320	1997-03-09	PRIJEM	VKLAD	13490	54245	\N	\N	\N
388250	1320	1997-04-09	PRIJEM	VKLAD	13490	58212	\N	\N	\N
388251	1320	1997-05-09	PRIJEM	VKLAD	13490	50960	\N	\N	\N
388252	1320	1997-06-09	PRIJEM	VKLAD	20235	58757	\N	\N	\N
388253	1320	1997-07-09	PRIJEM	VKLAD	13490	30177	\N	\N	\N
388254	1320	1997-08-09	PRIJEM	VKLAD	13490	34247	\N	\N	\N
388255	1320	1997-09-09	PRIJEM	VKLAD	13490	35627	\N	\N	\N
388256	1320	1997-10-09	PRIJEM	VKLAD	13490	34909	\N	\N	\N
388257	1320	1997-11-09	PRIJEM	VKLAD	13490	36292	\N	\N	\N
388258	1320	1997-12-09	PRIJEM	VKLAD	20235	40715	\N	\N	\N
388259	1320	1998-01-09	PRIJEM	VKLAD	13490	31396	\N	\N	\N
388260	1320	1998-02-09	PRIJEM	VKLAD	13490	21235	\N	\N	\N
388261	1320	1998-03-09	PRIJEM	VKLAD	13490	22858	\N	\N	\N
388262	1320	1998-04-09	PRIJEM	VKLAD	13490	22284	\N	\N	\N
388263	1320	1998-05-09	PRIJEM	VKLAD	13490	27321	\N	\N	\N
388264	1320	1998-06-09	PRIJEM	VKLAD	20235	35716	\N	\N	\N
388265	1320	1998-07-09	PRIJEM	VKLAD	13490	26475	\N	\N	\N
388266	1320	1998-08-09	PRIJEM	VKLAD	13490	26816	\N	\N	\N
388267	1320	1998-09-09	PRIJEM	VKLAD	13490	25954	\N	\N	\N
388268	1320	1998-10-09	PRIJEM	VKLAD	13490	21813	\N	\N	\N
388269	1320	1998-11-09	PRIJEM	VKLAD	13490	29856	\N	\N	\N
388287	1320	1997-05-08	VYDAJ	PREVOD NA UCET	4377	37470	SIPO	EF	72762423
388288	1320	1997-06-08	VYDAJ	PREVOD NA UCET	4377	38522	SIPO	EF	72762423
388289	1320	1997-07-08	VYDAJ	PREVOD NA UCET	4377	16687	SIPO	EF	72762423
388290	1320	1997-08-08	VYDAJ	PREVOD NA UCET	4377	20757	SIPO	EF	72762423
388291	1320	1997-09-08	VYDAJ	PREVOD NA UCET	4377	22137	SIPO	EF	72762423
388292	1320	1997-10-08	VYDAJ	PREVOD NA UCET	4377	21419	SIPO	EF	72762423
388293	1320	1997-11-08	VYDAJ	PREVOD NA UCET	4377	22802	SIPO	EF	72762423
388294	1320	1997-12-08	VYDAJ	PREVOD NA UCET	4377	20480	SIPO	EF	72762423
388295	1320	1998-01-08	VYDAJ	PREVOD NA UCET	4377	17906	SIPO	EF	72762423
388296	1320	1998-02-08	VYDAJ	PREVOD NA UCET	4377	7745	SIPO	EF	72762423
388297	1320	1998-03-08	VYDAJ	PREVOD NA UCET	4377	9368	SIPO	EF	72762423
388298	1320	1998-04-08	VYDAJ	PREVOD NA UCET	4377	8794	SIPO	EF	72762423
388299	1320	1998-05-08	VYDAJ	PREVOD NA UCET	4377	13831	SIPO	EF	72762423
388300	1320	1998-06-08	VYDAJ	PREVOD NA UCET	4377	15481	SIPO	EF	72762423
388301	1320	1998-07-08	VYDAJ	PREVOD NA UCET	4377	12985	SIPO	EF	72762423
388302	1320	1998-08-08	VYDAJ	PREVOD NA UCET	4377	13326	SIPO	EF	72762423
388303	1320	1998-09-08	VYDAJ	PREVOD NA UCET	4377	12464	SIPO	EF	72762423
388304	1320	1998-10-08	VYDAJ	PREVOD NA UCET	4377	8323	SIPO	EF	72762423
388305	1320	1998-11-08	VYDAJ	PREVOD NA UCET	4377	16366	SIPO	EF	72762423
388306	1320	1998-12-08	VYDAJ	PREVOD NA UCET	4377	18142	SIPO	EF	72762423
388323	1320	1997-05-06	VYDAJ	PREVOD NA UCET	907	41927	 	MN	96369796
388324	1320	1997-06-06	VYDAJ	PREVOD NA UCET	907	43048	 	MN	96369796
388325	1320	1997-07-06	VYDAJ	PREVOD NA UCET	907	21064	 	MN	96369796
388326	1320	1997-08-06	VYDAJ	PREVOD NA UCET	907	25214	 	MN	96369796
388327	1320	1997-09-06	VYDAJ	PREVOD NA UCET	907	26594	 	MN	96369796
388328	1320	1997-10-06	VYDAJ	PREVOD NA UCET	907	26676	 	MN	96369796
388329	1320	1997-11-06	VYDAJ	PREVOD NA UCET	907	27179	 	MN	96369796
388330	1320	1997-12-06	VYDAJ	PREVOD NA UCET	907	25006	 	MN	96369796
388331	1320	1998-01-06	VYDAJ	PREVOD NA UCET	907	22432	 	MN	96369796
388332	1320	1998-02-06	VYDAJ	PREVOD NA UCET	907	12122	 	MN	96369796
388333	1320	1998-03-06	VYDAJ	PREVOD NA UCET	907	13974	 	MN	96369796
388334	1320	1998-04-06	VYDAJ	PREVOD NA UCET	907	13400	 	MN	96369796
388335	1320	1998-05-06	VYDAJ	PREVOD NA UCET	907	18357	 	MN	96369796
388336	1320	1998-06-06	VYDAJ	PREVOD NA UCET	907	20007	 	MN	96369796
388337	1320	1998-07-06	VYDAJ	PREVOD NA UCET	907	18062	 	MN	96369796
388338	1320	1998-08-06	VYDAJ	PREVOD NA UCET	907	17932	 	MN	96369796
388339	1320	1998-09-06	VYDAJ	PREVOD NA UCET	907	17070	 	MN	96369796
388340	1320	1998-10-06	VYDAJ	PREVOD NA UCET	907	12780	 	MN	96369796
388341	1320	1998-11-06	VYDAJ	PREVOD NA UCET	907	20892	 	MN	96369796
388342	1320	1998-12-06	VYDAJ	PREVOD NA UCET	907	28968	 	MN	96369796
388359	1320	1997-05-06	VYDAJ	PREVOD NA UCET	149	42834	POJISTNE	ST	17258435
388360	1320	1997-06-06	VYDAJ	PREVOD NA UCET	149	42899	POJISTNE	ST	17258435
388361	1320	1997-07-06	VYDAJ	PREVOD NA UCET	149	22051	POJISTNE	ST	17258435
388362	1320	1997-08-06	VYDAJ	PREVOD NA UCET	149	26121	POJISTNE	ST	17258435
388363	1320	1997-09-06	VYDAJ	PREVOD NA UCET	149	27501	POJISTNE	ST	17258435
388364	1320	1997-10-06	VYDAJ	PREVOD NA UCET	149	27583	POJISTNE	ST	17258435
388365	1320	1997-11-06	VYDAJ	PREVOD NA UCET	149	28166	POJISTNE	ST	17258435
388366	1320	1997-12-06	VYDAJ	PREVOD NA UCET	149	24857	POJISTNE	ST	17258435
388367	1320	1998-01-06	VYDAJ	PREVOD NA UCET	149	22283	POJISTNE	ST	17258435
388368	1320	1998-02-06	VYDAJ	PREVOD NA UCET	149	13109	POJISTNE	ST	17258435
388369	1320	1998-03-06	VYDAJ	PREVOD NA UCET	149	13825	POJISTNE	ST	17258435
388370	1320	1998-04-06	VYDAJ	PREVOD NA UCET	149	13171	POJISTNE	ST	17258435
388371	1320	1998-05-06	VYDAJ	PREVOD NA UCET	149	18208	POJISTNE	ST	17258435
388372	1320	1998-06-06	VYDAJ	PREVOD NA UCET	149	19858	POJISTNE	ST	17258435
388373	1320	1998-07-06	VYDAJ	PREVOD NA UCET	149	18969	POJISTNE	ST	17258435
388374	1320	1998-08-06	VYDAJ	PREVOD NA UCET	149	17703	POJISTNE	ST	17258435
388375	1320	1998-09-06	VYDAJ	PREVOD NA UCET	149	16841	POJISTNE	ST	17258435
388376	1320	1998-10-06	VYDAJ	PREVOD NA UCET	149	13687	POJISTNE	ST	17258435
388377	1320	1998-11-06	VYDAJ	PREVOD NA UCET	149	20743	POJISTNE	ST	17258435
388378	1320	1998-12-06	VYDAJ	PREVOD NA UCET	149	28819	POJISTNE	ST	17258435
388395	1320	1997-05-06	VYDAJ	PREVOD NA UCET	80	41847	 	KL	99194561
388396	1320	1997-06-06	VYDAJ	PREVOD NA UCET	80	43955	 	KL	99194561
388397	1320	1997-07-06	VYDAJ	PREVOD NA UCET	80	21971	 	KL	99194561
388398	1320	1997-08-06	VYDAJ	PREVOD NA UCET	80	25134	 	KL	99194561
388399	1320	1997-09-06	VYDAJ	PREVOD NA UCET	80	26514	 	KL	99194561
388400	1320	1997-10-06	VYDAJ	PREVOD NA UCET	80	26596	 	KL	99194561
388401	1320	1997-11-06	VYDAJ	PREVOD NA UCET	80	28086	 	KL	99194561
388402	1320	1997-12-06	VYDAJ	PREVOD NA UCET	80	25913	 	KL	99194561
388403	1320	1998-01-06	VYDAJ	PREVOD NA UCET	80	23339	 	KL	99194561
388404	1320	1998-02-06	VYDAJ	PREVOD NA UCET	80	13029	 	KL	99194561
388405	1320	1998-03-06	VYDAJ	PREVOD NA UCET	80	13745	 	KL	99194561
388406	1320	1998-04-06	VYDAJ	PREVOD NA UCET	80	13320	 	KL	99194561
388407	1320	1998-05-06	VYDAJ	PREVOD NA UCET	80	19264	 	KL	99194561
388408	1320	1998-06-06	VYDAJ	PREVOD NA UCET	80	20914	 	KL	99194561
388409	1320	1998-07-06	VYDAJ	PREVOD NA UCET	80	19118	 	KL	99194561
388410	1320	1998-08-06	VYDAJ	PREVOD NA UCET	80	17852	 	KL	99194561
388411	1320	1998-09-06	VYDAJ	PREVOD NA UCET	80	16990	 	KL	99194561
388412	1320	1998-10-06	VYDAJ	PREVOD NA UCET	80	12700	 	KL	99194561
388413	1320	1998-11-06	VYDAJ	PREVOD NA UCET	80	21799	 	KL	99194561
388414	1320	1998-12-06	VYDAJ	PREVOD NA UCET	80	29875	 	KL	99194561
388416	1320	1997-06-18	VYDAJ	VYBER	23000	22057	\N	\N	\N
388417	1320	1998-06-09	VYDAJ	VYBER	3000	32716	\N	\N	\N
388420	1320	1998-01-04	VYDAJ	VYBER	4200	23419	\N	\N	\N
388433	1320	1998-01-13	VYDAJ	VYBER	2900	14496	\N	\N	\N
388436	1320	1998-01-20	VYDAJ	VYBER	800	13196	\N	\N	\N
388438	1320	1998-01-17	VYDAJ	VYBER	500	13996	\N	\N	\N
388445	1320	1997-10-07	VYDAJ	VYBER	800	25796	\N	\N	\N
388448	1320	1997-05-02	VYDAJ	VYBER	2000	42983	\N	\N	\N
388449	1320	1998-06-24	VYDAJ	VYBER	1700	22116	\N	\N	\N
388450	1320	1998-06-20	VYDAJ	VYBER	1700	23816	\N	\N	\N
388451	1320	1998-07-07	VYDAJ	VYBER	700	17362	\N	\N	\N
388452	1320	1998-06-29	VYDAJ	VYBER	3000	19116	\N	\N	\N
388469	1320	1997-04-30	VYDAJ	VYBER	15	44983	SLUZBY	\N	\N
388470	1320	1997-05-31	VYDAJ	VYBER	15	44035	SLUZBY	\N	\N
388471	1320	1997-06-30	VYDAJ	VYBER	15	22200	SLUZBY	\N	\N
388472	1320	1997-07-31	VYDAJ	VYBER	15	26270	SLUZBY	\N	\N
388473	1320	1997-08-31	VYDAJ	VYBER	15	27650	SLUZBY	\N	\N
388474	1320	1997-09-30	VYDAJ	VYBER	15	27732	SLUZBY	\N	\N
388475	1320	1997-10-31	VYDAJ	VYBER	15	28315	SLUZBY	\N	\N
388476	1320	1997-11-30	VYDAJ	VYBER	15	25993	SLUZBY	\N	\N
388477	1320	1997-12-31	VYDAJ	VYBER	15	27619	SLUZBY	\N	\N
388478	1320	1998-01-31	VYDAJ	VYBER	15	13258	SLUZBY	\N	\N
388479	1320	1998-02-28	VYDAJ	VYBER	15	14881	SLUZBY	\N	\N
388480	1320	1998-03-31	VYDAJ	VYBER	15	14307	SLUZBY	\N	\N
388481	1320	1998-04-30	VYDAJ	VYBER	15	19344	SLUZBY	\N	\N
388482	1320	1998-05-31	VYDAJ	VYBER	15	20994	SLUZBY	\N	\N
388483	1320	1998-06-30	VYDAJ	VYBER	15	19198	SLUZBY	\N	\N
388484	1320	1998-07-31	VYDAJ	VYBER	15	18839	SLUZBY	\N	\N
388485	1320	1998-08-31	VYDAJ	VYBER	15	17977	SLUZBY	\N	\N
388486	1320	1998-09-30	VYDAJ	VYBER	15	13836	SLUZBY	\N	\N
388487	1320	1998-10-31	VYDAJ	VYBER	15	21879	SLUZBY	\N	\N
388488	1320	1998-11-30	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
388489	1320	1996-12-18	PRIJEM	VKLAD	5400	26635	\N	\N	\N
388490	1320	1997-01-17	VYDAJ	VYBER	3900	36275	\N	\N	\N
388491	1320	1997-02-16	VYDAJ	VYBER	9300	40596	\N	\N	\N
388492	1320	1997-03-18	VYDAJ	VYBER	9700	44545	\N	\N	\N
388493	1320	1997-04-17	VYDAJ	VYBER	13400	44812	\N	\N	\N
388494	1320	1997-05-17	VYDAJ	VYBER	7100	43860	\N	\N	\N
388495	1320	1997-06-16	VYDAJ	VYBER	13700	45057	\N	\N	\N
388496	1320	1997-07-16	VYDAJ	VYBER	4000	26177	\N	\N	\N
388497	1320	1997-08-15	VYDAJ	VYBER	6700	27547	\N	\N	\N
388498	1320	1997-09-14	VYDAJ	VYBER	8000	27627	\N	\N	\N
388499	1320	1997-10-14	VYDAJ	VYBER	6700	28209	\N	\N	\N
388500	1320	1997-11-13	VYDAJ	VYBER	10400	25892	\N	\N	\N
388501	1320	1997-12-13	VYDAJ	VYBER	13200	27515	\N	\N	\N
388502	1320	1998-01-12	VYDAJ	VYBER	14000	17396	\N	\N	\N
388503	1320	1998-02-11	VYDAJ	VYBER	6400	14835	\N	\N	\N
388504	1320	1998-03-13	VYDAJ	VYBER	8600	14258	\N	\N	\N
388505	1320	1998-04-12	VYDAJ	VYBER	3000	19284	\N	\N	\N
388506	1320	1998-05-12	VYDAJ	VYBER	6400	20921	\N	\N	\N
388507	1320	1998-06-11	VYDAJ	VYBER	7200	25516	\N	\N	\N
388508	1320	1998-07-11	VYDAJ	VYBER	7700	18775	\N	\N	\N
388509	1320	1998-08-10	VYDAJ	VYBER	8900	17916	\N	\N	\N
388510	1320	1998-09-09	VYDAJ	VYBER	12200	13754	\N	\N	\N
388511	1320	1998-12-08	VYDAJ	VYBER	6300	22519	\N	\N	\N
388537	1321	1997-03-27	PRIJEM	VKLAD	200	200	\N	\N	\N
388541	1321	1997-04-05	PRIJEM	VKLAD	4025	4225	\N	\N	\N
388542	1321	1997-05-05	PRIJEM	VKLAD	4025	17860	\N	\N	\N
388543	1321	1997-06-05	PRIJEM	VKLAD	6038	25559	\N	\N	\N
388544	1321	1997-07-05	PRIJEM	VKLAD	4025	29370	\N	\N	\N
388545	1321	1997-08-05	PRIJEM	VKLAD	4025	31202	\N	\N	\N
388546	1321	1997-09-05	PRIJEM	VKLAD	4025	27274	\N	\N	\N
388547	1321	1997-10-05	PRIJEM	VKLAD	4025	31505	\N	\N	\N
388548	1321	1997-11-05	PRIJEM	VKLAD	4025	29046	\N	\N	\N
388549	1321	1997-12-05	PRIJEM	VKLAD	6038	27229	\N	\N	\N
388550	1321	1998-01-05	PRIJEM	VKLAD	4025	22858	\N	\N	\N
388551	1321	1998-02-05	PRIJEM	VKLAD	4025	17316	\N	\N	\N
388552	1321	1998-03-05	PRIJEM	VKLAD	4025	25111	\N	\N	\N
388553	1321	1998-04-05	PRIJEM	VKLAD	4025	29834	\N	\N	\N
388554	1321	1998-05-05	PRIJEM	VKLAD	4025	29012	\N	\N	\N
388555	1321	1998-06-05	PRIJEM	VKLAD	6038	34262	\N	\N	\N
388556	1321	1998-07-05	PRIJEM	VKLAD	4025	25994	\N	\N	\N
388557	1321	1998-08-05	PRIJEM	VKLAD	4025	25113	\N	\N	\N
388558	1321	1998-09-05	PRIJEM	VKLAD	4025	26231	\N	\N	\N
388559	1321	1998-10-05	PRIJEM	VKLAD	4025	27654	\N	\N	\N
388560	1321	1998-11-05	PRIJEM	VKLAD	4025	28382	\N	\N	\N
388561	1321	1998-12-05	PRIJEM	VKLAD	6038	28721	\N	\N	\N
388569	1321	1997-08-12	VYDAJ	PREVOD NA UCET	2683	24559	SIPO	EF	33750575
388570	1321	1997-09-12	VYDAJ	PREVOD NA UCET	2683	24591	SIPO	EF	33750575
388571	1321	1997-10-12	VYDAJ	PREVOD NA UCET	2683	28822	SIPO	EF	33750575
388572	1321	1997-11-12	VYDAJ	PREVOD NA UCET	2683	26363	SIPO	EF	33750575
388573	1321	1997-12-12	VYDAJ	PREVOD NA UCET	2683	24546	SIPO	EF	33750575
388574	1321	1998-01-12	VYDAJ	PREVOD NA UCET	2683	20175	SIPO	EF	33750575
388575	1321	1998-02-12	VYDAJ	PREVOD NA UCET	2683	14633	SIPO	EF	33750575
388576	1321	1998-03-12	VYDAJ	PREVOD NA UCET	2683	22428	SIPO	EF	33750575
388577	1321	1998-04-12	VYDAJ	PREVOD NA UCET	2683	27151	SIPO	EF	33750575
388578	1321	1998-05-12	VYDAJ	PREVOD NA UCET	2683	26329	SIPO	EF	33750575
388579	1321	1998-06-12	VYDAJ	PREVOD NA UCET	2683	26659	SIPO	EF	33750575
388580	1321	1998-07-12	VYDAJ	PREVOD NA UCET	2683	23311	SIPO	EF	33750575
388581	1321	1998-08-12	VYDAJ	PREVOD NA UCET	2683	22430	SIPO	EF	33750575
388582	1321	1998-09-12	VYDAJ	PREVOD NA UCET	2683	23548	SIPO	EF	33750575
388583	1321	1998-10-12	VYDAJ	PREVOD NA UCET	2683	24971	SIPO	EF	33750575
388584	1321	1998-11-12	VYDAJ	PREVOD NA UCET	2683	22339	SIPO	EF	33750575
388585	1321	1998-12-12	VYDAJ	PREVOD NA UCET	2683	26038	SIPO	EF	33750575
388613	1321	1998-01-15	VYDAJ	VYBER	6240	12255	\N	\N	\N
388614	1321	1997-12-29	VYDAJ	VYBER	960	22586	\N	\N	\N
388615	1321	1998-12-13	VYDAJ	VYBER	1120	24918	\N	\N	\N
388622	1321	1998-01-14	VYDAJ	VYBER	1680	18495	\N	\N	\N
388623	1321	1998-01-26	VYDAJ	VYBER	1560	13235	\N	\N	\N
388624	1321	1998-01-01	VYDAJ	VYBER	2040	18833	\N	\N	\N
388625	1321	1998-01-22	VYDAJ	VYBER	1320	14795	\N	\N	\N
388626	1321	1998-01-01	VYDAJ	VYBER	1800	20873	\N	\N	\N
388627	1321	1998-01-16	VYDAJ	VYBER	1440	10815	\N	\N	\N
388628	1321	1997-08-06	VYDAJ	VYBER	3960	27242	\N	\N	\N
388631	1321	1997-12-02	VYDAJ	VYBER	1560	21191	\N	\N	\N
388633	1321	1998-06-17	VYDAJ	VYBER	5880	20779	\N	\N	\N
388634	1321	1998-06-05	VYDAJ	VYBER	4920	29342	\N	\N	\N
388635	1321	1998-11-20	VYDAJ	VYBER	5640	22599	\N	\N	\N
388636	1321	1998-11-09	VYDAJ	VYBER	3360	25022	\N	\N	\N
388637	1321	1998-04-28	VYDAJ	VYBER	2760	24891	\N	\N	\N
388646	1321	1997-08-31	VYDAJ	VYBER	15	23249	SLUZBY	\N	\N
388647	1321	1997-09-30	VYDAJ	VYBER	15	27480	SLUZBY	\N	\N
388648	1321	1997-10-31	VYDAJ	VYBER	15	25021	SLUZBY	\N	\N
388649	1321	1997-11-30	VYDAJ	VYBER	15	22751	SLUZBY	\N	\N
388650	1321	1997-12-31	VYDAJ	VYBER	15	22673	SLUZBY	\N	\N
388651	1321	1998-01-31	VYDAJ	VYBER	15	13291	SLUZBY	\N	\N
388652	1321	1998-02-28	VYDAJ	VYBER	15	21086	SLUZBY	\N	\N
388653	1321	1998-03-31	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
388654	1321	1998-04-30	VYDAJ	VYBER	15	24987	SLUZBY	\N	\N
388655	1321	1998-05-31	VYDAJ	VYBER	15	28225	SLUZBY	\N	\N
388656	1321	1998-06-30	VYDAJ	VYBER	15	21969	SLUZBY	\N	\N
388657	1321	1998-07-31	VYDAJ	VYBER	15	21088	SLUZBY	\N	\N
388658	1321	1998-08-31	VYDAJ	VYBER	15	22206	SLUZBY	\N	\N
388659	1321	1998-09-30	VYDAJ	VYBER	15	23629	SLUZBY	\N	\N
388660	1321	1998-10-31	VYDAJ	VYBER	15	24357	SLUZBY	\N	\N
388661	1321	1998-11-30	VYDAJ	VYBER	15	22684	SLUZBY	\N	\N
388662	1321	1997-04-26	PRIJEM	VKLAD	9600	13825	\N	\N	\N
388663	1321	1997-05-26	PRIJEM	VKLAD	1600	19460	\N	\N	\N
388664	1321	1997-06-25	VYDAJ	VYBER	300	25259	\N	\N	\N
388665	1321	1997-07-25	VYDAJ	VYBER	2300	27070	\N	\N	\N
388666	1321	1997-08-24	VYDAJ	VYBER	1400	23159	\N	\N	\N
388667	1321	1997-09-23	PRIJEM	VKLAD	2800	27391	\N	\N	\N
388668	1321	1997-10-23	VYDAJ	VYBER	3900	24922	\N	\N	\N
388669	1321	1997-11-22	VYDAJ	VYBER	3700	22663	\N	\N	\N
388670	1321	1997-12-22	VYDAJ	VYBER	1000	23546	\N	\N	\N
388671	1321	1998-01-21	PRIJEM	VKLAD	5300	16115	\N	\N	\N
388672	1321	1998-02-20	PRIJEM	VKLAD	6400	21033	\N	\N	\N
388673	1321	1998-03-22	PRIJEM	VKLAD	3300	25728	\N	\N	\N
388674	1321	1998-04-21	PRIJEM	VKLAD	500	27651	\N	\N	\N
388675	1321	1998-05-21	PRIJEM	VKLAD	1800	28129	\N	\N	\N
388676	1321	1998-06-20	PRIJEM	VKLAD	1100	21879	\N	\N	\N
388677	1321	1998-07-20	VYDAJ	VYBER	2300	21011	\N	\N	\N
388678	1321	1998-08-19	VYDAJ	VYBER	300	22130	\N	\N	\N
388679	1321	1998-10-18	VYDAJ	VYBER	700	24271	\N	\N	\N
388680	1321	1998-11-17	PRIJEM	VKLAD	5900	28239	\N	\N	\N
388702	1322	1993-07-05	PRIJEM	VKLAD	200	200	\N	\N	\N
388709	1322	1993-07-06	PRIJEM	PREVOD Z UCTU	4435	4635	DUCHOD	OP	64150523
388710	1322	1993-08-06	PRIJEM	PREVOD Z UCTU	4435	9086	DUCHOD	OP	64150523
388711	1322	1993-09-06	PRIJEM	PREVOD Z UCTU	4435	13541	DUCHOD	OP	64150523
388712	1322	1993-10-06	PRIJEM	PREVOD Z UCTU	4435	17995	DUCHOD	OP	64150523
388713	1322	1993-11-06	PRIJEM	PREVOD Z UCTU	4435	22449	DUCHOD	OP	64150523
388714	1322	1993-12-06	PRIJEM	PREVOD Z UCTU	4435	24021	DUCHOD	OP	64150523
388715	1322	1994-01-06	PRIJEM	PREVOD Z UCTU	4435	22450	DUCHOD	OP	64150523
388716	1322	1994-02-06	PRIJEM	PREVOD Z UCTU	4435	16742	DUCHOD	OP	64150523
388717	1322	1994-03-06	PRIJEM	PREVOD Z UCTU	4435	17104	DUCHOD	OP	64150523
388718	1322	1994-04-06	PRIJEM	PREVOD Z UCTU	4435	17464	DUCHOD	OP	64150523
388719	1322	1994-05-06	PRIJEM	PREVOD Z UCTU	4435	19029	DUCHOD	OP	64150523
388720	1322	1994-06-06	PRIJEM	PREVOD Z UCTU	4435	20600	DUCHOD	OP	64150523
388721	1322	1994-07-06	PRIJEM	PREVOD Z UCTU	4435	15610	DUCHOD	OP	64150523
388722	1322	1994-08-06	PRIJEM	PREVOD Z UCTU	4435	17166	DUCHOD	OP	64150523
388723	1322	1994-09-06	PRIJEM	PREVOD Z UCTU	4435	18729	DUCHOD	OP	64150523
388724	1322	1994-10-06	PRIJEM	PREVOD Z UCTU	4435	20299	DUCHOD	OP	64150523
388725	1322	1994-11-06	PRIJEM	PREVOD Z UCTU	4435	18586	DUCHOD	OP	64150523
388726	1322	1994-12-06	PRIJEM	PREVOD Z UCTU	4435	19677	DUCHOD	OP	64150523
388727	1322	1995-01-06	PRIJEM	PREVOD Z UCTU	4435	18160	DUCHOD	OP	64150523
388728	1322	1995-02-06	PRIJEM	PREVOD Z UCTU	4435	16600	DUCHOD	OP	64150523
388729	1322	1995-03-06	PRIJEM	PREVOD Z UCTU	4435	18161	DUCHOD	OP	64150523
388730	1322	1995-04-06	PRIJEM	PREVOD Z UCTU	4435	19728	DUCHOD	OP	64150523
388731	1322	1995-05-06	PRIJEM	PREVOD Z UCTU	4435	21301	DUCHOD	OP	64150523
388732	1322	1995-06-06	PRIJEM	PREVOD Z UCTU	4435	20878	DUCHOD	OP	64150523
388733	1322	1995-07-06	PRIJEM	PREVOD Z UCTU	4435	21734	DUCHOD	OP	64150523
388734	1322	1995-08-06	PRIJEM	PREVOD Z UCTU	4435	23316	DUCHOD	OP	64150523
388735	1322	1995-09-06	PRIJEM	PREVOD Z UCTU	4435	23303	DUCHOD	OP	64150523
388736	1322	1995-10-06	PRIJEM	PREVOD Z UCTU	4435	24891	DUCHOD	OP	64150523
388737	1322	1995-11-06	PRIJEM	PREVOD Z UCTU	4435	26486	DUCHOD	OP	64150523
388738	1322	1995-12-06	PRIJEM	PREVOD Z UCTU	4435	28088	DUCHOD	OP	64150523
388739	1322	1996-01-06	PRIJEM	PREVOD Z UCTU	4435	23034	DUCHOD	OP	64150523
388740	1322	1996-02-06	PRIJEM	PREVOD Z UCTU	4435	19116	DUCHOD	OP	64150523
388741	1322	1996-03-06	PRIJEM	PREVOD Z UCTU	4435	20687	DUCHOD	OP	64150523
388742	1322	1996-04-06	PRIJEM	PREVOD Z UCTU	4435	22264	DUCHOD	OP	64150523
388743	1322	1996-05-06	PRIJEM	PREVOD Z UCTU	4435	23848	DUCHOD	OP	64150523
388744	1322	1996-06-06	PRIJEM	PREVOD Z UCTU	4435	25439	DUCHOD	OP	64150523
388745	1322	1996-07-06	PRIJEM	PREVOD Z UCTU	4435	20509	DUCHOD	OP	64150523
388746	1322	1996-08-06	PRIJEM	PREVOD Z UCTU	4435	20964	DUCHOD	OP	64150523
388747	1322	1996-09-06	PRIJEM	PREVOD Z UCTU	4435	19894	DUCHOD	OP	64150523
388748	1322	1996-10-06	PRIJEM	PREVOD Z UCTU	4435	19944	DUCHOD	OP	64150523
388749	1322	1996-11-06	PRIJEM	PREVOD Z UCTU	4435	21518	DUCHOD	OP	64150523
388750	1322	1996-12-06	PRIJEM	PREVOD Z UCTU	4435	23098	DUCHOD	OP	64150523
388751	1322	1997-01-06	PRIJEM	PREVOD Z UCTU	4435	23163	DUCHOD	OP	64150523
388752	1322	1997-02-06	PRIJEM	PREVOD Z UCTU	4435	19380	DUCHOD	OP	64150523
388753	1322	1997-03-06	PRIJEM	PREVOD Z UCTU	4435	20952	DUCHOD	OP	64150523
388754	1322	1997-04-06	PRIJEM	PREVOD Z UCTU	4435	21809	DUCHOD	OP	64150523
388755	1322	1997-05-06	PRIJEM	PREVOD Z UCTU	4435	23390	DUCHOD	OP	64150523
388756	1322	1997-06-06	PRIJEM	PREVOD Z UCTU	4435	24978	DUCHOD	OP	64150523
388757	1322	1997-07-06	PRIJEM	PREVOD Z UCTU	4435	24567	DUCHOD	OP	64150523
388758	1322	1997-08-06	PRIJEM	PREVOD Z UCTU	4435	26159	DUCHOD	OP	64150523
388759	1322	1997-09-06	PRIJEM	PREVOD Z UCTU	4435	27278	DUCHOD	OP	64150523
388760	1322	1997-10-06	PRIJEM	PREVOD Z UCTU	4435	28082	DUCHOD	OP	64150523
388761	1322	1997-11-06	PRIJEM	PREVOD Z UCTU	4435	29691	DUCHOD	OP	64150523
388762	1322	1997-12-06	PRIJEM	PREVOD Z UCTU	4435	31305	DUCHOD	OP	64150523
388763	1322	1998-01-06	PRIJEM	PREVOD Z UCTU	4435	26183	DUCHOD	OP	64150523
388764	1322	1998-02-06	PRIJEM	PREVOD Z UCTU	4435	21558	DUCHOD	OP	64150523
388765	1322	1998-03-06	PRIJEM	PREVOD Z UCTU	4435	23138	DUCHOD	OP	64150523
388766	1322	1998-04-06	PRIJEM	PREVOD Z UCTU	4435	24724	DUCHOD	OP	64150523
388767	1322	1998-05-06	PRIJEM	PREVOD Z UCTU	4435	26317	DUCHOD	OP	64150523
388768	1322	1998-06-06	PRIJEM	PREVOD Z UCTU	4435	25196	DUCHOD	OP	64150523
388769	1322	1998-07-06	PRIJEM	PREVOD Z UCTU	4435	21598	DUCHOD	OP	64150523
388770	1322	1998-08-06	PRIJEM	PREVOD Z UCTU	4435	23178	DUCHOD	OP	64150523
388771	1322	1998-09-06	PRIJEM	PREVOD Z UCTU	4435	24764	DUCHOD	OP	64150523
388772	1322	1998-10-06	PRIJEM	PREVOD Z UCTU	4435	26357	DUCHOD	OP	64150523
388773	1322	1998-11-06	PRIJEM	PREVOD Z UCTU	4435	24193	DUCHOD	OP	64150523
388774	1322	1998-12-06	PRIJEM	PREVOD Z UCTU	4435	25783	DUCHOD	OP	64150523
388785	1322	1993-11-08	VYDAJ	PREVOD NA UCET	1485	20964	SIPO	ST	3167045
388786	1322	1993-12-08	VYDAJ	PREVOD NA UCET	1485	21536	SIPO	ST	3167045
388787	1322	1994-01-08	VYDAJ	PREVOD NA UCET	1485	19365	SIPO	ST	3167045
388788	1322	1994-02-08	VYDAJ	PREVOD NA UCET	1485	15257	SIPO	ST	3167045
388789	1322	1994-03-08	VYDAJ	PREVOD NA UCET	1485	14419	SIPO	ST	3167045
388790	1322	1994-04-08	VYDAJ	PREVOD NA UCET	1485	15979	SIPO	ST	3167045
388791	1322	1994-05-08	VYDAJ	PREVOD NA UCET	1485	17544	SIPO	ST	3167045
388792	1322	1994-06-08	VYDAJ	PREVOD NA UCET	1485	19115	SIPO	ST	3167045
388793	1322	1994-07-08	VYDAJ	PREVOD NA UCET	1485	14125	SIPO	ST	3167045
388794	1322	1994-08-08	VYDAJ	PREVOD NA UCET	1485	15681	SIPO	ST	3167045
388795	1322	1994-09-08	VYDAJ	PREVOD NA UCET	1485	17244	SIPO	ST	3167045
388796	1322	1994-10-08	VYDAJ	PREVOD NA UCET	1485	18814	SIPO	ST	3167045
388797	1322	1994-11-08	VYDAJ	PREVOD NA UCET	1485	17101	SIPO	ST	3167045
388798	1322	1994-12-08	VYDAJ	PREVOD NA UCET	1485	18192	SIPO	ST	3167045
388799	1322	1995-01-08	VYDAJ	PREVOD NA UCET	1485	15235	SIPO	ST	3167045
388800	1322	1995-02-08	VYDAJ	PREVOD NA UCET	1485	15115	SIPO	ST	3167045
388801	1322	1995-03-08	VYDAJ	PREVOD NA UCET	1485	16676	SIPO	ST	3167045
388802	1322	1995-04-08	VYDAJ	PREVOD NA UCET	1485	18243	SIPO	ST	3167045
388803	1322	1995-05-08	VYDAJ	PREVOD NA UCET	1485	19816	SIPO	ST	3167045
388804	1322	1995-06-08	VYDAJ	PREVOD NA UCET	1485	19393	SIPO	ST	3167045
388805	1322	1995-07-08	VYDAJ	PREVOD NA UCET	1485	20249	SIPO	ST	3167045
388806	1322	1995-08-08	VYDAJ	PREVOD NA UCET	1485	21831	SIPO	ST	3167045
388807	1322	1995-09-08	VYDAJ	PREVOD NA UCET	1485	21818	SIPO	ST	3167045
388808	1322	1995-10-08	VYDAJ	PREVOD NA UCET	1485	23406	SIPO	ST	3167045
388809	1322	1995-11-08	VYDAJ	PREVOD NA UCET	1485	25001	SIPO	ST	3167045
388810	1322	1995-12-08	VYDAJ	PREVOD NA UCET	1485	26603	SIPO	ST	3167045
388811	1322	1996-01-08	VYDAJ	PREVOD NA UCET	1485	16059	SIPO	ST	3167045
388812	1322	1996-02-08	VYDAJ	PREVOD NA UCET	1485	17631	SIPO	ST	3167045
388813	1322	1996-03-08	VYDAJ	PREVOD NA UCET	1485	19202	SIPO	ST	3167045
388814	1322	1996-04-08	VYDAJ	PREVOD NA UCET	1485	20779	SIPO	ST	3167045
388815	1322	1996-05-08	VYDAJ	PREVOD NA UCET	1485	22363	SIPO	ST	3167045
388816	1322	1996-06-08	VYDAJ	PREVOD NA UCET	1485	19204	SIPO	ST	3167045
388817	1322	1996-07-08	VYDAJ	PREVOD NA UCET	1485	19024	SIPO	ST	3167045
388818	1322	1996-08-08	VYDAJ	PREVOD NA UCET	1485	19479	SIPO	ST	3167045
388819	1322	1996-09-08	VYDAJ	PREVOD NA UCET	1485	16889	SIPO	ST	3167045
388820	1322	1996-10-08	VYDAJ	PREVOD NA UCET	1485	18459	SIPO	ST	3167045
388821	1322	1996-11-08	VYDAJ	PREVOD NA UCET	1485	20033	SIPO	ST	3167045
388822	1322	1996-12-08	VYDAJ	PREVOD NA UCET	1485	21613	SIPO	ST	3167045
388823	1322	1997-01-08	VYDAJ	PREVOD NA UCET	1485	21678	SIPO	ST	3167045
388824	1322	1997-02-08	VYDAJ	PREVOD NA UCET	1485	17895	SIPO	ST	3167045
388825	1322	1997-03-08	VYDAJ	PREVOD NA UCET	1485	19467	SIPO	ST	3167045
388826	1322	1997-04-08	VYDAJ	PREVOD NA UCET	1485	20324	SIPO	ST	3167045
388827	1322	1997-05-08	VYDAJ	PREVOD NA UCET	1485	21905	SIPO	ST	3167045
388828	1322	1997-06-08	VYDAJ	PREVOD NA UCET	1485	21493	SIPO	ST	3167045
388829	1322	1997-07-08	VYDAJ	PREVOD NA UCET	1485	23082	SIPO	ST	3167045
388830	1322	1997-08-08	VYDAJ	PREVOD NA UCET	1485	24194	SIPO	ST	3167045
388831	1322	1997-09-08	VYDAJ	PREVOD NA UCET	1485	25793	SIPO	ST	3167045
388832	1322	1997-10-08	VYDAJ	PREVOD NA UCET	1485	26597	SIPO	ST	3167045
388833	1322	1997-11-08	VYDAJ	PREVOD NA UCET	1485	28206	SIPO	ST	3167045
388834	1322	1997-12-08	VYDAJ	PREVOD NA UCET	1485	29820	SIPO	ST	3167045
388835	1322	1998-01-08	VYDAJ	PREVOD NA UCET	1485	24698	SIPO	ST	3167045
388836	1322	1998-02-08	VYDAJ	PREVOD NA UCET	1485	20073	SIPO	ST	3167045
388837	1322	1998-03-08	VYDAJ	PREVOD NA UCET	1485	21653	SIPO	ST	3167045
388838	1322	1998-04-08	VYDAJ	PREVOD NA UCET	1485	23239	SIPO	ST	3167045
388839	1322	1998-05-08	VYDAJ	PREVOD NA UCET	1485	24832	SIPO	ST	3167045
388840	1322	1998-06-08	VYDAJ	PREVOD NA UCET	1485	23711	SIPO	ST	3167045
388841	1322	1998-07-08	VYDAJ	PREVOD NA UCET	1485	20113	SIPO	ST	3167045
388842	1322	1998-08-08	VYDAJ	PREVOD NA UCET	1485	21693	SIPO	ST	3167045
388843	1322	1998-09-08	VYDAJ	PREVOD NA UCET	1485	23279	SIPO	ST	3167045
388844	1322	1998-10-08	VYDAJ	PREVOD NA UCET	1485	24872	SIPO	ST	3167045
388845	1322	1998-11-08	VYDAJ	PREVOD NA UCET	1485	22708	SIPO	ST	3167045
388846	1322	1998-12-08	VYDAJ	PREVOD NA UCET	1485	24298	SIPO	ST	3167045
388857	1322	1993-11-12	VYDAJ	PREVOD NA UCET	1431	19533	 	OP	6584710
388858	1322	1993-12-12	VYDAJ	PREVOD NA UCET	1431	20105	 	OP	6584710
388859	1322	1994-01-12	VYDAJ	PREVOD NA UCET	1431	16414	 	OP	6584710
388860	1322	1994-02-12	VYDAJ	PREVOD NA UCET	1431	13826	 	OP	6584710
388861	1322	1994-03-12	VYDAJ	PREVOD NA UCET	1431	12988	 	OP	6584710
388862	1322	1994-04-12	VYDAJ	PREVOD NA UCET	1431	14548	 	OP	6584710
388863	1322	1994-05-12	VYDAJ	PREVOD NA UCET	1431	16113	 	OP	6584710
388864	1322	1994-06-12	VYDAJ	PREVOD NA UCET	1431	11134	 	OP	6584710
388865	1322	1994-07-12	VYDAJ	PREVOD NA UCET	1431	12694	 	OP	6584710
388866	1322	1994-08-12	VYDAJ	PREVOD NA UCET	1431	14250	 	OP	6584710
388867	1322	1994-09-12	VYDAJ	PREVOD NA UCET	1431	15813	 	OP	6584710
388868	1322	1994-10-12	VYDAJ	PREVOD NA UCET	1431	14103	 	OP	6584710
388869	1322	1994-11-12	VYDAJ	PREVOD NA UCET	1431	15190	 	OP	6584710
388870	1322	1994-12-12	VYDAJ	PREVOD NA UCET	1431	16761	 	OP	6584710
388871	1322	1995-01-12	VYDAJ	PREVOD NA UCET	1431	12124	 	OP	6584710
388872	1322	1995-02-12	VYDAJ	PREVOD NA UCET	1431	13684	 	OP	6584710
388873	1322	1995-03-12	VYDAJ	PREVOD NA UCET	1431	15245	 	OP	6584710
388874	1322	1995-04-12	VYDAJ	PREVOD NA UCET	1431	16812	 	OP	6584710
388875	1322	1995-05-12	VYDAJ	PREVOD NA UCET	1431	18385	 	OP	6584710
388876	1322	1995-06-12	VYDAJ	PREVOD NA UCET	1431	17962	 	OP	6584710
388877	1322	1995-07-12	VYDAJ	PREVOD NA UCET	1431	18818	 	OP	6584710
388878	1322	1995-08-12	VYDAJ	PREVOD NA UCET	1431	20400	 	OP	6584710
388879	1322	1995-09-12	VYDAJ	PREVOD NA UCET	1431	20387	 	OP	6584710
388880	1322	1995-10-12	VYDAJ	PREVOD NA UCET	1431	21975	 	OP	6584710
388881	1322	1995-11-12	VYDAJ	PREVOD NA UCET	1431	23570	 	OP	6584710
388882	1322	1995-12-12	VYDAJ	PREVOD NA UCET	1431	25172	 	OP	6584710
388883	1322	1996-01-12	VYDAJ	PREVOD NA UCET	1431	14628	 	OP	6584710
388884	1322	1996-02-12	VYDAJ	PREVOD NA UCET	1431	16200	 	OP	6584710
388885	1322	1996-03-12	VYDAJ	PREVOD NA UCET	1431	17771	 	OP	6584710
388886	1322	1996-04-12	VYDAJ	PREVOD NA UCET	1431	19348	 	OP	6584710
388887	1322	1996-05-12	VYDAJ	PREVOD NA UCET	1431	20932	 	OP	6584710
388888	1322	1996-06-12	VYDAJ	PREVOD NA UCET	1431	17773	 	OP	6584710
388889	1322	1996-07-12	VYDAJ	PREVOD NA UCET	1431	17593	 	OP	6584710
388890	1322	1996-08-12	VYDAJ	PREVOD NA UCET	1431	15408	 	OP	6584710
388891	1322	1996-09-12	VYDAJ	PREVOD NA UCET	1431	15458	 	OP	6584710
388892	1322	1996-10-12	VYDAJ	PREVOD NA UCET	1431	17028	 	OP	6584710
388893	1322	1996-11-12	VYDAJ	PREVOD NA UCET	1431	18602	 	OP	6584710
388894	1322	1996-12-12	VYDAJ	PREVOD NA UCET	1431	19382	 	OP	6584710
388895	1322	1997-01-12	VYDAJ	PREVOD NA UCET	1431	16407	 	OP	6584710
388896	1322	1997-02-12	VYDAJ	PREVOD NA UCET	1431	16464	 	OP	6584710
388897	1322	1997-03-12	VYDAJ	PREVOD NA UCET	1431	18036	 	OP	6584710
388898	1322	1997-04-12	VYDAJ	PREVOD NA UCET	1431	18893	 	OP	6584710
388899	1322	1997-05-12	VYDAJ	PREVOD NA UCET	1431	20474	 	OP	6584710
388900	1322	1997-06-12	VYDAJ	PREVOD NA UCET	1431	20062	 	OP	6584710
388901	1322	1997-07-12	VYDAJ	PREVOD NA UCET	1431	21651	 	OP	6584710
388902	1322	1997-08-12	VYDAJ	PREVOD NA UCET	1431	22763	 	OP	6584710
388903	1322	1997-09-12	VYDAJ	PREVOD NA UCET	1431	24362	 	OP	6584710
388904	1322	1997-10-12	VYDAJ	PREVOD NA UCET	1431	25166	 	OP	6584710
388905	1322	1997-11-12	VYDAJ	PREVOD NA UCET	1431	26775	 	OP	6584710
388906	1322	1997-12-12	VYDAJ	PREVOD NA UCET	1431	27489	 	OP	6584710
388907	1322	1998-01-12	VYDAJ	PREVOD NA UCET	1431	19057	 	OP	6584710
388908	1322	1998-02-12	VYDAJ	PREVOD NA UCET	1431	18642	 	OP	6584710
388909	1322	1998-03-12	VYDAJ	PREVOD NA UCET	1431	20222	 	OP	6584710
388910	1322	1998-04-12	VYDAJ	PREVOD NA UCET	1431	21808	 	OP	6584710
388911	1322	1998-05-12	VYDAJ	PREVOD NA UCET	1431	23401	 	OP	6584710
388912	1322	1998-06-12	VYDAJ	PREVOD NA UCET	1431	22280	 	OP	6584710
388913	1322	1998-07-12	VYDAJ	PREVOD NA UCET	1431	18682	 	OP	6584710
388914	1322	1998-08-12	VYDAJ	PREVOD NA UCET	1431	20262	 	OP	6584710
388915	1322	1998-09-12	VYDAJ	PREVOD NA UCET	1431	21848	 	OP	6584710
388916	1322	1998-10-12	VYDAJ	PREVOD NA UCET	1431	23441	 	OP	6584710
388917	1322	1998-11-12	VYDAJ	PREVOD NA UCET	1431	21277	 	OP	6584710
388918	1322	1998-12-12	VYDAJ	PREVOD NA UCET	1431	22867	 	OP	6584710
388920	1322	1994-06-12	VYDAJ	VYBER	6550	12565	\N	\N	\N
388922	1322	1996-06-06	VYDAJ	VYBER	4750	20689	\N	\N	\N
388924	1322	1998-06-13	VYDAJ	VYBER	3500	18780	\N	\N	\N
388928	1322	1996-01-08	VYDAJ	VYBER	4450	17544	\N	\N	\N
388930	1322	1998-01-08	VYDAJ	VYBER	3250	21448	\N	\N	\N
388931	1322	1993-12-07	VYDAJ	VYBER	1000	23021	\N	\N	\N
388932	1322	1994-12-28	VYDAJ	VYBER	850	15911	\N	\N	\N
388933	1322	1995-12-27	VYDAJ	VYBER	900	22752	\N	\N	\N
388934	1322	1996-12-11	VYDAJ	VYBER	800	20813	\N	\N	\N
388935	1322	1997-12-11	VYDAJ	VYBER	900	28920	\N	\N	\N
388936	1322	1998-12-26	VYDAJ	VYBER	300	22567	\N	\N	\N
388943	1322	1994-01-06	VYDAJ	VYBER	1600	20850	\N	\N	\N
388945	1322	1994-01-03	VYDAJ	VYBER	1600	18575	\N	\N	\N
388946	1322	1994-01-25	VYDAJ	VYBER	1600	12254	\N	\N	\N
388947	1322	1994-01-10	VYDAJ	VYBER	1520	17845	\N	\N	\N
388948	1322	1994-01-16	VYDAJ	VYBER	1360	13854	\N	\N	\N
388951	1322	1995-01-03	VYDAJ	VYBER	2240	13725	\N	\N	\N
388952	1322	1995-01-07	VYDAJ	VYBER	1440	16720	\N	\N	\N
388954	1322	1995-01-10	VYDAJ	VYBER	1680	13555	\N	\N	\N
388955	1322	1996-01-04	VYDAJ	VYBER	800	19879	\N	\N	\N
388957	1322	1996-01-03	VYDAJ	VYBER	2160	20679	\N	\N	\N
388958	1322	1996-01-05	VYDAJ	VYBER	1280	18599	\N	\N	\N
388960	1322	1996-01-08	VYDAJ	VYBER	1040	21994	\N	\N	\N
388961	1322	1997-01-30	VYDAJ	VYBER	1040	14887	\N	\N	\N
388962	1322	1997-01-09	VYDAJ	VYBER	1680	19998	\N	\N	\N
388964	1322	1997-01-12	VYDAJ	VYBER	2160	17838	\N	\N	\N
388965	1322	1997-01-02	VYDAJ	VYBER	720	18728	\N	\N	\N
388966	1322	1997-01-29	VYDAJ	VYBER	480	15927	\N	\N	\N
388968	1322	1998-01-04	VYDAJ	VYBER	2320	21748	\N	\N	\N
388969	1322	1998-01-11	VYDAJ	VYBER	960	20488	\N	\N	\N
388970	1322	1998-01-01	VYDAJ	VYBER	2080	24068	\N	\N	\N
388971	1322	1998-01-01	VYDAJ	VYBER	1440	26148	\N	\N	\N
388972	1322	1998-01-17	VYDAJ	VYBER	2000	17057	\N	\N	\N
388977	1322	1994-03-03	VYDAJ	VYBER	1200	12669	\N	\N	\N
388978	1322	1994-01-04	VYDAJ	VYBER	560	18015	\N	\N	\N
388979	1322	1994-10-08	VYDAJ	VYBER	3280	15534	\N	\N	\N
388980	1322	1994-03-07	VYDAJ	VYBER	1200	15904	\N	\N	\N
388981	1322	1994-11-12	VYDAJ	VYBER	480	16621	\N	\N	\N
388983	1322	1994-01-16	VYDAJ	VYBER	1200	15214	\N	\N	\N
388984	1322	1995-06-17	VYDAJ	VYBER	720	17242	\N	\N	\N
388985	1322	1995-05-17	VYDAJ	VYBER	2000	16385	\N	\N	\N
388986	1322	1995-12-26	VYDAJ	VYBER	1120	23652	\N	\N	\N
388987	1322	1995-08-22	VYDAJ	VYBER	1600	18800	\N	\N	\N
388990	1322	1996-07-21	VYDAJ	VYBER	1120	16473	\N	\N	\N
388991	1322	1996-08-10	VYDAJ	VYBER	2640	16839	\N	\N	\N
388992	1322	1996-09-06	VYDAJ	VYBER	1520	18374	\N	\N	\N
388993	1322	1996-06-23	VYDAJ	VYBER	400	17373	\N	\N	\N
388994	1322	1996-06-25	VYDAJ	VYBER	1360	16013	\N	\N	\N
388995	1322	1997-06-08	VYDAJ	VYBER	2000	22978	\N	\N	\N
388997	1322	1997-08-07	VYDAJ	VYBER	480	25679	\N	\N	\N
388998	1322	1997-10-01	VYDAJ	VYBER	800	23647	\N	\N	\N
388999	1322	1997-03-24	VYDAJ	VYBER	720	17316	\N	\N	\N
389000	1322	1998-05-29	VYDAJ	VYBER	2720	20681	\N	\N	\N
389001	1322	1998-10-25	VYDAJ	VYBER	3760	19681	\N	\N	\N
389003	1322	1998-06-15	VYDAJ	VYBER	1680	17100	\N	\N	\N
389017	1322	1993-11-30	VYDAJ	VYBER	15	19586	SLUZBY	\N	\N
389018	1322	1993-12-31	VYDAJ	VYBER	15	20175	SLUZBY	\N	\N
389019	1322	1994-01-31	VYDAJ	VYBER	15	12307	SLUZBY	\N	\N
389020	1322	1994-02-28	VYDAJ	VYBER	15	13869	SLUZBY	\N	\N
389021	1322	1994-03-31	VYDAJ	VYBER	15	13029	SLUZBY	\N	\N
389022	1322	1994-04-30	VYDAJ	VYBER	15	14594	SLUZBY	\N	\N
389023	1322	1994-05-31	VYDAJ	VYBER	15	16165	SLUZBY	\N	\N
389024	1322	1994-06-30	VYDAJ	VYBER	15	11175	SLUZBY	\N	\N
389025	1322	1994-07-31	VYDAJ	VYBER	15	12731	SLUZBY	\N	\N
389026	1322	1994-08-31	VYDAJ	VYBER	15	14294	SLUZBY	\N	\N
389027	1322	1994-09-30	VYDAJ	VYBER	15	15864	SLUZBY	\N	\N
389028	1322	1994-10-31	VYDAJ	VYBER	15	14151	SLUZBY	\N	\N
389029	1322	1994-11-30	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
389030	1322	1994-12-31	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
389031	1322	1995-01-31	VYDAJ	VYBER	15	12165	SLUZBY	\N	\N
389032	1322	1995-02-28	VYDAJ	VYBER	15	13726	SLUZBY	\N	\N
389033	1322	1995-03-31	VYDAJ	VYBER	15	15293	SLUZBY	\N	\N
389034	1322	1995-04-30	VYDAJ	VYBER	15	16866	SLUZBY	\N	\N
389035	1322	1995-05-31	VYDAJ	VYBER	15	16443	SLUZBY	\N	\N
389036	1322	1995-06-30	VYDAJ	VYBER	15	17299	SLUZBY	\N	\N
389037	1322	1995-07-31	VYDAJ	VYBER	15	18881	SLUZBY	\N	\N
389038	1322	1995-08-31	VYDAJ	VYBER	15	18868	SLUZBY	\N	\N
389039	1322	1995-09-30	VYDAJ	VYBER	15	20456	SLUZBY	\N	\N
389040	1322	1995-10-31	VYDAJ	VYBER	15	22051	SLUZBY	\N	\N
389041	1322	1995-11-30	VYDAJ	VYBER	15	23653	SLUZBY	\N	\N
389042	1322	1995-12-31	VYDAJ	VYBER	15	22839	SLUZBY	\N	\N
389043	1322	1996-01-31	VYDAJ	VYBER	15	14681	SLUZBY	\N	\N
389044	1322	1996-02-29	VYDAJ	VYBER	15	16252	SLUZBY	\N	\N
389045	1322	1996-03-31	VYDAJ	VYBER	15	17829	SLUZBY	\N	\N
389046	1322	1996-04-30	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
389047	1322	1996-05-31	VYDAJ	VYBER	15	21004	SLUZBY	\N	\N
389048	1322	1996-06-30	VYDAJ	VYBER	15	16074	SLUZBY	\N	\N
389049	1322	1996-07-31	VYDAJ	VYBER	15	16529	SLUZBY	\N	\N
389050	1322	1996-08-31	VYDAJ	VYBER	15	15459	SLUZBY	\N	\N
389051	1322	1996-09-30	VYDAJ	VYBER	15	15509	SLUZBY	\N	\N
389052	1322	1996-10-31	VYDAJ	VYBER	15	17083	SLUZBY	\N	\N
389053	1322	1996-11-30	VYDAJ	VYBER	15	18663	SLUZBY	\N	\N
389054	1322	1996-12-31	VYDAJ	VYBER	15	19448	SLUZBY	\N	\N
389055	1322	1997-01-31	VYDAJ	VYBER	15	14945	SLUZBY	\N	\N
389056	1322	1997-02-28	VYDAJ	VYBER	15	16517	SLUZBY	\N	\N
389057	1322	1997-03-31	VYDAJ	VYBER	15	17374	SLUZBY	\N	\N
389058	1322	1997-04-30	VYDAJ	VYBER	15	18955	SLUZBY	\N	\N
389059	1322	1997-05-31	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
389060	1322	1997-06-30	VYDAJ	VYBER	15	20132	SLUZBY	\N	\N
389061	1322	1997-07-31	VYDAJ	VYBER	15	21724	SLUZBY	\N	\N
389062	1322	1997-08-31	VYDAJ	VYBER	15	22843	SLUZBY	\N	\N
389063	1322	1997-09-30	VYDAJ	VYBER	15	24447	SLUZBY	\N	\N
389064	1322	1997-10-31	VYDAJ	VYBER	15	25256	SLUZBY	\N	\N
389065	1322	1997-11-30	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
389066	1322	1997-12-31	VYDAJ	VYBER	15	27588	SLUZBY	\N	\N
389067	1322	1998-01-31	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
389068	1322	1998-02-28	VYDAJ	VYBER	15	18703	SLUZBY	\N	\N
389069	1322	1998-03-31	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
389070	1322	1998-04-30	VYDAJ	VYBER	15	21882	SLUZBY	\N	\N
389071	1322	1998-05-31	VYDAJ	VYBER	15	20761	SLUZBY	\N	\N
389072	1322	1998-06-30	VYDAJ	VYBER	15	17163	SLUZBY	\N	\N
389073	1322	1998-07-31	VYDAJ	VYBER	15	18743	SLUZBY	\N	\N
389074	1322	1998-08-31	VYDAJ	VYBER	15	20329	SLUZBY	\N	\N
389075	1322	1998-09-30	VYDAJ	VYBER	15	21922	SLUZBY	\N	\N
389076	1322	1998-10-31	VYDAJ	VYBER	15	19758	SLUZBY	\N	\N
389077	1322	1998-11-30	VYDAJ	VYBER	15	21348	SLUZBY	\N	\N
389078	1322	1995-12-22	VYDAJ	VYBER	400	24772	\N	\N	\N
389145	1323	1996-05-20	PRIJEM	VKLAD	600	600	\N	\N	\N
389151	1323	1996-06-13	PRIJEM	VKLAD	31538	32138	\N	\N	\N
389152	1323	1996-07-13	PRIJEM	VKLAD	21025	49010	\N	\N	\N
389153	1323	1996-08-13	PRIJEM	VKLAD	21025	57065	\N	\N	\N
389154	1323	1996-09-13	PRIJEM	VKLAD	21025	64153	\N	\N	\N
389155	1323	1996-10-13	PRIJEM	VKLAD	21025	67463	\N	\N	\N
389156	1323	1996-11-13	PRIJEM	VKLAD	21025	58748	\N	\N	\N
389157	1323	1996-12-13	PRIJEM	VKLAD	31538	59866	\N	\N	\N
389158	1323	1997-01-13	PRIJEM	VKLAD	21025	48515	\N	\N	\N
389159	1323	1997-02-13	PRIJEM	VKLAD	21025	36578	\N	\N	\N
389160	1323	1997-03-13	PRIJEM	VKLAD	21025	48704	\N	\N	\N
389161	1323	1997-04-13	PRIJEM	VKLAD	21025	51172	\N	\N	\N
389162	1323	1997-05-13	PRIJEM	VKLAD	21025	56251	\N	\N	\N
389163	1323	1997-06-13	PRIJEM	VKLAD	31538	66243	\N	\N	\N
389164	1323	1997-07-13	PRIJEM	VKLAD	21025	43440	\N	\N	\N
389165	1323	1997-08-13	PRIJEM	VKLAD	21025	50783	\N	\N	\N
389166	1323	1997-09-13	PRIJEM	VKLAD	21025	49137	\N	\N	\N
389167	1323	1997-10-13	PRIJEM	VKLAD	21025	58114	\N	\N	\N
389168	1323	1997-11-13	PRIJEM	VKLAD	21025	58730	\N	\N	\N
389169	1323	1997-12-13	PRIJEM	VKLAD	31538	76072	\N	\N	\N
389170	1323	1998-01-13	PRIJEM	VKLAD	21025	61575	\N	\N	\N
389171	1323	1998-02-13	PRIJEM	VKLAD	21025	64395	\N	\N	\N
389172	1323	1998-03-13	PRIJEM	VKLAD	21025	74735	\N	\N	\N
389173	1323	1998-04-13	PRIJEM	VKLAD	21025	78817	\N	\N	\N
389174	1323	1998-05-13	PRIJEM	VKLAD	21025	76021	\N	\N	\N
389175	1323	1998-06-13	PRIJEM	VKLAD	31538	85936	\N	\N	\N
389176	1323	1998-07-13	PRIJEM	VKLAD	21025	68065	\N	\N	\N
389177	1323	1998-08-13	PRIJEM	VKLAD	21025	72919	\N	\N	\N
389178	1323	1998-09-13	PRIJEM	VKLAD	21025	64772	\N	\N	\N
389179	1323	1998-10-13	PRIJEM	VKLAD	21025	64021	\N	\N	\N
389180	1323	1998-11-13	PRIJEM	VKLAD	21025	64664	\N	\N	\N
389181	1323	1998-12-13	PRIJEM	VKLAD	31538	76419	\N	\N	\N
389192	1323	1996-11-08	VYDAJ	PREVOD NA UCET	9720	37723	SIPO	OP	80685257
389193	1323	1996-12-08	VYDAJ	PREVOD NA UCET	9720	28328	SIPO	OP	80685257
389194	1323	1997-01-08	VYDAJ	PREVOD NA UCET	9720	30130	SIPO	OP	80685257
389195	1323	1997-02-08	VYDAJ	PREVOD NA UCET	9720	19153	SIPO	OP	80685257
389196	1323	1997-03-08	VYDAJ	PREVOD NA UCET	9720	27679	SIPO	OP	80685257
389197	1323	1997-04-08	VYDAJ	PREVOD NA UCET	9720	30147	SIPO	OP	80685257
389198	1323	1997-05-08	VYDAJ	PREVOD NA UCET	9720	35226	SIPO	OP	80685257
389199	1323	1997-06-08	VYDAJ	PREVOD NA UCET	9720	34705	SIPO	OP	80685257
389200	1323	1997-07-08	VYDAJ	PREVOD NA UCET	9720	22415	SIPO	OP	80685257
389201	1323	1997-08-08	VYDAJ	PREVOD NA UCET	9720	29758	SIPO	OP	80685257
389202	1323	1997-09-08	VYDAJ	PREVOD NA UCET	9720	29612	SIPO	OP	80685257
389203	1323	1997-10-08	VYDAJ	PREVOD NA UCET	9720	39589	SIPO	OP	80685257
389204	1323	1997-11-08	VYDAJ	PREVOD NA UCET	9720	48605	SIPO	OP	80685257
389205	1323	1997-12-08	VYDAJ	PREVOD NA UCET	9720	49234	SIPO	OP	80685257
389206	1323	1998-01-08	VYDAJ	PREVOD NA UCET	9720	54570	SIPO	OP	80685257
389207	1323	1998-02-08	VYDAJ	PREVOD NA UCET	9720	47170	SIPO	OP	80685257
389208	1323	1998-03-08	VYDAJ	PREVOD NA UCET	9720	54910	SIPO	OP	80685257
389209	1323	1998-04-08	VYDAJ	PREVOD NA UCET	9720	65292	SIPO	OP	80685257
389210	1323	1998-05-08	VYDAJ	PREVOD NA UCET	9720	69396	SIPO	OP	80685257
389211	1323	1998-06-08	VYDAJ	PREVOD NA UCET	9720	66598	SIPO	OP	80685257
389212	1323	1998-07-08	VYDAJ	PREVOD NA UCET	9720	50440	SIPO	OP	80685257
389213	1323	1998-08-08	VYDAJ	PREVOD NA UCET	9720	58594	SIPO	OP	80685257
389214	1323	1998-09-08	VYDAJ	PREVOD NA UCET	9720	43747	SIPO	OP	80685257
389215	1323	1998-10-08	VYDAJ	PREVOD NA UCET	9720	42996	SIPO	OP	80685257
389216	1323	1998-11-08	VYDAJ	PREVOD NA UCET	9720	43639	SIPO	OP	80685257
389217	1323	1998-12-08	VYDAJ	PREVOD NA UCET	9720	44881	SIPO	OP	80685257
389219	1323	1997-06-17	VYDAJ	VYBER	19360	31983	\N	\N	\N
389220	1323	1998-06-16	VYDAJ	VYBER	20160	65776	\N	\N	\N
389222	1323	1997-01-24	VYDAJ	VYBER	3520	31735	\N	\N	\N
389223	1323	1998-01-02	VYDAJ	VYBER	5120	65250	\N	\N	\N
389224	1323	1996-12-04	VYDAJ	VYBER	2560	38048	\N	\N	\N
389225	1323	1997-12-13	VYDAJ	VYBER	4640	71432	\N	\N	\N
389226	1323	1998-12-21	VYDAJ	VYBER	800	75619	\N	\N	\N
389233	1323	1997-01-08	VYDAJ	VYBER	2280	39850	\N	\N	\N
389234	1323	1997-01-27	VYDAJ	VYBER	3000	28735	\N	\N	\N
389235	1323	1997-01-23	VYDAJ	VYBER	1080	35255	\N	\N	\N
389236	1323	1997-01-11	VYDAJ	VYBER	2640	27490	\N	\N	\N
389237	1323	1997-01-13	VYDAJ	VYBER	2760	45755	\N	\N	\N
389238	1323	1997-01-16	VYDAJ	VYBER	3120	36335	\N	\N	\N
389239	1323	1998-01-11	VYDAJ	VYBER	1560	40550	\N	\N	\N
389240	1323	1998-01-27	VYDAJ	VYBER	840	60735	\N	\N	\N
389241	1323	1998-01-01	VYDAJ	VYBER	1320	70370	\N	\N	\N
389242	1323	1998-01-02	VYDAJ	VYBER	960	64290	\N	\N	\N
389243	1323	1998-01-10	VYDAJ	VYBER	3480	43190	\N	\N	\N
389244	1323	1998-01-11	VYDAJ	VYBER	1080	42110	\N	\N	\N
389246	1323	1996-11-26	VYDAJ	VYBER	4920	40428	\N	\N	\N
389250	1323	1996-12-25	VYDAJ	VYBER	5400	41966	\N	\N	\N
389252	1323	1997-03-31	VYDAJ	VYBER	5400	39867	\N	\N	\N
389253	1323	1997-02-11	VYDAJ	VYBER	3600	15553	\N	\N	\N
389254	1323	1998-08-23	VYDAJ	VYBER	1080	71839	\N	\N	\N
389255	1323	1998-06-23	VYDAJ	VYBER	5880	59896	\N	\N	\N
389256	1323	1998-09-03	VYDAJ	VYBER	2640	69467	\N	\N	\N
389257	1323	1998-06-08	VYDAJ	VYBER	600	65998	\N	\N	\N
389258	1323	1998-11-26	VYDAJ	VYBER	1800	62864	\N	\N	\N
389259	1323	1998-02-02	VYDAJ	VYBER	4080	56890	\N	\N	\N
389270	1323	1996-10-31	VYDAJ	VYBER	15	47443	SLUZBY	\N	\N
389271	1323	1996-11-30	VYDAJ	VYBER	15	40608	SLUZBY	\N	\N
389272	1323	1996-12-31	VYDAJ	VYBER	15	42130	SLUZBY	\N	\N
389273	1323	1997-01-31	VYDAJ	VYBER	15	28873	SLUZBY	\N	\N
389274	1323	1997-02-28	VYDAJ	VYBER	15	37399	SLUZBY	\N	\N
389275	1323	1997-03-31	VYDAJ	VYBER	15	45267	SLUZBY	\N	\N
389276	1323	1997-04-30	VYDAJ	VYBER	15	44946	SLUZBY	\N	\N
389277	1323	1997-05-31	VYDAJ	VYBER	15	44425	SLUZBY	\N	\N
389278	1323	1997-06-30	VYDAJ	VYBER	15	32135	SLUZBY	\N	\N
389279	1323	1997-07-31	VYDAJ	VYBER	15	39478	SLUZBY	\N	\N
389280	1323	1997-08-31	VYDAJ	VYBER	15	39332	SLUZBY	\N	\N
389281	1323	1997-09-30	VYDAJ	VYBER	15	49309	SLUZBY	\N	\N
389282	1323	1997-10-31	VYDAJ	VYBER	15	58325	SLUZBY	\N	\N
389283	1323	1997-11-30	VYDAJ	VYBER	15	58954	SLUZBY	\N	\N
389284	1323	1997-12-31	VYDAJ	VYBER	15	71690	SLUZBY	\N	\N
389285	1323	1998-01-31	VYDAJ	VYBER	15	60970	SLUZBY	\N	\N
389286	1323	1998-02-28	VYDAJ	VYBER	15	64630	SLUZBY	\N	\N
389287	1323	1998-03-31	VYDAJ	VYBER	15	75012	SLUZBY	\N	\N
389288	1323	1998-04-30	VYDAJ	VYBER	15	79116	SLUZBY	\N	\N
389289	1323	1998-05-31	VYDAJ	VYBER	15	76318	SLUZBY	\N	\N
389290	1323	1998-06-30	VYDAJ	VYBER	15	60160	SLUZBY	\N	\N
389291	1323	1998-07-31	VYDAJ	VYBER	15	68314	SLUZBY	\N	\N
389292	1323	1998-08-31	VYDAJ	VYBER	15	72107	SLUZBY	\N	\N
389293	1323	1998-09-30	VYDAJ	VYBER	15	65016	SLUZBY	\N	\N
389294	1323	1998-10-31	VYDAJ	VYBER	15	64259	SLUZBY	\N	\N
389295	1323	1998-11-30	VYDAJ	VYBER	15	63101	SLUZBY	\N	\N
389296	1323	1996-06-19	VYDAJ	VYBER	4200	27938	\N	\N	\N
389297	1323	1996-07-19	VYDAJ	VYBER	13100	35910	\N	\N	\N
389298	1323	1996-08-18	VYDAJ	VYBER	14100	42965	\N	\N	\N
389299	1323	1996-09-17	VYDAJ	VYBER	17900	46253	\N	\N	\N
389300	1323	1996-10-17	VYDAJ	VYBER	20200	47263	\N	\N	\N
389301	1323	1996-11-16	VYDAJ	VYBER	13400	45348	\N	\N	\N
389302	1323	1996-12-16	VYDAJ	VYBER	12500	47366	\N	\N	\N
389303	1323	1997-01-15	VYDAJ	VYBER	6300	39455	\N	\N	\N
389304	1323	1997-02-14	PRIJEM	VKLAD	700	37278	\N	\N	\N
389305	1323	1997-03-16	VYDAJ	VYBER	3600	45104	\N	\N	\N
389306	1323	1997-04-15	VYDAJ	VYBER	6400	44772	\N	\N	\N
389307	1323	1997-05-15	VYDAJ	VYBER	12000	44251	\N	\N	\N
389308	1323	1997-06-14	VYDAJ	VYBER	14900	51343	\N	\N	\N
389309	1323	1997-07-14	VYDAJ	VYBER	4100	39340	\N	\N	\N
389310	1323	1997-08-13	VYDAJ	VYBER	11600	39183	\N	\N	\N
389311	1323	1997-09-12	VYDAJ	VYBER	1500	28112	\N	\N	\N
389312	1323	1997-10-12	VYDAJ	VYBER	2500	37089	\N	\N	\N
389313	1323	1997-11-11	VYDAJ	VYBER	10900	37705	\N	\N	\N
389314	1323	1997-12-11	VYDAJ	VYBER	4700	44534	\N	\N	\N
389315	1323	1998-01-10	VYDAJ	VYBER	7900	46670	\N	\N	\N
389316	1323	1998-02-09	VYDAJ	VYBER	3800	43370	\N	\N	\N
389317	1323	1998-03-11	VYDAJ	VYBER	1200	53710	\N	\N	\N
389318	1323	1998-04-10	VYDAJ	VYBER	7500	57792	\N	\N	\N
389319	1323	1998-05-10	VYDAJ	VYBER	14400	54996	\N	\N	\N
389320	1323	1998-06-09	VYDAJ	VYBER	11600	54398	\N	\N	\N
389321	1323	1998-07-09	VYDAJ	VYBER	3400	47040	\N	\N	\N
389322	1323	1998-08-08	VYDAJ	VYBER	6700	51894	\N	\N	\N
389323	1323	1998-09-07	VYDAJ	VYBER	16000	53467	\N	\N	\N
389324	1323	1998-10-07	VYDAJ	VYBER	12300	52716	\N	\N	\N
389325	1323	1998-11-06	VYDAJ	VYBER	10900	53359	\N	\N	\N
389326	1323	1998-12-06	VYDAJ	VYBER	8500	54601	\N	\N	\N
389358	1324	1996-11-05	PRIJEM	VKLAD	300	300	\N	\N	\N
389369	1324	1996-11-07	PRIJEM	VKLAD	18253	18553	\N	\N	\N
389370	1324	1996-12-07	PRIJEM	VKLAD	27380	49694	\N	\N	\N
389371	1324	1997-01-07	PRIJEM	VKLAD	18253	59129	\N	\N	\N
389372	1324	1997-02-07	PRIJEM	VKLAD	18253	60321	\N	\N	\N
389373	1324	1997-03-07	PRIJEM	VKLAD	18253	62924	\N	\N	\N
389374	1324	1997-04-07	PRIJEM	VKLAD	18253	56602	\N	\N	\N
389375	1324	1997-05-07	PRIJEM	VKLAD	18253	54947	\N	\N	\N
389376	1324	1997-06-07	PRIJEM	VKLAD	27380	64851	\N	\N	\N
389377	1324	1997-07-07	PRIJEM	VKLAD	18253	54874	\N	\N	\N
389378	1324	1997-08-07	PRIJEM	VKLAD	18253	53719	\N	\N	\N
389379	1324	1997-09-07	PRIJEM	VKLAD	18253	53653	\N	\N	\N
389380	1324	1997-10-07	PRIJEM	VKLAD	18253	56789	\N	\N	\N
389381	1324	1997-11-07	PRIJEM	VKLAD	18253	57033	\N	\N	\N
389382	1324	1997-12-07	PRIJEM	VKLAD	27380	60215	\N	\N	\N
389383	1324	1998-01-07	PRIJEM	VKLAD	18253	61197	\N	\N	\N
389384	1324	1998-02-07	PRIJEM	VKLAD	18253	60450	\N	\N	\N
389385	1324	1998-03-07	PRIJEM	VKLAD	18253	61700	\N	\N	\N
389386	1324	1998-04-07	PRIJEM	VKLAD	18253	62258	\N	\N	\N
389387	1324	1998-05-07	PRIJEM	VKLAD	18253	65218	\N	\N	\N
389388	1324	1998-06-07	PRIJEM	VKLAD	27380	75712	\N	\N	\N
389389	1324	1998-07-07	PRIJEM	VKLAD	18253	73014	\N	\N	\N
389390	1324	1998-08-07	PRIJEM	VKLAD	18253	73713	\N	\N	\N
389391	1324	1998-09-07	PRIJEM	VKLAD	18253	70109	\N	\N	\N
389392	1324	1998-10-07	PRIJEM	VKLAD	18253	71293	\N	\N	\N
389393	1324	1998-11-07	PRIJEM	VKLAD	18253	61954	\N	\N	\N
389394	1324	1998-12-07	PRIJEM	VKLAD	27380	72131	\N	\N	\N
389410	1324	1997-04-05	VYDAJ	PREVOD NA UCET	2741	38349	SIPO	ST	6513697
389411	1324	1997-05-05	VYDAJ	PREVOD NA UCET	2741	36694	SIPO	ST	6513697
389412	1324	1997-06-05	VYDAJ	PREVOD NA UCET	2741	37471	SIPO	ST	6513697
389413	1324	1997-07-05	VYDAJ	PREVOD NA UCET	2741	36621	SIPO	ST	6513697
389414	1324	1997-08-05	VYDAJ	PREVOD NA UCET	2741	35466	SIPO	ST	6513697
389415	1324	1997-09-05	VYDAJ	PREVOD NA UCET	2741	35400	SIPO	ST	6513697
389416	1324	1997-10-05	VYDAJ	PREVOD NA UCET	2741	38536	SIPO	ST	6513697
389417	1324	1997-11-05	VYDAJ	PREVOD NA UCET	2741	38780	SIPO	ST	6513697
389418	1324	1997-12-05	VYDAJ	PREVOD NA UCET	2741	32835	SIPO	ST	6513697
389419	1324	1998-01-05	VYDAJ	PREVOD NA UCET	2741	42944	SIPO	ST	6513697
389420	1324	1998-02-05	VYDAJ	PREVOD NA UCET	2741	42197	SIPO	ST	6513697
389421	1324	1998-03-05	VYDAJ	PREVOD NA UCET	2741	43447	SIPO	ST	6513697
389422	1324	1998-04-05	VYDAJ	PREVOD NA UCET	2741	44005	SIPO	ST	6513697
389423	1324	1998-05-05	VYDAJ	PREVOD NA UCET	2741	46965	SIPO	ST	6513697
389424	1324	1998-06-05	VYDAJ	PREVOD NA UCET	2741	48333	SIPO	ST	6513697
389425	1324	1998-07-05	VYDAJ	PREVOD NA UCET	2741	54761	SIPO	ST	6513697
389426	1324	1998-08-05	VYDAJ	PREVOD NA UCET	2741	55460	SIPO	ST	6513697
389427	1324	1998-09-05	VYDAJ	PREVOD NA UCET	2741	51856	SIPO	ST	6513697
389428	1324	1998-10-05	VYDAJ	PREVOD NA UCET	2741	53040	SIPO	ST	6513697
389429	1324	1998-11-05	VYDAJ	PREVOD NA UCET	2741	43701	SIPO	ST	6513697
389430	1324	1998-12-05	VYDAJ	PREVOD NA UCET	2741	44751	SIPO	ST	6513697
389445	1324	1997-03-07	VYDAJ	PREVOD NA UCET	680	62244	 	GH	7442152
389446	1324	1997-04-07	VYDAJ	PREVOD NA UCET	680	55922	 	GH	7442152
389447	1324	1997-05-07	VYDAJ	PREVOD NA UCET	680	54267	 	GH	7442152
389448	1324	1997-06-07	VYDAJ	PREVOD NA UCET	680	64171	 	GH	7442152
389449	1324	1997-07-07	VYDAJ	PREVOD NA UCET	680	54194	 	GH	7442152
389450	1324	1997-08-07	VYDAJ	PREVOD NA UCET	680	53039	 	GH	7442152
389451	1324	1997-09-07	VYDAJ	PREVOD NA UCET	680	52973	 	GH	7442152
389452	1324	1997-10-07	VYDAJ	PREVOD NA UCET	680	56109	 	GH	7442152
389453	1324	1997-11-07	VYDAJ	PREVOD NA UCET	680	56353	 	GH	7442152
389454	1324	1997-12-07	VYDAJ	PREVOD NA UCET	680	59535	 	GH	7442152
389455	1324	1998-01-07	VYDAJ	PREVOD NA UCET	680	60517	 	GH	7442152
389456	1324	1998-02-07	VYDAJ	PREVOD NA UCET	680	59770	 	GH	7442152
389457	1324	1998-03-07	VYDAJ	PREVOD NA UCET	680	61020	 	GH	7442152
389458	1324	1998-04-07	VYDAJ	PREVOD NA UCET	680	61578	 	GH	7442152
389459	1324	1998-05-07	VYDAJ	PREVOD NA UCET	680	64538	 	GH	7442152
389460	1324	1998-06-07	VYDAJ	PREVOD NA UCET	680	75032	 	GH	7442152
389461	1324	1998-07-07	VYDAJ	PREVOD NA UCET	680	72334	 	GH	7442152
389462	1324	1998-08-07	VYDAJ	PREVOD NA UCET	680	73033	 	GH	7442152
389463	1324	1998-09-07	VYDAJ	PREVOD NA UCET	680	69429	 	GH	7442152
389464	1324	1998-10-07	VYDAJ	PREVOD NA UCET	680	70613	 	GH	7442152
389465	1324	1998-11-07	VYDAJ	PREVOD NA UCET	680	61274	 	GH	7442152
389466	1324	1998-12-07	VYDAJ	PREVOD NA UCET	680	71451	 	GH	7442152
389468	1324	1997-12-26	VYDAJ	VYBER	2560	56975	\N	\N	\N
389469	1324	1998-12-18	VYDAJ	VYBER	4480	66971	\N	\N	\N
389473	1324	1997-11-22	VYDAJ	VYBER	3720	52633	\N	\N	\N
389474	1324	1997-04-16	VYDAJ	VYBER	1800	54122	\N	\N	\N
389475	1324	1997-06-13	VYDAJ	VYBER	3240	60931	\N	\N	\N
389476	1324	1997-05-17	VYDAJ	VYBER	960	53307	\N	\N	\N
389477	1324	1997-12-01	VYDAJ	VYBER	3960	35576	\N	\N	\N
389478	1324	1998-11-02	VYDAJ	VYBER	3600	46442	\N	\N	\N
389479	1324	1998-12-21	VYDAJ	VYBER	4200	62771	\N	\N	\N
389480	1324	1998-10-22	VYDAJ	VYBER	5520	65093	\N	\N	\N
389496	1324	1997-03-31	VYDAJ	VYBER	15	62490	SLUZBY	\N	\N
389497	1324	1997-04-30	VYDAJ	VYBER	15	54335	SLUZBY	\N	\N
389498	1324	1997-05-31	VYDAJ	VYBER	15	53512	SLUZBY	\N	\N
389499	1324	1997-06-30	VYDAJ	VYBER	15	61162	SLUZBY	\N	\N
389500	1324	1997-07-31	VYDAJ	VYBER	15	54407	SLUZBY	\N	\N
389501	1324	1997-08-31	VYDAJ	VYBER	15	53241	SLUZBY	\N	\N
389502	1324	1997-09-30	VYDAJ	VYBER	15	53177	SLUZBY	\N	\N
389503	1324	1997-10-31	VYDAJ	VYBER	15	41521	SLUZBY	\N	\N
389504	1324	1997-11-30	VYDAJ	VYBER	15	52836	SLUZBY	\N	\N
389505	1324	1997-12-31	VYDAJ	VYBER	15	45685	SLUZBY	\N	\N
389506	1324	1998-01-31	VYDAJ	VYBER	15	44938	SLUZBY	\N	\N
389507	1324	1998-02-28	VYDAJ	VYBER	15	59988	SLUZBY	\N	\N
389508	1324	1998-03-31	VYDAJ	VYBER	15	46746	SLUZBY	\N	\N
389509	1324	1998-04-30	VYDAJ	VYBER	15	49706	SLUZBY	\N	\N
389510	1324	1998-05-31	VYDAJ	VYBER	15	51074	SLUZBY	\N	\N
389511	1324	1998-06-30	VYDAJ	VYBER	15	57502	SLUZBY	\N	\N
389512	1324	1998-07-31	VYDAJ	VYBER	15	58201	SLUZBY	\N	\N
389513	1324	1998-08-31	VYDAJ	VYBER	15	54597	SLUZBY	\N	\N
389514	1324	1998-09-30	VYDAJ	VYBER	15	55781	SLUZBY	\N	\N
389515	1324	1998-10-31	VYDAJ	VYBER	15	50042	SLUZBY	\N	\N
389516	1324	1998-11-30	VYDAJ	VYBER	15	47492	SLUZBY	\N	\N
389517	1324	1996-12-05	PRIJEM	VKLAD	3700	22315	\N	\N	\N
389518	1324	1997-01-04	VYDAJ	VYBER	9000	40876	\N	\N	\N
389519	1324	1997-02-03	VYDAJ	VYBER	17300	42068	\N	\N	\N
389520	1324	1997-03-05	VYDAJ	VYBER	15900	44671	\N	\N	\N
389521	1324	1997-04-04	VYDAJ	VYBER	21400	41090	\N	\N	\N
389522	1324	1997-05-04	VYDAJ	VYBER	14900	39435	\N	\N	\N
389523	1324	1997-06-03	VYDAJ	VYBER	13300	40212	\N	\N	\N
389524	1324	1997-07-03	VYDAJ	VYBER	21800	39362	\N	\N	\N
389525	1324	1997-08-02	VYDAJ	VYBER	16200	38207	\N	\N	\N
389526	1324	1997-09-01	VYDAJ	VYBER	15100	38141	\N	\N	\N
389527	1324	1997-10-01	VYDAJ	VYBER	11900	41277	\N	\N	\N
389528	1324	1997-10-31	VYDAJ	VYBER	14800	41536	\N	\N	\N
389529	1324	1997-11-30	VYDAJ	VYBER	13300	39536	\N	\N	\N
389530	1324	1997-12-30	VYDAJ	VYBER	11500	45475	\N	\N	\N
389531	1324	1998-01-29	VYDAJ	VYBER	15800	44717	\N	\N	\N
389532	1324	1998-02-28	VYDAJ	VYBER	13800	46188	\N	\N	\N
389533	1324	1998-03-30	VYDAJ	VYBER	14500	46520	\N	\N	\N
389534	1324	1998-04-29	VYDAJ	VYBER	12100	49478	\N	\N	\N
389535	1324	1998-05-29	VYDAJ	VYBER	13700	50838	\N	\N	\N
389536	1324	1998-06-28	VYDAJ	VYBER	17800	57232	\N	\N	\N
389537	1324	1998-07-28	VYDAJ	VYBER	14400	57934	\N	\N	\N
389538	1324	1998-08-27	VYDAJ	VYBER	18700	54333	\N	\N	\N
389539	1324	1998-09-26	VYDAJ	VYBER	13900	55529	\N	\N	\N
389540	1324	1998-10-26	VYDAJ	VYBER	15300	49793	\N	\N	\N
389541	1324	1998-11-25	VYDAJ	VYBER	14000	47274	\N	\N	\N
389568	1325	1996-08-08	PRIJEM	VKLAD	300	300	\N	\N	\N
389576	1325	1996-08-10	PRIJEM	PREVOD Z UCTU	3193	3493	\N	GH	15131545
389577	1325	1996-09-10	PRIJEM	PREVOD Z UCTU	3193	6696	\N	GH	15131545
389578	1325	1996-10-10	PRIJEM	PREVOD Z UCTU	3193	9904	\N	GH	15131545
389579	1325	1996-11-10	PRIJEM	PREVOD Z UCTU	3193	13111	\N	GH	15131545
389580	1325	1996-12-10	PRIJEM	PREVOD Z UCTU	3193	16319	\N	GH	15131545
389581	1325	1997-01-10	PRIJEM	PREVOD Z UCTU	3193	17415	\N	GH	15131545
389582	1325	1997-02-10	PRIJEM	PREVOD Z UCTU	3193	15374	\N	GH	15131545
389583	1325	1997-03-10	PRIJEM	PREVOD Z UCTU	3193	16478	\N	GH	15131545
389584	1325	1997-04-10	PRIJEM	PREVOD Z UCTU	3193	17588	\N	GH	15131545
389585	1325	1997-05-10	PRIJEM	PREVOD Z UCTU	3193	18702	\N	GH	15131545
389586	1325	1997-06-10	PRIJEM	PREVOD Z UCTU	3193	19821	\N	GH	15131545
389587	1325	1997-07-10	PRIJEM	PREVOD Z UCTU	3193	18418	\N	GH	15131545
389588	1325	1997-08-10	PRIJEM	PREVOD Z UCTU	3193	18755	\N	GH	15131545
389589	1325	1997-09-10	PRIJEM	PREVOD Z UCTU	3193	18912	\N	GH	15131545
389590	1325	1997-10-10	PRIJEM	PREVOD Z UCTU	3193	20032	\N	GH	15131545
389591	1325	1997-11-10	PRIJEM	PREVOD Z UCTU	3193	21156	\N	GH	15131545
389592	1325	1997-12-10	PRIJEM	PREVOD Z UCTU	3193	21925	\N	GH	15131545
389593	1325	1998-01-10	PRIJEM	PREVOD Z UCTU	3193	21077	\N	GH	15131545
389594	1325	1998-02-10	PRIJEM	PREVOD Z UCTU	3193	22207	\N	GH	15131545
389595	1325	1998-03-10	PRIJEM	PREVOD Z UCTU	3193	23340	\N	GH	15131545
389596	1325	1998-04-10	PRIJEM	PREVOD Z UCTU	3193	24478	\N	GH	15131545
389715	1325	1996-12-31	VYDAJ	VYBER	15	14222	SLUZBY	\N	\N
389597	1325	1998-05-10	PRIJEM	PREVOD Z UCTU	3193	23306	\N	GH	15131545
389598	1325	1998-06-10	PRIJEM	PREVOD Z UCTU	3193	23331	\N	GH	15131545
389599	1325	1998-07-10	PRIJEM	PREVOD Z UCTU	3193	21011	\N	GH	15131545
389600	1325	1998-08-10	PRIJEM	PREVOD Z UCTU	3193	21149	\N	GH	15131545
389601	1325	1998-09-10	PRIJEM	PREVOD Z UCTU	3193	22277	\N	GH	15131545
389602	1325	1998-10-10	PRIJEM	PREVOD Z UCTU	3193	23411	\N	GH	15131545
389603	1325	1998-11-10	PRIJEM	PREVOD Z UCTU	3193	24549	\N	GH	15131545
389604	1325	1998-12-10	PRIJEM	PREVOD Z UCTU	3193	24521	\N	GH	15131545
389616	1325	1996-12-11	VYDAJ	PREVOD NA UCET	362	15957	\N	QR	62716066
389617	1325	1997-01-11	VYDAJ	PREVOD NA UCET	362	17053	\N	QR	62716066
389618	1325	1997-02-11	VYDAJ	PREVOD NA UCET	362	15012	\N	QR	62716066
389619	1325	1997-03-11	VYDAJ	PREVOD NA UCET	362	16116	\N	QR	62716066
389620	1325	1997-04-11	VYDAJ	PREVOD NA UCET	362	17226	\N	QR	62716066
389621	1325	1997-05-11	VYDAJ	PREVOD NA UCET	362	18340	\N	QR	62716066
389622	1325	1997-06-11	VYDAJ	PREVOD NA UCET	362	19459	\N	QR	62716066
389623	1325	1997-07-11	VYDAJ	PREVOD NA UCET	362	18056	\N	QR	62716066
389624	1325	1997-08-11	VYDAJ	PREVOD NA UCET	362	18393	\N	QR	62716066
389625	1325	1997-09-11	VYDAJ	PREVOD NA UCET	362	18550	\N	QR	62716066
389626	1325	1997-10-11	VYDAJ	PREVOD NA UCET	362	19670	\N	QR	62716066
389627	1325	1997-11-11	VYDAJ	PREVOD NA UCET	362	20794	\N	QR	62716066
389628	1325	1997-12-11	VYDAJ	PREVOD NA UCET	362	21563	\N	QR	62716066
389629	1325	1998-01-11	VYDAJ	PREVOD NA UCET	362	20715	\N	QR	62716066
389630	1325	1998-02-11	VYDAJ	PREVOD NA UCET	362	21845	\N	QR	62716066
389631	1325	1998-03-11	VYDAJ	PREVOD NA UCET	362	22978	\N	QR	62716066
389632	1325	1998-04-11	VYDAJ	PREVOD NA UCET	362	24116	\N	QR	62716066
389633	1325	1998-05-11	VYDAJ	PREVOD NA UCET	362	21834	\N	QR	62716066
389634	1325	1998-06-11	VYDAJ	PREVOD NA UCET	362	22969	\N	QR	62716066
389635	1325	1998-07-11	VYDAJ	PREVOD NA UCET	362	20649	\N	QR	62716066
389636	1325	1998-08-11	VYDAJ	PREVOD NA UCET	362	20787	\N	QR	62716066
389637	1325	1998-09-11	VYDAJ	PREVOD NA UCET	362	21915	\N	QR	62716066
389638	1325	1998-10-11	VYDAJ	PREVOD NA UCET	362	23049	\N	QR	62716066
389639	1325	1998-11-11	VYDAJ	PREVOD NA UCET	362	24187	\N	QR	62716066
389640	1325	1998-12-11	VYDAJ	PREVOD NA UCET	362	24159	\N	QR	62716066
389652	1325	1996-12-14	VYDAJ	PREVOD NA UCET	1766	14191	\N	UV	37066787
389653	1325	1997-01-14	VYDAJ	PREVOD NA UCET	1766	15287	\N	UV	37066787
389654	1325	1997-02-14	VYDAJ	PREVOD NA UCET	1766	13246	\N	UV	37066787
389655	1325	1997-03-14	VYDAJ	PREVOD NA UCET	1766	14350	\N	UV	37066787
389656	1325	1997-04-14	VYDAJ	PREVOD NA UCET	1766	15460	\N	UV	37066787
389657	1325	1997-05-14	VYDAJ	PREVOD NA UCET	1766	16574	\N	UV	37066787
389658	1325	1997-06-14	VYDAJ	PREVOD NA UCET	1766	15443	\N	UV	37066787
389659	1325	1997-07-14	VYDAJ	PREVOD NA UCET	1766	16290	\N	UV	37066787
389660	1325	1997-08-14	VYDAJ	PREVOD NA UCET	1766	16627	\N	UV	37066787
389661	1325	1997-09-14	VYDAJ	PREVOD NA UCET	1766	16784	\N	UV	37066787
389662	1325	1997-10-14	VYDAJ	PREVOD NA UCET	1766	17904	\N	UV	37066787
389663	1325	1997-11-14	VYDAJ	PREVOD NA UCET	1766	19028	\N	UV	37066787
389664	1325	1997-12-14	VYDAJ	PREVOD NA UCET	1766	19797	\N	UV	37066787
389665	1325	1998-01-14	VYDAJ	PREVOD NA UCET	1766	18949	\N	UV	37066787
389666	1325	1998-02-14	VYDAJ	PREVOD NA UCET	1766	20079	\N	UV	37066787
389667	1325	1998-03-14	VYDAJ	PREVOD NA UCET	1766	21212	\N	UV	37066787
389668	1325	1998-04-14	VYDAJ	PREVOD NA UCET	1766	21330	\N	UV	37066787
389669	1325	1998-05-14	VYDAJ	PREVOD NA UCET	1766	20068	\N	UV	37066787
389670	1325	1998-06-14	VYDAJ	PREVOD NA UCET	1766	21203	\N	UV	37066787
389671	1325	1998-07-14	VYDAJ	PREVOD NA UCET	1766	18883	\N	UV	37066787
389672	1325	1998-08-14	VYDAJ	PREVOD NA UCET	1766	19021	\N	UV	37066787
389673	1325	1998-09-14	VYDAJ	PREVOD NA UCET	1766	20149	\N	UV	37066787
389674	1325	1998-10-14	VYDAJ	PREVOD NA UCET	1766	21283	\N	UV	37066787
389675	1325	1998-11-14	VYDAJ	PREVOD NA UCET	1766	22421	\N	UV	37066787
389676	1325	1998-12-14	VYDAJ	PREVOD NA UCET	1766	22393	\N	UV	37066787
389678	1325	1997-06-11	VYDAJ	VYBER	2250	17209	\N	\N	\N
389679	1325	1998-06-15	VYDAJ	VYBER	3450	17753	\N	\N	\N
389681	1325	1997-01-14	VYDAJ	VYBER	2370	12917	\N	\N	\N
389682	1325	1998-01-06	VYDAJ	VYBER	1140	17884	\N	\N	\N
389684	1325	1997-12-19	VYDAJ	VYBER	840	18957	\N	\N	\N
389685	1325	1998-12-19	VYDAJ	VYBER	300	22093	\N	\N	\N
389691	1325	1997-12-07	VYDAJ	VYBER	360	18732	\N	\N	\N
389692	1325	1997-01-21	VYDAJ	VYBER	780	12137	\N	\N	\N
389693	1325	1997-06-24	VYDAJ	VYBER	270	15173	\N	\N	\N
389694	1325	1997-07-25	VYDAJ	VYBER	780	15510	\N	\N	\N
389696	1325	1997-08-19	VYDAJ	VYBER	960	15667	\N	\N	\N
389697	1325	1998-04-12	VYDAJ	VYBER	1020	23096	\N	\N	\N
389698	1325	1998-11-29	VYDAJ	VYBER	1170	21251	\N	\N	\N
389699	1325	1998-12-27	VYDAJ	VYBER	390	21703	\N	\N	\N
389700	1325	1998-05-11	VYDAJ	VYBER	1110	22196	\N	\N	\N
389701	1325	1998-07-29	VYDAJ	VYBER	990	17893	\N	\N	\N
389702	1325	1998-04-21	VYDAJ	VYBER	1290	20040	\N	\N	\N
389716	1325	1997-01-31	VYDAJ	VYBER	15	12181	SLUZBY	\N	\N
389717	1325	1997-02-28	VYDAJ	VYBER	15	13285	SLUZBY	\N	\N
389718	1325	1997-03-31	VYDAJ	VYBER	15	14395	SLUZBY	\N	\N
389719	1325	1997-04-30	VYDAJ	VYBER	15	15509	SLUZBY	\N	\N
389720	1325	1997-05-31	VYDAJ	VYBER	15	16628	SLUZBY	\N	\N
389721	1325	1997-06-30	VYDAJ	VYBER	15	15225	SLUZBY	\N	\N
389722	1325	1997-07-31	VYDAJ	VYBER	15	15562	SLUZBY	\N	\N
389723	1325	1997-08-31	VYDAJ	VYBER	15	15719	SLUZBY	\N	\N
389724	1325	1997-09-30	VYDAJ	VYBER	15	16839	SLUZBY	\N	\N
389725	1325	1997-10-31	VYDAJ	VYBER	15	17963	SLUZBY	\N	\N
389726	1325	1997-11-30	VYDAJ	VYBER	15	19092	SLUZBY	\N	\N
389727	1325	1997-12-31	VYDAJ	VYBER	15	19024	SLUZBY	\N	\N
389728	1325	1998-01-31	VYDAJ	VYBER	15	19014	SLUZBY	\N	\N
389729	1325	1998-02-28	VYDAJ	VYBER	15	20147	SLUZBY	\N	\N
389730	1325	1998-03-31	VYDAJ	VYBER	15	21285	SLUZBY	\N	\N
389731	1325	1998-04-30	VYDAJ	VYBER	15	20113	SLUZBY	\N	\N
389732	1325	1998-05-31	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
389733	1325	1998-06-30	VYDAJ	VYBER	15	17818	SLUZBY	\N	\N
389734	1325	1998-07-31	VYDAJ	VYBER	15	17956	SLUZBY	\N	\N
389735	1325	1998-08-31	VYDAJ	VYBER	15	19084	SLUZBY	\N	\N
389736	1325	1998-09-30	VYDAJ	VYBER	15	20218	SLUZBY	\N	\N
389737	1325	1998-10-31	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
389738	1325	1998-11-30	VYDAJ	VYBER	15	21328	SLUZBY	\N	\N
389768	1326	1996-11-11	PRIJEM	VKLAD	800	800	\N	\N	\N
389780	1326	1996-12-08	PRIJEM	VKLAD	6848	7648	\N	\N	\N
389781	1326	1997-01-08	PRIJEM	VKLAD	4565	22663	\N	\N	\N
389782	1326	1997-02-08	PRIJEM	VKLAD	4565	28822	\N	\N	\N
389783	1326	1997-03-08	PRIJEM	VKLAD	4565	30894	\N	\N	\N
389784	1326	1997-04-08	PRIJEM	VKLAD	4565	29965	\N	\N	\N
389785	1326	1997-05-08	PRIJEM	VKLAD	4565	20968	\N	\N	\N
389786	1326	1997-06-08	PRIJEM	VKLAD	6848	30455	\N	\N	\N
389787	1326	1997-07-08	PRIJEM	VKLAD	4565	33782	\N	\N	\N
389788	1326	1997-08-08	PRIJEM	VKLAD	4565	29964	\N	\N	\N
389789	1326	1997-09-08	PRIJEM	VKLAD	4565	28573	\N	\N	\N
389790	1326	1997-10-08	PRIJEM	VKLAD	4565	28588	\N	\N	\N
389791	1326	1997-11-08	PRIJEM	VKLAD	4565	26206	\N	\N	\N
389792	1326	1997-12-08	PRIJEM	VKLAD	6848	31099	\N	\N	\N
389793	1326	1998-01-08	PRIJEM	VKLAD	4565	18685	\N	\N	\N
389794	1326	1998-02-08	PRIJEM	VKLAD	4565	20732	\N	\N	\N
389795	1326	1998-03-08	PRIJEM	VKLAD	4565	21512	\N	\N	\N
389796	1326	1998-04-08	PRIJEM	VKLAD	4565	22700	\N	\N	\N
389797	1326	1998-05-08	PRIJEM	VKLAD	4565	19392	\N	\N	\N
389798	1326	1998-06-08	PRIJEM	VKLAD	6848	22569	\N	\N	\N
389799	1326	1998-07-08	PRIJEM	VKLAD	4565	18230	\N	\N	\N
389800	1326	1998-08-08	PRIJEM	VKLAD	4565	17280	\N	\N	\N
389801	1326	1998-09-08	PRIJEM	VKLAD	4565	18850	\N	\N	\N
389802	1326	1998-10-08	PRIJEM	VKLAD	4565	19706	\N	\N	\N
389803	1326	1998-11-08	PRIJEM	VKLAD	4565	21285	\N	\N	\N
389804	1326	1998-12-08	PRIJEM	VKLAD	6848	25154	\N	\N	\N
389820	1326	1997-04-10	VYDAJ	PREVOD NA UCET	96	24315	SIPO	YZ	57284325
389821	1326	1997-05-10	VYDAJ	PREVOD NA UCET	96	25518	SIPO	YZ	57284325
389822	1326	1997-06-10	VYDAJ	PREVOD NA UCET	96	31105	SIPO	YZ	57284325
389823	1326	1997-07-10	VYDAJ	PREVOD NA UCET	96	28246	SIPO	YZ	57284325
389824	1326	1997-08-10	VYDAJ	PREVOD NA UCET	96	25268	SIPO	YZ	57284325
389825	1326	1997-09-10	VYDAJ	PREVOD NA UCET	96	27523	SIPO	YZ	57284325
389826	1326	1997-10-10	VYDAJ	PREVOD NA UCET	96	27538	SIPO	YZ	57284325
389827	1326	1997-11-10	VYDAJ	PREVOD NA UCET	96	25156	SIPO	YZ	57284325
389828	1326	1997-12-10	VYDAJ	PREVOD NA UCET	96	30049	SIPO	YZ	57284325
389829	1326	1998-01-10	VYDAJ	PREVOD NA UCET	96	18589	SIPO	YZ	57284325
389830	1326	1998-02-10	VYDAJ	PREVOD NA UCET	96	19682	SIPO	YZ	57284325
389831	1326	1998-03-10	VYDAJ	PREVOD NA UCET	96	21416	SIPO	YZ	57284325
389832	1326	1998-04-10	VYDAJ	PREVOD NA UCET	96	21650	SIPO	YZ	57284325
389833	1326	1998-05-10	VYDAJ	PREVOD NA UCET	96	18342	SIPO	YZ	57284325
389834	1326	1998-06-10	VYDAJ	PREVOD NA UCET	96	22473	SIPO	YZ	57284325
389835	1326	1998-07-10	VYDAJ	PREVOD NA UCET	96	18134	SIPO	YZ	57284325
389836	1326	1998-08-10	VYDAJ	PREVOD NA UCET	96	16230	SIPO	YZ	57284325
389837	1326	1998-09-10	VYDAJ	PREVOD NA UCET	96	17800	SIPO	YZ	57284325
389838	1326	1998-10-10	VYDAJ	PREVOD NA UCET	96	18656	SIPO	YZ	57284325
389839	1326	1998-11-10	VYDAJ	PREVOD NA UCET	96	20235	SIPO	YZ	57284325
389840	1326	1998-12-10	VYDAJ	PREVOD NA UCET	96	24104	SIPO	YZ	57284325
389857	1326	1997-05-07	VYDAJ	PREVOD NA UCET	786	16403	 	QR	42594999
389858	1326	1997-06-07	VYDAJ	PREVOD NA UCET	786	23607	 	QR	42594999
389859	1326	1997-07-07	VYDAJ	PREVOD NA UCET	786	29217	 	QR	42594999
389860	1326	1997-08-07	VYDAJ	PREVOD NA UCET	786	25399	 	QR	42594999
389861	1326	1997-09-07	VYDAJ	PREVOD NA UCET	786	24008	 	QR	42594999
389862	1326	1997-10-07	VYDAJ	PREVOD NA UCET	786	25623	 	QR	42594999
389863	1326	1997-11-07	VYDAJ	PREVOD NA UCET	786	21641	 	QR	42594999
389864	1326	1997-12-07	VYDAJ	PREVOD NA UCET	786	24251	 	QR	42594999
389865	1326	1998-01-07	VYDAJ	PREVOD NA UCET	786	14120	 	QR	42594999
389866	1326	1998-02-07	VYDAJ	PREVOD NA UCET	786	16167	 	QR	42594999
389867	1326	1998-03-07	VYDAJ	PREVOD NA UCET	786	16947	 	QR	42594999
389868	1326	1998-04-07	VYDAJ	PREVOD NA UCET	786	18135	 	QR	42594999
389869	1326	1998-05-07	VYDAJ	PREVOD NA UCET	786	14827	 	QR	42594999
389870	1326	1998-06-07	VYDAJ	PREVOD NA UCET	786	15722	 	QR	42594999
389871	1326	1998-07-07	VYDAJ	PREVOD NA UCET	786	13665	 	QR	42594999
389872	1326	1998-08-07	VYDAJ	PREVOD NA UCET	786	12715	 	QR	42594999
389873	1326	1998-09-07	VYDAJ	PREVOD NA UCET	786	14285	 	QR	42594999
389874	1326	1998-10-07	VYDAJ	PREVOD NA UCET	786	15141	 	QR	42594999
389875	1326	1998-11-07	VYDAJ	PREVOD NA UCET	786	16720	 	QR	42594999
389876	1326	1998-12-07	VYDAJ	PREVOD NA UCET	786	18306	 	QR	42594999
389892	1326	1997-04-13	VYDAJ	PREVOD NA UCET	1207	23108	POJISTNE	ST	57544726
389893	1326	1997-05-13	VYDAJ	PREVOD NA UCET	1207	24311	POJISTNE	ST	57544726
389894	1326	1997-06-13	VYDAJ	PREVOD NA UCET	1207	29898	POJISTNE	ST	57544726
389895	1326	1997-07-13	VYDAJ	PREVOD NA UCET	1207	26085	POJISTNE	ST	57544726
389896	1326	1997-08-13	VYDAJ	PREVOD NA UCET	1207	23107	POJISTNE	ST	57544726
389897	1326	1997-09-13	VYDAJ	PREVOD NA UCET	1207	26316	POJISTNE	ST	57544726
389898	1326	1997-10-13	VYDAJ	PREVOD NA UCET	1207	26331	POJISTNE	ST	57544726
389899	1326	1997-11-13	VYDAJ	PREVOD NA UCET	1207	23949	POJISTNE	ST	57544726
389900	1326	1997-12-13	VYDAJ	PREVOD NA UCET	1207	28842	POJISTNE	ST	57544726
389901	1326	1998-01-13	VYDAJ	PREVOD NA UCET	1207	14988	POJISTNE	ST	57544726
389902	1326	1998-02-13	VYDAJ	PREVOD NA UCET	1207	18475	POJISTNE	ST	57544726
389903	1326	1998-03-13	VYDAJ	PREVOD NA UCET	1207	19255	POJISTNE	ST	57544726
389904	1326	1998-04-13	VYDAJ	PREVOD NA UCET	1207	20443	POJISTNE	ST	57544726
389905	1326	1998-05-13	VYDAJ	PREVOD NA UCET	1207	13055	POJISTNE	ST	57544726
389906	1326	1998-06-13	VYDAJ	PREVOD NA UCET	1207	20312	POJISTNE	ST	57544726
389907	1326	1998-07-13	VYDAJ	PREVOD NA UCET	1207	15973	POJISTNE	ST	57544726
389908	1326	1998-08-13	VYDAJ	PREVOD NA UCET	1207	15023	POJISTNE	ST	57544726
389909	1326	1998-09-13	VYDAJ	PREVOD NA UCET	1207	16593	POJISTNE	ST	57544726
389910	1326	1998-10-13	VYDAJ	PREVOD NA UCET	1207	17449	POJISTNE	ST	57544726
389911	1326	1998-11-13	VYDAJ	PREVOD NA UCET	1207	19028	POJISTNE	ST	57544726
389912	1326	1998-12-13	VYDAJ	PREVOD NA UCET	1207	17857	POJISTNE	ST	57544726
389928	1326	1997-04-10	VYDAJ	PREVOD NA UCET	954	29011	 	QR	85305046
389929	1326	1997-05-10	VYDAJ	PREVOD NA UCET	954	25614	 	QR	85305046
389930	1326	1997-06-10	VYDAJ	PREVOD NA UCET	954	31201	 	QR	85305046
389931	1326	1997-07-10	VYDAJ	PREVOD NA UCET	954	27292	 	QR	85305046
389932	1326	1997-08-10	VYDAJ	PREVOD NA UCET	954	24314	 	QR	85305046
389933	1326	1997-09-10	VYDAJ	PREVOD NA UCET	954	27619	 	QR	85305046
389934	1326	1997-10-10	VYDAJ	PREVOD NA UCET	954	27634	 	QR	85305046
389935	1326	1997-11-10	VYDAJ	PREVOD NA UCET	954	25252	 	QR	85305046
389936	1326	1997-12-10	VYDAJ	PREVOD NA UCET	954	30145	 	QR	85305046
389937	1326	1998-01-10	VYDAJ	PREVOD NA UCET	954	17635	 	QR	85305046
389938	1326	1998-02-10	VYDAJ	PREVOD NA UCET	954	19778	 	QR	85305046
389939	1326	1998-03-10	VYDAJ	PREVOD NA UCET	954	20462	 	QR	85305046
389940	1326	1998-04-10	VYDAJ	PREVOD NA UCET	954	21746	 	QR	85305046
389941	1326	1998-05-10	VYDAJ	PREVOD NA UCET	954	18438	 	QR	85305046
389942	1326	1998-06-10	VYDAJ	PREVOD NA UCET	954	21519	 	QR	85305046
389943	1326	1998-07-10	VYDAJ	PREVOD NA UCET	954	17180	 	QR	85305046
389944	1326	1998-08-10	VYDAJ	PREVOD NA UCET	954	16326	 	QR	85305046
389945	1326	1998-09-10	VYDAJ	PREVOD NA UCET	954	17896	 	QR	85305046
389946	1326	1998-10-10	VYDAJ	PREVOD NA UCET	954	18752	 	QR	85305046
389947	1326	1998-11-10	VYDAJ	PREVOD NA UCET	954	20331	 	QR	85305046
389948	1326	1998-12-10	VYDAJ	PREVOD NA UCET	954	24200	 	QR	85305046
389953	1326	1997-12-24	VYDAJ	VYBER	3680	20602	\N	\N	\N
389954	1326	1998-12-12	VYDAJ	VYBER	1920	22184	\N	\N	\N
389967	1326	1998-01-05	VYDAJ	VYBER	1800	14906	\N	\N	\N
389969	1326	1998-01-11	VYDAJ	VYBER	1440	16195	\N	\N	\N
389970	1326	1998-01-15	VYDAJ	VYBER	2280	12708	\N	\N	\N
389978	1326	1997-12-27	VYDAJ	VYBER	5280	15322	\N	\N	\N
389979	1326	1997-07-09	VYDAJ	VYBER	3240	28342	\N	\N	\N
389980	1326	1997-05-01	VYDAJ	VYBER	2880	17189	\N	\N	\N
389981	1326	1997-04-18	VYDAJ	VYBER	3120	19988	\N	\N	\N
389982	1326	1997-12-15	VYDAJ	VYBER	4560	24282	\N	\N	\N
389983	1326	1998-07-20	VYDAJ	VYBER	2520	13453	\N	\N	\N
389984	1326	1998-06-19	VYDAJ	VYBER	3720	16592	\N	\N	\N
389985	1326	1998-12-13	VYDAJ	VYBER	3120	19064	\N	\N	\N
389986	1326	1998-05-13	VYDAJ	VYBER	4080	14262	\N	\N	\N
389988	1326	1998-10-02	VYDAJ	VYBER	720	15927	\N	\N	\N
390005	1326	1997-04-30	VYDAJ	VYBER	15	20069	SLUZBY	\N	\N
390006	1326	1997-05-31	VYDAJ	VYBER	15	24393	SLUZBY	\N	\N
390007	1326	1997-06-30	VYDAJ	VYBER	15	30003	SLUZBY	\N	\N
390008	1326	1997-07-31	VYDAJ	VYBER	15	26185	SLUZBY	\N	\N
390009	1326	1997-08-31	VYDAJ	VYBER	15	23194	SLUZBY	\N	\N
390010	1326	1997-09-30	VYDAJ	VYBER	15	26409	SLUZBY	\N	\N
390011	1326	1997-10-31	VYDAJ	VYBER	15	26427	SLUZBY	\N	\N
390012	1326	1997-11-30	VYDAJ	VYBER	15	24037	SLUZBY	\N	\N
390013	1326	1997-12-31	VYDAJ	VYBER	15	15406	SLUZBY	\N	\N
390014	1326	1998-01-31	VYDAJ	VYBER	15	12753	SLUZBY	\N	\N
390015	1326	1998-02-28	VYDAJ	VYBER	15	18533	SLUZBY	\N	\N
390016	1326	1998-03-31	VYDAJ	VYBER	15	19321	SLUZBY	\N	\N
390017	1326	1998-04-30	VYDAJ	VYBER	15	20513	SLUZBY	\N	\N
390018	1326	1998-05-31	VYDAJ	VYBER	15	13108	SLUZBY	\N	\N
390019	1326	1998-06-30	VYDAJ	VYBER	15	16651	SLUZBY	\N	\N
390020	1326	1998-07-31	VYDAJ	VYBER	15	13501	SLUZBY	\N	\N
390021	1326	1998-08-31	VYDAJ	VYBER	15	15071	SLUZBY	\N	\N
390022	1326	1998-09-30	VYDAJ	VYBER	15	16647	SLUZBY	\N	\N
390023	1326	1998-10-31	VYDAJ	VYBER	15	17506	SLUZBY	\N	\N
390024	1326	1998-11-30	VYDAJ	VYBER	15	19092	SLUZBY	\N	\N
390025	1326	1996-12-11	PRIJEM	VKLAD	10400	18048	\N	\N	\N
390026	1326	1997-01-10	PRIJEM	VKLAD	1500	24163	\N	\N	\N
390027	1326	1997-02-09	VYDAJ	VYBER	2600	26222	\N	\N	\N
390028	1326	1997-03-11	VYDAJ	VYBER	5600	25294	\N	\N	\N
390029	1326	1997-04-10	VYDAJ	VYBER	4600	24411	\N	\N	\N
390030	1326	1997-05-10	PRIJEM	VKLAD	5600	26568	\N	\N	\N
390031	1326	1997-06-09	PRIJEM	VKLAD	1700	32155	\N	\N	\N
390032	1326	1997-07-09	VYDAJ	VYBER	2200	31582	\N	\N	\N
390033	1326	1997-08-08	VYDAJ	VYBER	4600	25364	\N	\N	\N
390034	1326	1997-09-07	PRIJEM	VKLAD	1600	24794	\N	\N	\N
390035	1326	1997-10-07	VYDAJ	VYBER	1600	24023	\N	\N	\N
390036	1326	1997-11-06	VYDAJ	VYBER	4000	22427	\N	\N	\N
390037	1326	1997-12-06	PRIJEM	VKLAD	1000	25037	\N	\N	\N
390038	1326	1998-01-05	PRIJEM	VKLAD	1300	16706	\N	\N	\N
390039	1326	1998-02-04	PRIJEM	VKLAD	4200	16953	\N	\N	\N
390040	1326	1998-03-06	VYDAJ	VYBER	800	17733	\N	\N	\N
390041	1326	1998-04-05	VYDAJ	VYBER	400	18921	\N	\N	\N
390042	1326	1998-05-05	VYDAJ	VYBER	4900	15613	\N	\N	\N
390043	1326	1998-06-04	PRIJEM	VKLAD	3400	16508	\N	\N	\N
390044	1326	1998-07-04	VYDAJ	VYBER	2200	14451	\N	\N	\N
390070	1327	1994-08-24	PRIJEM	VKLAD	400	400	\N	\N	\N
390072	1327	1994-11-09	PRIJEM	VKLAD	15581	35758	\N	\N	\N
390073	1327	1995-02-03	PRIJEM	VKLAD	18357	32548	\N	\N	\N
390074	1327	1995-10-01	PRIJEM	VKLAD	25253	45045	\N	\N	\N
390075	1327	1996-01-28	PRIJEM	VKLAD	44576	61818	\N	\N	\N
390076	1327	1996-11-20	PRIJEM	VKLAD	49845	77011	\N	\N	\N
390077	1327	1997-01-07	PRIJEM	VKLAD	43467	91930	\N	\N	\N
390078	1327	1997-10-13	PRIJEM	VKLAD	5855	38206	\N	\N	\N
390079	1327	1998-09-14	PRIJEM	VKLAD	13485	29014	\N	\N	\N
390080	1327	1998-08-06	PRIJEM	VKLAD	5387	18964	\N	\N	\N
390089	1327	1994-09-14	PRIJEM	VKLAD	1400	1800	\N	\N	\N
390090	1327	1994-10-15	PRIJEM	VKLAD	1400	14414	\N	\N	\N
390091	1327	1994-11-17	PRIJEM	VKLAD	1400	37158	\N	\N	\N
390092	1327	1994-12-16	PRIJEM	VKLAD	1400	29764	\N	\N	\N
390093	1327	1995-01-15	PRIJEM	VKLAD	1400	24016	\N	\N	\N
390094	1327	1995-02-17	PRIJEM	VKLAD	1400	31648	\N	\N	\N
390095	1327	1995-03-16	PRIJEM	VKLAD	1400	29426	\N	\N	\N
390096	1327	1995-04-16	PRIJEM	VKLAD	1400	21623	\N	\N	\N
390097	1327	1995-05-16	PRIJEM	VKLAD	1400	22604	\N	\N	\N
390098	1327	1995-06-16	PRIJEM	VKLAD	1400	24687	\N	\N	\N
390099	1327	1995-07-15	PRIJEM	VKLAD	1400	24569	\N	\N	\N
390100	1327	1995-08-13	PRIJEM	VKLAD	1400	22547	\N	\N	\N
390101	1327	1995-09-17	PRIJEM	VKLAD	1400	22621	\N	\N	\N
390102	1327	1995-10-14	PRIJEM	VKLAD	1400	46445	\N	\N	\N
390103	1327	1995-11-14	PRIJEM	VKLAD	1400	36556	\N	\N	\N
390104	1327	1995-12-16	PRIJEM	VKLAD	1400	30681	\N	\N	\N
390105	1327	1996-01-16	PRIJEM	VKLAD	1400	25342	\N	\N	\N
390106	1327	1996-02-17	PRIJEM	VKLAD	1400	40121	\N	\N	\N
390107	1327	1996-03-17	PRIJEM	VKLAD	1400	27272	\N	\N	\N
390108	1327	1996-04-17	PRIJEM	VKLAD	1400	24597	\N	\N	\N
390109	1327	1996-05-15	PRIJEM	VKLAD	1400	23287	\N	\N	\N
390110	1327	1996-06-13	PRIJEM	VKLAD	1400	20211	\N	\N	\N
390111	1327	1996-07-17	PRIJEM	VKLAD	1400	22984	\N	\N	\N
390112	1327	1996-08-15	PRIJEM	VKLAD	1400	23310	\N	\N	\N
390113	1327	1996-09-14	PRIJEM	VKLAD	1400	24889	\N	\N	\N
390114	1327	1996-10-16	PRIJEM	VKLAD	1400	26175	\N	\N	\N
390115	1327	1996-11-15	PRIJEM	VKLAD	1400	27166	\N	\N	\N
390116	1327	1996-12-14	PRIJEM	VKLAD	1400	49584	\N	\N	\N
390117	1327	1997-01-14	PRIJEM	VKLAD	1400	55780	\N	\N	\N
390118	1327	1997-02-15	PRIJEM	VKLAD	1400	39211	\N	\N	\N
390119	1327	1997-03-15	PRIJEM	VKLAD	1400	32982	\N	\N	\N
390120	1327	1997-04-13	PRIJEM	VKLAD	1400	27616	\N	\N	\N
390121	1327	1997-05-17	PRIJEM	VKLAD	1400	29525	\N	\N	\N
390122	1327	1997-06-15	PRIJEM	VKLAD	1400	23327	\N	\N	\N
390123	1327	1997-07-16	PRIJEM	VKLAD	1400	25471	\N	\N	\N
390124	1327	1997-08-13	PRIJEM	VKLAD	1400	26057	\N	\N	\N
390125	1327	1997-09-15	PRIJEM	VKLAD	1400	29850	\N	\N	\N
390126	1327	1997-10-13	PRIJEM	VKLAD	1400	32351	\N	\N	\N
390127	1327	1997-11-14	PRIJEM	VKLAD	1400	33922	\N	\N	\N
390128	1327	1997-12-15	PRIJEM	VKLAD	1400	30955	\N	\N	\N
390129	1327	1998-01-14	PRIJEM	VKLAD	1400	25971	\N	\N	\N
390130	1327	1998-02-17	PRIJEM	VKLAD	1400	21398	\N	\N	\N
390131	1327	1998-03-14	PRIJEM	VKLAD	1400	22057	\N	\N	\N
390132	1327	1998-04-17	PRIJEM	VKLAD	1400	23731	\N	\N	\N
390133	1327	1998-05-17	PRIJEM	VKLAD	1400	23710	\N	\N	\N
390134	1327	1998-06-14	PRIJEM	VKLAD	1400	19193	\N	\N	\N
390135	1327	1998-07-13	PRIJEM	VKLAD	1400	18415	\N	\N	\N
390136	1327	1998-08-14	PRIJEM	VKLAD	1400	20364	\N	\N	\N
390137	1327	1998-09-15	PRIJEM	VKLAD	1400	30414	\N	\N	\N
390138	1327	1998-10-14	PRIJEM	VKLAD	1400	18206	\N	\N	\N
390139	1327	1998-11-14	PRIJEM	VKLAD	1400	19687	\N	\N	\N
390140	1327	1998-12-17	PRIJEM	VKLAD	1400	21146	\N	\N	\N
390147	1327	1995-01-29	VYDAJ	VYBER	1400	14116	\N	\N	\N
390148	1327	1996-01-07	VYDAJ	VYBER	1500	26442	\N	\N	\N
390149	1327	1997-01-29	VYDAJ	VYBER	5200	49780	\N	\N	\N
390150	1327	1998-01-17	VYDAJ	VYBER	6000	19971	\N	\N	\N
390154	1327	1997-06-09	VYDAJ	VYBER	8800	21927	\N	\N	\N
390157	1327	1995-01-25	VYDAJ	VYBER	5200	15916	\N	\N	\N
390158	1327	1996-01-18	VYDAJ	VYBER	3600	17942	\N	\N	\N
390159	1327	1997-01-12	VYDAJ	VYBER	1300	55380	\N	\N	\N
390160	1327	1998-01-30	VYDAJ	VYBER	1800	15421	\N	\N	\N
390161	1327	1994-12-21	VYDAJ	VYBER	2200	27564	\N	\N	\N
390162	1327	1995-12-10	VYDAJ	VYBER	2600	29281	\N	\N	\N
390163	1327	1996-12-04	VYDAJ	VYBER	1700	75484	\N	\N	\N
390164	1327	1997-12-19	VYDAJ	VYBER	500	30455	\N	\N	\N
390165	1327	1998-12-18	VYDAJ	VYBER	1900	19246	\N	\N	\N
390172	1327	1995-01-04	VYDAJ	VYBER	1350	25916	\N	\N	\N
390173	1327	1995-01-07	VYDAJ	VYBER	950	23566	\N	\N	\N
390174	1327	1995-01-08	VYDAJ	VYBER	950	22616	\N	\N	\N
390175	1327	1995-01-05	VYDAJ	VYBER	1400	24516	\N	\N	\N
390176	1327	1995-01-28	VYDAJ	VYBER	400	15516	\N	\N	\N
390177	1327	1995-01-17	VYDAJ	VYBER	500	23516	\N	\N	\N
390178	1327	1996-01-08	VYDAJ	VYBER	650	25792	\N	\N	\N
390179	1327	1996-01-21	VYDAJ	VYBER	700	17242	\N	\N	\N
390180	1327	1996-01-30	VYDAJ	VYBER	500	61318	\N	\N	\N
390181	1327	1996-01-06	VYDAJ	VYBER	950	27942	\N	\N	\N
390182	1327	1996-01-12	VYDAJ	VYBER	1200	24592	\N	\N	\N
390183	1327	1996-01-13	VYDAJ	VYBER	650	23942	\N	\N	\N
390184	1327	1997-01-12	VYDAJ	VYBER	1000	54380	\N	\N	\N
390185	1327	1997-01-17	VYDAJ	VYBER	250	54980	\N	\N	\N
390186	1327	1997-01-08	VYDAJ	VYBER	400	91530	\N	\N	\N
390187	1327	1997-01-14	VYDAJ	VYBER	550	55230	\N	\N	\N
390188	1327	1997-01-02	VYDAJ	VYBER	900	48913	\N	\N	\N
390189	1327	1997-01-04	VYDAJ	VYBER	450	48463	\N	\N	\N
390190	1327	1998-01-22	VYDAJ	VYBER	1100	18271	\N	\N	\N
390191	1327	1998-01-05	VYDAJ	VYBER	500	26521	\N	\N	\N
390192	1327	1998-01-08	VYDAJ	VYBER	750	25471	\N	\N	\N
390193	1327	1998-01-23	VYDAJ	VYBER	1050	17221	\N	\N	\N
390194	1327	1998-01-07	VYDAJ	VYBER	300	26221	\N	\N	\N
390195	1327	1998-01-19	VYDAJ	VYBER	600	19371	\N	\N	\N
390201	1327	1995-04-13	VYDAJ	VYBER	1750	20223	\N	\N	\N
390202	1327	1995-02-14	VYDAJ	VYBER	2300	30248	\N	\N	\N
390203	1327	1995-04-02	VYDAJ	VYBER	1350	22573	\N	\N	\N
390204	1327	1995-05-08	VYDAJ	VYBER	2400	21204	\N	\N	\N
390205	1327	1995-04-13	VYDAJ	VYBER	600	21973	\N	\N	\N
390206	1327	1995-03-20	VYDAJ	VYBER	900	28526	\N	\N	\N
390207	1327	1996-07-25	VYDAJ	VYBER	850	22134	\N	\N	\N
390208	1327	1996-07-31	VYDAJ	VYBER	600	21625	\N	\N	\N
390209	1327	1996-03-08	VYDAJ	VYBER	1550	38772	\N	\N	\N
390210	1327	1996-04-20	VYDAJ	VYBER	1050	23547	\N	\N	\N
390211	1327	1996-06-09	VYDAJ	VYBER	2250	18811	\N	\N	\N
390212	1327	1996-04-21	VYDAJ	VYBER	1750	21797	\N	\N	\N
390213	1327	1996-12-13	VYDAJ	VYBER	2200	48184	\N	\N	\N
390214	1327	1997-07-13	VYDAJ	VYBER	1850	24071	\N	\N	\N
390215	1327	1997-05-25	VYDAJ	VYBER	1300	28225	\N	\N	\N
390216	1327	1997-12-22	VYDAJ	VYBER	1650	28805	\N	\N	\N
390217	1327	1997-01-10	VYDAJ	VYBER	650	90880	\N	\N	\N
390218	1327	1998-01-09	VYDAJ	VYBER	900	24571	\N	\N	\N
390219	1327	1998-07-05	VYDAJ	VYBER	2250	17015	\N	\N	\N
390233	1327	1994-12-31	VYDAJ	VYBER	15	27266	SLUZBY	\N	\N
390234	1327	1995-01-31	VYDAJ	VYBER	15	14191	SLUZBY	\N	\N
390235	1327	1995-02-28	VYDAJ	VYBER	15	28026	SLUZBY	\N	\N
390236	1327	1995-03-31	VYDAJ	VYBER	15	23923	SLUZBY	\N	\N
390237	1327	1995-04-30	VYDAJ	VYBER	15	23604	SLUZBY	\N	\N
390238	1327	1995-05-31	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
390239	1327	1995-06-30	VYDAJ	VYBER	15	23169	SLUZBY	\N	\N
390240	1327	1995-07-31	VYDAJ	VYBER	15	21147	SLUZBY	\N	\N
390241	1327	1995-08-31	VYDAJ	VYBER	15	21221	SLUZBY	\N	\N
390242	1327	1995-09-30	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
390243	1327	1995-10-31	VYDAJ	VYBER	15	35156	SLUZBY	\N	\N
390244	1327	1995-11-30	VYDAJ	VYBER	15	31881	SLUZBY	\N	\N
390245	1327	1995-12-31	VYDAJ	VYBER	15	28892	SLUZBY	\N	\N
390246	1327	1996-01-31	VYDAJ	VYBER	15	61421	SLUZBY	\N	\N
390247	1327	1996-02-29	VYDAJ	VYBER	15	40322	SLUZBY	\N	\N
390248	1327	1996-03-31	VYDAJ	VYBER	15	27397	SLUZBY	\N	\N
390249	1327	1996-04-30	VYDAJ	VYBER	15	21887	SLUZBY	\N	\N
390250	1327	1996-05-31	VYDAJ	VYBER	15	21061	SLUZBY	\N	\N
390251	1327	1996-06-30	VYDAJ	VYBER	15	21184	SLUZBY	\N	\N
390252	1327	1996-07-31	VYDAJ	VYBER	15	21610	SLUZBY	\N	\N
390253	1327	1996-08-31	VYDAJ	VYBER	15	23389	SLUZBY	\N	\N
390254	1327	1996-09-30	VYDAJ	VYBER	15	24975	SLUZBY	\N	\N
390255	1327	1996-10-31	VYDAJ	VYBER	15	26266	SLUZBY	\N	\N
390256	1327	1996-11-30	VYDAJ	VYBER	15	77184	SLUZBY	\N	\N
390257	1327	1996-12-31	VYDAJ	VYBER	15	49813	SLUZBY	\N	\N
390258	1327	1997-01-31	VYDAJ	VYBER	15	50011	SLUZBY	\N	\N
390259	1327	1997-02-28	VYDAJ	VYBER	15	39382	SLUZBY	\N	\N
390260	1327	1997-03-31	VYDAJ	VYBER	15	33116	SLUZBY	\N	\N
390261	1327	1997-04-30	VYDAJ	VYBER	15	27725	SLUZBY	\N	\N
390262	1327	1997-05-31	VYDAJ	VYBER	15	28327	SLUZBY	\N	\N
390263	1327	1997-06-30	VYDAJ	VYBER	15	23421	SLUZBY	\N	\N
390264	1327	1997-07-31	VYDAJ	VYBER	15	25557	SLUZBY	\N	\N
390265	1327	1997-08-31	VYDAJ	VYBER	15	26150	SLUZBY	\N	\N
390266	1327	1997-09-30	VYDAJ	VYBER	15	29951	SLUZBY	\N	\N
390267	1327	1997-10-31	VYDAJ	VYBER	15	38322	SLUZBY	\N	\N
390268	1327	1997-11-30	VYDAJ	VYBER	15	34055	SLUZBY	\N	\N
390269	1327	1997-12-31	VYDAJ	VYBER	15	28921	SLUZBY	\N	\N
390270	1327	1998-01-31	VYDAJ	VYBER	15	15498	SLUZBY	\N	\N
390271	1327	1998-02-28	VYDAJ	VYBER	15	21457	SLUZBY	\N	\N
390272	1327	1998-03-31	VYDAJ	VYBER	15	22131	SLUZBY	\N	\N
390273	1327	1998-04-30	VYDAJ	VYBER	15	23810	SLUZBY	\N	\N
390274	1327	1998-05-31	VYDAJ	VYBER	15	23793	SLUZBY	\N	\N
390275	1327	1998-06-30	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
390276	1327	1998-07-31	VYDAJ	VYBER	15	18477	SLUZBY	\N	\N
390277	1327	1998-08-31	VYDAJ	VYBER	15	20429	SLUZBY	\N	\N
390278	1327	1998-09-30	VYDAJ	VYBER	15	30506	SLUZBY	\N	\N
390279	1327	1998-10-31	VYDAJ	VYBER	15	18287	SLUZBY	\N	\N
390280	1327	1998-11-30	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
390281	1327	1994-09-23	PRIJEM	VKLAD	11200	13000	\N	\N	\N
390282	1327	1994-10-23	PRIJEM	VKLAD	5700	20114	\N	\N	\N
390283	1327	1994-11-22	VYDAJ	VYBER	8900	28258	\N	\N	\N
390284	1327	1994-12-22	VYDAJ	VYBER	400	27164	\N	\N	\N
390285	1327	1995-01-21	VYDAJ	VYBER	2400	21116	\N	\N	\N
390286	1327	1995-02-20	VYDAJ	VYBER	3700	27948	\N	\N	\N
390287	1327	1995-03-22	VYDAJ	VYBER	4700	23826	\N	\N	\N
390288	1327	1995-04-21	PRIJEM	VKLAD	1900	23523	\N	\N	\N
390289	1327	1995-05-21	PRIJEM	VKLAD	600	23204	\N	\N	\N
390290	1327	1995-06-20	VYDAJ	VYBER	1600	23087	\N	\N	\N
390291	1327	1995-07-20	VYDAJ	VYBER	3500	21069	\N	\N	\N
390292	1327	1995-08-19	VYDAJ	VYBER	1400	21147	\N	\N	\N
390293	1327	1995-09-18	VYDAJ	VYBER	2900	19721	\N	\N	\N
390294	1327	1995-10-18	VYDAJ	VYBER	11400	35045	\N	\N	\N
390295	1327	1995-11-17	VYDAJ	VYBER	4800	31756	\N	\N	\N
390296	1327	1995-12-17	VYDAJ	VYBER	1900	28781	\N	\N	\N
390297	1327	1996-01-16	VYDAJ	VYBER	3800	21542	\N	\N	\N
390298	1327	1996-02-15	VYDAJ	VYBER	22700	38721	\N	\N	\N
390299	1327	1996-03-16	VYDAJ	VYBER	12900	25872	\N	\N	\N
390300	1327	1996-04-15	VYDAJ	VYBER	4200	23197	\N	\N	\N
390301	1327	1996-05-15	VYDAJ	VYBER	2300	20987	\N	\N	\N
390302	1327	1996-06-14	PRIJEM	VKLAD	900	21111	\N	\N	\N
390303	1327	1996-07-14	PRIJEM	VKLAD	400	21584	\N	\N	\N
390304	1327	1996-08-13	PRIJEM	VKLAD	300	21910	\N	\N	\N
390305	1327	1996-09-12	PRIJEM	VKLAD	100	23489	\N	\N	\N
390306	1327	1996-10-12	VYDAJ	VYBER	200	24775	\N	\N	\N
390307	1327	1996-11-11	VYDAJ	VYBER	500	25766	\N	\N	\N
390308	1327	1996-12-11	VYDAJ	VYBER	25100	50384	\N	\N	\N
390309	1327	1997-01-10	VYDAJ	VYBER	34200	56680	\N	\N	\N
390310	1327	1997-02-09	VYDAJ	VYBER	12200	37811	\N	\N	\N
390311	1327	1997-03-11	VYDAJ	VYBER	7800	31582	\N	\N	\N
390312	1327	1997-04-10	VYDAJ	VYBER	6900	26216	\N	\N	\N
390313	1327	1997-05-10	PRIJEM	VKLAD	400	28125	\N	\N	\N
390314	1327	1997-06-09	PRIJEM	VKLAD	2400	30727	\N	\N	\N
390315	1327	1997-07-09	PRIJEM	VKLAD	2500	25921	\N	\N	\N
390316	1327	1997-08-08	VYDAJ	VYBER	900	24657	\N	\N	\N
390317	1327	1997-09-07	PRIJEM	VKLAD	2300	28450	\N	\N	\N
390318	1327	1997-10-07	PRIJEM	VKLAD	1000	30951	\N	\N	\N
390319	1327	1997-11-06	VYDAJ	VYBER	5800	32522	\N	\N	\N
390320	1327	1997-12-06	VYDAJ	VYBER	4500	29555	\N	\N	\N
390321	1327	1998-01-05	VYDAJ	VYBER	1900	27021	\N	\N	\N
390322	1327	1998-02-04	PRIJEM	VKLAD	4500	19998	\N	\N	\N
390323	1327	1998-03-06	VYDAJ	VYBER	800	20657	\N	\N	\N
390324	1327	1998-04-05	PRIJEM	VKLAD	200	22331	\N	\N	\N
390325	1327	1998-05-05	VYDAJ	VYBER	1500	22310	\N	\N	\N
390326	1327	1998-06-04	VYDAJ	VYBER	6000	17793	\N	\N	\N
390327	1327	1998-08-03	VYDAJ	VYBER	4900	13577	\N	\N	\N
390328	1327	1998-09-02	VYDAJ	VYBER	4900	15529	\N	\N	\N
390329	1327	1998-10-02	VYDAJ	VYBER	13700	16806	\N	\N	\N
390382	1328	1996-05-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
390387	1328	1996-05-08	PRIJEM	PREVOD Z UCTU	32498	33598	\N	QR	49388885
390388	1328	1996-06-08	PRIJEM	PREVOD Z UCTU	48747	76753	\N	QR	49388885
390389	1328	1996-07-08	PRIJEM	PREVOD Z UCTU	32498	84829	\N	QR	49388885
390390	1328	1996-08-08	PRIJEM	PREVOD Z UCTU	32498	91473	\N	QR	49388885
390391	1328	1996-09-08	PRIJEM	PREVOD Z UCTU	32498	92346	\N	QR	49388885
390392	1328	1996-10-08	PRIJEM	PREVOD Z UCTU	32498	78326	\N	QR	49388885
390393	1328	1996-11-08	PRIJEM	PREVOD Z UCTU	32498	70672	\N	QR	49388885
390394	1328	1996-12-08	PRIJEM	PREVOD Z UCTU	48747	73582	\N	QR	49388885
390395	1328	1997-01-08	PRIJEM	PREVOD Z UCTU	32498	71048	\N	QR	49388885
390396	1328	1997-02-08	PRIJEM	PREVOD Z UCTU	32498	56253	\N	QR	49388885
390397	1328	1997-03-08	PRIJEM	PREVOD Z UCTU	32498	55026	\N	QR	49388885
390398	1328	1997-04-08	PRIJEM	PREVOD Z UCTU	32498	57911	\N	QR	49388885
390399	1328	1997-05-08	PRIJEM	PREVOD Z UCTU	32498	67666	\N	QR	49388885
390400	1328	1997-06-08	PRIJEM	PREVOD Z UCTU	48747	89757	\N	QR	49388885
390401	1328	1997-07-08	PRIJEM	PREVOD Z UCTU	32498	69319	\N	QR	49388885
390402	1328	1997-08-08	PRIJEM	PREVOD Z UCTU	32498	69170	\N	QR	49388885
390403	1328	1997-09-08	PRIJEM	PREVOD Z UCTU	32498	78812	\N	QR	49388885
390404	1328	1997-10-08	PRIJEM	PREVOD Z UCTU	32498	86294	\N	QR	49388885
390405	1328	1997-11-08	PRIJEM	PREVOD Z UCTU	32498	94907	\N	QR	49388885
390406	1328	1997-12-08	PRIJEM	PREVOD Z UCTU	48747	112300	\N	QR	49388885
390407	1328	1998-01-08	PRIJEM	PREVOD Z UCTU	32498	55599	\N	QR	49388885
390408	1328	1998-02-08	PRIJEM	PREVOD Z UCTU	32498	65545	\N	QR	49388885
390409	1328	1998-03-08	PRIJEM	PREVOD Z UCTU	32498	70678	\N	QR	49388885
390410	1328	1998-04-08	PRIJEM	PREVOD Z UCTU	32498	67423	\N	QR	49388885
390411	1328	1998-05-08	PRIJEM	PREVOD Z UCTU	32498	79667	\N	QR	49388885
390412	1328	1998-06-08	PRIJEM	PREVOD Z UCTU	48747	88698	\N	QR	49388885
390413	1328	1998-07-08	PRIJEM	PREVOD Z UCTU	32498	96173	\N	QR	49388885
390414	1328	1998-08-08	PRIJEM	PREVOD Z UCTU	32498	98123	\N	QR	49388885
390415	1328	1998-09-08	PRIJEM	PREVOD Z UCTU	32498	100431	\N	QR	49388885
390416	1328	1998-10-08	PRIJEM	PREVOD Z UCTU	32498	103599	\N	QR	49388885
390417	1328	1998-11-08	PRIJEM	PREVOD Z UCTU	32498	105580	\N	QR	49388885
390418	1328	1998-12-08	PRIJEM	PREVOD Z UCTU	48747	92220	\N	QR	49388885
390455	1328	1996-10-08	VYBER	VYBER	14080	64246	\N	\N	\N
390456	1328	1996-11-28	VYBER	VYBER	9777	27971	\N	\N	\N
390459	1328	1996-09-25	VYBER	VYBER	16360	61586	\N	\N	\N
390460	1328	1996-10-23	VYBER	VYBER	5617	58629	\N	\N	\N
390464	1328	1996-10-31	VYBER	VYBER	13597	45289	\N	\N	\N
390465	1328	1996-11-12	VYBER	VYBER	19724	37748	\N	\N	\N
390468	1328	1997-03-04	VYBER	VYBER	8168	22528	\N	\N	\N
390469	1328	1997-07-16	VYBER	VYBER	3357	65962	\N	\N	\N
390470	1328	1997-01-19	VYBER	VYBER	21768	45380	\N	\N	\N
390471	1328	1997-12-20	VYBER	VYBER	18315	48885	\N	\N	\N
390472	1328	1997-07-23	VYBER	VYBER	17410	48552	\N	\N	\N
390473	1328	1997-03-08	VYBER	VYBER	16298	38728	\N	\N	\N
390474	1328	1997-04-15	VYBER	VYBER	12114	45797	\N	\N	\N
390475	1328	1997-02-17	VYBER	VYBER	15371	40882	\N	\N	\N
390476	1328	1997-06-18	VYBER	VYBER	10348	79409	\N	\N	\N
390477	1328	1997-07-05	VYBER	VYBER	12601	36821	\N	\N	\N
390478	1328	1997-12-21	VYBER	VYBER	11567	37318	\N	\N	\N
390479	1328	1998-12-07	VYBER	VYBER	22663	43473	\N	\N	\N
390480	1328	1998-11-14	VYBER	VYBER	16235	89345	\N	\N	\N
390485	1328	1997-01-23	VYDAJ	VYBER	8400	23780	\N	\N	\N
390486	1328	1998-01-21	VYDAJ	VYBER	12600	27699	\N	\N	\N
390487	1328	1996-12-17	VYDAJ	VYBER	6300	67282	\N	\N	\N
390488	1328	1997-12-27	VYDAJ	VYBER	8100	30018	\N	\N	\N
390489	1328	1998-12-23	VYDAJ	VYBER KARTOU	3300	62020	\N	\N	0
390496	1328	1997-01-13	VYDAJ	VYBER	3900	67148	\N	\N	\N
390497	1328	1997-01-19	VYDAJ	VYBER	7500	37880	\N	\N	\N
390498	1328	1997-01-04	VYDAJ	VYBER	2700	41250	\N	\N	\N
390499	1328	1997-01-07	VYDAJ	VYBER	2700	38550	\N	\N	\N
390500	1328	1997-01-21	VYDAJ	VYBER	5700	32180	\N	\N	\N
390502	1328	1998-01-18	VYDAJ	VYBER KARTOU	3300	40299	\N	\N	0
390503	1328	1998-01-28	VYDAJ	VYBER KARTOU	2100	32899	\N	\N	0
390504	1328	1998-01-18	VYDAJ	VYBER	6000	43599	\N	\N	\N
390506	1328	1998-01-05	VYDAJ	VYBER	7200	23101	\N	\N	\N
390507	1328	1998-01-12	VYDAJ	VYBER	6000	49599	\N	\N	\N
390509	1328	1996-11-08	VYDAJ	VYBER	13200	57472	\N	\N	\N
390510	1328	1996-09-24	VYDAJ	VYBER	14400	77946	\N	\N	\N
390511	1328	1997-05-26	VYDAJ	VYBER	8700	58966	\N	\N	\N
390512	1328	1997-04-03	VYDAJ	VYBER	6000	25413	\N	\N	\N
390513	1328	1998-05-31	VYDAJ	VYBER	12300	39966	\N	\N	\N
390514	1328	1998-08-10	VYDAJ	VYBER KARTOU	1500	96623	\N	\N	0
390515	1328	1998-02-27	VYDAJ	VYBER	13500	38045	\N	\N	\N
390516	1328	1998-04-23	VYDAJ	VYBER KARTOU	2700	64723	\N	\N	0
390517	1328	1998-03-29	VYDAJ	VYBER	14100	34778	\N	\N	\N
390527	1328	1996-09-30	VYDAJ	VYBER	15	61928	SLUZBY	\N	\N
390528	1328	1996-10-31	VYDAJ	VYBER	15	45274	SLUZBY	\N	\N
390529	1328	1996-11-30	VYDAJ	VYBER	15	28135	SLUZBY	\N	\N
390530	1328	1996-12-31	VYDAJ	VYBER	15	43950	SLUZBY	\N	\N
390531	1328	1997-01-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
390532	1328	1997-02-28	VYDAJ	VYBER	15	40996	SLUZBY	\N	\N
390533	1328	1997-03-31	VYDAJ	VYBER	15	31413	SLUZBY	\N	\N
390534	1328	1997-04-30	VYDAJ	VYBER	15	35168	SLUZBY	\N	\N
390535	1328	1997-05-31	VYDAJ	VYBER	15	41010	SLUZBY	\N	\N
390536	1328	1997-06-30	VYDAJ	VYBER	15	49422	SLUZBY	\N	\N
390537	1328	1997-07-31	VYDAJ	VYBER	15	36672	SLUZBY	\N	\N
390538	1328	1997-08-31	VYDAJ	VYBER	15	46314	SLUZBY	\N	\N
390539	1328	1997-09-30	VYDAJ	VYBER	15	53796	SLUZBY	\N	\N
390540	1328	1997-10-31	VYDAJ	VYBER	15	62409	SLUZBY	\N	\N
390541	1328	1997-11-30	VYDAJ	VYBER	15	63553	SLUZBY	\N	\N
390542	1328	1997-12-31	VYDAJ	VYBER	15	30301	SLUZBY	\N	\N
390543	1328	1998-01-31	VYDAJ	VYBER	15	33047	SLUZBY	\N	\N
390544	1328	1998-02-28	VYDAJ	VYBER	15	38180	SLUZBY	\N	\N
390545	1328	1998-03-31	VYDAJ	VYBER	15	34925	SLUZBY	\N	\N
390546	1328	1998-04-30	VYDAJ	VYBER	15	47169	SLUZBY	\N	\N
390547	1328	1998-05-31	VYDAJ	VYBER	15	39951	SLUZBY	\N	\N
390548	1328	1998-06-30	VYDAJ	VYBER	15	63675	SLUZBY	\N	\N
390549	1328	1998-07-31	VYDAJ	VYBER	15	65625	SLUZBY	\N	\N
390550	1328	1998-08-31	VYDAJ	VYBER	15	67933	SLUZBY	\N	\N
390551	1328	1998-09-30	VYDAJ	VYBER	15	71101	SLUZBY	\N	\N
390552	1328	1998-10-31	VYDAJ	VYBER	15	73082	SLUZBY	\N	\N
390553	1328	1998-11-30	VYDAJ	VYBER	15	66136	SLUZBY	\N	\N
390554	1328	1996-06-03	VYDAJ	VYBER	5700	28006	\N	\N	\N
390555	1328	1996-07-03	VYDAJ	VYBER	24700	52331	\N	\N	\N
390556	1328	1996-08-02	VYDAJ	VYBER	26200	58975	\N	\N	\N
390557	1328	1996-09-01	VYDAJ	VYBER	32000	59848	\N	\N	\N
390558	1328	1996-10-01	VYDAJ	VYBER	16100	45828	\N	\N	\N
390559	1328	1996-10-31	VYDAJ	VYBER	7100	38174	\N	\N	\N
390560	1328	1996-11-30	VYDAJ	VYBER	3300	24835	\N	\N	\N
390561	1328	1996-12-30	VYDAJ	VYBER	23500	43782	\N	\N	\N
390562	1328	1997-01-29	VYDAJ	VYBER KARTOU	200	23580	\N	\N	0
390563	1328	1997-02-28	VYDAJ	VYBER	10300	30696	\N	\N	\N
390564	1328	1997-03-30	VYDAJ	VYBER	7500	31228	\N	\N	\N
390565	1328	1997-04-29	VYDAJ	VYBER	10800	34997	\N	\N	\N
390566	1328	1997-05-29	VYDAJ	VYBER	18100	40866	\N	\N	\N
390567	1328	1997-06-28	VYDAJ	VYBER	30200	49209	\N	\N	\N
390568	1328	1997-07-28	VYDAJ	VYBER	12100	36452	\N	\N	\N
390569	1328	1997-08-27	VYDAJ	VYBER	23000	46170	\N	\N	\N
390570	1328	1997-09-26	VYDAJ	VYBER	25200	53612	\N	\N	\N
390571	1328	1997-10-26	VYDAJ	VYBER	24100	62194	\N	\N	\N
390572	1328	1997-11-25	VYDAJ	VYBER	31600	63307	\N	\N	\N
390573	1328	1997-12-08	VYDAJ	VYBER	45100	67200	\N	\N	\N
390574	1328	1997-12-25	PRIJEM	VKLAD	800	38118	\N	\N	\N
390575	1328	1998-01-24	PRIJEM	VKLAD	7300	34999	\N	\N	\N
390576	1328	1998-02-23	VYDAJ	VYBER	14000	51545	\N	\N	\N
390577	1328	1998-03-25	VYDAJ	VYBER	21800	48878	\N	\N	\N
390578	1328	1998-04-24	VYDAJ	VYBER	17700	47023	\N	\N	\N
390579	1328	1998-05-24	VYDAJ	VYBER	27600	52067	\N	\N	\N
390580	1328	1998-06-23	VYDAJ	VYBER	25200	63498	\N	\N	\N
390581	1328	1998-07-23	VYDAJ	VYBER	30800	65373	\N	\N	\N
390582	1328	1998-08-22	VYDAJ	VYBER	29000	67623	\N	\N	\N
390583	1328	1998-09-21	VYDAJ	VYBER	29600	70831	\N	\N	\N
390584	1328	1998-10-21	VYDAJ	VYBER	30800	72799	\N	\N	\N
390585	1328	1998-11-20	VYDAJ	VYBER	23500	65845	\N	\N	\N
390586	1328	1998-12-20	VYDAJ	VYBER	26900	65320	\N	\N	\N
390619	1329	1996-09-16	PRIJEM	VKLAD	500	500	\N	\N	\N
390629	1329	1996-10-06	PRIJEM	PREVOD Z UCTU	11761	12261	\N	CD	20417416
390630	1329	1996-11-06	PRIJEM	PREVOD Z UCTU	11761	29059	\N	CD	20417416
390631	1329	1996-12-06	PRIJEM	PREVOD Z UCTU	17642	42891	\N	CD	20417416
390632	1329	1997-01-06	PRIJEM	PREVOD Z UCTU	11761	43571	\N	CD	20417416
390633	1329	1997-02-06	PRIJEM	PREVOD Z UCTU	11761	44667	\N	CD	20417416
390634	1329	1997-03-06	PRIJEM	PREVOD Z UCTU	11761	35425	\N	CD	20417416
390635	1329	1997-04-06	PRIJEM	PREVOD Z UCTU	11761	34531	\N	CD	20417416
390636	1329	1997-05-06	PRIJEM	PREVOD Z UCTU	11761	31823	\N	CD	20417416
390637	1329	1997-06-06	PRIJEM	PREVOD Z UCTU	17642	37387	\N	CD	20417416
390638	1329	1997-07-06	PRIJEM	PREVOD Z UCTU	11761	30783	\N	CD	20417416
390639	1329	1997-08-06	PRIJEM	PREVOD Z UCTU	11761	29967	\N	CD	20417416
390640	1329	1997-09-06	PRIJEM	PREVOD Z UCTU	11761	30848	\N	CD	20417416
390641	1329	1997-10-06	PRIJEM	PREVOD Z UCTU	11761	30367	\N	CD	20417416
390642	1329	1997-11-06	PRIJEM	PREVOD Z UCTU	11761	25170	\N	CD	20417416
390643	1329	1997-12-06	PRIJEM	PREVOD Z UCTU	17642	28942	\N	CD	20417416
390644	1329	1998-01-06	PRIJEM	PREVOD Z UCTU	11761	26743	\N	CD	20417416
390645	1329	1998-02-06	PRIJEM	PREVOD Z UCTU	11761	26846	\N	CD	20417416
390646	1329	1998-03-06	PRIJEM	PREVOD Z UCTU	11761	31565	\N	CD	20417416
390647	1329	1998-04-06	PRIJEM	PREVOD Z UCTU	11761	31188	\N	CD	20417416
390648	1329	1998-05-06	PRIJEM	PREVOD Z UCTU	11761	28402	\N	CD	20417416
390649	1329	1998-06-06	PRIJEM	PREVOD Z UCTU	17642	32488	\N	CD	20417416
390650	1329	1998-07-06	PRIJEM	PREVOD Z UCTU	11761	30305	\N	CD	20417416
390651	1329	1998-08-06	PRIJEM	PREVOD Z UCTU	11761	25308	\N	CD	20417416
390652	1329	1998-09-06	PRIJEM	PREVOD Z UCTU	11761	21994	\N	CD	20417416
390653	1329	1998-10-06	PRIJEM	PREVOD Z UCTU	11761	20234	\N	CD	20417416
390654	1329	1998-11-06	PRIJEM	PREVOD Z UCTU	11761	27971	\N	CD	20417416
390655	1329	1998-12-06	PRIJEM	PREVOD Z UCTU	17642	38422	\N	CD	20417416
390669	1329	1997-02-07	VYDAJ	VYBER	2300	37286	\N	\N	0
390670	1329	1997-03-02	VYDAJ	VYBER	1700	28136	\N	\N	0
390671	1329	1997-04-04	VYDAJ	VYBER	1800	22770	\N	\N	0
390672	1329	1997-05-10	VYDAJ	VYBER	2200	21174	\N	\N	0
390673	1329	1997-06-20	VYDAJ	VYBER	2600	21138	\N	\N	0
390674	1329	1997-07-03	VYDAJ	VYBER	2200	19022	\N	\N	0
390675	1329	1997-08-01	VYDAJ	VYBER	1700	18206	\N	\N	0
390676	1329	1997-09-12	VYDAJ	PREVOD NA UCET	1960	18539	UVER	UV	31472492
390677	1329	1997-10-12	VYDAJ	PREVOD NA UCET	1960	13358	UVER	UV	31472492
390678	1329	1997-11-12	VYDAJ	PREVOD NA UCET	1960	11261	UVER	UV	31472492
390679	1329	1997-12-12	VYDAJ	PREVOD NA UCET	1960	14932	UVER	UV	31472492
390680	1329	1998-01-12	VYDAJ	PREVOD NA UCET	1960	15034	UVER	UV	31472492
390681	1329	1998-02-12	VYDAJ	PREVOD NA UCET	1960	19737	UVER	UV	31472492
390682	1329	1998-03-12	VYDAJ	PREVOD NA UCET	1960	19356	UVER	UV	31472492
390683	1329	1998-04-12	VYDAJ	PREVOD NA UCET	1960	16579	UVER	UV	31472492
390684	1329	1998-05-12	VYDAJ	PREVOD NA UCET	1960	14793	UVER	UV	31472492
390685	1329	1998-06-12	VYDAJ	PREVOD NA UCET	1960	18479	UVER	UV	31472492
390686	1329	1998-07-12	VYDAJ	PREVOD NA UCET	1960	13496	UVER	UV	31472492
390687	1329	1998-08-12	VYDAJ	PREVOD NA UCET	1960	10199	UVER	UV	31472492
390688	1329	1998-09-19	VYDAJ	VYBER	2000	8445	\N	\N	0
390689	1329	1998-10-06	VYDAJ	VYBER	1900	12253	\N	\N	0
390690	1329	1998-11-24	VYDAJ	VYBER	2300	17222	\N	\N	0
390691	1329	1998-12-11	VYDAJ	VYBER	1600	25973	\N	\N	0
390705	1329	1997-02-08	VYDAJ	PREVOD NA UCET	3368	33918	SIPO	QR	69419830
390706	1329	1997-03-08	VYDAJ	PREVOD NA UCET	3368	26976	SIPO	QR	69419830
390707	1329	1997-04-08	VYDAJ	PREVOD NA UCET	3368	26082	SIPO	QR	69419830
390708	1329	1997-05-08	VYDAJ	PREVOD NA UCET	3368	23374	SIPO	QR	69419830
390709	1329	1997-06-08	VYDAJ	PREVOD NA UCET	3368	28938	SIPO	QR	69419830
390710	1329	1997-07-08	VYDAJ	PREVOD NA UCET	3368	22334	SIPO	QR	69419830
390711	1329	1997-08-08	VYDAJ	PREVOD NA UCET	3368	21518	SIPO	QR	69419830
390874	1329	1998-06-08	VYDAJ	VYBER	3600	23807	\N	\N	\N
390712	1329	1997-09-08	VYDAJ	PREVOD NA UCET	3368	22399	SIPO	QR	69419830
390713	1329	1997-10-08	VYDAJ	PREVOD NA UCET	3368	21918	SIPO	QR	69419830
390714	1329	1997-11-08	VYDAJ	PREVOD NA UCET	3368	16721	SIPO	QR	69419830
390715	1329	1997-12-08	VYDAJ	PREVOD NA UCET	3368	20493	SIPO	QR	69419830
390716	1329	1998-01-08	VYDAJ	PREVOD NA UCET	3368	18294	SIPO	QR	69419830
390717	1329	1998-02-08	VYDAJ	PREVOD NA UCET	3368	21697	SIPO	QR	69419830
390718	1329	1998-03-08	VYDAJ	PREVOD NA UCET	3368	23116	SIPO	QR	69419830
390719	1329	1998-04-08	VYDAJ	PREVOD NA UCET	3368	22739	SIPO	QR	69419830
390720	1329	1998-05-08	VYDAJ	PREVOD NA UCET	3368	19953	SIPO	QR	69419830
390721	1329	1998-06-08	VYDAJ	PREVOD NA UCET	3368	20439	SIPO	QR	69419830
390722	1329	1998-07-08	VYDAJ	PREVOD NA UCET	3368	15456	SIPO	QR	69419830
390723	1329	1998-08-08	VYDAJ	PREVOD NA UCET	3368	12159	SIPO	QR	69419830
390724	1329	1998-09-08	VYDAJ	PREVOD NA UCET	3368	10445	SIPO	QR	69419830
390725	1329	1998-10-08	VYDAJ	PREVOD NA UCET	3368	8885	SIPO	QR	69419830
390726	1329	1998-11-08	VYDAJ	PREVOD NA UCET	3368	19522	SIPO	QR	69419830
390727	1329	1998-12-08	VYDAJ	PREVOD NA UCET	3368	29973	SIPO	QR	69419830
390741	1329	1997-02-06	VYDAJ	PREVOD NA UCET	5081	39586	 	AB	48227208
390742	1329	1997-03-06	VYDAJ	PREVOD NA UCET	5081	30344	 	AB	48227208
390743	1329	1997-04-06	VYDAJ	PREVOD NA UCET	5081	29450	 	AB	48227208
390744	1329	1997-05-06	VYDAJ	PREVOD NA UCET	5081	26742	 	AB	48227208
390745	1329	1997-06-06	VYDAJ	PREVOD NA UCET	5081	32306	 	AB	48227208
390746	1329	1997-07-06	VYDAJ	PREVOD NA UCET	5081	25702	 	AB	48227208
390747	1329	1997-08-06	VYDAJ	PREVOD NA UCET	5081	24886	 	AB	48227208
390748	1329	1997-09-06	VYDAJ	PREVOD NA UCET	5081	25767	 	AB	48227208
390749	1329	1997-10-06	VYDAJ	PREVOD NA UCET	5081	25286	 	AB	48227208
390750	1329	1997-11-06	VYDAJ	PREVOD NA UCET	5081	20089	 	AB	48227208
390751	1329	1997-12-06	VYDAJ	PREVOD NA UCET	5081	23861	 	AB	48227208
390752	1329	1998-01-06	VYDAJ	PREVOD NA UCET	5081	21662	 	AB	48227208
390753	1329	1998-02-06	VYDAJ	PREVOD NA UCET	5081	21765	 	AB	48227208
390754	1329	1998-03-06	VYDAJ	PREVOD NA UCET	5081	26484	 	AB	48227208
390755	1329	1998-04-06	VYDAJ	PREVOD NA UCET	5081	26107	 	AB	48227208
390756	1329	1998-05-06	VYDAJ	PREVOD NA UCET	5081	23321	 	AB	48227208
390757	1329	1998-06-06	VYDAJ	PREVOD NA UCET	5081	27407	 	AB	48227208
390758	1329	1998-07-06	VYDAJ	PREVOD NA UCET	5081	25224	 	AB	48227208
390759	1329	1998-08-06	VYDAJ	PREVOD NA UCET	5081	20227	 	AB	48227208
390760	1329	1998-09-06	VYDAJ	PREVOD NA UCET	5081	13813	 	AB	48227208
390761	1329	1998-10-06	VYDAJ	PREVOD NA UCET	5081	15153	 	AB	48227208
390762	1329	1998-11-06	VYDAJ	PREVOD NA UCET	5081	22890	 	AB	48227208
390763	1329	1998-12-06	VYDAJ	PREVOD NA UCET	5081	33341	 	AB	48227208
390772	1329	1997-03-05	VYBER	VYBER	4472	23664	\N	\N	\N
390782	1329	1998-12-10	VYDAJ	VYBER	2400	27573	\N	\N	\N
390832	1329	1997-02-28	VYDAJ	VYBER	15	29836	SLUZBY	\N	\N
390833	1329	1997-03-31	VYDAJ	VYBER	15	24570	SLUZBY	\N	\N
390834	1329	1997-04-30	VYDAJ	VYBER	15	20062	SLUZBY	\N	\N
390835	1329	1997-05-31	VYDAJ	VYBER	15	19745	SLUZBY	\N	\N
390836	1329	1997-06-30	VYDAJ	VYBER	15	21222	SLUZBY	\N	\N
390837	1329	1997-07-31	VYDAJ	VYBER	15	19906	SLUZBY	\N	\N
390838	1329	1997-08-31	VYDAJ	VYBER	15	19087	SLUZBY	\N	\N
390839	1329	1997-09-30	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
390840	1329	1997-10-31	VYDAJ	VYBER	15	13409	SLUZBY	\N	\N
390841	1329	1997-11-30	VYDAJ	VYBER	15	11300	SLUZBY	\N	\N
390842	1329	1997-12-31	VYDAJ	VYBER	15	14982	SLUZBY	\N	\N
390843	1329	1998-01-31	VYDAJ	VYBER	15	15085	SLUZBY	\N	\N
390844	1329	1998-02-28	VYDAJ	VYBER	15	19804	SLUZBY	\N	\N
390845	1329	1998-03-31	VYDAJ	VYBER	15	19427	SLUZBY	\N	\N
390846	1329	1998-04-30	VYDAJ	VYBER	15	16641	SLUZBY	\N	\N
390847	1329	1998-05-31	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
390848	1329	1998-06-30	VYDAJ	VYBER	15	18544	SLUZBY	\N	\N
390849	1329	1998-07-31	VYDAJ	VYBER	15	13547	SLUZBY	\N	\N
390850	1329	1998-08-31	VYDAJ	VYBER	15	10233	SLUZBY	\N	\N
390851	1329	1998-09-30	VYDAJ	VYBER	15	8473	SLUZBY	\N	\N
390852	1329	1998-10-31	VYDAJ	VYBER	15	8910	SLUZBY	\N	\N
390853	1329	1998-11-30	VYDAJ	VYBER	15	17280	SLUZBY	\N	\N
390854	1329	1996-10-16	PRIJEM	VKLAD	5000	17261	\N	\N	\N
390855	1329	1996-11-15	VYDAJ	VYBER	3900	25159	\N	\N	\N
390856	1329	1996-12-15	VYDAJ	VYBER	11200	31691	\N	\N	\N
390857	1329	1997-01-14	VYDAJ	VYBER	10800	32771	\N	\N	\N
390858	1329	1997-02-13	VYDAJ	VYBER	4200	29718	\N	\N	\N
390859	1329	1997-03-15	VYDAJ	VYBER	2500	24476	\N	\N	\N
390860	1329	1997-04-14	VYDAJ	VYBER	6100	19982	\N	\N	\N
390861	1329	1997-05-14	VYDAJ	VYBER	1500	19674	\N	\N	\N
390862	1329	1997-06-13	VYDAJ	VYBER	5200	23738	\N	\N	\N
390863	1329	1997-07-13	VYDAJ	VYBER	2500	19834	\N	\N	\N
390864	1329	1997-08-12	VYDAJ	VYBER	2500	19018	\N	\N	\N
390865	1329	1997-09-11	VYDAJ	VYBER	1900	20499	\N	\N	\N
390866	1329	1997-10-11	VYDAJ	VYBER	6600	15318	\N	\N	\N
390867	1329	1997-11-10	VYDAJ	VYBER	3500	13221	\N	\N	\N
390868	1329	1997-12-10	VYDAJ	VYBER	3600	16893	\N	\N	\N
390869	1329	1998-01-09	VYDAJ	VYBER	1300	16994	\N	\N	\N
390870	1329	1998-02-08	PRIJEM	VKLAD	3300	25065	\N	\N	\N
390871	1329	1998-03-10	VYDAJ	VYBER	1800	21316	\N	\N	\N
390872	1329	1998-04-09	VYDAJ	VYBER	4200	18539	\N	\N	\N
390873	1329	1998-05-09	VYDAJ	VYBER	3200	16753	\N	\N	\N
390875	1329	1998-07-08	VYDAJ	VYBER	6400	18824	\N	\N	\N
390876	1329	1998-08-07	VYDAJ	VYBER	4700	15527	\N	\N	\N
390877	1329	1998-09-06	VYDAJ	VYBER	3100	18894	\N	\N	\N
390878	1329	1998-10-06	VYDAJ	VYBER	1000	14153	\N	\N	\N
390879	1329	1998-11-05	PRIJEM	VKLAD	7300	16210	\N	\N	\N
390880	1329	1998-12-05	PRIJEM	VKLAD	3500	20780	\N	\N	\N
390908	1330	1996-10-22	PRIJEM	VKLAD	900	900	\N	\N	\N
390917	1330	1996-11-01	PRIJEM	VKLAD	40163	41063	\N	\N	\N
390924	1330	1997-03-16	PRIJEM	VKLAD	40382	119558	\N	\N	\N
390925	1330	1997-08-22	PRIJEM	VKLAD	47833	80808	\N	\N	\N
390926	1330	1997-04-04	PRIJEM	VKLAD	48413	106112	\N	\N	\N
390927	1330	1997-06-05	PRIJEM	VKLAD	17825	49035	\N	\N	\N
390928	1330	1997-03-11	PRIJEM	VKLAD	27798	79176	\N	\N	\N
390929	1330	1997-08-29	PRIJEM	VKLAD	7392	125730	\N	\N	\N
390930	1330	1997-09-25	PRIJEM	VKLAD	24804	61413	\N	\N	\N
390931	1330	1997-07-09	PRIJEM	VKLAD	33555	129418	\N	\N	\N
390932	1330	1997-02-11	PRIJEM	VKLAD	18241	89053	\N	\N	\N
390933	1330	1997-08-29	PRIJEM	VKLAD	46230	118338	\N	\N	\N
390934	1330	1997-10-25	PRIJEM	VKLAD	12979	74655	\N	\N	\N
390935	1330	1997-02-03	PRIJEM	VKLAD	49868	70812	\N	\N	\N
390936	1330	1997-08-11	PRIJEM	VKLAD	9712	58987	\N	\N	\N
390937	1330	1997-05-04	PRIJEM	VKLAD	11350	47781	\N	\N	\N
390938	1330	1997-10-20	PRIJEM	VKLAD	30977	70676	\N	\N	\N
390939	1330	1997-10-25	PRIJEM	VKLAD	49120	123775	\N	\N	\N
390940	1330	1997-10-07	PRIJEM	VKLAD	23415	70999	\N	\N	\N
390941	1330	1997-06-23	PRIJEM	VKLAD	48585	95615	\N	\N	\N
390942	1330	1997-09-10	PRIJEM	VKLAD	41290	133568	\N	\N	\N
390943	1330	1997-09-11	PRIJEM	VKLAD	8745	100813	\N	\N	\N
390944	1330	1997-08-14	PRIJEM	VKLAD	36256	84305	\N	\N	\N
390945	1330	1997-06-05	PRIJEM	VKLAD	40095	89130	\N	\N	\N
390946	1330	1997-09-08	PRIJEM	VKLAD	18366	92278	\N	\N	\N
390947	1330	1997-07-27	PRIJEM	VKLAD	13756	48774	\N	\N	\N
390948	1330	1997-08-30	PRIJEM	VKLAD	48345	117175	\N	\N	\N
390949	1330	1997-08-17	PRIJEM	VKLAD	31870	116175	\N	\N	\N
390950	1330	1997-09-12	PRIJEM	VKLAD	16101	116914	\N	\N	\N
390951	1330	1997-08-04	PRIJEM	VKLAD	9241	58275	\N	\N	\N
390952	1330	1998-08-01	PRIJEM	VKLAD	20548	51113	\N	\N	\N
390953	1330	1998-02-13	PRIJEM	VKLAD	8868	21279	\N	\N	\N
390954	1330	1998-12-13	PRIJEM	VKLAD	42366	32993	\N	\N	\N
390955	1330	1998-01-14	PRIJEM	VKLAD	38880	53337	\N	\N	\N
390956	1330	1998-07-16	PRIJEM	VKLAD	30276	46693	\N	\N	\N
390957	1330	1998-02-21	PRIJEM	VKLAD	45317	60296	\N	\N	\N
390973	1330	1997-04-08	VYDAJ	VYBER	8200	57212	SIPO	\N	0
390974	1330	1997-05-18	VYDAJ	VYBER	6900	40881	SIPO	\N	0
390975	1330	1997-06-15	VYDAJ	VYBER	8100	81030	SIPO	\N	0
390976	1330	1997-07-23	VYDAJ	VYBER	9500	35018	SIPO	\N	0
390977	1330	1997-08-08	VYDAJ	VYBER	9000	49275	SIPO	\N	0
390978	1330	1997-09-19	VYDAJ	VYBER	7400	36609	SIPO	\N	0
390979	1330	1997-10-16	VYDAJ	VYBER	7800	63199	SIPO	\N	0
390980	1330	1997-11-13	VYDAJ	VYBER	6400	65493	SIPO	\N	0
390981	1330	1997-12-23	VYDAJ	VYBER	6500	14375	SIPO	\N	0
390982	1330	1998-01-15	VYDAJ	VYBER	8500	39737	SIPO	\N	0
390983	1330	1998-02-06	VYDAJ	VYBER	8400	12411	SIPO	\N	0
390984	1330	1998-03-18	VYDAJ	VYBER	8900	33409	SIPO	\N	0
390985	1330	1998-04-12	VYDAJ	VYBER	6200	27395	SIPO	\N	0
390986	1330	1998-05-13	VYDAJ	VYBER	8100	13894	SIPO	\N	0
390987	1330	1998-06-05	VYDAJ	VYBER	7400	9659	SIPO	\N	0
390988	1330	1998-07-06	VYDAJ	VYBER	6400	11317	SIPO	\N	0
390989	1330	1998-08-10	VYDAJ	VYBER	9700	26713	SIPO	\N	0
390990	1330	1998-09-16	VYDAJ	VYBER	6900	14404	SIPO	\N	0
390991	1330	1998-10-12	VYDAJ	VYBER	7700	7665	SIPO	\N	0
390992	1330	1998-11-05	VYDAJ	VYBER	7600	111	SIPO	\N	0
390993	1330	1998-12-12	VYDAJ	VYBER	9500	-9373	SIPO	\N	0
390996	1330	1997-08-11	VYBER	VYBER	10938	48049	\N	\N	\N
390997	1330	1997-11-18	VYBER	VYBER	9912	26781	\N	\N	\N
390998	1330	1997-09-16	VYBER	VYBER	7405	68309	\N	\N	\N
391002	1330	1998-07-28	VYBER	VYBER	16240	30453	\N	\N	\N
391013	1330	1998-12-14	VYDAJ	VYBER	6900	26093	\N	\N	\N
391026	1330	1998-01-20	VYDAJ	VYBER	5100	20737	\N	\N	\N
391028	1330	1998-01-14	VYDAJ	VYBER	5100	48237	\N	\N	\N
391029	1330	1998-01-15	VYDAJ	VYBER	6600	33137	\N	\N	\N
391034	1330	1997-08-25	VYDAJ	VYBER	8700	72108	\N	\N	\N
391035	1330	1997-10-23	VYDAJ	VYBER	9000	61676	\N	\N	\N
391037	1330	1997-03-19	VYDAJ	VYBER	9300	94558	\N	\N	\N
391038	1330	1997-09-27	VYDAJ	VYBER	14100	47313	\N	\N	\N
391044	1330	1998-08-06	VYDAJ	VYBER	14700	36413	\N	\N	\N
391060	1330	1997-03-31	VYDAJ	VYBER	15	57699	SLUZBY	\N	\N
391061	1330	1997-04-30	VYDAJ	VYBER	15	36431	SLUZBY	\N	\N
391062	1330	1997-05-31	VYDAJ	VYBER	15	31210	SLUZBY	\N	\N
391063	1330	1997-06-30	VYDAJ	VYBER	15	95863	SLUZBY	\N	\N
391064	1330	1997-07-31	VYDAJ	VYBER	15	49034	SLUZBY	\N	\N
391065	1330	1997-08-31	VYDAJ	VYBER	15	73912	SLUZBY	\N	\N
391066	1330	1997-09-30	VYDAJ	VYBER	15	47584	SLUZBY	\N	\N
391067	1330	1997-10-31	VYDAJ	VYBER	15	71893	SLUZBY	\N	\N
391068	1330	1997-11-30	VYDAJ	VYBER	15	26975	SLUZBY	\N	\N
391069	1330	1997-12-31	VYDAJ	VYBER	15	14457	SLUZBY	\N	\N
391070	1330	1998-01-31	VYDAJ	VYBER	15	20811	SLUZBY	\N	\N
391071	1330	1998-02-28	VYDAJ	VYBER	15	60409	SLUZBY	\N	\N
391072	1330	1998-03-31	VYDAJ	VYBER	15	33595	SLUZBY	\N	\N
391073	1330	1998-04-30	VYDAJ	VYBER	15	21994	SLUZBY	\N	\N
391074	1330	1998-05-31	VYDAJ	VYBER	15	17059	SLUZBY	\N	\N
391075	1330	1998-06-30	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
391076	1330	1998-07-31	VYDAJ	VYBER	15	30565	SLUZBY	\N	\N
391077	1330	1998-08-31	VYDAJ	VYBER	15	21804	SLUZBY	\N	\N
391078	1330	1998-09-30	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
391079	1330	1998-10-31	VYDAJ	VYBER	15	7711	SLUZBY	\N	\N
391080	1330	1998-11-30	VYDAJ	VYBER	15	127	SLUZBY	\N	\N
391081	1330	1996-11-21	VYDAJ	VYBER	12200	28863	\N	\N	\N
391082	1330	1996-12-21	VYDAJ	VYBER	5000	23903	\N	\N	\N
391083	1330	1997-01-20	VYDAJ	VYBER	3200	20823	\N	\N	\N
391084	1330	1997-02-19	VYDAJ	VYBER	37900	51153	\N	\N	\N
391085	1330	1997-03-16	VYDAJ	VYBER	15700	103858	\N	\N	\N
391086	1330	1997-03-21	VYDAJ	VYBER	37100	57458	\N	\N	\N
391087	1330	1997-04-04	VYDAJ	VYBER	40700	65412	\N	\N	\N
391088	1330	1997-04-20	VYDAJ	VYBER	21000	36212	\N	\N	\N
391089	1330	1997-05-20	VYDAJ	VYBER	9800	31081	\N	\N	\N
391090	1330	1997-06-19	VYDAJ	VYBER	34000	47030	\N	\N	\N
391091	1330	1997-07-09	VYDAJ	VYBER	58600	70818	\N	\N	\N
391092	1330	1997-07-19	VYDAJ	VYBER	26300	44518	\N	\N	\N
391093	1330	1997-08-17	VYDAJ	VYBER	57200	58975	\N	\N	\N
391094	1330	1997-08-18	VYDAJ	VYBER	26000	32975	\N	\N	\N
391095	1330	1997-08-29	VYDAJ	VYBER	56900	68830	\N	\N	\N
391096	1330	1997-08-30	VYDAJ	VYBER	43500	73675	\N	\N	\N
391097	1330	1997-09-10	VYDAJ	VYBER	41500	92068	\N	\N	\N
391098	1330	1997-09-12	VYDAJ	VYBER	41200	75714	\N	\N	\N
391099	1330	1997-09-17	VYDAJ	VYBER	24300	44009	\N	\N	\N
391100	1330	1997-10-17	VYDAJ	VYBER	23500	39699	\N	\N	\N
391101	1330	1997-10-25	VYDAJ	VYBER	52100	71675	\N	\N	\N
391102	1330	1997-11-16	VYDAJ	VYBER	28800	36693	\N	\N	\N
391103	1330	1997-12-16	VYDAJ	VYBER	6100	20875	\N	\N	\N
391104	1330	1998-01-15	VYDAJ	VYBER	7300	25837	\N	\N	\N
391105	1330	1998-02-14	VYDAJ	VYBER	6300	14979	\N	\N	\N
391106	1330	1998-03-16	VYDAJ	VYBER	18100	42309	\N	\N	\N
391107	1330	1998-04-15	VYDAJ	VYBER	5500	21895	\N	\N	\N
391108	1330	1998-05-15	PRIJEM	VKLAD	3100	16994	\N	\N	\N
391109	1330	1998-06-14	PRIJEM	VKLAD	8000	17659	\N	\N	\N
391110	1330	1998-07-14	PRIJEM	VKLAD	5100	16417	\N	\N	\N
391111	1330	1998-08-13	VYDAJ	VYBER	5000	21713	\N	\N	\N
391112	1330	1998-09-12	VYDAJ	VYBER KARTOU	500	21304	\N	\N	0
391113	1330	1998-10-12	PRIJEM	VKLAD	900	15365	\N	\N	\N
391142	1331	1995-01-03	PRIJEM	VKLAD	600	600	\N	\N	\N
391143	1331	1995-01-10	PRIJEM	PREVOD Z UCTU	10790	11390	\N	YZ	69191479
391144	1331	1995-02-10	PRIJEM	PREVOD Z UCTU	10790	30914	\N	YZ	69191479
391145	1331	1995-03-10	PRIJEM	PREVOD Z UCTU	10790	36806	\N	YZ	69191479
391146	1331	1995-04-10	PRIJEM	PREVOD Z UCTU	10790	40043	\N	YZ	69191479
391147	1331	1995-05-10	PRIJEM	PREVOD Z UCTU	10790	44595	\N	YZ	69191479
391148	1331	1995-06-10	PRIJEM	PREVOD Z UCTU	16185	44430	\N	YZ	69191479
391149	1331	1995-07-10	PRIJEM	PREVOD Z UCTU	10790	39065	\N	YZ	69191479
391150	1331	1995-08-10	PRIJEM	PREVOD Z UCTU	10790	38084	\N	YZ	69191479
391151	1331	1995-09-10	PRIJEM	PREVOD Z UCTU	10790	38196	\N	YZ	69191479
391152	1331	1995-10-10	PRIJEM	PREVOD Z UCTU	10790	41305	\N	YZ	69191479
391153	1331	1995-11-10	PRIJEM	PREVOD Z UCTU	10790	33809	\N	YZ	69191479
391154	1331	1995-12-10	PRIJEM	PREVOD Z UCTU	16185	38892	\N	YZ	69191479
391155	1331	1996-01-10	PRIJEM	PREVOD Z UCTU	10790	26686	\N	YZ	69191479
391156	1331	1996-02-10	PRIJEM	PREVOD Z UCTU	10790	28337	\N	YZ	69191479
391157	1331	1996-03-10	PRIJEM	PREVOD Z UCTU	10790	33204	\N	YZ	69191479
391158	1331	1996-04-10	PRIJEM	PREVOD Z UCTU	10790	31888	\N	YZ	69191479
391159	1331	1996-05-10	PRIJEM	PREVOD Z UCTU	10790	28486	\N	YZ	69191479
391160	1331	1996-06-10	PRIJEM	PREVOD Z UCTU	16185	36347	\N	YZ	69191479
391161	1331	1996-07-10	PRIJEM	PREVOD Z UCTU	10790	32034	\N	YZ	69191479
391162	1331	1996-08-10	PRIJEM	PREVOD Z UCTU	10790	32813	\N	YZ	69191479
391163	1331	1996-09-10	PRIJEM	PREVOD Z UCTU	10790	29505	\N	YZ	69191479
391164	1331	1996-10-10	PRIJEM	PREVOD Z UCTU	10790	30972	\N	YZ	69191479
391165	1331	1996-11-10	PRIJEM	PREVOD Z UCTU	10790	34749	\N	YZ	69191479
391166	1331	1996-12-10	PRIJEM	PREVOD Z UCTU	16185	40630	\N	YZ	69191479
391167	1331	1997-01-10	PRIJEM	PREVOD Z UCTU	10790	33117	\N	YZ	69191479
391168	1331	1997-02-10	PRIJEM	PREVOD Z UCTU	10790	27592	\N	YZ	69191479
391169	1331	1997-03-10	PRIJEM	PREVOD Z UCTU	10790	27848	\N	YZ	69191479
391170	1331	1997-04-10	PRIJEM	PREVOD Z UCTU	10790	25804	\N	YZ	69191479
391171	1331	1997-05-10	PRIJEM	PREVOD Z UCTU	10790	27254	\N	YZ	69191479
391172	1331	1997-06-10	PRIJEM	PREVOD Z UCTU	16185	27898	\N	YZ	69191479
391173	1331	1997-07-10	PRIJEM	PREVOD Z UCTU	10790	27847	\N	YZ	69191479
391174	1331	1997-08-10	PRIJEM	PREVOD Z UCTU	10790	24094	\N	YZ	69191479
391175	1331	1997-09-10	PRIJEM	PREVOD Z UCTU	10790	22531	\N	YZ	69191479
391176	1331	1997-10-10	PRIJEM	PREVOD Z UCTU	10790	28974	\N	YZ	69191479
391177	1331	1997-11-10	PRIJEM	PREVOD Z UCTU	10790	21219	\N	YZ	69191479
391178	1331	1997-12-10	PRIJEM	PREVOD Z UCTU	16185	33052	\N	YZ	69191479
391179	1331	1998-01-10	PRIJEM	PREVOD Z UCTU	10790	25205	\N	YZ	69191479
391180	1331	1998-02-10	PRIJEM	PREVOD Z UCTU	10790	20236	\N	YZ	69191479
391181	1331	1998-03-10	PRIJEM	PREVOD Z UCTU	10790	18953	\N	YZ	69191479
391182	1331	1998-04-10	PRIJEM	PREVOD Z UCTU	10790	25381	\N	YZ	69191479
391183	1331	1998-05-10	PRIJEM	PREVOD Z UCTU	10790	31836	\N	YZ	69191479
391184	1331	1998-06-10	PRIJEM	PREVOD Z UCTU	16185	27480	\N	YZ	69191479
391185	1331	1998-07-10	PRIJEM	PREVOD Z UCTU	10790	33936	\N	YZ	69191479
391186	1331	1998-08-10	PRIJEM	PREVOD Z UCTU	10790	40426	\N	YZ	69191479
391187	1331	1998-09-10	PRIJEM	PREVOD Z UCTU	10790	35824	\N	YZ	69191479
391188	1331	1998-10-10	PRIJEM	PREVOD Z UCTU	10790	42321	\N	YZ	69191479
391189	1331	1998-11-10	PRIJEM	PREVOD Z UCTU	10790	48846	\N	YZ	69191479
391190	1331	1998-12-10	PRIJEM	PREVOD Z UCTU	16185	60793	\N	YZ	69191479
391196	1331	1995-06-05	VYDAJ	PREVOD NA UCET	1096	31565	SIPO	YZ	74847352
391197	1331	1995-07-05	VYDAJ	PREVOD NA UCET	1096	31595	SIPO	YZ	74847352
391198	1331	1995-08-05	VYDAJ	PREVOD NA UCET	1096	30614	SIPO	YZ	74847352
391199	1331	1995-09-05	VYDAJ	PREVOD NA UCET	1096	30726	SIPO	YZ	74847352
391200	1331	1995-10-05	VYDAJ	PREVOD NA UCET	1096	33835	SIPO	YZ	74847352
391201	1331	1995-11-05	VYDAJ	PREVOD NA UCET	1096	26339	SIPO	YZ	74847352
391202	1331	1995-12-05	VYDAJ	PREVOD NA UCET	1096	26027	SIPO	YZ	74847352
391203	1331	1996-01-05	VYDAJ	PREVOD NA UCET	1096	19216	SIPO	YZ	74847352
391204	1331	1996-02-05	VYDAJ	PREVOD NA UCET	1096	20867	SIPO	YZ	74847352
391205	1331	1996-03-05	VYDAJ	PREVOD NA UCET	1096	25734	SIPO	YZ	74847352
391206	1331	1996-04-05	VYDAJ	PREVOD NA UCET	1096	24418	SIPO	YZ	74847352
391207	1331	1996-05-05	VYDAJ	PREVOD NA UCET	1096	21016	SIPO	YZ	74847352
391208	1331	1996-06-05	VYDAJ	PREVOD NA UCET	1096	23482	SIPO	YZ	74847352
391209	1331	1996-07-05	VYDAJ	PREVOD NA UCET	1096	24564	SIPO	YZ	74847352
391210	1331	1996-08-05	VYDAJ	PREVOD NA UCET	1096	25343	SIPO	YZ	74847352
391211	1331	1996-09-05	VYDAJ	PREVOD NA UCET	1096	22035	SIPO	YZ	74847352
391212	1331	1996-10-05	VYDAJ	PREVOD NA UCET	1096	23502	SIPO	YZ	74847352
391213	1331	1996-11-05	VYDAJ	PREVOD NA UCET	1096	27279	SIPO	YZ	74847352
391214	1331	1996-12-05	VYDAJ	PREVOD NA UCET	1096	27765	SIPO	YZ	74847352
391215	1331	1997-01-05	VYDAJ	PREVOD NA UCET	1096	25647	SIPO	YZ	74847352
391216	1331	1997-02-05	VYDAJ	PREVOD NA UCET	1096	20122	SIPO	YZ	74847352
391217	1331	1997-03-05	VYDAJ	PREVOD NA UCET	1096	20378	SIPO	YZ	74847352
391218	1331	1997-04-05	VYDAJ	PREVOD NA UCET	1096	18334	SIPO	YZ	74847352
391219	1331	1997-05-05	VYDAJ	PREVOD NA UCET	1096	19784	SIPO	YZ	74847352
391220	1331	1997-06-05	VYDAJ	PREVOD NA UCET	1096	15033	SIPO	YZ	74847352
391221	1331	1997-07-05	VYDAJ	PREVOD NA UCET	1096	20377	SIPO	YZ	74847352
391222	1331	1997-08-05	VYDAJ	PREVOD NA UCET	1096	16624	SIPO	YZ	74847352
391223	1331	1997-09-05	VYDAJ	PREVOD NA UCET	1096	15061	SIPO	YZ	74847352
391224	1331	1997-10-05	VYDAJ	PREVOD NA UCET	1096	21504	SIPO	YZ	74847352
391225	1331	1997-11-05	VYDAJ	PREVOD NA UCET	1096	13749	SIPO	YZ	74847352
391226	1331	1997-12-05	VYDAJ	PREVOD NA UCET	1096	20187	SIPO	YZ	74847352
391227	1331	1998-01-05	VYDAJ	PREVOD NA UCET	1096	17735	SIPO	YZ	74847352
391228	1331	1998-02-05	VYDAJ	PREVOD NA UCET	1096	12766	SIPO	YZ	74847352
391229	1331	1998-03-05	VYDAJ	PREVOD NA UCET	1096	11483	SIPO	YZ	74847352
391230	1331	1998-04-05	VYDAJ	PREVOD NA UCET	1096	17911	SIPO	YZ	74847352
391231	1331	1998-05-05	VYDAJ	PREVOD NA UCET	1096	24366	SIPO	YZ	74847352
391232	1331	1998-06-05	VYDAJ	PREVOD NA UCET	1096	14615	SIPO	YZ	74847352
391233	1331	1998-07-05	VYDAJ	PREVOD NA UCET	1096	26466	SIPO	YZ	74847352
391234	1331	1998-08-05	VYDAJ	PREVOD NA UCET	1096	32956	SIPO	YZ	74847352
391235	1331	1998-09-05	VYDAJ	PREVOD NA UCET	1096	28354	SIPO	YZ	74847352
391236	1331	1998-10-05	VYDAJ	PREVOD NA UCET	1096	34851	SIPO	YZ	74847352
391237	1331	1998-11-05	VYDAJ	PREVOD NA UCET	1096	41376	SIPO	YZ	74847352
391238	1331	1998-12-05	VYDAJ	PREVOD NA UCET	1096	47928	SIPO	YZ	74847352
391244	1331	1995-06-08	VYDAJ	PREVOD NA UCET	3320	28245	 	EF	79824220
391245	1331	1995-07-08	VYDAJ	PREVOD NA UCET	3320	28275	 	EF	79824220
391246	1331	1995-08-08	VYDAJ	PREVOD NA UCET	3320	27294	 	EF	79824220
391247	1331	1995-09-08	VYDAJ	PREVOD NA UCET	3320	27406	 	EF	79824220
391248	1331	1995-10-08	VYDAJ	PREVOD NA UCET	3320	30515	 	EF	79824220
391249	1331	1995-11-08	VYDAJ	PREVOD NA UCET	3320	23019	 	EF	79824220
391250	1331	1995-12-08	VYDAJ	PREVOD NA UCET	3320	22707	 	EF	79824220
391251	1331	1996-01-08	VYDAJ	PREVOD NA UCET	3320	15896	 	EF	79824220
391252	1331	1996-02-08	VYDAJ	PREVOD NA UCET	3320	17547	 	EF	79824220
391253	1331	1996-03-08	VYDAJ	PREVOD NA UCET	3320	22414	 	EF	79824220
391254	1331	1996-04-08	VYDAJ	PREVOD NA UCET	3320	21098	 	EF	79824220
391255	1331	1996-05-08	VYDAJ	PREVOD NA UCET	3320	17696	 	EF	79824220
391256	1331	1996-06-08	VYDAJ	PREVOD NA UCET	3320	20162	 	EF	79824220
391257	1331	1996-07-08	VYDAJ	PREVOD NA UCET	3320	21244	 	EF	79824220
391258	1331	1996-08-08	VYDAJ	PREVOD NA UCET	3320	22023	 	EF	79824220
391259	1331	1996-09-08	VYDAJ	PREVOD NA UCET	3320	18715	 	EF	79824220
391260	1331	1996-10-08	VYDAJ	PREVOD NA UCET	3320	20182	 	EF	79824220
391261	1331	1996-11-08	VYDAJ	PREVOD NA UCET	3320	23959	 	EF	79824220
391262	1331	1996-12-08	VYDAJ	PREVOD NA UCET	3320	24445	 	EF	79824220
391263	1331	1997-01-08	VYDAJ	PREVOD NA UCET	3320	22327	 	EF	79824220
391264	1331	1997-02-08	VYDAJ	PREVOD NA UCET	3320	16802	 	EF	79824220
391265	1331	1997-03-08	VYDAJ	PREVOD NA UCET	3320	17058	 	EF	79824220
391266	1331	1997-04-08	VYDAJ	PREVOD NA UCET	3320	15014	 	EF	79824220
391267	1331	1997-05-08	VYDAJ	PREVOD NA UCET	3320	16464	 	EF	79824220
391268	1331	1997-06-08	VYDAJ	PREVOD NA UCET	3320	11713	 	EF	79824220
391269	1331	1997-07-08	VYDAJ	PREVOD NA UCET	3320	17057	 	EF	79824220
391270	1331	1997-08-08	VYDAJ	PREVOD NA UCET	3320	13304	 	EF	79824220
391271	1331	1997-09-08	VYDAJ	PREVOD NA UCET	3320	11741	 	EF	79824220
391272	1331	1997-10-08	VYDAJ	PREVOD NA UCET	3320	18184	 	EF	79824220
391273	1331	1997-11-08	VYDAJ	PREVOD NA UCET	3320	10429	 	EF	79824220
391274	1331	1997-12-08	VYDAJ	PREVOD NA UCET	3320	16867	 	EF	79824220
391275	1331	1998-01-08	VYDAJ	PREVOD NA UCET	3320	14415	 	EF	79824220
391276	1331	1998-02-08	VYDAJ	PREVOD NA UCET	3320	9446	 	EF	79824220
391277	1331	1998-03-08	VYDAJ	PREVOD NA UCET	3320	8163	 	EF	79824220
391278	1331	1998-04-08	VYDAJ	PREVOD NA UCET	3320	14591	 	EF	79824220
391279	1331	1998-05-08	VYDAJ	PREVOD NA UCET	3320	21046	 	EF	79824220
391280	1331	1998-06-08	VYDAJ	PREVOD NA UCET	3320	11295	 	EF	79824220
391281	1331	1998-07-08	VYDAJ	PREVOD NA UCET	3320	23146	 	EF	79824220
391282	1331	1998-08-08	VYDAJ	PREVOD NA UCET	3320	29636	 	EF	79824220
391283	1331	1998-09-08	VYDAJ	PREVOD NA UCET	3320	25034	 	EF	79824220
391284	1331	1998-10-08	VYDAJ	PREVOD NA UCET	3320	31531	 	EF	79824220
391285	1331	1998-11-08	VYDAJ	PREVOD NA UCET	3320	38056	 	EF	79824220
391286	1331	1998-12-08	VYDAJ	PREVOD NA UCET	3320	44608	 	EF	79824220
391289	1331	1996-08-29	VYBER	VYBER	5089	23024	\N	\N	\N
391296	1331	1996-04-26	VYBER	VYBER	5279	26609	\N	\N	\N
391314	1331	1995-12-17	VYDAJ	VYBER	5400	33492	\N	\N	\N
391315	1331	1996-12-14	VYDAJ	VYBER	7500	33130	\N	\N	\N
391324	1331	1996-01-02	VYDAJ	VYBER	7500	20312	\N	\N	\N
391325	1331	1996-01-14	VYDAJ	VYBER	4800	21886	\N	\N	\N
391327	1331	1996-01-01	VYDAJ	VYBER	3600	27812	\N	\N	\N
391332	1331	1997-01-22	VYDAJ	VYBER	6300	26817	\N	\N	\N
391335	1331	1997-01-29	VYDAJ	VYBER	3600	21117	\N	\N	\N
391337	1331	1998-01-14	VYDAJ	VYBER	2100	23105	\N	\N	\N
391343	1331	1995-10-18	VYDAJ	VYBER	9000	32305	\N	\N	\N
391344	1331	1995-11-25	VYDAJ	VYBER	2700	31109	\N	\N	\N
391346	1331	1996-06-25	VYDAJ	VYBER	1800	34547	\N	\N	\N
391347	1331	1996-11-19	VYDAJ	VYBER	3000	31749	\N	\N	\N
391351	1331	1997-07-12	VYDAJ	VYBER	3300	24547	\N	\N	\N
391357	1331	1998-08-19	VYDAJ	VYBER	11100	29326	\N	\N	\N
391366	1331	1995-05-31	VYDAJ	VYBER	15	44761	SLUZBY	\N	\N
391367	1331	1995-06-30	VYDAJ	VYBER	15	44591	SLUZBY	\N	\N
391368	1331	1995-07-31	VYDAJ	VYBER	15	39210	SLUZBY	\N	\N
391369	1331	1995-08-31	VYDAJ	VYBER	15	31822	SLUZBY	\N	\N
391370	1331	1995-09-30	VYDAJ	VYBER	15	38331	SLUZBY	\N	\N
391371	1331	1995-10-31	VYDAJ	VYBER	15	27435	SLUZBY	\N	\N
391372	1331	1995-11-30	VYDAJ	VYBER	15	27123	SLUZBY	\N	\N
391373	1331	1995-12-31	VYDAJ	VYBER	15	31412	SLUZBY	\N	\N
391374	1331	1996-01-31	VYDAJ	VYBER	15	21963	SLUZBY	\N	\N
391375	1331	1996-02-29	VYDAJ	VYBER	15	26830	SLUZBY	\N	\N
391376	1331	1996-03-31	VYDAJ	VYBER	15	25514	SLUZBY	\N	\N
391377	1331	1996-04-30	VYDAJ	VYBER	15	22112	SLUZBY	\N	\N
391378	1331	1996-05-31	VYDAJ	VYBER	15	24578	SLUZBY	\N	\N
391379	1331	1996-06-30	VYDAJ	VYBER	15	25660	SLUZBY	\N	\N
391380	1331	1996-07-31	VYDAJ	VYBER	15	26439	SLUZBY	\N	\N
391381	1331	1996-08-31	VYDAJ	VYBER	15	23131	SLUZBY	\N	\N
391382	1331	1996-09-30	VYDAJ	VYBER	15	24598	SLUZBY	\N	\N
391383	1331	1996-10-31	VYDAJ	VYBER	15	28375	SLUZBY	\N	\N
391384	1331	1996-11-30	VYDAJ	VYBER	15	28861	SLUZBY	\N	\N
391385	1331	1996-12-31	VYDAJ	VYBER	15	26743	SLUZBY	\N	\N
391386	1331	1997-01-31	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
391387	1331	1997-02-28	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
391388	1331	1997-03-31	VYDAJ	VYBER	15	19430	SLUZBY	\N	\N
391389	1331	1997-04-30	VYDAJ	VYBER	15	20880	SLUZBY	\N	\N
391390	1331	1997-05-31	VYDAJ	VYBER	15	16129	SLUZBY	\N	\N
391391	1331	1997-06-30	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
391392	1331	1997-07-31	VYDAJ	VYBER	15	17720	SLUZBY	\N	\N
391393	1331	1997-08-31	VYDAJ	VYBER	15	16157	SLUZBY	\N	\N
391394	1331	1997-09-30	VYDAJ	VYBER	15	22600	SLUZBY	\N	\N
391395	1331	1997-10-31	VYDAJ	VYBER	15	14845	SLUZBY	\N	\N
391396	1331	1997-11-30	VYDAJ	VYBER	15	21283	SLUZBY	\N	\N
391397	1331	1997-12-31	VYDAJ	VYBER	15	18831	SLUZBY	\N	\N
391398	1331	1998-01-31	VYDAJ	VYBER	15	13862	SLUZBY	\N	\N
391399	1331	1998-02-28	VYDAJ	VYBER	15	12579	SLUZBY	\N	\N
391400	1331	1998-03-31	VYDAJ	VYBER	15	19007	SLUZBY	\N	\N
391401	1331	1998-04-30	VYDAJ	VYBER	15	25462	SLUZBY	\N	\N
391402	1331	1998-05-31	VYDAJ	VYBER	15	15711	SLUZBY	\N	\N
391403	1331	1998-06-30	VYDAJ	VYBER	15	27562	SLUZBY	\N	\N
391404	1331	1998-07-31	VYDAJ	VYBER	15	34052	SLUZBY	\N	\N
391405	1331	1998-08-31	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
391406	1331	1998-09-30	VYDAJ	VYBER	15	35947	SLUZBY	\N	\N
391407	1331	1998-10-31	VYDAJ	VYBER	15	42472	SLUZBY	\N	\N
391408	1331	1998-11-30	VYDAJ	VYBER	15	49024	SLUZBY	\N	\N
391409	1331	1995-02-02	PRIJEM	VKLAD	8700	20124	\N	\N	\N
391410	1331	1995-03-04	VYDAJ	VYBER	5000	26016	\N	\N	\N
391411	1331	1995-04-03	VYDAJ	VYBER	7700	29253	\N	\N	\N
391412	1331	1995-05-03	VYDAJ	VYBER	6400	33805	\N	\N	\N
391413	1331	1995-06-02	VYDAJ	VYBER	12100	32661	\N	\N	\N
391414	1331	1995-07-02	VYDAJ	VYBER	11900	32691	\N	\N	\N
391415	1331	1995-08-01	VYDAJ	VYBER	7500	31710	\N	\N	\N
391416	1331	1995-08-31	VYDAJ	VYBER	6400	31837	\N	\N	\N
391417	1331	1995-09-30	VYDAJ	VYBER	3400	34931	\N	\N	\N
391418	1331	1995-10-30	VYDAJ	VYBER	5000	27305	\N	\N	\N
391419	1331	1995-11-29	VYDAJ	VYBER	4100	27009	\N	\N	\N
391420	1331	1995-12-29	VYDAJ	VYBER	2200	31292	\N	\N	\N
391421	1331	1996-02-27	VYDAJ	VYBER	1600	26737	\N	\N	\N
391422	1331	1996-03-28	VYDAJ	VYBER	7800	25404	\N	\N	\N
391423	1331	1996-04-27	VYDAJ	VYBER	4600	22009	\N	\N	\N
391424	1331	1996-05-27	VYDAJ	VYBER	4000	24486	\N	\N	\N
391425	1331	1996-06-26	VYDAJ	VYBER	9000	25547	\N	\N	\N
391426	1331	1996-07-26	VYDAJ	VYBER	5700	26334	\N	\N	\N
391427	1331	1996-08-25	VYDAJ	VYBER	4700	28113	\N	\N	\N
391428	1331	1996-09-24	VYDAJ	VYBER	5000	24505	\N	\N	\N
391429	1331	1996-10-24	VYDAJ	VYBER	2700	28272	\N	\N	\N
391430	1331	1996-11-23	VYDAJ	VYBER	3000	28749	\N	\N	\N
391431	1331	1996-12-23	VYDAJ	VYBER	6500	26630	\N	\N	\N
391432	1331	1997-01-22	VYDAJ	VYBER	2100	24717	\N	\N	\N
391433	1331	1997-02-21	VYDAJ	VYBER	6200	21392	\N	\N	\N
391434	1331	1997-03-23	VYDAJ	VYBER	8500	19348	\N	\N	\N
391435	1331	1997-04-22	VYDAJ	VYBER	5000	20804	\N	\N	\N
391436	1331	1997-05-22	VYDAJ	VYBER	11200	16054	\N	\N	\N
391437	1331	1997-06-21	VYDAJ	VYBER	6500	21398	\N	\N	\N
391438	1331	1997-07-21	VYDAJ	VYBER	6900	17647	\N	\N	\N
391439	1331	1997-08-20	VYDAJ	VYBER	8000	16094	\N	\N	\N
391440	1331	1997-10-19	VYDAJ	VYBER	14200	14774	\N	\N	\N
391441	1331	1997-12-18	VYDAJ	VYBER	14300	18752	\N	\N	\N
391442	1331	1998-01-17	VYDAJ	VYBER	9300	13805	\N	\N	\N
391443	1331	1998-02-16	VYDAJ	VYBER	7700	12536	\N	\N	\N
391444	1331	1998-05-17	VYDAJ	VYBER	16200	15636	\N	\N	\N
391445	1331	1998-12-13	VYDAJ	VYBER	41900	18893	\N	\N	\N
391494	1332	1993-03-25	PRIJEM	VKLAD	300	300	\N	\N	\N
391498	1332	1993-04-14	PRIJEM	VKLAD	22335	22635	\N	\N	\N
391499	1332	1993-05-14	PRIJEM	VKLAD	22335	43691	\N	\N	\N
391500	1332	1993-06-14	PRIJEM	VKLAD	33503	65093	\N	\N	\N
391501	1332	1993-07-14	PRIJEM	VKLAD	22335	68676	\N	\N	\N
391502	1332	1993-08-14	PRIJEM	VKLAD	22335	69404	\N	\N	\N
391503	1332	1993-09-14	PRIJEM	VKLAD	22335	62962	\N	\N	\N
391504	1332	1993-10-14	PRIJEM	VKLAD	22335	55313	\N	\N	\N
391505	1332	1993-11-14	PRIJEM	VKLAD	22335	54294	\N	\N	\N
391506	1332	1993-12-14	PRIJEM	VKLAD	33503	70500	\N	\N	\N
391507	1332	1994-01-14	PRIJEM	VKLAD	22335	55719	\N	\N	\N
391508	1332	1994-02-14	PRIJEM	VKLAD	22335	35171	\N	\N	\N
391509	1332	1994-03-14	PRIJEM	VKLAD	22335	50645	\N	\N	\N
391510	1332	1994-04-14	PRIJEM	VKLAD	22335	56171	\N	\N	\N
391511	1332	1994-05-14	PRIJEM	VKLAD	22335	59515	\N	\N	\N
391512	1332	1994-06-14	PRIJEM	VKLAD	33503	74440	\N	\N	\N
391513	1332	1994-07-14	PRIJEM	VKLAD	22335	70146	\N	\N	\N
391514	1332	1994-08-14	PRIJEM	VKLAD	22335	69135	\N	\N	\N
391515	1332	1994-09-14	PRIJEM	VKLAD	22335	66917	\N	\N	\N
391516	1332	1994-10-14	PRIJEM	VKLAD	22335	62627	\N	\N	\N
391517	1332	1994-11-14	PRIJEM	VKLAD	22335	66993	\N	\N	\N
391518	1332	1994-12-14	PRIJEM	VKLAD	33503	81341	\N	\N	\N
391519	1332	1995-01-14	PRIJEM	VKLAD	22335	67258	\N	\N	\N
391520	1332	1995-02-14	PRIJEM	VKLAD	22335	58521	\N	\N	\N
391521	1332	1995-03-14	PRIJEM	VKLAD	22335	76284	\N	\N	\N
391522	1332	1995-04-14	PRIJEM	VKLAD	22335	77498	\N	\N	\N
391523	1332	1995-05-14	PRIJEM	VKLAD	22335	76652	\N	\N	\N
391524	1332	1995-06-14	PRIJEM	VKLAD	33503	83228	\N	\N	\N
391525	1332	1995-07-14	PRIJEM	VKLAD	22335	62844	\N	\N	\N
391526	1332	1995-08-14	PRIJEM	VKLAD	22335	71743	\N	\N	\N
391527	1332	1995-09-14	PRIJEM	VKLAD	22335	81187	\N	\N	\N
391528	1332	1995-10-14	PRIJEM	VKLAD	22335	83568	\N	\N	\N
391529	1332	1995-11-14	PRIJEM	VKLAD	22335	86569	\N	\N	\N
391530	1332	1995-12-14	PRIJEM	VKLAD	33503	98986	\N	\N	\N
391531	1332	1996-01-14	PRIJEM	VKLAD	22335	87188	\N	\N	\N
391532	1332	1996-02-14	PRIJEM	VKLAD	22335	78930	\N	\N	\N
391533	1332	1996-03-14	PRIJEM	VKLAD	22335	86689	\N	\N	\N
391534	1332	1996-04-14	PRIJEM	VKLAD	22335	87764	\N	\N	\N
391535	1332	1996-05-14	PRIJEM	VKLAD	22335	87271	\N	\N	\N
391536	1332	1996-06-14	PRIJEM	VKLAD	33503	98049	\N	\N	\N
391537	1332	1996-07-14	PRIJEM	VKLAD	22335	83413	\N	\N	\N
391538	1332	1996-08-14	PRIJEM	VKLAD	22335	83505	\N	\N	\N
391539	1332	1996-09-14	PRIJEM	VKLAD	22335	82795	\N	\N	\N
391540	1332	1996-10-14	PRIJEM	VKLAD	22335	81922	\N	\N	\N
391541	1332	1996-11-14	PRIJEM	VKLAD	22335	85102	\N	\N	\N
391542	1332	1996-12-14	PRIJEM	VKLAD	33503	93935	\N	\N	\N
391543	1332	1997-01-14	PRIJEM	VKLAD	22335	83001	\N	\N	\N
391544	1332	1997-02-14	PRIJEM	VKLAD	22335	83820	\N	\N	\N
391545	1332	1997-03-14	PRIJEM	VKLAD	22335	90301	\N	\N	\N
391546	1332	1997-04-14	PRIJEM	VKLAD	22335	94414	\N	\N	\N
391547	1332	1997-05-14	PRIJEM	VKLAD	22335	95444	\N	\N	\N
391548	1332	1997-06-14	PRIJEM	VKLAD	33503	72249	\N	\N	\N
391549	1332	1997-07-14	PRIJEM	VKLAD	22335	87304	\N	\N	\N
391550	1332	1997-08-14	PRIJEM	VKLAD	22335	94496	\N	\N	\N
391551	1332	1997-09-14	PRIJEM	VKLAD	22335	96122	\N	\N	\N
391552	1332	1997-10-14	PRIJEM	VKLAD	22335	94428	\N	\N	\N
391553	1332	1997-11-14	PRIJEM	VKLAD	22335	96547	\N	\N	\N
391554	1332	1997-12-14	PRIJEM	VKLAD	33503	101152	\N	\N	\N
391555	1332	1998-01-14	PRIJEM	VKLAD	22335	92961	\N	\N	\N
391556	1332	1998-02-14	PRIJEM	VKLAD	22335	96829	\N	\N	\N
391557	1332	1998-03-14	PRIJEM	VKLAD	22335	101454	\N	\N	\N
391558	1332	1998-04-14	PRIJEM	VKLAD	22335	101198	\N	\N	\N
391559	1332	1998-05-14	PRIJEM	VKLAD	22335	101601	\N	\N	\N
391560	1332	1998-06-14	PRIJEM	VKLAD	33503	89039	\N	\N	\N
391561	1332	1998-07-14	PRIJEM	VKLAD	22335	103136	\N	\N	\N
391562	1332	1998-08-14	PRIJEM	VKLAD	22335	107684	\N	\N	\N
391563	1332	1998-09-14	PRIJEM	VKLAD	22335	110548	\N	\N	\N
391564	1332	1998-10-14	PRIJEM	VKLAD	22335	111420	\N	\N	\N
391565	1332	1998-11-14	PRIJEM	VKLAD	22335	109193	\N	\N	\N
391566	1332	1998-12-14	PRIJEM	VKLAD	33503	116646	\N	\N	\N
391575	1332	1993-09-07	VYDAJ	PREVOD NA UCET	4755	40627	SIPO	MN	12752318
391576	1332	1993-10-07	VYDAJ	PREVOD NA UCET	4755	32978	SIPO	MN	12752318
391577	1332	1993-11-07	VYDAJ	PREVOD NA UCET	4755	34119	SIPO	MN	12752318
391578	1332	1993-12-07	VYDAJ	PREVOD NA UCET	4755	36998	SIPO	MN	12752318
391579	1332	1994-01-07	VYDAJ	PREVOD NA UCET	4755	34104	SIPO	MN	12752318
391580	1332	1994-02-07	VYDAJ	PREVOD NA UCET	4755	12836	SIPO	MN	12752318
391581	1332	1994-03-07	VYDAJ	PREVOD NA UCET	4755	28310	SIPO	MN	12752318
391582	1332	1994-04-07	VYDAJ	PREVOD NA UCET	4755	33836	SIPO	MN	12752318
391583	1332	1994-05-07	VYDAJ	PREVOD NA UCET	4755	37180	SIPO	MN	12752318
391584	1332	1994-06-07	VYDAJ	PREVOD NA UCET	4755	40938	SIPO	MN	12752318
391585	1332	1994-07-07	VYDAJ	PREVOD NA UCET	4755	48891	SIPO	MN	12752318
391586	1332	1994-08-07	VYDAJ	PREVOD NA UCET	4755	46800	SIPO	MN	12752318
391587	1332	1994-09-07	VYDAJ	PREVOD NA UCET	4755	44582	SIPO	MN	12752318
391588	1332	1994-10-07	VYDAJ	PREVOD NA UCET	4755	40292	SIPO	MN	12752318
391589	1332	1994-11-07	VYDAJ	PREVOD NA UCET	4755	44658	SIPO	MN	12752318
391590	1332	1994-12-07	VYDAJ	PREVOD NA UCET	4755	47838	SIPO	MN	12752318
391591	1332	1995-01-07	VYDAJ	PREVOD NA UCET	4755	48763	SIPO	MN	12752318
391592	1332	1995-02-07	VYDAJ	PREVOD NA UCET	4755	29886	SIPO	MN	12752318
391593	1332	1995-03-07	VYDAJ	PREVOD NA UCET	4755	53949	SIPO	MN	12752318
391594	1332	1995-04-07	VYDAJ	PREVOD NA UCET	4755	55163	SIPO	MN	12752318
391595	1332	1995-05-07	VYDAJ	PREVOD NA UCET	4755	54317	SIPO	MN	12752318
391596	1332	1995-06-07	VYDAJ	PREVOD NA UCET	4755	53525	SIPO	MN	12752318
391597	1332	1995-07-07	VYDAJ	PREVOD NA UCET	4755	43009	SIPO	MN	12752318
391598	1332	1995-08-07	VYDAJ	PREVOD NA UCET	4755	58308	SIPO	MN	12752318
391599	1332	1995-09-07	VYDAJ	PREVOD NA UCET	4755	67252	SIPO	MN	12752318
391600	1332	1995-10-07	VYDAJ	PREVOD NA UCET	4755	76733	SIPO	MN	12752318
391601	1332	1995-11-07	VYDAJ	PREVOD NA UCET	4755	79134	SIPO	MN	12752318
391602	1332	1995-12-07	VYDAJ	PREVOD NA UCET	4755	82143	SIPO	MN	12752318
391603	1332	1996-01-07	VYDAJ	PREVOD NA UCET	4755	89073	SIPO	MN	12752318
391604	1332	1996-02-07	VYDAJ	PREVOD NA UCET	4755	59795	SIPO	MN	12752318
391605	1332	1996-03-07	VYDAJ	PREVOD NA UCET	4755	74454	SIPO	MN	12752318
391606	1332	1996-04-07	VYDAJ	PREVOD NA UCET	4755	79129	SIPO	MN	12752318
391607	1332	1996-05-07	VYDAJ	PREVOD NA UCET	4755	83336	SIPO	MN	12752318
391608	1332	1996-06-07	VYDAJ	PREVOD NA UCET	4755	64546	SIPO	MN	12752318
391609	1332	1996-07-07	VYDAJ	PREVOD NA UCET	4755	70278	SIPO	MN	12752318
391610	1332	1996-08-07	VYDAJ	PREVOD NA UCET	4755	61170	SIPO	MN	12752318
391611	1332	1996-09-07	VYDAJ	PREVOD NA UCET	4755	60460	SIPO	MN	12752318
391612	1332	1996-10-07	VYDAJ	PREVOD NA UCET	4755	59587	SIPO	MN	12752318
391613	1332	1996-11-07	VYDAJ	PREVOD NA UCET	4755	62767	SIPO	MN	12752318
391614	1332	1996-12-07	VYDAJ	PREVOD NA UCET	4755	60432	SIPO	MN	12752318
391615	1332	1997-01-07	VYDAJ	PREVOD NA UCET	4755	64386	SIPO	MN	12752318
391616	1332	1997-02-07	VYDAJ	PREVOD NA UCET	4755	61485	SIPO	MN	12752318
391617	1332	1997-03-07	VYDAJ	PREVOD NA UCET	4755	67966	SIPO	MN	12752318
391618	1332	1997-04-07	VYDAJ	PREVOD NA UCET	4755	72079	SIPO	MN	12752318
391619	1332	1997-05-07	VYDAJ	PREVOD NA UCET	4755	73109	SIPO	MN	12752318
391620	1332	1997-06-07	VYDAJ	PREVOD NA UCET	4755	74747	SIPO	MN	12752318
391621	1332	1997-07-07	VYDAJ	PREVOD NA UCET	4755	64969	SIPO	MN	12752318
391622	1332	1997-08-07	VYDAJ	PREVOD NA UCET	4755	72161	SIPO	MN	12752318
391623	1332	1997-09-07	VYDAJ	PREVOD NA UCET	4755	73787	SIPO	MN	12752318
391624	1332	1997-10-07	VYDAJ	PREVOD NA UCET	4755	72093	SIPO	MN	12752318
391625	1332	1997-11-07	VYDAJ	PREVOD NA UCET	4755	74212	SIPO	MN	12752318
391626	1332	1997-12-07	VYDAJ	PREVOD NA UCET	4755	73409	SIPO	MN	12752318
391627	1332	1998-01-07	VYDAJ	PREVOD NA UCET	4755	76386	SIPO	MN	12752318
391628	1332	1998-02-07	VYDAJ	PREVOD NA UCET	4755	74494	SIPO	MN	12752318
391629	1332	1998-03-07	VYDAJ	PREVOD NA UCET	4755	79119	SIPO	MN	12752318
391630	1332	1998-04-07	VYDAJ	PREVOD NA UCET	4755	78863	SIPO	MN	12752318
391631	1332	1998-05-07	VYDAJ	PREVOD NA UCET	4755	82506	SIPO	MN	12752318
391632	1332	1998-06-07	VYDAJ	PREVOD NA UCET	4755	55536	SIPO	MN	12752318
391633	1332	1998-07-07	VYDAJ	PREVOD NA UCET	4755	80801	SIPO	MN	12752318
391634	1332	1998-08-07	VYDAJ	PREVOD NA UCET	4755	85349	SIPO	MN	12752318
391635	1332	1998-09-07	VYDAJ	PREVOD NA UCET	4755	88213	SIPO	MN	12752318
391636	1332	1998-10-07	VYDAJ	PREVOD NA UCET	4755	89085	SIPO	MN	12752318
391637	1332	1998-11-07	VYDAJ	PREVOD NA UCET	4755	86858	SIPO	MN	12752318
391638	1332	1998-12-07	VYDAJ	PREVOD NA UCET	4755	86023	SIPO	MN	12752318
391641	1332	1995-06-17	VYDAJ	VYBER	35680	47548	\N	\N	\N
391642	1332	1996-06-29	VYDAJ	VYBER	23360	74689	\N	\N	\N
391643	1332	1997-06-08	VYDAJ	VYBER	36000	38747	\N	\N	\N
391644	1332	1998-06-06	VYDAJ	VYBER	30880	60291	\N	\N	\N
391646	1332	1994-01-24	VYDAJ	VYBER	12160	21059	\N	\N	\N
391647	1332	1995-01-28	VYDAJ	VYBER	10880	34458	\N	\N	\N
391648	1332	1996-01-30	VYDAJ	VYBER	11680	64228	\N	\N	\N
391649	1332	1997-01-05	VYDAJ	VYBER	2080	69141	\N	\N	\N
391650	1332	1998-01-25	VYDAJ	VYBER	2880	88881	\N	\N	\N
391651	1332	1993-12-17	VYDAJ	VYBER	2720	62740	\N	\N	\N
391652	1332	1994-12-17	VYDAJ	VYBER	1600	56541	\N	\N	\N
391653	1332	1995-12-08	VYDAJ	VYBER	1760	80383	\N	\N	\N
391654	1332	1996-12-16	VYDAJ	VYBER	2240	91695	\N	\N	\N
391655	1332	1997-12-27	VYDAJ	VYBER	1760	99392	\N	\N	\N
391656	1332	1998-12-25	VYDAJ	VYBER	1120	95126	\N	\N	\N
391663	1332	1994-01-15	VYDAJ	VYBER	3000	52719	\N	\N	\N
391664	1332	1994-01-09	VYDAJ	VYBER	720	33384	\N	\N	\N
391665	1332	1994-01-21	VYDAJ	VYBER	3240	36339	\N	\N	\N
391666	1332	1994-01-20	VYDAJ	VYBER	840	39579	\N	\N	\N
391667	1332	1994-01-03	VYDAJ	VYBER	600	38859	\N	\N	\N
391668	1332	1994-01-21	VYDAJ	VYBER	3120	33219	\N	\N	\N
391669	1332	1995-01-22	VYDAJ	VYBER	840	45338	\N	\N	\N
391670	1332	1995-01-13	VYDAJ	VYBER	3120	45643	\N	\N	\N
391671	1332	1995-01-13	VYDAJ	VYBER	720	44923	\N	\N	\N
391672	1332	1995-01-06	VYDAJ	VYBER	600	53518	\N	\N	\N
391673	1332	1995-01-20	VYDAJ	VYBER	840	47258	\N	\N	\N
391674	1332	1995-01-14	VYDAJ	VYBER	2640	64618	\N	\N	\N
391675	1332	1996-01-13	VYDAJ	VYBER	2880	64853	\N	\N	\N
391676	1332	1996-01-02	VYDAJ	VYBER	1560	93828	\N	\N	\N
391677	1332	1996-01-18	VYDAJ	VYBER	2760	80348	\N	\N	\N
391678	1332	1996-01-14	VYDAJ	VYBER	3120	84068	\N	\N	\N
391679	1332	1996-01-13	VYDAJ	VYBER	2040	67733	\N	\N	\N
391680	1332	1996-01-17	VYDAJ	VYBER	960	83108	\N	\N	\N
391681	1332	1997-01-09	VYDAJ	VYBER	2280	62106	\N	\N	\N
391682	1332	1997-01-14	VYDAJ	VYBER	2280	80721	\N	\N	\N
391683	1332	1997-01-23	VYDAJ	VYBER	2640	77361	\N	\N	\N
391684	1332	1997-01-20	VYDAJ	VYBER	720	80001	\N	\N	\N
391685	1332	1997-01-23	VYDAJ	VYBER	1920	75441	\N	\N	\N
391686	1332	1997-01-11	VYDAJ	VYBER	1440	60666	\N	\N	\N
391687	1332	1998-01-06	VYDAJ	VYBER	1200	81141	\N	\N	\N
391688	1332	1998-01-08	VYDAJ	VYBER	1200	75186	\N	\N	\N
391689	1332	1998-01-20	VYDAJ	VYBER	600	91761	\N	\N	\N
391690	1332	1998-01-09	VYDAJ	VYBER	2160	70626	\N	\N	\N
391691	1332	1998-01-14	VYDAJ	VYBER	600	92361	\N	\N	\N
391692	1332	1998-01-27	VYDAJ	VYBER	3360	85521	\N	\N	\N
391694	1332	1993-10-04	VYDAJ	VYBER	3240	41813	\N	\N	\N
391696	1332	1993-10-06	VYDAJ	VYBER	4080	37733	\N	\N	\N
391698	1332	1993-12-29	VYDAJ	VYBER	3360	39280	\N	\N	\N
391699	1332	1993-12-15	VYDAJ	VYBER	5040	65460	\N	\N	\N
391700	1332	1993-11-08	VYDAJ	VYBER	2160	31959	\N	\N	\N
391702	1332	1994-03-21	VYDAJ	VYBER	1200	38445	\N	\N	\N
391703	1332	1994-01-24	VYDAJ	VYBER	3600	17459	\N	\N	\N
391704	1332	1994-09-23	VYDAJ	VYBER	3960	44857	\N	\N	\N
391705	1332	1994-07-09	VYDAJ	VYBER	1080	47811	\N	\N	\N
391706	1332	1995-01-04	VYDAJ	VYBER	2640	54118	\N	\N	\N
391707	1332	1995-12-14	VYDAJ	VYBER	3960	95026	\N	\N	\N
391708	1332	1995-04-23	VYDAJ	VYBER	1560	58838	\N	\N	\N
391709	1332	1995-01-15	VYDAJ	VYBER	2520	48098	\N	\N	\N
391710	1332	1995-01-22	VYDAJ	VYBER	1080	46178	\N	\N	\N
391711	1332	1996-11-21	VYDAJ	VYBER	5520	79582	\N	\N	\N
391712	1332	1996-03-16	VYDAJ	VYBER	3120	83569	\N	\N	\N
391713	1332	1996-01-28	VYDAJ	VYBER	4440	75908	\N	\N	\N
391714	1332	1996-10-05	VYDAJ	VYBER	2160	64342	\N	\N	\N
391715	1332	1997-11-16	VYDAJ	VYBER	4920	91627	\N	\N	\N
391716	1332	1997-09-28	VYDAJ	VYBER	1320	94802	\N	\N	\N
391717	1332	1997-12-11	VYDAJ	VYBER	5760	67649	\N	\N	\N
391718	1332	1998-12-01	VYDAJ	VYBER	3600	90778	\N	\N	\N
391719	1332	1998-05-13	VYDAJ	VYBER	3240	79266	\N	\N	\N
391720	1332	1998-12-09	VYDAJ	VYBER	2880	83143	\N	\N	\N
391721	1332	1998-01-08	VYDAJ	VYBER	2400	72786	\N	\N	\N
391730	1332	1993-08-31	VYDAJ	VYBER	15	45382	SLUZBY	\N	\N
391731	1332	1993-09-30	VYDAJ	VYBER	15	45053	SLUZBY	\N	\N
391732	1332	1993-10-31	VYDAJ	VYBER	15	38874	SLUZBY	\N	\N
391733	1332	1993-11-30	VYDAJ	VYBER	15	41753	SLUZBY	\N	\N
391734	1332	1993-12-31	VYDAJ	VYBER	15	39459	SLUZBY	\N	\N
391735	1332	1994-01-31	VYDAJ	VYBER	15	17591	SLUZBY	\N	\N
391736	1332	1994-02-28	VYDAJ	VYBER	15	33065	SLUZBY	\N	\N
391737	1332	1994-03-31	VYDAJ	VYBER	15	38591	SLUZBY	\N	\N
391738	1332	1994-04-30	VYDAJ	VYBER	15	41935	SLUZBY	\N	\N
391739	1332	1994-05-31	VYDAJ	VYBER	15	45693	SLUZBY	\N	\N
391740	1332	1994-06-30	VYDAJ	VYBER	15	53646	SLUZBY	\N	\N
391741	1332	1994-07-31	VYDAJ	VYBER	15	51555	SLUZBY	\N	\N
391742	1332	1994-08-31	VYDAJ	VYBER	15	49337	SLUZBY	\N	\N
391743	1332	1994-09-30	VYDAJ	VYBER	15	45047	SLUZBY	\N	\N
391744	1332	1994-10-31	VYDAJ	VYBER	15	49413	SLUZBY	\N	\N
391745	1332	1994-11-30	VYDAJ	VYBER	15	52593	SLUZBY	\N	\N
391746	1332	1994-12-31	VYDAJ	VYBER	15	56758	SLUZBY	\N	\N
391747	1332	1995-01-31	VYDAJ	VYBER	15	34641	SLUZBY	\N	\N
391748	1332	1995-02-28	VYDAJ	VYBER	15	58704	SLUZBY	\N	\N
391749	1332	1995-03-31	VYDAJ	VYBER	15	59918	SLUZBY	\N	\N
391750	1332	1995-04-30	VYDAJ	VYBER	15	59072	SLUZBY	\N	\N
391751	1332	1995-05-31	VYDAJ	VYBER	15	58280	SLUZBY	\N	\N
391752	1332	1995-06-30	VYDAJ	VYBER	15	47764	SLUZBY	\N	\N
391753	1332	1995-07-31	VYDAJ	VYBER	15	63063	SLUZBY	\N	\N
391754	1332	1995-08-31	VYDAJ	VYBER	15	72007	SLUZBY	\N	\N
391755	1332	1995-09-30	VYDAJ	VYBER	15	81488	SLUZBY	\N	\N
391756	1332	1995-10-31	VYDAJ	VYBER	15	83889	SLUZBY	\N	\N
391757	1332	1995-11-30	VYDAJ	VYBER	15	86898	SLUZBY	\N	\N
391758	1332	1995-12-31	VYDAJ	VYBER	15	95388	SLUZBY	\N	\N
391759	1332	1996-01-31	VYDAJ	VYBER	15	64550	SLUZBY	\N	\N
391760	1332	1996-02-29	VYDAJ	VYBER	15	79209	SLUZBY	\N	\N
391761	1332	1996-03-31	VYDAJ	VYBER	15	83884	SLUZBY	\N	\N
391762	1332	1996-04-30	VYDAJ	VYBER	15	88091	SLUZBY	\N	\N
391763	1332	1996-05-31	VYDAJ	VYBER	15	87601	SLUZBY	\N	\N
391764	1332	1996-06-30	VYDAJ	VYBER	15	75033	SLUZBY	\N	\N
391765	1332	1996-07-31	VYDAJ	VYBER	15	83725	SLUZBY	\N	\N
391766	1332	1996-08-31	VYDAJ	VYBER	15	83815	SLUZBY	\N	\N
391767	1332	1996-09-30	VYDAJ	VYBER	15	83102	SLUZBY	\N	\N
391768	1332	1996-10-31	VYDAJ	VYBER	15	82222	SLUZBY	\N	\N
391769	1332	1996-11-30	VYDAJ	VYBER	15	79887	SLUZBY	\N	\N
391770	1332	1996-12-31	VYDAJ	VYBER	15	92021	SLUZBY	\N	\N
391771	1332	1997-01-31	VYDAJ	VYBER	15	75740	SLUZBY	\N	\N
391772	1332	1997-02-28	VYDAJ	VYBER	15	84121	SLUZBY	\N	\N
391773	1332	1997-03-31	VYDAJ	VYBER	15	90634	SLUZBY	\N	\N
391774	1332	1997-04-30	VYDAJ	VYBER	15	94764	SLUZBY	\N	\N
391775	1332	1997-05-31	VYDAJ	VYBER	15	95802	SLUZBY	\N	\N
391776	1332	1997-06-30	VYDAJ	VYBER	15	72524	SLUZBY	\N	\N
391777	1332	1997-07-31	VYDAJ	VYBER	15	87616	SLUZBY	\N	\N
391778	1332	1997-08-31	VYDAJ	VYBER	15	78542	SLUZBY	\N	\N
391779	1332	1997-09-30	VYDAJ	VYBER	15	76848	SLUZBY	\N	\N
391780	1332	1997-10-31	VYDAJ	VYBER	15	78967	SLUZBY	\N	\N
391781	1332	1997-11-30	VYDAJ	VYBER	15	78164	SLUZBY	\N	\N
391782	1332	1997-12-31	VYDAJ	VYBER	15	82341	SLUZBY	\N	\N
391783	1332	1998-01-31	VYDAJ	VYBER	15	79249	SLUZBY	\N	\N
391784	1332	1998-02-28	VYDAJ	VYBER	15	83874	SLUZBY	\N	\N
391785	1332	1998-03-31	VYDAJ	VYBER	15	83618	SLUZBY	\N	\N
391786	1332	1998-04-30	VYDAJ	VYBER	15	87261	SLUZBY	\N	\N
391787	1332	1998-05-31	VYDAJ	VYBER	15	91171	SLUZBY	\N	\N
391788	1332	1998-06-30	VYDAJ	VYBER	15	85556	SLUZBY	\N	\N
391789	1332	1998-07-31	VYDAJ	VYBER	15	90104	SLUZBY	\N	\N
391790	1332	1998-08-31	VYDAJ	VYBER	15	92968	SLUZBY	\N	\N
391791	1332	1998-09-30	VYDAJ	VYBER	15	93840	SLUZBY	\N	\N
391792	1332	1998-10-31	VYDAJ	VYBER	15	91613	SLUZBY	\N	\N
391793	1332	1998-11-30	VYDAJ	VYBER	15	94378	SLUZBY	\N	\N
391794	1332	1993-04-24	VYDAJ	VYBER	1300	21335	\N	\N	\N
391795	1332	1993-05-24	VYDAJ	VYBER	12200	31491	\N	\N	\N
391796	1332	1993-06-23	VYDAJ	VYBER	18900	46193	\N	\N	\N
391797	1332	1993-07-23	VYDAJ	VYBER	21800	46876	\N	\N	\N
391798	1332	1993-08-22	VYDAJ	VYBER	24200	45204	\N	\N	\N
391799	1332	1993-09-21	VYDAJ	VYBER	18100	44862	\N	\N	\N
391800	1332	1993-10-21	VYDAJ	VYBER	16600	38713	\N	\N	\N
391801	1332	1993-11-20	VYDAJ	VYBER	12700	41594	\N	\N	\N
391802	1332	1993-12-20	VYDAJ	VYBER	20100	42640	\N	\N	\N
391803	1332	1994-01-19	VYDAJ	VYBER	12300	40419	\N	\N	\N
391804	1332	1994-02-18	VYDAJ	VYBER	2200	32971	\N	\N	\N
391805	1332	1994-03-20	VYDAJ	VYBER	11000	39645	\N	\N	\N
391806	1332	1994-04-19	VYDAJ	VYBER	14400	41771	\N	\N	\N
391807	1332	1994-05-19	VYDAJ	VYBER	14000	45515	\N	\N	\N
391808	1332	1994-06-18	VYDAJ	VYBER	21000	53440	\N	\N	\N
391809	1332	1994-07-18	VYDAJ	VYBER	18800	51346	\N	\N	\N
391810	1332	1994-08-17	VYDAJ	VYBER	20000	49135	\N	\N	\N
391811	1332	1994-09-16	VYDAJ	VYBER	18100	48817	\N	\N	\N
391812	1332	1994-10-16	VYDAJ	VYBER	13400	49227	\N	\N	\N
391813	1332	1994-11-15	VYDAJ	VYBER	14600	52393	\N	\N	\N
391814	1332	1994-12-15	VYDAJ	VYBER	23200	58141	\N	\N	\N
391815	1332	1995-01-14	VYDAJ	VYBER	14000	50618	\N	\N	\N
391816	1332	1995-02-13	PRIJEM	VKLAD	6300	36186	\N	\N	\N
391817	1332	1995-03-15	VYDAJ	VYBER	16600	59684	\N	\N	\N
391818	1332	1995-04-14	VYDAJ	VYBER	17100	60398	\N	\N	\N
391819	1332	1995-05-14	VYDAJ	VYBER	18600	58052	\N	\N	\N
391820	1332	1995-06-13	VYDAJ	VYBER	3800	49725	\N	\N	\N
391821	1332	1995-07-13	VYDAJ	VYBER	2500	40509	\N	\N	\N
391822	1332	1995-08-12	VYDAJ	VYBER	8900	49408	\N	\N	\N
391823	1332	1995-09-11	VYDAJ	VYBER	8400	58852	\N	\N	\N
391824	1332	1995-10-11	VYDAJ	VYBER	15500	61233	\N	\N	\N
391825	1332	1995-11-10	VYDAJ	VYBER	14900	64234	\N	\N	\N
391826	1332	1995-12-10	VYDAJ	VYBER	14900	65483	\N	\N	\N
391827	1332	1996-01-09	VYDAJ	VYBER	19300	69773	\N	\N	\N
391828	1332	1996-02-08	VYDAJ	VYBER	3200	56595	\N	\N	\N
391829	1332	1996-03-09	VYDAJ	VYBER	10100	64354	\N	\N	\N
391830	1332	1996-04-08	VYDAJ	VYBER	13700	65429	\N	\N	\N
391831	1332	1996-05-08	VYDAJ	VYBER	18400	64936	\N	\N	\N
391832	1332	1996-06-07	VYDAJ	VYBER	18300	69301	\N	\N	\N
391833	1332	1996-07-07	VYDAJ	VYBER	9200	61078	\N	\N	\N
391834	1332	1996-08-06	VYDAJ	VYBER	17800	65925	\N	\N	\N
391835	1332	1996-09-05	VYDAJ	VYBER	18600	65215	\N	\N	\N
391836	1332	1996-10-05	VYDAJ	VYBER	16600	66502	\N	\N	\N
391837	1332	1996-11-04	VYDAJ	VYBER	14700	67522	\N	\N	\N
391838	1332	1996-12-04	VYDAJ	VYBER	14700	65187	\N	\N	\N
391839	1332	1997-01-03	VYDAJ	VYBER	20800	71221	\N	\N	\N
391840	1332	1997-02-02	VYDAJ	VYBER	9500	66240	\N	\N	\N
391841	1332	1997-03-04	VYDAJ	VYBER	11400	72721	\N	\N	\N
391842	1332	1997-04-03	VYDAJ	VYBER	13800	76834	\N	\N	\N
391843	1332	1997-05-03	VYDAJ	VYBER	16900	77864	\N	\N	\N
391844	1332	1997-06-02	VYDAJ	VYBER	16300	79502	\N	\N	\N
391845	1332	1997-07-02	VYDAJ	VYBER	2800	69724	\N	\N	\N
391846	1332	1997-08-01	VYDAJ	VYBER	10700	76916	\N	\N	\N
391847	1332	1997-08-31	VYDAJ	VYBER	16300	78556	\N	\N	\N
391848	1332	1997-09-30	VYDAJ	VYBER	18300	76863	\N	\N	\N
391849	1332	1997-10-30	VYDAJ	VYBER	15800	78628	\N	\N	\N
391850	1332	1997-11-29	VYDAJ	VYBER	13800	77827	\N	\N	\N
391851	1332	1997-12-29	VYDAJ	VYBER	17400	81992	\N	\N	\N
391852	1332	1998-01-28	VYDAJ	VYBER	6600	78921	\N	\N	\N
391853	1332	1998-02-27	VYDAJ	VYBER	13300	83529	\N	\N	\N
391854	1332	1998-03-29	VYDAJ	VYBER	18200	83254	\N	\N	\N
391855	1332	1998-04-28	VYDAJ	VYBER	14300	86898	\N	\N	\N
391856	1332	1998-05-28	VYDAJ	VYBER	10800	90801	\N	\N	\N
391857	1332	1998-06-27	VYDAJ	VYBER	3800	85239	\N	\N	\N
391858	1332	1998-07-27	VYDAJ	VYBER	13400	89736	\N	\N	\N
391859	1332	1998-08-26	VYDAJ	VYBER	15100	92584	\N	\N	\N
391860	1332	1998-09-25	VYDAJ	VYBER	17100	93448	\N	\N	\N
391861	1332	1998-10-25	VYDAJ	VYBER	20200	91220	\N	\N	\N
391862	1332	1998-11-24	VYDAJ	VYBER	15200	93993	\N	\N	\N
391863	1332	1998-12-24	VYDAJ	VYBER	20400	96246	\N	\N	\N
391933	1333	1994-09-29	PRIJEM	VKLAD	300	300	\N	\N	\N
391943	1333	1994-10-14	PRIJEM	VKLAD	9763	10063	\N	\N	\N
391944	1333	1994-11-14	PRIJEM	VKLAD	9763	24832	\N	\N	\N
391945	1333	1994-12-14	PRIJEM	VKLAD	14644	38042	\N	\N	\N
391946	1333	1995-01-14	PRIJEM	VKLAD	9763	40406	\N	\N	\N
391947	1333	1995-02-14	PRIJEM	VKLAD	9763	43098	\N	\N	\N
391948	1333	1995-03-14	PRIJEM	VKLAD	9763	36387	\N	\N	\N
391949	1333	1995-04-14	PRIJEM	VKLAD	9763	34070	\N	\N	\N
391950	1333	1995-05-14	PRIJEM	VKLAD	9763	31944	\N	\N	\N
391951	1333	1995-06-14	PRIJEM	VKLAD	14644	35689	\N	\N	\N
391952	1333	1995-07-14	PRIJEM	VKLAD	9763	28460	\N	\N	\N
391953	1333	1995-08-14	PRIJEM	VKLAD	9763	26714	\N	\N	\N
391954	1333	1995-09-14	PRIJEM	VKLAD	9763	27257	\N	\N	\N
391955	1333	1995-10-14	PRIJEM	VKLAD	9763	28003	\N	\N	\N
391956	1333	1995-11-14	PRIJEM	VKLAD	9763	28150	\N	\N	\N
391957	1333	1995-12-14	PRIJEM	VKLAD	14644	36483	\N	\N	\N
391958	1333	1996-01-14	PRIJEM	VKLAD	9763	24750	\N	\N	\N
391959	1333	1996-02-14	PRIJEM	VKLAD	9763	24787	\N	\N	\N
391960	1333	1996-03-14	PRIJEM	VKLAD	9763	25721	\N	\N	\N
391961	1333	1996-04-14	PRIJEM	VKLAD	9763	27260	\N	\N	\N
391962	1333	1996-05-14	PRIJEM	VKLAD	9763	25601	\N	\N	\N
391963	1333	1996-06-14	PRIJEM	VKLAD	14644	25318	\N	\N	\N
391964	1333	1996-07-14	PRIJEM	VKLAD	9763	27250	\N	\N	\N
391965	1333	1996-08-14	PRIJEM	VKLAD	9763	25289	\N	\N	\N
391966	1333	1996-09-14	PRIJEM	VKLAD	9763	26525	\N	\N	\N
391967	1333	1996-10-14	PRIJEM	VKLAD	9763	25262	\N	\N	\N
391968	1333	1996-11-14	PRIJEM	VKLAD	9763	16888	\N	\N	\N
391969	1333	1996-12-14	PRIJEM	VKLAD	14644	20866	\N	\N	\N
391970	1333	1997-01-14	PRIJEM	VKLAD	9763	16971	\N	\N	\N
391971	1333	1997-02-14	PRIJEM	VKLAD	9763	18070	\N	\N	\N
391972	1333	1997-03-14	PRIJEM	VKLAD	9763	18072	\N	\N	\N
391973	1333	1997-04-14	PRIJEM	VKLAD	9763	17473	\N	\N	\N
391974	1333	1997-05-14	PRIJEM	VKLAD	9763	18776	\N	\N	\N
391975	1333	1997-06-14	PRIJEM	VKLAD	14644	22461	\N	\N	\N
391976	1333	1997-07-14	PRIJEM	VKLAD	9763	26781	\N	\N	\N
391977	1333	1997-08-14	PRIJEM	VKLAD	9763	29124	\N	\N	\N
391978	1333	1997-09-14	PRIJEM	VKLAD	9763	32579	\N	\N	\N
391979	1333	1997-10-14	PRIJEM	VKLAD	9763	32647	\N	\N	\N
391980	1333	1997-11-14	PRIJEM	VKLAD	9763	36921	\N	\N	\N
391981	1333	1997-12-14	PRIJEM	VKLAD	14644	39986	\N	\N	\N
391982	1333	1998-01-14	PRIJEM	VKLAD	9763	29982	\N	\N	\N
391983	1333	1998-02-14	PRIJEM	VKLAD	9763	28741	\N	\N	\N
391984	1333	1998-03-14	PRIJEM	VKLAD	9763	28090	\N	\N	\N
391985	1333	1998-04-14	PRIJEM	VKLAD	9763	28145	\N	\N	\N
391986	1333	1998-05-14	PRIJEM	VKLAD	9763	32897	\N	\N	\N
391987	1333	1998-06-14	PRIJEM	VKLAD	14644	34244	\N	\N	\N
391988	1333	1998-07-14	PRIJEM	VKLAD	9763	27116	\N	\N	\N
391989	1333	1998-08-14	PRIJEM	VKLAD	9763	26474	\N	\N	\N
391990	1333	1998-09-14	PRIJEM	VKLAD	9763	23318	\N	\N	\N
391991	1333	1998-10-14	PRIJEM	VKLAD	9763	23645	\N	\N	\N
391992	1333	1998-11-14	PRIJEM	VKLAD	9763	20273	\N	\N	\N
391993	1333	1998-12-14	PRIJEM	VKLAD	14644	27977	\N	\N	\N
392008	1333	1995-03-11	VYDAJ	PREVOD NA UCET	6508	26624	SIPO	MN	53933286
392009	1333	1995-04-11	VYDAJ	PREVOD NA UCET	6508	24307	SIPO	MN	53933286
392010	1333	1995-05-11	VYDAJ	PREVOD NA UCET	6508	22181	SIPO	MN	53933286
392011	1333	1995-06-11	VYDAJ	PREVOD NA UCET	6508	21045	SIPO	MN	53933286
392012	1333	1995-07-11	VYDAJ	PREVOD NA UCET	6508	23297	SIPO	MN	53933286
392013	1333	1995-08-11	VYDAJ	PREVOD NA UCET	6508	16951	SIPO	MN	53933286
392014	1333	1995-09-11	VYDAJ	PREVOD NA UCET	6508	17494	SIPO	MN	53933286
392015	1333	1995-10-11	VYDAJ	PREVOD NA UCET	6508	18240	SIPO	MN	53933286
392016	1333	1995-11-11	VYDAJ	PREVOD NA UCET	6508	18387	SIPO	MN	53933286
392017	1333	1995-12-11	VYDAJ	PREVOD NA UCET	6508	21839	SIPO	MN	53933286
392018	1333	1996-01-11	VYDAJ	PREVOD NA UCET	6508	14987	SIPO	MN	53933286
392019	1333	1996-02-11	VYDAJ	PREVOD NA UCET	6508	15024	SIPO	MN	53933286
392020	1333	1996-03-11	VYDAJ	PREVOD NA UCET	6508	15958	SIPO	MN	53933286
392021	1333	1996-04-11	VYDAJ	PREVOD NA UCET	6508	17497	SIPO	MN	53933286
392022	1333	1996-05-11	VYDAJ	PREVOD NA UCET	6508	15838	SIPO	MN	53933286
392023	1333	1996-06-11	VYDAJ	PREVOD NA UCET	6508	10674	SIPO	MN	53933286
392024	1333	1996-07-11	VYDAJ	PREVOD NA UCET	6508	17487	SIPO	MN	53933286
392025	1333	1996-08-11	VYDAJ	PREVOD NA UCET	6508	15526	SIPO	MN	53933286
392026	1333	1996-09-11	VYDAJ	PREVOD NA UCET	6508	16762	SIPO	MN	53933286
392027	1333	1996-10-11	VYDAJ	PREVOD NA UCET	6508	15499	SIPO	MN	53933286
392028	1333	1996-11-11	VYDAJ	PREVOD NA UCET	6508	7125	SIPO	MN	53933286
392029	1333	1996-12-11	VYDAJ	PREVOD NA UCET	6508	6222	SIPO	MN	53933286
392030	1333	1997-01-11	VYDAJ	PREVOD NA UCET	6508	7208	SIPO	MN	53933286
392031	1333	1997-02-11	VYDAJ	PREVOD NA UCET	6508	8307	SIPO	MN	53933286
392032	1333	1997-03-11	VYDAJ	PREVOD NA UCET	6508	8309	SIPO	MN	53933286
392033	1333	1997-04-11	VYDAJ	PREVOD NA UCET	6508	7710	SIPO	MN	53933286
392034	1333	1997-05-11	VYDAJ	PREVOD NA UCET	6508	9013	SIPO	MN	53933286
392035	1333	1997-06-11	VYDAJ	PREVOD NA UCET	6508	7817	SIPO	MN	53933286
392036	1333	1997-07-11	VYDAJ	PREVOD NA UCET	6508	17018	SIPO	MN	53933286
392037	1333	1997-08-11	VYDAJ	PREVOD NA UCET	6508	19361	SIPO	MN	53933286
392038	1333	1997-09-11	VYDAJ	PREVOD NA UCET	6508	22416	SIPO	MN	53933286
392039	1333	1997-10-11	VYDAJ	PREVOD NA UCET	6508	26184	SIPO	MN	53933286
392040	1333	1997-11-11	VYDAJ	PREVOD NA UCET	6508	26258	SIPO	MN	53933286
392041	1333	1997-12-11	VYDAJ	PREVOD NA UCET	6508	29042	SIPO	MN	53933286
392042	1333	1998-01-11	VYDAJ	PREVOD NA UCET	6508	22319	SIPO	MN	53933286
392043	1333	1998-02-11	VYDAJ	PREVOD NA UCET	6508	18978	SIPO	MN	53933286
392044	1333	1998-03-11	VYDAJ	PREVOD NA UCET	6508	22327	SIPO	MN	53933286
392045	1333	1998-04-11	VYDAJ	PREVOD NA UCET	6508	18382	SIPO	MN	53933286
392046	1333	1998-05-11	VYDAJ	PREVOD NA UCET	6508	23134	SIPO	MN	53933286
392047	1333	1998-06-11	VYDAJ	PREVOD NA UCET	6508	19600	SIPO	MN	53933286
392048	1333	1998-07-11	VYDAJ	PREVOD NA UCET	6508	17353	SIPO	MN	53933286
392049	1333	1998-08-11	VYDAJ	PREVOD NA UCET	6508	16711	SIPO	MN	53933286
392050	1333	1998-09-11	VYDAJ	PREVOD NA UCET	6508	13555	SIPO	MN	53933286
392051	1333	1998-10-11	VYDAJ	PREVOD NA UCET	6508	13882	SIPO	MN	53933286
392052	1333	1998-11-11	VYDAJ	PREVOD NA UCET	6508	10510	SIPO	MN	53933286
392053	1333	1998-12-11	VYDAJ	PREVOD NA UCET	6508	13333	SIPO	MN	53933286
392055	1333	1995-12-25	VYDAJ	VYBER	1100	26983	\N	\N	\N
392056	1333	1996-12-30	VYDAJ	VYBER	2500	14866	\N	\N	\N
392057	1333	1997-12-12	VYDAJ	VYBER	1300	25342	\N	\N	\N
392058	1333	1998-12-30	VYDAJ	VYBER	2900	25077	\N	\N	\N
392071	1333	1996-01-25	VYDAJ	VYBER	900	21450	\N	\N	\N
392072	1333	1996-01-07	VYDAJ	VYBER	2100	24995	\N	\N	\N
392073	1333	1996-01-22	VYDAJ	VYBER	2800	22350	\N	\N	\N
392074	1333	1996-01-19	VYDAJ	VYBER	2000	22750	\N	\N	\N
392075	1333	1996-01-11	VYDAJ	VYBER	1500	21495	\N	\N	\N
392076	1333	1996-01-07	VYDAJ	VYBER	2000	22995	\N	\N	\N
392079	1333	1997-01-15	VYDAJ	VYBER	1700	15271	\N	\N	\N
392082	1333	1997-01-03	VYDAJ	VYBER	1200	13716	\N	\N	\N
392083	1333	1998-01-30	VYDAJ	VYBER	1200	25482	\N	\N	\N
392084	1333	1998-01-01	VYDAJ	VYBER	1000	35327	\N	\N	\N
392085	1333	1998-01-03	VYDAJ	VYBER	2300	31927	\N	\N	\N
392086	1333	1998-01-04	VYDAJ	VYBER	1900	30027	\N	\N	\N
392087	1333	1998-01-14	VYDAJ	VYBER	600	29382	\N	\N	\N
392088	1333	1998-01-12	VYDAJ	VYBER	2100	20219	\N	\N	\N
392093	1333	1995-02-19	VYDAJ	VYBER	500	42598	\N	\N	\N
392094	1333	1995-07-12	VYDAJ	VYBER	4600	18697	\N	\N	\N
392095	1333	1996-06-07	VYDAJ	VYBER	4700	17182	\N	\N	\N
392097	1333	1996-10-23	VYDAJ	VYBER	4000	16562	\N	\N	\N
392098	1333	1996-11-10	VYDAJ	VYBER	3000	13633	\N	\N	\N
392099	1333	1997-12-14	VYDAJ	VYBER	3800	36186	\N	\N	\N
392101	1333	1997-05-20	VYDAJ	VYBER	2700	14276	\N	\N	\N
392103	1333	1997-12-12	VYDAJ	VYBER	4800	26642	\N	\N	\N
392104	1333	1997-12-07	VYDAJ	VYBER	1500	35550	\N	\N	\N
392106	1333	1998-09-26	VYDAJ	VYBER	4100	19218	\N	\N	\N
392107	1333	1998-08-29	VYDAJ	VYBER	2600	23874	\N	\N	\N
392108	1333	1998-06-04	VYDAJ	VYBER	2400	30608	\N	\N	\N
392109	1333	1998-08-30	VYDAJ	VYBER	2000	21874	\N	\N	\N
392110	1333	1998-01-22	VYDAJ	VYBER	2700	26682	\N	\N	\N
392111	1333	1998-01-02	VYDAJ	VYBER	1100	34227	\N	\N	\N
392126	1333	1995-02-28	VYDAJ	VYBER	15	33132	SLUZBY	\N	\N
392127	1333	1995-03-31	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
392128	1333	1995-04-30	VYDAJ	VYBER	15	28689	SLUZBY	\N	\N
392129	1333	1995-05-31	VYDAJ	VYBER	15	27553	SLUZBY	\N	\N
392130	1333	1995-06-30	VYDAJ	VYBER	15	29805	SLUZBY	\N	\N
392131	1333	1995-07-31	VYDAJ	VYBER	15	23459	SLUZBY	\N	\N
392132	1333	1995-08-31	VYDAJ	VYBER	15	24002	SLUZBY	\N	\N
392133	1333	1995-09-30	VYDAJ	VYBER	15	24748	SLUZBY	\N	\N
392134	1333	1995-10-31	VYDAJ	VYBER	15	24895	SLUZBY	\N	\N
392135	1333	1995-11-30	VYDAJ	VYBER	15	28347	SLUZBY	\N	\N
392136	1333	1995-12-31	VYDAJ	VYBER	15	27095	SLUZBY	\N	\N
392137	1333	1996-01-31	VYDAJ	VYBER	15	21532	SLUZBY	\N	\N
392138	1333	1996-02-29	VYDAJ	VYBER	15	22466	SLUZBY	\N	\N
392139	1333	1996-03-31	VYDAJ	VYBER	15	24005	SLUZBY	\N	\N
392140	1333	1996-04-30	VYDAJ	VYBER	15	22346	SLUZBY	\N	\N
392141	1333	1996-05-31	VYDAJ	VYBER	15	21882	SLUZBY	\N	\N
392142	1333	1996-06-30	VYDAJ	VYBER	15	23995	SLUZBY	\N	\N
392143	1333	1996-07-31	VYDAJ	VYBER	15	22034	SLUZBY	\N	\N
392144	1333	1996-08-31	VYDAJ	VYBER	15	23270	SLUZBY	\N	\N
392145	1333	1996-09-30	VYDAJ	VYBER	15	22007	SLUZBY	\N	\N
392146	1333	1996-10-31	VYDAJ	VYBER	15	16633	SLUZBY	\N	\N
392147	1333	1996-11-30	VYDAJ	VYBER	15	12730	SLUZBY	\N	\N
392148	1333	1996-12-31	VYDAJ	VYBER	15	14916	SLUZBY	\N	\N
392149	1333	1997-01-31	VYDAJ	VYBER	15	14815	SLUZBY	\N	\N
392150	1333	1997-02-28	VYDAJ	VYBER	15	14817	SLUZBY	\N	\N
392151	1333	1997-03-31	VYDAJ	VYBER	15	14218	SLUZBY	\N	\N
392152	1333	1997-04-30	VYDAJ	VYBER	15	15521	SLUZBY	\N	\N
392153	1333	1997-05-31	VYDAJ	VYBER	15	14325	SLUZBY	\N	\N
392154	1333	1997-06-30	VYDAJ	VYBER	15	23526	SLUZBY	\N	\N
392155	1333	1997-07-31	VYDAJ	VYBER	15	25869	SLUZBY	\N	\N
392156	1333	1997-08-31	VYDAJ	VYBER	15	28924	SLUZBY	\N	\N
392157	1333	1997-09-30	VYDAJ	VYBER	15	32692	SLUZBY	\N	\N
392158	1333	1997-10-31	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
392159	1333	1997-11-30	VYDAJ	VYBER	15	37050	SLUZBY	\N	\N
392160	1333	1997-12-31	VYDAJ	VYBER	15	36327	SLUZBY	\N	\N
392161	1333	1998-01-31	VYDAJ	VYBER	15	25586	SLUZBY	\N	\N
392162	1333	1998-02-28	VYDAJ	VYBER	15	28835	SLUZBY	\N	\N
392163	1333	1998-03-31	VYDAJ	VYBER	15	28190	SLUZBY	\N	\N
392164	1333	1998-04-30	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
392165	1333	1998-05-31	VYDAJ	VYBER	15	33008	SLUZBY	\N	\N
392166	1333	1998-06-30	VYDAJ	VYBER	15	34361	SLUZBY	\N	\N
392167	1333	1998-07-31	VYDAJ	VYBER	15	27219	SLUZBY	\N	\N
392168	1333	1998-08-31	VYDAJ	VYBER	15	21963	SLUZBY	\N	\N
392169	1333	1998-09-30	VYDAJ	VYBER	15	19290	SLUZBY	\N	\N
392170	1333	1998-10-31	VYDAJ	VYBER	15	23718	SLUZBY	\N	\N
392171	1333	1998-11-30	VYDAJ	VYBER	15	20341	SLUZBY	\N	\N
392172	1333	1994-10-29	PRIJEM	VKLAD	5000	15063	\N	\N	\N
392173	1333	1994-11-28	VYDAJ	VYBER	1500	23332	\N	\N	\N
392174	1333	1994-12-28	VYDAJ	VYBER	7500	30542	\N	\N	\N
392175	1333	1995-01-27	VYDAJ	VYBER	7200	33206	\N	\N	\N
392176	1333	1995-02-26	VYDAJ	VYBER	9600	32998	\N	\N	\N
392177	1333	1995-03-28	VYDAJ	VYBER	5700	30687	\N	\N	\N
392178	1333	1995-04-27	VYDAJ	VYBER	5500	28570	\N	\N	\N
392179	1333	1995-05-27	VYDAJ	VYBER	4500	27444	\N	\N	\N
392180	1333	1995-06-26	VYDAJ	VYBER	6000	29689	\N	\N	\N
392181	1333	1995-07-26	VYDAJ	VYBER	5100	23360	\N	\N	\N
392182	1333	1995-08-25	VYDAJ	VYBER	2800	23914	\N	\N	\N
392183	1333	1995-09-24	VYDAJ	VYBER	2600	24657	\N	\N	\N
392184	1333	1995-10-24	VYDAJ	VYBER	3200	24803	\N	\N	\N
392185	1333	1995-11-23	PRIJEM	VKLAD	100	28250	\N	\N	\N
392186	1333	1995-12-23	VYDAJ	VYBER	8400	28083	\N	\N	\N
392187	1333	1996-01-22	PRIJEM	VKLAD	2400	25150	\N	\N	\N
392188	1333	1996-02-21	VYDAJ	VYBER	2400	22387	\N	\N	\N
392189	1333	1996-03-22	VYDAJ	VYBER	1800	23921	\N	\N	\N
392190	1333	1996-04-21	VYDAJ	VYBER	5000	22260	\N	\N	\N
392191	1333	1996-05-21	VYDAJ	VYBER	3800	21801	\N	\N	\N
392192	1333	1996-06-20	VYDAJ	VYBER	1400	23918	\N	\N	\N
392193	1333	1996-07-20	VYDAJ	VYBER	5300	21950	\N	\N	\N
392194	1333	1996-08-19	VYDAJ	VYBER	2100	23189	\N	\N	\N
392195	1333	1996-09-18	VYDAJ	VYBER	4600	21925	\N	\N	\N
392196	1333	1996-10-18	VYDAJ	VYBER	4700	20562	\N	\N	\N
392197	1333	1996-11-17	VYDAJ	VYBER	4200	12688	\N	\N	\N
392198	1333	1996-12-17	VYDAJ	VYBER	3500	17366	\N	\N	\N
392199	1333	1997-01-16	VYDAJ	VYBER	500	14771	\N	\N	\N
392200	1333	1997-02-15	VYDAJ	VYBER	3300	14770	\N	\N	\N
392201	1333	1997-03-17	VYDAJ	VYBER	3900	14172	\N	\N	\N
392202	1333	1997-04-16	VYDAJ	VYBER	2000	15473	\N	\N	\N
392203	1333	1997-05-16	VYDAJ	VYBER	1800	16976	\N	\N	\N
392204	1333	1997-06-15	PRIJEM	VKLAD	1000	23461	\N	\N	\N
392205	1333	1997-07-15	VYDAJ	VYBER	1000	25781	\N	\N	\N
392206	1333	1997-08-14	VYDAJ	VYBER	300	28824	\N	\N	\N
392207	1333	1997-09-13	PRIJEM	VKLAD	400	22816	\N	\N	\N
392208	1333	1997-10-13	VYDAJ	VYBER	3300	22884	\N	\N	\N
392209	1333	1997-11-12	PRIJEM	VKLAD	900	27158	\N	\N	\N
392210	1333	1997-12-12	PRIJEM	VKLAD	2400	31442	\N	\N	\N
392211	1333	1998-01-11	VYDAJ	VYBER	1200	28827	\N	\N	\N
392212	1333	1998-02-10	VYDAJ	VYBER	100	25486	\N	\N	\N
392213	1333	1998-03-12	VYDAJ	VYBER	4000	18327	\N	\N	\N
392214	1333	1998-04-11	VYDAJ	VYBER	3300	24890	\N	\N	\N
392215	1333	1998-05-11	PRIJEM	VKLAD	1400	29642	\N	\N	\N
392216	1333	1998-06-10	VYDAJ	VYBER	4500	26108	\N	\N	\N
392217	1333	1998-07-10	VYDAJ	VYBER	10500	23861	\N	\N	\N
392218	1333	1998-08-09	VYDAJ	VYBER	4000	23219	\N	\N	\N
392219	1333	1998-09-08	VYDAJ	VYBER	1900	20063	\N	\N	\N
392220	1333	1998-10-08	PRIJEM	VKLAD	1100	20390	\N	\N	\N
392221	1333	1998-11-07	VYDAJ	VYBER	6700	17018	\N	\N	\N
392222	1333	1998-12-07	VYDAJ	VYBER	500	19841	\N	\N	\N
392274	1334	1993-05-14	PRIJEM	VKLAD	300	300	\N	\N	\N
392280	1334	1993-06-08	PRIJEM	VKLAD	8440	8740	\N	\N	\N
392281	1334	1993-07-08	PRIJEM	VKLAD	5627	20604	\N	\N	\N
392282	1334	1993-08-08	PRIJEM	VKLAD	5627	26509	\N	\N	\N
392283	1334	1993-09-08	PRIJEM	VKLAD	5627	32839	\N	\N	\N
392284	1334	1993-10-08	PRIJEM	VKLAD	5627	35687	\N	\N	\N
392285	1334	1993-11-08	PRIJEM	VKLAD	5627	30397	\N	\N	\N
392286	1334	1993-12-08	PRIJEM	VKLAD	8440	35431	\N	\N	\N
392287	1334	1994-01-08	PRIJEM	VKLAD	5627	23812	\N	\N	\N
392288	1334	1994-02-08	PRIJEM	VKLAD	5627	23510	\N	\N	\N
392289	1334	1994-03-08	PRIJEM	VKLAD	5627	29014	\N	\N	\N
392290	1334	1994-04-08	PRIJEM	VKLAD	5627	32835	\N	\N	\N
392291	1334	1994-05-08	PRIJEM	VKLAD	5627	35167	\N	\N	\N
392292	1334	1994-06-08	PRIJEM	VKLAD	8440	36611	\N	\N	\N
392293	1334	1994-07-08	PRIJEM	VKLAD	5627	32558	\N	\N	\N
392294	1334	1994-08-08	PRIJEM	VKLAD	5627	29724	\N	\N	\N
392295	1334	1994-09-08	PRIJEM	VKLAD	5627	33953	\N	\N	\N
392296	1334	1994-10-08	PRIJEM	VKLAD	5627	34723	\N	\N	\N
392297	1334	1994-11-08	PRIJEM	VKLAD	5627	32878	\N	\N	\N
392298	1334	1994-12-08	PRIJEM	VKLAD	8440	36161	\N	\N	\N
392299	1334	1995-01-08	PRIJEM	VKLAD	5627	26050	\N	\N	\N
392300	1334	1995-02-08	PRIJEM	VKLAD	5627	25719	\N	\N	\N
392301	1334	1995-03-08	PRIJEM	VKLAD	5627	25686	\N	\N	\N
392302	1334	1995-04-08	PRIJEM	VKLAD	5627	27899	\N	\N	\N
392303	1334	1995-05-08	PRIJEM	VKLAD	5627	31223	\N	\N	\N
392304	1334	1995-06-08	PRIJEM	VKLAD	8440	34075	\N	\N	\N
392305	1334	1995-07-08	PRIJEM	VKLAD	5627	21952	\N	\N	\N
392306	1334	1995-08-08	PRIJEM	VKLAD	5627	25145	\N	\N	\N
392307	1334	1995-09-08	PRIJEM	VKLAD	5627	29756	\N	\N	\N
392308	1334	1995-10-08	PRIJEM	VKLAD	5627	31087	\N	\N	\N
392309	1334	1995-11-08	PRIJEM	VKLAD	5627	30427	\N	\N	\N
392310	1334	1995-12-08	PRIJEM	VKLAD	8440	33857	\N	\N	\N
392311	1334	1996-01-08	PRIJEM	VKLAD	5627	33084	\N	\N	\N
392312	1334	1996-02-08	PRIJEM	VKLAD	5627	24897	\N	\N	\N
392313	1334	1996-03-08	PRIJEM	VKLAD	5627	29190	\N	\N	\N
392314	1334	1996-04-08	PRIJEM	VKLAD	5627	26499	\N	\N	\N
392315	1334	1996-05-08	PRIJEM	VKLAD	5627	28216	\N	\N	\N
392316	1334	1996-06-08	PRIJEM	VKLAD	8440	32735	\N	\N	\N
392317	1334	1996-07-08	PRIJEM	VKLAD	5627	23008	\N	\N	\N
392318	1334	1996-08-08	PRIJEM	VKLAD	5627	26279	\N	\N	\N
392319	1334	1996-09-08	PRIJEM	VKLAD	5627	30479	\N	\N	\N
392320	1334	1996-10-08	PRIJEM	VKLAD	5627	32095	\N	\N	\N
392321	1334	1996-11-08	PRIJEM	VKLAD	5627	32016	\N	\N	\N
392322	1334	1996-12-08	PRIJEM	VKLAD	8440	34811	\N	\N	\N
392323	1334	1997-01-08	PRIJEM	VKLAD	5627	36056	\N	\N	\N
392324	1334	1997-02-08	PRIJEM	VKLAD	5627	29244	\N	\N	\N
392325	1334	1997-03-08	PRIJEM	VKLAD	5627	26095	\N	\N	\N
392326	1334	1997-04-08	PRIJEM	VKLAD	5627	28893	\N	\N	\N
392327	1334	1997-05-08	PRIJEM	VKLAD	5627	33005	\N	\N	\N
392328	1334	1997-06-08	PRIJEM	VKLAD	8440	40949	\N	\N	\N
392329	1334	1997-07-08	PRIJEM	VKLAD	5627	41699	\N	\N	\N
392330	1334	1997-08-08	PRIJEM	VKLAD	5627	42160	\N	\N	\N
392331	1334	1997-09-08	PRIJEM	VKLAD	5627	42323	\N	\N	\N
392332	1334	1997-10-08	PRIJEM	VKLAD	5627	39263	\N	\N	\N
392333	1334	1997-11-08	PRIJEM	VKLAD	5627	39925	\N	\N	\N
392334	1334	1997-12-08	PRIJEM	VKLAD	8440	37626	\N	\N	\N
392335	1334	1998-01-08	PRIJEM	VKLAD	5627	32308	\N	\N	\N
392336	1334	1998-02-08	PRIJEM	VKLAD	5627	25802	\N	\N	\N
392337	1334	1998-03-08	PRIJEM	VKLAD	5627	31706	\N	\N	\N
392338	1334	1998-04-08	PRIJEM	VKLAD	5627	33468	\N	\N	\N
392339	1334	1998-05-08	PRIJEM	VKLAD	5627	35660	\N	\N	\N
392340	1334	1998-06-08	PRIJEM	VKLAD	8440	34705	\N	\N	\N
392341	1334	1998-07-08	PRIJEM	VKLAD	5627	31423	\N	\N	\N
392342	1334	1998-08-08	PRIJEM	VKLAD	5627	31038	\N	\N	\N
392343	1334	1998-09-08	PRIJEM	VKLAD	5627	31875	\N	\N	\N
392344	1334	1998-10-08	PRIJEM	VKLAD	5627	28393	\N	\N	\N
392345	1334	1998-11-08	PRIJEM	VKLAD	5627	28479	\N	\N	\N
392346	1334	1998-12-08	PRIJEM	VKLAD	8440	28790	\N	\N	\N
392348	1334	1994-06-24	VYDAJ	VYBER	4800	26811	\N	\N	\N
392349	1334	1995-06-17	VYDAJ	VYBER	17440	16635	\N	\N	\N
392350	1334	1996-06-14	VYDAJ	VYBER	17120	15615	\N	\N	\N
392353	1334	1993-12-13	VYDAJ	VYBER	4000	27331	\N	\N	\N
392354	1334	1994-12-12	VYDAJ	VYBER	3840	32321	\N	\N	\N
392355	1334	1995-12-17	VYDAJ	VYBER	4000	29857	\N	\N	\N
392356	1334	1996-12-02	VYDAJ	VYBER	1440	26371	\N	\N	\N
392357	1334	1997-12-02	VYDAJ	VYBER	2560	29186	\N	\N	\N
392365	1334	1994-01-19	VYDAJ	VYBER	1680	19612	\N	\N	\N
392366	1334	1994-01-29	VYDAJ	VYBER	1800	17812	\N	\N	\N
392367	1334	1994-01-02	VYDAJ	VYBER	960	23585	\N	\N	\N
392368	1334	1994-01-10	VYDAJ	VYBER	720	21292	\N	\N	\N
392369	1334	1994-01-05	VYDAJ	VYBER	1920	18185	\N	\N	\N
392370	1334	1994-01-04	VYDAJ	VYBER	3480	20105	\N	\N	\N
392371	1334	1995-01-10	VYDAJ	VYBER	2280	23770	\N	\N	\N
392372	1334	1995-01-15	VYDAJ	VYBER	720	23050	\N	\N	\N
392373	1334	1995-01-07	VYDAJ	VYBER	2880	20423	\N	\N	\N
392374	1334	1995-01-21	VYDAJ	VYBER	1080	21970	\N	\N	\N
392375	1334	1995-01-27	VYDAJ	VYBER	2760	19210	\N	\N	\N
392376	1334	1995-01-03	VYDAJ	VYBER	2040	30403	\N	\N	\N
392377	1334	1996-01-21	VYDAJ	VYBER	3120	20364	\N	\N	\N
392378	1334	1996-01-18	VYDAJ	VYBER	3360	23484	\N	\N	\N
392379	1334	1996-01-22	VYDAJ	VYBER	1080	19284	\N	\N	\N
392380	1334	1996-01-27	VYDAJ	VYBER	1200	18084	\N	\N	\N
392381	1334	1996-01-16	VYDAJ	VYBER	3360	29724	\N	\N	\N
392382	1334	1996-01-16	VYDAJ	VYBER	2880	26844	\N	\N	\N
392383	1334	1997-01-28	VYDAJ	VYBER	1560	23516	\N	\N	\N
392384	1334	1997-01-19	VYDAJ	VYBER	1080	24536	\N	\N	\N
392385	1334	1997-01-08	VYDAJ	VYBER	1440	34616	\N	\N	\N
392386	1334	1997-01-12	VYDAJ	VYBER	2400	32216	\N	\N	\N
392387	1334	1997-01-17	VYDAJ	VYBER	3480	25616	\N	\N	\N
392388	1334	1997-01-14	VYDAJ	VYBER	3120	29096	\N	\N	\N
392389	1334	1998-01-15	VYDAJ	VYBER	3360	25708	\N	\N	\N
392390	1334	1998-01-24	VYDAJ	VYBER	840	23328	\N	\N	\N
392391	1334	1998-01-30	VYDAJ	VYBER	3240	20088	\N	\N	\N
392392	1334	1998-01-17	VYDAJ	VYBER	2400	22468	\N	\N	\N
392393	1334	1998-01-15	VYDAJ	VYBER	3240	29068	\N	\N	\N
392394	1334	1998-01-16	VYDAJ	VYBER	840	24868	\N	\N	\N
392397	1334	1993-10-18	VYDAJ	VYBER	840	28147	\N	\N	\N
392401	1334	1993-12-15	VYDAJ	VYBER	2880	24451	\N	\N	\N
392402	1334	1993-10-25	VYDAJ	VYBER	3480	24667	\N	\N	\N
392403	1334	1994-11-27	VYDAJ	VYBER	1080	31798	\N	\N	\N
392404	1334	1994-10-03	VYDAJ	VYBER	1680	32396	\N	\N	\N
392405	1334	1994-07-20	VYDAJ	VYBER	5760	22098	\N	\N	\N
392406	1334	1995-11-22	VYDAJ	VYBER	4200	26227	\N	\N	\N
392407	1334	1995-03-19	VYDAJ	VYBER	2400	23286	\N	\N	\N
392408	1334	1995-02-09	VYDAJ	VYBER	2040	23679	\N	\N	\N
392409	1334	1995-07-19	VYDAJ	VYBER	3000	18952	\N	\N	\N
392410	1334	1996-07-17	VYDAJ	VYBER	1920	21088	\N	\N	\N
392411	1334	1996-04-03	VYDAJ	VYBER	1800	20872	\N	\N	\N
392412	1334	1997-01-22	VYDAJ	VYBER	3960	20576	\N	\N	\N
392413	1334	1997-02-12	VYDAJ	VYBER	3000	26244	\N	\N	\N
392414	1334	1997-02-24	VYDAJ	VYBER	2160	20384	\N	\N	\N
392415	1334	1997-12-19	VYDAJ	VYBER	4560	33066	\N	\N	\N
392416	1334	1997-10-03	VYDAJ	VYBER	1320	33636	\N	\N	\N
392417	1334	1998-08-09	VYDAJ	VYBER	5880	25158	\N	\N	\N
392418	1334	1998-03-17	VYDAJ	VYBER	3360	28346	\N	\N	\N
392419	1334	1998-10-09	VYDAJ	VYBER	3120	25273	\N	\N	\N
392420	1334	1998-09-26	VYDAJ	VYBER	5400	22675	\N	\N	\N
392421	1334	1998-05-09	VYDAJ	VYBER	2520	33140	\N	\N	\N
392422	1334	1998-05-16	VYDAJ	VYBER	4080	29060	\N	\N	\N
392423	1334	1998-05-02	VYDAJ	VYBER	1440	30033	\N	\N	\N
392434	1334	1993-10-31	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
392435	1334	1993-11-30	VYDAJ	VYBER	15	26991	SLUZBY	\N	\N
392436	1334	1993-12-31	VYDAJ	VYBER	15	24545	SLUZBY	\N	\N
392437	1334	1994-01-31	VYDAJ	VYBER	15	17883	SLUZBY	\N	\N
392438	1334	1994-02-28	VYDAJ	VYBER	15	23387	SLUZBY	\N	\N
392439	1334	1994-03-31	VYDAJ	VYBER	15	27208	SLUZBY	\N	\N
392440	1334	1994-04-30	VYDAJ	VYBER	15	29540	SLUZBY	\N	\N
392441	1334	1994-05-31	VYDAJ	VYBER	15	28171	SLUZBY	\N	\N
392442	1334	1994-06-30	VYDAJ	VYBER	15	26931	SLUZBY	\N	\N
392443	1334	1994-07-31	VYDAJ	VYBER	15	22197	SLUZBY	\N	\N
392444	1334	1994-08-31	VYDAJ	VYBER	15	29826	SLUZBY	\N	\N
392445	1334	1994-09-30	VYDAJ	VYBER	15	34076	SLUZBY	\N	\N
392446	1334	1994-10-31	VYDAJ	VYBER	15	34851	SLUZBY	\N	\N
392447	1334	1994-11-30	VYDAJ	VYBER	15	31921	SLUZBY	\N	\N
392448	1334	1994-12-31	VYDAJ	VYBER	15	32443	SLUZBY	\N	\N
392449	1334	1995-01-31	VYDAJ	VYBER	15	19292	SLUZBY	\N	\N
392450	1334	1995-02-28	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
392451	1334	1995-03-31	VYDAJ	VYBER	15	23372	SLUZBY	\N	\N
392452	1334	1995-04-30	VYDAJ	VYBER	15	27996	SLUZBY	\N	\N
392453	1334	1995-05-31	VYDAJ	VYBER	15	31335	SLUZBY	\N	\N
392454	1334	1995-06-30	VYDAJ	VYBER	15	16725	SLUZBY	\N	\N
392455	1334	1995-07-31	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
392456	1334	1995-08-31	VYDAJ	VYBER	15	25229	SLUZBY	\N	\N
392457	1334	1995-09-30	VYDAJ	VYBER	15	29860	SLUZBY	\N	\N
392458	1334	1995-10-31	VYDAJ	VYBER	15	31200	SLUZBY	\N	\N
392459	1334	1995-11-30	VYDAJ	VYBER	15	26317	SLUZBY	\N	\N
392460	1334	1995-12-31	VYDAJ	VYBER	15	27457	SLUZBY	\N	\N
392461	1334	1996-01-31	VYDAJ	VYBER	15	19270	SLUZBY	\N	\N
392462	1334	1996-02-29	VYDAJ	VYBER	15	23563	SLUZBY	\N	\N
392463	1334	1996-03-31	VYDAJ	VYBER	15	22672	SLUZBY	\N	\N
392464	1334	1996-04-30	VYDAJ	VYBER	15	22589	SLUZBY	\N	\N
392465	1334	1996-05-31	VYDAJ	VYBER	15	24295	SLUZBY	\N	\N
392466	1334	1996-06-30	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
392467	1334	1996-07-31	VYDAJ	VYBER	15	20652	SLUZBY	\N	\N
392468	1334	1996-08-31	VYDAJ	VYBER	15	24852	SLUZBY	\N	\N
392469	1334	1996-09-30	VYDAJ	VYBER	15	26468	SLUZBY	\N	\N
392470	1334	1996-10-31	VYDAJ	VYBER	15	26389	SLUZBY	\N	\N
392471	1334	1996-11-30	VYDAJ	VYBER	15	27811	SLUZBY	\N	\N
392472	1334	1996-12-31	VYDAJ	VYBER	15	30429	SLUZBY	\N	\N
392473	1334	1997-01-31	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
392474	1334	1997-02-28	VYDAJ	VYBER	15	20468	SLUZBY	\N	\N
392475	1334	1997-03-31	VYDAJ	VYBER	15	23266	SLUZBY	\N	\N
392476	1334	1997-04-30	VYDAJ	VYBER	15	27378	SLUZBY	\N	\N
392477	1334	1997-05-31	VYDAJ	VYBER	15	32509	SLUZBY	\N	\N
392478	1334	1997-06-30	VYDAJ	VYBER	15	36072	SLUZBY	\N	\N
392479	1334	1997-07-31	VYDAJ	VYBER	15	36533	SLUZBY	\N	\N
392480	1334	1997-08-31	VYDAJ	VYBER	15	36696	SLUZBY	\N	\N
392481	1334	1997-09-30	VYDAJ	VYBER	15	34956	SLUZBY	\N	\N
392482	1334	1997-10-31	VYDAJ	VYBER	15	34298	SLUZBY	\N	\N
392483	1334	1997-11-30	VYDAJ	VYBER	15	31746	SLUZBY	\N	\N
392484	1334	1997-12-31	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
392485	1334	1998-01-31	VYDAJ	VYBER	15	20175	SLUZBY	\N	\N
392486	1334	1998-02-28	VYDAJ	VYBER	15	26079	SLUZBY	\N	\N
392487	1334	1998-03-31	VYDAJ	VYBER	15	27841	SLUZBY	\N	\N
392488	1334	1998-04-30	VYDAJ	VYBER	15	31473	SLUZBY	\N	\N
392489	1334	1998-05-31	VYDAJ	VYBER	15	26265	SLUZBY	\N	\N
392490	1334	1998-06-30	VYDAJ	VYBER	15	25796	SLUZBY	\N	\N
392491	1334	1998-07-31	VYDAJ	VYBER	15	25411	SLUZBY	\N	\N
392492	1334	1998-08-31	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
392493	1334	1998-09-30	VYDAJ	VYBER	15	22766	SLUZBY	\N	\N
392494	1334	1998-10-31	VYDAJ	VYBER	15	22852	SLUZBY	\N	\N
392495	1334	1998-11-30	VYDAJ	VYBER	15	20350	SLUZBY	\N	\N
392496	1334	1993-06-13	PRIJEM	VKLAD	6200	14940	\N	\N	\N
392497	1334	1993-07-13	PRIJEM	VKLAD	200	20804	\N	\N	\N
392498	1334	1993-08-12	PRIJEM	VKLAD	600	27109	\N	\N	\N
392499	1334	1993-09-11	VYDAJ	VYBER	2900	29939	\N	\N	\N
392500	1334	1993-10-11	VYDAJ	VYBER	6700	28987	\N	\N	\N
392501	1334	1993-11-10	VYDAJ	VYBER	3500	26897	\N	\N	\N
392502	1334	1993-12-10	VYDAJ	VYBER	4100	31331	\N	\N	\N
392503	1334	1994-01-09	VYDAJ	VYBER	1800	22012	\N	\N	\N
392504	1334	1994-02-08	VYDAJ	VYBER	200	23310	\N	\N	\N
392505	1334	1994-03-10	VYDAJ	VYBER	1900	27114	\N	\N	\N
392506	1334	1994-04-09	VYDAJ	VYBER	3400	29435	\N	\N	\N
392507	1334	1994-05-09	VYDAJ	VYBER	7100	28067	\N	\N	\N
392508	1334	1994-06-08	VYDAJ	VYBER	5000	31611	\N	\N	\N
392509	1334	1994-07-08	VYDAJ	VYBER	4700	27858	\N	\N	\N
392510	1334	1994-08-07	PRIJEM	VKLAD	1900	24097	\N	\N	\N
392511	1334	1994-09-06	VYDAJ	VYBER	1500	28326	\N	\N	\N
392512	1334	1994-10-06	VYDAJ	VYBER	3300	29096	\N	\N	\N
392513	1334	1994-11-05	VYDAJ	VYBER	7600	27251	\N	\N	\N
392514	1334	1994-12-05	VYDAJ	VYBER	4200	27721	\N	\N	\N
392515	1334	1995-01-04	VYDAJ	VYBER	7100	23303	\N	\N	\N
392516	1334	1995-02-03	PRIJEM	VKLAD	800	20092	\N	\N	\N
392517	1334	1995-03-05	VYDAJ	VYBER	3700	20059	\N	\N	\N
392518	1334	1995-04-04	VYDAJ	VYBER	1100	22272	\N	\N	\N
392519	1334	1995-05-04	VYDAJ	VYBER	2400	25596	\N	\N	\N
392520	1334	1995-06-03	VYDAJ	VYBER	5700	25635	\N	\N	\N
392521	1334	1995-07-03	VYDAJ	VYBER	400	16325	\N	\N	\N
392522	1334	1995-08-02	PRIJEM	VKLAD	500	19518	\N	\N	\N
392523	1334	1995-09-01	VYDAJ	VYBER	1100	24129	\N	\N	\N
392524	1334	1995-10-01	VYDAJ	VYBER	4400	25460	\N	\N	\N
392525	1334	1995-10-31	VYDAJ	VYBER	6400	24800	\N	\N	\N
392526	1334	1995-11-30	VYDAJ	VYBER	900	25417	\N	\N	\N
392527	1334	1995-12-30	VYDAJ	VYBER	2500	27357	\N	\N	\N
392528	1334	1996-01-29	PRIJEM	VKLAD	1100	19184	\N	\N	\N
392529	1334	1996-02-28	VYDAJ	VYBER	1400	23497	\N	\N	\N
392530	1334	1996-03-29	VYDAJ	VYBER	6600	22590	\N	\N	\N
392531	1334	1996-04-28	VYDAJ	VYBER	4000	22499	\N	\N	\N
392532	1334	1996-05-28	VYDAJ	VYBER	4000	24216	\N	\N	\N
392533	1334	1996-06-27	PRIJEM	VKLAD	1700	17315	\N	\N	\N
392534	1334	1996-07-27	VYDAJ	VYBER	500	20588	\N	\N	\N
392535	1334	1996-08-26	VYDAJ	VYBER	1500	24779	\N	\N	\N
392536	1334	1996-09-25	VYDAJ	VYBER	4100	26379	\N	\N	\N
392537	1334	1996-10-25	VYDAJ	VYBER	5800	26295	\N	\N	\N
392538	1334	1996-11-24	VYDAJ	VYBER	4300	27716	\N	\N	\N
392539	1334	1996-12-24	VYDAJ	VYBER	4500	30311	\N	\N	\N
392540	1334	1997-01-23	PRIJEM	VKLAD	4500	25076	\N	\N	\N
392541	1334	1997-02-22	VYDAJ	VYBER	3700	22544	\N	\N	\N
392542	1334	1997-03-24	VYDAJ	VYBER	2900	23195	\N	\N	\N
392543	1334	1997-04-23	VYDAJ	VYBER	1600	27293	\N	\N	\N
392544	1334	1997-05-23	VYDAJ	VYBER	600	32405	\N	\N	\N
392545	1334	1997-06-22	VYDAJ	VYBER	5000	35949	\N	\N	\N
392546	1334	1997-07-22	VYDAJ	VYBER	5300	36399	\N	\N	\N
392547	1334	1997-08-21	VYDAJ	VYBER	5600	36560	\N	\N	\N
392548	1334	1997-09-20	VYDAJ	VYBER	7500	34823	\N	\N	\N
392549	1334	1997-10-20	VYDAJ	VYBER	5100	34163	\N	\N	\N
392550	1334	1997-11-19	VYDAJ	VYBER	8300	31625	\N	\N	\N
392551	1334	1997-12-19	VYDAJ	VYBER	6500	26566	\N	\N	\N
392552	1334	1998-01-18	PRIJEM	VKLAD	1700	24168	\N	\N	\N
392553	1334	1998-02-17	PRIJEM	VKLAD	200	26002	\N	\N	\N
392554	1334	1998-03-19	VYDAJ	VYBER	600	27746	\N	\N	\N
392555	1334	1998-04-18	VYDAJ	VYBER	2100	31368	\N	\N	\N
392556	1334	1998-05-18	VYDAJ	VYBER	2900	26160	\N	\N	\N
392557	1334	1998-06-17	VYDAJ	VYBER	9000	25705	\N	\N	\N
392558	1334	1998-07-17	VYDAJ	VYBER	6100	25323	\N	\N	\N
392559	1334	1998-08-16	PRIJEM	VKLAD	1000	26158	\N	\N	\N
392560	1334	1998-09-15	VYDAJ	VYBER	3800	28075	\N	\N	\N
392561	1334	1998-10-15	VYDAJ	VYBER	2500	22773	\N	\N	\N
392562	1334	1998-11-14	VYDAJ	VYBER	8200	20279	\N	\N	\N
392563	1334	1998-12-14	VYDAJ	VYBER	9300	19490	\N	\N	\N
392631	1335	1995-09-21	PRIJEM	VKLAD	200	200	\N	\N	\N
392641	1335	1995-10-13	PRIJEM	VKLAD	14875	15075	\N	\N	\N
392642	1335	1995-11-13	PRIJEM	VKLAD	14875	32977	\N	\N	\N
392643	1335	1995-12-13	PRIJEM	VKLAD	22313	51882	\N	\N	\N
392644	1335	1996-01-13	PRIJEM	VKLAD	14875	53594	\N	\N	\N
392645	1335	1996-02-13	PRIJEM	VKLAD	14875	54231	\N	\N	\N
392646	1335	1996-03-13	PRIJEM	VKLAD	14875	47343	\N	\N	\N
392647	1335	1996-04-13	PRIJEM	VKLAD	14875	47499	\N	\N	\N
392648	1335	1996-05-13	PRIJEM	VKLAD	14875	48898	\N	\N	\N
392649	1335	1996-06-13	PRIJEM	VKLAD	22313	60946	\N	\N	\N
392650	1335	1996-07-13	PRIJEM	VKLAD	14875	35176	\N	\N	\N
392651	1335	1996-08-13	PRIJEM	VKLAD	14875	45743	\N	\N	\N
392652	1335	1996-09-13	PRIJEM	VKLAD	14875	46553	\N	\N	\N
392653	1335	1996-10-13	PRIJEM	VKLAD	14875	46501	\N	\N	\N
392654	1335	1996-11-13	PRIJEM	VKLAD	14875	53705	\N	\N	\N
392655	1335	1996-12-13	PRIJEM	VKLAD	22313	59668	\N	\N	\N
392656	1335	1997-01-13	PRIJEM	VKLAD	14875	54366	\N	\N	\N
392657	1335	1997-02-13	PRIJEM	VKLAD	14875	49572	\N	\N	\N
392658	1335	1997-03-13	PRIJEM	VKLAD	14875	58187	\N	\N	\N
392659	1335	1997-04-13	PRIJEM	VKLAD	14875	55141	\N	\N	\N
392660	1335	1997-05-13	PRIJEM	VKLAD	14875	54561	\N	\N	\N
392661	1335	1997-06-13	PRIJEM	VKLAD	22313	54410	\N	\N	\N
392662	1335	1997-07-13	PRIJEM	VKLAD	14875	52944	\N	\N	\N
392663	1335	1997-08-13	PRIJEM	VKLAD	14875	50093	\N	\N	\N
392664	1335	1997-09-13	PRIJEM	VKLAD	14875	48230	\N	\N	\N
392665	1335	1997-10-13	PRIJEM	VKLAD	14875	47454	\N	\N	\N
392666	1335	1997-11-13	PRIJEM	VKLAD	14875	43976	\N	\N	\N
392667	1335	1997-12-13	PRIJEM	VKLAD	22313	50163	\N	\N	\N
392668	1335	1998-01-13	PRIJEM	VKLAD	14875	48882	\N	\N	\N
392669	1335	1998-02-13	PRIJEM	VKLAD	14875	49807	\N	\N	\N
392670	1335	1998-03-13	PRIJEM	VKLAD	14875	48132	\N	\N	\N
392671	1335	1998-04-13	PRIJEM	VKLAD	14875	48456	\N	\N	\N
392672	1335	1998-05-13	PRIJEM	VKLAD	14875	48378	\N	\N	\N
392673	1335	1998-06-13	PRIJEM	VKLAD	22313	50517	\N	\N	\N
392674	1335	1998-07-13	PRIJEM	VKLAD	14875	43397	\N	\N	\N
392675	1335	1998-08-13	PRIJEM	VKLAD	14875	43698	\N	\N	\N
392676	1335	1998-09-13	PRIJEM	VKLAD	14875	40297	\N	\N	\N
392677	1335	1998-10-13	PRIJEM	VKLAD	14875	43485	\N	\N	\N
392678	1335	1998-11-13	PRIJEM	VKLAD	14875	45234	\N	\N	\N
392679	1335	1998-12-13	PRIJEM	VKLAD	22313	52972	\N	\N	\N
392693	1335	1996-02-14	VYDAJ	PREVOD NA UCET	5367	48864	SIPO	QR	86276912
392694	1335	1996-03-14	VYDAJ	PREVOD NA UCET	5367	41976	SIPO	QR	86276912
392695	1335	1996-04-14	VYDAJ	PREVOD NA UCET	5367	42132	SIPO	QR	86276912
392696	1335	1996-05-14	VYDAJ	PREVOD NA UCET	5367	43531	SIPO	QR	86276912
392697	1335	1996-06-14	VYDAJ	PREVOD NA UCET	5367	55579	SIPO	QR	86276912
392698	1335	1996-07-14	VYDAJ	PREVOD NA UCET	5367	29809	SIPO	QR	86276912
392699	1335	1996-08-14	VYDAJ	PREVOD NA UCET	5367	40376	SIPO	QR	86276912
392700	1335	1996-09-14	VYDAJ	PREVOD NA UCET	5367	35426	SIPO	QR	86276912
392701	1335	1996-10-14	VYDAJ	PREVOD NA UCET	5367	41134	SIPO	QR	86276912
392702	1335	1996-11-14	VYDAJ	PREVOD NA UCET	5367	38238	SIPO	QR	86276912
392703	1335	1996-12-14	VYDAJ	PREVOD NA UCET	5367	40361	SIPO	QR	86276912
392704	1335	1997-01-14	VYDAJ	PREVOD NA UCET	5367	36999	SIPO	QR	86276912
392705	1335	1997-02-14	VYDAJ	PREVOD NA UCET	5367	44205	SIPO	QR	86276912
392706	1335	1997-03-14	VYDAJ	PREVOD NA UCET	5367	52820	SIPO	QR	86276912
392707	1335	1997-04-14	VYDAJ	PREVOD NA UCET	5367	40574	SIPO	QR	86276912
392708	1335	1997-05-14	VYDAJ	PREVOD NA UCET	5367	37494	SIPO	QR	86276912
392709	1335	1997-06-14	VYDAJ	PREVOD NA UCET	5367	49043	SIPO	QR	86276912
392710	1335	1997-07-14	VYDAJ	PREVOD NA UCET	5367	47577	SIPO	QR	86276912
392711	1335	1997-08-14	VYDAJ	PREVOD NA UCET	5367	44726	SIPO	QR	86276912
392712	1335	1997-09-14	VYDAJ	PREVOD NA UCET	5367	42863	SIPO	QR	86276912
392713	1335	1997-10-14	VYDAJ	PREVOD NA UCET	5367	42087	SIPO	QR	86276912
392714	1335	1997-11-14	VYDAJ	PREVOD NA UCET	5367	38609	SIPO	QR	86276912
392715	1335	1997-12-14	VYDAJ	PREVOD NA UCET	5367	44796	SIPO	QR	86276912
392716	1335	1998-01-14	VYDAJ	PREVOD NA UCET	5367	43515	SIPO	QR	86276912
392717	1335	1998-02-14	VYDAJ	PREVOD NA UCET	5367	44440	SIPO	QR	86276912
392718	1335	1998-03-14	VYDAJ	PREVOD NA UCET	5367	42765	SIPO	QR	86276912
392719	1335	1998-04-14	VYDAJ	PREVOD NA UCET	5367	43089	SIPO	QR	86276912
392720	1335	1998-05-14	VYDAJ	PREVOD NA UCET	5367	43011	SIPO	QR	86276912
392721	1335	1998-06-14	VYDAJ	PREVOD NA UCET	5367	45150	SIPO	QR	86276912
392722	1335	1998-07-14	VYDAJ	PREVOD NA UCET	5367	38030	SIPO	QR	86276912
392723	1335	1998-08-14	VYDAJ	PREVOD NA UCET	5367	38331	SIPO	QR	86276912
392724	1335	1998-09-14	VYDAJ	PREVOD NA UCET	5367	34930	SIPO	QR	86276912
392725	1335	1998-10-14	VYDAJ	PREVOD NA UCET	5367	38118	SIPO	QR	86276912
392726	1335	1998-11-14	VYDAJ	PREVOD NA UCET	5367	39867	SIPO	QR	86276912
392727	1335	1998-12-14	VYDAJ	PREVOD NA UCET	5367	47605	SIPO	QR	86276912
392742	1335	1996-03-06	VYDAJ	PREVOD NA UCET	1044	32468	 	MN	66854125
392743	1335	1996-04-06	VYDAJ	PREVOD NA UCET	1044	32624	 	MN	66854125
392744	1335	1996-05-06	VYDAJ	PREVOD NA UCET	1044	34023	 	MN	66854125
392745	1335	1996-06-06	VYDAJ	PREVOD NA UCET	1044	38633	 	MN	66854125
392746	1335	1996-07-06	VYDAJ	PREVOD NA UCET	1044	20301	 	MN	66854125
392747	1335	1996-08-06	VYDAJ	PREVOD NA UCET	1044	30868	 	MN	66854125
392748	1335	1996-09-06	VYDAJ	PREVOD NA UCET	1044	31678	 	MN	66854125
392749	1335	1996-10-06	VYDAJ	PREVOD NA UCET	1044	31626	 	MN	66854125
392750	1335	1996-11-06	VYDAJ	PREVOD NA UCET	1044	38830	 	MN	66854125
392751	1335	1996-12-06	VYDAJ	PREVOD NA UCET	1044	37356	 	MN	66854125
392752	1335	1997-01-06	VYDAJ	PREVOD NA UCET	1044	39491	 	MN	66854125
392753	1335	1997-02-06	VYDAJ	PREVOD NA UCET	1044	32497	 	MN	66854125
392754	1335	1997-03-06	VYDAJ	PREVOD NA UCET	1044	43312	 	MN	66854125
392755	1335	1997-04-06	VYDAJ	PREVOD NA UCET	1044	40266	 	MN	66854125
392756	1335	1997-05-06	VYDAJ	PREVOD NA UCET	1044	39686	 	MN	66854125
392757	1335	1997-06-06	VYDAJ	PREVOD NA UCET	1044	36597	 	MN	66854125
392758	1335	1997-07-06	VYDAJ	PREVOD NA UCET	1044	48169	 	MN	66854125
392759	1335	1997-08-06	VYDAJ	PREVOD NA UCET	1044	46718	 	MN	66854125
392760	1335	1997-09-06	VYDAJ	PREVOD NA UCET	1044	43855	 	MN	66854125
392761	1335	1997-10-06	VYDAJ	PREVOD NA UCET	1044	41979	 	MN	66854125
392762	1335	1997-11-06	VYDAJ	PREVOD NA UCET	1044	41201	 	MN	66854125
392763	1335	1997-12-06	VYDAJ	PREVOD NA UCET	1044	35150	 	MN	66854125
392764	1335	1998-01-06	VYDAJ	PREVOD NA UCET	1044	43907	 	MN	66854125
392765	1335	1998-02-06	VYDAJ	PREVOD NA UCET	1044	42632	 	MN	66854125
392766	1335	1998-03-06	VYDAJ	PREVOD NA UCET	1044	43557	 	MN	66854125
392767	1335	1998-04-06	VYDAJ	PREVOD NA UCET	1044	41881	 	MN	66854125
392768	1335	1998-05-06	VYDAJ	PREVOD NA UCET	1044	42203	 	MN	66854125
392769	1335	1998-06-06	VYDAJ	PREVOD NA UCET	1044	42124	 	MN	66854125
392770	1335	1998-07-06	VYDAJ	PREVOD NA UCET	1044	39222	 	MN	66854125
392771	1335	1998-08-06	VYDAJ	PREVOD NA UCET	1044	37123	 	MN	66854125
392772	1335	1998-09-06	VYDAJ	PREVOD NA UCET	1044	26822	 	MN	66854125
392773	1335	1998-10-06	VYDAJ	PREVOD NA UCET	1044	28610	 	MN	66854125
392774	1335	1998-11-06	VYDAJ	PREVOD NA UCET	1044	30359	 	MN	66854125
392775	1335	1998-12-06	VYDAJ	PREVOD NA UCET	1044	30659	 	MN	66854125
392777	1335	1996-06-15	VYDAJ	VYBER	29600	25979	\N	\N	\N
392779	1335	1998-06-08	VYDAJ	VYBER	7520	28204	\N	\N	\N
392781	1335	1996-12-14	VYDAJ	VYBER	3840	45728	\N	\N	\N
392782	1335	1997-12-04	VYDAJ	VYBER	2560	36194	\N	\N	\N
392783	1335	1998-12-01	VYDAJ	VYBER KARTOU	1800	38203	\N	\N	0
392790	1335	1996-03-21	VYDAJ	VYBER	840	33536	\N	\N	\N
392791	1335	1996-07-04	VYDAJ	VYBER	5160	21345	\N	\N	\N
392792	1335	1996-08-26	VYDAJ	VYBER	1680	32596	\N	\N	\N
392793	1335	1996-09-14	VYDAJ	VYBER	1680	33746	\N	\N	\N
392794	1335	1996-09-13	VYDAJ	VYBER	5760	40793	\N	\N	\N
392796	1335	1996-02-23	VYDAJ	VYBER	4200	33364	\N	\N	\N
392797	1335	1997-09-08	VYDAJ	VYBER	5400	38455	\N	\N	\N
392798	1335	1997-01-24	VYDAJ	VYBER	3600	33399	\N	\N	\N
392799	1335	1998-06-28	VYDAJ	VYBER	5040	40110	\N	\N	\N
392800	1335	1998-10-22	VYDAJ	VYBER	4440	33678	\N	\N	\N
392801	1335	1998-12-05	VYDAJ	VYBER KARTOU	700	31703	\N	\N	0
392802	1335	1998-10-03	VYDAJ	VYBER KARTOU	3200	31854	\N	\N	0
392803	1335	1998-09-07	VYDAJ	VYBER KARTOU	1400	25422	\N	\N	0
392818	1335	1996-02-29	VYDAJ	VYBER	15	33512	SLUZBY	\N	\N
392819	1335	1996-03-31	VYDAJ	VYBER	15	33668	SLUZBY	\N	\N
392820	1335	1996-04-30	VYDAJ	VYBER	15	35067	SLUZBY	\N	\N
392821	1335	1996-05-31	VYDAJ	VYBER	15	39677	SLUZBY	\N	\N
392822	1335	1996-06-30	VYDAJ	VYBER	15	26505	SLUZBY	\N	\N
392823	1335	1996-07-31	VYDAJ	VYBER	15	31912	SLUZBY	\N	\N
392824	1335	1996-08-31	VYDAJ	VYBER	15	32722	SLUZBY	\N	\N
392825	1335	1996-09-30	VYDAJ	VYBER	15	32670	SLUZBY	\N	\N
392826	1335	1996-10-31	VYDAJ	VYBER	15	39874	SLUZBY	\N	\N
392827	1335	1996-11-30	VYDAJ	VYBER	15	38400	SLUZBY	\N	\N
392828	1335	1996-12-31	VYDAJ	VYBER	15	40535	SLUZBY	\N	\N
392829	1335	1997-01-31	VYDAJ	VYBER	15	33541	SLUZBY	\N	\N
392830	1335	1997-02-28	VYDAJ	VYBER	15	44356	SLUZBY	\N	\N
392831	1335	1997-03-31	VYDAJ	VYBER	15	41310	SLUZBY	\N	\N
392832	1335	1997-04-30	VYDAJ	VYBER	15	40730	SLUZBY	\N	\N
392833	1335	1997-05-31	VYDAJ	VYBER	15	37641	SLUZBY	\N	\N
392834	1335	1997-06-30	VYDAJ	VYBER	15	49213	SLUZBY	\N	\N
392835	1335	1997-07-31	VYDAJ	VYBER	15	47762	SLUZBY	\N	\N
392836	1335	1997-08-31	VYDAJ	VYBER	15	44899	SLUZBY	\N	\N
392837	1335	1997-09-30	VYDAJ	VYBER	15	43023	SLUZBY	\N	\N
392838	1335	1997-10-31	VYDAJ	VYBER	15	42245	SLUZBY	\N	\N
392839	1335	1997-11-30	VYDAJ	VYBER	15	38754	SLUZBY	\N	\N
392840	1335	1997-12-31	VYDAJ	VYBER	15	44951	SLUZBY	\N	\N
392841	1335	1998-01-31	VYDAJ	VYBER	15	43676	SLUZBY	\N	\N
392842	1335	1998-02-28	VYDAJ	VYBER	15	44601	SLUZBY	\N	\N
392843	1335	1998-03-31	VYDAJ	VYBER	15	42925	SLUZBY	\N	\N
392844	1335	1998-04-30	VYDAJ	VYBER	15	43247	SLUZBY	\N	\N
392845	1335	1998-05-31	VYDAJ	VYBER	15	43168	SLUZBY	\N	\N
392846	1335	1998-06-30	VYDAJ	VYBER	15	40266	SLUZBY	\N	\N
392847	1335	1998-07-31	VYDAJ	VYBER	15	38167	SLUZBY	\N	\N
392848	1335	1998-08-31	VYDAJ	VYBER	15	38466	SLUZBY	\N	\N
392849	1335	1998-09-30	VYDAJ	VYBER	15	35054	SLUZBY	\N	\N
392850	1335	1998-10-31	VYDAJ	VYBER	15	33803	SLUZBY	\N	\N
392851	1335	1998-11-30	VYDAJ	VYBER	15	40003	SLUZBY	\N	\N
392852	1335	1995-10-21	PRIJEM	VKLAD	3000	18075	\N	\N	\N
392853	1335	1995-11-20	VYDAJ	VYBER	3500	29477	\N	\N	\N
392854	1335	1995-12-20	VYDAJ	VYBER	13300	38582	\N	\N	\N
392855	1335	1996-01-19	VYDAJ	VYBER	14400	39194	\N	\N	\N
392856	1335	1996-02-18	VYDAJ	VYBER	11300	37564	\N	\N	\N
392857	1335	1996-03-19	VYDAJ	VYBER	7600	34376	\N	\N	\N
392858	1335	1996-04-18	VYDAJ	VYBER	7200	34932	\N	\N	\N
392859	1335	1996-05-18	VYDAJ	VYBER	4000	39531	\N	\N	\N
392860	1335	1996-06-17	PRIJEM	VKLAD	400	26379	\N	\N	\N
392861	1335	1996-07-17	PRIJEM	VKLAD	2000	31809	\N	\N	\N
392862	1335	1996-08-16	VYDAJ	VYBER	6100	34276	\N	\N	\N
392863	1335	1996-09-15	VYDAJ	VYBER	1200	32546	\N	\N	\N
392864	1335	1996-10-15	VYDAJ	VYBER	1400	39734	\N	\N	\N
392865	1335	1996-11-14	VYDAJ	VYBER	10100	43605	\N	\N	\N
392866	1335	1996-12-14	VYDAJ	VYBER	10100	49568	\N	\N	\N
392867	1335	1997-01-13	VYDAJ	VYBER	12000	42366	\N	\N	\N
392868	1335	1997-02-12	PRIJEM	VKLAD	2200	34697	\N	\N	\N
392869	1335	1997-03-14	VYDAJ	VYBER	11700	41120	\N	\N	\N
392870	1335	1997-04-13	VYDAJ	VYBER	9200	45941	\N	\N	\N
392871	1335	1997-05-13	VYDAJ	VYBER	11700	42861	\N	\N	\N
392872	1335	1997-06-12	VYDAJ	VYBER	4500	32097	\N	\N	\N
392873	1335	1997-07-12	VYDAJ	VYBER	10100	38069	\N	\N	\N
392874	1335	1997-08-11	VYDAJ	VYBER	11500	35218	\N	\N	\N
392875	1335	1997-09-10	VYDAJ	VYBER	5100	33355	\N	\N	\N
392876	1335	1997-10-10	VYDAJ	VYBER	9400	32579	\N	\N	\N
392877	1335	1997-11-09	VYDAJ	VYBER	12100	29101	\N	\N	\N
392878	1335	1997-12-09	VYDAJ	VYBER	7300	27850	\N	\N	\N
392879	1335	1998-01-08	VYDAJ	VYBER	9900	34007	\N	\N	\N
392880	1335	1998-02-07	VYDAJ	VYBER	7700	34932	\N	\N	\N
392881	1335	1998-03-09	VYDAJ	VYBER	10300	33257	\N	\N	\N
392882	1335	1998-04-08	VYDAJ	VYBER	8300	33581	\N	\N	\N
392883	1335	1998-05-08	VYDAJ	VYBER	8700	33503	\N	\N	\N
392884	1335	1998-06-07	VYDAJ	VYBER	6400	35724	\N	\N	\N
392885	1335	1998-07-07	VYDAJ	VYBER	10700	28522	\N	\N	\N
392886	1335	1998-08-06	VYDAJ	VYBER	8300	28823	\N	\N	\N
392887	1335	1998-09-05	VYDAJ	VYBER	10600	27866	\N	\N	\N
392888	1335	1998-10-05	VYDAJ	VYBER KARTOU	2200	29654	\N	\N	0
392889	1335	1998-11-04	VYDAJ	VYBER KARTOU	2400	31403	\N	\N	0
392890	1335	1998-12-04	VYDAJ	VYBER	5800	32403	\N	\N	\N
392930	1336	1997-02-26	PRIJEM	VKLAD	300	300	\N	\N	\N
392933	1336	1997-03-07	PRIJEM	VKLAD	17104	17404	\N	\N	\N
392934	1336	1997-04-07	PRIJEM	VKLAD	17104	38019	\N	\N	\N
392935	1336	1997-05-07	PRIJEM	VKLAD	17104	46815	\N	\N	\N
392936	1336	1997-06-07	PRIJEM	VKLAD	25656	57296	\N	\N	\N
392937	1336	1997-07-07	PRIJEM	VKLAD	17104	57137	\N	\N	\N
392938	1336	1997-08-07	PRIJEM	VKLAD	17104	49278	\N	\N	\N
392939	1336	1997-09-07	PRIJEM	VKLAD	17104	42495	\N	\N	\N
392940	1336	1997-10-07	PRIJEM	VKLAD	17104	45482	\N	\N	\N
392941	1336	1997-11-07	PRIJEM	VKLAD	17104	46179	\N	\N	\N
392942	1336	1997-12-07	PRIJEM	VKLAD	25656	50729	\N	\N	\N
392943	1336	1998-01-07	PRIJEM	VKLAD	17104	45842	\N	\N	\N
392944	1336	1998-02-07	PRIJEM	VKLAD	17104	38927	\N	\N	\N
392945	1336	1998-03-07	PRIJEM	VKLAD	17104	43899	\N	\N	\N
392946	1336	1998-04-07	PRIJEM	VKLAD	17104	45489	\N	\N	\N
392947	1336	1998-05-07	PRIJEM	VKLAD	17104	47686	\N	\N	\N
392948	1336	1998-06-07	PRIJEM	VKLAD	25656	55541	\N	\N	\N
392949	1336	1998-07-07	PRIJEM	VKLAD	17104	38605	\N	\N	\N
392950	1336	1998-08-07	PRIJEM	VKLAD	17104	44377	\N	\N	\N
392951	1336	1998-09-07	PRIJEM	VKLAD	17104	45165	\N	\N	\N
392952	1336	1998-10-07	PRIJEM	VKLAD	17104	40256	\N	\N	\N
392953	1336	1998-11-07	PRIJEM	VKLAD	17104	38425	\N	\N	\N
392954	1336	1998-12-07	PRIJEM	VKLAD	25656	48942	\N	\N	\N
392961	1336	1997-07-10	VYDAJ	PREVOD NA UCET	9426	47711	SIPO	CD	63792580
392962	1336	1997-08-10	VYDAJ	PREVOD NA UCET	9426	39852	SIPO	CD	63792580
392963	1336	1997-09-10	VYDAJ	PREVOD NA UCET	9426	33069	SIPO	CD	63792580
392964	1336	1997-10-10	VYDAJ	PREVOD NA UCET	9426	36056	SIPO	CD	63792580
392965	1336	1997-11-10	VYDAJ	PREVOD NA UCET	9426	36753	SIPO	CD	63792580
392966	1336	1997-12-10	VYDAJ	PREVOD NA UCET	9426	40403	SIPO	CD	63792580
392967	1336	1998-01-10	VYDAJ	PREVOD NA UCET	9426	32316	SIPO	CD	63792580
392968	1336	1998-02-10	VYDAJ	PREVOD NA UCET	9426	29501	SIPO	CD	63792580
392969	1336	1998-03-10	VYDAJ	PREVOD NA UCET	9426	34473	SIPO	CD	63792580
392970	1336	1998-04-10	VYDAJ	PREVOD NA UCET	9426	36063	SIPO	CD	63792580
392971	1336	1998-05-10	VYDAJ	PREVOD NA UCET	9426	38260	SIPO	CD	63792580
392972	1336	1998-06-10	VYDAJ	PREVOD NA UCET	9426	46115	SIPO	CD	63792580
392973	1336	1998-07-10	VYDAJ	PREVOD NA UCET	9426	29179	SIPO	CD	63792580
392974	1336	1998-08-10	VYDAJ	PREVOD NA UCET	9426	34951	SIPO	CD	63792580
392975	1336	1998-09-10	VYDAJ	PREVOD NA UCET	9426	34339	SIPO	CD	63792580
392976	1336	1998-10-10	VYDAJ	PREVOD NA UCET	9426	30830	SIPO	CD	63792580
392977	1336	1998-11-10	VYDAJ	PREVOD NA UCET	9426	28999	SIPO	CD	63792580
392978	1336	1998-12-10	VYDAJ	PREVOD NA UCET	9426	36016	SIPO	CD	63792580
392980	1336	1998-06-11	VYDAJ	VYBER	26700	19415	\N	\N	\N
392982	1336	1998-01-16	VYDAJ	VYBER	5900	26416	\N	\N	\N
392983	1336	1997-12-06	VYDAJ	VYBER	2100	25073	\N	\N	\N
392984	1336	1998-12-06	VYDAJ	VYBER	1100	23286	\N	\N	\N
392991	1336	1998-01-08	VYDAJ	VYBER	1100	44742	\N	\N	\N
392992	1336	1998-01-26	VYDAJ	VYBER	2400	22516	\N	\N	\N
392993	1336	1998-01-06	VYDAJ	VYBER	900	28738	\N	\N	\N
392994	1336	1998-01-22	VYDAJ	VYBER	700	25716	\N	\N	\N
392995	1336	1998-01-28	VYDAJ	VYBER	800	21716	\N	\N	\N
392996	1336	1998-01-03	VYDAJ	VYBER	1200	29638	\N	\N	\N
392997	1336	1997-08-02	VYDAJ	VYBER	1200	32174	\N	\N	\N
392998	1336	1997-11-26	VYDAJ	VYBER	4300	27053	\N	\N	\N
392999	1336	1997-12-07	VYDAJ	VYBER	900	49829	\N	\N	\N
393001	1336	1997-08-30	VYDAJ	VYBER	3900	25252	\N	\N	\N
393002	1336	1997-12-25	VYDAJ	VYBER	3000	30703	\N	\N	\N
393003	1336	1998-05-25	VYDAJ	VYBER	4800	29760	\N	\N	\N
393004	1336	1998-10-27	VYDAJ	VYBER	2800	21230	\N	\N	\N
393005	1336	1998-02-18	VYDAJ	VYBER	1600	27901	\N	\N	\N
393006	1336	1998-01-09	VYDAJ	VYBER	3000	41742	\N	\N	\N
393007	1336	1998-09-10	VYDAJ	VYBER	1400	43765	\N	\N	\N
393008	1336	1998-12-08	VYDAJ	VYBER	3500	45442	\N	\N	\N
393009	1336	1998-12-25	VYDAJ	VYBER	4500	23216	\N	\N	\N
393010	1336	1998-07-11	VYDAJ	VYBER	700	28479	\N	\N	\N
393018	1336	1997-07-31	VYDAJ	VYBER	15	33374	SLUZBY	\N	\N
393019	1336	1997-08-31	VYDAJ	VYBER	15	25391	SLUZBY	\N	\N
393020	1336	1997-09-30	VYDAJ	VYBER	15	28378	SLUZBY	\N	\N
393021	1336	1997-10-31	VYDAJ	VYBER	15	29075	SLUZBY	\N	\N
393022	1336	1997-11-30	VYDAJ	VYBER	15	27173	SLUZBY	\N	\N
393023	1336	1997-12-31	VYDAJ	VYBER	15	30838	SLUZBY	\N	\N
393024	1336	1998-01-31	VYDAJ	VYBER	15	21823	SLUZBY	\N	\N
393025	1336	1998-02-28	VYDAJ	VYBER	15	26795	SLUZBY	\N	\N
393026	1336	1998-03-31	VYDAJ	VYBER	15	28385	SLUZBY	\N	\N
393027	1336	1998-04-30	VYDAJ	VYBER	15	30582	SLUZBY	\N	\N
393028	1336	1998-05-31	VYDAJ	VYBER	15	29885	SLUZBY	\N	\N
393029	1336	1998-06-30	VYDAJ	VYBER	15	21501	SLUZBY	\N	\N
393030	1336	1998-07-31	VYDAJ	VYBER	15	27273	SLUZBY	\N	\N
393031	1336	1998-08-31	VYDAJ	VYBER	15	28061	SLUZBY	\N	\N
393032	1336	1998-09-30	VYDAJ	VYBER	15	23152	SLUZBY	\N	\N
393033	1336	1998-10-31	VYDAJ	VYBER	15	21321	SLUZBY	\N	\N
393034	1336	1998-11-30	VYDAJ	VYBER	15	24386	SLUZBY	\N	\N
393035	1336	1997-03-28	PRIJEM	VKLAD	3500	20904	\N	\N	\N
393036	1336	1997-04-27	VYDAJ	VYBER	8400	29619	\N	\N	\N
393037	1336	1997-05-27	VYDAJ	VYBER	15300	31515	\N	\N	\N
393038	1336	1997-06-26	VYDAJ	VYBER	17400	39896	\N	\N	\N
393039	1336	1997-07-26	VYDAJ	VYBER	14500	33211	\N	\N	\N
393040	1336	1997-08-25	VYDAJ	VYBER	10700	29152	\N	\N	\N
393041	1336	1997-09-24	VYDAJ	VYBER	4800	28269	\N	\N	\N
393042	1336	1997-10-24	VYDAJ	VYBER	7100	28956	\N	\N	\N
393043	1336	1997-11-23	VYDAJ	VYBER	5400	31353	\N	\N	\N
393044	1336	1997-12-23	VYDAJ	VYBER	6700	33703	\N	\N	\N
393045	1336	1998-01-22	VYDAJ	VYBER	800	24916	\N	\N	\N
393046	1336	1998-02-21	VYDAJ	VYBER	1200	26701	\N	\N	\N
393047	1336	1998-03-23	VYDAJ	VYBER	6200	28273	\N	\N	\N
393048	1336	1998-04-22	VYDAJ	VYBER	5600	30463	\N	\N	\N
393049	1336	1998-05-22	VYDAJ	VYBER	3700	34560	\N	\N	\N
393050	1336	1998-06-21	PRIJEM	VKLAD	2000	21415	\N	\N	\N
393051	1336	1998-07-21	VYDAJ	VYBER	1300	27179	\N	\N	\N
393052	1336	1998-08-20	VYDAJ	VYBER	7000	27951	\N	\N	\N
393053	1336	1998-09-19	VYDAJ	VYBER	11300	23039	\N	\N	\N
393054	1336	1998-10-19	VYDAJ	VYBER	6800	24030	\N	\N	\N
393055	1336	1998-11-18	VYDAJ	VYBER	4700	24299	\N	\N	\N
393056	1336	1998-12-18	VYDAJ	VYBER	8300	27716	\N	\N	\N
393079	1337	1993-09-01	PRIJEM	VKLAD	500	500	\N	\N	\N
393088	1337	1993-09-06	PRIJEM	VKLAD	4896	5396	\N	\N	\N
393089	1337	1993-10-06	PRIJEM	VKLAD	4896	19011	\N	\N	\N
393090	1337	1993-11-06	PRIJEM	VKLAD	4896	24477	\N	\N	\N
393091	1337	1993-12-06	PRIJEM	VKLAD	7344	30703	\N	\N	\N
393092	1337	1994-01-06	PRIJEM	VKLAD	4896	31897	\N	\N	\N
393093	1337	1994-02-06	PRIJEM	VKLAD	4896	27518	\N	\N	\N
393094	1337	1994-03-06	PRIJEM	VKLAD	4896	28434	\N	\N	\N
393095	1337	1994-04-06	PRIJEM	VKLAD	4896	32555	\N	\N	\N
393096	1337	1994-05-06	PRIJEM	VKLAD	4896	34592	\N	\N	\N
393097	1337	1994-06-06	PRIJEM	VKLAD	7344	34084	\N	\N	\N
393098	1337	1994-07-06	PRIJEM	VKLAD	4896	24699	\N	\N	\N
393099	1337	1994-08-06	PRIJEM	VKLAD	4896	29605	\N	\N	\N
393100	1337	1994-09-06	PRIJEM	VKLAD	4896	32131	\N	\N	\N
393101	1337	1994-10-06	PRIJEM	VKLAD	4896	32765	\N	\N	\N
393102	1337	1994-11-06	PRIJEM	VKLAD	4896	30001	\N	\N	\N
393103	1337	1994-12-06	PRIJEM	VKLAD	7344	35977	\N	\N	\N
393104	1337	1995-01-06	PRIJEM	VKLAD	4896	32723	\N	\N	\N
393105	1337	1995-02-06	PRIJEM	VKLAD	4896	29034	\N	\N	\N
393106	1337	1995-03-06	PRIJEM	VKLAD	4896	30556	\N	\N	\N
393107	1337	1995-04-06	PRIJEM	VKLAD	4896	31083	\N	\N	\N
393108	1337	1995-05-06	PRIJEM	VKLAD	4896	27413	\N	\N	\N
393109	1337	1995-06-06	PRIJEM	VKLAD	7344	35686	\N	\N	\N
393110	1337	1995-07-06	PRIJEM	VKLAD	4896	29302	\N	\N	\N
393111	1337	1995-08-06	PRIJEM	VKLAD	4896	32327	\N	\N	\N
393112	1337	1995-09-06	PRIJEM	VKLAD	4896	34162	\N	\N	\N
393113	1337	1995-10-06	PRIJEM	VKLAD	4896	38509	\N	\N	\N
393114	1337	1995-11-06	PRIJEM	VKLAD	4896	37665	\N	\N	\N
393115	1337	1995-12-06	PRIJEM	VKLAD	7344	40266	\N	\N	\N
393116	1337	1996-01-06	PRIJEM	VKLAD	4896	37726	\N	\N	\N
393117	1337	1996-02-06	PRIJEM	VKLAD	4896	27572	\N	\N	\N
393118	1337	1996-03-06	PRIJEM	VKLAD	4896	29392	\N	\N	\N
393119	1337	1996-04-06	PRIJEM	VKLAD	4896	37927	\N	\N	\N
393120	1337	1996-05-06	PRIJEM	VKLAD	4896	42892	\N	\N	\N
393121	1337	1996-06-06	PRIJEM	VKLAD	7344	39122	\N	\N	\N
393122	1337	1996-07-06	PRIJEM	VKLAD	4896	39992	\N	\N	\N
393123	1337	1996-08-06	PRIJEM	VKLAD	4896	38353	\N	\N	\N
393124	1337	1996-09-06	PRIJEM	VKLAD	4896	40214	\N	\N	\N
393125	1337	1996-10-06	PRIJEM	VKLAD	4896	40385	\N	\N	\N
393126	1337	1996-11-06	PRIJEM	VKLAD	4896	43657	\N	\N	\N
393127	1337	1996-12-06	PRIJEM	VKLAD	7344	48089	\N	\N	\N
393128	1337	1997-01-06	PRIJEM	VKLAD	4896	48892	\N	\N	\N
393129	1337	1997-02-06	PRIJEM	VKLAD	4896	32567	\N	\N	\N
393130	1337	1997-03-06	PRIJEM	VKLAD	4896	43225	\N	\N	\N
393131	1337	1997-04-06	PRIJEM	VKLAD	4896	50719	\N	\N	\N
393132	1337	1997-05-06	PRIJEM	VKLAD	4896	51528	\N	\N	\N
393133	1337	1997-06-06	PRIJEM	VKLAD	7344	56694	\N	\N	\N
393134	1337	1997-07-06	PRIJEM	VKLAD	4896	47601	\N	\N	\N
393135	1337	1997-08-06	PRIJEM	VKLAD	4896	51104	\N	\N	\N
393136	1337	1997-09-06	PRIJEM	VKLAD	4896	50814	\N	\N	\N
393137	1337	1997-10-06	PRIJEM	VKLAD	4896	51824	\N	\N	\N
393138	1337	1997-11-06	PRIJEM	VKLAD	4896	55947	\N	\N	\N
393139	1337	1997-12-06	PRIJEM	VKLAD	7344	60128	\N	\N	\N
393140	1337	1998-01-06	PRIJEM	VKLAD	4896	61782	\N	\N	\N
393141	1337	1998-02-06	PRIJEM	VKLAD	4896	48423	\N	\N	\N
393142	1337	1998-03-06	PRIJEM	VKLAD	4896	56346	\N	\N	\N
393143	1337	1998-04-06	PRIJEM	VKLAD	4896	63999	\N	\N	\N
393144	1337	1998-05-06	PRIJEM	VKLAD	4896	67873	\N	\N	\N
393145	1337	1998-06-06	PRIJEM	VKLAD	7344	71903	\N	\N	\N
393146	1337	1998-07-06	PRIJEM	VKLAD	4896	48933	\N	\N	\N
393147	1337	1998-08-06	PRIJEM	VKLAD	4896	55249	\N	\N	\N
393148	1337	1998-09-06	PRIJEM	VKLAD	4896	58964	\N	\N	\N
393149	1337	1998-10-06	PRIJEM	VKLAD	4896	63397	\N	\N	\N
393150	1337	1998-11-06	PRIJEM	VKLAD	4896	68357	\N	\N	\N
393151	1337	1998-12-06	PRIJEM	VKLAD	7344	71289	\N	\N	\N
393164	1337	1994-01-11	VYDAJ	PREVOD NA UCET	3264	27333	SIPO	WX	46227514
393165	1337	1994-02-11	VYDAJ	PREVOD NA UCET	3264	24254	SIPO	WX	46227514
393166	1337	1994-03-11	VYDAJ	PREVOD NA UCET	3264	25170	SIPO	WX	46227514
393167	1337	1994-04-11	VYDAJ	PREVOD NA UCET	3264	29291	SIPO	WX	46227514
393168	1337	1994-05-11	VYDAJ	PREVOD NA UCET	3264	31328	SIPO	WX	46227514
393169	1337	1994-06-11	VYDAJ	PREVOD NA UCET	3264	30820	SIPO	WX	46227514
393170	1337	1994-07-11	VYDAJ	PREVOD NA UCET	3264	21435	SIPO	WX	46227514
393171	1337	1994-08-11	VYDAJ	PREVOD NA UCET	3264	26341	SIPO	WX	46227514
393172	1337	1994-09-11	VYDAJ	PREVOD NA UCET	3264	28867	SIPO	WX	46227514
393173	1337	1994-10-11	VYDAJ	PREVOD NA UCET	3264	29501	SIPO	WX	46227514
393174	1337	1994-11-11	VYDAJ	PREVOD NA UCET	3264	26737	SIPO	WX	46227514
393175	1337	1994-12-11	VYDAJ	PREVOD NA UCET	3264	31913	SIPO	WX	46227514
393176	1337	1995-01-11	VYDAJ	PREVOD NA UCET	3264	20259	SIPO	WX	46227514
393177	1337	1995-02-11	VYDAJ	PREVOD NA UCET	3264	25770	SIPO	WX	46227514
393178	1337	1995-03-11	VYDAJ	PREVOD NA UCET	3264	27292	SIPO	WX	46227514
393179	1337	1995-04-11	VYDAJ	PREVOD NA UCET	3264	27819	SIPO	WX	46227514
393180	1337	1995-05-11	VYDAJ	PREVOD NA UCET	3264	24149	SIPO	WX	46227514
393181	1337	1995-06-11	VYDAJ	PREVOD NA UCET	3264	20322	SIPO	WX	46227514
393182	1337	1995-07-11	VYDAJ	PREVOD NA UCET	3264	26038	SIPO	WX	46227514
393183	1337	1995-08-11	VYDAJ	PREVOD NA UCET	3264	29063	SIPO	WX	46227514
393184	1337	1995-09-11	VYDAJ	PREVOD NA UCET	3264	30898	SIPO	WX	46227514
393185	1337	1995-10-11	VYDAJ	PREVOD NA UCET	3264	35245	SIPO	WX	46227514
393186	1337	1995-11-11	VYDAJ	PREVOD NA UCET	3264	34401	SIPO	WX	46227514
393187	1337	1995-12-11	VYDAJ	PREVOD NA UCET	3264	34102	SIPO	WX	46227514
393188	1337	1996-01-11	VYDAJ	PREVOD NA UCET	3264	32862	SIPO	WX	46227514
393189	1337	1996-02-11	VYDAJ	PREVOD NA UCET	3264	24308	SIPO	WX	46227514
393190	1337	1996-03-11	VYDAJ	PREVOD NA UCET	3264	26128	SIPO	WX	46227514
393191	1337	1996-04-11	VYDAJ	PREVOD NA UCET	3264	34663	SIPO	WX	46227514
393192	1337	1996-05-11	VYDAJ	PREVOD NA UCET	3264	39628	SIPO	WX	46227514
393193	1337	1996-06-11	VYDAJ	PREVOD NA UCET	3264	34958	SIPO	WX	46227514
393194	1337	1996-07-11	VYDAJ	PREVOD NA UCET	3264	36728	SIPO	WX	46227514
393195	1337	1996-08-11	VYDAJ	PREVOD NA UCET	3264	35089	SIPO	WX	46227514
393196	1337	1996-09-11	VYDAJ	PREVOD NA UCET	3264	36950	SIPO	WX	46227514
393197	1337	1996-10-11	VYDAJ	PREVOD NA UCET	3264	37121	SIPO	WX	46227514
393198	1337	1996-11-11	VYDAJ	PREVOD NA UCET	3264	40393	SIPO	WX	46227514
393199	1337	1996-12-11	VYDAJ	PREVOD NA UCET	3264	44825	SIPO	WX	46227514
393200	1337	1997-01-11	VYDAJ	PREVOD NA UCET	3264	44728	SIPO	WX	46227514
393201	1337	1997-02-11	VYDAJ	PREVOD NA UCET	3264	29303	SIPO	WX	46227514
393202	1337	1997-03-11	VYDAJ	PREVOD NA UCET	3264	39961	SIPO	WX	46227514
393203	1337	1997-04-11	VYDAJ	PREVOD NA UCET	3264	47455	SIPO	WX	46227514
393204	1337	1997-05-11	VYDAJ	PREVOD NA UCET	3264	46464	SIPO	WX	46227514
393205	1337	1997-06-11	VYDAJ	PREVOD NA UCET	3264	38030	SIPO	WX	46227514
393206	1337	1997-07-11	VYDAJ	PREVOD NA UCET	3264	44337	SIPO	WX	46227514
393207	1337	1997-08-11	VYDAJ	PREVOD NA UCET	3264	48740	SIPO	WX	46227514
393208	1337	1997-09-11	VYDAJ	PREVOD NA UCET	3264	46750	SIPO	WX	46227514
393209	1337	1997-10-11	VYDAJ	PREVOD NA UCET	3264	50860	SIPO	WX	46227514
393210	1337	1997-11-11	VYDAJ	PREVOD NA UCET	3264	52583	SIPO	WX	46227514
393211	1337	1997-12-11	VYDAJ	PREVOD NA UCET	3264	59164	SIPO	WX	46227514
393212	1337	1998-01-11	VYDAJ	PREVOD NA UCET	3264	59018	SIPO	WX	46227514
393213	1337	1998-02-11	VYDAJ	PREVOD NA UCET	3264	51259	SIPO	WX	46227514
393214	1337	1998-03-11	VYDAJ	PREVOD NA UCET	3264	58882	SIPO	WX	46227514
393215	1337	1998-04-11	VYDAJ	PREVOD NA UCET	3264	62735	SIPO	WX	46227514
393216	1337	1998-05-11	VYDAJ	PREVOD NA UCET	3264	64309	SIPO	WX	46227514
393217	1337	1998-06-11	VYDAJ	PREVOD NA UCET	3264	63439	SIPO	WX	46227514
393218	1337	1998-07-11	VYDAJ	PREVOD NA UCET	3264	48869	SIPO	WX	46227514
393219	1337	1998-08-11	VYDAJ	PREVOD NA UCET	3264	51985	SIPO	WX	46227514
393220	1337	1998-09-11	VYDAJ	PREVOD NA UCET	3264	55700	SIPO	WX	46227514
393221	1337	1998-10-11	VYDAJ	PREVOD NA UCET	3264	60133	SIPO	WX	46227514
393222	1337	1998-11-11	VYDAJ	PREVOD NA UCET	3264	65093	SIPO	WX	46227514
393223	1337	1998-12-11	VYDAJ	PREVOD NA UCET	3264	68025	SIPO	WX	46227514
393225	1337	1994-06-19	VYDAJ	VYBER	16200	14620	\N	\N	\N
393226	1337	1995-06-08	VYDAJ	VYBER	12100	23586	\N	\N	\N
393227	1337	1996-06-02	VYDAJ	VYBER	9500	31778	\N	\N	\N
393228	1337	1997-06-06	VYDAJ	VYBER	15400	41294	\N	\N	\N
393229	1337	1998-06-12	VYDAJ	VYBER	19600	43839	\N	\N	\N
393232	1337	1995-01-06	VYDAJ	VYBER	6700	26023	\N	\N	\N
393233	1337	1996-01-27	VYDAJ	VYBER	6900	22562	\N	\N	\N
393234	1337	1997-01-18	VYDAJ	VYBER	4900	32828	\N	\N	\N
393235	1337	1998-01-27	VYDAJ	VYBER	3200	46018	\N	\N	\N
393237	1337	1994-12-08	VYDAJ	VYBER	800	35177	\N	\N	\N
393238	1337	1995-12-07	VYDAJ	VYBER	2900	37366	\N	\N	\N
393239	1337	1996-12-01	VYDAJ	VYBER	600	40745	\N	\N	\N
393240	1337	1997-12-22	VYDAJ	VYBER	1200	57964	\N	\N	\N
393241	1337	1998-12-05	VYDAJ	VYBER	1700	63945	\N	\N	\N
393248	1337	1994-01-20	VYDAJ	VYBER	2900	22433	\N	\N	\N
393249	1337	1994-01-14	VYDAJ	VYBER	800	25333	\N	\N	\N
393250	1337	1994-01-21	VYDAJ	VYBER	2000	20433	\N	\N	\N
393251	1337	1994-01-26	VYDAJ	VYBER	600	19833	\N	\N	\N
393252	1337	1994-01-07	VYDAJ	VYBER	1300	30597	\N	\N	\N
393254	1337	1995-01-19	VYDAJ	VYBER	1400	17659	\N	\N	\N
393255	1337	1995-01-14	VYDAJ	VYBER	1200	19059	\N	\N	\N
393256	1337	1995-01-19	VYDAJ	VYBER	2800	14859	\N	\N	\N
393257	1337	1995-01-01	VYDAJ	VYBER	1500	27827	\N	\N	\N
393259	1337	1995-01-07	VYDAJ	VYBER	2500	23523	\N	\N	\N
393260	1337	1996-01-09	VYDAJ	VYBER	1600	36126	\N	\N	\N
393261	1337	1996-01-24	VYDAJ	VYBER	900	29462	\N	\N	\N
393262	1337	1996-01-16	VYDAJ	VYBER	2400	29262	\N	\N	\N
393263	1337	1996-01-13	VYDAJ	VYBER	1200	31662	\N	\N	\N
393264	1337	1996-01-02	VYDAJ	VYBER	1600	32830	\N	\N	\N
393265	1337	1996-01-22	VYDAJ	VYBER	800	30362	\N	\N	\N
393266	1337	1997-01-08	VYDAJ	VYBER	900	47992	\N	\N	\N
393267	1337	1997-01-17	VYDAJ	VYBER	2300	40428	\N	\N	\N
393268	1337	1997-01-17	VYDAJ	VYBER	2700	37728	\N	\N	\N
393269	1337	1997-01-18	VYDAJ	VYBER	2500	30328	\N	\N	\N
393270	1337	1997-01-05	VYDAJ	VYBER	1200	43996	\N	\N	\N
393271	1337	1997-01-28	VYDAJ	VYBER	2800	27528	\N	\N	\N
393272	1337	1998-01-24	VYDAJ	VYBER	1900	49218	\N	\N	\N
393273	1337	1998-01-06	VYDAJ	VYBER	2500	59282	\N	\N	\N
393274	1337	1998-01-01	VYDAJ	VYBER	1300	56886	\N	\N	\N
393275	1337	1998-01-27	VYDAJ	VYBER	2700	43318	\N	\N	\N
393276	1337	1998-01-16	VYDAJ	VYBER	2300	52018	\N	\N	\N
393277	1337	1998-01-22	VYDAJ	VYBER	900	51118	\N	\N	\N
393283	1337	1994-01-13	VYDAJ	VYBER	1200	26133	\N	\N	\N
393284	1337	1994-10-31	VYDAJ	VYBER	2100	25105	\N	\N	\N
393285	1337	1994-05-31	VYDAJ	VYBER	1100	26755	\N	\N	\N
393286	1337	1995-11-11	VYDAJ	VYBER	2100	32301	\N	\N	\N
393287	1337	1995-08-21	VYDAJ	VYBER	3500	25563	\N	\N	\N
393288	1337	1995-04-28	VYDAJ	VYBER	2100	25519	\N	\N	\N
393289	1337	1995-10-14	VYDAJ	VYBER	1600	33645	\N	\N	\N
393290	1337	1995-05-01	VYDAJ	VYBER	3100	22517	\N	\N	\N
393291	1337	1996-08-16	VYDAJ	VYBER	600	35189	\N	\N	\N
393292	1337	1996-06-10	VYDAJ	VYBER	900	38222	\N	\N	\N
393293	1337	1996-09-27	VYDAJ	VYBER	3500	35350	\N	\N	\N
393294	1337	1996-06-25	VYDAJ	VYBER	600	34958	\N	\N	\N
393295	1337	1996-02-24	VYDAJ	VYBER	4200	24408	\N	\N	\N
393296	1337	1997-08-17	VYDAJ	VYBER	3000	45740	\N	\N	\N
393297	1337	1997-04-13	VYDAJ	VYBER	1900	46455	\N	\N	\N
393298	1337	1997-05-06	VYDAJ	VYBER	1800	49728	\N	\N	\N
393299	1337	1997-08-07	VYDAJ	VYBER	1800	49304	\N	\N	\N
393300	1337	1998-08-14	VYDAJ	VYBER	4700	47285	\N	\N	\N
393301	1337	1998-09-04	VYDAJ	VYBER	3400	41768	\N	\N	\N
393302	1337	1998-01-14	VYDAJ	VYBER	4700	54318	\N	\N	\N
393303	1337	1998-09-16	VYDAJ	VYBER	4800	50900	\N	\N	\N
393304	1337	1998-08-19	VYDAJ	VYBER	2300	44985	\N	\N	\N
393318	1337	1994-01-31	VYDAJ	VYBER	15	22622	SLUZBY	\N	\N
393319	1337	1994-02-28	VYDAJ	VYBER	15	23538	SLUZBY	\N	\N
393320	1337	1994-03-31	VYDAJ	VYBER	15	27659	SLUZBY	\N	\N
393321	1337	1994-04-30	VYDAJ	VYBER	15	29696	SLUZBY	\N	\N
393322	1337	1994-05-31	VYDAJ	VYBER	15	26740	SLUZBY	\N	\N
393323	1337	1994-06-30	VYDAJ	VYBER	15	19803	SLUZBY	\N	\N
393324	1337	1994-07-31	VYDAJ	VYBER	15	24709	SLUZBY	\N	\N
393325	1337	1994-08-31	VYDAJ	VYBER	15	27235	SLUZBY	\N	\N
393326	1337	1994-09-30	VYDAJ	VYBER	15	27869	SLUZBY	\N	\N
393327	1337	1994-10-31	VYDAJ	VYBER	15	27205	SLUZBY	\N	\N
393328	1337	1994-11-30	VYDAJ	VYBER	15	28633	SLUZBY	\N	\N
393329	1337	1994-12-31	VYDAJ	VYBER	15	29327	SLUZBY	\N	\N
393330	1337	1995-01-31	VYDAJ	VYBER	15	24138	SLUZBY	\N	\N
393331	1337	1995-02-28	VYDAJ	VYBER	15	25660	SLUZBY	\N	\N
393332	1337	1995-03-31	VYDAJ	VYBER	15	26187	SLUZBY	\N	\N
393333	1337	1995-04-30	VYDAJ	VYBER	15	25617	SLUZBY	\N	\N
393334	1337	1995-05-31	VYDAJ	VYBER	15	28342	SLUZBY	\N	\N
393335	1337	1995-06-30	VYDAJ	VYBER	15	24406	SLUZBY	\N	\N
393336	1337	1995-07-31	VYDAJ	VYBER	15	27431	SLUZBY	\N	\N
393337	1337	1995-08-31	VYDAJ	VYBER	15	29266	SLUZBY	\N	\N
393338	1337	1995-09-30	VYDAJ	VYBER	15	33613	SLUZBY	\N	\N
393339	1337	1995-10-31	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
393340	1337	1995-11-30	VYDAJ	VYBER	15	32922	SLUZBY	\N	\N
393341	1337	1995-12-31	VYDAJ	VYBER	15	34430	SLUZBY	\N	\N
393342	1337	1996-01-31	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
393343	1337	1996-02-29	VYDAJ	VYBER	15	24496	SLUZBY	\N	\N
393344	1337	1996-03-31	VYDAJ	VYBER	15	33031	SLUZBY	\N	\N
393345	1337	1996-04-30	VYDAJ	VYBER	15	37996	SLUZBY	\N	\N
393346	1337	1996-05-31	VYDAJ	VYBER	15	41278	SLUZBY	\N	\N
393347	1337	1996-06-30	VYDAJ	VYBER	15	35096	SLUZBY	\N	\N
393348	1337	1996-07-31	VYDAJ	VYBER	15	33457	SLUZBY	\N	\N
393349	1337	1996-08-31	VYDAJ	VYBER	15	35318	SLUZBY	\N	\N
393350	1337	1996-09-30	VYDAJ	VYBER	15	35489	SLUZBY	\N	\N
393351	1337	1996-10-31	VYDAJ	VYBER	15	38761	SLUZBY	\N	\N
393352	1337	1996-11-30	VYDAJ	VYBER	15	41345	SLUZBY	\N	\N
393353	1337	1996-12-31	VYDAJ	VYBER	15	45196	SLUZBY	\N	\N
393354	1337	1997-01-31	VYDAJ	VYBER	15	27671	SLUZBY	\N	\N
393355	1337	1997-02-28	VYDAJ	VYBER	15	38329	SLUZBY	\N	\N
393356	1337	1997-03-31	VYDAJ	VYBER	15	45823	SLUZBY	\N	\N
393357	1337	1997-04-30	VYDAJ	VYBER	15	46632	SLUZBY	\N	\N
393358	1337	1997-05-31	VYDAJ	VYBER	15	49350	SLUZBY	\N	\N
393359	1337	1997-06-30	VYDAJ	VYBER	15	42705	SLUZBY	\N	\N
393360	1337	1997-07-31	VYDAJ	VYBER	15	46208	SLUZBY	\N	\N
393361	1337	1997-08-31	VYDAJ	VYBER	15	45918	SLUZBY	\N	\N
393362	1337	1997-09-30	VYDAJ	VYBER	15	46928	SLUZBY	\N	\N
393363	1337	1997-10-31	VYDAJ	VYBER	15	51051	SLUZBY	\N	\N
393364	1337	1997-11-30	VYDAJ	VYBER	15	52784	SLUZBY	\N	\N
393365	1337	1997-12-31	VYDAJ	VYBER	15	58186	SLUZBY	\N	\N
393366	1337	1998-01-31	VYDAJ	VYBER	15	43527	SLUZBY	\N	\N
393367	1337	1998-02-28	VYDAJ	VYBER	15	51450	SLUZBY	\N	\N
393368	1337	1998-03-31	VYDAJ	VYBER	15	59103	SLUZBY	\N	\N
393369	1337	1998-04-30	VYDAJ	VYBER	15	62977	SLUZBY	\N	\N
393370	1337	1998-05-31	VYDAJ	VYBER	15	64559	SLUZBY	\N	\N
393371	1337	1998-06-30	VYDAJ	VYBER	15	44037	SLUZBY	\N	\N
393372	1337	1998-07-31	VYDAJ	VYBER	15	49053	SLUZBY	\N	\N
393373	1337	1998-08-31	VYDAJ	VYBER	15	45168	SLUZBY	\N	\N
393374	1337	1998-09-30	VYDAJ	VYBER	15	51101	SLUZBY	\N	\N
393375	1337	1998-10-31	VYDAJ	VYBER	15	60361	SLUZBY	\N	\N
393376	1337	1998-11-30	VYDAJ	VYBER	15	65345	SLUZBY	\N	\N
393377	1337	1993-10-01	PRIJEM	VKLAD	8700	14115	\N	\N	\N
393378	1337	1993-10-31	PRIJEM	VKLAD	500	19581	\N	\N	\N
393379	1337	1993-11-30	VYDAJ	VYBER	1200	23359	\N	\N	\N
393380	1337	1993-12-30	VYDAJ	VYBER	3800	26903	\N	\N	\N
393381	1337	1994-01-29	PRIJEM	VKLAD	2700	22533	\N	\N	\N
393382	1337	1994-02-28	VYDAJ	VYBER	800	23552	\N	\N	\N
393383	1337	1994-03-30	PRIJEM	VKLAD	2400	27570	\N	\N	\N
393384	1337	1994-04-29	PRIJEM	VKLAD	300	29591	\N	\N	\N
393385	1337	1994-05-29	VYDAJ	VYBER	3600	27728	\N	\N	\N
393386	1337	1994-06-28	PRIJEM	VKLAD	5100	19720	\N	\N	\N
393387	1337	1994-07-28	PRIJEM	VKLAD	3200	24635	\N	\N	\N
393388	1337	1994-08-27	PRIJEM	VKLAD	800	27141	\N	\N	\N
393389	1337	1994-09-26	VYDAJ	VYBER	1100	27767	\N	\N	\N
393390	1337	1994-10-26	VYDAJ	VYBER	2400	27101	\N	\N	\N
393391	1337	1994-11-25	PRIJEM	VKLAD	1800	28537	\N	\N	\N
393392	1337	1994-12-25	VYDAJ	VYBER	2700	29213	\N	\N	\N
393393	1337	1995-01-24	PRIJEM	VKLAD	9200	24059	\N	\N	\N
393394	1337	1995-02-23	VYDAJ	VYBER	200	25570	\N	\N	\N
393395	1337	1995-03-25	VYDAJ	VYBER	1200	26092	\N	\N	\N
393396	1337	1995-04-24	VYDAJ	VYBER	200	27619	\N	\N	\N
393397	1337	1995-05-24	PRIJEM	VKLAD	4100	28249	\N	\N	\N
393398	1337	1995-06-23	PRIJEM	VKLAD	4000	24322	\N	\N	\N
393399	1337	1995-07-23	PRIJEM	VKLAD	1300	27338	\N	\N	\N
393400	1337	1995-08-22	PRIJEM	VKLAD	3600	29163	\N	\N	\N
393401	1337	1995-09-21	PRIJEM	VKLAD	2600	33498	\N	\N	\N
393402	1337	1995-10-21	VYDAJ	VYBER	1000	32645	\N	\N	\N
393403	1337	1995-11-20	PRIJEM	VKLAD	500	32801	\N	\N	\N
393404	1337	1995-12-20	PRIJEM	VKLAD	200	34302	\N	\N	\N
393405	1337	1996-01-19	PRIJEM	VKLAD	1900	31162	\N	\N	\N
393406	1337	1996-02-18	PRIJEM	VKLAD	4300	28608	\N	\N	\N
393407	1337	1996-03-19	PRIJEM	VKLAD	6800	32928	\N	\N	\N
393408	1337	1996-04-18	PRIJEM	VKLAD	3200	37863	\N	\N	\N
393409	1337	1996-05-18	PRIJEM	VKLAD	1500	41128	\N	\N	\N
393410	1337	1996-06-17	PRIJEM	VKLAD	600	35558	\N	\N	\N
393411	1337	1996-07-17	VYDAJ	VYBER	3400	33328	\N	\N	\N
393412	1337	1996-08-16	PRIJEM	VKLAD	700	35789	\N	\N	\N
393413	1337	1996-09-15	PRIJEM	VKLAD	1900	38850	\N	\N	\N
393414	1337	1996-10-15	PRIJEM	VKLAD	1500	38621	\N	\N	\N
393415	1337	1996-11-14	PRIJEM	VKLAD	800	41193	\N	\N	\N
393416	1337	1996-12-14	PRIJEM	VKLAD	200	45025	\N	\N	\N
393417	1337	1997-01-13	VYDAJ	VYBER	2000	42728	\N	\N	\N
393418	1337	1997-02-12	PRIJEM	VKLAD	8900	38203	\N	\N	\N
393419	1337	1997-03-14	PRIJEM	VKLAD	5700	45661	\N	\N	\N
393420	1337	1997-04-13	PRIJEM	VKLAD	900	48355	\N	\N	\N
393421	1337	1997-05-13	PRIJEM	VKLAD	2700	49164	\N	\N	\N
393422	1337	1997-06-12	PRIJEM	VKLAD	4500	42530	\N	\N	\N
393423	1337	1997-07-12	PRIJEM	VKLAD	1700	46037	\N	\N	\N
393424	1337	1997-08-11	PRIJEM	VKLAD	2700	52004	\N	\N	\N
393425	1337	1997-09-10	VYDAJ	VYBER	800	50014	\N	\N	\N
393426	1337	1997-10-10	PRIJEM	VKLAD	2300	54124	\N	\N	\N
393427	1337	1997-11-09	VYDAJ	VYBER	100	55847	\N	\N	\N
393428	1337	1997-12-09	PRIJEM	VKLAD	2300	62428	\N	\N	\N
393429	1337	1998-01-08	PRIJEM	VKLAD	3000	62282	\N	\N	\N
393430	1337	1998-02-07	PRIJEM	VKLAD	6100	54523	\N	\N	\N
393431	1337	1998-03-09	PRIJEM	VKLAD	5800	62146	\N	\N	\N
393432	1337	1998-04-08	PRIJEM	VKLAD	2000	65999	\N	\N	\N
393433	1337	1998-05-08	VYDAJ	VYBER	300	67573	\N	\N	\N
393434	1337	1998-06-07	VYDAJ	VYBER	5200	66703	\N	\N	\N
393435	1337	1998-07-07	PRIJEM	VKLAD	3200	52133	\N	\N	\N
393436	1337	1998-08-06	PRIJEM	VKLAD	1300	50353	\N	\N	\N
393437	1337	1998-09-05	PRIJEM	VKLAD	12300	54068	\N	\N	\N
393438	1337	1998-10-05	PRIJEM	VKLAD	7400	58501	\N	\N	\N
393439	1337	1998-11-04	PRIJEM	VKLAD	3100	63461	\N	\N	\N
393440	1337	1998-12-04	PRIJEM	VKLAD	300	65645	\N	\N	\N
393505	1338	1993-01-11	PRIJEM	VKLAD	400	400	\N	\N	\N
393506	1338	1993-11-17	PRIJEM	VKLAD	40397	59083	\N	\N	\N
393507	1338	1993-10-13	PRIJEM	VKLAD	5834	28240	\N	\N	\N
393508	1338	1993-07-24	PRIJEM	VKLAD	33733	56389	\N	\N	\N
393509	1338	1993-12-11	PRIJEM	VKLAD	27971	78776	\N	\N	\N
393510	1338	1993-04-03	PRIJEM	VKLAD	26968	58104	\N	\N	\N
393511	1338	1993-04-10	PRIJEM	VKLAD	48140	106244	\N	\N	\N
393512	1338	1993-01-29	PRIJEM	VKLAD	38000	38400	\N	\N	\N
393513	1338	1993-06-19	PRIJEM	VKLAD	8061	26747	\N	\N	\N
393514	1338	1993-12-07	PRIJEM	VKLAD	42938	89547	\N	\N	\N
393515	1338	1993-04-18	PRIJEM	VKLAD	13327	64571	\N	\N	\N
393516	1338	1993-05-30	PRIJEM	VKLAD	7738	52034	\N	\N	\N
393517	1338	1994-05-11	PRIJEM	VKLAD	33227	69191	\N	\N	\N
393518	1338	1994-04-03	PRIJEM	VKLAD	45545	73246	\N	\N	\N
393519	1338	1994-08-20	PRIJEM	VKLAD	35571	90087	\N	\N	\N
393520	1338	1994-04-24	PRIJEM	VKLAD	5760	64823	\N	\N	\N
393521	1338	1994-03-07	PRIJEM	VKLAD	29529	55654	\N	\N	\N
393522	1338	1994-06-28	PRIJEM	VKLAD	14591	67760	\N	\N	\N
393523	1338	1994-05-12	PRIJEM	VKLAD	47951	117142	\N	\N	\N
393524	1338	1994-04-08	PRIJEM	VKLAD	35831	84077	\N	\N	\N
393525	1338	1994-08-05	PRIJEM	VKLAD	18088	60115	\N	\N	\N
393526	1338	1994-06-25	PRIJEM	VKLAD	27867	53169	\N	\N	\N
393527	1338	1994-07-14	PRIJEM	VKLAD	43546	105133	\N	\N	\N
393528	1338	1994-02-26	PRIJEM	VKLAD	6256	26052	\N	\N	\N
393529	1338	1994-07-13	PRIJEM	VKLAD	22483	61587	\N	\N	\N
393530	1338	1994-07-31	PRIJEM	VKLAD	27561	132694	\N	\N	\N
393531	1338	1994-05-04	PRIJEM	VKLAD	42068	107106	\N	\N	\N
393532	1338	1994-08-23	PRIJEM	VKLAD	49419	139506	\N	\N	\N
393533	1338	1994-01-23	PRIJEM	VKLAD	19180	34820	\N	\N	\N
393534	1338	1994-05-29	PRIJEM	VKLAD	26879	124364	\N	\N	\N
393535	1338	1995-05-02	PRIJEM	VKLAD	21024	77429	\N	\N	\N
393536	1338	1995-01-01	PRIJEM	VKLAD	46791	61919	\N	\N	\N
393537	1338	1995-10-31	PRIJEM	VKLAD	45130	72629	\N	\N	\N
393538	1338	1995-03-22	PRIJEM	VKLAD	20660	66666	\N	\N	\N
393539	1338	1995-03-01	PRIJEM	VKLAD	7202	22922	\N	\N	\N
393540	1338	1995-04-30	PRIJEM	VKLAD	14542	85820	\N	\N	\N
393541	1338	1995-06-30	PRIJEM	VKLAD	44275	97715	\N	\N	\N
393542	1338	1995-07-17	PRIJEM	VKLAD	7380	66581	\N	\N	\N
393543	1338	1995-05-28	PRIJEM	VKLAD	17451	84872	\N	\N	\N
393544	1338	1995-08-20	PRIJEM	VKLAD	14721	56026	\N	\N	\N
393545	1338	1995-06-30	PRIJEM	VKLAD	27292	53440	\N	\N	\N
393546	1338	1995-09-17	PRIJEM	VKLAD	47236	71504	\N	\N	\N
393547	1338	1995-04-23	PRIJEM	VKLAD	40456	71069	\N	\N	\N
393548	1338	1995-03-18	PRIJEM	VKLAD	35483	53806	\N	\N	\N
393549	1338	1996-09-07	PRIJEM	VKLAD	25056	48178	\N	\N	\N
393550	1338	1996-09-20	PRIJEM	VKLAD	13237	55816	\N	\N	\N
393551	1338	1996-11-05	PRIJEM	VKLAD	48390	157252	\N	\N	\N
393552	1338	1996-10-30	PRIJEM	VKLAD	40893	108669	\N	\N	\N
393553	1338	1996-09-29	PRIJEM	VKLAD	6126	51042	\N	\N	\N
393554	1338	1996-02-09	PRIJEM	VKLAD	10088	29940	\N	\N	\N
393555	1338	1996-12-30	PRIJEM	VKLAD	39949	79261	\N	\N	\N
393556	1338	1996-03-24	PRIJEM	VKLAD	9089	31477	\N	\N	\N
393557	1338	1996-10-29	PRIJEM	VKLAD	27383	67776	\N	\N	\N
393558	1338	1996-05-13	PRIJEM	VKLAD	43768	65537	\N	\N	\N
393559	1338	1996-11-27	PRIJEM	VKLAD	49380	119933	\N	\N	\N
393560	1338	1997-03-15	PRIJEM	VKLAD	33724	102368	\N	\N	\N
393561	1338	1997-06-28	PRIJEM	VKLAD	23733	78773	\N	\N	\N
393562	1338	1997-02-28	PRIJEM	VKLAD	41451	74258	\N	\N	\N
393563	1338	1997-05-07	PRIJEM	VKLAD	22111	88662	\N	\N	\N
393564	1338	1997-01-23	PRIJEM	VKLAD	16327	61491	\N	\N	\N
393565	1338	1997-04-08	PRIJEM	VKLAD	16269	93751	\N	\N	\N
393566	1338	1997-09-10	PRIJEM	VKLAD	11231	57781	\N	\N	\N
393567	1338	1998-11-26	PRIJEM	VKLAD	48503	153761	\N	\N	\N
393568	1338	1998-11-03	PRIJEM	VKLAD	7997	96497	\N	\N	\N
393569	1338	1998-12-10	PRIJEM	VKLAD	12332	101639	\N	\N	\N
393570	1338	1998-04-13	PRIJEM	VKLAD	18843	76222	\N	\N	\N
393571	1338	1998-07-27	PRIJEM	VKLAD	32358	111517	\N	\N	\N
393572	1338	1998-12-19	PRIJEM	VKLAD	40803	157455	\N	\N	\N
393573	1338	1998-03-19	PRIJEM	VKLAD	20582	92857	\N	\N	\N
393574	1338	1998-11-20	PRIJEM	VKLAD	30024	124358	\N	\N	\N
393575	1338	1998-11-12	PRIJEM	VKLAD	15436	94491	\N	\N	\N
393576	1338	1998-03-03	PRIJEM	VKLAD	45526	94974	\N	\N	\N
393577	1338	1998-10-23	PRIJEM	VKLAD	36239	135023	\N	\N	\N
393578	1338	1998-05-30	PRIJEM	VKLAD	19286	69532	\N	\N	\N
393579	1338	1998-07-20	PRIJEM	VKLAD	38893	87215	\N	\N	\N
393580	1338	1998-04-03	PRIJEM	VKLAD	32559	124478	\N	\N	\N
393581	1338	1998-01-05	PRIJEM	VKLAD	17842	44209	\N	\N	\N
393582	1338	1998-03-22	PRIJEM	VKLAD	18466	111323	\N	\N	\N
393583	1338	1998-01-06	PRIJEM	VKLAD	29273	73482	\N	\N	\N
393584	1338	1998-10-16	PRIJEM	VKLAD	15811	78271	\N	\N	\N
393585	1338	1998-12-18	PRIJEM	VKLAD	45570	131752	\N	\N	\N
393586	1338	1998-09-20	PRIJEM	VKLAD	29169	66741	\N	\N	\N
393587	1338	1998-10-20	PRIJEM	VKLAD	46013	124284	\N	\N	\N
393593	1338	1993-06-08	VYDAJ	PREVOD NA UCET	4545	15640	SIPO	CD	87075221
393594	1338	1993-07-08	VYDAJ	PREVOD NA UCET	4545	22310	SIPO	CD	87075221
393595	1338	1993-08-08	VYDAJ	PREVOD NA UCET	4545	30173	SIPO	CD	87075221
393596	1338	1993-09-08	VYDAJ	PREVOD NA UCET	4545	22379	SIPO	CD	87075221
393597	1338	1993-10-08	VYDAJ	PREVOD NA UCET	4545	23460	SIPO	CD	87075221
393598	1338	1993-11-08	VYDAJ	PREVOD NA UCET	4545	19740	SIPO	CD	87075221
393599	1338	1993-12-08	VYDAJ	PREVOD NA UCET	4545	51702	SIPO	CD	87075221
393600	1338	1994-01-08	VYDAJ	PREVOD NA UCET	4545	16694	SIPO	CD	87075221
393601	1338	1994-02-08	VYDAJ	PREVOD NA UCET	4545	20850	SIPO	CD	87075221
393602	1338	1994-03-08	VYDAJ	PREVOD NA UCET	4545	35309	SIPO	CD	87075221
393603	1338	1994-04-08	VYDAJ	PREVOD NA UCET	4545	79532	SIPO	CD	87075221
393604	1338	1994-05-08	VYDAJ	PREVOD NA UCET	4545	36861	SIPO	CD	87075221
393605	1338	1994-06-08	VYDAJ	PREVOD NA UCET	4545	53956	SIPO	CD	87075221
393606	1338	1994-07-08	VYDAJ	PREVOD NA UCET	4545	40158	SIPO	CD	87075221
393607	1338	1994-08-08	VYDAJ	PREVOD NA UCET	4545	55570	SIPO	CD	87075221
393608	1338	1994-09-08	VYDAJ	PREVOD NA UCET	4545	43358	SIPO	CD	87075221
393609	1338	1994-10-08	VYDAJ	PREVOD NA UCET	4545	27448	SIPO	CD	87075221
393610	1338	1994-11-08	VYDAJ	PREVOD NA UCET	4545	19659	SIPO	CD	87075221
393611	1338	1994-12-08	VYDAJ	PREVOD NA UCET	4545	16131	SIPO	CD	87075221
393612	1338	1995-01-08	VYDAJ	PREVOD NA UCET	4545	17728	SIPO	CD	87075221
393613	1338	1995-02-08	VYDAJ	PREVOD NA UCET	4545	16717	SIPO	CD	87075221
393614	1338	1995-03-08	VYDAJ	PREVOD NA UCET	4545	19377	SIPO	CD	87075221
393615	1338	1995-04-08	VYDAJ	PREVOD NA UCET	4545	39767	SIPO	CD	87075221
393616	1338	1995-05-08	VYDAJ	PREVOD NA UCET	4545	68475	SIPO	CD	87075221
393617	1338	1995-06-08	VYDAJ	PREVOD NA UCET	4545	52509	SIPO	CD	87075221
393618	1338	1995-07-08	VYDAJ	PREVOD NA UCET	4545	60255	SIPO	CD	87075221
393619	1338	1995-08-08	VYDAJ	PREVOD NA UCET	4545	42359	SIPO	CD	87075221
393620	1338	1995-09-08	VYDAJ	PREVOD NA UCET	4545	25322	SIPO	CD	87075221
393621	1338	1995-10-08	VYDAJ	PREVOD NA UCET	4545	43604	SIPO	CD	87075221
393622	1338	1995-11-08	VYDAJ	PREVOD NA UCET	4545	64770	SIPO	CD	87075221
393623	1338	1995-12-08	VYDAJ	PREVOD NA UCET	4545	45321	SIPO	CD	87075221
393624	1338	1996-01-08	VYDAJ	PREVOD NA UCET	4545	20776	SIPO	CD	87075221
393625	1338	1996-02-08	VYDAJ	PREVOD NA UCET	4545	19852	SIPO	CD	87075221
393626	1338	1996-03-08	VYDAJ	PREVOD NA UCET	4545	23442	SIPO	CD	87075221
393627	1338	1996-04-08	VYDAJ	PREVOD NA UCET	4545	26724	SIPO	CD	87075221
393628	1338	1996-05-08	VYDAJ	PREVOD NA UCET	4545	22823	SIPO	CD	87075221
393629	1338	1996-06-08	VYDAJ	PREVOD NA UCET	4545	35693	SIPO	CD	87075221
393630	1338	1996-07-08	VYDAJ	PREVOD NA UCET	4545	23907	SIPO	CD	87075221
393631	1338	1996-08-08	VYDAJ	PREVOD NA UCET	4545	22096	SIPO	CD	87075221
393632	1338	1996-09-08	VYDAJ	PREVOD NA UCET	4545	43633	SIPO	CD	87075221
393633	1338	1996-10-08	VYDAJ	PREVOD NA UCET	4545	46647	SIPO	CD	87075221
393634	1338	1996-11-08	VYDAJ	PREVOD NA UCET	4545	105007	SIPO	CD	87075221
393635	1338	1996-12-08	VYDAJ	PREVOD NA UCET	4545	93887	SIPO	CD	87075221
393636	1338	1997-01-08	VYDAJ	PREVOD NA UCET	4545	61218	SIPO	CD	87075221
393637	1338	1997-02-08	VYDAJ	PREVOD NA UCET	4545	49670	SIPO	CD	87075221
393638	1338	1997-03-08	VYDAJ	PREVOD NA UCET	4545	69698	SIPO	CD	87075221
393639	1338	1997-04-08	VYDAJ	PREVOD NA UCET	4545	89206	SIPO	CD	87075221
393640	1338	1997-05-08	VYDAJ	PREVOD NA UCET	4545	84117	SIPO	CD	87075221
393641	1338	1997-06-08	VYDAJ	PREVOD NA UCET	4545	53194	SIPO	CD	87075221
393642	1338	1997-07-08	VYDAJ	PREVOD NA UCET	4545	74447	SIPO	CD	87075221
393643	1338	1997-08-08	VYDAJ	PREVOD NA UCET	4545	53342	SIPO	CD	87075221
393644	1338	1997-09-08	VYDAJ	PREVOD NA UCET	4545	47447	SIPO	CD	87075221
393645	1338	1997-10-08	VYDAJ	PREVOD NA UCET	4545	45978	SIPO	CD	87075221
393646	1338	1997-11-08	VYDAJ	PREVOD NA UCET	4545	43259	SIPO	CD	87075221
393647	1338	1997-12-08	VYDAJ	PREVOD NA UCET	4545	22518	SIPO	CD	87075221
393648	1338	1998-01-08	VYDAJ	PREVOD NA UCET	4545	68937	SIPO	CD	87075221
393649	1338	1998-02-08	VYDAJ	PREVOD NA UCET	4545	35739	SIPO	CD	87075221
393650	1338	1998-03-08	VYDAJ	PREVOD NA UCET	4545	90429	SIPO	CD	87075221
393651	1338	1998-04-08	VYDAJ	PREVOD NA UCET	4545	58433	SIPO	CD	87075221
393652	1338	1998-05-08	VYDAJ	PREVOD NA UCET	4545	46681	SIPO	CD	87075221
393653	1338	1998-06-08	VYDAJ	PREVOD NA UCET	4545	51080	SIPO	CD	87075221
393654	1338	1998-07-08	VYDAJ	PREVOD NA UCET	4545	38476	SIPO	CD	87075221
393655	1338	1998-08-08	VYDAJ	PREVOD NA UCET	4545	107215	SIPO	CD	87075221
393656	1338	1998-09-08	VYDAJ	PREVOD NA UCET	4545	53175	SIPO	CD	87075221
393657	1338	1998-10-08	VYDAJ	PREVOD NA UCET	4545	62414	SIPO	CD	87075221
393658	1338	1998-11-08	VYDAJ	PREVOD NA UCET	4545	91952	SIPO	CD	87075221
393659	1338	1998-12-08	VYDAJ	PREVOD NA UCET	4545	90204	SIPO	CD	87075221
393665	1338	1993-06-09	VYDAJ	PREVOD NA UCET	897	14743	 	OP	42143994
393666	1338	1993-07-09	VYDAJ	PREVOD NA UCET	897	21413	 	OP	42143994
393667	1338	1993-08-09	VYDAJ	PREVOD NA UCET	897	29276	 	OP	42143994
393668	1338	1993-09-09	VYDAJ	PREVOD NA UCET	897	21482	 	OP	42143994
393669	1338	1993-10-09	VYDAJ	PREVOD NA UCET	897	22563	 	OP	42143994
393670	1338	1993-11-09	VYDAJ	PREVOD NA UCET	897	18843	 	OP	42143994
393671	1338	1993-12-09	VYDAJ	PREVOD NA UCET	897	50805	 	OP	42143994
393672	1338	1994-01-09	VYDAJ	PREVOD NA UCET	897	15797	 	OP	42143994
393673	1338	1994-02-09	VYDAJ	PREVOD NA UCET	897	19953	 	OP	42143994
393674	1338	1994-03-09	VYDAJ	PREVOD NA UCET	897	34412	 	OP	42143994
393675	1338	1994-04-09	VYDAJ	PREVOD NA UCET	897	59220	 	OP	42143994
393676	1338	1994-05-09	VYDAJ	PREVOD NA UCET	897	35964	 	OP	42143994
393677	1338	1994-06-09	VYDAJ	PREVOD NA UCET	897	53059	 	OP	42143994
393678	1338	1994-07-09	VYDAJ	PREVOD NA UCET	897	39261	 	OP	42143994
393679	1338	1994-08-09	VYDAJ	PREVOD NA UCET	897	54673	 	OP	42143994
393680	1338	1994-09-09	VYDAJ	PREVOD NA UCET	897	42461	 	OP	42143994
393681	1338	1994-10-09	VYDAJ	PREVOD NA UCET	897	26551	 	OP	42143994
393682	1338	1994-11-09	VYDAJ	PREVOD NA UCET	897	18762	 	OP	42143994
393683	1338	1994-12-09	VYDAJ	PREVOD NA UCET	897	15234	 	OP	42143994
393684	1338	1995-01-09	VYDAJ	PREVOD NA UCET	897	16831	 	OP	42143994
393685	1338	1995-02-09	VYDAJ	PREVOD NA UCET	897	15820	 	OP	42143994
393686	1338	1995-03-09	VYDAJ	PREVOD NA UCET	897	18480	 	OP	42143994
393687	1338	1995-04-09	VYDAJ	PREVOD NA UCET	897	30770	 	OP	42143994
393688	1338	1995-05-09	VYDAJ	PREVOD NA UCET	897	67578	 	OP	42143994
393689	1338	1995-06-09	VYDAJ	PREVOD NA UCET	897	51612	 	OP	42143994
393690	1338	1995-07-09	VYDAJ	PREVOD NA UCET	897	59358	 	OP	42143994
393691	1338	1995-08-09	VYDAJ	PREVOD NA UCET	897	41462	 	OP	42143994
393692	1338	1995-09-09	VYDAJ	PREVOD NA UCET	897	24425	 	OP	42143994
393693	1338	1995-10-09	VYDAJ	PREVOD NA UCET	897	28907	 	OP	42143994
393694	1338	1995-11-09	VYDAJ	PREVOD NA UCET	897	63873	 	OP	42143994
393695	1338	1995-12-09	VYDAJ	PREVOD NA UCET	897	44424	 	OP	42143994
393696	1338	1996-01-09	VYDAJ	PREVOD NA UCET	897	16879	 	OP	42143994
393697	1338	1996-02-09	VYDAJ	PREVOD NA UCET	897	29043	 	OP	42143994
393698	1338	1996-03-09	VYDAJ	PREVOD NA UCET	897	22545	 	OP	42143994
393699	1338	1996-04-09	VYDAJ	PREVOD NA UCET	897	25827	 	OP	42143994
393700	1338	1996-05-09	VYDAJ	PREVOD NA UCET	897	21926	 	OP	42143994
393701	1338	1996-06-09	VYDAJ	PREVOD NA UCET	897	34796	 	OP	42143994
393702	1338	1996-07-09	VYDAJ	PREVOD NA UCET	897	23010	 	OP	42143994
393703	1338	1996-08-09	VYDAJ	PREVOD NA UCET	897	21199	 	OP	42143994
393704	1338	1996-09-09	VYDAJ	PREVOD NA UCET	897	42736	 	OP	42143994
393705	1338	1996-10-09	VYDAJ	PREVOD NA UCET	897	45750	 	OP	42143994
393706	1338	1996-11-09	VYDAJ	PREVOD NA UCET	897	104110	 	OP	42143994
393707	1338	1996-12-09	VYDAJ	PREVOD NA UCET	897	92990	 	OP	42143994
393708	1338	1997-01-09	VYDAJ	PREVOD NA UCET	897	60321	 	OP	42143994
393709	1338	1997-02-09	VYDAJ	PREVOD NA UCET	897	48773	 	OP	42143994
393710	1338	1997-03-09	VYDAJ	PREVOD NA UCET	897	68801	 	OP	42143994
393711	1338	1997-04-09	VYDAJ	PREVOD NA UCET	897	88309	 	OP	42143994
393712	1338	1997-05-09	VYDAJ	PREVOD NA UCET	897	83220	 	OP	42143994
393713	1338	1997-06-09	VYDAJ	PREVOD NA UCET	897	52297	 	OP	42143994
393714	1338	1997-07-09	VYDAJ	PREVOD NA UCET	897	73550	 	OP	42143994
393715	1338	1997-08-09	VYDAJ	PREVOD NA UCET	897	52445	 	OP	42143994
393716	1338	1997-09-09	VYDAJ	PREVOD NA UCET	897	46550	 	OP	42143994
393717	1338	1997-10-09	VYDAJ	PREVOD NA UCET	897	45081	 	OP	42143994
393718	1338	1997-11-09	VYDAJ	PREVOD NA UCET	897	42362	 	OP	42143994
393719	1338	1997-12-09	VYDAJ	PREVOD NA UCET	897	21621	 	OP	42143994
393720	1338	1998-01-09	VYDAJ	PREVOD NA UCET	897	65340	 	OP	42143994
393721	1338	1998-02-09	VYDAJ	PREVOD NA UCET	897	34842	 	OP	42143994
393722	1338	1998-03-09	VYDAJ	PREVOD NA UCET	897	89532	 	OP	42143994
393723	1338	1998-04-09	VYDAJ	PREVOD NA UCET	897	57536	 	OP	42143994
393724	1338	1998-05-09	VYDAJ	PREVOD NA UCET	897	45784	 	OP	42143994
393725	1338	1998-06-09	VYDAJ	PREVOD NA UCET	897	50183	 	OP	42143994
393726	1338	1998-07-09	VYDAJ	PREVOD NA UCET	897	37579	 	OP	42143994
393727	1338	1998-08-09	VYDAJ	PREVOD NA UCET	897	106318	 	OP	42143994
393728	1338	1998-09-09	VYDAJ	PREVOD NA UCET	897	52278	 	OP	42143994
393729	1338	1998-10-09	VYDAJ	PREVOD NA UCET	897	61517	 	OP	42143994
393730	1338	1998-11-09	VYDAJ	PREVOD NA UCET	897	91055	 	OP	42143994
393731	1338	1998-12-09	VYDAJ	PREVOD NA UCET	897	89307	 	OP	42143994
393737	1338	1993-06-12	VYDAJ	PREVOD NA UCET	157	18686	POJISTNE	IJ	85222345
393738	1338	1993-07-12	VYDAJ	PREVOD NA UCET	157	22656	POJISTNE	IJ	85222345
393739	1338	1993-08-12	VYDAJ	PREVOD NA UCET	157	26719	POJISTNE	IJ	85222345
393740	1338	1993-09-12	VYDAJ	PREVOD NA UCET	157	21325	POJISTNE	IJ	85222345
393741	1338	1993-10-12	VYDAJ	PREVOD NA UCET	157	22406	POJISTNE	IJ	85222345
393742	1338	1993-11-12	VYDAJ	PREVOD NA UCET	157	18686	POJISTNE	IJ	85222345
393743	1338	1993-12-12	VYDAJ	PREVOD NA UCET	157	78619	POJISTNE	IJ	85222345
393744	1338	1994-01-12	VYDAJ	PREVOD NA UCET	157	15640	POJISTNE	IJ	85222345
393745	1338	1994-02-12	VYDAJ	PREVOD NA UCET	157	19796	POJISTNE	IJ	85222345
393746	1338	1994-03-12	VYDAJ	PREVOD NA UCET	157	34255	POJISTNE	IJ	85222345
393747	1338	1994-04-12	VYDAJ	PREVOD NA UCET	157	59063	POJISTNE	IJ	85222345
393748	1338	1994-05-12	VYDAJ	PREVOD NA UCET	157	97485	POJISTNE	IJ	85222345
393749	1338	1994-06-12	VYDAJ	PREVOD NA UCET	157	52902	POJISTNE	IJ	85222345
393750	1338	1994-07-12	VYDAJ	PREVOD NA UCET	157	39104	POJISTNE	IJ	85222345
393751	1338	1994-08-12	VYDAJ	PREVOD NA UCET	157	54516	POJISTNE	IJ	85222345
393752	1338	1994-09-12	VYDAJ	PREVOD NA UCET	157	42304	POJISTNE	IJ	85222345
393753	1338	1994-10-12	VYDAJ	PREVOD NA UCET	157	26394	POJISTNE	IJ	85222345
393754	1338	1994-11-12	VYDAJ	PREVOD NA UCET	157	18605	POJISTNE	IJ	85222345
393755	1338	1994-12-12	VYDAJ	PREVOD NA UCET	157	15077	POJISTNE	IJ	85222345
393756	1338	1995-01-12	VYDAJ	PREVOD NA UCET	157	16674	POJISTNE	IJ	85222345
393757	1338	1995-02-12	VYDAJ	PREVOD NA UCET	157	15663	POJISTNE	IJ	85222345
393758	1338	1995-03-12	VYDAJ	PREVOD NA UCET	157	18323	POJISTNE	IJ	85222345
393759	1338	1995-04-12	VYDAJ	PREVOD NA UCET	157	30613	POJISTNE	IJ	85222345
393760	1338	1995-05-12	VYDAJ	PREVOD NA UCET	157	67421	POJISTNE	IJ	85222345
393761	1338	1995-06-12	VYDAJ	PREVOD NA UCET	157	44092	POJISTNE	IJ	85222345
393762	1338	1995-07-12	VYDAJ	PREVOD NA UCET	157	59201	POJISTNE	IJ	85222345
393763	1338	1995-08-12	VYDAJ	PREVOD NA UCET	157	41305	POJISTNE	IJ	85222345
393764	1338	1995-09-12	VYDAJ	PREVOD NA UCET	157	24268	POJISTNE	IJ	85222345
393765	1338	1995-10-12	VYDAJ	PREVOD NA UCET	157	28750	POJISTNE	IJ	85222345
393766	1338	1995-11-12	VYDAJ	PREVOD NA UCET	157	63716	POJISTNE	IJ	85222345
393767	1338	1995-12-12	VYDAJ	PREVOD NA UCET	157	44267	POJISTNE	IJ	85222345
393768	1338	1996-01-12	VYDAJ	PREVOD NA UCET	157	16722	POJISTNE	IJ	85222345
393769	1338	1996-02-12	VYDAJ	PREVOD NA UCET	157	28886	POJISTNE	IJ	85222345
393770	1338	1996-03-12	VYDAJ	PREVOD NA UCET	157	22388	POJISTNE	IJ	85222345
393771	1338	1996-04-12	VYDAJ	PREVOD NA UCET	157	25670	POJISTNE	IJ	85222345
393772	1338	1996-05-12	VYDAJ	PREVOD NA UCET	157	21769	POJISTNE	IJ	85222345
393773	1338	1996-06-12	VYDAJ	PREVOD NA UCET	157	26539	POJISTNE	IJ	85222345
393774	1338	1996-07-12	VYDAJ	PREVOD NA UCET	157	22853	POJISTNE	IJ	85222345
393775	1338	1996-08-12	VYDAJ	PREVOD NA UCET	157	21042	POJISTNE	IJ	85222345
393776	1338	1996-09-12	VYDAJ	PREVOD NA UCET	157	42579	POJISTNE	IJ	85222345
393777	1338	1996-10-12	VYDAJ	PREVOD NA UCET	157	45593	POJISTNE	IJ	85222345
393778	1338	1996-11-12	VYDAJ	PREVOD NA UCET	157	103953	POJISTNE	IJ	85222345
393779	1338	1996-12-12	VYDAJ	PREVOD NA UCET	157	76933	POJISTNE	IJ	85222345
393780	1338	1997-01-12	VYDAJ	PREVOD NA UCET	157	47564	POJISTNE	IJ	85222345
393781	1338	1997-02-12	VYDAJ	PREVOD NA UCET	157	38116	POJISTNE	IJ	85222345
393782	1338	1997-03-12	VYDAJ	PREVOD NA UCET	157	68644	POJISTNE	IJ	85222345
393783	1338	1997-04-12	VYDAJ	PREVOD NA UCET	157	88152	POJISTNE	IJ	85222345
393784	1338	1997-05-12	VYDAJ	PREVOD NA UCET	157	83063	POJISTNE	IJ	85222345
393785	1338	1997-06-12	VYDAJ	PREVOD NA UCET	157	52140	POJISTNE	IJ	85222345
393786	1338	1997-07-12	VYDAJ	PREVOD NA UCET	157	66129	POJISTNE	IJ	85222345
393787	1338	1997-08-12	VYDAJ	PREVOD NA UCET	157	52288	POJISTNE	IJ	85222345
393788	1338	1997-09-12	VYDAJ	PREVOD NA UCET	157	57624	POJISTNE	IJ	85222345
393789	1338	1997-10-12	VYDAJ	PREVOD NA UCET	157	44924	POJISTNE	IJ	85222345
393790	1338	1997-11-12	VYDAJ	PREVOD NA UCET	157	42205	POJISTNE	IJ	85222345
393791	1338	1997-12-12	VYDAJ	PREVOD NA UCET	157	21464	POJISTNE	IJ	85222345
393792	1338	1998-01-12	VYDAJ	PREVOD NA UCET	157	65183	POJISTNE	IJ	85222345
393793	1338	1998-02-12	VYDAJ	PREVOD NA UCET	157	34685	POJISTNE	IJ	85222345
393794	1338	1998-03-12	VYDAJ	PREVOD NA UCET	157	89375	POJISTNE	IJ	85222345
393795	1338	1998-04-12	VYDAJ	PREVOD NA UCET	157	57379	POJISTNE	IJ	85222345
393796	1338	1998-05-12	VYDAJ	PREVOD NA UCET	157	42146	POJISTNE	IJ	85222345
393797	1338	1998-06-12	VYDAJ	PREVOD NA UCET	157	50026	POJISTNE	IJ	85222345
393798	1338	1998-07-12	VYDAJ	PREVOD NA UCET	157	37422	POJISTNE	IJ	85222345
393799	1338	1998-08-12	VYDAJ	PREVOD NA UCET	157	106161	POJISTNE	IJ	85222345
393800	1338	1998-09-12	VYDAJ	PREVOD NA UCET	157	58121	POJISTNE	IJ	85222345
393801	1338	1998-10-12	VYDAJ	PREVOD NA UCET	157	62460	POJISTNE	IJ	85222345
393802	1338	1998-11-12	VYDAJ	PREVOD NA UCET	157	94334	POJISTNE	IJ	85222345
393803	1338	1998-12-12	VYDAJ	PREVOD NA UCET	157	86182	POJISTNE	IJ	85222345
393804	1338	1993-12-26	VYBER	VYBER	15001	37428	\N	\N	\N
393807	1338	1993-07-29	VYBER	VYBER	21783	34606	\N	\N	\N
393808	1338	1993-12-19	VYBER	VYBER	7664	52429	\N	\N	\N
393809	1338	1993-10-30	VYBER	VYBER	2747	25493	\N	\N	\N
393810	1338	1993-12-14	VYBER	VYBER	11326	67293	\N	\N	\N
393815	1338	1994-09-05	VYBER	VYBER	10869	47903	\N	\N	\N
393816	1338	1994-07-03	VYBER	VYBER	3662	64303	\N	\N	\N
393817	1338	1994-08-26	VYBER	VYBER	3965	87441	\N	\N	\N
393818	1338	1994-03-28	VYBER	VYBER	6675	27580	\N	\N	\N
393819	1338	1994-04-09	VYBER	VYBER	19415	60117	\N	\N	\N
393823	1338	1995-09-07	VYBER	VYBER	6978	29867	\N	\N	\N
393824	1338	1995-07-25	VYBER	VYBER	2056	64525	\N	\N	\N
393826	1338	1995-05-02	VYBER	VYBER	4409	73020	\N	\N	\N
393829	1338	1995-08-24	VYBER	VYBER	19346	36680	\N	\N	\N
393830	1338	1995-10-07	VYBER	VYBER	5537	48149	\N	\N	\N
393831	1338	1995-01-07	VYBER	VYBER	12346	22273	\N	\N	\N
393833	1338	1995-06-18	VYBER	VYBER	18119	25973	\N	\N	\N
393834	1338	1995-06-10	VYBER	VYBER	7363	44249	\N	\N	\N
393835	1338	1996-12-27	VYBER	VYBER	24121	39312	\N	\N	\N
393836	1338	1996-05-13	VYBER	VYBER	16966	48571	\N	\N	\N
393838	1338	1997-07-11	VYBER	VYBER	7264	66286	\N	\N	\N
393839	1338	1997-11-27	VYBER	VYBER	21608	28397	\N	\N	\N
393840	1338	1998-07-24	VYBER	VYBER	8056	79159	\N	\N	\N
393841	1338	1998-05-03	VYBER	VYBER	7896	58726	\N	\N	\N
393842	1338	1998-09-14	VYBER	VYBER	20549	37572	\N	\N	\N
393843	1338	1998-03-25	VYBER	VYBER	19725	91598	\N	\N	\N
393844	1338	1998-05-12	VYBER	VYBER	3481	42303	\N	\N	\N
393845	1338	1998-08-26	VYBER	VYBER	19393	63068	\N	\N	\N
393847	1338	1998-10-23	VYBER	VYBER	7673	127350	\N	\N	\N
393848	1338	1993-06-06	VYDAJ	VYBER	32100	20185	\N	\N	\N
393849	1338	1994-06-14	VYDAJ	VYBER	19500	25302	\N	\N	\N
393853	1338	1998-06-05	VYDAJ	VYBER	14100	55625	\N	\N	\N
393854	1338	1993-12-18	VYDAJ	VYBER	7200	60093	\N	\N	\N
393856	1338	1995-12-17	VYDAJ	VYBER	8700	35567	\N	\N	\N
393857	1338	1996-12-04	VYDAJ	VYBER	1800	98432	\N	\N	\N
393858	1338	1997-12-04	VYDAJ	VYBER	1500	27063	\N	\N	\N
393859	1338	1998-12-20	VYDAJ	VYBER	5400	108555	\N	\N	\N
393866	1338	1994-01-25	VYDAJ	VYBER	8400	26420	\N	\N	\N
393867	1338	1994-01-02	VYDAJ	VYBER	5100	32539	\N	\N	\N
393868	1338	1994-01-07	VYDAJ	VYBER	5100	21239	\N	\N	\N
393869	1338	1994-01-02	VYDAJ	VYBER	3600	28939	\N	\N	\N
393870	1338	1994-01-05	VYDAJ	VYBER	5400	23539	\N	\N	\N
393871	1338	1994-01-26	VYDAJ	VYBER	4800	21620	\N	\N	\N
393875	1338	1995-01-06	VYDAJ	VYBER	5400	34619	\N	\N	\N
393876	1338	1995-01-06	VYDAJ	VYBER	4800	40019	\N	\N	\N
393881	1338	1996-01-08	VYDAJ	VYBER	3000	17776	\N	\N	\N
393882	1338	1996-01-06	VYDAJ	VYBER	7500	25321	\N	\N	\N
393884	1338	1997-01-11	VYDAJ	VYBER	3900	56421	\N	\N	\N
393885	1338	1997-01-20	VYDAJ	VYBER	8700	45164	\N	\N	\N
393886	1338	1997-01-06	VYDAJ	VYBER	7500	65763	\N	\N	\N
393887	1338	1997-01-11	VYDAJ	VYBER	8700	47721	\N	\N	\N
393888	1338	1997-01-28	VYDAJ	VYBER	7500	53991	\N	\N	\N
393889	1338	1997-01-01	VYDAJ	VYBER	6300	73263	\N	\N	\N
393890	1338	1998-01-09	VYDAJ	VYBER	2700	66237	\N	\N	\N
393891	1338	1998-01-13	VYDAJ	VYBER	5700	59483	\N	\N	\N
393892	1338	1998-01-27	VYDAJ	VYBER	6300	40083	\N	\N	\N
393894	1338	1998-01-22	VYDAJ	VYBER	3900	54483	\N	\N	\N
393895	1338	1998-01-02	VYDAJ	VYBER	2100	26367	\N	\N	\N
393898	1338	1993-09-05	VYDAJ	VYBER	4500	22324	\N	\N	\N
393900	1338	1993-11-18	VYDAJ	VYBER	12600	46483	\N	\N	\N
393901	1338	1994-05-30	VYDAJ	VYBER	13500	91064	\N	\N	\N
393902	1338	1994-06-12	VYDAJ	VYBER	8100	44802	\N	\N	\N
393905	1338	1995-04-08	VYDAJ	VYBER	8100	31667	\N	\N	\N
393906	1338	1995-03-19	VYDAJ	VYBER	7800	46006	\N	\N	\N
393908	1338	1995-10-09	VYDAJ	VYBER	13800	29804	\N	\N	\N
393910	1338	1995-06-30	VYDAJ	VYBER	1500	96215	\N	\N	\N
393911	1338	1995-11-05	VYDAJ	VYBER	3300	69315	\N	\N	\N
393912	1338	1996-08-26	VYDAJ	VYBER	3900	23042	\N	\N	\N
393913	1338	1996-02-25	VYDAJ	VYBER	5700	27886	\N	\N	\N
393914	1338	1996-12-09	VYDAJ	VYBER	7500	77090	\N	\N	\N
393915	1338	1996-12-09	VYDAJ	VYBER	8400	84590	\N	\N	\N
393916	1338	1996-06-11	VYDAJ	VYBER	8100	26696	\N	\N	\N
393917	1338	1997-04-12	VYDAJ	VYBER	5100	83052	\N	\N	\N
393918	1338	1997-02-26	VYDAJ	VYBER	13200	32616	\N	\N	\N
393919	1338	1997-12-25	VYDAJ	VYBER	9300	28364	\N	\N	\N
393920	1338	1997-05-24	VYDAJ	VYBER	8700	57463	\N	\N	\N
393921	1338	1997-02-12	VYDAJ	VYBER	10500	38273	\N	\N	\N
393923	1338	1998-01-22	VYDAJ	VYBER	8100	46383	\N	\N	\N
393924	1338	1998-06-18	VYDAJ	VYBER	8400	42826	\N	\N	\N
393925	1338	1998-09-07	VYDAJ	VYBER	5700	57720	\N	\N	\N
393926	1338	1998-05-03	VYDAJ	VYBER	7500	51226	\N	\N	\N
393932	1338	1993-05-31	VYDAJ	VYBER	15	52285	SLUZBY	\N	\N
393933	1338	1993-06-30	VYDAJ	VYBER	15	26855	SLUZBY	\N	\N
393934	1338	1993-07-31	VYDAJ	VYBER	15	34718	SLUZBY	\N	\N
393935	1338	1993-08-31	VYDAJ	VYBER	15	26824	SLUZBY	\N	\N
393936	1338	1993-09-30	VYDAJ	VYBER	15	21405	SLUZBY	\N	\N
393937	1338	1993-10-31	VYDAJ	VYBER	15	25585	SLUZBY	\N	\N
393938	1338	1993-11-30	VYDAJ	VYBER	15	46609	SLUZBY	\N	\N
393939	1338	1993-12-31	VYDAJ	VYBER	15	37639	SLUZBY	\N	\N
393940	1338	1994-01-31	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
393941	1338	1994-02-28	VYDAJ	VYBER	15	26125	SLUZBY	\N	\N
393942	1338	1994-03-31	VYDAJ	VYBER	15	27701	SLUZBY	\N	\N
393943	1338	1994-04-30	VYDAJ	VYBER	15	65038	SLUZBY	\N	\N
393944	1338	1994-05-31	VYDAJ	VYBER	15	91401	SLUZBY	\N	\N
393945	1338	1994-06-30	VYDAJ	VYBER	15	67965	SLUZBY	\N	\N
393946	1338	1994-07-31	VYDAJ	VYBER	15	54627	SLUZBY	\N	\N
393947	1338	1994-08-31	VYDAJ	VYBER	15	87772	SLUZBY	\N	\N
393948	1338	1994-09-30	VYDAJ	VYBER	15	42493	SLUZBY	\N	\N
393949	1338	1994-10-31	VYDAJ	VYBER	15	26504	SLUZBY	\N	\N
393950	1338	1994-11-30	VYDAJ	VYBER	15	18676	SLUZBY	\N	\N
393951	1338	1994-12-31	VYDAJ	VYBER	15	15128	SLUZBY	\N	\N
393952	1338	1995-01-31	VYDAJ	VYBER	15	21262	SLUZBY	\N	\N
393953	1338	1995-02-28	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
393954	1338	1995-03-31	VYDAJ	VYBER	15	66812	SLUZBY	\N	\N
393955	1338	1995-04-30	VYDAJ	VYBER	15	85805	SLUZBY	\N	\N
393956	1338	1995-05-31	VYDAJ	VYBER	15	85154	SLUZBY	\N	\N
393957	1338	1995-06-30	VYDAJ	VYBER	15	96200	SLUZBY	\N	\N
393958	1338	1995-07-31	VYDAJ	VYBER	15	46904	SLUZBY	\N	\N
393959	1338	1995-08-31	VYDAJ	VYBER	15	36845	SLUZBY	\N	\N
393960	1338	1995-09-30	VYDAJ	VYBER	15	53686	SLUZBY	\N	\N
393961	1338	1995-10-31	VYDAJ	VYBER	15	72615	SLUZBY	\N	\N
393962	1338	1995-11-30	VYDAJ	VYBER	15	49866	SLUZBY	\N	\N
393963	1338	1995-12-31	VYDAJ	VYBER	15	32821	SLUZBY	\N	\N
393964	1338	1996-01-31	VYDAJ	VYBER	15	24397	SLUZBY	\N	\N
393965	1338	1996-02-29	VYDAJ	VYBER	15	27987	SLUZBY	\N	\N
393966	1338	1996-03-31	VYDAJ	VYBER	15	31269	SLUZBY	\N	\N
393967	1338	1996-04-30	VYDAJ	VYBER	15	27368	SLUZBY	\N	\N
393968	1338	1996-05-31	VYDAJ	VYBER	15	40238	SLUZBY	\N	\N
393969	1338	1996-06-30	VYDAJ	VYBER	15	28452	SLUZBY	\N	\N
393970	1338	1996-07-31	VYDAJ	VYBER	15	26641	SLUZBY	\N	\N
393971	1338	1996-08-31	VYDAJ	VYBER	15	23122	SLUZBY	\N	\N
393972	1338	1996-09-30	VYDAJ	VYBER	15	51192	SLUZBY	\N	\N
393973	1338	1996-10-31	VYDAJ	VYBER	15	108862	SLUZBY	\N	\N
393974	1338	1996-11-30	VYDAJ	VYBER	15	100232	SLUZBY	\N	\N
393975	1338	1996-12-31	VYDAJ	VYBER	15	79563	SLUZBY	\N	\N
393976	1338	1997-01-31	VYDAJ	VYBER	15	54215	SLUZBY	\N	\N
393977	1338	1997-02-28	VYDAJ	VYBER	15	74243	SLUZBY	\N	\N
393978	1338	1997-03-31	VYDAJ	VYBER	15	77482	SLUZBY	\N	\N
393979	1338	1997-04-30	VYDAJ	VYBER	15	66551	SLUZBY	\N	\N
393980	1338	1997-05-31	VYDAJ	VYBER	15	57739	SLUZBY	\N	\N
393981	1338	1997-06-30	VYDAJ	VYBER	15	78992	SLUZBY	\N	\N
393982	1338	1997-07-31	VYDAJ	VYBER	15	57887	SLUZBY	\N	\N
393983	1338	1997-08-31	VYDAJ	VYBER	15	51992	SLUZBY	\N	\N
393984	1338	1997-09-30	VYDAJ	VYBER	15	50523	SLUZBY	\N	\N
393985	1338	1997-10-31	VYDAJ	VYBER	15	47804	SLUZBY	\N	\N
393986	1338	1997-11-30	VYDAJ	VYBER	15	28563	SLUZBY	\N	\N
393987	1338	1997-12-31	VYDAJ	VYBER	15	28467	SLUZBY	\N	\N
393988	1338	1998-01-31	VYDAJ	VYBER	15	40284	SLUZBY	\N	\N
393989	1338	1998-02-28	VYDAJ	VYBER	15	49448	SLUZBY	\N	\N
393990	1338	1998-03-31	VYDAJ	VYBER	15	91919	SLUZBY	\N	\N
393991	1338	1998-04-30	VYDAJ	VYBER	15	66622	SLUZBY	\N	\N
393992	1338	1998-05-31	VYDAJ	VYBER	15	69725	SLUZBY	\N	\N
393993	1338	1998-06-30	VYDAJ	VYBER	15	43021	SLUZBY	\N	\N
393994	1338	1998-07-31	VYDAJ	VYBER	15	111760	SLUZBY	\N	\N
393995	1338	1998-08-31	VYDAJ	VYBER	15	63420	SLUZBY	\N	\N
393996	1338	1998-09-30	VYDAJ	VYBER	15	66959	SLUZBY	\N	\N
393997	1338	1998-10-31	VYDAJ	VYBER	15	88500	SLUZBY	\N	\N
393998	1338	1998-11-30	VYDAJ	VYBER	15	94749	SLUZBY	\N	\N
393999	1338	1993-02-10	VYDAJ	VYBER	5200	33216	\N	\N	\N
394000	1338	1993-03-12	VYDAJ	VYBER	2400	30976	\N	\N	\N
394001	1338	1993-04-10	VYDAJ	VYBER	28700	77544	\N	\N	\N
394002	1338	1993-04-11	VYDAJ	VYBER	26300	51244	\N	\N	\N
394003	1338	1993-05-11	VYDAJ	VYBER	20500	44296	\N	\N	\N
394004	1338	1993-06-10	PRIJEM	VKLAD	4100	18843	\N	\N	\N
394005	1338	1993-07-10	PRIJEM	VKLAD	1400	22813	\N	\N	\N
394006	1338	1993-08-09	VYDAJ	VYBER	2400	26876	\N	\N	\N
394007	1338	1993-09-08	PRIJEM	VKLAD	4600	26924	\N	\N	\N
394008	1338	1993-10-08	PRIJEM	VKLAD	6600	28005	\N	\N	\N
394009	1338	1993-11-07	VYDAJ	VYBER	1300	24285	\N	\N	\N
394010	1338	1993-12-07	VYDAJ	VYBER	33300	56247	\N	\N	\N
394011	1338	1994-01-06	PRIJEM	VKLAD	2800	26339	\N	\N	\N
394012	1338	1994-02-05	PRIJEM	VKLAD	3700	25395	\N	\N	\N
394013	1338	1994-03-07	VYDAJ	VYBER	15800	39854	\N	\N	\N
394014	1338	1994-04-06	VYDAJ	VYBER	25000	48246	\N	\N	\N
394015	1338	1994-05-04	VYDAJ	VYBER	52700	54406	\N	\N	\N
394016	1338	1994-05-06	VYDAJ	VYBER	13000	41406	\N	\N	\N
394017	1338	1994-05-12	VYDAJ	VYBER	19500	97642	\N	\N	\N
394018	1338	1994-05-29	VYDAJ	VYBER	19800	104564	\N	\N	\N
394019	1338	1994-06-05	VYDAJ	VYBER	32900	58501	\N	\N	\N
394020	1338	1994-07-05	VYDAJ	VYBER	19600	44703	\N	\N	\N
394021	1338	1994-07-31	VYDAJ	VYBER	20500	54641	\N	\N	\N
394022	1338	1994-07-31	VYDAJ	VYBER	57900	75141	\N	\N	\N
394023	1338	1994-08-04	VYDAJ	VYBER	12600	42027	\N	\N	\N
394024	1338	1994-08-23	VYDAJ	VYBER	48100	91406	\N	\N	\N
394025	1338	1994-09-03	VYDAJ	VYBER	29000	58772	\N	\N	\N
394026	1338	1994-10-03	VYDAJ	VYBER	10500	31993	\N	\N	\N
394027	1338	1994-11-02	VYDAJ	VYBER	2300	24204	\N	\N	\N
394028	1338	1994-12-02	PRIJEM	VKLAD	2000	20676	\N	\N	\N
394029	1338	1995-01-01	VYDAJ	VYBER	17100	44819	\N	\N	\N
394030	1338	1995-01-31	PRIJEM	VKLAD	4500	21174	\N	\N	\N
394031	1338	1995-03-02	PRIJEM	VKLAD	1000	23922	\N	\N	\N
394032	1338	1995-04-01	VYDAJ	VYBER	22500	44312	\N	\N	\N
394033	1338	1995-05-01	VYDAJ	VYBER	29400	56405	\N	\N	\N
394034	1338	1995-05-31	VYDAJ	VYBER	28100	57054	\N	\N	\N
394035	1338	1995-06-30	VYDAJ	VYBER	31400	64800	\N	\N	\N
394036	1338	1995-07-30	VYDAJ	VYBER	17900	46625	\N	\N	\N
394037	1338	1995-09-28	VYDAJ	VYBER	18000	53504	\N	\N	\N
394038	1338	1995-10-28	VYDAJ	VYBER	1400	27350	\N	\N	\N
394039	1338	1995-11-27	VYDAJ	VYBER	14100	49616	\N	\N	\N
394040	1338	1995-12-27	VYDAJ	VYBER	2900	32667	\N	\N	\N
394041	1338	1996-01-26	PRIJEM	VKLAD	7600	24322	\N	\N	\N
394042	1338	1996-02-25	PRIJEM	VKLAD	4700	33586	\N	\N	\N
394043	1338	1996-03-26	VYDAJ	VYBER	300	31177	\N	\N	\N
394044	1338	1996-04-25	PRIJEM	VKLAD	1600	27270	\N	\N	\N
394045	1338	1996-05-25	VYDAJ	VYBER	8500	40071	\N	\N	\N
394046	1338	1996-06-24	PRIJEM	VKLAD	1800	28339	\N	\N	\N
394047	1338	1996-07-24	PRIJEM	VKLAD	3700	26553	\N	\N	\N
394048	1338	1996-08-23	PRIJEM	VKLAD	5900	26942	\N	\N	\N
394049	1338	1996-09-22	VYDAJ	VYBER	10900	44916	\N	\N	\N
394050	1338	1996-10-22	VYDAJ	VYBER	5200	40393	\N	\N	\N
394051	1338	1996-11-05	VYDAJ	VYBER	47700	109552	\N	\N	\N
394052	1338	1996-11-21	VYDAJ	VYBER	33400	70553	\N	\N	\N
394053	1338	1996-11-27	VYDAJ	VYBER	20100	99833	\N	\N	\N
394054	1338	1996-12-21	VYDAJ	VYBER	13500	63433	\N	\N	\N
394055	1338	1997-01-20	PRIJEM	VKLAD	6300	53864	\N	\N	\N
394056	1338	1997-02-19	PRIJEM	VKLAD	7700	45816	\N	\N	\N
394057	1338	1997-03-21	VYDAJ	VYBER	25200	77168	\N	\N	\N
394058	1338	1997-04-20	VYDAJ	VYBER	16800	66252	\N	\N	\N
394059	1338	1997-05-20	VYDAJ	VYBER	16900	66163	\N	\N	\N
394060	1338	1997-06-19	PRIJEM	VKLAD	2900	55040	\N	\N	\N
394061	1338	1997-07-19	VYDAJ	VYBER	8500	57629	\N	\N	\N
394062	1338	1997-08-18	VYDAJ	VYBER	500	51788	\N	\N	\N
394063	1338	1997-09-17	VYDAJ	VYBER	7300	50324	\N	\N	\N
394064	1338	1997-10-17	PRIJEM	VKLAD	2700	47624	\N	\N	\N
394065	1338	1997-11-16	PRIJEM	VKLAD	7800	50005	\N	\N	\N
394066	1338	1997-12-16	PRIJEM	VKLAD	16200	37664	\N	\N	\N
394067	1338	1998-01-15	VYDAJ	VYBER	1100	58383	\N	\N	\N
394068	1338	1998-02-14	PRIJEM	VKLAD	14600	49285	\N	\N	\N
394069	1338	1998-03-16	VYDAJ	VYBER	17100	72275	\N	\N	\N
394070	1338	1998-04-03	VYDAJ	VYBER	61500	62978	\N	\N	\N
394071	1338	1998-04-15	VYDAJ	VYBER	9900	66322	\N	\N	\N
394072	1338	1998-05-15	PRIJEM	VKLAD	8100	50246	\N	\N	\N
394073	1338	1998-06-14	PRIJEM	VKLAD	1200	51226	\N	\N	\N
394074	1338	1998-07-14	PRIJEM	VKLAD	10900	48322	\N	\N	\N
394075	1338	1998-08-13	VYDAJ	VYBER	23700	82461	\N	\N	\N
394076	1338	1998-09-12	PRIJEM	VKLAD	6000	58278	\N	\N	\N
394077	1338	1998-10-12	PRIJEM	VKLAD	1100	62617	\N	\N	\N
394078	1338	1998-10-20	VYDAJ	VYBER	25500	98784	\N	\N	\N
394079	1338	1998-10-23	VYDAJ	VYBER	39200	88150	\N	\N	\N
394080	1338	1998-11-11	VYDAJ	VYBER	12000	79055	\N	\N	\N
394081	1338	1998-11-20	VYDAJ	VYBER	19100	105258	\N	\N	\N
394082	1338	1998-11-26	VYDAJ	VYBER	59400	94361	\N	\N	\N
394083	1338	1998-12-11	VYDAJ	VYBER	15300	86339	\N	\N	\N
394084	1338	1998-12-18	VYDAJ	VYBER	15100	116652	\N	\N	\N
394085	1338	1998-12-19	VYDAJ	VYBER	25300	132155	\N	\N	\N
394086	1338	1998-12-20	VYDAJ	VYBER	18200	113955	\N	\N	\N
394159	1339	1997-07-06	PRIJEM	VKLAD	900	900	\N	\N	\N
394161	1339	1997-10-17	PRIJEM	VKLAD	34014	49014	\N	\N	\N
394163	1339	1998-11-11	PRIJEM	VKLAD	8449	71855	\N	\N	\N
394164	1339	1998-12-02	PRIJEM	VKLAD	8284	42654	\N	\N	\N
394165	1339	1998-09-14	PRIJEM	VKLAD	21835	36297	\N	\N	\N
394166	1339	1998-06-23	PRIJEM	VKLAD	31654	81915	\N	\N	\N
394167	1339	1998-06-12	PRIJEM	VKLAD	33295	60461	\N	\N	\N
394168	1339	1998-12-17	PRIJEM	VKLAD	9931	55443	\N	\N	\N
394169	1339	1998-03-28	PRIJEM	VKLAD	18950	43489	\N	\N	\N
394170	1339	1998-11-23	PRIJEM	VKLAD	26305	73474	\N	\N	\N
394171	1339	1998-11-08	PRIJEM	VKLAD	35645	63406	\N	\N	\N
394172	1339	1998-05-11	PRIJEM	VKLAD	35515	52274	\N	\N	\N
394173	1339	1998-02-22	PRIJEM	VKLAD	19156	45654	\N	\N	\N
394174	1339	1998-01-26	PRIJEM	VKLAD	27677	43898	\N	\N	\N
394175	1339	1998-09-19	PRIJEM	VKLAD	43645	79942	\N	\N	\N
394176	1339	1998-09-21	PRIJEM	VKLAD	23360	103302	\N	\N	\N
394177	1339	1998-12-04	PRIJEM	VKLAD	7358	50012	\N	\N	\N
394189	1339	1998-08-29	VYBER	VYBER	2300	22571	\N	\N	\N
394190	1339	1998-11-21	VYBER	VYBER	24686	47169	\N	\N	\N
394192	1339	1998-12-18	VYBER	VYBER	19065	36378	\N	\N	\N
394198	1339	1998-12-22	VYDAJ	VYBER	2400	33978	\N	\N	\N
394204	1339	1998-11-23	VYDAJ	VYBER	8100	65374	\N	\N	\N
394205	1339	1998-06-14	VYDAJ	VYBER	10200	50261	\N	\N	\N
394206	1339	1998-08-11	VYDAJ	VYBER	1500	24871	\N	\N	\N
394209	1339	1998-12-08	VYDAJ	VYBER	4500	45512	\N	\N	\N
394227	1339	1998-05-31	VYDAJ	VYBER	15	52466	SLUZBY	\N	\N
394228	1339	1998-06-30	VYDAJ	VYBER	15	82151	SLUZBY	\N	\N
394229	1339	1998-07-31	VYDAJ	VYBER	15	26371	SLUZBY	\N	\N
394230	1339	1998-08-31	VYDAJ	VYBER	15	14462	SLUZBY	\N	\N
394231	1339	1998-09-30	VYDAJ	VYBER	15	48974	SLUZBY	\N	\N
394232	1339	1998-10-31	VYDAJ	VYBER	15	27761	SLUZBY	\N	\N
394233	1339	1998-11-30	VYDAJ	VYBER	15	34370	SLUZBY	\N	\N
394234	1339	1997-08-05	PRIJEM	VKLAD	11900	12800	\N	\N	\N
394235	1339	1997-09-04	PRIJEM	VKLAD	3300	16100	\N	\N	\N
394236	1339	1997-10-04	VYDAJ	VYBER	1100	15000	\N	\N	\N
394237	1339	1997-11-03	VYDAJ	VYBER	18400	30713	\N	\N	\N
394238	1339	1997-12-03	VYDAJ	VYBER	10400	20517	\N	\N	\N
394239	1339	1998-01-02	VYDAJ	VYBER	4500	16221	\N	\N	\N
394240	1339	1998-02-01	VYDAJ	VYBER	17600	26498	\N	\N	\N
394241	1339	1998-03-03	VYDAJ	VYBER	21300	24539	\N	\N	\N
394242	1339	1998-04-02	VYDAJ	VYBER	18600	25078	\N	\N	\N
394243	1339	1998-05-02	VYDAJ	VYBER	8500	16759	\N	\N	\N
394244	1339	1998-06-01	VYDAJ	VYBER	25300	27166	\N	\N	\N
394245	1339	1998-07-01	VYDAJ	VYBER	35100	47051	\N	\N	\N
394246	1339	1998-07-31	VYDAJ	VYBER	21000	26386	\N	\N	\N
394247	1339	1998-08-30	VYDAJ	VYBER	8200	14371	\N	\N	\N
394248	1339	1998-09-29	VYDAJ	VYBER	54500	48802	\N	\N	\N
394249	1339	1998-10-29	VYDAJ	VYBER	21400	27574	\N	\N	\N
394250	1339	1998-11-28	VYDAJ	VYBER	31200	34174	\N	\N	\N
394266	1340	1997-10-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
394277	1340	1997-11-10	PRIJEM	PREVOD Z UCTU	3944	4944	\N	YZ	57563352
394278	1340	1997-12-10	PRIJEM	PREVOD Z UCTU	3944	19397	\N	YZ	57563352
394279	1340	1998-01-10	PRIJEM	PREVOD Z UCTU	3944	28111	\N	YZ	57563352
394280	1340	1998-02-10	PRIJEM	PREVOD Z UCTU	3944	30557	\N	YZ	57563352
394281	1340	1998-03-10	PRIJEM	PREVOD Z UCTU	3944	28010	\N	YZ	57563352
394282	1340	1998-04-10	PRIJEM	PREVOD Z UCTU	3944	25943	\N	YZ	57563352
394283	1340	1998-05-10	PRIJEM	PREVOD Z UCTU	3944	26060	\N	YZ	57563352
394284	1340	1998-06-10	PRIJEM	PREVOD Z UCTU	3944	25368	\N	YZ	57563352
394285	1340	1998-07-10	PRIJEM	PREVOD Z UCTU	3944	24785	\N	YZ	57563352
394286	1340	1998-08-10	PRIJEM	PREVOD Z UCTU	3944	24398	\N	YZ	57563352
394287	1340	1998-09-10	PRIJEM	PREVOD Z UCTU	3944	20103	\N	YZ	57563352
394288	1340	1998-10-10	PRIJEM	PREVOD Z UCTU	3944	19895	\N	YZ	57563352
394289	1340	1998-11-10	PRIJEM	PREVOD Z UCTU	3944	19376	\N	YZ	57563352
394290	1340	1998-12-10	PRIJEM	PREVOD Z UCTU	3944	24371	\N	YZ	57563352
394305	1340	1998-03-12	VYDAJ	PREVOD NA UCET	818	26072	SIPO	KL	25240075
394306	1340	1998-04-12	VYDAJ	PREVOD NA UCET	818	25125	SIPO	KL	25240075
394307	1340	1998-05-12	VYDAJ	PREVOD NA UCET	818	24122	SIPO	KL	25240075
394308	1340	1998-06-12	VYDAJ	PREVOD NA UCET	818	23430	SIPO	KL	25240075
394309	1340	1998-07-12	VYDAJ	PREVOD NA UCET	818	23967	SIPO	KL	25240075
394310	1340	1998-08-12	VYDAJ	PREVOD NA UCET	818	23580	SIPO	KL	25240075
394311	1340	1998-09-12	VYDAJ	PREVOD NA UCET	818	19285	SIPO	KL	25240075
394312	1340	1998-10-12	VYDAJ	PREVOD NA UCET	818	19077	SIPO	KL	25240075
394313	1340	1998-11-12	VYDAJ	PREVOD NA UCET	818	18558	SIPO	KL	25240075
394314	1340	1998-12-12	VYDAJ	PREVOD NA UCET	818	23553	SIPO	KL	25240075
394330	1340	1998-04-07	VYDAJ	PREVOD NA UCET	472	21999	 	CD	67103540
394331	1340	1998-05-07	VYDAJ	PREVOD NA UCET	472	22116	 	CD	67103540
394332	1340	1998-06-07	VYDAJ	PREVOD NA UCET	472	21424	 	CD	67103540
394333	1340	1998-07-07	VYDAJ	PREVOD NA UCET	472	20841	 	CD	67103540
394334	1340	1998-08-07	VYDAJ	PREVOD NA UCET	472	20454	 	CD	67103540
394335	1340	1998-09-07	VYDAJ	PREVOD NA UCET	472	16159	 	CD	67103540
394336	1340	1998-10-07	VYDAJ	PREVOD NA UCET	472	15951	 	CD	67103540
394337	1340	1998-11-07	VYDAJ	PREVOD NA UCET	472	15432	 	CD	67103540
394338	1340	1998-12-07	VYDAJ	PREVOD NA UCET	472	20427	 	CD	67103540
394353	1340	1998-03-12	VYDAJ	PREVOD NA UCET	1120	26890	POJISTNE	GH	64112800
394354	1340	1998-04-12	VYDAJ	PREVOD NA UCET	1120	24005	POJISTNE	GH	64112800
394355	1340	1998-05-12	VYDAJ	PREVOD NA UCET	1120	24940	POJISTNE	GH	64112800
394356	1340	1998-06-12	VYDAJ	PREVOD NA UCET	1120	24248	POJISTNE	GH	64112800
394357	1340	1998-07-12	VYDAJ	PREVOD NA UCET	1120	22847	POJISTNE	GH	64112800
394358	1340	1998-08-12	VYDAJ	PREVOD NA UCET	1120	22460	POJISTNE	GH	64112800
394359	1340	1998-09-12	VYDAJ	PREVOD NA UCET	1120	18165	POJISTNE	GH	64112800
394360	1340	1998-10-12	VYDAJ	PREVOD NA UCET	1120	17387	POJISTNE	GH	64112800
394361	1340	1998-11-12	VYDAJ	PREVOD NA UCET	1120	17438	POJISTNE	GH	64112800
394362	1340	1998-12-12	VYDAJ	PREVOD NA UCET	1120	22433	POJISTNE	GH	64112800
394364	1340	1998-06-02	VYDAJ	VYBER	2010	21896	\N	\N	\N
394368	1340	1998-12-29	VYDAJ	VYBER	810	23423	\N	\N	\N
394387	1340	1998-03-28	VYDAJ	VYBER	1140	22382	\N	\N	\N
394388	1340	1998-10-12	VYDAJ	VYBER	570	18507	\N	\N	\N
394389	1340	1998-10-31	VYDAJ	VYBER	1440	15919	\N	\N	\N
394390	1340	1998-03-27	VYDAJ	VYBER	1350	23522	\N	\N	\N
394406	1340	1998-03-31	VYDAJ	VYBER	15	22471	SLUZBY	\N	\N
394407	1340	1998-04-30	VYDAJ	VYBER	15	22588	SLUZBY	\N	\N
394408	1340	1998-05-31	VYDAJ	VYBER	15	23906	SLUZBY	\N	\N
394409	1340	1998-06-30	VYDAJ	VYBER	15	21313	SLUZBY	\N	\N
394410	1340	1998-07-31	VYDAJ	VYBER	15	20926	SLUZBY	\N	\N
394411	1340	1998-08-31	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
394412	1340	1998-09-30	VYDAJ	VYBER	15	16423	SLUZBY	\N	\N
394413	1340	1998-10-31	VYDAJ	VYBER	15	15904	SLUZBY	\N	\N
394414	1340	1998-11-30	VYDAJ	VYBER	15	20899	SLUZBY	\N	\N
394415	1340	1997-11-27	PRIJEM	VKLAD	10500	15444	\N	\N	\N
394416	1340	1997-12-27	PRIJEM	VKLAD	4700	24097	\N	\N	\N
394417	1340	1998-01-26	VYDAJ	VYBER	1600	26511	\N	\N	\N
394418	1340	1998-02-25	VYDAJ	VYBER	6600	23957	\N	\N	\N
394419	1340	1998-03-27	VYDAJ	VYBER	1200	24872	\N	\N	\N
394420	1340	1998-04-26	VYDAJ	VYBER	1500	22505	\N	\N	\N
394421	1340	1998-05-26	VYDAJ	VYBER	300	23822	\N	\N	\N
394422	1340	1998-06-25	VYDAJ	VYBER	2200	21230	\N	\N	\N
394423	1340	1998-07-25	VYDAJ	VYBER	2000	20847	\N	\N	\N
394424	1340	1998-08-24	VYDAJ	VYBER	5900	16560	\N	\N	\N
394425	1340	1998-09-23	VYDAJ	VYBER	1800	16365	\N	\N	\N
394426	1340	1998-10-23	VYDAJ	VYBER	100	17287	\N	\N	\N
394427	1340	1998-11-22	PRIJEM	VKLAD	3400	20838	\N	\N	\N
394428	1340	1998-12-22	PRIJEM	VKLAD	1800	24233	\N	\N	\N
394443	1341	1995-11-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
394455	1341	1995-12-11	PRIJEM	PREVOD Z UCTU	3147	4247	\N	WX	62861180
394456	1341	1996-01-11	PRIJEM	PREVOD Z UCTU	3147	7394	\N	WX	62861180
394457	1341	1996-02-11	PRIJEM	PREVOD Z UCTU	3147	10541	\N	WX	62861180
394458	1341	1996-03-11	PRIJEM	PREVOD Z UCTU	3147	13688	\N	WX	62861180
394459	1341	1996-04-11	PRIJEM	PREVOD Z UCTU	3147	16835	\N	WX	62861180
394460	1341	1996-05-11	PRIJEM	PREVOD Z UCTU	3147	16981	\N	WX	62861180
394461	1341	1996-06-11	PRIJEM	PREVOD Z UCTU	3147	17724	\N	WX	62861180
394462	1341	1996-07-11	PRIJEM	PREVOD Z UCTU	3147	18169	\N	WX	62861180
394463	1341	1996-08-11	PRIJEM	PREVOD Z UCTU	3147	18557	\N	WX	62861180
394464	1341	1996-09-11	PRIJEM	PREVOD Z UCTU	3147	18586	\N	WX	62861180
394465	1341	1996-10-11	PRIJEM	PREVOD Z UCTU	3147	18585	\N	WX	62861180
394466	1341	1996-11-11	PRIJEM	PREVOD Z UCTU	3147	19696	\N	WX	62861180
394467	1341	1996-12-11	PRIJEM	PREVOD Z UCTU	3147	19341	\N	WX	62861180
394468	1341	1997-01-11	PRIJEM	PREVOD Z UCTU	3147	19854	\N	WX	62861180
394469	1341	1997-02-11	PRIJEM	PREVOD Z UCTU	3147	17214	\N	WX	62861180
394470	1341	1997-03-11	PRIJEM	PREVOD Z UCTU	3147	18318	\N	WX	62861180
394471	1341	1997-04-11	PRIJEM	PREVOD Z UCTU	3147	18257	\N	WX	62861180
394472	1341	1997-05-11	PRIJEM	PREVOD Z UCTU	3147	17207	\N	WX	62861180
394473	1341	1997-06-11	PRIJEM	PREVOD Z UCTU	3147	18312	\N	WX	62861180
394474	1341	1997-07-11	PRIJEM	PREVOD Z UCTU	3147	17019	\N	WX	62861180
394475	1341	1997-08-11	PRIJEM	PREVOD Z UCTU	3147	18123	\N	WX	62861180
394476	1341	1997-09-11	PRIJEM	PREVOD Z UCTU	3147	18269	\N	WX	62861180
394477	1341	1997-10-11	PRIJEM	PREVOD Z UCTU	3147	19378	\N	WX	62861180
394478	1341	1997-11-11	PRIJEM	PREVOD Z UCTU	3147	20492	\N	WX	62861180
394479	1341	1997-12-11	PRIJEM	PREVOD Z UCTU	3147	21610	\N	WX	62861180
394480	1341	1998-01-11	PRIJEM	PREVOD Z UCTU	3147	18139	\N	WX	62861180
394481	1341	1998-02-11	PRIJEM	PREVOD Z UCTU	3147	16335	\N	WX	62861180
394482	1341	1998-03-11	PRIJEM	PREVOD Z UCTU	3147	17435	\N	WX	62861180
394483	1341	1998-04-11	PRIJEM	PREVOD Z UCTU	3147	18541	\N	WX	62861180
394484	1341	1998-05-11	PRIJEM	PREVOD Z UCTU	3147	19230	\N	WX	62861180
394485	1341	1998-06-11	PRIJEM	PREVOD Z UCTU	3147	18990	\N	WX	62861180
394486	1341	1998-07-11	PRIJEM	PREVOD Z UCTU	3147	16557	\N	WX	62861180
394487	1341	1998-08-11	PRIJEM	PREVOD Z UCTU	3147	17658	\N	WX	62861180
394488	1341	1998-09-11	PRIJEM	PREVOD Z UCTU	3147	18764	\N	WX	62861180
394489	1341	1998-10-11	PRIJEM	PREVOD Z UCTU	3147	19875	\N	WX	62861180
394490	1341	1998-11-11	PRIJEM	PREVOD Z UCTU	3147	20600	\N	WX	62861180
394491	1341	1998-12-11	PRIJEM	PREVOD Z UCTU	3147	17515	\N	WX	62861180
394508	1341	1996-05-08	VYDAJ	PREVOD NA UCET	2098	13834	\N	MN	57686775
394509	1341	1996-06-08	VYDAJ	PREVOD NA UCET	2098	14577	\N	MN	57686775
394510	1341	1996-07-08	VYDAJ	PREVOD NA UCET	2098	15022	\N	MN	57686775
394511	1341	1996-08-08	VYDAJ	PREVOD NA UCET	2098	15410	\N	MN	57686775
394512	1341	1996-09-08	VYDAJ	PREVOD NA UCET	2098	15439	\N	MN	57686775
394513	1341	1996-10-08	VYDAJ	PREVOD NA UCET	2098	15438	\N	MN	57686775
394514	1341	1996-11-08	VYDAJ	PREVOD NA UCET	2098	16549	\N	MN	57686775
394515	1341	1996-12-08	VYDAJ	PREVOD NA UCET	2098	16194	\N	MN	57686775
394516	1341	1997-01-08	VYDAJ	PREVOD NA UCET	2098	16707	\N	MN	57686775
394517	1341	1997-02-08	VYDAJ	PREVOD NA UCET	2098	14067	\N	MN	57686775
394518	1341	1997-03-08	VYDAJ	PREVOD NA UCET	2098	15171	\N	MN	57686775
394519	1341	1997-04-08	VYDAJ	PREVOD NA UCET	2098	16280	\N	MN	57686775
394520	1341	1997-05-08	VYDAJ	PREVOD NA UCET	2098	15260	\N	MN	57686775
394521	1341	1997-06-08	VYDAJ	PREVOD NA UCET	2098	15165	\N	MN	57686775
394522	1341	1997-07-08	VYDAJ	PREVOD NA UCET	2098	13872	\N	MN	57686775
394523	1341	1997-08-08	VYDAJ	PREVOD NA UCET	2098	14976	\N	MN	57686775
394524	1341	1997-09-08	VYDAJ	PREVOD NA UCET	2098	15122	\N	MN	57686775
394525	1341	1997-10-08	VYDAJ	PREVOD NA UCET	2098	16231	\N	MN	57686775
394526	1341	1997-11-08	VYDAJ	PREVOD NA UCET	2098	17345	\N	MN	57686775
394527	1341	1997-12-08	VYDAJ	PREVOD NA UCET	2098	18463	\N	MN	57686775
394528	1341	1998-01-08	VYDAJ	PREVOD NA UCET	2098	17212	\N	MN	57686775
394529	1341	1998-02-08	VYDAJ	PREVOD NA UCET	2098	13188	\N	MN	57686775
394530	1341	1998-03-08	VYDAJ	PREVOD NA UCET	2098	14288	\N	MN	57686775
394531	1341	1998-04-08	VYDAJ	PREVOD NA UCET	2098	15394	\N	MN	57686775
394532	1341	1998-05-08	VYDAJ	PREVOD NA UCET	2098	16083	\N	MN	57686775
394533	1341	1998-06-08	VYDAJ	PREVOD NA UCET	2098	15843	\N	MN	57686775
394534	1341	1998-07-08	VYDAJ	PREVOD NA UCET	2098	13410	\N	MN	57686775
394535	1341	1998-08-08	VYDAJ	PREVOD NA UCET	2098	14511	\N	MN	57686775
394536	1341	1998-09-08	VYDAJ	PREVOD NA UCET	2098	15617	\N	MN	57686775
394537	1341	1998-10-08	VYDAJ	PREVOD NA UCET	2098	16728	\N	MN	57686775
394538	1341	1998-11-08	VYDAJ	PREVOD NA UCET	2098	17453	\N	MN	57686775
394539	1341	1998-12-08	VYDAJ	PREVOD NA UCET	2098	14368	\N	MN	57686775
394542	1341	1997-06-24	VYDAJ	VYBER	2400	15912	\N	\N	\N
394543	1341	1998-06-22	VYDAJ	VYBER	3540	15450	\N	\N	\N
394546	1341	1997-01-24	VYDAJ	VYBER	900	16584	\N	\N	\N
394547	1341	1998-01-10	VYDAJ	VYBER	2220	14992	\N	\N	\N
394549	1341	1996-12-20	VYDAJ	VYBER	240	19101	\N	\N	\N
394550	1341	1997-12-20	VYDAJ	VYBER	810	19690	\N	\N	\N
394564	1341	1997-01-14	VYDAJ	VYBER	780	19074	\N	\N	\N
394565	1341	1997-01-20	VYDAJ	VYBER	660	17484	\N	\N	\N
394566	1341	1997-01-19	VYDAJ	VYBER	600	18144	\N	\N	\N
394567	1341	1997-01-02	VYDAJ	VYBER	360	18805	\N	\N	\N
394568	1341	1997-01-17	VYDAJ	VYBER	330	18744	\N	\N	\N
394569	1341	1997-01-30	VYDAJ	VYBER	480	16104	\N	\N	\N
394570	1341	1998-01-07	VYDAJ	VYBER	450	19310	\N	\N	\N
394571	1341	1998-01-13	VYDAJ	VYBER	180	16249	\N	\N	\N
394572	1341	1998-01-30	VYDAJ	VYBER	660	15229	\N	\N	\N
394573	1341	1998-01-13	VYDAJ	VYBER	840	16429	\N	\N	\N
394574	1341	1998-01-12	VYDAJ	VYBER	870	17269	\N	\N	\N
394575	1341	1998-01-28	VYDAJ	VYBER	360	15889	\N	\N	\N
394582	1341	1996-08-25	VYDAJ	VYBER	1080	17477	\N	\N	\N
394583	1341	1996-07-27	VYDAJ	VYBER	720	17449	\N	\N	\N
394584	1341	1996-06-14	VYDAJ	VYBER	660	17064	\N	\N	\N
394585	1341	1996-04-26	VYDAJ	VYBER	900	15935	\N	\N	\N
394586	1341	1996-09-21	VYDAJ	VYBER	1110	17476	\N	\N	\N
394587	1341	1996-05-18	VYDAJ	VYBER	360	16621	\N	\N	\N
394588	1341	1996-12-01	VYDAJ	VYBER	1470	18292	\N	\N	\N
394589	1341	1997-12-15	VYDAJ	VYBER	1110	20500	\N	\N	\N
394590	1341	1997-04-10	VYDAJ	VYBER	1170	15110	\N	\N	\N
394591	1341	1997-08-17	VYDAJ	VYBER	960	17163	\N	\N	\N
394592	1341	1997-05-10	VYDAJ	VYBER	1200	14060	\N	\N	\N
394593	1341	1997-04-24	VYDAJ	VYBER	960	17297	\N	\N	\N
394594	1341	1998-11-21	VYDAJ	VYBER	270	20330	\N	\N	\N
394595	1341	1998-11-05	VYDAJ	VYBER	390	19551	\N	\N	\N
394596	1341	1998-11-29	VYDAJ	VYBER	1410	16400	\N	\N	\N
394597	1341	1998-04-26	VYDAJ	VYBER	420	18121	\N	\N	\N
394598	1341	1998-11-22	VYDAJ	VYBER	1230	19100	\N	\N	\N
394599	1341	1998-05-13	VYDAJ	VYBER	1350	17880	\N	\N	\N
394600	1341	1998-11-26	VYDAJ	VYBER	1290	17810	\N	\N	\N
394617	1341	1996-04-30	VYDAJ	VYBER	15	15932	SLUZBY	\N	\N
394618	1341	1996-05-31	VYDAJ	VYBER	15	16675	SLUZBY	\N	\N
394619	1341	1996-06-30	VYDAJ	VYBER	15	17120	SLUZBY	\N	\N
394620	1341	1996-07-31	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
394621	1341	1996-08-31	VYDAJ	VYBER	15	17537	SLUZBY	\N	\N
394622	1341	1996-09-30	VYDAJ	VYBER	15	17536	SLUZBY	\N	\N
394623	1341	1996-10-31	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
394624	1341	1996-11-30	VYDAJ	VYBER	15	19762	SLUZBY	\N	\N
394625	1341	1996-12-31	VYDAJ	VYBER	15	19165	SLUZBY	\N	\N
394626	1341	1997-01-31	VYDAJ	VYBER	15	16165	SLUZBY	\N	\N
394627	1341	1997-02-28	VYDAJ	VYBER	15	17269	SLUZBY	\N	\N
394628	1341	1997-03-31	VYDAJ	VYBER	15	18378	SLUZBY	\N	\N
394629	1341	1997-04-30	VYDAJ	VYBER	15	17358	SLUZBY	\N	\N
394630	1341	1997-05-31	VYDAJ	VYBER	15	17263	SLUZBY	\N	\N
394631	1341	1997-06-30	VYDAJ	VYBER	15	15970	SLUZBY	\N	\N
394632	1341	1997-07-31	VYDAJ	VYBER	15	17074	SLUZBY	\N	\N
394633	1341	1997-08-31	VYDAJ	VYBER	15	17220	SLUZBY	\N	\N
394634	1341	1997-09-30	VYDAJ	VYBER	15	18329	SLUZBY	\N	\N
394635	1341	1997-10-31	VYDAJ	VYBER	15	19443	SLUZBY	\N	\N
394636	1341	1997-11-30	VYDAJ	VYBER	15	20561	SLUZBY	\N	\N
394637	1341	1997-12-31	VYDAJ	VYBER	15	19760	SLUZBY	\N	\N
394638	1341	1998-01-31	VYDAJ	VYBER	15	15286	SLUZBY	\N	\N
394639	1341	1998-02-28	VYDAJ	VYBER	15	16386	SLUZBY	\N	\N
394640	1341	1998-03-31	VYDAJ	VYBER	15	17492	SLUZBY	\N	\N
394641	1341	1998-04-30	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
394642	1341	1998-05-31	VYDAJ	VYBER	15	17941	SLUZBY	\N	\N
394643	1341	1998-06-30	VYDAJ	VYBER	15	15508	SLUZBY	\N	\N
394644	1341	1998-07-31	VYDAJ	VYBER	15	16609	SLUZBY	\N	\N
394645	1341	1998-08-31	VYDAJ	VYBER	15	17715	SLUZBY	\N	\N
394646	1341	1998-09-30	VYDAJ	VYBER	15	18826	SLUZBY	\N	\N
394647	1341	1998-10-31	VYDAJ	VYBER	15	19941	SLUZBY	\N	\N
394648	1341	1998-11-30	VYDAJ	VYBER	15	16466	SLUZBY	\N	\N
394682	1342	1997-10-09	PRIJEM	VKLAD	700	700	\N	\N	\N
394684	1342	1997-12-24	PRIJEM	VKLAD	30095	85201	\N	\N	\N
394687	1342	1997-12-04	PRIJEM	VKLAD	10827	87446	\N	\N	\N
394692	1342	1997-11-30	PRIJEM	VKLAD	13170	76510	\N	\N	\N
394695	1342	1997-10-21	PRIJEM	VKLAD	17573	18273	\N	\N	\N
394698	1342	1997-12-13	PRIJEM	VKLAD	15425	73771	\N	\N	\N
394699	1342	1997-11-26	PRIJEM	VKLAD	45640	63340	\N	\N	\N
394703	1342	1998-08-10	PRIJEM	VKLAD	47762	75323	\N	\N	\N
394704	1342	1998-02-14	PRIJEM	VKLAD	18914	42506	\N	\N	\N
394705	1342	1998-04-15	PRIJEM	VKLAD	10090	26621	\N	\N	\N
394706	1342	1998-01-16	PRIJEM	VKLAD	5438	40825	\N	\N	\N
394707	1342	1998-09-26	PRIJEM	VKLAD	28920	67211	\N	\N	\N
394708	1342	1998-07-06	PRIJEM	VKLAD	40982	60220	\N	\N	\N
394709	1342	1998-10-25	PRIJEM	VKLAD	43511	70325	\N	\N	\N
394710	1342	1998-11-29	PRIJEM	VKLAD	34507	69308	\N	\N	\N
394747	1342	1998-01-05	VYDAJ	PREVOD NA UCET	2517	82963	SIPO	EF	75854611
394748	1342	1998-02-05	VYDAJ	PREVOD NA UCET	2517	24103	SIPO	EF	75854611
394749	1342	1998-03-05	VYDAJ	PREVOD NA UCET	2517	36452	SIPO	EF	75854611
394750	1342	1998-04-05	VYDAJ	PREVOD NA UCET	2517	16507	SIPO	EF	75854611
394751	1342	1998-05-05	VYDAJ	PREVOD NA UCET	2517	21657	SIPO	EF	75854611
394752	1342	1998-06-05	VYDAJ	PREVOD NA UCET	2517	20350	SIPO	EF	75854611
394753	1342	1998-07-05	VYDAJ	PREVOD NA UCET	2517	19238	SIPO	EF	75854611
394754	1342	1998-08-05	VYDAJ	PREVOD NA UCET	2517	37472	SIPO	EF	75854611
394755	1342	1998-09-05	VYDAJ	PREVOD NA UCET	2517	46267	SIPO	EF	75854611
394756	1342	1998-10-05	VYDAJ	PREVOD NA UCET	2517	46087	SIPO	EF	75854611
394757	1342	1998-11-05	VYDAJ	PREVOD NA UCET	2517	41577	SIPO	EF	75854611
394758	1342	1998-12-05	VYDAJ	PREVOD NA UCET	2517	47060	SIPO	EF	75854611
394771	1342	1998-01-07	VYDAJ	PREVOD NA UCET	1011	69652	 	ST	45400208
394772	1342	1998-02-07	VYDAJ	PREVOD NA UCET	1011	23592	 	ST	45400208
394773	1342	1998-03-07	VYDAJ	PREVOD NA UCET	1011	35441	 	ST	45400208
394774	1342	1998-04-07	VYDAJ	PREVOD NA UCET	1011	20196	 	ST	45400208
394775	1342	1998-05-07	VYDAJ	PREVOD NA UCET	1011	26446	 	ST	45400208
394776	1342	1998-06-07	VYDAJ	PREVOD NA UCET	1011	25339	 	ST	45400208
394777	1342	1998-07-07	VYDAJ	PREVOD NA UCET	1011	43509	 	ST	45400208
394778	1342	1998-08-07	VYDAJ	PREVOD NA UCET	1011	27561	 	ST	45400208
394779	1342	1998-09-07	VYDAJ	PREVOD NA UCET	1011	45256	 	ST	45400208
394780	1342	1998-10-07	VYDAJ	PREVOD NA UCET	1011	30479	 	ST	45400208
394781	1342	1998-11-07	VYDAJ	PREVOD NA UCET	1011	40566	 	ST	45400208
394782	1342	1998-12-07	VYDAJ	PREVOD NA UCET	1011	46049	 	ST	45400208
394794	1342	1997-12-14	VYDAJ	PREVOD NA UCET	3665	60806	POJISTNE	YZ	30762762
394795	1342	1998-01-14	VYDAJ	PREVOD NA UCET	3665	35387	POJISTNE	YZ	30762762
394796	1342	1998-02-14	VYDAJ	PREVOD NA UCET	3665	38841	POJISTNE	YZ	30762762
394797	1342	1998-03-14	VYDAJ	PREVOD NA UCET	3665	29176	POJISTNE	YZ	30762762
394798	1342	1998-04-14	VYDAJ	PREVOD NA UCET	3665	16531	POJISTNE	YZ	30762762
394799	1342	1998-05-14	VYDAJ	PREVOD NA UCET	3665	22781	POJISTNE	YZ	30762762
394800	1342	1998-06-14	VYDAJ	PREVOD NA UCET	3665	21674	POJISTNE	YZ	30762762
394801	1342	1998-07-14	VYDAJ	PREVOD NA UCET	3665	39844	POJISTNE	YZ	30762762
394802	1342	1998-08-14	VYDAJ	PREVOD NA UCET	3665	71658	POJISTNE	YZ	30762762
394803	1342	1998-09-14	VYDAJ	PREVOD NA UCET	3665	41591	POJISTNE	YZ	30762762
394804	1342	1998-10-14	VYDAJ	PREVOD NA UCET	3665	26814	POJISTNE	YZ	30762762
394805	1342	1998-11-14	VYDAJ	PREVOD NA UCET	3665	36901	POJISTNE	YZ	30762762
394806	1342	1998-12-14	VYDAJ	PREVOD NA UCET	3665	36984	POJISTNE	YZ	30762762
394811	1342	1998-08-17	VYBER	VYBER	4507	67151	\N	\N	\N
394813	1342	1998-05-01	VYBER	VYBER	2530	24174	\N	\N	\N
394815	1342	1998-10-07	VYBER	VYBER	14597	31490	\N	\N	\N
394817	1342	1998-03-23	VYBER	VYBER	10259	18917	\N	\N	\N
394822	1342	1998-01-09	VYDAJ	VYBER	7800	39052	\N	\N	\N
394823	1342	1997-12-23	VYDAJ	VYBER	5700	55106	\N	\N	\N
394824	1342	1998-12-08	VYDAJ	VYBER	5400	40649	\N	\N	\N
394828	1342	1997-12-14	VYDAJ	VYBER	9300	64471	\N	\N	\N
394829	1342	1998-02-01	VYDAJ	VYBER	14400	26620	\N	\N	\N
394830	1342	1998-09-21	VYDAJ	VYBER	3300	38291	\N	\N	\N
394831	1342	1998-01-06	VYDAJ	VYBER	12300	70663	\N	\N	\N
394832	1342	1998-11-22	VYDAJ	VYBER	2100	34801	\N	\N	\N
394845	1342	1997-12-31	VYDAJ	VYBER	15	85480	SLUZBY	\N	\N
394846	1342	1998-01-31	VYDAJ	VYBER	15	41020	SLUZBY	\N	\N
394847	1342	1998-02-28	VYDAJ	VYBER	15	38969	SLUZBY	\N	\N
394848	1342	1998-03-31	VYDAJ	VYBER	15	19024	SLUZBY	\N	\N
394849	1342	1998-04-30	VYDAJ	VYBER	15	26704	SLUZBY	\N	\N
394850	1342	1998-05-31	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
394851	1342	1998-06-30	VYDAJ	VYBER	15	21755	SLUZBY	\N	\N
394852	1342	1998-07-31	VYDAJ	VYBER	15	39989	SLUZBY	\N	\N
394853	1342	1998-08-31	VYDAJ	VYBER	15	67384	SLUZBY	\N	\N
394854	1342	1998-09-30	VYDAJ	VYBER	15	67404	SLUZBY	\N	\N
394855	1342	1998-10-31	VYDAJ	VYBER	15	70494	SLUZBY	\N	\N
394856	1342	1998-11-30	VYDAJ	VYBER	15	69477	SLUZBY	\N	\N
394857	1342	1997-11-08	VYDAJ	VYBER	600	17700	\N	\N	\N
394858	1342	1997-12-08	VYDAJ	VYBER	29100	58346	\N	\N	\N
394859	1342	1998-01-07	VYDAJ	VYBER	22800	46852	\N	\N	\N
394860	1342	1998-02-06	PRIJEM	VKLAD	500	24603	\N	\N	\N
394861	1342	1998-03-08	VYDAJ	VYBER	2600	32841	\N	\N	\N
394862	1342	1998-04-07	PRIJEM	VKLAD	4700	21207	\N	\N	\N
394863	1342	1998-05-07	PRIJEM	VKLAD	5800	27457	\N	\N	\N
394864	1342	1998-06-06	PRIJEM	VKLAD	6000	26350	\N	\N	\N
394865	1342	1998-07-06	VYDAJ	VYBER	15700	44520	\N	\N	\N
394866	1342	1998-08-05	VYDAJ	VYBER	8900	28572	\N	\N	\N
394867	1342	1998-09-04	VYDAJ	VYBER	18600	48784	\N	\N	\N
394868	1342	1998-10-04	VYDAJ	VYBER	18800	48604	\N	\N	\N
394869	1342	1998-11-03	VYDAJ	VYBER	26400	44094	\N	\N	\N
394870	1342	1998-12-03	VYDAJ	VYBER	19900	49577	\N	\N	\N
395196	1344	1995-07-16	PRIJEM	VKLAD	200	200	\N	\N	\N
395198	1344	1995-12-18	PRIJEM	VKLAD	22062	77063	\N	\N	\N
395201	1344	1995-11-17	PRIJEM	VKLAD	43064	86934	\N	\N	\N
395202	1344	1995-11-19	PRIJEM	VKLAD	32176	119110	\N	\N	\N
395203	1344	1995-11-02	PRIJEM	VKLAD	44366	70670	\N	\N	\N
395207	1344	1995-12-05	PRIJEM	VKLAD	35588	98401	\N	\N	\N
395209	1344	1995-09-04	PRIJEM	VKLAD	25711	37811	\N	\N	\N
395211	1344	1996-12-20	PRIJEM	VKLAD	41527	115330	\N	\N	\N
395212	1344	1996-10-03	PRIJEM	VKLAD	30426	76181	\N	\N	\N
395213	1344	1996-01-18	PRIJEM	VKLAD	36084	57183	\N	\N	\N
395214	1344	1996-01-30	PRIJEM	VKLAD	24612	107659	\N	\N	\N
395215	1344	1996-07-20	PRIJEM	VKLAD	12344	45781	\N	\N	\N
395216	1344	1996-12-20	PRIJEM	VKLAD	23228	73803	\N	\N	\N
395217	1344	1996-09-15	PRIJEM	VKLAD	20385	39845	\N	\N	\N
395218	1344	1996-07-27	PRIJEM	VKLAD	10104	51830	\N	\N	\N
395219	1344	1996-11-25	PRIJEM	VKLAD	32811	94817	\N	\N	\N
395220	1344	1996-07-03	PRIJEM	VKLAD	36791	85960	\N	\N	\N
395221	1344	1996-11-23	PRIJEM	VKLAD	46701	62006	\N	\N	\N
395222	1344	1996-09-17	PRIJEM	VKLAD	15138	54983	\N	\N	\N
395223	1344	1996-04-06	PRIJEM	VKLAD	16817	55540	\N	\N	\N
395224	1344	1996-07-10	PRIJEM	VKLAD	16120	103337	\N	\N	\N
395225	1344	1996-02-09	PRIJEM	VKLAD	25054	96166	\N	\N	\N
395226	1344	1996-12-27	PRIJEM	VKLAD	39913	109307	\N	\N	\N
395227	1344	1996-01-05	PRIJEM	VKLAD	11144	69299	\N	\N	\N
395228	1344	1996-06-17	PRIJEM	VKLAD	22230	49068	\N	\N	\N
395229	1344	1996-03-27	PRIJEM	VKLAD	9608	38648	\N	\N	\N
395230	1344	1996-05-29	PRIJEM	VKLAD	31892	47446	\N	\N	\N
395231	1344	1996-03-05	PRIJEM	VKLAD	37960	89869	\N	\N	\N
395232	1344	1996-07-06	PRIJEM	VKLAD	29657	115617	\N	\N	\N
395233	1344	1996-01-22	PRIJEM	VKLAD	41164	89947	\N	\N	\N
395234	1344	1997-06-30	PRIJEM	VKLAD	49329	71942	\N	\N	\N
395235	1344	1997-10-02	PRIJEM	VKLAD	46042	75094	\N	\N	\N
395236	1344	1997-08-28	PRIJEM	VKLAD	11510	41267	\N	\N	\N
395237	1344	1997-07-11	PRIJEM	VKLAD	38627	84563	\N	\N	\N
395238	1344	1997-04-29	PRIJEM	VKLAD	16342	107510	\N	\N	\N
395239	1344	1997-02-03	PRIJEM	VKLAD	6200	62831	\N	\N	\N
395240	1344	1997-06-25	PRIJEM	VKLAD	31253	84413	\N	\N	\N
395241	1344	1997-12-08	PRIJEM	VKLAD	21239	85964	\N	\N	\N
395242	1344	1997-01-28	PRIJEM	VKLAD	39183	64668	\N	\N	\N
395243	1344	1997-03-26	PRIJEM	VKLAD	25838	90621	\N	\N	\N
395244	1344	1997-04-16	PRIJEM	VKLAD	19603	72502	\N	\N	\N
395245	1344	1997-03-26	PRIJEM	VKLAD	20846	111467	\N	\N	\N
395246	1344	1997-01-18	PRIJEM	VKLAD	30775	51885	\N	\N	\N
395247	1344	1997-11-30	PRIJEM	VKLAD	41258	106502	\N	\N	\N
395248	1344	1997-10-18	PRIJEM	VKLAD	33271	101033	\N	\N	\N
395249	1344	1997-11-17	PRIJEM	VKLAD	7853	64888	\N	\N	\N
395250	1344	1997-07-03	PRIJEM	VKLAD	39741	111736	\N	\N	\N
395251	1344	1997-06-22	PRIJEM	VKLAD	40089	53160	\N	\N	\N
395252	1344	1997-12-06	PRIJEM	VKLAD	5923	64725	\N	\N	\N
395253	1344	1997-03-10	PRIJEM	VKLAD	15241	64783	\N	\N	\N
395254	1344	1997-02-25	PRIJEM	VKLAD	47912	86243	\N	\N	\N
395255	1344	1997-04-21	PRIJEM	VKLAD	38790	111292	\N	\N	\N
395256	1344	1997-04-26	PRIJEM	VKLAD	40676	117568	\N	\N	\N
395257	1344	1997-10-12	PRIJEM	VKLAD	26068	67762	\N	\N	\N
395258	1344	1997-08-29	PRIJEM	VKLAD	37819	79086	\N	\N	\N
395259	1344	1998-07-02	PRIJEM	VKLAD	22615	47008	\N	\N	\N
395260	1344	1998-10-18	PRIJEM	VKLAD	40140	60213	\N	\N	\N
395261	1344	1998-03-24	PRIJEM	VKLAD	10318	39807	\N	\N	\N
395262	1344	1998-05-08	PRIJEM	VKLAD	11488	32482	\N	\N	\N
395263	1344	1998-06-21	PRIJEM	VKLAD	40660	56328	\N	\N	\N
395264	1344	1998-02-15	PRIJEM	VKLAD	43511	59084	\N	\N	\N
395266	1344	1995-12-28	VYBER	VYBER	19095	57968	\N	\N	\N
395269	1344	1996-11-01	VYBER	VYBER	13061	20205	\N	\N	\N
395270	1344	1996-07-22	VYBER	VYBER	4055	41726	\N	\N	\N
395271	1344	1996-03-16	VYBER	VYBER	23229	29040	\N	\N	\N
395272	1344	1996-02-25	VYBER	VYBER	5326	51740	\N	\N	\N
395273	1344	1996-12-25	VYBER	VYBER	4536	69394	\N	\N	\N
395276	1344	1997-06-28	VYDAJ	VYBER	61800	22613	\N	\N	\N
395279	1344	1996-01-07	VYDAJ	VYBER	5700	58499	\N	\N	\N
395280	1344	1997-01-22	VYDAJ	VYBER	21900	25485	\N	\N	\N
395281	1344	1998-01-07	VYDAJ	VYBER	15600	29726	\N	\N	\N
395282	1344	1995-12-09	VYDAJ	VYBER	8400	90001	\N	\N	\N
395283	1344	1996-12-27	VYDAJ	VYBER	5100	104207	\N	\N	\N
395284	1344	1997-12-27	VYDAJ	VYBER	6300	79664	\N	\N	\N
395292	1344	1996-01-19	VYDAJ	VYBER	8400	48783	\N	\N	\N
395293	1344	1996-01-15	VYDAJ	VYBER	6000	26799	\N	\N	\N
395294	1344	1996-01-10	VYDAJ	VYBER	6000	52499	\N	\N	\N
395295	1344	1996-01-05	VYDAJ	VYBER	5100	64199	\N	\N	\N
395296	1344	1996-01-16	VYDAJ	VYBER	5700	21099	\N	\N	\N
395297	1344	1996-01-29	VYDAJ	VYBER	6900	83047	\N	\N	\N
395298	1344	1997-01-28	VYDAJ	VYBER	8100	56568	\N	\N	\N
395299	1344	1997-01-07	VYDAJ	VYBER	8700	26210	\N	\N	\N
395300	1344	1997-01-19	VYDAJ	VYBER	4500	47385	\N	\N	\N
395302	1344	1997-01-13	VYDAJ	VYBER	5100	21110	\N	\N	\N
395303	1344	1997-01-04	VYDAJ	VYBER	2700	59810	\N	\N	\N
395305	1344	1998-01-09	VYDAJ	VYBER	5400	24326	\N	\N	\N
395316	1344	1996-02-02	VYDAJ	VYBER	6000	71112	\N	\N	\N
395317	1344	1996-09-23	VYDAJ	VYBER	9300	45683	\N	\N	\N
395318	1344	1996-04-14	VYDAJ	VYBER	14700	19240	\N	\N	\N
395319	1344	1996-10-28	VYDAJ	VYBER	12900	33181	\N	\N	\N
395320	1344	1997-08-03	VYDAJ	VYBER	2100	71857	\N	\N	\N
395321	1344	1997-09-17	VYDAJ	VYBER	7500	28961	\N	\N	\N
395322	1344	1997-09-10	VYDAJ	VYBER	4500	36461	\N	\N	\N
395323	1344	1997-08-15	VYDAJ	VYBER	8100	29757	\N	\N	\N
395324	1344	1997-07-16	VYDAJ	VYBER	10800	73763	\N	\N	\N
395327	1344	1998-12-17	VYDAJ	VYBER	1800	25511	\N	\N	\N
395340	1344	1995-12-31	VYDAJ	VYBER	100	58155	SLUZBY	\N	\N
395341	1344	1996-01-31	VYDAJ	VYBER	100	77112	SLUZBY	\N	\N
395342	1344	1996-02-29	VYDAJ	VYBER	100	51909	SLUZBY	\N	\N
395343	1344	1996-03-31	VYDAJ	VYBER	100	38723	SLUZBY	\N	\N
395344	1344	1996-04-30	VYDAJ	VYBER	100	19254	SLUZBY	\N	\N
395345	1344	1996-05-31	VYDAJ	VYBER	100	47438	SLUZBY	\N	\N
395346	1344	1996-06-30	VYDAJ	VYBER	100	49169	SLUZBY	\N	\N
395347	1344	1996-07-31	VYDAJ	VYBER	100	51946	SLUZBY	\N	\N
395348	1344	1996-08-31	VYDAJ	VYBER	100	32660	SLUZBY	\N	\N
395349	1344	1996-09-30	VYDAJ	VYBER	100	45755	SLUZBY	\N	\N
395350	1344	1996-10-31	VYDAJ	VYBER	100	33266	SLUZBY	\N	\N
395351	1344	1996-11-30	VYDAJ	VYBER	100	94875	SLUZBY	\N	\N
395352	1344	1996-12-31	VYDAJ	VYBER	100	62510	SLUZBY	\N	\N
395353	1344	1997-01-31	VYDAJ	VYBER	100	56631	SLUZBY	\N	\N
395354	1344	1997-02-28	VYDAJ	VYBER	100	86342	SLUZBY	\N	\N
395355	1344	1997-03-31	VYDAJ	VYBER	100	111699	SLUZBY	\N	\N
395356	1344	1997-04-30	VYDAJ	VYBER	100	47974	SLUZBY	\N	\N
395357	1344	1997-05-31	VYDAJ	VYBER	100	27471	SLUZBY	\N	\N
395358	1344	1997-06-30	VYDAJ	VYBER	100	71995	SLUZBY	\N	\N
395359	1344	1997-07-31	VYDAJ	VYBER	100	73957	SLUZBY	\N	\N
395360	1344	1997-08-31	VYDAJ	VYBER	100	79161	SLUZBY	\N	\N
395361	1344	1997-09-30	VYDAJ	VYBER	100	29052	SLUZBY	\N	\N
395362	1344	1997-10-31	VYDAJ	VYBER	100	101235	SLUZBY	\N	\N
395363	1344	1997-11-30	VYDAJ	VYBER	100	106402	SLUZBY	\N	\N
395364	1344	1997-12-31	VYDAJ	VYBER	100	79926	SLUZBY	\N	\N
395365	1344	1998-01-31	VYDAJ	VYBER	100	24373	SLUZBY	\N	\N
395366	1344	1998-02-28	VYDAJ	VYBER	100	59089	SLUZBY	\N	\N
395367	1344	1998-03-31	VYDAJ	VYBER	100	39932	SLUZBY	\N	\N
395368	1344	1998-04-30	VYDAJ	VYBER	100	20994	SLUZBY	\N	\N
395369	1344	1998-05-31	VYDAJ	VYBER	100	32468	SLUZBY	\N	\N
395370	1344	1998-06-30	VYDAJ	VYBER	100	56293	SLUZBY	\N	\N
395371	1344	1998-07-31	VYDAJ	VYBER	100	20106	SLUZBY	\N	\N
395372	1344	1998-08-31	VYDAJ	VYBER	100	20006	SLUZBY	\N	\N
395373	1344	1998-09-30	VYDAJ	VYBER	100	20073	SLUZBY	\N	\N
395374	1344	1998-10-31	VYDAJ	VYBER	100	27299	SLUZBY	\N	\N
395375	1344	1998-11-30	VYDAJ	VYBER	100	27311	SLUZBY	\N	\N
395376	1344	1995-08-15	PRIJEM	VKLAD	11900	12100	\N	\N	\N
395377	1344	1995-09-14	VYDAJ	VYBER	8200	29611	\N	\N	\N
395378	1344	1995-10-14	VYDAJ	VYBER	3500	26181	\N	\N	\N
395379	1344	1995-11-13	VYDAJ	VYBER	26800	43870	\N	\N	\N
395380	1344	1995-11-19	VYDAJ	VYBER	56500	62610	\N	\N	\N
395381	1344	1995-12-13	VYDAJ	VYBER	35000	55001	\N	\N	\N
395382	1344	1996-01-12	VYDAJ	VYBER	19700	32799	\N	\N	\N
395383	1344	1996-01-30	VYDAJ	VYBER	30700	76959	\N	\N	\N
395384	1344	1996-02-11	VYDAJ	VYBER	39100	57066	\N	\N	\N
395385	1344	1996-03-12	VYDAJ	VYBER	37600	52269	\N	\N	\N
395386	1344	1996-04-11	VYDAJ	VYBER	21600	33940	\N	\N	\N
395387	1344	1996-05-11	VYDAJ	VYBER	3700	15554	\N	\N	\N
395388	1344	1996-06-10	VYDAJ	VYBER	20600	26838	\N	\N	\N
395389	1344	1996-07-06	VYDAJ	VYBER	28400	87217	\N	\N	\N
395390	1344	1996-07-10	VYDAJ	VYBER	46600	33437	\N	\N	\N
395391	1344	1996-07-10	VYDAJ	VYBER	23300	80037	\N	\N	\N
395392	1344	1996-08-09	VYDAJ	VYBER	19400	32546	\N	\N	\N
395393	1344	1996-09-08	VYDAJ	VYBER	13200	19460	\N	\N	\N
395394	1344	1996-10-08	VYDAJ	VYBER	30100	46081	\N	\N	\N
395395	1344	1996-11-07	VYDAJ	VYBER	4900	15305	\N	\N	\N
395396	1344	1996-12-07	VYDAJ	VYBER	44300	50575	\N	\N	\N
395397	1344	1996-12-20	VYDAJ	VYBER	41400	73930	\N	\N	\N
395398	1344	1996-12-27	VYDAJ	VYBER	42000	62207	\N	\N	\N
395399	1344	1997-01-06	VYDAJ	VYBER	24900	34910	\N	\N	\N
395400	1344	1997-02-05	VYDAJ	VYBER	24500	38331	\N	\N	\N
395401	1344	1997-03-07	VYDAJ	VYBER	36800	49542	\N	\N	\N
395402	1344	1997-03-31	VYDAJ	VYBER	15300	96399	\N	\N	\N
395403	1344	1997-04-06	VYDAJ	VYBER	43500	52899	\N	\N	\N
395404	1344	1997-04-21	VYDAJ	VYBER	34400	76892	\N	\N	\N
395405	1344	1997-04-26	VYDAJ	VYBER	26400	91168	\N	\N	\N
395406	1344	1997-04-29	VYDAJ	VYBER	59800	47710	\N	\N	\N
395407	1344	1997-05-06	VYDAJ	VYBER	20600	27374	\N	\N	\N
395408	1344	1997-06-05	VYDAJ	VYBER	14400	13071	\N	\N	\N
395409	1344	1997-07-03	VYDAJ	VYBER	27400	84336	\N	\N	\N
395410	1344	1997-07-05	VYDAJ	VYBER	38400	45936	\N	\N	\N
395411	1344	1997-08-04	VYDAJ	VYBER	34000	37857	\N	\N	\N
395412	1344	1997-09-03	VYDAJ	VYBER	38200	40961	\N	\N	\N
395413	1344	1997-10-03	VYDAJ	VYBER	33400	41694	\N	\N	\N
395414	1344	1997-11-02	VYDAJ	VYBER	44200	57035	\N	\N	\N
395415	1344	1997-12-02	VYDAJ	VYBER	47600	58802	\N	\N	\N
395416	1344	1998-01-01	VYDAJ	VYBER	34600	45326	\N	\N	\N
395417	1344	1998-01-31	VYDAJ	VYBER	8800	15573	\N	\N	\N
395418	1344	1998-03-02	VYDAJ	VYBER	29600	29489	\N	\N	\N
395419	1344	1998-04-01	VYDAJ	VYBER	19000	20932	\N	\N	\N
395420	1344	1998-05-31	VYDAJ	VYBER	16800	15668	\N	\N	\N
395421	1344	1998-06-30	VYDAJ	VYBER	31900	24393	\N	\N	\N
395422	1344	1998-07-30	VYDAJ	VYBER	26900	20108	\N	\N	\N
395423	1344	1998-10-28	VYDAJ	VYBER	32900	27313	\N	\N	\N
395463	1345	1993-10-19	PRIJEM	VKLAD	200	200	\N	\N	\N
395474	1345	1993-11-14	PRIJEM	VKLAD	22824	23024	\N	\N	\N
395475	1345	1993-12-14	PRIJEM	VKLAD	34236	58203	\N	\N	\N
395476	1345	1994-01-14	PRIJEM	VKLAD	22824	65462	\N	\N	\N
395477	1345	1994-02-14	PRIJEM	VKLAD	22824	66665	\N	\N	\N
395478	1345	1994-03-14	PRIJEM	VKLAD	22824	70479	\N	\N	\N
395479	1345	1994-04-14	PRIJEM	VKLAD	22824	63720	\N	\N	\N
395480	1345	1994-05-14	PRIJEM	VKLAD	22824	65387	\N	\N	\N
395481	1345	1994-06-14	PRIJEM	VKLAD	34236	75766	\N	\N	\N
395482	1345	1994-07-14	PRIJEM	VKLAD	22824	49720	\N	\N	\N
395483	1345	1994-08-14	PRIJEM	VKLAD	22824	54732	\N	\N	\N
395484	1345	1994-09-14	PRIJEM	VKLAD	22824	57658	\N	\N	\N
395485	1345	1994-10-14	PRIJEM	VKLAD	22824	50792	\N	\N	\N
395486	1345	1994-11-14	PRIJEM	VKLAD	22824	54642	\N	\N	\N
395487	1345	1994-12-14	PRIJEM	VKLAD	34236	70032	\N	\N	\N
395488	1345	1995-01-14	PRIJEM	VKLAD	22824	69395	\N	\N	\N
395489	1345	1995-02-14	PRIJEM	VKLAD	22824	54375	\N	\N	\N
395490	1345	1995-03-14	PRIJEM	VKLAD	22824	63943	\N	\N	\N
395491	1345	1995-04-14	PRIJEM	VKLAD	22824	67959	\N	\N	\N
395492	1345	1995-05-14	PRIJEM	VKLAD	22824	65497	\N	\N	\N
395493	1345	1995-06-14	PRIJEM	VKLAD	34236	71847	\N	\N	\N
395494	1345	1995-07-14	PRIJEM	VKLAD	22824	71046	\N	\N	\N
395495	1345	1995-08-14	PRIJEM	VKLAD	22824	67599	\N	\N	\N
395496	1345	1995-09-14	PRIJEM	VKLAD	22824	65140	\N	\N	\N
395497	1345	1995-10-14	PRIJEM	VKLAD	22824	64465	\N	\N	\N
395498	1345	1995-11-14	PRIJEM	VKLAD	22824	65491	\N	\N	\N
395499	1345	1995-12-14	PRIJEM	VKLAD	34236	79330	\N	\N	\N
395500	1345	1996-01-14	PRIJEM	VKLAD	22824	69687	\N	\N	\N
395501	1345	1996-02-14	PRIJEM	VKLAD	22824	61477	\N	\N	\N
395502	1345	1996-03-14	PRIJEM	VKLAD	22824	68672	\N	\N	\N
395503	1345	1996-04-14	PRIJEM	VKLAD	22824	72800	\N	\N	\N
395504	1345	1996-05-14	PRIJEM	VKLAD	22824	73147	\N	\N	\N
395505	1345	1996-06-14	PRIJEM	VKLAD	34236	63959	\N	\N	\N
395506	1345	1996-07-14	PRIJEM	VKLAD	22824	67495	\N	\N	\N
395507	1345	1996-08-14	PRIJEM	VKLAD	22824	70527	\N	\N	\N
395508	1345	1996-09-14	PRIJEM	VKLAD	22824	74066	\N	\N	\N
395509	1345	1996-10-14	PRIJEM	VKLAD	22824	77625	\N	\N	\N
395510	1345	1996-11-14	PRIJEM	VKLAD	22824	79699	\N	\N	\N
395511	1345	1996-12-14	PRIJEM	VKLAD	34236	87095	\N	\N	\N
395512	1345	1997-01-14	PRIJEM	VKLAD	22824	77797	\N	\N	\N
395513	1345	1997-02-14	PRIJEM	VKLAD	22824	72930	\N	\N	\N
395514	1345	1997-03-14	PRIJEM	VKLAD	22824	73454	\N	\N	\N
395515	1345	1997-04-14	PRIJEM	VKLAD	22824	77408	\N	\N	\N
395516	1345	1997-05-14	PRIJEM	VKLAD	22824	74976	\N	\N	\N
395517	1345	1997-06-14	PRIJEM	VKLAD	34236	86452	\N	\N	\N
395518	1345	1997-07-14	PRIJEM	VKLAD	22824	66351	\N	\N	\N
395519	1345	1997-08-14	PRIJEM	VKLAD	22824	67154	\N	\N	\N
395520	1345	1997-09-14	PRIJEM	VKLAD	22824	68064	\N	\N	\N
395521	1345	1997-10-14	PRIJEM	VKLAD	22824	70375	\N	\N	\N
395522	1345	1997-11-14	PRIJEM	VKLAD	22824	65084	\N	\N	\N
395523	1345	1997-12-14	PRIJEM	VKLAD	34236	75485	\N	\N	\N
395524	1345	1998-01-14	PRIJEM	VKLAD	22824	55193	\N	\N	\N
395525	1345	1998-02-14	PRIJEM	VKLAD	22824	51463	\N	\N	\N
395526	1345	1998-03-14	PRIJEM	VKLAD	22824	46192	\N	\N	\N
395527	1345	1998-04-14	PRIJEM	VKLAD	22824	46711	\N	\N	\N
395528	1345	1998-05-14	PRIJEM	VKLAD	22824	50528	\N	\N	\N
395529	1345	1998-06-14	PRIJEM	VKLAD	34236	66367	\N	\N	\N
395530	1345	1998-07-14	PRIJEM	VKLAD	22824	47470	\N	\N	\N
395531	1345	1998-08-14	PRIJEM	VKLAD	22824	45676	\N	\N	\N
395532	1345	1998-09-14	PRIJEM	VKLAD	22824	48674	\N	\N	\N
395533	1345	1998-10-14	PRIJEM	VKLAD	22824	44178	\N	\N	\N
395534	1345	1998-11-14	PRIJEM	VKLAD	22824	45668	\N	\N	\N
395535	1345	1998-12-14	PRIJEM	VKLAD	34236	53768	\N	\N	\N
395551	1345	1994-04-13	VYDAJ	PREVOD NA UCET	3294	40896	SIPO	ST	37129354
395552	1345	1994-05-13	VYDAJ	PREVOD NA UCET	3294	42563	SIPO	ST	37129354
395553	1345	1994-06-13	VYDAJ	PREVOD NA UCET	3294	41530	SIPO	ST	37129354
395554	1345	1994-07-13	VYDAJ	PREVOD NA UCET	3294	26896	SIPO	ST	37129354
395555	1345	1994-08-13	VYDAJ	PREVOD NA UCET	3294	31908	SIPO	ST	37129354
395556	1345	1994-09-13	VYDAJ	PREVOD NA UCET	3294	34834	SIPO	ST	37129354
395557	1345	1994-10-13	VYDAJ	PREVOD NA UCET	3294	27968	SIPO	ST	37129354
395558	1345	1994-11-13	VYDAJ	PREVOD NA UCET	3294	33818	SIPO	ST	37129354
395559	1345	1994-12-13	VYDAJ	PREVOD NA UCET	3294	35796	SIPO	ST	37129354
395560	1345	1995-01-13	VYDAJ	PREVOD NA UCET	3294	46571	SIPO	ST	37129354
395561	1345	1995-02-13	VYDAJ	PREVOD NA UCET	3294	31551	SIPO	ST	37129354
395562	1345	1995-03-13	VYDAJ	PREVOD NA UCET	3294	41119	SIPO	ST	37129354
395563	1345	1995-04-13	VYDAJ	PREVOD NA UCET	3294	45135	SIPO	ST	37129354
395564	1345	1995-05-13	VYDAJ	PREVOD NA UCET	3294	42673	SIPO	ST	37129354
395565	1345	1995-06-13	VYDAJ	PREVOD NA UCET	3294	37611	SIPO	ST	37129354
395566	1345	1995-07-13	VYDAJ	PREVOD NA UCET	3294	48222	SIPO	ST	37129354
395567	1345	1995-08-13	VYDAJ	PREVOD NA UCET	3294	44775	SIPO	ST	37129354
395568	1345	1995-09-13	VYDAJ	PREVOD NA UCET	3294	42316	SIPO	ST	37129354
395569	1345	1995-10-13	VYDAJ	PREVOD NA UCET	3294	41641	SIPO	ST	37129354
395570	1345	1995-11-13	VYDAJ	PREVOD NA UCET	3294	42667	SIPO	ST	37129354
395571	1345	1995-12-13	VYDAJ	PREVOD NA UCET	3294	45094	SIPO	ST	37129354
395572	1345	1996-01-13	VYDAJ	PREVOD NA UCET	3294	46863	SIPO	ST	37129354
395573	1345	1996-02-13	VYDAJ	PREVOD NA UCET	3294	38653	SIPO	ST	37129354
395574	1345	1996-03-13	VYDAJ	PREVOD NA UCET	3294	45848	SIPO	ST	37129354
395575	1345	1996-04-13	VYDAJ	PREVOD NA UCET	3294	49976	SIPO	ST	37129354
395576	1345	1996-05-13	VYDAJ	PREVOD NA UCET	3294	50323	SIPO	ST	37129354
395577	1345	1996-06-13	VYDAJ	PREVOD NA UCET	3294	52283	SIPO	ST	37129354
395578	1345	1996-07-13	VYDAJ	PREVOD NA UCET	3294	44671	SIPO	ST	37129354
395579	1345	1996-08-13	VYDAJ	PREVOD NA UCET	3294	47703	SIPO	ST	37129354
395580	1345	1996-09-13	VYDAJ	PREVOD NA UCET	3294	51242	SIPO	ST	37129354
395581	1345	1996-10-13	VYDAJ	PREVOD NA UCET	3294	54801	SIPO	ST	37129354
395582	1345	1996-11-13	VYDAJ	PREVOD NA UCET	3294	56875	SIPO	ST	37129354
395583	1345	1996-12-13	VYDAJ	PREVOD NA UCET	3294	52859	SIPO	ST	37129354
395584	1345	1997-01-13	VYDAJ	PREVOD NA UCET	3294	54973	SIPO	ST	37129354
395585	1345	1997-02-13	VYDAJ	PREVOD NA UCET	3294	50106	SIPO	ST	37129354
395586	1345	1997-03-13	VYDAJ	PREVOD NA UCET	3294	50630	SIPO	ST	37129354
395587	1345	1997-04-13	VYDAJ	PREVOD NA UCET	3294	54584	SIPO	ST	37129354
395588	1345	1997-05-13	VYDAJ	PREVOD NA UCET	3294	52152	SIPO	ST	37129354
395589	1345	1997-06-13	VYDAJ	PREVOD NA UCET	3294	52216	SIPO	ST	37129354
395590	1345	1997-07-13	VYDAJ	PREVOD NA UCET	3294	43527	SIPO	ST	37129354
395591	1345	1997-08-13	VYDAJ	PREVOD NA UCET	3294	47230	SIPO	ST	37129354
395592	1345	1997-09-13	VYDAJ	PREVOD NA UCET	3294	45240	SIPO	ST	37129354
395593	1345	1997-10-13	VYDAJ	PREVOD NA UCET	3294	47551	SIPO	ST	37129354
395594	1345	1997-11-13	VYDAJ	PREVOD NA UCET	3294	42260	SIPO	ST	37129354
395595	1345	1997-12-13	VYDAJ	PREVOD NA UCET	3294	41249	SIPO	ST	37129354
395596	1345	1998-01-13	VYDAJ	PREVOD NA UCET	3294	32369	SIPO	ST	37129354
395597	1345	1998-02-13	VYDAJ	PREVOD NA UCET	3294	28639	SIPO	ST	37129354
395598	1345	1998-03-13	VYDAJ	PREVOD NA UCET	3294	23368	SIPO	ST	37129354
395599	1345	1998-04-13	VYDAJ	PREVOD NA UCET	3294	23887	SIPO	ST	37129354
395600	1345	1998-05-13	VYDAJ	PREVOD NA UCET	3294	27704	SIPO	ST	37129354
395601	1345	1998-06-13	VYDAJ	PREVOD NA UCET	3294	32131	SIPO	ST	37129354
395602	1345	1998-07-13	VYDAJ	PREVOD NA UCET	3294	24646	SIPO	ST	37129354
395603	1345	1998-08-13	VYDAJ	PREVOD NA UCET	3294	22852	SIPO	ST	37129354
395604	1345	1998-09-13	VYDAJ	PREVOD NA UCET	3294	25850	SIPO	ST	37129354
395605	1345	1998-10-13	VYDAJ	PREVOD NA UCET	3294	21354	SIPO	ST	37129354
395606	1345	1998-11-13	VYDAJ	PREVOD NA UCET	3294	22844	SIPO	ST	37129354
395607	1345	1998-12-13	VYDAJ	PREVOD NA UCET	3294	19532	SIPO	ST	37129354
395623	1345	1994-04-10	VYDAJ	PREVOD NA UCET	848	44910	 	AB	89492493
395624	1345	1994-05-10	VYDAJ	PREVOD NA UCET	848	45857	 	AB	89492493
395625	1345	1994-06-10	VYDAJ	PREVOD NA UCET	848	44824	 	AB	89492493
395626	1345	1994-07-10	VYDAJ	PREVOD NA UCET	848	30190	 	AB	89492493
395627	1345	1994-08-10	VYDAJ	PREVOD NA UCET	848	35202	 	AB	89492493
395628	1345	1994-09-10	VYDAJ	PREVOD NA UCET	848	38128	 	AB	89492493
395629	1345	1994-10-10	VYDAJ	PREVOD NA UCET	848	31262	 	AB	89492493
395630	1345	1994-11-10	VYDAJ	PREVOD NA UCET	848	37112	 	AB	89492493
395631	1345	1994-12-10	VYDAJ	PREVOD NA UCET	848	45690	 	AB	89492493
395632	1345	1995-01-10	VYDAJ	PREVOD NA UCET	848	64465	 	AB	89492493
395633	1345	1995-02-10	VYDAJ	PREVOD NA UCET	848	42345	 	AB	89492493
395634	1345	1995-03-10	VYDAJ	PREVOD NA UCET	848	53713	 	AB	89492493
395635	1345	1995-04-10	VYDAJ	PREVOD NA UCET	848	63329	 	AB	89492493
395636	1345	1995-05-10	VYDAJ	PREVOD NA UCET	848	67367	 	AB	89492493
395637	1345	1995-06-10	VYDAJ	PREVOD NA UCET	848	52505	 	AB	89492493
395638	1345	1995-07-10	VYDAJ	PREVOD NA UCET	848	69216	 	AB	89492493
395639	1345	1995-08-10	VYDAJ	PREVOD NA UCET	848	48069	 	AB	89492493
395640	1345	1995-09-10	VYDAJ	PREVOD NA UCET	848	45610	 	AB	89492493
395641	1345	1995-10-10	VYDAJ	PREVOD NA UCET	848	44935	 	AB	89492493
395642	1345	1995-11-10	VYDAJ	PREVOD NA UCET	848	45961	 	AB	89492493
395643	1345	1995-12-10	VYDAJ	PREVOD NA UCET	848	48388	 	AB	89492493
395644	1345	1996-01-10	VYDAJ	PREVOD NA UCET	848	50157	 	AB	89492493
395645	1345	1996-02-10	VYDAJ	PREVOD NA UCET	848	41947	 	AB	89492493
395646	1345	1996-03-10	VYDAJ	PREVOD NA UCET	848	49142	 	AB	89492493
395647	1345	1996-04-10	VYDAJ	PREVOD NA UCET	848	53270	 	AB	89492493
395648	1345	1996-05-10	VYDAJ	PREVOD NA UCET	848	53617	 	AB	89492493
395649	1345	1996-06-10	VYDAJ	PREVOD NA UCET	848	55577	 	AB	89492493
395650	1345	1996-07-10	VYDAJ	PREVOD NA UCET	848	47965	 	AB	89492493
395651	1345	1996-08-10	VYDAJ	PREVOD NA UCET	848	50997	 	AB	89492493
395652	1345	1996-09-10	VYDAJ	PREVOD NA UCET	848	54536	 	AB	89492493
395653	1345	1996-10-10	VYDAJ	PREVOD NA UCET	848	58095	 	AB	89492493
395654	1345	1996-11-10	VYDAJ	PREVOD NA UCET	848	60169	 	AB	89492493
395655	1345	1996-12-10	VYDAJ	PREVOD NA UCET	848	56153	 	AB	89492493
395656	1345	1997-01-10	VYDAJ	PREVOD NA UCET	848	60467	 	AB	89492493
395657	1345	1997-02-10	VYDAJ	PREVOD NA UCET	848	53400	 	AB	89492493
395658	1345	1997-03-10	VYDAJ	PREVOD NA UCET	848	53924	 	AB	89492493
395659	1345	1997-04-10	VYDAJ	PREVOD NA UCET	848	57878	 	AB	89492493
395660	1345	1997-05-10	VYDAJ	PREVOD NA UCET	848	55446	 	AB	89492493
395661	1345	1997-06-10	VYDAJ	PREVOD NA UCET	848	55510	 	AB	89492493
395662	1345	1997-07-10	VYDAJ	PREVOD NA UCET	848	46821	 	AB	89492493
395663	1345	1997-08-10	VYDAJ	PREVOD NA UCET	848	50524	 	AB	89492493
395664	1345	1997-09-10	VYDAJ	PREVOD NA UCET	848	48534	 	AB	89492493
395665	1345	1997-10-10	VYDAJ	PREVOD NA UCET	848	50845	 	AB	89492493
395666	1345	1997-11-10	VYDAJ	PREVOD NA UCET	848	45554	 	AB	89492493
395667	1345	1997-12-10	VYDAJ	PREVOD NA UCET	848	44543	 	AB	89492493
395668	1345	1998-01-10	VYDAJ	PREVOD NA UCET	848	51963	 	AB	89492493
395669	1345	1998-02-10	VYDAJ	PREVOD NA UCET	848	31933	 	AB	89492493
395670	1345	1998-03-10	VYDAJ	PREVOD NA UCET	848	26662	 	AB	89492493
395671	1345	1998-04-10	VYDAJ	PREVOD NA UCET	848	27181	 	AB	89492493
395672	1345	1998-05-10	VYDAJ	PREVOD NA UCET	848	30998	 	AB	89492493
395673	1345	1998-06-10	VYDAJ	PREVOD NA UCET	848	35425	 	AB	89492493
395674	1345	1998-07-10	VYDAJ	PREVOD NA UCET	848	27940	 	AB	89492493
395675	1345	1998-08-10	VYDAJ	PREVOD NA UCET	848	26146	 	AB	89492493
395676	1345	1998-09-10	VYDAJ	PREVOD NA UCET	848	29144	 	AB	89492493
395677	1345	1998-10-10	VYDAJ	PREVOD NA UCET	848	24648	 	AB	89492493
395678	1345	1998-11-10	VYDAJ	PREVOD NA UCET	848	26138	 	AB	89492493
395679	1345	1998-12-10	VYDAJ	PREVOD NA UCET	848	22826	 	AB	89492493
395681	1345	1994-06-14	VYDAJ	VYBER	36480	39286	\N	\N	\N
395682	1345	1995-06-08	VYDAJ	VYBER	10240	53353	\N	\N	\N
395683	1345	1996-06-13	VYDAJ	VYBER	22560	29723	\N	\N	\N
395684	1345	1997-06-25	VYDAJ	VYBER	23680	62772	\N	\N	\N
395685	1345	1998-06-22	VYDAJ	VYBER	20640	45727	\N	\N	\N
395688	1345	1995-01-24	VYDAJ	VYBER	9760	52915	\N	\N	\N
395689	1345	1996-01-30	VYDAJ	VYBER	15840	48447	\N	\N	\N
395690	1345	1997-01-19	VYDAJ	VYBER	10400	66597	\N	\N	\N
395691	1345	1998-01-12	VYDAJ	VYBER	14400	37563	\N	\N	\N
395693	1345	1994-12-29	VYDAJ	VYBER	2560	67472	\N	\N	\N
395694	1345	1995-12-22	VYDAJ	VYBER KARTOU	4300	75030	\N	\N	0
395695	1345	1996-12-10	VYDAJ	VYBER KARTOU	2400	57001	\N	\N	0
395696	1345	1997-12-22	VYDAJ	VYBER KARTOU	1600	73885	\N	\N	0
395710	1345	1995-01-26	VYDAJ	VYBER	3360	45715	\N	\N	\N
395711	1345	1995-01-18	VYDAJ	VYBER	3480	65915	\N	\N	\N
395712	1345	1995-01-22	VYDAJ	VYBER	2640	62675	\N	\N	\N
395713	1345	1995-01-22	VYDAJ	VYBER	600	65315	\N	\N	\N
395714	1345	1995-01-08	VYDAJ	VYBER	2400	65313	\N	\N	\N
395715	1345	1995-01-29	VYDAJ	VYBER	2760	42955	\N	\N	\N
395716	1345	1996-01-02	VYDAJ	VYBER KARTOU	1100	70705	\N	\N	0
395717	1345	1996-01-24	VYDAJ	VYBER KARTOU	800	67787	\N	\N	0
395718	1345	1996-01-24	VYDAJ	VYBER KARTOU	1100	68587	\N	\N	0
395719	1345	1996-01-05	VYDAJ	VYBER KARTOU	3500	67205	\N	\N	0
395720	1345	1996-01-28	VYDAJ	VYBER KARTOU	1000	64287	\N	\N	0
395721	1345	1996-01-27	VYDAJ	VYBER KARTOU	2500	65287	\N	\N	0
395722	1345	1997-01-01	VYDAJ	VYBER KARTOU	3400	81015	\N	\N	0
395723	1345	1997-01-11	VYDAJ	VYBER KARTOU	2200	58267	\N	\N	0
395724	1345	1997-01-23	VYDAJ	VYBER KARTOU	2400	64197	\N	\N	0
395725	1345	1997-01-17	VYDAJ	VYBER KARTOU	800	76997	\N	\N	0
395726	1345	1997-01-24	VYDAJ	VYBER KARTOU	2600	61597	\N	\N	0
395727	1345	1997-01-04	VYDAJ	VYBER KARTOU	1400	61315	\N	\N	0
395728	1345	1998-01-13	VYDAJ	VYBER KARTOU	1900	35663	\N	\N	0
395729	1345	1998-01-29	VYDAJ	VYBER KARTOU	800	32593	\N	\N	0
395730	1345	1998-01-22	VYDAJ	VYBER KARTOU	2000	51293	\N	\N	0
395731	1345	1998-01-26	VYDAJ	VYBER KARTOU	700	50593	\N	\N	0
395732	1345	1998-01-26	VYDAJ	VYBER KARTOU	3100	33393	\N	\N	0
395733	1345	1998-01-14	VYDAJ	VYBER KARTOU	1900	53293	\N	\N	0
395737	1345	1994-11-15	VYDAJ	VYBER	2640	52002	\N	\N	\N
395738	1345	1994-09-17	VYDAJ	VYBER	4560	37598	\N	\N	\N
395739	1345	1994-10-04	VYDAJ	VYBER	5640	32110	\N	\N	\N
395741	1345	1994-04-13	VYDAJ	VYBER	720	44190	\N	\N	\N
395742	1345	1994-12-06	VYDAJ	VYBER	5640	46538	\N	\N	\N
395743	1345	1995-08-07	VYDAJ	VYBER	5400	65917	\N	\N	\N
395744	1345	1995-06-26	VYDAJ	VYBER	2040	69807	\N	\N	\N
395745	1345	1995-10-31	VYDAJ	VYBER	1200	63509	\N	\N	\N
395746	1345	1995-05-14	VYDAJ	VYBER	2160	63337	\N	\N	\N
395747	1345	1995-01-26	VYDAJ	VYBER	3840	49075	\N	\N	\N
395748	1345	1995-08-30	VYDAJ	VYBER	3600	63999	\N	\N	\N
395749	1345	1995-12-30	VYDAJ	VYBER KARTOU	3500	71530	\N	\N	0
395750	1345	1996-12-30	VYDAJ	VYBER KARTOU	3000	84095	\N	\N	0
395751	1345	1996-04-07	VYDAJ	VYBER KARTOU	1400	54118	\N	\N	0
395752	1345	1996-08-07	VYDAJ	VYBER KARTOU	1100	51845	\N	\N	0
395753	1345	1996-03-05	VYDAJ	VYBER KARTOU	4100	57590	\N	\N	0
395754	1345	1997-10-24	VYDAJ	VYBER KARTOU	1900	68475	\N	\N	0
395755	1345	1997-02-18	VYDAJ	VYBER KARTOU	4600	68330	\N	\N	0
395756	1345	1997-01-03	VYDAJ	VYBER KARTOU	700	62715	\N	\N	0
395757	1345	1997-09-04	VYDAJ	VYBER KARTOU	4200	49382	\N	\N	0
395758	1345	1997-08-13	VYDAJ	VYBER KARTOU	2900	44330	\N	\N	0
395759	1345	1997-04-24	VYDAJ	VYBER KARTOU	3800	73608	\N	\N	0
395760	1345	1998-03-09	VYDAJ	VYBER KARTOU	5800	27510	\N	\N	0
395761	1345	1998-08-18	VYDAJ	VYBER KARTOU	2800	42876	\N	\N	0
395762	1345	1998-04-02	VYDAJ	VYBER KARTOU	5000	28029	\N	\N	0
395778	1345	1994-03-31	VYDAJ	VYBER	15	45758	SLUZBY	\N	\N
395779	1345	1994-04-30	VYDAJ	VYBER	15	46705	SLUZBY	\N	\N
395780	1345	1994-05-31	VYDAJ	VYBER	15	45672	SLUZBY	\N	\N
395781	1345	1994-06-30	VYDAJ	VYBER	15	31038	SLUZBY	\N	\N
395782	1345	1994-07-31	VYDAJ	VYBER	15	36050	SLUZBY	\N	\N
395783	1345	1994-08-31	VYDAJ	VYBER	15	38976	SLUZBY	\N	\N
395784	1345	1994-09-30	VYDAJ	VYBER	15	37750	SLUZBY	\N	\N
395785	1345	1994-10-31	VYDAJ	VYBER	15	37960	SLUZBY	\N	\N
395786	1345	1994-11-30	VYDAJ	VYBER	15	52178	SLUZBY	\N	\N
395787	1345	1994-12-31	VYDAJ	VYBER	15	67713	SLUZBY	\N	\N
395788	1345	1995-01-31	VYDAJ	VYBER	15	43193	SLUZBY	\N	\N
395789	1345	1995-02-28	VYDAJ	VYBER	15	54561	SLUZBY	\N	\N
395790	1345	1995-03-31	VYDAJ	VYBER	15	64177	SLUZBY	\N	\N
395791	1345	1995-04-30	VYDAJ	VYBER	15	68215	SLUZBY	\N	\N
395792	1345	1995-05-31	VYDAJ	VYBER	15	63593	SLUZBY	\N	\N
395793	1345	1995-06-30	VYDAJ	VYBER	15	70064	SLUZBY	\N	\N
395794	1345	1995-07-31	VYDAJ	VYBER	15	71317	SLUZBY	\N	\N
395795	1345	1995-08-31	VYDAJ	VYBER	15	64258	SLUZBY	\N	\N
395796	1345	1995-09-30	VYDAJ	VYBER	15	65383	SLUZBY	\N	\N
395797	1345	1995-10-31	VYDAJ	VYBER	15	64709	SLUZBY	\N	\N
395798	1345	1995-11-30	VYDAJ	VYBER	15	65736	SLUZBY	\N	\N
395799	1345	1995-12-31	VYDAJ	VYBER	15	71805	SLUZBY	\N	\N
395800	1345	1996-01-31	VYDAJ	VYBER	15	48695	SLUZBY	\N	\N
395801	1345	1996-02-29	VYDAJ	VYBER	15	61690	SLUZBY	\N	\N
395802	1345	1996-03-31	VYDAJ	VYBER	15	68918	SLUZBY	\N	\N
395803	1345	1996-04-30	VYDAJ	VYBER	15	73065	SLUZBY	\N	\N
395804	1345	1996-05-31	VYDAJ	VYBER	15	73425	SLUZBY	\N	\N
395805	1345	1996-06-30	VYDAJ	VYBER	15	64213	SLUZBY	\N	\N
395806	1345	1996-07-31	VYDAJ	VYBER	15	67745	SLUZBY	\N	\N
395807	1345	1996-08-31	VYDAJ	VYBER	15	70784	SLUZBY	\N	\N
395808	1345	1996-09-30	VYDAJ	VYBER	15	74343	SLUZBY	\N	\N
395809	1345	1996-10-31	VYDAJ	VYBER	15	77917	SLUZBY	\N	\N
395810	1345	1996-11-30	VYDAJ	VYBER	15	80001	SLUZBY	\N	\N
395811	1345	1996-12-31	VYDAJ	VYBER	15	84415	SLUZBY	\N	\N
395812	1345	1997-01-31	VYDAJ	VYBER	15	54248	SLUZBY	\N	\N
395813	1345	1997-02-28	VYDAJ	VYBER	15	68572	SLUZBY	\N	\N
395814	1345	1997-03-31	VYDAJ	VYBER	15	73726	SLUZBY	\N	\N
395815	1345	1997-04-30	VYDAJ	VYBER	15	73894	SLUZBY	\N	\N
395816	1345	1997-05-31	VYDAJ	VYBER	15	75258	SLUZBY	\N	\N
395817	1345	1997-06-30	VYDAJ	VYBER	15	47669	SLUZBY	\N	\N
395818	1345	1997-07-31	VYDAJ	VYBER	15	51372	SLUZBY	\N	\N
395819	1345	1997-08-31	VYDAJ	VYBER	15	53582	SLUZBY	\N	\N
395820	1345	1997-09-30	VYDAJ	VYBER	15	51693	SLUZBY	\N	\N
395821	1345	1997-10-31	VYDAJ	VYBER	15	46402	SLUZBY	\N	\N
395822	1345	1997-11-30	VYDAJ	VYBER	15	45391	SLUZBY	\N	\N
395823	1345	1997-12-31	VYDAJ	VYBER	15	52811	SLUZBY	\N	\N
395824	1345	1998-01-31	VYDAJ	VYBER	15	32781	SLUZBY	\N	\N
395825	1345	1998-02-28	VYDAJ	VYBER	15	33310	SLUZBY	\N	\N
395826	1345	1998-03-31	VYDAJ	VYBER	15	33029	SLUZBY	\N	\N
395827	1345	1998-04-30	VYDAJ	VYBER	15	31846	SLUZBY	\N	\N
395828	1345	1998-05-31	VYDAJ	VYBER	15	36273	SLUZBY	\N	\N
395829	1345	1998-06-30	VYDAJ	VYBER	15	28788	SLUZBY	\N	\N
395830	1345	1998-07-31	VYDAJ	VYBER	15	26994	SLUZBY	\N	\N
395831	1345	1998-08-31	VYDAJ	VYBER	15	29992	SLUZBY	\N	\N
395832	1345	1998-09-30	VYDAJ	VYBER	15	25496	SLUZBY	\N	\N
395833	1345	1998-10-31	VYDAJ	VYBER	15	26986	SLUZBY	\N	\N
395834	1345	1998-11-30	VYDAJ	VYBER	15	23674	SLUZBY	\N	\N
395835	1345	1993-11-18	PRIJEM	VKLAD	900	23924	\N	\N	\N
395836	1345	1993-12-18	VYDAJ	VYBER	15700	42503	\N	\N	\N
395837	1345	1994-01-17	VYDAJ	VYBER	21800	43662	\N	\N	\N
395838	1345	1994-02-16	VYDAJ	VYBER	19200	47465	\N	\N	\N
395839	1345	1994-03-18	VYDAJ	VYBER	24900	45579	\N	\N	\N
395840	1345	1994-04-17	VYDAJ	VYBER	17200	46520	\N	\N	\N
395841	1345	1994-05-17	VYDAJ	VYBER	19900	45487	\N	\N	\N
395842	1345	1994-06-16	VYDAJ	VYBER	8400	30886	\N	\N	\N
395843	1345	1994-07-16	VYDAJ	VYBER	13800	35920	\N	\N	\N
395844	1345	1994-08-15	VYDAJ	VYBER	15900	38832	\N	\N	\N
395845	1345	1994-09-14	VYDAJ	VYBER	15500	42158	\N	\N	\N
395846	1345	1994-10-14	VYDAJ	VYBER	13000	37792	\N	\N	\N
395847	1345	1994-11-13	VYDAJ	VYBER	2000	31818	\N	\N	\N
395848	1345	1994-12-13	VYDAJ	VYBER	6600	39090	\N	\N	\N
395849	1345	1995-01-12	VYDAJ	VYBER	14600	49865	\N	\N	\N
395850	1345	1995-02-11	VYDAJ	VYBER	7500	34845	\N	\N	\N
395851	1345	1995-03-13	VYDAJ	VYBER	9300	44413	\N	\N	\N
395852	1345	1995-04-12	VYDAJ	VYBER	14900	48429	\N	\N	\N
395853	1345	1995-05-12	VYDAJ	VYBER	21400	45967	\N	\N	\N
395854	1345	1995-06-11	VYDAJ	VYBER	11600	40905	\N	\N	\N
395855	1345	1995-07-11	VYDAJ	VYBER	17700	51516	\N	\N	\N
395856	1345	1995-08-10	VYDAJ	VYBER	17000	48917	\N	\N	\N
395857	1345	1995-09-09	VYDAJ	VYBER	17800	46458	\N	\N	\N
395858	1345	1995-10-09	VYDAJ	VYBER	19600	45783	\N	\N	\N
395859	1345	1995-11-08	VYDAJ	VYBER	16700	46809	\N	\N	\N
395860	1345	1995-12-08	VYDAJ	VYBER	16500	49236	\N	\N	\N
395861	1345	1996-01-07	VYDAJ	VYBER	16200	51005	\N	\N	\N
395862	1345	1996-02-06	VYDAJ	VYBER KARTOU	5900	42795	\N	\N	0
395863	1345	1996-03-07	VYDAJ	VYBER KARTOU	7600	49990	\N	\N	0
395864	1345	1996-04-06	VYDAJ	VYBER	13400	55518	\N	\N	\N
395865	1345	1996-05-06	VYDAJ	VYBER	18600	54465	\N	\N	\N
395866	1345	1996-06-05	VYDAJ	VYBER	17000	56425	\N	\N	\N
395867	1345	1996-07-05	VYDAJ	VYBER	15400	48813	\N	\N	\N
395868	1345	1996-08-04	VYDAJ	VYBER	14800	52945	\N	\N	\N
395869	1345	1996-09-03	VYDAJ	VYBER	15400	55384	\N	\N	\N
395870	1345	1996-10-03	VYDAJ	VYBER	15400	58943	\N	\N	\N
395871	1345	1996-11-02	VYDAJ	VYBER	16900	61017	\N	\N	\N
395872	1345	1996-12-02	VYDAJ	VYBER	20600	59401	\N	\N	\N
395873	1345	1997-01-01	VYDAJ	VYBER	17600	63415	\N	\N	\N
395874	1345	1997-01-31	VYDAJ	VYBER KARTOU	7600	54262	\N	\N	0
395875	1345	1997-03-02	VYDAJ	VYBER	13800	54772	\N	\N	\N
395876	1345	1997-04-01	VYDAJ	VYBER	15000	58726	\N	\N	\N
395877	1345	1997-05-01	VYDAJ	VYBER	17600	56294	\N	\N	\N
395878	1345	1997-05-31	VYDAJ	VYBER	18900	56358	\N	\N	\N
395879	1345	1997-06-30	VYDAJ	VYBER	15400	47684	\N	\N	\N
395880	1345	1997-07-30	VYDAJ	VYBER	15200	51151	\N	\N	\N
395881	1345	1997-08-29	VYDAJ	VYBER	13800	53354	\N	\N	\N
395882	1345	1997-09-28	VYDAJ	VYBER	16600	51464	\N	\N	\N
395883	1345	1997-10-28	VYDAJ	VYBER	22300	46175	\N	\N	\N
395884	1345	1997-11-27	VYDAJ	VYBER	19900	45184	\N	\N	\N
395885	1345	1997-12-27	VYDAJ	VYBER	21300	52585	\N	\N	\N
395886	1345	1998-01-26	VYDAJ	VYBER	14100	36493	\N	\N	\N
395887	1345	1998-02-25	VYDAJ	VYBER	18300	33163	\N	\N	\N
395888	1345	1998-03-27	VYDAJ	VYBER	13300	32892	\N	\N	\N
395889	1345	1998-04-26	VYDAJ	VYBER	15000	31711	\N	\N	\N
395890	1345	1998-05-26	VYDAJ	VYBER	14400	36128	\N	\N	\N
395891	1345	1998-06-25	VYDAJ	VYBER	17100	28627	\N	\N	\N
395892	1345	1998-07-25	VYDAJ	VYBER	20600	26870	\N	\N	\N
395893	1345	1998-08-24	VYDAJ	VYBER	13000	29876	\N	\N	\N
395894	1345	1998-09-23	VYDAJ	VYBER	23300	25374	\N	\N	\N
395895	1345	1998-10-23	VYDAJ	VYBER	17300	26878	\N	\N	\N
395896	1345	1998-11-22	VYDAJ	VYBER	22100	23568	\N	\N	\N
395959	1346	1997-07-01	PRIJEM	VKLAD	400	400	\N	\N	\N
395966	1346	1997-07-09	PRIJEM	PREVOD Z UCTU	3101	3501	\N	MN	3592759
395967	1346	1997-08-09	PRIJEM	PREVOD Z UCTU	3101	20115	\N	MN	3592759
395968	1346	1997-09-09	PRIJEM	PREVOD Z UCTU	3101	26388	\N	MN	3592759
395969	1346	1997-10-09	PRIJEM	PREVOD Z UCTU	3101	29687	\N	MN	3592759
395970	1346	1997-11-09	PRIJEM	PREVOD Z UCTU	3101	28898	\N	MN	3592759
395971	1346	1997-12-09	PRIJEM	PREVOD Z UCTU	3101	29869	\N	MN	3592759
395972	1346	1998-01-09	PRIJEM	PREVOD Z UCTU	3101	25773	\N	MN	3592759
395973	1346	1998-02-09	PRIJEM	PREVOD Z UCTU	3101	23440	\N	MN	3592759
395974	1346	1998-03-09	PRIJEM	PREVOD Z UCTU	3101	23749	\N	MN	3592759
395975	1346	1998-04-09	PRIJEM	PREVOD Z UCTU	3101	19986	\N	MN	3592759
395976	1346	1998-05-09	PRIJEM	PREVOD Z UCTU	3101	19831	\N	MN	3592759
395977	1346	1998-06-09	PRIJEM	PREVOD Z UCTU	3101	19725	\N	MN	3592759
395978	1346	1998-07-09	PRIJEM	PREVOD Z UCTU	3101	14015	\N	MN	3592759
395979	1346	1998-08-09	PRIJEM	PREVOD Z UCTU	3101	15086	\N	MN	3592759
395980	1346	1998-09-09	PRIJEM	PREVOD Z UCTU	3101	16161	\N	MN	3592759
395981	1346	1998-10-09	PRIJEM	PREVOD Z UCTU	3101	16401	\N	MN	3592759
395982	1346	1998-11-09	PRIJEM	PREVOD Z UCTU	3101	17482	\N	MN	3592759
395983	1346	1998-12-09	PRIJEM	PREVOD Z UCTU	3101	15723	\N	MN	3592759
395994	1346	1997-11-13	VYDAJ	PREVOD NA UCET	1592	27306	SIPO	WX	66261118
395995	1346	1997-12-13	VYDAJ	PREVOD NA UCET	1592	28277	SIPO	WX	66261118
395996	1346	1998-01-13	VYDAJ	PREVOD NA UCET	1592	23581	SIPO	WX	66261118
395997	1346	1998-02-13	VYDAJ	PREVOD NA UCET	1592	21848	SIPO	WX	66261118
395998	1346	1998-03-13	VYDAJ	PREVOD NA UCET	1592	21287	SIPO	WX	66261118
395999	1346	1998-04-13	VYDAJ	PREVOD NA UCET	1592	18394	SIPO	WX	66261118
396000	1346	1998-05-13	VYDAJ	PREVOD NA UCET	1592	18239	SIPO	WX	66261118
396001	1346	1998-06-13	VYDAJ	PREVOD NA UCET	1592	18133	SIPO	WX	66261118
396002	1346	1998-07-13	VYDAJ	PREVOD NA UCET	1592	12423	SIPO	WX	66261118
396003	1346	1998-08-13	VYDAJ	PREVOD NA UCET	1592	13494	SIPO	WX	66261118
396004	1346	1998-09-13	VYDAJ	PREVOD NA UCET	1592	14569	SIPO	WX	66261118
396005	1346	1998-10-13	VYDAJ	PREVOD NA UCET	1592	14809	SIPO	WX	66261118
396006	1346	1998-11-13	VYDAJ	PREVOD NA UCET	1592	15890	SIPO	WX	66261118
396007	1346	1998-12-13	VYDAJ	PREVOD NA UCET	1592	14131	SIPO	WX	66261118
396019	1346	1997-12-08	VYDAJ	PREVOD NA UCET	475	26768	 	AB	56407761
396020	1346	1998-01-08	VYDAJ	PREVOD NA UCET	475	22672	 	AB	56407761
396021	1346	1998-02-08	VYDAJ	PREVOD NA UCET	475	20339	 	AB	56407761
396022	1346	1998-03-08	VYDAJ	PREVOD NA UCET	475	20648	 	AB	56407761
396023	1346	1998-04-08	VYDAJ	PREVOD NA UCET	475	16885	 	AB	56407761
396024	1346	1998-05-08	VYDAJ	PREVOD NA UCET	475	16730	 	AB	56407761
396025	1346	1998-06-08	VYDAJ	PREVOD NA UCET	475	16624	 	AB	56407761
396026	1346	1998-07-08	VYDAJ	PREVOD NA UCET	475	10914	 	AB	56407761
396027	1346	1998-08-08	VYDAJ	PREVOD NA UCET	475	11985	 	AB	56407761
396028	1346	1998-09-08	VYDAJ	PREVOD NA UCET	475	13060	 	AB	56407761
396029	1346	1998-10-08	VYDAJ	PREVOD NA UCET	475	13300	 	AB	56407761
396030	1346	1998-11-08	VYDAJ	PREVOD NA UCET	475	14381	 	AB	56407761
396031	1346	1998-12-08	VYDAJ	PREVOD NA UCET	475	12622	 	AB	56407761
396032	1346	1997-12-14	VYDAJ	VYBER	480	27797	\N	\N	\N
396033	1346	1998-12-20	VYDAJ	VYBER	780	13351	\N	\N	\N
396040	1346	1998-01-27	VYDAJ	VYBER	750	22201	\N	\N	\N
396041	1346	1998-01-03	VYDAJ	VYBER	150	23147	\N	\N	\N
396042	1346	1998-01-27	VYDAJ	VYBER	870	20731	\N	\N	\N
396043	1346	1998-01-13	VYDAJ	VYBER	630	22951	\N	\N	\N
396044	1346	1998-01-10	VYDAJ	VYBER	600	25173	\N	\N	\N
396045	1346	1998-01-02	VYDAJ	VYBER	600	23297	\N	\N	\N
396049	1346	1997-12-01	VYDAJ	VYBER	960	27243	\N	\N	\N
396052	1346	1998-04-22	VYDAJ	VYBER	750	17644	\N	\N	\N
396053	1346	1998-03-12	VYDAJ	VYBER	870	22879	\N	\N	\N
396055	1346	1998-12-28	VYDAJ	VYBER	480	12871	\N	\N	\N
396056	1346	1998-11-14	VYDAJ	VYBER	330	15560	\N	\N	\N
396057	1346	1998-10-01	VYDAJ	VYBER	840	13775	\N	\N	\N
396058	1346	1998-11-18	VYDAJ	VYBER	1410	14150	\N	\N	\N
396070	1346	1997-11-30	VYDAJ	VYBER	15	28203	SLUZBY	\N	\N
396071	1346	1997-12-31	VYDAJ	VYBER	15	23897	SLUZBY	\N	\N
396072	1346	1998-01-31	VYDAJ	VYBER	15	20814	SLUZBY	\N	\N
396073	1346	1998-02-28	VYDAJ	VYBER	15	21123	SLUZBY	\N	\N
396074	1346	1998-03-31	VYDAJ	VYBER	15	17360	SLUZBY	\N	\N
396075	1346	1998-04-30	VYDAJ	VYBER	15	17205	SLUZBY	\N	\N
396076	1346	1998-05-31	VYDAJ	VYBER	15	17099	SLUZBY	\N	\N
396077	1346	1998-06-30	VYDAJ	VYBER	15	11389	SLUZBY	\N	\N
396078	1346	1998-07-31	VYDAJ	VYBER	15	12460	SLUZBY	\N	\N
396079	1346	1998-08-31	VYDAJ	VYBER	15	13535	SLUZBY	\N	\N
396080	1346	1998-09-30	VYDAJ	VYBER	15	14615	SLUZBY	\N	\N
396081	1346	1998-10-31	VYDAJ	VYBER	15	14856	SLUZBY	\N	\N
396082	1346	1998-11-30	VYDAJ	VYBER	15	13097	SLUZBY	\N	\N
396083	1346	1997-07-31	PRIJEM	VKLAD	13500	17014	\N	\N	\N
396084	1346	1997-08-30	PRIJEM	VKLAD	3100	23215	\N	\N	\N
396085	1346	1997-09-29	PRIJEM	VKLAD	100	26488	\N	\N	\N
396086	1346	1997-10-29	VYDAJ	VYBER	4000	25687	\N	\N	\N
396087	1346	1997-11-28	PRIJEM	VKLAD	800	28106	\N	\N	\N
396088	1346	1997-12-28	VYDAJ	VYBER	4000	23797	\N	\N	\N
396089	1346	1998-01-27	VYDAJ	VYBER	600	21601	\N	\N	\N
396090	1346	1998-02-26	VYDAJ	VYBER	800	21048	\N	\N	\N
396091	1346	1998-03-28	VYDAJ	VYBER	4000	17287	\N	\N	\N
396092	1346	1998-04-27	VYDAJ	VYBER	500	17144	\N	\N	\N
396093	1346	1998-05-27	VYDAJ	VYBER	1200	17039	\N	\N	\N
396094	1346	1998-06-26	VYDAJ	VYBER	6800	11333	\N	\N	\N
396095	1346	1998-11-23	VYDAJ	VYBER	1100	13050	\N	\N	\N
396114	1347	1996-11-24	PRIJEM	VKLAD	500	500	\N	\N	\N
396126	1347	1996-12-05	PRIJEM	PREVOD Z UCTU	3100	3600	\N	KL	4792172
396127	1347	1997-01-05	PRIJEM	PREVOD Z UCTU	3100	6700	\N	KL	4792172
396128	1347	1997-02-05	PRIJEM	PREVOD Z UCTU	3100	9800	\N	KL	4792172
396129	1347	1997-03-05	PRIJEM	PREVOD Z UCTU	3100	12900	\N	KL	4792172
396130	1347	1997-04-05	PRIJEM	PREVOD Z UCTU	3100	15013	\N	KL	4792172
396131	1347	1997-05-05	PRIJEM	PREVOD Z UCTU	3100	16085	\N	KL	4792172
396132	1347	1997-06-05	PRIJEM	PREVOD Z UCTU	3100	13657	\N	KL	4792172
396133	1347	1997-07-05	PRIJEM	PREVOD Z UCTU	3100	14724	\N	KL	4792172
396134	1347	1997-08-05	PRIJEM	PREVOD Z UCTU	3100	15795	\N	KL	4792172
396135	1347	1997-09-05	PRIJEM	PREVOD Z UCTU	3100	16871	\N	KL	4792172
396136	1347	1997-10-05	PRIJEM	PREVOD Z UCTU	3100	15539	\N	KL	4792172
396137	1347	1997-11-05	PRIJEM	PREVOD Z UCTU	3100	16613	\N	KL	4792172
396138	1347	1997-12-05	PRIJEM	PREVOD Z UCTU	3100	16640	\N	KL	4792172
396139	1347	1998-01-05	PRIJEM	PREVOD Z UCTU	3100	15215	\N	KL	4792172
396140	1347	1998-02-05	PRIJEM	PREVOD Z UCTU	3100	15476	\N	KL	4792172
396141	1347	1998-03-05	PRIJEM	PREVOD Z UCTU	3100	16550	\N	KL	4792172
396142	1347	1998-04-05	PRIJEM	PREVOD Z UCTU	3100	16126	\N	KL	4792172
396143	1347	1998-05-05	PRIJEM	PREVOD Z UCTU	3100	16301	\N	KL	4792172
396144	1347	1998-06-05	PRIJEM	PREVOD Z UCTU	3100	16358	\N	KL	4792172
396145	1347	1998-07-05	PRIJEM	PREVOD Z UCTU	3100	13629	\N	KL	4792172
396146	1347	1998-08-05	PRIJEM	PREVOD Z UCTU	3100	14194	\N	KL	4792172
396147	1347	1998-09-05	PRIJEM	PREVOD Z UCTU	3100	15263	\N	KL	4792172
396148	1347	1998-10-05	PRIJEM	PREVOD Z UCTU	3100	16236	\N	KL	4792172
396149	1347	1998-11-05	PRIJEM	PREVOD Z UCTU	3100	14005	\N	KL	4792172
396150	1347	1998-12-05	PRIJEM	PREVOD Z UCTU	3100	15073	\N	KL	4792172
396166	1347	1997-04-09	VYDAJ	PREVOD NA UCET	2066	12947	\N	ST	98295950
396167	1347	1997-05-09	VYDAJ	PREVOD NA UCET	2066	14019	\N	ST	98295950
396168	1347	1997-06-09	VYDAJ	PREVOD NA UCET	2066	11591	\N	ST	98295950
396169	1347	1997-07-09	VYDAJ	PREVOD NA UCET	2066	12658	\N	ST	98295950
396170	1347	1997-08-09	VYDAJ	PREVOD NA UCET	2066	13729	\N	ST	98295950
396171	1347	1997-09-09	VYDAJ	PREVOD NA UCET	2066	14805	\N	ST	98295950
396172	1347	1997-10-09	VYDAJ	PREVOD NA UCET	2066	13473	\N	ST	98295950
396173	1347	1997-11-09	VYDAJ	PREVOD NA UCET	2066	14547	\N	ST	98295950
396174	1347	1997-12-09	VYDAJ	PREVOD NA UCET	2066	14574	\N	ST	98295950
396175	1347	1998-01-09	VYDAJ	PREVOD NA UCET	2066	13149	\N	ST	98295950
396176	1347	1998-02-09	VYDAJ	PREVOD NA UCET	2066	13410	\N	ST	98295950
396177	1347	1998-03-09	VYDAJ	PREVOD NA UCET	2066	14484	\N	ST	98295950
396178	1347	1998-04-09	VYDAJ	PREVOD NA UCET	2066	14060	\N	ST	98295950
396179	1347	1998-05-09	VYDAJ	PREVOD NA UCET	2066	14235	\N	ST	98295950
396180	1347	1998-06-09	VYDAJ	PREVOD NA UCET	2066	14292	\N	ST	98295950
396181	1347	1998-07-09	VYDAJ	PREVOD NA UCET	2066	11563	\N	ST	98295950
396182	1347	1998-08-09	VYDAJ	PREVOD NA UCET	2066	12128	\N	ST	98295950
396183	1347	1998-09-09	VYDAJ	PREVOD NA UCET	2066	13197	\N	ST	98295950
396184	1347	1998-10-09	VYDAJ	PREVOD NA UCET	2066	14170	\N	ST	98295950
396185	1347	1998-11-09	VYDAJ	PREVOD NA UCET	2066	11939	\N	ST	98295950
396186	1347	1998-12-09	VYDAJ	PREVOD NA UCET	2066	13007	\N	ST	98295950
396207	1347	1998-01-15	VYDAJ	VYBER	660	12489	\N	\N	\N
396221	1347	1997-09-29	VYDAJ	VYBER	810	13295	\N	\N	\N
396222	1347	1997-09-30	VYDAJ	VYBER	900	12454	\N	\N	\N
396224	1347	1997-11-15	VYDAJ	VYBER	1050	13497	\N	\N	\N
396227	1347	1998-05-30	VYDAJ	VYBER	1020	13215	\N	\N	\N
396228	1347	1998-01-26	VYDAJ	VYBER	150	12339	\N	\N	\N
396245	1347	1997-04-30	VYDAJ	VYBER	15	12985	SLUZBY	\N	\N
396246	1347	1997-05-31	VYDAJ	VYBER	15	10557	SLUZBY	\N	\N
396247	1347	1997-06-30	VYDAJ	VYBER	15	11624	SLUZBY	\N	\N
396248	1347	1997-07-31	VYDAJ	VYBER	15	12695	SLUZBY	\N	\N
396249	1347	1997-08-31	VYDAJ	VYBER	15	13771	SLUZBY	\N	\N
396250	1347	1997-09-30	VYDAJ	VYBER	15	12439	SLUZBY	\N	\N
396251	1347	1997-10-31	VYDAJ	VYBER	15	13513	SLUZBY	\N	\N
396252	1347	1997-11-30	VYDAJ	VYBER	15	13540	SLUZBY	\N	\N
396253	1347	1997-12-31	VYDAJ	VYBER	15	12115	SLUZBY	\N	\N
396254	1347	1998-01-31	VYDAJ	VYBER	15	12376	SLUZBY	\N	\N
396255	1347	1998-02-28	VYDAJ	VYBER	15	13450	SLUZBY	\N	\N
396256	1347	1998-03-31	VYDAJ	VYBER	15	13026	SLUZBY	\N	\N
396257	1347	1998-04-30	VYDAJ	VYBER	15	13201	SLUZBY	\N	\N
396258	1347	1998-05-31	VYDAJ	VYBER	15	13258	SLUZBY	\N	\N
396259	1347	1998-06-30	VYDAJ	VYBER	15	10529	SLUZBY	\N	\N
396260	1347	1998-07-31	VYDAJ	VYBER	15	11094	SLUZBY	\N	\N
396261	1347	1998-08-31	VYDAJ	VYBER	15	12163	SLUZBY	\N	\N
396262	1347	1998-09-30	VYDAJ	VYBER	15	13136	SLUZBY	\N	\N
396263	1347	1998-10-31	VYDAJ	VYBER	15	10905	SLUZBY	\N	\N
396264	1347	1998-11-30	VYDAJ	VYBER	15	11973	SLUZBY	\N	\N
396265	1347	1997-03-24	VYDAJ	VYBER	1000	11900	\N	\N	\N
396266	1347	1997-05-23	VYDAJ	VYBER	3500	10519	\N	\N	\N
396267	1347	1997-09-20	VYDAJ	VYBER	700	14105	\N	\N	\N
396268	1347	1997-12-19	VYDAJ	VYBER	2500	12074	\N	\N	\N
396269	1347	1998-03-19	VYDAJ	VYBER	1500	12984	\N	\N	\N
396270	1347	1998-04-18	VYDAJ	VYBER	900	13160	\N	\N	\N
396271	1347	1998-06-17	VYDAJ	VYBER	3800	10492	\N	\N	\N
396272	1347	1998-07-17	VYDAJ	VYBER	500	11063	\N	\N	\N
396273	1347	1998-09-15	VYDAJ	VYBER	100	13097	\N	\N	\N
396274	1347	1998-10-15	VYDAJ	VYBER	3300	10870	\N	\N	\N
396297	1348	1997-11-12	PRIJEM	VKLAD	300	300	\N	\N	\N
396309	1348	1997-12-11	PRIJEM	VKLAD	15144	15444	\N	\N	\N
396310	1348	1998-01-11	PRIJEM	VKLAD	10096	29993	\N	\N	\N
396311	1348	1998-02-11	PRIJEM	VKLAD	10096	38498	\N	\N	\N
396312	1348	1998-03-11	PRIJEM	VKLAD	10096	48740	\N	\N	\N
396313	1348	1998-04-11	PRIJEM	VKLAD	10096	46891	\N	\N	\N
396314	1348	1998-05-11	PRIJEM	VKLAD	10096	46794	\N	\N	\N
396315	1348	1998-06-11	PRIJEM	VKLAD	15144	43796	\N	\N	\N
396316	1348	1998-07-11	PRIJEM	VKLAD	10096	45194	\N	\N	\N
396317	1348	1998-08-11	PRIJEM	VKLAD	10096	50305	\N	\N	\N
396318	1348	1998-09-11	PRIJEM	VKLAD	10096	51611	\N	\N	\N
396319	1348	1998-10-11	PRIJEM	VKLAD	10096	54265	\N	\N	\N
396320	1348	1998-11-11	PRIJEM	VKLAD	10096	54849	\N	\N	\N
396321	1348	1998-12-11	PRIJEM	VKLAD	15144	60347	\N	\N	\N
396337	1348	1998-04-11	VYDAJ	PREVOD NA UCET	5025	41866	SIPO	CD	53150421
396338	1348	1998-05-11	VYDAJ	PREVOD NA UCET	5025	37569	SIPO	CD	53150421
396339	1348	1998-06-11	VYDAJ	PREVOD NA UCET	5025	38771	SIPO	CD	53150421
396340	1348	1998-07-11	VYDAJ	PREVOD NA UCET	5025	40169	SIPO	CD	53150421
396341	1348	1998-08-11	VYDAJ	PREVOD NA UCET	5025	45280	SIPO	CD	53150421
396342	1348	1998-09-11	VYDAJ	PREVOD NA UCET	5025	46586	SIPO	CD	53150421
396343	1348	1998-10-11	VYDAJ	PREVOD NA UCET	5025	49240	SIPO	CD	53150421
396344	1348	1998-11-11	VYDAJ	PREVOD NA UCET	5025	49824	SIPO	CD	53150421
396345	1348	1998-12-11	VYDAJ	PREVOD NA UCET	5025	55322	SIPO	CD	53150421
396362	1348	1998-05-06	VYDAJ	PREVOD NA UCET	17	36698	 	ST	8676511
396363	1348	1998-06-06	VYDAJ	PREVOD NA UCET	17	29752	 	ST	8676511
396364	1348	1998-07-06	VYDAJ	PREVOD NA UCET	17	38398	 	ST	8676511
396365	1348	1998-08-06	VYDAJ	PREVOD NA UCET	17	39809	 	ST	8676511
396366	1348	1998-09-06	VYDAJ	PREVOD NA UCET	17	40615	 	ST	8676511
396367	1348	1998-10-06	VYDAJ	PREVOD NA UCET	17	43969	 	ST	8676511
396368	1348	1998-11-06	VYDAJ	PREVOD NA UCET	17	47953	 	ST	8676511
396369	1348	1998-12-06	VYDAJ	PREVOD NA UCET	17	49503	 	ST	8676511
396385	1348	1998-04-13	VYDAJ	PREVOD NA UCET	492	36574	POJISTNE	UV	14109647
396386	1348	1998-05-13	VYDAJ	PREVOD NA UCET	492	37077	POJISTNE	UV	14109647
396387	1348	1998-06-13	VYDAJ	PREVOD NA UCET	492	38279	POJISTNE	UV	14109647
396388	1348	1998-07-13	VYDAJ	PREVOD NA UCET	492	39677	POJISTNE	UV	14109647
396389	1348	1998-08-13	VYDAJ	PREVOD NA UCET	492	44788	POJISTNE	UV	14109647
396390	1348	1998-09-13	VYDAJ	PREVOD NA UCET	492	46094	POJISTNE	UV	14109647
396391	1348	1998-10-13	VYDAJ	PREVOD NA UCET	492	48748	POJISTNE	UV	14109647
396392	1348	1998-11-13	VYDAJ	PREVOD NA UCET	492	49332	POJISTNE	UV	14109647
396393	1348	1998-12-13	VYDAJ	PREVOD NA UCET	492	54830	POJISTNE	UV	14109647
396399	1348	1998-12-22	VYDAJ	VYBER	2720	52110	\N	\N	\N
396419	1348	1998-10-24	VYDAJ	VYBER	960	47788	\N	\N	\N
396420	1348	1998-08-30	VYDAJ	VYBER	4320	40468	\N	\N	\N
396421	1348	1998-10-01	VYDAJ	VYBER	2280	43986	\N	\N	\N
396422	1348	1998-06-04	VYDAJ	VYBER	1680	29769	\N	\N	\N
396423	1348	1998-05-21	VYDAJ	VYBER	5760	31317	\N	\N	\N
396441	1348	1998-04-30	VYDAJ	VYBER	15	36715	SLUZBY	\N	\N
396442	1348	1998-05-31	VYDAJ	VYBER	15	31449	SLUZBY	\N	\N
396443	1348	1998-06-30	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
396444	1348	1998-07-31	VYDAJ	VYBER	15	39826	SLUZBY	\N	\N
396445	1348	1998-08-31	VYDAJ	VYBER	15	40632	SLUZBY	\N	\N
396446	1348	1998-09-30	VYDAJ	VYBER	15	46266	SLUZBY	\N	\N
396447	1348	1998-10-31	VYDAJ	VYBER	15	47970	SLUZBY	\N	\N
396448	1348	1998-11-30	VYDAJ	VYBER	15	49520	SLUZBY	\N	\N
396449	1348	1997-12-12	PRIJEM	VKLAD	4400	19844	\N	\N	\N
396450	1348	1998-01-11	VYDAJ	VYBER	1100	28893	\N	\N	\N
396451	1348	1998-02-10	VYDAJ	VYBER	600	28402	\N	\N	\N
396452	1348	1998-03-12	VYDAJ	VYBER	12100	36640	\N	\N	\N
396453	1348	1998-04-11	VYDAJ	VYBER	4800	37066	\N	\N	\N
396454	1348	1998-05-11	VYDAJ	VYBER	4200	42594	\N	\N	\N
396455	1348	1998-06-10	VYDAJ	VYBER	1100	28652	\N	\N	\N
396456	1348	1998-07-10	VYDAJ	VYBER	3300	35098	\N	\N	\N
396457	1348	1998-08-09	PRIJEM	VKLAD	400	40209	\N	\N	\N
396458	1348	1998-09-08	PRIJEM	VKLAD	900	41515	\N	\N	\N
396459	1348	1998-10-08	PRIJEM	VKLAD	200	44169	\N	\N	\N
396460	1348	1998-11-07	VYDAJ	VYBER	3200	44753	\N	\N	\N
396461	1348	1998-12-07	VYDAJ	VYBER	4300	45203	\N	\N	\N
396475	1349	1996-03-05	PRIJEM	VKLAD	700	700	\N	\N	\N
396478	1349	1996-03-08	PRIJEM	PREVOD Z UCTU	6529	7229	DUCHOD	KL	44228279
396479	1349	1996-04-08	PRIJEM	PREVOD Z UCTU	6529	13781	DUCHOD	KL	44228279
396480	1349	1996-05-08	PRIJEM	PREVOD Z UCTU	6529	20340	DUCHOD	KL	44228279
396481	1349	1996-06-08	PRIJEM	PREVOD Z UCTU	6529	26000	DUCHOD	KL	44228279
396482	1349	1996-07-08	PRIJEM	PREVOD Z UCTU	6529	29819	DUCHOD	KL	44228279
396483	1349	1996-08-08	PRIJEM	PREVOD Z UCTU	6529	28029	DUCHOD	KL	44228279
396484	1349	1996-09-08	PRIJEM	PREVOD Z UCTU	6529	28534	DUCHOD	KL	44228279
396485	1349	1996-10-08	PRIJEM	PREVOD Z UCTU	6529	30698	DUCHOD	KL	44228279
396486	1349	1996-11-08	PRIJEM	PREVOD Z UCTU	6529	28908	DUCHOD	KL	44228279
396487	1349	1996-12-08	PRIJEM	PREVOD Z UCTU	6529	25060	DUCHOD	KL	44228279
396488	1349	1997-01-08	PRIJEM	PREVOD Z UCTU	6529	21683	DUCHOD	KL	44228279
396489	1349	1997-02-08	PRIJEM	PREVOD Z UCTU	6529	19688	DUCHOD	KL	44228279
396490	1349	1997-03-08	PRIJEM	PREVOD Z UCTU	6529	19329	DUCHOD	KL	44228279
396491	1349	1997-04-08	PRIJEM	PREVOD Z UCTU	6529	21692	DUCHOD	KL	44228279
396492	1349	1997-05-08	PRIJEM	PREVOD Z UCTU	6529	18863	DUCHOD	KL	44228279
396493	1349	1997-06-08	PRIJEM	PREVOD Z UCTU	6529	19699	DUCHOD	KL	44228279
396494	1349	1997-07-08	PRIJEM	PREVOD Z UCTU	6529	19263	DUCHOD	KL	44228279
396495	1349	1997-08-08	PRIJEM	PREVOD Z UCTU	6529	21826	DUCHOD	KL	44228279
396496	1349	1997-09-08	PRIJEM	PREVOD Z UCTU	6529	19696	DUCHOD	KL	44228279
396497	1349	1997-10-08	PRIJEM	PREVOD Z UCTU	6529	22461	DUCHOD	KL	44228279
396498	1349	1997-11-08	PRIJEM	PREVOD Z UCTU	6529	17331	DUCHOD	KL	44228279
396499	1349	1997-12-08	PRIJEM	PREVOD Z UCTU	6529	19635	DUCHOD	KL	44228279
396500	1349	1998-01-08	PRIJEM	PREVOD Z UCTU	6529	17797	DUCHOD	KL	44228279
396501	1349	1998-02-08	PRIJEM	PREVOD Z UCTU	6529	19612	DUCHOD	KL	44228279
396502	1349	1998-03-08	PRIJEM	PREVOD Z UCTU	6529	22276	DUCHOD	KL	44228279
396503	1349	1998-04-08	PRIJEM	PREVOD Z UCTU	6529	20747	DUCHOD	KL	44228279
396504	1349	1998-05-08	PRIJEM	PREVOD Z UCTU	6529	19912	DUCHOD	KL	44228279
396505	1349	1998-06-08	PRIJEM	PREVOD Z UCTU	6529	17773	DUCHOD	KL	44228279
396506	1349	1998-07-08	PRIJEM	PREVOD Z UCTU	6529	18327	DUCHOD	KL	44228279
396507	1349	1998-08-08	PRIJEM	PREVOD Z UCTU	6529	21085	DUCHOD	KL	44228279
396508	1349	1998-09-08	PRIJEM	PREVOD Z UCTU	6529	17948	DUCHOD	KL	44228279
396509	1349	1998-10-08	PRIJEM	PREVOD Z UCTU	6529	20705	DUCHOD	KL	44228279
396510	1349	1998-11-08	PRIJEM	PREVOD Z UCTU	6529	22071	DUCHOD	KL	44228279
396511	1349	1998-12-08	PRIJEM	PREVOD Z UCTU	6529	23886	DUCHOD	KL	44228279
396518	1349	1996-07-10	VYDAJ	PREVOD NA UCET	2292	26006	SIPO	QR	14006042
396519	1349	1996-08-10	VYDAJ	PREVOD NA UCET	2292	24216	SIPO	QR	14006042
396520	1349	1996-09-10	VYDAJ	PREVOD NA UCET	2292	24721	SIPO	QR	14006042
396521	1349	1996-10-10	VYDAJ	PREVOD NA UCET	2292	26885	SIPO	QR	14006042
396522	1349	1996-11-10	VYDAJ	PREVOD NA UCET	2292	25095	SIPO	QR	14006042
396523	1349	1996-12-10	VYDAJ	PREVOD NA UCET	2292	21247	SIPO	QR	14006042
396524	1349	1997-01-10	VYDAJ	PREVOD NA UCET	2292	17870	SIPO	QR	14006042
396525	1349	1997-02-10	VYDAJ	PREVOD NA UCET	2292	15875	SIPO	QR	14006042
396526	1349	1997-03-10	VYDAJ	PREVOD NA UCET	2292	15516	SIPO	QR	14006042
396527	1349	1997-04-10	VYDAJ	PREVOD NA UCET	2292	17879	SIPO	QR	14006042
396528	1349	1997-05-10	VYDAJ	PREVOD NA UCET	2292	15050	SIPO	QR	14006042
396529	1349	1997-06-10	VYDAJ	PREVOD NA UCET	2292	15886	SIPO	QR	14006042
396530	1349	1997-07-10	VYDAJ	PREVOD NA UCET	2292	15450	SIPO	QR	14006042
396531	1349	1997-08-10	VYDAJ	PREVOD NA UCET	2292	18013	SIPO	QR	14006042
396532	1349	1997-09-10	VYDAJ	PREVOD NA UCET	2292	15883	SIPO	QR	14006042
396533	1349	1997-10-10	VYDAJ	PREVOD NA UCET	2292	18648	SIPO	QR	14006042
396534	1349	1997-11-10	VYDAJ	PREVOD NA UCET	2292	13518	SIPO	QR	14006042
396535	1349	1997-12-10	VYDAJ	PREVOD NA UCET	2292	15822	SIPO	QR	14006042
396536	1349	1998-01-10	VYDAJ	PREVOD NA UCET	2292	13984	SIPO	QR	14006042
396537	1349	1998-02-10	VYDAJ	PREVOD NA UCET	2292	15799	SIPO	QR	14006042
396538	1349	1998-03-10	VYDAJ	PREVOD NA UCET	2292	18463	SIPO	QR	14006042
396539	1349	1998-04-10	VYDAJ	PREVOD NA UCET	2292	16934	SIPO	QR	14006042
396540	1349	1998-05-10	VYDAJ	PREVOD NA UCET	2292	16099	SIPO	QR	14006042
396541	1349	1998-06-10	VYDAJ	PREVOD NA UCET	2292	13960	SIPO	QR	14006042
396542	1349	1998-07-10	VYDAJ	PREVOD NA UCET	2292	14514	SIPO	QR	14006042
396543	1349	1998-08-10	VYDAJ	PREVOD NA UCET	2292	17272	SIPO	QR	14006042
396544	1349	1998-09-10	VYDAJ	PREVOD NA UCET	2292	14135	SIPO	QR	14006042
396545	1349	1998-10-10	VYDAJ	PREVOD NA UCET	2292	16892	SIPO	QR	14006042
396546	1349	1998-11-10	VYDAJ	PREVOD NA UCET	2292	18258	SIPO	QR	14006042
396547	1349	1998-12-10	VYDAJ	PREVOD NA UCET	2292	20073	SIPO	QR	14006042
396554	1349	1996-07-09	VYDAJ	PREVOD NA UCET	1521	28298	 	OP	96585589
396555	1349	1996-08-09	VYDAJ	PREVOD NA UCET	1521	26508	 	OP	96585589
396556	1349	1996-09-09	VYDAJ	PREVOD NA UCET	1521	27013	 	OP	96585589
396557	1349	1996-10-09	VYDAJ	PREVOD NA UCET	1521	29177	 	OP	96585589
396558	1349	1996-11-09	VYDAJ	PREVOD NA UCET	1521	27387	 	OP	96585589
396559	1349	1996-12-09	VYDAJ	PREVOD NA UCET	1521	23539	 	OP	96585589
396560	1349	1997-01-09	VYDAJ	PREVOD NA UCET	1521	20162	 	OP	96585589
396561	1349	1997-02-09	VYDAJ	PREVOD NA UCET	1521	18167	 	OP	96585589
396562	1349	1997-03-09	VYDAJ	PREVOD NA UCET	1521	17808	 	OP	96585589
396563	1349	1997-04-09	VYDAJ	PREVOD NA UCET	1521	20171	 	OP	96585589
396564	1349	1997-05-09	VYDAJ	PREVOD NA UCET	1521	17342	 	OP	96585589
396565	1349	1997-06-09	VYDAJ	PREVOD NA UCET	1521	18178	 	OP	96585589
396566	1349	1997-07-09	VYDAJ	PREVOD NA UCET	1521	17742	 	OP	96585589
396567	1349	1997-08-09	VYDAJ	PREVOD NA UCET	1521	20305	 	OP	96585589
396568	1349	1997-09-09	VYDAJ	PREVOD NA UCET	1521	18175	 	OP	96585589
396569	1349	1997-10-09	VYDAJ	PREVOD NA UCET	1521	20940	 	OP	96585589
396570	1349	1997-11-09	VYDAJ	PREVOD NA UCET	1521	15810	 	OP	96585589
396571	1349	1997-12-09	VYDAJ	PREVOD NA UCET	1521	18114	 	OP	96585589
396572	1349	1998-01-09	VYDAJ	PREVOD NA UCET	1521	16276	 	OP	96585589
396573	1349	1998-02-09	VYDAJ	PREVOD NA UCET	1521	18091	 	OP	96585589
396574	1349	1998-03-09	VYDAJ	PREVOD NA UCET	1521	20755	 	OP	96585589
396575	1349	1998-04-09	VYDAJ	PREVOD NA UCET	1521	19226	 	OP	96585589
396576	1349	1998-05-09	VYDAJ	PREVOD NA UCET	1521	18391	 	OP	96585589
396577	1349	1998-06-09	VYDAJ	PREVOD NA UCET	1521	16252	 	OP	96585589
396578	1349	1998-07-09	VYDAJ	PREVOD NA UCET	1521	16806	 	OP	96585589
396579	1349	1998-08-09	VYDAJ	PREVOD NA UCET	1521	19564	 	OP	96585589
396580	1349	1998-09-09	VYDAJ	PREVOD NA UCET	1521	16427	 	OP	96585589
396581	1349	1998-10-09	VYDAJ	PREVOD NA UCET	1521	19184	 	OP	96585589
396582	1349	1998-11-09	VYDAJ	PREVOD NA UCET	1521	20550	 	OP	96585589
396583	1349	1998-12-09	VYDAJ	PREVOD NA UCET	1521	22365	 	OP	96585589
396588	1349	1997-01-13	VYDAJ	VYBER	2200	14150	\N	\N	\N
396590	1349	1996-12-04	VYDAJ	VYBER	1250	20451	\N	\N	\N
396591	1349	1997-12-03	VYDAJ	VYBER	450	13106	\N	\N	\N
396592	1349	1998-12-23	VYDAJ	VYBER	700	16173	\N	\N	\N
396599	1349	1997-01-11	VYDAJ	VYBER	480	16350	\N	\N	\N
396600	1349	1997-01-10	VYDAJ	VYBER	1040	16830	\N	\N	\N
396601	1349	1997-01-20	VYDAJ	VYBER	1040	13110	\N	\N	\N
396602	1349	1997-01-04	VYDAJ	VYBER	2320	15154	\N	\N	\N
396610	1349	1998-01-12	VYDAJ	VYBER	640	13344	\N	\N	\N
396615	1349	1996-12-05	VYDAJ	VYBER	1920	18531	\N	\N	\N
396616	1349	1996-11-25	VYDAJ	VYBER	480	24615	\N	\N	\N
396617	1349	1996-09-18	VYDAJ	VYBER	640	24081	\N	\N	\N
396618	1349	1996-12-18	VYDAJ	VYBER	3840	17407	\N	\N	\N
396622	1349	1997-02-21	VYDAJ	VYBER	3120	12755	\N	\N	\N
396624	1349	1997-05-11	VYDAJ	VYBER	1920	13130	\N	\N	\N
396625	1349	1998-12-02	VYDAJ	VYBER	960	17357	\N	\N	\N
396627	1349	1998-12-19	VYDAJ	VYBER	3200	16873	\N	\N	\N
396635	1349	1996-07-31	VYDAJ	VYBER	15	26100	SLUZBY	\N	\N
396636	1349	1996-08-31	VYDAJ	VYBER	15	24305	SLUZBY	\N	\N
396637	1349	1996-09-30	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
396638	1349	1996-10-31	VYDAJ	VYBER	15	22379	SLUZBY	\N	\N
396639	1349	1996-11-30	VYDAJ	VYBER	15	24701	SLUZBY	\N	\N
396640	1349	1996-12-31	VYDAJ	VYBER	15	17474	SLUZBY	\N	\N
396641	1349	1997-01-31	VYDAJ	VYBER	15	13159	SLUZBY	\N	\N
396642	1349	1997-02-28	VYDAJ	VYBER	15	12800	SLUZBY	\N	\N
396643	1349	1997-03-31	VYDAJ	VYBER	15	15163	SLUZBY	\N	\N
396644	1349	1997-04-30	VYDAJ	VYBER	15	12334	SLUZBY	\N	\N
396645	1349	1997-05-31	VYDAJ	VYBER	15	13170	SLUZBY	\N	\N
396646	1349	1997-06-30	VYDAJ	VYBER	15	12734	SLUZBY	\N	\N
396647	1349	1997-07-31	VYDAJ	VYBER	15	15297	SLUZBY	\N	\N
396648	1349	1997-08-31	VYDAJ	VYBER	15	13167	SLUZBY	\N	\N
396649	1349	1997-09-30	VYDAJ	VYBER	15	15932	SLUZBY	\N	\N
396650	1349	1997-10-31	VYDAJ	VYBER	15	10802	SLUZBY	\N	\N
396651	1349	1997-11-30	VYDAJ	VYBER	15	13556	SLUZBY	\N	\N
396652	1349	1997-12-31	VYDAJ	VYBER	15	11268	SLUZBY	\N	\N
396653	1349	1998-01-31	VYDAJ	VYBER	15	13083	SLUZBY	\N	\N
396654	1349	1998-02-28	VYDAJ	VYBER	15	15747	SLUZBY	\N	\N
396655	1349	1998-03-31	VYDAJ	VYBER	15	14218	SLUZBY	\N	\N
396656	1349	1998-04-30	VYDAJ	VYBER	15	13383	SLUZBY	\N	\N
396657	1349	1998-05-31	VYDAJ	VYBER	15	11244	SLUZBY	\N	\N
396658	1349	1998-06-30	VYDAJ	VYBER	15	11798	SLUZBY	\N	\N
396659	1349	1998-07-31	VYDAJ	VYBER	15	14556	SLUZBY	\N	\N
396660	1349	1998-08-31	VYDAJ	VYBER	15	11419	SLUZBY	\N	\N
396661	1349	1998-09-30	VYDAJ	VYBER	15	14176	SLUZBY	\N	\N
396662	1349	1998-10-31	VYDAJ	VYBER	15	15542	SLUZBY	\N	\N
396663	1349	1998-11-30	VYDAJ	VYBER	15	18317	SLUZBY	\N	\N
396664	1349	1996-06-03	VYDAJ	VYBER	900	19471	\N	\N	\N
396665	1349	1996-07-03	VYDAJ	VYBER	2800	23290	\N	\N	\N
396666	1349	1996-08-02	VYDAJ	VYBER	4600	21500	\N	\N	\N
396667	1349	1996-09-01	VYDAJ	VYBER	2300	22005	\N	\N	\N
396668	1349	1996-10-31	VYDAJ	VYBER	4600	22394	\N	\N	\N
396669	1349	1996-11-30	VYDAJ	VYBER	3000	21701	\N	\N	\N
396670	1349	1997-03-30	VYDAJ	VYBER	400	15116	\N	\N	\N
396671	1349	1997-04-29	VYDAJ	VYBER	5600	12279	\N	\N	\N
396672	1349	1997-06-28	VYDAJ	VYBER	3200	12686	\N	\N	\N
396673	1349	1997-07-28	VYDAJ	VYBER	200	15250	\N	\N	\N
396674	1349	1997-08-27	VYDAJ	VYBER	4900	13113	\N	\N	\N
396675	1349	1997-10-26	VYDAJ	VYBER	7900	10748	\N	\N	\N
396676	1349	1997-12-25	VYDAJ	VYBER	4600	11222	\N	\N	\N
396677	1349	1998-01-24	VYDAJ	VYBER	300	13044	\N	\N	\N
396678	1349	1998-02-23	VYDAJ	VYBER	100	15699	\N	\N	\N
396679	1349	1998-03-25	VYDAJ	VYBER	4300	14163	\N	\N	\N
396680	1349	1998-04-24	VYDAJ	VYBER	3600	13334	\N	\N	\N
396681	1349	1998-05-24	VYDAJ	VYBER	4900	11199	\N	\N	\N
396682	1349	1998-06-23	VYDAJ	VYBER	2200	11760	\N	\N	\N
396683	1349	1998-08-22	VYDAJ	VYBER	5900	11372	\N	\N	\N
396684	1349	1998-10-21	VYDAJ	VYBER	1400	15492	\N	\N	\N
396719	1350	1996-08-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
396721	1350	1996-09-03	PRIJEM	VKLAD	24853	25853	\N	\N	\N
396729	1350	1996-12-01	PRIJEM	VKLAD	32001	58884	\N	\N	\N
396730	1350	1997-01-02	PRIJEM	VKLAD	29531	75644	\N	\N	\N
396731	1350	1997-07-28	PRIJEM	VKLAD	47829	81990	\N	\N	\N
396732	1350	1997-10-20	PRIJEM	VKLAD	49796	71149	\N	\N	\N
396733	1350	1997-04-05	PRIJEM	VKLAD	20532	54621	\N	\N	\N
396734	1350	1998-05-05	PRIJEM	VKLAD	17344	50692	\N	\N	\N
396735	1350	1998-09-07	PRIJEM	VKLAD	17971	45741	\N	\N	\N
396736	1350	1998-01-14	PRIJEM	VKLAD	38217	58065	\N	\N	\N
396737	1350	1998-03-09	PRIJEM	VKLAD	14334	34590	\N	\N	\N
396738	1350	1998-12-07	PRIJEM	VKLAD	37059	86516	\N	\N	\N
396739	1350	1998-11-02	PRIJEM	VKLAD	18084	86268	\N	\N	\N
396740	1350	1998-10-21	PRIJEM	VKLAD	18355	75776	\N	\N	\N
396741	1350	1998-08-21	PRIJEM	VKLAD	7711	27697	\N	\N	\N
396742	1350	1998-09-27	PRIJEM	VKLAD	41654	95968	\N	\N	\N
396743	1350	1998-07-19	PRIJEM	VKLAD	7279	26573	\N	\N	\N
396744	1350	1998-06-26	PRIJEM	VKLAD	36647	81237	\N	\N	\N
396745	1350	1998-06-08	PRIJEM	VKLAD	42125	74258	\N	\N	\N
396746	1350	1998-01-11	PRIJEM	VKLAD	34492	46163	\N	\N	\N
396747	1350	1998-04-18	PRIJEM	VKLAD	15814	41542	\N	\N	\N
396748	1350	1998-06-03	PRIJEM	VKLAD	5399	32133	\N	\N	\N
396749	1350	1998-09-08	PRIJEM	VKLAD	48341	94082	\N	\N	\N
396750	1350	1998-11-05	PRIJEM	VKLAD	22450	108718	\N	\N	\N
396806	1350	1997-08-10	VYDAJ	PREVOD NA UCET	6875	75275	SIPO	MN	23763126
396807	1350	1997-09-10	VYDAJ	PREVOD NA UCET	6875	18953	SIPO	MN	23763126
396808	1350	1997-10-10	VYDAJ	PREVOD NA UCET	6875	15447	SIPO	MN	23763126
396809	1350	1997-11-10	VYDAJ	PREVOD NA UCET	6875	64406	SIPO	MN	23763126
396810	1350	1997-12-10	VYDAJ	PREVOD NA UCET	6875	14071	SIPO	MN	23763126
396811	1350	1998-01-10	VYDAJ	PREVOD NA UCET	6875	11671	SIPO	MN	23763126
396812	1350	1998-02-10	VYDAJ	PREVOD NA UCET	6875	13201	SIPO	MN	23763126
396813	1350	1998-03-10	VYDAJ	PREVOD NA UCET	6875	27715	SIPO	MN	23763126
396814	1350	1998-04-10	VYDAJ	PREVOD NA UCET	6875	21321	SIPO	MN	23763126
396815	1350	1998-05-10	VYDAJ	PREVOD NA UCET	6875	43817	SIPO	MN	23763126
396816	1350	1998-06-10	VYDAJ	PREVOD NA UCET	6875	67383	SIPO	MN	23763126
396817	1350	1998-07-10	VYDAJ	PREVOD NA UCET	6875	24487	SIPO	MN	23763126
396818	1350	1998-08-10	VYDAJ	PREVOD NA UCET	6875	19779	SIPO	MN	23763126
396819	1350	1998-09-10	VYDAJ	PREVOD NA UCET	6875	87207	SIPO	MN	23763126
396820	1350	1998-10-10	VYDAJ	PREVOD NA UCET	6875	89314	SIPO	MN	23763126
396821	1350	1998-11-10	VYDAJ	PREVOD NA UCET	6875	65243	SIPO	MN	23763126
396822	1350	1998-12-10	VYDAJ	PREVOD NA UCET	6875	79641	SIPO	MN	23763126
396842	1350	1997-08-12	VYDAJ	PREVOD NA UCET	3493	71782	 	QR	96030205
396843	1350	1997-09-12	VYDAJ	PREVOD NA UCET	3493	15460	 	QR	96030205
396844	1350	1997-10-12	VYDAJ	PREVOD NA UCET	3493	11954	 	QR	96030205
396845	1350	1997-11-12	VYDAJ	PREVOD NA UCET	3493	60913	 	QR	96030205
396846	1350	1997-12-12	VYDAJ	PREVOD NA UCET	3493	10578	 	QR	96030205
396847	1350	1998-01-12	VYDAJ	PREVOD NA UCET	3493	22848	 	QR	96030205
396848	1350	1998-02-12	VYDAJ	PREVOD NA UCET	3493	9708	 	QR	96030205
396849	1350	1998-03-12	VYDAJ	PREVOD NA UCET	3493	24222	 	QR	96030205
396850	1350	1998-04-12	VYDAJ	PREVOD NA UCET	3493	17828	 	QR	96030205
396851	1350	1998-05-12	VYDAJ	PREVOD NA UCET	3493	40324	 	QR	96030205
396852	1350	1998-06-12	VYDAJ	PREVOD NA UCET	3493	63890	 	QR	96030205
396853	1350	1998-07-12	VYDAJ	PREVOD NA UCET	3493	20994	 	QR	96030205
396854	1350	1998-08-12	VYDAJ	PREVOD NA UCET	3493	16286	 	QR	96030205
396855	1350	1998-09-12	VYDAJ	PREVOD NA UCET	3493	83714	 	QR	96030205
396856	1350	1998-10-12	VYDAJ	PREVOD NA UCET	3493	85821	 	QR	96030205
396857	1350	1998-11-12	VYDAJ	PREVOD NA UCET	3493	61750	 	QR	96030205
396858	1350	1998-12-12	VYDAJ	PREVOD NA UCET	3493	76148	 	QR	96030205
396868	1350	1997-08-25	VYBER	VYBER	23079	25603	\N	\N	\N
396869	1350	1997-12-08	VYBER	VYBER	21774	20946	\N	\N	\N
396870	1350	1998-01-12	VYBER	VYBER	15022	26341	\N	\N	\N
396873	1350	1998-06-28	VYBER	VYBER	14338	31199	\N	\N	\N
396877	1350	1998-10-22	VYBER	VYBER	7882	67894	\N	\N	\N
396879	1350	1998-01-23	VYBER	VYBER	12674	19991	\N	\N	\N
396880	1350	1998-04-25	VYBER	VYBER	8290	33252	\N	\N	\N
396883	1350	1998-06-27	VYDAJ	VYBER	35700	45537	\N	\N	\N
396889	1350	1998-12-18	VYDAJ	VYBER	2700	54348	\N	\N	\N
396902	1350	1998-01-13	VYDAJ	VYBER	3000	19848	\N	\N	\N
396905	1350	1998-01-11	VYDAJ	VYBER	4800	41363	\N	\N	\N
396906	1350	1998-01-21	VYDAJ	VYBER	5700	32665	\N	\N	\N
396917	1350	1998-01-20	VYDAJ	VYBER	4200	38365	\N	\N	\N
396918	1350	1998-05-23	VYDAJ	VYBER	8700	26624	\N	\N	\N
396940	1350	1997-07-31	VYDAJ	VYBER	30	82150	SLUZBY	\N	\N
396941	1350	1997-08-31	VYDAJ	VYBER	30	25828	SLUZBY	\N	\N
396942	1350	1997-09-30	VYDAJ	VYBER	30	22322	SLUZBY	\N	\N
396943	1350	1997-10-31	VYDAJ	VYBER	30	71281	SLUZBY	\N	\N
396944	1350	1997-11-30	VYDAJ	VYBER	30	42720	SLUZBY	\N	\N
396945	1350	1997-12-31	VYDAJ	VYBER	30	18546	SLUZBY	\N	\N
396946	1350	1998-01-31	VYDAJ	VYBER	30	20076	SLUZBY	\N	\N
396947	1350	1998-02-28	VYDAJ	VYBER	30	20256	SLUZBY	\N	\N
396948	1350	1998-03-31	VYDAJ	VYBER	30	28196	SLUZBY	\N	\N
396949	1350	1998-04-30	VYDAJ	VYBER	30	33348	SLUZBY	\N	\N
396950	1350	1998-05-31	VYDAJ	VYBER	30	26734	SLUZBY	\N	\N
396951	1350	1998-06-30	VYDAJ	VYBER	30	31362	SLUZBY	\N	\N
396952	1350	1998-07-31	VYDAJ	VYBER	30	26654	SLUZBY	\N	\N
396953	1350	1998-08-31	VYDAJ	VYBER	30	27770	SLUZBY	\N	\N
396954	1350	1998-09-30	VYDAJ	VYBER	30	96189	SLUZBY	\N	\N
396955	1350	1998-10-31	VYDAJ	VYBER	30	68184	SLUZBY	\N	\N
396956	1350	1998-11-30	VYDAJ	VYBER	30	49457	SLUZBY	\N	\N
396957	1350	1996-09-24	VYDAJ	VYBER	1100	24753	\N	\N	\N
396958	1350	1996-10-24	PRIJEM	VKLAD	2100	26877	\N	\N	\N
396959	1350	1996-11-23	VYDAJ	VYBER	200	26780	\N	\N	\N
396960	1350	1996-12-23	VYDAJ	VYBER	12900	45984	\N	\N	\N
396961	1350	1997-01-22	VYDAJ	VYBER	22400	53244	\N	\N	\N
396962	1350	1997-02-21	VYDAJ	VYBER	10800	42646	\N	\N	\N
396963	1350	1997-03-23	VYDAJ	VYBER	9000	33867	\N	\N	\N
396964	1350	1997-04-22	VYDAJ	VYBER	14500	40121	\N	\N	\N
396965	1350	1997-05-22	VYDAJ	VYBER	6000	34327	\N	\N	\N
396966	1350	1997-06-21	PRIJEM	VKLAD	300	34794	\N	\N	\N
396967	1350	1997-07-21	VYDAJ	VYBER	800	34161	\N	\N	\N
396968	1350	1997-08-20	VYDAJ	VYBER	23100	48682	\N	\N	\N
396969	1350	1997-09-19	PRIJEM	VKLAD	6800	22260	\N	\N	\N
396970	1350	1997-10-19	PRIJEM	VKLAD	9400	21354	\N	\N	\N
396971	1350	1997-11-18	VYDAJ	VYBER	18400	42513	\N	\N	\N
396972	1350	1997-12-18	PRIJEM	VKLAD	7900	18478	\N	\N	\N
396973	1350	1998-01-17	VYDAJ	VYBER	15500	42565	\N	\N	\N
396974	1350	1998-02-16	PRIJEM	VKLAD	10500	20208	\N	\N	\N
396975	1350	1998-03-18	PRIJEM	VKLAD	3900	28122	\N	\N	\N
396976	1350	1998-04-17	PRIJEM	VKLAD	7900	25728	\N	\N	\N
396977	1350	1998-05-17	VYDAJ	VYBER	5000	35324	\N	\N	\N
396978	1350	1998-06-16	VYDAJ	VYBER	19300	44590	\N	\N	\N
396979	1350	1998-07-16	VYDAJ	VYBER	1700	19294	\N	\N	\N
396980	1350	1998-08-15	PRIJEM	VKLAD	3700	19986	\N	\N	\N
396981	1350	1998-09-14	VYDAJ	VYBER	29400	54314	\N	\N	\N
396982	1350	1998-10-14	VYDAJ	VYBER	28400	57421	\N	\N	\N
396983	1350	1998-11-05	VYDAJ	VYBER	36600	72118	\N	\N	\N
396984	1350	1998-11-13	VYDAJ	VYBER	12500	49250	\N	\N	\N
396985	1350	1998-12-13	VYDAJ	VYBER	19100	57048	\N	\N	\N
397014	1351	1996-03-29	PRIJEM	VKLAD	300	300	\N	\N	\N
397018	1351	1996-04-10	PRIJEM	PREVOD Z UCTU	3341	3641	\N	YZ	40064734
397019	1351	1996-05-10	PRIJEM	PREVOD Z UCTU	3341	6982	\N	YZ	40064734
397020	1351	1996-06-10	PRIJEM	PREVOD Z UCTU	3341	10323	\N	YZ	40064734
397021	1351	1996-07-10	PRIJEM	PREVOD Z UCTU	3341	13664	\N	YZ	40064734
397022	1351	1996-08-10	PRIJEM	PREVOD Z UCTU	3341	17005	\N	YZ	40064734
397023	1351	1996-09-10	PRIJEM	PREVOD Z UCTU	3341	17511	\N	YZ	40064734
397024	1351	1996-10-10	PRIJEM	PREVOD Z UCTU	3341	18672	\N	YZ	40064734
397025	1351	1996-11-10	PRIJEM	PREVOD Z UCTU	3341	19838	\N	YZ	40064734
397026	1351	1996-12-10	PRIJEM	PREVOD Z UCTU	3341	21009	\N	YZ	40064734
397027	1351	1997-01-10	PRIJEM	PREVOD Z UCTU	3341	20593	\N	YZ	40064734
397028	1351	1997-02-10	PRIJEM	PREVOD Z UCTU	3341	21767	\N	YZ	40064734
397029	1351	1997-03-10	PRIJEM	PREVOD Z UCTU	3341	22946	\N	YZ	40064734
397030	1351	1997-04-10	PRIJEM	PREVOD Z UCTU	3341	23047	\N	YZ	40064734
397031	1351	1997-05-10	PRIJEM	PREVOD Z UCTU	3341	22971	\N	YZ	40064734
397032	1351	1997-06-10	PRIJEM	PREVOD Z UCTU	3341	19235	\N	YZ	40064734
397033	1351	1997-07-10	PRIJEM	PREVOD Z UCTU	3341	19269	\N	YZ	40064734
397034	1351	1997-08-10	PRIJEM	PREVOD Z UCTU	3341	20437	\N	YZ	40064734
397035	1351	1997-09-10	PRIJEM	PREVOD Z UCTU	3341	21010	\N	YZ	40064734
397036	1351	1997-10-10	PRIJEM	PREVOD Z UCTU	3341	22185	\N	YZ	40064734
397037	1351	1997-11-10	PRIJEM	PREVOD Z UCTU	3341	23366	\N	YZ	40064734
397038	1351	1997-12-10	PRIJEM	PREVOD Z UCTU	3341	24552	\N	YZ	40064734
397039	1351	1998-01-10	PRIJEM	PREVOD Z UCTU	3341	25387	\N	YZ	40064734
397040	1351	1998-02-10	PRIJEM	PREVOD Z UCTU	3341	26580	\N	YZ	40064734
397041	1351	1998-03-10	PRIJEM	PREVOD Z UCTU	3341	27239	\N	YZ	40064734
397042	1351	1998-04-10	PRIJEM	PREVOD Z UCTU	3341	27752	\N	YZ	40064734
397043	1351	1998-05-10	PRIJEM	PREVOD Z UCTU	3341	28956	\N	YZ	40064734
397044	1351	1998-06-10	PRIJEM	PREVOD Z UCTU	3341	30164	\N	YZ	40064734
397045	1351	1998-07-10	PRIJEM	PREVOD Z UCTU	3341	30236	\N	YZ	40064734
397046	1351	1998-08-10	PRIJEM	PREVOD Z UCTU	3341	30158	\N	YZ	40064734
397047	1351	1998-09-10	PRIJEM	PREVOD Z UCTU	3341	30221	\N	YZ	40064734
397048	1351	1998-10-10	PRIJEM	PREVOD Z UCTU	3341	31438	\N	YZ	40064734
397049	1351	1998-11-10	PRIJEM	PREVOD Z UCTU	3341	31726	\N	YZ	40064734
397050	1351	1998-12-10	PRIJEM	PREVOD Z UCTU	3341	32946	\N	YZ	40064734
397058	1351	1996-08-13	VYDAJ	PREVOD NA UCET	2227	14778	SIPO	QR	55786406
397059	1351	1996-09-13	VYDAJ	PREVOD NA UCET	2227	15284	SIPO	QR	55786406
397060	1351	1996-10-13	VYDAJ	PREVOD NA UCET	2227	16445	SIPO	QR	55786406
397061	1351	1996-11-13	VYDAJ	PREVOD NA UCET	2227	17611	SIPO	QR	55786406
397062	1351	1996-12-13	VYDAJ	PREVOD NA UCET	2227	18152	SIPO	QR	55786406
397063	1351	1997-01-13	VYDAJ	PREVOD NA UCET	2227	18366	SIPO	QR	55786406
397064	1351	1997-02-13	VYDAJ	PREVOD NA UCET	2227	19540	SIPO	QR	55786406
397065	1351	1997-03-13	VYDAJ	PREVOD NA UCET	2227	19639	SIPO	QR	55786406
397066	1351	1997-04-13	VYDAJ	PREVOD NA UCET	2227	20820	SIPO	QR	55786406
397067	1351	1997-05-13	VYDAJ	PREVOD NA UCET	2227	20744	SIPO	QR	55786406
397068	1351	1997-06-13	VYDAJ	PREVOD NA UCET	2227	17008	SIPO	QR	55786406
397069	1351	1997-07-13	VYDAJ	PREVOD NA UCET	2227	17042	SIPO	QR	55786406
397070	1351	1997-08-13	VYDAJ	PREVOD NA UCET	2227	18210	SIPO	QR	55786406
397071	1351	1997-09-13	VYDAJ	PREVOD NA UCET	2227	18783	SIPO	QR	55786406
397072	1351	1997-10-13	VYDAJ	PREVOD NA UCET	2227	19958	SIPO	QR	55786406
397073	1351	1997-11-13	VYDAJ	PREVOD NA UCET	2227	21139	SIPO	QR	55786406
397074	1351	1997-12-13	VYDAJ	PREVOD NA UCET	2227	21965	SIPO	QR	55786406
397075	1351	1998-01-13	VYDAJ	PREVOD NA UCET	2227	23160	SIPO	QR	55786406
397076	1351	1998-02-13	VYDAJ	PREVOD NA UCET	2227	24353	SIPO	QR	55786406
397077	1351	1998-03-13	VYDAJ	PREVOD NA UCET	2227	25012	SIPO	QR	55786406
397078	1351	1998-04-13	VYDAJ	PREVOD NA UCET	2227	25525	SIPO	QR	55786406
397079	1351	1998-05-13	VYDAJ	PREVOD NA UCET	2227	26729	SIPO	QR	55786406
397080	1351	1998-06-13	VYDAJ	PREVOD NA UCET	2227	27937	SIPO	QR	55786406
397081	1351	1998-07-13	VYDAJ	PREVOD NA UCET	2227	26719	SIPO	QR	55786406
397082	1351	1998-08-13	VYDAJ	PREVOD NA UCET	2227	27931	SIPO	QR	55786406
397083	1351	1998-09-13	VYDAJ	PREVOD NA UCET	2227	27994	SIPO	QR	55786406
397084	1351	1998-10-13	VYDAJ	PREVOD NA UCET	2227	29211	SIPO	QR	55786406
397085	1351	1998-11-13	VYDAJ	PREVOD NA UCET	2227	29499	SIPO	QR	55786406
397086	1351	1998-12-13	VYDAJ	PREVOD NA UCET	2227	30719	SIPO	QR	55786406
397088	1351	1997-06-07	VYDAJ	VYBER	4920	15894	\N	\N	\N
397089	1351	1998-06-19	VYDAJ	VYBER	1140	26797	\N	\N	\N
397090	1351	1996-12-13	VYDAJ	VYBER	630	20379	\N	\N	\N
397091	1351	1997-12-13	VYDAJ	VYBER	360	24192	\N	\N	\N
397092	1351	1998-12-23	VYDAJ	VYBER	360	29069	\N	\N	\N
397093	1351	1996-12-25	VYDAJ	VYBER	960	17192	\N	\N	\N
397094	1351	1996-08-19	VYDAJ	VYBER	630	14148	\N	\N	\N
397097	1351	1997-03-11	VYDAJ	VYBER	1080	21866	\N	\N	\N
397098	1351	1997-04-27	VYDAJ	VYBER	1260	19560	\N	\N	\N
397099	1351	1997-08-21	VYDAJ	VYBER	600	17610	\N	\N	\N
397100	1351	1997-06-17	VYDAJ	VYBER	1140	15868	\N	\N	\N
397101	1351	1998-07-10	VYDAJ	VYBER	1290	28946	\N	\N	\N
397102	1351	1998-03-24	VYDAJ	VYBER	690	24322	\N	\N	\N
397103	1351	1998-03-07	VYDAJ	VYBER	540	23898	\N	\N	\N
397104	1351	1998-09-02	VYDAJ	VYBER	1050	26880	\N	\N	\N
397105	1351	1998-10-29	VYDAJ	VYBER	930	28281	\N	\N	\N
397106	1351	1998-12-13	VYDAJ	VYBER	1290	29429	\N	\N	\N
397115	1351	1996-08-31	VYDAJ	VYBER	15	14170	SLUZBY	\N	\N
397116	1351	1996-09-30	VYDAJ	VYBER	15	15331	SLUZBY	\N	\N
397117	1351	1996-10-31	VYDAJ	VYBER	15	16497	SLUZBY	\N	\N
397118	1351	1996-11-30	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
397119	1351	1996-12-31	VYDAJ	VYBER	15	17252	SLUZBY	\N	\N
397120	1351	1997-01-31	VYDAJ	VYBER	15	18426	SLUZBY	\N	\N
397121	1351	1997-02-28	VYDAJ	VYBER	15	19605	SLUZBY	\N	\N
397122	1351	1997-03-31	VYDAJ	VYBER	15	19706	SLUZBY	\N	\N
397123	1351	1997-04-30	VYDAJ	VYBER	15	19630	SLUZBY	\N	\N
397124	1351	1997-05-31	VYDAJ	VYBER	15	20814	SLUZBY	\N	\N
397125	1351	1997-06-30	VYDAJ	VYBER	15	15928	SLUZBY	\N	\N
397126	1351	1997-07-31	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
397127	1351	1997-08-31	VYDAJ	VYBER	15	17669	SLUZBY	\N	\N
397128	1351	1997-09-30	VYDAJ	VYBER	15	18844	SLUZBY	\N	\N
397129	1351	1997-10-31	VYDAJ	VYBER	15	20025	SLUZBY	\N	\N
397130	1351	1997-11-30	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
397131	1351	1997-12-31	VYDAJ	VYBER	15	22046	SLUZBY	\N	\N
397132	1351	1998-01-31	VYDAJ	VYBER	15	23239	SLUZBY	\N	\N
397133	1351	1998-02-28	VYDAJ	VYBER	15	24438	SLUZBY	\N	\N
397134	1351	1998-03-31	VYDAJ	VYBER	15	24411	SLUZBY	\N	\N
397135	1351	1998-04-30	VYDAJ	VYBER	15	25615	SLUZBY	\N	\N
397136	1351	1998-05-31	VYDAJ	VYBER	15	26823	SLUZBY	\N	\N
397137	1351	1998-06-30	VYDAJ	VYBER	15	26895	SLUZBY	\N	\N
397138	1351	1998-07-31	VYDAJ	VYBER	15	26817	SLUZBY	\N	\N
397139	1351	1998-08-31	VYDAJ	VYBER	15	27930	SLUZBY	\N	\N
397140	1351	1998-09-30	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
397141	1351	1998-10-31	VYDAJ	VYBER	15	28385	SLUZBY	\N	\N
397142	1351	1998-11-30	VYDAJ	VYBER	15	29605	SLUZBY	\N	\N
397143	1351	1998-08-16	VYDAJ	VYBER	100	27831	\N	\N	\N
397173	1352	1994-09-23	PRIJEM	VKLAD	500	500	\N	\N	\N
397183	1352	1994-10-08	PRIJEM	VKLAD	24800	25300	\N	\N	\N
397184	1352	1994-11-08	PRIJEM	VKLAD	24800	51332	\N	\N	\N
397185	1352	1994-12-08	PRIJEM	VKLAD	37200	75557	\N	\N	\N
397186	1352	1995-01-08	PRIJEM	VKLAD	24800	77436	\N	\N	\N
397187	1352	1995-02-08	PRIJEM	VKLAD	24800	75651	\N	\N	\N
397188	1352	1995-03-08	PRIJEM	VKLAD	24800	70240	\N	\N	\N
397189	1352	1995-04-08	PRIJEM	VKLAD	24800	65747	\N	\N	\N
397190	1352	1995-05-08	PRIJEM	VKLAD	24800	66379	\N	\N	\N
397191	1352	1995-06-08	PRIJEM	VKLAD	37200	81874	\N	\N	\N
397192	1352	1995-07-08	PRIJEM	VKLAD	24800	60013	\N	\N	\N
397193	1352	1995-08-08	PRIJEM	VKLAD	24800	64009	\N	\N	\N
397194	1352	1995-09-08	PRIJEM	VKLAD	24800	68395	\N	\N	\N
397195	1352	1995-10-08	PRIJEM	VKLAD	24800	73998	\N	\N	\N
397196	1352	1995-11-08	PRIJEM	VKLAD	24800	77921	\N	\N	\N
397197	1352	1995-12-08	PRIJEM	VKLAD	37200	88471	\N	\N	\N
397198	1352	1996-01-08	PRIJEM	VKLAD	24800	79944	\N	\N	\N
397199	1352	1996-02-08	PRIJEM	VKLAD	24800	74212	\N	\N	\N
397200	1352	1996-03-08	PRIJEM	VKLAD	24800	75525	\N	\N	\N
397201	1352	1996-04-08	PRIJEM	VKLAD	24800	75343	\N	\N	\N
397202	1352	1996-05-08	PRIJEM	VKLAD	24800	67991	\N	\N	\N
397203	1352	1996-06-08	PRIJEM	VKLAD	37200	82080	\N	\N	\N
397204	1352	1996-07-08	PRIJEM	VKLAD	24800	61353	\N	\N	\N
397205	1352	1996-08-08	PRIJEM	VKLAD	24800	67284	\N	\N	\N
397206	1352	1996-09-08	PRIJEM	VKLAD	24800	69468	\N	\N	\N
397207	1352	1996-10-08	PRIJEM	VKLAD	24800	69341	\N	\N	\N
397208	1352	1996-11-08	PRIJEM	VKLAD	24800	71432	\N	\N	\N
397209	1352	1996-12-08	PRIJEM	VKLAD	37200	86025	\N	\N	\N
397210	1352	1997-01-08	PRIJEM	VKLAD	24800	69889	\N	\N	\N
397211	1352	1997-02-08	PRIJEM	VKLAD	24800	57555	\N	\N	\N
397212	1352	1997-03-08	PRIJEM	VKLAD	24800	64902	\N	\N	\N
397213	1352	1997-04-08	PRIJEM	VKLAD	24800	65864	\N	\N	\N
397214	1352	1997-05-08	PRIJEM	VKLAD	24800	66728	\N	\N	\N
397215	1352	1997-06-08	PRIJEM	VKLAD	37200	78791	\N	\N	\N
397216	1352	1997-07-08	PRIJEM	VKLAD	24800	64748	\N	\N	\N
397217	1352	1997-08-08	PRIJEM	VKLAD	24800	58350	\N	\N	\N
397218	1352	1997-09-08	PRIJEM	VKLAD	24800	53852	\N	\N	\N
397219	1352	1997-10-08	PRIJEM	VKLAD	24800	56820	\N	\N	\N
397220	1352	1997-11-08	PRIJEM	VKLAD	24800	58908	\N	\N	\N
397221	1352	1997-12-08	PRIJEM	VKLAD	37200	75182	\N	\N	\N
397222	1352	1998-01-08	PRIJEM	VKLAD	24800	69387	\N	\N	\N
397223	1352	1998-02-08	PRIJEM	VKLAD	24800	66241	\N	\N	\N
397224	1352	1998-03-08	PRIJEM	VKLAD	24800	67362	\N	\N	\N
397225	1352	1998-04-08	PRIJEM	VKLAD	24800	70292	\N	\N	\N
397226	1352	1998-05-08	PRIJEM	VKLAD	24800	74730	\N	\N	\N
397227	1352	1998-06-08	PRIJEM	VKLAD	37200	83343	\N	\N	\N
397228	1352	1998-07-08	PRIJEM	VKLAD	24800	61023	\N	\N	\N
397229	1352	1998-08-08	PRIJEM	VKLAD	24800	61719	\N	\N	\N
397230	1352	1998-09-08	PRIJEM	VKLAD	24800	63623	\N	\N	\N
397231	1352	1998-10-08	PRIJEM	VKLAD	24800	63133	\N	\N	\N
397232	1352	1998-11-08	PRIJEM	VKLAD	24800	62234	\N	\N	\N
397233	1352	1998-12-08	PRIJEM	VKLAD	37200	75838	\N	\N	\N
397247	1352	1995-02-12	VYDAJ	PREVOD NA UCET	2976	72675	SIPO	GH	58356165
397248	1352	1995-03-12	VYDAJ	PREVOD NA UCET	2976	63819	SIPO	GH	58356165
397249	1352	1995-04-12	VYDAJ	PREVOD NA UCET	2976	59326	SIPO	GH	58356165
397250	1352	1995-05-12	VYDAJ	PREVOD NA UCET	2976	63403	SIPO	GH	58356165
397251	1352	1995-06-12	VYDAJ	PREVOD NA UCET	2976	75453	SIPO	GH	58356165
397252	1352	1995-07-12	VYDAJ	PREVOD NA UCET	2976	53592	SIPO	GH	58356165
397253	1352	1995-08-12	VYDAJ	PREVOD NA UCET	2976	61033	SIPO	GH	58356165
397254	1352	1995-09-12	VYDAJ	PREVOD NA UCET	2976	65419	SIPO	GH	58356165
397255	1352	1995-10-12	VYDAJ	PREVOD NA UCET	2976	67577	SIPO	GH	58356165
397256	1352	1995-11-12	VYDAJ	PREVOD NA UCET	2976	71500	SIPO	GH	58356165
397257	1352	1995-12-12	VYDAJ	PREVOD NA UCET	2976	82050	SIPO	GH	58356165
397258	1352	1996-01-12	VYDAJ	PREVOD NA UCET	2976	70283	SIPO	GH	58356165
397259	1352	1996-02-12	VYDAJ	PREVOD NA UCET	2976	67791	SIPO	GH	58356165
397260	1352	1996-03-12	VYDAJ	PREVOD NA UCET	2976	72549	SIPO	GH	58356165
397261	1352	1996-04-12	VYDAJ	PREVOD NA UCET	2976	68922	SIPO	GH	58356165
397262	1352	1996-05-12	VYDAJ	PREVOD NA UCET	2976	61570	SIPO	GH	58356165
397263	1352	1996-06-12	VYDAJ	PREVOD NA UCET	2976	75659	SIPO	GH	58356165
397264	1352	1996-07-12	VYDAJ	PREVOD NA UCET	2976	58377	SIPO	GH	58356165
397265	1352	1996-08-12	VYDAJ	PREVOD NA UCET	2976	64308	SIPO	GH	58356165
397266	1352	1996-09-12	VYDAJ	PREVOD NA UCET	2976	66492	SIPO	GH	58356165
397267	1352	1996-10-12	VYDAJ	PREVOD NA UCET	2976	66365	SIPO	GH	58356165
397268	1352	1996-11-12	VYDAJ	PREVOD NA UCET	2976	49211	SIPO	GH	58356165
397269	1352	1996-12-12	VYDAJ	PREVOD NA UCET	2976	55149	SIPO	GH	58356165
397270	1352	1997-01-12	VYDAJ	PREVOD NA UCET	2976	47413	SIPO	GH	58356165
397271	1352	1997-02-12	VYDAJ	PREVOD NA UCET	2976	40534	SIPO	GH	58356165
397272	1352	1997-03-12	VYDAJ	PREVOD NA UCET	2976	41481	SIPO	GH	58356165
397273	1352	1997-04-12	VYDAJ	PREVOD NA UCET	2976	42343	SIPO	GH	58356165
397274	1352	1997-05-12	VYDAJ	PREVOD NA UCET	2976	42007	SIPO	GH	58356165
397275	1352	1997-06-12	VYDAJ	PREVOD NA UCET	2976	52115	SIPO	GH	58356165
397276	1352	1997-07-12	VYDAJ	PREVOD NA UCET	2976	41872	SIPO	GH	58356165
397277	1352	1997-08-12	VYDAJ	PREVOD NA UCET	2976	42874	SIPO	GH	58356165
397278	1352	1997-09-12	VYDAJ	PREVOD NA UCET	2976	47431	SIPO	GH	58356165
397279	1352	1997-10-12	VYDAJ	PREVOD NA UCET	2976	53844	SIPO	GH	58356165
397280	1352	1997-11-12	VYDAJ	PREVOD NA UCET	2976	55932	SIPO	GH	58356165
397281	1352	1997-12-12	VYDAJ	PREVOD NA UCET	2976	72206	SIPO	GH	58356165
397282	1352	1998-01-12	VYDAJ	PREVOD NA UCET	2976	66411	SIPO	GH	58356165
397283	1352	1998-02-12	VYDAJ	PREVOD NA UCET	2976	63265	SIPO	GH	58356165
397284	1352	1998-03-12	VYDAJ	PREVOD NA UCET	2976	64386	SIPO	GH	58356165
397285	1352	1998-04-12	VYDAJ	PREVOD NA UCET	2976	67316	SIPO	GH	58356165
397286	1352	1998-05-12	VYDAJ	PREVOD NA UCET	2976	68309	SIPO	GH	58356165
397287	1352	1998-06-12	VYDAJ	PREVOD NA UCET	2976	78207	SIPO	GH	58356165
397288	1352	1998-07-12	VYDAJ	PREVOD NA UCET	2976	58047	SIPO	GH	58356165
397289	1352	1998-08-12	VYDAJ	PREVOD NA UCET	2976	55298	SIPO	GH	58356165
397290	1352	1998-09-12	VYDAJ	PREVOD NA UCET	2976	60647	SIPO	GH	58356165
397291	1352	1998-10-12	VYDAJ	PREVOD NA UCET	2976	60157	SIPO	GH	58356165
397292	1352	1998-11-12	VYDAJ	PREVOD NA UCET	2976	59258	SIPO	GH	58356165
397293	1352	1998-12-12	VYDAJ	PREVOD NA UCET	2976	68422	SIPO	GH	58356165
397307	1352	1995-02-12	VYDAJ	PREVOD NA UCET	3445	69230	 	WX	39692401
397308	1352	1995-03-12	VYDAJ	PREVOD NA UCET	3445	66795	 	WX	39692401
397309	1352	1995-04-12	VYDAJ	PREVOD NA UCET	3445	62302	 	WX	39692401
397310	1352	1995-05-12	VYDAJ	PREVOD NA UCET	3445	59958	 	WX	39692401
397311	1352	1995-06-12	VYDAJ	PREVOD NA UCET	3445	78429	 	WX	39692401
397312	1352	1995-07-12	VYDAJ	PREVOD NA UCET	3445	56568	 	WX	39692401
397313	1352	1995-08-12	VYDAJ	PREVOD NA UCET	3445	57588	 	WX	39692401
397314	1352	1995-09-12	VYDAJ	PREVOD NA UCET	3445	61974	 	WX	39692401
397315	1352	1995-10-12	VYDAJ	PREVOD NA UCET	3445	70553	 	WX	39692401
397316	1352	1995-11-12	VYDAJ	PREVOD NA UCET	3445	74476	 	WX	39692401
397317	1352	1995-12-12	VYDAJ	PREVOD NA UCET	3445	85026	 	WX	39692401
397318	1352	1996-01-12	VYDAJ	PREVOD NA UCET	3445	73259	 	WX	39692401
397319	1352	1996-02-12	VYDAJ	PREVOD NA UCET	3445	70767	 	WX	39692401
397320	1352	1996-03-12	VYDAJ	PREVOD NA UCET	3445	69104	 	WX	39692401
397321	1352	1996-04-12	VYDAJ	PREVOD NA UCET	3445	71898	 	WX	39692401
397322	1352	1996-05-12	VYDAJ	PREVOD NA UCET	3445	64546	 	WX	39692401
397323	1352	1996-06-12	VYDAJ	PREVOD NA UCET	3445	78635	 	WX	39692401
397324	1352	1996-07-12	VYDAJ	PREVOD NA UCET	3445	54932	 	WX	39692401
397325	1352	1996-08-12	VYDAJ	PREVOD NA UCET	3445	60863	 	WX	39692401
397326	1352	1996-09-12	VYDAJ	PREVOD NA UCET	3445	48647	 	WX	39692401
397327	1352	1996-10-12	VYDAJ	PREVOD NA UCET	3445	47020	 	WX	39692401
397328	1352	1996-11-12	VYDAJ	PREVOD NA UCET	3445	52187	 	WX	39692401
397329	1352	1996-12-12	VYDAJ	PREVOD NA UCET	3445	51704	 	WX	39692401
397330	1352	1997-01-12	VYDAJ	PREVOD NA UCET	3445	43968	 	WX	39692401
397331	1352	1997-02-12	VYDAJ	PREVOD NA UCET	3445	43510	 	WX	39692401
397332	1352	1997-03-12	VYDAJ	PREVOD NA UCET	3445	44457	 	WX	39692401
397333	1352	1997-04-12	VYDAJ	PREVOD NA UCET	3445	45319	 	WX	39692401
397334	1352	1997-05-12	VYDAJ	PREVOD NA UCET	3445	44983	 	WX	39692401
397335	1352	1997-06-12	VYDAJ	PREVOD NA UCET	3445	48670	 	WX	39692401
397336	1352	1997-07-12	VYDAJ	PREVOD NA UCET	3445	38427	 	WX	39692401
397337	1352	1997-08-12	VYDAJ	PREVOD NA UCET	3445	39429	 	WX	39692401
397338	1352	1997-09-12	VYDAJ	PREVOD NA UCET	3445	50407	 	WX	39692401
397339	1352	1997-10-12	VYDAJ	PREVOD NA UCET	3445	50399	 	WX	39692401
397340	1352	1997-11-12	VYDAJ	PREVOD NA UCET	3445	52487	 	WX	39692401
397341	1352	1997-12-12	VYDAJ	PREVOD NA UCET	3445	68761	 	WX	39692401
397342	1352	1998-01-12	VYDAJ	PREVOD NA UCET	3445	62966	 	WX	39692401
397343	1352	1998-02-12	VYDAJ	PREVOD NA UCET	3445	59820	 	WX	39692401
397344	1352	1998-03-12	VYDAJ	PREVOD NA UCET	3445	60941	 	WX	39692401
397345	1352	1998-04-12	VYDAJ	PREVOD NA UCET	3445	63871	 	WX	39692401
397346	1352	1998-05-12	VYDAJ	PREVOD NA UCET	3445	71285	 	WX	39692401
397347	1352	1998-06-12	VYDAJ	PREVOD NA UCET	3445	74762	 	WX	39692401
397348	1352	1998-07-12	VYDAJ	PREVOD NA UCET	3445	54602	 	WX	39692401
397349	1352	1998-08-12	VYDAJ	PREVOD NA UCET	3445	58274	 	WX	39692401
397350	1352	1998-09-12	VYDAJ	PREVOD NA UCET	3445	57202	 	WX	39692401
397351	1352	1998-10-12	VYDAJ	PREVOD NA UCET	3445	56712	 	WX	39692401
397352	1352	1998-11-12	VYDAJ	PREVOD NA UCET	3445	55813	 	WX	39692401
397353	1352	1998-12-12	VYDAJ	PREVOD NA UCET	3445	64977	 	WX	39692401
397368	1352	1995-03-05	VYDAJ	PREVOD NA UCET	370	45440	POJISTNE	EF	54978299
397369	1352	1995-04-05	VYDAJ	PREVOD NA UCET	370	40947	POJISTNE	EF	54978299
397370	1352	1995-05-05	VYDAJ	PREVOD NA UCET	370	41579	POJISTNE	EF	54978299
397371	1352	1995-06-05	VYDAJ	PREVOD NA UCET	370	44674	POJISTNE	EF	54978299
397372	1352	1995-07-05	VYDAJ	PREVOD NA UCET	370	35213	POJISTNE	EF	54978299
397373	1352	1995-08-05	VYDAJ	PREVOD NA UCET	370	39209	POJISTNE	EF	54978299
397374	1352	1995-09-05	VYDAJ	PREVOD NA UCET	370	43595	POJISTNE	EF	54978299
397375	1352	1995-10-05	VYDAJ	PREVOD NA UCET	370	49198	POJISTNE	EF	54978299
397376	1352	1995-11-05	VYDAJ	PREVOD NA UCET	370	53121	POJISTNE	EF	54978299
397377	1352	1995-12-05	VYDAJ	PREVOD NA UCET	370	51271	POJISTNE	EF	54978299
397378	1352	1996-01-05	VYDAJ	PREVOD NA UCET	370	58024	POJISTNE	EF	54978299
397379	1352	1996-02-05	VYDAJ	PREVOD NA UCET	370	49412	POJISTNE	EF	54978299
397380	1352	1996-03-05	VYDAJ	PREVOD NA UCET	370	50725	POJISTNE	EF	54978299
397381	1352	1996-04-05	VYDAJ	PREVOD NA UCET	370	50543	POJISTNE	EF	54978299
397382	1352	1996-05-05	VYDAJ	PREVOD NA UCET	370	43191	POJISTNE	EF	54978299
397383	1352	1996-06-05	VYDAJ	PREVOD NA UCET	370	44880	POJISTNE	EF	54978299
397384	1352	1996-07-05	VYDAJ	PREVOD NA UCET	370	36553	POJISTNE	EF	54978299
397385	1352	1996-08-05	VYDAJ	PREVOD NA UCET	370	42484	POJISTNE	EF	54978299
397386	1352	1996-09-05	VYDAJ	PREVOD NA UCET	370	44668	POJISTNE	EF	54978299
397387	1352	1996-10-05	VYDAJ	PREVOD NA UCET	370	44541	POJISTNE	EF	54978299
397388	1352	1996-11-05	VYDAJ	PREVOD NA UCET	370	46632	POJISTNE	EF	54978299
397389	1352	1996-12-05	VYDAJ	PREVOD NA UCET	370	48825	POJISTNE	EF	54978299
397390	1352	1997-01-05	VYDAJ	PREVOD NA UCET	370	45089	POJISTNE	EF	54978299
397391	1352	1997-02-05	VYDAJ	PREVOD NA UCET	370	32755	POJISTNE	EF	54978299
397392	1352	1997-03-05	VYDAJ	PREVOD NA UCET	370	40102	POJISTNE	EF	54978299
397393	1352	1997-04-05	VYDAJ	PREVOD NA UCET	370	41064	POJISTNE	EF	54978299
397394	1352	1997-05-05	VYDAJ	PREVOD NA UCET	370	41928	POJISTNE	EF	54978299
397395	1352	1997-06-05	VYDAJ	PREVOD NA UCET	370	41591	POJISTNE	EF	54978299
397396	1352	1997-07-05	VYDAJ	PREVOD NA UCET	370	39948	POJISTNE	EF	54978299
397397	1352	1997-08-05	VYDAJ	PREVOD NA UCET	370	33550	POJISTNE	EF	54978299
397398	1352	1997-09-05	VYDAJ	PREVOD NA UCET	370	35752	POJISTNE	EF	54978299
397399	1352	1997-10-05	VYDAJ	PREVOD NA UCET	370	47020	POJISTNE	EF	54978299
397400	1352	1997-11-05	VYDAJ	PREVOD NA UCET	370	50008	POJISTNE	EF	54978299
397401	1352	1997-12-05	VYDAJ	PREVOD NA UCET	370	52102	POJISTNE	EF	54978299
397402	1352	1998-01-05	VYDAJ	PREVOD NA UCET	370	60587	POJISTNE	EF	54978299
397403	1352	1998-02-05	VYDAJ	PREVOD NA UCET	370	41441	POJISTNE	EF	54978299
397404	1352	1998-03-05	VYDAJ	PREVOD NA UCET	370	59462	POJISTNE	EF	54978299
397405	1352	1998-04-05	VYDAJ	PREVOD NA UCET	370	60592	POJISTNE	EF	54978299
397406	1352	1998-05-05	VYDAJ	PREVOD NA UCET	370	63530	POJISTNE	EF	54978299
397407	1352	1998-06-05	VYDAJ	PREVOD NA UCET	370	46143	POJISTNE	EF	54978299
397408	1352	1998-07-05	VYDAJ	PREVOD NA UCET	370	36223	POJISTNE	EF	54978299
397409	1352	1998-08-05	VYDAJ	PREVOD NA UCET	370	36919	POJISTNE	EF	54978299
397410	1352	1998-09-05	VYDAJ	PREVOD NA UCET	370	38823	POJISTNE	EF	54978299
397411	1352	1998-10-05	VYDAJ	PREVOD NA UCET	370	38333	POJISTNE	EF	54978299
397412	1352	1998-11-05	VYDAJ	PREVOD NA UCET	370	37434	POJISTNE	EF	54978299
397413	1352	1998-12-05	VYDAJ	PREVOD NA UCET	370	38638	POJISTNE	EF	54978299
397427	1352	1995-02-13	VYDAJ	PREVOD NA UCET	213	69017	 	EF	98708682
397428	1352	1995-03-13	VYDAJ	PREVOD NA UCET	213	63606	 	EF	98708682
397429	1352	1995-04-13	VYDAJ	PREVOD NA UCET	213	59113	 	EF	98708682
397430	1352	1995-05-13	VYDAJ	PREVOD NA UCET	213	59745	 	EF	98708682
397431	1352	1995-06-13	VYDAJ	PREVOD NA UCET	213	75240	 	EF	98708682
397432	1352	1995-07-13	VYDAJ	PREVOD NA UCET	213	53379	 	EF	98708682
397433	1352	1995-08-13	VYDAJ	PREVOD NA UCET	213	57375	 	EF	98708682
397434	1352	1995-09-13	VYDAJ	PREVOD NA UCET	213	61761	 	EF	98708682
397435	1352	1995-10-13	VYDAJ	PREVOD NA UCET	213	67364	 	EF	98708682
397436	1352	1995-11-13	VYDAJ	PREVOD NA UCET	213	71287	 	EF	98708682
397437	1352	1995-12-13	VYDAJ	PREVOD NA UCET	213	81837	 	EF	98708682
397438	1352	1996-01-13	VYDAJ	PREVOD NA UCET	213	70070	 	EF	98708682
397439	1352	1996-02-13	VYDAJ	PREVOD NA UCET	213	67578	 	EF	98708682
397440	1352	1996-03-13	VYDAJ	PREVOD NA UCET	213	68891	 	EF	98708682
397441	1352	1996-04-13	VYDAJ	PREVOD NA UCET	213	68709	 	EF	98708682
397442	1352	1996-05-13	VYDAJ	PREVOD NA UCET	213	61357	 	EF	98708682
397443	1352	1996-06-13	VYDAJ	PREVOD NA UCET	213	40246	 	EF	98708682
397444	1352	1996-07-13	VYDAJ	PREVOD NA UCET	213	54719	 	EF	98708682
397445	1352	1996-08-13	VYDAJ	PREVOD NA UCET	213	60650	 	EF	98708682
397446	1352	1996-09-13	VYDAJ	PREVOD NA UCET	213	48434	 	EF	98708682
397447	1352	1996-10-13	VYDAJ	PREVOD NA UCET	213	46807	 	EF	98708682
397448	1352	1996-11-13	VYDAJ	PREVOD NA UCET	213	48998	 	EF	98708682
397449	1352	1996-12-13	VYDAJ	PREVOD NA UCET	213	51491	 	EF	98708682
397450	1352	1997-01-13	VYDAJ	PREVOD NA UCET	213	43755	 	EF	98708682
397451	1352	1997-02-13	VYDAJ	PREVOD NA UCET	213	40321	 	EF	98708682
397452	1352	1997-03-13	VYDAJ	PREVOD NA UCET	213	41268	 	EF	98708682
397453	1352	1997-04-13	VYDAJ	PREVOD NA UCET	213	42130	 	EF	98708682
397454	1352	1997-05-13	VYDAJ	PREVOD NA UCET	213	41794	 	EF	98708682
397455	1352	1997-06-13	VYDAJ	PREVOD NA UCET	213	48457	 	EF	98708682
397456	1352	1997-07-13	VYDAJ	PREVOD NA UCET	213	38214	 	EF	98708682
397457	1352	1997-08-13	VYDAJ	PREVOD NA UCET	213	39216	 	EF	98708682
397458	1352	1997-09-13	VYDAJ	PREVOD NA UCET	213	47218	 	EF	98708682
397459	1352	1997-10-13	VYDAJ	PREVOD NA UCET	213	50186	 	EF	98708682
397460	1352	1997-11-13	VYDAJ	PREVOD NA UCET	213	52274	 	EF	98708682
397461	1352	1997-12-13	VYDAJ	PREVOD NA UCET	213	68548	 	EF	98708682
397462	1352	1998-01-13	VYDAJ	PREVOD NA UCET	213	62753	 	EF	98708682
397463	1352	1998-02-13	VYDAJ	PREVOD NA UCET	213	59607	 	EF	98708682
397464	1352	1998-03-13	VYDAJ	PREVOD NA UCET	213	60728	 	EF	98708682
397465	1352	1998-04-13	VYDAJ	PREVOD NA UCET	213	63658	 	EF	98708682
397466	1352	1998-05-13	VYDAJ	PREVOD NA UCET	213	68096	 	EF	98708682
397467	1352	1998-06-13	VYDAJ	PREVOD NA UCET	213	74549	 	EF	98708682
397468	1352	1998-07-13	VYDAJ	PREVOD NA UCET	213	54389	 	EF	98708682
397469	1352	1998-08-13	VYDAJ	PREVOD NA UCET	213	55085	 	EF	98708682
397470	1352	1998-09-13	VYDAJ	PREVOD NA UCET	213	56989	 	EF	98708682
397471	1352	1998-10-13	VYDAJ	PREVOD NA UCET	213	56499	 	EF	98708682
397472	1352	1998-11-13	VYDAJ	PREVOD NA UCET	213	55600	 	EF	98708682
397473	1352	1998-12-13	VYDAJ	PREVOD NA UCET	213	64764	 	EF	98708682
397475	1352	1995-06-18	VYDAJ	VYBER	33760	41480	\N	\N	\N
397476	1352	1996-06-13	VYDAJ	VYBER	35200	40459	\N	\N	\N
397477	1352	1997-06-26	VYDAJ	VYBER	8320	40137	\N	\N	\N
397478	1352	1998-06-27	VYDAJ	VYBER	29920	44629	\N	\N	\N
397480	1352	1995-12-01	VYDAJ	VYBER	2080	51641	\N	\N	\N
397481	1352	1996-12-24	VYDAJ	VYBER	2880	48611	\N	\N	\N
397482	1352	1997-12-14	VYDAJ	VYBER	1600	66948	\N	\N	\N
397483	1352	1998-12-27	VYDAJ	VYBER	1600	63164	\N	\N	\N
397496	1352	1996-01-04	VYDAJ	VYBER	1200	58394	\N	\N	\N
397497	1352	1996-01-25	VYDAJ	VYBER	1560	52190	\N	\N	\N
397498	1352	1996-01-14	VYDAJ	VYBER	3120	66950	\N	\N	\N
397499	1352	1996-01-11	VYDAJ	VYBER	3240	76704	\N	\N	\N
397500	1352	1996-01-28	VYDAJ	VYBER	2640	49550	\N	\N	\N
397501	1352	1996-01-06	VYDAJ	VYBER	2880	55144	\N	\N	\N
397502	1352	1997-01-02	VYDAJ	VYBER	3360	45459	\N	\N	\N
397503	1352	1997-01-17	VYDAJ	VYBER	840	42915	\N	\N	\N
397504	1352	1997-01-17	VYDAJ	VYBER	1680	41235	\N	\N	\N
397505	1352	1997-01-30	VYDAJ	VYBER	1920	35595	\N	\N	\N
397506	1352	1997-01-27	VYDAJ	VYBER	2040	37515	\N	\N	\N
397507	1352	1997-01-23	VYDAJ	VYBER	1680	39555	\N	\N	\N
397508	1352	1998-01-03	VYDAJ	VYBER	720	60957	\N	\N	\N
397509	1352	1998-01-03	VYDAJ	VYBER	2280	64917	\N	\N	\N
397510	1352	1998-01-24	VYDAJ	VYBER	1920	56273	\N	\N	\N
397511	1352	1998-01-03	VYDAJ	VYBER	3240	61677	\N	\N	\N
397512	1352	1998-01-19	VYDAJ	VYBER	3240	58193	\N	\N	\N
397513	1352	1998-01-15	VYDAJ	VYBER	1320	61433	\N	\N	\N
397519	1352	1995-02-22	VYDAJ	VYBER	2520	45597	\N	\N	\N
397520	1352	1995-04-02	VYDAJ	VYBER	3000	41317	\N	\N	\N
397521	1352	1995-04-27	VYDAJ	VYBER	960	41753	\N	\N	\N
397522	1352	1995-08-05	VYDAJ	VYBER	4680	39579	\N	\N	\N
397523	1352	1996-09-04	VYDAJ	VYBER	720	45038	\N	\N	\N
397524	1352	1996-10-01	VYDAJ	VYBER	3720	44911	\N	\N	\N
397525	1352	1996-03-28	VYDAJ	VYBER	1800	50691	\N	\N	\N
397526	1352	1996-05-03	VYDAJ	VYBER	4560	43561	\N	\N	\N
397527	1352	1996-07-22	VYDAJ	VYBER	3840	42679	\N	\N	\N
397528	1352	1996-08-19	VYDAJ	VYBER	2880	45570	\N	\N	\N
397529	1352	1997-08-17	VYDAJ	VYBER	3240	35976	\N	\N	\N
397530	1352	1997-06-08	VYDAJ	VYBER	1800	76991	\N	\N	\N
397531	1352	1997-12-05	VYDAJ	VYBER	1920	50182	\N	\N	\N
397532	1352	1997-02-01	VYDAJ	VYBER	2640	33125	\N	\N	\N
397533	1352	1997-07-23	VYDAJ	VYBER	4440	33774	\N	\N	\N
397534	1352	1998-05-19	VYDAJ	VYBER	2040	66056	\N	\N	\N
397535	1352	1998-10-16	VYDAJ	VYBER	4200	52299	\N	\N	\N
397536	1352	1998-12-11	VYDAJ	VYBER	4440	71398	\N	\N	\N
397537	1352	1998-06-09	VYDAJ	VYBER	2160	81183	\N	\N	\N
397552	1352	1995-02-28	VYDAJ	VYBER	15	45810	SLUZBY	\N	\N
397553	1352	1995-03-31	VYDAJ	VYBER	15	44317	SLUZBY	\N	\N
397554	1352	1995-04-30	VYDAJ	VYBER	15	41949	SLUZBY	\N	\N
397555	1352	1995-05-31	VYDAJ	VYBER	15	45044	SLUZBY	\N	\N
397556	1352	1995-06-30	VYDAJ	VYBER	15	35583	SLUZBY	\N	\N
397557	1352	1995-07-31	VYDAJ	VYBER	15	44259	SLUZBY	\N	\N
397558	1352	1995-08-31	VYDAJ	VYBER	15	43965	SLUZBY	\N	\N
397559	1352	1995-09-30	VYDAJ	VYBER	15	49568	SLUZBY	\N	\N
397560	1352	1995-10-31	VYDAJ	VYBER	15	53491	SLUZBY	\N	\N
397561	1352	1995-11-30	VYDAJ	VYBER	15	53721	SLUZBY	\N	\N
397562	1352	1995-12-31	VYDAJ	VYBER	15	59594	SLUZBY	\N	\N
397563	1352	1996-01-31	VYDAJ	VYBER	15	49782	SLUZBY	\N	\N
397564	1352	1996-02-29	VYDAJ	VYBER	15	51095	SLUZBY	\N	\N
397565	1352	1996-03-31	VYDAJ	VYBER	15	50913	SLUZBY	\N	\N
397566	1352	1996-04-30	VYDAJ	VYBER	15	48121	SLUZBY	\N	\N
397567	1352	1996-05-31	VYDAJ	VYBER	15	45250	SLUZBY	\N	\N
397568	1352	1996-06-30	VYDAJ	VYBER	15	36923	SLUZBY	\N	\N
397569	1352	1996-07-31	VYDAJ	VYBER	15	42854	SLUZBY	\N	\N
397570	1352	1996-08-31	VYDAJ	VYBER	15	45758	SLUZBY	\N	\N
397571	1352	1996-09-30	VYDAJ	VYBER	15	48631	SLUZBY	\N	\N
397572	1352	1996-10-31	VYDAJ	VYBER	15	47002	SLUZBY	\N	\N
397573	1352	1996-11-30	VYDAJ	VYBER	15	49195	SLUZBY	\N	\N
397574	1352	1996-12-31	VYDAJ	VYBER	15	48819	SLUZBY	\N	\N
397575	1352	1997-01-31	VYDAJ	VYBER	15	35765	SLUZBY	\N	\N
397576	1352	1997-02-28	VYDAJ	VYBER	15	40472	SLUZBY	\N	\N
397577	1352	1997-03-31	VYDAJ	VYBER	15	41434	SLUZBY	\N	\N
397578	1352	1997-04-30	VYDAJ	VYBER	15	42298	SLUZBY	\N	\N
397579	1352	1997-05-31	VYDAJ	VYBER	15	41961	SLUZBY	\N	\N
397580	1352	1997-06-30	VYDAJ	VYBER	15	40318	SLUZBY	\N	\N
397581	1352	1997-07-31	VYDAJ	VYBER	15	33920	SLUZBY	\N	\N
397582	1352	1997-08-31	VYDAJ	VYBER	15	36122	SLUZBY	\N	\N
397583	1352	1997-09-30	VYDAJ	VYBER	15	47390	SLUZBY	\N	\N
397584	1352	1997-10-31	VYDAJ	VYBER	15	50378	SLUZBY	\N	\N
397585	1352	1997-11-30	VYDAJ	VYBER	15	52472	SLUZBY	\N	\N
397586	1352	1997-12-31	VYDAJ	VYBER	15	67197	SLUZBY	\N	\N
397587	1352	1998-01-31	VYDAJ	VYBER	15	56511	SLUZBY	\N	\N
397588	1352	1998-02-28	VYDAJ	VYBER	15	59832	SLUZBY	\N	\N
397589	1352	1998-03-31	VYDAJ	VYBER	15	60962	SLUZBY	\N	\N
397590	1352	1998-04-30	VYDAJ	VYBER	15	63900	SLUZBY	\N	\N
397591	1352	1998-05-31	VYDAJ	VYBER	15	66313	SLUZBY	\N	\N
397592	1352	1998-06-30	VYDAJ	VYBER	15	44893	SLUZBY	\N	\N
397593	1352	1998-07-31	VYDAJ	VYBER	15	54589	SLUZBY	\N	\N
397594	1352	1998-08-31	VYDAJ	VYBER	15	55293	SLUZBY	\N	\N
397595	1352	1998-09-30	VYDAJ	VYBER	15	57203	SLUZBY	\N	\N
397596	1352	1998-10-31	VYDAJ	VYBER	15	52504	SLUZBY	\N	\N
397597	1352	1998-11-30	VYDAJ	VYBER	15	55808	SLUZBY	\N	\N
397598	1352	1994-10-23	PRIJEM	VKLAD	1200	26500	\N	\N	\N
397599	1352	1994-11-22	VYDAJ	VYBER	13100	38232	\N	\N	\N
397600	1352	1994-12-22	VYDAJ	VYBER	23100	52457	\N	\N	\N
397601	1352	1995-01-21	VYDAJ	VYBER	26800	50636	\N	\N	\N
397602	1352	1995-02-20	VYDAJ	VYBER	20900	48117	\N	\N	\N
397603	1352	1995-03-22	VYDAJ	VYBER	19500	44106	\N	\N	\N
397604	1352	1995-04-21	VYDAJ	VYBER	16400	42713	\N	\N	\N
397605	1352	1995-05-21	VYDAJ	VYBER	14900	44845	\N	\N	\N
397606	1352	1995-06-20	VYDAJ	VYBER	6100	35380	\N	\N	\N
397607	1352	1995-07-20	VYDAJ	VYBER	9300	44079	\N	\N	\N
397608	1352	1995-08-19	VYDAJ	VYBER	13600	43775	\N	\N	\N
397609	1352	1995-09-18	VYDAJ	VYBER	12400	49361	\N	\N	\N
397610	1352	1995-10-18	VYDAJ	VYBER	14100	53264	\N	\N	\N
397611	1352	1995-11-17	VYDAJ	VYBER	17800	53487	\N	\N	\N
397612	1352	1995-12-17	VYDAJ	VYBER	22500	59337	\N	\N	\N
397613	1352	1996-01-16	VYDAJ	VYBER	13200	53750	\N	\N	\N
397614	1352	1996-02-15	VYDAJ	VYBER	16700	50878	\N	\N	\N
397615	1352	1996-03-16	VYDAJ	VYBER	16400	52491	\N	\N	\N
397616	1352	1996-04-15	VYDAJ	VYBER	20800	47909	\N	\N	\N
397617	1352	1996-05-15	VYDAJ	VYBER	16300	45057	\N	\N	\N
397618	1352	1996-06-14	VYDAJ	VYBER	3500	36746	\N	\N	\N
397619	1352	1996-07-14	VYDAJ	VYBER	8200	46519	\N	\N	\N
397620	1352	1996-08-13	VYDAJ	VYBER	12200	48450	\N	\N	\N
397621	1352	1996-09-12	VYDAJ	VYBER	14400	52092	\N	\N	\N
397622	1352	1996-10-12	VYDAJ	VYBER	15900	50465	\N	\N	\N
397623	1352	1996-11-11	VYDAJ	VYBER	15800	55632	\N	\N	\N
397624	1352	1996-12-11	VYDAJ	VYBER	27900	58125	\N	\N	\N
397625	1352	1997-01-10	VYDAJ	VYBER	19500	50389	\N	\N	\N
397626	1352	1997-02-09	VYDAJ	VYBER	10600	46955	\N	\N	\N
397627	1352	1997-03-11	VYDAJ	VYBER	17000	47902	\N	\N	\N
397628	1352	1997-04-10	VYDAJ	VYBER	17100	48764	\N	\N	\N
397629	1352	1997-05-10	VYDAJ	VYBER	18300	48428	\N	\N	\N
397630	1352	1997-06-09	VYDAJ	VYBER	21900	55091	\N	\N	\N
397631	1352	1997-07-09	VYDAJ	VYBER	19900	44848	\N	\N	\N
397632	1352	1997-08-08	VYDAJ	VYBER	12500	45850	\N	\N	\N
397633	1352	1997-09-07	VYDAJ	VYBER	6700	29052	\N	\N	\N
397634	1352	1997-10-07	VYDAJ	VYBER	15000	32020	\N	\N	\N
397635	1352	1997-11-06	VYDAJ	VYBER	15900	34108	\N	\N	\N
397636	1352	1997-12-06	VYDAJ	VYBER	12200	37982	\N	\N	\N
397637	1352	1998-01-05	VYDAJ	VYBER	16000	44587	\N	\N	\N
397638	1352	1998-02-04	VYDAJ	VYBER	14700	41811	\N	\N	\N
397639	1352	1998-03-06	VYDAJ	VYBER	16900	42562	\N	\N	\N
397640	1352	1998-04-05	VYDAJ	VYBER	15100	45492	\N	\N	\N
397641	1352	1998-05-05	VYDAJ	VYBER	13600	49930	\N	\N	\N
397642	1352	1998-06-04	VYDAJ	VYBER	19800	46513	\N	\N	\N
397643	1352	1998-07-04	VYDAJ	VYBER	8300	36593	\N	\N	\N
397644	1352	1998-08-03	VYDAJ	VYBER	17300	37289	\N	\N	\N
397645	1352	1998-09-02	VYDAJ	VYBER	16100	39193	\N	\N	\N
397646	1352	1998-10-02	VYDAJ	VYBER	18500	38703	\N	\N	\N
397647	1352	1998-11-01	VYDAJ	VYBER	14700	37804	\N	\N	\N
397648	1352	1998-12-01	VYDAJ	VYBER	16800	39008	\N	\N	\N
397700	1353	1994-04-21	PRIJEM	VKLAD	700	700	\N	\N	\N
397705	1353	1994-05-14	PRIJEM	VKLAD	16136	16836	\N	\N	\N
397706	1353	1994-06-14	PRIJEM	VKLAD	24204	42467	\N	\N	\N
397707	1353	1994-07-14	PRIJEM	VKLAD	16136	49001	\N	\N	\N
397708	1353	1994-08-14	PRIJEM	VKLAD	16136	51578	\N	\N	\N
397709	1353	1994-09-14	PRIJEM	VKLAD	16136	52462	\N	\N	\N
397710	1353	1994-10-14	PRIJEM	VKLAD	16136	46842	\N	\N	\N
397711	1353	1994-11-14	PRIJEM	VKLAD	16136	41818	\N	\N	\N
397712	1353	1994-12-14	PRIJEM	VKLAD	24204	47846	\N	\N	\N
397713	1353	1995-01-14	PRIJEM	VKLAD	16136	44214	\N	\N	\N
397714	1353	1995-02-14	PRIJEM	VKLAD	16136	42182	\N	\N	\N
397715	1353	1995-03-14	PRIJEM	VKLAD	16136	40942	\N	\N	\N
397716	1353	1995-04-14	PRIJEM	VKLAD	16136	41904	\N	\N	\N
397717	1353	1995-05-14	PRIJEM	VKLAD	16136	43370	\N	\N	\N
397718	1353	1995-06-14	PRIJEM	VKLAD	24204	53610	\N	\N	\N
397719	1353	1995-07-14	PRIJEM	VKLAD	16136	45292	\N	\N	\N
397720	1353	1995-08-14	PRIJEM	VKLAD	16136	47271	\N	\N	\N
397721	1353	1995-09-14	PRIJEM	VKLAD	16136	45948	\N	\N	\N
397722	1353	1995-10-14	PRIJEM	VKLAD	16136	46243	\N	\N	\N
397723	1353	1995-11-14	PRIJEM	VKLAD	16136	45353	\N	\N	\N
397724	1353	1995-12-14	PRIJEM	VKLAD	24204	56527	\N	\N	\N
397725	1353	1996-01-14	PRIJEM	VKLAD	16136	52461	\N	\N	\N
397726	1353	1996-02-14	PRIJEM	VKLAD	16136	53994	\N	\N	\N
397727	1353	1996-03-14	PRIJEM	VKLAD	16136	49032	\N	\N	\N
397728	1353	1996-04-14	PRIJEM	VKLAD	16136	46156	\N	\N	\N
397729	1353	1996-05-14	PRIJEM	VKLAD	16136	49564	\N	\N	\N
397730	1353	1996-06-14	PRIJEM	VKLAD	24204	57150	\N	\N	\N
397731	1353	1996-07-14	PRIJEM	VKLAD	16136	50588	\N	\N	\N
397732	1353	1996-08-14	PRIJEM	VKLAD	16136	48619	\N	\N	\N
397733	1353	1996-09-14	PRIJEM	VKLAD	16136	45834	\N	\N	\N
397734	1353	1996-10-14	PRIJEM	VKLAD	16136	42936	\N	\N	\N
397735	1353	1996-11-14	PRIJEM	VKLAD	16136	40426	\N	\N	\N
397736	1353	1996-12-14	PRIJEM	VKLAD	24204	48669	\N	\N	\N
397737	1353	1997-01-14	PRIJEM	VKLAD	16136	42762	\N	\N	\N
397738	1353	1997-02-14	PRIJEM	VKLAD	16136	35045	\N	\N	\N
397739	1353	1997-03-14	PRIJEM	VKLAD	16136	35698	\N	\N	\N
397740	1353	1997-04-14	PRIJEM	VKLAD	16136	32943	\N	\N	\N
397741	1353	1997-05-14	PRIJEM	VKLAD	16136	34387	\N	\N	\N
397742	1353	1997-06-14	PRIJEM	VKLAD	24204	41808	\N	\N	\N
397743	1353	1997-07-14	PRIJEM	VKLAD	16136	37672	\N	\N	\N
397744	1353	1997-08-14	PRIJEM	VKLAD	16136	34635	\N	\N	\N
397745	1353	1997-09-14	PRIJEM	VKLAD	16136	32885	\N	\N	\N
397746	1353	1997-10-14	PRIJEM	VKLAD	16136	32626	\N	\N	\N
397747	1353	1997-11-14	PRIJEM	VKLAD	16136	30063	\N	\N	\N
397748	1353	1997-12-14	PRIJEM	VKLAD	24204	38959	\N	\N	\N
397749	1353	1998-01-14	PRIJEM	VKLAD	16136	33305	\N	\N	\N
397750	1353	1998-02-14	PRIJEM	VKLAD	16136	31541	\N	\N	\N
397751	1353	1998-03-14	PRIJEM	VKLAD	16136	29775	\N	\N	\N
397752	1353	1998-04-14	PRIJEM	VKLAD	16136	29899	\N	\N	\N
397753	1353	1998-05-14	PRIJEM	VKLAD	16136	29328	\N	\N	\N
397754	1353	1998-06-14	PRIJEM	VKLAD	24204	36533	\N	\N	\N
397755	1353	1998-07-14	PRIJEM	VKLAD	16136	34772	\N	\N	\N
397756	1353	1998-08-14	PRIJEM	VKLAD	16136	26608	\N	\N	\N
397757	1353	1998-09-14	PRIJEM	VKLAD	16136	25917	\N	\N	\N
397758	1353	1998-10-14	PRIJEM	VKLAD	16136	33227	\N	\N	\N
397759	1353	1998-11-14	PRIJEM	VKLAD	16136	25758	\N	\N	\N
397760	1353	1998-12-14	PRIJEM	VKLAD	24204	42736	\N	\N	\N
397770	1353	1994-10-12	VYDAJ	PREVOD NA UCET	651	30706	SIPO	QR	64405166
397771	1353	1994-11-12	VYDAJ	PREVOD NA UCET	651	25682	SIPO	QR	64405166
397772	1353	1994-12-12	VYDAJ	PREVOD NA UCET	651	23642	SIPO	QR	64405166
397773	1353	1995-01-12	VYDAJ	PREVOD NA UCET	651	28078	SIPO	QR	64405166
397774	1353	1995-02-12	VYDAJ	PREVOD NA UCET	651	26046	SIPO	QR	64405166
397775	1353	1995-03-12	VYDAJ	PREVOD NA UCET	651	24806	SIPO	QR	64405166
397776	1353	1995-04-12	VYDAJ	PREVOD NA UCET	651	25768	SIPO	QR	64405166
397777	1353	1995-05-12	VYDAJ	PREVOD NA UCET	651	27234	SIPO	QR	64405166
397778	1353	1995-06-12	VYDAJ	PREVOD NA UCET	651	29406	SIPO	QR	64405166
397779	1353	1995-07-12	VYDAJ	PREVOD NA UCET	651	29156	SIPO	QR	64405166
397780	1353	1995-08-12	VYDAJ	PREVOD NA UCET	651	31135	SIPO	QR	64405166
397781	1353	1995-09-12	VYDAJ	PREVOD NA UCET	651	28912	SIPO	QR	64405166
397782	1353	1995-10-12	VYDAJ	PREVOD NA UCET	651	37107	SIPO	QR	64405166
397783	1353	1995-11-12	VYDAJ	PREVOD NA UCET	651	29217	SIPO	QR	64405166
397784	1353	1995-12-12	VYDAJ	PREVOD NA UCET	651	36423	SIPO	QR	64405166
397785	1353	1996-01-12	VYDAJ	PREVOD NA UCET	651	36325	SIPO	QR	64405166
397786	1353	1996-02-12	VYDAJ	PREVOD NA UCET	651	37858	SIPO	QR	64405166
397787	1353	1996-03-12	VYDAJ	PREVOD NA UCET	651	32896	SIPO	QR	64405166
397788	1353	1996-04-12	VYDAJ	PREVOD NA UCET	651	30020	SIPO	QR	64405166
397789	1353	1996-05-12	VYDAJ	PREVOD NA UCET	651	33428	SIPO	QR	64405166
397790	1353	1996-06-12	VYDAJ	PREVOD NA UCET	651	32946	SIPO	QR	64405166
397791	1353	1996-07-12	VYDAJ	PREVOD NA UCET	651	34452	SIPO	QR	64405166
397792	1353	1996-08-12	VYDAJ	PREVOD NA UCET	651	32483	SIPO	QR	64405166
397793	1353	1996-09-12	VYDAJ	PREVOD NA UCET	651	29698	SIPO	QR	64405166
397794	1353	1996-10-12	VYDAJ	PREVOD NA UCET	651	26800	SIPO	QR	64405166
397795	1353	1996-11-12	VYDAJ	PREVOD NA UCET	651	24290	SIPO	QR	64405166
397796	1353	1996-12-12	VYDAJ	PREVOD NA UCET	651	24465	SIPO	QR	64405166
397797	1353	1997-01-12	VYDAJ	PREVOD NA UCET	651	26626	SIPO	QR	64405166
397798	1353	1997-02-12	VYDAJ	PREVOD NA UCET	651	18909	SIPO	QR	64405166
397799	1353	1997-03-12	VYDAJ	PREVOD NA UCET	651	19562	SIPO	QR	64405166
397800	1353	1997-04-12	VYDAJ	PREVOD NA UCET	651	16807	SIPO	QR	64405166
397801	1353	1997-05-12	VYDAJ	PREVOD NA UCET	651	18251	SIPO	QR	64405166
397802	1353	1997-06-12	VYDAJ	PREVOD NA UCET	651	17604	SIPO	QR	64405166
397803	1353	1997-07-12	VYDAJ	PREVOD NA UCET	651	21536	SIPO	QR	64405166
397804	1353	1997-08-12	VYDAJ	PREVOD NA UCET	651	18499	SIPO	QR	64405166
397805	1353	1997-09-12	VYDAJ	PREVOD NA UCET	651	16749	SIPO	QR	64405166
397806	1353	1997-10-12	VYDAJ	PREVOD NA UCET	651	16490	SIPO	QR	64405166
397807	1353	1997-11-12	VYDAJ	PREVOD NA UCET	651	13927	SIPO	QR	64405166
397808	1353	1997-12-12	VYDAJ	PREVOD NA UCET	651	14755	SIPO	QR	64405166
397809	1353	1998-01-12	VYDAJ	PREVOD NA UCET	651	17169	SIPO	QR	64405166
397810	1353	1998-02-12	VYDAJ	PREVOD NA UCET	651	15405	SIPO	QR	64405166
397811	1353	1998-03-12	VYDAJ	PREVOD NA UCET	651	13639	SIPO	QR	64405166
397812	1353	1998-04-12	VYDAJ	PREVOD NA UCET	651	13763	SIPO	QR	64405166
397813	1353	1998-05-12	VYDAJ	PREVOD NA UCET	651	13192	SIPO	QR	64405166
397814	1353	1998-06-12	VYDAJ	PREVOD NA UCET	651	12329	SIPO	QR	64405166
397815	1353	1998-07-12	VYDAJ	PREVOD NA UCET	651	18636	SIPO	QR	64405166
397816	1353	1998-08-12	VYDAJ	PREVOD NA UCET	651	10472	SIPO	QR	64405166
397817	1353	1998-09-12	VYDAJ	PREVOD NA UCET	651	9781	SIPO	QR	64405166
397818	1353	1998-10-12	VYDAJ	PREVOD NA UCET	651	17091	SIPO	QR	64405166
397819	1353	1998-11-12	VYDAJ	PREVOD NA UCET	651	9622	SIPO	QR	64405166
397922	1353	1995-01-31	VYDAJ	VYBER	15	33343	SLUZBY	\N	\N
397820	1353	1998-12-12	VYDAJ	PREVOD NA UCET	651	18532	SIPO	QR	64405166
397830	1353	1994-10-05	VYDAJ	PREVOD NA UCET	6646	31357	 	QR	98736470
397831	1353	1994-11-05	VYDAJ	PREVOD NA UCET	6646	26333	 	QR	98736470
397832	1353	1994-12-05	VYDAJ	PREVOD NA UCET	6646	24293	 	QR	98736470
397833	1353	1995-01-05	VYDAJ	PREVOD NA UCET	6646	28729	 	QR	98736470
397834	1353	1995-02-05	VYDAJ	PREVOD NA UCET	6646	26697	 	QR	98736470
397835	1353	1995-03-05	VYDAJ	PREVOD NA UCET	6646	25457	 	QR	98736470
397836	1353	1995-04-05	VYDAJ	PREVOD NA UCET	6646	26419	 	QR	98736470
397837	1353	1995-05-05	VYDAJ	PREVOD NA UCET	6646	27885	 	QR	98736470
397838	1353	1995-06-05	VYDAJ	PREVOD NA UCET	6646	30057	 	QR	98736470
397839	1353	1995-07-05	VYDAJ	PREVOD NA UCET	6646	29807	 	QR	98736470
397840	1353	1995-08-05	VYDAJ	PREVOD NA UCET	6646	31786	 	QR	98736470
397841	1353	1995-09-05	VYDAJ	PREVOD NA UCET	6646	29563	 	QR	98736470
397842	1353	1995-10-05	VYDAJ	PREVOD NA UCET	6646	37758	 	QR	98736470
397843	1353	1995-11-05	VYDAJ	PREVOD NA UCET	6646	36768	 	QR	98736470
397844	1353	1995-12-05	VYDAJ	PREVOD NA UCET	6646	38874	 	QR	98736470
397845	1353	1996-01-05	VYDAJ	PREVOD NA UCET	6646	48776	 	QR	98736470
397846	1353	1996-02-05	VYDAJ	PREVOD NA UCET	6646	46009	 	QR	98736470
397847	1353	1996-03-05	VYDAJ	PREVOD NA UCET	6646	47547	 	QR	98736470
397848	1353	1996-04-05	VYDAJ	PREVOD NA UCET	6646	40271	 	QR	98736470
397849	1353	1996-05-05	VYDAJ	PREVOD NA UCET	6646	39679	 	QR	98736470
397850	1353	1996-06-05	VYDAJ	PREVOD NA UCET	6646	43097	 	QR	98736470
397851	1353	1996-07-05	VYDAJ	PREVOD NA UCET	6646	50703	 	QR	98736470
397852	1353	1996-08-05	VYDAJ	PREVOD NA UCET	6646	44134	 	QR	98736470
397853	1353	1996-09-05	VYDAJ	PREVOD NA UCET	6646	42149	 	QR	98736470
397854	1353	1996-10-05	VYDAJ	PREVOD NA UCET	6646	39351	 	QR	98736470
397855	1353	1996-11-05	VYDAJ	PREVOD NA UCET	6646	34741	 	QR	98736470
397856	1353	1996-12-05	VYDAJ	PREVOD NA UCET	6646	33916	 	QR	98736470
397857	1353	1997-01-05	VYDAJ	PREVOD NA UCET	6646	27277	 	QR	98736470
397858	1353	1997-02-05	VYDAJ	PREVOD NA UCET	6646	19560	 	QR	98736470
397859	1353	1997-03-05	VYDAJ	PREVOD NA UCET	6646	28513	 	QR	98736470
397860	1353	1997-04-05	VYDAJ	PREVOD NA UCET	6646	23858	 	QR	98736470
397861	1353	1997-05-05	VYDAJ	PREVOD NA UCET	6646	26402	 	QR	98736470
397862	1353	1997-06-05	VYDAJ	PREVOD NA UCET	6646	20655	 	QR	98736470
397863	1353	1997-07-05	VYDAJ	PREVOD NA UCET	6646	22187	 	QR	98736470
397864	1353	1997-08-05	VYDAJ	PREVOD NA UCET	6646	19150	 	QR	98736470
397865	1353	1997-09-05	VYDAJ	PREVOD NA UCET	6646	17400	 	QR	98736470
397866	1353	1997-10-05	VYDAJ	PREVOD NA UCET	6646	17141	 	QR	98736470
397867	1353	1997-11-05	VYDAJ	PREVOD NA UCET	6646	14578	 	QR	98736470
397868	1353	1997-12-05	VYDAJ	PREVOD NA UCET	6646	15406	 	QR	98736470
397869	1353	1998-01-05	VYDAJ	PREVOD NA UCET	6646	17820	 	QR	98736470
397870	1353	1998-02-05	VYDAJ	PREVOD NA UCET	6646	16056	 	QR	98736470
397871	1353	1998-03-05	VYDAJ	PREVOD NA UCET	6646	14290	 	QR	98736470
397872	1353	1998-04-05	VYDAJ	PREVOD NA UCET	6646	14414	 	QR	98736470
397873	1353	1998-05-05	VYDAJ	PREVOD NA UCET	6646	13843	 	QR	98736470
397874	1353	1998-06-05	VYDAJ	PREVOD NA UCET	6646	12980	 	QR	98736470
397875	1353	1998-07-05	VYDAJ	PREVOD NA UCET	6646	19287	 	QR	98736470
397876	1353	1998-08-05	VYDAJ	PREVOD NA UCET	6646	11123	 	QR	98736470
397877	1353	1998-09-05	VYDAJ	PREVOD NA UCET	6646	10432	 	QR	98736470
397878	1353	1998-10-05	VYDAJ	PREVOD NA UCET	6646	17742	 	QR	98736470
397879	1353	1998-11-05	VYDAJ	PREVOD NA UCET	6646	10273	 	QR	98736470
397880	1353	1998-12-05	VYDAJ	PREVOD NA UCET	6646	19183	 	QR	98736470
397881	1353	1994-12-26	VYDAJ	VYBER	1700	35246	\N	\N	\N
397882	1353	1995-12-11	VYDAJ	VYBER	1800	37074	\N	\N	\N
397883	1353	1996-12-24	VYDAJ	VYBER	1200	47469	\N	\N	\N
397884	1353	1997-12-02	VYDAJ	VYBER	600	22052	\N	\N	\N
397885	1353	1998-12-14	VYDAJ	VYBER	2200	40536	\N	\N	\N
397887	1353	1994-09-30	VYDAJ	VYBER	1100	38018	\N	\N	\N
397888	1353	1995-09-25	VYDAJ	VYBER	1700	44248	\N	\N	\N
397889	1353	1995-12-29	VYDAJ	VYBER	500	55227	\N	\N	\N
397890	1353	1995-10-31	VYDAJ	VYBER	3000	43429	\N	\N	\N
397891	1353	1995-03-31	VYDAJ	VYBER	700	33080	\N	\N	\N
397892	1353	1995-06-16	VYDAJ	VYBER	1600	38810	\N	\N	\N
397893	1353	1995-06-27	VYDAJ	VYBER	2500	36310	\N	\N	\N
397894	1353	1995-12-17	VYDAJ	VYBER	800	55727	\N	\N	\N
397895	1353	1996-12-30	VYDAJ	VYBER	4300	43169	\N	\N	\N
397896	1353	1996-03-16	VYDAJ	VYBER	2300	46732	\N	\N	\N
397897	1353	1996-10-29	VYDAJ	VYBER	1700	41236	\N	\N	\N
397898	1353	1996-01-06	VYDAJ	VYBER	3800	44976	\N	\N	\N
397899	1353	1997-03-15	VYDAJ	VYBER	2200	33498	\N	\N	\N
397900	1353	1997-10-23	VYDAJ	VYBER	2600	30026	\N	\N	\N
397901	1353	1997-04-10	VYDAJ	VYBER	2100	17458	\N	\N	\N
397902	1353	1997-03-22	VYDAJ	VYBER	3100	30398	\N	\N	\N
397903	1353	1997-06-07	VYDAJ	VYBER	2400	18255	\N	\N	\N
397905	1353	1998-07-20	VYDAJ	VYBER	4800	29972	\N	\N	\N
397906	1353	1998-09-23	VYDAJ	VYBER	1600	24317	\N	\N	\N
397907	1353	1998-01-02	VYDAJ	VYBER	2200	24466	\N	\N	\N
397908	1353	1998-03-17	VYDAJ	VYBER	1200	28575	\N	\N	\N
397918	1353	1994-09-30	VYDAJ	VYBER	15	38003	SLUZBY	\N	\N
397919	1353	1994-10-31	VYDAJ	VYBER	15	32979	SLUZBY	\N	\N
397920	1353	1994-11-30	VYDAJ	VYBER	15	30939	SLUZBY	\N	\N
397921	1353	1994-12-31	VYDAJ	VYBER	15	35375	SLUZBY	\N	\N
397923	1353	1995-02-28	VYDAJ	VYBER	15	32103	SLUZBY	\N	\N
397924	1353	1995-03-31	VYDAJ	VYBER	15	33065	SLUZBY	\N	\N
397925	1353	1995-04-30	VYDAJ	VYBER	15	34531	SLUZBY	\N	\N
397926	1353	1995-05-31	VYDAJ	VYBER	15	36703	SLUZBY	\N	\N
397927	1353	1995-06-30	VYDAJ	VYBER	15	36453	SLUZBY	\N	\N
397928	1353	1995-07-31	VYDAJ	VYBER	15	38432	SLUZBY	\N	\N
397929	1353	1995-08-31	VYDAJ	VYBER	15	36209	SLUZBY	\N	\N
397930	1353	1995-09-30	VYDAJ	VYBER	15	44404	SLUZBY	\N	\N
397931	1353	1995-10-31	VYDAJ	VYBER	15	43414	SLUZBY	\N	\N
397932	1353	1995-11-30	VYDAJ	VYBER	15	45520	SLUZBY	\N	\N
397933	1353	1995-12-31	VYDAJ	VYBER	15	55422	SLUZBY	\N	\N
397934	1353	1996-01-31	VYDAJ	VYBER	15	52655	SLUZBY	\N	\N
397935	1353	1996-02-29	VYDAJ	VYBER	15	54193	SLUZBY	\N	\N
397936	1353	1996-03-31	VYDAJ	VYBER	15	46917	SLUZBY	\N	\N
397937	1353	1996-04-30	VYDAJ	VYBER	15	46325	SLUZBY	\N	\N
397938	1353	1996-05-31	VYDAJ	VYBER	15	49743	SLUZBY	\N	\N
397939	1353	1996-06-30	VYDAJ	VYBER	15	57349	SLUZBY	\N	\N
397940	1353	1996-07-31	VYDAJ	VYBER	15	50780	SLUZBY	\N	\N
397941	1353	1996-08-31	VYDAJ	VYBER	15	48795	SLUZBY	\N	\N
397942	1353	1996-09-30	VYDAJ	VYBER	15	45997	SLUZBY	\N	\N
397943	1353	1996-10-31	VYDAJ	VYBER	15	41387	SLUZBY	\N	\N
397944	1353	1996-11-30	VYDAJ	VYBER	15	40562	SLUZBY	\N	\N
397945	1353	1996-12-31	VYDAJ	VYBER	15	43323	SLUZBY	\N	\N
397946	1353	1997-01-31	VYDAJ	VYBER	15	42906	SLUZBY	\N	\N
397947	1353	1997-02-28	VYDAJ	VYBER	15	35159	SLUZBY	\N	\N
397948	1353	1997-03-31	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
397949	1353	1997-04-30	VYDAJ	VYBER	15	33048	SLUZBY	\N	\N
397950	1353	1997-05-31	VYDAJ	VYBER	15	34501	SLUZBY	\N	\N
397951	1353	1997-06-30	VYDAJ	VYBER	15	41933	SLUZBY	\N	\N
397952	1353	1997-07-31	VYDAJ	VYBER	15	37796	SLUZBY	\N	\N
397953	1353	1997-08-31	VYDAJ	VYBER	15	34746	SLUZBY	\N	\N
397954	1353	1997-09-30	VYDAJ	VYBER	15	32987	SLUZBY	\N	\N
397955	1353	1997-10-31	VYDAJ	VYBER	15	30124	SLUZBY	\N	\N
397956	1353	1997-11-30	VYDAJ	VYBER	15	30152	SLUZBY	\N	\N
397957	1353	1997-12-31	VYDAJ	VYBER	15	26666	SLUZBY	\N	\N
397958	1353	1998-01-31	VYDAJ	VYBER	15	22702	SLUZBY	\N	\N
397959	1353	1998-02-28	VYDAJ	VYBER	15	31636	SLUZBY	\N	\N
397960	1353	1998-03-31	VYDAJ	VYBER	15	21060	SLUZBY	\N	\N
397961	1353	1998-04-30	VYDAJ	VYBER	15	29989	SLUZBY	\N	\N
397962	1353	1998-05-31	VYDAJ	VYBER	15	19626	SLUZBY	\N	\N
397963	1353	1998-06-30	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
397964	1353	1998-07-31	VYDAJ	VYBER	15	17769	SLUZBY	\N	\N
397965	1353	1998-08-31	VYDAJ	VYBER	15	17078	SLUZBY	\N	\N
397966	1353	1998-09-30	VYDAJ	VYBER	15	24388	SLUZBY	\N	\N
397967	1353	1998-10-31	VYDAJ	VYBER	15	16919	SLUZBY	\N	\N
397968	1353	1998-11-30	VYDAJ	VYBER	15	25829	SLUZBY	\N	\N
397969	1353	1994-05-21	PRIJEM	VKLAD	1400	18236	\N	\N	\N
397970	1353	1994-06-20	VYDAJ	VYBER	9700	32767	\N	\N	\N
397971	1353	1994-07-20	VYDAJ	VYBER	13700	35301	\N	\N	\N
397972	1353	1994-08-19	VYDAJ	VYBER	15400	36178	\N	\N	\N
397973	1353	1994-09-18	VYDAJ	VYBER	13500	38962	\N	\N	\N
397974	1353	1994-10-18	VYDAJ	VYBER	14000	32842	\N	\N	\N
397975	1353	1994-11-17	VYDAJ	VYBER	11000	30818	\N	\N	\N
397976	1353	1994-12-17	VYDAJ	VYBER	10900	36946	\N	\N	\N
397977	1353	1995-01-16	VYDAJ	VYBER	11000	33214	\N	\N	\N
397978	1353	1995-02-15	VYDAJ	VYBER	10200	31982	\N	\N	\N
397979	1353	1995-03-17	VYDAJ	VYBER	7300	33642	\N	\N	\N
397980	1353	1995-04-16	VYDAJ	VYBER	7500	34404	\N	\N	\N
397981	1353	1995-05-16	VYDAJ	VYBER	6800	36570	\N	\N	\N
397982	1353	1995-06-15	VYDAJ	VYBER	13200	40410	\N	\N	\N
397983	1353	1995-07-15	VYDAJ	VYBER	7000	38292	\N	\N	\N
397984	1353	1995-08-14	VYDAJ	VYBER	11200	36071	\N	\N	\N
397985	1353	1995-09-13	PRIJEM	VKLAD	900	29812	\N	\N	\N
397986	1353	1995-10-13	VYDAJ	VYBER	7000	30107	\N	\N	\N
397987	1353	1995-11-12	VYDAJ	VYBER	6900	29868	\N	\N	\N
397988	1353	1995-12-12	VYDAJ	VYBER	4100	32323	\N	\N	\N
397989	1353	1996-01-11	VYDAJ	VYBER	8000	36976	\N	\N	\N
397990	1353	1996-02-10	VYDAJ	VYBER	7500	38509	\N	\N	\N
397991	1353	1996-03-11	VYDAJ	VYBER	14000	33547	\N	\N	\N
397992	1353	1996-04-10	VYDAJ	VYBER	9600	30671	\N	\N	\N
397993	1353	1996-05-10	VYDAJ	VYBER	5600	34079	\N	\N	\N
397994	1353	1996-06-09	VYDAJ	VYBER	9500	33597	\N	\N	\N
397995	1353	1996-07-09	VYDAJ	VYBER	15600	35103	\N	\N	\N
397996	1353	1996-08-08	VYDAJ	VYBER	11000	33134	\N	\N	\N
397997	1353	1996-09-07	VYDAJ	VYBER	11800	30349	\N	\N	\N
397998	1353	1996-10-07	VYDAJ	VYBER	11900	27451	\N	\N	\N
397999	1353	1996-11-06	VYDAJ	VYBER	9800	24941	\N	\N	\N
398000	1353	1996-12-06	VYDAJ	VYBER	8800	25116	\N	\N	\N
398001	1353	1997-01-05	VYDAJ	VYBER	9400	33923	\N	\N	\N
398002	1353	1997-02-04	VYDAJ	VYBER	16700	26206	\N	\N	\N
398003	1353	1997-03-06	VYDAJ	VYBER	8300	20213	\N	\N	\N
398004	1353	1997-04-05	VYDAJ	VYBER	4300	19558	\N	\N	\N
398005	1353	1997-05-05	VYDAJ	VYBER	7500	18902	\N	\N	\N
398006	1353	1997-06-04	VYDAJ	VYBER	7200	27301	\N	\N	\N
398007	1353	1997-07-04	VYDAJ	VYBER	13100	28833	\N	\N	\N
398008	1353	1997-08-03	VYDAJ	VYBER	12000	25796	\N	\N	\N
398009	1353	1997-09-02	VYDAJ	VYBER	10700	24046	\N	\N	\N
398010	1353	1997-10-02	VYDAJ	VYBER	9200	23787	\N	\N	\N
398011	1353	1997-11-01	VYDAJ	VYBER	8900	21224	\N	\N	\N
398012	1353	1997-12-01	VYDAJ	VYBER	7500	22652	\N	\N	\N
398013	1353	1997-12-31	VYDAJ	VYBER	12400	26681	\N	\N	\N
398014	1353	1998-01-30	VYDAJ	VYBER	10700	22605	\N	\N	\N
398015	1353	1998-03-01	VYDAJ	VYBER	10700	20936	\N	\N	\N
398016	1353	1998-03-31	VYDAJ	VYBER	7600	21075	\N	\N	\N
398017	1353	1998-04-30	VYDAJ	VYBER	9500	20489	\N	\N	\N
398018	1353	1998-05-30	VYDAJ	VYBER	9800	19528	\N	\N	\N
398019	1353	1998-06-29	VYDAJ	VYBER	10700	25833	\N	\N	\N
398020	1353	1998-07-29	VYDAJ	VYBER	12300	17672	\N	\N	\N
398021	1353	1998-08-28	VYDAJ	VYBER	9600	17008	\N	\N	\N
398022	1353	1998-10-27	VYDAJ	VYBER	16400	16827	\N	\N	\N
398079	1354	1997-06-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
398086	1354	1997-07-09	PRIJEM	PREVOD Z UCTU	4620	5620	DUCHOD	YZ	35735094
398087	1354	1997-08-09	PRIJEM	PREVOD Z UCTU	4620	10240	DUCHOD	YZ	35735094
398088	1354	1997-09-09	PRIJEM	PREVOD Z UCTU	4620	14860	DUCHOD	YZ	35735094
398089	1354	1997-10-09	PRIJEM	PREVOD Z UCTU	4620	19480	DUCHOD	YZ	35735094
398090	1354	1997-11-09	PRIJEM	PREVOD Z UCTU	4620	21429	DUCHOD	YZ	35735094
398091	1354	1997-12-09	PRIJEM	PREVOD Z UCTU	4620	22228	DUCHOD	YZ	35735094
398092	1354	1998-01-09	PRIJEM	PREVOD Z UCTU	4620	20430	DUCHOD	YZ	35735094
398093	1354	1998-02-09	PRIJEM	PREVOD Z UCTU	4620	18922	DUCHOD	YZ	35735094
398094	1354	1998-03-09	PRIJEM	PREVOD Z UCTU	4620	18308	DUCHOD	YZ	35735094
398095	1354	1998-04-09	PRIJEM	PREVOD Z UCTU	4620	17234	DUCHOD	YZ	35735094
398096	1354	1998-05-09	PRIJEM	PREVOD Z UCTU	4620	16412	DUCHOD	YZ	35735094
398097	1354	1998-06-09	PRIJEM	PREVOD Z UCTU	4620	17992	DUCHOD	YZ	35735094
398098	1354	1998-07-09	PRIJEM	PREVOD Z UCTU	4620	18077	DUCHOD	YZ	35735094
398099	1354	1998-08-09	PRIJEM	PREVOD Z UCTU	4620	19663	DUCHOD	YZ	35735094
398100	1354	1998-09-09	PRIJEM	PREVOD Z UCTU	4620	21256	DUCHOD	YZ	35735094
398101	1354	1998-10-09	PRIJEM	PREVOD Z UCTU	4620	22864	DUCHOD	YZ	35735094
398102	1354	1998-11-09	PRIJEM	PREVOD Z UCTU	4620	21904	DUCHOD	YZ	35735094
398103	1354	1998-12-09	PRIJEM	PREVOD Z UCTU	4620	21663	DUCHOD	YZ	35735094
398114	1354	1997-11-09	VYDAJ	PREVOD NA UCET	3080	18349	SIPO	QR	24313408
398115	1354	1997-12-09	VYDAJ	PREVOD NA UCET	3080	19148	SIPO	QR	24313408
398116	1354	1998-01-09	VYDAJ	PREVOD NA UCET	3080	17350	SIPO	QR	24313408
398117	1354	1998-02-09	VYDAJ	PREVOD NA UCET	3080	15842	SIPO	QR	24313408
398118	1354	1998-03-09	VYDAJ	PREVOD NA UCET	3080	15228	SIPO	QR	24313408
398119	1354	1998-04-09	VYDAJ	PREVOD NA UCET	3080	14154	SIPO	QR	24313408
398120	1354	1998-05-09	VYDAJ	PREVOD NA UCET	3080	13332	SIPO	QR	24313408
398121	1354	1998-06-09	VYDAJ	PREVOD NA UCET	3080	14912	SIPO	QR	24313408
398122	1354	1998-07-09	VYDAJ	PREVOD NA UCET	3080	14997	SIPO	QR	24313408
398123	1354	1998-08-09	VYDAJ	PREVOD NA UCET	3080	16583	SIPO	QR	24313408
398124	1354	1998-09-09	VYDAJ	PREVOD NA UCET	3080	18176	SIPO	QR	24313408
398125	1354	1998-10-09	VYDAJ	PREVOD NA UCET	3080	19784	SIPO	QR	24313408
398126	1354	1998-11-09	VYDAJ	PREVOD NA UCET	3080	18824	SIPO	QR	24313408
398127	1354	1998-12-09	VYDAJ	PREVOD NA UCET	3080	18583	SIPO	QR	24313408
398129	1354	1998-06-28	VYDAJ	VYBER	1500	13412	\N	\N	\N
398130	1354	1997-12-22	VYDAJ	VYBER	500	18148	\N	\N	\N
398137	1354	1998-03-20	VYDAJ	VYBER	2560	12568	\N	\N	\N
398138	1354	1998-01-08	VYDAJ	VYBER	2400	15810	\N	\N	\N
398139	1354	1998-11-19	VYDAJ	VYBER	1840	16984	\N	\N	\N
398141	1354	1998-10-09	VYDAJ	VYBER	1360	18424	\N	\N	\N
398155	1354	1997-11-30	VYDAJ	VYBER	15	17608	SLUZBY	\N	\N
398156	1354	1997-12-31	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
398157	1354	1998-01-31	VYDAJ	VYBER	15	14302	SLUZBY	\N	\N
398158	1354	1998-02-28	VYDAJ	VYBER	15	13688	SLUZBY	\N	\N
398159	1354	1998-03-31	VYDAJ	VYBER	15	12614	SLUZBY	\N	\N
398160	1354	1998-04-30	VYDAJ	VYBER	15	11792	SLUZBY	\N	\N
398161	1354	1998-05-31	VYDAJ	VYBER	15	13372	SLUZBY	\N	\N
398162	1354	1998-06-30	VYDAJ	VYBER	15	13457	SLUZBY	\N	\N
398163	1354	1998-07-31	VYDAJ	VYBER	15	15043	SLUZBY	\N	\N
398164	1354	1998-08-31	VYDAJ	VYBER	15	16636	SLUZBY	\N	\N
398165	1354	1998-09-30	VYDAJ	VYBER	15	18244	SLUZBY	\N	\N
398166	1354	1998-10-31	VYDAJ	VYBER	15	17284	SLUZBY	\N	\N
398167	1354	1998-11-30	VYDAJ	VYBER	15	17043	SLUZBY	\N	\N
398168	1354	1997-10-19	VYDAJ	VYBER	2700	16780	\N	\N	\N
398169	1354	1997-11-18	VYDAJ	VYBER	800	17549	\N	\N	\N
398170	1354	1997-12-18	VYDAJ	VYBER	500	18648	\N	\N	\N
398171	1354	1998-01-17	VYDAJ	VYBER	3100	14250	\N	\N	\N
398172	1354	1998-02-16	VYDAJ	VYBER	2200	13642	\N	\N	\N
398173	1354	1998-03-18	VYDAJ	VYBER	100	15128	\N	\N	\N
398174	1354	1998-04-17	VYDAJ	VYBER	2400	11754	\N	\N	\N
398175	1354	1998-10-14	VYDAJ	VYBER	1200	17224	\N	\N	\N
398176	1354	1998-12-13	VYDAJ	VYBER	5500	13083	\N	\N	\N
398192	1355	1997-08-16	PRIJEM	VKLAD	1100	1100	\N	\N	\N
398201	1355	1997-09-10	PRIJEM	VKLAD	18946	20046	\N	\N	\N
398202	1355	1997-10-10	PRIJEM	VKLAD	18946	39638	\N	\N	\N
398203	1355	1997-11-10	PRIJEM	VKLAD	18946	47989	\N	\N	\N
398204	1355	1997-12-10	PRIJEM	VKLAD	28419	62841	\N	\N	\N
398205	1355	1998-01-10	PRIJEM	VKLAD	18946	62452	\N	\N	\N
398206	1355	1998-02-10	PRIJEM	VKLAD	18946	37184	\N	\N	\N
398207	1355	1998-03-10	PRIJEM	VKLAD	18946	49826	\N	\N	\N
398208	1355	1998-04-10	PRIJEM	VKLAD	18946	52672	\N	\N	\N
398209	1355	1998-05-10	PRIJEM	VKLAD	18946	57855	\N	\N	\N
398210	1355	1998-06-10	PRIJEM	VKLAD	28419	72658	\N	\N	\N
398211	1355	1998-07-10	PRIJEM	VKLAD	18946	58442	\N	\N	\N
398212	1355	1998-08-10	PRIJEM	VKLAD	18946	61241	\N	\N	\N
398213	1355	1998-09-10	PRIJEM	VKLAD	18946	63652	\N	\N	\N
398214	1355	1998-10-10	PRIJEM	VKLAD	18946	65271	\N	\N	\N
398215	1355	1998-11-10	PRIJEM	VKLAD	18946	53679	\N	\N	\N
398216	1355	1998-12-10	PRIJEM	VKLAD	28419	64551	\N	\N	\N
398229	1355	1998-01-11	VYDAJ	PREVOD NA UCET	3606	57046	SIPO	WX	64249014
398230	1355	1998-02-11	VYDAJ	PREVOD NA UCET	3606	33578	SIPO	WX	64249014
398231	1355	1998-03-11	VYDAJ	PREVOD NA UCET	3606	46220	SIPO	WX	64249014
398232	1355	1998-04-11	VYDAJ	PREVOD NA UCET	3606	49066	SIPO	WX	64249014
398233	1355	1998-05-11	VYDAJ	PREVOD NA UCET	3606	54249	SIPO	WX	64249014
398234	1355	1998-06-11	VYDAJ	PREVOD NA UCET	3606	69052	SIPO	WX	64249014
398235	1355	1998-07-11	VYDAJ	PREVOD NA UCET	3606	54836	SIPO	WX	64249014
398236	1355	1998-08-11	VYDAJ	PREVOD NA UCET	3606	57635	SIPO	WX	64249014
398237	1355	1998-09-11	VYDAJ	PREVOD NA UCET	3606	46146	SIPO	WX	64249014
398238	1355	1998-10-11	VYDAJ	PREVOD NA UCET	3606	42865	SIPO	WX	64249014
398239	1355	1998-11-11	VYDAJ	PREVOD NA UCET	3606	50073	SIPO	WX	64249014
398240	1355	1998-12-11	VYDAJ	PREVOD NA UCET	3606	60945	SIPO	WX	64249014
398242	1355	1998-06-26	VYDAJ	VYBER	8640	39312	\N	\N	\N
398244	1355	1998-01-23	VYDAJ	VYBER	11840	20386	\N	\N	\N
398246	1355	1998-12-15	VYDAJ	VYBER	2880	58065	\N	\N	\N
398253	1355	1998-01-20	VYDAJ	VYBER	3120	33906	\N	\N	\N
398255	1355	1998-01-12	VYDAJ	VYBER	3120	53926	\N	\N	\N
398256	1355	1998-01-16	VYDAJ	VYBER	3000	37026	\N	\N	\N
398257	1355	1998-01-11	VYDAJ	VYBER	1800	60652	\N	\N	\N
398258	1355	1998-01-21	VYDAJ	VYBER	1680	32226	\N	\N	\N
398263	1355	1998-11-11	VYDAJ	VYBER	2520	47553	\N	\N	\N
398264	1355	1998-08-16	VYDAJ	VYBER	4800	44535	\N	\N	\N
398265	1355	1998-03-13	VYDAJ	VYBER	2520	43700	\N	\N	\N
398266	1355	1998-02-09	VYDAJ	VYBER	2280	18238	\N	\N	\N
398267	1355	1998-06-05	VYDAJ	VYBER	2280	44239	\N	\N	\N
398281	1355	1998-01-31	VYDAJ	VYBER	15	20518	SLUZBY	\N	\N
398282	1355	1998-02-28	VYDAJ	VYBER	15	30880	SLUZBY	\N	\N
398283	1355	1998-03-31	VYDAJ	VYBER	15	33726	SLUZBY	\N	\N
398284	1355	1998-04-30	VYDAJ	VYBER	15	38909	SLUZBY	\N	\N
398285	1355	1998-05-31	VYDAJ	VYBER	15	46519	SLUZBY	\N	\N
398286	1355	1998-06-30	VYDAJ	VYBER	15	39496	SLUZBY	\N	\N
398287	1355	1998-07-31	VYDAJ	VYBER	15	42295	SLUZBY	\N	\N
398288	1355	1998-08-31	VYDAJ	VYBER	15	44706	SLUZBY	\N	\N
398289	1355	1998-09-30	VYDAJ	VYBER	15	46325	SLUZBY	\N	\N
398290	1355	1998-10-31	VYDAJ	VYBER	15	43033	SLUZBY	\N	\N
398291	1355	1998-11-30	VYDAJ	VYBER	15	47732	SLUZBY	\N	\N
398292	1355	1997-09-15	PRIJEM	VKLAD	600	20646	\N	\N	\N
398293	1355	1997-10-15	VYDAJ	VYBER	10700	28938	\N	\N	\N
398294	1355	1997-11-14	VYDAJ	VYBER	13700	34289	\N	\N	\N
398295	1355	1997-12-14	VYDAJ	VYBER	19500	43341	\N	\N	\N
398296	1355	1998-01-13	VYDAJ	VYBER	13900	40026	\N	\N	\N
398297	1355	1998-02-12	VYDAJ	VYBER	2800	30778	\N	\N	\N
398298	1355	1998-03-14	VYDAJ	VYBER	10100	33600	\N	\N	\N
398299	1355	1998-04-13	VYDAJ	VYBER	10300	38766	\N	\N	\N
398300	1355	1998-05-13	VYDAJ	VYBER	7900	46349	\N	\N	\N
398301	1355	1998-06-12	VYDAJ	VYBER	21100	47952	\N	\N	\N
398302	1355	1998-07-12	VYDAJ	VYBER	12700	42136	\N	\N	\N
398303	1355	1998-08-11	VYDAJ	VYBER	8300	49335	\N	\N	\N
398304	1355	1998-09-10	VYDAJ	VYBER	13900	49752	\N	\N	\N
398305	1355	1998-10-10	VYDAJ	VYBER	18800	46471	\N	\N	\N
398306	1355	1998-11-09	VYDAJ	VYBER	8300	34733	\N	\N	\N
398307	1355	1998-12-09	VYDAJ	VYBER	11600	36132	\N	\N	\N
398324	1356	1997-02-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
398326	1356	1997-02-14	PRIJEM	VKLAD	4117	5117	\N	\N	\N
398327	1356	1997-03-14	PRIJEM	VKLAD	4117	21145	\N	\N	\N
398328	1356	1997-04-14	PRIJEM	VKLAD	4117	27423	\N	\N	\N
398329	1356	1997-05-14	PRIJEM	VKLAD	4117	27342	\N	\N	\N
398330	1356	1997-06-14	PRIJEM	VKLAD	6176	35333	\N	\N	\N
398331	1356	1997-07-14	PRIJEM	VKLAD	4117	28651	\N	\N	\N
398332	1356	1997-08-14	PRIJEM	VKLAD	4117	29362	\N	\N	\N
398333	1356	1997-09-14	PRIJEM	VKLAD	4117	26583	\N	\N	\N
398334	1356	1997-10-14	PRIJEM	VKLAD	4117	28890	\N	\N	\N
398335	1356	1997-11-14	PRIJEM	VKLAD	4117	33997	\N	\N	\N
398336	1356	1997-12-14	PRIJEM	VKLAD	6176	36883	\N	\N	\N
398337	1356	1998-01-14	PRIJEM	VKLAD	4117	19921	\N	\N	\N
398338	1356	1998-02-14	PRIJEM	VKLAD	4117	22715	\N	\N	\N
398339	1356	1998-03-14	PRIJEM	VKLAD	4117	25996	\N	\N	\N
398340	1356	1998-04-14	PRIJEM	VKLAD	4117	22588	\N	\N	\N
398341	1356	1998-05-14	PRIJEM	VKLAD	4117	24570	\N	\N	\N
398342	1356	1998-06-14	PRIJEM	VKLAD	6176	32720	\N	\N	\N
398343	1356	1998-07-14	PRIJEM	VKLAD	4117	10804	\N	\N	\N
398344	1356	1998-08-14	PRIJEM	VKLAD	4117	12653	\N	\N	\N
398345	1356	1998-09-14	PRIJEM	VKLAD	4117	20112	\N	\N	\N
398346	1356	1998-10-14	PRIJEM	VKLAD	4117	21982	\N	\N	\N
398347	1356	1998-11-14	PRIJEM	VKLAD	4117	19556	\N	\N	\N
398348	1356	1998-12-14	PRIJEM	VKLAD	6176	16175	\N	\N	\N
398349	1356	1997-06-22	VYDAJ	VYBER	13100	22233	\N	\N	\N
398350	1356	1998-06-19	VYDAJ	VYBER	21800	7120	\N	\N	\N
398352	1356	1998-01-12	VYDAJ	VYBER	6900	16404	\N	\N	\N
398353	1356	1997-12-20	VYDAJ	VYBER	800	36083	\N	\N	\N
398354	1356	1998-12-22	VYDAJ	VYBER	1900	14275	\N	\N	\N
398361	1356	1998-01-03	VYDAJ	VYBER	1400	27704	\N	\N	\N
398362	1356	1998-01-13	VYDAJ	VYBER	600	15804	\N	\N	\N
398363	1356	1998-01-17	VYDAJ	VYBER	800	19121	\N	\N	\N
398364	1356	1998-01-12	VYDAJ	VYBER	2300	23304	\N	\N	\N
398365	1356	1998-01-07	VYDAJ	VYBER	2100	25604	\N	\N	\N
398366	1356	1998-01-30	VYDAJ	VYBER	1700	18521	\N	\N	\N
398368	1356	1997-09-13	VYDAJ	VYBER	1000	22466	\N	\N	\N
398372	1356	1997-12-28	VYDAJ	VYBER	1000	35083	\N	\N	\N
398373	1356	1998-04-22	VYDAJ	VYBER	1100	21488	\N	\N	\N
398374	1356	1998-10-16	VYDAJ	VYBER	4000	17982	\N	\N	\N
398375	1356	1998-07-04	VYDAJ	VYBER	4200	6687	\N	\N	\N
398376	1356	1998-06-16	VYDAJ	VYBER	3800	28920	\N	\N	\N
398377	1356	1998-03-25	VYDAJ	VYBER	3300	22696	\N	\N	\N
398378	1356	1998-01-24	VYDAJ	VYBER	3600	15521	\N	\N	\N
398379	1356	1998-08-10	VYDAJ	VYBER	4400	8536	\N	\N	\N
398386	1356	1997-06-30	VYDAJ	VYBER	15	22334	SLUZBY	\N	\N
398387	1356	1997-07-31	VYDAJ	VYBER	15	28745	SLUZBY	\N	\N
398388	1356	1997-08-31	VYDAJ	VYBER	15	23466	SLUZBY	\N	\N
398389	1356	1997-09-30	VYDAJ	VYBER	15	24773	SLUZBY	\N	\N
398390	1356	1997-10-31	VYDAJ	VYBER	15	29880	SLUZBY	\N	\N
398391	1356	1997-11-30	VYDAJ	VYBER	15	30707	SLUZBY	\N	\N
398392	1356	1997-12-31	VYDAJ	VYBER	15	29104	SLUZBY	\N	\N
398393	1356	1998-01-31	VYDAJ	VYBER	15	18598	SLUZBY	\N	\N
398394	1356	1998-02-28	VYDAJ	VYBER	15	21879	SLUZBY	\N	\N
398395	1356	1998-03-31	VYDAJ	VYBER	15	18471	SLUZBY	\N	\N
398396	1356	1998-04-30	VYDAJ	VYBER	15	20453	SLUZBY	\N	\N
398397	1356	1998-05-31	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
398398	1356	1998-06-30	VYDAJ	VYBER	15	10887	SLUZBY	\N	\N
398399	1356	1998-07-31	VYDAJ	VYBER	15	12936	SLUZBY	\N	\N
398400	1356	1998-08-31	VYDAJ	VYBER	15	15995	SLUZBY	\N	\N
398401	1356	1998-09-30	VYDAJ	VYBER	15	17865	SLUZBY	\N	\N
398402	1356	1998-10-31	VYDAJ	VYBER	15	15439	SLUZBY	\N	\N
398403	1356	1998-11-30	VYDAJ	VYBER	15	9999	SLUZBY	\N	\N
398404	1356	1997-03-03	PRIJEM	VKLAD	11900	17028	\N	\N	\N
398405	1356	1997-04-02	PRIJEM	VKLAD	2100	23306	\N	\N	\N
398406	1356	1997-05-02	VYDAJ	VYBER	4300	23225	\N	\N	\N
398407	1356	1997-06-01	PRIJEM	VKLAD	1700	29157	\N	\N	\N
398408	1356	1997-07-01	PRIJEM	VKLAD	2200	24534	\N	\N	\N
398409	1356	1997-07-31	VYDAJ	VYBER	3500	25245	\N	\N	\N
398410	1356	1997-08-30	VYDAJ	VYBER	6000	23362	\N	\N	\N
398411	1356	1997-09-29	VYDAJ	VYBER	1900	24683	\N	\N	\N
398412	1356	1997-10-29	PRIJEM	VKLAD	900	29790	\N	\N	\N
398413	1356	1997-11-28	VYDAJ	VYBER	3400	30597	\N	\N	\N
398414	1356	1997-12-28	VYDAJ	VYBER	6100	28983	\N	\N	\N
398415	1356	1998-01-27	PRIJEM	VKLAD	4700	20221	\N	\N	\N
398416	1356	1998-02-26	VYDAJ	VYBER	900	21815	\N	\N	\N
398417	1356	1998-03-28	VYDAJ	VYBER	4300	18396	\N	\N	\N
398418	1356	1998-04-27	VYDAJ	VYBER	1100	20388	\N	\N	\N
398419	1356	1998-05-27	PRIJEM	VKLAD	1900	26470	\N	\N	\N
398420	1356	1998-06-26	PRIJEM	VKLAD	3700	10820	\N	\N	\N
398421	1356	1998-07-26	PRIJEM	VKLAD	2100	12904	\N	\N	\N
398422	1356	1998-08-25	PRIJEM	VKLAD	3300	15953	\N	\N	\N
398423	1356	1998-09-24	VYDAJ	VYBER	2300	17812	\N	\N	\N
398424	1356	1998-10-24	VYDAJ	VYBER	2600	15382	\N	\N	\N
398425	1356	1998-11-23	VYDAJ	VYBER	9600	9956	\N	\N	\N
398449	1357	1995-11-20	PRIJEM	VKLAD	900	900	\N	\N	\N
398461	1357	1995-12-08	PRIJEM	PREVOD Z UCTU	3435	4335	\N	CD	57151067
398462	1357	1996-01-08	PRIJEM	PREVOD Z UCTU	3435	16391	\N	CD	57151067
398463	1357	1996-02-08	PRIJEM	PREVOD Z UCTU	3435	24995	\N	CD	57151067
398464	1357	1996-03-08	PRIJEM	PREVOD Z UCTU	3435	31931	\N	CD	57151067
398465	1357	1996-04-08	PRIJEM	PREVOD Z UCTU	3435	30883	\N	CD	57151067
398466	1357	1996-05-08	PRIJEM	PREVOD Z UCTU	3435	30758	\N	CD	57151067
398467	1357	1996-06-08	PRIJEM	PREVOD Z UCTU	3435	32737	\N	CD	57151067
398468	1357	1996-07-08	PRIJEM	PREVOD Z UCTU	3435	29248	\N	CD	57151067
398469	1357	1996-08-08	PRIJEM	PREVOD Z UCTU	3435	32193	\N	CD	57151067
398470	1357	1996-09-08	PRIJEM	PREVOD Z UCTU	3435	33446	\N	CD	57151067
398471	1357	1996-10-08	PRIJEM	PREVOD Z UCTU	3435	33663	\N	CD	57151067
398472	1357	1996-11-08	PRIJEM	PREVOD Z UCTU	3435	33920	\N	CD	57151067
398473	1357	1996-12-08	PRIJEM	PREVOD Z UCTU	3435	38188	\N	CD	57151067
398474	1357	1997-01-08	PRIJEM	PREVOD Z UCTU	3435	35500	\N	CD	57151067
398475	1357	1997-02-08	PRIJEM	PREVOD Z UCTU	3435	37692	\N	CD	57151067
398476	1357	1997-03-08	PRIJEM	PREVOD Z UCTU	3435	39069	\N	CD	57151067
398477	1357	1997-04-08	PRIJEM	PREVOD Z UCTU	3435	42656	\N	CD	57151067
398478	1357	1997-05-08	PRIJEM	PREVOD Z UCTU	3435	44053	\N	CD	57151067
398479	1357	1997-06-08	PRIJEM	PREVOD Z UCTU	3435	46078	\N	CD	57151067
398480	1357	1997-07-08	PRIJEM	PREVOD Z UCTU	3435	41721	\N	CD	57151067
398481	1357	1997-08-08	PRIJEM	PREVOD Z UCTU	3435	40338	\N	CD	57151067
398482	1357	1997-09-08	PRIJEM	PREVOD Z UCTU	3435	44536	\N	CD	57151067
398483	1357	1997-10-08	PRIJEM	PREVOD Z UCTU	3435	45135	\N	CD	57151067
398484	1357	1997-11-08	PRIJEM	PREVOD Z UCTU	3435	44137	\N	CD	57151067
398485	1357	1997-12-08	PRIJEM	PREVOD Z UCTU	3435	43535	\N	CD	57151067
398486	1357	1998-01-08	PRIJEM	PREVOD Z UCTU	3435	46784	\N	CD	57151067
398487	1357	1998-02-08	PRIJEM	PREVOD Z UCTU	3435	44686	\N	CD	57151067
398488	1357	1998-03-08	PRIJEM	PREVOD Z UCTU	3435	44576	\N	CD	57151067
398489	1357	1998-04-08	PRIJEM	PREVOD Z UCTU	3435	46984	\N	CD	57151067
398490	1357	1998-05-08	PRIJEM	PREVOD Z UCTU	3435	46948	\N	CD	57151067
398491	1357	1998-06-08	PRIJEM	PREVOD Z UCTU	3435	44359	\N	CD	57151067
398492	1357	1998-07-08	PRIJEM	PREVOD Z UCTU	3435	44232	\N	CD	57151067
398493	1357	1998-08-08	PRIJEM	PREVOD Z UCTU	3435	49636	\N	CD	57151067
398494	1357	1998-09-08	PRIJEM	PREVOD Z UCTU	3435	53159	\N	CD	57151067
398495	1357	1998-10-08	PRIJEM	PREVOD Z UCTU	3435	58298	\N	CD	57151067
398496	1357	1998-11-08	PRIJEM	PREVOD Z UCTU	3435	59695	\N	CD	57151067
398497	1357	1998-12-08	PRIJEM	PREVOD Z UCTU	3435	64822	\N	CD	57151067
398513	1357	1996-04-11	VYDAJ	PREVOD NA UCET	2290	28593	SIPO	EF	34856063
398514	1357	1996-05-11	VYDAJ	PREVOD NA UCET	2290	28468	SIPO	EF	34856063
398515	1357	1996-06-11	VYDAJ	PREVOD NA UCET	2290	24717	SIPO	EF	34856063
398516	1357	1996-07-11	VYDAJ	PREVOD NA UCET	2290	26958	SIPO	EF	34856063
398517	1357	1996-08-11	VYDAJ	PREVOD NA UCET	2290	29903	SIPO	EF	34856063
398518	1357	1996-09-11	VYDAJ	PREVOD NA UCET	2290	31156	SIPO	EF	34856063
398519	1357	1996-10-11	VYDAJ	PREVOD NA UCET	2290	31373	SIPO	EF	34856063
398520	1357	1996-11-11	VYDAJ	PREVOD NA UCET	2290	31630	SIPO	EF	34856063
398521	1357	1996-12-11	VYDAJ	PREVOD NA UCET	2290	35478	SIPO	EF	34856063
398522	1357	1997-01-11	VYDAJ	PREVOD NA UCET	2290	31680	SIPO	EF	34856063
398523	1357	1997-02-11	VYDAJ	PREVOD NA UCET	2290	35402	SIPO	EF	34856063
398524	1357	1997-03-11	VYDAJ	PREVOD NA UCET	2290	36779	SIPO	EF	34856063
398525	1357	1997-04-11	VYDAJ	PREVOD NA UCET	2290	40366	SIPO	EF	34856063
398526	1357	1997-05-11	VYDAJ	PREVOD NA UCET	2290	41763	SIPO	EF	34856063
398527	1357	1997-06-11	VYDAJ	PREVOD NA UCET	2290	43788	SIPO	EF	34856063
398528	1357	1997-07-11	VYDAJ	PREVOD NA UCET	2290	39431	SIPO	EF	34856063
398529	1357	1997-08-11	VYDAJ	PREVOD NA UCET	2290	41548	SIPO	EF	34856063
398530	1357	1997-09-11	VYDAJ	PREVOD NA UCET	2290	42946	SIPO	EF	34856063
398531	1357	1997-10-11	VYDAJ	PREVOD NA UCET	2290	40545	SIPO	EF	34856063
398532	1357	1997-11-11	VYDAJ	PREVOD NA UCET	2290	39947	SIPO	EF	34856063
398533	1357	1997-12-11	VYDAJ	PREVOD NA UCET	2290	43845	SIPO	EF	34856063
398534	1357	1998-01-11	VYDAJ	PREVOD NA UCET	2290	42014	SIPO	EF	34856063
398535	1357	1998-02-11	VYDAJ	PREVOD NA UCET	2290	42396	SIPO	EF	34856063
398536	1357	1998-03-11	VYDAJ	PREVOD NA UCET	2290	43286	SIPO	EF	34856063
398537	1357	1998-04-11	VYDAJ	PREVOD NA UCET	2290	44694	SIPO	EF	34856063
398538	1357	1998-05-11	VYDAJ	PREVOD NA UCET	2290	42658	SIPO	EF	34856063
398539	1357	1998-06-11	VYDAJ	PREVOD NA UCET	2290	42069	SIPO	EF	34856063
398540	1357	1998-07-11	VYDAJ	PREVOD NA UCET	2290	41942	SIPO	EF	34856063
398541	1357	1998-08-11	VYDAJ	PREVOD NA UCET	2290	47346	SIPO	EF	34856063
398542	1357	1998-09-11	VYDAJ	PREVOD NA UCET	2290	50869	SIPO	EF	34856063
398543	1357	1998-10-11	VYDAJ	PREVOD NA UCET	2290	56008	SIPO	EF	34856063
398544	1357	1998-11-11	VYDAJ	PREVOD NA UCET	2290	57405	SIPO	EF	34856063
398545	1357	1998-12-11	VYDAJ	PREVOD NA UCET	2290	62532	SIPO	EF	34856063
398547	1357	1996-06-09	VYDAJ	VYBER	5730	27007	\N	\N	\N
398548	1357	1997-06-21	VYDAJ	VYBER	4200	38128	\N	\N	\N
398549	1357	1998-06-03	VYDAJ	VYBER	2850	38624	\N	\N	\N
398552	1357	1997-01-13	VYDAJ	VYBER	660	34520	\N	\N	\N
398553	1357	1998-01-22	VYDAJ	VYBER	2370	39134	\N	\N	\N
398555	1357	1996-12-10	VYDAJ	VYBER	420	37768	\N	\N	\N
398556	1357	1997-12-22	VYDAJ	VYBER	330	43515	\N	\N	\N
398557	1357	1998-12-06	VYDAJ	VYBER	240	61387	\N	\N	\N
398570	1357	1997-01-22	VYDAJ	VYBER	390	34130	\N	\N	\N
398571	1357	1997-01-08	VYDAJ	VYBER	870	34630	\N	\N	\N
398572	1357	1997-01-10	VYDAJ	VYBER	660	33970	\N	\N	\N
398573	1357	1997-01-04	VYDAJ	VYBER	630	32695	\N	\N	\N
398574	1357	1997-01-06	VYDAJ	VYBER	630	32065	\N	\N	\N
398575	1357	1997-01-03	VYDAJ	VYBER	180	33325	\N	\N	\N
398576	1357	1998-01-23	VYDAJ	VYBER	330	38804	\N	\N	\N
398577	1357	1998-01-06	VYDAJ	VYBER	330	43349	\N	\N	\N
398578	1357	1998-01-24	VYDAJ	VYBER	510	38294	\N	\N	\N
398579	1357	1998-01-12	VYDAJ	VYBER	270	41744	\N	\N	\N
398580	1357	1998-01-12	VYDAJ	VYBER	240	41504	\N	\N	\N
398581	1357	1998-01-09	VYDAJ	VYBER	180	44304	\N	\N	\N
398586	1357	1996-05-17	VYDAJ	VYBER	570	27898	\N	\N	\N
398588	1357	1996-04-19	VYDAJ	VYBER	1170	27223	\N	\N	\N
398589	1357	1996-09-27	VYDAJ	VYBER	240	30116	\N	\N	\N
398592	1357	1997-06-14	VYDAJ	VYBER	360	42328	\N	\N	\N
398593	1357	1997-09-28	VYDAJ	VYBER	150	42796	\N	\N	\N
398594	1357	1997-09-05	VYDAJ	VYBER	600	41101	\N	\N	\N
398595	1357	1997-10-05	VYDAJ	VYBER	1260	41700	\N	\N	\N
398596	1357	1997-06-05	VYDAJ	VYBER	180	42643	\N	\N	\N
398597	1357	1997-08-03	VYDAJ	VYBER	270	36903	\N	\N	\N
398598	1357	1998-06-02	VYDAJ	VYBER	1350	41474	\N	\N	\N
398599	1357	1998-07-05	VYDAJ	VYBER	1290	40097	\N	\N	\N
398600	1357	1998-05-06	VYDAJ	VYBER	1350	43513	\N	\N	\N
398601	1357	1998-02-11	VYDAJ	VYBER	1410	40986	\N	\N	\N
398602	1357	1998-06-19	VYDAJ	VYBER	840	41229	\N	\N	\N
398603	1357	1998-10-20	VYDAJ	VYBER	1260	54748	\N	\N	\N
398620	1357	1996-04-30	VYDAJ	VYBER	15	27323	SLUZBY	\N	\N
398621	1357	1996-05-31	VYDAJ	VYBER	15	29302	SLUZBY	\N	\N
398622	1357	1996-06-30	VYDAJ	VYBER	15	25813	SLUZBY	\N	\N
398623	1357	1996-07-31	VYDAJ	VYBER	15	28758	SLUZBY	\N	\N
398624	1357	1996-08-31	VYDAJ	VYBER	15	30011	SLUZBY	\N	\N
398625	1357	1996-09-30	VYDAJ	VYBER	15	30228	SLUZBY	\N	\N
398626	1357	1996-10-31	VYDAJ	VYBER	15	30485	SLUZBY	\N	\N
398627	1357	1996-11-30	VYDAJ	VYBER	15	34753	SLUZBY	\N	\N
398628	1357	1996-12-31	VYDAJ	VYBER	15	33505	SLUZBY	\N	\N
398629	1357	1997-01-31	VYDAJ	VYBER	15	34257	SLUZBY	\N	\N
398630	1357	1997-02-28	VYDAJ	VYBER	15	35634	SLUZBY	\N	\N
398631	1357	1997-03-31	VYDAJ	VYBER	15	39221	SLUZBY	\N	\N
398632	1357	1997-04-30	VYDAJ	VYBER	15	40618	SLUZBY	\N	\N
398633	1357	1997-05-31	VYDAJ	VYBER	15	42823	SLUZBY	\N	\N
398634	1357	1997-06-30	VYDAJ	VYBER	15	38286	SLUZBY	\N	\N
398635	1357	1997-07-31	VYDAJ	VYBER	15	37173	SLUZBY	\N	\N
398636	1357	1997-08-31	VYDAJ	VYBER	15	41701	SLUZBY	\N	\N
398637	1357	1997-09-30	VYDAJ	VYBER	15	42960	SLUZBY	\N	\N
398638	1357	1997-10-31	VYDAJ	VYBER	15	40702	SLUZBY	\N	\N
398639	1357	1997-11-30	VYDAJ	VYBER	15	40100	SLUZBY	\N	\N
398640	1357	1997-12-31	VYDAJ	VYBER	15	43679	SLUZBY	\N	\N
398641	1357	1998-01-31	VYDAJ	VYBER	15	38451	SLUZBY	\N	\N
398642	1357	1998-02-28	VYDAJ	VYBER	15	41141	SLUZBY	\N	\N
398643	1357	1998-03-31	VYDAJ	VYBER	15	43449	SLUZBY	\N	\N
398644	1357	1998-04-30	VYDAJ	VYBER	15	44863	SLUZBY	\N	\N
398645	1357	1998-05-31	VYDAJ	VYBER	15	42824	SLUZBY	\N	\N
398646	1357	1998-06-30	VYDAJ	VYBER	15	41387	SLUZBY	\N	\N
398647	1357	1998-07-31	VYDAJ	VYBER	15	42101	SLUZBY	\N	\N
398648	1357	1998-08-31	VYDAJ	VYBER	15	47524	SLUZBY	\N	\N
398649	1357	1998-09-30	VYDAJ	VYBER	15	51063	SLUZBY	\N	\N
398650	1357	1998-10-31	VYDAJ	VYBER	15	54960	SLUZBY	\N	\N
398651	1357	1998-11-30	VYDAJ	VYBER	15	57627	SLUZBY	\N	\N
398652	1357	1995-12-20	PRIJEM	VKLAD	8600	12935	\N	\N	\N
398653	1357	1996-01-19	PRIJEM	VKLAD	5100	21491	\N	\N	\N
398654	1357	1996-02-18	PRIJEM	VKLAD	3400	28395	\N	\N	\N
398655	1357	1996-03-19	VYDAJ	VYBER	4600	27331	\N	\N	\N
398656	1357	1996-04-18	VYDAJ	VYBER	200	28393	\N	\N	\N
398657	1357	1996-05-18	PRIJEM	VKLAD	1300	29198	\N	\N	\N
398658	1357	1996-06-17	PRIJEM	VKLAD	1000	25717	\N	\N	\N
398659	1357	1996-07-17	PRIJEM	VKLAD	1700	28658	\N	\N	\N
398660	1357	1996-09-15	VYDAJ	VYBER	800	30356	\N	\N	\N
398661	1357	1996-10-15	VYDAJ	VYBER	1000	30373	\N	\N	\N
398662	1357	1996-11-14	PRIJEM	VKLAD	3000	34630	\N	\N	\N
398663	1357	1996-12-14	VYDAJ	VYBER	2100	33378	\N	\N	\N
398664	1357	1997-01-13	PRIJEM	VKLAD	3500	35180	\N	\N	\N
398665	1357	1997-02-12	PRIJEM	VKLAD	100	35502	\N	\N	\N
398666	1357	1997-03-14	PRIJEM	VKLAD	2300	39079	\N	\N	\N
398667	1357	1997-04-13	PRIJEM	VKLAD	100	40466	\N	\N	\N
398668	1357	1997-05-13	PRIJEM	VKLAD	900	42663	\N	\N	\N
398669	1357	1997-06-12	VYDAJ	VYBER	1100	42688	\N	\N	\N
398670	1357	1997-07-12	VYDAJ	VYBER	2400	37031	\N	\N	\N
398671	1357	1997-08-11	PRIJEM	VKLAD	3500	43838	\N	\N	\N
398672	1357	1997-09-10	PRIJEM	VKLAD	700	45236	\N	\N	\N
398673	1357	1997-10-10	VYDAJ	VYBER	2300	42835	\N	\N	\N
398674	1357	1997-11-09	VYDAJ	VYBER	1900	42237	\N	\N	\N
398675	1357	1997-12-09	PRIJEM	VKLAD	2600	46135	\N	\N	\N
398676	1357	1998-01-08	VYDAJ	VYBER	2300	44484	\N	\N	\N
398677	1357	1998-02-07	PRIJEM	VKLAD	2800	41251	\N	\N	\N
398678	1357	1998-03-09	PRIJEM	VKLAD	1000	45576	\N	\N	\N
398679	1357	1998-04-08	PRIJEM	VKLAD	100	43549	\N	\N	\N
398680	1357	1998-05-08	VYDAJ	VYBER	2000	44948	\N	\N	\N
398681	1357	1998-06-07	PRIJEM	VKLAD	2300	40924	\N	\N	\N
398682	1357	1998-07-07	PRIJEM	VKLAD	700	40797	\N	\N	\N
398683	1357	1998-08-06	PRIJEM	VKLAD	4100	46201	\N	\N	\N
398684	1357	1998-09-05	PRIJEM	VKLAD	2200	49724	\N	\N	\N
398685	1357	1998-10-05	PRIJEM	VKLAD	3800	54863	\N	\N	\N
398686	1357	1998-11-04	PRIJEM	VKLAD	1300	56260	\N	\N	\N
398687	1357	1998-12-04	PRIJEM	VKLAD	4000	61627	\N	\N	\N
398725	1358	1996-04-21	PRIJEM	VKLAD	500	500	\N	\N	\N
398730	1358	1996-05-06	PRIJEM	VKLAD	4470	4970	\N	\N	\N
398731	1358	1996-06-06	PRIJEM	VKLAD	6705	19995	\N	\N	\N
398732	1358	1996-07-06	PRIJEM	VKLAD	4470	27935	\N	\N	\N
398733	1358	1996-08-06	PRIJEM	VKLAD	4470	27402	\N	\N	\N
398734	1358	1996-09-06	PRIJEM	VKLAD	4470	27367	\N	\N	\N
398735	1358	1996-10-06	PRIJEM	VKLAD	4470	28040	\N	\N	\N
398736	1358	1996-11-06	PRIJEM	VKLAD	4470	27716	\N	\N	\N
398737	1358	1996-12-06	PRIJEM	VKLAD	6705	29222	\N	\N	\N
398738	1358	1997-01-06	PRIJEM	VKLAD	4470	21100	\N	\N	\N
398739	1358	1997-02-06	PRIJEM	VKLAD	4470	19747	\N	\N	\N
398740	1358	1997-03-06	PRIJEM	VKLAD	4470	22291	\N	\N	\N
398741	1358	1997-04-06	PRIJEM	VKLAD	4470	19543	\N	\N	\N
398742	1358	1997-05-06	PRIJEM	VKLAD	4470	23691	\N	\N	\N
398743	1358	1997-06-06	PRIJEM	VKLAD	6705	22984	\N	\N	\N
398744	1358	1997-07-06	PRIJEM	VKLAD	4470	25845	\N	\N	\N
398745	1358	1997-08-06	PRIJEM	VKLAD	4470	31729	\N	\N	\N
398746	1358	1997-09-06	PRIJEM	VKLAD	4470	38434	\N	\N	\N
398747	1358	1997-10-06	PRIJEM	VKLAD	4470	40857	\N	\N	\N
398748	1358	1997-11-06	PRIJEM	VKLAD	4470	44905	\N	\N	\N
398749	1358	1997-12-06	PRIJEM	VKLAD	6705	52302	\N	\N	\N
398750	1358	1998-01-06	PRIJEM	VKLAD	4470	52074	\N	\N	\N
398751	1358	1998-02-06	PRIJEM	VKLAD	4470	40333	\N	\N	\N
398752	1358	1998-03-06	PRIJEM	VKLAD	4470	46476	\N	\N	\N
398753	1358	1998-04-06	PRIJEM	VKLAD	4470	52040	\N	\N	\N
398754	1358	1998-05-06	PRIJEM	VKLAD	4470	52214	\N	\N	\N
398755	1358	1998-06-06	PRIJEM	VKLAD	6705	58737	\N	\N	\N
398756	1358	1998-07-06	PRIJEM	VKLAD	4470	37678	\N	\N	\N
398757	1358	1998-08-06	PRIJEM	VKLAD	4470	47421	\N	\N	\N
398758	1358	1998-09-06	PRIJEM	VKLAD	4470	48479	\N	\N	\N
398759	1358	1998-10-06	PRIJEM	VKLAD	4470	48341	\N	\N	\N
398760	1358	1998-11-06	PRIJEM	VKLAD	4470	46795	\N	\N	\N
398761	1358	1998-12-06	PRIJEM	VKLAD	6705	44578	\N	\N	\N
398770	1358	1996-09-13	VYDAJ	PREVOD NA UCET	2980	24387	SIPO	GH	97084825
398771	1358	1996-10-13	VYDAJ	PREVOD NA UCET	2980	25060	SIPO	GH	97084825
398772	1358	1996-11-13	VYDAJ	PREVOD NA UCET	2980	24736	SIPO	GH	97084825
398773	1358	1996-12-13	VYDAJ	PREVOD NA UCET	2980	26242	SIPO	GH	97084825
398774	1358	1997-01-13	VYDAJ	PREVOD NA UCET	2980	14520	SIPO	GH	97084825
398775	1358	1997-02-13	VYDAJ	PREVOD NA UCET	2980	16767	SIPO	GH	97084825
398776	1358	1997-03-13	VYDAJ	PREVOD NA UCET	2980	19311	SIPO	GH	97084825
398777	1358	1997-04-13	VYDAJ	PREVOD NA UCET	2980	16563	SIPO	GH	97084825
398778	1358	1997-05-13	VYDAJ	PREVOD NA UCET	2980	20711	SIPO	GH	97084825
398779	1358	1997-06-13	VYDAJ	PREVOD NA UCET	2980	20004	SIPO	GH	97084825
398780	1358	1997-07-13	VYDAJ	PREVOD NA UCET	2980	22865	SIPO	GH	97084825
398781	1358	1997-08-13	VYDAJ	PREVOD NA UCET	2980	28749	SIPO	GH	97084825
398782	1358	1997-09-13	VYDAJ	PREVOD NA UCET	2980	36254	SIPO	GH	97084825
398783	1358	1997-10-13	VYDAJ	PREVOD NA UCET	2980	41677	SIPO	GH	97084825
398784	1358	1997-11-13	VYDAJ	PREVOD NA UCET	2980	45425	SIPO	GH	97084825
398785	1358	1997-12-13	VYDAJ	PREVOD NA UCET	2980	47422	SIPO	GH	97084825
398786	1358	1998-01-13	VYDAJ	PREVOD NA UCET	2980	45794	SIPO	GH	97084825
398787	1358	1998-02-13	VYDAJ	PREVOD NA UCET	2980	41853	SIPO	GH	97084825
398788	1358	1998-03-13	VYDAJ	PREVOD NA UCET	2980	47396	SIPO	GH	97084825
398789	1358	1998-04-13	VYDAJ	PREVOD NA UCET	2980	49060	SIPO	GH	97084825
398790	1358	1998-05-13	VYDAJ	PREVOD NA UCET	2980	51834	SIPO	GH	97084825
398791	1358	1998-06-13	VYDAJ	PREVOD NA UCET	2980	33057	SIPO	GH	97084825
398792	1358	1998-07-13	VYDAJ	PREVOD NA UCET	2980	42798	SIPO	GH	97084825
398793	1358	1998-08-13	VYDAJ	PREVOD NA UCET	2980	43841	SIPO	GH	97084825
398794	1358	1998-09-13	VYDAJ	PREVOD NA UCET	2980	44799	SIPO	GH	97084825
398795	1358	1998-10-13	VYDAJ	PREVOD NA UCET	2980	42161	SIPO	GH	97084825
398796	1358	1998-11-13	VYDAJ	PREVOD NA UCET	2980	40115	SIPO	GH	97084825
398797	1358	1998-12-13	VYDAJ	PREVOD NA UCET	2980	41398	SIPO	GH	97084825
398800	1358	1998-06-11	VYDAJ	VYBER	19700	36037	\N	\N	\N
398802	1358	1997-01-03	VYDAJ	VYBER	2200	16630	\N	\N	\N
398803	1358	1998-01-22	VYDAJ	VYBER	6200	37094	\N	\N	\N
398804	1358	1996-12-28	VYDAJ	VYBER	1300	25542	\N	\N	\N
398805	1358	1997-12-08	VYDAJ	VYBER	2400	49902	\N	\N	\N
398806	1358	1998-12-03	VYDAJ	VYBER	2400	37873	\N	\N	\N
398813	1358	1997-01-07	VYDAJ	VYBER	1200	19900	\N	\N	\N
398814	1358	1997-01-14	VYDAJ	VYBER	500	13120	\N	\N	\N
398815	1358	1997-01-26	VYDAJ	VYBER	1600	15220	\N	\N	\N
398816	1358	1997-01-09	VYDAJ	VYBER	2400	17500	\N	\N	\N
398817	1358	1997-01-03	VYDAJ	VYBER	2600	18830	\N	\N	\N
398818	1358	1997-01-13	VYDAJ	VYBER	900	13620	\N	\N	\N
398819	1358	1998-01-07	VYDAJ	VYBER	600	51474	\N	\N	\N
398820	1358	1998-01-10	VYDAJ	VYBER	2600	48874	\N	\N	\N
398821	1358	1998-01-11	VYDAJ	VYBER	2200	48774	\N	\N	\N
398822	1358	1998-01-28	VYDAJ	VYBER	1400	35694	\N	\N	\N
398823	1358	1998-01-20	VYDAJ	VYBER	1500	43294	\N	\N	\N
398824	1358	1998-01-13	VYDAJ	VYBER	1000	44794	\N	\N	\N
398826	1358	1996-12-29	VYDAJ	VYBER	4200	21342	\N	\N	\N
398828	1358	1996-10-27	VYDAJ	VYBER	1800	23160	\N	\N	\N
398833	1358	1997-05-23	VYDAJ	VYBER	2200	19611	\N	\N	\N
398834	1358	1997-05-31	VYDAJ	VYBER	3400	16294	\N	\N	\N
398835	1358	1997-03-29	VYDAJ	VYBER	4600	15011	\N	\N	\N
398836	1358	1997-11-04	VYDAJ	VYBER	1400	40435	\N	\N	\N
398837	1358	1997-07-01	VYDAJ	VYBER	2700	21375	\N	\N	\N
398838	1358	1998-05-07	VYDAJ	VYBER	700	51514	\N	\N	\N
398839	1358	1998-11-12	VYDAJ	VYBER	2600	43095	\N	\N	\N
398840	1358	1998-12-12	VYDAJ	VYBER	4100	44378	\N	\N	\N
398841	1358	1998-04-15	VYDAJ	VYBER	1500	47560	\N	\N	\N
398842	1358	1998-09-30	VYDAJ	VYBER	1100	43886	\N	\N	\N
398843	1358	1998-12-18	VYDAJ	VYBER	2600	38798	\N	\N	\N
398853	1358	1996-09-30	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
398854	1358	1996-10-31	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
398855	1358	1996-11-30	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
398856	1358	1996-12-31	VYDAJ	VYBER	15	21430	SLUZBY	\N	\N
398857	1358	1997-01-31	VYDAJ	VYBER	15	15277	SLUZBY	\N	\N
398858	1358	1997-02-28	VYDAJ	VYBER	15	17821	SLUZBY	\N	\N
398859	1358	1997-03-31	VYDAJ	VYBER	15	15073	SLUZBY	\N	\N
398860	1358	1997-04-30	VYDAJ	VYBER	15	19221	SLUZBY	\N	\N
398861	1358	1997-05-31	VYDAJ	VYBER	15	16279	SLUZBY	\N	\N
398862	1358	1997-06-30	VYDAJ	VYBER	15	24075	SLUZBY	\N	\N
398863	1358	1997-07-31	VYDAJ	VYBER	15	27259	SLUZBY	\N	\N
398864	1358	1997-08-31	VYDAJ	VYBER	15	33964	SLUZBY	\N	\N
398865	1358	1997-09-30	VYDAJ	VYBER	15	36387	SLUZBY	\N	\N
398866	1358	1997-10-31	VYDAJ	VYBER	15	41835	SLUZBY	\N	\N
398867	1358	1997-11-30	VYDAJ	VYBER	15	45597	SLUZBY	\N	\N
398868	1358	1997-12-31	VYDAJ	VYBER	15	47604	SLUZBY	\N	\N
398869	1358	1998-01-31	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
398870	1358	1998-02-28	VYDAJ	VYBER	15	42006	SLUZBY	\N	\N
398871	1358	1998-03-31	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
398872	1358	1998-04-30	VYDAJ	VYBER	15	47744	SLUZBY	\N	\N
398873	1358	1998-05-31	VYDAJ	VYBER	15	52032	SLUZBY	\N	\N
398874	1358	1998-06-30	VYDAJ	VYBER	15	33208	SLUZBY	\N	\N
398875	1358	1998-07-31	VYDAJ	VYBER	15	42951	SLUZBY	\N	\N
398876	1358	1998-08-31	VYDAJ	VYBER	15	44009	SLUZBY	\N	\N
398877	1358	1998-09-30	VYDAJ	VYBER	15	43871	SLUZBY	\N	\N
398878	1358	1998-10-31	VYDAJ	VYBER	15	42325	SLUZBY	\N	\N
398879	1358	1998-11-30	VYDAJ	VYBER	15	40273	SLUZBY	\N	\N
398880	1358	1996-05-21	PRIJEM	VKLAD	8300	13270	\N	\N	\N
398881	1358	1996-06-20	PRIJEM	VKLAD	3400	23395	\N	\N	\N
398882	1358	1996-07-20	VYDAJ	VYBER	5100	22835	\N	\N	\N
398883	1358	1996-08-19	VYDAJ	VYBER	4600	22802	\N	\N	\N
398884	1358	1996-09-18	VYDAJ	VYBER	900	23487	\N	\N	\N
398885	1358	1996-10-18	VYDAJ	VYBER	100	24960	\N	\N	\N
398886	1358	1996-11-17	VYDAJ	VYBER	2300	22436	\N	\N	\N
398887	1358	1996-12-17	PRIJEM	VKLAD	600	26842	\N	\N	\N
398888	1358	1997-01-16	PRIJEM	VKLAD	3700	16820	\N	\N	\N
398889	1358	1997-02-15	PRIJEM	VKLAD	1000	17767	\N	\N	\N
398890	1358	1997-03-17	PRIJEM	VKLAD	300	19611	\N	\N	\N
398891	1358	1997-04-16	PRIJEM	VKLAD	2600	19163	\N	\N	\N
398892	1358	1997-05-16	PRIJEM	VKLAD	1100	21811	\N	\N	\N
398893	1358	1997-06-15	PRIJEM	VKLAD	4000	24004	\N	\N	\N
398894	1358	1997-07-15	PRIJEM	VKLAD	4300	27165	\N	\N	\N
398895	1358	1997-08-14	PRIJEM	VKLAD	5100	33849	\N	\N	\N
398896	1358	1997-09-13	PRIJEM	VKLAD	800	39234	\N	\N	\N
398897	1358	1997-10-13	PRIJEM	VKLAD	3800	44657	\N	\N	\N
398898	1358	1997-11-12	PRIJEM	VKLAD	3500	48405	\N	\N	\N
398899	1358	1997-12-12	PRIJEM	VKLAD	500	50402	\N	\N	\N
398900	1358	1998-01-11	PRIJEM	VKLAD	2100	50974	\N	\N	\N
398901	1358	1998-02-10	PRIJEM	VKLAD	4500	44833	\N	\N	\N
398902	1358	1998-03-12	PRIJEM	VKLAD	3900	50376	\N	\N	\N
398903	1358	1998-05-11	PRIJEM	VKLAD	3300	54814	\N	\N	\N
398904	1358	1998-06-10	VYDAJ	VYBER	3000	55737	\N	\N	\N
398905	1358	1998-07-10	PRIJEM	VKLAD	8100	45778	\N	\N	\N
398906	1358	1998-08-09	VYDAJ	VYBER	600	46821	\N	\N	\N
398907	1358	1998-09-08	VYDAJ	VYBER	700	47779	\N	\N	\N
398908	1358	1998-10-08	VYDAJ	VYBER	3200	45141	\N	\N	\N
398909	1358	1998-11-07	VYDAJ	VYBER	1100	45695	\N	\N	\N
398910	1358	1998-12-07	PRIJEM	VKLAD	3900	48478	\N	\N	\N
398943	1359	1993-12-02	PRIJEM	VKLAD	600	600	\N	\N	\N
399093	1359	1994-01-01	PRIJEM	VKLAD	14200	14800	\N	\N	\N
399094	1359	1994-01-31	PRIJEM	VKLAD	6600	21403	\N	\N	\N
399095	1359	1994-03-02	PRIJEM	VKLAD	800	22203	\N	\N	\N
399096	1359	1994-04-01	PRIJEM	VKLAD	3400	25692	\N	\N	\N
399097	1359	1994-05-01	VYDAJ	VYBER	2100	23681	\N	\N	\N
399098	1359	1994-05-31	VYDAJ	VYBER	100	23671	\N	\N	\N
399099	1359	1994-06-30	VYDAJ	VYBER	1800	21969	\N	\N	\N
399100	1359	1994-07-30	PRIJEM	VKLAD	300	22269	\N	\N	\N
399101	1359	1994-08-29	PRIJEM	VKLAD	3000	25368	\N	\N	\N
399102	1359	1994-09-28	PRIJEM	VKLAD	1300	26767	\N	\N	\N
399103	1359	1994-10-28	VYDAJ	VYBER	900	25965	\N	\N	\N
399104	1359	1994-11-27	VYDAJ	VYBER	2300	23764	\N	\N	\N
399105	1359	1994-12-27	PRIJEM	VKLAD	2100	25962	\N	\N	\N
399106	1359	1995-01-26	VYDAJ	VYBER	2100	23961	\N	\N	\N
399107	1359	1995-02-25	VYDAJ	VYBER	1300	22760	\N	\N	\N
399108	1359	1995-03-27	PRIJEM	VKLAD	1300	24158	\N	\N	\N
399109	1359	1995-04-26	VYDAJ	VYBER	2400	21857	\N	\N	\N
399110	1359	1995-05-26	VYDAJ	VYBER	200	21756	\N	\N	\N
399111	1359	1995-06-25	VYDAJ	VYBER	700	21154	\N	\N	\N
399112	1359	1995-07-25	PRIJEM	VKLAD	500	21753	\N	\N	\N
399113	1359	1995-08-24	PRIJEM	VKLAD	500	22351	\N	\N	\N
399114	1359	1995-09-23	VYDAJ	VYBER	800	21650	\N	\N	\N
399115	1359	1995-10-23	PRIJEM	VKLAD	2900	24649	\N	\N	\N
399116	1359	1995-11-22	VYDAJ	VYBER	500	24247	\N	\N	\N
399117	1359	1995-12-22	PRIJEM	VKLAD	700	25046	\N	\N	\N
399118	1359	1996-01-21	VYDAJ	VYBER	200	24945	\N	\N	\N
399119	1359	1996-02-20	PRIJEM	VKLAD	2200	27243	\N	\N	\N
399120	1359	1996-03-21	PRIJEM	VKLAD	2700	30042	\N	\N	\N
399121	1359	1996-04-20	VYDAJ	VYBER	1800	28340	\N	\N	\N
399122	1359	1996-05-20	VYDAJ	VYBER	800	27639	\N	\N	\N
399123	1359	1996-06-19	VYDAJ	VYBER	2700	25038	\N	\N	\N
399124	1359	1996-07-19	VYDAJ	VYBER	400	24736	\N	\N	\N
399125	1359	1996-08-18	PRIJEM	VKLAD	2900	27735	\N	\N	\N
399126	1359	1996-09-17	PRIJEM	VKLAD	400	28233	\N	\N	\N
399127	1359	1996-10-17	PRIJEM	VKLAD	2000	30332	\N	\N	\N
399128	1359	1996-11-16	PRIJEM	VKLAD	1200	31631	\N	\N	\N
399129	1359	1996-12-16	PRIJEM	VKLAD	1700	33429	\N	\N	\N
399130	1359	1997-01-15	PRIJEM	VKLAD	2600	36128	\N	\N	\N
399131	1359	1997-02-14	PRIJEM	VKLAD	100	36327	\N	\N	\N
399132	1359	1997-03-16	PRIJEM	VKLAD	1100	37525	\N	\N	\N
399133	1359	1997-04-15	PRIJEM	VKLAD	1800	39424	\N	\N	\N
399134	1359	1997-05-15	VYDAJ	VYBER	1300	38222	\N	\N	\N
399135	1359	1997-06-14	VYDAJ	VYBER	600	37721	\N	\N	\N
399136	1359	1997-07-14	VYDAJ	VYBER	1800	36020	\N	\N	\N
399137	1359	1997-08-13	VYDAJ	VYBER	1100	35018	\N	\N	\N
399138	1359	1997-09-12	VYDAJ	VYBER	1000	34117	\N	\N	\N
399139	1359	1997-10-12	PRIJEM	VKLAD	4600	38816	\N	\N	\N
399140	1359	1997-11-11	PRIJEM	VKLAD	3400	42314	\N	\N	\N
399141	1359	1997-12-11	VYDAJ	VYBER	2600	39813	\N	\N	\N
399142	1359	1998-01-10	PRIJEM	VKLAD	2200	42111	\N	\N	\N
399143	1359	1998-02-09	PRIJEM	VKLAD	2100	44310	\N	\N	\N
399144	1359	1998-03-11	PRIJEM	VKLAD	4300	48709	\N	\N	\N
399145	1359	1998-04-10	VYDAJ	VYBER	100	48707	\N	\N	\N
399146	1359	1998-05-10	PRIJEM	VKLAD	2100	50906	\N	\N	\N
399147	1359	1998-06-09	PRIJEM	VKLAD	100	51105	\N	\N	\N
399148	1359	1998-07-09	PRIJEM	VKLAD	6000	57203	\N	\N	\N
399149	1359	1998-08-08	PRIJEM	VKLAD	4200	61502	\N	\N	\N
399150	1359	1998-09-07	PRIJEM	VKLAD	1900	63500	\N	\N	\N
399151	1359	1998-10-07	PRIJEM	VKLAD	3200	66799	\N	\N	\N
399152	1359	1998-11-06	VYDAJ	VYBER	900	65998	\N	\N	\N
399153	1359	1998-12-06	PRIJEM	VKLAD	5600	71696	\N	\N	\N
399212	1360	1994-08-14	PRIJEM	VKLAD	700	700	\N	\N	\N
399215	1360	1995-06-11	PRIJEM	VKLAD	47370	76363	\N	\N	\N
399216	1360	1995-05-23	PRIJEM	VKLAD	44958	73829	\N	\N	\N
399217	1360	1996-10-16	PRIJEM	VKLAD	5219	79980	\N	\N	\N
399218	1360	1996-10-10	PRIJEM	VKLAD	37248	73561	\N	\N	\N
399219	1360	1997-07-15	PRIJEM	VKLAD	16659	44248	\N	\N	\N
399220	1360	1997-11-28	PRIJEM	VKLAD	3735	58320	\N	\N	\N
399221	1360	1998-10-08	PRIJEM	VKLAD	22761	80113	\N	\N	\N
399222	1360	1998-04-16	PRIJEM	VKLAD	44046	100726	\N	\N	\N
399230	1360	1994-08-16	PRIJEM	VKLAD	1200	1900	\N	\N	\N
399231	1360	1994-09-17	PRIJEM	VKLAD	1200	15004	\N	\N	\N
399232	1360	1994-10-16	PRIJEM	VKLAD	1200	23138	\N	\N	\N
399233	1360	1994-11-17	PRIJEM	VKLAD	1200	23218	\N	\N	\N
399234	1360	1994-12-13	PRIJEM	VKLAD	1200	24314	\N	\N	\N
399235	1360	1995-01-16	PRIJEM	VKLAD	1200	18095	\N	\N	\N
399236	1360	1995-02-17	PRIJEM	VKLAD	1200	24051	\N	\N	\N
399237	1360	1995-03-16	PRIJEM	VKLAD	1200	27018	\N	\N	\N
399238	1360	1995-04-13	PRIJEM	VKLAD	1200	32211	\N	\N	\N
399239	1360	1995-05-17	PRIJEM	VKLAD	1200	28871	\N	\N	\N
399240	1360	1995-06-16	PRIJEM	VKLAD	1200	77563	\N	\N	\N
399241	1360	1995-07-15	PRIJEM	VKLAD	1200	55453	\N	\N	\N
399242	1360	1995-08-16	PRIJEM	VKLAD	1200	44612	\N	\N	\N
399243	1360	1995-09-17	PRIJEM	VKLAD	1200	37203	\N	\N	\N
399244	1360	1995-10-14	PRIJEM	VKLAD	1200	35255	\N	\N	\N
399245	1360	1995-11-15	PRIJEM	VKLAD	1200	34191	\N	\N	\N
399246	1360	1995-12-13	PRIJEM	VKLAD	1200	32921	\N	\N	\N
399247	1360	1996-01-17	PRIJEM	VKLAD	1200	29745	\N	\N	\N
399248	1360	1996-02-15	PRIJEM	VKLAD	1200	30346	\N	\N	\N
399249	1360	1996-03-14	PRIJEM	VKLAD	1200	33846	\N	\N	\N
399250	1360	1996-04-13	PRIJEM	VKLAD	1200	35067	\N	\N	\N
399251	1360	1996-05-16	PRIJEM	VKLAD	1200	38198	\N	\N	\N
399252	1360	1996-06-13	PRIJEM	VKLAD	1200	28737	\N	\N	\N
399253	1360	1996-07-17	PRIJEM	VKLAD	1200	33845	\N	\N	\N
399254	1360	1996-08-17	PRIJEM	VKLAD	1200	34360	\N	\N	\N
399255	1360	1996-09-13	PRIJEM	VKLAD	1200	35085	\N	\N	\N
399256	1360	1996-10-13	PRIJEM	VKLAD	1200	74761	\N	\N	\N
399257	1360	1996-11-15	PRIJEM	VKLAD	1200	58840	\N	\N	\N
399258	1360	1996-12-14	PRIJEM	VKLAD	1200	41013	\N	\N	\N
399259	1360	1997-01-15	PRIJEM	VKLAD	1200	33980	\N	\N	\N
399260	1360	1997-02-16	PRIJEM	VKLAD	1200	32210	\N	\N	\N
399261	1360	1997-03-16	PRIJEM	VKLAD	1200	35826	\N	\N	\N
399262	1360	1997-04-13	PRIJEM	VKLAD	1200	36054	\N	\N	\N
399263	1360	1997-05-14	PRIJEM	VKLAD	1200	33886	\N	\N	\N
399264	1360	1997-06-17	PRIJEM	VKLAD	1200	16415	\N	\N	\N
399265	1360	1997-07-13	PRIJEM	VKLAD	1200	27589	\N	\N	\N
399266	1360	1997-08-17	PRIJEM	VKLAD	1200	43585	\N	\N	\N
399267	1360	1997-09-14	PRIJEM	VKLAD	1200	41651	\N	\N	\N
399268	1360	1997-10-16	PRIJEM	VKLAD	1200	43313	\N	\N	\N
399269	1360	1997-11-15	PRIJEM	VKLAD	1200	48485	\N	\N	\N
399270	1360	1997-12-16	PRIJEM	VKLAD	1200	59010	\N	\N	\N
399271	1360	1998-01-16	PRIJEM	VKLAD	1200	54643	\N	\N	\N
399272	1360	1998-02-16	PRIJEM	VKLAD	1200	54555	\N	\N	\N
399273	1360	1998-03-16	PRIJEM	VKLAD	1200	55865	\N	\N	\N
399274	1360	1998-04-15	PRIJEM	VKLAD	1200	56680	\N	\N	\N
399275	1360	1998-05-17	PRIJEM	VKLAD	1200	77819	\N	\N	\N
399276	1360	1998-06-16	PRIJEM	VKLAD	1200	44319	\N	\N	\N
399277	1360	1998-07-14	PRIJEM	VKLAD	1200	50219	\N	\N	\N
399278	1360	1998-08-17	PRIJEM	VKLAD	1200	55214	\N	\N	\N
399279	1360	1998-09-17	PRIJEM	VKLAD	1200	58029	\N	\N	\N
399280	1360	1998-10-16	PRIJEM	VKLAD	1200	81313	\N	\N	\N
399281	1360	1998-11-16	PRIJEM	VKLAD	1200	72876	\N	\N	\N
399282	1360	1998-12-13	PRIJEM	VKLAD	1200	66953	\N	\N	\N
399284	1360	1995-06-09	VYDAJ	VYBER	27300	31793	\N	\N	\N
399285	1360	1996-06-04	VYDAJ	VYBER	7200	27537	\N	\N	\N
399286	1360	1997-06-07	VYDAJ	VYBER	19400	15515	\N	\N	\N
399287	1360	1998-06-10	VYDAJ	VYBER	14300	43119	\N	\N	\N
399289	1360	1995-06-06	VYDAJ	VYBER	14900	59093	\N	\N	\N
399290	1360	1996-06-02	VYDAJ	VYBER	12900	24937	\N	\N	\N
399292	1360	1998-06-06	VYDAJ	VYBER	7700	57419	\N	\N	\N
399294	1360	1995-01-06	VYDAJ	VYBER	6600	13645	\N	\N	\N
399295	1360	1996-01-17	VYDAJ	VYBER KARTOU	3600	26145	\N	\N	0
399296	1360	1997-01-08	VYDAJ	VYBER KARTOU	3200	34080	\N	\N	0
399297	1360	1998-01-01	VYDAJ	VYBER	5200	56243	\N	\N	\N
399298	1360	1994-12-21	VYDAJ	VYBER	2800	21514	\N	\N	\N
399299	1360	1995-12-11	VYDAJ	VYBER KARTOU	500	31721	\N	\N	0
399300	1360	1996-12-07	VYDAJ	VYBER KARTOU	2700	39813	\N	\N	0
399301	1360	1997-12-10	VYDAJ	VYBER KARTOU	700	57810	\N	\N	0
399302	1360	1998-12-22	VYDAJ	VYBER KARTOU	1900	62453	\N	\N	0
399309	1360	1995-01-23	VYDAJ	VYBER	1000	16545	\N	\N	\N
399310	1360	1995-01-07	VYDAJ	VYBER	1450	12195	\N	\N	\N
399311	1360	1995-01-14	VYDAJ	VYBER	250	16895	\N	\N	\N
399312	1360	1995-01-18	VYDAJ	VYBER	550	17545	\N	\N	\N
399313	1360	1995-01-13	VYDAJ	VYBER	650	17145	\N	\N	\N
399314	1360	1995-01-05	VYDAJ	VYBER	1350	20245	\N	\N	\N
399315	1360	1996-01-09	VYDAJ	VYBER KARTOU	1000	29745	\N	\N	0
399316	1360	1996-01-14	VYDAJ	VYBER KARTOU	1200	28545	\N	\N	0
399317	1360	1996-01-07	VYDAJ	VYBER KARTOU	1500	32045	\N	\N	0
399318	1360	1996-01-07	VYDAJ	VYBER KARTOU	1300	30745	\N	\N	0
399319	1360	1996-01-20	VYDAJ	VYBER KARTOU	1100	24345	\N	\N	0
399320	1360	1996-01-21	VYDAJ	VYBER KARTOU	600	23745	\N	\N	0
399321	1360	1997-01-29	VYDAJ	VYBER KARTOU	1200	29580	\N	\N	0
399322	1360	1997-01-22	VYDAJ	VYBER KARTOU	1100	32280	\N	\N	0
399323	1360	1997-01-13	VYDAJ	VYBER KARTOU	1300	32780	\N	\N	0
399324	1360	1997-01-28	VYDAJ	VYBER KARTOU	1100	30780	\N	\N	0
399325	1360	1997-01-19	VYDAJ	VYBER KARTOU	600	33380	\N	\N	0
399326	1360	1997-01-26	VYDAJ	VYBER KARTOU	400	31880	\N	\N	0
399327	1360	1998-01-26	VYDAJ	VYBER KARTOU	500	55143	\N	\N	0
399328	1360	1998-01-28	VYDAJ	VYBER KARTOU	1000	54143	\N	\N	0
399329	1360	1998-01-29	VYDAJ	VYBER KARTOU	1000	53143	\N	\N	0
399330	1360	1998-01-02	VYDAJ	VYBER KARTOU	600	54543	\N	\N	0
399331	1360	1998-01-08	VYDAJ	VYBER KARTOU	1100	53443	\N	\N	0
399332	1360	1998-01-01	VYDAJ	VYBER KARTOU	1100	55143	\N	\N	0
399338	1360	1995-04-26	VYDAJ	VYBER	1500	30711	\N	\N	\N
399339	1360	1995-01-24	VYDAJ	VYBER	450	16095	\N	\N	\N
399340	1360	1995-05-16	VYDAJ	VYBER	1450	27671	\N	\N	\N
399341	1360	1995-03-02	VYDAJ	VYBER	1800	22318	\N	\N	\N
399342	1360	1995-08-25	VYDAJ	VYBER KARTOU	2400	42212	\N	\N	0
399343	1360	1996-08-27	VYDAJ	VYBER KARTOU	2300	32060	\N	\N	0
399344	1360	1996-07-17	VYDAJ	VYBER KARTOU	700	33145	\N	\N	0
399345	1360	1996-04-09	VYDAJ	VYBER KARTOU	500	33867	\N	\N	0
399346	1360	1996-01-19	VYDAJ	VYBER KARTOU	700	25445	\N	\N	0
399347	1360	1996-12-23	VYDAJ	VYBER KARTOU	2200	38813	\N	\N	0
399348	1360	1996-05-22	VYDAJ	VYBER KARTOU	500	37698	\N	\N	0
399349	1360	1996-04-09	VYDAJ	VYBER KARTOU	800	34367	\N	\N	0
399350	1360	1997-06-29	VYDAJ	VYBER KARTOU	1400	26315	\N	\N	0
399351	1360	1997-08-10	VYDAJ	VYBER KARTOU	1500	42385	\N	\N	0
399352	1360	1997-05-05	VYDAJ	VYBER KARTOU	1800	32686	\N	\N	0
399353	1360	1997-10-02	VYDAJ	VYBER KARTOU	2200	42113	\N	\N	0
399354	1360	1997-09-05	VYDAJ	VYBER KARTOU	1800	40451	\N	\N	0
399355	1360	1997-06-08	VYDAJ	VYBER KARTOU	300	15215	\N	\N	0
399356	1360	1997-08-22	VYDAJ	VYBER KARTOU	2300	41285	\N	\N	0
399357	1360	1997-01-30	VYDAJ	VYBER KARTOU	1200	30880	\N	\N	0
399358	1360	1998-11-24	VYDAJ	VYBER KARTOU	1100	65476	\N	\N	0
399359	1360	1998-06-22	VYDAJ	VYBER KARTOU	1900	42419	\N	\N	0
399360	1360	1998-05-02	VYDAJ	VYBER KARTOU	1900	76619	\N	\N	0
399373	1360	1994-12-31	VYDAJ	VYBER	15	21595	SLUZBY	\N	\N
399374	1360	1995-01-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
399375	1360	1995-02-28	VYDAJ	VYBER	15	24118	SLUZBY	\N	\N
399376	1360	1995-03-31	VYDAJ	VYBER	15	27111	SLUZBY	\N	\N
399377	1360	1995-04-30	VYDAJ	VYBER	15	30821	SLUZBY	\N	\N
399378	1360	1995-05-31	VYDAJ	VYBER	15	73993	SLUZBY	\N	\N
399379	1360	1995-06-30	VYDAJ	VYBER	15	77853	SLUZBY	\N	\N
399380	1360	1995-07-31	VYDAJ	VYBER	15	55712	SLUZBY	\N	\N
399381	1360	1995-08-31	VYDAJ	VYBER	15	42403	SLUZBY	\N	\N
399382	1360	1995-09-30	VYDAJ	VYBER	15	37355	SLUZBY	\N	\N
399383	1360	1995-10-31	VYDAJ	VYBER	15	35391	SLUZBY	\N	\N
399384	1360	1995-11-30	VYDAJ	VYBER	15	34321	SLUZBY	\N	\N
399385	1360	1995-12-31	VYDAJ	VYBER	15	33045	SLUZBY	\N	\N
399386	1360	1996-01-31	VYDAJ	VYBER	15	23846	SLUZBY	\N	\N
399387	1360	1996-02-29	VYDAJ	VYBER	15	30446	SLUZBY	\N	\N
399388	1360	1996-03-31	VYDAJ	VYBER	15	33967	SLUZBY	\N	\N
399389	1360	1996-04-30	VYDAJ	VYBER	15	35198	SLUZBY	\N	\N
399390	1360	1996-05-31	VYDAJ	VYBER	15	37837	SLUZBY	\N	\N
399391	1360	1996-06-30	VYDAJ	VYBER	15	28845	SLUZBY	\N	\N
399392	1360	1996-07-31	VYDAJ	VYBER	15	33260	SLUZBY	\N	\N
399393	1360	1996-08-31	VYDAJ	VYBER	15	32185	SLUZBY	\N	\N
399394	1360	1996-09-30	VYDAJ	VYBER	15	35213	SLUZBY	\N	\N
399395	1360	1996-10-31	VYDAJ	VYBER	15	80240	SLUZBY	\N	\N
399396	1360	1996-11-30	VYDAJ	VYBER	15	59113	SLUZBY	\N	\N
399397	1360	1996-12-31	VYDAJ	VYBER	15	38980	SLUZBY	\N	\N
399398	1360	1997-01-31	VYDAJ	VYBER	15	31010	SLUZBY	\N	\N
399399	1360	1997-02-28	VYDAJ	VYBER	15	32326	SLUZBY	\N	\N
399400	1360	1997-03-31	VYDAJ	VYBER	15	35954	SLUZBY	\N	\N
399401	1360	1997-04-30	VYDAJ	VYBER	15	34486	SLUZBY	\N	\N
399402	1360	1997-05-31	VYDAJ	VYBER	15	34915	SLUZBY	\N	\N
399403	1360	1997-06-30	VYDAJ	VYBER	15	26389	SLUZBY	\N	\N
399404	1360	1997-07-31	VYDAJ	VYBER	15	43885	SLUZBY	\N	\N
399405	1360	1997-08-31	VYDAJ	VYBER	15	42251	SLUZBY	\N	\N
399406	1360	1997-09-30	VYDAJ	VYBER	15	44313	SLUZBY	\N	\N
399407	1360	1997-10-31	VYDAJ	VYBER	15	47285	SLUZBY	\N	\N
399408	1360	1997-11-30	VYDAJ	VYBER	15	58510	SLUZBY	\N	\N
399409	1360	1997-12-31	VYDAJ	VYBER	15	61443	SLUZBY	\N	\N
399410	1360	1998-01-31	VYDAJ	VYBER	15	53355	SLUZBY	\N	\N
399411	1360	1998-02-28	VYDAJ	VYBER	15	54665	SLUZBY	\N	\N
399412	1360	1998-03-31	VYDAJ	VYBER	15	55480	SLUZBY	\N	\N
399413	1360	1998-04-30	VYDAJ	VYBER	15	78519	SLUZBY	\N	\N
399414	1360	1998-05-31	VYDAJ	VYBER	15	65119	SLUZBY	\N	\N
399415	1360	1998-06-30	VYDAJ	VYBER	15	49019	SLUZBY	\N	\N
399416	1360	1998-07-31	VYDAJ	VYBER	15	54014	SLUZBY	\N	\N
399417	1360	1998-08-31	VYDAJ	VYBER	15	56829	SLUZBY	\N	\N
399418	1360	1998-09-30	VYDAJ	VYBER	15	57352	SLUZBY	\N	\N
399419	1360	1998-10-31	VYDAJ	VYBER	15	71676	SLUZBY	\N	\N
399420	1360	1998-11-30	VYDAJ	VYBER	15	65753	SLUZBY	\N	\N
399421	1360	1994-09-13	PRIJEM	VKLAD	11900	13804	\N	\N	\N
399422	1360	1994-10-13	PRIJEM	VKLAD	6900	21938	\N	\N	\N
399423	1360	1994-11-12	VYDAJ	VYBER	1200	22018	\N	\N	\N
399424	1360	1994-12-12	VYDAJ	VYBER	200	23114	\N	\N	\N
399425	1360	1995-01-11	PRIJEM	VKLAD	5600	17795	\N	\N	\N
399426	1360	1995-02-10	PRIJEM	VKLAD	6700	22851	\N	\N	\N
399427	1360	1995-03-12	PRIJEM	VKLAD	3500	25818	\N	\N	\N
399428	1360	1995-04-11	PRIJEM	VKLAD	3900	31011	\N	\N	\N
399429	1360	1995-05-11	VYDAJ	VYBER	1700	29121	\N	\N	\N
399430	1360	1995-06-10	VYDAJ	VYBER	2800	28993	\N	\N	\N
399431	1360	1995-07-10	VYDAJ	VYBER	23600	54253	\N	\N	\N
399432	1360	1995-08-09	VYDAJ	VYBER	12300	43412	\N	\N	\N
399433	1360	1995-09-08	VYDAJ	VYBER	6400	36003	\N	\N	\N
399434	1360	1995-10-08	VYDAJ	VYBER KARTOU	3300	34055	\N	\N	0
399435	1360	1995-11-07	VYDAJ	VYBER KARTOU	2400	32991	\N	\N	0
399436	1360	1995-12-07	VYDAJ	VYBER KARTOU	2100	32221	\N	\N	0
399437	1360	1996-01-06	PRIJEM	VKLAD	500	33545	\N	\N	\N
399438	1360	1996-02-05	PRIJEM	VKLAD	5300	29146	\N	\N	\N
399439	1360	1996-03-06	PRIJEM	VKLAD	2200	32646	\N	\N	\N
399440	1360	1996-04-05	PRIJEM	VKLAD	1200	35167	\N	\N	\N
399441	1360	1996-05-05	PRIJEM	VKLAD	1800	36998	\N	\N	\N
399442	1360	1996-06-04	PRIJEM	VKLAD	9800	34737	\N	\N	\N
399443	1360	1996-07-04	PRIJEM	VKLAD	3800	32645	\N	\N	\N
399444	1360	1996-08-03	VYDAJ	VYBER KARTOU	100	33160	\N	\N	0
399445	1360	1996-09-02	PRIJEM	VKLAD	1700	33885	\N	\N	\N
399446	1360	1996-10-02	PRIJEM	VKLAD	1100	36313	\N	\N	\N
399447	1360	1996-11-01	VYDAJ	VYBER	22600	57640	\N	\N	\N
399448	1360	1996-12-01	VYDAJ	VYBER	16600	42513	\N	\N	\N
399449	1360	1996-12-31	VYDAJ	VYBER KARTOU	1700	37280	\N	\N	0
399450	1360	1997-01-30	PRIJEM	VKLAD	2500	32080	\N	\N	\N
399451	1360	1997-03-01	PRIJEM	VKLAD	2300	34626	\N	\N	\N
399452	1360	1997-03-31	VYDAJ	VYBER KARTOU	1100	34854	\N	\N	0
399453	1360	1997-04-30	VYDAJ	VYBER KARTOU	1700	34501	\N	\N	0
399454	1360	1997-05-30	PRIJEM	VKLAD	900	34786	\N	\N	\N
399455	1360	1997-06-29	PRIJEM	VKLAD	11300	27715	\N	\N	\N
399456	1360	1997-07-29	VYDAJ	VYBER KARTOU	500	43748	\N	\N	0
399457	1360	1997-08-28	PRIJEM	VKLAD	800	42085	\N	\N	\N
399458	1360	1997-09-27	PRIJEM	VKLAD	2500	44151	\N	\N	\N
399459	1360	1997-10-27	PRIJEM	VKLAD	3800	47113	\N	\N	\N
399460	1360	1997-11-26	PRIJEM	VKLAD	6100	54585	\N	\N	\N
399461	1360	1997-12-26	PRIJEM	VKLAD	2200	61210	\N	\N	\N
399462	1360	1998-01-25	PRIJEM	VKLAD	1000	55643	\N	\N	\N
399463	1360	1998-02-24	VYDAJ	VYBER KARTOU	100	54455	\N	\N	0
399464	1360	1998-03-26	VYDAJ	VYBER KARTOU	600	55265	\N	\N	0
399465	1360	1998-04-25	VYDAJ	VYBER	22500	78226	\N	\N	\N
399466	1360	1998-05-25	VYDAJ	VYBER	13000	64819	\N	\N	\N
399467	1360	1998-06-24	PRIJEM	VKLAD	6400	48819	\N	\N	\N
399468	1360	1998-07-24	PRIJEM	VKLAD	3600	53819	\N	\N	\N
399469	1360	1998-08-23	PRIJEM	VKLAD	1400	56614	\N	\N	\N
399470	1360	1998-09-22	VYDAJ	VYBER KARTOU	900	57129	\N	\N	0
399471	1360	1998-10-22	VYDAJ	VYBER	9900	71413	\N	\N	\N
399472	1360	1998-11-21	VYDAJ	VYBER	6300	66576	\N	\N	\N
399473	1360	1998-12-21	VYDAJ	VYBER KARTOU	2600	64353	\N	\N	0
399527	1361	1996-12-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
399540	1361	1997-01-07	PRIJEM	VKLAD	21009	22109	\N	\N	\N
399541	1361	1997-02-07	PRIJEM	VKLAD	21009	41584	\N	\N	\N
399542	1361	1997-03-07	PRIJEM	VKLAD	21009	54220	\N	\N	\N
399543	1361	1997-04-07	PRIJEM	VKLAD	21009	61790	\N	\N	\N
399544	1361	1997-05-07	PRIJEM	VKLAD	21009	64677	\N	\N	\N
399545	1361	1997-06-07	PRIJEM	VKLAD	31514	69347	\N	\N	\N
399546	1361	1997-07-07	PRIJEM	VKLAD	21009	42547	\N	\N	\N
399547	1361	1997-08-07	PRIJEM	VKLAD	21009	38668	\N	\N	\N
399548	1361	1997-09-07	PRIJEM	VKLAD	21009	45096	\N	\N	\N
399549	1361	1997-10-07	PRIJEM	VKLAD	21009	50856	\N	\N	\N
399550	1361	1997-11-07	PRIJEM	VKLAD	21009	49380	\N	\N	\N
399551	1361	1997-12-07	PRIJEM	VKLAD	31514	61968	\N	\N	\N
399552	1361	1998-01-07	PRIJEM	VKLAD	21009	56632	\N	\N	\N
399553	1361	1998-02-07	PRIJEM	VKLAD	21009	50713	\N	\N	\N
399554	1361	1998-03-07	PRIJEM	VKLAD	21009	52296	\N	\N	\N
399555	1361	1998-04-07	PRIJEM	VKLAD	21009	55090	\N	\N	\N
399556	1361	1998-05-07	PRIJEM	VKLAD	21009	49998	\N	\N	\N
399557	1361	1998-06-07	PRIJEM	VKLAD	31514	62124	\N	\N	\N
399558	1361	1998-07-07	PRIJEM	VKLAD	21009	46581	\N	\N	\N
399559	1361	1998-08-07	PRIJEM	VKLAD	21009	50751	\N	\N	\N
399560	1361	1998-09-07	PRIJEM	VKLAD	21009	52635	\N	\N	\N
399561	1361	1998-10-07	PRIJEM	VKLAD	21009	55504	\N	\N	\N
399562	1361	1998-11-07	PRIJEM	VKLAD	21009	55005	\N	\N	\N
399563	1361	1998-12-07	PRIJEM	VKLAD	31514	61384	\N	\N	\N
399580	1361	1997-05-12	VYDAJ	PREVOD NA UCET	6195	37682	SIPO	AB	67573106
399581	1361	1997-06-12	VYDAJ	PREVOD NA UCET	6195	37552	SIPO	AB	67573106
399582	1361	1997-07-12	VYDAJ	PREVOD NA UCET	6195	25052	SIPO	AB	67573106
399583	1361	1997-08-12	VYDAJ	PREVOD NA UCET	6195	32473	SIPO	AB	67573106
399584	1361	1997-09-12	VYDAJ	PREVOD NA UCET	6195	38901	SIPO	AB	67573106
399585	1361	1997-10-12	VYDAJ	PREVOD NA UCET	6195	44661	SIPO	AB	67573106
399586	1361	1997-11-12	VYDAJ	PREVOD NA UCET	6195	43185	SIPO	AB	67573106
399587	1361	1997-12-12	VYDAJ	PREVOD NA UCET	6195	55773	SIPO	AB	67573106
399588	1361	1998-01-12	VYDAJ	PREVOD NA UCET	6195	39717	SIPO	AB	67573106
399589	1361	1998-02-12	VYDAJ	PREVOD NA UCET	6195	44518	SIPO	AB	67573106
399590	1361	1998-03-12	VYDAJ	PREVOD NA UCET	6195	46101	SIPO	AB	67573106
399591	1361	1998-04-12	VYDAJ	PREVOD NA UCET	6195	43615	SIPO	AB	67573106
399592	1361	1998-05-12	VYDAJ	PREVOD NA UCET	6195	43803	SIPO	AB	67573106
399593	1361	1998-06-12	VYDAJ	PREVOD NA UCET	6195	55929	SIPO	AB	67573106
399594	1361	1998-07-12	VYDAJ	PREVOD NA UCET	6195	40386	SIPO	AB	67573106
399595	1361	1998-08-12	VYDAJ	PREVOD NA UCET	6195	44556	SIPO	AB	67573106
399596	1361	1998-09-12	VYDAJ	PREVOD NA UCET	6195	46440	SIPO	AB	67573106
399597	1361	1998-10-12	VYDAJ	PREVOD NA UCET	6195	48709	SIPO	AB	67573106
399598	1361	1998-11-12	VYDAJ	PREVOD NA UCET	6195	48810	SIPO	AB	67573106
399599	1361	1998-12-12	VYDAJ	PREVOD NA UCET	6195	52549	SIPO	AB	67573106
399601	1361	1997-06-23	VYDAJ	VYBER	16160	21392	\N	\N	\N
399602	1361	1998-06-28	VYDAJ	VYBER	17760	38169	\N	\N	\N
399605	1361	1998-01-10	VYDAJ	VYBER	10720	45912	\N	\N	\N
399607	1361	1997-12-28	VYDAJ	VYBER	4160	51613	\N	\N	\N
399608	1361	1998-12-12	VYDAJ	VYBER	2400	50149	\N	\N	\N
399614	1361	1997-07-17	VYDAJ	VYBER	5880	19172	\N	\N	\N
399615	1361	1997-10-27	VYDAJ	VYBER	1560	43101	\N	\N	\N
399616	1361	1998-04-08	VYDAJ	VYBER	5280	49810	\N	\N	\N
399617	1361	1998-12-08	VYDAJ	VYBER	2640	58744	\N	\N	\N
399618	1361	1998-05-18	VYDAJ	VYBER	2160	41643	\N	\N	\N
399619	1361	1998-01-25	VYDAJ	VYBER	2280	37437	\N	\N	\N
399620	1361	1998-10-30	VYDAJ	VYBER	2400	33809	\N	\N	\N
399621	1361	1998-10-07	VYDAJ	VYBER	600	54904	\N	\N	\N
399639	1361	1997-05-31	VYDAJ	VYBER	15	37834	SLUZBY	\N	\N
399640	1361	1997-06-30	VYDAJ	VYBER	15	21538	SLUZBY	\N	\N
399641	1361	1997-07-31	VYDAJ	VYBER	15	19259	SLUZBY	\N	\N
399642	1361	1997-08-31	VYDAJ	VYBER	15	32587	SLUZBY	\N	\N
399643	1361	1997-09-30	VYDAJ	VYBER	15	39047	SLUZBY	\N	\N
399644	1361	1997-10-31	VYDAJ	VYBER	15	43271	SLUZBY	\N	\N
399645	1361	1997-11-30	VYDAJ	VYBER	15	43355	SLUZBY	\N	\N
399646	1361	1997-12-31	VYDAJ	VYBER	15	51823	SLUZBY	\N	\N
399647	1361	1998-01-31	VYDAJ	VYBER	15	37604	SLUZBY	\N	\N
399648	1361	1998-02-28	VYDAJ	VYBER	15	44687	SLUZBY	\N	\N
399649	1361	1998-03-31	VYDAJ	VYBER	15	46281	SLUZBY	\N	\N
399650	1361	1998-04-30	VYDAJ	VYBER	15	43789	SLUZBY	\N	\N
399651	1361	1998-05-31	VYDAJ	VYBER	15	41811	SLUZBY	\N	\N
399652	1361	1998-06-30	VYDAJ	VYBER	15	38372	SLUZBY	\N	\N
399653	1361	1998-07-31	VYDAJ	VYBER	15	40542	SLUZBY	\N	\N
399654	1361	1998-08-31	VYDAJ	VYBER	15	31626	SLUZBY	\N	\N
399655	1361	1998-09-30	VYDAJ	VYBER	15	46595	SLUZBY	\N	\N
399656	1361	1998-10-31	VYDAJ	VYBER	15	33996	SLUZBY	\N	\N
399657	1361	1998-11-30	VYDAJ	VYBER	15	29870	SLUZBY	\N	\N
399658	1361	1997-01-08	VYDAJ	VYBER	1600	20509	\N	\N	\N
399659	1361	1997-02-07	VYDAJ	VYBER	8500	33084	\N	\N	\N
399660	1361	1997-03-09	VYDAJ	VYBER	13600	40620	\N	\N	\N
399661	1361	1997-04-08	VYDAJ	VYBER	18300	43490	\N	\N	\N
399662	1361	1997-05-08	VYDAJ	VYBER	20800	43877	\N	\N	\N
399663	1361	1997-06-07	VYDAJ	VYBER	25600	43747	\N	\N	\N
399664	1361	1997-07-07	VYDAJ	VYBER	11300	31247	\N	\N	\N
399665	1361	1997-08-06	VYDAJ	VYBER	1600	17659	\N	\N	\N
399666	1361	1997-09-05	VYDAJ	VYBER	8500	24087	\N	\N	\N
399667	1361	1997-10-05	VYDAJ	VYBER	9200	29847	\N	\N	\N
399668	1361	1997-11-04	VYDAJ	VYBER	14900	28371	\N	\N	\N
399669	1361	1997-12-04	VYDAJ	VYBER	12900	30455	\N	\N	\N
399670	1361	1998-01-03	VYDAJ	VYBER	16200	35623	\N	\N	\N
399671	1361	1998-02-02	VYDAJ	VYBER	7900	29704	\N	\N	\N
399672	1361	1998-03-04	VYDAJ	VYBER	13400	31287	\N	\N	\N
399673	1361	1998-04-03	VYDAJ	VYBER	12200	34081	\N	\N	\N
399674	1361	1998-05-03	VYDAJ	VYBER	14800	28989	\N	\N	\N
399675	1361	1998-06-02	VYDAJ	VYBER	11200	30611	\N	\N	\N
399676	1361	1998-07-02	VYDAJ	VYBER	12800	25572	\N	\N	\N
399677	1361	1998-08-01	VYDAJ	VYBER	10800	29742	\N	\N	\N
399678	1361	1998-08-31	VYDAJ	VYBER	13100	31640	\N	\N	\N
399679	1361	1998-09-30	VYDAJ	VYBER	12100	34495	\N	\N	\N
399680	1361	1998-10-30	VYDAJ	VYBER	12500	36209	\N	\N	\N
399681	1361	1998-11-29	VYDAJ	VYBER	19100	29710	\N	\N	\N
399706	1362	1996-12-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
399717	1362	1997-03-14	PRIJEM	VKLAD	16117	60467	\N	\N	\N
399718	1362	1997-01-13	PRIJEM	VKLAD	34549	35549	\N	\N	\N
399719	1362	1997-02-08	PRIJEM	VKLAD	30992	61498	\N	\N	\N
399720	1362	1998-08-01	PRIJEM	VKLAD	12950	68233	\N	\N	\N
399721	1362	1998-01-25	PRIJEM	VKLAD	6903	22336	\N	\N	\N
399722	1362	1998-10-05	PRIJEM	VKLAD	26188	62880	\N	\N	\N
399723	1362	1998-07-17	PRIJEM	VKLAD	30620	55139	\N	\N	\N
399724	1362	1998-10-15	PRIJEM	VKLAD	10802	51082	\N	\N	\N
399725	1362	1998-08-10	PRIJEM	VKLAD	37536	105769	\N	\N	\N
399726	1362	1998-08-30	PRIJEM	VKLAD	31580	110001	\N	\N	\N
399727	1362	1998-10-31	PRIJEM	VKLAD	31377	82459	\N	\N	\N
399728	1362	1998-01-29	PRIJEM	VKLAD	37691	60027	\N	\N	\N
399729	1362	1998-02-25	PRIJEM	VKLAD	10289	58149	\N	\N	\N
399730	1362	1998-02-02	PRIJEM	VKLAD	18076	78260	\N	\N	\N
399731	1362	1998-08-20	PRIJEM	VKLAD	15352	78421	\N	\N	\N
399732	1362	1998-12-24	PRIJEM	VKLAD	33084	60845	\N	\N	\N
399733	1362	1998-07-06	PRIJEM	VKLAD	10348	31619	\N	\N	\N
399764	1362	1998-12-01	VYDAJ	VYBER	2100	52061	\N	\N	\N
399792	1362	1998-12-22	VYDAJ	VYBER	4200	27761	\N	\N	\N
399793	1362	1998-06-27	VYDAJ	VYBER	1500	21176	\N	\N	\N
399797	1362	1998-12-22	VYDAJ	VYBER	6900	31961	\N	\N	\N
399798	1362	1998-03-29	VYDAJ	VYBER	12600	28661	\N	\N	\N
399824	1362	1998-01-31	VYDAJ	VYBER	15	60184	SLUZBY	\N	\N
399825	1362	1998-02-28	VYDAJ	VYBER	15	58361	SLUZBY	\N	\N
399826	1362	1998-03-31	VYDAJ	VYBER	15	28877	SLUZBY	\N	\N
399827	1362	1998-04-30	VYDAJ	VYBER	15	25882	SLUZBY	\N	\N
399828	1362	1998-05-31	VYDAJ	VYBER	15	27276	SLUZBY	\N	\N
399829	1362	1998-06-30	VYDAJ	VYBER	15	21271	SLUZBY	\N	\N
399830	1362	1998-07-31	VYDAJ	VYBER	15	55283	SLUZBY	\N	\N
399831	1362	1998-08-31	VYDAJ	VYBER	15	57072	SLUZBY	\N	\N
399832	1362	1998-09-30	VYDAJ	VYBER	15	36692	SLUZBY	\N	\N
399833	1362	1998-10-31	VYDAJ	VYBER	15	82636	SLUZBY	\N	\N
399834	1362	1998-11-30	VYDAJ	VYBER	15	54161	SLUZBY	\N	\N
399835	1362	1997-01-18	VYDAJ	VYBER	5100	30449	\N	\N	\N
399836	1362	1997-02-17	VYDAJ	VYBER	17300	44198	\N	\N	\N
399837	1362	1997-03-19	VYDAJ	VYBER	18200	42267	\N	\N	\N
399838	1362	1997-04-18	VYDAJ	VYBER	8500	33948	\N	\N	\N
399839	1362	1997-05-18	VYDAJ	VYBER	6300	27824	\N	\N	\N
399840	1362	1997-06-17	VYDAJ	VYBER	2700	25300	\N	\N	\N
399841	1362	1997-07-17	VYDAJ	VYBER	1500	23976	\N	\N	\N
399842	1362	1997-08-16	VYDAJ	VYBER	4600	19552	\N	\N	\N
399843	1362	1997-09-15	VYDAJ	VYBER	1300	18428	\N	\N	\N
399844	1362	1997-10-15	PRIJEM	VKLAD	1400	20004	\N	\N	\N
399845	1362	1997-11-14	VYDAJ	VYBER	100	20080	\N	\N	\N
399846	1362	1997-12-14	VYDAJ	VYBER	2700	17556	\N	\N	\N
399847	1362	1998-01-13	VYDAJ	VYBER	2300	15433	\N	\N	\N
399848	1362	1998-02-12	VYDAJ	VYBER	30400	47860	\N	\N	\N
399849	1362	1998-03-14	VYDAJ	VYBER	17100	41261	\N	\N	\N
399850	1362	1998-04-13	VYDAJ	VYBER	3100	25777	\N	\N	\N
399851	1362	1998-05-13	PRIJEM	VKLAD	1300	27182	\N	\N	\N
399852	1362	1998-06-12	VYDAJ	VYBER	4600	22676	\N	\N	\N
399853	1362	1998-07-12	VYDAJ	VYBER	7100	24519	\N	\N	\N
399854	1362	1998-08-11	VYDAJ	VYBER	42700	63069	\N	\N	\N
399855	1362	1998-08-31	VYDAJ	VYBER	53200	57086	\N	\N	\N
399856	1362	1998-09-10	VYDAJ	VYBER	20600	36472	\N	\N	\N
399857	1362	1998-10-10	VYDAJ	VYBER	22600	40280	\N	\N	\N
399858	1362	1998-11-09	VYDAJ	VYBER	28800	53836	\N	\N	\N
399859	1362	1998-12-09	VYDAJ	VYBER	13200	38861	\N	\N	\N
399884	1363	1997-03-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
399888	1363	1997-04-05	PRIJEM	VKLAD	23317	24317	\N	\N	\N
399889	1363	1997-05-05	PRIJEM	VKLAD	23317	51169	\N	\N	\N
399890	1363	1997-06-05	PRIJEM	VKLAD	34976	72373	\N	\N	\N
399891	1363	1997-07-05	PRIJEM	VKLAD	23317	72962	\N	\N	\N
399892	1363	1997-08-05	PRIJEM	VKLAD	23317	69680	\N	\N	\N
399893	1363	1997-09-05	PRIJEM	VKLAD	23317	68317	\N	\N	\N
399894	1363	1997-10-05	PRIJEM	VKLAD	23317	71954	\N	\N	\N
399895	1363	1997-11-05	PRIJEM	VKLAD	23317	69896	\N	\N	\N
399896	1363	1997-12-05	PRIJEM	VKLAD	34976	77712	\N	\N	\N
399897	1363	1998-01-05	PRIJEM	VKLAD	23317	71874	\N	\N	\N
399898	1363	1998-02-05	PRIJEM	VKLAD	23317	66023	\N	\N	\N
399899	1363	1998-03-05	PRIJEM	VKLAD	23317	66339	\N	\N	\N
399900	1363	1998-04-05	PRIJEM	VKLAD	23317	68963	\N	\N	\N
399901	1363	1998-05-05	PRIJEM	VKLAD	23317	67384	\N	\N	\N
399902	1363	1998-06-05	PRIJEM	VKLAD	34976	78381	\N	\N	\N
399903	1363	1998-07-05	PRIJEM	VKLAD	23317	54122	\N	\N	\N
399904	1363	1998-08-05	PRIJEM	VKLAD	23317	61502	\N	\N	\N
399905	1363	1998-09-05	PRIJEM	VKLAD	23317	56367	\N	\N	\N
399906	1363	1998-10-05	PRIJEM	VKLAD	23317	56557	\N	\N	\N
399907	1363	1998-11-05	PRIJEM	VKLAD	23317	60536	\N	\N	\N
399908	1363	1998-12-05	PRIJEM	VKLAD	34976	66365	\N	\N	\N
399916	1363	1997-08-14	VYDAJ	PREVOD NA UCET	5046	62792	SIPO	QR	46678805
399917	1363	1997-09-14	VYDAJ	PREVOD NA UCET	5046	61429	SIPO	QR	46678805
399918	1363	1997-10-14	VYDAJ	PREVOD NA UCET	5046	65066	SIPO	QR	46678805
399919	1363	1997-11-14	VYDAJ	PREVOD NA UCET	5046	63008	SIPO	QR	46678805
399920	1363	1997-12-14	VYDAJ	PREVOD NA UCET	5046	70824	SIPO	QR	46678805
399921	1363	1998-01-14	VYDAJ	PREVOD NA UCET	5046	64986	SIPO	QR	46678805
399922	1363	1998-02-14	VYDAJ	PREVOD NA UCET	5046	59135	SIPO	QR	46678805
399923	1363	1998-03-14	VYDAJ	PREVOD NA UCET	5046	59451	SIPO	QR	46678805
399924	1363	1998-04-14	VYDAJ	PREVOD NA UCET	5046	53075	SIPO	QR	46678805
399925	1363	1998-05-14	VYDAJ	PREVOD NA UCET	5046	56416	SIPO	QR	46678805
399926	1363	1998-06-14	VYDAJ	PREVOD NA UCET	5046	31653	SIPO	QR	46678805
399927	1363	1998-07-14	VYDAJ	PREVOD NA UCET	5046	47234	SIPO	QR	46678805
399928	1363	1998-08-14	VYDAJ	PREVOD NA UCET	5046	53054	SIPO	QR	46678805
399929	1363	1998-09-14	VYDAJ	PREVOD NA UCET	5046	35979	SIPO	QR	46678805
399930	1363	1998-10-14	VYDAJ	PREVOD NA UCET	5046	37069	SIPO	QR	46678805
399931	1363	1998-11-14	VYDAJ	PREVOD NA UCET	5046	31248	SIPO	QR	46678805
399932	1363	1998-12-14	VYDAJ	PREVOD NA UCET	5046	33877	SIPO	QR	46678805
399940	1363	1997-08-08	VYDAJ	PREVOD NA UCET	1517	67920	 	KL	28982448
399941	1363	1997-09-08	VYDAJ	PREVOD NA UCET	1517	66557	 	KL	28982448
399942	1363	1997-10-08	VYDAJ	PREVOD NA UCET	1517	70194	 	KL	28982448
399943	1363	1997-11-08	VYDAJ	PREVOD NA UCET	1517	68136	 	KL	28982448
399944	1363	1997-12-08	VYDAJ	PREVOD NA UCET	1517	75952	 	KL	28982448
399945	1363	1998-01-08	VYDAJ	PREVOD NA UCET	1517	70357	 	KL	28982448
399946	1363	1998-02-08	VYDAJ	PREVOD NA UCET	1517	64263	 	KL	28982448
399947	1363	1998-03-08	VYDAJ	PREVOD NA UCET	1517	64822	 	KL	28982448
399948	1363	1998-04-08	VYDAJ	PREVOD NA UCET	1517	62406	 	KL	28982448
399949	1363	1998-05-08	VYDAJ	PREVOD NA UCET	1517	65867	 	KL	28982448
399950	1363	1998-06-08	VYDAJ	PREVOD NA UCET	1517	76864	 	KL	28982448
399951	1363	1998-07-08	VYDAJ	PREVOD NA UCET	1517	52605	 	KL	28982448
399952	1363	1998-08-08	VYDAJ	PREVOD NA UCET	1517	59985	 	KL	28982448
399953	1363	1998-09-08	VYDAJ	PREVOD NA UCET	1517	54850	 	KL	28982448
399954	1363	1998-10-08	VYDAJ	PREVOD NA UCET	1517	55040	 	KL	28982448
399955	1363	1998-11-08	VYDAJ	PREVOD NA UCET	1517	58776	 	KL	28982448
399956	1363	1998-12-08	VYDAJ	PREVOD NA UCET	1517	64605	 	KL	28982448
399964	1363	1997-08-12	VYDAJ	PREVOD NA UCET	82	67838	POJISTNE	MN	35128331
399965	1363	1997-09-12	VYDAJ	PREVOD NA UCET	82	66475	POJISTNE	MN	35128331
399966	1363	1997-10-12	VYDAJ	PREVOD NA UCET	82	70112	POJISTNE	MN	35128331
399967	1363	1997-11-12	VYDAJ	PREVOD NA UCET	82	68054	POJISTNE	MN	35128331
399968	1363	1997-12-12	VYDAJ	PREVOD NA UCET	82	75870	POJISTNE	MN	35128331
399969	1363	1998-01-12	VYDAJ	PREVOD NA UCET	82	70032	POJISTNE	MN	35128331
399970	1363	1998-02-12	VYDAJ	PREVOD NA UCET	82	64181	POJISTNE	MN	35128331
399971	1363	1998-03-12	VYDAJ	PREVOD NA UCET	82	64497	POJISTNE	MN	35128331
399972	1363	1998-04-12	VYDAJ	PREVOD NA UCET	82	58121	POJISTNE	MN	35128331
399973	1363	1998-05-12	VYDAJ	PREVOD NA UCET	82	65542	POJISTNE	MN	35128331
399974	1363	1998-06-12	VYDAJ	PREVOD NA UCET	82	36699	POJISTNE	MN	35128331
399975	1363	1998-07-12	VYDAJ	PREVOD NA UCET	82	52280	POJISTNE	MN	35128331
399976	1363	1998-08-12	VYDAJ	PREVOD NA UCET	82	58100	POJISTNE	MN	35128331
399977	1363	1998-09-12	VYDAJ	PREVOD NA UCET	82	54525	POJISTNE	MN	35128331
399978	1363	1998-10-12	VYDAJ	PREVOD NA UCET	82	54715	POJISTNE	MN	35128331
399979	1363	1998-11-12	VYDAJ	PREVOD NA UCET	82	58694	POJISTNE	MN	35128331
399980	1363	1998-12-12	VYDAJ	PREVOD NA UCET	82	64523	POJISTNE	MN	35128331
399988	1363	1997-08-08	VYDAJ	PREVOD NA UCET	243	69437	 	OP	19618755
399989	1363	1997-09-08	VYDAJ	PREVOD NA UCET	243	68074	 	OP	19618755
399990	1363	1997-10-08	VYDAJ	PREVOD NA UCET	243	71711	 	OP	19618755
399991	1363	1997-11-08	VYDAJ	PREVOD NA UCET	243	69653	 	OP	19618755
399992	1363	1997-12-08	VYDAJ	PREVOD NA UCET	243	77469	 	OP	19618755
399993	1363	1998-01-08	VYDAJ	PREVOD NA UCET	243	70114	 	OP	19618755
399994	1363	1998-02-08	VYDAJ	PREVOD NA UCET	243	65780	 	OP	19618755
399995	1363	1998-03-08	VYDAJ	PREVOD NA UCET	243	64579	 	OP	19618755
399996	1363	1998-04-08	VYDAJ	PREVOD NA UCET	243	62163	 	OP	19618755
399997	1363	1998-05-08	VYDAJ	PREVOD NA UCET	243	65624	 	OP	19618755
399998	1363	1998-06-08	VYDAJ	PREVOD NA UCET	243	76621	 	OP	19618755
399999	1363	1998-07-08	VYDAJ	PREVOD NA UCET	243	52362	 	OP	19618755
400000	1363	1998-08-08	VYDAJ	PREVOD NA UCET	243	59742	 	OP	19618755
400001	1363	1998-09-08	VYDAJ	PREVOD NA UCET	243	54607	 	OP	19618755
400002	1363	1998-10-08	VYDAJ	PREVOD NA UCET	243	54797	 	OP	19618755
400003	1363	1998-11-08	VYDAJ	PREVOD NA UCET	243	60293	 	OP	19618755
400004	1363	1998-12-08	VYDAJ	PREVOD NA UCET	243	66122	 	OP	19618755
400006	1363	1998-06-08	VYDAJ	VYBER	39840	36781	\N	\N	\N
400008	1363	1998-01-18	VYDAJ	VYBER	2880	42506	\N	\N	\N
400009	1363	1997-12-03	VYDAJ	VYBER	4480	42736	\N	\N	\N
400010	1363	1998-12-21	VYDAJ	VYBER	2240	31637	\N	\N	\N
400014	1363	1998-04-09	VYDAJ	VYBER	3960	58203	\N	\N	\N
400015	1363	1998-04-06	VYDAJ	VYBER	5040	63923	\N	\N	\N
400016	1363	1998-08-23	VYDAJ	VYBER	4560	32894	\N	\N	\N
400017	1363	1998-05-12	VYDAJ	VYBER	4080	61462	\N	\N	\N
400018	1363	1998-08-11	VYDAJ	VYBER	1560	58182	\N	\N	\N
400019	1363	1998-09-15	VYDAJ	VYBER	2880	33099	\N	\N	\N
400028	1363	1997-08-31	VYDAJ	VYBER	15	45000	SLUZBY	\N	\N
400029	1363	1997-09-30	VYDAJ	VYBER	15	48637	SLUZBY	\N	\N
400030	1363	1997-10-31	VYDAJ	VYBER	15	46579	SLUZBY	\N	\N
400031	1363	1997-11-30	VYDAJ	VYBER	15	47216	SLUZBY	\N	\N
400032	1363	1997-12-31	VYDAJ	VYBER	15	48557	SLUZBY	\N	\N
400033	1363	1998-01-31	VYDAJ	VYBER	15	42706	SLUZBY	\N	\N
400034	1363	1998-02-28	VYDAJ	VYBER	15	43022	SLUZBY	\N	\N
400035	1363	1998-03-31	VYDAJ	VYBER	15	45646	SLUZBY	\N	\N
400036	1363	1998-04-30	VYDAJ	VYBER	15	44067	SLUZBY	\N	\N
400037	1363	1998-05-31	VYDAJ	VYBER	15	43405	SLUZBY	\N	\N
400038	1363	1998-06-30	VYDAJ	VYBER	15	30805	SLUZBY	\N	\N
400039	1363	1998-07-31	VYDAJ	VYBER	15	38185	SLUZBY	\N	\N
400040	1363	1998-08-31	VYDAJ	VYBER	15	33050	SLUZBY	\N	\N
400041	1363	1998-09-30	VYDAJ	VYBER	15	33240	SLUZBY	\N	\N
400042	1363	1998-10-31	VYDAJ	VYBER	15	37219	SLUZBY	\N	\N
400043	1363	1998-11-30	VYDAJ	VYBER	15	31389	SLUZBY	\N	\N
400044	1363	1997-04-22	PRIJEM	VKLAD	3500	27817	\N	\N	\N
400045	1363	1997-05-22	VYDAJ	VYBER	13900	37269	\N	\N	\N
400046	1363	1997-06-21	VYDAJ	VYBER	22900	49473	\N	\N	\N
400047	1363	1997-07-21	VYDAJ	VYBER	26800	46162	\N	\N	\N
400048	1363	1997-08-20	VYDAJ	VYBER	18000	44792	\N	\N	\N
400049	1363	1997-09-19	VYDAJ	VYBER	13000	48429	\N	\N	\N
400050	1363	1997-10-19	VYDAJ	VYBER	18700	46366	\N	\N	\N
400051	1363	1997-11-18	VYDAJ	VYBER	16000	47008	\N	\N	\N
400052	1363	1997-12-18	VYDAJ	VYBER	22500	48324	\N	\N	\N
400053	1363	1998-01-17	VYDAJ	VYBER	19600	45386	\N	\N	\N
400054	1363	1998-02-16	VYDAJ	VYBER	16300	42835	\N	\N	\N
400055	1363	1998-03-18	VYDAJ	VYBER	14000	45451	\N	\N	\N
400056	1363	1998-04-17	VYDAJ	VYBER	9200	43875	\N	\N	\N
400057	1363	1998-05-17	VYDAJ	VYBER	13200	43216	\N	\N	\N
400058	1363	1998-06-16	VYDAJ	VYBER	1000	30653	\N	\N	\N
400059	1363	1998-07-16	VYDAJ	VYBER	9200	38034	\N	\N	\N
400060	1363	1998-08-15	VYDAJ	VYBER	15600	37454	\N	\N	\N
400061	1363	1998-09-14	VYDAJ	VYBER	13500	41025	\N	\N	\N
400062	1363	1998-10-14	VYDAJ	VYBER	12600	42115	\N	\N	\N
400063	1363	1998-11-13	VYDAJ	VYBER	22400	36294	\N	\N	\N
400064	1363	1998-12-13	VYDAJ	VYBER	25600	38923	\N	\N	\N
400680	1365	1996-03-15	PRIJEM	VKLAD	300	300	\N	\N	\N
400684	1365	1996-04-13	PRIJEM	PREVOD Z UCTU	3471	3771	\N	WX	94987177
400685	1365	1996-05-13	PRIJEM	PREVOD Z UCTU	3471	17275	\N	WX	94987177
400686	1365	1996-06-13	PRIJEM	PREVOD Z UCTU	3471	25222	\N	WX	94987177
400687	1365	1996-07-13	PRIJEM	PREVOD Z UCTU	3471	28592	\N	WX	94987177
400688	1365	1996-08-13	PRIJEM	PREVOD Z UCTU	3471	31071	\N	WX	94987177
400689	1365	1996-09-13	PRIJEM	PREVOD Z UCTU	3471	33436	\N	WX	94987177
400690	1365	1996-10-13	PRIJEM	PREVOD Z UCTU	3471	33083	\N	WX	94987177
400691	1365	1996-11-13	PRIJEM	PREVOD Z UCTU	3471	36763	\N	WX	94987177
400692	1365	1996-12-13	PRIJEM	PREVOD Z UCTU	3471	34913	\N	WX	94987177
400693	1365	1997-01-13	PRIJEM	PREVOD Z UCTU	3471	35621	\N	WX	94987177
400694	1365	1997-02-13	PRIJEM	PREVOD Z UCTU	3471	36773	\N	WX	94987177
400695	1365	1997-03-13	PRIJEM	PREVOD Z UCTU	3471	39260	\N	WX	94987177
400696	1365	1997-04-13	PRIJEM	PREVOD Z UCTU	3471	37202	\N	WX	94987177
400697	1365	1997-05-13	PRIJEM	PREVOD Z UCTU	3471	38499	\N	WX	94987177
400698	1365	1997-06-13	PRIJEM	PREVOD Z UCTU	3471	40040	\N	WX	94987177
400699	1365	1997-07-13	PRIJEM	PREVOD Z UCTU	3471	43029	\N	WX	94987177
400700	1365	1997-08-13	PRIJEM	PREVOD Z UCTU	3471	47345	\N	WX	94987177
400701	1365	1997-09-13	PRIJEM	PREVOD Z UCTU	3471	43898	\N	WX	94987177
400702	1365	1997-10-13	PRIJEM	PREVOD Z UCTU	3471	46423	\N	WX	94987177
400703	1365	1997-11-13	PRIJEM	PREVOD Z UCTU	3471	48614	\N	WX	94987177
400704	1365	1997-12-13	PRIJEM	PREVOD Z UCTU	3471	48084	\N	WX	94987177
400705	1365	1998-01-13	PRIJEM	PREVOD Z UCTU	3471	47856	\N	WX	94987177
400706	1365	1998-02-13	PRIJEM	PREVOD Z UCTU	3471	48951	\N	WX	94987177
400707	1365	1998-03-13	PRIJEM	PREVOD Z UCTU	3471	46191	\N	WX	94987177
400708	1365	1998-04-13	PRIJEM	PREVOD Z UCTU	3471	48126	\N	WX	94987177
400709	1365	1998-05-13	PRIJEM	PREVOD Z UCTU	3471	52064	\N	WX	94987177
400710	1365	1998-06-13	PRIJEM	PREVOD Z UCTU	3471	56817	\N	WX	94987177
400711	1365	1998-07-13	PRIJEM	PREVOD Z UCTU	3471	51951	\N	WX	94987177
400712	1365	1998-08-13	PRIJEM	PREVOD Z UCTU	3471	57806	\N	WX	94987177
400713	1365	1998-09-13	PRIJEM	PREVOD Z UCTU	3471	61181	\N	WX	94987177
400714	1365	1998-10-13	PRIJEM	PREVOD Z UCTU	3471	62430	\N	WX	94987177
400715	1365	1998-11-13	PRIJEM	PREVOD Z UCTU	3471	65196	\N	WX	94987177
400716	1365	1998-12-13	PRIJEM	PREVOD Z UCTU	3471	71628	\N	WX	94987177
400725	1365	1996-09-08	VYDAJ	PREVOD NA UCET	2314	28865	SIPO	OP	53364294
400726	1365	1996-10-08	VYDAJ	PREVOD NA UCET	2314	30912	SIPO	OP	53364294
400727	1365	1996-11-08	VYDAJ	PREVOD NA UCET	2314	30892	SIPO	OP	53364294
400728	1365	1996-12-08	VYDAJ	PREVOD NA UCET	2314	34582	SIPO	OP	53364294
400729	1365	1997-01-08	VYDAJ	PREVOD NA UCET	2314	32730	SIPO	OP	53364294
400730	1365	1997-02-08	VYDAJ	PREVOD NA UCET	2314	33302	SIPO	OP	53364294
400731	1365	1997-03-08	VYDAJ	PREVOD NA UCET	2314	34589	SIPO	OP	53364294
400732	1365	1997-04-08	VYDAJ	PREVOD NA UCET	2314	35831	SIPO	OP	53364294
400733	1365	1997-05-08	VYDAJ	PREVOD NA UCET	2314	35028	SIPO	OP	53364294
400734	1365	1997-06-08	VYDAJ	PREVOD NA UCET	2314	36569	SIPO	OP	53364294
400735	1365	1997-07-08	VYDAJ	PREVOD NA UCET	2314	39558	SIPO	OP	53364294
400736	1365	1997-08-08	VYDAJ	PREVOD NA UCET	2314	43874	SIPO	OP	53364294
400737	1365	1997-09-08	VYDAJ	PREVOD NA UCET	2314	40427	SIPO	OP	53364294
400738	1365	1997-10-08	VYDAJ	PREVOD NA UCET	2314	42952	SIPO	OP	53364294
400739	1365	1997-11-08	VYDAJ	PREVOD NA UCET	2314	45143	SIPO	OP	53364294
400740	1365	1997-12-08	VYDAJ	PREVOD NA UCET	2314	44613	SIPO	OP	53364294
400741	1365	1998-01-08	VYDAJ	PREVOD NA UCET	2314	44595	SIPO	OP	53364294
400742	1365	1998-02-08	VYDAJ	PREVOD NA UCET	2314	45480	SIPO	OP	53364294
400743	1365	1998-03-08	VYDAJ	PREVOD NA UCET	2314	42720	SIPO	OP	53364294
400744	1365	1998-04-08	VYDAJ	PREVOD NA UCET	2314	44655	SIPO	OP	53364294
400745	1365	1998-05-08	VYDAJ	PREVOD NA UCET	2314	48593	SIPO	OP	53364294
400746	1365	1998-06-08	VYDAJ	PREVOD NA UCET	2314	53346	SIPO	OP	53364294
400747	1365	1998-07-08	VYDAJ	PREVOD NA UCET	2314	48480	SIPO	OP	53364294
400748	1365	1998-08-08	VYDAJ	PREVOD NA UCET	2314	54335	SIPO	OP	53364294
400749	1365	1998-09-08	VYDAJ	PREVOD NA UCET	2314	57710	SIPO	OP	53364294
400750	1365	1998-10-08	VYDAJ	PREVOD NA UCET	2314	58959	SIPO	OP	53364294
400751	1365	1998-11-08	VYDAJ	PREVOD NA UCET	2314	61725	SIPO	OP	53364294
400752	1365	1998-12-08	VYDAJ	PREVOD NA UCET	2314	68157	SIPO	OP	53364294
400754	1365	1997-06-13	VYDAJ	VYBER	2310	37730	\N	\N	\N
400755	1365	1998-06-22	VYDAJ	VYBER	6180	50637	\N	\N	\N
400757	1365	1997-01-19	VYDAJ	VYBER	2970	31811	\N	\N	\N
400758	1365	1998-01-25	VYDAJ	VYBER	570	45516	\N	\N	\N
400759	1365	1996-12-11	VYDAJ	VYBER	240	31442	\N	\N	\N
400760	1365	1997-12-26	VYDAJ	VYBER	720	47364	\N	\N	\N
400761	1365	1998-12-04	VYDAJ	VYBER	180	70471	\N	\N	\N
400768	1365	1997-01-10	VYDAJ	VYBER	660	32930	\N	\N	\N
400769	1365	1997-01-11	VYDAJ	VYBER	780	32150	\N	\N	\N
400770	1365	1997-01-17	VYDAJ	VYBER	840	34781	\N	\N	\N
400771	1365	1997-01-24	VYDAJ	VYBER	480	31331	\N	\N	\N
400772	1365	1997-01-25	VYDAJ	VYBER	240	31091	\N	\N	\N
400773	1365	1997-01-10	VYDAJ	VYBER	540	33590	\N	\N	\N
400774	1365	1998-01-21	VYDAJ	VYBER	570	46446	\N	\N	\N
400775	1365	1998-01-17	VYDAJ	VYBER	570	47286	\N	\N	\N
400776	1365	1998-01-23	VYDAJ	VYBER	360	46086	\N	\N	\N
400777	1365	1998-01-18	VYDAJ	VYBER	270	47016	\N	\N	\N
400778	1365	1998-01-06	VYDAJ	VYBER	660	46909	\N	\N	\N
400779	1365	1998-01-12	VYDAJ	VYBER	210	44385	\N	\N	\N
400782	1365	1996-09-23	VYDAJ	VYBER	330	33106	\N	\N	\N
400784	1365	1997-08-31	VYDAJ	VYBER	1380	46141	\N	\N	\N
400785	1365	1997-04-07	VYDAJ	VYBER	1260	38145	\N	\N	\N
400786	1365	1997-12-08	VYDAJ	VYBER	1470	46927	\N	\N	\N
400787	1365	1997-06-01	VYDAJ	VYBER	960	37683	\N	\N	\N
400788	1365	1997-10-29	VYDAJ	VYBER	240	46183	\N	\N	\N
400789	1365	1997-09-01	VYDAJ	VYBER	900	45241	\N	\N	\N
400790	1365	1998-09-16	VYDAJ	VYBER	540	60641	\N	\N	\N
400791	1365	1998-07-04	VYDAJ	VYBER	1350	50794	\N	\N	\N
400792	1365	1998-10-16	VYDAJ	VYBER	1230	61200	\N	\N	\N
400793	1365	1998-01-06	VYDAJ	VYBER	1080	47569	\N	\N	\N
400802	1365	1996-08-31	VYDAJ	VYBER	15	31179	SLUZBY	\N	\N
400803	1365	1996-09-30	VYDAJ	VYBER	15	33226	SLUZBY	\N	\N
400804	1365	1996-10-31	VYDAJ	VYBER	15	33206	SLUZBY	\N	\N
400805	1365	1996-11-30	VYDAJ	VYBER	15	36896	SLUZBY	\N	\N
400806	1365	1996-12-31	VYDAJ	VYBER	15	35044	SLUZBY	\N	\N
400807	1365	1997-01-31	VYDAJ	VYBER	15	31216	SLUZBY	\N	\N
400808	1365	1997-02-28	VYDAJ	VYBER	15	36903	SLUZBY	\N	\N
400809	1365	1997-03-31	VYDAJ	VYBER	15	39405	SLUZBY	\N	\N
400810	1365	1997-04-30	VYDAJ	VYBER	15	37342	SLUZBY	\N	\N
400811	1365	1997-05-31	VYDAJ	VYBER	15	38643	SLUZBY	\N	\N
400812	1365	1997-06-30	VYDAJ	VYBER	15	37872	SLUZBY	\N	\N
400813	1365	1997-07-31	VYDAJ	VYBER	15	43188	SLUZBY	\N	\N
400814	1365	1997-08-31	VYDAJ	VYBER	15	47521	SLUZBY	\N	\N
400815	1365	1997-09-30	VYDAJ	VYBER	15	44066	SLUZBY	\N	\N
400816	1365	1997-10-31	VYDAJ	VYBER	15	46357	SLUZBY	\N	\N
400817	1365	1997-11-30	VYDAJ	VYBER	15	48797	SLUZBY	\N	\N
400818	1365	1997-12-31	VYDAJ	VYBER	15	47549	SLUZBY	\N	\N
400819	1365	1998-01-31	VYDAJ	VYBER	15	45694	SLUZBY	\N	\N
400820	1365	1998-02-28	VYDAJ	VYBER	15	49134	SLUZBY	\N	\N
400821	1365	1998-03-31	VYDAJ	VYBER	15	46369	SLUZBY	\N	\N
400822	1365	1998-04-30	VYDAJ	VYBER	15	48307	SLUZBY	\N	\N
400823	1365	1998-05-31	VYDAJ	VYBER	15	52260	SLUZBY	\N	\N
400824	1365	1998-06-30	VYDAJ	VYBER	15	50844	SLUZBY	\N	\N
400825	1365	1998-07-31	VYDAJ	VYBER	15	52149	SLUZBY	\N	\N
400826	1365	1998-08-31	VYDAJ	VYBER	15	58024	SLUZBY	\N	\N
400827	1365	1998-09-30	VYDAJ	VYBER	15	60873	SLUZBY	\N	\N
400828	1365	1998-10-31	VYDAJ	VYBER	15	64039	SLUZBY	\N	\N
400829	1365	1998-11-30	VYDAJ	VYBER	15	70651	SLUZBY	\N	\N
400830	1365	1996-04-14	PRIJEM	VKLAD	10000	13771	\N	\N	\N
400831	1365	1996-05-14	PRIJEM	VKLAD	4400	21675	\N	\N	\N
400832	1365	1996-06-13	VYDAJ	VYBER	200	25022	\N	\N	\N
400833	1365	1996-07-13	VYDAJ	VYBER	1900	26692	\N	\N	\N
400834	1365	1996-08-12	PRIJEM	VKLAD	800	27600	\N	\N	\N
400835	1365	1996-09-11	PRIJEM	VKLAD	1100	29965	\N	\N	\N
400836	1365	1996-10-11	VYDAJ	VYBER	1300	29612	\N	\N	\N
400837	1365	1996-11-10	PRIJEM	VKLAD	2400	33292	\N	\N	\N
400838	1365	1996-12-10	VYDAJ	VYBER	2900	31682	\N	\N	\N
400839	1365	1997-01-09	PRIJEM	VKLAD	1400	34130	\N	\N	\N
400840	1365	1997-02-08	PRIJEM	VKLAD	4400	35616	\N	\N	\N
400841	1365	1997-03-10	PRIJEM	VKLAD	1200	35789	\N	\N	\N
400842	1365	1997-04-09	VYDAJ	VYBER	2100	33731	\N	\N	\N
400843	1365	1997-06-08	PRIJEM	VKLAD	1200	38883	\N	\N	\N
400844	1365	1997-07-08	PRIJEM	VKLAD	4000	41872	\N	\N	\N
400845	1365	1997-08-07	PRIJEM	VKLAD	3000	46188	\N	\N	\N
400846	1365	1997-09-06	VYDAJ	VYBER	2500	42741	\N	\N	\N
400847	1365	1997-10-06	PRIJEM	VKLAD	1200	45266	\N	\N	\N
400848	1365	1997-11-05	PRIJEM	VKLAD	1100	47457	\N	\N	\N
400849	1365	1997-12-05	VYDAJ	VYBER	400	48397	\N	\N	\N
400850	1365	1998-01-04	PRIJEM	VKLAD	1100	48649	\N	\N	\N
400851	1365	1998-02-03	PRIJEM	VKLAD	2100	47794	\N	\N	\N
400852	1365	1998-03-05	VYDAJ	VYBER	4100	45034	\N	\N	\N
400853	1365	1998-04-04	PRIJEM	VKLAD	600	46969	\N	\N	\N
400854	1365	1998-05-04	PRIJEM	VKLAD	2600	50907	\N	\N	\N
400855	1365	1998-06-03	PRIJEM	VKLAD	3400	55660	\N	\N	\N
400856	1365	1998-07-03	PRIJEM	VKLAD	1300	52144	\N	\N	\N
400857	1365	1998-08-02	PRIJEM	VKLAD	4500	56649	\N	\N	\N
400858	1365	1998-09-01	PRIJEM	VKLAD	2000	60024	\N	\N	\N
400859	1365	1998-10-01	PRIJEM	VKLAD	400	61273	\N	\N	\N
400860	1365	1998-10-31	PRIJEM	VKLAD	2600	64053	\N	\N	\N
400861	1365	1998-11-30	PRIJEM	VKLAD	5200	70396	\N	\N	\N
400895	1366	1993-02-24	PRIJEM	VKLAD	900	900	\N	\N	\N
400898	1366	1993-03-05	PRIJEM	VKLAD	7626	8526	\N	\N	\N
400899	1366	1993-04-05	PRIJEM	VKLAD	7626	21363	\N	\N	\N
400900	1366	1993-05-05	PRIJEM	VKLAD	7626	32055	\N	\N	\N
400901	1366	1993-06-05	PRIJEM	VKLAD	11439	40200	\N	\N	\N
400902	1366	1993-07-05	PRIJEM	VKLAD	7626	40449	\N	\N	\N
400903	1366	1993-08-05	PRIJEM	VKLAD	7626	38017	\N	\N	\N
400904	1366	1993-09-05	PRIJEM	VKLAD	7626	32969	\N	\N	\N
400905	1366	1993-10-05	PRIJEM	VKLAD	7626	32268	\N	\N	\N
400906	1366	1993-11-05	PRIJEM	VKLAD	7626	35406	\N	\N	\N
400907	1366	1993-12-05	PRIJEM	VKLAD	11439	37064	\N	\N	\N
400908	1366	1994-01-05	PRIJEM	VKLAD	7626	32653	\N	\N	\N
400909	1366	1994-02-05	PRIJEM	VKLAD	7626	25960	\N	\N	\N
400910	1366	1994-03-05	PRIJEM	VKLAD	7626	32780	\N	\N	\N
400911	1366	1994-04-05	PRIJEM	VKLAD	7626	33319	\N	\N	\N
400912	1366	1994-05-05	PRIJEM	VKLAD	7626	34058	\N	\N	\N
400913	1366	1994-06-05	PRIJEM	VKLAD	11439	31969	\N	\N	\N
400914	1366	1994-07-05	PRIJEM	VKLAD	7626	32206	\N	\N	\N
400915	1366	1994-08-05	PRIJEM	VKLAD	7626	36646	\N	\N	\N
400916	1366	1994-09-05	PRIJEM	VKLAD	7626	38803	\N	\N	\N
400917	1366	1994-10-05	PRIJEM	VKLAD	7626	35156	\N	\N	\N
400918	1366	1994-11-05	PRIJEM	VKLAD	7626	33014	\N	\N	\N
400919	1366	1994-12-05	PRIJEM	VKLAD	11439	32158	\N	\N	\N
400920	1366	1995-01-05	PRIJEM	VKLAD	7626	28550	\N	\N	\N
400921	1366	1995-02-05	PRIJEM	VKLAD	7626	23522	\N	\N	\N
400922	1366	1995-03-05	PRIJEM	VKLAD	7626	29530	\N	\N	\N
400923	1366	1995-04-05	PRIJEM	VKLAD	7626	29734	\N	\N	\N
400924	1366	1995-05-05	PRIJEM	VKLAD	7626	33162	\N	\N	\N
400925	1366	1995-06-05	PRIJEM	VKLAD	11439	35624	\N	\N	\N
400926	1366	1995-07-05	PRIJEM	VKLAD	7626	33462	\N	\N	\N
400927	1366	1995-08-05	PRIJEM	VKLAD	7626	32496	\N	\N	\N
400928	1366	1995-09-05	PRIJEM	VKLAD	7626	35535	\N	\N	\N
400929	1366	1995-10-05	PRIJEM	VKLAD	7626	35385	\N	\N	\N
400930	1366	1995-11-05	PRIJEM	VKLAD	7626	34307	\N	\N	\N
400931	1366	1995-12-05	PRIJEM	VKLAD	11439	39262	\N	\N	\N
400932	1366	1996-01-05	PRIJEM	VKLAD	7626	32964	\N	\N	\N
400933	1366	1996-02-05	PRIJEM	VKLAD	7626	21840	\N	\N	\N
400934	1366	1996-03-05	PRIJEM	VKLAD	7626	27244	\N	\N	\N
400935	1366	1996-04-05	PRIJEM	VKLAD	7626	28255	\N	\N	\N
400936	1366	1996-05-05	PRIJEM	VKLAD	7626	27769	\N	\N	\N
400937	1366	1996-06-05	PRIJEM	VKLAD	11439	27052	\N	\N	\N
400938	1366	1996-07-05	PRIJEM	VKLAD	7626	25632	\N	\N	\N
400939	1366	1996-08-05	PRIJEM	VKLAD	7626	25482	\N	\N	\N
400940	1366	1996-09-05	PRIJEM	VKLAD	7626	26088	\N	\N	\N
400941	1366	1996-10-05	PRIJEM	VKLAD	7626	27098	\N	\N	\N
400942	1366	1996-11-05	PRIJEM	VKLAD	7626	28512	\N	\N	\N
400943	1366	1996-12-05	PRIJEM	VKLAD	11439	33746	\N	\N	\N
400944	1366	1997-01-05	PRIJEM	VKLAD	7626	30895	\N	\N	\N
400945	1366	1997-02-05	PRIJEM	VKLAD	7626	28233	\N	\N	\N
400946	1366	1997-03-05	PRIJEM	VKLAD	7626	30855	\N	\N	\N
400947	1366	1997-04-05	PRIJEM	VKLAD	7626	34485	\N	\N	\N
400948	1366	1997-05-05	PRIJEM	VKLAD	7626	39031	\N	\N	\N
400949	1366	1997-06-05	PRIJEM	VKLAD	11439	39463	\N	\N	\N
400950	1366	1997-07-05	PRIJEM	VKLAD	7626	35031	\N	\N	\N
400951	1366	1997-08-05	PRIJEM	VKLAD	7626	35086	\N	\N	\N
400952	1366	1997-09-05	PRIJEM	VKLAD	7626	37941	\N	\N	\N
400953	1366	1997-10-05	PRIJEM	VKLAD	7626	34765	\N	\N	\N
400954	1366	1997-11-05	PRIJEM	VKLAD	7626	32215	\N	\N	\N
400955	1366	1997-12-05	PRIJEM	VKLAD	11439	40371	\N	\N	\N
400956	1366	1998-01-05	PRIJEM	VKLAD	7626	36786	\N	\N	\N
400957	1366	1998-02-05	PRIJEM	VKLAD	7626	31630	\N	\N	\N
400958	1366	1998-03-05	PRIJEM	VKLAD	7626	30836	\N	\N	\N
400959	1366	1998-04-05	PRIJEM	VKLAD	7626	32764	\N	\N	\N
400960	1366	1998-05-05	PRIJEM	VKLAD	7626	37738	\N	\N	\N
400961	1366	1998-06-05	PRIJEM	VKLAD	11439	41307	\N	\N	\N
400962	1366	1998-07-05	PRIJEM	VKLAD	7626	36574	\N	\N	\N
400963	1366	1998-08-05	PRIJEM	VKLAD	7626	33421	\N	\N	\N
400964	1366	1998-09-05	PRIJEM	VKLAD	7626	36360	\N	\N	\N
400965	1366	1998-10-05	PRIJEM	VKLAD	7626	36410	\N	\N	\N
400966	1366	1998-11-05	PRIJEM	VKLAD	7626	30634	\N	\N	\N
400967	1366	1998-12-05	PRIJEM	VKLAD	11439	28586	\N	\N	\N
400974	1366	1993-07-09	VYDAJ	PREVOD NA UCET	4773	35675	SIPO	GH	26513684
400975	1366	1993-08-09	VYDAJ	PREVOD NA UCET	4773	33243	SIPO	GH	26513684
400976	1366	1993-09-09	VYDAJ	PREVOD NA UCET	4773	28195	SIPO	GH	26513684
400977	1366	1993-10-09	VYDAJ	PREVOD NA UCET	4773	27494	SIPO	GH	26513684
400978	1366	1993-11-09	VYDAJ	PREVOD NA UCET	4773	30633	SIPO	GH	26513684
400979	1366	1993-12-09	VYDAJ	PREVOD NA UCET	4773	32291	SIPO	GH	26513684
400980	1366	1994-01-09	VYDAJ	PREVOD NA UCET	4773	27880	SIPO	GH	26513684
400981	1366	1994-02-09	VYDAJ	PREVOD NA UCET	4773	21186	SIPO	GH	26513684
400982	1366	1994-03-09	VYDAJ	PREVOD NA UCET	4773	28006	SIPO	GH	26513684
400983	1366	1994-04-09	VYDAJ	PREVOD NA UCET	4773	28546	SIPO	GH	26513684
400984	1366	1994-05-09	VYDAJ	PREVOD NA UCET	4773	29285	SIPO	GH	26513684
400985	1366	1994-06-09	VYDAJ	PREVOD NA UCET	4773	27196	SIPO	GH	26513684
400986	1366	1994-07-09	VYDAJ	PREVOD NA UCET	4773	27433	SIPO	GH	26513684
400987	1366	1994-08-09	VYDAJ	PREVOD NA UCET	4773	31872	SIPO	GH	26513684
400988	1366	1994-09-09	VYDAJ	PREVOD NA UCET	4773	34030	SIPO	GH	26513684
400989	1366	1994-10-09	VYDAJ	PREVOD NA UCET	4773	30383	SIPO	GH	26513684
400990	1366	1994-11-09	VYDAJ	PREVOD NA UCET	4773	28241	SIPO	GH	26513684
400991	1366	1994-12-09	VYDAJ	PREVOD NA UCET	4773	27384	SIPO	GH	26513684
400992	1366	1995-01-09	VYDAJ	PREVOD NA UCET	4773	23777	SIPO	GH	26513684
400993	1366	1995-02-09	VYDAJ	PREVOD NA UCET	4773	18749	SIPO	GH	26513684
400994	1366	1995-03-09	VYDAJ	PREVOD NA UCET	4773	24756	SIPO	GH	26513684
400995	1366	1995-04-09	VYDAJ	PREVOD NA UCET	4773	24960	SIPO	GH	26513684
400996	1366	1995-05-09	VYDAJ	PREVOD NA UCET	4773	20708	SIPO	GH	26513684
400997	1366	1995-06-09	VYDAJ	PREVOD NA UCET	4773	30850	SIPO	GH	26513684
400998	1366	1995-07-09	VYDAJ	PREVOD NA UCET	4773	28689	SIPO	GH	26513684
400999	1366	1995-08-09	VYDAJ	PREVOD NA UCET	4773	27722	SIPO	GH	26513684
401000	1366	1995-09-09	VYDAJ	PREVOD NA UCET	4773	30762	SIPO	GH	26513684
401001	1366	1995-10-09	VYDAJ	PREVOD NA UCET	4773	27492	SIPO	GH	26513684
401002	1366	1995-11-09	VYDAJ	PREVOD NA UCET	4773	29534	SIPO	GH	26513684
401003	1366	1995-12-09	VYDAJ	PREVOD NA UCET	4773	34488	SIPO	GH	26513684
401004	1366	1996-01-09	VYDAJ	PREVOD NA UCET	4773	23390	SIPO	GH	26513684
401005	1366	1996-02-09	VYDAJ	PREVOD NA UCET	4773	19866	SIPO	GH	26513684
401006	1366	1996-03-09	VYDAJ	PREVOD NA UCET	4773	22471	SIPO	GH	26513684
401007	1366	1996-04-09	VYDAJ	PREVOD NA UCET	4773	20381	SIPO	GH	26513684
401008	1366	1996-05-09	VYDAJ	PREVOD NA UCET	4773	22696	SIPO	GH	26513684
401009	1366	1996-06-09	VYDAJ	PREVOD NA UCET	4773	20778	SIPO	GH	26513684
401010	1366	1996-07-09	VYDAJ	PREVOD NA UCET	4773	21458	SIPO	GH	26513684
401011	1366	1996-08-09	VYDAJ	PREVOD NA UCET	4773	18708	SIPO	GH	26513684
401012	1366	1996-09-09	VYDAJ	PREVOD NA UCET	4773	19714	SIPO	GH	26513684
401013	1366	1996-10-09	VYDAJ	PREVOD NA UCET	4773	21124	SIPO	GH	26513684
401014	1366	1996-11-09	VYDAJ	PREVOD NA UCET	4773	22539	SIPO	GH	26513684
401015	1366	1996-12-09	VYDAJ	PREVOD NA UCET	4773	24973	SIPO	GH	26513684
401016	1366	1997-01-09	VYDAJ	PREVOD NA UCET	4773	26121	SIPO	GH	26513684
401017	1366	1997-02-09	VYDAJ	PREVOD NA UCET	4773	23460	SIPO	GH	26513684
401018	1366	1997-03-09	VYDAJ	PREVOD NA UCET	4773	25582	SIPO	GH	26513684
401019	1366	1997-04-09	VYDAJ	PREVOD NA UCET	4773	29712	SIPO	GH	26513684
401020	1366	1997-05-09	VYDAJ	PREVOD NA UCET	4773	34258	SIPO	GH	26513684
401021	1366	1997-06-09	VYDAJ	PREVOD NA UCET	4773	34690	SIPO	GH	26513684
401022	1366	1997-07-09	VYDAJ	PREVOD NA UCET	4773	30257	SIPO	GH	26513684
401023	1366	1997-08-09	VYDAJ	PREVOD NA UCET	4773	30312	SIPO	GH	26513684
401024	1366	1997-09-09	VYDAJ	PREVOD NA UCET	4773	27888	SIPO	GH	26513684
401025	1366	1997-10-09	VYDAJ	PREVOD NA UCET	4773	29991	SIPO	GH	26513684
401026	1366	1997-11-09	VYDAJ	PREVOD NA UCET	4773	27441	SIPO	GH	26513684
401027	1366	1997-12-09	VYDAJ	PREVOD NA UCET	4773	35598	SIPO	GH	26513684
401028	1366	1998-01-09	VYDAJ	PREVOD NA UCET	4773	32013	SIPO	GH	26513684
401029	1366	1998-02-09	VYDAJ	PREVOD NA UCET	4773	23136	SIPO	GH	26513684
401030	1366	1998-03-09	VYDAJ	PREVOD NA UCET	4773	26063	SIPO	GH	26513684
401031	1366	1998-04-09	VYDAJ	PREVOD NA UCET	4773	27991	SIPO	GH	26513684
401032	1366	1998-05-09	VYDAJ	PREVOD NA UCET	4773	32965	SIPO	GH	26513684
401033	1366	1998-06-09	VYDAJ	PREVOD NA UCET	4773	36533	SIPO	GH	26513684
401034	1366	1998-07-09	VYDAJ	PREVOD NA UCET	4773	31801	SIPO	GH	26513684
401035	1366	1998-08-09	VYDAJ	PREVOD NA UCET	4773	28647	SIPO	GH	26513684
401036	1366	1998-09-09	VYDAJ	PREVOD NA UCET	4773	31587	SIPO	GH	26513684
401037	1366	1998-10-09	VYDAJ	PREVOD NA UCET	4773	31636	SIPO	GH	26513684
401038	1366	1998-11-09	VYDAJ	PREVOD NA UCET	4773	25861	SIPO	GH	26513684
401039	1366	1998-12-09	VYDAJ	PREVOD NA UCET	4773	23812	SIPO	GH	26513684
401046	1366	1993-07-12	VYDAJ	PREVOD NA UCET	310	35365	 	ST	24074399
401047	1366	1993-08-12	VYDAJ	PREVOD NA UCET	310	32933	 	ST	24074399
401048	1366	1993-09-12	VYDAJ	PREVOD NA UCET	310	27885	 	ST	24074399
401049	1366	1993-10-12	VYDAJ	PREVOD NA UCET	310	27184	 	ST	24074399
401050	1366	1993-11-12	VYDAJ	PREVOD NA UCET	310	30322	 	ST	24074399
401051	1366	1993-12-12	VYDAJ	PREVOD NA UCET	310	31980	 	ST	24074399
401052	1366	1994-01-12	VYDAJ	PREVOD NA UCET	310	23489	 	ST	24074399
401053	1366	1994-02-12	VYDAJ	PREVOD NA UCET	310	20876	 	ST	24074399
401054	1366	1994-03-12	VYDAJ	PREVOD NA UCET	310	27696	 	ST	24074399
401055	1366	1994-04-12	VYDAJ	PREVOD NA UCET	310	28235	 	ST	24074399
401056	1366	1994-05-12	VYDAJ	PREVOD NA UCET	310	28974	 	ST	24074399
401057	1366	1994-06-12	VYDAJ	PREVOD NA UCET	310	26885	 	ST	24074399
401058	1366	1994-07-12	VYDAJ	PREVOD NA UCET	310	27122	 	ST	24074399
401059	1366	1994-08-12	VYDAJ	PREVOD NA UCET	310	31562	 	ST	24074399
401060	1366	1994-09-12	VYDAJ	PREVOD NA UCET	310	33719	 	ST	24074399
401061	1366	1994-10-12	VYDAJ	PREVOD NA UCET	310	28632	 	ST	24074399
401062	1366	1994-11-12	VYDAJ	PREVOD NA UCET	310	27930	 	ST	24074399
401063	1366	1994-12-12	VYDAJ	PREVOD NA UCET	310	27074	 	ST	24074399
401064	1366	1995-01-12	VYDAJ	PREVOD NA UCET	310	21786	 	ST	24074399
401065	1366	1995-02-12	VYDAJ	PREVOD NA UCET	310	18438	 	ST	24074399
401066	1366	1995-03-12	VYDAJ	PREVOD NA UCET	310	24446	 	ST	24074399
401067	1366	1995-04-12	VYDAJ	PREVOD NA UCET	310	24650	 	ST	24074399
401068	1366	1995-05-12	VYDAJ	PREVOD NA UCET	310	20398	 	ST	24074399
401069	1366	1995-06-12	VYDAJ	PREVOD NA UCET	310	30540	 	ST	24074399
401070	1366	1995-07-12	VYDAJ	PREVOD NA UCET	310	28378	 	ST	24074399
401071	1366	1995-08-12	VYDAJ	PREVOD NA UCET	310	27412	 	ST	24074399
401072	1366	1995-09-12	VYDAJ	PREVOD NA UCET	310	30451	 	ST	24074399
401073	1366	1995-10-12	VYDAJ	PREVOD NA UCET	310	27181	 	ST	24074399
401074	1366	1995-11-12	VYDAJ	PREVOD NA UCET	310	27723	 	ST	24074399
401075	1366	1995-12-12	VYDAJ	PREVOD NA UCET	310	27278	 	ST	24074399
401076	1366	1996-01-12	VYDAJ	PREVOD NA UCET	310	20620	 	ST	24074399
401077	1366	1996-02-12	VYDAJ	PREVOD NA UCET	310	19556	 	ST	24074399
401078	1366	1996-03-12	VYDAJ	PREVOD NA UCET	310	20560	 	ST	24074399
401079	1366	1996-04-12	VYDAJ	PREVOD NA UCET	310	20071	 	ST	24074399
401080	1366	1996-05-12	VYDAJ	PREVOD NA UCET	310	22385	 	ST	24074399
401081	1366	1996-06-12	VYDAJ	PREVOD NA UCET	310	17948	 	ST	24074399
401082	1366	1996-07-12	VYDAJ	PREVOD NA UCET	310	21148	 	ST	24074399
401083	1366	1996-08-12	VYDAJ	PREVOD NA UCET	310	18398	 	ST	24074399
401084	1366	1996-09-12	VYDAJ	PREVOD NA UCET	310	19404	 	ST	24074399
401085	1366	1996-10-12	VYDAJ	PREVOD NA UCET	310	20814	 	ST	24074399
401086	1366	1996-11-12	VYDAJ	PREVOD NA UCET	310	22228	 	ST	24074399
401087	1366	1996-12-12	VYDAJ	PREVOD NA UCET	310	24662	 	ST	24074399
401088	1366	1997-01-12	VYDAJ	PREVOD NA UCET	310	25811	 	ST	24074399
401089	1366	1997-02-12	VYDAJ	PREVOD NA UCET	310	23149	 	ST	24074399
401090	1366	1997-03-12	VYDAJ	PREVOD NA UCET	310	25271	 	ST	24074399
401091	1366	1997-04-12	VYDAJ	PREVOD NA UCET	310	29401	 	ST	24074399
401092	1366	1997-05-12	VYDAJ	PREVOD NA UCET	310	33947	 	ST	24074399
401093	1366	1997-06-12	VYDAJ	PREVOD NA UCET	310	34379	 	ST	24074399
401094	1366	1997-07-12	VYDAJ	PREVOD NA UCET	310	29947	 	ST	24074399
401095	1366	1997-08-12	VYDAJ	PREVOD NA UCET	310	30002	 	ST	24074399
401096	1366	1997-09-12	VYDAJ	PREVOD NA UCET	310	27577	 	ST	24074399
401097	1366	1997-10-12	VYDAJ	PREVOD NA UCET	310	29681	 	ST	24074399
401098	1366	1997-11-12	VYDAJ	PREVOD NA UCET	310	27131	 	ST	24074399
401099	1366	1997-12-12	VYDAJ	PREVOD NA UCET	310	35287	 	ST	24074399
401100	1366	1998-01-12	VYDAJ	PREVOD NA UCET	310	30982	 	ST	24074399
401101	1366	1998-02-12	VYDAJ	PREVOD NA UCET	310	22826	 	ST	24074399
401102	1366	1998-03-12	VYDAJ	PREVOD NA UCET	310	25752	 	ST	24074399
401103	1366	1998-04-12	VYDAJ	PREVOD NA UCET	310	27680	 	ST	24074399
401104	1366	1998-05-12	VYDAJ	PREVOD NA UCET	310	32654	 	ST	24074399
401105	1366	1998-06-12	VYDAJ	PREVOD NA UCET	310	36223	 	ST	24074399
401106	1366	1998-07-12	VYDAJ	PREVOD NA UCET	310	31490	 	ST	24074399
401107	1366	1998-08-12	VYDAJ	PREVOD NA UCET	310	28337	 	ST	24074399
401108	1366	1998-09-12	VYDAJ	PREVOD NA UCET	310	31276	 	ST	24074399
401109	1366	1998-10-12	VYDAJ	PREVOD NA UCET	310	31326	 	ST	24074399
401110	1366	1998-11-12	VYDAJ	PREVOD NA UCET	310	25550	 	ST	24074399
401111	1366	1998-12-12	VYDAJ	PREVOD NA UCET	310	23502	 	ST	24074399
401118	1366	1993-07-09	VYDAJ	PREVOD NA UCET	1	40448	POJISTNE	UV	48775595
401119	1366	1993-08-09	VYDAJ	PREVOD NA UCET	1	38016	POJISTNE	UV	48775595
401120	1366	1993-09-09	VYDAJ	PREVOD NA UCET	1	32968	POJISTNE	UV	48775595
401121	1366	1993-10-09	VYDAJ	PREVOD NA UCET	1	32267	POJISTNE	UV	48775595
401122	1366	1993-11-09	VYDAJ	PREVOD NA UCET	1	30632	POJISTNE	UV	48775595
401123	1366	1993-12-09	VYDAJ	PREVOD NA UCET	1	32290	POJISTNE	UV	48775595
401124	1366	1994-01-09	VYDAJ	PREVOD NA UCET	1	27879	POJISTNE	UV	48775595
401125	1366	1994-02-09	VYDAJ	PREVOD NA UCET	1	25959	POJISTNE	UV	48775595
401126	1366	1994-03-09	VYDAJ	PREVOD NA UCET	1	32779	POJISTNE	UV	48775595
401127	1366	1994-04-09	VYDAJ	PREVOD NA UCET	1	28545	POJISTNE	UV	48775595
401128	1366	1994-05-09	VYDAJ	PREVOD NA UCET	1	29284	POJISTNE	UV	48775595
401129	1366	1994-06-09	VYDAJ	PREVOD NA UCET	1	27195	POJISTNE	UV	48775595
401130	1366	1994-07-09	VYDAJ	PREVOD NA UCET	1	27432	POJISTNE	UV	48775595
401131	1366	1994-08-09	VYDAJ	PREVOD NA UCET	1	36645	POJISTNE	UV	48775595
401132	1366	1994-09-09	VYDAJ	PREVOD NA UCET	1	34029	POJISTNE	UV	48775595
401133	1366	1994-10-09	VYDAJ	PREVOD NA UCET	1	30382	POJISTNE	UV	48775595
401134	1366	1994-11-09	VYDAJ	PREVOD NA UCET	1	28240	POJISTNE	UV	48775595
401135	1366	1994-12-09	VYDAJ	PREVOD NA UCET	1	32157	POJISTNE	UV	48775595
401136	1366	1995-01-09	VYDAJ	PREVOD NA UCET	1	22096	POJISTNE	UV	48775595
401137	1366	1995-02-09	VYDAJ	PREVOD NA UCET	1	18748	POJISTNE	UV	48775595
401138	1366	1995-03-09	VYDAJ	PREVOD NA UCET	1	29529	POJISTNE	UV	48775595
401139	1366	1995-04-09	VYDAJ	PREVOD NA UCET	1	29733	POJISTNE	UV	48775595
401140	1366	1995-05-09	VYDAJ	PREVOD NA UCET	1	25481	POJISTNE	UV	48775595
401141	1366	1995-06-09	VYDAJ	PREVOD NA UCET	1	35623	POJISTNE	UV	48775595
401142	1366	1995-07-09	VYDAJ	PREVOD NA UCET	1	28688	POJISTNE	UV	48775595
401143	1366	1995-08-09	VYDAJ	PREVOD NA UCET	1	32495	POJISTNE	UV	48775595
401144	1366	1995-09-09	VYDAJ	PREVOD NA UCET	1	30761	POJISTNE	UV	48775595
401145	1366	1995-10-09	VYDAJ	PREVOD NA UCET	1	27491	POJISTNE	UV	48775595
401146	1366	1995-11-09	VYDAJ	PREVOD NA UCET	1	29533	POJISTNE	UV	48775595
401147	1366	1995-12-09	VYDAJ	PREVOD NA UCET	1	39261	POJISTNE	UV	48775595
401148	1366	1996-01-09	VYDAJ	PREVOD NA UCET	1	28163	POJISTNE	UV	48775595
401149	1366	1996-02-09	VYDAJ	PREVOD NA UCET	1	24639	POJISTNE	UV	48775595
401150	1366	1996-03-09	VYDAJ	PREVOD NA UCET	1	22470	POJISTNE	UV	48775595
401151	1366	1996-04-09	VYDAJ	PREVOD NA UCET	1	28254	POJISTNE	UV	48775595
401152	1366	1996-05-09	VYDAJ	PREVOD NA UCET	1	22695	POJISTNE	UV	48775595
401153	1366	1996-06-09	VYDAJ	PREVOD NA UCET	1	25551	POJISTNE	UV	48775595
401154	1366	1996-07-09	VYDAJ	PREVOD NA UCET	1	26231	POJISTNE	UV	48775595
401155	1366	1996-08-09	VYDAJ	PREVOD NA UCET	1	23481	POJISTNE	UV	48775595
401156	1366	1996-09-09	VYDAJ	PREVOD NA UCET	1	24487	POJISTNE	UV	48775595
401157	1366	1996-10-09	VYDAJ	PREVOD NA UCET	1	25897	POJISTNE	UV	48775595
401158	1366	1996-11-09	VYDAJ	PREVOD NA UCET	1	22538	POJISTNE	UV	48775595
401159	1366	1996-12-09	VYDAJ	PREVOD NA UCET	1	24972	POJISTNE	UV	48775595
401160	1366	1997-01-09	VYDAJ	PREVOD NA UCET	1	30894	POJISTNE	UV	48775595
401161	1366	1997-02-09	VYDAJ	PREVOD NA UCET	1	23459	POJISTNE	UV	48775595
401162	1366	1997-03-09	VYDAJ	PREVOD NA UCET	1	25581	POJISTNE	UV	48775595
401163	1366	1997-04-09	VYDAJ	PREVOD NA UCET	1	29711	POJISTNE	UV	48775595
401164	1366	1997-05-09	VYDAJ	PREVOD NA UCET	1	34257	POJISTNE	UV	48775595
401165	1366	1997-06-09	VYDAJ	PREVOD NA UCET	1	34689	POJISTNE	UV	48775595
401166	1366	1997-07-09	VYDAJ	PREVOD NA UCET	1	35030	POJISTNE	UV	48775595
401167	1366	1997-08-09	VYDAJ	PREVOD NA UCET	1	35085	POJISTNE	UV	48775595
401168	1366	1997-09-09	VYDAJ	PREVOD NA UCET	1	27887	POJISTNE	UV	48775595
401169	1366	1997-10-09	VYDAJ	PREVOD NA UCET	1	34764	POJISTNE	UV	48775595
401170	1366	1997-11-09	VYDAJ	PREVOD NA UCET	1	32214	POJISTNE	UV	48775595
401171	1366	1997-12-09	VYDAJ	PREVOD NA UCET	1	35597	POJISTNE	UV	48775595
401172	1366	1998-01-09	VYDAJ	PREVOD NA UCET	1	32012	POJISTNE	UV	48775595
401173	1366	1998-02-09	VYDAJ	PREVOD NA UCET	1	27909	POJISTNE	UV	48775595
401174	1366	1998-03-09	VYDAJ	PREVOD NA UCET	1	26062	POJISTNE	UV	48775595
401175	1366	1998-04-09	VYDAJ	PREVOD NA UCET	1	27990	POJISTNE	UV	48775595
401176	1366	1998-05-09	VYDAJ	PREVOD NA UCET	1	32964	POJISTNE	UV	48775595
401177	1366	1998-06-09	VYDAJ	PREVOD NA UCET	1	41306	POJISTNE	UV	48775595
401178	1366	1998-07-09	VYDAJ	PREVOD NA UCET	1	31800	POJISTNE	UV	48775595
401179	1366	1998-08-09	VYDAJ	PREVOD NA UCET	1	33420	POJISTNE	UV	48775595
401180	1366	1998-09-09	VYDAJ	PREVOD NA UCET	1	31586	POJISTNE	UV	48775595
401181	1366	1998-10-09	VYDAJ	PREVOD NA UCET	1	36409	POJISTNE	UV	48775595
401182	1366	1998-11-09	VYDAJ	PREVOD NA UCET	1	25860	POJISTNE	UV	48775595
401183	1366	1998-12-09	VYDAJ	PREVOD NA UCET	1	28585	POJISTNE	UV	48775595
401184	1366	1993-12-27	VYDAJ	VYBER	800	28280	\N	\N	\N
401185	1366	1994-12-23	VYDAJ	VYBER	1280	25394	\N	\N	\N
401186	1366	1995-12-11	VYDAJ	VYBER	4000	30488	\N	\N	\N
401187	1366	1996-12-22	VYDAJ	VYBER	2080	22582	\N	\N	\N
401188	1366	1997-12-14	VYDAJ	VYBER	3840	31447	\N	\N	\N
401196	1366	1994-01-04	VYDAJ	VYBER	3360	25027	\N	\N	\N
401197	1366	1994-01-12	VYDAJ	VYBER	2880	23799	\N	\N	\N
401198	1366	1994-01-28	VYDAJ	VYBER	960	20169	\N	\N	\N
401199	1366	1994-01-13	VYDAJ	VYBER	1920	21569	\N	\N	\N
401200	1366	1994-01-10	VYDAJ	VYBER	1200	26679	\N	\N	\N
401201	1366	1994-01-21	VYDAJ	VYBER	2040	21129	\N	\N	\N
401202	1366	1995-01-09	VYDAJ	VYBER	1680	22097	\N	\N	\N
401203	1366	1995-01-02	VYDAJ	VYBER	1680	20924	\N	\N	\N
401204	1366	1995-01-02	VYDAJ	VYBER	2880	22604	\N	\N	\N
401205	1366	1995-01-18	VYDAJ	VYBER	2520	16426	\N	\N	\N
401206	1366	1995-01-16	VYDAJ	VYBER	3240	18946	\N	\N	\N
401207	1366	1995-01-22	VYDAJ	VYBER	600	15826	\N	\N	\N
401208	1366	1996-01-30	VYDAJ	VYBER	2160	14140	\N	\N	\N
401209	1366	1996-01-10	VYDAJ	VYBER	2760	20930	\N	\N	\N
401210	1366	1996-01-05	VYDAJ	VYBER	2400	30564	\N	\N	\N
401211	1366	1996-01-17	VYDAJ	VYBER	960	19660	\N	\N	\N
401212	1366	1996-01-07	VYDAJ	VYBER	2400	28164	\N	\N	\N
401213	1366	1996-01-17	VYDAJ	VYBER	3360	16300	\N	\N	\N
401214	1366	1997-01-13	VYDAJ	VYBER	3480	22331	\N	\N	\N
401215	1366	1997-01-15	VYDAJ	VYBER	2520	19811	\N	\N	\N
401218	1366	1997-01-21	VYDAJ	VYBER	1680	17531	\N	\N	\N
401219	1366	1997-01-19	VYDAJ	VYBER	600	19211	\N	\N	\N
401220	1366	1998-01-25	VYDAJ	VYBER	1920	25582	\N	\N	\N
401221	1366	1998-01-25	VYDAJ	VYBER	600	24982	\N	\N	\N
401222	1366	1998-01-28	VYDAJ	VYBER	2520	19702	\N	\N	\N
401223	1366	1998-01-27	VYDAJ	VYBER	2760	22222	\N	\N	\N
401224	1366	1998-01-24	VYDAJ	VYBER	3480	27502	\N	\N	\N
401225	1366	1998-01-10	VYDAJ	VYBER	720	31292	\N	\N	\N
401227	1366	1993-08-18	VYDAJ	VYBER	1800	31133	\N	\N	\N
401229	1366	1993-09-22	VYDAJ	VYBER	3240	24545	\N	\N	\N
401231	1366	1994-10-12	VYDAJ	VYBER	1440	28942	\N	\N	\N
401232	1366	1994-06-01	VYDAJ	VYBER	4440	20530	\N	\N	\N
401233	1366	1994-05-17	VYDAJ	VYBER	3600	25374	\N	\N	\N
401234	1366	1994-01-29	VYDAJ	VYBER	1920	18249	\N	\N	\N
401235	1366	1994-11-25	VYDAJ	VYBER	3600	20630	\N	\N	\N
401236	1366	1994-10-15	VYDAJ	VYBER	3240	25392	\N	\N	\N
401237	1366	1995-10-07	VYDAJ	VYBER	3120	32265	\N	\N	\N
401238	1366	1995-05-09	VYDAJ	VYBER	2400	25482	\N	\N	\N
401239	1366	1995-12-29	VYDAJ	VYBER	2040	25238	\N	\N	\N
401240	1366	1995-05-05	VYDAJ	VYBER	5280	27882	\N	\N	\N
401241	1366	1995-03-17	VYDAJ	VYBER	4920	22026	\N	\N	\N
401242	1366	1996-05-25	VYDAJ	VYBER	3840	15545	\N	\N	\N
401243	1366	1996-07-23	VYDAJ	VYBER	3360	17788	\N	\N	\N
401244	1366	1996-05-22	VYDAJ	VYBER	3000	19385	\N	\N	\N
401246	1366	1996-06-11	VYDAJ	VYBER	2520	18258	\N	\N	\N
401247	1366	1997-05-20	VYDAJ	VYBER	5040	28907	\N	\N	\N
401248	1366	1997-03-28	VYDAJ	VYBER	4800	20471	\N	\N	\N
401249	1366	1997-11-03	VYDAJ	VYBER	4200	24589	\N	\N	\N
401250	1366	1997-09-25	VYDAJ	VYBER	3840	23737	\N	\N	\N
401251	1366	1997-09-09	VYDAJ	VYBER	5280	32661	\N	\N	\N
401252	1366	1998-04-22	VYDAJ	VYBER	3960	23720	\N	\N	\N
401253	1366	1998-07-23	VYDAJ	VYBER	4800	26690	\N	\N	\N
401254	1366	1998-02-05	VYDAJ	VYBER	3720	27910	\N	\N	\N
401255	1366	1998-11-22	VYDAJ	VYBER	2280	23270	\N	\N	\N
401256	1366	1998-10-23	VYDAJ	VYBER	1320	30006	\N	\N	\N
401264	1366	1993-07-31	VYDAJ	VYBER	15	30391	SLUZBY	\N	\N
401265	1366	1993-08-31	VYDAJ	VYBER	15	25343	SLUZBY	\N	\N
401266	1366	1993-09-30	VYDAJ	VYBER	15	24642	SLUZBY	\N	\N
401267	1366	1993-10-31	VYDAJ	VYBER	15	27780	SLUZBY	\N	\N
401268	1366	1993-11-30	VYDAJ	VYBER	15	25625	SLUZBY	\N	\N
401269	1366	1993-12-31	VYDAJ	VYBER	15	28387	SLUZBY	\N	\N
401270	1366	1994-01-31	VYDAJ	VYBER	15	18334	SLUZBY	\N	\N
401271	1366	1994-02-28	VYDAJ	VYBER	15	25154	SLUZBY	\N	\N
401272	1366	1994-03-31	VYDAJ	VYBER	15	25693	SLUZBY	\N	\N
401273	1366	1994-04-30	VYDAJ	VYBER	15	26432	SLUZBY	\N	\N
401274	1366	1994-05-31	VYDAJ	VYBER	15	24970	SLUZBY	\N	\N
401275	1366	1994-06-30	VYDAJ	VYBER	15	24580	SLUZBY	\N	\N
401276	1366	1994-07-31	VYDAJ	VYBER	15	29020	SLUZBY	\N	\N
401277	1366	1994-08-31	VYDAJ	VYBER	15	31177	SLUZBY	\N	\N
401278	1366	1994-09-30	VYDAJ	VYBER	15	27530	SLUZBY	\N	\N
401279	1366	1994-10-31	VYDAJ	VYBER	15	25388	SLUZBY	\N	\N
401280	1366	1994-11-30	VYDAJ	VYBER	15	20719	SLUZBY	\N	\N
401281	1366	1994-12-31	VYDAJ	VYBER	15	25484	SLUZBY	\N	\N
401282	1366	1995-01-31	VYDAJ	VYBER	15	15896	SLUZBY	\N	\N
401283	1366	1995-02-28	VYDAJ	VYBER	15	21904	SLUZBY	\N	\N
401284	1366	1995-03-31	VYDAJ	VYBER	15	22108	SLUZBY	\N	\N
401285	1366	1995-04-30	VYDAJ	VYBER	15	25536	SLUZBY	\N	\N
401286	1366	1995-05-31	VYDAJ	VYBER	15	24185	SLUZBY	\N	\N
401287	1366	1995-06-30	VYDAJ	VYBER	15	25836	SLUZBY	\N	\N
401288	1366	1995-07-31	VYDAJ	VYBER	15	24870	SLUZBY	\N	\N
401289	1366	1995-08-31	VYDAJ	VYBER	15	27909	SLUZBY	\N	\N
401290	1366	1995-09-30	VYDAJ	VYBER	15	27759	SLUZBY	\N	\N
401291	1366	1995-10-31	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
401292	1366	1995-11-30	VYDAJ	VYBER	15	27823	SLUZBY	\N	\N
401293	1366	1995-12-31	VYDAJ	VYBER	15	25338	SLUZBY	\N	\N
401294	1366	1996-01-31	VYDAJ	VYBER	15	14214	SLUZBY	\N	\N
401295	1366	1996-02-29	VYDAJ	VYBER	15	19618	SLUZBY	\N	\N
401296	1366	1996-03-31	VYDAJ	VYBER	15	20629	SLUZBY	\N	\N
401297	1366	1996-04-30	VYDAJ	VYBER	15	20143	SLUZBY	\N	\N
401298	1366	1996-05-31	VYDAJ	VYBER	15	15613	SLUZBY	\N	\N
401299	1366	1996-06-30	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
401300	1366	1996-07-31	VYDAJ	VYBER	15	17856	SLUZBY	\N	\N
401301	1366	1996-08-31	VYDAJ	VYBER	15	18462	SLUZBY	\N	\N
401302	1366	1996-09-30	VYDAJ	VYBER	15	19472	SLUZBY	\N	\N
401303	1366	1996-10-31	VYDAJ	VYBER	15	20886	SLUZBY	\N	\N
401304	1366	1996-11-30	VYDAJ	VYBER	15	22307	SLUZBY	\N	\N
401305	1366	1996-12-31	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
401306	1366	1997-01-31	VYDAJ	VYBER	15	17607	SLUZBY	\N	\N
401307	1366	1997-02-28	VYDAJ	VYBER	15	23229	SLUZBY	\N	\N
401308	1366	1997-03-31	VYDAJ	VYBER	15	20559	SLUZBY	\N	\N
401309	1366	1997-04-30	VYDAJ	VYBER	15	29505	SLUZBY	\N	\N
401310	1366	1997-05-31	VYDAJ	VYBER	15	29024	SLUZBY	\N	\N
401311	1366	1997-06-30	VYDAJ	VYBER	15	34505	SLUZBY	\N	\N
401312	1366	1997-07-31	VYDAJ	VYBER	15	30060	SLUZBY	\N	\N
401313	1366	1997-08-31	VYDAJ	VYBER	15	30115	SLUZBY	\N	\N
401314	1366	1997-09-30	VYDAJ	VYBER	15	23839	SLUZBY	\N	\N
401315	1366	1997-10-31	VYDAJ	VYBER	15	29789	SLUZBY	\N	\N
401316	1366	1997-11-30	VYDAJ	VYBER	15	28932	SLUZBY	\N	\N
401317	1366	1997-12-31	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
401318	1366	1998-01-31	VYDAJ	VYBER	15	24004	SLUZBY	\N	\N
401319	1366	1998-02-28	VYDAJ	VYBER	15	23210	SLUZBY	\N	\N
401320	1366	1998-03-31	VYDAJ	VYBER	15	25138	SLUZBY	\N	\N
401321	1366	1998-04-30	VYDAJ	VYBER	15	30112	SLUZBY	\N	\N
401322	1366	1998-05-31	VYDAJ	VYBER	15	29868	SLUZBY	\N	\N
401323	1366	1998-06-30	VYDAJ	VYBER	15	28948	SLUZBY	\N	\N
401324	1366	1998-07-31	VYDAJ	VYBER	15	25795	SLUZBY	\N	\N
401325	1366	1998-08-31	VYDAJ	VYBER	15	28734	SLUZBY	\N	\N
401326	1366	1998-09-30	VYDAJ	VYBER	15	28784	SLUZBY	\N	\N
401327	1366	1998-10-31	VYDAJ	VYBER	15	23008	SLUZBY	\N	\N
401328	1366	1998-11-30	VYDAJ	VYBER	15	17147	SLUZBY	\N	\N
401329	1366	1993-03-26	PRIJEM	VKLAD	5200	13726	\N	\N	\N
401330	1366	1993-04-25	PRIJEM	VKLAD	3000	24363	\N	\N	\N
401331	1366	1993-05-25	VYDAJ	VYBER	3400	28655	\N	\N	\N
401332	1366	1993-06-24	VYDAJ	VYBER	7500	32700	\N	\N	\N
401333	1366	1993-07-24	VYDAJ	VYBER	5100	30265	\N	\N	\N
401334	1366	1993-08-23	VYDAJ	VYBER	5900	25233	\N	\N	\N
401335	1366	1993-09-22	VYDAJ	VYBER	100	27785	\N	\N	\N
401336	1366	1993-10-22	PRIJEM	VKLAD	500	27684	\N	\N	\N
401337	1366	1993-11-21	VYDAJ	VYBER	4800	25522	\N	\N	\N
401338	1366	1993-12-21	VYDAJ	VYBER	2900	29080	\N	\N	\N
401339	1366	1994-01-20	PRIJEM	VKLAD	1600	23169	\N	\N	\N
401340	1366	1994-02-19	PRIJEM	VKLAD	4200	25076	\N	\N	\N
401341	1366	1994-03-21	VYDAJ	VYBER	2100	25596	\N	\N	\N
401342	1366	1994-04-20	VYDAJ	VYBER	1900	26335	\N	\N	\N
401343	1366	1994-05-20	VYDAJ	VYBER	500	24874	\N	\N	\N
401344	1366	1994-06-19	VYDAJ	VYBER	2400	24485	\N	\N	\N
401345	1366	1994-07-19	PRIJEM	VKLAD	1800	28922	\N	\N	\N
401346	1366	1994-08-18	VYDAJ	VYBER	500	31062	\N	\N	\N
401347	1366	1994-09-17	VYDAJ	VYBER	6300	27419	\N	\N	\N
401348	1366	1994-10-17	VYDAJ	VYBER	100	25292	\N	\N	\N
401349	1366	1994-11-16	VYDAJ	VYBER	3700	24230	\N	\N	\N
401350	1366	1994-12-16	VYDAJ	VYBER	400	26674	\N	\N	\N
401351	1366	1995-01-15	PRIJEM	VKLAD	400	22186	\N	\N	\N
401352	1366	1995-02-14	PRIJEM	VKLAD	3400	21838	\N	\N	\N
401353	1366	1995-03-16	PRIJEM	VKLAD	2500	26946	\N	\N	\N
401354	1366	1995-04-15	PRIJEM	VKLAD	800	25450	\N	\N	\N
401355	1366	1995-05-15	PRIJEM	VKLAD	3700	24098	\N	\N	\N
401356	1366	1995-06-14	VYDAJ	VYBER	4800	25740	\N	\N	\N
401357	1366	1995-07-14	VYDAJ	VYBER	3600	24778	\N	\N	\N
401358	1366	1995-08-13	PRIJEM	VKLAD	400	27812	\N	\N	\N
401359	1366	1995-09-12	VYDAJ	VYBER	2800	27651	\N	\N	\N
401360	1366	1995-10-12	VYDAJ	VYBER	600	26581	\N	\N	\N
401361	1366	1995-11-11	VYDAJ	VYBER	1500	28033	\N	\N	\N
401362	1366	1995-12-11	VYDAJ	VYBER	2900	27588	\N	\N	\N
401363	1366	1996-01-10	PRIJEM	VKLAD	300	23690	\N	\N	\N
401364	1366	1996-02-09	PRIJEM	VKLAD	2800	24640	\N	\N	\N
401365	1366	1996-03-10	VYDAJ	VYBER	1600	20870	\N	\N	\N
401366	1366	1996-04-09	VYDAJ	VYBER	3100	25154	\N	\N	\N
401367	1366	1996-05-09	VYDAJ	VYBER	300	27469	\N	\N	\N
401368	1366	1996-06-08	VYDAJ	VYBER	1500	25552	\N	\N	\N
401369	1366	1996-07-08	PRIJEM	VKLAD	600	26232	\N	\N	\N
401370	1366	1996-08-07	VYDAJ	VYBER	2000	23482	\N	\N	\N
401371	1366	1996-09-06	VYDAJ	VYBER	1600	24488	\N	\N	\N
401372	1366	1996-10-06	VYDAJ	VYBER	1200	25898	\N	\N	\N
401373	1366	1996-11-05	VYDAJ	VYBER	1200	27312	\N	\N	\N
401374	1366	1996-12-05	VYDAJ	VYBER	4000	29746	\N	\N	\N
401375	1366	1997-01-04	PRIJEM	VKLAD	600	23269	\N	\N	\N
401376	1366	1997-02-03	PRIJEM	VKLAD	3000	20607	\N	\N	\N
401377	1366	1997-03-05	VYDAJ	VYBER	500	30355	\N	\N	\N
401378	1366	1997-04-04	PRIJEM	VKLAD	6300	26859	\N	\N	\N
401379	1366	1997-05-04	PRIJEM	VKLAD	1900	31405	\N	\N	\N
401380	1366	1997-06-03	VYDAJ	VYBER	1000	28024	\N	\N	\N
401381	1366	1997-07-03	VYDAJ	VYBER	7100	27405	\N	\N	\N
401382	1366	1997-08-02	VYDAJ	VYBER	2600	27460	\N	\N	\N
401383	1366	1997-09-01	PRIJEM	VKLAD	200	30315	\N	\N	\N
401384	1366	1997-10-01	PRIJEM	VKLAD	3300	27139	\N	\N	\N
401385	1366	1997-10-31	VYDAJ	VYBER	1000	28789	\N	\N	\N
401386	1366	1997-11-30	PRIJEM	VKLAD	1700	28831	\N	\N	\N
401387	1366	1997-12-30	VYDAJ	VYBER	2400	29047	\N	\N	\N
401388	1366	1998-01-29	PRIJEM	VKLAD	4200	23902	\N	\N	\N
401389	1366	1998-02-28	PRIJEM	VKLAD	300	23126	\N	\N	\N
401390	1366	1998-03-30	VYDAJ	VYBER	700	25052	\N	\N	\N
401391	1366	1998-04-29	PRIJEM	VKLAD	6300	30020	\N	\N	\N
401392	1366	1998-05-29	VYDAJ	VYBER	2900	29754	\N	\N	\N
401393	1366	1998-06-28	VYDAJ	VYBER	7400	28823	\N	\N	\N
401394	1366	1998-07-28	VYDAJ	VYBER	1000	25690	\N	\N	\N
401395	1366	1998-08-27	PRIJEM	VKLAD	300	28637	\N	\N	\N
401396	1366	1998-09-26	VYDAJ	VYBER	2600	28676	\N	\N	\N
401397	1366	1998-10-26	VYDAJ	VYBER	7100	22906	\N	\N	\N
401398	1366	1998-11-25	VYDAJ	VYBER	6200	17070	\N	\N	\N
401469	1367	1996-08-20	PRIJEM	VKLAD	800	800	\N	\N	\N
401478	1367	1996-09-09	PRIJEM	VKLAD	12019	12819	\N	\N	\N
401479	1367	1996-10-09	PRIJEM	VKLAD	12019	30168	\N	\N	\N
401480	1367	1996-11-09	PRIJEM	VKLAD	12019	37075	\N	\N	\N
401481	1367	1996-12-09	PRIJEM	VKLAD	18028	47715	\N	\N	\N
401482	1367	1997-01-09	PRIJEM	VKLAD	12019	41657	\N	\N	\N
401483	1367	1997-02-09	PRIJEM	VKLAD	12019	29159	\N	\N	\N
401484	1367	1997-03-09	PRIJEM	VKLAD	12019	29621	\N	\N	\N
401485	1367	1997-04-09	PRIJEM	VKLAD	12019	31267	\N	\N	\N
401486	1367	1997-05-09	PRIJEM	VKLAD	12019	31769	\N	\N	\N
401487	1367	1997-06-09	PRIJEM	VKLAD	18028	39666	\N	\N	\N
401488	1367	1997-07-09	PRIJEM	VKLAD	12019	37355	\N	\N	\N
401489	1367	1997-08-09	PRIJEM	VKLAD	12019	36360	\N	\N	\N
401490	1367	1997-09-09	PRIJEM	VKLAD	12019	35259	\N	\N	\N
401491	1367	1997-10-09	PRIJEM	VKLAD	12019	34655	\N	\N	\N
401492	1367	1997-11-09	PRIJEM	VKLAD	12019	36153	\N	\N	\N
401493	1367	1997-12-09	PRIJEM	VKLAD	18028	45469	\N	\N	\N
401494	1367	1998-01-09	PRIJEM	VKLAD	12019	32943	\N	\N	\N
401495	1367	1998-02-09	PRIJEM	VKLAD	12019	25538	\N	\N	\N
401496	1367	1998-03-09	PRIJEM	VKLAD	12019	26928	\N	\N	\N
401497	1367	1998-04-09	PRIJEM	VKLAD	12019	34212	\N	\N	\N
401498	1367	1998-05-09	PRIJEM	VKLAD	12019	36208	\N	\N	\N
401499	1367	1998-06-09	PRIJEM	VKLAD	18028	46734	\N	\N	\N
401500	1367	1998-07-09	PRIJEM	VKLAD	12019	45064	\N	\N	\N
401501	1367	1998-08-09	PRIJEM	VKLAD	12019	36418	\N	\N	\N
401502	1367	1998-09-09	PRIJEM	VKLAD	12019	38020	\N	\N	\N
401503	1367	1998-10-09	PRIJEM	VKLAD	12019	35819	\N	\N	\N
401504	1367	1998-11-09	PRIJEM	VKLAD	12019	25205	\N	\N	\N
401505	1367	1998-12-09	PRIJEM	VKLAD	18028	31793	\N	\N	\N
401518	1367	1997-01-11	VYDAJ	PREVOD NA UCET	3872	33994	SIPO	MN	3021765
401519	1367	1997-02-11	VYDAJ	PREVOD NA UCET	3872	24856	SIPO	MN	3021765
401520	1367	1997-03-11	VYDAJ	PREVOD NA UCET	3872	25318	SIPO	MN	3021765
401521	1367	1997-04-11	VYDAJ	PREVOD NA UCET	3872	22284	SIPO	MN	3021765
401522	1367	1997-05-11	VYDAJ	PREVOD NA UCET	3872	27466	SIPO	MN	3021765
401523	1367	1997-06-11	VYDAJ	PREVOD NA UCET	3872	35363	SIPO	MN	3021765
401524	1367	1997-07-11	VYDAJ	PREVOD NA UCET	3872	33052	SIPO	MN	3021765
401525	1367	1997-08-11	VYDAJ	PREVOD NA UCET	3872	32057	SIPO	MN	3021765
401526	1367	1997-09-11	VYDAJ	PREVOD NA UCET	3872	30956	SIPO	MN	3021765
401527	1367	1997-10-11	VYDAJ	PREVOD NA UCET	3872	30352	SIPO	MN	3021765
401528	1367	1997-11-11	VYDAJ	PREVOD NA UCET	3872	31850	SIPO	MN	3021765
401529	1367	1997-12-11	VYDAJ	PREVOD NA UCET	3872	41166	SIPO	MN	3021765
401530	1367	1998-01-11	VYDAJ	PREVOD NA UCET	3872	28640	SIPO	MN	3021765
401531	1367	1998-02-11	VYDAJ	PREVOD NA UCET	3872	20435	SIPO	MN	3021765
401532	1367	1998-03-11	VYDAJ	PREVOD NA UCET	3872	22625	SIPO	MN	3021765
401533	1367	1998-04-11	VYDAJ	PREVOD NA UCET	3872	29909	SIPO	MN	3021765
401534	1367	1998-05-11	VYDAJ	PREVOD NA UCET	3872	31905	SIPO	MN	3021765
401535	1367	1998-06-11	VYDAJ	PREVOD NA UCET	3872	33831	SIPO	MN	3021765
401536	1367	1998-07-11	VYDAJ	PREVOD NA UCET	3872	30361	SIPO	MN	3021765
401537	1367	1998-08-11	VYDAJ	PREVOD NA UCET	3872	26815	SIPO	MN	3021765
401538	1367	1998-09-11	VYDAJ	PREVOD NA UCET	3872	24617	SIPO	MN	3021765
401539	1367	1998-10-11	VYDAJ	PREVOD NA UCET	3872	22316	SIPO	MN	3021765
401540	1367	1998-11-11	VYDAJ	PREVOD NA UCET	3872	20902	SIPO	MN	3021765
401541	1367	1998-12-11	VYDAJ	PREVOD NA UCET	3872	27490	SIPO	MN	3021765
401554	1367	1997-01-12	VYDAJ	PREVOD NA UCET	193	33801	 	ST	41883254
401555	1367	1997-02-12	VYDAJ	PREVOD NA UCET	193	24663	 	ST	41883254
401556	1367	1997-03-12	VYDAJ	PREVOD NA UCET	193	25125	 	ST	41883254
401557	1367	1997-04-12	VYDAJ	PREVOD NA UCET	193	22091	 	ST	41883254
401558	1367	1997-05-12	VYDAJ	PREVOD NA UCET	193	27273	 	ST	41883254
401559	1367	1997-06-12	VYDAJ	PREVOD NA UCET	193	35170	 	ST	41883254
401560	1367	1997-07-12	VYDAJ	PREVOD NA UCET	193	32859	 	ST	41883254
401561	1367	1997-08-12	VYDAJ	PREVOD NA UCET	193	31864	 	ST	41883254
401562	1367	1997-09-12	VYDAJ	PREVOD NA UCET	193	30763	 	ST	41883254
401563	1367	1997-10-12	VYDAJ	PREVOD NA UCET	193	30159	 	ST	41883254
401564	1367	1997-11-12	VYDAJ	PREVOD NA UCET	193	31657	 	ST	41883254
401565	1367	1997-12-12	VYDAJ	PREVOD NA UCET	193	40973	 	ST	41883254
401566	1367	1998-01-12	VYDAJ	PREVOD NA UCET	193	28447	 	ST	41883254
401567	1367	1998-02-12	VYDAJ	PREVOD NA UCET	193	20242	 	ST	41883254
401568	1367	1998-03-12	VYDAJ	PREVOD NA UCET	193	22432	 	ST	41883254
401569	1367	1998-04-12	VYDAJ	PREVOD NA UCET	193	28416	 	ST	41883254
401570	1367	1998-05-12	VYDAJ	PREVOD NA UCET	193	31712	 	ST	41883254
401571	1367	1998-06-12	VYDAJ	PREVOD NA UCET	193	33638	 	ST	41883254
401572	1367	1998-07-12	VYDAJ	PREVOD NA UCET	193	30168	 	ST	41883254
401573	1367	1998-08-12	VYDAJ	PREVOD NA UCET	193	26622	 	ST	41883254
401574	1367	1998-09-12	VYDAJ	PREVOD NA UCET	193	24424	 	ST	41883254
401575	1367	1998-10-12	VYDAJ	PREVOD NA UCET	193	22123	 	ST	41883254
401576	1367	1998-11-12	VYDAJ	PREVOD NA UCET	193	20709	 	ST	41883254
401577	1367	1998-12-12	VYDAJ	PREVOD NA UCET	193	27297	 	ST	41883254
401591	1367	1997-02-08	VYDAJ	PREVOD NA UCET	717	17140	POJISTNE	QR	58902168
401592	1367	1997-03-08	VYDAJ	PREVOD NA UCET	717	17602	POJISTNE	QR	58902168
401593	1367	1997-04-08	VYDAJ	PREVOD NA UCET	717	19248	POJISTNE	QR	58902168
401594	1367	1997-05-08	VYDAJ	PREVOD NA UCET	717	19750	POJISTNE	QR	58902168
401595	1367	1997-06-08	VYDAJ	PREVOD NA UCET	717	21638	POJISTNE	QR	58902168
401596	1367	1997-07-08	VYDAJ	PREVOD NA UCET	717	25336	POJISTNE	QR	58902168
401597	1367	1997-08-08	VYDAJ	PREVOD NA UCET	717	24341	POJISTNE	QR	58902168
401598	1367	1997-09-08	VYDAJ	PREVOD NA UCET	717	23240	POJISTNE	QR	58902168
401599	1367	1997-10-08	VYDAJ	PREVOD NA UCET	717	22636	POJISTNE	QR	58902168
401600	1367	1997-11-08	VYDAJ	PREVOD NA UCET	717	24134	POJISTNE	QR	58902168
401601	1367	1997-12-08	VYDAJ	PREVOD NA UCET	717	27441	POJISTNE	QR	58902168
401602	1367	1998-01-08	VYDAJ	PREVOD NA UCET	717	20924	POJISTNE	QR	58902168
401603	1367	1998-02-08	VYDAJ	PREVOD NA UCET	717	13519	POJISTNE	QR	58902168
401604	1367	1998-03-08	VYDAJ	PREVOD NA UCET	717	14909	POJISTNE	QR	58902168
401605	1367	1998-04-08	VYDAJ	PREVOD NA UCET	717	22193	POJISTNE	QR	58902168
401606	1367	1998-05-08	VYDAJ	PREVOD NA UCET	717	24189	POJISTNE	QR	58902168
401607	1367	1998-06-08	VYDAJ	PREVOD NA UCET	717	28706	POJISTNE	QR	58902168
401608	1367	1998-07-08	VYDAJ	PREVOD NA UCET	717	33045	POJISTNE	QR	58902168
401609	1367	1998-08-08	VYDAJ	PREVOD NA UCET	717	24399	POJISTNE	QR	58902168
401610	1367	1998-09-08	VYDAJ	PREVOD NA UCET	717	26001	POJISTNE	QR	58902168
401611	1367	1998-10-08	VYDAJ	PREVOD NA UCET	717	23800	POJISTNE	QR	58902168
401612	1367	1998-11-08	VYDAJ	PREVOD NA UCET	717	13186	POJISTNE	QR	58902168
401613	1367	1998-12-08	VYDAJ	PREVOD NA UCET	717	13765	POJISTNE	QR	58902168
401626	1367	1997-01-09	VYDAJ	PREVOD NA UCET	431	41226	 	UV	69351130
401627	1367	1997-02-09	VYDAJ	PREVOD NA UCET	431	28728	 	UV	69351130
401628	1367	1997-03-09	VYDAJ	PREVOD NA UCET	431	29190	 	UV	69351130
401629	1367	1997-04-09	VYDAJ	PREVOD NA UCET	431	26156	 	UV	69351130
401630	1367	1997-05-09	VYDAJ	PREVOD NA UCET	431	31338	 	UV	69351130
401631	1367	1997-06-09	VYDAJ	PREVOD NA UCET	431	39235	 	UV	69351130
401632	1367	1997-07-09	VYDAJ	PREVOD NA UCET	431	36924	 	UV	69351130
401633	1367	1997-08-09	VYDAJ	PREVOD NA UCET	431	35929	 	UV	69351130
401634	1367	1997-09-09	VYDAJ	PREVOD NA UCET	431	34828	 	UV	69351130
401635	1367	1997-10-09	VYDAJ	PREVOD NA UCET	431	34224	 	UV	69351130
401636	1367	1997-11-09	VYDAJ	PREVOD NA UCET	431	35722	 	UV	69351130
401637	1367	1997-12-09	VYDAJ	PREVOD NA UCET	431	45038	 	UV	69351130
401638	1367	1998-01-09	VYDAJ	PREVOD NA UCET	431	32512	 	UV	69351130
401639	1367	1998-02-09	VYDAJ	PREVOD NA UCET	431	25107	 	UV	69351130
401800	1368	1997-12-09	PRIJEM	VKLAD	30680	54980	\N	\N	\N
401640	1367	1998-03-09	VYDAJ	PREVOD NA UCET	431	26497	 	UV	69351130
401641	1367	1998-04-09	VYDAJ	PREVOD NA UCET	431	33781	 	UV	69351130
401642	1367	1998-05-09	VYDAJ	PREVOD NA UCET	431	35777	 	UV	69351130
401643	1367	1998-06-09	VYDAJ	PREVOD NA UCET	431	46303	 	UV	69351130
401644	1367	1998-07-09	VYDAJ	PREVOD NA UCET	431	44633	 	UV	69351130
401645	1367	1998-08-09	VYDAJ	PREVOD NA UCET	431	35987	 	UV	69351130
401646	1367	1998-09-09	VYDAJ	PREVOD NA UCET	431	28489	 	UV	69351130
401647	1367	1998-10-09	VYDAJ	PREVOD NA UCET	431	26188	 	UV	69351130
401648	1367	1998-11-09	VYDAJ	PREVOD NA UCET	431	24774	 	UV	69351130
401649	1367	1998-12-09	VYDAJ	PREVOD NA UCET	431	31362	 	UV	69351130
401654	1367	1997-01-16	VYDAJ	VYBER	7040	24601	\N	\N	\N
401657	1367	1997-12-15	VYDAJ	VYBER	1600	26573	\N	\N	\N
401658	1367	1998-12-26	VYDAJ	VYBER	2880	24417	\N	\N	\N
401666	1367	1997-01-24	VYDAJ	VYBER	840	21241	\N	\N	\N
401667	1367	1997-01-15	VYDAJ	VYBER	2160	31641	\N	\N	\N
401668	1367	1997-01-27	VYDAJ	VYBER	2880	17761	\N	\N	\N
401669	1367	1997-01-24	VYDAJ	VYBER	600	20641	\N	\N	\N
401670	1367	1997-01-09	VYDAJ	VYBER	3360	37866	\N	\N	\N
401671	1367	1998-01-30	VYDAJ	VYBER	1320	14167	\N	\N	\N
401672	1367	1998-01-06	VYDAJ	VYBER	3240	23441	\N	\N	\N
401673	1367	1998-01-07	VYDAJ	VYBER	1800	21641	\N	\N	\N
401674	1367	1998-01-23	VYDAJ	VYBER	1440	15487	\N	\N	\N
401676	1367	1998-01-17	VYDAJ	VYBER	1320	16927	\N	\N	\N
401683	1367	1997-04-06	VYDAJ	VYBER	1440	19965	\N	\N	\N
401684	1367	1997-01-18	VYDAJ	VYBER	720	22081	\N	\N	\N
401685	1367	1997-06-24	VYDAJ	VYBER	2520	25950	\N	\N	\N
401686	1367	1997-03-07	VYDAJ	VYBER	3720	18319	\N	\N	\N
401687	1367	1997-04-09	VYDAJ	VYBER	4680	26587	\N	\N	\N
401688	1367	1998-03-02	VYDAJ	VYBER	4680	15626	\N	\N	\N
401689	1367	1998-04-14	VYDAJ	VYBER	3600	24816	\N	\N	\N
401691	1367	1998-07-16	VYDAJ	VYBER	5160	25008	\N	\N	\N
401705	1367	1997-01-31	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
401706	1367	1997-02-28	VYDAJ	VYBER	15	22039	SLUZBY	\N	\N
401707	1367	1997-03-31	VYDAJ	VYBER	15	21405	SLUZBY	\N	\N
401708	1367	1997-04-30	VYDAJ	VYBER	15	20467	SLUZBY	\N	\N
401709	1367	1997-05-31	VYDAJ	VYBER	15	22355	SLUZBY	\N	\N
401710	1367	1997-06-30	VYDAJ	VYBER	15	26053	SLUZBY	\N	\N
401711	1367	1997-07-31	VYDAJ	VYBER	15	25058	SLUZBY	\N	\N
401712	1367	1997-08-31	VYDAJ	VYBER	15	23957	SLUZBY	\N	\N
401713	1367	1997-09-30	VYDAJ	VYBER	15	23353	SLUZBY	\N	\N
401714	1367	1997-10-31	VYDAJ	VYBER	15	24851	SLUZBY	\N	\N
401715	1367	1997-11-30	VYDAJ	VYBER	15	28158	SLUZBY	\N	\N
401716	1367	1997-12-31	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
401717	1367	1998-01-31	VYDAJ	VYBER	15	14236	SLUZBY	\N	\N
401718	1367	1998-02-28	VYDAJ	VYBER	15	20306	SLUZBY	\N	\N
401719	1367	1998-03-31	VYDAJ	VYBER	15	22910	SLUZBY	\N	\N
401720	1367	1998-04-30	VYDAJ	VYBER	15	24906	SLUZBY	\N	\N
401721	1367	1998-05-31	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
401722	1367	1998-06-30	VYDAJ	VYBER	15	33762	SLUZBY	\N	\N
401723	1367	1998-07-31	VYDAJ	VYBER	15	25116	SLUZBY	\N	\N
401724	1367	1998-08-31	VYDAJ	VYBER	15	26718	SLUZBY	\N	\N
401725	1367	1998-09-30	VYDAJ	VYBER	15	24517	SLUZBY	\N	\N
401726	1367	1998-10-31	VYDAJ	VYBER	15	22203	SLUZBY	\N	\N
401727	1367	1998-11-30	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
401728	1367	1996-09-19	PRIJEM	VKLAD	5300	18119	\N	\N	\N
401729	1367	1996-10-19	VYDAJ	VYBER	5200	24968	\N	\N	\N
401730	1367	1996-11-18	VYDAJ	VYBER	7500	29575	\N	\N	\N
401731	1367	1996-12-18	VYDAJ	VYBER	18200	29515	\N	\N	\N
401732	1367	1997-01-17	VYDAJ	VYBER	1800	22801	\N	\N	\N
401733	1367	1997-02-16	VYDAJ	VYBER	2700	21963	\N	\N	\N
401734	1367	1997-03-18	VYDAJ	VYBER	3800	21325	\N	\N	\N
401735	1367	1997-04-17	VYDAJ	VYBER	1700	20391	\N	\N	\N
401736	1367	1997-05-17	VYDAJ	VYBER	5000	22273	\N	\N	\N
401737	1367	1997-06-16	VYDAJ	VYBER	6700	28470	\N	\N	\N
401738	1367	1997-07-16	VYDAJ	VYBER	7900	24959	\N	\N	\N
401739	1367	1997-08-15	VYDAJ	VYBER	8000	23864	\N	\N	\N
401740	1367	1997-09-14	VYDAJ	VYBER	7500	23263	\N	\N	\N
401741	1367	1997-10-14	VYDAJ	VYBER	5400	24759	\N	\N	\N
401742	1367	1997-11-13	VYDAJ	VYBER	3600	28057	\N	\N	\N
401743	1367	1997-12-13	VYDAJ	VYBER	12800	28173	\N	\N	\N
401744	1367	1998-01-12	VYDAJ	VYBER	10200	18247	\N	\N	\N
401745	1367	1998-02-11	VYDAJ	VYBER	800	24307	\N	\N	\N
401746	1367	1998-03-13	PRIJEM	VKLAD	400	22832	\N	\N	\N
401747	1367	1998-04-12	VYDAJ	VYBER	1300	28609	\N	\N	\N
401748	1367	1998-05-12	VYDAJ	VYBER	2400	29312	\N	\N	\N
401749	1367	1998-06-11	VYDAJ	VYBER	8600	37703	\N	\N	\N
401750	1367	1998-07-11	VYDAJ	VYBER	10400	34233	\N	\N	\N
401751	1367	1998-08-10	VYDAJ	VYBER	5300	30687	\N	\N	\N
401752	1367	1998-09-09	VYDAJ	VYBER	9100	28920	\N	\N	\N
401753	1367	1998-10-09	VYDAJ	VYBER	9200	26619	\N	\N	\N
401754	1367	1998-11-08	VYDAJ	VYBER	8300	13903	\N	\N	\N
401755	1367	1998-12-08	VYDAJ	VYBER	6300	14482	\N	\N	\N
401784	1368	1996-12-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
401792	1368	1996-12-17	PRIJEM	VKLAD	38522	39622	\N	\N	\N
401793	1368	1997-06-25	PRIJEM	VKLAD	12469	29383	\N	\N	\N
401794	1368	1997-11-04	PRIJEM	VKLAD	13004	60470	\N	\N	\N
401795	1368	1997-08-14	PRIJEM	VKLAD	28736	53679	\N	\N	\N
401796	1368	1997-10-18	PRIJEM	VKLAD	21004	48830	\N	\N	\N
401797	1368	1997-10-04	PRIJEM	VKLAD	25079	46765	\N	\N	\N
401798	1368	1997-12-14	PRIJEM	VKLAD	27224	77765	\N	\N	\N
401799	1368	1997-03-08	PRIJEM	VKLAD	28263	133421	\N	\N	\N
401801	1368	1997-08-31	PRIJEM	VKLAD	12539	41219	\N	\N	\N
401802	1368	1997-11-21	PRIJEM	VKLAD	7753	29978	\N	\N	\N
401803	1368	1997-07-27	PRIJEM	VKLAD	18472	38886	\N	\N	\N
401804	1368	1997-02-26	PRIJEM	VKLAD	36646	61113	\N	\N	\N
401805	1368	1997-02-27	PRIJEM	VKLAD	13017	74130	\N	\N	\N
401806	1368	1997-04-02	PRIJEM	VKLAD	28088	62397	\N	\N	\N
401807	1368	1997-03-08	PRIJEM	VKLAD	30849	105158	\N	\N	\N
401808	1368	1998-02-26	PRIJEM	VKLAD	7485	23413	\N	\N	\N
401823	1368	1997-03-12	VYDAJ	PREVOD NA UCET	4439	87382	SIPO	CD	10035527
401824	1368	1997-04-12	VYDAJ	PREVOD NA UCET	4439	22120	SIPO	CD	10035527
401825	1368	1997-05-12	VYDAJ	PREVOD NA UCET	4439	18785	SIPO	CD	10035527
401826	1368	1997-06-12	VYDAJ	PREVOD NA UCET	4439	16914	SIPO	CD	10035527
401827	1368	1997-07-12	VYDAJ	PREVOD NA UCET	4439	20414	SIPO	CD	10035527
401828	1368	1997-08-12	VYDAJ	PREVOD NA UCET	4439	24943	SIPO	CD	10035527
401829	1368	1997-09-12	VYDAJ	PREVOD NA UCET	4439	27566	SIPO	CD	10035527
401830	1368	1997-10-12	VYDAJ	PREVOD NA UCET	4439	27826	SIPO	CD	10035527
401831	1368	1997-11-12	VYDAJ	PREVOD NA UCET	4439	27815	SIPO	CD	10035527
401832	1368	1997-12-12	VYDAJ	PREVOD NA UCET	4439	50541	SIPO	CD	10035527
401833	1368	1998-01-12	VYDAJ	PREVOD NA UCET	4439	20650	SIPO	CD	10035527
401834	1368	1998-02-12	VYDAJ	PREVOD NA UCET	4439	15928	SIPO	CD	10035527
401835	1368	1998-03-12	VYDAJ	PREVOD NA UCET	4439	15337	SIPO	CD	10035527
401836	1368	1998-04-12	VYDAJ	PREVOD NA UCET	4439	12359	SIPO	CD	10035527
401837	1368	1998-05-12	VYDAJ	PREVOD NA UCET	4439	7461	SIPO	CD	10035527
401838	1368	1998-06-12	VYDAJ	PREVOD NA UCET	4439	8545	SIPO	CD	10035527
401839	1368	1998-07-12	VYDAJ	PREVOD NA UCET	4439	11925	SIPO	CD	10035527
401840	1368	1998-08-12	VYDAJ	PREVOD NA UCET	4439	13416	SIPO	CD	10035527
401841	1368	1998-09-12	VYDAJ	PREVOD NA UCET	4439	13616	SIPO	CD	10035527
401842	1368	1998-10-12	VYDAJ	PREVOD NA UCET	4439	15218	SIPO	CD	10035527
401843	1368	1998-11-12	VYDAJ	PREVOD NA UCET	4439	15225	SIPO	CD	10035527
401844	1368	1998-12-12	VYDAJ	PREVOD NA UCET	4439	12535	SIPO	CD	10035527
401851	1368	1997-08-21	VYBER	VYBER	14890	38789	\N	\N	\N
401852	1368	1997-11-08	VYBER	VYBER	6416	32254	\N	\N	\N
401853	1368	1997-03-15	VYBER	VYBER	21077	34105	\N	\N	\N
401856	1368	1997-04-05	VYBER	VYBER	23293	30259	\N	\N	\N
401857	1368	1997-04-02	VYBER	VYBER	8845	53552	\N	\N	\N
401859	1368	1997-11-18	VYBER	VYBER	5590	22225	\N	\N	\N
401860	1368	1997-08-23	VYBER	VYBER	10270	28519	\N	\N	\N
401882	1368	1997-12-15	VYDAJ	VYBER	7800	69965	\N	\N	\N
401896	1368	1998-01-08	VYDAJ	VYBER	7500	31989	\N	\N	\N
401899	1368	1998-01-09	VYDAJ	VYBER	6900	25089	\N	\N	\N
401901	1368	1998-01-07	VYDAJ	VYBER	6900	39489	\N	\N	\N
401909	1368	1997-09-29	VYDAJ	VYBER	4200	23366	\N	\N	\N
401912	1368	1997-10-18	VYDAJ	VYBER	1500	47330	\N	\N	\N
401913	1368	1997-09-30	VYDAJ	VYBER	1800	21686	\N	\N	\N
401938	1368	1997-03-31	VYDAJ	VYBER	15	34309	SLUZBY	\N	\N
401939	1368	1997-04-30	VYDAJ	VYBER	15	22224	SLUZBY	\N	\N
401940	1368	1997-05-31	VYDAJ	VYBER	15	18853	SLUZBY	\N	\N
401941	1368	1997-06-30	VYDAJ	VYBER	15	29453	SLUZBY	\N	\N
401942	1368	1997-07-31	VYDAJ	VYBER	15	38982	SLUZBY	\N	\N
401943	1368	1997-08-31	VYDAJ	VYBER	15	41205	SLUZBY	\N	\N
401944	1368	1997-09-30	VYDAJ	VYBER	15	23486	SLUZBY	\N	\N
401945	1368	1997-10-31	VYDAJ	VYBER	15	47466	SLUZBY	\N	\N
401946	1368	1997-11-30	VYDAJ	VYBER	15	30100	SLUZBY	\N	\N
401947	1368	1997-12-31	VYDAJ	VYBER	15	70189	SLUZBY	\N	\N
401948	1368	1998-01-31	VYDAJ	VYBER	15	20767	SLUZBY	\N	\N
401949	1368	1998-02-28	VYDAJ	VYBER	15	23476	SLUZBY	\N	\N
401950	1368	1998-03-31	VYDAJ	VYBER	15	15398	SLUZBY	\N	\N
401951	1368	1998-04-30	VYDAJ	VYBER	15	12400	SLUZBY	\N	\N
401952	1368	1998-05-31	VYDAJ	VYBER	15	7484	SLUZBY	\N	\N
401953	1368	1998-06-30	VYDAJ	VYBER	15	8564	SLUZBY	\N	\N
401954	1368	1998-07-31	VYDAJ	VYBER	15	11955	SLUZBY	\N	\N
401955	1368	1998-08-31	VYDAJ	VYBER	15	13455	SLUZBY	\N	\N
401956	1368	1998-09-30	VYDAJ	VYBER	15	13657	SLUZBY	\N	\N
401957	1368	1998-10-31	VYDAJ	VYBER	15	15264	SLUZBY	\N	\N
401958	1368	1998-11-30	VYDAJ	VYBER	15	15274	SLUZBY	\N	\N
401959	1368	1997-01-11	VYDAJ	VYBER	9100	30602	\N	\N	\N
401960	1368	1997-02-10	VYDAJ	VYBER	6300	24467	\N	\N	\N
401961	1368	1997-03-08	VYDAJ	VYBER	41600	91821	\N	\N	\N
401962	1368	1997-03-12	VYDAJ	VYBER	32200	55182	\N	\N	\N
401963	1368	1997-04-11	VYDAJ	VYBER	3700	26559	\N	\N	\N
401964	1368	1997-05-11	PRIJEM	VKLAD	1000	23224	\N	\N	\N
401965	1368	1997-06-10	PRIJEM	VKLAD	2500	21353	\N	\N	\N
401966	1368	1997-07-10	VYDAJ	VYBER	4600	24853	\N	\N	\N
401967	1368	1997-08-09	VYDAJ	VYBER	9600	29382	\N	\N	\N
401968	1368	1997-09-08	VYDAJ	VYBER	9200	32005	\N	\N	\N
401969	1368	1997-10-08	VYDAJ	VYBER	14500	32265	\N	\N	\N
401970	1368	1997-11-07	VYDAJ	VYBER	21800	38670	\N	\N	\N
401971	1368	1997-12-07	VYDAJ	VYBER	5800	24300	\N	\N	\N
401972	1368	1998-01-06	VYDAJ	VYBER	23800	46389	\N	\N	\N
401973	1368	1998-02-05	VYDAJ	VYBER	400	20367	\N	\N	\N
401974	1368	1998-03-07	VYDAJ	VYBER	3700	19776	\N	\N	\N
401975	1368	1998-04-06	PRIJEM	VKLAD	1400	16798	\N	\N	\N
401976	1368	1998-05-06	VYDAJ	VYBER	500	11900	\N	\N	\N
401977	1368	1998-06-05	PRIJEM	VKLAD	5500	12984	\N	\N	\N
401978	1368	1998-07-05	PRIJEM	VKLAD	7800	16364	\N	\N	\N
401979	1368	1998-08-04	PRIJEM	VKLAD	5900	17855	\N	\N	\N
401980	1368	1998-09-03	PRIJEM	VKLAD	4600	18055	\N	\N	\N
401981	1368	1998-10-03	PRIJEM	VKLAD	6000	19657	\N	\N	\N
401982	1368	1998-11-02	PRIJEM	VKLAD	4400	19664	\N	\N	\N
401983	1368	1998-12-02	PRIJEM	VKLAD	1700	16974	\N	\N	\N
402009	1369	1996-03-23	PRIJEM	VKLAD	400	400	\N	\N	\N
402013	1369	1996-04-11	PRIJEM	VKLAD	11615	12015	\N	\N	\N
402014	1369	1996-05-11	PRIJEM	VKLAD	11615	31655	\N	\N	\N
402015	1369	1996-06-11	PRIJEM	VKLAD	17422	44069	\N	\N	\N
402016	1369	1996-07-11	PRIJEM	VKLAD	11615	48709	\N	\N	\N
402017	1369	1996-08-11	PRIJEM	VKLAD	11615	51783	\N	\N	\N
402018	1369	1996-09-11	PRIJEM	VKLAD	11615	44708	\N	\N	\N
402019	1369	1996-10-11	PRIJEM	VKLAD	11615	43834	\N	\N	\N
402020	1369	1996-11-11	PRIJEM	VKLAD	11615	45060	\N	\N	\N
402021	1369	1996-12-11	PRIJEM	VKLAD	17422	52598	\N	\N	\N
402022	1369	1997-01-11	PRIJEM	VKLAD	11615	36960	\N	\N	\N
402023	1369	1997-02-11	PRIJEM	VKLAD	11615	23669	\N	\N	\N
402024	1369	1997-03-11	PRIJEM	VKLAD	11615	29740	\N	\N	\N
402025	1369	1997-04-11	PRIJEM	VKLAD	11615	27043	\N	\N	\N
402026	1369	1997-05-11	PRIJEM	VKLAD	11615	32424	\N	\N	\N
402027	1369	1997-06-11	PRIJEM	VKLAD	17422	43015	\N	\N	\N
402028	1369	1997-07-11	PRIJEM	VKLAD	11615	39781	\N	\N	\N
402029	1369	1997-08-11	PRIJEM	VKLAD	11615	37448	\N	\N	\N
402030	1369	1997-09-11	PRIJEM	VKLAD	11615	42055	\N	\N	\N
402031	1369	1997-10-11	PRIJEM	VKLAD	11615	43973	\N	\N	\N
402032	1369	1997-11-11	PRIJEM	VKLAD	11615	43057	\N	\N	\N
402033	1369	1997-12-11	PRIJEM	VKLAD	17422	51768	\N	\N	\N
402034	1369	1998-01-11	PRIJEM	VKLAD	11615	35640	\N	\N	\N
402035	1369	1998-02-11	PRIJEM	VKLAD	11615	43933	\N	\N	\N
402036	1369	1998-03-11	PRIJEM	VKLAD	11615	47924	\N	\N	\N
402037	1369	1998-04-11	PRIJEM	VKLAD	11615	51369	\N	\N	\N
402038	1369	1998-05-11	PRIJEM	VKLAD	11615	47120	\N	\N	\N
402039	1369	1998-06-11	PRIJEM	VKLAD	17422	46637	\N	\N	\N
402040	1369	1998-07-11	PRIJEM	VKLAD	11615	24632	\N	\N	\N
402041	1369	1998-08-11	PRIJEM	VKLAD	11615	38682	\N	\N	\N
402042	1369	1998-09-11	PRIJEM	VKLAD	11615	46785	\N	\N	\N
402043	1369	1998-10-11	PRIJEM	VKLAD	11615	50922	\N	\N	\N
402044	1369	1998-11-11	PRIJEM	VKLAD	11615	57682	\N	\N	\N
402045	1369	1998-12-11	PRIJEM	VKLAD	17422	59593	\N	\N	\N
402054	1369	1996-09-07	VYDAJ	PREVOD NA UCET	6005	33093	SIPO	AB	25008797
402055	1369	1996-10-07	VYDAJ	PREVOD NA UCET	6005	32219	SIPO	AB	25008797
402056	1369	1996-11-07	VYDAJ	PREVOD NA UCET	6005	33445	SIPO	AB	25008797
402057	1369	1996-12-07	VYDAJ	PREVOD NA UCET	6005	35176	SIPO	AB	25008797
402058	1369	1997-01-07	VYDAJ	PREVOD NA UCET	6005	32225	SIPO	AB	25008797
402059	1369	1997-02-07	VYDAJ	PREVOD NA UCET	6005	12054	SIPO	AB	25008797
402060	1369	1997-03-07	VYDAJ	PREVOD NA UCET	6005	18125	SIPO	AB	25008797
402061	1369	1997-04-07	VYDAJ	PREVOD NA UCET	6005	15428	SIPO	AB	25008797
402062	1369	1997-05-07	VYDAJ	PREVOD NA UCET	6005	20809	SIPO	AB	25008797
402063	1369	1997-06-07	VYDAJ	PREVOD NA UCET	6005	25593	SIPO	AB	25008797
402064	1369	1997-07-07	VYDAJ	PREVOD NA UCET	6005	28166	SIPO	AB	25008797
402065	1369	1997-08-07	VYDAJ	PREVOD NA UCET	6005	25833	SIPO	AB	25008797
402066	1369	1997-09-07	VYDAJ	PREVOD NA UCET	6005	30440	SIPO	AB	25008797
402067	1369	1997-10-07	VYDAJ	PREVOD NA UCET	6005	32358	SIPO	AB	25008797
402068	1369	1997-11-07	VYDAJ	PREVOD NA UCET	6005	31442	SIPO	AB	25008797
402069	1369	1997-12-07	VYDAJ	PREVOD NA UCET	6005	34346	SIPO	AB	25008797
402070	1369	1998-01-07	VYDAJ	PREVOD NA UCET	6005	25225	SIPO	AB	25008797
402071	1369	1998-02-07	VYDAJ	PREVOD NA UCET	6005	24618	SIPO	AB	25008797
402072	1369	1998-03-07	VYDAJ	PREVOD NA UCET	6005	36309	SIPO	AB	25008797
402073	1369	1998-04-07	VYDAJ	PREVOD NA UCET	6005	39754	SIPO	AB	25008797
402074	1369	1998-05-07	VYDAJ	PREVOD NA UCET	6005	35505	SIPO	AB	25008797
402075	1369	1998-06-07	VYDAJ	PREVOD NA UCET	6005	33535	SIPO	AB	25008797
402076	1369	1998-07-07	VYDAJ	PREVOD NA UCET	6005	13017	SIPO	AB	25008797
402077	1369	1998-08-07	VYDAJ	PREVOD NA UCET	6005	22167	SIPO	AB	25008797
402078	1369	1998-09-07	VYDAJ	PREVOD NA UCET	6005	31070	SIPO	AB	25008797
402079	1369	1998-10-07	VYDAJ	PREVOD NA UCET	6005	39207	SIPO	AB	25008797
402080	1369	1998-11-07	VYDAJ	PREVOD NA UCET	6005	43367	SIPO	AB	25008797
402081	1369	1998-12-07	VYDAJ	PREVOD NA UCET	6005	48071	SIPO	AB	25008797
402090	1369	1996-09-06	VYDAJ	PREVOD NA UCET	1738	39098	 	KL	43920379
402091	1369	1996-10-06	VYDAJ	PREVOD NA UCET	1738	38224	 	KL	43920379
402092	1369	1996-11-06	VYDAJ	PREVOD NA UCET	1738	39450	 	KL	43920379
402093	1369	1996-12-06	VYDAJ	PREVOD NA UCET	1738	41181	 	KL	43920379
402094	1369	1997-01-06	VYDAJ	PREVOD NA UCET	1738	38230	 	KL	43920379
402095	1369	1997-02-06	VYDAJ	PREVOD NA UCET	1738	18059	 	KL	43920379
402096	1369	1997-03-06	VYDAJ	PREVOD NA UCET	1738	24130	 	KL	43920379
402097	1369	1997-04-06	VYDAJ	PREVOD NA UCET	1738	21433	 	KL	43920379
402098	1369	1997-05-06	VYDAJ	PREVOD NA UCET	1738	26814	 	KL	43920379
402099	1369	1997-06-06	VYDAJ	PREVOD NA UCET	1738	31598	 	KL	43920379
402100	1369	1997-07-06	VYDAJ	PREVOD NA UCET	1738	34171	 	KL	43920379
402101	1369	1997-08-06	VYDAJ	PREVOD NA UCET	1738	35078	 	KL	43920379
402102	1369	1997-09-06	VYDAJ	PREVOD NA UCET	1738	36445	 	KL	43920379
402103	1369	1997-10-06	VYDAJ	PREVOD NA UCET	1738	38363	 	KL	43920379
402104	1369	1997-11-06	VYDAJ	PREVOD NA UCET	1738	37447	 	KL	43920379
402105	1369	1997-12-06	VYDAJ	PREVOD NA UCET	1738	40351	 	KL	43920379
402106	1369	1998-01-06	VYDAJ	PREVOD NA UCET	1738	31230	 	KL	43920379
402107	1369	1998-02-06	VYDAJ	PREVOD NA UCET	1738	30623	 	KL	43920379
402108	1369	1998-03-06	VYDAJ	PREVOD NA UCET	1738	42314	 	KL	43920379
402109	1369	1998-04-06	VYDAJ	PREVOD NA UCET	1738	45759	 	KL	43920379
402110	1369	1998-05-06	VYDAJ	PREVOD NA UCET	1738	41510	 	KL	43920379
402111	1369	1998-06-06	VYDAJ	PREVOD NA UCET	1738	39540	 	KL	43920379
402112	1369	1998-07-06	VYDAJ	PREVOD NA UCET	1738	19022	 	KL	43920379
402113	1369	1998-08-06	VYDAJ	PREVOD NA UCET	1738	28172	 	KL	43920379
402114	1369	1998-09-06	VYDAJ	PREVOD NA UCET	1738	37075	 	KL	43920379
402115	1369	1998-10-06	VYDAJ	PREVOD NA UCET	1738	45212	 	KL	43920379
402116	1369	1998-11-06	VYDAJ	PREVOD NA UCET	1738	49372	 	KL	43920379
402117	1369	1998-12-06	VYDAJ	PREVOD NA UCET	1738	54076	 	KL	43920379
402119	1369	1997-06-19	VYDAJ	VYBER	5440	35775	\N	\N	\N
402120	1369	1998-06-14	VYDAJ	VYBER	17120	22217	\N	\N	\N
402122	1369	1997-01-10	VYDAJ	VYBER	6880	25345	\N	\N	\N
402123	1369	1998-01-06	VYDAJ	VYBER	14080	32968	\N	\N	\N
402124	1369	1996-12-30	VYDAJ	VYBER	4000	39798	\N	\N	\N
402125	1369	1997-12-23	VYDAJ	VYBER	1600	49868	\N	\N	\N
402126	1369	1998-12-03	VYDAJ	VYBER	2080	55814	\N	\N	\N
402133	1369	1997-01-11	VYDAJ	VYBER	3120	33840	\N	\N	\N
402134	1369	1997-01-28	VYDAJ	VYBER	3000	22920	\N	\N	\N
402135	1369	1997-01-23	VYDAJ	VYBER	2040	25920	\N	\N	\N
402136	1369	1997-01-28	VYDAJ	VYBER	3240	19680	\N	\N	\N
402137	1369	1997-01-16	VYDAJ	VYBER	3360	30480	\N	\N	\N
402138	1369	1997-01-22	VYDAJ	VYBER	3120	27960	\N	\N	\N
402139	1369	1998-01-02	VYDAJ	VYBER	3000	47048	\N	\N	\N
402140	1369	1998-01-20	VYDAJ	VYBER	2280	36180	\N	\N	\N
402141	1369	1998-01-14	VYDAJ	VYBER	720	38460	\N	\N	\N
402142	1369	1998-01-27	VYDAJ	VYBER	1560	34620	\N	\N	\N
402143	1369	1998-01-12	VYDAJ	VYBER	3360	39180	\N	\N	\N
402144	1369	1998-01-10	VYDAJ	VYBER	1200	24025	\N	\N	\N
402150	1369	1997-11-11	VYDAJ	VYBER	1320	41737	\N	\N	\N
402151	1369	1997-08-06	VYDAJ	VYBER	3240	31838	\N	\N	\N
402152	1369	1997-03-27	VYDAJ	VYBER	5520	23080	\N	\N	\N
402153	1369	1997-10-28	VYDAJ	VYBER	2640	39033	\N	\N	\N
402154	1369	1997-04-13	VYDAJ	VYBER	4680	22363	\N	\N	\N
402155	1369	1997-03-15	VYDAJ	VYBER	5040	24700	\N	\N	\N
402156	1369	1997-02-24	VYDAJ	VYBER	1080	25789	\N	\N	\N
402157	1369	1998-06-21	VYDAJ	VYBER	1560	20657	\N	\N	\N
402158	1369	1998-02-01	VYDAJ	VYBER	2400	32361	\N	\N	\N
402159	1369	1998-05-03	VYDAJ	VYBER	4200	43248	\N	\N	\N
402160	1369	1998-06-08	VYDAJ	VYBER	4320	29215	\N	\N	\N
402161	1369	1998-12-15	VYDAJ	VYBER	5400	54193	\N	\N	\N
402170	1369	1996-08-31	VYDAJ	VYBER	15	40836	SLUZBY	\N	\N
402171	1369	1996-09-30	VYDAJ	VYBER	15	39962	SLUZBY	\N	\N
402172	1369	1996-10-31	VYDAJ	VYBER	15	41188	SLUZBY	\N	\N
402173	1369	1996-11-30	VYDAJ	VYBER	15	42919	SLUZBY	\N	\N
402174	1369	1996-12-31	VYDAJ	VYBER	15	39968	SLUZBY	\N	\N
402175	1369	1997-01-31	VYDAJ	VYBER	15	19797	SLUZBY	\N	\N
402176	1369	1997-02-28	VYDAJ	VYBER	15	25868	SLUZBY	\N	\N
402177	1369	1997-03-31	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
402178	1369	1997-04-30	VYDAJ	VYBER	15	28552	SLUZBY	\N	\N
402179	1369	1997-05-31	VYDAJ	VYBER	15	33336	SLUZBY	\N	\N
402180	1369	1997-06-30	VYDAJ	VYBER	15	35909	SLUZBY	\N	\N
402181	1369	1997-07-31	VYDAJ	VYBER	15	36816	SLUZBY	\N	\N
402182	1369	1997-08-31	VYDAJ	VYBER	15	38183	SLUZBY	\N	\N
402183	1369	1997-09-30	VYDAJ	VYBER	15	40101	SLUZBY	\N	\N
402184	1369	1997-10-31	VYDAJ	VYBER	15	39185	SLUZBY	\N	\N
402185	1369	1997-11-30	VYDAJ	VYBER	15	42089	SLUZBY	\N	\N
402186	1369	1997-12-31	VYDAJ	VYBER	15	50048	SLUZBY	\N	\N
402187	1369	1998-01-31	VYDAJ	VYBER	15	34761	SLUZBY	\N	\N
402188	1369	1998-02-28	VYDAJ	VYBER	15	44052	SLUZBY	\N	\N
402189	1369	1998-03-31	VYDAJ	VYBER	15	47497	SLUZBY	\N	\N
402190	1369	1998-04-30	VYDAJ	VYBER	15	47448	SLUZBY	\N	\N
402191	1369	1998-05-31	VYDAJ	VYBER	15	41278	SLUZBY	\N	\N
402192	1369	1998-06-30	VYDAJ	VYBER	15	20760	SLUZBY	\N	\N
402193	1369	1998-07-31	VYDAJ	VYBER	15	29910	SLUZBY	\N	\N
402194	1369	1998-08-31	VYDAJ	VYBER	15	38813	SLUZBY	\N	\N
402195	1369	1998-09-30	VYDAJ	VYBER	15	46950	SLUZBY	\N	\N
402196	1369	1998-10-31	VYDAJ	VYBER	15	51110	SLUZBY	\N	\N
402197	1369	1998-11-30	VYDAJ	VYBER	15	57894	SLUZBY	\N	\N
402198	1369	1996-04-22	PRIJEM	VKLAD	8000	20015	\N	\N	\N
402199	1369	1996-05-22	VYDAJ	VYBER	5100	26555	\N	\N	\N
402200	1369	1996-06-21	VYDAJ	VYBER	7100	36969	\N	\N	\N
402201	1369	1996-07-21	VYDAJ	VYBER	8700	40009	\N	\N	\N
402202	1369	1996-08-20	VYDAJ	VYBER	11100	40683	\N	\N	\N
402203	1369	1996-09-19	VYDAJ	VYBER	4900	39808	\N	\N	\N
402204	1369	1996-10-19	VYDAJ	VYBER	2800	41034	\N	\N	\N
402205	1369	1996-11-18	VYDAJ	VYBER	2300	42760	\N	\N	\N
402206	1369	1996-12-18	VYDAJ	VYBER	8800	43798	\N	\N	\N
402207	1369	1997-01-17	PRIJEM	VKLAD	600	31080	\N	\N	\N
402208	1369	1997-02-16	PRIJEM	VKLAD	3200	26869	\N	\N	\N
402209	1369	1997-03-18	PRIJEM	VKLAD	3900	28600	\N	\N	\N
402210	1369	1997-04-17	PRIJEM	VKLAD	6100	28463	\N	\N	\N
402211	1369	1997-05-17	PRIJEM	VKLAD	800	33224	\N	\N	\N
402212	1369	1997-06-16	VYDAJ	VYBER	1800	41215	\N	\N	\N
402213	1369	1997-07-16	VYDAJ	VYBER	3100	36681	\N	\N	\N
402214	1369	1997-08-15	PRIJEM	VKLAD	600	38048	\N	\N	\N
402215	1369	1997-09-14	VYDAJ	VYBER	2100	39955	\N	\N	\N
402216	1369	1997-10-14	VYDAJ	VYBER	2300	41673	\N	\N	\N
402217	1369	1997-11-13	PRIJEM	VKLAD	200	41937	\N	\N	\N
402218	1369	1997-12-13	VYDAJ	VYBER	300	51468	\N	\N	\N
402219	1369	1998-01-12	PRIJEM	VKLAD	6900	42540	\N	\N	\N
402220	1369	1998-02-11	PRIJEM	VKLAD	7700	32318	\N	\N	\N
402221	1369	1998-03-13	VYDAJ	VYBER	600	47324	\N	\N	\N
402222	1369	1998-04-12	VYDAJ	VYBER	4100	47269	\N	\N	\N
402223	1369	1998-05-12	VYDAJ	VYBER	6000	41120	\N	\N	\N
402224	1369	1998-06-11	VYDAJ	VYBER	7300	39337	\N	\N	\N
402225	1369	1998-07-11	PRIJEM	VKLAD	5200	29832	\N	\N	\N
402226	1369	1998-08-10	PRIJEM	VKLAD	4900	27067	\N	\N	\N
402227	1369	1998-09-09	PRIJEM	VKLAD	4100	35170	\N	\N	\N
402228	1369	1998-10-09	PRIJEM	VKLAD	100	39307	\N	\N	\N
402229	1369	1998-11-08	PRIJEM	VKLAD	2700	46067	\N	\N	\N
402230	1369	1998-12-08	VYDAJ	VYBER	5900	42171	\N	\N	\N
402264	1370	1996-09-25	PRIJEM	VKLAD	600	600	\N	\N	\N
402274	1370	1996-10-07	PRIJEM	PREVOD Z UCTU	5800	6400	DUCHOD	OP	22142768
402275	1370	1996-11-07	PRIJEM	PREVOD Z UCTU	5800	12200	DUCHOD	OP	22142768
402276	1370	1996-12-07	PRIJEM	PREVOD Z UCTU	5800	18000	DUCHOD	OP	22142768
402277	1370	1997-01-07	PRIJEM	PREVOD Z UCTU	5800	23800	DUCHOD	OP	22142768
402278	1370	1997-02-07	PRIJEM	PREVOD Z UCTU	5800	29600	DUCHOD	OP	22142768
402279	1370	1997-03-07	PRIJEM	PREVOD Z UCTU	5800	31058	DUCHOD	OP	22142768
402280	1370	1997-04-07	PRIJEM	PREVOD Z UCTU	5800	31911	DUCHOD	OP	22142768
402281	1370	1997-05-07	PRIJEM	PREVOD Z UCTU	5800	34472	DUCHOD	OP	22142768
402282	1370	1997-06-07	PRIJEM	PREVOD Z UCTU	5800	25344	DUCHOD	OP	22142768
402283	1370	1997-07-07	PRIJEM	PREVOD Z UCTU	5800	29385	DUCHOD	OP	22142768
402284	1370	1997-08-07	PRIJEM	PREVOD Z UCTU	5800	31036	DUCHOD	OP	22142768
402285	1370	1997-09-07	PRIJEM	PREVOD Z UCTU	5800	35096	DUCHOD	OP	22142768
402286	1370	1997-10-07	PRIJEM	PREVOD Z UCTU	5800	39172	DUCHOD	OP	22142768
402287	1370	1997-11-07	PRIJEM	PREVOD Z UCTU	5800	38154	DUCHOD	OP	22142768
402288	1370	1997-12-07	PRIJEM	PREVOD Z UCTU	5800	40941	DUCHOD	OP	22142768
402289	1370	1998-01-07	PRIJEM	PREVOD Z UCTU	5800	37491	DUCHOD	OP	22142768
402290	1370	1998-02-07	PRIJEM	PREVOD Z UCTU	5800	30513	DUCHOD	OP	22142768
402291	1370	1998-03-07	PRIJEM	PREVOD Z UCTU	5800	32565	DUCHOD	OP	22142768
402292	1370	1998-04-07	PRIJEM	PREVOD Z UCTU	5800	36071	DUCHOD	OP	22142768
402293	1370	1998-05-07	PRIJEM	PREVOD Z UCTU	5800	40151	DUCHOD	OP	22142768
402294	1370	1998-06-07	PRIJEM	PREVOD Z UCTU	5800	41643	DUCHOD	OP	22142768
402295	1370	1998-07-07	PRIJEM	PREVOD Z UCTU	5800	36819	DUCHOD	OP	22142768
402296	1370	1998-08-07	PRIJEM	PREVOD Z UCTU	5800	37061	DUCHOD	OP	22142768
402297	1370	1998-09-07	PRIJEM	PREVOD Z UCTU	5800	41147	DUCHOD	OP	22142768
402298	1370	1998-10-07	PRIJEM	PREVOD Z UCTU	5800	45248	DUCHOD	OP	22142768
402299	1370	1998-11-07	PRIJEM	PREVOD Z UCTU	5800	49366	DUCHOD	OP	22142768
402300	1370	1998-12-07	PRIJEM	PREVOD Z UCTU	5800	46485	DUCHOD	OP	22142768
402315	1370	1997-03-05	VYDAJ	PREVOD NA UCET	1852	25258	SIPO	WX	50552004
402316	1370	1997-04-05	VYDAJ	PREVOD NA UCET	1852	26111	SIPO	WX	50552004
402317	1370	1997-05-05	VYDAJ	PREVOD NA UCET	1852	28672	SIPO	WX	50552004
402318	1370	1997-06-05	VYDAJ	PREVOD NA UCET	1852	19544	SIPO	WX	50552004
402319	1370	1997-07-05	VYDAJ	PREVOD NA UCET	1852	23585	SIPO	WX	50552004
402320	1370	1997-08-05	VYDAJ	PREVOD NA UCET	1852	25236	SIPO	WX	50552004
402321	1370	1997-09-05	VYDAJ	PREVOD NA UCET	1852	29296	SIPO	WX	50552004
402322	1370	1997-10-05	VYDAJ	PREVOD NA UCET	1852	33372	SIPO	WX	50552004
402323	1370	1997-11-05	VYDAJ	PREVOD NA UCET	1852	32354	SIPO	WX	50552004
402324	1370	1997-12-05	VYDAJ	PREVOD NA UCET	1852	35141	SIPO	WX	50552004
402325	1370	1998-01-05	VYDAJ	PREVOD NA UCET	1852	32331	SIPO	WX	50552004
402326	1370	1998-02-05	VYDAJ	PREVOD NA UCET	1852	24713	SIPO	WX	50552004
402327	1370	1998-03-05	VYDAJ	PREVOD NA UCET	1852	26765	SIPO	WX	50552004
402328	1370	1998-04-05	VYDAJ	PREVOD NA UCET	1852	30271	SIPO	WX	50552004
402329	1370	1998-05-05	VYDAJ	PREVOD NA UCET	1852	34351	SIPO	WX	50552004
402330	1370	1998-06-05	VYDAJ	PREVOD NA UCET	1852	35843	SIPO	WX	50552004
402331	1370	1998-07-05	VYDAJ	PREVOD NA UCET	1852	31019	SIPO	WX	50552004
402332	1370	1998-08-05	VYDAJ	PREVOD NA UCET	1852	31261	SIPO	WX	50552004
402333	1370	1998-09-05	VYDAJ	PREVOD NA UCET	1852	35347	SIPO	WX	50552004
402334	1370	1998-10-05	VYDAJ	PREVOD NA UCET	1852	39448	SIPO	WX	50552004
402335	1370	1998-11-05	VYDAJ	PREVOD NA UCET	1852	43566	SIPO	WX	50552004
402336	1370	1998-12-05	VYDAJ	PREVOD NA UCET	1852	40685	SIPO	WX	50552004
402338	1370	1997-06-03	VYDAJ	VYBER	11500	21396	\N	\N	\N
402339	1370	1998-06-09	VYDAJ	VYBER	8900	32743	\N	\N	\N
402342	1370	1998-01-30	VYDAJ	VYBER	2350	26441	\N	\N	\N
402344	1370	1997-12-27	VYDAJ	VYBER	900	34041	\N	\N	\N
402345	1370	1998-12-20	VYDAJ	VYBER	350	41135	\N	\N	\N
402358	1370	1998-01-29	VYDAJ	VYBER	400	29431	\N	\N	\N
402359	1370	1998-01-25	VYDAJ	VYBER	2240	30231	\N	\N	\N
402360	1370	1998-01-06	VYDAJ	VYBER	640	31691	\N	\N	\N
402361	1370	1998-01-25	VYDAJ	VYBER	400	29831	\N	\N	\N
402362	1370	1998-01-13	VYDAJ	VYBER	2320	35171	\N	\N	\N
402363	1370	1998-01-29	VYDAJ	VYBER	640	28791	\N	\N	\N
402371	1370	1997-03-14	VYDAJ	VYBER	1120	29938	\N	\N	\N
402372	1370	1997-10-12	VYDAJ	VYBER	2800	36372	\N	\N	\N
402373	1370	1997-02-08	VYDAJ	VYBER	2560	27040	\N	\N	\N
402374	1370	1997-03-17	VYDAJ	VYBER	2080	27858	\N	\N	\N
402375	1370	1997-07-26	VYDAJ	VYBER	2400	26985	\N	\N	\N
402376	1370	1998-08-01	VYDAJ	VYBER	3040	33113	\N	\N	\N
402377	1370	1998-12-23	VYDAJ	VYBER	1600	39535	\N	\N	\N
402378	1370	1998-03-25	VYDAJ	VYBER	560	32005	\N	\N	\N
402379	1370	1998-02-14	VYDAJ	VYBER	2000	28513	\N	\N	\N
402394	1370	1997-02-28	VYDAJ	VYBER	15	27110	SLUZBY	\N	\N
402395	1370	1997-03-31	VYDAJ	VYBER	15	27963	SLUZBY	\N	\N
402396	1370	1997-04-30	VYDAJ	VYBER	15	30524	SLUZBY	\N	\N
402397	1370	1997-05-31	VYDAJ	VYBER	15	32896	SLUZBY	\N	\N
402398	1370	1997-06-30	VYDAJ	VYBER	15	25437	SLUZBY	\N	\N
402399	1370	1997-07-31	VYDAJ	VYBER	15	27088	SLUZBY	\N	\N
402400	1370	1997-08-31	VYDAJ	VYBER	15	31148	SLUZBY	\N	\N
402401	1370	1997-09-30	VYDAJ	VYBER	15	35224	SLUZBY	\N	\N
402402	1370	1997-10-31	VYDAJ	VYBER	15	34206	SLUZBY	\N	\N
402403	1370	1997-11-30	VYDAJ	VYBER	15	36993	SLUZBY	\N	\N
402404	1370	1997-12-31	VYDAJ	VYBER	15	34183	SLUZBY	\N	\N
402405	1370	1998-01-31	VYDAJ	VYBER	15	26565	SLUZBY	\N	\N
402406	1370	1998-02-28	VYDAJ	VYBER	15	28617	SLUZBY	\N	\N
402407	1370	1998-03-31	VYDAJ	VYBER	15	32123	SLUZBY	\N	\N
402408	1370	1998-04-30	VYDAJ	VYBER	15	36203	SLUZBY	\N	\N
402409	1370	1998-05-31	VYDAJ	VYBER	15	37695	SLUZBY	\N	\N
402410	1370	1998-06-30	VYDAJ	VYBER	15	32871	SLUZBY	\N	\N
402411	1370	1998-07-31	VYDAJ	VYBER	15	36153	SLUZBY	\N	\N
402412	1370	1998-08-31	VYDAJ	VYBER	15	37199	SLUZBY	\N	\N
402413	1370	1998-09-30	VYDAJ	VYBER	15	41300	SLUZBY	\N	\N
402414	1370	1998-10-31	VYDAJ	VYBER	15	45418	SLUZBY	\N	\N
402415	1370	1998-11-30	VYDAJ	VYBER	15	42537	SLUZBY	\N	\N
402416	1370	1997-04-23	VYDAJ	VYBER	1500	30411	\N	\N	\N
402417	1370	1997-05-23	VYDAJ	VYBER	1700	32772	\N	\N	\N
402418	1370	1997-10-20	VYDAJ	VYBER	2300	34072	\N	\N	\N
402419	1370	1997-11-19	VYDAJ	VYBER	1300	36854	\N	\N	\N
402420	1370	1997-12-19	VYDAJ	VYBER	6000	34941	\N	\N	\N
402421	1370	1998-01-18	VYDAJ	VYBER	2700	32471	\N	\N	\N
402422	1370	1998-05-18	VYDAJ	VYBER	2600	37551	\N	\N	\N
402423	1370	1998-07-17	VYDAJ	VYBER	800	36019	\N	\N	\N
402424	1370	1998-11-14	VYDAJ	VYBER	7000	42366	\N	\N	\N
402425	1370	1998-12-14	VYDAJ	VYBER	5000	41485	\N	\N	\N
402449	1371	1994-04-27	PRIJEM	VKLAD	400	400	\N	\N	\N
402454	1371	1994-05-10	PRIJEM	PREVOD Z UCTU	4611	5011	DUCHOD	YZ	3078771
402455	1371	1994-06-10	PRIJEM	PREVOD Z UCTU	4611	9622	DUCHOD	YZ	3078771
402456	1371	1994-07-10	PRIJEM	PREVOD Z UCTU	4611	14233	DUCHOD	YZ	3078771
402457	1371	1994-08-10	PRIJEM	PREVOD Z UCTU	4611	18844	DUCHOD	YZ	3078771
402458	1371	1994-09-10	PRIJEM	PREVOD Z UCTU	4611	23455	DUCHOD	YZ	3078771
402459	1371	1994-10-10	PRIJEM	PREVOD Z UCTU	4611	25034	DUCHOD	YZ	3078771
402460	1371	1994-11-10	PRIJEM	PREVOD Z UCTU	4611	25043	DUCHOD	YZ	3078771
402461	1371	1994-12-10	PRIJEM	PREVOD Z UCTU	4611	26655	DUCHOD	YZ	3078771
402462	1371	1995-01-10	PRIJEM	PREVOD Z UCTU	4611	26122	DUCHOD	YZ	3078771
402463	1371	1995-02-10	PRIJEM	PREVOD Z UCTU	4611	26298	DUCHOD	YZ	3078771
402464	1371	1995-03-10	PRIJEM	PREVOD Z UCTU	4611	26075	DUCHOD	YZ	3078771
402465	1371	1995-04-10	PRIJEM	PREVOD Z UCTU	4611	27694	DUCHOD	YZ	3078771
402466	1371	1995-05-10	PRIJEM	PREVOD Z UCTU	4611	28616	DUCHOD	YZ	3078771
402467	1371	1995-06-10	PRIJEM	PREVOD Z UCTU	4611	28000	DUCHOD	YZ	3078771
402468	1371	1995-07-10	PRIJEM	PREVOD Z UCTU	4611	20384	DUCHOD	YZ	3078771
402469	1371	1995-08-10	PRIJEM	PREVOD Z UCTU	4611	19816	DUCHOD	YZ	3078771
402470	1371	1995-09-10	PRIJEM	PREVOD Z UCTU	4611	20770	DUCHOD	YZ	3078771
402471	1371	1995-10-10	PRIJEM	PREVOD Z UCTU	4611	22365	DUCHOD	YZ	3078771
402472	1371	1995-11-10	PRIJEM	PREVOD Z UCTU	4611	23966	DUCHOD	YZ	3078771
402473	1371	1995-12-10	PRIJEM	PREVOD Z UCTU	4611	24673	DUCHOD	YZ	3078771
402474	1371	1996-01-10	PRIJEM	PREVOD Z UCTU	4611	23174	DUCHOD	YZ	3078771
402475	1371	1996-02-10	PRIJEM	PREVOD Z UCTU	4611	22379	DUCHOD	YZ	3078771
402476	1371	1996-03-10	PRIJEM	PREVOD Z UCTU	4611	23981	DUCHOD	YZ	3078771
402477	1371	1996-04-10	PRIJEM	PREVOD Z UCTU	4611	25589	DUCHOD	YZ	3078771
402478	1371	1996-05-10	PRIJEM	PREVOD Z UCTU	4611	23682	DUCHOD	YZ	3078771
402479	1371	1996-06-10	PRIJEM	PREVOD Z UCTU	4611	24647	DUCHOD	YZ	3078771
402480	1371	1996-07-10	PRIJEM	PREVOD Z UCTU	4611	26256	DUCHOD	YZ	3078771
402481	1371	1996-08-10	PRIJEM	PREVOD Z UCTU	4611	20703	DUCHOD	YZ	3078771
402482	1371	1996-09-10	PRIJEM	PREVOD Z UCTU	4611	21497	DUCHOD	YZ	3078771
402483	1371	1996-10-10	PRIJEM	PREVOD Z UCTU	4611	21410	DUCHOD	YZ	3078771
402484	1371	1996-11-10	PRIJEM	PREVOD Z UCTU	4611	23006	DUCHOD	YZ	3078771
402485	1371	1996-12-10	PRIJEM	PREVOD Z UCTU	4611	24609	DUCHOD	YZ	3078771
402486	1371	1997-01-10	PRIJEM	PREVOD Z UCTU	4611	25918	DUCHOD	YZ	3078771
402487	1371	1997-02-10	PRIJEM	PREVOD Z UCTU	4611	19443	DUCHOD	YZ	3078771
402488	1371	1997-03-10	PRIJEM	PREVOD Z UCTU	4611	21036	DUCHOD	YZ	3078771
402489	1371	1997-04-10	PRIJEM	PREVOD Z UCTU	4611	22630	DUCHOD	YZ	3078771
402490	1371	1997-05-10	PRIJEM	PREVOD Z UCTU	4611	22551	DUCHOD	YZ	3078771
402491	1371	1997-06-10	PRIJEM	PREVOD Z UCTU	4611	24152	DUCHOD	YZ	3078771
402492	1371	1997-07-10	PRIJEM	PREVOD Z UCTU	4611	23955	DUCHOD	YZ	3078771
402493	1371	1997-08-10	PRIJEM	PREVOD Z UCTU	4611	25561	DUCHOD	YZ	3078771
402494	1371	1997-09-10	PRIJEM	PREVOD Z UCTU	4611	25254	DUCHOD	YZ	3078771
402495	1371	1997-10-10	PRIJEM	PREVOD Z UCTU	4611	26869	DUCHOD	YZ	3078771
402496	1371	1997-11-10	PRIJEM	PREVOD Z UCTU	4611	26406	DUCHOD	YZ	3078771
402497	1371	1997-12-10	PRIJEM	PREVOD Z UCTU	4611	28023	DUCHOD	YZ	3078771
402498	1371	1998-01-10	PRIJEM	PREVOD Z UCTU	4611	28474	DUCHOD	YZ	3078771
402499	1371	1998-02-10	PRIJEM	PREVOD Z UCTU	4611	26997	DUCHOD	YZ	3078771
402500	1371	1998-03-10	PRIJEM	PREVOD Z UCTU	4611	23815	DUCHOD	YZ	3078771
402501	1371	1998-04-10	PRIJEM	PREVOD Z UCTU	4611	24927	DUCHOD	YZ	3078771
402502	1371	1998-05-10	PRIJEM	PREVOD Z UCTU	4611	26538	DUCHOD	YZ	3078771
402503	1371	1998-06-10	PRIJEM	PREVOD Z UCTU	4611	25992	DUCHOD	YZ	3078771
402504	1371	1998-07-10	PRIJEM	PREVOD Z UCTU	4611	22697	DUCHOD	YZ	3078771
402505	1371	1998-08-10	PRIJEM	PREVOD Z UCTU	4611	24297	DUCHOD	YZ	3078771
402506	1371	1998-09-10	PRIJEM	PREVOD Z UCTU	4611	25424	DUCHOD	YZ	3078771
402507	1371	1998-10-10	PRIJEM	PREVOD Z UCTU	4611	27036	DUCHOD	YZ	3078771
402508	1371	1998-11-10	PRIJEM	PREVOD Z UCTU	4611	28654	DUCHOD	YZ	3078771
402509	1371	1998-12-10	PRIJEM	PREVOD Z UCTU	4611	28667	DUCHOD	YZ	3078771
402518	1371	1994-09-11	VYDAJ	PREVOD NA UCET	3074	20381	SIPO	QR	48874825
402519	1371	1994-10-11	VYDAJ	PREVOD NA UCET	3074	21960	SIPO	QR	48874825
402520	1371	1994-11-11	VYDAJ	PREVOD NA UCET	3074	21969	SIPO	QR	48874825
402521	1371	1994-12-11	VYDAJ	PREVOD NA UCET	3074	23181	SIPO	QR	48874825
402522	1371	1995-01-11	VYDAJ	PREVOD NA UCET	3074	23048	SIPO	QR	48874825
402523	1371	1995-02-11	VYDAJ	PREVOD NA UCET	3074	23224	SIPO	QR	48874825
402524	1371	1995-03-11	VYDAJ	PREVOD NA UCET	3074	23001	SIPO	QR	48874825
402525	1371	1995-04-11	VYDAJ	PREVOD NA UCET	3074	24620	SIPO	QR	48874825
402526	1371	1995-05-11	VYDAJ	PREVOD NA UCET	3074	25542	SIPO	QR	48874825
402527	1371	1995-06-11	VYDAJ	PREVOD NA UCET	3074	24926	SIPO	QR	48874825
402528	1371	1995-07-11	VYDAJ	PREVOD NA UCET	3074	17310	SIPO	QR	48874825
402529	1371	1995-08-11	VYDAJ	PREVOD NA UCET	3074	16742	SIPO	QR	48874825
402530	1371	1995-09-11	VYDAJ	PREVOD NA UCET	3074	17696	SIPO	QR	48874825
402531	1371	1995-10-11	VYDAJ	PREVOD NA UCET	3074	19291	SIPO	QR	48874825
402532	1371	1995-11-11	VYDAJ	PREVOD NA UCET	3074	20892	SIPO	QR	48874825
402533	1371	1995-12-11	VYDAJ	PREVOD NA UCET	3074	21599	SIPO	QR	48874825
402534	1371	1996-01-11	VYDAJ	PREVOD NA UCET	3074	20100	SIPO	QR	48874825
402535	1371	1996-02-11	VYDAJ	PREVOD NA UCET	3074	19305	SIPO	QR	48874825
402536	1371	1996-03-11	VYDAJ	PREVOD NA UCET	3074	20907	SIPO	QR	48874825
402537	1371	1996-04-11	VYDAJ	PREVOD NA UCET	3074	22515	SIPO	QR	48874825
402538	1371	1996-05-11	VYDAJ	PREVOD NA UCET	3074	19968	SIPO	QR	48874825
402539	1371	1996-06-11	VYDAJ	PREVOD NA UCET	3074	21573	SIPO	QR	48874825
402540	1371	1996-07-11	VYDAJ	PREVOD NA UCET	3074	23182	SIPO	QR	48874825
402541	1371	1996-08-11	VYDAJ	PREVOD NA UCET	3074	17629	SIPO	QR	48874825
402542	1371	1996-09-11	VYDAJ	PREVOD NA UCET	3074	16743	SIPO	QR	48874825
402543	1371	1996-10-11	VYDAJ	PREVOD NA UCET	3074	18336	SIPO	QR	48874825
402544	1371	1996-11-11	VYDAJ	PREVOD NA UCET	3074	19932	SIPO	QR	48874825
402545	1371	1996-12-11	VYDAJ	PREVOD NA UCET	3074	21535	SIPO	QR	48874825
402546	1371	1997-01-11	VYDAJ	PREVOD NA UCET	3074	21244	SIPO	QR	48874825
402547	1371	1997-02-11	VYDAJ	PREVOD NA UCET	3074	16369	SIPO	QR	48874825
402548	1371	1997-03-11	VYDAJ	PREVOD NA UCET	3074	17962	SIPO	QR	48874825
402549	1371	1997-04-11	VYDAJ	PREVOD NA UCET	3074	19556	SIPO	QR	48874825
402550	1371	1997-05-11	VYDAJ	PREVOD NA UCET	3074	19477	SIPO	QR	48874825
402551	1371	1997-06-11	VYDAJ	PREVOD NA UCET	3074	19278	SIPO	QR	48874825
402552	1371	1997-07-11	VYDAJ	PREVOD NA UCET	3074	20881	SIPO	QR	48874825
402553	1371	1997-08-11	VYDAJ	PREVOD NA UCET	3074	22487	SIPO	QR	48874825
402554	1371	1997-09-11	VYDAJ	PREVOD NA UCET	3074	22180	SIPO	QR	48874825
402555	1371	1997-10-11	VYDAJ	PREVOD NA UCET	3074	23795	SIPO	QR	48874825
402556	1371	1997-11-11	VYDAJ	PREVOD NA UCET	3074	23332	SIPO	QR	48874825
402557	1371	1997-12-11	VYDAJ	PREVOD NA UCET	3074	24949	SIPO	QR	48874825
402558	1371	1998-01-11	VYDAJ	PREVOD NA UCET	3074	25400	SIPO	QR	48874825
402559	1371	1998-02-11	VYDAJ	PREVOD NA UCET	3074	23923	SIPO	QR	48874825
402560	1371	1998-03-11	VYDAJ	PREVOD NA UCET	3074	20741	SIPO	QR	48874825
402561	1371	1998-04-11	VYDAJ	PREVOD NA UCET	3074	21853	SIPO	QR	48874825
402562	1371	1998-05-11	VYDAJ	PREVOD NA UCET	3074	23464	SIPO	QR	48874825
402563	1371	1998-06-11	VYDAJ	PREVOD NA UCET	3074	22918	SIPO	QR	48874825
402564	1371	1998-07-11	VYDAJ	PREVOD NA UCET	3074	19623	SIPO	QR	48874825
402565	1371	1998-08-11	VYDAJ	PREVOD NA UCET	3074	21223	SIPO	QR	48874825
402566	1371	1998-09-11	VYDAJ	PREVOD NA UCET	3074	22350	SIPO	QR	48874825
402567	1371	1998-10-11	VYDAJ	PREVOD NA UCET	3074	23962	SIPO	QR	48874825
402568	1371	1998-11-11	VYDAJ	PREVOD NA UCET	3074	25580	SIPO	QR	48874825
402569	1371	1998-12-11	VYDAJ	PREVOD NA UCET	3074	25593	SIPO	QR	48874825
402571	1371	1995-06-16	VYDAJ	VYBER	8100	15706	\N	\N	\N
402574	1371	1998-06-14	VYDAJ	VYBER	4900	18018	\N	\N	\N
402576	1371	1995-01-07	VYDAJ	VYBER	1350	21511	\N	\N	\N
402577	1371	1996-01-02	VYDAJ	VYBER	2550	18563	\N	\N	\N
402578	1371	1997-01-19	VYDAJ	VYBER	3200	18044	\N	\N	\N
402579	1371	1998-01-26	VYDAJ	VYBER	3100	22300	\N	\N	\N
402580	1371	1994-12-11	VYDAJ	VYBER	400	26255	\N	\N	\N
402581	1371	1995-12-02	VYDAJ	VYBER	900	20062	\N	\N	\N
402582	1371	1996-12-14	VYDAJ	VYBER	300	21235	\N	\N	\N
402583	1371	1997-12-25	VYDAJ	VYBER	450	23779	\N	\N	\N
402584	1371	1998-12-04	VYDAJ	VYBER	250	24056	\N	\N	\N
402589	1371	1994-10-19	VYDAJ	VYBER	1600	20360	\N	\N	\N
402590	1371	1995-05-22	VYDAJ	VYBER	2240	23302	\N	\N	\N
402591	1371	1995-01-20	VYDAJ	VYBER	1440	21608	\N	\N	\N
402592	1371	1995-03-01	VYDAJ	VYBER	1840	21464	\N	\N	\N
402593	1371	1995-12-26	VYDAJ	VYBER	560	21039	\N	\N	\N
402594	1371	1995-06-12	VYDAJ	VYBER	1120	23806	\N	\N	\N
402595	1371	1995-08-02	VYDAJ	VYBER	2160	15205	\N	\N	\N
402596	1371	1995-09-08	VYDAJ	VYBER	640	16159	\N	\N	\N
402597	1371	1996-01-11	VYDAJ	VYBER	1120	18980	\N	\N	\N
402598	1371	1996-05-10	VYDAJ	VYBER	640	23042	\N	\N	\N
402599	1371	1996-09-10	VYDAJ	VYBER	1680	19817	\N	\N	\N
402600	1371	1996-09-04	VYDAJ	VYBER	800	16886	\N	\N	\N
402601	1371	1996-07-23	VYDAJ	VYBER	2880	18102	\N	\N	\N
402602	1371	1996-04-30	VYDAJ	VYBER	3520	19086	\N	\N	\N
402603	1371	1996-07-27	VYDAJ	VYBER	2080	16022	\N	\N	\N
402604	1371	1996-02-07	VYDAJ	VYBER	1280	17768	\N	\N	\N
402605	1371	1997-02-07	VYDAJ	VYBER	3280	14832	\N	\N	\N
402606	1371	1997-10-26	VYDAJ	VYBER	2080	21715	\N	\N	\N
402607	1371	1997-09-09	VYDAJ	VYBER	1920	20643	\N	\N	\N
402608	1371	1997-12-19	VYDAJ	VYBER	720	24229	\N	\N	\N
402609	1371	1997-04-29	VYDAJ	VYBER	1680	17876	\N	\N	\N
402610	1371	1998-08-19	VYDAJ	VYBER	480	20743	\N	\N	\N
402611	1371	1998-06-02	VYDAJ	VYBER	1120	21381	\N	\N	\N
402612	1371	1998-05-12	VYDAJ	VYBER	1040	22424	\N	\N	\N
402613	1371	1998-03-23	VYDAJ	VYBER	400	20341	\N	\N	\N
402614	1371	1998-11-18	VYDAJ	VYBER	1360	24220	\N	\N	\N
402624	1371	1994-09-30	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
402625	1371	1994-10-31	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
402626	1371	1994-11-30	VYDAJ	VYBER	15	22044	SLUZBY	\N	\N
402627	1371	1994-12-31	VYDAJ	VYBER	15	22861	SLUZBY	\N	\N
402628	1371	1995-01-31	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
402629	1371	1995-02-28	VYDAJ	VYBER	15	23304	SLUZBY	\N	\N
402630	1371	1995-03-31	VYDAJ	VYBER	15	23083	SLUZBY	\N	\N
402631	1371	1995-04-30	VYDAJ	VYBER	15	24005	SLUZBY	\N	\N
402632	1371	1995-05-31	VYDAJ	VYBER	15	23389	SLUZBY	\N	\N
402633	1371	1995-06-30	VYDAJ	VYBER	15	15773	SLUZBY	\N	\N
402634	1371	1995-07-31	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
402635	1371	1995-08-31	VYDAJ	VYBER	15	16799	SLUZBY	\N	\N
402636	1371	1995-09-30	VYDAJ	VYBER	15	17754	SLUZBY	\N	\N
402637	1371	1995-10-31	VYDAJ	VYBER	15	19355	SLUZBY	\N	\N
402638	1371	1995-11-30	VYDAJ	VYBER	15	20962	SLUZBY	\N	\N
402639	1371	1995-12-31	VYDAJ	VYBER	15	21113	SLUZBY	\N	\N
402640	1371	1996-01-31	VYDAJ	VYBER	15	19048	SLUZBY	\N	\N
402641	1371	1996-02-29	VYDAJ	VYBER	15	19370	SLUZBY	\N	\N
402642	1371	1996-03-31	VYDAJ	VYBER	15	20978	SLUZBY	\N	\N
402643	1371	1996-04-30	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
402644	1371	1996-05-31	VYDAJ	VYBER	15	20036	SLUZBY	\N	\N
402645	1371	1996-06-30	VYDAJ	VYBER	15	21645	SLUZBY	\N	\N
402646	1371	1996-07-31	VYDAJ	VYBER	15	16092	SLUZBY	\N	\N
402647	1371	1996-08-31	VYDAJ	VYBER	15	17686	SLUZBY	\N	\N
402648	1371	1996-09-30	VYDAJ	VYBER	15	16799	SLUZBY	\N	\N
402649	1371	1996-10-31	VYDAJ	VYBER	15	18395	SLUZBY	\N	\N
402650	1371	1996-11-30	VYDAJ	VYBER	15	19998	SLUZBY	\N	\N
402651	1371	1996-12-31	VYDAJ	VYBER	15	21307	SLUZBY	\N	\N
402652	1371	1997-01-31	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
402653	1371	1997-02-28	VYDAJ	VYBER	15	16425	SLUZBY	\N	\N
402654	1371	1997-03-31	VYDAJ	VYBER	15	18019	SLUZBY	\N	\N
402655	1371	1997-04-30	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
402656	1371	1997-05-31	VYDAJ	VYBER	15	19541	SLUZBY	\N	\N
402657	1371	1997-06-30	VYDAJ	VYBER	15	19344	SLUZBY	\N	\N
402658	1371	1997-07-31	VYDAJ	VYBER	15	20950	SLUZBY	\N	\N
402659	1371	1997-08-31	VYDAJ	VYBER	15	22563	SLUZBY	\N	\N
402660	1371	1997-09-30	VYDAJ	VYBER	15	22258	SLUZBY	\N	\N
402661	1371	1997-10-31	VYDAJ	VYBER	15	21795	SLUZBY	\N	\N
402662	1371	1997-11-30	VYDAJ	VYBER	15	23412	SLUZBY	\N	\N
402663	1371	1997-12-31	VYDAJ	VYBER	15	23863	SLUZBY	\N	\N
402664	1371	1998-01-31	VYDAJ	VYBER	15	22386	SLUZBY	\N	\N
402665	1371	1998-02-28	VYDAJ	VYBER	15	24004	SLUZBY	\N	\N
402666	1371	1998-03-31	VYDAJ	VYBER	15	20416	SLUZBY	\N	\N
402667	1371	1998-04-30	VYDAJ	VYBER	15	21927	SLUZBY	\N	\N
402668	1371	1998-05-31	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
402669	1371	1998-06-30	VYDAJ	VYBER	15	18086	SLUZBY	\N	\N
402670	1371	1998-07-31	VYDAJ	VYBER	15	19686	SLUZBY	\N	\N
402671	1371	1998-08-31	VYDAJ	VYBER	15	20813	SLUZBY	\N	\N
402672	1371	1998-09-30	VYDAJ	VYBER	15	22425	SLUZBY	\N	\N
402673	1371	1998-10-31	VYDAJ	VYBER	15	24043	SLUZBY	\N	\N
402674	1371	1998-11-30	VYDAJ	VYBER	15	24306	SLUZBY	\N	\N
402675	1371	1994-12-23	VYDAJ	VYBER	400	22781	\N	\N	\N
402676	1371	1995-04-22	VYDAJ	VYBER	700	23920	\N	\N	\N
402677	1371	1996-07-15	VYDAJ	VYBER	2200	20982	\N	\N	\N
402678	1371	1997-01-11	VYDAJ	VYBER	1600	24318	\N	\N	\N
402679	1371	1997-06-10	VYDAJ	VYBER	1800	22352	\N	\N	\N
402680	1371	1998-03-07	VYDAJ	VYBER	4800	19204	\N	\N	\N
402681	1371	1998-04-06	VYDAJ	VYBER	100	20316	\N	\N	\N
402734	1372	1993-03-16	PRIJEM	VKLAD	300	300	\N	\N	\N
402735	1372	1993-08-23	PRIJEM	VKLAD	19161	49273	\N	\N	\N
402736	1372	1993-05-15	PRIJEM	VKLAD	29414	45245	\N	\N	\N
402737	1372	1994-03-11	PRIJEM	VKLAD	42345	67819	\N	\N	\N
402738	1372	1994-10-19	PRIJEM	VKLAD	44595	76953	\N	\N	\N
402739	1372	1995-08-30	PRIJEM	VKLAD	21682	52032	\N	\N	\N
402740	1372	1995-05-20	PRIJEM	VKLAD	27028	58230	\N	\N	\N
402741	1372	1996-11-15	PRIJEM	VKLAD	35164	82933	\N	\N	\N
402742	1372	1996-01-20	PRIJEM	VKLAD	12633	42905	\N	\N	\N
402743	1372	1997-11-21	PRIJEM	VKLAD	28077	62939	\N	\N	\N
402744	1372	1997-01-16	PRIJEM	VKLAD	43005	93769	\N	\N	\N
402745	1372	1998-06-04	PRIJEM	VKLAD	44758	111312	\N	\N	\N
402746	1372	1998-05-25	PRIJEM	VKLAD	43157	66425	\N	\N	\N
402750	1372	1993-04-16	PRIJEM	VKLAD	1000	14800	\N	\N	\N
402751	1372	1993-05-13	PRIJEM	VKLAD	1000	15831	\N	\N	\N
402752	1372	1993-06-16	PRIJEM	VKLAD	1000	31456	\N	\N	\N
402753	1372	1993-07-17	PRIJEM	VKLAD	1000	29197	\N	\N	\N
402754	1372	1993-08-17	PRIJEM	VKLAD	1000	28312	\N	\N	\N
402755	1372	1993-09-15	PRIJEM	VKLAD	1000	38909	\N	\N	\N
402756	1372	1993-10-17	PRIJEM	VKLAD	1000	33081	\N	\N	\N
402757	1372	1993-11-15	PRIJEM	VKLAD	1000	28724	\N	\N	\N
402758	1372	1993-12-15	PRIJEM	VKLAD	1000	28645	\N	\N	\N
402759	1372	1994-01-16	PRIJEM	VKLAD	1000	27301	\N	\N	\N
402760	1372	1994-02-15	PRIJEM	VKLAD	1000	25394	\N	\N	\N
402761	1372	1994-03-14	PRIJEM	VKLAD	1000	45119	\N	\N	\N
402762	1372	1994-04-14	PRIJEM	VKLAD	1000	34266	\N	\N	\N
402763	1372	1994-05-14	PRIJEM	VKLAD	1000	30714	\N	\N	\N
402764	1372	1994-06-17	PRIJEM	VKLAD	1000	27034	\N	\N	\N
402765	1372	1994-07-16	PRIJEM	VKLAD	1000	27839	\N	\N	\N
402766	1372	1994-08-14	PRIJEM	VKLAD	1000	27938	\N	\N	\N
402767	1372	1994-09-16	PRIJEM	VKLAD	1000	29346	\N	\N	\N
402768	1372	1994-10-13	PRIJEM	VKLAD	1000	30558	\N	\N	\N
402769	1372	1994-11-13	PRIJEM	VKLAD	1000	52048	\N	\N	\N
402770	1372	1994-12-14	PRIJEM	VKLAD	1000	40744	\N	\N	\N
402771	1372	1995-01-14	PRIJEM	VKLAD	1000	31570	\N	\N	\N
402772	1372	1995-02-14	PRIJEM	VKLAD	1000	29932	\N	\N	\N
402773	1372	1995-03-16	PRIJEM	VKLAD	1000	28035	\N	\N	\N
402774	1372	1995-04-16	PRIJEM	VKLAD	1000	32041	\N	\N	\N
402775	1372	1995-05-17	PRIJEM	VKLAD	1000	31202	\N	\N	\N
402776	1372	1995-06-14	PRIJEM	VKLAD	1000	44490	\N	\N	\N
402777	1372	1995-07-17	PRIJEM	VKLAD	1000	27562	\N	\N	\N
402778	1372	1995-08-16	PRIJEM	VKLAD	1000	30350	\N	\N	\N
402779	1372	1995-09-14	PRIJEM	VKLAD	1000	43640	\N	\N	\N
402780	1372	1995-10-13	PRIJEM	VKLAD	1000	42210	\N	\N	\N
402781	1372	1995-11-15	PRIJEM	VKLAD	1000	40773	\N	\N	\N
402782	1372	1995-12-13	PRIJEM	VKLAD	1000	38177	\N	\N	\N
402783	1372	1996-01-16	PRIJEM	VKLAD	1000	28472	\N	\N	\N
402784	1372	1996-02-16	PRIJEM	VKLAD	1000	41441	\N	\N	\N
402785	1372	1996-03-15	PRIJEM	VKLAD	1000	40545	\N	\N	\N
402786	1372	1996-04-14	PRIJEM	VKLAD	1000	38497	\N	\N	\N
402787	1372	1996-05-13	PRIJEM	VKLAD	1000	38341	\N	\N	\N
402788	1372	1996-06-13	PRIJEM	VKLAD	1000	24185	\N	\N	\N
402789	1372	1996-07-17	PRIJEM	VKLAD	1000	32896	\N	\N	\N
402790	1372	1996-08-17	PRIJEM	VKLAD	1000	39371	\N	\N	\N
402791	1372	1996-09-14	PRIJEM	VKLAD	1000	43023	\N	\N	\N
402792	1372	1996-10-16	PRIJEM	VKLAD	1000	46888	\N	\N	\N
402793	1372	1996-11-16	PRIJEM	VKLAD	1000	83933	\N	\N	\N
402794	1372	1996-12-13	PRIJEM	VKLAD	1000	65176	\N	\N	\N
402795	1372	1997-01-14	PRIJEM	VKLAD	1000	51164	\N	\N	\N
402796	1372	1997-02-13	PRIJEM	VKLAD	1000	57336	\N	\N	\N
402797	1372	1997-03-15	PRIJEM	VKLAD	1000	51148	\N	\N	\N
402798	1372	1997-04-14	PRIJEM	VKLAD	1000	45034	\N	\N	\N
402799	1372	1997-05-15	PRIJEM	VKLAD	1000	42498	\N	\N	\N
402800	1372	1997-06-16	PRIJEM	VKLAD	1000	42003	\N	\N	\N
402801	1372	1997-07-17	PRIJEM	VKLAD	1000	21942	\N	\N	\N
402802	1372	1997-08-13	PRIJEM	VKLAD	1000	29821	\N	\N	\N
402803	1372	1997-09-16	PRIJEM	VKLAD	1000	33178	\N	\N	\N
402804	1372	1997-10-16	PRIJEM	VKLAD	1000	32744	\N	\N	\N
402805	1372	1997-11-17	PRIJEM	VKLAD	1000	34462	\N	\N	\N
402806	1372	1997-12-15	PRIJEM	VKLAD	1000	62252	\N	\N	\N
402807	1372	1998-01-14	PRIJEM	VKLAD	1000	48473	\N	\N	\N
402808	1372	1998-02-16	PRIJEM	VKLAD	1000	35685	\N	\N	\N
402809	1372	1998-03-17	PRIJEM	VKLAD	1000	33359	\N	\N	\N
402810	1372	1998-04-16	PRIJEM	VKLAD	1000	29270	\N	\N	\N
402811	1372	1998-05-13	PRIJEM	VKLAD	1000	28468	\N	\N	\N
402812	1372	1998-06-17	PRIJEM	VKLAD	1000	76612	\N	\N	\N
402813	1372	1998-07-14	PRIJEM	VKLAD	1000	49125	\N	\N	\N
402814	1372	1998-08-16	PRIJEM	VKLAD	1000	30359	\N	\N	\N
402815	1372	1998-09-16	PRIJEM	VKLAD	1000	23649	\N	\N	\N
402816	1372	1998-10-15	PRIJEM	VKLAD	1000	26529	\N	\N	\N
402817	1372	1998-11-13	PRIJEM	VKLAD	1000	29420	\N	\N	\N
402818	1372	1998-12-16	PRIJEM	VKLAD	1000	23605	\N	\N	\N
402819	1372	1993-07-18	PRIJEM	VKLAD	1800	30997	\N	\N	\N
402820	1372	1993-08-18	PRIJEM	VKLAD	1800	30112	\N	\N	\N
402821	1372	1993-09-18	PRIJEM	VKLAD	1800	40709	\N	\N	\N
402822	1372	1993-10-18	PRIJEM	VKLAD	1800	34881	\N	\N	\N
402823	1372	1993-11-18	PRIJEM	VKLAD	1800	30524	\N	\N	\N
402824	1372	1993-12-18	PRIJEM	VKLAD	1800	28445	\N	\N	\N
402825	1372	1994-07-18	PRIJEM	VKLAD	1800	29639	\N	\N	\N
402826	1372	1994-08-18	PRIJEM	VKLAD	1800	29738	\N	\N	\N
402827	1372	1994-09-18	PRIJEM	VKLAD	1800	31146	\N	\N	\N
402828	1372	1994-10-18	PRIJEM	VKLAD	1800	32358	\N	\N	\N
402829	1372	1994-11-18	PRIJEM	VKLAD	1800	53848	\N	\N	\N
402830	1372	1994-12-18	PRIJEM	VKLAD	1800	42544	\N	\N	\N
402831	1372	1996-01-18	PRIJEM	VKLAD	1800	30272	\N	\N	\N
402832	1372	1996-02-18	PRIJEM	VKLAD	1800	40991	\N	\N	\N
402833	1372	1996-03-18	PRIJEM	VKLAD	1800	42345	\N	\N	\N
402834	1372	1996-04-18	PRIJEM	VKLAD	1800	40297	\N	\N	\N
402835	1372	1996-05-18	PRIJEM	VKLAD	1800	40141	\N	\N	\N
402836	1372	1996-06-18	PRIJEM	VKLAD	1800	25985	\N	\N	\N
402837	1372	1996-07-18	PRIJEM	VKLAD	1800	34696	\N	\N	\N
402838	1372	1996-08-18	PRIJEM	VKLAD	1800	41171	\N	\N	\N
402839	1372	1996-09-18	PRIJEM	VKLAD	1800	44823	\N	\N	\N
402840	1372	1996-10-18	PRIJEM	VKLAD	1800	48688	\N	\N	\N
402841	1372	1996-11-18	PRIJEM	VKLAD	1800	85733	\N	\N	\N
402842	1372	1996-12-18	PRIJEM	VKLAD	1800	64976	\N	\N	\N
402843	1372	1998-01-18	PRIJEM	VKLAD	1800	49623	\N	\N	\N
402844	1372	1998-02-18	PRIJEM	VKLAD	1800	37485	\N	\N	\N
402845	1372	1998-03-18	PRIJEM	VKLAD	1800	35159	\N	\N	\N
402846	1372	1998-04-18	PRIJEM	VKLAD	1800	31070	\N	\N	\N
402847	1372	1998-05-18	PRIJEM	VKLAD	1800	30268	\N	\N	\N
402848	1372	1998-06-18	PRIJEM	VKLAD	1800	78412	\N	\N	\N
402849	1372	1998-07-18	PRIJEM	VKLAD	1800	50925	\N	\N	\N
402850	1372	1998-08-18	PRIJEM	VKLAD	1800	22559	\N	\N	\N
402851	1372	1998-09-18	PRIJEM	VKLAD	1800	25449	\N	\N	\N
402852	1372	1998-10-18	PRIJEM	VKLAD	1800	28329	\N	\N	\N
402853	1372	1998-11-18	PRIJEM	VKLAD	1800	22520	\N	\N	\N
402854	1372	1998-12-18	PRIJEM	VKLAD	1800	24155	\N	\N	\N
402857	1372	1995-06-23	VYDAJ	VYBER	21100	23390	\N	\N	\N
402858	1372	1996-06-06	VYDAJ	VYBER	13500	23185	\N	\N	\N
402859	1372	1997-06-26	VYDAJ	VYBER	19200	20803	\N	\N	\N
402860	1372	1998-06-08	VYDAJ	VYBER	18700	75612	\N	\N	\N
402862	1372	1994-01-27	VYDAJ	VYBER	3200	22401	\N	\N	\N
402863	1372	1995-01-19	VYDAJ	VYBER	2500	28120	\N	\N	\N
402864	1372	1996-01-11	VYDAJ	VYBER	6000	28772	\N	\N	\N
402865	1372	1997-01-28	VYDAJ	VYBER	8200	57419	\N	\N	\N
402866	1372	1998-01-22	VYDAJ	VYBER	4900	35873	\N	\N	\N
402867	1372	1993-12-17	VYDAJ	VYBER	2000	26645	\N	\N	\N
402868	1372	1994-12-23	VYDAJ	VYBER	1600	40944	\N	\N	\N
402869	1372	1995-12-29	VYDAJ	VYBER	600	37577	\N	\N	\N
402870	1372	1996-12-16	VYDAJ	VYBER	2000	63176	\N	\N	\N
402871	1372	1997-12-24	VYDAJ	VYBER	1300	48552	\N	\N	\N
402872	1372	1998-12-28	VYDAJ	VYBER	1300	22855	\N	\N	\N
402879	1372	1994-01-21	VYDAJ	VYBER	300	27001	\N	\N	\N
402880	1372	1994-01-28	VYDAJ	VYBER	850	20751	\N	\N	\N
402881	1372	1994-01-30	VYDAJ	VYBER	650	20101	\N	\N	\N
402882	1372	1994-01-27	VYDAJ	VYBER	800	21601	\N	\N	\N
402883	1372	1994-01-02	VYDAJ	VYBER	750	26101	\N	\N	\N
402884	1372	1994-01-25	VYDAJ	VYBER	500	25601	\N	\N	\N
402885	1372	1995-01-26	VYDAJ	VYBER	550	27570	\N	\N	\N
402886	1372	1995-01-04	VYDAJ	VYBER	650	37770	\N	\N	\N
402887	1372	1995-01-16	VYDAJ	VYBER	950	30620	\N	\N	\N
402888	1372	1995-01-09	VYDAJ	VYBER	1100	30570	\N	\N	\N
402889	1372	1995-01-27	VYDAJ	VYBER	1050	26520	\N	\N	\N
402890	1372	1995-01-03	VYDAJ	VYBER	250	38420	\N	\N	\N
402891	1372	1996-01-08	VYDAJ	VYBER	1350	34772	\N	\N	\N
402892	1372	1996-01-29	VYDAJ	VYBER	1400	41205	\N	\N	\N
402893	1372	1996-01-05	VYDAJ	VYBER	1450	36122	\N	\N	\N
402894	1372	1996-01-13	VYDAJ	VYBER	1300	27472	\N	\N	\N
402895	1372	1996-01-24	VYDAJ	VYBER	300	42605	\N	\N	\N
402896	1372	1996-01-02	VYDAJ	VYBER	1050	37572	\N	\N	\N
402897	1372	1997-01-10	VYDAJ	VYBER	500	50164	\N	\N	\N
402898	1372	1997-01-15	VYDAJ	VYBER	400	50764	\N	\N	\N
402899	1372	1997-01-20	VYDAJ	VYBER	700	93069	\N	\N	\N
402900	1372	1997-01-24	VYDAJ	VYBER	250	92819	\N	\N	\N
402901	1372	1997-01-09	VYDAJ	VYBER	500	50664	\N	\N	\N
402902	1372	1997-01-29	VYDAJ	VYBER	1350	56069	\N	\N	\N
402903	1372	1998-01-20	VYDAJ	VYBER	800	40773	\N	\N	\N
402904	1372	1998-01-26	VYDAJ	VYBER	1350	34523	\N	\N	\N
402905	1372	1998-01-15	VYDAJ	VYBER	650	47823	\N	\N	\N
402906	1372	1998-01-07	VYDAJ	VYBER	350	47473	\N	\N	\N
402907	1372	1998-01-18	VYDAJ	VYBER	850	48773	\N	\N	\N
402908	1372	1998-01-01	VYDAJ	VYBER	950	47823	\N	\N	\N
402909	1372	1993-12-13	VYDAJ	VYBER	2400	27645	\N	\N	\N
402911	1372	1993-12-28	VYDAJ	VYBER	1700	26745	\N	\N	\N
402912	1372	1994-12-24	VYDAJ	VYBER	2450	38494	\N	\N	\N
402913	1372	1994-01-24	VYDAJ	VYBER	900	26101	\N	\N	\N
402914	1372	1994-11-23	VYDAJ	VYBER	850	52998	\N	\N	\N
402915	1372	1994-06-27	VYDAJ	VYBER	2400	24634	\N	\N	\N
402916	1372	1995-09-05	VYDAJ	VYBER	1000	42640	\N	\N	\N
402917	1372	1995-07-19	VYDAJ	VYBER	1600	25962	\N	\N	\N
402918	1372	1995-11-19	VYDAJ	VYBER	2050	38723	\N	\N	\N
402919	1372	1995-05-11	VYDAJ	VYBER	800	31952	\N	\N	\N
402920	1372	1995-05-15	VYDAJ	VYBER	1750	30202	\N	\N	\N
402921	1372	1996-12-24	VYDAJ	VYBER	1750	63226	\N	\N	\N
402922	1372	1996-10-08	VYDAJ	VYBER	750	45888	\N	\N	\N
402923	1372	1996-09-18	VYDAJ	VYBER	350	44473	\N	\N	\N
402924	1372	1996-08-12	VYDAJ	VYBER	1250	38371	\N	\N	\N
402925	1372	1996-02-17	VYDAJ	VYBER	2250	39191	\N	\N	\N
402926	1372	1996-03-27	VYDAJ	VYBER	2000	40345	\N	\N	\N
402927	1372	1997-05-16	VYDAJ	VYBER	750	41748	\N	\N	\N
402928	1372	1997-08-18	VYDAJ	VYBER	1750	28071	\N	\N	\N
402929	1372	1997-10-06	VYDAJ	VYBER	350	31744	\N	\N	\N
402930	1372	1997-12-06	VYDAJ	VYBER	1850	61252	\N	\N	\N
402931	1372	1998-02-21	VYDAJ	VYBER	2350	32235	\N	\N	\N
402932	1372	1998-08-03	VYDAJ	VYBER	650	29359	\N	\N	\N
402933	1372	1998-12-17	VYDAJ	VYBER	1250	22355	\N	\N	\N
402941	1372	1993-07-31	VYDAJ	VYBER	15	31112	SLUZBY	\N	\N
402942	1372	1993-08-31	VYDAJ	VYBER	15	49409	SLUZBY	\N	\N
402943	1372	1993-09-30	VYDAJ	VYBER	15	40881	SLUZBY	\N	\N
402944	1372	1993-10-31	VYDAJ	VYBER	15	35024	SLUZBY	\N	\N
402945	1372	1993-11-30	VYDAJ	VYBER	15	30645	SLUZBY	\N	\N
402946	1372	1993-12-31	VYDAJ	VYBER	15	26851	SLUZBY	\N	\N
402947	1372	1994-01-31	VYDAJ	VYBER	15	20194	SLUZBY	\N	\N
402948	1372	1994-02-28	VYDAJ	VYBER	15	25474	SLUZBY	\N	\N
402949	1372	1994-03-31	VYDAJ	VYBER	15	45266	SLUZBY	\N	\N
402950	1372	1994-04-30	VYDAJ	VYBER	15	34414	SLUZBY	\N	\N
402951	1372	1994-05-31	VYDAJ	VYBER	15	30834	SLUZBY	\N	\N
402952	1372	1994-06-30	VYDAJ	VYBER	15	24739	SLUZBY	\N	\N
402953	1372	1994-07-31	VYDAJ	VYBER	15	29738	SLUZBY	\N	\N
402954	1372	1994-08-31	VYDAJ	VYBER	15	29846	SLUZBY	\N	\N
402955	1372	1994-09-30	VYDAJ	VYBER	15	31258	SLUZBY	\N	\N
402956	1372	1994-10-31	VYDAJ	VYBER	15	77148	SLUZBY	\N	\N
402957	1372	1994-11-30	VYDAJ	VYBER	15	53244	SLUZBY	\N	\N
402958	1372	1994-12-31	VYDAJ	VYBER	15	38670	SLUZBY	\N	\N
402959	1372	1995-01-31	VYDAJ	VYBER	15	26632	SLUZBY	\N	\N
402960	1372	1995-02-28	VYDAJ	VYBER	15	30035	SLUZBY	\N	\N
402961	1372	1995-03-31	VYDAJ	VYBER	15	28141	SLUZBY	\N	\N
402962	1372	1995-04-30	VYDAJ	VYBER	15	32152	SLUZBY	\N	\N
402963	1372	1995-05-31	VYDAJ	VYBER	15	58390	SLUZBY	\N	\N
402964	1372	1995-06-30	VYDAJ	VYBER	15	23562	SLUZBY	\N	\N
402965	1372	1995-07-31	VYDAJ	VYBER	15	26050	SLUZBY	\N	\N
402966	1372	1995-08-31	VYDAJ	VYBER	15	52140	SLUZBY	\N	\N
402967	1372	1995-09-30	VYDAJ	VYBER	15	43810	SLUZBY	\N	\N
402968	1372	1995-10-31	VYDAJ	VYBER	15	42373	SLUZBY	\N	\N
402969	1372	1995-11-30	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
402970	1372	1995-12-31	VYDAJ	VYBER	15	38622	SLUZBY	\N	\N
402971	1372	1996-01-31	VYDAJ	VYBER	15	40441	SLUZBY	\N	\N
402972	1372	1996-02-29	VYDAJ	VYBER	15	41145	SLUZBY	\N	\N
402973	1372	1996-03-31	VYDAJ	VYBER	15	37497	SLUZBY	\N	\N
402974	1372	1996-04-30	VYDAJ	VYBER	15	37341	SLUZBY	\N	\N
402975	1372	1996-05-31	VYDAJ	VYBER	15	36685	SLUZBY	\N	\N
402976	1372	1996-06-30	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
402977	1372	1996-07-31	VYDAJ	VYBER	15	39621	SLUZBY	\N	\N
402978	1372	1996-08-31	VYDAJ	VYBER	15	42023	SLUZBY	\N	\N
402979	1372	1996-09-30	VYDAJ	VYBER	15	46638	SLUZBY	\N	\N
402980	1372	1996-10-31	VYDAJ	VYBER	15	47769	SLUZBY	\N	\N
402981	1372	1996-11-30	VYDAJ	VYBER	15	64176	SLUZBY	\N	\N
402982	1372	1996-12-31	VYDAJ	VYBER	15	51164	SLUZBY	\N	\N
402983	1372	1997-01-31	VYDAJ	VYBER	15	56336	SLUZBY	\N	\N
402984	1372	1997-02-28	VYDAJ	VYBER	15	50148	SLUZBY	\N	\N
402985	1372	1997-03-31	VYDAJ	VYBER	15	44034	SLUZBY	\N	\N
402986	1372	1997-04-30	VYDAJ	VYBER	15	41498	SLUZBY	\N	\N
402987	1372	1997-05-31	VYDAJ	VYBER	15	41003	SLUZBY	\N	\N
402988	1372	1997-06-30	VYDAJ	VYBER	15	20942	SLUZBY	\N	\N
402989	1372	1997-07-31	VYDAJ	VYBER	15	28821	SLUZBY	\N	\N
402990	1372	1997-08-31	VYDAJ	VYBER	15	32178	SLUZBY	\N	\N
402991	1372	1997-09-30	VYDAJ	VYBER	15	32094	SLUZBY	\N	\N
402992	1372	1997-10-31	VYDAJ	VYBER	15	33462	SLUZBY	\N	\N
402993	1372	1997-11-30	VYDAJ	VYBER	15	63102	SLUZBY	\N	\N
402994	1372	1997-12-31	VYDAJ	VYBER	15	48773	SLUZBY	\N	\N
402995	1372	1998-01-31	VYDAJ	VYBER	15	34685	SLUZBY	\N	\N
402996	1372	1998-02-28	VYDAJ	VYBER	15	32359	SLUZBY	\N	\N
402997	1372	1998-03-31	VYDAJ	VYBER	15	28270	SLUZBY	\N	\N
402998	1372	1998-04-30	VYDAJ	VYBER	15	27468	SLUZBY	\N	\N
402999	1372	1998-05-31	VYDAJ	VYBER	15	66554	SLUZBY	\N	\N
403000	1372	1998-06-30	VYDAJ	VYBER	15	48125	SLUZBY	\N	\N
403001	1372	1998-07-31	VYDAJ	VYBER	15	30009	SLUZBY	\N	\N
403002	1372	1998-08-31	VYDAJ	VYBER	15	22649	SLUZBY	\N	\N
403003	1372	1998-09-30	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
403004	1372	1998-10-31	VYDAJ	VYBER	15	28420	SLUZBY	\N	\N
403005	1372	1998-11-30	VYDAJ	VYBER	15	22605	SLUZBY	\N	\N
403006	1372	1993-04-15	PRIJEM	VKLAD	13500	13800	\N	\N	\N
403007	1372	1993-05-15	VYDAJ	VYBER	9000	36245	\N	\N	\N
403008	1372	1993-06-14	VYDAJ	VYBER	5900	30456	\N	\N	\N
403009	1372	1993-07-14	VYDAJ	VYBER	3400	28197	\N	\N	\N
403010	1372	1993-08-13	VYDAJ	VYBER	3800	27312	\N	\N	\N
403011	1372	1993-09-12	VYDAJ	VYBER	11500	37909	\N	\N	\N
403012	1372	1993-10-12	VYDAJ	VYBER	8800	32081	\N	\N	\N
403013	1372	1993-11-11	VYDAJ	VYBER	7300	27724	\N	\N	\N
403014	1372	1993-12-11	VYDAJ	VYBER	600	30045	\N	\N	\N
403015	1372	1994-01-10	PRIJEM	VKLAD	200	26301	\N	\N	\N
403016	1372	1994-02-09	PRIJEM	VKLAD	4200	24394	\N	\N	\N
403017	1372	1994-03-11	VYDAJ	VYBER	23700	44119	\N	\N	\N
403018	1372	1994-04-10	VYDAJ	VYBER	12000	33266	\N	\N	\N
403019	1372	1994-05-10	VYDAJ	VYBER	4700	29714	\N	\N	\N
403020	1372	1994-06-09	VYDAJ	VYBER	4800	26034	\N	\N	\N
403021	1372	1994-07-09	PRIJEM	VKLAD	2100	26839	\N	\N	\N
403022	1372	1994-08-08	VYDAJ	VYBER	2800	26938	\N	\N	\N
403023	1372	1994-09-07	VYDAJ	VYBER	1500	28346	\N	\N	\N
403024	1372	1994-10-07	VYDAJ	VYBER	1700	29558	\N	\N	\N
403025	1372	1994-11-06	VYDAJ	VYBER	26100	51048	\N	\N	\N
403026	1372	1994-12-06	VYDAJ	VYBER	13500	39744	\N	\N	\N
403027	1372	1995-01-05	VYDAJ	VYBER	6100	31670	\N	\N	\N
403028	1372	1995-02-04	PRIJEM	VKLAD	2300	28932	\N	\N	\N
403029	1372	1995-03-06	VYDAJ	VYBER	3000	27035	\N	\N	\N
403030	1372	1995-04-05	PRIJEM	VKLAD	2900	31041	\N	\N	\N
403031	1372	1995-05-05	PRIJEM	VKLAD	600	32752	\N	\N	\N
403032	1372	1995-06-04	VYDAJ	VYBER	14900	43490	\N	\N	\N
403033	1372	1995-07-04	PRIJEM	VKLAD	3000	26562	\N	\N	\N
403034	1372	1995-08-03	PRIJEM	VKLAD	3300	29350	\N	\N	\N
403035	1372	1995-09-02	VYDAJ	VYBER	8500	43640	\N	\N	\N
403036	1372	1995-10-02	VYDAJ	VYBER	2600	41210	\N	\N	\N
403037	1372	1995-11-01	VYDAJ	VYBER	2600	39773	\N	\N	\N
403038	1372	1995-12-01	VYDAJ	VYBER	1700	37177	\N	\N	\N
403039	1372	1995-12-31	PRIJEM	VKLAD	900	38477	\N	\N	\N
403040	1372	1996-01-30	VYDAJ	VYBER	900	40305	\N	\N	\N
403041	1372	1996-02-29	VYDAJ	VYBER	1600	39545	\N	\N	\N
403042	1372	1996-03-30	VYDAJ	VYBER	3000	37345	\N	\N	\N
403043	1372	1996-04-29	VYDAJ	VYBER	3100	37197	\N	\N	\N
403044	1372	1996-05-29	VYDAJ	VYBER	3600	36541	\N	\N	\N
403045	1372	1996-06-28	PRIJEM	VKLAD	5800	31785	\N	\N	\N
403046	1372	1996-07-28	PRIJEM	VKLAD	4800	39496	\N	\N	\N
403047	1372	1996-08-27	PRIJEM	VKLAD	700	41871	\N	\N	\N
403048	1372	1996-09-26	PRIJEM	VKLAD	2000	46473	\N	\N	\N
403049	1372	1996-10-26	VYDAJ	VYBER	1100	47588	\N	\N	\N
403050	1372	1996-11-25	VYDAJ	VYBER	21800	63933	\N	\N	\N
403051	1372	1996-12-25	VYDAJ	VYBER	12300	50926	\N	\N	\N
403052	1372	1997-01-24	VYDAJ	VYBER	27200	65619	\N	\N	\N
403053	1372	1997-02-23	VYDAJ	VYBER	7400	49936	\N	\N	\N
403054	1372	1997-03-25	VYDAJ	VYBER	7300	43848	\N	\N	\N
403055	1372	1997-04-24	VYDAJ	VYBER	3700	41334	\N	\N	\N
403056	1372	1997-05-24	VYDAJ	VYBER	900	40848	\N	\N	\N
403057	1372	1997-06-23	VYDAJ	VYBER	2000	40003	\N	\N	\N
403058	1372	1997-07-23	PRIJEM	VKLAD	6800	28742	\N	\N	\N
403059	1372	1997-08-22	PRIJEM	VKLAD	4000	32071	\N	\N	\N
403060	1372	1997-09-21	VYDAJ	VYBER	1200	31978	\N	\N	\N
403061	1372	1997-10-21	PRIJEM	VKLAD	600	33344	\N	\N	\N
403062	1372	1997-11-20	PRIJEM	VKLAD	400	34862	\N	\N	\N
403063	1372	1997-12-20	VYDAJ	VYBER	12400	49852	\N	\N	\N
403064	1372	1998-01-19	VYDAJ	VYBER	7200	41573	\N	\N	\N
403065	1372	1998-02-18	VYDAJ	VYBER	2900	34585	\N	\N	\N
403066	1372	1998-03-20	VYDAJ	VYBER	7000	28159	\N	\N	\N
403067	1372	1998-04-19	VYDAJ	VYBER	3700	27370	\N	\N	\N
403068	1372	1998-05-19	VYDAJ	VYBER	7000	23268	\N	\N	\N
403069	1372	1998-06-04	VYDAJ	VYBER	17000	94312	\N	\N	\N
403070	1372	1998-06-18	VYDAJ	VYBER	30600	47812	\N	\N	\N
403071	1372	1998-07-18	VYDAJ	VYBER	21100	29825	\N	\N	\N
403072	1372	1998-08-17	VYDAJ	VYBER	9600	20759	\N	\N	\N
403073	1372	1998-11-15	VYDAJ	VYBER	8700	20720	\N	\N	\N
403143	1373	1993-06-12	PRIJEM	VKLAD	500	500	\N	\N	\N
403150	1373	1993-07-10	PRIJEM	PREVOD Z UCTU	2962	3462	\N	KL	6256688
403151	1373	1993-08-10	PRIJEM	PREVOD Z UCTU	2962	6424	\N	KL	6256688
403152	1373	1993-09-10	PRIJEM	PREVOD Z UCTU	2962	9386	\N	KL	6256688
403153	1373	1993-10-10	PRIJEM	PREVOD Z UCTU	2962	12348	\N	KL	6256688
403154	1373	1993-11-10	PRIJEM	PREVOD Z UCTU	2962	15310	\N	KL	6256688
403155	1373	1993-12-10	PRIJEM	PREVOD Z UCTU	2962	16286	\N	KL	6256688
403156	1373	1994-01-10	PRIJEM	PREVOD Z UCTU	2962	16152	\N	KL	6256688
403157	1373	1994-02-10	PRIJEM	PREVOD Z UCTU	2962	16470	\N	KL	6256688
403158	1373	1994-03-10	PRIJEM	PREVOD Z UCTU	2962	17510	\N	KL	6256688
403159	1373	1994-04-10	PRIJEM	PREVOD Z UCTU	2962	18554	\N	KL	6256688
403160	1373	1994-05-10	PRIJEM	PREVOD Z UCTU	2962	19603	\N	KL	6256688
403161	1373	1994-06-10	PRIJEM	PREVOD Z UCTU	2962	16517	\N	KL	6256688
403162	1373	1994-07-10	PRIJEM	PREVOD Z UCTU	2962	17559	\N	KL	6256688
403163	1373	1994-08-10	PRIJEM	PREVOD Z UCTU	2962	18604	\N	KL	6256688
403164	1373	1994-09-10	PRIJEM	PREVOD Z UCTU	2962	19653	\N	KL	6256688
403165	1373	1994-10-10	PRIJEM	PREVOD Z UCTU	2962	18935	\N	KL	6256688
403166	1373	1994-11-10	PRIJEM	PREVOD Z UCTU	2962	19117	\N	KL	6256688
403167	1373	1994-12-10	PRIJEM	PREVOD Z UCTU	2962	19118	\N	KL	6256688
403168	1373	1995-01-10	PRIJEM	PREVOD Z UCTU	2962	19810	\N	KL	6256688
403169	1373	1995-02-10	PRIJEM	PREVOD Z UCTU	2962	20503	\N	KL	6256688
403170	1373	1995-03-10	PRIJEM	PREVOD Z UCTU	2962	21560	\N	KL	6256688
403171	1373	1995-04-10	PRIJEM	PREVOD Z UCTU	2962	21521	\N	KL	6256688
403172	1373	1995-05-10	PRIJEM	PREVOD Z UCTU	2962	21083	\N	KL	6256688
403173	1373	1995-06-10	PRIJEM	PREVOD Z UCTU	2962	22143	\N	KL	6256688
403174	1373	1995-07-10	PRIJEM	PREVOD Z UCTU	2962	17408	\N	KL	6256688
403175	1373	1995-08-10	PRIJEM	PREVOD Z UCTU	2962	18151	\N	KL	6256688
403176	1373	1995-09-10	PRIJEM	PREVOD Z UCTU	2962	18058	\N	KL	6256688
403177	1373	1995-10-10	PRIJEM	PREVOD Z UCTU	2962	18865	\N	KL	6256688
403178	1373	1995-11-10	PRIJEM	PREVOD Z UCTU	2962	19915	\N	KL	6256688
403179	1373	1995-12-10	PRIJEM	PREVOD Z UCTU	2962	20969	\N	KL	6256688
403180	1373	1996-01-10	PRIJEM	PREVOD Z UCTU	2962	21608	\N	KL	6256688
403181	1373	1996-02-10	PRIJEM	PREVOD Z UCTU	2962	21409	\N	KL	6256688
403182	1373	1996-03-10	PRIJEM	PREVOD Z UCTU	2962	22259	\N	KL	6256688
403183	1373	1996-04-10	PRIJEM	PREVOD Z UCTU	2962	23323	\N	KL	6256688
403184	1373	1996-05-10	PRIJEM	PREVOD Z UCTU	2962	24121	\N	KL	6256688
403185	1373	1996-06-10	PRIJEM	PREVOD Z UCTU	2962	25193	\N	KL	6256688
403186	1373	1996-07-10	PRIJEM	PREVOD Z UCTU	2962	19864	\N	KL	6256688
403187	1373	1996-08-10	PRIJEM	PREVOD Z UCTU	2962	20918	\N	KL	6256688
403188	1373	1996-09-10	PRIJEM	PREVOD Z UCTU	2962	19774	\N	KL	6256688
403189	1373	1996-10-10	PRIJEM	PREVOD Z UCTU	2962	19626	\N	KL	6256688
403190	1373	1996-11-10	PRIJEM	PREVOD Z UCTU	2962	19678	\N	KL	6256688
403191	1373	1996-12-10	PRIJEM	PREVOD Z UCTU	2962	19029	\N	KL	6256688
403192	1373	1997-01-10	PRIJEM	PREVOD Z UCTU	2962	18267	\N	KL	6256688
403193	1373	1997-02-10	PRIJEM	PREVOD Z UCTU	2962	18653	\N	KL	6256688
403194	1373	1997-03-10	PRIJEM	PREVOD Z UCTU	2962	19000	\N	KL	6256688
403195	1373	1997-04-10	PRIJEM	PREVOD Z UCTU	2962	19360	\N	KL	6256688
403196	1373	1997-05-10	PRIJEM	PREVOD Z UCTU	2962	16627	\N	KL	6256688
403197	1373	1997-06-10	PRIJEM	PREVOD Z UCTU	2962	17667	\N	KL	6256688
403198	1373	1997-07-10	PRIJEM	PREVOD Z UCTU	2962	16208	\N	KL	6256688
403199	1373	1997-08-10	PRIJEM	PREVOD Z UCTU	2962	17246	\N	KL	6256688
403200	1373	1997-09-10	PRIJEM	PREVOD Z UCTU	2962	15984	\N	KL	6256688
403201	1373	1997-10-10	PRIJEM	PREVOD Z UCTU	2962	17021	\N	KL	6256688
403202	1373	1997-11-10	PRIJEM	PREVOD Z UCTU	2962	17161	\N	KL	6256688
403203	1373	1997-12-10	PRIJEM	PREVOD Z UCTU	2962	18203	\N	KL	6256688
403204	1373	1998-01-10	PRIJEM	PREVOD Z UCTU	2962	18587	\N	KL	6256688
403205	1373	1998-02-10	PRIJEM	PREVOD Z UCTU	2962	18913	\N	KL	6256688
403206	1373	1998-03-10	PRIJEM	PREVOD Z UCTU	2962	19961	\N	KL	6256688
403207	1373	1998-04-10	PRIJEM	PREVOD Z UCTU	2962	19211	\N	KL	6256688
403208	1373	1998-05-10	PRIJEM	PREVOD Z UCTU	2962	20261	\N	KL	6256688
403209	1373	1998-06-10	PRIJEM	PREVOD Z UCTU	2962	20113	\N	KL	6256688
403210	1373	1998-07-10	PRIJEM	PREVOD Z UCTU	2962	18843	\N	KL	6256688
403211	1373	1998-08-10	PRIJEM	PREVOD Z UCTU	2962	19350	\N	KL	6256688
403212	1373	1998-09-10	PRIJEM	PREVOD Z UCTU	2962	17193	\N	KL	6256688
403213	1373	1998-10-10	PRIJEM	PREVOD Z UCTU	2962	18235	\N	KL	6256688
403214	1373	1998-11-10	PRIJEM	PREVOD Z UCTU	2962	19280	\N	KL	6256688
403215	1373	1998-12-10	PRIJEM	PREVOD Z UCTU	2962	20330	\N	KL	6256688
403227	1373	1993-12-08	VYDAJ	PREVOD NA UCET	1628	13324	SIPO	MN	6348324
403228	1373	1994-01-08	VYDAJ	PREVOD NA UCET	1628	13190	SIPO	MN	6348324
403229	1373	1994-02-08	VYDAJ	PREVOD NA UCET	1628	13508	SIPO	MN	6348324
403230	1373	1994-03-08	VYDAJ	PREVOD NA UCET	1628	14548	SIPO	MN	6348324
403231	1373	1994-04-08	VYDAJ	PREVOD NA UCET	1628	15592	SIPO	MN	6348324
403232	1373	1994-05-08	VYDAJ	PREVOD NA UCET	1628	16641	SIPO	MN	6348324
403233	1373	1994-06-08	VYDAJ	PREVOD NA UCET	1628	13555	SIPO	MN	6348324
403234	1373	1994-07-08	VYDAJ	PREVOD NA UCET	1628	14597	SIPO	MN	6348324
403235	1373	1994-08-08	VYDAJ	PREVOD NA UCET	1628	15642	SIPO	MN	6348324
403236	1373	1994-09-08	VYDAJ	PREVOD NA UCET	1628	16691	SIPO	MN	6348324
403237	1373	1994-10-08	VYDAJ	PREVOD NA UCET	1628	15973	SIPO	MN	6348324
403238	1373	1994-11-08	VYDAJ	PREVOD NA UCET	1628	16155	SIPO	MN	6348324
403239	1373	1994-12-08	VYDAJ	PREVOD NA UCET	1628	17206	SIPO	MN	6348324
403240	1373	1995-01-08	VYDAJ	PREVOD NA UCET	1628	16848	SIPO	MN	6348324
403241	1373	1995-02-08	VYDAJ	PREVOD NA UCET	1628	17541	SIPO	MN	6348324
403242	1373	1995-03-08	VYDAJ	PREVOD NA UCET	1628	18598	SIPO	MN	6348324
403243	1373	1995-04-08	VYDAJ	PREVOD NA UCET	1628	18559	SIPO	MN	6348324
403244	1373	1995-05-08	VYDAJ	PREVOD NA UCET	1628	18121	SIPO	MN	6348324
403245	1373	1995-06-08	VYDAJ	PREVOD NA UCET	1628	19181	SIPO	MN	6348324
403246	1373	1995-07-08	VYDAJ	PREVOD NA UCET	1628	14446	SIPO	MN	6348324
403247	1373	1995-08-08	VYDAJ	PREVOD NA UCET	1628	15189	SIPO	MN	6348324
403248	1373	1995-09-08	VYDAJ	PREVOD NA UCET	1628	15096	SIPO	MN	6348324
403249	1373	1995-10-08	VYDAJ	PREVOD NA UCET	1628	15903	SIPO	MN	6348324
403250	1373	1995-11-08	VYDAJ	PREVOD NA UCET	1628	16953	SIPO	MN	6348324
403251	1373	1995-12-08	VYDAJ	PREVOD NA UCET	1628	18007	SIPO	MN	6348324
403252	1373	1996-01-08	VYDAJ	PREVOD NA UCET	1628	18646	SIPO	MN	6348324
403253	1373	1996-02-08	VYDAJ	PREVOD NA UCET	1628	18447	SIPO	MN	6348324
403254	1373	1996-03-08	VYDAJ	PREVOD NA UCET	1628	19297	SIPO	MN	6348324
403255	1373	1996-04-08	VYDAJ	PREVOD NA UCET	1628	20361	SIPO	MN	6348324
403256	1373	1996-05-08	VYDAJ	PREVOD NA UCET	1628	21159	SIPO	MN	6348324
403257	1373	1996-06-08	VYDAJ	PREVOD NA UCET	1628	22231	SIPO	MN	6348324
403258	1373	1996-07-08	VYDAJ	PREVOD NA UCET	1628	16902	SIPO	MN	6348324
403259	1373	1996-08-08	VYDAJ	PREVOD NA UCET	1628	17956	SIPO	MN	6348324
403260	1373	1996-09-08	VYDAJ	PREVOD NA UCET	1628	16812	SIPO	MN	6348324
403261	1373	1996-10-08	VYDAJ	PREVOD NA UCET	1628	16664	SIPO	MN	6348324
403262	1373	1996-11-08	VYDAJ	PREVOD NA UCET	1628	16716	SIPO	MN	6348324
403263	1373	1996-12-08	VYDAJ	PREVOD NA UCET	1628	16067	SIPO	MN	6348324
403264	1373	1997-01-08	VYDAJ	PREVOD NA UCET	1628	15305	SIPO	MN	6348324
403265	1373	1997-02-08	VYDAJ	PREVOD NA UCET	1628	15691	SIPO	MN	6348324
403266	1373	1997-03-08	VYDAJ	PREVOD NA UCET	1628	16038	SIPO	MN	6348324
403267	1373	1997-04-08	VYDAJ	PREVOD NA UCET	1628	17088	SIPO	MN	6348324
403268	1373	1997-05-08	VYDAJ	PREVOD NA UCET	1628	13665	SIPO	MN	6348324
403269	1373	1997-06-08	VYDAJ	PREVOD NA UCET	1628	14705	SIPO	MN	6348324
403270	1373	1997-07-08	VYDAJ	PREVOD NA UCET	1628	13246	SIPO	MN	6348324
403271	1373	1997-08-08	VYDAJ	PREVOD NA UCET	1628	14284	SIPO	MN	6348324
403272	1373	1997-09-08	VYDAJ	PREVOD NA UCET	1628	13022	SIPO	MN	6348324
403273	1373	1997-10-08	VYDAJ	PREVOD NA UCET	1628	14059	SIPO	MN	6348324
403274	1373	1997-11-08	VYDAJ	PREVOD NA UCET	1628	14199	SIPO	MN	6348324
403275	1373	1997-12-08	VYDAJ	PREVOD NA UCET	1628	15241	SIPO	MN	6348324
403276	1373	1998-01-08	VYDAJ	PREVOD NA UCET	1628	15625	SIPO	MN	6348324
403277	1373	1998-02-08	VYDAJ	PREVOD NA UCET	1628	15951	SIPO	MN	6348324
403278	1373	1998-03-08	VYDAJ	PREVOD NA UCET	1628	16999	SIPO	MN	6348324
403279	1373	1998-04-08	VYDAJ	PREVOD NA UCET	1628	16249	SIPO	MN	6348324
403280	1373	1998-05-08	VYDAJ	PREVOD NA UCET	1628	17299	SIPO	MN	6348324
403281	1373	1998-06-08	VYDAJ	PREVOD NA UCET	1628	17151	SIPO	MN	6348324
403282	1373	1998-07-08	VYDAJ	PREVOD NA UCET	1628	15881	SIPO	MN	6348324
403283	1373	1998-08-08	VYDAJ	PREVOD NA UCET	1628	16388	SIPO	MN	6348324
403284	1373	1998-09-08	VYDAJ	PREVOD NA UCET	1628	14231	SIPO	MN	6348324
403285	1373	1998-10-08	VYDAJ	PREVOD NA UCET	1628	15273	SIPO	MN	6348324
403286	1373	1998-11-08	VYDAJ	PREVOD NA UCET	1628	16318	SIPO	MN	6348324
403287	1373	1998-12-08	VYDAJ	PREVOD NA UCET	1628	17368	SIPO	MN	6348324
403299	1373	1993-12-05	VYDAJ	PREVOD NA UCET	346	14952	 	CD	9301025
403300	1373	1994-01-05	VYDAJ	PREVOD NA UCET	346	14818	 	CD	9301025
403301	1373	1994-02-05	VYDAJ	PREVOD NA UCET	346	15136	 	CD	9301025
403302	1373	1994-03-05	VYDAJ	PREVOD NA UCET	346	16176	 	CD	9301025
403303	1373	1994-04-05	VYDAJ	PREVOD NA UCET	346	17220	 	CD	9301025
403304	1373	1994-05-05	VYDAJ	PREVOD NA UCET	346	18269	 	CD	9301025
403305	1373	1994-06-05	VYDAJ	PREVOD NA UCET	346	15183	 	CD	9301025
403306	1373	1994-07-05	VYDAJ	PREVOD NA UCET	346	16225	 	CD	9301025
403307	1373	1994-08-05	VYDAJ	PREVOD NA UCET	346	17270	 	CD	9301025
403308	1373	1994-09-05	VYDAJ	PREVOD NA UCET	346	18319	 	CD	9301025
403309	1373	1994-10-05	VYDAJ	PREVOD NA UCET	346	18591	 	CD	9301025
403310	1373	1994-11-05	VYDAJ	PREVOD NA UCET	346	18653	 	CD	9301025
403311	1373	1994-12-05	VYDAJ	PREVOD NA UCET	346	18834	 	CD	9301025
403312	1373	1995-01-05	VYDAJ	PREVOD NA UCET	346	18476	 	CD	9301025
403313	1373	1995-02-05	VYDAJ	PREVOD NA UCET	346	19169	 	CD	9301025
403314	1373	1995-03-05	VYDAJ	PREVOD NA UCET	346	20226	 	CD	9301025
403315	1373	1995-04-05	VYDAJ	PREVOD NA UCET	346	20187	 	CD	9301025
403316	1373	1995-05-05	VYDAJ	PREVOD NA UCET	346	19749	 	CD	9301025
403317	1373	1995-06-05	VYDAJ	PREVOD NA UCET	346	20809	 	CD	9301025
403318	1373	1995-07-05	VYDAJ	PREVOD NA UCET	346	16074	 	CD	9301025
403319	1373	1995-08-05	VYDAJ	PREVOD NA UCET	346	16817	 	CD	9301025
403320	1373	1995-09-05	VYDAJ	PREVOD NA UCET	346	16724	 	CD	9301025
403321	1373	1995-10-05	VYDAJ	PREVOD NA UCET	346	17531	 	CD	9301025
403322	1373	1995-11-05	VYDAJ	PREVOD NA UCET	346	18581	 	CD	9301025
403323	1373	1995-12-05	VYDAJ	PREVOD NA UCET	346	19635	 	CD	9301025
403324	1373	1996-01-05	VYDAJ	PREVOD NA UCET	346	20274	 	CD	9301025
403325	1373	1996-02-05	VYDAJ	PREVOD NA UCET	346	20075	 	CD	9301025
403326	1373	1996-03-05	VYDAJ	PREVOD NA UCET	346	21135	 	CD	9301025
403327	1373	1996-04-05	VYDAJ	PREVOD NA UCET	346	21989	 	CD	9301025
403328	1373	1996-05-05	VYDAJ	PREVOD NA UCET	346	22787	 	CD	9301025
403329	1373	1996-06-05	VYDAJ	PREVOD NA UCET	346	23859	 	CD	9301025
403330	1373	1996-07-05	VYDAJ	PREVOD NA UCET	346	18530	 	CD	9301025
403331	1373	1996-08-05	VYDAJ	PREVOD NA UCET	346	19584	 	CD	9301025
403332	1373	1996-09-05	VYDAJ	PREVOD NA UCET	346	18440	 	CD	9301025
403333	1373	1996-10-05	VYDAJ	PREVOD NA UCET	346	18292	 	CD	9301025
403334	1373	1996-11-05	VYDAJ	PREVOD NA UCET	346	18344	 	CD	9301025
403335	1373	1996-12-05	VYDAJ	PREVOD NA UCET	346	17695	 	CD	9301025
403336	1373	1997-01-05	VYDAJ	PREVOD NA UCET	346	16933	 	CD	9301025
403337	1373	1997-02-05	VYDAJ	PREVOD NA UCET	346	17319	 	CD	9301025
403338	1373	1997-03-05	VYDAJ	PREVOD NA UCET	346	17666	 	CD	9301025
403339	1373	1997-04-05	VYDAJ	PREVOD NA UCET	346	18716	 	CD	9301025
403340	1373	1997-05-05	VYDAJ	PREVOD NA UCET	346	15293	 	CD	9301025
403341	1373	1997-06-05	VYDAJ	PREVOD NA UCET	346	16333	 	CD	9301025
403342	1373	1997-07-05	VYDAJ	PREVOD NA UCET	346	14874	 	CD	9301025
403343	1373	1997-08-05	VYDAJ	PREVOD NA UCET	346	15912	 	CD	9301025
403344	1373	1997-09-05	VYDAJ	PREVOD NA UCET	346	14650	 	CD	9301025
403345	1373	1997-10-05	VYDAJ	PREVOD NA UCET	346	15687	 	CD	9301025
403346	1373	1997-11-05	VYDAJ	PREVOD NA UCET	346	15827	 	CD	9301025
403347	1373	1997-12-05	VYDAJ	PREVOD NA UCET	346	16869	 	CD	9301025
403348	1373	1998-01-05	VYDAJ	PREVOD NA UCET	346	17253	 	CD	9301025
403349	1373	1998-02-05	VYDAJ	PREVOD NA UCET	346	17579	 	CD	9301025
403350	1373	1998-03-05	VYDAJ	PREVOD NA UCET	346	18627	 	CD	9301025
403351	1373	1998-04-05	VYDAJ	PREVOD NA UCET	346	17877	 	CD	9301025
403352	1373	1998-05-05	VYDAJ	PREVOD NA UCET	346	18927	 	CD	9301025
403353	1373	1998-06-05	VYDAJ	PREVOD NA UCET	346	18779	 	CD	9301025
403354	1373	1998-07-05	VYDAJ	PREVOD NA UCET	346	17509	 	CD	9301025
403355	1373	1998-08-05	VYDAJ	PREVOD NA UCET	346	18016	 	CD	9301025
403356	1373	1998-09-05	VYDAJ	PREVOD NA UCET	346	15859	 	CD	9301025
403357	1373	1998-10-05	VYDAJ	PREVOD NA UCET	346	16901	 	CD	9301025
403358	1373	1998-11-05	VYDAJ	PREVOD NA UCET	346	17946	 	CD	9301025
403359	1373	1998-12-05	VYDAJ	PREVOD NA UCET	346	18996	 	CD	9301025
403361	1373	1994-06-02	VYDAJ	VYBER	4140	15529	\N	\N	\N
403362	1373	1995-06-20	VYDAJ	VYBER	5790	16353	\N	\N	\N
403363	1373	1996-06-14	VYDAJ	VYBER	5130	19283	\N	\N	\N
403367	1373	1994-01-10	VYDAJ	VYBER	360	15792	\N	\N	\N
403368	1373	1995-01-12	VYDAJ	VYBER	360	19450	\N	\N	\N
403369	1373	1996-01-30	VYDAJ	VYBER	1260	20348	\N	\N	\N
403371	1373	1998-01-11	VYDAJ	VYBER	720	17867	\N	\N	\N
403372	1373	1993-12-10	VYDAJ	VYBER	870	15416	\N	\N	\N
403373	1373	1994-12-11	VYDAJ	VYBER	360	18758	\N	\N	\N
403374	1373	1995-12-30	VYDAJ	VYBER	420	20549	\N	\N	\N
403375	1373	1996-12-28	VYDAJ	VYBER	810	17219	\N	\N	\N
403376	1373	1997-12-10	VYDAJ	VYBER	660	17543	\N	\N	\N
403380	1373	1993-12-20	VYDAJ	VYBER	300	15116	\N	\N	\N
403385	1373	1994-09-18	VYDAJ	VYBER	780	18873	\N	\N	\N
403386	1373	1994-11-07	VYDAJ	VYBER	870	17783	\N	\N	\N
403387	1373	1994-01-18	VYDAJ	VYBER	360	15432	\N	\N	\N
403388	1373	1994-10-07	VYDAJ	VYBER	990	17601	\N	\N	\N
403389	1373	1994-12-09	VYDAJ	VYBER	1050	16156	\N	\N	\N
403390	1373	1995-09-18	VYDAJ	VYBER	240	17818	\N	\N	\N
403391	1373	1995-07-18	VYDAJ	VYBER	300	17108	\N	\N	\N
403392	1373	1995-09-04	VYDAJ	VYBER	1140	17070	\N	\N	\N
403393	1373	1996-06-13	VYDAJ	VYBER	780	24413	\N	\N	\N
403394	1373	1996-06-18	VYDAJ	VYBER	480	18803	\N	\N	\N
403395	1373	1996-03-06	VYDAJ	VYBER	210	20925	\N	\N	\N
403396	1373	1996-04-25	VYDAJ	VYBER	270	23053	\N	\N	\N
403397	1373	1997-01-18	VYDAJ	VYBER	660	17607	\N	\N	\N
403398	1373	1997-04-18	VYDAJ	VYBER	480	18880	\N	\N	\N
403399	1373	1997-10-28	VYDAJ	VYBER	240	16121	\N	\N	\N
403400	1373	1997-10-15	VYDAJ	VYBER	660	16361	\N	\N	\N
403401	1373	1997-04-08	VYDAJ	VYBER	690	16398	\N	\N	\N
403402	1373	1998-06-30	VYDAJ	VYBER	720	17855	\N	\N	\N
403403	1373	1998-06-16	VYDAJ	VYBER	300	18513	\N	\N	\N
403404	1373	1998-07-12	VYDAJ	VYBER	540	18303	\N	\N	\N
403416	1373	1993-11-30	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
403417	1373	1993-12-31	VYDAJ	VYBER	15	15164	SLUZBY	\N	\N
403418	1373	1994-01-31	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
403419	1373	1994-02-28	VYDAJ	VYBER	15	16522	SLUZBY	\N	\N
403420	1373	1994-03-31	VYDAJ	VYBER	15	17566	SLUZBY	\N	\N
403421	1373	1994-04-30	VYDAJ	VYBER	15	18615	SLUZBY	\N	\N
403422	1373	1994-05-31	VYDAJ	VYBER	15	19669	SLUZBY	\N	\N
403423	1373	1994-06-30	VYDAJ	VYBER	15	16571	SLUZBY	\N	\N
403424	1373	1994-07-31	VYDAJ	VYBER	15	17616	SLUZBY	\N	\N
403425	1373	1994-08-31	VYDAJ	VYBER	15	18665	SLUZBY	\N	\N
403426	1373	1994-09-30	VYDAJ	VYBER	15	18937	SLUZBY	\N	\N
403427	1373	1994-10-31	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
403428	1373	1994-11-30	VYDAJ	VYBER	15	19180	SLUZBY	\N	\N
403429	1373	1994-12-31	VYDAJ	VYBER	15	18822	SLUZBY	\N	\N
403430	1373	1995-01-31	VYDAJ	VYBER	15	19515	SLUZBY	\N	\N
403431	1373	1995-02-28	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
403432	1373	1995-03-31	VYDAJ	VYBER	15	21633	SLUZBY	\N	\N
403433	1373	1995-04-30	VYDAJ	VYBER	15	21595	SLUZBY	\N	\N
403434	1373	1995-05-31	VYDAJ	VYBER	15	21155	SLUZBY	\N	\N
403435	1373	1995-06-30	VYDAJ	VYBER	15	16420	SLUZBY	\N	\N
403436	1373	1995-07-31	VYDAJ	VYBER	15	17163	SLUZBY	\N	\N
403437	1373	1995-08-31	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
403438	1373	1995-09-30	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
403439	1373	1995-10-31	VYDAJ	VYBER	15	18927	SLUZBY	\N	\N
403440	1373	1995-11-30	VYDAJ	VYBER	15	19981	SLUZBY	\N	\N
403441	1373	1995-12-31	VYDAJ	VYBER	15	20620	SLUZBY	\N	\N
403442	1373	1996-01-31	VYDAJ	VYBER	15	20421	SLUZBY	\N	\N
403443	1373	1996-02-29	VYDAJ	VYBER	15	21481	SLUZBY	\N	\N
403444	1373	1996-03-31	VYDAJ	VYBER	15	22335	SLUZBY	\N	\N
403445	1373	1996-04-30	VYDAJ	VYBER	15	23133	SLUZBY	\N	\N
403446	1373	1996-05-31	VYDAJ	VYBER	15	24205	SLUZBY	\N	\N
403447	1373	1996-06-30	VYDAJ	VYBER	15	18876	SLUZBY	\N	\N
403448	1373	1996-07-31	VYDAJ	VYBER	15	19930	SLUZBY	\N	\N
403449	1373	1996-08-31	VYDAJ	VYBER	15	18786	SLUZBY	\N	\N
403450	1373	1996-09-30	VYDAJ	VYBER	15	18638	SLUZBY	\N	\N
403451	1373	1996-10-31	VYDAJ	VYBER	15	18690	SLUZBY	\N	\N
403452	1373	1996-11-30	VYDAJ	VYBER	15	18041	SLUZBY	\N	\N
403453	1373	1996-12-31	VYDAJ	VYBER	15	17279	SLUZBY	\N	\N
403454	1373	1997-01-31	VYDAJ	VYBER	15	17665	SLUZBY	\N	\N
403455	1373	1997-02-28	VYDAJ	VYBER	15	18012	SLUZBY	\N	\N
403456	1373	1997-03-31	VYDAJ	VYBER	15	19062	SLUZBY	\N	\N
403457	1373	1997-04-30	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
403458	1373	1997-05-31	VYDAJ	VYBER	15	16679	SLUZBY	\N	\N
403459	1373	1997-06-30	VYDAJ	VYBER	15	15220	SLUZBY	\N	\N
403460	1373	1997-07-31	VYDAJ	VYBER	15	16258	SLUZBY	\N	\N
403461	1373	1997-08-31	VYDAJ	VYBER	15	14996	SLUZBY	\N	\N
403462	1373	1997-09-30	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
403463	1373	1997-10-31	VYDAJ	VYBER	15	16173	SLUZBY	\N	\N
403464	1373	1997-11-30	VYDAJ	VYBER	15	17215	SLUZBY	\N	\N
403465	1373	1997-12-31	VYDAJ	VYBER	15	17599	SLUZBY	\N	\N
403466	1373	1998-01-31	VYDAJ	VYBER	15	17925	SLUZBY	\N	\N
403467	1373	1998-02-28	VYDAJ	VYBER	15	18973	SLUZBY	\N	\N
403468	1373	1998-03-31	VYDAJ	VYBER	15	18223	SLUZBY	\N	\N
403469	1373	1998-04-30	VYDAJ	VYBER	15	19273	SLUZBY	\N	\N
403470	1373	1998-05-31	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
403471	1373	1998-06-30	VYDAJ	VYBER	15	18575	SLUZBY	\N	\N
403472	1373	1998-07-31	VYDAJ	VYBER	15	18362	SLUZBY	\N	\N
403473	1373	1998-08-31	VYDAJ	VYBER	15	16205	SLUZBY	\N	\N
403474	1373	1998-09-30	VYDAJ	VYBER	15	17247	SLUZBY	\N	\N
403475	1373	1998-10-31	VYDAJ	VYBER	15	18292	SLUZBY	\N	\N
403476	1373	1998-11-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
403477	1373	1995-04-03	VYDAJ	VYBER	1100	20533	\N	\N	\N
403478	1373	1995-05-03	VYDAJ	VYBER	1500	20095	\N	\N	\N
403479	1373	1996-08-25	VYDAJ	VYBER	2200	18718	\N	\N	\N
403480	1373	1996-09-24	VYDAJ	VYBER	1200	18574	\N	\N	\N
403481	1373	1996-10-24	VYDAJ	VYBER	1000	18626	\N	\N	\N
403482	1373	1996-11-23	VYDAJ	VYBER	1700	17978	\N	\N	\N
403483	1373	1996-12-23	VYDAJ	VYBER	1000	18029	\N	\N	\N
403484	1373	1997-02-21	VYDAJ	VYBER	700	17953	\N	\N	\N
403485	1373	1997-04-22	VYDAJ	VYBER	3300	15580	\N	\N	\N
403486	1373	1997-06-21	VYDAJ	VYBER	2500	15167	\N	\N	\N
403487	1373	1997-08-20	VYDAJ	VYBER	2300	14946	\N	\N	\N
403488	1373	1998-03-18	VYDAJ	VYBER	1800	18161	\N	\N	\N
403489	1373	1998-05-17	VYDAJ	VYBER	1200	19061	\N	\N	\N
403490	1373	1998-06-16	VYDAJ	VYBER	1300	18813	\N	\N	\N
403491	1373	1998-08-15	VYDAJ	VYBER	3200	16150	\N	\N	\N
403492	1373	1998-12-13	VYDAJ	VYBER	4500	15830	\N	\N	\N
403555	1374	1996-09-26	PRIJEM	VKLAD	700	700	\N	\N	\N
403565	1374	1996-10-07	PRIJEM	PREVOD Z UCTU	48644	49344	\N	AB	79760122
403566	1374	1996-11-07	PRIJEM	PREVOD Z UCTU	48644	84617	\N	AB	79760122
403567	1374	1996-12-07	PRIJEM	PREVOD Z UCTU	72966	123945	\N	AB	79760122
403568	1374	1997-01-07	PRIJEM	PREVOD Z UCTU	48644	102479	\N	AB	79760122
403569	1374	1997-02-07	PRIJEM	PREVOD Z UCTU	48644	104456	\N	AB	79760122
403570	1374	1997-03-07	PRIJEM	PREVOD Z UCTU	48644	65041	\N	AB	79760122
403571	1374	1997-04-07	PRIJEM	PREVOD Z UCTU	48644	75789	\N	AB	79760122
403572	1374	1997-05-07	PRIJEM	PREVOD Z UCTU	48644	82671	\N	AB	79760122
403573	1374	1997-06-07	PRIJEM	PREVOD Z UCTU	72966	126404	\N	AB	79760122
403574	1374	1997-07-07	PRIJEM	PREVOD Z UCTU	48644	96991	\N	AB	79760122
403575	1374	1997-08-07	PRIJEM	PREVOD Z UCTU	48644	98144	\N	AB	79760122
403576	1374	1997-09-07	PRIJEM	PREVOD Z UCTU	48644	102287	\N	AB	79760122
403577	1374	1997-10-07	PRIJEM	PREVOD Z UCTU	48644	97664	\N	AB	79760122
403578	1374	1997-11-07	PRIJEM	PREVOD Z UCTU	48644	78442	\N	AB	79760122
403579	1374	1997-12-07	PRIJEM	PREVOD Z UCTU	72966	121784	\N	AB	79760122
403580	1374	1998-01-07	PRIJEM	PREVOD Z UCTU	48644	81887	\N	AB	79760122
403581	1374	1998-02-07	PRIJEM	PREVOD Z UCTU	48644	89892	\N	AB	79760122
403582	1374	1998-03-07	PRIJEM	PREVOD Z UCTU	48644	89495	\N	AB	79760122
403583	1374	1998-04-07	PRIJEM	PREVOD Z UCTU	48644	106402	\N	AB	79760122
403584	1374	1998-05-07	PRIJEM	PREVOD Z UCTU	48644	82830	\N	AB	79760122
403585	1374	1998-06-07	PRIJEM	PREVOD Z UCTU	72966	108810	\N	AB	79760122
403586	1374	1998-07-07	PRIJEM	PREVOD Z UCTU	48644	63135	\N	AB	79760122
403587	1374	1998-08-07	PRIJEM	PREVOD Z UCTU	48644	79166	\N	AB	79760122
403588	1374	1998-09-07	PRIJEM	PREVOD Z UCTU	48644	96178	\N	AB	79760122
403589	1374	1998-10-07	PRIJEM	PREVOD Z UCTU	48644	69910	\N	AB	79760122
403590	1374	1998-11-07	PRIJEM	PREVOD Z UCTU	48644	82267	\N	AB	79760122
403591	1374	1998-12-07	PRIJEM	PREVOD Z UCTU	72966	96527	\N	AB	79760122
403605	1374	1997-01-31	VYDAJ	VYBER	8200	55812	\N	\N	0
403606	1374	1997-03-06	VYDAJ	VYBER	8600	16397	\N	\N	0
403607	1374	1997-04-04	VYDAJ	VYBER	10600	27145	\N	\N	0
403608	1374	1997-05-06	VYDAJ	VYBER	10000	34027	\N	\N	0
403609	1374	1997-06-13	VYDAJ	VYBER	6900	85904	\N	\N	0
403610	1374	1997-07-27	VYDAJ	VYBER	10400	49291	\N	\N	0
403611	1374	1997-08-23	VYDAJ	VYBER	10100	53444	\N	\N	0
403612	1374	1997-09-14	VYDAJ	VYBER	9700	78770	\N	\N	0
403613	1374	1997-10-12	VYDAJ	PREVOD NA UCET	8107	37557	UVER	WX	38325822
403614	1374	1997-11-12	VYDAJ	PREVOD NA UCET	8107	70334	UVER	WX	38325822
403615	1374	1997-12-12	VYDAJ	PREVOD NA UCET	8107	78577	UVER	WX	38325822
403616	1374	1998-01-12	VYDAJ	PREVOD NA UCET	8107	56380	UVER	WX	38325822
403617	1374	1998-02-12	VYDAJ	PREVOD NA UCET	8107	81784	UVER	WX	38325822
403618	1374	1998-03-12	VYDAJ	PREVOD NA UCET	8107	81388	UVER	WX	38325822
403619	1374	1998-04-12	VYDAJ	PREVOD NA UCET	8107	43064	UVER	WX	38325822
403620	1374	1998-05-12	VYDAJ	PREVOD NA UCET	8107	61522	UVER	WX	38325822
403621	1374	1998-06-12	VYDAJ	PREVOD NA UCET	8107	29955	UVER	WX	38325822
403622	1374	1998-07-12	VYDAJ	PREVOD NA UCET	8107	55028	UVER	WX	38325822
403623	1374	1998-08-12	VYDAJ	PREVOD NA UCET	8107	71059	UVER	WX	38325822
403624	1374	1998-09-12	VYDAJ	PREVOD NA UCET	8107	57681	UVER	WX	38325822
403625	1374	1998-10-12	VYDAJ	PREVOD NA UCET	8107	61803	UVER	WX	38325822
403626	1374	1998-11-12	VYDAJ	PREVOD NA UCET	8107	74160	UVER	WX	38325822
403627	1374	1998-12-12	VYDAJ	PREVOD NA UCET	8107	88420	UVER	WX	38325822
403640	1374	1997-04-20	VYBER	VYBER	7891	67898	\N	\N	\N
403641	1374	1997-12-23	VYBER	VYBER	19768	33009	\N	\N	\N
403644	1374	1997-06-16	VYBER	VYBER	15749	70155	\N	\N	\N
403645	1374	1997-03-04	VYBER	VYBER	7859	24997	\N	\N	\N
403646	1374	1997-10-17	VYBER	VYBER	6236	31321	\N	\N	\N
403647	1374	1997-09-14	VYBER	VYBER	6617	88470	\N	\N	\N
403649	1374	1997-02-11	VYBER	VYBER	4701	42055	\N	\N	\N
403650	1374	1997-04-22	VYBER	VYBER	8203	59695	\N	\N	\N
403651	1374	1998-09-09	VYBER	VYBER	16590	79588	\N	\N	\N
403652	1374	1998-02-14	VYBER	VYBER	9843	71941	\N	\N	\N
403653	1374	1998-04-12	VYBER	VYBER	2531	51171	\N	\N	\N
403654	1374	1998-09-26	VYBER	VYBER	14984	21097	\N	\N	\N
403656	1374	1998-04-16	VYBER	VYBER	5188	37876	\N	\N	\N
403657	1374	1998-06-11	VYBER	VYBER	9448	38062	\N	\N	\N
403658	1374	1998-12-03	VYBER	VYBER	10508	23561	\N	\N	\N
403660	1374	1998-06-02	VYBER	VYBER	10078	35844	\N	\N	\N
403661	1374	1998-11-19	VYBER	VYBER	5238	33922	\N	\N	\N
403662	1374	1998-07-13	VYBER	VYBER	21601	33427	\N	\N	\N
403665	1374	1998-06-29	VYDAJ	VYBER	18900	14355	\N	\N	\N
403668	1374	1998-01-11	VYDAJ	VYBER	17400	64487	\N	\N	\N
403670	1374	1997-12-08	VYDAJ	VYBER	7200	86684	\N	\N	\N
403671	1374	1998-12-14	VYDAJ	VYBER	2700	85720	\N	\N	\N
403676	1374	1997-07-23	VYDAJ	VYBER	8100	88891	\N	\N	\N
403677	1374	1997-09-10	VYDAJ	VYBER	7200	95087	\N	\N	\N
403678	1374	1997-03-26	VYDAJ	VYBER	8100	37541	\N	\N	\N
403679	1374	1998-05-07	VYDAJ	VYBER	4200	78630	\N	\N	\N
403680	1374	1998-05-08	VYDAJ	VYBER	9000	69630	\N	\N	\N
403681	1374	1998-03-04	VYDAJ	VYBER	13500	40851	\N	\N	\N
403682	1374	1998-01-29	VYDAJ	VYBER	2400	41080	\N	\N	\N
403683	1374	1998-09-09	VYDAJ	VYBER	13800	65788	\N	\N	\N
403684	1374	1998-10-13	VYDAJ	VYBER	9900	51903	\N	\N	\N
403685	1374	1998-12-25	VYDAJ	VYBER	10500	37020	\N	\N	\N
403700	1374	1997-02-28	VYDAJ	VYBER	15	32856	SLUZBY	\N	\N
403701	1374	1997-03-31	VYDAJ	VYBER	15	37745	SLUZBY	\N	\N
403702	1374	1997-04-30	VYDAJ	VYBER	15	44027	SLUZBY	\N	\N
403703	1374	1997-05-31	VYDAJ	VYBER	15	53438	SLUZBY	\N	\N
403704	1374	1997-06-30	VYDAJ	VYBER	15	48347	SLUZBY	\N	\N
403705	1374	1997-07-31	VYDAJ	VYBER	15	49500	SLUZBY	\N	\N
403706	1374	1997-08-31	VYDAJ	VYBER	15	53643	SLUZBY	\N	\N
403707	1374	1997-09-30	VYDAJ	VYBER	15	49020	SLUZBY	\N	\N
403708	1374	1997-10-31	VYDAJ	VYBER	15	29798	SLUZBY	\N	\N
403709	1374	1997-11-30	VYDAJ	VYBER	15	48818	SLUZBY	\N	\N
403710	1374	1997-12-31	VYDAJ	VYBER	15	33243	SLUZBY	\N	\N
403711	1374	1998-01-31	VYDAJ	VYBER	15	41248	SLUZBY	\N	\N
403712	1374	1998-02-28	VYDAJ	VYBER	15	54351	SLUZBY	\N	\N
403713	1374	1998-03-31	VYDAJ	VYBER	15	57758	SLUZBY	\N	\N
403714	1374	1998-04-30	VYDAJ	VYBER	15	34186	SLUZBY	\N	\N
403715	1374	1998-05-31	VYDAJ	VYBER	15	45922	SLUZBY	\N	\N
403716	1374	1998-06-30	VYDAJ	VYBER	15	14491	SLUZBY	\N	\N
403717	1374	1998-07-31	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
403718	1374	1998-08-31	VYDAJ	VYBER	15	47534	SLUZBY	\N	\N
403719	1374	1998-09-30	VYDAJ	VYBER	15	21266	SLUZBY	\N	\N
403720	1374	1998-10-31	VYDAJ	VYBER	15	33623	SLUZBY	\N	\N
403721	1374	1998-11-30	VYDAJ	VYBER	15	34069	SLUZBY	\N	\N
403722	1374	1996-10-26	VYDAJ	VYBER	13400	35944	\N	\N	\N
403723	1374	1996-11-25	VYDAJ	VYBER	33800	50817	\N	\N	\N
403724	1374	1996-12-07	VYDAJ	VYBER	42100	81845	\N	\N	\N
403725	1374	1996-12-25	VYDAJ	VYBER	28300	53545	\N	\N	\N
403726	1374	1997-01-24	VYDAJ	VYBER	38700	63779	\N	\N	\N
403727	1374	1997-02-07	VYDAJ	VYBER	57700	46756	\N	\N	\N
403728	1374	1997-02-23	VYDAJ	VYBER	9400	32655	\N	\N	\N
403729	1374	1997-03-25	VYDAJ	VYBER	19400	45641	\N	\N	\N
403730	1374	1997-04-24	VYDAJ	VYBER	15900	43795	\N	\N	\N
403731	1374	1997-05-24	VYDAJ	VYBER	29500	53171	\N	\N	\N
403732	1374	1997-06-07	VYDAJ	VYBER	33600	92804	\N	\N	\N
403733	1374	1997-06-23	VYDAJ	VYBER	22100	48055	\N	\N	\N
403734	1374	1997-07-23	VYDAJ	VYBER	29200	59691	\N	\N	\N
403735	1374	1997-08-22	VYDAJ	VYBER	34600	63544	\N	\N	\N
403736	1374	1997-09-21	VYDAJ	VYBER	30000	48770	\N	\N	\N
403737	1374	1997-10-07	VYDAJ	VYBER	52000	45664	\N	\N	\N
403738	1374	1997-10-21	VYDAJ	VYBER	1700	29621	\N	\N	\N
403739	1374	1997-11-20	VYDAJ	VYBER	21700	48634	\N	\N	\N
403740	1374	1997-12-07	VYDAJ	VYBER	27900	93884	\N	\N	\N
403741	1374	1997-12-20	VYDAJ	VYBER	25800	52777	\N	\N	\N
403742	1374	1998-01-19	VYDAJ	VYBER	12900	43480	\N	\N	\N
403743	1374	1998-02-18	VYDAJ	VYBER	17800	54141	\N	\N	\N
403744	1374	1998-03-20	VYDAJ	VYBER	23900	57488	\N	\N	\N
403745	1374	1998-04-07	VYDAJ	VYBER	52700	53702	\N	\N	\N
403746	1374	1998-04-19	VYDAJ	VYBER	3900	33976	\N	\N	\N
403747	1374	1998-05-19	VYDAJ	VYBER	15800	45722	\N	\N	\N
403748	1374	1998-06-07	VYDAJ	VYBER	61300	47510	\N	\N	\N
403749	1374	1998-06-18	PRIJEM	VKLAD	3300	33255	\N	\N	\N
403750	1374	1998-07-18	VYDAJ	VYBER	3000	30427	\N	\N	\N
403751	1374	1998-08-17	VYDAJ	VYBER	23700	47359	\N	\N	\N
403752	1374	1998-09-16	VYDAJ	VYBER	21600	36081	\N	\N	\N
403753	1374	1998-10-16	VYDAJ	VYBER	18400	33503	\N	\N	\N
403754	1374	1998-11-15	VYDAJ	VYBER	35000	39160	\N	\N	\N
403755	1374	1998-12-15	VYDAJ	VYBER	38200	47520	\N	\N	\N
403783	1375	1994-04-27	PRIJEM	VKLAD	800	800	\N	\N	\N
403788	1375	1994-05-07	PRIJEM	VKLAD	20291	21091	\N	\N	\N
403789	1375	1994-06-07	PRIJEM	VKLAD	30436	54643	\N	\N	\N
403790	1375	1994-07-07	PRIJEM	VKLAD	20291	61147	\N	\N	\N
403791	1375	1994-08-07	PRIJEM	VKLAD	20291	61708	\N	\N	\N
403792	1375	1994-09-07	PRIJEM	VKLAD	20291	66675	\N	\N	\N
403793	1375	1994-10-07	PRIJEM	VKLAD	20291	64641	\N	\N	\N
403794	1375	1994-11-07	PRIJEM	VKLAD	20291	58098	\N	\N	\N
403795	1375	1994-12-07	PRIJEM	VKLAD	30436	68982	\N	\N	\N
403796	1375	1995-01-07	PRIJEM	VKLAD	20291	67446	\N	\N	\N
403797	1375	1995-02-07	PRIJEM	VKLAD	20291	59195	\N	\N	\N
403798	1375	1995-03-07	PRIJEM	VKLAD	20291	60831	\N	\N	\N
403799	1375	1995-04-07	PRIJEM	VKLAD	20291	59964	\N	\N	\N
403800	1375	1995-05-07	PRIJEM	VKLAD	20291	60601	\N	\N	\N
403801	1375	1995-06-07	PRIJEM	VKLAD	30436	71486	\N	\N	\N
403802	1375	1995-07-07	PRIJEM	VKLAD	20291	61227	\N	\N	\N
403803	1375	1995-08-07	PRIJEM	VKLAD	20291	60570	\N	\N	\N
403804	1375	1995-09-07	PRIJEM	VKLAD	20291	60307	\N	\N	\N
403805	1375	1995-10-07	PRIJEM	VKLAD	20291	61754	\N	\N	\N
403806	1375	1995-11-07	PRIJEM	VKLAD	20291	58699	\N	\N	\N
403807	1375	1995-12-07	PRIJEM	VKLAD	30436	67284	\N	\N	\N
403808	1375	1996-01-07	PRIJEM	VKLAD	20291	67250	\N	\N	\N
403809	1375	1996-02-07	PRIJEM	VKLAD	20291	55597	\N	\N	\N
403810	1375	1996-03-07	PRIJEM	VKLAD	20291	58621	\N	\N	\N
403811	1375	1996-04-07	PRIJEM	VKLAD	20291	59559	\N	\N	\N
403812	1375	1996-05-07	PRIJEM	VKLAD	20291	61000	\N	\N	\N
403813	1375	1996-06-07	PRIJEM	VKLAD	30436	57691	\N	\N	\N
403814	1375	1996-07-07	PRIJEM	VKLAD	20291	58826	\N	\N	\N
403815	1375	1996-08-07	PRIJEM	VKLAD	20291	59266	\N	\N	\N
403816	1375	1996-09-07	PRIJEM	VKLAD	20291	62904	\N	\N	\N
403817	1375	1996-10-07	PRIJEM	VKLAD	20291	65855	\N	\N	\N
403818	1375	1996-11-07	PRIJEM	VKLAD	20291	66110	\N	\N	\N
403819	1375	1996-12-07	PRIJEM	VKLAD	30436	77016	\N	\N	\N
403820	1375	1997-01-07	PRIJEM	VKLAD	20291	66502	\N	\N	\N
403821	1375	1997-02-07	PRIJEM	VKLAD	20291	57738	\N	\N	\N
403822	1375	1997-03-07	PRIJEM	VKLAD	20291	57754	\N	\N	\N
403823	1375	1997-04-07	PRIJEM	VKLAD	20291	56068	\N	\N	\N
403824	1375	1997-05-07	PRIJEM	VKLAD	20291	57883	\N	\N	\N
403825	1375	1997-06-07	PRIJEM	VKLAD	30436	71354	\N	\N	\N
403826	1375	1997-07-07	PRIJEM	VKLAD	20291	54403	\N	\N	\N
403827	1375	1997-08-07	PRIJEM	VKLAD	20291	59925	\N	\N	\N
403828	1375	1997-09-07	PRIJEM	VKLAD	20291	60655	\N	\N	\N
403829	1375	1997-10-07	PRIJEM	VKLAD	20291	62007	\N	\N	\N
403830	1375	1997-11-07	PRIJEM	VKLAD	20291	63236	\N	\N	\N
403831	1375	1997-12-07	PRIJEM	VKLAD	30436	66693	\N	\N	\N
403832	1375	1998-01-07	PRIJEM	VKLAD	20291	59617	\N	\N	\N
403833	1375	1998-02-07	PRIJEM	VKLAD	20291	61863	\N	\N	\N
403834	1375	1998-03-07	PRIJEM	VKLAD	20291	73228	\N	\N	\N
403835	1375	1998-04-07	PRIJEM	VKLAD	20291	63682	\N	\N	\N
403836	1375	1998-05-07	PRIJEM	VKLAD	20291	67857	\N	\N	\N
403837	1375	1998-06-07	PRIJEM	VKLAD	30436	75580	\N	\N	\N
403838	1375	1998-07-07	PRIJEM	VKLAD	20291	81791	\N	\N	\N
403839	1375	1998-08-07	PRIJEM	VKLAD	20291	80341	\N	\N	\N
403840	1375	1998-09-07	PRIJEM	VKLAD	20291	85488	\N	\N	\N
403841	1375	1998-10-07	PRIJEM	VKLAD	20291	81253	\N	\N	\N
403842	1375	1998-11-07	PRIJEM	VKLAD	20291	84307	\N	\N	\N
403843	1375	1998-12-07	PRIJEM	VKLAD	30436	93209	\N	\N	\N
403852	1375	1994-09-08	VYDAJ	PREVOD NA UCET	5930	60745	SIPO	CD	90090238
403853	1375	1994-10-08	VYDAJ	PREVOD NA UCET	5930	58711	SIPO	CD	90090238
403854	1375	1994-11-08	VYDAJ	PREVOD NA UCET	5930	52168	SIPO	CD	90090238
403855	1375	1994-12-08	VYDAJ	PREVOD NA UCET	5930	63052	SIPO	CD	90090238
403856	1375	1995-01-08	VYDAJ	PREVOD NA UCET	5930	61516	SIPO	CD	90090238
403857	1375	1995-02-08	VYDAJ	PREVOD NA UCET	5930	53265	SIPO	CD	90090238
403858	1375	1995-03-08	VYDAJ	PREVOD NA UCET	5930	54901	SIPO	CD	90090238
403859	1375	1995-04-08	VYDAJ	PREVOD NA UCET	5930	54034	SIPO	CD	90090238
403860	1375	1995-05-08	VYDAJ	PREVOD NA UCET	5930	54671	SIPO	CD	90090238
403861	1375	1995-06-08	VYDAJ	PREVOD NA UCET	5930	65556	SIPO	CD	90090238
403862	1375	1995-07-08	VYDAJ	PREVOD NA UCET	5930	55297	SIPO	CD	90090238
403863	1375	1995-08-08	VYDAJ	PREVOD NA UCET	5930	54640	SIPO	CD	90090238
403864	1375	1995-09-08	VYDAJ	PREVOD NA UCET	5930	53177	SIPO	CD	90090238
403865	1375	1995-10-08	VYDAJ	PREVOD NA UCET	5930	55824	SIPO	CD	90090238
403866	1375	1995-11-08	VYDAJ	PREVOD NA UCET	5930	52769	SIPO	CD	90090238
403867	1375	1995-12-08	VYDAJ	PREVOD NA UCET	5930	61354	SIPO	CD	90090238
403868	1375	1996-01-08	VYDAJ	PREVOD NA UCET	5930	61320	SIPO	CD	90090238
403869	1375	1996-02-08	VYDAJ	PREVOD NA UCET	5930	49667	SIPO	CD	90090238
403870	1375	1996-03-08	VYDAJ	PREVOD NA UCET	5930	52691	SIPO	CD	90090238
403871	1375	1996-04-08	VYDAJ	PREVOD NA UCET	5930	53629	SIPO	CD	90090238
403872	1375	1996-05-08	VYDAJ	PREVOD NA UCET	5930	55070	SIPO	CD	90090238
403873	1375	1996-06-08	VYDAJ	PREVOD NA UCET	5930	51761	SIPO	CD	90090238
403874	1375	1996-07-08	VYDAJ	PREVOD NA UCET	5930	52896	SIPO	CD	90090238
403875	1375	1996-08-08	VYDAJ	PREVOD NA UCET	5930	53336	SIPO	CD	90090238
403876	1375	1996-09-08	VYDAJ	PREVOD NA UCET	5930	56974	SIPO	CD	90090238
403877	1375	1996-10-08	VYDAJ	PREVOD NA UCET	5930	59925	SIPO	CD	90090238
403878	1375	1996-11-08	VYDAJ	PREVOD NA UCET	5930	60180	SIPO	CD	90090238
403879	1375	1996-12-08	VYDAJ	PREVOD NA UCET	5930	71086	SIPO	CD	90090238
403880	1375	1997-01-08	VYDAJ	PREVOD NA UCET	5930	60572	SIPO	CD	90090238
403881	1375	1997-02-08	VYDAJ	PREVOD NA UCET	5930	51808	SIPO	CD	90090238
403882	1375	1997-03-08	VYDAJ	PREVOD NA UCET	5930	51824	SIPO	CD	90090238
403883	1375	1997-04-08	VYDAJ	PREVOD NA UCET	5930	50138	SIPO	CD	90090238
403884	1375	1997-05-08	VYDAJ	PREVOD NA UCET	5930	51953	SIPO	CD	90090238
403885	1375	1997-06-08	VYDAJ	PREVOD NA UCET	5930	65424	SIPO	CD	90090238
403886	1375	1997-07-08	VYDAJ	PREVOD NA UCET	5930	48473	SIPO	CD	90090238
403887	1375	1997-08-08	VYDAJ	PREVOD NA UCET	5930	53995	SIPO	CD	90090238
403888	1375	1997-09-08	VYDAJ	PREVOD NA UCET	5930	54725	SIPO	CD	90090238
403889	1375	1997-10-08	VYDAJ	PREVOD NA UCET	5930	47077	SIPO	CD	90090238
403890	1375	1997-11-08	VYDAJ	PREVOD NA UCET	5930	40206	SIPO	CD	90090238
403891	1375	1997-12-08	VYDAJ	PREVOD NA UCET	5930	46763	SIPO	CD	90090238
403892	1375	1998-01-08	VYDAJ	PREVOD NA UCET	5930	53687	SIPO	CD	90090238
403893	1375	1998-02-08	VYDAJ	PREVOD NA UCET	5930	55933	SIPO	CD	90090238
403894	1375	1998-03-08	VYDAJ	PREVOD NA UCET	5930	52298	SIPO	CD	90090238
403895	1375	1998-04-08	VYDAJ	PREVOD NA UCET	5930	57752	SIPO	CD	90090238
403896	1375	1998-05-08	VYDAJ	PREVOD NA UCET	5930	61927	SIPO	CD	90090238
403897	1375	1998-06-08	VYDAJ	PREVOD NA UCET	5930	69650	SIPO	CD	90090238
403898	1375	1998-07-08	VYDAJ	PREVOD NA UCET	5930	75861	SIPO	CD	90090238
403899	1375	1998-08-08	VYDAJ	PREVOD NA UCET	5930	74411	SIPO	CD	90090238
403900	1375	1998-09-08	VYDAJ	PREVOD NA UCET	5930	79558	SIPO	CD	90090238
403901	1375	1998-10-08	VYDAJ	PREVOD NA UCET	5930	74023	SIPO	CD	90090238
403902	1375	1998-11-08	VYDAJ	PREVOD NA UCET	5930	78377	SIPO	CD	90090238
403903	1375	1998-12-08	VYDAJ	PREVOD NA UCET	5930	87279	SIPO	CD	90090238
403912	1375	1994-09-15	VYDAJ	VYBER	1400	59345	\N	\N	0
403913	1375	1994-10-25	VYDAJ	VYBER	2300	39811	\N	\N	0
403914	1375	1994-11-03	VYDAJ	VYBER	2200	37807	\N	\N	0
403915	1375	1994-12-19	VYDAJ	VYBER	1100	59752	\N	\N	0
403916	1375	1995-01-20	VYDAJ	VYBER	1600	50816	\N	\N	0
403917	1375	1995-02-15	VYDAJ	VYBER	1500	51765	\N	\N	0
403918	1375	1995-03-10	VYDAJ	VYBER	2400	52501	\N	\N	0
403919	1375	1995-04-15	VYDAJ	VYBER	2700	51334	\N	\N	0
403920	1375	1995-05-12	VYDAJ	VYBER	1500	53171	\N	\N	0
403921	1375	1995-06-09	VYDAJ	VYBER	1300	64256	\N	\N	0
403922	1375	1995-07-11	VYDAJ	VYBER	1800	53497	\N	\N	0
403923	1375	1995-08-18	VYDAJ	VYBER	1800	52840	\N	\N	0
403924	1375	1995-09-12	VYDAJ	PREVOD NA UCET	1889	51288	UVER	MN	47862768
403925	1375	1995-10-12	VYDAJ	PREVOD NA UCET	1889	53935	UVER	MN	47862768
403926	1375	1995-11-12	VYDAJ	PREVOD NA UCET	1889	50880	UVER	MN	47862768
403927	1375	1995-12-12	VYDAJ	PREVOD NA UCET	1889	59465	UVER	MN	47862768
403928	1375	1996-01-12	VYDAJ	PREVOD NA UCET	1889	59431	UVER	MN	47862768
403929	1375	1996-02-12	VYDAJ	PREVOD NA UCET	1889	47778	UVER	MN	47862768
403930	1375	1996-03-12	VYDAJ	PREVOD NA UCET	1889	50802	UVER	MN	47862768
403931	1375	1996-04-12	VYDAJ	PREVOD NA UCET	1889	51740	UVER	MN	47862768
403932	1375	1996-05-12	VYDAJ	PREVOD NA UCET	1889	53181	UVER	MN	47862768
403933	1375	1996-06-12	VYDAJ	PREVOD NA UCET	1889	49872	UVER	MN	47862768
403934	1375	1996-07-12	VYDAJ	PREVOD NA UCET	1889	51007	UVER	MN	47862768
403935	1375	1996-08-12	VYDAJ	PREVOD NA UCET	1889	51447	UVER	MN	47862768
403936	1375	1996-09-12	VYDAJ	PREVOD NA UCET	1889	55085	UVER	MN	47862768
403937	1375	1996-10-12	VYDAJ	PREVOD NA UCET	1889	58036	UVER	MN	47862768
403938	1375	1996-11-12	VYDAJ	PREVOD NA UCET	1889	46391	UVER	MN	47862768
403939	1375	1996-12-12	VYDAJ	PREVOD NA UCET	1889	69197	UVER	MN	47862768
403940	1375	1997-01-12	VYDAJ	PREVOD NA UCET	1889	42383	UVER	MN	47862768
403941	1375	1997-02-12	VYDAJ	PREVOD NA UCET	1889	37319	UVER	MN	47862768
403942	1375	1997-03-12	VYDAJ	PREVOD NA UCET	1889	49935	UVER	MN	47862768
403943	1375	1997-04-12	VYDAJ	PREVOD NA UCET	1889	37449	UVER	MN	47862768
403944	1375	1997-05-12	VYDAJ	PREVOD NA UCET	1889	40764	UVER	MN	47862768
403945	1375	1997-06-12	VYDAJ	PREVOD NA UCET	1889	47435	UVER	MN	47862768
403946	1375	1997-07-12	VYDAJ	PREVOD NA UCET	1889	39484	UVER	MN	47862768
403947	1375	1997-08-12	VYDAJ	PREVOD NA UCET	1889	42706	UVER	MN	47862768
403948	1375	1997-09-28	VYDAJ	VYBER	1700	41525	\N	\N	0
403949	1375	1997-10-11	VYDAJ	VYBER	2400	44677	\N	\N	0
403950	1375	1997-10-29	VYDAJ	VYBER	1900	42777	\N	\N	0
403951	1375	1997-12-13	VYDAJ	VYBER	2100	44663	\N	\N	0
403952	1375	1998-01-10	VYDAJ	VYBER	2000	51687	\N	\N	0
403953	1375	1998-02-19	VYDAJ	VYBER	1600	54333	\N	\N	0
403954	1375	1998-03-06	VYDAJ	VYBER	1600	52937	\N	\N	0
403955	1375	1998-04-03	VYDAJ	VYBER	1300	47491	\N	\N	0
403956	1375	1998-05-16	VYDAJ	VYBER	1100	57227	\N	\N	0
403957	1375	1998-06-13	VYDAJ	VYBER	2000	67650	\N	\N	0
403958	1375	1998-07-18	VYDAJ	VYBER	1400	74461	\N	\N	0
403959	1375	1998-08-02	VYDAJ	VYBER	1600	73150	\N	\N	0
403960	1375	1998-09-17	VYDAJ	VYBER	2400	77158	\N	\N	0
403961	1375	1998-10-07	VYDAJ	VYBER	1300	79953	\N	\N	0
403962	1375	1998-11-10	VYDAJ	VYBER	2600	75777	\N	\N	0
403963	1375	1998-11-28	VYDAJ	VYBER	1100	74677	\N	\N	0
403965	1375	1995-06-10	VYDAJ	VYBER	14300	49956	\N	\N	\N
403966	1375	1996-06-02	VYDAJ	VYBER	16000	27255	\N	\N	\N
403967	1375	1997-06-29	VYDAJ	VYBER	10500	36935	\N	\N	\N
403968	1375	1998-06-03	VYDAJ	VYBER	9600	41544	\N	\N	\N
403970	1375	1995-01-14	VYDAJ	VYBER	9100	52416	\N	\N	\N
403971	1375	1996-01-18	VYDAJ	VYBER	7000	36031	\N	\N	\N
403972	1375	1997-01-21	VYDAJ	VYBER	5100	37283	\N	\N	\N
403973	1375	1998-01-25	VYDAJ	VYBER	5500	46187	\N	\N	\N
403974	1375	1994-12-17	VYDAJ	VYBER	2200	60852	\N	\N	\N
403975	1375	1995-12-06	VYDAJ	VYBER	2300	36848	\N	\N	\N
403976	1375	1996-12-20	VYDAJ	VYBER	1200	45997	\N	\N	\N
403977	1375	1997-12-30	VYDAJ	VYBER	2600	42063	\N	\N	\N
403978	1375	1998-12-28	VYDAJ	VYBER	2800	84479	\N	\N	\N
403979	1375	1994-09-18	VYDAJ	VYBER	2500	56845	\N	\N	\N
403982	1375	1995-10-21	VYDAJ	VYBER	2600	39035	\N	\N	\N
403983	1375	1995-11-01	VYDAJ	VYBER	800	38408	\N	\N	\N
403984	1375	1995-07-06	VYDAJ	VYBER	2600	40936	\N	\N	\N
403985	1375	1995-03-11	VYDAJ	VYBER	3800	48701	\N	\N	\N
403986	1375	1995-09-07	VYDAJ	VYBER	1200	59107	\N	\N	\N
403987	1375	1995-08-20	VYDAJ	VYBER	1100	39840	\N	\N	\N
403988	1375	1996-09-22	VYDAJ	VYBER	800	45385	\N	\N	\N
403989	1375	1996-04-05	VYDAJ	VYBER	1700	39268	\N	\N	\N
403990	1375	1996-01-24	VYDAJ	VYBER	900	35131	\N	\N	\N
403991	1375	1996-07-28	VYDAJ	VYBER	3800	40307	\N	\N	\N
403992	1375	1996-07-30	VYDAJ	VYBER	1500	38807	\N	\N	\N
403993	1375	1997-08-26	VYDAJ	VYBER	2500	40206	\N	\N	\N
403994	1375	1997-07-01	VYDAJ	VYBER	3000	34112	\N	\N	\N
403995	1375	1997-11-28	VYDAJ	VYBER	4100	36106	\N	\N	\N
403996	1375	1998-05-14	VYDAJ	VYBER	3600	58327	\N	\N	\N
403997	1375	1998-03-09	VYDAJ	VYBER	3700	48598	\N	\N	\N
403998	1375	1998-01-29	VYDAJ	VYBER	900	45287	\N	\N	\N
403999	1375	1998-05-27	VYDAJ	VYBER	2700	50927	\N	\N	\N
404000	1375	1998-01-02	VYDAJ	VYBER	3100	39126	\N	\N	\N
404001	1375	1998-05-18	VYDAJ	VYBER	3600	53627	\N	\N	\N
404011	1375	1994-09-30	VYDAJ	VYBER	15	44350	SLUZBY	\N	\N
404012	1375	1994-10-31	VYDAJ	VYBER	15	40007	SLUZBY	\N	\N
404013	1375	1994-11-30	VYDAJ	VYBER	15	38546	SLUZBY	\N	\N
404014	1375	1994-12-31	VYDAJ	VYBER	15	47155	SLUZBY	\N	\N
404015	1375	1995-01-31	VYDAJ	VYBER	15	38904	SLUZBY	\N	\N
404016	1375	1995-02-28	VYDAJ	VYBER	15	40540	SLUZBY	\N	\N
404017	1375	1995-03-31	VYDAJ	VYBER	15	39673	SLUZBY	\N	\N
404018	1375	1995-04-30	VYDAJ	VYBER	15	40310	SLUZBY	\N	\N
404019	1375	1995-05-31	VYDAJ	VYBER	15	41050	SLUZBY	\N	\N
404020	1375	1995-06-30	VYDAJ	VYBER	15	43536	SLUZBY	\N	\N
404021	1375	1995-07-31	VYDAJ	VYBER	15	40279	SLUZBY	\N	\N
404022	1375	1995-08-31	VYDAJ	VYBER	15	40016	SLUZBY	\N	\N
404023	1375	1995-09-30	VYDAJ	VYBER	15	41463	SLUZBY	\N	\N
404024	1375	1995-10-31	VYDAJ	VYBER	15	39208	SLUZBY	\N	\N
404025	1375	1995-11-30	VYDAJ	VYBER	15	39148	SLUZBY	\N	\N
404026	1375	1995-12-31	VYDAJ	VYBER	15	46959	SLUZBY	\N	\N
404027	1375	1996-01-31	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
404028	1375	1996-02-29	VYDAJ	VYBER	15	38330	SLUZBY	\N	\N
404029	1375	1996-03-31	VYDAJ	VYBER	15	40968	SLUZBY	\N	\N
404030	1375	1996-04-30	VYDAJ	VYBER	15	40709	SLUZBY	\N	\N
404031	1375	1996-05-31	VYDAJ	VYBER	15	43255	SLUZBY	\N	\N
404032	1375	1996-06-30	VYDAJ	VYBER	15	38535	SLUZBY	\N	\N
404033	1375	1996-07-31	VYDAJ	VYBER	15	38975	SLUZBY	\N	\N
404034	1375	1996-08-31	VYDAJ	VYBER	15	42613	SLUZBY	\N	\N
404035	1375	1996-09-30	VYDAJ	VYBER	15	45564	SLUZBY	\N	\N
404036	1375	1996-10-31	VYDAJ	VYBER	15	45819	SLUZBY	\N	\N
404037	1375	1996-11-30	VYDAJ	VYBER	15	46580	SLUZBY	\N	\N
404038	1375	1996-12-31	VYDAJ	VYBER	15	46211	SLUZBY	\N	\N
404039	1375	1997-01-31	VYDAJ	VYBER	15	37447	SLUZBY	\N	\N
404040	1375	1997-02-28	VYDAJ	VYBER	15	37463	SLUZBY	\N	\N
404041	1375	1997-03-31	VYDAJ	VYBER	15	35777	SLUZBY	\N	\N
404042	1375	1997-04-30	VYDAJ	VYBER	15	37592	SLUZBY	\N	\N
404043	1375	1997-05-31	VYDAJ	VYBER	15	40918	SLUZBY	\N	\N
404044	1375	1997-06-30	VYDAJ	VYBER	15	37112	SLUZBY	\N	\N
404045	1375	1997-07-31	VYDAJ	VYBER	15	39634	SLUZBY	\N	\N
404046	1375	1997-08-31	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
404047	1375	1997-09-30	VYDAJ	VYBER	15	41716	SLUZBY	\N	\N
404048	1375	1997-10-31	VYDAJ	VYBER	15	42945	SLUZBY	\N	\N
404049	1375	1997-11-30	VYDAJ	VYBER	15	36257	SLUZBY	\N	\N
404050	1375	1997-12-31	VYDAJ	VYBER	15	42226	SLUZBY	\N	\N
404051	1375	1998-01-31	VYDAJ	VYBER	15	45472	SLUZBY	\N	\N
404052	1375	1998-02-28	VYDAJ	VYBER	15	54537	SLUZBY	\N	\N
404053	1375	1998-03-31	VYDAJ	VYBER	15	48791	SLUZBY	\N	\N
404054	1375	1998-04-30	VYDAJ	VYBER	15	57966	SLUZBY	\N	\N
404055	1375	1998-05-31	VYDAJ	VYBER	15	51144	SLUZBY	\N	\N
404056	1375	1998-06-30	VYDAJ	VYBER	15	67900	SLUZBY	\N	\N
404057	1375	1998-07-31	VYDAJ	VYBER	15	74750	SLUZBY	\N	\N
404058	1375	1998-08-31	VYDAJ	VYBER	15	74697	SLUZBY	\N	\N
404059	1375	1998-09-30	VYDAJ	VYBER	15	77462	SLUZBY	\N	\N
404060	1375	1998-10-31	VYDAJ	VYBER	15	74316	SLUZBY	\N	\N
404061	1375	1998-11-30	VYDAJ	VYBER	15	74973	SLUZBY	\N	\N
404062	1375	1994-05-27	PRIJEM	VKLAD	3100	24191	\N	\N	\N
404063	1375	1994-06-26	VYDAJ	VYBER	13900	40743	\N	\N	\N
404064	1375	1994-07-26	VYDAJ	VYBER	19900	41247	\N	\N	\N
404065	1375	1994-08-25	VYDAJ	VYBER	15500	46208	\N	\N	\N
404066	1375	1994-09-24	VYDAJ	VYBER	12700	44145	\N	\N	\N
404067	1375	1994-10-24	VYDAJ	VYBER	16600	42111	\N	\N	\N
404068	1375	1994-11-23	VYDAJ	VYBER	13800	38368	\N	\N	\N
404069	1375	1994-12-23	VYDAJ	VYBER	12800	46952	\N	\N	\N
404070	1375	1995-01-22	VYDAJ	VYBER	12100	38716	\N	\N	\N
404071	1375	1995-02-21	VYDAJ	VYBER	11400	40365	\N	\N	\N
404072	1375	1995-03-23	VYDAJ	VYBER	9200	39501	\N	\N	\N
404073	1375	1995-04-22	VYDAJ	VYBER	11200	40134	\N	\N	\N
404074	1375	1995-05-22	VYDAJ	VYBER	12300	40871	\N	\N	\N
404075	1375	1995-06-21	VYDAJ	VYBER	6600	43356	\N	\N	\N
404076	1375	1995-07-21	VYDAJ	VYBER	13400	40097	\N	\N	\N
404077	1375	1995-08-20	VYDAJ	VYBER	11900	40940	\N	\N	\N
404078	1375	1995-09-19	VYDAJ	VYBER	10000	41288	\N	\N	\N
404079	1375	1995-10-19	VYDAJ	VYBER	12300	41635	\N	\N	\N
404080	1375	1995-11-18	VYDAJ	VYBER	11900	38980	\N	\N	\N
404081	1375	1995-12-18	VYDAJ	VYBER	12700	46765	\N	\N	\N
404082	1375	1996-01-17	VYDAJ	VYBER	16400	43031	\N	\N	\N
404083	1375	1996-02-16	VYDAJ	VYBER	9600	38178	\N	\N	\N
404084	1375	1996-03-17	VYDAJ	VYBER	10000	40802	\N	\N	\N
404085	1375	1996-04-16	VYDAJ	VYBER	11200	40540	\N	\N	\N
404086	1375	1996-05-16	VYDAJ	VYBER	10100	43081	\N	\N	\N
404087	1375	1996-06-15	VYDAJ	VYBER	11500	38372	\N	\N	\N
404088	1375	1996-07-15	VYDAJ	VYBER	6900	44107	\N	\N	\N
404089	1375	1996-08-14	VYDAJ	VYBER	9000	42447	\N	\N	\N
404090	1375	1996-09-13	VYDAJ	VYBER	8900	46185	\N	\N	\N
404091	1375	1996-10-13	VYDAJ	VYBER	12400	45636	\N	\N	\N
404092	1375	1996-11-12	VYDAJ	VYBER	11900	48280	\N	\N	\N
404093	1375	1996-12-12	VYDAJ	VYBER	22000	47197	\N	\N	\N
404094	1375	1997-01-11	VYDAJ	VYBER	16300	44272	\N	\N	\N
404095	1375	1997-02-10	VYDAJ	VYBER	12600	39208	\N	\N	\N
404096	1375	1997-03-12	VYDAJ	VYBER	14300	35635	\N	\N	\N
404097	1375	1997-04-11	VYDAJ	VYBER	10800	39338	\N	\N	\N
404098	1375	1997-05-11	VYDAJ	VYBER	9300	42653	\N	\N	\N
404099	1375	1997-06-10	VYDAJ	VYBER	16100	49324	\N	\N	\N
404100	1375	1997-07-10	VYDAJ	VYBER	7100	41373	\N	\N	\N
404101	1375	1997-08-09	VYDAJ	VYBER	9400	44595	\N	\N	\N
404102	1375	1997-09-08	VYDAJ	VYBER	11500	43225	\N	\N	\N
404103	1375	1997-10-08	VYDAJ	VYBER	9000	53007	\N	\N	\N
404104	1375	1997-11-07	VYDAJ	VYBER	17100	46136	\N	\N	\N
404105	1375	1997-12-07	VYDAJ	VYBER	14000	52693	\N	\N	\N
404106	1375	1998-01-06	PRIJEM	VKLAD	200	39326	\N	\N	\N
404107	1375	1998-02-05	VYDAJ	VYBER	3900	41572	\N	\N	\N
404108	1375	1998-03-07	VYDAJ	VYBER	15000	58228	\N	\N	\N
404109	1375	1998-04-06	VYDAJ	VYBER	4100	43391	\N	\N	\N
404110	1375	1998-05-06	VYDAJ	VYBER	10400	47566	\N	\N	\N
404111	1375	1998-06-05	PRIJEM	VKLAD	3600	45144	\N	\N	\N
404112	1375	1998-07-05	VYDAJ	VYBER	6400	61500	\N	\N	\N
404113	1375	1998-08-04	VYDAJ	VYBER	13100	60050	\N	\N	\N
404114	1375	1998-09-03	VYDAJ	VYBER	9500	65197	\N	\N	\N
404115	1375	1998-10-03	VYDAJ	VYBER	16500	60962	\N	\N	\N
404116	1375	1998-11-02	VYDAJ	VYBER	10300	64016	\N	\N	\N
404117	1375	1998-12-02	VYDAJ	VYBER	12200	62773	\N	\N	\N
404174	1376	1995-09-20	PRIJEM	VKLAD	700	700	\N	\N	\N
404184	1376	1995-10-08	PRIJEM	PREVOD Z UCTU	4097	4797	DUCHOD	MN	9703773
404185	1376	1995-11-08	PRIJEM	PREVOD Z UCTU	4097	8894	DUCHOD	MN	9703773
404186	1376	1995-12-08	PRIJEM	PREVOD Z UCTU	4097	12991	DUCHOD	MN	9703773
404187	1376	1996-01-08	PRIJEM	PREVOD Z UCTU	4097	17088	DUCHOD	MN	9703773
404188	1376	1996-02-08	PRIJEM	PREVOD Z UCTU	4097	21185	DUCHOD	MN	9703773
404189	1376	1996-03-08	PRIJEM	PREVOD Z UCTU	4097	22589	DUCHOD	MN	9703773
404190	1376	1996-04-08	PRIJEM	PREVOD Z UCTU	4097	24022	DUCHOD	MN	9703773
404191	1376	1996-05-08	PRIJEM	PREVOD Z UCTU	4097	22013	DUCHOD	MN	9703773
404192	1376	1996-06-08	PRIJEM	PREVOD Z UCTU	4097	23443	DUCHOD	MN	9703773
404193	1376	1996-07-08	PRIJEM	PREVOD Z UCTU	4097	24879	DUCHOD	MN	9703773
404194	1376	1996-08-08	PRIJEM	PREVOD Z UCTU	4097	26321	DUCHOD	MN	9703773
404195	1376	1996-09-08	PRIJEM	PREVOD Z UCTU	4097	27769	DUCHOD	MN	9703773
404196	1376	1996-10-08	PRIJEM	PREVOD Z UCTU	4097	29223	DUCHOD	MN	9703773
404197	1376	1996-11-08	PRIJEM	PREVOD Z UCTU	4097	30683	DUCHOD	MN	9703773
404198	1376	1996-12-08	PRIJEM	PREVOD Z UCTU	4097	32149	DUCHOD	MN	9703773
404199	1376	1997-01-08	PRIJEM	PREVOD Z UCTU	4097	31229	DUCHOD	MN	9703773
404200	1376	1997-02-08	PRIJEM	PREVOD Z UCTU	4097	23806	DUCHOD	MN	9703773
404201	1376	1997-03-08	PRIJEM	PREVOD Z UCTU	4097	25243	DUCHOD	MN	9703773
404202	1376	1997-04-08	PRIJEM	PREVOD Z UCTU	4097	26687	DUCHOD	MN	9703773
404203	1376	1997-05-08	PRIJEM	PREVOD Z UCTU	4097	28136	DUCHOD	MN	9703773
404204	1376	1997-06-08	PRIJEM	PREVOD Z UCTU	4097	25821	DUCHOD	MN	9703773
404205	1376	1997-07-08	PRIJEM	PREVOD Z UCTU	4097	18908	DUCHOD	MN	9703773
404206	1376	1997-08-08	PRIJEM	PREVOD Z UCTU	4097	20325	DUCHOD	MN	9703773
404207	1376	1997-09-08	PRIJEM	PREVOD Z UCTU	4097	19747	DUCHOD	MN	9703773
404208	1376	1997-10-08	PRIJEM	PREVOD Z UCTU	4097	21167	DUCHOD	MN	9703773
404209	1376	1997-11-08	PRIJEM	PREVOD Z UCTU	4097	22594	DUCHOD	MN	9703773
404210	1376	1997-12-08	PRIJEM	PREVOD Z UCTU	4097	24026	DUCHOD	MN	9703773
404211	1376	1998-01-08	PRIJEM	PREVOD Z UCTU	4097	19708	DUCHOD	MN	9703773
404212	1376	1998-02-08	PRIJEM	PREVOD Z UCTU	4097	18405	DUCHOD	MN	9703773
404213	1376	1998-03-08	PRIJEM	PREVOD Z UCTU	4097	19820	DUCHOD	MN	9703773
404214	1376	1998-04-08	PRIJEM	PREVOD Z UCTU	4097	21240	DUCHOD	MN	9703773
404215	1376	1998-05-08	PRIJEM	PREVOD Z UCTU	4097	20742	DUCHOD	MN	9703773
404216	1376	1998-06-08	PRIJEM	PREVOD Z UCTU	4097	22166	DUCHOD	MN	9703773
404217	1376	1998-07-08	PRIJEM	PREVOD Z UCTU	4097	23597	DUCHOD	MN	9703773
404218	1376	1998-08-08	PRIJEM	PREVOD Z UCTU	4097	21505	DUCHOD	MN	9703773
404219	1376	1998-09-08	PRIJEM	PREVOD Z UCTU	4097	22932	DUCHOD	MN	9703773
404220	1376	1998-10-08	PRIJEM	PREVOD Z UCTU	4097	24365	DUCHOD	MN	9703773
404221	1376	1998-11-08	PRIJEM	PREVOD Z UCTU	4097	25804	DUCHOD	MN	9703773
404222	1376	1998-12-08	PRIJEM	PREVOD Z UCTU	4097	27250	DUCHOD	MN	9703773
404236	1376	1996-02-10	VYDAJ	PREVOD NA UCET	2731	18454	SIPO	QR	86161052
404237	1376	1996-03-10	VYDAJ	PREVOD NA UCET	2731	19858	SIPO	QR	86161052
404238	1376	1996-04-10	VYDAJ	PREVOD NA UCET	2731	21291	SIPO	QR	86161052
404239	1376	1996-05-10	VYDAJ	PREVOD NA UCET	2731	19282	SIPO	QR	86161052
404240	1376	1996-06-10	VYDAJ	PREVOD NA UCET	2731	20712	SIPO	QR	86161052
404241	1376	1996-07-10	VYDAJ	PREVOD NA UCET	2731	22148	SIPO	QR	86161052
404242	1376	1996-08-10	VYDAJ	PREVOD NA UCET	2731	23590	SIPO	QR	86161052
404243	1376	1996-09-10	VYDAJ	PREVOD NA UCET	2731	25038	SIPO	QR	86161052
404244	1376	1996-10-10	VYDAJ	PREVOD NA UCET	2731	26492	SIPO	QR	86161052
404245	1376	1996-11-10	VYDAJ	PREVOD NA UCET	2731	27952	SIPO	QR	86161052
404246	1376	1996-12-10	VYDAJ	PREVOD NA UCET	2731	29418	SIPO	QR	86161052
404247	1376	1997-01-10	VYDAJ	PREVOD NA UCET	2731	28498	SIPO	QR	86161052
404248	1376	1997-02-10	VYDAJ	PREVOD NA UCET	2731	21075	SIPO	QR	86161052
404249	1376	1997-03-10	VYDAJ	PREVOD NA UCET	2731	22512	SIPO	QR	86161052
404250	1376	1997-04-10	VYDAJ	PREVOD NA UCET	2731	23956	SIPO	QR	86161052
404251	1376	1997-05-10	VYDAJ	PREVOD NA UCET	2731	25405	SIPO	QR	86161052
404252	1376	1997-06-10	VYDAJ	PREVOD NA UCET	2731	23090	SIPO	QR	86161052
404253	1376	1997-07-10	VYDAJ	PREVOD NA UCET	2731	16177	SIPO	QR	86161052
404254	1376	1997-08-10	VYDAJ	PREVOD NA UCET	2731	17594	SIPO	QR	86161052
404255	1376	1997-09-10	VYDAJ	PREVOD NA UCET	2731	17016	SIPO	QR	86161052
404256	1376	1997-10-10	VYDAJ	PREVOD NA UCET	2731	18436	SIPO	QR	86161052
404257	1376	1997-11-10	VYDAJ	PREVOD NA UCET	2731	19863	SIPO	QR	86161052
404258	1376	1997-12-10	VYDAJ	PREVOD NA UCET	2731	21295	SIPO	QR	86161052
404259	1376	1998-01-10	VYDAJ	PREVOD NA UCET	2731	16977	SIPO	QR	86161052
404260	1376	1998-02-10	VYDAJ	PREVOD NA UCET	2731	15674	SIPO	QR	86161052
404261	1376	1998-03-10	VYDAJ	PREVOD NA UCET	2731	17089	SIPO	QR	86161052
404262	1376	1998-04-10	VYDAJ	PREVOD NA UCET	2731	18509	SIPO	QR	86161052
404263	1376	1998-05-10	VYDAJ	PREVOD NA UCET	2731	18011	SIPO	QR	86161052
404264	1376	1998-06-10	VYDAJ	PREVOD NA UCET	2731	19435	SIPO	QR	86161052
404265	1376	1998-07-10	VYDAJ	PREVOD NA UCET	2731	18146	SIPO	QR	86161052
404266	1376	1998-08-10	VYDAJ	PREVOD NA UCET	2731	18774	SIPO	QR	86161052
404267	1376	1998-09-10	VYDAJ	PREVOD NA UCET	2731	20201	SIPO	QR	86161052
404268	1376	1998-10-10	VYDAJ	PREVOD NA UCET	2731	21634	SIPO	QR	86161052
404269	1376	1998-11-10	VYDAJ	PREVOD NA UCET	2731	23073	SIPO	QR	86161052
404270	1376	1998-12-10	VYDAJ	PREVOD NA UCET	2731	24519	SIPO	QR	86161052
404273	1376	1997-06-14	VYDAJ	VYBER	7700	15390	\N	\N	\N
404276	1376	1996-12-19	VYDAJ	VYBER	1350	28068	\N	\N	\N
404277	1376	1997-12-25	VYDAJ	VYBER	950	18425	\N	\N	\N
404278	1376	1998-12-21	VYDAJ	VYBER	400	24119	\N	\N	\N
404291	1376	1997-01-11	VYDAJ	VYBER	1920	26578	\N	\N	\N
404292	1376	1997-01-29	VYDAJ	VYBER	1520	21458	\N	\N	\N
404293	1376	1997-01-29	VYDAJ	VYBER	1840	19618	\N	\N	\N
404294	1376	1997-01-02	VYDAJ	VYBER	1040	27132	\N	\N	\N
404295	1376	1997-01-23	VYDAJ	VYBER	1360	22978	\N	\N	\N
404296	1376	1997-01-13	VYDAJ	VYBER	2240	24338	\N	\N	\N
404297	1376	1998-01-17	VYDAJ	VYBER	480	16497	\N	\N	\N
404298	1376	1998-01-04	VYDAJ	VYBER	1360	15611	\N	\N	\N
404300	1376	1998-01-19	VYDAJ	VYBER	2240	14257	\N	\N	\N
404301	1376	1998-01-02	VYDAJ	VYBER	1520	16971	\N	\N	\N
404308	1376	1996-04-15	VYDAJ	VYBER	3440	17851	\N	\N	\N
404311	1376	1997-12-11	VYDAJ	VYBER	1920	19375	\N	\N	\N
404312	1376	1997-05-11	VYDAJ	VYBER	3760	21645	\N	\N	\N
404313	1376	1997-08-29	VYDAJ	VYBER	2000	15594	\N	\N	\N
404314	1376	1997-06-28	VYDAJ	VYBER	640	14750	\N	\N	\N
404318	1376	1998-04-15	VYDAJ	VYBER	1920	16589	\N	\N	\N
404319	1376	1998-12-25	VYDAJ	VYBER	960	23159	\N	\N	\N
404320	1376	1998-07-23	VYDAJ	VYBER	800	17346	\N	\N	\N
404321	1376	1998-07-08	VYDAJ	VYBER	2720	20877	\N	\N	\N
404336	1376	1996-02-29	VYDAJ	VYBER	15	18492	SLUZBY	\N	\N
404337	1376	1996-03-31	VYDAJ	VYBER	15	19925	SLUZBY	\N	\N
404338	1376	1996-04-30	VYDAJ	VYBER	15	17916	SLUZBY	\N	\N
404339	1376	1996-05-31	VYDAJ	VYBER	15	19346	SLUZBY	\N	\N
404340	1376	1996-06-30	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
404341	1376	1996-07-31	VYDAJ	VYBER	15	22224	SLUZBY	\N	\N
404342	1376	1996-08-31	VYDAJ	VYBER	15	23672	SLUZBY	\N	\N
404343	1376	1996-09-30	VYDAJ	VYBER	15	25126	SLUZBY	\N	\N
404344	1376	1996-10-31	VYDAJ	VYBER	15	26586	SLUZBY	\N	\N
404345	1376	1996-11-30	VYDAJ	VYBER	15	28052	SLUZBY	\N	\N
404346	1376	1996-12-31	VYDAJ	VYBER	15	28172	SLUZBY	\N	\N
404347	1376	1997-01-31	VYDAJ	VYBER	15	19709	SLUZBY	\N	\N
404348	1376	1997-02-28	VYDAJ	VYBER	15	21146	SLUZBY	\N	\N
404349	1376	1997-03-31	VYDAJ	VYBER	15	22590	SLUZBY	\N	\N
404350	1376	1997-04-30	VYDAJ	VYBER	15	24039	SLUZBY	\N	\N
404351	1376	1997-05-31	VYDAJ	VYBER	15	21724	SLUZBY	\N	\N
404352	1376	1997-06-30	VYDAJ	VYBER	15	14811	SLUZBY	\N	\N
404353	1376	1997-07-31	VYDAJ	VYBER	15	16228	SLUZBY	\N	\N
404354	1376	1997-08-31	VYDAJ	VYBER	15	15650	SLUZBY	\N	\N
404355	1376	1997-09-30	VYDAJ	VYBER	15	17070	SLUZBY	\N	\N
404356	1376	1997-10-31	VYDAJ	VYBER	15	18497	SLUZBY	\N	\N
404357	1376	1997-11-30	VYDAJ	VYBER	15	19929	SLUZBY	\N	\N
404358	1376	1997-12-31	VYDAJ	VYBER	15	18491	SLUZBY	\N	\N
404359	1376	1998-01-31	VYDAJ	VYBER	15	14308	SLUZBY	\N	\N
404360	1376	1998-02-28	VYDAJ	VYBER	15	15723	SLUZBY	\N	\N
404361	1376	1998-03-31	VYDAJ	VYBER	15	17143	SLUZBY	\N	\N
404362	1376	1998-04-30	VYDAJ	VYBER	15	16645	SLUZBY	\N	\N
404363	1376	1998-05-31	VYDAJ	VYBER	15	18069	SLUZBY	\N	\N
404364	1376	1998-06-30	VYDAJ	VYBER	15	19500	SLUZBY	\N	\N
404365	1376	1998-07-31	VYDAJ	VYBER	15	17408	SLUZBY	\N	\N
404366	1376	1998-08-31	VYDAJ	VYBER	15	18835	SLUZBY	\N	\N
404367	1376	1998-09-30	VYDAJ	VYBER	15	20268	SLUZBY	\N	\N
404368	1376	1998-10-31	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
404369	1376	1998-11-30	VYDAJ	VYBER	15	23153	SLUZBY	\N	\N
404405	1377	1996-09-25	PRIJEM	VKLAD	300	300	\N	\N	\N
404415	1377	1996-10-09	PRIJEM	PREVOD Z UCTU	3432	3732	\N	GH	90248107
404416	1377	1996-11-09	PRIJEM	PREVOD Z UCTU	3432	7164	\N	GH	90248107
404417	1377	1996-12-09	PRIJEM	PREVOD Z UCTU	3432	10596	\N	GH	90248107
404418	1377	1997-01-09	PRIJEM	PREVOD Z UCTU	3432	14028	\N	GH	90248107
404419	1377	1997-02-09	PRIJEM	PREVOD Z UCTU	3432	17460	\N	GH	90248107
404420	1377	1997-03-09	PRIJEM	PREVOD Z UCTU	3432	18639	\N	GH	90248107
404421	1377	1997-04-09	PRIJEM	PREVOD Z UCTU	3432	18621	\N	GH	90248107
404422	1377	1997-05-09	PRIJEM	PREVOD Z UCTU	3432	19832	\N	GH	90248107
404423	1377	1997-06-09	PRIJEM	PREVOD Z UCTU	3432	19188	\N	GH	90248107
404424	1377	1997-07-09	PRIJEM	PREVOD Z UCTU	3432	15923	\N	GH	90248107
404425	1377	1997-08-09	PRIJEM	PREVOD Z UCTU	3432	16312	\N	GH	90248107
404426	1377	1997-09-09	PRIJEM	PREVOD Z UCTU	3432	17514	\N	GH	90248107
404427	1377	1997-10-09	PRIJEM	PREVOD Z UCTU	3432	18721	\N	GH	90248107
404428	1377	1997-11-09	PRIJEM	PREVOD Z UCTU	3432	19933	\N	GH	90248107
404429	1377	1997-12-09	PRIJEM	PREVOD Z UCTU	3432	20969	\N	GH	90248107
404430	1377	1998-01-09	PRIJEM	PREVOD Z UCTU	3432	19220	\N	GH	90248107
404431	1377	1998-02-09	PRIJEM	PREVOD Z UCTU	3432	18213	\N	GH	90248107
404432	1377	1998-03-09	PRIJEM	PREVOD Z UCTU	3432	18762	\N	GH	90248107
404433	1377	1998-04-09	PRIJEM	PREVOD Z UCTU	3432	19974	\N	GH	90248107
404434	1377	1998-05-09	PRIJEM	PREVOD Z UCTU	3432	19307	\N	GH	90248107
404435	1377	1998-06-09	PRIJEM	PREVOD Z UCTU	3432	18109	\N	GH	90248107
404436	1377	1998-07-09	PRIJEM	PREVOD Z UCTU	3432	18619	\N	GH	90248107
404437	1377	1998-08-09	PRIJEM	PREVOD Z UCTU	3432	18328	\N	GH	90248107
404438	1377	1998-09-09	PRIJEM	PREVOD Z UCTU	3432	15730	\N	GH	90248107
404439	1377	1998-10-09	PRIJEM	PREVOD Z UCTU	3432	15225	\N	GH	90248107
404440	1377	1998-11-09	PRIJEM	PREVOD Z UCTU	3432	16422	\N	GH	90248107
404441	1377	1998-12-09	PRIJEM	PREVOD Z UCTU	3432	17234	\N	GH	90248107
404455	1377	1997-02-14	VYDAJ	PREVOD NA UCET	2272	15188	SIPO	QR	94826453
404456	1377	1997-03-14	VYDAJ	PREVOD NA UCET	2272	16367	SIPO	QR	94826453
404457	1377	1997-04-14	VYDAJ	PREVOD NA UCET	2272	16349	SIPO	QR	94826453
404458	1377	1997-05-14	VYDAJ	PREVOD NA UCET	2272	17560	SIPO	QR	94826453
404459	1377	1997-06-14	VYDAJ	PREVOD NA UCET	2272	13646	SIPO	QR	94826453
404460	1377	1997-07-14	VYDAJ	PREVOD NA UCET	2272	13651	SIPO	QR	94826453
404461	1377	1997-08-14	VYDAJ	PREVOD NA UCET	2272	14040	SIPO	QR	94826453
404462	1377	1997-09-14	VYDAJ	PREVOD NA UCET	2272	15242	SIPO	QR	94826453
404463	1377	1997-10-14	VYDAJ	PREVOD NA UCET	2272	16449	SIPO	QR	94826453
404464	1377	1997-11-14	VYDAJ	PREVOD NA UCET	2272	17661	SIPO	QR	94826453
404465	1377	1997-12-14	VYDAJ	PREVOD NA UCET	2272	18697	SIPO	QR	94826453
404466	1377	1998-01-14	VYDAJ	PREVOD NA UCET	2272	15898	SIPO	QR	94826453
404467	1377	1998-02-14	VYDAJ	PREVOD NA UCET	2272	15281	SIPO	QR	94826453
404468	1377	1998-03-14	VYDAJ	PREVOD NA UCET	2272	16490	SIPO	QR	94826453
404469	1377	1998-04-14	VYDAJ	PREVOD NA UCET	2272	17702	SIPO	QR	94826453
404470	1377	1998-05-14	VYDAJ	PREVOD NA UCET	2272	15895	SIPO	QR	94826453
404471	1377	1998-06-14	VYDAJ	PREVOD NA UCET	2272	15837	SIPO	QR	94826453
404472	1377	1998-07-14	VYDAJ	PREVOD NA UCET	2272	16347	SIPO	QR	94826453
404473	1377	1998-08-14	VYDAJ	PREVOD NA UCET	2272	16056	SIPO	QR	94826453
404474	1377	1998-09-14	VYDAJ	PREVOD NA UCET	2272	13458	SIPO	QR	94826453
404475	1377	1998-10-14	VYDAJ	PREVOD NA UCET	2272	12953	SIPO	QR	94826453
404476	1377	1998-11-14	VYDAJ	PREVOD NA UCET	2272	14150	SIPO	QR	94826453
404477	1377	1998-12-14	VYDAJ	PREVOD NA UCET	2272	14962	SIPO	QR	94826453
404479	1377	1997-06-09	VYDAJ	VYBER	3270	15918	\N	\N	\N
404483	1377	1998-01-03	VYDAJ	VYBER	1680	16568	\N	\N	\N
404485	1377	1997-12-18	VYDAJ	VYBER	360	18337	\N	\N	\N
404486	1377	1998-12-01	VYDAJ	VYBER	390	13802	\N	\N	\N
404499	1377	1998-01-01	VYDAJ	VYBER	150	18248	\N	\N	\N
404500	1377	1998-01-28	VYDAJ	VYBER	810	14728	\N	\N	\N
404501	1377	1998-01-15	VYDAJ	VYBER	360	15538	\N	\N	\N
404502	1377	1998-01-04	VYDAJ	VYBER	780	15788	\N	\N	\N
404503	1377	1998-01-10	VYDAJ	VYBER	690	18170	\N	\N	\N
404504	1377	1998-01-09	VYDAJ	VYBER	360	18860	\N	\N	\N
404512	1377	1997-05-27	VYDAJ	VYBER	780	16780	\N	\N	\N
404513	1377	1997-07-20	VYDAJ	VYBER	810	12841	\N	\N	\N
404514	1377	1997-06-17	VYDAJ	VYBER	1200	12446	\N	\N	\N
404515	1377	1997-11-27	VYDAJ	VYBER	180	17481	\N	\N	\N
404518	1377	1997-06-05	VYDAJ	VYBER	1080	15756	\N	\N	\N
404519	1377	1997-03-31	VYDAJ	VYBER	1230	15189	\N	\N	\N
404520	1377	1998-05-09	VYDAJ	VYBER	1140	18167	\N	\N	\N
404521	1377	1998-02-12	VYDAJ	VYBER	660	17553	\N	\N	\N
404522	1377	1998-04-17	VYDAJ	VYBER	480	17222	\N	\N	\N
404524	1377	1998-06-04	VYDAJ	VYBER	270	14677	\N	\N	\N
404539	1377	1997-02-28	VYDAJ	VYBER	15	15207	SLUZBY	\N	\N
404540	1377	1997-03-31	VYDAJ	VYBER	15	16419	SLUZBY	\N	\N
404541	1377	1997-04-30	VYDAJ	VYBER	15	16400	SLUZBY	\N	\N
404542	1377	1997-05-31	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
404543	1377	1997-06-30	VYDAJ	VYBER	15	12491	SLUZBY	\N	\N
404544	1377	1997-07-31	VYDAJ	VYBER	15	12880	SLUZBY	\N	\N
404545	1377	1997-08-31	VYDAJ	VYBER	15	14082	SLUZBY	\N	\N
404546	1377	1997-09-30	VYDAJ	VYBER	15	15289	SLUZBY	\N	\N
404547	1377	1997-10-31	VYDAJ	VYBER	15	16501	SLUZBY	\N	\N
404548	1377	1997-11-30	VYDAJ	VYBER	15	17537	SLUZBY	\N	\N
404549	1377	1997-12-31	VYDAJ	VYBER	15	18398	SLUZBY	\N	\N
404550	1377	1998-01-31	VYDAJ	VYBER	15	14781	SLUZBY	\N	\N
404551	1377	1998-02-28	VYDAJ	VYBER	15	15330	SLUZBY	\N	\N
404552	1377	1998-03-31	VYDAJ	VYBER	15	16542	SLUZBY	\N	\N
404553	1377	1998-04-30	VYDAJ	VYBER	15	15875	SLUZBY	\N	\N
404554	1377	1998-05-31	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
404555	1377	1998-06-30	VYDAJ	VYBER	15	15187	SLUZBY	\N	\N
404556	1377	1998-07-31	VYDAJ	VYBER	15	14896	SLUZBY	\N	\N
404557	1377	1998-08-31	VYDAJ	VYBER	15	12298	SLUZBY	\N	\N
404558	1377	1998-09-30	VYDAJ	VYBER	15	11793	SLUZBY	\N	\N
404559	1377	1998-10-31	VYDAJ	VYBER	15	12990	SLUZBY	\N	\N
404560	1377	1998-11-30	VYDAJ	VYBER	15	14192	SLUZBY	\N	\N
404561	1377	1998-04-18	VYDAJ	VYBER	1400	15822	\N	\N	\N
404562	1377	1998-05-18	VYDAJ	VYBER	1000	14895	\N	\N	\N
404563	1377	1998-06-17	VYDAJ	VYBER	700	15137	\N	\N	\N
404564	1377	1998-07-17	VYDAJ	VYBER	1500	14847	\N	\N	\N
404565	1377	1998-08-16	VYDAJ	VYBER	3800	12256	\N	\N	\N
404566	1377	1998-09-15	VYDAJ	VYBER	1700	11758	\N	\N	\N
404590	1378	1993-03-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
404593	1378	1993-03-13	PRIJEM	VKLAD	24419	25519	\N	\N	\N
404594	1378	1993-04-13	PRIJEM	VKLAD	24419	50603	\N	\N	\N
404595	1378	1993-05-13	PRIJEM	VKLAD	24419	61891	\N	\N	\N
404596	1378	1993-06-13	PRIJEM	VKLAD	36628	79259	\N	\N	\N
404597	1378	1993-07-13	PRIJEM	VKLAD	24419	77579	\N	\N	\N
404598	1378	1993-08-13	PRIJEM	VKLAD	24419	68832	\N	\N	\N
404599	1378	1993-09-13	PRIJEM	VKLAD	24419	64230	\N	\N	\N
404600	1378	1993-10-13	PRIJEM	VKLAD	24419	61401	\N	\N	\N
404601	1378	1993-11-13	PRIJEM	VKLAD	24419	57945	\N	\N	\N
404602	1378	1993-12-13	PRIJEM	VKLAD	36628	72688	\N	\N	\N
404603	1378	1994-01-13	PRIJEM	VKLAD	24419	61760	\N	\N	\N
404604	1378	1994-02-13	PRIJEM	VKLAD	24419	63407	\N	\N	\N
404605	1378	1994-03-13	PRIJEM	VKLAD	24419	62856	\N	\N	\N
404606	1378	1994-04-13	PRIJEM	VKLAD	24419	61904	\N	\N	\N
404607	1378	1994-05-13	PRIJEM	VKLAD	24419	64850	\N	\N	\N
404608	1378	1994-06-13	PRIJEM	VKLAD	36628	77413	\N	\N	\N
404609	1378	1994-07-13	PRIJEM	VKLAD	24419	72697	\N	\N	\N
404610	1378	1994-08-13	PRIJEM	VKLAD	24419	69579	\N	\N	\N
404611	1378	1994-09-13	PRIJEM	VKLAD	24419	68548	\N	\N	\N
404612	1378	1994-10-13	PRIJEM	VKLAD	24419	68611	\N	\N	\N
404613	1378	1994-11-13	PRIJEM	VKLAD	24419	69274	\N	\N	\N
404614	1378	1994-12-13	PRIJEM	VKLAD	36628	77847	\N	\N	\N
404615	1378	1995-01-13	PRIJEM	VKLAD	24419	72921	\N	\N	\N
404616	1378	1995-02-13	PRIJEM	VKLAD	24419	66185	\N	\N	\N
404617	1378	1995-03-13	PRIJEM	VKLAD	24419	70136	\N	\N	\N
404618	1378	1995-04-13	PRIJEM	VKLAD	24419	71503	\N	\N	\N
404619	1378	1995-05-13	PRIJEM	VKLAD	24419	72274	\N	\N	\N
404620	1378	1995-06-13	PRIJEM	VKLAD	36628	85857	\N	\N	\N
404621	1378	1995-07-13	PRIJEM	VKLAD	24419	82160	\N	\N	\N
404622	1378	1995-08-13	PRIJEM	VKLAD	24419	79769	\N	\N	\N
404623	1378	1995-09-13	PRIJEM	VKLAD	24419	75759	\N	\N	\N
404624	1378	1995-10-13	PRIJEM	VKLAD	24419	75043	\N	\N	\N
404625	1378	1995-11-13	PRIJEM	VKLAD	24419	75020	\N	\N	\N
404626	1378	1995-12-13	PRIJEM	VKLAD	36628	84401	\N	\N	\N
404627	1378	1996-01-13	PRIJEM	VKLAD	24419	65984	\N	\N	\N
404628	1378	1996-02-13	PRIJEM	VKLAD	24419	66929	\N	\N	\N
404629	1378	1996-03-13	PRIJEM	VKLAD	24419	68971	\N	\N	\N
404630	1378	1996-04-13	PRIJEM	VKLAD	24419	75928	\N	\N	\N
404631	1378	1996-05-13	PRIJEM	VKLAD	24419	78103	\N	\N	\N
404632	1378	1996-06-13	PRIJEM	VKLAD	36628	95200	\N	\N	\N
404633	1378	1996-07-13	PRIJEM	VKLAD	24419	86113	\N	\N	\N
404634	1378	1996-08-13	PRIJEM	VKLAD	24419	79313	\N	\N	\N
404635	1378	1996-09-13	PRIJEM	VKLAD	24419	77087	\N	\N	\N
404636	1378	1996-10-13	PRIJEM	VKLAD	24419	80765	\N	\N	\N
404637	1378	1996-11-13	PRIJEM	VKLAD	24419	84055	\N	\N	\N
404638	1378	1996-12-13	PRIJEM	VKLAD	36628	93452	\N	\N	\N
404639	1378	1997-01-13	PRIJEM	VKLAD	24419	73405	\N	\N	\N
404640	1378	1997-02-13	PRIJEM	VKLAD	24419	74508	\N	\N	\N
404641	1378	1997-03-13	PRIJEM	VKLAD	24419	93320	\N	\N	\N
404642	1378	1997-04-13	PRIJEM	VKLAD	24419	79735	\N	\N	\N
404643	1378	1997-05-13	PRIJEM	VKLAD	24419	88966	\N	\N	\N
404644	1378	1997-06-13	PRIJEM	VKLAD	36628	106049	\N	\N	\N
404645	1378	1997-07-13	PRIJEM	VKLAD	24419	105381	\N	\N	\N
404646	1378	1997-08-13	PRIJEM	VKLAD	24419	106137	\N	\N	\N
404647	1378	1997-09-13	PRIJEM	VKLAD	24419	104890	\N	\N	\N
404648	1378	1997-10-13	PRIJEM	VKLAD	24419	102337	\N	\N	\N
404649	1378	1997-11-13	PRIJEM	VKLAD	24419	99888	\N	\N	\N
404650	1378	1997-12-13	PRIJEM	VKLAD	36628	105024	\N	\N	\N
404651	1378	1998-01-13	PRIJEM	VKLAD	24419	93048	\N	\N	\N
404652	1378	1998-02-13	PRIJEM	VKLAD	24419	89834	\N	\N	\N
404653	1378	1998-03-13	PRIJEM	VKLAD	24419	92503	\N	\N	\N
404654	1378	1998-04-13	PRIJEM	VKLAD	24419	95289	\N	\N	\N
404655	1378	1998-05-13	PRIJEM	VKLAD	24419	98282	\N	\N	\N
404656	1378	1998-06-13	PRIJEM	VKLAD	36628	114101	\N	\N	\N
404657	1378	1998-07-13	PRIJEM	VKLAD	24419	108951	\N	\N	\N
404658	1378	1998-08-13	PRIJEM	VKLAD	24419	103105	\N	\N	\N
404659	1378	1998-09-13	PRIJEM	VKLAD	24419	98548	\N	\N	\N
404660	1378	1998-10-13	PRIJEM	VKLAD	24419	94658	\N	\N	\N
404661	1378	1998-11-13	PRIJEM	VKLAD	24419	90151	\N	\N	\N
404662	1378	1998-12-13	PRIJEM	VKLAD	36628	101433	\N	\N	\N
404670	1378	1993-08-09	VYDAJ	PREVOD NA UCET	2953	44413	SIPO	QR	81520026
404671	1378	1993-09-09	VYDAJ	PREVOD NA UCET	2953	40504	SIPO	QR	81520026
404672	1378	1993-10-09	VYDAJ	PREVOD NA UCET	2953	37675	SIPO	QR	81520026
404673	1378	1993-11-09	VYDAJ	PREVOD NA UCET	2953	34219	SIPO	QR	81520026
404674	1378	1993-12-09	VYDAJ	PREVOD NA UCET	2953	37260	SIPO	QR	81520026
404675	1378	1994-01-09	VYDAJ	PREVOD NA UCET	2953	40834	SIPO	QR	81520026
404676	1378	1994-02-09	VYDAJ	PREVOD NA UCET	2953	38988	SIPO	QR	81520026
404677	1378	1994-03-09	VYDAJ	PREVOD NA UCET	2953	38437	SIPO	QR	81520026
404678	1378	1994-04-09	VYDAJ	PREVOD NA UCET	2953	38178	SIPO	QR	81520026
404679	1378	1994-05-09	VYDAJ	PREVOD NA UCET	2953	40431	SIPO	QR	81520026
404680	1378	1994-06-09	VYDAJ	PREVOD NA UCET	2953	40785	SIPO	QR	81520026
404681	1378	1994-07-09	VYDAJ	PREVOD NA UCET	2953	48278	SIPO	QR	81520026
404682	1378	1994-08-09	VYDAJ	PREVOD NA UCET	2953	45853	SIPO	QR	81520026
404683	1378	1994-09-09	VYDAJ	PREVOD NA UCET	2953	44822	SIPO	QR	81520026
404684	1378	1994-10-09	VYDAJ	PREVOD NA UCET	2953	44885	SIPO	QR	81520026
404685	1378	1994-11-09	VYDAJ	PREVOD NA UCET	2953	46348	SIPO	QR	81520026
404686	1378	1994-12-09	VYDAJ	PREVOD NA UCET	2953	41912	SIPO	QR	81520026
404687	1378	1995-01-09	VYDAJ	PREVOD NA UCET	2953	48502	SIPO	QR	81520026
404688	1378	1995-02-09	VYDAJ	PREVOD NA UCET	2953	42459	SIPO	QR	81520026
404689	1378	1995-03-09	VYDAJ	PREVOD NA UCET	2953	45717	SIPO	QR	81520026
404690	1378	1995-04-09	VYDAJ	PREVOD NA UCET	2953	47084	SIPO	QR	81520026
404691	1378	1995-05-09	VYDAJ	PREVOD NA UCET	2953	47855	SIPO	QR	81520026
404692	1378	1995-06-09	VYDAJ	PREVOD NA UCET	2953	49229	SIPO	QR	81520026
404693	1378	1995-07-09	VYDAJ	PREVOD NA UCET	2953	57741	SIPO	QR	81520026
404694	1378	1995-08-09	VYDAJ	PREVOD NA UCET	2953	56043	SIPO	QR	81520026
404695	1378	1995-09-09	VYDAJ	PREVOD NA UCET	2953	52033	SIPO	QR	81520026
404696	1378	1995-10-09	VYDAJ	PREVOD NA UCET	2953	51317	SIPO	QR	81520026
404697	1378	1995-11-09	VYDAJ	PREVOD NA UCET	2953	50601	SIPO	QR	81520026
404698	1378	1995-12-09	VYDAJ	PREVOD NA UCET	2953	50966	SIPO	QR	81520026
404699	1378	1996-01-09	VYDAJ	PREVOD NA UCET	2953	45865	SIPO	QR	81520026
404700	1378	1996-02-09	VYDAJ	PREVOD NA UCET	2953	42510	SIPO	QR	81520026
404701	1378	1996-03-09	VYDAJ	PREVOD NA UCET	2953	45245	SIPO	QR	81520026
404702	1378	1996-04-09	VYDAJ	PREVOD NA UCET	2953	52202	SIPO	QR	81520026
404703	1378	1996-05-09	VYDAJ	PREVOD NA UCET	2953	54377	SIPO	QR	81520026
404704	1378	1996-06-09	VYDAJ	PREVOD NA UCET	2953	58572	SIPO	QR	81520026
404705	1378	1996-07-09	VYDAJ	PREVOD NA UCET	2953	62387	SIPO	QR	81520026
404706	1378	1996-08-09	VYDAJ	PREVOD NA UCET	2953	55587	SIPO	QR	81520026
404707	1378	1996-09-09	VYDAJ	PREVOD NA UCET	2953	52668	SIPO	QR	81520026
404708	1378	1996-10-09	VYDAJ	PREVOD NA UCET	2953	57039	SIPO	QR	81520026
404709	1378	1996-11-09	VYDAJ	PREVOD NA UCET	2953	60329	SIPO	QR	81520026
404710	1378	1996-12-09	VYDAJ	PREVOD NA UCET	2953	57517	SIPO	QR	81520026
404711	1378	1997-01-09	VYDAJ	PREVOD NA UCET	2953	60779	SIPO	QR	81520026
404712	1378	1997-02-09	VYDAJ	PREVOD NA UCET	2953	60882	SIPO	QR	81520026
404713	1378	1997-03-09	VYDAJ	PREVOD NA UCET	2953	68901	SIPO	QR	81520026
404714	1378	1997-04-09	VYDAJ	PREVOD NA UCET	2953	62316	SIPO	QR	81520026
404715	1378	1997-05-09	VYDAJ	PREVOD NA UCET	2953	74840	SIPO	QR	81520026
404716	1378	1997-06-09	VYDAJ	PREVOD NA UCET	2953	83421	SIPO	QR	81520026
404717	1378	1997-07-09	VYDAJ	PREVOD NA UCET	2953	100562	SIPO	QR	81520026
404718	1378	1997-08-09	VYDAJ	PREVOD NA UCET	2953	100611	SIPO	QR	81520026
404719	1378	1997-09-09	VYDAJ	PREVOD NA UCET	2953	80471	SIPO	QR	81520026
404720	1378	1997-10-09	VYDAJ	PREVOD NA UCET	2953	100111	SIPO	QR	81520026
404721	1378	1997-11-09	VYDAJ	PREVOD NA UCET	2953	75469	SIPO	QR	81520026
404722	1378	1997-12-09	VYDAJ	PREVOD NA UCET	2953	68396	SIPO	QR	81520026
404723	1378	1998-01-09	VYDAJ	PREVOD NA UCET	2953	71029	SIPO	QR	81520026
404724	1378	1998-02-09	VYDAJ	PREVOD NA UCET	2953	66108	SIPO	QR	81520026
404725	1378	1998-03-09	VYDAJ	PREVOD NA UCET	2953	68084	SIPO	QR	81520026
404726	1378	1998-04-09	VYDAJ	PREVOD NA UCET	2953	71563	SIPO	QR	81520026
404727	1378	1998-05-09	VYDAJ	PREVOD NA UCET	2953	73863	SIPO	QR	81520026
404728	1378	1998-06-09	VYDAJ	PREVOD NA UCET	2953	78166	SIPO	QR	81520026
404729	1378	1998-07-09	VYDAJ	PREVOD NA UCET	2953	84532	SIPO	QR	81520026
404730	1378	1998-08-09	VYDAJ	PREVOD NA UCET	2953	79379	SIPO	QR	81520026
404731	1378	1998-09-09	VYDAJ	PREVOD NA UCET	2953	74129	SIPO	QR	81520026
404732	1378	1998-10-09	VYDAJ	PREVOD NA UCET	2953	70932	SIPO	QR	81520026
404733	1378	1998-11-09	VYDAJ	PREVOD NA UCET	2953	65732	SIPO	QR	81520026
404734	1378	1998-12-09	VYDAJ	PREVOD NA UCET	2953	65498	SIPO	QR	81520026
404742	1378	1993-08-05	VYDAJ	PREVOD NA UCET	1347	48059	 	EF	29417294
404743	1378	1993-09-05	VYDAJ	PREVOD NA UCET	1347	43457	 	EF	29417294
404744	1378	1993-10-05	VYDAJ	PREVOD NA UCET	1347	40628	 	EF	29417294
404745	1378	1993-11-05	VYDAJ	PREVOD NA UCET	1347	40472	 	EF	29417294
404746	1378	1993-12-05	VYDAJ	PREVOD NA UCET	1347	40906	 	EF	29417294
404747	1378	1994-01-05	VYDAJ	PREVOD NA UCET	1347	47387	 	EF	29417294
404748	1378	1994-02-05	VYDAJ	PREVOD NA UCET	1347	42634	 	EF	29417294
404749	1378	1994-03-05	VYDAJ	PREVOD NA UCET	1347	42083	 	EF	29417294
405004	1378	1995-02-02	VYDAJ	VYBER	1300	46759	\N	\N	\N
404750	1378	1994-04-05	VYDAJ	PREVOD NA UCET	1347	41131	 	EF	29417294
404751	1378	1994-05-05	VYDAJ	PREVOD NA UCET	1347	44077	 	EF	29417294
404752	1378	1994-06-05	VYDAJ	PREVOD NA UCET	1347	44431	 	EF	29417294
404753	1378	1994-07-05	VYDAJ	PREVOD NA UCET	1347	51924	 	EF	29417294
404754	1378	1994-08-05	VYDAJ	PREVOD NA UCET	1347	48806	 	EF	29417294
404755	1378	1994-09-05	VYDAJ	PREVOD NA UCET	1347	47775	 	EF	29417294
404756	1378	1994-10-05	VYDAJ	PREVOD NA UCET	1347	47838	 	EF	29417294
404757	1378	1994-11-05	VYDAJ	PREVOD NA UCET	1347	49301	 	EF	29417294
404758	1378	1994-12-05	VYDAJ	PREVOD NA UCET	1347	44865	 	EF	29417294
404759	1378	1995-01-05	VYDAJ	PREVOD NA UCET	1347	52148	 	EF	29417294
404760	1378	1995-02-05	VYDAJ	PREVOD NA UCET	1347	45412	 	EF	29417294
404761	1378	1995-03-05	VYDAJ	PREVOD NA UCET	1347	49363	 	EF	29417294
404762	1378	1995-04-05	VYDAJ	PREVOD NA UCET	1347	50730	 	EF	29417294
404763	1378	1995-05-05	VYDAJ	PREVOD NA UCET	1347	51501	 	EF	29417294
404764	1378	1995-06-05	VYDAJ	PREVOD NA UCET	1347	52875	 	EF	29417294
404765	1378	1995-07-05	VYDAJ	PREVOD NA UCET	1347	61387	 	EF	29417294
404766	1378	1995-08-05	VYDAJ	PREVOD NA UCET	1347	58996	 	EF	29417294
404767	1378	1995-09-05	VYDAJ	PREVOD NA UCET	1347	56786	 	EF	29417294
404768	1378	1995-10-05	VYDAJ	PREVOD NA UCET	1347	57770	 	EF	29417294
404769	1378	1995-11-05	VYDAJ	PREVOD NA UCET	1347	54247	 	EF	29417294
404770	1378	1995-12-05	VYDAJ	PREVOD NA UCET	1347	53919	 	EF	29417294
404771	1378	1996-01-05	VYDAJ	PREVOD NA UCET	1347	52411	 	EF	29417294
404772	1378	1996-02-05	VYDAJ	PREVOD NA UCET	1347	46156	 	EF	29417294
404773	1378	1996-03-05	VYDAJ	PREVOD NA UCET	1347	48198	 	EF	29417294
404774	1378	1996-04-05	VYDAJ	PREVOD NA UCET	1347	55155	 	EF	29417294
404775	1378	1996-05-05	VYDAJ	PREVOD NA UCET	1347	57330	 	EF	29417294
404776	1378	1996-06-05	VYDAJ	PREVOD NA UCET	1347	62218	 	EF	29417294
404777	1378	1996-07-05	VYDAJ	PREVOD NA UCET	1347	65340	 	EF	29417294
404778	1378	1996-08-05	VYDAJ	PREVOD NA UCET	1347	60740	 	EF	29417294
404779	1378	1996-09-05	VYDAJ	PREVOD NA UCET	1347	56314	 	EF	29417294
404780	1378	1996-10-05	VYDAJ	PREVOD NA UCET	1347	59992	 	EF	29417294
404781	1378	1996-11-05	VYDAJ	PREVOD NA UCET	1347	63282	 	EF	29417294
404782	1378	1996-12-05	VYDAJ	PREVOD NA UCET	1347	60470	 	EF	29417294
404783	1378	1997-01-05	VYDAJ	PREVOD NA UCET	1347	65132	 	EF	29417294
404784	1378	1997-02-05	VYDAJ	PREVOD NA UCET	1347	63835	 	EF	29417294
404785	1378	1997-03-05	VYDAJ	PREVOD NA UCET	1347	72547	 	EF	29417294
404786	1378	1997-04-05	VYDAJ	PREVOD NA UCET	1347	65962	 	EF	29417294
404787	1378	1997-05-05	VYDAJ	PREVOD NA UCET	1347	77793	 	EF	29417294
404788	1378	1997-06-05	VYDAJ	PREVOD NA UCET	1347	87067	 	EF	29417294
404789	1378	1997-07-05	VYDAJ	PREVOD NA UCET	1347	104208	 	EF	29417294
404790	1378	1997-08-05	VYDAJ	PREVOD NA UCET	1347	103564	 	EF	29417294
404791	1378	1997-09-05	VYDAJ	PREVOD NA UCET	1347	104317	 	EF	29417294
404792	1378	1997-10-05	VYDAJ	PREVOD NA UCET	1347	103064	 	EF	29417294
404793	1378	1997-11-05	VYDAJ	PREVOD NA UCET	1347	100515	 	EF	29417294
404794	1378	1997-12-05	VYDAJ	PREVOD NA UCET	1347	95542	 	EF	29417294
404795	1378	1998-01-05	VYDAJ	PREVOD NA UCET	1347	100775	 	EF	29417294
404796	1378	1998-02-05	VYDAJ	PREVOD NA UCET	1347	84361	 	EF	29417294
404797	1378	1998-03-05	VYDAJ	PREVOD NA UCET	1347	87930	 	EF	29417294
404798	1378	1998-04-05	VYDAJ	PREVOD NA UCET	1347	86116	 	EF	29417294
404799	1378	1998-05-05	VYDAJ	PREVOD NA UCET	1347	92609	 	EF	29417294
404800	1378	1998-06-05	VYDAJ	PREVOD NA UCET	1347	96419	 	EF	29417294
404801	1378	1998-07-05	VYDAJ	PREVOD NA UCET	1347	107678	 	EF	29417294
404802	1378	1998-08-05	VYDAJ	PREVOD NA UCET	1347	107132	 	EF	29417294
404803	1378	1998-09-05	VYDAJ	PREVOD NA UCET	1347	77775	 	EF	29417294
404804	1378	1998-10-05	VYDAJ	PREVOD NA UCET	1347	73885	 	EF	29417294
404805	1378	1998-11-05	VYDAJ	PREVOD NA UCET	1347	73778	 	EF	29417294
404806	1378	1998-12-05	VYDAJ	PREVOD NA UCET	1347	68451	 	EF	29417294
404814	1378	1993-08-09	VYDAJ	PREVOD NA UCET	693	47366	POJISTNE	OP	12318605
404815	1378	1993-09-09	VYDAJ	PREVOD NA UCET	693	39811	POJISTNE	OP	12318605
404816	1378	1993-10-09	VYDAJ	PREVOD NA UCET	693	36982	POJISTNE	OP	12318605
404817	1378	1993-11-09	VYDAJ	PREVOD NA UCET	693	33526	POJISTNE	OP	12318605
404818	1378	1993-12-09	VYDAJ	PREVOD NA UCET	693	40213	POJISTNE	OP	12318605
404819	1378	1994-01-09	VYDAJ	PREVOD NA UCET	693	40141	POJISTNE	OP	12318605
404820	1378	1994-02-09	VYDAJ	PREVOD NA UCET	693	41941	POJISTNE	OP	12318605
404821	1378	1994-03-09	VYDAJ	PREVOD NA UCET	693	41390	POJISTNE	OP	12318605
404822	1378	1994-04-09	VYDAJ	PREVOD NA UCET	693	37485	POJISTNE	OP	12318605
404823	1378	1994-05-09	VYDAJ	PREVOD NA UCET	693	43384	POJISTNE	OP	12318605
404824	1378	1994-06-09	VYDAJ	PREVOD NA UCET	693	43738	POJISTNE	OP	12318605
404825	1378	1994-07-09	VYDAJ	PREVOD NA UCET	693	51231	POJISTNE	OP	12318605
404826	1378	1994-08-09	VYDAJ	PREVOD NA UCET	693	45160	POJISTNE	OP	12318605
404827	1378	1994-09-09	VYDAJ	PREVOD NA UCET	693	44129	POJISTNE	OP	12318605
404828	1378	1994-10-09	VYDAJ	PREVOD NA UCET	693	44192	POJISTNE	OP	12318605
404829	1378	1994-11-09	VYDAJ	PREVOD NA UCET	693	45655	POJISTNE	OP	12318605
404830	1378	1994-12-09	VYDAJ	PREVOD NA UCET	693	41219	POJISTNE	OP	12318605
404831	1378	1995-01-09	VYDAJ	PREVOD NA UCET	693	51455	POJISTNE	OP	12318605
404832	1378	1995-02-09	VYDAJ	PREVOD NA UCET	693	41766	POJISTNE	OP	12318605
404833	1378	1995-03-09	VYDAJ	PREVOD NA UCET	693	48670	POJISTNE	OP	12318605
404834	1378	1995-04-09	VYDAJ	PREVOD NA UCET	693	50037	POJISTNE	OP	12318605
404835	1378	1995-05-09	VYDAJ	PREVOD NA UCET	693	50808	POJISTNE	OP	12318605
404836	1378	1995-06-09	VYDAJ	PREVOD NA UCET	693	52182	POJISTNE	OP	12318605
404837	1378	1995-07-09	VYDAJ	PREVOD NA UCET	693	60694	POJISTNE	OP	12318605
404838	1378	1995-08-09	VYDAJ	PREVOD NA UCET	693	55350	POJISTNE	OP	12318605
404839	1378	1995-09-09	VYDAJ	PREVOD NA UCET	693	51340	POJISTNE	OP	12318605
404840	1378	1995-10-09	VYDAJ	PREVOD NA UCET	693	50624	POJISTNE	OP	12318605
404841	1378	1995-11-09	VYDAJ	PREVOD NA UCET	693	53554	POJISTNE	OP	12318605
404842	1378	1995-12-09	VYDAJ	PREVOD NA UCET	693	50273	POJISTNE	OP	12318605
404843	1378	1996-01-09	VYDAJ	PREVOD NA UCET	693	48818	POJISTNE	OP	12318605
404844	1378	1996-02-09	VYDAJ	PREVOD NA UCET	693	45463	POJISTNE	OP	12318605
404845	1378	1996-03-09	VYDAJ	PREVOD NA UCET	693	44552	POJISTNE	OP	12318605
404846	1378	1996-04-09	VYDAJ	PREVOD NA UCET	693	51509	POJISTNE	OP	12318605
404847	1378	1996-05-09	VYDAJ	PREVOD NA UCET	693	53684	POJISTNE	OP	12318605
404848	1378	1996-06-09	VYDAJ	PREVOD NA UCET	693	61525	POJISTNE	OP	12318605
404849	1378	1996-07-09	VYDAJ	PREVOD NA UCET	693	61694	POJISTNE	OP	12318605
404850	1378	1996-08-09	VYDAJ	PREVOD NA UCET	693	54894	POJISTNE	OP	12318605
404851	1378	1996-09-09	VYDAJ	PREVOD NA UCET	693	55621	POJISTNE	OP	12318605
404852	1378	1996-10-09	VYDAJ	PREVOD NA UCET	693	56346	POJISTNE	OP	12318605
404853	1378	1996-11-09	VYDAJ	PREVOD NA UCET	693	59636	POJISTNE	OP	12318605
404854	1378	1996-12-09	VYDAJ	PREVOD NA UCET	693	56824	POJISTNE	OP	12318605
404855	1378	1997-01-09	VYDAJ	PREVOD NA UCET	693	60086	POJISTNE	OP	12318605
404856	1378	1997-02-09	VYDAJ	PREVOD NA UCET	693	60189	POJISTNE	OP	12318605
404857	1378	1997-03-09	VYDAJ	PREVOD NA UCET	693	71854	POJISTNE	OP	12318605
404858	1378	1997-04-09	VYDAJ	PREVOD NA UCET	693	65269	POJISTNE	OP	12318605
404859	1378	1997-05-09	VYDAJ	PREVOD NA UCET	693	74147	POJISTNE	OP	12318605
404860	1378	1997-06-09	VYDAJ	PREVOD NA UCET	693	86374	POJISTNE	OP	12318605
404861	1378	1997-07-09	VYDAJ	PREVOD NA UCET	693	103515	POJISTNE	OP	12318605
404862	1378	1997-08-09	VYDAJ	PREVOD NA UCET	693	99918	POJISTNE	OP	12318605
404863	1378	1997-09-09	VYDAJ	PREVOD NA UCET	693	103624	POJISTNE	OP	12318605
404864	1378	1997-10-09	VYDAJ	PREVOD NA UCET	693	99418	POJISTNE	OP	12318605
404865	1378	1997-11-09	VYDAJ	PREVOD NA UCET	693	78422	POJISTNE	OP	12318605
404866	1378	1997-12-09	VYDAJ	PREVOD NA UCET	693	71349	POJISTNE	OP	12318605
404867	1378	1998-01-09	VYDAJ	PREVOD NA UCET	693	73982	POJISTNE	OP	12318605
404868	1378	1998-02-09	VYDAJ	PREVOD NA UCET	693	65415	POJISTNE	OP	12318605
404869	1378	1998-03-09	VYDAJ	PREVOD NA UCET	693	71037	POJISTNE	OP	12318605
404870	1378	1998-04-09	VYDAJ	PREVOD NA UCET	693	70870	POJISTNE	OP	12318605
404871	1378	1998-05-09	VYDAJ	PREVOD NA UCET	693	76816	POJISTNE	OP	12318605
404872	1378	1998-06-09	VYDAJ	PREVOD NA UCET	693	77473	POJISTNE	OP	12318605
404873	1378	1998-07-09	VYDAJ	PREVOD NA UCET	693	87485	POJISTNE	OP	12318605
404874	1378	1998-08-09	VYDAJ	PREVOD NA UCET	693	78686	POJISTNE	OP	12318605
404875	1378	1998-09-09	VYDAJ	PREVOD NA UCET	693	77082	POJISTNE	OP	12318605
404876	1378	1998-10-09	VYDAJ	PREVOD NA UCET	693	70239	POJISTNE	OP	12318605
404877	1378	1998-11-09	VYDAJ	PREVOD NA UCET	693	68685	POJISTNE	OP	12318605
404878	1378	1998-12-09	VYDAJ	PREVOD NA UCET	693	64805	POJISTNE	OP	12318605
404885	1378	1993-07-13	VYDAJ	PREVOD NA UCET	881	76698	 	AB	95008945
404886	1378	1993-08-13	VYDAJ	PREVOD NA UCET	881	67951	 	AB	95008945
404887	1378	1993-09-13	VYDAJ	PREVOD NA UCET	881	63349	 	AB	95008945
404888	1378	1993-10-13	VYDAJ	PREVOD NA UCET	881	60520	 	AB	95008945
404889	1378	1993-11-13	VYDAJ	PREVOD NA UCET	881	57064	 	AB	95008945
404890	1378	1993-12-13	VYDAJ	PREVOD NA UCET	881	71807	 	AB	95008945
404891	1378	1994-01-13	VYDAJ	PREVOD NA UCET	881	60879	 	AB	95008945
404892	1378	1994-02-13	VYDAJ	PREVOD NA UCET	881	62526	 	AB	95008945
404893	1378	1994-03-13	VYDAJ	PREVOD NA UCET	881	61975	 	AB	95008945
404894	1378	1994-04-13	VYDAJ	PREVOD NA UCET	881	61023	 	AB	95008945
404895	1378	1994-05-13	VYDAJ	PREVOD NA UCET	881	63969	 	AB	95008945
404896	1378	1994-06-13	VYDAJ	PREVOD NA UCET	881	76532	 	AB	95008945
404897	1378	1994-07-13	VYDAJ	PREVOD NA UCET	881	71816	 	AB	95008945
404898	1378	1994-08-13	VYDAJ	PREVOD NA UCET	881	68698	 	AB	95008945
404899	1378	1994-09-13	VYDAJ	PREVOD NA UCET	881	67667	 	AB	95008945
404900	1378	1994-10-13	VYDAJ	PREVOD NA UCET	881	67730	 	AB	95008945
404901	1378	1994-11-13	VYDAJ	PREVOD NA UCET	881	68393	 	AB	95008945
404902	1378	1994-12-13	VYDAJ	PREVOD NA UCET	881	76966	 	AB	95008945
404903	1378	1995-01-13	VYDAJ	PREVOD NA UCET	881	72040	 	AB	95008945
404904	1378	1995-02-13	VYDAJ	PREVOD NA UCET	881	65304	 	AB	95008945
404905	1378	1995-03-13	VYDAJ	PREVOD NA UCET	881	69255	 	AB	95008945
404906	1378	1995-04-13	VYDAJ	PREVOD NA UCET	881	70622	 	AB	95008945
404907	1378	1995-05-13	VYDAJ	PREVOD NA UCET	881	71393	 	AB	95008945
404908	1378	1995-06-13	VYDAJ	PREVOD NA UCET	881	84976	 	AB	95008945
404909	1378	1995-07-13	VYDAJ	PREVOD NA UCET	881	81279	 	AB	95008945
404910	1378	1995-08-13	VYDAJ	PREVOD NA UCET	881	78888	 	AB	95008945
404911	1378	1995-09-13	VYDAJ	PREVOD NA UCET	881	74878	 	AB	95008945
404912	1378	1995-10-13	VYDAJ	PREVOD NA UCET	881	74162	 	AB	95008945
404913	1378	1995-11-13	VYDAJ	PREVOD NA UCET	881	74139	 	AB	95008945
404914	1378	1995-12-13	VYDAJ	PREVOD NA UCET	881	83520	 	AB	95008945
404915	1378	1996-01-13	VYDAJ	PREVOD NA UCET	881	65103	 	AB	95008945
404916	1378	1996-02-13	VYDAJ	PREVOD NA UCET	881	66048	 	AB	95008945
404917	1378	1996-03-13	VYDAJ	PREVOD NA UCET	881	68090	 	AB	95008945
404918	1378	1996-04-13	VYDAJ	PREVOD NA UCET	881	75047	 	AB	95008945
404919	1378	1996-05-13	VYDAJ	PREVOD NA UCET	881	77222	 	AB	95008945
404920	1378	1996-06-13	VYDAJ	PREVOD NA UCET	881	94319	 	AB	95008945
404921	1378	1996-07-13	VYDAJ	PREVOD NA UCET	881	85232	 	AB	95008945
404922	1378	1996-08-13	VYDAJ	PREVOD NA UCET	881	73532	 	AB	95008945
404923	1378	1996-09-13	VYDAJ	PREVOD NA UCET	881	76206	 	AB	95008945
404924	1378	1996-10-13	VYDAJ	PREVOD NA UCET	881	79884	 	AB	95008945
404925	1378	1996-11-13	VYDAJ	PREVOD NA UCET	881	61574	 	AB	95008945
404926	1378	1996-12-13	VYDAJ	PREVOD NA UCET	881	91171	 	AB	95008945
404927	1378	1997-01-13	VYDAJ	PREVOD NA UCET	881	72524	 	AB	95008945
404928	1378	1997-02-13	VYDAJ	PREVOD NA UCET	881	73627	 	AB	95008945
404929	1378	1997-03-13	VYDAJ	PREVOD NA UCET	881	67039	 	AB	95008945
404930	1378	1997-04-13	VYDAJ	PREVOD NA UCET	881	78854	 	AB	95008945
404931	1378	1997-05-13	VYDAJ	PREVOD NA UCET	881	88085	 	AB	95008945
404932	1378	1997-06-13	VYDAJ	PREVOD NA UCET	881	105168	 	AB	95008945
404933	1378	1997-07-13	VYDAJ	PREVOD NA UCET	881	104500	 	AB	95008945
404934	1378	1997-08-13	VYDAJ	PREVOD NA UCET	881	105256	 	AB	95008945
404935	1378	1997-09-13	VYDAJ	PREVOD NA UCET	881	104009	 	AB	95008945
404936	1378	1997-10-13	VYDAJ	PREVOD NA UCET	881	101456	 	AB	95008945
404937	1378	1997-11-13	VYDAJ	PREVOD NA UCET	881	99007	 	AB	95008945
404938	1378	1997-12-13	VYDAJ	PREVOD NA UCET	881	104143	 	AB	95008945
404939	1378	1998-01-13	VYDAJ	PREVOD NA UCET	881	92167	 	AB	95008945
404940	1378	1998-02-13	VYDAJ	PREVOD NA UCET	881	88953	 	AB	95008945
404941	1378	1998-03-13	VYDAJ	PREVOD NA UCET	881	91622	 	AB	95008945
404942	1378	1998-04-13	VYDAJ	PREVOD NA UCET	881	94408	 	AB	95008945
404943	1378	1998-05-13	VYDAJ	PREVOD NA UCET	881	97401	 	AB	95008945
404944	1378	1998-06-13	VYDAJ	PREVOD NA UCET	881	113220	 	AB	95008945
404945	1378	1998-07-13	VYDAJ	PREVOD NA UCET	881	108070	 	AB	95008945
404946	1378	1998-08-13	VYDAJ	PREVOD NA UCET	881	102224	 	AB	95008945
404947	1378	1998-09-13	VYDAJ	PREVOD NA UCET	881	97667	 	AB	95008945
404948	1378	1998-10-13	VYDAJ	PREVOD NA UCET	881	93777	 	AB	95008945
404949	1378	1998-11-13	VYDAJ	PREVOD NA UCET	881	89270	 	AB	95008945
404950	1378	1998-12-13	VYDAJ	PREVOD NA UCET	881	100552	 	AB	95008945
404951	1378	1993-12-12	VYDAJ	VYBER	1200	36060	\N	\N	\N
404952	1378	1994-12-01	VYDAJ	VYBER	2500	46212	\N	\N	\N
404953	1378	1995-12-21	VYDAJ	VYBER	2900	58620	\N	\N	\N
404954	1378	1996-12-13	VYDAJ	VYBER	1400	92052	\N	\N	\N
404955	1378	1997-12-17	VYDAJ	VYBER	2400	101743	\N	\N	\N
404956	1378	1998-12-29	VYDAJ	VYBER KARTOU	900	99052	\N	\N	0
404963	1378	1994-01-07	VYDAJ	VYBER	2000	45387	\N	\N	\N
404964	1378	1994-01-29	VYDAJ	VYBER	500	43779	\N	\N	\N
404965	1378	1994-01-26	VYDAJ	VYBER	1300	58979	\N	\N	\N
404966	1378	1994-01-13	VYDAJ	VYBER	600	60279	\N	\N	\N
404967	1378	1994-01-07	VYDAJ	VYBER	1600	43787	\N	\N	\N
404968	1378	1994-01-04	VYDAJ	VYBER	600	48734	\N	\N	\N
404969	1378	1995-01-28	VYDAJ	VYBER	1400	47840	\N	\N	\N
404970	1378	1995-01-23	VYDAJ	VYBER	2800	49240	\N	\N	\N
404971	1378	1995-01-14	VYDAJ	VYBER	2600	67140	\N	\N	\N
404972	1378	1995-01-13	VYDAJ	VYBER	2300	69740	\N	\N	\N
404973	1378	1995-01-22	VYDAJ	VYBER	2600	64540	\N	\N	\N
404974	1378	1995-01-01	VYDAJ	VYBER	1200	53495	\N	\N	\N
404975	1378	1996-01-26	VYDAJ	VYBER	2000	47303	\N	\N	\N
404976	1378	1996-01-10	VYDAJ	VYBER	2300	41565	\N	\N	\N
404977	1378	1996-01-06	VYDAJ	VYBER	2900	49511	\N	\N	\N
404978	1378	1996-01-01	VYDAJ	VYBER	2100	54458	\N	\N	\N
404979	1378	1996-01-18	VYDAJ	VYBER	2800	52203	\N	\N	\N
404980	1378	1996-01-04	VYDAJ	VYBER	700	53758	\N	\N	\N
404981	1378	1997-01-24	VYDAJ	VYBER	1600	67824	\N	\N	\N
404982	1378	1997-01-18	VYDAJ	VYBER	1000	69424	\N	\N	\N
404983	1378	1997-01-14	VYDAJ	VYBER	2100	70424	\N	\N	\N
404984	1378	1997-01-11	VYDAJ	VYBER	2500	57586	\N	\N	\N
404985	1378	1997-01-28	VYDAJ	VYBER	2900	64924	\N	\N	\N
404986	1378	1997-01-08	VYDAJ	VYBER	1400	63732	\N	\N	\N
404987	1378	1998-01-17	VYDAJ	VYBER	2800	87567	\N	\N	\N
404988	1378	1998-01-15	VYDAJ	VYBER	1100	90367	\N	\N	\N
404989	1378	1998-01-11	VYDAJ	VYBER	2400	68629	\N	\N	\N
404990	1378	1998-01-14	VYDAJ	VYBER	700	91467	\N	\N	\N
404991	1378	1998-01-18	VYDAJ	VYBER	2200	85367	\N	\N	\N
404992	1378	1998-01-09	VYDAJ	VYBER	2100	74675	\N	\N	\N
404994	1378	1993-07-18	VYDAJ	VYBER	1000	75698	\N	\N	\N
404995	1378	1993-11-06	VYDAJ	VYBER	3300	37172	\N	\N	\N
404998	1378	1993-09-01	VYDAJ	VYBER	2100	44804	\N	\N	\N
405000	1378	1994-11-10	VYDAJ	VYBER	800	44855	\N	\N	\N
405001	1378	1994-12-19	VYDAJ	VYBER	3400	73566	\N	\N	\N
405002	1378	1994-09-01	VYDAJ	VYBER	2000	49122	\N	\N	\N
405003	1378	1994-01-10	VYDAJ	VYBER	2800	37341	\N	\N	\N
405005	1378	1995-09-07	VYDAJ	VYBER	1800	54986	\N	\N	\N
405006	1378	1995-10-06	VYDAJ	VYBER	3500	54270	\N	\N	\N
405007	1378	1995-12-21	VYDAJ	VYBER	2300	56320	\N	\N	\N
405008	1378	1995-12-12	VYDAJ	VYBER	2500	47773	\N	\N	\N
405009	1378	1995-08-14	VYDAJ	VYBER	4700	74188	\N	\N	\N
405010	1378	1996-01-10	VYDAJ	VYBER	2000	43865	\N	\N	\N
405011	1378	1996-06-21	VYDAJ	VYBER	3800	66419	\N	\N	\N
405012	1378	1996-10-03	VYDAJ	VYBER	800	61339	\N	\N	\N
405013	1378	1996-02-29	VYDAJ	VYBER	1800	49559	\N	\N	\N
405014	1378	1996-01-23	VYDAJ	VYBER	2900	49303	\N	\N	\N
405015	1378	1996-08-08	VYDAJ	VYBER	2200	58540	\N	\N	\N
405016	1378	1996-08-13	VYDAJ	VYBER	4900	74413	\N	\N	\N
405017	1378	1997-11-13	VYDAJ	VYBER	2500	96507	\N	\N	\N
405018	1378	1998-03-05	VYDAJ	VYBER	3000	84930	\N	\N	\N
405019	1378	1998-11-05	VYDAJ	VYBER KARTOU	4400	69378	\N	\N	0
405020	1378	1998-06-28	VYDAJ	VYBER KARTOU	4600	108620	\N	\N	0
405021	1378	1998-12-29	VYDAJ	VYBER KARTOU	600	99952	\N	\N	0
405022	1378	1998-04-29	VYDAJ	VYBER KARTOU	800	93608	\N	\N	0
405023	1378	1998-03-27	VYDAJ	VYBER	4500	87122	\N	\N	\N
405031	1378	1993-07-31	VYDAJ	VYBER	15	76006	SLUZBY	\N	\N
405032	1378	1993-08-31	VYDAJ	VYBER	15	68204	SLUZBY	\N	\N
405033	1378	1993-09-30	VYDAJ	VYBER	15	63575	SLUZBY	\N	\N
405034	1378	1993-10-31	VYDAJ	VYBER	15	41819	SLUZBY	\N	\N
405035	1378	1993-11-30	VYDAJ	VYBER	15	42253	SLUZBY	\N	\N
405036	1378	1993-12-31	VYDAJ	VYBER	15	49334	SLUZBY	\N	\N
405037	1378	1994-01-31	VYDAJ	VYBER	15	43981	SLUZBY	\N	\N
405038	1378	1994-02-28	VYDAJ	VYBER	15	43430	SLUZBY	\N	\N
405039	1378	1994-03-31	VYDAJ	VYBER	15	42478	SLUZBY	\N	\N
405040	1378	1994-04-30	VYDAJ	VYBER	15	45424	SLUZBY	\N	\N
405041	1378	1994-05-31	VYDAJ	VYBER	15	45778	SLUZBY	\N	\N
405042	1378	1994-06-30	VYDAJ	VYBER	15	53271	SLUZBY	\N	\N
405043	1378	1994-07-31	VYDAJ	VYBER	15	50153	SLUZBY	\N	\N
405044	1378	1994-08-31	VYDAJ	VYBER	15	51122	SLUZBY	\N	\N
405045	1378	1994-09-30	VYDAJ	VYBER	15	49185	SLUZBY	\N	\N
405046	1378	1994-10-31	VYDAJ	VYBER	15	50648	SLUZBY	\N	\N
405047	1378	1994-11-30	VYDAJ	VYBER	15	48712	SLUZBY	\N	\N
405048	1378	1994-12-31	VYDAJ	VYBER	15	54695	SLUZBY	\N	\N
405049	1378	1995-01-31	VYDAJ	VYBER	15	48059	SLUZBY	\N	\N
405050	1378	1995-02-28	VYDAJ	VYBER	15	50710	SLUZBY	\N	\N
405051	1378	1995-03-31	VYDAJ	VYBER	15	52077	SLUZBY	\N	\N
405052	1378	1995-04-30	VYDAJ	VYBER	15	52848	SLUZBY	\N	\N
405053	1378	1995-05-31	VYDAJ	VYBER	15	54222	SLUZBY	\N	\N
405054	1378	1995-06-30	VYDAJ	VYBER	15	62734	SLUZBY	\N	\N
405055	1378	1995-07-31	VYDAJ	VYBER	15	60343	SLUZBY	\N	\N
405056	1378	1995-08-31	VYDAJ	VYBER	15	58133	SLUZBY	\N	\N
405057	1378	1995-09-30	VYDAJ	VYBER	15	59117	SLUZBY	\N	\N
405058	1378	1995-10-31	VYDAJ	VYBER	15	55594	SLUZBY	\N	\N
405059	1378	1995-11-30	VYDAJ	VYBER	15	55266	SLUZBY	\N	\N
405060	1378	1995-12-31	VYDAJ	VYBER	15	56558	SLUZBY	\N	\N
405061	1378	1996-01-31	VYDAJ	VYBER	15	47503	SLUZBY	\N	\N
405062	1378	1996-02-29	VYDAJ	VYBER	15	49545	SLUZBY	\N	\N
405063	1378	1996-03-31	VYDAJ	VYBER	15	56502	SLUZBY	\N	\N
405064	1378	1996-04-30	VYDAJ	VYBER	15	58677	SLUZBY	\N	\N
405065	1378	1996-05-31	VYDAJ	VYBER	15	63565	SLUZBY	\N	\N
405066	1378	1996-06-30	VYDAJ	VYBER	15	66687	SLUZBY	\N	\N
405067	1378	1996-07-31	VYDAJ	VYBER	15	62087	SLUZBY	\N	\N
405068	1378	1996-08-31	VYDAJ	VYBER	15	57661	SLUZBY	\N	\N
405069	1378	1996-09-30	VYDAJ	VYBER	15	62139	SLUZBY	\N	\N
405070	1378	1996-10-31	VYDAJ	VYBER	15	64629	SLUZBY	\N	\N
405071	1378	1996-11-30	VYDAJ	VYBER	15	61817	SLUZBY	\N	\N
405072	1378	1996-12-31	VYDAJ	VYBER	15	66479	SLUZBY	\N	\N
405073	1378	1997-01-31	VYDAJ	VYBER	15	65182	SLUZBY	\N	\N
405074	1378	1997-02-28	VYDAJ	VYBER	15	73894	SLUZBY	\N	\N
405075	1378	1997-03-31	VYDAJ	VYBER	15	67309	SLUZBY	\N	\N
405076	1378	1997-04-30	VYDAJ	VYBER	15	79140	SLUZBY	\N	\N
405077	1378	1997-05-31	VYDAJ	VYBER	15	88414	SLUZBY	\N	\N
405078	1378	1997-06-30	VYDAJ	VYBER	15	105555	SLUZBY	\N	\N
405079	1378	1997-07-31	VYDAJ	VYBER	15	104911	SLUZBY	\N	\N
405080	1378	1997-08-31	VYDAJ	VYBER	15	105664	SLUZBY	\N	\N
405081	1378	1997-09-30	VYDAJ	VYBER	15	104411	SLUZBY	\N	\N
405082	1378	1997-10-31	VYDAJ	VYBER	15	101862	SLUZBY	\N	\N
405083	1378	1997-11-30	VYDAJ	VYBER	15	96889	SLUZBY	\N	\N
405084	1378	1997-12-31	VYDAJ	VYBER	15	102122	SLUZBY	\N	\N
405085	1378	1998-01-31	VYDAJ	VYBER	15	85708	SLUZBY	\N	\N
405086	1378	1998-02-28	VYDAJ	VYBER	15	89277	SLUZBY	\N	\N
405087	1378	1998-03-31	VYDAJ	VYBER	15	87463	SLUZBY	\N	\N
405088	1378	1998-04-30	VYDAJ	VYBER	15	93956	SLUZBY	\N	\N
405089	1378	1998-05-31	VYDAJ	VYBER	15	97766	SLUZBY	\N	\N
405090	1378	1998-06-30	VYDAJ	VYBER	15	109025	SLUZBY	\N	\N
405091	1378	1998-07-31	VYDAJ	VYBER	15	108479	SLUZBY	\N	\N
405092	1378	1998-08-31	VYDAJ	VYBER	15	102622	SLUZBY	\N	\N
405093	1378	1998-09-30	VYDAJ	VYBER	15	98032	SLUZBY	\N	\N
405094	1378	1998-10-31	VYDAJ	VYBER	15	94125	SLUZBY	\N	\N
405095	1378	1998-11-30	VYDAJ	VYBER	15	89598	SLUZBY	\N	\N
405096	1378	1993-04-03	PRIJEM	VKLAD	600	26184	\N	\N	\N
405097	1378	1993-05-03	VYDAJ	VYBER	13300	37472	\N	\N	\N
405098	1378	1993-06-02	VYDAJ	VYBER	19500	42631	\N	\N	\N
405099	1378	1993-07-02	VYDAJ	VYBER	26400	53160	\N	\N	\N
405100	1378	1993-08-01	VYDAJ	VYBER	26600	49406	\N	\N	\N
405101	1378	1993-08-31	VYDAJ	VYBER	21300	46904	\N	\N	\N
405102	1378	1993-09-30	VYDAJ	VYBER	21600	41975	\N	\N	\N
405103	1378	1993-10-30	VYDAJ	VYBER	18900	41620	\N	\N	\N
405104	1378	1993-11-29	VYDAJ	VYBER	15000	42064	\N	\N	\N
405105	1378	1993-12-29	VYDAJ	VYBER	22700	49107	\N	\N	\N
405106	1378	1994-01-28	VYDAJ	VYBER	14700	44279	\N	\N	\N
405107	1378	1994-02-27	VYDAJ	VYBER	19300	43226	\N	\N	\N
405108	1378	1994-03-29	VYDAJ	VYBER	19700	42275	\N	\N	\N
405109	1378	1994-04-28	VYDAJ	VYBER	15800	45223	\N	\N	\N
405110	1378	1994-05-28	VYDAJ	VYBER	18400	45569	\N	\N	\N
405111	1378	1994-06-27	VYDAJ	VYBER	23500	53032	\N	\N	\N
405112	1378	1994-07-27	VYDAJ	VYBER	21900	49916	\N	\N	\N
405113	1378	1994-08-26	VYDAJ	VYBER	17800	50898	\N	\N	\N
405114	1378	1994-09-25	VYDAJ	VYBER	18700	48967	\N	\N	\N
405115	1378	1994-10-25	VYDAJ	VYBER	17300	50430	\N	\N	\N
405116	1378	1994-11-24	VYDAJ	VYBER	19900	48493	\N	\N	\N
405117	1378	1994-12-24	VYDAJ	VYBER	19100	54466	\N	\N	\N
405118	1378	1995-01-23	VYDAJ	VYBER	12500	52040	\N	\N	\N
405119	1378	1995-02-22	VYDAJ	VYBER	14800	50504	\N	\N	\N
405120	1378	1995-03-24	VYDAJ	VYBER	17400	51855	\N	\N	\N
405121	1378	1995-04-23	VYDAJ	VYBER	18000	52622	\N	\N	\N
405122	1378	1995-05-23	VYDAJ	VYBER	17400	53993	\N	\N	\N
405123	1378	1995-06-22	VYDAJ	VYBER	22500	62476	\N	\N	\N
405124	1378	1995-07-22	VYDAJ	VYBER	21200	60079	\N	\N	\N
405125	1378	1995-08-21	VYDAJ	VYBER	16300	57888	\N	\N	\N
405126	1378	1995-09-20	VYDAJ	VYBER	16000	58878	\N	\N	\N
405127	1378	1995-10-20	VYDAJ	VYBER	18800	55362	\N	\N	\N
405128	1378	1995-11-19	VYDAJ	VYBER	19100	55039	\N	\N	\N
405129	1378	1995-12-19	VYDAJ	VYBER	22000	61520	\N	\N	\N
405130	1378	1996-01-18	VYDAJ	VYBER	10100	55003	\N	\N	\N
405131	1378	1996-02-17	VYDAJ	VYBER	14900	51148	\N	\N	\N
405132	1378	1996-03-18	VYDAJ	VYBER	11800	56290	\N	\N	\N
405133	1378	1996-04-17	VYDAJ	VYBER	16600	58447	\N	\N	\N
405134	1378	1996-05-17	VYDAJ	VYBER	13900	63322	\N	\N	\N
405135	1378	1996-06-16	VYDAJ	VYBER	24100	70219	\N	\N	\N
405136	1378	1996-07-16	VYDAJ	VYBER	23400	61832	\N	\N	\N
405137	1378	1996-08-15	VYDAJ	VYBER	16100	57432	\N	\N	\N
405138	1378	1996-09-14	VYDAJ	VYBER	14300	61906	\N	\N	\N
405139	1378	1996-10-14	VYDAJ	VYBER	15500	64384	\N	\N	\N
405140	1378	1996-11-13	VYDAJ	VYBER	21600	62455	\N	\N	\N
405141	1378	1996-12-13	VYDAJ	VYBER	25000	66171	\N	\N	\N
405142	1378	1997-01-12	VYDAJ	VYBER	8600	48986	\N	\N	\N
405143	1378	1997-02-11	VYDAJ	VYBER	10100	50089	\N	\N	\N
405144	1378	1997-03-13	VYDAJ	VYBER	25400	67920	\N	\N	\N
405145	1378	1997-04-12	VYDAJ	VYBER	7000	55316	\N	\N	\N
405146	1378	1997-05-12	VYDAJ	VYBER	9600	64547	\N	\N	\N
405147	1378	1997-06-11	VYDAJ	VYBER	14000	69421	\N	\N	\N
405148	1378	1997-07-11	VYDAJ	VYBER	19600	80962	\N	\N	\N
405149	1378	1997-08-10	VYDAJ	VYBER	18200	81718	\N	\N	\N
405150	1378	1997-09-09	VYDAJ	VYBER	20200	83424	\N	\N	\N
405151	1378	1997-10-09	VYDAJ	VYBER	21500	77918	\N	\N	\N
405152	1378	1997-11-08	VYDAJ	VYBER	21400	79115	\N	\N	\N
405153	1378	1997-12-08	VYDAJ	VYBER	23500	72042	\N	\N	\N
405154	1378	1998-01-07	VYDAJ	VYBER	24000	76775	\N	\N	\N
405155	1378	1998-02-06	VYDAJ	VYBER	15300	69061	\N	\N	\N
405156	1378	1998-03-08	VYDAJ	VYBER	13200	71730	\N	\N	\N
405157	1378	1998-04-07	VYDAJ	VYBER	11600	74516	\N	\N	\N
405158	1378	1998-05-07	VYDAJ	VYBER	15100	77509	\N	\N	\N
405159	1378	1998-06-06	VYDAJ	VYBER	15300	81119	\N	\N	\N
405160	1378	1998-07-06	VYDAJ	VYBER	19500	88178	\N	\N	\N
405161	1378	1998-08-05	VYDAJ	VYBER	24800	82332	\N	\N	\N
405162	1378	1998-09-04	VYDAJ	VYBER	23500	79122	\N	\N	\N
405163	1378	1998-10-04	VYDAJ	VYBER	22800	75232	\N	\N	\N
405164	1378	1998-11-03	VYDAJ	VYBER	19000	75125	\N	\N	\N
405165	1378	1998-12-03	VYDAJ	VYBER	19800	69798	\N	\N	\N
405236	1379	1997-10-01	PRIJEM	VKLAD	700	700	\N	\N	\N
405246	1379	1997-10-10	PRIJEM	VKLAD	10430	11130	\N	\N	\N
405247	1379	1997-11-10	PRIJEM	VKLAD	10430	26994	\N	\N	\N
405248	1379	1997-12-10	PRIJEM	VKLAD	15645	40309	\N	\N	\N
405249	1379	1998-01-10	PRIJEM	VKLAD	10430	43544	\N	\N	\N
405250	1379	1998-02-10	PRIJEM	VKLAD	10430	45512	\N	\N	\N
405251	1379	1998-03-10	PRIJEM	VKLAD	10430	37920	\N	\N	\N
405252	1379	1998-04-10	PRIJEM	VKLAD	10430	36824	\N	\N	\N
405253	1379	1998-05-10	PRIJEM	VKLAD	10430	40236	\N	\N	\N
405254	1379	1998-06-10	PRIJEM	VKLAD	15645	45475	\N	\N	\N
405255	1379	1998-07-10	PRIJEM	VKLAD	10430	44416	\N	\N	\N
405256	1379	1998-08-10	PRIJEM	VKLAD	10430	47161	\N	\N	\N
405257	1379	1998-09-10	PRIJEM	VKLAD	10430	45012	\N	\N	\N
405258	1379	1998-10-10	PRIJEM	VKLAD	10430	42153	\N	\N	\N
405259	1379	1998-11-10	PRIJEM	VKLAD	10430	42084	\N	\N	\N
405260	1379	1998-12-10	PRIJEM	VKLAD	15645	50332	\N	\N	\N
405275	1379	1998-03-09	VYDAJ	PREVOD NA UCET	6953	27490	SIPO	AB	47752141
405276	1379	1998-04-09	VYDAJ	PREVOD NA UCET	6953	26394	SIPO	AB	47752141
405277	1379	1998-05-09	VYDAJ	PREVOD NA UCET	6953	29806	SIPO	AB	47752141
405278	1379	1998-06-09	VYDAJ	PREVOD NA UCET	6953	29830	SIPO	AB	47752141
405279	1379	1998-07-09	VYDAJ	PREVOD NA UCET	6953	33986	SIPO	AB	47752141
405280	1379	1998-08-09	VYDAJ	PREVOD NA UCET	6953	36731	SIPO	AB	47752141
405281	1379	1998-09-09	VYDAJ	PREVOD NA UCET	6953	34582	SIPO	AB	47752141
405282	1379	1998-10-09	VYDAJ	PREVOD NA UCET	6953	31723	SIPO	AB	47752141
405283	1379	1998-11-09	VYDAJ	PREVOD NA UCET	6953	31654	SIPO	AB	47752141
405284	1379	1998-12-09	VYDAJ	PREVOD NA UCET	6953	34687	SIPO	AB	47752141
405286	1379	1998-12-23	VYDAJ	VYBER KARTOU	2700	47632	\N	\N	0
405306	1379	1998-07-06	VYDAJ	VYBER	3700	40939	\N	\N	\N
405307	1379	1998-03-18	VYDAJ	VYBER	4300	31320	\N	\N	\N
405308	1379	1998-03-10	VYDAJ	VYBER	2300	35620	\N	\N	\N
405323	1379	1998-02-28	VYDAJ	VYBER	15	45643	SLUZBY	\N	\N
405324	1379	1998-03-31	VYDAJ	VYBER	15	33347	SLUZBY	\N	\N
405325	1379	1998-04-30	VYDAJ	VYBER	15	36759	SLUZBY	\N	\N
405326	1379	1998-05-31	VYDAJ	VYBER	15	36783	SLUZBY	\N	\N
405327	1379	1998-06-30	VYDAJ	VYBER	15	44639	SLUZBY	\N	\N
405328	1379	1998-07-31	VYDAJ	VYBER	15	43684	SLUZBY	\N	\N
405329	1379	1998-08-31	VYDAJ	VYBER	15	41535	SLUZBY	\N	\N
405330	1379	1998-09-30	VYDAJ	VYBER	15	38676	SLUZBY	\N	\N
405331	1379	1998-10-31	VYDAJ	VYBER	15	38607	SLUZBY	\N	\N
405332	1379	1998-11-30	VYDAJ	VYBER	15	41640	SLUZBY	\N	\N
405333	1379	1997-10-31	PRIJEM	VKLAD	5400	16530	\N	\N	\N
405334	1379	1997-11-30	VYDAJ	VYBER	2400	24664	\N	\N	\N
405335	1379	1997-12-30	VYDAJ	VYBER	7300	33009	\N	\N	\N
405336	1379	1998-01-29	VYDAJ	VYBER	8600	34944	\N	\N	\N
405337	1379	1998-02-28	VYDAJ	VYBER	11200	34443	\N	\N	\N
405338	1379	1998-03-30	PRIJEM	VKLAD	1900	33220	\N	\N	\N
405339	1379	1998-04-29	VYDAJ	VYBER	200	36624	\N	\N	\N
405340	1379	1998-05-29	VYDAJ	VYBER	3600	36636	\N	\N	\N
405341	1379	1998-06-28	VYDAJ	VYBER	1000	44475	\N	\N	\N
405342	1379	1998-07-28	VYDAJ	VYBER	900	43516	\N	\N	\N
405343	1379	1998-08-27	VYDAJ	VYBER	5800	41361	\N	\N	\N
405344	1379	1998-09-26	VYDAJ	VYBER	6500	38512	\N	\N	\N
405345	1379	1998-10-26	VYDAJ	VYBER KARTOU	3700	38453	\N	\N	0
405346	1379	1998-11-25	VYDAJ	VYBER KARTOU	600	41484	\N	\N	0
405362	1380	1996-02-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
405365	1380	1996-03-07	PRIJEM	VKLAD	23845	24945	\N	\N	\N
405366	1380	1996-04-07	PRIJEM	VKLAD	23845	46927	\N	\N	\N
405367	1380	1996-05-07	PRIJEM	VKLAD	23845	58888	\N	\N	\N
405368	1380	1996-06-07	PRIJEM	VKLAD	35768	76612	\N	\N	\N
405369	1380	1996-07-07	PRIJEM	VKLAD	23845	76848	\N	\N	\N
405370	1380	1996-08-07	PRIJEM	VKLAD	23845	72882	\N	\N	\N
405371	1380	1996-09-07	PRIJEM	VKLAD	23845	67503	\N	\N	\N
405372	1380	1996-10-07	PRIJEM	VKLAD	23845	65902	\N	\N	\N
405373	1380	1996-11-07	PRIJEM	VKLAD	23845	70208	\N	\N	\N
405374	1380	1996-12-07	PRIJEM	VKLAD	35768	75526	\N	\N	\N
405375	1380	1997-01-07	PRIJEM	VKLAD	23845	63532	\N	\N	\N
405376	1380	1997-02-07	PRIJEM	VKLAD	23845	57213	\N	\N	\N
405377	1380	1997-03-07	PRIJEM	VKLAD	23845	59373	\N	\N	\N
405378	1380	1997-04-07	PRIJEM	VKLAD	23845	59837	\N	\N	\N
405379	1380	1997-05-07	PRIJEM	VKLAD	23845	60603	\N	\N	\N
405380	1380	1997-06-07	PRIJEM	VKLAD	35768	72695	\N	\N	\N
405381	1380	1997-07-07	PRIJEM	VKLAD	23845	68790	\N	\N	\N
405382	1380	1997-08-07	PRIJEM	VKLAD	23845	66583	\N	\N	\N
405383	1380	1997-09-07	PRIJEM	VKLAD	23845	69077	\N	\N	\N
405384	1380	1997-10-07	PRIJEM	VKLAD	23845	70677	\N	\N	\N
405385	1380	1997-11-07	PRIJEM	VKLAD	23845	72986	\N	\N	\N
405386	1380	1997-12-07	PRIJEM	VKLAD	35768	85220	\N	\N	\N
405387	1380	1998-01-07	PRIJEM	VKLAD	23845	67733	\N	\N	\N
405388	1380	1998-02-07	PRIJEM	VKLAD	23845	54811	\N	\N	\N
405389	1380	1998-03-07	PRIJEM	VKLAD	23845	48535	\N	\N	\N
405390	1380	1998-04-07	PRIJEM	VKLAD	23845	53258	\N	\N	\N
405391	1380	1998-05-07	PRIJEM	VKLAD	23845	51879	\N	\N	\N
405392	1380	1998-06-07	PRIJEM	VKLAD	35768	64139	\N	\N	\N
405393	1380	1998-07-07	PRIJEM	VKLAD	23845	58287	\N	\N	\N
405394	1380	1998-08-07	PRIJEM	VKLAD	23845	50635	\N	\N	\N
405395	1380	1998-09-07	PRIJEM	VKLAD	23845	56063	\N	\N	\N
405396	1380	1998-10-07	PRIJEM	VKLAD	23845	67445	\N	\N	\N
405397	1380	1998-11-07	PRIJEM	VKLAD	23845	68576	\N	\N	\N
405398	1380	1998-12-07	PRIJEM	VKLAD	35768	85744	\N	\N	\N
405405	1380	1996-07-09	VYDAJ	PREVOD NA UCET	8829	66919	SIPO	KL	34163099
405406	1380	1996-08-09	VYDAJ	PREVOD NA UCET	8829	62953	SIPO	KL	34163099
405407	1380	1996-09-09	VYDAJ	PREVOD NA UCET	8829	57574	SIPO	KL	34163099
405408	1380	1996-10-09	VYDAJ	PREVOD NA UCET	8829	55973	SIPO	KL	34163099
405409	1380	1996-11-09	VYDAJ	PREVOD NA UCET	8829	60279	SIPO	KL	34163099
405410	1380	1996-12-09	VYDAJ	PREVOD NA UCET	8829	65597	SIPO	KL	34163099
405411	1380	1997-01-09	VYDAJ	PREVOD NA UCET	8829	49803	SIPO	KL	34163099
405412	1380	1997-02-09	VYDAJ	PREVOD NA UCET	8829	47284	SIPO	KL	34163099
405413	1380	1997-03-09	VYDAJ	PREVOD NA UCET	8829	49444	SIPO	KL	34163099
405414	1380	1997-04-09	VYDAJ	PREVOD NA UCET	8829	49908	SIPO	KL	34163099
405415	1380	1997-05-09	VYDAJ	PREVOD NA UCET	8829	50674	SIPO	KL	34163099
405416	1380	1997-06-09	VYDAJ	PREVOD NA UCET	8829	62766	SIPO	KL	34163099
405417	1380	1997-07-09	VYDAJ	PREVOD NA UCET	8829	58861	SIPO	KL	34163099
405418	1380	1997-08-09	VYDAJ	PREVOD NA UCET	8829	56654	SIPO	KL	34163099
405419	1380	1997-09-09	VYDAJ	PREVOD NA UCET	8829	59148	SIPO	KL	34163099
405420	1380	1997-10-09	VYDAJ	PREVOD NA UCET	8829	60748	SIPO	KL	34163099
405421	1380	1997-11-09	VYDAJ	PREVOD NA UCET	8829	63057	SIPO	KL	34163099
405422	1380	1997-12-09	VYDAJ	PREVOD NA UCET	8829	75291	SIPO	KL	34163099
405423	1380	1998-01-09	VYDAJ	PREVOD NA UCET	8829	42804	SIPO	KL	34163099
405424	1380	1998-02-09	VYDAJ	PREVOD NA UCET	8829	29182	SIPO	KL	34163099
405425	1380	1998-03-09	VYDAJ	PREVOD NA UCET	8829	38606	SIPO	KL	34163099
405426	1380	1998-04-09	VYDAJ	PREVOD NA UCET	8829	43329	SIPO	KL	34163099
405427	1380	1998-05-09	VYDAJ	PREVOD NA UCET	8829	31350	SIPO	KL	34163099
405428	1380	1998-06-09	VYDAJ	PREVOD NA UCET	8829	37110	SIPO	KL	34163099
405429	1380	1998-07-09	VYDAJ	PREVOD NA UCET	8829	36258	SIPO	KL	34163099
405430	1380	1998-08-09	VYDAJ	PREVOD NA UCET	8829	29706	SIPO	KL	34163099
405431	1380	1998-09-09	VYDAJ	PREVOD NA UCET	8829	46134	SIPO	KL	34163099
405432	1380	1998-10-09	VYDAJ	PREVOD NA UCET	8829	57516	SIPO	KL	34163099
405433	1380	1998-11-09	VYDAJ	PREVOD NA UCET	8829	58647	SIPO	KL	34163099
405434	1380	1998-12-09	VYDAJ	PREVOD NA UCET	8829	75815	SIPO	KL	34163099
405441	1380	1996-07-08	VYDAJ	PREVOD NA UCET	1100	75748	 	CD	91279375
405442	1380	1996-08-08	VYDAJ	PREVOD NA UCET	1100	71782	 	CD	91279375
405443	1380	1996-09-08	VYDAJ	PREVOD NA UCET	1100	66403	 	CD	91279375
405444	1380	1996-10-08	VYDAJ	PREVOD NA UCET	1100	64802	 	CD	91279375
405445	1380	1996-11-08	VYDAJ	PREVOD NA UCET	1100	69108	 	CD	91279375
405446	1380	1996-12-08	VYDAJ	PREVOD NA UCET	1100	74426	 	CD	91279375
405447	1380	1997-01-08	VYDAJ	PREVOD NA UCET	1100	60432	 	CD	91279375
405448	1380	1997-02-08	VYDAJ	PREVOD NA UCET	1100	56113	 	CD	91279375
405449	1380	1997-03-08	VYDAJ	PREVOD NA UCET	1100	58273	 	CD	91279375
405450	1380	1997-04-08	VYDAJ	PREVOD NA UCET	1100	58737	 	CD	91279375
405451	1380	1997-05-08	VYDAJ	PREVOD NA UCET	1100	59503	 	CD	91279375
405452	1380	1997-06-08	VYDAJ	PREVOD NA UCET	1100	71595	 	CD	91279375
405453	1380	1997-07-08	VYDAJ	PREVOD NA UCET	1100	67690	 	CD	91279375
405454	1380	1997-08-08	VYDAJ	PREVOD NA UCET	1100	65483	 	CD	91279375
405455	1380	1997-09-08	VYDAJ	PREVOD NA UCET	1100	67977	 	CD	91279375
405456	1380	1997-10-08	VYDAJ	PREVOD NA UCET	1100	69577	 	CD	91279375
405457	1380	1997-11-08	VYDAJ	PREVOD NA UCET	1100	71886	 	CD	91279375
405458	1380	1997-12-08	VYDAJ	PREVOD NA UCET	1100	84120	 	CD	91279375
405459	1380	1998-01-08	VYDAJ	PREVOD NA UCET	1100	66633	 	CD	91279375
405460	1380	1998-02-08	VYDAJ	PREVOD NA UCET	1100	53711	 	CD	91279375
405461	1380	1998-03-08	VYDAJ	PREVOD NA UCET	1100	47435	 	CD	91279375
405462	1380	1998-04-08	VYDAJ	PREVOD NA UCET	1100	52158	 	CD	91279375
405463	1380	1998-05-08	VYDAJ	PREVOD NA UCET	1100	50779	 	CD	91279375
405464	1380	1998-06-08	VYDAJ	PREVOD NA UCET	1100	63039	 	CD	91279375
405465	1380	1998-07-08	VYDAJ	PREVOD NA UCET	1100	45087	 	CD	91279375
405466	1380	1998-08-08	VYDAJ	PREVOD NA UCET	1100	38535	 	CD	91279375
405467	1380	1998-09-08	VYDAJ	PREVOD NA UCET	1100	54963	 	CD	91279375
405468	1380	1998-10-08	VYDAJ	PREVOD NA UCET	1100	66345	 	CD	91279375
405469	1380	1998-11-08	VYDAJ	PREVOD NA UCET	1100	67476	 	CD	91279375
405470	1380	1998-12-08	VYDAJ	PREVOD NA UCET	1100	84644	 	CD	91279375
405508	1380	1997-06-16	VYDAJ	VYBER	3600	44766	\N	\N	\N
405511	1380	1997-01-27	VYDAJ	VYBER	7200	34603	\N	\N	\N
405512	1380	1998-01-29	VYDAJ	VYBER	6000	30804	\N	\N	\N
405513	1380	1996-12-29	VYDAJ	VYBER	2100	44197	\N	\N	\N
405514	1380	1997-12-28	VYDAJ	VYBER	2800	45491	\N	\N	\N
405515	1380	1998-12-23	VYDAJ	VYBER	2500	73315	\N	\N	\N
405522	1380	1997-01-03	VYDAJ	VYBER	1900	42487	\N	\N	\N
405523	1380	1997-01-28	VYDAJ	VYBER	500	34103	\N	\N	\N
405524	1380	1997-01-08	VYDAJ	VYBER	2000	61532	\N	\N	\N
405525	1380	1997-01-04	VYDAJ	VYBER	2800	39687	\N	\N	\N
405526	1380	1997-01-30	VYDAJ	VYBER	900	33203	\N	\N	\N
405527	1380	1997-01-08	VYDAJ	VYBER	1800	58632	\N	\N	\N
405528	1380	1998-01-15	VYDAJ	VYBER	1600	40704	\N	\N	\N
405529	1380	1998-01-01	VYDAJ	VYBER	1800	43888	\N	\N	\N
405530	1380	1998-01-10	VYDAJ	VYBER	500	42304	\N	\N	\N
405531	1380	1998-01-27	VYDAJ	VYBER	1700	36804	\N	\N	\N
405532	1380	1998-01-22	VYDAJ	VYBER	1400	39304	\N	\N	\N
405533	1380	1998-01-26	VYDAJ	VYBER	800	38504	\N	\N	\N
405534	1380	1996-11-16	VYDAJ	VYBER	4700	39579	\N	\N	\N
405535	1380	1996-08-31	VYDAJ	VYBER	4400	43658	\N	\N	\N
405538	1380	1996-10-01	VYDAJ	VYBER	1400	42057	\N	\N	\N
405540	1380	1997-12-20	VYDAJ	VYBER	2100	48291	\N	\N	\N
405541	1380	1997-02-18	VYDAJ	VYBER	3700	35384	\N	\N	\N
405542	1380	1997-05-19	VYDAJ	VYBER	3800	36774	\N	\N	\N
405543	1380	1998-02-24	VYDAJ	VYBER	4600	24582	\N	\N	\N
405544	1380	1998-05-19	VYDAJ	VYBER	3100	28250	\N	\N	\N
405545	1380	1998-10-17	VYDAJ	VYBER	600	56916	\N	\N	\N
405546	1380	1998-06-26	VYDAJ	VYBER	2800	34310	\N	\N	\N
405547	1380	1998-12-26	VYDAJ	VYBER	4700	68615	\N	\N	\N
405548	1380	1998-10-27	VYDAJ	VYBER	600	56316	\N	\N	\N
405549	1380	1998-08-06	VYDAJ	VYBER	4900	26790	\N	\N	\N
405550	1380	1998-07-27	VYDAJ	VYBER	4700	31558	\N	\N	\N
405558	1380	1996-07-31	VYDAJ	VYBER	15	49037	SLUZBY	\N	\N
405559	1380	1996-08-31	VYDAJ	VYBER	15	48058	SLUZBY	\N	\N
405560	1380	1996-09-30	VYDAJ	VYBER	15	43457	SLUZBY	\N	\N
405561	1380	1996-10-31	VYDAJ	VYBER	15	46363	SLUZBY	\N	\N
405562	1380	1996-11-30	VYDAJ	VYBER	15	39758	SLUZBY	\N	\N
405563	1380	1996-12-31	VYDAJ	VYBER	15	44387	SLUZBY	\N	\N
405564	1380	1997-01-31	VYDAJ	VYBER	15	33368	SLUZBY	\N	\N
405565	1380	1997-02-28	VYDAJ	VYBER	15	35528	SLUZBY	\N	\N
405566	1380	1997-03-31	VYDAJ	VYBER	15	35992	SLUZBY	\N	\N
405567	1380	1997-04-30	VYDAJ	VYBER	15	36758	SLUZBY	\N	\N
405568	1380	1997-05-31	VYDAJ	VYBER	15	36927	SLUZBY	\N	\N
405569	1380	1997-06-30	VYDAJ	VYBER	15	44945	SLUZBY	\N	\N
405570	1380	1997-07-31	VYDAJ	VYBER	15	42738	SLUZBY	\N	\N
405571	1380	1997-08-31	VYDAJ	VYBER	15	45232	SLUZBY	\N	\N
405572	1380	1997-09-30	VYDAJ	VYBER	15	46832	SLUZBY	\N	\N
405573	1380	1997-10-31	VYDAJ	VYBER	15	49141	SLUZBY	\N	\N
405574	1380	1997-11-30	VYDAJ	VYBER	15	49452	SLUZBY	\N	\N
405575	1380	1997-12-31	VYDAJ	VYBER	15	45688	SLUZBY	\N	\N
405576	1380	1998-01-31	VYDAJ	VYBER	15	30966	SLUZBY	\N	\N
405577	1380	1998-02-28	VYDAJ	VYBER	15	24690	SLUZBY	\N	\N
405578	1380	1998-03-31	VYDAJ	VYBER	15	29413	SLUZBY	\N	\N
405579	1380	1998-04-30	VYDAJ	VYBER	15	28034	SLUZBY	\N	\N
405580	1380	1998-05-31	VYDAJ	VYBER	15	28371	SLUZBY	\N	\N
405581	1380	1998-06-30	VYDAJ	VYBER	15	34442	SLUZBY	\N	\N
405582	1380	1998-07-31	VYDAJ	VYBER	15	31690	SLUZBY	\N	\N
405583	1380	1998-08-31	VYDAJ	VYBER	15	29818	SLUZBY	\N	\N
405584	1380	1998-09-30	VYDAJ	VYBER	15	46300	SLUZBY	\N	\N
405585	1380	1998-10-31	VYDAJ	VYBER	15	56531	SLUZBY	\N	\N
405586	1380	1998-11-30	VYDAJ	VYBER	15	58876	SLUZBY	\N	\N
405587	1380	1996-03-20	VYDAJ	VYBER	1900	23045	\N	\N	\N
405588	1380	1996-04-19	VYDAJ	VYBER	12000	34927	\N	\N	\N
405589	1380	1996-05-19	VYDAJ	VYBER	18200	40688	\N	\N	\N
405590	1380	1996-06-18	VYDAJ	VYBER	23800	52812	\N	\N	\N
405591	1380	1996-07-18	VYDAJ	VYBER	18100	48819	\N	\N	\N
405592	1380	1996-08-17	VYDAJ	VYBER	15100	47853	\N	\N	\N
405593	1380	1996-09-16	VYDAJ	VYBER	14300	43274	\N	\N	\N
405594	1380	1996-10-16	VYDAJ	VYBER	9800	46173	\N	\N	\N
405595	1380	1996-11-15	VYDAJ	VYBER	16000	44279	\N	\N	\N
405596	1380	1996-12-15	VYDAJ	VYBER	19300	46297	\N	\N	\N
405597	1380	1997-01-14	VYDAJ	VYBER	8000	41803	\N	\N	\N
405598	1380	1997-02-13	VYDAJ	VYBER	8200	39084	\N	\N	\N
405599	1380	1997-03-15	VYDAJ	VYBER	13600	35844	\N	\N	\N
405600	1380	1997-04-14	VYDAJ	VYBER	13300	36608	\N	\N	\N
405601	1380	1997-05-14	VYDAJ	VYBER	10100	40574	\N	\N	\N
405602	1380	1997-06-13	VYDAJ	VYBER	14400	48366	\N	\N	\N
405603	1380	1997-07-13	VYDAJ	VYBER	16300	42561	\N	\N	\N
405604	1380	1997-08-12	VYDAJ	VYBER	11600	45054	\N	\N	\N
405605	1380	1997-09-11	VYDAJ	VYBER	12500	46648	\N	\N	\N
405606	1380	1997-10-11	VYDAJ	VYBER	11800	48948	\N	\N	\N
405607	1380	1997-11-10	VYDAJ	VYBER	13800	49257	\N	\N	\N
405608	1380	1997-12-10	VYDAJ	VYBER	24900	50391	\N	\N	\N
405609	1380	1998-01-09	VYDAJ	VYBER	15000	51633	\N	\N	\N
405610	1380	1998-02-08	VYDAJ	VYBER	15700	38011	\N	\N	\N
405611	1380	1998-03-10	VYDAJ	VYBER	9300	29306	\N	\N	\N
405612	1380	1998-04-09	VYDAJ	VYBER	15400	27929	\N	\N	\N
405613	1380	1998-05-09	VYDAJ	VYBER	10600	40179	\N	\N	\N
405614	1380	1998-06-08	VYDAJ	VYBER	17100	45939	\N	\N	\N
405615	1380	1998-07-08	VYDAJ	VYBER	12100	46187	\N	\N	\N
405616	1380	1998-08-07	VYDAJ	VYBER	11000	39635	\N	\N	\N
405617	1380	1998-09-06	PRIJEM	VKLAD	2400	32218	\N	\N	\N
405618	1380	1998-10-06	VYDAJ	VYBER	2700	43600	\N	\N	\N
405619	1380	1998-11-05	VYDAJ	VYBER	11800	44731	\N	\N	\N
405620	1380	1998-12-05	VYDAJ	VYBER	8900	49976	\N	\N	\N
405655	1381	1993-11-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
405666	1381	1993-11-06	PRIJEM	PREVOD Z UCTU	4058	5058	DUCHOD	GH	4917139
405667	1381	1993-12-06	PRIJEM	PREVOD Z UCTU	4058	9134	DUCHOD	GH	4917139
405668	1381	1994-01-06	PRIJEM	PREVOD Z UCTU	4058	13213	DUCHOD	GH	4917139
405669	1381	1994-02-06	PRIJEM	PREVOD Z UCTU	4058	17292	DUCHOD	GH	4917139
405670	1381	1994-03-06	PRIJEM	PREVOD Z UCTU	4058	21371	DUCHOD	GH	4917139
405671	1381	1994-04-06	PRIJEM	PREVOD Z UCTU	4058	22732	DUCHOD	GH	4917139
405672	1381	1994-05-06	PRIJEM	PREVOD Z UCTU	4058	24165	DUCHOD	GH	4917139
405673	1381	1994-06-06	PRIJEM	PREVOD Z UCTU	4058	22256	DUCHOD	GH	4917139
405674	1381	1994-07-06	PRIJEM	PREVOD Z UCTU	4058	22486	DUCHOD	GH	4917139
405675	1381	1994-08-06	PRIJEM	PREVOD Z UCTU	4058	23918	DUCHOD	GH	4917139
405676	1381	1994-09-06	PRIJEM	PREVOD Z UCTU	4058	25355	DUCHOD	GH	4917139
405677	1381	1994-10-06	PRIJEM	PREVOD Z UCTU	4058	26798	DUCHOD	GH	4917139
405678	1381	1994-11-06	PRIJEM	PREVOD Z UCTU	4058	27546	DUCHOD	GH	4917139
405679	1381	1994-12-06	PRIJEM	PREVOD Z UCTU	4058	28999	DUCHOD	GH	4917139
405680	1381	1995-01-06	PRIJEM	PREVOD Z UCTU	4058	21170	DUCHOD	GH	4917139
405681	1381	1995-02-06	PRIJEM	PREVOD Z UCTU	4058	15579	DUCHOD	GH	4917139
405682	1381	1995-03-06	PRIJEM	PREVOD Z UCTU	4058	16981	DUCHOD	GH	4917139
405683	1381	1995-04-06	PRIJEM	PREVOD Z UCTU	4058	18389	DUCHOD	GH	4917139
405684	1381	1995-05-06	PRIJEM	PREVOD Z UCTU	4058	19803	DUCHOD	GH	4917139
405685	1381	1995-06-06	PRIJEM	PREVOD Z UCTU	4058	21223	DUCHOD	GH	4917139
405686	1381	1995-07-06	PRIJEM	PREVOD Z UCTU	4058	17695	DUCHOD	GH	4917139
405687	1381	1995-08-06	PRIJEM	PREVOD Z UCTU	4058	19106	DUCHOD	GH	4917139
405688	1381	1995-09-06	PRIJEM	PREVOD Z UCTU	4058	20523	DUCHOD	GH	4917139
405689	1381	1995-10-06	PRIJEM	PREVOD Z UCTU	4058	21945	DUCHOD	GH	4917139
405690	1381	1995-11-06	PRIJEM	PREVOD Z UCTU	4058	20011	DUCHOD	GH	4917139
405691	1381	1995-12-06	PRIJEM	PREVOD Z UCTU	4058	21432	DUCHOD	GH	4917139
405692	1381	1996-01-06	PRIJEM	PREVOD Z UCTU	4058	17555	DUCHOD	GH	4917139
405693	1381	1996-02-06	PRIJEM	PREVOD Z UCTU	4058	15464	DUCHOD	GH	4917139
405694	1381	1996-03-06	PRIJEM	PREVOD Z UCTU	4058	16865	DUCHOD	GH	4917139
405695	1381	1996-04-06	PRIJEM	PREVOD Z UCTU	4058	18273	DUCHOD	GH	4917139
405696	1381	1996-05-06	PRIJEM	PREVOD Z UCTU	4058	19686	DUCHOD	GH	4917139
405697	1381	1996-06-06	PRIJEM	PREVOD Z UCTU	4058	19104	DUCHOD	GH	4917139
405698	1381	1996-07-06	PRIJEM	PREVOD Z UCTU	4058	20520	DUCHOD	GH	4917139
405699	1381	1996-08-06	PRIJEM	PREVOD Z UCTU	4058	21943	DUCHOD	GH	4917139
405700	1381	1996-09-06	PRIJEM	PREVOD Z UCTU	4058	19440	DUCHOD	GH	4917139
405701	1381	1996-10-06	PRIJEM	PREVOD Z UCTU	4058	17813	DUCHOD	GH	4917139
405702	1381	1996-11-06	PRIJEM	PREVOD Z UCTU	4058	18623	DUCHOD	GH	4917139
405703	1381	1996-12-06	PRIJEM	PREVOD Z UCTU	4058	18936	DUCHOD	GH	4917139
405704	1381	1997-01-06	PRIJEM	PREVOD Z UCTU	4058	20352	DUCHOD	GH	4917139
405705	1381	1997-02-06	PRIJEM	PREVOD Z UCTU	4058	16259	DUCHOD	GH	4917139
405706	1381	1997-03-06	PRIJEM	PREVOD Z UCTU	4058	17663	DUCHOD	GH	4917139
405707	1381	1997-04-06	PRIJEM	PREVOD Z UCTU	4058	19073	DUCHOD	GH	4917139
405708	1381	1997-05-06	PRIJEM	PREVOD Z UCTU	4058	15477	DUCHOD	GH	4917139
405709	1381	1997-06-06	PRIJEM	PREVOD Z UCTU	4058	14272	DUCHOD	GH	4917139
405710	1381	1997-07-06	PRIJEM	PREVOD Z UCTU	4058	15668	DUCHOD	GH	4917139
405711	1381	1997-08-06	PRIJEM	PREVOD Z UCTU	4058	17069	DUCHOD	GH	4917139
405712	1381	1997-09-06	PRIJEM	PREVOD Z UCTU	4058	16271	DUCHOD	GH	4917139
405713	1381	1997-10-06	PRIJEM	PREVOD Z UCTU	4058	16954	DUCHOD	GH	4917139
405714	1381	1997-11-06	PRIJEM	PREVOD Z UCTU	4058	18361	DUCHOD	GH	4917139
405715	1381	1997-12-06	PRIJEM	PREVOD Z UCTU	4058	19774	DUCHOD	GH	4917139
405716	1381	1998-01-06	PRIJEM	PREVOD Z UCTU	4058	19171	DUCHOD	GH	4917139
405717	1381	1998-02-06	PRIJEM	PREVOD Z UCTU	4058	16739	DUCHOD	GH	4917139
405718	1381	1998-03-06	PRIJEM	PREVOD Z UCTU	4058	18144	DUCHOD	GH	4917139
405719	1381	1998-04-06	PRIJEM	PREVOD Z UCTU	4058	19556	DUCHOD	GH	4917139
405720	1381	1998-05-06	PRIJEM	PREVOD Z UCTU	4058	20973	DUCHOD	GH	4917139
405721	1381	1998-06-06	PRIJEM	PREVOD Z UCTU	4058	22396	DUCHOD	GH	4917139
405722	1381	1998-07-06	PRIJEM	PREVOD Z UCTU	4058	21820	DUCHOD	GH	4917139
405723	1381	1998-08-06	PRIJEM	PREVOD Z UCTU	4058	23247	DUCHOD	GH	4917139
405724	1381	1998-09-06	PRIJEM	PREVOD Z UCTU	4058	24679	DUCHOD	GH	4917139
405725	1381	1998-10-06	PRIJEM	PREVOD Z UCTU	4058	26118	DUCHOD	GH	4917139
405726	1381	1998-11-06	PRIJEM	PREVOD Z UCTU	4058	23629	DUCHOD	GH	4917139
405727	1381	1998-12-06	PRIJEM	PREVOD Z UCTU	4058	25063	DUCHOD	GH	4917139
405743	1381	1994-04-05	VYDAJ	PREVOD NA UCET	2705	18674	SIPO	ST	30807364
405744	1381	1994-05-05	VYDAJ	PREVOD NA UCET	2705	20107	SIPO	ST	30807364
405745	1381	1994-06-05	VYDAJ	PREVOD NA UCET	2705	18198	SIPO	ST	30807364
405746	1381	1994-07-05	VYDAJ	PREVOD NA UCET	2705	18428	SIPO	ST	30807364
405747	1381	1994-08-05	VYDAJ	PREVOD NA UCET	2705	19860	SIPO	ST	30807364
405748	1381	1994-09-05	VYDAJ	PREVOD NA UCET	2705	21297	SIPO	ST	30807364
405749	1381	1994-10-05	VYDAJ	PREVOD NA UCET	2705	22740	SIPO	ST	30807364
405750	1381	1994-11-05	VYDAJ	PREVOD NA UCET	2705	23488	SIPO	ST	30807364
405751	1381	1994-12-05	VYDAJ	PREVOD NA UCET	2705	24941	SIPO	ST	30807364
405752	1381	1995-01-05	VYDAJ	PREVOD NA UCET	2705	17112	SIPO	ST	30807364
405753	1381	1995-02-05	VYDAJ	PREVOD NA UCET	2705	11521	SIPO	ST	30807364
405754	1381	1995-03-05	VYDAJ	PREVOD NA UCET	2705	12923	SIPO	ST	30807364
405755	1381	1995-04-05	VYDAJ	PREVOD NA UCET	2705	14331	SIPO	ST	30807364
405756	1381	1995-05-05	VYDAJ	PREVOD NA UCET	2705	15745	SIPO	ST	30807364
405757	1381	1995-06-05	VYDAJ	PREVOD NA UCET	2705	17165	SIPO	ST	30807364
405758	1381	1995-07-05	VYDAJ	PREVOD NA UCET	2705	13637	SIPO	ST	30807364
405759	1381	1995-08-05	VYDAJ	PREVOD NA UCET	2705	15048	SIPO	ST	30807364
405760	1381	1995-09-05	VYDAJ	PREVOD NA UCET	2705	16465	SIPO	ST	30807364
405761	1381	1995-10-05	VYDAJ	PREVOD NA UCET	2705	17887	SIPO	ST	30807364
405762	1381	1995-11-05	VYDAJ	PREVOD NA UCET	2705	15953	SIPO	ST	30807364
405763	1381	1995-12-05	VYDAJ	PREVOD NA UCET	2705	17374	SIPO	ST	30807364
405764	1381	1996-01-05	VYDAJ	PREVOD NA UCET	2705	13497	SIPO	ST	30807364
405765	1381	1996-02-05	VYDAJ	PREVOD NA UCET	2705	11406	SIPO	ST	30807364
405766	1381	1996-03-05	VYDAJ	PREVOD NA UCET	2705	12807	SIPO	ST	30807364
405767	1381	1996-04-05	VYDAJ	PREVOD NA UCET	2705	14215	SIPO	ST	30807364
405768	1381	1996-05-05	VYDAJ	PREVOD NA UCET	2705	15628	SIPO	ST	30807364
405769	1381	1996-06-05	VYDAJ	PREVOD NA UCET	2705	15046	SIPO	ST	30807364
405770	1381	1996-07-05	VYDAJ	PREVOD NA UCET	2705	16462	SIPO	ST	30807364
405771	1381	1996-08-05	VYDAJ	PREVOD NA UCET	2705	17885	SIPO	ST	30807364
405772	1381	1996-09-05	VYDAJ	PREVOD NA UCET	2705	15382	SIPO	ST	30807364
405773	1381	1996-10-05	VYDAJ	PREVOD NA UCET	2705	13755	SIPO	ST	30807364
405774	1381	1996-11-05	VYDAJ	PREVOD NA UCET	2705	14565	SIPO	ST	30807364
405775	1381	1996-12-05	VYDAJ	PREVOD NA UCET	2705	15378	SIPO	ST	30807364
405776	1381	1997-01-05	VYDAJ	PREVOD NA UCET	2705	16294	SIPO	ST	30807364
405777	1381	1997-02-05	VYDAJ	PREVOD NA UCET	2705	12201	SIPO	ST	30807364
405778	1381	1997-03-05	VYDAJ	PREVOD NA UCET	2705	13605	SIPO	ST	30807364
405779	1381	1997-04-05	VYDAJ	PREVOD NA UCET	2705	15015	SIPO	ST	30807364
405780	1381	1997-05-05	VYDAJ	PREVOD NA UCET	2705	11419	SIPO	ST	30807364
405781	1381	1997-06-05	VYDAJ	PREVOD NA UCET	2705	10214	SIPO	ST	30807364
405782	1381	1997-07-05	VYDAJ	PREVOD NA UCET	2705	11610	SIPO	ST	30807364
405783	1381	1997-08-05	VYDAJ	PREVOD NA UCET	2705	13011	SIPO	ST	30807364
405784	1381	1997-09-05	VYDAJ	PREVOD NA UCET	2705	12213	SIPO	ST	30807364
405785	1381	1997-10-05	VYDAJ	PREVOD NA UCET	2705	12896	SIPO	ST	30807364
405786	1381	1997-11-05	VYDAJ	PREVOD NA UCET	2705	14303	SIPO	ST	30807364
405787	1381	1997-12-05	VYDAJ	PREVOD NA UCET	2705	15716	SIPO	ST	30807364
405788	1381	1998-01-05	VYDAJ	PREVOD NA UCET	2705	15673	SIPO	ST	30807364
405789	1381	1998-02-05	VYDAJ	PREVOD NA UCET	2705	12681	SIPO	ST	30807364
405790	1381	1998-03-05	VYDAJ	PREVOD NA UCET	2705	14086	SIPO	ST	30807364
405791	1381	1998-04-05	VYDAJ	PREVOD NA UCET	2705	15498	SIPO	ST	30807364
405792	1381	1998-05-05	VYDAJ	PREVOD NA UCET	2705	16915	SIPO	ST	30807364
405793	1381	1998-06-05	VYDAJ	PREVOD NA UCET	2705	18338	SIPO	ST	30807364
405794	1381	1998-07-05	VYDAJ	PREVOD NA UCET	2705	17762	SIPO	ST	30807364
405795	1381	1998-08-05	VYDAJ	PREVOD NA UCET	2705	19189	SIPO	ST	30807364
405796	1381	1998-09-05	VYDAJ	PREVOD NA UCET	2705	20621	SIPO	ST	30807364
405797	1381	1998-10-05	VYDAJ	PREVOD NA UCET	2705	22060	SIPO	ST	30807364
405798	1381	1998-11-05	VYDAJ	PREVOD NA UCET	2705	19571	SIPO	ST	30807364
405799	1381	1998-12-05	VYDAJ	PREVOD NA UCET	2705	21005	SIPO	ST	30807364
405802	1381	1995-06-25	VYDAJ	VYBER	4950	16273	\N	\N	\N
405808	1381	1995-01-13	VYDAJ	VYBER	600	17450	\N	\N	\N
405809	1381	1996-01-06	VYDAJ	VYBER	3500	14055	\N	\N	\N
405810	1381	1997-01-12	VYDAJ	VYBER	2300	16612	\N	\N	\N
405813	1381	1994-12-15	VYDAJ	VYBER	1200	27799	\N	\N	\N
405814	1381	1995-12-13	VYDAJ	VYBER	1300	20132	\N	\N	\N
405815	1381	1996-12-05	VYDAJ	VYBER	500	14878	\N	\N	\N
405816	1381	1997-12-21	VYDAJ	VYBER	500	19274	\N	\N	\N
405817	1381	1998-12-23	VYDAJ	VYBER	1000	20143	\N	\N	\N
405831	1381	1995-01-25	VYDAJ	VYBER	1920	14170	\N	\N	\N
405832	1381	1995-01-03	VYDAJ	VYBER	1120	20537	\N	\N	\N
405833	1381	1995-01-07	VYDAJ	VYBER	1520	19650	\N	\N	\N
405834	1381	1995-01-03	VYDAJ	VYBER	720	19817	\N	\N	\N
405835	1381	1995-01-11	VYDAJ	VYBER	1600	18050	\N	\N	\N
405838	1381	1996-01-01	VYDAJ	VYBER	2320	16202	\N	\N	\N
405840	1381	1996-01-01	VYDAJ	VYBER	560	18522	\N	\N	\N
405841	1381	1996-01-01	VYDAJ	VYBER	1120	19082	\N	\N	\N
405843	1381	1997-01-10	VYDAJ	VYBER	560	18912	\N	\N	\N
405845	1381	1997-01-09	VYDAJ	VYBER	880	19472	\N	\N	\N
405846	1381	1997-01-23	VYDAJ	VYBER	400	14852	\N	\N	\N
405847	1381	1997-01-14	VYDAJ	VYBER	1360	15252	\N	\N	\N
405848	1381	1998-01-13	VYDAJ	VYBER	800	16611	\N	\N	\N
405849	1381	1998-01-05	VYDAJ	VYBER	560	15113	\N	\N	\N
405850	1381	1998-01-12	VYDAJ	VYBER	1760	17411	\N	\N	\N
405852	1381	1998-01-18	VYDAJ	VYBER	1280	15331	\N	\N	\N
405853	1381	1998-01-02	VYDAJ	VYBER	960	18378	\N	\N	\N
405857	1381	1994-05-08	VYDAJ	VYBER	1840	22325	\N	\N	\N
405858	1381	1994-12-29	VYDAJ	VYBER	3120	21559	\N	\N	\N
405859	1381	1994-12-17	VYDAJ	VYBER	1760	26039	\N	\N	\N
405860	1381	1994-12-29	VYDAJ	VYBER	1360	24679	\N	\N	\N
405862	1381	1995-01-14	VYDAJ	VYBER	1360	16090	\N	\N	\N
405864	1381	1995-10-25	VYDAJ	VYBER	3360	18585	\N	\N	\N
405865	1381	1996-05-29	VYDAJ	VYBER	2000	17686	\N	\N	\N
405866	1381	1996-08-10	VYDAJ	VYBER	3920	18023	\N	\N	\N
405867	1381	1996-09-22	VYDAJ	VYBER	3040	16400	\N	\N	\N
405871	1381	1997-09-28	VYDAJ	VYBER	720	15551	\N	\N	\N
405872	1381	1998-06-13	VYDAJ	VYBER	2000	20396	\N	\N	\N
405873	1381	1998-10-09	VYDAJ	VYBER	640	22198	\N	\N	\N
405874	1381	1998-10-07	VYDAJ	VYBER	3280	22838	\N	\N	\N
405877	1381	1998-12-18	VYDAJ	VYBER	3920	21143	\N	\N	\N
405893	1381	1994-03-31	VYDAJ	VYBER	15	21379	SLUZBY	\N	\N
405894	1381	1994-04-30	VYDAJ	VYBER	15	22812	SLUZBY	\N	\N
405895	1381	1994-05-31	VYDAJ	VYBER	15	20903	SLUZBY	\N	\N
405896	1381	1994-06-30	VYDAJ	VYBER	15	21133	SLUZBY	\N	\N
405897	1381	1994-07-31	VYDAJ	VYBER	15	22565	SLUZBY	\N	\N
405898	1381	1994-08-31	VYDAJ	VYBER	15	24002	SLUZBY	\N	\N
405899	1381	1994-09-30	VYDAJ	VYBER	15	25445	SLUZBY	\N	\N
405900	1381	1994-10-31	VYDAJ	VYBER	15	26193	SLUZBY	\N	\N
405901	1381	1994-11-30	VYDAJ	VYBER	15	27646	SLUZBY	\N	\N
405902	1381	1994-12-31	VYDAJ	VYBER	15	21657	SLUZBY	\N	\N
405903	1381	1995-01-31	VYDAJ	VYBER	15	14226	SLUZBY	\N	\N
405904	1381	1995-02-28	VYDAJ	VYBER	15	15628	SLUZBY	\N	\N
405905	1381	1995-03-31	VYDAJ	VYBER	15	17036	SLUZBY	\N	\N
405906	1381	1995-04-30	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
405907	1381	1995-05-31	VYDAJ	VYBER	15	19870	SLUZBY	\N	\N
405908	1381	1995-06-30	VYDAJ	VYBER	15	16342	SLUZBY	\N	\N
405909	1381	1995-07-31	VYDAJ	VYBER	15	17753	SLUZBY	\N	\N
405910	1381	1995-08-31	VYDAJ	VYBER	15	19170	SLUZBY	\N	\N
405911	1381	1995-09-30	VYDAJ	VYBER	15	20592	SLUZBY	\N	\N
405912	1381	1995-10-31	VYDAJ	VYBER	15	18658	SLUZBY	\N	\N
405913	1381	1995-11-30	VYDAJ	VYBER	15	20079	SLUZBY	\N	\N
405914	1381	1995-12-31	VYDAJ	VYBER	15	20202	SLUZBY	\N	\N
405915	1381	1996-01-31	VYDAJ	VYBER	15	14111	SLUZBY	\N	\N
405916	1381	1996-02-29	VYDAJ	VYBER	15	15512	SLUZBY	\N	\N
405917	1381	1996-03-31	VYDAJ	VYBER	15	16920	SLUZBY	\N	\N
405918	1381	1996-04-30	VYDAJ	VYBER	15	18333	SLUZBY	\N	\N
405919	1381	1996-05-31	VYDAJ	VYBER	15	17751	SLUZBY	\N	\N
405920	1381	1996-06-30	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
405921	1381	1996-07-31	VYDAJ	VYBER	15	20590	SLUZBY	\N	\N
405922	1381	1996-08-31	VYDAJ	VYBER	15	18087	SLUZBY	\N	\N
405923	1381	1996-09-30	VYDAJ	VYBER	15	16460	SLUZBY	\N	\N
405924	1381	1996-10-31	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
405925	1381	1996-11-30	VYDAJ	VYBER	15	18083	SLUZBY	\N	\N
405926	1381	1996-12-31	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
405927	1381	1997-01-31	VYDAJ	VYBER	15	14906	SLUZBY	\N	\N
405928	1381	1997-02-28	VYDAJ	VYBER	15	16310	SLUZBY	\N	\N
405929	1381	1997-03-31	VYDAJ	VYBER	15	17720	SLUZBY	\N	\N
405930	1381	1997-04-30	VYDAJ	VYBER	15	14124	SLUZBY	\N	\N
405931	1381	1997-05-31	VYDAJ	VYBER	15	12919	SLUZBY	\N	\N
405932	1381	1997-06-30	VYDAJ	VYBER	15	14315	SLUZBY	\N	\N
405933	1381	1997-07-31	VYDAJ	VYBER	15	15716	SLUZBY	\N	\N
405934	1381	1997-08-31	VYDAJ	VYBER	15	14918	SLUZBY	\N	\N
405935	1381	1997-09-30	VYDAJ	VYBER	15	15601	SLUZBY	\N	\N
405936	1381	1997-10-31	VYDAJ	VYBER	15	17008	SLUZBY	\N	\N
405937	1381	1997-11-30	VYDAJ	VYBER	15	18421	SLUZBY	\N	\N
405938	1381	1997-12-31	VYDAJ	VYBER	15	19338	SLUZBY	\N	\N
405939	1381	1998-01-31	VYDAJ	VYBER	15	15386	SLUZBY	\N	\N
405940	1381	1998-02-28	VYDAJ	VYBER	15	16791	SLUZBY	\N	\N
405941	1381	1998-03-31	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
405942	1381	1998-04-30	VYDAJ	VYBER	15	19620	SLUZBY	\N	\N
405943	1381	1998-05-31	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
405944	1381	1998-06-30	VYDAJ	VYBER	15	20467	SLUZBY	\N	\N
405945	1381	1998-07-31	VYDAJ	VYBER	15	21894	SLUZBY	\N	\N
405946	1381	1998-08-31	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
405947	1381	1998-09-30	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
405948	1381	1998-10-31	VYDAJ	VYBER	15	22276	SLUZBY	\N	\N
405949	1381	1998-11-30	VYDAJ	VYBER	15	23710	SLUZBY	\N	\N
405950	1381	1994-05-30	VYDAJ	VYBER	1500	20825	\N	\N	\N
405951	1381	1994-06-29	VYDAJ	VYBER	1200	21056	\N	\N	\N
405952	1381	1994-10-27	VYDAJ	VYBER	700	26098	\N	\N	\N
405953	1381	1996-10-16	VYDAJ	VYBER	600	17213	\N	\N	\N
405954	1381	1996-11-15	VYDAJ	VYBER	600	18023	\N	\N	\N
405955	1381	1997-04-14	VYDAJ	VYBER	5000	14073	\N	\N	\N
405956	1381	1997-05-14	VYDAJ	VYBER	2600	12877	\N	\N	\N
405957	1381	1997-08-12	VYDAJ	VYBER	2200	14869	\N	\N	\N
406020	1382	1993-08-03	PRIJEM	VKLAD	800	800	\N	\N	\N
406028	1382	1993-08-13	PRIJEM	PREVOD Z UCTU	3089	3889	\N	IJ	57821530
406029	1382	1993-09-13	PRIJEM	PREVOD Z UCTU	3089	6988	\N	IJ	57821530
406030	1382	1993-10-13	PRIJEM	PREVOD Z UCTU	3089	10093	\N	IJ	57821530
406031	1382	1993-11-13	PRIJEM	PREVOD Z UCTU	3089	13198	\N	IJ	57821530
406032	1382	1993-12-13	PRIJEM	PREVOD Z UCTU	3089	16304	\N	IJ	57821530
406033	1382	1994-01-13	PRIJEM	PREVOD Z UCTU	3089	14568	\N	IJ	57821530
406034	1382	1994-02-13	PRIJEM	PREVOD Z UCTU	3089	13750	\N	IJ	57821530
406035	1382	1994-03-13	PRIJEM	PREVOD Z UCTU	3089	13741	\N	IJ	57821530
406036	1382	1994-04-13	PRIJEM	PREVOD Z UCTU	3089	14811	\N	IJ	57821530
406037	1382	1994-05-13	PRIJEM	PREVOD Z UCTU	3089	15887	\N	IJ	57821530
406038	1382	1994-06-13	PRIJEM	PREVOD Z UCTU	3089	16967	\N	IJ	57821530
406039	1382	1994-07-13	PRIJEM	PREVOD Z UCTU	3089	18051	\N	IJ	57821530
406040	1382	1994-08-13	PRIJEM	PREVOD Z UCTU	3089	19140	\N	IJ	57821530
406041	1382	1994-09-13	PRIJEM	PREVOD Z UCTU	3089	19211	\N	IJ	57821530
406042	1382	1994-10-13	PRIJEM	PREVOD Z UCTU	3089	19284	\N	IJ	57821530
406043	1382	1994-11-13	PRIJEM	PREVOD Z UCTU	3089	20108	\N	IJ	57821530
406044	1382	1994-12-13	PRIJEM	PREVOD Z UCTU	3089	20305	\N	IJ	57821530
406045	1382	1995-01-13	PRIJEM	PREVOD Z UCTU	3089	19453	\N	IJ	57821530
406046	1382	1995-02-13	PRIJEM	PREVOD Z UCTU	3089	17637	\N	IJ	57821530
406047	1382	1995-03-13	PRIJEM	PREVOD Z UCTU	3089	18724	\N	IJ	57821530
406048	1382	1995-04-13	PRIJEM	PREVOD Z UCTU	3089	19815	\N	IJ	57821530
406049	1382	1995-05-13	PRIJEM	PREVOD Z UCTU	3089	20911	\N	IJ	57821530
406050	1382	1995-06-13	PRIJEM	PREVOD Z UCTU	3089	18442	\N	IJ	57821530
406051	1382	1995-07-13	PRIJEM	PREVOD Z UCTU	3089	19535	\N	IJ	57821530
406052	1382	1995-08-13	PRIJEM	PREVOD Z UCTU	3089	20630	\N	IJ	57821530
406053	1382	1995-09-13	PRIJEM	PREVOD Z UCTU	3089	21730	\N	IJ	57821530
406054	1382	1995-10-13	PRIJEM	PREVOD Z UCTU	3089	22834	\N	IJ	57821530
406055	1382	1995-11-13	PRIJEM	PREVOD Z UCTU	3089	22440	\N	IJ	57821530
406056	1382	1995-12-13	PRIJEM	PREVOD Z UCTU	3089	23147	\N	IJ	57821530
406057	1382	1996-01-13	PRIJEM	PREVOD Z UCTU	3089	22816	\N	IJ	57821530
406058	1382	1996-02-13	PRIJEM	PREVOD Z UCTU	3089	21702	\N	IJ	57821530
406059	1382	1996-03-13	PRIJEM	PREVOD Z UCTU	3089	22806	\N	IJ	57821530
406060	1382	1996-04-13	PRIJEM	PREVOD Z UCTU	3089	22712	\N	IJ	57821530
406061	1382	1996-05-13	PRIJEM	PREVOD Z UCTU	3089	23820	\N	IJ	57821530
406062	1382	1996-06-13	PRIJEM	PREVOD Z UCTU	3089	24602	\N	IJ	57821530
406063	1382	1996-07-13	PRIJEM	PREVOD Z UCTU	3089	22632	\N	IJ	57821530
406064	1382	1996-08-13	PRIJEM	PREVOD Z UCTU	3089	23560	\N	IJ	57821530
406065	1382	1996-09-13	PRIJEM	PREVOD Z UCTU	3089	24521	\N	IJ	57821530
406066	1382	1996-10-13	PRIJEM	PREVOD Z UCTU	3089	22329	\N	IJ	57821530
406067	1382	1996-11-13	PRIJEM	PREVOD Z UCTU	3089	23435	\N	IJ	57821530
406068	1382	1996-12-13	PRIJEM	PREVOD Z UCTU	3089	22745	\N	IJ	57821530
406069	1382	1997-01-13	PRIJEM	PREVOD Z UCTU	3089	22922	\N	IJ	57821530
406070	1382	1997-02-13	PRIJEM	PREVOD Z UCTU	3089	18220	\N	IJ	57821530
406071	1382	1997-03-13	PRIJEM	PREVOD Z UCTU	3089	19308	\N	IJ	57821530
406072	1382	1997-04-13	PRIJEM	PREVOD Z UCTU	3089	20301	\N	IJ	57821530
406073	1382	1997-05-13	PRIJEM	PREVOD Z UCTU	3089	20767	\N	IJ	57821530
406074	1382	1997-06-13	PRIJEM	PREVOD Z UCTU	3089	21866	\N	IJ	57821530
406075	1382	1997-07-13	PRIJEM	PREVOD Z UCTU	3089	22970	\N	IJ	57821530
406076	1382	1997-08-13	PRIJEM	PREVOD Z UCTU	3089	24078	\N	IJ	57821530
406077	1382	1997-09-13	PRIJEM	PREVOD Z UCTU	3089	21491	\N	IJ	57821530
406078	1382	1997-10-13	PRIJEM	PREVOD Z UCTU	3089	21498	\N	IJ	57821530
406079	1382	1997-11-13	PRIJEM	PREVOD Z UCTU	3089	19602	\N	IJ	57821530
406080	1382	1997-12-13	PRIJEM	PREVOD Z UCTU	3089	20299	\N	IJ	57821530
406081	1382	1998-01-13	PRIJEM	PREVOD Z UCTU	3089	18695	\N	IJ	57821530
406082	1382	1998-02-13	PRIJEM	PREVOD Z UCTU	3089	19065	\N	IJ	57821530
406083	1382	1998-03-13	PRIJEM	PREVOD Z UCTU	3089	20157	\N	IJ	57821530
406084	1382	1998-04-13	PRIJEM	PREVOD Z UCTU	3089	20261	\N	IJ	57821530
406085	1382	1998-05-13	PRIJEM	PREVOD Z UCTU	3089	21358	\N	IJ	57821530
406086	1382	1998-06-13	PRIJEM	PREVOD Z UCTU	3089	22459	\N	IJ	57821530
406087	1382	1998-07-13	PRIJEM	PREVOD Z UCTU	3089	20742	\N	IJ	57821530
406088	1382	1998-08-13	PRIJEM	PREVOD Z UCTU	3089	21660	\N	IJ	57821530
406089	1382	1998-09-13	PRIJEM	PREVOD Z UCTU	3089	21920	\N	IJ	57821530
406090	1382	1998-10-13	PRIJEM	PREVOD Z UCTU	3089	23023	\N	IJ	57821530
406091	1382	1998-11-13	PRIJEM	PREVOD Z UCTU	3089	24131	\N	IJ	57821530
406092	1382	1998-12-13	PRIJEM	PREVOD Z UCTU	3089	25243	\N	IJ	57821530
406105	1382	1994-01-11	VYDAJ	PREVOD NA UCET	2059	11479	SIPO	IJ	22867429
406106	1382	1994-02-11	VYDAJ	PREVOD NA UCET	2059	10661	SIPO	IJ	22867429
406107	1382	1994-03-11	VYDAJ	PREVOD NA UCET	2059	10652	SIPO	IJ	22867429
406108	1382	1994-04-11	VYDAJ	PREVOD NA UCET	2059	11722	SIPO	IJ	22867429
406109	1382	1994-05-11	VYDAJ	PREVOD NA UCET	2059	12798	SIPO	IJ	22867429
406110	1382	1994-06-11	VYDAJ	PREVOD NA UCET	2059	13878	SIPO	IJ	22867429
406111	1382	1994-07-11	VYDAJ	PREVOD NA UCET	2059	14962	SIPO	IJ	22867429
406112	1382	1994-08-11	VYDAJ	PREVOD NA UCET	2059	16051	SIPO	IJ	22867429
406113	1382	1994-09-11	VYDAJ	PREVOD NA UCET	2059	16122	SIPO	IJ	22867429
406114	1382	1994-10-11	VYDAJ	PREVOD NA UCET	2059	16195	SIPO	IJ	22867429
406115	1382	1994-11-11	VYDAJ	PREVOD NA UCET	2059	17019	SIPO	IJ	22867429
406116	1382	1994-12-11	VYDAJ	PREVOD NA UCET	2059	17216	SIPO	IJ	22867429
406117	1382	1995-01-11	VYDAJ	PREVOD NA UCET	2059	16364	SIPO	IJ	22867429
406118	1382	1995-02-11	VYDAJ	PREVOD NA UCET	2059	14548	SIPO	IJ	22867429
406119	1382	1995-03-11	VYDAJ	PREVOD NA UCET	2059	15635	SIPO	IJ	22867429
406120	1382	1995-04-11	VYDAJ	PREVOD NA UCET	2059	16726	SIPO	IJ	22867429
406121	1382	1995-05-11	VYDAJ	PREVOD NA UCET	2059	17822	SIPO	IJ	22867429
406122	1382	1995-06-11	VYDAJ	PREVOD NA UCET	2059	15353	SIPO	IJ	22867429
406123	1382	1995-07-11	VYDAJ	PREVOD NA UCET	2059	16446	SIPO	IJ	22867429
406124	1382	1995-08-11	VYDAJ	PREVOD NA UCET	2059	17541	SIPO	IJ	22867429
406125	1382	1995-09-11	VYDAJ	PREVOD NA UCET	2059	18641	SIPO	IJ	22867429
406126	1382	1995-10-11	VYDAJ	PREVOD NA UCET	2059	19745	SIPO	IJ	22867429
406127	1382	1995-11-11	VYDAJ	PREVOD NA UCET	2059	19351	SIPO	IJ	22867429
406128	1382	1995-12-11	VYDAJ	PREVOD NA UCET	2059	20058	SIPO	IJ	22867429
406129	1382	1996-01-11	VYDAJ	PREVOD NA UCET	2059	19727	SIPO	IJ	22867429
406130	1382	1996-02-11	VYDAJ	PREVOD NA UCET	2059	18613	SIPO	IJ	22867429
406131	1382	1996-03-11	VYDAJ	PREVOD NA UCET	2059	19717	SIPO	IJ	22867429
406132	1382	1996-04-11	VYDAJ	PREVOD NA UCET	2059	19623	SIPO	IJ	22867429
406133	1382	1996-05-11	VYDAJ	PREVOD NA UCET	2059	20731	SIPO	IJ	22867429
406134	1382	1996-06-11	VYDAJ	PREVOD NA UCET	2059	21513	SIPO	IJ	22867429
406135	1382	1996-07-11	VYDAJ	PREVOD NA UCET	2059	19543	SIPO	IJ	22867429
406136	1382	1996-08-11	VYDAJ	PREVOD NA UCET	2059	20471	SIPO	IJ	22867429
406137	1382	1996-09-11	VYDAJ	PREVOD NA UCET	2059	21432	SIPO	IJ	22867429
406138	1382	1996-10-11	VYDAJ	PREVOD NA UCET	2059	19240	SIPO	IJ	22867429
406139	1382	1996-11-11	VYDAJ	PREVOD NA UCET	2059	20346	SIPO	IJ	22867429
406140	1382	1996-12-11	VYDAJ	PREVOD NA UCET	2059	19656	SIPO	IJ	22867429
406141	1382	1997-01-11	VYDAJ	PREVOD NA UCET	2059	19833	SIPO	IJ	22867429
406142	1382	1997-02-11	VYDAJ	PREVOD NA UCET	2059	15131	SIPO	IJ	22867429
406143	1382	1997-03-11	VYDAJ	PREVOD NA UCET	2059	16219	SIPO	IJ	22867429
406144	1382	1997-04-11	VYDAJ	PREVOD NA UCET	2059	17212	SIPO	IJ	22867429
406145	1382	1997-05-11	VYDAJ	PREVOD NA UCET	2059	17678	SIPO	IJ	22867429
406146	1382	1997-06-11	VYDAJ	PREVOD NA UCET	2059	18777	SIPO	IJ	22867429
406147	1382	1997-07-11	VYDAJ	PREVOD NA UCET	2059	19881	SIPO	IJ	22867429
406148	1382	1997-08-11	VYDAJ	PREVOD NA UCET	2059	20989	SIPO	IJ	22867429
406149	1382	1997-09-11	VYDAJ	PREVOD NA UCET	2059	18402	SIPO	IJ	22867429
406150	1382	1997-10-11	VYDAJ	PREVOD NA UCET	2059	18909	SIPO	IJ	22867429
406151	1382	1997-11-11	VYDAJ	PREVOD NA UCET	2059	16513	SIPO	IJ	22867429
406152	1382	1997-12-11	VYDAJ	PREVOD NA UCET	2059	17210	SIPO	IJ	22867429
406153	1382	1998-01-11	VYDAJ	PREVOD NA UCET	2059	15606	SIPO	IJ	22867429
406154	1382	1998-02-11	VYDAJ	PREVOD NA UCET	2059	15976	SIPO	IJ	22867429
406155	1382	1998-03-11	VYDAJ	PREVOD NA UCET	2059	17068	SIPO	IJ	22867429
406156	1382	1998-04-11	VYDAJ	PREVOD NA UCET	2059	17172	SIPO	IJ	22867429
406157	1382	1998-05-11	VYDAJ	PREVOD NA UCET	2059	18269	SIPO	IJ	22867429
406158	1382	1998-06-11	VYDAJ	PREVOD NA UCET	2059	19370	SIPO	IJ	22867429
406159	1382	1998-07-11	VYDAJ	PREVOD NA UCET	2059	17653	SIPO	IJ	22867429
406160	1382	1998-08-11	VYDAJ	PREVOD NA UCET	2059	18571	SIPO	IJ	22867429
406161	1382	1998-09-11	VYDAJ	PREVOD NA UCET	2059	18831	SIPO	IJ	22867429
406162	1382	1998-10-11	VYDAJ	PREVOD NA UCET	2059	19934	SIPO	IJ	22867429
406163	1382	1998-11-11	VYDAJ	PREVOD NA UCET	2059	21042	SIPO	IJ	22867429
406164	1382	1998-12-11	VYDAJ	PREVOD NA UCET	2059	22154	SIPO	IJ	22867429
406167	1382	1995-06-06	VYDAJ	VYBER	2760	18222	\N	\N	\N
406168	1382	1996-06-13	VYDAJ	VYBER	1680	22922	\N	\N	\N
406170	1382	1998-06-13	VYDAJ	VYBER	2130	19639	\N	\N	\N
406172	1382	1994-01-14	VYDAJ	VYBER	840	13728	\N	\N	\N
406173	1382	1995-01-28	VYDAJ	VYBER	1650	16543	\N	\N	\N
406174	1382	1996-01-26	VYDAJ	VYBER	510	20926	\N	\N	\N
406175	1382	1997-01-18	VYDAJ	VYBER	1650	18622	\N	\N	\N
406176	1382	1998-01-01	VYDAJ	VYBER	960	18685	\N	\N	\N
406178	1382	1994-12-23	VYDAJ	VYBER	450	19855	\N	\N	\N
406179	1382	1995-12-24	VYDAJ	VYBER	420	22427	\N	\N	\N
406180	1382	1996-12-03	VYDAJ	VYBER	840	21715	\N	\N	\N
406181	1382	1997-12-16	VYDAJ	VYBER	720	19579	\N	\N	\N
406182	1382	1998-12-21	VYDAJ	VYBER	360	24883	\N	\N	\N
406189	1382	1994-01-20	VYDAJ	VYBER	300	13428	\N	\N	\N
406190	1382	1994-01-07	VYDAJ	VYBER	510	13538	\N	\N	\N
406191	1382	1994-01-30	VYDAJ	VYBER	510	12678	\N	\N	\N
406192	1382	1994-01-23	VYDAJ	VYBER	240	13188	\N	\N	\N
406193	1382	1994-01-04	VYDAJ	VYBER	780	14468	\N	\N	\N
406194	1382	1994-01-05	VYDAJ	VYBER	420	14048	\N	\N	\N
406195	1382	1995-01-11	VYDAJ	VYBER	450	18603	\N	\N	\N
406196	1382	1995-01-11	VYDAJ	VYBER	180	18423	\N	\N	\N
406197	1382	1995-01-28	VYDAJ	VYBER	450	18193	\N	\N	\N
406198	1382	1995-01-08	VYDAJ	VYBER	870	19053	\N	\N	\N
406199	1382	1995-01-24	VYDAJ	VYBER	240	18643	\N	\N	\N
406200	1382	1995-01-21	VYDAJ	VYBER	570	18883	\N	\N	\N
406201	1382	1996-01-26	VYDAJ	VYBER	270	21436	\N	\N	\N
406202	1382	1996-01-14	VYDAJ	VYBER	210	22606	\N	\N	\N
406203	1382	1996-01-27	VYDAJ	VYBER	330	20596	\N	\N	\N
406204	1382	1996-01-22	VYDAJ	VYBER	540	22066	\N	\N	\N
406205	1382	1996-01-09	VYDAJ	VYBER	720	21786	\N	\N	\N
406206	1382	1996-01-23	VYDAJ	VYBER	360	21706	\N	\N	\N
406207	1382	1997-01-25	VYDAJ	VYBER	300	17122	\N	\N	\N
406208	1382	1997-01-22	VYDAJ	VYBER	660	17692	\N	\N	\N
406209	1382	1997-01-17	VYDAJ	VYBER	150	20272	\N	\N	\N
406210	1382	1997-01-24	VYDAJ	VYBER	270	17422	\N	\N	\N
406211	1382	1997-01-04	VYDAJ	VYBER	630	21892	\N	\N	\N
406212	1382	1997-01-22	VYDAJ	VYBER	270	18352	\N	\N	\N
406214	1382	1998-01-08	VYDAJ	VYBER	870	17665	\N	\N	\N
406215	1382	1998-01-27	VYDAJ	VYBER	210	18275	\N	\N	\N
406216	1382	1998-01-05	VYDAJ	VYBER	150	18535	\N	\N	\N
406222	1382	1993-12-17	VYDAJ	VYBER	1080	15224	\N	\N	\N
406223	1382	1994-08-13	VYDAJ	VYBER	1020	18120	\N	\N	\N
406224	1382	1994-09-29	VYDAJ	VYBER	1020	18191	\N	\N	\N
406225	1382	1994-02-28	VYDAJ	VYBER	900	12891	\N	\N	\N
406226	1382	1994-11-04	VYDAJ	VYBER	270	19078	\N	\N	\N
406227	1382	1994-03-08	VYDAJ	VYBER	180	12711	\N	\N	\N
406228	1382	1995-06-08	VYDAJ	VYBER	810	17412	\N	\N	\N
406229	1382	1996-07-30	VYDAJ	VYBER	180	22452	\N	\N	\N
406230	1382	1996-05-31	VYDAJ	VYBER	330	23587	\N	\N	\N
406231	1382	1996-11-22	VYDAJ	VYBER	960	22475	\N	\N	\N
406232	1382	1996-09-03	VYDAJ	VYBER	150	23491	\N	\N	\N
406233	1382	1997-10-11	VYDAJ	VYBER	600	20968	\N	\N	\N
406234	1382	1997-04-15	VYDAJ	VYBER	630	19671	\N	\N	\N
406235	1382	1998-08-18	VYDAJ	VYBER	840	20820	\N	\N	\N
406236	1382	1998-06-13	VYDAJ	VYBER	690	21769	\N	\N	\N
406237	1382	1998-03-22	VYDAJ	VYBER	990	19167	\N	\N	\N
406238	1382	1998-08-06	VYDAJ	VYBER	180	20630	\N	\N	\N
406239	1382	1998-01-22	VYDAJ	VYBER	210	18485	\N	\N	\N
406252	1382	1993-12-31	VYDAJ	VYBER	15	15248	SLUZBY	\N	\N
406253	1382	1994-01-31	VYDAJ	VYBER	15	12720	SLUZBY	\N	\N
406254	1382	1994-02-28	VYDAJ	VYBER	15	13791	SLUZBY	\N	\N
406255	1382	1994-03-31	VYDAJ	VYBER	15	13781	SLUZBY	\N	\N
406256	1382	1994-04-30	VYDAJ	VYBER	15	14857	SLUZBY	\N	\N
406257	1382	1994-05-31	VYDAJ	VYBER	15	15937	SLUZBY	\N	\N
406258	1382	1994-06-30	VYDAJ	VYBER	15	17021	SLUZBY	\N	\N
406259	1382	1994-07-31	VYDAJ	VYBER	15	18110	SLUZBY	\N	\N
406260	1382	1994-08-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
406261	1382	1994-09-30	VYDAJ	VYBER	15	18254	SLUZBY	\N	\N
406262	1382	1994-10-31	VYDAJ	VYBER	15	19348	SLUZBY	\N	\N
406263	1382	1994-11-30	VYDAJ	VYBER	15	19275	SLUZBY	\N	\N
406264	1382	1994-12-31	VYDAJ	VYBER	15	19923	SLUZBY	\N	\N
406265	1382	1995-01-31	VYDAJ	VYBER	15	16607	SLUZBY	\N	\N
406266	1382	1995-02-28	VYDAJ	VYBER	15	17694	SLUZBY	\N	\N
406267	1382	1995-03-31	VYDAJ	VYBER	15	18785	SLUZBY	\N	\N
406268	1382	1995-04-30	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
406269	1382	1995-05-31	VYDAJ	VYBER	15	20982	SLUZBY	\N	\N
406270	1382	1995-06-30	VYDAJ	VYBER	15	18505	SLUZBY	\N	\N
406271	1382	1995-07-31	VYDAJ	VYBER	15	19600	SLUZBY	\N	\N
406272	1382	1995-08-31	VYDAJ	VYBER	15	20700	SLUZBY	\N	\N
406273	1382	1995-09-30	VYDAJ	VYBER	15	21804	SLUZBY	\N	\N
406274	1382	1995-10-31	VYDAJ	VYBER	15	21410	SLUZBY	\N	\N
406275	1382	1995-11-30	VYDAJ	VYBER	15	22117	SLUZBY	\N	\N
406276	1382	1995-12-31	VYDAJ	VYBER	15	22506	SLUZBY	\N	\N
406277	1382	1996-01-31	VYDAJ	VYBER	15	20672	SLUZBY	\N	\N
406278	1382	1996-02-29	VYDAJ	VYBER	15	21776	SLUZBY	\N	\N
406279	1382	1996-03-31	VYDAJ	VYBER	15	21682	SLUZBY	\N	\N
406280	1382	1996-04-30	VYDAJ	VYBER	15	22790	SLUZBY	\N	\N
406281	1382	1996-05-31	VYDAJ	VYBER	15	23572	SLUZBY	\N	\N
406282	1382	1996-06-30	VYDAJ	VYBER	15	21602	SLUZBY	\N	\N
406283	1382	1996-07-31	VYDAJ	VYBER	15	22530	SLUZBY	\N	\N
406284	1382	1996-08-31	VYDAJ	VYBER	15	23641	SLUZBY	\N	\N
406285	1382	1996-09-30	VYDAJ	VYBER	15	21299	SLUZBY	\N	\N
406286	1382	1996-10-31	VYDAJ	VYBER	15	22405	SLUZBY	\N	\N
406287	1382	1996-11-30	VYDAJ	VYBER	15	22555	SLUZBY	\N	\N
406288	1382	1996-12-31	VYDAJ	VYBER	15	22522	SLUZBY	\N	\N
406289	1382	1997-01-31	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
406290	1382	1997-02-28	VYDAJ	VYBER	15	18278	SLUZBY	\N	\N
406291	1382	1997-03-31	VYDAJ	VYBER	15	19271	SLUZBY	\N	\N
406292	1382	1997-04-30	VYDAJ	VYBER	15	19737	SLUZBY	\N	\N
406293	1382	1997-05-31	VYDAJ	VYBER	15	20836	SLUZBY	\N	\N
406294	1382	1997-06-30	VYDAJ	VYBER	15	21940	SLUZBY	\N	\N
406295	1382	1997-07-31	VYDAJ	VYBER	15	23048	SLUZBY	\N	\N
406296	1382	1997-08-31	VYDAJ	VYBER	15	24161	SLUZBY	\N	\N
406297	1382	1997-09-30	VYDAJ	VYBER	15	21568	SLUZBY	\N	\N
406298	1382	1997-10-31	VYDAJ	VYBER	15	21572	SLUZBY	\N	\N
406299	1382	1997-11-30	VYDAJ	VYBER	15	19669	SLUZBY	\N	\N
406300	1382	1997-12-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
406301	1382	1998-01-31	VYDAJ	VYBER	15	18335	SLUZBY	\N	\N
406302	1382	1998-02-28	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
406303	1382	1998-03-31	VYDAJ	VYBER	15	19231	SLUZBY	\N	\N
406304	1382	1998-04-30	VYDAJ	VYBER	15	20328	SLUZBY	\N	\N
406305	1382	1998-05-31	VYDAJ	VYBER	15	21429	SLUZBY	\N	\N
406306	1382	1998-06-30	VYDAJ	VYBER	15	19712	SLUZBY	\N	\N
406307	1382	1998-07-31	VYDAJ	VYBER	15	20810	SLUZBY	\N	\N
406308	1382	1998-08-31	VYDAJ	VYBER	15	20890	SLUZBY	\N	\N
406309	1382	1998-09-30	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
406310	1382	1998-10-31	VYDAJ	VYBER	15	23101	SLUZBY	\N	\N
406311	1382	1998-11-30	VYDAJ	VYBER	15	24213	SLUZBY	\N	\N
406312	1382	1994-11-26	VYDAJ	VYBER	900	19208	\N	\N	\N
406313	1382	1995-10-22	VYDAJ	VYBER	1500	21334	\N	\N	\N
406314	1382	1995-11-21	VYDAJ	VYBER	400	22040	\N	\N	\N
406315	1382	1995-12-21	VYDAJ	VYBER	300	22847	\N	\N	\N
406316	1382	1996-03-20	VYDAJ	VYBER	1200	21606	\N	\N	\N
406317	1382	1996-06-18	VYDAJ	VYBER	1400	21522	\N	\N	\N
406318	1382	1996-09-16	VYDAJ	VYBER	3300	21221	\N	\N	\N
406319	1382	1996-12-15	VYDAJ	VYBER	300	22445	\N	\N	\N
406320	1382	1997-01-14	VYDAJ	VYBER	2500	20422	\N	\N	\N
406321	1382	1997-03-15	VYDAJ	VYBER	100	19208	\N	\N	\N
406322	1382	1997-09-11	VYDAJ	VYBER	3700	20461	\N	\N	\N
406323	1382	1997-10-11	VYDAJ	VYBER	500	18409	\N	\N	\N
406324	1382	1997-11-10	VYDAJ	VYBER	3000	18572	\N	\N	\N
406325	1382	1997-12-10	VYDAJ	VYBER	400	19269	\N	\N	\N
406326	1382	1998-02-08	VYDAJ	VYBER	300	18035	\N	\N	\N
406392	1383	1996-04-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
406397	1383	1996-05-07	PRIJEM	PREVOD Z UCTU	6909	7909	DUCHOD	OP	65543824
406398	1383	1996-06-07	PRIJEM	PREVOD Z UCTU	6909	14818	DUCHOD	OP	65543824
406399	1383	1996-07-07	PRIJEM	PREVOD Z UCTU	6909	21727	DUCHOD	OP	65543824
406400	1383	1996-08-07	PRIJEM	PREVOD Z UCTU	6909	28636	DUCHOD	OP	65543824
406401	1383	1996-09-07	PRIJEM	PREVOD Z UCTU	6909	35317	DUCHOD	OP	65543824
406402	1383	1996-10-07	PRIJEM	PREVOD Z UCTU	6909	35962	DUCHOD	OP	65543824
406403	1383	1996-11-07	PRIJEM	PREVOD Z UCTU	6909	38616	DUCHOD	OP	65543824
406404	1383	1996-12-07	PRIJEM	PREVOD Z UCTU	6909	42784	DUCHOD	OP	65543824
406405	1383	1997-01-07	PRIJEM	PREVOD Z UCTU	6909	37462	DUCHOD	OP	65543824
406406	1383	1997-02-07	PRIJEM	PREVOD Z UCTU	6909	34800	DUCHOD	OP	65543824
406407	1383	1997-03-07	PRIJEM	PREVOD Z UCTU	6909	38780	DUCHOD	OP	65543824
406408	1383	1997-04-07	PRIJEM	PREVOD Z UCTU	6909	43658	DUCHOD	OP	65543824
406409	1383	1997-05-07	PRIJEM	PREVOD Z UCTU	6909	44357	DUCHOD	OP	65543824
406410	1383	1997-06-07	PRIJEM	PREVOD Z UCTU	6909	44923	DUCHOD	OP	65543824
406411	1383	1997-07-07	PRIJEM	PREVOD Z UCTU	6909	38548	DUCHOD	OP	65543824
406412	1383	1997-08-07	PRIJEM	PREVOD Z UCTU	6909	42816	DUCHOD	OP	65543824
406413	1383	1997-09-07	PRIJEM	PREVOD Z UCTU	6909	47201	DUCHOD	OP	65543824
406414	1383	1997-10-07	PRIJEM	PREVOD Z UCTU	6909	50913	DUCHOD	OP	65543824
406415	1383	1997-11-07	PRIJEM	PREVOD Z UCTU	6909	46432	DUCHOD	OP	65543824
406416	1383	1997-12-07	PRIJEM	PREVOD Z UCTU	6909	47044	DUCHOD	OP	65543824
406417	1383	1998-01-07	PRIJEM	PREVOD Z UCTU	6909	44435	DUCHOD	OP	65543824
406418	1383	1998-02-07	PRIJEM	PREVOD Z UCTU	6909	40024	DUCHOD	OP	65543824
406419	1383	1998-03-07	PRIJEM	PREVOD Z UCTU	6909	40974	DUCHOD	OP	65543824
406420	1383	1998-04-07	PRIJEM	PREVOD Z UCTU	6909	40854	DUCHOD	OP	65543824
406421	1383	1998-05-07	PRIJEM	PREVOD Z UCTU	6909	41972	DUCHOD	OP	65543824
406422	1383	1998-06-07	PRIJEM	PREVOD Z UCTU	6909	42022	DUCHOD	OP	65543824
406423	1383	1998-07-07	PRIJEM	PREVOD Z UCTU	6909	39894	DUCHOD	OP	65543824
406424	1383	1998-08-07	PRIJEM	PREVOD Z UCTU	6909	41876	DUCHOD	OP	65543824
406425	1383	1998-09-07	PRIJEM	PREVOD Z UCTU	6909	38361	DUCHOD	OP	65543824
406426	1383	1998-10-07	PRIJEM	PREVOD Z UCTU	6909	36035	DUCHOD	OP	65543824
406427	1383	1998-11-07	PRIJEM	PREVOD Z UCTU	6909	32903	DUCHOD	OP	65543824
406428	1383	1998-12-07	PRIJEM	PREVOD Z UCTU	6909	35454	DUCHOD	OP	65543824
406437	1383	1996-09-07	VYDAJ	PREVOD NA UCET	2173	33144	SIPO	GH	38012504
406438	1383	1996-10-07	VYDAJ	PREVOD NA UCET	2173	33789	SIPO	GH	38012504
406439	1383	1996-11-07	VYDAJ	PREVOD NA UCET	2173	36443	SIPO	GH	38012504
406440	1383	1996-12-07	VYDAJ	PREVOD NA UCET	2173	40611	SIPO	GH	38012504
406441	1383	1997-01-07	VYDAJ	PREVOD NA UCET	2173	35289	SIPO	GH	38012504
406442	1383	1997-02-07	VYDAJ	PREVOD NA UCET	2173	32627	SIPO	GH	38012504
406443	1383	1997-03-07	VYDAJ	PREVOD NA UCET	2173	36607	SIPO	GH	38012504
406444	1383	1997-04-07	VYDAJ	PREVOD NA UCET	2173	41485	SIPO	GH	38012504
406445	1383	1997-05-07	VYDAJ	PREVOD NA UCET	2173	42184	SIPO	GH	38012504
406446	1383	1997-06-07	VYDAJ	PREVOD NA UCET	2173	42750	SIPO	GH	38012504
406447	1383	1997-07-07	VYDAJ	PREVOD NA UCET	2173	36375	SIPO	GH	38012504
406448	1383	1997-08-07	VYDAJ	PREVOD NA UCET	2173	40643	SIPO	GH	38012504
406449	1383	1997-09-07	VYDAJ	PREVOD NA UCET	2173	45028	SIPO	GH	38012504
406450	1383	1997-10-07	VYDAJ	PREVOD NA UCET	2173	48740	SIPO	GH	38012504
406451	1383	1997-11-07	VYDAJ	PREVOD NA UCET	2173	44259	SIPO	GH	38012504
406452	1383	1997-12-07	VYDAJ	PREVOD NA UCET	2173	44871	SIPO	GH	38012504
406453	1383	1998-01-07	VYDAJ	PREVOD NA UCET	2173	40902	SIPO	GH	38012504
406454	1383	1998-02-07	VYDAJ	PREVOD NA UCET	2173	37851	SIPO	GH	38012504
406455	1383	1998-03-07	VYDAJ	PREVOD NA UCET	2173	38801	SIPO	GH	38012504
406456	1383	1998-04-07	VYDAJ	PREVOD NA UCET	2173	37081	SIPO	GH	38012504
406457	1383	1998-05-07	VYDAJ	PREVOD NA UCET	2173	39799	SIPO	GH	38012504
406458	1383	1998-06-07	VYDAJ	PREVOD NA UCET	2173	39849	SIPO	GH	38012504
406459	1383	1998-07-07	VYDAJ	PREVOD NA UCET	2173	37721	SIPO	GH	38012504
406460	1383	1998-08-07	VYDAJ	PREVOD NA UCET	2173	39703	SIPO	GH	38012504
406461	1383	1998-09-07	VYDAJ	PREVOD NA UCET	2173	36188	SIPO	GH	38012504
406462	1383	1998-10-07	VYDAJ	PREVOD NA UCET	2173	33862	SIPO	GH	38012504
406463	1383	1998-11-07	VYDAJ	PREVOD NA UCET	2173	30730	SIPO	GH	38012504
406464	1383	1998-12-07	VYDAJ	PREVOD NA UCET	2173	33281	SIPO	GH	38012504
406466	1383	1997-06-24	VYDAJ	VYBER	6250	31500	\N	\N	\N
406467	1383	1998-06-16	VYDAJ	VYBER	6000	33849	\N	\N	\N
406469	1383	1997-01-08	VYDAJ	VYBER	850	34439	\N	\N	\N
406470	1383	1998-01-18	VYDAJ	VYBER	2650	36332	\N	\N	\N
406471	1383	1996-12-23	VYDAJ	VYBER	650	33461	\N	\N	\N
406472	1383	1997-12-07	VYDAJ	VYBER	900	43971	\N	\N	\N
406473	1383	1998-12-13	VYDAJ	VYBER	850	32431	\N	\N	\N
406480	1383	1997-01-01	VYDAJ	VYBER	1520	32073	\N	\N	\N
406481	1383	1997-01-30	VYDAJ	VYBER	400	27779	\N	\N	\N
406482	1383	1997-01-17	VYDAJ	VYBER	1200	28179	\N	\N	\N
406483	1383	1997-01-01	VYDAJ	VYBER	1520	30553	\N	\N	\N
406484	1383	1997-01-16	VYDAJ	VYBER	1200	29379	\N	\N	\N
406485	1383	1997-01-15	VYDAJ	VYBER	2160	30579	\N	\N	\N
406486	1383	1998-01-29	VYDAJ	VYBER	2080	34252	\N	\N	\N
406487	1383	1998-01-07	VYDAJ	VYBER	1360	43075	\N	\N	\N
406488	1383	1998-01-04	VYDAJ	VYBER	880	38626	\N	\N	\N
406489	1383	1998-01-10	VYDAJ	VYBER	640	40262	\N	\N	\N
406490	1383	1998-01-10	VYDAJ	VYBER	1280	38982	\N	\N	\N
406491	1383	1998-01-29	VYDAJ	VYBER	1280	32972	\N	\N	\N
406497	1383	1997-12-27	VYDAJ	VYBER	3120	40851	\N	\N	\N
406498	1383	1997-05-28	VYDAJ	VYBER	1040	37864	\N	\N	\N
406499	1383	1997-05-18	VYDAJ	VYBER	3280	38904	\N	\N	\N
406500	1383	1997-03-04	VYDAJ	VYBER	880	31871	\N	\N	\N
406501	1383	1997-04-17	VYDAJ	VYBER	880	37305	\N	\N	\N
406502	1383	1997-10-30	VYDAJ	VYBER	1600	43740	\N	\N	\N
406503	1383	1998-04-07	VYDAJ	VYBER	1600	39254	\N	\N	\N
406504	1383	1998-06-02	VYDAJ	VYBER	1440	38513	\N	\N	\N
406505	1383	1998-09-30	VYDAJ	VYBER	2800	33540	\N	\N	\N
406506	1383	1998-04-21	VYDAJ	VYBER	2160	34921	\N	\N	\N
406507	1383	1998-01-02	VYDAJ	VYBER	1520	39506	\N	\N	\N
406508	1383	1998-02-18	VYDAJ	VYBER	2720	35131	\N	\N	\N
406518	1383	1996-09-30	VYDAJ	VYBER	15	29053	SLUZBY	\N	\N
406519	1383	1996-10-31	VYDAJ	VYBER	15	31707	SLUZBY	\N	\N
406520	1383	1996-11-30	VYDAJ	VYBER	15	35875	SLUZBY	\N	\N
406521	1383	1996-12-31	VYDAJ	VYBER	15	33593	SLUZBY	\N	\N
406522	1383	1997-01-31	VYDAJ	VYBER	15	27891	SLUZBY	\N	\N
406523	1383	1997-02-28	VYDAJ	VYBER	15	32751	SLUZBY	\N	\N
406524	1383	1997-03-31	VYDAJ	VYBER	15	36749	SLUZBY	\N	\N
406525	1383	1997-04-30	VYDAJ	VYBER	15	37448	SLUZBY	\N	\N
406526	1383	1997-05-31	VYDAJ	VYBER	15	38014	SLUZBY	\N	\N
406527	1383	1997-06-30	VYDAJ	VYBER	15	31639	SLUZBY	\N	\N
406528	1383	1997-07-31	VYDAJ	VYBER	15	35907	SLUZBY	\N	\N
406529	1383	1997-08-31	VYDAJ	VYBER	15	40292	SLUZBY	\N	\N
406530	1383	1997-09-30	VYDAJ	VYBER	15	44004	SLUZBY	\N	\N
406531	1383	1997-10-31	VYDAJ	VYBER	15	43923	SLUZBY	\N	\N
406532	1383	1997-11-30	VYDAJ	VYBER	15	44435	SLUZBY	\N	\N
406533	1383	1997-12-31	VYDAJ	VYBER	15	41026	SLUZBY	\N	\N
406534	1383	1998-01-31	VYDAJ	VYBER	15	33115	SLUZBY	\N	\N
406535	1383	1998-02-28	VYDAJ	VYBER	15	35265	SLUZBY	\N	\N
406536	1383	1998-03-31	VYDAJ	VYBER	15	38945	SLUZBY	\N	\N
406537	1383	1998-04-30	VYDAJ	VYBER	15	35063	SLUZBY	\N	\N
406538	1383	1998-05-31	VYDAJ	VYBER	15	39953	SLUZBY	\N	\N
406539	1383	1998-06-30	VYDAJ	VYBER	15	33985	SLUZBY	\N	\N
406540	1383	1998-07-31	VYDAJ	VYBER	15	37867	SLUZBY	\N	\N
406541	1383	1998-08-31	VYDAJ	VYBER	15	39852	SLUZBY	\N	\N
406542	1383	1998-09-30	VYDAJ	VYBER	15	33526	SLUZBY	\N	\N
406543	1383	1998-10-31	VYDAJ	VYBER	15	33994	SLUZBY	\N	\N
406544	1383	1998-11-30	VYDAJ	VYBER	15	30845	SLUZBY	\N	\N
406545	1383	1996-08-13	VYDAJ	VYBER	300	28336	\N	\N	\N
406546	1383	1996-09-12	VYDAJ	VYBER	4200	28944	\N	\N	\N
406547	1383	1996-10-12	VYDAJ	VYBER	2200	31589	\N	\N	\N
406548	1383	1996-11-11	VYDAJ	VYBER	700	35743	\N	\N	\N
406549	1383	1996-12-11	VYDAJ	VYBER	6500	34111	\N	\N	\N
406550	1383	1997-01-10	VYDAJ	VYBER	1700	32739	\N	\N	\N
406551	1383	1997-04-10	VYDAJ	VYBER	3300	38185	\N	\N	\N
406552	1383	1997-06-09	VYDAJ	VYBER	5000	37750	\N	\N	\N
406553	1383	1997-07-09	VYDAJ	VYBER	600	35775	\N	\N	\N
406554	1383	1997-08-08	VYDAJ	VYBER	500	40143	\N	\N	\N
406555	1383	1997-09-07	VYDAJ	VYBER	1200	43828	\N	\N	\N
406556	1383	1997-10-07	VYDAJ	VYBER	3400	45340	\N	\N	\N
406557	1383	1997-11-06	VYDAJ	VYBER	4400	39523	\N	\N	\N
406558	1383	1997-12-06	VYDAJ	VYBER	4300	40135	\N	\N	\N
406559	1383	1998-01-05	VYDAJ	VYBER	1100	37526	\N	\N	\N
406560	1383	1998-03-06	VYDAJ	VYBER	1200	34065	\N	\N	\N
406561	1383	1998-04-05	VYDAJ	VYBER	5000	33945	\N	\N	\N
406562	1383	1998-06-04	VYDAJ	VYBER	3400	35113	\N	\N	\N
406563	1383	1998-07-04	VYDAJ	VYBER	1000	32985	\N	\N	\N
406564	1383	1998-08-03	VYDAJ	VYBER	2900	34967	\N	\N	\N
406565	1383	1998-09-02	VYDAJ	VYBER	8400	31452	\N	\N	\N
406566	1383	1998-10-02	VYDAJ	VYBER	4400	29126	\N	\N	\N
406567	1383	1998-11-01	VYDAJ	VYBER	8000	25994	\N	\N	\N
406568	1383	1998-12-01	VYDAJ	VYBER	2300	28545	\N	\N	\N
406598	1384	1996-03-28	PRIJEM	VKLAD	800	800	\N	\N	\N
406602	1384	1996-04-14	PRIJEM	PREVOD Z UCTU	31366	32166	\N	IJ	18902480
406603	1384	1996-05-14	PRIJEM	PREVOD Z UCTU	31366	60348	\N	IJ	18902480
406604	1384	1996-06-14	PRIJEM	PREVOD Z UCTU	47049	92329	\N	IJ	18902480
406605	1384	1996-07-14	PRIJEM	PREVOD Z UCTU	31366	92794	\N	IJ	18902480
406606	1384	1996-08-14	PRIJEM	PREVOD Z UCTU	31366	95117	\N	IJ	18902480
406607	1384	1996-09-14	PRIJEM	PREVOD Z UCTU	31366	96619	\N	IJ	18902480
406608	1384	1996-10-14	PRIJEM	PREVOD Z UCTU	31366	89939	\N	IJ	18902480
406609	1384	1996-11-14	PRIJEM	PREVOD Z UCTU	31366	90820	\N	IJ	18902480
406610	1384	1996-12-14	PRIJEM	PREVOD Z UCTU	47049	107300	\N	IJ	18902480
406611	1384	1997-01-14	PRIJEM	PREVOD Z UCTU	31366	29102	\N	IJ	18902480
406612	1384	1997-02-14	PRIJEM	PREVOD Z UCTU	31366	44981	\N	IJ	18902480
406613	1384	1997-03-14	PRIJEM	PREVOD Z UCTU	31366	67501	\N	IJ	18902480
406614	1384	1997-04-14	PRIJEM	PREVOD Z UCTU	31366	55512	\N	IJ	18902480
406615	1384	1997-05-14	PRIJEM	PREVOD Z UCTU	31366	73331	\N	IJ	18902480
406616	1384	1997-06-14	PRIJEM	PREVOD Z UCTU	47049	62935	\N	IJ	18902480
406617	1384	1997-07-14	PRIJEM	PREVOD Z UCTU	31366	54505	\N	IJ	18902480
406618	1384	1997-08-14	PRIJEM	PREVOD Z UCTU	31366	69008	\N	IJ	18902480
406619	1384	1997-09-14	PRIJEM	PREVOD Z UCTU	31366	52960	\N	IJ	18902480
406620	1384	1997-10-14	PRIJEM	PREVOD Z UCTU	31366	52731	\N	IJ	18902480
406621	1384	1997-11-14	PRIJEM	PREVOD Z UCTU	31366	67421	\N	IJ	18902480
406622	1384	1997-12-14	PRIJEM	PREVOD Z UCTU	47049	62126	\N	IJ	18902480
406623	1384	1998-01-14	PRIJEM	PREVOD Z UCTU	31366	55292	\N	IJ	18902480
406624	1384	1998-02-14	PRIJEM	PREVOD Z UCTU	31366	49653	\N	IJ	18902480
406625	1384	1998-03-14	PRIJEM	PREVOD Z UCTU	31366	67900	\N	IJ	18902480
406626	1384	1998-04-14	PRIJEM	PREVOD Z UCTU	31366	67096	\N	IJ	18902480
406627	1384	1998-05-14	PRIJEM	PREVOD Z UCTU	31366	79404	\N	IJ	18902480
406628	1384	1998-06-14	PRIJEM	PREVOD Z UCTU	47049	70339	\N	IJ	18902480
406629	1384	1998-07-14	PRIJEM	PREVOD Z UCTU	31366	76890	\N	IJ	18902480
406630	1384	1998-08-14	PRIJEM	PREVOD Z UCTU	31366	89541	\N	IJ	18902480
406631	1384	1998-09-14	PRIJEM	PREVOD Z UCTU	31366	92324	\N	IJ	18902480
406632	1384	1998-10-14	PRIJEM	PREVOD Z UCTU	31366	95019	\N	IJ	18902480
406633	1384	1998-11-14	PRIJEM	PREVOD Z UCTU	31366	83904	\N	IJ	18902480
406634	1384	1998-12-14	PRIJEM	PREVOD Z UCTU	47049	114021	\N	IJ	18902480
406635	1384	1997-01-15	VYBER	VYBER	2321	21981	\N	\N	\N
406638	1384	1997-12-16	VYBER	VYBER	4044	58082	\N	\N	\N
406639	1384	1997-12-16	VYBER	VYBER	16466	41616	\N	\N	\N
406640	1384	1997-07-07	VYBER	VYBER	10973	23139	\N	\N	\N
406641	1384	1997-12-03	VYBER	VYBER	21475	21077	\N	\N	\N
406642	1384	1997-01-01	VYBER	VYBER	22867	17536	\N	\N	\N
406643	1384	1997-10-09	VYBER	VYBER	13842	21365	\N	\N	\N
406644	1384	1997-10-05	VYBER	VYBER	3104	35207	\N	\N	\N
406645	1384	1997-09-07	VYBER	VYBER	23352	21594	\N	\N	\N
406646	1384	1998-03-26	VYBER	VYBER	14005	35595	\N	\N	\N
406648	1384	1997-06-01	VYDAJ	VYBER	33600	15886	\N	\N	\N
406649	1384	1998-06-09	VYDAJ	VYBER	26100	23290	\N	\N	\N
406651	1384	1997-01-09	VYDAJ	VYBER	12300	1636	\N	\N	\N
406652	1384	1998-01-03	VYDAJ	VYBER	5400	28126	\N	\N	\N
406653	1384	1996-12-24	VYDAJ	VYBER	7200	40200	\N	\N	\N
406654	1384	1997-12-06	VYDAJ	VYBER	6000	15077	\N	\N	\N
406655	1384	1998-12-22	VYDAJ	VYBER	1500	53421	\N	\N	\N
406662	1384	1997-01-12	VYDAJ	VYBER	3900	-2264	\N	\N	\N
406664	1384	1997-01-24	VYDAJ	VYBER	7800	19281	\N	\N	\N
406665	1384	1997-01-01	VYDAJ	VYBER	3600	13936	\N	\N	\N
406667	1384	1997-01-24	VYDAJ	VYBER	5700	13581	\N	\N	\N
406668	1384	1998-01-20	VYDAJ	VYBER	5700	30192	\N	\N	\N
406669	1384	1998-01-29	VYDAJ	VYBER	2100	18192	\N	\N	\N
406670	1384	1998-01-14	VYDAJ	VYBER	1800	46892	\N	\N	\N
406671	1384	1998-01-28	VYDAJ	VYBER	2100	20292	\N	\N	\N
406672	1384	1998-01-14	VYDAJ	VYBER	6600	48692	\N	\N	\N
406673	1384	1998-01-25	VYDAJ	VYBER	7800	22392	\N	\N	\N
406675	1384	1996-09-16	VYDAJ	VYBER	14100	82519	\N	\N	\N
406679	1384	1996-11-20	VYDAJ	VYBER	1800	89020	\N	\N	\N
406681	1384	1997-03-15	VYDAJ	VYBER	11400	56101	\N	\N	\N
406682	1384	1997-06-28	VYDAJ	VYBER	9900	33935	\N	\N	\N
406683	1384	1997-04-11	VYDAJ	VYBER	14400	24146	\N	\N	\N
406684	1384	1997-01-14	VYDAJ	VYBER	4800	24302	\N	\N	\N
406685	1384	1998-10-16	VYDAJ	VYBER	9900	56019	\N	\N	\N
406686	1384	1998-01-09	VYDAJ	VYBER	4200	23926	\N	\N	\N
406687	1384	1998-06-09	VYDAJ	VYBER	7200	49390	\N	\N	\N
406688	1384	1998-06-19	VYDAJ	VYBER	10800	45339	\N	\N	\N
406697	1384	1996-08-31	VYDAJ	VYBER	30	65253	SLUZBY	\N	\N
406698	1384	1996-09-30	VYDAJ	VYBER	30	58573	SLUZBY	\N	\N
406699	1384	1996-10-31	VYDAJ	VYBER	30	59454	SLUZBY	\N	\N
406700	1384	1996-11-30	VYDAJ	VYBER	30	60251	SLUZBY	\N	\N
406701	1384	1996-12-31	VYDAJ	VYBER	30	40403	SLUZBY	\N	\N
406702	1384	1997-01-31	VYDAJ	VYBER	30	13617	SLUZBY	\N	\N
406703	1384	1997-02-28	VYDAJ	VYBER	30	36135	SLUZBY	\N	\N
406704	1384	1997-03-31	VYDAJ	VYBER	30	38546	SLUZBY	\N	\N
406705	1384	1997-04-30	VYDAJ	VYBER	30	41965	SLUZBY	\N	\N
406706	1384	1997-05-31	VYDAJ	VYBER	30	49486	SLUZBY	\N	\N
406707	1384	1997-06-30	VYDAJ	VYBER	30	34112	SLUZBY	\N	\N
406708	1384	1997-07-31	VYDAJ	VYBER	30	37642	SLUZBY	\N	\N
406709	1384	1997-08-31	VYDAJ	VYBER	30	44946	SLUZBY	\N	\N
406710	1384	1997-09-30	VYDAJ	VYBER	30	38311	SLUZBY	\N	\N
406711	1384	1997-10-31	VYDAJ	VYBER	30	36055	SLUZBY	\N	\N
406712	1384	1997-11-30	VYDAJ	VYBER	30	42552	SLUZBY	\N	\N
406713	1384	1997-12-31	VYDAJ	VYBER	30	33526	SLUZBY	\N	\N
406714	1384	1998-01-31	VYDAJ	VYBER	30	18287	SLUZBY	\N	\N
406715	1384	1998-02-28	VYDAJ	VYBER	30	36534	SLUZBY	\N	\N
406716	1384	1998-03-31	VYDAJ	VYBER	30	35730	SLUZBY	\N	\N
406717	1384	1998-04-30	VYDAJ	VYBER	30	48038	SLUZBY	\N	\N
406718	1384	1998-05-31	VYDAJ	VYBER	30	56590	SLUZBY	\N	\N
406719	1384	1998-06-30	VYDAJ	VYBER	30	45524	SLUZBY	\N	\N
406720	1384	1998-07-31	VYDAJ	VYBER	30	58175	SLUZBY	\N	\N
406721	1384	1998-08-31	VYDAJ	VYBER	30	60958	SLUZBY	\N	\N
406722	1384	1998-09-30	VYDAJ	VYBER	30	63653	SLUZBY	\N	\N
406723	1384	1998-10-31	VYDAJ	VYBER	30	56238	SLUZBY	\N	\N
406724	1384	1998-11-30	VYDAJ	VYBER	30	84172	SLUZBY	\N	\N
406725	1384	1996-04-27	VYDAJ	VYBER	3200	28966	\N	\N	\N
406726	1384	1996-05-27	VYDAJ	VYBER	15200	45148	\N	\N	\N
406727	1384	1996-06-26	VYDAJ	VYBER	31100	61229	\N	\N	\N
406728	1384	1996-07-26	VYDAJ	VYBER	29300	63494	\N	\N	\N
406729	1384	1996-08-25	VYDAJ	VYBER	30100	65017	\N	\N	\N
406730	1384	1996-09-24	VYDAJ	VYBER	24200	58319	\N	\N	\N
406731	1384	1996-10-24	VYDAJ	VYBER	30700	59239	\N	\N	\N
406732	1384	1996-11-23	VYDAJ	VYBER	29000	60020	\N	\N	\N
406733	1384	1996-12-14	VYDAJ	VYBER	42600	64700	\N	\N	\N
406734	1384	1996-12-23	VYDAJ	VYBER	17300	47400	\N	\N	\N
406735	1384	1997-01-22	PRIJEM	VKLAD	5100	27081	\N	\N	\N
406736	1384	1997-02-21	VYDAJ	VYBER	8900	36081	\N	\N	\N
406737	1384	1997-03-23	VYDAJ	VYBER	17700	38401	\N	\N	\N
406738	1384	1997-04-22	VYDAJ	VYBER	13700	41812	\N	\N	\N
406739	1384	1997-05-22	VYDAJ	VYBER	24000	49331	\N	\N	\N
406740	1384	1997-06-21	VYDAJ	VYBER	19100	43835	\N	\N	\N
406741	1384	1997-07-21	VYDAJ	VYBER	17000	37505	\N	\N	\N
406742	1384	1997-08-20	VYDAJ	VYBER	24200	44808	\N	\N	\N
406743	1384	1997-09-19	VYDAJ	VYBER	14800	38160	\N	\N	\N
406744	1384	1997-10-19	VYDAJ	VYBER	16800	35931	\N	\N	\N
406745	1384	1997-11-18	VYDAJ	VYBER	25000	42421	\N	\N	\N
406746	1384	1997-12-18	VYDAJ	VYBER	8200	33416	\N	\N	\N
406747	1384	1998-01-17	VYDAJ	VYBER	11000	35892	\N	\N	\N
406748	1384	1998-02-16	VYDAJ	VYBER	13200	36453	\N	\N	\N
406749	1384	1998-03-18	VYDAJ	VYBER	18300	49600	\N	\N	\N
406750	1384	1998-04-17	VYDAJ	VYBER	19200	47896	\N	\N	\N
406751	1384	1998-05-17	VYDAJ	VYBER	23000	56404	\N	\N	\N
406752	1384	1998-06-16	VYDAJ	VYBER	14200	56139	\N	\N	\N
406753	1384	1998-07-16	VYDAJ	VYBER	18900	57990	\N	\N	\N
406754	1384	1998-08-15	VYDAJ	VYBER	28800	60741	\N	\N	\N
406755	1384	1998-09-14	VYDAJ	VYBER	28900	63424	\N	\N	\N
406756	1384	1998-10-14	VYDAJ	VYBER	29100	65919	\N	\N	\N
406757	1384	1998-11-13	VYDAJ	VYBER	3700	52538	\N	\N	\N
406758	1384	1998-12-13	VYDAJ	VYBER	17200	66972	\N	\N	\N
406759	1384	1998-12-14	VYDAJ	VYBER	59100	54921	\N	\N	\N
406794	1385	1997-05-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
406799	1385	1997-05-11	PRIJEM	VKLAD	17348	18348	\N	\N	\N
406800	1385	1997-06-11	PRIJEM	VKLAD	26022	48022	\N	\N	\N
406801	1385	1997-07-11	PRIJEM	VKLAD	17348	59029	\N	\N	\N
406802	1385	1997-08-11	PRIJEM	VKLAD	17348	66108	\N	\N	\N
406803	1385	1997-09-11	PRIJEM	VKLAD	17348	67522	\N	\N	\N
406804	1385	1997-10-11	PRIJEM	VKLAD	17348	67577	\N	\N	\N
406805	1385	1997-11-11	PRIJEM	VKLAD	17348	62262	\N	\N	\N
406806	1385	1997-12-11	PRIJEM	VKLAD	26022	74063	\N	\N	\N
406807	1385	1998-01-11	PRIJEM	VKLAD	17348	68117	\N	\N	\N
406808	1385	1998-02-11	PRIJEM	VKLAD	17348	63331	\N	\N	\N
406809	1385	1998-03-11	PRIJEM	VKLAD	17348	65551	\N	\N	\N
406810	1385	1998-04-11	PRIJEM	VKLAD	17348	69483	\N	\N	\N
406811	1385	1998-05-11	PRIJEM	VKLAD	17348	72630	\N	\N	\N
406812	1385	1998-06-11	PRIJEM	VKLAD	26022	76524	\N	\N	\N
406813	1385	1998-07-11	PRIJEM	VKLAD	17348	77188	\N	\N	\N
406814	1385	1998-08-11	PRIJEM	VKLAD	17348	72986	\N	\N	\N
406815	1385	1998-09-11	PRIJEM	VKLAD	17348	74473	\N	\N	\N
406816	1385	1998-10-11	PRIJEM	VKLAD	17348	67703	\N	\N	\N
406817	1385	1998-11-11	PRIJEM	VKLAD	17348	68306	\N	\N	\N
406818	1385	1998-12-11	PRIJEM	VKLAD	26022	79028	\N	\N	\N
406827	1385	1997-09-14	VYDAJ	PREVOD NA UCET	9834	57688	SIPO	QR	75899833
406828	1385	1997-10-14	VYDAJ	PREVOD NA UCET	9834	57743	SIPO	QR	75899833
406829	1385	1997-11-14	VYDAJ	PREVOD NA UCET	9834	52428	SIPO	QR	75899833
406830	1385	1997-12-14	VYDAJ	PREVOD NA UCET	9834	64229	SIPO	QR	75899833
406831	1385	1998-01-14	VYDAJ	PREVOD NA UCET	9834	56483	SIPO	QR	75899833
406832	1385	1998-02-14	VYDAJ	PREVOD NA UCET	9834	53497	SIPO	QR	75899833
406833	1385	1998-03-14	VYDAJ	PREVOD NA UCET	9834	55717	SIPO	QR	75899833
406834	1385	1998-04-14	VYDAJ	PREVOD NA UCET	9834	59649	SIPO	QR	75899833
406835	1385	1998-05-14	VYDAJ	PREVOD NA UCET	9834	54276	SIPO	QR	75899833
406836	1385	1998-06-14	VYDAJ	PREVOD NA UCET	9834	66690	SIPO	QR	75899833
406837	1385	1998-07-14	VYDAJ	PREVOD NA UCET	9834	64354	SIPO	QR	75899833
406838	1385	1998-08-14	VYDAJ	PREVOD NA UCET	9834	63152	SIPO	QR	75899833
406839	1385	1998-09-14	VYDAJ	PREVOD NA UCET	9834	59119	SIPO	QR	75899833
406840	1385	1998-10-14	VYDAJ	PREVOD NA UCET	9834	55949	SIPO	QR	75899833
406841	1385	1998-11-14	VYDAJ	PREVOD NA UCET	9834	58472	SIPO	QR	75899833
406842	1385	1998-12-14	VYDAJ	PREVOD NA UCET	9834	69194	SIPO	QR	75899833
406843	1385	1997-12-29	VYDAJ	VYBER	3200	61029	\N	\N	\N
406844	1385	1998-12-01	VYDAJ	VYBER	2080	53006	\N	\N	\N
406851	1385	1998-01-11	VYDAJ	VYBER	1800	66317	\N	\N	\N
406852	1385	1998-01-24	VYDAJ	VYBER	600	48563	\N	\N	\N
406853	1385	1998-01-18	VYDAJ	VYBER	2160	54323	\N	\N	\N
406854	1385	1998-01-24	VYDAJ	VYBER	2040	49163	\N	\N	\N
406855	1385	1998-01-18	VYDAJ	VYBER	1320	53003	\N	\N	\N
406856	1385	1998-01-23	VYDAJ	VYBER	1800	51203	\N	\N	\N
406857	1385	1997-11-10	VYDAJ	VYBER	3960	44914	\N	\N	\N
406862	1385	1998-10-13	VYDAJ	VYBER	1920	65783	\N	\N	\N
406863	1385	1998-05-14	VYDAJ	VYBER	3720	64110	\N	\N	\N
406864	1385	1998-08-25	VYDAJ	VYBER	1680	61472	\N	\N	\N
406865	1385	1998-07-14	VYDAJ	VYBER	3000	74188	\N	\N	\N
406866	1385	1998-09-12	VYDAJ	VYBER	5520	68953	\N	\N	\N
406867	1385	1998-05-13	VYDAJ	VYBER	4800	67830	\N	\N	\N
406877	1385	1997-09-30	VYDAJ	VYBER	15	57929	SLUZBY	\N	\N
406878	1385	1997-10-31	VYDAJ	VYBER	15	57974	SLUZBY	\N	\N
406879	1385	1997-11-30	VYDAJ	VYBER	15	52641	SLUZBY	\N	\N
406880	1385	1997-12-31	VYDAJ	VYBER	15	61269	SLUZBY	\N	\N
406881	1385	1998-01-31	VYDAJ	VYBER	15	48783	SLUZBY	\N	\N
406882	1385	1998-02-28	VYDAJ	VYBER	15	53703	SLUZBY	\N	\N
406883	1385	1998-03-31	VYDAJ	VYBER	15	55935	SLUZBY	\N	\N
406884	1385	1998-04-30	VYDAJ	VYBER	15	59882	SLUZBY	\N	\N
406885	1385	1998-05-31	VYDAJ	VYBER	15	54502	SLUZBY	\N	\N
406886	1385	1998-06-30	VYDAJ	VYBER	15	66940	SLUZBY	\N	\N
406887	1385	1998-07-31	VYDAJ	VYBER	15	64638	SLUZBY	\N	\N
406888	1385	1998-08-31	VYDAJ	VYBER	15	61725	SLUZBY	\N	\N
406889	1385	1998-09-30	VYDAJ	VYBER	15	50355	SLUZBY	\N	\N
406890	1385	1998-10-31	VYDAJ	VYBER	15	50958	SLUZBY	\N	\N
406891	1385	1998-11-30	VYDAJ	VYBER	15	55086	SLUZBY	\N	\N
406892	1385	1997-06-07	PRIJEM	VKLAD	3600	22000	\N	\N	\N
406893	1385	1997-07-07	VYDAJ	VYBER	6500	41681	\N	\N	\N
406894	1385	1997-08-06	VYDAJ	VYBER	10500	48760	\N	\N	\N
406895	1385	1997-09-05	VYDAJ	VYBER	16200	50174	\N	\N	\N
406896	1385	1997-10-05	VYDAJ	VYBER	7700	50229	\N	\N	\N
406897	1385	1997-11-04	VYDAJ	VYBER	9100	48874	\N	\N	\N
406898	1385	1997-12-04	VYDAJ	VYBER	4600	48041	\N	\N	\N
406899	1385	1998-01-03	VYDAJ	VYBER	10500	50769	\N	\N	\N
406900	1385	1998-02-02	VYDAJ	VYBER	2800	45983	\N	\N	\N
406901	1385	1998-03-04	VYDAJ	VYBER	5500	48203	\N	\N	\N
406902	1385	1998-04-03	VYDAJ	VYBER	3800	52135	\N	\N	\N
406903	1385	1998-05-03	VYDAJ	VYBER	4600	55282	\N	\N	\N
406904	1385	1998-06-02	VYDAJ	VYBER	4000	50502	\N	\N	\N
406905	1385	1998-07-02	VYDAJ	VYBER	7100	59840	\N	\N	\N
406906	1385	1998-08-01	VYDAJ	VYBER	9000	55638	\N	\N	\N
406907	1385	1998-08-31	VYDAJ	VYBER	4600	57125	\N	\N	\N
406908	1385	1998-09-30	VYDAJ	VYBER	9000	50370	\N	\N	\N
406909	1385	1998-10-30	VYDAJ	VYBER	5200	50749	\N	\N	\N
406910	1385	1998-11-29	VYDAJ	VYBER	3600	54872	\N	\N	\N
407630	1387	1997-01-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
407679	1387	1997-01-31	PRIJEM	VKLAD	15300	16402	\N	\N	\N
407680	1387	1997-03-02	PRIJEM	VKLAD	3400	19802	\N	\N	\N
407681	1387	1997-04-01	PRIJEM	VKLAD	2300	22171	\N	\N	\N
407682	1387	1997-05-01	PRIJEM	VKLAD	4300	26539	\N	\N	\N
407683	1387	1997-05-31	PRIJEM	VKLAD	3200	29739	\N	\N	\N
407684	1387	1997-06-30	PRIJEM	VKLAD	1400	31209	\N	\N	\N
407685	1387	1997-07-30	VYDAJ	VYBER	3800	27533	\N	\N	\N
407686	1387	1997-08-29	VYDAJ	VYBER	200	27457	\N	\N	\N
407687	1387	1997-10-28	PRIJEM	VKLAD	100	27681	\N	\N	\N
407688	1387	1997-11-27	PRIJEM	VKLAD	1000	28805	\N	\N	\N
407689	1387	1997-12-27	PRIJEM	VKLAD	2600	31529	\N	\N	\N
407690	1387	1998-01-26	VYDAJ	VYBER	2100	29553	\N	\N	\N
407691	1387	1998-02-25	PRIJEM	VKLAD	5800	35476	\N	\N	\N
407692	1387	1998-03-27	PRIJEM	VKLAD	3600	39200	\N	\N	\N
407693	1387	1998-04-26	PRIJEM	VKLAD	2300	41624	\N	\N	\N
407694	1387	1998-05-26	PRIJEM	VKLAD	400	42148	\N	\N	\N
407695	1387	1998-06-25	PRIJEM	VKLAD	1000	43272	\N	\N	\N
407696	1387	1998-08-24	PRIJEM	VKLAD	300	43696	\N	\N	\N
407697	1387	1998-09-23	VYDAJ	VYBER	400	43420	\N	\N	\N
407698	1387	1998-10-23	PRIJEM	VKLAD	300	43844	\N	\N	\N
407699	1387	1998-11-22	PRIJEM	VKLAD	3100	47068	\N	\N	\N
407700	1387	1998-12-22	PRIJEM	VKLAD	1700	48892	\N	\N	\N
407721	1388	1994-05-02	PRIJEM	VKLAD	700	700	\N	\N	\N
407726	1388	1994-05-10	PRIJEM	VKLAD	21220	21920	\N	\N	\N
407727	1388	1994-06-10	PRIJEM	VKLAD	31830	54915	\N	\N	\N
407728	1388	1994-07-10	PRIJEM	VKLAD	21220	60622	\N	\N	\N
407729	1388	1994-08-10	PRIJEM	VKLAD	21220	63386	\N	\N	\N
407730	1388	1994-09-10	PRIJEM	VKLAD	21220	65682	\N	\N	\N
407731	1388	1994-10-10	PRIJEM	VKLAD	21220	65120	\N	\N	\N
407732	1388	1994-11-10	PRIJEM	VKLAD	21220	64708	\N	\N	\N
407733	1388	1994-12-10	PRIJEM	VKLAD	31830	78206	\N	\N	\N
407734	1388	1995-01-10	PRIJEM	VKLAD	21220	71917	\N	\N	\N
407735	1388	1995-02-10	PRIJEM	VKLAD	21220	69131	\N	\N	\N
407736	1388	1995-03-10	PRIJEM	VKLAD	21220	67936	\N	\N	\N
407737	1388	1995-04-10	PRIJEM	VKLAD	21220	69136	\N	\N	\N
407738	1388	1995-05-10	PRIJEM	VKLAD	21220	70082	\N	\N	\N
407739	1388	1995-06-10	PRIJEM	VKLAD	31830	78299	\N	\N	\N
407740	1388	1995-07-10	PRIJEM	VKLAD	21220	69215	\N	\N	\N
407741	1388	1995-08-10	PRIJEM	VKLAD	21220	66818	\N	\N	\N
407742	1388	1995-09-10	PRIJEM	VKLAD	21220	64410	\N	\N	\N
407743	1388	1995-10-10	PRIJEM	VKLAD	21220	63694	\N	\N	\N
407744	1388	1995-11-10	PRIJEM	VKLAD	21220	62875	\N	\N	\N
407745	1388	1995-12-10	PRIJEM	VKLAD	31830	72389	\N	\N	\N
407746	1388	1996-01-10	PRIJEM	VKLAD	21220	68272	\N	\N	\N
407747	1388	1996-02-10	PRIJEM	VKLAD	21220	67672	\N	\N	\N
407748	1388	1996-03-10	PRIJEM	VKLAD	21220	67971	\N	\N	\N
407749	1388	1996-04-10	PRIJEM	VKLAD	21220	66098	\N	\N	\N
407750	1388	1996-05-10	PRIJEM	VKLAD	21220	61082	\N	\N	\N
407751	1388	1996-06-10	PRIJEM	VKLAD	31830	73665	\N	\N	\N
407752	1388	1996-07-10	PRIJEM	VKLAD	21220	66250	\N	\N	\N
407753	1388	1996-08-10	PRIJEM	VKLAD	21220	63437	\N	\N	\N
407754	1388	1996-09-10	PRIJEM	VKLAD	21220	57008	\N	\N	\N
407755	1388	1996-10-10	PRIJEM	VKLAD	21220	60868	\N	\N	\N
407756	1388	1996-11-10	PRIJEM	VKLAD	21220	62841	\N	\N	\N
407757	1388	1996-12-10	PRIJEM	VKLAD	31830	73728	\N	\N	\N
407758	1388	1997-01-10	PRIJEM	VKLAD	21220	61036	\N	\N	\N
407759	1388	1997-02-10	PRIJEM	VKLAD	21220	61907	\N	\N	\N
407760	1388	1997-03-10	PRIJEM	VKLAD	21220	60477	\N	\N	\N
407761	1388	1997-04-10	PRIJEM	VKLAD	21220	58941	\N	\N	\N
407762	1388	1997-05-10	PRIJEM	VKLAD	21220	54893	\N	\N	\N
407763	1388	1997-06-10	PRIJEM	VKLAD	31830	60442	\N	\N	\N
407764	1388	1997-07-10	PRIJEM	VKLAD	21220	46168	\N	\N	\N
407765	1388	1997-08-10	PRIJEM	VKLAD	21220	46083	\N	\N	\N
407766	1388	1997-09-10	PRIJEM	VKLAD	21220	46791	\N	\N	\N
407767	1388	1997-10-10	PRIJEM	VKLAD	21220	45798	\N	\N	\N
407768	1388	1997-11-10	PRIJEM	VKLAD	21220	42999	\N	\N	\N
407769	1388	1997-12-10	PRIJEM	VKLAD	31830	55407	\N	\N	\N
407770	1388	1998-01-10	PRIJEM	VKLAD	21220	42711	\N	\N	\N
407771	1388	1998-02-10	PRIJEM	VKLAD	21220	38992	\N	\N	\N
407772	1388	1998-03-10	PRIJEM	VKLAD	21220	38768	\N	\N	\N
407773	1388	1998-04-10	PRIJEM	VKLAD	21220	37941	\N	\N	\N
407774	1388	1998-05-10	PRIJEM	VKLAD	21220	54359	\N	\N	\N
407775	1388	1998-06-10	PRIJEM	VKLAD	31830	51972	\N	\N	\N
407776	1388	1998-07-10	PRIJEM	VKLAD	21220	38650	\N	\N	\N
407777	1388	1998-08-10	PRIJEM	VKLAD	21220	59928	\N	\N	\N
407778	1388	1998-09-10	PRIJEM	VKLAD	21220	40517	\N	\N	\N
407779	1388	1998-10-10	PRIJEM	VKLAD	21220	61907	\N	\N	\N
407780	1388	1998-11-10	PRIJEM	VKLAD	21220	37983	\N	\N	\N
407781	1388	1998-12-10	PRIJEM	VKLAD	31830	69978	\N	\N	\N
407783	1388	1995-06-21	VYDAJ	VYBER	8400	69899	\N	\N	\N
407784	1388	1996-06-22	VYDAJ	VYBER	3500	44865	\N	\N	\N
407785	1388	1997-06-25	VYDAJ	VYBER	7200	24842	\N	\N	\N
407787	1388	1994-12-28	VYDAJ	VYBER	2500	75706	\N	\N	\N
407788	1388	1995-12-26	VYDAJ	VYBER	500	46889	\N	\N	\N
407789	1388	1996-12-24	VYDAJ	VYBER KARTOU	2300	39628	\N	\N	0
407790	1388	1997-12-28	VYDAJ	VYBER KARTOU	2400	21407	\N	\N	0
407791	1388	1998-12-21	VYDAJ	VYBER KARTOU	2200	63178	\N	\N	0
407793	1388	1994-09-12	VYDAJ	VYBER	900	64782	\N	\N	\N
407796	1388	1995-11-12	VYDAJ	VYBER	3700	59175	\N	\N	\N
407797	1388	1995-12-26	VYDAJ	VYBER	3200	47389	\N	\N	\N
407798	1388	1995-04-12	VYDAJ	VYBER	1800	67336	\N	\N	\N
407799	1388	1996-12-22	VYDAJ	VYBER KARTOU	1700	41928	\N	\N	0
407800	1388	1996-08-23	VYDAJ	VYBER	4800	35637	\N	\N	\N
407801	1388	1996-12-10	VYDAJ	VYBER KARTOU	2600	71128	\N	\N	0
407802	1388	1996-03-10	VYDAJ	VYBER	1000	66971	\N	\N	\N
407803	1388	1996-03-11	VYDAJ	VYBER	1500	65471	\N	\N	\N
407804	1388	1997-06-19	VYDAJ	VYBER KARTOU	3000	32042	\N	\N	0
407805	1388	1997-10-21	VYDAJ	VYBER KARTOU	2800	21698	\N	\N	0
407806	1388	1997-07-12	VYDAJ	VYBER KARTOU	500	45668	\N	\N	0
407807	1388	1997-12-20	VYDAJ	VYBER KARTOU	3800	23807	\N	\N	0
407808	1388	1997-05-28	VYDAJ	VYBER	4100	28493	\N	\N	\N
407809	1388	1997-05-18	VYDAJ	VYBER KARTOU	1300	32593	\N	\N	0
407810	1388	1998-04-12	VYDAJ	VYBER KARTOU	1800	33041	\N	\N	0
407811	1388	1998-10-30	VYDAJ	VYBER	4400	57507	\N	\N	\N
407812	1388	1998-08-21	VYDAJ	VYBER	4100	55828	\N	\N	\N
407813	1388	1998-04-11	VYDAJ	VYBER KARTOU	3100	34841	\N	\N	0
407815	1388	1998-12-13	VYDAJ	VYBER	4600	65378	\N	\N	\N
407825	1388	1994-09-30	VYDAJ	VYBER	15	43900	SLUZBY	\N	\N
407826	1388	1994-10-31	VYDAJ	VYBER	15	43488	SLUZBY	\N	\N
407827	1388	1994-11-30	VYDAJ	VYBER	15	46376	SLUZBY	\N	\N
407828	1388	1994-12-31	VYDAJ	VYBER	15	50697	SLUZBY	\N	\N
407829	1388	1995-01-31	VYDAJ	VYBER	15	47911	SLUZBY	\N	\N
407830	1388	1995-02-28	VYDAJ	VYBER	15	46716	SLUZBY	\N	\N
407831	1388	1995-03-31	VYDAJ	VYBER	15	47916	SLUZBY	\N	\N
407832	1388	1995-04-30	VYDAJ	VYBER	15	48862	SLUZBY	\N	\N
407833	1388	1995-05-31	VYDAJ	VYBER	15	46469	SLUZBY	\N	\N
407834	1388	1995-06-30	VYDAJ	VYBER	15	47995	SLUZBY	\N	\N
407835	1388	1995-07-31	VYDAJ	VYBER	15	45598	SLUZBY	\N	\N
407836	1388	1995-08-31	VYDAJ	VYBER	15	43190	SLUZBY	\N	\N
407837	1388	1995-09-30	VYDAJ	VYBER	15	42474	SLUZBY	\N	\N
407838	1388	1995-10-31	VYDAJ	VYBER	15	41655	SLUZBY	\N	\N
407839	1388	1995-11-30	VYDAJ	VYBER	15	40559	SLUZBY	\N	\N
407840	1388	1995-12-31	VYDAJ	VYBER	15	47052	SLUZBY	\N	\N
407841	1388	1996-01-31	VYDAJ	VYBER	15	46452	SLUZBY	\N	\N
407842	1388	1996-02-29	VYDAJ	VYBER	15	46751	SLUZBY	\N	\N
407843	1388	1996-03-31	VYDAJ	VYBER	15	44878	SLUZBY	\N	\N
407844	1388	1996-04-30	VYDAJ	VYBER	15	39862	SLUZBY	\N	\N
407845	1388	1996-05-31	VYDAJ	VYBER	15	41835	SLUZBY	\N	\N
407846	1388	1996-06-30	VYDAJ	VYBER	15	45030	SLUZBY	\N	\N
407847	1388	1996-07-31	VYDAJ	VYBER	15	42217	SLUZBY	\N	\N
407848	1388	1996-08-31	VYDAJ	VYBER	15	35788	SLUZBY	\N	\N
407849	1388	1996-09-30	VYDAJ	VYBER	15	39648	SLUZBY	\N	\N
407850	1388	1996-10-31	VYDAJ	VYBER	15	41621	SLUZBY	\N	\N
407851	1388	1996-11-30	VYDAJ	VYBER	15	41898	SLUZBY	\N	\N
407852	1388	1996-12-31	VYDAJ	VYBER	15	39816	SLUZBY	\N	\N
407853	1388	1997-01-31	VYDAJ	VYBER	15	40687	SLUZBY	\N	\N
407854	1388	1997-02-28	VYDAJ	VYBER	15	39257	SLUZBY	\N	\N
407855	1388	1997-03-31	VYDAJ	VYBER	15	37721	SLUZBY	\N	\N
407856	1388	1997-04-30	VYDAJ	VYBER	15	33673	SLUZBY	\N	\N
407857	1388	1997-05-31	VYDAJ	VYBER	15	28612	SLUZBY	\N	\N
407858	1388	1997-06-30	VYDAJ	VYBER	15	24948	SLUZBY	\N	\N
407859	1388	1997-07-31	VYDAJ	VYBER	15	24863	SLUZBY	\N	\N
407860	1388	1997-08-31	VYDAJ	VYBER	15	25571	SLUZBY	\N	\N
407861	1388	1997-09-30	VYDAJ	VYBER	15	24578	SLUZBY	\N	\N
407862	1388	1997-10-31	VYDAJ	VYBER	15	21779	SLUZBY	\N	\N
407863	1388	1997-11-30	VYDAJ	VYBER	15	23577	SLUZBY	\N	\N
407864	1388	1997-12-31	VYDAJ	VYBER	15	21491	SLUZBY	\N	\N
407865	1388	1998-01-31	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
407866	1388	1998-02-28	VYDAJ	VYBER	15	17548	SLUZBY	\N	\N
407867	1388	1998-03-31	VYDAJ	VYBER	15	16721	SLUZBY	\N	\N
407868	1388	1998-04-30	VYDAJ	VYBER	15	33139	SLUZBY	\N	\N
407869	1388	1998-05-31	VYDAJ	VYBER	15	20142	SLUZBY	\N	\N
407870	1388	1998-06-30	VYDAJ	VYBER	15	17430	SLUZBY	\N	\N
407871	1388	1998-07-31	VYDAJ	VYBER	15	38708	SLUZBY	\N	\N
407872	1388	1998-08-31	VYDAJ	VYBER	15	55997	SLUZBY	\N	\N
407873	1388	1998-09-30	VYDAJ	VYBER	15	40687	SLUZBY	\N	\N
407874	1388	1998-10-31	VYDAJ	VYBER	15	57663	SLUZBY	\N	\N
407875	1388	1998-11-30	VYDAJ	VYBER	15	38148	SLUZBY	\N	\N
407876	1388	1994-06-01	PRIJEM	VKLAD	1100	23085	\N	\N	\N
407877	1388	1994-07-01	VYDAJ	VYBER	15700	39402	\N	\N	\N
407878	1388	1994-07-31	VYDAJ	VYBER	18700	42166	\N	\N	\N
407879	1388	1994-08-30	VYDAJ	VYBER	19100	44286	\N	\N	\N
407880	1388	1994-09-29	VYDAJ	VYBER	21100	43682	\N	\N	\N
407881	1388	1994-10-29	VYDAJ	VYBER	21800	43320	\N	\N	\N
407882	1388	1994-11-28	VYDAJ	VYBER	18500	46208	\N	\N	\N
407883	1388	1994-12-28	VYDAJ	VYBER	25200	50506	\N	\N	\N
407884	1388	1995-01-27	VYDAJ	VYBER	24200	47717	\N	\N	\N
407885	1388	1995-02-26	VYDAJ	VYBER	22600	46531	\N	\N	\N
407886	1388	1995-03-28	VYDAJ	VYBER	20200	47736	\N	\N	\N
407887	1388	1995-04-27	VYDAJ	VYBER	18700	48636	\N	\N	\N
407888	1388	1995-05-27	VYDAJ	VYBER	23800	46282	\N	\N	\N
407889	1388	1995-06-26	VYDAJ	VYBER	22100	47799	\N	\N	\N
407890	1388	1995-07-26	VYDAJ	VYBER	23800	45415	\N	\N	\N
407891	1388	1995-08-25	VYDAJ	VYBER	23800	43018	\N	\N	\N
407892	1388	1995-09-24	VYDAJ	VYBER	22100	42310	\N	\N	\N
407893	1388	1995-10-24	VYDAJ	VYBER	22200	41494	\N	\N	\N
407894	1388	1995-11-23	VYDAJ	VYBER	18800	40375	\N	\N	\N
407895	1388	1995-12-23	VYDAJ	VYBER	21800	50589	\N	\N	\N
407896	1388	1996-01-22	VYDAJ	VYBER	22000	46272	\N	\N	\N
407897	1388	1996-02-21	VYDAJ	VYBER	21100	46572	\N	\N	\N
407898	1388	1996-03-22	VYDAJ	VYBER	20800	44671	\N	\N	\N
407899	1388	1996-04-21	VYDAJ	VYBER	26400	39698	\N	\N	\N
407900	1388	1996-05-21	VYDAJ	VYBER	19400	41682	\N	\N	\N
407901	1388	1996-06-20	VYDAJ	VYBER	25300	48365	\N	\N	\N
407902	1388	1996-07-20	VYDAJ	VYBER	24200	42050	\N	\N	\N
407903	1388	1996-08-19	VYDAJ	VYBER	23000	40437	\N	\N	\N
407904	1388	1996-09-18	VYDAJ	VYBER	17500	39508	\N	\N	\N
407905	1388	1996-10-18	VYDAJ	VYBER	19400	41468	\N	\N	\N
407906	1388	1996-11-17	VYDAJ	VYBER	21100	41741	\N	\N	\N
407907	1388	1996-12-17	VYDAJ	VYBER	27500	43628	\N	\N	\N
407908	1388	1997-01-16	VYDAJ	VYBER	20500	40536	\N	\N	\N
407909	1388	1997-02-15	VYDAJ	VYBER	22800	39107	\N	\N	\N
407910	1388	1997-03-17	VYDAJ	VYBER	22900	37577	\N	\N	\N
407911	1388	1997-04-16	VYDAJ	VYBER	25400	33541	\N	\N	\N
407912	1388	1997-05-16	VYDAJ	VYBER	21000	33893	\N	\N	\N
407913	1388	1997-06-15	VYDAJ	VYBER	25400	35042	\N	\N	\N
407914	1388	1997-07-15	VYDAJ	VYBER	20900	24768	\N	\N	\N
407915	1388	1997-08-14	VYDAJ	VYBER	20600	25483	\N	\N	\N
407916	1388	1997-09-13	VYDAJ	VYBER	22300	24491	\N	\N	\N
407917	1388	1997-10-13	VYDAJ	VYBER	21300	24498	\N	\N	\N
407918	1388	1997-11-12	VYDAJ	VYBER	19500	23499	\N	\N	\N
407919	1388	1997-12-12	VYDAJ	VYBER	27800	27607	\N	\N	\N
407920	1388	1998-01-11	VYDAJ	VYBER	25000	17711	\N	\N	\N
407921	1388	1998-02-10	VYDAJ	VYBER	21500	17492	\N	\N	\N
407922	1388	1998-03-12	VYDAJ	VYBER	22100	16668	\N	\N	\N
407923	1388	1998-05-11	VYDAJ	VYBER	34300	20059	\N	\N	\N
407924	1388	1998-06-10	VYDAJ	VYBER	34600	17372	\N	\N	\N
407925	1388	1998-09-08	VYDAJ	VYBER	36700	19297	\N	\N	\N
407926	1388	1998-11-07	VYDAJ	VYBER	40900	16763	\N	\N	\N
407983	1389	1997-08-05	PRIJEM	VKLAD	800	800	\N	\N	\N
407985	1389	1997-11-30	PRIJEM	VKLAD	38945	52294	\N	\N	\N
407986	1389	1997-09-30	PRIJEM	VKLAD	20565	117375	\N	\N	\N
407989	1389	1997-09-27	PRIJEM	VKLAD	48868	96600	\N	\N	\N
407991	1389	1997-08-30	PRIJEM	VKLAD	24257	31336	\N	\N	\N
407993	1389	1997-09-02	PRIJEM	VKLAD	19954	51320	\N	\N	\N
407995	1389	1997-10-13	PRIJEM	VKLAD	10398	47654	\N	\N	\N
407996	1389	1997-09-07	PRIJEM	VKLAD	9312	47732	\N	\N	\N
407997	1389	1997-08-07	PRIJEM	VKLAD	6279	7079	\N	\N	\N
407999	1389	1997-12-10	PRIJEM	VKLAD	29938	56692	\N	\N	\N
408000	1389	1997-12-21	PRIJEM	VKLAD	37560	83176	\N	\N	\N
408001	1389	1997-10-02	PRIJEM	VKLAD	11996	68456	\N	\N	\N
408002	1389	1998-03-16	PRIJEM	VKLAD	6195	85291	\N	\N	\N
408003	1389	1998-09-17	PRIJEM	VKLAD	14865	20535	\N	\N	\N
408004	1389	1998-03-13	PRIJEM	VKLAD	7921	111672	\N	\N	\N
408005	1389	1998-04-13	PRIJEM	VKLAD	13106	27497	\N	\N	\N
408006	1389	1998-03-11	PRIJEM	VKLAD	16453	65543	\N	\N	\N
408007	1389	1998-02-08	PRIJEM	VKLAD	39210	99954	\N	\N	\N
408008	1389	1998-07-10	PRIJEM	VKLAD	20172	46699	\N	\N	\N
408009	1389	1998-05-07	PRIJEM	VKLAD	16715	35742	\N	\N	\N
408010	1389	1998-10-06	PRIJEM	VKLAD	34043	56336	\N	\N	\N
408011	1389	1998-03-18	PRIJEM	VKLAD	18443	103734	\N	\N	\N
408012	1389	1998-11-26	PRIJEM	VKLAD	21573	74617	\N	\N	\N
408013	1389	1998-10-12	PRIJEM	VKLAD	14072	70408	\N	\N	\N
408014	1389	1998-10-28	PRIJEM	VKLAD	8010	54814	\N	\N	\N
408015	1389	1998-02-05	PRIJEM	VKLAD	33972	47521	\N	\N	\N
408016	1389	1998-12-27	PRIJEM	VKLAD	24801	62928	\N	\N	\N
408017	1389	1998-06-24	PRIJEM	VKLAD	29279	42845	\N	\N	\N
408018	1389	1998-05-29	PRIJEM	VKLAD	20290	43556	\N	\N	\N
408019	1389	1998-02-08	PRIJEM	VKLAD	13223	60744	\N	\N	\N
408020	1389	1998-10-29	PRIJEM	VKLAD	6674	61488	\N	\N	\N
408021	1389	1998-11-05	PRIJEM	VKLAD	33707	78447	\N	\N	\N
408022	1389	1998-03-12	PRIJEM	VKLAD	38208	103751	\N	\N	\N
408032	1389	1997-10-02	VYDAJ	VYBER	5800	62656	\N	\N	0
408033	1389	1997-11-02	VYDAJ	VYBER	5400	24325	\N	\N	0
408034	1389	1997-12-18	VYDAJ	VYBER	4700	45616	\N	\N	0
408035	1389	1998-01-10	VYDAJ	VYBER	4100	44497	\N	\N	0
408036	1389	1998-02-26	VYDAJ	VYBER	5800	85472	\N	\N	0
408037	1389	1998-03-23	VYDAJ	VYBER	7000	96734	\N	\N	0
408038	1389	1998-04-02	VYDAJ	VYBER	4700	88201	\N	\N	0
408039	1389	1998-05-26	VYDAJ	VYBER	6100	23266	\N	\N	0
408040	1389	1998-06-24	VYDAJ	VYBER	4200	38645	\N	\N	0
408041	1389	1998-07-25	VYDAJ	VYBER	4300	36023	\N	\N	0
408042	1389	1998-08-02	VYDAJ	VYBER	7900	18274	\N	\N	0
408043	1389	1998-09-12	VYDAJ	PREVOD NA UCET	5228	12046	UVER	IJ	18867123
408044	1389	1998-10-12	VYDAJ	PREVOD NA UCET	5228	65180	UVER	IJ	18867123
408045	1389	1998-11-12	VYDAJ	PREVOD NA UCET	5228	73220	UVER	IJ	18867123
408046	1389	1998-12-12	VYDAJ	PREVOD NA UCET	5228	47503	UVER	IJ	18867123
408056	1389	1997-10-13	VYDAJ	PREVOD NA UCET	6376	41278	SIPO	WX	71177351
408057	1389	1997-11-13	VYDAJ	PREVOD NA UCET	6376	13349	SIPO	WX	71177351
408058	1389	1997-12-13	VYDAJ	PREVOD NA UCET	6376	50316	SIPO	WX	71177351
408059	1389	1998-01-13	VYDAJ	PREVOD NA UCET	6376	14121	SIPO	WX	71177351
408060	1389	1998-02-13	VYDAJ	PREVOD NA UCET	6376	93578	SIPO	WX	71177351
408061	1389	1998-03-13	VYDAJ	PREVOD NA UCET	6376	105296	SIPO	WX	71177351
408062	1389	1998-04-13	VYDAJ	PREVOD NA UCET	6376	21121	SIPO	WX	71177351
408063	1389	1998-05-13	VYDAJ	PREVOD NA UCET	6376	29366	SIPO	WX	71177351
408064	1389	1998-06-13	VYDAJ	PREVOD NA UCET	6376	13566	SIPO	WX	71177351
408065	1389	1998-07-13	VYDAJ	PREVOD NA UCET	6376	40323	SIPO	WX	71177351
408066	1389	1998-08-13	VYDAJ	PREVOD NA UCET	6376	11898	SIPO	WX	71177351
408067	1389	1998-09-13	VYDAJ	PREVOD NA UCET	6376	5670	SIPO	WX	71177351
408068	1389	1998-10-13	VYDAJ	PREVOD NA UCET	6376	58804	SIPO	WX	71177351
408069	1389	1998-11-13	VYDAJ	PREVOD NA UCET	6376	66844	SIPO	WX	71177351
408070	1389	1998-12-13	VYDAJ	PREVOD NA UCET	6376	41127	SIPO	WX	71177351
408076	1389	1998-04-11	VYBER	VYBER	13208	14391	\N	\N	\N
408077	1389	1998-04-07	VYBER	VYBER	22602	27599	\N	\N	\N
408079	1389	1998-05-31	VYBER	VYBER	20521	23156	\N	\N	\N
408080	1389	1998-03-24	VYBER	VYBER	4165	92569	\N	\N	\N
408081	1389	1998-03-03	VYBER	VYBER	7459	78290	\N	\N	\N
408083	1389	1998-02-18	VYBER	VYBER	2306	91272	\N	\N	\N
408087	1389	1998-01-10	VYDAJ	VYBER	24000	20497	\N	\N	\N
408088	1389	1997-12-26	VYDAJ	VYBER	2100	81076	\N	\N	\N
408089	1389	1998-12-26	VYDAJ	VYBER	3000	38127	\N	\N	\N
408103	1389	1997-10-22	VYDAJ	VYBER	11700	29578	\N	\N	\N
408106	1389	1997-12-01	VYDAJ	VYBER	10800	41554	\N	\N	\N
408108	1389	1998-11-19	VYDAJ	VYBER	13800	53044	\N	\N	\N
408109	1389	1998-10-16	VYDAJ	VYBER	12000	46804	\N	\N	\N
408119	1389	1997-09-30	VYDAJ	VYBER	15	56460	SLUZBY	\N	\N
408120	1389	1997-10-31	VYDAJ	VYBER	15	29725	SLUZBY	\N	\N
408121	1389	1997-11-30	VYDAJ	VYBER	15	52354	SLUZBY	\N	\N
408122	1389	1997-12-31	VYDAJ	VYBER	15	81297	SLUZBY	\N	\N
408123	1389	1998-01-31	VYDAJ	VYBER	15	14249	SLUZBY	\N	\N
408124	1389	1998-02-28	VYDAJ	VYBER	15	85749	SLUZBY	\N	\N
408125	1389	1998-03-31	VYDAJ	VYBER	15	92901	SLUZBY	\N	\N
408126	1389	1998-04-30	VYDAJ	VYBER	15	21227	SLUZBY	\N	\N
408127	1389	1998-05-31	VYDAJ	VYBER	15	23142	SLUZBY	\N	\N
408128	1389	1998-06-30	VYDAJ	VYBER	15	38727	SLUZBY	\N	\N
408129	1389	1998-07-31	VYDAJ	VYBER	15	36174	SLUZBY	\N	\N
408130	1389	1998-08-31	VYDAJ	VYBER	15	17273	SLUZBY	\N	\N
408131	1389	1998-09-30	VYDAJ	VYBER	15	22293	SLUZBY	\N	\N
408132	1389	1998-10-31	VYDAJ	VYBER	15	44740	SLUZBY	\N	\N
408133	1389	1998-11-30	VYDAJ	VYBER	15	52731	SLUZBY	\N	\N
408134	1389	1997-09-04	VYDAJ	VYBER	12900	38420	\N	\N	\N
408135	1389	1997-09-30	VYDAJ	VYBER	60900	56475	\N	\N	\N
408136	1389	1997-10-04	VYDAJ	VYBER	25400	37256	\N	\N	\N
408137	1389	1997-11-03	VYDAJ	VYBER	4600	19725	\N	\N	\N
408138	1389	1997-12-03	VYDAJ	VYBER	14800	26754	\N	\N	\N
408139	1389	1998-01-02	VYDAJ	VYBER	32700	48597	\N	\N	\N
408140	1389	1998-02-01	VYDAJ	VYBER	700	13549	\N	\N	\N
408141	1389	1998-03-03	VYDAJ	VYBER	29200	49090	\N	\N	\N
408142	1389	1998-03-13	VYDAJ	VYBER	26200	79096	\N	\N	\N
408143	1389	1998-04-02	VYDAJ	VYBER	38000	50201	\N	\N	\N
408144	1389	1998-05-02	VYDAJ	VYBER	2200	19027	\N	\N	\N
408145	1389	1998-06-01	VYDAJ	VYBER	3200	19942	\N	\N	\N
408146	1389	1998-07-01	VYDAJ	VYBER	12200	26527	\N	\N	\N
408147	1389	1998-07-31	VYDAJ	VYBER	10000	26174	\N	\N	\N
408148	1389	1998-08-30	PRIJEM	VKLAD	5300	17198	\N	\N	\N
408149	1389	1998-09-29	PRIJEM	VKLAD	1700	22235	\N	\N	\N
408150	1389	1998-10-29	VYDAJ	VYBER	16900	44588	\N	\N	\N
408151	1389	1998-11-28	VYDAJ	VYBER	22100	52517	\N	\N	\N
408169	1390	1996-12-30	PRIJEM	VKLAD	400	400	\N	\N	\N
408182	1390	1997-01-06	PRIJEM	VKLAD	10738	11138	\N	\N	\N
408183	1390	1997-02-06	PRIJEM	VKLAD	10738	29784	\N	\N	\N
408184	1390	1997-03-06	PRIJEM	VKLAD	10738	35102	\N	\N	\N
408185	1390	1997-04-06	PRIJEM	VKLAD	10738	37942	\N	\N	\N
408186	1390	1997-05-06	PRIJEM	VKLAD	10738	40594	\N	\N	\N
408187	1390	1997-06-06	PRIJEM	VKLAD	16107	29962	\N	\N	\N
408188	1390	1997-07-06	PRIJEM	VKLAD	10738	29501	\N	\N	\N
408189	1390	1997-08-06	PRIJEM	VKLAD	10738	32088	\N	\N	\N
408190	1390	1997-09-06	PRIJEM	VKLAD	10738	33284	\N	\N	\N
408191	1390	1997-10-06	PRIJEM	VKLAD	10738	33716	\N	\N	\N
408192	1390	1997-11-06	PRIJEM	VKLAD	10738	31689	\N	\N	\N
408193	1390	1997-12-06	PRIJEM	VKLAD	16107	37224	\N	\N	\N
408194	1390	1998-01-06	PRIJEM	VKLAD	10738	30844	\N	\N	\N
408195	1390	1998-02-06	PRIJEM	VKLAD	10738	27834	\N	\N	\N
408196	1390	1998-03-06	PRIJEM	VKLAD	10738	32388	\N	\N	\N
408197	1390	1998-04-06	PRIJEM	VKLAD	10738	39460	\N	\N	\N
408198	1390	1998-05-06	PRIJEM	VKLAD	10738	38050	\N	\N	\N
408199	1390	1998-06-06	PRIJEM	VKLAD	16107	46314	\N	\N	\N
408200	1390	1998-07-06	PRIJEM	VKLAD	10738	30365	\N	\N	\N
408201	1390	1998-08-06	PRIJEM	VKLAD	10738	31686	\N	\N	\N
408202	1390	1998-09-06	PRIJEM	VKLAD	10738	36753	\N	\N	\N
408203	1390	1998-10-06	PRIJEM	VKLAD	10738	38237	\N	\N	\N
408204	1390	1998-11-06	PRIJEM	VKLAD	10738	38825	\N	\N	\N
408205	1390	1998-12-06	PRIJEM	VKLAD	16107	47088	\N	\N	\N
408222	1390	1997-05-10	VYDAJ	PREVOD NA UCET	1011	33436	SIPO	AB	35191500
408223	1390	1997-06-10	VYDAJ	PREVOD NA UCET	1011	22804	SIPO	AB	35191500
408224	1390	1997-07-10	VYDAJ	PREVOD NA UCET	1011	22343	SIPO	AB	35191500
408225	1390	1997-08-10	VYDAJ	PREVOD NA UCET	1011	21570	SIPO	AB	35191500
408226	1390	1997-09-10	VYDAJ	PREVOD NA UCET	1011	26126	SIPO	AB	35191500
408227	1390	1997-10-10	VYDAJ	PREVOD NA UCET	1011	26558	SIPO	AB	35191500
408228	1390	1997-11-10	VYDAJ	PREVOD NA UCET	1011	24531	SIPO	AB	35191500
408229	1390	1997-12-10	VYDAJ	PREVOD NA UCET	1011	30066	SIPO	AB	35191500
408230	1390	1998-01-10	VYDAJ	PREVOD NA UCET	1011	21166	SIPO	AB	35191500
408231	1390	1998-02-10	VYDAJ	PREVOD NA UCET	1011	20676	SIPO	AB	35191500
408232	1390	1998-03-10	VYDAJ	PREVOD NA UCET	1011	25230	SIPO	AB	35191500
408233	1390	1998-04-10	VYDAJ	PREVOD NA UCET	1011	32302	SIPO	AB	35191500
408234	1390	1998-05-10	VYDAJ	PREVOD NA UCET	1011	30892	SIPO	AB	35191500
408235	1390	1998-06-10	VYDAJ	PREVOD NA UCET	1011	16436	SIPO	AB	35191500
408236	1390	1998-07-10	VYDAJ	PREVOD NA UCET	1011	23207	SIPO	AB	35191500
408237	1390	1998-08-10	VYDAJ	PREVOD NA UCET	1011	24528	SIPO	AB	35191500
408238	1390	1998-09-10	VYDAJ	PREVOD NA UCET	1011	29595	SIPO	AB	35191500
408239	1390	1998-10-10	VYDAJ	PREVOD NA UCET	1011	31079	SIPO	AB	35191500
408240	1390	1998-11-10	VYDAJ	PREVOD NA UCET	1011	31667	SIPO	AB	35191500
408241	1390	1998-12-10	VYDAJ	PREVOD NA UCET	1011	33010	SIPO	AB	35191500
408258	1390	1997-05-06	VYDAJ	PREVOD NA UCET	6147	34447	 	EF	43511337
408259	1390	1997-06-06	VYDAJ	PREVOD NA UCET	6147	23815	 	EF	43511337
408260	1390	1997-07-06	VYDAJ	PREVOD NA UCET	6147	23354	 	EF	43511337
408261	1390	1997-08-06	VYDAJ	PREVOD NA UCET	6147	25941	 	EF	43511337
408262	1390	1997-09-06	VYDAJ	PREVOD NA UCET	6147	27137	 	EF	43511337
408263	1390	1997-10-06	VYDAJ	PREVOD NA UCET	6147	27569	 	EF	43511337
408264	1390	1997-11-06	VYDAJ	PREVOD NA UCET	6147	25542	 	EF	43511337
408265	1390	1997-12-06	VYDAJ	PREVOD NA UCET	6147	31077	 	EF	43511337
408266	1390	1998-01-06	VYDAJ	PREVOD NA UCET	6147	24697	 	EF	43511337
408267	1390	1998-02-06	VYDAJ	PREVOD NA UCET	6147	21687	 	EF	43511337
408268	1390	1998-03-06	VYDAJ	PREVOD NA UCET	6147	26241	 	EF	43511337
408269	1390	1998-04-06	VYDAJ	PREVOD NA UCET	6147	33313	 	EF	43511337
408270	1390	1998-05-06	VYDAJ	PREVOD NA UCET	6147	31903	 	EF	43511337
408271	1390	1998-06-06	VYDAJ	PREVOD NA UCET	6147	40167	 	EF	43511337
408272	1390	1998-07-06	VYDAJ	PREVOD NA UCET	6147	24218	 	EF	43511337
408273	1390	1998-08-06	VYDAJ	PREVOD NA UCET	6147	25539	 	EF	43511337
408274	1390	1998-09-06	VYDAJ	PREVOD NA UCET	6147	30606	 	EF	43511337
408275	1390	1998-10-06	VYDAJ	PREVOD NA UCET	6147	32090	 	EF	43511337
408276	1390	1998-11-06	VYDAJ	PREVOD NA UCET	6147	32678	 	EF	43511337
408277	1390	1998-12-06	VYDAJ	PREVOD NA UCET	6147	40941	 	EF	43511337
408279	1390	1997-06-01	VYDAJ	VYBER	10400	13855	\N	\N	\N
408280	1390	1998-06-08	VYDAJ	VYBER	22720	17447	\N	\N	\N
408282	1390	1997-12-20	VYDAJ	VYBER	1920	28146	\N	\N	\N
408283	1390	1998-12-07	VYDAJ	VYBER	2720	38221	\N	\N	\N
408296	1390	1998-01-15	VYDAJ	VYBER	1800	17446	\N	\N	\N
408297	1390	1998-01-24	VYDAJ	VYBER	960	19186	\N	\N	\N
408298	1390	1998-01-01	VYDAJ	VYBER	2040	20106	\N	\N	\N
408299	1390	1998-01-15	VYDAJ	VYBER	1920	19246	\N	\N	\N
408300	1390	1998-01-06	VYDAJ	VYBER	2520	22177	\N	\N	\N
408301	1390	1998-01-27	VYDAJ	VYBER	2160	17026	\N	\N	\N
408305	1390	1997-09-22	VYDAJ	VYBER	3840	22286	\N	\N	\N
408307	1390	1997-06-26	VYDAJ	VYBER	3120	19684	\N	\N	\N
408309	1390	1997-07-16	VYDAJ	VYBER	720	17183	\N	\N	\N
408310	1390	1997-07-14	VYDAJ	VYBER	4440	17903	\N	\N	\N
408311	1390	1997-08-07	VYDAJ	VYBER	3360	22581	\N	\N	\N
408312	1390	1998-06-14	VYDAJ	VYBER	1680	14756	\N	\N	\N
408313	1390	1998-04-17	VYDAJ	VYBER	2400	29902	\N	\N	\N
408314	1390	1998-12-08	VYDAJ	VYBER	4200	34021	\N	\N	\N
408315	1390	1998-07-28	VYDAJ	VYBER	5040	20867	\N	\N	\N
408333	1390	1997-05-31	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
408334	1390	1997-06-30	VYDAJ	VYBER	15	18763	SLUZBY	\N	\N
408335	1390	1997-07-31	VYDAJ	VYBER	15	21350	SLUZBY	\N	\N
408336	1390	1997-08-31	VYDAJ	VYBER	15	22546	SLUZBY	\N	\N
408337	1390	1997-09-30	VYDAJ	VYBER	15	22978	SLUZBY	\N	\N
408338	1390	1997-10-31	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
408339	1390	1997-11-30	VYDAJ	VYBER	15	21117	SLUZBY	\N	\N
408340	1390	1997-12-31	VYDAJ	VYBER	15	22146	SLUZBY	\N	\N
408341	1390	1998-01-31	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
408342	1390	1998-02-28	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
408343	1390	1998-03-31	VYDAJ	VYBER	15	28722	SLUZBY	\N	\N
408344	1390	1998-04-30	VYDAJ	VYBER	15	27312	SLUZBY	\N	\N
408345	1390	1998-05-31	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
408346	1390	1998-06-30	VYDAJ	VYBER	15	19627	SLUZBY	\N	\N
408347	1390	1998-07-31	VYDAJ	VYBER	15	20948	SLUZBY	\N	\N
408348	1390	1998-08-31	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
408349	1390	1998-09-30	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
408350	1390	1998-10-31	VYDAJ	VYBER	15	28087	SLUZBY	\N	\N
408351	1390	1998-11-30	VYDAJ	VYBER	15	30981	SLUZBY	\N	\N
408352	1390	1997-01-29	PRIJEM	VKLAD	7900	19038	\N	\N	\N
408353	1390	1997-02-28	VYDAJ	VYBER	5500	24364	\N	\N	\N
408354	1390	1997-03-30	VYDAJ	VYBER	8000	27102	\N	\N	\N
408355	1390	1997-04-29	VYDAJ	VYBER	8200	29742	\N	\N	\N
408356	1390	1997-05-29	VYDAJ	VYBER	9300	24136	\N	\N	\N
408357	1390	1997-06-28	VYDAJ	VYBER	1000	18684	\N	\N	\N
408358	1390	1997-07-28	PRIJEM	VKLAD	4100	21283	\N	\N	\N
408359	1390	1997-08-27	PRIJEM	VKLAD	900	22470	\N	\N	\N
408360	1390	1997-09-26	PRIJEM	VKLAD	600	22886	\N	\N	\N
408361	1390	1997-10-26	VYDAJ	VYBER	5700	20858	\N	\N	\N
408362	1390	1997-11-25	VYDAJ	VYBER	3500	21031	\N	\N	\N
408363	1390	1997-12-25	VYDAJ	VYBER	6100	22046	\N	\N	\N
408364	1390	1998-01-24	PRIJEM	VKLAD	2700	20146	\N	\N	\N
408365	1390	1998-02-23	PRIJEM	VKLAD	900	21576	\N	\N	\N
408366	1390	1998-03-25	PRIJEM	VKLAD	3400	28630	\N	\N	\N
408367	1390	1998-04-24	VYDAJ	VYBER	2700	27202	\N	\N	\N
408368	1390	1998-05-24	VYDAJ	VYBER	800	30092	\N	\N	\N
408369	1390	1998-06-23	PRIJEM	VKLAD	4800	19556	\N	\N	\N
408370	1390	1998-07-23	PRIJEM	VKLAD	2700	25907	\N	\N	\N
408371	1390	1998-08-22	PRIJEM	VKLAD	1400	25928	\N	\N	\N
408372	1390	1998-09-21	VYDAJ	VYBER	2200	27395	\N	\N	\N
408373	1390	1998-10-21	VYDAJ	VYBER	3100	27979	\N	\N	\N
408374	1390	1998-11-20	VYDAJ	VYBER	800	30867	\N	\N	\N
408399	1391	1996-12-21	PRIJEM	VKLAD	600	600	\N	\N	\N
408412	1391	1997-01-09	PRIJEM	VKLAD	16151	16751	\N	\N	\N
408413	1391	1997-02-09	PRIJEM	VKLAD	16151	33831	\N	\N	\N
408414	1391	1997-03-09	PRIJEM	VKLAD	16151	41566	\N	\N	\N
408415	1391	1997-04-09	PRIJEM	VKLAD	16151	50837	\N	\N	\N
408416	1391	1997-05-09	PRIJEM	VKLAD	16151	57342	\N	\N	\N
408417	1391	1997-06-09	PRIJEM	VKLAD	24226	53289	\N	\N	\N
408418	1391	1997-07-09	PRIJEM	VKLAD	16151	57355	\N	\N	\N
408419	1391	1997-08-09	PRIJEM	VKLAD	16151	57025	\N	\N	\N
408420	1391	1997-09-09	PRIJEM	VKLAD	16151	50762	\N	\N	\N
408421	1391	1997-10-09	PRIJEM	VKLAD	16151	55011	\N	\N	\N
408422	1391	1997-11-09	PRIJEM	VKLAD	16151	52964	\N	\N	\N
408423	1391	1997-12-09	PRIJEM	VKLAD	24226	56867	\N	\N	\N
408424	1391	1998-01-09	PRIJEM	VKLAD	16151	40336	\N	\N	\N
408425	1391	1998-02-09	PRIJEM	VKLAD	16151	41623	\N	\N	\N
408426	1391	1998-03-09	PRIJEM	VKLAD	16151	48936	\N	\N	\N
408427	1391	1998-04-09	PRIJEM	VKLAD	16151	51472	\N	\N	\N
408428	1391	1998-05-09	PRIJEM	VKLAD	16151	52714	\N	\N	\N
408429	1391	1998-06-09	PRIJEM	VKLAD	24226	56896	\N	\N	\N
408430	1391	1998-07-09	PRIJEM	VKLAD	16151	53838	\N	\N	\N
408431	1391	1998-08-09	PRIJEM	VKLAD	16151	45614	\N	\N	\N
408432	1391	1998-09-09	PRIJEM	VKLAD	16151	40294	\N	\N	\N
408433	1391	1998-10-09	PRIJEM	VKLAD	16151	43590	\N	\N	\N
408434	1391	1998-11-09	PRIJEM	VKLAD	16151	44695	\N	\N	\N
408435	1391	1998-12-09	PRIJEM	VKLAD	24226	59291	\N	\N	\N
408452	1391	1997-05-10	VYDAJ	PREVOD NA UCET	3053	54289	SIPO	QR	42852616
408453	1391	1997-06-10	VYDAJ	PREVOD NA UCET	3053	50236	SIPO	QR	42852616
408454	1391	1997-07-10	VYDAJ	PREVOD NA UCET	3053	54302	SIPO	QR	42852616
408455	1391	1997-08-10	VYDAJ	PREVOD NA UCET	3053	53972	SIPO	QR	42852616
408456	1391	1997-09-10	VYDAJ	PREVOD NA UCET	3053	47709	SIPO	QR	42852616
408457	1391	1997-10-10	VYDAJ	PREVOD NA UCET	3053	51958	SIPO	QR	42852616
408458	1391	1997-11-10	VYDAJ	PREVOD NA UCET	3053	49911	SIPO	QR	42852616
408459	1391	1997-12-10	VYDAJ	PREVOD NA UCET	3053	53814	SIPO	QR	42852616
408460	1391	1998-01-10	VYDAJ	PREVOD NA UCET	3053	37283	SIPO	QR	42852616
408461	1391	1998-02-10	VYDAJ	PREVOD NA UCET	3053	38570	SIPO	QR	42852616
408462	1391	1998-03-10	VYDAJ	PREVOD NA UCET	3053	45883	SIPO	QR	42852616
408463	1391	1998-04-10	VYDAJ	PREVOD NA UCET	3053	48419	SIPO	QR	42852616
408464	1391	1998-05-10	VYDAJ	PREVOD NA UCET	3053	49661	SIPO	QR	42852616
408465	1391	1998-06-10	VYDAJ	PREVOD NA UCET	3053	53843	SIPO	QR	42852616
408466	1391	1998-07-10	VYDAJ	PREVOD NA UCET	3053	50785	SIPO	QR	42852616
408467	1391	1998-08-10	VYDAJ	PREVOD NA UCET	3053	42561	SIPO	QR	42852616
408468	1391	1998-09-10	VYDAJ	PREVOD NA UCET	3053	37241	SIPO	QR	42852616
408469	1391	1998-10-10	VYDAJ	PREVOD NA UCET	3053	40537	SIPO	QR	42852616
408470	1391	1998-11-10	VYDAJ	PREVOD NA UCET	3053	41642	SIPO	QR	42852616
408471	1391	1998-12-10	VYDAJ	PREVOD NA UCET	3053	56238	SIPO	QR	42852616
408473	1391	1997-06-04	VYDAJ	VYBER	11040	29063	\N	\N	\N
408476	1391	1997-12-30	VYDAJ	VYBER	2080	29794	\N	\N	\N
408477	1391	1998-12-11	VYDAJ	VYBER	4160	43678	\N	\N	\N
408490	1391	1998-01-05	VYDAJ	VYBER	1320	24185	\N	\N	\N
408491	1391	1998-01-01	VYDAJ	VYBER	3360	26585	\N	\N	\N
408492	1391	1998-01-27	VYDAJ	VYBER	1680	27043	\N	\N	\N
408493	1391	1998-01-29	VYDAJ	VYBER	1680	25363	\N	\N	\N
408494	1391	1998-01-04	VYDAJ	VYBER	1080	25505	\N	\N	\N
408495	1391	1998-01-19	VYDAJ	VYBER	960	28723	\N	\N	\N
408507	1391	1997-12-03	VYDAJ	VYBER	4320	32641	\N	\N	\N
408508	1391	1997-05-24	VYDAJ	VYBER	3360	39929	\N	\N	\N
408509	1391	1997-08-22	VYDAJ	VYBER	2520	34452	\N	\N	\N
408510	1391	1997-12-29	VYDAJ	VYBER	4440	31874	\N	\N	\N
408511	1391	1998-05-15	VYDAJ	VYBER	5640	32521	\N	\N	\N
408512	1391	1998-09-12	VYDAJ	VYBER	3600	27341	\N	\N	\N
408513	1391	1998-08-18	VYDAJ	VYBER	5520	24041	\N	\N	\N
408514	1391	1998-12-17	VYDAJ	VYBER	960	42718	\N	\N	\N
408515	1391	1998-07-28	VYDAJ	VYBER	4560	29325	\N	\N	\N
408516	1391	1998-10-16	VYDAJ	VYBER	3000	28437	\N	\N	\N
408534	1391	1997-05-31	VYDAJ	VYBER	15	40103	SLUZBY	\N	\N
408535	1391	1997-06-30	VYDAJ	VYBER	15	41204	SLUZBY	\N	\N
408536	1391	1997-07-31	VYDAJ	VYBER	15	40874	SLUZBY	\N	\N
408537	1391	1997-08-31	VYDAJ	VYBER	15	34611	SLUZBY	\N	\N
408538	1391	1997-09-30	VYDAJ	VYBER	15	38860	SLUZBY	\N	\N
408539	1391	1997-10-31	VYDAJ	VYBER	15	36813	SLUZBY	\N	\N
408540	1391	1997-11-30	VYDAJ	VYBER	15	36961	SLUZBY	\N	\N
408541	1391	1997-12-31	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
408542	1391	1998-01-31	VYDAJ	VYBER	15	25472	SLUZBY	\N	\N
408543	1391	1998-02-28	VYDAJ	VYBER	15	32785	SLUZBY	\N	\N
408544	1391	1998-03-31	VYDAJ	VYBER	15	35321	SLUZBY	\N	\N
408545	1391	1998-04-30	VYDAJ	VYBER	15	36563	SLUZBY	\N	\N
408546	1391	1998-05-31	VYDAJ	VYBER	15	32670	SLUZBY	\N	\N
408547	1391	1998-06-30	VYDAJ	VYBER	15	37687	SLUZBY	\N	\N
408548	1391	1998-07-31	VYDAJ	VYBER	15	29463	SLUZBY	\N	\N
408549	1391	1998-08-31	VYDAJ	VYBER	15	24143	SLUZBY	\N	\N
408550	1391	1998-09-30	VYDAJ	VYBER	15	27439	SLUZBY	\N	\N
408551	1391	1998-10-31	VYDAJ	VYBER	15	28544	SLUZBY	\N	\N
408552	1391	1998-11-30	VYDAJ	VYBER	15	35065	SLUZBY	\N	\N
408553	1391	1997-01-20	PRIJEM	VKLAD	900	17651	\N	\N	\N
408554	1391	1997-02-19	VYDAJ	VYBER	8500	25331	\N	\N	\N
408555	1391	1997-03-21	VYDAJ	VYBER	7000	34566	\N	\N	\N
408556	1391	1997-04-20	VYDAJ	VYBER	9800	41037	\N	\N	\N
408557	1391	1997-05-20	VYDAJ	VYBER	11000	43289	\N	\N	\N
408558	1391	1997-06-19	VYDAJ	VYBER	9200	41036	\N	\N	\N
408559	1391	1997-07-19	VYDAJ	VYBER	13600	40702	\N	\N	\N
408560	1391	1997-08-18	VYDAJ	VYBER	17000	36972	\N	\N	\N
408561	1391	1997-09-17	VYDAJ	VYBER	9000	38709	\N	\N	\N
408562	1391	1997-10-17	VYDAJ	VYBER	15300	36658	\N	\N	\N
408563	1391	1997-11-16	VYDAJ	VYBER	13100	36811	\N	\N	\N
408564	1391	1997-12-16	VYDAJ	VYBER	17500	36314	\N	\N	\N
408565	1391	1998-01-15	VYDAJ	VYBER	7600	29683	\N	\N	\N
408566	1391	1998-02-14	VYDAJ	VYBER	5900	32670	\N	\N	\N
408567	1391	1998-03-16	VYDAJ	VYBER	10700	35183	\N	\N	\N
408568	1391	1998-04-15	VYDAJ	VYBER	12000	36419	\N	\N	\N
408569	1391	1998-05-15	VYDAJ	VYBER	11500	38161	\N	\N	\N
408570	1391	1998-06-14	VYDAJ	VYBER	16300	37543	\N	\N	\N
408571	1391	1998-07-14	VYDAJ	VYBER	16900	33885	\N	\N	\N
408572	1391	1998-08-13	VYDAJ	VYBER	13000	29561	\N	\N	\N
408573	1391	1998-09-12	VYDAJ	VYBER	6300	30941	\N	\N	\N
408574	1391	1998-10-12	VYDAJ	VYBER	9100	31437	\N	\N	\N
408575	1391	1998-11-11	VYDAJ	VYBER	6700	34942	\N	\N	\N
408576	1391	1998-12-11	VYDAJ	VYBER	8400	47838	\N	\N	\N
408601	1392	1993-04-28	PRIJEM	VKLAD	700	700	\N	\N	\N
408606	1392	1993-05-09	PRIJEM	VKLAD	23179	23879	\N	\N	\N
408607	1392	1993-06-09	PRIJEM	VKLAD	34768	60561	\N	\N	\N
408608	1392	1993-07-09	PRIJEM	VKLAD	23179	67758	\N	\N	\N
408609	1392	1993-08-09	PRIJEM	VKLAD	23179	70424	\N	\N	\N
408610	1392	1993-09-09	PRIJEM	VKLAD	23179	69098	\N	\N	\N
408611	1392	1993-10-09	PRIJEM	VKLAD	23179	65359	\N	\N	\N
408612	1392	1993-11-09	PRIJEM	VKLAD	23179	56551	\N	\N	\N
408613	1392	1993-12-09	PRIJEM	VKLAD	34768	64207	\N	\N	\N
408614	1392	1994-01-09	PRIJEM	VKLAD	23179	60092	\N	\N	\N
408615	1392	1994-02-09	PRIJEM	VKLAD	23179	55668	\N	\N	\N
408616	1392	1994-03-09	PRIJEM	VKLAD	23179	55932	\N	\N	\N
408617	1392	1994-04-09	PRIJEM	VKLAD	23179	52498	\N	\N	\N
408618	1392	1994-05-09	PRIJEM	VKLAD	23179	55054	\N	\N	\N
408619	1392	1994-06-09	PRIJEM	VKLAD	34768	44806	\N	\N	\N
408620	1392	1994-07-09	PRIJEM	VKLAD	23179	49932	\N	\N	\N
408621	1392	1994-08-09	PRIJEM	VKLAD	23179	54573	\N	\N	\N
408622	1392	1994-09-09	PRIJEM	VKLAD	23179	55325	\N	\N	\N
408623	1392	1994-10-09	PRIJEM	VKLAD	23179	57381	\N	\N	\N
408624	1392	1994-11-09	PRIJEM	VKLAD	23179	59547	\N	\N	\N
408625	1392	1994-12-09	PRIJEM	VKLAD	34768	69102	\N	\N	\N
408626	1392	1995-01-09	PRIJEM	VKLAD	23179	61483	\N	\N	\N
408627	1392	1995-02-09	PRIJEM	VKLAD	23179	57257	\N	\N	\N
408628	1392	1995-03-09	PRIJEM	VKLAD	23179	58820	\N	\N	\N
408629	1392	1995-04-09	PRIJEM	VKLAD	23179	61690	\N	\N	\N
408630	1392	1995-05-09	PRIJEM	VKLAD	23179	61267	\N	\N	\N
408631	1392	1995-06-09	PRIJEM	VKLAD	34768	69223	\N	\N	\N
408632	1392	1995-07-09	PRIJEM	VKLAD	23179	58093	\N	\N	\N
408633	1392	1995-08-09	PRIJEM	VKLAD	23179	56448	\N	\N	\N
408634	1392	1995-09-09	PRIJEM	VKLAD	23179	56195	\N	\N	\N
408635	1392	1995-10-09	PRIJEM	VKLAD	23179	57142	\N	\N	\N
408636	1392	1995-11-09	PRIJEM	VKLAD	23179	54885	\N	\N	\N
408637	1392	1995-12-09	PRIJEM	VKLAD	34768	67419	\N	\N	\N
408638	1392	1996-01-09	PRIJEM	VKLAD	23179	67298	\N	\N	\N
408639	1392	1996-02-09	PRIJEM	VKLAD	23179	67085	\N	\N	\N
408640	1392	1996-03-09	PRIJEM	VKLAD	23179	62957	\N	\N	\N
408641	1392	1996-04-09	PRIJEM	VKLAD	23179	59628	\N	\N	\N
408642	1392	1996-05-09	PRIJEM	VKLAD	23179	61095	\N	\N	\N
408643	1392	1996-06-09	PRIJEM	VKLAD	34768	46150	\N	\N	\N
408644	1392	1996-07-09	PRIJEM	VKLAD	23179	55182	\N	\N	\N
408645	1392	1996-08-09	PRIJEM	VKLAD	23179	63336	\N	\N	\N
408646	1392	1996-09-09	PRIJEM	VKLAD	23179	64303	\N	\N	\N
408647	1392	1996-10-09	PRIJEM	VKLAD	23179	66815	\N	\N	\N
408648	1392	1996-11-09	PRIJEM	VKLAD	23179	72038	\N	\N	\N
408649	1392	1996-12-09	PRIJEM	VKLAD	34768	93073	\N	\N	\N
408650	1392	1997-01-09	PRIJEM	VKLAD	23179	90597	\N	\N	\N
408651	1392	1997-02-09	PRIJEM	VKLAD	23179	85935	\N	\N	\N
408652	1392	1997-03-09	PRIJEM	VKLAD	23179	91655	\N	\N	\N
408653	1392	1997-04-09	PRIJEM	VKLAD	23179	93390	\N	\N	\N
408654	1392	1997-05-09	PRIJEM	VKLAD	23179	95137	\N	\N	\N
408655	1392	1997-06-09	PRIJEM	VKLAD	34768	104977	\N	\N	\N
408656	1392	1997-07-09	PRIJEM	VKLAD	23179	86197	\N	\N	\N
408657	1392	1997-08-09	PRIJEM	VKLAD	23179	93103	\N	\N	\N
408658	1392	1997-09-09	PRIJEM	VKLAD	23179	95542	\N	\N	\N
408659	1392	1997-10-09	PRIJEM	VKLAD	23179	99389	\N	\N	\N
408660	1392	1997-11-09	PRIJEM	VKLAD	23179	107854	\N	\N	\N
408661	1392	1997-12-09	PRIJEM	VKLAD	34768	117943	\N	\N	\N
408662	1392	1998-01-09	PRIJEM	VKLAD	23179	87799	\N	\N	\N
408663	1392	1998-02-09	PRIJEM	VKLAD	23179	95586	\N	\N	\N
408664	1392	1998-03-09	PRIJEM	VKLAD	23179	103126	\N	\N	\N
408665	1392	1998-04-09	PRIJEM	VKLAD	23179	110306	\N	\N	\N
408666	1392	1998-05-09	PRIJEM	VKLAD	23179	112014	\N	\N	\N
408667	1392	1998-06-09	PRIJEM	VKLAD	34768	122015	\N	\N	\N
408668	1392	1998-07-09	PRIJEM	VKLAD	23179	96240	\N	\N	\N
408669	1392	1998-08-09	PRIJEM	VKLAD	23179	103177	\N	\N	\N
408670	1392	1998-09-09	PRIJEM	VKLAD	23179	110247	\N	\N	\N
408671	1392	1998-10-09	PRIJEM	VKLAD	23179	108943	\N	\N	\N
408672	1392	1998-11-09	PRIJEM	VKLAD	23179	108531	\N	\N	\N
408673	1392	1998-12-09	PRIJEM	VKLAD	34768	124909	\N	\N	\N
408683	1392	1993-10-07	VYDAJ	PREVOD NA UCET	3081	42180	SIPO	EF	64765941
408684	1392	1993-11-07	VYDAJ	PREVOD NA UCET	3081	37588	SIPO	EF	64765941
408685	1392	1993-12-07	VYDAJ	PREVOD NA UCET	3081	33655	SIPO	EF	64765941
408686	1392	1994-01-07	VYDAJ	PREVOD NA UCET	3081	36913	SIPO	EF	64765941
408687	1392	1994-02-07	VYDAJ	PREVOD NA UCET	3081	32489	SIPO	EF	64765941
408688	1392	1994-03-07	VYDAJ	PREVOD NA UCET	3081	36969	SIPO	EF	64765941
408689	1392	1994-04-07	VYDAJ	PREVOD NA UCET	3081	29319	SIPO	EF	64765941
408690	1392	1994-05-07	VYDAJ	PREVOD NA UCET	3081	36091	SIPO	EF	64765941
408691	1392	1994-06-07	VYDAJ	PREVOD NA UCET	3081	14254	SIPO	EF	64765941
408692	1392	1994-07-07	VYDAJ	PREVOD NA UCET	3081	30969	SIPO	EF	64765941
408693	1392	1994-08-07	VYDAJ	PREVOD NA UCET	3081	31394	SIPO	EF	64765941
408694	1392	1994-09-07	VYDAJ	PREVOD NA UCET	3081	32146	SIPO	EF	64765941
408695	1392	1994-10-07	VYDAJ	PREVOD NA UCET	3081	34202	SIPO	EF	64765941
408696	1392	1994-11-07	VYDAJ	PREVOD NA UCET	3081	40584	SIPO	EF	64765941
408697	1392	1994-12-07	VYDAJ	PREVOD NA UCET	3081	38550	SIPO	EF	64765941
408698	1392	1995-01-07	VYDAJ	PREVOD NA UCET	3081	38304	SIPO	EF	64765941
408699	1392	1995-02-07	VYDAJ	PREVOD NA UCET	3081	38294	SIPO	EF	64765941
408700	1392	1995-03-07	VYDAJ	PREVOD NA UCET	3081	35641	SIPO	EF	64765941
408701	1392	1995-04-07	VYDAJ	PREVOD NA UCET	3081	38511	SIPO	EF	64765941
408702	1392	1995-05-07	VYDAJ	PREVOD NA UCET	3081	42304	SIPO	EF	64765941
408703	1392	1995-06-07	VYDAJ	PREVOD NA UCET	3081	34455	SIPO	EF	64765941
408704	1392	1995-07-07	VYDAJ	PREVOD NA UCET	3081	39130	SIPO	EF	64765941
408705	1392	1995-08-07	VYDAJ	PREVOD NA UCET	3081	37485	SIPO	EF	64765941
408706	1392	1995-09-07	VYDAJ	PREVOD NA UCET	3081	33016	SIPO	EF	64765941
408707	1392	1995-10-07	VYDAJ	PREVOD NA UCET	3081	33963	SIPO	EF	64765941
408708	1392	1995-11-07	VYDAJ	PREVOD NA UCET	3081	31706	SIPO	EF	64765941
408709	1392	1995-12-07	VYDAJ	PREVOD NA UCET	3081	36867	SIPO	EF	64765941
408710	1392	1996-01-07	VYDAJ	PREVOD NA UCET	3081	48335	SIPO	EF	64765941
408711	1392	1996-02-07	VYDAJ	PREVOD NA UCET	3081	43906	SIPO	EF	64765941
408712	1392	1996-03-07	VYDAJ	PREVOD NA UCET	3081	39778	SIPO	EF	64765941
408713	1392	1996-04-07	VYDAJ	PREVOD NA UCET	3081	36449	SIPO	EF	64765941
408714	1392	1996-05-07	VYDAJ	PREVOD NA UCET	3081	37916	SIPO	EF	64765941
408715	1392	1996-06-07	VYDAJ	PREVOD NA UCET	3081	11382	SIPO	EF	64765941
408716	1392	1996-07-07	VYDAJ	PREVOD NA UCET	3081	32003	SIPO	EF	64765941
408717	1392	1996-08-07	VYDAJ	PREVOD NA UCET	3081	44373	SIPO	EF	64765941
408718	1392	1996-09-07	VYDAJ	PREVOD NA UCET	3081	45340	SIPO	EF	64765941
408719	1392	1996-10-07	VYDAJ	PREVOD NA UCET	3081	43636	SIPO	EF	64765941
408720	1392	1996-11-07	VYDAJ	PREVOD NA UCET	3081	53275	SIPO	EF	64765941
408721	1392	1996-12-07	VYDAJ	PREVOD NA UCET	3081	68421	SIPO	EF	64765941
408722	1392	1997-01-07	VYDAJ	PREVOD NA UCET	3081	71634	SIPO	EF	64765941
408723	1392	1997-02-07	VYDAJ	PREVOD NA UCET	3081	62756	SIPO	EF	64765941
408724	1392	1997-03-07	VYDAJ	PREVOD NA UCET	3081	78976	SIPO	EF	64765941
408725	1392	1997-04-07	VYDAJ	PREVOD NA UCET	3081	83111	SIPO	EF	64765941
408726	1392	1997-05-07	VYDAJ	PREVOD NA UCET	3081	85058	SIPO	EF	64765941
408727	1392	1997-06-07	VYDAJ	PREVOD NA UCET	3081	74425	SIPO	EF	64765941
408728	1392	1997-07-07	VYDAJ	PREVOD NA UCET	3081	67234	SIPO	EF	64765941
408729	1392	1997-08-07	VYDAJ	PREVOD NA UCET	3081	69924	SIPO	EF	64765941
408730	1392	1997-09-07	VYDAJ	PREVOD NA UCET	3081	72363	SIPO	EF	64765941
408731	1392	1997-10-07	VYDAJ	PREVOD NA UCET	3081	76210	SIPO	EF	64765941
408732	1392	1997-11-07	VYDAJ	PREVOD NA UCET	3081	88891	SIPO	EF	64765941
408733	1392	1997-12-07	VYDAJ	PREVOD NA UCET	3081	83175	SIPO	EF	64765941
408734	1392	1998-01-07	VYDAJ	PREVOD NA UCET	3081	64620	SIPO	EF	64765941
408735	1392	1998-02-07	VYDAJ	PREVOD NA UCET	3081	76623	SIPO	EF	64765941
408736	1392	1998-03-07	VYDAJ	PREVOD NA UCET	3081	84163	SIPO	EF	64765941
408737	1392	1998-04-07	VYDAJ	PREVOD NA UCET	3081	91343	SIPO	EF	64765941
408738	1392	1998-05-07	VYDAJ	PREVOD NA UCET	3081	88835	SIPO	EF	64765941
408739	1392	1998-06-07	VYDAJ	PREVOD NA UCET	3081	91463	SIPO	EF	64765941
408740	1392	1998-07-07	VYDAJ	PREVOD NA UCET	3081	77277	SIPO	EF	64765941
408741	1392	1998-08-07	VYDAJ	PREVOD NA UCET	3081	84214	SIPO	EF	64765941
408742	1392	1998-09-07	VYDAJ	PREVOD NA UCET	3081	91284	SIPO	EF	64765941
408743	1392	1998-10-07	VYDAJ	PREVOD NA UCET	3081	89980	SIPO	EF	64765941
408744	1392	1998-11-07	VYDAJ	PREVOD NA UCET	3081	89568	SIPO	EF	64765941
408745	1392	1998-12-07	VYDAJ	PREVOD NA UCET	3081	94357	SIPO	EF	64765941
408755	1392	1993-10-07	VYDAJ	PREVOD NA UCET	4216	45261	 	ST	15265077
408756	1392	1993-11-07	VYDAJ	PREVOD NA UCET	4216	33372	 	ST	15265077
408757	1392	1993-12-07	VYDAJ	PREVOD NA UCET	4216	29439	 	ST	15265077
408758	1392	1994-01-07	VYDAJ	PREVOD NA UCET	4216	39994	 	ST	15265077
408759	1392	1994-02-07	VYDAJ	PREVOD NA UCET	4216	35570	 	ST	15265077
408760	1392	1994-03-07	VYDAJ	PREVOD NA UCET	4216	32753	 	ST	15265077
408761	1392	1994-04-07	VYDAJ	PREVOD NA UCET	4216	32400	 	ST	15265077
408762	1392	1994-05-07	VYDAJ	PREVOD NA UCET	4216	31875	 	ST	15265077
408763	1392	1994-06-07	VYDAJ	PREVOD NA UCET	4216	10038	 	ST	15265077
408764	1392	1994-07-07	VYDAJ	PREVOD NA UCET	4216	26753	 	ST	15265077
408765	1392	1994-08-07	VYDAJ	PREVOD NA UCET	4216	34475	 	ST	15265077
408766	1392	1994-09-07	VYDAJ	PREVOD NA UCET	4216	35227	 	ST	15265077
408767	1392	1994-10-07	VYDAJ	PREVOD NA UCET	4216	37283	 	ST	15265077
408768	1392	1994-11-07	VYDAJ	PREVOD NA UCET	4216	36368	 	ST	15265077
408769	1392	1994-12-07	VYDAJ	PREVOD NA UCET	4216	34334	 	ST	15265077
408770	1392	1995-01-07	VYDAJ	PREVOD NA UCET	4216	41385	 	ST	15265077
408771	1392	1995-02-07	VYDAJ	PREVOD NA UCET	4216	34078	 	ST	15265077
408772	1392	1995-03-07	VYDAJ	PREVOD NA UCET	4216	38722	 	ST	15265077
408773	1392	1995-04-07	VYDAJ	PREVOD NA UCET	4216	41592	 	ST	15265077
408774	1392	1995-05-07	VYDAJ	PREVOD NA UCET	4216	38088	 	ST	15265077
408775	1392	1995-06-07	VYDAJ	PREVOD NA UCET	4216	37536	 	ST	15265077
408776	1392	1995-07-07	VYDAJ	PREVOD NA UCET	4216	34914	 	ST	15265077
408777	1392	1995-08-07	VYDAJ	PREVOD NA UCET	4216	33269	 	ST	15265077
408778	1392	1995-09-07	VYDAJ	PREVOD NA UCET	4216	36097	 	ST	15265077
408779	1392	1995-10-07	VYDAJ	PREVOD NA UCET	4216	37044	 	ST	15265077
408780	1392	1995-11-07	VYDAJ	PREVOD NA UCET	4216	34787	 	ST	15265077
408781	1392	1995-12-07	VYDAJ	PREVOD NA UCET	4216	32651	 	ST	15265077
408782	1392	1996-01-07	VYDAJ	PREVOD NA UCET	4216	44119	 	ST	15265077
408783	1392	1996-02-07	VYDAJ	PREVOD NA UCET	4216	46987	 	ST	15265077
408784	1392	1996-03-07	VYDAJ	PREVOD NA UCET	4216	42859	 	ST	15265077
408785	1392	1996-04-07	VYDAJ	PREVOD NA UCET	4216	39530	 	ST	15265077
408786	1392	1996-05-07	VYDAJ	PREVOD NA UCET	4216	40997	 	ST	15265077
408787	1392	1996-06-07	VYDAJ	PREVOD NA UCET	4216	14463	 	ST	15265077
408788	1392	1996-07-07	VYDAJ	PREVOD NA UCET	4216	35084	 	ST	15265077
408789	1392	1996-08-07	VYDAJ	PREVOD NA UCET	4216	40157	 	ST	15265077
408790	1392	1996-09-07	VYDAJ	PREVOD NA UCET	4216	41124	 	ST	15265077
408791	1392	1996-10-07	VYDAJ	PREVOD NA UCET	4216	46717	 	ST	15265077
408792	1392	1996-11-07	VYDAJ	PREVOD NA UCET	4216	49059	 	ST	15265077
408793	1392	1996-12-07	VYDAJ	PREVOD NA UCET	4216	64205	 	ST	15265077
408794	1392	1997-01-07	VYDAJ	PREVOD NA UCET	4216	67418	 	ST	15265077
408795	1392	1997-02-07	VYDAJ	PREVOD NA UCET	4216	65837	 	ST	15265077
408796	1392	1997-03-07	VYDAJ	PREVOD NA UCET	4216	82057	 	ST	15265077
408797	1392	1997-04-07	VYDAJ	PREVOD NA UCET	4216	86192	 	ST	15265077
408798	1392	1997-05-07	VYDAJ	PREVOD NA UCET	4216	88139	 	ST	15265077
408799	1392	1997-06-07	VYDAJ	PREVOD NA UCET	4216	70209	 	ST	15265077
408800	1392	1997-07-07	VYDAJ	PREVOD NA UCET	4216	63018	 	ST	15265077
408801	1392	1997-08-07	VYDAJ	PREVOD NA UCET	4216	73005	 	ST	15265077
408802	1392	1997-09-07	VYDAJ	PREVOD NA UCET	4216	75444	 	ST	15265077
408803	1392	1997-10-07	VYDAJ	PREVOD NA UCET	4216	79291	 	ST	15265077
408804	1392	1997-11-07	VYDAJ	PREVOD NA UCET	4216	84675	 	ST	15265077
408805	1392	1997-12-07	VYDAJ	PREVOD NA UCET	4216	86256	 	ST	15265077
408806	1392	1998-01-07	VYDAJ	PREVOD NA UCET	4216	67701	 	ST	15265077
408807	1392	1998-02-07	VYDAJ	PREVOD NA UCET	4216	72407	 	ST	15265077
408808	1392	1998-03-07	VYDAJ	PREVOD NA UCET	4216	79947	 	ST	15265077
408809	1392	1998-04-07	VYDAJ	PREVOD NA UCET	4216	87127	 	ST	15265077
408810	1392	1998-05-07	VYDAJ	PREVOD NA UCET	4216	91916	 	ST	15265077
408811	1392	1998-06-07	VYDAJ	PREVOD NA UCET	4216	87247	 	ST	15265077
408812	1392	1998-07-07	VYDAJ	PREVOD NA UCET	4216	73061	 	ST	15265077
408813	1392	1998-08-07	VYDAJ	PREVOD NA UCET	4216	79998	 	ST	15265077
408814	1392	1998-09-07	VYDAJ	PREVOD NA UCET	4216	87068	 	ST	15265077
408815	1392	1998-10-07	VYDAJ	PREVOD NA UCET	4216	85764	 	ST	15265077
408816	1392	1998-11-07	VYDAJ	PREVOD NA UCET	4216	85352	 	ST	15265077
408817	1392	1998-12-07	VYDAJ	PREVOD NA UCET	4216	90141	 	ST	15265077
408819	1392	1994-06-04	VYDAJ	VYBER	25200	17335	\N	\N	\N
408820	1392	1995-06-18	VYDAJ	VYBER	6500	42023	\N	\N	\N
408821	1392	1996-06-03	VYDAJ	VYBER	29800	18679	\N	\N	\N
408822	1392	1997-06-09	VYDAJ	VYBER	27600	77377	\N	\N	\N
408823	1392	1998-06-24	VYDAJ	VYBER	3800	78915	\N	\N	\N
408824	1392	1993-12-06	VYDAJ	VYBER	2100	36736	\N	\N	\N
408825	1392	1994-12-25	VYDAJ	VYBER	600	45402	\N	\N	\N
408826	1392	1995-12-02	VYDAJ	VYBER	2200	39948	\N	\N	\N
408827	1392	1996-12-22	VYDAJ	VYBER	2100	90973	\N	\N	\N
408828	1392	1997-12-09	VYDAJ	VYBER	900	61543	\N	\N	\N
408829	1392	1998-12-19	VYDAJ	VYBER	1000	64609	\N	\N	\N
408830	1392	1993-10-14	VYDAJ	VYBER	4200	56659	\N	\N	\N
408831	1392	1993-10-25	VYDAJ	VYBER	3200	53459	\N	\N	\N
408832	1392	1993-10-10	VYDAJ	VYBER	4500	60859	\N	\N	\N
408835	1392	1994-04-06	VYDAJ	VYBER	600	36616	\N	\N	\N
408836	1392	1994-12-12	VYDAJ	VYBER	2500	66602	\N	\N	\N
408837	1392	1994-06-14	VYDAJ	VYBER	600	44206	\N	\N	\N
408838	1392	1994-02-06	VYDAJ	VYBER	1400	39786	\N	\N	\N
408839	1392	1994-04-06	VYDAJ	VYBER	4900	37216	\N	\N	\N
408840	1392	1994-08-19	VYDAJ	VYBER	2200	52373	\N	\N	\N
408841	1392	1994-06-15	VYDAJ	VYBER	2400	41806	\N	\N	\N
408842	1392	1995-02-04	VYDAJ	VYBER	4000	41375	\N	\N	\N
408843	1392	1995-05-20	VYDAJ	VYBER	4200	41567	\N	\N	\N
408844	1392	1995-05-13	VYDAJ	VYBER	3300	57967	\N	\N	\N
408845	1392	1995-05-02	VYDAJ	VYBER	1100	45385	\N	\N	\N
408846	1392	1995-10-10	VYDAJ	VYBER	2900	54242	\N	\N	\N
408847	1392	1995-08-11	VYDAJ	VYBER	2000	54448	\N	\N	\N
408848	1392	1996-02-10	VYDAJ	VYBER	2100	64985	\N	\N	\N
408849	1392	1996-04-25	VYDAJ	VYBER	3900	45028	\N	\N	\N
408850	1392	1996-12-05	VYDAJ	VYBER	800	71502	\N	\N	\N
408851	1392	1996-04-02	VYDAJ	VYBER	4700	43746	\N	\N	\N
408852	1392	1997-09-17	VYDAJ	VYBER	3600	91942	\N	\N	\N
408853	1392	1997-12-03	VYDAJ	VYBER	1600	90472	\N	\N	\N
408854	1392	1997-04-24	VYDAJ	VYBER	1400	91990	\N	\N	\N
408855	1392	1997-03-23	VYDAJ	VYBER	1600	90055	\N	\N	\N
408856	1392	1997-06-16	VYDAJ	VYBER	3700	73677	\N	\N	\N
408857	1392	1998-01-20	VYDAJ	VYBER	3400	79999	\N	\N	\N
408858	1392	1998-07-28	VYDAJ	VYBER	4900	89640	\N	\N	\N
408859	1392	1998-01-20	VYDAJ	VYBER	3300	83399	\N	\N	\N
408860	1392	1998-05-18	VYDAJ	VYBER	4700	107314	\N	\N	\N
408861	1392	1998-07-23	VYDAJ	VYBER	1700	94540	\N	\N	\N
408862	1392	1998-12-17	VYDAJ	VYBER	2300	65609	\N	\N	\N
408863	1392	1998-01-10	VYDAJ	VYBER	1100	86699	\N	\N	\N
408864	1392	1998-03-26	VYDAJ	VYBER	700	102426	\N	\N	\N
408874	1392	1993-09-30	VYDAJ	VYBER	15	49477	SLUZBY	\N	\N
408875	1392	1993-10-31	VYDAJ	VYBER	15	40669	SLUZBY	\N	\N
408876	1392	1993-11-30	VYDAJ	VYBER	15	38836	SLUZBY	\N	\N
408877	1392	1993-12-31	VYDAJ	VYBER	15	44210	SLUZBY	\N	\N
408878	1392	1994-01-31	VYDAJ	VYBER	15	41186	SLUZBY	\N	\N
408879	1392	1994-02-28	VYDAJ	VYBER	15	40050	SLUZBY	\N	\N
408880	1392	1994-03-31	VYDAJ	VYBER	15	42116	SLUZBY	\N	\N
408881	1392	1994-04-30	VYDAJ	VYBER	15	39172	SLUZBY	\N	\N
408882	1392	1994-05-31	VYDAJ	VYBER	15	42535	SLUZBY	\N	\N
408883	1392	1994-06-30	VYDAJ	VYBER	15	34050	SLUZBY	\N	\N
408884	1392	1994-07-31	VYDAJ	VYBER	15	38691	SLUZBY	\N	\N
408885	1392	1994-08-31	VYDAJ	VYBER	15	39443	SLUZBY	\N	\N
408886	1392	1994-09-30	VYDAJ	VYBER	15	41499	SLUZBY	\N	\N
408887	1392	1994-10-31	VYDAJ	VYBER	15	43665	SLUZBY	\N	\N
408888	1392	1994-11-30	VYDAJ	VYBER	15	41631	SLUZBY	\N	\N
408889	1392	1994-12-31	VYDAJ	VYBER	15	45601	SLUZBY	\N	\N
408890	1392	1995-01-31	VYDAJ	VYBER	15	45375	SLUZBY	\N	\N
408891	1392	1995-02-28	VYDAJ	VYBER	15	42938	SLUZBY	\N	\N
408892	1392	1995-03-31	VYDAJ	VYBER	15	45808	SLUZBY	\N	\N
408893	1392	1995-04-30	VYDAJ	VYBER	15	46485	SLUZBY	\N	\N
408894	1392	1995-05-31	VYDAJ	VYBER	15	41752	SLUZBY	\N	\N
408895	1392	1995-06-30	VYDAJ	VYBER	15	42211	SLUZBY	\N	\N
408896	1392	1995-07-31	VYDAJ	VYBER	15	40566	SLUZBY	\N	\N
408897	1392	1995-08-31	VYDAJ	VYBER	15	40313	SLUZBY	\N	\N
408898	1392	1995-09-30	VYDAJ	VYBER	15	41260	SLUZBY	\N	\N
408899	1392	1995-10-31	VYDAJ	VYBER	15	39003	SLUZBY	\N	\N
408900	1392	1995-11-30	VYDAJ	VYBER	15	42148	SLUZBY	\N	\N
408901	1392	1995-12-31	VYDAJ	VYBER	15	51416	SLUZBY	\N	\N
408902	1392	1996-01-31	VYDAJ	VYBER	15	51203	SLUZBY	\N	\N
408903	1392	1996-02-29	VYDAJ	VYBER	15	47075	SLUZBY	\N	\N
408904	1392	1996-03-31	VYDAJ	VYBER	15	48446	SLUZBY	\N	\N
408905	1392	1996-04-30	VYDAJ	VYBER	15	45213	SLUZBY	\N	\N
408906	1392	1996-05-31	VYDAJ	VYBER	15	48479	SLUZBY	\N	\N
408907	1392	1996-06-30	VYDAJ	VYBER	15	39300	SLUZBY	\N	\N
408908	1392	1996-07-31	VYDAJ	VYBER	15	47454	SLUZBY	\N	\N
408909	1392	1996-08-31	VYDAJ	VYBER	15	48421	SLUZBY	\N	\N
408910	1392	1996-09-30	VYDAJ	VYBER	15	50933	SLUZBY	\N	\N
408911	1392	1996-10-31	VYDAJ	VYBER	15	56356	SLUZBY	\N	\N
408912	1392	1996-11-30	VYDAJ	VYBER	15	72302	SLUZBY	\N	\N
408913	1392	1996-12-31	VYDAJ	VYBER	15	91315	SLUZBY	\N	\N
408914	1392	1997-01-31	VYDAJ	VYBER	15	90953	SLUZBY	\N	\N
408915	1392	1997-02-28	VYDAJ	VYBER	15	86273	SLUZBY	\N	\N
408916	1392	1997-03-31	VYDAJ	VYBER	15	90408	SLUZBY	\N	\N
408917	1392	1997-04-30	VYDAJ	VYBER	15	92355	SLUZBY	\N	\N
408918	1392	1997-05-31	VYDAJ	VYBER	15	95506	SLUZBY	\N	\N
408919	1392	1997-06-30	VYDAJ	VYBER	15	74015	SLUZBY	\N	\N
408920	1392	1997-07-31	VYDAJ	VYBER	15	86521	SLUZBY	\N	\N
408921	1392	1997-08-31	VYDAJ	VYBER	15	93460	SLUZBY	\N	\N
408922	1392	1997-09-30	VYDAJ	VYBER	15	92307	SLUZBY	\N	\N
408923	1392	1997-10-31	VYDAJ	VYBER	15	99772	SLUZBY	\N	\N
408924	1392	1997-11-30	VYDAJ	VYBER	15	108272	SLUZBY	\N	\N
408925	1392	1997-12-31	VYDAJ	VYBER	15	61817	SLUZBY	\N	\N
408926	1392	1998-01-31	VYDAJ	VYBER	15	80304	SLUZBY	\N	\N
408927	1392	1998-02-28	VYDAJ	VYBER	15	95944	SLUZBY	\N	\N
408928	1392	1998-03-31	VYDAJ	VYBER	15	102824	SLUZBY	\N	\N
408929	1392	1998-04-30	VYDAJ	VYBER	15	110732	SLUZBY	\N	\N
408930	1392	1998-05-31	VYDAJ	VYBER	15	107744	SLUZBY	\N	\N
408931	1392	1998-06-30	VYDAJ	VYBER	15	79258	SLUZBY	\N	\N
408932	1392	1998-07-31	VYDAJ	VYBER	15	87295	SLUZBY	\N	\N
408933	1392	1998-08-31	VYDAJ	VYBER	15	94365	SLUZBY	\N	\N
408934	1392	1998-09-30	VYDAJ	VYBER	15	93061	SLUZBY	\N	\N
408935	1392	1998-10-31	VYDAJ	VYBER	15	92649	SLUZBY	\N	\N
408936	1392	1998-11-30	VYDAJ	VYBER	15	97438	SLUZBY	\N	\N
408937	1392	1993-05-28	PRIJEM	VKLAD	1900	25779	\N	\N	\N
408938	1392	1993-06-27	VYDAJ	VYBER	16100	44461	\N	\N	\N
408939	1392	1993-07-27	VYDAJ	VYBER	20700	47058	\N	\N	\N
408940	1392	1993-08-26	VYDAJ	VYBER	24700	45724	\N	\N	\N
408941	1392	1993-09-25	VYDAJ	VYBER	19800	49298	\N	\N	\N
408942	1392	1993-10-25	VYDAJ	VYBER	13000	40459	\N	\N	\N
408943	1392	1993-11-24	VYDAJ	VYBER	17900	38651	\N	\N	\N
408944	1392	1993-12-24	VYDAJ	VYBER	20200	44007	\N	\N	\N
408945	1392	1994-01-23	VYDAJ	VYBER	19100	40992	\N	\N	\N
408946	1392	1994-02-22	VYDAJ	VYBER	15800	39868	\N	\N	\N
408947	1392	1994-03-24	VYDAJ	VYBER	14000	41932	\N	\N	\N
408948	1392	1994-04-23	VYDAJ	VYBER	13500	38998	\N	\N	\N
408949	1392	1994-05-23	VYDAJ	VYBER	12700	42354	\N	\N	\N
408950	1392	1994-06-22	VYDAJ	VYBER	7900	33906	\N	\N	\N
408951	1392	1994-07-22	VYDAJ	VYBER	11400	38532	\N	\N	\N
408952	1392	1994-08-21	VYDAJ	VYBER	13100	39273	\N	\N	\N
408953	1392	1994-09-20	VYDAJ	VYBER	14000	41325	\N	\N	\N
408954	1392	1994-10-20	VYDAJ	VYBER	13900	43481	\N	\N	\N
408955	1392	1994-11-19	VYDAJ	VYBER	18100	41447	\N	\N	\N
408956	1392	1994-12-19	VYDAJ	VYBER	20600	46002	\N	\N	\N
408957	1392	1995-01-18	VYDAJ	VYBER	16300	45183	\N	\N	\N
408958	1392	1995-02-17	VYDAJ	VYBER	14500	42757	\N	\N	\N
408959	1392	1995-03-19	VYDAJ	VYBER	13200	45620	\N	\N	\N
408960	1392	1995-04-18	VYDAJ	VYBER	15400	46290	\N	\N	\N
408961	1392	1995-05-18	VYDAJ	VYBER	12200	45767	\N	\N	\N
408962	1392	1995-06-17	VYDAJ	VYBER	20700	48523	\N	\N	\N
408963	1392	1995-07-17	VYDAJ	VYBER	17700	40393	\N	\N	\N
408964	1392	1995-08-16	VYDAJ	VYBER	14300	40148	\N	\N	\N
408965	1392	1995-09-15	VYDAJ	VYBER	15100	41095	\N	\N	\N
408966	1392	1995-10-15	VYDAJ	VYBER	15400	38842	\N	\N	\N
408967	1392	1995-11-14	VYDAJ	VYBER	12900	41985	\N	\N	\N
408968	1392	1995-12-14	VYDAJ	VYBER	16200	51219	\N	\N	\N
408969	1392	1996-01-13	VYDAJ	VYBER	16300	50998	\N	\N	\N
408970	1392	1996-02-12	VYDAJ	VYBER	18100	46885	\N	\N	\N
408971	1392	1996-03-13	VYDAJ	VYBER	14700	48257	\N	\N	\N
408972	1392	1996-04-12	VYDAJ	VYBER	10700	48928	\N	\N	\N
408973	1392	1996-05-12	VYDAJ	VYBER	12800	48295	\N	\N	\N
408974	1392	1996-06-11	VYDAJ	VYBER	7000	39150	\N	\N	\N
408975	1392	1996-07-11	VYDAJ	VYBER	7900	47282	\N	\N	\N
408976	1392	1996-08-10	VYDAJ	VYBER	15100	48236	\N	\N	\N
408977	1392	1996-09-09	VYDAJ	VYBER	13600	50703	\N	\N	\N
408978	1392	1996-10-09	VYDAJ	VYBER	10700	56115	\N	\N	\N
408979	1392	1996-11-08	VYDAJ	VYBER	200	48859	\N	\N	\N
408980	1392	1996-12-08	VYDAJ	VYBER	5900	58305	\N	\N	\N
408981	1392	1997-01-07	VYDAJ	VYBER	16600	74715	\N	\N	\N
408982	1392	1997-02-06	VYDAJ	VYBER	20900	70053	\N	\N	\N
408983	1392	1997-03-08	VYDAJ	VYBER	10500	68476	\N	\N	\N
408984	1392	1997-04-07	VYDAJ	VYBER	12900	70211	\N	\N	\N
408985	1392	1997-05-07	VYDAJ	VYBER	13100	71958	\N	\N	\N
408986	1392	1997-06-06	VYDAJ	VYBER	18000	77506	\N	\N	\N
408987	1392	1997-07-06	VYDAJ	VYBER	3700	70315	\N	\N	\N
408988	1392	1997-08-05	VYDAJ	VYBER	9300	77221	\N	\N	\N
408989	1392	1997-09-04	VYDAJ	VYBER	13800	79660	\N	\N	\N
408990	1392	1997-10-04	VYDAJ	VYBER	8800	83507	\N	\N	\N
408991	1392	1997-11-03	VYDAJ	VYBER	7800	91972	\N	\N	\N
408992	1392	1997-12-03	VYDAJ	VYBER	16200	92072	\N	\N	\N
408993	1392	1997-12-09	VYDAJ	VYBER	55500	62443	\N	\N	\N
408994	1392	1998-01-02	PRIJEM	VKLAD	10100	71917	\N	\N	\N
408995	1392	1998-02-01	VYDAJ	VYBER	600	79704	\N	\N	\N
408996	1392	1998-03-03	VYDAJ	VYBER	8700	87244	\N	\N	\N
408997	1392	1998-04-02	VYDAJ	VYBER	8400	94424	\N	\N	\N
408998	1392	1998-05-02	VYDAJ	VYBER	14600	96132	\N	\N	\N
408999	1392	1998-06-01	VYDAJ	VYBER	13200	94544	\N	\N	\N
409000	1392	1998-06-09	VYDAJ	VYBER	39300	82715	\N	\N	\N
409001	1392	1998-07-01	PRIJEM	VKLAD	1100	80358	\N	\N	\N
409002	1392	1998-07-31	VYDAJ	VYBER	2700	87310	\N	\N	\N
409003	1392	1998-08-30	VYDAJ	VYBER	9200	93977	\N	\N	\N
409004	1392	1998-09-29	VYDAJ	VYBER	17600	92647	\N	\N	\N
409005	1392	1998-10-29	VYDAJ	VYBER	16700	92243	\N	\N	\N
409006	1392	1998-11-28	VYDAJ	VYBER	11500	97031	\N	\N	\N
409007	1392	1998-12-09	VYDAJ	VYBER	57000	67909	\N	\N	\N
409076	1393	1996-11-24	PRIJEM	VKLAD	600	600	\N	\N	\N
409088	1393	1996-12-14	PRIJEM	VKLAD	11822	12422	\N	\N	\N
409089	1393	1997-01-14	PRIJEM	VKLAD	7881	24320	\N	\N	\N
409090	1393	1997-02-14	PRIJEM	VKLAD	7881	32179	\N	\N	\N
409091	1393	1997-03-14	PRIJEM	VKLAD	7881	36966	\N	\N	\N
409092	1393	1997-04-14	PRIJEM	VKLAD	7881	37568	\N	\N	\N
409093	1393	1997-05-14	PRIJEM	VKLAD	7881	29724	\N	\N	\N
409094	1393	1997-06-14	PRIJEM	VKLAD	11822	32990	\N	\N	\N
409095	1393	1997-07-14	PRIJEM	VKLAD	7881	34826	\N	\N	\N
409096	1393	1997-08-14	PRIJEM	VKLAD	7881	32573	\N	\N	\N
409097	1393	1997-09-14	PRIJEM	VKLAD	7881	32111	\N	\N	\N
409098	1393	1997-10-14	PRIJEM	VKLAD	7881	38058	\N	\N	\N
409099	1393	1997-11-14	PRIJEM	VKLAD	7881	37627	\N	\N	\N
409100	1393	1997-12-14	PRIJEM	VKLAD	11822	47320	\N	\N	\N
409101	1393	1998-01-14	PRIJEM	VKLAD	7881	44605	\N	\N	\N
409102	1393	1998-02-14	PRIJEM	VKLAD	7881	45595	\N	\N	\N
409103	1393	1998-03-14	PRIJEM	VKLAD	7881	45688	\N	\N	\N
409104	1393	1998-04-14	PRIJEM	VKLAD	7881	45781	\N	\N	\N
409105	1393	1998-05-14	PRIJEM	VKLAD	7881	45116	\N	\N	\N
409106	1393	1998-06-14	PRIJEM	VKLAD	11822	49045	\N	\N	\N
409107	1393	1998-07-14	PRIJEM	VKLAD	7881	29126	\N	\N	\N
409108	1393	1998-08-14	PRIJEM	VKLAD	7881	33256	\N	\N	\N
409109	1393	1998-09-14	PRIJEM	VKLAD	7881	39209	\N	\N	\N
409110	1393	1998-10-14	PRIJEM	VKLAD	7881	36968	\N	\N	\N
409111	1393	1998-11-14	PRIJEM	VKLAD	7881	33115	\N	\N	\N
409112	1393	1998-12-14	PRIJEM	VKLAD	11822	36893	\N	\N	\N
409129	1393	1997-05-07	VYDAJ	PREVOD NA UCET	5254	24123	SIPO	IJ	81478815
409130	1393	1997-06-07	VYDAJ	PREVOD NA UCET	5254	21168	SIPO	IJ	81478815
409131	1393	1997-07-07	VYDAJ	PREVOD NA UCET	5254	26945	SIPO	IJ	81478815
409132	1393	1997-08-07	VYDAJ	PREVOD NA UCET	5254	24692	SIPO	IJ	81478815
409133	1393	1997-09-07	VYDAJ	PREVOD NA UCET	5254	24230	SIPO	IJ	81478815
409134	1393	1997-10-07	VYDAJ	PREVOD NA UCET	5254	30177	SIPO	IJ	81478815
409135	1393	1997-11-07	VYDAJ	PREVOD NA UCET	5254	34546	SIPO	IJ	81478815
409136	1393	1997-12-07	VYDAJ	PREVOD NA UCET	5254	36618	SIPO	IJ	81478815
409137	1393	1998-01-07	VYDAJ	PREVOD NA UCET	5254	36724	SIPO	IJ	81478815
409138	1393	1998-02-07	VYDAJ	PREVOD NA UCET	5254	37714	SIPO	IJ	81478815
409139	1393	1998-03-07	VYDAJ	PREVOD NA UCET	5254	37807	SIPO	IJ	81478815
409140	1393	1998-04-07	VYDAJ	PREVOD NA UCET	5254	37900	SIPO	IJ	81478815
409141	1393	1998-05-07	VYDAJ	PREVOD NA UCET	5254	38795	SIPO	IJ	81478815
409142	1393	1998-06-07	VYDAJ	PREVOD NA UCET	5254	37223	SIPO	IJ	81478815
409143	1393	1998-07-07	VYDAJ	PREVOD NA UCET	5254	21245	SIPO	IJ	81478815
409144	1393	1998-08-07	VYDAJ	PREVOD NA UCET	5254	25375	SIPO	IJ	81478815
409145	1393	1998-09-07	VYDAJ	PREVOD NA UCET	5254	31328	SIPO	IJ	81478815
409146	1393	1998-10-07	VYDAJ	PREVOD NA UCET	5254	29087	SIPO	IJ	81478815
409147	1393	1998-11-07	VYDAJ	PREVOD NA UCET	5254	25234	SIPO	IJ	81478815
409148	1393	1998-12-07	VYDAJ	PREVOD NA UCET	5254	25072	SIPO	IJ	81478815
409151	1393	1998-06-15	VYDAJ	VYBER	23840	25205	\N	\N	\N
409153	1393	1997-12-08	VYDAJ	VYBER	1120	35498	\N	\N	\N
409154	1393	1998-12-23	VYDAJ	VYBER	3680	32013	\N	\N	\N
409161	1393	1997-05-08	VYDAJ	VYBER	2280	21843	\N	\N	\N
409162	1393	1997-11-09	VYDAJ	VYBER	4800	29746	\N	\N	\N
409164	1393	1998-07-01	VYDAJ	VYBER	3840	26499	\N	\N	\N
409165	1393	1998-05-09	VYDAJ	VYBER	1560	37235	\N	\N	\N
409182	1393	1997-04-30	VYDAJ	VYBER	15	29377	SLUZBY	\N	\N
409183	1393	1997-05-31	VYDAJ	VYBER	15	26422	SLUZBY	\N	\N
409184	1393	1997-06-30	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
409185	1393	1997-07-31	VYDAJ	VYBER	15	29946	SLUZBY	\N	\N
409186	1393	1997-08-31	VYDAJ	VYBER	15	29484	SLUZBY	\N	\N
409187	1393	1997-09-30	VYDAJ	VYBER	15	35431	SLUZBY	\N	\N
409188	1393	1997-10-31	VYDAJ	VYBER	15	39800	SLUZBY	\N	\N
409189	1393	1997-11-30	VYDAJ	VYBER	15	41872	SLUZBY	\N	\N
409190	1393	1997-12-31	VYDAJ	VYBER	15	41978	SLUZBY	\N	\N
409191	1393	1998-01-31	VYDAJ	VYBER	15	42968	SLUZBY	\N	\N
409192	1393	1998-02-28	VYDAJ	VYBER	15	43061	SLUZBY	\N	\N
409193	1393	1998-03-31	VYDAJ	VYBER	15	43154	SLUZBY	\N	\N
409194	1393	1998-04-30	VYDAJ	VYBER	15	44049	SLUZBY	\N	\N
409195	1393	1998-05-31	VYDAJ	VYBER	15	42477	SLUZBY	\N	\N
409196	1393	1998-06-30	VYDAJ	VYBER	15	30339	SLUZBY	\N	\N
409197	1393	1998-07-31	VYDAJ	VYBER	15	30629	SLUZBY	\N	\N
409198	1393	1998-08-31	VYDAJ	VYBER	15	36582	SLUZBY	\N	\N
409199	1393	1998-09-30	VYDAJ	VYBER	15	34341	SLUZBY	\N	\N
409200	1393	1998-10-31	VYDAJ	VYBER	15	30488	SLUZBY	\N	\N
409201	1393	1998-11-30	VYDAJ	VYBER	15	30326	SLUZBY	\N	\N
409202	1393	1996-12-24	PRIJEM	VKLAD	4000	16422	\N	\N	\N
409203	1393	1997-01-23	VYDAJ	VYBER	100	24220	\N	\N	\N
409204	1393	1997-02-22	VYDAJ	VYBER	3200	28979	\N	\N	\N
409205	1393	1997-03-24	VYDAJ	VYBER	7400	29566	\N	\N	\N
409206	1393	1997-04-23	VYDAJ	VYBER	8300	29268	\N	\N	\N
409207	1393	1997-05-23	VYDAJ	VYBER	3400	26324	\N	\N	\N
409208	1393	1997-06-22	VYDAJ	VYBER	900	32090	\N	\N	\N
409209	1393	1997-07-22	VYDAJ	VYBER	5000	29826	\N	\N	\N
409210	1393	1997-08-21	VYDAJ	VYBER	3200	29373	\N	\N	\N
409211	1393	1997-09-20	PRIJEM	VKLAD	3200	35311	\N	\N	\N
409212	1393	1997-10-20	PRIJEM	VKLAD	1600	39658	\N	\N	\N
409213	1393	1997-11-19	PRIJEM	VKLAD	4100	41727	\N	\N	\N
409214	1393	1997-12-19	VYDAJ	VYBER	5500	41820	\N	\N	\N
409215	1393	1998-01-18	VYDAJ	VYBER	1800	42805	\N	\N	\N
409216	1393	1998-02-17	VYDAJ	VYBER	2700	42895	\N	\N	\N
409217	1393	1998-03-19	VYDAJ	VYBER	2700	42988	\N	\N	\N
409218	1393	1998-04-18	VYDAJ	VYBER	1900	43881	\N	\N	\N
409219	1393	1998-05-18	VYDAJ	VYBER	2800	42316	\N	\N	\N
409220	1393	1998-06-17	PRIJEM	VKLAD	5000	30205	\N	\N	\N
409221	1393	1998-07-17	PRIJEM	VKLAD	1400	30526	\N	\N	\N
409222	1393	1998-08-16	PRIJEM	VKLAD	3200	36456	\N	\N	\N
409223	1393	1998-09-15	VYDAJ	VYBER	5000	34209	\N	\N	\N
409224	1393	1998-10-15	VYDAJ	VYBER	6600	30368	\N	\N	\N
409225	1393	1998-11-14	VYDAJ	VYBER	2900	30215	\N	\N	\N
409226	1393	1998-12-14	VYDAJ	VYBER	1200	35693	\N	\N	\N
409252	1394	1994-12-27	PRIJEM	VKLAD	600	600	\N	\N	\N
409265	1394	1995-01-12	PRIJEM	PREVOD Z UCTU	6341	6941	DUCHOD	YZ	51111900
409266	1394	1995-02-12	PRIJEM	PREVOD Z UCTU	6341	13282	DUCHOD	YZ	51111900
409267	1394	1995-03-12	PRIJEM	PREVOD Z UCTU	6341	19623	DUCHOD	YZ	51111900
409268	1394	1995-04-12	PRIJEM	PREVOD Z UCTU	6341	25964	DUCHOD	YZ	51111900
409269	1394	1995-05-12	PRIJEM	PREVOD Z UCTU	6341	32305	DUCHOD	YZ	51111900
409270	1394	1995-06-12	PRIJEM	PREVOD Z UCTU	6341	33642	DUCHOD	YZ	51111900
409271	1394	1995-07-12	PRIJEM	PREVOD Z UCTU	6341	24532	DUCHOD	YZ	51111900
409272	1394	1995-08-12	PRIJEM	PREVOD Z UCTU	6341	28852	DUCHOD	YZ	51111900
409273	1394	1995-09-12	PRIJEM	PREVOD Z UCTU	6341	30790	DUCHOD	YZ	51111900
409274	1394	1995-10-12	PRIJEM	PREVOD Z UCTU	6341	35138	DUCHOD	YZ	51111900
409275	1394	1995-11-12	PRIJEM	PREVOD Z UCTU	6341	37341	DUCHOD	YZ	51111900
409276	1394	1995-12-12	PRIJEM	PREVOD Z UCTU	6341	41714	DUCHOD	YZ	51111900
409277	1394	1996-01-12	PRIJEM	PREVOD Z UCTU	6341	41349	DUCHOD	YZ	51111900
409278	1394	1996-02-12	PRIJEM	PREVOD Z UCTU	6341	38040	DUCHOD	YZ	51111900
409279	1394	1996-03-12	PRIJEM	PREVOD Z UCTU	6341	39315	DUCHOD	YZ	51111900
409280	1394	1996-04-12	PRIJEM	PREVOD Z UCTU	6341	42294	DUCHOD	YZ	51111900
409281	1394	1996-05-12	PRIJEM	PREVOD Z UCTU	6341	43883	DUCHOD	YZ	51111900
409282	1394	1996-06-12	PRIJEM	PREVOD Z UCTU	6341	28826	DUCHOD	YZ	51111900
409283	1394	1996-07-12	PRIJEM	PREVOD Z UCTU	6341	33183	DUCHOD	YZ	51111900
409284	1394	1996-08-12	PRIJEM	PREVOD Z UCTU	6341	37539	DUCHOD	YZ	51111900
409285	1394	1996-09-12	PRIJEM	PREVOD Z UCTU	6341	41912	DUCHOD	YZ	51111900
409286	1394	1996-10-12	PRIJEM	PREVOD Z UCTU	6341	36439	DUCHOD	YZ	51111900
409287	1394	1996-11-12	PRIJEM	PREVOD Z UCTU	6341	37085	DUCHOD	YZ	51111900
409288	1394	1996-12-12	PRIJEM	PREVOD Z UCTU	6341	40255	DUCHOD	YZ	51111900
409289	1394	1997-01-12	PRIJEM	PREVOD Z UCTU	6341	40956	DUCHOD	YZ	51111900
409290	1394	1997-02-12	PRIJEM	PREVOD Z UCTU	6341	36878	DUCHOD	YZ	51111900
409291	1394	1997-03-12	PRIJEM	PREVOD Z UCTU	6341	35937	DUCHOD	YZ	51111900
409292	1394	1997-04-12	PRIJEM	PREVOD Z UCTU	6341	40304	DUCHOD	YZ	51111900
409293	1394	1997-05-12	PRIJEM	PREVOD Z UCTU	6341	39144	DUCHOD	YZ	51111900
409294	1394	1997-06-12	PRIJEM	PREVOD Z UCTU	6341	39214	DUCHOD	YZ	51111900
409295	1394	1997-07-12	PRIJEM	PREVOD Z UCTU	6341	30131	DUCHOD	YZ	51111900
409296	1394	1997-08-12	PRIJEM	PREVOD Z UCTU	6341	34474	DUCHOD	YZ	51111900
409297	1394	1997-09-12	PRIJEM	PREVOD Z UCTU	6341	38834	DUCHOD	YZ	51111900
409298	1394	1997-10-12	PRIJEM	PREVOD Z UCTU	6341	42571	DUCHOD	YZ	51111900
409299	1394	1997-11-12	PRIJEM	PREVOD Z UCTU	6341	46965	DUCHOD	YZ	51111900
409300	1394	1997-12-12	PRIJEM	PREVOD Z UCTU	6341	51378	DUCHOD	YZ	51111900
409301	1394	1998-01-12	PRIJEM	PREVOD Z UCTU	6341	47750	DUCHOD	YZ	51111900
409302	1394	1998-02-12	PRIJEM	PREVOD Z UCTU	6341	48617	DUCHOD	YZ	51111900
409303	1394	1998-03-12	PRIJEM	PREVOD Z UCTU	6341	53035	DUCHOD	YZ	51111900
409524	1394	1998-02-28	VYDAJ	VYBER	15	48148	SLUZBY	\N	\N
409304	1394	1998-04-12	PRIJEM	PREVOD Z UCTU	6341	57472	DUCHOD	YZ	51111900
409305	1394	1998-05-12	PRIJEM	PREVOD Z UCTU	6341	60928	DUCHOD	YZ	51111900
409306	1394	1998-06-12	PRIJEM	PREVOD Z UCTU	6341	53999	DUCHOD	YZ	51111900
409307	1394	1998-07-12	PRIJEM	PREVOD Z UCTU	6341	55810	DUCHOD	YZ	51111900
409308	1394	1998-08-12	PRIJEM	PREVOD Z UCTU	6341	56815	DUCHOD	YZ	51111900
409309	1394	1998-09-12	PRIJEM	PREVOD Z UCTU	6341	61267	DUCHOD	YZ	51111900
409310	1394	1998-10-12	PRIJEM	PREVOD Z UCTU	6341	65738	DUCHOD	YZ	51111900
409311	1394	1998-11-12	PRIJEM	PREVOD Z UCTU	6341	66619	DUCHOD	YZ	51111900
409312	1394	1998-12-12	PRIJEM	PREVOD Z UCTU	6341	67266	DUCHOD	YZ	51111900
409330	1394	1995-06-11	VYDAJ	PREVOD NA UCET	1454	27301	SIPO	YZ	28259659
409331	1394	1995-07-11	VYDAJ	PREVOD NA UCET	1454	18191	SIPO	YZ	28259659
409332	1394	1995-08-11	VYDAJ	PREVOD NA UCET	1454	22511	SIPO	YZ	28259659
409333	1394	1995-09-11	VYDAJ	PREVOD NA UCET	1454	24449	SIPO	YZ	28259659
409334	1394	1995-10-11	VYDAJ	PREVOD NA UCET	1454	28797	SIPO	YZ	28259659
409335	1394	1995-11-11	VYDAJ	PREVOD NA UCET	1454	31000	SIPO	YZ	28259659
409336	1394	1995-12-11	VYDAJ	PREVOD NA UCET	1454	35373	SIPO	YZ	28259659
409337	1394	1996-01-11	VYDAJ	PREVOD NA UCET	1454	35008	SIPO	YZ	28259659
409338	1394	1996-02-11	VYDAJ	PREVOD NA UCET	1454	31699	SIPO	YZ	28259659
409339	1394	1996-03-11	VYDAJ	PREVOD NA UCET	1454	32974	SIPO	YZ	28259659
409340	1394	1996-04-11	VYDAJ	PREVOD NA UCET	1454	35953	SIPO	YZ	28259659
409341	1394	1996-05-11	VYDAJ	PREVOD NA UCET	1454	37542	SIPO	YZ	28259659
409342	1394	1996-06-11	VYDAJ	PREVOD NA UCET	1454	22485	SIPO	YZ	28259659
409343	1394	1996-07-11	VYDAJ	PREVOD NA UCET	1454	26842	SIPO	YZ	28259659
409344	1394	1996-08-11	VYDAJ	PREVOD NA UCET	1454	31198	SIPO	YZ	28259659
409345	1394	1996-09-11	VYDAJ	PREVOD NA UCET	1454	35571	SIPO	YZ	28259659
409346	1394	1996-10-11	VYDAJ	PREVOD NA UCET	1454	30098	SIPO	YZ	28259659
409347	1394	1996-11-11	VYDAJ	PREVOD NA UCET	1454	30744	SIPO	YZ	28259659
409348	1394	1996-12-11	VYDAJ	PREVOD NA UCET	1454	33914	SIPO	YZ	28259659
409349	1394	1997-01-11	VYDAJ	PREVOD NA UCET	1454	34615	SIPO	YZ	28259659
409350	1394	1997-02-11	VYDAJ	PREVOD NA UCET	1454	30537	SIPO	YZ	28259659
409351	1394	1997-03-11	VYDAJ	PREVOD NA UCET	1454	29596	SIPO	YZ	28259659
409352	1394	1997-04-11	VYDAJ	PREVOD NA UCET	1454	33963	SIPO	YZ	28259659
409353	1394	1997-05-11	VYDAJ	PREVOD NA UCET	1454	32803	SIPO	YZ	28259659
409354	1394	1997-06-11	VYDAJ	PREVOD NA UCET	1454	32873	SIPO	YZ	28259659
409355	1394	1997-07-11	VYDAJ	PREVOD NA UCET	1454	23790	SIPO	YZ	28259659
409356	1394	1997-08-11	VYDAJ	PREVOD NA UCET	1454	28133	SIPO	YZ	28259659
409357	1394	1997-09-11	VYDAJ	PREVOD NA UCET	1454	32493	SIPO	YZ	28259659
409358	1394	1997-10-11	VYDAJ	PREVOD NA UCET	1454	36230	SIPO	YZ	28259659
409359	1394	1997-11-11	VYDAJ	PREVOD NA UCET	1454	40624	SIPO	YZ	28259659
409360	1394	1997-12-11	VYDAJ	PREVOD NA UCET	1454	45037	SIPO	YZ	28259659
409361	1394	1998-01-11	VYDAJ	PREVOD NA UCET	1454	41409	SIPO	YZ	28259659
409362	1394	1998-02-11	VYDAJ	PREVOD NA UCET	1454	42276	SIPO	YZ	28259659
409363	1394	1998-03-11	VYDAJ	PREVOD NA UCET	1454	46694	SIPO	YZ	28259659
409364	1394	1998-04-11	VYDAJ	PREVOD NA UCET	1454	51131	SIPO	YZ	28259659
409365	1394	1998-05-11	VYDAJ	PREVOD NA UCET	1454	54587	SIPO	YZ	28259659
409366	1394	1998-06-11	VYDAJ	PREVOD NA UCET	1454	47658	SIPO	YZ	28259659
409367	1394	1998-07-11	VYDAJ	PREVOD NA UCET	1454	49469	SIPO	YZ	28259659
409368	1394	1998-08-11	VYDAJ	PREVOD NA UCET	1454	50474	SIPO	YZ	28259659
409369	1394	1998-09-11	VYDAJ	PREVOD NA UCET	1454	54926	SIPO	YZ	28259659
409370	1394	1998-10-11	VYDAJ	PREVOD NA UCET	1454	59397	SIPO	YZ	28259659
409371	1394	1998-11-11	VYDAJ	PREVOD NA UCET	1454	60278	SIPO	YZ	28259659
409372	1394	1998-12-11	VYDAJ	PREVOD NA UCET	1454	60925	SIPO	YZ	28259659
409389	1394	1995-05-14	VYDAJ	PREVOD NA UCET	646	31659	 	ST	14472324
409390	1394	1995-06-14	VYDAJ	PREVOD NA UCET	646	32996	 	ST	14472324
409391	1394	1995-07-14	VYDAJ	PREVOD NA UCET	646	23886	 	ST	14472324
409392	1394	1995-08-14	VYDAJ	PREVOD NA UCET	646	28206	 	ST	14472324
409393	1394	1995-09-14	VYDAJ	PREVOD NA UCET	646	30144	 	ST	14472324
409394	1394	1995-10-14	VYDAJ	PREVOD NA UCET	646	34492	 	ST	14472324
409395	1394	1995-11-14	VYDAJ	PREVOD NA UCET	646	36695	 	ST	14472324
409396	1394	1995-12-14	VYDAJ	PREVOD NA UCET	646	41068	 	ST	14472324
409397	1394	1996-01-14	VYDAJ	PREVOD NA UCET	646	40703	 	ST	14472324
409398	1394	1996-02-14	VYDAJ	PREVOD NA UCET	646	37394	 	ST	14472324
409399	1394	1996-03-14	VYDAJ	PREVOD NA UCET	646	38669	 	ST	14472324
409400	1394	1996-04-14	VYDAJ	PREVOD NA UCET	646	41648	 	ST	14472324
409401	1394	1996-05-14	VYDAJ	PREVOD NA UCET	646	43237	 	ST	14472324
409402	1394	1996-06-14	VYDAJ	PREVOD NA UCET	646	28180	 	ST	14472324
409403	1394	1996-07-14	VYDAJ	PREVOD NA UCET	646	32537	 	ST	14472324
409404	1394	1996-08-14	VYDAJ	PREVOD NA UCET	646	36893	 	ST	14472324
409405	1394	1996-09-14	VYDAJ	PREVOD NA UCET	646	41266	 	ST	14472324
409406	1394	1996-10-14	VYDAJ	PREVOD NA UCET	646	35793	 	ST	14472324
409407	1394	1996-11-14	VYDAJ	PREVOD NA UCET	646	36439	 	ST	14472324
409408	1394	1996-12-14	VYDAJ	PREVOD NA UCET	646	38169	 	ST	14472324
409409	1394	1997-01-14	VYDAJ	PREVOD NA UCET	646	39460	 	ST	14472324
409410	1394	1997-02-14	VYDAJ	PREVOD NA UCET	646	36232	 	ST	14472324
409525	1394	1998-03-31	VYDAJ	VYBER	15	52585	SLUZBY	\N	\N
409411	1394	1997-03-14	VYDAJ	PREVOD NA UCET	646	35291	 	ST	14472324
409412	1394	1997-04-14	VYDAJ	PREVOD NA UCET	646	39658	 	ST	14472324
409413	1394	1997-05-14	VYDAJ	PREVOD NA UCET	646	38498	 	ST	14472324
409414	1394	1997-06-14	VYDAJ	PREVOD NA UCET	646	34768	 	ST	14472324
409415	1394	1997-07-14	VYDAJ	PREVOD NA UCET	646	29485	 	ST	14472324
409416	1394	1997-08-14	VYDAJ	PREVOD NA UCET	646	33828	 	ST	14472324
409417	1394	1997-09-14	VYDAJ	PREVOD NA UCET	646	38188	 	ST	14472324
409418	1394	1997-10-14	VYDAJ	PREVOD NA UCET	646	41925	 	ST	14472324
409419	1394	1997-11-14	VYDAJ	PREVOD NA UCET	646	46319	 	ST	14472324
409420	1394	1997-12-14	VYDAJ	PREVOD NA UCET	646	50732	 	ST	14472324
409421	1394	1998-01-14	VYDAJ	PREVOD NA UCET	646	47104	 	ST	14472324
409422	1394	1998-02-14	VYDAJ	PREVOD NA UCET	646	47971	 	ST	14472324
409423	1394	1998-03-14	VYDAJ	PREVOD NA UCET	646	52389	 	ST	14472324
409424	1394	1998-04-14	VYDAJ	PREVOD NA UCET	646	56826	 	ST	14472324
409425	1394	1998-05-14	VYDAJ	PREVOD NA UCET	646	60282	 	ST	14472324
409426	1394	1998-06-14	VYDAJ	PREVOD NA UCET	646	52313	 	ST	14472324
409427	1394	1998-07-14	VYDAJ	PREVOD NA UCET	646	55164	 	ST	14472324
409428	1394	1998-08-14	VYDAJ	PREVOD NA UCET	646	56169	 	ST	14472324
409429	1394	1998-09-14	VYDAJ	PREVOD NA UCET	646	60621	 	ST	14472324
409430	1394	1998-10-14	VYDAJ	PREVOD NA UCET	646	61492	 	ST	14472324
409431	1394	1998-11-14	VYDAJ	PREVOD NA UCET	646	65973	 	ST	14472324
409432	1394	1998-12-14	VYDAJ	PREVOD NA UCET	646	66620	 	ST	14472324
409434	1394	1995-06-22	VYDAJ	VYBER	13450	19546	\N	\N	\N
409435	1394	1996-06-04	VYDAJ	VYBER	14450	23939	\N	\N	\N
409436	1394	1997-06-27	VYDAJ	VYBER	9650	25118	\N	\N	\N
409437	1394	1998-06-06	VYDAJ	VYBER	11400	49112	\N	\N	\N
409440	1394	1996-01-16	VYDAJ	VYBER	2550	38153	\N	\N	\N
409441	1394	1997-01-13	VYDAJ	VYBER	850	40106	\N	\N	\N
409442	1394	1998-01-24	VYDAJ	VYBER	3550	43554	\N	\N	\N
409444	1394	1995-12-22	VYDAJ	VYBER	550	36318	\N	\N	\N
409445	1394	1996-12-08	VYDAJ	VYBER	800	35368	\N	\N	\N
409446	1394	1997-12-23	VYDAJ	VYBER	850	46522	\N	\N	\N
409447	1394	1998-12-20	VYDAJ	VYBER	700	65920	\N	\N	\N
409453	1394	1995-05-16	VYDAJ	VYBER	2960	28699	\N	\N	\N
409454	1394	1995-10-28	VYDAJ	VYBER	2160	32332	\N	\N	\N
409455	1394	1995-09-01	VYDAJ	VYBER	1760	25903	\N	\N	\N
409456	1394	1995-08-30	VYDAJ	VYBER	640	27566	\N	\N	\N
409457	1394	1996-02-07	VYDAJ	VYBER	2640	33153	\N	\N	\N
409458	1394	1996-12-27	VYDAJ	VYBER	2240	35929	\N	\N	\N
409459	1394	1996-10-20	VYDAJ	VYBER	2720	32073	\N	\N	\N
409460	1394	1996-10-06	VYDAJ	VYBER	2240	31552	\N	\N	\N
409461	1394	1996-10-02	VYDAJ	VYBER	800	37712	\N	\N	\N
409462	1394	1996-12-13	VYDAJ	VYBER	1440	38815	\N	\N	\N
409463	1394	1996-10-04	VYDAJ	VYBER	3920	33792	\N	\N	\N
409464	1394	1997-01-26	VYDAJ	VYBER	2800	31860	\N	\N	\N
409465	1394	1997-09-19	VYDAJ	VYBER	640	37548	\N	\N	\N
409466	1394	1997-12-16	VYDAJ	VYBER	3360	47372	\N	\N	\N
409467	1394	1997-04-15	VYDAJ	VYBER	3840	34118	\N	\N	\N
409468	1394	1998-01-05	VYDAJ	VYBER	3840	42863	\N	\N	\N
409469	1394	1998-11-20	VYDAJ	VYBER	3840	62133	\N	\N	\N
409470	1394	1998-07-23	VYDAJ	VYBER	3440	51724	\N	\N	\N
409471	1394	1998-10-13	VYDAJ	VYBER	3600	62138	\N	\N	\N
409472	1394	1998-06-14	VYDAJ	VYBER	1040	52959	\N	\N	\N
409473	1394	1998-06-18	VYDAJ	VYBER	1600	50713	\N	\N	\N
409491	1394	1995-05-31	VYDAJ	VYBER	15	28755	SLUZBY	\N	\N
409492	1394	1995-06-30	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
409493	1394	1995-07-31	VYDAJ	VYBER	15	23965	SLUZBY	\N	\N
409494	1394	1995-08-31	VYDAJ	VYBER	15	27663	SLUZBY	\N	\N
409495	1394	1995-09-30	VYDAJ	VYBER	15	30251	SLUZBY	\N	\N
409496	1394	1995-10-31	VYDAJ	VYBER	15	32454	SLUZBY	\N	\N
409497	1394	1995-11-30	VYDAJ	VYBER	15	36827	SLUZBY	\N	\N
409498	1394	1995-12-31	VYDAJ	VYBER	15	36462	SLUZBY	\N	\N
409499	1394	1996-01-31	VYDAJ	VYBER	15	35793	SLUZBY	\N	\N
409500	1394	1996-02-29	VYDAJ	VYBER	15	34428	SLUZBY	\N	\N
409501	1394	1996-03-31	VYDAJ	VYBER	15	37407	SLUZBY	\N	\N
409502	1394	1996-04-30	VYDAJ	VYBER	15	38996	SLUZBY	\N	\N
409503	1394	1996-05-31	VYDAJ	VYBER	15	38389	SLUZBY	\N	\N
409504	1394	1996-06-30	VYDAJ	VYBER	15	28296	SLUZBY	\N	\N
409505	1394	1996-07-31	VYDAJ	VYBER	15	32652	SLUZBY	\N	\N
409506	1394	1996-08-31	VYDAJ	VYBER	15	37025	SLUZBY	\N	\N
409507	1394	1996-09-30	VYDAJ	VYBER	15	38512	SLUZBY	\N	\N
409508	1394	1996-10-31	VYDAJ	VYBER	15	32198	SLUZBY	\N	\N
409509	1394	1996-11-30	VYDAJ	VYBER	15	36168	SLUZBY	\N	\N
409510	1394	1996-12-31	VYDAJ	VYBER	15	36069	SLUZBY	\N	\N
409511	1394	1997-01-31	VYDAJ	VYBER	15	31991	SLUZBY	\N	\N
409512	1394	1997-02-28	VYDAJ	VYBER	15	31050	SLUZBY	\N	\N
409513	1394	1997-03-31	VYDAJ	VYBER	15	35417	SLUZBY	\N	\N
409514	1394	1997-04-30	VYDAJ	VYBER	15	34257	SLUZBY	\N	\N
409515	1394	1997-05-31	VYDAJ	VYBER	15	34327	SLUZBY	\N	\N
409516	1394	1997-06-30	VYDAJ	VYBER	15	25244	SLUZBY	\N	\N
409517	1394	1997-07-31	VYDAJ	VYBER	15	29587	SLUZBY	\N	\N
409518	1394	1997-08-31	VYDAJ	VYBER	15	33947	SLUZBY	\N	\N
409519	1394	1997-09-30	VYDAJ	VYBER	15	37684	SLUZBY	\N	\N
409520	1394	1997-10-31	VYDAJ	VYBER	15	42078	SLUZBY	\N	\N
409521	1394	1997-11-30	VYDAJ	VYBER	15	46491	SLUZBY	\N	\N
409522	1394	1997-12-31	VYDAJ	VYBER	15	46703	SLUZBY	\N	\N
409523	1394	1998-01-31	VYDAJ	VYBER	15	43730	SLUZBY	\N	\N
409526	1394	1998-04-30	VYDAJ	VYBER	15	57041	SLUZBY	\N	\N
409527	1394	1998-05-31	VYDAJ	VYBER	15	60512	SLUZBY	\N	\N
409528	1394	1998-06-30	VYDAJ	VYBER	15	50923	SLUZBY	\N	\N
409529	1394	1998-07-31	VYDAJ	VYBER	15	51928	SLUZBY	\N	\N
409530	1394	1998-08-31	VYDAJ	VYBER	15	56380	SLUZBY	\N	\N
409531	1394	1998-09-30	VYDAJ	VYBER	15	60851	SLUZBY	\N	\N
409532	1394	1998-10-31	VYDAJ	VYBER	15	61732	SLUZBY	\N	\N
409533	1394	1998-11-30	VYDAJ	VYBER	15	62379	SLUZBY	\N	\N
409534	1394	1995-12-22	VYDAJ	VYBER	4200	36868	\N	\N	\N
409535	1394	1996-01-21	VYDAJ	VYBER	2500	35653	\N	\N	\N
409536	1394	1996-02-20	VYDAJ	VYBER	3100	34294	\N	\N	\N
409537	1394	1996-03-21	VYDAJ	VYBER	1400	37269	\N	\N	\N
409538	1394	1996-04-20	VYDAJ	VYBER	2800	38848	\N	\N	\N
409539	1394	1996-05-20	VYDAJ	VYBER	5000	38237	\N	\N	\N
409540	1394	1996-09-17	VYDAJ	VYBER	2900	38366	\N	\N	\N
409541	1394	1996-10-17	VYDAJ	VYBER	1000	34793	\N	\N	\N
409542	1394	1996-11-16	VYDAJ	VYBER	400	36039	\N	\N	\N
409543	1394	1997-01-15	VYDAJ	VYBER	4800	34660	\N	\N	\N
409544	1394	1997-02-14	VYDAJ	VYBER	5300	30932	\N	\N	\N
409545	1394	1997-04-15	VYDAJ	VYBER	1700	37958	\N	\N	\N
409546	1394	1997-05-15	VYDAJ	VYBER	4300	34198	\N	\N	\N
409547	1394	1997-06-14	VYDAJ	VYBER	3800	35414	\N	\N	\N
409548	1394	1998-05-10	VYDAJ	VYBER	1000	56041	\N	\N	\N
409593	1395	1995-11-21	PRIJEM	VKLAD	300	300	\N	\N	\N
409605	1395	1995-12-14	PRIJEM	VKLAD	7724	8024	\N	\N	\N
409606	1395	1996-01-14	PRIJEM	VKLAD	5149	20496	\N	\N	\N
409607	1395	1996-02-14	PRIJEM	VKLAD	5149	25517	\N	\N	\N
409608	1395	1996-03-14	PRIJEM	VKLAD	5149	28455	\N	\N	\N
409609	1395	1996-04-14	PRIJEM	VKLAD	5149	29903	\N	\N	\N
409610	1395	1996-05-14	PRIJEM	VKLAD	5149	27009	\N	\N	\N
409611	1395	1996-06-14	PRIJEM	VKLAD	7724	23088	\N	\N	\N
409612	1395	1996-07-14	PRIJEM	VKLAD	5149	24880	\N	\N	\N
409613	1395	1996-08-14	PRIJEM	VKLAD	5149	23379	\N	\N	\N
409614	1395	1996-09-14	PRIJEM	VKLAD	5149	20271	\N	\N	\N
409615	1395	1996-10-14	PRIJEM	VKLAD	5149	17454	\N	\N	\N
409616	1395	1996-11-14	PRIJEM	VKLAD	5149	21535	\N	\N	\N
409617	1395	1996-12-14	PRIJEM	VKLAD	7724	26801	\N	\N	\N
409618	1395	1997-01-14	PRIJEM	VKLAD	5149	20004	\N	\N	\N
409619	1395	1997-02-14	PRIJEM	VKLAD	5149	25989	\N	\N	\N
409620	1395	1997-03-14	PRIJEM	VKLAD	5149	22982	\N	\N	\N
409621	1395	1997-04-14	PRIJEM	VKLAD	5149	27183	\N	\N	\N
409622	1395	1997-05-14	PRIJEM	VKLAD	5149	26897	\N	\N	\N
409623	1395	1997-06-14	PRIJEM	VKLAD	7724	30783	\N	\N	\N
409624	1395	1997-07-14	PRIJEM	VKLAD	5149	31885	\N	\N	\N
409625	1395	1997-08-14	PRIJEM	VKLAD	5149	35109	\N	\N	\N
409626	1395	1997-09-14	PRIJEM	VKLAD	5149	39151	\N	\N	\N
409627	1395	1997-10-14	PRIJEM	VKLAD	5149	41804	\N	\N	\N
409628	1395	1997-11-14	PRIJEM	VKLAD	5149	42675	\N	\N	\N
409629	1395	1997-12-14	PRIJEM	VKLAD	7724	41126	\N	\N	\N
409630	1395	1998-01-14	PRIJEM	VKLAD	5149	40795	\N	\N	\N
409631	1395	1998-02-14	PRIJEM	VKLAD	5149	35942	\N	\N	\N
409632	1395	1998-03-14	PRIJEM	VKLAD	5149	37978	\N	\N	\N
409633	1395	1998-04-14	PRIJEM	VKLAD	5149	46131	\N	\N	\N
409634	1395	1998-05-14	PRIJEM	VKLAD	5149	44213	\N	\N	\N
409635	1395	1998-06-14	PRIJEM	VKLAD	7724	42272	\N	\N	\N
409636	1395	1998-07-14	PRIJEM	VKLAD	5149	45143	\N	\N	\N
409637	1395	1998-08-14	PRIJEM	VKLAD	5149	48526	\N	\N	\N
409638	1395	1998-09-14	PRIJEM	VKLAD	5149	46622	\N	\N	\N
409639	1395	1998-10-14	PRIJEM	VKLAD	5149	49314	\N	\N	\N
409640	1395	1998-11-14	PRIJEM	VKLAD	5149	46814	\N	\N	\N
409641	1395	1998-12-14	PRIJEM	VKLAD	7724	51485	\N	\N	\N
409658	1395	1996-05-06	VYDAJ	PREVOD NA UCET	3432	21860	SIPO	ST	54942530
409659	1395	1996-06-06	VYDAJ	PREVOD NA UCET	3432	19364	SIPO	ST	54942530
409660	1395	1996-07-06	VYDAJ	PREVOD NA UCET	3432	19731	SIPO	ST	54942530
409661	1395	1996-08-06	VYDAJ	PREVOD NA UCET	3432	19230	SIPO	ST	54942530
409662	1395	1996-09-06	VYDAJ	PREVOD NA UCET	3432	15122	SIPO	ST	54942530
409663	1395	1996-10-06	VYDAJ	PREVOD NA UCET	3432	16405	SIPO	ST	54942530
409664	1395	1996-11-06	VYDAJ	PREVOD NA UCET	3432	16386	SIPO	ST	54942530
409665	1395	1996-12-06	VYDAJ	PREVOD NA UCET	3432	19077	SIPO	ST	54942530
409666	1395	1997-01-06	VYDAJ	PREVOD NA UCET	3432	18355	SIPO	ST	54942530
409667	1395	1997-02-06	VYDAJ	PREVOD NA UCET	3432	15040	SIPO	ST	54942530
409668	1395	1997-03-06	VYDAJ	PREVOD NA UCET	3432	17833	SIPO	ST	54942530
409669	1395	1997-04-06	VYDAJ	PREVOD NA UCET	3432	22034	SIPO	ST	54942530
409670	1395	1997-05-06	VYDAJ	PREVOD NA UCET	3432	21748	SIPO	ST	54942530
409671	1395	1997-06-06	VYDAJ	PREVOD NA UCET	3432	9359	SIPO	ST	54942530
409672	1395	1997-07-06	VYDAJ	PREVOD NA UCET	3432	24836	SIPO	ST	54942530
409673	1395	1997-08-06	VYDAJ	PREVOD NA UCET	3432	28560	SIPO	ST	54942530
409674	1395	1997-09-06	VYDAJ	PREVOD NA UCET	3432	28402	SIPO	ST	54942530
409675	1395	1997-10-06	VYDAJ	PREVOD NA UCET	3432	35855	SIPO	ST	54942530
409676	1395	1997-11-06	VYDAJ	PREVOD NA UCET	3432	38526	SIPO	ST	54942530
409677	1395	1997-12-06	VYDAJ	PREVOD NA UCET	3432	38202	SIPO	ST	54942530
409678	1395	1998-01-06	VYDAJ	PREVOD NA UCET	3432	37046	SIPO	ST	54942530
409679	1395	1998-02-06	VYDAJ	PREVOD NA UCET	3432	25593	SIPO	ST	54942530
409680	1395	1998-03-06	VYDAJ	PREVOD NA UCET	3432	30729	SIPO	ST	54942530
409681	1395	1998-04-06	VYDAJ	PREVOD NA UCET	3432	34682	SIPO	ST	54942530
409682	1395	1998-05-06	VYDAJ	PREVOD NA UCET	3432	42864	SIPO	ST	54942530
409683	1395	1998-06-06	VYDAJ	PREVOD NA UCET	3432	33448	SIPO	ST	54942530
409684	1395	1998-07-06	VYDAJ	PREVOD NA UCET	3432	38994	SIPO	ST	54942530
409685	1395	1998-08-06	VYDAJ	PREVOD NA UCET	3432	41877	SIPO	ST	54942530
409686	1395	1998-09-06	VYDAJ	PREVOD NA UCET	3432	41473	SIPO	ST	54942530
409687	1395	1998-10-06	VYDAJ	PREVOD NA UCET	3432	44165	SIPO	ST	54942530
409688	1395	1998-11-06	VYDAJ	PREVOD NA UCET	3432	45565	SIPO	ST	54942530
409689	1395	1998-12-06	VYDAJ	PREVOD NA UCET	3432	46661	SIPO	ST	54942530
409692	1395	1997-06-03	VYDAJ	VYBER	16400	12791	\N	\N	\N
409693	1395	1998-06-03	VYDAJ	VYBER	7500	36880	\N	\N	\N
409695	1395	1996-12-30	VYDAJ	VYBER	1000	24401	\N	\N	\N
409696	1395	1997-12-04	VYDAJ	VYBER	1200	41634	\N	\N	\N
409697	1395	1998-12-11	VYDAJ	VYBER	2900	43761	\N	\N	\N
409710	1395	1997-01-24	VYDAJ	VYBER	2100	18404	\N	\N	\N
409711	1395	1997-01-16	VYDAJ	VYBER	1100	23004	\N	\N	\N
409712	1395	1997-01-08	VYDAJ	VYBER	1000	14855	\N	\N	\N
409713	1395	1997-01-07	VYDAJ	VYBER	2500	15855	\N	\N	\N
409714	1395	1997-01-04	VYDAJ	VYBER	2700	21787	\N	\N	\N
409715	1395	1997-01-22	VYDAJ	VYBER	2500	20504	\N	\N	\N
409716	1395	1998-01-17	VYDAJ	VYBER	1600	32995	\N	\N	\N
409717	1395	1998-01-06	VYDAJ	VYBER	800	40478	\N	\N	\N
409718	1395	1998-01-24	VYDAJ	VYBER	700	30195	\N	\N	\N
409719	1395	1998-01-29	VYDAJ	VYBER	1300	28895	\N	\N	\N
409720	1395	1998-01-20	VYDAJ	VYBER	2100	30895	\N	\N	\N
409721	1395	1998-01-15	VYDAJ	VYBER	1400	34595	\N	\N	\N
409726	1395	1996-10-11	VYDAJ	VYBER	4100	12305	\N	\N	\N
409727	1395	1996-06-08	VYDAJ	VYBER	4000	15364	\N	\N	\N
409728	1395	1996-08-09	VYDAJ	VYBER	1000	18230	\N	\N	\N
409729	1395	1996-08-31	VYDAJ	VYBER	3500	18569	\N	\N	\N
409730	1395	1996-07-19	VYDAJ	VYBER	2400	22580	\N	\N	\N
409731	1395	1997-06-15	VYDAJ	VYBER	2600	28183	\N	\N	\N
409732	1395	1997-07-08	VYDAJ	VYBER	2400	22436	\N	\N	\N
409733	1395	1997-07-09	VYDAJ	VYBER	1200	21236	\N	\N	\N
409734	1395	1997-02-25	VYDAJ	VYBER	4800	21189	\N	\N	\N
409735	1395	1997-04-24	VYDAJ	VYBER	500	29183	\N	\N	\N
409736	1395	1997-09-04	VYDAJ	VYBER	3400	31834	\N	\N	\N
409737	1395	1997-05-04	VYDAJ	VYBER	4100	25180	\N	\N	\N
409738	1395	1998-02-17	VYDAJ	VYBER	1900	34042	\N	\N	\N
409739	1395	1998-11-13	VYDAJ	VYBER	3900	41665	\N	\N	\N
409740	1395	1998-01-15	VYDAJ	VYBER	4800	35995	\N	\N	\N
409741	1395	1998-09-02	VYDAJ	VYBER	3800	44905	\N	\N	\N
409758	1395	1996-04-30	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
409759	1395	1996-05-31	VYDAJ	VYBER	15	22796	SLUZBY	\N	\N
409760	1395	1996-06-30	VYDAJ	VYBER	15	23163	SLUZBY	\N	\N
409761	1395	1996-07-31	VYDAJ	VYBER	15	22662	SLUZBY	\N	\N
409762	1395	1996-08-31	VYDAJ	VYBER	15	18554	SLUZBY	\N	\N
409763	1395	1996-09-30	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
409764	1395	1996-10-31	VYDAJ	VYBER	15	19818	SLUZBY	\N	\N
409765	1395	1996-11-30	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
409766	1395	1996-12-31	VYDAJ	VYBER	15	24487	SLUZBY	\N	\N
409767	1395	1997-01-31	VYDAJ	VYBER	15	18472	SLUZBY	\N	\N
409768	1395	1997-02-28	VYDAJ	VYBER	15	21265	SLUZBY	\N	\N
409769	1395	1997-03-31	VYDAJ	VYBER	15	25466	SLUZBY	\N	\N
409770	1395	1997-04-30	VYDAJ	VYBER	15	29280	SLUZBY	\N	\N
409771	1395	1997-05-31	VYDAJ	VYBER	15	29191	SLUZBY	\N	\N
409772	1395	1997-06-30	VYDAJ	VYBER	15	28268	SLUZBY	\N	\N
409773	1395	1997-07-31	VYDAJ	VYBER	15	31992	SLUZBY	\N	\N
409774	1395	1997-08-31	VYDAJ	VYBER	15	35234	SLUZBY	\N	\N
409775	1395	1997-09-30	VYDAJ	VYBER	15	39287	SLUZBY	\N	\N
409776	1395	1997-10-31	VYDAJ	VYBER	15	41958	SLUZBY	\N	\N
409777	1395	1997-11-30	VYDAJ	VYBER	15	42834	SLUZBY	\N	\N
409778	1395	1997-12-31	VYDAJ	VYBER	15	41278	SLUZBY	\N	\N
409779	1395	1998-01-31	VYDAJ	VYBER	15	29025	SLUZBY	\N	\N
409780	1395	1998-02-28	VYDAJ	VYBER	15	34161	SLUZBY	\N	\N
409781	1395	1998-03-31	VYDAJ	VYBER	15	38114	SLUZBY	\N	\N
409782	1395	1998-04-30	VYDAJ	VYBER	15	46296	SLUZBY	\N	\N
409783	1395	1998-05-31	VYDAJ	VYBER	15	44380	SLUZBY	\N	\N
409784	1395	1998-06-30	VYDAJ	VYBER	15	42426	SLUZBY	\N	\N
409785	1395	1998-07-31	VYDAJ	VYBER	15	45309	SLUZBY	\N	\N
409786	1395	1998-08-31	VYDAJ	VYBER	15	48705	SLUZBY	\N	\N
409787	1395	1998-09-30	VYDAJ	VYBER	15	46797	SLUZBY	\N	\N
409788	1395	1998-10-31	VYDAJ	VYBER	15	49497	SLUZBY	\N	\N
409789	1395	1998-11-30	VYDAJ	VYBER	15	46993	SLUZBY	\N	\N
409790	1395	1995-12-21	PRIJEM	VKLAD	7300	15324	\N	\N	\N
409791	1395	1996-01-20	VYDAJ	VYBER	200	20296	\N	\N	\N
409792	1395	1996-02-19	VYDAJ	VYBER	2300	23217	\N	\N	\N
409793	1395	1996-03-20	VYDAJ	VYBER	3800	24655	\N	\N	\N
409794	1395	1996-04-19	VYDAJ	VYBER	4700	25203	\N	\N	\N
409795	1395	1996-05-19	VYDAJ	VYBER	4300	22709	\N	\N	\N
409796	1395	1996-07-18	PRIJEM	VKLAD	100	24980	\N	\N	\N
409797	1395	1996-08-17	VYDAJ	VYBER	1400	21979	\N	\N	\N
409798	1395	1996-09-16	VYDAJ	VYBER	500	19771	\N	\N	\N
409799	1395	1996-10-16	PRIJEM	VKLAD	2300	19754	\N	\N	\N
409800	1395	1996-11-15	PRIJEM	VKLAD	900	22435	\N	\N	\N
409801	1395	1996-12-15	VYDAJ	VYBER	1400	25401	\N	\N	\N
409802	1395	1997-01-14	PRIJEM	VKLAD	4100	24104	\N	\N	\N
409803	1395	1997-02-13	PRIJEM	VKLAD	5800	20840	\N	\N	\N
409804	1395	1997-03-15	PRIJEM	VKLAD	2400	25382	\N	\N	\N
409805	1395	1997-04-14	PRIJEM	VKLAD	2500	29683	\N	\N	\N
409806	1395	1997-05-14	PRIJEM	VKLAD	2200	29097	\N	\N	\N
409807	1395	1997-06-13	PRIJEM	VKLAD	13700	23059	\N	\N	\N
409808	1395	1997-07-13	PRIJEM	VKLAD	5500	26736	\N	\N	\N
409809	1395	1997-08-12	PRIJEM	VKLAD	1400	29960	\N	\N	\N
409810	1395	1997-09-11	PRIJEM	VKLAD	5600	34002	\N	\N	\N
409811	1395	1997-10-11	PRIJEM	VKLAD	800	36655	\N	\N	\N
409812	1395	1997-11-10	VYDAJ	VYBER	1000	37526	\N	\N	\N
409813	1395	1997-12-10	VYDAJ	VYBER	4800	33402	\N	\N	\N
409814	1395	1998-01-09	VYDAJ	VYBER	1400	35646	\N	\N	\N
409815	1395	1998-02-08	PRIJEM	VKLAD	5200	30793	\N	\N	\N
409816	1395	1998-03-10	PRIJEM	VKLAD	2100	32829	\N	\N	\N
409817	1395	1998-04-09	PRIJEM	VKLAD	6300	40982	\N	\N	\N
409818	1395	1998-05-09	VYDAJ	VYBER	3800	39064	\N	\N	\N
409819	1395	1998-06-08	PRIJEM	VKLAD	1100	34548	\N	\N	\N
409820	1395	1998-07-08	PRIJEM	VKLAD	1000	39994	\N	\N	\N
409821	1395	1998-08-07	PRIJEM	VKLAD	1500	43377	\N	\N	\N
409822	1395	1998-10-06	PRIJEM	VKLAD	800	47597	\N	\N	\N
409823	1395	1998-11-05	VYDAJ	VYBER	500	48997	\N	\N	\N
409824	1395	1998-12-05	PRIJEM	VKLAD	3100	50093	\N	\N	\N
409862	1396	1996-06-26	PRIJEM	VKLAD	400	400	\N	\N	\N
409863	1396	1996-11-17	PRIJEM	VKLAD	17565	59723	\N	\N	\N
409864	1396	1996-08-06	PRIJEM	VKLAD	45131	56431	\N	\N	\N
409867	1396	1996-12-06	PRIJEM	VKLAD	47440	92127	\N	\N	\N
409869	1396	1996-09-03	PRIJEM	VKLAD	40335	110593	\N	\N	\N
409870	1396	1996-08-22	PRIJEM	VKLAD	19233	75664	\N	\N	\N
409871	1396	1996-10-20	PRIJEM	VKLAD	21189	57468	\N	\N	\N
409872	1396	1996-11-17	PRIJEM	VKLAD	33185	42158	\N	\N	\N
409873	1396	1996-09-02	PRIJEM	VKLAD	23119	70258	\N	\N	\N
409877	1396	1996-11-30	PRIJEM	VKLAD	14586	54058	\N	\N	\N
409880	1396	1997-01-28	PRIJEM	VKLAD	21076	108957	\N	\N	\N
409881	1396	1997-04-06	PRIJEM	VKLAD	19956	90148	\N	\N	\N
409882	1396	1997-10-25	PRIJEM	VKLAD	30407	68776	\N	\N	\N
409883	1396	1997-04-03	PRIJEM	VKLAD	16768	70192	\N	\N	\N
409884	1396	1997-07-22	PRIJEM	VKLAD	27229	80951	\N	\N	\N
409885	1396	1997-01-29	PRIJEM	VKLAD	37756	101913	\N	\N	\N
409886	1396	1997-09-14	PRIJEM	VKLAD	32451	64872	\N	\N	\N
409887	1396	1997-02-14	PRIJEM	VKLAD	6732	77320	\N	\N	\N
409888	1396	1997-06-01	PRIJEM	VKLAD	41012	96265	\N	\N	\N
409889	1396	1997-05-12	PRIJEM	VKLAD	18764	76925	\N	\N	\N
409890	1396	1997-02-01	PRIJEM	VKLAD	14144	97117	\N	\N	\N
409891	1396	1997-12-29	PRIJEM	VKLAD	45564	96162	\N	\N	\N
409892	1396	1997-02-16	PRIJEM	VKLAD	17887	95207	\N	\N	\N
409893	1396	1997-05-04	PRIJEM	VKLAD	12132	72868	\N	\N	\N
409894	1396	1997-12-22	PRIJEM	VKLAD	12860	66238	\N	\N	\N
409895	1396	1997-12-14	PRIJEM	VKLAD	19644	67578	\N	\N	\N
409896	1396	1997-05-13	PRIJEM	VKLAD	15270	92195	\N	\N	\N
409897	1396	1997-01-21	PRIJEM	VKLAD	39592	60299	\N	\N	\N
409898	1396	1997-10-30	PRIJEM	VKLAD	44179	112955	\N	\N	\N
409899	1396	1997-02-23	PRIJEM	VKLAD	24178	89285	\N	\N	\N
409900	1396	1997-07-01	PRIJEM	VKLAD	35026	87129	\N	\N	\N
409901	1396	1997-11-23	PRIJEM	VKLAD	27951	62487	\N	\N	\N
409902	1396	1997-01-26	PRIJEM	VKLAD	34383	87881	\N	\N	\N
409903	1396	1997-04-21	PRIJEM	VKLAD	25702	86443	\N	\N	\N
409904	1396	1997-02-10	PRIJEM	VKLAD	45978	128388	\N	\N	\N
409905	1396	1997-01-25	PRIJEM	VKLAD	11599	53498	\N	\N	\N
409906	1396	1998-04-28	PRIJEM	VKLAD	30047	66983	\N	\N	\N
409907	1396	1998-01-12	PRIJEM	VKLAD	15745	81552	\N	\N	\N
409908	1396	1998-05-02	PRIJEM	VKLAD	26689	93829	\N	\N	\N
409909	1396	1998-01-01	PRIJEM	VKLAD	9711	106128	\N	\N	\N
409910	1396	1998-01-21	PRIJEM	VKLAD	10115	65167	\N	\N	\N
409911	1396	1998-05-14	PRIJEM	VKLAD	20088	104876	\N	\N	\N
409912	1396	1998-02-12	PRIJEM	VKLAD	9398	20277	\N	\N	\N
409913	1396	1998-11-13	PRIJEM	VKLAD	21653	52228	\N	\N	\N
409914	1396	1998-05-02	PRIJEM	VKLAD	5666	99495	\N	\N	\N
409915	1396	1998-01-09	PRIJEM	VKLAD	7686	74207	\N	\N	\N
409916	1396	1998-06-06	PRIJEM	VKLAD	11556	95180	\N	\N	\N
409927	1396	1996-11-06	VYDAJ	PREVOD NA UCET	14707	8973	SIPO	AB	60094183
409928	1396	1996-12-06	VYDAJ	PREVOD NA UCET	14707	77420	SIPO	AB	60094183
409929	1396	1997-01-06	VYDAJ	PREVOD NA UCET	14707	27607	SIPO	AB	60094183
409930	1396	1997-02-06	VYDAJ	PREVOD NA UCET	14707	82410	SIPO	AB	60094183
409931	1396	1997-03-06	VYDAJ	PREVOD NA UCET	14707	74909	SIPO	AB	60094183
409932	1396	1997-04-06	VYDAJ	PREVOD NA UCET	14707	75441	SIPO	AB	60094183
409933	1396	1997-05-06	VYDAJ	PREVOD NA UCET	14707	58161	SIPO	AB	60094183
409934	1396	1997-06-06	VYDAJ	PREVOD NA UCET	14707	81558	SIPO	AB	60094183
409935	1396	1997-07-06	VYDAJ	PREVOD NA UCET	14707	72422	SIPO	AB	60094183
409936	1396	1997-08-06	VYDAJ	PREVOD NA UCET	14707	58419	SIPO	AB	60094183
409937	1396	1997-09-06	VYDAJ	PREVOD NA UCET	14707	32421	SIPO	AB	60094183
409938	1396	1997-10-06	VYDAJ	PREVOD NA UCET	14707	38769	SIPO	AB	60094183
409939	1396	1997-11-06	VYDAJ	PREVOD NA UCET	14707	21436	SIPO	AB	60094183
409940	1396	1997-12-06	VYDAJ	PREVOD NA UCET	14707	47934	SIPO	AB	60094183
409941	1396	1998-01-06	VYDAJ	PREVOD NA UCET	14707	73121	SIPO	AB	60094183
409942	1396	1998-02-06	VYDAJ	PREVOD NA UCET	14707	10879	SIPO	AB	60094183
409943	1396	1998-03-06	VYDAJ	PREVOD NA UCET	14707	19428	SIPO	AB	60094183
409944	1396	1998-04-06	VYDAJ	PREVOD NA UCET	14707	24636	SIPO	AB	60094183
409945	1396	1998-05-06	VYDAJ	PREVOD NA UCET	14707	84788	SIPO	AB	60094183
409946	1396	1998-06-06	VYDAJ	PREVOD NA UCET	14707	66373	SIPO	AB	60094183
409947	1396	1998-07-06	VYDAJ	PREVOD NA UCET	14707	30233	SIPO	AB	60094183
409948	1396	1998-08-06	VYDAJ	PREVOD NA UCET	14707	12554	SIPO	AB	60094183
409949	1396	1998-09-06	VYDAJ	PREVOD NA UCET	14707	17055	SIPO	AB	60094183
409950	1396	1998-10-06	VYDAJ	PREVOD NA UCET	14707	13164	SIPO	AB	60094183
409951	1396	1998-11-06	VYDAJ	PREVOD NA UCET	14707	20875	SIPO	AB	60094183
409952	1396	1998-12-06	VYDAJ	PREVOD NA UCET	14707	37644	SIPO	AB	60094183
409955	1396	1996-11-05	VYBER	VYBER	20533	23680	\N	\N	\N
409958	1396	1996-12-05	VYBER	VYBER	9484	44687	\N	\N	\N
409961	1396	1996-11-20	VYBER	VYBER	11151	48572	\N	\N	\N
409963	1396	1997-11-01	VYBER	VYBER	22502	36143	\N	\N	\N
409964	1396	1997-12-26	VYBER	VYBER	15640	50598	\N	\N	\N
409966	1396	1998-01-28	VYBER	VYBER	17338	25329	\N	\N	\N
409967	1396	1998-07-06	VYBER	VYBER	13280	44940	\N	\N	\N
409968	1396	1998-03-01	VYBER	VYBER	3854	34135	\N	\N	\N
409969	1396	1998-12-15	VYBER	VYBER	13362	33382	\N	\N	\N
409972	1396	1998-06-06	VYDAJ	VYBER	14100	81080	\N	\N	\N
409974	1396	1997-01-21	VYDAJ	VYBER	7200	53099	\N	\N	\N
409975	1396	1998-01-01	VYDAJ	VYBER	18300	87828	\N	\N	\N
409982	1396	1997-01-06	VYDAJ	VYBER	6900	20707	\N	\N	\N
409983	1396	1997-01-03	VYDAJ	VYBER	4200	42314	\N	\N	\N
409985	1396	1997-01-28	VYDAJ	VYBER	5400	64157	\N	\N	\N
409986	1396	1997-01-02	VYDAJ	VYBER	4800	46514	\N	\N	\N
409988	1396	1998-01-09	VYDAJ	VYBER	8400	65807	\N	\N	\N
409989	1396	1998-01-08	VYDAJ	VYBER	6600	66521	\N	\N	\N
409990	1396	1998-01-27	VYDAJ	VYBER	5700	42667	\N	\N	\N
409991	1396	1998-01-23	VYDAJ	VYBER	5700	59467	\N	\N	\N
409992	1396	1998-01-19	VYDAJ	VYBER	6900	55052	\N	\N	\N
409993	1396	1998-01-12	VYDAJ	VYBER KARTOU	1800	79752	\N	\N	0
409998	1396	1997-06-08	VYDAJ	VYBER	11100	70458	\N	\N	\N
409999	1396	1997-07-25	VYDAJ	VYBER	8100	72851	\N	\N	\N
410000	1396	1997-08-07	VYDAJ	VYBER	6900	51519	\N	\N	\N
410001	1396	1997-04-20	VYDAJ	VYBER	14700	60741	\N	\N	\N
410002	1396	1997-10-10	VYDAJ	VYBER	6300	32469	\N	\N	\N
410003	1396	1997-05-14	VYDAJ	VYBER	10500	81695	\N	\N	\N
410005	1396	1998-06-07	VYDAJ	VYBER	7200	59173	\N	\N	\N
410006	1396	1998-12-09	VYDAJ	VYBER	10500	27144	\N	\N	\N
410007	1396	1998-07-19	VYDAJ	VYBER	14700	27133	\N	\N	\N
410008	1396	1998-01-23	VYDAJ	VYBER	11100	48367	\N	\N	\N
410009	1396	1998-09-21	VYDAJ	VYBER	9000	27755	\N	\N	\N
410020	1396	1996-10-31	VYDAJ	VYBER	15	44213	SLUZBY	\N	\N
410021	1396	1996-11-30	VYDAJ	VYBER	15	54171	SLUZBY	\N	\N
410022	1396	1996-12-31	VYDAJ	VYBER	15	51314	SLUZBY	\N	\N
410023	1396	1997-01-31	VYDAJ	VYBER	15	82973	SLUZBY	\N	\N
410024	1396	1997-02-28	VYDAJ	VYBER	15	89616	SLUZBY	\N	\N
410025	1396	1997-03-31	VYDAJ	VYBER	15	53424	SLUZBY	\N	\N
410026	1396	1997-04-30	VYDAJ	VYBER	15	60736	SLUZBY	\N	\N
410027	1396	1997-05-31	VYDAJ	VYBER	15	55253	SLUZBY	\N	\N
410028	1396	1997-06-30	VYDAJ	VYBER	15	52103	SLUZBY	\N	\N
410029	1396	1997-07-31	VYDAJ	VYBER	15	73126	SLUZBY	\N	\N
410030	1396	1997-08-31	VYDAJ	VYBER	15	47128	SLUZBY	\N	\N
410031	1396	1997-09-30	VYDAJ	VYBER	15	53476	SLUZBY	\N	\N
410032	1396	1997-10-31	VYDAJ	VYBER	15	58645	SLUZBY	\N	\N
410033	1396	1997-11-30	VYDAJ	VYBER	15	62641	SLUZBY	\N	\N
410034	1396	1997-12-31	VYDAJ	VYBER	15	96417	SLUZBY	\N	\N
410035	1396	1998-01-31	VYDAJ	VYBER	15	25586	SLUZBY	\N	\N
410036	1396	1998-02-28	VYDAJ	VYBER	15	37989	SLUZBY	\N	\N
410037	1396	1998-03-31	VYDAJ	VYBER	15	39343	SLUZBY	\N	\N
410038	1396	1998-04-30	VYDAJ	VYBER	15	67140	SLUZBY	\N	\N
410039	1396	1998-05-31	VYDAJ	VYBER	15	83624	SLUZBY	\N	\N
410040	1396	1998-06-30	VYDAJ	VYBER	15	58220	SLUZBY	\N	\N
410041	1396	1998-07-31	VYDAJ	VYBER	15	27261	SLUZBY	\N	\N
410042	1396	1998-08-31	VYDAJ	VYBER	15	31762	SLUZBY	\N	\N
410043	1396	1998-09-30	VYDAJ	VYBER	15	27871	SLUZBY	\N	\N
410044	1396	1998-10-31	VYDAJ	VYBER	15	35582	SLUZBY	\N	\N
410045	1396	1998-11-30	VYDAJ	VYBER	15	52351	SLUZBY	\N	\N
410046	1396	1996-07-26	PRIJEM	VKLAD	10900	11300	\N	\N	\N
410047	1396	1996-08-25	VYDAJ	VYBER	28600	47064	\N	\N	\N
410048	1396	1996-09-03	VYDAJ	VYBER	63200	47393	\N	\N	\N
410049	1396	1996-09-24	VYDAJ	VYBER	11300	36093	\N	\N	\N
410050	1396	1996-10-24	VYDAJ	VYBER	13400	44068	\N	\N	\N
410051	1396	1996-11-23	VYDAJ	VYBER	9100	39472	\N	\N	\N
410052	1396	1996-12-23	VYDAJ	VYBER	26400	51020	\N	\N	\N
410053	1396	1997-01-22	VYDAJ	VYBER	11200	41899	\N	\N	\N
410054	1396	1997-01-28	VYDAJ	VYBER	39400	69557	\N	\N	\N
410055	1396	1997-01-31	VYDAJ	VYBER	19100	82988	\N	\N	\N
410056	1396	1997-02-10	VYDAJ	VYBER	57800	70588	\N	\N	\N
410057	1396	1997-02-21	VYDAJ	VYBER	30100	65107	\N	\N	\N
410058	1396	1997-03-23	VYDAJ	VYBER	21800	53109	\N	\N	\N
410059	1396	1997-04-22	VYDAJ	VYBER	26000	60443	\N	\N	\N
410060	1396	1997-05-22	VYDAJ	VYBER	26700	54995	\N	\N	\N
410061	1396	1997-06-21	VYDAJ	VYBER	18600	51858	\N	\N	\N
410062	1396	1997-07-21	VYDAJ	VYBER	18700	53722	\N	\N	\N
410063	1396	1997-08-20	VYDAJ	VYBER	4600	46919	\N	\N	\N
410064	1396	1997-09-19	VYDAJ	VYBER	11600	53272	\N	\N	\N
410065	1396	1997-10-19	PRIJEM	VKLAD	5900	38369	\N	\N	\N
410066	1396	1997-10-30	VYDAJ	VYBER	54500	58455	\N	\N	\N
410067	1396	1997-11-18	PRIJEM	VKLAD	13100	34536	\N	\N	\N
410068	1396	1997-12-18	VYDAJ	VYBER	14200	53378	\N	\N	\N
410069	1396	1998-01-17	VYDAJ	VYBER	17800	61952	\N	\N	\N
410070	1396	1998-02-16	PRIJEM	VKLAD	17600	37877	\N	\N	\N
410071	1396	1998-03-18	PRIJEM	VKLAD	19800	39228	\N	\N	\N
410072	1396	1998-04-17	PRIJEM	VKLAD	12300	36936	\N	\N	\N
410073	1396	1998-05-17	VYDAJ	VYBER	21600	83276	\N	\N	\N
410074	1396	1998-06-16	VYDAJ	VYBER KARTOU	1200	57973	\N	\N	0
410075	1396	1998-07-16	PRIJEM	VKLAD	11600	41833	\N	\N	\N
410076	1396	1998-08-15	PRIJEM	VKLAD	19100	31654	\N	\N	\N
410077	1396	1998-09-14	PRIJEM	VKLAD	19700	36755	\N	\N	\N
410078	1396	1998-10-14	PRIJEM	VKLAD	22300	35464	\N	\N	\N
410079	1396	1998-11-13	PRIJEM	VKLAD	9700	30575	\N	\N	\N
410080	1396	1998-12-13	PRIJEM	VKLAD	19600	46744	\N	\N	\N
410110	1397	1993-03-22	PRIJEM	VKLAD	700	700	\N	\N	\N
410114	1397	1993-04-13	PRIJEM	VKLAD	17278	17978	\N	\N	\N
410115	1397	1993-05-13	PRIJEM	VKLAD	17278	39988	\N	\N	\N
410116	1397	1993-06-13	PRIJEM	VKLAD	25917	59014	\N	\N	\N
410117	1397	1993-07-13	PRIJEM	VKLAD	17278	61647	\N	\N	\N
410118	1397	1993-08-13	PRIJEM	VKLAD	17278	58404	\N	\N	\N
410119	1397	1993-09-13	PRIJEM	VKLAD	17278	52323	\N	\N	\N
410120	1397	1993-10-13	PRIJEM	VKLAD	17278	49449	\N	\N	\N
410121	1397	1993-11-13	PRIJEM	VKLAD	17278	43865	\N	\N	\N
410122	1397	1993-12-13	PRIJEM	VKLAD	25917	49530	\N	\N	\N
410123	1397	1994-01-13	PRIJEM	VKLAD	17278	39079	\N	\N	\N
410124	1397	1994-02-13	PRIJEM	VKLAD	17278	29117	\N	\N	\N
410125	1397	1994-03-13	PRIJEM	VKLAD	17278	26069	\N	\N	\N
410126	1397	1994-04-13	PRIJEM	VKLAD	17278	35609	\N	\N	\N
410127	1397	1994-05-13	PRIJEM	VKLAD	17278	39275	\N	\N	\N
410128	1397	1994-06-13	PRIJEM	VKLAD	25917	47028	\N	\N	\N
410129	1397	1994-07-13	PRIJEM	VKLAD	17278	27937	\N	\N	\N
410130	1397	1994-08-13	PRIJEM	VKLAD	17278	38386	\N	\N	\N
410131	1397	1994-09-13	PRIJEM	VKLAD	17278	39256	\N	\N	\N
410132	1397	1994-10-13	PRIJEM	VKLAD	17278	42448	\N	\N	\N
410133	1397	1994-11-13	PRIJEM	VKLAD	17278	47140	\N	\N	\N
410134	1397	1994-12-13	PRIJEM	VKLAD	25917	57601	\N	\N	\N
410135	1397	1995-01-13	PRIJEM	VKLAD	17278	52545	\N	\N	\N
410136	1397	1995-02-13	PRIJEM	VKLAD	17278	44193	\N	\N	\N
410137	1397	1995-03-13	PRIJEM	VKLAD	17278	49096	\N	\N	\N
410138	1397	1995-04-13	PRIJEM	VKLAD	17278	48035	\N	\N	\N
410139	1397	1995-05-13	PRIJEM	VKLAD	17278	46132	\N	\N	\N
410140	1397	1995-06-13	PRIJEM	VKLAD	25917	59540	\N	\N	\N
410141	1397	1995-07-13	PRIJEM	VKLAD	17278	53959	\N	\N	\N
410142	1397	1995-08-13	PRIJEM	VKLAD	17278	52463	\N	\N	\N
410143	1397	1995-09-13	PRIJEM	VKLAD	17278	55912	\N	\N	\N
410144	1397	1995-10-13	PRIJEM	VKLAD	17278	54473	\N	\N	\N
410145	1397	1995-11-13	PRIJEM	VKLAD	17278	53973	\N	\N	\N
410146	1397	1995-12-13	PRIJEM	VKLAD	25917	61784	\N	\N	\N
410147	1397	1996-01-13	PRIJEM	VKLAD	17278	52654	\N	\N	\N
410148	1397	1996-02-13	PRIJEM	VKLAD	17278	42872	\N	\N	\N
410149	1397	1996-03-13	PRIJEM	VKLAD	17278	45978	\N	\N	\N
410150	1397	1996-04-13	PRIJEM	VKLAD	17278	52894	\N	\N	\N
410151	1397	1996-05-13	PRIJEM	VKLAD	17278	52835	\N	\N	\N
410152	1397	1996-06-13	PRIJEM	VKLAD	25917	53017	\N	\N	\N
410153	1397	1996-07-13	PRIJEM	VKLAD	17278	31460	\N	\N	\N
410154	1397	1996-08-13	PRIJEM	VKLAD	17278	35707	\N	\N	\N
410155	1397	1996-09-13	PRIJEM	VKLAD	17278	37777	\N	\N	\N
410156	1397	1996-10-13	PRIJEM	VKLAD	17278	40358	\N	\N	\N
410157	1397	1996-11-13	PRIJEM	VKLAD	17278	44849	\N	\N	\N
410158	1397	1996-12-13	PRIJEM	VKLAD	25917	47373	\N	\N	\N
410159	1397	1997-01-13	PRIJEM	VKLAD	17278	38382	\N	\N	\N
410160	1397	1997-02-13	PRIJEM	VKLAD	17278	27802	\N	\N	\N
410161	1397	1997-03-13	PRIJEM	VKLAD	17278	34543	\N	\N	\N
410162	1397	1997-04-13	PRIJEM	VKLAD	17278	35405	\N	\N	\N
410163	1397	1997-05-13	PRIJEM	VKLAD	17278	36276	\N	\N	\N
410164	1397	1997-06-13	PRIJEM	VKLAD	25917	48286	\N	\N	\N
410165	1397	1997-07-13	PRIJEM	VKLAD	17278	46397	\N	\N	\N
410166	1397	1997-08-13	PRIJEM	VKLAD	17278	41565	\N	\N	\N
410167	1397	1997-09-13	PRIJEM	VKLAD	17278	39360	\N	\N	\N
410168	1397	1997-10-13	PRIJEM	VKLAD	17278	41946	\N	\N	\N
410169	1397	1997-11-13	PRIJEM	VKLAD	17278	43042	\N	\N	\N
410170	1397	1997-12-13	PRIJEM	VKLAD	25917	51981	\N	\N	\N
410171	1397	1998-01-13	PRIJEM	VKLAD	17278	37193	\N	\N	\N
410172	1397	1998-02-13	PRIJEM	VKLAD	17278	37359	\N	\N	\N
410173	1397	1998-03-13	PRIJEM	VKLAD	17278	38176	\N	\N	\N
410174	1397	1998-04-13	PRIJEM	VKLAD	17278	41551	\N	\N	\N
410175	1397	1998-05-13	PRIJEM	VKLAD	17278	43244	\N	\N	\N
410176	1397	1998-06-13	PRIJEM	VKLAD	25917	48835	\N	\N	\N
410177	1397	1998-07-13	PRIJEM	VKLAD	17278	46235	\N	\N	\N
410178	1397	1998-08-13	PRIJEM	VKLAD	17278	45844	\N	\N	\N
410179	1397	1998-09-13	PRIJEM	VKLAD	17278	40884	\N	\N	\N
410180	1397	1998-10-13	PRIJEM	VKLAD	17278	37965	\N	\N	\N
410181	1397	1998-11-13	PRIJEM	VKLAD	17278	36227	\N	\N	\N
410182	1397	1998-12-13	PRIJEM	VKLAD	25917	45229	\N	\N	\N
410191	1397	1993-09-05	VYDAJ	PREVOD NA UCET	8319	35045	SIPO	MN	51145178
410192	1397	1993-10-05	VYDAJ	PREVOD NA UCET	8319	32171	SIPO	MN	51145178
410193	1397	1993-11-05	VYDAJ	PREVOD NA UCET	8319	30787	SIPO	MN	51145178
410194	1397	1993-12-05	VYDAJ	PREVOD NA UCET	8319	23613	SIPO	MN	51145178
410195	1397	1994-01-05	VYDAJ	PREVOD NA UCET	8319	25281	SIPO	MN	51145178
410196	1397	1994-02-05	VYDAJ	PREVOD NA UCET	8319	11839	SIPO	MN	51145178
410197	1397	1994-03-05	VYDAJ	PREVOD NA UCET	8319	8791	SIPO	MN	51145178
410198	1397	1994-04-05	VYDAJ	PREVOD NA UCET	8319	18331	SIPO	MN	51145178
410199	1397	1994-05-05	VYDAJ	PREVOD NA UCET	8319	21997	SIPO	MN	51145178
410200	1397	1994-06-05	VYDAJ	PREVOD NA UCET	8319	21111	SIPO	MN	51145178
410201	1397	1994-07-05	VYDAJ	PREVOD NA UCET	8319	10659	SIPO	MN	51145178
410202	1397	1994-08-05	VYDAJ	PREVOD NA UCET	8319	21108	SIPO	MN	51145178
410203	1397	1994-09-05	VYDAJ	PREVOD NA UCET	8319	21978	SIPO	MN	51145178
410204	1397	1994-10-05	VYDAJ	PREVOD NA UCET	8319	25170	SIPO	MN	51145178
410205	1397	1994-11-05	VYDAJ	PREVOD NA UCET	8319	28562	SIPO	MN	51145178
410206	1397	1994-12-05	VYDAJ	PREVOD NA UCET	8319	38984	SIPO	MN	51145178
410207	1397	1995-01-05	VYDAJ	PREVOD NA UCET	8319	48367	SIPO	MN	51145178
410208	1397	1995-02-05	VYDAJ	PREVOD NA UCET	8319	23115	SIPO	MN	51145178
410209	1397	1995-03-05	VYDAJ	PREVOD NA UCET	8319	36018	SIPO	MN	51145178
410210	1397	1995-04-05	VYDAJ	PREVOD NA UCET	8319	40957	SIPO	MN	51145178
410211	1397	1995-05-05	VYDAJ	PREVOD NA UCET	8319	37254	SIPO	MN	51145178
410212	1397	1995-06-05	VYDAJ	PREVOD NA UCET	8319	36423	SIPO	MN	51145178
410213	1397	1995-07-05	VYDAJ	PREVOD NA UCET	8319	47581	SIPO	MN	51145178
410214	1397	1995-08-05	VYDAJ	PREVOD NA UCET	8319	40685	SIPO	MN	51145178
410215	1397	1995-09-05	VYDAJ	PREVOD NA UCET	8319	44334	SIPO	MN	51145178
410216	1397	1995-10-05	VYDAJ	PREVOD NA UCET	8319	47795	SIPO	MN	51145178
410217	1397	1995-11-05	VYDAJ	PREVOD NA UCET	8319	44195	SIPO	MN	51145178
410218	1397	1995-12-05	VYDAJ	PREVOD NA UCET	8319	41367	SIPO	MN	51145178
410219	1397	1996-01-05	VYDAJ	PREVOD NA UCET	8319	53676	SIPO	MN	51145178
410220	1397	1996-02-05	VYDAJ	PREVOD NA UCET	8319	25594	SIPO	MN	51145178
410221	1397	1996-03-05	VYDAJ	PREVOD NA UCET	8319	34700	SIPO	MN	51145178
410222	1397	1996-04-05	VYDAJ	PREVOD NA UCET	8319	37816	SIPO	MN	51145178
410223	1397	1996-05-05	VYDAJ	PREVOD NA UCET	8319	41657	SIPO	MN	51145178
410224	1397	1996-06-05	VYDAJ	PREVOD NA UCET	8319	27100	SIPO	MN	51145178
410225	1397	1996-07-05	VYDAJ	PREVOD NA UCET	8319	14182	SIPO	MN	51145178
410226	1397	1996-08-05	VYDAJ	PREVOD NA UCET	8319	18429	SIPO	MN	51145178
410227	1397	1996-09-05	VYDAJ	PREVOD NA UCET	8319	23899	SIPO	MN	51145178
410228	1397	1996-10-05	VYDAJ	PREVOD NA UCET	8319	23080	SIPO	MN	51145178
410229	1397	1996-11-05	VYDAJ	PREVOD NA UCET	8319	27571	SIPO	MN	51145178
410230	1397	1996-12-05	VYDAJ	PREVOD NA UCET	8319	25776	SIPO	MN	51145178
410231	1397	1997-01-05	VYDAJ	PREVOD NA UCET	8319	24504	SIPO	MN	51145178
410232	1397	1997-02-05	VYDAJ	PREVOD NA UCET	8319	10524	SIPO	MN	51145178
410233	1397	1997-03-05	VYDAJ	PREVOD NA UCET	8319	17265	SIPO	MN	51145178
410234	1397	1997-04-05	VYDAJ	PREVOD NA UCET	8319	21927	SIPO	MN	51145178
410235	1397	1997-05-05	VYDAJ	PREVOD NA UCET	8319	19998	SIPO	MN	51145178
410236	1397	1997-06-05	VYDAJ	PREVOD NA UCET	8319	22369	SIPO	MN	51145178
410237	1397	1997-07-05	VYDAJ	PREVOD NA UCET	8319	29119	SIPO	MN	51145178
410238	1397	1997-08-05	VYDAJ	PREVOD NA UCET	8319	24287	SIPO	MN	51145178
410239	1397	1997-09-05	VYDAJ	PREVOD NA UCET	8319	22082	SIPO	MN	51145178
410240	1397	1997-10-05	VYDAJ	PREVOD NA UCET	8319	24668	SIPO	MN	51145178
410241	1397	1997-11-05	VYDAJ	PREVOD NA UCET	8319	25764	SIPO	MN	51145178
410242	1397	1997-12-05	VYDAJ	PREVOD NA UCET	8319	26064	SIPO	MN	51145178
410243	1397	1998-01-05	VYDAJ	PREVOD NA UCET	8319	22215	SIPO	MN	51145178
410244	1397	1998-02-05	VYDAJ	PREVOD NA UCET	8319	20081	SIPO	MN	51145178
410245	1397	1998-03-05	VYDAJ	PREVOD NA UCET	8319	25458	SIPO	MN	51145178
410246	1397	1998-04-05	VYDAJ	PREVOD NA UCET	8319	24273	SIPO	MN	51145178
410247	1397	1998-05-05	VYDAJ	PREVOD NA UCET	8319	27066	SIPO	MN	51145178
410248	1397	1998-06-05	VYDAJ	PREVOD NA UCET	8319	28358	SIPO	MN	51145178
410249	1397	1998-07-05	VYDAJ	PREVOD NA UCET	8319	28957	SIPO	MN	51145178
410250	1397	1998-08-05	VYDAJ	PREVOD NA UCET	8319	28566	SIPO	MN	51145178
410251	1397	1998-09-05	VYDAJ	PREVOD NA UCET	8319	23606	SIPO	MN	51145178
410252	1397	1998-10-05	VYDAJ	PREVOD NA UCET	8319	22387	SIPO	MN	51145178
410253	1397	1998-11-05	VYDAJ	PREVOD NA UCET	8319	18949	SIPO	MN	51145178
410254	1397	1998-12-05	VYDAJ	PREVOD NA UCET	8319	19312	SIPO	MN	51145178
410256	1397	1994-06-28	VYDAJ	VYBER	16160	18868	\N	\N	\N
410258	1397	1996-06-29	VYDAJ	VYBER	35680	17337	\N	\N	\N
410260	1397	1998-06-07	VYDAJ	VYBER	5440	22918	\N	\N	\N
410262	1397	1994-01-17	VYDAJ	VYBER	4640	28339	\N	\N	\N
410263	1397	1995-01-13	VYDAJ	VYBER	5920	46625	\N	\N	\N
410264	1397	1996-01-15	VYDAJ	VYBER	13600	39054	\N	\N	\N
410265	1397	1997-01-26	VYDAJ	VYBER	7360	19242	\N	\N	\N
410267	1397	1993-12-14	VYDAJ	VYBER	3360	46170	\N	\N	\N
410268	1397	1994-12-21	VYDAJ	VYBER	1120	56481	\N	\N	\N
410269	1397	1995-12-04	VYDAJ	VYBER	4480	49686	\N	\N	\N
410270	1397	1996-12-09	VYDAJ	VYBER	4320	21456	\N	\N	\N
410271	1397	1997-12-18	VYDAJ	VYBER KARTOU	2700	49281	\N	\N	0
410272	1397	1998-12-21	VYDAJ	VYBER KARTOU	1900	43329	\N	\N	0
410279	1397	1994-01-25	VYDAJ	VYBER	720	23419	\N	\N	\N
410280	1397	1994-01-09	VYDAJ	VYBER	2040	21801	\N	\N	\N
410281	1397	1994-01-21	VYDAJ	VYBER	1200	27139	\N	\N	\N
410282	1397	1994-01-28	VYDAJ	VYBER	3360	20059	\N	\N	\N
410283	1397	1994-01-24	VYDAJ	VYBER	3000	24139	\N	\N	\N
410284	1397	1994-01-05	VYDAJ	VYBER	1440	23841	\N	\N	\N
410285	1397	1995-01-18	VYDAJ	VYBER	1560	39905	\N	\N	\N
410286	1397	1995-01-23	VYDAJ	VYBER	3120	36185	\N	\N	\N
410287	1397	1995-01-20	VYDAJ	VYBER	600	39305	\N	\N	\N
410288	1397	1995-01-16	VYDAJ	VYBER	3120	41465	\N	\N	\N
410289	1397	1995-01-25	VYDAJ	VYBER	2160	34025	\N	\N	\N
410290	1397	1995-01-14	VYDAJ	VYBER	2040	44585	\N	\N	\N
410291	1397	1996-01-26	VYDAJ	VYBER	1560	33054	\N	\N	\N
410292	1397	1996-01-25	VYDAJ	VYBER	1200	34614	\N	\N	\N
410293	1397	1996-01-12	VYDAJ	VYBER	3240	36336	\N	\N	\N
410294	1397	1996-01-20	VYDAJ	VYBER	1200	37854	\N	\N	\N
410295	1397	1996-01-22	VYDAJ	VYBER	2040	35814	\N	\N	\N
410296	1397	1996-01-12	VYDAJ	VYBER	960	35376	\N	\N	\N
410297	1397	1997-01-12	VYDAJ	VYBER KARTOU	3400	21104	\N	\N	0
410298	1397	1997-01-01	VYDAJ	VYBER KARTOU	1100	32823	\N	\N	0
410299	1397	1997-01-22	VYDAJ	VYBER KARTOU	3100	31882	\N	\N	0
410301	1397	1997-01-14	VYDAJ	VYBER KARTOU	3400	34982	\N	\N	0
410302	1397	1997-01-29	VYDAJ	VYBER KARTOU	1100	18142	\N	\N	0
410303	1397	1998-01-05	VYDAJ	VYBER KARTOU	2900	30534	\N	\N	0
410305	1397	1998-01-06	VYDAJ	VYBER KARTOU	2300	19915	\N	\N	0
410306	1397	1998-01-29	VYDAJ	VYBER KARTOU	3100	28293	\N	\N	0
410307	1397	1998-01-18	VYDAJ	VYBER KARTOU	1400	35793	\N	\N	0
410308	1397	1998-01-04	VYDAJ	VYBER KARTOU	800	33434	\N	\N	0
410311	1397	1993-11-13	VYDAJ	VYBER	3960	39905	\N	\N	\N
410312	1397	1993-11-09	VYDAJ	VYBER	4200	26587	\N	\N	\N
410314	1397	1994-02-17	VYDAJ	VYBER	5640	20877	\N	\N	\N
410315	1397	1994-06-04	VYDAJ	VYBER	960	29430	\N	\N	\N
410316	1397	1994-02-26	VYDAJ	VYBER	3840	17037	\N	\N	\N
410318	1397	1995-05-25	VYDAJ	VYBER	1560	44572	\N	\N	\N
410319	1397	1995-01-25	VYDAJ	VYBER	2760	31265	\N	\N	\N
410320	1397	1995-04-21	VYDAJ	VYBER	2640	45395	\N	\N	\N
410321	1397	1995-07-31	VYDAJ	VYBER	5160	49004	\N	\N	\N
410322	1397	1995-11-01	VYDAJ	VYBER	2160	52514	\N	\N	\N
410323	1397	1995-06-25	VYDAJ	VYBER	3840	55700	\N	\N	\N
410324	1397	1996-11-26	VYDAJ	VYBER KARTOU	3700	41149	\N	\N	0
410325	1397	1996-06-03	VYDAJ	VYBER	4800	48219	\N	\N	\N
410326	1397	1996-09-08	VYDAJ	VYBER KARTOU	3400	20499	\N	\N	0
410328	1397	1996-04-28	VYDAJ	VYBER KARTOU	3100	49794	\N	\N	0
410329	1397	1997-02-25	VYDAJ	VYBER KARTOU	2500	25302	\N	\N	0
410330	1397	1997-07-20	VYDAJ	VYBER	5040	41357	\N	\N	\N
410331	1397	1997-05-07	VYDAJ	VYBER KARTOU	1000	18998	\N	\N	0
410332	1397	1997-01-25	VYDAJ	VYBER	5280	26602	\N	\N	\N
410333	1397	1997-04-08	VYDAJ	VYBER KARTOU	3800	18127	\N	\N	0
410334	1397	1998-07-31	VYDAJ	VYBER KARTOU	1400	36885	\N	\N	0
410335	1397	1998-01-21	VYDAJ	VYBER KARTOU	2600	33193	\N	\N	0
410336	1397	1998-05-06	VYDAJ	VYBER KARTOU	1100	25966	\N	\N	0
410337	1397	1998-08-21	VYDAJ	VYBER	4560	41284	\N	\N	\N
410338	1397	1998-10-06	VYDAJ	VYBER KARTOU	1700	20687	\N	\N	0
410339	1397	1998-03-06	VYDAJ	VYBER	4560	20898	\N	\N	\N
410348	1397	1993-08-31	VYDAJ	VYBER	15	43364	SLUZBY	\N	\N
410349	1397	1993-09-30	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
410350	1397	1993-10-31	VYDAJ	VYBER	15	39106	SLUZBY	\N	\N
410351	1397	1993-11-30	VYDAJ	VYBER	15	31932	SLUZBY	\N	\N
410352	1397	1993-12-31	VYDAJ	VYBER	15	33600	SLUZBY	\N	\N
410353	1397	1994-01-31	VYDAJ	VYBER	15	20158	SLUZBY	\N	\N
410354	1397	1994-02-28	VYDAJ	VYBER	15	17110	SLUZBY	\N	\N
410355	1397	1994-03-31	VYDAJ	VYBER	15	26650	SLUZBY	\N	\N
410356	1397	1994-04-30	VYDAJ	VYBER	15	30316	SLUZBY	\N	\N
410357	1397	1994-05-31	VYDAJ	VYBER	15	30390	SLUZBY	\N	\N
410358	1397	1994-06-30	VYDAJ	VYBER	15	18978	SLUZBY	\N	\N
410359	1397	1994-07-31	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
410360	1397	1994-08-31	VYDAJ	VYBER	15	30297	SLUZBY	\N	\N
410361	1397	1994-09-30	VYDAJ	VYBER	15	33489	SLUZBY	\N	\N
410362	1397	1994-10-31	VYDAJ	VYBER	15	36881	SLUZBY	\N	\N
410363	1397	1994-11-30	VYDAJ	VYBER	15	47303	SLUZBY	\N	\N
410364	1397	1994-12-31	VYDAJ	VYBER	15	56686	SLUZBY	\N	\N
410365	1397	1995-01-31	VYDAJ	VYBER	15	31434	SLUZBY	\N	\N
410366	1397	1995-02-28	VYDAJ	VYBER	15	44337	SLUZBY	\N	\N
410367	1397	1995-03-31	VYDAJ	VYBER	15	49276	SLUZBY	\N	\N
410368	1397	1995-04-30	VYDAJ	VYBER	15	45573	SLUZBY	\N	\N
410369	1397	1995-05-31	VYDAJ	VYBER	15	44742	SLUZBY	\N	\N
410370	1397	1995-06-30	VYDAJ	VYBER	15	55900	SLUZBY	\N	\N
410371	1397	1995-07-31	VYDAJ	VYBER	15	54164	SLUZBY	\N	\N
410372	1397	1995-08-31	VYDAJ	VYBER	15	52653	SLUZBY	\N	\N
410373	1397	1995-09-30	VYDAJ	VYBER	15	56114	SLUZBY	\N	\N
410374	1397	1995-10-31	VYDAJ	VYBER	15	54674	SLUZBY	\N	\N
410375	1397	1995-11-30	VYDAJ	VYBER	15	54166	SLUZBY	\N	\N
410376	1397	1995-12-31	VYDAJ	VYBER	15	61995	SLUZBY	\N	\N
410377	1397	1996-01-31	VYDAJ	VYBER	15	33213	SLUZBY	\N	\N
410378	1397	1996-02-29	VYDAJ	VYBER	15	43019	SLUZBY	\N	\N
410379	1397	1996-03-31	VYDAJ	VYBER	15	46135	SLUZBY	\N	\N
410380	1397	1996-04-30	VYDAJ	VYBER	15	49976	SLUZBY	\N	\N
410381	1397	1996-05-31	VYDAJ	VYBER	15	53019	SLUZBY	\N	\N
410382	1397	1996-06-30	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
410383	1397	1996-07-31	VYDAJ	VYBER	15	31548	SLUZBY	\N	\N
410384	1397	1996-08-31	VYDAJ	VYBER	15	35818	SLUZBY	\N	\N
410385	1397	1996-09-30	VYDAJ	VYBER	15	37899	SLUZBY	\N	\N
410386	1397	1996-10-31	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
410387	1397	1996-11-30	VYDAJ	VYBER	15	41295	SLUZBY	\N	\N
410388	1397	1996-12-31	VYDAJ	VYBER	15	33923	SLUZBY	\N	\N
410389	1397	1997-01-31	VYDAJ	VYBER	15	18843	SLUZBY	\N	\N
410390	1397	1997-02-28	VYDAJ	VYBER	15	25384	SLUZBY	\N	\N
410391	1397	1997-03-31	VYDAJ	VYBER	15	30246	SLUZBY	\N	\N
410392	1397	1997-04-30	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
410393	1397	1997-05-31	VYDAJ	VYBER	15	30688	SLUZBY	\N	\N
410394	1397	1997-06-30	VYDAJ	VYBER	15	37438	SLUZBY	\N	\N
410395	1397	1997-07-31	VYDAJ	VYBER	15	32606	SLUZBY	\N	\N
410396	1397	1997-08-31	VYDAJ	VYBER	15	30401	SLUZBY	\N	\N
410397	1397	1997-09-30	VYDAJ	VYBER	15	32987	SLUZBY	\N	\N
410398	1397	1997-10-31	VYDAJ	VYBER	15	34083	SLUZBY	\N	\N
410399	1397	1997-11-30	VYDAJ	VYBER	15	34383	SLUZBY	\N	\N
410400	1397	1997-12-31	VYDAJ	VYBER	15	34234	SLUZBY	\N	\N
410401	1397	1998-01-31	VYDAJ	VYBER	15	28400	SLUZBY	\N	\N
410402	1397	1998-02-28	VYDAJ	VYBER	15	33777	SLUZBY	\N	\N
410403	1397	1998-03-31	VYDAJ	VYBER	15	32592	SLUZBY	\N	\N
410404	1397	1998-04-30	VYDAJ	VYBER	15	35385	SLUZBY	\N	\N
410405	1397	1998-05-31	VYDAJ	VYBER	15	36677	SLUZBY	\N	\N
410406	1397	1998-06-30	VYDAJ	VYBER	15	37276	SLUZBY	\N	\N
410407	1397	1998-07-31	VYDAJ	VYBER	15	38285	SLUZBY	\N	\N
410408	1397	1998-08-31	VYDAJ	VYBER	15	31925	SLUZBY	\N	\N
410409	1397	1998-09-30	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
410410	1397	1998-10-31	VYDAJ	VYBER	15	27268	SLUZBY	\N	\N
410411	1397	1998-11-30	VYDAJ	VYBER	15	27631	SLUZBY	\N	\N
410412	1397	1993-04-21	PRIJEM	VKLAD	4700	22678	\N	\N	\N
410413	1397	1993-05-21	VYDAJ	VYBER	7000	32988	\N	\N	\N
410414	1397	1993-06-20	VYDAJ	VYBER	14800	44214	\N	\N	\N
410415	1397	1993-07-20	VYDAJ	VYBER	20700	40947	\N	\N	\N
410416	1397	1993-08-19	VYDAJ	VYBER	15200	43204	\N	\N	\N
410417	1397	1993-09-18	VYDAJ	VYBER	12000	40323	\N	\N	\N
410418	1397	1993-10-18	VYDAJ	VYBER	10500	38949	\N	\N	\N
410419	1397	1993-11-17	VYDAJ	VYBER	8100	31805	\N	\N	\N
410420	1397	1993-12-17	VYDAJ	VYBER	12700	33470	\N	\N	\N
410421	1397	1994-01-16	VYDAJ	VYBER	6100	32979	\N	\N	\N
410422	1397	1994-02-15	VYDAJ	VYBER	2600	26517	\N	\N	\N
410423	1397	1994-03-17	PRIJEM	VKLAD	500	26569	\N	\N	\N
410424	1397	1994-04-16	VYDAJ	VYBER	5400	30209	\N	\N	\N
410425	1397	1994-05-16	VYDAJ	VYBER	9000	30275	\N	\N	\N
410426	1397	1994-06-15	VYDAJ	VYBER	12000	35028	\N	\N	\N
410427	1397	1994-07-15	PRIJEM	VKLAD	1400	29337	\N	\N	\N
410428	1397	1994-08-14	VYDAJ	VYBER	8200	30186	\N	\N	\N
410429	1397	1994-09-13	VYDAJ	VYBER	5900	33356	\N	\N	\N
410430	1397	1994-10-13	VYDAJ	VYBER	5700	36748	\N	\N	\N
410431	1397	1994-11-12	PRIJEM	VKLAD	1300	29862	\N	\N	\N
410432	1397	1994-12-12	VYDAJ	VYBER	7300	31684	\N	\N	\N
410433	1397	1995-01-11	VYDAJ	VYBER	13100	35267	\N	\N	\N
410434	1397	1995-02-10	PRIJEM	VKLAD	3800	26915	\N	\N	\N
410435	1397	1995-03-12	VYDAJ	VYBER	4200	31818	\N	\N	\N
410436	1397	1995-04-11	VYDAJ	VYBER	10200	30757	\N	\N	\N
410437	1397	1995-05-11	VYDAJ	VYBER	8400	28854	\N	\N	\N
410438	1397	1995-06-10	VYDAJ	VYBER	2800	33623	\N	\N	\N
410439	1397	1995-07-10	VYDAJ	VYBER	10900	36681	\N	\N	\N
410440	1397	1995-08-09	VYDAJ	VYBER	5500	35185	\N	\N	\N
410441	1397	1995-09-08	VYDAJ	VYBER	5700	38634	\N	\N	\N
410442	1397	1995-10-08	VYDAJ	VYBER	10600	37195	\N	\N	\N
410443	1397	1995-11-07	VYDAJ	VYBER	7500	36695	\N	\N	\N
410444	1397	1995-12-07	VYDAJ	VYBER	5500	35867	\N	\N	\N
410445	1397	1996-01-06	VYDAJ	VYBER	14100	39576	\N	\N	\N
410446	1397	1996-02-05	PRIJEM	VKLAD	700	33913	\N	\N	\N
410447	1397	1996-03-06	VYDAJ	VYBER	6000	28700	\N	\N	\N
410448	1397	1996-04-05	VYDAJ	VYBER KARTOU	2200	35616	\N	\N	0
410449	1397	1996-05-05	VYDAJ	VYBER	6100	35557	\N	\N	\N
410450	1397	1996-06-04	VYDAJ	VYBER	12800	35419	\N	\N	\N
410451	1397	1996-07-04	PRIJEM	VKLAD	5000	22501	\N	\N	\N
410452	1397	1996-08-03	VYDAJ	VYBER	4800	26748	\N	\N	\N
410453	1397	1996-09-02	VYDAJ	VYBER KARTOU	3600	32218	\N	\N	0
410454	1397	1996-10-02	VYDAJ	VYBER	6500	31399	\N	\N	\N
410455	1397	1996-11-01	VYDAJ	VYBER	4600	35890	\N	\N	\N
410456	1397	1996-12-01	VYDAJ	VYBER	7200	34095	\N	\N	\N
410457	1397	1996-12-31	VYDAJ	VYBER	13600	33937	\N	\N	\N
410458	1397	1997-01-30	PRIJEM	VKLAD	600	18742	\N	\N	\N
410459	1397	1997-03-01	PRIJEM	VKLAD	200	25584	\N	\N	\N
410460	1397	1997-03-31	VYDAJ	VYBER	4400	30261	\N	\N	\N
410461	1397	1997-04-30	VYDAJ	VYBER	7200	28332	\N	\N	\N
410462	1397	1997-05-30	VYDAJ	VYBER	5700	30576	\N	\N	\N
410463	1397	1997-06-29	VYDAJ	VYBER	11000	37286	\N	\N	\N
410464	1397	1997-07-29	VYDAJ	VYBER	8900	32457	\N	\N	\N
410465	1397	1997-08-28	VYDAJ	VYBER	11300	30265	\N	\N	\N
410466	1397	1997-09-27	VYDAJ	VYBER	6500	32860	\N	\N	\N
410467	1397	1997-10-27	VYDAJ	VYBER	8000	33946	\N	\N	\N
410468	1397	1997-11-26	VYDAJ	VYBER	8800	34242	\N	\N	\N
410469	1397	1997-12-26	VYDAJ	VYBER	15200	34081	\N	\N	\N
410470	1397	1998-01-25	VYDAJ	VYBER KARTOU	1800	31393	\N	\N	0
410471	1397	1998-02-24	VYDAJ	VYBER KARTOU	3700	33659	\N	\N	0
410472	1397	1998-03-26	VYDAJ	VYBER	5700	32476	\N	\N	\N
410473	1397	1998-04-25	VYDAJ	VYBER	6300	35251	\N	\N	\N
410474	1397	1998-05-25	VYDAJ	VYBER	6700	36544	\N	\N	\N
410475	1397	1998-06-24	VYDAJ	VYBER	11700	37135	\N	\N	\N
410476	1397	1998-07-24	VYDAJ	VYBER	8100	38135	\N	\N	\N
410477	1397	1998-08-23	VYDAJ	VYBER	9500	31784	\N	\N	\N
410478	1397	1998-09-22	VYDAJ	VYBER	10300	30584	\N	\N	\N
410479	1397	1998-10-22	VYDAJ	VYBER	10800	27165	\N	\N	\N
410480	1397	1998-11-21	VYDAJ	VYBER	8700	27527	\N	\N	\N
410550	1398	1994-08-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
410681	1398	1994-09-17	PRIJEM	VKLAD	13400	14400	\N	\N	\N
410682	1398	1994-10-17	PRIJEM	VKLAD	6900	21300	\N	\N	\N
410683	1398	1994-11-16	PRIJEM	VKLAD	3900	25200	\N	\N	\N
410684	1398	1994-12-16	PRIJEM	VKLAD	2300	27500	\N	\N	\N
410685	1398	1995-01-15	VYDAJ	VYBER	100	27400	\N	\N	\N
410686	1398	1995-03-16	PRIJEM	VKLAD	300	27700	\N	\N	\N
410687	1398	1995-04-15	PRIJEM	VKLAD	200	27900	\N	\N	\N
410688	1398	1995-05-15	VYDAJ	VYBER	800	27100	\N	\N	\N
410689	1398	1995-06-14	VYDAJ	VYBER	2600	24500	\N	\N	\N
410690	1398	1995-07-14	PRIJEM	VKLAD	2300	26800	\N	\N	\N
410691	1398	1995-08-13	PRIJEM	VKLAD	100	26900	\N	\N	\N
410692	1398	1995-09-12	VYDAJ	VYBER	1000	25900	\N	\N	\N
410693	1398	1995-10-12	PRIJEM	VKLAD	2200	28100	\N	\N	\N
410694	1398	1995-11-11	VYDAJ	VYBER	3400	24700	\N	\N	\N
410695	1398	1995-12-11	PRIJEM	VKLAD	1300	26000	\N	\N	\N
410696	1398	1996-01-10	VYDAJ	VYBER	2000	24000	\N	\N	\N
410697	1398	1996-02-09	PRIJEM	VKLAD	200	24200	\N	\N	\N
410698	1398	1996-03-10	PRIJEM	VKLAD	200	24400	\N	\N	\N
410699	1398	1996-04-09	PRIJEM	VKLAD	600	25000	\N	\N	\N
410700	1398	1996-05-09	PRIJEM	VKLAD	5000	30000	\N	\N	\N
410701	1398	1996-06-08	PRIJEM	VKLAD	1700	31700	\N	\N	\N
410702	1398	1996-07-08	PRIJEM	VKLAD	2000	33700	\N	\N	\N
410703	1398	1996-08-07	PRIJEM	VKLAD	2900	36600	\N	\N	\N
410704	1398	1996-09-06	VYDAJ	VYBER	1500	35100	\N	\N	\N
410705	1398	1996-10-06	VYDAJ	VYBER	1100	34000	\N	\N	\N
410706	1398	1996-11-05	PRIJEM	VKLAD	700	34700	\N	\N	\N
410707	1398	1996-12-05	VYDAJ	VYBER	600	34100	\N	\N	\N
410708	1398	1997-01-04	PRIJEM	VKLAD	1600	35700	\N	\N	\N
410709	1398	1997-02-03	PRIJEM	VKLAD	1500	37200	\N	\N	\N
410710	1398	1997-03-05	PRIJEM	VKLAD	1900	39100	\N	\N	\N
410711	1398	1997-04-04	VYDAJ	VYBER	500	38600	\N	\N	\N
410712	1398	1997-05-04	VYDAJ	VYBER	300	38300	\N	\N	\N
410713	1398	1997-06-03	VYDAJ	VYBER	300	38000	\N	\N	\N
410714	1398	1997-07-03	VYDAJ	VYBER	600	37400	\N	\N	\N
410715	1398	1997-08-02	PRIJEM	VKLAD	1200	38600	\N	\N	\N
410716	1398	1997-09-01	PRIJEM	VKLAD	1600	40200	\N	\N	\N
410717	1398	1997-10-01	PRIJEM	VKLAD	1200	41400	\N	\N	\N
410718	1398	1997-10-31	PRIJEM	VKLAD	2400	43800	\N	\N	\N
410719	1398	1997-11-30	PRIJEM	VKLAD	1500	45488	\N	\N	\N
410720	1398	1997-12-30	PRIJEM	VKLAD	2600	48088	\N	\N	\N
410721	1398	1998-01-29	VYDAJ	VYBER	2400	45871	\N	\N	\N
410722	1398	1998-02-28	VYDAJ	VYBER	800	45455	\N	\N	\N
410723	1398	1998-03-30	VYDAJ	VYBER	4200	41255	\N	\N	\N
410724	1398	1998-04-29	VYDAJ	VYBER	4800	36638	\N	\N	\N
410725	1398	1998-05-29	PRIJEM	VKLAD	100	36920	\N	\N	\N
410726	1398	1998-06-28	VYDAJ	VYBER	1200	35903	\N	\N	\N
410727	1398	1998-07-28	VYDAJ	VYBER	300	35785	\N	\N	\N
410728	1398	1998-08-27	PRIJEM	VKLAD	1000	36968	\N	\N	\N
410729	1398	1998-09-26	VYDAJ	VYBER	6300	30850	\N	\N	\N
410730	1398	1998-10-26	PRIJEM	VKLAD	600	31633	\N	\N	\N
410731	1398	1998-11-25	VYDAJ	VYBER	1000	30815	\N	\N	\N
410732	1398	1998-12-25	PRIJEM	VKLAD	1000	31998	\N	\N	\N
410747	1399	1996-05-20	PRIJEM	VKLAD	800	800	\N	\N	\N
410753	1399	1996-06-14	PRIJEM	VKLAD	13083	13883	\N	\N	\N
410754	1399	1996-07-14	PRIJEM	VKLAD	8722	28638	\N	\N	\N
410755	1399	1996-08-14	PRIJEM	VKLAD	8722	37558	\N	\N	\N
410756	1399	1996-09-14	PRIJEM	VKLAD	8722	42810	\N	\N	\N
410757	1399	1996-10-14	PRIJEM	VKLAD	8722	46881	\N	\N	\N
410758	1399	1996-11-14	PRIJEM	VKLAD	8722	41137	\N	\N	\N
410759	1399	1996-12-14	PRIJEM	VKLAD	13083	40938	\N	\N	\N
410760	1399	1997-01-14	PRIJEM	VKLAD	8722	17320	\N	\N	\N
410761	1399	1997-02-14	PRIJEM	VKLAD	8722	23340	\N	\N	\N
410762	1399	1997-03-14	PRIJEM	VKLAD	8722	20908	\N	\N	\N
410763	1399	1997-04-14	PRIJEM	VKLAD	8722	21456	\N	\N	\N
410764	1399	1997-05-14	PRIJEM	VKLAD	8722	29021	\N	\N	\N
410765	1399	1997-06-14	PRIJEM	VKLAD	13083	39395	\N	\N	\N
410766	1399	1997-07-14	PRIJEM	VKLAD	8722	39935	\N	\N	\N
410767	1399	1997-08-14	PRIJEM	VKLAD	8722	40082	\N	\N	\N
410768	1399	1997-09-14	PRIJEM	VKLAD	8722	40929	\N	\N	\N
410769	1399	1997-10-14	PRIJEM	VKLAD	8722	42788	\N	\N	\N
410770	1399	1997-11-14	PRIJEM	VKLAD	8722	38453	\N	\N	\N
410771	1399	1997-12-14	PRIJEM	VKLAD	13083	37809	\N	\N	\N
410772	1399	1998-01-14	PRIJEM	VKLAD	8722	34012	\N	\N	\N
410773	1399	1998-02-14	PRIJEM	VKLAD	8722	28812	\N	\N	\N
410774	1399	1998-03-14	PRIJEM	VKLAD	8722	31415	\N	\N	\N
410775	1399	1998-04-14	PRIJEM	VKLAD	8722	32271	\N	\N	\N
410776	1399	1998-05-14	PRIJEM	VKLAD	8722	36946	\N	\N	\N
410777	1399	1998-06-14	PRIJEM	VKLAD	13083	46841	\N	\N	\N
410778	1399	1998-07-14	PRIJEM	VKLAD	8722	38122	\N	\N	\N
410779	1399	1998-08-14	PRIJEM	VKLAD	8722	39264	\N	\N	\N
410780	1399	1998-09-14	PRIJEM	VKLAD	8722	40712	\N	\N	\N
410781	1399	1998-10-14	PRIJEM	VKLAD	8722	37865	\N	\N	\N
410782	1399	1998-11-14	PRIJEM	VKLAD	8722	34710	\N	\N	\N
410783	1399	1998-12-14	PRIJEM	VKLAD	13083	37080	\N	\N	\N
410794	1399	1996-11-05	VYDAJ	PREVOD NA UCET	5427	32773	SIPO	IJ	36796647
410795	1399	1996-12-05	VYDAJ	PREVOD NA UCET	5427	28213	SIPO	IJ	36796647
410796	1399	1997-01-05	VYDAJ	PREVOD NA UCET	5427	8956	SIPO	IJ	36796647
410797	1399	1997-02-05	VYDAJ	PREVOD NA UCET	5427	13276	SIPO	IJ	36796647
410798	1399	1997-03-05	VYDAJ	PREVOD NA UCET	5427	12544	SIPO	IJ	36796647
410799	1399	1997-04-05	VYDAJ	PREVOD NA UCET	5427	13092	SIPO	IJ	36796647
410800	1399	1997-05-05	VYDAJ	PREVOD NA UCET	5427	20657	SIPO	IJ	36796647
410801	1399	1997-06-05	VYDAJ	PREVOD NA UCET	5427	26670	SIPO	IJ	36796647
410802	1399	1997-07-05	VYDAJ	PREVOD NA UCET	5427	31571	SIPO	IJ	36796647
410803	1399	1997-08-05	VYDAJ	PREVOD NA UCET	5427	28418	SIPO	IJ	36796647
410804	1399	1997-09-05	VYDAJ	PREVOD NA UCET	5427	34765	SIPO	IJ	36796647
410805	1399	1997-10-05	VYDAJ	PREVOD NA UCET	5427	35624	SIPO	IJ	36796647
410806	1399	1997-11-05	VYDAJ	PREVOD NA UCET	5427	37489	SIPO	IJ	36796647
410807	1399	1997-12-05	VYDAJ	PREVOD NA UCET	5427	33144	SIPO	IJ	36796647
410808	1399	1998-01-05	VYDAJ	PREVOD NA UCET	5427	32488	SIPO	IJ	36796647
410809	1399	1998-02-05	VYDAJ	PREVOD NA UCET	5427	20148	SIPO	IJ	36796647
410810	1399	1998-03-05	VYDAJ	PREVOD NA UCET	5427	23451	SIPO	IJ	36796647
410811	1399	1998-04-05	VYDAJ	PREVOD NA UCET	5427	26067	SIPO	IJ	36796647
410812	1399	1998-05-05	VYDAJ	PREVOD NA UCET	5427	24882	SIPO	IJ	36796647
410813	1399	1998-06-05	VYDAJ	PREVOD NA UCET	5427	31616	SIPO	IJ	36796647
410814	1399	1998-07-05	VYDAJ	PREVOD NA UCET	5427	28858	SIPO	IJ	36796647
410815	1399	1998-08-05	VYDAJ	PREVOD NA UCET	5427	32800	SIPO	IJ	36796647
410816	1399	1998-09-05	VYDAJ	PREVOD NA UCET	5427	33948	SIPO	IJ	36796647
410817	1399	1998-10-05	VYDAJ	PREVOD NA UCET	5427	35401	SIPO	IJ	36796647
410818	1399	1998-11-05	VYDAJ	PREVOD NA UCET	5427	28946	SIPO	IJ	36796647
410819	1399	1998-12-05	VYDAJ	PREVOD NA UCET	5427	28255	SIPO	IJ	36796647
410830	1399	1996-11-10	VYDAJ	PREVOD NA UCET	13	32760	 	WX	32165342
410831	1399	1996-12-10	VYDAJ	PREVOD NA UCET	13	27855	 	WX	32165342
410832	1399	1997-01-10	VYDAJ	PREVOD NA UCET	13	8598	 	WX	32165342
410833	1399	1997-02-10	VYDAJ	PREVOD NA UCET	13	13263	 	WX	32165342
410834	1399	1997-03-10	VYDAJ	PREVOD NA UCET	13	12531	 	WX	32165342
410835	1399	1997-04-10	VYDAJ	PREVOD NA UCET	13	13079	 	WX	32165342
410836	1399	1997-05-10	VYDAJ	PREVOD NA UCET	13	20644	 	WX	32165342
410837	1399	1997-06-10	VYDAJ	PREVOD NA UCET	13	26312	 	WX	32165342
410838	1399	1997-07-10	VYDAJ	PREVOD NA UCET	13	31558	 	WX	32165342
410839	1399	1997-08-10	VYDAJ	PREVOD NA UCET	13	28405	 	WX	32165342
410840	1399	1997-09-10	VYDAJ	PREVOD NA UCET	13	34752	 	WX	32165342
410841	1399	1997-10-10	VYDAJ	PREVOD NA UCET	13	35266	 	WX	32165342
410842	1399	1997-11-10	VYDAJ	PREVOD NA UCET	13	37476	 	WX	32165342
410843	1399	1997-12-10	VYDAJ	PREVOD NA UCET	13	32171	 	WX	32165342
410844	1399	1998-01-10	VYDAJ	PREVOD NA UCET	13	31875	 	WX	32165342
410845	1399	1998-02-10	VYDAJ	PREVOD NA UCET	13	20435	 	WX	32165342
410846	1399	1998-03-10	VYDAJ	PREVOD NA UCET	13	23093	 	WX	32165342
410847	1399	1998-04-10	VYDAJ	PREVOD NA UCET	13	23549	 	WX	32165342
410848	1399	1998-05-10	VYDAJ	PREVOD NA UCET	13	28224	 	WX	32165342
410849	1399	1998-06-10	VYDAJ	PREVOD NA UCET	13	34103	 	WX	32165342
410850	1399	1998-07-10	VYDAJ	PREVOD NA UCET	13	29400	 	WX	32165342
410851	1399	1998-08-10	VYDAJ	PREVOD NA UCET	13	30542	 	WX	32165342
410852	1399	1998-09-10	VYDAJ	PREVOD NA UCET	13	32335	 	WX	32165342
410853	1399	1998-10-10	VYDAJ	PREVOD NA UCET	13	29143	 	WX	32165342
410854	1399	1998-11-10	VYDAJ	PREVOD NA UCET	13	26333	 	WX	32165342
410855	1399	1998-12-10	VYDAJ	PREVOD NA UCET	13	24342	 	WX	32165342
410865	1399	1996-10-14	VYDAJ	PREVOD NA UCET	29	46852	POJISTNE	YZ	87596064
410866	1399	1996-11-14	VYDAJ	PREVOD NA UCET	29	41108	POJISTNE	YZ	87596064
410867	1399	1996-12-14	VYDAJ	PREVOD NA UCET	29	40909	POJISTNE	YZ	87596064
410868	1399	1997-01-14	VYDAJ	PREVOD NA UCET	29	17291	POJISTNE	YZ	87596064
410869	1399	1997-02-14	VYDAJ	PREVOD NA UCET	29	23311	POJISTNE	YZ	87596064
410870	1399	1997-03-14	VYDAJ	PREVOD NA UCET	29	20879	POJISTNE	YZ	87596064
410871	1399	1997-04-14	VYDAJ	PREVOD NA UCET	29	21427	POJISTNE	YZ	87596064
410872	1399	1997-05-14	VYDAJ	PREVOD NA UCET	29	28992	POJISTNE	YZ	87596064
410873	1399	1997-06-14	VYDAJ	PREVOD NA UCET	29	36866	POJISTNE	YZ	87596064
410874	1399	1997-07-14	VYDAJ	PREVOD NA UCET	29	38506	POJISTNE	YZ	87596064
410875	1399	1997-08-14	VYDAJ	PREVOD NA UCET	29	40053	POJISTNE	YZ	87596064
410876	1399	1997-09-14	VYDAJ	PREVOD NA UCET	29	40900	POJISTNE	YZ	87596064
410877	1399	1997-10-14	VYDAJ	PREVOD NA UCET	29	42759	POJISTNE	YZ	87596064
410878	1399	1997-11-14	VYDAJ	PREVOD NA UCET	29	38424	POJISTNE	YZ	87596064
410879	1399	1997-12-14	VYDAJ	PREVOD NA UCET	29	37780	POJISTNE	YZ	87596064
410880	1399	1998-01-14	VYDAJ	PREVOD NA UCET	29	29783	POJISTNE	YZ	87596064
410881	1399	1998-02-14	VYDAJ	PREVOD NA UCET	29	28783	POJISTNE	YZ	87596064
410882	1399	1998-03-14	VYDAJ	PREVOD NA UCET	29	31386	POJISTNE	YZ	87596064
410883	1399	1998-04-14	VYDAJ	PREVOD NA UCET	29	32242	POJISTNE	YZ	87596064
410884	1399	1998-05-14	VYDAJ	PREVOD NA UCET	29	36917	POJISTNE	YZ	87596064
410885	1399	1998-06-14	VYDAJ	PREVOD NA UCET	29	46812	POJISTNE	YZ	87596064
410886	1399	1998-07-14	VYDAJ	PREVOD NA UCET	29	38093	POJISTNE	YZ	87596064
410887	1399	1998-08-14	VYDAJ	PREVOD NA UCET	29	39235	POJISTNE	YZ	87596064
410888	1399	1998-09-14	VYDAJ	PREVOD NA UCET	29	40683	POJISTNE	YZ	87596064
410889	1399	1998-10-14	VYDAJ	PREVOD NA UCET	29	37836	POJISTNE	YZ	87596064
410890	1399	1998-11-14	VYDAJ	PREVOD NA UCET	29	34681	POJISTNE	YZ	87596064
410891	1399	1998-12-14	VYDAJ	PREVOD NA UCET	29	37051	POJISTNE	YZ	87596064
410902	1399	1996-11-10	VYDAJ	PREVOD NA UCET	345	32415	 	KL	64385211
410903	1399	1996-12-10	VYDAJ	PREVOD NA UCET	345	27868	 	KL	64385211
410904	1399	1997-01-10	VYDAJ	PREVOD NA UCET	345	8611	 	KL	64385211
410905	1399	1997-02-10	VYDAJ	PREVOD NA UCET	345	12918	 	KL	64385211
410906	1399	1997-03-10	VYDAJ	PREVOD NA UCET	345	12186	 	KL	64385211
410907	1399	1997-04-10	VYDAJ	PREVOD NA UCET	345	12734	 	KL	64385211
410908	1399	1997-05-10	VYDAJ	PREVOD NA UCET	345	20299	 	KL	64385211
410909	1399	1997-06-10	VYDAJ	PREVOD NA UCET	345	26325	 	KL	64385211
410910	1399	1997-07-10	VYDAJ	PREVOD NA UCET	345	31213	 	KL	64385211
410911	1399	1997-08-10	VYDAJ	PREVOD NA UCET	345	28060	 	KL	64385211
410912	1399	1997-09-10	VYDAJ	PREVOD NA UCET	345	34407	 	KL	64385211
410913	1399	1997-10-10	VYDAJ	PREVOD NA UCET	345	35279	 	KL	64385211
410914	1399	1997-11-10	VYDAJ	PREVOD NA UCET	345	37131	 	KL	64385211
410915	1399	1997-12-10	VYDAJ	PREVOD NA UCET	345	31826	 	KL	64385211
410916	1399	1998-01-10	VYDAJ	PREVOD NA UCET	345	31530	 	KL	64385211
410917	1399	1998-02-10	VYDAJ	PREVOD NA UCET	345	20090	 	KL	64385211
410918	1399	1998-03-10	VYDAJ	PREVOD NA UCET	345	23106	 	KL	64385211
410919	1399	1998-04-10	VYDAJ	PREVOD NA UCET	345	23562	 	KL	64385211
410920	1399	1998-05-10	VYDAJ	PREVOD NA UCET	345	28237	 	KL	64385211
410921	1399	1998-06-10	VYDAJ	PREVOD NA UCET	345	33758	 	KL	64385211
410922	1399	1998-07-10	VYDAJ	PREVOD NA UCET	345	29413	 	KL	64385211
410923	1399	1998-08-10	VYDAJ	PREVOD NA UCET	345	30555	 	KL	64385211
410924	1399	1998-09-10	VYDAJ	PREVOD NA UCET	345	31990	 	KL	64385211
410925	1399	1998-10-10	VYDAJ	PREVOD NA UCET	345	29156	 	KL	64385211
410926	1399	1998-11-10	VYDAJ	PREVOD NA UCET	345	25988	 	KL	64385211
410927	1399	1998-12-10	VYDAJ	PREVOD NA UCET	345	23997	 	KL	64385211
410930	1399	1998-06-29	VYDAJ	VYBER	8960	34132	\N	\N	\N
410934	1399	1996-12-24	VYDAJ	VYBER	3680	27349	\N	\N	\N
410935	1399	1997-12-07	VYDAJ	VYBER	960	32184	\N	\N	\N
410936	1399	1998-12-01	VYDAJ	VYBER	1120	33682	\N	\N	\N
410944	1399	1997-01-03	VYDAJ	VYBER	840	14383	\N	\N	\N
410945	1399	1997-01-20	VYDAJ	VYBER	1440	18651	\N	\N	\N
410947	1399	1997-01-02	VYDAJ	VYBER	2760	15223	\N	\N	\N
410949	1399	1998-01-08	VYDAJ	VYBER	600	31888	\N	\N	\N
410950	1399	1998-01-25	VYDAJ	VYBER	2640	25463	\N	\N	\N
410951	1399	1998-01-15	VYDAJ	VYBER	1680	28103	\N	\N	\N
410952	1399	1998-01-13	VYDAJ	VYBER	1440	25290	\N	\N	\N
410953	1399	1998-01-14	VYDAJ	VYBER	2040	29812	\N	\N	\N
410954	1399	1998-01-14	VYDAJ	VYBER	2160	31852	\N	\N	\N
410956	1399	1996-12-30	VYDAJ	VYBER	4560	22789	\N	\N	\N
410958	1399	1996-12-18	VYDAJ	VYBER	1680	31029	\N	\N	\N
410959	1399	1997-02-17	VYDAJ	VYBER	5400	17911	\N	\N	\N
410960	1399	1997-04-20	VYDAJ	VYBER	1320	26007	\N	\N	\N
410961	1399	1997-01-02	VYDAJ	VYBER	4920	17983	\N	\N	\N
410962	1399	1997-07-30	VYDAJ	VYBER	4800	33706	\N	\N	\N
410964	1399	1997-03-17	VYDAJ	VYBER	4320	18459	\N	\N	\N
410965	1399	1998-11-04	VYDAJ	VYBER	3600	34373	\N	\N	\N
410966	1399	1998-04-08	VYDAJ	VYBER	4560	21507	\N	\N	\N
410967	1399	1998-06-23	VYDAJ	VYBER	3720	43092	\N	\N	\N
410968	1399	1998-04-19	VYDAJ	VYBER	2040	30202	\N	\N	\N
410979	1399	1996-10-31	VYDAJ	VYBER	15	38200	SLUZBY	\N	\N
410980	1399	1996-11-30	VYDAJ	VYBER	15	33640	SLUZBY	\N	\N
410981	1399	1996-12-31	VYDAJ	VYBER	15	22903	SLUZBY	\N	\N
410982	1399	1997-01-31	VYDAJ	VYBER	15	18703	SLUZBY	\N	\N
410983	1399	1997-02-28	VYDAJ	VYBER	15	17971	SLUZBY	\N	\N
410984	1399	1997-03-31	VYDAJ	VYBER	15	18519	SLUZBY	\N	\N
410985	1399	1997-04-30	VYDAJ	VYBER	15	26084	SLUZBY	\N	\N
410986	1399	1997-05-31	VYDAJ	VYBER	15	32097	SLUZBY	\N	\N
410987	1399	1997-06-30	VYDAJ	VYBER	15	36998	SLUZBY	\N	\N
410988	1399	1997-07-31	VYDAJ	VYBER	15	33845	SLUZBY	\N	\N
410989	1399	1997-08-31	VYDAJ	VYBER	15	40192	SLUZBY	\N	\N
410990	1399	1997-09-30	VYDAJ	VYBER	15	41051	SLUZBY	\N	\N
410991	1399	1997-10-31	VYDAJ	VYBER	15	42916	SLUZBY	\N	\N
410992	1399	1997-11-30	VYDAJ	VYBER	15	38571	SLUZBY	\N	\N
410993	1399	1997-12-31	VYDAJ	VYBER	15	37915	SLUZBY	\N	\N
410994	1399	1998-01-31	VYDAJ	VYBER	15	25575	SLUZBY	\N	\N
410995	1399	1998-02-28	VYDAJ	VYBER	15	28878	SLUZBY	\N	\N
410996	1399	1998-03-31	VYDAJ	VYBER	15	31494	SLUZBY	\N	\N
410997	1399	1998-04-30	VYDAJ	VYBER	15	30309	SLUZBY	\N	\N
410998	1399	1998-05-31	VYDAJ	VYBER	15	37043	SLUZBY	\N	\N
410999	1399	1998-06-30	VYDAJ	VYBER	15	34285	SLUZBY	\N	\N
411000	1399	1998-07-31	VYDAJ	VYBER	15	38227	SLUZBY	\N	\N
411001	1399	1998-08-31	VYDAJ	VYBER	15	39375	SLUZBY	\N	\N
411002	1399	1998-09-30	VYDAJ	VYBER	15	40828	SLUZBY	\N	\N
411003	1399	1998-10-31	VYDAJ	VYBER	15	37973	SLUZBY	\N	\N
411004	1399	1998-11-30	VYDAJ	VYBER	15	34802	SLUZBY	\N	\N
411005	1399	1996-06-19	PRIJEM	VKLAD	6000	19883	\N	\N	\N
411006	1399	1996-07-19	PRIJEM	VKLAD	100	28738	\N	\N	\N
411007	1399	1996-08-18	VYDAJ	VYBER	3600	33958	\N	\N	\N
411008	1399	1996-09-17	VYDAJ	VYBER	4800	38010	\N	\N	\N
411009	1399	1996-10-17	VYDAJ	VYBER	8800	38052	\N	\N	\N
411010	1399	1996-11-16	VYDAJ	VYBER	7600	33508	\N	\N	\N
411011	1399	1996-12-16	VYDAJ	VYBER	8200	32709	\N	\N	\N
411012	1399	1997-01-15	PRIJEM	VKLAD	2800	20091	\N	\N	\N
411013	1399	1997-02-14	PRIJEM	VKLAD	1700	14618	\N	\N	\N
411014	1399	1997-03-16	PRIJEM	VKLAD	1900	22779	\N	\N	\N
411015	1399	1997-04-15	PRIJEM	VKLAD	5900	27327	\N	\N	\N
411016	1399	1997-05-15	PRIJEM	VKLAD	3000	31992	\N	\N	\N
411017	1399	1997-06-14	VYDAJ	VYBER	2500	36895	\N	\N	\N
411018	1399	1997-07-14	VYDAJ	VYBER	1400	38535	\N	\N	\N
411019	1399	1997-08-13	PRIJEM	VKLAD	3300	31360	\N	\N	\N
411020	1399	1997-09-12	VYDAJ	VYBER	2200	32207	\N	\N	\N
411021	1399	1997-10-12	VYDAJ	VYBER	1200	34066	\N	\N	\N
411022	1399	1997-11-11	VYDAJ	VYBER	7400	29731	\N	\N	\N
411023	1399	1997-12-11	VYDAJ	VYBER	7100	24726	\N	\N	\N
411024	1399	1998-01-10	VYDAJ	VYBER	4800	26730	\N	\N	\N
411025	1399	1998-02-09	PRIJEM	VKLAD	300	20448	\N	\N	\N
411026	1399	1998-03-11	VYDAJ	VYBER	400	22693	\N	\N	\N
411027	1399	1998-04-10	PRIJEM	VKLAD	2400	23907	\N	\N	\N
411028	1399	1998-05-10	PRIJEM	VKLAD	3700	28582	\N	\N	\N
411029	1399	1998-06-09	PRIJEM	VKLAD	2500	34116	\N	\N	\N
411030	1399	1998-07-09	PRIJEM	VKLAD	900	29758	\N	\N	\N
411031	1399	1998-08-08	VYDAJ	VYBER	1900	30900	\N	\N	\N
411032	1399	1998-09-07	VYDAJ	VYBER	1600	32348	\N	\N	\N
411033	1399	1998-10-07	VYDAJ	VYBER	5900	29501	\N	\N	\N
411034	1399	1998-11-06	VYDAJ	VYBER	2600	26346	\N	\N	\N
411035	1399	1998-12-06	VYDAJ	VYBER	3900	24355	\N	\N	\N
411272	1401	1993-08-12	PRIJEM	VKLAD	300	300	\N	\N	\N
411281	1401	1993-09-10	PRIJEM	PREVOD Z UCTU	6850	7150	DUCHOD	UV	56034910
411282	1401	1993-10-10	PRIJEM	PREVOD Z UCTU	6850	14000	DUCHOD	UV	56034910
411283	1401	1993-11-10	PRIJEM	PREVOD Z UCTU	6850	20850	DUCHOD	UV	56034910
411284	1401	1993-12-10	PRIJEM	PREVOD Z UCTU	6850	27261	DUCHOD	UV	56034910
411285	1401	1994-01-10	PRIJEM	PREVOD Z UCTU	6850	29617	DUCHOD	UV	56034910
411286	1401	1994-02-10	PRIJEM	PREVOD Z UCTU	6850	22915	DUCHOD	UV	56034910
411287	1401	1994-03-10	PRIJEM	PREVOD Z UCTU	6850	27370	DUCHOD	UV	56034910
411288	1401	1994-04-10	PRIJEM	PREVOD Z UCTU	6850	29437	DUCHOD	UV	56034910
411289	1401	1994-05-10	PRIJEM	PREVOD Z UCTU	6850	32517	DUCHOD	UV	56034910
411290	1401	1994-06-10	PRIJEM	PREVOD Z UCTU	6850	23462	DUCHOD	UV	56034910
411291	1401	1994-07-10	PRIJEM	PREVOD Z UCTU	6850	27934	DUCHOD	UV	56034910
411292	1401	1994-08-10	PRIJEM	PREVOD Z UCTU	6850	30086	DUCHOD	UV	56034910
411293	1401	1994-09-10	PRIJEM	PREVOD Z UCTU	6850	33364	DUCHOD	UV	56034910
411294	1401	1994-10-10	PRIJEM	PREVOD Z UCTU	6850	35958	DUCHOD	UV	56034910
411295	1401	1994-11-10	PRIJEM	PREVOD Z UCTU	6850	36567	DUCHOD	UV	56034910
411296	1401	1994-12-10	PRIJEM	PREVOD Z UCTU	6850	32733	DUCHOD	UV	56034910
411297	1401	1995-01-10	PRIJEM	PREVOD Z UCTU	6850	34678	DUCHOD	UV	56034910
411298	1401	1995-02-10	PRIJEM	PREVOD Z UCTU	6850	29999	DUCHOD	UV	56034910
411299	1401	1995-03-10	PRIJEM	PREVOD Z UCTU	6850	34378	DUCHOD	UV	56034910
411300	1401	1995-04-10	PRIJEM	PREVOD Z UCTU	6850	33898	DUCHOD	UV	56034910
411301	1401	1995-05-10	PRIJEM	PREVOD Z UCTU	6850	38098	DUCHOD	UV	56034910
411302	1401	1995-06-10	PRIJEM	PREVOD Z UCTU	6850	39415	DUCHOD	UV	56034910
411303	1401	1995-07-10	PRIJEM	PREVOD Z UCTU	6850	37422	DUCHOD	UV	56034910
411304	1401	1995-08-10	PRIJEM	PREVOD Z UCTU	6850	36035	DUCHOD	UV	56034910
411305	1401	1995-09-10	PRIJEM	PREVOD Z UCTU	6850	35130	DUCHOD	UV	56034910
411306	1401	1995-10-10	PRIJEM	PREVOD Z UCTU	6850	35935	DUCHOD	UV	56034910
411307	1401	1995-11-10	PRIJEM	PREVOD Z UCTU	6850	38145	DUCHOD	UV	56034910
411308	1401	1995-12-10	PRIJEM	PREVOD Z UCTU	6850	38659	DUCHOD	UV	56034910
411309	1401	1996-01-10	PRIJEM	PREVOD Z UCTU	6850	42173	DUCHOD	UV	56034910
411310	1401	1996-02-10	PRIJEM	PREVOD Z UCTU	6850	31197	DUCHOD	UV	56034910
411311	1401	1996-03-10	PRIJEM	PREVOD Z UCTU	6850	35688	DUCHOD	UV	56034910
411312	1401	1996-04-10	PRIJEM	PREVOD Z UCTU	6850	40192	DUCHOD	UV	56034910
411313	1401	1996-05-10	PRIJEM	PREVOD Z UCTU	6850	43113	DUCHOD	UV	56034910
411314	1401	1996-06-10	PRIJEM	PREVOD Z UCTU	6850	44146	DUCHOD	UV	56034910
411315	1401	1996-07-10	PRIJEM	PREVOD Z UCTU	6850	42230	DUCHOD	UV	56034910
411316	1401	1996-08-10	PRIJEM	PREVOD Z UCTU	6850	46761	DUCHOD	UV	56034910
411317	1401	1996-09-10	PRIJEM	PREVOD Z UCTU	6850	49909	DUCHOD	UV	56034910
411318	1401	1996-10-10	PRIJEM	PREVOD Z UCTU	6850	48867	DUCHOD	UV	56034910
411319	1401	1996-11-10	PRIJEM	PREVOD Z UCTU	6850	44219	DUCHOD	UV	56034910
411320	1401	1996-12-10	PRIJEM	PREVOD Z UCTU	6850	45760	DUCHOD	UV	56034910
411321	1401	1997-01-10	PRIJEM	PREVOD Z UCTU	6850	38087	DUCHOD	UV	56034910
411322	1401	1997-02-10	PRIJEM	PREVOD Z UCTU	6850	35957	DUCHOD	UV	56034910
411323	1401	1997-03-10	PRIJEM	PREVOD Z UCTU	6850	40464	DUCHOD	UV	56034910
411324	1401	1997-04-10	PRIJEM	PREVOD Z UCTU	6850	42745	DUCHOD	UV	56034910
411325	1401	1997-05-10	PRIJEM	PREVOD Z UCTU	6850	44236	DUCHOD	UV	56034910
411326	1401	1997-06-10	PRIJEM	PREVOD Z UCTU	6850	48774	DUCHOD	UV	56034910
411327	1401	1997-07-10	PRIJEM	PREVOD Z UCTU	6850	36883	DUCHOD	UV	56034910
411328	1401	1997-08-10	PRIJEM	PREVOD Z UCTU	6850	39710	DUCHOD	UV	56034910
411329	1401	1997-09-10	PRIJEM	PREVOD Z UCTU	6850	44229	DUCHOD	UV	56034910
411330	1401	1997-10-10	PRIJEM	PREVOD Z UCTU	6850	47003	DUCHOD	UV	56034910
411331	1401	1997-11-10	PRIJEM	PREVOD Z UCTU	6850	49048	DUCHOD	UV	56034910
411332	1401	1997-12-10	PRIJEM	PREVOD Z UCTU	6850	51101	DUCHOD	UV	56034910
411333	1401	1998-01-10	PRIJEM	PREVOD Z UCTU	6850	49493	DUCHOD	UV	56034910
411334	1401	1998-02-10	PRIJEM	PREVOD Z UCTU	6850	43026	DUCHOD	UV	56034910
411335	1401	1998-03-10	PRIJEM	PREVOD Z UCTU	6850	45883	DUCHOD	UV	56034910
411336	1401	1998-04-10	PRIJEM	PREVOD Z UCTU	6850	49826	DUCHOD	UV	56034910
411337	1401	1998-05-10	PRIJEM	PREVOD Z UCTU	6850	47857	DUCHOD	UV	56034910
411338	1401	1998-06-10	PRIJEM	PREVOD Z UCTU	6850	34866	DUCHOD	UV	56034910
411339	1401	1998-07-10	PRIJEM	PREVOD Z UCTU	6850	36402	DUCHOD	UV	56034910
411340	1401	1998-08-10	PRIJEM	PREVOD Z UCTU	6850	40906	DUCHOD	UV	56034910
411341	1401	1998-09-10	PRIJEM	PREVOD Z UCTU	6850	45429	DUCHOD	UV	56034910
411342	1401	1998-10-10	PRIJEM	PREVOD Z UCTU	6850	39315	DUCHOD	UV	56034910
411343	1401	1998-11-10	PRIJEM	PREVOD Z UCTU	6850	40831	DUCHOD	UV	56034910
411344	1401	1998-12-10	PRIJEM	PREVOD Z UCTU	6850	43953	DUCHOD	UV	56034910
411357	1401	1994-01-12	VYDAJ	PREVOD NA UCET	2463	26674	SIPO	IJ	35891682
411358	1401	1994-02-12	VYDAJ	PREVOD NA UCET	2463	20452	SIPO	IJ	35891682
411359	1401	1994-03-12	VYDAJ	PREVOD NA UCET	2463	23107	SIPO	IJ	35891682
411360	1401	1994-04-12	VYDAJ	PREVOD NA UCET	2463	26974	SIPO	IJ	35891682
411361	1401	1994-05-12	VYDAJ	PREVOD NA UCET	2463	30054	SIPO	IJ	35891682
411362	1401	1994-06-12	VYDAJ	PREVOD NA UCET	2463	20999	SIPO	IJ	35891682
411363	1401	1994-07-12	VYDAJ	PREVOD NA UCET	2463	25471	SIPO	IJ	35891682
411364	1401	1994-08-12	VYDAJ	PREVOD NA UCET	2463	27623	SIPO	IJ	35891682
411365	1401	1994-09-12	VYDAJ	PREVOD NA UCET	2463	30901	SIPO	IJ	35891682
411366	1401	1994-10-12	VYDAJ	PREVOD NA UCET	2463	33495	SIPO	IJ	35891682
411367	1401	1994-11-12	VYDAJ	PREVOD NA UCET	2463	34104	SIPO	IJ	35891682
411368	1401	1994-12-12	VYDAJ	PREVOD NA UCET	2463	30270	SIPO	IJ	35891682
411369	1401	1995-01-12	VYDAJ	PREVOD NA UCET	2463	32215	SIPO	IJ	35891682
411370	1401	1995-02-12	VYDAJ	PREVOD NA UCET	2463	27536	SIPO	IJ	35891682
411371	1401	1995-03-12	VYDAJ	PREVOD NA UCET	2463	31915	SIPO	IJ	35891682
411372	1401	1995-04-12	VYDAJ	PREVOD NA UCET	2463	31435	SIPO	IJ	35891682
411373	1401	1995-05-12	VYDAJ	PREVOD NA UCET	2463	35635	SIPO	IJ	35891682
411374	1401	1995-06-12	VYDAJ	PREVOD NA UCET	2463	30752	SIPO	IJ	35891682
411375	1401	1995-07-12	VYDAJ	PREVOD NA UCET	2463	34959	SIPO	IJ	35891682
411376	1401	1995-08-12	VYDAJ	PREVOD NA UCET	2463	33572	SIPO	IJ	35891682
411377	1401	1995-09-12	VYDAJ	PREVOD NA UCET	2463	32667	SIPO	IJ	35891682
411378	1401	1995-10-12	VYDAJ	PREVOD NA UCET	2463	33472	SIPO	IJ	35891682
411379	1401	1995-11-12	VYDAJ	PREVOD NA UCET	2463	35682	SIPO	IJ	35891682
411380	1401	1995-12-12	VYDAJ	PREVOD NA UCET	2463	36196	SIPO	IJ	35891682
411381	1401	1996-01-12	VYDAJ	PREVOD NA UCET	2463	37310	SIPO	IJ	35891682
411382	1401	1996-02-12	VYDAJ	PREVOD NA UCET	2463	28734	SIPO	IJ	35891682
411383	1401	1996-03-12	VYDAJ	PREVOD NA UCET	2463	33225	SIPO	IJ	35891682
411384	1401	1996-04-12	VYDAJ	PREVOD NA UCET	2463	37729	SIPO	IJ	35891682
411385	1401	1996-05-12	VYDAJ	PREVOD NA UCET	2463	40650	SIPO	IJ	35891682
411386	1401	1996-06-12	VYDAJ	PREVOD NA UCET	2463	41683	SIPO	IJ	35891682
411387	1401	1996-07-12	VYDAJ	PREVOD NA UCET	2463	39767	SIPO	IJ	35891682
411388	1401	1996-08-12	VYDAJ	PREVOD NA UCET	2463	44298	SIPO	IJ	35891682
411389	1401	1996-09-12	VYDAJ	PREVOD NA UCET	2463	47446	SIPO	IJ	35891682
411390	1401	1996-10-12	VYDAJ	PREVOD NA UCET	2463	46404	SIPO	IJ	35891682
411391	1401	1996-11-12	VYDAJ	PREVOD NA UCET	2463	41756	SIPO	IJ	35891682
411392	1401	1996-12-12	VYDAJ	PREVOD NA UCET	2463	43297	SIPO	IJ	35891682
411393	1401	1997-01-12	VYDAJ	PREVOD NA UCET	2463	35624	SIPO	IJ	35891682
411394	1401	1997-02-12	VYDAJ	PREVOD NA UCET	2463	33494	SIPO	IJ	35891682
411395	1401	1997-03-12	VYDAJ	PREVOD NA UCET	2463	38001	SIPO	IJ	35891682
411396	1401	1997-04-12	VYDAJ	PREVOD NA UCET	2463	40282	SIPO	IJ	35891682
411397	1401	1997-05-12	VYDAJ	PREVOD NA UCET	2463	41773	SIPO	IJ	35891682
411398	1401	1997-06-12	VYDAJ	PREVOD NA UCET	2463	46311	SIPO	IJ	35891682
411399	1401	1997-07-12	VYDAJ	PREVOD NA UCET	2463	34420	SIPO	IJ	35891682
411400	1401	1997-08-12	VYDAJ	PREVOD NA UCET	2463	37247	SIPO	IJ	35891682
411401	1401	1997-09-12	VYDAJ	PREVOD NA UCET	2463	40006	SIPO	IJ	35891682
411402	1401	1997-10-12	VYDAJ	PREVOD NA UCET	2463	44540	SIPO	IJ	35891682
411403	1401	1997-11-12	VYDAJ	PREVOD NA UCET	2463	46585	SIPO	IJ	35891682
411404	1401	1997-12-12	VYDAJ	PREVOD NA UCET	2463	48638	SIPO	IJ	35891682
411405	1401	1998-01-12	VYDAJ	PREVOD NA UCET	2463	47030	SIPO	IJ	35891682
411406	1401	1998-02-12	VYDAJ	PREVOD NA UCET	2463	40563	SIPO	IJ	35891682
411407	1401	1998-03-12	VYDAJ	PREVOD NA UCET	2463	43420	SIPO	IJ	35891682
411408	1401	1998-04-12	VYDAJ	PREVOD NA UCET	2463	47363	SIPO	IJ	35891682
411409	1401	1998-05-12	VYDAJ	PREVOD NA UCET	2463	45394	SIPO	IJ	35891682
411410	1401	1998-06-12	VYDAJ	PREVOD NA UCET	2463	32403	SIPO	IJ	35891682
411411	1401	1998-07-12	VYDAJ	PREVOD NA UCET	2463	33939	SIPO	IJ	35891682
411412	1401	1998-08-12	VYDAJ	PREVOD NA UCET	2463	38443	SIPO	IJ	35891682
411413	1401	1998-09-12	VYDAJ	PREVOD NA UCET	2463	42966	SIPO	IJ	35891682
411414	1401	1998-10-12	VYDAJ	PREVOD NA UCET	2463	36852	SIPO	IJ	35891682
411415	1401	1998-11-12	VYDAJ	PREVOD NA UCET	2463	38368	SIPO	IJ	35891682
411416	1401	1998-12-12	VYDAJ	PREVOD NA UCET	2463	41490	SIPO	IJ	35891682
411418	1401	1994-06-02	VYDAJ	VYBER	13550	16612	\N	\N	\N
411419	1401	1995-06-10	VYDAJ	VYBER	6200	33215	\N	\N	\N
411420	1401	1996-06-26	VYDAJ	VYBER	4150	37533	\N	\N	\N
411421	1401	1997-06-17	VYDAJ	VYBER	14500	31811	\N	\N	\N
411422	1401	1998-06-02	VYDAJ	VYBER	8650	28016	\N	\N	\N
411424	1401	1994-01-15	VYDAJ	VYBER	4050	21664	\N	\N	\N
411425	1401	1995-01-21	VYDAJ	VYBER	2450	26565	\N	\N	\N
411426	1401	1996-01-23	VYDAJ	VYBER	4850	28780	\N	\N	\N
411427	1401	1997-01-01	VYDAJ	VYBER	2850	35237	\N	\N	\N
411428	1401	1998-01-12	VYDAJ	VYBER	2300	44730	\N	\N	\N
411430	1401	1994-12-22	VYDAJ	VYBER	550	29720	\N	\N	\N
411431	1401	1995-12-17	VYDAJ	VYBER	1000	35196	\N	\N	\N
411432	1401	1996-12-22	VYDAJ	VYBER	800	40737	\N	\N	\N
411433	1401	1997-12-20	VYDAJ	VYBER	650	46628	\N	\N	\N
411434	1401	1998-12-09	VYDAJ	VYBER	1400	37103	\N	\N	\N
411441	1401	1994-01-14	VYDAJ	VYBER	960	25714	\N	\N	\N
411442	1401	1994-01-11	VYDAJ	VYBER	480	29137	\N	\N	\N
411443	1401	1994-01-21	VYDAJ	VYBER	1760	19904	\N	\N	\N
411446	1401	1994-01-24	VYDAJ	VYBER	2160	17744	\N	\N	\N
411447	1401	1995-01-26	VYDAJ	VYBER	2240	23045	\N	\N	\N
411448	1401	1995-01-19	VYDAJ	VYBER	480	29015	\N	\N	\N
411449	1401	1995-01-15	VYDAJ	VYBER	1520	30695	\N	\N	\N
411450	1401	1995-01-24	VYDAJ	VYBER	1280	25285	\N	\N	\N
411451	1401	1995-01-18	VYDAJ	VYBER	1200	29495	\N	\N	\N
411452	1401	1995-01-06	VYDAJ	VYBER	2000	27828	\N	\N	\N
411453	1401	1996-01-30	VYDAJ	VYBER	880	27900	\N	\N	\N
411454	1401	1996-01-22	VYDAJ	VYBER	1920	33630	\N	\N	\N
411455	1401	1996-01-19	VYDAJ	VYBER	1200	35550	\N	\N	\N
411456	1401	1996-01-15	VYDAJ	VYBER	560	36750	\N	\N	\N
411457	1401	1996-01-10	VYDAJ	VYBER	1120	41053	\N	\N	\N
411458	1401	1996-01-10	VYDAJ	VYBER	1280	39773	\N	\N	\N
411459	1401	1997-01-04	VYDAJ	VYBER	1040	31717	\N	\N	\N
411460	1401	1997-01-23	VYDAJ	VYBER	480	31144	\N	\N	\N
411461	1401	1997-01-22	VYDAJ	VYBER	1600	31624	\N	\N	\N
411462	1401	1997-01-30	VYDAJ	VYBER	720	30424	\N	\N	\N
411463	1401	1997-01-04	VYDAJ	VYBER	1200	32757	\N	\N	\N
411464	1401	1997-01-09	VYDAJ	VYBER	480	31237	\N	\N	\N
411465	1401	1998-01-18	VYDAJ	VYBER	1920	42090	\N	\N	\N
411466	1401	1998-01-15	VYDAJ	VYBER	720	44010	\N	\N	\N
411467	1401	1998-01-30	VYDAJ	VYBER	2240	38730	\N	\N	\N
411468	1401	1998-01-26	VYDAJ	VYBER	1120	40970	\N	\N	\N
411469	1401	1998-01-01	VYDAJ	VYBER	2160	44643	\N	\N	\N
411470	1401	1998-01-08	VYDAJ	VYBER	2000	42643	\N	\N	\N
411481	1401	1994-07-31	VYDAJ	VYBER	2320	23250	\N	\N	\N
411482	1401	1994-12-04	VYDAJ	VYBER	3440	25983	\N	\N	\N
411483	1401	1994-09-22	VYDAJ	VYBER	400	30501	\N	\N	\N
411484	1401	1994-02-04	VYDAJ	VYBER	1760	16065	\N	\N	\N
411486	1401	1994-11-15	VYDAJ	VYBER	3600	30504	\N	\N	\N
411487	1401	1994-11-28	VYDAJ	VYBER	1200	29304	\N	\N	\N
411488	1401	1994-08-15	VYDAJ	VYBER	1200	26423	\N	\N	\N
411489	1401	1995-03-29	VYDAJ	VYBER	3280	28635	\N	\N	\N
411490	1401	1995-09-03	VYDAJ	VYBER	720	28280	\N	\N	\N
411491	1401	1996-02-06	VYDAJ	VYBER	3680	24347	\N	\N	\N
411492	1401	1996-12-15	VYDAJ	VYBER	1760	41537	\N	\N	\N
411493	1401	1996-11-03	VYDAJ	VYBER	2800	37369	\N	\N	\N
411494	1401	1997-09-11	VYDAJ	VYBER	1760	42469	\N	\N	\N
411495	1401	1997-04-03	VYDAJ	VYBER	1040	35895	\N	\N	\N
411496	1401	1997-12-13	VYDAJ	VYBER	1360	47278	\N	\N	\N
411497	1401	1997-01-17	VYDAJ	VYBER	2400	33224	\N	\N	\N
411498	1401	1997-02-01	VYDAJ	VYBER	1440	29107	\N	\N	\N
411499	1401	1997-04-18	VYDAJ	VYBER	2240	38042	\N	\N	\N
411500	1401	1997-07-13	VYDAJ	VYBER	1680	32740	\N	\N	\N
411501	1401	1997-07-06	VYDAJ	VYBER	1920	30033	\N	\N	\N
411502	1401	1997-01-03	VYDAJ	VYBER	1280	33957	\N	\N	\N
411503	1401	1998-04-28	VYDAJ	VYBER	1920	40843	\N	\N	\N
411504	1401	1998-06-19	VYDAJ	VYBER	2960	29443	\N	\N	\N
411505	1401	1998-06-02	VYDAJ	VYBER	1360	36666	\N	\N	\N
411506	1401	1998-02-07	VYDAJ	VYBER	2720	36176	\N	\N	\N
411507	1401	1998-05-20	VYDAJ	VYBER	3520	37874	\N	\N	\N
411508	1401	1998-02-26	VYDAJ	VYBER	1680	38883	\N	\N	\N
411509	1401	1998-10-06	VYDAJ	VYBER	3840	32465	\N	\N	\N
411523	1401	1994-01-31	VYDAJ	VYBER	15	17825	SLUZBY	\N	\N
411524	1401	1994-02-28	VYDAJ	VYBER	15	20520	SLUZBY	\N	\N
411525	1401	1994-03-31	VYDAJ	VYBER	15	23187	SLUZBY	\N	\N
411526	1401	1994-04-30	VYDAJ	VYBER	15	27067	SLUZBY	\N	\N
411527	1401	1994-05-31	VYDAJ	VYBER	15	30162	SLUZBY	\N	\N
411528	1401	1994-06-30	VYDAJ	VYBER	15	21084	SLUZBY	\N	\N
411529	1401	1994-07-31	VYDAJ	VYBER	15	23236	SLUZBY	\N	\N
411530	1401	1994-08-31	VYDAJ	VYBER	15	26514	SLUZBY	\N	\N
411531	1401	1994-09-30	VYDAJ	VYBER	15	30608	SLUZBY	\N	\N
411532	1401	1994-10-31	VYDAJ	VYBER	15	33617	SLUZBY	\N	\N
411533	1401	1994-11-30	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
411534	1401	1994-12-31	VYDAJ	VYBER	15	29828	SLUZBY	\N	\N
411535	1401	1995-01-31	VYDAJ	VYBER	15	23149	SLUZBY	\N	\N
411536	1401	1995-02-28	VYDAJ	VYBER	15	27628	SLUZBY	\N	\N
411537	1401	1995-03-31	VYDAJ	VYBER	15	28748	SLUZBY	\N	\N
411538	1401	1995-04-30	VYDAJ	VYBER	15	31548	SLUZBY	\N	\N
411539	1401	1995-05-31	VYDAJ	VYBER	15	35765	SLUZBY	\N	\N
411540	1401	1995-06-30	VYDAJ	VYBER	15	30872	SLUZBY	\N	\N
411541	1401	1995-07-31	VYDAJ	VYBER	15	35085	SLUZBY	\N	\N
411542	1401	1995-08-31	VYDAJ	VYBER	15	33700	SLUZBY	\N	\N
411543	1401	1995-09-30	VYDAJ	VYBER	15	32785	SLUZBY	\N	\N
411544	1401	1995-10-31	VYDAJ	VYBER	15	31295	SLUZBY	\N	\N
411545	1401	1995-11-30	VYDAJ	VYBER	15	35809	SLUZBY	\N	\N
411546	1401	1995-12-31	VYDAJ	VYBER	15	35323	SLUZBY	\N	\N
411547	1401	1996-01-31	VYDAJ	VYBER	15	28027	SLUZBY	\N	\N
411548	1401	1996-02-29	VYDAJ	VYBER	15	28838	SLUZBY	\N	\N
411549	1401	1996-03-31	VYDAJ	VYBER	15	33342	SLUZBY	\N	\N
411550	1401	1996-04-30	VYDAJ	VYBER	15	36263	SLUZBY	\N	\N
411551	1401	1996-05-31	VYDAJ	VYBER	15	37296	SLUZBY	\N	\N
411552	1401	1996-06-30	VYDAJ	VYBER	15	35380	SLUZBY	\N	\N
411553	1401	1996-07-31	VYDAJ	VYBER	15	39911	SLUZBY	\N	\N
411554	1401	1996-08-31	VYDAJ	VYBER	15	43059	SLUZBY	\N	\N
411555	1401	1996-09-30	VYDAJ	VYBER	15	42017	SLUZBY	\N	\N
411556	1401	1996-10-31	VYDAJ	VYBER	15	40169	SLUZBY	\N	\N
411557	1401	1996-11-30	VYDAJ	VYBER	15	38910	SLUZBY	\N	\N
411558	1401	1996-12-31	VYDAJ	VYBER	15	38087	SLUZBY	\N	\N
411559	1401	1997-01-31	VYDAJ	VYBER	15	30547	SLUZBY	\N	\N
411560	1401	1997-02-28	VYDAJ	VYBER	15	33614	SLUZBY	\N	\N
411561	1401	1997-03-31	VYDAJ	VYBER	15	36935	SLUZBY	\N	\N
411562	1401	1997-04-30	VYDAJ	VYBER	15	37386	SLUZBY	\N	\N
411563	1401	1997-05-31	VYDAJ	VYBER	15	41924	SLUZBY	\N	\N
411564	1401	1997-06-30	VYDAJ	VYBER	15	31953	SLUZBY	\N	\N
411565	1401	1997-07-31	VYDAJ	VYBER	15	32860	SLUZBY	\N	\N
411566	1401	1997-08-31	VYDAJ	VYBER	15	37379	SLUZBY	\N	\N
411567	1401	1997-09-30	VYDAJ	VYBER	15	40153	SLUZBY	\N	\N
411568	1401	1997-10-31	VYDAJ	VYBER	15	42198	SLUZBY	\N	\N
411569	1401	1997-11-30	VYDAJ	VYBER	15	44251	SLUZBY	\N	\N
411570	1401	1997-12-31	VYDAJ	VYBER	15	46803	SLUZBY	\N	\N
411571	1401	1998-01-31	VYDAJ	VYBER	15	38896	SLUZBY	\N	\N
411572	1401	1998-02-28	VYDAJ	VYBER	15	39033	SLUZBY	\N	\N
411573	1401	1998-03-31	VYDAJ	VYBER	15	42976	SLUZBY	\N	\N
411574	1401	1998-04-30	VYDAJ	VYBER	15	41007	SLUZBY	\N	\N
411575	1401	1998-05-31	VYDAJ	VYBER	15	38026	SLUZBY	\N	\N
411576	1401	1998-06-30	VYDAJ	VYBER	15	29552	SLUZBY	\N	\N
411577	1401	1998-07-31	VYDAJ	VYBER	15	34056	SLUZBY	\N	\N
411578	1401	1998-08-31	VYDAJ	VYBER	15	38579	SLUZBY	\N	\N
411579	1401	1998-09-30	VYDAJ	VYBER	15	36305	SLUZBY	\N	\N
411580	1401	1998-10-31	VYDAJ	VYBER	15	33981	SLUZBY	\N	\N
411581	1401	1998-11-30	VYDAJ	VYBER	15	38503	SLUZBY	\N	\N
411582	1401	1993-11-10	VYDAJ	VYBER	500	20350	\N	\N	\N
411583	1401	1993-12-10	VYDAJ	VYBER	2700	24561	\N	\N	\N
411584	1401	1994-01-09	VYDAJ	VYBER	1900	22767	\N	\N	\N
411585	1401	1994-03-10	VYDAJ	VYBER	1800	25570	\N	\N	\N
411586	1401	1994-04-09	VYDAJ	VYBER	600	22587	\N	\N	\N
411587	1401	1994-05-09	VYDAJ	VYBER	1400	25667	\N	\N	\N
411588	1401	1994-10-06	VYDAJ	VYBER	1500	29108	\N	\N	\N
411589	1401	1994-11-05	VYDAJ	VYBER	3900	29717	\N	\N	\N
411590	1401	1994-12-05	VYDAJ	VYBER	100	25883	\N	\N	\N
411591	1401	1995-03-05	VYDAJ	VYBER	100	27528	\N	\N	\N
411592	1401	1995-04-04	VYDAJ	VYBER	1700	27048	\N	\N	\N
411593	1401	1995-05-04	VYDAJ	VYBER	300	31248	\N	\N	\N
411594	1401	1995-06-03	VYDAJ	VYBER	3200	32565	\N	\N	\N
411595	1401	1995-07-03	VYDAJ	VYBER	300	30572	\N	\N	\N
411596	1401	1995-08-02	VYDAJ	VYBER	5900	29185	\N	\N	\N
411597	1401	1995-09-01	VYDAJ	VYBER	4700	29000	\N	\N	\N
411598	1401	1995-10-01	VYDAJ	VYBER	3700	29085	\N	\N	\N
411599	1401	1995-10-31	VYDAJ	VYBER	2300	31310	\N	\N	\N
411600	1401	1995-11-30	VYDAJ	VYBER	4000	31809	\N	\N	\N
411601	1401	1996-04-28	VYDAJ	VYBER	1600	36129	\N	\N	\N
411602	1401	1996-05-28	VYDAJ	VYBER	3500	37150	\N	\N	\N
411603	1401	1996-06-27	VYDAJ	VYBER	2300	35233	\N	\N	\N
411604	1401	1996-08-26	VYDAJ	VYBER	1400	42898	\N	\N	\N
411605	1401	1996-09-25	VYDAJ	VYBER	5600	41846	\N	\N	\N
411606	1401	1996-10-25	VYDAJ	VYBER	6400	40004	\N	\N	\N
411607	1401	1996-11-24	VYDAJ	VYBER	3000	38756	\N	\N	\N
411608	1401	1996-12-24	VYDAJ	VYBER	2800	37937	\N	\N	\N
411609	1401	1997-03-24	VYDAJ	VYBER	1200	36801	\N	\N	\N
411610	1401	1997-04-23	VYDAJ	VYBER	800	37242	\N	\N	\N
411611	1401	1997-10-20	VYDAJ	VYBER	2500	42040	\N	\N	\N
411612	1401	1997-11-19	VYDAJ	VYBER	2500	44085	\N	\N	\N
411613	1401	1998-03-19	VYDAJ	VYBER	600	42820	\N	\N	\N
411614	1401	1998-04-18	VYDAJ	VYBER	4600	42763	\N	\N	\N
411615	1401	1998-05-18	VYDAJ	VYBER	4000	41394	\N	\N	\N
411616	1401	1998-09-15	VYDAJ	VYBER	6800	36166	\N	\N	\N
411617	1401	1998-10-15	VYDAJ	VYBER	3000	33852	\N	\N	\N
411680	1402	1993-03-26	PRIJEM	VKLAD	400	400	\N	\N	\N
411684	1402	1993-04-10	PRIJEM	VKLAD	9006	9406	\N	\N	\N
411685	1402	1993-05-10	PRIJEM	VKLAD	9006	25125	\N	\N	\N
411686	1402	1993-06-10	PRIJEM	VKLAD	13509	38610	\N	\N	\N
411687	1402	1993-07-10	PRIJEM	VKLAD	9006	41127	\N	\N	\N
411688	1402	1993-08-10	PRIJEM	VKLAD	9006	40265	\N	\N	\N
411689	1402	1993-09-10	PRIJEM	VKLAD	9006	38487	\N	\N	\N
411690	1402	1993-10-10	PRIJEM	VKLAD	9006	37471	\N	\N	\N
411691	1402	1993-11-10	PRIJEM	VKLAD	9006	38453	\N	\N	\N
411692	1402	1993-12-10	PRIJEM	VKLAD	13509	41839	\N	\N	\N
411693	1402	1994-01-10	PRIJEM	VKLAD	9006	33086	\N	\N	\N
411694	1402	1994-02-10	PRIJEM	VKLAD	9006	31868	\N	\N	\N
411695	1402	1994-03-10	PRIJEM	VKLAD	9006	36331	\N	\N	\N
411696	1402	1994-04-10	PRIJEM	VKLAD	9006	28303	\N	\N	\N
411697	1402	1994-05-10	PRIJEM	VKLAD	9006	30551	\N	\N	\N
411698	1402	1994-06-10	PRIJEM	VKLAD	13509	37330	\N	\N	\N
411699	1402	1994-07-10	PRIJEM	VKLAD	9006	34999	\N	\N	\N
411700	1402	1994-08-10	PRIJEM	VKLAD	9006	33865	\N	\N	\N
411701	1402	1994-09-10	PRIJEM	VKLAD	9006	32626	\N	\N	\N
411702	1402	1994-10-10	PRIJEM	VKLAD	9006	32384	\N	\N	\N
411703	1402	1994-11-10	PRIJEM	VKLAD	9006	30882	\N	\N	\N
411704	1402	1994-12-10	PRIJEM	VKLAD	13509	32255	\N	\N	\N
411705	1402	1995-01-10	PRIJEM	VKLAD	9006	24358	\N	\N	\N
411706	1402	1995-02-10	PRIJEM	VKLAD	9006	22823	\N	\N	\N
411707	1402	1995-03-10	PRIJEM	VKLAD	9006	24842	\N	\N	\N
411708	1402	1995-04-10	PRIJEM	VKLAD	9006	27372	\N	\N	\N
411709	1402	1995-05-10	PRIJEM	VKLAD	9006	29833	\N	\N	\N
411710	1402	1995-06-10	PRIJEM	VKLAD	13509	35684	\N	\N	\N
411711	1402	1995-07-10	PRIJEM	VKLAD	9006	33823	\N	\N	\N
411712	1402	1995-08-10	PRIJEM	VKLAD	9006	34286	\N	\N	\N
411713	1402	1995-09-10	PRIJEM	VKLAD	9006	31742	\N	\N	\N
411714	1402	1995-10-10	PRIJEM	VKLAD	9006	31192	\N	\N	\N
411715	1402	1995-11-10	PRIJEM	VKLAD	9006	31040	\N	\N	\N
411716	1402	1995-12-10	PRIJEM	VKLAD	13509	33083	\N	\N	\N
411717	1402	1996-01-10	PRIJEM	VKLAD	9006	23054	\N	\N	\N
411718	1402	1996-02-10	PRIJEM	VKLAD	9006	22226	\N	\N	\N
411719	1402	1996-03-10	PRIJEM	VKLAD	9006	26147	\N	\N	\N
411720	1402	1996-04-10	PRIJEM	VKLAD	9006	24365	\N	\N	\N
411721	1402	1996-05-10	PRIJEM	VKLAD	9006	26094	\N	\N	\N
411722	1402	1996-06-10	PRIJEM	VKLAD	13509	33637	\N	\N	\N
411723	1402	1996-07-10	PRIJEM	VKLAD	9006	33701	\N	\N	\N
411724	1402	1996-08-10	PRIJEM	VKLAD	9006	35073	\N	\N	\N
411725	1402	1996-09-10	PRIJEM	VKLAD	9006	34650	\N	\N	\N
411726	1402	1996-10-10	PRIJEM	VKLAD	9006	34126	\N	\N	\N
411727	1402	1996-11-10	PRIJEM	VKLAD	9006	32699	\N	\N	\N
411728	1402	1996-12-10	PRIJEM	VKLAD	13509	38190	\N	\N	\N
411729	1402	1997-01-10	PRIJEM	VKLAD	9006	38675	\N	\N	\N
411730	1402	1997-02-10	PRIJEM	VKLAD	9006	32076	\N	\N	\N
411731	1402	1997-03-10	PRIJEM	VKLAD	9006	36509	\N	\N	\N
411732	1402	1997-04-10	PRIJEM	VKLAD	9006	35145	\N	\N	\N
411733	1402	1997-05-10	PRIJEM	VKLAD	9006	37225	\N	\N	\N
411734	1402	1997-06-10	PRIJEM	VKLAD	13509	38028	\N	\N	\N
411735	1402	1997-07-10	PRIJEM	VKLAD	9006	42671	\N	\N	\N
411736	1402	1997-08-10	PRIJEM	VKLAD	9006	47574	\N	\N	\N
411737	1402	1997-09-10	PRIJEM	VKLAD	9006	49799	\N	\N	\N
411738	1402	1997-10-10	PRIJEM	VKLAD	9006	48935	\N	\N	\N
411739	1402	1997-11-10	PRIJEM	VKLAD	9006	50569	\N	\N	\N
411740	1402	1997-12-10	PRIJEM	VKLAD	13509	50461	\N	\N	\N
411741	1402	1998-01-10	PRIJEM	VKLAD	9006	47929	\N	\N	\N
411742	1402	1998-02-10	PRIJEM	VKLAD	9006	40562	\N	\N	\N
411743	1402	1998-03-10	PRIJEM	VKLAD	9006	44258	\N	\N	\N
411744	1402	1998-04-10	PRIJEM	VKLAD	9006	39236	\N	\N	\N
411745	1402	1998-05-10	PRIJEM	VKLAD	9006	36524	\N	\N	\N
411746	1402	1998-06-10	PRIJEM	VKLAD	13509	41405	\N	\N	\N
411747	1402	1998-07-10	PRIJEM	VKLAD	9006	35994	\N	\N	\N
411748	1402	1998-08-10	PRIJEM	VKLAD	9006	38170	\N	\N	\N
411749	1402	1998-09-10	PRIJEM	VKLAD	9006	41055	\N	\N	\N
411750	1402	1998-10-10	PRIJEM	VKLAD	9006	35956	\N	\N	\N
411751	1402	1998-11-10	PRIJEM	VKLAD	9006	33827	\N	\N	\N
411752	1402	1998-12-10	PRIJEM	VKLAD	13509	35114	\N	\N	\N
411760	1402	1993-08-12	VYDAJ	PREVOD NA UCET	2073	38192	SIPO	ST	2188045
411761	1402	1993-09-12	VYDAJ	PREVOD NA UCET	2073	36414	SIPO	ST	2188045
411762	1402	1993-10-12	VYDAJ	PREVOD NA UCET	2073	35398	SIPO	ST	2188045
411763	1402	1993-11-12	VYDAJ	PREVOD NA UCET	2073	36380	SIPO	ST	2188045
411764	1402	1993-12-12	VYDAJ	PREVOD NA UCET	2073	39766	SIPO	ST	2188045
411765	1402	1994-01-12	VYDAJ	PREVOD NA UCET	2073	31013	SIPO	ST	2188045
411766	1402	1994-02-12	VYDAJ	PREVOD NA UCET	2073	29795	SIPO	ST	2188045
411767	1402	1994-03-12	VYDAJ	PREVOD NA UCET	2073	34258	SIPO	ST	2188045
411768	1402	1994-04-12	VYDAJ	PREVOD NA UCET	2073	26230	SIPO	ST	2188045
411769	1402	1994-05-12	VYDAJ	PREVOD NA UCET	2073	28478	SIPO	ST	2188045
411770	1402	1994-06-12	VYDAJ	PREVOD NA UCET	2073	35257	SIPO	ST	2188045
411771	1402	1994-07-12	VYDAJ	PREVOD NA UCET	2073	32926	SIPO	ST	2188045
411772	1402	1994-08-12	VYDAJ	PREVOD NA UCET	2073	31792	SIPO	ST	2188045
411773	1402	1994-09-12	VYDAJ	PREVOD NA UCET	2073	30553	SIPO	ST	2188045
411774	1402	1994-10-12	VYDAJ	PREVOD NA UCET	2073	30311	SIPO	ST	2188045
411775	1402	1994-11-12	VYDAJ	PREVOD NA UCET	2073	28809	SIPO	ST	2188045
411776	1402	1994-12-12	VYDAJ	PREVOD NA UCET	2073	30182	SIPO	ST	2188045
411777	1402	1995-01-12	VYDAJ	PREVOD NA UCET	2073	22285	SIPO	ST	2188045
411778	1402	1995-02-12	VYDAJ	PREVOD NA UCET	2073	18950	SIPO	ST	2188045
411779	1402	1995-03-12	VYDAJ	PREVOD NA UCET	2073	22769	SIPO	ST	2188045
411780	1402	1995-04-12	VYDAJ	PREVOD NA UCET	2073	25299	SIPO	ST	2188045
411781	1402	1995-05-12	VYDAJ	PREVOD NA UCET	2073	27760	SIPO	ST	2188045
411782	1402	1995-06-12	VYDAJ	PREVOD NA UCET	2073	33611	SIPO	ST	2188045
411783	1402	1995-07-12	VYDAJ	PREVOD NA UCET	2073	31750	SIPO	ST	2188045
411784	1402	1995-08-12	VYDAJ	PREVOD NA UCET	2073	32213	SIPO	ST	2188045
411785	1402	1995-09-12	VYDAJ	PREVOD NA UCET	2073	25169	SIPO	ST	2188045
411786	1402	1995-10-12	VYDAJ	PREVOD NA UCET	2073	25019	SIPO	ST	2188045
411787	1402	1995-11-12	VYDAJ	PREVOD NA UCET	2073	22567	SIPO	ST	2188045
411788	1402	1995-12-12	VYDAJ	PREVOD NA UCET	2073	22410	SIPO	ST	2188045
411789	1402	1996-01-12	VYDAJ	PREVOD NA UCET	2073	15841	SIPO	ST	2188045
411790	1402	1996-02-12	VYDAJ	PREVOD NA UCET	2073	20153	SIPO	ST	2188045
411791	1402	1996-03-12	VYDAJ	PREVOD NA UCET	2073	17574	SIPO	ST	2188045
411792	1402	1996-04-12	VYDAJ	PREVOD NA UCET	2073	22292	SIPO	ST	2188045
411793	1402	1996-05-12	VYDAJ	PREVOD NA UCET	2073	24021	SIPO	ST	2188045
411794	1402	1996-06-12	VYDAJ	PREVOD NA UCET	2073	31564	SIPO	ST	2188045
411795	1402	1996-07-12	VYDAJ	PREVOD NA UCET	2073	31628	SIPO	ST	2188045
411796	1402	1996-08-12	VYDAJ	PREVOD NA UCET	2073	33000	SIPO	ST	2188045
411797	1402	1996-09-12	VYDAJ	PREVOD NA UCET	2073	32577	SIPO	ST	2188045
411798	1402	1996-10-12	VYDAJ	PREVOD NA UCET	2073	32053	SIPO	ST	2188045
411799	1402	1996-11-12	VYDAJ	PREVOD NA UCET	2073	30626	SIPO	ST	2188045
411800	1402	1996-12-12	VYDAJ	PREVOD NA UCET	2073	36117	SIPO	ST	2188045
411801	1402	1997-01-12	VYDAJ	PREVOD NA UCET	2073	36602	SIPO	ST	2188045
411802	1402	1997-02-12	VYDAJ	PREVOD NA UCET	2073	30003	SIPO	ST	2188045
411803	1402	1997-03-12	VYDAJ	PREVOD NA UCET	2073	34436	SIPO	ST	2188045
411804	1402	1997-04-12	VYDAJ	PREVOD NA UCET	2073	33072	SIPO	ST	2188045
411805	1402	1997-05-12	VYDAJ	PREVOD NA UCET	2073	35152	SIPO	ST	2188045
411806	1402	1997-06-12	VYDAJ	PREVOD NA UCET	2073	35955	SIPO	ST	2188045
411807	1402	1997-07-12	VYDAJ	PREVOD NA UCET	2073	40598	SIPO	ST	2188045
411808	1402	1997-08-12	VYDAJ	PREVOD NA UCET	2073	45501	SIPO	ST	2188045
411809	1402	1997-09-12	VYDAJ	PREVOD NA UCET	2073	47726	SIPO	ST	2188045
411810	1402	1997-10-12	VYDAJ	PREVOD NA UCET	2073	46862	SIPO	ST	2188045
411811	1402	1997-11-12	VYDAJ	PREVOD NA UCET	2073	48496	SIPO	ST	2188045
411812	1402	1997-12-12	VYDAJ	PREVOD NA UCET	2073	48388	SIPO	ST	2188045
411813	1402	1998-01-12	VYDAJ	PREVOD NA UCET	2073	45856	SIPO	ST	2188045
411814	1402	1998-02-12	VYDAJ	PREVOD NA UCET	2073	38489	SIPO	ST	2188045
411815	1402	1998-03-12	VYDAJ	PREVOD NA UCET	2073	38825	SIPO	ST	2188045
411816	1402	1998-04-12	VYDAJ	PREVOD NA UCET	2073	37163	SIPO	ST	2188045
411817	1402	1998-05-12	VYDAJ	PREVOD NA UCET	2073	34451	SIPO	ST	2188045
411818	1402	1998-06-12	VYDAJ	PREVOD NA UCET	2073	39332	SIPO	ST	2188045
411819	1402	1998-07-12	VYDAJ	PREVOD NA UCET	2073	33921	SIPO	ST	2188045
411820	1402	1998-08-12	VYDAJ	PREVOD NA UCET	2073	36097	SIPO	ST	2188045
411821	1402	1998-09-12	VYDAJ	PREVOD NA UCET	2073	33702	SIPO	ST	2188045
411822	1402	1998-10-12	VYDAJ	PREVOD NA UCET	2073	33883	SIPO	ST	2188045
411823	1402	1998-11-12	VYDAJ	PREVOD NA UCET	2073	31754	SIPO	ST	2188045
411824	1402	1998-12-12	VYDAJ	PREVOD NA UCET	2073	28481	SIPO	ST	2188045
411832	1402	1993-08-14	VYDAJ	PREVOD NA UCET	2221	30940	 	IJ	79063850
411833	1402	1993-09-14	VYDAJ	PREVOD NA UCET	2221	33722	 	IJ	79063850
411834	1402	1993-10-14	VYDAJ	PREVOD NA UCET	2221	32706	 	IJ	79063850
411835	1402	1993-11-14	VYDAJ	PREVOD NA UCET	2221	33688	 	IJ	79063850
411836	1402	1993-12-14	VYDAJ	PREVOD NA UCET	2221	37074	 	IJ	79063850
411837	1402	1994-01-14	VYDAJ	PREVOD NA UCET	2221	28321	 	IJ	79063850
411838	1402	1994-02-14	VYDAJ	PREVOD NA UCET	2221	27103	 	IJ	79063850
411839	1402	1994-03-14	VYDAJ	PREVOD NA UCET	2221	31566	 	IJ	79063850
411840	1402	1994-04-14	VYDAJ	PREVOD NA UCET	2221	23538	 	IJ	79063850
411841	1402	1994-05-14	VYDAJ	PREVOD NA UCET	2221	25786	 	IJ	79063850
411842	1402	1994-06-14	VYDAJ	PREVOD NA UCET	2221	32565	 	IJ	79063850
411843	1402	1994-07-14	VYDAJ	PREVOD NA UCET	2221	30234	 	IJ	79063850
411844	1402	1994-08-14	VYDAJ	PREVOD NA UCET	2221	29100	 	IJ	79063850
411845	1402	1994-09-14	VYDAJ	PREVOD NA UCET	2221	27861	 	IJ	79063850
411846	1402	1994-10-14	VYDAJ	PREVOD NA UCET	2221	27619	 	IJ	79063850
411847	1402	1994-11-14	VYDAJ	PREVOD NA UCET	2221	26117	 	IJ	79063850
411848	1402	1994-12-14	VYDAJ	PREVOD NA UCET	2221	23170	 	IJ	79063850
411849	1402	1995-01-14	VYDAJ	PREVOD NA UCET	2221	17313	 	IJ	79063850
411850	1402	1995-02-14	VYDAJ	PREVOD NA UCET	2221	16258	 	IJ	79063850
411851	1402	1995-03-14	VYDAJ	PREVOD NA UCET	2221	20077	 	IJ	79063850
411852	1402	1995-04-14	VYDAJ	PREVOD NA UCET	2221	22607	 	IJ	79063850
411853	1402	1995-05-14	VYDAJ	PREVOD NA UCET	2221	25068	 	IJ	79063850
411854	1402	1995-06-14	VYDAJ	PREVOD NA UCET	2221	28999	 	IJ	79063850
411855	1402	1995-07-14	VYDAJ	PREVOD NA UCET	2221	25558	 	IJ	79063850
411856	1402	1995-08-14	VYDAJ	PREVOD NA UCET	2221	23021	 	IJ	79063850
411857	1402	1995-09-14	VYDAJ	PREVOD NA UCET	2221	22477	 	IJ	79063850
411858	1402	1995-10-14	VYDAJ	PREVOD NA UCET	2221	22327	 	IJ	79063850
411859	1402	1995-11-14	VYDAJ	PREVOD NA UCET	2221	19875	 	IJ	79063850
411860	1402	1995-12-14	VYDAJ	PREVOD NA UCET	2221	19718	 	IJ	79063850
411861	1402	1996-01-14	VYDAJ	PREVOD NA UCET	2221	13149	 	IJ	79063850
411862	1402	1996-02-14	VYDAJ	PREVOD NA UCET	2221	17461	 	IJ	79063850
411863	1402	1996-03-14	VYDAJ	PREVOD NA UCET	2221	14882	 	IJ	79063850
411864	1402	1996-04-14	VYDAJ	PREVOD NA UCET	2221	19600	 	IJ	79063850
411865	1402	1996-05-14	VYDAJ	PREVOD NA UCET	2221	21329	 	IJ	79063850
411866	1402	1996-06-14	VYDAJ	PREVOD NA UCET	2221	28872	 	IJ	79063850
411867	1402	1996-07-14	VYDAJ	PREVOD NA UCET	2221	28936	 	IJ	79063850
411868	1402	1996-08-14	VYDAJ	PREVOD NA UCET	2221	30308	 	IJ	79063850
411869	1402	1996-09-14	VYDAJ	PREVOD NA UCET	2221	29885	 	IJ	79063850
411870	1402	1996-10-14	VYDAJ	PREVOD NA UCET	2221	29361	 	IJ	79063850
411871	1402	1996-11-14	VYDAJ	PREVOD NA UCET	2221	27934	 	IJ	79063850
411872	1402	1996-12-14	VYDAJ	PREVOD NA UCET	2221	33425	 	IJ	79063850
411873	1402	1997-01-14	VYDAJ	PREVOD NA UCET	2221	30670	 	IJ	79063850
411874	1402	1997-02-14	VYDAJ	PREVOD NA UCET	2221	27311	 	IJ	79063850
411875	1402	1997-03-14	VYDAJ	PREVOD NA UCET	2221	31744	 	IJ	79063850
411876	1402	1997-04-14	VYDAJ	PREVOD NA UCET	2221	30380	 	IJ	79063850
411877	1402	1997-05-14	VYDAJ	PREVOD NA UCET	2221	32460	 	IJ	79063850
411878	1402	1997-06-14	VYDAJ	PREVOD NA UCET	2221	33263	 	IJ	79063850
411879	1402	1997-07-14	VYDAJ	PREVOD NA UCET	2221	37906	 	IJ	79063850
411880	1402	1997-08-14	VYDAJ	PREVOD NA UCET	2221	42809	 	IJ	79063850
411881	1402	1997-09-14	VYDAJ	PREVOD NA UCET	2221	45034	 	IJ	79063850
411882	1402	1997-10-14	VYDAJ	PREVOD NA UCET	2221	44170	 	IJ	79063850
411883	1402	1997-11-14	VYDAJ	PREVOD NA UCET	2221	45804	 	IJ	79063850
411884	1402	1997-12-14	VYDAJ	PREVOD NA UCET	2221	45696	 	IJ	79063850
411885	1402	1998-01-14	VYDAJ	PREVOD NA UCET	2221	43164	 	IJ	79063850
411886	1402	1998-02-14	VYDAJ	PREVOD NA UCET	2221	35797	 	IJ	79063850
411887	1402	1998-03-14	VYDAJ	PREVOD NA UCET	2221	36133	 	IJ	79063850
411888	1402	1998-04-14	VYDAJ	PREVOD NA UCET	2221	34471	 	IJ	79063850
411889	1402	1998-05-14	VYDAJ	PREVOD NA UCET	2221	31759	 	IJ	79063850
411890	1402	1998-06-14	VYDAJ	PREVOD NA UCET	2221	36640	 	IJ	79063850
411891	1402	1998-07-14	VYDAJ	PREVOD NA UCET	2221	31229	 	IJ	79063850
411892	1402	1998-08-14	VYDAJ	PREVOD NA UCET	2221	33405	 	IJ	79063850
411893	1402	1998-09-14	VYDAJ	PREVOD NA UCET	2221	31010	 	IJ	79063850
411894	1402	1998-10-14	VYDAJ	PREVOD NA UCET	2221	31191	 	IJ	79063850
411895	1402	1998-11-14	VYDAJ	PREVOD NA UCET	2221	29062	 	IJ	79063850
411896	1402	1998-12-14	VYDAJ	PREVOD NA UCET	2221	25789	 	IJ	79063850
411904	1402	1993-08-13	VYDAJ	PREVOD NA UCET	471	37721	POJISTNE	IJ	52195531
411905	1402	1993-09-13	VYDAJ	PREVOD NA UCET	471	35943	POJISTNE	IJ	52195531
411906	1402	1993-10-13	VYDAJ	PREVOD NA UCET	471	34927	POJISTNE	IJ	52195531
411907	1402	1993-11-13	VYDAJ	PREVOD NA UCET	471	35909	POJISTNE	IJ	52195531
411908	1402	1993-12-13	VYDAJ	PREVOD NA UCET	471	39295	POJISTNE	IJ	52195531
411909	1402	1994-01-13	VYDAJ	PREVOD NA UCET	471	30542	POJISTNE	IJ	52195531
411910	1402	1994-02-13	VYDAJ	PREVOD NA UCET	471	29324	POJISTNE	IJ	52195531
411911	1402	1994-03-13	VYDAJ	PREVOD NA UCET	471	33787	POJISTNE	IJ	52195531
411912	1402	1994-04-13	VYDAJ	PREVOD NA UCET	471	25759	POJISTNE	IJ	52195531
411913	1402	1994-05-13	VYDAJ	PREVOD NA UCET	471	28007	POJISTNE	IJ	52195531
411914	1402	1994-06-13	VYDAJ	PREVOD NA UCET	471	34786	POJISTNE	IJ	52195531
411915	1402	1994-07-13	VYDAJ	PREVOD NA UCET	471	32455	POJISTNE	IJ	52195531
411916	1402	1994-08-13	VYDAJ	PREVOD NA UCET	471	31321	POJISTNE	IJ	52195531
411917	1402	1994-09-13	VYDAJ	PREVOD NA UCET	471	30082	POJISTNE	IJ	52195531
411918	1402	1994-10-13	VYDAJ	PREVOD NA UCET	471	29840	POJISTNE	IJ	52195531
411919	1402	1994-11-13	VYDAJ	PREVOD NA UCET	471	28338	POJISTNE	IJ	52195531
411920	1402	1994-12-13	VYDAJ	PREVOD NA UCET	471	29711	POJISTNE	IJ	52195531
411921	1402	1995-01-13	VYDAJ	PREVOD NA UCET	471	19534	POJISTNE	IJ	52195531
411922	1402	1995-02-13	VYDAJ	PREVOD NA UCET	471	18479	POJISTNE	IJ	52195531
411923	1402	1995-03-13	VYDAJ	PREVOD NA UCET	471	22298	POJISTNE	IJ	52195531
411924	1402	1995-04-13	VYDAJ	PREVOD NA UCET	471	24828	POJISTNE	IJ	52195531
411925	1402	1995-05-13	VYDAJ	PREVOD NA UCET	471	27289	POJISTNE	IJ	52195531
411926	1402	1995-06-13	VYDAJ	PREVOD NA UCET	471	31220	POJISTNE	IJ	52195531
411927	1402	1995-07-13	VYDAJ	PREVOD NA UCET	471	31279	POJISTNE	IJ	52195531
411928	1402	1995-08-13	VYDAJ	PREVOD NA UCET	471	31742	POJISTNE	IJ	52195531
411929	1402	1995-09-13	VYDAJ	PREVOD NA UCET	471	24698	POJISTNE	IJ	52195531
411930	1402	1995-10-13	VYDAJ	PREVOD NA UCET	471	24548	POJISTNE	IJ	52195531
411931	1402	1995-11-13	VYDAJ	PREVOD NA UCET	471	22096	POJISTNE	IJ	52195531
411932	1402	1995-12-13	VYDAJ	PREVOD NA UCET	471	21939	POJISTNE	IJ	52195531
411933	1402	1996-01-13	VYDAJ	PREVOD NA UCET	471	15370	POJISTNE	IJ	52195531
411934	1402	1996-02-13	VYDAJ	PREVOD NA UCET	471	19682	POJISTNE	IJ	52195531
411935	1402	1996-03-13	VYDAJ	PREVOD NA UCET	471	17103	POJISTNE	IJ	52195531
411936	1402	1996-04-13	VYDAJ	PREVOD NA UCET	471	21821	POJISTNE	IJ	52195531
411937	1402	1996-05-13	VYDAJ	PREVOD NA UCET	471	23550	POJISTNE	IJ	52195531
411938	1402	1996-06-13	VYDAJ	PREVOD NA UCET	471	31093	POJISTNE	IJ	52195531
411939	1402	1996-07-13	VYDAJ	PREVOD NA UCET	471	31157	POJISTNE	IJ	52195531
411940	1402	1996-08-13	VYDAJ	PREVOD NA UCET	471	32529	POJISTNE	IJ	52195531
411941	1402	1996-09-13	VYDAJ	PREVOD NA UCET	471	32106	POJISTNE	IJ	52195531
411942	1402	1996-10-13	VYDAJ	PREVOD NA UCET	471	31582	POJISTNE	IJ	52195531
411943	1402	1996-11-13	VYDAJ	PREVOD NA UCET	471	30155	POJISTNE	IJ	52195531
411944	1402	1996-12-13	VYDAJ	PREVOD NA UCET	471	35646	POJISTNE	IJ	52195531
411945	1402	1997-01-13	VYDAJ	PREVOD NA UCET	471	36131	POJISTNE	IJ	52195531
411946	1402	1997-02-13	VYDAJ	PREVOD NA UCET	471	29532	POJISTNE	IJ	52195531
411947	1402	1997-03-13	VYDAJ	PREVOD NA UCET	471	33965	POJISTNE	IJ	52195531
411948	1402	1997-04-13	VYDAJ	PREVOD NA UCET	471	32601	POJISTNE	IJ	52195531
411949	1402	1997-05-13	VYDAJ	PREVOD NA UCET	471	34681	POJISTNE	IJ	52195531
411950	1402	1997-06-13	VYDAJ	PREVOD NA UCET	471	35484	POJISTNE	IJ	52195531
411951	1402	1997-07-13	VYDAJ	PREVOD NA UCET	471	40127	POJISTNE	IJ	52195531
411952	1402	1997-08-13	VYDAJ	PREVOD NA UCET	471	45030	POJISTNE	IJ	52195531
411953	1402	1997-09-13	VYDAJ	PREVOD NA UCET	471	47255	POJISTNE	IJ	52195531
411954	1402	1997-10-13	VYDAJ	PREVOD NA UCET	471	46391	POJISTNE	IJ	52195531
411955	1402	1997-11-13	VYDAJ	PREVOD NA UCET	471	48025	POJISTNE	IJ	52195531
411956	1402	1997-12-13	VYDAJ	PREVOD NA UCET	471	47917	POJISTNE	IJ	52195531
411957	1402	1998-01-13	VYDAJ	PREVOD NA UCET	471	45385	POJISTNE	IJ	52195531
411958	1402	1998-02-13	VYDAJ	PREVOD NA UCET	471	38018	POJISTNE	IJ	52195531
411959	1402	1998-03-13	VYDAJ	PREVOD NA UCET	471	38354	POJISTNE	IJ	52195531
411960	1402	1998-04-13	VYDAJ	PREVOD NA UCET	471	36692	POJISTNE	IJ	52195531
411961	1402	1998-05-13	VYDAJ	PREVOD NA UCET	471	33980	POJISTNE	IJ	52195531
411962	1402	1998-06-13	VYDAJ	PREVOD NA UCET	471	38861	POJISTNE	IJ	52195531
411963	1402	1998-07-13	VYDAJ	PREVOD NA UCET	471	33450	POJISTNE	IJ	52195531
411964	1402	1998-08-13	VYDAJ	PREVOD NA UCET	471	35626	POJISTNE	IJ	52195531
411965	1402	1998-09-13	VYDAJ	PREVOD NA UCET	471	33231	POJISTNE	IJ	52195531
411966	1402	1998-10-13	VYDAJ	PREVOD NA UCET	471	33412	POJISTNE	IJ	52195531
411967	1402	1998-11-13	VYDAJ	PREVOD NA UCET	471	31283	POJISTNE	IJ	52195531
411968	1402	1998-12-13	VYDAJ	PREVOD NA UCET	471	28010	POJISTNE	IJ	52195531
411977	1402	1993-09-06	VYDAJ	PREVOD NA UCET	374	29481	 	EF	12338292
411978	1402	1993-10-06	VYDAJ	PREVOD NA UCET	374	28465	 	EF	12338292
411979	1402	1993-11-06	VYDAJ	PREVOD NA UCET	374	29447	 	EF	12338292
411980	1402	1993-12-06	VYDAJ	PREVOD NA UCET	374	28330	 	EF	12338292
411981	1402	1994-01-06	VYDAJ	PREVOD NA UCET	374	26000	 	EF	12338292
411982	1402	1994-02-06	VYDAJ	PREVOD NA UCET	374	22862	 	EF	12338292
411983	1402	1994-03-06	VYDAJ	PREVOD NA UCET	374	27325	 	EF	12338292
411984	1402	1994-04-06	VYDAJ	PREVOD NA UCET	374	19297	 	EF	12338292
411985	1402	1994-05-06	VYDAJ	PREVOD NA UCET	374	21545	 	EF	12338292
411986	1402	1994-06-06	VYDAJ	PREVOD NA UCET	374	23821	 	EF	12338292
411987	1402	1994-07-06	VYDAJ	PREVOD NA UCET	374	25993	 	EF	12338292
411988	1402	1994-08-06	VYDAJ	PREVOD NA UCET	374	24859	 	EF	12338292
411989	1402	1994-09-06	VYDAJ	PREVOD NA UCET	374	23620	 	EF	12338292
411990	1402	1994-10-06	VYDAJ	PREVOD NA UCET	374	23378	 	EF	12338292
411991	1402	1994-11-06	VYDAJ	PREVOD NA UCET	374	21876	 	EF	12338292
411992	1402	1994-12-06	VYDAJ	PREVOD NA UCET	374	18746	 	EF	12338292
411993	1402	1995-01-06	VYDAJ	PREVOD NA UCET	374	20872	 	EF	12338292
411994	1402	1995-02-06	VYDAJ	PREVOD NA UCET	374	13817	 	EF	12338292
411995	1402	1995-03-06	VYDAJ	PREVOD NA UCET	374	15836	 	EF	12338292
411996	1402	1995-04-06	VYDAJ	PREVOD NA UCET	374	18366	 	EF	12338292
411997	1402	1995-05-06	VYDAJ	PREVOD NA UCET	374	20827	 	EF	12338292
411998	1402	1995-06-06	VYDAJ	PREVOD NA UCET	374	22175	 	EF	12338292
411999	1402	1995-07-06	VYDAJ	PREVOD NA UCET	374	25417	 	EF	12338292
412000	1402	1995-08-06	VYDAJ	PREVOD NA UCET	374	25280	 	EF	12338292
412001	1402	1995-09-06	VYDAJ	PREVOD NA UCET	374	22736	 	EF	12338292
412002	1402	1995-10-06	VYDAJ	PREVOD NA UCET	374	22186	 	EF	12338292
412003	1402	1995-11-06	VYDAJ	PREVOD NA UCET	374	22034	 	EF	12338292
412004	1402	1995-12-06	VYDAJ	PREVOD NA UCET	374	19574	 	EF	12338292
412005	1402	1996-01-06	VYDAJ	PREVOD NA UCET	374	16208	 	EF	12338292
412006	1402	1996-02-06	VYDAJ	PREVOD NA UCET	374	12820	 	EF	12338292
412007	1402	1996-03-06	VYDAJ	PREVOD NA UCET	374	17141	 	EF	12338292
412008	1402	1996-04-06	VYDAJ	PREVOD NA UCET	374	14559	 	EF	12338292
412009	1402	1996-05-06	VYDAJ	PREVOD NA UCET	374	19288	 	EF	12338292
412010	1402	1996-06-06	VYDAJ	PREVOD NA UCET	374	21028	 	EF	12338292
412011	1402	1996-07-06	VYDAJ	PREVOD NA UCET	374	28595	 	EF	12338292
412012	1402	1996-08-06	VYDAJ	PREVOD NA UCET	374	28667	 	EF	12338292
412013	1402	1996-09-06	VYDAJ	PREVOD NA UCET	374	25644	 	EF	12338292
412014	1402	1996-10-06	VYDAJ	PREVOD NA UCET	374	25120	 	EF	12338292
412015	1402	1996-11-06	VYDAJ	PREVOD NA UCET	374	23693	 	EF	12338292
412016	1402	1996-12-06	VYDAJ	PREVOD NA UCET	374	27561	 	EF	12338292
412017	1402	1997-01-06	VYDAJ	PREVOD NA UCET	374	29669	 	EF	12338292
412018	1402	1997-02-06	VYDAJ	PREVOD NA UCET	374	23070	 	EF	12338292
412019	1402	1997-03-06	VYDAJ	PREVOD NA UCET	374	27503	 	EF	12338292
412020	1402	1997-04-06	VYDAJ	PREVOD NA UCET	374	31779	 	EF	12338292
412021	1402	1997-05-06	VYDAJ	PREVOD NA UCET	374	33019	 	EF	12338292
412022	1402	1997-06-06	VYDAJ	PREVOD NA UCET	374	32999	 	EF	12338292
412023	1402	1997-07-06	VYDAJ	PREVOD NA UCET	374	33665	 	EF	12338292
412024	1402	1997-08-06	VYDAJ	PREVOD NA UCET	374	38568	 	EF	12338292
412025	1402	1997-09-06	VYDAJ	PREVOD NA UCET	374	40793	 	EF	12338292
412026	1402	1997-10-06	VYDAJ	PREVOD NA UCET	374	39929	 	EF	12338292
412027	1402	1997-11-06	VYDAJ	PREVOD NA UCET	374	41563	 	EF	12338292
412028	1402	1997-12-06	VYDAJ	PREVOD NA UCET	374	36952	 	EF	12338292
412029	1402	1998-01-06	VYDAJ	PREVOD NA UCET	374	38923	 	EF	12338292
412030	1402	1998-02-06	VYDAJ	PREVOD NA UCET	374	31556	 	EF	12338292
412031	1402	1998-03-06	VYDAJ	PREVOD NA UCET	374	35252	 	EF	12338292
412032	1402	1998-04-06	VYDAJ	PREVOD NA UCET	374	30230	 	EF	12338292
412033	1402	1998-05-06	VYDAJ	PREVOD NA UCET	374	27518	 	EF	12338292
412034	1402	1998-06-06	VYDAJ	PREVOD NA UCET	374	27896	 	EF	12338292
412035	1402	1998-07-06	VYDAJ	PREVOD NA UCET	374	26988	 	EF	12338292
412036	1402	1998-08-06	VYDAJ	PREVOD NA UCET	374	29164	 	EF	12338292
412037	1402	1998-09-06	VYDAJ	PREVOD NA UCET	374	32049	 	EF	12338292
412038	1402	1998-10-06	VYDAJ	PREVOD NA UCET	374	26950	 	EF	12338292
412039	1402	1998-11-06	VYDAJ	PREVOD NA UCET	374	24821	 	EF	12338292
412040	1402	1998-12-06	VYDAJ	PREVOD NA UCET	374	21605	 	EF	12338292
412045	1402	1997-06-06	VYDAJ	VYBER	8480	24519	\N	\N	\N
412047	1402	1993-12-14	VYDAJ	VYBER	2560	34514	\N	\N	\N
412048	1402	1994-12-14	VYDAJ	VYBER	4320	25391	\N	\N	\N
412049	1402	1995-12-17	VYDAJ	VYBER	3200	16518	\N	\N	\N
412050	1402	1996-12-09	VYDAJ	VYBER	2880	24681	\N	\N	\N
412051	1402	1997-12-18	VYDAJ	VYBER	1760	43936	\N	\N	\N
412052	1402	1998-12-04	VYDAJ	VYBER	3680	21979	\N	\N	\N
412059	1402	1994-01-29	VYDAJ	VYBER	840	23141	\N	\N	\N
412060	1402	1994-01-07	VYDAJ	VYBER	600	25400	\N	\N	\N
412061	1402	1994-01-07	VYDAJ	VYBER	720	24080	\N	\N	\N
412062	1402	1994-01-14	VYDAJ	VYBER	3480	24841	\N	\N	\N
412063	1402	1994-01-27	VYDAJ	VYBER	1560	23981	\N	\N	\N
412064	1402	1994-01-06	VYDAJ	VYBER	2760	26374	\N	\N	\N
412065	1402	1995-01-17	VYDAJ	VYBER	2040	14133	\N	\N	\N
412066	1402	1995-01-09	VYDAJ	VYBER	2280	15352	\N	\N	\N
412067	1402	1995-01-08	VYDAJ	VYBER	2400	18472	\N	\N	\N
412068	1402	1995-01-12	VYDAJ	VYBER	2280	20005	\N	\N	\N
412069	1402	1995-01-16	VYDAJ	VYBER	1440	16173	\N	\N	\N
412070	1402	1995-01-08	VYDAJ	VYBER	840	17632	\N	\N	\N
412072	1402	1996-01-09	VYDAJ	VYBER	2160	14048	\N	\N	\N
412076	1402	1996-01-11	VYDAJ	VYBER	2640	17914	\N	\N	\N
412077	1402	1997-01-16	VYDAJ	VYBER	1560	27190	\N	\N	\N
412078	1402	1997-01-13	VYDAJ	VYBER	3240	32891	\N	\N	\N
412079	1402	1997-01-14	VYDAJ	VYBER	1920	28750	\N	\N	\N
412080	1402	1997-01-16	VYDAJ	VYBER	2160	25030	\N	\N	\N
412081	1402	1997-01-20	VYDAJ	VYBER	2040	19750	\N	\N	\N
412082	1402	1997-01-17	VYDAJ	VYBER	3240	21790	\N	\N	\N
412083	1402	1998-01-20	VYDAJ	VYBER	960	39324	\N	\N	\N
412084	1402	1998-01-17	VYDAJ	VYBER	2280	40884	\N	\N	\N
412085	1402	1998-01-19	VYDAJ	VYBER	600	40284	\N	\N	\N
412086	1402	1998-01-21	VYDAJ	VYBER	1080	38244	\N	\N	\N
412087	1402	1998-01-23	VYDAJ	VYBER	1080	37164	\N	\N	\N
412088	1402	1998-01-26	VYDAJ	VYBER	3480	33684	\N	\N	\N
412090	1402	1993-08-13	VYDAJ	VYBER	4560	33161	\N	\N	\N
412094	1402	1994-10-25	VYDAJ	VYBER	4560	22159	\N	\N	\N
412095	1402	1994-01-07	VYDAJ	VYBER	600	24800	\N	\N	\N
412096	1402	1994-11-25	VYDAJ	VYBER	5280	19037	\N	\N	\N
412097	1402	1994-03-26	VYDAJ	VYBER	1680	24486	\N	\N	\N
412098	1402	1994-04-05	VYDAJ	VYBER	4920	19671	\N	\N	\N
412099	1402	1994-05-25	VYDAJ	VYBER	2280	24106	\N	\N	\N
412100	1402	1995-06-13	VYDAJ	VYBER	1920	31691	\N	\N	\N
412101	1402	1995-02-12	VYDAJ	VYBER	1800	21023	\N	\N	\N
412102	1402	1995-04-23	VYDAJ	VYBER	1080	21127	\N	\N	\N
412103	1402	1995-07-09	VYDAJ	VYBER	600	24817	\N	\N	\N
412107	1402	1997-06-29	VYDAJ	VYBER	2640	30623	\N	\N	\N
412108	1402	1997-04-08	VYDAJ	VYBER	5640	26139	\N	\N	\N
412109	1402	1997-05-21	VYDAJ	VYBER	2400	30060	\N	\N	\N
412110	1402	1997-02-17	VYDAJ	VYBER	3120	24191	\N	\N	\N
412111	1402	1997-11-20	VYDAJ	VYBER	5640	40164	\N	\N	\N
412112	1402	1997-05-06	VYDAJ	VYBER	4800	28219	\N	\N	\N
412113	1402	1997-02-25	VYDAJ	VYBER	1200	22991	\N	\N	\N
412114	1402	1998-03-22	VYDAJ	VYBER	600	34573	\N	\N	\N
412115	1402	1998-03-15	VYDAJ	VYBER	960	35173	\N	\N	\N
412116	1402	1998-09-12	VYDAJ	VYBER	5280	35775	\N	\N	\N
412117	1402	1998-03-12	VYDAJ	VYBER	3360	40898	\N	\N	\N
412118	1402	1998-12-10	VYDAJ	VYBER	4560	30554	\N	\N	\N
412119	1402	1998-12-28	VYDAJ	VYBER	1080	23509	\N	\N	\N
412128	1402	1993-08-31	VYDAJ	VYBER	15	29855	SLUZBY	\N	\N
412129	1402	1993-09-30	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
412130	1402	1993-10-31	VYDAJ	VYBER	15	29821	SLUZBY	\N	\N
412131	1402	1993-11-30	VYDAJ	VYBER	15	28704	SLUZBY	\N	\N
412132	1402	1993-12-31	VYDAJ	VYBER	15	29134	SLUZBY	\N	\N
412133	1402	1994-01-31	VYDAJ	VYBER	15	23236	SLUZBY	\N	\N
412134	1402	1994-02-28	VYDAJ	VYBER	15	27699	SLUZBY	\N	\N
412135	1402	1994-03-31	VYDAJ	VYBER	15	24591	SLUZBY	\N	\N
412136	1402	1994-04-30	VYDAJ	VYBER	15	21919	SLUZBY	\N	\N
412137	1402	1994-05-31	VYDAJ	VYBER	15	24195	SLUZBY	\N	\N
412138	1402	1994-06-30	VYDAJ	VYBER	15	26367	SLUZBY	\N	\N
412139	1402	1994-07-31	VYDAJ	VYBER	15	25233	SLUZBY	\N	\N
412140	1402	1994-08-31	VYDAJ	VYBER	15	23994	SLUZBY	\N	\N
412141	1402	1994-09-30	VYDAJ	VYBER	15	23752	SLUZBY	\N	\N
412142	1402	1994-10-31	VYDAJ	VYBER	15	22250	SLUZBY	\N	\N
412143	1402	1994-11-30	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
412144	1402	1994-12-31	VYDAJ	VYBER	15	21246	SLUZBY	\N	\N
412145	1402	1995-01-31	VYDAJ	VYBER	15	14191	SLUZBY	\N	\N
412146	1402	1995-02-28	VYDAJ	VYBER	15	16210	SLUZBY	\N	\N
412147	1402	1995-03-31	VYDAJ	VYBER	15	18740	SLUZBY	\N	\N
412148	1402	1995-04-30	VYDAJ	VYBER	15	21201	SLUZBY	\N	\N
412149	1402	1995-05-31	VYDAJ	VYBER	15	22549	SLUZBY	\N	\N
412150	1402	1995-06-30	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
412151	1402	1995-07-31	VYDAJ	VYBER	15	25654	SLUZBY	\N	\N
412152	1402	1995-08-31	VYDAJ	VYBER	15	23110	SLUZBY	\N	\N
412153	1402	1995-09-30	VYDAJ	VYBER	15	22560	SLUZBY	\N	\N
412154	1402	1995-10-31	VYDAJ	VYBER	15	22408	SLUZBY	\N	\N
412155	1402	1995-11-30	VYDAJ	VYBER	15	19948	SLUZBY	\N	\N
412156	1402	1995-12-31	VYDAJ	VYBER	15	16582	SLUZBY	\N	\N
412157	1402	1996-01-31	VYDAJ	VYBER	15	13194	SLUZBY	\N	\N
412158	1402	1996-02-29	VYDAJ	VYBER	15	17515	SLUZBY	\N	\N
412159	1402	1996-03-31	VYDAJ	VYBER	15	14933	SLUZBY	\N	\N
412160	1402	1996-04-30	VYDAJ	VYBER	15	19662	SLUZBY	\N	\N
412161	1402	1996-05-31	VYDAJ	VYBER	15	21402	SLUZBY	\N	\N
412162	1402	1996-06-30	VYDAJ	VYBER	15	28969	SLUZBY	\N	\N
412163	1402	1996-07-31	VYDAJ	VYBER	15	29041	SLUZBY	\N	\N
412164	1402	1996-08-31	VYDAJ	VYBER	15	30418	SLUZBY	\N	\N
412165	1402	1996-09-30	VYDAJ	VYBER	15	29994	SLUZBY	\N	\N
412166	1402	1996-10-31	VYDAJ	VYBER	15	29467	SLUZBY	\N	\N
412167	1402	1996-11-30	VYDAJ	VYBER	15	28035	SLUZBY	\N	\N
412168	1402	1996-12-31	VYDAJ	VYBER	15	33543	SLUZBY	\N	\N
412169	1402	1997-01-31	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
412170	1402	1997-02-28	VYDAJ	VYBER	15	23077	SLUZBY	\N	\N
412171	1402	1997-03-31	VYDAJ	VYBER	15	31853	SLUZBY	\N	\N
412172	1402	1997-04-30	VYDAJ	VYBER	15	30493	SLUZBY	\N	\N
412173	1402	1997-05-31	VYDAJ	VYBER	15	30173	SLUZBY	\N	\N
412174	1402	1997-06-30	VYDAJ	VYBER	15	30739	SLUZBY	\N	\N
412175	1402	1997-07-31	VYDAJ	VYBER	15	38042	SLUZBY	\N	\N
412176	1402	1997-08-31	VYDAJ	VYBER	15	42967	SLUZBY	\N	\N
412177	1402	1997-09-30	VYDAJ	VYBER	15	45203	SLUZBY	\N	\N
412178	1402	1997-10-31	VYDAJ	VYBER	15	44337	SLUZBY	\N	\N
412179	1402	1997-11-30	VYDAJ	VYBER	15	37326	SLUZBY	\N	\N
412180	1402	1997-12-31	VYDAJ	VYBER	15	39297	SLUZBY	\N	\N
412181	1402	1998-01-31	VYDAJ	VYBER	15	31930	SLUZBY	\N	\N
412182	1402	1998-02-28	VYDAJ	VYBER	15	35626	SLUZBY	\N	\N
412183	1402	1998-03-31	VYDAJ	VYBER	15	30604	SLUZBY	\N	\N
412184	1402	1998-04-30	VYDAJ	VYBER	15	27892	SLUZBY	\N	\N
412185	1402	1998-05-31	VYDAJ	VYBER	15	28270	SLUZBY	\N	\N
412186	1402	1998-06-30	VYDAJ	VYBER	15	27362	SLUZBY	\N	\N
412187	1402	1998-07-31	VYDAJ	VYBER	15	29538	SLUZBY	\N	\N
412188	1402	1998-08-31	VYDAJ	VYBER	15	32423	SLUZBY	\N	\N
412189	1402	1998-09-30	VYDAJ	VYBER	15	27324	SLUZBY	\N	\N
412190	1402	1998-10-31	VYDAJ	VYBER	15	25195	SLUZBY	\N	\N
412191	1402	1998-11-30	VYDAJ	VYBER	15	25659	SLUZBY	\N	\N
412192	1402	1993-04-25	PRIJEM	VKLAD	6700	16106	\N	\N	\N
412193	1402	1993-05-25	VYDAJ	VYBER	100	25025	\N	\N	\N
412194	1402	1993-06-24	VYDAJ	VYBER	6600	32010	\N	\N	\N
412195	1402	1993-07-24	VYDAJ	VYBER	10000	31127	\N	\N	\N
412196	1402	1993-08-23	VYDAJ	VYBER	1200	29740	\N	\N	\N
412197	1402	1993-09-22	VYDAJ	VYBER	5000	28722	\N	\N	\N
412198	1402	1993-10-22	VYDAJ	VYBER	3000	29706	\N	\N	\N
412199	1402	1993-11-21	VYDAJ	VYBER	5100	28588	\N	\N	\N
412200	1402	1993-12-21	VYDAJ	VYBER	5500	29014	\N	\N	\N
412201	1402	1994-01-20	PRIJEM	VKLAD	700	25541	\N	\N	\N
412202	1402	1994-02-19	PRIJEM	VKLAD	500	27603	\N	\N	\N
412203	1402	1994-03-21	VYDAJ	VYBER	5400	26166	\N	\N	\N
412204	1402	1994-04-20	VYDAJ	VYBER	1700	21838	\N	\N	\N
412205	1402	1994-05-20	PRIJEM	VKLAD	600	26386	\N	\N	\N
412206	1402	1994-06-19	VYDAJ	VYBER	6300	26265	\N	\N	\N
412207	1402	1994-07-19	VYDAJ	VYBER	5100	25134	\N	\N	\N
412208	1402	1994-08-18	VYDAJ	VYBER	5200	23900	\N	\N	\N
412209	1402	1994-09-17	VYDAJ	VYBER	4200	23661	\N	\N	\N
412210	1402	1994-10-17	VYDAJ	VYBER	900	26719	\N	\N	\N
412211	1402	1994-11-16	VYDAJ	VYBER	1800	24317	\N	\N	\N
412212	1402	1994-12-16	VYDAJ	VYBER	2000	21170	\N	\N	\N
412213	1402	1995-01-15	PRIJEM	VKLAD	300	17613	\N	\N	\N
412214	1402	1995-02-14	VYDAJ	VYBER	100	16158	\N	\N	\N
412215	1402	1995-03-16	VYDAJ	VYBER	1400	18677	\N	\N	\N
412216	1402	1995-04-15	VYDAJ	VYBER	400	22207	\N	\N	\N
412217	1402	1995-05-15	VYDAJ	VYBER	2600	22468	\N	\N	\N
412218	1402	1995-06-14	VYDAJ	VYBER	3300	25699	\N	\N	\N
412219	1402	1995-07-14	VYDAJ	VYBER	3500	27779	\N	\N	\N
412220	1402	1995-08-13	VYDAJ	VYBER	6500	25242	\N	\N	\N
412221	1402	1995-09-12	VYDAJ	VYBER	4500	27242	\N	\N	\N
412222	1402	1995-10-12	VYDAJ	VYBER	4100	27092	\N	\N	\N
412223	1402	1995-11-11	VYDAJ	VYBER	6400	24640	\N	\N	\N
412224	1402	1995-12-11	VYDAJ	VYBER	8600	24483	\N	\N	\N
412225	1402	1996-01-10	VYDAJ	VYBER	2500	20554	\N	\N	\N
412226	1402	1996-02-09	PRIJEM	VKLAD	400	13220	\N	\N	\N
412227	1402	1996-03-10	VYDAJ	VYBER	6500	19647	\N	\N	\N
412228	1402	1996-04-09	PRIJEM	VKLAD	800	15359	\N	\N	\N
412229	1402	1996-05-09	VYDAJ	VYBER	2200	17088	\N	\N	\N
412230	1402	1996-06-08	VYDAJ	VYBER	900	20128	\N	\N	\N
412231	1402	1996-07-08	VYDAJ	VYBER	3900	24695	\N	\N	\N
412232	1402	1996-08-07	VYDAJ	VYBER	2600	26067	\N	\N	\N
412233	1402	1996-09-06	VYDAJ	VYBER	4400	26018	\N	\N	\N
412234	1402	1996-10-06	VYDAJ	VYBER	4500	25494	\N	\N	\N
412235	1402	1996-11-05	VYDAJ	VYBER	5400	24067	\N	\N	\N
412236	1402	1996-12-05	VYDAJ	VYBER	100	27935	\N	\N	\N
412237	1402	1997-01-04	VYDAJ	VYBER	3500	30043	\N	\N	\N
412238	1402	1997-02-03	PRIJEM	VKLAD	3600	23444	\N	\N	\N
412239	1402	1997-03-05	PRIJEM	VKLAD	4800	27877	\N	\N	\N
412240	1402	1997-04-04	PRIJEM	VKLAD	300	32153	\N	\N	\N
412241	1402	1997-05-04	PRIJEM	VKLAD	2900	33393	\N	\N	\N
412242	1402	1997-06-03	PRIJEM	VKLAD	3200	33373	\N	\N	\N
412243	1402	1997-07-03	PRIJEM	VKLAD	3300	34039	\N	\N	\N
412244	1402	1997-08-02	PRIJEM	VKLAD	900	38942	\N	\N	\N
412245	1402	1997-09-01	VYDAJ	VYBER	1800	41167	\N	\N	\N
412246	1402	1997-10-01	VYDAJ	VYBER	4900	40303	\N	\N	\N
412247	1402	1997-10-31	VYDAJ	VYBER	2400	41937	\N	\N	\N
412248	1402	1997-11-30	VYDAJ	VYBER	3000	37341	\N	\N	\N
412249	1402	1997-12-30	VYDAJ	VYBER	4800	39136	\N	\N	\N
412250	1402	1998-01-29	VYDAJ	VYBER	1900	31784	\N	\N	\N
412251	1402	1998-02-28	VYDAJ	VYBER	300	35640	\N	\N	\N
412252	1402	1998-03-30	VYDAJ	VYBER	4100	30473	\N	\N	\N
412253	1402	1998-04-29	VYDAJ	VYBER	6700	27771	\N	\N	\N
412254	1402	1998-05-29	VYDAJ	VYBER	3600	28159	\N	\N	\N
412255	1402	1998-06-28	VYDAJ	VYBER	9400	27240	\N	\N	\N
412256	1402	1998-07-28	VYDAJ	VYBER	1800	29429	\N	\N	\N
412257	1402	1998-08-27	VYDAJ	VYBER	1100	32305	\N	\N	\N
412258	1402	1998-09-26	VYDAJ	VYBER	3800	27210	\N	\N	\N
412259	1402	1998-10-26	VYDAJ	VYBER	6100	25091	\N	\N	\N
412260	1402	1998-11-25	VYDAJ	VYBER	3500	25562	\N	\N	\N
412261	1402	1998-12-25	VYDAJ	VYBER	1200	24589	\N	\N	\N
412331	1403	1995-11-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
412342	1403	1995-11-14	PRIJEM	VKLAD	15543	16543	\N	\N	\N
412343	1403	1995-12-14	PRIJEM	VKLAD	23314	42796	\N	\N	\N
412344	1403	1996-01-14	PRIJEM	VKLAD	15543	46772	\N	\N	\N
412345	1403	1996-02-14	PRIJEM	VKLAD	15543	50001	\N	\N	\N
412346	1403	1996-03-14	PRIJEM	VKLAD	15543	54387	\N	\N	\N
412347	1403	1996-04-14	PRIJEM	VKLAD	15543	47486	\N	\N	\N
412348	1403	1996-05-14	PRIJEM	VKLAD	15543	40779	\N	\N	\N
412349	1403	1996-06-14	PRIJEM	VKLAD	23314	43831	\N	\N	\N
412350	1403	1996-07-14	PRIJEM	VKLAD	15543	42694	\N	\N	\N
412351	1403	1996-08-14	PRIJEM	VKLAD	15543	40966	\N	\N	\N
412352	1403	1996-09-14	PRIJEM	VKLAD	15543	40727	\N	\N	\N
412353	1403	1996-10-14	PRIJEM	VKLAD	15543	46293	\N	\N	\N
412354	1403	1996-11-14	PRIJEM	VKLAD	15543	42855	\N	\N	\N
412355	1403	1996-12-14	PRIJEM	VKLAD	23314	53798	\N	\N	\N
412356	1403	1997-01-14	PRIJEM	VKLAD	15543	42211	\N	\N	\N
412357	1403	1997-02-14	PRIJEM	VKLAD	15543	37071	\N	\N	\N
412358	1403	1997-03-14	PRIJEM	VKLAD	15543	40619	\N	\N	\N
412359	1403	1997-04-14	PRIJEM	VKLAD	15543	41499	\N	\N	\N
412360	1403	1997-05-14	PRIJEM	VKLAD	15543	43265	\N	\N	\N
412361	1403	1997-06-14	PRIJEM	VKLAD	23314	46307	\N	\N	\N
412362	1403	1997-07-14	PRIJEM	VKLAD	15543	40869	\N	\N	\N
412363	1403	1997-08-14	PRIJEM	VKLAD	15543	37625	\N	\N	\N
412364	1403	1997-09-14	PRIJEM	VKLAD	15543	35268	\N	\N	\N
412365	1403	1997-10-14	PRIJEM	VKLAD	15543	33300	\N	\N	\N
412366	1403	1997-11-14	PRIJEM	VKLAD	15543	22058	\N	\N	\N
412367	1403	1997-12-14	PRIJEM	VKLAD	23314	35511	\N	\N	\N
412368	1403	1998-01-14	PRIJEM	VKLAD	15543	27725	\N	\N	\N
412369	1403	1998-02-14	PRIJEM	VKLAD	15543	28342	\N	\N	\N
412370	1403	1998-03-14	PRIJEM	VKLAD	15543	22903	\N	\N	\N
412371	1403	1998-04-14	PRIJEM	VKLAD	15543	21078	\N	\N	\N
412372	1403	1998-05-14	PRIJEM	VKLAD	15543	23121	\N	\N	\N
412373	1403	1998-06-14	PRIJEM	VKLAD	23314	31982	\N	\N	\N
412374	1403	1998-07-14	PRIJEM	VKLAD	15543	24972	\N	\N	\N
412375	1403	1998-08-14	PRIJEM	VKLAD	15543	24359	\N	\N	\N
412376	1403	1998-09-14	PRIJEM	VKLAD	15543	25947	\N	\N	\N
412377	1403	1998-10-14	PRIJEM	VKLAD	15543	21332	\N	\N	\N
412378	1403	1998-11-14	PRIJEM	VKLAD	15543	22399	\N	\N	\N
412379	1403	1998-12-14	PRIJEM	VKLAD	23314	30246	\N	\N	\N
412395	1403	1996-04-08	VYDAJ	PREVOD NA UCET	9120	31943	SIPO	ST	50271129
412396	1403	1996-05-08	VYDAJ	PREVOD NA UCET	9120	25236	SIPO	ST	50271129
412397	1403	1996-06-08	VYDAJ	PREVOD NA UCET	9120	20517	SIPO	ST	50271129
412398	1403	1996-07-08	VYDAJ	PREVOD NA UCET	9120	27151	SIPO	ST	50271129
412399	1403	1996-08-08	VYDAJ	PREVOD NA UCET	9120	25423	SIPO	ST	50271129
412400	1403	1996-09-08	VYDAJ	PREVOD NA UCET	9120	25184	SIPO	ST	50271129
412401	1403	1996-10-08	VYDAJ	PREVOD NA UCET	9120	30750	SIPO	ST	50271129
412402	1403	1996-11-08	VYDAJ	PREVOD NA UCET	9120	27312	SIPO	ST	50271129
412403	1403	1996-12-08	VYDAJ	PREVOD NA UCET	9120	30484	SIPO	ST	50271129
412404	1403	1997-01-08	VYDAJ	PREVOD NA UCET	9120	29788	SIPO	ST	50271129
412405	1403	1997-02-08	VYDAJ	PREVOD NA UCET	9120	21528	SIPO	ST	50271129
412406	1403	1997-03-08	VYDAJ	PREVOD NA UCET	9120	25076	SIPO	ST	50271129
412407	1403	1997-04-08	VYDAJ	PREVOD NA UCET	9120	25956	SIPO	ST	50271129
412408	1403	1997-05-08	VYDAJ	PREVOD NA UCET	9120	27722	SIPO	ST	50271129
412409	1403	1997-06-08	VYDAJ	PREVOD NA UCET	9120	22993	SIPO	ST	50271129
412410	1403	1997-07-08	VYDAJ	PREVOD NA UCET	9120	25326	SIPO	ST	50271129
412411	1403	1997-08-08	VYDAJ	PREVOD NA UCET	9120	22082	SIPO	ST	50271129
412412	1403	1997-09-08	VYDAJ	PREVOD NA UCET	9120	19725	SIPO	ST	50271129
412413	1403	1997-10-08	VYDAJ	PREVOD NA UCET	9120	17757	SIPO	ST	50271129
412414	1403	1997-11-08	VYDAJ	PREVOD NA UCET	9120	6515	SIPO	ST	50271129
412415	1403	1997-12-08	VYDAJ	PREVOD NA UCET	9120	12197	SIPO	ST	50271129
412416	1403	1998-01-08	VYDAJ	PREVOD NA UCET	9120	12182	SIPO	ST	50271129
412417	1403	1998-02-08	VYDAJ	PREVOD NA UCET	9120	12799	SIPO	ST	50271129
412418	1403	1998-03-08	VYDAJ	PREVOD NA UCET	9120	7360	SIPO	ST	50271129
412419	1403	1998-04-08	VYDAJ	PREVOD NA UCET	9120	5535	SIPO	ST	50271129
412420	1403	1998-05-08	VYDAJ	PREVOD NA UCET	9120	7578	SIPO	ST	50271129
412421	1403	1998-06-08	VYDAJ	PREVOD NA UCET	9120	8668	SIPO	ST	50271129
412422	1403	1998-07-08	VYDAJ	PREVOD NA UCET	9120	9429	SIPO	ST	50271129
412423	1403	1998-08-08	VYDAJ	PREVOD NA UCET	9120	8816	SIPO	ST	50271129
412424	1403	1998-09-08	VYDAJ	PREVOD NA UCET	9120	10404	SIPO	ST	50271129
412425	1403	1998-10-08	VYDAJ	PREVOD NA UCET	9120	5789	SIPO	ST	50271129
412426	1403	1998-11-08	VYDAJ	PREVOD NA UCET	9120	6856	SIPO	ST	50271129
412427	1403	1998-12-08	VYDAJ	PREVOD NA UCET	9120	6932	SIPO	ST	50271129
412433	1403	1996-12-07	VYDAJ	VYBER	1600	39604	\N	\N	\N
412435	1403	1998-12-14	VYDAJ	VYBER	2240	28006	\N	\N	\N
412448	1403	1997-01-28	VYDAJ	VYBER	3120	32551	\N	\N	\N
412449	1403	1997-01-13	VYDAJ	VYBER	3120	26668	\N	\N	\N
412450	1403	1997-01-18	VYDAJ	VYBER	2640	39571	\N	\N	\N
412451	1403	1997-01-30	VYDAJ	VYBER	2040	30511	\N	\N	\N
412452	1403	1997-01-01	VYDAJ	VYBER	1080	42148	\N	\N	\N
412453	1403	1997-01-03	VYDAJ	VYBER	3240	38908	\N	\N	\N
412456	1403	1998-01-02	VYDAJ	VYBER	3000	21302	\N	\N	\N
412457	1403	1998-01-14	VYDAJ	VYBER	1560	26165	\N	\N	\N
412458	1403	1998-01-30	VYDAJ	VYBER	1800	21845	\N	\N	\N
412459	1403	1998-01-16	VYDAJ	VYBER	2520	23645	\N	\N	\N
412466	1403	1996-05-22	VYDAJ	VYBER	2280	38499	\N	\N	\N
412467	1403	1996-11-02	VYDAJ	VYBER	5160	36432	\N	\N	\N
412468	1403	1996-12-23	VYDAJ	VYBER	840	52958	\N	\N	\N
412469	1403	1996-10-16	VYDAJ	VYBER	2760	43533	\N	\N	\N
412470	1403	1996-08-23	VYDAJ	VYBER	4800	36166	\N	\N	\N
412471	1403	1997-06-03	VYDAJ	VYBER	5400	32113	\N	\N	\N
412472	1403	1997-11-05	VYDAJ	VYBER	2520	15635	\N	\N	\N
412473	1403	1997-03-19	VYDAJ	VYBER	1680	38939	\N	\N	\N
412474	1403	1997-10-27	VYDAJ	VYBER	4440	18060	\N	\N	\N
412476	1403	1998-10-03	VYDAJ	VYBER	1200	14909	\N	\N	\N
412477	1403	1998-06-08	VYDAJ	VYBER	5400	17788	\N	\N	\N
412478	1403	1998-05-07	VYDAJ	VYBER	4440	16698	\N	\N	\N
412480	1403	1998-03-01	VYDAJ	VYBER	3240	16480	\N	\N	\N
412481	1403	1998-12-16	VYDAJ	VYBER	2880	25126	\N	\N	\N
412497	1403	1996-03-31	VYDAJ	VYBER	15	41063	SLUZBY	\N	\N
412498	1403	1996-04-30	VYDAJ	VYBER	15	47656	SLUZBY	\N	\N
412499	1403	1996-05-31	VYDAJ	VYBER	15	29637	SLUZBY	\N	\N
412500	1403	1996-06-30	VYDAJ	VYBER	15	36271	SLUZBY	\N	\N
412501	1403	1996-07-31	VYDAJ	VYBER	15	34543	SLUZBY	\N	\N
412502	1403	1996-08-31	VYDAJ	VYBER	15	34304	SLUZBY	\N	\N
412503	1403	1996-09-30	VYDAJ	VYBER	15	39870	SLUZBY	\N	\N
412504	1403	1996-10-31	VYDAJ	VYBER	15	41592	SLUZBY	\N	\N
412505	1403	1996-11-30	VYDAJ	VYBER	15	41204	SLUZBY	\N	\N
412506	1403	1996-12-31	VYDAJ	VYBER	15	43228	SLUZBY	\N	\N
412507	1403	1997-01-31	VYDAJ	VYBER	15	30648	SLUZBY	\N	\N
412508	1403	1997-02-28	VYDAJ	VYBER	15	34196	SLUZBY	\N	\N
412509	1403	1997-03-31	VYDAJ	VYBER	15	35076	SLUZBY	\N	\N
412510	1403	1997-04-30	VYDAJ	VYBER	15	36842	SLUZBY	\N	\N
412511	1403	1997-05-31	VYDAJ	VYBER	15	37513	SLUZBY	\N	\N
412512	1403	1997-06-30	VYDAJ	VYBER	15	34446	SLUZBY	\N	\N
412513	1403	1997-07-31	VYDAJ	VYBER	15	31202	SLUZBY	\N	\N
412514	1403	1997-08-31	VYDAJ	VYBER	15	28845	SLUZBY	\N	\N
412515	1403	1997-09-30	VYDAJ	VYBER	15	26877	SLUZBY	\N	\N
412516	1403	1997-10-31	VYDAJ	VYBER	15	18155	SLUZBY	\N	\N
412517	1403	1997-11-30	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
412518	1403	1997-12-31	VYDAJ	VYBER	15	24302	SLUZBY	\N	\N
412519	1403	1998-01-31	VYDAJ	VYBER	15	21919	SLUZBY	\N	\N
412520	1403	1998-02-28	VYDAJ	VYBER	15	19720	SLUZBY	\N	\N
412521	1403	1998-03-31	VYDAJ	VYBER	15	14655	SLUZBY	\N	\N
412522	1403	1998-04-30	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
412523	1403	1998-05-31	VYDAJ	VYBER	15	23188	SLUZBY	\N	\N
412524	1403	1998-06-30	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
412525	1403	1998-07-31	VYDAJ	VYBER	15	17936	SLUZBY	\N	\N
412526	1403	1998-08-31	VYDAJ	VYBER	15	19524	SLUZBY	\N	\N
412527	1403	1998-09-30	VYDAJ	VYBER	15	16109	SLUZBY	\N	\N
412528	1403	1998-10-31	VYDAJ	VYBER	15	15976	SLUZBY	\N	\N
412529	1403	1998-11-30	VYDAJ	VYBER	15	16052	SLUZBY	\N	\N
412530	1403	1995-12-02	PRIJEM	VKLAD	2900	19482	\N	\N	\N
412531	1403	1996-01-01	VYDAJ	VYBER	11700	31229	\N	\N	\N
412532	1403	1996-01-31	VYDAJ	VYBER	12500	34458	\N	\N	\N
412533	1403	1996-03-01	VYDAJ	VYBER	11300	38844	\N	\N	\N
412534	1403	1996-03-31	VYDAJ	VYBER	13500	41077	\N	\N	\N
412535	1403	1996-04-30	VYDAJ	VYBER	13300	34356	\N	\N	\N
412536	1403	1996-05-30	VYDAJ	VYBER	9000	29499	\N	\N	\N
412537	1403	1996-06-29	VYDAJ	VYBER	7700	36131	\N	\N	\N
412538	1403	1996-07-29	VYDAJ	VYBER	8300	34394	\N	\N	\N
412539	1403	1996-08-28	VYDAJ	VYBER	2000	34166	\N	\N	\N
412540	1403	1996-09-27	VYDAJ	VYBER	1000	39727	\N	\N	\N
412541	1403	1996-10-27	VYDAJ	VYBER	2100	41433	\N	\N	\N
412542	1403	1996-11-26	VYDAJ	VYBER	1800	41055	\N	\N	\N
412543	1403	1996-12-26	VYDAJ	VYBER	9900	43058	\N	\N	\N
412544	1403	1997-01-25	VYDAJ	VYBER	3900	35671	\N	\N	\N
412545	1403	1997-02-24	VYDAJ	VYBER	3000	34071	\N	\N	\N
412546	1403	1997-03-26	VYDAJ	VYBER	4000	34939	\N	\N	\N
412547	1403	1997-04-25	VYDAJ	VYBER	4800	36699	\N	\N	\N
412548	1403	1997-05-25	VYDAJ	VYBER	5900	37365	\N	\N	\N
412549	1403	1997-06-24	VYDAJ	VYBER	12000	34307	\N	\N	\N
412550	1403	1997-07-24	VYDAJ	VYBER	9800	31069	\N	\N	\N
412551	1403	1997-08-23	VYDAJ	VYBER	8900	28725	\N	\N	\N
412552	1403	1997-09-22	VYDAJ	VYBER	8500	26768	\N	\N	\N
412553	1403	1997-10-22	VYDAJ	VYBER	10800	22500	\N	\N	\N
412554	1403	1997-11-21	VYDAJ	VYBER	800	21258	\N	\N	\N
412555	1403	1997-12-21	VYDAJ	VYBER	11300	24211	\N	\N	\N
412556	1403	1998-02-19	VYDAJ	VYBER	8700	19642	\N	\N	\N
412557	1403	1998-03-21	VYDAJ	VYBER	8300	14603	\N	\N	\N
412558	1403	1998-06-19	VYDAJ	VYBER	13500	18482	\N	\N	\N
412559	1403	1998-07-19	VYDAJ	VYBER	7100	17872	\N	\N	\N
412560	1403	1998-08-18	VYDAJ	VYBER	4900	19459	\N	\N	\N
412561	1403	1998-09-17	VYDAJ	VYBER	9900	16047	\N	\N	\N
412562	1403	1998-10-17	VYDAJ	VYBER	5400	15932	\N	\N	\N
412563	1403	1998-11-16	VYDAJ	VYBER	6400	15999	\N	\N	\N
412602	1404	1993-09-22	PRIJEM	VKLAD	400	400	\N	\N	\N
412603	1404	1993-10-01	PRIJEM	VKLAD	43492	43892	\N	\N	\N
412604	1404	1993-10-16	PRIJEM	VKLAD	23782	70812	\N	\N	\N
412610	1404	1993-10-03	PRIJEM	VKLAD	43774	109330	\N	\N	\N
412613	1404	1993-11-01	PRIJEM	VKLAD	17081	66207	\N	\N	\N
412622	1404	1993-11-09	PRIJEM	VKLAD	42869	108593	\N	\N	\N
412630	1404	1993-10-02	PRIJEM	VKLAD	21664	65556	\N	\N	\N
412631	1404	1994-03-17	PRIJEM	VKLAD	16846	30099	\N	\N	\N
412632	1404	1994-09-09	PRIJEM	VKLAD	47655	65008	\N	\N	\N
412633	1404	1994-02-06	PRIJEM	VKLAD	27880	48195	\N	\N	\N
412634	1404	1994-10-03	PRIJEM	VKLAD	33865	79137	\N	\N	\N
412635	1404	1995-09-06	PRIJEM	VKLAD	6497	33080	\N	\N	\N
412636	1404	1995-05-23	PRIJEM	VKLAD	21174	49990	\N	\N	\N
412637	1404	1995-01-10	PRIJEM	VKLAD	18237	36817	\N	\N	\N
412638	1404	1996-04-17	PRIJEM	VKLAD	27755	61073	\N	\N	\N
412639	1404	1996-02-10	PRIJEM	VKLAD	16196	50900	\N	\N	\N
412640	1404	1996-08-25	PRIJEM	VKLAD	17995	78096	\N	\N	\N
412641	1404	1996-10-04	PRIJEM	VKLAD	19168	46155	\N	\N	\N
412642	1404	1996-07-05	PRIJEM	VKLAD	7064	27480	\N	\N	\N
412643	1404	1996-08-10	PRIJEM	VKLAD	31645	79783	\N	\N	\N
412644	1404	1997-02-12	PRIJEM	VKLAD	10968	57260	\N	\N	\N
412645	1404	1997-03-29	PRIJEM	VKLAD	9845	61859	\N	\N	\N
412646	1404	1997-02-10	PRIJEM	VKLAD	37147	107768	\N	\N	\N
412647	1404	1997-04-02	PRIJEM	VKLAD	12036	69388	\N	\N	\N
412648	1404	1997-09-29	PRIJEM	VKLAD	26119	131798	\N	\N	\N
412649	1404	1997-11-27	PRIJEM	VKLAD	41126	130586	\N	\N	\N
412650	1404	1997-02-27	PRIJEM	VKLAD	48013	114768	\N	\N	\N
412651	1404	1997-01-28	PRIJEM	VKLAD	13898	42795	\N	\N	\N
412652	1404	1997-09-19	PRIJEM	VKLAD	34486	127979	\N	\N	\N
412653	1404	1997-09-09	PRIJEM	VKLAD	40887	114975	\N	\N	\N
412654	1404	1997-07-16	PRIJEM	VKLAD	40988	93125	\N	\N	\N
412655	1404	1997-06-06	PRIJEM	VKLAD	41776	111832	\N	\N	\N
412656	1404	1997-04-02	PRIJEM	VKLAD	25281	94669	\N	\N	\N
412657	1404	1997-07-26	PRIJEM	VKLAD	47033	140158	\N	\N	\N
412658	1404	1997-01-05	PRIJEM	VKLAD	42199	84462	\N	\N	\N
412659	1404	1997-02-20	PRIJEM	VKLAD	15801	66755	\N	\N	\N
412660	1404	1997-10-08	PRIJEM	VKLAD	44669	125768	\N	\N	\N
412661	1404	1997-05-01	PRIJEM	VKLAD	25043	101336	\N	\N	\N
412662	1404	1997-10-14	PRIJEM	VKLAD	10973	102159	\N	\N	\N
412663	1404	1997-02-09	PRIJEM	VKLAD	19928	70621	\N	\N	\N
412664	1404	1997-05-26	PRIJEM	VKLAD	38267	119538	\N	\N	\N
412665	1404	1998-10-30	PRIJEM	VKLAD	10285	109348	\N	\N	\N
412666	1404	1998-02-05	PRIJEM	VKLAD	6407	100858	\N	\N	\N
412667	1404	1998-01-30	PRIJEM	VKLAD	41824	101825	\N	\N	\N
412668	1404	1998-06-23	PRIJEM	VKLAD	25989	94185	\N	\N	\N
412669	1404	1998-07-18	PRIJEM	VKLAD	44677	134105	\N	\N	\N
412670	1404	1998-03-10	PRIJEM	VKLAD	21188	116109	\N	\N	\N
412671	1404	1998-09-23	PRIJEM	VKLAD	42181	101260	\N	\N	\N
412672	1404	1998-11-30	PRIJEM	VKLAD	5168	99726	\N	\N	\N
412673	1404	1998-12-02	PRIJEM	VKLAD	45942	146017	\N	\N	\N
412674	1404	1998-05-21	PRIJEM	VKLAD	20492	95042	\N	\N	\N
412675	1404	1998-10-09	PRIJEM	VKLAD	17158	125245	\N	\N	\N
412676	1404	1998-07-26	PRIJEM	VKLAD	16078	86283	\N	\N	\N
412677	1404	1998-02-13	PRIJEM	VKLAD	19202	119401	\N	\N	\N
412760	1404	1993-11-13	VYDAJ	PREVOD NA UCET	6306	67011	SIPO	UV	64530676
412761	1404	1993-12-13	VYDAJ	PREVOD NA UCET	6306	32099	SIPO	UV	64530676
412762	1404	1994-01-13	VYDAJ	PREVOD NA UCET	6306	15043	SIPO	UV	64530676
412763	1404	1994-02-13	VYDAJ	PREVOD NA UCET	6306	37213	SIPO	UV	64530676
412764	1404	1994-03-13	VYDAJ	PREVOD NA UCET	6306	13253	SIPO	UV	64530676
412765	1404	1994-04-13	VYDAJ	PREVOD NA UCET	6306	14568	SIPO	UV	64530676
412766	1404	1994-05-13	VYDAJ	PREVOD NA UCET	6306	11952	SIPO	UV	64530676
412767	1404	1994-06-13	VYDAJ	PREVOD NA UCET	6306	11428	SIPO	UV	64530676
412768	1404	1994-07-13	VYDAJ	PREVOD NA UCET	6306	14108	SIPO	UV	64530676
412769	1404	1994-08-13	VYDAJ	PREVOD NA UCET	6306	12792	SIPO	UV	64530676
412770	1404	1994-09-13	VYDAJ	PREVOD NA UCET	6306	58526	SIPO	UV	64530676
412771	1404	1994-10-13	VYDAJ	PREVOD NA UCET	6306	50521	SIPO	UV	64530676
412772	1404	1994-11-13	VYDAJ	PREVOD NA UCET	6306	23059	SIPO	UV	64530676
412773	1404	1994-12-13	VYDAJ	PREVOD NA UCET	6306	21182	SIPO	UV	64530676
412774	1404	1995-01-13	VYDAJ	PREVOD NA UCET	6306	30335	SIPO	UV	64530676
412775	1404	1995-02-13	VYDAJ	PREVOD NA UCET	6306	12335	SIPO	UV	64530676
412776	1404	1995-03-13	VYDAJ	PREVOD NA UCET	6306	12920	SIPO	UV	64530676
412777	1404	1995-04-13	VYDAJ	PREVOD NA UCET	6306	16612	SIPO	UV	64530676
412778	1404	1995-05-13	VYDAJ	PREVOD NA UCET	6306	18016	SIPO	UV	64530676
412779	1404	1995-06-13	VYDAJ	PREVOD NA UCET	6306	43131	SIPO	UV	64530676
412780	1404	1995-07-13	VYDAJ	PREVOD NA UCET	6306	31616	SIPO	UV	64530676
412781	1404	1995-08-13	VYDAJ	PREVOD NA UCET	6306	32664	SIPO	UV	64530676
412782	1404	1995-09-13	VYDAJ	PREVOD NA UCET	6306	26798	SIPO	UV	64530676
412783	1404	1995-10-13	VYDAJ	PREVOD NA UCET	6306	24021	SIPO	UV	64530676
412784	1404	1995-11-13	VYDAJ	PREVOD NA UCET	6306	25330	SIPO	UV	64530676
412785	1404	1995-12-13	VYDAJ	PREVOD NA UCET	6306	17240	SIPO	UV	64530676
412786	1404	1996-01-13	VYDAJ	PREVOD NA UCET	6306	23531	SIPO	UV	64530676
412787	1404	1996-02-13	VYDAJ	PREVOD NA UCET	6306	32079	SIPO	UV	64530676
412788	1404	1996-03-13	VYDAJ	PREVOD NA UCET	6306	35626	SIPO	UV	64530676
412789	1404	1996-04-13	VYDAJ	PREVOD NA UCET	6306	33318	SIPO	UV	64530676
412790	1404	1996-05-13	VYDAJ	PREVOD NA UCET	6306	51973	SIPO	UV	64530676
412791	1404	1996-06-13	VYDAJ	PREVOD NA UCET	6306	27814	SIPO	UV	64530676
412792	1404	1996-07-13	VYDAJ	PREVOD NA UCET	6306	34215	SIPO	UV	64530676
412793	1404	1996-08-13	VYDAJ	PREVOD NA UCET	6306	73301	SIPO	UV	64530676
412794	1404	1996-09-13	VYDAJ	PREVOD NA UCET	6306	26867	SIPO	UV	64530676
412795	1404	1996-10-13	VYDAJ	PREVOD NA UCET	6306	42190	SIPO	UV	64530676
412796	1404	1996-11-13	VYDAJ	PREVOD NA UCET	6306	40968	SIPO	UV	64530676
412797	1404	1996-12-13	VYDAJ	PREVOD NA UCET	6306	34050	SIPO	UV	64530676
412798	1404	1997-01-13	VYDAJ	PREVOD NA UCET	6306	69697	SIPO	UV	64530676
412799	1404	1997-02-13	VYDAJ	PREVOD NA UCET	6306	50954	SIPO	UV	64530676
412800	1404	1997-03-13	VYDAJ	PREVOD NA UCET	6306	52014	SIPO	UV	64530676
412801	1404	1997-04-13	VYDAJ	PREVOD NA UCET	6306	76004	SIPO	UV	64530676
412802	1404	1997-05-13	VYDAJ	PREVOD NA UCET	6306	81271	SIPO	UV	64530676
412803	1404	1997-06-13	VYDAJ	PREVOD NA UCET	6306	44750	SIPO	UV	64530676
412804	1404	1997-07-13	VYDAJ	PREVOD NA UCET	6306	52137	SIPO	UV	64530676
412805	1404	1997-08-13	VYDAJ	PREVOD NA UCET	6306	68098	SIPO	UV	64530676
412806	1404	1997-09-13	VYDAJ	PREVOD NA UCET	6306	93493	SIPO	UV	64530676
412807	1404	1997-10-13	VYDAJ	PREVOD NA UCET	6306	91186	SIPO	UV	64530676
412808	1404	1997-11-13	VYDAJ	PREVOD NA UCET	6306	89460	SIPO	UV	64530676
412809	1404	1997-12-13	VYDAJ	PREVOD NA UCET	6306	62738	SIPO	UV	64530676
412810	1404	1998-01-13	VYDAJ	PREVOD NA UCET	6306	25301	SIPO	UV	64530676
412811	1404	1998-02-13	VYDAJ	PREVOD NA UCET	6306	113095	SIPO	UV	64530676
412812	1404	1998-03-13	VYDAJ	PREVOD NA UCET	6306	88727	SIPO	UV	64530676
412813	1404	1998-04-13	VYDAJ	PREVOD NA UCET	6306	85209	SIPO	UV	64530676
412814	1404	1998-05-13	VYDAJ	PREVOD NA UCET	6306	74550	SIPO	UV	64530676
412815	1404	1998-06-13	VYDAJ	PREVOD NA UCET	6306	68196	SIPO	UV	64530676
412816	1404	1998-07-13	VYDAJ	PREVOD NA UCET	6306	89428	SIPO	UV	64530676
412817	1404	1998-08-13	VYDAJ	PREVOD NA UCET	6306	78117	SIPO	UV	64530676
412818	1404	1998-09-13	VYDAJ	PREVOD NA UCET	6306	67479	SIPO	UV	64530676
412819	1404	1998-10-13	VYDAJ	PREVOD NA UCET	6306	86763	SIPO	UV	64530676
412820	1404	1998-11-13	VYDAJ	PREVOD NA UCET	6306	77258	SIPO	UV	64530676
412821	1404	1998-12-13	VYDAJ	PREVOD NA UCET	6306	66152	SIPO	UV	64530676
412832	1404	1993-11-11	VYDAJ	PREVOD NA UCET	123	73370	 	CD	76187407
412833	1404	1993-12-11	VYDAJ	PREVOD NA UCET	123	38458	 	CD	76187407
412834	1404	1994-01-11	VYDAJ	PREVOD NA UCET	123	21402	 	CD	76187407
412835	1404	1994-02-11	VYDAJ	PREVOD NA UCET	123	48019	 	CD	76187407
412836	1404	1994-03-11	VYDAJ	PREVOD NA UCET	123	25925	 	CD	76187407
412837	1404	1994-04-11	VYDAJ	PREVOD NA UCET	123	20927	 	CD	76187407
412838	1404	1994-05-11	VYDAJ	PREVOD NA UCET	123	18258	 	CD	76187407
412839	1404	1994-06-11	VYDAJ	PREVOD NA UCET	123	17734	 	CD	76187407
412840	1404	1994-07-11	VYDAJ	PREVOD NA UCET	123	20467	 	CD	76187407
412841	1404	1994-08-11	VYDAJ	PREVOD NA UCET	123	19098	 	CD	76187407
412842	1404	1994-09-11	VYDAJ	PREVOD NA UCET	123	64832	 	CD	76187407
412843	1404	1994-10-11	VYDAJ	PREVOD NA UCET	123	56880	 	CD	76187407
412844	1404	1994-11-11	VYDAJ	PREVOD NA UCET	123	29418	 	CD	76187407
412845	1404	1994-12-11	VYDAJ	PREVOD NA UCET	123	27488	 	CD	76187407
412846	1404	1995-01-11	VYDAJ	PREVOD NA UCET	123	36694	 	CD	76187407
412847	1404	1995-02-11	VYDAJ	PREVOD NA UCET	123	18641	 	CD	76187407
412848	1404	1995-03-11	VYDAJ	PREVOD NA UCET	123	19279	 	CD	76187407
412849	1404	1995-04-11	VYDAJ	PREVOD NA UCET	123	22971	 	CD	76187407
412850	1404	1995-05-11	VYDAJ	PREVOD NA UCET	123	24375	 	CD	76187407
412851	1404	1995-06-11	VYDAJ	PREVOD NA UCET	123	49437	 	CD	76187407
412852	1404	1995-07-11	VYDAJ	PREVOD NA UCET	123	37922	 	CD	76187407
412853	1404	1995-08-11	VYDAJ	PREVOD NA UCET	123	31670	 	CD	76187407
412854	1404	1995-09-11	VYDAJ	PREVOD NA UCET	123	32904	 	CD	76187407
412855	1404	1995-10-11	VYDAJ	PREVOD NA UCET	123	26280	 	CD	76187407
412856	1404	1995-11-11	VYDAJ	PREVOD NA UCET	123	31689	 	CD	76187407
412857	1404	1995-12-11	VYDAJ	PREVOD NA UCET	123	34046	 	CD	76187407
412858	1404	1996-01-11	VYDAJ	PREVOD NA UCET	123	29837	 	CD	76187407
412859	1404	1996-02-11	VYDAJ	PREVOD NA UCET	123	50724	 	CD	76187407
412860	1404	1996-03-11	VYDAJ	PREVOD NA UCET	123	41985	 	CD	76187407
412861	1404	1996-04-11	VYDAJ	PREVOD NA UCET	123	39624	 	CD	76187407
412862	1404	1996-05-11	VYDAJ	PREVOD NA UCET	123	58332	 	CD	76187407
412863	1404	1996-06-11	VYDAJ	PREVOD NA UCET	123	34173	 	CD	76187407
412864	1404	1996-07-11	VYDAJ	PREVOD NA UCET	123	40574	 	CD	76187407
412865	1404	1996-08-11	VYDAJ	PREVOD NA UCET	123	79607	 	CD	76187407
412866	1404	1996-09-11	VYDAJ	PREVOD NA UCET	123	33173	 	CD	76187407
412867	1404	1996-10-11	VYDAJ	PREVOD NA UCET	123	48496	 	CD	76187407
412868	1404	1996-11-11	VYDAJ	PREVOD NA UCET	123	47274	 	CD	76187407
412869	1404	1996-12-11	VYDAJ	PREVOD NA UCET	123	40356	 	CD	76187407
412870	1404	1997-01-11	VYDAJ	PREVOD NA UCET	123	76003	 	CD	76187407
412871	1404	1997-02-11	VYDAJ	PREVOD NA UCET	123	46345	 	CD	76187407
412872	1404	1997-03-11	VYDAJ	PREVOD NA UCET	123	58373	 	CD	76187407
412873	1404	1997-04-11	VYDAJ	PREVOD NA UCET	123	82363	 	CD	76187407
412874	1404	1997-05-11	VYDAJ	PREVOD NA UCET	123	87630	 	CD	76187407
412875	1404	1997-06-11	VYDAJ	PREVOD NA UCET	123	51056	 	CD	76187407
412876	1404	1997-07-11	VYDAJ	PREVOD NA UCET	123	58443	 	CD	76187407
412877	1404	1997-08-11	VYDAJ	PREVOD NA UCET	123	74457	 	CD	76187407
412878	1404	1997-09-11	VYDAJ	PREVOD NA UCET	123	99852	 	CD	76187407
412879	1404	1997-10-11	VYDAJ	PREVOD NA UCET	123	97492	 	CD	76187407
412880	1404	1997-11-11	VYDAJ	PREVOD NA UCET	123	95766	 	CD	76187407
412881	1404	1997-12-11	VYDAJ	PREVOD NA UCET	123	78704	 	CD	76187407
412882	1404	1998-01-11	VYDAJ	PREVOD NA UCET	123	31660	 	CD	76187407
412883	1404	1998-02-11	VYDAJ	PREVOD NA UCET	123	100199	 	CD	76187407
412884	1404	1998-03-11	VYDAJ	PREVOD NA UCET	123	95033	 	CD	76187407
412885	1404	1998-04-11	VYDAJ	PREVOD NA UCET	123	91568	 	CD	76187407
412886	1404	1998-05-11	VYDAJ	PREVOD NA UCET	123	80909	 	CD	76187407
412887	1404	1998-06-11	VYDAJ	PREVOD NA UCET	123	74502	 	CD	76187407
412888	1404	1998-07-11	VYDAJ	PREVOD NA UCET	123	95787	 	CD	76187407
412889	1404	1998-08-11	VYDAJ	PREVOD NA UCET	123	93423	 	CD	76187407
412890	1404	1998-09-11	VYDAJ	PREVOD NA UCET	123	73785	 	CD	76187407
412891	1404	1998-10-11	VYDAJ	PREVOD NA UCET	123	93069	 	CD	76187407
412892	1404	1998-11-11	VYDAJ	PREVOD NA UCET	123	83564	 	CD	76187407
412893	1404	1998-12-11	VYDAJ	PREVOD NA UCET	123	72511	 	CD	76187407
412904	1404	1993-11-11	VYDAJ	PREVOD NA UCET	53	73317	POJISTNE	WX	45402222
412905	1404	1993-12-11	VYDAJ	PREVOD NA UCET	53	38405	POJISTNE	WX	45402222
412906	1404	1994-01-11	VYDAJ	PREVOD NA UCET	53	21349	POJISTNE	WX	45402222
412907	1404	1994-02-11	VYDAJ	PREVOD NA UCET	53	48142	POJISTNE	WX	45402222
412908	1404	1994-03-11	VYDAJ	PREVOD NA UCET	53	25872	POJISTNE	WX	45402222
412909	1404	1994-04-11	VYDAJ	PREVOD NA UCET	53	20874	POJISTNE	WX	45402222
412910	1404	1994-05-11	VYDAJ	PREVOD NA UCET	53	18381	POJISTNE	WX	45402222
412911	1404	1994-06-11	VYDAJ	PREVOD NA UCET	53	17857	POJISTNE	WX	45402222
412912	1404	1994-07-11	VYDAJ	PREVOD NA UCET	53	20414	POJISTNE	WX	45402222
412913	1404	1994-08-11	VYDAJ	PREVOD NA UCET	53	19221	POJISTNE	WX	45402222
412914	1404	1994-09-11	VYDAJ	PREVOD NA UCET	53	64955	POJISTNE	WX	45402222
412915	1404	1994-10-11	VYDAJ	PREVOD NA UCET	53	56827	POJISTNE	WX	45402222
412916	1404	1994-11-11	VYDAJ	PREVOD NA UCET	53	29365	POJISTNE	WX	45402222
412917	1404	1994-12-11	VYDAJ	PREVOD NA UCET	53	27611	POJISTNE	WX	45402222
412918	1404	1995-01-11	VYDAJ	PREVOD NA UCET	53	36641	POJISTNE	WX	45402222
412919	1404	1995-02-11	VYDAJ	PREVOD NA UCET	53	18764	POJISTNE	WX	45402222
412920	1404	1995-03-11	VYDAJ	PREVOD NA UCET	53	19226	POJISTNE	WX	45402222
412921	1404	1995-04-11	VYDAJ	PREVOD NA UCET	53	22918	POJISTNE	WX	45402222
412922	1404	1995-05-11	VYDAJ	PREVOD NA UCET	53	24322	POJISTNE	WX	45402222
412923	1404	1995-06-11	VYDAJ	PREVOD NA UCET	53	49560	POJISTNE	WX	45402222
412924	1404	1995-07-11	VYDAJ	PREVOD NA UCET	53	38045	POJISTNE	WX	45402222
412925	1404	1995-08-11	VYDAJ	PREVOD NA UCET	53	31793	POJISTNE	WX	45402222
412926	1404	1995-09-11	VYDAJ	PREVOD NA UCET	53	33027	POJISTNE	WX	45402222
412927	1404	1995-10-11	VYDAJ	PREVOD NA UCET	53	26227	POJISTNE	WX	45402222
412928	1404	1995-11-11	VYDAJ	PREVOD NA UCET	53	31636	POJISTNE	WX	45402222
412929	1404	1995-12-11	VYDAJ	PREVOD NA UCET	53	34169	POJISTNE	WX	45402222
412930	1404	1996-01-11	VYDAJ	PREVOD NA UCET	53	29960	POJISTNE	WX	45402222
412931	1404	1996-02-11	VYDAJ	PREVOD NA UCET	53	50847	POJISTNE	WX	45402222
412932	1404	1996-03-11	VYDAJ	PREVOD NA UCET	53	41932	POJISTNE	WX	45402222
412933	1404	1996-04-11	VYDAJ	PREVOD NA UCET	53	39747	POJISTNE	WX	45402222
412934	1404	1996-05-11	VYDAJ	PREVOD NA UCET	53	58279	POJISTNE	WX	45402222
412935	1404	1996-06-11	VYDAJ	PREVOD NA UCET	53	34120	POJISTNE	WX	45402222
412936	1404	1996-07-11	VYDAJ	PREVOD NA UCET	53	40521	POJISTNE	WX	45402222
412937	1404	1996-08-11	VYDAJ	PREVOD NA UCET	53	79730	POJISTNE	WX	45402222
412938	1404	1996-09-11	VYDAJ	PREVOD NA UCET	53	33296	POJISTNE	WX	45402222
412939	1404	1996-10-11	VYDAJ	PREVOD NA UCET	53	48619	POJISTNE	WX	45402222
412940	1404	1996-11-11	VYDAJ	PREVOD NA UCET	53	47397	POJISTNE	WX	45402222
412941	1404	1996-12-11	VYDAJ	PREVOD NA UCET	53	40479	POJISTNE	WX	45402222
412942	1404	1997-01-11	VYDAJ	PREVOD NA UCET	53	76126	POJISTNE	WX	45402222
412943	1404	1997-02-11	VYDAJ	PREVOD NA UCET	53	46292	POJISTNE	WX	45402222
412944	1404	1997-03-11	VYDAJ	PREVOD NA UCET	53	58320	POJISTNE	WX	45402222
412945	1404	1997-04-11	VYDAJ	PREVOD NA UCET	53	82310	POJISTNE	WX	45402222
412946	1404	1997-05-11	VYDAJ	PREVOD NA UCET	53	87577	POJISTNE	WX	45402222
412947	1404	1997-06-11	VYDAJ	PREVOD NA UCET	53	51179	POJISTNE	WX	45402222
412948	1404	1997-07-11	VYDAJ	PREVOD NA UCET	53	58566	POJISTNE	WX	45402222
412949	1404	1997-08-11	VYDAJ	PREVOD NA UCET	53	74404	POJISTNE	WX	45402222
412950	1404	1997-09-11	VYDAJ	PREVOD NA UCET	53	99799	POJISTNE	WX	45402222
412951	1404	1997-10-11	VYDAJ	PREVOD NA UCET	53	97615	POJISTNE	WX	45402222
412952	1404	1997-11-11	VYDAJ	PREVOD NA UCET	53	95889	POJISTNE	WX	45402222
412953	1404	1997-12-11	VYDAJ	PREVOD NA UCET	53	78827	POJISTNE	WX	45402222
412954	1404	1998-01-11	VYDAJ	PREVOD NA UCET	53	31607	POJISTNE	WX	45402222
412955	1404	1998-02-11	VYDAJ	PREVOD NA UCET	53	100322	POJISTNE	WX	45402222
412956	1404	1998-03-11	VYDAJ	PREVOD NA UCET	53	95156	POJISTNE	WX	45402222
412957	1404	1998-04-11	VYDAJ	PREVOD NA UCET	53	91515	POJISTNE	WX	45402222
412958	1404	1998-05-11	VYDAJ	PREVOD NA UCET	53	80856	POJISTNE	WX	45402222
412959	1404	1998-06-11	VYDAJ	PREVOD NA UCET	53	74625	POJISTNE	WX	45402222
412960	1404	1998-07-11	VYDAJ	PREVOD NA UCET	53	95734	POJISTNE	WX	45402222
412961	1404	1998-08-11	VYDAJ	PREVOD NA UCET	53	93546	POJISTNE	WX	45402222
412962	1404	1998-09-11	VYDAJ	PREVOD NA UCET	53	73908	POJISTNE	WX	45402222
412963	1404	1998-10-11	VYDAJ	PREVOD NA UCET	53	93192	POJISTNE	WX	45402222
412964	1404	1998-11-11	VYDAJ	PREVOD NA UCET	53	83687	POJISTNE	WX	45402222
412965	1404	1998-12-11	VYDAJ	PREVOD NA UCET	53	72458	POJISTNE	WX	45402222
412976	1404	1993-11-05	VYDAJ	PREVOD NA UCET	483	65724	 	IJ	96404462
412977	1404	1993-12-05	VYDAJ	PREVOD NA UCET	483	42248	 	IJ	96404462
412978	1404	1994-01-05	VYDAJ	PREVOD NA UCET	483	21525	 	IJ	96404462
412979	1404	1994-02-05	VYDAJ	PREVOD NA UCET	483	20315	 	IJ	96404462
412980	1404	1994-03-05	VYDAJ	PREVOD NA UCET	483	26048	 	IJ	96404462
412981	1404	1994-04-05	VYDAJ	PREVOD NA UCET	483	21050	 	IJ	96404462
412982	1404	1994-05-05	VYDAJ	PREVOD NA UCET	483	18434	 	IJ	96404462
412983	1404	1994-06-05	VYDAJ	PREVOD NA UCET	483	17910	 	IJ	96404462
412984	1404	1994-07-05	VYDAJ	PREVOD NA UCET	483	20590	 	IJ	96404462
412985	1404	1994-08-05	VYDAJ	PREVOD NA UCET	483	19274	 	IJ	96404462
412986	1404	1994-09-05	VYDAJ	PREVOD NA UCET	483	17353	 	IJ	96404462
412987	1404	1994-10-05	VYDAJ	PREVOD NA UCET	483	57003	 	IJ	96404462
412988	1404	1994-11-05	VYDAJ	PREVOD NA UCET	483	29541	 	IJ	96404462
412989	1404	1994-12-05	VYDAJ	PREVOD NA UCET	483	27664	 	IJ	96404462
412990	1404	1995-01-05	VYDAJ	PREVOD NA UCET	483	18580	 	IJ	96404462
412991	1404	1995-02-05	VYDAJ	PREVOD NA UCET	483	18817	 	IJ	96404462
412992	1404	1995-03-05	VYDAJ	PREVOD NA UCET	483	19402	 	IJ	96404462
412993	1404	1995-04-05	VYDAJ	PREVOD NA UCET	483	23094	 	IJ	96404462
412994	1404	1995-05-05	VYDAJ	PREVOD NA UCET	483	24498	 	IJ	96404462
412995	1404	1995-06-05	VYDAJ	PREVOD NA UCET	483	49613	 	IJ	96404462
412996	1404	1995-07-05	VYDAJ	PREVOD NA UCET	483	38098	 	IJ	96404462
412997	1404	1995-08-05	VYDAJ	PREVOD NA UCET	483	31846	 	IJ	96404462
412998	1404	1995-09-05	VYDAJ	PREVOD NA UCET	483	26583	 	IJ	96404462
412999	1404	1995-10-05	VYDAJ	PREVOD NA UCET	483	26403	 	IJ	96404462
413000	1404	1995-11-05	VYDAJ	PREVOD NA UCET	483	23612	 	IJ	96404462
413001	1404	1995-12-05	VYDAJ	PREVOD NA UCET	483	24922	 	IJ	96404462
413002	1404	1996-01-05	VYDAJ	PREVOD NA UCET	483	16813	 	IJ	96404462
413003	1404	1996-02-05	VYDAJ	PREVOD NA UCET	483	19504	 	IJ	96404462
413004	1404	1996-03-05	VYDAJ	PREVOD NA UCET	483	31708	 	IJ	96404462
413005	1404	1996-04-05	VYDAJ	PREVOD NA UCET	483	32000	 	IJ	96404462
413006	1404	1996-05-05	VYDAJ	PREVOD NA UCET	483	60755	 	IJ	96404462
413007	1404	1996-06-05	VYDAJ	PREVOD NA UCET	483	51689	 	IJ	96404462
413008	1404	1996-07-05	VYDAJ	PREVOD NA UCET	483	26997	 	IJ	96404462
413009	1404	1996-08-05	VYDAJ	PREVOD NA UCET	483	33838	 	IJ	96404462
413010	1404	1996-09-05	VYDAJ	PREVOD NA UCET	483	63744	 	IJ	96404462
413011	1404	1996-10-05	VYDAJ	PREVOD NA UCET	483	45672	 	IJ	96404462
413012	1404	1996-11-05	VYDAJ	PREVOD NA UCET	483	47450	 	IJ	96404462
413013	1404	1996-12-05	VYDAJ	PREVOD NA UCET	483	47132	 	IJ	96404462
413014	1404	1997-01-05	VYDAJ	PREVOD NA UCET	483	83979	 	IJ	96404462
413015	1404	1997-02-05	VYDAJ	PREVOD NA UCET	483	50693	 	IJ	96404462
413016	1404	1997-03-05	VYDAJ	PREVOD NA UCET	483	58496	 	IJ	96404462
413017	1404	1997-04-05	VYDAJ	PREVOD NA UCET	483	82486	 	IJ	96404462
413018	1404	1997-05-05	VYDAJ	PREVOD NA UCET	483	87753	 	IJ	96404462
413019	1404	1997-06-05	VYDAJ	PREVOD NA UCET	483	70056	 	IJ	96404462
413020	1404	1997-07-05	VYDAJ	PREVOD NA UCET	483	58619	 	IJ	96404462
413021	1404	1997-08-05	VYDAJ	PREVOD NA UCET	483	88080	 	IJ	96404462
413022	1404	1997-09-05	VYDAJ	PREVOD NA UCET	483	74088	 	IJ	96404462
413023	1404	1997-10-05	VYDAJ	PREVOD NA UCET	483	81099	 	IJ	96404462
413024	1404	1997-11-05	VYDAJ	PREVOD NA UCET	483	95942	 	IJ	96404462
413025	1404	1997-12-05	VYDAJ	PREVOD NA UCET	483	82780	 	IJ	96404462
413026	1404	1998-01-05	VYDAJ	PREVOD NA UCET	483	36283	 	IJ	96404462
413027	1404	1998-02-05	VYDAJ	PREVOD NA UCET	483	100375	 	IJ	96404462
413028	1404	1998-03-05	VYDAJ	PREVOD NA UCET	483	94921	 	IJ	96404462
413029	1404	1998-04-05	VYDAJ	PREVOD NA UCET	483	91691	 	IJ	96404462
413030	1404	1998-05-05	VYDAJ	PREVOD NA UCET	483	81032	 	IJ	96404462
413031	1404	1998-06-05	VYDAJ	PREVOD NA UCET	483	95378	 	IJ	96404462
413032	1404	1998-07-05	VYDAJ	PREVOD NA UCET	483	95910	 	IJ	96404462
413033	1404	1998-08-05	VYDAJ	PREVOD NA UCET	483	93599	 	IJ	96404462
413034	1404	1998-09-05	VYDAJ	PREVOD NA UCET	483	87761	 	IJ	96404462
413035	1404	1998-10-05	VYDAJ	PREVOD NA UCET	483	108087	 	IJ	96404462
413036	1404	1998-11-05	VYDAJ	PREVOD NA UCET	483	83740	 	IJ	96404462
413037	1404	1998-12-05	VYDAJ	PREVOD NA UCET	483	118234	 	IJ	96404462
413049	1404	1993-12-06	VYBER	VYBER	3667	38581	\N	\N	\N
413051	1404	1994-10-05	VYBER	VYBER	21651	57486	\N	\N	\N
413052	1404	1994-10-14	VYBER	VYBER	16033	34488	\N	\N	\N
413055	1404	1994-03-13	VYBER	VYBER	6313	19559	\N	\N	\N
413057	1404	1994-02-26	VYBER	VYBER	4495	26418	\N	\N	\N
413059	1404	1994-03-27	VYBER	VYBER	7539	21460	\N	\N	\N
413065	1404	1996-02-13	VYBER	VYBER	12339	38385	\N	\N	\N
413066	1404	1996-09-08	VYBER	VYBER	24695	33349	\N	\N	\N
413068	1404	1996-06-10	VYBER	VYBER	18393	34296	\N	\N	\N
413069	1404	1996-03-31	VYBER	VYBER	3258	32513	\N	\N	\N
413070	1404	1997-12-12	VYBER	VYBER	9660	69044	\N	\N	\N
413071	1404	1997-03-31	VYBER	VYBER	4702	57382	\N	\N	\N
413072	1404	1997-12-18	VYBER	VYBER	22892	39846	\N	\N	\N
413073	1404	1997-06-15	VYBER	VYBER	4357	40393	\N	\N	\N
413079	1404	1998-06-07	VYDAJ	VYBER	20700	74678	\N	\N	\N
413084	1404	1997-01-18	VYDAJ	VYBER	28800	40897	\N	\N	\N
413085	1404	1998-01-03	VYDAJ	VYBER	29700	36766	\N	\N	\N
413086	1404	1993-12-01	VYDAJ	VYBER	1500	42731	\N	\N	\N
413088	1404	1995-12-10	VYDAJ	VYBER	3300	21622	\N	\N	\N
413089	1404	1996-12-20	VYDAJ	VYBER	6300	27750	\N	\N	\N
413090	1404	1997-12-07	VYDAJ	VYBER	3900	78880	\N	\N	\N
413091	1404	1998-12-15	VYDAJ	VYBER	7800	58352	\N	\N	\N
413100	1404	1994-01-01	VYDAJ	VYBER	4800	22008	\N	\N	\N
413105	1404	1995-01-01	VYDAJ	VYBER	7800	19063	\N	\N	\N
413109	1404	1995-01-17	VYDAJ	VYBER	3900	19235	\N	\N	\N
413110	1404	1996-01-19	VYDAJ	VYBER	1500	19931	\N	\N	\N
413113	1404	1996-01-17	VYDAJ	VYBER	2100	21431	\N	\N	\N
413116	1404	1997-01-30	VYDAJ	VYBER	1500	41295	\N	\N	\N
413118	1404	1997-01-22	VYDAJ	VYBER	3900	28897	\N	\N	\N
413119	1404	1997-01-09	VYDAJ	VYBER	7800	76179	\N	\N	\N
413120	1404	1997-01-30	VYDAJ	VYBER	4200	37095	\N	\N	\N
413121	1404	1997-01-20	VYDAJ	VYBER	8100	32797	\N	\N	\N
413124	1404	1998-01-07	VYDAJ	VYBER	4500	31783	\N	\N	\N
413127	1404	1998-01-30	VYDAJ	VYBER	7500	94325	\N	\N	\N
413137	1404	1994-02-12	VYDAJ	VYBER	4500	43519	\N	\N	\N
413140	1404	1995-08-20	VYDAJ	VYBER	5700	26964	\N	\N	\N
413141	1404	1995-12-13	VYDAJ	VYBER	10500	23546	\N	\N	\N
413142	1404	1995-01-15	VYDAJ	VYBER	9000	23135	\N	\N	\N
413144	1404	1996-06-16	VYDAJ	VYBER	7500	20314	\N	\N	\N
413146	1404	1996-08-21	VYDAJ	VYBER	13200	60101	\N	\N	\N
413147	1404	1996-08-31	VYDAJ	VYBER	14100	64227	\N	\N	\N
413148	1404	1996-12-07	VYDAJ	VYBER	6600	40532	\N	\N	\N
413150	1404	1997-08-08	VYDAJ	VYBER	3300	84780	\N	\N	\N
413151	1404	1997-08-10	VYDAJ	VYBER	10200	74580	\N	\N	\N
413153	1404	1997-08-21	VYDAJ	VYBER	3900	64198	\N	\N	\N
413154	1404	1998-09-04	VYDAJ	VYBER	6600	88244	\N	\N	\N
413155	1404	1998-09-06	VYDAJ	VYBER	13800	73961	\N	\N	\N
413156	1404	1998-09-20	VYDAJ	VYBER	8400	59079	\N	\N	\N
413157	1404	1998-08-12	VYDAJ	VYBER	9000	84423	\N	\N	\N
413158	1404	1998-04-19	VYDAJ	VYBER	3900	67809	\N	\N	\N
413159	1404	1998-04-18	VYDAJ	VYBER	13500	71709	\N	\N	\N
413171	1404	1993-11-30	VYDAJ	VYBER	30	44231	SLUZBY	\N	\N
413172	1404	1993-12-31	VYDAJ	VYBER	30	26808	SLUZBY	\N	\N
413173	1404	1994-01-31	VYDAJ	VYBER	30	20798	SLUZBY	\N	\N
413174	1404	1994-02-28	VYDAJ	VYBER	30	26531	SLUZBY	\N	\N
413175	1404	1994-03-31	VYDAJ	VYBER	30	21533	SLUZBY	\N	\N
413176	1404	1994-04-30	VYDAJ	VYBER	30	18917	SLUZBY	\N	\N
413177	1404	1994-05-31	VYDAJ	VYBER	30	18393	SLUZBY	\N	\N
413178	1404	1994-06-30	VYDAJ	VYBER	30	21073	SLUZBY	\N	\N
413179	1404	1994-07-31	VYDAJ	VYBER	30	19757	SLUZBY	\N	\N
413180	1404	1994-08-31	VYDAJ	VYBER	30	17836	SLUZBY	\N	\N
413181	1404	1994-09-30	VYDAJ	VYBER	30	45272	SLUZBY	\N	\N
413182	1404	1994-10-31	VYDAJ	VYBER	30	30024	SLUZBY	\N	\N
413183	1404	1994-11-30	VYDAJ	VYBER	30	28147	SLUZBY	\N	\N
413184	1404	1994-12-31	VYDAJ	VYBER	30	26863	SLUZBY	\N	\N
413185	1404	1995-01-31	VYDAJ	VYBER	30	19300	SLUZBY	\N	\N
413186	1404	1995-02-28	VYDAJ	VYBER	30	19885	SLUZBY	\N	\N
413187	1404	1995-03-31	VYDAJ	VYBER	30	23577	SLUZBY	\N	\N
413188	1404	1995-04-30	VYDAJ	VYBER	30	24981	SLUZBY	\N	\N
413189	1404	1995-05-31	VYDAJ	VYBER	30	50096	SLUZBY	\N	\N
413190	1404	1995-06-30	VYDAJ	VYBER	30	38581	SLUZBY	\N	\N
413191	1404	1995-07-31	VYDAJ	VYBER	30	32329	SLUZBY	\N	\N
413192	1404	1995-08-31	VYDAJ	VYBER	30	27066	SLUZBY	\N	\N
413193	1404	1995-09-30	VYDAJ	VYBER	30	26886	SLUZBY	\N	\N
413194	1404	1995-10-31	VYDAJ	VYBER	30	24095	SLUZBY	\N	\N
413195	1404	1995-11-30	VYDAJ	VYBER	30	25405	SLUZBY	\N	\N
413196	1404	1995-12-31	VYDAJ	VYBER	30	17296	SLUZBY	\N	\N
413197	1404	1996-01-31	VYDAJ	VYBER	30	19987	SLUZBY	\N	\N
413198	1404	1996-02-29	VYDAJ	VYBER	30	32191	SLUZBY	\N	\N
413199	1404	1996-03-31	VYDAJ	VYBER	30	32483	SLUZBY	\N	\N
413200	1404	1996-04-30	VYDAJ	VYBER	30	61238	SLUZBY	\N	\N
413201	1404	1996-05-31	VYDAJ	VYBER	30	52172	SLUZBY	\N	\N
413202	1404	1996-06-30	VYDAJ	VYBER	30	20416	SLUZBY	\N	\N
413203	1404	1996-07-31	VYDAJ	VYBER	30	34321	SLUZBY	\N	\N
413204	1404	1996-08-31	VYDAJ	VYBER	30	78327	SLUZBY	\N	\N
413205	1404	1996-09-30	VYDAJ	VYBER	30	26987	SLUZBY	\N	\N
413206	1404	1996-10-31	VYDAJ	VYBER	30	42333	SLUZBY	\N	\N
413207	1404	1996-11-30	VYDAJ	VYBER	30	41115	SLUZBY	\N	\N
413208	1404	1996-12-31	VYDAJ	VYBER	30	27863	SLUZBY	\N	\N
413209	1404	1997-01-31	VYDAJ	VYBER	30	37276	SLUZBY	\N	\N
413210	1404	1997-02-28	VYDAJ	VYBER	30	53079	SLUZBY	\N	\N
413211	1404	1997-03-31	VYDAJ	VYBER	30	57352	SLUZBY	\N	\N
413212	1404	1997-04-30	VYDAJ	VYBER	30	76293	SLUZBY	\N	\N
413213	1404	1997-05-31	VYDAJ	VYBER	30	67039	SLUZBY	\N	\N
413214	1404	1997-06-30	VYDAJ	VYBER	30	40602	SLUZBY	\N	\N
413215	1404	1997-07-31	VYDAJ	VYBER	30	89563	SLUZBY	\N	\N
413216	1404	1997-08-31	VYDAJ	VYBER	30	64471	SLUZBY	\N	\N
413217	1404	1997-09-30	VYDAJ	VYBER	30	75582	SLUZBY	\N	\N
413218	1404	1997-10-31	VYDAJ	VYBER	30	102525	SLUZBY	\N	\N
413219	1404	1997-11-30	VYDAJ	VYBER	30	83263	SLUZBY	\N	\N
413220	1404	1997-12-31	VYDAJ	VYBER	30	66466	SLUZBY	\N	\N
413221	1404	1998-01-31	VYDAJ	VYBER	30	94451	SLUZBY	\N	\N
413222	1404	1998-02-28	VYDAJ	VYBER	30	95404	SLUZBY	\N	\N
413223	1404	1998-03-31	VYDAJ	VYBER	30	92174	SLUZBY	\N	\N
413224	1404	1998-04-30	VYDAJ	VYBER	30	81515	SLUZBY	\N	\N
413225	1404	1998-05-31	VYDAJ	VYBER	30	95861	SLUZBY	\N	\N
413226	1404	1998-06-30	VYDAJ	VYBER	30	96393	SLUZBY	\N	\N
413227	1404	1998-07-31	VYDAJ	VYBER	30	94082	SLUZBY	\N	\N
413228	1404	1998-08-31	VYDAJ	VYBER	30	94844	SLUZBY	\N	\N
413229	1404	1998-09-30	VYDAJ	VYBER	30	108570	SLUZBY	\N	\N
413230	1404	1998-10-31	VYDAJ	VYBER	30	109723	SLUZBY	\N	\N
413231	1404	1998-11-30	VYDAJ	VYBER	30	100075	SLUZBY	\N	\N
413232	1404	1993-10-03	VYDAJ	VYBER	62300	47030	\N	\N	\N
413233	1404	1993-10-22	VYDAJ	VYBER	21900	48912	\N	\N	\N
413234	1404	1993-11-09	VYDAJ	VYBER	35100	73493	\N	\N	\N
413235	1404	1993-11-21	VYDAJ	VYBER	23000	44011	\N	\N	\N
413236	1404	1993-12-21	VYDAJ	VYBER	5400	26699	\N	\N	\N
413237	1404	1994-01-20	PRIJEM	VKLAD	5700	20743	\N	\N	\N
413238	1404	1994-02-19	VYDAJ	VYBER	6300	30913	\N	\N	\N
413239	1404	1994-03-21	VYDAJ	VYBER	1100	28999	\N	\N	\N
413240	1404	1994-04-20	PRIJEM	VKLAD	4300	18868	\N	\N	\N
413241	1404	1994-05-20	PRIJEM	VKLAD	6400	18352	\N	\N	\N
413242	1404	1994-06-19	PRIJEM	VKLAD	9600	21028	\N	\N	\N
413243	1404	1994-07-19	PRIJEM	VKLAD	5600	19708	\N	\N	\N
413244	1404	1994-08-18	PRIJEM	VKLAD	5000	17792	\N	\N	\N
413245	1404	1994-09-17	VYDAJ	VYBER	13400	45126	\N	\N	\N
413246	1404	1994-10-17	VYDAJ	VYBER	4600	29888	\N	\N	\N
413247	1404	1994-11-16	PRIJEM	VKLAD	5000	28059	\N	\N	\N
413248	1404	1994-12-16	PRIJEM	VKLAD	5600	26782	\N	\N	\N
413249	1404	1995-01-15	PRIJEM	VKLAD	1800	32135	\N	\N	\N
413250	1404	1995-02-14	PRIJEM	VKLAD	7500	19835	\N	\N	\N
413251	1404	1995-03-16	PRIJEM	VKLAD	10600	23520	\N	\N	\N
413252	1404	1995-04-15	PRIJEM	VKLAD	8300	24912	\N	\N	\N
413253	1404	1995-05-15	PRIJEM	VKLAD	10800	28816	\N	\N	\N
413254	1404	1995-06-14	VYDAJ	VYBER	4700	38431	\N	\N	\N
413255	1404	1995-07-14	PRIJEM	VKLAD	600	32216	\N	\N	\N
413256	1404	1995-08-13	PRIJEM	VKLAD	7300	38970	\N	\N	\N
413257	1404	1995-09-12	PRIJEM	VKLAD	200	33104	\N	\N	\N
413258	1404	1995-10-12	PRIJEM	VKLAD	4100	30327	\N	\N	\N
413259	1404	1995-11-11	PRIJEM	VKLAD	8200	31812	\N	\N	\N
413260	1404	1995-12-11	PRIJEM	VKLAD	12600	34222	\N	\N	\N
413261	1404	1996-01-10	PRIJEM	VKLAD	13200	30013	\N	\N	\N
413262	1404	1996-02-09	PRIJEM	VKLAD	15200	34704	\N	\N	\N
413263	1404	1996-03-10	PRIJEM	VKLAD	10400	42108	\N	\N	\N
413264	1404	1996-04-09	PRIJEM	VKLAD	7800	39800	\N	\N	\N
413265	1404	1996-05-09	VYDAJ	VYBER	2300	58455	\N	\N	\N
413266	1404	1996-06-08	PRIJEM	VKLAD	1000	52689	\N	\N	\N
413267	1404	1996-07-08	PRIJEM	VKLAD	13700	40697	\N	\N	\N
413268	1404	1996-08-07	PRIJEM	VKLAD	14300	48138	\N	\N	\N
413269	1404	1996-09-06	VYDAJ	VYBER	5700	58044	\N	\N	\N
413270	1404	1996-10-06	PRIJEM	VKLAD	3000	48672	\N	\N	\N
413271	1404	1996-11-05	PRIJEM	VKLAD	5600	47933	\N	\N	\N
413272	1404	1996-12-05	PRIJEM	VKLAD	6500	47615	\N	\N	\N
413273	1404	1997-01-04	PRIJEM	VKLAD	14400	42263	\N	\N	\N
413274	1404	1997-02-03	PRIJEM	VKLAD	13900	51176	\N	\N	\N
413275	1404	1997-02-10	VYDAJ	VYBER	61300	46468	\N	\N	\N
413276	1404	1997-02-27	VYDAJ	VYBER	61900	52868	\N	\N	\N
413277	1404	1997-03-05	PRIJEM	VKLAD	5900	58979	\N	\N	\N
413278	1404	1997-04-04	VYDAJ	VYBER	11700	82969	\N	\N	\N
413279	1404	1997-05-04	VYDAJ	VYBER	13100	88236	\N	\N	\N
413280	1404	1997-05-26	VYDAJ	VYBER	52800	66738	\N	\N	\N
413281	1404	1997-06-03	PRIJEM	VKLAD	3500	70539	\N	\N	\N
413282	1404	1997-06-06	VYDAJ	VYBER	60600	51232	\N	\N	\N
413283	1404	1997-07-03	PRIJEM	VKLAD	18500	59102	\N	\N	\N
413284	1404	1997-07-26	VYDAJ	VYBER	50900	89258	\N	\N	\N
413285	1404	1997-08-02	VYDAJ	VYBER	1000	88563	\N	\N	\N
413286	1404	1997-09-01	PRIJEM	VKLAD	10100	74571	\N	\N	\N
413287	1404	1997-09-09	VYDAJ	VYBER	15000	99975	\N	\N	\N
413288	1404	1997-09-19	VYDAJ	VYBER	22300	105679	\N	\N	\N
413289	1404	1997-09-29	VYDAJ	VYBER	56600	75198	\N	\N	\N
413290	1404	1997-10-01	PRIJEM	VKLAD	6000	81582	\N	\N	\N
413291	1404	1997-10-08	VYDAJ	VYBER	28100	97668	\N	\N	\N
413292	1404	1997-10-31	VYDAJ	VYBER	6100	96425	\N	\N	\N
413293	1404	1997-11-27	VYDAJ	VYBER	49600	80986	\N	\N	\N
413294	1404	1997-11-30	PRIJEM	VKLAD	1900	82886	\N	\N	\N
413295	1404	1997-12-30	PRIJEM	VKLAD	26400	66246	\N	\N	\N
413296	1404	1998-01-29	PRIJEM	VKLAD	34700	60001	\N	\N	\N
413297	1404	1998-02-13	VYDAJ	VYBER	19500	93595	\N	\N	\N
413298	1404	1998-02-28	PRIJEM	VKLAD	1400	94995	\N	\N	\N
413299	1404	1998-03-10	VYDAJ	VYBER	20900	95209	\N	\N	\N
413300	1404	1998-03-30	PRIJEM	VKLAD	3100	91827	\N	\N	\N
413301	1404	1998-04-29	PRIJEM	VKLAD	13400	81209	\N	\N	\N
413302	1404	1998-05-29	PRIJEM	VKLAD	500	95542	\N	\N	\N
413303	1404	1998-06-28	PRIJEM	VKLAD	1900	96085	\N	\N	\N
413304	1404	1998-07-18	VYDAJ	VYBER	63900	70205	\N	\N	\N
413305	1404	1998-07-28	PRIJEM	VKLAD	7400	93683	\N	\N	\N
413306	1404	1998-08-27	PRIJEM	VKLAD	16400	94517	\N	\N	\N
413307	1404	1998-09-26	PRIJEM	VKLAD	7000	108260	\N	\N	\N
413308	1404	1998-10-09	VYDAJ	VYBER	32000	93245	\N	\N	\N
413309	1404	1998-10-26	PRIJEM	VKLAD	12300	99063	\N	\N	\N
413310	1404	1998-10-31	VYDAJ	VYBER	25500	84223	\N	\N	\N
413311	1404	1998-11-25	PRIJEM	VKLAD	17300	94558	\N	\N	\N
413312	1404	1998-12-02	VYDAJ	VYBER	27300	118717	\N	\N	\N
413313	1404	1998-12-05	VYDAJ	VYBER	45600	72634	\N	\N	\N
413377	1405	1996-06-04	PRIJEM	VKLAD	400	400	\N	\N	\N
413383	1405	1996-06-07	PRIJEM	PREVOD Z UCTU	3581	3981	\N	GH	58490949
413384	1405	1996-07-07	PRIJEM	PREVOD Z UCTU	3581	18675	\N	GH	58490949
413385	1405	1996-08-07	PRIJEM	PREVOD Z UCTU	3581	25422	\N	GH	58490949
413386	1405	1996-09-07	PRIJEM	PREVOD Z UCTU	3581	26304	\N	GH	58490949
413387	1405	1996-10-07	PRIJEM	PREVOD Z UCTU	3581	30694	\N	GH	58490949
413388	1405	1996-11-07	PRIJEM	PREVOD Z UCTU	3581	26990	\N	GH	58490949
413389	1405	1996-12-07	PRIJEM	PREVOD Z UCTU	3581	28775	\N	GH	58490949
413390	1405	1997-01-07	PRIJEM	PREVOD Z UCTU	3581	28563	\N	GH	58490949
413391	1405	1997-02-07	PRIJEM	PREVOD Z UCTU	3581	31421	\N	GH	58490949
413392	1405	1997-03-07	PRIJEM	PREVOD Z UCTU	3581	33521	\N	GH	58490949
413393	1405	1997-04-07	PRIJEM	PREVOD Z UCTU	3581	35929	\N	GH	58490949
413394	1405	1997-05-07	PRIJEM	PREVOD Z UCTU	3581	37816	\N	GH	58490949
413395	1405	1997-06-07	PRIJEM	PREVOD Z UCTU	3581	36748	\N	GH	58490949
413396	1405	1997-07-07	PRIJEM	PREVOD Z UCTU	3581	33069	\N	GH	58490949
413397	1405	1997-08-07	PRIJEM	PREVOD Z UCTU	3581	35336	\N	GH	58490949
413398	1405	1997-09-07	PRIJEM	PREVOD Z UCTU	3581	35338	\N	GH	58490949
413399	1405	1997-10-07	PRIJEM	PREVOD Z UCTU	3581	37342	\N	GH	58490949
413400	1405	1997-11-07	PRIJEM	PREVOD Z UCTU	3581	42069	\N	GH	58490949
413401	1405	1997-12-07	PRIJEM	PREVOD Z UCTU	3581	43913	\N	GH	58490949
413402	1405	1998-01-07	PRIJEM	PREVOD Z UCTU	3581	44113	\N	GH	58490949
413403	1405	1998-02-07	PRIJEM	PREVOD Z UCTU	3581	45833	\N	GH	58490949
413404	1405	1998-03-07	PRIJEM	PREVOD Z UCTU	3581	42146	\N	GH	58490949
413405	1405	1998-04-07	PRIJEM	PREVOD Z UCTU	3581	39087	\N	GH	58490949
413406	1405	1998-05-07	PRIJEM	PREVOD Z UCTU	3581	34614	\N	GH	58490949
413407	1405	1998-06-07	PRIJEM	PREVOD Z UCTU	3581	38335	\N	GH	58490949
413408	1405	1998-07-07	PRIJEM	PREVOD Z UCTU	3581	35894	\N	GH	58490949
413409	1405	1998-08-07	PRIJEM	PREVOD Z UCTU	3581	39105	\N	GH	58490949
413410	1405	1998-09-07	PRIJEM	PREVOD Z UCTU	3581	38134	\N	GH	58490949
413411	1405	1998-10-07	PRIJEM	PREVOD Z UCTU	3581	39366	\N	GH	58490949
413412	1405	1998-11-07	PRIJEM	PREVOD Z UCTU	3581	40402	\N	GH	58490949
413413	1405	1998-12-07	PRIJEM	PREVOD Z UCTU	3581	42244	\N	GH	58490949
413423	1405	1996-10-07	VYDAJ	PREVOD NA UCET	2229	28465	SIPO	GH	27032226
413424	1405	1996-11-07	VYDAJ	PREVOD NA UCET	2229	24761	SIPO	GH	27032226
413425	1405	1996-12-07	VYDAJ	PREVOD NA UCET	2229	26546	SIPO	GH	27032226
413426	1405	1997-01-07	VYDAJ	PREVOD NA UCET	2229	26334	SIPO	GH	27032226
413427	1405	1997-02-07	VYDAJ	PREVOD NA UCET	2229	29192	SIPO	GH	27032226
413428	1405	1997-03-07	VYDAJ	PREVOD NA UCET	2229	31292	SIPO	GH	27032226
413429	1405	1997-04-07	VYDAJ	PREVOD NA UCET	2229	33700	SIPO	GH	27032226
413430	1405	1997-05-07	VYDAJ	PREVOD NA UCET	2229	35587	SIPO	GH	27032226
413431	1405	1997-06-07	VYDAJ	PREVOD NA UCET	2229	34519	SIPO	GH	27032226
413432	1405	1997-07-07	VYDAJ	PREVOD NA UCET	2229	30840	SIPO	GH	27032226
413433	1405	1997-08-07	VYDAJ	PREVOD NA UCET	2229	33107	SIPO	GH	27032226
413434	1405	1997-09-07	VYDAJ	PREVOD NA UCET	2229	33109	SIPO	GH	27032226
413435	1405	1997-10-07	VYDAJ	PREVOD NA UCET	2229	35113	SIPO	GH	27032226
413436	1405	1997-11-07	VYDAJ	PREVOD NA UCET	2229	39840	SIPO	GH	27032226
413437	1405	1997-12-07	VYDAJ	PREVOD NA UCET	2229	41684	SIPO	GH	27032226
413438	1405	1998-01-07	VYDAJ	PREVOD NA UCET	2229	41884	SIPO	GH	27032226
413439	1405	1998-02-07	VYDAJ	PREVOD NA UCET	2229	43604	SIPO	GH	27032226
413440	1405	1998-03-07	VYDAJ	PREVOD NA UCET	2229	39917	SIPO	GH	27032226
413441	1405	1998-04-07	VYDAJ	PREVOD NA UCET	2229	36858	SIPO	GH	27032226
413442	1405	1998-05-07	VYDAJ	PREVOD NA UCET	2229	32385	SIPO	GH	27032226
413443	1405	1998-06-07	VYDAJ	PREVOD NA UCET	2229	36106	SIPO	GH	27032226
413444	1405	1998-07-07	VYDAJ	PREVOD NA UCET	2229	33665	SIPO	GH	27032226
413445	1405	1998-08-07	VYDAJ	PREVOD NA UCET	2229	36876	SIPO	GH	27032226
413446	1405	1998-09-07	VYDAJ	PREVOD NA UCET	2229	35905	SIPO	GH	27032226
413447	1405	1998-10-07	VYDAJ	PREVOD NA UCET	2229	37137	SIPO	GH	27032226
413448	1405	1998-11-07	VYDAJ	PREVOD NA UCET	2229	38173	SIPO	GH	27032226
413449	1405	1998-12-07	VYDAJ	PREVOD NA UCET	2229	40015	SIPO	GH	27032226
413460	1405	1996-11-06	VYDAJ	PREVOD NA UCET	158	23409	 	ST	63219690
413461	1405	1996-12-06	VYDAJ	PREVOD NA UCET	158	25194	 	ST	63219690
413462	1405	1997-01-06	VYDAJ	PREVOD NA UCET	158	24982	 	ST	63219690
413463	1405	1997-02-06	VYDAJ	PREVOD NA UCET	158	27840	 	ST	63219690
413464	1405	1997-03-06	VYDAJ	PREVOD NA UCET	158	29940	 	ST	63219690
413465	1405	1997-04-06	VYDAJ	PREVOD NA UCET	158	32348	 	ST	63219690
413466	1405	1997-05-06	VYDAJ	PREVOD NA UCET	158	34235	 	ST	63219690
413467	1405	1997-06-06	VYDAJ	PREVOD NA UCET	158	33167	 	ST	63219690
413468	1405	1997-07-06	VYDAJ	PREVOD NA UCET	158	29488	 	ST	63219690
413469	1405	1997-08-06	VYDAJ	PREVOD NA UCET	158	31755	 	ST	63219690
413470	1405	1997-09-06	VYDAJ	PREVOD NA UCET	158	31757	 	ST	63219690
413471	1405	1997-10-06	VYDAJ	PREVOD NA UCET	158	33761	 	ST	63219690
413472	1405	1997-11-06	VYDAJ	PREVOD NA UCET	158	38488	 	ST	63219690
413473	1405	1997-12-06	VYDAJ	PREVOD NA UCET	158	40332	 	ST	63219690
413474	1405	1998-01-06	VYDAJ	PREVOD NA UCET	158	40532	 	ST	63219690
413475	1405	1998-02-06	VYDAJ	PREVOD NA UCET	158	42252	 	ST	63219690
413476	1405	1998-03-06	VYDAJ	PREVOD NA UCET	158	38565	 	ST	63219690
413477	1405	1998-04-06	VYDAJ	PREVOD NA UCET	158	35506	 	ST	63219690
413478	1405	1998-05-06	VYDAJ	PREVOD NA UCET	158	31033	 	ST	63219690
413479	1405	1998-06-06	VYDAJ	PREVOD NA UCET	158	34754	 	ST	63219690
413480	1405	1998-07-06	VYDAJ	PREVOD NA UCET	158	32313	 	ST	63219690
413481	1405	1998-08-06	VYDAJ	PREVOD NA UCET	158	35524	 	ST	63219690
413482	1405	1998-09-06	VYDAJ	PREVOD NA UCET	158	34853	 	ST	63219690
413483	1405	1998-10-06	VYDAJ	PREVOD NA UCET	158	35785	 	ST	63219690
413484	1405	1998-11-06	VYDAJ	PREVOD NA UCET	158	36821	 	ST	63219690
413485	1405	1998-12-06	VYDAJ	PREVOD NA UCET	158	38663	 	ST	63219690
413487	1405	1997-06-21	VYDAJ	VYBER	8790	25729	\N	\N	\N
413488	1405	1998-06-08	VYDAJ	VYBER	7050	29056	\N	\N	\N
413490	1405	1997-01-29	VYDAJ	VYBER	1350	24504	\N	\N	\N
413491	1405	1998-01-16	VYDAJ	VYBER	300	40294	\N	\N	\N
413492	1405	1996-12-29	VYDAJ	VYBER	300	26246	\N	\N	\N
413493	1405	1997-12-08	VYDAJ	VYBER	750	40934	\N	\N	\N
413494	1405	1998-12-24	VYDAJ	VYBER	240	39075	\N	\N	\N
413499	1405	1997-04-15	VYDAJ	VYBER	1440	31570	\N	\N	\N
413500	1405	1997-01-17	VYDAJ	VYBER	480	25854	\N	\N	\N
413501	1405	1997-09-03	VYDAJ	VYBER	1020	31915	\N	\N	\N
413502	1405	1997-04-13	VYDAJ	VYBER	690	33010	\N	\N	\N
413503	1405	1997-07-16	VYDAJ	VYBER	540	30300	\N	\N	\N
413504	1405	1997-09-28	VYDAJ	VYBER	1020	33789	\N	\N	\N
413505	1405	1998-09-06	VYDAJ	VYBER	300	34553	\N	\N	\N
413506	1405	1998-07-29	VYDAJ	VYBER	210	35555	\N	\N	\N
413507	1405	1998-02-08	VYDAJ	VYBER	1140	42464	\N	\N	\N
413508	1405	1998-01-16	VYDAJ	VYBER	240	40054	\N	\N	\N
413509	1405	1998-01-08	VYDAJ	VYBER	1290	40594	\N	\N	\N
413520	1405	1996-10-31	VYDAJ	VYBER	15	28567	SLUZBY	\N	\N
413521	1405	1996-11-30	VYDAJ	VYBER	15	24852	SLUZBY	\N	\N
413522	1405	1996-12-31	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
413523	1405	1997-01-31	VYDAJ	VYBER	15	27998	SLUZBY	\N	\N
413524	1405	1997-02-28	VYDAJ	VYBER	15	29298	SLUZBY	\N	\N
413525	1405	1997-03-31	VYDAJ	VYBER	15	32506	SLUZBY	\N	\N
413526	1405	1997-04-30	VYDAJ	VYBER	15	34393	SLUZBY	\N	\N
413527	1405	1997-05-31	VYDAJ	VYBER	15	33325	SLUZBY	\N	\N
413528	1405	1997-06-30	VYDAJ	VYBER	15	29646	SLUZBY	\N	\N
413529	1405	1997-07-31	VYDAJ	VYBER	15	31913	SLUZBY	\N	\N
413530	1405	1997-08-31	VYDAJ	VYBER	15	32935	SLUZBY	\N	\N
413531	1405	1997-09-30	VYDAJ	VYBER	15	33919	SLUZBY	\N	\N
413532	1405	1997-10-31	VYDAJ	VYBER	15	38646	SLUZBY	\N	\N
413533	1405	1997-11-30	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
413534	1405	1997-12-31	VYDAJ	VYBER	15	40690	SLUZBY	\N	\N
413535	1405	1998-01-31	VYDAJ	VYBER	15	42410	SLUZBY	\N	\N
413536	1405	1998-02-28	VYDAJ	VYBER	15	38723	SLUZBY	\N	\N
413537	1405	1998-03-31	VYDAJ	VYBER	15	35664	SLUZBY	\N	\N
413538	1405	1998-04-30	VYDAJ	VYBER	15	31191	SLUZBY	\N	\N
413539	1405	1998-05-31	VYDAJ	VYBER	15	34912	SLUZBY	\N	\N
413540	1405	1998-06-30	VYDAJ	VYBER	15	32471	SLUZBY	\N	\N
413541	1405	1998-07-31	VYDAJ	VYBER	15	35682	SLUZBY	\N	\N
413542	1405	1998-08-31	VYDAJ	VYBER	15	35011	SLUZBY	\N	\N
413543	1405	1998-09-30	VYDAJ	VYBER	15	35943	SLUZBY	\N	\N
413544	1405	1998-10-31	VYDAJ	VYBER	15	36979	SLUZBY	\N	\N
413545	1405	1998-11-30	VYDAJ	VYBER	15	38821	SLUZBY	\N	\N
413546	1405	1996-07-04	PRIJEM	VKLAD	11100	15094	\N	\N	\N
413547	1405	1996-08-03	PRIJEM	VKLAD	3100	21841	\N	\N	\N
413548	1405	1996-09-02	VYDAJ	VYBER	2800	22723	\N	\N	\N
413549	1405	1996-10-02	PRIJEM	VKLAD	700	27113	\N	\N	\N
413550	1405	1996-11-01	VYDAJ	VYBER	5000	23567	\N	\N	\N
413551	1405	1996-12-01	PRIJEM	VKLAD	500	25352	\N	\N	\N
413552	1405	1996-12-31	VYDAJ	VYBER	1200	25155	\N	\N	\N
413553	1405	1997-01-30	PRIJEM	VKLAD	3400	27904	\N	\N	\N
413554	1405	1997-03-01	PRIJEM	VKLAD	800	30098	\N	\N	\N
413555	1405	1997-03-31	PRIJEM	VKLAD	1100	32392	\N	\N	\N
413556	1405	1997-04-30	PRIJEM	VKLAD	2700	34270	\N	\N	\N
413557	1405	1997-05-30	VYDAJ	VYBER	2400	33187	\N	\N	\N
413558	1405	1997-06-29	PRIJEM	VKLAD	3800	29529	\N	\N	\N
413559	1405	1997-07-29	PRIJEM	VKLAD	1500	31800	\N	\N	\N
413560	1405	1997-08-28	VYDAJ	VYBER	300	32807	\N	\N	\N
413561	1405	1997-09-27	PRIJEM	VKLAD	1700	34809	\N	\N	\N
413562	1405	1997-10-27	PRIJEM	VKLAD	3400	38513	\N	\N	\N
413563	1405	1997-11-26	PRIJEM	VKLAD	500	40340	\N	\N	\N
413564	1405	1997-12-26	VYDAJ	VYBER	400	40534	\N	\N	\N
413565	1405	1998-01-25	PRIJEM	VKLAD	2200	42254	\N	\N	\N
413566	1405	1998-02-24	VYDAJ	VYBER	3900	38564	\N	\N	\N
413567	1405	1998-03-26	VYDAJ	VYBER	4400	35517	\N	\N	\N
413568	1405	1998-04-25	VYDAJ	VYBER	5800	31058	\N	\N	\N
413569	1405	1998-05-25	PRIJEM	VKLAD	2400	34785	\N	\N	\N
413570	1405	1998-06-24	PRIJEM	VKLAD	3300	32356	\N	\N	\N
413571	1405	1998-07-24	PRIJEM	VKLAD	2100	35765	\N	\N	\N
413572	1405	1998-08-23	VYDAJ	VYBER	2000	34876	\N	\N	\N
413573	1405	1998-09-22	VYDAJ	VYBER	100	35805	\N	\N	\N
413574	1405	1998-10-22	VYDAJ	VYBER	300	36837	\N	\N	\N
413575	1405	1998-11-21	PRIJEM	VKLAD	500	38673	\N	\N	\N
413576	1405	1998-12-21	VYDAJ	VYBER	700	39315	\N	\N	\N
413608	1406	1994-03-04	PRIJEM	VKLAD	200	200	\N	\N	\N
413611	1406	1994-03-05	PRIJEM	PREVOD Z UCTU	4141	4341	DUCHOD	KL	75857972
413612	1406	1994-04-05	PRIJEM	PREVOD Z UCTU	4141	8498	DUCHOD	KL	75857972
413872	1406	1998-01-31	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
413613	1406	1994-05-05	PRIJEM	PREVOD Z UCTU	4141	12657	DUCHOD	KL	75857972
413614	1406	1994-06-05	PRIJEM	PREVOD Z UCTU	4141	16816	DUCHOD	KL	75857972
413615	1406	1994-07-05	PRIJEM	PREVOD Z UCTU	4141	20975	DUCHOD	KL	75857972
413616	1406	1994-08-05	PRIJEM	PREVOD Z UCTU	4141	22410	DUCHOD	KL	75857972
413617	1406	1994-09-05	PRIJEM	PREVOD Z UCTU	4141	21934	DUCHOD	KL	75857972
413618	1406	1994-10-05	PRIJEM	PREVOD Z UCTU	4141	22738	DUCHOD	KL	75857972
413619	1406	1994-11-05	PRIJEM	PREVOD Z UCTU	4141	22269	DUCHOD	KL	75857972
413620	1406	1994-12-05	PRIJEM	PREVOD Z UCTU	4141	20274	DUCHOD	KL	75857972
413621	1406	1995-01-05	PRIJEM	PREVOD Z UCTU	4141	17664	DUCHOD	KL	75857972
413622	1406	1995-02-05	PRIJEM	PREVOD Z UCTU	4141	19092	DUCHOD	KL	75857972
413623	1406	1995-03-05	PRIJEM	PREVOD Z UCTU	4141	20526	DUCHOD	KL	75857972
413624	1406	1995-04-05	PRIJEM	PREVOD Z UCTU	4141	19960	DUCHOD	KL	75857972
413625	1406	1995-05-05	PRIJEM	PREVOD Z UCTU	4141	21398	DUCHOD	KL	75857972
413626	1406	1995-06-05	PRIJEM	PREVOD Z UCTU	4141	22841	DUCHOD	KL	75857972
413627	1406	1995-07-05	PRIJEM	PREVOD Z UCTU	4141	24292	DUCHOD	KL	75857972
413628	1406	1995-08-05	PRIJEM	PREVOD Z UCTU	4141	25749	DUCHOD	KL	75857972
413629	1406	1995-09-05	PRIJEM	PREVOD Z UCTU	4141	26732	DUCHOD	KL	75857972
413630	1406	1995-10-05	PRIJEM	PREVOD Z UCTU	4141	28200	DUCHOD	KL	75857972
413631	1406	1995-11-05	PRIJEM	PREVOD Z UCTU	4141	25531	DUCHOD	KL	75857972
413632	1406	1995-12-05	PRIJEM	PREVOD Z UCTU	4141	26993	DUCHOD	KL	75857972
413633	1406	1996-01-05	PRIJEM	PREVOD Z UCTU	4141	27307	DUCHOD	KL	75857972
413634	1406	1996-02-05	PRIJEM	PREVOD Z UCTU	4141	28775	DUCHOD	KL	75857972
413635	1406	1996-03-05	PRIJEM	PREVOD Z UCTU	4141	30249	DUCHOD	KL	75857972
413636	1406	1996-04-05	PRIJEM	PREVOD Z UCTU	4141	31731	DUCHOD	KL	75857972
413637	1406	1996-05-05	PRIJEM	PREVOD Z UCTU	4141	33217	DUCHOD	KL	75857972
413638	1406	1996-06-05	PRIJEM	PREVOD Z UCTU	4141	31826	DUCHOD	KL	75857972
413639	1406	1996-07-05	PRIJEM	PREVOD Z UCTU	4141	20583	DUCHOD	KL	75857972
413640	1406	1996-08-05	PRIJEM	PREVOD Z UCTU	4141	22022	DUCHOD	KL	75857972
413641	1406	1996-09-05	PRIJEM	PREVOD Z UCTU	4141	20424	DUCHOD	KL	75857972
413642	1406	1996-10-05	PRIJEM	PREVOD Z UCTU	4141	21863	DUCHOD	KL	75857972
413643	1406	1996-11-05	PRIJEM	PREVOD Z UCTU	4141	23310	DUCHOD	KL	75857972
413644	1406	1996-12-05	PRIJEM	PREVOD Z UCTU	4141	24763	DUCHOD	KL	75857972
413645	1406	1997-01-05	PRIJEM	PREVOD Z UCTU	4141	24819	DUCHOD	KL	75857972
413646	1406	1997-02-05	PRIJEM	PREVOD Z UCTU	4141	26277	DUCHOD	KL	75857972
413647	1406	1997-03-05	PRIJEM	PREVOD Z UCTU	4141	26380	DUCHOD	KL	75857972
413648	1406	1997-04-05	PRIJEM	PREVOD Z UCTU	4141	24636	DUCHOD	KL	75857972
413649	1406	1997-05-05	PRIJEM	PREVOD Z UCTU	4141	26094	DUCHOD	KL	75857972
413650	1406	1997-06-05	PRIJEM	PREVOD Z UCTU	4141	27558	DUCHOD	KL	75857972
413651	1406	1997-07-05	PRIJEM	PREVOD Z UCTU	4141	22715	DUCHOD	KL	75857972
413652	1406	1997-08-05	PRIJEM	PREVOD Z UCTU	4141	22239	DUCHOD	KL	75857972
413653	1406	1997-09-05	PRIJEM	PREVOD Z UCTU	4141	23685	DUCHOD	KL	75857972
413654	1406	1997-10-05	PRIJEM	PREVOD Z UCTU	4141	25139	DUCHOD	KL	75857972
413655	1406	1997-11-05	PRIJEM	PREVOD Z UCTU	4141	24893	DUCHOD	KL	75857972
413656	1406	1997-12-05	PRIJEM	PREVOD Z UCTU	4141	24346	DUCHOD	KL	75857972
413657	1406	1998-01-05	PRIJEM	PREVOD Z UCTU	4141	25001	DUCHOD	KL	75857972
413658	1406	1998-02-05	PRIJEM	PREVOD Z UCTU	4141	24018	DUCHOD	KL	75857972
413659	1406	1998-03-05	PRIJEM	PREVOD Z UCTU	4141	24609	DUCHOD	KL	75857972
413660	1406	1998-04-05	PRIJEM	PREVOD Z UCTU	4141	20953	DUCHOD	KL	75857972
413661	1406	1998-05-05	PRIJEM	PREVOD Z UCTU	4141	21515	DUCHOD	KL	75857972
413662	1406	1998-06-05	PRIJEM	PREVOD Z UCTU	4141	20151	DUCHOD	KL	75857972
413663	1406	1998-07-05	PRIJEM	PREVOD Z UCTU	4141	20184	DUCHOD	KL	75857972
413664	1406	1998-08-05	PRIJEM	PREVOD Z UCTU	4141	21622	DUCHOD	KL	75857972
413665	1406	1998-09-05	PRIJEM	PREVOD Z UCTU	4141	22364	DUCHOD	KL	75857972
413666	1406	1998-10-05	PRIJEM	PREVOD Z UCTU	4141	23110	DUCHOD	KL	75857972
413667	1406	1998-11-05	PRIJEM	PREVOD Z UCTU	4141	19043	DUCHOD	KL	75857972
413668	1406	1998-12-05	PRIJEM	PREVOD Z UCTU	4141	19773	DUCHOD	KL	75857972
413675	1406	1994-07-05	VYDAJ	PREVOD NA UCET	2302	18673	SIPO	EF	24323117
413676	1406	1994-08-05	VYDAJ	PREVOD NA UCET	2302	20108	SIPO	EF	24323117
413677	1406	1994-09-05	VYDAJ	PREVOD NA UCET	2302	19632	SIPO	EF	24323117
413678	1406	1994-10-05	VYDAJ	PREVOD NA UCET	2302	20436	SIPO	EF	24323117
413679	1406	1994-11-05	VYDAJ	PREVOD NA UCET	2302	19967	SIPO	EF	24323117
413680	1406	1994-12-05	VYDAJ	PREVOD NA UCET	2302	17972	SIPO	EF	24323117
413681	1406	1995-01-05	VYDAJ	PREVOD NA UCET	2302	15362	SIPO	EF	24323117
413682	1406	1995-02-05	VYDAJ	PREVOD NA UCET	2302	16790	SIPO	EF	24323117
413683	1406	1995-03-05	VYDAJ	PREVOD NA UCET	2302	18224	SIPO	EF	24323117
413684	1406	1995-04-05	VYDAJ	PREVOD NA UCET	2302	17658	SIPO	EF	24323117
413685	1406	1995-05-05	VYDAJ	PREVOD NA UCET	2302	19096	SIPO	EF	24323117
413686	1406	1995-06-05	VYDAJ	PREVOD NA UCET	2302	20539	SIPO	EF	24323117
413687	1406	1995-07-05	VYDAJ	PREVOD NA UCET	2302	21990	SIPO	EF	24323117
413688	1406	1995-08-05	VYDAJ	PREVOD NA UCET	2302	23447	SIPO	EF	24323117
413689	1406	1995-09-05	VYDAJ	PREVOD NA UCET	2302	24430	SIPO	EF	24323117
413690	1406	1995-10-05	VYDAJ	PREVOD NA UCET	2302	25898	SIPO	EF	24323117
413691	1406	1995-11-05	VYDAJ	PREVOD NA UCET	2302	23229	SIPO	EF	24323117
413692	1406	1995-12-05	VYDAJ	PREVOD NA UCET	2302	24691	SIPO	EF	24323117
413693	1406	1996-01-05	VYDAJ	PREVOD NA UCET	2302	25005	SIPO	EF	24323117
413694	1406	1996-02-05	VYDAJ	PREVOD NA UCET	2302	26473	SIPO	EF	24323117
413695	1406	1996-03-05	VYDAJ	PREVOD NA UCET	2302	27947	SIPO	EF	24323117
413696	1406	1996-04-05	VYDAJ	PREVOD NA UCET	2302	29429	SIPO	EF	24323117
413697	1406	1996-05-05	VYDAJ	PREVOD NA UCET	2302	30915	SIPO	EF	24323117
413698	1406	1996-06-05	VYDAJ	PREVOD NA UCET	2302	29524	SIPO	EF	24323117
413699	1406	1996-07-05	VYDAJ	PREVOD NA UCET	2302	18281	SIPO	EF	24323117
413700	1406	1996-08-05	VYDAJ	PREVOD NA UCET	2302	19720	SIPO	EF	24323117
413701	1406	1996-09-05	VYDAJ	PREVOD NA UCET	2302	18122	SIPO	EF	24323117
413702	1406	1996-10-05	VYDAJ	PREVOD NA UCET	2302	19561	SIPO	EF	24323117
413703	1406	1996-11-05	VYDAJ	PREVOD NA UCET	2302	21008	SIPO	EF	24323117
413704	1406	1996-12-05	VYDAJ	PREVOD NA UCET	2302	22461	SIPO	EF	24323117
413705	1406	1997-01-05	VYDAJ	PREVOD NA UCET	2302	22517	SIPO	EF	24323117
413706	1406	1997-02-05	VYDAJ	PREVOD NA UCET	2302	23975	SIPO	EF	24323117
413707	1406	1997-03-05	VYDAJ	PREVOD NA UCET	2302	24078	SIPO	EF	24323117
413708	1406	1997-04-05	VYDAJ	PREVOD NA UCET	2302	22334	SIPO	EF	24323117
413709	1406	1997-05-05	VYDAJ	PREVOD NA UCET	2302	23792	SIPO	EF	24323117
413710	1406	1997-06-05	VYDAJ	PREVOD NA UCET	2302	25256	SIPO	EF	24323117
413711	1406	1997-07-05	VYDAJ	PREVOD NA UCET	2302	20413	SIPO	EF	24323117
413712	1406	1997-08-05	VYDAJ	PREVOD NA UCET	2302	19937	SIPO	EF	24323117
413713	1406	1997-09-05	VYDAJ	PREVOD NA UCET	2302	21383	SIPO	EF	24323117
413714	1406	1997-10-05	VYDAJ	PREVOD NA UCET	2302	22837	SIPO	EF	24323117
413715	1406	1997-11-05	VYDAJ	PREVOD NA UCET	2302	22591	SIPO	EF	24323117
413716	1406	1997-12-05	VYDAJ	PREVOD NA UCET	2302	22044	SIPO	EF	24323117
413717	1406	1998-01-05	VYDAJ	PREVOD NA UCET	2302	22699	SIPO	EF	24323117
413718	1406	1998-02-05	VYDAJ	PREVOD NA UCET	2302	21716	SIPO	EF	24323117
413719	1406	1998-03-05	VYDAJ	PREVOD NA UCET	2302	22307	SIPO	EF	24323117
413720	1406	1998-04-05	VYDAJ	PREVOD NA UCET	2302	18651	SIPO	EF	24323117
413721	1406	1998-05-05	VYDAJ	PREVOD NA UCET	2302	19213	SIPO	EF	24323117
413722	1406	1998-06-05	VYDAJ	PREVOD NA UCET	2302	17849	SIPO	EF	24323117
413723	1406	1998-07-05	VYDAJ	PREVOD NA UCET	2302	17882	SIPO	EF	24323117
413724	1406	1998-08-05	VYDAJ	PREVOD NA UCET	2302	19320	SIPO	EF	24323117
413725	1406	1998-09-05	VYDAJ	PREVOD NA UCET	2302	20062	SIPO	EF	24323117
413726	1406	1998-10-05	VYDAJ	PREVOD NA UCET	2302	20808	SIPO	EF	24323117
413727	1406	1998-11-05	VYDAJ	PREVOD NA UCET	2302	16741	SIPO	EF	24323117
413728	1406	1998-12-05	VYDAJ	PREVOD NA UCET	2302	17471	SIPO	EF	24323117
413735	1406	1994-07-10	VYDAJ	PREVOD NA UCET	458	18215	 	CD	43622702
413736	1406	1994-08-10	VYDAJ	PREVOD NA UCET	458	19650	 	CD	43622702
413737	1406	1994-09-10	VYDAJ	PREVOD NA UCET	458	19174	 	CD	43622702
413738	1406	1994-10-10	VYDAJ	PREVOD NA UCET	458	19978	 	CD	43622702
413739	1406	1994-11-10	VYDAJ	PREVOD NA UCET	458	19509	 	CD	43622702
413740	1406	1994-12-10	VYDAJ	PREVOD NA UCET	458	17514	 	CD	43622702
413741	1406	1995-01-10	VYDAJ	PREVOD NA UCET	458	14904	 	CD	43622702
413742	1406	1995-02-10	VYDAJ	PREVOD NA UCET	458	16332	 	CD	43622702
413743	1406	1995-03-10	VYDAJ	PREVOD NA UCET	458	16646	 	CD	43622702
413744	1406	1995-04-10	VYDAJ	PREVOD NA UCET	458	17200	 	CD	43622702
413745	1406	1995-05-10	VYDAJ	PREVOD NA UCET	458	18638	 	CD	43622702
413746	1406	1995-06-10	VYDAJ	PREVOD NA UCET	458	20081	 	CD	43622702
413747	1406	1995-07-10	VYDAJ	PREVOD NA UCET	458	21532	 	CD	43622702
413748	1406	1995-08-10	VYDAJ	PREVOD NA UCET	458	22989	 	CD	43622702
413749	1406	1995-09-10	VYDAJ	PREVOD NA UCET	458	23972	 	CD	43622702
413750	1406	1995-10-10	VYDAJ	PREVOD NA UCET	458	25440	 	CD	43622702
413751	1406	1995-11-10	VYDAJ	PREVOD NA UCET	458	22771	 	CD	43622702
413752	1406	1995-12-10	VYDAJ	PREVOD NA UCET	458	23083	 	CD	43622702
413753	1406	1996-01-10	VYDAJ	PREVOD NA UCET	458	24547	 	CD	43622702
413754	1406	1996-02-10	VYDAJ	PREVOD NA UCET	458	26015	 	CD	43622702
413755	1406	1996-03-10	VYDAJ	PREVOD NA UCET	458	27489	 	CD	43622702
413756	1406	1996-04-10	VYDAJ	PREVOD NA UCET	458	28971	 	CD	43622702
413757	1406	1996-05-10	VYDAJ	PREVOD NA UCET	458	30457	 	CD	43622702
413758	1406	1996-06-10	VYDAJ	PREVOD NA UCET	458	29066	 	CD	43622702
413759	1406	1996-07-10	VYDAJ	PREVOD NA UCET	458	17823	 	CD	43622702
413760	1406	1996-08-10	VYDAJ	PREVOD NA UCET	458	19262	 	CD	43622702
413761	1406	1996-09-10	VYDAJ	PREVOD NA UCET	458	17664	 	CD	43622702
413762	1406	1996-10-10	VYDAJ	PREVOD NA UCET	458	19103	 	CD	43622702
413763	1406	1996-11-10	VYDAJ	PREVOD NA UCET	458	20550	 	CD	43622702
413764	1406	1996-12-10	VYDAJ	PREVOD NA UCET	458	22003	 	CD	43622702
413765	1406	1997-01-10	VYDAJ	PREVOD NA UCET	458	22059	 	CD	43622702
413766	1406	1997-02-10	VYDAJ	PREVOD NA UCET	458	23517	 	CD	43622702
413767	1406	1997-03-10	VYDAJ	PREVOD NA UCET	458	23620	 	CD	43622702
413768	1406	1997-04-10	VYDAJ	PREVOD NA UCET	458	21876	 	CD	43622702
413769	1406	1997-05-10	VYDAJ	PREVOD NA UCET	458	23334	 	CD	43622702
413770	1406	1997-06-10	VYDAJ	PREVOD NA UCET	458	24798	 	CD	43622702
413771	1406	1997-07-10	VYDAJ	PREVOD NA UCET	458	19955	 	CD	43622702
413772	1406	1997-08-10	VYDAJ	PREVOD NA UCET	458	19479	 	CD	43622702
413773	1406	1997-09-10	VYDAJ	PREVOD NA UCET	458	20925	 	CD	43622702
413774	1406	1997-10-10	VYDAJ	PREVOD NA UCET	458	22379	 	CD	43622702
413775	1406	1997-11-10	VYDAJ	PREVOD NA UCET	458	22133	 	CD	43622702
413776	1406	1997-12-10	VYDAJ	PREVOD NA UCET	458	20786	 	CD	43622702
413777	1406	1998-01-10	VYDAJ	PREVOD NA UCET	458	22241	 	CD	43622702
413778	1406	1998-02-10	VYDAJ	PREVOD NA UCET	458	21258	 	CD	43622702
413779	1406	1998-03-10	VYDAJ	PREVOD NA UCET	458	21849	 	CD	43622702
413780	1406	1998-04-10	VYDAJ	PREVOD NA UCET	458	18193	 	CD	43622702
413781	1406	1998-05-10	VYDAJ	PREVOD NA UCET	458	18755	 	CD	43622702
413782	1406	1998-06-10	VYDAJ	PREVOD NA UCET	458	17391	 	CD	43622702
413783	1406	1998-07-10	VYDAJ	PREVOD NA UCET	458	17424	 	CD	43622702
413784	1406	1998-08-10	VYDAJ	PREVOD NA UCET	458	18162	 	CD	43622702
413785	1406	1998-09-10	VYDAJ	PREVOD NA UCET	458	19304	 	CD	43622702
413786	1406	1998-10-10	VYDAJ	PREVOD NA UCET	458	14850	 	CD	43622702
413787	1406	1998-11-10	VYDAJ	PREVOD NA UCET	458	15583	 	CD	43622702
413788	1406	1998-12-10	VYDAJ	PREVOD NA UCET	458	17013	 	CD	43622702
413791	1406	1996-06-13	VYDAJ	VYBER	12700	16366	\N	\N	\N
413792	1406	1997-06-17	VYDAJ	VYBER	6300	18498	\N	\N	\N
413794	1406	1994-12-28	VYDAJ	VYBER	1000	13474	\N	\N	\N
413795	1406	1995-12-09	VYDAJ	VYBER	1150	23541	\N	\N	\N
413796	1406	1996-12-18	VYDAJ	VYBER	1400	20603	\N	\N	\N
413797	1406	1997-12-10	VYDAJ	VYBER	800	21244	\N	\N	\N
413798	1406	1998-12-30	VYDAJ	VYBER	850	16163	\N	\N	\N
413799	1406	1994-12-11	VYDAJ	VYBER	3040	14474	\N	\N	\N
413800	1406	1994-11-01	VYDAJ	VYBER	1920	18128	\N	\N	\N
413802	1406	1994-08-16	VYDAJ	VYBER	1920	17730	\N	\N	\N
413803	1406	1994-09-10	VYDAJ	VYBER	640	18534	\N	\N	\N
413804	1406	1994-11-25	VYDAJ	VYBER	3440	16069	\N	\N	\N
413805	1406	1995-03-08	VYDAJ	VYBER	1120	17104	\N	\N	\N
413806	1406	1995-03-12	VYDAJ	VYBER	880	15766	\N	\N	\N
413807	1406	1995-08-28	VYDAJ	VYBER	480	22509	\N	\N	\N
413808	1406	1995-10-30	VYDAJ	VYBER	1680	21300	\N	\N	\N
413809	1406	1995-10-28	VYDAJ	VYBER	2160	22980	\N	\N	\N
413810	1406	1996-05-19	VYDAJ	VYBER	2880	27577	\N	\N	\N
413811	1406	1996-08-19	VYDAJ	VYBER	3040	16222	\N	\N	\N
413812	1406	1997-03-18	VYDAJ	VYBER	480	20420	\N	\N	\N
413813	1406	1997-07-14	VYDAJ	VYBER	1920	18035	\N	\N	\N
413814	1406	1997-02-15	VYDAJ	VYBER	1360	22157	\N	\N	\N
413815	1406	1997-11-20	VYDAJ	VYBER	1600	20133	\N	\N	\N
413816	1406	1997-03-14	VYDAJ	VYBER	2720	20900	\N	\N	\N
413818	1406	1998-04-30	VYDAJ	VYBER	880	17374	\N	\N	\N
413819	1406	1998-09-26	VYDAJ	VYBER	400	18904	\N	\N	\N
413820	1406	1998-02-13	VYDAJ	VYBER	560	20398	\N	\N	\N
413821	1406	1998-01-29	VYDAJ	VYBER	1840	19801	\N	\N	\N
413830	1406	1994-07-31	VYDAJ	VYBER	15	18269	SLUZBY	\N	\N
413831	1406	1994-08-31	VYDAJ	VYBER	15	17793	SLUZBY	\N	\N
413832	1406	1994-09-30	VYDAJ	VYBER	15	18597	SLUZBY	\N	\N
413833	1406	1994-10-31	VYDAJ	VYBER	15	20048	SLUZBY	\N	\N
413834	1406	1994-11-30	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
413835	1406	1994-12-31	VYDAJ	VYBER	15	13523	SLUZBY	\N	\N
413836	1406	1995-01-31	VYDAJ	VYBER	15	14951	SLUZBY	\N	\N
413837	1406	1995-02-28	VYDAJ	VYBER	15	16385	SLUZBY	\N	\N
413838	1406	1995-03-31	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
413839	1406	1995-04-30	VYDAJ	VYBER	15	17257	SLUZBY	\N	\N
413840	1406	1995-05-31	VYDAJ	VYBER	15	18700	SLUZBY	\N	\N
413841	1406	1995-06-30	VYDAJ	VYBER	15	20151	SLUZBY	\N	\N
413842	1406	1995-07-31	VYDAJ	VYBER	15	21608	SLUZBY	\N	\N
413843	1406	1995-08-31	VYDAJ	VYBER	15	22591	SLUZBY	\N	\N
413844	1406	1995-09-30	VYDAJ	VYBER	15	24059	SLUZBY	\N	\N
413845	1406	1995-10-31	VYDAJ	VYBER	15	21390	SLUZBY	\N	\N
413846	1406	1995-11-30	VYDAJ	VYBER	15	22852	SLUZBY	\N	\N
413847	1406	1995-12-31	VYDAJ	VYBER	15	23166	SLUZBY	\N	\N
413848	1406	1996-01-31	VYDAJ	VYBER	15	24634	SLUZBY	\N	\N
413849	1406	1996-02-29	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
413850	1406	1996-03-31	VYDAJ	VYBER	15	27590	SLUZBY	\N	\N
413851	1406	1996-04-30	VYDAJ	VYBER	15	29076	SLUZBY	\N	\N
413852	1406	1996-05-31	VYDAJ	VYBER	15	27685	SLUZBY	\N	\N
413853	1406	1996-06-30	VYDAJ	VYBER	15	16442	SLUZBY	\N	\N
413854	1406	1996-07-31	VYDAJ	VYBER	15	17881	SLUZBY	\N	\N
413855	1406	1996-08-31	VYDAJ	VYBER	15	16283	SLUZBY	\N	\N
413856	1406	1996-09-30	VYDAJ	VYBER	15	17722	SLUZBY	\N	\N
413857	1406	1996-10-31	VYDAJ	VYBER	15	19169	SLUZBY	\N	\N
413858	1406	1996-11-30	VYDAJ	VYBER	15	20622	SLUZBY	\N	\N
413859	1406	1996-12-31	VYDAJ	VYBER	15	20678	SLUZBY	\N	\N
413860	1406	1997-01-31	VYDAJ	VYBER	15	22136	SLUZBY	\N	\N
413861	1406	1997-02-28	VYDAJ	VYBER	15	22239	SLUZBY	\N	\N
413862	1406	1997-03-31	VYDAJ	VYBER	15	20495	SLUZBY	\N	\N
413863	1406	1997-04-30	VYDAJ	VYBER	15	21953	SLUZBY	\N	\N
413864	1406	1997-05-31	VYDAJ	VYBER	15	23417	SLUZBY	\N	\N
413865	1406	1997-06-30	VYDAJ	VYBER	15	18574	SLUZBY	\N	\N
413866	1406	1997-07-31	VYDAJ	VYBER	15	18098	SLUZBY	\N	\N
413867	1406	1997-08-31	VYDAJ	VYBER	15	19544	SLUZBY	\N	\N
413868	1406	1997-09-30	VYDAJ	VYBER	15	20998	SLUZBY	\N	\N
413869	1406	1997-10-31	VYDAJ	VYBER	15	20752	SLUZBY	\N	\N
413870	1406	1997-11-30	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
413871	1406	1997-12-31	VYDAJ	VYBER	15	20860	SLUZBY	\N	\N
413873	1406	1998-02-28	VYDAJ	VYBER	15	20468	SLUZBY	\N	\N
413874	1406	1998-03-31	VYDAJ	VYBER	15	16812	SLUZBY	\N	\N
413875	1406	1998-04-30	VYDAJ	VYBER	15	18254	SLUZBY	\N	\N
413876	1406	1998-05-31	VYDAJ	VYBER	15	16010	SLUZBY	\N	\N
413877	1406	1998-06-30	VYDAJ	VYBER	15	16043	SLUZBY	\N	\N
413878	1406	1998-07-31	VYDAJ	VYBER	15	17481	SLUZBY	\N	\N
413879	1406	1998-08-31	VYDAJ	VYBER	15	18223	SLUZBY	\N	\N
413880	1406	1998-09-30	VYDAJ	VYBER	15	18969	SLUZBY	\N	\N
413881	1406	1998-10-31	VYDAJ	VYBER	15	14902	SLUZBY	\N	\N
413882	1406	1998-11-30	VYDAJ	VYBER	15	15632	SLUZBY	\N	\N
413883	1406	1995-10-25	VYDAJ	VYBER	300	25140	\N	\N	\N
413884	1406	1997-10-14	VYDAJ	VYBER	1700	20679	\N	\N	\N
413885	1406	1997-11-13	VYDAJ	VYBER	400	21733	\N	\N	\N
413886	1406	1998-01-12	VYDAJ	VYBER	600	21641	\N	\N	\N
413887	1406	1998-02-11	VYDAJ	VYBER	300	20958	\N	\N	\N
413888	1406	1998-03-13	VYDAJ	VYBER	5100	16749	\N	\N	\N
413889	1406	1998-05-12	VYDAJ	VYBER	2800	15955	\N	\N	\N
413890	1406	1998-06-11	VYDAJ	VYBER	1400	15991	\N	\N	\N
413891	1406	1998-08-10	VYDAJ	VYBER	700	18620	\N	\N	\N
413892	1406	1998-09-09	VYDAJ	VYBER	300	19762	\N	\N	\N
413893	1406	1998-10-09	VYDAJ	VYBER	5500	15308	\N	\N	\N
413894	1406	1998-11-08	VYDAJ	VYBER	700	16041	\N	\N	\N
413953	1407	1997-04-11	PRIJEM	VKLAD	800	800	\N	\N	\N
413954	1407	1997-11-11	PRIJEM	VKLAD	5915	83568	\N	\N	\N
413955	1407	1997-06-28	PRIJEM	VKLAD	48131	96102	\N	\N	\N
413956	1407	1997-06-21	PRIJEM	VKLAD	21853	47971	\N	\N	\N
413957	1407	1997-10-08	PRIJEM	VKLAD	21879	115645	\N	\N	\N
413958	1407	1997-04-27	PRIJEM	VKLAD	13338	29100	\N	\N	\N
413959	1407	1997-04-14	PRIJEM	VKLAD	14962	15762	\N	\N	\N
413960	1407	1997-08-07	PRIJEM	VKLAD	38556	83882	\N	\N	\N
413961	1407	1997-10-20	PRIJEM	VKLAD	39181	93987	\N	\N	\N
413962	1407	1997-05-30	PRIJEM	VKLAD	6850	61948	\N	\N	\N
413963	1407	1997-05-29	PRIJEM	VKLAD	26753	55098	\N	\N	\N
413964	1407	1997-08-11	PRIJEM	VKLAD	11300	73882	\N	\N	\N
413965	1407	1997-12-10	PRIJEM	VKLAD	33514	109168	\N	\N	\N
413966	1407	1997-11-21	PRIJEM	VKLAD	42548	143697	\N	\N	\N
413967	1407	1997-09-15	PRIJEM	VKLAD	48369	89737	\N	\N	\N
413969	1407	1997-06-01	PRIJEM	VKLAD	39001	109800	\N	\N	\N
413970	1407	1997-10-14	PRIJEM	VKLAD	22543	73488	\N	\N	\N
413971	1407	1997-05-30	PRIJEM	VKLAD	8817	70765	\N	\N	\N
413974	1407	1997-11-21	PRIJEM	VKLAD	32463	101149	\N	\N	\N
413975	1407	1997-08-23	PRIJEM	VKLAD	48743	79510	\N	\N	\N
413976	1407	1998-07-17	PRIJEM	VKLAD	42651	107985	\N	\N	\N
413977	1407	1998-12-22	PRIJEM	VKLAD	48788	123258	\N	\N	\N
413978	1407	1998-12-14	PRIJEM	VKLAD	16799	110125	\N	\N	\N
413979	1407	1998-10-31	PRIJEM	VKLAD	46413	116179	\N	\N	\N
413980	1407	1998-12-26	PRIJEM	VKLAD	43078	136536	\N	\N	\N
413981	1407	1998-01-18	PRIJEM	VKLAD	36855	75254	\N	\N	\N
413982	1407	1998-01-23	PRIJEM	VKLAD	37414	112668	\N	\N	\N
413983	1407	1998-01-02	PRIJEM	VKLAD	34060	115711	\N	\N	\N
413984	1407	1998-04-01	PRIJEM	VKLAD	40930	95374	\N	\N	\N
413985	1407	1998-12-17	PRIJEM	VKLAD	8773	104016	\N	\N	\N
413986	1407	1998-07-13	PRIJEM	VKLAD	20967	115316	\N	\N	\N
413987	1407	1998-06-16	PRIJEM	VKLAD	32683	89972	\N	\N	\N
413988	1407	1998-05-05	PRIJEM	VKLAD	43347	108106	\N	\N	\N
413989	1407	1998-12-06	PRIJEM	VKLAD	28811	98554	\N	\N	\N
413990	1407	1998-04-20	PRIJEM	VKLAD	5888	58726	\N	\N	\N
413991	1407	1998-08-20	PRIJEM	VKLAD	28153	84386	\N	\N	\N
413992	1407	1998-04-02	PRIJEM	VKLAD	13173	108547	\N	\N	\N
413993	1407	1998-10-02	PRIJEM	VKLAD	32569	97979	\N	\N	\N
413994	1407	1998-07-06	PRIJEM	VKLAD	42562	121271	\N	\N	\N
413995	1407	1998-10-23	PRIJEM	VKLAD	23921	94190	\N	\N	\N
413996	1407	1998-05-27	PRIJEM	VKLAD	26457	84687	\N	\N	\N
413997	1407	1998-04-20	PRIJEM	VKLAD	29471	88197	\N	\N	\N
413998	1407	1998-01-03	PRIJEM	VKLAD	35823	92934	\N	\N	\N
413999	1407	1998-07-31	PRIJEM	VKLAD	18514	105651	\N	\N	\N
414000	1407	1998-03-08	PRIJEM	VKLAD	24948	89823	\N	\N	\N
414006	1407	1997-06-04	VYDAJ	VYBER	4900	56100	\N	\N	0
414007	1407	1997-07-16	VYDAJ	VYBER	4300	45148	\N	\N	0
414008	1407	1997-08-16	VYDAJ	VYBER	5100	53900	\N	\N	0
414009	1407	1997-09-07	VYDAJ	VYBER	4600	75050	\N	\N	0
414010	1407	1997-10-18	VYDAJ	VYBER	3800	54806	\N	\N	0
414011	1407	1997-11-22	VYDAJ	VYBER	3500	88997	\N	\N	0
414012	1407	1997-12-16	VYDAJ	VYBER	6000	88286	\N	\N	0
414013	1407	1998-01-12	VYDAJ	VYBER	5900	71434	\N	\N	0
414014	1407	1998-02-12	VYDAJ	PREVOD NA UCET	5228	68587	UVER	UV	51198023
414015	1407	1998-03-12	VYDAJ	PREVOD NA UCET	5228	84596	UVER	UV	51198023
414016	1407	1998-04-12	VYDAJ	PREVOD NA UCET	5228	70420	UVER	UV	51198023
414017	1407	1998-05-12	VYDAJ	PREVOD NA UCET	5228	83878	UVER	UV	51198023
414018	1407	1998-06-12	VYDAJ	PREVOD NA UCET	5228	72171	UVER	UV	51198023
414019	1407	1998-07-12	VYDAJ	PREVOD NA UCET	5228	94349	UVER	UV	51198023
414020	1407	1998-08-12	VYDAJ	PREVOD NA UCET	5228	71115	UVER	UV	51198023
414021	1407	1998-09-12	VYDAJ	PREVOD NA UCET	5228	80088	UVER	UV	51198023
414022	1407	1998-10-12	VYDAJ	PREVOD NA UCET	5228	85151	UVER	UV	51198023
414023	1407	1998-11-12	VYDAJ	PREVOD NA UCET	5228	75425	UVER	UV	51198023
414024	1407	1998-12-12	VYDAJ	PREVOD NA UCET	5228	93326	UVER	UV	51198023
414030	1407	1997-06-14	VYDAJ	PREVOD NA UCET	14882	26118	SIPO	ST	30396717
414031	1407	1997-07-14	VYDAJ	PREVOD NA UCET	14882	49448	SIPO	ST	30396717
414032	1407	1997-08-14	VYDAJ	PREVOD NA UCET	14882	59000	SIPO	ST	30396717
414033	1407	1997-09-14	VYDAJ	PREVOD NA UCET	14882	41368	SIPO	ST	30396717
414034	1407	1997-10-14	VYDAJ	PREVOD NA UCET	14882	58606	SIPO	ST	30396717
414035	1407	1997-11-14	VYDAJ	PREVOD NA UCET	14882	68686	SIPO	ST	30396717
414036	1407	1997-12-14	VYDAJ	PREVOD NA UCET	14882	94286	SIPO	ST	30396717
414037	1407	1998-01-14	VYDAJ	PREVOD NA UCET	14882	50852	SIPO	ST	30396717
414038	1407	1998-02-14	VYDAJ	PREVOD NA UCET	14882	53705	SIPO	ST	30396717
414039	1407	1998-03-14	VYDAJ	PREVOD NA UCET	14882	69714	SIPO	ST	30396717
414040	1407	1998-04-14	VYDAJ	PREVOD NA UCET	14882	52838	SIPO	ST	30396717
414041	1407	1998-05-14	VYDAJ	PREVOD NA UCET	14882	68996	SIPO	ST	30396717
414042	1407	1998-06-14	VYDAJ	PREVOD NA UCET	14882	57289	SIPO	ST	30396717
414043	1407	1998-07-14	VYDAJ	PREVOD NA UCET	14882	65334	SIPO	ST	30396717
414044	1407	1998-08-14	VYDAJ	PREVOD NA UCET	14882	56233	SIPO	ST	30396717
414045	1407	1998-09-14	VYDAJ	PREVOD NA UCET	14882	65206	SIPO	ST	30396717
414046	1407	1998-10-14	VYDAJ	PREVOD NA UCET	14882	70269	SIPO	ST	30396717
414047	1407	1998-11-14	VYDAJ	PREVOD NA UCET	14882	50343	SIPO	ST	30396717
414048	1407	1998-12-14	VYDAJ	PREVOD NA UCET	14882	95243	SIPO	ST	30396717
414049	1407	1997-08-17	VYBER	VYBER	23133	30767	\N	\N	\N
414053	1407	1998-11-14	VYBER	VYBER	10200	65225	\N	\N	\N
414054	1407	1998-04-29	VYBER	VYBER	23640	64557	\N	\N	\N
414055	1407	1998-01-17	VYBER	VYBER	3753	38399	\N	\N	\N
414056	1407	1998-08-03	VYBER	VYBER	17644	88312	\N	\N	\N
414057	1407	1998-11-01	VYBER	VYBER	4070	81253	\N	\N	\N
414058	1407	1998-07-08	VYBER	VYBER	2995	99576	\N	\N	\N
414059	1407	1998-03-29	VYBER	VYBER	13653	56061	\N	\N	\N
414060	1407	1998-08-11	VYBER	VYBER	5069	76343	\N	\N	\N
414061	1407	1998-05-25	VYBER	VYBER	10766	58230	\N	\N	\N
414062	1407	1998-10-28	VYBER	VYBER	15124	79066	\N	\N	\N
414063	1407	1998-07-05	VYBER	VYBER	11610	78709	\N	\N	\N
414064	1407	1998-07-29	VYBER	VYBER	20848	87137	\N	\N	\N
414065	1407	1998-12-18	VYBER	VYBER	23246	74470	\N	\N	\N
414066	1407	1997-06-01	VYDAJ	VYBER	9900	61000	\N	\N	\N
414068	1407	1997-12-02	VYDAJ	VYBER	1800	87454	\N	\N	\N
414069	1407	1998-12-17	VYDAJ	VYBER	6300	97716	\N	\N	\N
414076	1407	1998-01-10	VYDAJ	VYBER	2100	77334	\N	\N	\N
414077	1407	1998-01-08	VYDAJ	VYBER	2100	79434	\N	\N	\N
414078	1407	1998-01-13	VYDAJ	VYBER	2400	65734	\N	\N	\N
414079	1407	1998-01-13	VYDAJ	VYBER	3300	68134	\N	\N	\N
414080	1407	1998-01-14	VYDAJ	VYBER	8700	42152	\N	\N	\N
414081	1407	1998-01-28	VYDAJ	VYBER	1500	111168	\N	\N	\N
414085	1407	1997-12-20	VYDAJ	VYBER	6900	81386	\N	\N	\N
414086	1407	1998-10-28	VYDAJ	VYBER	9300	69766	\N	\N	\N
414087	1407	1998-03-30	VYDAJ	VYBER	1800	54261	\N	\N	\N
414088	1407	1998-06-07	VYDAJ	VYBER	4500	77399	\N	\N	\N
414089	1407	1998-04-14	VYDAJ	VYBER	2700	67720	\N	\N	\N
414095	1407	1997-05-31	VYDAJ	VYBER	100	70799	SLUZBY	\N	\N
414096	1407	1997-06-30	VYDAJ	VYBER	100	96230	SLUZBY	\N	\N
414097	1407	1997-07-31	VYDAJ	VYBER	100	45326	SLUZBY	\N	\N
414098	1407	1997-08-31	VYDAJ	VYBER	100	79650	SLUZBY	\N	\N
414099	1407	1997-09-30	VYDAJ	VYBER	100	89966	SLUZBY	\N	\N
414100	1407	1997-10-31	VYDAJ	VYBER	100	94253	SLUZBY	\N	\N
414101	1407	1997-11-30	VYDAJ	VYBER	100	89254	SLUZBY	\N	\N
414102	1407	1997-12-31	VYDAJ	VYBER	100	81651	SLUZBY	\N	\N
414103	1407	1998-01-31	VYDAJ	VYBER	100	79914	SLUZBY	\N	\N
414104	1407	1998-02-28	VYDAJ	VYBER	100	53875	SLUZBY	\N	\N
414105	1407	1998-03-31	VYDAJ	VYBER	100	54444	SLUZBY	\N	\N
414106	1407	1998-04-30	VYDAJ	VYBER	100	64759	SLUZBY	\N	\N
414107	1407	1998-05-31	VYDAJ	VYBER	100	84899	SLUZBY	\N	\N
414108	1407	1998-06-30	VYDAJ	VYBER	100	90219	SLUZBY	\N	\N
414109	1407	1998-07-31	VYDAJ	VYBER	100	105956	SLUZBY	\N	\N
414110	1407	1998-08-31	VYDAJ	VYBER	100	84615	SLUZBY	\N	\N
414111	1407	1998-09-30	VYDAJ	VYBER	100	65410	SLUZBY	\N	\N
414112	1407	1998-10-31	VYDAJ	VYBER	100	116423	SLUZBY	\N	\N
414113	1407	1998-11-30	VYDAJ	VYBER	100	50543	SLUZBY	\N	\N
414114	1407	1997-05-11	VYDAJ	VYBER	800	28345	\N	\N	\N
414115	1407	1997-06-01	VYDAJ	VYBER	38900	70900	\N	\N	\N
414116	1407	1997-06-10	VYDAJ	VYBER	15100	41000	\N	\N	\N
414117	1407	1997-07-10	VYDAJ	VYBER	31900	64330	\N	\N	\N
414118	1407	1997-08-09	VYDAJ	VYBER	21300	62582	\N	\N	\N
414119	1407	1997-09-08	VYDAJ	VYBER	18800	56250	\N	\N	\N
414120	1407	1997-10-08	VYDAJ	VYBER	64700	50945	\N	\N	\N
414121	1407	1997-10-08	PRIJEM	VKLAD	3800	93766	\N	\N	\N
414122	1407	1997-11-07	VYDAJ	VYBER	16600	77653	\N	\N	\N
414123	1407	1997-11-21	VYDAJ	VYBER	51200	92497	\N	\N	\N
414124	1407	1997-12-07	VYDAJ	VYBER	11800	75654	\N	\N	\N
414125	1407	1998-01-02	VYDAJ	VYBER	58600	57111	\N	\N	\N
414126	1407	1998-01-06	VYDAJ	VYBER	11400	81534	\N	\N	\N
414127	1407	1998-01-28	VYDAJ	VYBER	31500	79668	\N	\N	\N
414128	1407	1998-02-05	VYDAJ	VYBER	6100	73814	\N	\N	\N
414129	1407	1998-03-07	PRIJEM	VKLAD	11000	64875	\N	\N	\N
414130	1407	1998-04-02	VYDAJ	VYBER	35000	73547	\N	\N	\N
414131	1407	1998-04-06	PRIJEM	VKLAD	2100	75647	\N	\N	\N
414132	1407	1998-05-06	VYDAJ	VYBER	19000	89106	\N	\N	\N
414133	1407	1998-06-05	VYDAJ	VYBER	3000	81899	\N	\N	\N
414134	1407	1998-07-05	PRIJEM	VKLAD	100	90319	\N	\N	\N
414135	1407	1998-07-06	VYDAJ	VYBER	18700	102571	\N	\N	\N
414136	1407	1998-07-13	VYDAJ	VYBER	35100	80216	\N	\N	\N
414137	1407	1998-08-04	VYDAJ	VYBER	6900	81412	\N	\N	\N
414138	1407	1998-09-03	PRIJEM	VKLAD	700	85315	\N	\N	\N
414139	1407	1998-10-03	VYDAJ	VYBER	7600	90379	\N	\N	\N
414140	1407	1998-10-31	VYDAJ	VYBER	31100	85323	\N	\N	\N
414141	1407	1998-11-02	VYDAJ	VYBER	600	80653	\N	\N	\N
414142	1407	1998-12-02	PRIJEM	VKLAD	19200	69743	\N	\N	\N
414143	1407	1998-12-22	VYDAJ	VYBER	29800	93458	\N	\N	\N
414144	1407	1998-12-26	VYDAJ	VYBER	62700	73836	\N	\N	\N
414166	1408	1996-09-07	PRIJEM	VKLAD	200	200	\N	\N	\N
414175	1408	1996-09-12	PRIJEM	PREVOD Z UCTU	36880	37080	\N	AB	97392367
414176	1408	1996-10-12	PRIJEM	PREVOD Z UCTU	36880	64758	\N	AB	97392367
414177	1408	1996-11-12	PRIJEM	PREVOD Z UCTU	36880	80867	\N	AB	97392367
414178	1408	1996-12-12	PRIJEM	PREVOD Z UCTU	55320	104899	\N	AB	97392367
414179	1408	1997-01-12	PRIJEM	PREVOD Z UCTU	36880	80981	\N	AB	97392367
414180	1408	1997-02-12	PRIJEM	PREVOD Z UCTU	36880	78799	\N	AB	97392367
414181	1408	1997-03-12	PRIJEM	PREVOD Z UCTU	36880	85377	\N	AB	97392367
414182	1408	1997-04-12	PRIJEM	PREVOD Z UCTU	36880	89408	\N	AB	97392367
414183	1408	1997-05-12	PRIJEM	PREVOD Z UCTU	36880	90036	\N	AB	97392367
414184	1408	1997-06-12	PRIJEM	PREVOD Z UCTU	55320	88283	\N	AB	97392367
414185	1408	1997-07-12	PRIJEM	PREVOD Z UCTU	36880	93171	\N	AB	97392367
414186	1408	1997-08-12	PRIJEM	PREVOD Z UCTU	36880	93406	\N	AB	97392367
414187	1408	1997-09-12	PRIJEM	PREVOD Z UCTU	36880	91249	\N	AB	97392367
414188	1408	1997-10-12	PRIJEM	PREVOD Z UCTU	36880	100149	\N	AB	97392367
414189	1408	1997-11-12	PRIJEM	PREVOD Z UCTU	36880	103619	\N	AB	97392367
414190	1408	1997-12-12	PRIJEM	PREVOD Z UCTU	55320	123851	\N	AB	97392367
414191	1408	1998-01-12	PRIJEM	PREVOD Z UCTU	36880	91255	\N	AB	97392367
414192	1408	1998-02-12	PRIJEM	PREVOD Z UCTU	36880	59965	\N	AB	97392367
414193	1408	1998-03-12	PRIJEM	PREVOD Z UCTU	36880	72631	\N	AB	97392367
414194	1408	1998-04-12	PRIJEM	PREVOD Z UCTU	36880	79946	\N	AB	97392367
414195	1408	1998-05-12	PRIJEM	PREVOD Z UCTU	36880	90792	\N	AB	97392367
414196	1408	1998-06-12	PRIJEM	PREVOD Z UCTU	55320	105205	\N	AB	97392367
414197	1408	1998-07-12	PRIJEM	PREVOD Z UCTU	36880	104813	\N	AB	97392367
414198	1408	1998-08-12	PRIJEM	PREVOD Z UCTU	36880	93886	\N	AB	97392367
414199	1408	1998-09-12	PRIJEM	PREVOD Z UCTU	36880	97474	\N	AB	97392367
414200	1408	1998-10-12	PRIJEM	PREVOD Z UCTU	36880	108596	\N	AB	97392367
414201	1408	1998-11-12	PRIJEM	PREVOD Z UCTU	36880	70301	\N	AB	97392367
414202	1408	1998-12-12	PRIJEM	PREVOD Z UCTU	55320	96999	\N	AB	97392367
414208	1408	1997-03-19	VYBER	VYBER	2776	82601	\N	\N	\N
414209	1408	1997-06-06	VYBER	VYBER	24633	32963	\N	\N	\N
414210	1408	1998-01-09	VYBER	VYBER	2234	59475	\N	\N	\N
414211	1408	1998-08-12	VYBER	VYBER	8174	85712	\N	\N	\N
414212	1408	1998-05-19	VYBER	VYBER	14088	76704	\N	\N	\N
414213	1408	1998-11-04	VYBER	VYBER	18915	53738	\N	\N	\N
414214	1408	1998-08-03	VYBER	VYBER	6276	57006	\N	\N	\N
414215	1408	1998-11-10	VYBER	VYBER	20317	33421	\N	\N	\N
414216	1408	1998-01-19	VYBER	VYBER	20258	34397	\N	\N	\N
414217	1408	1998-12-05	VYBER	VYBER	20385	41679	\N	\N	\N
414218	1408	1998-10-23	VYBER	VYBER	15937	92659	\N	\N	\N
414220	1408	1998-07-25	VYBER	VYBER	17206	87607	\N	\N	\N
414226	1408	1998-01-18	VYDAJ	VYBER	26400	54655	\N	\N	\N
414228	1408	1997-12-11	VYDAJ	VYBER	2400	68531	\N	\N	\N
414229	1408	1998-12-24	VYDAJ	VYBER KARTOU	5400	91599	\N	\N	0
414236	1408	1997-01-23	VYDAJ	VYBER	2700	72281	\N	\N	\N
414237	1408	1997-01-13	VYDAJ	VYBER	2400	78581	\N	\N	\N
414238	1408	1997-01-18	VYDAJ	VYBER	3600	74981	\N	\N	\N
414240	1408	1997-01-24	VYDAJ	VYBER	3600	68681	\N	\N	\N
414242	1408	1998-01-13	VYDAJ	VYBER KARTOU	5700	81055	\N	\N	0
414243	1408	1998-01-12	VYDAJ	VYBER KARTOU	4500	86755	\N	\N	0
414244	1408	1998-01-09	VYDAJ	VYBER KARTOU	5100	54375	\N	\N	0
414252	1408	1997-07-20	VYDAJ	VYBER	7500	85671	\N	\N	\N
414253	1408	1997-09-03	VYDAJ	VYBER	9300	54369	\N	\N	\N
414255	1408	1998-03-13	VYDAJ	VYBER	8100	64531	\N	\N	\N
414256	1408	1998-05-06	VYDAJ	VYBER KARTOU	2400	53912	\N	\N	0
414257	1408	1998-01-19	VYDAJ	VYBER	10800	23597	\N	\N	\N
414258	1408	1998-05-31	VYDAJ	VYBER KARTOU	7800	49885	\N	\N	0
414260	1408	1998-08-16	VYDAJ	VYBER	10200	75512	\N	\N	\N
414261	1408	1998-03-09	VYDAJ	VYBER KARTOU	6900	35751	\N	\N	0
414275	1408	1997-01-31	VYDAJ	VYBER	15	69019	SLUZBY	\N	\N
414276	1408	1997-02-28	VYDAJ	VYBER	15	79097	SLUZBY	\N	\N
414277	1408	1997-03-31	VYDAJ	VYBER	15	82928	SLUZBY	\N	\N
414278	1408	1997-04-30	VYDAJ	VYBER	15	89756	SLUZBY	\N	\N
414279	1408	1997-05-31	VYDAJ	VYBER	15	90396	SLUZBY	\N	\N
414280	1408	1997-06-30	VYDAJ	VYBER	15	88591	SLUZBY	\N	\N
414281	1408	1997-07-31	VYDAJ	VYBER	15	86026	SLUZBY	\N	\N
414282	1408	1997-08-31	VYDAJ	VYBER	15	93769	SLUZBY	\N	\N
414283	1408	1997-09-30	VYDAJ	VYBER	15	91569	SLUZBY	\N	\N
414284	1408	1997-10-31	VYDAJ	VYBER	15	100539	SLUZBY	\N	\N
414285	1408	1997-11-30	VYDAJ	VYBER	15	104031	SLUZBY	\N	\N
414286	1408	1997-12-31	VYDAJ	VYBER	15	93609	SLUZBY	\N	\N
414287	1408	1998-01-31	VYDAJ	VYBER	15	23085	SLUZBY	\N	\N
414288	1408	1998-02-28	VYDAJ	VYBER	15	60051	SLUZBY	\N	\N
414289	1408	1998-03-31	VYDAJ	VYBER	15	43066	SLUZBY	\N	\N
414290	1408	1998-04-30	VYDAJ	VYBER	15	80112	SLUZBY	\N	\N
414291	1408	1998-05-31	VYDAJ	VYBER	15	57685	SLUZBY	\N	\N
414292	1408	1998-06-30	VYDAJ	VYBER	15	67933	SLUZBY	\N	\N
414293	1408	1998-07-31	VYDAJ	VYBER	15	63282	SLUZBY	\N	\N
414294	1408	1998-08-31	VYDAJ	VYBER	15	60594	SLUZBY	\N	\N
414295	1408	1998-09-30	VYDAJ	VYBER	15	71716	SLUZBY	\N	\N
414296	1408	1998-10-31	VYDAJ	VYBER	15	72653	SLUZBY	\N	\N
414297	1408	1998-11-30	VYDAJ	VYBER	15	62064	SLUZBY	\N	\N
414298	1408	1996-10-07	VYDAJ	VYBER	9300	27878	\N	\N	\N
414299	1408	1996-11-06	VYDAJ	VYBER	21000	43987	\N	\N	\N
414300	1408	1996-12-06	VYDAJ	VYBER	31600	49579	\N	\N	\N
414301	1408	1996-12-12	VYDAJ	VYBER	31100	73799	\N	\N	\N
414302	1408	1997-01-05	VYDAJ	VYBER	30100	44101	\N	\N	\N
414303	1408	1997-02-04	VYDAJ	VYBER	27100	41919	\N	\N	\N
414304	1408	1997-03-06	VYDAJ	VYBER	30600	48497	\N	\N	\N
414305	1408	1997-04-05	VYDAJ	VYBER	30400	52528	\N	\N	\N
414306	1408	1997-05-05	VYDAJ	VYBER	36600	53156	\N	\N	\N
414307	1408	1997-06-04	VYDAJ	VYBER	32800	57596	\N	\N	\N
414308	1408	1997-07-04	VYDAJ	VYBER	32300	56291	\N	\N	\N
414309	1408	1997-08-03	VYDAJ	VYBER	29500	56526	\N	\N	\N
414310	1408	1997-09-02	VYDAJ	VYBER	30100	63669	\N	\N	\N
414311	1408	1997-10-02	VYDAJ	VYBER	28300	63269	\N	\N	\N
414312	1408	1997-11-01	VYDAJ	VYBER	33800	66739	\N	\N	\N
414313	1408	1997-12-01	VYDAJ	VYBER	33100	70931	\N	\N	\N
414314	1408	1997-12-12	VYDAJ	VYBER	30700	93151	\N	\N	\N
414315	1408	1997-12-31	VYDAJ	VYBER	31900	61709	\N	\N	\N
414316	1408	1998-01-30	VYDAJ	VYBER KARTOU	700	22897	\N	\N	0
414317	1408	1998-03-01	VYDAJ	VYBER	17400	42651	\N	\N	\N
414318	1408	1998-03-31	VYDAJ	VYBER	21700	43081	\N	\N	\N
414319	1408	1998-04-30	VYDAJ	VYBER	23800	56312	\N	\N	\N
414320	1408	1998-05-30	VYDAJ	VYBER	19300	57404	\N	\N	\N
414321	1408	1998-06-29	VYDAJ	VYBER	37500	67705	\N	\N	\N
414322	1408	1998-07-29	VYDAJ	VYBER	24600	63007	\N	\N	\N
414323	1408	1998-08-28	VYDAJ	VYBER	15200	60312	\N	\N	\N
414324	1408	1998-09-27	VYDAJ	VYBER	26000	71474	\N	\N	\N
414325	1408	1998-10-27	VYDAJ	VYBER	20300	72359	\N	\N	\N
414326	1408	1998-11-26	VYDAJ	VYBER	8500	61801	\N	\N	\N
414854	1410	1993-09-11	PRIJEM	VKLAD	500	500	\N	\N	\N
414863	1410	1993-09-13	PRIJEM	VKLAD	20795	21295	\N	\N	\N
414864	1410	1993-10-13	PRIJEM	VKLAD	20795	44943	\N	\N	\N
414865	1410	1993-11-13	PRIJEM	VKLAD	20795	54887	\N	\N	\N
414866	1410	1993-12-13	PRIJEM	VKLAD	31192	71892	\N	\N	\N
414867	1410	1994-01-13	PRIJEM	VKLAD	20795	69559	\N	\N	\N
414868	1410	1994-02-13	PRIJEM	VKLAD	20795	64998	\N	\N	\N
414869	1410	1994-03-13	PRIJEM	VKLAD	20795	63910	\N	\N	\N
414870	1410	1994-04-13	PRIJEM	VKLAD	20795	65219	\N	\N	\N
414871	1410	1994-05-13	PRIJEM	VKLAD	20795	63337	\N	\N	\N
414872	1410	1994-06-13	PRIJEM	VKLAD	31192	75251	\N	\N	\N
414873	1410	1994-07-13	PRIJEM	VKLAD	20795	61972	\N	\N	\N
414874	1410	1994-08-13	PRIJEM	VKLAD	20795	62270	\N	\N	\N
414875	1410	1994-09-13	PRIJEM	VKLAD	20795	66476	\N	\N	\N
414876	1410	1994-10-13	PRIJEM	VKLAD	20795	66596	\N	\N	\N
414877	1410	1994-11-13	PRIJEM	VKLAD	20795	64822	\N	\N	\N
414878	1410	1994-12-13	PRIJEM	VKLAD	31192	73031	\N	\N	\N
414879	1410	1995-01-13	PRIJEM	VKLAD	20795	64465	\N	\N	\N
414880	1410	1995-02-13	PRIJEM	VKLAD	20795	63256	\N	\N	\N
414881	1410	1995-03-13	PRIJEM	VKLAD	20795	65861	\N	\N	\N
414882	1410	1995-04-13	PRIJEM	VKLAD	20795	68665	\N	\N	\N
414883	1410	1995-05-13	PRIJEM	VKLAD	20795	69595	\N	\N	\N
414884	1410	1995-06-13	PRIJEM	VKLAD	31192	52529	\N	\N	\N
414885	1410	1995-07-13	PRIJEM	VKLAD	20795	64011	\N	\N	\N
414886	1410	1995-08-13	PRIJEM	VKLAD	20795	68400	\N	\N	\N
414887	1410	1995-09-13	PRIJEM	VKLAD	20795	72420	\N	\N	\N
414888	1410	1995-10-13	PRIJEM	VKLAD	20795	74764	\N	\N	\N
414889	1410	1995-11-13	PRIJEM	VKLAD	20795	73717	\N	\N	\N
414890	1410	1995-12-13	PRIJEM	VKLAD	31192	85736	\N	\N	\N
414891	1410	1996-01-13	PRIJEM	VKLAD	20795	76587	\N	\N	\N
414892	1410	1996-02-13	PRIJEM	VKLAD	20795	75421	\N	\N	\N
414893	1410	1996-03-13	PRIJEM	VKLAD	20795	77346	\N	\N	\N
414894	1410	1996-04-13	PRIJEM	VKLAD	20795	78579	\N	\N	\N
414895	1410	1996-05-13	PRIJEM	VKLAD	20795	69815	\N	\N	\N
414896	1410	1996-06-13	PRIJEM	VKLAD	31192	84822	\N	\N	\N
414897	1410	1996-07-13	PRIJEM	VKLAD	20795	55652	\N	\N	\N
414898	1410	1996-08-13	PRIJEM	VKLAD	20795	70705	\N	\N	\N
414899	1410	1996-09-13	PRIJEM	VKLAD	20795	76908	\N	\N	\N
414900	1410	1996-10-13	PRIJEM	VKLAD	20795	77830	\N	\N	\N
414901	1410	1996-11-13	PRIJEM	VKLAD	20795	79956	\N	\N	\N
414902	1410	1996-12-13	PRIJEM	VKLAD	31192	94989	\N	\N	\N
414903	1410	1997-01-13	PRIJEM	VKLAD	20795	87659	\N	\N	\N
414904	1410	1997-02-13	PRIJEM	VKLAD	20795	79911	\N	\N	\N
414905	1410	1997-03-13	PRIJEM	VKLAD	20795	82841	\N	\N	\N
414906	1410	1997-04-13	PRIJEM	VKLAD	20795	86687	\N	\N	\N
414907	1410	1997-05-13	PRIJEM	VKLAD	20795	86645	\N	\N	\N
414908	1410	1997-06-13	PRIJEM	VKLAD	31192	104306	\N	\N	\N
414909	1410	1997-07-13	PRIJEM	VKLAD	20795	83992	\N	\N	\N
414910	1410	1997-08-13	PRIJEM	VKLAD	20795	91043	\N	\N	\N
414911	1410	1997-09-13	PRIJEM	VKLAD	20795	89215	\N	\N	\N
414912	1410	1997-10-13	PRIJEM	VKLAD	20795	93190	\N	\N	\N
414913	1410	1997-11-13	PRIJEM	VKLAD	20795	90063	\N	\N	\N
414914	1410	1997-12-13	PRIJEM	VKLAD	31192	99426	\N	\N	\N
414915	1410	1998-01-13	PRIJEM	VKLAD	20795	93815	\N	\N	\N
414916	1410	1998-02-13	PRIJEM	VKLAD	20795	97803	\N	\N	\N
414917	1410	1998-03-13	PRIJEM	VKLAD	20795	99699	\N	\N	\N
414918	1410	1998-04-13	PRIJEM	VKLAD	20795	98710	\N	\N	\N
414919	1410	1998-05-13	PRIJEM	VKLAD	20795	99520	\N	\N	\N
414920	1410	1998-06-13	PRIJEM	VKLAD	31192	109922	\N	\N	\N
414921	1410	1998-07-13	PRIJEM	VKLAD	20795	93300	\N	\N	\N
414922	1410	1998-08-13	PRIJEM	VKLAD	20795	92264	\N	\N	\N
414923	1410	1998-09-13	PRIJEM	VKLAD	20795	93726	\N	\N	\N
414924	1410	1998-10-13	PRIJEM	VKLAD	20795	100805	\N	\N	\N
414925	1410	1998-11-13	PRIJEM	VKLAD	20795	99004	\N	\N	\N
414926	1410	1998-12-13	PRIJEM	VKLAD	31192	109901	\N	\N	\N
414939	1410	1994-01-14	VYDAJ	PREVOD NA UCET	3816	64243	SIPO	KL	63791805
414940	1410	1994-02-14	VYDAJ	PREVOD NA UCET	3816	61182	SIPO	KL	63791805
414941	1410	1994-03-14	VYDAJ	PREVOD NA UCET	3816	60094	SIPO	KL	63791805
414942	1410	1994-04-14	VYDAJ	PREVOD NA UCET	3816	61403	SIPO	KL	63791805
414943	1410	1994-05-14	VYDAJ	PREVOD NA UCET	3816	59521	SIPO	KL	63791805
414944	1410	1994-06-14	VYDAJ	PREVOD NA UCET	3816	71435	SIPO	KL	63791805
414945	1410	1994-07-14	VYDAJ	PREVOD NA UCET	3816	58156	SIPO	KL	63791805
414946	1410	1994-08-14	VYDAJ	PREVOD NA UCET	3816	58454	SIPO	KL	63791805
414947	1410	1994-09-14	VYDAJ	PREVOD NA UCET	3816	62660	SIPO	KL	63791805
414948	1410	1994-10-14	VYDAJ	PREVOD NA UCET	3816	62780	SIPO	KL	63791805
414949	1410	1994-11-14	VYDAJ	PREVOD NA UCET	3816	61006	SIPO	KL	63791805
414950	1410	1994-12-14	VYDAJ	PREVOD NA UCET	3816	69215	SIPO	KL	63791805
414951	1410	1995-01-14	VYDAJ	PREVOD NA UCET	3816	60649	SIPO	KL	63791805
414952	1410	1995-02-14	VYDAJ	PREVOD NA UCET	3816	59440	SIPO	KL	63791805
414953	1410	1995-03-14	VYDAJ	PREVOD NA UCET	3816	62045	SIPO	KL	63791805
414954	1410	1995-04-14	VYDAJ	PREVOD NA UCET	3816	64849	SIPO	KL	63791805
414955	1410	1995-05-14	VYDAJ	PREVOD NA UCET	3816	65779	SIPO	KL	63791805
414956	1410	1995-06-14	VYDAJ	PREVOD NA UCET	3816	48713	SIPO	KL	63791805
414957	1410	1995-07-14	VYDAJ	PREVOD NA UCET	3816	60195	SIPO	KL	63791805
414958	1410	1995-08-14	VYDAJ	PREVOD NA UCET	3816	64584	SIPO	KL	63791805
414959	1410	1995-09-14	VYDAJ	PREVOD NA UCET	3816	68604	SIPO	KL	63791805
414960	1410	1995-10-14	VYDAJ	PREVOD NA UCET	3816	70948	SIPO	KL	63791805
414961	1410	1995-11-14	VYDAJ	PREVOD NA UCET	3816	69901	SIPO	KL	63791805
414962	1410	1995-12-14	VYDAJ	PREVOD NA UCET	3816	81920	SIPO	KL	63791805
414963	1410	1996-01-14	VYDAJ	PREVOD NA UCET	3816	72771	SIPO	KL	63791805
414964	1410	1996-02-14	VYDAJ	PREVOD NA UCET	3816	71605	SIPO	KL	63791805
414965	1410	1996-03-14	VYDAJ	PREVOD NA UCET	3816	73530	SIPO	KL	63791805
414966	1410	1996-04-14	VYDAJ	PREVOD NA UCET	3816	74763	SIPO	KL	63791805
414967	1410	1996-05-14	VYDAJ	PREVOD NA UCET	3816	65999	SIPO	KL	63791805
414968	1410	1996-06-14	VYDAJ	PREVOD NA UCET	3816	81006	SIPO	KL	63791805
414969	1410	1996-07-14	VYDAJ	PREVOD NA UCET	3816	51836	SIPO	KL	63791805
414970	1410	1996-08-14	VYDAJ	PREVOD NA UCET	3816	66889	SIPO	KL	63791805
414971	1410	1996-09-14	VYDAJ	PREVOD NA UCET	3816	73092	SIPO	KL	63791805
414972	1410	1996-10-14	VYDAJ	PREVOD NA UCET	3816	74014	SIPO	KL	63791805
414973	1410	1996-11-14	VYDAJ	PREVOD NA UCET	3816	76140	SIPO	KL	63791805
414974	1410	1996-12-14	VYDAJ	PREVOD NA UCET	3816	91173	SIPO	KL	63791805
414975	1410	1997-01-14	VYDAJ	PREVOD NA UCET	3816	83843	SIPO	KL	63791805
414976	1410	1997-02-14	VYDAJ	PREVOD NA UCET	3816	76095	SIPO	KL	63791805
414977	1410	1997-03-14	VYDAJ	PREVOD NA UCET	3816	79025	SIPO	KL	63791805
414978	1410	1997-04-14	VYDAJ	PREVOD NA UCET	3816	82871	SIPO	KL	63791805
414979	1410	1997-05-14	VYDAJ	PREVOD NA UCET	3816	82829	SIPO	KL	63791805
414980	1410	1997-06-14	VYDAJ	PREVOD NA UCET	3816	100490	SIPO	KL	63791805
414981	1410	1997-07-14	VYDAJ	PREVOD NA UCET	3816	80176	SIPO	KL	63791805
414982	1410	1997-08-14	VYDAJ	PREVOD NA UCET	3816	87227	SIPO	KL	63791805
414983	1410	1997-09-14	VYDAJ	PREVOD NA UCET	3816	85399	SIPO	KL	63791805
414984	1410	1997-10-14	VYDAJ	PREVOD NA UCET	3816	89374	SIPO	KL	63791805
414985	1410	1997-11-14	VYDAJ	PREVOD NA UCET	3816	86247	SIPO	KL	63791805
414986	1410	1997-12-14	VYDAJ	PREVOD NA UCET	3816	95610	SIPO	KL	63791805
414987	1410	1998-01-14	VYDAJ	PREVOD NA UCET	3816	87799	SIPO	KL	63791805
414988	1410	1998-02-14	VYDAJ	PREVOD NA UCET	3816	93987	SIPO	KL	63791805
414989	1410	1998-03-14	VYDAJ	PREVOD NA UCET	3816	95883	SIPO	KL	63791805
414990	1410	1998-04-14	VYDAJ	PREVOD NA UCET	3816	94894	SIPO	KL	63791805
414991	1410	1998-05-14	VYDAJ	PREVOD NA UCET	3816	95704	SIPO	KL	63791805
414992	1410	1998-06-14	VYDAJ	PREVOD NA UCET	3816	106106	SIPO	KL	63791805
414993	1410	1998-07-14	VYDAJ	PREVOD NA UCET	3816	89484	SIPO	KL	63791805
414994	1410	1998-08-14	VYDAJ	PREVOD NA UCET	3816	88448	SIPO	KL	63791805
414995	1410	1998-09-14	VYDAJ	PREVOD NA UCET	3816	89910	SIPO	KL	63791805
414996	1410	1998-10-14	VYDAJ	PREVOD NA UCET	3816	96989	SIPO	KL	63791805
414997	1410	1998-11-14	VYDAJ	PREVOD NA UCET	3816	78388	SIPO	KL	63791805
414998	1410	1998-12-14	VYDAJ	PREVOD NA UCET	3816	89685	SIPO	KL	63791805
415000	1410	1994-06-22	VYDAJ	VYBER	17500	53935	\N	\N	\N
415001	1410	1995-06-11	VYDAJ	VYBER	29600	21337	\N	\N	\N
415002	1410	1996-06-28	VYDAJ	VYBER	24400	37006	\N	\N	\N
415003	1410	1997-06-23	VYDAJ	VYBER	20100	62890	\N	\N	\N
415004	1410	1998-06-15	VYDAJ	VYBER	24900	81206	\N	\N	\N
415007	1410	1995-01-02	VYDAJ	VYBER	8300	57170	\N	\N	\N
415008	1410	1996-01-02	VYDAJ	VYBER	1500	59992	\N	\N	\N
415009	1410	1997-01-17	VYDAJ	VYBER	5500	75843	\N	\N	\N
415010	1410	1998-01-01	VYDAJ	VYBER	1000	77820	\N	\N	\N
415012	1410	1994-12-29	VYDAJ	VYBER	1100	68115	\N	\N	\N
415013	1410	1995-12-12	VYDAJ	VYBER	1900	54544	\N	\N	\N
415014	1410	1996-12-20	VYDAJ	VYBER	800	90373	\N	\N	\N
415015	1410	1997-12-17	VYDAJ	VYBER	1400	94210	\N	\N	\N
415016	1410	1998-12-26	VYDAJ	VYBER	1100	88585	\N	\N	\N
415023	1410	1994-01-20	VYDAJ	VYBER	2700	61543	\N	\N	\N
415024	1410	1994-01-22	VYDAJ	VYBER	1100	60443	\N	\N	\N
415029	1410	1995-01-09	VYDAJ	VYBER	1800	43670	\N	\N	\N
415030	1410	1995-01-25	VYDAJ	VYBER	1400	55249	\N	\N	\N
415031	1410	1995-01-22	VYDAJ	VYBER	1300	57449	\N	\N	\N
415032	1410	1995-01-25	VYDAJ	VYBER	800	56649	\N	\N	\N
415033	1410	1995-01-01	VYDAJ	VYBER	2900	65470	\N	\N	\N
415034	1410	1995-01-20	VYDAJ	VYBER	1900	58749	\N	\N	\N
415035	1410	1996-01-11	VYDAJ	VYBER	900	58192	\N	\N	\N
415036	1410	1996-01-18	VYDAJ	VYBER	800	71971	\N	\N	\N
415037	1410	1996-01-19	VYDAJ	VYBER	2000	69971	\N	\N	\N
415038	1410	1996-01-12	VYDAJ	VYBER	2400	55792	\N	\N	\N
415039	1410	1996-01-08	VYDAJ	VYBER	900	59092	\N	\N	\N
415040	1410	1996-01-21	VYDAJ	VYBER	900	69071	\N	\N	\N
415041	1410	1997-01-27	VYDAJ	VYBER	1300	60843	\N	\N	\N
415042	1410	1997-01-11	VYDAJ	VYBER	800	66864	\N	\N	\N
415043	1410	1997-01-15	VYDAJ	VYBER	2500	81343	\N	\N	\N
415044	1410	1997-01-06	VYDAJ	VYBER	2100	67664	\N	\N	\N
415045	1410	1997-01-20	VYDAJ	VYBER	1400	74443	\N	\N	\N
415046	1410	1997-01-30	VYDAJ	VYBER	2000	58843	\N	\N	\N
415047	1410	1998-01-09	VYDAJ	VYBER	800	73020	\N	\N	\N
415048	1410	1998-01-17	VYDAJ	VYBER	1200	86599	\N	\N	\N
415049	1410	1998-01-09	VYDAJ	VYBER	2400	73820	\N	\N	\N
415050	1410	1998-01-13	VYDAJ	VYBER	2200	91615	\N	\N	\N
415051	1410	1998-01-22	VYDAJ	VYBER	1300	76699	\N	\N	\N
415052	1410	1998-01-07	VYDAJ	VYBER	1600	76220	\N	\N	\N
415060	1410	1994-01-14	VYDAJ	VYBER	1500	68059	\N	\N	\N
415061	1410	1994-12-11	VYDAJ	VYBER	2800	41839	\N	\N	\N
415062	1410	1994-11-09	VYDAJ	VYBER	2000	44027	\N	\N	\N
415063	1410	1994-03-26	VYDAJ	VYBER	600	59494	\N	\N	\N
415064	1410	1994-07-21	VYDAJ	VYBER	1400	56756	\N	\N	\N
415065	1410	1994-02-20	VYDAJ	VYBER	4900	56282	\N	\N	\N
415066	1410	1995-03-06	VYDAJ	VYBER	2800	45066	\N	\N	\N
415067	1410	1995-05-25	VYDAJ	VYBER	700	65079	\N	\N	\N
415068	1410	1995-07-16	VYDAJ	VYBER	3800	56395	\N	\N	\N
415069	1410	1995-03-04	VYDAJ	VYBER	500	59166	\N	\N	\N
415070	1410	1995-12-18	VYDAJ	VYBER	4600	77320	\N	\N	\N
415071	1410	1996-11-22	VYDAJ	VYBER	1400	74740	\N	\N	\N
415072	1410	1996-07-07	VYDAJ	VYBER	2400	34857	\N	\N	\N
415073	1410	1996-05-02	VYDAJ	VYBER	3000	52920	\N	\N	\N
415074	1410	1996-05-02	VYDAJ	VYBER	3900	49020	\N	\N	\N
415075	1410	1997-12-11	VYDAJ	VYBER	3400	68234	\N	\N	\N
415076	1410	1997-04-26	VYDAJ	VYBER	4300	65571	\N	\N	\N
415077	1410	1997-10-29	VYDAJ	VYBER	3000	68974	\N	\N	\N
415078	1410	1997-08-17	VYDAJ	VYBER	1000	86227	\N	\N	\N
415079	1410	1997-11-25	VYDAJ	VYBER	3100	71347	\N	\N	\N
415080	1410	1997-09-01	VYDAJ	VYBER	4500	68420	\N	\N	\N
415081	1410	1997-02-21	VYDAJ	VYBER	4200	71895	\N	\N	\N
415082	1410	1998-11-10	VYDAJ	VYBER	3100	78209	\N	\N	\N
415083	1410	1998-04-12	VYDAJ	VYBER	3900	77915	\N	\N	\N
415084	1410	1998-10-28	VYDAJ	VYBER	2700	80989	\N	\N	\N
415085	1410	1998-05-03	VYDAJ	VYBER	4100	78725	\N	\N	\N
415086	1410	1998-03-02	VYDAJ	VYBER	3200	78904	\N	\N	\N
415087	1410	1998-12-27	VYDAJ	VYBER	2700	85885	\N	\N	\N
415101	1410	1994-01-31	VYDAJ	VYBER	15	60703	SLUZBY	\N	\N
415102	1410	1994-02-28	VYDAJ	VYBER	15	56515	SLUZBY	\N	\N
415103	1410	1994-03-31	VYDAJ	VYBER	15	59724	SLUZBY	\N	\N
415104	1410	1994-04-30	VYDAJ	VYBER	15	61642	SLUZBY	\N	\N
415105	1410	1994-05-31	VYDAJ	VYBER	15	59759	SLUZBY	\N	\N
415106	1410	1994-06-30	VYDAJ	VYBER	15	54177	SLUZBY	\N	\N
415107	1410	1994-07-31	VYDAJ	VYBER	15	56975	SLUZBY	\N	\N
415108	1410	1994-08-31	VYDAJ	VYBER	15	58681	SLUZBY	\N	\N
415109	1410	1994-09-30	VYDAJ	VYBER	15	62901	SLUZBY	\N	\N
415110	1410	1994-10-31	VYDAJ	VYBER	15	63027	SLUZBY	\N	\N
415111	1410	1994-11-30	VYDAJ	VYBER	15	61239	SLUZBY	\N	\N
415112	1410	1994-12-31	VYDAJ	VYBER	15	68370	SLUZBY	\N	\N
415113	1410	1995-01-31	VYDAJ	VYBER	15	55461	SLUZBY	\N	\N
415114	1410	1995-02-28	VYDAJ	VYBER	15	59666	SLUZBY	\N	\N
415115	1410	1995-03-31	VYDAJ	VYBER	15	62270	SLUZBY	\N	\N
415116	1410	1995-04-30	VYDAJ	VYBER	15	65100	SLUZBY	\N	\N
415117	1410	1995-05-31	VYDAJ	VYBER	15	65337	SLUZBY	\N	\N
415118	1410	1995-06-30	VYDAJ	VYBER	15	48916	SLUZBY	\N	\N
415119	1410	1995-07-31	VYDAJ	VYBER	15	56605	SLUZBY	\N	\N
415120	1410	1995-08-31	VYDAJ	VYBER	15	64825	SLUZBY	\N	\N
415121	1410	1995-09-30	VYDAJ	VYBER	15	68869	SLUZBY	\N	\N
415122	1410	1995-10-31	VYDAJ	VYBER	15	71222	SLUZBY	\N	\N
415123	1410	1995-11-30	VYDAJ	VYBER	15	70144	SLUZBY	\N	\N
415124	1410	1995-12-31	VYDAJ	VYBER	15	61492	SLUZBY	\N	\N
415125	1410	1996-01-31	VYDAJ	VYBER	15	54626	SLUZBY	\N	\N
415126	1410	1996-02-29	VYDAJ	VYBER	15	56551	SLUZBY	\N	\N
415127	1410	1996-03-31	VYDAJ	VYBER	15	57784	SLUZBY	\N	\N
415128	1410	1996-04-30	VYDAJ	VYBER	15	55920	SLUZBY	\N	\N
415129	1410	1996-05-31	VYDAJ	VYBER	15	53630	SLUZBY	\N	\N
415130	1410	1996-06-30	VYDAJ	VYBER	15	37257	SLUZBY	\N	\N
415131	1410	1996-07-31	VYDAJ	VYBER	15	49910	SLUZBY	\N	\N
415132	1410	1996-08-31	VYDAJ	VYBER	15	56113	SLUZBY	\N	\N
415133	1410	1996-09-30	VYDAJ	VYBER	15	57035	SLUZBY	\N	\N
415134	1410	1996-10-31	VYDAJ	VYBER	15	59161	SLUZBY	\N	\N
415135	1410	1996-11-30	VYDAJ	VYBER	15	63797	SLUZBY	\N	\N
415136	1410	1996-12-31	VYDAJ	VYBER	15	69764	SLUZBY	\N	\N
415137	1410	1997-01-31	VYDAJ	VYBER	15	59116	SLUZBY	\N	\N
415138	1410	1997-02-28	VYDAJ	VYBER	15	62046	SLUZBY	\N	\N
415139	1410	1997-03-31	VYDAJ	VYBER	15	65892	SLUZBY	\N	\N
415140	1410	1997-04-30	VYDAJ	VYBER	15	65850	SLUZBY	\N	\N
415141	1410	1997-05-31	VYDAJ	VYBER	15	73114	SLUZBY	\N	\N
415142	1410	1997-06-30	VYDAJ	VYBER	15	63197	SLUZBY	\N	\N
415143	1410	1997-07-31	VYDAJ	VYBER	15	70248	SLUZBY	\N	\N
415144	1410	1997-08-31	VYDAJ	VYBER	15	72920	SLUZBY	\N	\N
415145	1410	1997-09-30	VYDAJ	VYBER	15	72395	SLUZBY	\N	\N
415146	1410	1997-10-31	VYDAJ	VYBER	15	69268	SLUZBY	\N	\N
415147	1410	1997-11-30	VYDAJ	VYBER	15	71634	SLUZBY	\N	\N
415148	1410	1997-12-31	VYDAJ	VYBER	15	78820	SLUZBY	\N	\N
415149	1410	1998-01-31	VYDAJ	VYBER	15	77008	SLUZBY	\N	\N
415150	1410	1998-02-28	VYDAJ	VYBER	15	82104	SLUZBY	\N	\N
415151	1410	1998-03-31	VYDAJ	VYBER	15	81815	SLUZBY	\N	\N
415152	1410	1998-04-30	VYDAJ	VYBER	15	82825	SLUZBY	\N	\N
415153	1410	1998-05-31	VYDAJ	VYBER	15	78730	SLUZBY	\N	\N
415154	1410	1998-06-30	VYDAJ	VYBER	15	72505	SLUZBY	\N	\N
415155	1410	1998-07-31	VYDAJ	VYBER	15	71469	SLUZBY	\N	\N
415156	1410	1998-08-31	VYDAJ	VYBER	15	72931	SLUZBY	\N	\N
415157	1410	1998-09-30	VYDAJ	VYBER	15	80010	SLUZBY	\N	\N
415158	1410	1998-10-31	VYDAJ	VYBER	15	81309	SLUZBY	\N	\N
415159	1410	1998-11-30	VYDAJ	VYBER	15	78709	SLUZBY	\N	\N
415160	1410	1993-10-11	PRIJEM	VKLAD	2800	24148	\N	\N	\N
415161	1410	1993-11-10	VYDAJ	VYBER	11000	34092	\N	\N	\N
415162	1410	1993-12-10	VYDAJ	VYBER	14400	40700	\N	\N	\N
415163	1410	1994-01-09	VYDAJ	VYBER	23400	48764	\N	\N	\N
415164	1410	1994-02-08	VYDAJ	VYBER	16500	44203	\N	\N	\N
415165	1410	1994-03-10	VYDAJ	VYBER	13400	43115	\N	\N	\N
415166	1410	1994-04-09	VYDAJ	VYBER	15300	44424	\N	\N	\N
415167	1410	1994-05-09	VYDAJ	VYBER	19100	42542	\N	\N	\N
415168	1410	1994-06-08	VYDAJ	VYBER	15700	44059	\N	\N	\N
415169	1410	1994-07-08	VYDAJ	VYBER	13000	41177	\N	\N	\N
415170	1410	1994-08-07	VYDAJ	VYBER	15500	41475	\N	\N	\N
415171	1410	1994-09-06	VYDAJ	VYBER	13000	45681	\N	\N	\N
415172	1410	1994-10-06	VYDAJ	VYBER	17100	45801	\N	\N	\N
415173	1410	1994-11-05	VYDAJ	VYBER	17000	46027	\N	\N	\N
415174	1410	1994-12-05	VYDAJ	VYBER	16600	44639	\N	\N	\N
415175	1410	1995-01-04	VYDAJ	VYBER	11700	45470	\N	\N	\N
415176	1410	1995-02-03	VYDAJ	VYBER	13000	42461	\N	\N	\N
415177	1410	1995-03-05	VYDAJ	VYBER	11300	47866	\N	\N	\N
415178	1410	1995-04-04	VYDAJ	VYBER	14400	47870	\N	\N	\N
415179	1410	1995-05-04	VYDAJ	VYBER	16300	48800	\N	\N	\N
415180	1410	1995-06-03	VYDAJ	VYBER	14400	50937	\N	\N	\N
415181	1410	1995-07-03	VYDAJ	VYBER	5700	43216	\N	\N	\N
415182	1410	1995-08-02	VYDAJ	VYBER	9000	47605	\N	\N	\N
415183	1410	1995-09-01	VYDAJ	VYBER	13200	51625	\N	\N	\N
415184	1410	1995-10-01	VYDAJ	VYBER	14900	53969	\N	\N	\N
415185	1410	1995-10-31	VYDAJ	VYBER	18300	52922	\N	\N	\N
415186	1410	1995-11-30	VYDAJ	VYBER	13700	56444	\N	\N	\N
415187	1410	1995-12-30	VYDAJ	VYBER	16100	61220	\N	\N	\N
415188	1410	1996-01-29	VYDAJ	VYBER	14700	54371	\N	\N	\N
415189	1410	1996-02-28	VYDAJ	VYBER	15300	56305	\N	\N	\N
415190	1410	1996-03-29	VYDAJ	VYBER	16000	57530	\N	\N	\N
415191	1410	1996-04-28	VYDAJ	VYBER	19100	55663	\N	\N	\N
415192	1410	1996-05-28	VYDAJ	VYBER	12600	53399	\N	\N	\N
415193	1410	1996-06-27	VYDAJ	VYBER	19600	61406	\N	\N	\N
415194	1410	1996-07-27	VYDAJ	VYBER	2100	49736	\N	\N	\N
415195	1410	1996-08-26	VYDAJ	VYBER	11000	55889	\N	\N	\N
415196	1410	1996-09-25	VYDAJ	VYBER	16300	56792	\N	\N	\N
415197	1410	1996-10-25	VYDAJ	VYBER	15100	58914	\N	\N	\N
415198	1410	1996-11-24	VYDAJ	VYBER	11200	63540	\N	\N	\N
415199	1410	1996-12-24	VYDAJ	VYBER	20900	69473	\N	\N	\N
415200	1410	1997-01-23	VYDAJ	VYBER	12300	62143	\N	\N	\N
415201	1410	1997-02-22	VYDAJ	VYBER	10100	61795	\N	\N	\N
415202	1410	1997-03-24	VYDAJ	VYBER	13400	65625	\N	\N	\N
415203	1410	1997-04-23	VYDAJ	VYBER	13000	69871	\N	\N	\N
415204	1410	1997-05-23	VYDAJ	VYBER	10000	72829	\N	\N	\N
415205	1410	1997-06-22	VYDAJ	VYBER	17500	82990	\N	\N	\N
415206	1410	1997-07-22	VYDAJ	VYBER	10200	69976	\N	\N	\N
415207	1410	1997-08-21	VYDAJ	VYBER	13600	72627	\N	\N	\N
415208	1410	1997-09-20	VYDAJ	VYBER	13300	72099	\N	\N	\N
415209	1410	1997-10-20	VYDAJ	VYBER	17400	71974	\N	\N	\N
415210	1410	1997-11-19	VYDAJ	VYBER	11800	74447	\N	\N	\N
415211	1410	1997-12-19	VYDAJ	VYBER	15700	78510	\N	\N	\N
415212	1410	1998-01-18	VYDAJ	VYBER	8600	77999	\N	\N	\N
415213	1410	1998-02-17	VYDAJ	VYBER	12200	81787	\N	\N	\N
415214	1410	1998-03-19	VYDAJ	VYBER	14400	81483	\N	\N	\N
415215	1410	1998-04-18	VYDAJ	VYBER	12400	82494	\N	\N	\N
415216	1410	1998-05-18	VYDAJ	VYBER	17300	78404	\N	\N	\N
415217	1410	1998-06-17	VYDAJ	VYBER	9000	72206	\N	\N	\N
415218	1410	1998-07-17	VYDAJ	VYBER	18300	71184	\N	\N	\N
415219	1410	1998-08-16	VYDAJ	VYBER	15800	72648	\N	\N	\N
415220	1410	1998-09-15	VYDAJ	VYBER	10200	79710	\N	\N	\N
415221	1410	1998-10-15	VYDAJ	VYBER	13300	83689	\N	\N	\N
415222	1410	1998-11-14	VYDAJ	VYBER	16800	82204	\N	\N	\N
415223	1410	1998-12-14	VYDAJ	VYBER	16400	93501	\N	\N	\N
415288	1411	1993-07-09	PRIJEM	VKLAD	600	600	\N	\N	\N
415296	1411	1993-08-06	PRIJEM	VKLAD	13663	14263	\N	\N	\N
415297	1411	1993-09-06	PRIJEM	VKLAD	13663	32487	\N	\N	\N
415298	1411	1993-10-06	PRIJEM	VKLAD	13663	41257	\N	\N	\N
415299	1411	1993-11-06	PRIJEM	VKLAD	13663	48057	\N	\N	\N
415300	1411	1993-12-06	PRIJEM	VKLAD	20494	57302	\N	\N	\N
415301	1411	1994-01-06	PRIJEM	VKLAD	13663	37432	\N	\N	\N
415302	1411	1994-02-06	PRIJEM	VKLAD	13663	32806	\N	\N	\N
415303	1411	1994-03-06	PRIJEM	VKLAD	13663	38084	\N	\N	\N
415304	1411	1994-04-06	PRIJEM	VKLAD	13663	36853	\N	\N	\N
415305	1411	1994-05-06	PRIJEM	VKLAD	13663	42656	\N	\N	\N
415306	1411	1994-06-06	PRIJEM	VKLAD	20494	52318	\N	\N	\N
415307	1411	1994-07-06	PRIJEM	VKLAD	13663	46858	\N	\N	\N
415308	1411	1994-08-06	PRIJEM	VKLAD	13663	40704	\N	\N	\N
415309	1411	1994-09-06	PRIJEM	VKLAD	13663	48129	\N	\N	\N
415310	1411	1994-10-06	PRIJEM	VKLAD	13663	52081	\N	\N	\N
415311	1411	1994-11-06	PRIJEM	VKLAD	13663	50853	\N	\N	\N
415312	1411	1994-12-06	PRIJEM	VKLAD	20494	56848	\N	\N	\N
415313	1411	1995-01-06	PRIJEM	VKLAD	13663	57832	\N	\N	\N
415314	1411	1995-02-06	PRIJEM	VKLAD	13663	47578	\N	\N	\N
415315	1411	1995-03-06	PRIJEM	VKLAD	13663	52715	\N	\N	\N
415316	1411	1995-04-06	PRIJEM	VKLAD	13663	52087	\N	\N	\N
415317	1411	1995-05-06	PRIJEM	VKLAD	13663	57256	\N	\N	\N
415318	1411	1995-06-06	PRIJEM	VKLAD	20494	65469	\N	\N	\N
415319	1411	1995-07-06	PRIJEM	VKLAD	13663	54953	\N	\N	\N
415320	1411	1995-08-06	PRIJEM	VKLAD	13663	54719	\N	\N	\N
415321	1411	1995-09-06	PRIJEM	VKLAD	13663	59598	\N	\N	\N
415322	1411	1995-10-06	PRIJEM	VKLAD	13663	62583	\N	\N	\N
415323	1411	1995-11-06	PRIJEM	VKLAD	13663	66180	\N	\N	\N
415324	1411	1995-12-06	PRIJEM	VKLAD	20494	73218	\N	\N	\N
415325	1411	1996-01-06	PRIJEM	VKLAD	13663	70241	\N	\N	\N
415326	1411	1996-02-06	PRIJEM	VKLAD	13663	59351	\N	\N	\N
415327	1411	1996-03-06	PRIJEM	VKLAD	13663	63833	\N	\N	\N
415328	1411	1996-04-06	PRIJEM	VKLAD	13663	68234	\N	\N	\N
415329	1411	1996-05-06	PRIJEM	VKLAD	13663	70351	\N	\N	\N
415330	1411	1996-06-06	PRIJEM	VKLAD	20494	80208	\N	\N	\N
415331	1411	1996-07-06	PRIJEM	VKLAD	13663	66448	\N	\N	\N
415332	1411	1996-08-06	PRIJEM	VKLAD	13663	66146	\N	\N	\N
415333	1411	1996-09-06	PRIJEM	VKLAD	13663	71155	\N	\N	\N
415334	1411	1996-10-06	PRIJEM	VKLAD	13663	69575	\N	\N	\N
415335	1411	1996-11-06	PRIJEM	VKLAD	13663	73796	\N	\N	\N
415336	1411	1996-12-06	PRIJEM	VKLAD	20494	84766	\N	\N	\N
415337	1411	1997-01-06	PRIJEM	VKLAD	13663	79029	\N	\N	\N
415338	1411	1997-02-06	PRIJEM	VKLAD	13663	76284	\N	\N	\N
415339	1411	1997-03-06	PRIJEM	VKLAD	13663	80532	\N	\N	\N
415340	1411	1997-04-06	PRIJEM	VKLAD	13663	79798	\N	\N	\N
415341	1411	1997-05-06	PRIJEM	VKLAD	13663	84361	\N	\N	\N
415342	1411	1997-06-06	PRIJEM	VKLAD	20494	90164	\N	\N	\N
415343	1411	1997-07-06	PRIJEM	VKLAD	13663	80739	\N	\N	\N
415344	1411	1997-08-06	PRIJEM	VKLAD	13663	83401	\N	\N	\N
415345	1411	1997-09-06	PRIJEM	VKLAD	13663	84174	\N	\N	\N
415346	1411	1997-10-06	PRIJEM	VKLAD	13663	87362	\N	\N	\N
415347	1411	1997-11-06	PRIJEM	VKLAD	13663	90952	\N	\N	\N
415348	1411	1997-12-06	PRIJEM	VKLAD	20494	101590	\N	\N	\N
415349	1411	1998-01-06	PRIJEM	VKLAD	13663	80120	\N	\N	\N
415350	1411	1998-02-06	PRIJEM	VKLAD	13663	80391	\N	\N	\N
415351	1411	1998-03-06	PRIJEM	VKLAD	13663	85554	\N	\N	\N
415352	1411	1998-04-06	PRIJEM	VKLAD	13663	87831	\N	\N	\N
415353	1411	1998-05-06	PRIJEM	VKLAD	13663	95029	\N	\N	\N
415354	1411	1998-06-06	PRIJEM	VKLAD	20494	106983	\N	\N	\N
415355	1411	1998-07-06	PRIJEM	VKLAD	13663	91794	\N	\N	\N
415356	1411	1998-08-06	PRIJEM	VKLAD	13663	91613	\N	\N	\N
415357	1411	1998-09-06	PRIJEM	VKLAD	13663	100363	\N	\N	\N
415358	1411	1998-10-06	PRIJEM	VKLAD	13663	105819	\N	\N	\N
415359	1411	1998-11-06	PRIJEM	VKLAD	13663	108579	\N	\N	\N
415360	1411	1998-12-06	PRIJEM	VKLAD	20494	111266	\N	\N	\N
415372	1411	1993-12-12	VYDAJ	PREVOD NA UCET	5174	36128	SIPO	CD	50814467
415373	1411	1994-01-12	VYDAJ	PREVOD NA UCET	5174	29558	SIPO	CD	50814467
415374	1411	1994-02-12	VYDAJ	PREVOD NA UCET	5174	27632	SIPO	CD	50814467
415375	1411	1994-03-12	VYDAJ	PREVOD NA UCET	5174	20710	SIPO	CD	50814467
415376	1411	1994-04-12	VYDAJ	PREVOD NA UCET	5174	31679	SIPO	CD	50814467
415377	1411	1994-05-12	VYDAJ	PREVOD NA UCET	5174	37482	SIPO	CD	50814467
415378	1411	1994-06-12	VYDAJ	PREVOD NA UCET	5174	37844	SIPO	CD	50814467
415379	1411	1994-07-12	VYDAJ	PREVOD NA UCET	5174	41684	SIPO	CD	50814467
415380	1411	1994-08-12	VYDAJ	PREVOD NA UCET	5174	35530	SIPO	CD	50814467
415381	1411	1994-09-12	VYDAJ	PREVOD NA UCET	5174	42955	SIPO	CD	50814467
415382	1411	1994-10-12	VYDAJ	PREVOD NA UCET	5174	46907	SIPO	CD	50814467
415383	1411	1994-11-12	VYDAJ	PREVOD NA UCET	5174	45679	SIPO	CD	50814467
415384	1411	1994-12-12	VYDAJ	PREVOD NA UCET	5174	51074	SIPO	CD	50814467
415385	1411	1995-01-12	VYDAJ	PREVOD NA UCET	5174	41658	SIPO	CD	50814467
415386	1411	1995-02-12	VYDAJ	PREVOD NA UCET	5174	42404	SIPO	CD	50814467
415387	1411	1995-03-12	VYDAJ	PREVOD NA UCET	5174	47541	SIPO	CD	50814467
415388	1411	1995-04-12	VYDAJ	PREVOD NA UCET	5174	46913	SIPO	CD	50814467
415389	1411	1995-05-12	VYDAJ	PREVOD NA UCET	5174	52082	SIPO	CD	50814467
415390	1411	1995-06-12	VYDAJ	PREVOD NA UCET	5174	60295	SIPO	CD	50814467
415391	1411	1995-07-12	VYDAJ	PREVOD NA UCET	5174	49779	SIPO	CD	50814467
415392	1411	1995-08-12	VYDAJ	PREVOD NA UCET	5174	49545	SIPO	CD	50814467
415393	1411	1995-09-12	VYDAJ	PREVOD NA UCET	5174	54424	SIPO	CD	50814467
415394	1411	1995-10-12	VYDAJ	PREVOD NA UCET	5174	57409	SIPO	CD	50814467
415395	1411	1995-11-12	VYDAJ	PREVOD NA UCET	5174	61006	SIPO	CD	50814467
415396	1411	1995-12-12	VYDAJ	PREVOD NA UCET	5174	65944	SIPO	CD	50814467
415397	1411	1996-01-12	VYDAJ	PREVOD NA UCET	5174	61667	SIPO	CD	50814467
415398	1411	1996-02-12	VYDAJ	PREVOD NA UCET	5174	54177	SIPO	CD	50814467
415399	1411	1996-03-12	VYDAJ	PREVOD NA UCET	5174	58659	SIPO	CD	50814467
415400	1411	1996-04-12	VYDAJ	PREVOD NA UCET	5174	63060	SIPO	CD	50814467
415401	1411	1996-05-12	VYDAJ	PREVOD NA UCET	5174	65177	SIPO	CD	50814467
415402	1411	1996-06-12	VYDAJ	PREVOD NA UCET	5174	75034	SIPO	CD	50814467
415403	1411	1996-07-12	VYDAJ	PREVOD NA UCET	5174	61274	SIPO	CD	50814467
415404	1411	1996-08-12	VYDAJ	PREVOD NA UCET	5174	60972	SIPO	CD	50814467
415405	1411	1996-09-12	VYDAJ	PREVOD NA UCET	5174	61381	SIPO	CD	50814467
415406	1411	1996-10-12	VYDAJ	PREVOD NA UCET	5174	64401	SIPO	CD	50814467
415407	1411	1996-11-12	VYDAJ	PREVOD NA UCET	5174	68622	SIPO	CD	50814467
415408	1411	1996-12-12	VYDAJ	PREVOD NA UCET	5174	79592	SIPO	CD	50814467
415409	1411	1997-01-12	VYDAJ	PREVOD NA UCET	5174	70555	SIPO	CD	50814467
415410	1411	1997-02-12	VYDAJ	PREVOD NA UCET	5174	71110	SIPO	CD	50814467
415411	1411	1997-03-12	VYDAJ	PREVOD NA UCET	5174	72258	SIPO	CD	50814467
415412	1411	1997-04-12	VYDAJ	PREVOD NA UCET	5174	74624	SIPO	CD	50814467
415413	1411	1997-05-12	VYDAJ	PREVOD NA UCET	5174	79187	SIPO	CD	50814467
415414	1411	1997-06-12	VYDAJ	PREVOD NA UCET	5174	84990	SIPO	CD	50814467
415415	1411	1997-07-12	VYDAJ	PREVOD NA UCET	5174	75565	SIPO	CD	50814467
415416	1411	1997-08-12	VYDAJ	PREVOD NA UCET	5174	78227	SIPO	CD	50814467
415417	1411	1997-09-12	VYDAJ	PREVOD NA UCET	5174	79000	SIPO	CD	50814467
415418	1411	1997-10-12	VYDAJ	PREVOD NA UCET	5174	82188	SIPO	CD	50814467
415419	1411	1997-11-12	VYDAJ	PREVOD NA UCET	5174	85778	SIPO	CD	50814467
415420	1411	1997-12-12	VYDAJ	PREVOD NA UCET	5174	95816	SIPO	CD	50814467
415421	1411	1998-01-12	VYDAJ	PREVOD NA UCET	5174	71946	SIPO	CD	50814467
415422	1411	1998-02-12	VYDAJ	PREVOD NA UCET	5174	75217	SIPO	CD	50814467
415423	1411	1998-03-12	VYDAJ	PREVOD NA UCET	5174	80380	SIPO	CD	50814467
415424	1411	1998-04-12	VYDAJ	PREVOD NA UCET	5174	82657	SIPO	CD	50814467
415425	1411	1998-05-12	VYDAJ	PREVOD NA UCET	5174	87955	SIPO	CD	50814467
415426	1411	1998-06-12	VYDAJ	PREVOD NA UCET	5174	101809	SIPO	CD	50814467
415427	1411	1998-07-12	VYDAJ	PREVOD NA UCET	5174	84320	SIPO	CD	50814467
415428	1411	1998-08-12	VYDAJ	PREVOD NA UCET	5174	88939	SIPO	CD	50814467
415429	1411	1998-09-12	VYDAJ	PREVOD NA UCET	5174	91789	SIPO	CD	50814467
415430	1411	1998-10-12	VYDAJ	PREVOD NA UCET	5174	94545	SIPO	CD	50814467
415431	1411	1998-11-12	VYDAJ	PREVOD NA UCET	5174	93805	SIPO	CD	50814467
415432	1411	1998-12-12	VYDAJ	PREVOD NA UCET	5174	99392	SIPO	CD	50814467
415434	1411	1994-06-09	VYDAJ	VYBER	9300	43018	\N	\N	\N
415435	1411	1995-06-21	VYDAJ	VYBER	9700	50595	\N	\N	\N
415436	1411	1996-06-28	VYDAJ	VYBER	10700	52534	\N	\N	\N
415437	1411	1997-06-24	VYDAJ	VYBER	6500	66790	\N	\N	\N
415438	1411	1998-06-13	VYDAJ	VYBER	27400	77809	\N	\N	\N
415440	1411	1994-01-15	VYDAJ	VYBER	8900	20658	\N	\N	\N
415441	1411	1995-01-07	VYDAJ	VYBER	9800	48032	\N	\N	\N
415442	1411	1996-01-27	VYDAJ	VYBER	3600	46467	\N	\N	\N
415443	1411	1997-01-06	VYDAJ	VYBER	1800	76429	\N	\N	\N
415444	1411	1998-01-03	VYDAJ	VYBER	7100	68857	\N	\N	\N
415445	1411	1993-12-13	VYDAJ	VYBER	2300	33828	\N	\N	\N
415446	1411	1994-12-10	VYDAJ	VYBER	600	56248	\N	\N	\N
415447	1411	1995-12-11	VYDAJ	VYBER	2100	71118	\N	\N	\N
415448	1411	1996-12-16	VYDAJ	VYBER	1400	78192	\N	\N	\N
415449	1411	1997-12-20	VYDAJ	VYBER	500	82916	\N	\N	\N
415450	1411	1998-12-18	VYDAJ	VYBER	1600	97792	\N	\N	\N
415457	1411	1994-01-22	VYDAJ	VYBER	1300	16358	\N	\N	\N
415458	1411	1994-01-20	VYDAJ	VYBER	2000	18658	\N	\N	\N
415459	1411	1994-01-21	VYDAJ	VYBER	1000	17658	\N	\N	\N
415460	1411	1994-01-27	VYDAJ	VYBER	1300	15058	\N	\N	\N
415461	1411	1994-01-03	VYDAJ	VYBER	2200	26269	\N	\N	\N
415462	1411	1994-01-09	VYDAJ	VYBER	2700	34732	\N	\N	\N
415463	1411	1995-01-27	VYDAJ	VYBER	1700	36358	\N	\N	\N
415464	1411	1995-01-28	VYDAJ	VYBER	800	35558	\N	\N	\N
415465	1411	1995-01-19	VYDAJ	VYBER	2400	38058	\N	\N	\N
415466	1411	1995-01-19	VYDAJ	VYBER	1200	40458	\N	\N	\N
415467	1411	1995-01-28	VYDAJ	VYBER	1500	34058	\N	\N	\N
415468	1411	1995-01-07	VYDAJ	VYBER	1200	46832	\N	\N	\N
415469	1411	1996-01-11	VYDAJ	VYBER	800	66841	\N	\N	\N
415470	1411	1996-01-30	VYDAJ	VYBER	1000	45467	\N	\N	\N
415471	1411	1996-01-16	VYDAJ	VYBER	1700	59967	\N	\N	\N
415472	1411	1996-01-10	VYDAJ	VYBER	700	69541	\N	\N	\N
415473	1411	1996-01-11	VYDAJ	VYBER	1900	67641	\N	\N	\N
415474	1411	1996-01-24	VYDAJ	VYBER	2900	57067	\N	\N	\N
415475	1411	1997-01-21	VYDAJ	VYBER	500	62355	\N	\N	\N
415476	1411	1997-01-07	VYDAJ	VYBER	700	75729	\N	\N	\N
415477	1411	1997-01-05	VYDAJ	VYBER	2200	65366	\N	\N	\N
415478	1411	1997-01-05	VYDAJ	VYBER	1600	67566	\N	\N	\N
415479	1411	1997-01-06	VYDAJ	VYBER	800	78229	\N	\N	\N
415480	1411	1997-01-21	VYDAJ	VYBER	1800	62855	\N	\N	\N
415481	1411	1998-01-12	VYDAJ	VYBER	1700	77120	\N	\N	\N
415482	1411	1998-01-09	VYDAJ	VYBER	1300	78820	\N	\N	\N
415483	1411	1998-01-02	VYDAJ	VYBER	2200	75957	\N	\N	\N
415484	1411	1998-01-01	VYDAJ	VYBER	2400	80857	\N	\N	\N
415485	1411	1998-01-03	VYDAJ	VYBER	2400	66457	\N	\N	\N
415486	1411	1998-01-02	VYDAJ	VYBER	2700	78157	\N	\N	\N
415490	1411	1993-12-19	VYDAJ	VYBER	1300	32528	\N	\N	\N
415493	1411	1993-12-24	VYDAJ	VYBER	4200	28328	\N	\N	\N
415494	1411	1994-08-03	VYDAJ	VYBER	4100	30041	\N	\N	\N
415495	1411	1994-11-22	VYDAJ	VYBER	4200	41479	\N	\N	\N
415496	1411	1994-02-16	VYDAJ	VYBER	3300	24332	\N	\N	\N
415497	1411	1994-07-25	VYDAJ	VYBER	4300	37384	\N	\N	\N
415498	1411	1994-08-02	VYDAJ	VYBER	3400	34141	\N	\N	\N
415499	1411	1994-03-09	VYDAJ	VYBER	4800	25884	\N	\N	\N
415500	1411	1995-11-23	VYDAJ	VYBER	4800	56206	\N	\N	\N
415501	1411	1995-08-05	VYDAJ	VYBER	3900	41056	\N	\N	\N
415502	1411	1995-04-04	VYDAJ	VYBER	2200	38424	\N	\N	\N
415503	1411	1995-06-24	VYDAJ	VYBER	2400	48195	\N	\N	\N
415504	1411	1996-07-13	VYDAJ	VYBER	4600	56674	\N	\N	\N
415505	1411	1996-09-07	VYDAJ	VYBER	4600	66555	\N	\N	\N
415506	1411	1996-06-15	VYDAJ	VYBER	4100	70934	\N	\N	\N
415507	1411	1996-09-16	VYDAJ	VYBER	2200	59181	\N	\N	\N
415508	1411	1997-12-08	VYDAJ	VYBER	600	100990	\N	\N	\N
415509	1411	1997-03-26	VYDAJ	VYBER	4100	65858	\N	\N	\N
415510	1411	1997-09-04	VYDAJ	VYBER	2300	70511	\N	\N	\N
415511	1411	1997-03-06	VYDAJ	VYBER	3100	77432	\N	\N	\N
415512	1411	1997-11-23	VYDAJ	VYBER	2900	80778	\N	\N	\N
415513	1411	1998-11-17	VYDAJ	VYBER	3400	90405	\N	\N	\N
415514	1411	1998-07-07	VYDAJ	VYBER	2300	89494	\N	\N	\N
415515	1411	1998-05-11	VYDAJ	VYBER	1900	93129	\N	\N	\N
415516	1411	1998-08-03	VYDAJ	VYBER	4000	77950	\N	\N	\N
415517	1411	1998-01-29	VYDAJ	VYBER	4000	66446	\N	\N	\N
415518	1411	1998-07-27	VYDAJ	VYBER	3800	81620	\N	\N	\N
415519	1411	1998-02-21	VYDAJ	VYBER	1400	71617	\N	\N	\N
415520	1411	1998-09-04	VYDAJ	VYBER	2600	86700	\N	\N	\N
415533	1411	1993-12-31	VYDAJ	VYBER	15	28469	SLUZBY	\N	\N
415534	1411	1994-01-31	VYDAJ	VYBER	15	15143	SLUZBY	\N	\N
415535	1411	1994-02-28	VYDAJ	VYBER	15	24421	SLUZBY	\N	\N
415536	1411	1994-03-31	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
415537	1411	1994-04-30	VYDAJ	VYBER	15	31793	SLUZBY	\N	\N
415538	1411	1994-05-31	VYDAJ	VYBER	15	37624	SLUZBY	\N	\N
415539	1411	1994-06-30	VYDAJ	VYBER	15	37995	SLUZBY	\N	\N
415540	1411	1994-07-31	VYDAJ	VYBER	15	37541	SLUZBY	\N	\N
415541	1411	1994-08-31	VYDAJ	VYBER	15	35666	SLUZBY	\N	\N
415542	1411	1994-09-30	VYDAJ	VYBER	15	43118	SLUZBY	\N	\N
415543	1411	1994-10-31	VYDAJ	VYBER	15	47090	SLUZBY	\N	\N
415544	1411	1994-11-30	VYDAJ	VYBER	15	41654	SLUZBY	\N	\N
415545	1411	1994-12-31	VYDAJ	VYBER	15	44169	SLUZBY	\N	\N
415546	1411	1995-01-31	VYDAJ	VYBER	15	33915	SLUZBY	\N	\N
415547	1411	1995-02-28	VYDAJ	VYBER	15	42552	SLUZBY	\N	\N
415548	1411	1995-03-31	VYDAJ	VYBER	15	40624	SLUZBY	\N	\N
415549	1411	1995-04-30	VYDAJ	VYBER	15	47093	SLUZBY	\N	\N
415550	1411	1995-05-31	VYDAJ	VYBER	15	44975	SLUZBY	\N	\N
415551	1411	1995-06-30	VYDAJ	VYBER	15	41290	SLUZBY	\N	\N
415552	1411	1995-07-31	VYDAJ	VYBER	15	44956	SLUZBY	\N	\N
415553	1411	1995-08-31	VYDAJ	VYBER	15	45935	SLUZBY	\N	\N
415554	1411	1995-09-30	VYDAJ	VYBER	15	48920	SLUZBY	\N	\N
415555	1411	1995-10-31	VYDAJ	VYBER	15	52517	SLUZBY	\N	\N
415556	1411	1995-11-30	VYDAJ	VYBER	15	52724	SLUZBY	\N	\N
415557	1411	1995-12-31	VYDAJ	VYBER	15	56578	SLUZBY	\N	\N
415558	1411	1996-01-31	VYDAJ	VYBER	15	45688	SLUZBY	\N	\N
415559	1411	1996-02-29	VYDAJ	VYBER	15	50170	SLUZBY	\N	\N
415560	1411	1996-03-31	VYDAJ	VYBER	15	54571	SLUZBY	\N	\N
415561	1411	1996-04-30	VYDAJ	VYBER	15	56688	SLUZBY	\N	\N
415562	1411	1996-05-31	VYDAJ	VYBER	15	59714	SLUZBY	\N	\N
415563	1411	1996-06-30	VYDAJ	VYBER	15	52785	SLUZBY	\N	\N
415564	1411	1996-07-31	VYDAJ	VYBER	15	52483	SLUZBY	\N	\N
415565	1411	1996-08-31	VYDAJ	VYBER	15	57492	SLUZBY	\N	\N
415566	1411	1996-09-30	VYDAJ	VYBER	15	55912	SLUZBY	\N	\N
415567	1411	1996-10-31	VYDAJ	VYBER	15	60133	SLUZBY	\N	\N
415568	1411	1996-11-30	VYDAJ	VYBER	15	64272	SLUZBY	\N	\N
415569	1411	1996-12-31	VYDAJ	VYBER	15	69166	SLUZBY	\N	\N
415570	1411	1997-01-31	VYDAJ	VYBER	15	62621	SLUZBY	\N	\N
415571	1411	1997-02-28	VYDAJ	VYBER	15	66869	SLUZBY	\N	\N
415572	1411	1997-03-31	VYDAJ	VYBER	15	66135	SLUZBY	\N	\N
415573	1411	1997-04-30	VYDAJ	VYBER	15	70698	SLUZBY	\N	\N
415574	1411	1997-05-31	VYDAJ	VYBER	15	69670	SLUZBY	\N	\N
415575	1411	1997-06-30	VYDAJ	VYBER	15	67076	SLUZBY	\N	\N
415576	1411	1997-07-31	VYDAJ	VYBER	15	69738	SLUZBY	\N	\N
415577	1411	1997-08-31	VYDAJ	VYBER	15	72811	SLUZBY	\N	\N
415578	1411	1997-09-30	VYDAJ	VYBER	15	73699	SLUZBY	\N	\N
415579	1411	1997-10-31	VYDAJ	VYBER	15	77289	SLUZBY	\N	\N
415580	1411	1997-11-30	VYDAJ	VYBER	15	81096	SLUZBY	\N	\N
415581	1411	1997-12-31	VYDAJ	VYBER	15	83257	SLUZBY	\N	\N
415582	1411	1998-01-31	VYDAJ	VYBER	15	66728	SLUZBY	\N	\N
415583	1411	1998-02-28	VYDAJ	VYBER	15	71891	SLUZBY	\N	\N
415584	1411	1998-03-31	VYDAJ	VYBER	15	74168	SLUZBY	\N	\N
415585	1411	1998-04-30	VYDAJ	VYBER	15	81366	SLUZBY	\N	\N
415586	1411	1998-05-31	VYDAJ	VYBER	15	86489	SLUZBY	\N	\N
415587	1411	1998-06-30	VYDAJ	VYBER	15	78131	SLUZBY	\N	\N
415588	1411	1998-07-31	VYDAJ	VYBER	15	81950	SLUZBY	\N	\N
415589	1411	1998-08-31	VYDAJ	VYBER	15	89300	SLUZBY	\N	\N
415590	1411	1998-09-30	VYDAJ	VYBER	15	92156	SLUZBY	\N	\N
415591	1411	1998-10-31	VYDAJ	VYBER	15	94916	SLUZBY	\N	\N
415592	1411	1998-11-30	VYDAJ	VYBER	15	90772	SLUZBY	\N	\N
415593	1411	1993-08-08	PRIJEM	VKLAD	4500	18763	\N	\N	\N
415594	1411	1993-09-07	VYDAJ	VYBER	5000	27487	\N	\N	\N
415595	1411	1993-10-07	VYDAJ	VYBER	7000	34257	\N	\N	\N
415596	1411	1993-11-06	VYDAJ	VYBER	11400	36657	\N	\N	\N
415597	1411	1993-12-06	VYDAJ	VYBER	16000	41302	\N	\N	\N
415598	1411	1994-01-05	VYDAJ	VYBER	2500	23769	\N	\N	\N
415599	1411	1994-02-04	PRIJEM	VKLAD	4000	19143	\N	\N	\N
415600	1411	1994-03-06	VYDAJ	VYBER	7400	30684	\N	\N	\N
415601	1411	1994-04-05	PRIJEM	VKLAD	2400	23190	\N	\N	\N
415602	1411	1994-05-05	VYDAJ	VYBER	2800	28993	\N	\N	\N
415603	1411	1994-06-04	VYDAJ	VYBER	5800	31824	\N	\N	\N
415604	1411	1994-07-04	VYDAJ	VYBER	4800	33195	\N	\N	\N
415605	1411	1994-08-03	VYDAJ	VYBER	3000	27041	\N	\N	\N
415606	1411	1994-09-02	VYDAJ	VYBER	1200	34466	\N	\N	\N
415607	1411	1994-10-02	VYDAJ	VYBER	4700	38418	\N	\N	\N
415608	1411	1994-11-01	VYDAJ	VYBER	9900	37190	\N	\N	\N
415609	1411	1994-12-01	VYDAJ	VYBER	5300	36354	\N	\N	\N
415610	1411	1994-12-31	VYDAJ	VYBER	7100	44184	\N	\N	\N
415611	1411	1995-01-30	VYDAJ	VYBER	300	33758	\N	\N	\N
415612	1411	1995-03-01	VYDAJ	VYBER	3500	39052	\N	\N	\N
415613	1411	1995-03-31	VYDAJ	VYBER	7100	40638	\N	\N	\N
415614	1411	1995-04-30	VYDAJ	VYBER	3500	43593	\N	\N	\N
415615	1411	1995-05-30	VYDAJ	VYBER	7300	44782	\N	\N	\N
415616	1411	1995-06-29	VYDAJ	VYBER	7100	41095	\N	\N	\N
415617	1411	1995-07-29	VYDAJ	VYBER	5000	44779	\N	\N	\N
415618	1411	1995-08-28	VYDAJ	VYBER	3800	45745	\N	\N	\N
415619	1411	1995-09-27	VYDAJ	VYBER	5700	48724	\N	\N	\N
415620	1411	1995-10-27	VYDAJ	VYBER	5100	52309	\N	\N	\N
415621	1411	1995-11-26	VYDAJ	VYBER	3700	52506	\N	\N	\N
415622	1411	1995-12-26	VYDAJ	VYBER	9600	56344	\N	\N	\N
415623	1411	1996-01-25	VYDAJ	VYBER	7000	50067	\N	\N	\N
415624	1411	1996-02-24	VYDAJ	VYBER	4200	49977	\N	\N	\N
415625	1411	1996-03-25	VYDAJ	VYBER	4300	54359	\N	\N	\N
415626	1411	1996-04-24	VYDAJ	VYBER	6600	56460	\N	\N	\N
415627	1411	1996-05-24	VYDAJ	VYBER	5700	59477	\N	\N	\N
415628	1411	1996-06-23	VYDAJ	VYBER	7700	63234	\N	\N	\N
415629	1411	1996-07-23	VYDAJ	VYBER	4400	52274	\N	\N	\N
415630	1411	1996-08-22	VYDAJ	VYBER	3700	57272	\N	\N	\N
415631	1411	1996-09-21	VYDAJ	VYBER	3500	55681	\N	\N	\N
415632	1411	1996-10-21	VYDAJ	VYBER	4500	59901	\N	\N	\N
415633	1411	1996-11-20	VYDAJ	VYBER	4600	64022	\N	\N	\N
415634	1411	1996-12-20	VYDAJ	VYBER	9300	68892	\N	\N	\N
415635	1411	1997-01-19	VYDAJ	VYBER	5900	64655	\N	\N	\N
415636	1411	1997-02-18	VYDAJ	VYBER	4500	66610	\N	\N	\N
415637	1411	1997-03-20	VYDAJ	VYBER	2300	69958	\N	\N	\N
415638	1411	1997-04-19	VYDAJ	VYBER	4200	70424	\N	\N	\N
415639	1411	1997-05-19	VYDAJ	VYBER	9800	69387	\N	\N	\N
415640	1411	1997-06-18	VYDAJ	VYBER	11700	73290	\N	\N	\N
415641	1411	1997-07-18	VYDAJ	VYBER	6100	69465	\N	\N	\N
415642	1411	1997-08-17	VYDAJ	VYBER	5700	72527	\N	\N	\N
415643	1411	1997-09-16	VYDAJ	VYBER	5600	73400	\N	\N	\N
415644	1411	1997-10-16	VYDAJ	VYBER	5200	76988	\N	\N	\N
415645	1411	1997-11-15	VYDAJ	VYBER	2100	83678	\N	\N	\N
415646	1411	1997-12-15	VYDAJ	VYBER	12400	83416	\N	\N	\N
415647	1411	1998-01-14	VYDAJ	VYBER	1500	70446	\N	\N	\N
415648	1411	1998-02-13	VYDAJ	VYBER	2200	73017	\N	\N	\N
415649	1411	1998-03-15	VYDAJ	VYBER	6500	73880	\N	\N	\N
415650	1411	1998-04-14	VYDAJ	VYBER	1600	81057	\N	\N	\N
415651	1411	1998-05-14	VYDAJ	VYBER	1800	86155	\N	\N	\N
415652	1411	1998-06-13	PRIJEM	VKLAD	3400	105209	\N	\N	\N
415653	1411	1998-07-13	PRIJEM	VKLAD	1100	85420	\N	\N	\N
415654	1411	1998-08-12	PRIJEM	VKLAD	2500	94113	\N	\N	\N
415655	1411	1998-09-11	VYDAJ	VYBER	3400	96963	\N	\N	\N
415656	1411	1998-10-11	VYDAJ	VYBER	6100	99719	\N	\N	\N
415657	1411	1998-11-10	VYDAJ	VYBER	9600	98979	\N	\N	\N
415658	1411	1998-12-10	VYDAJ	VYBER	6700	104566	\N	\N	\N
415724	1412	1993-05-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
415730	1412	1993-06-07	PRIJEM	VKLAD	21431	22431	\N	\N	\N
415731	1412	1993-07-07	PRIJEM	VKLAD	14287	36260	\N	\N	\N
415732	1412	1993-08-07	PRIJEM	VKLAD	14287	42952	\N	\N	\N
415733	1412	1993-09-07	PRIJEM	VKLAD	14287	50674	\N	\N	\N
415734	1412	1993-10-07	PRIJEM	VKLAD	14287	51214	\N	\N	\N
415735	1412	1993-11-07	PRIJEM	VKLAD	14287	50631	\N	\N	\N
415736	1412	1993-12-07	PRIJEM	VKLAD	21431	58495	\N	\N	\N
415737	1412	1994-01-07	PRIJEM	VKLAD	14287	49605	\N	\N	\N
415738	1412	1994-02-07	PRIJEM	VKLAD	14287	35140	\N	\N	\N
415739	1412	1994-03-07	PRIJEM	VKLAD	14287	40626	\N	\N	\N
415740	1412	1994-04-07	PRIJEM	VKLAD	14287	44914	\N	\N	\N
415741	1412	1994-05-07	PRIJEM	VKLAD	14287	47916	\N	\N	\N
415742	1412	1994-06-07	PRIJEM	VKLAD	21431	53504	\N	\N	\N
415743	1412	1994-07-07	PRIJEM	VKLAD	14287	39435	\N	\N	\N
415744	1412	1994-08-07	PRIJEM	VKLAD	14287	42012	\N	\N	\N
415745	1412	1994-09-07	PRIJEM	VKLAD	14287	47005	\N	\N	\N
415746	1412	1994-10-07	PRIJEM	VKLAD	14287	45682	\N	\N	\N
415747	1412	1994-11-07	PRIJEM	VKLAD	14287	44496	\N	\N	\N
415748	1412	1994-12-07	PRIJEM	VKLAD	21431	50923	\N	\N	\N
415749	1412	1995-01-07	PRIJEM	VKLAD	14287	42440	\N	\N	\N
415750	1412	1995-02-07	PRIJEM	VKLAD	14287	28386	\N	\N	\N
415751	1412	1995-03-07	PRIJEM	VKLAD	14287	31776	\N	\N	\N
415752	1412	1995-04-07	PRIJEM	VKLAD	14287	35621	\N	\N	\N
415753	1412	1995-05-07	PRIJEM	VKLAD	14287	39481	\N	\N	\N
415754	1412	1995-06-07	PRIJEM	VKLAD	21431	42801	\N	\N	\N
415755	1412	1995-07-07	PRIJEM	VKLAD	14287	37021	\N	\N	\N
415756	1412	1995-08-07	PRIJEM	VKLAD	14287	33486	\N	\N	\N
415757	1412	1995-09-07	PRIJEM	VKLAD	14287	36657	\N	\N	\N
415758	1412	1995-10-07	PRIJEM	VKLAD	14287	35447	\N	\N	\N
415759	1412	1995-11-07	PRIJEM	VKLAD	14287	34836	\N	\N	\N
415760	1412	1995-12-07	PRIJEM	VKLAD	21431	39165	\N	\N	\N
415761	1412	1996-01-07	PRIJEM	VKLAD	14287	33061	\N	\N	\N
415762	1412	1996-02-07	PRIJEM	VKLAD	14287	28377	\N	\N	\N
415763	1412	1996-03-07	PRIJEM	VKLAD	14287	27727	\N	\N	\N
415764	1412	1996-04-07	PRIJEM	VKLAD	14287	29183	\N	\N	\N
415765	1412	1996-05-07	PRIJEM	VKLAD	14287	31403	\N	\N	\N
415766	1412	1996-06-07	PRIJEM	VKLAD	21431	42512	\N	\N	\N
415767	1412	1996-07-07	PRIJEM	VKLAD	14287	38718	\N	\N	\N
415768	1412	1996-08-07	PRIJEM	VKLAD	14287	38520	\N	\N	\N
415769	1412	1996-09-07	PRIJEM	VKLAD	14287	35159	\N	\N	\N
415770	1412	1996-10-07	PRIJEM	VKLAD	14287	36534	\N	\N	\N
415771	1412	1996-11-07	PRIJEM	VKLAD	14287	39415	\N	\N	\N
415772	1412	1996-12-07	PRIJEM	VKLAD	21431	44750	\N	\N	\N
415773	1412	1997-01-07	PRIJEM	VKLAD	14287	38735	\N	\N	\N
415774	1412	1997-02-07	PRIJEM	VKLAD	14287	27465	\N	\N	\N
415775	1412	1997-03-07	PRIJEM	VKLAD	14287	31808	\N	\N	\N
415776	1412	1997-04-07	PRIJEM	VKLAD	14287	32479	\N	\N	\N
415777	1412	1997-05-07	PRIJEM	VKLAD	14287	32340	\N	\N	\N
415778	1412	1997-06-07	PRIJEM	VKLAD	21431	39240	\N	\N	\N
415779	1412	1997-07-07	PRIJEM	VKLAD	14287	29911	\N	\N	\N
415780	1412	1997-08-07	PRIJEM	VKLAD	14287	30259	\N	\N	\N
415781	1412	1997-09-07	PRIJEM	VKLAD	14287	34711	\N	\N	\N
415782	1412	1997-10-07	PRIJEM	VKLAD	14287	33074	\N	\N	\N
415783	1412	1997-11-07	PRIJEM	VKLAD	14287	32331	\N	\N	\N
415784	1412	1997-12-07	PRIJEM	VKLAD	21431	38127	\N	\N	\N
415785	1412	1998-01-07	PRIJEM	VKLAD	14287	30711	\N	\N	\N
415786	1412	1998-02-07	PRIJEM	VKLAD	14287	31888	\N	\N	\N
415787	1412	1998-03-07	PRIJEM	VKLAD	14287	32439	\N	\N	\N
415788	1412	1998-04-07	PRIJEM	VKLAD	14287	29565	\N	\N	\N
415789	1412	1998-05-07	PRIJEM	VKLAD	14287	35012	\N	\N	\N
415790	1412	1998-06-07	PRIJEM	VKLAD	21431	42819	\N	\N	\N
415791	1412	1998-07-07	PRIJEM	VKLAD	14287	31851	\N	\N	\N
415792	1412	1998-08-07	PRIJEM	VKLAD	14287	33701	\N	\N	\N
415793	1412	1998-09-07	PRIJEM	VKLAD	14287	32352	\N	\N	\N
415794	1412	1998-10-07	PRIJEM	VKLAD	14287	28293	\N	\N	\N
415795	1412	1998-11-07	PRIJEM	VKLAD	14287	35599	\N	\N	\N
415796	1412	1998-12-07	PRIJEM	VKLAD	21431	37191	\N	\N	\N
415807	1412	1993-11-06	VYDAJ	PREVOD NA UCET	936	36344	SIPO	OP	20603227
415808	1412	1993-12-06	VYDAJ	PREVOD NA UCET	936	37065	SIPO	OP	20603227
415809	1412	1994-01-06	VYDAJ	PREVOD NA UCET	936	35318	SIPO	OP	20603227
415810	1412	1994-02-06	VYDAJ	PREVOD NA UCET	936	20853	SIPO	OP	20603227
415811	1412	1994-03-06	VYDAJ	PREVOD NA UCET	936	26339	SIPO	OP	20603227
415812	1412	1994-04-06	VYDAJ	PREVOD NA UCET	936	30627	SIPO	OP	20603227
415813	1412	1994-05-06	VYDAJ	PREVOD NA UCET	936	33629	SIPO	OP	20603227
415814	1412	1994-06-06	VYDAJ	PREVOD NA UCET	936	32073	SIPO	OP	20603227
415815	1412	1994-07-06	VYDAJ	PREVOD NA UCET	936	25148	SIPO	OP	20603227
415816	1412	1994-08-06	VYDAJ	PREVOD NA UCET	936	27725	SIPO	OP	20603227
415817	1412	1994-09-06	VYDAJ	PREVOD NA UCET	936	32718	SIPO	OP	20603227
415818	1412	1994-10-06	VYDAJ	PREVOD NA UCET	936	31395	SIPO	OP	20603227
415819	1412	1994-11-06	VYDAJ	PREVOD NA UCET	936	30209	SIPO	OP	20603227
415820	1412	1994-12-06	VYDAJ	PREVOD NA UCET	936	29493	SIPO	OP	20603227
415821	1412	1995-01-06	VYDAJ	PREVOD NA UCET	936	28153	SIPO	OP	20603227
415822	1412	1995-02-06	VYDAJ	PREVOD NA UCET	936	14099	SIPO	OP	20603227
415823	1412	1995-03-06	VYDAJ	PREVOD NA UCET	936	17489	SIPO	OP	20603227
415824	1412	1995-04-06	VYDAJ	PREVOD NA UCET	936	21334	SIPO	OP	20603227
415825	1412	1995-05-06	VYDAJ	PREVOD NA UCET	936	25194	SIPO	OP	20603227
415826	1412	1995-06-06	VYDAJ	PREVOD NA UCET	936	21370	SIPO	OP	20603227
415827	1412	1995-07-06	VYDAJ	PREVOD NA UCET	936	22734	SIPO	OP	20603227
415828	1412	1995-08-06	VYDAJ	PREVOD NA UCET	936	19199	SIPO	OP	20603227
415829	1412	1995-09-06	VYDAJ	PREVOD NA UCET	936	22370	SIPO	OP	20603227
415830	1412	1995-10-06	VYDAJ	PREVOD NA UCET	936	21160	SIPO	OP	20603227
415831	1412	1995-11-06	VYDAJ	PREVOD NA UCET	936	20549	SIPO	OP	20603227
415832	1412	1995-12-06	VYDAJ	PREVOD NA UCET	936	17735	SIPO	OP	20603227
415833	1412	1996-01-06	VYDAJ	PREVOD NA UCET	936	18774	SIPO	OP	20603227
415834	1412	1996-02-06	VYDAJ	PREVOD NA UCET	936	14090	SIPO	OP	20603227
415835	1412	1996-03-06	VYDAJ	PREVOD NA UCET	936	13440	SIPO	OP	20603227
415836	1412	1996-04-06	VYDAJ	PREVOD NA UCET	936	14896	SIPO	OP	20603227
415837	1412	1996-05-06	VYDAJ	PREVOD NA UCET	936	17116	SIPO	OP	20603227
415838	1412	1996-06-06	VYDAJ	PREVOD NA UCET	936	21081	SIPO	OP	20603227
415839	1412	1996-07-06	VYDAJ	PREVOD NA UCET	936	24431	SIPO	OP	20603227
415840	1412	1996-08-06	VYDAJ	PREVOD NA UCET	936	24233	SIPO	OP	20603227
415841	1412	1996-09-06	VYDAJ	PREVOD NA UCET	936	20872	SIPO	OP	20603227
415842	1412	1996-10-06	VYDAJ	PREVOD NA UCET	936	22247	SIPO	OP	20603227
415843	1412	1996-11-06	VYDAJ	PREVOD NA UCET	936	25128	SIPO	OP	20603227
415844	1412	1996-12-06	VYDAJ	PREVOD NA UCET	936	23319	SIPO	OP	20603227
415845	1412	1997-01-06	VYDAJ	PREVOD NA UCET	936	24448	SIPO	OP	20603227
415846	1412	1997-02-06	VYDAJ	PREVOD NA UCET	936	13178	SIPO	OP	20603227
415847	1412	1997-03-06	VYDAJ	PREVOD NA UCET	936	17521	SIPO	OP	20603227
415848	1412	1997-04-06	VYDAJ	PREVOD NA UCET	936	18192	SIPO	OP	20603227
415849	1412	1997-05-06	VYDAJ	PREVOD NA UCET	936	18053	SIPO	OP	20603227
415850	1412	1997-06-06	VYDAJ	PREVOD NA UCET	936	17810	SIPO	OP	20603227
416018	1412	1998-06-07	VYDAJ	VYBER	12320	30499	\N	\N	\N
415851	1412	1997-07-06	VYDAJ	PREVOD NA UCET	936	15624	SIPO	OP	20603227
415852	1412	1997-08-06	VYDAJ	PREVOD NA UCET	936	15972	SIPO	OP	20603227
415853	1412	1997-09-06	VYDAJ	PREVOD NA UCET	936	20424	SIPO	OP	20603227
415854	1412	1997-10-06	VYDAJ	PREVOD NA UCET	936	18787	SIPO	OP	20603227
415855	1412	1997-11-06	VYDAJ	PREVOD NA UCET	936	18044	SIPO	OP	20603227
415856	1412	1997-12-06	VYDAJ	PREVOD NA UCET	936	16697	SIPO	OP	20603227
415857	1412	1998-01-06	VYDAJ	PREVOD NA UCET	936	16424	SIPO	OP	20603227
415858	1412	1998-02-06	VYDAJ	PREVOD NA UCET	936	17601	SIPO	OP	20603227
415859	1412	1998-03-06	VYDAJ	PREVOD NA UCET	936	18152	SIPO	OP	20603227
415860	1412	1998-04-06	VYDAJ	PREVOD NA UCET	936	15278	SIPO	OP	20603227
415861	1412	1998-05-06	VYDAJ	PREVOD NA UCET	936	20725	SIPO	OP	20603227
415862	1412	1998-06-06	VYDAJ	PREVOD NA UCET	936	21388	SIPO	OP	20603227
415863	1412	1998-07-06	VYDAJ	PREVOD NA UCET	936	17564	SIPO	OP	20603227
415864	1412	1998-08-06	VYDAJ	PREVOD NA UCET	936	19414	SIPO	OP	20603227
415865	1412	1998-09-06	VYDAJ	PREVOD NA UCET	936	18065	SIPO	OP	20603227
415866	1412	1998-10-06	VYDAJ	PREVOD NA UCET	936	14006	SIPO	OP	20603227
415867	1412	1998-11-06	VYDAJ	PREVOD NA UCET	936	21312	SIPO	OP	20603227
415868	1412	1998-12-06	VYDAJ	PREVOD NA UCET	936	15761	SIPO	OP	20603227
415878	1412	1993-10-10	VYDAJ	PREVOD NA UCET	1773	48331	 	MN	65591120
415879	1412	1993-11-10	VYDAJ	PREVOD NA UCET	1773	47748	 	MN	65591120
415880	1412	1993-12-10	VYDAJ	PREVOD NA UCET	1773	55612	 	MN	65591120
415881	1412	1994-01-10	VYDAJ	PREVOD NA UCET	1773	43482	 	MN	65591120
415882	1412	1994-02-10	VYDAJ	PREVOD NA UCET	1773	31177	 	MN	65591120
415883	1412	1994-03-10	VYDAJ	PREVOD NA UCET	1773	37743	 	MN	65591120
415884	1412	1994-04-10	VYDAJ	PREVOD NA UCET	1773	42031	 	MN	65591120
415885	1412	1994-05-10	VYDAJ	PREVOD NA UCET	1773	45033	 	MN	65591120
415886	1412	1994-06-10	VYDAJ	PREVOD NA UCET	1773	50621	 	MN	65591120
415887	1412	1994-07-10	VYDAJ	PREVOD NA UCET	1773	36552	 	MN	65591120
415888	1412	1994-08-10	VYDAJ	PREVOD NA UCET	1773	39129	 	MN	65591120
415889	1412	1994-09-10	VYDAJ	PREVOD NA UCET	1773	44122	 	MN	65591120
415890	1412	1994-10-10	VYDAJ	PREVOD NA UCET	1773	39799	 	MN	65591120
415891	1412	1994-11-10	VYDAJ	PREVOD NA UCET	1773	30313	 	MN	65591120
415892	1412	1994-12-10	VYDAJ	PREVOD NA UCET	1773	35840	 	MN	65591120
415893	1412	1995-01-10	VYDAJ	PREVOD NA UCET	1773	26957	 	MN	65591120
415894	1412	1995-02-10	VYDAJ	PREVOD NA UCET	1773	18363	 	MN	65591120
415895	1412	1995-03-10	VYDAJ	PREVOD NA UCET	1773	22193	 	MN	65591120
415896	1412	1995-04-10	VYDAJ	PREVOD NA UCET	1773	26038	 	MN	65591120
415897	1412	1995-05-10	VYDAJ	PREVOD NA UCET	1773	26898	 	MN	65591120
415898	1412	1995-06-10	VYDAJ	PREVOD NA UCET	1773	29018	 	MN	65591120
415899	1412	1995-07-10	VYDAJ	PREVOD NA UCET	1773	23638	 	MN	65591120
415900	1412	1995-08-10	VYDAJ	PREVOD NA UCET	1773	30603	 	MN	65591120
415901	1412	1995-09-10	VYDAJ	PREVOD NA UCET	1773	33774	 	MN	65591120
415902	1412	1995-10-10	VYDAJ	PREVOD NA UCET	1773	32564	 	MN	65591120
415903	1412	1995-11-10	VYDAJ	PREVOD NA UCET	1773	31953	 	MN	65591120
415904	1412	1995-12-10	VYDAJ	PREVOD NA UCET	1773	36282	 	MN	65591120
415905	1412	1996-01-10	VYDAJ	PREVOD NA UCET	1773	28618	 	MN	65591120
415906	1412	1996-02-10	VYDAJ	PREVOD NA UCET	1773	25494	 	MN	65591120
415907	1412	1996-03-10	VYDAJ	PREVOD NA UCET	1773	24844	 	MN	65591120
415908	1412	1996-04-10	VYDAJ	PREVOD NA UCET	1773	26300	 	MN	65591120
415909	1412	1996-05-10	VYDAJ	PREVOD NA UCET	1773	28520	 	MN	65591120
415910	1412	1996-06-10	VYDAJ	PREVOD NA UCET	1773	39629	 	MN	65591120
415911	1412	1996-07-10	VYDAJ	PREVOD NA UCET	1773	35835	 	MN	65591120
415912	1412	1996-08-10	VYDAJ	PREVOD NA UCET	1773	35637	 	MN	65591120
415913	1412	1996-09-10	VYDAJ	PREVOD NA UCET	1773	32276	 	MN	65591120
415914	1412	1996-10-10	VYDAJ	PREVOD NA UCET	1773	33651	 	MN	65591120
415915	1412	1996-11-10	VYDAJ	PREVOD NA UCET	1773	36532	 	MN	65591120
415916	1412	1996-12-10	VYDAJ	PREVOD NA UCET	1773	41867	 	MN	65591120
415917	1412	1997-01-10	VYDAJ	PREVOD NA UCET	1773	35852	 	MN	65591120
415918	1412	1997-02-10	VYDAJ	PREVOD NA UCET	1773	24582	 	MN	65591120
415919	1412	1997-03-10	VYDAJ	PREVOD NA UCET	1773	28925	 	MN	65591120
415920	1412	1997-04-10	VYDAJ	PREVOD NA UCET	1773	29596	 	MN	65591120
415921	1412	1997-05-10	VYDAJ	PREVOD NA UCET	1773	29457	 	MN	65591120
415922	1412	1997-06-10	VYDAJ	PREVOD NA UCET	1773	36357	 	MN	65591120
415923	1412	1997-07-10	VYDAJ	PREVOD NA UCET	1773	27028	 	MN	65591120
415924	1412	1997-08-10	VYDAJ	PREVOD NA UCET	1773	27376	 	MN	65591120
415925	1412	1997-09-10	VYDAJ	PREVOD NA UCET	1773	31828	 	MN	65591120
415926	1412	1997-10-10	VYDAJ	PREVOD NA UCET	1773	30191	 	MN	65591120
415927	1412	1997-11-10	VYDAJ	PREVOD NA UCET	1773	29448	 	MN	65591120
415928	1412	1997-12-10	VYDAJ	PREVOD NA UCET	1773	35244	 	MN	65591120
415929	1412	1998-01-10	VYDAJ	PREVOD NA UCET	1773	24828	 	MN	65591120
415930	1412	1998-02-10	VYDAJ	PREVOD NA UCET	1773	29005	 	MN	65591120
415931	1412	1998-03-10	VYDAJ	PREVOD NA UCET	1773	29556	 	MN	65591120
415932	1412	1998-04-10	VYDAJ	PREVOD NA UCET	1773	26682	 	MN	65591120
415933	1412	1998-05-10	VYDAJ	PREVOD NA UCET	1773	32129	 	MN	65591120
415934	1412	1998-06-10	VYDAJ	PREVOD NA UCET	1773	27616	 	MN	65591120
415935	1412	1998-07-10	VYDAJ	PREVOD NA UCET	1773	28968	 	MN	65591120
415936	1412	1998-08-10	VYDAJ	PREVOD NA UCET	1773	30818	 	MN	65591120
415937	1412	1998-09-10	VYDAJ	PREVOD NA UCET	1773	29469	 	MN	65591120
415938	1412	1998-10-10	VYDAJ	PREVOD NA UCET	1773	25410	 	MN	65591120
415939	1412	1998-11-10	VYDAJ	PREVOD NA UCET	1773	32716	 	MN	65591120
415940	1412	1998-12-10	VYDAJ	PREVOD NA UCET	1773	34308	 	MN	65591120
415950	1412	1993-10-09	VYDAJ	PREVOD NA UCET	1110	50104	POJISTNE	ST	86234765
415951	1412	1993-11-09	VYDAJ	PREVOD NA UCET	1110	49521	POJISTNE	ST	86234765
415952	1412	1993-12-09	VYDAJ	PREVOD NA UCET	1110	57385	POJISTNE	ST	86234765
415953	1412	1994-01-09	VYDAJ	PREVOD NA UCET	1110	45255	POJISTNE	ST	86234765
415954	1412	1994-02-09	VYDAJ	PREVOD NA UCET	1110	32950	POJISTNE	ST	86234765
415955	1412	1994-03-09	VYDAJ	PREVOD NA UCET	1110	39516	POJISTNE	ST	86234765
415956	1412	1994-04-09	VYDAJ	PREVOD NA UCET	1110	43804	POJISTNE	ST	86234765
415957	1412	1994-05-09	VYDAJ	PREVOD NA UCET	1110	46806	POJISTNE	ST	86234765
415958	1412	1994-06-09	VYDAJ	PREVOD NA UCET	1110	52394	POJISTNE	ST	86234765
415959	1412	1994-07-09	VYDAJ	PREVOD NA UCET	1110	38325	POJISTNE	ST	86234765
415960	1412	1994-08-09	VYDAJ	PREVOD NA UCET	1110	40902	POJISTNE	ST	86234765
415961	1412	1994-09-09	VYDAJ	PREVOD NA UCET	1110	45895	POJISTNE	ST	86234765
415962	1412	1994-10-09	VYDAJ	PREVOD NA UCET	1110	41572	POJISTNE	ST	86234765
415963	1412	1994-11-09	VYDAJ	PREVOD NA UCET	1110	32086	POJISTNE	ST	86234765
415964	1412	1994-12-09	VYDAJ	PREVOD NA UCET	1110	49813	POJISTNE	ST	86234765
415965	1412	1995-01-09	VYDAJ	PREVOD NA UCET	1110	28730	POJISTNE	ST	86234765
415966	1412	1995-02-09	VYDAJ	PREVOD NA UCET	1110	21576	POJISTNE	ST	86234765
415967	1412	1995-03-09	VYDAJ	PREVOD NA UCET	1110	23966	POJISTNE	ST	86234765
415968	1412	1995-04-09	VYDAJ	PREVOD NA UCET	1110	27811	POJISTNE	ST	86234765
415969	1412	1995-05-09	VYDAJ	PREVOD NA UCET	1110	28671	POJISTNE	ST	86234765
415970	1412	1995-06-09	VYDAJ	PREVOD NA UCET	1110	30791	POJISTNE	ST	86234765
415971	1412	1995-07-09	VYDAJ	PREVOD NA UCET	1110	25411	POJISTNE	ST	86234765
415972	1412	1995-08-09	VYDAJ	PREVOD NA UCET	1110	32376	POJISTNE	ST	86234765
415973	1412	1995-09-09	VYDAJ	PREVOD NA UCET	1110	35547	POJISTNE	ST	86234765
415974	1412	1995-10-09	VYDAJ	PREVOD NA UCET	1110	34337	POJISTNE	ST	86234765
415975	1412	1995-11-09	VYDAJ	PREVOD NA UCET	1110	33726	POJISTNE	ST	86234765
415976	1412	1995-12-09	VYDAJ	PREVOD NA UCET	1110	38055	POJISTNE	ST	86234765
415977	1412	1996-01-09	VYDAJ	PREVOD NA UCET	1110	30391	POJISTNE	ST	86234765
415978	1412	1996-02-09	VYDAJ	PREVOD NA UCET	1110	27267	POJISTNE	ST	86234765
415979	1412	1996-03-09	VYDAJ	PREVOD NA UCET	1110	26617	POJISTNE	ST	86234765
415980	1412	1996-04-09	VYDAJ	PREVOD NA UCET	1110	28073	POJISTNE	ST	86234765
415981	1412	1996-05-09	VYDAJ	PREVOD NA UCET	1110	30293	POJISTNE	ST	86234765
415982	1412	1996-06-09	VYDAJ	PREVOD NA UCET	1110	41402	POJISTNE	ST	86234765
415983	1412	1996-07-09	VYDAJ	PREVOD NA UCET	1110	37608	POJISTNE	ST	86234765
415984	1412	1996-08-09	VYDAJ	PREVOD NA UCET	1110	37410	POJISTNE	ST	86234765
415985	1412	1996-09-09	VYDAJ	PREVOD NA UCET	1110	34049	POJISTNE	ST	86234765
415986	1412	1996-10-09	VYDAJ	PREVOD NA UCET	1110	35424	POJISTNE	ST	86234765
415987	1412	1996-11-09	VYDAJ	PREVOD NA UCET	1110	38305	POJISTNE	ST	86234765
415988	1412	1996-12-09	VYDAJ	PREVOD NA UCET	1110	43640	POJISTNE	ST	86234765
415989	1412	1997-01-09	VYDAJ	PREVOD NA UCET	1110	37625	POJISTNE	ST	86234765
415990	1412	1997-02-09	VYDAJ	PREVOD NA UCET	1110	26355	POJISTNE	ST	86234765
415991	1412	1997-03-09	VYDAJ	PREVOD NA UCET	1110	30698	POJISTNE	ST	86234765
415992	1412	1997-04-09	VYDAJ	PREVOD NA UCET	1110	31369	POJISTNE	ST	86234765
415993	1412	1997-05-09	VYDAJ	PREVOD NA UCET	1110	31230	POJISTNE	ST	86234765
415994	1412	1997-06-09	VYDAJ	PREVOD NA UCET	1110	38130	POJISTNE	ST	86234765
415995	1412	1997-07-09	VYDAJ	PREVOD NA UCET	1110	28801	POJISTNE	ST	86234765
415996	1412	1997-08-09	VYDAJ	PREVOD NA UCET	1110	29149	POJISTNE	ST	86234765
415997	1412	1997-09-09	VYDAJ	PREVOD NA UCET	1110	33601	POJISTNE	ST	86234765
415998	1412	1997-10-09	VYDAJ	PREVOD NA UCET	1110	31964	POJISTNE	ST	86234765
415999	1412	1997-11-09	VYDAJ	PREVOD NA UCET	1110	31221	POJISTNE	ST	86234765
416000	1412	1997-12-09	VYDAJ	PREVOD NA UCET	1110	37017	POJISTNE	ST	86234765
416001	1412	1998-01-09	VYDAJ	PREVOD NA UCET	1110	26601	POJISTNE	ST	86234765
416002	1412	1998-02-09	VYDAJ	PREVOD NA UCET	1110	30778	POJISTNE	ST	86234765
416003	1412	1998-03-09	VYDAJ	PREVOD NA UCET	1110	31329	POJISTNE	ST	86234765
416004	1412	1998-04-09	VYDAJ	PREVOD NA UCET	1110	28455	POJISTNE	ST	86234765
416005	1412	1998-05-09	VYDAJ	PREVOD NA UCET	1110	33902	POJISTNE	ST	86234765
416006	1412	1998-06-09	VYDAJ	PREVOD NA UCET	1110	29389	POJISTNE	ST	86234765
416007	1412	1998-07-09	VYDAJ	PREVOD NA UCET	1110	30741	POJISTNE	ST	86234765
416008	1412	1998-08-09	VYDAJ	PREVOD NA UCET	1110	32591	POJISTNE	ST	86234765
416009	1412	1998-09-09	VYDAJ	PREVOD NA UCET	1110	31242	POJISTNE	ST	86234765
416010	1412	1998-10-09	VYDAJ	PREVOD NA UCET	1110	27183	POJISTNE	ST	86234765
416011	1412	1998-11-09	VYDAJ	PREVOD NA UCET	1110	34489	POJISTNE	ST	86234765
416012	1412	1998-12-09	VYDAJ	PREVOD NA UCET	1110	36081	POJISTNE	ST	86234765
416014	1412	1994-06-26	VYDAJ	VYBER	7680	28101	\N	\N	\N
416015	1412	1995-06-19	VYDAJ	VYBER	5440	23578	\N	\N	\N
416020	1412	1994-01-01	VYDAJ	VYBER	2240	36254	\N	\N	\N
416021	1412	1995-01-15	VYDAJ	VYBER	3360	18197	\N	\N	\N
416022	1412	1996-01-11	VYDAJ	VYBER	2880	25738	\N	\N	\N
416023	1412	1997-01-16	VYDAJ	VYBER	12960	19532	\N	\N	\N
416025	1412	1993-12-13	VYDAJ	VYBER	4480	51132	\N	\N	\N
416026	1412	1994-12-23	VYDAJ	VYBER	4480	31360	\N	\N	\N
416027	1412	1995-12-04	VYDAJ	VYBER	800	18671	\N	\N	\N
416028	1412	1996-12-30	VYDAJ	VYBER	960	26807	\N	\N	\N
416029	1412	1997-12-26	VYDAJ	VYBER	3680	17264	\N	\N	\N
416030	1412	1998-12-11	VYDAJ	VYBER	2560	31748	\N	\N	\N
416037	1412	1994-01-24	VYDAJ	VYBER	960	28982	\N	\N	\N
416038	1412	1994-01-29	VYDAJ	VYBER	2880	24782	\N	\N	\N
416039	1412	1994-01-29	VYDAJ	VYBER	3120	21662	\N	\N	\N
416040	1412	1994-01-12	VYDAJ	VYBER	1920	41562	\N	\N	\N
416041	1412	1994-01-25	VYDAJ	VYBER	1320	27662	\N	\N	\N
416042	1412	1994-01-07	VYDAJ	VYBER	3240	46365	\N	\N	\N
416043	1412	1995-01-29	VYDAJ	VYBER	2160	14957	\N	\N	\N
416044	1412	1995-01-24	VYDAJ	VYBER	1080	17117	\N	\N	\N
416045	1412	1995-01-07	VYDAJ	VYBER	600	41840	\N	\N	\N
416046	1412	1995-01-11	VYDAJ	VYBER	1560	21557	\N	\N	\N
416047	1412	1995-01-07	VYDAJ	VYBER	1200	40640	\N	\N	\N
416048	1412	1995-01-02	VYDAJ	VYBER	2400	29089	\N	\N	\N
416049	1412	1996-01-23	VYDAJ	VYBER	3360	20218	\N	\N	\N
416050	1412	1996-01-08	VYDAJ	VYBER	1560	31501	\N	\N	\N
416051	1412	1996-01-20	VYDAJ	VYBER	2160	23578	\N	\N	\N
416052	1412	1996-01-24	VYDAJ	VYBER	2760	17458	\N	\N	\N
416054	1412	1996-01-26	VYDAJ	VYBER	2520	14938	\N	\N	\N
416055	1412	1997-01-04	VYDAJ	VYBER	1560	25384	\N	\N	\N
416056	1412	1997-01-23	VYDAJ	VYBER	2040	15332	\N	\N	\N
416057	1412	1997-01-20	VYDAJ	VYBER	2160	17372	\N	\N	\N
416058	1412	1997-01-12	VYDAJ	VYBER	2040	32492	\N	\N	\N
416060	1412	1997-01-11	VYDAJ	VYBER	1320	34532	\N	\N	\N
416061	1412	1998-01-11	VYDAJ	VYBER	2880	21948	\N	\N	\N
416063	1412	1998-01-17	VYDAJ	VYBER	2040	19908	\N	\N	\N
416065	1412	1998-01-30	VYDAJ	VYBER	1440	18468	\N	\N	\N
416066	1412	1998-01-09	VYDAJ	VYBER	3000	27711	\N	\N	\N
416071	1412	1994-06-25	VYDAJ	VYBER	2640	35781	\N	\N	\N
416072	1412	1994-10-08	VYDAJ	VYBER	3000	42682	\N	\N	\N
416073	1412	1994-06-30	VYDAJ	VYBER	2160	26099	\N	\N	\N
416074	1412	1994-01-23	VYDAJ	VYBER	2520	29942	\N	\N	\N
416075	1412	1994-02-07	VYDAJ	VYBER	1080	34060	\N	\N	\N
416076	1412	1994-06-01	VYDAJ	VYBER	960	33009	\N	\N	\N
416077	1412	1994-09-19	VYDAJ	VYBER	2520	32202	\N	\N	\N
416078	1412	1995-07-23	VYDAJ	VYBER	5880	17758	\N	\N	\N
416079	1412	1995-02-10	VYDAJ	VYBER	1440	20136	\N	\N	\N
416080	1412	1995-05-15	VYDAJ	VYBER	4680	22218	\N	\N	\N
416081	1412	1995-01-11	VYDAJ	VYBER	3840	23117	\N	\N	\N
416083	1412	1996-08-24	VYDAJ	VYBER	1200	29397	\N	\N	\N
416084	1412	1996-09-25	VYDAJ	VYBER	1200	31076	\N	\N	\N
416085	1412	1996-05-02	VYDAJ	VYBER	3240	23152	\N	\N	\N
416086	1412	1996-08-14	VYDAJ	VYBER	3600	32037	\N	\N	\N
416087	1412	1996-08-20	VYDAJ	VYBER	1440	30597	\N	\N	\N
416088	1412	1996-05-23	VYDAJ	VYBER	1800	26720	\N	\N	\N
416089	1412	1997-03-11	VYDAJ	VYBER	3480	25445	\N	\N	\N
416090	1412	1997-05-24	VYDAJ	VYBER	5760	23697	\N	\N	\N
416091	1412	1997-05-27	VYDAJ	VYBER	5040	18657	\N	\N	\N
416092	1412	1997-06-18	VYDAJ	VYBER	3600	32757	\N	\N	\N
416093	1412	1998-10-30	VYDAJ	VYBER	2640	22170	\N	\N	\N
416094	1412	1998-10-27	VYDAJ	VYBER	600	24810	\N	\N	\N
416096	1412	1998-03-11	VYDAJ	VYBER	1920	27636	\N	\N	\N
416107	1412	1993-10-31	VYDAJ	VYBER	15	37280	SLUZBY	\N	\N
416108	1412	1993-11-30	VYDAJ	VYBER	15	38001	SLUZBY	\N	\N
416109	1412	1993-12-31	VYDAJ	VYBER	15	38494	SLUZBY	\N	\N
416110	1412	1994-01-31	VYDAJ	VYBER	15	21789	SLUZBY	\N	\N
416111	1412	1994-02-28	VYDAJ	VYBER	15	27275	SLUZBY	\N	\N
416112	1412	1994-03-31	VYDAJ	VYBER	15	31563	SLUZBY	\N	\N
416113	1412	1994-04-30	VYDAJ	VYBER	15	34565	SLUZBY	\N	\N
416114	1412	1994-05-31	VYDAJ	VYBER	15	33969	SLUZBY	\N	\N
416115	1412	1994-06-30	VYDAJ	VYBER	15	26084	SLUZBY	\N	\N
416116	1412	1994-07-31	VYDAJ	VYBER	15	28661	SLUZBY	\N	\N
416117	1412	1994-08-31	VYDAJ	VYBER	15	33654	SLUZBY	\N	\N
416118	1412	1994-09-30	VYDAJ	VYBER	15	32331	SLUZBY	\N	\N
416119	1412	1994-10-31	VYDAJ	VYBER	15	31145	SLUZBY	\N	\N
416120	1412	1994-11-30	VYDAJ	VYBER	15	30429	SLUZBY	\N	\N
416121	1412	1994-12-31	VYDAJ	VYBER	15	31489	SLUZBY	\N	\N
416122	1412	1995-01-31	VYDAJ	VYBER	15	15035	SLUZBY	\N	\N
416123	1412	1995-02-28	VYDAJ	VYBER	15	18425	SLUZBY	\N	\N
416124	1412	1995-03-31	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
416125	1412	1995-04-30	VYDAJ	VYBER	15	26130	SLUZBY	\N	\N
416126	1412	1995-05-31	VYDAJ	VYBER	15	22306	SLUZBY	\N	\N
416127	1412	1995-06-30	VYDAJ	VYBER	15	23670	SLUZBY	\N	\N
416128	1412	1995-07-31	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
416129	1412	1995-08-31	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
416130	1412	1995-09-30	VYDAJ	VYBER	15	33896	SLUZBY	\N	\N
416131	1412	1995-10-31	VYDAJ	VYBER	15	32685	SLUZBY	\N	\N
416132	1412	1995-11-30	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
416133	1412	1995-12-31	VYDAJ	VYBER	15	36410	SLUZBY	\N	\N
416134	1412	1996-01-31	VYDAJ	VYBER	15	15026	SLUZBY	\N	\N
416135	1412	1996-02-29	VYDAJ	VYBER	15	25576	SLUZBY	\N	\N
416136	1412	1996-03-31	VYDAJ	VYBER	15	24932	SLUZBY	\N	\N
416137	1412	1996-04-30	VYDAJ	VYBER	15	26392	SLUZBY	\N	\N
416138	1412	1996-05-31	VYDAJ	VYBER	15	26817	SLUZBY	\N	\N
416139	1412	1996-06-30	VYDAJ	VYBER	15	39767	SLUZBY	\N	\N
416140	1412	1996-07-31	VYDAJ	VYBER	15	35969	SLUZBY	\N	\N
416141	1412	1996-08-31	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
416142	1412	1996-09-30	VYDAJ	VYBER	15	23183	SLUZBY	\N	\N
416143	1412	1996-10-31	VYDAJ	VYBER	15	26064	SLUZBY	\N	\N
416144	1412	1996-11-30	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
416145	1412	1996-12-31	VYDAJ	VYBER	15	26944	SLUZBY	\N	\N
416146	1412	1997-01-31	VYDAJ	VYBER	15	14114	SLUZBY	\N	\N
416147	1412	1997-02-28	VYDAJ	VYBER	15	18457	SLUZBY	\N	\N
416148	1412	1997-03-31	VYDAJ	VYBER	15	19128	SLUZBY	\N	\N
416149	1412	1997-04-30	VYDAJ	VYBER	15	18989	SLUZBY	\N	\N
416150	1412	1997-05-31	VYDAJ	VYBER	15	18746	SLUZBY	\N	\N
416151	1412	1997-06-30	VYDAJ	VYBER	15	16560	SLUZBY	\N	\N
416152	1412	1997-07-31	VYDAJ	VYBER	15	16908	SLUZBY	\N	\N
416153	1412	1997-08-31	VYDAJ	VYBER	15	21360	SLUZBY	\N	\N
416154	1412	1997-09-30	VYDAJ	VYBER	15	19723	SLUZBY	\N	\N
416155	1412	1997-10-31	VYDAJ	VYBER	15	18980	SLUZBY	\N	\N
416156	1412	1997-11-30	VYDAJ	VYBER	15	17633	SLUZBY	\N	\N
416157	1412	1997-12-31	VYDAJ	VYBER	15	17360	SLUZBY	\N	\N
416158	1412	1998-01-31	VYDAJ	VYBER	15	18537	SLUZBY	\N	\N
416159	1412	1998-02-28	VYDAJ	VYBER	15	19088	SLUZBY	\N	\N
416160	1412	1998-03-31	VYDAJ	VYBER	15	16214	SLUZBY	\N	\N
416161	1412	1998-04-30	VYDAJ	VYBER	15	21661	SLUZBY	\N	\N
416162	1412	1998-05-31	VYDAJ	VYBER	15	22324	SLUZBY	\N	\N
416163	1412	1998-06-30	VYDAJ	VYBER	15	18500	SLUZBY	\N	\N
416164	1412	1998-07-31	VYDAJ	VYBER	15	20350	SLUZBY	\N	\N
416165	1412	1998-08-31	VYDAJ	VYBER	15	19001	SLUZBY	\N	\N
416166	1412	1998-09-30	VYDAJ	VYBER	15	14942	SLUZBY	\N	\N
416167	1412	1998-10-31	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
416168	1412	1998-11-30	VYDAJ	VYBER	15	16697	SLUZBY	\N	\N
416169	1412	1993-06-17	VYDAJ	VYBER	500	21931	\N	\N	\N
416170	1412	1993-07-17	VYDAJ	VYBER	7700	28560	\N	\N	\N
416171	1412	1993-08-16	VYDAJ	VYBER	6700	36252	\N	\N	\N
416172	1412	1993-09-15	VYDAJ	VYBER	13900	36774	\N	\N	\N
416173	1412	1993-10-15	VYDAJ	VYBER	11200	37131	\N	\N	\N
416174	1412	1993-11-14	VYDAJ	VYBER	9900	37848	\N	\N	\N
416175	1412	1993-12-14	VYDAJ	VYBER	12800	38332	\N	\N	\N
416176	1412	1994-01-13	VYDAJ	VYBER	9100	32462	\N	\N	\N
416177	1412	1994-02-12	VYDAJ	VYBER	4000	27177	\N	\N	\N
416178	1412	1994-03-14	VYDAJ	VYBER	6300	31443	\N	\N	\N
416179	1412	1994-04-13	VYDAJ	VYBER	7600	34431	\N	\N	\N
416180	1412	1994-05-13	VYDAJ	VYBER	11200	33833	\N	\N	\N
416181	1412	1994-06-12	VYDAJ	VYBER	12200	38421	\N	\N	\N
416182	1412	1994-07-12	VYDAJ	VYBER	8000	28552	\N	\N	\N
416183	1412	1994-08-11	VYDAJ	VYBER	5600	33529	\N	\N	\N
416184	1412	1994-09-10	VYDAJ	VYBER	9400	34722	\N	\N	\N
416185	1412	1994-10-10	VYDAJ	VYBER	8800	30999	\N	\N	\N
416186	1412	1994-11-09	VYDAJ	VYBER	11300	33196	\N	\N	\N
416187	1412	1994-12-09	VYDAJ	VYBER	12200	37613	\N	\N	\N
416188	1412	1995-01-08	VYDAJ	VYBER	10800	29840	\N	\N	\N
416189	1412	1995-02-07	VYDAJ	VYBER	5700	22686	\N	\N	\N
416190	1412	1995-03-09	VYDAJ	VYBER	6700	25076	\N	\N	\N
416191	1412	1995-04-08	VYDAJ	VYBER	6700	28921	\N	\N	\N
416192	1412	1995-05-08	VYDAJ	VYBER	9700	29781	\N	\N	\N
416193	1412	1995-06-07	VYDAJ	VYBER	10900	31901	\N	\N	\N
416194	1412	1995-07-07	VYDAJ	VYBER	10500	26521	\N	\N	\N
416195	1412	1995-08-06	PRIJEM	VKLAD	2300	20135	\N	\N	\N
416196	1412	1995-09-05	VYDAJ	VYBER	7400	23306	\N	\N	\N
416197	1412	1995-10-05	VYDAJ	VYBER	11800	22096	\N	\N	\N
416198	1412	1995-11-04	VYDAJ	VYBER	11200	21485	\N	\N	\N
416199	1412	1995-12-04	VYDAJ	VYBER	12600	19471	\N	\N	\N
416200	1412	1996-01-03	VYDAJ	VYBER	16700	19710	\N	\N	\N
416201	1412	1996-03-03	VYDAJ	VYBER	11200	14376	\N	\N	\N
416202	1412	1996-04-02	VYDAJ	VYBER	9100	15832	\N	\N	\N
416203	1412	1996-05-02	VYDAJ	VYBER	5100	18052	\N	\N	\N
416204	1412	1996-06-01	VYDAJ	VYBER	4800	22017	\N	\N	\N
416205	1412	1996-07-01	VYDAJ	VYBER	14400	25367	\N	\N	\N
416206	1412	1996-07-31	VYDAJ	VYBER	10800	25169	\N	\N	\N
416207	1412	1996-08-30	VYDAJ	VYBER	7700	21697	\N	\N	\N
416208	1412	1996-09-29	VYDAJ	VYBER	8000	23076	\N	\N	\N
416209	1412	1996-10-29	VYDAJ	VYBER	7700	25951	\N	\N	\N
416210	1412	1996-11-28	VYDAJ	VYBER	12400	24132	\N	\N	\N
416211	1412	1996-12-28	VYDAJ	VYBER	14100	27767	\N	\N	\N
416212	1412	1997-01-27	VYDAJ	VYBER	1300	14032	\N	\N	\N
416213	1412	1997-02-26	VYDAJ	VYBER	6200	18382	\N	\N	\N
416214	1412	1997-03-28	VYDAJ	VYBER	6400	19045	\N	\N	\N
416215	1412	1997-04-27	VYDAJ	VYBER	10700	18896	\N	\N	\N
416216	1412	1997-06-26	VYDAJ	VYBER	16300	16457	\N	\N	\N
416217	1412	1997-07-26	VYDAJ	VYBER	10200	16828	\N	\N	\N
416218	1412	1997-08-25	VYDAJ	VYBER	6100	21276	\N	\N	\N
416219	1412	1997-09-24	VYDAJ	VYBER	12200	19628	\N	\N	\N
416220	1412	1997-10-24	VYDAJ	VYBER	11300	18891	\N	\N	\N
416221	1412	1997-11-23	VYDAJ	VYBER	11900	17548	\N	\N	\N
416222	1412	1997-12-23	VYDAJ	VYBER	14300	20944	\N	\N	\N
416223	1412	1998-02-21	VYDAJ	VYBER	10000	19005	\N	\N	\N
416224	1412	1998-03-23	VYDAJ	VYBER	11500	16136	\N	\N	\N
416225	1412	1998-04-22	VYDAJ	VYBER	5100	21582	\N	\N	\N
416226	1412	1998-05-22	VYDAJ	VYBER	9900	22229	\N	\N	\N
416227	1412	1998-06-21	VYDAJ	VYBER	9200	18416	\N	\N	\N
416228	1412	1998-07-21	VYDAJ	VYBER	8700	20268	\N	\N	\N
416229	1412	1998-08-20	VYDAJ	VYBER	11900	18918	\N	\N	\N
416230	1412	1998-09-19	VYDAJ	VYBER	14600	14869	\N	\N	\N
416231	1412	1998-11-18	VYDAJ	VYBER	16100	16616	\N	\N	\N
416299	1413	1995-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
416306	1413	1995-07-07	PRIJEM	VKLAD	14163	15263	\N	\N	\N
416307	1413	1995-08-07	PRIJEM	VKLAD	14163	34897	\N	\N	\N
416308	1413	1995-09-07	PRIJEM	VKLAD	14163	42094	\N	\N	\N
416309	1413	1995-10-07	PRIJEM	VKLAD	14163	46127	\N	\N	\N
416310	1413	1995-11-07	PRIJEM	VKLAD	14163	51179	\N	\N	\N
416311	1413	1995-12-07	PRIJEM	VKLAD	21244	54186	\N	\N	\N
416312	1413	1996-01-07	PRIJEM	VKLAD	14163	49820	\N	\N	\N
416313	1413	1996-02-07	PRIJEM	VKLAD	14163	43733	\N	\N	\N
416314	1413	1996-03-07	PRIJEM	VKLAD	14163	46229	\N	\N	\N
416315	1413	1996-04-07	PRIJEM	VKLAD	14163	42931	\N	\N	\N
416316	1413	1996-05-07	PRIJEM	VKLAD	14163	40223	\N	\N	\N
416317	1413	1996-06-07	PRIJEM	VKLAD	21244	46985	\N	\N	\N
416318	1413	1996-07-07	PRIJEM	VKLAD	14163	30964	\N	\N	\N
416319	1413	1996-08-07	PRIJEM	VKLAD	14163	31905	\N	\N	\N
416320	1413	1996-09-07	PRIJEM	VKLAD	14163	37247	\N	\N	\N
416321	1413	1996-10-07	PRIJEM	VKLAD	14163	34107	\N	\N	\N
416322	1413	1996-11-07	PRIJEM	VKLAD	14163	33454	\N	\N	\N
416323	1413	1996-12-07	PRIJEM	VKLAD	21244	36674	\N	\N	\N
416324	1413	1997-01-07	PRIJEM	VKLAD	14163	31417	\N	\N	\N
416325	1413	1997-02-07	PRIJEM	VKLAD	14163	28939	\N	\N	\N
416326	1413	1997-03-07	PRIJEM	VKLAD	14163	28963	\N	\N	\N
416327	1413	1997-04-07	PRIJEM	VKLAD	14163	30988	\N	\N	\N
416328	1413	1997-05-07	PRIJEM	VKLAD	14163	28914	\N	\N	\N
416329	1413	1997-06-07	PRIJEM	VKLAD	21244	37816	\N	\N	\N
416330	1413	1997-07-07	PRIJEM	VKLAD	14163	37467	\N	\N	\N
416331	1413	1997-08-07	PRIJEM	VKLAD	14163	36821	\N	\N	\N
416332	1413	1997-09-07	PRIJEM	VKLAD	14163	30169	\N	\N	\N
416333	1413	1997-10-07	PRIJEM	VKLAD	14163	28392	\N	\N	\N
416334	1413	1997-11-07	PRIJEM	VKLAD	14163	30802	\N	\N	\N
416335	1413	1997-12-07	PRIJEM	VKLAD	21244	34002	\N	\N	\N
416336	1413	1998-01-07	PRIJEM	VKLAD	14163	40243	\N	\N	\N
416337	1413	1998-02-07	PRIJEM	VKLAD	14163	28173	\N	\N	\N
416338	1413	1998-03-07	PRIJEM	VKLAD	14163	36294	\N	\N	\N
416339	1413	1998-04-07	PRIJEM	VKLAD	14163	30733	\N	\N	\N
416340	1413	1998-05-07	PRIJEM	VKLAD	14163	38865	\N	\N	\N
416341	1413	1998-06-07	PRIJEM	VKLAD	21244	42596	\N	\N	\N
416342	1413	1998-07-07	PRIJEM	VKLAD	14163	29849	\N	\N	\N
416343	1413	1998-08-07	PRIJEM	VKLAD	14163	37978	\N	\N	\N
416344	1413	1998-09-07	PRIJEM	VKLAD	14163	29019	\N	\N	\N
416345	1413	1998-10-07	PRIJEM	VKLAD	14163	35442	\N	\N	\N
416346	1413	1998-11-07	PRIJEM	VKLAD	14163	28166	\N	\N	\N
416347	1413	1998-12-07	PRIJEM	VKLAD	21244	39164	\N	\N	\N
416358	1413	1995-11-13	VYDAJ	PREVOD NA UCET	2016	45066	SIPO	GH	68355953
416359	1413	1995-12-13	VYDAJ	PREVOD NA UCET	2016	48073	SIPO	GH	68355953
416360	1413	1996-01-13	VYDAJ	PREVOD NA UCET	2016	43707	SIPO	GH	68355953
416361	1413	1996-02-13	VYDAJ	PREVOD NA UCET	2016	37620	SIPO	GH	68355953
416362	1413	1996-03-13	VYDAJ	PREVOD NA UCET	2016	40116	SIPO	GH	68355953
416363	1413	1996-04-13	VYDAJ	PREVOD NA UCET	2016	36818	SIPO	GH	68355953
416364	1413	1996-05-13	VYDAJ	PREVOD NA UCET	2016	34110	SIPO	GH	68355953
416365	1413	1996-06-13	VYDAJ	PREVOD NA UCET	2016	40872	SIPO	GH	68355953
416366	1413	1996-07-13	VYDAJ	PREVOD NA UCET	2016	24851	SIPO	GH	68355953
416367	1413	1996-08-13	VYDAJ	PREVOD NA UCET	2016	25792	SIPO	GH	68355953
416368	1413	1996-09-13	VYDAJ	PREVOD NA UCET	2016	31134	SIPO	GH	68355953
416369	1413	1996-10-13	VYDAJ	PREVOD NA UCET	2016	27994	SIPO	GH	68355953
416370	1413	1996-11-13	VYDAJ	PREVOD NA UCET	2016	27341	SIPO	GH	68355953
416371	1413	1996-12-13	VYDAJ	PREVOD NA UCET	2016	30561	SIPO	GH	68355953
416372	1413	1997-01-13	VYDAJ	PREVOD NA UCET	2016	25304	SIPO	GH	68355953
416373	1413	1997-02-13	VYDAJ	PREVOD NA UCET	2016	22826	SIPO	GH	68355953
416374	1413	1997-03-13	VYDAJ	PREVOD NA UCET	2016	22850	SIPO	GH	68355953
416375	1413	1997-04-13	VYDAJ	PREVOD NA UCET	2016	24875	SIPO	GH	68355953
416376	1413	1997-05-13	VYDAJ	PREVOD NA UCET	2016	22801	SIPO	GH	68355953
416377	1413	1997-06-13	VYDAJ	PREVOD NA UCET	2016	31703	SIPO	GH	68355953
416378	1413	1997-07-13	VYDAJ	PREVOD NA UCET	2016	31354	SIPO	GH	68355953
416379	1413	1997-08-13	VYDAJ	PREVOD NA UCET	2016	30708	SIPO	GH	68355953
416380	1413	1997-09-13	VYDAJ	PREVOD NA UCET	2016	24056	SIPO	GH	68355953
416381	1413	1997-10-13	VYDAJ	PREVOD NA UCET	2016	22279	SIPO	GH	68355953
416382	1413	1997-11-13	VYDAJ	PREVOD NA UCET	2016	24689	SIPO	GH	68355953
416383	1413	1997-12-13	VYDAJ	PREVOD NA UCET	2016	27889	SIPO	GH	68355953
416384	1413	1998-01-13	VYDAJ	PREVOD NA UCET	2016	25830	SIPO	GH	68355953
416385	1413	1998-02-13	VYDAJ	PREVOD NA UCET	2016	22060	SIPO	GH	68355953
416386	1413	1998-03-13	VYDAJ	PREVOD NA UCET	2016	30181	SIPO	GH	68355953
416387	1413	1998-04-13	VYDAJ	PREVOD NA UCET	2016	24620	SIPO	GH	68355953
416388	1413	1998-05-13	VYDAJ	PREVOD NA UCET	2016	32752	SIPO	GH	68355953
416389	1413	1998-06-13	VYDAJ	PREVOD NA UCET	2016	36483	SIPO	GH	68355953
416390	1413	1998-07-13	VYDAJ	PREVOD NA UCET	2016	23736	SIPO	GH	68355953
416391	1413	1998-08-13	VYDAJ	PREVOD NA UCET	2016	31865	SIPO	GH	68355953
416392	1413	1998-09-13	VYDAJ	PREVOD NA UCET	2016	22906	SIPO	GH	68355953
416393	1413	1998-10-13	VYDAJ	PREVOD NA UCET	2016	29329	SIPO	GH	68355953
416394	1413	1998-11-13	VYDAJ	PREVOD NA UCET	2016	22053	SIPO	GH	68355953
416395	1413	1998-12-13	VYDAJ	PREVOD NA UCET	2016	33051	SIPO	GH	68355953
416406	1413	1995-11-07	VYDAJ	PREVOD NA UCET	3477	47702	 	AB	67985760
416407	1413	1995-12-07	VYDAJ	PREVOD NA UCET	3477	50089	 	AB	67985760
416408	1413	1996-01-07	VYDAJ	PREVOD NA UCET	3477	45723	 	AB	67985760
416409	1413	1996-02-07	VYDAJ	PREVOD NA UCET	3477	40256	 	AB	67985760
416410	1413	1996-03-07	VYDAJ	PREVOD NA UCET	3477	42752	 	AB	67985760
416411	1413	1996-04-07	VYDAJ	PREVOD NA UCET	3477	39454	 	AB	67985760
416412	1413	1996-05-07	VYDAJ	PREVOD NA UCET	3477	36126	 	AB	67985760
416413	1413	1996-06-07	VYDAJ	PREVOD NA UCET	3477	43508	 	AB	67985760
416414	1413	1996-07-07	VYDAJ	PREVOD NA UCET	3477	27487	 	AB	67985760
416415	1413	1996-08-07	VYDAJ	PREVOD NA UCET	3477	28428	 	AB	67985760
416416	1413	1996-09-07	VYDAJ	PREVOD NA UCET	3477	33150	 	AB	67985760
416417	1413	1996-10-07	VYDAJ	PREVOD NA UCET	3477	30010	 	AB	67985760
416418	1413	1996-11-07	VYDAJ	PREVOD NA UCET	3477	29357	 	AB	67985760
416419	1413	1996-12-07	VYDAJ	PREVOD NA UCET	3477	33197	 	AB	67985760
416420	1413	1997-01-07	VYDAJ	PREVOD NA UCET	3477	27940	 	AB	67985760
416421	1413	1997-02-07	VYDAJ	PREVOD NA UCET	3477	25462	 	AB	67985760
416422	1413	1997-03-07	VYDAJ	PREVOD NA UCET	3477	24866	 	AB	67985760
416423	1413	1997-04-07	VYDAJ	PREVOD NA UCET	3477	27511	 	AB	67985760
416424	1413	1997-05-07	VYDAJ	PREVOD NA UCET	3477	25437	 	AB	67985760
416425	1413	1997-06-07	VYDAJ	PREVOD NA UCET	3477	34339	 	AB	67985760
416426	1413	1997-07-07	VYDAJ	PREVOD NA UCET	3477	33370	 	AB	67985760
416427	1413	1997-08-07	VYDAJ	PREVOD NA UCET	3477	33344	 	AB	67985760
416428	1413	1997-09-07	VYDAJ	PREVOD NA UCET	3477	26072	 	AB	67985760
416429	1413	1997-10-07	VYDAJ	PREVOD NA UCET	3477	24915	 	AB	67985760
416430	1413	1997-11-07	VYDAJ	PREVOD NA UCET	3477	27325	 	AB	67985760
416431	1413	1997-12-07	VYDAJ	PREVOD NA UCET	3477	29905	 	AB	67985760
416432	1413	1998-01-07	VYDAJ	PREVOD NA UCET	3477	36766	 	AB	67985760
416433	1413	1998-02-07	VYDAJ	PREVOD NA UCET	3477	24076	 	AB	67985760
416434	1413	1998-03-07	VYDAJ	PREVOD NA UCET	3477	32817	 	AB	67985760
416435	1413	1998-04-07	VYDAJ	PREVOD NA UCET	3477	26636	 	AB	67985760
416436	1413	1998-05-07	VYDAJ	PREVOD NA UCET	3477	34768	 	AB	67985760
416437	1413	1998-06-07	VYDAJ	PREVOD NA UCET	3477	39119	 	AB	67985760
416438	1413	1998-07-07	VYDAJ	PREVOD NA UCET	3477	26372	 	AB	67985760
416439	1413	1998-08-07	VYDAJ	PREVOD NA UCET	3477	33881	 	AB	67985760
416440	1413	1998-09-07	VYDAJ	PREVOD NA UCET	3477	24922	 	AB	67985760
416441	1413	1998-10-07	VYDAJ	PREVOD NA UCET	3477	31965	 	AB	67985760
416442	1413	1998-11-07	VYDAJ	PREVOD NA UCET	3477	24689	 	AB	67985760
416443	1413	1998-12-07	VYDAJ	PREVOD NA UCET	3477	35067	 	AB	67985760
416454	1413	1995-11-07	VYDAJ	PREVOD NA UCET	620	47082	POJISTNE	ST	30746954
416455	1413	1995-12-07	VYDAJ	PREVOD NA UCET	620	53566	POJISTNE	ST	30746954
416456	1413	1996-01-07	VYDAJ	PREVOD NA UCET	620	49200	POJISTNE	ST	30746954
416457	1413	1996-02-07	VYDAJ	PREVOD NA UCET	620	39636	POJISTNE	ST	30746954
416458	1413	1996-03-07	VYDAJ	PREVOD NA UCET	620	42132	POJISTNE	ST	30746954
416459	1413	1996-04-07	VYDAJ	PREVOD NA UCET	620	38834	POJISTNE	ST	30746954
416460	1413	1996-05-07	VYDAJ	PREVOD NA UCET	620	39603	POJISTNE	ST	30746954
416461	1413	1996-06-07	VYDAJ	PREVOD NA UCET	620	42888	POJISTNE	ST	30746954
416462	1413	1996-07-07	VYDAJ	PREVOD NA UCET	620	26867	POJISTNE	ST	30746954
416463	1413	1996-08-07	VYDAJ	PREVOD NA UCET	620	27808	POJISTNE	ST	30746954
416464	1413	1996-09-07	VYDAJ	PREVOD NA UCET	620	36627	POJISTNE	ST	30746954
416465	1413	1996-10-07	VYDAJ	PREVOD NA UCET	620	33487	POJISTNE	ST	30746954
416466	1413	1996-11-07	VYDAJ	PREVOD NA UCET	620	32834	POJISTNE	ST	30746954
416467	1413	1996-12-07	VYDAJ	PREVOD NA UCET	620	32577	POJISTNE	ST	30746954
416468	1413	1997-01-07	VYDAJ	PREVOD NA UCET	620	27320	POJISTNE	ST	30746954
416469	1413	1997-02-07	VYDAJ	PREVOD NA UCET	620	24842	POJISTNE	ST	30746954
416470	1413	1997-03-07	VYDAJ	PREVOD NA UCET	620	28343	POJISTNE	ST	30746954
416471	1413	1997-04-07	VYDAJ	PREVOD NA UCET	620	26891	POJISTNE	ST	30746954
416472	1413	1997-05-07	VYDAJ	PREVOD NA UCET	620	24817	POJISTNE	ST	30746954
416473	1413	1997-06-07	VYDAJ	PREVOD NA UCET	620	33719	POJISTNE	ST	30746954
416474	1413	1997-07-07	VYDAJ	PREVOD NA UCET	620	36847	POJISTNE	ST	30746954
416475	1413	1997-08-07	VYDAJ	PREVOD NA UCET	620	32724	POJISTNE	ST	30746954
416476	1413	1997-09-07	VYDAJ	PREVOD NA UCET	620	29549	POJISTNE	ST	30746954
416477	1413	1997-10-07	VYDAJ	PREVOD NA UCET	620	24295	POJISTNE	ST	30746954
416478	1413	1997-11-07	VYDAJ	PREVOD NA UCET	620	26705	POJISTNE	ST	30746954
416479	1413	1997-12-07	VYDAJ	PREVOD NA UCET	620	33382	POJISTNE	ST	30746954
416480	1413	1998-01-07	VYDAJ	PREVOD NA UCET	620	36146	POJISTNE	ST	30746954
416481	1413	1998-02-07	VYDAJ	PREVOD NA UCET	620	27553	POJISTNE	ST	30746954
416482	1413	1998-03-07	VYDAJ	PREVOD NA UCET	620	32197	POJISTNE	ST	30746954
416483	1413	1998-04-07	VYDAJ	PREVOD NA UCET	620	30113	POJISTNE	ST	30746954
416484	1413	1998-05-07	VYDAJ	PREVOD NA UCET	620	38245	POJISTNE	ST	30746954
416485	1413	1998-06-07	VYDAJ	PREVOD NA UCET	620	38499	POJISTNE	ST	30746954
416486	1413	1998-07-07	VYDAJ	PREVOD NA UCET	620	25752	POJISTNE	ST	30746954
416487	1413	1998-08-07	VYDAJ	PREVOD NA UCET	620	37358	POJISTNE	ST	30746954
416488	1413	1998-09-07	VYDAJ	PREVOD NA UCET	620	28399	POJISTNE	ST	30746954
416489	1413	1998-10-07	VYDAJ	PREVOD NA UCET	620	31345	POJISTNE	ST	30746954
416490	1413	1998-11-07	VYDAJ	PREVOD NA UCET	620	24069	POJISTNE	ST	30746954
416491	1413	1998-12-07	VYDAJ	PREVOD NA UCET	620	38544	POJISTNE	ST	30746954
416493	1413	1996-06-22	VYDAJ	VYBER	20400	20472	\N	\N	\N
416497	1413	1996-01-23	VYDAJ	VYBER	8100	35607	\N	\N	\N
416498	1413	1997-01-14	VYDAJ	VYBER	4000	21304	\N	\N	\N
416499	1413	1998-01-09	VYDAJ	VYBER	8300	27846	\N	\N	\N
416500	1413	1995-12-22	VYDAJ	VYBER	1600	46473	\N	\N	\N
416501	1413	1996-12-14	VYDAJ	VYBER	1100	29461	\N	\N	\N
416502	1413	1997-12-21	VYDAJ	VYBER	1900	25989	\N	\N	\N
416503	1413	1998-12-05	VYDAJ	VYBER	1800	17920	\N	\N	\N
416506	1413	1995-12-27	VYDAJ	VYBER	2200	44273	\N	\N	\N
416511	1413	1996-05-25	VYDAJ	VYBER	800	33310	\N	\N	\N
416512	1413	1996-04-26	VYDAJ	VYBER	2500	34318	\N	\N	\N
416513	1413	1996-11-17	VYDAJ	VYBER	1600	25741	\N	\N	\N
416514	1413	1997-09-05	VYDAJ	VYBER	4100	16006	\N	\N	\N
416515	1413	1997-10-14	VYDAJ	VYBER	4200	18079	\N	\N	\N
416516	1413	1997-06-06	VYDAJ	VYBER	600	16572	\N	\N	\N
416517	1413	1997-04-19	VYDAJ	VYBER	4400	20475	\N	\N	\N
416518	1413	1997-09-15	VYDAJ	VYBER	2900	21156	\N	\N	\N
416519	1413	1997-01-01	VYDAJ	VYBER	600	17254	\N	\N	\N
416520	1413	1997-10-23	VYDAJ	VYBER	1500	16579	\N	\N	\N
416521	1413	1998-09-03	VYDAJ	VYBER	2700	14856	\N	\N	\N
416522	1413	1998-11-20	VYDAJ	VYBER	2400	19653	\N	\N	\N
416523	1413	1998-06-28	VYDAJ	VYBER	3800	15583	\N	\N	\N
416524	1413	1998-09-14	VYDAJ	VYBER	1700	21206	\N	\N	\N
416537	1413	1995-11-30	VYDAJ	VYBER	15	45242	SLUZBY	\N	\N
416538	1413	1995-12-31	VYDAJ	VYBER	15	44457	SLUZBY	\N	\N
416539	1413	1996-01-31	VYDAJ	VYBER	15	35770	SLUZBY	\N	\N
416540	1413	1996-02-29	VYDAJ	VYBER	15	37766	SLUZBY	\N	\N
416541	1413	1996-03-31	VYDAJ	VYBER	15	40268	SLUZBY	\N	\N
416542	1413	1996-04-30	VYDAJ	VYBER	15	34460	SLUZBY	\N	\N
416543	1413	1996-05-31	VYDAJ	VYBER	15	33441	SLUZBY	\N	\N
416544	1413	1996-06-30	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
416545	1413	1996-07-31	VYDAJ	VYBER	15	24942	SLUZBY	\N	\N
416546	1413	1996-08-31	VYDAJ	VYBER	15	23084	SLUZBY	\N	\N
416547	1413	1996-09-30	VYDAJ	VYBER	15	19944	SLUZBY	\N	\N
416548	1413	1996-10-31	VYDAJ	VYBER	15	19291	SLUZBY	\N	\N
416549	1413	1996-11-30	VYDAJ	VYBER	15	15430	SLUZBY	\N	\N
416550	1413	1996-12-31	VYDAJ	VYBER	15	17854	SLUZBY	\N	\N
416551	1413	1997-01-31	VYDAJ	VYBER	15	14776	SLUZBY	\N	\N
416552	1413	1997-02-28	VYDAJ	VYBER	15	14800	SLUZBY	\N	\N
416553	1413	1997-03-31	VYDAJ	VYBER	15	16825	SLUZBY	\N	\N
416554	1413	1997-04-30	VYDAJ	VYBER	15	14751	SLUZBY	\N	\N
416555	1413	1997-05-31	VYDAJ	VYBER	15	17172	SLUZBY	\N	\N
416556	1413	1997-06-30	VYDAJ	VYBER	15	23304	SLUZBY	\N	\N
416557	1413	1997-07-31	VYDAJ	VYBER	15	22658	SLUZBY	\N	\N
416558	1413	1997-08-31	VYDAJ	VYBER	15	20106	SLUZBY	\N	\N
416559	1413	1997-09-30	VYDAJ	VYBER	15	14229	SLUZBY	\N	\N
416560	1413	1997-10-31	VYDAJ	VYBER	15	16639	SLUZBY	\N	\N
416561	1413	1997-11-30	VYDAJ	VYBER	15	12758	SLUZBY	\N	\N
416562	1413	1997-12-31	VYDAJ	VYBER	15	26080	SLUZBY	\N	\N
416563	1413	1998-01-31	VYDAJ	VYBER	15	14010	SLUZBY	\N	\N
416564	1413	1998-02-28	VYDAJ	VYBER	15	22131	SLUZBY	\N	\N
416565	1413	1998-03-31	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
416566	1413	1998-04-30	VYDAJ	VYBER	15	24702	SLUZBY	\N	\N
416567	1413	1998-05-31	VYDAJ	VYBER	15	21352	SLUZBY	\N	\N
416568	1413	1998-06-30	VYDAJ	VYBER	15	15686	SLUZBY	\N	\N
416569	1413	1998-07-31	VYDAJ	VYBER	15	23815	SLUZBY	\N	\N
416570	1413	1998-08-31	VYDAJ	VYBER	15	17556	SLUZBY	\N	\N
416571	1413	1998-09-30	VYDAJ	VYBER	15	21279	SLUZBY	\N	\N
416572	1413	1998-10-31	VYDAJ	VYBER	15	14003	SLUZBY	\N	\N
416573	1413	1998-11-30	VYDAJ	VYBER	15	19720	SLUZBY	\N	\N
416574	1413	1995-07-07	PRIJEM	VKLAD	5900	21163	\N	\N	\N
416575	1413	1995-08-06	VYDAJ	VYBER	500	20734	\N	\N	\N
416576	1413	1995-09-05	VYDAJ	VYBER	7100	27931	\N	\N	\N
416577	1413	1995-10-05	VYDAJ	VYBER	10300	31964	\N	\N	\N
416578	1413	1995-11-04	VYDAJ	VYBER	9300	37016	\N	\N	\N
416579	1413	1995-12-04	VYDAJ	VYBER	12300	32942	\N	\N	\N
416580	1413	1996-01-03	VYDAJ	VYBER	8800	35657	\N	\N	\N
416581	1413	1996-02-02	VYDAJ	VYBER	6200	29570	\N	\N	\N
416582	1413	1996-03-03	VYDAJ	VYBER	5700	32066	\N	\N	\N
416583	1413	1996-04-02	VYDAJ	VYBER	11500	28768	\N	\N	\N
416584	1413	1996-05-02	VYDAJ	VYBER	8400	26060	\N	\N	\N
416585	1413	1996-06-01	VYDAJ	VYBER	7700	25741	\N	\N	\N
416586	1413	1996-07-01	VYDAJ	VYBER	3800	16801	\N	\N	\N
416587	1413	1996-07-31	VYDAJ	VYBER	7200	17742	\N	\N	\N
416588	1413	1996-08-30	VYDAJ	VYBER	2800	22992	\N	\N	\N
416589	1413	1996-09-29	VYDAJ	VYBER	11300	19834	\N	\N	\N
416590	1413	1996-10-29	VYDAJ	VYBER	8800	19194	\N	\N	\N
416591	1413	1996-11-28	VYDAJ	VYBER	10400	15341	\N	\N	\N
416592	1413	1996-12-28	VYDAJ	VYBER	11700	17761	\N	\N	\N
416593	1413	1997-01-27	VYDAJ	VYBER	6600	14704	\N	\N	\N
416594	1413	1997-02-26	VYDAJ	VYBER	8100	14726	\N	\N	\N
416595	1413	1997-03-28	VYDAJ	VYBER	6100	16750	\N	\N	\N
416596	1413	1997-04-27	VYDAJ	VYBER	5800	14675	\N	\N	\N
416597	1413	1997-05-27	VYDAJ	VYBER	5700	17101	\N	\N	\N
416598	1413	1997-06-26	VYDAJ	VYBER	8500	23203	\N	\N	\N
416599	1413	1997-07-26	VYDAJ	VYBER	8800	22554	\N	\N	\N
416600	1413	1997-08-25	VYDAJ	VYBER	10700	20008	\N	\N	\N
416601	1413	1997-09-24	VYDAJ	VYBER	7000	14156	\N	\N	\N
416602	1413	1997-11-23	VYDAJ	VYBER	12000	12689	\N	\N	\N
416603	1413	1998-01-22	VYDAJ	VYBER	11900	13930	\N	\N	\N
416604	1413	1998-03-23	VYDAJ	VYBER	13700	16481	\N	\N	\N
416605	1413	1998-05-22	VYDAJ	VYBER	11500	21252	\N	\N	\N
416606	1413	1998-06-21	VYDAJ	VYBER	17100	19383	\N	\N	\N
416607	1413	1998-08-20	VYDAJ	VYBER	14400	17465	\N	\N	\N
416608	1413	1998-10-19	VYDAJ	VYBER	15400	13929	\N	\N	\N
416651	1414	1995-01-17	PRIJEM	VKLAD	600	600	\N	\N	\N
416653	1414	1995-02-06	PRIJEM	VKLAD	15844	16444	\N	\N	\N
416654	1414	1995-03-06	PRIJEM	VKLAD	15844	36628	\N	\N	\N
416655	1414	1995-04-06	PRIJEM	VKLAD	15844	45976	\N	\N	\N
416656	1414	1995-05-06	PRIJEM	VKLAD	15844	52558	\N	\N	\N
416657	1414	1995-06-06	PRIJEM	VKLAD	23766	62180	\N	\N	\N
416658	1414	1995-07-06	PRIJEM	VKLAD	15844	44919	\N	\N	\N
416659	1414	1995-08-06	PRIJEM	VKLAD	15844	45351	\N	\N	\N
416660	1414	1995-09-06	PRIJEM	VKLAD	15844	42470	\N	\N	\N
416661	1414	1995-10-06	PRIJEM	VKLAD	15844	38947	\N	\N	\N
416662	1414	1995-11-06	PRIJEM	VKLAD	15844	38950	\N	\N	\N
416663	1414	1995-12-06	PRIJEM	VKLAD	23766	44327	\N	\N	\N
416664	1414	1996-01-06	PRIJEM	VKLAD	15844	41280	\N	\N	\N
416665	1414	1996-02-06	PRIJEM	VKLAD	15844	29107	\N	\N	\N
416666	1414	1996-03-06	PRIJEM	VKLAD	15844	32672	\N	\N	\N
416667	1414	1996-04-06	PRIJEM	VKLAD	15844	31484	\N	\N	\N
416668	1414	1996-05-06	PRIJEM	VKLAD	15844	32961	\N	\N	\N
416669	1414	1996-06-06	PRIJEM	VKLAD	23766	41957	\N	\N	\N
416670	1414	1996-07-06	PRIJEM	VKLAD	15844	39049	\N	\N	\N
416671	1414	1996-08-06	PRIJEM	VKLAD	15844	38242	\N	\N	\N
416672	1414	1996-09-06	PRIJEM	VKLAD	15844	38534	\N	\N	\N
416673	1414	1996-10-06	PRIJEM	VKLAD	15844	35829	\N	\N	\N
416674	1414	1996-11-06	PRIJEM	VKLAD	15844	34694	\N	\N	\N
416675	1414	1996-12-06	PRIJEM	VKLAD	23766	38112	\N	\N	\N
416676	1414	1997-01-06	PRIJEM	VKLAD	15844	29776	\N	\N	\N
416677	1414	1997-02-06	PRIJEM	VKLAD	15844	26956	\N	\N	\N
416678	1414	1997-03-06	PRIJEM	VKLAD	15844	28785	\N	\N	\N
416679	1414	1997-04-06	PRIJEM	VKLAD	15844	28936	\N	\N	\N
416680	1414	1997-05-06	PRIJEM	VKLAD	15844	26981	\N	\N	\N
416681	1414	1997-06-06	PRIJEM	VKLAD	23766	39154	\N	\N	\N
416682	1414	1997-07-06	PRIJEM	VKLAD	15844	40764	\N	\N	\N
416683	1414	1997-08-06	PRIJEM	VKLAD	15844	35461	\N	\N	\N
416684	1414	1997-09-06	PRIJEM	VKLAD	15844	31835	\N	\N	\N
416685	1414	1997-10-06	PRIJEM	VKLAD	15844	30625	\N	\N	\N
416686	1414	1997-11-06	PRIJEM	VKLAD	15844	34191	\N	\N	\N
416687	1414	1997-12-06	PRIJEM	VKLAD	23766	47011	\N	\N	\N
416688	1414	1998-01-06	PRIJEM	VKLAD	15844	40456	\N	\N	\N
416689	1414	1998-02-06	PRIJEM	VKLAD	15844	36363	\N	\N	\N
416690	1414	1998-03-06	PRIJEM	VKLAD	15844	38366	\N	\N	\N
416691	1414	1998-04-06	PRIJEM	VKLAD	15844	34343	\N	\N	\N
416692	1414	1998-05-06	PRIJEM	VKLAD	15844	39042	\N	\N	\N
416693	1414	1998-06-06	PRIJEM	VKLAD	23766	45780	\N	\N	\N
416694	1414	1998-07-06	PRIJEM	VKLAD	15844	47615	\N	\N	\N
416695	1414	1998-08-06	PRIJEM	VKLAD	15844	43963	\N	\N	\N
416696	1414	1998-09-06	PRIJEM	VKLAD	15844	43094	\N	\N	\N
416697	1414	1998-10-06	PRIJEM	VKLAD	15844	42957	\N	\N	\N
416698	1414	1998-11-06	PRIJEM	VKLAD	15844	46986	\N	\N	\N
416699	1414	1998-12-06	PRIJEM	VKLAD	23766	50090	\N	\N	\N
416705	1414	1995-06-10	VYDAJ	PREVOD NA UCET	1920	53046	SIPO	AB	31974488
416706	1414	1995-07-10	VYDAJ	PREVOD NA UCET	1920	35785	SIPO	AB	31974488
416707	1414	1995-08-10	VYDAJ	PREVOD NA UCET	1920	36217	SIPO	AB	31974488
416708	1414	1995-09-10	VYDAJ	PREVOD NA UCET	1920	33336	SIPO	AB	31974488
416709	1414	1995-10-10	VYDAJ	PREVOD NA UCET	1920	29813	SIPO	AB	31974488
416710	1414	1995-11-10	VYDAJ	PREVOD NA UCET	1920	29816	SIPO	AB	31974488
416711	1414	1995-12-10	VYDAJ	PREVOD NA UCET	1920	35193	SIPO	AB	31974488
416712	1414	1996-01-10	VYDAJ	PREVOD NA UCET	1920	32146	SIPO	AB	31974488
416713	1414	1996-02-10	VYDAJ	PREVOD NA UCET	1920	19973	SIPO	AB	31974488
416714	1414	1996-03-10	VYDAJ	PREVOD NA UCET	1920	23538	SIPO	AB	31974488
416715	1414	1996-04-10	VYDAJ	PREVOD NA UCET	1920	22350	SIPO	AB	31974488
416716	1414	1996-05-10	VYDAJ	PREVOD NA UCET	1920	23827	SIPO	AB	31974488
416717	1414	1996-06-10	VYDAJ	PREVOD NA UCET	1920	32823	SIPO	AB	31974488
416718	1414	1996-07-10	VYDAJ	PREVOD NA UCET	1920	29915	SIPO	AB	31974488
416719	1414	1996-08-10	VYDAJ	PREVOD NA UCET	1920	22608	SIPO	AB	31974488
416720	1414	1996-09-10	VYDAJ	PREVOD NA UCET	1920	24700	SIPO	AB	31974488
416721	1414	1996-10-10	VYDAJ	PREVOD NA UCET	1920	21295	SIPO	AB	31974488
416722	1414	1996-11-10	VYDAJ	PREVOD NA UCET	1920	18960	SIPO	AB	31974488
416723	1414	1996-12-10	VYDAJ	PREVOD NA UCET	1920	15478	SIPO	AB	31974488
416724	1414	1997-01-10	VYDAJ	PREVOD NA UCET	1920	9382	SIPO	AB	31974488
416725	1414	1997-02-10	VYDAJ	PREVOD NA UCET	1920	12902	SIPO	AB	31974488
416726	1414	1997-03-10	VYDAJ	PREVOD NA UCET	1920	13051	SIPO	AB	31974488
416727	1414	1997-04-10	VYDAJ	PREVOD NA UCET	1920	11102	SIPO	AB	31974488
416728	1414	1997-05-10	VYDAJ	PREVOD NA UCET	1920	13047	SIPO	AB	31974488
416729	1414	1997-06-10	VYDAJ	PREVOD NA UCET	1920	30020	SIPO	AB	31974488
416730	1414	1997-07-10	VYDAJ	PREVOD NA UCET	1920	31630	SIPO	AB	31974488
416731	1414	1997-08-10	VYDAJ	PREVOD NA UCET	1920	26327	SIPO	AB	31974488
416732	1414	1997-09-10	VYDAJ	PREVOD NA UCET	1920	22701	SIPO	AB	31974488
416733	1414	1997-10-10	VYDAJ	PREVOD NA UCET	1920	21491	SIPO	AB	31974488
416734	1414	1997-11-10	VYDAJ	PREVOD NA UCET	1920	25057	SIPO	AB	31974488
416735	1414	1997-12-10	VYDAJ	PREVOD NA UCET	1920	37877	SIPO	AB	31974488
416736	1414	1998-01-10	VYDAJ	PREVOD NA UCET	1920	26642	SIPO	AB	31974488
416737	1414	1998-02-10	VYDAJ	PREVOD NA UCET	1920	27229	SIPO	AB	31974488
416738	1414	1998-03-10	VYDAJ	PREVOD NA UCET	1920	29232	SIPO	AB	31974488
416739	1414	1998-04-10	VYDAJ	PREVOD NA UCET	1920	25209	SIPO	AB	31974488
416740	1414	1998-05-10	VYDAJ	PREVOD NA UCET	1920	29908	SIPO	AB	31974488
416741	1414	1998-06-10	VYDAJ	PREVOD NA UCET	1920	36646	SIPO	AB	31974488
416742	1414	1998-07-10	VYDAJ	PREVOD NA UCET	1920	38481	SIPO	AB	31974488
416743	1414	1998-08-10	VYDAJ	PREVOD NA UCET	1920	34829	SIPO	AB	31974488
416744	1414	1998-09-10	VYDAJ	PREVOD NA UCET	1920	31800	SIPO	AB	31974488
416745	1414	1998-10-10	VYDAJ	PREVOD NA UCET	1920	33823	SIPO	AB	31974488
416746	1414	1998-11-10	VYDAJ	PREVOD NA UCET	1920	37852	SIPO	AB	31974488
416747	1414	1998-12-10	VYDAJ	PREVOD NA UCET	1920	37436	SIPO	AB	31974488
416753	1414	1995-06-07	VYDAJ	PREVOD NA UCET	5397	56783	 	MN	8757979
416754	1414	1995-07-07	VYDAJ	PREVOD NA UCET	5397	39522	 	MN	8757979
416755	1414	1995-08-07	VYDAJ	PREVOD NA UCET	5397	39954	 	MN	8757979
416756	1414	1995-09-07	VYDAJ	PREVOD NA UCET	5397	37073	 	MN	8757979
416757	1414	1995-10-07	VYDAJ	PREVOD NA UCET	5397	33550	 	MN	8757979
416758	1414	1995-11-07	VYDAJ	PREVOD NA UCET	5397	33553	 	MN	8757979
416759	1414	1995-12-07	VYDAJ	PREVOD NA UCET	5397	38930	 	MN	8757979
416760	1414	1996-01-07	VYDAJ	PREVOD NA UCET	5397	35883	 	MN	8757979
416761	1414	1996-02-07	VYDAJ	PREVOD NA UCET	5397	23710	 	MN	8757979
416762	1414	1996-03-07	VYDAJ	PREVOD NA UCET	5397	27275	 	MN	8757979
416763	1414	1996-04-07	VYDAJ	PREVOD NA UCET	5397	26087	 	MN	8757979
416764	1414	1996-05-07	VYDAJ	PREVOD NA UCET	5397	27564	 	MN	8757979
416765	1414	1996-06-07	VYDAJ	PREVOD NA UCET	5397	36560	 	MN	8757979
416766	1414	1996-07-07	VYDAJ	PREVOD NA UCET	5397	33652	 	MN	8757979
416767	1414	1996-08-07	VYDAJ	PREVOD NA UCET	5397	32845	 	MN	8757979
416768	1414	1996-09-07	VYDAJ	PREVOD NA UCET	5397	33137	 	MN	8757979
416769	1414	1996-10-07	VYDAJ	PREVOD NA UCET	5397	30432	 	MN	8757979
416770	1414	1996-11-07	VYDAJ	PREVOD NA UCET	5397	22697	 	MN	8757979
416771	1414	1996-12-07	VYDAJ	PREVOD NA UCET	5397	32715	 	MN	8757979
416772	1414	1997-01-07	VYDAJ	PREVOD NA UCET	5397	16479	 	MN	8757979
416773	1414	1997-02-07	VYDAJ	PREVOD NA UCET	5397	16639	 	MN	8757979
416774	1414	1997-03-07	VYDAJ	PREVOD NA UCET	5397	23388	 	MN	8757979
416775	1414	1997-04-07	VYDAJ	PREVOD NA UCET	5397	14839	 	MN	8757979
416776	1414	1997-05-07	VYDAJ	PREVOD NA UCET	5397	16784	 	MN	8757979
416777	1414	1997-06-07	VYDAJ	PREVOD NA UCET	5397	33757	 	MN	8757979
416778	1414	1997-07-07	VYDAJ	PREVOD NA UCET	5397	35367	 	MN	8757979
416779	1414	1997-08-07	VYDAJ	PREVOD NA UCET	5397	30064	 	MN	8757979
416780	1414	1997-09-07	VYDAJ	PREVOD NA UCET	5397	26438	 	MN	8757979
416781	1414	1997-10-07	VYDAJ	PREVOD NA UCET	5397	25228	 	MN	8757979
416782	1414	1997-11-07	VYDAJ	PREVOD NA UCET	5397	28794	 	MN	8757979
416783	1414	1997-12-07	VYDAJ	PREVOD NA UCET	5397	41614	 	MN	8757979
416784	1414	1998-01-07	VYDAJ	PREVOD NA UCET	5397	35059	 	MN	8757979
416785	1414	1998-02-07	VYDAJ	PREVOD NA UCET	5397	30966	 	MN	8757979
416786	1414	1998-03-07	VYDAJ	PREVOD NA UCET	5397	32969	 	MN	8757979
416787	1414	1998-04-07	VYDAJ	PREVOD NA UCET	5397	28946	 	MN	8757979
416788	1414	1998-05-07	VYDAJ	PREVOD NA UCET	5397	33645	 	MN	8757979
416789	1414	1998-06-07	VYDAJ	PREVOD NA UCET	5397	40383	 	MN	8757979
416790	1414	1998-07-07	VYDAJ	PREVOD NA UCET	5397	42218	 	MN	8757979
416791	1414	1998-08-07	VYDAJ	PREVOD NA UCET	5397	38566	 	MN	8757979
416792	1414	1998-09-07	VYDAJ	PREVOD NA UCET	5397	37697	 	MN	8757979
416793	1414	1998-10-07	VYDAJ	PREVOD NA UCET	5397	37560	 	MN	8757979
416794	1414	1998-11-07	VYDAJ	PREVOD NA UCET	5397	41589	 	MN	8757979
416795	1414	1998-12-07	VYDAJ	PREVOD NA UCET	5397	44693	 	MN	8757979
416801	1414	1995-06-08	VYDAJ	PREVOD NA UCET	1817	54966	POJISTNE	YZ	13936388
416802	1414	1995-07-08	VYDAJ	PREVOD NA UCET	1817	37705	POJISTNE	YZ	13936388
416803	1414	1995-08-08	VYDAJ	PREVOD NA UCET	1817	38137	POJISTNE	YZ	13936388
416804	1414	1995-09-08	VYDAJ	PREVOD NA UCET	1817	35256	POJISTNE	YZ	13936388
416805	1414	1995-10-08	VYDAJ	PREVOD NA UCET	1817	31733	POJISTNE	YZ	13936388
416806	1414	1995-11-08	VYDAJ	PREVOD NA UCET	1817	31736	POJISTNE	YZ	13936388
416807	1414	1995-12-08	VYDAJ	PREVOD NA UCET	1817	37113	POJISTNE	YZ	13936388
416808	1414	1996-01-08	VYDAJ	PREVOD NA UCET	1817	34066	POJISTNE	YZ	13936388
416809	1414	1996-02-08	VYDAJ	PREVOD NA UCET	1817	21893	POJISTNE	YZ	13936388
416810	1414	1996-03-08	VYDAJ	PREVOD NA UCET	1817	25458	POJISTNE	YZ	13936388
416811	1414	1996-04-08	VYDAJ	PREVOD NA UCET	1817	24270	POJISTNE	YZ	13936388
416812	1414	1996-05-08	VYDAJ	PREVOD NA UCET	1817	25747	POJISTNE	YZ	13936388
416813	1414	1996-06-08	VYDAJ	PREVOD NA UCET	1817	34743	POJISTNE	YZ	13936388
416814	1414	1996-07-08	VYDAJ	PREVOD NA UCET	1817	31835	POJISTNE	YZ	13936388
416815	1414	1996-08-08	VYDAJ	PREVOD NA UCET	1817	31028	POJISTNE	YZ	13936388
416816	1414	1996-09-08	VYDAJ	PREVOD NA UCET	1817	31320	POJISTNE	YZ	13936388
416817	1414	1996-10-08	VYDAJ	PREVOD NA UCET	1817	23215	POJISTNE	YZ	13936388
416818	1414	1996-11-08	VYDAJ	PREVOD NA UCET	1817	20880	POJISTNE	YZ	13936388
416819	1414	1996-12-08	VYDAJ	PREVOD NA UCET	1817	17398	POJISTNE	YZ	13936388
416820	1414	1997-01-08	VYDAJ	PREVOD NA UCET	1817	11302	POJISTNE	YZ	13936388
416821	1414	1997-02-08	VYDAJ	PREVOD NA UCET	1817	14822	POJISTNE	YZ	13936388
416822	1414	1997-03-08	VYDAJ	PREVOD NA UCET	1817	14971	POJISTNE	YZ	13936388
416823	1414	1997-04-08	VYDAJ	PREVOD NA UCET	1817	13022	POJISTNE	YZ	13936388
416824	1414	1997-05-08	VYDAJ	PREVOD NA UCET	1817	14967	POJISTNE	YZ	13936388
416825	1414	1997-06-08	VYDAJ	PREVOD NA UCET	1817	31940	POJISTNE	YZ	13936388
416826	1414	1997-07-08	VYDAJ	PREVOD NA UCET	1817	33550	POJISTNE	YZ	13936388
416827	1414	1997-08-08	VYDAJ	PREVOD NA UCET	1817	28247	POJISTNE	YZ	13936388
416828	1414	1997-09-08	VYDAJ	PREVOD NA UCET	1817	24621	POJISTNE	YZ	13936388
416829	1414	1997-10-08	VYDAJ	PREVOD NA UCET	1817	23411	POJISTNE	YZ	13936388
416830	1414	1997-11-08	VYDAJ	PREVOD NA UCET	1817	26977	POJISTNE	YZ	13936388
416831	1414	1997-12-08	VYDAJ	PREVOD NA UCET	1817	39797	POJISTNE	YZ	13936388
416832	1414	1998-01-08	VYDAJ	PREVOD NA UCET	1817	33242	POJISTNE	YZ	13936388
416833	1414	1998-02-08	VYDAJ	PREVOD NA UCET	1817	29149	POJISTNE	YZ	13936388
416834	1414	1998-03-08	VYDAJ	PREVOD NA UCET	1817	31152	POJISTNE	YZ	13936388
416835	1414	1998-04-08	VYDAJ	PREVOD NA UCET	1817	27129	POJISTNE	YZ	13936388
416836	1414	1998-05-08	VYDAJ	PREVOD NA UCET	1817	31828	POJISTNE	YZ	13936388
416837	1414	1998-06-08	VYDAJ	PREVOD NA UCET	1817	38566	POJISTNE	YZ	13936388
416838	1414	1998-07-08	VYDAJ	PREVOD NA UCET	1817	40401	POJISTNE	YZ	13936388
416839	1414	1998-08-08	VYDAJ	PREVOD NA UCET	1817	36749	POJISTNE	YZ	13936388
416840	1414	1998-09-08	VYDAJ	PREVOD NA UCET	1817	33720	POJISTNE	YZ	13936388
416841	1414	1998-10-08	VYDAJ	PREVOD NA UCET	1817	35743	POJISTNE	YZ	13936388
416842	1414	1998-11-08	VYDAJ	PREVOD NA UCET	1817	39772	POJISTNE	YZ	13936388
416843	1414	1998-12-08	VYDAJ	PREVOD NA UCET	1817	42876	POJISTNE	YZ	13936388
416844	1414	1995-06-13	VYDAJ	VYBER	9920	43126	\N	\N	\N
416852	1414	1995-12-03	VYDAJ	VYBER	1440	20561	\N	\N	\N
416853	1414	1996-12-16	VYDAJ	VYBER	1600	13878	\N	\N	\N
416854	1414	1997-12-22	VYDAJ	VYBER	1120	36757	\N	\N	\N
416855	1414	1998-12-09	VYDAJ	VYBER	3520	39356	\N	\N	\N
416862	1414	1996-01-03	VYDAJ	VYBER	960	25436	\N	\N	\N
416863	1414	1996-01-29	VYDAJ	VYBER	1320	13186	\N	\N	\N
416864	1414	1996-01-20	VYDAJ	VYBER	2880	17026	\N	\N	\N
416865	1414	1996-01-23	VYDAJ	VYBER	960	16066	\N	\N	\N
416866	1414	1996-01-13	VYDAJ	VYBER	2040	19906	\N	\N	\N
416867	1414	1996-01-27	VYDAJ	VYBER	1560	14506	\N	\N	\N
416872	1414	1997-01-07	VYDAJ	VYBER	3360	13119	\N	\N	\N
416874	1414	1998-01-09	VYDAJ	VYBER	1920	31322	\N	\N	\N
416875	1414	1998-01-22	VYDAJ	VYBER	2280	21722	\N	\N	\N
416876	1414	1998-01-05	VYDAJ	VYBER	3480	24612	\N	\N	\N
416877	1414	1998-01-09	VYDAJ	VYBER	2760	28562	\N	\N	\N
416878	1414	1998-01-21	VYDAJ	VYBER	1800	24002	\N	\N	\N
416879	1414	1998-01-17	VYDAJ	VYBER	840	25802	\N	\N	\N
416881	1414	1995-07-05	VYDAJ	VYBER	4200	29075	\N	\N	\N
416882	1414	1995-10-11	VYDAJ	VYBER	4800	25013	\N	\N	\N
416885	1414	1995-10-04	VYDAJ	VYBER	5040	23103	\N	\N	\N
416886	1414	1996-10-31	VYDAJ	VYBER	2520	18865	\N	\N	\N
416887	1414	1996-12-01	VYDAJ	VYBER	4680	14346	\N	\N	\N
416888	1414	1996-09-27	VYDAJ	VYBER	4800	19900	\N	\N	\N
416889	1414	1996-04-28	VYDAJ	VYBER	1800	17050	\N	\N	\N
416890	1414	1996-04-03	VYDAJ	VYBER	1560	15640	\N	\N	\N
416891	1414	1997-08-15	VYDAJ	VYBER	5520	20807	\N	\N	\N
416892	1414	1997-07-18	VYDAJ	VYBER	5520	26110	\N	\N	\N
416893	1414	1997-02-06	VYDAJ	VYBER	4920	22036	\N	\N	\N
416894	1414	1997-10-14	VYDAJ	VYBER	720	20771	\N	\N	\N
416896	1414	1998-12-03	VYDAJ	VYBER	2760	26324	\N	\N	\N
416897	1414	1998-04-02	VYDAJ	VYBER	5040	18499	\N	\N	\N
416898	1414	1998-09-08	VYDAJ	VYBER	2160	35537	\N	\N	\N
416905	1414	1995-06-30	VYDAJ	VYBER	15	33275	SLUZBY	\N	\N
416906	1414	1995-07-31	VYDAJ	VYBER	15	29507	SLUZBY	\N	\N
416907	1414	1995-08-31	VYDAJ	VYBER	15	26626	SLUZBY	\N	\N
416908	1414	1995-09-30	VYDAJ	VYBER	15	28143	SLUZBY	\N	\N
416909	1414	1995-10-31	VYDAJ	VYBER	15	23106	SLUZBY	\N	\N
416910	1414	1995-11-30	VYDAJ	VYBER	15	22001	SLUZBY	\N	\N
416911	1414	1995-12-31	VYDAJ	VYBER	15	26396	SLUZBY	\N	\N
416912	1414	1996-01-31	VYDAJ	VYBER	15	13263	SLUZBY	\N	\N
416913	1414	1996-02-29	VYDAJ	VYBER	15	16828	SLUZBY	\N	\N
416914	1414	1996-03-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
416915	1414	1996-04-30	VYDAJ	VYBER	15	17117	SLUZBY	\N	\N
416916	1414	1996-05-31	VYDAJ	VYBER	15	18191	SLUZBY	\N	\N
416917	1414	1996-06-30	VYDAJ	VYBER	15	23205	SLUZBY	\N	\N
416918	1414	1996-07-31	VYDAJ	VYBER	15	22398	SLUZBY	\N	\N
416919	1414	1996-08-31	VYDAJ	VYBER	15	22690	SLUZBY	\N	\N
416920	1414	1996-09-30	VYDAJ	VYBER	15	19985	SLUZBY	\N	\N
416921	1414	1996-10-31	VYDAJ	VYBER	15	18850	SLUZBY	\N	\N
416922	1414	1996-11-30	VYDAJ	VYBER	15	19026	SLUZBY	\N	\N
416923	1414	1996-12-31	VYDAJ	VYBER	15	13932	SLUZBY	\N	\N
416924	1414	1997-01-31	VYDAJ	VYBER	15	9412	SLUZBY	\N	\N
416925	1414	1997-02-28	VYDAJ	VYBER	15	12941	SLUZBY	\N	\N
416926	1414	1997-03-31	VYDAJ	VYBER	15	13092	SLUZBY	\N	\N
416927	1414	1997-04-30	VYDAJ	VYBER	15	11137	SLUZBY	\N	\N
416928	1414	1997-05-31	VYDAJ	VYBER	15	13088	SLUZBY	\N	\N
416929	1414	1997-06-30	VYDAJ	VYBER	15	30120	SLUZBY	\N	\N
416930	1414	1997-07-31	VYDAJ	VYBER	15	26217	SLUZBY	\N	\N
416931	1414	1997-08-31	VYDAJ	VYBER	15	20891	SLUZBY	\N	\N
416932	1414	1997-09-30	VYDAJ	VYBER	15	22781	SLUZBY	\N	\N
416933	1414	1997-10-31	VYDAJ	VYBER	15	20847	SLUZBY	\N	\N
416934	1414	1997-11-30	VYDAJ	VYBER	15	25145	SLUZBY	\N	\N
416935	1414	1997-12-31	VYDAJ	VYBER	15	36892	SLUZBY	\N	\N
416936	1414	1998-01-31	VYDAJ	VYBER	15	21819	SLUZBY	\N	\N
416937	1414	1998-02-28	VYDAJ	VYBER	15	27322	SLUZBY	\N	\N
416938	1414	1998-03-31	VYDAJ	VYBER	15	29339	SLUZBY	\N	\N
416939	1414	1998-04-30	VYDAJ	VYBER	15	25298	SLUZBY	\N	\N
416940	1414	1998-05-31	VYDAJ	VYBER	15	30014	SLUZBY	\N	\N
416941	1414	1998-06-30	VYDAJ	VYBER	15	31771	SLUZBY	\N	\N
416942	1414	1998-07-31	VYDAJ	VYBER	15	28119	SLUZBY	\N	\N
416943	1414	1998-08-31	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
416944	1414	1998-09-30	VYDAJ	VYBER	15	27113	SLUZBY	\N	\N
416945	1414	1998-10-31	VYDAJ	VYBER	15	31142	SLUZBY	\N	\N
416946	1414	1998-11-30	VYDAJ	VYBER	15	29084	SLUZBY	\N	\N
416947	1414	1995-02-16	PRIJEM	VKLAD	4300	20744	\N	\N	\N
416948	1414	1995-03-18	VYDAJ	VYBER	6600	30028	\N	\N	\N
416949	1414	1995-04-17	VYDAJ	VYBER	9400	36576	\N	\N	\N
416950	1414	1995-05-17	VYDAJ	VYBER	14300	38258	\N	\N	\N
416951	1414	1995-06-16	VYDAJ	VYBER	10000	33126	\N	\N	\N
416952	1414	1995-07-16	VYDAJ	VYBER	6400	29385	\N	\N	\N
416953	1414	1995-08-15	VYDAJ	VYBER	9700	26517	\N	\N	\N
416954	1414	1995-09-14	VYDAJ	VYBER	5300	28036	\N	\N	\N
416955	1414	1995-10-14	VYDAJ	VYBER	2000	23013	\N	\N	\N
416956	1414	1995-11-13	VYDAJ	VYBER	7900	21916	\N	\N	\N
416957	1414	1995-12-13	VYDAJ	VYBER	8900	26293	\N	\N	\N
416958	1414	1996-01-12	VYDAJ	VYBER	10200	21946	\N	\N	\N
416959	1414	1996-02-11	VYDAJ	VYBER	3200	16773	\N	\N	\N
416960	1414	1996-03-12	VYDAJ	VYBER	6400	17138	\N	\N	\N
416961	1414	1996-04-11	VYDAJ	VYBER	3500	18850	\N	\N	\N
416962	1414	1996-05-11	VYDAJ	VYBER	5700	18127	\N	\N	\N
416963	1414	1996-06-10	VYDAJ	VYBER	9700	23123	\N	\N	\N
416964	1414	1996-07-10	VYDAJ	VYBER	7600	22315	\N	\N	\N
416965	1414	1996-08-09	VYDAJ	VYBER	6500	24528	\N	\N	\N
416966	1414	1996-09-08	VYDAJ	VYBER	4700	26620	\N	\N	\N
416967	1414	1996-10-08	VYDAJ	VYBER	5400	25032	\N	\N	\N
416968	1414	1996-11-07	VYDAJ	VYBER	6600	28094	\N	\N	\N
416969	1414	1996-12-07	VYDAJ	VYBER	13500	19215	\N	\N	\N
416970	1414	1997-01-06	VYDAJ	VYBER	7900	21876	\N	\N	\N
416971	1414	1997-02-05	PRIJEM	VKLAD	1700	11112	\N	\N	\N
416972	1414	1997-03-07	VYDAJ	VYBER	6600	16788	\N	\N	\N
416973	1414	1997-04-06	VYDAJ	VYBER	8700	20236	\N	\N	\N
416974	1414	1997-05-06	VYDAJ	VYBER	4800	22181	\N	\N	\N
416975	1414	1997-06-05	PRIJEM	VKLAD	2300	15388	\N	\N	\N
416976	1414	1997-07-05	VYDAJ	VYBER	5200	24920	\N	\N	\N
416977	1414	1997-08-04	VYDAJ	VYBER	6600	19617	\N	\N	\N
416978	1414	1997-09-03	VYDAJ	VYBER	4900	15991	\N	\N	\N
416979	1414	1997-10-03	VYDAJ	VYBER	8000	14781	\N	\N	\N
416980	1414	1997-11-02	VYDAJ	VYBER	2500	18347	\N	\N	\N
416981	1414	1997-12-02	VYDAJ	VYBER	1900	23245	\N	\N	\N
416982	1414	1998-01-01	VYDAJ	VYBER	8800	28092	\N	\N	\N
416983	1414	1998-01-31	VYDAJ	VYBER	1300	20519	\N	\N	\N
416984	1414	1998-03-02	VYDAJ	VYBER	4800	22522	\N	\N	\N
416985	1414	1998-04-01	VYDAJ	VYBER	5800	23539	\N	\N	\N
416986	1414	1998-05-01	VYDAJ	VYBER	2100	23198	\N	\N	\N
416987	1414	1998-05-31	VYDAJ	VYBER	8000	22014	\N	\N	\N
416988	1414	1998-06-30	VYDAJ	VYBER	5000	31786	\N	\N	\N
416989	1414	1998-07-30	VYDAJ	VYBER	10500	27981	\N	\N	\N
416990	1414	1998-08-29	VYDAJ	VYBER	7700	27129	\N	\N	\N
416991	1414	1998-09-28	VYDAJ	VYBER	4800	27000	\N	\N	\N
416992	1414	1998-10-28	VYDAJ	VYBER	2800	31023	\N	\N	\N
416993	1414	1998-11-27	VYDAJ	VYBER	8900	28952	\N	\N	\N
417310	1416	1993-07-12	PRIJEM	VKLAD	700	700	\N	\N	\N
417313	1416	1993-10-20	PRIJEM	VKLAD	8255	75082	\N	\N	\N
417314	1416	1993-12-09	PRIJEM	VKLAD	31907	130305	\N	\N	\N
417316	1416	1993-11-21	PRIJEM	VKLAD	47129	133931	\N	\N	\N
417321	1416	1993-10-07	PRIJEM	VKLAD	32712	104627	\N	\N	\N
417325	1416	1993-11-20	PRIJEM	VKLAD	30561	86802	\N	\N	\N
417332	1416	1993-07-28	PRIJEM	VKLAD	43240	43940	\N	\N	\N
417333	1416	1993-11-02	PRIJEM	VKLAD	43491	118871	\N	\N	\N
417334	1416	1993-09-12	PRIJEM	VKLAD	42512	71659	\N	\N	\N
417336	1416	1993-11-13	PRIJEM	VKLAD	30170	70041	\N	\N	\N
417337	1416	1994-04-09	PRIJEM	VKLAD	36085	63598	\N	\N	\N
417338	1416	1994-09-30	PRIJEM	VKLAD	46383	79032	\N	\N	\N
417339	1416	1994-11-16	PRIJEM	VKLAD	10363	52490	\N	\N	\N
417340	1416	1994-01-04	PRIJEM	VKLAD	35332	57148	\N	\N	\N
417341	1416	1994-06-23	PRIJEM	VKLAD	49966	71390	\N	\N	\N
417342	1416	1995-12-01	PRIJEM	VKLAD	25926	53460	\N	\N	\N
417343	1416	1995-07-18	PRIJEM	VKLAD	10126	90726	\N	\N	\N
417344	1416	1995-10-24	PRIJEM	VKLAD	11900	36776	\N	\N	\N
417345	1416	1995-08-10	PRIJEM	VKLAD	41156	109159	\N	\N	\N
417346	1416	1995-07-15	PRIJEM	VKLAD	41498	80600	\N	\N	\N
417347	1416	1995-06-07	PRIJEM	VKLAD	40461	55051	\N	\N	\N
417348	1416	1995-09-12	PRIJEM	VKLAD	16549	73517	\N	\N	\N
417349	1416	1995-08-09	PRIJEM	VKLAD	7627	68003	\N	\N	\N
417350	1416	1995-09-25	PRIJEM	VKLAD	6444	79961	\N	\N	\N
417351	1416	1995-03-07	PRIJEM	VKLAD	10310	35136	\N	\N	\N
417352	1416	1995-03-28	PRIJEM	VKLAD	18218	48554	\N	\N	\N
417353	1416	1995-08-16	PRIJEM	VKLAD	49941	95617	\N	\N	\N
417354	1416	1996-07-11	PRIJEM	VKLAD	29122	106444	\N	\N	\N
417355	1416	1996-01-25	PRIJEM	VKLAD	6057	13651	\N	\N	\N
417356	1416	1996-11-01	PRIJEM	VKLAD	28539	92107	\N	\N	\N
417357	1416	1996-06-22	PRIJEM	VKLAD	28958	89223	\N	\N	\N
417358	1416	1996-02-20	PRIJEM	VKLAD	37969	75384	\N	\N	\N
417359	1416	1996-09-13	PRIJEM	VKLAD	8732	73615	\N	\N	\N
417360	1416	1996-09-25	PRIJEM	VKLAD	35079	101205	\N	\N	\N
417361	1416	1996-01-31	PRIJEM	VKLAD	20012	37445	\N	\N	\N
417362	1416	1996-04-13	PRIJEM	VKLAD	22190	89727	\N	\N	\N
417363	1416	1996-02-28	PRIJEM	VKLAD	44311	100064	\N	\N	\N
417364	1416	1996-04-23	PRIJEM	VKLAD	18543	108270	\N	\N	\N
417365	1416	1996-05-01	PRIJEM	VKLAD	35413	102155	\N	\N	\N
417366	1416	1996-12-27	PRIJEM	VKLAD	18811	57398	\N	\N	\N
417367	1416	1996-09-22	PRIJEM	VKLAD	41011	114626	\N	\N	\N
417368	1416	1996-02-20	PRIJEM	VKLAD	7869	83253	\N	\N	\N
417369	1416	1996-05-11	PRIJEM	VKLAD	20602	104213	\N	\N	\N
417370	1416	1996-06-30	PRIJEM	VKLAD	31808	89928	\N	\N	\N
417371	1416	1996-07-06	PRIJEM	VKLAD	34624	124522	\N	\N	\N
417372	1416	1996-03-28	PRIJEM	VKLAD	10198	103607	\N	\N	\N
417373	1416	1996-05-20	PRIJEM	VKLAD	39850	132363	\N	\N	\N
417374	1416	1996-09-27	PRIJEM	VKLAD	9610	110815	\N	\N	\N
417375	1416	1996-12-18	PRIJEM	VKLAD	11023	61587	\N	\N	\N
417376	1416	1996-08-04	PRIJEM	VKLAD	33374	100767	\N	\N	\N
417377	1416	1996-03-12	PRIJEM	VKLAD	28754	122109	\N	\N	\N
417378	1416	1996-11-11	PRIJEM	VKLAD	47602	139709	\N	\N	\N
417379	1416	1996-05-07	PRIJEM	VKLAD	18656	120811	\N	\N	\N
417380	1416	1996-08-16	PRIJEM	VKLAD	18445	119212	\N	\N	\N
417381	1416	1996-09-01	PRIJEM	VKLAD	41740	75383	\N	\N	\N
417382	1416	1998-04-07	PRIJEM	VKLAD	11052	71132	\N	\N	\N
417383	1416	1998-09-20	PRIJEM	VKLAD	42161	93943	\N	\N	\N
417384	1416	1998-04-02	PRIJEM	VKLAD	49564	60080	\N	\N	\N
417385	1416	1998-04-28	PRIJEM	VKLAD	25452	46998	\N	\N	\N
417386	1416	1998-02-20	PRIJEM	VKLAD	49316	59153	\N	\N	\N
417387	1416	1998-09-20	PRIJEM	VKLAD	24476	51782	\N	\N	\N
417388	1416	1998-06-21	PRIJEM	VKLAD	6807	43759	\N	\N	\N
417389	1416	1998-06-15	PRIJEM	VKLAD	13342	82652	\N	\N	\N
417390	1416	1998-09-21	PRIJEM	VKLAD	9634	103577	\N	\N	\N
417391	1416	1998-05-29	PRIJEM	VKLAD	21046	59586	\N	\N	\N
417392	1416	1998-06-08	PRIJEM	VKLAD	9381	69310	\N	\N	\N
417393	1416	1998-01-24	PRIJEM	VKLAD	22487	20946	\N	\N	\N
417394	1416	1998-08-09	PRIJEM	VKLAD	10766	26134	\N	\N	\N
417395	1416	1998-01-11	PRIJEM	VKLAD	20732	21059	\N	\N	\N
417396	1416	1998-04-30	PRIJEM	VKLAD	47024	94170	\N	\N	\N
417397	1416	1998-10-19	PRIJEM	VKLAD	5534	46943	\N	\N	\N
417398	1416	1998-09-09	PRIJEM	VKLAD	31553	36792	\N	\N	\N
417399	1416	1998-10-11	PRIJEM	VKLAD	13095	110809	\N	\N	\N
417400	1416	1998-11-27	PRIJEM	VKLAD	25802	30103	\N	\N	\N
417401	1416	1998-07-12	PRIJEM	VKLAD	17085	47209	\N	\N	\N
417402	1416	1998-09-19	PRIJEM	VKLAD	23414	27306	\N	\N	\N
417478	1416	1994-12-07	VYBER	VYBER	14780	25597	\N	\N	\N
417479	1416	1995-10-20	VYBER	VYBER	12522	24876	\N	\N	\N
417480	1416	1995-10-12	VYBER	VYBER	15184	37398	\N	\N	\N
417481	1416	1995-05-05	VYBER	VYBER	19992	-975	\N	\N	\N
417482	1416	1995-08-11	VYBER	VYBER	17383	45676	\N	\N	\N
417483	1416	1995-08-26	VYBER	VYBER	6467	89150	\N	\N	\N
417485	1416	1995-01-12	VYBER	VYBER	21939	4551	\N	\N	\N
417486	1416	1995-04-23	VYBER	VYBER	8156	22193	\N	\N	\N
417487	1416	1996-06-02	VYBER	VYBER	9831	60265	\N	\N	\N
417488	1416	1997-01-15	VYBER	VYBER	18684	23003	\N	\N	\N
417492	1416	1997-03-27	VYBER	VYBER	7408	4209	\N	\N	\N
417496	1416	1997-06-09	VYBER	VYBER	8651	8179	\N	\N	\N
417501	1416	1998-04-11	VYBER	VYBER	16286	54846	\N	\N	\N
417504	1416	1993-12-17	VYDAJ	VYBER	6600	28805	\N	\N	\N
417505	1416	1994-12-01	VYDAJ	VYBER	6600	46077	\N	\N	\N
417506	1416	1995-12-12	VYDAJ	VYBER	5700	47760	\N	\N	\N
417507	1416	1996-12-07	VYDAJ	VYBER	2100	50564	\N	\N	\N
417516	1416	1994-01-02	VYDAJ	VYBER	7200	21816	\N	\N	\N
417517	1416	1994-01-11	VYDAJ	VYBER	3600	34248	\N	\N	\N
417518	1416	1994-01-27	VYDAJ	VYBER	1500	30948	\N	\N	\N
417519	1416	1994-01-08	VYDAJ	VYBER	3300	53848	\N	\N	\N
417520	1416	1994-01-21	VYDAJ	VYBER	1800	32448	\N	\N	\N
417521	1416	1994-01-28	VYDAJ	VYBER	5100	25848	\N	\N	\N
417522	1416	1995-01-06	VYDAJ	VYBER	3000	26490	\N	\N	\N
417523	1416	1995-01-24	VYDAJ	VYBER	3600	-849	\N	\N	\N
417524	1416	1995-01-17	VYDAJ	VYBER	1800	2751	\N	\N	\N
417528	1416	1996-01-25	VYDAJ	VYBER	3000	10651	\N	\N	\N
417529	1416	1996-01-07	VYDAJ	VYBER	3000	35794	\N	\N	\N
417530	1416	1996-01-11	VYDAJ	VYBER	7800	12394	\N	\N	\N
417531	1416	1996-01-14	VYDAJ	VYBER	4800	7594	\N	\N	\N
417532	1416	1996-01-09	VYDAJ	VYBER	7200	28594	\N	\N	\N
417533	1416	1996-01-09	VYDAJ	VYBER	8400	20194	\N	\N	\N
417534	1416	1997-01-29	VYDAJ	VYBER	4500	10403	\N	\N	\N
417535	1416	1997-01-11	VYDAJ	VYBER	3600	41687	\N	\N	\N
417536	1416	1997-01-28	VYDAJ	VYBER	3000	14903	\N	\N	\N
417537	1416	1997-01-07	VYDAJ	VYBER	4200	53387	\N	\N	\N
417538	1416	1997-01-16	VYDAJ	VYBER	4200	18803	\N	\N	\N
417539	1416	1997-01-08	VYDAJ	VYBER	8100	45287	\N	\N	\N
417541	1416	1998-01-14	VYDAJ	VYBER	8100	12959	\N	\N	\N
417543	1416	1998-01-16	VYDAJ	VYBER	8700	4259	\N	\N	\N
417544	1416	1998-01-28	VYDAJ	VYBER	2400	18546	\N	\N	\N
417546	1416	1993-11-17	VYDAJ	VYBER	13800	56241	\N	\N	\N
417547	1416	1993-12-12	VYDAJ	VYBER	12300	35405	\N	\N	\N
417553	1416	1994-06-10	VYDAJ	VYBER	12300	21424	\N	\N	\N
417554	1416	1994-10-24	VYDAJ	VYBER	2400	51258	\N	\N	\N
417555	1416	1994-07-12	VYDAJ	VYBER	11100	39334	\N	\N	\N
417557	1416	1995-04-25	VYDAJ	VYBER	12900	9293	\N	\N	\N
417558	1416	1995-07-03	VYDAJ	VYBER	4500	39102	\N	\N	\N
417559	1416	1995-04-20	VYDAJ	VYBER	9600	30349	\N	\N	\N
417561	1416	1995-11-03	VYDAJ	VYBER	8700	23731	\N	\N	\N
417562	1416	1995-03-08	VYDAJ	VYBER	4800	30336	\N	\N	\N
417563	1416	1996-05-13	VYDAJ	VYBER	11700	92513	\N	\N	\N
417564	1416	1996-08-29	VYDAJ	VYBER	13500	33412	\N	\N	\N
417565	1416	1996-03-07	VYDAJ	VYBER	6900	93355	\N	\N	\N
417566	1416	1996-09-07	VYDAJ	VYBER	10500	64883	\N	\N	\N
417567	1416	1996-10-14	VYDAJ	VYBER	5400	105688	\N	\N	\N
417569	1416	1997-10-22	VYDAJ	VYBER	1800	5033	\N	\N	\N
417571	1416	1997-03-10	VYDAJ	VYBER	8700	6117	\N	\N	\N
417575	1416	1998-10-03	VYDAJ	VYBER	6000	97714	\N	\N	\N
417576	1416	1998-06-24	VYDAJ	VYBER	13800	29959	\N	\N	\N
417577	1416	1998-03-25	VYDAJ	VYBER	13200	10350	\N	\N	\N
417578	1416	1998-04-16	VYDAJ	VYBER	5100	49746	\N	\N	\N
417591	1416	1993-11-30	VYDAJ	VYBER	30	98398	SLUZBY	\N	\N
417592	1416	1993-12-31	VYDAJ	VYBER	30	29016	SLUZBY	\N	\N
417593	1416	1994-01-31	VYDAJ	VYBER	30	25966	SLUZBY	\N	\N
417594	1416	1994-02-28	VYDAJ	VYBER	30	23544	SLUZBY	\N	\N
417595	1416	1994-03-31	VYDAJ	VYBER	30	25413	SLUZBY	\N	\N
417596	1416	1994-04-30	VYDAJ	VYBER	30	63790	SLUZBY	\N	\N
417597	1416	1994-05-31	VYDAJ	VYBER	30	44624	SLUZBY	\N	\N
417598	1416	1994-06-30	VYDAJ	VYBER	30	71534	SLUZBY	\N	\N
417599	1416	1994-07-31	VYDAJ	VYBER	30	39515	SLUZBY	\N	\N
417600	1416	1994-08-31	VYDAJ	VYBER	30	35849	SLUZBY	\N	\N
417601	1416	1994-09-30	VYDAJ	VYBER	30	79158	SLUZBY	\N	\N
417602	1416	1994-10-31	VYDAJ	VYBER	30	51527	SLUZBY	\N	\N
417603	1416	1994-11-30	VYDAJ	VYBER	30	52677	SLUZBY	\N	\N
417604	1416	1994-12-31	VYDAJ	VYBER	30	25690	SLUZBY	\N	\N
417605	1416	1995-01-31	VYDAJ	VYBER	30	-835	SLUZBY	\N	\N
417606	1416	1995-02-28	VYDAJ	VYBER	30	15126	SLUZBY	\N	\N
417607	1416	1995-03-31	VYDAJ	VYBER	30	48649	SLUZBY	\N	\N
417608	1416	1995-04-30	VYDAJ	VYBER	30	9417	SLUZBY	\N	\N
417609	1416	1995-05-31	VYDAJ	VYBER	30	-1000	SLUZBY	\N	\N
417610	1416	1995-06-30	VYDAJ	VYBER	30	55204	SLUZBY	\N	\N
417611	1416	1995-07-31	VYDAJ	VYBER	30	90976	SLUZBY	\N	\N
417612	1416	1995-08-31	VYDAJ	VYBER	30	56968	SLUZBY	\N	\N
417613	1416	1995-09-30	VYDAJ	VYBER	30	52582	SLUZBY	\N	\N
417614	1416	1995-10-31	VYDAJ	VYBER	30	32431	SLUZBY	\N	\N
417615	1416	1995-11-30	VYDAJ	VYBER	30	27534	SLUZBY	\N	\N
417616	1416	1995-12-31	VYDAJ	VYBER	30	38794	SLUZBY	\N	\N
417617	1416	1996-01-31	VYDAJ	VYBER	30	37415	SLUZBY	\N	\N
417618	1416	1996-02-29	VYDAJ	VYBER	30	100255	SLUZBY	\N	\N
417619	1416	1996-03-31	VYDAJ	VYBER	30	67537	SLUZBY	\N	\N
417620	1416	1996-04-30	VYDAJ	VYBER	30	66742	SLUZBY	\N	\N
417621	1416	1996-05-31	VYDAJ	VYBER	30	70096	SLUZBY	\N	\N
417622	1416	1996-06-30	VYDAJ	VYBER	30	89898	SLUZBY	\N	\N
417623	1416	1996-07-31	VYDAJ	VYBER	30	67393	SLUZBY	\N	\N
417624	1416	1996-08-31	VYDAJ	VYBER	30	33643	SLUZBY	\N	\N
417625	1416	1996-09-30	VYDAJ	VYBER	30	111088	SLUZBY	\N	\N
417626	1416	1996-10-31	VYDAJ	VYBER	30	63568	SLUZBY	\N	\N
417627	1416	1996-11-30	VYDAJ	VYBER	30	52664	SLUZBY	\N	\N
417628	1416	1996-12-31	VYDAJ	VYBER	30	57587	SLUZBY	\N	\N
417629	1416	1997-01-31	VYDAJ	VYBER	30	10505	SLUZBY	\N	\N
417630	1416	1997-02-28	VYDAJ	VYBER	30	14817	SLUZBY	\N	\N
417631	1416	1997-03-31	VYDAJ	VYBER	30	4229	SLUZBY	\N	\N
417632	1416	1997-04-30	VYDAJ	VYBER	30	11215	SLUZBY	\N	\N
417633	1416	1997-05-31	VYDAJ	VYBER	30	16830	SLUZBY	\N	\N
417634	1416	1997-06-30	VYDAJ	VYBER	30	10106	SLUZBY	\N	\N
417635	1416	1997-07-31	VYDAJ	VYBER	30	9415	SLUZBY	\N	\N
417636	1416	1997-08-31	VYDAJ	VYBER	30	11021	SLUZBY	\N	\N
417637	1416	1997-09-30	VYDAJ	VYBER	30	8433	SLUZBY	\N	\N
417638	1416	1997-10-31	VYDAJ	VYBER	30	5030	SLUZBY	\N	\N
417639	1416	1997-11-30	VYDAJ	VYBER	30	3317	SLUZBY	\N	\N
417641	1416	1998-01-31	VYDAJ	VYBER	30	18537	SLUZBY	\N	\N
417642	1416	1998-02-28	VYDAJ	VYBER	30	59250	SLUZBY	\N	\N
417643	1416	1998-03-31	VYDAJ	VYBER	30	10516	SLUZBY	\N	\N
417644	1416	1998-04-30	VYDAJ	VYBER	30	94140	SLUZBY	\N	\N
417645	1416	1998-05-31	VYDAJ	VYBER	30	59929	SLUZBY	\N	\N
417646	1416	1998-06-30	VYDAJ	VYBER	30	30124	SLUZBY	\N	\N
417647	1416	1998-07-31	VYDAJ	VYBER	30	15368	SLUZBY	\N	\N
417648	1416	1998-08-31	VYDAJ	VYBER	30	5239	SLUZBY	\N	\N
417649	1416	1998-09-30	VYDAJ	VYBER	30	103714	SLUZBY	\N	\N
417650	1416	1998-10-31	VYDAJ	VYBER	30	47201	SLUZBY	\N	\N
417651	1416	1998-11-30	VYDAJ	VYBER	30	30254	SLUZBY	\N	\N
417652	1416	1993-08-11	VYDAJ	VYBER	9600	34364	\N	\N	\N
417653	1416	1993-09-10	VYDAJ	VYBER	5400	29147	\N	\N	\N
417654	1416	1993-10-10	VYDAJ	VYBER	37800	66827	\N	\N	\N
417655	1416	1993-11-02	VYDAJ	VYBER	62700	56171	\N	\N	\N
417656	1416	1993-11-09	VYDAJ	VYBER	16300	39871	\N	\N	\N
417657	1416	1993-11-21	VYDAJ	VYBER	35800	98131	\N	\N	\N
417658	1416	1993-12-09	VYDAJ	VYBER	64700	65605	\N	\N	\N
417659	1416	1993-12-09	VYDAJ	VYBER	17900	47705	\N	\N	\N
417660	1416	1994-01-08	VYDAJ	VYBER	16000	37848	\N	\N	\N
417661	1416	1994-02-07	VYDAJ	VYBER	2500	23466	\N	\N	\N
417662	1416	1994-03-09	PRIJEM	VKLAD	1800	25344	\N	\N	\N
417663	1416	1994-04-08	PRIJEM	VKLAD	2100	27513	\N	\N	\N
417664	1416	1994-05-08	VYDAJ	VYBER	19400	44390	\N	\N	\N
417665	1416	1994-06-07	VYDAJ	VYBER	10900	33724	\N	\N	\N
417666	1416	1994-07-07	VYDAJ	VYBER	21100	50434	\N	\N	\N
417667	1416	1994-08-06	VYDAJ	VYBER	3800	35715	\N	\N	\N
417668	1416	1994-09-05	VYDAJ	VYBER	3200	32649	\N	\N	\N
417669	1416	1994-10-05	VYDAJ	VYBER	25500	53658	\N	\N	\N
417670	1416	1994-11-04	VYDAJ	VYBER	9400	42127	\N	\N	\N
417671	1416	1994-12-04	VYDAJ	VYBER	5700	40377	\N	\N	\N
417672	1416	1995-01-03	PRIJEM	VKLAD	3800	29490	\N	\N	\N
417673	1416	1995-02-02	PRIJEM	VKLAD	16000	15163	\N	\N	\N
417674	1416	1995-03-04	PRIJEM	VKLAD	9700	24826	\N	\N	\N
417675	1416	1995-04-03	VYDAJ	VYBER	8700	39949	\N	\N	\N
417676	1416	1995-05-03	PRIJEM	VKLAD	9600	19017	\N	\N	\N
417677	1416	1995-06-02	PRIJEM	VKLAD	15600	14590	\N	\N	\N
417678	1416	1995-07-02	VYDAJ	VYBER	11600	43602	\N	\N	\N
417679	1416	1995-08-01	VYDAJ	VYBER	30600	60376	\N	\N	\N
417680	1416	1995-08-10	VYDAJ	VYBER	46100	63059	\N	\N	\N
417681	1416	1995-08-31	VYDAJ	VYBER	32500	56998	\N	\N	\N
417682	1416	1995-09-30	VYDAJ	VYBER	27600	52612	\N	\N	\N
417683	1416	1995-10-30	VYDAJ	VYBER	4500	32276	\N	\N	\N
417684	1416	1995-11-29	PRIJEM	VKLAD	3700	27431	\N	\N	\N
417685	1416	1995-12-29	VYDAJ	VYBER	9100	38660	\N	\N	\N
417686	1416	1996-01-28	PRIJEM	VKLAD	6700	17351	\N	\N	\N
417687	1416	1996-02-27	VYDAJ	VYBER	27500	55753	\N	\N	\N
417688	1416	1996-03-12	VYDAJ	VYBER	28700	93409	\N	\N	\N
417689	1416	1996-03-28	VYDAJ	VYBER	36500	67107	\N	\N	\N
417690	1416	1996-04-27	VYDAJ	VYBER	41800	66470	\N	\N	\N
417691	1416	1996-05-07	VYDAJ	VYBER	37200	83611	\N	\N	\N
417692	1416	1996-05-20	VYDAJ	VYBER	22200	110163	\N	\N	\N
417693	1416	1996-05-27	VYDAJ	VYBER	40400	69763	\N	\N	\N
417694	1416	1996-06-26	VYDAJ	VYBER	31400	57823	\N	\N	\N
417695	1416	1996-07-06	VYDAJ	VYBER	47200	77322	\N	\N	\N
417696	1416	1996-07-26	VYDAJ	VYBER	39400	67044	\N	\N	\N
417697	1416	1996-08-16	VYDAJ	VYBER	46100	73112	\N	\N	\N
417698	1416	1996-08-25	VYDAJ	VYBER	26200	46912	\N	\N	\N
417699	1416	1996-09-24	VYDAJ	VYBER	48500	66126	\N	\N	\N
417700	1416	1996-10-24	VYDAJ	VYBER	42500	63188	\N	\N	\N
417701	1416	1996-11-11	VYDAJ	VYBER	55200	84509	\N	\N	\N
417702	1416	1996-11-23	VYDAJ	VYBER	32100	52409	\N	\N	\N
417703	1416	1996-12-23	VYDAJ	VYBER	23000	38587	\N	\N	\N
417704	1416	1997-01-22	VYDAJ	VYBER	900	17903	\N	\N	\N
417705	1416	1997-02-21	PRIJEM	VKLAD	4300	14805	\N	\N	\N
417706	1416	1997-03-23	PRIJEM	VKLAD	5500	11617	\N	\N	\N
417707	1416	1997-04-22	PRIJEM	VKLAD	7000	11229	\N	\N	\N
417708	1416	1997-05-22	PRIJEM	VKLAD	5600	16815	\N	\N	\N
417709	1416	1997-06-21	PRIJEM	VKLAD	1900	10079	\N	\N	\N
417710	1416	1997-07-21	VYDAJ	VYBER	700	9406	\N	\N	\N
417711	1416	1997-08-20	PRIJEM	VKLAD	1600	11015	\N	\N	\N
417712	1416	1997-09-19	VYDAJ	VYBER	2600	8421	\N	\N	\N
417713	1416	1997-10-19	VYDAJ	VYBER	1600	6833	\N	\N	\N
417714	1416	1997-11-18	VYDAJ	VYBER	1700	3330	\N	\N	\N
417715	1416	1997-12-18	VYDAJ	VYBER	3000	317	\N	\N	\N
417716	1416	1998-01-17	VYDAJ	VYBER	5800	-1542	\N	\N	\N
417717	1416	1998-02-16	VYDAJ	VYBER	8700	9837	\N	\N	\N
417718	1416	1998-03-18	VYDAJ	VYBER	35700	23550	\N	\N	\N
417719	1416	1998-04-17	VYDAJ	VYBER	28200	21546	\N	\N	\N
417720	1416	1998-05-17	VYDAJ	VYBER	55600	38540	\N	\N	\N
417721	1416	1998-06-16	VYDAJ	VYBER	45700	36952	\N	\N	\N
417722	1416	1998-07-16	VYDAJ	VYBER	31900	15309	\N	\N	\N
417723	1416	1998-08-15	VYDAJ	VYBER	20900	5234	\N	\N	\N
417724	1416	1998-09-14	VYDAJ	VYBER	32900	3892	\N	\N	\N
417725	1416	1998-10-14	VYDAJ	VYBER	69400	41409	\N	\N	\N
417726	1416	1998-11-13	VYDAJ	VYBER	42900	4301	\N	\N	\N
417727	1416	1998-12-13	VYDAJ	VYBER	37000	-6746	\N	\N	\N
417803	1417	1994-12-20	PRIJEM	VKLAD	200	200	\N	\N	\N
417816	1417	1995-01-08	PRIJEM	VKLAD	24231	24431	\N	\N	\N
417817	1417	1995-02-08	PRIJEM	VKLAD	24231	50308	\N	\N	\N
417818	1417	1995-03-08	PRIJEM	VKLAD	24231	63268	\N	\N	\N
417819	1417	1995-04-08	PRIJEM	VKLAD	24231	66767	\N	\N	\N
417820	1417	1995-05-08	PRIJEM	VKLAD	24231	67475	\N	\N	\N
417821	1417	1995-06-08	PRIJEM	VKLAD	36346	51009	\N	\N	\N
417822	1417	1995-07-08	PRIJEM	VKLAD	24231	59199	\N	\N	\N
417823	1417	1995-08-08	PRIJEM	VKLAD	24231	61390	\N	\N	\N
417824	1417	1995-09-08	PRIJEM	VKLAD	24231	61981	\N	\N	\N
417825	1417	1995-10-08	PRIJEM	VKLAD	24231	66698	\N	\N	\N
417826	1417	1995-11-08	PRIJEM	VKLAD	24231	65200	\N	\N	\N
417827	1417	1995-12-08	PRIJEM	VKLAD	36346	81440	\N	\N	\N
417828	1417	1996-01-08	PRIJEM	VKLAD	24231	66981	\N	\N	\N
417829	1417	1996-02-08	PRIJEM	VKLAD	24231	57199	\N	\N	\N
417830	1417	1996-03-08	PRIJEM	VKLAD	24231	58566	\N	\N	\N
417831	1417	1996-04-08	PRIJEM	VKLAD	24231	68371	\N	\N	\N
417832	1417	1996-05-08	PRIJEM	VKLAD	24231	63070	\N	\N	\N
417833	1417	1996-06-08	PRIJEM	VKLAD	36346	81385	\N	\N	\N
417834	1417	1996-07-08	PRIJEM	VKLAD	24231	57502	\N	\N	\N
417835	1417	1996-08-08	PRIJEM	VKLAD	24231	64685	\N	\N	\N
417836	1417	1996-09-08	PRIJEM	VKLAD	24231	71597	\N	\N	\N
417837	1417	1996-10-08	PRIJEM	VKLAD	24231	73229	\N	\N	\N
417838	1417	1996-11-08	PRIJEM	VKLAD	24231	78875	\N	\N	\N
417839	1417	1996-12-08	PRIJEM	VKLAD	36346	95658	\N	\N	\N
417840	1417	1997-01-08	PRIJEM	VKLAD	24231	89249	\N	\N	\N
417841	1417	1997-02-08	PRIJEM	VKLAD	24231	69300	\N	\N	\N
417842	1417	1997-03-08	PRIJEM	VKLAD	24231	86360	\N	\N	\N
417843	1417	1997-04-08	PRIJEM	VKLAD	24231	81630	\N	\N	\N
417844	1417	1997-05-08	PRIJEM	VKLAD	24231	82813	\N	\N	\N
417845	1417	1997-06-08	PRIJEM	VKLAD	36346	92320	\N	\N	\N
417846	1417	1997-07-08	PRIJEM	VKLAD	24231	84130	\N	\N	\N
417847	1417	1997-08-08	PRIJEM	VKLAD	24231	89762	\N	\N	\N
417848	1417	1997-09-08	PRIJEM	VKLAD	24231	90527	\N	\N	\N
417849	1417	1997-10-08	PRIJEM	VKLAD	24231	90593	\N	\N	\N
417850	1417	1997-11-08	PRIJEM	VKLAD	24231	94564	\N	\N	\N
417851	1417	1997-12-08	PRIJEM	VKLAD	36346	102665	\N	\N	\N
417852	1417	1998-01-08	PRIJEM	VKLAD	24231	96475	\N	\N	\N
417853	1417	1998-02-08	PRIJEM	VKLAD	24231	93641	\N	\N	\N
417854	1417	1998-03-08	PRIJEM	VKLAD	24231	103017	\N	\N	\N
417855	1417	1998-04-08	PRIJEM	VKLAD	24231	102333	\N	\N	\N
417856	1417	1998-05-08	PRIJEM	VKLAD	24231	106755	\N	\N	\N
417857	1417	1998-06-08	PRIJEM	VKLAD	36346	114404	\N	\N	\N
417858	1417	1998-07-08	PRIJEM	VKLAD	24231	95898	\N	\N	\N
417859	1417	1998-08-08	PRIJEM	VKLAD	24231	98186	\N	\N	\N
417860	1417	1998-09-08	PRIJEM	VKLAD	24231	98985	\N	\N	\N
417861	1417	1998-10-08	PRIJEM	VKLAD	24231	98355	\N	\N	\N
417862	1417	1998-11-08	PRIJEM	VKLAD	24231	103350	\N	\N	\N
417863	1417	1998-12-08	PRIJEM	VKLAD	36346	115548	\N	\N	\N
417880	1417	1995-05-14	VYDAJ	PREVOD NA UCET	7394	55481	SIPO	QR	84443246
417881	1417	1995-06-14	VYDAJ	PREVOD NA UCET	7394	43615	SIPO	QR	84443246
417882	1417	1995-07-14	VYDAJ	PREVOD NA UCET	7394	49005	SIPO	QR	84443246
417883	1417	1995-08-14	VYDAJ	PREVOD NA UCET	7394	53996	SIPO	QR	84443246
417884	1417	1995-09-14	VYDAJ	PREVOD NA UCET	7394	54587	SIPO	QR	84443246
417885	1417	1995-10-14	VYDAJ	PREVOD NA UCET	7394	59304	SIPO	QR	84443246
417886	1417	1995-11-14	VYDAJ	PREVOD NA UCET	7394	57806	SIPO	QR	84443246
417887	1417	1995-12-14	VYDAJ	PREVOD NA UCET	7394	67646	SIPO	QR	84443246
417888	1417	1996-01-14	VYDAJ	PREVOD NA UCET	7394	58787	SIPO	QR	84443246
417889	1417	1996-02-14	VYDAJ	PREVOD NA UCET	7394	36705	SIPO	QR	84443246
417890	1417	1996-03-14	VYDAJ	PREVOD NA UCET	7394	43972	SIPO	QR	84443246
417891	1417	1996-04-14	VYDAJ	PREVOD NA UCET	7394	42677	SIPO	QR	84443246
417892	1417	1996-05-14	VYDAJ	PREVOD NA UCET	7394	44876	SIPO	QR	84443246
417893	1417	1996-06-14	VYDAJ	PREVOD NA UCET	7394	53791	SIPO	QR	84443246
417894	1417	1996-07-14	VYDAJ	PREVOD NA UCET	7394	40808	SIPO	QR	84443246
417895	1417	1996-08-14	VYDAJ	PREVOD NA UCET	7394	47191	SIPO	QR	84443246
417896	1417	1996-09-14	VYDAJ	PREVOD NA UCET	7394	51803	SIPO	QR	84443246
417897	1417	1996-10-14	VYDAJ	PREVOD NA UCET	7394	54435	SIPO	QR	84443246
417898	1417	1996-11-14	VYDAJ	PREVOD NA UCET	7394	59081	SIPO	QR	84443246
417899	1417	1996-12-14	VYDAJ	PREVOD NA UCET	7394	64764	SIPO	QR	84443246
417900	1417	1997-01-14	VYDAJ	PREVOD NA UCET	7394	58755	SIPO	QR	84443246
417901	1417	1997-02-14	VYDAJ	PREVOD NA UCET	7394	61906	SIPO	QR	84443246
417902	1417	1997-03-14	VYDAJ	PREVOD NA UCET	7394	57166	SIPO	QR	84443246
417903	1417	1997-04-14	VYDAJ	PREVOD NA UCET	7394	58336	SIPO	QR	84443246
417904	1417	1997-05-14	VYDAJ	PREVOD NA UCET	7394	61419	SIPO	QR	84443246
417905	1417	1997-06-14	VYDAJ	PREVOD NA UCET	7394	84926	SIPO	QR	84443246
417906	1417	1997-07-14	VYDAJ	PREVOD NA UCET	7394	76736	SIPO	QR	84443246
417907	1417	1997-08-14	VYDAJ	PREVOD NA UCET	7394	82368	SIPO	QR	84443246
417908	1417	1997-09-14	VYDAJ	PREVOD NA UCET	7394	80633	SIPO	QR	84443246
417909	1417	1997-10-14	VYDAJ	PREVOD NA UCET	7394	83199	SIPO	QR	84443246
417910	1417	1997-11-14	VYDAJ	PREVOD NA UCET	7394	87170	SIPO	QR	84443246
417911	1417	1997-12-14	VYDAJ	PREVOD NA UCET	7394	95271	SIPO	QR	84443246
417912	1417	1998-01-14	VYDAJ	PREVOD NA UCET	7394	87681	SIPO	QR	84443246
417913	1417	1998-02-14	VYDAJ	PREVOD NA UCET	7394	86247	SIPO	QR	84443246
417914	1417	1998-03-14	VYDAJ	PREVOD NA UCET	7394	95623	SIPO	QR	84443246
417915	1417	1998-04-14	VYDAJ	PREVOD NA UCET	7394	94939	SIPO	QR	84443246
417916	1417	1998-05-14	VYDAJ	PREVOD NA UCET	7394	99361	SIPO	QR	84443246
417917	1417	1998-06-14	VYDAJ	PREVOD NA UCET	7394	81410	SIPO	QR	84443246
417918	1417	1998-07-14	VYDAJ	PREVOD NA UCET	7394	88504	SIPO	QR	84443246
417919	1417	1998-08-14	VYDAJ	PREVOD NA UCET	7394	90792	SIPO	QR	84443246
417920	1417	1998-09-14	VYDAJ	PREVOD NA UCET	7394	91591	SIPO	QR	84443246
417921	1417	1998-10-14	VYDAJ	PREVOD NA UCET	7394	90961	SIPO	QR	84443246
417922	1417	1998-11-14	VYDAJ	PREVOD NA UCET	7394	95956	SIPO	QR	84443246
417923	1417	1998-12-14	VYDAJ	PREVOD NA UCET	7394	104054	SIPO	QR	84443246
417925	1417	1995-06-05	VYDAJ	VYBER	24300	14663	\N	\N	\N
417926	1417	1996-06-25	VYDAJ	VYBER	20700	33091	\N	\N	\N
417927	1417	1997-06-16	VYDAJ	VYBER	23300	61626	\N	\N	\N
417928	1417	1998-06-12	VYDAJ	VYBER	25600	88804	\N	\N	\N
417931	1417	1996-01-18	VYDAJ	VYBER	7900	37487	\N	\N	\N
417932	1417	1997-01-22	VYDAJ	VYBER	9900	40255	\N	\N	\N
417933	1417	1998-01-23	VYDAJ	VYBER	2700	77881	\N	\N	\N
417935	1417	1995-12-09	VYDAJ	VYBER	1600	79840	\N	\N	\N
417936	1417	1996-12-10	VYDAJ	VYBER	1700	72158	\N	\N	\N
417937	1417	1997-12-30	VYDAJ	VYBER	1800	93471	\N	\N	\N
417938	1417	1998-12-15	VYDAJ	VYBER KARTOU	2100	101954	\N	\N	0
417951	1417	1996-01-05	VYDAJ	VYBER	1200	42750	\N	\N	\N
417952	1417	1996-01-04	VYDAJ	VYBER	1500	43950	\N	\N	\N
417953	1417	1996-01-28	VYDAJ	VYBER	2400	35087	\N	\N	\N
417954	1417	1996-01-03	VYDAJ	VYBER	2100	45450	\N	\N	\N
417955	1417	1996-01-08	VYDAJ	VYBER	800	66181	\N	\N	\N
417956	1417	1996-01-28	VYDAJ	VYBER	2300	32787	\N	\N	\N
417957	1417	1997-01-12	VYDAJ	VYBER	1800	66149	\N	\N	\N
417958	1417	1997-01-20	VYDAJ	VYBER	1500	50155	\N	\N	\N
417959	1417	1997-01-25	VYDAJ	VYBER	800	39455	\N	\N	\N
417960	1417	1997-01-09	VYDAJ	VYBER	2600	67949	\N	\N	\N
417961	1417	1997-01-26	VYDAJ	VYBER	2200	37255	\N	\N	\N
417962	1417	1997-01-19	VYDAJ	VYBER	2600	51655	\N	\N	\N
417963	1417	1998-01-05	VYDAJ	VYBER	2900	72244	\N	\N	\N
417964	1417	1998-01-04	VYDAJ	VYBER	2100	75144	\N	\N	\N
417965	1417	1998-01-02	VYDAJ	VYBER	2500	91344	\N	\N	\N
417966	1417	1998-01-27	VYDAJ	VYBER	700	75681	\N	\N	\N
417967	1417	1998-01-18	VYDAJ	VYBER	2400	80581	\N	\N	\N
417968	1417	1998-01-08	VYDAJ	VYBER	1400	95075	\N	\N	\N
417974	1417	1995-09-05	VYDAJ	VYBER	2900	37750	\N	\N	\N
417975	1417	1995-11-01	VYDAJ	VYBER	900	40969	\N	\N	\N
417976	1417	1995-05-08	VYDAJ	VYBER	4600	62875	\N	\N	\N
417977	1417	1995-07-10	VYDAJ	VYBER	2800	56399	\N	\N	\N
417978	1417	1995-12-11	VYDAJ	VYBER	4800	75040	\N	\N	\N
417980	1417	1995-12-21	VYDAJ	VYBER	2100	47346	\N	\N	\N
417981	1417	1996-07-26	VYDAJ	VYBER	500	40308	\N	\N	\N
417982	1417	1996-09-20	VYDAJ	VYBER	3000	48803	\N	\N	\N
417983	1417	1996-04-22	VYDAJ	VYBER	4000	38677	\N	\N	\N
417984	1417	1996-02-22	VYDAJ	VYBER	2500	34205	\N	\N	\N
417985	1417	1997-01-18	VYDAJ	VYBER	4500	54255	\N	\N	\N
417986	1417	1997-12-06	VYDAJ	VYBER	3600	66319	\N	\N	\N
417987	1417	1997-09-09	VYDAJ	VYBER	2500	88027	\N	\N	\N
417988	1417	1998-01-17	VYDAJ	VYBER	4700	82981	\N	\N	\N
417989	1417	1998-09-26	VYDAJ	VYBER KARTOU	900	90691	\N	\N	0
417990	1417	1998-01-25	VYDAJ	VYBER	1500	76381	\N	\N	\N
417991	1417	1998-12-10	VYDAJ	VYBER KARTOU	4100	111448	\N	\N	0
417992	1417	1998-05-28	VYDAJ	VYBER KARTOU	3600	95761	\N	\N	0
418010	1417	1995-05-31	VYDAJ	VYBER	15	38963	SLUZBY	\N	\N
418011	1417	1995-06-30	VYDAJ	VYBER	15	34968	SLUZBY	\N	\N
418012	1417	1995-07-31	VYDAJ	VYBER	15	37159	SLUZBY	\N	\N
418013	1417	1995-08-31	VYDAJ	VYBER	15	40650	SLUZBY	\N	\N
418014	1417	1995-09-30	VYDAJ	VYBER	15	42467	SLUZBY	\N	\N
418015	1417	1995-10-31	VYDAJ	VYBER	15	41869	SLUZBY	\N	\N
418016	1417	1995-11-30	VYDAJ	VYBER	15	45094	SLUZBY	\N	\N
418017	1417	1995-12-31	VYDAJ	VYBER	15	47550	SLUZBY	\N	\N
418018	1417	1996-01-31	VYDAJ	VYBER	15	32968	SLUZBY	\N	\N
418019	1417	1996-02-29	VYDAJ	VYBER	15	34335	SLUZBY	\N	\N
418020	1417	1996-03-31	VYDAJ	VYBER	15	44140	SLUZBY	\N	\N
418021	1417	1996-04-30	VYDAJ	VYBER	15	38839	SLUZBY	\N	\N
418022	1417	1996-05-31	VYDAJ	VYBER	15	45039	SLUZBY	\N	\N
418023	1417	1996-06-30	VYDAJ	VYBER	15	33271	SLUZBY	\N	\N
418024	1417	1996-07-31	VYDAJ	VYBER	15	40454	SLUZBY	\N	\N
418025	1417	1996-08-31	VYDAJ	VYBER	15	47366	SLUZBY	\N	\N
418026	1417	1996-09-30	VYDAJ	VYBER	15	48998	SLUZBY	\N	\N
418027	1417	1996-10-31	VYDAJ	VYBER	15	54644	SLUZBY	\N	\N
418028	1417	1996-11-30	VYDAJ	VYBER	15	59312	SLUZBY	\N	\N
418029	1417	1996-12-31	VYDAJ	VYBER	15	65018	SLUZBY	\N	\N
418030	1417	1997-01-31	VYDAJ	VYBER	15	37469	SLUZBY	\N	\N
418031	1417	1997-02-28	VYDAJ	VYBER	15	62129	SLUZBY	\N	\N
418032	1417	1997-03-31	VYDAJ	VYBER	15	57399	SLUZBY	\N	\N
418033	1417	1997-04-30	VYDAJ	VYBER	15	58582	SLUZBY	\N	\N
418034	1417	1997-05-31	VYDAJ	VYBER	15	61674	SLUZBY	\N	\N
418035	1417	1997-06-30	VYDAJ	VYBER	15	61899	SLUZBY	\N	\N
418036	1417	1997-07-31	VYDAJ	VYBER	15	77031	SLUZBY	\N	\N
418037	1417	1997-08-31	VYDAJ	VYBER	15	82696	SLUZBY	\N	\N
418038	1417	1997-09-30	VYDAJ	VYBER	15	80962	SLUZBY	\N	\N
418039	1417	1997-10-31	VYDAJ	VYBER	15	83533	SLUZBY	\N	\N
418040	1417	1997-11-30	VYDAJ	VYBER	15	87519	SLUZBY	\N	\N
418041	1417	1997-12-31	VYDAJ	VYBER	15	93844	SLUZBY	\N	\N
418042	1417	1998-01-31	VYDAJ	VYBER	15	76010	SLUZBY	\N	\N
418043	1417	1998-02-28	VYDAJ	VYBER	15	86586	SLUZBY	\N	\N
418044	1417	1998-03-31	VYDAJ	VYBER	15	96002	SLUZBY	\N	\N
418045	1417	1998-04-30	VYDAJ	VYBER	15	95324	SLUZBY	\N	\N
418046	1417	1998-05-31	VYDAJ	VYBER	15	96158	SLUZBY	\N	\N
418047	1417	1998-06-30	VYDAJ	VYBER	15	81767	SLUZBY	\N	\N
418048	1417	1998-07-31	VYDAJ	VYBER	15	88855	SLUZBY	\N	\N
418049	1417	1998-08-31	VYDAJ	VYBER	15	74754	SLUZBY	\N	\N
418050	1417	1998-09-30	VYDAJ	VYBER	15	91024	SLUZBY	\N	\N
418051	1417	1998-10-31	VYDAJ	VYBER	15	79119	SLUZBY	\N	\N
418052	1417	1998-11-30	VYDAJ	VYBER	15	79202	SLUZBY	\N	\N
418053	1417	1995-01-19	PRIJEM	VKLAD	1600	26031	\N	\N	\N
418054	1417	1995-02-18	VYDAJ	VYBER	11400	38908	\N	\N	\N
418055	1417	1995-03-20	VYDAJ	VYBER	20900	42368	\N	\N	\N
418056	1417	1995-04-19	VYDAJ	VYBER	23700	43067	\N	\N	\N
418057	1417	1995-05-19	VYDAJ	VYBER	16700	38781	\N	\N	\N
418058	1417	1995-06-18	VYDAJ	VYBER	8800	34815	\N	\N	\N
418059	1417	1995-07-18	VYDAJ	VYBER	12000	37005	\N	\N	\N
418060	1417	1995-08-17	VYDAJ	VYBER	13500	40496	\N	\N	\N
418061	1417	1995-09-16	VYDAJ	VYBER	12300	42287	\N	\N	\N
418062	1417	1995-10-16	VYDAJ	VYBER	17600	41704	\N	\N	\N
418063	1417	1995-11-15	VYDAJ	VYBER	12900	44906	\N	\N	\N
418064	1417	1995-12-15	VYDAJ	VYBER	18200	49446	\N	\N	\N
418065	1417	1996-01-14	VYDAJ	VYBER	13400	45387	\N	\N	\N
418066	1417	1996-02-13	VYDAJ	VYBER	13100	44099	\N	\N	\N
418067	1417	1996-03-14	VYDAJ	VYBER	7200	51366	\N	\N	\N
418068	1417	1996-04-13	VYDAJ	VYBER	18300	50071	\N	\N	\N
418069	1417	1996-05-13	VYDAJ	VYBER	10800	52270	\N	\N	\N
418070	1417	1996-06-12	VYDAJ	VYBER	20200	61185	\N	\N	\N
418071	1417	1996-07-12	VYDAJ	VYBER	9300	48202	\N	\N	\N
418072	1417	1996-08-11	VYDAJ	VYBER	10100	54585	\N	\N	\N
418073	1417	1996-09-10	VYDAJ	VYBER	12400	59197	\N	\N	\N
418074	1417	1996-10-10	VYDAJ	VYBER	11400	61829	\N	\N	\N
418075	1417	1996-11-09	VYDAJ	VYBER	12400	66475	\N	\N	\N
418076	1417	1996-12-09	VYDAJ	VYBER	21800	73858	\N	\N	\N
418077	1417	1997-01-08	VYDAJ	VYBER	18700	70549	\N	\N	\N
418078	1417	1997-02-07	PRIJEM	VKLAD	7600	45069	\N	\N	\N
418079	1417	1997-03-09	VYDAJ	VYBER	21800	64560	\N	\N	\N
418080	1417	1997-04-08	VYDAJ	VYBER	15900	65730	\N	\N	\N
418081	1417	1997-05-08	VYDAJ	VYBER	14000	68813	\N	\N	\N
418082	1417	1997-06-07	VYDAJ	VYBER	5700	55974	\N	\N	\N
418083	1417	1997-07-07	VYDAJ	VYBER	2000	59899	\N	\N	\N
418084	1417	1997-08-06	VYDAJ	VYBER	11500	65531	\N	\N	\N
418085	1417	1997-09-05	VYDAJ	VYBER	16400	66296	\N	\N	\N
418086	1417	1997-10-05	VYDAJ	VYBER	14600	66362	\N	\N	\N
418087	1417	1997-11-04	VYDAJ	VYBER	13200	70333	\N	\N	\N
418088	1417	1997-12-04	VYDAJ	VYBER	17600	69919	\N	\N	\N
418089	1417	1998-01-03	VYDAJ	VYBER	14100	77244	\N	\N	\N
418090	1417	1998-02-02	VYDAJ	VYBER	6600	69410	\N	\N	\N
418091	1417	1998-03-04	VYDAJ	VYBER	7800	78786	\N	\N	\N
418092	1417	1998-04-03	VYDAJ	VYBER	17900	78102	\N	\N	\N
418093	1417	1998-05-03	VYDAJ	VYBER	12800	82524	\N	\N	\N
418094	1417	1998-06-02	VYDAJ	VYBER	18100	78058	\N	\N	\N
418095	1417	1998-07-02	VYDAJ	VYBER	10100	71667	\N	\N	\N
418096	1417	1998-08-01	VYDAJ	VYBER	14900	73955	\N	\N	\N
418097	1417	1998-08-31	VYDAJ	VYBER	16400	74769	\N	\N	\N
418098	1417	1998-09-30	VYDAJ	VYBER	16900	74124	\N	\N	\N
418099	1417	1998-10-30	VYDAJ	VYBER	12200	78761	\N	\N	\N
418100	1417	1998-11-29	VYDAJ	VYBER	17100	78856	\N	\N	\N
418149	1418	1997-02-09	PRIJEM	VKLAD	900	900	\N	\N	\N
418151	1418	1997-02-13	PRIJEM	VKLAD	10444	11344	\N	\N	\N
418152	1418	1997-03-13	PRIJEM	VKLAD	10444	29115	\N	\N	\N
418153	1418	1997-04-13	PRIJEM	VKLAD	10444	38252	\N	\N	\N
418154	1418	1997-05-13	PRIJEM	VKLAD	10444	40140	\N	\N	\N
418155	1418	1997-06-13	PRIJEM	VKLAD	15666	44270	\N	\N	\N
418156	1418	1997-07-13	PRIJEM	VKLAD	10444	40212	\N	\N	\N
418157	1418	1997-08-13	PRIJEM	VKLAD	10444	37847	\N	\N	\N
418158	1418	1997-09-13	PRIJEM	VKLAD	10444	38170	\N	\N	\N
418159	1418	1997-10-13	PRIJEM	VKLAD	10444	39291	\N	\N	\N
418160	1418	1997-11-13	PRIJEM	VKLAD	10444	40655	\N	\N	\N
418161	1418	1997-12-13	PRIJEM	VKLAD	15666	47213	\N	\N	\N
418162	1418	1998-01-13	PRIJEM	VKLAD	10444	34182	\N	\N	\N
418163	1418	1998-02-13	PRIJEM	VKLAD	10444	30351	\N	\N	\N
418164	1418	1998-03-13	PRIJEM	VKLAD	10444	37336	\N	\N	\N
418165	1418	1998-04-13	PRIJEM	VKLAD	10444	38454	\N	\N	\N
418166	1418	1998-05-13	PRIJEM	VKLAD	10444	37573	\N	\N	\N
418167	1418	1998-06-13	PRIJEM	VKLAD	15666	42313	\N	\N	\N
418168	1418	1998-07-13	PRIJEM	VKLAD	10444	31699	\N	\N	\N
418169	1418	1998-08-13	PRIJEM	VKLAD	10444	31773	\N	\N	\N
418170	1418	1998-09-13	PRIJEM	VKLAD	10444	25426	\N	\N	\N
418171	1418	1998-10-13	PRIJEM	VKLAD	10444	25199	\N	\N	\N
418172	1418	1998-11-13	PRIJEM	VKLAD	10444	24764	\N	\N	\N
418173	1418	1998-12-13	PRIJEM	VKLAD	15666	32049	\N	\N	\N
418180	1418	1997-07-06	VYDAJ	PREVOD NA UCET	6759	35268	SIPO	OP	96634888
418181	1418	1997-08-06	VYDAJ	PREVOD NA UCET	6759	33603	SIPO	OP	96634888
418182	1418	1997-09-06	VYDAJ	PREVOD NA UCET	6759	31226	SIPO	OP	96634888
418183	1418	1997-10-06	VYDAJ	PREVOD NA UCET	6759	31547	SIPO	OP	96634888
418184	1418	1997-11-06	VYDAJ	PREVOD NA UCET	6759	30211	SIPO	OP	96634888
418185	1418	1997-12-06	VYDAJ	PREVOD NA UCET	6759	31547	SIPO	OP	96634888
418186	1418	1998-01-06	VYDAJ	PREVOD NA UCET	6759	30218	SIPO	OP	96634888
418187	1418	1998-02-06	VYDAJ	PREVOD NA UCET	6759	19907	SIPO	OP	96634888
418188	1418	1998-03-06	VYDAJ	PREVOD NA UCET	6759	26892	SIPO	OP	96634888
418189	1418	1998-04-06	VYDAJ	PREVOD NA UCET	6759	28010	SIPO	OP	96634888
418190	1418	1998-05-06	VYDAJ	PREVOD NA UCET	6759	27129	SIPO	OP	96634888
418191	1418	1998-06-06	VYDAJ	PREVOD NA UCET	6759	26647	SIPO	OP	96634888
418192	1418	1998-07-06	VYDAJ	PREVOD NA UCET	6759	21255	SIPO	OP	96634888
418193	1418	1998-08-06	VYDAJ	PREVOD NA UCET	6759	22649	SIPO	OP	96634888
418194	1418	1998-09-06	VYDAJ	PREVOD NA UCET	6759	20022	SIPO	OP	96634888
418195	1418	1998-10-06	VYDAJ	PREVOD NA UCET	6759	14755	SIPO	OP	96634888
418196	1418	1998-11-06	VYDAJ	PREVOD NA UCET	6759	14320	SIPO	OP	96634888
418197	1418	1998-12-06	VYDAJ	PREVOD NA UCET	6759	16383	SIPO	OP	96634888
418199	1418	1998-06-29	VYDAJ	VYBER	7840	34473	\N	\N	\N
418202	1418	1997-12-18	VYDAJ	VYBER	2880	44333	\N	\N	\N
418203	1418	1998-12-24	VYDAJ	VYBER	800	31249	\N	\N	\N
418210	1418	1998-01-13	VYDAJ	VYBER	1560	29742	\N	\N	\N
418211	1418	1998-01-01	VYDAJ	VYBER	2760	41737	\N	\N	\N
418212	1418	1998-01-07	VYDAJ	VYBER	2760	27458	\N	\N	\N
418213	1418	1998-01-08	VYDAJ	VYBER	2160	25298	\N	\N	\N
418214	1418	1998-01-01	VYDAJ	VYBER	960	40777	\N	\N	\N
418215	1418	1998-01-12	VYDAJ	VYBER	1560	23738	\N	\N	\N
418218	1418	1997-11-04	VYDAJ	VYBER	1560	37870	\N	\N	\N
418219	1418	1997-06-14	VYDAJ	VYBER	2400	41870	\N	\N	\N
418220	1418	1998-08-11	VYDAJ	VYBER	1320	21329	\N	\N	\N
418222	1418	1998-01-13	VYDAJ	VYBER	2880	31302	\N	\N	\N
418223	1418	1998-09-09	VYDAJ	VYBER	5040	14982	\N	\N	\N
418230	1418	1997-06-30	VYDAJ	VYBER	15	42027	SLUZBY	\N	\N
418231	1418	1997-07-31	VYDAJ	VYBER	15	40362	SLUZBY	\N	\N
418232	1418	1997-08-31	VYDAJ	VYBER	15	37985	SLUZBY	\N	\N
418233	1418	1997-09-30	VYDAJ	VYBER	15	38306	SLUZBY	\N	\N
418234	1418	1997-10-31	VYDAJ	VYBER	15	39430	SLUZBY	\N	\N
418235	1418	1997-11-30	VYDAJ	VYBER	15	40806	SLUZBY	\N	\N
418236	1418	1997-12-31	VYDAJ	VYBER	15	44497	SLUZBY	\N	\N
418237	1418	1998-01-31	VYDAJ	VYBER	15	29866	SLUZBY	\N	\N
418238	1418	1998-02-28	VYDAJ	VYBER	15	30451	SLUZBY	\N	\N
418239	1418	1998-03-31	VYDAJ	VYBER	15	37469	SLUZBY	\N	\N
418240	1418	1998-04-30	VYDAJ	VYBER	15	38588	SLUZBY	\N	\N
418241	1418	1998-05-31	VYDAJ	VYBER	15	37706	SLUZBY	\N	\N
418242	1418	1998-06-30	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
418243	1418	1998-07-31	VYDAJ	VYBER	15	31808	SLUZBY	\N	\N
418244	1418	1998-08-31	VYDAJ	VYBER	15	31881	SLUZBY	\N	\N
418245	1418	1998-09-30	VYDAJ	VYBER	15	25514	SLUZBY	\N	\N
418246	1418	1998-10-31	VYDAJ	VYBER	15	25279	SLUZBY	\N	\N
418247	1418	1998-11-30	VYDAJ	VYBER	15	24842	SLUZBY	\N	\N
418248	1418	1997-03-11	PRIJEM	VKLAD	7300	18671	\N	\N	\N
418249	1418	1997-04-10	VYDAJ	VYBER	1400	27808	\N	\N	\N
418250	1418	1997-05-10	VYDAJ	VYBER	8700	29696	\N	\N	\N
418251	1418	1997-06-09	VYDAJ	VYBER	11700	28604	\N	\N	\N
418252	1418	1997-07-09	VYDAJ	VYBER	5500	29768	\N	\N	\N
418253	1418	1997-08-08	VYDAJ	VYBER	6200	27403	\N	\N	\N
418254	1418	1997-09-07	VYDAJ	VYBER	3500	27726	\N	\N	\N
418255	1418	1997-10-07	VYDAJ	VYBER	2700	28847	\N	\N	\N
418256	1418	1997-11-06	VYDAJ	VYBER	900	36970	\N	\N	\N
418257	1418	1997-12-06	VYDAJ	VYBER	2500	38306	\N	\N	\N
418258	1418	1998-01-05	VYDAJ	VYBER	3800	36977	\N	\N	\N
418259	1418	1998-02-04	VYDAJ	VYBER	3200	26666	\N	\N	\N
418260	1418	1998-03-06	PRIJEM	VKLAD	3200	33651	\N	\N	\N
418261	1418	1998-04-05	VYDAJ	VYBER	2700	34769	\N	\N	\N
418262	1418	1998-05-05	VYDAJ	VYBER	4700	33888	\N	\N	\N
418263	1418	1998-06-04	VYDAJ	VYBER	4300	33406	\N	\N	\N
418264	1418	1998-07-04	VYDAJ	VYBER	6600	28014	\N	\N	\N
418265	1418	1998-08-03	VYDAJ	VYBER	2400	29408	\N	\N	\N
418266	1418	1998-09-02	VYDAJ	VYBER	5100	26781	\N	\N	\N
418267	1418	1998-10-02	VYDAJ	VYBER	4000	21514	\N	\N	\N
418268	1418	1998-11-01	VYDAJ	VYBER	4200	21079	\N	\N	\N
418269	1418	1998-12-01	VYDAJ	VYBER	1700	23142	\N	\N	\N
418293	1419	1993-12-22	PRIJEM	VKLAD	400	400	\N	\N	\N
418306	1419	1994-01-11	PRIJEM	PREVOD Z UCTU	6051	6451	DUCHOD	UV	35299682
418307	1419	1994-02-11	PRIJEM	PREVOD Z UCTU	6051	12502	DUCHOD	UV	35299682
418308	1419	1994-03-11	PRIJEM	PREVOD Z UCTU	6051	18553	DUCHOD	UV	35299682
418309	1419	1994-04-11	PRIJEM	PREVOD Z UCTU	6051	24604	DUCHOD	UV	35299682
418310	1419	1994-05-11	PRIJEM	PREVOD Z UCTU	6051	28286	DUCHOD	UV	35299682
418311	1419	1994-06-11	PRIJEM	PREVOD Z UCTU	6051	26913	DUCHOD	UV	35299682
418312	1419	1994-07-11	PRIJEM	PREVOD Z UCTU	6051	20056	DUCHOD	UV	35299682
418313	1419	1994-08-11	PRIJEM	PREVOD Z UCTU	6051	20544	DUCHOD	UV	35299682
418314	1419	1994-09-11	PRIJEM	PREVOD Z UCTU	6051	23057	DUCHOD	UV	35299682
418315	1419	1994-10-11	PRIJEM	PREVOD Z UCTU	6051	23335	DUCHOD	UV	35299682
418316	1419	1994-11-11	PRIJEM	PREVOD Z UCTU	6051	26160	DUCHOD	UV	35299682
418317	1419	1994-12-11	PRIJEM	PREVOD Z UCTU	6051	28997	DUCHOD	UV	35299682
418318	1419	1995-01-11	PRIJEM	PREVOD Z UCTU	6051	30345	DUCHOD	UV	35299682
418319	1419	1995-02-11	PRIJEM	PREVOD Z UCTU	6051	24258	DUCHOD	UV	35299682
418320	1419	1995-03-11	PRIJEM	PREVOD Z UCTU	6051	25883	DUCHOD	UV	35299682
418321	1419	1995-04-11	PRIJEM	PREVOD Z UCTU	6051	26915	DUCHOD	UV	35299682
418322	1419	1995-05-11	PRIJEM	PREVOD Z UCTU	6051	25527	DUCHOD	UV	35299682
418323	1419	1995-06-11	PRIJEM	PREVOD Z UCTU	6051	27960	DUCHOD	UV	35299682
418324	1419	1995-07-11	PRIJEM	PREVOD Z UCTU	6051	26494	DUCHOD	UV	35299682
418325	1419	1995-08-11	PRIJEM	PREVOD Z UCTU	6051	27327	DUCHOD	UV	35299682
418326	1419	1995-09-11	PRIJEM	PREVOD Z UCTU	6051	25479	DUCHOD	UV	35299682
418327	1419	1995-10-11	PRIJEM	PREVOD Z UCTU	6051	24664	DUCHOD	UV	35299682
418328	1419	1995-11-11	PRIJEM	PREVOD Z UCTU	6051	27495	DUCHOD	UV	35299682
418329	1419	1995-12-11	PRIJEM	PREVOD Z UCTU	6051	24548	DUCHOD	UV	35299682
418330	1419	1996-01-11	PRIJEM	PREVOD Z UCTU	6051	24389	DUCHOD	UV	35299682
418331	1419	1996-02-11	PRIJEM	PREVOD Z UCTU	6051	16534	DUCHOD	UV	35299682
418332	1419	1996-03-11	PRIJEM	PREVOD Z UCTU	6051	19330	DUCHOD	UV	35299682
418333	1419	1996-04-11	PRIJEM	PREVOD Z UCTU	6051	22138	DUCHOD	UV	35299682
418334	1419	1996-05-11	PRIJEM	PREVOD Z UCTU	6051	23157	DUCHOD	UV	35299682
418335	1419	1996-06-11	PRIJEM	PREVOD Z UCTU	6051	23015	DUCHOD	UV	35299682
418336	1419	1996-07-11	PRIJEM	PREVOD Z UCTU	6051	23752	DUCHOD	UV	35299682
418337	1419	1996-08-11	PRIJEM	PREVOD Z UCTU	6051	26579	DUCHOD	UV	35299682
418338	1419	1996-09-11	PRIJEM	PREVOD Z UCTU	6051	28717	DUCHOD	UV	35299682
418339	1419	1996-10-11	PRIJEM	PREVOD Z UCTU	6051	31363	DUCHOD	UV	35299682
418340	1419	1996-11-11	PRIJEM	PREVOD Z UCTU	6051	28756	DUCHOD	UV	35299682
418341	1419	1996-12-11	PRIJEM	PREVOD Z UCTU	6051	29106	DUCHOD	UV	35299682
418342	1419	1997-01-11	PRIJEM	PREVOD Z UCTU	6051	28835	DUCHOD	UV	35299682
418343	1419	1997-02-11	PRIJEM	PREVOD Z UCTU	6051	20469	DUCHOD	UV	35299682
418344	1419	1997-03-11	PRIJEM	PREVOD Z UCTU	6051	22640	DUCHOD	UV	35299682
418345	1419	1997-04-11	PRIJEM	PREVOD Z UCTU	6051	25461	DUCHOD	UV	35299682
418346	1419	1997-05-11	PRIJEM	PREVOD Z UCTU	6051	26449	DUCHOD	UV	35299682
418347	1419	1997-06-11	PRIJEM	PREVOD Z UCTU	6051	24086	DUCHOD	UV	35299682
418348	1419	1997-07-11	PRIJEM	PREVOD Z UCTU	6051	20712	DUCHOD	UV	35299682
418349	1419	1997-08-11	PRIJEM	PREVOD Z UCTU	6051	17787	DUCHOD	UV	35299682
418350	1419	1997-09-11	PRIJEM	PREVOD Z UCTU	6051	19311	DUCHOD	UV	35299682
418351	1419	1997-10-11	PRIJEM	PREVOD Z UCTU	6051	21418	DUCHOD	UV	35299682
418352	1419	1997-11-11	PRIJEM	PREVOD Z UCTU	6051	18234	DUCHOD	UV	35299682
418353	1419	1997-12-11	PRIJEM	PREVOD Z UCTU	6051	16242	DUCHOD	UV	35299682
418354	1419	1998-01-11	PRIJEM	PREVOD Z UCTU	6051	18489	DUCHOD	UV	35299682
418355	1419	1998-02-11	PRIJEM	PREVOD Z UCTU	6051	17602	DUCHOD	UV	35299682
418356	1419	1998-03-11	PRIJEM	PREVOD Z UCTU	6051	20401	DUCHOD	UV	35299682
418357	1419	1998-04-11	PRIJEM	PREVOD Z UCTU	6051	22172	DUCHOD	UV	35299682
418358	1419	1998-05-11	PRIJEM	PREVOD Z UCTU	6051	23070	DUCHOD	UV	35299682
418359	1419	1998-06-11	PRIJEM	PREVOD Z UCTU	6051	25894	DUCHOD	UV	35299682
418360	1419	1998-07-11	PRIJEM	PREVOD Z UCTU	6051	22342	DUCHOD	UV	35299682
418361	1419	1998-08-11	PRIJEM	PREVOD Z UCTU	6051	25161	DUCHOD	UV	35299682
418362	1419	1998-09-11	PRIJEM	PREVOD Z UCTU	6051	27591	DUCHOD	UV	35299682
418363	1419	1998-10-11	PRIJEM	PREVOD Z UCTU	6051	30431	DUCHOD	UV	35299682
418364	1419	1998-11-11	PRIJEM	PREVOD Z UCTU	6051	29762	DUCHOD	UV	35299682
418365	1419	1998-12-11	PRIJEM	PREVOD Z UCTU	6051	32613	DUCHOD	UV	35299682
418383	1419	1994-06-09	VYDAJ	PREVOD NA UCET	3305	20862	SIPO	QR	61356300
418384	1419	1994-07-09	VYDAJ	PREVOD NA UCET	3305	14005	SIPO	QR	61356300
418385	1419	1994-08-09	VYDAJ	PREVOD NA UCET	3305	14493	SIPO	QR	61356300
418386	1419	1994-09-09	VYDAJ	PREVOD NA UCET	3305	17006	SIPO	QR	61356300
418387	1419	1994-10-09	VYDAJ	PREVOD NA UCET	3305	17284	SIPO	QR	61356300
418388	1419	1994-11-09	VYDAJ	PREVOD NA UCET	3305	20109	SIPO	QR	61356300
418389	1419	1994-12-09	VYDAJ	PREVOD NA UCET	3305	22946	SIPO	QR	61356300
418390	1419	1995-01-09	VYDAJ	PREVOD NA UCET	3305	24294	SIPO	QR	61356300
418391	1419	1995-02-09	VYDAJ	PREVOD NA UCET	3305	18207	SIPO	QR	61356300
418392	1419	1995-03-09	VYDAJ	PREVOD NA UCET	3305	19832	SIPO	QR	61356300
418393	1419	1995-04-09	VYDAJ	PREVOD NA UCET	3305	20864	SIPO	QR	61356300
418394	1419	1995-05-09	VYDAJ	PREVOD NA UCET	3305	19476	SIPO	QR	61356300
418395	1419	1995-06-09	VYDAJ	PREVOD NA UCET	3305	21909	SIPO	QR	61356300
418396	1419	1995-07-09	VYDAJ	PREVOD NA UCET	3305	20443	SIPO	QR	61356300
418397	1419	1995-08-09	VYDAJ	PREVOD NA UCET	3305	21276	SIPO	QR	61356300
418398	1419	1995-09-09	VYDAJ	PREVOD NA UCET	3305	19428	SIPO	QR	61356300
418399	1419	1995-10-09	VYDAJ	PREVOD NA UCET	3305	18613	SIPO	QR	61356300
418400	1419	1995-11-09	VYDAJ	PREVOD NA UCET	3305	21444	SIPO	QR	61356300
418401	1419	1995-12-09	VYDAJ	PREVOD NA UCET	3305	18497	SIPO	QR	61356300
418402	1419	1996-01-09	VYDAJ	PREVOD NA UCET	3305	18338	SIPO	QR	61356300
418403	1419	1996-02-09	VYDAJ	PREVOD NA UCET	3305	10483	SIPO	QR	61356300
418404	1419	1996-03-09	VYDAJ	PREVOD NA UCET	3305	13279	SIPO	QR	61356300
418405	1419	1996-04-09	VYDAJ	PREVOD NA UCET	3305	16087	SIPO	QR	61356300
418406	1419	1996-05-09	VYDAJ	PREVOD NA UCET	3305	18906	SIPO	QR	61356300
418407	1419	1996-06-09	VYDAJ	PREVOD NA UCET	3305	16964	SIPO	QR	61356300
418408	1419	1996-07-09	VYDAJ	PREVOD NA UCET	3305	17701	SIPO	QR	61356300
418409	1419	1996-08-09	VYDAJ	PREVOD NA UCET	3305	20528	SIPO	QR	61356300
418410	1419	1996-09-09	VYDAJ	PREVOD NA UCET	3305	22666	SIPO	QR	61356300
418411	1419	1996-10-09	VYDAJ	PREVOD NA UCET	3305	25312	SIPO	QR	61356300
418412	1419	1996-11-09	VYDAJ	PREVOD NA UCET	3305	22705	SIPO	QR	61356300
418413	1419	1996-12-09	VYDAJ	PREVOD NA UCET	3305	23055	SIPO	QR	61356300
418414	1419	1997-01-09	VYDAJ	PREVOD NA UCET	3305	24704	SIPO	QR	61356300
418415	1419	1997-02-09	VYDAJ	PREVOD NA UCET	3305	14418	SIPO	QR	61356300
418416	1419	1997-03-09	VYDAJ	PREVOD NA UCET	3305	16589	SIPO	QR	61356300
418417	1419	1997-04-09	VYDAJ	PREVOD NA UCET	3305	19410	SIPO	QR	61356300
418418	1419	1997-05-09	VYDAJ	PREVOD NA UCET	3305	20398	SIPO	QR	61356300
418419	1419	1997-06-09	VYDAJ	PREVOD NA UCET	3305	18035	SIPO	QR	61356300
418420	1419	1997-07-09	VYDAJ	PREVOD NA UCET	3305	14661	SIPO	QR	61356300
418421	1419	1997-08-09	VYDAJ	PREVOD NA UCET	3305	11736	SIPO	QR	61356300
418422	1419	1997-09-09	VYDAJ	PREVOD NA UCET	3305	13260	SIPO	QR	61356300
418423	1419	1997-10-09	VYDAJ	PREVOD NA UCET	3305	15367	SIPO	QR	61356300
418424	1419	1997-11-09	VYDAJ	PREVOD NA UCET	3305	12183	SIPO	QR	61356300
418425	1419	1997-12-09	VYDAJ	PREVOD NA UCET	3305	10191	SIPO	QR	61356300
418426	1419	1998-01-09	VYDAJ	PREVOD NA UCET	3305	12438	SIPO	QR	61356300
418427	1419	1998-02-09	VYDAJ	PREVOD NA UCET	3305	11551	SIPO	QR	61356300
418428	1419	1998-03-09	VYDAJ	PREVOD NA UCET	3305	14350	SIPO	QR	61356300
418429	1419	1998-04-09	VYDAJ	PREVOD NA UCET	3305	16121	SIPO	QR	61356300
418430	1419	1998-05-09	VYDAJ	PREVOD NA UCET	3305	17019	SIPO	QR	61356300
418431	1419	1998-06-09	VYDAJ	PREVOD NA UCET	3305	19843	SIPO	QR	61356300
418432	1419	1998-07-09	VYDAJ	PREVOD NA UCET	3305	16291	SIPO	QR	61356300
418433	1419	1998-08-09	VYDAJ	PREVOD NA UCET	3305	19110	SIPO	QR	61356300
418434	1419	1998-09-09	VYDAJ	PREVOD NA UCET	3305	21540	SIPO	QR	61356300
418435	1419	1998-10-09	VYDAJ	PREVOD NA UCET	3305	24380	SIPO	QR	61356300
418436	1419	1998-11-09	VYDAJ	PREVOD NA UCET	3305	23711	SIPO	QR	61356300
418437	1419	1998-12-09	VYDAJ	PREVOD NA UCET	3305	26562	SIPO	QR	61356300
418439	1419	1994-06-16	VYDAJ	VYBER	7600	19313	\N	\N	\N
418442	1419	1997-06-14	VYDAJ	VYBER	2600	21486	\N	\N	\N
418443	1419	1998-06-25	VYDAJ	VYBER	5900	19994	\N	\N	\N
418446	1419	1995-01-28	VYDAJ	VYBER	2450	21415	\N	\N	\N
418447	1419	1996-01-02	VYDAJ	VYBER	750	23883	\N	\N	\N
418448	1419	1997-01-29	VYDAJ	VYBER	1600	17635	\N	\N	\N
418451	1419	1994-12-30	VYDAJ	VYBER	1400	27497	\N	\N	\N
418452	1419	1995-12-04	VYDAJ	VYBER	1300	23082	\N	\N	\N
418453	1419	1996-12-15	VYDAJ	VYBER	300	28806	\N	\N	\N
418454	1419	1997-12-20	VYDAJ	VYBER	550	15692	\N	\N	\N
418455	1419	1998-12-21	VYDAJ	VYBER	750	31863	\N	\N	\N
418468	1419	1995-01-23	VYDAJ	VYBER	1520	26185	\N	\N	\N
418469	1419	1995-01-14	VYDAJ	VYBER	400	29945	\N	\N	\N
418470	1419	1995-01-23	VYDAJ	VYBER	1280	24905	\N	\N	\N
418471	1419	1995-01-25	VYDAJ	VYBER	1040	23865	\N	\N	\N
418472	1419	1995-01-17	VYDAJ	VYBER	1680	27705	\N	\N	\N
418473	1419	1995-01-15	VYDAJ	VYBER	560	29385	\N	\N	\N
418474	1419	1996-01-17	VYDAJ	VYBER	480	15569	\N	\N	\N
418475	1419	1996-01-23	VYDAJ	VYBER	1840	13729	\N	\N	\N
418477	1419	1996-01-06	VYDAJ	VYBER	2240	21643	\N	\N	\N
418478	1419	1996-01-13	VYDAJ	VYBER	560	17569	\N	\N	\N
418479	1419	1996-01-14	VYDAJ	VYBER	1520	16049	\N	\N	\N
418480	1419	1997-01-20	VYDAJ	VYBER	1760	22755	\N	\N	\N
418481	1419	1997-01-21	VYDAJ	VYBER	800	20755	\N	\N	\N
418482	1419	1997-01-10	VYDAJ	VYBER	1920	22784	\N	\N	\N
418483	1419	1997-01-21	VYDAJ	VYBER	1200	21555	\N	\N	\N
418484	1419	1997-01-18	VYDAJ	VYBER	560	24515	\N	\N	\N
418485	1419	1997-01-29	VYDAJ	VYBER	1520	19235	\N	\N	\N
418487	1419	1998-01-11	VYDAJ	VYBER	2080	16409	\N	\N	\N
418489	1419	1998-01-13	VYDAJ	VYBER	1600	14809	\N	\N	\N
418498	1419	1994-09-16	VYDAJ	VYBER	2240	20817	\N	\N	\N
418499	1419	1994-07-16	VYDAJ	VYBER	2320	17736	\N	\N	\N
418500	1419	1994-07-06	VYDAJ	VYBER	2080	17310	\N	\N	\N
418504	1419	1995-09-20	VYDAJ	VYBER	640	21839	\N	\N	\N
418505	1419	1995-04-19	VYDAJ	VYBER	1120	22695	\N	\N	\N
418506	1419	1995-12-07	VYDAJ	VYBER	1280	21802	\N	\N	\N
418507	1419	1995-08-24	VYDAJ	VYBER	1280	22647	\N	\N	\N
418508	1419	1996-05-12	VYDAJ	VYBER	2960	20197	\N	\N	\N
418509	1419	1996-10-14	VYDAJ	VYBER	1760	29603	\N	\N	\N
418510	1419	1996-06-13	VYDAJ	VYBER	2080	20935	\N	\N	\N
418511	1419	1996-01-12	VYDAJ	VYBER	2960	18129	\N	\N	\N
418512	1419	1997-04-11	VYDAJ	VYBER	1840	23621	\N	\N	\N
418513	1419	1997-08-26	VYDAJ	VYBER	880	16907	\N	\N	\N
418514	1419	1997-08-28	VYDAJ	VYBER	400	16507	\N	\N	\N
418515	1419	1997-01-15	VYDAJ	VYBER	3760	25075	\N	\N	\N
418516	1419	1997-07-28	VYDAJ	VYBER	640	20072	\N	\N	\N
418517	1419	1997-02-27	VYDAJ	VYBER	640	19829	\N	\N	\N
418519	1419	1998-11-07	VYDAJ	VYBER	2080	27016	\N	\N	\N
418520	1419	1998-05-04	VYDAJ	VYBER	1920	20324	\N	\N	\N
418521	1419	1998-10-24	VYDAJ	VYBER	1440	28991	\N	\N	\N
418522	1419	1998-08-17	VYDAJ	VYBER	400	24761	\N	\N	\N
418523	1419	1998-03-29	VYDAJ	VYBER	1040	19361	\N	\N	\N
418524	1419	1998-06-30	VYDAJ	VYBER	480	19596	\N	\N	\N
418542	1419	1994-05-31	VYDAJ	VYBER	15	24167	SLUZBY	\N	\N
418543	1419	1994-06-30	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
418544	1419	1994-07-31	VYDAJ	VYBER	15	17798	SLUZBY	\N	\N
418545	1419	1994-08-31	VYDAJ	VYBER	15	20311	SLUZBY	\N	\N
418546	1419	1994-09-30	VYDAJ	VYBER	15	20589	SLUZBY	\N	\N
418547	1419	1994-10-31	VYDAJ	VYBER	15	23414	SLUZBY	\N	\N
418548	1419	1994-11-30	VYDAJ	VYBER	15	26251	SLUZBY	\N	\N
418549	1419	1994-12-31	VYDAJ	VYBER	15	27599	SLUZBY	\N	\N
418550	1419	1995-01-31	VYDAJ	VYBER	15	21512	SLUZBY	\N	\N
418551	1419	1995-02-28	VYDAJ	VYBER	15	23137	SLUZBY	\N	\N
418552	1419	1995-03-31	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
418553	1419	1995-04-30	VYDAJ	VYBER	15	22781	SLUZBY	\N	\N
418554	1419	1995-05-31	VYDAJ	VYBER	15	25214	SLUZBY	\N	\N
418555	1419	1995-06-30	VYDAJ	VYBER	15	23748	SLUZBY	\N	\N
418556	1419	1995-07-31	VYDAJ	VYBER	15	24581	SLUZBY	\N	\N
418557	1419	1995-08-31	VYDAJ	VYBER	15	22733	SLUZBY	\N	\N
418558	1419	1995-09-30	VYDAJ	VYBER	15	21918	SLUZBY	\N	\N
418559	1419	1995-10-31	VYDAJ	VYBER	15	24749	SLUZBY	\N	\N
418560	1419	1995-11-30	VYDAJ	VYBER	15	24382	SLUZBY	\N	\N
418561	1419	1995-12-31	VYDAJ	VYBER	15	24633	SLUZBY	\N	\N
418562	1419	1996-01-31	VYDAJ	VYBER	15	13788	SLUZBY	\N	\N
418563	1419	1996-02-29	VYDAJ	VYBER	15	16584	SLUZBY	\N	\N
418564	1419	1996-03-31	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
418565	1419	1996-04-30	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
418566	1419	1996-05-31	VYDAJ	VYBER	15	20269	SLUZBY	\N	\N
418567	1419	1996-06-30	VYDAJ	VYBER	15	21006	SLUZBY	\N	\N
418568	1419	1996-07-31	VYDAJ	VYBER	15	23833	SLUZBY	\N	\N
418569	1419	1996-08-31	VYDAJ	VYBER	15	26671	SLUZBY	\N	\N
418570	1419	1996-09-30	VYDAJ	VYBER	15	28817	SLUZBY	\N	\N
418571	1419	1996-10-31	VYDAJ	VYBER	15	29710	SLUZBY	\N	\N
418572	1419	1996-11-30	VYDAJ	VYBER	15	28860	SLUZBY	\N	\N
418573	1419	1996-12-31	VYDAJ	VYBER	15	28909	SLUZBY	\N	\N
418574	1419	1997-01-31	VYDAJ	VYBER	15	17723	SLUZBY	\N	\N
418575	1419	1997-02-28	VYDAJ	VYBER	15	19894	SLUZBY	\N	\N
418576	1419	1997-03-31	VYDAJ	VYBER	15	22715	SLUZBY	\N	\N
418577	1419	1997-04-30	VYDAJ	VYBER	15	23703	SLUZBY	\N	\N
418578	1419	1997-05-31	VYDAJ	VYBER	15	26540	SLUZBY	\N	\N
418579	1419	1997-06-30	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
418580	1419	1997-07-31	VYDAJ	VYBER	15	20141	SLUZBY	\N	\N
418581	1419	1997-08-31	VYDAJ	VYBER	15	16565	SLUZBY	\N	\N
418582	1419	1997-09-30	VYDAJ	VYBER	15	19372	SLUZBY	\N	\N
418583	1419	1997-10-31	VYDAJ	VYBER	15	21488	SLUZBY	\N	\N
418584	1419	1997-11-30	VYDAJ	VYBER	15	18296	SLUZBY	\N	\N
418585	1419	1997-12-31	VYDAJ	VYBER	15	15743	SLUZBY	\N	\N
418586	1419	1998-01-31	VYDAJ	VYBER	15	14856	SLUZBY	\N	\N
418587	1419	1998-02-28	VYDAJ	VYBER	15	17655	SLUZBY	\N	\N
418588	1419	1998-03-31	VYDAJ	VYBER	15	19426	SLUZBY	\N	\N
418589	1419	1998-04-30	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
418590	1419	1998-05-31	VYDAJ	VYBER	15	23148	SLUZBY	\N	\N
418591	1419	1998-06-30	VYDAJ	VYBER	15	20076	SLUZBY	\N	\N
418592	1419	1998-07-31	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
418593	1419	1998-08-31	VYDAJ	VYBER	15	24845	SLUZBY	\N	\N
418594	1419	1998-09-30	VYDAJ	VYBER	15	27685	SLUZBY	\N	\N
418595	1419	1998-10-31	VYDAJ	VYBER	15	29096	SLUZBY	\N	\N
418596	1419	1998-11-30	VYDAJ	VYBER	15	29867	SLUZBY	\N	\N
418597	1419	1994-04-21	VYDAJ	VYBER	2400	22204	\N	\N	\N
418598	1419	1994-05-21	VYDAJ	VYBER	4200	24086	\N	\N	\N
418599	1419	1994-08-19	VYDAJ	VYBER	300	20244	\N	\N	\N
418600	1419	1994-09-18	VYDAJ	VYBER	300	20517	\N	\N	\N
418601	1419	1994-12-17	VYDAJ	VYBER	100	28897	\N	\N	\N
418602	1419	1995-02-15	VYDAJ	VYBER	1200	23058	\N	\N	\N
418603	1419	1995-03-17	VYDAJ	VYBER	1800	24083	\N	\N	\N
418604	1419	1995-04-16	VYDAJ	VYBER	3100	23815	\N	\N	\N
418605	1419	1995-05-16	VYDAJ	VYBER	400	25127	\N	\N	\N
418606	1419	1995-06-15	VYDAJ	VYBER	4300	23660	\N	\N	\N
418607	1419	1995-07-15	VYDAJ	VYBER	2000	24494	\N	\N	\N
418608	1419	1995-08-14	VYDAJ	VYBER	3400	23927	\N	\N	\N
418609	1419	1995-09-13	VYDAJ	VYBER	3000	22479	\N	\N	\N
418610	1419	1995-11-12	VYDAJ	VYBER	3200	24295	\N	\N	\N
418611	1419	1996-01-11	VYDAJ	VYBER	3300	21089	\N	\N	\N
418612	1419	1996-05-10	VYDAJ	VYBER	1800	17106	\N	\N	\N
418613	1419	1996-09-07	VYDAJ	VYBER	700	25971	\N	\N	\N
418614	1419	1996-10-07	VYDAJ	VYBER	200	28617	\N	\N	\N
418615	1419	1996-11-06	VYDAJ	VYBER	3700	26010	\N	\N	\N
418616	1419	1996-12-06	VYDAJ	VYBER	2500	26360	\N	\N	\N
418617	1419	1997-01-05	VYDAJ	VYBER	900	28009	\N	\N	\N
418618	1419	1997-06-04	VYDAJ	VYBER	5200	21340	\N	\N	\N
418619	1419	1997-07-04	VYDAJ	VYBER	3600	17966	\N	\N	\N
418620	1419	1997-08-03	VYDAJ	VYBER	5100	15041	\N	\N	\N
418621	1419	1997-10-02	VYDAJ	VYBER	700	18672	\N	\N	\N
418622	1419	1997-11-01	VYDAJ	VYBER	6000	15488	\N	\N	\N
418623	1419	1997-12-01	VYDAJ	VYBER	4800	13496	\N	\N	\N
418681	1420	1995-06-08	PRIJEM	VKLAD	900	900	\N	\N	\N
418687	1420	1995-06-14	PRIJEM	PREVOD Z UCTU	5202	6102	DUCHOD	CD	37929487
418688	1420	1995-07-14	PRIJEM	PREVOD Z UCTU	5202	11318	DUCHOD	CD	37929487
418689	1420	1995-08-14	PRIJEM	PREVOD Z UCTU	5202	16546	DUCHOD	CD	37929487
418690	1420	1995-09-14	PRIJEM	PREVOD Z UCTU	5202	21773	DUCHOD	CD	37929487
418691	1420	1995-10-14	PRIJEM	PREVOD Z UCTU	5202	27001	DUCHOD	CD	37929487
418692	1420	1995-11-14	PRIJEM	PREVOD Z UCTU	5202	28122	DUCHOD	CD	37929487
418693	1420	1995-12-14	PRIJEM	PREVOD Z UCTU	5202	28627	DUCHOD	CD	37929487
418694	1420	1996-01-14	PRIJEM	PREVOD Z UCTU	5202	26913	DUCHOD	CD	37929487
418695	1420	1996-02-14	PRIJEM	PREVOD Z UCTU	5202	20334	DUCHOD	CD	37929487
418696	1420	1996-03-14	PRIJEM	PREVOD Z UCTU	5202	22122	DUCHOD	CD	37929487
418697	1420	1996-04-14	PRIJEM	PREVOD Z UCTU	5202	25602	DUCHOD	CD	37929487
418698	1420	1996-05-14	PRIJEM	PREVOD Z UCTU	5202	28896	DUCHOD	CD	37929487
418699	1420	1996-06-14	PRIJEM	PREVOD Z UCTU	5202	25361	DUCHOD	CD	37929487
418700	1420	1996-07-14	PRIJEM	PREVOD Z UCTU	5202	28861	DUCHOD	CD	37929487
418701	1420	1996-08-14	PRIJEM	PREVOD Z UCTU	5202	32068	DUCHOD	CD	37929487
418702	1420	1996-09-14	PRIJEM	PREVOD Z UCTU	5202	34688	DUCHOD	CD	37929487
418703	1420	1996-10-14	PRIJEM	PREVOD Z UCTU	5202	32219	DUCHOD	CD	37929487
418704	1420	1996-11-14	PRIJEM	PREVOD Z UCTU	5202	32239	DUCHOD	CD	37929487
418705	1420	1996-12-14	PRIJEM	PREVOD Z UCTU	5202	26275	DUCHOD	CD	37929487
418706	1420	1997-01-14	PRIJEM	PREVOD Z UCTU	5202	25692	DUCHOD	CD	37929487
418707	1420	1997-02-14	PRIJEM	PREVOD Z UCTU	5202	21854	DUCHOD	CD	37929487
418708	1420	1997-03-14	PRIJEM	PREVOD Z UCTU	5202	23412	DUCHOD	CD	37929487
418709	1420	1997-04-14	PRIJEM	PREVOD Z UCTU	5202	24779	DUCHOD	CD	37929487
418710	1420	1997-05-14	PRIJEM	PREVOD Z UCTU	5202	27869	DUCHOD	CD	37929487
418711	1420	1997-06-14	PRIJEM	PREVOD Z UCTU	5202	31272	DUCHOD	CD	37929487
418712	1420	1997-07-14	PRIJEM	PREVOD Z UCTU	5202	25735	DUCHOD	CD	37929487
418713	1420	1997-08-14	PRIJEM	PREVOD Z UCTU	5202	29229	DUCHOD	CD	37929487
418714	1420	1997-09-14	PRIJEM	PREVOD Z UCTU	5202	29296	DUCHOD	CD	37929487
418715	1420	1997-10-14	PRIJEM	PREVOD Z UCTU	5202	26318	DUCHOD	CD	37929487
418716	1420	1997-11-14	PRIJEM	PREVOD Z UCTU	5202	25610	DUCHOD	CD	37929487
418717	1420	1997-12-14	PRIJEM	PREVOD Z UCTU	5202	29104	DUCHOD	CD	37929487
418718	1420	1998-01-14	PRIJEM	PREVOD Z UCTU	5202	28052	DUCHOD	CD	37929487
418719	1420	1998-02-14	PRIJEM	PREVOD Z UCTU	5202	24591	DUCHOD	CD	37929487
418720	1420	1998-03-14	PRIJEM	PREVOD Z UCTU	5202	27280	DUCHOD	CD	37929487
418721	1420	1998-04-14	PRIJEM	PREVOD Z UCTU	5202	30780	DUCHOD	CD	37929487
418722	1420	1998-05-14	PRIJEM	PREVOD Z UCTU	5202	34294	DUCHOD	CD	37929487
418723	1420	1998-06-14	PRIJEM	PREVOD Z UCTU	5202	34640	DUCHOD	CD	37929487
418724	1420	1998-07-14	PRIJEM	PREVOD Z UCTU	5202	28014	DUCHOD	CD	37929487
418725	1420	1998-08-14	PRIJEM	PREVOD Z UCTU	5202	31517	DUCHOD	CD	37929487
418726	1420	1998-09-14	PRIJEM	PREVOD Z UCTU	5202	35035	DUCHOD	CD	37929487
418727	1420	1998-10-14	PRIJEM	PREVOD Z UCTU	5202	38567	DUCHOD	CD	37929487
418728	1420	1998-11-14	PRIJEM	PREVOD Z UCTU	5202	38590	DUCHOD	CD	37929487
418729	1420	1998-12-14	PRIJEM	PREVOD Z UCTU	5202	42137	DUCHOD	CD	37929487
418740	1420	1995-11-07	VYDAJ	PREVOD NA UCET	1794	22920	SIPO	QR	22850889
418741	1420	1995-12-07	VYDAJ	PREVOD NA UCET	1794	23425	SIPO	QR	22850889
418742	1420	1996-01-07	VYDAJ	PREVOD NA UCET	1794	21711	SIPO	QR	22850889
418743	1420	1996-02-07	VYDAJ	PREVOD NA UCET	1794	15132	SIPO	QR	22850889
418744	1420	1996-03-07	VYDAJ	PREVOD NA UCET	1794	16920	SIPO	QR	22850889
418745	1420	1996-04-07	VYDAJ	PREVOD NA UCET	1794	20400	SIPO	QR	22850889
418746	1420	1996-05-07	VYDAJ	PREVOD NA UCET	1794	23694	SIPO	QR	22850889
418747	1420	1996-06-07	VYDAJ	PREVOD NA UCET	1794	24559	SIPO	QR	22850889
418748	1420	1996-07-07	VYDAJ	PREVOD NA UCET	1794	23659	SIPO	QR	22850889
418749	1420	1996-08-07	VYDAJ	PREVOD NA UCET	1794	26866	SIPO	QR	22850889
418750	1420	1996-09-07	VYDAJ	PREVOD NA UCET	1794	29486	SIPO	QR	22850889
418751	1420	1996-10-07	VYDAJ	PREVOD NA UCET	1794	27017	SIPO	QR	22850889
418752	1420	1996-11-07	VYDAJ	PREVOD NA UCET	1794	27037	SIPO	QR	22850889
418753	1420	1996-12-07	VYDAJ	PREVOD NA UCET	1794	21073	SIPO	QR	22850889
418754	1420	1997-01-07	VYDAJ	PREVOD NA UCET	1794	23770	SIPO	QR	22850889
418755	1420	1997-02-07	VYDAJ	PREVOD NA UCET	1794	16652	SIPO	QR	22850889
418756	1420	1997-03-07	VYDAJ	PREVOD NA UCET	1794	18210	SIPO	QR	22850889
418757	1420	1997-04-07	VYDAJ	PREVOD NA UCET	1794	19577	SIPO	QR	22850889
418758	1420	1997-05-07	VYDAJ	PREVOD NA UCET	1794	22667	SIPO	QR	22850889
418759	1420	1997-06-07	VYDAJ	PREVOD NA UCET	1794	26070	SIPO	QR	22850889
418760	1420	1997-07-07	VYDAJ	PREVOD NA UCET	1794	20533	SIPO	QR	22850889
418761	1420	1997-08-07	VYDAJ	PREVOD NA UCET	1794	24027	SIPO	QR	22850889
418762	1420	1997-09-07	VYDAJ	PREVOD NA UCET	1794	24094	SIPO	QR	22850889
418763	1420	1997-10-07	VYDAJ	PREVOD NA UCET	1794	21116	SIPO	QR	22850889
418764	1420	1997-11-07	VYDAJ	PREVOD NA UCET	1794	20408	SIPO	QR	22850889
418765	1420	1997-12-07	VYDAJ	PREVOD NA UCET	1794	23902	SIPO	QR	22850889
418766	1420	1998-01-07	VYDAJ	PREVOD NA UCET	1794	24370	SIPO	QR	22850889
418767	1420	1998-02-07	VYDAJ	PREVOD NA UCET	1794	19389	SIPO	QR	22850889
418768	1420	1998-03-07	VYDAJ	PREVOD NA UCET	1794	22878	SIPO	QR	22850889
418769	1420	1998-04-07	VYDAJ	PREVOD NA UCET	1794	25578	SIPO	QR	22850889
418770	1420	1998-05-07	VYDAJ	PREVOD NA UCET	1794	29092	SIPO	QR	22850889
418771	1420	1998-06-07	VYDAJ	PREVOD NA UCET	1794	29438	SIPO	QR	22850889
418772	1420	1998-07-07	VYDAJ	PREVOD NA UCET	1794	22812	SIPO	QR	22850889
418773	1420	1998-08-07	VYDAJ	PREVOD NA UCET	1794	26315	SIPO	QR	22850889
418774	1420	1998-09-07	VYDAJ	PREVOD NA UCET	1794	29833	SIPO	QR	22850889
418775	1420	1998-10-07	VYDAJ	PREVOD NA UCET	1794	33365	SIPO	QR	22850889
418776	1420	1998-11-07	VYDAJ	PREVOD NA UCET	1794	33388	SIPO	QR	22850889
418777	1420	1998-12-07	VYDAJ	PREVOD NA UCET	1794	36935	SIPO	QR	22850889
418779	1420	1996-06-13	VYDAJ	VYBER	4400	20159	\N	\N	\N
418780	1420	1997-06-28	VYDAJ	VYBER	2650	22222	\N	\N	\N
418781	1420	1998-06-26	VYDAJ	VYBER	10150	24490	\N	\N	\N
418783	1420	1996-01-14	VYDAJ	VYBER	3100	22213	\N	\N	\N
418784	1420	1997-01-24	VYDAJ	VYBER	1250	22762	\N	\N	\N
418785	1420	1998-01-24	VYDAJ	VYBER	2800	21092	\N	\N	\N
418792	1420	1996-01-28	VYDAJ	VYBER	2080	16853	\N	\N	\N
418793	1420	1996-01-07	VYDAJ	VYBER	560	23505	\N	\N	\N
418794	1420	1996-01-14	VYDAJ	VYBER	1600	25313	\N	\N	\N
418795	1420	1996-01-16	VYDAJ	VYBER	1280	20933	\N	\N	\N
418796	1420	1996-01-21	VYDAJ	VYBER	2000	18933	\N	\N	\N
418797	1420	1996-01-05	VYDAJ	VYBER	1120	24065	\N	\N	\N
418798	1420	1997-01-05	VYDAJ	VYBER	400	25964	\N	\N	\N
418799	1420	1997-01-06	VYDAJ	VYBER	400	25564	\N	\N	\N
418800	1420	1997-01-22	VYDAJ	VYBER	880	24012	\N	\N	\N
418801	1420	1997-01-12	VYDAJ	VYBER	1760	22010	\N	\N	\N
418802	1420	1997-01-12	VYDAJ	VYBER	1520	20490	\N	\N	\N
418803	1420	1997-01-19	VYDAJ	VYBER	800	24892	\N	\N	\N
418804	1420	1998-01-09	VYDAJ	VYBER	1520	22850	\N	\N	\N
418805	1420	1998-01-20	VYDAJ	VYBER	2160	25892	\N	\N	\N
418806	1420	1998-01-05	VYDAJ	VYBER	1200	26804	\N	\N	\N
418807	1420	1998-01-01	VYDAJ	VYBER	1200	28004	\N	\N	\N
418808	1420	1998-01-24	VYDAJ	VYBER	2000	23892	\N	\N	\N
418809	1420	1998-01-06	VYDAJ	VYBER	640	26164	\N	\N	\N
418812	1420	1995-12-27	VYDAJ	VYBER	2240	26387	\N	\N	\N
418814	1420	1996-02-15	VYDAJ	VYBER	1680	18654	\N	\N	\N
418815	1420	1996-05-28	VYDAJ	VYBER	2640	26256	\N	\N	\N
418816	1420	1996-11-19	VYDAJ	VYBER	2080	30159	\N	\N	\N
418817	1420	1997-09-22	VYDAJ	VYBER	3040	26256	\N	\N	\N
418818	1420	1997-09-24	VYDAJ	VYBER	3440	22816	\N	\N	\N
418819	1420	1997-08-28	VYDAJ	VYBER	3440	25789	\N	\N	\N
418820	1420	1997-03-27	VYDAJ	VYBER	720	22692	\N	\N	\N
418821	1420	1997-02-28	VYDAJ	VYBER	1920	20004	\N	\N	\N
418822	1420	1998-05-23	VYDAJ	VYBER	640	33654	\N	\N	\N
418823	1420	1998-05-24	VYDAJ	VYBER	1840	31114	\N	\N	\N
418824	1420	1998-03-09	VYDAJ	VYBER	800	22078	\N	\N	\N
418825	1420	1998-10-24	VYDAJ	VYBER	2720	35047	\N	\N	\N
418836	1420	1995-10-31	VYDAJ	VYBER	15	27014	SLUZBY	\N	\N
418837	1420	1995-11-30	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
418838	1420	1995-12-31	VYDAJ	VYBER	15	26485	SLUZBY	\N	\N
418839	1420	1996-01-31	VYDAJ	VYBER	15	16926	SLUZBY	\N	\N
418840	1420	1996-02-29	VYDAJ	VYBER	15	18714	SLUZBY	\N	\N
418841	1420	1996-03-31	VYDAJ	VYBER	15	22194	SLUZBY	\N	\N
418842	1420	1996-04-30	VYDAJ	VYBER	15	25688	SLUZBY	\N	\N
418843	1420	1996-05-31	VYDAJ	VYBER	15	26353	SLUZBY	\N	\N
418844	1420	1996-06-30	VYDAJ	VYBER	15	25453	SLUZBY	\N	\N
418845	1420	1996-07-31	VYDAJ	VYBER	15	28960	SLUZBY	\N	\N
418846	1420	1996-08-31	VYDAJ	VYBER	15	31280	SLUZBY	\N	\N
418847	1420	1996-09-30	VYDAJ	VYBER	15	34811	SLUZBY	\N	\N
418848	1420	1996-10-31	VYDAJ	VYBER	15	28831	SLUZBY	\N	\N
418849	1420	1996-11-30	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
418850	1420	1996-12-31	VYDAJ	VYBER	15	26364	SLUZBY	\N	\N
418851	1420	1997-01-31	VYDAJ	VYBER	15	18446	SLUZBY	\N	\N
418852	1420	1997-02-28	VYDAJ	VYBER	15	21924	SLUZBY	\N	\N
418853	1420	1997-03-31	VYDAJ	VYBER	15	21371	SLUZBY	\N	\N
418854	1420	1997-04-30	VYDAJ	VYBER	15	24461	SLUZBY	\N	\N
418855	1420	1997-05-31	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
418856	1420	1997-06-30	VYDAJ	VYBER	15	22327	SLUZBY	\N	\N
418857	1420	1997-07-31	VYDAJ	VYBER	15	25821	SLUZBY	\N	\N
418858	1420	1997-08-31	VYDAJ	VYBER	15	25888	SLUZBY	\N	\N
418859	1420	1997-09-30	VYDAJ	VYBER	15	22910	SLUZBY	\N	\N
418860	1420	1997-10-31	VYDAJ	VYBER	15	22202	SLUZBY	\N	\N
418861	1420	1997-11-30	VYDAJ	VYBER	15	25696	SLUZBY	\N	\N
418862	1420	1997-12-31	VYDAJ	VYBER	15	29204	SLUZBY	\N	\N
418863	1420	1998-01-31	VYDAJ	VYBER	15	21183	SLUZBY	\N	\N
418864	1420	1998-02-28	VYDAJ	VYBER	15	24672	SLUZBY	\N	\N
418865	1420	1998-03-31	VYDAJ	VYBER	15	27372	SLUZBY	\N	\N
418866	1420	1998-04-30	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
418867	1420	1998-05-31	VYDAJ	VYBER	15	31232	SLUZBY	\N	\N
418868	1420	1998-06-30	VYDAJ	VYBER	15	24606	SLUZBY	\N	\N
418869	1420	1998-07-31	VYDAJ	VYBER	15	28109	SLUZBY	\N	\N
418870	1420	1998-08-31	VYDAJ	VYBER	15	31627	SLUZBY	\N	\N
418871	1420	1998-09-30	VYDAJ	VYBER	15	35159	SLUZBY	\N	\N
418872	1420	1998-10-31	VYDAJ	VYBER	15	35182	SLUZBY	\N	\N
418873	1420	1998-11-30	VYDAJ	VYBER	15	38729	SLUZBY	\N	\N
418874	1420	1995-11-05	VYDAJ	VYBER	2300	24714	\N	\N	\N
418875	1420	1995-12-05	VYDAJ	VYBER	3000	25219	\N	\N	\N
418876	1420	1996-01-04	VYDAJ	VYBER	1300	25185	\N	\N	\N
418877	1420	1996-05-03	VYDAJ	VYBER	200	25488	\N	\N	\N
418878	1420	1996-08-01	VYDAJ	VYBER	300	28660	\N	\N	\N
418879	1420	1996-08-31	VYDAJ	VYBER	900	31294	\N	\N	\N
418880	1420	1996-09-30	VYDAJ	VYBER	6000	28811	\N	\N	\N
418881	1420	1996-10-30	VYDAJ	VYBER	3500	28719	\N	\N	\N
418882	1420	1996-11-29	VYDAJ	VYBER	7400	22759	\N	\N	\N
418883	1420	1997-01-28	VYDAJ	VYBER	4400	18362	\N	\N	\N
418884	1420	1997-03-29	VYDAJ	VYBER	1400	21292	\N	\N	\N
418885	1420	1997-04-28	VYDAJ	VYBER	400	24379	\N	\N	\N
418886	1420	1997-05-28	VYDAJ	VYBER	100	27769	\N	\N	\N
418887	1420	1997-06-27	VYDAJ	VYBER	6400	24872	\N	\N	\N
418888	1420	1997-10-25	VYDAJ	VYBER	4200	22118	\N	\N	\N
418889	1420	1998-05-23	VYDAJ	VYBER	700	32954	\N	\N	\N
418890	1420	1998-10-20	VYDAJ	VYBER	800	37767	\N	\N	\N
418934	1421	1994-10-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
418937	1421	1995-07-30	PRIJEM	VKLAD	46883	75881	\N	\N	\N
418938	1421	1995-12-29	PRIJEM	VKLAD	7551	32263	\N	\N	\N
418939	1421	1996-10-14	PRIJEM	VKLAD	43340	69999	\N	\N	\N
418940	1421	1996-10-21	PRIJEM	VKLAD	9443	80642	\N	\N	\N
418941	1421	1997-06-28	PRIJEM	VKLAD	28336	63346	\N	\N	\N
418942	1421	1997-08-15	PRIJEM	VKLAD	18051	71327	\N	\N	\N
418943	1421	1998-05-03	PRIJEM	VKLAD	6642	54780	\N	\N	\N
418944	1421	1998-12-13	PRIJEM	VKLAD	34326	85739	\N	\N	\N
418954	1421	1994-10-16	PRIJEM	VKLAD	1200	2300	\N	\N	\N
418955	1421	1994-11-16	PRIJEM	VKLAD	1200	12807	\N	\N	\N
418956	1421	1994-12-14	PRIJEM	VKLAD	1200	20344	\N	\N	\N
418957	1421	1995-01-14	PRIJEM	VKLAD	1200	25104	\N	\N	\N
418958	1421	1995-02-16	PRIJEM	VKLAD	1200	24888	\N	\N	\N
418959	1421	1995-03-17	PRIJEM	VKLAD	1200	25065	\N	\N	\N
418960	1421	1995-04-15	PRIJEM	VKLAD	1200	22510	\N	\N	\N
418961	1421	1995-05-13	PRIJEM	VKLAD	1200	26496	\N	\N	\N
418962	1421	1995-06-16	PRIJEM	VKLAD	1200	29490	\N	\N	\N
418963	1421	1995-07-15	PRIJEM	VKLAD	1200	27698	\N	\N	\N
418964	1421	1995-08-14	PRIJEM	VKLAD	1200	49802	\N	\N	\N
418965	1421	1995-09-17	PRIJEM	VKLAD	1200	38644	\N	\N	\N
418966	1421	1995-10-16	PRIJEM	VKLAD	1200	31722	\N	\N	\N
418967	1421	1995-11-14	PRIJEM	VKLAD	1200	28560	\N	\N	\N
418968	1421	1995-12-13	PRIJEM	VKLAD	1200	25962	\N	\N	\N
418969	1421	1996-01-15	PRIJEM	VKLAD	1200	27404	\N	\N	\N
418970	1421	1996-02-14	PRIJEM	VKLAD	1200	26653	\N	\N	\N
418971	1421	1996-03-14	PRIJEM	VKLAD	1200	25244	\N	\N	\N
418972	1421	1996-04-15	PRIJEM	VKLAD	1200	24729	\N	\N	\N
418973	1421	1996-05-13	PRIJEM	VKLAD	1200	27216	\N	\N	\N
418974	1421	1996-06-15	PRIJEM	VKLAD	1200	23310	\N	\N	\N
418975	1421	1996-07-15	PRIJEM	VKLAD	1200	29101	\N	\N	\N
418976	1421	1996-08-16	PRIJEM	VKLAD	1200	30402	\N	\N	\N
418977	1421	1996-09-17	PRIJEM	VKLAD	1200	28907	\N	\N	\N
418978	1421	1996-10-16	PRIJEM	VKLAD	1200	71199	\N	\N	\N
418979	1421	1996-11-16	PRIJEM	VKLAD	1200	56035	\N	\N	\N
418980	1421	1996-12-17	PRIJEM	VKLAD	1200	42231	\N	\N	\N
418981	1421	1997-01-17	PRIJEM	VKLAD	1200	38585	\N	\N	\N
418982	1421	1997-02-17	PRIJEM	VKLAD	1200	24116	\N	\N	\N
418983	1421	1997-03-16	PRIJEM	VKLAD	1200	30255	\N	\N	\N
418984	1421	1997-04-15	PRIJEM	VKLAD	1200	40276	\N	\N	\N
418985	1421	1997-05-16	PRIJEM	VKLAD	1200	47033	\N	\N	\N
418986	1421	1997-06-13	PRIJEM	VKLAD	1200	21310	\N	\N	\N
418987	1421	1997-07-16	PRIJEM	VKLAD	1200	63043	\N	\N	\N
418988	1421	1997-08-17	PRIJEM	VKLAD	1200	72527	\N	\N	\N
418989	1421	1997-09-16	PRIJEM	VKLAD	1200	56544	\N	\N	\N
418990	1421	1997-10-14	PRIJEM	VKLAD	1200	49646	\N	\N	\N
418991	1421	1997-11-16	PRIJEM	VKLAD	1200	48430	\N	\N	\N
418992	1421	1997-12-16	PRIJEM	VKLAD	1200	48962	\N	\N	\N
418993	1421	1998-01-15	PRIJEM	VKLAD	1200	43994	\N	\N	\N
418994	1421	1998-02-13	PRIJEM	VKLAD	1200	44516	\N	\N	\N
418995	1421	1998-03-17	PRIJEM	VKLAD	1200	45886	\N	\N	\N
418996	1421	1998-04-13	PRIJEM	VKLAD	1200	47658	\N	\N	\N
418997	1421	1998-05-17	PRIJEM	VKLAD	1200	55980	\N	\N	\N
418998	1421	1998-06-17	PRIJEM	VKLAD	1200	35968	\N	\N	\N
418999	1421	1998-07-17	PRIJEM	VKLAD	1200	46083	\N	\N	\N
419000	1421	1998-08-16	PRIJEM	VKLAD	1200	51993	\N	\N	\N
419001	1421	1998-09-17	PRIJEM	VKLAD	1200	54787	\N	\N	\N
419002	1421	1998-10-14	PRIJEM	VKLAD	1200	57497	\N	\N	\N
419003	1421	1998-11-14	PRIJEM	VKLAD	1200	49912	\N	\N	\N
419004	1421	1998-12-16	PRIJEM	VKLAD	1200	63939	\N	\N	\N
419008	1421	1994-10-18	PRIJEM	VKLAD	1300	3600	\N	\N	\N
419009	1421	1994-11-18	PRIJEM	VKLAD	1300	14107	\N	\N	\N
419010	1421	1994-12-18	PRIJEM	VKLAD	1300	21644	\N	\N	\N
419011	1421	1995-01-18	PRIJEM	VKLAD	1300	26404	\N	\N	\N
419012	1421	1995-02-18	PRIJEM	VKLAD	1300	26188	\N	\N	\N
419013	1421	1995-03-18	PRIJEM	VKLAD	1300	26365	\N	\N	\N
419014	1421	1995-04-18	PRIJEM	VKLAD	1300	23810	\N	\N	\N
419015	1421	1995-05-18	PRIJEM	VKLAD	1300	27796	\N	\N	\N
419016	1421	1995-06-18	PRIJEM	VKLAD	1300	30790	\N	\N	\N
419017	1421	1995-07-18	PRIJEM	VKLAD	1300	28998	\N	\N	\N
419018	1421	1995-08-18	PRIJEM	VKLAD	1300	51102	\N	\N	\N
419019	1421	1995-09-18	PRIJEM	VKLAD	1300	39944	\N	\N	\N
419020	1421	1995-10-18	PRIJEM	VKLAD	1300	33022	\N	\N	\N
419021	1421	1995-11-18	PRIJEM	VKLAD	1300	29860	\N	\N	\N
419022	1421	1995-12-18	PRIJEM	VKLAD	1300	27262	\N	\N	\N
419023	1421	1997-01-18	PRIJEM	VKLAD	1300	39085	\N	\N	\N
419024	1421	1997-02-18	PRIJEM	VKLAD	1300	25416	\N	\N	\N
419025	1421	1997-03-18	PRIJEM	VKLAD	1300	31555	\N	\N	\N
419026	1421	1997-04-18	PRIJEM	VKLAD	1300	41576	\N	\N	\N
419027	1421	1997-05-18	PRIJEM	VKLAD	1300	48333	\N	\N	\N
419028	1421	1997-06-18	PRIJEM	VKLAD	1300	22610	\N	\N	\N
419029	1421	1998-01-18	PRIJEM	VKLAD	1300	48094	\N	\N	\N
419030	1421	1998-02-18	PRIJEM	VKLAD	1300	44516	\N	\N	\N
419031	1421	1998-03-18	PRIJEM	VKLAD	1300	47186	\N	\N	\N
419032	1421	1998-04-18	PRIJEM	VKLAD	1300	47958	\N	\N	\N
419033	1421	1998-05-18	PRIJEM	VKLAD	1300	50080	\N	\N	\N
419034	1421	1998-06-18	PRIJEM	VKLAD	1300	37268	\N	\N	\N
419035	1421	1998-07-18	PRIJEM	VKLAD	1300	47383	\N	\N	\N
419036	1421	1998-08-18	PRIJEM	VKLAD	1300	53293	\N	\N	\N
419037	1421	1998-09-18	PRIJEM	VKLAD	1300	56087	\N	\N	\N
419038	1421	1998-10-18	PRIJEM	VKLAD	1300	54997	\N	\N	\N
419039	1421	1998-11-18	PRIJEM	VKLAD	1300	51212	\N	\N	\N
419040	1421	1998-12-18	PRIJEM	VKLAD	1300	65239	\N	\N	\N
419043	1421	1996-06-10	VYDAJ	VYBER	4400	22110	\N	\N	\N
419044	1421	1997-06-03	VYDAJ	VYBER	26500	20110	\N	\N	\N
419045	1421	1998-06-14	VYDAJ	VYBER	27300	22968	\N	\N	\N
419047	1421	1995-01-30	VYDAJ	VYBER	3600	18704	\N	\N	\N
419048	1421	1996-01-22	VYDAJ	VYBER	2600	24804	\N	\N	\N
419049	1421	1997-01-29	VYDAJ	VYBER	8100	22785	\N	\N	\N
419050	1421	1998-01-21	VYDAJ	VYBER	1900	46194	\N	\N	\N
419051	1421	1994-12-26	VYDAJ	VYBER	1500	20144	\N	\N	\N
419052	1421	1995-12-19	VYDAJ	VYBER	1500	24712	\N	\N	\N
419053	1421	1996-12-26	VYDAJ	VYBER	500	38881	\N	\N	\N
419054	1421	1997-12-26	VYDAJ	VYBER	1100	46262	\N	\N	\N
419055	1421	1998-12-13	VYDAJ	VYBER	1600	62739	\N	\N	\N
419062	1421	1995-01-28	VYDAJ	VYBER	350	22304	\N	\N	\N
419063	1421	1995-01-18	VYDAJ	VYBER	850	25554	\N	\N	\N
419064	1421	1995-01-04	VYDAJ	VYBER	350	24154	\N	\N	\N
419065	1421	1995-01-20	VYDAJ	VYBER	750	24804	\N	\N	\N
419066	1421	1995-01-08	VYDAJ	VYBER	250	23904	\N	\N	\N
419067	1421	1995-01-26	VYDAJ	VYBER	700	22654	\N	\N	\N
419068	1421	1996-01-07	VYDAJ	VYBER	800	29304	\N	\N	\N
419069	1421	1996-01-09	VYDAJ	VYBER	300	29004	\N	\N	\N
419070	1421	1996-01-06	VYDAJ	VYBER	1250	30104	\N	\N	\N
419071	1421	1996-01-23	VYDAJ	VYBER	500	24304	\N	\N	\N
419072	1421	1996-01-25	VYDAJ	VYBER	1150	22854	\N	\N	\N
419073	1421	1996-01-11	VYDAJ	VYBER	500	28504	\N	\N	\N
419074	1421	1997-01-23	VYDAJ	VYBER	950	33135	\N	\N	\N
419075	1421	1997-01-24	VYDAJ	VYBER	800	32335	\N	\N	\N
419076	1421	1997-01-08	VYDAJ	VYBER	300	37985	\N	\N	\N
419077	1421	1997-01-17	VYDAJ	VYBER	800	37785	\N	\N	\N
419078	1421	1997-01-05	VYDAJ	VYBER	750	38285	\N	\N	\N
419079	1421	1997-01-21	VYDAJ	VYBER	1450	35785	\N	\N	\N
419080	1421	1998-01-06	VYDAJ	VYBER	1000	45444	\N	\N	\N
419081	1421	1998-01-09	VYDAJ	VYBER	500	42794	\N	\N	\N
419082	1421	1998-01-07	VYDAJ	VYBER	1350	43294	\N	\N	\N
419083	1421	1998-01-29	VYDAJ	VYBER	1150	44594	\N	\N	\N
419084	1421	1998-01-07	VYDAJ	VYBER	800	44644	\N	\N	\N
419085	1421	1998-01-26	VYDAJ	VYBER	450	45744	\N	\N	\N
419092	1421	1995-03-29	VYDAJ	VYBER	750	25615	\N	\N	\N
419093	1421	1995-12-19	VYDAJ	VYBER	1050	26212	\N	\N	\N
419094	1421	1995-01-24	VYDAJ	VYBER	1450	23354	\N	\N	\N
419095	1421	1995-04-13	VYDAJ	VYBER	2400	21310	\N	\N	\N
419096	1421	1996-10-13	VYDAJ	VYBER	2450	26659	\N	\N	\N
419097	1421	1996-01-13	VYDAJ	VYBER	2300	26204	\N	\N	\N
419098	1421	1996-11-17	VYDAJ	VYBER	2350	53685	\N	\N	\N
419099	1421	1996-01-25	VYDAJ	VYBER	300	24004	\N	\N	\N
419100	1421	1996-11-20	VYDAJ	VYBER	400	53285	\N	\N	\N
419101	1421	1996-11-22	VYDAJ	VYBER	550	52735	\N	\N	\N
419102	1421	1996-04-03	VYDAJ	VYBER	500	23529	\N	\N	\N
419103	1421	1996-12-18	VYDAJ	VYBER	1050	41181	\N	\N	\N
419104	1421	1997-03-05	VYDAJ	VYBER	650	29055	\N	\N	\N
419105	1421	1997-12-12	VYDAJ	VYBER	350	47762	\N	\N	\N
419106	1421	1997-07-12	VYDAJ	VYBER	1650	61843	\N	\N	\N
419107	1421	1997-01-20	VYDAJ	VYBER	1850	37235	\N	\N	\N
419108	1421	1997-01-14	VYDAJ	VYBER	600	37385	\N	\N	\N
419109	1421	1997-09-17	VYDAJ	VYBER	2400	54144	\N	\N	\N
419110	1421	1997-01-24	VYDAJ	VYBER	1450	30885	\N	\N	\N
419111	1421	1998-11-10	VYDAJ	VYBER	1850	52912	\N	\N	\N
419112	1421	1998-02-02	VYDAJ	VYBER	1450	43316	\N	\N	\N
419113	1421	1998-10-20	VYDAJ	VYBER	450	54547	\N	\N	\N
419114	1421	1998-08-10	VYDAJ	VYBER	1450	46093	\N	\N	\N
419115	1421	1998-07-12	VYDAJ	VYBER	350	37083	\N	\N	\N
419128	1421	1994-12-31	VYDAJ	VYBER	15	20204	SLUZBY	\N	\N
419129	1421	1995-01-31	VYDAJ	VYBER	15	18788	SLUZBY	\N	\N
419130	1421	1995-02-28	VYDAJ	VYBER	15	26265	SLUZBY	\N	\N
419131	1421	1995-03-31	VYDAJ	VYBER	15	25710	SLUZBY	\N	\N
419132	1421	1995-04-30	VYDAJ	VYBER	15	23896	SLUZBY	\N	\N
419133	1421	1995-05-31	VYDAJ	VYBER	15	27890	SLUZBY	\N	\N
419134	1421	1995-06-30	VYDAJ	VYBER	15	30898	SLUZBY	\N	\N
419135	1421	1995-07-31	VYDAJ	VYBER	15	76002	SLUZBY	\N	\N
419136	1421	1995-08-31	VYDAJ	VYBER	15	51344	SLUZBY	\N	\N
419137	1421	1995-09-30	VYDAJ	VYBER	15	40122	SLUZBY	\N	\N
419138	1421	1995-10-31	VYDAJ	VYBER	15	27360	SLUZBY	\N	\N
419139	1421	1995-11-30	VYDAJ	VYBER	15	24762	SLUZBY	\N	\N
419140	1421	1995-12-31	VYDAJ	VYBER	15	31354	SLUZBY	\N	\N
419141	1421	1996-01-31	VYDAJ	VYBER	15	25453	SLUZBY	\N	\N
419142	1421	1996-02-29	VYDAJ	VYBER	15	24044	SLUZBY	\N	\N
419143	1421	1996-03-31	VYDAJ	VYBER	15	24029	SLUZBY	\N	\N
419144	1421	1996-04-30	VYDAJ	VYBER	15	26016	SLUZBY	\N	\N
419145	1421	1996-05-31	VYDAJ	VYBER	15	26510	SLUZBY	\N	\N
419146	1421	1996-06-30	VYDAJ	VYBER	15	27901	SLUZBY	\N	\N
419147	1421	1996-07-31	VYDAJ	VYBER	15	29202	SLUZBY	\N	\N
419148	1421	1996-08-31	VYDAJ	VYBER	15	27707	SLUZBY	\N	\N
419149	1421	1996-09-30	VYDAJ	VYBER	15	29109	SLUZBY	\N	\N
419150	1421	1996-10-31	VYDAJ	VYBER	15	54835	SLUZBY	\N	\N
419151	1421	1996-11-30	VYDAJ	VYBER	15	41031	SLUZBY	\N	\N
419152	1421	1996-12-31	VYDAJ	VYBER	15	39035	SLUZBY	\N	\N
419153	1421	1997-01-31	VYDAJ	VYBER	15	22916	SLUZBY	\N	\N
419154	1421	1997-02-28	VYDAJ	VYBER	15	29705	SLUZBY	\N	\N
419155	1421	1997-03-31	VYDAJ	VYBER	15	39076	SLUZBY	\N	\N
419156	1421	1997-04-30	VYDAJ	VYBER	15	45833	SLUZBY	\N	\N
419157	1421	1997-05-31	VYDAJ	VYBER	15	46610	SLUZBY	\N	\N
419158	1421	1997-06-30	VYDAJ	VYBER	15	63493	SLUZBY	\N	\N
419159	1421	1997-07-31	VYDAJ	VYBER	15	53276	SLUZBY	\N	\N
419160	1421	1997-08-31	VYDAJ	VYBER	15	55344	SLUZBY	\N	\N
419161	1421	1997-09-30	VYDAJ	VYBER	15	48446	SLUZBY	\N	\N
419162	1421	1997-10-31	VYDAJ	VYBER	15	47230	SLUZBY	\N	\N
419163	1421	1997-11-30	VYDAJ	VYBER	15	48112	SLUZBY	\N	\N
419164	1421	1997-12-31	VYDAJ	VYBER	15	46444	SLUZBY	\N	\N
419165	1421	1998-01-31	VYDAJ	VYBER	15	44766	SLUZBY	\N	\N
419166	1421	1998-02-28	VYDAJ	VYBER	15	44686	SLUZBY	\N	\N
419167	1421	1998-03-31	VYDAJ	VYBER	15	46458	SLUZBY	\N	\N
419168	1421	1998-04-30	VYDAJ	VYBER	15	48138	SLUZBY	\N	\N
419169	1421	1998-05-31	VYDAJ	VYBER	15	50268	SLUZBY	\N	\N
419170	1421	1998-06-30	VYDAJ	VYBER	15	37433	SLUZBY	\N	\N
419171	1421	1998-07-31	VYDAJ	VYBER	15	47543	SLUZBY	\N	\N
419172	1421	1998-08-31	VYDAJ	VYBER	15	53487	SLUZBY	\N	\N
419173	1421	1998-09-30	VYDAJ	VYBER	15	56297	SLUZBY	\N	\N
419174	1421	1998-10-31	VYDAJ	VYBER	15	54762	SLUZBY	\N	\N
419175	1421	1998-11-30	VYDAJ	VYBER	15	51413	SLUZBY	\N	\N
419176	1421	1994-11-04	PRIJEM	VKLAD	8000	11607	\N	\N	\N
419177	1421	1994-12-04	PRIJEM	VKLAD	5000	19144	\N	\N	\N
419178	1421	1995-01-03	PRIJEM	VKLAD	4300	24504	\N	\N	\N
419179	1421	1995-02-02	PRIJEM	VKLAD	4900	23688	\N	\N	\N
419180	1421	1995-03-04	VYDAJ	VYBER	2400	23865	\N	\N	\N
419181	1421	1995-04-03	VYDAJ	VYBER	2000	23710	\N	\N	\N
419182	1421	1995-05-03	PRIJEM	VKLAD	1400	25296	\N	\N	\N
419183	1421	1995-06-02	PRIJEM	VKLAD	400	28290	\N	\N	\N
419184	1421	1995-07-02	VYDAJ	VYBER	4400	26498	\N	\N	\N
419185	1421	1995-08-01	VYDAJ	VYBER	27400	48602	\N	\N	\N
419186	1421	1995-08-31	VYDAJ	VYBER	13900	37444	\N	\N	\N
419187	1421	1995-09-30	VYDAJ	VYBER	9600	30522	\N	\N	\N
419188	1421	1995-10-30	VYDAJ	VYBER	5800	27222	\N	\N	\N
419189	1421	1995-11-29	VYDAJ	VYBER	5200	24660	\N	\N	\N
419190	1421	1995-12-29	VYDAJ	VYBER	1000	31263	\N	\N	\N
419191	1421	1996-01-28	PRIJEM	VKLAD	2500	25354	\N	\N	\N
419192	1421	1996-02-27	VYDAJ	VYBER	2700	23953	\N	\N	\N
419193	1421	1996-03-28	VYDAJ	VYBER	1300	23944	\N	\N	\N
419194	1421	1996-04-27	PRIJEM	VKLAD	1200	25929	\N	\N	\N
419195	1421	1996-05-27	VYDAJ	VYBER	800	26416	\N	\N	\N
419196	1421	1996-06-26	PRIJEM	VKLAD	4500	27810	\N	\N	\N
419197	1421	1996-08-25	VYDAJ	VYBER	2800	27602	\N	\N	\N
419198	1421	1996-09-24	PRIJEM	VKLAD	100	29007	\N	\N	\N
419199	1421	1996-10-24	VYDAJ	VYBER	26000	54642	\N	\N	\N
419200	1421	1996-11-23	VYDAJ	VYBER	11900	40835	\N	\N	\N
419201	1421	1996-12-23	VYDAJ	VYBER	1800	39381	\N	\N	\N
419202	1421	1997-01-22	VYDAJ	VYBER	1700	34085	\N	\N	\N
419203	1421	1997-02-21	PRIJEM	VKLAD	4200	29616	\N	\N	\N
419204	1421	1997-03-23	PRIJEM	VKLAD	7400	38955	\N	\N	\N
419205	1421	1997-04-22	PRIJEM	VKLAD	4100	45676	\N	\N	\N
419206	1421	1997-05-22	VYDAJ	VYBER	1900	46433	\N	\N	\N
419207	1421	1997-06-21	PRIJEM	VKLAD	12400	35010	\N	\N	\N
419208	1421	1997-07-21	VYDAJ	VYBER	10000	53043	\N	\N	\N
419209	1421	1997-08-20	VYDAJ	VYBER	17400	55127	\N	\N	\N
419210	1421	1997-09-19	VYDAJ	VYBER	5900	48244	\N	\N	\N
419211	1421	1997-10-19	VYDAJ	VYBER	2600	47046	\N	\N	\N
419212	1421	1997-11-18	VYDAJ	VYBER	500	47930	\N	\N	\N
419213	1421	1997-12-18	VYDAJ	VYBER	1600	47362	\N	\N	\N
419214	1421	1998-01-17	PRIJEM	VKLAD	2800	46794	\N	\N	\N
419215	1421	1998-02-16	VYDAJ	VYBER	1300	43216	\N	\N	\N
419216	1421	1998-03-18	VYDAJ	VYBER	900	46286	\N	\N	\N
419217	1421	1998-04-17	VYDAJ	VYBER	1000	46658	\N	\N	\N
419218	1421	1998-05-17	VYDAJ	VYBER	7200	48780	\N	\N	\N
419219	1421	1998-06-16	PRIJEM	VKLAD	11800	34768	\N	\N	\N
419220	1421	1998-07-16	PRIJEM	VKLAD	7800	44883	\N	\N	\N
419221	1421	1998-08-15	PRIJEM	VKLAD	4700	50793	\N	\N	\N
419222	1421	1998-09-14	PRIJEM	VKLAD	100	53587	\N	\N	\N
419223	1421	1998-10-14	VYDAJ	VYBER	3800	53697	\N	\N	\N
419224	1421	1998-11-13	VYDAJ	VYBER	4200	48712	\N	\N	\N
419225	1421	1998-12-13	VYDAJ	VYBER	21400	64339	\N	\N	\N
419277	1422	1993-04-09	PRIJEM	VKLAD	400	400	\N	\N	\N
419282	1422	1993-05-08	PRIJEM	PREVOD Z UCTU	5842	6242	DUCHOD	KL	60820615
419283	1422	1993-06-08	PRIJEM	PREVOD Z UCTU	5842	12084	DUCHOD	KL	60820615
419284	1422	1993-07-08	PRIJEM	PREVOD Z UCTU	5842	17926	DUCHOD	KL	60820615
419285	1422	1993-08-08	PRIJEM	PREVOD Z UCTU	5842	23768	DUCHOD	KL	60820615
419286	1422	1993-09-08	PRIJEM	PREVOD Z UCTU	5842	29110	DUCHOD	KL	60820615
419287	1422	1993-10-08	PRIJEM	PREVOD Z UCTU	5842	32068	DUCHOD	KL	60820615
419288	1422	1993-11-08	PRIJEM	PREVOD Z UCTU	5842	30652	DUCHOD	KL	60820615
419289	1422	1993-12-08	PRIJEM	PREVOD Z UCTU	5842	29017	DUCHOD	KL	60820615
419290	1422	1994-01-08	PRIJEM	PREVOD Z UCTU	5842	28374	DUCHOD	KL	60820615
419291	1422	1994-02-08	PRIJEM	PREVOD Z UCTU	5842	18451	DUCHOD	KL	60820615
419292	1422	1994-03-08	PRIJEM	PREVOD Z UCTU	5842	21684	DUCHOD	KL	60820615
419293	1422	1994-04-08	PRIJEM	PREVOD Z UCTU	5842	24932	DUCHOD	KL	60820615
419294	1422	1994-05-08	PRIJEM	PREVOD Z UCTU	5842	28192	DUCHOD	KL	60820615
419295	1422	1994-06-08	PRIJEM	PREVOD Z UCTU	5842	30267	DUCHOD	KL	60820615
419296	1422	1994-07-08	PRIJEM	PREVOD Z UCTU	5842	21095	DUCHOD	KL	60820615
419297	1422	1994-08-08	PRIJEM	PREVOD Z UCTU	5842	24340	DUCHOD	KL	60820615
419298	1422	1994-09-08	PRIJEM	PREVOD Z UCTU	5842	27598	DUCHOD	KL	60820615
419299	1422	1994-10-08	PRIJEM	PREVOD Z UCTU	5842	30570	DUCHOD	KL	60820615
419300	1422	1994-11-08	PRIJEM	PREVOD Z UCTU	5842	30432	DUCHOD	KL	60820615
419301	1422	1994-12-08	PRIJEM	PREVOD Z UCTU	5842	28230	DUCHOD	KL	60820615
419302	1422	1995-01-08	PRIJEM	PREVOD Z UCTU	5842	27987	DUCHOD	KL	60820615
419303	1422	1995-02-08	PRIJEM	PREVOD Z UCTU	5842	21529	DUCHOD	KL	60820615
419304	1422	1995-03-08	PRIJEM	PREVOD Z UCTU	5842	23254	DUCHOD	KL	60820615
419305	1422	1995-04-08	PRIJEM	PREVOD Z UCTU	5842	26508	DUCHOD	KL	60820615
419306	1422	1995-05-08	PRIJEM	PREVOD Z UCTU	5842	27851	DUCHOD	KL	60820615
419307	1422	1995-06-08	PRIJEM	PREVOD Z UCTU	5842	27912	DUCHOD	KL	60820615
419308	1422	1995-07-08	PRIJEM	PREVOD Z UCTU	5842	28089	DUCHOD	KL	60820615
419309	1422	1995-08-08	PRIJEM	PREVOD Z UCTU	5842	28061	DUCHOD	KL	60820615
419310	1422	1995-09-08	PRIJEM	PREVOD Z UCTU	5842	27769	DUCHOD	KL	60820615
419311	1422	1995-10-08	PRIJEM	PREVOD Z UCTU	5842	29661	DUCHOD	KL	60820615
419312	1422	1995-11-08	PRIJEM	PREVOD Z UCTU	5842	32441	DUCHOD	KL	60820615
419313	1422	1995-12-08	PRIJEM	PREVOD Z UCTU	5842	33831	DUCHOD	KL	60820615
419314	1422	1996-01-08	PRIJEM	PREVOD Z UCTU	5842	31264	DUCHOD	KL	60820615
419315	1422	1996-02-08	PRIJEM	PREVOD Z UCTU	5842	21032	DUCHOD	KL	60820615
419316	1422	1996-03-08	PRIJEM	PREVOD Z UCTU	5842	21638	DUCHOD	KL	60820615
419317	1422	1996-04-08	PRIJEM	PREVOD Z UCTU	5842	24884	DUCHOD	KL	60820615
419318	1422	1996-05-08	PRIJEM	PREVOD Z UCTU	5842	25942	DUCHOD	KL	60820615
419319	1422	1996-06-08	PRIJEM	PREVOD Z UCTU	5842	27805	DUCHOD	KL	60820615
419320	1422	1996-07-08	PRIJEM	PREVOD Z UCTU	5842	26271	DUCHOD	KL	60820615
419321	1422	1996-08-08	PRIJEM	PREVOD Z UCTU	5842	22447	DUCHOD	KL	60820615
419322	1422	1996-09-08	PRIJEM	PREVOD Z UCTU	5842	25497	DUCHOD	KL	60820615
419323	1422	1996-10-08	PRIJEM	PREVOD Z UCTU	5842	28358	DUCHOD	KL	60820615
419324	1422	1996-11-08	PRIJEM	PREVOD Z UCTU	5842	31633	DUCHOD	KL	60820615
419325	1422	1996-12-08	PRIJEM	PREVOD Z UCTU	5842	34520	DUCHOD	KL	60820615
419326	1422	1997-01-08	PRIJEM	PREVOD Z UCTU	5842	28251	DUCHOD	KL	60820615
419327	1422	1997-02-08	PRIJEM	PREVOD Z UCTU	5842	22233	DUCHOD	KL	60820615
419328	1422	1997-03-08	PRIJEM	PREVOD Z UCTU	5842	21952	DUCHOD	KL	60820615
419329	1422	1997-04-08	PRIJEM	PREVOD Z UCTU	5842	21349	DUCHOD	KL	60820615
419330	1422	1997-05-08	PRIJEM	PREVOD Z UCTU	5842	24593	DUCHOD	KL	60820615
419331	1422	1997-06-08	PRIJEM	PREVOD Z UCTU	5842	23651	DUCHOD	KL	60820615
419332	1422	1997-07-08	PRIJEM	PREVOD Z UCTU	5842	26912	DUCHOD	KL	60820615
419333	1422	1997-08-08	PRIJEM	PREVOD Z UCTU	5842	30179	DUCHOD	KL	60820615
419334	1422	1997-09-08	PRIJEM	PREVOD Z UCTU	5842	32759	DUCHOD	KL	60820615
419335	1422	1997-10-08	PRIJEM	PREVOD Z UCTU	5842	30800	DUCHOD	KL	60820615
419336	1422	1997-11-08	PRIJEM	PREVOD Z UCTU	5842	34084	DUCHOD	KL	60820615
419337	1422	1997-12-08	PRIJEM	PREVOD Z UCTU	5842	35059	DUCHOD	KL	60820615
419338	1422	1998-01-08	PRIJEM	PREVOD Z UCTU	5842	36559	DUCHOD	KL	60820615
419339	1422	1998-02-08	PRIJEM	PREVOD Z UCTU	5842	30177	DUCHOD	KL	60820615
419340	1422	1998-03-08	PRIJEM	PREVOD Z UCTU	5842	33458	DUCHOD	KL	60820615
419341	1422	1998-04-08	PRIJEM	PREVOD Z UCTU	5842	34352	DUCHOD	KL	60820615
419342	1422	1998-05-08	PRIJEM	PREVOD Z UCTU	5842	35648	DUCHOD	KL	60820615
419343	1422	1998-06-08	PRIJEM	PREVOD Z UCTU	5842	32260	DUCHOD	KL	60820615
419344	1422	1998-07-08	PRIJEM	PREVOD Z UCTU	5842	35556	DUCHOD	KL	60820615
419345	1422	1998-08-08	PRIJEM	PREVOD Z UCTU	5842	38558	DUCHOD	KL	60820615
419346	1422	1998-09-08	PRIJEM	PREVOD Z UCTU	5842	41873	DUCHOD	KL	60820615
419347	1422	1998-10-08	PRIJEM	PREVOD Z UCTU	5842	44100	DUCHOD	KL	60820615
419348	1422	1998-11-08	PRIJEM	PREVOD Z UCTU	5842	45433	DUCHOD	KL	60820615
419349	1422	1998-12-08	PRIJEM	PREVOD Z UCTU	5842	46671	DUCHOD	KL	60820615
419358	1422	1993-09-11	VYDAJ	PREVOD NA UCET	2655	26455	SIPO	UV	24991828
419359	1422	1993-10-11	VYDAJ	PREVOD NA UCET	2655	29413	SIPO	UV	24991828
419360	1422	1993-11-11	VYDAJ	PREVOD NA UCET	2655	27997	SIPO	UV	24991828
419361	1422	1993-12-11	VYDAJ	PREVOD NA UCET	2655	26362	SIPO	UV	24991828
419362	1422	1994-01-11	VYDAJ	PREVOD NA UCET	2655	25719	SIPO	UV	24991828
419363	1422	1994-02-11	VYDAJ	PREVOD NA UCET	2655	15796	SIPO	UV	24991828
419364	1422	1994-03-11	VYDAJ	PREVOD NA UCET	2655	19029	SIPO	UV	24991828
419365	1422	1994-04-11	VYDAJ	PREVOD NA UCET	2655	22277	SIPO	UV	24991828
419366	1422	1994-05-11	VYDAJ	PREVOD NA UCET	2655	25537	SIPO	UV	24991828
419367	1422	1994-06-11	VYDAJ	PREVOD NA UCET	2655	27612	SIPO	UV	24991828
419368	1422	1994-07-11	VYDAJ	PREVOD NA UCET	2655	18440	SIPO	UV	24991828
419369	1422	1994-08-11	VYDAJ	PREVOD NA UCET	2655	21685	SIPO	UV	24991828
419370	1422	1994-09-11	VYDAJ	PREVOD NA UCET	2655	24943	SIPO	UV	24991828
419371	1422	1994-10-11	VYDAJ	PREVOD NA UCET	2655	27915	SIPO	UV	24991828
419372	1422	1994-11-11	VYDAJ	PREVOD NA UCET	2655	25297	SIPO	UV	24991828
419373	1422	1994-12-11	VYDAJ	PREVOD NA UCET	2655	25575	SIPO	UV	24991828
419374	1422	1995-01-11	VYDAJ	PREVOD NA UCET	2655	21812	SIPO	UV	24991828
419375	1422	1995-02-11	VYDAJ	PREVOD NA UCET	2655	18874	SIPO	UV	24991828
419376	1422	1995-03-11	VYDAJ	PREVOD NA UCET	2655	20599	SIPO	UV	24991828
419377	1422	1995-04-11	VYDAJ	PREVOD NA UCET	2655	23853	SIPO	UV	24991828
419378	1422	1995-05-11	VYDAJ	PREVOD NA UCET	2655	25196	SIPO	UV	24991828
419379	1422	1995-06-11	VYDAJ	PREVOD NA UCET	2655	25257	SIPO	UV	24991828
419380	1422	1995-07-11	VYDAJ	PREVOD NA UCET	2655	25434	SIPO	UV	24991828
419381	1422	1995-08-11	VYDAJ	PREVOD NA UCET	2655	25406	SIPO	UV	24991828
419382	1422	1995-09-11	VYDAJ	PREVOD NA UCET	2655	24634	SIPO	UV	24991828
419383	1422	1995-10-11	VYDAJ	PREVOD NA UCET	2655	27006	SIPO	UV	24991828
419384	1422	1995-11-11	VYDAJ	PREVOD NA UCET	2655	29786	SIPO	UV	24991828
419385	1422	1995-12-11	VYDAJ	PREVOD NA UCET	2655	31176	SIPO	UV	24991828
419386	1422	1996-01-11	VYDAJ	PREVOD NA UCET	2655	28609	SIPO	UV	24991828
419387	1422	1996-02-11	VYDAJ	PREVOD NA UCET	2655	18377	SIPO	UV	24991828
419388	1422	1996-03-11	VYDAJ	PREVOD NA UCET	2655	18983	SIPO	UV	24991828
419389	1422	1996-04-11	VYDAJ	PREVOD NA UCET	2655	22229	SIPO	UV	24991828
419390	1422	1996-05-11	VYDAJ	PREVOD NA UCET	2655	23287	SIPO	UV	24991828
419391	1422	1996-06-11	VYDAJ	PREVOD NA UCET	2655	25150	SIPO	UV	24991828
419392	1422	1996-07-11	VYDAJ	PREVOD NA UCET	2655	21936	SIPO	UV	24991828
419393	1422	1996-08-11	VYDAJ	PREVOD NA UCET	2655	19792	SIPO	UV	24991828
419394	1422	1996-09-11	VYDAJ	PREVOD NA UCET	2655	22842	SIPO	UV	24991828
419395	1422	1996-10-11	VYDAJ	PREVOD NA UCET	2655	25703	SIPO	UV	24991828
419396	1422	1996-11-11	VYDAJ	PREVOD NA UCET	2655	28978	SIPO	UV	24991828
419397	1422	1996-12-11	VYDAJ	PREVOD NA UCET	2655	31865	SIPO	UV	24991828
419398	1422	1997-01-11	VYDAJ	PREVOD NA UCET	2655	24476	SIPO	UV	24991828
419399	1422	1997-02-11	VYDAJ	PREVOD NA UCET	2655	19578	SIPO	UV	24991828
419400	1422	1997-03-11	VYDAJ	PREVOD NA UCET	2655	15457	SIPO	UV	24991828
419401	1422	1997-04-11	VYDAJ	PREVOD NA UCET	2655	18694	SIPO	UV	24991828
419402	1422	1997-05-11	VYDAJ	PREVOD NA UCET	2655	21938	SIPO	UV	24991828
419403	1422	1997-06-11	VYDAJ	PREVOD NA UCET	2655	20996	SIPO	UV	24991828
419404	1422	1997-07-11	VYDAJ	PREVOD NA UCET	2655	24257	SIPO	UV	24991828
419405	1422	1997-08-11	VYDAJ	PREVOD NA UCET	2655	27524	SIPO	UV	24991828
419406	1422	1997-09-11	VYDAJ	PREVOD NA UCET	2655	30104	SIPO	UV	24991828
419407	1422	1997-10-11	VYDAJ	PREVOD NA UCET	2655	28145	SIPO	UV	24991828
419408	1422	1997-11-11	VYDAJ	PREVOD NA UCET	2655	31429	SIPO	UV	24991828
419409	1422	1997-12-11	VYDAJ	PREVOD NA UCET	2655	32404	SIPO	UV	24991828
419410	1422	1998-01-11	VYDAJ	PREVOD NA UCET	2655	33904	SIPO	UV	24991828
419411	1422	1998-02-11	VYDAJ	PREVOD NA UCET	2655	27522	SIPO	UV	24991828
419412	1422	1998-03-11	VYDAJ	PREVOD NA UCET	2655	30803	SIPO	UV	24991828
419413	1422	1998-04-11	VYDAJ	PREVOD NA UCET	2655	31697	SIPO	UV	24991828
419414	1422	1998-05-11	VYDAJ	PREVOD NA UCET	2655	32993	SIPO	UV	24991828
419415	1422	1998-06-11	VYDAJ	PREVOD NA UCET	2655	29605	SIPO	UV	24991828
419416	1422	1998-07-11	VYDAJ	PREVOD NA UCET	2655	32901	SIPO	UV	24991828
419417	1422	1998-08-11	VYDAJ	PREVOD NA UCET	2655	35903	SIPO	UV	24991828
419418	1422	1998-09-11	VYDAJ	PREVOD NA UCET	2655	38118	SIPO	UV	24991828
419419	1422	1998-10-11	VYDAJ	PREVOD NA UCET	2655	39445	SIPO	UV	24991828
419420	1422	1998-11-11	VYDAJ	PREVOD NA UCET	2655	40678	SIPO	UV	24991828
419421	1422	1998-12-11	VYDAJ	PREVOD NA UCET	2655	40916	SIPO	UV	24991828
419423	1422	1994-06-20	VYDAJ	VYBER	11000	16612	\N	\N	\N
419424	1422	1995-06-04	VYDAJ	VYBER	2650	22070	\N	\N	\N
419426	1422	1997-06-02	VYDAJ	VYBER	4200	17809	\N	\N	\N
419427	1422	1998-06-01	VYDAJ	VYBER	5250	26418	\N	\N	\N
419429	1422	1994-01-30	VYDAJ	VYBER	3900	12539	\N	\N	\N
419430	1422	1995-01-13	VYDAJ	VYBER	1950	18182	\N	\N	\N
419431	1422	1996-01-26	VYDAJ	VYBER	1850	21099	\N	\N	\N
419432	1422	1997-01-28	VYDAJ	VYBER	3600	17116	\N	\N	\N
419433	1422	1998-01-06	VYDAJ	VYBER	1400	30717	\N	\N	\N
419434	1422	1993-12-04	VYDAJ	VYBER	900	24475	\N	\N	\N
419435	1422	1994-12-05	VYDAJ	VYBER	1000	24388	\N	\N	\N
419436	1422	1995-12-18	VYDAJ	VYBER	1000	30176	\N	\N	\N
419437	1422	1996-12-05	VYDAJ	VYBER	400	28678	\N	\N	\N
419438	1422	1997-12-23	VYDAJ	VYBER	400	32004	\N	\N	\N
419439	1422	1998-12-28	VYDAJ	VYBER	1250	37986	\N	\N	\N
419446	1422	1994-01-13	VYDAJ	VYBER	480	21479	\N	\N	\N
419447	1422	1994-01-21	VYDAJ	VYBER	1120	16439	\N	\N	\N
419448	1422	1994-01-13	VYDAJ	VYBER	1760	21959	\N	\N	\N
419449	1422	1994-01-12	VYDAJ	VYBER	2000	23719	\N	\N	\N
419450	1422	1994-01-18	VYDAJ	VYBER	2080	17559	\N	\N	\N
419451	1422	1994-01-13	VYDAJ	VYBER	1840	19639	\N	\N	\N
419452	1422	1995-01-10	VYDAJ	VYBER	1440	24467	\N	\N	\N
419453	1422	1995-01-04	VYDAJ	VYBER	1120	22145	\N	\N	\N
419454	1422	1995-01-21	VYDAJ	VYBER	1600	15622	\N	\N	\N
419455	1422	1995-01-08	VYDAJ	VYBER	2080	25907	\N	\N	\N
419456	1422	1995-01-12	VYDAJ	VYBER	1680	20132	\N	\N	\N
419457	1422	1995-01-16	VYDAJ	VYBER	960	17222	\N	\N	\N
419458	1422	1996-01-02	VYDAJ	VYBER	1120	26862	\N	\N	\N
419459	1422	1996-01-14	VYDAJ	VYBER	800	27169	\N	\N	\N
419460	1422	1996-01-18	VYDAJ	VYBER	2320	24849	\N	\N	\N
419461	1422	1996-01-14	VYDAJ	VYBER	640	27969	\N	\N	\N
419462	1422	1996-01-28	VYDAJ	VYBER	2240	18859	\N	\N	\N
419463	1422	1996-01-06	VYDAJ	VYBER	1440	25422	\N	\N	\N
419464	1422	1997-01-01	VYDAJ	VYBER	720	24649	\N	\N	\N
419465	1422	1997-01-03	VYDAJ	VYBER	2240	22409	\N	\N	\N
419466	1422	1997-01-29	VYDAJ	VYBER	800	16316	\N	\N	\N
419467	1422	1997-01-08	VYDAJ	VYBER	1120	27131	\N	\N	\N
419468	1422	1997-01-15	VYDAJ	VYBER	1520	20716	\N	\N	\N
419469	1422	1997-01-13	VYDAJ	VYBER	2240	22236	\N	\N	\N
419470	1422	1998-01-21	VYDAJ	VYBER	2080	27984	\N	\N	\N
419471	1422	1998-01-12	VYDAJ	VYBER	1760	32144	\N	\N	\N
419472	1422	1998-01-27	VYDAJ	VYBER	1120	26864	\N	\N	\N
419473	1422	1998-01-19	VYDAJ	VYBER	2080	30064	\N	\N	\N
419474	1422	1998-01-30	VYDAJ	VYBER	1840	24224	\N	\N	\N
419475	1422	1998-01-28	VYDAJ	VYBER	800	26064	\N	\N	\N
419477	1422	1993-12-21	VYDAJ	VYBER	3040	23322	\N	\N	\N
419478	1422	1993-11-21	VYDAJ	VYBER	2720	25277	\N	\N	\N
419479	1422	1993-10-13	VYDAJ	VYBER	3600	25813	\N	\N	\N
419480	1422	1994-01-06	VYDAJ	VYBER	880	22532	\N	\N	\N
419481	1422	1994-10-11	VYDAJ	VYBER	1040	26875	\N	\N	\N
419482	1422	1994-10-25	VYDAJ	VYBER	2080	24795	\N	\N	\N
419483	1422	1994-12-06	VYDAJ	VYBER	2000	22388	\N	\N	\N
419484	1422	1994-11-09	VYDAJ	VYBER	2480	27952	\N	\N	\N
419485	1422	1994-06-22	VYDAJ	VYBER	1440	15172	\N	\N	\N
419486	1422	1994-12-16	VYDAJ	VYBER	800	24775	\N	\N	\N
419487	1422	1995-09-09	VYDAJ	VYBER	480	27289	\N	\N	\N
419488	1422	1995-02-26	VYDAJ	VYBER	1520	17354	\N	\N	\N
419489	1422	1995-08-19	VYDAJ	VYBER	2560	22846	\N	\N	\N
419490	1422	1995-05-11	VYDAJ	VYBER	560	24636	\N	\N	\N
419491	1422	1995-04-17	VYDAJ	VYBER	1920	21933	\N	\N	\N
419492	1422	1996-02-18	VYDAJ	VYBER	2640	15737	\N	\N	\N
419493	1422	1996-07-09	VYDAJ	VYBER	1680	24591	\N	\N	\N
419494	1422	1996-02-01	VYDAJ	VYBER	3760	15190	\N	\N	\N
419495	1422	1996-07-30	VYDAJ	VYBER	2000	16536	\N	\N	\N
419497	1422	1997-11-29	VYDAJ	VYBER	1520	29109	\N	\N	\N
419498	1422	1997-03-11	VYDAJ	VYBER	3840	18112	\N	\N	\N
419499	1422	1997-09-19	VYDAJ	VYBER	2240	24864	\N	\N	\N
419500	1422	1997-02-13	VYDAJ	VYBER	3520	16058	\N	\N	\N
419502	1422	1998-05-26	VYDAJ	VYBER	1440	31553	\N	\N	\N
419503	1422	1998-04-25	VYDAJ	VYBER	2000	29697	\N	\N	\N
419504	1422	1998-12-18	VYDAJ	VYBER	1680	39236	\N	\N	\N
419505	1422	1998-03-31	VYDAJ	VYBER	2400	28524	\N	\N	\N
419515	1422	1993-09-30	VYDAJ	VYBER	15	26526	SLUZBY	\N	\N
419516	1422	1993-10-31	VYDAJ	VYBER	15	25910	SLUZBY	\N	\N
419517	1422	1993-11-30	VYDAJ	VYBER	15	25375	SLUZBY	\N	\N
419518	1422	1993-12-31	VYDAJ	VYBER	15	23412	SLUZBY	\N	\N
419519	1422	1994-01-31	VYDAJ	VYBER	15	12609	SLUZBY	\N	\N
419520	1422	1994-02-28	VYDAJ	VYBER	15	15842	SLUZBY	\N	\N
419521	1422	1994-03-31	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
419522	1422	1994-04-30	VYDAJ	VYBER	15	22350	SLUZBY	\N	\N
419523	1422	1994-05-31	VYDAJ	VYBER	15	25625	SLUZBY	\N	\N
419524	1422	1994-06-30	VYDAJ	VYBER	15	15253	SLUZBY	\N	\N
419525	1422	1994-07-31	VYDAJ	VYBER	15	18498	SLUZBY	\N	\N
419526	1422	1994-08-31	VYDAJ	VYBER	15	21756	SLUZBY	\N	\N
419527	1422	1994-09-30	VYDAJ	VYBER	15	25028	SLUZBY	\N	\N
419528	1422	1994-10-31	VYDAJ	VYBER	15	24890	SLUZBY	\N	\N
419529	1422	1994-11-30	VYDAJ	VYBER	15	25388	SLUZBY	\N	\N
419530	1422	1994-12-31	VYDAJ	VYBER	15	23265	SLUZBY	\N	\N
419531	1422	1995-01-31	VYDAJ	VYBER	15	15687	SLUZBY	\N	\N
419532	1422	1995-02-28	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
419533	1422	1995-03-31	VYDAJ	VYBER	15	20666	SLUZBY	\N	\N
419534	1422	1995-04-30	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
419535	1422	1995-05-31	VYDAJ	VYBER	15	24720	SLUZBY	\N	\N
419536	1422	1995-06-30	VYDAJ	VYBER	15	22247	SLUZBY	\N	\N
419537	1422	1995-07-31	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
419538	1422	1995-08-31	VYDAJ	VYBER	15	21927	SLUZBY	\N	\N
419539	1422	1995-09-30	VYDAJ	VYBER	15	23819	SLUZBY	\N	\N
419540	1422	1995-10-31	VYDAJ	VYBER	15	26599	SLUZBY	\N	\N
419541	1422	1995-11-30	VYDAJ	VYBER	15	27989	SLUZBY	\N	\N
419542	1422	1995-12-31	VYDAJ	VYBER	15	27982	SLUZBY	\N	\N
419543	1422	1996-01-31	VYDAJ	VYBER	15	18950	SLUZBY	\N	\N
419544	1422	1996-02-29	VYDAJ	VYBER	15	15796	SLUZBY	\N	\N
419545	1422	1996-03-31	VYDAJ	VYBER	15	19042	SLUZBY	\N	\N
419546	1422	1996-04-30	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
419547	1422	1996-05-31	VYDAJ	VYBER	15	21963	SLUZBY	\N	\N
419548	1422	1996-06-30	VYDAJ	VYBER	15	20429	SLUZBY	\N	\N
419549	1422	1996-07-31	VYDAJ	VYBER	15	16605	SLUZBY	\N	\N
419550	1422	1996-08-31	VYDAJ	VYBER	15	19655	SLUZBY	\N	\N
419551	1422	1996-09-30	VYDAJ	VYBER	15	22516	SLUZBY	\N	\N
419552	1422	1996-10-31	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
419553	1422	1996-11-30	VYDAJ	VYBER	15	29078	SLUZBY	\N	\N
419554	1422	1996-12-31	VYDAJ	VYBER	15	25369	SLUZBY	\N	\N
419555	1422	1997-01-31	VYDAJ	VYBER	15	16391	SLUZBY	\N	\N
419556	1422	1997-02-28	VYDAJ	VYBER	15	16110	SLUZBY	\N	\N
419557	1422	1997-03-31	VYDAJ	VYBER	15	15507	SLUZBY	\N	\N
419558	1422	1997-04-30	VYDAJ	VYBER	15	18751	SLUZBY	\N	\N
419559	1422	1997-05-31	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
419560	1422	1997-06-30	VYDAJ	VYBER	15	21070	SLUZBY	\N	\N
419561	1422	1997-07-31	VYDAJ	VYBER	15	24337	SLUZBY	\N	\N
419562	1422	1997-08-31	VYDAJ	VYBER	15	26917	SLUZBY	\N	\N
419563	1422	1997-09-30	VYDAJ	VYBER	15	24958	SLUZBY	\N	\N
419564	1422	1997-10-31	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
419565	1422	1997-11-30	VYDAJ	VYBER	15	29217	SLUZBY	\N	\N
419566	1422	1997-12-31	VYDAJ	VYBER	15	32117	SLUZBY	\N	\N
419567	1422	1998-01-31	VYDAJ	VYBER	15	24335	SLUZBY	\N	\N
419568	1422	1998-02-28	VYDAJ	VYBER	15	27616	SLUZBY	\N	\N
419569	1422	1998-03-31	VYDAJ	VYBER	15	28510	SLUZBY	\N	\N
419570	1422	1998-04-30	VYDAJ	VYBER	15	29806	SLUZBY	\N	\N
419571	1422	1998-05-31	VYDAJ	VYBER	15	31668	SLUZBY	\N	\N
419572	1422	1998-06-30	VYDAJ	VYBER	15	29714	SLUZBY	\N	\N
419573	1422	1998-07-31	VYDAJ	VYBER	15	32716	SLUZBY	\N	\N
419574	1422	1998-08-31	VYDAJ	VYBER	15	36031	SLUZBY	\N	\N
419575	1422	1998-09-30	VYDAJ	VYBER	15	38258	SLUZBY	\N	\N
419576	1422	1998-10-31	VYDAJ	VYBER	15	39591	SLUZBY	\N	\N
419577	1422	1998-11-30	VYDAJ	VYBER	15	40829	SLUZBY	\N	\N
419578	1422	1993-09-06	VYDAJ	VYBER	500	23268	\N	\N	\N
419579	1422	1993-10-06	VYDAJ	VYBER	300	26226	\N	\N	\N
419580	1422	1993-11-05	VYDAJ	VYBER	1100	24810	\N	\N	\N
419581	1422	1993-12-05	VYDAJ	VYBER	1300	23175	\N	\N	\N
419582	1422	1994-06-03	VYDAJ	VYBER	1200	24425	\N	\N	\N
419583	1422	1994-10-01	VYDAJ	VYBER	300	24728	\N	\N	\N
419584	1422	1994-10-31	VYDAJ	VYBER	300	24590	\N	\N	\N
419585	1422	1994-12-30	VYDAJ	VYBER	1600	23175	\N	\N	\N
419586	1422	1995-06-28	VYDAJ	VYBER	3100	22157	\N	\N	\N
419587	1422	1995-07-28	VYDAJ	VYBER	3300	22134	\N	\N	\N
419588	1422	1995-08-27	VYDAJ	VYBER	1000	21846	\N	\N	\N
419589	1422	1995-09-26	VYDAJ	VYBER	900	23734	\N	\N	\N
419590	1422	1995-10-26	VYDAJ	VYBER	500	26506	\N	\N	\N
419591	1422	1995-11-25	VYDAJ	VYBER	1900	27886	\N	\N	\N
419592	1422	1995-12-25	VYDAJ	VYBER	2300	27876	\N	\N	\N
419593	1422	1996-01-24	VYDAJ	VYBER	1900	22949	\N	\N	\N
419594	1422	1996-04-23	VYDAJ	VYBER	2200	20029	\N	\N	\N
419595	1422	1996-05-23	VYDAJ	VYBER	1400	21887	\N	\N	\N
419596	1422	1996-06-22	VYDAJ	VYBER	4800	20350	\N	\N	\N
419597	1422	1996-07-22	VYDAJ	VYBER	3400	18536	\N	\N	\N
419598	1422	1996-08-21	VYDAJ	VYBER	200	19592	\N	\N	\N
419599	1422	1996-09-20	VYDAJ	VYBER	400	22442	\N	\N	\N
419600	1422	1996-12-19	VYDAJ	VYBER	6600	25265	\N	\N	\N
419601	1422	1997-08-16	VYDAJ	VYBER	700	26824	\N	\N	\N
419602	1422	1997-09-15	VYDAJ	VYBER	3000	27104	\N	\N	\N
419603	1422	1997-11-14	VYDAJ	VYBER	800	30629	\N	\N	\N
419604	1422	1998-07-12	VYDAJ	VYBER	300	32601	\N	\N	\N
419605	1422	1998-09-10	VYDAJ	VYBER	1100	40773	\N	\N	\N
419606	1422	1998-10-10	VYDAJ	VYBER	2000	42100	\N	\N	\N
419607	1422	1998-11-09	VYDAJ	VYBER	2100	43333	\N	\N	\N
419608	1422	1998-12-09	VYDAJ	VYBER	3100	43571	\N	\N	\N
419673	1423	1995-09-08	PRIJEM	VKLAD	900	900	\N	\N	\N
419683	1423	1995-10-08	PRIJEM	VKLAD	5411	13411	\N	\N	\N
419684	1423	1995-11-08	PRIJEM	VKLAD	5411	22748	\N	\N	\N
419685	1423	1995-12-08	PRIJEM	VKLAD	8116	29044	\N	\N	\N
419686	1423	1996-01-08	PRIJEM	VKLAD	5411	32371	\N	\N	\N
419687	1423	1996-02-08	PRIJEM	VKLAD	5411	37013	\N	\N	\N
419688	1423	1996-03-08	PRIJEM	VKLAD	5411	32666	\N	\N	\N
419689	1423	1996-04-08	PRIJEM	VKLAD	5411	27500	\N	\N	\N
419690	1423	1996-05-08	PRIJEM	VKLAD	5411	26416	\N	\N	\N
419691	1423	1996-06-08	PRIJEM	VKLAD	8116	25912	\N	\N	\N
419692	1423	1996-07-08	PRIJEM	VKLAD	5411	22618	\N	\N	\N
419693	1423	1996-08-08	PRIJEM	VKLAD	5411	21592	\N	\N	\N
419694	1423	1996-09-08	PRIJEM	VKLAD	5411	19763	\N	\N	\N
419695	1423	1996-10-08	PRIJEM	VKLAD	5411	20226	\N	\N	\N
419696	1423	1996-11-08	PRIJEM	VKLAD	5411	20890	\N	\N	\N
419697	1423	1996-12-08	PRIJEM	VKLAD	8116	23260	\N	\N	\N
419698	1423	1997-01-08	PRIJEM	VKLAD	5411	20854	\N	\N	\N
419699	1423	1997-02-08	PRIJEM	VKLAD	5411	21822	\N	\N	\N
419700	1423	1997-03-08	PRIJEM	VKLAD	5411	16493	\N	\N	\N
419701	1423	1997-04-08	PRIJEM	VKLAD	5411	18345	\N	\N	\N
419702	1423	1997-05-08	PRIJEM	VKLAD	5411	20200	\N	\N	\N
419703	1423	1997-06-08	PRIJEM	VKLAD	8116	24769	\N	\N	\N
419704	1423	1997-07-08	PRIJEM	VKLAD	5411	15681	\N	\N	\N
419705	1423	1997-08-08	PRIJEM	VKLAD	5411	17526	\N	\N	\N
419706	1423	1997-09-08	PRIJEM	VKLAD	5411	19378	\N	\N	\N
419707	1423	1997-10-08	PRIJEM	VKLAD	5411	17877	\N	\N	\N
419708	1423	1997-11-08	PRIJEM	VKLAD	5411	19731	\N	\N	\N
419709	1423	1997-12-08	PRIJEM	VKLAD	8116	19494	\N	\N	\N
419710	1423	1998-01-08	PRIJEM	VKLAD	5411	17829	\N	\N	\N
419711	1423	1998-02-08	PRIJEM	VKLAD	5411	16880	\N	\N	\N
419712	1423	1998-03-08	PRIJEM	VKLAD	5411	17328	\N	\N	\N
419713	1423	1998-04-08	PRIJEM	VKLAD	5411	18220	\N	\N	\N
419714	1423	1998-05-08	PRIJEM	VKLAD	5411	15672	\N	\N	\N
419715	1423	1998-06-08	PRIJEM	VKLAD	8116	20021	\N	\N	\N
419716	1423	1998-07-08	PRIJEM	VKLAD	5411	18277	\N	\N	\N
419717	1423	1998-08-08	PRIJEM	VKLAD	5411	16565	\N	\N	\N
419718	1423	1998-09-08	PRIJEM	VKLAD	5411	18413	\N	\N	\N
419719	1423	1998-10-08	PRIJEM	VKLAD	5411	17365	\N	\N	\N
419720	1423	1998-11-08	PRIJEM	VKLAD	5411	19216	\N	\N	\N
419721	1423	1998-12-08	PRIJEM	VKLAD	8116	18273	\N	\N	\N
419735	1423	1996-02-14	VYDAJ	PREVOD NA UCET	2394	34619	SIPO	WX	64437407
419736	1423	1996-03-14	VYDAJ	PREVOD NA UCET	2394	30272	SIPO	WX	64437407
419737	1423	1996-04-14	VYDAJ	PREVOD NA UCET	2394	25106	SIPO	WX	64437407
419738	1423	1996-05-14	VYDAJ	PREVOD NA UCET	2394	24022	SIPO	WX	64437407
419739	1423	1996-06-14	VYDAJ	PREVOD NA UCET	2394	23518	SIPO	WX	64437407
419740	1423	1996-07-14	VYDAJ	PREVOD NA UCET	2394	20224	SIPO	WX	64437407
419741	1423	1996-08-14	VYDAJ	PREVOD NA UCET	2394	19198	SIPO	WX	64437407
419742	1423	1996-09-14	VYDAJ	PREVOD NA UCET	2394	17369	SIPO	WX	64437407
419743	1423	1996-10-14	VYDAJ	PREVOD NA UCET	2394	17832	SIPO	WX	64437407
419744	1423	1996-11-14	VYDAJ	PREVOD NA UCET	2394	17896	SIPO	WX	64437407
419745	1423	1996-12-14	VYDAJ	PREVOD NA UCET	2394	20866	SIPO	WX	64437407
419746	1423	1997-01-14	VYDAJ	PREVOD NA UCET	2394	18460	SIPO	WX	64437407
419747	1423	1997-02-14	VYDAJ	PREVOD NA UCET	2394	19428	SIPO	WX	64437407
419748	1423	1997-03-14	VYDAJ	PREVOD NA UCET	2394	14099	SIPO	WX	64437407
419749	1423	1997-04-14	VYDAJ	PREVOD NA UCET	2394	15951	SIPO	WX	64437407
419750	1423	1997-05-14	VYDAJ	PREVOD NA UCET	2394	17806	SIPO	WX	64437407
419751	1423	1997-06-14	VYDAJ	PREVOD NA UCET	2394	22375	SIPO	WX	64437407
419752	1423	1997-07-14	VYDAJ	PREVOD NA UCET	2394	13287	SIPO	WX	64437407
419753	1423	1997-08-14	VYDAJ	PREVOD NA UCET	2394	15132	SIPO	WX	64437407
419754	1423	1997-09-14	VYDAJ	PREVOD NA UCET	2394	16984	SIPO	WX	64437407
419755	1423	1997-10-14	VYDAJ	PREVOD NA UCET	2394	15483	SIPO	WX	64437407
419756	1423	1997-11-14	VYDAJ	PREVOD NA UCET	2394	17337	SIPO	WX	64437407
419757	1423	1997-12-14	VYDAJ	PREVOD NA UCET	2394	17100	SIPO	WX	64437407
419758	1423	1998-01-14	VYDAJ	PREVOD NA UCET	2394	15435	SIPO	WX	64437407
419759	1423	1998-02-14	VYDAJ	PREVOD NA UCET	2394	14486	SIPO	WX	64437407
419760	1423	1998-03-14	VYDAJ	PREVOD NA UCET	2394	14934	SIPO	WX	64437407
419761	1423	1998-04-14	VYDAJ	PREVOD NA UCET	2394	15826	SIPO	WX	64437407
419762	1423	1998-05-14	VYDAJ	PREVOD NA UCET	2394	13278	SIPO	WX	64437407
419763	1423	1998-06-14	VYDAJ	PREVOD NA UCET	2394	17627	SIPO	WX	64437407
419764	1423	1998-07-14	VYDAJ	PREVOD NA UCET	2394	13723	SIPO	WX	64437407
419765	1423	1998-08-14	VYDAJ	PREVOD NA UCET	2394	14171	SIPO	WX	64437407
419766	1423	1998-09-14	VYDAJ	PREVOD NA UCET	2394	16019	SIPO	WX	64437407
419767	1423	1998-10-14	VYDAJ	PREVOD NA UCET	2394	14971	SIPO	WX	64437407
419768	1423	1998-11-14	VYDAJ	PREVOD NA UCET	2394	16822	SIPO	WX	64437407
419769	1423	1998-12-14	VYDAJ	PREVOD NA UCET	2394	15879	SIPO	WX	64437407
419784	1423	1996-03-05	VYDAJ	PREVOD NA UCET	1213	32455	 	IJ	50862812
419785	1423	1996-04-05	VYDAJ	PREVOD NA UCET	1213	22089	 	IJ	50862812
419786	1423	1996-05-05	VYDAJ	PREVOD NA UCET	1213	21005	 	IJ	50862812
419787	1423	1996-06-05	VYDAJ	PREVOD NA UCET	1213	21396	 	IJ	50862812
419788	1423	1996-07-05	VYDAJ	PREVOD NA UCET	1213	17207	 	IJ	50862812
419789	1423	1996-08-05	VYDAJ	PREVOD NA UCET	1213	16181	 	IJ	50862812
419790	1423	1996-09-05	VYDAJ	PREVOD NA UCET	1213	14352	 	IJ	50862812
419791	1423	1996-10-05	VYDAJ	PREVOD NA UCET	1213	14815	 	IJ	50862812
419792	1423	1996-11-05	VYDAJ	PREVOD NA UCET	1213	15479	 	IJ	50862812
419793	1423	1996-12-05	VYDAJ	PREVOD NA UCET	1213	15144	 	IJ	50862812
419794	1423	1997-01-05	VYDAJ	PREVOD NA UCET	1213	15443	 	IJ	50862812
419795	1423	1997-02-05	VYDAJ	PREVOD NA UCET	1213	16411	 	IJ	50862812
419796	1423	1997-03-05	VYDAJ	PREVOD NA UCET	1213	11082	 	IJ	50862812
419797	1423	1997-04-05	VYDAJ	PREVOD NA UCET	1213	12934	 	IJ	50862812
419798	1423	1997-05-05	VYDAJ	PREVOD NA UCET	1213	14789	 	IJ	50862812
419799	1423	1997-06-05	VYDAJ	PREVOD NA UCET	1213	16653	 	IJ	50862812
419800	1423	1997-07-05	VYDAJ	PREVOD NA UCET	1213	10270	 	IJ	50862812
419801	1423	1997-08-05	VYDAJ	PREVOD NA UCET	1213	12115	 	IJ	50862812
419802	1423	1997-09-05	VYDAJ	PREVOD NA UCET	1213	13967	 	IJ	50862812
419803	1423	1997-10-05	VYDAJ	PREVOD NA UCET	1213	12466	 	IJ	50862812
419804	1423	1997-11-05	VYDAJ	PREVOD NA UCET	1213	14320	 	IJ	50862812
419805	1423	1997-12-05	VYDAJ	PREVOD NA UCET	1213	11378	 	IJ	50862812
419806	1423	1998-01-05	VYDAJ	PREVOD NA UCET	1213	12418	 	IJ	50862812
419807	1423	1998-02-05	VYDAJ	PREVOD NA UCET	1213	11469	 	IJ	50862812
419808	1423	1998-03-05	VYDAJ	PREVOD NA UCET	1213	11917	 	IJ	50862812
419809	1423	1998-04-05	VYDAJ	PREVOD NA UCET	1213	12809	 	IJ	50862812
419810	1423	1998-05-05	VYDAJ	PREVOD NA UCET	1213	10261	 	IJ	50862812
419811	1423	1998-06-05	VYDAJ	PREVOD NA UCET	1213	11905	 	IJ	50862812
419812	1423	1998-07-05	VYDAJ	PREVOD NA UCET	1213	12866	 	IJ	50862812
419813	1423	1998-08-05	VYDAJ	PREVOD NA UCET	1213	11154	 	IJ	50862812
419814	1423	1998-09-05	VYDAJ	PREVOD NA UCET	1213	13002	 	IJ	50862812
419815	1423	1998-10-05	VYDAJ	PREVOD NA UCET	1213	11954	 	IJ	50862812
419816	1423	1998-11-05	VYDAJ	PREVOD NA UCET	1213	13805	 	IJ	50862812
419817	1423	1998-12-05	VYDAJ	PREVOD NA UCET	1213	10157	 	IJ	50862812
419823	1423	1996-12-30	VYDAJ	VYBER	2080	18786	\N	\N	\N
419824	1423	1997-12-24	VYDAJ	VYBER	1920	15180	\N	\N	\N
419830	1423	1996-03-26	VYDAJ	VYBER	5280	24992	\N	\N	\N
419831	1423	1996-11-10	VYDAJ	VYBER	600	20290	\N	\N	\N
419832	1423	1996-06-29	VYDAJ	VYBER	5280	18238	\N	\N	\N
419833	1423	1996-02-21	VYDAJ	VYBER	1080	33539	\N	\N	\N
419834	1423	1996-05-04	VYDAJ	VYBER	3480	21718	\N	\N	\N
419835	1423	1996-06-06	VYDAJ	VYBER	3600	17796	\N	\N	\N
419837	1423	1997-06-22	VYDAJ	VYBER	5160	17215	\N	\N	\N
419838	1423	1997-09-29	VYDAJ	VYBER	3360	13624	\N	\N	\N
419841	1423	1998-04-03	VYDAJ	VYBER	1560	14022	\N	\N	\N
419844	1423	1998-07-13	VYDAJ	VYBER	2160	16117	\N	\N	\N
419859	1423	1996-02-29	VYDAJ	VYBER	15	33668	SLUZBY	\N	\N
419860	1423	1996-03-31	VYDAJ	VYBER	15	25102	SLUZBY	\N	\N
419861	1423	1996-04-30	VYDAJ	VYBER	15	25198	SLUZBY	\N	\N
419862	1423	1996-05-31	VYDAJ	VYBER	15	24109	SLUZBY	\N	\N
419863	1423	1996-06-30	VYDAJ	VYBER	15	18320	SLUZBY	\N	\N
419864	1423	1996-07-31	VYDAJ	VYBER	15	20294	SLUZBY	\N	\N
419865	1423	1996-08-31	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
419866	1423	1996-09-30	VYDAJ	VYBER	15	17428	SLUZBY	\N	\N
419867	1423	1996-10-31	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
419868	1423	1996-11-30	VYDAJ	VYBER	15	17957	SLUZBY	\N	\N
419869	1423	1996-12-31	VYDAJ	VYBER	15	18856	SLUZBY	\N	\N
419870	1423	1997-01-31	VYDAJ	VYBER	15	17624	SLUZBY	\N	\N
419871	1423	1997-02-28	VYDAJ	VYBER	15	19495	SLUZBY	\N	\N
419872	1423	1997-03-31	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
419873	1423	1997-04-30	VYDAJ	VYBER	15	16002	SLUZBY	\N	\N
419874	1423	1997-05-31	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
419875	1423	1997-06-30	VYDAJ	VYBER	15	11483	SLUZBY	\N	\N
419876	1423	1997-07-31	VYDAJ	VYBER	15	13328	SLUZBY	\N	\N
419877	1423	1997-08-31	VYDAJ	VYBER	15	15180	SLUZBY	\N	\N
419878	1423	1997-09-30	VYDAJ	VYBER	15	13679	SLUZBY	\N	\N
419879	1423	1997-10-31	VYDAJ	VYBER	15	15533	SLUZBY	\N	\N
419880	1423	1997-11-30	VYDAJ	VYBER	15	12591	SLUZBY	\N	\N
419881	1423	1997-12-31	VYDAJ	VYBER	15	13631	SLUZBY	\N	\N
419882	1423	1998-01-31	VYDAJ	VYBER	15	12682	SLUZBY	\N	\N
419883	1423	1998-02-28	VYDAJ	VYBER	15	13130	SLUZBY	\N	\N
419884	1423	1998-03-31	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
419885	1423	1998-04-30	VYDAJ	VYBER	15	11474	SLUZBY	\N	\N
419886	1423	1998-05-31	VYDAJ	VYBER	15	13118	SLUZBY	\N	\N
419887	1423	1998-06-30	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
419888	1423	1998-07-31	VYDAJ	VYBER	15	12367	SLUZBY	\N	\N
419889	1423	1998-08-31	VYDAJ	VYBER	15	14215	SLUZBY	\N	\N
419890	1423	1998-09-30	VYDAJ	VYBER	15	13167	SLUZBY	\N	\N
419891	1423	1998-10-31	VYDAJ	VYBER	15	15018	SLUZBY	\N	\N
419892	1423	1998-11-30	VYDAJ	VYBER	15	11370	SLUZBY	\N	\N
419893	1423	1995-10-08	PRIJEM	VKLAD	7100	8000	\N	\N	\N
419894	1423	1995-11-07	PRIJEM	VKLAD	3900	17337	\N	\N	\N
419895	1423	1995-12-07	VYDAJ	VYBER	1900	20928	\N	\N	\N
419896	1423	1996-01-06	VYDAJ	VYBER	2200	26960	\N	\N	\N
419897	1423	1996-02-05	VYDAJ	VYBER	900	31602	\N	\N	\N
419898	1423	1996-03-06	VYDAJ	VYBER	5200	27255	\N	\N	\N
419899	1423	1996-04-05	VYDAJ	VYBER	1800	23302	\N	\N	\N
419900	1423	1996-05-05	PRIJEM	VKLAD	500	22218	\N	\N	\N
419901	1423	1996-06-04	VYDAJ	VYBER	1500	22609	\N	\N	\N
419902	1423	1996-07-04	PRIJEM	VKLAD	100	18420	\N	\N	\N
419903	1423	1996-08-03	VYDAJ	VYBER	2900	17394	\N	\N	\N
419904	1423	1996-09-02	VYDAJ	VYBER	3700	15565	\N	\N	\N
419905	1423	1996-10-02	VYDAJ	VYBER	1400	16028	\N	\N	\N
419906	1423	1996-11-01	VYDAJ	VYBER	1200	16692	\N	\N	\N
419907	1423	1996-12-01	VYDAJ	VYBER	1600	16357	\N	\N	\N
419908	1423	1996-12-31	VYDAJ	VYBER	2200	16656	\N	\N	\N
419909	1423	1997-01-30	VYDAJ	VYBER	900	17560	\N	\N	\N
419910	1423	1997-03-01	VYDAJ	VYBER	7200	12295	\N	\N	\N
419911	1423	1997-06-29	VYDAJ	VYBER	5800	11415	\N	\N	\N
419912	1423	1997-11-26	VYDAJ	VYBER	4800	12537	\N	\N	\N
419913	1423	1997-12-26	VYDAJ	VYBER	1600	13580	\N	\N	\N
419914	1423	1998-01-25	VYDAJ	VYBER	2800	12635	\N	\N	\N
419915	1423	1998-02-24	VYDAJ	VYBER	1400	13086	\N	\N	\N
419916	1423	1998-03-26	PRIJEM	VKLAD	600	15534	\N	\N	\N
419917	1423	1998-04-25	VYDAJ	VYBER	4400	11426	\N	\N	\N
419918	1423	1998-05-25	VYDAJ	VYBER	200	13078	\N	\N	\N
419919	1423	1998-06-24	VYDAJ	VYBER	3600	14027	\N	\N	\N
419920	1423	1998-07-24	VYDAJ	VYBER	1400	12323	\N	\N	\N
419921	1423	1998-09-22	VYDAJ	VYBER	2900	13119	\N	\N	\N
419922	1423	1998-11-21	VYDAJ	VYBER	5500	11322	\N	\N	\N
419923	1423	1998-12-21	VYDAJ	VYBER	1600	14279	\N	\N	\N
419963	1424	1997-05-20	PRIJEM	VKLAD	600	600	\N	\N	\N
419969	1424	1997-06-11	PRIJEM	VKLAD	26313	26913	\N	\N	\N
419970	1424	1997-07-11	PRIJEM	VKLAD	17542	44600	\N	\N	\N
419971	1424	1997-08-11	PRIJEM	VKLAD	17542	55874	\N	\N	\N
419972	1424	1997-09-11	PRIJEM	VKLAD	17542	57078	\N	\N	\N
419973	1424	1997-10-11	PRIJEM	VKLAD	17542	57384	\N	\N	\N
419974	1424	1997-11-11	PRIJEM	VKLAD	17542	46067	\N	\N	\N
419975	1424	1997-12-11	PRIJEM	VKLAD	26313	52170	\N	\N	\N
419976	1424	1998-01-11	PRIJEM	VKLAD	17542	45181	\N	\N	\N
419977	1424	1998-02-11	PRIJEM	VKLAD	17542	33314	\N	\N	\N
419978	1424	1998-03-11	PRIJEM	VKLAD	17542	36092	\N	\N	\N
419979	1424	1998-04-11	PRIJEM	VKLAD	17542	34576	\N	\N	\N
419980	1424	1998-05-11	PRIJEM	VKLAD	17542	32634	\N	\N	\N
419981	1424	1998-06-11	PRIJEM	VKLAD	26313	37667	\N	\N	\N
419982	1424	1998-07-11	PRIJEM	VKLAD	17542	32632	\N	\N	\N
419983	1424	1998-08-11	PRIJEM	VKLAD	17542	35708	\N	\N	\N
419984	1424	1998-09-11	PRIJEM	VKLAD	17542	32681	\N	\N	\N
419985	1424	1998-10-11	PRIJEM	VKLAD	17542	32963	\N	\N	\N
419986	1424	1998-11-11	PRIJEM	VKLAD	17542	34557	\N	\N	\N
419987	1424	1998-12-11	PRIJEM	VKLAD	26313	39610	\N	\N	\N
419997	1424	1997-10-12	VYDAJ	PREVOD NA UCET	6224	51160	SIPO	YZ	45458507
419998	1424	1997-11-12	VYDAJ	PREVOD NA UCET	6224	39843	SIPO	YZ	45458507
419999	1424	1997-12-12	VYDAJ	PREVOD NA UCET	6224	45946	SIPO	YZ	45458507
420000	1424	1998-01-12	VYDAJ	PREVOD NA UCET	6224	38957	SIPO	YZ	45458507
420001	1424	1998-02-12	VYDAJ	PREVOD NA UCET	6224	27090	SIPO	YZ	45458507
420002	1424	1998-03-12	VYDAJ	PREVOD NA UCET	6224	29868	SIPO	YZ	45458507
420003	1424	1998-04-12	VYDAJ	PREVOD NA UCET	6224	28352	SIPO	YZ	45458507
420004	1424	1998-05-12	VYDAJ	PREVOD NA UCET	6224	26410	SIPO	YZ	45458507
420005	1424	1998-06-12	VYDAJ	PREVOD NA UCET	6224	31443	SIPO	YZ	45458507
420006	1424	1998-07-12	VYDAJ	PREVOD NA UCET	6224	26408	SIPO	YZ	45458507
420007	1424	1998-08-12	VYDAJ	PREVOD NA UCET	6224	29484	SIPO	YZ	45458507
420008	1424	1998-09-12	VYDAJ	PREVOD NA UCET	6224	15357	SIPO	YZ	45458507
420009	1424	1998-10-12	VYDAJ	PREVOD NA UCET	6224	19339	SIPO	YZ	45458507
420010	1424	1998-11-12	VYDAJ	PREVOD NA UCET	6224	18033	SIPO	YZ	45458507
420011	1424	1998-12-12	VYDAJ	PREVOD NA UCET	6224	24886	SIPO	YZ	45458507
420015	1424	1998-01-04	VYDAJ	VYBER	2400	27639	\N	\N	\N
420016	1424	1997-12-20	VYDAJ	VYBER	1120	29926	\N	\N	\N
420017	1424	1998-12-28	VYDAJ	VYBER	3520	21366	\N	\N	\N
420024	1424	1998-01-29	VYDAJ	VYBER	1200	16637	\N	\N	\N
420025	1424	1998-01-27	VYDAJ	VYBER	1680	17837	\N	\N	\N
420026	1424	1998-01-24	VYDAJ	VYBER	1560	19517	\N	\N	\N
420027	1424	1998-01-14	VYDAJ	VYBER	2400	36557	\N	\N	\N
420028	1424	1998-01-29	VYDAJ	VYBER	960	15677	\N	\N	\N
420029	1424	1998-01-15	VYDAJ	VYBER	2280	21077	\N	\N	\N
420030	1424	1997-11-07	VYDAJ	VYBER	4680	28525	\N	\N	\N
420032	1424	1997-12-14	VYDAJ	VYBER	600	45346	\N	\N	\N
420035	1424	1998-04-24	VYDAJ	VYBER	3120	15032	\N	\N	\N
420036	1424	1998-12-06	VYDAJ	VYBER	4800	13297	\N	\N	\N
420039	1424	1998-11-03	VYDAJ	VYBER	2400	17015	\N	\N	\N
420050	1424	1997-10-31	VYDAJ	VYBER	15	33205	SLUZBY	\N	\N
420051	1424	1997-11-30	VYDAJ	VYBER	15	25857	SLUZBY	\N	\N
420052	1424	1997-12-31	VYDAJ	VYBER	15	30039	SLUZBY	\N	\N
420053	1424	1998-01-31	VYDAJ	VYBER	15	15772	SLUZBY	\N	\N
420054	1424	1998-02-28	VYDAJ	VYBER	15	18550	SLUZBY	\N	\N
420055	1424	1998-03-31	VYDAJ	VYBER	15	17034	SLUZBY	\N	\N
420056	1424	1998-04-30	VYDAJ	VYBER	15	15092	SLUZBY	\N	\N
420057	1424	1998-05-31	VYDAJ	VYBER	15	11354	SLUZBY	\N	\N
420058	1424	1998-06-30	VYDAJ	VYBER	15	15090	SLUZBY	\N	\N
420059	1424	1998-07-31	VYDAJ	VYBER	15	18166	SLUZBY	\N	\N
420060	1424	1998-08-31	VYDAJ	VYBER	15	15139	SLUZBY	\N	\N
420061	1424	1998-09-30	VYDAJ	VYBER	15	15421	SLUZBY	\N	\N
420062	1424	1998-10-31	VYDAJ	VYBER	15	19415	SLUZBY	\N	\N
420063	1424	1998-11-30	VYDAJ	VYBER	15	18097	SLUZBY	\N	\N
420064	1424	1997-06-19	PRIJEM	VKLAD	100	27013	\N	\N	\N
420065	1424	1997-07-19	VYDAJ	VYBER	6400	38200	\N	\N	\N
420066	1424	1997-08-18	VYDAJ	VYBER	16500	39374	\N	\N	\N
420067	1424	1997-09-17	VYDAJ	VYBER	17400	39678	\N	\N	\N
420068	1424	1997-10-17	VYDAJ	VYBER	18100	33060	\N	\N	\N
420069	1424	1997-11-16	VYDAJ	VYBER	14100	25743	\N	\N	\N
420070	1424	1997-12-16	VYDAJ	VYBER	14300	31046	\N	\N	\N
420071	1424	1998-01-15	VYDAJ	VYBER	13200	23357	\N	\N	\N
420072	1424	1998-02-14	VYDAJ	VYBER	8600	18490	\N	\N	\N
420073	1424	1998-03-16	VYDAJ	VYBER	12900	16968	\N	\N	\N
420074	1424	1998-04-15	VYDAJ	VYBER	10200	18152	\N	\N	\N
420075	1424	1998-05-15	VYDAJ	VYBER	15100	11310	\N	\N	\N
420076	1424	1998-06-14	VYDAJ	VYBER	16400	15043	\N	\N	\N
420077	1424	1998-07-14	VYDAJ	VYBER	8300	18108	\N	\N	\N
420078	1424	1998-08-13	VYDAJ	VYBER	14400	15084	\N	\N	\N
420079	1424	1998-09-12	VYDAJ	VYBER	11100	21581	\N	\N	\N
420080	1424	1998-10-12	VYDAJ	VYBER	7400	25563	\N	\N	\N
420081	1424	1998-11-11	VYDAJ	VYBER	10300	24257	\N	\N	\N
420082	1424	1998-12-11	VYDAJ	VYBER	8500	31110	\N	\N	\N
420102	1425	1993-07-06	PRIJEM	VKLAD	900	900	\N	\N	\N
420109	1425	1993-07-07	PRIJEM	VKLAD	6104	7004	\N	\N	\N
420110	1425	1993-08-07	PRIJEM	VKLAD	6104	22032	\N	\N	\N
420111	1425	1993-09-07	PRIJEM	VKLAD	6104	28515	\N	\N	\N
420112	1425	1993-10-07	PRIJEM	VKLAD	6104	31533	\N	\N	\N
420113	1425	1993-11-07	PRIJEM	VKLAD	6104	33966	\N	\N	\N
420114	1425	1993-12-07	PRIJEM	VKLAD	9156	34067	\N	\N	\N
420115	1425	1994-01-07	PRIJEM	VKLAD	6104	30110	\N	\N	\N
420116	1425	1994-02-07	PRIJEM	VKLAD	6104	26307	\N	\N	\N
420117	1425	1994-03-07	PRIJEM	VKLAD	6104	29716	\N	\N	\N
420118	1425	1994-04-07	PRIJEM	VKLAD	6104	29944	\N	\N	\N
420119	1425	1994-05-07	PRIJEM	VKLAD	6104	30675	\N	\N	\N
420120	1425	1994-06-07	PRIJEM	VKLAD	9156	34461	\N	\N	\N
420121	1425	1994-07-07	PRIJEM	VKLAD	6104	28700	\N	\N	\N
420122	1425	1994-08-07	PRIJEM	VKLAD	6104	29720	\N	\N	\N
420123	1425	1994-09-07	PRIJEM	VKLAD	6104	33744	\N	\N	\N
420124	1425	1994-10-07	PRIJEM	VKLAD	6104	35685	\N	\N	\N
420125	1425	1994-11-07	PRIJEM	VKLAD	6104	32830	\N	\N	\N
420126	1425	1994-12-07	PRIJEM	VKLAD	9156	34517	\N	\N	\N
420127	1425	1995-01-07	PRIJEM	VKLAD	6104	30262	\N	\N	\N
420128	1425	1995-02-07	PRIJEM	VKLAD	6104	22484	\N	\N	\N
420129	1425	1995-03-07	PRIJEM	VKLAD	6104	27378	\N	\N	\N
420130	1425	1995-04-07	PRIJEM	VKLAD	6104	31493	\N	\N	\N
420131	1425	1995-05-07	PRIJEM	VKLAD	6104	33324	\N	\N	\N
420132	1425	1995-06-07	PRIJEM	VKLAD	9156	38815	\N	\N	\N
420133	1425	1995-07-07	PRIJEM	VKLAD	6104	28723	\N	\N	\N
420134	1425	1995-08-07	PRIJEM	VKLAD	6104	34645	\N	\N	\N
420135	1425	1995-09-07	PRIJEM	VKLAD	6104	37690	\N	\N	\N
420136	1425	1995-10-07	PRIJEM	VKLAD	6104	37147	\N	\N	\N
420137	1425	1995-11-07	PRIJEM	VKLAD	6104	38107	\N	\N	\N
420138	1425	1995-12-07	PRIJEM	VKLAD	9156	41516	\N	\N	\N
420139	1425	1996-01-07	PRIJEM	VKLAD	6104	40089	\N	\N	\N
420140	1425	1996-02-07	PRIJEM	VKLAD	6104	38844	\N	\N	\N
420141	1425	1996-03-07	PRIJEM	VKLAD	6104	42509	\N	\N	\N
420142	1425	1996-04-07	PRIJEM	VKLAD	6104	44786	\N	\N	\N
420143	1425	1996-05-07	PRIJEM	VKLAD	6104	49075	\N	\N	\N
420144	1425	1996-06-07	PRIJEM	VKLAD	9156	51727	\N	\N	\N
420145	1425	1996-07-07	PRIJEM	VKLAD	6104	42205	\N	\N	\N
420146	1425	1996-08-07	PRIJEM	VKLAD	6104	44981	\N	\N	\N
420147	1425	1996-09-07	PRIJEM	VKLAD	6104	48071	\N	\N	\N
420148	1425	1996-10-07	PRIJEM	VKLAD	6104	53677	\N	\N	\N
420149	1425	1996-11-07	PRIJEM	VKLAD	6104	55898	\N	\N	\N
420150	1425	1996-12-07	PRIJEM	VKLAD	9156	61482	\N	\N	\N
420151	1425	1997-01-07	PRIJEM	VKLAD	6104	55420	\N	\N	\N
420152	1425	1997-02-07	PRIJEM	VKLAD	6104	43532	\N	\N	\N
420153	1425	1997-03-07	PRIJEM	VKLAD	6104	54529	\N	\N	\N
420154	1425	1997-04-07	PRIJEM	VKLAD	6104	59561	\N	\N	\N
420155	1425	1997-05-07	PRIJEM	VKLAD	6104	63110	\N	\N	\N
420156	1425	1997-06-07	PRIJEM	VKLAD	9156	65817	\N	\N	\N
420157	1425	1997-07-07	PRIJEM	VKLAD	6104	35466	\N	\N	\N
420158	1425	1997-08-07	PRIJEM	VKLAD	6104	49339	\N	\N	\N
420159	1425	1997-09-07	PRIJEM	VKLAD	6104	58559	\N	\N	\N
420160	1425	1997-10-07	PRIJEM	VKLAD	6104	64821	\N	\N	\N
420161	1425	1997-11-07	PRIJEM	VKLAD	6104	60574	\N	\N	\N
420162	1425	1997-12-07	PRIJEM	VKLAD	9156	53855	\N	\N	\N
420163	1425	1998-01-07	PRIJEM	VKLAD	6104	51777	\N	\N	\N
420164	1425	1998-02-07	PRIJEM	VKLAD	6104	38974	\N	\N	\N
420165	1425	1998-03-07	PRIJEM	VKLAD	6104	45849	\N	\N	\N
420166	1425	1998-04-07	PRIJEM	VKLAD	6104	40039	\N	\N	\N
420167	1425	1998-05-07	PRIJEM	VKLAD	6104	45020	\N	\N	\N
420168	1425	1998-06-07	PRIJEM	VKLAD	9156	54172	\N	\N	\N
420169	1425	1998-07-07	PRIJEM	VKLAD	6104	29754	\N	\N	\N
420170	1425	1998-08-07	PRIJEM	VKLAD	6104	46821	\N	\N	\N
420171	1425	1998-09-07	PRIJEM	VKLAD	6104	51423	\N	\N	\N
420172	1425	1998-10-07	PRIJEM	VKLAD	6104	53542	\N	\N	\N
420173	1425	1998-11-07	PRIJEM	VKLAD	6104	55966	\N	\N	\N
420174	1425	1998-12-07	PRIJEM	VKLAD	9156	57443	\N	\N	\N
420185	1425	1993-11-13	VYDAJ	PREVOD NA UCET	4069	29897	SIPO	MN	22342765
420186	1425	1993-12-13	VYDAJ	PREVOD NA UCET	4069	28498	SIPO	MN	22342765
420187	1425	1994-01-13	VYDAJ	PREVOD NA UCET	4069	13741	SIPO	MN	22342765
420188	1425	1994-02-13	VYDAJ	PREVOD NA UCET	4069	22238	SIPO	MN	22342765
420189	1425	1994-03-13	VYDAJ	PREVOD NA UCET	4069	25647	SIPO	MN	22342765
420190	1425	1994-04-13	VYDAJ	PREVOD NA UCET	4069	25875	SIPO	MN	22342765
420191	1425	1994-05-13	VYDAJ	PREVOD NA UCET	4069	26606	SIPO	MN	22342765
420192	1425	1994-06-13	VYDAJ	PREVOD NA UCET	4069	30392	SIPO	MN	22342765
420193	1425	1994-07-13	VYDAJ	PREVOD NA UCET	4069	24631	SIPO	MN	22342765
420194	1425	1994-08-13	VYDAJ	PREVOD NA UCET	4069	25651	SIPO	MN	22342765
420195	1425	1994-09-13	VYDAJ	PREVOD NA UCET	4069	29675	SIPO	MN	22342765
420196	1425	1994-10-13	VYDAJ	PREVOD NA UCET	4069	31616	SIPO	MN	22342765
420197	1425	1994-11-13	VYDAJ	PREVOD NA UCET	4069	28761	SIPO	MN	22342765
420198	1425	1994-12-13	VYDAJ	PREVOD NA UCET	4069	30448	SIPO	MN	22342765
420199	1425	1995-01-13	VYDAJ	PREVOD NA UCET	4069	25293	SIPO	MN	22342765
420200	1425	1995-02-13	VYDAJ	PREVOD NA UCET	4069	18415	SIPO	MN	22342765
420201	1425	1995-03-13	VYDAJ	PREVOD NA UCET	4069	23309	SIPO	MN	22342765
420202	1425	1995-04-13	VYDAJ	PREVOD NA UCET	4069	27424	SIPO	MN	22342765
420203	1425	1995-05-13	VYDAJ	PREVOD NA UCET	4069	27955	SIPO	MN	22342765
420204	1425	1995-06-13	VYDAJ	PREVOD NA UCET	4069	17246	SIPO	MN	22342765
420205	1425	1995-07-13	VYDAJ	PREVOD NA UCET	4069	24654	SIPO	MN	22342765
420206	1425	1995-08-13	VYDAJ	PREVOD NA UCET	4069	30576	SIPO	MN	22342765
420207	1425	1995-09-13	VYDAJ	PREVOD NA UCET	4069	33621	SIPO	MN	22342765
420208	1425	1995-10-13	VYDAJ	PREVOD NA UCET	4069	33078	SIPO	MN	22342765
420209	1425	1995-11-13	VYDAJ	PREVOD NA UCET	4069	34038	SIPO	MN	22342765
420210	1425	1995-12-13	VYDAJ	PREVOD NA UCET	4069	37447	SIPO	MN	22342765
420211	1425	1996-01-13	VYDAJ	PREVOD NA UCET	4069	29120	SIPO	MN	22342765
420212	1425	1996-02-13	VYDAJ	PREVOD NA UCET	4069	34775	SIPO	MN	22342765
420213	1425	1996-03-13	VYDAJ	PREVOD NA UCET	4069	38440	SIPO	MN	22342765
420214	1425	1996-04-13	VYDAJ	PREVOD NA UCET	4069	40717	SIPO	MN	22342765
420215	1425	1996-05-13	VYDAJ	PREVOD NA UCET	4069	45006	SIPO	MN	22342765
420216	1425	1996-06-13	VYDAJ	PREVOD NA UCET	4069	47658	SIPO	MN	22342765
420217	1425	1996-07-13	VYDAJ	PREVOD NA UCET	4069	38136	SIPO	MN	22342765
420218	1425	1996-08-13	VYDAJ	PREVOD NA UCET	4069	40912	SIPO	MN	22342765
420219	1425	1996-09-13	VYDAJ	PREVOD NA UCET	4069	44002	SIPO	MN	22342765
420220	1425	1996-10-13	VYDAJ	PREVOD NA UCET	4069	49608	SIPO	MN	22342765
420221	1425	1996-11-13	VYDAJ	PREVOD NA UCET	4069	51829	SIPO	MN	22342765
420222	1425	1996-12-13	VYDAJ	PREVOD NA UCET	4069	57413	SIPO	MN	22342765
420223	1425	1997-01-13	VYDAJ	PREVOD NA UCET	4069	51351	SIPO	MN	22342765
420224	1425	1997-02-13	VYDAJ	PREVOD NA UCET	4069	39463	SIPO	MN	22342765
420225	1425	1997-03-13	VYDAJ	PREVOD NA UCET	4069	50460	SIPO	MN	22342765
420226	1425	1997-04-13	VYDAJ	PREVOD NA UCET	4069	55492	SIPO	MN	22342765
420227	1425	1997-05-13	VYDAJ	PREVOD NA UCET	4069	59041	SIPO	MN	22342765
420228	1425	1997-06-13	VYDAJ	PREVOD NA UCET	4069	61748	SIPO	MN	22342765
420229	1425	1997-07-13	VYDAJ	PREVOD NA UCET	4069	31397	SIPO	MN	22342765
420230	1425	1997-08-13	VYDAJ	PREVOD NA UCET	4069	45270	SIPO	MN	22342765
420231	1425	1997-09-13	VYDAJ	PREVOD NA UCET	4069	58490	SIPO	MN	22342765
420232	1425	1997-10-13	VYDAJ	PREVOD NA UCET	4069	60752	SIPO	MN	22342765
420233	1425	1997-11-13	VYDAJ	PREVOD NA UCET	4069	52005	SIPO	MN	22342765
420234	1425	1997-12-13	VYDAJ	PREVOD NA UCET	4069	49086	SIPO	MN	22342765
420235	1425	1998-01-13	VYDAJ	PREVOD NA UCET	4069	44808	SIPO	MN	22342765
420236	1425	1998-02-13	VYDAJ	PREVOD NA UCET	4069	39605	SIPO	MN	22342765
420237	1425	1998-03-13	VYDAJ	PREVOD NA UCET	4069	42080	SIPO	MN	22342765
420238	1425	1998-04-13	VYDAJ	PREVOD NA UCET	4069	38770	SIPO	MN	22342765
420239	1425	1998-05-13	VYDAJ	PREVOD NA UCET	4069	44851	SIPO	MN	22342765
420240	1425	1998-06-13	VYDAJ	PREVOD NA UCET	4069	51503	SIPO	MN	22342765
420241	1425	1998-07-13	VYDAJ	PREVOD NA UCET	4069	40585	SIPO	MN	22342765
420242	1425	1998-08-13	VYDAJ	PREVOD NA UCET	4069	45152	SIPO	MN	22342765
420243	1425	1998-09-13	VYDAJ	PREVOD NA UCET	4069	49854	SIPO	MN	22342765
420244	1425	1998-10-13	VYDAJ	PREVOD NA UCET	4069	49673	SIPO	MN	22342765
420245	1425	1998-11-13	VYDAJ	PREVOD NA UCET	4069	49397	SIPO	MN	22342765
420246	1425	1998-12-13	VYDAJ	PREVOD NA UCET	4069	53374	SIPO	MN	22342765
420248	1425	1994-06-26	VYDAJ	VYBER	12300	18092	\N	\N	\N
420249	1425	1995-06-07	VYDAJ	VYBER	17500	21315	\N	\N	\N
420250	1425	1996-06-13	VYDAJ	VYBER	22600	25058	\N	\N	\N
420251	1425	1997-06-29	VYDAJ	VYBER	28000	29148	\N	\N	\N
420252	1425	1998-06-20	VYDAJ	VYBER	28000	23503	\N	\N	\N
420254	1425	1994-01-11	VYDAJ	VYBER	8100	21210	\N	\N	\N
420255	1425	1995-01-30	VYDAJ	VYBER	3800	16293	\N	\N	\N
420256	1425	1996-01-21	VYDAJ	VYBER	1200	24220	\N	\N	\N
420257	1425	1997-01-13	VYDAJ	VYBER	5000	46351	\N	\N	\N
420258	1425	1998-01-23	VYDAJ	VYBER	4400	37508	\N	\N	\N
420259	1425	1993-12-04	VYDAJ	VYBER	1700	24911	\N	\N	\N
420260	1425	1994-12-06	VYDAJ	VYBER	500	25361	\N	\N	\N
420261	1425	1995-12-22	VYDAJ	VYBER	1800	35647	\N	\N	\N
420262	1425	1996-12-20	VYDAJ	VYBER	1500	50813	\N	\N	\N
420263	1425	1997-12-24	VYDAJ	VYBER	900	47686	\N	\N	\N
420264	1425	1998-12-17	VYDAJ	VYBER	1400	51974	\N	\N	\N
420272	1425	1994-01-01	VYDAJ	VYBER	700	27906	\N	\N	\N
420273	1425	1994-01-12	VYDAJ	VYBER	700	20510	\N	\N	\N
420274	1425	1994-01-11	VYDAJ	VYBER	800	29310	\N	\N	\N
420276	1425	1994-01-13	VYDAJ	VYBER	2700	17810	\N	\N	\N
420277	1425	1995-01-28	VYDAJ	VYBER	2500	22193	\N	\N	\N
420278	1425	1995-01-18	VYDAJ	VYBER	2700	21593	\N	\N	\N
420279	1425	1995-01-09	VYDAJ	VYBER	900	29362	\N	\N	\N
420280	1425	1995-01-01	VYDAJ	VYBER	2000	24158	\N	\N	\N
420281	1425	1995-01-13	VYDAJ	VYBER	1000	24293	\N	\N	\N
420282	1425	1995-01-30	VYDAJ	VYBER	2100	20093	\N	\N	\N
420283	1425	1996-01-15	VYDAJ	VYBER	2100	27020	\N	\N	\N
420284	1425	1996-01-21	VYDAJ	VYBER	1600	25420	\N	\N	\N
420285	1425	1996-01-07	VYDAJ	VYBER	1400	38689	\N	\N	\N
420286	1425	1996-01-10	VYDAJ	VYBER	2800	35889	\N	\N	\N
420287	1425	1996-01-02	VYDAJ	VYBER	1200	33985	\N	\N	\N
420288	1425	1996-01-11	VYDAJ	VYBER	2700	33189	\N	\N	\N
420289	1425	1997-01-15	VYDAJ	VYBER	2200	44151	\N	\N	\N
420290	1425	1997-01-29	VYDAJ	VYBER	2600	37251	\N	\N	\N
420291	1425	1997-01-23	VYDAJ	VYBER	2000	40851	\N	\N	\N
420292	1425	1997-01-25	VYDAJ	VYBER	1000	39851	\N	\N	\N
420293	1425	1997-01-20	VYDAJ	VYBER	1900	42851	\N	\N	\N
420294	1425	1997-01-05	VYDAJ	VYBER	1700	49316	\N	\N	\N
420295	1425	1998-01-26	VYDAJ	VYBER	1500	35508	\N	\N	\N
420296	1425	1998-01-29	VYDAJ	VYBER	2800	32708	\N	\N	\N
420297	1425	1998-01-02	VYDAJ	VYBER	2200	45673	\N	\N	\N
420298	1425	1998-01-18	VYDAJ	VYBER	1500	41908	\N	\N	\N
420299	1425	1998-01-25	VYDAJ	VYBER	500	37008	\N	\N	\N
420300	1425	1998-01-13	VYDAJ	VYBER	1400	43408	\N	\N	\N
420301	1425	1993-12-10	VYDAJ	VYBER	1500	32567	\N	\N	\N
420306	1425	1994-08-30	VYDAJ	VYBER	2100	27551	\N	\N	\N
420307	1425	1994-01-02	VYDAJ	VYBER	4200	24006	\N	\N	\N
420308	1425	1994-07-29	VYDAJ	VYBER	3900	20731	\N	\N	\N
420309	1425	1994-10-31	VYDAJ	VYBER	2100	26741	\N	\N	\N
420310	1425	1994-10-19	VYDAJ	VYBER	1600	30016	\N	\N	\N
420311	1425	1995-06-20	VYDAJ	VYBER	1600	15646	\N	\N	\N
420312	1425	1995-05-09	VYDAJ	VYBER	1300	32024	\N	\N	\N
420313	1425	1995-10-02	VYDAJ	VYBER	2500	31043	\N	\N	\N
420314	1425	1995-12-04	VYDAJ	VYBER	1000	32360	\N	\N	\N
420315	1425	1995-01-26	VYDAJ	VYBER	2900	18693	\N	\N	\N
420316	1425	1995-08-26	VYDAJ	VYBER	1600	31476	\N	\N	\N
420317	1425	1996-08-27	VYDAJ	VYBER	2400	41812	\N	\N	\N
420318	1425	1996-10-15	VYDAJ	VYBER	1600	48008	\N	\N	\N
420319	1425	1996-06-16	VYDAJ	VYBER	1300	23758	\N	\N	\N
420320	1425	1996-02-26	VYDAJ	VYBER	4100	36275	\N	\N	\N
420321	1425	1997-11-16	VYDAJ	VYBER	1000	51005	\N	\N	\N
420322	1425	1997-11-22	VYDAJ	VYBER	2300	46405	\N	\N	\N
420323	1425	1997-12-16	VYDAJ	VYBER	500	48586	\N	\N	\N
420324	1425	1997-12-03	VYDAJ	VYBER	1900	44699	\N	\N	\N
420325	1425	1997-11-17	VYDAJ	VYBER	2300	48705	\N	\N	\N
420326	1425	1997-10-15	VYDAJ	VYBER	4100	54252	\N	\N	\N
420327	1425	1998-04-09	VYDAJ	VYBER	3100	34739	\N	\N	\N
420328	1425	1998-11-22	VYDAJ	VYBER	2600	46797	\N	\N	\N
420329	1425	1998-04-09	VYDAJ	VYBER	2200	37839	\N	\N	\N
420330	1425	1998-04-05	VYDAJ	VYBER	4000	33935	\N	\N	\N
420331	1425	1998-09-21	VYDAJ	VYBER	2600	47254	\N	\N	\N
420332	1425	1998-04-02	VYDAJ	VYBER	4300	37935	\N	\N	\N
420333	1425	1998-05-07	VYDAJ	VYBER	1300	43720	\N	\N	\N
420345	1425	1993-11-30	VYDAJ	VYBER	15	30011	SLUZBY	\N	\N
420346	1425	1993-12-31	VYDAJ	VYBER	15	28606	SLUZBY	\N	\N
420347	1425	1994-01-31	VYDAJ	VYBER	15	13803	SLUZBY	\N	\N
420348	1425	1994-02-28	VYDAJ	VYBER	15	22312	SLUZBY	\N	\N
420349	1425	1994-03-31	VYDAJ	VYBER	15	25740	SLUZBY	\N	\N
420350	1425	1994-04-30	VYDAJ	VYBER	15	25971	SLUZBY	\N	\N
420351	1425	1994-05-31	VYDAJ	VYBER	15	26705	SLUZBY	\N	\N
420352	1425	1994-06-30	VYDAJ	VYBER	15	18196	SLUZBY	\N	\N
420353	1425	1994-07-31	VYDAJ	VYBER	15	23616	SLUZBY	\N	\N
420354	1425	1994-08-31	VYDAJ	VYBER	15	27640	SLUZBY	\N	\N
420355	1425	1994-09-30	VYDAJ	VYBER	15	29581	SLUZBY	\N	\N
420356	1425	1994-10-31	VYDAJ	VYBER	15	26726	SLUZBY	\N	\N
420357	1425	1994-11-30	VYDAJ	VYBER	15	25861	SLUZBY	\N	\N
420358	1425	1994-12-31	VYDAJ	VYBER	15	26158	SLUZBY	\N	\N
420359	1425	1995-01-31	VYDAJ	VYBER	15	16380	SLUZBY	\N	\N
420360	1425	1995-02-28	VYDAJ	VYBER	15	21274	SLUZBY	\N	\N
420361	1425	1995-03-31	VYDAJ	VYBER	15	25389	SLUZBY	\N	\N
420362	1425	1995-04-30	VYDAJ	VYBER	15	27220	SLUZBY	\N	\N
420363	1425	1995-05-31	VYDAJ	VYBER	15	29659	SLUZBY	\N	\N
420364	1425	1995-06-30	VYDAJ	VYBER	15	22619	SLUZBY	\N	\N
420365	1425	1995-07-31	VYDAJ	VYBER	15	28541	SLUZBY	\N	\N
420366	1425	1995-08-31	VYDAJ	VYBER	15	31586	SLUZBY	\N	\N
420367	1425	1995-09-30	VYDAJ	VYBER	15	33543	SLUZBY	\N	\N
420368	1425	1995-10-31	VYDAJ	VYBER	15	32003	SLUZBY	\N	\N
420369	1425	1995-11-30	VYDAJ	VYBER	15	33360	SLUZBY	\N	\N
420370	1425	1995-12-31	VYDAJ	VYBER	15	35185	SLUZBY	\N	\N
420371	1425	1996-01-31	VYDAJ	VYBER	15	32740	SLUZBY	\N	\N
420372	1425	1996-02-29	VYDAJ	VYBER	15	36405	SLUZBY	\N	\N
420373	1425	1996-03-31	VYDAJ	VYBER	15	38682	SLUZBY	\N	\N
420374	1425	1996-04-30	VYDAJ	VYBER	15	42971	SLUZBY	\N	\N
420375	1425	1996-05-31	VYDAJ	VYBER	15	42571	SLUZBY	\N	\N
420376	1425	1996-06-30	VYDAJ	VYBER	15	36101	SLUZBY	\N	\N
420377	1425	1996-07-31	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
420378	1425	1996-08-31	VYDAJ	VYBER	15	41967	SLUZBY	\N	\N
420379	1425	1996-09-30	VYDAJ	VYBER	15	47573	SLUZBY	\N	\N
420380	1425	1996-10-31	VYDAJ	VYBER	15	49794	SLUZBY	\N	\N
420381	1425	1996-11-30	VYDAJ	VYBER	15	52326	SLUZBY	\N	\N
420382	1425	1996-12-31	VYDAJ	VYBER	15	51016	SLUZBY	\N	\N
420383	1425	1997-01-31	VYDAJ	VYBER	15	37428	SLUZBY	\N	\N
420384	1425	1997-02-28	VYDAJ	VYBER	15	48425	SLUZBY	\N	\N
420385	1425	1997-03-31	VYDAJ	VYBER	15	53457	SLUZBY	\N	\N
420386	1425	1997-04-30	VYDAJ	VYBER	15	57006	SLUZBY	\N	\N
420387	1425	1997-05-31	VYDAJ	VYBER	15	56661	SLUZBY	\N	\N
420388	1425	1997-06-30	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
420389	1425	1997-07-31	VYDAJ	VYBER	15	43235	SLUZBY	\N	\N
420390	1425	1997-08-31	VYDAJ	VYBER	15	52455	SLUZBY	\N	\N
420391	1425	1997-09-30	VYDAJ	VYBER	15	58717	SLUZBY	\N	\N
420392	1425	1997-10-31	VYDAJ	VYBER	15	54470	SLUZBY	\N	\N
420393	1425	1997-11-30	VYDAJ	VYBER	15	46599	SLUZBY	\N	\N
420394	1425	1997-12-31	VYDAJ	VYBER	15	47873	SLUZBY	\N	\N
420395	1425	1998-01-31	VYDAJ	VYBER	15	32870	SLUZBY	\N	\N
420396	1425	1998-02-28	VYDAJ	VYBER	15	39745	SLUZBY	\N	\N
420397	1425	1998-03-31	VYDAJ	VYBER	15	42235	SLUZBY	\N	\N
420398	1425	1998-04-30	VYDAJ	VYBER	15	38916	SLUZBY	\N	\N
420399	1425	1998-05-31	VYDAJ	VYBER	15	45016	SLUZBY	\N	\N
420400	1425	1998-06-30	VYDAJ	VYBER	15	23650	SLUZBY	\N	\N
420401	1425	1998-07-31	VYDAJ	VYBER	15	40717	SLUZBY	\N	\N
420402	1425	1998-08-31	VYDAJ	VYBER	15	45319	SLUZBY	\N	\N
420403	1425	1998-09-30	VYDAJ	VYBER	15	47438	SLUZBY	\N	\N
420404	1425	1998-10-31	VYDAJ	VYBER	15	49862	SLUZBY	\N	\N
420405	1425	1998-11-30	VYDAJ	VYBER	15	46987	SLUZBY	\N	\N
420406	1425	1993-08-05	PRIJEM	VKLAD	8900	15928	\N	\N	\N
420407	1425	1993-09-04	PRIJEM	VKLAD	300	22411	\N	\N	\N
420408	1425	1993-10-04	VYDAJ	VYBER	3200	25429	\N	\N	\N
420409	1425	1993-11-03	VYDAJ	VYBER	3800	27862	\N	\N	\N
420410	1425	1993-12-03	VYDAJ	VYBER	3400	26611	\N	\N	\N
420411	1425	1994-01-02	PRIJEM	VKLAD	300	28206	\N	\N	\N
420412	1425	1994-02-01	PRIJEM	VKLAD	6400	20203	\N	\N	\N
420413	1425	1994-03-03	PRIJEM	VKLAD	1300	23612	\N	\N	\N
420414	1425	1994-04-02	VYDAJ	VYBER	1900	23840	\N	\N	\N
420415	1425	1994-05-02	VYDAJ	VYBER	1400	24571	\N	\N	\N
420416	1425	1994-06-01	VYDAJ	VYBER	1400	25305	\N	\N	\N
420417	1425	1994-07-01	PRIJEM	VKLAD	4400	22596	\N	\N	\N
420418	1425	1994-07-31	PRIJEM	VKLAD	2800	23630	\N	\N	\N
420419	1425	1994-08-30	PRIJEM	VKLAD	4000	29651	\N	\N	\N
420420	1425	1994-09-29	VYDAJ	VYBER	200	29475	\N	\N	\N
420421	1425	1994-10-29	VYDAJ	VYBER	1300	28716	\N	\N	\N
420422	1425	1994-11-28	VYDAJ	VYBER	3000	25761	\N	\N	\N
420423	1425	1994-12-28	VYDAJ	VYBER	4400	26048	\N	\N	\N
420424	1425	1995-01-27	PRIJEM	VKLAD	6000	24693	\N	\N	\N
420425	1425	1995-02-26	PRIJEM	VKLAD	2800	21215	\N	\N	\N
420426	1425	1995-03-28	PRIJEM	VKLAD	2000	25309	\N	\N	\N
420427	1425	1995-04-27	VYDAJ	VYBER	300	27124	\N	\N	\N
420428	1425	1995-05-27	PRIJEM	VKLAD	1600	29555	\N	\N	\N
420429	1425	1995-06-26	PRIJEM	VKLAD	6900	22546	\N	\N	\N
420430	1425	1995-07-26	PRIJEM	VKLAD	3800	28454	\N	\N	\N
420431	1425	1995-08-25	PRIJEM	VKLAD	2500	33076	\N	\N	\N
420432	1425	1995-09-24	VYDAJ	VYBER	200	33421	\N	\N	\N
420433	1425	1995-10-24	VYDAJ	VYBER	1200	31878	\N	\N	\N
420434	1425	1995-11-23	VYDAJ	VYBER	800	33238	\N	\N	\N
420435	1425	1995-12-23	VYDAJ	VYBER	600	35047	\N	\N	\N
420436	1425	1996-01-22	PRIJEM	VKLAD	8400	32620	\N	\N	\N
420437	1425	1996-02-21	PRIJEM	VKLAD	5600	40375	\N	\N	\N
420438	1425	1996-03-22	PRIJEM	VKLAD	100	38540	\N	\N	\N
420439	1425	1996-04-21	PRIJEM	VKLAD	2100	42817	\N	\N	\N
420440	1425	1996-05-21	VYDAJ	VYBER	2600	42406	\N	\N	\N
420441	1425	1996-06-20	PRIJEM	VKLAD	12200	35958	\N	\N	\N
420442	1425	1996-07-20	PRIJEM	VKLAD	600	38736	\N	\N	\N
420443	1425	1996-08-19	PRIJEM	VKLAD	3300	44212	\N	\N	\N
420444	1425	1996-09-18	PRIJEM	VKLAD	3400	47402	\N	\N	\N
420445	1425	1996-10-18	PRIJEM	VKLAD	1600	49608	\N	\N	\N
420446	1425	1996-11-17	PRIJEM	VKLAD	300	52129	\N	\N	\N
420447	1425	1996-12-17	VYDAJ	VYBER	5100	52313	\N	\N	\N
420448	1425	1997-01-16	PRIJEM	VKLAD	600	44751	\N	\N	\N
420449	1425	1997-02-15	PRIJEM	VKLAD	8800	48263	\N	\N	\N
420450	1425	1997-03-17	PRIJEM	VKLAD	2800	53260	\N	\N	\N
420451	1425	1997-04-16	PRIJEM	VKLAD	1300	56792	\N	\N	\N
420452	1425	1997-05-16	VYDAJ	VYBER	2600	56441	\N	\N	\N
420453	1425	1997-06-15	VYDAJ	VYBER	4600	57148	\N	\N	\N
420454	1425	1997-07-15	PRIJEM	VKLAD	11700	43097	\N	\N	\N
420455	1425	1997-08-14	PRIJEM	VKLAD	7000	52270	\N	\N	\N
420456	1425	1997-09-13	PRIJEM	VKLAD	4000	62559	\N	\N	\N
420457	1425	1997-10-13	VYDAJ	VYBER	2400	58352	\N	\N	\N
420458	1425	1997-11-12	VYDAJ	VYBER	4500	56074	\N	\N	\N
420459	1425	1997-12-12	VYDAJ	VYBER	700	53155	\N	\N	\N
420460	1425	1998-01-11	VYDAJ	VYBER	2900	48877	\N	\N	\N
420461	1425	1998-02-10	PRIJEM	VKLAD	4700	43674	\N	\N	\N
420462	1425	1998-03-12	PRIJEM	VKLAD	300	46149	\N	\N	\N
420463	1425	1998-04-11	PRIJEM	VKLAD	8100	42839	\N	\N	\N
420464	1425	1998-05-11	PRIJEM	VKLAD	5200	48920	\N	\N	\N
420465	1425	1998-06-10	PRIJEM	VKLAD	1400	55572	\N	\N	\N
420466	1425	1998-07-10	PRIJEM	VKLAD	14900	44654	\N	\N	\N
420467	1425	1998-08-09	PRIJEM	VKLAD	2400	49221	\N	\N	\N
420468	1425	1998-09-08	PRIJEM	VKLAD	2500	53923	\N	\N	\N
420469	1425	1998-10-08	PRIJEM	VKLAD	200	53742	\N	\N	\N
420470	1425	1998-11-07	VYDAJ	VYBER	2500	53466	\N	\N	\N
420471	1425	1998-12-07	PRIJEM	VKLAD	1300	48287	\N	\N	\N
420538	1426	1995-10-27	PRIJEM	VKLAD	200	200	\N	\N	\N
420549	1426	1995-11-08	PRIJEM	PREVOD Z UCTU	4022	4222	DUCHOD	IJ	11383384
420550	1426	1995-12-08	PRIJEM	PREVOD Z UCTU	4022	8244	DUCHOD	IJ	11383384
420551	1426	1996-01-08	PRIJEM	PREVOD Z UCTU	4022	12266	DUCHOD	IJ	11383384
420552	1426	1996-02-08	PRIJEM	PREVOD Z UCTU	4022	16288	DUCHOD	IJ	11383384
420553	1426	1996-03-08	PRIJEM	PREVOD Z UCTU	4022	20310	DUCHOD	IJ	11383384
420554	1426	1996-04-08	PRIJEM	PREVOD Z UCTU	4022	20970	DUCHOD	IJ	11383384
420555	1426	1996-05-08	PRIJEM	PREVOD Z UCTU	4022	18931	DUCHOD	IJ	11383384
420556	1426	1996-06-08	PRIJEM	PREVOD Z UCTU	4022	20327	DUCHOD	IJ	11383384
420557	1426	1996-07-08	PRIJEM	PREVOD Z UCTU	4022	16915	DUCHOD	IJ	11383384
420558	1426	1996-08-08	PRIJEM	PREVOD Z UCTU	4022	18299	DUCHOD	IJ	11383384
420559	1426	1996-09-08	PRIJEM	PREVOD Z UCTU	4022	18085	DUCHOD	IJ	11383384
420560	1426	1996-10-08	PRIJEM	PREVOD Z UCTU	4022	16665	DUCHOD	IJ	11383384
420561	1426	1996-11-08	PRIJEM	PREVOD Z UCTU	4022	18048	DUCHOD	IJ	11383384
420562	1426	1996-12-08	PRIJEM	PREVOD Z UCTU	4022	19437	DUCHOD	IJ	11383384
420563	1426	1997-01-08	PRIJEM	PREVOD Z UCTU	4022	19089	DUCHOD	IJ	11383384
420564	1426	1997-02-08	PRIJEM	PREVOD Z UCTU	4022	16952	DUCHOD	IJ	11383384
420565	1426	1997-03-08	PRIJEM	PREVOD Z UCTU	4022	18336	DUCHOD	IJ	11383384
420566	1426	1997-04-08	PRIJEM	PREVOD Z UCTU	4022	19726	DUCHOD	IJ	11383384
420567	1426	1997-05-08	PRIJEM	PREVOD Z UCTU	4022	21122	DUCHOD	IJ	11383384
420568	1426	1997-06-08	PRIJEM	PREVOD Z UCTU	4022	21804	DUCHOD	IJ	11383384
420569	1426	1997-07-08	PRIJEM	PREVOD Z UCTU	4022	23209	DUCHOD	IJ	11383384
420570	1426	1997-08-08	PRIJEM	PREVOD Z UCTU	4022	24620	DUCHOD	IJ	11383384
420571	1426	1997-09-08	PRIJEM	PREVOD Z UCTU	4022	24675	DUCHOD	IJ	11383384
420572	1426	1997-10-08	PRIJEM	PREVOD Z UCTU	4022	26091	DUCHOD	IJ	11383384
420573	1426	1997-11-08	PRIJEM	PREVOD Z UCTU	4022	26233	DUCHOD	IJ	11383384
420574	1426	1997-12-08	PRIJEM	PREVOD Z UCTU	4022	27056	DUCHOD	IJ	11383384
420575	1426	1998-01-08	PRIJEM	PREVOD Z UCTU	4022	26484	DUCHOD	IJ	11383384
420576	1426	1998-02-08	PRIJEM	PREVOD Z UCTU	4022	21661	DUCHOD	IJ	11383384
420577	1426	1998-03-08	PRIJEM	PREVOD Z UCTU	4022	23064	DUCHOD	IJ	11383384
420578	1426	1998-04-08	PRIJEM	PREVOD Z UCTU	4022	24474	DUCHOD	IJ	11383384
420579	1426	1998-05-08	PRIJEM	PREVOD Z UCTU	4022	23405	DUCHOD	IJ	11383384
420580	1426	1998-06-08	PRIJEM	PREVOD Z UCTU	4022	24816	DUCHOD	IJ	11383384
420581	1426	1998-07-08	PRIJEM	PREVOD Z UCTU	4022	26233	DUCHOD	IJ	11383384
420582	1426	1998-08-08	PRIJEM	PREVOD Z UCTU	4022	27655	DUCHOD	IJ	11383384
420583	1426	1998-09-08	PRIJEM	PREVOD Z UCTU	4022	25724	DUCHOD	IJ	11383384
420584	1426	1998-10-08	PRIJEM	PREVOD Z UCTU	4022	23706	DUCHOD	IJ	11383384
420585	1426	1998-11-08	PRIJEM	PREVOD Z UCTU	4022	25118	DUCHOD	IJ	11383384
420586	1426	1998-12-08	PRIJEM	PREVOD Z UCTU	4022	26536	DUCHOD	IJ	11383384
420601	1426	1996-03-09	VYDAJ	PREVOD NA UCET	2681	17629	SIPO	GH	15124905
420602	1426	1996-04-09	VYDAJ	PREVOD NA UCET	2681	18289	SIPO	GH	15124905
420603	1426	1996-05-09	VYDAJ	PREVOD NA UCET	2681	16250	SIPO	GH	15124905
420604	1426	1996-06-09	VYDAJ	PREVOD NA UCET	2681	17646	SIPO	GH	15124905
420605	1426	1996-07-09	VYDAJ	PREVOD NA UCET	2681	14234	SIPO	GH	15124905
420606	1426	1996-08-09	VYDAJ	PREVOD NA UCET	2681	15618	SIPO	GH	15124905
420607	1426	1996-09-09	VYDAJ	PREVOD NA UCET	2681	12604	SIPO	GH	15124905
420608	1426	1996-10-09	VYDAJ	PREVOD NA UCET	2681	13984	SIPO	GH	15124905
420609	1426	1996-11-09	VYDAJ	PREVOD NA UCET	2681	15367	SIPO	GH	15124905
420610	1426	1996-12-09	VYDAJ	PREVOD NA UCET	2681	16756	SIPO	GH	15124905
420611	1426	1997-01-09	VYDAJ	PREVOD NA UCET	2681	12888	SIPO	GH	15124905
420612	1426	1997-02-09	VYDAJ	PREVOD NA UCET	2681	14271	SIPO	GH	15124905
420613	1426	1997-03-09	VYDAJ	PREVOD NA UCET	2681	15655	SIPO	GH	15124905
420614	1426	1997-04-09	VYDAJ	PREVOD NA UCET	2681	17045	SIPO	GH	15124905
420615	1426	1997-05-09	VYDAJ	PREVOD NA UCET	2681	18441	SIPO	GH	15124905
420616	1426	1997-06-09	VYDAJ	PREVOD NA UCET	2681	19123	SIPO	GH	15124905
420617	1426	1997-07-09	VYDAJ	PREVOD NA UCET	2681	20528	SIPO	GH	15124905
420618	1426	1997-08-09	VYDAJ	PREVOD NA UCET	2681	21939	SIPO	GH	15124905
420619	1426	1997-09-09	VYDAJ	PREVOD NA UCET	2681	21994	SIPO	GH	15124905
420620	1426	1997-10-09	VYDAJ	PREVOD NA UCET	2681	23410	SIPO	GH	15124905
420621	1426	1997-11-09	VYDAJ	PREVOD NA UCET	2681	23552	SIPO	GH	15124905
420622	1426	1997-12-09	VYDAJ	PREVOD NA UCET	2681	24375	SIPO	GH	15124905
420623	1426	1998-01-09	VYDAJ	PREVOD NA UCET	2681	23803	SIPO	GH	15124905
420624	1426	1998-02-09	VYDAJ	PREVOD NA UCET	2681	18980	SIPO	GH	15124905
420625	1426	1998-03-09	VYDAJ	PREVOD NA UCET	2681	20383	SIPO	GH	15124905
420626	1426	1998-04-09	VYDAJ	PREVOD NA UCET	2681	21793	SIPO	GH	15124905
420627	1426	1998-05-09	VYDAJ	PREVOD NA UCET	2681	20724	SIPO	GH	15124905
420628	1426	1998-06-09	VYDAJ	PREVOD NA UCET	2681	22135	SIPO	GH	15124905
420629	1426	1998-07-09	VYDAJ	PREVOD NA UCET	2681	23552	SIPO	GH	15124905
420630	1426	1998-08-09	VYDAJ	PREVOD NA UCET	2681	24974	SIPO	GH	15124905
420631	1426	1998-09-09	VYDAJ	PREVOD NA UCET	2681	23043	SIPO	GH	15124905
420632	1426	1998-10-09	VYDAJ	PREVOD NA UCET	2681	21025	SIPO	GH	15124905
420633	1426	1998-11-09	VYDAJ	PREVOD NA UCET	2681	22437	SIPO	GH	15124905
420634	1426	1998-12-09	VYDAJ	PREVOD NA UCET	2681	23855	SIPO	GH	15124905
420640	1426	1996-12-10	VYDAJ	VYBER	1100	15656	\N	\N	\N
420641	1426	1997-12-06	VYDAJ	VYBER	600	23034	\N	\N	\N
420642	1426	1998-12-17	VYDAJ	VYBER	750	23105	\N	\N	\N
420656	1426	1997-01-08	VYDAJ	VYBER	880	18209	\N	\N	\N
420660	1426	1997-01-02	VYDAJ	VYBER	640	15067	\N	\N	\N
420661	1426	1998-01-24	VYDAJ	VYBER	1520	19403	\N	\N	\N
420662	1426	1998-01-15	VYDAJ	VYBER	1200	20923	\N	\N	\N
420663	1426	1998-01-15	VYDAJ	VYBER	1680	22123	\N	\N	\N
420664	1426	1998-01-01	VYDAJ	VYBER	1360	23102	\N	\N	\N
420665	1426	1998-01-03	VYDAJ	VYBER	640	22462	\N	\N	\N
420666	1426	1998-01-28	VYDAJ	VYBER	400	17563	\N	\N	\N
420675	1426	1996-06-20	VYDAJ	VYBER	2160	12846	\N	\N	\N
420676	1426	1996-08-12	VYDAJ	VYBER	1600	14018	\N	\N	\N
420677	1426	1996-09-08	VYDAJ	VYBER	2800	15285	\N	\N	\N
420678	1426	1996-04-30	VYDAJ	VYBER	3440	14909	\N	\N	\N
420679	1426	1996-06-10	VYDAJ	VYBER	2640	15006	\N	\N	\N
420680	1426	1996-03-20	VYDAJ	VYBER	720	16909	\N	\N	\N
420681	1426	1997-01-08	VYDAJ	VYBER	2640	15569	\N	\N	\N
420683	1426	1997-08-25	VYDAJ	VYBER	1360	20579	\N	\N	\N
420684	1426	1997-06-01	VYDAJ	VYBER	720	17782	\N	\N	\N
420685	1426	1997-10-31	VYDAJ	VYBER	1280	22211	\N	\N	\N
420687	1426	1998-09-27	VYDAJ	VYBER	3440	19603	\N	\N	\N
420688	1426	1998-01-27	VYDAJ	VYBER	1440	17963	\N	\N	\N
420689	1426	1998-04-19	VYDAJ	VYBER	2480	19313	\N	\N	\N
420690	1426	1998-09-06	VYDAJ	VYBER	3360	21702	\N	\N	\N
420706	1426	1996-03-31	VYDAJ	VYBER	15	16948	SLUZBY	\N	\N
420707	1426	1996-04-30	VYDAJ	VYBER	15	18349	SLUZBY	\N	\N
420708	1426	1996-05-31	VYDAJ	VYBER	15	16305	SLUZBY	\N	\N
420709	1426	1996-06-30	VYDAJ	VYBER	15	12893	SLUZBY	\N	\N
420710	1426	1996-07-31	VYDAJ	VYBER	15	14277	SLUZBY	\N	\N
420711	1426	1996-08-31	VYDAJ	VYBER	15	14063	SLUZBY	\N	\N
420712	1426	1996-09-30	VYDAJ	VYBER	15	12643	SLUZBY	\N	\N
420713	1426	1996-10-31	VYDAJ	VYBER	15	14026	SLUZBY	\N	\N
420714	1426	1996-11-30	VYDAJ	VYBER	15	15415	SLUZBY	\N	\N
420715	1426	1996-12-31	VYDAJ	VYBER	15	15707	SLUZBY	\N	\N
420716	1426	1997-01-31	VYDAJ	VYBER	15	12930	SLUZBY	\N	\N
420717	1426	1997-02-28	VYDAJ	VYBER	15	14314	SLUZBY	\N	\N
420718	1426	1997-03-31	VYDAJ	VYBER	15	15704	SLUZBY	\N	\N
420719	1426	1997-04-30	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
420720	1426	1997-05-31	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
420721	1426	1997-06-30	VYDAJ	VYBER	15	19187	SLUZBY	\N	\N
420722	1426	1997-07-31	VYDAJ	VYBER	15	20598	SLUZBY	\N	\N
420723	1426	1997-08-31	VYDAJ	VYBER	15	20653	SLUZBY	\N	\N
420724	1426	1997-09-30	VYDAJ	VYBER	15	22069	SLUZBY	\N	\N
420725	1426	1997-10-31	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
420726	1426	1997-11-30	VYDAJ	VYBER	15	23634	SLUZBY	\N	\N
420727	1426	1997-12-31	VYDAJ	VYBER	15	24462	SLUZBY	\N	\N
420728	1426	1998-01-31	VYDAJ	VYBER	15	17639	SLUZBY	\N	\N
420729	1426	1998-02-28	VYDAJ	VYBER	15	19042	SLUZBY	\N	\N
420730	1426	1998-03-31	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
420731	1426	1998-04-30	VYDAJ	VYBER	15	19383	SLUZBY	\N	\N
420732	1426	1998-05-31	VYDAJ	VYBER	15	20794	SLUZBY	\N	\N
420733	1426	1998-06-30	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
420734	1426	1998-07-31	VYDAJ	VYBER	15	23633	SLUZBY	\N	\N
420735	1426	1998-08-31	VYDAJ	VYBER	15	25062	SLUZBY	\N	\N
420736	1426	1998-09-30	VYDAJ	VYBER	15	19684	SLUZBY	\N	\N
420737	1426	1998-10-31	VYDAJ	VYBER	15	21096	SLUZBY	\N	\N
420738	1426	1998-11-30	VYDAJ	VYBER	15	22514	SLUZBY	\N	\N
420773	1427	1995-10-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
420784	1427	1995-11-07	PRIJEM	VKLAD	12138	13138	\N	\N	\N
420785	1427	1995-12-07	PRIJEM	VKLAD	18207	39014	\N	\N	\N
420786	1427	1996-01-07	PRIJEM	VKLAD	12138	46378	\N	\N	\N
420787	1427	1996-02-07	PRIJEM	VKLAD	12138	49298	\N	\N	\N
420788	1427	1996-03-07	PRIJEM	VKLAD	12138	51939	\N	\N	\N
420789	1427	1996-04-07	PRIJEM	VKLAD	12138	50811	\N	\N	\N
420790	1427	1996-05-07	PRIJEM	VKLAD	12138	48777	\N	\N	\N
420791	1427	1996-06-07	PRIJEM	VKLAD	18207	32384	\N	\N	\N
420792	1427	1996-07-07	PRIJEM	VKLAD	12138	41878	\N	\N	\N
420793	1427	1996-08-07	PRIJEM	VKLAD	12138	45198	\N	\N	\N
420794	1427	1996-09-07	PRIJEM	VKLAD	12138	49437	\N	\N	\N
420795	1427	1996-10-07	PRIJEM	VKLAD	12138	49493	\N	\N	\N
420796	1427	1996-11-07	PRIJEM	VKLAD	12138	50791	\N	\N	\N
420797	1427	1996-12-07	PRIJEM	VKLAD	18207	56523	\N	\N	\N
420798	1427	1997-01-07	PRIJEM	VKLAD	12138	52303	\N	\N	\N
420799	1427	1997-02-07	PRIJEM	VKLAD	12138	47065	\N	\N	\N
420800	1427	1997-03-07	PRIJEM	VKLAD	12138	46967	\N	\N	\N
420801	1427	1997-04-07	PRIJEM	VKLAD	12138	48671	\N	\N	\N
420802	1427	1997-05-07	PRIJEM	VKLAD	12138	48400	\N	\N	\N
420803	1427	1997-06-07	PRIJEM	VKLAD	18207	37316	\N	\N	\N
420804	1427	1997-07-07	PRIJEM	VKLAD	12138	45032	\N	\N	\N
420805	1427	1997-08-07	PRIJEM	VKLAD	12138	50265	\N	\N	\N
420806	1427	1997-09-07	PRIJEM	VKLAD	12138	54953	\N	\N	\N
420807	1427	1997-10-07	PRIJEM	VKLAD	12138	54924	\N	\N	\N
420808	1427	1997-11-07	PRIJEM	VKLAD	12138	51235	\N	\N	\N
420809	1427	1997-12-07	PRIJEM	VKLAD	18207	63968	\N	\N	\N
420810	1427	1998-01-07	PRIJEM	VKLAD	12138	54784	\N	\N	\N
420811	1427	1998-02-07	PRIJEM	VKLAD	12138	53587	\N	\N	\N
420812	1427	1998-03-07	PRIJEM	VKLAD	12138	57854	\N	\N	\N
420813	1427	1998-04-07	PRIJEM	VKLAD	12138	55247	\N	\N	\N
420814	1427	1998-05-07	PRIJEM	VKLAD	12138	57319	\N	\N	\N
420815	1427	1998-06-07	PRIJEM	VKLAD	18207	68271	\N	\N	\N
420816	1427	1998-07-07	PRIJEM	VKLAD	12138	56176	\N	\N	\N
420817	1427	1998-08-07	PRIJEM	VKLAD	12138	65359	\N	\N	\N
420818	1427	1998-09-07	PRIJEM	VKLAD	12138	65569	\N	\N	\N
420819	1427	1998-10-07	PRIJEM	VKLAD	12138	67144	\N	\N	\N
420820	1427	1998-11-07	PRIJEM	VKLAD	12138	69563	\N	\N	\N
420821	1427	1998-12-07	PRIJEM	VKLAD	18207	76860	\N	\N	\N
420836	1427	1996-03-08	VYDAJ	PREVOD NA UCET	6046	45893	SIPO	AB	54532253
420837	1427	1996-04-08	VYDAJ	PREVOD NA UCET	6046	44765	SIPO	AB	54532253
420838	1427	1996-05-08	VYDAJ	PREVOD NA UCET	6046	42731	SIPO	AB	54532253
420839	1427	1996-06-08	VYDAJ	PREVOD NA UCET	6046	26338	SIPO	AB	54532253
420840	1427	1996-07-08	VYDAJ	PREVOD NA UCET	6046	35832	SIPO	AB	54532253
420841	1427	1996-08-08	VYDAJ	PREVOD NA UCET	6046	39152	SIPO	AB	54532253
420842	1427	1996-09-08	VYDAJ	PREVOD NA UCET	6046	43391	SIPO	AB	54532253
420843	1427	1996-10-08	VYDAJ	PREVOD NA UCET	6046	43447	SIPO	AB	54532253
420844	1427	1996-11-08	VYDAJ	PREVOD NA UCET	6046	44745	SIPO	AB	54532253
420845	1427	1996-12-08	VYDAJ	PREVOD NA UCET	6046	50477	SIPO	AB	54532253
420846	1427	1997-01-08	VYDAJ	PREVOD NA UCET	6046	40377	SIPO	AB	54532253
420847	1427	1997-02-08	VYDAJ	PREVOD NA UCET	6046	41019	SIPO	AB	54532253
420848	1427	1997-03-08	VYDAJ	PREVOD NA UCET	6046	40921	SIPO	AB	54532253
420849	1427	1997-04-08	VYDAJ	PREVOD NA UCET	6046	42625	SIPO	AB	54532253
420850	1427	1997-05-08	VYDAJ	PREVOD NA UCET	6046	42354	SIPO	AB	54532253
420851	1427	1997-06-08	VYDAJ	PREVOD NA UCET	6046	31270	SIPO	AB	54532253
420852	1427	1997-07-08	VYDAJ	PREVOD NA UCET	6046	38986	SIPO	AB	54532253
420853	1427	1997-08-08	VYDAJ	PREVOD NA UCET	6046	44219	SIPO	AB	54532253
420854	1427	1997-09-08	VYDAJ	PREVOD NA UCET	6046	48907	SIPO	AB	54532253
420855	1427	1997-10-08	VYDAJ	PREVOD NA UCET	6046	48878	SIPO	AB	54532253
420856	1427	1997-11-08	VYDAJ	PREVOD NA UCET	6046	45189	SIPO	AB	54532253
420857	1427	1997-12-08	VYDAJ	PREVOD NA UCET	6046	57922	SIPO	AB	54532253
420858	1427	1998-01-08	VYDAJ	PREVOD NA UCET	6046	48738	SIPO	AB	54532253
420859	1427	1998-02-08	VYDAJ	PREVOD NA UCET	6046	47541	SIPO	AB	54532253
420860	1427	1998-03-08	VYDAJ	PREVOD NA UCET	6046	51808	SIPO	AB	54532253
420861	1427	1998-04-08	VYDAJ	PREVOD NA UCET	6046	49201	SIPO	AB	54532253
420862	1427	1998-05-08	VYDAJ	PREVOD NA UCET	6046	51273	SIPO	AB	54532253
420863	1427	1998-06-08	VYDAJ	PREVOD NA UCET	6046	62225	SIPO	AB	54532253
420864	1427	1998-07-08	VYDAJ	PREVOD NA UCET	6046	50130	SIPO	AB	54532253
420865	1427	1998-08-08	VYDAJ	PREVOD NA UCET	6046	59313	SIPO	AB	54532253
420866	1427	1998-09-08	VYDAJ	PREVOD NA UCET	6046	59523	SIPO	AB	54532253
420867	1427	1998-10-08	VYDAJ	PREVOD NA UCET	6046	61098	SIPO	AB	54532253
420868	1427	1998-11-08	VYDAJ	PREVOD NA UCET	6046	63517	SIPO	AB	54532253
420869	1427	1998-12-08	VYDAJ	PREVOD NA UCET	6046	70814	SIPO	AB	54532253
420871	1427	1996-06-05	VYDAJ	VYBER	23520	14177	\N	\N	\N
420872	1427	1997-06-03	VYDAJ	VYBER	20800	19109	\N	\N	\N
420873	1427	1998-06-09	VYDAJ	VYBER	19360	42865	\N	\N	\N
420875	1427	1996-12-14	VYDAJ	VYBER	1600	48877	\N	\N	\N
420876	1427	1997-12-17	VYDAJ	VYBER	2720	55202	\N	\N	\N
420877	1427	1998-12-14	VYDAJ	VYBER	3680	67134	\N	\N	\N
420890	1427	1997-01-18	VYDAJ	VYBER	1560	36537	\N	\N	\N
420891	1427	1997-01-07	VYDAJ	VYBER	3360	48103	\N	\N	\N
420892	1427	1997-01-07	VYDAJ	VYBER	840	51463	\N	\N	\N
420893	1427	1997-01-24	VYDAJ	VYBER	2760	33777	\N	\N	\N
420894	1427	1997-01-14	VYDAJ	VYBER	2280	38097	\N	\N	\N
420895	1427	1997-01-08	VYDAJ	VYBER	1680	46423	\N	\N	\N
420896	1427	1998-01-27	VYDAJ	VYBER	1560	41278	\N	\N	\N
420897	1427	1998-01-02	VYDAJ	VYBER	3360	45646	\N	\N	\N
420898	1427	1998-01-08	VYDAJ	VYBER	2400	46338	\N	\N	\N
420899	1427	1998-01-04	VYDAJ	VYBER	1800	42646	\N	\N	\N
420900	1427	1998-01-14	VYDAJ	VYBER	1200	45138	\N	\N	\N
420901	1427	1998-01-02	VYDAJ	VYBER	1200	44446	\N	\N	\N
420908	1427	1996-10-24	VYDAJ	VYBER	960	42487	\N	\N	\N
420911	1427	1997-08-12	VYDAJ	VYBER	3360	40859	\N	\N	\N
420912	1427	1997-03-05	VYDAJ	VYBER	2040	34829	\N	\N	\N
420913	1427	1997-11-05	VYDAJ	VYBER	3960	39097	\N	\N	\N
420914	1427	1997-04-12	VYDAJ	VYBER	720	41905	\N	\N	\N
420915	1427	1997-03-17	VYDAJ	VYBER	1440	39481	\N	\N	\N
420916	1427	1998-09-29	VYDAJ	VYBER	3240	54783	\N	\N	\N
420917	1427	1998-03-17	VYDAJ	VYBER	5280	46528	\N	\N	\N
420918	1427	1998-12-28	VYDAJ	VYBER	5640	53394	\N	\N	\N
420934	1427	1996-03-31	VYDAJ	VYBER	15	46073	SLUZBY	\N	\N
420935	1427	1996-04-30	VYDAJ	VYBER	15	44939	SLUZBY	\N	\N
420936	1427	1996-05-31	VYDAJ	VYBER	15	42897	SLUZBY	\N	\N
420937	1427	1996-06-30	VYDAJ	VYBER	15	26440	SLUZBY	\N	\N
420938	1427	1996-07-31	VYDAJ	VYBER	15	35960	SLUZBY	\N	\N
420939	1427	1996-08-31	VYDAJ	VYBER	15	39299	SLUZBY	\N	\N
420940	1427	1996-09-30	VYDAJ	VYBER	15	43555	SLUZBY	\N	\N
420941	1427	1996-10-31	VYDAJ	VYBER	15	42653	SLUZBY	\N	\N
420942	1427	1996-11-30	VYDAJ	VYBER	15	44916	SLUZBY	\N	\N
420943	1427	1996-12-31	VYDAJ	VYBER	15	49065	SLUZBY	\N	\N
420944	1427	1997-01-31	VYDAJ	VYBER	15	34927	SLUZBY	\N	\N
420945	1427	1997-02-28	VYDAJ	VYBER	15	41169	SLUZBY	\N	\N
420946	1427	1997-03-31	VYDAJ	VYBER	15	39633	SLUZBY	\N	\N
420947	1427	1997-04-30	VYDAJ	VYBER	15	36262	SLUZBY	\N	\N
420948	1427	1997-05-31	VYDAJ	VYBER	15	39909	SLUZBY	\N	\N
420949	1427	1997-06-30	VYDAJ	VYBER	15	32894	SLUZBY	\N	\N
420950	1427	1997-07-31	VYDAJ	VYBER	15	38127	SLUZBY	\N	\N
420951	1427	1997-08-31	VYDAJ	VYBER	15	42815	SLUZBY	\N	\N
420952	1427	1997-09-30	VYDAJ	VYBER	15	42786	SLUZBY	\N	\N
420953	1427	1997-10-31	VYDAJ	VYBER	15	43057	SLUZBY	\N	\N
420954	1427	1997-11-30	VYDAJ	VYBER	15	45761	SLUZBY	\N	\N
420955	1427	1997-12-31	VYDAJ	VYBER	15	49006	SLUZBY	\N	\N
420956	1427	1998-01-31	VYDAJ	VYBER	15	41449	SLUZBY	\N	\N
420957	1427	1998-02-28	VYDAJ	VYBER	15	45716	SLUZBY	\N	\N
420958	1427	1998-03-31	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
420959	1427	1998-04-30	VYDAJ	VYBER	15	45181	SLUZBY	\N	\N
420960	1427	1998-05-31	VYDAJ	VYBER	15	50064	SLUZBY	\N	\N
420961	1427	1998-06-30	VYDAJ	VYBER	15	44038	SLUZBY	\N	\N
420962	1427	1998-07-31	VYDAJ	VYBER	15	53221	SLUZBY	\N	\N
420963	1427	1998-08-31	VYDAJ	VYBER	15	53431	SLUZBY	\N	\N
420964	1427	1998-09-30	VYDAJ	VYBER	15	55006	SLUZBY	\N	\N
420965	1427	1998-10-31	VYDAJ	VYBER	15	57425	SLUZBY	\N	\N
420966	1427	1998-11-30	VYDAJ	VYBER	15	58653	SLUZBY	\N	\N
420967	1427	1995-11-07	PRIJEM	VKLAD	7600	20738	\N	\N	\N
420968	1427	1995-12-07	VYDAJ	VYBER	6600	32414	\N	\N	\N
420969	1427	1996-01-06	PRIJEM	VKLAD	1700	34240	\N	\N	\N
420970	1427	1996-02-05	VYDAJ	VYBER	9400	37160	\N	\N	\N
420971	1427	1996-03-06	VYDAJ	VYBER	9700	39801	\N	\N	\N
420972	1427	1996-04-05	VYDAJ	VYBER	7400	38673	\N	\N	\N
420973	1427	1996-05-05	VYDAJ	VYBER	8300	36639	\N	\N	\N
420974	1427	1996-06-04	VYDAJ	VYBER	5200	37697	\N	\N	\N
420975	1427	1996-07-04	PRIJEM	VKLAD	3300	29740	\N	\N	\N
420976	1427	1996-08-03	VYDAJ	VYBER	2900	33060	\N	\N	\N
420977	1427	1996-09-02	VYDAJ	VYBER	2000	37299	\N	\N	\N
420978	1427	1996-10-02	VYDAJ	VYBER	6200	37355	\N	\N	\N
420979	1427	1996-11-01	VYDAJ	VYBER	4000	38653	\N	\N	\N
420980	1427	1996-12-01	VYDAJ	VYBER	6600	38316	\N	\N	\N
420981	1427	1996-12-31	VYDAJ	VYBER	8900	40165	\N	\N	\N
420982	1427	1997-01-30	PRIJEM	VKLAD	1000	34777	\N	\N	\N
420983	1427	1997-03-01	VYDAJ	VYBER	4300	36869	\N	\N	\N
420984	1427	1997-03-31	VYDAJ	VYBER	3100	36533	\N	\N	\N
420985	1427	1997-04-30	VYDAJ	VYBER	5800	36277	\N	\N	\N
420986	1427	1997-05-30	VYDAJ	VYBER	2600	39754	\N	\N	\N
420987	1427	1997-06-29	PRIJEM	VKLAD	1500	32770	\N	\N	\N
420988	1427	1997-07-29	VYDAJ	VYBER	1000	37986	\N	\N	\N
420989	1427	1997-08-28	PRIJEM	VKLAD	1800	42659	\N	\N	\N
420990	1427	1997-09-27	VYDAJ	VYBER	6300	42607	\N	\N	\N
420991	1427	1997-10-27	VYDAJ	VYBER	6000	42878	\N	\N	\N
420992	1427	1997-11-26	PRIJEM	VKLAD	400	45589	\N	\N	\N
420993	1427	1997-12-26	VYDAJ	VYBER	6400	48802	\N	\N	\N
420994	1427	1998-01-25	VYDAJ	VYBER	2300	42838	\N	\N	\N
420995	1427	1998-02-24	VYDAJ	VYBER	2000	45541	\N	\N	\N
420996	1427	1998-03-26	VYDAJ	VYBER	3600	42928	\N	\N	\N
420997	1427	1998-04-25	VYDAJ	VYBER	4200	45001	\N	\N	\N
420998	1427	1998-05-25	VYDAJ	VYBER	1400	49873	\N	\N	\N
420999	1427	1998-06-24	PRIJEM	VKLAD	1000	43865	\N	\N	\N
421000	1427	1998-07-24	PRIJEM	VKLAD	2900	53030	\N	\N	\N
421001	1427	1998-08-23	VYDAJ	VYBER	6100	53213	\N	\N	\N
421002	1427	1998-09-22	VYDAJ	VYBER	1500	58023	\N	\N	\N
421003	1427	1998-10-22	VYDAJ	VYBER	3900	57198	\N	\N	\N
421004	1427	1998-11-21	VYDAJ	VYBER	5100	58417	\N	\N	\N
421005	1427	1998-12-21	VYDAJ	VYBER	8100	59034	\N	\N	\N
421287	1429	1993-07-30	PRIJEM	VKLAD	1100	1100	\N	\N	\N
421295	1429	1993-08-05	PRIJEM	PREVOD Z UCTU	3250	4350	\N	ST	70004778
421296	1429	1993-09-05	PRIJEM	PREVOD Z UCTU	3250	7600	\N	ST	70004778
421297	1429	1993-10-05	PRIJEM	PREVOD Z UCTU	3250	10850	\N	ST	70004778
421298	1429	1993-11-05	PRIJEM	PREVOD Z UCTU	3250	14100	\N	ST	70004778
421299	1429	1993-12-05	PRIJEM	PREVOD Z UCTU	3250	17350	\N	ST	70004778
421300	1429	1994-01-05	PRIJEM	PREVOD Z UCTU	3250	18482	\N	ST	70004778
421301	1429	1994-02-05	PRIJEM	PREVOD Z UCTU	3250	16195	\N	ST	70004778
421302	1429	1994-03-05	PRIJEM	PREVOD Z UCTU	3250	17330	\N	ST	70004778
421303	1429	1994-04-05	PRIJEM	PREVOD Z UCTU	3250	18462	\N	ST	70004778
421304	1429	1994-05-05	PRIJEM	PREVOD Z UCTU	3250	19606	\N	ST	70004778
421305	1429	1994-06-05	PRIJEM	PREVOD Z UCTU	3250	19543	\N	ST	70004778
421306	1429	1994-07-05	PRIJEM	PREVOD Z UCTU	3250	19963	\N	ST	70004778
421307	1429	1994-08-05	PRIJEM	PREVOD Z UCTU	3250	20569	\N	ST	70004778
421308	1429	1994-09-05	PRIJEM	PREVOD Z UCTU	3250	21715	\N	ST	70004778
421309	1429	1994-10-05	PRIJEM	PREVOD Z UCTU	3250	22865	\N	ST	70004778
421310	1429	1994-11-05	PRIJEM	PREVOD Z UCTU	3250	24027	\N	ST	70004778
421311	1429	1994-12-05	PRIJEM	PREVOD Z UCTU	3250	23988	\N	ST	70004778
421312	1429	1995-01-05	PRIJEM	PREVOD Z UCTU	3250	25155	\N	ST	70004778
421313	1429	1995-02-05	PRIJEM	PREVOD Z UCTU	3250	20971	\N	ST	70004778
421314	1429	1995-03-05	PRIJEM	PREVOD Z UCTU	3250	21942	\N	ST	70004778
421315	1429	1995-04-05	PRIJEM	PREVOD Z UCTU	3250	23093	\N	ST	70004778
421316	1429	1995-05-05	PRIJEM	PREVOD Z UCTU	3250	22084	\N	ST	70004778
421317	1429	1995-06-05	PRIJEM	PREVOD Z UCTU	3250	22845	\N	ST	70004778
421318	1429	1995-07-05	PRIJEM	PREVOD Z UCTU	3250	24000	\N	ST	70004778
421319	1429	1995-08-05	PRIJEM	PREVOD Z UCTU	3250	23762	\N	ST	70004778
421320	1429	1995-09-05	PRIJEM	PREVOD Z UCTU	3250	24928	\N	ST	70004778
421321	1429	1995-10-05	PRIJEM	PREVOD Z UCTU	3250	25991	\N	ST	70004778
421322	1429	1995-11-05	PRIJEM	PREVOD Z UCTU	3250	27166	\N	ST	70004778
421323	1429	1995-12-05	PRIJEM	PREVOD Z UCTU	3250	28346	\N	ST	70004778
421324	1429	1996-01-05	PRIJEM	PREVOD Z UCTU	3250	28625	\N	ST	70004778
421325	1429	1996-02-05	PRIJEM	PREVOD Z UCTU	3250	24561	\N	ST	70004778
421326	1429	1996-03-05	PRIJEM	PREVOD Z UCTU	3250	25172	\N	ST	70004778
421327	1429	1996-04-05	PRIJEM	PREVOD Z UCTU	3250	25838	\N	ST	70004778
421328	1429	1996-05-05	PRIJEM	PREVOD Z UCTU	3250	27012	\N	ST	70004778
421329	1429	1996-06-05	PRIJEM	PREVOD Z UCTU	3250	23572	\N	ST	70004778
421330	1429	1996-07-05	PRIJEM	PREVOD Z UCTU	3250	24739	\N	ST	70004778
421331	1429	1996-08-05	PRIJEM	PREVOD Z UCTU	3250	25901	\N	ST	70004778
421332	1429	1996-09-05	PRIJEM	PREVOD Z UCTU	3250	27076	\N	ST	70004778
421333	1429	1996-10-05	PRIJEM	PREVOD Z UCTU	3250	27919	\N	ST	70004778
421334	1429	1996-11-05	PRIJEM	PREVOD Z UCTU	3250	28464	\N	ST	70004778
421335	1429	1996-12-05	PRIJEM	PREVOD Z UCTU	3250	29109	\N	ST	70004778
421336	1429	1997-01-05	PRIJEM	PREVOD Z UCTU	3250	29965	\N	ST	70004778
421337	1429	1997-02-05	PRIJEM	PREVOD Z UCTU	3250	25164	\N	ST	70004778
421338	1429	1997-03-05	PRIJEM	PREVOD Z UCTU	3250	26335	\N	ST	70004778
421339	1429	1997-04-05	PRIJEM	PREVOD Z UCTU	3250	27511	\N	ST	70004778
421340	1429	1997-05-05	PRIJEM	PREVOD Z UCTU	3250	28684	\N	ST	70004778
421341	1429	1997-06-05	PRIJEM	PREVOD Z UCTU	3250	25249	\N	ST	70004778
421342	1429	1997-07-05	PRIJEM	PREVOD Z UCTU	3250	26416	\N	ST	70004778
421343	1429	1997-08-05	PRIJEM	PREVOD Z UCTU	3250	27591	\N	ST	70004778
421344	1429	1997-09-05	PRIJEM	PREVOD Z UCTU	3250	28765	\N	ST	70004778
421345	1429	1997-10-05	PRIJEM	PREVOD Z UCTU	3250	29552	\N	ST	70004778
421346	1429	1997-11-05	PRIJEM	PREVOD Z UCTU	3250	30165	\N	ST	70004778
421347	1429	1997-12-05	PRIJEM	PREVOD Z UCTU	3250	31176	\N	ST	70004778
421348	1429	1998-01-05	PRIJEM	PREVOD Z UCTU	3250	30918	\N	ST	70004778
421349	1429	1998-02-05	PRIJEM	PREVOD Z UCTU	3250	26576	\N	ST	70004778
421350	1429	1998-03-05	PRIJEM	PREVOD Z UCTU	3250	27122	\N	ST	70004778
421351	1429	1998-04-05	PRIJEM	PREVOD Z UCTU	3250	28301	\N	ST	70004778
421352	1429	1998-05-05	PRIJEM	PREVOD Z UCTU	3250	29334	\N	ST	70004778
421353	1429	1998-06-05	PRIJEM	PREVOD Z UCTU	3250	28834	\N	ST	70004778
421354	1429	1998-07-05	PRIJEM	PREVOD Z UCTU	3250	28424	\N	ST	70004778
421355	1429	1998-08-05	PRIJEM	PREVOD Z UCTU	3250	29607	\N	ST	70004778
421356	1429	1998-09-05	PRIJEM	PREVOD Z UCTU	3250	30795	\N	ST	70004778
421357	1429	1998-10-05	PRIJEM	PREVOD Z UCTU	3250	31988	\N	ST	70004778
421358	1429	1998-11-05	PRIJEM	PREVOD Z UCTU	3250	33179	\N	ST	70004778
421359	1429	1998-12-05	PRIJEM	PREVOD Z UCTU	3250	31519	\N	ST	70004778
421371	1429	1993-12-05	VYDAJ	PREVOD NA UCET	2166	15184	SIPO	EF	8150911
421372	1429	1994-01-05	VYDAJ	PREVOD NA UCET	2166	16316	SIPO	EF	8150911
421373	1429	1994-02-05	VYDAJ	PREVOD NA UCET	2166	14029	SIPO	EF	8150911
421374	1429	1994-03-05	VYDAJ	PREVOD NA UCET	2166	15164	SIPO	EF	8150911
421375	1429	1994-04-05	VYDAJ	PREVOD NA UCET	2166	16296	SIPO	EF	8150911
421376	1429	1994-05-05	VYDAJ	PREVOD NA UCET	2166	17440	SIPO	EF	8150911
421377	1429	1994-06-05	VYDAJ	PREVOD NA UCET	2166	17377	SIPO	EF	8150911
421378	1429	1994-07-05	VYDAJ	PREVOD NA UCET	2166	17797	SIPO	EF	8150911
421379	1429	1994-08-05	VYDAJ	PREVOD NA UCET	2166	18403	SIPO	EF	8150911
421380	1429	1994-09-05	VYDAJ	PREVOD NA UCET	2166	19549	SIPO	EF	8150911
421381	1429	1994-10-05	VYDAJ	PREVOD NA UCET	2166	20699	SIPO	EF	8150911
421382	1429	1994-11-05	VYDAJ	PREVOD NA UCET	2166	21861	SIPO	EF	8150911
421383	1429	1994-12-05	VYDAJ	PREVOD NA UCET	2166	21822	SIPO	EF	8150911
421384	1429	1995-01-05	VYDAJ	PREVOD NA UCET	2166	22989	SIPO	EF	8150911
421385	1429	1995-02-05	VYDAJ	PREVOD NA UCET	2166	18805	SIPO	EF	8150911
421386	1429	1995-03-05	VYDAJ	PREVOD NA UCET	2166	19776	SIPO	EF	8150911
421387	1429	1995-04-05	VYDAJ	PREVOD NA UCET	2166	20927	SIPO	EF	8150911
421388	1429	1995-05-05	VYDAJ	PREVOD NA UCET	2166	19918	SIPO	EF	8150911
421389	1429	1995-06-05	VYDAJ	PREVOD NA UCET	2166	20679	SIPO	EF	8150911
421390	1429	1995-07-05	VYDAJ	PREVOD NA UCET	2166	21834	SIPO	EF	8150911
421391	1429	1995-08-05	VYDAJ	PREVOD NA UCET	2166	21596	SIPO	EF	8150911
421392	1429	1995-09-05	VYDAJ	PREVOD NA UCET	2166	22762	SIPO	EF	8150911
421393	1429	1995-10-05	VYDAJ	PREVOD NA UCET	2166	23825	SIPO	EF	8150911
421394	1429	1995-11-05	VYDAJ	PREVOD NA UCET	2166	25000	SIPO	EF	8150911
421395	1429	1995-12-05	VYDAJ	PREVOD NA UCET	2166	26180	SIPO	EF	8150911
421396	1429	1996-01-05	VYDAJ	PREVOD NA UCET	2166	26459	SIPO	EF	8150911
421397	1429	1996-02-05	VYDAJ	PREVOD NA UCET	2166	22395	SIPO	EF	8150911
421398	1429	1996-03-05	VYDAJ	PREVOD NA UCET	2166	23006	SIPO	EF	8150911
421399	1429	1996-04-05	VYDAJ	PREVOD NA UCET	2166	23672	SIPO	EF	8150911
421400	1429	1996-05-05	VYDAJ	PREVOD NA UCET	2166	24846	SIPO	EF	8150911
421401	1429	1996-06-05	VYDAJ	PREVOD NA UCET	2166	21406	SIPO	EF	8150911
421402	1429	1996-07-05	VYDAJ	PREVOD NA UCET	2166	22573	SIPO	EF	8150911
421403	1429	1996-08-05	VYDAJ	PREVOD NA UCET	2166	23735	SIPO	EF	8150911
421404	1429	1996-09-05	VYDAJ	PREVOD NA UCET	2166	24910	SIPO	EF	8150911
421405	1429	1996-10-05	VYDAJ	PREVOD NA UCET	2166	25753	SIPO	EF	8150911
421406	1429	1996-11-05	VYDAJ	PREVOD NA UCET	2166	26298	SIPO	EF	8150911
421407	1429	1996-12-05	VYDAJ	PREVOD NA UCET	2166	26943	SIPO	EF	8150911
421408	1429	1997-01-05	VYDAJ	PREVOD NA UCET	2166	27799	SIPO	EF	8150911
421409	1429	1997-02-05	VYDAJ	PREVOD NA UCET	2166	22998	SIPO	EF	8150911
421410	1429	1997-03-05	VYDAJ	PREVOD NA UCET	2166	24169	SIPO	EF	8150911
421411	1429	1997-04-05	VYDAJ	PREVOD NA UCET	2166	25345	SIPO	EF	8150911
421412	1429	1997-05-05	VYDAJ	PREVOD NA UCET	2166	26518	SIPO	EF	8150911
421413	1429	1997-06-05	VYDAJ	PREVOD NA UCET	2166	23083	SIPO	EF	8150911
421414	1429	1997-07-05	VYDAJ	PREVOD NA UCET	2166	24250	SIPO	EF	8150911
421415	1429	1997-08-05	VYDAJ	PREVOD NA UCET	2166	25425	SIPO	EF	8150911
421416	1429	1997-09-05	VYDAJ	PREVOD NA UCET	2166	26599	SIPO	EF	8150911
421417	1429	1997-10-05	VYDAJ	PREVOD NA UCET	2166	27386	SIPO	EF	8150911
421418	1429	1997-11-05	VYDAJ	PREVOD NA UCET	2166	27999	SIPO	EF	8150911
421419	1429	1997-12-05	VYDAJ	PREVOD NA UCET	2166	29010	SIPO	EF	8150911
421420	1429	1998-01-05	VYDAJ	PREVOD NA UCET	2166	28752	SIPO	EF	8150911
421421	1429	1998-02-05	VYDAJ	PREVOD NA UCET	2166	24410	SIPO	EF	8150911
421422	1429	1998-03-05	VYDAJ	PREVOD NA UCET	2166	24956	SIPO	EF	8150911
421423	1429	1998-04-05	VYDAJ	PREVOD NA UCET	2166	26135	SIPO	EF	8150911
421424	1429	1998-05-05	VYDAJ	PREVOD NA UCET	2166	27168	SIPO	EF	8150911
421425	1429	1998-06-05	VYDAJ	PREVOD NA UCET	2166	26668	SIPO	EF	8150911
421426	1429	1998-07-05	VYDAJ	PREVOD NA UCET	2166	26258	SIPO	EF	8150911
421427	1429	1998-08-05	VYDAJ	PREVOD NA UCET	2166	27441	SIPO	EF	8150911
421428	1429	1998-09-05	VYDAJ	PREVOD NA UCET	2166	28629	SIPO	EF	8150911
421429	1429	1998-10-05	VYDAJ	PREVOD NA UCET	2166	29822	SIPO	EF	8150911
421430	1429	1998-11-05	VYDAJ	PREVOD NA UCET	2166	31013	SIPO	EF	8150911
421431	1429	1998-12-05	VYDAJ	PREVOD NA UCET	2166	29353	SIPO	EF	8150911
421435	1429	1996-06-03	VYDAJ	VYBER	4620	20322	\N	\N	\N
421436	1429	1997-06-01	VYDAJ	VYBER	4620	21999	\N	\N	\N
421437	1429	1998-06-19	VYDAJ	VYBER	1590	25078	\N	\N	\N
421440	1429	1995-01-27	VYDAJ	VYBER	2370	17649	\N	\N	\N
421441	1429	1996-01-11	VYDAJ	VYBER	1860	23579	\N	\N	\N
421442	1429	1997-01-13	VYDAJ	VYBER	1470	24109	\N	\N	\N
421443	1429	1998-01-25	VYDAJ	VYBER	1830	23952	\N	\N	\N
421450	1429	1994-01-19	VYDAJ	VYBER	390	14306	\N	\N	\N
421451	1429	1994-01-30	VYDAJ	VYBER	240	14066	\N	\N	\N
421452	1429	1994-01-18	VYDAJ	VYBER	840	14696	\N	\N	\N
421453	1429	1994-01-30	VYDAJ	VYBER	450	12896	\N	\N	\N
421454	1429	1994-01-30	VYDAJ	VYBER	720	13346	\N	\N	\N
421455	1429	1994-01-09	VYDAJ	VYBER	780	15536	\N	\N	\N
421456	1429	1995-01-07	VYDAJ	VYBER	510	22479	\N	\N	\N
421457	1429	1995-01-09	VYDAJ	VYBER	270	22209	\N	\N	\N
421458	1429	1995-01-15	VYDAJ	VYBER	480	20019	\N	\N	\N
421459	1429	1995-01-11	VYDAJ	VYBER	870	21339	\N	\N	\N
421460	1429	1995-01-12	VYDAJ	VYBER	360	20979	\N	\N	\N
421461	1429	1995-01-15	VYDAJ	VYBER	480	20499	\N	\N	\N
421462	1429	1996-01-26	VYDAJ	VYBER	420	21829	\N	\N	\N
421463	1429	1996-01-13	VYDAJ	VYBER	150	23429	\N	\N	\N
421464	1429	1996-01-06	VYDAJ	VYBER	240	26219	\N	\N	\N
421465	1429	1996-01-28	VYDAJ	VYBER	600	21229	\N	\N	\N
421466	1429	1996-01-18	VYDAJ	VYBER	780	22249	\N	\N	\N
421467	1429	1996-01-06	VYDAJ	VYBER	780	25439	\N	\N	\N
421468	1429	1997-01-22	VYDAJ	VYBER	510	21829	\N	\N	\N
421469	1429	1997-01-22	VYDAJ	VYBER	720	22339	\N	\N	\N
421470	1429	1997-01-17	VYDAJ	VYBER	210	23899	\N	\N	\N
421471	1429	1997-01-08	VYDAJ	VYBER	480	25579	\N	\N	\N
421472	1429	1997-01-20	VYDAJ	VYBER	840	23059	\N	\N	\N
421473	1429	1997-01-05	VYDAJ	VYBER	420	27379	\N	\N	\N
421474	1429	1998-01-13	VYDAJ	VYBER	660	27282	\N	\N	\N
421475	1429	1998-01-23	VYDAJ	VYBER	390	25782	\N	\N	\N
421476	1429	1998-01-25	VYDAJ	VYBER	720	23232	\N	\N	\N
421477	1429	1998-01-08	VYDAJ	VYBER	540	27942	\N	\N	\N
421478	1429	1998-01-07	VYDAJ	VYBER	270	28482	\N	\N	\N
421479	1429	1998-01-21	VYDAJ	VYBER	840	26172	\N	\N	\N
421487	1429	1994-11-17	VYDAJ	VYBER	1200	20661	\N	\N	\N
421488	1429	1994-06-07	VYDAJ	VYBER	720	16657	\N	\N	\N
421489	1429	1994-05-07	VYDAJ	VYBER	1200	16240	\N	\N	\N
421490	1429	1994-07-20	VYDAJ	VYBER	540	17257	\N	\N	\N
421491	1429	1995-05-18	VYDAJ	VYBER	390	19528	\N	\N	\N
421492	1429	1995-02-18	VYDAJ	VYBER	180	18625	\N	\N	\N
421493	1429	1995-04-16	VYDAJ	VYBER	1080	19847	\N	\N	\N
421494	1429	1995-04-19	VYDAJ	VYBER	1080	18767	\N	\N	\N
421495	1429	1996-12-27	VYDAJ	VYBER	330	26613	\N	\N	\N
421496	1429	1996-09-14	VYDAJ	VYBER	330	24580	\N	\N	\N
421497	1429	1996-11-03	VYDAJ	VYBER	630	25214	\N	\N	\N
421498	1429	1996-02-26	VYDAJ	VYBER	150	21845	\N	\N	\N
421499	1429	1996-11-28	VYDAJ	VYBER	540	25758	\N	\N	\N
421500	1429	1997-11-28	VYDAJ	VYBER	180	27819	\N	\N	\N
421501	1429	1997-01-07	VYDAJ	VYBER	1320	26059	\N	\N	\N
421502	1429	1997-09-26	VYDAJ	VYBER	390	26209	\N	\N	\N
421503	1429	1997-10-14	VYDAJ	VYBER	570	26816	\N	\N	\N
421504	1429	1997-12-05	VYDAJ	VYBER	1440	27570	\N	\N	\N
421505	1429	1998-01-15	VYDAJ	VYBER	270	27012	\N	\N	\N
421506	1429	1998-06-04	VYDAJ	VYBER	1170	25584	\N	\N	\N
421507	1429	1998-11-23	VYDAJ	VYBER	1380	28163	\N	\N	\N
421508	1429	1998-03-04	VYDAJ	VYBER	630	23872	\N	\N	\N
421509	1429	1998-11-09	VYDAJ	VYBER	1470	29543	\N	\N	\N
421510	1429	1998-04-29	VYDAJ	VYBER	150	25985	\N	\N	\N
421511	1429	1998-05-10	VYDAJ	VYBER	510	26658	\N	\N	\N
421524	1429	1993-12-31	VYDAJ	VYBER	15	15232	SLUZBY	\N	\N
421525	1429	1994-01-31	VYDAJ	VYBER	15	12945	SLUZBY	\N	\N
421526	1429	1994-02-28	VYDAJ	VYBER	15	14080	SLUZBY	\N	\N
421527	1429	1994-03-31	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
421528	1429	1994-04-30	VYDAJ	VYBER	15	16356	SLUZBY	\N	\N
421529	1429	1994-05-31	VYDAJ	VYBER	15	16293	SLUZBY	\N	\N
421530	1429	1994-06-30	VYDAJ	VYBER	15	16713	SLUZBY	\N	\N
421531	1429	1994-07-31	VYDAJ	VYBER	15	17319	SLUZBY	\N	\N
421532	1429	1994-08-31	VYDAJ	VYBER	15	18465	SLUZBY	\N	\N
421533	1429	1994-09-30	VYDAJ	VYBER	15	19615	SLUZBY	\N	\N
421534	1429	1994-10-31	VYDAJ	VYBER	15	20777	SLUZBY	\N	\N
421535	1429	1994-11-30	VYDAJ	VYBER	15	20738	SLUZBY	\N	\N
421536	1429	1994-12-31	VYDAJ	VYBER	15	21905	SLUZBY	\N	\N
421537	1429	1995-01-31	VYDAJ	VYBER	15	17721	SLUZBY	\N	\N
421538	1429	1995-02-28	VYDAJ	VYBER	15	18692	SLUZBY	\N	\N
421539	1429	1995-03-31	VYDAJ	VYBER	15	19843	SLUZBY	\N	\N
421540	1429	1995-04-30	VYDAJ	VYBER	15	18834	SLUZBY	\N	\N
421541	1429	1995-05-31	VYDAJ	VYBER	15	19595	SLUZBY	\N	\N
421542	1429	1995-06-30	VYDAJ	VYBER	15	20750	SLUZBY	\N	\N
421543	1429	1995-07-31	VYDAJ	VYBER	15	20512	SLUZBY	\N	\N
421544	1429	1995-08-31	VYDAJ	VYBER	15	21678	SLUZBY	\N	\N
421545	1429	1995-09-30	VYDAJ	VYBER	15	22741	SLUZBY	\N	\N
421546	1429	1995-10-31	VYDAJ	VYBER	15	23916	SLUZBY	\N	\N
421547	1429	1995-11-30	VYDAJ	VYBER	15	25096	SLUZBY	\N	\N
421548	1429	1995-12-31	VYDAJ	VYBER	15	25375	SLUZBY	\N	\N
421549	1429	1996-01-31	VYDAJ	VYBER	15	21311	SLUZBY	\N	\N
421550	1429	1996-02-29	VYDAJ	VYBER	15	21922	SLUZBY	\N	\N
421551	1429	1996-03-31	VYDAJ	VYBER	15	22588	SLUZBY	\N	\N
421552	1429	1996-04-30	VYDAJ	VYBER	15	23762	SLUZBY	\N	\N
421553	1429	1996-05-31	VYDAJ	VYBER	15	24942	SLUZBY	\N	\N
421554	1429	1996-06-30	VYDAJ	VYBER	15	21489	SLUZBY	\N	\N
421555	1429	1996-07-31	VYDAJ	VYBER	15	22651	SLUZBY	\N	\N
421556	1429	1996-08-31	VYDAJ	VYBER	15	23826	SLUZBY	\N	\N
421557	1429	1996-09-30	VYDAJ	VYBER	15	24669	SLUZBY	\N	\N
421558	1429	1996-10-31	VYDAJ	VYBER	15	25844	SLUZBY	\N	\N
421559	1429	1996-11-30	VYDAJ	VYBER	15	25859	SLUZBY	\N	\N
421560	1429	1996-12-31	VYDAJ	VYBER	15	26715	SLUZBY	\N	\N
421561	1429	1997-01-31	VYDAJ	VYBER	15	21914	SLUZBY	\N	\N
421562	1429	1997-02-28	VYDAJ	VYBER	15	23085	SLUZBY	\N	\N
421563	1429	1997-03-31	VYDAJ	VYBER	15	24261	SLUZBY	\N	\N
421564	1429	1997-04-30	VYDAJ	VYBER	15	25434	SLUZBY	\N	\N
421565	1429	1997-05-31	VYDAJ	VYBER	15	26619	SLUZBY	\N	\N
421566	1429	1997-06-30	VYDAJ	VYBER	15	23166	SLUZBY	\N	\N
421567	1429	1997-07-31	VYDAJ	VYBER	15	24341	SLUZBY	\N	\N
421568	1429	1997-08-31	VYDAJ	VYBER	15	25515	SLUZBY	\N	\N
421569	1429	1997-09-30	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
421570	1429	1997-10-31	VYDAJ	VYBER	15	26915	SLUZBY	\N	\N
421571	1429	1997-11-30	VYDAJ	VYBER	15	27926	SLUZBY	\N	\N
421572	1429	1997-12-31	VYDAJ	VYBER	15	27668	SLUZBY	\N	\N
421573	1429	1998-01-31	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
421574	1429	1998-02-28	VYDAJ	VYBER	15	24502	SLUZBY	\N	\N
421575	1429	1998-03-31	VYDAJ	VYBER	15	25051	SLUZBY	\N	\N
421576	1429	1998-04-30	VYDAJ	VYBER	15	26084	SLUZBY	\N	\N
421577	1429	1998-05-31	VYDAJ	VYBER	15	26754	SLUZBY	\N	\N
421578	1429	1998-06-30	VYDAJ	VYBER	15	25174	SLUZBY	\N	\N
421579	1429	1998-07-31	VYDAJ	VYBER	15	26357	SLUZBY	\N	\N
421580	1429	1998-08-31	VYDAJ	VYBER	15	27545	SLUZBY	\N	\N
421581	1429	1998-09-30	VYDAJ	VYBER	15	28738	SLUZBY	\N	\N
421582	1429	1998-10-31	VYDAJ	VYBER	15	29929	SLUZBY	\N	\N
421583	1429	1998-11-30	VYDAJ	VYBER	15	28269	SLUZBY	\N	\N
421584	1429	1995-07-20	VYDAJ	VYBER	1400	20434	\N	\N	\N
421585	1429	1995-09-18	VYDAJ	VYBER	100	22662	\N	\N	\N
421586	1429	1995-12-17	VYDAJ	VYBER	900	25280	\N	\N	\N
421587	1429	1996-01-16	VYDAJ	VYBER	400	23029	\N	\N	\N
421588	1429	1996-02-15	VYDAJ	VYBER	400	21995	\N	\N	\N
421589	1429	1996-03-16	VYDAJ	VYBER	500	22506	\N	\N	\N
421651	1430	1997-02-13	PRIJEM	VKLAD	800	800	\N	\N	\N
421726	1430	1997-03-15	PRIJEM	VKLAD	13000	13800	\N	\N	\N
421727	1430	1997-04-14	PRIJEM	VKLAD	3800	17600	\N	\N	\N
421728	1430	1997-05-14	PRIJEM	VKLAD	2000	19600	\N	\N	\N
421729	1430	1997-06-13	PRIJEM	VKLAD	1500	21100	\N	\N	\N
421730	1430	1997-07-13	PRIJEM	VKLAD	500	21600	\N	\N	\N
421731	1430	1997-08-12	PRIJEM	VKLAD	1300	22900	\N	\N	\N
421732	1430	1997-09-11	VYDAJ	VYBER	3900	19000	\N	\N	\N
421733	1430	1997-10-11	VYDAJ	VYBER	6000	13000	\N	\N	\N
421734	1430	1997-11-10	VYDAJ	VYBER	1100	11900	\N	\N	\N
421735	1430	1998-01-09	VYDAJ	VYBER	1900	10000	\N	\N	\N
421736	1430	1998-02-08	PRIJEM	VKLAD	1000	11000	\N	\N	\N
421737	1431	1996-06-11	PRIJEM	VKLAD	200	200	\N	\N	\N
421738	1431	1996-09-17	PRIJEM	VKLAD	21937	42030	\N	\N	\N
421740	1431	1997-03-12	PRIJEM	VKLAD	15015	26731	\N	\N	\N
421741	1431	1997-03-14	PRIJEM	VKLAD	31779	59310	\N	\N	\N
421742	1431	1998-09-05	PRIJEM	VKLAD	36750	51211	\N	\N	\N
421743	1431	1998-05-13	PRIJEM	VKLAD	40292	51190	\N	\N	\N
421749	1431	1996-06-16	PRIJEM	VKLAD	800	1000	\N	\N	\N
421750	1431	1996-07-15	PRIJEM	VKLAD	800	12504	\N	\N	\N
421751	1431	1996-08-15	PRIJEM	VKLAD	800	17639	\N	\N	\N
421752	1431	1996-09-16	PRIJEM	VKLAD	800	20093	\N	\N	\N
421753	1431	1996-10-15	PRIJEM	VKLAD	800	34491	\N	\N	\N
421754	1431	1996-11-16	PRIJEM	VKLAD	800	28732	\N	\N	\N
421755	1431	1996-12-17	PRIJEM	VKLAD	800	23254	\N	\N	\N
421756	1431	1997-01-16	PRIJEM	VKLAD	800	19345	\N	\N	\N
421757	1431	1997-02-15	PRIJEM	VKLAD	800	14765	\N	\N	\N
421758	1431	1997-03-13	PRIJEM	VKLAD	800	27531	\N	\N	\N
421759	1431	1997-04-13	PRIJEM	VKLAD	800	39769	\N	\N	\N
421760	1431	1997-05-17	PRIJEM	VKLAD	800	27153	\N	\N	\N
421761	1431	1997-06-15	PRIJEM	VKLAD	800	18572	\N	\N	\N
421762	1431	1997-07-17	PRIJEM	VKLAD	800	15443	\N	\N	\N
421763	1431	1997-08-16	PRIJEM	VKLAD	800	12404	\N	\N	\N
421764	1431	1997-09-13	PRIJEM	VKLAD	800	14445	\N	\N	\N
421765	1431	1997-10-14	PRIJEM	VKLAD	800	12091	\N	\N	\N
421766	1431	1997-11-15	PRIJEM	VKLAD	800	14135	\N	\N	\N
421767	1431	1997-12-15	PRIJEM	VKLAD	800	11979	\N	\N	\N
421768	1431	1998-01-16	PRIJEM	VKLAD	800	14623	\N	\N	\N
421769	1431	1998-02-17	PRIJEM	VKLAD	800	12466	\N	\N	\N
421770	1431	1998-03-13	PRIJEM	VKLAD	800	13608	\N	\N	\N
421771	1431	1998-04-17	PRIJEM	VKLAD	800	12453	\N	\N	\N
421772	1431	1998-05-15	PRIJEM	VKLAD	800	51990	\N	\N	\N
421773	1431	1998-06-16	PRIJEM	VKLAD	800	34932	\N	\N	\N
421774	1431	1998-07-14	PRIJEM	VKLAD	800	13767	\N	\N	\N
421775	1431	1998-08-14	PRIJEM	VKLAD	800	12016	\N	\N	\N
421776	1431	1998-09-13	PRIJEM	VKLAD	800	52011	\N	\N	\N
421777	1431	1998-10-14	PRIJEM	VKLAD	800	34248	\N	\N	\N
421778	1431	1998-11-16	PRIJEM	VKLAD	800	26477	\N	\N	\N
421779	1431	1998-12-16	PRIJEM	VKLAD	800	20572	\N	\N	\N
421785	1431	1996-06-18	PRIJEM	VKLAD	1200	2200	\N	\N	\N
421786	1431	1996-07-18	PRIJEM	VKLAD	1200	13704	\N	\N	\N
421787	1431	1996-08-18	PRIJEM	VKLAD	1200	18839	\N	\N	\N
421788	1431	1996-09-18	PRIJEM	VKLAD	1200	43230	\N	\N	\N
421789	1431	1996-10-18	PRIJEM	VKLAD	1200	35691	\N	\N	\N
421790	1431	1996-11-18	PRIJEM	VKLAD	1200	29932	\N	\N	\N
421791	1431	1996-12-18	PRIJEM	VKLAD	1200	24454	\N	\N	\N
421792	1431	1997-01-18	PRIJEM	VKLAD	1200	20545	\N	\N	\N
421793	1431	1997-02-18	PRIJEM	VKLAD	1200	15965	\N	\N	\N
421794	1431	1997-03-18	PRIJEM	VKLAD	1200	60510	\N	\N	\N
421795	1431	1997-04-18	PRIJEM	VKLAD	1200	40969	\N	\N	\N
421796	1431	1997-05-18	PRIJEM	VKLAD	1200	28353	\N	\N	\N
421797	1431	1997-06-18	PRIJEM	VKLAD	1200	19772	\N	\N	\N
421798	1431	1997-07-18	PRIJEM	VKLAD	1200	16643	\N	\N	\N
421799	1431	1997-08-18	PRIJEM	VKLAD	1200	13604	\N	\N	\N
421800	1431	1997-09-18	PRIJEM	VKLAD	1200	15645	\N	\N	\N
421801	1431	1997-10-18	PRIJEM	VKLAD	1200	13291	\N	\N	\N
421802	1431	1997-11-18	PRIJEM	VKLAD	1200	15335	\N	\N	\N
421803	1431	1997-12-18	PRIJEM	VKLAD	1200	13179	\N	\N	\N
421804	1431	1998-01-18	PRIJEM	VKLAD	1200	14723	\N	\N	\N
421805	1431	1998-02-18	PRIJEM	VKLAD	1200	13666	\N	\N	\N
421806	1431	1998-03-18	PRIJEM	VKLAD	1200	14808	\N	\N	\N
421807	1431	1998-04-18	PRIJEM	VKLAD	1200	13653	\N	\N	\N
421808	1431	1998-05-18	PRIJEM	VKLAD	1200	53190	\N	\N	\N
421809	1431	1998-06-18	PRIJEM	VKLAD	1200	36132	\N	\N	\N
421810	1431	1998-07-18	PRIJEM	VKLAD	1200	14967	\N	\N	\N
421811	1431	1998-08-18	PRIJEM	VKLAD	1200	13216	\N	\N	\N
421812	1431	1998-09-18	PRIJEM	VKLAD	1200	53211	\N	\N	\N
421813	1431	1998-10-18	PRIJEM	VKLAD	1200	35448	\N	\N	\N
421814	1431	1998-11-18	PRIJEM	VKLAD	1200	27677	\N	\N	\N
421815	1431	1998-12-18	PRIJEM	VKLAD	1200	20172	\N	\N	\N
421817	1431	1997-06-02	VYDAJ	VYBER	7900	20572	\N	\N	\N
421818	1431	1998-06-19	VYDAJ	VYBER	20800	15332	\N	\N	\N
421819	1431	1996-12-09	VYDAJ	VYBER	2500	23054	\N	\N	\N
421821	1431	1998-12-09	VYDAJ	VYBER KARTOU	2800	19772	\N	\N	0
421828	1431	1997-01-02	VYDAJ	VYBER	500	24045	\N	\N	\N
421829	1431	1997-01-09	VYDAJ	VYBER	750	19095	\N	\N	\N
421830	1431	1997-01-30	VYDAJ	VYBER	1050	17245	\N	\N	\N
421831	1431	1997-01-27	VYDAJ	VYBER	1400	18295	\N	\N	\N
421832	1431	1997-01-23	VYDAJ	VYBER	850	19695	\N	\N	\N
421833	1431	1997-01-14	VYDAJ	VYBER	550	18545	\N	\N	\N
421836	1431	1998-01-30	VYDAJ	VYBER KARTOU	500	13223	\N	\N	0
421837	1431	1998-01-25	VYDAJ	VYBER KARTOU	1000	13723	\N	\N	0
421838	1431	1998-01-01	VYDAJ	VYBER KARTOU	300	12923	\N	\N	0
421839	1431	1998-01-16	VYDAJ	VYBER KARTOU	1100	13523	\N	\N	0
421841	1431	1996-10-02	VYDAJ	VYBER	850	42491	\N	\N	\N
421842	1431	1996-12-12	VYDAJ	VYBER	600	22454	\N	\N	\N
421845	1431	1997-05-11	VYDAJ	VYBER	1200	26353	\N	\N	\N
421846	1431	1997-02-09	VYDAJ	VYBER	550	13965	\N	\N	\N
421847	1431	1997-03-28	VYDAJ	VYBER	2200	58310	\N	\N	\N
421848	1431	1997-03-07	VYDAJ	VYBER	1500	14516	\N	\N	\N
421849	1431	1997-08-05	VYDAJ	VYBER KARTOU	400	11604	\N	\N	0
421851	1431	1998-12-17	VYDAJ	VYBER KARTOU	1600	18972	\N	\N	0
421852	1431	1998-12-08	VYDAJ	VYBER KARTOU	1400	22572	\N	\N	0
421853	1431	1998-05-23	VYDAJ	VYBER KARTOU	700	52490	\N	\N	0
421855	1431	1998-09-26	VYDAJ	VYBER KARTOU	1000	52211	\N	\N	0
421857	1431	1998-10-11	VYDAJ	VYBER KARTOU	2200	33448	\N	\N	0
421866	1431	1996-08-31	VYDAJ	VYBER	15	18893	SLUZBY	\N	\N
421867	1431	1996-09-30	VYDAJ	VYBER	15	43341	SLUZBY	\N	\N
421868	1431	1996-10-31	VYDAJ	VYBER	15	35832	SLUZBY	\N	\N
421869	1431	1996-11-30	VYDAJ	VYBER	15	30054	SLUZBY	\N	\N
421870	1431	1996-12-31	VYDAJ	VYBER	15	24545	SLUZBY	\N	\N
421871	1431	1997-01-31	VYDAJ	VYBER	15	17315	SLUZBY	\N	\N
421872	1431	1997-02-28	VYDAJ	VYBER	15	16016	SLUZBY	\N	\N
421873	1431	1997-03-31	VYDAJ	VYBER	15	58469	SLUZBY	\N	\N
421874	1431	1997-04-30	VYDAJ	VYBER	15	41153	SLUZBY	\N	\N
421875	1431	1997-05-31	VYDAJ	VYBER	15	28472	SLUZBY	\N	\N
421876	1431	1997-06-30	VYDAJ	VYBER	15	19843	SLUZBY	\N	\N
421877	1431	1997-07-31	VYDAJ	VYBER	15	16704	SLUZBY	\N	\N
421878	1431	1997-08-31	VYDAJ	VYBER	15	13645	SLUZBY	\N	\N
421879	1431	1997-09-30	VYDAJ	VYBER	15	15691	SLUZBY	\N	\N
421880	1431	1997-10-31	VYDAJ	VYBER	15	13335	SLUZBY	\N	\N
421881	1431	1997-11-30	VYDAJ	VYBER	15	15379	SLUZBY	\N	\N
421882	1431	1997-12-31	VYDAJ	VYBER	15	13223	SLUZBY	\N	\N
421883	1431	1998-01-31	VYDAJ	VYBER	15	13266	SLUZBY	\N	\N
421884	1431	1998-02-28	VYDAJ	VYBER	15	13708	SLUZBY	\N	\N
421885	1431	1998-03-31	VYDAJ	VYBER	15	14853	SLUZBY	\N	\N
421886	1431	1998-04-30	VYDAJ	VYBER	15	13698	SLUZBY	\N	\N
421887	1431	1998-05-31	VYDAJ	VYBER	15	52632	SLUZBY	\N	\N
421888	1431	1998-06-30	VYDAJ	VYBER	15	15467	SLUZBY	\N	\N
421889	1431	1998-07-31	VYDAJ	VYBER	15	15016	SLUZBY	\N	\N
421890	1431	1998-08-31	VYDAJ	VYBER	15	14461	SLUZBY	\N	\N
421891	1431	1998-09-30	VYDAJ	VYBER	15	35648	SLUZBY	\N	\N
421892	1431	1998-10-31	VYDAJ	VYBER	15	25677	SLUZBY	\N	\N
421893	1431	1998-11-30	VYDAJ	VYBER	15	23972	SLUZBY	\N	\N
421894	1431	1996-07-11	PRIJEM	VKLAD	9500	11704	\N	\N	\N
421895	1431	1996-08-10	PRIJEM	VKLAD	3100	16839	\N	\N	\N
421896	1431	1996-09-09	PRIJEM	VKLAD	400	19293	\N	\N	\N
421897	1431	1996-10-09	VYDAJ	VYBER	8800	33691	\N	\N	\N
421898	1431	1996-11-08	VYDAJ	VYBER	7900	27932	\N	\N	\N
421899	1431	1996-12-08	VYDAJ	VYBER	4500	25554	\N	\N	\N
421900	1431	1997-01-07	VYDAJ	VYBER	4200	19845	\N	\N	\N
421901	1431	1997-02-06	VYDAJ	VYBER	2800	14515	\N	\N	\N
421902	1431	1997-03-08	VYDAJ	VYBER	2800	11716	\N	\N	\N
421903	1431	1997-04-07	VYDAJ	VYBER	19500	38969	\N	\N	\N
421904	1431	1997-05-07	VYDAJ	VYBER	13600	27553	\N	\N	\N
421905	1431	1997-06-06	VYDAJ	VYBER	2800	17772	\N	\N	\N
421906	1431	1997-07-06	VYDAJ	VYBER	5200	14643	\N	\N	\N
421907	1431	1997-08-05	VYDAJ	VYBER	4700	12004	\N	\N	\N
421908	1431	1997-10-04	VYDAJ	VYBER	4400	11291	\N	\N	\N
421909	1431	1997-12-03	VYDAJ	VYBER	4200	11179	\N	\N	\N
421910	1431	1998-01-02	PRIJEM	VKLAD	900	13823	\N	\N	\N
421911	1431	1998-02-01	VYDAJ	VYBER KARTOU	1600	11666	\N	\N	0
421912	1431	1998-03-03	VYDAJ	VYBER KARTOU	900	12808	\N	\N	0
421913	1431	1998-04-02	VYDAJ	VYBER KARTOU	3200	11653	\N	\N	0
421914	1431	1998-05-02	VYDAJ	VYBER KARTOU	2800	10898	\N	\N	0
421915	1431	1998-06-01	VYDAJ	VYBER	18500	34132	\N	\N	\N
421916	1431	1998-07-01	VYDAJ	VYBER KARTOU	2500	12967	\N	\N	0
421917	1431	1998-07-31	VYDAJ	VYBER KARTOU	3800	11216	\N	\N	0
421918	1431	1998-08-30	PRIJEM	VKLAD	1200	14416	\N	\N	\N
421919	1431	1998-09-29	VYDAJ	VYBER	16700	35511	\N	\N	\N
421920	1431	1998-10-29	VYDAJ	VYBER	9900	25548	\N	\N	\N
421921	1431	1998-11-28	VYDAJ	VYBER KARTOU	3800	23877	\N	\N	0
421953	1432	1997-07-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
421961	1432	1997-08-10	PRIJEM	PREVOD Z UCTU	32672	33672	\N	UV	71862202
421962	1432	1997-09-10	PRIJEM	PREVOD Z UCTU	32672	62901	\N	UV	71862202
421963	1432	1997-10-10	PRIJEM	PREVOD Z UCTU	32672	75122	\N	UV	71862202
421964	1432	1997-11-10	PRIJEM	PREVOD Z UCTU	32672	80581	\N	UV	71862202
421965	1432	1997-12-10	PRIJEM	PREVOD Z UCTU	49008	99393	\N	UV	71862202
421966	1432	1998-01-10	PRIJEM	PREVOD Z UCTU	32672	64889	\N	UV	71862202
421967	1432	1998-02-10	PRIJEM	PREVOD Z UCTU	32672	52832	\N	UV	71862202
421968	1432	1998-03-10	PRIJEM	PREVOD Z UCTU	32672	47650	\N	UV	71862202
421969	1432	1998-04-10	PRIJEM	PREVOD Z UCTU	32672	38859	\N	UV	71862202
421970	1432	1998-05-10	PRIJEM	PREVOD Z UCTU	32672	42129	\N	UV	71862202
421971	1432	1998-06-10	PRIJEM	PREVOD Z UCTU	49008	60947	\N	UV	71862202
421972	1432	1998-07-10	PRIJEM	PREVOD Z UCTU	32672	42196	\N	UV	71862202
421973	1432	1998-08-10	PRIJEM	PREVOD Z UCTU	32672	40066	\N	UV	71862202
421974	1432	1998-09-10	PRIJEM	PREVOD Z UCTU	32672	43838	\N	UV	71862202
421975	1432	1998-10-10	PRIJEM	PREVOD Z UCTU	32672	45818	\N	UV	71862202
421976	1432	1998-11-10	PRIJEM	PREVOD Z UCTU	32672	39989	\N	UV	71862202
421977	1432	1998-12-10	PRIJEM	PREVOD Z UCTU	49008	55089	\N	UV	71862202
422014	1432	1998-01-09	VYDAJ	PREVOD NA UCET	13590	32217	SIPO	IJ	80977028
422015	1432	1998-02-09	VYDAJ	PREVOD NA UCET	13590	20160	SIPO	IJ	80977028
422016	1432	1998-03-09	VYDAJ	PREVOD NA UCET	13590	14978	SIPO	IJ	80977028
422017	1432	1998-04-09	VYDAJ	PREVOD NA UCET	13590	6187	SIPO	IJ	80977028
422018	1432	1998-05-09	VYDAJ	PREVOD NA UCET	13590	9457	SIPO	IJ	80977028
422019	1432	1998-06-09	VYDAJ	PREVOD NA UCET	13590	11939	SIPO	IJ	80977028
422020	1432	1998-07-09	VYDAJ	PREVOD NA UCET	13590	9524	SIPO	IJ	80977028
422021	1432	1998-08-09	VYDAJ	PREVOD NA UCET	13590	7394	SIPO	IJ	80977028
422022	1432	1998-09-09	VYDAJ	PREVOD NA UCET	13590	11166	SIPO	IJ	80977028
422023	1432	1998-10-09	VYDAJ	PREVOD NA UCET	13590	13146	SIPO	IJ	80977028
422024	1432	1998-11-09	VYDAJ	PREVOD NA UCET	13590	7317	SIPO	IJ	80977028
422025	1432	1998-12-09	VYDAJ	PREVOD NA UCET	13590	6081	SIPO	IJ	80977028
422027	1432	1997-12-27	VYBER	VYBER	10419	45574	\N	\N	\N
422034	1432	1998-06-14	VYDAJ	VYBER	28200	22947	\N	\N	\N
422036	1432	1998-01-15	VYDAJ	VYBER	14700	33589	\N	\N	\N
422038	1432	1998-12-29	VYDAJ	VYBER	8700	22389	\N	\N	\N
422040	1432	1997-12-10	VYDAJ	VYBER	8400	90993	\N	\N	\N
422042	1432	1998-10-15	VYDAJ	VYBER	8700	20818	\N	\N	\N
422043	1432	1998-07-25	VYDAJ	VYBER	2700	20896	\N	\N	\N
422044	1432	1998-11-19	VYDAJ	VYBER	9300	19589	\N	\N	\N
422046	1432	1998-07-11	VYDAJ	VYBER	5700	36496	\N	\N	\N
422048	1432	1998-02-25	VYDAJ	VYBER	6000	28432	\N	\N	\N
422049	1432	1998-03-31	VYDAJ	VYBER	13200	19777	\N	\N	\N
422062	1432	1997-12-31	VYDAJ	VYBER	15	45807	SLUZBY	\N	\N
422063	1432	1998-01-31	VYDAJ	VYBER	15	33750	SLUZBY	\N	\N
422064	1432	1998-02-28	VYDAJ	VYBER	15	28568	SLUZBY	\N	\N
422065	1432	1998-03-31	VYDAJ	VYBER	15	32977	SLUZBY	\N	\N
422066	1432	1998-04-30	VYDAJ	VYBER	15	23047	SLUZBY	\N	\N
422067	1432	1998-05-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
422068	1432	1998-06-30	VYDAJ	VYBER	15	23114	SLUZBY	\N	\N
422069	1432	1998-07-31	VYDAJ	VYBER	15	20984	SLUZBY	\N	\N
422070	1432	1998-08-31	VYDAJ	VYBER	15	24756	SLUZBY	\N	\N
422071	1432	1998-09-30	VYDAJ	VYBER	15	26736	SLUZBY	\N	\N
422072	1432	1998-10-31	VYDAJ	VYBER	15	20907	SLUZBY	\N	\N
422073	1432	1998-11-30	VYDAJ	VYBER	15	19671	SLUZBY	\N	\N
422074	1432	1997-08-18	VYDAJ	VYBER	3500	30172	\N	\N	\N
422075	1432	1997-09-17	VYDAJ	VYBER	20600	42301	\N	\N	\N
422076	1432	1997-10-17	VYDAJ	VYBER	27400	47722	\N	\N	\N
422077	1432	1997-11-16	VYDAJ	VYBER	30400	50181	\N	\N	\N
422078	1432	1997-12-16	VYDAJ	VYBER	35000	55993	\N	\N	\N
422079	1432	1998-01-15	VYDAJ	VYBER	16600	48289	\N	\N	\N
422080	1432	1998-02-14	VYDAJ	VYBER	18400	34432	\N	\N	\N
422081	1432	1998-03-16	VYDAJ	VYBER	14800	32850	\N	\N	\N
422082	1432	1998-04-15	VYDAJ	VYBER	15900	22959	\N	\N	\N
422083	1432	1998-05-15	VYDAJ	VYBER	16700	25429	\N	\N	\N
422084	1432	1998-06-14	VYDAJ	VYBER	9800	51147	\N	\N	\N
422085	1432	1998-07-14	VYDAJ	VYBER	12900	23596	\N	\N	\N
422086	1432	1998-08-13	VYDAJ	VYBER	15400	24666	\N	\N	\N
422087	1432	1998-09-12	VYDAJ	VYBER	17200	26638	\N	\N	\N
422088	1432	1998-10-12	VYDAJ	VYBER	16300	29518	\N	\N	\N
422089	1432	1998-11-11	VYDAJ	VYBER	11100	28889	\N	\N	\N
422090	1432	1998-12-11	VYDAJ	VYBER	24000	31089	\N	\N	\N
422327	1434	1997-08-08	PRIJEM	VKLAD	200	200	\N	\N	\N
422335	1434	1997-08-11	PRIJEM	PREVOD Z UCTU	4847	5047	DUCHOD	YZ	39167398
422336	1434	1997-09-11	PRIJEM	PREVOD Z UCTU	4847	9908	DUCHOD	YZ	39167398
422337	1434	1997-10-11	PRIJEM	PREVOD Z UCTU	4847	14776	DUCHOD	YZ	39167398
422338	1434	1997-11-11	PRIJEM	PREVOD Z UCTU	4847	19644	DUCHOD	YZ	39167398
422339	1434	1997-12-11	PRIJEM	PREVOD Z UCTU	4847	24512	DUCHOD	YZ	39167398
422340	1434	1998-01-11	PRIJEM	PREVOD Z UCTU	4847	21634	DUCHOD	YZ	39167398
422341	1434	1998-02-11	PRIJEM	PREVOD Z UCTU	4847	17170	DUCHOD	YZ	39167398
422342	1434	1998-03-11	PRIJEM	PREVOD Z UCTU	4847	16774	DUCHOD	YZ	39167398
422343	1434	1998-04-11	PRIJEM	PREVOD Z UCTU	4847	18460	DUCHOD	YZ	39167398
422344	1434	1998-05-11	PRIJEM	PREVOD Z UCTU	4847	16713	DUCHOD	YZ	39167398
422345	1434	1998-06-11	PRIJEM	PREVOD Z UCTU	4847	18401	DUCHOD	YZ	39167398
422346	1434	1998-07-11	PRIJEM	PREVOD Z UCTU	4847	15449	DUCHOD	YZ	39167398
422347	1434	1998-08-11	PRIJEM	PREVOD Z UCTU	4847	17132	DUCHOD	YZ	39167398
422348	1434	1998-09-11	PRIJEM	PREVOD Z UCTU	4847	17215	DUCHOD	YZ	39167398
422349	1434	1998-10-11	PRIJEM	PREVOD Z UCTU	4847	18703	DUCHOD	YZ	39167398
422350	1434	1998-11-11	PRIJEM	PREVOD Z UCTU	4847	20396	DUCHOD	YZ	39167398
422351	1434	1998-12-11	PRIJEM	PREVOD Z UCTU	4847	21997	DUCHOD	YZ	39167398
422364	1434	1998-01-09	VYDAJ	PREVOD NA UCET	3214	16787	SIPO	QR	81822454
422365	1434	1998-02-09	VYDAJ	PREVOD NA UCET	3214	12323	SIPO	QR	81822454
422366	1434	1998-03-09	VYDAJ	PREVOD NA UCET	3214	11927	SIPO	QR	81822454
422367	1434	1998-04-09	VYDAJ	PREVOD NA UCET	3214	13613	SIPO	QR	81822454
422368	1434	1998-05-09	VYDAJ	PREVOD NA UCET	3214	11866	SIPO	QR	81822454
422369	1434	1998-06-09	VYDAJ	PREVOD NA UCET	3214	13554	SIPO	QR	81822454
422370	1434	1998-07-09	VYDAJ	PREVOD NA UCET	3214	10602	SIPO	QR	81822454
422371	1434	1998-08-09	VYDAJ	PREVOD NA UCET	3214	12285	SIPO	QR	81822454
422372	1434	1998-09-09	VYDAJ	PREVOD NA UCET	3214	12368	SIPO	QR	81822454
422373	1434	1998-10-09	VYDAJ	PREVOD NA UCET	3214	13856	SIPO	QR	81822454
422374	1434	1998-11-09	VYDAJ	PREVOD NA UCET	3214	15549	SIPO	QR	81822454
422375	1434	1998-12-09	VYDAJ	PREVOD NA UCET	3214	17150	SIPO	QR	81822454
422379	1434	1998-01-06	VYDAJ	VYBER	3800	20001	\N	\N	\N
422386	1434	1998-01-01	VYDAJ	VYBER	720	23801	\N	\N	\N
422387	1434	1998-01-11	VYDAJ	VYBER	480	21154	\N	\N	\N
422388	1434	1998-01-30	VYDAJ	VYBER	1040	15474	\N	\N	\N
422389	1434	1998-01-13	VYDAJ	VYBER	2240	17314	\N	\N	\N
422390	1434	1998-01-14	VYDAJ	VYBER	800	16514	\N	\N	\N
422391	1434	1998-01-13	VYDAJ	VYBER	1600	19554	\N	\N	\N
422398	1434	1998-02-18	VYDAJ	VYBER	2080	15090	\N	\N	\N
422399	1434	1998-05-06	VYDAJ	VYBER	3440	15080	\N	\N	\N
422401	1434	1998-08-11	VYDAJ	VYBER	1600	15532	\N	\N	\N
422402	1434	1998-07-02	VYDAJ	VYBER	2800	13816	\N	\N	\N
422403	1434	1998-06-12	VYDAJ	VYBER	1840	16561	\N	\N	\N
422416	1434	1997-12-31	VYDAJ	VYBER	15	24521	SLUZBY	\N	\N
422417	1434	1998-01-31	VYDAJ	VYBER	15	15537	SLUZBY	\N	\N
422418	1434	1998-02-28	VYDAJ	VYBER	15	15141	SLUZBY	\N	\N
422419	1434	1998-03-31	VYDAJ	VYBER	15	16827	SLUZBY	\N	\N
422420	1434	1998-04-30	VYDAJ	VYBER	15	18520	SLUZBY	\N	\N
422421	1434	1998-05-31	VYDAJ	VYBER	15	16768	SLUZBY	\N	\N
422422	1434	1998-06-30	VYDAJ	VYBER	15	16616	SLUZBY	\N	\N
422423	1434	1998-07-31	VYDAJ	VYBER	15	15499	SLUZBY	\N	\N
422424	1434	1998-08-31	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
422425	1434	1998-09-30	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
422426	1434	1998-10-31	VYDAJ	VYBER	15	18763	SLUZBY	\N	\N
422427	1434	1998-11-30	VYDAJ	VYBER	15	20464	SLUZBY	\N	\N
422428	1434	1998-10-02	VYDAJ	VYBER	200	17070	\N	\N	\N
422429	1434	1998-12-01	VYDAJ	VYBER	100	20364	\N	\N	\N
422447	1435	1996-12-01	PRIJEM	VKLAD	800	800	\N	\N	\N
422459	1435	1996-12-05	PRIJEM	VKLAD	33155	33955	\N	\N	\N
422460	1435	1997-01-05	PRIJEM	VKLAD	22103	49980	\N	\N	\N
422461	1435	1997-02-05	PRIJEM	VKLAD	22103	61902	\N	\N	\N
422462	1435	1997-03-05	PRIJEM	VKLAD	22103	63771	\N	\N	\N
422463	1435	1997-04-05	PRIJEM	VKLAD	22103	68924	\N	\N	\N
422464	1435	1997-05-05	PRIJEM	VKLAD	22103	67735	\N	\N	\N
422465	1435	1997-06-05	PRIJEM	VKLAD	33155	75328	\N	\N	\N
422466	1435	1997-07-05	PRIJEM	VKLAD	22103	43034	\N	\N	\N
422467	1435	1997-08-05	PRIJEM	VKLAD	22103	54336	\N	\N	\N
422468	1435	1997-09-05	PRIJEM	VKLAD	22103	55079	\N	\N	\N
422469	1435	1997-10-05	PRIJEM	VKLAD	22103	56015	\N	\N	\N
422470	1435	1997-11-05	PRIJEM	VKLAD	22103	53816	\N	\N	\N
422471	1435	1997-12-05	PRIJEM	VKLAD	33155	61225	\N	\N	\N
422472	1435	1998-01-05	PRIJEM	VKLAD	22103	50909	\N	\N	\N
422473	1435	1998-02-05	PRIJEM	VKLAD	22103	44123	\N	\N	\N
422474	1435	1998-03-05	PRIJEM	VKLAD	22103	42545	\N	\N	\N
422475	1435	1998-04-05	PRIJEM	VKLAD	22103	38992	\N	\N	\N
422476	1435	1998-05-05	PRIJEM	VKLAD	22103	40842	\N	\N	\N
422477	1435	1998-06-05	PRIJEM	VKLAD	33155	58976	\N	\N	\N
422478	1435	1998-07-05	PRIJEM	VKLAD	22103	40764	\N	\N	\N
422479	1435	1998-08-05	PRIJEM	VKLAD	22103	48318	\N	\N	\N
422480	1435	1998-09-05	PRIJEM	VKLAD	22103	48920	\N	\N	\N
422481	1435	1998-10-05	PRIJEM	VKLAD	22103	50724	\N	\N	\N
422482	1435	1998-11-05	PRIJEM	VKLAD	22103	54819	\N	\N	\N
422483	1435	1998-12-05	PRIJEM	VKLAD	33155	62154	\N	\N	\N
422499	1435	1997-04-05	VYDAJ	PREVOD NA UCET	7949	60975	SIPO	WX	87787443
422500	1435	1997-05-05	VYDAJ	PREVOD NA UCET	7949	59786	SIPO	WX	87787443
422501	1435	1997-06-05	VYDAJ	PREVOD NA UCET	7949	67379	SIPO	WX	87787443
422502	1435	1997-07-05	VYDAJ	PREVOD NA UCET	7949	35085	SIPO	WX	87787443
422503	1435	1997-08-05	VYDAJ	PREVOD NA UCET	7949	46387	SIPO	WX	87787443
422504	1435	1997-09-05	VYDAJ	PREVOD NA UCET	7949	47130	SIPO	WX	87787443
422505	1435	1997-10-05	VYDAJ	PREVOD NA UCET	7949	48066	SIPO	WX	87787443
422506	1435	1997-11-05	VYDAJ	PREVOD NA UCET	7949	45867	SIPO	WX	87787443
422507	1435	1997-12-05	VYDAJ	PREVOD NA UCET	7949	53276	SIPO	WX	87787443
422508	1435	1998-01-05	VYDAJ	PREVOD NA UCET	7949	42960	SIPO	WX	87787443
422509	1435	1998-02-05	VYDAJ	PREVOD NA UCET	7949	36174	SIPO	WX	87787443
422510	1435	1998-03-05	VYDAJ	PREVOD NA UCET	7949	34596	SIPO	WX	87787443
422511	1435	1998-04-05	VYDAJ	PREVOD NA UCET	7949	31043	SIPO	WX	87787443
422512	1435	1998-05-05	VYDAJ	PREVOD NA UCET	7949	32893	SIPO	WX	87787443
422513	1435	1998-06-05	VYDAJ	PREVOD NA UCET	7949	51027	SIPO	WX	87787443
422514	1435	1998-07-05	VYDAJ	PREVOD NA UCET	7949	32815	SIPO	WX	87787443
422515	1435	1998-08-05	VYDAJ	PREVOD NA UCET	7949	40369	SIPO	WX	87787443
422516	1435	1998-09-05	VYDAJ	PREVOD NA UCET	7949	40971	SIPO	WX	87787443
422517	1435	1998-10-05	VYDAJ	PREVOD NA UCET	7949	42775	SIPO	WX	87787443
422518	1435	1998-11-05	VYDAJ	PREVOD NA UCET	7949	46870	SIPO	WX	87787443
422519	1435	1998-12-05	VYDAJ	PREVOD NA UCET	7949	54205	SIPO	WX	87787443
422521	1435	1997-06-21	VYDAJ	VYBER	42240	25139	\N	\N	\N
422522	1435	1998-06-21	VYDAJ	VYBER	36320	14707	\N	\N	\N
422524	1435	1997-12-26	VYDAJ	VYBER	4160	49116	\N	\N	\N
422525	1435	1998-12-04	VYDAJ	VYBER	1920	29000	\N	\N	\N
422538	1435	1998-01-01	VYDAJ	VYBER	720	28806	\N	\N	\N
422539	1435	1998-01-27	VYDAJ	VYBER	1920	21900	\N	\N	\N
422540	1435	1998-01-11	VYDAJ	VYBER	1920	36720	\N	\N	\N
422541	1435	1998-01-18	VYDAJ	VYBER	1200	33720	\N	\N	\N
422542	1435	1998-01-08	VYDAJ	VYBER	1320	38640	\N	\N	\N
422543	1435	1998-01-06	VYDAJ	VYBER	3000	39960	\N	\N	\N
422547	1435	1997-05-15	VYDAJ	VYBER	2640	57146	\N	\N	\N
422548	1435	1997-09-11	VYDAJ	VYBER	4680	42450	\N	\N	\N
422549	1435	1997-10-27	VYDAJ	VYBER	2280	44946	\N	\N	\N
422550	1435	1997-10-07	VYDAJ	VYBER	840	47226	\N	\N	\N
422551	1435	1997-11-08	VYDAJ	VYBER	5040	40827	\N	\N	\N
422552	1435	1998-02-09	VYDAJ	VYBER	3240	32934	\N	\N	\N
422553	1435	1998-01-12	VYDAJ	VYBER	1800	34920	\N	\N	\N
422554	1435	1998-07-19	VYDAJ	VYBER	3120	29695	\N	\N	\N
422555	1435	1998-03-31	VYDAJ	VYBER	4440	16903	\N	\N	\N
422572	1435	1997-04-30	VYDAJ	VYBER	15	61232	SLUZBY	\N	\N
422573	1435	1997-05-31	VYDAJ	VYBER	15	42173	SLUZBY	\N	\N
422574	1435	1997-06-30	VYDAJ	VYBER	15	20931	SLUZBY	\N	\N
422575	1435	1997-07-31	VYDAJ	VYBER	15	32233	SLUZBY	\N	\N
422576	1435	1997-08-31	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
422577	1435	1997-09-30	VYDAJ	VYBER	15	33912	SLUZBY	\N	\N
422578	1435	1997-10-31	VYDAJ	VYBER	15	31713	SLUZBY	\N	\N
422579	1435	1997-11-30	VYDAJ	VYBER	15	28070	SLUZBY	\N	\N
422580	1435	1997-12-31	VYDAJ	VYBER	15	29526	SLUZBY	\N	\N
422581	1435	1998-01-31	VYDAJ	VYBER	15	22020	SLUZBY	\N	\N
422582	1435	1998-02-28	VYDAJ	VYBER	15	20442	SLUZBY	\N	\N
422583	1435	1998-03-31	VYDAJ	VYBER	15	16889	SLUZBY	\N	\N
422584	1435	1998-04-30	VYDAJ	VYBER	15	18739	SLUZBY	\N	\N
422585	1435	1998-05-31	VYDAJ	VYBER	15	25821	SLUZBY	\N	\N
422586	1435	1998-06-30	VYDAJ	VYBER	15	18661	SLUZBY	\N	\N
422587	1435	1998-07-31	VYDAJ	VYBER	15	26215	SLUZBY	\N	\N
422588	1435	1998-08-31	VYDAJ	VYBER	15	26817	SLUZBY	\N	\N
422589	1435	1998-09-30	VYDAJ	VYBER	15	28621	SLUZBY	\N	\N
422590	1435	1998-10-31	VYDAJ	VYBER	15	32716	SLUZBY	\N	\N
422591	1435	1998-11-30	VYDAJ	VYBER	15	30920	SLUZBY	\N	\N
422592	1435	1996-12-31	VYDAJ	VYBER	6200	27877	\N	\N	\N
422593	1435	1997-01-30	VYDAJ	VYBER	10300	39680	\N	\N	\N
422594	1435	1997-03-01	VYDAJ	VYBER	20400	41668	\N	\N	\N
422595	1435	1997-03-31	VYDAJ	VYBER	17200	46821	\N	\N	\N
422596	1435	1997-04-30	VYDAJ	VYBER	15600	45632	\N	\N	\N
422597	1435	1997-05-30	VYDAJ	VYBER	15200	41946	\N	\N	\N
422598	1435	1997-06-29	VYDAJ	VYBER	4400	20739	\N	\N	\N
422599	1435	1997-07-29	VYDAJ	VYBER	3000	32085	\N	\N	\N
422600	1435	1997-08-28	VYDAJ	VYBER	13600	32787	\N	\N	\N
422601	1435	1997-09-27	VYDAJ	VYBER	8700	33750	\N	\N	\N
422602	1435	1997-10-27	VYDAJ	VYBER	13400	31546	\N	\N	\N
422603	1435	1997-11-26	VYDAJ	VYBER	12900	27927	\N	\N	\N
422604	1435	1997-12-26	VYDAJ	VYBER	19800	29316	\N	\N	\N
422605	1435	1998-01-25	VYDAJ	VYBER	9900	23820	\N	\N	\N
422606	1435	1998-02-24	VYDAJ	VYBER	12600	20334	\N	\N	\N
422607	1435	1998-03-26	VYDAJ	VYBER	13400	21196	\N	\N	\N
422608	1435	1998-04-25	VYDAJ	VYBER	12400	18643	\N	\N	\N
422609	1435	1998-05-25	VYDAJ	VYBER	7200	25693	\N	\N	\N
422610	1435	1998-06-24	PRIJEM	VKLAD	3800	18507	\N	\N	\N
422611	1435	1998-07-24	VYDAJ	VYBER	3600	26095	\N	\N	\N
422612	1435	1998-08-23	VYDAJ	VYBER	13700	26669	\N	\N	\N
422613	1435	1998-09-22	VYDAJ	VYBER	12500	28471	\N	\N	\N
422614	1435	1998-10-22	VYDAJ	VYBER	10200	32575	\N	\N	\N
422615	1435	1998-11-21	VYDAJ	VYBER	16100	30770	\N	\N	\N
422641	1436	1994-12-07	PRIJEM	VKLAD	500	500	\N	\N	\N
422653	1436	1994-12-10	PRIJEM	VKLAD	6986	7486	\N	\N	\N
422654	1436	1995-01-10	PRIJEM	VKLAD	4657	21165	\N	\N	\N
422655	1436	1995-02-10	PRIJEM	VKLAD	4657	29294	\N	\N	\N
422656	1436	1995-03-10	PRIJEM	VKLAD	4657	34262	\N	\N	\N
422657	1436	1995-04-10	PRIJEM	VKLAD	4657	33756	\N	\N	\N
422658	1436	1995-05-10	PRIJEM	VKLAD	4657	31635	\N	\N	\N
422659	1436	1995-06-10	PRIJEM	VKLAD	6986	34435	\N	\N	\N
422660	1436	1995-07-10	PRIJEM	VKLAD	4657	32111	\N	\N	\N
422661	1436	1995-08-10	PRIJEM	VKLAD	4657	31583	\N	\N	\N
422662	1436	1995-09-10	PRIJEM	VKLAD	4657	34151	\N	\N	\N
422663	1436	1995-10-10	PRIJEM	VKLAD	4657	33917	\N	\N	\N
422664	1436	1995-11-10	PRIJEM	VKLAD	4657	36392	\N	\N	\N
422665	1436	1995-12-10	PRIJEM	VKLAD	6986	39507	\N	\N	\N
422666	1436	1996-01-10	PRIJEM	VKLAD	4657	32803	\N	\N	\N
422667	1436	1996-02-10	PRIJEM	VKLAD	4657	31768	\N	\N	\N
422668	1436	1996-03-10	PRIJEM	VKLAD	4657	33537	\N	\N	\N
422669	1436	1996-04-10	PRIJEM	VKLAD	4657	33611	\N	\N	\N
422670	1436	1996-05-10	PRIJEM	VKLAD	4657	34087	\N	\N	\N
422671	1436	1996-06-10	PRIJEM	VKLAD	6986	35494	\N	\N	\N
422672	1436	1996-07-10	PRIJEM	VKLAD	4657	37375	\N	\N	\N
422673	1436	1996-08-10	PRIJEM	VKLAD	4657	35762	\N	\N	\N
422674	1436	1996-09-10	PRIJEM	VKLAD	4657	31436	\N	\N	\N
422675	1436	1996-10-10	PRIJEM	VKLAD	4657	32804	\N	\N	\N
422676	1436	1996-11-10	PRIJEM	VKLAD	4657	34877	\N	\N	\N
422677	1436	1996-12-10	PRIJEM	VKLAD	6986	40388	\N	\N	\N
422678	1436	1997-01-10	PRIJEM	VKLAD	4657	24375	\N	\N	\N
422679	1436	1997-02-10	PRIJEM	VKLAD	4657	28521	\N	\N	\N
422680	1436	1997-03-10	PRIJEM	VKLAD	4657	35479	\N	\N	\N
422681	1436	1997-04-10	PRIJEM	VKLAD	4657	42768	\N	\N	\N
422682	1436	1997-05-10	PRIJEM	VKLAD	4657	42480	\N	\N	\N
422683	1436	1997-06-10	PRIJEM	VKLAD	6986	43118	\N	\N	\N
422684	1436	1997-07-10	PRIJEM	VKLAD	4657	46132	\N	\N	\N
422685	1436	1997-08-10	PRIJEM	VKLAD	4657	49461	\N	\N	\N
422686	1436	1997-09-10	PRIJEM	VKLAD	4657	44293	\N	\N	\N
422687	1436	1997-10-10	PRIJEM	VKLAD	4657	39009	\N	\N	\N
422688	1436	1997-11-10	PRIJEM	VKLAD	4657	43714	\N	\N	\N
422689	1436	1997-12-10	PRIJEM	VKLAD	6986	40455	\N	\N	\N
422690	1436	1998-01-10	PRIJEM	VKLAD	4657	35552	\N	\N	\N
422691	1436	1998-02-10	PRIJEM	VKLAD	4657	33729	\N	\N	\N
422692	1436	1998-03-10	PRIJEM	VKLAD	4657	33701	\N	\N	\N
422693	1436	1998-04-10	PRIJEM	VKLAD	4657	36071	\N	\N	\N
422694	1436	1998-05-10	PRIJEM	VKLAD	4657	37956	\N	\N	\N
422695	1436	1998-06-10	PRIJEM	VKLAD	6986	41477	\N	\N	\N
422696	1436	1998-07-10	PRIJEM	VKLAD	4657	48089	\N	\N	\N
422697	1436	1998-08-10	PRIJEM	VKLAD	4657	46318	\N	\N	\N
422698	1436	1998-09-10	PRIJEM	VKLAD	4657	47845	\N	\N	\N
422699	1436	1998-10-10	PRIJEM	VKLAD	4657	49779	\N	\N	\N
422700	1436	1998-11-10	PRIJEM	VKLAD	4657	53825	\N	\N	\N
422701	1436	1998-12-10	PRIJEM	VKLAD	6986	50203	\N	\N	\N
422718	1436	1995-05-06	VYDAJ	PREVOD NA UCET	3104	26978	SIPO	QR	96351390
422719	1436	1995-06-06	VYDAJ	PREVOD NA UCET	3104	27449	SIPO	QR	96351390
422720	1436	1995-07-06	VYDAJ	PREVOD NA UCET	3104	27454	SIPO	QR	96351390
422721	1436	1995-08-06	VYDAJ	PREVOD NA UCET	3104	26926	SIPO	QR	96351390
422722	1436	1995-09-06	VYDAJ	PREVOD NA UCET	3104	29494	SIPO	QR	96351390
422723	1436	1995-10-06	VYDAJ	PREVOD NA UCET	3104	29260	SIPO	QR	96351390
422724	1436	1995-11-06	VYDAJ	PREVOD NA UCET	3104	31735	SIPO	QR	96351390
422725	1436	1995-12-06	VYDAJ	PREVOD NA UCET	3104	32521	SIPO	QR	96351390
422726	1436	1996-01-06	VYDAJ	PREVOD NA UCET	3104	29246	SIPO	QR	96351390
422727	1436	1996-02-06	VYDAJ	PREVOD NA UCET	3104	27111	SIPO	QR	96351390
422728	1436	1996-03-06	VYDAJ	PREVOD NA UCET	3104	28880	SIPO	QR	96351390
422729	1436	1996-04-06	VYDAJ	PREVOD NA UCET	3104	28954	SIPO	QR	96351390
422730	1436	1996-05-06	VYDAJ	PREVOD NA UCET	3104	29430	SIPO	QR	96351390
422731	1436	1996-06-06	VYDAJ	PREVOD NA UCET	3104	28508	SIPO	QR	96351390
422732	1436	1996-07-06	VYDAJ	PREVOD NA UCET	3104	32718	SIPO	QR	96351390
422733	1436	1996-08-06	VYDAJ	PREVOD NA UCET	3104	31105	SIPO	QR	96351390
422734	1436	1996-09-06	VYDAJ	PREVOD NA UCET	3104	26779	SIPO	QR	96351390
422735	1436	1996-10-06	VYDAJ	PREVOD NA UCET	3104	28147	SIPO	QR	96351390
422736	1436	1996-11-06	VYDAJ	PREVOD NA UCET	3104	30220	SIPO	QR	96351390
422737	1436	1996-12-06	VYDAJ	PREVOD NA UCET	3104	33402	SIPO	QR	96351390
422738	1436	1997-01-06	VYDAJ	PREVOD NA UCET	3104	22518	SIPO	QR	96351390
422739	1436	1997-02-06	VYDAJ	PREVOD NA UCET	3104	23864	SIPO	QR	96351390
422740	1436	1997-03-06	VYDAJ	PREVOD NA UCET	3104	30822	SIPO	QR	96351390
422741	1436	1997-04-06	VYDAJ	PREVOD NA UCET	3104	38111	SIPO	QR	96351390
422742	1436	1997-05-06	VYDAJ	PREVOD NA UCET	3104	37823	SIPO	QR	96351390
422743	1436	1997-06-06	VYDAJ	PREVOD NA UCET	3104	36132	SIPO	QR	96351390
422744	1436	1997-07-06	VYDAJ	PREVOD NA UCET	3104	41475	SIPO	QR	96351390
422745	1436	1997-08-06	VYDAJ	PREVOD NA UCET	3104	44804	SIPO	QR	96351390
422746	1436	1997-09-06	VYDAJ	PREVOD NA UCET	3104	39636	SIPO	QR	96351390
422747	1436	1997-10-06	VYDAJ	PREVOD NA UCET	3104	37652	SIPO	QR	96351390
422748	1436	1997-11-06	VYDAJ	PREVOD NA UCET	3104	39057	SIPO	QR	96351390
422749	1436	1997-12-06	VYDAJ	PREVOD NA UCET	3104	34669	SIPO	QR	96351390
422750	1436	1998-01-06	VYDAJ	PREVOD NA UCET	3104	30895	SIPO	QR	96351390
422751	1436	1998-02-06	VYDAJ	PREVOD NA UCET	3104	29072	SIPO	QR	96351390
422752	1436	1998-03-06	VYDAJ	PREVOD NA UCET	3104	29044	SIPO	QR	96351390
422753	1436	1998-04-06	VYDAJ	PREVOD NA UCET	3104	31414	SIPO	QR	96351390
422754	1436	1998-05-06	VYDAJ	PREVOD NA UCET	3104	33299	SIPO	QR	96351390
422755	1436	1998-06-06	VYDAJ	PREVOD NA UCET	3104	34491	SIPO	QR	96351390
422756	1436	1998-07-06	VYDAJ	PREVOD NA UCET	3104	43432	SIPO	QR	96351390
422757	1436	1998-08-06	VYDAJ	PREVOD NA UCET	3104	41661	SIPO	QR	96351390
422758	1436	1998-09-06	VYDAJ	PREVOD NA UCET	3104	43188	SIPO	QR	96351390
422759	1436	1998-10-06	VYDAJ	PREVOD NA UCET	3104	45122	SIPO	QR	96351390
422760	1436	1998-11-06	VYDAJ	PREVOD NA UCET	3104	49168	SIPO	QR	96351390
422761	1436	1998-12-06	VYDAJ	PREVOD NA UCET	3104	46017	SIPO	QR	96351390
422763	1436	1995-12-28	VYDAJ	VYBER	1400	38107	\N	\N	\N
422764	1436	1996-12-12	VYDAJ	VYBER	600	39788	\N	\N	\N
422765	1436	1997-12-08	VYDAJ	VYBER	1200	33469	\N	\N	\N
422766	1436	1998-12-09	VYDAJ	VYBER	2800	43217	\N	\N	\N
422779	1436	1996-01-09	VYDAJ	VYBER	1100	28146	\N	\N	\N
422780	1436	1996-01-24	VYDAJ	VYBER	2400	27303	\N	\N	\N
422781	1436	1996-01-15	VYDAJ	VYBER	2500	30303	\N	\N	\N
422782	1436	1996-01-29	VYDAJ	VYBER	500	26803	\N	\N	\N
422783	1436	1996-01-17	VYDAJ	VYBER	600	29703	\N	\N	\N
422784	1436	1996-01-03	VYDAJ	VYBER	2000	32350	\N	\N	\N
422785	1436	1997-01-09	VYDAJ	VYBER	2800	19718	\N	\N	\N
422786	1436	1997-01-06	VYDAJ	VYBER	1300	25622	\N	\N	\N
422787	1436	1997-01-03	VYDAJ	VYBER	1000	31422	\N	\N	\N
422788	1436	1997-01-05	VYDAJ	VYBER	1700	26922	\N	\N	\N
422789	1436	1997-01-04	VYDAJ	VYBER	2800	28622	\N	\N	\N
422790	1436	1997-01-26	VYDAJ	VYBER	2800	26875	\N	\N	\N
422791	1436	1998-01-04	VYDAJ	VYBER	1600	36499	\N	\N	\N
422792	1436	1998-01-12	VYDAJ	VYBER	1700	33852	\N	\N	\N
422793	1436	1998-01-14	VYDAJ	VYBER	800	32552	\N	\N	\N
422794	1436	1998-01-23	VYDAJ	VYBER	2100	32052	\N	\N	\N
422795	1436	1998-01-06	VYDAJ	VYBER	2500	33999	\N	\N	\N
422796	1436	1998-01-21	VYDAJ	VYBER	1600	34152	\N	\N	\N
422803	1436	1995-09-11	VYDAJ	VYBER	3500	30651	\N	\N	\N
422804	1436	1996-11-10	VYDAJ	VYBER	1600	33277	\N	\N	\N
422805	1436	1996-12-15	VYDAJ	VYBER	4600	35188	\N	\N	\N
422806	1436	1996-09-03	VYDAJ	VYBER	3800	29883	\N	\N	\N
422807	1436	1996-08-11	VYDAJ	VYBER	4500	31262	\N	\N	\N
422808	1436	1996-07-21	VYDAJ	VYBER	3100	34275	\N	\N	\N
422809	1436	1997-08-16	VYDAJ	VYBER	900	48561	\N	\N	\N
422810	1436	1997-08-22	VYDAJ	VYBER	4200	44361	\N	\N	\N
422811	1436	1997-09-23	VYDAJ	VYBER	900	40593	\N	\N	\N
422812	1436	1997-04-10	VYDAJ	VYBER	1600	41168	\N	\N	\N
422813	1436	1997-11-27	VYDAJ	VYBER	3900	37614	\N	\N	\N
422814	1436	1997-10-09	VYDAJ	VYBER	3300	34352	\N	\N	\N
422815	1436	1998-03-11	VYDAJ	VYBER	4700	29001	\N	\N	\N
422816	1436	1998-05-18	VYDAJ	VYBER	4800	33156	\N	\N	\N
422817	1436	1998-05-23	VYDAJ	VYBER	900	37456	\N	\N	\N
422818	1436	1998-02-17	VYDAJ	VYBER	2700	31029	\N	\N	\N
422819	1436	1998-01-13	VYDAJ	VYBER	500	33352	\N	\N	\N
422836	1436	1995-04-30	VYDAJ	VYBER	15	33882	SLUZBY	\N	\N
422837	1436	1995-05-31	VYDAJ	VYBER	15	31753	SLUZBY	\N	\N
422838	1436	1995-06-30	VYDAJ	VYBER	15	34558	SLUZBY	\N	\N
422839	1436	1995-07-31	VYDAJ	VYBER	15	32230	SLUZBY	\N	\N
422840	1436	1995-08-31	VYDAJ	VYBER	15	31698	SLUZBY	\N	\N
422841	1436	1995-09-30	VYDAJ	VYBER	15	30764	SLUZBY	\N	\N
422842	1436	1995-10-31	VYDAJ	VYBER	15	34039	SLUZBY	\N	\N
422843	1436	1995-11-30	VYDAJ	VYBER	15	36525	SLUZBY	\N	\N
422844	1436	1995-12-31	VYDAJ	VYBER	15	38250	SLUZBY	\N	\N
422845	1436	1996-01-31	VYDAJ	VYBER	15	30215	SLUZBY	\N	\N
422846	1436	1996-02-29	VYDAJ	VYBER	15	31884	SLUZBY	\N	\N
422847	1436	1996-03-31	VYDAJ	VYBER	15	32058	SLUZBY	\N	\N
422848	1436	1996-04-30	VYDAJ	VYBER	15	32534	SLUZBY	\N	\N
422849	1436	1996-05-31	VYDAJ	VYBER	15	31612	SLUZBY	\N	\N
422850	1436	1996-06-30	VYDAJ	VYBER	15	35822	SLUZBY	\N	\N
422851	1436	1996-07-31	VYDAJ	VYBER	15	34209	SLUZBY	\N	\N
422852	1436	1996-08-31	VYDAJ	VYBER	15	33683	SLUZBY	\N	\N
422853	1436	1996-09-30	VYDAJ	VYBER	15	31251	SLUZBY	\N	\N
422854	1436	1996-10-31	VYDAJ	VYBER	15	33324	SLUZBY	\N	\N
422855	1436	1996-11-30	VYDAJ	VYBER	15	36506	SLUZBY	\N	\N
422856	1436	1996-12-31	VYDAJ	VYBER	15	32422	SLUZBY	\N	\N
422857	1436	1997-01-31	VYDAJ	VYBER	15	26968	SLUZBY	\N	\N
422858	1436	1997-02-28	VYDAJ	VYBER	15	33926	SLUZBY	\N	\N
422859	1436	1997-03-31	VYDAJ	VYBER	15	41215	SLUZBY	\N	\N
422860	1436	1997-04-30	VYDAJ	VYBER	15	40927	SLUZBY	\N	\N
422861	1436	1997-05-31	VYDAJ	VYBER	15	39236	SLUZBY	\N	\N
422862	1436	1997-06-30	VYDAJ	VYBER	15	44579	SLUZBY	\N	\N
422863	1436	1997-07-31	VYDAJ	VYBER	15	47908	SLUZBY	\N	\N
422864	1436	1997-08-31	VYDAJ	VYBER	15	42740	SLUZBY	\N	\N
422865	1436	1997-09-30	VYDAJ	VYBER	15	40756	SLUZBY	\N	\N
422866	1436	1997-10-31	VYDAJ	VYBER	15	42161	SLUZBY	\N	\N
422867	1436	1997-11-30	VYDAJ	VYBER	15	37773	SLUZBY	\N	\N
422868	1436	1997-12-31	VYDAJ	VYBER	15	38099	SLUZBY	\N	\N
422869	1436	1998-01-31	VYDAJ	VYBER	15	32176	SLUZBY	\N	\N
422870	1436	1998-02-28	VYDAJ	VYBER	15	32148	SLUZBY	\N	\N
422871	1436	1998-03-31	VYDAJ	VYBER	15	34518	SLUZBY	\N	\N
422872	1436	1998-04-30	VYDAJ	VYBER	15	36403	SLUZBY	\N	\N
422873	1436	1998-05-31	VYDAJ	VYBER	15	37595	SLUZBY	\N	\N
422874	1436	1998-06-30	VYDAJ	VYBER	15	46536	SLUZBY	\N	\N
422875	1436	1998-07-31	VYDAJ	VYBER	15	44765	SLUZBY	\N	\N
422876	1436	1998-08-31	VYDAJ	VYBER	15	46292	SLUZBY	\N	\N
422877	1436	1998-09-30	VYDAJ	VYBER	15	48226	SLUZBY	\N	\N
422878	1436	1998-10-31	VYDAJ	VYBER	15	52272	SLUZBY	\N	\N
422879	1436	1998-11-30	VYDAJ	VYBER	15	49121	SLUZBY	\N	\N
422880	1436	1995-01-06	PRIJEM	VKLAD	9000	16508	\N	\N	\N
422881	1436	1995-02-05	PRIJEM	VKLAD	3400	24637	\N	\N	\N
422882	1436	1995-03-07	PRIJEM	VKLAD	200	29605	\N	\N	\N
422883	1436	1995-04-06	VYDAJ	VYBER	5300	29099	\N	\N	\N
422884	1436	1995-05-06	VYDAJ	VYBER	3800	30082	\N	\N	\N
422885	1436	1995-06-05	VYDAJ	VYBER	1200	30553	\N	\N	\N
422886	1436	1995-07-05	VYDAJ	VYBER	4000	30558	\N	\N	\N
422887	1436	1995-08-04	VYDAJ	VYBER	2200	30030	\N	\N	\N
422888	1436	1995-09-03	PRIJEM	VKLAD	900	32598	\N	\N	\N
422889	1436	1995-10-03	PRIJEM	VKLAD	1600	32364	\N	\N	\N
422890	1436	1995-11-02	PRIJEM	VKLAD	800	34839	\N	\N	\N
422891	1436	1995-12-02	VYDAJ	VYBER	900	35625	\N	\N	\N
422892	1436	1996-01-01	VYDAJ	VYBER	3900	34350	\N	\N	\N
422893	1436	1996-01-31	PRIJEM	VKLAD	3300	30230	\N	\N	\N
422894	1436	1996-03-01	PRIJEM	VKLAD	100	31984	\N	\N	\N
422895	1436	1996-03-31	VYDAJ	VYBER	1600	32073	\N	\N	\N
422896	1436	1996-04-30	VYDAJ	VYBER	1200	32549	\N	\N	\N
422897	1436	1996-05-30	VYDAJ	VYBER	2600	31487	\N	\N	\N
422898	1436	1996-06-29	PRIJEM	VKLAD	200	35694	\N	\N	\N
422899	1436	1996-07-29	VYDAJ	VYBER	200	34075	\N	\N	\N
422900	1436	1996-08-28	PRIJEM	VKLAD	2300	33562	\N	\N	\N
422901	1436	1996-09-27	VYDAJ	VYBER	300	31136	\N	\N	\N
422902	1436	1996-10-27	PRIJEM	VKLAD	400	33204	\N	\N	\N
422903	1436	1996-11-26	PRIJEM	VKLAD	3100	36377	\N	\N	\N
422904	1436	1996-12-26	VYDAJ	VYBER	2900	32288	\N	\N	\N
422905	1436	1997-01-25	PRIJEM	VKLAD	5300	29675	\N	\N	\N
422906	1436	1997-02-24	PRIJEM	VKLAD	5300	33821	\N	\N	\N
422907	1436	1997-03-26	PRIJEM	VKLAD	5600	41079	\N	\N	\N
422908	1436	1997-04-25	VYDAJ	VYBER	400	40768	\N	\N	\N
422909	1436	1997-05-25	VYDAJ	VYBER	3400	39080	\N	\N	\N
422910	1436	1997-06-24	PRIJEM	VKLAD	1300	44418	\N	\N	\N
422911	1436	1997-07-24	PRIJEM	VKLAD	1600	47732	\N	\N	\N
422912	1436	1997-08-23	VYDAJ	VYBER	1800	42561	\N	\N	\N
422913	1436	1997-09-22	VYDAJ	VYBER	2800	41493	\N	\N	\N
422914	1436	1997-10-22	PRIJEM	VKLAD	3000	42009	\N	\N	\N
422915	1436	1997-11-21	VYDAJ	VYBER	2200	41514	\N	\N	\N
422916	1436	1997-12-21	VYDAJ	VYBER	2500	37955	\N	\N	\N
422917	1436	1998-01-20	PRIJEM	VKLAD	3200	35752	\N	\N	\N
422918	1436	1998-02-19	PRIJEM	VKLAD	1000	32029	\N	\N	\N
422919	1436	1998-03-21	PRIJEM	VKLAD	5400	34401	\N	\N	\N
422920	1436	1998-04-20	PRIJEM	VKLAD	200	36271	\N	\N	\N
422921	1436	1998-05-20	PRIJEM	VKLAD	5200	38356	\N	\N	\N
422922	1436	1998-06-19	PRIJEM	VKLAD	4900	46377	\N	\N	\N
422923	1436	1998-07-19	VYDAJ	VYBER	3500	44589	\N	\N	\N
422924	1436	1998-08-18	VYDAJ	VYBER	200	46118	\N	\N	\N
422925	1436	1998-09-17	PRIJEM	VKLAD	200	48045	\N	\N	\N
422926	1436	1998-10-17	PRIJEM	VKLAD	2300	52079	\N	\N	\N
422927	1436	1998-11-16	VYDAJ	VYBER	4900	48925	\N	\N	\N
422977	1437	1995-01-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
422979	1437	1995-02-08	PRIJEM	PREVOD Z UCTU	3258	4258	\N	YZ	10694808
422980	1437	1995-03-08	PRIJEM	PREVOD Z UCTU	3258	15748	\N	YZ	10694808
422981	1437	1995-04-08	PRIJEM	PREVOD Z UCTU	3258	25581	\N	YZ	10694808
422982	1437	1995-05-08	PRIJEM	PREVOD Z UCTU	3258	27837	\N	YZ	10694808
422983	1437	1995-06-08	PRIJEM	PREVOD Z UCTU	3258	29301	\N	YZ	10694808
422984	1437	1995-07-08	PRIJEM	PREVOD Z UCTU	3258	28845	\N	YZ	10694808
422985	1437	1995-08-08	PRIJEM	PREVOD Z UCTU	3258	28726	\N	YZ	10694808
422986	1437	1995-09-08	PRIJEM	PREVOD Z UCTU	3258	28113	\N	YZ	10694808
422987	1437	1995-10-08	PRIJEM	PREVOD Z UCTU	3258	27198	\N	YZ	10694808
422988	1437	1995-11-08	PRIJEM	PREVOD Z UCTU	3258	28719	\N	YZ	10694808
422989	1437	1995-12-08	PRIJEM	PREVOD Z UCTU	3258	28509	\N	YZ	10694808
422990	1437	1996-01-08	PRIJEM	PREVOD Z UCTU	3258	25772	\N	YZ	10694808
422991	1437	1996-02-08	PRIJEM	PREVOD Z UCTU	3258	28380	\N	YZ	10694808
422992	1437	1996-03-08	PRIJEM	PREVOD Z UCTU	3258	28967	\N	YZ	10694808
422993	1437	1996-04-08	PRIJEM	PREVOD Z UCTU	3258	32464	\N	YZ	10694808
422994	1437	1996-05-08	PRIJEM	PREVOD Z UCTU	3258	29091	\N	YZ	10694808
422995	1437	1996-06-08	PRIJEM	PREVOD Z UCTU	3258	27189	\N	YZ	10694808
422996	1437	1996-07-08	PRIJEM	PREVOD Z UCTU	3258	20761	\N	YZ	10694808
422997	1437	1996-08-08	PRIJEM	PREVOD Z UCTU	3258	20720	\N	YZ	10694808
422998	1437	1996-09-08	PRIJEM	PREVOD Z UCTU	3258	23780	\N	YZ	10694808
422999	1437	1996-10-08	PRIJEM	PREVOD Z UCTU	3258	23350	\N	YZ	10694808
423000	1437	1996-11-08	PRIJEM	PREVOD Z UCTU	3258	20510	\N	YZ	10694808
423001	1437	1996-12-08	PRIJEM	PREVOD Z UCTU	3258	15372	\N	YZ	10694808
423002	1437	1997-01-08	PRIJEM	PREVOD Z UCTU	3258	16515	\N	YZ	10694808
423003	1437	1997-02-08	PRIJEM	PREVOD Z UCTU	3258	17655	\N	YZ	10694808
423004	1437	1997-03-08	PRIJEM	PREVOD Z UCTU	3258	16901	\N	YZ	10694808
423005	1437	1997-04-08	PRIJEM	PREVOD Z UCTU	3258	18047	\N	YZ	10694808
423006	1437	1997-05-08	PRIJEM	PREVOD Z UCTU	3258	18414	\N	YZ	10694808
423007	1437	1997-06-08	PRIJEM	PREVOD Z UCTU	3258	19564	\N	YZ	10694808
423008	1437	1997-07-08	PRIJEM	PREVOD Z UCTU	3258	18131	\N	YZ	10694808
423009	1437	1997-08-08	PRIJEM	PREVOD Z UCTU	3258	19278	\N	YZ	10694808
423010	1437	1997-09-08	PRIJEM	PREVOD Z UCTU	3258	20430	\N	YZ	10694808
423011	1437	1997-10-08	PRIJEM	PREVOD Z UCTU	3258	21587	\N	YZ	10694808
423012	1437	1997-11-08	PRIJEM	PREVOD Z UCTU	3258	22748	\N	YZ	10694808
423013	1437	1997-12-08	PRIJEM	PREVOD Z UCTU	3258	23915	\N	YZ	10694808
423014	1437	1998-01-08	PRIJEM	PREVOD Z UCTU	3258	21871	\N	YZ	10694808
423015	1437	1998-02-08	PRIJEM	PREVOD Z UCTU	3258	20904	\N	YZ	10694808
423016	1437	1998-03-08	PRIJEM	PREVOD Z UCTU	3258	22063	\N	YZ	10694808
423017	1437	1998-04-08	PRIJEM	PREVOD Z UCTU	3258	21784	\N	YZ	10694808
423018	1437	1998-05-08	PRIJEM	PREVOD Z UCTU	3258	22947	\N	YZ	10694808
423019	1437	1998-06-08	PRIJEM	PREVOD Z UCTU	3258	23662	\N	YZ	10694808
423020	1437	1998-07-08	PRIJEM	PREVOD Z UCTU	3258	22125	\N	YZ	10694808
423021	1437	1998-08-08	PRIJEM	PREVOD Z UCTU	3258	22448	\N	YZ	10694808
423022	1437	1998-09-08	PRIJEM	PREVOD Z UCTU	3258	22413	\N	YZ	10694808
423023	1437	1998-10-08	PRIJEM	PREVOD Z UCTU	3258	23577	\N	YZ	10694808
423024	1437	1998-11-08	PRIJEM	PREVOD Z UCTU	3258	24145	\N	YZ	10694808
423025	1437	1998-12-08	PRIJEM	PREVOD Z UCTU	3258	25316	\N	YZ	10694808
423031	1437	1995-06-10	VYDAJ	PREVOD NA UCET	1753	27234	SIPO	ST	58229595
423032	1437	1995-07-10	VYDAJ	PREVOD NA UCET	1753	26778	SIPO	ST	58229595
423033	1437	1995-08-10	VYDAJ	PREVOD NA UCET	1753	26973	SIPO	ST	58229595
423034	1437	1995-09-10	VYDAJ	PREVOD NA UCET	1753	26046	SIPO	ST	58229595
423035	1437	1995-10-10	VYDAJ	PREVOD NA UCET	1753	26945	SIPO	ST	58229595
423036	1437	1995-11-10	VYDAJ	PREVOD NA UCET	1753	25252	SIPO	ST	58229595
423037	1437	1995-12-10	VYDAJ	PREVOD NA UCET	1753	23956	SIPO	ST	58229595
423038	1437	1996-01-10	VYDAJ	PREVOD NA UCET	1753	24019	SIPO	ST	58229595
423039	1437	1996-02-10	VYDAJ	PREVOD NA UCET	1753	26627	SIPO	ST	58229595
423040	1437	1996-03-10	VYDAJ	PREVOD NA UCET	1753	27700	SIPO	ST	58229595
423041	1437	1996-04-10	VYDAJ	PREVOD NA UCET	1753	30711	SIPO	ST	58229595
423042	1437	1996-05-10	VYDAJ	PREVOD NA UCET	1753	27338	SIPO	ST	58229595
423043	1437	1996-06-10	VYDAJ	PREVOD NA UCET	1753	25436	SIPO	ST	58229595
423044	1437	1996-07-10	VYDAJ	PREVOD NA UCET	1753	18694	SIPO	ST	58229595
423045	1437	1996-08-10	VYDAJ	PREVOD NA UCET	1753	18967	SIPO	ST	58229595
423046	1437	1996-09-10	VYDAJ	PREVOD NA UCET	1753	21713	SIPO	ST	58229595
423047	1437	1996-10-10	VYDAJ	PREVOD NA UCET	1753	21597	SIPO	ST	58229595
423048	1437	1996-11-10	VYDAJ	PREVOD NA UCET	1753	18443	SIPO	ST	58229595
423049	1437	1996-12-10	VYDAJ	PREVOD NA UCET	1753	13619	SIPO	ST	58229595
423050	1437	1997-01-10	VYDAJ	PREVOD NA UCET	1753	14762	SIPO	ST	58229595
423051	1437	1997-02-10	VYDAJ	PREVOD NA UCET	1753	15588	SIPO	ST	58229595
423052	1437	1997-03-10	VYDAJ	PREVOD NA UCET	1753	14834	SIPO	ST	58229595
423053	1437	1997-04-10	VYDAJ	PREVOD NA UCET	1753	16294	SIPO	ST	58229595
423054	1437	1997-05-10	VYDAJ	PREVOD NA UCET	1753	16661	SIPO	ST	58229595
423055	1437	1997-06-10	VYDAJ	PREVOD NA UCET	1753	14917	SIPO	ST	58229595
423056	1437	1997-07-10	VYDAJ	PREVOD NA UCET	1753	16064	SIPO	ST	58229595
423057	1437	1997-08-10	VYDAJ	PREVOD NA UCET	1753	17211	SIPO	ST	58229595
423058	1437	1997-09-10	VYDAJ	PREVOD NA UCET	1753	18363	SIPO	ST	58229595
423059	1437	1997-10-10	VYDAJ	PREVOD NA UCET	1753	19834	SIPO	ST	58229595
423060	1437	1997-11-10	VYDAJ	PREVOD NA UCET	1753	20681	SIPO	ST	58229595
423061	1437	1997-12-10	VYDAJ	PREVOD NA UCET	1753	20558	SIPO	ST	58229595
423062	1437	1998-01-10	VYDAJ	PREVOD NA UCET	1753	19804	SIPO	ST	58229595
423063	1437	1998-02-10	VYDAJ	PREVOD NA UCET	1753	18837	SIPO	ST	58229595
423064	1437	1998-03-10	VYDAJ	PREVOD NA UCET	1753	19996	SIPO	ST	58229595
423065	1437	1998-04-10	VYDAJ	PREVOD NA UCET	1753	19717	SIPO	ST	58229595
423066	1437	1998-05-10	VYDAJ	PREVOD NA UCET	1753	21194	SIPO	ST	58229595
423067	1437	1998-06-10	VYDAJ	PREVOD NA UCET	1753	21909	SIPO	ST	58229595
423068	1437	1998-07-10	VYDAJ	PREVOD NA UCET	1753	20058	SIPO	ST	58229595
423069	1437	1998-08-10	VYDAJ	PREVOD NA UCET	1753	20695	SIPO	ST	58229595
423070	1437	1998-09-10	VYDAJ	PREVOD NA UCET	1753	20660	SIPO	ST	58229595
423071	1437	1998-10-10	VYDAJ	PREVOD NA UCET	1753	21824	SIPO	ST	58229595
423072	1437	1998-11-10	VYDAJ	PREVOD NA UCET	1753	22078	SIPO	ST	58229595
423073	1437	1998-12-10	VYDAJ	PREVOD NA UCET	1753	23563	SIPO	ST	58229595
423079	1437	1995-06-10	VYDAJ	PREVOD NA UCET	314	28987	 	OP	22823983
423080	1437	1995-07-10	VYDAJ	PREVOD NA UCET	314	28531	 	OP	22823983
423081	1437	1995-08-10	VYDAJ	PREVOD NA UCET	314	26659	 	OP	22823983
423082	1437	1995-09-10	VYDAJ	PREVOD NA UCET	314	27799	 	OP	22823983
423083	1437	1995-10-10	VYDAJ	PREVOD NA UCET	314	26631	 	OP	22823983
423084	1437	1995-11-10	VYDAJ	PREVOD NA UCET	314	27005	 	OP	22823983
423085	1437	1995-12-10	VYDAJ	PREVOD NA UCET	314	23642	 	OP	22823983
423259	1437	1995-12-31	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
423086	1437	1996-01-10	VYDAJ	PREVOD NA UCET	314	23705	 	OP	22823983
423087	1437	1996-02-10	VYDAJ	PREVOD NA UCET	314	26313	 	OP	22823983
423088	1437	1996-03-10	VYDAJ	PREVOD NA UCET	314	29453	 	OP	22823983
423089	1437	1996-04-10	VYDAJ	PREVOD NA UCET	314	30397	 	OP	22823983
423090	1437	1996-05-10	VYDAJ	PREVOD NA UCET	314	27024	 	OP	22823983
423091	1437	1996-06-10	VYDAJ	PREVOD NA UCET	314	25122	 	OP	22823983
423092	1437	1996-07-10	VYDAJ	PREVOD NA UCET	314	20447	 	OP	22823983
423093	1437	1996-08-10	VYDAJ	PREVOD NA UCET	314	18653	 	OP	22823983
423094	1437	1996-09-10	VYDAJ	PREVOD NA UCET	314	23466	 	OP	22823983
423095	1437	1996-10-10	VYDAJ	PREVOD NA UCET	314	21283	 	OP	22823983
423096	1437	1996-11-10	VYDAJ	PREVOD NA UCET	314	20196	 	OP	22823983
423097	1437	1996-12-10	VYDAJ	PREVOD NA UCET	314	13305	 	OP	22823983
423098	1437	1997-01-10	VYDAJ	PREVOD NA UCET	314	14448	 	OP	22823983
423099	1437	1997-02-10	VYDAJ	PREVOD NA UCET	314	17341	 	OP	22823983
423100	1437	1997-03-10	VYDAJ	PREVOD NA UCET	314	16587	 	OP	22823983
423101	1437	1997-04-10	VYDAJ	PREVOD NA UCET	314	15980	 	OP	22823983
423102	1437	1997-05-10	VYDAJ	PREVOD NA UCET	314	16347	 	OP	22823983
423103	1437	1997-06-10	VYDAJ	PREVOD NA UCET	314	16670	 	OP	22823983
423104	1437	1997-07-10	VYDAJ	PREVOD NA UCET	314	17817	 	OP	22823983
423105	1437	1997-08-10	VYDAJ	PREVOD NA UCET	314	18964	 	OP	22823983
423106	1437	1997-09-10	VYDAJ	PREVOD NA UCET	314	20116	 	OP	22823983
423107	1437	1997-10-10	VYDAJ	PREVOD NA UCET	314	19520	 	OP	22823983
423108	1437	1997-11-10	VYDAJ	PREVOD NA UCET	314	22434	 	OP	22823983
423109	1437	1997-12-10	VYDAJ	PREVOD NA UCET	314	22311	 	OP	22823983
423110	1437	1998-01-10	VYDAJ	PREVOD NA UCET	314	21557	 	OP	22823983
423111	1437	1998-02-10	VYDAJ	PREVOD NA UCET	314	20590	 	OP	22823983
423112	1437	1998-03-10	VYDAJ	PREVOD NA UCET	314	21749	 	OP	22823983
423113	1437	1998-04-10	VYDAJ	PREVOD NA UCET	314	21470	 	OP	22823983
423114	1437	1998-05-10	VYDAJ	PREVOD NA UCET	314	20880	 	OP	22823983
423115	1437	1998-06-10	VYDAJ	PREVOD NA UCET	314	21595	 	OP	22823983
423116	1437	1998-07-10	VYDAJ	PREVOD NA UCET	314	21811	 	OP	22823983
423117	1437	1998-08-10	VYDAJ	PREVOD NA UCET	314	20381	 	OP	22823983
423118	1437	1998-09-10	VYDAJ	PREVOD NA UCET	314	20346	 	OP	22823983
423119	1437	1998-10-10	VYDAJ	PREVOD NA UCET	314	21510	 	OP	22823983
423120	1437	1998-11-10	VYDAJ	PREVOD NA UCET	314	23831	 	OP	22823983
423121	1437	1998-12-10	VYDAJ	PREVOD NA UCET	314	23249	 	OP	22823983
423127	1437	1995-06-14	VYDAJ	PREVOD NA UCET	65	26840	POJISTNE	AB	52723318
423128	1437	1995-07-14	VYDAJ	PREVOD NA UCET	65	25613	POJISTNE	AB	52723318
423129	1437	1995-08-14	VYDAJ	PREVOD NA UCET	65	24794	POJISTNE	AB	52723318
423130	1437	1995-09-14	VYDAJ	PREVOD NA UCET	65	23881	POJISTNE	AB	52723318
423131	1437	1995-10-14	VYDAJ	PREVOD NA UCET	65	26566	POJISTNE	AB	52723318
423132	1437	1995-11-14	VYDAJ	PREVOD NA UCET	65	25158	POJISTNE	AB	52723318
423133	1437	1995-12-14	VYDAJ	PREVOD NA UCET	65	23577	POJISTNE	AB	52723318
423134	1437	1996-01-14	VYDAJ	PREVOD NA UCET	65	23611	POJISTNE	AB	52723318
423135	1437	1996-02-14	VYDAJ	PREVOD NA UCET	65	26248	POJISTNE	AB	52723318
423136	1437	1996-03-14	VYDAJ	PREVOD NA UCET	65	27635	POJISTNE	AB	52723318
423137	1437	1996-04-14	VYDAJ	PREVOD NA UCET	65	30303	POJISTNE	AB	52723318
423138	1437	1996-05-14	VYDAJ	PREVOD NA UCET	65	26930	POJISTNE	AB	52723318
423139	1437	1996-06-14	VYDAJ	PREVOD NA UCET	65	25057	POJISTNE	AB	52723318
423140	1437	1996-07-14	VYDAJ	PREVOD NA UCET	65	18629	POJISTNE	AB	52723318
423141	1437	1996-08-14	VYDAJ	PREVOD NA UCET	65	18559	POJISTNE	AB	52723318
423142	1437	1996-09-14	VYDAJ	PREVOD NA UCET	65	21619	POJISTNE	AB	52723318
423143	1437	1996-10-14	VYDAJ	PREVOD NA UCET	65	21189	POJISTNE	AB	52723318
423144	1437	1996-11-14	VYDAJ	PREVOD NA UCET	65	18349	POJISTNE	AB	52723318
423145	1437	1996-12-14	VYDAJ	PREVOD NA UCET	65	13240	POJISTNE	AB	52723318
423146	1437	1997-01-14	VYDAJ	PREVOD NA UCET	65	14383	POJISTNE	AB	52723318
423147	1437	1997-02-14	VYDAJ	PREVOD NA UCET	65	15523	POJISTNE	AB	52723318
423148	1437	1997-03-14	VYDAJ	PREVOD NA UCET	65	14740	POJISTNE	AB	52723318
423149	1437	1997-04-14	VYDAJ	PREVOD NA UCET	65	15886	POJISTNE	AB	52723318
423150	1437	1997-05-14	VYDAJ	PREVOD NA UCET	65	16253	POJISTNE	AB	52723318
423151	1437	1997-06-14	VYDAJ	PREVOD NA UCET	65	14852	POJISTNE	AB	52723318
423152	1437	1997-07-14	VYDAJ	PREVOD NA UCET	65	15999	POJISTNE	AB	52723318
423153	1437	1997-08-14	VYDAJ	PREVOD NA UCET	65	17146	POJISTNE	AB	52723318
423154	1437	1997-09-14	VYDAJ	PREVOD NA UCET	65	18298	POJISTNE	AB	52723318
423155	1437	1997-10-14	VYDAJ	PREVOD NA UCET	65	19455	POJISTNE	AB	52723318
423156	1437	1997-11-14	VYDAJ	PREVOD NA UCET	65	20616	POJISTNE	AB	52723318
423157	1437	1997-12-14	VYDAJ	PREVOD NA UCET	65	20464	POJISTNE	AB	52723318
423158	1437	1998-01-14	VYDAJ	PREVOD NA UCET	65	19710	POJISTNE	AB	52723318
423159	1437	1998-02-14	VYDAJ	PREVOD NA UCET	65	18772	POJISTNE	AB	52723318
423160	1437	1998-03-14	VYDAJ	PREVOD NA UCET	65	19902	POJISTNE	AB	52723318
423161	1437	1998-04-14	VYDAJ	PREVOD NA UCET	65	19652	POJISTNE	AB	52723318
423162	1437	1998-05-14	VYDAJ	PREVOD NA UCET	65	20336	POJISTNE	AB	52723318
423260	1437	1996-01-31	VYDAJ	VYBER	15	21622	SLUZBY	\N	\N
423163	1437	1998-06-14	VYDAJ	PREVOD NA UCET	65	18801	POJISTNE	AB	52723318
423164	1437	1998-07-14	VYDAJ	PREVOD NA UCET	65	19993	POJISTNE	AB	52723318
423165	1437	1998-08-14	VYDAJ	PREVOD NA UCET	65	20287	POJISTNE	AB	52723318
423166	1437	1998-09-14	VYDAJ	PREVOD NA UCET	65	20281	POJISTNE	AB	52723318
423167	1437	1998-10-14	VYDAJ	PREVOD NA UCET	65	21416	POJISTNE	AB	52723318
423168	1437	1998-11-14	VYDAJ	PREVOD NA UCET	65	21984	POJISTNE	AB	52723318
423169	1437	1998-12-14	VYDAJ	PREVOD NA UCET	65	23184	POJISTNE	AB	52723318
423175	1437	1995-06-14	VYDAJ	PREVOD NA UCET	29	26905	 	GH	27458155
423176	1437	1995-07-14	VYDAJ	PREVOD NA UCET	29	25584	 	GH	27458155
423177	1437	1995-08-14	VYDAJ	PREVOD NA UCET	29	24765	 	GH	27458155
423178	1437	1995-09-14	VYDAJ	PREVOD NA UCET	29	23852	 	GH	27458155
423179	1437	1995-10-14	VYDAJ	PREVOD NA UCET	29	26537	 	GH	27458155
423180	1437	1995-11-14	VYDAJ	PREVOD NA UCET	29	25223	 	GH	27458155
423181	1437	1995-12-14	VYDAJ	PREVOD NA UCET	29	23548	 	GH	27458155
423182	1437	1996-01-14	VYDAJ	PREVOD NA UCET	29	23676	 	GH	27458155
423183	1437	1996-02-14	VYDAJ	PREVOD NA UCET	29	26219	 	GH	27458155
423184	1437	1996-03-14	VYDAJ	PREVOD NA UCET	29	27606	 	GH	27458155
423185	1437	1996-04-14	VYDAJ	PREVOD NA UCET	29	30368	 	GH	27458155
423186	1437	1996-05-14	VYDAJ	PREVOD NA UCET	29	26995	 	GH	27458155
423187	1437	1996-06-14	VYDAJ	PREVOD NA UCET	29	25028	 	GH	27458155
423188	1437	1996-07-14	VYDAJ	PREVOD NA UCET	29	18600	 	GH	27458155
423189	1437	1996-08-14	VYDAJ	PREVOD NA UCET	29	18624	 	GH	27458155
423190	1437	1996-09-14	VYDAJ	PREVOD NA UCET	29	21684	 	GH	27458155
423191	1437	1996-10-14	VYDAJ	PREVOD NA UCET	29	21254	 	GH	27458155
423192	1437	1996-11-14	VYDAJ	PREVOD NA UCET	29	18414	 	GH	27458155
423193	1437	1996-12-14	VYDAJ	PREVOD NA UCET	29	13211	 	GH	27458155
423194	1437	1997-01-14	VYDAJ	PREVOD NA UCET	29	14354	 	GH	27458155
423195	1437	1997-02-14	VYDAJ	PREVOD NA UCET	29	15494	 	GH	27458155
423196	1437	1997-03-14	VYDAJ	PREVOD NA UCET	29	14805	 	GH	27458155
423197	1437	1997-04-14	VYDAJ	PREVOD NA UCET	29	15951	 	GH	27458155
423198	1437	1997-05-14	VYDAJ	PREVOD NA UCET	29	16318	 	GH	27458155
423199	1437	1997-06-14	VYDAJ	PREVOD NA UCET	29	14823	 	GH	27458155
423200	1437	1997-07-14	VYDAJ	PREVOD NA UCET	29	15970	 	GH	27458155
423201	1437	1997-08-14	VYDAJ	PREVOD NA UCET	29	17117	 	GH	27458155
423202	1437	1997-09-14	VYDAJ	PREVOD NA UCET	29	18269	 	GH	27458155
423203	1437	1997-10-14	VYDAJ	PREVOD NA UCET	29	19426	 	GH	27458155
423204	1437	1997-11-14	VYDAJ	PREVOD NA UCET	29	20587	 	GH	27458155
423205	1437	1997-12-14	VYDAJ	PREVOD NA UCET	29	20529	 	GH	27458155
423206	1437	1998-01-14	VYDAJ	PREVOD NA UCET	29	19775	 	GH	27458155
423207	1437	1998-02-14	VYDAJ	PREVOD NA UCET	29	18743	 	GH	27458155
423208	1437	1998-03-14	VYDAJ	PREVOD NA UCET	29	19967	 	GH	27458155
423209	1437	1998-04-14	VYDAJ	PREVOD NA UCET	29	19623	 	GH	27458155
423210	1437	1998-05-14	VYDAJ	PREVOD NA UCET	29	20401	 	GH	27458155
423211	1437	1998-06-14	VYDAJ	PREVOD NA UCET	29	18866	 	GH	27458155
423212	1437	1998-07-14	VYDAJ	PREVOD NA UCET	29	19964	 	GH	27458155
423213	1437	1998-08-14	VYDAJ	PREVOD NA UCET	29	20352	 	GH	27458155
423214	1437	1998-09-14	VYDAJ	PREVOD NA UCET	29	20252	 	GH	27458155
423215	1437	1998-10-14	VYDAJ	PREVOD NA UCET	29	21481	 	GH	27458155
423216	1437	1998-11-14	VYDAJ	PREVOD NA UCET	29	22049	 	GH	27458155
423217	1437	1998-12-14	VYDAJ	PREVOD NA UCET	29	23155	 	GH	27458155
423219	1437	1996-06-16	VYDAJ	VYBER	8100	16928	\N	\N	\N
423220	1437	1997-06-08	VYDAJ	VYBER	2580	16984	\N	\N	\N
423221	1437	1998-06-13	VYDAJ	VYBER	2700	18895	\N	\N	\N
423223	1437	1996-01-23	VYDAJ	VYBER	2070	21541	\N	\N	\N
423225	1437	1998-01-29	VYDAJ	VYBER	2130	17580	\N	\N	\N
423226	1437	1995-12-19	VYDAJ	VYBER	240	23308	\N	\N	\N
423228	1437	1997-12-27	VYDAJ	VYBER	870	18544	\N	\N	\N
423229	1437	1998-12-15	VYDAJ	VYBER	780	22375	\N	\N	\N
423230	1437	1995-07-01	VYDAJ	VYBER	1350	25587	\N	\N	\N
423231	1437	1995-10-30	VYDAJ	VYBER	510	26027	\N	\N	\N
423232	1437	1995-11-05	VYDAJ	VYBER	660	25461	\N	\N	\N
423233	1437	1995-07-29	VYDAJ	VYBER	210	25374	\N	\N	\N
423234	1437	1996-10-19	VYDAJ	VYBER	1110	20079	\N	\N	\N
423235	1437	1996-01-02	VYDAJ	VYBER	1380	22014	\N	\N	\N
423236	1437	1996-02-22	VYDAJ	VYBER	600	25619	\N	\N	\N
423237	1437	1996-04-27	VYDAJ	VYBER	480	29823	\N	\N	\N
423238	1437	1997-12-08	VYDAJ	VYBER	1290	22625	\N	\N	\N
423239	1437	1997-05-04	VYDAJ	VYBER	780	15156	\N	\N	\N
423240	1437	1997-12-24	VYDAJ	VYBER	1050	19414	\N	\N	\N
423241	1437	1998-07-28	VYDAJ	VYBER	840	19124	\N	\N	\N
423242	1437	1998-03-29	VYDAJ	VYBER	570	18462	\N	\N	\N
423243	1437	1998-05-13	VYDAJ	VYBER	450	20430	\N	\N	\N
423244	1437	1998-08-30	VYDAJ	VYBER	1200	19087	\N	\N	\N
423245	1437	1998-10-25	VYDAJ	VYBER	600	20816	\N	\N	\N
423246	1437	1998-03-16	VYDAJ	VYBER	870	19032	\N	\N	\N
423253	1437	1995-06-30	VYDAJ	VYBER	15	26937	SLUZBY	\N	\N
423254	1437	1995-07-31	VYDAJ	VYBER	15	25468	SLUZBY	\N	\N
423255	1437	1995-08-31	VYDAJ	VYBER	15	24855	SLUZBY	\N	\N
423256	1437	1995-09-30	VYDAJ	VYBER	15	23940	SLUZBY	\N	\N
423257	1437	1995-10-31	VYDAJ	VYBER	15	26121	SLUZBY	\N	\N
423258	1437	1995-11-30	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
423261	1437	1996-02-29	VYDAJ	VYBER	15	25709	SLUZBY	\N	\N
423262	1437	1996-03-31	VYDAJ	VYBER	15	27706	SLUZBY	\N	\N
423263	1437	1996-04-30	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
423264	1437	1996-05-31	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
423265	1437	1996-06-30	VYDAJ	VYBER	15	17003	SLUZBY	\N	\N
423266	1437	1996-07-31	VYDAJ	VYBER	15	18662	SLUZBY	\N	\N
423267	1437	1996-08-31	VYDAJ	VYBER	15	18622	SLUZBY	\N	\N
423268	1437	1996-09-30	VYDAJ	VYBER	15	21692	SLUZBY	\N	\N
423269	1437	1996-10-31	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
423270	1437	1996-11-30	VYDAJ	VYBER	15	18414	SLUZBY	\N	\N
423271	1437	1996-12-31	VYDAJ	VYBER	15	13257	SLUZBY	\N	\N
423272	1437	1997-01-31	VYDAJ	VYBER	15	14397	SLUZBY	\N	\N
423273	1437	1997-02-28	VYDAJ	VYBER	15	15543	SLUZBY	\N	\N
423274	1437	1997-03-31	VYDAJ	VYBER	15	14789	SLUZBY	\N	\N
423275	1437	1997-04-30	VYDAJ	VYBER	15	15936	SLUZBY	\N	\N
423276	1437	1997-05-31	VYDAJ	VYBER	15	16306	SLUZBY	\N	\N
423277	1437	1997-06-30	VYDAJ	VYBER	15	14873	SLUZBY	\N	\N
423278	1437	1997-07-31	VYDAJ	VYBER	15	16020	SLUZBY	\N	\N
423279	1437	1997-08-31	VYDAJ	VYBER	15	17172	SLUZBY	\N	\N
423280	1437	1997-09-30	VYDAJ	VYBER	15	18329	SLUZBY	\N	\N
423281	1437	1997-10-31	VYDAJ	VYBER	15	19490	SLUZBY	\N	\N
423282	1437	1997-11-30	VYDAJ	VYBER	15	20657	SLUZBY	\N	\N
423283	1437	1997-12-31	VYDAJ	VYBER	15	18613	SLUZBY	\N	\N
423284	1437	1998-01-31	VYDAJ	VYBER	15	17646	SLUZBY	\N	\N
423285	1437	1998-02-28	VYDAJ	VYBER	15	18805	SLUZBY	\N	\N
423286	1437	1998-03-31	VYDAJ	VYBER	15	18526	SLUZBY	\N	\N
423287	1437	1998-04-30	VYDAJ	VYBER	15	19689	SLUZBY	\N	\N
423288	1437	1998-05-31	VYDAJ	VYBER	15	20404	SLUZBY	\N	\N
423289	1437	1998-06-30	VYDAJ	VYBER	15	18867	SLUZBY	\N	\N
423290	1437	1998-07-31	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
423291	1437	1998-08-31	VYDAJ	VYBER	15	19155	SLUZBY	\N	\N
423292	1437	1998-09-30	VYDAJ	VYBER	15	20319	SLUZBY	\N	\N
423293	1437	1998-10-31	VYDAJ	VYBER	15	20887	SLUZBY	\N	\N
423294	1437	1998-11-30	VYDAJ	VYBER	15	22058	SLUZBY	\N	\N
423295	1437	1995-02-12	PRIJEM	VKLAD	8200	12458	\N	\N	\N
423296	1437	1995-03-14	PRIJEM	VKLAD	6500	22248	\N	\N	\N
423297	1437	1995-04-13	VYDAJ	VYBER	1100	24481	\N	\N	\N
423298	1437	1995-05-13	VYDAJ	VYBER	1900	25937	\N	\N	\N
423299	1437	1995-06-12	VYDAJ	VYBER	300	26934	\N	\N	\N
423300	1437	1995-07-12	VYDAJ	VYBER	1100	25678	\N	\N	\N
423301	1437	1995-08-11	VYDAJ	VYBER	1800	24859	\N	\N	\N
423302	1437	1995-09-10	VYDAJ	VYBER	2100	23946	\N	\N	\N
423303	1437	1995-10-10	PRIJEM	VKLAD	1500	28698	\N	\N	\N
423304	1437	1995-11-09	VYDAJ	VYBER	1400	27319	\N	\N	\N
423305	1437	1995-12-09	VYDAJ	VYBER	2800	25709	\N	\N	\N
423306	1437	1996-01-08	PRIJEM	VKLAD	500	22514	\N	\N	\N
423307	1437	1996-02-07	PRIJEM	VKLAD	3500	25122	\N	\N	\N
423308	1437	1996-03-08	PRIJEM	VKLAD	800	29767	\N	\N	\N
423309	1437	1996-04-07	PRIJEM	VKLAD	1500	29206	\N	\N	\N
423310	1437	1996-05-07	VYDAJ	VYBER	4100	25833	\N	\N	\N
423311	1437	1996-06-06	VYDAJ	VYBER	3100	23931	\N	\N	\N
423312	1437	1996-07-06	PRIJEM	VKLAD	500	17503	\N	\N	\N
423313	1437	1996-08-05	VYDAJ	VYBER	1200	17462	\N	\N	\N
423314	1437	1996-09-04	PRIJEM	VKLAD	1900	20522	\N	\N	\N
423315	1437	1996-10-04	VYDAJ	VYBER	1600	20092	\N	\N	\N
423316	1437	1996-11-03	VYDAJ	VYBER	2900	17252	\N	\N	\N
423317	1437	1996-12-03	VYDAJ	VYBER	6300	12114	\N	\N	\N
423318	1437	1997-03-03	VYDAJ	VYBER	1900	13643	\N	\N	\N
423366	1438	1997-09-18	PRIJEM	VKLAD	600	600	\N	\N	\N
423372	1438	1997-12-06	PRIJEM	VKLAD	12236	81545	\N	\N	\N
423374	1438	1997-12-06	PRIJEM	VKLAD	22341	103886	\N	\N	\N
423375	1438	1997-11-13	PRIJEM	VKLAD	47687	70466	\N	\N	\N
423377	1438	1997-10-23	PRIJEM	VKLAD	6351	22751	\N	\N	\N
423383	1438	1997-12-05	PRIJEM	VKLAD	11455	69309	\N	\N	\N
423385	1438	1997-11-24	PRIJEM	VKLAD	9335	57701	\N	\N	\N
423386	1438	1997-12-29	PRIJEM	VKLAD	10514	71897	\N	\N	\N
423387	1438	1997-12-09	PRIJEM	VKLAD	23997	98283	\N	\N	\N
423388	1438	1998-04-14	PRIJEM	VKLAD	25567	51171	\N	\N	\N
423389	1438	1998-01-21	PRIJEM	VKLAD	44552	73808	\N	\N	\N
423390	1438	1998-02-01	PRIJEM	VKLAD	8091	78202	\N	\N	\N
423391	1438	1998-06-28	PRIJEM	VKLAD	41531	76072	\N	\N	\N
423392	1438	1998-12-05	PRIJEM	VKLAD	19327	47270	\N	\N	\N
423401	1438	1998-01-09	VYBER	VYBER	17520	36356	\N	\N	\N
423403	1438	1998-03-01	VYBER	VYBER	9102	40317	\N	\N	\N
423404	1438	1998-07-29	VYBER	VYBER	6139	50533	\N	\N	\N
423405	1438	1998-02-07	VYBER	VYBER	13395	64807	\N	\N	\N
423406	1438	1998-10-16	VYBER	VYBER	4487	27939	\N	\N	\N
423407	1438	1998-11-07	VYBER	VYBER	3974	24052	\N	\N	\N
423408	1438	1998-08-20	VYBER	VYBER	14720	29090	\N	\N	\N
423409	1438	1998-05-25	VYBER	VYBER	8254	26121	\N	\N	\N
423412	1438	1997-12-06	VYDAJ	VYBER	6900	96986	\N	\N	\N
423413	1438	1998-12-06	VYDAJ	VYBER	4800	42470	\N	\N	\N
423420	1438	1998-01-06	VYDAJ	VYBER	4800	56576	\N	\N	\N
423421	1438	1998-01-06	VYDAJ	VYBER	2700	53876	\N	\N	\N
423422	1438	1998-01-05	VYDAJ	VYBER	8700	61376	\N	\N	\N
423423	1438	1998-01-03	VYDAJ	VYBER	2100	70076	\N	\N	\N
423424	1438	1998-01-18	VYDAJ	VYBER	3000	29256	\N	\N	\N
423425	1438	1998-01-30	VYDAJ	VYBER	3900	69908	\N	\N	\N
423430	1438	1997-12-13	VYDAJ	VYBER	5400	92883	\N	\N	\N
423432	1438	1998-11-30	VYDAJ	VYBER	2100	27943	\N	\N	\N
423434	1438	1998-03-07	VYDAJ	VYBER	12900	25917	\N	\N	\N
423435	1438	1998-10-10	VYDAJ	VYBER	6000	20726	\N	\N	\N
423436	1438	1998-03-01	VYDAJ	VYBER	1500	38817	\N	\N	\N
423437	1438	1998-09-26	VYDAJ	VYBER	11700	26637	\N	\N	\N
423450	1438	1997-12-31	VYDAJ	VYBER	30	72176	SLUZBY	\N	\N
423451	1438	1998-01-31	VYDAJ	VYBER	30	70111	SLUZBY	\N	\N
423452	1438	1998-02-28	VYDAJ	VYBER	30	49419	SLUZBY	\N	\N
423453	1438	1998-03-31	VYDAJ	VYBER	30	25604	SLUZBY	\N	\N
423454	1438	1998-04-30	VYDAJ	VYBER	30	38875	SLUZBY	\N	\N
423455	1438	1998-05-31	VYDAJ	VYBER	30	26241	SLUZBY	\N	\N
423456	1438	1998-06-30	VYDAJ	VYBER	30	76172	SLUZBY	\N	\N
423457	1438	1998-07-31	VYDAJ	VYBER	30	50810	SLUZBY	\N	\N
423458	1438	1998-08-31	VYDAJ	VYBER	30	29237	SLUZBY	\N	\N
423459	1438	1998-09-30	VYDAJ	VYBER	30	26726	SLUZBY	\N	\N
423460	1438	1998-10-31	VYDAJ	VYBER	30	28026	SLUZBY	\N	\N
423461	1438	1998-11-30	VYDAJ	VYBER	30	30043	SLUZBY	\N	\N
423462	1438	1997-10-18	PRIJEM	VKLAD	15800	16400	\N	\N	\N
423463	1438	1997-11-17	VYDAJ	VYBER	22100	48366	\N	\N	\N
423464	1438	1997-12-06	VYDAJ	VYBER	22700	74286	\N	\N	\N
423465	1438	1997-12-17	VYDAJ	VYBER	31500	61383	\N	\N	\N
423466	1438	1998-01-16	VYDAJ	VYBER	4100	32256	\N	\N	\N
423467	1438	1998-02-15	VYDAJ	VYBER	15600	49207	\N	\N	\N
423468	1438	1998-03-17	VYDAJ	VYBER	400	25517	\N	\N	\N
423469	1438	1998-04-16	VYDAJ	VYBER	12400	38771	\N	\N	\N
423470	1438	1998-05-16	VYDAJ	VYBER	4500	34375	\N	\N	\N
423471	1438	1998-06-15	PRIJEM	VKLAD	8300	34541	\N	\N	\N
423472	1438	1998-07-15	VYDAJ	VYBER	19500	56672	\N	\N	\N
423473	1438	1998-08-14	VYDAJ	VYBER	7000	43810	\N	\N	\N
423474	1438	1998-09-13	PRIJEM	VKLAD	9100	38337	\N	\N	\N
423475	1438	1998-10-13	PRIJEM	VKLAD	11700	32426	\N	\N	\N
423476	1438	1998-11-12	PRIJEM	VKLAD	5900	29952	\N	\N	\N
423492	1439	1996-01-27	PRIJEM	VKLAD	700	700	\N	\N	\N
423494	1439	1996-02-11	PRIJEM	PREVOD Z UCTU	3183	3883	\N	CD	28476131
423495	1439	1996-03-11	PRIJEM	PREVOD Z UCTU	3183	7066	\N	CD	28476131
423496	1439	1996-04-11	PRIJEM	PREVOD Z UCTU	3183	10249	\N	CD	28476131
423497	1439	1996-05-11	PRIJEM	PREVOD Z UCTU	3183	13432	\N	CD	28476131
423498	1439	1996-06-11	PRIJEM	PREVOD Z UCTU	3183	16615	\N	CD	28476131
423499	1439	1996-07-11	PRIJEM	PREVOD Z UCTU	3183	17700	\N	CD	28476131
423500	1439	1996-08-11	PRIJEM	PREVOD Z UCTU	3183	18809	\N	CD	28476131
423501	1439	1996-09-11	PRIJEM	PREVOD Z UCTU	3183	19924	\N	CD	28476131
423502	1439	1996-10-11	PRIJEM	PREVOD Z UCTU	3183	20592	\N	CD	28476131
423503	1439	1996-11-11	PRIJEM	PREVOD Z UCTU	3183	20782	\N	CD	28476131
423504	1439	1996-12-11	PRIJEM	PREVOD Z UCTU	3183	20012	\N	CD	28476131
423505	1439	1997-01-11	PRIJEM	PREVOD Z UCTU	3183	18253	\N	CD	28476131
423506	1439	1997-02-11	PRIJEM	PREVOD Z UCTU	3183	15971	\N	CD	28476131
423507	1439	1997-03-11	PRIJEM	PREVOD Z UCTU	3183	16773	\N	CD	28476131
423508	1439	1997-04-11	PRIJEM	PREVOD Z UCTU	3183	16197	\N	CD	28476131
423509	1439	1997-05-11	PRIJEM	PREVOD Z UCTU	3183	16901	\N	CD	28476131
423510	1439	1997-06-11	PRIJEM	PREVOD Z UCTU	3183	16644	\N	CD	28476131
423511	1439	1997-07-11	PRIJEM	PREVOD Z UCTU	3183	17749	\N	CD	28476131
423512	1439	1997-08-11	PRIJEM	PREVOD Z UCTU	3183	18859	\N	CD	28476131
423513	1439	1997-09-11	PRIJEM	PREVOD Z UCTU	3183	19973	\N	CD	28476131
423514	1439	1997-10-11	PRIJEM	PREVOD Z UCTU	3183	17336	\N	CD	28476131
423515	1439	1997-11-11	PRIJEM	PREVOD Z UCTU	3183	16081	\N	CD	28476131
423516	1439	1997-12-11	PRIJEM	PREVOD Z UCTU	3183	17184	\N	CD	28476131
423517	1439	1998-01-11	PRIJEM	PREVOD Z UCTU	3183	16077	\N	CD	28476131
423518	1439	1998-02-11	PRIJEM	PREVOD Z UCTU	3183	15937	\N	CD	28476131
423519	1439	1998-03-11	PRIJEM	PREVOD Z UCTU	3183	17039	\N	CD	28476131
423520	1439	1998-04-11	PRIJEM	PREVOD Z UCTU	3183	18045	\N	CD	28476131
423521	1439	1998-05-11	PRIJEM	PREVOD Z UCTU	3183	19156	\N	CD	28476131
423522	1439	1998-06-11	PRIJEM	PREVOD Z UCTU	3183	20272	\N	CD	28476131
423523	1439	1998-07-11	PRIJEM	PREVOD Z UCTU	3183	18957	\N	CD	28476131
423524	1439	1998-08-11	PRIJEM	PREVOD Z UCTU	3183	18959	\N	CD	28476131
423525	1439	1998-09-11	PRIJEM	PREVOD Z UCTU	3183	19503	\N	CD	28476131
423526	1439	1998-10-11	PRIJEM	PREVOD Z UCTU	3183	19478	\N	CD	28476131
423527	1439	1998-11-11	PRIJEM	PREVOD Z UCTU	3183	20595	\N	CD	28476131
423528	1439	1998-12-11	PRIJEM	PREVOD Z UCTU	3183	21716	\N	CD	28476131
423534	1439	1996-06-12	VYDAJ	PREVOD NA UCET	2122	14493	\N	MN	79379254
423535	1439	1996-07-12	VYDAJ	PREVOD NA UCET	2122	15578	\N	MN	79379254
423536	1439	1996-08-12	VYDAJ	PREVOD NA UCET	2122	16687	\N	MN	79379254
423537	1439	1996-09-12	VYDAJ	PREVOD NA UCET	2122	17802	\N	MN	79379254
423538	1439	1996-10-12	VYDAJ	PREVOD NA UCET	2122	18470	\N	MN	79379254
423539	1439	1996-11-12	VYDAJ	PREVOD NA UCET	2122	18660	\N	MN	79379254
423540	1439	1996-12-12	VYDAJ	PREVOD NA UCET	2122	17890	\N	MN	79379254
423541	1439	1997-01-12	VYDAJ	PREVOD NA UCET	2122	16131	\N	MN	79379254
423542	1439	1997-02-12	VYDAJ	PREVOD NA UCET	2122	13549	\N	MN	79379254
423543	1439	1997-03-12	VYDAJ	PREVOD NA UCET	2122	14651	\N	MN	79379254
423544	1439	1997-04-12	VYDAJ	PREVOD NA UCET	2122	14075	\N	MN	79379254
423545	1439	1997-05-12	VYDAJ	PREVOD NA UCET	2122	13519	\N	MN	79379254
423546	1439	1997-06-12	VYDAJ	PREVOD NA UCET	2122	14522	\N	MN	79379254
423547	1439	1997-07-12	VYDAJ	PREVOD NA UCET	2122	15627	\N	MN	79379254
423548	1439	1997-08-12	VYDAJ	PREVOD NA UCET	2122	16737	\N	MN	79379254
423549	1439	1997-09-12	VYDAJ	PREVOD NA UCET	2122	17851	\N	MN	79379254
423550	1439	1997-10-12	VYDAJ	PREVOD NA UCET	2122	15214	\N	MN	79379254
423551	1439	1997-11-12	VYDAJ	PREVOD NA UCET	2122	13959	\N	MN	79379254
423552	1439	1997-12-12	VYDAJ	PREVOD NA UCET	2122	15062	\N	MN	79379254
423553	1439	1998-01-12	VYDAJ	PREVOD NA UCET	2122	13955	\N	MN	79379254
423554	1439	1998-02-12	VYDAJ	PREVOD NA UCET	2122	13815	\N	MN	79379254
423555	1439	1998-03-12	VYDAJ	PREVOD NA UCET	2122	14917	\N	MN	79379254
423556	1439	1998-04-12	VYDAJ	PREVOD NA UCET	2122	15923	\N	MN	79379254
423557	1439	1998-05-12	VYDAJ	PREVOD NA UCET	2122	17034	\N	MN	79379254
423558	1439	1998-06-12	VYDAJ	PREVOD NA UCET	2122	18150	\N	MN	79379254
423559	1439	1998-07-12	VYDAJ	PREVOD NA UCET	2122	16835	\N	MN	79379254
423560	1439	1998-08-12	VYDAJ	PREVOD NA UCET	2122	16837	\N	MN	79379254
423561	1439	1998-09-12	VYDAJ	PREVOD NA UCET	2122	17381	\N	MN	79379254
423562	1439	1998-10-12	VYDAJ	PREVOD NA UCET	2122	17356	\N	MN	79379254
423563	1439	1998-11-12	VYDAJ	PREVOD NA UCET	2122	18473	\N	MN	79379254
423564	1439	1998-12-12	VYDAJ	PREVOD NA UCET	2122	19594	\N	MN	79379254
423567	1439	1998-06-17	VYDAJ	VYBER	2430	15720	\N	\N	\N
423569	1439	1997-01-02	VYDAJ	VYBER	1440	16510	\N	\N	\N
423571	1439	1996-12-04	VYDAJ	VYBER	570	16829	\N	\N	\N
423572	1439	1997-12-15	VYDAJ	VYBER	810	14252	\N	\N	\N
423573	1439	1998-12-21	VYDAJ	VYBER	180	19414	\N	\N	\N
423580	1439	1997-01-26	VYDAJ	VYBER	660	12741	\N	\N	\N
423581	1439	1997-01-15	VYDAJ	VYBER	720	15411	\N	\N	\N
423582	1439	1997-01-02	VYDAJ	VYBER	870	15640	\N	\N	\N
423583	1439	1997-01-09	VYDAJ	VYBER	570	15070	\N	\N	\N
423584	1439	1997-01-24	VYDAJ	VYBER	270	13401	\N	\N	\N
423585	1439	1997-01-19	VYDAJ	VYBER	600	14811	\N	\N	\N
423590	1439	1998-01-15	VYDAJ	VYBER	540	13415	\N	\N	\N
423592	1439	1996-09-13	VYDAJ	VYBER	450	17352	\N	\N	\N
423593	1439	1996-10-18	VYDAJ	VYBER	930	17540	\N	\N	\N
423596	1439	1996-11-19	VYDAJ	VYBER	1320	17340	\N	\N	\N
423597	1439	1997-10-27	VYDAJ	VYBER	360	12854	\N	\N	\N
423598	1439	1997-01-19	VYDAJ	VYBER	1140	13671	\N	\N	\N
423599	1439	1997-02-11	VYDAJ	VYBER	300	15671	\N	\N	\N
423600	1439	1997-04-09	VYDAJ	VYBER	180	13014	\N	\N	\N
423601	1439	1997-09-19	VYDAJ	VYBER	1080	14371	\N	\N	\N
423602	1439	1997-05-11	VYDAJ	VYBER	1260	15641	\N	\N	\N
423603	1439	1997-10-05	VYDAJ	VYBER	270	14153	\N	\N	\N
423604	1439	1998-08-23	VYDAJ	VYBER	570	16267	\N	\N	\N
423606	1439	1998-09-20	VYDAJ	VYBER	1140	16241	\N	\N	\N
423607	1439	1998-07-15	VYDAJ	VYBER	1110	15725	\N	\N	\N
423614	1439	1996-06-30	VYDAJ	VYBER	15	14517	SLUZBY	\N	\N
423615	1439	1996-07-31	VYDAJ	VYBER	15	15626	SLUZBY	\N	\N
423616	1439	1996-08-31	VYDAJ	VYBER	15	16741	SLUZBY	\N	\N
423617	1439	1996-09-30	VYDAJ	VYBER	15	17409	SLUZBY	\N	\N
423618	1439	1996-10-31	VYDAJ	VYBER	15	17599	SLUZBY	\N	\N
423619	1439	1996-11-30	VYDAJ	VYBER	15	17399	SLUZBY	\N	\N
423620	1439	1996-12-31	VYDAJ	VYBER	15	17950	SLUZBY	\N	\N
423621	1439	1997-01-31	VYDAJ	VYBER	15	12788	SLUZBY	\N	\N
423622	1439	1997-02-28	VYDAJ	VYBER	15	13590	SLUZBY	\N	\N
423623	1439	1997-03-31	VYDAJ	VYBER	15	13194	SLUZBY	\N	\N
423624	1439	1997-04-30	VYDAJ	VYBER	15	13718	SLUZBY	\N	\N
423625	1439	1997-05-31	VYDAJ	VYBER	15	13461	SLUZBY	\N	\N
423626	1439	1997-06-30	VYDAJ	VYBER	15	14566	SLUZBY	\N	\N
423627	1439	1997-07-31	VYDAJ	VYBER	15	15676	SLUZBY	\N	\N
423628	1439	1997-08-31	VYDAJ	VYBER	15	16790	SLUZBY	\N	\N
423629	1439	1997-09-30	VYDAJ	VYBER	15	14423	SLUZBY	\N	\N
423630	1439	1997-10-31	VYDAJ	VYBER	15	12898	SLUZBY	\N	\N
423631	1439	1997-11-30	VYDAJ	VYBER	15	14001	SLUZBY	\N	\N
423632	1439	1997-12-31	VYDAJ	VYBER	15	12894	SLUZBY	\N	\N
423633	1439	1998-01-31	VYDAJ	VYBER	15	12754	SLUZBY	\N	\N
423634	1439	1998-02-28	VYDAJ	VYBER	15	13856	SLUZBY	\N	\N
423635	1439	1998-03-31	VYDAJ	VYBER	15	14862	SLUZBY	\N	\N
423636	1439	1998-04-30	VYDAJ	VYBER	15	15973	SLUZBY	\N	\N
423637	1439	1998-05-31	VYDAJ	VYBER	15	17089	SLUZBY	\N	\N
423638	1439	1998-06-30	VYDAJ	VYBER	15	15774	SLUZBY	\N	\N
423639	1439	1998-07-31	VYDAJ	VYBER	15	15776	SLUZBY	\N	\N
423640	1439	1998-08-31	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
423641	1439	1998-09-30	VYDAJ	VYBER	15	16295	SLUZBY	\N	\N
423642	1439	1998-10-31	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
423643	1439	1998-11-30	VYDAJ	VYBER	15	18533	SLUZBY	\N	\N
423644	1439	1997-03-22	VYDAJ	VYBER	1500	13151	\N	\N	\N
423645	1439	1997-04-21	VYDAJ	VYBER	400	13675	\N	\N	\N
423646	1439	1997-05-21	VYDAJ	VYBER	100	13419	\N	\N	\N
423647	1439	1997-09-18	VYDAJ	VYBER	2400	15451	\N	\N	\N
423648	1439	1997-10-18	VYDAJ	VYBER	2000	13214	\N	\N	\N
423649	1439	1997-12-17	VYDAJ	VYBER	1400	12852	\N	\N	\N
423650	1439	1998-01-16	VYDAJ	VYBER	700	12715	\N	\N	\N
423651	1439	1998-03-17	VYDAJ	VYBER	100	14817	\N	\N	\N
423683	1440	1993-09-22	PRIJEM	VKLAD	500	500	\N	\N	\N
423693	1440	1993-10-14	PRIJEM	PREVOD Z UCTU	3198	3698	\N	IJ	69613659
424084	1440	1995-05-31	VYDAJ	VYBER	15	25698	SLUZBY	\N	\N
423694	1440	1993-11-14	PRIJEM	PREVOD Z UCTU	3198	19518	\N	IJ	69613659
423695	1440	1993-12-14	PRIJEM	PREVOD Z UCTU	3198	25492	\N	IJ	69613659
423696	1440	1994-01-14	PRIJEM	PREVOD Z UCTU	3198	30490	\N	IJ	69613659
423697	1440	1994-02-14	PRIJEM	PREVOD Z UCTU	3198	32004	\N	IJ	69613659
423698	1440	1994-03-14	PRIJEM	PREVOD Z UCTU	3198	28074	\N	IJ	69613659
423699	1440	1994-04-14	PRIJEM	PREVOD Z UCTU	3198	26435	\N	IJ	69613659
423700	1440	1994-05-14	PRIJEM	PREVOD Z UCTU	3198	27994	\N	IJ	69613659
423701	1440	1994-06-14	PRIJEM	PREVOD Z UCTU	3198	16815	\N	IJ	69613659
423702	1440	1994-07-14	PRIJEM	PREVOD Z UCTU	3198	20643	\N	IJ	69613659
423703	1440	1994-08-14	PRIJEM	PREVOD Z UCTU	3198	22378	\N	IJ	69613659
423704	1440	1994-09-14	PRIJEM	PREVOD Z UCTU	3198	24163	\N	IJ	69613659
423705	1440	1994-10-14	PRIJEM	PREVOD Z UCTU	3198	27117	\N	IJ	69613659
423706	1440	1994-11-14	PRIJEM	PREVOD Z UCTU	3198	28449	\N	IJ	69613659
423707	1440	1994-12-14	PRIJEM	PREVOD Z UCTU	3198	28504	\N	IJ	69613659
423708	1440	1995-01-14	PRIJEM	PREVOD Z UCTU	3198	24858	\N	IJ	69613659
423709	1440	1995-02-14	PRIJEM	PREVOD Z UCTU	3198	25192	\N	IJ	69613659
423710	1440	1995-03-14	PRIJEM	PREVOD Z UCTU	3198	27548	\N	IJ	69613659
423711	1440	1995-04-14	PRIJEM	PREVOD Z UCTU	3198	27008	\N	IJ	69613659
423712	1440	1995-05-14	PRIJEM	PREVOD Z UCTU	3198	26264	\N	IJ	69613659
423713	1440	1995-06-14	PRIJEM	PREVOD Z UCTU	3198	19410	\N	IJ	69613659
423714	1440	1995-07-14	PRIJEM	PREVOD Z UCTU	3198	23754	\N	IJ	69613659
423715	1440	1995-08-14	PRIJEM	PREVOD Z UCTU	3198	27204	\N	IJ	69613659
423716	1440	1995-09-14	PRIJEM	PREVOD Z UCTU	3198	30363	\N	IJ	69613659
423717	1440	1995-10-14	PRIJEM	PREVOD Z UCTU	3198	30540	\N	IJ	69613659
423718	1440	1995-11-14	PRIJEM	PREVOD Z UCTU	3198	31313	\N	IJ	69613659
423719	1440	1995-12-14	PRIJEM	PREVOD Z UCTU	3198	30492	\N	IJ	69613659
423720	1440	1996-01-14	PRIJEM	PREVOD Z UCTU	3198	21568	\N	IJ	69613659
423721	1440	1996-02-14	PRIJEM	PREVOD Z UCTU	3198	20113	\N	IJ	69613659
423722	1440	1996-03-14	PRIJEM	PREVOD Z UCTU	3198	22276	\N	IJ	69613659
423723	1440	1996-04-14	PRIJEM	PREVOD Z UCTU	3198	23915	\N	IJ	69613659
423724	1440	1996-05-14	PRIJEM	PREVOD Z UCTU	3198	22261	\N	IJ	69613659
423725	1440	1996-06-14	PRIJEM	PREVOD Z UCTU	3198	18504	\N	IJ	69613659
423726	1440	1996-07-14	PRIJEM	PREVOD Z UCTU	3198	20792	\N	IJ	69613659
423727	1440	1996-08-14	PRIJEM	PREVOD Z UCTU	3198	20784	\N	IJ	69613659
423728	1440	1996-09-14	PRIJEM	PREVOD Z UCTU	3198	20518	\N	IJ	69613659
423729	1440	1996-10-14	PRIJEM	PREVOD Z UCTU	3198	21350	\N	IJ	69613659
423730	1440	1996-11-14	PRIJEM	PREVOD Z UCTU	3198	19485	\N	IJ	69613659
423731	1440	1996-12-14	PRIJEM	PREVOD Z UCTU	3198	17824	\N	IJ	69613659
423732	1440	1997-01-14	PRIJEM	PREVOD Z UCTU	3198	20106	\N	IJ	69613659
423733	1440	1997-02-14	PRIJEM	PREVOD Z UCTU	3198	15542	\N	IJ	69613659
423734	1440	1997-03-14	PRIJEM	PREVOD Z UCTU	3198	14353	\N	IJ	69613659
423735	1440	1997-04-14	PRIJEM	PREVOD Z UCTU	3198	16260	\N	IJ	69613659
423736	1440	1997-05-14	PRIJEM	PREVOD Z UCTU	3198	20122	\N	IJ	69613659
423737	1440	1997-06-14	PRIJEM	PREVOD Z UCTU	3198	20909	\N	IJ	69613659
423738	1440	1997-07-14	PRIJEM	PREVOD Z UCTU	3198	20201	\N	IJ	69613659
423739	1440	1997-08-14	PRIJEM	PREVOD Z UCTU	3198	17250	\N	IJ	69613659
423740	1440	1997-09-14	PRIJEM	PREVOD Z UCTU	3198	15719	\N	IJ	69613659
423741	1440	1997-10-14	PRIJEM	PREVOD Z UCTU	3198	18731	\N	IJ	69613659
423742	1440	1997-11-14	PRIJEM	PREVOD Z UCTU	3198	17553	\N	IJ	69613659
423743	1440	1997-12-14	PRIJEM	PREVOD Z UCTU	3198	15931	\N	IJ	69613659
423744	1440	1998-01-14	PRIJEM	PREVOD Z UCTU	3198	15212	\N	IJ	69613659
423745	1440	1998-02-14	PRIJEM	PREVOD Z UCTU	3198	13848	\N	IJ	69613659
423746	1440	1998-03-14	PRIJEM	PREVOD Z UCTU	3198	14952	\N	IJ	69613659
423747	1440	1998-04-14	PRIJEM	PREVOD Z UCTU	3198	16060	\N	IJ	69613659
423748	1440	1998-05-14	PRIJEM	PREVOD Z UCTU	3198	17173	\N	IJ	69613659
423749	1440	1998-06-14	PRIJEM	PREVOD Z UCTU	3198	17330	\N	IJ	69613659
423750	1440	1998-07-14	PRIJEM	PREVOD Z UCTU	3198	18448	\N	IJ	69613659
423751	1440	1998-08-14	PRIJEM	PREVOD Z UCTU	3198	19571	\N	IJ	69613659
423752	1440	1998-09-14	PRIJEM	PREVOD Z UCTU	3198	20518	\N	IJ	69613659
423753	1440	1998-10-14	PRIJEM	PREVOD Z UCTU	3198	20419	\N	IJ	69613659
423754	1440	1998-11-14	PRIJEM	PREVOD Z UCTU	3198	21550	\N	IJ	69613659
423755	1440	1998-12-14	PRIJEM	PREVOD Z UCTU	3198	21545	\N	IJ	69613659
423770	1440	1994-03-10	VYDAJ	PREVOD NA UCET	56	24876	SIPO	ST	85377597
423771	1440	1994-04-10	VYDAJ	PREVOD NA UCET	56	23237	SIPO	ST	85377597
423772	1440	1994-05-10	VYDAJ	PREVOD NA UCET	56	24796	SIPO	ST	85377597
423773	1440	1994-06-10	VYDAJ	PREVOD NA UCET	56	13617	SIPO	ST	85377597
423774	1440	1994-07-10	VYDAJ	PREVOD NA UCET	56	17445	SIPO	ST	85377597
423775	1440	1994-08-10	VYDAJ	PREVOD NA UCET	56	19180	SIPO	ST	85377597
423776	1440	1994-09-10	VYDAJ	PREVOD NA UCET	56	22225	SIPO	ST	85377597
423777	1440	1994-10-10	VYDAJ	PREVOD NA UCET	56	23919	SIPO	ST	85377597
423778	1440	1994-11-10	VYDAJ	PREVOD NA UCET	56	25251	SIPO	ST	85377597
423779	1440	1994-12-10	VYDAJ	PREVOD NA UCET	56	25306	SIPO	ST	85377597
423780	1440	1995-01-10	VYDAJ	PREVOD NA UCET	56	22380	SIPO	ST	85377597
423781	1440	1995-02-10	VYDAJ	PREVOD NA UCET	56	21994	SIPO	ST	85377597
423782	1440	1995-03-10	VYDAJ	PREVOD NA UCET	56	24350	SIPO	ST	85377597
423783	1440	1995-04-10	VYDAJ	PREVOD NA UCET	56	23810	SIPO	ST	85377597
423784	1440	1995-05-10	VYDAJ	PREVOD NA UCET	56	23066	SIPO	ST	85377597
423785	1440	1995-06-10	VYDAJ	PREVOD NA UCET	56	16212	SIPO	ST	85377597
423786	1440	1995-07-10	VYDAJ	PREVOD NA UCET	56	20556	SIPO	ST	85377597
423787	1440	1995-08-10	VYDAJ	PREVOD NA UCET	56	22806	SIPO	ST	85377597
423788	1440	1995-09-10	VYDAJ	PREVOD NA UCET	56	25165	SIPO	ST	85377597
423789	1440	1995-10-10	VYDAJ	PREVOD NA UCET	56	25542	SIPO	ST	85377597
423790	1440	1995-11-10	VYDAJ	PREVOD NA UCET	56	28515	SIPO	ST	85377597
423791	1440	1995-12-10	VYDAJ	PREVOD NA UCET	56	29294	SIPO	ST	85377597
423792	1440	1996-01-10	VYDAJ	PREVOD NA UCET	56	23580	SIPO	ST	85377597
423793	1440	1996-02-10	VYDAJ	PREVOD NA UCET	56	16915	SIPO	ST	85377597
423794	1440	1996-03-10	VYDAJ	PREVOD NA UCET	56	19348	SIPO	ST	85377597
423795	1440	1996-04-10	VYDAJ	PREVOD NA UCET	56	20717	SIPO	ST	85377597
423796	1440	1996-05-10	VYDAJ	PREVOD NA UCET	56	19063	SIPO	ST	85377597
423797	1440	1996-06-10	VYDAJ	PREVOD NA UCET	56	15306	SIPO	ST	85377597
423798	1440	1996-07-10	VYDAJ	PREVOD NA UCET	56	17594	SIPO	ST	85377597
423799	1440	1996-08-10	VYDAJ	PREVOD NA UCET	56	17586	SIPO	ST	85377597
423800	1440	1996-09-10	VYDAJ	PREVOD NA UCET	56	17320	SIPO	ST	85377597
423801	1440	1996-10-10	VYDAJ	PREVOD NA UCET	56	18152	SIPO	ST	85377597
423802	1440	1996-11-10	VYDAJ	PREVOD NA UCET	56	16287	SIPO	ST	85377597
423803	1440	1996-12-10	VYDAJ	PREVOD NA UCET	56	14626	SIPO	ST	85377597
423804	1440	1997-01-10	VYDAJ	PREVOD NA UCET	56	17358	SIPO	ST	85377597
423805	1440	1997-02-10	VYDAJ	PREVOD NA UCET	56	12344	SIPO	ST	85377597
423806	1440	1997-03-10	VYDAJ	PREVOD NA UCET	56	11155	SIPO	ST	85377597
423807	1440	1997-04-10	VYDAJ	PREVOD NA UCET	56	13062	SIPO	ST	85377597
423808	1440	1997-05-10	VYDAJ	PREVOD NA UCET	56	16924	SIPO	ST	85377597
423809	1440	1997-06-10	VYDAJ	PREVOD NA UCET	56	19151	SIPO	ST	85377597
423810	1440	1997-07-10	VYDAJ	PREVOD NA UCET	56	17003	SIPO	ST	85377597
423811	1440	1997-08-10	VYDAJ	PREVOD NA UCET	56	14052	SIPO	ST	85377597
423812	1440	1997-09-10	VYDAJ	PREVOD NA UCET	56	12521	SIPO	ST	85377597
423813	1440	1997-10-10	VYDAJ	PREVOD NA UCET	56	15533	SIPO	ST	85377597
423814	1440	1997-11-10	VYDAJ	PREVOD NA UCET	56	14355	SIPO	ST	85377597
423815	1440	1997-12-10	VYDAJ	PREVOD NA UCET	56	12733	SIPO	ST	85377597
423816	1440	1998-01-10	VYDAJ	PREVOD NA UCET	56	12014	SIPO	ST	85377597
423817	1440	1998-02-10	VYDAJ	PREVOD NA UCET	56	10650	SIPO	ST	85377597
423818	1440	1998-03-10	VYDAJ	PREVOD NA UCET	56	11754	SIPO	ST	85377597
423819	1440	1998-04-10	VYDAJ	PREVOD NA UCET	56	12862	SIPO	ST	85377597
423820	1440	1998-05-10	VYDAJ	PREVOD NA UCET	56	13975	SIPO	ST	85377597
423821	1440	1998-06-10	VYDAJ	PREVOD NA UCET	56	14132	SIPO	ST	85377597
423822	1440	1998-07-10	VYDAJ	PREVOD NA UCET	56	15250	SIPO	ST	85377597
423823	1440	1998-08-10	VYDAJ	PREVOD NA UCET	56	16373	SIPO	ST	85377597
423824	1440	1998-09-10	VYDAJ	PREVOD NA UCET	56	17500	SIPO	ST	85377597
423825	1440	1998-10-10	VYDAJ	PREVOD NA UCET	56	17221	SIPO	ST	85377597
423826	1440	1998-11-10	VYDAJ	PREVOD NA UCET	56	18352	SIPO	ST	85377597
423827	1440	1998-12-10	VYDAJ	PREVOD NA UCET	56	18347	SIPO	ST	85377597
423842	1440	1994-03-06	VYDAJ	PREVOD NA UCET	2020	24932	 	IJ	63291668
423843	1440	1994-04-06	VYDAJ	PREVOD NA UCET	2020	23293	 	IJ	63291668
423844	1440	1994-05-06	VYDAJ	PREVOD NA UCET	2020	24852	 	IJ	63291668
423845	1440	1994-06-06	VYDAJ	PREVOD NA UCET	2020	14633	 	IJ	63291668
423846	1440	1994-07-06	VYDAJ	PREVOD NA UCET	2020	17501	 	IJ	63291668
423847	1440	1994-08-06	VYDAJ	PREVOD NA UCET	2020	19236	 	IJ	63291668
423848	1440	1994-09-06	VYDAJ	PREVOD NA UCET	2020	22281	 	IJ	63291668
423849	1440	1994-10-06	VYDAJ	PREVOD NA UCET	2020	23975	 	IJ	63291668
423850	1440	1994-11-06	VYDAJ	PREVOD NA UCET	2020	25307	 	IJ	63291668
423851	1440	1994-12-06	VYDAJ	PREVOD NA UCET	2020	25362	 	IJ	63291668
423852	1440	1995-01-06	VYDAJ	PREVOD NA UCET	2020	22436	 	IJ	63291668
423853	1440	1995-02-06	VYDAJ	PREVOD NA UCET	2020	22050	 	IJ	63291668
423854	1440	1995-03-06	VYDAJ	PREVOD NA UCET	2020	24406	 	IJ	63291668
423855	1440	1995-04-06	VYDAJ	PREVOD NA UCET	2020	23866	 	IJ	63291668
423856	1440	1995-05-06	VYDAJ	PREVOD NA UCET	2020	23122	 	IJ	63291668
423857	1440	1995-06-06	VYDAJ	PREVOD NA UCET	2020	23678	 	IJ	63291668
423858	1440	1995-07-06	VYDAJ	PREVOD NA UCET	2020	20612	 	IJ	63291668
423859	1440	1995-08-06	VYDAJ	PREVOD NA UCET	2020	22862	 	IJ	63291668
423860	1440	1995-09-06	VYDAJ	PREVOD NA UCET	2020	25221	 	IJ	63291668
423861	1440	1995-10-06	VYDAJ	PREVOD NA UCET	2020	25598	 	IJ	63291668
423862	1440	1995-11-06	VYDAJ	PREVOD NA UCET	2020	28571	 	IJ	63291668
423863	1440	1995-12-06	VYDAJ	PREVOD NA UCET	2020	29350	 	IJ	63291668
423864	1440	1996-01-06	VYDAJ	PREVOD NA UCET	2020	27026	 	IJ	63291668
423865	1440	1996-02-06	VYDAJ	PREVOD NA UCET	2020	18671	 	IJ	63291668
423866	1440	1996-03-06	VYDAJ	PREVOD NA UCET	2020	18104	 	IJ	63291668
423867	1440	1996-04-06	VYDAJ	PREVOD NA UCET	2020	20273	 	IJ	63291668
423868	1440	1996-05-06	VYDAJ	PREVOD NA UCET	2020	21919	 	IJ	63291668
423869	1440	1996-06-06	VYDAJ	PREVOD NA UCET	2020	20262	 	IJ	63291668
423870	1440	1996-07-06	VYDAJ	PREVOD NA UCET	2020	15950	 	IJ	63291668
423871	1440	1996-08-06	VYDAJ	PREVOD NA UCET	2020	18782	 	IJ	63291668
423872	1440	1996-09-06	VYDAJ	PREVOD NA UCET	2020	17376	 	IJ	63291668
423873	1440	1996-10-06	VYDAJ	PREVOD NA UCET	2020	18208	 	IJ	63291668
423874	1440	1996-11-06	VYDAJ	PREVOD NA UCET	2020	16343	 	IJ	63291668
423875	1440	1996-12-06	VYDAJ	PREVOD NA UCET	2020	14682	 	IJ	63291668
423876	1440	1997-01-06	VYDAJ	PREVOD NA UCET	2020	17414	 	IJ	63291668
423877	1440	1997-02-06	VYDAJ	PREVOD NA UCET	2020	12400	 	IJ	63291668
423878	1440	1997-03-06	VYDAJ	PREVOD NA UCET	2020	11211	 	IJ	63291668
423879	1440	1997-04-06	VYDAJ	PREVOD NA UCET	2020	13118	 	IJ	63291668
423880	1440	1997-05-06	VYDAJ	PREVOD NA UCET	2020	16980	 	IJ	63291668
423881	1440	1997-06-06	VYDAJ	PREVOD NA UCET	2020	19207	 	IJ	63291668
423882	1440	1997-07-06	VYDAJ	PREVOD NA UCET	2020	17059	 	IJ	63291668
423883	1440	1997-08-06	VYDAJ	PREVOD NA UCET	2020	14108	 	IJ	63291668
423884	1440	1997-09-06	VYDAJ	PREVOD NA UCET	2020	12577	 	IJ	63291668
423885	1440	1997-10-06	VYDAJ	PREVOD NA UCET	2020	15589	 	IJ	63291668
423886	1440	1997-11-06	VYDAJ	PREVOD NA UCET	2020	14411	 	IJ	63291668
423887	1440	1997-12-06	VYDAJ	PREVOD NA UCET	2020	12789	 	IJ	63291668
423888	1440	1998-01-06	VYDAJ	PREVOD NA UCET	2020	12070	 	IJ	63291668
423889	1440	1998-02-06	VYDAJ	PREVOD NA UCET	2020	10706	 	IJ	63291668
423890	1440	1998-03-06	VYDAJ	PREVOD NA UCET	2020	11810	 	IJ	63291668
423891	1440	1998-04-06	VYDAJ	PREVOD NA UCET	2020	12918	 	IJ	63291668
423892	1440	1998-05-06	VYDAJ	PREVOD NA UCET	2020	14031	 	IJ	63291668
423893	1440	1998-06-06	VYDAJ	PREVOD NA UCET	2020	14188	 	IJ	63291668
423894	1440	1998-07-06	VYDAJ	PREVOD NA UCET	2020	15306	 	IJ	63291668
423895	1440	1998-08-06	VYDAJ	PREVOD NA UCET	2020	16429	 	IJ	63291668
423896	1440	1998-09-06	VYDAJ	PREVOD NA UCET	2020	17556	 	IJ	63291668
423897	1440	1998-10-06	VYDAJ	PREVOD NA UCET	2020	17277	 	IJ	63291668
423898	1440	1998-11-06	VYDAJ	PREVOD NA UCET	2020	18408	 	IJ	63291668
423899	1440	1998-12-06	VYDAJ	PREVOD NA UCET	2020	18403	 	IJ	63291668
423913	1440	1994-02-14	VYDAJ	PREVOD NA UCET	56	31948	POJISTNE	IJ	66044574
423914	1440	1994-03-14	VYDAJ	PREVOD NA UCET	56	28018	POJISTNE	IJ	66044574
423915	1440	1994-04-14	VYDAJ	PREVOD NA UCET	56	26379	POJISTNE	IJ	66044574
423916	1440	1994-05-14	VYDAJ	PREVOD NA UCET	56	27938	POJISTNE	IJ	66044574
423917	1440	1994-06-14	VYDAJ	PREVOD NA UCET	56	16759	POJISTNE	IJ	66044574
423918	1440	1994-07-14	VYDAJ	PREVOD NA UCET	56	20587	POJISTNE	IJ	66044574
423919	1440	1994-08-14	VYDAJ	PREVOD NA UCET	56	22322	POJISTNE	IJ	66044574
423920	1440	1994-09-14	VYDAJ	PREVOD NA UCET	56	24107	POJISTNE	IJ	66044574
423921	1440	1994-10-14	VYDAJ	PREVOD NA UCET	56	27061	POJISTNE	IJ	66044574
423922	1440	1994-11-14	VYDAJ	PREVOD NA UCET	56	28393	POJISTNE	IJ	66044574
423923	1440	1994-12-14	VYDAJ	PREVOD NA UCET	56	28448	POJISTNE	IJ	66044574
423924	1440	1995-01-14	VYDAJ	PREVOD NA UCET	56	24802	POJISTNE	IJ	66044574
423925	1440	1995-02-14	VYDAJ	PREVOD NA UCET	56	26336	POJISTNE	IJ	66044574
423926	1440	1995-03-14	VYDAJ	PREVOD NA UCET	56	27492	POJISTNE	IJ	66044574
423927	1440	1995-04-14	VYDAJ	PREVOD NA UCET	56	26952	POJISTNE	IJ	66044574
423928	1440	1995-05-14	VYDAJ	PREVOD NA UCET	56	26208	POJISTNE	IJ	66044574
423929	1440	1995-06-14	VYDAJ	PREVOD NA UCET	56	22554	POJISTNE	IJ	66044574
423930	1440	1995-07-14	VYDAJ	PREVOD NA UCET	56	24798	POJISTNE	IJ	66044574
423931	1440	1995-08-14	VYDAJ	PREVOD NA UCET	56	27148	POJISTNE	IJ	66044574
423932	1440	1995-09-14	VYDAJ	PREVOD NA UCET	56	29077	POJISTNE	IJ	66044574
423933	1440	1995-10-14	VYDAJ	PREVOD NA UCET	56	30484	POJISTNE	IJ	66044574
423934	1440	1995-11-14	VYDAJ	PREVOD NA UCET	56	31257	POJISTNE	IJ	66044574
423935	1440	1995-12-14	VYDAJ	PREVOD NA UCET	56	30436	POJISTNE	IJ	66044574
423936	1440	1996-01-14	VYDAJ	PREVOD NA UCET	56	21512	POJISTNE	IJ	66044574
423937	1440	1996-02-14	VYDAJ	PREVOD NA UCET	56	20057	POJISTNE	IJ	66044574
423938	1440	1996-03-14	VYDAJ	PREVOD NA UCET	56	22220	POJISTNE	IJ	66044574
423939	1440	1996-04-14	VYDAJ	PREVOD NA UCET	56	23859	POJISTNE	IJ	66044574
423940	1440	1996-05-14	VYDAJ	PREVOD NA UCET	56	22205	POJISTNE	IJ	66044574
423941	1440	1996-06-14	VYDAJ	PREVOD NA UCET	56	18448	POJISTNE	IJ	66044574
423942	1440	1996-07-14	VYDAJ	PREVOD NA UCET	56	20736	POJISTNE	IJ	66044574
423943	1440	1996-08-14	VYDAJ	PREVOD NA UCET	56	20728	POJISTNE	IJ	66044574
423944	1440	1996-09-14	VYDAJ	PREVOD NA UCET	56	20462	POJISTNE	IJ	66044574
423945	1440	1996-10-14	VYDAJ	PREVOD NA UCET	56	21294	POJISTNE	IJ	66044574
423946	1440	1996-11-14	VYDAJ	PREVOD NA UCET	56	19429	POJISTNE	IJ	66044574
423947	1440	1996-12-14	VYDAJ	PREVOD NA UCET	56	17768	POJISTNE	IJ	66044574
423948	1440	1997-01-14	VYDAJ	PREVOD NA UCET	56	20050	POJISTNE	IJ	66044574
423949	1440	1997-02-14	VYDAJ	PREVOD NA UCET	56	15486	POJISTNE	IJ	66044574
423950	1440	1997-03-14	VYDAJ	PREVOD NA UCET	56	14297	POJISTNE	IJ	66044574
423951	1440	1997-04-14	VYDAJ	PREVOD NA UCET	56	16204	POJISTNE	IJ	66044574
423952	1440	1997-05-14	VYDAJ	PREVOD NA UCET	56	20066	POJISTNE	IJ	66044574
423953	1440	1997-06-14	VYDAJ	PREVOD NA UCET	56	20853	POJISTNE	IJ	66044574
423954	1440	1997-07-14	VYDAJ	PREVOD NA UCET	56	20145	POJISTNE	IJ	66044574
423955	1440	1997-08-14	VYDAJ	PREVOD NA UCET	56	17194	POJISTNE	IJ	66044574
423956	1440	1997-09-14	VYDAJ	PREVOD NA UCET	56	15663	POJISTNE	IJ	66044574
423957	1440	1997-10-14	VYDAJ	PREVOD NA UCET	56	18675	POJISTNE	IJ	66044574
423958	1440	1997-11-14	VYDAJ	PREVOD NA UCET	56	17497	POJISTNE	IJ	66044574
423959	1440	1997-12-14	VYDAJ	PREVOD NA UCET	56	15875	POJISTNE	IJ	66044574
423960	1440	1998-01-14	VYDAJ	PREVOD NA UCET	56	14556	POJISTNE	IJ	66044574
423961	1440	1998-02-14	VYDAJ	PREVOD NA UCET	56	13792	POJISTNE	IJ	66044574
423962	1440	1998-03-14	VYDAJ	PREVOD NA UCET	56	14896	POJISTNE	IJ	66044574
423963	1440	1998-04-14	VYDAJ	PREVOD NA UCET	56	16004	POJISTNE	IJ	66044574
423964	1440	1998-05-14	VYDAJ	PREVOD NA UCET	56	17117	POJISTNE	IJ	66044574
423965	1440	1998-06-14	VYDAJ	PREVOD NA UCET	56	17274	POJISTNE	IJ	66044574
423966	1440	1998-07-14	VYDAJ	PREVOD NA UCET	56	18392	POJISTNE	IJ	66044574
423967	1440	1998-08-14	VYDAJ	PREVOD NA UCET	56	19515	POJISTNE	IJ	66044574
423968	1440	1998-09-14	VYDAJ	PREVOD NA UCET	56	20462	POJISTNE	IJ	66044574
423969	1440	1998-10-14	VYDAJ	PREVOD NA UCET	56	20363	POJISTNE	IJ	66044574
423970	1440	1998-11-14	VYDAJ	PREVOD NA UCET	56	21494	POJISTNE	IJ	66044574
423971	1440	1998-12-14	VYDAJ	PREVOD NA UCET	56	21489	POJISTNE	IJ	66044574
423973	1440	1994-06-03	VYDAJ	VYBER	8580	16653	\N	\N	\N
423974	1440	1995-06-09	VYDAJ	VYBER	6090	17588	\N	\N	\N
423976	1440	1997-06-10	VYDAJ	VYBER	1440	17711	\N	\N	\N
423980	1440	1995-01-05	VYDAJ	VYBER	2490	24456	\N	\N	\N
423981	1440	1996-01-07	VYDAJ	VYBER	2640	23636	\N	\N	\N
423982	1440	1997-01-29	VYDAJ	VYBER	1620	16060	\N	\N	\N
423983	1440	1998-01-22	VYDAJ	VYBER	570	13986	\N	\N	\N
423985	1440	1994-12-03	VYDAJ	VYBER	210	27382	\N	\N	\N
423986	1440	1995-12-24	VYDAJ	VYBER	810	29626	\N	\N	\N
423987	1440	1996-12-01	VYDAJ	VYBER	690	18802	\N	\N	\N
423988	1440	1997-12-22	VYDAJ	VYBER	180	15695	\N	\N	\N
423989	1440	1998-12-23	VYDAJ	VYBER	810	20679	\N	\N	\N
424002	1440	1995-01-02	VYDAJ	VYBER	510	26946	\N	\N	\N
424003	1440	1995-01-19	VYDAJ	VYBER	600	26202	\N	\N	\N
424004	1440	1995-01-20	VYDAJ	VYBER	840	25362	\N	\N	\N
424005	1440	1995-01-01	VYDAJ	VYBER	390	27456	\N	\N	\N
424006	1440	1995-01-24	VYDAJ	VYBER	240	25122	\N	\N	\N
424007	1440	1995-01-10	VYDAJ	VYBER	720	21660	\N	\N	\N
424008	1440	1996-01-19	VYDAJ	VYBER	600	20912	\N	\N	\N
424009	1440	1996-01-05	VYDAJ	VYBER	690	29046	\N	\N	\N
424010	1440	1996-01-12	VYDAJ	VYBER	240	19240	\N	\N	\N
424011	1440	1996-01-13	VYDAJ	VYBER	870	18370	\N	\N	\N
424012	1440	1996-01-06	VYDAJ	VYBER	750	26276	\N	\N	\N
424013	1440	1996-01-24	VYDAJ	VYBER	300	20612	\N	\N	\N
424014	1440	1997-01-13	VYDAJ	VYBER	450	16908	\N	\N	\N
424015	1440	1997-01-19	VYDAJ	VYBER	720	18730	\N	\N	\N
424016	1440	1997-01-03	VYDAJ	VYBER	690	17134	\N	\N	\N
424017	1440	1997-01-28	VYDAJ	VYBER	840	17680	\N	\N	\N
424018	1440	1997-01-15	VYDAJ	VYBER	600	19450	\N	\N	\N
424019	1440	1997-01-23	VYDAJ	VYBER	210	18520	\N	\N	\N
424022	1440	1998-01-14	VYDAJ	VYBER	600	14612	\N	\N	\N
424023	1440	1998-01-02	VYDAJ	VYBER	660	14090	\N	\N	\N
424028	1440	1994-06-07	VYDAJ	VYBER	960	13673	\N	\N	\N
424029	1440	1994-10-27	VYDAJ	VYBER	330	27231	\N	\N	\N
424031	1440	1994-09-13	VYDAJ	VYBER	1260	20965	\N	\N	\N
424033	1440	1995-09-17	VYDAJ	VYBER	600	28477	\N	\N	\N
424034	1440	1995-10-06	VYDAJ	VYBER	960	27618	\N	\N	\N
424035	1440	1995-04-03	VYDAJ	VYBER	600	25886	\N	\N	\N
424036	1440	1995-01-25	VYDAJ	VYBER	1140	23982	\N	\N	\N
424037	1440	1995-06-09	VYDAJ	VYBER	1320	16268	\N	\N	\N
424038	1440	1995-09-14	VYDAJ	VYBER	1230	29133	\N	\N	\N
424039	1440	1996-06-23	VYDAJ	VYBER	540	17908	\N	\N	\N
424040	1440	1996-08-06	VYDAJ	VYBER	1140	17642	\N	\N	\N
424041	1440	1996-03-10	VYDAJ	VYBER	270	19078	\N	\N	\N
424043	1440	1997-11-27	VYDAJ	VYBER	1440	16057	\N	\N	\N
424044	1440	1997-07-23	VYDAJ	VYBER	780	19365	\N	\N	\N
424045	1440	1997-12-23	VYDAJ	VYBER	1290	14405	\N	\N	\N
424046	1440	1997-08-21	VYDAJ	VYBER	450	16744	\N	\N	\N
424048	1440	1997-04-21	VYDAJ	VYBER	750	15454	\N	\N	\N
424049	1440	1997-06-18	VYDAJ	VYBER	1140	19713	\N	\N	\N
424050	1440	1998-09-29	VYDAJ	VYBER	1230	19232	\N	\N	\N
424051	1440	1998-09-13	VYDAJ	VYBER	180	17320	\N	\N	\N
424053	1440	1998-05-28	VYDAJ	VYBER	960	16157	\N	\N	\N
424054	1440	1998-12-04	VYDAJ	VYBER	1140	20423	\N	\N	\N
424069	1440	1994-02-28	VYDAJ	VYBER	15	26952	SLUZBY	\N	\N
424070	1440	1994-03-31	VYDAJ	VYBER	15	25313	SLUZBY	\N	\N
424071	1440	1994-04-30	VYDAJ	VYBER	15	26872	SLUZBY	\N	\N
424072	1440	1994-05-31	VYDAJ	VYBER	15	25233	SLUZBY	\N	\N
424073	1440	1994-06-30	VYDAJ	VYBER	15	19521	SLUZBY	\N	\N
424074	1440	1994-07-31	VYDAJ	VYBER	15	21256	SLUZBY	\N	\N
424075	1440	1994-08-31	VYDAJ	VYBER	15	24301	SLUZBY	\N	\N
424076	1440	1994-09-30	VYDAJ	VYBER	15	25995	SLUZBY	\N	\N
424077	1440	1994-10-31	VYDAJ	VYBER	15	27327	SLUZBY	\N	\N
424078	1440	1994-11-30	VYDAJ	VYBER	15	27592	SLUZBY	\N	\N
424079	1440	1994-12-31	VYDAJ	VYBER	15	27846	SLUZBY	\N	\N
424080	1440	1995-01-31	VYDAJ	VYBER	15	24070	SLUZBY	\N	\N
424081	1440	1995-02-28	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
424082	1440	1995-03-31	VYDAJ	VYBER	15	26486	SLUZBY	\N	\N
424083	1440	1995-04-30	VYDAJ	VYBER	15	25142	SLUZBY	\N	\N
424085	1440	1995-06-30	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
424086	1440	1995-07-31	VYDAJ	VYBER	15	24882	SLUZBY	\N	\N
424087	1440	1995-08-31	VYDAJ	VYBER	15	27241	SLUZBY	\N	\N
424088	1440	1995-09-30	VYDAJ	VYBER	15	28578	SLUZBY	\N	\N
424089	1440	1995-10-31	VYDAJ	VYBER	15	30591	SLUZBY	\N	\N
424090	1440	1995-11-30	VYDAJ	VYBER	15	31370	SLUZBY	\N	\N
424091	1440	1995-12-31	VYDAJ	VYBER	15	29736	SLUZBY	\N	\N
424092	1440	1996-01-31	VYDAJ	VYBER	15	20691	SLUZBY	\N	\N
424093	1440	1996-02-29	VYDAJ	VYBER	15	20124	SLUZBY	\N	\N
424094	1440	1996-03-31	VYDAJ	VYBER	15	22293	SLUZBY	\N	\N
424095	1440	1996-04-30	VYDAJ	VYBER	15	23939	SLUZBY	\N	\N
424096	1440	1996-05-31	VYDAJ	VYBER	15	22282	SLUZBY	\N	\N
424097	1440	1996-06-30	VYDAJ	VYBER	15	17970	SLUZBY	\N	\N
424098	1440	1996-07-31	VYDAJ	VYBER	15	20802	SLUZBY	\N	\N
424099	1440	1996-08-31	VYDAJ	VYBER	15	20796	SLUZBY	\N	\N
424100	1440	1996-09-30	VYDAJ	VYBER	15	20528	SLUZBY	\N	\N
424101	1440	1996-10-31	VYDAJ	VYBER	15	21363	SLUZBY	\N	\N
424102	1440	1996-11-30	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
424103	1440	1996-12-31	VYDAJ	VYBER	15	17824	SLUZBY	\N	\N
424104	1440	1997-01-31	VYDAJ	VYBER	15	16120	SLUZBY	\N	\N
424105	1440	1997-02-28	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
424106	1440	1997-03-31	VYDAJ	VYBER	15	14338	SLUZBY	\N	\N
424107	1440	1997-04-30	VYDAJ	VYBER	15	15500	SLUZBY	\N	\N
424108	1440	1997-05-31	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
424109	1440	1997-06-30	VYDAJ	VYBER	15	19779	SLUZBY	\N	\N
424110	1440	1997-07-31	VYDAJ	VYBER	15	19428	SLUZBY	\N	\N
424111	1440	1997-08-31	VYDAJ	VYBER	15	16797	SLUZBY	\N	\N
424112	1440	1997-09-30	VYDAJ	VYBER	15	15709	SLUZBY	\N	\N
424113	1440	1997-10-31	VYDAJ	VYBER	15	16431	SLUZBY	\N	\N
424114	1440	1997-11-30	VYDAJ	VYBER	15	14809	SLUZBY	\N	\N
424115	1440	1997-12-31	VYDAJ	VYBER	15	14750	SLUZBY	\N	\N
424116	1440	1998-01-31	VYDAJ	VYBER	15	12726	SLUZBY	\N	\N
424117	1440	1998-02-28	VYDAJ	VYBER	15	13830	SLUZBY	\N	\N
424118	1440	1998-03-31	VYDAJ	VYBER	15	14938	SLUZBY	\N	\N
424119	1440	1998-04-30	VYDAJ	VYBER	15	16051	SLUZBY	\N	\N
424120	1440	1998-05-31	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
424121	1440	1998-06-30	VYDAJ	VYBER	15	17326	SLUZBY	\N	\N
424122	1440	1998-07-31	VYDAJ	VYBER	15	18449	SLUZBY	\N	\N
424123	1440	1998-08-31	VYDAJ	VYBER	15	19576	SLUZBY	\N	\N
424124	1440	1998-09-30	VYDAJ	VYBER	15	19297	SLUZBY	\N	\N
424125	1440	1998-10-31	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
424126	1440	1998-11-30	VYDAJ	VYBER	15	21563	SLUZBY	\N	\N
424127	1440	1993-10-22	PRIJEM	VKLAD	12600	16298	\N	\N	\N
424128	1440	1993-11-21	PRIJEM	VKLAD	2700	22218	\N	\N	\N
424129	1440	1993-12-21	PRIJEM	VKLAD	1700	27192	\N	\N	\N
424130	1440	1994-01-20	VYDAJ	VYBER	1800	28690	\N	\N	\N
424131	1440	1994-02-19	VYDAJ	VYBER	5100	26848	\N	\N	\N
424132	1440	1994-03-21	VYDAJ	VYBER	2800	25218	\N	\N	\N
424133	1440	1994-04-20	PRIJEM	VKLAD	400	26779	\N	\N	\N
424134	1440	1994-05-20	VYDAJ	VYBER	2800	25138	\N	\N	\N
424135	1440	1994-06-19	PRIJEM	VKLAD	2700	19459	\N	\N	\N
424136	1440	1994-07-19	PRIJEM	VKLAD	600	21187	\N	\N	\N
424137	1440	1994-08-18	PRIJEM	VKLAD	1900	24222	\N	\N	\N
424138	1440	1994-09-17	PRIJEM	VKLAD	1800	25907	\N	\N	\N
424139	1440	1994-10-17	PRIJEM	VKLAD	500	27561	\N	\N	\N
424140	1440	1994-11-16	VYDAJ	VYBER	900	27493	\N	\N	\N
424141	1440	1994-12-16	VYDAJ	VYBER	700	27748	\N	\N	\N
424142	1440	1995-01-15	PRIJEM	VKLAD	2000	26802	\N	\N	\N
424143	1440	1995-02-14	PRIJEM	VKLAD	1200	26392	\N	\N	\N
424144	1440	1995-03-16	VYDAJ	VYBER	1100	26392	\N	\N	\N
424145	1440	1995-04-15	VYDAJ	VYBER	1900	25052	\N	\N	\N
424146	1440	1995-05-15	VYDAJ	VYBER	600	25608	\N	\N	\N
424147	1440	1995-06-14	PRIJEM	VKLAD	3200	22610	\N	\N	\N
424148	1440	1995-07-14	PRIJEM	VKLAD	1100	24854	\N	\N	\N
424149	1440	1995-08-13	PRIJEM	VKLAD	1200	24006	\N	\N	\N
424150	1440	1995-09-12	PRIJEM	VKLAD	2000	27165	\N	\N	\N
424151	1440	1995-10-12	PRIJEM	VKLAD	1800	27342	\N	\N	\N
424152	1440	1995-11-11	VYDAJ	VYBER	400	28115	\N	\N	\N
424153	1440	1995-12-11	VYDAJ	VYBER	2000	27294	\N	\N	\N
424154	1440	1996-01-10	VYDAJ	VYBER	4100	19480	\N	\N	\N
424155	1440	1996-02-09	VYDAJ	VYBER	1700	16971	\N	\N	\N
424156	1440	1996-03-10	PRIJEM	VKLAD	1300	19404	\N	\N	\N
424157	1440	1996-04-09	PRIJEM	VKLAD	500	20773	\N	\N	\N
424158	1440	1996-05-09	VYDAJ	VYBER	2800	19119	\N	\N	\N
424159	1440	1996-06-08	VYDAJ	VYBER	4900	15362	\N	\N	\N
424160	1440	1996-07-08	PRIJEM	VKLAD	1700	17650	\N	\N	\N
424161	1440	1996-09-06	VYDAJ	VYBER	1400	19396	\N	\N	\N
424162	1440	1996-10-06	VYDAJ	VYBER	300	20228	\N	\N	\N
424163	1440	1996-11-05	VYDAJ	VYBER	3000	18363	\N	\N	\N
424164	1440	1996-12-05	VYDAJ	VYBER	2100	16702	\N	\N	\N
424165	1440	1997-01-04	PRIJEM	VKLAD	2300	19434	\N	\N	\N
424166	1440	1997-02-03	VYDAJ	VYBER	1700	14420	\N	\N	\N
424167	1440	1997-03-05	VYDAJ	VYBER	2300	13231	\N	\N	\N
424168	1440	1997-04-04	PRIJEM	VKLAD	800	15138	\N	\N	\N
424169	1440	1997-05-04	PRIJEM	VKLAD	3500	19000	\N	\N	\N
424170	1440	1997-06-03	PRIJEM	VKLAD	1100	21227	\N	\N	\N
424171	1440	1997-07-03	VYDAJ	VYBER	700	19079	\N	\N	\N
424172	1440	1997-08-02	VYDAJ	VYBER	3300	16128	\N	\N	\N
424173	1440	1997-09-01	VYDAJ	VYBER	2200	14597	\N	\N	\N
424174	1440	1997-10-01	PRIJEM	VKLAD	1900	17609	\N	\N	\N
424175	1440	1997-10-31	VYDAJ	VYBER	2300	16446	\N	\N	\N
424176	1440	1997-11-30	VYDAJ	VYBER	1300	14824	\N	\N	\N
424177	1440	1997-12-30	PRIJEM	VKLAD	300	14705	\N	\N	\N
424178	1440	1998-01-29	VYDAJ	VYBER	1300	12686	\N	\N	\N
424242	1441	1994-10-25	PRIJEM	VKLAD	500	500	\N	\N	\N
424253	1441	1994-11-05	PRIJEM	PREVOD Z UCTU	6354	6854	DUCHOD	AB	3778255
424254	1441	1994-12-05	PRIJEM	PREVOD Z UCTU	6354	13208	DUCHOD	AB	3778255
424255	1441	1995-01-05	PRIJEM	PREVOD Z UCTU	6354	19562	DUCHOD	AB	3778255
424256	1441	1995-02-05	PRIJEM	PREVOD Z UCTU	6354	25916	DUCHOD	AB	3778255
424257	1441	1995-03-05	PRIJEM	PREVOD Z UCTU	6354	32097	DUCHOD	AB	3778255
424258	1441	1995-04-05	PRIJEM	PREVOD Z UCTU	6354	35832	DUCHOD	AB	3778255
424259	1441	1995-05-05	PRIJEM	PREVOD Z UCTU	6354	33377	DUCHOD	AB	3778255
424260	1441	1995-06-05	PRIJEM	PREVOD Z UCTU	6354	34520	DUCHOD	AB	3778255
424261	1441	1995-07-05	PRIJEM	PREVOD Z UCTU	6354	29902	DUCHOD	AB	3778255
424262	1441	1995-08-05	PRIJEM	PREVOD Z UCTU	6354	30004	DUCHOD	AB	3778255
424263	1441	1995-09-05	PRIJEM	PREVOD Z UCTU	6354	31432	DUCHOD	AB	3778255
424264	1441	1995-10-05	PRIJEM	PREVOD Z UCTU	6354	33568	DUCHOD	AB	3778255
424265	1441	1995-11-05	PRIJEM	PREVOD Z UCTU	6354	34410	DUCHOD	AB	3778255
424266	1441	1995-12-05	PRIJEM	PREVOD Z UCTU	6354	35455	DUCHOD	AB	3778255
424267	1441	1996-01-05	PRIJEM	PREVOD Z UCTU	6354	31403	DUCHOD	AB	3778255
424268	1441	1996-02-05	PRIJEM	PREVOD Z UCTU	6354	26753	DUCHOD	AB	3778255
424269	1441	1996-03-05	PRIJEM	PREVOD Z UCTU	6354	27865	DUCHOD	AB	3778255
424270	1441	1996-04-05	PRIJEM	PREVOD Z UCTU	6354	26930	DUCHOD	AB	3778255
424271	1441	1996-05-05	PRIJEM	PREVOD Z UCTU	6354	27541	DUCHOD	AB	3778255
424272	1441	1996-06-05	PRIJEM	PREVOD Z UCTU	6354	31257	DUCHOD	AB	3778255
424273	1441	1996-07-05	PRIJEM	PREVOD Z UCTU	6354	25670	DUCHOD	AB	3778255
424274	1441	1996-08-05	PRIJEM	PREVOD Z UCTU	6354	29679	DUCHOD	AB	3778255
424275	1441	1996-09-05	PRIJEM	PREVOD Z UCTU	6354	31102	DUCHOD	AB	3778255
424276	1441	1996-10-05	PRIJEM	PREVOD Z UCTU	6354	31127	DUCHOD	AB	3778255
424277	1441	1996-11-05	PRIJEM	PREVOD Z UCTU	6354	30648	DUCHOD	AB	3778255
424278	1441	1996-12-05	PRIJEM	PREVOD Z UCTU	6354	28261	DUCHOD	AB	3778255
424279	1441	1997-01-05	PRIJEM	PREVOD Z UCTU	6354	26705	DUCHOD	AB	3778255
424280	1441	1997-02-05	PRIJEM	PREVOD Z UCTU	6354	19782	DUCHOD	AB	3778255
424281	1441	1997-03-05	PRIJEM	PREVOD Z UCTU	6354	23164	DUCHOD	AB	3778255
424282	1441	1997-04-05	PRIJEM	PREVOD Z UCTU	6354	24857	DUCHOD	AB	3778255
424283	1441	1997-05-05	PRIJEM	PREVOD Z UCTU	6354	24452	DUCHOD	AB	3778255
424284	1441	1997-06-05	PRIJEM	PREVOD Z UCTU	6354	25751	DUCHOD	AB	3778255
424285	1441	1997-07-05	PRIJEM	PREVOD Z UCTU	6354	24328	DUCHOD	AB	3778255
424286	1441	1997-08-05	PRIJEM	PREVOD Z UCTU	6354	27630	DUCHOD	AB	3778255
424287	1441	1997-09-05	PRIJEM	PREVOD Z UCTU	6354	29965	DUCHOD	AB	3778255
424288	1441	1997-10-05	PRIJEM	PREVOD Z UCTU	6354	31069	DUCHOD	AB	3778255
424289	1441	1997-11-05	PRIJEM	PREVOD Z UCTU	6354	27426	DUCHOD	AB	3778255
424290	1441	1997-12-05	PRIJEM	PREVOD Z UCTU	6354	29137	DUCHOD	AB	3778255
424291	1441	1998-01-05	PRIJEM	PREVOD Z UCTU	6354	29771	DUCHOD	AB	3778255
424292	1441	1998-02-05	PRIJEM	PREVOD Z UCTU	6354	21121	DUCHOD	AB	3778255
424293	1441	1998-03-05	PRIJEM	PREVOD Z UCTU	6354	22710	DUCHOD	AB	3778255
424294	1441	1998-04-05	PRIJEM	PREVOD Z UCTU	6354	26073	DUCHOD	AB	3778255
424295	1441	1998-05-05	PRIJEM	PREVOD Z UCTU	6354	30091	DUCHOD	AB	3778255
424296	1441	1998-06-05	PRIJEM	PREVOD Z UCTU	6354	34017	DUCHOD	AB	3778255
424297	1441	1998-07-05	PRIJEM	PREVOD Z UCTU	6354	34451	DUCHOD	AB	3778255
424298	1441	1998-08-05	PRIJEM	PREVOD Z UCTU	6354	34087	DUCHOD	AB	3778255
424299	1441	1998-09-05	PRIJEM	PREVOD Z UCTU	6354	37419	DUCHOD	AB	3778255
424300	1441	1998-10-05	PRIJEM	PREVOD Z UCTU	6354	38668	DUCHOD	AB	3778255
424301	1441	1998-11-05	PRIJEM	PREVOD Z UCTU	6354	41130	DUCHOD	AB	3778255
424302	1441	1998-12-05	PRIJEM	PREVOD Z UCTU	6354	45210	DUCHOD	AB	3778255
424317	1441	1995-03-05	VYDAJ	PREVOD NA UCET	2425	29672	SIPO	IJ	27838117
424318	1441	1995-04-05	VYDAJ	PREVOD NA UCET	2425	33407	SIPO	IJ	27838117
424319	1441	1995-05-05	VYDAJ	PREVOD NA UCET	2425	30952	SIPO	IJ	27838117
424320	1441	1995-06-05	VYDAJ	PREVOD NA UCET	2425	32095	SIPO	IJ	27838117
424321	1441	1995-07-05	VYDAJ	PREVOD NA UCET	2425	27477	SIPO	IJ	27838117
424322	1441	1995-08-05	VYDAJ	PREVOD NA UCET	2425	27579	SIPO	IJ	27838117
424323	1441	1995-09-05	VYDAJ	PREVOD NA UCET	2425	29007	SIPO	IJ	27838117
424324	1441	1995-10-05	VYDAJ	PREVOD NA UCET	2425	31143	SIPO	IJ	27838117
424325	1441	1995-11-05	VYDAJ	PREVOD NA UCET	2425	31985	SIPO	IJ	27838117
424326	1441	1995-12-05	VYDAJ	PREVOD NA UCET	2425	33030	SIPO	IJ	27838117
424327	1441	1996-01-05	VYDAJ	PREVOD NA UCET	2425	28978	SIPO	IJ	27838117
424328	1441	1996-02-05	VYDAJ	PREVOD NA UCET	2425	24328	SIPO	IJ	27838117
424329	1441	1996-03-05	VYDAJ	PREVOD NA UCET	2425	25440	SIPO	IJ	27838117
424330	1441	1996-04-05	VYDAJ	PREVOD NA UCET	2425	24505	SIPO	IJ	27838117
424331	1441	1996-05-05	VYDAJ	PREVOD NA UCET	2425	25116	SIPO	IJ	27838117
424332	1441	1996-06-05	VYDAJ	PREVOD NA UCET	2425	28832	SIPO	IJ	27838117
424333	1441	1996-07-05	VYDAJ	PREVOD NA UCET	2425	23245	SIPO	IJ	27838117
424334	1441	1996-08-05	VYDAJ	PREVOD NA UCET	2425	27254	SIPO	IJ	27838117
424335	1441	1996-09-05	VYDAJ	PREVOD NA UCET	2425	28677	SIPO	IJ	27838117
424336	1441	1996-10-05	VYDAJ	PREVOD NA UCET	2425	28702	SIPO	IJ	27838117
424337	1441	1996-11-05	VYDAJ	PREVOD NA UCET	2425	28223	SIPO	IJ	27838117
424338	1441	1996-12-05	VYDAJ	PREVOD NA UCET	2425	25836	SIPO	IJ	27838117
424339	1441	1997-01-05	VYDAJ	PREVOD NA UCET	2425	24280	SIPO	IJ	27838117
424340	1441	1997-02-05	VYDAJ	PREVOD NA UCET	2425	17357	SIPO	IJ	27838117
424341	1441	1997-03-05	VYDAJ	PREVOD NA UCET	2425	20739	SIPO	IJ	27838117
424342	1441	1997-04-05	VYDAJ	PREVOD NA UCET	2425	22432	SIPO	IJ	27838117
424343	1441	1997-05-05	VYDAJ	PREVOD NA UCET	2425	22027	SIPO	IJ	27838117
424344	1441	1997-06-05	VYDAJ	PREVOD NA UCET	2425	23326	SIPO	IJ	27838117
424345	1441	1997-07-05	VYDAJ	PREVOD NA UCET	2425	21903	SIPO	IJ	27838117
424346	1441	1997-08-05	VYDAJ	PREVOD NA UCET	2425	25205	SIPO	IJ	27838117
424347	1441	1997-09-05	VYDAJ	PREVOD NA UCET	2425	27540	SIPO	IJ	27838117
424348	1441	1997-10-05	VYDAJ	PREVOD NA UCET	2425	28644	SIPO	IJ	27838117
424349	1441	1997-11-05	VYDAJ	PREVOD NA UCET	2425	25001	SIPO	IJ	27838117
424350	1441	1997-12-05	VYDAJ	PREVOD NA UCET	2425	26712	SIPO	IJ	27838117
424351	1441	1998-01-05	VYDAJ	PREVOD NA UCET	2425	27346	SIPO	IJ	27838117
424352	1441	1998-02-05	VYDAJ	PREVOD NA UCET	2425	18696	SIPO	IJ	27838117
424353	1441	1998-03-05	VYDAJ	PREVOD NA UCET	2425	20285	SIPO	IJ	27838117
424354	1441	1998-04-05	VYDAJ	PREVOD NA UCET	2425	23648	SIPO	IJ	27838117
424355	1441	1998-05-05	VYDAJ	PREVOD NA UCET	2425	27666	SIPO	IJ	27838117
424356	1441	1998-06-05	VYDAJ	PREVOD NA UCET	2425	31592	SIPO	IJ	27838117
424357	1441	1998-07-05	VYDAJ	PREVOD NA UCET	2425	32026	SIPO	IJ	27838117
424358	1441	1998-08-05	VYDAJ	PREVOD NA UCET	2425	31662	SIPO	IJ	27838117
424359	1441	1998-09-05	VYDAJ	PREVOD NA UCET	2425	34994	SIPO	IJ	27838117
424360	1441	1998-10-05	VYDAJ	PREVOD NA UCET	2425	36243	SIPO	IJ	27838117
424361	1441	1998-11-05	VYDAJ	PREVOD NA UCET	2425	38705	SIPO	IJ	27838117
424362	1441	1998-12-05	VYDAJ	PREVOD NA UCET	2425	42785	SIPO	IJ	27838117
424364	1441	1995-06-24	VYDAJ	VYBER	5750	23445	\N	\N	\N
424365	1441	1996-06-21	VYDAJ	VYBER	3850	22182	\N	\N	\N
424367	1441	1998-06-13	VYDAJ	VYBER	3600	27992	\N	\N	\N
424370	1441	1996-01-12	VYDAJ	VYBER	2950	26028	\N	\N	\N
424371	1441	1997-01-21	VYDAJ	VYBER	2600	18720	\N	\N	\N
424372	1441	1998-01-21	VYDAJ	VYBER	700	14706	\N	\N	\N
424374	1441	1995-12-09	VYDAJ	VYBER	1350	31680	\N	\N	\N
424375	1441	1996-12-19	VYDAJ	VYBER	950	22986	\N	\N	\N
424376	1441	1997-12-02	VYDAJ	VYBER	800	22783	\N	\N	\N
424377	1441	1998-12-05	VYDAJ	VYBER	500	42285	\N	\N	\N
424390	1441	1996-01-01	VYDAJ	VYBER	400	26489	\N	\N	\N
424391	1441	1996-01-04	VYDAJ	VYBER	1440	25049	\N	\N	\N
424392	1441	1996-01-19	VYDAJ	VYBER	400	23828	\N	\N	\N
424393	1441	1996-01-23	VYDAJ	VYBER	800	23028	\N	\N	\N
424394	1441	1996-01-25	VYDAJ	VYBER	480	22548	\N	\N	\N
424395	1441	1996-01-30	VYDAJ	VYBER	2240	20308	\N	\N	\N
424397	1441	1997-01-14	VYDAJ	VYBER	1040	21320	\N	\N	\N
424398	1441	1997-01-26	VYDAJ	VYBER	1200	15200	\N	\N	\N
424399	1441	1997-01-22	VYDAJ	VYBER	480	18240	\N	\N	\N
424400	1441	1997-01-23	VYDAJ	VYBER	1840	16400	\N	\N	\N
424401	1441	1997-01-09	VYDAJ	VYBER	1920	22360	\N	\N	\N
424402	1441	1998-01-12	VYDAJ	VYBER	720	18286	\N	\N	\N
424404	1441	1998-01-11	VYDAJ	VYBER	720	21326	\N	\N	\N
424405	1441	1998-01-11	VYDAJ	VYBER	2320	19006	\N	\N	\N
424406	1441	1998-01-15	VYDAJ	VYBER	1280	15406	\N	\N	\N
424407	1441	1998-01-15	VYDAJ	VYBER	1600	16686	\N	\N	\N
424412	1441	1995-07-22	VYDAJ	VYBER	3520	23957	\N	\N	\N
424413	1441	1995-06-05	VYDAJ	VYBER	2000	30095	\N	\N	\N
424416	1441	1996-04-28	VYDAJ	VYBER	2000	21105	\N	\N	\N
424417	1441	1996-06-24	VYDAJ	VYBER	2960	19222	\N	\N	\N
424418	1441	1996-12-27	VYDAJ	VYBER	2720	20266	\N	\N	\N
424419	1441	1996-03-09	VYDAJ	VYBER	3040	22400	\N	\N	\N
424420	1441	1996-06-18	VYDAJ	VYBER	2800	26032	\N	\N	\N
424421	1441	1997-10-01	VYDAJ	VYBER	2320	24715	\N	\N	\N
424422	1441	1997-01-27	VYDAJ	VYBER	1840	13360	\N	\N	\N
424423	1441	1997-10-17	VYDAJ	VYBER	3440	22504	\N	\N	\N
424424	1441	1997-12-12	VYDAJ	VYBER	1280	23332	\N	\N	\N
424425	1441	1997-11-03	VYDAJ	VYBER	1520	21072	\N	\N	\N
424426	1441	1997-08-21	VYDAJ	VYBER	1680	23525	\N	\N	\N
424427	1441	1997-06-13	VYDAJ	VYBER	3520	17906	\N	\N	\N
424428	1441	1998-09-09	VYDAJ	VYBER	2800	32194	\N	\N	\N
424429	1441	1998-10-15	VYDAJ	VYBER	1600	34643	\N	\N	\N
424430	1441	1998-07-17	VYDAJ	VYBER	2640	28426	\N	\N	\N
424431	1441	1998-08-02	VYDAJ	VYBER	800	27733	\N	\N	\N
424432	1441	1998-03-26	VYDAJ	VYBER	640	19645	\N	\N	\N
424433	1441	1998-07-12	VYDAJ	VYBER	960	31066	\N	\N	\N
424434	1441	1998-08-31	VYDAJ	VYBER	720	31065	\N	\N	\N
424435	1441	1998-03-02	VYDAJ	VYBER	2400	16356	\N	\N	\N
424451	1441	1995-03-31	VYDAJ	VYBER	15	29478	SLUZBY	\N	\N
424452	1441	1995-04-30	VYDAJ	VYBER	15	27023	SLUZBY	\N	\N
424453	1441	1995-05-31	VYDAJ	VYBER	15	28166	SLUZBY	\N	\N
424454	1441	1995-06-30	VYDAJ	VYBER	15	23548	SLUZBY	\N	\N
424455	1441	1995-07-31	VYDAJ	VYBER	15	23650	SLUZBY	\N	\N
424456	1441	1995-08-31	VYDAJ	VYBER	15	25078	SLUZBY	\N	\N
424457	1441	1995-09-30	VYDAJ	VYBER	15	27214	SLUZBY	\N	\N
424458	1441	1995-10-31	VYDAJ	VYBER	15	28056	SLUZBY	\N	\N
424459	1441	1995-11-30	VYDAJ	VYBER	15	29101	SLUZBY	\N	\N
424460	1441	1995-12-31	VYDAJ	VYBER	15	26889	SLUZBY	\N	\N
424461	1441	1996-01-31	VYDAJ	VYBER	15	20399	SLUZBY	\N	\N
424462	1441	1996-02-29	VYDAJ	VYBER	15	21511	SLUZBY	\N	\N
424463	1441	1996-03-31	VYDAJ	VYBER	15	20576	SLUZBY	\N	\N
424464	1441	1996-04-30	VYDAJ	VYBER	15	21187	SLUZBY	\N	\N
424465	1441	1996-05-31	VYDAJ	VYBER	15	24903	SLUZBY	\N	\N
424466	1441	1996-06-30	VYDAJ	VYBER	15	19316	SLUZBY	\N	\N
424467	1441	1996-07-31	VYDAJ	VYBER	15	23325	SLUZBY	\N	\N
424468	1441	1996-08-31	VYDAJ	VYBER	15	24748	SLUZBY	\N	\N
424469	1441	1996-09-30	VYDAJ	VYBER	15	24773	SLUZBY	\N	\N
424470	1441	1996-10-31	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
424471	1441	1996-11-30	VYDAJ	VYBER	15	21907	SLUZBY	\N	\N
424472	1441	1996-12-31	VYDAJ	VYBER	15	20351	SLUZBY	\N	\N
424473	1441	1997-01-31	VYDAJ	VYBER	15	13428	SLUZBY	\N	\N
424474	1441	1997-02-28	VYDAJ	VYBER	15	16810	SLUZBY	\N	\N
424475	1441	1997-03-31	VYDAJ	VYBER	15	18503	SLUZBY	\N	\N
424476	1441	1997-04-30	VYDAJ	VYBER	15	18098	SLUZBY	\N	\N
424477	1441	1997-05-31	VYDAJ	VYBER	15	19397	SLUZBY	\N	\N
424478	1441	1997-06-30	VYDAJ	VYBER	15	17974	SLUZBY	\N	\N
424479	1441	1997-07-31	VYDAJ	VYBER	15	21276	SLUZBY	\N	\N
424480	1441	1997-08-31	VYDAJ	VYBER	15	23611	SLUZBY	\N	\N
424481	1441	1997-09-30	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
424482	1441	1997-10-31	VYDAJ	VYBER	15	22592	SLUZBY	\N	\N
424483	1441	1997-11-30	VYDAJ	VYBER	15	23583	SLUZBY	\N	\N
424484	1441	1997-12-31	VYDAJ	VYBER	15	23417	SLUZBY	\N	\N
424485	1441	1998-01-31	VYDAJ	VYBER	15	14767	SLUZBY	\N	\N
424486	1441	1998-02-28	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
424487	1441	1998-03-31	VYDAJ	VYBER	15	19719	SLUZBY	\N	\N
424488	1441	1998-04-30	VYDAJ	VYBER	15	23737	SLUZBY	\N	\N
424489	1441	1998-05-31	VYDAJ	VYBER	15	27663	SLUZBY	\N	\N
424490	1441	1998-06-30	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
424491	1441	1998-07-31	VYDAJ	VYBER	15	28533	SLUZBY	\N	\N
424492	1441	1998-08-31	VYDAJ	VYBER	15	31785	SLUZBY	\N	\N
424493	1441	1998-09-30	VYDAJ	VYBER	15	32314	SLUZBY	\N	\N
424494	1441	1998-10-31	VYDAJ	VYBER	15	34776	SLUZBY	\N	\N
424495	1441	1998-11-30	VYDAJ	VYBER	15	38856	SLUZBY	\N	\N
424496	1441	1995-02-22	VYDAJ	VYBER	200	25716	\N	\N	\N
424497	1441	1995-03-24	VYDAJ	VYBER	300	29372	\N	\N	\N
424498	1441	1995-04-23	VYDAJ	VYBER	6500	26907	\N	\N	\N
424499	1441	1995-05-23	VYDAJ	VYBER	2900	28052	\N	\N	\N
424500	1441	1995-06-22	VYDAJ	VYBER	900	29195	\N	\N	\N
424501	1441	1995-07-22	VYDAJ	VYBER	400	23557	\N	\N	\N
424502	1441	1995-08-21	VYDAJ	VYBER	2600	24979	\N	\N	\N
424503	1441	1995-09-20	VYDAJ	VYBER	1900	27107	\N	\N	\N
424504	1441	1995-10-20	VYDAJ	VYBER	3200	27943	\N	\N	\N
424505	1441	1995-11-19	VYDAJ	VYBER	3000	28985	\N	\N	\N
424506	1441	1995-12-19	VYDAJ	VYBER	4900	26780	\N	\N	\N
424507	1441	1996-01-18	VYDAJ	VYBER	1800	24228	\N	\N	\N
424508	1441	1996-02-17	VYDAJ	VYBER	2900	21428	\N	\N	\N
424509	1441	1996-03-18	VYDAJ	VYBER	1900	20500	\N	\N	\N
424510	1441	1996-04-17	VYDAJ	VYBER	1400	23105	\N	\N	\N
424511	1441	1996-05-17	VYDAJ	VYBER	300	24816	\N	\N	\N
424512	1441	1996-08-15	VYDAJ	VYBER	2600	24654	\N	\N	\N
424513	1441	1996-09-14	VYDAJ	VYBER	4000	24677	\N	\N	\N
424514	1441	1996-10-14	VYDAJ	VYBER	4500	24202	\N	\N	\N
424515	1441	1996-11-13	VYDAJ	VYBER	6400	21823	\N	\N	\N
424516	1441	1996-12-13	VYDAJ	VYBER	1900	23936	\N	\N	\N
424517	1441	1997-02-11	VYDAJ	VYBER	600	16757	\N	\N	\N
424518	1441	1997-03-13	VYDAJ	VYBER	2300	18439	\N	\N	\N
424519	1441	1997-04-12	VYDAJ	VYBER	4400	18032	\N	\N	\N
424520	1441	1997-05-12	VYDAJ	VYBER	2700	19327	\N	\N	\N
424521	1441	1997-06-11	VYDAJ	VYBER	1900	21426	\N	\N	\N
424522	1441	1997-07-11	VYDAJ	VYBER	700	21203	\N	\N	\N
424523	1441	1997-09-09	VYDAJ	VYBER	600	26940	\N	\N	\N
424524	1441	1997-10-09	VYDAJ	VYBER	2700	25944	\N	\N	\N
424525	1441	1997-11-08	VYDAJ	VYBER	1500	23501	\N	\N	\N
424526	1441	1997-12-08	VYDAJ	VYBER	2100	24612	\N	\N	\N
424527	1441	1998-01-07	VYDAJ	VYBER	5300	22046	\N	\N	\N
424528	1441	1998-05-07	VYDAJ	VYBER	100	27566	\N	\N	\N
424576	1442	1993-05-23	PRIJEM	VKLAD	300	300	\N	\N	\N
424582	1442	1993-06-06	PRIJEM	VKLAD	27448	27748	\N	\N	\N
424583	1442	1993-07-06	PRIJEM	VKLAD	18299	45581	\N	\N	\N
424584	1442	1993-08-06	PRIJEM	VKLAD	18299	52703	\N	\N	\N
424585	1442	1993-09-06	PRIJEM	VKLAD	18299	54648	\N	\N	\N
424586	1442	1993-10-06	PRIJEM	VKLAD	18299	56400	\N	\N	\N
424587	1442	1993-11-06	PRIJEM	VKLAD	18299	53912	\N	\N	\N
424588	1442	1993-12-06	PRIJEM	VKLAD	27448	63867	\N	\N	\N
424589	1442	1994-01-06	PRIJEM	VKLAD	18299	57575	\N	\N	\N
424590	1442	1994-02-06	PRIJEM	VKLAD	18299	46816	\N	\N	\N
424591	1442	1994-03-06	PRIJEM	VKLAD	18299	49103	\N	\N	\N
424592	1442	1994-04-06	PRIJEM	VKLAD	18299	51783	\N	\N	\N
424593	1442	1994-05-06	PRIJEM	VKLAD	18299	51677	\N	\N	\N
424594	1442	1994-06-06	PRIJEM	VKLAD	27448	63032	\N	\N	\N
424595	1442	1994-07-06	PRIJEM	VKLAD	18299	52262	\N	\N	\N
424596	1442	1994-08-06	PRIJEM	VKLAD	18299	49223	\N	\N	\N
424597	1442	1994-09-06	PRIJEM	VKLAD	18299	51708	\N	\N	\N
424598	1442	1994-10-06	PRIJEM	VKLAD	18299	54602	\N	\N	\N
424599	1442	1994-11-06	PRIJEM	VKLAD	18299	47621	\N	\N	\N
424600	1442	1994-12-06	PRIJEM	VKLAD	27448	58829	\N	\N	\N
424601	1442	1995-01-06	PRIJEM	VKLAD	18299	53416	\N	\N	\N
424602	1442	1995-02-06	PRIJEM	VKLAD	18299	39102	\N	\N	\N
424603	1442	1995-03-06	PRIJEM	VKLAD	18299	49058	\N	\N	\N
424604	1442	1995-04-06	PRIJEM	VKLAD	18299	46353	\N	\N	\N
424605	1442	1995-05-06	PRIJEM	VKLAD	18299	51335	\N	\N	\N
424606	1442	1995-06-06	PRIJEM	VKLAD	27448	64984	\N	\N	\N
424607	1442	1995-07-06	PRIJEM	VKLAD	18299	58360	\N	\N	\N
424608	1442	1995-08-06	PRIJEM	VKLAD	18299	53250	\N	\N	\N
424609	1442	1995-09-06	PRIJEM	VKLAD	18299	51337	\N	\N	\N
424610	1442	1995-10-06	PRIJEM	VKLAD	18299	52218	\N	\N	\N
424611	1442	1995-11-06	PRIJEM	VKLAD	18299	52623	\N	\N	\N
424612	1442	1995-12-06	PRIJEM	VKLAD	27448	65063	\N	\N	\N
424613	1442	1996-01-06	PRIJEM	VKLAD	18299	56796	\N	\N	\N
424614	1442	1996-02-06	PRIJEM	VKLAD	18299	47325	\N	\N	\N
424615	1442	1996-03-06	PRIJEM	VKLAD	18299	51895	\N	\N	\N
424616	1442	1996-04-06	PRIJEM	VKLAD	18299	44017	\N	\N	\N
424617	1442	1996-05-06	PRIJEM	VKLAD	18299	50079	\N	\N	\N
424618	1442	1996-06-06	PRIJEM	VKLAD	27448	62005	\N	\N	\N
424619	1442	1996-07-06	PRIJEM	VKLAD	18299	52166	\N	\N	\N
424620	1442	1996-08-06	PRIJEM	VKLAD	18299	41159	\N	\N	\N
424621	1442	1996-09-06	PRIJEM	VKLAD	18299	41771	\N	\N	\N
424622	1442	1996-10-06	PRIJEM	VKLAD	18299	43850	\N	\N	\N
424623	1442	1996-11-06	PRIJEM	VKLAD	18299	46259	\N	\N	\N
424624	1442	1996-12-06	PRIJEM	VKLAD	27448	50800	\N	\N	\N
424625	1442	1997-01-06	PRIJEM	VKLAD	18299	45645	\N	\N	\N
424626	1442	1997-02-06	PRIJEM	VKLAD	18299	39644	\N	\N	\N
424627	1442	1997-03-06	PRIJEM	VKLAD	18299	43244	\N	\N	\N
424628	1442	1997-04-06	PRIJEM	VKLAD	18299	41428	\N	\N	\N
424629	1442	1997-05-06	PRIJEM	VKLAD	18299	40429	\N	\N	\N
424630	1442	1997-06-06	PRIJEM	VKLAD	27448	48071	\N	\N	\N
424631	1442	1997-07-06	PRIJEM	VKLAD	18299	46488	\N	\N	\N
424632	1442	1997-08-06	PRIJEM	VKLAD	18299	38728	\N	\N	\N
424633	1442	1997-09-06	PRIJEM	VKLAD	18299	35913	\N	\N	\N
424634	1442	1997-10-06	PRIJEM	VKLAD	18299	36176	\N	\N	\N
424635	1442	1997-11-06	PRIJEM	VKLAD	18299	34437	\N	\N	\N
424636	1442	1997-12-06	PRIJEM	VKLAD	27448	56028	\N	\N	\N
424637	1442	1998-01-06	PRIJEM	VKLAD	18299	37833	\N	\N	\N
424638	1442	1998-02-06	PRIJEM	VKLAD	18299	38629	\N	\N	\N
424639	1442	1998-03-06	PRIJEM	VKLAD	18299	51086	\N	\N	\N
424640	1442	1998-04-06	PRIJEM	VKLAD	18299	63617	\N	\N	\N
424641	1442	1998-05-06	PRIJEM	VKLAD	18299	39759	\N	\N	\N
424642	1442	1998-06-06	PRIJEM	VKLAD	27448	61371	\N	\N	\N
424643	1442	1998-07-06	PRIJEM	VKLAD	18299	41411	\N	\N	\N
424644	1442	1998-08-06	PRIJEM	VKLAD	18299	49795	\N	\N	\N
424645	1442	1998-09-06	PRIJEM	VKLAD	18299	58119	\N	\N	\N
424646	1442	1998-10-06	PRIJEM	VKLAD	18299	35441	\N	\N	\N
424647	1442	1998-11-06	PRIJEM	VKLAD	18299	43456	\N	\N	\N
424648	1442	1998-12-06	PRIJEM	VKLAD	27448	63879	\N	\N	\N
424658	1442	1993-10-06	VYDAJ	PREVOD NA UCET	5950	50450	SIPO	QR	70648139
424659	1442	1993-11-06	VYDAJ	PREVOD NA UCET	5950	47962	SIPO	QR	70648139
424660	1442	1993-12-06	VYDAJ	PREVOD NA UCET	5950	57917	SIPO	QR	70648139
424661	1442	1994-01-06	VYDAJ	PREVOD NA UCET	5950	51625	SIPO	QR	70648139
424662	1442	1994-02-06	VYDAJ	PREVOD NA UCET	5950	40866	SIPO	QR	70648139
424663	1442	1994-03-06	VYDAJ	PREVOD NA UCET	5950	43153	SIPO	QR	70648139
424664	1442	1994-04-06	VYDAJ	PREVOD NA UCET	5950	45833	SIPO	QR	70648139
424665	1442	1994-05-06	VYDAJ	PREVOD NA UCET	5950	45727	SIPO	QR	70648139
424666	1442	1994-06-06	VYDAJ	PREVOD NA UCET	5950	57082	SIPO	QR	70648139
424667	1442	1994-07-06	VYDAJ	PREVOD NA UCET	5950	46312	SIPO	QR	70648139
424668	1442	1994-08-06	VYDAJ	PREVOD NA UCET	5950	43273	SIPO	QR	70648139
424669	1442	1994-09-06	VYDAJ	PREVOD NA UCET	5950	45758	SIPO	QR	70648139
424670	1442	1994-10-06	VYDAJ	PREVOD NA UCET	5950	48652	SIPO	QR	70648139
424671	1442	1994-11-06	VYDAJ	PREVOD NA UCET	5950	41671	SIPO	QR	70648139
424672	1442	1994-12-06	VYDAJ	PREVOD NA UCET	5950	52879	SIPO	QR	70648139
424673	1442	1995-01-06	VYDAJ	PREVOD NA UCET	5950	47466	SIPO	QR	70648139
424674	1442	1995-02-06	VYDAJ	PREVOD NA UCET	5950	33152	SIPO	QR	70648139
424675	1442	1995-03-06	VYDAJ	PREVOD NA UCET	5950	43108	SIPO	QR	70648139
424676	1442	1995-04-06	VYDAJ	PREVOD NA UCET	5950	40403	SIPO	QR	70648139
424677	1442	1995-05-06	VYDAJ	PREVOD NA UCET	5950	45385	SIPO	QR	70648139
424678	1442	1995-06-06	VYDAJ	PREVOD NA UCET	5950	59034	SIPO	QR	70648139
424679	1442	1995-07-06	VYDAJ	PREVOD NA UCET	5950	52410	SIPO	QR	70648139
424680	1442	1995-08-06	VYDAJ	PREVOD NA UCET	5950	47300	SIPO	QR	70648139
424681	1442	1995-09-06	VYDAJ	PREVOD NA UCET	5950	45387	SIPO	QR	70648139
424682	1442	1995-10-06	VYDAJ	PREVOD NA UCET	5950	46268	SIPO	QR	70648139
424683	1442	1995-11-06	VYDAJ	PREVOD NA UCET	5950	46673	SIPO	QR	70648139
424684	1442	1995-12-06	VYDAJ	PREVOD NA UCET	5950	59113	SIPO	QR	70648139
424685	1442	1996-01-06	VYDAJ	PREVOD NA UCET	5950	50846	SIPO	QR	70648139
424686	1442	1996-02-06	VYDAJ	PREVOD NA UCET	5950	41375	SIPO	QR	70648139
424687	1442	1996-03-06	VYDAJ	PREVOD NA UCET	5950	45945	SIPO	QR	70648139
424688	1442	1996-04-06	VYDAJ	PREVOD NA UCET	5950	38067	SIPO	QR	70648139
424689	1442	1996-05-06	VYDAJ	PREVOD NA UCET	5950	44129	SIPO	QR	70648139
424690	1442	1996-06-06	VYDAJ	PREVOD NA UCET	5950	56055	SIPO	QR	70648139
424691	1442	1996-07-06	VYDAJ	PREVOD NA UCET	5950	46216	SIPO	QR	70648139
424692	1442	1996-08-06	VYDAJ	PREVOD NA UCET	5950	35209	SIPO	QR	70648139
424693	1442	1996-09-06	VYDAJ	PREVOD NA UCET	5950	35821	SIPO	QR	70648139
424694	1442	1996-10-06	VYDAJ	PREVOD NA UCET	5950	37900	SIPO	QR	70648139
424695	1442	1996-11-06	VYDAJ	PREVOD NA UCET	5950	40309	SIPO	QR	70648139
424696	1442	1996-12-06	VYDAJ	PREVOD NA UCET	5950	44850	SIPO	QR	70648139
424697	1442	1997-01-06	VYDAJ	PREVOD NA UCET	5950	39695	SIPO	QR	70648139
424698	1442	1997-02-06	VYDAJ	PREVOD NA UCET	5950	33694	SIPO	QR	70648139
424699	1442	1997-03-06	VYDAJ	PREVOD NA UCET	5950	37294	SIPO	QR	70648139
424700	1442	1997-04-06	VYDAJ	PREVOD NA UCET	5950	35478	SIPO	QR	70648139
424701	1442	1997-05-06	VYDAJ	PREVOD NA UCET	5950	34479	SIPO	QR	70648139
424702	1442	1997-06-06	VYDAJ	PREVOD NA UCET	5950	42121	SIPO	QR	70648139
424703	1442	1997-07-06	VYDAJ	PREVOD NA UCET	5950	40538	SIPO	QR	70648139
424704	1442	1997-08-06	VYDAJ	PREVOD NA UCET	5950	32778	SIPO	QR	70648139
424705	1442	1997-09-06	VYDAJ	PREVOD NA UCET	5950	29963	SIPO	QR	70648139
424706	1442	1997-10-06	VYDAJ	PREVOD NA UCET	5950	30226	SIPO	QR	70648139
424707	1442	1997-11-06	VYDAJ	PREVOD NA UCET	5950	28487	SIPO	QR	70648139
424708	1442	1997-12-06	VYDAJ	PREVOD NA UCET	5950	50078	SIPO	QR	70648139
424709	1442	1998-01-06	VYDAJ	PREVOD NA UCET	5950	31883	SIPO	QR	70648139
424710	1442	1998-02-06	VYDAJ	PREVOD NA UCET	5950	32679	SIPO	QR	70648139
424711	1442	1998-03-06	VYDAJ	PREVOD NA UCET	5950	45136	SIPO	QR	70648139
424712	1442	1998-04-06	VYDAJ	PREVOD NA UCET	5950	57667	SIPO	QR	70648139
424713	1442	1998-05-06	VYDAJ	PREVOD NA UCET	5950	33809	SIPO	QR	70648139
424714	1442	1998-06-06	VYDAJ	PREVOD NA UCET	5950	55421	SIPO	QR	70648139
424715	1442	1998-07-06	VYDAJ	PREVOD NA UCET	5950	35461	SIPO	QR	70648139
424716	1442	1998-08-06	VYDAJ	PREVOD NA UCET	5950	43845	SIPO	QR	70648139
424717	1442	1998-09-06	VYDAJ	PREVOD NA UCET	5950	52169	SIPO	QR	70648139
424718	1442	1998-10-06	VYDAJ	PREVOD NA UCET	5950	29491	SIPO	QR	70648139
424719	1442	1998-11-06	VYDAJ	PREVOD NA UCET	5950	37506	SIPO	QR	70648139
424720	1442	1998-12-06	VYDAJ	PREVOD NA UCET	5950	57929	SIPO	QR	70648139
424721	1442	1993-12-07	VYDAJ	VYBER	1120	56797	\N	\N	\N
424722	1442	1994-12-20	VYDAJ	VYBER	3520	36159	\N	\N	\N
424723	1442	1995-12-14	VYDAJ	VYBER	3360	40853	\N	\N	\N
424724	1442	1996-12-25	VYDAJ	VYBER	2880	41970	\N	\N	\N
424725	1442	1997-12-19	VYDAJ	VYBER	2400	47678	\N	\N	\N
424726	1442	1998-12-10	VYDAJ	VYBER	3520	54409	\N	\N	\N
424733	1442	1994-01-12	VYDAJ	VYBER	2040	47185	\N	\N	\N
424734	1442	1994-01-23	VYDAJ	VYBER	2160	34125	\N	\N	\N
424735	1442	1994-01-08	VYDAJ	VYBER	2400	49225	\N	\N	\N
424736	1442	1994-01-27	VYDAJ	VYBER	2400	31725	\N	\N	\N
424737	1442	1994-01-28	VYDAJ	VYBER	1440	28365	\N	\N	\N
424738	1442	1994-01-28	VYDAJ	VYBER	1920	29805	\N	\N	\N
424739	1442	1995-01-21	VYDAJ	VYBER	2640	23446	\N	\N	\N
424740	1442	1995-01-13	VYDAJ	VYBER	2400	41706	\N	\N	\N
424741	1442	1995-01-07	VYDAJ	VYBER	2760	44706	\N	\N	\N
424742	1442	1995-01-14	VYDAJ	VYBER	1560	31246	\N	\N	\N
424743	1442	1995-01-08	VYDAJ	VYBER	600	44106	\N	\N	\N
424744	1442	1995-01-28	VYDAJ	VYBER	2760	20686	\N	\N	\N
424745	1442	1996-01-18	VYDAJ	VYBER	3000	34886	\N	\N	\N
424746	1442	1996-01-30	VYDAJ	VYBER	2880	28886	\N	\N	\N
424747	1442	1996-01-07	VYDAJ	VYBER	1560	49286	\N	\N	\N
424748	1442	1996-01-03	VYDAJ	VYBER	2520	38497	\N	\N	\N
424749	1442	1996-01-28	VYDAJ	VYBER	960	31766	\N	\N	\N
424750	1442	1996-01-26	VYDAJ	VYBER	2160	32726	\N	\N	\N
424751	1442	1997-01-25	VYDAJ	VYBER	600	29015	\N	\N	\N
424752	1442	1997-01-17	VYDAJ	VYBER	1440	35615	\N	\N	\N
424753	1442	1997-01-11	VYDAJ	VYBER	840	38855	\N	\N	\N
424754	1442	1997-01-19	VYDAJ	VYBER	3120	29615	\N	\N	\N
424755	1442	1997-01-18	VYDAJ	VYBER	2880	32735	\N	\N	\N
424756	1442	1997-01-17	VYDAJ	VYBER	1800	37055	\N	\N	\N
424757	1442	1998-01-16	VYDAJ	VYBER	2520	25883	\N	\N	\N
424758	1442	1998-01-23	VYDAJ	VYBER	960	24923	\N	\N	\N
424760	1442	1998-01-08	VYDAJ	VYBER	840	31043	\N	\N	\N
424761	1442	1998-01-10	VYDAJ	VYBER	2640	28403	\N	\N	\N
424762	1442	1998-01-27	VYDAJ	VYBER	1560	23363	\N	\N	\N
424769	1442	1994-12-26	VYDAJ	VYBER	1200	34959	\N	\N	\N
424770	1442	1994-10-22	VYDAJ	VYBER	5520	33132	\N	\N	\N
424771	1442	1994-11-18	VYDAJ	VYBER	3120	31251	\N	\N	\N
424772	1442	1994-11-04	VYDAJ	VYBER	3960	29322	\N	\N	\N
424773	1442	1994-07-26	VYDAJ	VYBER	3840	30772	\N	\N	\N
424774	1442	1994-03-20	VYDAJ	VYBER	2520	33333	\N	\N	\N
424775	1442	1994-06-30	VYDAJ	VYBER	4800	33963	\N	\N	\N
424776	1442	1995-03-10	VYDAJ	VYBER	3840	39268	\N	\N	\N
424777	1442	1995-01-18	VYDAJ	VYBER	5160	26086	\N	\N	\N
424778	1442	1995-08-27	VYDAJ	VYBER	1800	32900	\N	\N	\N
424779	1442	1995-08-02	VYDAJ	VYBER	3120	34951	\N	\N	\N
424780	1442	1995-04-02	VYDAJ	VYBER	3240	28054	\N	\N	\N
424781	1442	1995-06-09	VYDAJ	VYBER	1440	57594	\N	\N	\N
424782	1442	1995-10-30	VYDAJ	VYBER	1080	34188	\N	\N	\N
424783	1442	1996-08-10	VYDAJ	VYBER	3360	31849	\N	\N	\N
424784	1442	1996-03-20	VYDAJ	VYBER	5880	25605	\N	\N	\N
424785	1442	1996-03-14	VYDAJ	VYBER	2760	31485	\N	\N	\N
424786	1442	1996-11-12	VYDAJ	VYBER	4440	35869	\N	\N	\N
424787	1442	1996-06-20	VYDAJ	VYBER	3720	33735	\N	\N	\N
424788	1442	1996-07-31	VYDAJ	VYBER	3480	30360	\N	\N	\N
424789	1442	1996-11-28	VYDAJ	VYBER	960	34909	\N	\N	\N
424790	1442	1997-02-07	VYDAJ	VYBER	2760	30934	\N	\N	\N
424791	1442	1997-08-20	VYDAJ	VYBER	5400	23418	\N	\N	\N
424793	1442	1997-08-04	VYDAJ	VYBER	5280	20429	\N	\N	\N
424794	1442	1997-05-17	VYDAJ	VYBER	5880	28599	\N	\N	\N
424795	1442	1997-08-17	VYDAJ	VYBER	3960	28818	\N	\N	\N
424796	1442	1998-11-14	VYDAJ	VYBER	1200	36306	\N	\N	\N
424797	1442	1998-09-01	VYDAJ	VYBER	4200	39820	\N	\N	\N
424798	1442	1998-01-28	VYDAJ	VYBER	3120	20243	\N	\N	\N
424799	1442	1998-07-22	VYDAJ	VYBER	4080	31381	\N	\N	\N
424801	1442	1998-10-25	VYDAJ	VYBER	4440	25051	\N	\N	\N
424812	1442	1993-10-31	VYDAJ	VYBER	15	35613	SLUZBY	\N	\N
424813	1442	1993-11-30	VYDAJ	VYBER	15	36419	SLUZBY	\N	\N
424814	1442	1993-12-31	VYDAJ	VYBER	15	39276	SLUZBY	\N	\N
424815	1442	1994-01-31	VYDAJ	VYBER	15	28517	SLUZBY	\N	\N
424816	1442	1994-02-28	VYDAJ	VYBER	15	30804	SLUZBY	\N	\N
424817	1442	1994-03-31	VYDAJ	VYBER	15	33484	SLUZBY	\N	\N
424818	1442	1994-04-30	VYDAJ	VYBER	15	33378	SLUZBY	\N	\N
424819	1442	1994-05-31	VYDAJ	VYBER	15	35584	SLUZBY	\N	\N
424820	1442	1994-06-30	VYDAJ	VYBER	15	38763	SLUZBY	\N	\N
424821	1442	1994-07-31	VYDAJ	VYBER	15	30924	SLUZBY	\N	\N
424822	1442	1994-08-31	VYDAJ	VYBER	15	33409	SLUZBY	\N	\N
424823	1442	1994-09-30	VYDAJ	VYBER	15	36303	SLUZBY	\N	\N
424824	1442	1994-10-31	VYDAJ	VYBER	15	33282	SLUZBY	\N	\N
424825	1442	1994-11-30	VYDAJ	VYBER	15	31381	SLUZBY	\N	\N
424826	1442	1994-12-31	VYDAJ	VYBER	15	35117	SLUZBY	\N	\N
424827	1442	1995-01-31	VYDAJ	VYBER	15	20803	SLUZBY	\N	\N
424828	1442	1995-02-28	VYDAJ	VYBER	15	30759	SLUZBY	\N	\N
424829	1442	1995-03-31	VYDAJ	VYBER	15	31294	SLUZBY	\N	\N
424830	1442	1995-04-30	VYDAJ	VYBER	15	33036	SLUZBY	\N	\N
424831	1442	1995-05-31	VYDAJ	VYBER	15	37536	SLUZBY	\N	\N
424832	1442	1995-06-30	VYDAJ	VYBER	15	40061	SLUZBY	\N	\N
424833	1442	1995-07-31	VYDAJ	VYBER	15	38071	SLUZBY	\N	\N
424834	1442	1995-08-31	VYDAJ	VYBER	15	33038	SLUZBY	\N	\N
424835	1442	1995-09-30	VYDAJ	VYBER	15	33919	SLUZBY	\N	\N
424836	1442	1995-10-31	VYDAJ	VYBER	15	34324	SLUZBY	\N	\N
424837	1442	1995-11-30	VYDAJ	VYBER	15	37615	SLUZBY	\N	\N
424838	1442	1995-12-31	VYDAJ	VYBER	15	41017	SLUZBY	\N	\N
424839	1442	1996-01-31	VYDAJ	VYBER	15	29026	SLUZBY	\N	\N
424840	1442	1996-02-29	VYDAJ	VYBER	15	33596	SLUZBY	\N	\N
424841	1442	1996-03-31	VYDAJ	VYBER	15	25718	SLUZBY	\N	\N
424842	1442	1996-04-30	VYDAJ	VYBER	15	31780	SLUZBY	\N	\N
424843	1442	1996-05-31	VYDAJ	VYBER	15	34557	SLUZBY	\N	\N
424844	1442	1996-06-30	VYDAJ	VYBER	15	33867	SLUZBY	\N	\N
424845	1442	1996-07-31	VYDAJ	VYBER	15	33840	SLUZBY	\N	\N
424846	1442	1996-08-31	VYDAJ	VYBER	15	31972	SLUZBY	\N	\N
424847	1442	1996-09-30	VYDAJ	VYBER	15	35951	SLUZBY	\N	\N
424848	1442	1996-10-31	VYDAJ	VYBER	15	38060	SLUZBY	\N	\N
424849	1442	1996-11-30	VYDAJ	VYBER	15	35052	SLUZBY	\N	\N
424850	1442	1996-12-31	VYDAJ	VYBER	15	42146	SLUZBY	\N	\N
424851	1442	1997-01-31	VYDAJ	VYBER	15	29145	SLUZBY	\N	\N
424852	1442	1997-02-28	VYDAJ	VYBER	15	31045	SLUZBY	\N	\N
424853	1442	1997-03-31	VYDAJ	VYBER	15	37429	SLUZBY	\N	\N
424854	1442	1997-04-30	VYDAJ	VYBER	15	35630	SLUZBY	\N	\N
424855	1442	1997-05-31	VYDAJ	VYBER	15	28723	SLUZBY	\N	\N
424856	1442	1997-06-30	VYDAJ	VYBER	15	42289	SLUZBY	\N	\N
424857	1442	1997-07-31	VYDAJ	VYBER	15	40709	SLUZBY	\N	\N
424858	1442	1997-08-31	VYDAJ	VYBER	15	17614	SLUZBY	\N	\N
424859	1442	1997-09-30	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
424860	1442	1997-10-31	VYDAJ	VYBER	15	16138	SLUZBY	\N	\N
424861	1442	1997-11-30	VYDAJ	VYBER	15	28580	SLUZBY	\N	\N
424862	1442	1997-12-31	VYDAJ	VYBER	15	19534	SLUZBY	\N	\N
424863	1442	1998-01-31	VYDAJ	VYBER	15	20330	SLUZBY	\N	\N
424864	1442	1998-02-28	VYDAJ	VYBER	15	32787	SLUZBY	\N	\N
424865	1442	1998-03-31	VYDAJ	VYBER	15	45318	SLUZBY	\N	\N
424866	1442	1998-04-30	VYDAJ	VYBER	15	21460	SLUZBY	\N	\N
424867	1442	1998-05-31	VYDAJ	VYBER	15	33923	SLUZBY	\N	\N
424868	1442	1998-06-30	VYDAJ	VYBER	15	23112	SLUZBY	\N	\N
424869	1442	1998-07-31	VYDAJ	VYBER	15	31496	SLUZBY	\N	\N
424870	1442	1998-08-31	VYDAJ	VYBER	15	44020	SLUZBY	\N	\N
424871	1442	1998-09-30	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
424872	1442	1998-10-31	VYDAJ	VYBER	15	25157	SLUZBY	\N	\N
424873	1442	1998-11-30	VYDAJ	VYBER	15	36431	SLUZBY	\N	\N
424874	1442	1993-06-22	VYDAJ	VYBER	500	27248	\N	\N	\N
424875	1442	1993-07-22	VYDAJ	VYBER	11300	34281	\N	\N	\N
424876	1442	1993-08-21	VYDAJ	VYBER	16500	36203	\N	\N	\N
424877	1442	1993-09-20	VYDAJ	VYBER	16700	37948	\N	\N	\N
424878	1442	1993-10-20	VYDAJ	VYBER	15000	35450	\N	\N	\N
424879	1442	1993-11-19	VYDAJ	VYBER	11700	36262	\N	\N	\N
424880	1442	1993-12-19	VYDAJ	VYBER	17700	39097	\N	\N	\N
424881	1442	1994-01-18	VYDAJ	VYBER	10900	36285	\N	\N	\N
424882	1442	1994-02-17	VYDAJ	VYBER	10200	30666	\N	\N	\N
424883	1442	1994-03-19	VYDAJ	VYBER	7300	35853	\N	\N	\N
424884	1442	1994-04-18	VYDAJ	VYBER	12600	33233	\N	\N	\N
424885	1442	1994-05-18	VYDAJ	VYBER	10300	35427	\N	\N	\N
424886	1442	1994-06-17	VYDAJ	VYBER	18500	38582	\N	\N	\N
424887	1442	1994-07-17	VYDAJ	VYBER	11700	34612	\N	\N	\N
424888	1442	1994-08-16	VYDAJ	VYBER	10000	33273	\N	\N	\N
424889	1442	1994-09-15	VYDAJ	VYBER	9600	36158	\N	\N	\N
424890	1442	1994-10-15	VYDAJ	VYBER	10000	38652	\N	\N	\N
424891	1442	1994-11-14	VYDAJ	VYBER	7300	34371	\N	\N	\N
424892	1442	1994-12-14	VYDAJ	VYBER	13200	39679	\N	\N	\N
424893	1442	1995-01-13	VYDAJ	VYBER	8900	32806	\N	\N	\N
424894	1442	1995-02-12	VYDAJ	VYBER	2500	30652	\N	\N	\N
424895	1442	1995-03-14	VYDAJ	VYBER	8100	31168	\N	\N	\N
424896	1442	1995-04-13	VYDAJ	VYBER	7500	32903	\N	\N	\N
424897	1442	1995-05-13	VYDAJ	VYBER	8000	37385	\N	\N	\N
424898	1442	1995-06-12	VYDAJ	VYBER	17700	39894	\N	\N	\N
424899	1442	1995-07-12	VYDAJ	VYBER	14500	37910	\N	\N	\N
424900	1442	1995-08-11	VYDAJ	VYBER	12600	34700	\N	\N	\N
424901	1442	1995-09-10	VYDAJ	VYBER	11600	33787	\N	\N	\N
424902	1442	1995-10-10	VYDAJ	VYBER	11000	35268	\N	\N	\N
424903	1442	1995-11-09	VYDAJ	VYBER	9200	37473	\N	\N	\N
424904	1442	1995-12-09	VYDAJ	VYBER	14900	44213	\N	\N	\N
424905	1442	1996-01-08	VYDAJ	VYBER	11400	37886	\N	\N	\N
424906	1442	1996-02-07	VYDAJ	VYBER	7900	33475	\N	\N	\N
424907	1442	1996-03-08	VYDAJ	VYBER	11700	34245	\N	\N	\N
424908	1442	1996-04-07	VYDAJ	VYBER	6400	31667	\N	\N	\N
424909	1442	1996-05-07	VYDAJ	VYBER	9700	34429	\N	\N	\N
424910	1442	1996-06-06	VYDAJ	VYBER	18600	37455	\N	\N	\N
424911	1442	1996-07-06	VYDAJ	VYBER	12500	33716	\N	\N	\N
424912	1442	1996-08-05	VYDAJ	VYBER	7500	22860	\N	\N	\N
424913	1442	1996-09-04	VYDAJ	VYBER	8500	23472	\N	\N	\N
424914	1442	1996-10-04	VYDAJ	VYBER	10400	25551	\N	\N	\N
424915	1442	1996-11-03	VYDAJ	VYBER	10100	27960	\N	\N	\N
424916	1442	1996-12-03	VYDAJ	VYBER	11700	23352	\N	\N	\N
424917	1442	1997-01-02	VYDAJ	VYBER	14800	27346	\N	\N	\N
424918	1442	1997-02-01	VYDAJ	VYBER	7800	21345	\N	\N	\N
424919	1442	1997-03-03	VYDAJ	VYBER	6100	24945	\N	\N	\N
424920	1442	1997-04-02	VYDAJ	VYBER	14300	23129	\N	\N	\N
424921	1442	1997-05-02	VYDAJ	VYBER	13500	22130	\N	\N	\N
424922	1442	1997-06-01	VYDAJ	VYBER	8100	20623	\N	\N	\N
424923	1442	1997-07-01	VYDAJ	VYBER	14100	28189	\N	\N	\N
424924	1442	1997-07-31	VYDAJ	VYBER	15000	25709	\N	\N	\N
424925	1442	1997-08-30	VYDAJ	VYBER	5900	17518	\N	\N	\N
424926	1442	1997-09-29	VYDAJ	VYBER	12200	17763	\N	\N	\N
424927	1442	1997-10-29	VYDAJ	VYBER	14200	16026	\N	\N	\N
424928	1442	1997-12-28	VYDAJ	VYBER	28300	19378	\N	\N	\N
424929	1442	1998-04-27	VYDAJ	VYBER	36400	21267	\N	\N	\N
424930	1442	1998-06-26	VYDAJ	VYBER	32500	22921	\N	\N	\N
424931	1442	1998-09-24	VYDAJ	VYBER	35200	16969	\N	\N	\N
424999	1443	1997-09-27	PRIJEM	VKLAD	700	700	\N	\N	\N
425009	1443	1997-10-11	PRIJEM	VKLAD	19834	20534	\N	\N	\N
425010	1443	1997-11-11	PRIJEM	VKLAD	19834	42583	\N	\N	\N
425011	1443	1997-12-11	PRIJEM	VKLAD	29751	62736	\N	\N	\N
425012	1443	1998-01-11	PRIJEM	VKLAD	19834	63015	\N	\N	\N
425013	1443	1998-02-11	PRIJEM	VKLAD	19834	62328	\N	\N	\N
425014	1443	1998-03-11	PRIJEM	VKLAD	19834	52517	\N	\N	\N
425015	1443	1998-04-11	PRIJEM	VKLAD	19834	51022	\N	\N	\N
425016	1443	1998-05-11	PRIJEM	VKLAD	19834	51822	\N	\N	\N
425017	1443	1998-06-11	PRIJEM	VKLAD	29751	58937	\N	\N	\N
425018	1443	1998-07-11	PRIJEM	VKLAD	19834	51127	\N	\N	\N
425019	1443	1998-08-11	PRIJEM	VKLAD	19834	42719	\N	\N	\N
425020	1443	1998-09-11	PRIJEM	VKLAD	19834	44981	\N	\N	\N
425021	1443	1998-10-11	PRIJEM	VKLAD	19834	48054	\N	\N	\N
425022	1443	1998-11-11	PRIJEM	VKLAD	19834	48135	\N	\N	\N
425023	1443	1998-12-11	PRIJEM	VKLAD	29751	60936	\N	\N	\N
425038	1443	1998-03-07	VYDAJ	PREVOD NA UCET	7505	32683	SIPO	UV	43636268
425039	1443	1998-04-07	VYDAJ	PREVOD NA UCET	7505	31188	SIPO	UV	43636268
425040	1443	1998-05-07	VYDAJ	PREVOD NA UCET	7505	31988	SIPO	UV	43636268
425041	1443	1998-06-07	VYDAJ	PREVOD NA UCET	7505	29186	SIPO	UV	43636268
425042	1443	1998-07-07	VYDAJ	PREVOD NA UCET	7505	31293	SIPO	UV	43636268
425043	1443	1998-08-07	VYDAJ	PREVOD NA UCET	7505	25485	SIPO	UV	43636268
425044	1443	1998-09-07	VYDAJ	PREVOD NA UCET	7505	25147	SIPO	UV	43636268
425045	1443	1998-10-07	VYDAJ	PREVOD NA UCET	7505	28220	SIPO	UV	43636268
425046	1443	1998-11-07	VYDAJ	PREVOD NA UCET	7505	28301	SIPO	UV	43636268
425047	1443	1998-12-07	VYDAJ	PREVOD NA UCET	7505	31185	SIPO	UV	43636268
425049	1443	1998-06-12	VYDAJ	VYBER	11300	47637	\N	\N	\N
425069	1443	1998-06-12	VYDAJ	VYBER	900	46737	\N	\N	\N
425070	1443	1998-05-21	VYDAJ	VYBER	3800	48022	\N	\N	\N
425071	1443	1998-07-26	VYDAJ	VYBER	3400	32827	\N	\N	\N
425072	1443	1998-08-07	VYDAJ	VYBER	2600	22885	\N	\N	\N
425073	1443	1998-12-29	VYDAJ	VYBER	3500	41836	\N	\N	\N
425074	1443	1998-12-17	VYDAJ	VYBER	900	60036	\N	\N	\N
425089	1443	1998-02-28	VYDAJ	VYBER	15	40188	SLUZBY	\N	\N
425090	1443	1998-03-31	VYDAJ	VYBER	15	38693	SLUZBY	\N	\N
425091	1443	1998-04-30	VYDAJ	VYBER	15	39493	SLUZBY	\N	\N
425092	1443	1998-05-31	VYDAJ	VYBER	15	36691	SLUZBY	\N	\N
425093	1443	1998-06-30	VYDAJ	VYBER	15	38798	SLUZBY	\N	\N
425094	1443	1998-07-31	VYDAJ	VYBER	15	32990	SLUZBY	\N	\N
425095	1443	1998-08-31	VYDAJ	VYBER	15	32652	SLUZBY	\N	\N
425096	1443	1998-09-30	VYDAJ	VYBER	15	35725	SLUZBY	\N	\N
425097	1443	1998-10-31	VYDAJ	VYBER	15	35806	SLUZBY	\N	\N
425098	1443	1998-11-30	VYDAJ	VYBER	15	38690	SLUZBY	\N	\N
425099	1443	1997-10-27	PRIJEM	VKLAD	2200	22734	\N	\N	\N
425100	1443	1997-11-26	VYDAJ	VYBER	9700	32883	\N	\N	\N
425101	1443	1997-12-26	VYDAJ	VYBER	19700	43036	\N	\N	\N
425102	1443	1998-01-25	VYDAJ	VYBER	20700	42315	\N	\N	\N
425103	1443	1998-02-24	VYDAJ	VYBER	22300	40028	\N	\N	\N
425104	1443	1998-03-26	VYDAJ	VYBER	14000	38517	\N	\N	\N
425105	1443	1998-04-25	VYDAJ	VYBER	11700	39322	\N	\N	\N
425106	1443	1998-05-25	VYDAJ	VYBER	11500	36522	\N	\N	\N
425107	1443	1998-06-24	VYDAJ	VYBER	8100	38637	\N	\N	\N
425108	1443	1998-07-24	VYDAJ	VYBER	14900	36227	\N	\N	\N
425109	1443	1998-08-23	VYDAJ	VYBER	10200	32519	\N	\N	\N
425110	1443	1998-09-22	VYDAJ	VYBER	9400	35581	\N	\N	\N
425111	1443	1998-10-22	VYDAJ	VYBER	12400	35654	\N	\N	\N
425112	1443	1998-11-21	VYDAJ	VYBER	9600	38535	\N	\N	\N
425113	1443	1998-12-21	VYDAJ	VYBER	14700	45336	\N	\N	\N
425129	1444	1996-06-16	PRIJEM	VKLAD	700	700	\N	\N	\N
425136	1444	1996-07-06	PRIJEM	PREVOD Z UCTU	3037	3737	\N	ST	96897166
425137	1444	1996-08-06	PRIJEM	PREVOD Z UCTU	3037	18307	\N	ST	96897166
425138	1444	1996-09-06	PRIJEM	PREVOD Z UCTU	3037	24521	\N	ST	96897166
425139	1444	1996-10-06	PRIJEM	PREVOD Z UCTU	3037	31965	\N	ST	96897166
425140	1444	1996-11-06	PRIJEM	PREVOD Z UCTU	3037	34428	\N	ST	96897166
425141	1444	1996-12-06	PRIJEM	PREVOD Z UCTU	3037	31750	\N	ST	96897166
425142	1444	1997-01-06	PRIJEM	PREVOD Z UCTU	3037	31961	\N	ST	96897166
425143	1444	1997-02-06	PRIJEM	PREVOD Z UCTU	3037	27234	\N	ST	96897166
425144	1444	1997-03-06	PRIJEM	PREVOD Z UCTU	3037	29932	\N	ST	96897166
425145	1444	1997-04-06	PRIJEM	PREVOD Z UCTU	3037	29341	\N	ST	96897166
425146	1444	1997-05-06	PRIJEM	PREVOD Z UCTU	3037	29951	\N	ST	96897166
425147	1444	1997-06-06	PRIJEM	PREVOD Z UCTU	3037	26304	\N	ST	96897166
425148	1444	1997-07-06	PRIJEM	PREVOD Z UCTU	3037	28210	\N	ST	96897166
425149	1444	1997-08-06	PRIJEM	PREVOD Z UCTU	3037	30120	\N	ST	96897166
425150	1444	1997-09-06	PRIJEM	PREVOD Z UCTU	3037	29530	\N	ST	96897166
425151	1444	1997-10-06	PRIJEM	PREVOD Z UCTU	3037	28436	\N	ST	96897166
425152	1444	1997-11-06	PRIJEM	PREVOD Z UCTU	3037	28607	\N	ST	96897166
425153	1444	1997-12-06	PRIJEM	PREVOD Z UCTU	3037	32957	\N	ST	96897166
425154	1444	1998-01-06	PRIJEM	PREVOD Z UCTU	3037	34143	\N	ST	96897166
425155	1444	1998-02-06	PRIJEM	PREVOD Z UCTU	3037	30176	\N	ST	96897166
425156	1444	1998-03-06	PRIJEM	PREVOD Z UCTU	3037	36310	\N	ST	96897166
425157	1444	1998-04-06	PRIJEM	PREVOD Z UCTU	3037	39539	\N	ST	96897166
425158	1444	1998-05-06	PRIJEM	PREVOD Z UCTU	3037	40795	\N	ST	96897166
425159	1444	1998-06-06	PRIJEM	PREVOD Z UCTU	3037	48159	\N	ST	96897166
425160	1444	1998-07-06	PRIJEM	PREVOD Z UCTU	3037	49332	\N	ST	96897166
425161	1444	1998-08-06	PRIJEM	PREVOD Z UCTU	3037	52824	\N	ST	96897166
425162	1444	1998-09-06	PRIJEM	PREVOD Z UCTU	3037	53449	\N	ST	96897166
425163	1444	1998-10-06	PRIJEM	PREVOD Z UCTU	3037	56692	\N	ST	96897166
425164	1444	1998-11-06	PRIJEM	PREVOD Z UCTU	3037	58745	\N	ST	96897166
425165	1444	1998-12-06	PRIJEM	PREVOD Z UCTU	3037	61180	\N	ST	96897166
425176	1444	1996-11-14	VYDAJ	PREVOD NA UCET	2024	28604	SIPO	YZ	56467163
425177	1444	1996-12-14	VYDAJ	PREVOD NA UCET	2024	29626	SIPO	YZ	56467163
425178	1444	1997-01-14	VYDAJ	PREVOD NA UCET	2024	28087	SIPO	YZ	56467163
425179	1444	1997-02-14	VYDAJ	PREVOD NA UCET	2024	26800	SIPO	YZ	56467163
425180	1444	1997-03-14	VYDAJ	PREVOD NA UCET	2024	26208	SIPO	YZ	56467163
425181	1444	1997-04-14	VYDAJ	PREVOD NA UCET	2024	26817	SIPO	YZ	56467163
425182	1444	1997-05-14	VYDAJ	PREVOD NA UCET	2024	27727	SIPO	YZ	56467163
425183	1444	1997-06-14	VYDAJ	PREVOD NA UCET	2024	25080	SIPO	YZ	56467163
425184	1444	1997-07-14	VYDAJ	PREVOD NA UCET	2024	26986	SIPO	YZ	56467163
425185	1444	1997-08-14	VYDAJ	PREVOD NA UCET	2024	26396	SIPO	YZ	56467163
425186	1444	1997-09-14	VYDAJ	PREVOD NA UCET	2024	25306	SIPO	YZ	56467163
425187	1444	1997-10-14	VYDAJ	PREVOD NA UCET	2024	27212	SIPO	YZ	56467163
425188	1444	1997-11-14	VYDAJ	PREVOD NA UCET	2024	30083	SIPO	YZ	56467163
425189	1444	1997-12-14	VYDAJ	PREVOD NA UCET	2024	33533	SIPO	YZ	56467163
425190	1444	1998-01-14	VYDAJ	PREVOD NA UCET	2024	29249	SIPO	YZ	56467163
425191	1444	1998-02-14	VYDAJ	PREVOD NA UCET	2024	33152	SIPO	YZ	56467163
425192	1444	1998-03-14	VYDAJ	PREVOD NA UCET	2024	36366	SIPO	YZ	56467163
425193	1444	1998-04-14	VYDAJ	PREVOD NA UCET	2024	37615	SIPO	YZ	56467163
425194	1444	1998-05-14	VYDAJ	PREVOD NA UCET	2024	39771	SIPO	YZ	56467163
425195	1444	1998-06-14	VYDAJ	PREVOD NA UCET	2024	46135	SIPO	YZ	56467163
425196	1444	1998-07-14	VYDAJ	PREVOD NA UCET	2024	47308	SIPO	YZ	56467163
425197	1444	1998-08-14	VYDAJ	PREVOD NA UCET	2024	49420	SIPO	YZ	56467163
425198	1444	1998-09-14	VYDAJ	PREVOD NA UCET	2024	51425	SIPO	YZ	56467163
425199	1444	1998-10-14	VYDAJ	PREVOD NA UCET	2024	54668	SIPO	YZ	56467163
425200	1444	1998-11-14	VYDAJ	PREVOD NA UCET	2024	56721	SIPO	YZ	56467163
425201	1444	1998-12-14	VYDAJ	PREVOD NA UCET	2024	59156	SIPO	YZ	56467163
425203	1444	1997-06-04	VYDAJ	VYBER	4560	23267	\N	\N	\N
425204	1444	1998-06-19	VYDAJ	VYBER	2610	43525	\N	\N	\N
425206	1444	1997-01-21	VYDAJ	VYBER	2820	24667	\N	\N	\N
425207	1444	1998-01-01	VYDAJ	VYBER	2370	31106	\N	\N	\N
425208	1444	1996-12-15	VYDAJ	VYBER	150	29476	\N	\N	\N
425209	1444	1997-12-29	VYDAJ	VYBER	180	33353	\N	\N	\N
425210	1444	1998-12-15	VYDAJ	VYBER	360	58796	\N	\N	\N
425217	1444	1997-01-07	VYDAJ	VYBER	750	31211	\N	\N	\N
425218	1444	1997-01-23	VYDAJ	VYBER	240	24097	\N	\N	\N
425219	1444	1997-01-02	VYDAJ	VYBER	390	28924	\N	\N	\N
425220	1444	1997-01-14	VYDAJ	VYBER	600	27487	\N	\N	\N
425221	1444	1997-01-02	VYDAJ	VYBER	270	29314	\N	\N	\N
425222	1444	1997-01-22	VYDAJ	VYBER	330	24337	\N	\N	\N
425223	1444	1998-01-10	VYDAJ	VYBER	720	31273	\N	\N	\N
425224	1444	1998-01-15	VYDAJ	VYBER	720	28529	\N	\N	\N
425225	1444	1998-01-07	VYDAJ	VYBER	180	33963	\N	\N	\N
425226	1444	1998-01-08	VYDAJ	VYBER	270	31993	\N	\N	\N
425227	1444	1998-01-19	VYDAJ	VYBER	750	27779	\N	\N	\N
425228	1444	1998-01-28	VYDAJ	VYBER	750	27029	\N	\N	\N
425235	1444	1997-10-30	VYDAJ	VYBER	900	25472	\N	\N	\N
425236	1444	1997-10-29	VYDAJ	VYBER	840	26372	\N	\N	\N
425237	1444	1997-02-09	VYDAJ	VYBER	510	26724	\N	\N	\N
425238	1444	1997-11-30	VYDAJ	VYBER	270	29935	\N	\N	\N
425239	1444	1998-10-21	VYDAJ	VYBER	870	53798	\N	\N	\N
425240	1444	1998-08-07	VYDAJ	VYBER	1380	51444	\N	\N	\N
425241	1444	1998-09-28	VYDAJ	VYBER	870	50555	\N	\N	\N
425242	1444	1998-03-08	VYDAJ	VYBER	150	39260	\N	\N	\N
425243	1444	1998-12-16	VYDAJ	VYBER	930	57866	\N	\N	\N
425244	1444	1998-03-12	VYDAJ	VYBER	870	38390	\N	\N	\N
425256	1444	1996-11-30	VYDAJ	VYBER	15	28713	SLUZBY	\N	\N
425257	1444	1996-12-31	VYDAJ	VYBER	15	29584	SLUZBY	\N	\N
425258	1444	1997-01-31	VYDAJ	VYBER	15	24197	SLUZBY	\N	\N
425259	1444	1997-02-28	VYDAJ	VYBER	15	26895	SLUZBY	\N	\N
425260	1444	1997-03-31	VYDAJ	VYBER	15	26304	SLUZBY	\N	\N
425261	1444	1997-04-30	VYDAJ	VYBER	15	26914	SLUZBY	\N	\N
425262	1444	1997-05-31	VYDAJ	VYBER	15	27827	SLUZBY	\N	\N
425263	1444	1997-06-30	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
425264	1444	1997-07-31	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
425265	1444	1997-08-31	VYDAJ	VYBER	15	26493	SLUZBY	\N	\N
425266	1444	1997-09-30	VYDAJ	VYBER	15	25399	SLUZBY	\N	\N
425267	1444	1997-10-31	VYDAJ	VYBER	15	25570	SLUZBY	\N	\N
425268	1444	1997-11-30	VYDAJ	VYBER	15	29920	SLUZBY	\N	\N
425269	1444	1997-12-31	VYDAJ	VYBER	15	33476	SLUZBY	\N	\N
425270	1444	1998-01-31	VYDAJ	VYBER	15	27139	SLUZBY	\N	\N
425271	1444	1998-02-28	VYDAJ	VYBER	15	33273	SLUZBY	\N	\N
425272	1444	1998-03-31	VYDAJ	VYBER	15	36502	SLUZBY	\N	\N
425273	1444	1998-04-30	VYDAJ	VYBER	15	37758	SLUZBY	\N	\N
425274	1444	1998-05-31	VYDAJ	VYBER	15	39922	SLUZBY	\N	\N
425275	1444	1998-06-30	VYDAJ	VYBER	15	43695	SLUZBY	\N	\N
425276	1444	1998-07-31	VYDAJ	VYBER	15	47487	SLUZBY	\N	\N
425277	1444	1998-08-31	VYDAJ	VYBER	15	49612	SLUZBY	\N	\N
425278	1444	1998-09-30	VYDAJ	VYBER	15	50755	SLUZBY	\N	\N
425279	1444	1998-10-31	VYDAJ	VYBER	15	54008	SLUZBY	\N	\N
425280	1444	1998-11-30	VYDAJ	VYBER	15	56943	SLUZBY	\N	\N
425281	1444	1996-07-16	PRIJEM	VKLAD	11500	15237	\N	\N	\N
425282	1444	1996-08-15	PRIJEM	VKLAD	3100	21407	\N	\N	\N
425283	1444	1996-09-14	PRIJEM	VKLAD	4300	28821	\N	\N	\N
425284	1444	1996-10-14	VYDAJ	VYBER	700	31265	\N	\N	\N
425285	1444	1996-11-13	VYDAJ	VYBER	3800	30628	\N	\N	\N
425286	1444	1996-12-13	VYDAJ	VYBER	100	31650	\N	\N	\N
425287	1444	1997-01-12	VYDAJ	VYBER	1100	30111	\N	\N	\N
425288	1444	1997-02-11	PRIJEM	VKLAD	2100	28824	\N	\N	\N
425289	1444	1997-03-13	VYDAJ	VYBER	1700	28232	\N	\N	\N
425290	1444	1997-04-12	VYDAJ	VYBER	500	28841	\N	\N	\N
425291	1444	1997-05-12	VYDAJ	VYBER	200	29751	\N	\N	\N
425292	1444	1997-06-11	PRIJEM	VKLAD	800	27104	\N	\N	\N
425293	1444	1997-07-11	PRIJEM	VKLAD	800	29010	\N	\N	\N
425294	1444	1997-08-10	VYDAJ	VYBER	1700	28420	\N	\N	\N
425295	1444	1997-09-09	VYDAJ	VYBER	2200	27330	\N	\N	\N
425296	1444	1997-10-09	PRIJEM	VKLAD	800	29236	\N	\N	\N
425297	1444	1997-11-08	PRIJEM	VKLAD	3500	32107	\N	\N	\N
425298	1444	1997-12-08	PRIJEM	VKLAD	2600	35557	\N	\N	\N
425299	1444	1998-01-07	VYDAJ	VYBER	1700	32263	\N	\N	\N
425300	1444	1998-02-06	PRIJEM	VKLAD	5000	35176	\N	\N	\N
425301	1444	1998-03-08	PRIJEM	VKLAD	3100	39410	\N	\N	\N
425302	1444	1998-04-07	PRIJEM	VKLAD	100	39639	\N	\N	\N
425303	1444	1998-05-07	PRIJEM	VKLAD	1000	41795	\N	\N	\N
425304	1444	1998-06-06	PRIJEM	VKLAD	5200	45122	\N	\N	\N
425305	1444	1998-07-06	PRIJEM	VKLAD	2600	46295	\N	\N	\N
425306	1444	1998-08-05	PRIJEM	VKLAD	2300	49787	\N	\N	\N
425307	1444	1998-09-04	PRIJEM	VKLAD	800	50412	\N	\N	\N
425308	1444	1998-10-04	PRIJEM	VKLAD	2900	53655	\N	\N	\N
425309	1444	1998-11-03	PRIJEM	VKLAD	1700	55708	\N	\N	\N
425310	1444	1998-12-03	PRIJEM	VKLAD	1200	58143	\N	\N	\N
425341	1445	1996-03-16	PRIJEM	VKLAD	900	900	\N	\N	\N
425345	1445	1996-04-07	PRIJEM	VKLAD	6786	7686	\N	\N	\N
425346	1445	1996-05-07	PRIJEM	VKLAD	6786	21004	\N	\N	\N
425347	1445	1996-06-07	PRIJEM	VKLAD	10179	31558	\N	\N	\N
425348	1445	1996-07-07	PRIJEM	VKLAD	6786	34648	\N	\N	\N
425349	1445	1996-08-07	PRIJEM	VKLAD	6786	36554	\N	\N	\N
425350	1445	1996-09-07	PRIJEM	VKLAD	6786	34727	\N	\N	\N
425351	1445	1996-10-07	PRIJEM	VKLAD	6786	28287	\N	\N	\N
425352	1445	1996-11-07	PRIJEM	VKLAD	6786	29535	\N	\N	\N
425353	1445	1996-12-07	PRIJEM	VKLAD	10179	29971	\N	\N	\N
425354	1445	1997-01-07	PRIJEM	VKLAD	6786	24053	\N	\N	\N
425355	1445	1997-02-07	PRIJEM	VKLAD	6786	19498	\N	\N	\N
425356	1445	1997-03-07	PRIJEM	VKLAD	6786	26025	\N	\N	\N
425357	1445	1997-04-07	PRIJEM	VKLAD	6786	32182	\N	\N	\N
425358	1445	1997-05-07	PRIJEM	VKLAD	6786	33747	\N	\N	\N
425359	1445	1997-06-07	PRIJEM	VKLAD	10179	40016	\N	\N	\N
425360	1445	1997-07-07	PRIJEM	VKLAD	6786	34636	\N	\N	\N
425361	1445	1997-08-07	PRIJEM	VKLAD	6786	33863	\N	\N	\N
425362	1445	1997-09-07	PRIJEM	VKLAD	6786	29052	\N	\N	\N
425363	1445	1997-10-07	PRIJEM	VKLAD	6786	30606	\N	\N	\N
425364	1445	1997-11-07	PRIJEM	VKLAD	6786	28993	\N	\N	\N
425365	1445	1997-12-07	PRIJEM	VKLAD	10179	32939	\N	\N	\N
425366	1445	1998-01-07	PRIJEM	VKLAD	6786	31464	\N	\N	\N
425367	1445	1998-02-07	PRIJEM	VKLAD	6786	27762	\N	\N	\N
425368	1445	1998-03-07	PRIJEM	VKLAD	6786	28008	\N	\N	\N
425369	1445	1998-04-07	PRIJEM	VKLAD	6786	30859	\N	\N	\N
425370	1445	1998-05-07	PRIJEM	VKLAD	6786	29120	\N	\N	\N
425371	1445	1998-06-07	PRIJEM	VKLAD	10179	29771	\N	\N	\N
425372	1445	1998-07-07	PRIJEM	VKLAD	6786	24228	\N	\N	\N
425373	1445	1998-08-07	PRIJEM	VKLAD	6786	20866	\N	\N	\N
425374	1445	1998-09-07	PRIJEM	VKLAD	6786	18982	\N	\N	\N
425375	1445	1998-10-07	PRIJEM	VKLAD	6786	20994	\N	\N	\N
425376	1445	1998-11-07	PRIJEM	VKLAD	6786	22314	\N	\N	\N
425377	1445	1998-12-07	PRIJEM	VKLAD	10179	21733	\N	\N	\N
425386	1445	1996-09-05	VYDAJ	PREVOD NA UCET	1361	27941	SIPO	YZ	18387353
425387	1445	1996-10-05	VYDAJ	PREVOD NA UCET	1361	21501	SIPO	YZ	18387353
425388	1445	1996-11-05	VYDAJ	PREVOD NA UCET	1361	22749	SIPO	YZ	18387353
425389	1445	1996-12-05	VYDAJ	PREVOD NA UCET	1361	19792	SIPO	YZ	18387353
425390	1445	1997-01-05	VYDAJ	PREVOD NA UCET	1361	18707	SIPO	YZ	18387353
425391	1445	1997-02-05	VYDAJ	PREVOD NA UCET	1361	12712	SIPO	YZ	18387353
425392	1445	1997-03-05	VYDAJ	PREVOD NA UCET	1361	19239	SIPO	YZ	18387353
425393	1445	1997-04-05	VYDAJ	PREVOD NA UCET	1361	25396	SIPO	YZ	18387353
425394	1445	1997-05-05	VYDAJ	PREVOD NA UCET	1361	26961	SIPO	YZ	18387353
425395	1445	1997-06-05	VYDAJ	PREVOD NA UCET	1361	29837	SIPO	YZ	18387353
425396	1445	1997-07-05	VYDAJ	PREVOD NA UCET	1361	27850	SIPO	YZ	18387353
425397	1445	1997-08-05	VYDAJ	PREVOD NA UCET	1361	27077	SIPO	YZ	18387353
425398	1445	1997-09-05	VYDAJ	PREVOD NA UCET	1361	22266	SIPO	YZ	18387353
425399	1445	1997-10-05	VYDAJ	PREVOD NA UCET	1361	23820	SIPO	YZ	18387353
425400	1445	1997-11-05	VYDAJ	PREVOD NA UCET	1361	20107	SIPO	YZ	18387353
425401	1445	1997-12-05	VYDAJ	PREVOD NA UCET	1361	24560	SIPO	YZ	18387353
425402	1445	1998-01-05	VYDAJ	PREVOD NA UCET	1361	24678	SIPO	YZ	18387353
425403	1445	1998-02-05	VYDAJ	PREVOD NA UCET	1361	20976	SIPO	YZ	18387353
425404	1445	1998-03-05	VYDAJ	PREVOD NA UCET	1361	23322	SIPO	YZ	18387353
425405	1445	1998-04-05	VYDAJ	PREVOD NA UCET	1361	24073	SIPO	YZ	18387353
425406	1445	1998-05-05	VYDAJ	PREVOD NA UCET	1361	26434	SIPO	YZ	18387353
425407	1445	1998-06-05	VYDAJ	PREVOD NA UCET	1361	19592	SIPO	YZ	18387353
425408	1445	1998-07-05	VYDAJ	PREVOD NA UCET	1361	17442	SIPO	YZ	18387353
425409	1445	1998-08-05	VYDAJ	PREVOD NA UCET	1361	14080	SIPO	YZ	18387353
425410	1445	1998-09-05	VYDAJ	PREVOD NA UCET	1361	12196	SIPO	YZ	18387353
425411	1445	1998-10-05	VYDAJ	PREVOD NA UCET	1361	14208	SIPO	YZ	18387353
425412	1445	1998-11-05	VYDAJ	PREVOD NA UCET	1361	15528	SIPO	YZ	18387353
425413	1445	1998-12-05	VYDAJ	PREVOD NA UCET	1361	11554	SIPO	YZ	18387353
425421	1445	1996-08-09	VYDAJ	PREVOD NA UCET	668	34811	 	AB	68283045
425422	1445	1996-09-09	VYDAJ	PREVOD NA UCET	668	32984	 	AB	68283045
425423	1445	1996-10-09	VYDAJ	PREVOD NA UCET	668	26544	 	AB	68283045
425424	1445	1996-11-09	VYDAJ	PREVOD NA UCET	668	28867	 	AB	68283045
425425	1445	1996-12-09	VYDAJ	PREVOD NA UCET	668	28228	 	AB	68283045
425426	1445	1997-01-09	VYDAJ	PREVOD NA UCET	668	18950	 	AB	68283045
425427	1445	1997-02-09	VYDAJ	PREVOD NA UCET	668	23030	 	AB	68283045
425428	1445	1997-03-09	VYDAJ	PREVOD NA UCET	668	24282	 	AB	68283045
425429	1445	1997-04-09	VYDAJ	PREVOD NA UCET	668	30439	 	AB	68283045
425430	1445	1997-05-09	VYDAJ	PREVOD NA UCET	668	32004	 	AB	68283045
425431	1445	1997-06-09	VYDAJ	PREVOD NA UCET	668	34473	 	AB	68283045
425432	1445	1997-07-09	VYDAJ	PREVOD NA UCET	668	30828	 	AB	68283045
425433	1445	1997-08-09	VYDAJ	PREVOD NA UCET	668	30220	 	AB	68283045
425434	1445	1997-09-09	VYDAJ	PREVOD NA UCET	668	27584	 	AB	68283045
425435	1445	1997-10-09	VYDAJ	PREVOD NA UCET	668	26038	 	AB	68283045
425436	1445	1997-11-09	VYDAJ	PREVOD NA UCET	668	28325	 	AB	68283045
425437	1445	1997-12-09	VYDAJ	PREVOD NA UCET	668	31196	 	AB	68283045
425438	1445	1998-01-09	VYDAJ	PREVOD NA UCET	668	29721	 	AB	68283045
425439	1445	1998-02-09	VYDAJ	PREVOD NA UCET	668	27094	 	AB	68283045
425440	1445	1998-03-09	VYDAJ	PREVOD NA UCET	668	26265	 	AB	68283045
425441	1445	1998-04-09	VYDAJ	PREVOD NA UCET	668	30191	 	AB	68283045
425442	1445	1998-05-09	VYDAJ	PREVOD NA UCET	668	28452	 	AB	68283045
425443	1445	1998-06-09	VYDAJ	PREVOD NA UCET	668	29103	 	AB	68283045
425444	1445	1998-07-09	VYDAJ	PREVOD NA UCET	668	22485	 	AB	68283045
425445	1445	1998-08-09	VYDAJ	PREVOD NA UCET	668	19123	 	AB	68283045
425446	1445	1998-09-09	VYDAJ	PREVOD NA UCET	668	18314	 	AB	68283045
425447	1445	1998-10-09	VYDAJ	PREVOD NA UCET	668	19251	 	AB	68283045
425448	1445	1998-11-09	VYDAJ	PREVOD NA UCET	668	20571	 	AB	68283045
425449	1445	1998-12-09	VYDAJ	PREVOD NA UCET	668	19990	 	AB	68283045
425457	1445	1996-08-09	VYDAJ	PREVOD NA UCET	1075	35479	POJISTNE	EF	22041118
425458	1445	1996-09-09	VYDAJ	PREVOD NA UCET	1075	33652	POJISTNE	EF	22041118
425459	1445	1996-10-09	VYDAJ	PREVOD NA UCET	1075	27212	POJISTNE	EF	22041118
425460	1445	1996-11-09	VYDAJ	PREVOD NA UCET	1075	27792	POJISTNE	EF	22041118
425461	1445	1996-12-09	VYDAJ	PREVOD NA UCET	1075	28896	POJISTNE	EF	22041118
425462	1445	1997-01-09	VYDAJ	PREVOD NA UCET	1075	19618	POJISTNE	EF	22041118
425463	1445	1997-02-09	VYDAJ	PREVOD NA UCET	1075	21955	POJISTNE	EF	22041118
425464	1445	1997-03-09	VYDAJ	PREVOD NA UCET	1075	24950	POJISTNE	EF	22041118
425465	1445	1997-04-09	VYDAJ	PREVOD NA UCET	1075	31107	POJISTNE	EF	22041118
425466	1445	1997-05-09	VYDAJ	PREVOD NA UCET	1075	32672	POJISTNE	EF	22041118
425467	1445	1997-06-09	VYDAJ	PREVOD NA UCET	1075	35141	POJISTNE	EF	22041118
425468	1445	1997-07-09	VYDAJ	PREVOD NA UCET	1075	29753	POJISTNE	EF	22041118
425469	1445	1997-08-09	VYDAJ	PREVOD NA UCET	1075	30888	POJISTNE	EF	22041118
425470	1445	1997-09-09	VYDAJ	PREVOD NA UCET	1075	26509	POJISTNE	EF	22041118
425471	1445	1997-10-09	VYDAJ	PREVOD NA UCET	1075	24963	POJISTNE	EF	22041118
425472	1445	1997-11-09	VYDAJ	PREVOD NA UCET	1075	27250	POJISTNE	EF	22041118
425473	1445	1997-12-09	VYDAJ	PREVOD NA UCET	1075	31864	POJISTNE	EF	22041118
425474	1445	1998-01-09	VYDAJ	PREVOD NA UCET	1075	30389	POJISTNE	EF	22041118
425475	1445	1998-02-09	VYDAJ	PREVOD NA UCET	1075	26019	POJISTNE	EF	22041118
425476	1445	1998-03-09	VYDAJ	PREVOD NA UCET	1075	26933	POJISTNE	EF	22041118
425477	1445	1998-04-09	VYDAJ	PREVOD NA UCET	1075	29116	POJISTNE	EF	22041118
425478	1445	1998-05-09	VYDAJ	PREVOD NA UCET	1075	27377	POJISTNE	EF	22041118
425479	1445	1998-06-09	VYDAJ	PREVOD NA UCET	1075	28028	POJISTNE	EF	22041118
425480	1445	1998-07-09	VYDAJ	PREVOD NA UCET	1075	23153	POJISTNE	EF	22041118
425481	1445	1998-08-09	VYDAJ	PREVOD NA UCET	1075	19791	POJISTNE	EF	22041118
425482	1445	1998-09-09	VYDAJ	PREVOD NA UCET	1075	17239	POJISTNE	EF	22041118
425483	1445	1998-10-09	VYDAJ	PREVOD NA UCET	1075	19919	POJISTNE	EF	22041118
425484	1445	1998-11-09	VYDAJ	PREVOD NA UCET	1075	21239	POJISTNE	EF	22041118
425485	1445	1998-12-09	VYDAJ	PREVOD NA UCET	1075	20658	POJISTNE	EF	22041118
425493	1445	1996-08-11	VYDAJ	PREVOD NA UCET	1420	33391	 	IJ	82043331
425494	1445	1996-09-11	VYDAJ	PREVOD NA UCET	1420	31564	 	IJ	82043331
425495	1445	1996-10-11	VYDAJ	PREVOD NA UCET	1420	25124	 	IJ	82043331
425496	1445	1996-11-11	VYDAJ	PREVOD NA UCET	1420	26372	 	IJ	82043331
425497	1445	1996-12-11	VYDAJ	PREVOD NA UCET	1420	21908	 	IJ	82043331
425498	1445	1997-01-11	VYDAJ	PREVOD NA UCET	1420	20130	 	IJ	82043331
425499	1445	1997-02-11	VYDAJ	PREVOD NA UCET	1420	20535	 	IJ	82043331
425500	1445	1997-03-11	VYDAJ	PREVOD NA UCET	1420	26662	 	IJ	82043331
425501	1445	1997-04-11	VYDAJ	PREVOD NA UCET	1420	28219	 	IJ	82043331
425502	1445	1997-05-11	VYDAJ	PREVOD NA UCET	1420	31084	 	IJ	82043331
425503	1445	1997-06-11	VYDAJ	PREVOD NA UCET	1420	33053	 	IJ	82043331
425504	1445	1997-07-11	VYDAJ	PREVOD NA UCET	1420	28333	 	IJ	82043331
425505	1445	1997-08-11	VYDAJ	PREVOD NA UCET	1420	28800	 	IJ	82043331
425506	1445	1997-09-11	VYDAJ	PREVOD NA UCET	1420	25089	 	IJ	82043331
425507	1445	1997-10-11	VYDAJ	PREVOD NA UCET	1420	23543	 	IJ	82043331
425508	1445	1997-11-11	VYDAJ	PREVOD NA UCET	1420	25830	 	IJ	82043331
425509	1445	1997-12-11	VYDAJ	PREVOD NA UCET	1420	29776	 	IJ	82043331
425510	1445	1998-01-11	VYDAJ	PREVOD NA UCET	1420	28301	 	IJ	82043331
425511	1445	1998-02-11	VYDAJ	PREVOD NA UCET	1420	24599	 	IJ	82043331
425512	1445	1998-03-11	VYDAJ	PREVOD NA UCET	1420	24845	 	IJ	82043331
425513	1445	1998-04-11	VYDAJ	PREVOD NA UCET	1420	27696	 	IJ	82043331
425514	1445	1998-05-11	VYDAJ	PREVOD NA UCET	1420	25957	 	IJ	82043331
425515	1445	1998-06-11	VYDAJ	PREVOD NA UCET	1420	26608	 	IJ	82043331
425516	1445	1998-07-11	VYDAJ	PREVOD NA UCET	1420	21065	 	IJ	82043331
425517	1445	1998-08-11	VYDAJ	PREVOD NA UCET	1420	17703	 	IJ	82043331
425518	1445	1998-09-11	VYDAJ	PREVOD NA UCET	1420	15819	 	IJ	82043331
425519	1445	1998-10-11	VYDAJ	PREVOD NA UCET	1420	17831	 	IJ	82043331
425520	1445	1998-11-11	VYDAJ	PREVOD NA UCET	1420	19151	 	IJ	82043331
425521	1445	1998-12-11	VYDAJ	PREVOD NA UCET	1420	18570	 	IJ	82043331
425528	1445	1996-12-25	VYDAJ	VYBER	1920	19988	\N	\N	\N
425529	1445	1997-12-16	VYDAJ	VYBER	1920	27856	\N	\N	\N
425530	1445	1998-12-29	VYDAJ	VYBER	1280	15370	\N	\N	\N
425537	1445	1997-01-24	VYDAJ	VYBER	720	15930	\N	\N	\N
425538	1445	1997-01-05	VYDAJ	VYBER	1440	17267	\N	\N	\N
425539	1445	1997-01-26	VYDAJ	VYBER	960	14010	\N	\N	\N
425540	1445	1997-01-25	VYDAJ	VYBER	960	14970	\N	\N	\N
425541	1445	1997-01-07	VYDAJ	VYBER	3360	20693	\N	\N	\N
425542	1445	1997-01-21	VYDAJ	VYBER	3480	16650	\N	\N	\N
425543	1445	1998-01-03	VYDAJ	VYBER	1680	26279	\N	\N	\N
425544	1445	1998-01-27	VYDAJ	VYBER	600	25541	\N	\N	\N
425545	1445	1998-01-03	VYDAJ	VYBER	1440	24839	\N	\N	\N
425546	1445	1998-01-26	VYDAJ	VYBER	1200	26141	\N	\N	\N
425547	1445	1998-01-29	VYDAJ	VYBER	2760	17741	\N	\N	\N
425548	1445	1998-01-21	VYDAJ	VYBER	960	27341	\N	\N	\N
425552	1445	1996-09-28	VYDAJ	VYBER	2400	22764	\N	\N	\N
425553	1445	1997-07-07	VYDAJ	VYBER	3240	31396	\N	\N	\N
425554	1445	1997-09-01	VYDAJ	VYBER	5280	23627	\N	\N	\N
425555	1445	1997-06-20	VYDAJ	VYBER	3960	29093	\N	\N	\N
425556	1445	1997-10-24	VYDAJ	VYBER	2160	21383	\N	\N	\N
425557	1445	1998-08-19	VYDAJ	VYBER	3600	14103	\N	\N	\N
425558	1445	1998-12-21	VYDAJ	VYBER	1920	16650	\N	\N	\N
425559	1445	1998-01-27	VYDAJ	VYBER	5040	20501	\N	\N	\N
425568	1445	1996-08-31	VYDAJ	VYBER	15	29302	SLUZBY	\N	\N
425569	1445	1996-09-30	VYDAJ	VYBER	15	22862	SLUZBY	\N	\N
425570	1445	1996-10-31	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
425571	1445	1996-11-30	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
425572	1445	1996-12-31	VYDAJ	VYBER	15	20068	SLUZBY	\N	\N
425573	1445	1997-01-31	VYDAJ	VYBER	15	14073	SLUZBY	\N	\N
425574	1445	1997-02-28	VYDAJ	VYBER	15	20600	SLUZBY	\N	\N
425575	1445	1997-03-31	VYDAJ	VYBER	15	26757	SLUZBY	\N	\N
425576	1445	1997-04-30	VYDAJ	VYBER	15	28322	SLUZBY	\N	\N
425577	1445	1997-05-31	VYDAJ	VYBER	15	31198	SLUZBY	\N	\N
425578	1445	1997-06-30	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
425579	1445	1997-07-31	VYDAJ	VYBER	15	28438	SLUZBY	\N	\N
425580	1445	1997-08-31	VYDAJ	VYBER	15	28907	SLUZBY	\N	\N
425581	1445	1997-09-30	VYDAJ	VYBER	15	25181	SLUZBY	\N	\N
425582	1445	1997-10-31	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
425583	1445	1997-11-30	VYDAJ	VYBER	15	25921	SLUZBY	\N	\N
425584	1445	1997-12-31	VYDAJ	VYBER	15	27959	SLUZBY	\N	\N
425585	1445	1998-01-31	VYDAJ	VYBER	15	17837	SLUZBY	\N	\N
425586	1445	1998-02-28	VYDAJ	VYBER	15	24683	SLUZBY	\N	\N
425587	1445	1998-03-31	VYDAJ	VYBER	15	24934	SLUZBY	\N	\N
425588	1445	1998-04-30	VYDAJ	VYBER	15	27795	SLUZBY	\N	\N
425589	1445	1998-05-31	VYDAJ	VYBER	15	26053	SLUZBY	\N	\N
425590	1445	1998-06-30	VYDAJ	VYBER	15	26703	SLUZBY	\N	\N
425591	1445	1998-07-31	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
425592	1445	1998-08-31	VYDAJ	VYBER	15	14157	SLUZBY	\N	\N
425593	1445	1998-09-30	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
425594	1445	1998-10-31	VYDAJ	VYBER	15	17889	SLUZBY	\N	\N
425595	1445	1998-11-30	VYDAJ	VYBER	15	19215	SLUZBY	\N	\N
425596	1445	1996-04-15	PRIJEM	VKLAD	6500	14186	\N	\N	\N
425597	1445	1996-05-15	PRIJEM	VKLAD	300	21304	\N	\N	\N
425598	1445	1996-06-14	VYDAJ	VYBER	3800	27758	\N	\N	\N
425599	1445	1996-07-14	VYDAJ	VYBER	5000	29648	\N	\N	\N
425600	1445	1996-08-13	VYDAJ	VYBER	4200	29191	\N	\N	\N
425601	1445	1996-09-12	VYDAJ	VYBER	6400	25164	\N	\N	\N
425602	1445	1996-10-12	VYDAJ	VYBER	1100	24024	\N	\N	\N
425603	1445	1996-11-11	VYDAJ	VYBER	5300	21072	\N	\N	\N
425604	1445	1996-12-11	VYDAJ	VYBER	4900	23328	\N	\N	\N
425605	1445	1997-01-10	PRIJEM	VKLAD	2600	21550	\N	\N	\N
425606	1445	1997-02-09	PRIJEM	VKLAD	4200	23698	\N	\N	\N
425607	1445	1997-03-11	PRIJEM	VKLAD	3800	28082	\N	\N	\N
425608	1445	1997-04-10	VYDAJ	VYBER	800	29639	\N	\N	\N
425609	1445	1997-05-10	PRIJEM	VKLAD	500	32504	\N	\N	\N
425610	1445	1997-06-09	VYDAJ	VYBER	3800	36216	\N	\N	\N
425611	1445	1997-07-09	PRIJEM	VKLAD	100	31496	\N	\N	\N
425612	1445	1997-08-08	VYDAJ	VYBER	1900	31963	\N	\N	\N
425613	1445	1997-09-07	VYDAJ	VYBER	800	28252	\N	\N	\N
425614	1445	1997-10-07	VYDAJ	VYBER	3900	26706	\N	\N	\N
425615	1445	1997-11-06	PRIJEM	VKLAD	2100	22207	\N	\N	\N
425616	1445	1997-12-06	VYDAJ	VYBER	1800	22760	\N	\N	\N
425617	1445	1998-01-05	PRIJEM	VKLAD	1200	26039	\N	\N	\N
425618	1445	1998-02-04	PRIJEM	VKLAD	4500	22337	\N	\N	\N
425619	1445	1998-03-06	VYDAJ	VYBER	2100	21222	\N	\N	\N
425620	1445	1998-04-05	PRIJEM	VKLAD	500	25434	\N	\N	\N
425621	1445	1998-05-05	VYDAJ	VYBER	4100	22334	\N	\N	\N
425622	1445	1998-06-04	VYDAJ	VYBER	5100	20953	\N	\N	\N
425623	1445	1998-07-04	VYDAJ	VYBER	7900	18803	\N	\N	\N
425624	1445	1998-08-03	VYDAJ	VYBER	5700	15441	\N	\N	\N
425625	1445	1998-09-02	VYDAJ	VYBER	600	13557	\N	\N	\N
425626	1445	1998-10-02	VYDAJ	VYBER	300	15569	\N	\N	\N
425627	1445	1998-11-01	VYDAJ	VYBER	1000	16889	\N	\N	\N
425628	1445	1998-12-01	VYDAJ	VYBER	6300	12915	\N	\N	\N
425662	1446	1995-01-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
425664	1446	1995-02-08	PRIJEM	VKLAD	17853	18953	\N	\N	\N
425665	1446	1995-03-08	PRIJEM	VKLAD	17853	38142	\N	\N	\N
425666	1446	1995-04-08	PRIJEM	VKLAD	17853	47095	\N	\N	\N
425667	1446	1995-05-08	PRIJEM	VKLAD	17853	53180	\N	\N	\N
425668	1446	1995-06-08	PRIJEM	VKLAD	26780	67918	\N	\N	\N
425669	1446	1995-07-08	PRIJEM	VKLAD	17853	48864	\N	\N	\N
425670	1446	1995-08-08	PRIJEM	VKLAD	17853	51172	\N	\N	\N
425671	1446	1995-09-08	PRIJEM	VKLAD	17853	55792	\N	\N	\N
425672	1446	1995-10-08	PRIJEM	VKLAD	17853	50011	\N	\N	\N
425673	1446	1995-11-08	PRIJEM	VKLAD	17853	57632	\N	\N	\N
425674	1446	1995-12-08	PRIJEM	VKLAD	26780	65598	\N	\N	\N
425675	1446	1996-01-08	PRIJEM	VKLAD	17853	59348	\N	\N	\N
425676	1446	1996-02-08	PRIJEM	VKLAD	17853	50780	\N	\N	\N
425677	1446	1996-03-08	PRIJEM	VKLAD	17853	55293	\N	\N	\N
425678	1446	1996-04-08	PRIJEM	VKLAD	17853	55618	\N	\N	\N
425679	1446	1996-05-08	PRIJEM	VKLAD	17853	54449	\N	\N	\N
425680	1446	1996-06-08	PRIJEM	VKLAD	26780	69610	\N	\N	\N
425681	1446	1996-07-08	PRIJEM	VKLAD	17853	58861	\N	\N	\N
425682	1446	1996-08-08	PRIJEM	VKLAD	17853	64209	\N	\N	\N
425683	1446	1996-09-08	PRIJEM	VKLAD	17853	67587	\N	\N	\N
425684	1446	1996-10-08	PRIJEM	VKLAD	17853	59633	\N	\N	\N
425685	1446	1996-11-08	PRIJEM	VKLAD	17853	59269	\N	\N	\N
425686	1446	1996-12-08	PRIJEM	VKLAD	26780	72043	\N	\N	\N
425687	1446	1997-01-08	PRIJEM	VKLAD	17853	59306	\N	\N	\N
425688	1446	1997-02-08	PRIJEM	VKLAD	17853	60352	\N	\N	\N
425689	1446	1997-03-08	PRIJEM	VKLAD	17853	73532	\N	\N	\N
425690	1446	1997-04-08	PRIJEM	VKLAD	17853	70327	\N	\N	\N
425691	1446	1997-05-08	PRIJEM	VKLAD	17853	75050	\N	\N	\N
425692	1446	1997-06-08	PRIJEM	VKLAD	26780	88627	\N	\N	\N
425693	1446	1997-07-08	PRIJEM	VKLAD	17853	79221	\N	\N	\N
425694	1446	1997-08-08	PRIJEM	VKLAD	17853	83595	\N	\N	\N
425695	1446	1997-09-08	PRIJEM	VKLAD	17853	84478	\N	\N	\N
425696	1446	1997-10-08	PRIJEM	VKLAD	17853	82570	\N	\N	\N
425697	1446	1997-11-08	PRIJEM	VKLAD	17853	81057	\N	\N	\N
425698	1446	1997-12-08	PRIJEM	VKLAD	26780	89265	\N	\N	\N
425699	1446	1998-01-08	PRIJEM	VKLAD	17853	76169	\N	\N	\N
425700	1446	1998-02-08	PRIJEM	VKLAD	17853	75805	\N	\N	\N
425701	1446	1998-03-08	PRIJEM	VKLAD	17853	78351	\N	\N	\N
425702	1446	1998-04-08	PRIJEM	VKLAD	17853	82715	\N	\N	\N
425703	1446	1998-05-08	PRIJEM	VKLAD	17853	85096	\N	\N	\N
425704	1446	1998-06-08	PRIJEM	VKLAD	26780	90016	\N	\N	\N
425705	1446	1998-07-08	PRIJEM	VKLAD	17853	82607	\N	\N	\N
425706	1446	1998-08-08	PRIJEM	VKLAD	17853	81589	\N	\N	\N
425707	1446	1998-09-08	PRIJEM	VKLAD	17853	78749	\N	\N	\N
425708	1446	1998-10-08	PRIJEM	VKLAD	17853	81704	\N	\N	\N
425709	1446	1998-11-08	PRIJEM	VKLAD	17853	89665	\N	\N	\N
425710	1446	1998-12-08	PRIJEM	VKLAD	26780	99182	\N	\N	\N
425716	1446	1995-06-10	VYDAJ	PREVOD NA UCET	4877	63041	SIPO	GH	83373719
425717	1446	1995-07-10	VYDAJ	PREVOD NA UCET	4877	43987	SIPO	GH	83373719
425718	1446	1995-08-10	VYDAJ	PREVOD NA UCET	4877	46295	SIPO	GH	83373719
425719	1446	1995-09-10	VYDAJ	PREVOD NA UCET	4877	50915	SIPO	GH	83373719
425720	1446	1995-10-10	VYDAJ	PREVOD NA UCET	4877	45134	SIPO	GH	83373719
425721	1446	1995-11-10	VYDAJ	PREVOD NA UCET	4877	52755	SIPO	GH	83373719
425722	1446	1995-12-10	VYDAJ	PREVOD NA UCET	4877	60721	SIPO	GH	83373719
425723	1446	1996-01-10	VYDAJ	PREVOD NA UCET	4877	54471	SIPO	GH	83373719
425724	1446	1996-02-10	VYDAJ	PREVOD NA UCET	4877	45903	SIPO	GH	83373719
425725	1446	1996-03-10	VYDAJ	PREVOD NA UCET	4877	50416	SIPO	GH	83373719
425726	1446	1996-04-10	VYDAJ	PREVOD NA UCET	4877	50741	SIPO	GH	83373719
425727	1446	1996-05-10	VYDAJ	PREVOD NA UCET	4877	49572	SIPO	GH	83373719
425728	1446	1996-06-10	VYDAJ	PREVOD NA UCET	4877	64733	SIPO	GH	83373719
425729	1446	1996-07-10	VYDAJ	PREVOD NA UCET	4877	53984	SIPO	GH	83373719
425730	1446	1996-08-10	VYDAJ	PREVOD NA UCET	4877	49532	SIPO	GH	83373719
425731	1446	1996-09-10	VYDAJ	PREVOD NA UCET	4877	44910	SIPO	GH	83373719
425732	1446	1996-10-10	VYDAJ	PREVOD NA UCET	4877	41856	SIPO	GH	83373719
425733	1446	1996-11-10	VYDAJ	PREVOD NA UCET	4877	45092	SIPO	GH	83373719
425734	1446	1996-12-10	VYDAJ	PREVOD NA UCET	4877	51566	SIPO	GH	83373719
425735	1446	1997-01-10	VYDAJ	PREVOD NA UCET	4877	45929	SIPO	GH	83373719
425736	1446	1997-02-10	VYDAJ	PREVOD NA UCET	4877	55475	SIPO	GH	83373719
425737	1446	1997-03-10	VYDAJ	PREVOD NA UCET	4877	54555	SIPO	GH	83373719
425738	1446	1997-04-10	VYDAJ	PREVOD NA UCET	4877	65450	SIPO	GH	83373719
425739	1446	1997-05-10	VYDAJ	PREVOD NA UCET	4877	70173	SIPO	GH	83373719
425740	1446	1997-06-10	VYDAJ	PREVOD NA UCET	4877	83750	SIPO	GH	83373719
425741	1446	1997-07-10	VYDAJ	PREVOD NA UCET	4877	74344	SIPO	GH	83373719
425742	1446	1997-08-10	VYDAJ	PREVOD NA UCET	4877	78718	SIPO	GH	83373719
425743	1446	1997-09-10	VYDAJ	PREVOD NA UCET	4877	79601	SIPO	GH	83373719
425744	1446	1997-10-10	VYDAJ	PREVOD NA UCET	4877	77693	SIPO	GH	83373719
425745	1446	1997-11-10	VYDAJ	PREVOD NA UCET	4877	76180	SIPO	GH	83373719
425746	1446	1997-12-10	VYDAJ	PREVOD NA UCET	4877	84388	SIPO	GH	83373719
425747	1446	1998-01-10	VYDAJ	PREVOD NA UCET	4877	68892	SIPO	GH	83373719
425748	1446	1998-02-10	VYDAJ	PREVOD NA UCET	4877	70928	SIPO	GH	83373719
425749	1446	1998-03-10	VYDAJ	PREVOD NA UCET	4877	73474	SIPO	GH	83373719
425750	1446	1998-04-10	VYDAJ	PREVOD NA UCET	4877	77838	SIPO	GH	83373719
425751	1446	1998-05-10	VYDAJ	PREVOD NA UCET	4877	80219	SIPO	GH	83373719
425752	1446	1998-06-10	VYDAJ	PREVOD NA UCET	4877	85139	SIPO	GH	83373719
425753	1446	1998-07-10	VYDAJ	PREVOD NA UCET	4877	77730	SIPO	GH	83373719
425754	1446	1998-08-10	VYDAJ	PREVOD NA UCET	4877	76712	SIPO	GH	83373719
425755	1446	1998-09-10	VYDAJ	PREVOD NA UCET	4877	73872	SIPO	GH	83373719
425756	1446	1998-10-10	VYDAJ	PREVOD NA UCET	4877	76827	SIPO	GH	83373719
425757	1446	1998-11-10	VYDAJ	PREVOD NA UCET	4877	84788	SIPO	GH	83373719
425758	1446	1998-12-10	VYDAJ	PREVOD NA UCET	4877	94305	SIPO	GH	83373719
425759	1446	1995-06-23	VYDAJ	VYBER	14900	30841	\N	\N	\N
425760	1446	1996-06-23	VYDAJ	VYBER	8600	40833	\N	\N	\N
425761	1446	1997-06-26	VYDAJ	VYBER	5100	78650	\N	\N	\N
425762	1446	1998-06-12	VYDAJ	VYBER	7500	77639	\N	\N	\N
425764	1446	1996-01-16	VYDAJ	VYBER	1200	37171	\N	\N	\N
425765	1446	1997-01-08	VYDAJ	VYBER	8500	50806	\N	\N	\N
425766	1446	1998-01-07	VYDAJ	VYBER	7800	58316	\N	\N	\N
425767	1446	1995-12-25	VYDAJ	VYBER	2700	43721	\N	\N	\N
425768	1446	1996-12-18	VYDAJ	VYBER KARTOU	1200	45766	\N	\N	0
425769	1446	1997-12-22	VYDAJ	VYBER KARTOU	1000	83388	\N	\N	0
425770	1446	1998-12-12	VYDAJ	VYBER KARTOU	900	93405	\N	\N	0
425777	1446	1996-01-07	VYDAJ	VYBER	2400	41495	\N	\N	\N
425778	1446	1996-01-13	VYDAJ	VYBER	2200	39171	\N	\N	\N
425779	1446	1996-01-22	VYDAJ	VYBER	2200	34971	\N	\N	\N
425780	1446	1996-01-26	VYDAJ	VYBER	1400	32771	\N	\N	\N
425781	1446	1996-01-15	VYDAJ	VYBER	800	38371	\N	\N	\N
425782	1446	1996-01-23	VYDAJ	VYBER	800	34171	\N	\N	\N
425783	1446	1997-01-03	VYDAJ	VYBER KARTOU	1000	42853	\N	\N	0
425784	1446	1997-01-13	VYDAJ	VYBER KARTOU	500	44029	\N	\N	0
425785	1446	1997-01-12	VYDAJ	VYBER KARTOU	1400	44529	\N	\N	0
425786	1446	1997-01-05	VYDAJ	VYBER KARTOU	900	41953	\N	\N	0
425787	1446	1997-01-29	VYDAJ	VYBER KARTOU	600	43429	\N	\N	0
425788	1446	1997-01-03	VYDAJ	VYBER KARTOU	2100	43853	\N	\N	0
425789	1446	1998-01-19	VYDAJ	VYBER KARTOU	600	64392	\N	\N	0
425790	1446	1998-01-18	VYDAJ	VYBER KARTOU	2800	64992	\N	\N	0
425791	1446	1998-01-08	VYDAJ	VYBER KARTOU	2400	73769	\N	\N	0
425792	1446	1998-01-16	VYDAJ	VYBER KARTOU	1100	67792	\N	\N	0
425793	1446	1998-01-25	VYDAJ	VYBER KARTOU	2600	61792	\N	\N	0
425794	1446	1998-01-30	VYDAJ	VYBER KARTOU	1400	60392	\N	\N	0
425795	1446	1995-09-18	VYDAJ	VYBER	4000	32015	\N	\N	\N
425796	1446	1995-09-15	VYDAJ	VYBER	4700	36015	\N	\N	\N
425798	1446	1995-11-28	VYDAJ	VYBER	3600	38655	\N	\N	\N
425802	1446	1996-03-19	VYDAJ	VYBER	1900	37616	\N	\N	\N
425803	1446	1996-04-30	VYDAJ	VYBER	3600	36611	\N	\N	\N
425804	1446	1996-04-29	VYDAJ	VYBER	1600	40041	\N	\N	\N
425805	1446	1996-11-05	VYDAJ	VYBER KARTOU	600	41416	\N	\N	0
425806	1446	1996-09-13	VYDAJ	VYBER	3300	41610	\N	\N	\N
425807	1446	1996-12-16	VYDAJ	VYBER	4600	46966	\N	\N	\N
425808	1446	1997-04-05	VYDAJ	VYBER KARTOU	700	54074	\N	\N	0
425809	1446	1997-06-30	VYDAJ	VYBER KARTOU	2200	76768	\N	\N	0
425810	1446	1997-08-11	VYDAJ	VYBER KARTOU	800	77918	\N	\N	0
425811	1446	1998-01-02	VYDAJ	VYBER KARTOU	3600	66116	\N	\N	0
425812	1446	1998-09-03	VYDAJ	VYBER KARTOU	3100	60896	\N	\N	0
425819	1446	1995-06-30	VYDAJ	VYBER	15	31011	SLUZBY	\N	\N
425820	1446	1995-07-31	VYDAJ	VYBER	15	33319	SLUZBY	\N	\N
425821	1446	1995-08-31	VYDAJ	VYBER	15	37939	SLUZBY	\N	\N
425822	1446	1995-09-30	VYDAJ	VYBER	15	32158	SLUZBY	\N	\N
425823	1446	1995-10-31	VYDAJ	VYBER	15	39779	SLUZBY	\N	\N
425824	1446	1995-11-30	VYDAJ	VYBER	15	38818	SLUZBY	\N	\N
425825	1446	1995-12-31	VYDAJ	VYBER	15	43895	SLUZBY	\N	\N
425826	1446	1996-01-31	VYDAJ	VYBER	15	32927	SLUZBY	\N	\N
425827	1446	1996-02-29	VYDAJ	VYBER	15	37440	SLUZBY	\N	\N
425828	1446	1996-03-31	VYDAJ	VYBER	15	37765	SLUZBY	\N	\N
425829	1446	1996-04-30	VYDAJ	VYBER	15	36596	SLUZBY	\N	\N
425830	1446	1996-05-31	VYDAJ	VYBER	15	42830	SLUZBY	\N	\N
425831	1446	1996-06-30	VYDAJ	VYBER	15	41008	SLUZBY	\N	\N
425832	1446	1996-07-31	VYDAJ	VYBER	15	46356	SLUZBY	\N	\N
425833	1446	1996-08-31	VYDAJ	VYBER	15	49734	SLUZBY	\N	\N
425834	1446	1996-09-30	VYDAJ	VYBER	15	41780	SLUZBY	\N	\N
425835	1446	1996-10-31	VYDAJ	VYBER	15	42016	SLUZBY	\N	\N
425836	1446	1996-11-30	VYDAJ	VYBER	15	45263	SLUZBY	\N	\N
425837	1446	1996-12-31	VYDAJ	VYBER	15	45953	SLUZBY	\N	\N
425838	1446	1997-01-31	VYDAJ	VYBER	15	43599	SLUZBY	\N	\N
425839	1446	1997-02-28	VYDAJ	VYBER	15	55679	SLUZBY	\N	\N
425840	1446	1997-03-31	VYDAJ	VYBER	15	54774	SLUZBY	\N	\N
425841	1446	1997-04-30	VYDAJ	VYBER	15	65697	SLUZBY	\N	\N
425842	1446	1997-05-31	VYDAJ	VYBER	15	70447	SLUZBY	\N	\N
425843	1446	1997-06-30	VYDAJ	VYBER	15	78968	SLUZBY	\N	\N
425844	1446	1997-07-31	VYDAJ	VYBER	15	74642	SLUZBY	\N	\N
425845	1446	1997-08-31	VYDAJ	VYBER	15	78225	SLUZBY	\N	\N
425846	1446	1997-09-30	VYDAJ	VYBER	15	79917	SLUZBY	\N	\N
425847	1446	1997-10-31	VYDAJ	VYBER	15	78004	SLUZBY	\N	\N
425848	1446	1997-11-30	VYDAJ	VYBER	15	76485	SLUZBY	\N	\N
425849	1446	1997-12-31	VYDAJ	VYBER	15	83716	SLUZBY	\N	\N
425850	1446	1998-01-31	VYDAJ	VYBER	15	60652	SLUZBY	\N	\N
425851	1446	1998-02-28	VYDAJ	VYBER	15	71198	SLUZBY	\N	\N
425852	1446	1998-03-31	VYDAJ	VYBER	15	73762	SLUZBY	\N	\N
425853	1446	1998-04-30	VYDAJ	VYBER	15	78143	SLUZBY	\N	\N
425854	1446	1998-05-31	VYDAJ	VYBER	15	80536	SLUZBY	\N	\N
425855	1446	1998-06-30	VYDAJ	VYBER	15	77954	SLUZBY	\N	\N
425856	1446	1998-07-31	VYDAJ	VYBER	15	63736	SLUZBY	\N	\N
425857	1446	1998-08-31	VYDAJ	VYBER	15	63996	SLUZBY	\N	\N
425858	1446	1998-09-30	VYDAJ	VYBER	15	63851	SLUZBY	\N	\N
425859	1446	1998-10-31	VYDAJ	VYBER	15	71812	SLUZBY	\N	\N
425860	1446	1998-11-30	VYDAJ	VYBER	15	72402	SLUZBY	\N	\N
425861	1446	1995-02-17	PRIJEM	VKLAD	1300	20253	\N	\N	\N
425862	1446	1995-03-19	VYDAJ	VYBER	9000	29142	\N	\N	\N
425863	1446	1995-04-18	VYDAJ	VYBER	11900	35195	\N	\N	\N
425864	1446	1995-05-18	VYDAJ	VYBER	12200	40980	\N	\N	\N
425865	1446	1995-06-17	VYDAJ	VYBER	17300	45741	\N	\N	\N
425866	1446	1995-07-17	VYDAJ	VYBER	10800	33187	\N	\N	\N
425867	1446	1995-08-16	VYDAJ	VYBER	8500	37795	\N	\N	\N
425868	1446	1995-09-15	VYDAJ	VYBER	10200	40715	\N	\N	\N
425869	1446	1995-10-15	VYDAJ	VYBER	5500	39634	\N	\N	\N
425870	1446	1995-11-14	VYDAJ	VYBER	10500	42255	\N	\N	\N
425871	1446	1995-12-14	VYDAJ	VYBER	14300	46421	\N	\N	\N
425872	1446	1996-01-13	VYDAJ	VYBER	13100	41371	\N	\N	\N
425873	1446	1996-02-12	VYDAJ	VYBER	8600	37303	\N	\N	\N
425874	1446	1996-03-13	VYDAJ	VYBER	10900	39516	\N	\N	\N
425875	1446	1996-04-12	VYDAJ	VYBER	9100	41641	\N	\N	\N
425876	1446	1996-05-12	VYDAJ	VYBER	6900	42672	\N	\N	\N
425877	1446	1996-06-11	VYDAJ	VYBER	15300	49433	\N	\N	\N
425878	1446	1996-07-11	VYDAJ	VYBER	7800	46184	\N	\N	\N
425879	1446	1996-08-10	VYDAJ	VYBER	9800	54409	\N	\N	\N
425880	1446	1996-09-09	VYDAJ	VYBER	17800	49787	\N	\N	\N
425881	1446	1996-10-09	VYDAJ	VYBER	12900	46733	\N	\N	\N
425882	1446	1996-11-08	VYDAJ	VYBER	9300	49969	\N	\N	\N
425883	1446	1996-12-08	VYDAJ	VYBER	15600	56443	\N	\N	\N
425884	1446	1997-01-07	VYDAJ	VYBER KARTOU	500	41453	\N	\N	0
425885	1446	1997-02-06	VYDAJ	VYBER KARTOU	1100	42499	\N	\N	0
425886	1446	1997-03-08	VYDAJ	VYBER	14100	59432	\N	\N	\N
425887	1446	1997-04-07	VYDAJ	VYBER KARTOU	1600	52474	\N	\N	0
425888	1446	1997-05-07	VYDAJ	VYBER	8500	57197	\N	\N	\N
425889	1446	1997-06-06	VYDAJ	VYBER	8600	61847	\N	\N	\N
425890	1446	1997-07-06	VYDAJ	VYBER	15400	61368	\N	\N	\N
425891	1446	1997-08-05	VYDAJ	VYBER	8900	65742	\N	\N	\N
425892	1446	1997-09-04	VYDAJ	VYBER	11600	66625	\N	\N	\N
425893	1446	1997-10-04	VYDAJ	VYBER	15200	64717	\N	\N	\N
425894	1446	1997-11-03	VYDAJ	VYBER	14800	63204	\N	\N	\N
425895	1446	1997-12-03	VYDAJ	VYBER	14000	62485	\N	\N	\N
425896	1446	1998-01-02	VYDAJ	VYBER	14000	69716	\N	\N	\N
425897	1446	1998-02-01	VYDAJ	VYBER KARTOU	2700	57952	\N	\N	0
425898	1446	1998-03-03	VYDAJ	VYBER	10700	60498	\N	\N	\N
425899	1446	1998-04-02	VYDAJ	VYBER	8900	64862	\N	\N	\N
425900	1446	1998-05-02	VYDAJ	VYBER	10900	67243	\N	\N	\N
425901	1446	1998-06-01	VYDAJ	VYBER	17300	63236	\N	\N	\N
425902	1446	1998-07-01	VYDAJ	VYBER	13200	64754	\N	\N	\N
425903	1446	1998-07-31	VYDAJ	VYBER	14300	63751	\N	\N	\N
425904	1446	1998-08-30	VYDAJ	VYBER	13000	63712	\N	\N	\N
425905	1446	1998-09-29	VYDAJ	VYBER	10300	63572	\N	\N	\N
425906	1446	1998-10-29	VYDAJ	VYBER	5300	71527	\N	\N	\N
425907	1446	1998-11-28	VYDAJ	VYBER	12700	72088	\N	\N	\N
425955	1447	1997-02-20	PRIJEM	VKLAD	300	300	\N	\N	\N
425958	1447	1997-03-08	PRIJEM	PREVOD Z UCTU	12508	12808	\N	OP	71116220
425959	1447	1997-04-08	PRIJEM	PREVOD Z UCTU	12508	29138	\N	OP	71116220
425960	1447	1997-05-08	PRIJEM	PREVOD Z UCTU	12508	38629	\N	OP	71116220
425961	1447	1997-06-08	PRIJEM	PREVOD Z UCTU	18762	48705	\N	OP	71116220
425962	1447	1997-07-08	PRIJEM	PREVOD Z UCTU	12508	48446	\N	OP	71116220
425963	1447	1997-08-08	PRIJEM	PREVOD Z UCTU	12508	44292	\N	OP	71116220
425964	1447	1997-09-08	PRIJEM	PREVOD Z UCTU	12508	39820	\N	OP	71116220
425965	1447	1997-10-08	PRIJEM	PREVOD Z UCTU	12508	43042	\N	OP	71116220
425966	1447	1997-11-08	PRIJEM	PREVOD Z UCTU	12508	45176	\N	OP	71116220
425967	1447	1997-12-08	PRIJEM	PREVOD Z UCTU	18762	48367	\N	OP	71116220
425968	1447	1998-01-08	PRIJEM	PREVOD Z UCTU	12508	33435	\N	OP	71116220
425969	1447	1998-02-08	PRIJEM	PREVOD Z UCTU	12508	36331	\N	OP	71116220
425970	1447	1998-03-08	PRIJEM	PREVOD Z UCTU	12508	35435	\N	OP	71116220
425971	1447	1998-04-08	PRIJEM	PREVOD Z UCTU	12508	32991	\N	OP	71116220
425972	1447	1998-05-08	PRIJEM	PREVOD Z UCTU	12508	38590	\N	OP	71116220
425973	1447	1998-06-08	PRIJEM	PREVOD Z UCTU	18762	39202	\N	OP	71116220
425974	1447	1998-07-08	PRIJEM	PREVOD Z UCTU	12508	39008	\N	OP	71116220
425975	1447	1998-08-08	PRIJEM	PREVOD Z UCTU	12508	37216	\N	OP	71116220
425976	1447	1998-09-08	PRIJEM	PREVOD Z UCTU	12508	40228	\N	OP	71116220
425977	1447	1998-10-08	PRIJEM	PREVOD Z UCTU	12508	36517	\N	OP	71116220
425978	1447	1998-11-08	PRIJEM	PREVOD Z UCTU	12508	37922	\N	OP	71116220
425979	1447	1998-12-08	PRIJEM	PREVOD Z UCTU	18762	45192	\N	OP	71116220
425986	1447	1997-07-12	VYDAJ	PREVOD NA UCET	2085	38151	UVER	YZ	1155138
425987	1447	1997-08-12	VYDAJ	PREVOD NA UCET	2085	33998	UVER	YZ	1155138
425988	1447	1997-09-12	VYDAJ	PREVOD NA UCET	2085	29525	UVER	YZ	1155138
425989	1447	1997-10-12	VYDAJ	PREVOD NA UCET	2085	32748	UVER	YZ	1155138
425990	1447	1997-11-12	VYDAJ	PREVOD NA UCET	2085	34881	UVER	YZ	1155138
425991	1447	1997-12-12	VYDAJ	PREVOD NA UCET	2085	28130	UVER	YZ	1155138
425992	1447	1998-01-12	VYDAJ	PREVOD NA UCET	2085	23141	UVER	YZ	1155138
425993	1447	1998-02-12	VYDAJ	PREVOD NA UCET	2085	26036	UVER	YZ	1155138
425994	1447	1998-03-12	VYDAJ	PREVOD NA UCET	2085	25140	UVER	YZ	1155138
425995	1447	1998-04-12	VYDAJ	PREVOD NA UCET	2085	22696	UVER	YZ	1155138
425996	1447	1998-05-12	VYDAJ	PREVOD NA UCET	2085	28295	UVER	YZ	1155138
425997	1447	1998-06-12	VYDAJ	PREVOD NA UCET	2085	28907	UVER	YZ	1155138
425998	1447	1998-07-12	VYDAJ	PREVOD NA UCET	2085	28714	UVER	YZ	1155138
425999	1447	1998-08-12	VYDAJ	PREVOD NA UCET	2085	26922	UVER	YZ	1155138
426000	1447	1998-09-12	VYDAJ	PREVOD NA UCET	2085	25217	UVER	YZ	1155138
426001	1447	1998-10-12	VYDAJ	PREVOD NA UCET	2085	26223	UVER	YZ	1155138
426002	1447	1998-11-12	VYDAJ	PREVOD NA UCET	2085	29027	UVER	YZ	1155138
426003	1447	1998-12-12	VYDAJ	PREVOD NA UCET	2085	33797	UVER	YZ	1155138
426010	1447	1997-07-08	VYDAJ	PREVOD NA UCET	8210	40236	SIPO	OP	54932880
426011	1447	1997-08-08	VYDAJ	PREVOD NA UCET	8210	36082	SIPO	OP	54932880
426012	1447	1997-09-08	VYDAJ	PREVOD NA UCET	8210	31610	SIPO	OP	54932880
426013	1447	1997-10-08	VYDAJ	PREVOD NA UCET	8210	34832	SIPO	OP	54932880
426014	1447	1997-11-08	VYDAJ	PREVOD NA UCET	8210	36966	SIPO	OP	54932880
426015	1447	1997-12-08	VYDAJ	PREVOD NA UCET	8210	30214	SIPO	OP	54932880
426016	1447	1998-01-08	VYDAJ	PREVOD NA UCET	8210	25225	SIPO	OP	54932880
426017	1447	1998-02-08	VYDAJ	PREVOD NA UCET	8210	28121	SIPO	OP	54932880
426018	1447	1998-03-08	VYDAJ	PREVOD NA UCET	8210	27225	SIPO	OP	54932880
426019	1447	1998-04-08	VYDAJ	PREVOD NA UCET	8210	24781	SIPO	OP	54932880
426020	1447	1998-05-08	VYDAJ	PREVOD NA UCET	8210	30380	SIPO	OP	54932880
426021	1447	1998-06-08	VYDAJ	PREVOD NA UCET	8210	30992	SIPO	OP	54932880
426022	1447	1998-07-08	VYDAJ	PREVOD NA UCET	8210	30798	SIPO	OP	54932880
426023	1447	1998-08-08	VYDAJ	PREVOD NA UCET	8210	29006	SIPO	OP	54932880
426024	1447	1998-09-08	VYDAJ	PREVOD NA UCET	8210	32018	SIPO	OP	54932880
426025	1447	1998-10-08	VYDAJ	PREVOD NA UCET	8210	28307	SIPO	OP	54932880
426026	1447	1998-11-08	VYDAJ	PREVOD NA UCET	8210	29712	SIPO	OP	54932880
426027	1447	1998-12-08	VYDAJ	PREVOD NA UCET	8210	36982	SIPO	OP	54932880
426031	1447	1997-12-08	VYBER	VYBER	9943	38424	\N	\N	\N
426037	1447	1998-03-29	VYBER	VYBER	2546	20394	\N	\N	\N
426038	1447	1998-05-28	VYBER	VYBER	5549	20346	\N	\N	\N
426044	1447	1998-09-09	VYBER	VYBER	4716	27302	\N	\N	\N
426050	1447	1997-12-20	VYDAJ	VYBER	7500	20830	\N	\N	\N
426051	1447	1998-12-03	VYDAJ	VYBER	2700	26430	\N	\N	\N
426055	1447	1998-12-17	VYDAJ	VYBER	14400	19397	\N	\N	\N
426067	1447	1997-07-31	VYDAJ	VYBER	15	31784	SLUZBY	\N	\N
426068	1447	1997-08-31	VYDAJ	VYBER	15	27312	SLUZBY	\N	\N
426069	1447	1997-09-30	VYDAJ	VYBER	15	30534	SLUZBY	\N	\N
426070	1447	1997-10-31	VYDAJ	VYBER	15	32668	SLUZBY	\N	\N
426071	1447	1997-11-30	VYDAJ	VYBER	15	29605	SLUZBY	\N	\N
426072	1447	1997-12-31	VYDAJ	VYBER	15	20927	SLUZBY	\N	\N
426073	1447	1998-01-31	VYDAJ	VYBER	15	23823	SLUZBY	\N	\N
426074	1447	1998-02-28	VYDAJ	VYBER	15	22927	SLUZBY	\N	\N
426075	1447	1998-03-31	VYDAJ	VYBER	15	20483	SLUZBY	\N	\N
426076	1447	1998-04-30	VYDAJ	VYBER	15	26082	SLUZBY	\N	\N
426077	1447	1998-05-31	VYDAJ	VYBER	15	20440	SLUZBY	\N	\N
426078	1447	1998-06-30	VYDAJ	VYBER	15	26500	SLUZBY	\N	\N
426079	1447	1998-07-31	VYDAJ	VYBER	15	24708	SLUZBY	\N	\N
426080	1447	1998-08-31	VYDAJ	VYBER	15	27720	SLUZBY	\N	\N
426081	1447	1998-09-30	VYDAJ	VYBER	15	24009	SLUZBY	\N	\N
426082	1447	1998-10-31	VYDAJ	VYBER	15	25414	SLUZBY	\N	\N
426083	1447	1998-11-30	VYDAJ	VYBER	15	29130	SLUZBY	\N	\N
426084	1447	1997-03-22	PRIJEM	VKLAD	3800	16608	\N	\N	\N
426085	1447	1997-04-21	VYDAJ	VYBER	3100	26038	\N	\N	\N
426086	1447	1997-05-21	VYDAJ	VYBER	8800	29829	\N	\N	\N
426087	1447	1997-06-20	VYDAJ	VYBER	12900	35805	\N	\N	\N
426088	1447	1997-07-20	VYDAJ	VYBER	6500	31651	\N	\N	\N
426089	1447	1997-08-19	VYDAJ	VYBER	6800	27198	\N	\N	\N
426090	1447	1997-09-18	PRIJEM	VKLAD	900	30425	\N	\N	\N
426091	1447	1997-10-18	VYDAJ	VYBER	200	32548	\N	\N	\N
426092	1447	1997-11-17	VYDAJ	VYBER	5400	29481	\N	\N	\N
426093	1447	1997-12-17	PRIJEM	VKLAD	200	28330	\N	\N	\N
426094	1447	1998-01-16	PRIJEM	VKLAD	600	23741	\N	\N	\N
426095	1447	1998-02-15	VYDAJ	VYBER	3200	22836	\N	\N	\N
426096	1447	1998-03-17	VYDAJ	VYBER	2200	22940	\N	\N	\N
426097	1447	1998-04-16	PRIJEM	VKLAD	3300	25996	\N	\N	\N
426098	1447	1998-05-16	VYDAJ	VYBER	2400	25895	\N	\N	\N
426099	1447	1998-06-15	VYDAJ	VYBER	2500	26407	\N	\N	\N
426100	1447	1998-07-15	VYDAJ	VYBER	4100	24614	\N	\N	\N
426101	1447	1998-08-14	PRIJEM	VKLAD	700	27622	\N	\N	\N
426102	1447	1998-09-13	VYDAJ	VYBER	1300	23917	\N	\N	\N
426103	1447	1998-10-13	VYDAJ	VYBER	900	25323	\N	\N	\N
426104	1447	1998-11-12	PRIJEM	VKLAD	1400	31112	\N	\N	\N
426105	1447	1998-12-12	VYDAJ	VYBER	1100	35882	\N	\N	\N
426128	1448	1995-10-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
426279	1448	1995-11-06	PRIJEM	VKLAD	10100	11200	\N	\N	\N
426280	1448	1995-12-06	PRIJEM	VKLAD	7600	18800	\N	\N	\N
426281	1448	1996-01-05	PRIJEM	VKLAD	100	18900	\N	\N	\N
426282	1448	1996-02-04	PRIJEM	VKLAD	4200	23100	\N	\N	\N
426283	1448	1996-03-05	PRIJEM	VKLAD	500	23600	\N	\N	\N
426284	1448	1996-04-04	PRIJEM	VKLAD	1800	25400	\N	\N	\N
426285	1448	1996-05-04	VYDAJ	VYBER	2600	22800	\N	\N	\N
426286	1448	1996-06-03	PRIJEM	VKLAD	2100	24900	\N	\N	\N
426287	1448	1996-07-03	VYDAJ	VYBER	5100	19800	\N	\N	\N
426288	1448	1996-08-02	VYDAJ	VYBER	3600	16200	\N	\N	\N
426289	1448	1996-09-01	VYDAJ	VYBER	1200	15000	\N	\N	\N
426290	1448	1996-10-01	PRIJEM	VKLAD	1600	16600	\N	\N	\N
426291	1448	1996-10-31	PRIJEM	VKLAD	2000	18600	\N	\N	\N
426292	1448	1996-11-30	PRIJEM	VKLAD	800	19403	\N	\N	\N
426293	1448	1996-12-30	VYDAJ	VYBER	2400	17080	\N	\N	\N
426294	1448	1997-01-29	VYDAJ	VYBER	1200	15958	\N	\N	\N
426295	1448	1997-02-28	VYDAJ	VYBER	400	15721	\N	\N	\N
426296	1448	1997-03-30	PRIJEM	VKLAD	1800	17521	\N	\N	\N
426297	1448	1997-04-29	VYDAJ	VYBER	1600	15998	\N	\N	\N
426298	1448	1997-05-29	VYDAJ	VYBER	4300	11776	\N	\N	\N
426299	1448	1997-06-28	VYDAJ	VYBER	900	10953	\N	\N	\N
426300	1448	1997-08-27	PRIJEM	VKLAD	500	11531	\N	\N	\N
426301	1448	1997-09-26	PRIJEM	VKLAD	3300	14908	\N	\N	\N
426302	1448	1997-10-26	PRIJEM	VKLAD	1200	16186	\N	\N	\N
426303	1448	1997-11-25	VYDAJ	VYBER	1900	14363	\N	\N	\N
426304	1448	1997-12-25	PRIJEM	VKLAD	4700	19141	\N	\N	\N
426305	1448	1998-01-24	VYDAJ	VYBER	2000	17218	\N	\N	\N
426306	1448	1998-02-23	PRIJEM	VKLAD	700	17996	\N	\N	\N
426307	1448	1998-03-25	PRIJEM	VKLAD	3000	21073	\N	\N	\N
426308	1448	1998-04-24	VYDAJ	VYBER	500	20651	\N	\N	\N
426309	1448	1998-05-24	PRIJEM	VKLAD	2700	23428	\N	\N	\N
426310	1448	1998-06-23	PRIJEM	VKLAD	900	24406	\N	\N	\N
426311	1448	1998-07-23	VYDAJ	VYBER	900	23583	\N	\N	\N
426312	1448	1998-08-22	VYDAJ	VYBER	1500	22161	\N	\N	\N
426313	1448	1998-09-21	PRIJEM	VKLAD	4200	26438	\N	\N	\N
426314	1448	1998-10-21	VYDAJ	VYBER	1600	24916	\N	\N	\N
426315	1448	1998-11-20	VYDAJ	VYBER	200	24793	\N	\N	\N
426340	1449	1993-08-26	PRIJEM	VKLAD	800	800	\N	\N	\N
426349	1449	1993-09-08	PRIJEM	VKLAD	4711	5511	\N	\N	\N
426350	1449	1993-10-08	PRIJEM	VKLAD	4711	17533	\N	\N	\N
426351	1449	1993-11-08	PRIJEM	VKLAD	4711	26105	\N	\N	\N
426352	1449	1993-12-08	PRIJEM	VKLAD	7066	32764	\N	\N	\N
426353	1449	1994-01-08	PRIJEM	VKLAD	4711	33685	\N	\N	\N
426354	1449	1994-02-08	PRIJEM	VKLAD	4711	24753	\N	\N	\N
426355	1449	1994-03-08	PRIJEM	VKLAD	4711	26001	\N	\N	\N
426356	1449	1994-04-08	PRIJEM	VKLAD	4711	23357	\N	\N	\N
426357	1449	1994-05-08	PRIJEM	VKLAD	4711	28905	\N	\N	\N
426358	1449	1994-06-08	PRIJEM	VKLAD	7066	30020	\N	\N	\N
426359	1449	1994-07-08	PRIJEM	VKLAD	4711	25585	\N	\N	\N
426360	1449	1994-08-08	PRIJEM	VKLAD	4711	26037	\N	\N	\N
426361	1449	1994-09-08	PRIJEM	VKLAD	4711	23684	\N	\N	\N
426362	1449	1994-10-08	PRIJEM	VKLAD	4711	26829	\N	\N	\N
426363	1449	1994-11-08	PRIJEM	VKLAD	4711	29285	\N	\N	\N
426364	1449	1994-12-08	PRIJEM	VKLAD	7066	32401	\N	\N	\N
426365	1449	1995-01-08	PRIJEM	VKLAD	4711	29468	\N	\N	\N
426366	1449	1995-02-08	PRIJEM	VKLAD	4711	24823	\N	\N	\N
426367	1449	1995-03-08	PRIJEM	VKLAD	4711	29274	\N	\N	\N
426368	1449	1995-04-08	PRIJEM	VKLAD	4711	31941	\N	\N	\N
426369	1449	1995-05-08	PRIJEM	VKLAD	4711	33119	\N	\N	\N
426370	1449	1995-06-08	PRIJEM	VKLAD	7066	39859	\N	\N	\N
426371	1449	1995-07-08	PRIJEM	VKLAD	4711	35660	\N	\N	\N
426372	1449	1995-08-08	PRIJEM	VKLAD	4711	36145	\N	\N	\N
426373	1449	1995-09-08	PRIJEM	VKLAD	4711	39542	\N	\N	\N
426374	1449	1995-10-08	PRIJEM	VKLAD	4711	42252	\N	\N	\N
426375	1449	1995-11-08	PRIJEM	VKLAD	4711	43069	\N	\N	\N
426376	1449	1995-12-08	PRIJEM	VKLAD	7066	42037	\N	\N	\N
426377	1449	1996-01-08	PRIJEM	VKLAD	4711	40051	\N	\N	\N
426378	1449	1996-02-08	PRIJEM	VKLAD	4711	29052	\N	\N	\N
426379	1449	1996-03-08	PRIJEM	VKLAD	4711	35834	\N	\N	\N
426380	1449	1996-04-08	PRIJEM	VKLAD	4711	37229	\N	\N	\N
426381	1449	1996-05-08	PRIJEM	VKLAD	4711	37322	\N	\N	\N
426382	1449	1996-06-08	PRIJEM	VKLAD	7066	45587	\N	\N	\N
426383	1449	1996-07-08	PRIJEM	VKLAD	4711	45310	\N	\N	\N
426384	1449	1996-08-08	PRIJEM	VKLAD	4711	48746	\N	\N	\N
426385	1449	1996-09-08	PRIJEM	VKLAD	4711	50091	\N	\N	\N
426386	1449	1996-10-08	PRIJEM	VKLAD	4711	49137	\N	\N	\N
426387	1449	1996-11-08	PRIJEM	VKLAD	4711	53191	\N	\N	\N
426388	1449	1996-12-08	PRIJEM	VKLAD	7066	52601	\N	\N	\N
426389	1449	1997-01-08	PRIJEM	VKLAD	4711	50549	\N	\N	\N
426390	1449	1997-02-08	PRIJEM	VKLAD	4711	49986	\N	\N	\N
426391	1449	1997-03-08	PRIJEM	VKLAD	4711	51730	\N	\N	\N
426392	1449	1997-04-08	PRIJEM	VKLAD	4711	53680	\N	\N	\N
426393	1449	1997-05-08	PRIJEM	VKLAD	4711	52743	\N	\N	\N
426394	1449	1997-06-08	PRIJEM	VKLAD	7066	52358	\N	\N	\N
426395	1449	1997-07-08	PRIJEM	VKLAD	4711	42609	\N	\N	\N
426396	1449	1997-08-08	PRIJEM	VKLAD	4711	44809	\N	\N	\N
426397	1449	1997-09-08	PRIJEM	VKLAD	4711	46534	\N	\N	\N
426398	1449	1997-10-08	PRIJEM	VKLAD	4711	50460	\N	\N	\N
426399	1449	1997-11-08	PRIJEM	VKLAD	4711	51407	\N	\N	\N
426400	1449	1997-12-08	PRIJEM	VKLAD	7066	55118	\N	\N	\N
426401	1449	1998-01-08	PRIJEM	VKLAD	4711	45667	\N	\N	\N
426402	1449	1998-02-08	PRIJEM	VKLAD	4711	40473	\N	\N	\N
426403	1449	1998-03-08	PRIJEM	VKLAD	4711	44575	\N	\N	\N
426404	1449	1998-04-08	PRIJEM	VKLAD	4711	51098	\N	\N	\N
426405	1449	1998-05-08	PRIJEM	VKLAD	4711	52448	\N	\N	\N
426406	1449	1998-06-08	PRIJEM	VKLAD	7066	54257	\N	\N	\N
426407	1449	1998-07-08	PRIJEM	VKLAD	4711	40168	\N	\N	\N
426408	1449	1998-08-08	PRIJEM	VKLAD	4711	46971	\N	\N	\N
426409	1449	1998-09-08	PRIJEM	VKLAD	4711	52009	\N	\N	\N
426410	1449	1998-10-08	PRIJEM	VKLAD	4711	57567	\N	\N	\N
426411	1449	1998-11-08	PRIJEM	VKLAD	4711	56534	\N	\N	\N
426412	1449	1998-12-08	PRIJEM	VKLAD	7066	63166	\N	\N	\N
426425	1449	1994-01-09	VYDAJ	PREVOD NA UCET	2820	30865	SIPO	KL	82136630
426426	1449	1994-02-09	VYDAJ	PREVOD NA UCET	2820	21933	SIPO	KL	82136630
426427	1449	1994-03-09	VYDAJ	PREVOD NA UCET	2820	23181	SIPO	KL	82136630
426428	1449	1994-04-09	VYDAJ	PREVOD NA UCET	2820	20537	SIPO	KL	82136630
426429	1449	1994-05-09	VYDAJ	PREVOD NA UCET	2820	26085	SIPO	KL	82136630
426430	1449	1994-06-09	VYDAJ	PREVOD NA UCET	2820	27200	SIPO	KL	82136630
426431	1449	1994-07-09	VYDAJ	PREVOD NA UCET	2820	22765	SIPO	KL	82136630
426432	1449	1994-08-09	VYDAJ	PREVOD NA UCET	2820	23217	SIPO	KL	82136630
426433	1449	1994-09-09	VYDAJ	PREVOD NA UCET	2820	20864	SIPO	KL	82136630
426434	1449	1994-10-09	VYDAJ	PREVOD NA UCET	2820	24009	SIPO	KL	82136630
426435	1449	1994-11-09	VYDAJ	PREVOD NA UCET	2820	26465	SIPO	KL	82136630
426436	1449	1994-12-09	VYDAJ	PREVOD NA UCET	2820	29581	SIPO	KL	82136630
426437	1449	1995-01-09	VYDAJ	PREVOD NA UCET	2820	26648	SIPO	KL	82136630
426438	1449	1995-02-09	VYDAJ	PREVOD NA UCET	2820	22003	SIPO	KL	82136630
426439	1449	1995-03-09	VYDAJ	PREVOD NA UCET	2820	26454	SIPO	KL	82136630
426440	1449	1995-04-09	VYDAJ	PREVOD NA UCET	2820	29121	SIPO	KL	82136630
426441	1449	1995-05-09	VYDAJ	PREVOD NA UCET	2820	30299	SIPO	KL	82136630
426442	1449	1995-06-09	VYDAJ	PREVOD NA UCET	2820	37039	SIPO	KL	82136630
426443	1449	1995-07-09	VYDAJ	PREVOD NA UCET	2820	28240	SIPO	KL	82136630
426444	1449	1995-08-09	VYDAJ	PREVOD NA UCET	2820	33325	SIPO	KL	82136630
426445	1449	1995-09-09	VYDAJ	PREVOD NA UCET	2820	36722	SIPO	KL	82136630
426446	1449	1995-10-09	VYDAJ	PREVOD NA UCET	2820	39432	SIPO	KL	82136630
426447	1449	1995-11-09	VYDAJ	PREVOD NA UCET	2820	40249	SIPO	KL	82136630
426448	1449	1995-12-09	VYDAJ	PREVOD NA UCET	2820	39217	SIPO	KL	82136630
426449	1449	1996-01-09	VYDAJ	PREVOD NA UCET	2820	37231	SIPO	KL	82136630
426450	1449	1996-02-09	VYDAJ	PREVOD NA UCET	2820	26232	SIPO	KL	82136630
426451	1449	1996-03-09	VYDAJ	PREVOD NA UCET	2820	33014	SIPO	KL	82136630
426452	1449	1996-04-09	VYDAJ	PREVOD NA UCET	2820	34409	SIPO	KL	82136630
426453	1449	1996-05-09	VYDAJ	PREVOD NA UCET	2820	34502	SIPO	KL	82136630
426454	1449	1996-06-09	VYDAJ	PREVOD NA UCET	2820	42767	SIPO	KL	82136630
426455	1449	1996-07-09	VYDAJ	PREVOD NA UCET	2820	42490	SIPO	KL	82136630
426456	1449	1996-08-09	VYDAJ	PREVOD NA UCET	2820	45926	SIPO	KL	82136630
426457	1449	1996-09-09	VYDAJ	PREVOD NA UCET	2820	47271	SIPO	KL	82136630
426458	1449	1996-10-09	VYDAJ	PREVOD NA UCET	2820	48617	SIPO	KL	82136630
426459	1449	1996-11-09	VYDAJ	PREVOD NA UCET	2820	47971	SIPO	KL	82136630
426460	1449	1996-12-09	VYDAJ	PREVOD NA UCET	2820	47181	SIPO	KL	82136630
426461	1449	1997-01-09	VYDAJ	PREVOD NA UCET	2820	47029	SIPO	KL	82136630
426462	1449	1997-02-09	VYDAJ	PREVOD NA UCET	2820	47166	SIPO	KL	82136630
426463	1449	1997-03-09	VYDAJ	PREVOD NA UCET	2820	46610	SIPO	KL	82136630
426464	1449	1997-04-09	VYDAJ	PREVOD NA UCET	2820	50860	SIPO	KL	82136630
426465	1449	1997-05-09	VYDAJ	PREVOD NA UCET	2820	49923	SIPO	KL	82136630
426466	1449	1997-06-09	VYDAJ	PREVOD NA UCET	2820	49538	SIPO	KL	82136630
426467	1449	1997-07-09	VYDAJ	PREVOD NA UCET	2820	39789	SIPO	KL	82136630
426468	1449	1997-08-09	VYDAJ	PREVOD NA UCET	2820	41989	SIPO	KL	82136630
426469	1449	1997-09-09	VYDAJ	PREVOD NA UCET	2820	43714	SIPO	KL	82136630
426470	1449	1997-10-09	VYDAJ	PREVOD NA UCET	2820	47640	SIPO	KL	82136630
426471	1449	1997-11-09	VYDAJ	PREVOD NA UCET	2820	48587	SIPO	KL	82136630
426472	1449	1997-12-09	VYDAJ	PREVOD NA UCET	2820	47398	SIPO	KL	82136630
426473	1449	1998-01-09	VYDAJ	PREVOD NA UCET	2820	42847	SIPO	KL	82136630
426474	1449	1998-02-09	VYDAJ	PREVOD NA UCET	2820	37653	SIPO	KL	82136630
426475	1449	1998-03-09	VYDAJ	PREVOD NA UCET	2820	41755	SIPO	KL	82136630
426476	1449	1998-04-09	VYDAJ	PREVOD NA UCET	2820	48278	SIPO	KL	82136630
426477	1449	1998-05-09	VYDAJ	PREVOD NA UCET	2820	49628	SIPO	KL	82136630
426478	1449	1998-06-09	VYDAJ	PREVOD NA UCET	2820	51437	SIPO	KL	82136630
426479	1449	1998-07-09	VYDAJ	PREVOD NA UCET	2820	37348	SIPO	KL	82136630
426480	1449	1998-08-09	VYDAJ	PREVOD NA UCET	2820	44151	SIPO	KL	82136630
426481	1449	1998-09-09	VYDAJ	PREVOD NA UCET	2820	49189	SIPO	KL	82136630
426482	1449	1998-10-09	VYDAJ	PREVOD NA UCET	2820	54747	SIPO	KL	82136630
426483	1449	1998-11-09	VYDAJ	PREVOD NA UCET	2820	53714	SIPO	KL	82136630
426484	1449	1998-12-09	VYDAJ	PREVOD NA UCET	2820	60346	SIPO	KL	82136630
426498	1449	1994-02-07	VYDAJ	PREVOD NA UCET	320	20042	 	UV	17508918
426499	1449	1994-03-07	VYDAJ	PREVOD NA UCET	320	21290	 	UV	17508918
426500	1449	1994-04-07	VYDAJ	PREVOD NA UCET	320	18646	 	UV	17508918
426501	1449	1994-05-07	VYDAJ	PREVOD NA UCET	320	24194	 	UV	17508918
426502	1449	1994-06-07	VYDAJ	PREVOD NA UCET	320	22954	 	UV	17508918
426503	1449	1994-07-07	VYDAJ	PREVOD NA UCET	320	20874	 	UV	17508918
426504	1449	1994-08-07	VYDAJ	PREVOD NA UCET	320	21326	 	UV	17508918
426505	1449	1994-09-07	VYDAJ	PREVOD NA UCET	320	18973	 	UV	17508918
426506	1449	1994-10-07	VYDAJ	PREVOD NA UCET	320	22118	 	UV	17508918
426507	1449	1994-11-07	VYDAJ	PREVOD NA UCET	320	24574	 	UV	17508918
426508	1449	1994-12-07	VYDAJ	PREVOD NA UCET	320	25335	 	UV	17508918
426509	1449	1995-01-07	VYDAJ	PREVOD NA UCET	320	24757	 	UV	17508918
426510	1449	1995-02-07	VYDAJ	PREVOD NA UCET	320	20112	 	UV	17508918
426511	1449	1995-03-07	VYDAJ	PREVOD NA UCET	320	24563	 	UV	17508918
426512	1449	1995-04-07	VYDAJ	PREVOD NA UCET	320	27230	 	UV	17508918
426513	1449	1995-05-07	VYDAJ	PREVOD NA UCET	320	28408	 	UV	17508918
426514	1449	1995-06-07	VYDAJ	PREVOD NA UCET	320	32793	 	UV	17508918
426515	1449	1995-07-07	VYDAJ	PREVOD NA UCET	320	30949	 	UV	17508918
426516	1449	1995-08-07	VYDAJ	PREVOD NA UCET	320	31434	 	UV	17508918
426517	1449	1995-09-07	VYDAJ	PREVOD NA UCET	320	34831	 	UV	17508918
426518	1449	1995-10-07	VYDAJ	PREVOD NA UCET	320	37541	 	UV	17508918
426519	1449	1995-11-07	VYDAJ	PREVOD NA UCET	320	38358	 	UV	17508918
426520	1449	1995-12-07	VYDAJ	PREVOD NA UCET	320	34971	 	UV	17508918
426521	1449	1996-01-07	VYDAJ	PREVOD NA UCET	320	35340	 	UV	17508918
426522	1449	1996-02-07	VYDAJ	PREVOD NA UCET	320	24341	 	UV	17508918
426523	1449	1996-03-07	VYDAJ	PREVOD NA UCET	320	31123	 	UV	17508918
426524	1449	1996-04-07	VYDAJ	PREVOD NA UCET	320	32518	 	UV	17508918
426525	1449	1996-05-07	VYDAJ	PREVOD NA UCET	320	32611	 	UV	17508918
426526	1449	1996-06-07	VYDAJ	PREVOD NA UCET	320	38521	 	UV	17508918
426527	1449	1996-07-07	VYDAJ	PREVOD NA UCET	320	40599	 	UV	17508918
426528	1449	1996-08-07	VYDAJ	PREVOD NA UCET	320	44035	 	UV	17508918
426529	1449	1996-09-07	VYDAJ	PREVOD NA UCET	320	45380	 	UV	17508918
426530	1449	1996-10-07	VYDAJ	PREVOD NA UCET	320	44426	 	UV	17508918
426531	1449	1996-11-07	VYDAJ	PREVOD NA UCET	320	48480	 	UV	17508918
426532	1449	1996-12-07	VYDAJ	PREVOD NA UCET	320	45535	 	UV	17508918
426533	1449	1997-01-07	VYDAJ	PREVOD NA UCET	320	45838	 	UV	17508918
426534	1449	1997-02-07	VYDAJ	PREVOD NA UCET	320	45275	 	UV	17508918
426535	1449	1997-03-07	VYDAJ	PREVOD NA UCET	320	47019	 	UV	17508918
426536	1449	1997-04-07	VYDAJ	PREVOD NA UCET	320	48969	 	UV	17508918
426537	1449	1997-05-07	VYDAJ	PREVOD NA UCET	320	48032	 	UV	17508918
426538	1449	1997-06-07	VYDAJ	PREVOD NA UCET	320	45292	 	UV	17508918
426539	1449	1997-07-07	VYDAJ	PREVOD NA UCET	320	37898	 	UV	17508918
426540	1449	1997-08-07	VYDAJ	PREVOD NA UCET	320	40098	 	UV	17508918
426541	1449	1997-09-07	VYDAJ	PREVOD NA UCET	320	41823	 	UV	17508918
426542	1449	1997-10-07	VYDAJ	PREVOD NA UCET	320	45749	 	UV	17508918
426543	1449	1997-11-07	VYDAJ	PREVOD NA UCET	320	46696	 	UV	17508918
426544	1449	1997-12-07	VYDAJ	PREVOD NA UCET	320	48052	 	UV	17508918
426545	1449	1998-01-07	VYDAJ	PREVOD NA UCET	320	40956	 	UV	17508918
426546	1449	1998-02-07	VYDAJ	PREVOD NA UCET	320	35762	 	UV	17508918
426547	1449	1998-03-07	VYDAJ	PREVOD NA UCET	320	39864	 	UV	17508918
426548	1449	1998-04-07	VYDAJ	PREVOD NA UCET	320	46387	 	UV	17508918
426549	1449	1998-05-07	VYDAJ	PREVOD NA UCET	320	47737	 	UV	17508918
426550	1449	1998-06-07	VYDAJ	PREVOD NA UCET	320	47191	 	UV	17508918
426551	1449	1998-07-07	VYDAJ	PREVOD NA UCET	320	35457	 	UV	17508918
426552	1449	1998-08-07	VYDAJ	PREVOD NA UCET	320	42260	 	UV	17508918
426553	1449	1998-09-07	VYDAJ	PREVOD NA UCET	320	47298	 	UV	17508918
426554	1449	1998-10-07	VYDAJ	PREVOD NA UCET	320	52856	 	UV	17508918
426555	1449	1998-11-07	VYDAJ	PREVOD NA UCET	320	51823	 	UV	17508918
426556	1449	1998-12-07	VYDAJ	PREVOD NA UCET	320	56100	 	UV	17508918
426560	1449	1996-06-09	VYDAJ	VYBER	5100	37667	\N	\N	\N
426561	1449	1997-06-29	VYDAJ	VYBER	27500	22038	\N	\N	\N
426562	1449	1998-06-15	VYDAJ	VYBER	24000	27437	\N	\N	\N
426564	1449	1994-12-12	VYDAJ	VYBER	2600	26981	\N	\N	\N
426565	1449	1995-12-06	VYDAJ	VYBER	1600	35291	\N	\N	\N
426566	1449	1996-12-11	VYDAJ	VYBER	1300	45881	\N	\N	\N
426567	1449	1997-12-23	VYDAJ	VYBER KARTOU	2100	44398	\N	\N	0
426568	1449	1998-12-16	VYDAJ	VYBER KARTOU	1700	58646	\N	\N	0
426575	1449	1994-01-19	VYDAJ	VYBER	600	26665	\N	\N	\N
426577	1449	1994-01-19	VYDAJ	VYBER	600	22365	\N	\N	\N
426578	1449	1994-01-16	VYDAJ	VYBER	1400	27265	\N	\N	\N
426579	1449	1994-01-30	VYDAJ	VYBER	2400	20265	\N	\N	\N
426580	1449	1994-01-13	VYDAJ	VYBER	2200	28665	\N	\N	\N
426581	1449	1995-01-10	VYDAJ	VYBER	2400	24248	\N	\N	\N
426582	1449	1995-01-30	VYDAJ	VYBER	800	20348	\N	\N	\N
426583	1449	1995-01-11	VYDAJ	VYBER	1600	22648	\N	\N	\N
426584	1449	1995-01-04	VYDAJ	VYBER	1200	25077	\N	\N	\N
426585	1449	1995-01-25	VYDAJ	VYBER	1800	21148	\N	\N	\N
426586	1449	1995-01-19	VYDAJ	VYBER	2300	22948	\N	\N	\N
426587	1449	1996-01-17	VYDAJ	VYBER	2600	34931	\N	\N	\N
426588	1449	1996-01-04	VYDAJ	VYBER	2400	35660	\N	\N	\N
426589	1449	1996-01-24	VYDAJ	VYBER	2900	29531	\N	\N	\N
426590	1449	1996-01-24	VYDAJ	VYBER	1700	27831	\N	\N	\N
426591	1449	1996-01-22	VYDAJ	VYBER	1800	33131	\N	\N	\N
426592	1449	1996-01-23	VYDAJ	VYBER	700	32431	\N	\N	\N
426593	1449	1997-01-14	VYDAJ	VYBER	1700	44129	\N	\N	\N
426594	1449	1997-01-13	VYDAJ	VYBER	1200	45829	\N	\N	\N
426595	1449	1997-01-26	VYDAJ	VYBER	2900	38529	\N	\N	\N
426596	1449	1997-01-08	VYDAJ	VYBER	700	49849	\N	\N	\N
426597	1449	1997-01-02	VYDAJ	VYBER	2600	43458	\N	\N	\N
426598	1449	1997-01-21	VYDAJ	VYBER	2700	41429	\N	\N	\N
426599	1449	1998-01-02	VYDAJ	VYBER KARTOU	1100	41276	\N	\N	0
426600	1449	1998-01-10	VYDAJ	VYBER KARTOU	2200	40647	\N	\N	0
426601	1449	1998-01-12	VYDAJ	VYBER KARTOU	2000	36647	\N	\N	0
426602	1449	1998-01-12	VYDAJ	VYBER KARTOU	1900	34747	\N	\N	0
426603	1449	1998-01-10	VYDAJ	VYBER KARTOU	2000	38647	\N	\N	0
426604	1449	1998-01-14	VYDAJ	VYBER KARTOU	1800	32947	\N	\N	0
426607	1449	1994-03-24	VYDAJ	VYBER	2500	22881	\N	\N	\N
426608	1449	1994-09-09	VYDAJ	VYBER	3500	17364	\N	\N	\N
426609	1449	1994-04-05	VYDAJ	VYBER	4000	18966	\N	\N	\N
426610	1449	1994-08-24	VYDAJ	VYBER	3000	19217	\N	\N	\N
426611	1449	1994-07-06	VYDAJ	VYBER	4700	21194	\N	\N	\N
426612	1449	1994-03-01	VYDAJ	VYBER	1900	21610	\N	\N	\N
426613	1449	1994-01-19	VYDAJ	VYBER	3700	22965	\N	\N	\N
426614	1449	1994-11-13	VYDAJ	VYBER	4300	22165	\N	\N	\N
426615	1449	1995-07-08	VYDAJ	VYBER	4600	31060	\N	\N	\N
426616	1449	1995-05-13	VYDAJ	VYBER	2300	27999	\N	\N	\N
426617	1449	1995-11-13	VYDAJ	VYBER	2500	37749	\N	\N	\N
426618	1449	1995-06-29	VYDAJ	VYBER	3700	31139	\N	\N	\N
426619	1449	1995-09-13	VYDAJ	VYBER	1700	35022	\N	\N	\N
426620	1449	1995-04-30	VYDAJ	VYBER	1200	28728	\N	\N	\N
426621	1449	1996-01-12	VYDAJ	VYBER	1000	36231	\N	\N	\N
426622	1449	1996-09-19	VYDAJ	VYBER	800	44571	\N	\N	\N
426623	1449	1996-02-06	VYDAJ	VYBER	3300	24661	\N	\N	\N
426624	1449	1996-03-24	VYDAJ	VYBER	2000	32714	\N	\N	\N
426625	1449	1996-11-27	VYDAJ	VYBER	2300	45671	\N	\N	\N
426626	1449	1996-02-22	VYDAJ	VYBER	1700	31332	\N	\N	\N
426627	1449	1997-12-08	VYDAJ	VYBER	4900	50218	\N	\N	\N
426628	1449	1997-12-13	VYDAJ	VYBER KARTOU	900	46498	\N	\N	0
426629	1449	1997-07-17	VYDAJ	VYBER	3100	36689	\N	\N	\N
426630	1449	1997-05-14	VYDAJ	VYBER	1000	48923	\N	\N	\N
426631	1449	1997-05-06	VYDAJ	VYBER	4400	46652	\N	\N	\N
426632	1449	1997-09-10	VYDAJ	VYBER	3400	40314	\N	\N	\N
426633	1449	1997-05-28	VYDAJ	VYBER	2300	46623	\N	\N	\N
426634	1449	1998-07-05	VYDAJ	VYBER KARTOU	2700	35777	\N	\N	0
426635	1449	1998-10-16	VYDAJ	VYBER KARTOU	4000	50747	\N	\N	0
426636	1449	1998-05-23	VYDAJ	VYBER KARTOU	2300	47328	\N	\N	0
426637	1449	1998-04-02	VYDAJ	VYBER KARTOU	1600	46707	\N	\N	0
426638	1449	1998-04-23	VYDAJ	VYBER KARTOU	2900	45378	\N	\N	0
426639	1449	1998-02-17	VYDAJ	VYBER KARTOU	2200	35453	\N	\N	0
426640	1449	1998-09-01	VYDAJ	VYBER KARTOU	1500	47618	\N	\N	0
426641	1449	1998-10-22	VYDAJ	VYBER	4900	45847	\N	\N	\N
426655	1449	1994-01-31	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
426656	1449	1994-02-28	VYDAJ	VYBER	15	23510	SLUZBY	\N	\N
426657	1449	1994-03-31	VYDAJ	VYBER	15	22966	SLUZBY	\N	\N
426658	1449	1994-04-30	VYDAJ	VYBER	15	24514	SLUZBY	\N	\N
426659	1449	1994-05-31	VYDAJ	VYBER	15	23274	SLUZBY	\N	\N
426660	1449	1994-06-30	VYDAJ	VYBER	15	25894	SLUZBY	\N	\N
426661	1449	1994-07-31	VYDAJ	VYBER	15	21646	SLUZBY	\N	\N
426662	1449	1994-08-31	VYDAJ	VYBER	15	19293	SLUZBY	\N	\N
426663	1449	1994-09-30	VYDAJ	VYBER	15	22438	SLUZBY	\N	\N
426664	1449	1994-10-31	VYDAJ	VYBER	15	24894	SLUZBY	\N	\N
426665	1449	1994-11-30	VYDAJ	VYBER	15	25655	SLUZBY	\N	\N
426666	1449	1994-12-31	VYDAJ	VYBER	15	26277	SLUZBY	\N	\N
426667	1449	1995-01-31	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
426668	1449	1995-02-28	VYDAJ	VYBER	15	24883	SLUZBY	\N	\N
426669	1449	1995-03-31	VYDAJ	VYBER	15	27550	SLUZBY	\N	\N
426670	1449	1995-04-30	VYDAJ	VYBER	15	29928	SLUZBY	\N	\N
426671	1449	1995-05-31	VYDAJ	VYBER	15	33113	SLUZBY	\N	\N
426672	1449	1995-06-30	VYDAJ	VYBER	15	31269	SLUZBY	\N	\N
426673	1449	1995-07-31	VYDAJ	VYBER	15	31754	SLUZBY	\N	\N
426674	1449	1995-08-31	VYDAJ	VYBER	15	35151	SLUZBY	\N	\N
426675	1449	1995-09-30	VYDAJ	VYBER	15	37861	SLUZBY	\N	\N
426676	1449	1995-10-31	VYDAJ	VYBER	15	38678	SLUZBY	\N	\N
426677	1449	1995-11-30	VYDAJ	VYBER	15	36891	SLUZBY	\N	\N
426678	1449	1995-12-31	VYDAJ	VYBER	15	38060	SLUZBY	\N	\N
426679	1449	1996-01-31	VYDAJ	VYBER	15	27961	SLUZBY	\N	\N
426680	1449	1996-02-29	VYDAJ	VYBER	15	31443	SLUZBY	\N	\N
426681	1449	1996-03-31	VYDAJ	VYBER	15	32838	SLUZBY	\N	\N
426682	1449	1996-04-30	VYDAJ	VYBER	15	32931	SLUZBY	\N	\N
426683	1449	1996-05-31	VYDAJ	VYBER	15	38841	SLUZBY	\N	\N
426684	1449	1996-06-30	VYDAJ	VYBER	15	40919	SLUZBY	\N	\N
426685	1449	1996-07-31	VYDAJ	VYBER	15	44355	SLUZBY	\N	\N
426686	1449	1996-08-31	VYDAJ	VYBER	15	45700	SLUZBY	\N	\N
426687	1449	1996-09-30	VYDAJ	VYBER	15	44746	SLUZBY	\N	\N
426688	1449	1996-10-31	VYDAJ	VYBER	15	48800	SLUZBY	\N	\N
426689	1449	1996-11-30	VYDAJ	VYBER	15	45855	SLUZBY	\N	\N
426690	1449	1996-12-31	VYDAJ	VYBER	15	46058	SLUZBY	\N	\N
426691	1449	1997-01-31	VYDAJ	VYBER	15	38695	SLUZBY	\N	\N
426692	1449	1997-02-28	VYDAJ	VYBER	15	47339	SLUZBY	\N	\N
426693	1449	1997-03-31	VYDAJ	VYBER	15	46789	SLUZBY	\N	\N
426694	1449	1997-04-30	VYDAJ	VYBER	15	51052	SLUZBY	\N	\N
426695	1449	1997-05-31	VYDAJ	VYBER	15	46812	SLUZBY	\N	\N
426696	1449	1997-06-30	VYDAJ	VYBER	15	22218	SLUZBY	\N	\N
426697	1449	1997-07-31	VYDAJ	VYBER	15	36818	SLUZBY	\N	\N
426698	1449	1997-08-31	VYDAJ	VYBER	15	42143	SLUZBY	\N	\N
426699	1449	1997-09-30	VYDAJ	VYBER	15	40469	SLUZBY	\N	\N
426700	1449	1997-10-31	VYDAJ	VYBER	15	47816	SLUZBY	\N	\N
426701	1449	1997-11-30	VYDAJ	VYBER	15	48772	SLUZBY	\N	\N
426702	1449	1997-12-31	VYDAJ	VYBER	15	44576	SLUZBY	\N	\N
426703	1449	1998-01-31	VYDAJ	VYBER	15	33082	SLUZBY	\N	\N
426704	1449	1998-02-28	VYDAJ	VYBER	15	35584	SLUZBY	\N	\N
426705	1449	1998-03-31	VYDAJ	VYBER	15	41907	SLUZBY	\N	\N
426706	1449	1998-04-30	VYDAJ	VYBER	15	45557	SLUZBY	\N	\N
426707	1449	1998-05-31	VYDAJ	VYBER	15	47511	SLUZBY	\N	\N
426708	1449	1998-06-30	VYDAJ	VYBER	15	27577	SLUZBY	\N	\N
426709	1449	1998-07-31	VYDAJ	VYBER	15	42580	SLUZBY	\N	\N
426710	1449	1998-08-31	VYDAJ	VYBER	15	49118	SLUZBY	\N	\N
426711	1449	1998-09-30	VYDAJ	VYBER	15	53176	SLUZBY	\N	\N
426712	1449	1998-10-31	VYDAJ	VYBER	15	52143	SLUZBY	\N	\N
426713	1449	1998-11-30	VYDAJ	VYBER	15	56420	SLUZBY	\N	\N
426714	1449	1993-09-25	PRIJEM	VKLAD	7300	12811	\N	\N	\N
426715	1449	1993-10-25	PRIJEM	VKLAD	3800	21333	\N	\N	\N
426716	1449	1993-11-24	VYDAJ	VYBER	500	25605	\N	\N	\N
426717	1449	1993-12-24	VYDAJ	VYBER	3900	28864	\N	\N	\N
426718	1449	1994-01-23	PRIJEM	VKLAD	300	22665	\N	\N	\N
426719	1449	1994-02-22	PRIJEM	VKLAD	1500	23433	\N	\N	\N
426720	1449	1994-03-24	PRIJEM	VKLAD	2200	25381	\N	\N	\N
426721	1449	1994-04-23	PRIJEM	VKLAD	3900	24437	\N	\N	\N
426722	1449	1994-05-23	VYDAJ	VYBER	2900	23185	\N	\N	\N
426723	1449	1994-06-22	VYDAJ	VYBER	1400	25800	\N	\N	\N
426724	1449	1994-07-22	VYDAJ	VYBER	1200	21565	\N	\N	\N
426725	1449	1994-08-21	VYDAJ	VYBER	1000	22217	\N	\N	\N
426726	1449	1994-09-20	PRIJEM	VKLAD	5000	22364	\N	\N	\N
426727	1449	1994-10-20	PRIJEM	VKLAD	800	24809	\N	\N	\N
426728	1449	1994-11-19	PRIJEM	VKLAD	3400	25565	\N	\N	\N
426729	1449	1994-12-19	VYDAJ	VYBER	800	26181	\N	\N	\N
426730	1449	1995-01-18	PRIJEM	VKLAD	2600	25248	\N	\N	\N
426731	1449	1995-02-17	PRIJEM	VKLAD	2800	24803	\N	\N	\N
426732	1449	1995-03-19	PRIJEM	VKLAD	1000	27454	\N	\N	\N
426733	1449	1995-04-18	PRIJEM	VKLAD	700	29821	\N	\N	\N
426734	1449	1995-05-18	PRIJEM	VKLAD	5000	32999	\N	\N	\N
426735	1449	1995-06-17	VYDAJ	VYBER	2200	34839	\N	\N	\N
426736	1449	1995-07-17	PRIJEM	VKLAD	3400	31640	\N	\N	\N
426737	1449	1995-08-16	PRIJEM	VKLAD	1700	35025	\N	\N	\N
426738	1449	1995-09-15	PRIJEM	VKLAD	2700	37722	\N	\N	\N
426739	1449	1995-10-15	VYDAJ	VYBER	900	38532	\N	\N	\N
426740	1449	1995-11-14	VYDAJ	VYBER	1000	36749	\N	\N	\N
426741	1449	1995-12-14	VYDAJ	VYBER	1300	37917	\N	\N	\N
426742	1449	1996-01-13	PRIJEM	VKLAD	1300	37531	\N	\N	\N
426743	1449	1996-02-12	PRIJEM	VKLAD	6800	33032	\N	\N	\N
426744	1449	1996-03-13	PRIJEM	VKLAD	1700	34714	\N	\N	\N
426745	1449	1996-04-12	VYDAJ	VYBER	1600	32809	\N	\N	\N
426746	1449	1996-05-12	PRIJEM	VKLAD	4200	38702	\N	\N	\N
426747	1449	1996-06-11	PRIJEM	VKLAD	3100	40767	\N	\N	\N
426748	1449	1996-07-11	PRIJEM	VKLAD	1700	44190	\N	\N	\N
426749	1449	1996-08-10	VYDAJ	VYBER	400	45526	\N	\N	\N
426750	1449	1996-09-09	VYDAJ	VYBER	1900	45371	\N	\N	\N
426751	1449	1996-10-09	PRIJEM	VKLAD	2300	51437	\N	\N	\N
426752	1449	1996-11-08	VYDAJ	VYBER	2400	50791	\N	\N	\N
426753	1449	1996-12-08	VYDAJ	VYBER	2600	50001	\N	\N	\N
426754	1449	1997-01-07	PRIJEM	VKLAD	2700	46158	\N	\N	\N
426755	1449	1997-02-06	PRIJEM	VKLAD	6900	45595	\N	\N	\N
426756	1449	1997-03-08	VYDAJ	VYBER	2300	49430	\N	\N	\N
426757	1449	1997-04-07	PRIJEM	VKLAD	2500	49289	\N	\N	\N
426758	1449	1997-05-07	PRIJEM	VKLAD	1700	48352	\N	\N	\N
426759	1449	1997-06-06	VYDAJ	VYBER	1200	45612	\N	\N	\N
426760	1449	1997-07-06	PRIJEM	VKLAD	16000	38218	\N	\N	\N
426761	1449	1997-08-05	PRIJEM	VKLAD	3600	40418	\N	\N	\N
426762	1449	1997-10-04	PRIJEM	VKLAD	5600	46069	\N	\N	\N
426763	1449	1997-11-03	VYDAJ	VYBER	800	47016	\N	\N	\N
426764	1449	1997-12-03	VYDAJ	VYBER KARTOU	400	48372	\N	\N	0
426765	1449	1998-01-02	VYDAJ	VYBER KARTOU	2200	42376	\N	\N	0
426766	1449	1998-02-01	PRIJEM	VKLAD	3000	36082	\N	\N	\N
426767	1449	1998-03-03	PRIJEM	VKLAD	4600	40184	\N	\N	\N
426768	1449	1998-04-02	PRIJEM	VKLAD	6400	48307	\N	\N	\N
426769	1449	1998-05-02	PRIJEM	VKLAD	2500	48057	\N	\N	\N
426770	1449	1998-07-01	PRIJEM	VKLAD	10900	38477	\N	\N	\N
426771	1449	1998-07-31	PRIJEM	VKLAD	5100	42595	\N	\N	\N
426772	1449	1998-08-30	PRIJEM	VKLAD	4800	48951	\N	\N	\N
426773	1449	1998-09-29	PRIJEM	VKLAD	3800	52989	\N	\N	\N
426774	1449	1998-10-29	PRIJEM	VKLAD	6100	51947	\N	\N	\N
426775	1449	1998-11-28	PRIJEM	VKLAD	2500	56214	\N	\N	\N
426840	1450	1996-04-07	PRIJEM	VKLAD	400	400	\N	\N	\N
426844	1450	1996-04-12	PRIJEM	PREVOD Z UCTU	6496	6896	DUCHOD	MN	48744165
426845	1450	1996-05-12	PRIJEM	PREVOD Z UCTU	6496	13410	DUCHOD	MN	48744165
426846	1450	1996-06-12	PRIJEM	PREVOD Z UCTU	6496	19935	DUCHOD	MN	48744165
426847	1450	1996-07-12	PRIJEM	PREVOD Z UCTU	6496	26460	DUCHOD	MN	48744165
426848	1450	1996-08-12	PRIJEM	PREVOD Z UCTU	6496	32984	DUCHOD	MN	48744165
426849	1450	1996-09-12	PRIJEM	PREVOD Z UCTU	6496	33995	DUCHOD	MN	48744165
426850	1450	1996-10-12	PRIJEM	PREVOD Z UCTU	6496	33430	DUCHOD	MN	48744165
426851	1450	1996-11-12	PRIJEM	PREVOD Z UCTU	6496	36943	DUCHOD	MN	48744165
426852	1450	1996-12-12	PRIJEM	PREVOD Z UCTU	6496	36870	DUCHOD	MN	48744165
426853	1450	1997-01-12	PRIJEM	PREVOD Z UCTU	6496	38478	DUCHOD	MN	48744165
426854	1450	1997-02-12	PRIJEM	PREVOD Z UCTU	6496	36721	DUCHOD	MN	48744165
426855	1450	1997-03-12	PRIJEM	PREVOD Z UCTU	6496	40246	DUCHOD	MN	48744165
426856	1450	1997-04-12	PRIJEM	PREVOD Z UCTU	6496	42348	DUCHOD	MN	48744165
426857	1450	1997-05-12	PRIJEM	PREVOD Z UCTU	6496	42799	DUCHOD	MN	48744165
426858	1450	1997-06-12	PRIJEM	PREVOD Z UCTU	6496	30803	DUCHOD	MN	48744165
426859	1450	1997-07-12	PRIJEM	PREVOD Z UCTU	6496	34310	DUCHOD	MN	48744165
426860	1450	1997-08-12	PRIJEM	PREVOD Z UCTU	6496	37826	DUCHOD	MN	48744165
426861	1450	1997-09-12	PRIJEM	PREVOD Z UCTU	6496	41357	DUCHOD	MN	48744165
426862	1450	1997-10-12	PRIJEM	PREVOD Z UCTU	6496	44002	DUCHOD	MN	48744165
426863	1450	1997-11-12	PRIJEM	PREVOD Z UCTU	6496	42156	DUCHOD	MN	48744165
426864	1450	1997-12-12	PRIJEM	PREVOD Z UCTU	6496	42603	DUCHOD	MN	48744165
426865	1450	1998-01-12	PRIJEM	PREVOD Z UCTU	6496	41132	DUCHOD	MN	48744165
426866	1450	1998-02-12	PRIJEM	PREVOD Z UCTU	6496	41055	DUCHOD	MN	48744165
426867	1450	1998-03-12	PRIJEM	PREVOD Z UCTU	6496	41298	DUCHOD	MN	48744165
426868	1450	1998-04-12	PRIJEM	PREVOD Z UCTU	6496	44442	DUCHOD	MN	48744165
426869	1450	1998-05-12	PRIJEM	PREVOD Z UCTU	6496	46900	DUCHOD	MN	48744165
426870	1450	1998-06-12	PRIJEM	PREVOD Z UCTU	6496	45365	DUCHOD	MN	48744165
426871	1450	1998-07-12	PRIJEM	PREVOD Z UCTU	6496	43516	DUCHOD	MN	48744165
426872	1450	1998-08-12	PRIJEM	PREVOD Z UCTU	6496	46470	DUCHOD	MN	48744165
426873	1450	1998-09-12	PRIJEM	PREVOD Z UCTU	6496	49236	DUCHOD	MN	48744165
426874	1450	1998-10-12	PRIJEM	PREVOD Z UCTU	6496	52813	DUCHOD	MN	48744165
426875	1450	1998-11-12	PRIJEM	PREVOD Z UCTU	6496	51000	DUCHOD	MN	48744165
426876	1450	1998-12-12	PRIJEM	PREVOD Z UCTU	6496	53285	DUCHOD	MN	48744165
426885	1450	1996-09-07	VYDAJ	PREVOD NA UCET	3103	27499	SIPO	UV	804383
426886	1450	1996-10-07	VYDAJ	PREVOD NA UCET	3103	26934	SIPO	UV	804383
426887	1450	1996-11-07	VYDAJ	PREVOD NA UCET	3103	30447	SIPO	UV	804383
426888	1450	1996-12-07	VYDAJ	PREVOD NA UCET	3103	31074	SIPO	UV	804383
426889	1450	1997-01-07	VYDAJ	PREVOD NA UCET	3103	31982	SIPO	UV	804383
426890	1450	1997-02-07	VYDAJ	PREVOD NA UCET	3103	30225	SIPO	UV	804383
426891	1450	1997-03-07	VYDAJ	PREVOD NA UCET	3103	33750	SIPO	UV	804383
426892	1450	1997-04-07	VYDAJ	PREVOD NA UCET	3103	37292	SIPO	UV	804383
426893	1450	1997-05-07	VYDAJ	PREVOD NA UCET	3103	36303	SIPO	UV	804383
426894	1450	1997-06-07	VYDAJ	PREVOD NA UCET	3103	24307	SIPO	UV	804383
426895	1450	1997-07-07	VYDAJ	PREVOD NA UCET	3103	27814	SIPO	UV	804383
426896	1450	1997-08-07	VYDAJ	PREVOD NA UCET	3103	31330	SIPO	UV	804383
426897	1450	1997-09-07	VYDAJ	PREVOD NA UCET	3103	34861	SIPO	UV	804383
426898	1450	1997-10-07	VYDAJ	PREVOD NA UCET	3103	37506	SIPO	UV	804383
426899	1450	1997-11-07	VYDAJ	PREVOD NA UCET	3103	35660	SIPO	UV	804383
426900	1450	1997-12-07	VYDAJ	PREVOD NA UCET	3103	36107	SIPO	UV	804383
426901	1450	1998-01-07	VYDAJ	PREVOD NA UCET	3103	38556	SIPO	UV	804383
426902	1450	1998-02-07	VYDAJ	PREVOD NA UCET	3103	34559	SIPO	UV	804383
426903	1450	1998-03-07	VYDAJ	PREVOD NA UCET	3103	34802	SIPO	UV	804383
426904	1450	1998-04-07	VYDAJ	PREVOD NA UCET	3103	37946	SIPO	UV	804383
426905	1450	1998-05-07	VYDAJ	PREVOD NA UCET	3103	40404	SIPO	UV	804383
426906	1450	1998-06-07	VYDAJ	PREVOD NA UCET	3103	38869	SIPO	UV	804383
426907	1450	1998-07-07	VYDAJ	PREVOD NA UCET	3103	37020	SIPO	UV	804383
426908	1450	1998-08-07	VYDAJ	PREVOD NA UCET	3103	39974	SIPO	UV	804383
426909	1450	1998-09-07	VYDAJ	PREVOD NA UCET	3103	42740	SIPO	UV	804383
426910	1450	1998-10-07	VYDAJ	PREVOD NA UCET	3103	46317	SIPO	UV	804383
426911	1450	1998-11-07	VYDAJ	PREVOD NA UCET	3103	44504	SIPO	UV	804383
426912	1450	1998-12-07	VYDAJ	PREVOD NA UCET	3103	46789	SIPO	UV	804383
426914	1450	1997-06-04	VYDAJ	VYBER	8650	27410	\N	\N	\N
426915	1450	1998-06-15	VYDAJ	VYBER	4500	40865	\N	\N	\N
426916	1450	1996-12-10	VYDAJ	VYBER	700	30374	\N	\N	\N
426917	1450	1997-12-16	VYDAJ	VYBER	1100	41503	\N	\N	\N
426918	1450	1998-12-06	VYDAJ	VYBER KARTOU	1300	49892	\N	\N	0
426925	1450	1997-01-19	VYDAJ	VYBER	1120	33838	\N	\N	\N
426926	1450	1997-01-28	VYDAJ	VYBER	640	33198	\N	\N	\N
426927	1450	1997-01-01	VYDAJ	VYBER	480	36525	\N	\N	\N
426928	1450	1997-01-16	VYDAJ	VYBER	2000	34958	\N	\N	\N
426929	1450	1997-01-15	VYDAJ	VYBER	1520	36958	\N	\N	\N
426930	1450	1997-01-06	VYDAJ	VYBER	1440	35085	\N	\N	\N
426931	1450	1998-01-11	VYDAJ	VYBER	1040	36316	\N	\N	\N
426932	1450	1998-01-30	VYDAJ	VYBER KARTOU	1700	37512	\N	\N	0
426933	1450	1998-01-11	VYDAJ	VYBER	1680	34636	\N	\N	\N
426934	1450	1998-01-20	VYDAJ	VYBER	960	39212	\N	\N	\N
426935	1450	1998-01-08	VYDAJ	VYBER	1200	37356	\N	\N	\N
426936	1450	1998-01-17	VYDAJ	VYBER	960	40172	\N	\N	\N
426939	1450	1996-10-05	VYDAJ	VYBER	880	30037	\N	\N	\N
426942	1450	1997-04-11	VYDAJ	VYBER	1440	35852	\N	\N	\N
426943	1450	1997-05-12	VYDAJ	VYBER	3760	39039	\N	\N	\N
426944	1450	1997-05-14	VYDAJ	VYBER	3120	35919	\N	\N	\N
426945	1450	1998-05-28	VYDAJ	VYBER KARTOU	3500	41800	\N	\N	0
426946	1450	1998-06-26	VYDAJ	VYBER KARTOU	900	39965	\N	\N	0
426955	1450	1996-08-31	VYDAJ	VYBER	15	33002	SLUZBY	\N	\N
426956	1450	1996-09-30	VYDAJ	VYBER	15	34117	SLUZBY	\N	\N
426957	1450	1996-10-31	VYDAJ	VYBER	15	33550	SLUZBY	\N	\N
426958	1450	1996-11-30	VYDAJ	VYBER	15	37077	SLUZBY	\N	\N
426959	1450	1996-12-31	VYDAJ	VYBER	15	37005	SLUZBY	\N	\N
426960	1450	1997-01-31	VYDAJ	VYBER	15	33328	SLUZBY	\N	\N
426961	1450	1997-02-28	VYDAJ	VYBER	15	36853	SLUZBY	\N	\N
426962	1450	1997-03-31	VYDAJ	VYBER	15	40395	SLUZBY	\N	\N
426963	1450	1997-04-30	VYDAJ	VYBER	15	42506	SLUZBY	\N	\N
426964	1450	1997-05-31	VYDAJ	VYBER	15	36060	SLUZBY	\N	\N
426965	1450	1997-06-30	VYDAJ	VYBER	15	30917	SLUZBY	\N	\N
426966	1450	1997-07-31	VYDAJ	VYBER	15	34433	SLUZBY	\N	\N
426967	1450	1997-08-31	VYDAJ	VYBER	15	37964	SLUZBY	\N	\N
426968	1450	1997-09-30	VYDAJ	VYBER	15	40609	SLUZBY	\N	\N
426969	1450	1997-10-31	VYDAJ	VYBER	15	38763	SLUZBY	\N	\N
426970	1450	1997-11-30	VYDAJ	VYBER	15	39210	SLUZBY	\N	\N
426971	1450	1997-12-31	VYDAJ	VYBER	15	41659	SLUZBY	\N	\N
426972	1450	1998-01-31	VYDAJ	VYBER	15	37662	SLUZBY	\N	\N
426973	1450	1998-02-28	VYDAJ	VYBER	15	37905	SLUZBY	\N	\N
426974	1450	1998-03-31	VYDAJ	VYBER	15	41049	SLUZBY	\N	\N
426975	1450	1998-04-30	VYDAJ	VYBER	15	43507	SLUZBY	\N	\N
426976	1450	1998-05-31	VYDAJ	VYBER	15	41972	SLUZBY	\N	\N
426977	1450	1998-06-30	VYDAJ	VYBER	15	40123	SLUZBY	\N	\N
426978	1450	1998-07-31	VYDAJ	VYBER	15	43077	SLUZBY	\N	\N
426979	1450	1998-08-31	VYDAJ	VYBER	15	45843	SLUZBY	\N	\N
426980	1450	1998-09-30	VYDAJ	VYBER	15	49420	SLUZBY	\N	\N
426981	1450	1998-10-31	VYDAJ	VYBER	15	47607	SLUZBY	\N	\N
426982	1450	1998-11-30	VYDAJ	VYBER	15	51192	SLUZBY	\N	\N
426983	1450	1996-09-04	VYDAJ	VYBER	2400	30602	\N	\N	\N
426984	1450	1996-10-04	VYDAJ	VYBER	3200	30917	\N	\N	\N
426985	1450	1996-12-03	VYDAJ	VYBER	2900	34177	\N	\N	\N
426986	1450	1997-05-02	VYDAJ	VYBER	3100	39406	\N	\N	\N
426987	1450	1997-09-29	VYDAJ	VYBER	900	40457	\N	\N	\N
426988	1450	1997-10-29	VYDAJ	VYBER	5400	38602	\N	\N	\N
426989	1450	1997-11-28	VYDAJ	VYBER	3100	39056	\N	\N	\N
426990	1450	1998-02-26	VYDAJ	VYBER KARTOU	3300	37755	\N	\N	0
426991	1450	1998-03-28	VYDAJ	VYBER KARTOU	400	40898	\N	\N	0
426992	1450	1998-04-27	VYDAJ	VYBER KARTOU	1100	43342	\N	\N	0
426993	1450	1998-05-27	VYDAJ	VYBER KARTOU	1600	45300	\N	\N	0
426994	1450	1998-07-26	VYDAJ	VYBER KARTOU	600	42916	\N	\N	0
426995	1450	1998-08-25	VYDAJ	VYBER KARTOU	800	45670	\N	\N	0
426996	1450	1998-10-24	VYDAJ	VYBER	5400	47413	\N	\N	\N
427030	1451	1993-06-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
427037	1451	1993-07-13	PRIJEM	PREVOD Z UCTU	6490	7490	DUCHOD	OP	75701802
427038	1451	1993-08-13	PRIJEM	PREVOD Z UCTU	6490	13980	DUCHOD	OP	75701802
427039	1451	1993-09-13	PRIJEM	PREVOD Z UCTU	6490	20470	DUCHOD	OP	75701802
427040	1451	1993-10-13	PRIJEM	PREVOD Z UCTU	6490	26960	DUCHOD	OP	75701802
427041	1451	1993-11-13	PRIJEM	PREVOD Z UCTU	6490	31283	DUCHOD	OP	75701802
427042	1451	1993-12-13	PRIJEM	PREVOD Z UCTU	6490	29864	DUCHOD	OP	75701802
427043	1451	1994-01-13	PRIJEM	PREVOD Z UCTU	6490	25504	DUCHOD	OP	75701802
427044	1451	1994-02-13	PRIJEM	PREVOD Z UCTU	6490	23413	DUCHOD	OP	75701802
427045	1451	1994-03-13	PRIJEM	PREVOD Z UCTU	6490	25846	DUCHOD	OP	75701802
427046	1451	1994-04-13	PRIJEM	PREVOD Z UCTU	6490	25770	DUCHOD	OP	75701802
427233	1451	1994-04-11	VYDAJ	VYBER	2320	19280	\N	\N	\N
427047	1451	1994-05-13	PRIJEM	PREVOD Z UCTU	6490	28616	DUCHOD	OP	75701802
427048	1451	1994-06-13	PRIJEM	PREVOD Z UCTU	6490	26267	DUCHOD	OP	75701802
427049	1451	1994-07-13	PRIJEM	PREVOD Z UCTU	6490	25112	DUCHOD	OP	75701802
427050	1451	1994-08-13	PRIJEM	PREVOD Z UCTU	6490	26651	DUCHOD	OP	75701802
427051	1451	1994-09-13	PRIJEM	PREVOD Z UCTU	6490	22896	DUCHOD	OP	75701802
427052	1451	1994-10-13	PRIJEM	PREVOD Z UCTU	6490	25729	DUCHOD	OP	75701802
427053	1451	1994-11-13	PRIJEM	PREVOD Z UCTU	6490	24973	DUCHOD	OP	75701802
427054	1451	1994-12-13	PRIJEM	PREVOD Z UCTU	6490	27815	DUCHOD	OP	75701802
427055	1451	1995-01-13	PRIJEM	PREVOD Z UCTU	6490	29386	DUCHOD	OP	75701802
427056	1451	1995-02-13	PRIJEM	PREVOD Z UCTU	6490	16486	DUCHOD	OP	75701802
427057	1451	1995-03-13	PRIJEM	PREVOD Z UCTU	6490	19292	DUCHOD	OP	75701802
427058	1451	1995-04-13	PRIJEM	PREVOD Z UCTU	6490	22109	DUCHOD	OP	75701802
427059	1451	1995-05-13	PRIJEM	PREVOD Z UCTU	6490	24937	DUCHOD	OP	75701802
427060	1451	1995-06-13	PRIJEM	PREVOD Z UCTU	6490	27377	DUCHOD	OP	75701802
427061	1451	1995-07-13	PRIJEM	PREVOD Z UCTU	6490	29266	DUCHOD	OP	75701802
427062	1451	1995-08-13	PRIJEM	PREVOD Z UCTU	6490	32124	DUCHOD	OP	75701802
427063	1451	1995-09-13	PRIJEM	PREVOD Z UCTU	6490	31990	DUCHOD	OP	75701802
427064	1451	1995-10-13	PRIJEM	PREVOD Z UCTU	6490	33561	DUCHOD	OP	75701802
427065	1451	1995-11-13	PRIJEM	PREVOD Z UCTU	6490	36439	DUCHOD	OP	75701802
427066	1451	1995-12-13	PRIJEM	PREVOD Z UCTU	6490	36594	DUCHOD	OP	75701802
427067	1451	1996-01-13	PRIJEM	PREVOD Z UCTU	6490	34759	DUCHOD	OP	75701802
427068	1451	1996-02-13	PRIJEM	PREVOD Z UCTU	6490	28447	DUCHOD	OP	75701802
427069	1451	1996-03-13	PRIJEM	PREVOD Z UCTU	6490	31302	DUCHOD	OP	75701802
427070	1451	1996-04-13	PRIJEM	PREVOD Z UCTU	6490	29649	DUCHOD	OP	75701802
427071	1451	1996-05-13	PRIJEM	PREVOD Z UCTU	6490	29310	DUCHOD	OP	75701802
427072	1451	1996-06-13	PRIJEM	PREVOD Z UCTU	6490	22790	DUCHOD	OP	75701802
427073	1451	1996-07-13	PRIJEM	PREVOD Z UCTU	6490	24031	DUCHOD	OP	75701802
427074	1451	1996-08-13	PRIJEM	PREVOD Z UCTU	6490	26266	DUCHOD	OP	75701802
427075	1451	1996-09-13	PRIJEM	PREVOD Z UCTU	6490	29110	DUCHOD	OP	75701802
427076	1451	1996-10-13	PRIJEM	PREVOD Z UCTU	6490	30367	DUCHOD	OP	75701802
427077	1451	1996-11-13	PRIJEM	PREVOD Z UCTU	6490	25468	DUCHOD	OP	75701802
427078	1451	1996-12-13	PRIJEM	PREVOD Z UCTU	6490	22515	DUCHOD	OP	75701802
427079	1451	1997-01-13	PRIJEM	PREVOD Z UCTU	6490	19025	DUCHOD	OP	75701802
427080	1451	1997-02-13	PRIJEM	PREVOD Z UCTU	6490	18075	DUCHOD	OP	75701802
427081	1451	1997-03-13	PRIJEM	PREVOD Z UCTU	6490	20885	DUCHOD	OP	75701802
427082	1451	1997-04-13	PRIJEM	PREVOD Z UCTU	6490	17366	DUCHOD	OP	75701802
427083	1451	1997-05-13	PRIJEM	PREVOD Z UCTU	6490	20176	DUCHOD	OP	75701802
427084	1451	1997-06-13	PRIJEM	PREVOD Z UCTU	6490	19695	DUCHOD	OP	75701802
427085	1451	1997-07-13	PRIJEM	PREVOD Z UCTU	6490	20911	DUCHOD	OP	75701802
427086	1451	1997-08-13	PRIJEM	PREVOD Z UCTU	6490	23033	DUCHOD	OP	75701802
427087	1451	1997-09-13	PRIJEM	PREVOD Z UCTU	6490	17762	DUCHOD	OP	75701802
427088	1451	1997-10-13	PRIJEM	PREVOD Z UCTU	6490	20576	DUCHOD	OP	75701802
427089	1451	1997-11-13	PRIJEM	PREVOD Z UCTU	6490	20475	DUCHOD	OP	75701802
427090	1451	1997-12-13	PRIJEM	PREVOD Z UCTU	6490	19095	DUCHOD	OP	75701802
427091	1451	1998-01-13	PRIJEM	PREVOD Z UCTU	6490	18767	DUCHOD	OP	75701802
427092	1451	1998-02-13	PRIJEM	PREVOD Z UCTU	6490	19894	DUCHOD	OP	75701802
427093	1451	1998-03-13	PRIJEM	PREVOD Z UCTU	6490	22711	DUCHOD	OP	75701802
427094	1451	1998-04-13	PRIJEM	PREVOD Z UCTU	6490	25541	DUCHOD	OP	75701802
427095	1451	1998-05-13	PRIJEM	PREVOD Z UCTU	6490	19879	DUCHOD	OP	75701802
427096	1451	1998-06-13	PRIJEM	PREVOD Z UCTU	6490	22697	DUCHOD	OP	75701802
427097	1451	1998-07-13	PRIJEM	PREVOD Z UCTU	6490	18990	DUCHOD	OP	75701802
427098	1451	1998-08-13	PRIJEM	PREVOD Z UCTU	6490	21323	DUCHOD	OP	75701802
427099	1451	1998-09-13	PRIJEM	PREVOD Z UCTU	6490	17337	DUCHOD	OP	75701802
427100	1451	1998-10-13	PRIJEM	PREVOD Z UCTU	6490	20143	DUCHOD	OP	75701802
427101	1451	1998-11-13	PRIJEM	PREVOD Z UCTU	6490	22961	DUCHOD	OP	75701802
427102	1451	1998-12-13	PRIJEM	PREVOD Z UCTU	6490	22087	DUCHOD	OP	75701802
427114	1451	1993-12-08	VYDAJ	PREVOD NA UCET	3734	24894	SIPO	UV	44489443
427115	1451	1994-01-08	VYDAJ	PREVOD NA UCET	3734	19494	SIPO	UV	44489443
427116	1451	1994-02-08	VYDAJ	PREVOD NA UCET	3734	16923	SIPO	UV	44489443
427117	1451	1994-03-08	VYDAJ	PREVOD NA UCET	3734	19356	SIPO	UV	44489443
427118	1451	1994-04-08	VYDAJ	PREVOD NA UCET	3734	21600	SIPO	UV	44489443
427119	1451	1994-05-08	VYDAJ	PREVOD NA UCET	3734	22126	SIPO	UV	44489443
427120	1451	1994-06-08	VYDAJ	PREVOD NA UCET	3734	19777	SIPO	UV	44489443
427121	1451	1994-07-08	VYDAJ	PREVOD NA UCET	3734	18622	SIPO	UV	44489443
427122	1451	1994-08-08	VYDAJ	PREVOD NA UCET	3734	20161	SIPO	UV	44489443
427123	1451	1994-09-08	VYDAJ	PREVOD NA UCET	3734	16406	SIPO	UV	44489443
427124	1451	1994-10-08	VYDAJ	PREVOD NA UCET	3734	19239	SIPO	UV	44489443
427125	1451	1994-11-08	VYDAJ	PREVOD NA UCET	3734	18483	SIPO	UV	44489443
427126	1451	1994-12-08	VYDAJ	PREVOD NA UCET	3734	21325	SIPO	UV	44489443
427127	1451	1995-01-08	VYDAJ	PREVOD NA UCET	3734	23376	SIPO	UV	44489443
427128	1451	1995-02-08	VYDAJ	PREVOD NA UCET	3734	9996	SIPO	UV	44489443
427129	1451	1995-03-08	VYDAJ	PREVOD NA UCET	3734	12802	SIPO	UV	44489443
427130	1451	1995-04-08	VYDAJ	PREVOD NA UCET	3734	15619	SIPO	UV	44489443
427131	1451	1995-05-08	VYDAJ	PREVOD NA UCET	3734	18447	SIPO	UV	44489443
427132	1451	1995-06-08	VYDAJ	PREVOD NA UCET	3734	20887	SIPO	UV	44489443
427133	1451	1995-07-08	VYDAJ	PREVOD NA UCET	3734	22776	SIPO	UV	44489443
427134	1451	1995-08-08	VYDAJ	PREVOD NA UCET	3734	25634	SIPO	UV	44489443
427135	1451	1995-09-08	VYDAJ	PREVOD NA UCET	3734	26600	SIPO	UV	44489443
427136	1451	1995-10-08	VYDAJ	PREVOD NA UCET	3734	28371	SIPO	UV	44489443
427137	1451	1995-11-08	VYDAJ	PREVOD NA UCET	3734	29949	SIPO	UV	44489443
427138	1451	1995-12-08	VYDAJ	PREVOD NA UCET	3734	30304	SIPO	UV	44489443
427139	1451	1996-01-08	VYDAJ	PREVOD NA UCET	3734	29949	SIPO	UV	44489443
427140	1451	1996-02-08	VYDAJ	PREVOD NA UCET	3734	21957	SIPO	UV	44489443
427141	1451	1996-03-08	VYDAJ	PREVOD NA UCET	3734	24812	SIPO	UV	44489443
427142	1451	1996-04-08	VYDAJ	PREVOD NA UCET	3734	26959	SIPO	UV	44489443
427143	1451	1996-05-08	VYDAJ	PREVOD NA UCET	3734	25220	SIPO	UV	44489443
427144	1451	1996-06-08	VYDAJ	PREVOD NA UCET	3734	23200	SIPO	UV	44489443
427145	1451	1996-07-08	VYDAJ	PREVOD NA UCET	3734	17541	SIPO	UV	44489443
427146	1451	1996-08-08	VYDAJ	PREVOD NA UCET	3734	19776	SIPO	UV	44489443
427147	1451	1996-09-08	VYDAJ	PREVOD NA UCET	3734	22620	SIPO	UV	44489443
427148	1451	1996-10-08	VYDAJ	PREVOD NA UCET	3734	23877	SIPO	UV	44489443
427149	1451	1996-11-08	VYDAJ	PREVOD NA UCET	3734	20338	SIPO	UV	44489443
427150	1451	1996-12-08	VYDAJ	PREVOD NA UCET	3734	16025	SIPO	UV	44489443
427151	1451	1997-01-08	VYDAJ	PREVOD NA UCET	3734	12535	SIPO	UV	44489443
427152	1451	1997-02-08	VYDAJ	PREVOD NA UCET	3734	11585	SIPO	UV	44489443
427153	1451	1997-03-08	VYDAJ	PREVOD NA UCET	3734	14395	SIPO	UV	44489443
427154	1451	1997-04-08	VYDAJ	PREVOD NA UCET	3734	10876	SIPO	UV	44489443
427155	1451	1997-05-08	VYDAJ	PREVOD NA UCET	3734	13686	SIPO	UV	44489443
427156	1451	1997-06-08	VYDAJ	PREVOD NA UCET	3734	13205	SIPO	UV	44489443
427157	1451	1997-07-08	VYDAJ	PREVOD NA UCET	3734	14421	SIPO	UV	44489443
427158	1451	1997-08-08	VYDAJ	PREVOD NA UCET	3734	16543	SIPO	UV	44489443
427159	1451	1997-09-08	VYDAJ	PREVOD NA UCET	3734	11272	SIPO	UV	44489443
427160	1451	1997-10-08	VYDAJ	PREVOD NA UCET	3734	14086	SIPO	UV	44489443
427161	1451	1997-11-08	VYDAJ	PREVOD NA UCET	3734	13985	SIPO	UV	44489443
427162	1451	1997-12-08	VYDAJ	PREVOD NA UCET	3734	12605	SIPO	UV	44489443
427163	1451	1998-01-08	VYDAJ	PREVOD NA UCET	3734	12277	SIPO	UV	44489443
427164	1451	1998-02-08	VYDAJ	PREVOD NA UCET	3734	13404	SIPO	UV	44489443
427165	1451	1998-03-08	VYDAJ	PREVOD NA UCET	3734	16221	SIPO	UV	44489443
427166	1451	1998-04-08	VYDAJ	PREVOD NA UCET	3734	19051	SIPO	UV	44489443
427167	1451	1998-05-08	VYDAJ	PREVOD NA UCET	3734	13389	SIPO	UV	44489443
427168	1451	1998-06-08	VYDAJ	PREVOD NA UCET	3734	16207	SIPO	UV	44489443
427169	1451	1998-07-08	VYDAJ	PREVOD NA UCET	3734	12500	SIPO	UV	44489443
427170	1451	1998-08-08	VYDAJ	PREVOD NA UCET	3734	14833	SIPO	UV	44489443
427171	1451	1998-09-08	VYDAJ	PREVOD NA UCET	3734	10847	SIPO	UV	44489443
427172	1451	1998-10-08	VYDAJ	PREVOD NA UCET	3734	13653	SIPO	UV	44489443
427173	1451	1998-11-08	VYDAJ	PREVOD NA UCET	3734	16471	SIPO	UV	44489443
427174	1451	1998-12-08	VYDAJ	PREVOD NA UCET	3734	15597	SIPO	UV	44489443
427178	1451	1996-06-12	VYDAJ	VYBER	6900	16300	\N	\N	\N
427180	1451	1998-06-27	VYDAJ	VYBER	4850	16167	\N	\N	\N
427182	1451	1994-01-22	VYDAJ	VYBER	2150	21294	\N	\N	\N
427183	1451	1995-01-29	VYDAJ	VYBER	3400	16606	\N	\N	\N
427184	1451	1996-01-19	VYDAJ	VYBER	3900	30219	\N	\N	\N
427187	1451	1993-12-06	VYDAJ	VYBER	450	28628	\N	\N	\N
427188	1451	1994-12-17	VYDAJ	VYBER	800	27015	\N	\N	\N
427189	1451	1995-12-05	VYDAJ	VYBER	850	34038	\N	\N	\N
427190	1451	1996-12-15	VYDAJ	VYBER	500	22015	\N	\N	\N
427191	1451	1997-12-05	VYDAJ	VYBER	600	16339	\N	\N	\N
427192	1451	1998-12-17	VYDAJ	VYBER	350	21737	\N	\N	\N
427199	1451	1994-01-05	VYDAJ	VYBER	2080	25228	\N	\N	\N
427200	1451	1994-01-06	VYDAJ	VYBER	2000	23228	\N	\N	\N
427201	1451	1994-01-21	VYDAJ	VYBER	960	23444	\N	\N	\N
427202	1451	1994-01-12	VYDAJ	VYBER	480	19014	\N	\N	\N
427203	1451	1994-01-29	VYDAJ	VYBER	720	20574	\N	\N	\N
427204	1451	1994-01-03	VYDAJ	VYBER	2160	27308	\N	\N	\N
427205	1451	1995-01-13	VYDAJ	VYBER	1520	27866	\N	\N	\N
427206	1451	1995-01-24	VYDAJ	VYBER	1600	22086	\N	\N	\N
427207	1451	1995-01-10	VYDAJ	VYBER	480	22896	\N	\N	\N
427208	1451	1995-01-14	VYDAJ	VYBER	2320	25546	\N	\N	\N
427209	1451	1995-01-25	VYDAJ	VYBER	2080	20006	\N	\N	\N
427210	1451	1995-01-19	VYDAJ	VYBER	960	23686	\N	\N	\N
427211	1451	1996-01-01	VYDAJ	VYBER	1360	33683	\N	\N	\N
427212	1451	1996-01-21	VYDAJ	VYBER	1360	28859	\N	\N	\N
427213	1451	1996-01-26	VYDAJ	VYBER	1600	25579	\N	\N	\N
427214	1451	1996-01-23	VYDAJ	VYBER	1680	27179	\N	\N	\N
427215	1451	1996-01-14	VYDAJ	VYBER	640	34119	\N	\N	\N
427216	1451	1996-01-11	VYDAJ	VYBER	1680	28269	\N	\N	\N
427217	1451	1997-01-14	VYDAJ	VYBER	1200	17825	\N	\N	\N
427218	1451	1997-01-22	VYDAJ	VYBER	960	16865	\N	\N	\N
427220	1451	1997-01-01	VYDAJ	VYBER	800	21289	\N	\N	\N
427221	1451	1997-01-03	VYDAJ	VYBER	880	20409	\N	\N	\N
427222	1451	1997-01-04	VYDAJ	VYBER	1440	18969	\N	\N	\N
427224	1451	1998-01-14	VYDAJ	VYBER	1680	17087	\N	\N	\N
427225	1451	1998-01-02	VYDAJ	VYBER	720	17131	\N	\N	\N
427227	1451	1998-01-04	VYDAJ	VYBER	1120	16011	\N	\N	\N
427229	1451	1993-12-10	VYDAJ	VYBER	1520	23374	\N	\N	\N
427234	1451	1994-11-03	VYDAJ	VYBER	3600	22217	\N	\N	\N
427235	1451	1994-07-03	VYDAJ	VYBER	2800	22356	\N	\N	\N
427236	1451	1994-06-24	VYDAJ	VYBER	1200	25067	\N	\N	\N
427237	1451	1994-09-05	VYDAJ	VYBER	3840	20140	\N	\N	\N
427238	1451	1994-05-26	VYDAJ	VYBER	3200	23416	\N	\N	\N
427239	1451	1994-08-24	VYDAJ	VYBER	2560	23891	\N	\N	\N
427240	1451	1995-12-18	VYDAJ	VYBER	1680	34914	\N	\N	\N
427241	1451	1995-11-21	VYDAJ	VYBER	1680	34759	\N	\N	\N
427242	1451	1995-06-17	VYDAJ	VYBER	960	26417	\N	\N	\N
427243	1451	1995-02-06	VYDAJ	VYBER	2960	13730	\N	\N	\N
427244	1451	1996-07-02	VYDAJ	VYBER	1600	21275	\N	\N	\N
427245	1451	1996-06-01	VYDAJ	VYBER	2480	26934	\N	\N	\N
427246	1451	1996-05-03	VYDAJ	VYBER	800	28954	\N	\N	\N
427247	1451	1996-04-07	VYDAJ	VYBER	720	30693	\N	\N	\N
427248	1451	1996-11-28	VYDAJ	VYBER	1600	23868	\N	\N	\N
427249	1451	1996-05-09	VYDAJ	VYBER	2400	22820	\N	\N	\N
427250	1451	1996-11-12	VYDAJ	VYBER	1360	18978	\N	\N	\N
427251	1451	1997-03-29	VYDAJ	VYBER	2240	18645	\N	\N	\N
427252	1451	1997-10-15	VYDAJ	VYBER	720	19856	\N	\N	\N
427253	1451	1997-05-13	VYDAJ	VYBER	1600	18576	\N	\N	\N
427255	1451	1998-08-18	VYDAJ	VYBER	1360	19963	\N	\N	\N
427256	1451	1998-08-06	VYDAJ	VYBER	480	18567	\N	\N	\N
427257	1451	1998-08-19	VYDAJ	VYBER	1440	18523	\N	\N	\N
427259	1451	1998-06-19	VYDAJ	VYBER	1680	21017	\N	\N	\N
427272	1451	1993-11-30	VYDAJ	VYBER	15	29078	SLUZBY	\N	\N
427273	1451	1993-12-31	VYDAJ	VYBER	15	29468	SLUZBY	\N	\N
427274	1451	1994-01-31	VYDAJ	VYBER	15	20657	SLUZBY	\N	\N
427275	1451	1994-02-28	VYDAJ	VYBER	15	23090	SLUZBY	\N	\N
427276	1451	1994-03-31	VYDAJ	VYBER	15	25334	SLUZBY	\N	\N
427277	1451	1994-04-30	VYDAJ	VYBER	15	25860	SLUZBY	\N	\N
427278	1451	1994-05-31	VYDAJ	VYBER	15	23511	SLUZBY	\N	\N
427279	1451	1994-06-30	VYDAJ	VYBER	15	25156	SLUZBY	\N	\N
427280	1451	1994-07-31	VYDAJ	VYBER	15	23895	SLUZBY	\N	\N
427281	1451	1994-08-31	VYDAJ	VYBER	15	23980	SLUZBY	\N	\N
427282	1451	1994-09-30	VYDAJ	VYBER	15	22973	SLUZBY	\N	\N
427283	1451	1994-10-31	VYDAJ	VYBER	15	25817	SLUZBY	\N	\N
427284	1451	1994-11-30	VYDAJ	VYBER	15	25059	SLUZBY	\N	\N
427285	1451	1994-12-31	VYDAJ	VYBER	15	27110	SLUZBY	\N	\N
427286	1451	1995-01-31	VYDAJ	VYBER	15	16690	SLUZBY	\N	\N
427287	1451	1995-02-28	VYDAJ	VYBER	15	16536	SLUZBY	\N	\N
427288	1451	1995-03-31	VYDAJ	VYBER	15	19353	SLUZBY	\N	\N
427289	1451	1995-04-30	VYDAJ	VYBER	15	22181	SLUZBY	\N	\N
427290	1451	1995-05-31	VYDAJ	VYBER	15	24621	SLUZBY	\N	\N
427291	1451	1995-06-30	VYDAJ	VYBER	15	26510	SLUZBY	\N	\N
427292	1451	1995-07-31	VYDAJ	VYBER	15	29368	SLUZBY	\N	\N
427293	1451	1995-08-31	VYDAJ	VYBER	15	30334	SLUZBY	\N	\N
427294	1451	1995-09-30	VYDAJ	VYBER	15	32105	SLUZBY	\N	\N
427295	1451	1995-10-31	VYDAJ	VYBER	15	33683	SLUZBY	\N	\N
427296	1451	1995-11-30	VYDAJ	VYBER	15	34888	SLUZBY	\N	\N
427297	1451	1995-12-31	VYDAJ	VYBER	15	35043	SLUZBY	\N	\N
427298	1451	1996-01-31	VYDAJ	VYBER	15	25691	SLUZBY	\N	\N
427299	1451	1996-02-29	VYDAJ	VYBER	15	28546	SLUZBY	\N	\N
427300	1451	1996-03-31	VYDAJ	VYBER	15	31413	SLUZBY	\N	\N
427301	1451	1996-04-30	VYDAJ	VYBER	15	29754	SLUZBY	\N	\N
427302	1451	1996-05-31	VYDAJ	VYBER	15	29414	SLUZBY	\N	\N
427303	1451	1996-06-30	VYDAJ	VYBER	15	22875	SLUZBY	\N	\N
427304	1451	1996-07-31	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
427305	1451	1996-08-31	VYDAJ	VYBER	15	26354	SLUZBY	\N	\N
427306	1451	1996-09-30	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
427307	1451	1996-10-31	VYDAJ	VYBER	15	30472	SLUZBY	\N	\N
427308	1451	1996-11-30	VYDAJ	VYBER	15	23959	SLUZBY	\N	\N
427309	1451	1996-12-31	VYDAJ	VYBER	15	22089	SLUZBY	\N	\N
427310	1451	1997-01-31	VYDAJ	VYBER	15	16919	SLUZBY	\N	\N
427311	1451	1997-02-28	VYDAJ	VYBER	15	18129	SLUZBY	\N	\N
427312	1451	1997-03-31	VYDAJ	VYBER	15	18710	SLUZBY	\N	\N
427313	1451	1997-04-30	VYDAJ	VYBER	15	17420	SLUZBY	\N	\N
427314	1451	1997-05-31	VYDAJ	VYBER	15	18639	SLUZBY	\N	\N
427315	1451	1997-06-30	VYDAJ	VYBER	15	19755	SLUZBY	\N	\N
427316	1451	1997-07-31	VYDAJ	VYBER	15	20977	SLUZBY	\N	\N
427317	1451	1997-08-31	VYDAJ	VYBER	15	23106	SLUZBY	\N	\N
427318	1451	1997-09-30	VYDAJ	VYBER	15	17820	SLUZBY	\N	\N
427319	1451	1997-10-31	VYDAJ	VYBER	15	19919	SLUZBY	\N	\N
427320	1451	1997-11-30	VYDAJ	VYBER	15	20539	SLUZBY	\N	\N
427321	1451	1997-12-31	VYDAJ	VYBER	15	17851	SLUZBY	\N	\N
427322	1451	1998-01-31	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
427323	1451	1998-02-28	VYDAJ	VYBER	15	19955	SLUZBY	\N	\N
427324	1451	1998-03-31	VYDAJ	VYBER	15	22785	SLUZBY	\N	\N
427325	1451	1998-04-30	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
427326	1451	1998-05-31	VYDAJ	VYBER	15	19941	SLUZBY	\N	\N
427327	1451	1998-06-30	VYDAJ	VYBER	15	16234	SLUZBY	\N	\N
427328	1451	1998-07-31	VYDAJ	VYBER	15	19047	SLUZBY	\N	\N
427329	1451	1998-08-31	VYDAJ	VYBER	15	14581	SLUZBY	\N	\N
427330	1451	1998-09-30	VYDAJ	VYBER	15	17387	SLUZBY	\N	\N
427331	1451	1998-10-31	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
427332	1451	1998-11-30	VYDAJ	VYBER	15	19331	SLUZBY	\N	\N
427333	1451	1993-10-22	VYDAJ	VYBER	2200	24760	\N	\N	\N
427334	1451	1993-11-21	VYDAJ	VYBER	2300	28983	\N	\N	\N
427335	1451	1993-12-21	VYDAJ	VYBER	500	29364	\N	\N	\N
427336	1451	1994-01-20	VYDAJ	VYBER	1100	24404	\N	\N	\N
427337	1451	1994-02-19	VYDAJ	VYBER	400	23013	\N	\N	\N
427338	1451	1994-03-21	VYDAJ	VYBER	600	25246	\N	\N	\N
427339	1451	1994-05-20	VYDAJ	VYBER	2000	26616	\N	\N	\N
427340	1451	1994-07-19	VYDAJ	VYBER	1300	23812	\N	\N	\N
427341	1451	1994-08-18	VYDAJ	VYBER	200	26451	\N	\N	\N
427342	1451	1995-01-15	VYDAJ	VYBER	900	24646	\N	\N	\N
427343	1451	1995-05-15	VYDAJ	VYBER	400	24537	\N	\N	\N
427344	1451	1995-08-13	VYDAJ	VYBER	1900	30224	\N	\N	\N
427345	1451	1995-09-12	VYDAJ	VYBER	1100	25500	\N	\N	\N
427346	1451	1995-10-12	VYDAJ	VYBER	1300	27071	\N	\N	\N
427347	1451	1995-12-11	VYDAJ	VYBER	200	30104	\N	\N	\N
427348	1451	1996-04-09	VYDAJ	VYBER	3800	23159	\N	\N	\N
427349	1451	1996-08-07	VYDAJ	VYBER	600	23510	\N	\N	\N
427350	1451	1996-10-06	VYDAJ	VYBER	1600	27611	\N	\N	\N
427351	1451	1996-11-05	VYDAJ	VYBER	6400	24072	\N	\N	\N
427352	1451	1996-12-05	VYDAJ	VYBER	4200	19759	\N	\N	\N
427353	1451	1997-01-04	VYDAJ	VYBER	2700	16269	\N	\N	\N
427354	1451	1997-02-03	VYDAJ	VYBER	1600	15319	\N	\N	\N
427355	1451	1997-04-04	VYDAJ	VYBER	4100	14610	\N	\N	\N
427356	1451	1997-06-03	VYDAJ	VYBER	1700	16939	\N	\N	\N
427357	1451	1997-07-03	VYDAJ	VYBER	1600	18155	\N	\N	\N
427358	1451	1997-08-02	VYDAJ	VYBER	700	20277	\N	\N	\N
427359	1451	1997-09-01	VYDAJ	VYBER	8100	15006	\N	\N	\N
427360	1451	1997-10-31	VYDAJ	VYBER	2200	17719	\N	\N	\N
427361	1451	1997-11-30	VYDAJ	VYBER	3600	16939	\N	\N	\N
427362	1451	1997-12-30	VYDAJ	VYBER	1300	17795	\N	\N	\N
427363	1451	1998-04-29	VYDAJ	VYBER	8500	17041	\N	\N	\N
427364	1451	1998-08-27	VYDAJ	VYBER	4000	14523	\N	\N	\N
427365	1451	1998-11-25	VYDAJ	VYBER	3700	19261	\N	\N	\N
427429	1452	1995-09-16	PRIJEM	VKLAD	500	500	\N	\N	\N
427439	1452	1995-10-08	PRIJEM	VKLAD	19943	20443	\N	\N	\N
427440	1452	1995-11-08	PRIJEM	VKLAD	19943	43236	\N	\N	\N
427441	1452	1995-12-08	PRIJEM	VKLAD	29914	64071	\N	\N	\N
427442	1452	1996-01-08	PRIJEM	VKLAD	19943	64580	\N	\N	\N
427443	1452	1996-02-08	PRIJEM	VKLAD	19943	63706	\N	\N	\N
427444	1452	1996-03-08	PRIJEM	VKLAD	19943	65520	\N	\N	\N
427445	1452	1996-04-08	PRIJEM	VKLAD	19943	64237	\N	\N	\N
427446	1452	1996-05-08	PRIJEM	VKLAD	19943	63153	\N	\N	\N
427447	1452	1996-06-08	PRIJEM	VKLAD	29914	45547	\N	\N	\N
427448	1452	1996-07-08	PRIJEM	VKLAD	19943	57641	\N	\N	\N
427449	1452	1996-08-08	PRIJEM	VKLAD	19943	66550	\N	\N	\N
427450	1452	1996-09-08	PRIJEM	VKLAD	19943	69279	\N	\N	\N
427451	1452	1996-10-08	PRIJEM	VKLAD	19943	68918	\N	\N	\N
427452	1452	1996-11-08	PRIJEM	VKLAD	19943	69358	\N	\N	\N
427453	1452	1996-12-08	PRIJEM	VKLAD	29914	76267	\N	\N	\N
427454	1452	1997-01-08	PRIJEM	VKLAD	19943	79535	\N	\N	\N
427455	1452	1997-02-08	PRIJEM	VKLAD	19943	63802	\N	\N	\N
427456	1452	1997-03-08	PRIJEM	VKLAD	19943	83980	\N	\N	\N
427457	1452	1997-04-08	PRIJEM	VKLAD	19943	78457	\N	\N	\N
427458	1452	1997-05-08	PRIJEM	VKLAD	19943	73487	\N	\N	\N
427459	1452	1997-06-08	PRIJEM	VKLAD	29914	72608	\N	\N	\N
427460	1452	1997-07-08	PRIJEM	VKLAD	19943	60608	\N	\N	\N
427461	1452	1997-08-08	PRIJEM	VKLAD	19943	67664	\N	\N	\N
427462	1452	1997-09-08	PRIJEM	VKLAD	19943	71159	\N	\N	\N
427463	1452	1997-10-08	PRIJEM	VKLAD	19943	69778	\N	\N	\N
427464	1452	1997-11-08	PRIJEM	VKLAD	19943	70597	\N	\N	\N
427465	1452	1997-12-08	PRIJEM	VKLAD	29914	77389	\N	\N	\N
427466	1452	1998-01-08	PRIJEM	VKLAD	19943	70310	\N	\N	\N
427467	1452	1998-02-08	PRIJEM	VKLAD	19943	63397	\N	\N	\N
427468	1452	1998-03-08	PRIJEM	VKLAD	19943	74479	\N	\N	\N
427469	1452	1998-04-08	PRIJEM	VKLAD	19943	77895	\N	\N	\N
427470	1452	1998-05-08	PRIJEM	VKLAD	19943	80839	\N	\N	\N
427471	1452	1998-06-08	PRIJEM	VKLAD	29914	90872	\N	\N	\N
427472	1452	1998-07-08	PRIJEM	VKLAD	19943	81559	\N	\N	\N
427473	1452	1998-08-08	PRIJEM	VKLAD	19943	84721	\N	\N	\N
427474	1452	1998-09-08	PRIJEM	VKLAD	19943	85287	\N	\N	\N
427475	1452	1998-10-08	PRIJEM	VKLAD	19943	90187	\N	\N	\N
427476	1452	1998-11-08	PRIJEM	VKLAD	19943	88605	\N	\N	\N
427477	1452	1998-12-08	PRIJEM	VKLAD	29914	103890	\N	\N	\N
427479	1452	1996-06-01	VYDAJ	VYBER	26800	15633	\N	\N	\N
427480	1452	1997-06-28	VYDAJ	VYBER	26800	45808	\N	\N	\N
427481	1452	1998-06-27	VYDAJ	VYBER	14700	76172	\N	\N	\N
427484	1452	1997-01-27	VYDAJ	VYBER	2100	51335	\N	\N	\N
427485	1452	1998-01-20	VYDAJ	VYBER	9600	58810	\N	\N	\N
427487	1452	1996-12-05	VYDAJ	VYBER	2900	46353	\N	\N	\N
427488	1452	1997-12-05	VYDAJ	VYBER	1400	47475	\N	\N	\N
427489	1452	1998-12-13	VYDAJ	VYBER	1400	102490	\N	\N	\N
427502	1452	1997-01-16	VYDAJ	VYBER	1400	56035	\N	\N	\N
427503	1452	1997-01-18	VYDAJ	VYBER	1800	54235	\N	\N	\N
427504	1452	1997-01-30	VYDAJ	VYBER	2400	48935	\N	\N	\N
427505	1452	1997-01-26	VYDAJ	VYBER	800	53435	\N	\N	\N
427506	1452	1997-01-10	VYDAJ	VYBER	600	58135	\N	\N	\N
427507	1452	1997-01-12	VYDAJ	VYBER	700	57435	\N	\N	\N
427508	1452	1998-01-12	VYDAJ	VYBER	1200	69110	\N	\N	\N
427509	1452	1998-01-03	VYDAJ	VYBER	2400	69967	\N	\N	\N
427510	1452	1998-01-04	VYDAJ	VYBER	1200	50367	\N	\N	\N
427511	1452	1998-01-29	VYDAJ	VYBER	1500	54910	\N	\N	\N
427512	1452	1998-01-26	VYDAJ	VYBER	2400	56410	\N	\N	\N
427513	1452	1998-01-15	VYDAJ	VYBER	700	68410	\N	\N	\N
427516	1452	1996-10-04	VYDAJ	VYBER	2200	48975	\N	\N	\N
427517	1452	1996-05-18	VYDAJ	VYBER	2600	42253	\N	\N	\N
427518	1452	1996-05-01	VYDAJ	VYBER	2200	43210	\N	\N	\N
427519	1452	1996-11-20	VYDAJ	VYBER	2900	49058	\N	\N	\N
427520	1452	1996-03-25	VYDAJ	VYBER	1600	44120	\N	\N	\N
427522	1452	1997-10-27	VYDAJ	VYBER	800	68978	\N	\N	\N
427523	1452	1997-12-10	VYDAJ	VYBER	3200	74189	\N	\N	\N
427524	1452	1997-12-18	VYDAJ	VYBER	2100	72089	\N	\N	\N
427525	1452	1997-08-09	VYDAJ	VYBER	1800	65864	\N	\N	\N
427526	1452	1997-07-08	VYDAJ	VYBER	3300	57308	\N	\N	\N
427527	1452	1997-04-08	VYDAJ	VYBER	700	77757	\N	\N	\N
427528	1452	1998-08-09	VYDAJ	VYBER	2700	82021	\N	\N	\N
427529	1452	1998-03-10	VYDAJ	VYBER	4000	70479	\N	\N	\N
427544	1452	1996-02-29	VYDAJ	VYBER	15	45577	SLUZBY	\N	\N
427545	1452	1996-03-31	VYDAJ	VYBER	15	44294	SLUZBY	\N	\N
427546	1452	1996-04-30	VYDAJ	VYBER	15	45410	SLUZBY	\N	\N
427547	1452	1996-05-31	VYDAJ	VYBER	15	42433	SLUZBY	\N	\N
427548	1452	1996-06-30	VYDAJ	VYBER	15	37698	SLUZBY	\N	\N
427549	1452	1996-07-31	VYDAJ	VYBER	15	46607	SLUZBY	\N	\N
427550	1452	1996-08-31	VYDAJ	VYBER	15	49336	SLUZBY	\N	\N
427551	1452	1996-09-30	VYDAJ	VYBER	15	51175	SLUZBY	\N	\N
427552	1452	1996-10-31	VYDAJ	VYBER	15	49415	SLUZBY	\N	\N
427553	1452	1996-11-30	VYDAJ	VYBER	15	49253	SLUZBY	\N	\N
427554	1452	1996-12-31	VYDAJ	VYBER	15	59592	SLUZBY	\N	\N
427555	1452	1997-01-31	VYDAJ	VYBER	15	49159	SLUZBY	\N	\N
427556	1452	1997-02-28	VYDAJ	VYBER	15	64037	SLUZBY	\N	\N
427557	1452	1997-03-31	VYDAJ	VYBER	15	58514	SLUZBY	\N	\N
427558	1452	1997-04-30	VYDAJ	VYBER	15	53544	SLUZBY	\N	\N
427559	1452	1997-05-31	VYDAJ	VYBER	15	53394	SLUZBY	\N	\N
427560	1452	1997-06-30	VYDAJ	VYBER	15	46065	SLUZBY	\N	\N
427561	1452	1997-07-31	VYDAJ	VYBER	15	57521	SLUZBY	\N	\N
427562	1452	1997-08-31	VYDAJ	VYBER	15	66116	SLUZBY	\N	\N
427563	1452	1997-09-30	VYDAJ	VYBER	15	71435	SLUZBY	\N	\N
427564	1452	1997-10-31	VYDAJ	VYBER	15	69254	SLUZBY	\N	\N
427565	1452	1997-11-30	VYDAJ	VYBER	15	70875	SLUZBY	\N	\N
427566	1452	1997-12-31	VYDAJ	VYBER	15	72367	SLUZBY	\N	\N
427567	1452	1998-01-31	VYDAJ	VYBER	15	55154	SLUZBY	\N	\N
427568	1452	1998-02-28	VYDAJ	VYBER	15	63636	SLUZBY	\N	\N
427569	1452	1998-03-31	VYDAJ	VYBER	15	70752	SLUZBY	\N	\N
427570	1452	1998-04-30	VYDAJ	VYBER	15	78196	SLUZBY	\N	\N
427571	1452	1998-05-31	VYDAJ	VYBER	15	81158	SLUZBY	\N	\N
427572	1452	1998-06-30	VYDAJ	VYBER	15	76516	SLUZBY	\N	\N
427573	1452	1998-07-31	VYDAJ	VYBER	15	81878	SLUZBY	\N	\N
427574	1452	1998-08-31	VYDAJ	VYBER	15	82344	SLUZBY	\N	\N
427575	1452	1998-09-30	VYDAJ	VYBER	15	70244	SLUZBY	\N	\N
427576	1452	1998-10-31	VYDAJ	VYBER	15	68662	SLUZBY	\N	\N
427577	1452	1998-11-30	VYDAJ	VYBER	15	73976	SLUZBY	\N	\N
427578	1452	1995-10-16	PRIJEM	VKLAD	2800	23243	\N	\N	\N
427579	1452	1995-11-15	VYDAJ	VYBER	9200	34036	\N	\N	\N
427580	1452	1995-12-15	VYDAJ	VYBER	19600	44471	\N	\N	\N
427581	1452	1996-01-14	VYDAJ	VYBER	21000	43580	\N	\N	\N
427582	1452	1996-02-13	VYDAJ	VYBER	18300	45406	\N	\N	\N
427583	1452	1996-03-14	VYDAJ	VYBER	19800	45720	\N	\N	\N
427584	1452	1996-04-13	VYDAJ	VYBER	19000	45237	\N	\N	\N
427585	1452	1996-05-13	VYDAJ	VYBER	18300	44853	\N	\N	\N
427586	1452	1996-06-12	VYDAJ	VYBER	8000	37547	\N	\N	\N
427587	1452	1996-07-12	VYDAJ	VYBER	11200	46441	\N	\N	\N
427588	1452	1996-08-11	VYDAJ	VYBER	17400	49150	\N	\N	\N
427589	1452	1996-09-10	VYDAJ	VYBER	18300	50979	\N	\N	\N
427590	1452	1996-10-10	VYDAJ	VYBER	19700	49218	\N	\N	\N
427591	1452	1996-11-09	VYDAJ	VYBER	17400	51958	\N	\N	\N
427592	1452	1996-12-09	VYDAJ	VYBER	16900	59367	\N	\N	\N
427593	1452	1997-01-08	VYDAJ	VYBER	20800	58735	\N	\N	\N
427594	1452	1997-02-07	VYDAJ	VYBER	5300	43859	\N	\N	\N
427595	1452	1997-03-09	VYDAJ	VYBER	25700	58280	\N	\N	\N
427596	1452	1997-04-08	VYDAJ	VYBER	24500	53257	\N	\N	\N
427597	1452	1997-05-08	VYDAJ	VYBER	20300	53187	\N	\N	\N
427598	1452	1997-06-07	VYDAJ	VYBER	10700	42694	\N	\N	\N
427599	1452	1997-07-07	VYDAJ	VYBER	5400	40665	\N	\N	\N
427600	1452	1997-08-06	VYDAJ	VYBER	9800	47721	\N	\N	\N
427601	1452	1997-09-05	VYDAJ	VYBER	14900	51216	\N	\N	\N
427602	1452	1997-10-05	VYDAJ	VYBER	21600	49835	\N	\N	\N
427603	1452	1997-11-04	VYDAJ	VYBER	18600	50654	\N	\N	\N
427604	1452	1997-12-04	VYDAJ	VYBER	22000	48875	\N	\N	\N
427605	1452	1998-01-03	VYDAJ	VYBER	18400	51567	\N	\N	\N
427606	1452	1998-02-02	VYDAJ	VYBER	11700	43454	\N	\N	\N
427607	1452	1998-03-04	VYDAJ	VYBER	9100	54536	\N	\N	\N
427608	1452	1998-04-03	VYDAJ	VYBER	12800	57952	\N	\N	\N
427609	1452	1998-05-03	VYDAJ	VYBER	17300	60896	\N	\N	\N
427610	1452	1998-06-02	VYDAJ	VYBER	20200	60958	\N	\N	\N
427611	1452	1998-07-02	VYDAJ	VYBER	14900	61616	\N	\N	\N
427612	1452	1998-08-01	VYDAJ	VYBER	17100	64778	\N	\N	\N
427613	1452	1998-08-31	VYDAJ	VYBER	17000	65344	\N	\N	\N
427614	1452	1998-09-30	VYDAJ	VYBER	15300	70258	\N	\N	\N
427615	1452	1998-10-30	VYDAJ	VYBER	21800	68387	\N	\N	\N
427616	1452	1998-11-29	VYDAJ	VYBER	14900	73705	\N	\N	\N
427656	1453	1993-09-25	PRIJEM	VKLAD	600	600	\N	\N	\N
427658	1453	1993-10-15	PRIJEM	VKLAD	48283	78260	\N	\N	\N
427659	1453	1993-10-05	PRIJEM	VKLAD	29377	29977	\N	\N	\N
427664	1453	1994-08-20	PRIJEM	VKLAD	31796	49539	\N	\N	\N
427665	1453	1994-05-22	PRIJEM	VKLAD	36489	117461	\N	\N	\N
427666	1453	1994-03-01	PRIJEM	VKLAD	22178	46001	\N	\N	\N
427667	1453	1994-10-30	PRIJEM	VKLAD	36959	72844	\N	\N	\N
427668	1453	1994-06-05	PRIJEM	VKLAD	44709	82673	\N	\N	\N
427669	1453	1994-09-17	PRIJEM	VKLAD	44464	120675	\N	\N	\N
427670	1453	1994-01-16	PRIJEM	VKLAD	19817	54566	\N	\N	\N
427671	1453	1994-03-21	PRIJEM	VKLAD	23489	66526	\N	\N	\N
427672	1453	1994-04-05	PRIJEM	VKLAD	38484	82634	\N	\N	\N
427673	1453	1994-03-12	PRIJEM	VKLAD	33483	79484	\N	\N	\N
427674	1453	1994-05-05	PRIJEM	VKLAD	11381	43174	\N	\N	\N
427675	1453	1994-09-03	PRIJEM	VKLAD	41127	93531	\N	\N	\N
427676	1453	1994-03-22	PRIJEM	VKLAD	49266	115792	\N	\N	\N
427677	1453	1994-08-22	PRIJEM	VKLAD	13850	52289	\N	\N	\N
427678	1453	1994-05-18	PRIJEM	VKLAD	44618	80972	\N	\N	\N
427679	1453	1994-01-18	PRIJEM	VKLAD	24593	79159	\N	\N	\N
427680	1453	1994-12-25	PRIJEM	VKLAD	29529	47013	\N	\N	\N
427681	1453	1994-01-27	PRIJEM	VKLAD	7825	57484	\N	\N	\N
427682	1453	1995-05-16	PRIJEM	VKLAD	18397	78633	\N	\N	\N
427683	1453	1995-01-05	PRIJEM	VKLAD	34101	120343	\N	\N	\N
427684	1453	1995-06-28	PRIJEM	VKLAD	18300	102244	\N	\N	\N
427685	1453	1995-10-31	PRIJEM	VKLAD	14360	89744	\N	\N	\N
427686	1453	1995-09-12	PRIJEM	VKLAD	30767	52980	\N	\N	\N
427687	1453	1995-02-10	PRIJEM	VKLAD	37720	63664	\N	\N	\N
427688	1453	1995-01-04	PRIJEM	VKLAD	26486	86242	\N	\N	\N
427689	1453	1995-02-14	PRIJEM	VKLAD	48526	112190	\N	\N	\N
427690	1453	1995-01-02	PRIJEM	VKLAD	27699	74800	\N	\N	\N
427691	1453	1995-03-17	PRIJEM	VKLAD	5055	79669	\N	\N	\N
427692	1453	1995-11-26	PRIJEM	VKLAD	47019	131763	\N	\N	\N
427693	1453	1995-06-27	PRIJEM	VKLAD	48968	83944	\N	\N	\N
427694	1453	1995-11-26	PRIJEM	VKLAD	37516	84744	\N	\N	\N
427695	1453	1995-10-21	PRIJEM	VKLAD	11011	58776	\N	\N	\N
427696	1453	1995-09-27	PRIJEM	VKLAD	34041	65101	\N	\N	\N
427697	1453	1995-12-10	PRIJEM	VKLAD	7972	88600	\N	\N	\N
427698	1453	1995-07-11	PRIJEM	VKLAD	35806	138302	\N	\N	\N
427699	1453	1995-01-21	PRIJEM	VKLAD	15882	54017	\N	\N	\N
427700	1453	1995-10-31	PRIJEM	VKLAD	35211	75384	\N	\N	\N
427701	1453	1995-05-24	PRIJEM	VKLAD	39468	84801	\N	\N	\N
427702	1453	1995-01-06	PRIJEM	VKLAD	12924	68267	\N	\N	\N
427703	1453	1995-03-31	PRIJEM	VKLAD	22855	81113	\N	\N	\N
427704	1453	1995-10-11	PRIJEM	VKLAD	34204	83385	\N	\N	\N
427705	1453	1995-02-20	PRIJEM	VKLAD	41523	85093	\N	\N	\N
427706	1453	1995-01-09	PRIJEM	VKLAD	41488	109755	\N	\N	\N
427707	1453	1995-04-20	PRIJEM	VKLAD	10507	54250	\N	\N	\N
427708	1453	1995-12-02	PRIJEM	VKLAD	18210	120928	\N	\N	\N
427709	1453	1995-05-10	PRIJEM	VKLAD	33849	67056	\N	\N	\N
427710	1453	1995-03-26	PRIJEM	VKLAD	28885	58258	\N	\N	\N
427711	1453	1996-11-23	PRIJEM	VKLAD	17997	145050	\N	\N	\N
427712	1453	1996-11-22	PRIJEM	VKLAD	45014	142353	\N	\N	\N
427713	1453	1996-02-08	PRIJEM	VKLAD	33333	154844	\N	\N	\N
427714	1453	1996-08-24	PRIJEM	VKLAD	42257	100779	\N	\N	\N
427715	1453	1996-10-31	PRIJEM	VKLAD	46519	79449	\N	\N	\N
427716	1453	1996-12-01	PRIJEM	VKLAD	7843	106678	\N	\N	\N
427717	1453	1996-08-19	PRIJEM	VKLAD	24037	58522	\N	\N	\N
427718	1453	1996-04-04	PRIJEM	VKLAD	5746	67232	\N	\N	\N
427719	1453	1996-01-20	PRIJEM	VKLAD	7299	55964	\N	\N	\N
427720	1453	1996-04-04	PRIJEM	VKLAD	9285	61486	\N	\N	\N
427721	1453	1996-01-16	PRIJEM	VKLAD	31782	59165	\N	\N	\N
427722	1453	1996-01-26	PRIJEM	VKLAD	28381	74145	\N	\N	\N
427723	1453	1996-07-31	PRIJEM	VKLAD	12421	28073	\N	\N	\N
427724	1453	1996-03-01	PRIJEM	VKLAD	23081	85138	\N	\N	\N
427725	1453	1996-08-01	PRIJEM	VKLAD	45251	73374	\N	\N	\N
427726	1453	1996-05-13	PRIJEM	VKLAD	8318	52432	\N	\N	\N
427727	1453	1996-01-10	PRIJEM	VKLAD	45295	69403	\N	\N	\N
427728	1453	1996-02-04	PRIJEM	VKLAD	34928	137411	\N	\N	\N
427729	1453	1996-05-05	PRIJEM	VKLAD	25706	58063	\N	\N	\N
427730	1453	1996-11-21	PRIJEM	VKLAD	46917	97339	\N	\N	\N
427731	1453	1996-01-26	PRIJEM	VKLAD	28159	102304	\N	\N	\N
427732	1453	1996-03-13	PRIJEM	VKLAD	19974	105112	\N	\N	\N
427733	1453	1996-09-22	PRIJEM	VKLAD	19489	71644	\N	\N	\N
427734	1453	1996-05-06	PRIJEM	VKLAD	21241	79304	\N	\N	\N
427735	1453	1996-12-21	PRIJEM	VKLAD	24582	77140	\N	\N	\N
427736	1453	1996-11-02	PRIJEM	VKLAD	10323	89742	\N	\N	\N
427737	1453	1997-02-23	PRIJEM	VKLAD	49104	115676	\N	\N	\N
427738	1453	1997-09-16	PRIJEM	VKLAD	44250	107198	\N	\N	\N
427739	1453	1997-07-02	PRIJEM	VKLAD	8658	58818	\N	\N	\N
427740	1453	1997-07-04	PRIJEM	VKLAD	8697	74001	\N	\N	\N
427741	1453	1997-02-01	PRIJEM	VKLAD	34903	60955	\N	\N	\N
427742	1453	1997-07-14	PRIJEM	VKLAD	30911	79012	\N	\N	\N
427743	1453	1997-03-23	PRIJEM	VKLAD	18902	67007	\N	\N	\N
427744	1453	1997-11-03	PRIJEM	VKLAD	13577	77198	\N	\N	\N
427745	1453	1997-06-29	PRIJEM	VKLAD	12953	39024	\N	\N	\N
427746	1453	1997-09-27	PRIJEM	VKLAD	5501	66789	\N	\N	\N
427747	1453	1997-10-19	PRIJEM	VKLAD	34418	63450	\N	\N	\N
427748	1453	1997-07-01	PRIJEM	VKLAD	11057	50160	\N	\N	\N
427749	1453	1997-09-14	PRIJEM	VKLAD	15798	69768	\N	\N	\N
427750	1453	1997-04-21	PRIJEM	VKLAD	35894	72793	\N	\N	\N
427751	1453	1997-01-02	PRIJEM	VKLAD	36067	113481	\N	\N	\N
427752	1453	1997-06-17	PRIJEM	VKLAD	8891	26071	\N	\N	\N
427753	1453	1997-07-23	PRIJEM	VKLAD	23244	95436	\N	\N	\N
427754	1453	1997-11-03	PRIJEM	VKLAD	30354	107552	\N	\N	\N
427755	1453	1997-05-17	PRIJEM	VKLAD	8226	27574	\N	\N	\N
427756	1453	1997-08-07	PRIJEM	VKLAD	46477	104686	\N	\N	\N
427757	1453	1997-12-02	PRIJEM	VKLAD	29864	67936	\N	\N	\N
427758	1453	1997-02-09	PRIJEM	VKLAD	30037	73392	\N	\N	\N
427759	1453	1997-09-21	PRIJEM	VKLAD	6290	113488	\N	\N	\N
427760	1453	1997-03-07	PRIJEM	VKLAD	37353	116425	\N	\N	\N
427761	1453	1997-03-04	PRIJEM	VKLAD	22496	79072	\N	\N	\N
427762	1453	1997-07-03	PRIJEM	VKLAD	6486	65304	\N	\N	\N
427763	1453	1997-08-14	PRIJEM	VKLAD	44165	148851	\N	\N	\N
427764	1453	1998-12-12	PRIJEM	VKLAD	21149	46610	\N	\N	\N
427765	1453	1998-04-25	PRIJEM	VKLAD	36531	59579	\N	\N	\N
427766	1453	1998-06-26	PRIJEM	VKLAD	30354	45942	\N	\N	\N
427767	1453	1998-07-12	PRIJEM	VKLAD	45742	76758	\N	\N	\N
427768	1453	1998-02-06	PRIJEM	VKLAD	35581	51160	\N	\N	\N
427769	1453	1998-03-05	PRIJEM	VKLAD	23732	53666	\N	\N	\N
427770	1453	1998-10-31	PRIJEM	VKLAD	25947	36899	\N	\N	\N
427856	1453	1994-02-14	VYDAJ	PREVOD NA UCET	6820	21311	SIPO	ST	62248831
427857	1453	1994-03-14	VYDAJ	PREVOD NA UCET	6820	66857	SIPO	ST	62248831
427858	1453	1994-04-14	VYDAJ	PREVOD NA UCET	6820	71831	SIPO	ST	62248831
427859	1453	1994-05-14	VYDAJ	PREVOD NA UCET	6820	36354	SIPO	ST	62248831
427860	1453	1994-06-14	VYDAJ	PREVOD NA UCET	6820	53610	SIPO	ST	62248831
427861	1453	1994-07-14	VYDAJ	PREVOD NA UCET	6820	32175	SIPO	ST	62248831
427862	1453	1994-08-14	VYDAJ	PREVOD NA UCET	6820	17743	SIPO	ST	62248831
427863	1453	1994-09-14	VYDAJ	PREVOD NA UCET	6820	86711	SIPO	ST	62248831
427864	1453	1994-10-14	VYDAJ	PREVOD NA UCET	6820	46385	SIPO	ST	62248831
427865	1453	1994-11-14	VYDAJ	PREVOD NA UCET	6820	66198	SIPO	ST	62248831
427866	1453	1994-12-14	VYDAJ	PREVOD NA UCET	6820	18084	SIPO	ST	62248831
427867	1453	1995-01-14	VYDAJ	PREVOD NA UCET	6820	72735	SIPO	ST	62248831
427868	1453	1995-02-14	VYDAJ	PREVOD NA UCET	6820	105370	SIPO	ST	62248831
427869	1453	1995-03-14	VYDAJ	PREVOD NA UCET	6820	74614	SIPO	ST	62248831
427870	1453	1995-04-14	VYDAJ	PREVOD NA UCET	6820	74543	SIPO	ST	62248831
427871	1453	1995-05-14	VYDAJ	PREVOD NA UCET	6820	60236	SIPO	ST	62248831
427872	1453	1995-06-14	VYDAJ	PREVOD NA UCET	6820	61927	SIPO	ST	62248831
427873	1453	1995-07-14	VYDAJ	PREVOD NA UCET	6820	61875	SIPO	ST	62248831
427874	1453	1995-08-14	VYDAJ	PREVOD NA UCET	6820	25119	SIPO	ST	62248831
427875	1453	1995-09-14	VYDAJ	PREVOD NA UCET	6820	46160	SIPO	ST	62248831
427876	1453	1995-10-14	VYDAJ	PREVOD NA UCET	6820	76565	SIPO	ST	62248831
427877	1453	1995-11-14	VYDAJ	PREVOD NA UCET	6820	47228	SIPO	ST	62248831
427878	1453	1995-12-14	VYDAJ	PREVOD NA UCET	6820	48180	SIPO	ST	62248831
427879	1453	1996-01-14	VYDAJ	PREVOD NA UCET	6820	29483	SIPO	ST	62248831
427880	1453	1996-02-14	VYDAJ	PREVOD NA UCET	6820	61724	SIPO	ST	62248831
427881	1453	1996-03-14	VYDAJ	PREVOD NA UCET	6820	51992	SIPO	ST	62248831
427882	1453	1996-04-14	VYDAJ	PREVOD NA UCET	6820	32212	SIPO	ST	62248831
427883	1453	1996-05-14	VYDAJ	PREVOD NA UCET	6820	45612	SIPO	ST	62248831
427884	1453	1996-06-14	VYDAJ	PREVOD NA UCET	6820	23964	SIPO	ST	62248831
427885	1453	1996-07-14	VYDAJ	PREVOD NA UCET	6820	15652	SIPO	ST	62248831
427886	1453	1996-08-14	VYDAJ	PREVOD NA UCET	6820	34485	SIPO	ST	62248831
427887	1453	1996-09-14	VYDAJ	PREVOD NA UCET	6820	52155	SIPO	ST	62248831
427888	1453	1996-10-14	VYDAJ	PREVOD NA UCET	6820	43203	SIPO	ST	62248831
427889	1453	1996-11-14	VYDAJ	PREVOD NA UCET	6820	50422	SIPO	ST	62248831
427890	1453	1996-12-14	VYDAJ	PREVOD NA UCET	6820	52558	SIPO	ST	62248831
427891	1453	1997-01-14	VYDAJ	PREVOD NA UCET	6820	51661	SIPO	ST	62248831
427892	1453	1997-02-14	VYDAJ	PREVOD NA UCET	6820	66572	SIPO	ST	62248831
427893	1453	1997-03-14	VYDAJ	PREVOD NA UCET	6820	48105	SIPO	ST	62248831
427894	1453	1997-04-14	VYDAJ	PREVOD NA UCET	6820	36899	SIPO	ST	62248831
427895	1453	1997-05-14	VYDAJ	PREVOD NA UCET	6820	19348	SIPO	ST	62248831
427896	1453	1997-06-14	VYDAJ	PREVOD NA UCET	6820	17180	SIPO	ST	62248831
427897	1453	1997-07-14	VYDAJ	PREVOD NA UCET	6820	72192	SIPO	ST	62248831
427898	1453	1997-08-14	VYDAJ	PREVOD NA UCET	6820	142031	SIPO	ST	62248831
427899	1453	1997-09-14	VYDAJ	PREVOD NA UCET	6820	62948	SIPO	ST	62248831
427900	1453	1997-10-14	VYDAJ	PREVOD NA UCET	6820	29032	SIPO	ST	62248831
427901	1453	1997-11-14	VYDAJ	PREVOD NA UCET	6820	55532	SIPO	ST	62248831
427902	1453	1997-12-14	VYDAJ	PREVOD NA UCET	6820	30516	SIPO	ST	62248831
427903	1453	1998-01-14	VYDAJ	PREVOD NA UCET	6820	15523	SIPO	ST	62248831
427904	1453	1998-02-14	VYDAJ	PREVOD NA UCET	6820	44340	SIPO	ST	62248831
427905	1453	1998-03-14	VYDAJ	PREVOD NA UCET	6820	38227	SIPO	ST	62248831
427906	1453	1998-04-14	VYDAJ	PREVOD NA UCET	6820	23048	SIPO	ST	62248831
427907	1453	1998-05-14	VYDAJ	PREVOD NA UCET	6820	22304	SIPO	ST	62248831
427908	1453	1998-06-14	VYDAJ	PREVOD NA UCET	6820	15588	SIPO	ST	62248831
427909	1453	1998-07-14	VYDAJ	PREVOD NA UCET	6820	69938	SIPO	ST	62248831
427910	1453	1998-08-14	VYDAJ	PREVOD NA UCET	6820	33729	SIPO	ST	62248831
427911	1453	1998-09-14	VYDAJ	PREVOD NA UCET	6820	17638	SIPO	ST	62248831
427912	1453	1998-10-14	VYDAJ	PREVOD NA UCET	6820	10882	SIPO	ST	62248831
427913	1453	1998-11-14	VYDAJ	PREVOD NA UCET	6820	30049	SIPO	ST	62248831
427914	1453	1998-12-14	VYDAJ	PREVOD NA UCET	6820	39790	SIPO	ST	62248831
427927	1453	1994-03-12	VYBER	VYBER	5807	73677	\N	\N	\N
427928	1453	1994-01-27	VYBER	VYBER	10164	47320	\N	\N	\N
427930	1453	1994-04-29	VYBER	VYBER	8343	39988	\N	\N	\N
427931	1453	1994-03-15	VYBER	VYBER	23820	43037	\N	\N	\N
427932	1453	1994-02-02	VYBER	VYBER	19390	28131	\N	\N	\N
427933	1453	1994-07-21	VYBER	VYBER	8523	23652	\N	\N	\N
427934	1453	1994-06-05	VYBER	VYBER	22243	60430	\N	\N	\N
427936	1453	1994-06-02	VYBER	VYBER	18684	37964	\N	\N	\N
427937	1453	1994-04-11	VYBER	VYBER	3983	78651	\N	\N	\N
427938	1453	1995-03-20	VYBER	VYBER	20496	29373	\N	\N	\N
427939	1453	1995-10-27	VYBER	VYBER	8703	40173	\N	\N	\N
427940	1453	1995-12-15	VYBER	VYBER	22155	26025	\N	\N	\N
427941	1453	1995-07-11	VYBER	VYBER	12007	126295	\N	\N	\N
427942	1453	1995-06-03	VYBER	VYBER	16282	68747	\N	\N	\N
427943	1453	1995-01-02	VYBER	VYBER	6644	68156	\N	\N	\N
427944	1453	1995-06-18	VYBER	VYBER	4451	34976	\N	\N	\N
427945	1453	1995-02-04	VYBER	VYBER	21150	29800	\N	\N	\N
427946	1453	1995-10-07	VYBER	VYBER	4879	53081	\N	\N	\N
427947	1453	1995-02-08	VYBER	VYBER	3856	25944	\N	\N	\N
427948	1453	1995-03-08	VYBER	VYBER	3911	81434	\N	\N	\N
427949	1453	1995-09-30	VYBER	VYBER	7243	57990	\N	\N	\N
427950	1453	1996-05-07	VYBER	VYBER	8490	70814	\N	\N	\N
427951	1453	1996-08-09	VYBER	VYBER	10369	63005	\N	\N	\N
427952	1453	1997-05-09	VYBER	VYBER	21151	26168	\N	\N	\N
427953	1453	1997-10-02	VYBER	VYBER	15177	51952	\N	\N	\N
427954	1453	1997-11-25	VYBER	VYBER	5125	37807	\N	\N	\N
427963	1453	1998-04-25	VYBER	VYBER	10273	49306	\N	\N	\N
427966	1453	1998-03-10	VYBER	VYBER	8619	45047	\N	\N	\N
427975	1453	1995-01-05	VYDAJ	VYBER	24300	55343	\N	\N	\N
427976	1453	1996-01-16	VYDAJ	VYBER	10500	48665	\N	\N	\N
427977	1453	1997-01-05	VYDAJ	VYBER	11100	100281	\N	\N	\N
427980	1453	1994-12-09	VYDAJ	VYBER	2400	24904	\N	\N	\N
427982	1453	1996-12-04	VYDAJ	VYBER	3900	102778	\N	\N	\N
427983	1453	1997-12-03	VYDAJ	VYBER	6600	61336	\N	\N	\N
427997	1453	1995-01-19	VYDAJ	VYBER	6300	38135	\N	\N	\N
427998	1453	1995-01-09	VYDAJ	VYBER	8100	83755	\N	\N	\N
427999	1453	1995-01-11	VYDAJ	VYBER	4200	79555	\N	\N	\N
428000	1453	1995-01-25	VYDAJ	VYBER	3300	50717	\N	\N	\N
428001	1453	1995-01-02	VYDAJ	VYBER	1500	66656	\N	\N	\N
428002	1453	1995-01-16	VYDAJ	VYBER	6000	66735	\N	\N	\N
428003	1453	1996-01-20	VYDAJ	VYBER	8400	45764	\N	\N	\N
428004	1453	1996-01-15	VYDAJ	VYBER	2100	27383	\N	\N	\N
428006	1453	1996-01-03	VYDAJ	VYBER	2100	24108	\N	\N	\N
428007	1453	1996-01-12	VYDAJ	VYBER	6600	62803	\N	\N	\N
428008	1453	1996-01-20	VYDAJ	VYBER	1800	54164	\N	\N	\N
428009	1453	1997-01-04	VYDAJ	VYBER	2100	111381	\N	\N	\N
428010	1453	1997-01-14	VYDAJ	VYBER	3900	47761	\N	\N	\N
428011	1453	1997-01-26	VYDAJ	VYBER	7500	32761	\N	\N	\N
428012	1453	1997-01-26	VYDAJ	VYBER	6900	25861	\N	\N	\N
428014	1453	1997-01-23	VYDAJ	VYBER	7500	40261	\N	\N	\N
428024	1453	1994-11-23	VYDAJ	VYBER	14700	27098	\N	\N	\N
428026	1453	1994-07-26	VYDAJ	VYBER	1500	24452	\N	\N	\N
428027	1453	1994-05-04	VYDAJ	VYBER	8400	31793	\N	\N	\N
428029	1453	1994-09-16	VYDAJ	VYBER	10500	76211	\N	\N	\N
428030	1453	1995-01-03	VYDAJ	VYBER	6900	59756	\N	\N	\N
428031	1453	1995-08-11	VYDAJ	VYBER	8400	31939	\N	\N	\N
428032	1453	1995-05-07	VYDAJ	VYBER	6900	33207	\N	\N	\N
428033	1453	1995-10-08	VYDAJ	VYBER	3900	49181	\N	\N	\N
428034	1453	1995-05-04	VYDAJ	VYBER	14400	40107	\N	\N	\N
428035	1453	1995-10-26	VYDAJ	VYBER	9900	48876	\N	\N	\N
428037	1453	1996-10-27	VYDAJ	VYBER	10500	32703	\N	\N	\N
428038	1453	1996-08-29	VYDAJ	VYBER	10500	90279	\N	\N	\N
428039	1453	1996-01-12	VYDAJ	VYBER	4200	58603	\N	\N	\N
428041	1453	1997-11-14	VYDAJ	VYBER	12600	42932	\N	\N	\N
428043	1453	1997-07-10	VYDAJ	VYBER KARTOU	3300	48101	\N	\N	0
428045	1453	1997-12-10	VYDAJ	VYBER KARTOU	3000	37336	\N	\N	0
428047	1453	1998-07-22	VYDAJ	VYBER	5400	64538	\N	\N	\N
428066	1453	1994-01-31	VYDAJ	VYBER	30	47521	SLUZBY	\N	\N
428067	1453	1994-02-28	VYDAJ	VYBER	30	23823	SLUZBY	\N	\N
428068	1453	1994-03-31	VYDAJ	VYBER	30	44150	SLUZBY	\N	\N
428069	1453	1994-04-30	VYDAJ	VYBER	30	40193	SLUZBY	\N	\N
428070	1453	1994-05-31	VYDAJ	VYBER	30	56648	SLUZBY	\N	\N
428071	1453	1994-06-30	VYDAJ	VYBER	30	38995	SLUZBY	\N	\N
428072	1453	1994-07-31	VYDAJ	VYBER	30	24563	SLUZBY	\N	\N
428073	1453	1994-08-31	VYDAJ	VYBER	30	52404	SLUZBY	\N	\N
428074	1453	1994-09-30	VYDAJ	VYBER	30	53205	SLUZBY	\N	\N
428075	1453	1994-10-31	VYDAJ	VYBER	30	73018	SLUZBY	\N	\N
428076	1453	1994-11-30	VYDAJ	VYBER	30	27304	SLUZBY	\N	\N
428077	1453	1994-12-31	VYDAJ	VYBER	30	47101	SLUZBY	\N	\N
428078	1453	1995-01-31	VYDAJ	VYBER	30	50950	SLUZBY	\N	\N
428079	1453	1995-02-28	VYDAJ	VYBER	30	85345	SLUZBY	\N	\N
428080	1453	1995-03-31	VYDAJ	VYBER	30	81363	SLUZBY	\N	\N
428081	1453	1995-04-30	VYDAJ	VYBER	30	54507	SLUZBY	\N	\N
428082	1453	1995-05-31	VYDAJ	VYBER	30	85029	SLUZBY	\N	\N
428083	1453	1995-06-30	VYDAJ	VYBER	30	102496	SLUZBY	\N	\N
428084	1453	1995-07-31	VYDAJ	VYBER	30	40339	SLUZBY	\N	\N
428085	1453	1995-08-31	VYDAJ	VYBER	30	22213	SLUZBY	\N	\N
428086	1453	1995-09-30	VYDAJ	VYBER	30	57960	SLUZBY	\N	\N
428087	1453	1995-10-31	VYDAJ	VYBER	30	89948	SLUZBY	\N	\N
428088	1453	1995-11-30	VYDAJ	VYBER	30	102718	SLUZBY	\N	\N
428089	1453	1995-12-31	VYDAJ	VYBER	30	26208	SLUZBY	\N	\N
428090	1453	1996-01-31	VYDAJ	VYBER	30	102483	SLUZBY	\N	\N
428091	1453	1996-02-29	VYDAJ	VYBER	30	62057	SLUZBY	\N	\N
428092	1453	1996-03-31	VYDAJ	VYBER	30	52201	SLUZBY	\N	\N
428093	1453	1996-04-30	VYDAJ	VYBER	30	32357	SLUZBY	\N	\N
428094	1453	1996-05-31	VYDAJ	VYBER	30	45784	SLUZBY	\N	\N
428095	1453	1996-06-30	VYDAJ	VYBER	30	24072	SLUZBY	\N	\N
428096	1453	1996-07-31	VYDAJ	VYBER	30	28123	SLUZBY	\N	\N
428097	1453	1996-08-31	VYDAJ	VYBER	30	90475	SLUZBY	\N	\N
428098	1453	1996-09-30	VYDAJ	VYBER	30	71923	SLUZBY	\N	\N
428099	1453	1996-10-31	VYDAJ	VYBER	30	79419	SLUZBY	\N	\N
428100	1453	1996-11-30	VYDAJ	VYBER	30	98835	SLUZBY	\N	\N
428101	1453	1996-12-31	VYDAJ	VYBER	30	77414	SLUZBY	\N	\N
428102	1453	1997-01-31	VYDAJ	VYBER	30	26052	SLUZBY	\N	\N
428103	1453	1997-02-28	VYDAJ	VYBER	30	56576	SLUZBY	\N	\N
428104	1453	1997-03-31	VYDAJ	VYBER	30	67219	SLUZBY	\N	\N
428105	1453	1997-04-30	VYDAJ	VYBER	30	73019	SLUZBY	\N	\N
428106	1453	1997-05-31	VYDAJ	VYBER	30	27700	SLUZBY	\N	\N
428107	1453	1997-06-30	VYDAJ	VYBER	30	39103	SLUZBY	\N	\N
428108	1453	1997-07-31	VYDAJ	VYBER	30	95709	SLUZBY	\N	\N
428109	1453	1997-08-31	VYDAJ	VYBER	30	81870	SLUZBY	\N	\N
428110	1453	1997-09-30	VYDAJ	VYBER	30	67129	SLUZBY	\N	\N
428111	1453	1997-10-31	VYDAJ	VYBER	30	63621	SLUZBY	\N	\N
428112	1453	1997-11-30	VYDAJ	VYBER	30	38072	SLUZBY	\N	\N
428113	1453	1997-12-31	VYDAJ	VYBER	30	30643	SLUZBY	\N	\N
428114	1453	1998-01-31	VYDAJ	VYBER	30	15579	SLUZBY	\N	\N
428115	1453	1998-02-28	VYDAJ	VYBER	30	44434	SLUZBY	\N	\N
428116	1453	1998-03-31	VYDAJ	VYBER	30	38368	SLUZBY	\N	\N
428117	1453	1998-04-30	VYDAJ	VYBER	30	49424	SLUZBY	\N	\N
428118	1453	1998-05-31	VYDAJ	VYBER	30	22408	SLUZBY	\N	\N
428119	1453	1998-06-30	VYDAJ	VYBER	30	46016	SLUZBY	\N	\N
428120	1453	1998-07-31	VYDAJ	VYBER	30	40549	SLUZBY	\N	\N
428121	1453	1998-08-31	VYDAJ	VYBER	30	24458	SLUZBY	\N	\N
428122	1453	1998-09-30	VYDAJ	VYBER	30	17702	SLUZBY	\N	\N
428123	1453	1998-10-31	VYDAJ	VYBER	30	36869	SLUZBY	\N	\N
428124	1453	1998-11-30	VYDAJ	VYBER	30	25461	SLUZBY	\N	\N
428125	1453	1993-10-25	VYDAJ	VYBER	26100	52160	\N	\N	\N
428126	1453	1993-11-24	VYDAJ	VYBER	11600	40714	\N	\N	\N
428127	1453	1993-12-24	VYDAJ	VYBER	6400	34532	\N	\N	\N
428128	1453	1994-01-23	VYDAJ	VYBER	29500	49659	\N	\N	\N
428129	1453	1994-02-22	PRIJEM	VKLAD	2400	23711	\N	\N	\N
428130	1453	1994-03-22	VYDAJ	VYBER	56000	59792	\N	\N	\N
428131	1453	1994-03-24	VYDAJ	VYBER	15800	43992	\N	\N	\N
428132	1453	1994-04-23	VYDAJ	VYBER	23500	48331	\N	\N	\N
428133	1453	1994-05-22	VYDAJ	VYBER	31600	85861	\N	\N	\N
428134	1453	1994-05-23	VYDAJ	VYBER	29400	56461	\N	\N	\N
428135	1453	1994-06-22	VYDAJ	VYBER	14800	38810	\N	\N	\N
428136	1453	1994-07-22	PRIJEM	VKLAD	2300	25952	\N	\N	\N
428137	1453	1994-08-21	VYDAJ	VYBER	11100	38439	\N	\N	\N
428138	1453	1994-09-17	VYDAJ	VYBER	38700	81975	\N	\N	\N
428139	1453	1994-09-20	VYDAJ	VYBER	29000	52975	\N	\N	\N
428140	1453	1994-10-20	VYDAJ	VYBER	10500	35885	\N	\N	\N
428141	1453	1994-11-19	VYDAJ	VYBER	24400	41798	\N	\N	\N
428142	1453	1994-12-19	VYDAJ	VYBER	600	17484	\N	\N	\N
428143	1453	1995-01-05	VYDAJ	VYBER	40700	79643	\N	\N	\N
428144	1453	1995-01-09	VYDAJ	VYBER	17900	91855	\N	\N	\N
428145	1453	1995-01-18	VYDAJ	VYBER	22300	44435	\N	\N	\N
428146	1453	1995-02-14	VYDAJ	VYBER	37300	68070	\N	\N	\N
428147	1453	1995-02-17	VYDAJ	VYBER	24500	43570	\N	\N	\N
428148	1453	1995-03-19	VYDAJ	VYBER	29800	49869	\N	\N	\N
428149	1453	1995-04-18	VYDAJ	VYBER	30800	43743	\N	\N	\N
428150	1453	1995-05-18	VYDAJ	VYBER	33300	45333	\N	\N	\N
428151	1453	1995-06-17	VYDAJ	VYBER	22500	39427	\N	\N	\N
428152	1453	1995-07-11	VYDAJ	VYBER	57600	68695	\N	\N	\N
428153	1453	1995-07-17	VYDAJ	VYBER	21800	40075	\N	\N	\N
428154	1453	1995-08-16	VYDAJ	VYBER	3000	22119	\N	\N	\N
428155	1453	1995-09-15	VYDAJ	VYBER	15100	31060	\N	\N	\N
428156	1453	1995-10-15	VYDAJ	VYBER	28800	47765	\N	\N	\N
428157	1453	1995-11-14	VYDAJ	VYBER	35900	54048	\N	\N	\N
428158	1453	1995-11-26	VYDAJ	VYBER	29300	102463	\N	\N	\N
428159	1453	1995-12-02	VYDAJ	VYBER	40300	80628	\N	\N	\N
428160	1453	1995-12-14	VYDAJ	VYBER	33600	55000	\N	\N	\N
428161	1453	1996-01-13	VYDAJ	VYBER	22300	36303	\N	\N	\N
428162	1453	1996-02-04	VYDAJ	VYBER	15900	121511	\N	\N	\N
428163	1453	1996-02-08	VYDAJ	VYBER	30400	124444	\N	\N	\N
428164	1453	1996-02-12	VYDAJ	VYBER	55900	68544	\N	\N	\N
428165	1453	1996-03-13	VYDAJ	VYBER	46300	58812	\N	\N	\N
428166	1453	1996-04-12	VYDAJ	VYBER	28200	39032	\N	\N	\N
428167	1453	1996-05-12	VYDAJ	VYBER	26700	44114	\N	\N	\N
428168	1453	1996-06-11	VYDAJ	VYBER	15000	30784	\N	\N	\N
428169	1453	1996-07-11	VYDAJ	VYBER	1600	22472	\N	\N	\N
428170	1453	1996-08-10	VYDAJ	VYBER	21700	41305	\N	\N	\N
428171	1453	1996-09-09	VYDAJ	VYBER	31500	58975	\N	\N	\N
428172	1453	1996-10-09	VYDAJ	VYBER	21900	50023	\N	\N	\N
428173	1453	1996-11-08	VYDAJ	VYBER	32500	57242	\N	\N	\N
428174	1453	1996-11-22	VYDAJ	VYBER	15300	127053	\N	\N	\N
428175	1453	1996-11-23	VYDAJ	VYBER	46500	98550	\N	\N	\N
428176	1453	1996-12-08	VYDAJ	VYBER	43400	59378	\N	\N	\N
428177	1453	1997-01-07	VYDAJ	VYBER	41800	58481	\N	\N	\N
428178	1453	1997-02-06	VYDAJ	VYBER	17600	43355	\N	\N	\N
428179	1453	1997-02-23	VYDAJ	VYBER	59300	56376	\N	\N	\N
428180	1453	1997-03-07	VYDAJ	VYBER	29100	87325	\N	\N	\N
428181	1453	1997-03-08	VYDAJ	VYBER	32400	54925	\N	\N	\N
428182	1453	1997-04-07	VYDAJ	VYBER	23500	43719	\N	\N	\N
428183	1453	1997-05-07	VYDAJ	VYBER	25700	47319	\N	\N	\N
428184	1453	1997-06-06	VYDAJ	VYBER KARTOU	3700	24000	\N	\N	0
428185	1453	1997-07-06	VYDAJ	VYBER	22600	51401	\N	\N	\N
428186	1453	1997-08-05	VYDAJ	VYBER	37500	58209	\N	\N	\N
428187	1453	1997-08-14	VYDAJ	VYBER	60500	81531	\N	\N	\N
428188	1453	1997-09-04	VYDAJ	VYBER	27900	53970	\N	\N	\N
428189	1453	1997-09-21	VYDAJ	VYBER	52200	61288	\N	\N	\N
428190	1453	1997-10-04	VYDAJ	VYBER	16100	35852	\N	\N	\N
428191	1453	1997-11-03	VYDAJ	VYBER	45200	62352	\N	\N	\N
428192	1453	1997-12-03	VYDAJ	VYBER	21000	40336	\N	\N	\N
428193	1453	1998-01-02	VYDAJ	VYBER	8300	22343	\N	\N	\N
428194	1453	1998-03-03	VYDAJ	VYBER	14500	29934	\N	\N	\N
428195	1453	1998-04-02	VYDAJ	VYBER	8500	29868	\N	\N	\N
428196	1453	1998-05-02	VYDAJ	VYBER	20300	29124	\N	\N	\N
428197	1453	1998-07-01	VYDAJ	VYBER	15000	31016	\N	\N	\N
428198	1453	1998-07-31	VYDAJ	VYBER	24200	40579	\N	\N	\N
428199	1453	1998-08-30	VYDAJ	VYBER	9400	24329	\N	\N	\N
428200	1453	1998-11-28	VYDAJ	VYBER	4700	25349	\N	\N	\N
428264	1454	1997-07-25	PRIJEM	VKLAD	300	300	\N	\N	\N
428317	1454	1997-08-24	PRIJEM	VKLAD	12300	12600	\N	\N	\N
428318	1454	1997-09-23	PRIJEM	VKLAD	8900	21500	\N	\N	\N
428319	1454	1997-10-23	PRIJEM	VKLAD	600	22100	\N	\N	\N
428320	1454	1997-11-22	PRIJEM	VKLAD	800	22900	\N	\N	\N
428321	1454	1997-12-22	PRIJEM	VKLAD	5400	28300	\N	\N	\N
428322	1454	1998-01-21	PRIJEM	VKLAD	2900	31200	\N	\N	\N
428323	1454	1998-02-20	PRIJEM	VKLAD	3700	34900	\N	\N	\N
428324	1454	1998-03-22	PRIJEM	VKLAD	1100	36000	\N	\N	\N
428325	1454	1998-04-21	PRIJEM	VKLAD	700	36700	\N	\N	\N
428326	1454	1998-05-21	PRIJEM	VKLAD	1800	38500	\N	\N	\N
428327	1454	1998-06-20	VYDAJ	VYBER	2300	36200	\N	\N	\N
428328	1454	1998-07-20	VYDAJ	VYBER	900	35300	\N	\N	\N
428329	1454	1998-08-19	PRIJEM	VKLAD	400	35700	\N	\N	\N
428330	1454	1998-09-18	PRIJEM	VKLAD	200	35900	\N	\N	\N
428331	1454	1998-10-18	VYDAJ	VYBER	1700	34200	\N	\N	\N
428332	1454	1998-11-17	PRIJEM	VKLAD	1000	35200	\N	\N	\N
428333	1455	1996-01-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
428334	1455	1996-01-11	PRIJEM	VKLAD	6319	7319	\N	\N	\N
428335	1455	1996-02-11	PRIJEM	VKLAD	6319	23059	\N	\N	\N
428336	1455	1996-03-11	PRIJEM	VKLAD	6319	32251	\N	\N	\N
428337	1455	1996-04-11	PRIJEM	VKLAD	6319	35892	\N	\N	\N
428338	1455	1996-05-11	PRIJEM	VKLAD	6319	38756	\N	\N	\N
428339	1455	1996-06-11	PRIJEM	VKLAD	9479	40077	\N	\N	\N
428340	1455	1996-07-11	PRIJEM	VKLAD	6319	33086	\N	\N	\N
428341	1455	1996-08-11	PRIJEM	VKLAD	6319	35259	\N	\N	\N
428342	1455	1996-09-11	PRIJEM	VKLAD	6319	38485	\N	\N	\N
428343	1455	1996-10-11	PRIJEM	VKLAD	6319	42424	\N	\N	\N
428344	1455	1996-11-11	PRIJEM	VKLAD	6319	39839	\N	\N	\N
428345	1455	1996-12-11	PRIJEM	VKLAD	9479	45844	\N	\N	\N
428346	1455	1997-01-11	PRIJEM	VKLAD	6319	39462	\N	\N	\N
428347	1455	1997-02-11	PRIJEM	VKLAD	6319	26415	\N	\N	\N
428348	1455	1997-03-11	PRIJEM	VKLAD	6319	27825	\N	\N	\N
428349	1455	1997-04-11	PRIJEM	VKLAD	6319	26318	\N	\N	\N
428350	1455	1997-05-11	PRIJEM	VKLAD	6319	28306	\N	\N	\N
428351	1455	1997-06-11	PRIJEM	VKLAD	9479	29381	\N	\N	\N
428352	1455	1997-07-11	PRIJEM	VKLAD	6319	12660	\N	\N	\N
428353	1455	1997-08-11	PRIJEM	VKLAD	6319	15857	\N	\N	\N
428354	1455	1997-09-11	PRIJEM	VKLAD	6319	17832	\N	\N	\N
428355	1455	1997-10-11	PRIJEM	VKLAD	6319	28094	\N	\N	\N
428356	1455	1997-11-11	PRIJEM	VKLAD	6319	30391	\N	\N	\N
428357	1455	1997-12-11	PRIJEM	VKLAD	9479	26429	\N	\N	\N
428358	1455	1998-01-11	PRIJEM	VKLAD	6319	12282	\N	\N	\N
428359	1455	1998-02-11	PRIJEM	VKLAD	6319	14205	\N	\N	\N
428360	1455	1998-03-11	PRIJEM	VKLAD	6319	14141	\N	\N	\N
428361	1455	1998-04-11	PRIJEM	VKLAD	6319	16180	\N	\N	\N
428362	1455	1998-05-11	PRIJEM	VKLAD	6319	13543	\N	\N	\N
428363	1455	1998-06-11	PRIJEM	VKLAD	9479	20541	\N	\N	\N
428364	1455	1998-07-11	PRIJEM	VKLAD	6319	13522	\N	\N	\N
428365	1455	1998-08-11	PRIJEM	VKLAD	6319	5374	\N	\N	\N
428366	1455	1998-09-11	PRIJEM	VKLAD	6319	9493	\N	\N	\N
428367	1455	1998-10-11	PRIJEM	VKLAD	6319	7606	\N	\N	\N
428368	1455	1998-11-11	PRIJEM	VKLAD	6319	12524	\N	\N	\N
428369	1455	1998-12-11	PRIJEM	VKLAD	9479	18918	\N	\N	\N
428370	1455	1996-06-23	VYDAJ	VYBER	18720	21357	\N	\N	\N
428371	1455	1997-06-14	VYDAJ	VYBER	30560	-1179	\N	\N	\N
428372	1455	1998-06-14	VYDAJ	VYBER	12960	7581	\N	\N	\N
428373	1455	1996-12-23	VYDAJ	VYBER	3040	42804	\N	\N	\N
428374	1455	1997-12-06	VYDAJ	VYBER	1920	16950	\N	\N	\N
428375	1455	1998-12-19	VYDAJ	VYBER	4480	9038	\N	\N	\N
428382	1455	1997-01-22	VYDAJ	VYBER	3120	28902	\N	\N	\N
428383	1455	1997-01-29	VYDAJ	VYBER	3480	19982	\N	\N	\N
428384	1455	1997-01-22	VYDAJ	VYBER	1920	34062	\N	\N	\N
428385	1455	1997-01-18	VYDAJ	VYBER	2760	35982	\N	\N	\N
428386	1455	1997-01-18	VYDAJ	VYBER	720	38742	\N	\N	\N
428387	1455	1997-01-24	VYDAJ	VYBER	1440	27462	\N	\N	\N
428388	1455	1998-01-26	VYDAJ	VYBER	1320	7862	\N	\N	\N
428389	1455	1998-01-01	VYDAJ	VYBER	720	16883	\N	\N	\N
428390	1455	1998-01-14	VYDAJ	VYBER	1200	11082	\N	\N	\N
428391	1455	1998-01-05	VYDAJ	VYBER	1680	5963	\N	\N	\N
428392	1455	1998-01-01	VYDAJ	VYBER	2760	14123	\N	\N	\N
428393	1455	1998-01-03	VYDAJ	VYBER	1200	7643	\N	\N	\N
428394	1455	1996-10-27	VYDAJ	VYBER	2040	40384	\N	\N	\N
428395	1455	1996-07-01	VYDAJ	VYBER	1320	26767	\N	\N	\N
428396	1455	1996-07-21	VYDAJ	VYBER	1560	31526	\N	\N	\N
428397	1455	1997-02-22	VYDAJ	VYBER	5280	21135	\N	\N	\N
428398	1455	1997-05-12	VYDAJ	VYBER	5640	22666	\N	\N	\N
428399	1455	1997-07-24	VYDAJ	VYBER	4680	7980	\N	\N	\N
428400	1455	1997-05-26	VYDAJ	VYBER	5040	17626	\N	\N	\N
428401	1455	1997-01-22	VYDAJ	VYBER	2040	32022	\N	\N	\N
428402	1455	1997-08-12	VYDAJ	VYBER	5280	10577	\N	\N	\N
428403	1455	1997-08-09	VYDAJ	VYBER	4560	9538	\N	\N	\N
428404	1455	1998-08-08	VYDAJ	VYBER	3480	-945	\N	\N	\N
428405	1455	1998-04-24	VYDAJ	VYBER	4080	7200	\N	\N	\N
428406	1455	1998-01-03	VYDAJ	VYBER	5280	8843	\N	\N	\N
428407	1455	1998-07-29	VYDAJ	VYBER	4800	2522	\N	\N	\N
428413	1455	1996-05-31	VYDAJ	VYBER	15	38899	SLUZBY	\N	\N
428414	1455	1996-06-30	VYDAJ	VYBER	15	21487	SLUZBY	\N	\N
428415	1455	1996-07-31	VYDAJ	VYBER	15	31640	SLUZBY	\N	\N
428416	1455	1996-08-31	VYDAJ	VYBER	15	32166	SLUZBY	\N	\N
428417	1455	1996-09-30	VYDAJ	VYBER	15	36105	SLUZBY	\N	\N
428418	1455	1996-10-31	VYDAJ	VYBER	15	33520	SLUZBY	\N	\N
428419	1455	1996-11-30	VYDAJ	VYBER	15	36365	SLUZBY	\N	\N
428420	1455	1996-12-31	VYDAJ	VYBER	15	33143	SLUZBY	\N	\N
428421	1455	1997-01-31	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
428422	1455	1997-02-28	VYDAJ	VYBER	15	21506	SLUZBY	\N	\N
428423	1455	1997-03-31	VYDAJ	VYBER	15	19999	SLUZBY	\N	\N
428424	1455	1997-04-30	VYDAJ	VYBER	15	21987	SLUZBY	\N	\N
428425	1455	1997-05-31	VYDAJ	VYBER	15	19902	SLUZBY	\N	\N
428426	1455	1997-06-30	VYDAJ	VYBER	15	6346	SLUZBY	\N	\N
428427	1455	1997-07-31	VYDAJ	VYBER	15	14098	SLUZBY	\N	\N
428428	1455	1997-08-31	VYDAJ	VYBER	15	11513	SLUZBY	\N	\N
428429	1455	1997-09-30	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
428430	1455	1997-10-31	VYDAJ	VYBER	15	24072	SLUZBY	\N	\N
428431	1455	1997-11-30	VYDAJ	VYBER	15	18870	SLUZBY	\N	\N
428432	1455	1997-12-31	VYDAJ	VYBER	15	17603	SLUZBY	\N	\N
428433	1455	1998-01-31	VYDAJ	VYBER	15	7886	SLUZBY	\N	\N
428434	1455	1998-02-28	VYDAJ	VYBER	15	7822	SLUZBY	\N	\N
428435	1455	1998-03-31	VYDAJ	VYBER	15	9861	SLUZBY	\N	\N
428436	1455	1998-04-30	VYDAJ	VYBER	15	7224	SLUZBY	\N	\N
428437	1455	1998-05-31	VYDAJ	VYBER	15	11063	SLUZBY	\N	\N
428438	1455	1998-06-30	VYDAJ	VYBER	15	7203	SLUZBY	\N	\N
428439	1455	1998-07-31	VYDAJ	VYBER	15	2535	SLUZBY	\N	\N
428440	1455	1998-08-31	VYDAJ	VYBER	15	3174	SLUZBY	\N	\N
428441	1455	1998-09-30	VYDAJ	VYBER	15	1287	SLUZBY	\N	\N
428442	1455	1998-10-31	VYDAJ	VYBER	15	6205	SLUZBY	\N	\N
428443	1455	1998-11-30	VYDAJ	VYBER	15	9440	SLUZBY	\N	\N
428444	1455	1996-02-02	PRIJEM	VKLAD	9400	16740	\N	\N	\N
428445	1455	1996-03-03	PRIJEM	VKLAD	2800	25932	\N	\N	\N
428446	1455	1996-04-02	VYDAJ	VYBER	2800	29573	\N	\N	\N
428447	1455	1996-05-02	VYDAJ	VYBER	3600	32437	\N	\N	\N
428448	1455	1996-06-01	VYDAJ	VYBER	8300	30599	\N	\N	\N
428449	1455	1996-07-01	PRIJEM	VKLAD	6600	28087	\N	\N	\N
428450	1455	1996-07-31	VYDAJ	VYBER	2700	28940	\N	\N	\N
428451	1455	1996-08-30	VYDAJ	VYBER	3200	32059	\N	\N	\N
428452	1455	1996-09-29	VYDAJ	VYBER	2500	35985	\N	\N	\N
428453	1455	1996-10-29	VYDAJ	VYBER	7000	33384	\N	\N	\N
428454	1455	1996-11-28	VYDAJ	VYBER	3600	36239	\N	\N	\N
428455	1455	1996-12-28	VYDAJ	VYBER	9800	33004	\N	\N	\N
428456	1455	1997-01-27	VYDAJ	VYBER	4000	23462	\N	\N	\N
428457	1455	1997-02-26	PRIJEM	VKLAD	300	21435	\N	\N	\N
428458	1455	1997-03-28	VYDAJ	VYBER	7900	19925	\N	\N	\N
428459	1455	1997-04-27	VYDAJ	VYBER	4400	21918	\N	\N	\N
428460	1455	1997-05-27	PRIJEM	VKLAD	2200	19826	\N	\N	\N
428461	1455	1997-06-26	PRIJEM	VKLAD	7500	6321	\N	\N	\N
428462	1455	1997-07-26	PRIJEM	VKLAD	6100	14080	\N	\N	\N
428463	1455	1997-08-25	PRIJEM	VKLAD	900	11477	\N	\N	\N
428464	1455	1997-09-24	PRIJEM	VKLAD	3900	21732	\N	\N	\N
428465	1455	1997-10-24	VYDAJ	VYBER	4100	23994	\N	\N	\N
428466	1455	1997-11-23	VYDAJ	VYBER	11600	18791	\N	\N	\N
428467	1455	1997-12-23	VYDAJ	VYBER	8900	17529	\N	\N	\N
428468	1455	1998-01-22	VYDAJ	VYBER	1900	9182	\N	\N	\N
428469	1455	1998-02-21	VYDAJ	VYBER	6400	7805	\N	\N	\N
428470	1455	1998-03-23	VYDAJ	VYBER	4300	9841	\N	\N	\N
428471	1455	1998-04-22	VYDAJ	VYBER	4900	11280	\N	\N	\N
428472	1455	1998-05-22	VYDAJ	VYBER	2500	11043	\N	\N	\N
428473	1455	1998-06-21	VYDAJ	VYBER	400	7181	\N	\N	\N
428474	1455	1998-07-21	VYDAJ	VYBER	6200	7322	\N	\N	\N
428475	1455	1998-08-20	VYDAJ	VYBER	2200	3174	\N	\N	\N
428476	1455	1998-09-19	VYDAJ	VYBER	8200	1293	\N	\N	\N
428477	1455	1998-10-19	VYDAJ	VYBER	1400	6206	\N	\N	\N
428478	1455	1998-11-18	VYDAJ	VYBER	3100	9424	\N	\N	\N
428479	1455	1998-12-18	VYDAJ	VYBER	5400	13518	\N	\N	\N
428521	1456	1996-04-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
428524	1456	1996-10-14	PRIJEM	VKLAD	44405	99861	\N	\N	\N
428525	1456	1996-06-27	PRIJEM	VKLAD	22670	86161	\N	\N	\N
428527	1456	1996-12-03	PRIJEM	VKLAD	7711	72597	\N	\N	\N
428528	1456	1996-09-23	PRIJEM	VKLAD	18315	114916	\N	\N	\N
428530	1456	1996-10-07	PRIJEM	VKLAD	46297	125614	\N	\N	\N
428531	1456	1996-06-11	PRIJEM	VKLAD	45040	100291	\N	\N	\N
428533	1456	1996-08-30	PRIJEM	VKLAD	29723	71014	\N	\N	\N
428534	1456	1996-05-29	PRIJEM	VKLAD	13809	45460	\N	\N	\N
428536	1456	1996-12-15	PRIJEM	VKLAD	23504	71801	\N	\N	\N
428537	1456	1996-07-03	PRIJEM	VKLAD	7307	93787	\N	\N	\N
428538	1456	1996-09-14	PRIJEM	VKLAD	11089	71868	\N	\N	\N
428539	1456	1996-07-09	PRIJEM	VKLAD	18648	118217	\N	\N	\N
428540	1456	1996-07-06	PRIJEM	VKLAD	5782	99569	\N	\N	\N
428541	1456	1996-09-21	PRIJEM	VKLAD	39460	120401	\N	\N	\N
428542	1456	1996-09-06	PRIJEM	VKLAD	45279	116519	\N	\N	\N
428543	1456	1996-06-05	PRIJEM	VKLAD	9639	55251	\N	\N	\N
428544	1456	1996-09-16	PRIJEM	VKLAD	44273	116141	\N	\N	\N
428545	1456	1996-10-04	PRIJEM	VKLAD	22055	79317	\N	\N	\N
428546	1456	1996-04-25	PRIJEM	VKLAD	34222	35322	\N	\N	\N
428547	1456	1996-10-12	PRIJEM	VKLAD	5442	55456	\N	\N	\N
428548	1456	1996-09-10	PRIJEM	VKLAD	9360	60779	\N	\N	\N
428549	1456	1997-02-02	PRIJEM	VKLAD	45002	90674	\N	\N	\N
428550	1456	1997-03-26	PRIJEM	VKLAD	6715	55202	\N	\N	\N
428551	1456	1997-07-29	PRIJEM	VKLAD	25309	122652	\N	\N	\N
428552	1456	1997-07-01	PRIJEM	VKLAD	18728	81316	\N	\N	\N
428553	1456	1997-11-30	PRIJEM	VKLAD	36679	113318	\N	\N	\N
428554	1456	1997-02-14	PRIJEM	VKLAD	15350	72924	\N	\N	\N
428555	1456	1997-06-16	PRIJEM	VKLAD	44882	95538	\N	\N	\N
428556	1456	1997-05-01	PRIJEM	VKLAD	31630	119918	\N	\N	\N
428557	1456	1997-05-10	PRIJEM	VKLAD	33485	93194	\N	\N	\N
428558	1456	1997-09-01	PRIJEM	VKLAD	37798	140468	\N	\N	\N
428559	1456	1997-08-30	PRIJEM	VKLAD	32681	80300	\N	\N	\N
428560	1456	1997-09-16	PRIJEM	VKLAD	18718	72372	\N	\N	\N
428561	1456	1997-08-23	PRIJEM	VKLAD	24367	61848	\N	\N	\N
428562	1456	1997-01-02	PRIJEM	VKLAD	19589	90143	\N	\N	\N
428563	1456	1997-05-15	PRIJEM	VKLAD	38473	131667	\N	\N	\N
428564	1456	1997-04-13	PRIJEM	VKLAD	22903	102736	\N	\N	\N
428565	1456	1997-07-14	PRIJEM	VKLAD	35539	106984	\N	\N	\N
428566	1456	1997-11-25	PRIJEM	VKLAD	16644	76639	\N	\N	\N
428567	1456	1997-07-12	PRIJEM	VKLAD	25543	71445	\N	\N	\N
428568	1456	1997-07-26	PRIJEM	VKLAD	28740	97343	\N	\N	\N
428569	1456	1997-10-15	PRIJEM	VKLAD	17979	52798	\N	\N	\N
428570	1456	1997-04-09	PRIJEM	VKLAD	37773	79833	\N	\N	\N
428571	1456	1997-05-09	PRIJEM	VKLAD	28189	59709	\N	\N	\N
428572	1456	1997-06-29	PRIJEM	VKLAD	29923	125461	\N	\N	\N
428573	1456	1997-09-12	PRIJEM	VKLAD	49933	123001	\N	\N	\N
428574	1456	1997-08-31	PRIJEM	VKLAD	22178	102478	\N	\N	\N
428575	1456	1997-10-27	PRIJEM	VKLAD	39226	92024	\N	\N	\N
428576	1456	1997-11-13	PRIJEM	VKLAD	6785	59995	\N	\N	\N
428577	1456	1997-07-24	PRIJEM	VKLAD	44411	151395	\N	\N	\N
428578	1456	1998-08-11	PRIJEM	VKLAD	40184	141834	\N	\N	\N
428579	1456	1998-10-01	PRIJEM	VKLAD	13018	53462	\N	\N	\N
428580	1456	1998-10-24	PRIJEM	VKLAD	45251	114622	\N	\N	\N
428581	1456	1998-02-07	PRIJEM	VKLAD	13461	61448	\N	\N	\N
428582	1456	1998-07-24	PRIJEM	VKLAD	47859	64906	\N	\N	\N
428583	1456	1998-02-27	PRIJEM	VKLAD	24478	119950	\N	\N	\N
428584	1456	1998-01-15	PRIJEM	VKLAD	34884	44835	\N	\N	\N
428585	1456	1998-03-26	PRIJEM	VKLAD	23560	75369	\N	\N	\N
428586	1456	1998-09-09	PRIJEM	VKLAD	34375	74844	\N	\N	\N
428587	1456	1998-12-05	PRIJEM	VKLAD	43789	85207	\N	\N	\N
428588	1456	1998-08-07	PRIJEM	VKLAD	34701	101650	\N	\N	\N
428589	1456	1998-09-02	PRIJEM	VKLAD	31104	81076	\N	\N	\N
428590	1456	1998-02-23	PRIJEM	VKLAD	49939	95472	\N	\N	\N
428591	1456	1998-06-12	PRIJEM	VKLAD	27818	35633	\N	\N	\N
428592	1456	1998-11-16	PRIJEM	VKLAD	16513	79668	\N	\N	\N
428593	1456	1998-11-02	PRIJEM	VKLAD	7377	63155	\N	\N	\N
428594	1456	1998-08-30	PRIJEM	VKLAD	16088	135922	\N	\N	\N
428595	1456	1998-04-14	PRIJEM	VKLAD	35385	79896	\N	\N	\N
428596	1456	1998-01-30	PRIJEM	VKLAD	14706	77725	\N	\N	\N
428597	1456	1998-08-06	PRIJEM	VKLAD	36863	66949	\N	\N	\N
428598	1456	1998-01-19	PRIJEM	VKLAD	18184	63019	\N	\N	\N
428599	1456	1998-09-22	PRIJEM	VKLAD	24766	99610	\N	\N	\N
428600	1456	1998-09-27	PRIJEM	VKLAD	13746	113356	\N	\N	\N
428601	1456	1998-10-08	PRIJEM	VKLAD	24750	78212	\N	\N	\N
428638	1456	1997-04-13	VYBER	VYBER	3376	99360	\N	\N	\N
428639	1456	1997-10-11	VYBER	VYBER	7093	34819	\N	\N	\N
428640	1456	1997-04-21	VYBER	VYBER	11396	87964	\N	\N	\N
428641	1456	1997-01-07	VYBER	VYBER	6283	83860	\N	\N	\N
428642	1456	1997-08-25	VYBER	VYBER	14229	47619	\N	\N	\N
428643	1456	1997-09-30	VYBER	VYBER	7849	54126	\N	\N	\N
428644	1456	1997-10-29	VYBER	VYBER	19929	72095	\N	\N	\N
428645	1456	1997-09-14	VYBER	VYBER	6647	53654	\N	\N	\N
428646	1456	1997-07-25	VYBER	VYBER	19592	68603	\N	\N	\N
428647	1456	1997-07-11	VYBER	VYBER	5914	45902	\N	\N	\N
428648	1456	1997-09-29	VYBER	VYBER	10714	61658	\N	\N	\N
428649	1456	1997-05-03	VYBER	VYBER	20498	34620	\N	\N	\N
428650	1456	1997-08-18	VYBER	VYBER	3304	37481	\N	\N	\N
428651	1456	1998-04-17	VYBER	VYBER	15287	64609	\N	\N	\N
428652	1456	1998-10-08	VYBER	VYBER	8841	69371	\N	\N	\N
428653	1456	1998-05-29	VYBER	VYBER	3816	35072	\N	\N	\N
428654	1456	1998-09-07	VYBER	VYBER	10007	46769	\N	\N	\N
428655	1456	1998-07-24	VYBER	VYBER	11001	53905	\N	\N	\N
428656	1456	1998-06-16	VYBER	VYBER	21864	13769	\N	\N	\N
428657	1456	1998-01-08	VYBER	VYBER	10359	9951	\N	\N	\N
428658	1456	1998-02-13	VYBER	VYBER	15915	45533	\N	\N	\N
428659	1456	1998-09-04	VYBER	VYBER	24300	56776	\N	\N	\N
428662	1456	1998-06-10	VYDAJ	VYBER	17700	7815	\N	\N	\N
428664	1456	1997-01-19	VYDAJ	VYBER	11100	45460	\N	\N	\N
428666	1456	1996-12-21	VYDAJ	VYBER	1500	70301	\N	\N	\N
428667	1456	1997-12-18	VYDAJ	VYBER	1800	39692	\N	\N	\N
428668	1456	1998-12-01	VYDAJ	VYBER KARTOU	3300	41418	\N	\N	0
428673	1456	1997-03-21	VYDAJ	VYBER	3300	48487	\N	\N	\N
428674	1456	1997-08-07	VYDAJ	VYBER	1500	40785	\N	\N	\N
428675	1456	1997-02-04	VYDAJ	VYBER	4500	86174	\N	\N	\N
428676	1456	1998-09-07	VYDAJ	VYBER	6300	40469	\N	\N	\N
428677	1456	1998-09-29	VYDAJ	VYBER	9000	40156	\N	\N	\N
428678	1456	1998-01-05	VYDAJ	VYBER	9900	20310	\N	\N	\N
428685	1456	1996-06-30	VYDAJ	VYBER	15	86480	SLUZBY	\N	\N
428686	1456	1996-07-31	VYDAJ	VYBER	15	56691	SLUZBY	\N	\N
428687	1456	1996-08-31	VYDAJ	VYBER	15	71240	SLUZBY	\N	\N
428688	1456	1996-09-30	VYDAJ	VYBER	15	57262	SLUZBY	\N	\N
428689	1456	1996-10-31	VYDAJ	VYBER	15	100189	SLUZBY	\N	\N
428690	1456	1996-11-30	VYDAJ	VYBER	15	64886	SLUZBY	\N	\N
428691	1456	1996-12-31	VYDAJ	VYBER	15	70554	SLUZBY	\N	\N
428692	1456	1997-01-31	VYDAJ	VYBER	15	45672	SLUZBY	\N	\N
428693	1456	1997-02-28	VYDAJ	VYBER	15	73187	SLUZBY	\N	\N
428694	1456	1997-03-31	VYDAJ	VYBER	15	55460	SLUZBY	\N	\N
428695	1456	1997-04-30	VYDAJ	VYBER	15	88288	SLUZBY	\N	\N
428696	1456	1997-05-31	VYDAJ	VYBER	15	68956	SLUZBY	\N	\N
428697	1456	1997-06-30	VYDAJ	VYBER	15	62588	SLUZBY	\N	\N
428698	1456	1997-07-31	VYDAJ	VYBER	15	60685	SLUZBY	\N	\N
428699	1456	1997-08-31	VYDAJ	VYBER	15	102670	SLUZBY	\N	\N
428700	1456	1997-09-30	VYDAJ	VYBER	15	54112	SLUZBY	\N	\N
428701	1456	1997-10-31	VYDAJ	VYBER	15	72310	SLUZBY	\N	\N
428702	1456	1997-11-30	VYDAJ	VYBER	15	113592	SLUZBY	\N	\N
428703	1456	1997-12-31	VYDAJ	VYBER	15	40010	SLUZBY	\N	\N
428704	1456	1998-01-31	VYDAJ	VYBER	15	77887	SLUZBY	\N	\N
428705	1456	1998-02-28	VYDAJ	VYBER	15	88309	SLUZBY	\N	\N
428706	1456	1998-03-31	VYDAJ	VYBER	15	75711	SLUZBY	\N	\N
428707	1456	1998-04-30	VYDAJ	VYBER	15	64888	SLUZBY	\N	\N
428708	1456	1998-05-31	VYDAJ	VYBER	15	35315	SLUZBY	\N	\N
428709	1456	1998-06-30	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
428710	1456	1998-07-31	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
428711	1456	1998-08-31	VYDAJ	VYBER	15	49972	SLUZBY	\N	\N
428712	1456	1998-09-30	VYDAJ	VYBER	15	40444	SLUZBY	\N	\N
428713	1456	1998-10-31	VYDAJ	VYBER	15	55778	SLUZBY	\N	\N
428714	1456	1998-11-30	VYDAJ	VYBER	15	44718	SLUZBY	\N	\N
428715	1456	1996-05-12	VYDAJ	VYBER	3700	31651	\N	\N	\N
428716	1456	1996-06-11	VYDAJ	VYBER	36800	63491	\N	\N	\N
428717	1456	1996-07-09	VYDAJ	VYBER	27900	90317	\N	\N	\N
428718	1456	1996-07-11	VYDAJ	VYBER	33900	56417	\N	\N	\N
428719	1456	1996-08-10	VYDAJ	VYBER	15400	41291	\N	\N	\N
428720	1456	1996-09-06	VYDAJ	VYBER	40000	76519	\N	\N	\N
428721	1456	1996-09-09	VYDAJ	VYBER	25100	51419	\N	\N	\N
428722	1456	1996-09-16	VYDAJ	VYBER	35200	80941	\N	\N	\N
428723	1456	1996-09-21	VYDAJ	VYBER	23800	96601	\N	\N	\N
428724	1456	1996-09-23	VYDAJ	VYBER	58000	56916	\N	\N	\N
428725	1456	1996-10-07	VYDAJ	VYBER	52200	73414	\N	\N	\N
428726	1456	1996-10-09	VYDAJ	VYBER	23400	50014	\N	\N	\N
428727	1456	1996-11-08	VYDAJ	VYBER	35700	64489	\N	\N	\N
428728	1456	1996-12-08	VYDAJ	VYBER	24300	48297	\N	\N	\N
428729	1456	1997-01-07	VYDAJ	VYBER	27300	56560	\N	\N	\N
428730	1456	1997-02-06	VYDAJ	VYBER	28600	57574	\N	\N	\N
428731	1456	1997-03-08	VYDAJ	VYBER	21400	51787	\N	\N	\N
428732	1456	1997-04-07	VYDAJ	VYBER	13400	42060	\N	\N	\N
428733	1456	1997-05-01	VYDAJ	VYBER	64800	55118	\N	\N	\N
428734	1456	1997-05-07	VYDAJ	VYBER	3100	31520	\N	\N	\N
428735	1456	1997-05-15	VYDAJ	VYBER	63100	68567	\N	\N	\N
428736	1456	1997-06-06	VYDAJ	VYBER	18300	50656	\N	\N	\N
428737	1456	1997-06-29	VYDAJ	VYBER	63200	62261	\N	\N	\N
428738	1456	1997-07-06	VYDAJ	VYBER	29500	51816	\N	\N	\N
428739	1456	1997-07-24	VYDAJ	VYBER	63200	88195	\N	\N	\N
428740	1456	1997-07-29	VYDAJ	VYBER	62300	60352	\N	\N	\N
428741	1456	1997-08-05	VYDAJ	VYBER	18400	42285	\N	\N	\N
428742	1456	1997-09-01	VYDAJ	VYBER	17600	122868	\N	\N	\N
428743	1456	1997-09-04	VYDAJ	VYBER	49800	73068	\N	\N	\N
428744	1456	1997-09-12	VYDAJ	VYBER	62700	60301	\N	\N	\N
428745	1456	1997-10-04	VYDAJ	VYBER	12200	41912	\N	\N	\N
428746	1456	1997-11-03	VYDAJ	VYBER	19100	53210	\N	\N	\N
428747	1456	1997-11-30	VYDAJ	VYBER	61700	51892	\N	\N	\N
428748	1456	1997-12-03	VYDAJ	VYBER	10400	41492	\N	\N	\N
428749	1456	1998-01-02	VYDAJ	VYBER	9800	30210	\N	\N	\N
428750	1456	1998-02-01	VYDAJ	VYBER	29900	47987	\N	\N	\N
428751	1456	1998-02-27	VYDAJ	VYBER	31900	88050	\N	\N	\N
428752	1456	1998-03-03	VYDAJ	VYBER	36500	51809	\N	\N	\N
428753	1456	1998-04-02	VYDAJ	VYBER	31200	44511	\N	\N	\N
428754	1456	1998-05-02	VYDAJ	VYBER	26000	38888	\N	\N	\N
428755	1456	1998-06-01	VYDAJ	VYBER	9800	25515	\N	\N	\N
428756	1456	1998-07-01	PRIJEM	VKLAD	3200	17047	\N	\N	\N
428757	1456	1998-07-31	VYDAJ	VYBER	23900	30101	\N	\N	\N
428758	1456	1998-08-11	VYDAJ	VYBER	22000	119834	\N	\N	\N
428759	1456	1998-08-30	VYDAJ	VYBER	49200	49522	\N	\N	\N
428760	1456	1998-08-30	VYDAJ	VYBER	37200	98722	\N	\N	\N
428761	1456	1998-09-27	VYDAJ	VYBER	38800	74556	\N	\N	\N
428762	1456	1998-09-29	VYDAJ	VYBER	25400	49156	\N	\N	\N
428763	1456	1998-10-24	VYDAJ	VYBER	20700	93922	\N	\N	\N
428764	1456	1998-10-29	VYDAJ	VYBER	38400	55522	\N	\N	\N
428765	1456	1998-11-28	VYDAJ	VYBER	35200	44468	\N	\N	\N
429380	1458	1994-01-03	PRIJEM	VKLAD	700	700	\N	\N	\N
429381	1458	1994-01-13	PRIJEM	VKLAD	16592	17292	\N	\N	\N
429382	1458	1994-02-13	PRIJEM	VKLAD	16592	39128	\N	\N	\N
429383	1458	1994-03-13	PRIJEM	VKLAD	16592	46644	\N	\N	\N
429384	1458	1994-04-13	PRIJEM	VKLAD	16592	50518	\N	\N	\N
429385	1458	1994-05-13	PRIJEM	VKLAD	16592	55414	\N	\N	\N
429386	1458	1994-06-13	PRIJEM	VKLAD	24888	55851	\N	\N	\N
429387	1458	1994-07-13	PRIJEM	VKLAD	16592	53995	\N	\N	\N
429388	1458	1994-08-13	PRIJEM	VKLAD	16592	54539	\N	\N	\N
429389	1458	1994-09-13	PRIJEM	VKLAD	16592	54682	\N	\N	\N
429390	1458	1994-10-13	PRIJEM	VKLAD	16592	54528	\N	\N	\N
429391	1458	1994-11-13	PRIJEM	VKLAD	16592	49567	\N	\N	\N
429392	1458	1994-12-13	PRIJEM	VKLAD	24888	55459	\N	\N	\N
429393	1458	1995-01-13	PRIJEM	VKLAD	16592	47969	\N	\N	\N
429394	1458	1995-02-13	PRIJEM	VKLAD	16592	35956	\N	\N	\N
429395	1458	1995-03-13	PRIJEM	VKLAD	16592	42002	\N	\N	\N
429396	1458	1995-04-13	PRIJEM	VKLAD	16592	35065	\N	\N	\N
429397	1458	1995-05-13	PRIJEM	VKLAD	16592	41116	\N	\N	\N
429398	1458	1995-06-13	PRIJEM	VKLAD	24888	54977	\N	\N	\N
429399	1458	1995-07-13	PRIJEM	VKLAD	16592	47977	\N	\N	\N
429400	1458	1995-08-13	PRIJEM	VKLAD	16592	47163	\N	\N	\N
429401	1458	1995-09-13	PRIJEM	VKLAD	16592	45544	\N	\N	\N
429402	1458	1995-10-13	PRIJEM	VKLAD	16592	46819	\N	\N	\N
429403	1458	1995-11-13	PRIJEM	VKLAD	16592	46997	\N	\N	\N
429404	1458	1995-12-13	PRIJEM	VKLAD	24888	56474	\N	\N	\N
429405	1458	1996-01-13	PRIJEM	VKLAD	16592	44675	\N	\N	\N
429406	1458	1996-02-13	PRIJEM	VKLAD	16592	39941	\N	\N	\N
429407	1458	1996-03-13	PRIJEM	VKLAD	16592	34385	\N	\N	\N
429408	1458	1996-04-13	PRIJEM	VKLAD	16592	38319	\N	\N	\N
429409	1458	1996-05-13	PRIJEM	VKLAD	16592	38358	\N	\N	\N
429410	1458	1996-06-13	PRIJEM	VKLAD	24888	37097	\N	\N	\N
429411	1458	1996-07-13	PRIJEM	VKLAD	16592	43344	\N	\N	\N
429412	1458	1996-08-13	PRIJEM	VKLAD	16592	43300	\N	\N	\N
429413	1458	1996-09-13	PRIJEM	VKLAD	16592	44558	\N	\N	\N
429414	1458	1996-10-13	PRIJEM	VKLAD	16592	41720	\N	\N	\N
429415	1458	1996-11-13	PRIJEM	VKLAD	16592	45481	\N	\N	\N
429416	1458	1996-12-13	PRIJEM	VKLAD	24888	54442	\N	\N	\N
429417	1458	1997-01-13	PRIJEM	VKLAD	16592	37811	\N	\N	\N
429418	1458	1997-02-13	PRIJEM	VKLAD	16592	32938	\N	\N	\N
429419	1458	1997-03-13	PRIJEM	VKLAD	16592	35953	\N	\N	\N
429420	1458	1997-04-13	PRIJEM	VKLAD	16592	38376	\N	\N	\N
429421	1458	1997-05-13	PRIJEM	VKLAD	16592	39907	\N	\N	\N
429422	1458	1997-06-13	PRIJEM	VKLAD	24888	48938	\N	\N	\N
429423	1458	1997-07-13	PRIJEM	VKLAD	16592	45587	\N	\N	\N
429424	1458	1997-08-13	PRIJEM	VKLAD	16592	46445	\N	\N	\N
429425	1458	1997-09-13	PRIJEM	VKLAD	16592	46000	\N	\N	\N
429426	1458	1997-10-13	PRIJEM	VKLAD	16592	46053	\N	\N	\N
429427	1458	1997-11-13	PRIJEM	VKLAD	16592	47410	\N	\N	\N
429428	1458	1997-12-13	PRIJEM	VKLAD	24888	53873	\N	\N	\N
429429	1458	1998-01-13	PRIJEM	VKLAD	16592	38273	\N	\N	\N
429430	1458	1998-02-13	PRIJEM	VKLAD	16592	32830	\N	\N	\N
429431	1458	1998-03-13	PRIJEM	VKLAD	16592	46276	\N	\N	\N
429432	1458	1998-04-13	PRIJEM	VKLAD	16592	35460	\N	\N	\N
429433	1458	1998-05-13	PRIJEM	VKLAD	16592	38710	\N	\N	\N
429434	1458	1998-06-13	PRIJEM	VKLAD	24888	49372	\N	\N	\N
429435	1458	1998-07-13	PRIJEM	VKLAD	16592	36062	\N	\N	\N
429436	1458	1998-08-13	PRIJEM	VKLAD	16592	33819	\N	\N	\N
429437	1458	1998-09-13	PRIJEM	VKLAD	16592	33676	\N	\N	\N
429438	1458	1998-10-13	PRIJEM	VKLAD	16592	46528	\N	\N	\N
429439	1458	1998-11-13	PRIJEM	VKLAD	16592	32115	\N	\N	\N
429440	1458	1998-12-13	PRIJEM	VKLAD	24888	38779	\N	\N	\N
429446	1458	1994-06-12	VYDAJ	PREVOD NA UCET	3259	34863	SIPO	ST	80573415
429447	1458	1994-07-12	VYDAJ	PREVOD NA UCET	3259	37403	SIPO	ST	80573415
429448	1458	1994-08-12	VYDAJ	PREVOD NA UCET	3259	37947	SIPO	ST	80573415
429449	1458	1994-09-12	VYDAJ	PREVOD NA UCET	3259	38090	SIPO	ST	80573415
429450	1458	1994-10-12	VYDAJ	PREVOD NA UCET	3259	37936	SIPO	ST	80573415
429451	1458	1994-11-12	VYDAJ	PREVOD NA UCET	3259	32975	SIPO	ST	80573415
429452	1458	1994-12-12	VYDAJ	PREVOD NA UCET	3259	30571	SIPO	ST	80573415
429453	1458	1995-01-12	VYDAJ	PREVOD NA UCET	3259	31377	SIPO	ST	80573415
429454	1458	1995-02-12	VYDAJ	PREVOD NA UCET	3259	19364	SIPO	ST	80573415
429455	1458	1995-03-12	VYDAJ	PREVOD NA UCET	3259	25410	SIPO	ST	80573415
429456	1458	1995-04-12	VYDAJ	PREVOD NA UCET	3259	20973	SIPO	ST	80573415
429457	1458	1995-05-12	VYDAJ	PREVOD NA UCET	3259	24524	SIPO	ST	80573415
429458	1458	1995-06-12	VYDAJ	PREVOD NA UCET	3259	30089	SIPO	ST	80573415
429459	1458	1995-07-12	VYDAJ	PREVOD NA UCET	3259	31385	SIPO	ST	80573415
429460	1458	1995-08-12	VYDAJ	PREVOD NA UCET	3259	30571	SIPO	ST	80573415
429461	1458	1995-09-12	VYDAJ	PREVOD NA UCET	3259	28952	SIPO	ST	80573415
429462	1458	1995-10-12	VYDAJ	PREVOD NA UCET	3259	30227	SIPO	ST	80573415
429463	1458	1995-11-12	VYDAJ	PREVOD NA UCET	3259	30405	SIPO	ST	80573415
429464	1458	1995-12-12	VYDAJ	PREVOD NA UCET	3259	31586	SIPO	ST	80573415
429465	1458	1996-01-12	VYDAJ	PREVOD NA UCET	3259	28083	SIPO	ST	80573415
429466	1458	1996-02-12	VYDAJ	PREVOD NA UCET	3259	23349	SIPO	ST	80573415
429467	1458	1996-03-12	VYDAJ	PREVOD NA UCET	3259	17793	SIPO	ST	80573415
429468	1458	1996-04-12	VYDAJ	PREVOD NA UCET	3259	21727	SIPO	ST	80573415
429469	1458	1996-05-12	VYDAJ	PREVOD NA UCET	3259	21766	SIPO	ST	80573415
429470	1458	1996-06-12	VYDAJ	PREVOD NA UCET	3259	12209	SIPO	ST	80573415
429471	1458	1996-07-12	VYDAJ	PREVOD NA UCET	3259	26752	SIPO	ST	80573415
429472	1458	1996-08-12	VYDAJ	PREVOD NA UCET	3259	26708	SIPO	ST	80573415
429473	1458	1996-09-12	VYDAJ	PREVOD NA UCET	3259	27966	SIPO	ST	80573415
429474	1458	1996-10-12	VYDAJ	PREVOD NA UCET	3259	25128	SIPO	ST	80573415
429475	1458	1996-11-12	VYDAJ	PREVOD NA UCET	3259	28889	SIPO	ST	80573415
429476	1458	1996-12-12	VYDAJ	PREVOD NA UCET	3259	29554	SIPO	ST	80573415
429477	1458	1997-01-12	VYDAJ	PREVOD NA UCET	3259	21219	SIPO	ST	80573415
429478	1458	1997-02-12	VYDAJ	PREVOD NA UCET	3259	16346	SIPO	ST	80573415
429479	1458	1997-03-12	VYDAJ	PREVOD NA UCET	3259	19361	SIPO	ST	80573415
429480	1458	1997-04-12	VYDAJ	PREVOD NA UCET	3259	21784	SIPO	ST	80573415
429481	1458	1997-05-12	VYDAJ	PREVOD NA UCET	3259	23315	SIPO	ST	80573415
429482	1458	1997-06-12	VYDAJ	PREVOD NA UCET	3259	24050	SIPO	ST	80573415
429483	1458	1997-07-12	VYDAJ	PREVOD NA UCET	3259	28995	SIPO	ST	80573415
429484	1458	1997-08-12	VYDAJ	PREVOD NA UCET	3259	29853	SIPO	ST	80573415
429485	1458	1997-09-12	VYDAJ	PREVOD NA UCET	3259	29408	SIPO	ST	80573415
429486	1458	1997-10-12	VYDAJ	PREVOD NA UCET	3259	29461	SIPO	ST	80573415
429487	1458	1997-11-12	VYDAJ	PREVOD NA UCET	3259	30818	SIPO	ST	80573415
429488	1458	1997-12-12	VYDAJ	PREVOD NA UCET	3259	28985	SIPO	ST	80573415
429489	1458	1998-01-12	VYDAJ	PREVOD NA UCET	3259	27681	SIPO	ST	80573415
429490	1458	1998-02-12	VYDAJ	PREVOD NA UCET	3259	16238	SIPO	ST	80573415
429491	1458	1998-03-12	VYDAJ	PREVOD NA UCET	3259	29684	SIPO	ST	80573415
429492	1458	1998-04-12	VYDAJ	PREVOD NA UCET	3259	18868	SIPO	ST	80573415
429493	1458	1998-05-12	VYDAJ	PREVOD NA UCET	3259	30318	SIPO	ST	80573415
429494	1458	1998-06-12	VYDAJ	PREVOD NA UCET	3259	24484	SIPO	ST	80573415
429495	1458	1998-07-12	VYDAJ	PREVOD NA UCET	3259	19470	SIPO	ST	80573415
429496	1458	1998-08-12	VYDAJ	PREVOD NA UCET	3259	17227	SIPO	ST	80573415
429497	1458	1998-09-12	VYDAJ	PREVOD NA UCET	3259	17084	SIPO	ST	80573415
429498	1458	1998-10-12	VYDAJ	PREVOD NA UCET	3259	29936	SIPO	ST	80573415
429499	1458	1998-11-12	VYDAJ	PREVOD NA UCET	3259	15523	SIPO	ST	80573415
429500	1458	1998-12-12	VYDAJ	PREVOD NA UCET	3259	13891	SIPO	ST	80573415
429501	1458	1994-06-12	VYDAJ	VYBER	3900	30963	\N	\N	\N
429502	1458	1995-06-27	VYDAJ	VYBER	6300	48677	\N	\N	\N
429503	1458	1996-06-08	VYDAJ	VYBER	14200	15468	\N	\N	\N
429505	1458	1998-06-29	VYDAJ	VYBER	13400	32472	\N	\N	\N
429507	1458	1995-01-29	VYDAJ	VYBER	9200	25269	\N	\N	\N
429508	1458	1996-01-10	VYDAJ	VYBER	7400	31342	\N	\N	\N
429509	1458	1997-01-04	VYDAJ	VYBER	5200	25978	\N	\N	\N
429510	1458	1998-01-09	VYDAJ	VYBER	1100	30940	\N	\N	\N
429511	1458	1994-12-10	VYDAJ	VYBER	1400	33830	\N	\N	\N
429512	1458	1995-12-10	VYDAJ	VYBER	1300	34845	\N	\N	\N
429513	1458	1996-12-06	VYDAJ	VYBER	1000	32813	\N	\N	\N
429514	1458	1997-12-30	VYDAJ	VYBER	2100	33573	\N	\N	\N
429515	1458	1998-12-21	VYDAJ	VYBER	2200	33279	\N	\N	\N
429522	1458	1995-01-10	VYDAJ	VYBER	2400	34636	\N	\N	\N
429523	1458	1995-01-10	VYDAJ	VYBER	2400	37036	\N	\N	\N
429524	1458	1995-01-19	VYDAJ	VYBER	2200	42269	\N	\N	\N
429525	1458	1995-01-15	VYDAJ	VYBER	2600	45369	\N	\N	\N
429526	1458	1995-01-04	VYDAJ	VYBER	1100	39436	\N	\N	\N
429527	1458	1995-01-19	VYDAJ	VYBER	900	44469	\N	\N	\N
429528	1458	1996-01-05	VYDAJ	VYBER	700	38742	\N	\N	\N
429529	1458	1996-01-17	VYDAJ	VYBER	2100	40975	\N	\N	\N
429530	1458	1996-01-22	VYDAJ	VYBER	1300	37875	\N	\N	\N
429531	1458	1996-01-18	VYDAJ	VYBER	1800	39175	\N	\N	\N
429532	1458	1996-01-16	VYDAJ	VYBER	1600	43075	\N	\N	\N
429533	1458	1996-01-29	VYDAJ	VYBER	2000	26475	\N	\N	\N
429534	1458	1997-01-13	VYDAJ	VYBER	2100	35711	\N	\N	\N
429535	1458	1997-01-01	VYDAJ	VYBER	1600	31178	\N	\N	\N
429536	1458	1997-01-04	VYDAJ	VYBER	900	25078	\N	\N	\N
429537	1458	1997-01-10	VYDAJ	VYBER	600	24478	\N	\N	\N
429538	1458	1997-01-28	VYDAJ	VYBER	2800	22611	\N	\N	\N
429539	1458	1997-01-15	VYDAJ	VYBER	1900	33811	\N	\N	\N
429540	1458	1998-01-29	VYDAJ	VYBER	2300	33273	\N	\N	\N
429541	1458	1998-01-15	VYDAJ	VYBER	1800	36473	\N	\N	\N
429542	1458	1998-01-18	VYDAJ	VYBER	900	35573	\N	\N	\N
429543	1458	1998-01-05	VYDAJ	VYBER	500	32040	\N	\N	\N
429544	1458	1998-01-02	VYDAJ	VYBER	1200	32540	\N	\N	\N
429545	1458	1998-01-30	VYDAJ	VYBER	1400	31873	\N	\N	\N
429546	1458	1994-11-23	VYDAJ	VYBER	1700	47867	\N	\N	\N
429548	1458	1994-05-30	VYDAJ	VYBER	2900	52514	\N	\N	\N
429550	1458	1994-10-25	VYDAJ	VYBER	3600	50928	\N	\N	\N
429551	1458	1995-03-13	VYDAJ	VYBER	2100	39902	\N	\N	\N
429552	1458	1995-06-27	VYDAJ	VYBER	3300	34477	\N	\N	\N
429553	1458	1995-04-09	VYDAJ	VYBER	4100	24232	\N	\N	\N
429554	1458	1995-02-02	VYDAJ	VYBER	2800	22623	\N	\N	\N
429555	1458	1995-04-12	VYDAJ	VYBER	2500	18473	\N	\N	\N
429556	1458	1995-04-03	VYDAJ	VYBER	3700	28332	\N	\N	\N
429557	1458	1995-05-02	VYDAJ	VYBER	1200	27783	\N	\N	\N
429558	1458	1996-04-24	VYDAJ	VYBER	4300	24919	\N	\N	\N
429559	1458	1996-09-23	VYDAJ	VYBER	600	32658	\N	\N	\N
429560	1458	1996-03-01	VYDAJ	VYBER	4400	21052	\N	\N	\N
429561	1458	1996-12-19	VYDAJ	VYBER	1000	32642	\N	\N	\N
429562	1458	1996-07-20	VYDAJ	VYBER	1400	41944	\N	\N	\N
429563	1458	1996-09-07	VYDAJ	VYBER	1000	31225	\N	\N	\N
429564	1458	1996-11-10	VYDAJ	VYBER	1800	32148	\N	\N	\N
429565	1458	1996-10-04	VYDAJ	VYBER	4400	28387	\N	\N	\N
429566	1458	1997-02-07	VYDAJ	VYBER	3100	19605	\N	\N	\N
429567	1458	1997-11-20	VYDAJ	VYBER	2600	32110	\N	\N	\N
429568	1458	1997-08-13	VYDAJ	VYBER	4000	42445	\N	\N	\N
429569	1458	1998-12-17	VYDAJ	VYBER	3300	35479	\N	\N	\N
429570	1458	1998-10-08	VYDAJ	VYBER	600	33195	\N	\N	\N
429571	1458	1998-06-16	VYDAJ	VYBER	3500	45872	\N	\N	\N
429572	1458	1998-04-17	VYDAJ	VYBER	2000	33460	\N	\N	\N
429573	1458	1998-02-07	VYDAJ	VYBER	3200	28797	\N	\N	\N
429579	1458	1994-05-31	VYDAJ	VYBER	15	52722	SLUZBY	\N	\N
429580	1458	1994-06-30	VYDAJ	VYBER	15	56062	SLUZBY	\N	\N
429581	1458	1994-07-31	VYDAJ	VYBER	15	54206	SLUZBY	\N	\N
429582	1458	1994-08-31	VYDAJ	VYBER	15	54749	SLUZBY	\N	\N
429583	1458	1994-09-30	VYDAJ	VYBER	15	54895	SLUZBY	\N	\N
429584	1458	1994-10-31	VYDAJ	VYBER	15	36234	SLUZBY	\N	\N
429585	1458	1994-11-30	VYDAJ	VYBER	15	35230	SLUZBY	\N	\N
429586	1458	1994-12-31	VYDAJ	VYBER	15	40536	SLUZBY	\N	\N
429587	1458	1995-01-31	VYDAJ	VYBER	15	25423	SLUZBY	\N	\N
429588	1458	1995-02-28	VYDAJ	VYBER	15	28669	SLUZBY	\N	\N
429589	1458	1995-03-31	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
429590	1458	1995-04-30	VYDAJ	VYBER	15	28983	SLUZBY	\N	\N
429591	1458	1995-05-31	VYDAJ	VYBER	15	33348	SLUZBY	\N	\N
429592	1458	1995-06-30	VYDAJ	VYBER	15	34644	SLUZBY	\N	\N
429593	1458	1995-07-31	VYDAJ	VYBER	15	33830	SLUZBY	\N	\N
429594	1458	1995-08-31	VYDAJ	VYBER	15	32211	SLUZBY	\N	\N
429595	1458	1995-09-30	VYDAJ	VYBER	15	33486	SLUZBY	\N	\N
429596	1458	1995-10-31	VYDAJ	VYBER	15	33664	SLUZBY	\N	\N
429597	1458	1995-11-30	VYDAJ	VYBER	15	36145	SLUZBY	\N	\N
429598	1458	1995-12-31	VYDAJ	VYBER	15	39442	SLUZBY	\N	\N
429599	1458	1996-01-31	VYDAJ	VYBER	15	26608	SLUZBY	\N	\N
429600	1458	1996-02-29	VYDAJ	VYBER	15	25452	SLUZBY	\N	\N
429601	1458	1996-03-31	VYDAJ	VYBER	15	24986	SLUZBY	\N	\N
429602	1458	1996-04-30	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
429603	1458	1996-05-31	VYDAJ	VYBER	15	29668	SLUZBY	\N	\N
429604	1458	1996-06-30	VYDAJ	VYBER	15	30011	SLUZBY	\N	\N
429605	1458	1996-07-31	VYDAJ	VYBER	15	29967	SLUZBY	\N	\N
429606	1458	1996-08-31	VYDAJ	VYBER	15	32225	SLUZBY	\N	\N
429607	1458	1996-09-30	VYDAJ	VYBER	15	32787	SLUZBY	\N	\N
429608	1458	1996-10-31	VYDAJ	VYBER	15	33948	SLUZBY	\N	\N
429609	1458	1996-11-30	VYDAJ	VYBER	15	33813	SLUZBY	\N	\N
429610	1458	1996-12-31	VYDAJ	VYBER	15	32778	SLUZBY	\N	\N
429611	1458	1997-01-31	VYDAJ	VYBER	15	22705	SLUZBY	\N	\N
429612	1458	1997-02-28	VYDAJ	VYBER	15	22620	SLUZBY	\N	\N
429613	1458	1997-03-31	VYDAJ	VYBER	15	25043	SLUZBY	\N	\N
429614	1458	1997-04-30	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
429615	1458	1997-05-31	VYDAJ	VYBER	15	27309	SLUZBY	\N	\N
429616	1458	1997-06-30	VYDAJ	VYBER	15	32254	SLUZBY	\N	\N
429617	1458	1997-07-31	VYDAJ	VYBER	15	33112	SLUZBY	\N	\N
429618	1458	1997-08-31	VYDAJ	VYBER	15	32667	SLUZBY	\N	\N
429619	1458	1997-09-30	VYDAJ	VYBER	15	32720	SLUZBY	\N	\N
429620	1458	1997-10-31	VYDAJ	VYBER	15	34077	SLUZBY	\N	\N
429621	1458	1997-11-30	VYDAJ	VYBER	15	32244	SLUZBY	\N	\N
429622	1458	1997-12-31	VYDAJ	VYBER	15	33740	SLUZBY	\N	\N
429623	1458	1998-01-31	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
429624	1458	1998-02-28	VYDAJ	VYBER	15	32943	SLUZBY	\N	\N
429625	1458	1998-03-31	VYDAJ	VYBER	15	30427	SLUZBY	\N	\N
429626	1458	1998-04-30	VYDAJ	VYBER	15	33577	SLUZBY	\N	\N
429627	1458	1998-05-31	VYDAJ	VYBER	15	38843	SLUZBY	\N	\N
429628	1458	1998-06-30	VYDAJ	VYBER	15	32629	SLUZBY	\N	\N
429629	1458	1998-07-31	VYDAJ	VYBER	15	36186	SLUZBY	\N	\N
429630	1458	1998-08-31	VYDAJ	VYBER	15	33943	SLUZBY	\N	\N
429631	1458	1998-09-30	VYDAJ	VYBER	15	33795	SLUZBY	\N	\N
429632	1458	1998-10-31	VYDAJ	VYBER	15	46682	SLUZBY	\N	\N
429633	1458	1998-11-30	VYDAJ	VYBER	15	32250	SLUZBY	\N	\N
429634	1458	1994-02-02	PRIJEM	VKLAD	5200	22536	\N	\N	\N
429635	1458	1994-03-04	VYDAJ	VYBER	9200	30052	\N	\N	\N
429636	1458	1994-04-03	VYDAJ	VYBER	12900	33926	\N	\N	\N
429637	1458	1994-05-03	VYDAJ	VYBER	11900	38822	\N	\N	\N
429638	1458	1994-06-02	VYDAJ	VYBER	14600	38122	\N	\N	\N
429639	1458	1994-07-02	VYDAJ	VYBER	15400	40662	\N	\N	\N
429640	1458	1994-08-01	VYDAJ	VYBER	13000	41206	\N	\N	\N
429641	1458	1994-08-31	VYDAJ	VYBER	13400	41349	\N	\N	\N
429642	1458	1994-09-30	VYDAJ	VYBER	13700	41195	\N	\N	\N
429643	1458	1994-10-30	VYDAJ	VYBER	14900	36028	\N	\N	\N
429644	1458	1994-11-29	VYDAJ	VYBER	12800	35067	\N	\N	\N
429645	1458	1994-12-29	VYDAJ	VYBER	15100	40359	\N	\N	\N
429646	1458	1995-01-28	VYDAJ	VYBER	7800	34469	\N	\N	\N
429647	1458	1995-02-27	VYDAJ	VYBER	7400	28556	\N	\N	\N
429648	1458	1995-03-29	VYDAJ	VYBER	8000	31902	\N	\N	\N
429649	1458	1995-04-28	VYDAJ	VYBER	6200	28865	\N	\N	\N
429650	1458	1995-05-28	VYDAJ	VYBER	7900	33216	\N	\N	\N
429651	1458	1995-06-27	VYDAJ	VYBER	10900	37777	\N	\N	\N
429652	1458	1995-07-27	VYDAJ	VYBER	14300	33677	\N	\N	\N
429653	1458	1995-08-26	VYDAJ	VYBER	15100	32063	\N	\N	\N
429654	1458	1995-09-25	VYDAJ	VYBER	12200	33344	\N	\N	\N
429655	1458	1995-10-25	VYDAJ	VYBER	13300	33519	\N	\N	\N
429656	1458	1995-11-24	VYDAJ	VYBER	11000	35997	\N	\N	\N
429657	1458	1995-12-24	VYDAJ	VYBER	17200	39274	\N	\N	\N
429658	1458	1996-01-23	VYDAJ	VYBER	9400	28475	\N	\N	\N
429659	1458	1996-02-22	VYDAJ	VYBER	14600	25341	\N	\N	\N
429660	1458	1996-03-23	VYDAJ	VYBER	9500	24885	\N	\N	\N
429661	1458	1996-04-22	VYDAJ	VYBER	9100	29219	\N	\N	\N
429662	1458	1996-05-22	VYDAJ	VYBER	8800	29558	\N	\N	\N
429663	1458	1996-06-21	VYDAJ	VYBER	7200	29897	\N	\N	\N
429664	1458	1996-07-21	VYDAJ	VYBER	12100	29844	\N	\N	\N
429665	1458	1996-08-20	VYDAJ	VYBER	11200	32100	\N	\N	\N
429666	1458	1996-09-19	VYDAJ	VYBER	11300	33258	\N	\N	\N
429667	1458	1996-10-19	VYDAJ	VYBER	7900	33820	\N	\N	\N
429668	1458	1996-11-18	VYDAJ	VYBER	11800	33681	\N	\N	\N
429669	1458	1996-12-18	VYDAJ	VYBER	20800	33642	\N	\N	\N
429670	1458	1997-01-17	VYDAJ	VYBER	8400	25411	\N	\N	\N
429671	1458	1997-02-16	VYDAJ	VYBER	10400	22538	\N	\N	\N
429672	1458	1997-03-18	VYDAJ	VYBER	11000	24953	\N	\N	\N
429673	1458	1997-04-17	VYDAJ	VYBER	11900	26476	\N	\N	\N
429674	1458	1997-05-17	VYDAJ	VYBER	12700	27207	\N	\N	\N
429675	1458	1997-06-16	VYDAJ	VYBER	16800	32138	\N	\N	\N
429676	1458	1997-07-16	VYDAJ	VYBER	12600	32987	\N	\N	\N
429677	1458	1997-08-15	VYDAJ	VYBER	9900	32545	\N	\N	\N
429678	1458	1997-09-14	VYDAJ	VYBER	13400	32600	\N	\N	\N
429679	1458	1997-10-14	VYDAJ	VYBER	12100	33953	\N	\N	\N
429680	1458	1997-11-13	VYDAJ	VYBER	12700	34710	\N	\N	\N
429681	1458	1997-12-13	VYDAJ	VYBER	18200	35673	\N	\N	\N
429682	1458	1998-01-12	VYDAJ	VYBER	6000	21681	\N	\N	\N
429683	1458	1998-02-11	VYDAJ	VYBER	9300	19497	\N	\N	\N
429684	1458	1998-03-13	VYDAJ	VYBER	16000	30276	\N	\N	\N
429685	1458	1998-04-12	VYDAJ	VYBER	8300	22127	\N	\N	\N
429686	1458	1998-05-12	VYDAJ	VYBER	8200	22118	\N	\N	\N
429687	1458	1998-06-11	VYDAJ	VYBER	11100	27743	\N	\N	\N
429688	1458	1998-07-11	VYDAJ	VYBER	9900	22729	\N	\N	\N
429689	1458	1998-08-10	VYDAJ	VYBER	15700	20486	\N	\N	\N
429690	1458	1998-09-09	VYDAJ	VYBER	13600	20343	\N	\N	\N
429691	1458	1998-11-08	VYDAJ	VYBER	27900	18782	\N	\N	\N
429692	1458	1998-12-08	VYDAJ	VYBER	15100	17150	\N	\N	\N
429753	1459	1997-03-26	PRIJEM	VKLAD	900	900	\N	\N	\N
429757	1459	1997-04-06	PRIJEM	PREVOD Z UCTU	3186	4086	\N	IJ	53636145
429758	1459	1997-05-06	PRIJEM	PREVOD Z UCTU	3186	7272	\N	IJ	53636145
429759	1459	1997-06-06	PRIJEM	PREVOD Z UCTU	3186	10458	\N	IJ	53636145
429760	1459	1997-07-06	PRIJEM	PREVOD Z UCTU	3186	13644	\N	IJ	53636145
429761	1459	1997-08-06	PRIJEM	PREVOD Z UCTU	3186	16830	\N	IJ	53636145
429762	1459	1997-09-06	PRIJEM	PREVOD Z UCTU	3186	17921	\N	IJ	53636145
429763	1459	1997-10-06	PRIJEM	PREVOD Z UCTU	3186	19036	\N	IJ	53636145
429764	1459	1997-11-06	PRIJEM	PREVOD Z UCTU	3186	19221	\N	IJ	53636145
429765	1459	1997-12-06	PRIJEM	PREVOD Z UCTU	3186	20338	\N	IJ	53636145
429766	1459	1998-01-06	PRIJEM	PREVOD Z UCTU	3186	15924	\N	IJ	53636145
429767	1459	1998-02-06	PRIJEM	PREVOD Z UCTU	3186	14715	\N	IJ	53636145
429768	1459	1998-03-06	PRIJEM	PREVOD Z UCTU	3186	15813	\N	IJ	53636145
429769	1459	1998-04-06	PRIJEM	PREVOD Z UCTU	3186	15716	\N	IJ	53636145
429770	1459	1998-05-06	PRIJEM	PREVOD Z UCTU	3186	16819	\N	IJ	53636145
429771	1459	1998-06-06	PRIJEM	PREVOD Z UCTU	3186	14621	\N	IJ	53636145
429772	1459	1998-07-06	PRIJEM	PREVOD Z UCTU	3186	14717	\N	IJ	53636145
429773	1459	1998-08-06	PRIJEM	PREVOD Z UCTU	3186	13913	\N	IJ	53636145
429774	1459	1998-09-06	PRIJEM	PREVOD Z UCTU	3186	15010	\N	IJ	53636145
429775	1459	1998-10-06	PRIJEM	PREVOD Z UCTU	3186	16110	\N	IJ	53636145
429776	1459	1998-11-06	PRIJEM	PREVOD Z UCTU	3186	17214	\N	IJ	53636145
429777	1459	1998-12-06	PRIJEM	PREVOD Z UCTU	3186	18323	\N	IJ	53636145
429785	1459	1997-08-12	VYDAJ	PREVOD NA UCET	1542	14706	\N	EF	28272974
429786	1459	1997-09-12	VYDAJ	PREVOD NA UCET	1542	15797	\N	EF	28272974
429787	1459	1997-10-12	VYDAJ	PREVOD NA UCET	1542	17494	\N	EF	28272974
429788	1459	1997-11-12	VYDAJ	PREVOD NA UCET	1542	17097	\N	EF	28272974
429789	1459	1997-12-12	VYDAJ	PREVOD NA UCET	1542	18214	\N	EF	28272974
429790	1459	1998-01-12	VYDAJ	PREVOD NA UCET	1542	12390	\N	EF	28272974
429791	1459	1998-02-12	VYDAJ	PREVOD NA UCET	1542	12591	\N	EF	28272974
429792	1459	1998-03-12	VYDAJ	PREVOD NA UCET	1542	13689	\N	EF	28272974
429793	1459	1998-04-12	VYDAJ	PREVOD NA UCET	1542	14174	\N	EF	28272974
429794	1459	1998-05-12	VYDAJ	PREVOD NA UCET	1542	14695	\N	EF	28272974
429795	1459	1998-06-12	VYDAJ	PREVOD NA UCET	1542	12497	\N	EF	28272974
429796	1459	1998-07-12	VYDAJ	PREVOD NA UCET	1542	12593	\N	EF	28272974
429797	1459	1998-08-12	VYDAJ	PREVOD NA UCET	1542	12371	\N	EF	28272974
429798	1459	1998-09-12	VYDAJ	PREVOD NA UCET	1542	13468	\N	EF	28272974
429799	1459	1998-10-12	VYDAJ	PREVOD NA UCET	1542	13986	\N	EF	28272974
429800	1459	1998-11-12	VYDAJ	PREVOD NA UCET	1542	15090	\N	EF	28272974
429801	1459	1998-12-12	VYDAJ	PREVOD NA UCET	1542	16781	\N	EF	28272974
429809	1459	1997-08-12	VYDAJ	PREVOD NA UCET	582	16248	\N	OP	25038093
429810	1459	1997-09-12	VYDAJ	PREVOD NA UCET	582	17339	\N	OP	25038093
429811	1459	1997-10-12	VYDAJ	PREVOD NA UCET	582	16912	\N	OP	25038093
429812	1459	1997-11-12	VYDAJ	PREVOD NA UCET	582	18639	\N	OP	25038093
429813	1459	1997-12-12	VYDAJ	PREVOD NA UCET	582	19756	\N	OP	25038093
429814	1459	1998-01-12	VYDAJ	PREVOD NA UCET	582	13932	\N	OP	25038093
429815	1459	1998-02-12	VYDAJ	PREVOD NA UCET	582	14133	\N	OP	25038093
429816	1459	1998-03-12	VYDAJ	PREVOD NA UCET	582	15231	\N	OP	25038093
429817	1459	1998-04-12	VYDAJ	PREVOD NA UCET	582	13592	\N	OP	25038093
429818	1459	1998-05-12	VYDAJ	PREVOD NA UCET	582	16237	\N	OP	25038093
429819	1459	1998-06-12	VYDAJ	PREVOD NA UCET	582	14039	\N	OP	25038093
429820	1459	1998-07-12	VYDAJ	PREVOD NA UCET	582	14135	\N	OP	25038093
429821	1459	1998-08-12	VYDAJ	PREVOD NA UCET	582	11789	\N	OP	25038093
429822	1459	1998-09-12	VYDAJ	PREVOD NA UCET	582	12886	\N	OP	25038093
429823	1459	1998-10-12	VYDAJ	PREVOD NA UCET	582	15528	\N	OP	25038093
429824	1459	1998-11-12	VYDAJ	PREVOD NA UCET	582	16632	\N	OP	25038093
429825	1459	1998-12-12	VYDAJ	PREVOD NA UCET	582	16199	\N	OP	25038093
429829	1459	1998-01-09	VYDAJ	VYBER	1410	14514	\N	\N	\N
429830	1459	1997-12-21	VYDAJ	VYBER	300	17914	\N	\N	\N
429831	1459	1998-12-13	VYDAJ	VYBER	150	16049	\N	\N	\N
429844	1459	1997-12-28	VYDAJ	VYBER	930	12684	\N	\N	\N
429848	1459	1997-10-19	VYDAJ	VYBER	930	15982	\N	\N	\N
429849	1459	1998-12-30	VYDAJ	VYBER	810	15239	\N	\N	\N
429860	1459	1997-08-31	VYDAJ	VYBER	15	14735	SLUZBY	\N	\N
429861	1459	1997-09-30	VYDAJ	VYBER	15	15850	SLUZBY	\N	\N
429862	1459	1997-10-31	VYDAJ	VYBER	15	16035	SLUZBY	\N	\N
429863	1459	1997-11-30	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
429864	1459	1997-12-31	VYDAJ	VYBER	15	12738	SLUZBY	\N	\N
429865	1459	1998-01-31	VYDAJ	VYBER	15	11529	SLUZBY	\N	\N
429866	1459	1998-02-28	VYDAJ	VYBER	15	12627	SLUZBY	\N	\N
429867	1459	1998-03-31	VYDAJ	VYBER	15	12530	SLUZBY	\N	\N
429868	1459	1998-04-30	VYDAJ	VYBER	15	13633	SLUZBY	\N	\N
429869	1459	1998-05-31	VYDAJ	VYBER	15	11435	SLUZBY	\N	\N
429870	1459	1998-06-30	VYDAJ	VYBER	15	11531	SLUZBY	\N	\N
429871	1459	1998-07-31	VYDAJ	VYBER	15	10727	SLUZBY	\N	\N
429872	1459	1998-08-31	VYDAJ	VYBER	15	11824	SLUZBY	\N	\N
429873	1459	1998-09-30	VYDAJ	VYBER	15	12924	SLUZBY	\N	\N
429874	1459	1998-10-31	VYDAJ	VYBER	15	14028	SLUZBY	\N	\N
429875	1459	1998-11-30	VYDAJ	VYBER	15	15137	SLUZBY	\N	\N
429876	1459	1997-12-21	VYDAJ	VYBER	4300	13614	\N	\N	\N
429877	1459	1998-01-20	VYDAJ	VYBER	900	11490	\N	\N	\N
429878	1459	1998-03-21	VYDAJ	VYBER	1200	12489	\N	\N	\N
429879	1459	1998-05-20	VYDAJ	VYBER	3300	11395	\N	\N	\N
429880	1459	1998-06-19	VYDAJ	VYBER	1000	11497	\N	\N	\N
429881	1459	1998-07-19	VYDAJ	VYBER	1900	10693	\N	\N	\N
429899	1460	1996-11-29	PRIJEM	VKLAD	300	300	\N	\N	\N
429911	1460	1996-12-12	PRIJEM	PREVOD Z UCTU	5298	5598	DUCHOD	MN	67021775
429912	1460	1997-01-12	PRIJEM	PREVOD Z UCTU	5298	10896	DUCHOD	MN	67021775
429913	1460	1997-02-12	PRIJEM	PREVOD Z UCTU	5298	16194	DUCHOD	MN	67021775
429914	1460	1997-03-12	PRIJEM	PREVOD Z UCTU	5298	21492	DUCHOD	MN	67021775
429915	1460	1997-04-12	PRIJEM	PREVOD Z UCTU	5298	26790	DUCHOD	MN	67021775
429916	1460	1997-05-12	PRIJEM	PREVOD Z UCTU	5298	26794	DUCHOD	MN	67021775
429917	1460	1997-06-12	PRIJEM	PREVOD Z UCTU	5298	26455	DUCHOD	MN	67021775
429918	1460	1997-07-12	PRIJEM	PREVOD Z UCTU	5298	26498	DUCHOD	MN	67021775
429919	1460	1997-08-12	PRIJEM	PREVOD Z UCTU	5298	20771	DUCHOD	MN	67021775
429920	1460	1997-09-12	PRIJEM	PREVOD Z UCTU	5298	22713	DUCHOD	MN	67021775
429921	1460	1997-10-12	PRIJEM	PREVOD Z UCTU	5298	24657	DUCHOD	MN	67021775
429922	1460	1997-11-12	PRIJEM	PREVOD Z UCTU	5298	26609	DUCHOD	MN	67021775
429923	1460	1997-12-12	PRIJEM	PREVOD Z UCTU	5298	27919	DUCHOD	MN	67021775
429924	1460	1998-01-12	PRIJEM	PREVOD Z UCTU	5298	29886	DUCHOD	MN	67021775
429925	1460	1998-02-12	PRIJEM	PREVOD Z UCTU	5298	21277	DUCHOD	MN	67021775
429926	1460	1998-03-12	PRIJEM	PREVOD Z UCTU	5298	21213	DUCHOD	MN	67021775
429927	1460	1998-04-12	PRIJEM	PREVOD Z UCTU	5298	23151	DUCHOD	MN	67021775
429928	1460	1998-05-12	PRIJEM	PREVOD Z UCTU	5298	23176	DUCHOD	MN	67021775
429929	1460	1998-06-12	PRIJEM	PREVOD Z UCTU	5298	25125	DUCHOD	MN	67021775
429930	1460	1998-07-12	PRIJEM	PREVOD Z UCTU	5298	23926	DUCHOD	MN	67021775
429931	1460	1998-08-12	PRIJEM	PREVOD Z UCTU	5298	25874	DUCHOD	MN	67021775
429932	1460	1998-09-12	PRIJEM	PREVOD Z UCTU	5298	27831	DUCHOD	MN	67021775
429933	1460	1998-10-12	PRIJEM	PREVOD Z UCTU	5298	27556	DUCHOD	MN	67021775
429934	1460	1998-11-12	PRIJEM	PREVOD Z UCTU	5298	29524	DUCHOD	MN	67021775
429935	1460	1998-12-12	PRIJEM	PREVOD Z UCTU	5298	31495	DUCHOD	MN	67021775
429951	1460	1997-04-13	VYDAJ	PREVOD NA UCET	3417	21453	SIPO	UV	8283299
429952	1460	1997-05-13	VYDAJ	PREVOD NA UCET	3417	23377	SIPO	UV	8283299
429953	1460	1997-06-13	VYDAJ	PREVOD NA UCET	3417	23038	SIPO	UV	8283299
429954	1460	1997-07-13	VYDAJ	PREVOD NA UCET	3417	21481	SIPO	UV	8283299
429955	1460	1997-08-13	VYDAJ	PREVOD NA UCET	3417	17354	SIPO	UV	8283299
429956	1460	1997-09-13	VYDAJ	PREVOD NA UCET	3417	19296	SIPO	UV	8283299
429957	1460	1997-10-13	VYDAJ	PREVOD NA UCET	3417	21240	SIPO	UV	8283299
429958	1460	1997-11-13	VYDAJ	PREVOD NA UCET	3417	23192	SIPO	UV	8283299
429959	1460	1997-12-13	VYDAJ	PREVOD NA UCET	3417	24502	SIPO	UV	8283299
429960	1460	1998-01-13	VYDAJ	PREVOD NA UCET	3417	26469	SIPO	UV	8283299
429961	1460	1998-02-13	VYDAJ	PREVOD NA UCET	3417	17860	SIPO	UV	8283299
429962	1460	1998-03-13	VYDAJ	PREVOD NA UCET	3417	17796	SIPO	UV	8283299
429963	1460	1998-04-13	VYDAJ	PREVOD NA UCET	3417	19734	SIPO	UV	8283299
429964	1460	1998-05-13	VYDAJ	PREVOD NA UCET	3417	19759	SIPO	UV	8283299
429965	1460	1998-06-13	VYDAJ	PREVOD NA UCET	3417	21708	SIPO	UV	8283299
429966	1460	1998-07-13	VYDAJ	PREVOD NA UCET	3417	20509	SIPO	UV	8283299
429967	1460	1998-08-13	VYDAJ	PREVOD NA UCET	3417	22457	SIPO	UV	8283299
429968	1460	1998-09-13	VYDAJ	PREVOD NA UCET	3417	24414	SIPO	UV	8283299
429969	1460	1998-10-13	VYDAJ	PREVOD NA UCET	3417	24139	SIPO	UV	8283299
429970	1460	1998-11-13	VYDAJ	PREVOD NA UCET	3417	26107	SIPO	UV	8283299
429971	1460	1998-12-13	VYDAJ	PREVOD NA UCET	3417	28078	SIPO	UV	8283299
429973	1460	1997-06-08	VYDAJ	VYBER	2300	21157	\N	\N	\N
429974	1460	1998-06-24	VYDAJ	VYBER	3150	18558	\N	\N	\N
429976	1460	1997-12-07	VYDAJ	VYBER	650	22621	\N	\N	\N
429977	1460	1998-12-26	VYDAJ	VYBER	250	27828	\N	\N	\N
429990	1460	1998-01-14	VYDAJ	VYBER	1680	22549	\N	\N	\N
429991	1460	1998-01-19	VYDAJ	VYBER	2240	16549	\N	\N	\N
429992	1460	1998-01-29	VYDAJ	VYBER	640	15909	\N	\N	\N
429993	1460	1998-01-13	VYDAJ	VYBER	2240	24229	\N	\N	\N
429994	1460	1998-01-16	VYDAJ	VYBER	1520	18789	\N	\N	\N
429995	1460	1998-01-15	VYDAJ	VYBER	2240	20309	\N	\N	\N
430004	1460	1997-07-12	VYDAJ	VYBER	1600	24898	\N	\N	\N
430005	1460	1997-07-03	VYDAJ	VYBER	1920	21200	\N	\N	\N
430006	1460	1997-04-12	VYDAJ	VYBER	1920	24870	\N	\N	\N
430007	1460	1997-08-09	VYDAJ	VYBER	3840	15473	\N	\N	\N
430008	1460	1997-07-13	VYDAJ	VYBER	2240	19241	\N	\N	\N
430009	1460	1998-02-25	VYDAJ	VYBER	2000	15860	\N	\N	\N
430010	1460	1998-10-05	VYDAJ	VYBER	2240	22258	\N	\N	\N
430011	1460	1998-05-03	VYDAJ	VYBER	1920	17878	\N	\N	\N
430028	1460	1997-04-30	VYDAJ	VYBER	15	21496	SLUZBY	\N	\N
430029	1460	1997-05-31	VYDAJ	VYBER	15	23457	SLUZBY	\N	\N
430030	1460	1997-06-30	VYDAJ	VYBER	15	23120	SLUZBY	\N	\N
430031	1460	1997-07-31	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
430032	1460	1997-08-31	VYDAJ	VYBER	15	17415	SLUZBY	\N	\N
430033	1460	1997-09-30	VYDAJ	VYBER	15	19359	SLUZBY	\N	\N
430034	1460	1997-10-31	VYDAJ	VYBER	15	21311	SLUZBY	\N	\N
430035	1460	1997-11-30	VYDAJ	VYBER	15	23271	SLUZBY	\N	\N
430036	1460	1997-12-31	VYDAJ	VYBER	15	24588	SLUZBY	\N	\N
430037	1460	1998-01-31	VYDAJ	VYBER	15	15979	SLUZBY	\N	\N
430038	1460	1998-02-28	VYDAJ	VYBER	15	15915	SLUZBY	\N	\N
430039	1460	1998-03-31	VYDAJ	VYBER	15	17853	SLUZBY	\N	\N
430040	1460	1998-04-30	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
430041	1460	1998-05-31	VYDAJ	VYBER	15	19827	SLUZBY	\N	\N
430042	1460	1998-06-30	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
430043	1460	1998-07-31	VYDAJ	VYBER	15	20576	SLUZBY	\N	\N
430044	1460	1998-08-31	VYDAJ	VYBER	15	22533	SLUZBY	\N	\N
430045	1460	1998-09-30	VYDAJ	VYBER	15	24498	SLUZBY	\N	\N
430046	1460	1998-10-31	VYDAJ	VYBER	15	24226	SLUZBY	\N	\N
430047	1460	1998-11-30	VYDAJ	VYBER	15	26197	SLUZBY	\N	\N
430069	1461	1996-04-07	PRIJEM	VKLAD	800	800	\N	\N	\N
430073	1461	1996-04-14	PRIJEM	PREVOD Z UCTU	42171	42971	\N	CD	43851268
430074	1461	1996-05-14	PRIJEM	PREVOD Z UCTU	42171	75843	\N	CD	43851268
430075	1461	1996-06-14	PRIJEM	PREVOD Z UCTU	63256	112658	\N	CD	43851268
430076	1461	1996-07-14	PRIJEM	PREVOD Z UCTU	42171	104932	\N	CD	43851268
430077	1461	1996-08-14	PRIJEM	PREVOD Z UCTU	42171	90854	\N	CD	43851268
430078	1461	1996-09-14	PRIJEM	PREVOD Z UCTU	42171	97908	\N	CD	43851268
430079	1461	1996-10-14	PRIJEM	PREVOD Z UCTU	42171	100726	\N	CD	43851268
430080	1461	1996-11-14	PRIJEM	PREVOD Z UCTU	42171	86054	\N	CD	43851268
430081	1461	1996-12-14	PRIJEM	PREVOD Z UCTU	63256	117607	\N	CD	43851268
430082	1461	1997-01-14	PRIJEM	PREVOD Z UCTU	42171	61299	\N	CD	43851268
430083	1461	1997-02-14	PRIJEM	PREVOD Z UCTU	42171	66395	\N	CD	43851268
430084	1461	1997-03-14	PRIJEM	PREVOD Z UCTU	42171	75025	\N	CD	43851268
430085	1461	1997-04-14	PRIJEM	PREVOD Z UCTU	42171	89423	\N	CD	43851268
430086	1461	1997-05-14	PRIJEM	PREVOD Z UCTU	42171	94180	\N	CD	43851268
430087	1461	1997-06-14	PRIJEM	PREVOD Z UCTU	63256	125462	\N	CD	43851268
430088	1461	1997-07-14	PRIJEM	PREVOD Z UCTU	42171	93350	\N	CD	43851268
430089	1461	1997-08-14	PRIJEM	PREVOD Z UCTU	42171	103537	\N	CD	43851268
430090	1461	1997-09-14	PRIJEM	PREVOD Z UCTU	42171	81576	\N	CD	43851268
430091	1461	1997-10-14	PRIJEM	PREVOD Z UCTU	42171	98501	\N	CD	43851268
430092	1461	1997-11-14	PRIJEM	PREVOD Z UCTU	42171	103192	\N	CD	43851268
430093	1461	1997-12-14	PRIJEM	PREVOD Z UCTU	63256	120184	\N	CD	43851268
430094	1461	1998-01-14	PRIJEM	PREVOD Z UCTU	42171	65871	\N	CD	43851268
430095	1461	1998-02-14	PRIJEM	PREVOD Z UCTU	42171	66211	\N	CD	43851268
430096	1461	1998-03-14	PRIJEM	PREVOD Z UCTU	42171	94572	\N	CD	43851268
430097	1461	1998-04-14	PRIJEM	PREVOD Z UCTU	42171	102222	\N	CD	43851268
430098	1461	1998-05-14	PRIJEM	PREVOD Z UCTU	42171	109920	\N	CD	43851268
430099	1461	1998-06-14	PRIJEM	PREVOD Z UCTU	63256	100921	\N	CD	43851268
430100	1461	1998-07-14	PRIJEM	PREVOD Z UCTU	42171	85389	\N	CD	43851268
430101	1461	1998-08-14	PRIJEM	PREVOD Z UCTU	42171	89222	\N	CD	43851268
430102	1461	1998-09-14	PRIJEM	PREVOD Z UCTU	42171	100668	\N	CD	43851268
430103	1461	1998-10-14	PRIJEM	PREVOD Z UCTU	42171	104548	\N	CD	43851268
430104	1461	1998-11-14	PRIJEM	PREVOD Z UCTU	42171	94642	\N	CD	43851268
430105	1461	1998-12-14	PRIJEM	PREVOD Z UCTU	63256	105188	\N	CD	43851268
430150	1461	1996-09-08	VYDAJ	PREVOD NA UCET	8705	55737	SIPO	EF	52034497
430151	1461	1996-10-08	VYDAJ	PREVOD NA UCET	8705	58555	SIPO	EF	52034497
430152	1461	1996-11-08	VYDAJ	PREVOD NA UCET	8705	43883	SIPO	EF	52034497
430153	1461	1996-12-08	VYDAJ	PREVOD NA UCET	8705	54351	SIPO	EF	52034497
430154	1461	1997-01-08	VYDAJ	PREVOD NA UCET	8705	19128	SIPO	EF	52034497
430155	1461	1997-02-08	VYDAJ	PREVOD NA UCET	8705	24224	SIPO	EF	52034497
430156	1461	1997-03-08	VYDAJ	PREVOD NA UCET	8705	32854	SIPO	EF	52034497
430157	1461	1997-04-08	VYDAJ	PREVOD NA UCET	8705	47252	SIPO	EF	52034497
430158	1461	1997-05-08	VYDAJ	PREVOD NA UCET	8705	52009	SIPO	EF	52034497
430159	1461	1997-06-08	VYDAJ	PREVOD NA UCET	8705	62206	SIPO	EF	52034497
430160	1461	1997-07-08	VYDAJ	PREVOD NA UCET	8705	51179	SIPO	EF	52034497
430161	1461	1997-08-08	VYDAJ	PREVOD NA UCET	8705	61366	SIPO	EF	52034497
430162	1461	1997-09-08	VYDAJ	PREVOD NA UCET	8705	39405	SIPO	EF	52034497
430163	1461	1997-10-08	VYDAJ	PREVOD NA UCET	8705	56330	SIPO	EF	52034497
430164	1461	1997-11-08	VYDAJ	PREVOD NA UCET	8705	61021	SIPO	EF	52034497
430165	1461	1997-12-08	VYDAJ	PREVOD NA UCET	8705	56928	SIPO	EF	52034497
430166	1461	1998-01-08	VYDAJ	PREVOD NA UCET	8705	27600	SIPO	EF	52034497
430167	1461	1998-02-08	VYDAJ	PREVOD NA UCET	8705	24040	SIPO	EF	52034497
430168	1461	1998-03-08	VYDAJ	PREVOD NA UCET	8705	52401	SIPO	EF	52034497
430169	1461	1998-04-08	VYDAJ	PREVOD NA UCET	8705	60051	SIPO	EF	52034497
430170	1461	1998-05-08	VYDAJ	PREVOD NA UCET	8705	67749	SIPO	EF	52034497
430171	1461	1998-06-08	VYDAJ	PREVOD NA UCET	8705	37665	SIPO	EF	52034497
430172	1461	1998-07-08	VYDAJ	PREVOD NA UCET	8705	43218	SIPO	EF	52034497
430173	1461	1998-08-08	VYDAJ	PREVOD NA UCET	8705	47051	SIPO	EF	52034497
430174	1461	1998-09-08	VYDAJ	PREVOD NA UCET	8705	58497	SIPO	EF	52034497
430175	1461	1998-10-08	VYDAJ	PREVOD NA UCET	8705	62377	SIPO	EF	52034497
430176	1461	1998-11-08	VYDAJ	PREVOD NA UCET	8705	52471	SIPO	EF	52034497
430177	1461	1998-12-08	VYDAJ	PREVOD NA UCET	8705	47332	SIPO	EF	52034497
430178	1461	1996-10-25	VYBER	VYBER	17917	82809	\N	\N	\N
430179	1461	1996-11-07	VYBER	VYBER	10556	52588	\N	\N	\N
430182	1461	1997-12-30	VYBER	VYBER	18423	53630	\N	\N	\N
430183	1461	1997-01-02	VYBER	VYBER	14021	44033	\N	\N	\N
430185	1461	1997-08-15	VYBER	VYBER	13617	89920	\N	\N	\N
430186	1461	1997-08-30	VYBER	VYBER	14443	53229	\N	\N	\N
430188	1461	1997-12-22	VYBER	VYBER	5631	98953	\N	\N	\N
430189	1461	1997-08-16	VYBER	VYBER	11448	78472	\N	\N	\N
430190	1461	1997-02-16	VYBER	VYBER	22167	44228	\N	\N	\N
430191	1461	1997-04-20	VYBER	VYBER	8405	81018	\N	\N	\N
430192	1461	1998-11-14	VYBER	VYBER	24954	69688	\N	\N	\N
430193	1461	1998-01-02	VYBER	VYBER	5666	48305	\N	\N	\N
430196	1461	1997-06-17	VYDAJ	VYBER	31500	76262	\N	\N	\N
430197	1461	1998-06-14	VYDAJ	VYBER	41700	59221	\N	\N	\N
430199	1461	1997-01-17	VYDAJ	VYBER	17400	43899	\N	\N	\N
430200	1461	1998-01-29	VYDAJ	VYBER	5400	41871	\N	\N	\N
430201	1461	1996-12-30	VYDAJ	VYBER	3900	53007	\N	\N	\N
430202	1461	1997-12-07	VYDAJ	VYBER	6300	65633	\N	\N	\N
430203	1461	1998-12-11	VYDAJ	VYBER	5400	41932	\N	\N	\N
430210	1461	1997-01-27	VYDAJ	VYBER	5700	23199	\N	\N	\N
430212	1461	1997-01-24	VYDAJ	VYBER	5700	38199	\N	\N	\N
430213	1461	1997-01-06	VYDAJ	VYBER	2700	27833	\N	\N	\N
430214	1461	1997-01-02	VYDAJ	VYBER	8400	35633	\N	\N	\N
430215	1461	1997-01-04	VYDAJ	VYBER	5100	30533	\N	\N	\N
430216	1461	1998-01-02	VYDAJ	VYBER	6900	41405	\N	\N	\N
430217	1461	1998-01-04	VYDAJ	VYBER	5100	36305	\N	\N	\N
430218	1461	1998-01-20	VYDAJ	VYBER	7800	58071	\N	\N	\N
430219	1461	1998-01-23	VYDAJ	VYBER	1800	47871	\N	\N	\N
430220	1461	1998-01-10	VYDAJ	VYBER	3900	23700	\N	\N	\N
430221	1461	1998-01-23	VYDAJ	VYBER	8400	49671	\N	\N	\N
430224	1461	1996-10-01	VYDAJ	VYBER	7200	91060	\N	\N	\N
430228	1461	1997-02-17	VYDAJ	VYBER	3000	41228	\N	\N	\N
430229	1461	1997-01-25	VYDAJ	VYBER	9300	28899	\N	\N	\N
430230	1461	1997-08-21	VYDAJ	VYBER	10800	67672	\N	\N	\N
430231	1461	1998-02-02	VYDAJ	VYBER	9300	32745	\N	\N	\N
430232	1461	1998-06-05	VYDAJ	VYBER	7800	46370	\N	\N	\N
430233	1461	1998-12-21	VYDAJ	VYBER	6300	98888	\N	\N	\N
430234	1461	1998-08-02	VYDAJ	VYBER	12300	55756	\N	\N	\N
430235	1461	1998-04-17	VYDAJ	VYBER	1800	100422	\N	\N	\N
430236	1461	1998-11-01	VYDAJ	VYBER	13800	61176	\N	\N	\N
430237	1461	1998-03-16	VYDAJ	VYBER	13800	80772	\N	\N	\N
430246	1461	1996-08-31	VYDAJ	VYBER	15	91242	SLUZBY	\N	\N
430247	1461	1996-09-30	VYDAJ	VYBER	15	98260	SLUZBY	\N	\N
430248	1461	1996-10-31	VYDAJ	VYBER	15	83144	SLUZBY	\N	\N
430249	1461	1996-11-30	VYDAJ	VYBER	15	86356	SLUZBY	\N	\N
430250	1461	1996-12-31	VYDAJ	VYBER	15	53254	SLUZBY	\N	\N
430251	1461	1997-01-31	VYDAJ	VYBER	15	23329	SLUZBY	\N	\N
430252	1461	1997-02-28	VYDAJ	VYBER	15	41359	SLUZBY	\N	\N
430253	1461	1997-03-31	VYDAJ	VYBER	15	75257	SLUZBY	\N	\N
430254	1461	1997-04-30	VYDAJ	VYBER	15	81314	SLUZBY	\N	\N
430255	1461	1997-05-31	VYDAJ	VYBER	15	94511	SLUZBY	\N	\N
430256	1461	1997-06-30	VYDAJ	VYBER	15	76584	SLUZBY	\N	\N
430257	1461	1997-07-31	VYDAJ	VYBER	15	93671	SLUZBY	\N	\N
430258	1461	1997-08-31	VYDAJ	VYBER	15	48110	SLUZBY	\N	\N
430259	1461	1997-09-30	VYDAJ	VYBER	15	65035	SLUZBY	\N	\N
430260	1461	1997-10-31	VYDAJ	VYBER	15	69726	SLUZBY	\N	\N
430261	1461	1997-11-30	VYDAJ	VYBER	15	71933	SLUZBY	\N	\N
430262	1461	1997-12-31	VYDAJ	VYBER	15	53971	SLUZBY	\N	\N
430263	1461	1998-01-31	VYDAJ	VYBER	15	42045	SLUZBY	\N	\N
430264	1461	1998-02-28	VYDAJ	VYBER	15	61106	SLUZBY	\N	\N
430265	1461	1998-03-31	VYDAJ	VYBER	15	68756	SLUZBY	\N	\N
430266	1461	1998-04-30	VYDAJ	VYBER	15	76454	SLUZBY	\N	\N
430267	1461	1998-05-31	VYDAJ	VYBER	15	54170	SLUZBY	\N	\N
430268	1461	1998-06-30	VYDAJ	VYBER	15	51923	SLUZBY	\N	\N
430269	1461	1998-07-31	VYDAJ	VYBER	15	68056	SLUZBY	\N	\N
430270	1461	1998-08-31	VYDAJ	VYBER	15	67202	SLUZBY	\N	\N
430271	1461	1998-09-30	VYDAJ	VYBER	15	71082	SLUZBY	\N	\N
430272	1461	1998-10-31	VYDAJ	VYBER	15	74976	SLUZBY	\N	\N
430273	1461	1998-11-30	VYDAJ	VYBER	15	56037	SLUZBY	\N	\N
430274	1461	1996-05-07	VYDAJ	VYBER	9400	33672	\N	\N	\N
430275	1461	1996-06-06	VYDAJ	VYBER	26700	49402	\N	\N	\N
430276	1461	1996-06-14	VYDAJ	VYBER	15600	97058	\N	\N	\N
430277	1461	1996-07-06	VYDAJ	VYBER	34700	62761	\N	\N	\N
430278	1461	1996-07-14	VYDAJ	VYBER	45300	59632	\N	\N	\N
430279	1461	1996-08-05	VYDAJ	VYBER	11400	48683	\N	\N	\N
430280	1461	1996-09-04	VYDAJ	VYBER	26800	64442	\N	\N	\N
430281	1461	1996-10-04	VYDAJ	VYBER	23800	67260	\N	\N	\N
430282	1461	1996-11-03	VYDAJ	VYBER	20000	63144	\N	\N	\N
430283	1461	1996-12-03	VYDAJ	VYBER	23300	63056	\N	\N	\N
430284	1461	1996-12-14	VYDAJ	VYBER	60700	56907	\N	\N	\N
430285	1461	1997-01-02	PRIJEM	VKLAD	4800	58054	\N	\N	\N
430286	1461	1997-02-01	PRIJEM	VKLAD	9600	32929	\N	\N	\N
430287	1461	1997-03-03	PRIJEM	VKLAD	200	41559	\N	\N	\N
430288	1461	1997-04-02	VYDAJ	VYBER	19300	55957	\N	\N	\N
430289	1461	1997-05-02	VYDAJ	VYBER	20600	60714	\N	\N	\N
430290	1461	1997-06-01	VYDAJ	VYBER	23600	70911	\N	\N	\N
430291	1461	1997-06-14	VYDAJ	VYBER	17700	107762	\N	\N	\N
430292	1461	1997-07-01	VYDAJ	VYBER	16700	59884	\N	\N	\N
430293	1461	1997-07-31	VYDAJ	VYBER	23600	70071	\N	\N	\N
430294	1461	1997-08-30	VYDAJ	VYBER	5400	47829	\N	\N	\N
430295	1461	1997-09-29	VYDAJ	VYBER	16800	64776	\N	\N	\N
430296	1461	1997-10-29	VYDAJ	VYBER	29100	69401	\N	\N	\N
430297	1461	1997-11-28	VYDAJ	VYBER	31600	71592	\N	\N	\N
430298	1461	1997-12-14	VYDAJ	VYBER	15600	104584	\N	\N	\N
430299	1461	1997-12-28	VYDAJ	VYBER	26900	72053	\N	\N	\N
430300	1461	1998-01-27	VYDAJ	VYBER	600	47271	\N	\N	\N
430301	1461	1998-02-26	VYDAJ	VYBER	5300	60911	\N	\N	\N
430302	1461	1998-03-28	VYDAJ	VYBER	12300	68472	\N	\N	\N
430303	1461	1998-04-27	VYDAJ	VYBER	24300	76122	\N	\N	\N
430304	1461	1998-05-14	VYDAJ	VYBER	55300	54620	\N	\N	\N
430305	1461	1998-05-27	VYDAJ	VYBER	700	53920	\N	\N	\N
430306	1461	1998-06-26	VYDAJ	VYBER	7500	51721	\N	\N	\N
430307	1461	1998-07-26	VYDAJ	VYBER	17600	67789	\N	\N	\N
430308	1461	1998-08-25	VYDAJ	VYBER	22300	66922	\N	\N	\N
430309	1461	1998-09-24	VYDAJ	VYBER	29900	70768	\N	\N	\N
430310	1461	1998-10-24	VYDAJ	VYBER	29900	74648	\N	\N	\N
430311	1461	1998-11-23	VYDAJ	VYBER	13900	55788	\N	\N	\N
430662	1463	1996-09-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
430672	1463	1996-10-12	PRIJEM	PREVOD Z UCTU	3336	4336	\N	GH	47576242
430673	1463	1996-11-12	PRIJEM	PREVOD Z UCTU	3336	14382	\N	GH	47576242
430674	1463	1996-12-12	PRIJEM	PREVOD Z UCTU	3336	24074	\N	GH	47576242
430675	1463	1997-01-12	PRIJEM	PREVOD Z UCTU	3336	23195	\N	GH	47576242
430676	1463	1997-02-12	PRIJEM	PREVOD Z UCTU	3336	24915	\N	GH	47576242
430677	1463	1997-03-12	PRIJEM	PREVOD Z UCTU	3336	28108	\N	GH	47576242
430678	1463	1997-04-12	PRIJEM	PREVOD Z UCTU	3336	24015	\N	GH	47576242
430679	1463	1997-05-12	PRIJEM	PREVOD Z UCTU	3336	25531	\N	GH	47576242
430680	1463	1997-06-12	PRIJEM	PREVOD Z UCTU	3336	19376	\N	GH	47576242
430681	1463	1997-07-12	PRIJEM	PREVOD Z UCTU	3336	14197	\N	GH	47576242
430682	1463	1997-08-12	PRIJEM	PREVOD Z UCTU	3336	20458	\N	GH	47576242
430683	1463	1997-09-12	PRIJEM	PREVOD Z UCTU	3336	24643	\N	GH	47576242
430684	1463	1997-10-12	PRIJEM	PREVOD Z UCTU	3336	26142	\N	GH	47576242
430685	1463	1997-11-12	PRIJEM	PREVOD Z UCTU	3336	29249	\N	GH	47576242
430686	1463	1997-12-12	PRIJEM	PREVOD Z UCTU	3336	30359	\N	GH	47576242
430687	1463	1998-01-12	PRIJEM	PREVOD Z UCTU	3336	32435	\N	GH	47576242
430688	1463	1998-02-12	PRIJEM	PREVOD Z UCTU	3336	30713	\N	GH	47576242
430689	1463	1998-03-12	PRIJEM	PREVOD Z UCTU	3336	33040	\N	GH	47576242
430690	1463	1998-04-12	PRIJEM	PREVOD Z UCTU	3336	34273	\N	GH	47576242
430691	1463	1998-05-12	PRIJEM	PREVOD Z UCTU	3336	35511	\N	GH	47576242
430692	1463	1998-06-12	PRIJEM	PREVOD Z UCTU	3336	29241	\N	GH	47576242
430693	1463	1998-07-12	PRIJEM	PREVOD Z UCTU	3336	25361	\N	GH	47576242
430694	1463	1998-08-12	PRIJEM	PREVOD Z UCTU	3336	28366	\N	GH	47576242
430695	1463	1998-09-12	PRIJEM	PREVOD Z UCTU	3336	26172	\N	GH	47576242
430696	1463	1998-10-12	PRIJEM	PREVOD Z UCTU	3336	25636	\N	GH	47576242
430697	1463	1998-11-12	PRIJEM	PREVOD Z UCTU	3336	32822	\N	GH	47576242
430698	1463	1998-12-12	PRIJEM	PREVOD Z UCTU	3336	36872	\N	GH	47576242
430713	1463	1997-03-07	VYDAJ	PREVOD NA UCET	719	26277	SIPO	QR	31343501
430714	1463	1997-04-07	VYDAJ	PREVOD NA UCET	719	22184	SIPO	QR	31343501
430715	1463	1997-05-07	VYDAJ	PREVOD NA UCET	719	23700	SIPO	QR	31343501
430716	1463	1997-06-07	VYDAJ	PREVOD NA UCET	719	17545	SIPO	QR	31343501
430717	1463	1997-07-07	VYDAJ	PREVOD NA UCET	719	12366	SIPO	QR	31343501
430718	1463	1997-08-07	VYDAJ	PREVOD NA UCET	719	18627	SIPO	QR	31343501
430719	1463	1997-09-07	VYDAJ	PREVOD NA UCET	719	22812	SIPO	QR	31343501
430720	1463	1997-10-07	VYDAJ	PREVOD NA UCET	719	24311	SIPO	QR	31343501
430721	1463	1997-11-07	VYDAJ	PREVOD NA UCET	719	27418	SIPO	QR	31343501
430722	1463	1997-12-07	VYDAJ	PREVOD NA UCET	719	28528	SIPO	QR	31343501
430723	1463	1998-01-07	VYDAJ	PREVOD NA UCET	719	30754	SIPO	QR	31343501
430724	1463	1998-02-07	VYDAJ	PREVOD NA UCET	719	29902	SIPO	QR	31343501
430725	1463	1998-03-07	VYDAJ	PREVOD NA UCET	719	31209	SIPO	QR	31343501
430726	1463	1998-04-07	VYDAJ	PREVOD NA UCET	719	32442	SIPO	QR	31343501
430727	1463	1998-05-07	VYDAJ	PREVOD NA UCET	719	33680	SIPO	QR	31343501
430728	1463	1998-06-07	VYDAJ	PREVOD NA UCET	719	27410	SIPO	QR	31343501
430729	1463	1998-07-07	VYDAJ	PREVOD NA UCET	719	23530	SIPO	QR	31343501
430730	1463	1998-08-07	VYDAJ	PREVOD NA UCET	719	26535	SIPO	QR	31343501
430731	1463	1998-09-07	VYDAJ	PREVOD NA UCET	719	24341	SIPO	QR	31343501
430732	1463	1998-10-07	VYDAJ	PREVOD NA UCET	719	23805	SIPO	QR	31343501
430733	1463	1998-11-07	VYDAJ	PREVOD NA UCET	719	30991	SIPO	QR	31343501
430734	1463	1998-12-07	VYDAJ	PREVOD NA UCET	719	35041	SIPO	QR	31343501
430749	1463	1997-03-11	VYDAJ	PREVOD NA UCET	1505	24772	 	YZ	71522283
430750	1463	1997-04-11	VYDAJ	PREVOD NA UCET	1505	20679	 	YZ	71522283
430751	1463	1997-05-11	VYDAJ	PREVOD NA UCET	1505	22195	 	YZ	71522283
430752	1463	1997-06-11	VYDAJ	PREVOD NA UCET	1505	16040	 	YZ	71522283
430753	1463	1997-07-11	VYDAJ	PREVOD NA UCET	1505	10861	 	YZ	71522283
430754	1463	1997-08-11	VYDAJ	PREVOD NA UCET	1505	17122	 	YZ	71522283
430755	1463	1997-09-11	VYDAJ	PREVOD NA UCET	1505	21307	 	YZ	71522283
430756	1463	1997-10-11	VYDAJ	PREVOD NA UCET	1505	22806	 	YZ	71522283
430757	1463	1997-11-11	VYDAJ	PREVOD NA UCET	1505	25913	 	YZ	71522283
430758	1463	1997-12-11	VYDAJ	PREVOD NA UCET	1505	27023	 	YZ	71522283
430759	1463	1998-01-11	VYDAJ	PREVOD NA UCET	1505	29099	 	YZ	71522283
430760	1463	1998-02-11	VYDAJ	PREVOD NA UCET	1505	27377	 	YZ	71522283
430761	1463	1998-03-11	VYDAJ	PREVOD NA UCET	1505	29704	 	YZ	71522283
430762	1463	1998-04-11	VYDAJ	PREVOD NA UCET	1505	30937	 	YZ	71522283
430763	1463	1998-05-11	VYDAJ	PREVOD NA UCET	1505	32175	 	YZ	71522283
430764	1463	1998-06-11	VYDAJ	PREVOD NA UCET	1505	25905	 	YZ	71522283
430765	1463	1998-07-11	VYDAJ	PREVOD NA UCET	1505	22025	 	YZ	71522283
430766	1463	1998-08-11	VYDAJ	PREVOD NA UCET	1505	25030	 	YZ	71522283
430767	1463	1998-09-11	VYDAJ	PREVOD NA UCET	1505	22836	 	YZ	71522283
430768	1463	1998-10-11	VYDAJ	PREVOD NA UCET	1505	22300	 	YZ	71522283
430769	1463	1998-11-11	VYDAJ	PREVOD NA UCET	1505	29486	 	YZ	71522283
430770	1463	1998-12-11	VYDAJ	PREVOD NA UCET	1505	33536	 	YZ	71522283
430772	1463	1997-06-14	VYDAJ	VYBER	6840	12536	\N	\N	\N
430773	1463	1998-06-21	VYDAJ	VYBER	3990	24151	\N	\N	\N
430775	1463	1997-12-01	VYDAJ	VYBER	510	30387	\N	\N	\N
430776	1463	1998-12-03	VYDAJ	VYBER	390	35760	\N	\N	\N
430789	1463	1998-01-29	VYDAJ	VYBER	180	30505	\N	\N	\N
430790	1463	1998-01-04	VYDAJ	VYBER	870	31473	\N	\N	\N
430791	1463	1998-01-02	VYDAJ	VYBER	630	32343	\N	\N	\N
430792	1463	1998-01-08	VYDAJ	VYBER	150	30604	\N	\N	\N
430793	1463	1998-01-23	VYDAJ	VYBER	810	30685	\N	\N	\N
430794	1463	1998-01-22	VYDAJ	VYBER	840	31495	\N	\N	\N
430801	1463	1997-05-31	VYDAJ	VYBER	1080	18264	\N	\N	\N
430802	1463	1997-12-02	VYDAJ	VYBER	1140	29247	\N	\N	\N
430803	1463	1997-11-20	VYDAJ	VYBER	360	30789	\N	\N	\N
430804	1463	1997-04-26	VYDAJ	VYBER	1380	24335	\N	\N	\N
430806	1463	1997-05-29	VYDAJ	VYBER	870	19261	\N	\N	\N
430807	1463	1998-10-21	VYDAJ	VYBER	630	31606	\N	\N	\N
430808	1463	1998-10-03	VYDAJ	VYBER	870	25094	\N	\N	\N
430809	1463	1998-06-12	VYDAJ	VYBER	600	28641	\N	\N	\N
430810	1463	1998-06-07	VYDAJ	VYBER	900	28129	\N	\N	\N
430811	1463	1998-02-10	VYDAJ	VYBER	1020	28882	\N	\N	\N
430812	1463	1998-07-28	VYDAJ	VYBER	600	27161	\N	\N	\N
430813	1463	1998-10-06	VYDAJ	VYBER	570	24524	\N	\N	\N
430828	1463	1997-02-28	VYDAJ	VYBER	15	26996	SLUZBY	\N	\N
430829	1463	1997-03-31	VYDAJ	VYBER	15	22903	SLUZBY	\N	\N
430830	1463	1997-04-30	VYDAJ	VYBER	15	24419	SLUZBY	\N	\N
430831	1463	1997-05-31	VYDAJ	VYBER	15	19344	SLUZBY	\N	\N
430832	1463	1997-06-30	VYDAJ	VYBER	15	13085	SLUZBY	\N	\N
430833	1463	1997-07-31	VYDAJ	VYBER	15	19346	SLUZBY	\N	\N
430834	1463	1997-08-31	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
430835	1463	1997-09-30	VYDAJ	VYBER	15	25030	SLUZBY	\N	\N
430836	1463	1997-10-31	VYDAJ	VYBER	15	28137	SLUZBY	\N	\N
430837	1463	1997-11-30	VYDAJ	VYBER	15	30897	SLUZBY	\N	\N
430838	1463	1997-12-31	VYDAJ	VYBER	15	32973	SLUZBY	\N	\N
430839	1463	1998-01-31	VYDAJ	VYBER	15	30621	SLUZBY	\N	\N
430840	1463	1998-02-28	VYDAJ	VYBER	15	31928	SLUZBY	\N	\N
430841	1463	1998-03-31	VYDAJ	VYBER	15	33161	SLUZBY	\N	\N
430842	1463	1998-04-30	VYDAJ	VYBER	15	34399	SLUZBY	\N	\N
430843	1463	1998-05-31	VYDAJ	VYBER	15	29029	SLUZBY	\N	\N
430844	1463	1998-06-30	VYDAJ	VYBER	15	24249	SLUZBY	\N	\N
430845	1463	1998-07-31	VYDAJ	VYBER	15	27254	SLUZBY	\N	\N
430846	1463	1998-08-31	VYDAJ	VYBER	15	25060	SLUZBY	\N	\N
430847	1463	1998-09-30	VYDAJ	VYBER	15	25964	SLUZBY	\N	\N
430848	1463	1998-10-31	VYDAJ	VYBER	15	31710	SLUZBY	\N	\N
430849	1463	1998-11-30	VYDAJ	VYBER	15	36150	SLUZBY	\N	\N
430850	1463	1996-10-25	PRIJEM	VKLAD	6700	11036	\N	\N	\N
430851	1463	1996-11-24	PRIJEM	VKLAD	6300	20682	\N	\N	\N
430852	1463	1996-12-24	VYDAJ	VYBER	4300	19774	\N	\N	\N
430853	1463	1997-01-23	VYDAJ	VYBER	1700	21495	\N	\N	\N
430854	1463	1997-02-22	PRIJEM	VKLAD	2000	26915	\N	\N	\N
430855	1463	1997-03-24	VYDAJ	VYBER	5300	22808	\N	\N	\N
430856	1463	1997-04-23	PRIJEM	VKLAD	1700	25715	\N	\N	\N
430857	1463	1997-05-23	VYDAJ	VYBER	5400	20131	\N	\N	\N
430858	1463	1997-06-22	PRIJEM	VKLAD	500	13036	\N	\N	\N
430859	1463	1997-07-22	PRIJEM	VKLAD	5100	19297	\N	\N	\N
430860	1463	1997-08-21	PRIJEM	VKLAD	3000	23458	\N	\N	\N
430861	1463	1997-09-20	PRIJEM	VKLAD	300	24943	\N	\N	\N
430862	1463	1997-10-20	PRIJEM	VKLAD	1900	28042	\N	\N	\N
430863	1463	1997-11-19	PRIJEM	VKLAD	1900	31149	\N	\N	\N
430864	1463	1997-12-19	PRIJEM	VKLAD	2500	32859	\N	\N	\N
430865	1463	1998-01-18	VYDAJ	VYBER	100	32335	\N	\N	\N
430866	1463	1998-02-17	PRIJEM	VKLAD	1100	31813	\N	\N	\N
430867	1463	1998-05-18	VYDAJ	VYBER	6600	28911	\N	\N	\N
430868	1463	1998-06-17	VYDAJ	VYBER	500	28141	\N	\N	\N
430869	1463	1998-07-17	PRIJEM	VKLAD	2400	27761	\N	\N	\N
430870	1463	1998-08-16	VYDAJ	VYBER	3400	24966	\N	\N	\N
430871	1463	1998-09-15	VYDAJ	VYBER	300	25872	\N	\N	\N
430872	1463	1998-10-15	PRIJEM	VKLAD	6600	32236	\N	\N	\N
430873	1463	1998-11-14	PRIJEM	VKLAD	3200	36022	\N	\N	\N
430901	1464	1996-10-21	PRIJEM	VKLAD	300	300	\N	\N	\N
430907	1464	1996-11-12	PRIJEM	VKLAD	37026	37326	\N	\N	\N
430911	1464	1997-12-01	PRIJEM	VKLAD	28824	62458	\N	\N	\N
430912	1464	1997-06-09	PRIJEM	VKLAD	32063	107199	\N	\N	\N
430913	1464	1997-03-24	PRIJEM	VKLAD	48263	78972	\N	\N	\N
430914	1464	1997-11-07	PRIJEM	VKLAD	9988	52592	\N	\N	\N
430915	1464	1997-09-03	PRIJEM	VKLAD	11324	45141	\N	\N	\N
430916	1464	1997-04-29	PRIJEM	VKLAD	8197	53790	\N	\N	\N
430917	1464	1997-01-09	PRIJEM	VKLAD	46207	69789	\N	\N	\N
430918	1464	1997-05-16	PRIJEM	VKLAD	16136	62515	\N	\N	\N
430919	1464	1997-07-19	PRIJEM	VKLAD	18543	65890	\N	\N	\N
430920	1464	1997-01-19	PRIJEM	VKLAD	45091	150867	\N	\N	\N
430921	1464	1997-05-30	PRIJEM	VKLAD	35528	111301	\N	\N	\N
430922	1464	1997-06-26	PRIJEM	VKLAD	30454	84346	\N	\N	\N
430923	1464	1997-04-25	PRIJEM	VKLAD	16315	45593	\N	\N	\N
430924	1464	1997-08-14	PRIJEM	VKLAD	15239	111452	\N	\N	\N
430925	1464	1997-05-23	PRIJEM	VKLAD	38658	75773	\N	\N	\N
430926	1464	1997-03-27	PRIJEM	VKLAD	29848	103106	\N	\N	\N
430927	1464	1997-05-02	PRIJEM	VKLAD	21800	75899	\N	\N	\N
430928	1464	1997-03-25	PRIJEM	VKLAD	28086	107058	\N	\N	\N
430929	1464	1997-10-19	PRIJEM	VKLAD	5612	68803	\N	\N	\N
430930	1464	1997-02-11	PRIJEM	VKLAD	14427	79166	\N	\N	\N
430931	1464	1997-01-15	PRIJEM	VKLAD	35987	105776	\N	\N	\N
430932	1464	1997-10-15	PRIJEM	VKLAD	47531	68812	\N	\N	\N
430933	1464	1997-10-17	PRIJEM	VKLAD	16479	63191	\N	\N	\N
430934	1464	1997-07-25	PRIJEM	VKLAD	30005	95895	\N	\N	\N
430935	1464	1997-06-11	PRIJEM	VKLAD	21193	93592	\N	\N	\N
430936	1464	1998-08-22	PRIJEM	VKLAD	23577	82905	\N	\N	\N
430937	1464	1998-02-15	PRIJEM	VKLAD	21651	123613	\N	\N	\N
430938	1464	1998-03-11	PRIJEM	VKLAD	27088	130315	\N	\N	\N
430939	1464	1998-11-13	PRIJEM	VKLAD	33493	94445	\N	\N	\N
430940	1464	1998-03-28	PRIJEM	VKLAD	45889	124664	\N	\N	\N
430941	1464	1998-06-19	PRIJEM	VKLAD	42682	84059	\N	\N	\N
430942	1464	1998-02-15	PRIJEM	VKLAD	38347	101962	\N	\N	\N
430943	1464	1998-01-31	PRIJEM	VKLAD	17623	121476	\N	\N	\N
430944	1464	1998-06-29	PRIJEM	VKLAD	18239	98943	\N	\N	\N
430945	1464	1998-08-22	PRIJEM	VKLAD	20458	103363	\N	\N	\N
430946	1464	1998-09-29	PRIJEM	VKLAD	32965	127163	\N	\N	\N
430947	1464	1998-11-21	PRIJEM	VKLAD	10892	105337	\N	\N	\N
430948	1464	1998-09-29	PRIJEM	VKLAD	17993	94198	\N	\N	\N
430949	1464	1998-09-26	PRIJEM	VKLAD	21270	126805	\N	\N	\N
430950	1464	1998-10-11	PRIJEM	VKLAD	22566	119072	\N	\N	\N
430951	1464	1998-10-26	PRIJEM	VKLAD	27910	126197	\N	\N	\N
430952	1464	1998-09-26	PRIJEM	VKLAD	41656	105535	\N	\N	\N
430953	1464	1998-05-06	PRIJEM	VKLAD	13676	81643	\N	\N	\N
430954	1464	1998-08-03	PRIJEM	VKLAD	39164	89369	\N	\N	\N
430955	1464	1998-02-28	PRIJEM	VKLAD	41807	126520	\N	\N	\N
430956	1464	1998-01-31	PRIJEM	VKLAD	27375	103853	\N	\N	\N
430957	1464	1998-01-29	PRIJEM	VKLAD	25998	76478	\N	\N	\N
430958	1464	1998-09-08	PRIJEM	VKLAD	22663	126279	\N	\N	\N
430959	1464	1998-06-20	PRIJEM	VKLAD	6725	90784	\N	\N	\N
430960	1464	1998-10-20	PRIJEM	VKLAD	12439	98287	\N	\N	\N
430961	1464	1998-01-24	PRIJEM	VKLAD	33824	55558	\N	\N	\N
430962	1464	1998-03-20	PRIJEM	VKLAD	23360	78775	\N	\N	\N
430963	1464	1998-01-25	PRIJEM	VKLAD	15322	62480	\N	\N	\N
430964	1464	1998-10-18	PRIJEM	VKLAD	20776	85848	\N	\N	\N
430965	1464	1997-05-13	VYBER	VYBER	20120	46379	\N	\N	\N
430967	1464	1997-05-11	VYBER	VYBER	9400	66499	\N	\N	\N
430968	1464	1997-04-04	VYBER	VYBER	5459	38778	\N	\N	\N
430969	1464	1997-09-09	VYBER	VYBER	23048	22093	\N	\N	\N
430971	1464	1997-12-19	VYBER	VYBER	7083	35675	\N	\N	\N
430972	1464	1997-10-27	VYBER	VYBER	22450	42453	\N	\N	\N
430973	1464	1998-06-21	VYBER	VYBER	10080	80704	\N	\N	\N
430974	1464	1998-07-03	VYBER	VYBER	5124	94079	\N	\N	\N
430975	1464	1998-08-13	VYBER	VYBER	2141	59328	\N	\N	\N
430976	1464	1998-07-04	VYBER	VYBER	16430	77649	\N	\N	\N
430977	1464	1998-12-28	VYBER	VYBER	20715	42020	\N	\N	\N
430979	1464	1997-06-10	VYDAJ	VYBER	31500	72399	\N	\N	\N
430985	1464	1997-12-08	VYDAJ	VYBER	1500	60958	\N	\N	\N
430986	1464	1998-12-04	VYDAJ	VYBER	7800	97935	\N	\N	\N
430999	1464	1998-01-25	VYDAJ	VYBER	4200	58280	\N	\N	\N
431001	1464	1998-01-10	VYDAJ	VYBER	5400	21734	\N	\N	\N
431002	1464	1998-01-03	VYDAJ	VYBER	8700	27134	\N	\N	\N
431003	1464	1998-01-24	VYDAJ	VYBER	8400	47158	\N	\N	\N
431004	1464	1998-01-26	VYDAJ	VYBER	7800	50480	\N	\N	\N
431010	1464	1997-06-09	VYDAJ	VYBER	3300	103899	\N	\N	\N
431011	1464	1997-10-23	VYDAJ	VYBER	3900	64903	\N	\N	\N
431012	1464	1997-06-29	VYDAJ	VYBER	6000	78346	\N	\N	\N
431013	1464	1997-03-07	VYDAJ	VYBER	5700	41509	\N	\N	\N
431016	1464	1998-05-10	VYDAJ	VYBER	9300	72343	\N	\N	\N
431017	1464	1998-07-31	VYDAJ	VYBER	4500	50205	\N	\N	\N
431032	1464	1997-02-28	VYDAJ	VYBER	15	47209	SLUZBY	\N	\N
431033	1464	1997-03-31	VYDAJ	VYBER	15	103337	SLUZBY	\N	\N
431034	1464	1997-04-30	VYDAJ	VYBER	15	54099	SLUZBY	\N	\N
431035	1464	1997-05-31	VYDAJ	VYBER	15	75136	SLUZBY	\N	\N
431036	1464	1997-06-30	VYDAJ	VYBER	15	78647	SLUZBY	\N	\N
431037	1464	1997-07-31	VYDAJ	VYBER	15	96213	SLUZBY	\N	\N
431038	1464	1997-08-31	VYDAJ	VYBER	15	33817	SLUZBY	\N	\N
431039	1464	1997-09-30	VYDAJ	VYBER	15	21281	SLUZBY	\N	\N
431040	1464	1997-10-31	VYDAJ	VYBER	15	42604	SLUZBY	\N	\N
431041	1464	1997-11-30	VYDAJ	VYBER	15	33634	SLUZBY	\N	\N
431042	1464	1997-12-31	VYDAJ	VYBER	15	35834	SLUZBY	\N	\N
431043	1464	1998-01-31	VYDAJ	VYBER	15	121615	SLUZBY	\N	\N
431044	1464	1998-02-28	VYDAJ	VYBER	15	126927	SLUZBY	\N	\N
431045	1464	1998-03-31	VYDAJ	VYBER	15	106046	SLUZBY	\N	\N
431046	1464	1998-04-30	VYDAJ	VYBER	15	67967	SLUZBY	\N	\N
431047	1464	1998-05-31	VYDAJ	VYBER	15	53277	SLUZBY	\N	\N
431048	1464	1998-06-30	VYDAJ	VYBER	15	99203	SLUZBY	\N	\N
431049	1464	1998-07-31	VYDAJ	VYBER	15	54705	SLUZBY	\N	\N
431050	1464	1998-08-31	VYDAJ	VYBER	15	103616	SLUZBY	\N	\N
431051	1464	1998-09-30	VYDAJ	VYBER	15	96506	SLUZBY	\N	\N
431052	1464	1998-10-31	VYDAJ	VYBER	15	97252	SLUZBY	\N	\N
431053	1464	1998-11-30	VYDAJ	VYBER	15	105735	SLUZBY	\N	\N
431054	1464	1996-11-20	VYDAJ	VYBER	10000	27326	\N	\N	\N
431055	1464	1996-12-20	VYDAJ	VYBER	3900	23468	\N	\N	\N
431056	1464	1997-01-19	VYDAJ	VYBER	47600	103267	\N	\N	\N
431057	1464	1997-01-19	VYDAJ	VYBER	38900	64367	\N	\N	\N
431058	1464	1997-02-18	VYDAJ	VYBER	32400	46766	\N	\N	\N
431059	1464	1997-03-20	VYDAJ	VYBER	10800	30709	\N	\N	\N
431060	1464	1997-03-25	VYDAJ	VYBER	33800	73258	\N	\N	\N
431061	1464	1997-03-31	VYDAJ	VYBER	59100	44237	\N	\N	\N
431062	1464	1997-04-19	VYDAJ	VYBER	9500	29278	\N	\N	\N
431063	1464	1997-05-19	VYDAJ	VYBER	25400	37115	\N	\N	\N
431064	1464	1997-05-30	VYDAJ	VYBER	36400	74901	\N	\N	\N
431065	1464	1997-06-18	VYDAJ	VYBER	39700	53892	\N	\N	\N
431066	1464	1997-07-18	VYDAJ	VYBER	31300	47347	\N	\N	\N
431067	1464	1997-08-14	VYDAJ	VYBER	59200	52252	\N	\N	\N
431068	1464	1997-08-17	VYDAJ	VYBER	18700	33552	\N	\N	\N
431069	1464	1997-09-16	VYDAJ	VYBER	900	21193	\N	\N	\N
431070	1464	1997-10-16	VYDAJ	VYBER	22100	46712	\N	\N	\N
431071	1464	1997-11-15	VYDAJ	VYBER	19100	33492	\N	\N	\N
431072	1464	1997-12-15	VYDAJ	VYBER	18200	42758	\N	\N	\N
431073	1464	1998-01-31	VYDAJ	VYBER	22500	99115	\N	\N	\N
431074	1464	1998-02-13	VYDAJ	VYBER	35500	63615	\N	\N	\N
431075	1464	1998-02-15	VYDAJ	VYBER	38900	84713	\N	\N	\N
431076	1464	1998-02-28	VYDAJ	VYBER	23700	103227	\N	\N	\N
431077	1464	1998-03-11	VYDAJ	VYBER	39900	90415	\N	\N	\N
431078	1464	1998-03-15	VYDAJ	VYBER	35000	55415	\N	\N	\N
431079	1464	1998-03-28	VYDAJ	VYBER	19000	105664	\N	\N	\N
431080	1464	1998-04-14	VYDAJ	VYBER	38500	67546	\N	\N	\N
431081	1464	1998-05-14	VYDAJ	VYBER	19300	53043	\N	\N	\N
431082	1464	1998-06-13	VYDAJ	VYBER	11900	41377	\N	\N	\N
431083	1464	1998-07-13	VYDAJ	VYBER	23200	54449	\N	\N	\N
431084	1464	1998-08-12	VYDAJ	VYBER	27900	61469	\N	\N	\N
431085	1464	1998-09-08	VYDAJ	VYBER	29000	97279	\N	\N	\N
431086	1464	1998-09-11	VYDAJ	VYBER	33400	63879	\N	\N	\N
431087	1464	1998-09-26	VYDAJ	VYBER	50600	76205	\N	\N	\N
431088	1464	1998-09-29	VYDAJ	VYBER	31000	96163	\N	\N	\N
431089	1464	1998-10-11	VYDAJ	VYBER	17500	101572	\N	\N	\N
431090	1464	1998-10-11	VYDAJ	VYBER	36500	65072	\N	\N	\N
431091	1464	1998-10-26	VYDAJ	VYBER	29300	96897	\N	\N	\N
431092	1464	1998-11-10	VYDAJ	VYBER	36300	60952	\N	\N	\N
431093	1464	1998-12-10	VYDAJ	VYBER	35200	62735	\N	\N	\N
431120	1465	1995-06-08	PRIJEM	VKLAD	300	300	\N	\N	\N
431126	1465	1995-06-14	PRIJEM	PREVOD Z UCTU	3183	3483	\N	EF	15611237
431127	1465	1995-07-14	PRIJEM	PREVOD Z UCTU	3183	17274	\N	EF	15611237
431128	1465	1995-08-14	PRIJEM	PREVOD Z UCTU	3183	25505	\N	EF	15611237
431129	1465	1995-09-14	PRIJEM	PREVOD Z UCTU	3183	27480	\N	EF	15611237
431130	1465	1995-10-14	PRIJEM	PREVOD Z UCTU	3183	30074	\N	EF	15611237
431131	1465	1995-11-14	PRIJEM	PREVOD Z UCTU	3183	26641	\N	EF	15611237
431132	1465	1995-12-14	PRIJEM	PREVOD Z UCTU	3183	24017	\N	EF	15611237
431133	1465	1996-01-14	PRIJEM	PREVOD Z UCTU	3183	24521	\N	EF	15611237
431134	1465	1996-02-14	PRIJEM	PREVOD Z UCTU	3183	17836	\N	EF	15611237
431135	1465	1996-03-14	PRIJEM	PREVOD Z UCTU	3183	15054	\N	EF	15611237
431136	1465	1996-04-14	PRIJEM	PREVOD Z UCTU	3183	14361	\N	EF	15611237
431137	1465	1996-05-14	PRIJEM	PREVOD Z UCTU	3183	14665	\N	EF	15611237
431138	1465	1996-06-14	PRIJEM	PREVOD Z UCTU	3183	20268	\N	EF	15611237
431139	1465	1996-07-14	PRIJEM	PREVOD Z UCTU	3183	20839	\N	EF	15611237
431140	1465	1996-08-14	PRIJEM	PREVOD Z UCTU	3183	20268	\N	EF	15611237
431141	1465	1996-09-14	PRIJEM	PREVOD Z UCTU	3183	19295	\N	EF	15611237
431142	1465	1996-10-14	PRIJEM	PREVOD Z UCTU	3183	18918	\N	EF	15611237
431143	1465	1996-11-14	PRIJEM	PREVOD Z UCTU	3183	18940	\N	EF	15611237
431144	1465	1996-12-14	PRIJEM	PREVOD Z UCTU	3183	20162	\N	EF	15611237
431145	1465	1997-01-14	PRIJEM	PREVOD Z UCTU	3183	18648	\N	EF	15611237
431146	1465	1997-02-14	PRIJEM	PREVOD Z UCTU	3183	17378	\N	EF	15611237
431147	1465	1997-03-14	PRIJEM	PREVOD Z UCTU	3183	11991	\N	EF	15611237
431148	1465	1997-04-14	PRIJEM	PREVOD Z UCTU	3183	13284	\N	EF	15611237
431149	1465	1997-05-14	PRIJEM	PREVOD Z UCTU	3183	17083	\N	EF	15611237
431150	1465	1997-06-14	PRIJEM	PREVOD Z UCTU	3183	17297	\N	EF	15611237
431151	1465	1997-07-14	PRIJEM	PREVOD Z UCTU	3183	17711	\N	EF	15611237
431152	1465	1997-08-14	PRIJEM	PREVOD Z UCTU	3183	16126	\N	EF	15611237
431153	1465	1997-09-14	PRIJEM	PREVOD Z UCTU	3183	19037	\N	EF	15611237
431154	1465	1997-10-14	PRIJEM	PREVOD Z UCTU	3183	23362	\N	EF	15611237
431155	1465	1997-11-14	PRIJEM	PREVOD Z UCTU	3183	27584	\N	EF	15611237
431156	1465	1997-12-14	PRIJEM	PREVOD Z UCTU	3183	27382	\N	EF	15611237
431157	1465	1998-01-14	PRIJEM	PREVOD Z UCTU	3183	24387	\N	EF	15611237
431158	1465	1998-02-14	PRIJEM	PREVOD Z UCTU	3183	30781	\N	EF	15611237
431159	1465	1998-03-14	PRIJEM	PREVOD Z UCTU	3183	33754	\N	EF	15611237
431160	1465	1998-04-14	PRIJEM	PREVOD Z UCTU	3183	35627	\N	EF	15611237
431161	1465	1998-05-14	PRIJEM	PREVOD Z UCTU	3183	37721	\N	EF	15611237
431162	1465	1998-06-14	PRIJEM	PREVOD Z UCTU	3183	27927	\N	EF	15611237
431163	1465	1998-07-14	PRIJEM	PREVOD Z UCTU	3183	35503	\N	EF	15611237
431164	1465	1998-08-14	PRIJEM	PREVOD Z UCTU	3183	37795	\N	EF	15611237
431165	1465	1998-09-14	PRIJEM	PREVOD Z UCTU	3183	45003	\N	EF	15611237
431166	1465	1998-10-14	PRIJEM	PREVOD Z UCTU	3183	41926	\N	EF	15611237
431167	1465	1998-11-14	PRIJEM	PREVOD Z UCTU	3183	36843	\N	EF	15611237
431168	1465	1998-12-14	PRIJEM	PREVOD Z UCTU	3183	34533	\N	EF	15611237
431179	1465	1995-11-06	VYDAJ	PREVOD NA UCET	1904	23676	SIPO	WX	32052809
431180	1465	1995-12-06	VYDAJ	PREVOD NA UCET	1904	21052	SIPO	WX	32052809
431181	1465	1996-01-06	VYDAJ	PREVOD NA UCET	1904	21886	SIPO	WX	32052809
431182	1465	1996-02-06	VYDAJ	PREVOD NA UCET	1904	14871	SIPO	WX	32052809
431183	1465	1996-03-06	VYDAJ	PREVOD NA UCET	1904	12089	SIPO	WX	32052809
431184	1465	1996-04-06	VYDAJ	PREVOD NA UCET	1904	11396	SIPO	WX	32052809
431185	1465	1996-05-06	VYDAJ	PREVOD NA UCET	1904	11700	SIPO	WX	32052809
431186	1465	1996-06-06	VYDAJ	PREVOD NA UCET	1904	17303	SIPO	WX	32052809
431187	1465	1996-07-06	VYDAJ	PREVOD NA UCET	1904	17874	SIPO	WX	32052809
431188	1465	1996-08-06	VYDAJ	PREVOD NA UCET	1904	17303	SIPO	WX	32052809
431189	1465	1996-09-06	VYDAJ	PREVOD NA UCET	1904	16330	SIPO	WX	32052809
431190	1465	1996-10-06	VYDAJ	PREVOD NA UCET	1904	15953	SIPO	WX	32052809
431191	1465	1996-11-06	VYDAJ	PREVOD NA UCET	1904	15975	SIPO	WX	32052809
431192	1465	1996-12-06	VYDAJ	PREVOD NA UCET	1904	17197	SIPO	WX	32052809
431193	1465	1997-01-06	VYDAJ	PREVOD NA UCET	1904	17633	SIPO	WX	32052809
431194	1465	1997-02-06	VYDAJ	PREVOD NA UCET	1904	14413	SIPO	WX	32052809
431195	1465	1997-03-06	VYDAJ	PREVOD NA UCET	1904	9026	SIPO	WX	32052809
431196	1465	1997-04-06	VYDAJ	PREVOD NA UCET	1904	10319	SIPO	WX	32052809
431197	1465	1997-05-06	VYDAJ	PREVOD NA UCET	1904	14118	SIPO	WX	32052809
431198	1465	1997-06-06	VYDAJ	PREVOD NA UCET	1904	14332	SIPO	WX	32052809
431199	1465	1997-07-06	VYDAJ	PREVOD NA UCET	1904	14746	SIPO	WX	32052809
431200	1465	1997-08-06	VYDAJ	PREVOD NA UCET	1904	13161	SIPO	WX	32052809
431201	1465	1997-09-06	VYDAJ	PREVOD NA UCET	1904	16072	SIPO	WX	32052809
431202	1465	1997-10-06	VYDAJ	PREVOD NA UCET	1904	20397	SIPO	WX	32052809
431203	1465	1997-11-06	VYDAJ	PREVOD NA UCET	1904	24619	SIPO	WX	32052809
431204	1465	1997-12-06	VYDAJ	PREVOD NA UCET	1904	24417	SIPO	WX	32052809
431205	1465	1998-01-06	VYDAJ	PREVOD NA UCET	1904	23522	SIPO	WX	32052809
431206	1465	1998-02-06	VYDAJ	PREVOD NA UCET	1904	27816	SIPO	WX	32052809
431207	1465	1998-03-06	VYDAJ	PREVOD NA UCET	1904	30789	SIPO	WX	32052809
431208	1465	1998-04-06	VYDAJ	PREVOD NA UCET	1904	33922	SIPO	WX	32052809
431209	1465	1998-05-06	VYDAJ	PREVOD NA UCET	1904	34756	SIPO	WX	32052809
431210	1465	1998-06-06	VYDAJ	PREVOD NA UCET	1904	32552	SIPO	WX	32052809
431211	1465	1998-07-06	VYDAJ	PREVOD NA UCET	1904	32538	SIPO	WX	32052809
431212	1465	1998-08-06	VYDAJ	PREVOD NA UCET	1904	34830	SIPO	WX	32052809
431213	1465	1998-09-06	VYDAJ	PREVOD NA UCET	1904	42038	SIPO	WX	32052809
431214	1465	1998-10-06	VYDAJ	PREVOD NA UCET	1904	38961	SIPO	WX	32052809
431215	1465	1998-11-06	VYDAJ	PREVOD NA UCET	1904	33878	SIPO	WX	32052809
431216	1465	1998-12-06	VYDAJ	PREVOD NA UCET	1904	31568	SIPO	WX	32052809
431227	1465	1995-11-09	VYDAJ	PREVOD NA UCET	218	23458	 	CD	77944719
431228	1465	1995-12-09	VYDAJ	PREVOD NA UCET	218	20834	 	CD	77944719
431229	1465	1996-01-09	VYDAJ	PREVOD NA UCET	218	21338	 	CD	77944719
431230	1465	1996-02-09	VYDAJ	PREVOD NA UCET	218	14653	 	CD	77944719
431231	1465	1996-03-09	VYDAJ	PREVOD NA UCET	218	11871	 	CD	77944719
431232	1465	1996-04-09	VYDAJ	PREVOD NA UCET	218	11178	 	CD	77944719
431233	1465	1996-05-09	VYDAJ	PREVOD NA UCET	218	11482	 	CD	77944719
431234	1465	1996-06-09	VYDAJ	PREVOD NA UCET	218	17085	 	CD	77944719
431235	1465	1996-07-09	VYDAJ	PREVOD NA UCET	218	17656	 	CD	77944719
431236	1465	1996-08-09	VYDAJ	PREVOD NA UCET	218	17085	 	CD	77944719
431237	1465	1996-09-09	VYDAJ	PREVOD NA UCET	218	16112	 	CD	77944719
431238	1465	1996-10-09	VYDAJ	PREVOD NA UCET	218	15735	 	CD	77944719
431239	1465	1996-11-09	VYDAJ	PREVOD NA UCET	218	15757	 	CD	77944719
431240	1465	1996-12-09	VYDAJ	PREVOD NA UCET	218	16979	 	CD	77944719
431241	1465	1997-01-09	VYDAJ	PREVOD NA UCET	218	16665	 	CD	77944719
431242	1465	1997-02-09	VYDAJ	PREVOD NA UCET	218	14195	 	CD	77944719
431243	1465	1997-03-09	VYDAJ	PREVOD NA UCET	218	8808	 	CD	77944719
431244	1465	1997-04-09	VYDAJ	PREVOD NA UCET	218	10101	 	CD	77944719
431245	1465	1997-05-09	VYDAJ	PREVOD NA UCET	218	13900	 	CD	77944719
431246	1465	1997-06-09	VYDAJ	PREVOD NA UCET	218	14114	 	CD	77944719
431247	1465	1997-07-09	VYDAJ	PREVOD NA UCET	218	14528	 	CD	77944719
431248	1465	1997-08-09	VYDAJ	PREVOD NA UCET	218	12943	 	CD	77944719
431249	1465	1997-09-09	VYDAJ	PREVOD NA UCET	218	15854	 	CD	77944719
431250	1465	1997-10-09	VYDAJ	PREVOD NA UCET	218	20179	 	CD	77944719
431251	1465	1997-11-09	VYDAJ	PREVOD NA UCET	218	24401	 	CD	77944719
431252	1465	1997-12-09	VYDAJ	PREVOD NA UCET	218	24199	 	CD	77944719
431253	1465	1998-01-09	VYDAJ	PREVOD NA UCET	218	21684	 	CD	77944719
431254	1465	1998-02-09	VYDAJ	PREVOD NA UCET	218	27598	 	CD	77944719
431255	1465	1998-03-09	VYDAJ	PREVOD NA UCET	218	30571	 	CD	77944719
431256	1465	1998-04-09	VYDAJ	PREVOD NA UCET	218	33704	 	CD	77944719
431257	1465	1998-05-09	VYDAJ	PREVOD NA UCET	218	34538	 	CD	77944719
431258	1465	1998-06-09	VYDAJ	PREVOD NA UCET	218	32334	 	CD	77944719
431259	1465	1998-07-09	VYDAJ	PREVOD NA UCET	218	32320	 	CD	77944719
431260	1465	1998-08-09	VYDAJ	PREVOD NA UCET	218	34612	 	CD	77944719
431261	1465	1998-09-09	VYDAJ	PREVOD NA UCET	218	41820	 	CD	77944719
431262	1465	1998-10-09	VYDAJ	PREVOD NA UCET	218	38743	 	CD	77944719
431263	1465	1998-11-09	VYDAJ	PREVOD NA UCET	218	33660	 	CD	77944719
431264	1465	1998-12-09	VYDAJ	PREVOD NA UCET	218	31350	 	CD	77944719
431266	1465	1996-06-16	VYDAJ	VYBER	1350	18918	\N	\N	\N
431268	1465	1998-06-10	VYDAJ	VYBER	7590	24744	\N	\N	\N
431270	1465	1996-01-15	VYDAJ	VYBER	2700	21821	\N	\N	\N
431271	1465	1997-01-12	VYDAJ	VYBER	390	15465	\N	\N	\N
431272	1465	1998-01-06	VYDAJ	VYBER	1620	21902	\N	\N	\N
431273	1465	1995-12-02	VYDAJ	VYBER	780	25956	\N	\N	\N
431274	1465	1996-12-21	VYDAJ	VYBER	810	19352	\N	\N	\N
431275	1465	1997-12-16	VYDAJ	VYBER	240	27142	\N	\N	\N
431276	1465	1998-12-14	VYDAJ	VYBER	600	33933	\N	\N	\N
431283	1465	1996-01-28	VYDAJ	VYBER	660	18401	\N	\N	\N
431284	1465	1996-01-03	VYDAJ	VYBER	810	23290	\N	\N	\N
431285	1465	1996-01-06	VYDAJ	VYBER	330	21556	\N	\N	\N
431286	1465	1996-01-22	VYDAJ	VYBER	570	20111	\N	\N	\N
431287	1465	1996-01-27	VYDAJ	VYBER	540	19271	\N	\N	\N
431288	1465	1996-01-25	VYDAJ	VYBER	300	19811	\N	\N	\N
431289	1465	1997-01-06	VYDAJ	VYBER	420	19537	\N	\N	\N
431290	1465	1997-01-20	VYDAJ	VYBER	780	17868	\N	\N	\N
431291	1465	1997-01-24	VYDAJ	VYBER	810	17058	\N	\N	\N
431292	1465	1997-01-11	VYDAJ	VYBER	810	15855	\N	\N	\N
431293	1465	1997-01-07	VYDAJ	VYBER	750	16883	\N	\N	\N
431294	1465	1997-01-05	VYDAJ	VYBER	360	19957	\N	\N	\N
431295	1465	1998-01-10	VYDAJ	VYBER	480	21204	\N	\N	\N
431296	1465	1998-01-04	VYDAJ	VYBER	300	26146	\N	\N	\N
431297	1465	1998-01-29	VYDAJ	VYBER	750	29627	\N	\N	\N
431298	1465	1998-01-28	VYDAJ	VYBER	510	30377	\N	\N	\N
431299	1465	1998-01-05	VYDAJ	VYBER	720	25426	\N	\N	\N
431300	1465	1998-01-02	VYDAJ	VYBER	690	26446	\N	\N	\N
431307	1465	1995-10-30	VYDAJ	VYBER	600	29474	\N	\N	\N
431309	1465	1996-01-18	VYDAJ	VYBER	1140	20681	\N	\N	\N
431310	1465	1996-01-28	VYDAJ	VYBER	210	19061	\N	\N	\N
431311	1465	1997-10-26	VYDAJ	VYBER	720	26442	\N	\N	\N
431312	1465	1997-12-05	VYDAJ	VYBER	960	26321	\N	\N	\N
431314	1465	1998-03-15	VYDAJ	VYBER	1050	32704	\N	\N	\N
431315	1465	1998-04-13	VYDAJ	VYBER	1260	32444	\N	\N	\N
431316	1465	1998-10-28	VYDAJ	VYBER	390	35636	\N	\N	\N
431327	1465	1995-10-31	VYDAJ	VYBER	15	29580	SLUZBY	\N	\N
431328	1465	1995-11-30	VYDAJ	VYBER	15	26736	SLUZBY	\N	\N
431329	1465	1995-12-31	VYDAJ	VYBER	15	24100	SLUZBY	\N	\N
431330	1465	1996-01-31	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
431331	1465	1996-02-29	VYDAJ	VYBER	15	17893	SLUZBY	\N	\N
431332	1465	1996-03-31	VYDAJ	VYBER	15	15100	SLUZBY	\N	\N
431333	1465	1996-04-30	VYDAJ	VYBER	15	14404	SLUZBY	\N	\N
431334	1465	1996-05-31	VYDAJ	VYBER	15	14707	SLUZBY	\N	\N
431335	1465	1996-06-30	VYDAJ	VYBER	15	18978	SLUZBY	\N	\N
431336	1465	1996-07-31	VYDAJ	VYBER	15	20907	SLUZBY	\N	\N
431337	1465	1996-08-31	VYDAJ	VYBER	15	20334	SLUZBY	\N	\N
431338	1465	1996-09-30	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
431339	1465	1996-10-31	VYDAJ	VYBER	15	17879	SLUZBY	\N	\N
431340	1465	1996-11-30	VYDAJ	VYBER	15	19101	SLUZBY	\N	\N
431341	1465	1996-12-31	VYDAJ	VYBER	15	20317	SLUZBY	\N	\N
431342	1465	1997-01-31	VYDAJ	VYBER	15	16317	SLUZBY	\N	\N
431343	1465	1997-02-28	VYDAJ	VYBER	15	10930	SLUZBY	\N	\N
431344	1465	1997-03-31	VYDAJ	VYBER	15	12223	SLUZBY	\N	\N
431345	1465	1997-04-30	VYDAJ	VYBER	15	16022	SLUZBY	\N	\N
431346	1465	1997-05-31	VYDAJ	VYBER	15	16236	SLUZBY	\N	\N
431347	1465	1997-06-30	VYDAJ	VYBER	15	16650	SLUZBY	\N	\N
431348	1465	1997-07-31	VYDAJ	VYBER	15	15065	SLUZBY	\N	\N
431349	1465	1997-08-31	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
431350	1465	1997-09-30	VYDAJ	VYBER	15	22301	SLUZBY	\N	\N
431351	1465	1997-10-31	VYDAJ	VYBER	15	26523	SLUZBY	\N	\N
431352	1465	1997-11-30	VYDAJ	VYBER	15	27281	SLUZBY	\N	\N
431353	1465	1997-12-31	VYDAJ	VYBER	15	27136	SLUZBY	\N	\N
431354	1465	1998-01-31	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
431355	1465	1998-02-28	VYDAJ	VYBER	15	32693	SLUZBY	\N	\N
431356	1465	1998-03-31	VYDAJ	VYBER	15	35826	SLUZBY	\N	\N
431357	1465	1998-04-30	VYDAJ	VYBER	15	36660	SLUZBY	\N	\N
431358	1465	1998-05-31	VYDAJ	VYBER	15	34456	SLUZBY	\N	\N
431359	1465	1998-06-30	VYDAJ	VYBER	15	34442	SLUZBY	\N	\N
431360	1465	1998-07-31	VYDAJ	VYBER	15	36734	SLUZBY	\N	\N
431361	1465	1998-08-31	VYDAJ	VYBER	15	43942	SLUZBY	\N	\N
431362	1465	1998-09-30	VYDAJ	VYBER	15	40865	SLUZBY	\N	\N
431363	1465	1998-10-31	VYDAJ	VYBER	15	35782	SLUZBY	\N	\N
431364	1465	1998-11-30	VYDAJ	VYBER	15	33472	SLUZBY	\N	\N
431365	1465	1995-07-08	PRIJEM	VKLAD	10600	14091	\N	\N	\N
431366	1465	1995-08-07	PRIJEM	VKLAD	5000	22322	\N	\N	\N
431367	1465	1995-09-06	VYDAJ	VYBER	1300	24297	\N	\N	\N
431368	1465	1995-10-06	VYDAJ	VYBER	700	26891	\N	\N	\N
431369	1465	1995-11-05	VYDAJ	VYBER	4000	25580	\N	\N	\N
431370	1465	1995-12-05	VYDAJ	VYBER	3000	22956	\N	\N	\N
431371	1465	1996-01-04	PRIJEM	VKLAD	500	23790	\N	\N	\N
431372	1465	1996-02-03	VYDAJ	VYBER	1700	16775	\N	\N	\N
431373	1465	1996-03-04	VYDAJ	VYBER	3900	13993	\N	\N	\N
431374	1465	1996-04-03	VYDAJ	VYBER	1800	13300	\N	\N	\N
431375	1465	1996-05-03	VYDAJ	VYBER	800	13604	\N	\N	\N
431376	1465	1996-06-02	PRIJEM	VKLAD	4500	19207	\N	\N	\N
431377	1465	1996-07-02	PRIJEM	VKLAD	800	19778	\N	\N	\N
431378	1465	1996-08-01	VYDAJ	VYBER	1700	19207	\N	\N	\N
431379	1465	1996-08-31	VYDAJ	VYBER	2100	18234	\N	\N	\N
431380	1465	1996-09-30	VYDAJ	VYBER	1500	17872	\N	\N	\N
431381	1465	1996-10-30	VYDAJ	VYBER	1100	17818	\N	\N	\N
431382	1465	1996-11-29	PRIJEM	VKLAD	100	19040	\N	\N	\N
431383	1465	1996-12-29	PRIJEM	VKLAD	900	20252	\N	\N	\N
431384	1465	1997-01-28	VYDAJ	VYBER	800	16258	\N	\N	\N
431385	1465	1997-02-27	VYDAJ	VYBER	6500	10878	\N	\N	\N
431386	1465	1997-03-29	PRIJEM	VKLAD	200	12191	\N	\N	\N
431387	1465	1997-04-28	PRIJEM	VKLAD	2700	15984	\N	\N	\N
431388	1465	1997-05-28	VYDAJ	VYBER	900	16183	\N	\N	\N
431389	1465	1997-06-27	VYDAJ	VYBER	700	16597	\N	\N	\N
431390	1465	1997-07-27	VYDAJ	VYBER	2700	15011	\N	\N	\N
431391	1465	1997-08-26	PRIJEM	VKLAD	1800	17926	\N	\N	\N
431392	1465	1997-09-25	PRIJEM	VKLAD	3200	22237	\N	\N	\N
431393	1465	1997-10-25	PRIJEM	VKLAD	3800	27162	\N	\N	\N
431394	1465	1997-11-24	VYDAJ	VYBER	400	27184	\N	\N	\N
431395	1465	1997-12-24	VYDAJ	VYBER	100	27042	\N	\N	\N
431396	1465	1998-01-23	PRIJEM	VKLAD	6500	30887	\N	\N	\N
431397	1465	1998-02-22	PRIJEM	VKLAD	1800	32581	\N	\N	\N
431398	1465	1998-03-24	PRIJEM	VKLAD	3000	35704	\N	\N	\N
431399	1465	1998-04-23	PRIJEM	VKLAD	900	36527	\N	\N	\N
431400	1465	1998-05-23	VYDAJ	VYBER	3400	34321	\N	\N	\N
431401	1465	1998-06-22	PRIJEM	VKLAD	6400	34327	\N	\N	\N
431402	1465	1998-07-22	PRIJEM	VKLAD	1100	36603	\N	\N	\N
431403	1465	1998-08-21	PRIJEM	VKLAD	6000	43795	\N	\N	\N
431404	1465	1998-09-20	VYDAJ	VYBER	4300	40703	\N	\N	\N
431405	1465	1998-10-20	VYDAJ	VYBER	5900	36026	\N	\N	\N
431406	1465	1998-11-19	VYDAJ	VYBER	3500	33343	\N	\N	\N
431450	1466	1997-03-26	PRIJEM	VKLAD	800	800	\N	\N	\N
431451	1466	1997-06-24	PRIJEM	VKLAD	11332	27932	\N	\N	\N
431452	1466	1997-09-25	PRIJEM	VKLAD	32253	62516	\N	\N	\N
431521	1466	1997-04-25	PRIJEM	VKLAD	11300	12100	\N	\N	\N
431522	1466	1997-05-25	PRIJEM	VKLAD	4500	16600	\N	\N	\N
431523	1466	1997-06-24	VYDAJ	VYBER	3100	24832	\N	\N	\N
431524	1466	1997-07-24	PRIJEM	VKLAD	1400	26256	\N	\N	\N
431525	1466	1997-08-23	PRIJEM	VKLAD	1700	28060	\N	\N	\N
431526	1466	1997-09-22	PRIJEM	VKLAD	2100	30263	\N	\N	\N
431527	1466	1997-10-22	VYDAJ	VYBER	18700	43951	\N	\N	\N
431528	1466	1997-11-21	VYDAJ	VYBER	7600	36612	\N	\N	\N
431529	1466	1997-12-21	VYDAJ	VYBER	4600	32272	\N	\N	\N
431530	1466	1998-01-20	VYDAJ	VYBER	700	31833	\N	\N	\N
431531	1466	1998-02-19	VYDAJ	VYBER	1600	30493	\N	\N	\N
431532	1466	1998-03-21	VYDAJ	VYBER	5700	25054	\N	\N	\N
431533	1466	1998-04-20	VYDAJ	VYBER	1200	24115	\N	\N	\N
431534	1466	1998-05-20	VYDAJ	VYBER	1900	22475	\N	\N	\N
431535	1466	1998-06-19	VYDAJ	VYBER	1700	21036	\N	\N	\N
431536	1466	1998-07-19	VYDAJ	VYBER KARTOU	2100	19196	\N	\N	0
431537	1466	1998-08-18	VYDAJ	VYBER KARTOU	6200	13257	\N	\N	0
431538	1466	1998-09-17	PRIJEM	VKLAD	2400	15918	\N	\N	\N
431539	1466	1998-10-17	PRIJEM	VKLAD	1600	17778	\N	\N	\N
431540	1466	1998-11-16	PRIJEM	VKLAD	100	18139	\N	\N	\N
431558	1467	1994-04-27	PRIJEM	VKLAD	800	800	\N	\N	\N
431563	1467	1994-05-08	PRIJEM	VKLAD	19597	20397	\N	\N	\N
431564	1467	1994-06-08	PRIJEM	VKLAD	29396	51008	\N	\N	\N
431565	1467	1994-07-08	PRIJEM	VKLAD	19597	56705	\N	\N	\N
431566	1467	1994-08-08	PRIJEM	VKLAD	19597	58658	\N	\N	\N
431567	1467	1994-09-08	PRIJEM	VKLAD	19597	60519	\N	\N	\N
431568	1467	1994-10-08	PRIJEM	VKLAD	19597	57981	\N	\N	\N
431569	1467	1994-11-08	PRIJEM	VKLAD	19597	59842	\N	\N	\N
431570	1467	1994-12-08	PRIJEM	VKLAD	29396	68900	\N	\N	\N
431571	1467	1995-01-08	PRIJEM	VKLAD	19597	63786	\N	\N	\N
431572	1467	1995-02-08	PRIJEM	VKLAD	19597	58852	\N	\N	\N
431573	1467	1995-03-08	PRIJEM	VKLAD	19597	57103	\N	\N	\N
431574	1467	1995-04-08	PRIJEM	VKLAD	19597	58952	\N	\N	\N
431575	1467	1995-05-08	PRIJEM	VKLAD	19597	61909	\N	\N	\N
431576	1467	1995-06-08	PRIJEM	VKLAD	29396	72674	\N	\N	\N
431577	1467	1995-07-08	PRIJEM	VKLAD	19597	66662	\N	\N	\N
431578	1467	1995-08-08	PRIJEM	VKLAD	19597	60137	\N	\N	\N
431579	1467	1995-09-08	PRIJEM	VKLAD	19597	61193	\N	\N	\N
431580	1467	1995-10-08	PRIJEM	VKLAD	19597	63153	\N	\N	\N
431581	1467	1995-11-08	PRIJEM	VKLAD	19597	59414	\N	\N	\N
431582	1467	1995-12-08	PRIJEM	VKLAD	29396	67369	\N	\N	\N
431583	1467	1996-01-08	PRIJEM	VKLAD	19597	63740	\N	\N	\N
431584	1467	1996-02-08	PRIJEM	VKLAD	19597	64506	\N	\N	\N
431585	1467	1996-03-08	PRIJEM	VKLAD	19597	64973	\N	\N	\N
431586	1467	1996-04-08	PRIJEM	VKLAD	19597	61736	\N	\N	\N
431587	1467	1996-05-08	PRIJEM	VKLAD	19597	62791	\N	\N	\N
431588	1467	1996-06-08	PRIJEM	VKLAD	29396	76456	\N	\N	\N
431589	1467	1996-07-08	PRIJEM	VKLAD	19597	73851	\N	\N	\N
431590	1467	1996-08-08	PRIJEM	VKLAD	19597	72452	\N	\N	\N
431591	1467	1996-09-08	PRIJEM	VKLAD	19597	67942	\N	\N	\N
431592	1467	1996-10-08	PRIJEM	VKLAD	19597	70321	\N	\N	\N
431593	1467	1996-11-08	PRIJEM	VKLAD	19597	71307	\N	\N	\N
431594	1467	1996-12-08	PRIJEM	VKLAD	29396	81594	\N	\N	\N
431595	1467	1997-01-08	PRIJEM	VKLAD	19597	80608	\N	\N	\N
431596	1467	1997-02-08	PRIJEM	VKLAD	19597	74024	\N	\N	\N
431597	1467	1997-03-08	PRIJEM	VKLAD	19597	75762	\N	\N	\N
431598	1467	1997-04-08	PRIJEM	VKLAD	19597	75765	\N	\N	\N
431599	1467	1997-05-08	PRIJEM	VKLAD	19597	74866	\N	\N	\N
431600	1467	1997-06-08	PRIJEM	VKLAD	29396	86978	\N	\N	\N
431601	1467	1997-07-08	PRIJEM	VKLAD	19597	84906	\N	\N	\N
431602	1467	1997-08-08	PRIJEM	VKLAD	19597	86950	\N	\N	\N
431603	1467	1997-09-08	PRIJEM	VKLAD	19597	82182	\N	\N	\N
431604	1467	1997-10-08	PRIJEM	VKLAD	19597	75899	\N	\N	\N
431605	1467	1997-11-08	PRIJEM	VKLAD	19597	66090	\N	\N	\N
431606	1467	1997-12-08	PRIJEM	VKLAD	29396	82593	\N	\N	\N
431607	1467	1998-01-08	PRIJEM	VKLAD	19597	74941	\N	\N	\N
431608	1467	1998-02-08	PRIJEM	VKLAD	19597	75993	\N	\N	\N
431609	1467	1998-03-08	PRIJEM	VKLAD	19597	75848	\N	\N	\N
431610	1467	1998-04-08	PRIJEM	VKLAD	19597	75203	\N	\N	\N
431611	1467	1998-05-08	PRIJEM	VKLAD	19597	77449	\N	\N	\N
431612	1467	1998-06-08	PRIJEM	VKLAD	29396	88107	\N	\N	\N
431613	1467	1998-07-08	PRIJEM	VKLAD	19597	78094	\N	\N	\N
431614	1467	1998-08-08	PRIJEM	VKLAD	19597	76164	\N	\N	\N
431615	1467	1998-09-08	PRIJEM	VKLAD	19597	71721	\N	\N	\N
431616	1467	1998-10-08	PRIJEM	VKLAD	19597	73662	\N	\N	\N
431617	1467	1998-11-08	PRIJEM	VKLAD	19597	75105	\N	\N	\N
431618	1467	1998-12-08	PRIJEM	VKLAD	29396	86853	\N	\N	\N
431627	1467	1994-09-10	VYDAJ	PREVOD NA UCET	6814	53705	SIPO	QR	10475975
431628	1467	1994-10-10	VYDAJ	PREVOD NA UCET	6814	51167	SIPO	QR	10475975
431629	1467	1994-11-10	VYDAJ	PREVOD NA UCET	6814	53028	SIPO	QR	10475975
431630	1467	1994-12-10	VYDAJ	PREVOD NA UCET	6814	62086	SIPO	QR	10475975
431631	1467	1995-01-10	VYDAJ	PREVOD NA UCET	6814	56972	SIPO	QR	10475975
431632	1467	1995-02-10	VYDAJ	PREVOD NA UCET	6814	52038	SIPO	QR	10475975
431633	1467	1995-03-10	VYDAJ	PREVOD NA UCET	6814	50289	SIPO	QR	10475975
431634	1467	1995-04-10	VYDAJ	PREVOD NA UCET	6814	52138	SIPO	QR	10475975
431635	1467	1995-05-10	VYDAJ	PREVOD NA UCET	6814	55095	SIPO	QR	10475975
431636	1467	1995-06-10	VYDAJ	PREVOD NA UCET	6814	65860	SIPO	QR	10475975
431637	1467	1995-07-10	VYDAJ	PREVOD NA UCET	6814	59848	SIPO	QR	10475975
431638	1467	1995-08-10	VYDAJ	PREVOD NA UCET	6814	53323	SIPO	QR	10475975
431639	1467	1995-09-10	VYDAJ	PREVOD NA UCET	6814	54379	SIPO	QR	10475975
431640	1467	1995-10-10	VYDAJ	PREVOD NA UCET	6814	56339	SIPO	QR	10475975
431641	1467	1995-11-10	VYDAJ	PREVOD NA UCET	6814	52600	SIPO	QR	10475975
431642	1467	1995-12-10	VYDAJ	PREVOD NA UCET	6814	60555	SIPO	QR	10475975
431643	1467	1996-01-10	VYDAJ	PREVOD NA UCET	6814	56926	SIPO	QR	10475975
431644	1467	1996-02-10	VYDAJ	PREVOD NA UCET	6814	57692	SIPO	QR	10475975
431645	1467	1996-03-10	VYDAJ	PREVOD NA UCET	6814	58159	SIPO	QR	10475975
431646	1467	1996-04-10	VYDAJ	PREVOD NA UCET	6814	54922	SIPO	QR	10475975
431647	1467	1996-05-10	VYDAJ	PREVOD NA UCET	6814	55977	SIPO	QR	10475975
431648	1467	1996-06-10	VYDAJ	PREVOD NA UCET	6814	69642	SIPO	QR	10475975
431649	1467	1996-07-10	VYDAJ	PREVOD NA UCET	6814	67037	SIPO	QR	10475975
431650	1467	1996-08-10	VYDAJ	PREVOD NA UCET	6814	65638	SIPO	QR	10475975
431651	1467	1996-09-10	VYDAJ	PREVOD NA UCET	6814	61128	SIPO	QR	10475975
431652	1467	1996-10-10	VYDAJ	PREVOD NA UCET	6814	63507	SIPO	QR	10475975
431653	1467	1996-11-10	VYDAJ	PREVOD NA UCET	6814	64493	SIPO	QR	10475975
431654	1467	1996-12-10	VYDAJ	PREVOD NA UCET	6814	74780	SIPO	QR	10475975
431655	1467	1997-01-10	VYDAJ	PREVOD NA UCET	6814	73794	SIPO	QR	10475975
431656	1467	1997-02-10	VYDAJ	PREVOD NA UCET	6814	67210	SIPO	QR	10475975
431657	1467	1997-03-10	VYDAJ	PREVOD NA UCET	6814	68948	SIPO	QR	10475975
431658	1467	1997-04-10	VYDAJ	PREVOD NA UCET	6814	68951	SIPO	QR	10475975
431659	1467	1997-05-10	VYDAJ	PREVOD NA UCET	6814	68052	SIPO	QR	10475975
431660	1467	1997-06-10	VYDAJ	PREVOD NA UCET	6814	80164	SIPO	QR	10475975
431661	1467	1997-07-10	VYDAJ	PREVOD NA UCET	6814	67092	SIPO	QR	10475975
431662	1467	1997-08-10	VYDAJ	PREVOD NA UCET	6814	62336	SIPO	QR	10475975
431663	1467	1997-09-10	VYDAJ	PREVOD NA UCET	6814	58868	SIPO	QR	10475975
431664	1467	1997-10-10	VYDAJ	PREVOD NA UCET	6814	52085	SIPO	QR	10475975
431665	1467	1997-11-10	VYDAJ	PREVOD NA UCET	6814	59276	SIPO	QR	10475975
431666	1467	1997-12-10	VYDAJ	PREVOD NA UCET	6814	75779	SIPO	QR	10475975
431667	1467	1998-01-10	VYDAJ	PREVOD NA UCET	6814	68127	SIPO	QR	10475975
431668	1467	1998-02-10	VYDAJ	PREVOD NA UCET	6814	69179	SIPO	QR	10475975
431669	1467	1998-03-10	VYDAJ	PREVOD NA UCET	6814	69034	SIPO	QR	10475975
431670	1467	1998-04-10	VYDAJ	PREVOD NA UCET	6814	68389	SIPO	QR	10475975
431671	1467	1998-05-10	VYDAJ	PREVOD NA UCET	6814	70635	SIPO	QR	10475975
431672	1467	1998-06-10	VYDAJ	PREVOD NA UCET	6814	81293	SIPO	QR	10475975
431673	1467	1998-07-10	VYDAJ	PREVOD NA UCET	6814	71280	SIPO	QR	10475975
431674	1467	1998-08-10	VYDAJ	PREVOD NA UCET	6814	69350	SIPO	QR	10475975
431675	1467	1998-09-10	VYDAJ	PREVOD NA UCET	6814	64907	SIPO	QR	10475975
431676	1467	1998-10-10	VYDAJ	PREVOD NA UCET	6814	66848	SIPO	QR	10475975
431677	1467	1998-11-10	VYDAJ	PREVOD NA UCET	6814	68291	SIPO	QR	10475975
431678	1467	1998-12-10	VYDAJ	PREVOD NA UCET	6814	80039	SIPO	QR	10475975
431679	1467	1994-12-04	VYDAJ	VYBER	700	39504	\N	\N	\N
431680	1467	1995-12-06	VYDAJ	VYBER	1800	37973	\N	\N	\N
431681	1467	1996-12-24	VYDAJ	VYBER KARTOU	600	60780	\N	\N	0
431682	1467	1997-12-14	VYDAJ	VYBER KARTOU	2600	68779	\N	\N	0
431683	1467	1998-12-30	VYDAJ	VYBER KARTOU	2600	77439	\N	\N	0
431685	1467	1994-09-23	VYDAJ	VYBER	1500	52205	\N	\N	\N
431686	1467	1994-09-30	VYDAJ	VYBER	600	39484	\N	\N	\N
431688	1467	1994-10-06	VYDAJ	VYBER	1100	38384	\N	\N	\N
431689	1467	1995-07-24	VYDAJ	VYBER	4500	40348	\N	\N	\N
431690	1467	1995-09-18	VYDAJ	VYBER	2000	52379	\N	\N	\N
431691	1467	1995-11-04	VYDAJ	VYBER	2000	39817	\N	\N	\N
431692	1467	1996-11-15	VYDAJ	VYBER KARTOU	1700	51993	\N	\N	0
431693	1467	1996-01-26	VYDAJ	VYBER	1100	44726	\N	\N	\N
431694	1467	1996-03-24	VYDAJ	VYBER	800	41959	\N	\N	\N
431695	1467	1996-07-23	VYDAJ	VYBER	1900	52637	\N	\N	\N
431696	1467	1996-08-28	VYDAJ	VYBER KARTOU	3800	48138	\N	\N	0
431697	1467	1997-12-10	VYDAJ	VYBER	4400	71379	\N	\N	\N
431698	1467	1997-09-21	VYDAJ	VYBER KARTOU	2800	56068	\N	\N	0
431699	1467	1997-10-28	VYDAJ	VYBER	4200	47885	\N	\N	\N
431700	1467	1997-05-26	VYDAJ	VYBER	4300	57352	\N	\N	\N
431701	1467	1997-04-21	VYDAJ	VYBER KARTOU	1000	55051	\N	\N	0
431702	1467	1997-02-06	VYDAJ	VYBER	4100	54427	\N	\N	\N
431703	1467	1998-06-12	VYDAJ	VYBER KARTOU	3100	78193	\N	\N	0
431704	1467	1998-04-02	VYDAJ	VYBER	4800	64506	\N	\N	\N
431705	1467	1998-04-02	VYDAJ	VYBER KARTOU	1200	63306	\N	\N	0
431715	1467	1994-09-30	VYDAJ	VYBER	15	40084	SLUZBY	\N	\N
431716	1467	1994-10-31	VYDAJ	VYBER	15	40245	SLUZBY	\N	\N
431717	1467	1994-11-30	VYDAJ	VYBER	15	40204	SLUZBY	\N	\N
431718	1467	1994-12-31	VYDAJ	VYBER	15	44189	SLUZBY	\N	\N
431719	1467	1995-01-31	VYDAJ	VYBER	15	39255	SLUZBY	\N	\N
431720	1467	1995-02-28	VYDAJ	VYBER	15	37506	SLUZBY	\N	\N
431721	1467	1995-03-31	VYDAJ	VYBER	15	39355	SLUZBY	\N	\N
431722	1467	1995-04-30	VYDAJ	VYBER	15	42312	SLUZBY	\N	\N
431723	1467	1995-05-31	VYDAJ	VYBER	15	43278	SLUZBY	\N	\N
431724	1467	1995-06-30	VYDAJ	VYBER	15	47065	SLUZBY	\N	\N
431725	1467	1995-07-31	VYDAJ	VYBER	15	40540	SLUZBY	\N	\N
431726	1467	1995-08-31	VYDAJ	VYBER	15	41596	SLUZBY	\N	\N
431727	1467	1995-09-30	VYDAJ	VYBER	15	43556	SLUZBY	\N	\N
431728	1467	1995-10-31	VYDAJ	VYBER	15	41817	SLUZBY	\N	\N
431729	1467	1995-11-30	VYDAJ	VYBER	15	39773	SLUZBY	\N	\N
431730	1467	1995-12-31	VYDAJ	VYBER	15	44143	SLUZBY	\N	\N
431731	1467	1996-01-31	VYDAJ	VYBER	15	44909	SLUZBY	\N	\N
431732	1467	1996-02-29	VYDAJ	VYBER	15	45376	SLUZBY	\N	\N
431733	1467	1996-03-31	VYDAJ	VYBER	15	42139	SLUZBY	\N	\N
431734	1467	1996-04-30	VYDAJ	VYBER	15	43194	SLUZBY	\N	\N
431735	1467	1996-05-31	VYDAJ	VYBER	15	47060	SLUZBY	\N	\N
431736	1467	1996-06-30	VYDAJ	VYBER	15	54254	SLUZBY	\N	\N
431737	1467	1996-07-31	VYDAJ	VYBER	15	52855	SLUZBY	\N	\N
431738	1467	1996-08-31	VYDAJ	VYBER	15	48345	SLUZBY	\N	\N
431739	1467	1996-09-30	VYDAJ	VYBER	15	50724	SLUZBY	\N	\N
431740	1467	1996-10-31	VYDAJ	VYBER	15	51710	SLUZBY	\N	\N
431741	1467	1996-11-30	VYDAJ	VYBER	15	52198	SLUZBY	\N	\N
431742	1467	1996-12-31	VYDAJ	VYBER	15	61011	SLUZBY	\N	\N
431743	1467	1997-01-31	VYDAJ	VYBER	15	58527	SLUZBY	\N	\N
431744	1467	1997-02-28	VYDAJ	VYBER	15	56165	SLUZBY	\N	\N
431745	1467	1997-03-31	VYDAJ	VYBER	15	56168	SLUZBY	\N	\N
431746	1467	1997-04-30	VYDAJ	VYBER	15	55269	SLUZBY	\N	\N
431747	1467	1997-05-31	VYDAJ	VYBER	15	57582	SLUZBY	\N	\N
431748	1467	1997-06-30	VYDAJ	VYBER	15	65309	SLUZBY	\N	\N
431749	1467	1997-07-31	VYDAJ	VYBER	15	67353	SLUZBY	\N	\N
431750	1467	1997-08-31	VYDAJ	VYBER	15	62585	SLUZBY	\N	\N
431751	1467	1997-09-30	VYDAJ	VYBER	15	56302	SLUZBY	\N	\N
431752	1467	1997-10-31	VYDAJ	VYBER	15	48093	SLUZBY	\N	\N
431753	1467	1997-11-30	VYDAJ	VYBER	15	59497	SLUZBY	\N	\N
431754	1467	1997-12-31	VYDAJ	VYBER	15	69044	SLUZBY	\N	\N
431755	1467	1998-01-31	VYDAJ	VYBER	15	68396	SLUZBY	\N	\N
431756	1467	1998-02-28	VYDAJ	VYBER	15	69451	SLUZBY	\N	\N
431757	1467	1998-03-31	VYDAJ	VYBER	15	69306	SLUZBY	\N	\N
431758	1467	1998-04-30	VYDAJ	VYBER	15	68652	SLUZBY	\N	\N
431759	1467	1998-05-31	VYDAJ	VYBER	15	70911	SLUZBY	\N	\N
431760	1467	1998-06-30	VYDAJ	VYBER	15	78497	SLUZBY	\N	\N
431761	1467	1998-07-31	VYDAJ	VYBER	15	71567	SLUZBY	\N	\N
431762	1467	1998-08-31	VYDAJ	VYBER	15	69624	SLUZBY	\N	\N
431763	1467	1998-09-30	VYDAJ	VYBER	15	65165	SLUZBY	\N	\N
431764	1467	1998-10-31	VYDAJ	VYBER	15	67108	SLUZBY	\N	\N
431765	1467	1998-11-30	VYDAJ	VYBER	15	68557	SLUZBY	\N	\N
431766	1467	1994-05-27	PRIJEM	VKLAD	1200	21597	\N	\N	\N
431767	1467	1994-06-26	VYDAJ	VYBER	14000	37008	\N	\N	\N
431768	1467	1994-07-26	VYDAJ	VYBER	17800	38905	\N	\N	\N
431769	1467	1994-08-25	VYDAJ	VYBER	17900	40758	\N	\N	\N
431770	1467	1994-09-24	VYDAJ	VYBER	12300	39905	\N	\N	\N
431771	1467	1994-10-24	VYDAJ	VYBER	11100	40067	\N	\N	\N
431772	1467	1994-11-23	VYDAJ	VYBER	13000	40028	\N	\N	\N
431773	1467	1994-12-23	VYDAJ	VYBER	18100	43986	\N	\N	\N
431774	1467	1995-01-22	VYDAJ	VYBER	17900	39072	\N	\N	\N
431775	1467	1995-02-21	VYDAJ	VYBER	14700	37338	\N	\N	\N
431776	1467	1995-03-23	VYDAJ	VYBER	11100	39189	\N	\N	\N
431777	1467	1995-04-22	VYDAJ	VYBER	10000	42138	\N	\N	\N
431778	1467	1995-05-22	VYDAJ	VYBER	12000	43095	\N	\N	\N
431779	1467	1995-06-21	VYDAJ	VYBER	19000	46860	\N	\N	\N
431780	1467	1995-07-21	VYDAJ	VYBER	15000	44848	\N	\N	\N
431781	1467	1995-08-20	VYDAJ	VYBER	11900	41423	\N	\N	\N
431782	1467	1995-09-19	VYDAJ	VYBER	9000	43379	\N	\N	\N
431783	1467	1995-10-19	VYDAJ	VYBER	14700	41639	\N	\N	\N
431784	1467	1995-11-18	VYDAJ	VYBER	13000	39600	\N	\N	\N
431785	1467	1995-12-18	VYDAJ	VYBER	16600	43955	\N	\N	\N
431786	1467	1996-01-17	VYDAJ	VYBER	11100	45826	\N	\N	\N
431787	1467	1996-02-16	VYDAJ	VYBER	12500	45192	\N	\N	\N
431788	1467	1996-03-17	VYDAJ	VYBER	15400	42759	\N	\N	\N
431789	1467	1996-04-16	VYDAJ	VYBER	11900	43022	\N	\N	\N
431790	1467	1996-05-16	VYDAJ	VYBER	9100	46877	\N	\N	\N
431791	1467	1996-06-15	VYDAJ	VYBER	15600	54042	\N	\N	\N
431792	1467	1996-07-15	VYDAJ	VYBER	12500	54537	\N	\N	\N
431793	1467	1996-08-14	VYDAJ	VYBER	13700	51938	\N	\N	\N
431794	1467	1996-09-13	VYDAJ	VYBER	10600	50528	\N	\N	\N
431795	1467	1996-10-13	VYDAJ	VYBER	12000	51507	\N	\N	\N
431796	1467	1996-11-12	VYDAJ	VYBER	10800	53693	\N	\N	\N
431797	1467	1996-12-12	VYDAJ	VYBER	13400	61380	\N	\N	\N
431798	1467	1997-01-11	VYDAJ	VYBER	15500	58294	\N	\N	\N
431799	1467	1997-02-10	VYDAJ	VYBER	11300	55910	\N	\N	\N
431800	1467	1997-03-12	VYDAJ	VYBER	13000	55948	\N	\N	\N
431801	1467	1997-04-11	VYDAJ	VYBER	12900	56051	\N	\N	\N
431802	1467	1997-05-11	VYDAJ	VYBER	6400	61652	\N	\N	\N
431803	1467	1997-06-10	VYDAJ	VYBER	15100	65064	\N	\N	\N
431804	1467	1997-07-10	VYDAJ	VYBER	11000	73906	\N	\N	\N
431805	1467	1997-08-09	VYDAJ	VYBER	17800	69150	\N	\N	\N
431806	1467	1997-09-08	VYDAJ	VYBER	16500	65682	\N	\N	\N
431807	1467	1997-10-08	VYDAJ	VYBER	17000	58899	\N	\N	\N
431808	1467	1997-11-07	VYDAJ	VYBER KARTOU	1600	46493	\N	\N	0
431809	1467	1997-12-07	VYDAJ	VYBER	6300	53197	\N	\N	\N
431810	1467	1998-01-06	VYDAJ	VYBER	13700	55344	\N	\N	\N
431811	1467	1998-02-05	VYDAJ	VYBER	12000	56396	\N	\N	\N
431812	1467	1998-03-07	VYDAJ	VYBER	13200	56251	\N	\N	\N
431813	1467	1998-04-06	VYDAJ	VYBER	7700	55606	\N	\N	\N
431814	1467	1998-05-06	VYDAJ	VYBER	10800	57852	\N	\N	\N
431815	1467	1998-06-05	VYDAJ	VYBER	12200	58711	\N	\N	\N
431816	1467	1998-07-05	VYDAJ	VYBER	20000	58497	\N	\N	\N
431817	1467	1998-08-04	VYDAJ	VYBER	15000	56567	\N	\N	\N
431818	1467	1998-09-03	VYDAJ	VYBER	17500	52124	\N	\N	\N
431819	1467	1998-10-03	VYDAJ	VYBER	11100	54065	\N	\N	\N
431820	1467	1998-11-02	VYDAJ	VYBER	11600	55508	\N	\N	\N
431821	1467	1998-12-02	VYDAJ	VYBER	11100	57457	\N	\N	\N
431878	1468	1993-10-11	PRIJEM	VKLAD	500	500	\N	\N	\N
431889	1468	1993-11-05	PRIJEM	PREVOD Z UCTU	3224	3724	\N	WX	60079216
431890	1468	1993-12-05	PRIJEM	PREVOD Z UCTU	3224	6948	\N	WX	60079216
431891	1468	1994-01-05	PRIJEM	PREVOD Z UCTU	3224	10172	\N	WX	60079216
431892	1468	1994-02-05	PRIJEM	PREVOD Z UCTU	3224	13396	\N	WX	60079216
431893	1468	1994-03-05	PRIJEM	PREVOD Z UCTU	3224	16620	\N	WX	60079216
431894	1468	1994-04-05	PRIJEM	PREVOD Z UCTU	3224	16799	\N	WX	60079216
431895	1468	1994-05-05	PRIJEM	PREVOD Z UCTU	3224	17921	\N	WX	60079216
431896	1468	1994-06-05	PRIJEM	PREVOD Z UCTU	3224	18295	\N	WX	60079216
431897	1468	1994-07-05	PRIJEM	PREVOD Z UCTU	3224	16716	\N	WX	60079216
431898	1468	1994-08-05	PRIJEM	PREVOD Z UCTU	3224	17836	\N	WX	60079216
431899	1468	1994-09-05	PRIJEM	PREVOD Z UCTU	3224	18961	\N	WX	60079216
431900	1468	1994-10-05	PRIJEM	PREVOD Z UCTU	3224	20091	\N	WX	60079216
431901	1468	1994-11-05	PRIJEM	PREVOD Z UCTU	3224	20053	\N	WX	60079216
431902	1468	1994-12-05	PRIJEM	PREVOD Z UCTU	3224	20226	\N	WX	60079216
431903	1468	1995-01-05	PRIJEM	PREVOD Z UCTU	3224	19292	\N	WX	60079216
431904	1468	1995-02-05	PRIJEM	PREVOD Z UCTU	3224	16818	\N	WX	60079216
431905	1468	1995-03-05	PRIJEM	PREVOD Z UCTU	3224	16587	\N	WX	60079216
431906	1468	1995-04-05	PRIJEM	PREVOD Z UCTU	3224	16566	\N	WX	60079216
431907	1468	1995-05-05	PRIJEM	PREVOD Z UCTU	3224	17685	\N	WX	60079216
431908	1468	1995-06-05	PRIJEM	PREVOD Z UCTU	3224	18810	\N	WX	60079216
431909	1468	1995-07-05	PRIJEM	PREVOD Z UCTU	3224	14068	\N	WX	60079216
431910	1468	1995-08-05	PRIJEM	PREVOD Z UCTU	3224	15178	\N	WX	60079216
431911	1468	1995-09-05	PRIJEM	PREVOD Z UCTU	3224	16291	\N	WX	60079216
431912	1468	1995-10-05	PRIJEM	PREVOD Z UCTU	3224	17260	\N	WX	60079216
431913	1468	1995-11-05	PRIJEM	PREVOD Z UCTU	3224	18382	\N	WX	60079216
431914	1468	1995-12-05	PRIJEM	PREVOD Z UCTU	3224	18788	\N	WX	60079216
431915	1468	1996-01-05	PRIJEM	PREVOD Z UCTU	3224	17276	\N	WX	60079216
431916	1468	1996-02-05	PRIJEM	PREVOD Z UCTU	3224	17046	\N	WX	60079216
431917	1468	1996-03-05	PRIJEM	PREVOD Z UCTU	3224	18167	\N	WX	60079216
431918	1468	1996-04-05	PRIJEM	PREVOD Z UCTU	3224	18122	\N	WX	60079216
431919	1468	1996-05-05	PRIJEM	PREVOD Z UCTU	3224	18227	\N	WX	60079216
431920	1468	1996-06-05	PRIJEM	PREVOD Z UCTU	3224	19353	\N	WX	60079216
431921	1468	1996-07-05	PRIJEM	PREVOD Z UCTU	3224	20484	\N	WX	60079216
431922	1468	1996-08-05	PRIJEM	PREVOD Z UCTU	3224	21199	\N	WX	60079216
431923	1468	1996-09-05	PRIJEM	PREVOD Z UCTU	3224	22338	\N	WX	60079216
431924	1468	1996-10-05	PRIJEM	PREVOD Z UCTU	3224	23481	\N	WX	60079216
431925	1468	1996-11-05	PRIJEM	PREVOD Z UCTU	3224	23459	\N	WX	60079216
431926	1468	1996-12-05	PRIJEM	PREVOD Z UCTU	3224	23136	\N	WX	60079216
431927	1468	1997-01-05	PRIJEM	PREVOD Z UCTU	3224	23685	\N	WX	60079216
431928	1468	1997-02-05	PRIJEM	PREVOD Z UCTU	3224	20328	\N	WX	60079216
431929	1468	1997-03-05	PRIJEM	PREVOD Z UCTU	3224	21463	\N	WX	60079216
431930	1468	1997-04-05	PRIJEM	PREVOD Z UCTU	3224	22602	\N	WX	60079216
431931	1468	1997-05-05	PRIJEM	PREVOD Z UCTU	3224	22665	\N	WX	60079216
431932	1468	1997-06-05	PRIJEM	PREVOD Z UCTU	3224	23237	\N	WX	60079216
431933	1468	1997-07-05	PRIJEM	PREVOD Z UCTU	3224	21286	\N	WX	60079216
431934	1468	1997-08-05	PRIJEM	PREVOD Z UCTU	3224	22424	\N	WX	60079216
431935	1468	1997-09-05	PRIJEM	PREVOD Z UCTU	3224	23568	\N	WX	60079216
431936	1468	1997-10-05	PRIJEM	PREVOD Z UCTU	3224	24716	\N	WX	60079216
431937	1468	1997-11-05	PRIJEM	PREVOD Z UCTU	3224	24668	\N	WX	60079216
431938	1468	1997-12-05	PRIJEM	PREVOD Z UCTU	3224	25821	\N	WX	60079216
431939	1468	1998-01-05	PRIJEM	PREVOD Z UCTU	3224	26318	\N	WX	60079216
431940	1468	1998-02-05	PRIJEM	PREVOD Z UCTU	3224	21887	\N	WX	60079216
431941	1468	1998-03-05	PRIJEM	PREVOD Z UCTU	3224	23028	\N	WX	60079216
431942	1468	1998-04-05	PRIJEM	PREVOD Z UCTU	3224	22343	\N	WX	60079216
431943	1468	1998-05-05	PRIJEM	PREVOD Z UCTU	3224	23487	\N	WX	60079216
431944	1468	1998-06-05	PRIJEM	PREVOD Z UCTU	3224	24184	\N	WX	60079216
431945	1468	1998-07-05	PRIJEM	PREVOD Z UCTU	3224	24194	\N	WX	60079216
431946	1468	1998-08-05	PRIJEM	PREVOD Z UCTU	3224	25344	\N	WX	60079216
431947	1468	1998-09-05	PRIJEM	PREVOD Z UCTU	3224	26349	\N	WX	60079216
431948	1468	1998-10-05	PRIJEM	PREVOD Z UCTU	3224	27508	\N	WX	60079216
431949	1468	1998-11-05	PRIJEM	PREVOD Z UCTU	3224	28671	\N	WX	60079216
431950	1468	1998-12-05	PRIJEM	PREVOD Z UCTU	3224	29270	\N	WX	60079216
431965	1468	1994-03-10	VYDAJ	PREVOD NA UCET	439	14471	\N	AB	25955593
431966	1468	1994-04-10	VYDAJ	PREVOD NA UCET	439	14650	\N	AB	25955593
431967	1468	1994-05-10	VYDAJ	PREVOD NA UCET	439	15022	\N	AB	25955593
431968	1468	1994-06-10	VYDAJ	PREVOD NA UCET	439	16146	\N	AB	25955593
431969	1468	1994-07-10	VYDAJ	PREVOD NA UCET	439	14567	\N	AB	25955593
431970	1468	1994-08-10	VYDAJ	PREVOD NA UCET	439	15687	\N	AB	25955593
431971	1468	1994-09-10	VYDAJ	PREVOD NA UCET	439	16812	\N	AB	25955593
431972	1468	1994-10-10	VYDAJ	PREVOD NA UCET	439	16772	\N	AB	25955593
431973	1468	1994-11-10	VYDAJ	PREVOD NA UCET	439	17904	\N	AB	25955593
431974	1468	1994-12-10	VYDAJ	PREVOD NA UCET	439	18077	\N	AB	25955593
431975	1468	1995-01-10	VYDAJ	PREVOD NA UCET	439	15913	\N	AB	25955593
431976	1468	1995-02-10	VYDAJ	PREVOD NA UCET	439	14669	\N	AB	25955593
431977	1468	1995-03-10	VYDAJ	PREVOD NA UCET	439	14438	\N	AB	25955593
431978	1468	1995-04-10	VYDAJ	PREVOD NA UCET	439	14417	\N	AB	25955593
431979	1468	1995-05-10	VYDAJ	PREVOD NA UCET	439	15536	\N	AB	25955593
431980	1468	1995-06-10	VYDAJ	PREVOD NA UCET	439	10811	\N	AB	25955593
431981	1468	1995-07-10	VYDAJ	PREVOD NA UCET	439	11919	\N	AB	25955593
431982	1468	1995-08-10	VYDAJ	PREVOD NA UCET	439	13029	\N	AB	25955593
431983	1468	1995-09-10	VYDAJ	PREVOD NA UCET	439	14142	\N	AB	25955593
431984	1468	1995-10-10	VYDAJ	PREVOD NA UCET	439	15111	\N	AB	25955593
431985	1468	1995-11-10	VYDAJ	PREVOD NA UCET	439	16233	\N	AB	25955593
431986	1468	1995-12-10	VYDAJ	PREVOD NA UCET	439	15889	\N	AB	25955593
431987	1468	1996-01-10	VYDAJ	PREVOD NA UCET	439	14557	\N	AB	25955593
431988	1468	1996-02-10	VYDAJ	PREVOD NA UCET	439	14897	\N	AB	25955593
431989	1468	1996-03-10	VYDAJ	PREVOD NA UCET	439	16018	\N	AB	25955593
431990	1468	1996-04-10	VYDAJ	PREVOD NA UCET	439	15973	\N	AB	25955593
431991	1468	1996-05-10	VYDAJ	PREVOD NA UCET	439	16078	\N	AB	25955593
431992	1468	1996-06-10	VYDAJ	PREVOD NA UCET	439	17204	\N	AB	25955593
431993	1468	1996-07-10	VYDAJ	PREVOD NA UCET	439	18335	\N	AB	25955593
431994	1468	1996-08-10	VYDAJ	PREVOD NA UCET	439	19050	\N	AB	25955593
431995	1468	1996-09-10	VYDAJ	PREVOD NA UCET	439	20189	\N	AB	25955593
431996	1468	1996-10-10	VYDAJ	PREVOD NA UCET	439	21332	\N	AB	25955593
431997	1468	1996-11-10	VYDAJ	PREVOD NA UCET	439	21310	\N	AB	25955593
431998	1468	1996-12-10	VYDAJ	PREVOD NA UCET	439	20987	\N	AB	25955593
431999	1468	1997-01-10	VYDAJ	PREVOD NA UCET	439	21026	\N	AB	25955593
432000	1468	1997-02-10	VYDAJ	PREVOD NA UCET	439	18179	\N	AB	25955593
432001	1468	1997-03-10	VYDAJ	PREVOD NA UCET	439	19314	\N	AB	25955593
432002	1468	1997-04-10	VYDAJ	PREVOD NA UCET	439	20453	\N	AB	25955593
432003	1468	1997-05-10	VYDAJ	PREVOD NA UCET	439	20516	\N	AB	25955593
432004	1468	1997-06-10	VYDAJ	PREVOD NA UCET	439	19288	\N	AB	25955593
432005	1468	1997-07-10	VYDAJ	PREVOD NA UCET	439	19137	\N	AB	25955593
432006	1468	1997-08-10	VYDAJ	PREVOD NA UCET	439	20275	\N	AB	25955593
432007	1468	1997-09-10	VYDAJ	PREVOD NA UCET	439	21419	\N	AB	25955593
432008	1468	1997-10-10	VYDAJ	PREVOD NA UCET	439	22567	\N	AB	25955593
432009	1468	1997-11-10	VYDAJ	PREVOD NA UCET	439	22519	\N	AB	25955593
432010	1468	1997-12-10	VYDAJ	PREVOD NA UCET	439	23672	\N	AB	25955593
432011	1468	1998-01-10	VYDAJ	PREVOD NA UCET	439	22759	\N	AB	25955593
432012	1468	1998-02-10	VYDAJ	PREVOD NA UCET	439	19738	\N	AB	25955593
432013	1468	1998-03-10	VYDAJ	PREVOD NA UCET	439	20879	\N	AB	25955593
432014	1468	1998-04-10	VYDAJ	PREVOD NA UCET	439	20194	\N	AB	25955593
432015	1468	1998-05-10	VYDAJ	PREVOD NA UCET	439	21338	\N	AB	25955593
432016	1468	1998-06-10	VYDAJ	PREVOD NA UCET	439	22035	\N	AB	25955593
432017	1468	1998-07-10	VYDAJ	PREVOD NA UCET	439	22045	\N	AB	25955593
432018	1468	1998-08-10	VYDAJ	PREVOD NA UCET	439	23195	\N	AB	25955593
432019	1468	1998-09-10	VYDAJ	PREVOD NA UCET	439	24200	\N	AB	25955593
432020	1468	1998-10-10	VYDAJ	PREVOD NA UCET	439	25359	\N	AB	25955593
432021	1468	1998-11-10	VYDAJ	PREVOD NA UCET	439	26252	\N	AB	25955593
432022	1468	1998-12-10	VYDAJ	PREVOD NA UCET	439	27121	\N	AB	25955593
432037	1468	1994-03-07	VYDAJ	PREVOD NA UCET	1710	14910	\N	IJ	53378862
432038	1468	1994-04-07	VYDAJ	PREVOD NA UCET	1710	15089	\N	IJ	53378862
432039	1468	1994-05-07	VYDAJ	PREVOD NA UCET	1710	15461	\N	IJ	53378862
432040	1468	1994-06-07	VYDAJ	PREVOD NA UCET	1710	16585	\N	IJ	53378862
432041	1468	1994-07-07	VYDAJ	PREVOD NA UCET	1710	15006	\N	IJ	53378862
432042	1468	1994-08-07	VYDAJ	PREVOD NA UCET	1710	16126	\N	IJ	53378862
432043	1468	1994-09-07	VYDAJ	PREVOD NA UCET	1710	17251	\N	IJ	53378862
432044	1468	1994-10-07	VYDAJ	PREVOD NA UCET	1710	17211	\N	IJ	53378862
432045	1468	1994-11-07	VYDAJ	PREVOD NA UCET	1710	18343	\N	IJ	53378862
432046	1468	1994-12-07	VYDAJ	PREVOD NA UCET	1710	18516	\N	IJ	53378862
432047	1468	1995-01-07	VYDAJ	PREVOD NA UCET	1710	16352	\N	IJ	53378862
432048	1468	1995-02-07	VYDAJ	PREVOD NA UCET	1710	15108	\N	IJ	53378862
432049	1468	1995-03-07	VYDAJ	PREVOD NA UCET	1710	14877	\N	IJ	53378862
432050	1468	1995-04-07	VYDAJ	PREVOD NA UCET	1710	14856	\N	IJ	53378862
432051	1468	1995-05-07	VYDAJ	PREVOD NA UCET	1710	15975	\N	IJ	53378862
432052	1468	1995-06-07	VYDAJ	PREVOD NA UCET	1710	11250	\N	IJ	53378862
432053	1468	1995-07-07	VYDAJ	PREVOD NA UCET	1710	12358	\N	IJ	53378862
432054	1468	1995-08-07	VYDAJ	PREVOD NA UCET	1710	13468	\N	IJ	53378862
432055	1468	1995-09-07	VYDAJ	PREVOD NA UCET	1710	14581	\N	IJ	53378862
432056	1468	1995-10-07	VYDAJ	PREVOD NA UCET	1710	15550	\N	IJ	53378862
432057	1468	1995-11-07	VYDAJ	PREVOD NA UCET	1710	16672	\N	IJ	53378862
432058	1468	1995-12-07	VYDAJ	PREVOD NA UCET	1710	17078	\N	IJ	53378862
432059	1468	1996-01-07	VYDAJ	PREVOD NA UCET	1710	15566	\N	IJ	53378862
432060	1468	1996-02-07	VYDAJ	PREVOD NA UCET	1710	15336	\N	IJ	53378862
432061	1468	1996-03-07	VYDAJ	PREVOD NA UCET	1710	16457	\N	IJ	53378862
432062	1468	1996-04-07	VYDAJ	PREVOD NA UCET	1710	16412	\N	IJ	53378862
432063	1468	1996-05-07	VYDAJ	PREVOD NA UCET	1710	16517	\N	IJ	53378862
432064	1468	1996-06-07	VYDAJ	PREVOD NA UCET	1710	17643	\N	IJ	53378862
432065	1468	1996-07-07	VYDAJ	PREVOD NA UCET	1710	18774	\N	IJ	53378862
432066	1468	1996-08-07	VYDAJ	PREVOD NA UCET	1710	19489	\N	IJ	53378862
432067	1468	1996-09-07	VYDAJ	PREVOD NA UCET	1710	20628	\N	IJ	53378862
432068	1468	1996-10-07	VYDAJ	PREVOD NA UCET	1710	21771	\N	IJ	53378862
432069	1468	1996-11-07	VYDAJ	PREVOD NA UCET	1710	21749	\N	IJ	53378862
432070	1468	1996-12-07	VYDAJ	PREVOD NA UCET	1710	21426	\N	IJ	53378862
432071	1468	1997-01-07	VYDAJ	PREVOD NA UCET	1710	21465	\N	IJ	53378862
432072	1468	1997-02-07	VYDAJ	PREVOD NA UCET	1710	18618	\N	IJ	53378862
432073	1468	1997-03-07	VYDAJ	PREVOD NA UCET	1710	19753	\N	IJ	53378862
432074	1468	1997-04-07	VYDAJ	PREVOD NA UCET	1710	20892	\N	IJ	53378862
432075	1468	1997-05-07	VYDAJ	PREVOD NA UCET	1710	20955	\N	IJ	53378862
432076	1468	1997-06-07	VYDAJ	PREVOD NA UCET	1710	19727	\N	IJ	53378862
432077	1468	1997-07-07	VYDAJ	PREVOD NA UCET	1710	19576	\N	IJ	53378862
432078	1468	1997-08-07	VYDAJ	PREVOD NA UCET	1710	20714	\N	IJ	53378862
432079	1468	1997-09-07	VYDAJ	PREVOD NA UCET	1710	21858	\N	IJ	53378862
432080	1468	1997-10-07	VYDAJ	PREVOD NA UCET	1710	23006	\N	IJ	53378862
432081	1468	1997-11-07	VYDAJ	PREVOD NA UCET	1710	22958	\N	IJ	53378862
432082	1468	1997-12-07	VYDAJ	PREVOD NA UCET	1710	24111	\N	IJ	53378862
432083	1468	1998-01-07	VYDAJ	PREVOD NA UCET	1710	23198	\N	IJ	53378862
432084	1468	1998-02-07	VYDAJ	PREVOD NA UCET	1710	20177	\N	IJ	53378862
432085	1468	1998-03-07	VYDAJ	PREVOD NA UCET	1710	21318	\N	IJ	53378862
432086	1468	1998-04-07	VYDAJ	PREVOD NA UCET	1710	20633	\N	IJ	53378862
432087	1468	1998-05-07	VYDAJ	PREVOD NA UCET	1710	21777	\N	IJ	53378862
432088	1468	1998-06-07	VYDAJ	PREVOD NA UCET	1710	22474	\N	IJ	53378862
432089	1468	1998-07-07	VYDAJ	PREVOD NA UCET	1710	22484	\N	IJ	53378862
432090	1468	1998-08-07	VYDAJ	PREVOD NA UCET	1710	23634	\N	IJ	53378862
432091	1468	1998-09-07	VYDAJ	PREVOD NA UCET	1710	24639	\N	IJ	53378862
432092	1468	1998-10-07	VYDAJ	PREVOD NA UCET	1710	25798	\N	IJ	53378862
432093	1468	1998-11-07	VYDAJ	PREVOD NA UCET	1710	26691	\N	IJ	53378862
432094	1468	1998-12-07	VYDAJ	PREVOD NA UCET	1710	27560	\N	IJ	53378862
432096	1468	1994-06-15	VYDAJ	VYBER	2700	13446	\N	\N	\N
432097	1468	1995-06-05	VYDAJ	VYBER	5850	12960	\N	\N	\N
432099	1468	1997-06-07	VYDAJ	VYBER	1800	21437	\N	\N	\N
432100	1468	1998-06-10	VYDAJ	VYBER	1140	20895	\N	\N	\N
432103	1468	1995-01-01	VYDAJ	VYBER	1410	16068	\N	\N	\N
432104	1468	1996-01-10	VYDAJ	VYBER	570	14996	\N	\N	\N
432105	1468	1997-01-23	VYDAJ	VYBER	1860	18746	\N	\N	\N
432106	1468	1998-01-06	VYDAJ	VYBER	1410	24908	\N	\N	\N
432108	1468	1994-12-29	VYDAJ	VYBER	660	17417	\N	\N	\N
432109	1468	1995-12-10	VYDAJ	VYBER	750	16328	\N	\N	\N
432110	1468	1996-12-30	VYDAJ	VYBER	600	20387	\N	\N	\N
432111	1468	1997-12-28	VYDAJ	VYBER	660	23012	\N	\N	\N
432112	1468	1998-12-01	VYDAJ	VYBER	300	26046	\N	\N	\N
432125	1468	1995-01-19	VYDAJ	VYBER	720	15193	\N	\N	\N
432126	1468	1995-01-06	VYDAJ	VYBER	660	18632	\N	\N	\N
432127	1468	1995-01-19	VYDAJ	VYBER	480	14713	\N	\N	\N
432128	1468	1995-01-07	VYDAJ	VYBER	570	18062	\N	\N	\N
432129	1468	1995-01-23	VYDAJ	VYBER	690	14023	\N	\N	\N
432130	1468	1995-01-27	VYDAJ	VYBER	480	13543	\N	\N	\N
432132	1468	1996-01-11	VYDAJ	VYBER	780	13777	\N	\N	\N
432133	1468	1996-01-03	VYDAJ	VYBER	570	14052	\N	\N	\N
432134	1468	1996-01-03	VYDAJ	VYBER	510	14622	\N	\N	\N
432135	1468	1996-01-03	VYDAJ	VYBER	810	15132	\N	\N	\N
432137	1468	1997-01-21	VYDAJ	VYBER	420	20606	\N	\N	\N
432138	1468	1997-01-05	VYDAJ	VYBER	300	23385	\N	\N	\N
432139	1468	1997-01-27	VYDAJ	VYBER	690	17246	\N	\N	\N
432140	1468	1997-01-06	VYDAJ	VYBER	210	23175	\N	\N	\N
432141	1468	1997-01-25	VYDAJ	VYBER	810	17936	\N	\N	\N
432142	1468	1997-01-27	VYDAJ	VYBER	210	17036	\N	\N	\N
432143	1468	1998-01-13	VYDAJ	VYBER	630	22129	\N	\N	\N
432144	1468	1998-01-30	VYDAJ	VYBER	330	19009	\N	\N	\N
432145	1468	1998-01-18	VYDAJ	VYBER	870	20689	\N	\N	\N
432146	1468	1998-01-27	VYDAJ	VYBER	540	19699	\N	\N	\N
432147	1468	1998-01-17	VYDAJ	VYBER	270	21559	\N	\N	\N
432148	1468	1998-01-14	VYDAJ	VYBER	300	21829	\N	\N	\N
432155	1468	1994-05-05	VYDAJ	VYBER	750	17171	\N	\N	\N
432156	1468	1994-04-02	VYDAJ	VYBER	930	13575	\N	\N	\N
432157	1468	1994-11-21	VYDAJ	VYBER	210	17694	\N	\N	\N
432158	1468	1994-10-05	VYDAJ	VYBER	1170	18921	\N	\N	\N
432159	1468	1994-12-01	VYDAJ	VYBER	750	17002	\N	\N	\N
432161	1468	1995-11-21	VYDAJ	VYBER	720	15513	\N	\N	\N
432162	1468	1995-02-11	VYDAJ	VYBER	720	13319	\N	\N	\N
432163	1468	1995-09-19	VYDAJ	VYBER	150	13992	\N	\N	\N
432165	1468	1995-02-11	VYDAJ	VYBER	630	14039	\N	\N	\N
432166	1468	1995-03-22	VYDAJ	VYBER	1140	13298	\N	\N	\N
432167	1468	1996-12-04	VYDAJ	VYBER	1470	19912	\N	\N	\N
432168	1468	1996-07-15	VYDAJ	VYBER	420	17915	\N	\N	\N
432169	1468	1996-10-29	VYDAJ	VYBER	1170	20162	\N	\N	\N
432170	1468	1996-04-20	VYDAJ	VYBER	1020	14953	\N	\N	\N
432171	1468	1996-03-25	VYDAJ	VYBER	1170	14848	\N	\N	\N
432172	1468	1997-04-17	VYDAJ	VYBER	1080	19373	\N	\N	\N
432173	1468	1997-10-31	VYDAJ	VYBER	1200	21444	\N	\N	\N
432174	1468	1997-05-11	VYDAJ	VYBER	570	19946	\N	\N	\N
432175	1468	1997-06-13	VYDAJ	VYBER	1290	17998	\N	\N	\N
432176	1468	1998-01-31	VYDAJ	VYBER	420	18663	\N	\N	\N
432177	1468	1998-04-02	VYDAJ	VYBER	600	19119	\N	\N	\N
432178	1468	1998-08-30	VYDAJ	VYBER	150	23045	\N	\N	\N
432179	1468	1998-04-02	VYDAJ	VYBER	1230	19719	\N	\N	\N
432180	1468	1998-01-30	VYDAJ	VYBER	360	19339	\N	\N	\N
432181	1468	1998-11-05	VYDAJ	VYBER	270	28401	\N	\N	\N
432182	1468	1998-05-26	VYDAJ	VYBER	450	20888	\N	\N	\N
432183	1468	1998-01-23	VYDAJ	VYBER	450	20239	\N	\N	\N
432199	1468	1994-03-31	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
432200	1468	1994-04-30	VYDAJ	VYBER	15	14697	SLUZBY	\N	\N
432201	1468	1994-05-31	VYDAJ	VYBER	15	15071	SLUZBY	\N	\N
432202	1468	1994-06-30	VYDAJ	VYBER	15	13492	SLUZBY	\N	\N
432203	1468	1994-07-31	VYDAJ	VYBER	15	14612	SLUZBY	\N	\N
432204	1468	1994-08-31	VYDAJ	VYBER	15	15737	SLUZBY	\N	\N
432205	1468	1994-09-30	VYDAJ	VYBER	15	16867	SLUZBY	\N	\N
432206	1468	1994-10-31	VYDAJ	VYBER	15	16829	SLUZBY	\N	\N
432207	1468	1994-11-30	VYDAJ	VYBER	15	17752	SLUZBY	\N	\N
432208	1468	1994-12-31	VYDAJ	VYBER	15	17478	SLUZBY	\N	\N
432209	1468	1995-01-31	VYDAJ	VYBER	15	13594	SLUZBY	\N	\N
432210	1468	1995-02-28	VYDAJ	VYBER	15	13363	SLUZBY	\N	\N
432211	1468	1995-03-31	VYDAJ	VYBER	15	13342	SLUZBY	\N	\N
432212	1468	1995-04-30	VYDAJ	VYBER	15	14461	SLUZBY	\N	\N
432213	1468	1995-05-31	VYDAJ	VYBER	15	15586	SLUZBY	\N	\N
432214	1468	1995-06-30	VYDAJ	VYBER	15	10844	SLUZBY	\N	\N
432215	1468	1995-07-31	VYDAJ	VYBER	15	11954	SLUZBY	\N	\N
432216	1468	1995-08-31	VYDAJ	VYBER	15	13067	SLUZBY	\N	\N
432217	1468	1995-09-30	VYDAJ	VYBER	15	14036	SLUZBY	\N	\N
432218	1468	1995-10-31	VYDAJ	VYBER	15	15158	SLUZBY	\N	\N
432219	1468	1995-11-30	VYDAJ	VYBER	15	15564	SLUZBY	\N	\N
432220	1468	1995-12-31	VYDAJ	VYBER	15	15942	SLUZBY	\N	\N
432221	1468	1996-01-31	VYDAJ	VYBER	15	13822	SLUZBY	\N	\N
432222	1468	1996-02-29	VYDAJ	VYBER	15	14943	SLUZBY	\N	\N
432223	1468	1996-03-31	VYDAJ	VYBER	15	14898	SLUZBY	\N	\N
432224	1468	1996-04-30	VYDAJ	VYBER	15	15003	SLUZBY	\N	\N
432225	1468	1996-05-31	VYDAJ	VYBER	15	16129	SLUZBY	\N	\N
432226	1468	1996-06-30	VYDAJ	VYBER	15	17260	SLUZBY	\N	\N
432227	1468	1996-07-31	VYDAJ	VYBER	15	17975	SLUZBY	\N	\N
432228	1468	1996-08-31	VYDAJ	VYBER	15	19114	SLUZBY	\N	\N
432229	1468	1996-09-30	VYDAJ	VYBER	15	20257	SLUZBY	\N	\N
432230	1468	1996-10-31	VYDAJ	VYBER	15	20235	SLUZBY	\N	\N
432231	1468	1996-11-30	VYDAJ	VYBER	15	21382	SLUZBY	\N	\N
432232	1468	1996-12-31	VYDAJ	VYBER	15	20461	SLUZBY	\N	\N
432233	1468	1997-01-31	VYDAJ	VYBER	15	17104	SLUZBY	\N	\N
432234	1468	1997-02-28	VYDAJ	VYBER	15	18239	SLUZBY	\N	\N
432235	1468	1997-03-31	VYDAJ	VYBER	15	19378	SLUZBY	\N	\N
432236	1468	1997-04-30	VYDAJ	VYBER	15	19441	SLUZBY	\N	\N
432237	1468	1997-05-31	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
432238	1468	1997-06-30	VYDAJ	VYBER	15	18062	SLUZBY	\N	\N
432239	1468	1997-07-31	VYDAJ	VYBER	15	19200	SLUZBY	\N	\N
432240	1468	1997-08-31	VYDAJ	VYBER	15	20344	SLUZBY	\N	\N
432241	1468	1997-09-30	VYDAJ	VYBER	15	21492	SLUZBY	\N	\N
432242	1468	1997-10-31	VYDAJ	VYBER	15	22644	SLUZBY	\N	\N
432243	1468	1997-11-30	VYDAJ	VYBER	15	22597	SLUZBY	\N	\N
432244	1468	1997-12-31	VYDAJ	VYBER	15	23094	SLUZBY	\N	\N
432245	1468	1998-01-31	VYDAJ	VYBER	15	19083	SLUZBY	\N	\N
432246	1468	1998-02-28	VYDAJ	VYBER	15	19804	SLUZBY	\N	\N
432247	1468	1998-03-31	VYDAJ	VYBER	15	20949	SLUZBY	\N	\N
432248	1468	1998-04-30	VYDAJ	VYBER	15	20263	SLUZBY	\N	\N
432249	1468	1998-05-31	VYDAJ	VYBER	15	20960	SLUZBY	\N	\N
432250	1468	1998-06-30	VYDAJ	VYBER	15	20970	SLUZBY	\N	\N
432251	1468	1998-07-31	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
432252	1468	1998-08-31	VYDAJ	VYBER	15	23125	SLUZBY	\N	\N
432253	1468	1998-09-30	VYDAJ	VYBER	15	24284	SLUZBY	\N	\N
432254	1468	1998-10-31	VYDAJ	VYBER	15	25447	SLUZBY	\N	\N
432255	1468	1998-11-30	VYDAJ	VYBER	15	26346	SLUZBY	\N	\N
432314	1469	1995-12-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
432327	1469	1996-01-06	PRIJEM	PREVOD Z UCTU	6228	7228	DUCHOD	ST	79055952
432328	1469	1996-02-06	PRIJEM	PREVOD Z UCTU	6228	13456	DUCHOD	ST	79055952
432329	1469	1996-03-06	PRIJEM	PREVOD Z UCTU	6228	19684	DUCHOD	ST	79055952
432330	1469	1996-04-06	PRIJEM	PREVOD Z UCTU	6228	25912	DUCHOD	ST	79055952
432331	1469	1996-05-06	PRIJEM	PREVOD Z UCTU	6228	29298	DUCHOD	ST	79055952
432332	1469	1996-06-06	PRIJEM	PREVOD Z UCTU	6228	28212	DUCHOD	ST	79055952
432333	1469	1996-07-06	PRIJEM	PREVOD Z UCTU	6228	24548	DUCHOD	ST	79055952
432334	1469	1996-08-06	PRIJEM	PREVOD Z UCTU	6228	27272	DUCHOD	ST	79055952
432335	1469	1996-09-06	PRIJEM	PREVOD Z UCTU	6228	25582	DUCHOD	ST	79055952
432336	1469	1996-10-06	PRIJEM	PREVOD Z UCTU	6228	28315	DUCHOD	ST	79055952
432337	1469	1996-11-06	PRIJEM	PREVOD Z UCTU	6228	28154	DUCHOD	ST	79055952
432338	1469	1996-12-06	PRIJEM	PREVOD Z UCTU	6228	25481	DUCHOD	ST	79055952
432339	1469	1997-01-06	PRIJEM	PREVOD Z UCTU	6228	19776	DUCHOD	ST	79055952
432340	1469	1997-02-06	PRIJEM	PREVOD Z UCTU	6228	19041	DUCHOD	ST	79055952
432341	1469	1997-03-06	PRIJEM	PREVOD Z UCTU	6228	19380	DUCHOD	ST	79055952
432342	1469	1997-04-06	PRIJEM	PREVOD Z UCTU	6228	22082	DUCHOD	ST	79055952
432343	1469	1997-05-06	PRIJEM	PREVOD Z UCTU	6228	24795	DUCHOD	ST	79055952
432344	1469	1997-06-06	PRIJEM	PREVOD Z UCTU	6228	27520	DUCHOD	ST	79055952
432345	1469	1997-07-06	PRIJEM	PREVOD Z UCTU	6228	30256	DUCHOD	ST	79055952
432346	1469	1997-08-06	PRIJEM	PREVOD Z UCTU	6228	29957	DUCHOD	ST	79055952
432347	1469	1997-09-06	PRIJEM	PREVOD Z UCTU	6228	32703	DUCHOD	ST	79055952
432348	1469	1997-10-06	PRIJEM	PREVOD Z UCTU	6228	33620	DUCHOD	ST	79055952
432349	1469	1997-11-06	PRIJEM	PREVOD Z UCTU	6228	35781	DUCHOD	ST	79055952
432350	1469	1997-12-06	PRIJEM	PREVOD Z UCTU	6228	35749	DUCHOD	ST	79055952
432351	1469	1998-01-06	PRIJEM	PREVOD Z UCTU	6228	35166	DUCHOD	ST	79055952
432352	1469	1998-02-06	PRIJEM	PREVOD Z UCTU	6228	32251	DUCHOD	ST	79055952
432353	1469	1998-03-06	PRIJEM	PREVOD Z UCTU	6228	35006	DUCHOD	ST	79055952
432354	1469	1998-04-06	PRIJEM	PREVOD Z UCTU	6228	37773	DUCHOD	ST	79055952
432355	1469	1998-05-06	PRIJEM	PREVOD Z UCTU	6228	39651	DUCHOD	ST	79055952
432356	1469	1998-06-06	PRIJEM	PREVOD Z UCTU	6228	35707	DUCHOD	ST	79055952
432357	1469	1998-07-06	PRIJEM	PREVOD Z UCTU	6228	38483	DUCHOD	ST	79055952
432358	1469	1998-08-06	PRIJEM	PREVOD Z UCTU	6228	41264	DUCHOD	ST	79055952
432359	1469	1998-09-06	PRIJEM	PREVOD Z UCTU	6228	39717	DUCHOD	ST	79055952
432360	1469	1998-10-06	PRIJEM	PREVOD Z UCTU	6228	40203	DUCHOD	ST	79055952
432361	1469	1998-11-06	PRIJEM	PREVOD Z UCTU	6228	38593	DUCHOD	ST	79055952
432362	1469	1998-12-06	PRIJEM	PREVOD Z UCTU	6228	36573	DUCHOD	ST	79055952
432379	1469	1996-05-10	VYDAJ	PREVOD NA UCET	3574	25724	SIPO	EF	97405832
432380	1469	1996-06-10	VYDAJ	PREVOD NA UCET	3574	24638	SIPO	EF	97405832
432381	1469	1996-07-10	VYDAJ	PREVOD NA UCET	3574	20974	SIPO	EF	97405832
432382	1469	1996-08-10	VYDAJ	PREVOD NA UCET	3574	23698	SIPO	EF	97405832
432383	1469	1996-09-10	VYDAJ	PREVOD NA UCET	3574	22008	SIPO	EF	97405832
432384	1469	1996-10-10	VYDAJ	PREVOD NA UCET	3574	24741	SIPO	EF	97405832
432385	1469	1996-11-10	VYDAJ	PREVOD NA UCET	3574	20580	SIPO	EF	97405832
432386	1469	1996-12-10	VYDAJ	PREVOD NA UCET	3574	16527	SIPO	EF	97405832
432387	1469	1997-01-10	VYDAJ	PREVOD NA UCET	3574	16202	SIPO	EF	97405832
432388	1469	1997-02-10	VYDAJ	PREVOD NA UCET	3574	14867	SIPO	EF	97405832
432389	1469	1997-03-10	VYDAJ	PREVOD NA UCET	3574	15806	SIPO	EF	97405832
432390	1469	1997-04-10	VYDAJ	PREVOD NA UCET	3574	18508	SIPO	EF	97405832
432391	1469	1997-05-10	VYDAJ	PREVOD NA UCET	3574	21221	SIPO	EF	97405832
432392	1469	1997-06-10	VYDAJ	PREVOD NA UCET	3574	23946	SIPO	EF	97405832
432393	1469	1997-07-10	VYDAJ	PREVOD NA UCET	3574	23642	SIPO	EF	97405832
432394	1469	1997-08-10	VYDAJ	PREVOD NA UCET	3574	26383	SIPO	EF	97405832
432395	1469	1997-09-10	VYDAJ	PREVOD NA UCET	3574	29129	SIPO	EF	97405832
432396	1469	1997-10-10	VYDAJ	PREVOD NA UCET	3574	30046	SIPO	EF	97405832
432397	1469	1997-11-10	VYDAJ	PREVOD NA UCET	3574	32207	SIPO	EF	97405832
432398	1469	1997-12-10	VYDAJ	PREVOD NA UCET	3574	32175	SIPO	EF	97405832
432399	1469	1998-01-10	VYDAJ	PREVOD NA UCET	3574	31592	SIPO	EF	97405832
432400	1469	1998-02-10	VYDAJ	PREVOD NA UCET	3574	28677	SIPO	EF	97405832
432401	1469	1998-03-10	VYDAJ	PREVOD NA UCET	3574	31432	SIPO	EF	97405832
432402	1469	1998-04-10	VYDAJ	PREVOD NA UCET	3574	34199	SIPO	EF	97405832
432403	1469	1998-05-10	VYDAJ	PREVOD NA UCET	3574	36077	SIPO	EF	97405832
432404	1469	1998-06-10	VYDAJ	PREVOD NA UCET	3574	32133	SIPO	EF	97405832
432405	1469	1998-07-10	VYDAJ	PREVOD NA UCET	3574	34909	SIPO	EF	97405832
432406	1469	1998-08-10	VYDAJ	PREVOD NA UCET	3574	34650	SIPO	EF	97405832
432407	1469	1998-09-10	VYDAJ	PREVOD NA UCET	3574	36143	SIPO	EF	97405832
432408	1469	1998-10-10	VYDAJ	PREVOD NA UCET	3574	36629	SIPO	EF	97405832
432409	1469	1998-11-10	VYDAJ	PREVOD NA UCET	3574	35019	SIPO	EF	97405832
432410	1469	1998-12-10	VYDAJ	PREVOD NA UCET	3574	32999	SIPO	EF	97405832
432412	1469	1996-06-28	VYDAJ	VYBER	6400	18238	\N	\N	\N
432414	1469	1998-06-04	VYDAJ	VYBER	3850	29479	\N	\N	\N
432416	1469	1996-12-01	VYDAJ	VYBER	1400	19253	\N	\N	\N
432417	1469	1997-12-14	VYDAJ	VYBER	950	31225	\N	\N	\N
432418	1469	1998-12-22	VYDAJ	VYBER	600	32399	\N	\N	\N
432431	1469	1997-01-19	VYDAJ	VYBER	880	15322	\N	\N	\N
432432	1469	1997-01-30	VYDAJ	VYBER	880	12762	\N	\N	\N
432433	1469	1997-01-05	VYDAJ	VYBER	1760	14828	\N	\N	\N
432434	1469	1997-01-05	VYDAJ	VYBER	1280	13548	\N	\N	\N
432435	1469	1997-01-27	VYDAJ	VYBER	400	13642	\N	\N	\N
432436	1469	1997-01-23	VYDAJ	VYBER	1280	14042	\N	\N	\N
432437	1469	1998-01-03	VYDAJ	VYBER	2000	28938	\N	\N	\N
432438	1469	1998-01-29	VYDAJ	VYBER	1040	25912	\N	\N	\N
432439	1469	1998-01-28	VYDAJ	VYBER	1840	26952	\N	\N	\N
432440	1469	1998-01-28	VYDAJ	VYBER	960	28792	\N	\N	\N
432441	1469	1998-01-14	VYDAJ	VYBER	1840	29752	\N	\N	\N
432442	1469	1998-01-01	VYDAJ	VYBER	400	30938	\N	\N	\N
432448	1469	1996-09-03	VYDAJ	VYBER	2720	19354	\N	\N	\N
432449	1469	1996-05-19	VYDAJ	VYBER	1520	21904	\N	\N	\N
432450	1469	1996-12-07	VYDAJ	VYBER	480	25001	\N	\N	\N
432453	1469	1997-02-22	VYDAJ	VYBER	1760	13107	\N	\N	\N
432454	1469	1997-07-06	VYDAJ	VYBER	3040	27216	\N	\N	\N
432455	1469	1997-09-30	VYDAJ	VYBER	1840	27392	\N	\N	\N
432456	1469	1997-11-15	VYDAJ	VYBER	2800	29407	\N	\N	\N
432457	1469	1998-08-10	VYDAJ	VYBER	3040	38224	\N	\N	\N
432458	1469	1998-05-21	VYDAJ	VYBER	2880	33197	\N	\N	\N
432476	1469	1996-05-31	VYDAJ	VYBER	15	21984	SLUZBY	\N	\N
432477	1469	1996-06-30	VYDAJ	VYBER	15	18320	SLUZBY	\N	\N
432478	1469	1996-07-31	VYDAJ	VYBER	15	21044	SLUZBY	\N	\N
432479	1469	1996-08-31	VYDAJ	VYBER	15	22074	SLUZBY	\N	\N
432480	1469	1996-09-30	VYDAJ	VYBER	15	22087	SLUZBY	\N	\N
432481	1469	1996-10-31	VYDAJ	VYBER	15	21926	SLUZBY	\N	\N
432482	1469	1996-11-30	VYDAJ	VYBER	15	20653	SLUZBY	\N	\N
432483	1469	1996-12-31	VYDAJ	VYBER	15	16588	SLUZBY	\N	\N
432484	1469	1997-01-31	VYDAJ	VYBER	15	12813	SLUZBY	\N	\N
432485	1469	1997-02-28	VYDAJ	VYBER	15	13152	SLUZBY	\N	\N
432486	1469	1997-03-31	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
432487	1469	1997-04-30	VYDAJ	VYBER	15	18567	SLUZBY	\N	\N
432488	1469	1997-05-31	VYDAJ	VYBER	15	21292	SLUZBY	\N	\N
432489	1469	1997-06-30	VYDAJ	VYBER	15	24028	SLUZBY	\N	\N
432490	1469	1997-07-31	VYDAJ	VYBER	15	23729	SLUZBY	\N	\N
432491	1469	1997-08-31	VYDAJ	VYBER	15	26475	SLUZBY	\N	\N
432492	1469	1997-09-30	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
432493	1469	1997-10-31	VYDAJ	VYBER	15	30153	SLUZBY	\N	\N
432494	1469	1997-11-30	VYDAJ	VYBER	15	29521	SLUZBY	\N	\N
432495	1469	1997-12-31	VYDAJ	VYBER	15	31338	SLUZBY	\N	\N
432496	1469	1998-01-31	VYDAJ	VYBER	15	26023	SLUZBY	\N	\N
432497	1469	1998-02-28	VYDAJ	VYBER	15	28778	SLUZBY	\N	\N
432498	1469	1998-03-31	VYDAJ	VYBER	15	31545	SLUZBY	\N	\N
432499	1469	1998-04-30	VYDAJ	VYBER	15	34323	SLUZBY	\N	\N
432500	1469	1998-05-31	VYDAJ	VYBER	15	33329	SLUZBY	\N	\N
432501	1469	1998-06-30	VYDAJ	VYBER	15	32255	SLUZBY	\N	\N
432502	1469	1998-07-31	VYDAJ	VYBER	15	35036	SLUZBY	\N	\N
432503	1469	1998-08-31	VYDAJ	VYBER	15	33489	SLUZBY	\N	\N
432504	1469	1998-09-30	VYDAJ	VYBER	15	36275	SLUZBY	\N	\N
432505	1469	1998-10-31	VYDAJ	VYBER	15	32365	SLUZBY	\N	\N
432506	1469	1998-11-30	VYDAJ	VYBER	15	30345	SLUZBY	\N	\N
432507	1469	1996-04-13	VYDAJ	VYBER	2900	23012	\N	\N	\N
432508	1469	1996-05-13	VYDAJ	VYBER	2300	23424	\N	\N	\N
432509	1469	1996-08-11	VYDAJ	VYBER	1700	21998	\N	\N	\N
432510	1469	1996-10-10	VYDAJ	VYBER	2900	21841	\N	\N	\N
432511	1469	1996-11-09	VYDAJ	VYBER	4000	24154	\N	\N	\N
432512	1469	1996-12-09	VYDAJ	VYBER	4900	20101	\N	\N	\N
432513	1469	1997-02-07	VYDAJ	VYBER	600	18441	\N	\N	\N
432514	1469	1997-11-04	VYDAJ	VYBER	600	29553	\N	\N	\N
432515	1469	1998-05-03	VYDAJ	VYBER	900	33423	\N	\N	\N
432516	1469	1998-08-31	VYDAJ	VYBER	1300	33504	\N	\N	\N
432517	1469	1998-09-30	VYDAJ	VYBER	2300	33975	\N	\N	\N
432518	1469	1998-10-30	VYDAJ	VYBER	4400	32229	\N	\N	\N
432519	1469	1998-11-29	VYDAJ	VYBER	4800	30219	\N	\N	\N
432553	1470	1994-02-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
432556	1470	1994-03-09	PRIJEM	VKLAD	12431	13531	\N	\N	\N
432557	1470	1994-04-09	PRIJEM	VKLAD	12431	33318	\N	\N	\N
432558	1470	1994-05-09	PRIJEM	VKLAD	12431	42762	\N	\N	\N
432559	1470	1994-06-09	PRIJEM	VKLAD	18646	50739	\N	\N	\N
432560	1470	1994-07-09	PRIJEM	VKLAD	12431	50420	\N	\N	\N
432561	1470	1994-08-09	PRIJEM	VKLAD	12431	43727	\N	\N	\N
432562	1470	1994-09-09	PRIJEM	VKLAD	12431	39022	\N	\N	\N
432563	1470	1994-10-09	PRIJEM	VKLAD	12431	40723	\N	\N	\N
432564	1470	1994-11-09	PRIJEM	VKLAD	12431	42633	\N	\N	\N
432565	1470	1994-12-09	PRIJEM	VKLAD	18646	52565	\N	\N	\N
432566	1470	1995-01-09	PRIJEM	VKLAD	12431	46611	\N	\N	\N
432567	1470	1995-02-09	PRIJEM	VKLAD	12431	42432	\N	\N	\N
432568	1470	1995-03-09	PRIJEM	VKLAD	12431	47544	\N	\N	\N
432569	1470	1995-04-09	PRIJEM	VKLAD	12431	46979	\N	\N	\N
432570	1470	1995-05-09	PRIJEM	VKLAD	12431	47917	\N	\N	\N
432571	1470	1995-06-09	PRIJEM	VKLAD	18646	39572	\N	\N	\N
432572	1470	1995-07-09	PRIJEM	VKLAD	12431	46975	\N	\N	\N
432573	1470	1995-08-09	PRIJEM	VKLAD	12431	48901	\N	\N	\N
432574	1470	1995-09-09	PRIJEM	VKLAD	12431	49239	\N	\N	\N
432575	1470	1995-10-09	PRIJEM	VKLAD	12431	51485	\N	\N	\N
432576	1470	1995-11-09	PRIJEM	VKLAD	12431	48939	\N	\N	\N
432577	1470	1995-12-09	PRIJEM	VKLAD	18646	54001	\N	\N	\N
432578	1470	1996-01-09	PRIJEM	VKLAD	12431	47858	\N	\N	\N
432579	1470	1996-02-09	PRIJEM	VKLAD	12431	45486	\N	\N	\N
432580	1470	1996-03-09	PRIJEM	VKLAD	12431	47500	\N	\N	\N
432581	1470	1996-04-09	PRIJEM	VKLAD	12431	46636	\N	\N	\N
432582	1470	1996-05-09	PRIJEM	VKLAD	12431	50666	\N	\N	\N
432583	1470	1996-06-09	PRIJEM	VKLAD	18646	56915	\N	\N	\N
432584	1470	1996-07-09	PRIJEM	VKLAD	12431	42736	\N	\N	\N
432585	1470	1996-08-09	PRIJEM	VKLAD	12431	49839	\N	\N	\N
432586	1470	1996-09-09	PRIJEM	VKLAD	12431	45867	\N	\N	\N
432587	1470	1996-10-09	PRIJEM	VKLAD	12431	52181	\N	\N	\N
432588	1470	1996-11-09	PRIJEM	VKLAD	12431	50917	\N	\N	\N
432589	1470	1996-12-09	PRIJEM	VKLAD	18646	54362	\N	\N	\N
432590	1470	1997-01-09	PRIJEM	VKLAD	12431	45098	\N	\N	\N
432591	1470	1997-02-09	PRIJEM	VKLAD	12431	43215	\N	\N	\N
432592	1470	1997-03-09	PRIJEM	VKLAD	12431	45414	\N	\N	\N
432593	1470	1997-04-09	PRIJEM	VKLAD	12431	44219	\N	\N	\N
432594	1470	1997-05-09	PRIJEM	VKLAD	12431	44422	\N	\N	\N
432595	1470	1997-06-09	PRIJEM	VKLAD	18646	49546	\N	\N	\N
432596	1470	1997-07-09	PRIJEM	VKLAD	12431	39134	\N	\N	\N
432597	1470	1997-08-09	PRIJEM	VKLAD	12431	43917	\N	\N	\N
432598	1470	1997-09-09	PRIJEM	VKLAD	12431	46616	\N	\N	\N
432599	1470	1997-10-09	PRIJEM	VKLAD	12431	47725	\N	\N	\N
432600	1470	1997-11-09	PRIJEM	VKLAD	12431	42028	\N	\N	\N
432601	1470	1997-12-09	PRIJEM	VKLAD	18646	44525	\N	\N	\N
432602	1470	1998-01-09	PRIJEM	VKLAD	12431	37708	\N	\N	\N
432603	1470	1998-02-09	PRIJEM	VKLAD	12431	29962	\N	\N	\N
432604	1470	1998-03-09	PRIJEM	VKLAD	12431	35103	\N	\N	\N
432605	1470	1998-04-09	PRIJEM	VKLAD	12431	36562	\N	\N	\N
432606	1470	1998-05-09	PRIJEM	VKLAD	12431	36424	\N	\N	\N
432607	1470	1998-06-09	PRIJEM	VKLAD	18646	42307	\N	\N	\N
432608	1470	1998-07-09	PRIJEM	VKLAD	12431	47104	\N	\N	\N
432609	1470	1998-08-09	PRIJEM	VKLAD	12431	46507	\N	\N	\N
432610	1470	1998-09-09	PRIJEM	VKLAD	12431	48511	\N	\N	\N
432611	1470	1998-10-09	PRIJEM	VKLAD	12431	51326	\N	\N	\N
432612	1470	1998-11-09	PRIJEM	VKLAD	12431	55454	\N	\N	\N
432613	1470	1998-12-09	PRIJEM	VKLAD	18646	63311	\N	\N	\N
432620	1470	1994-07-13	VYDAJ	PREVOD NA UCET	4060	34760	SIPO	AB	72926729
432621	1470	1994-08-13	VYDAJ	PREVOD NA UCET	4060	32067	SIPO	AB	72926729
432622	1470	1994-09-13	VYDAJ	PREVOD NA UCET	4060	34962	SIPO	AB	72926729
432623	1470	1994-10-13	VYDAJ	PREVOD NA UCET	4060	36663	SIPO	AB	72926729
432624	1470	1994-11-13	VYDAJ	PREVOD NA UCET	4060	38573	SIPO	AB	72926729
432625	1470	1994-12-13	VYDAJ	PREVOD NA UCET	4060	46705	SIPO	AB	72926729
432626	1470	1995-01-13	VYDAJ	PREVOD NA UCET	4060	36551	SIPO	AB	72926729
432627	1470	1995-02-13	VYDAJ	PREVOD NA UCET	4060	38372	SIPO	AB	72926729
432628	1470	1995-03-13	VYDAJ	PREVOD NA UCET	4060	43484	SIPO	AB	72926729
432629	1470	1995-04-13	VYDAJ	PREVOD NA UCET	4060	42919	SIPO	AB	72926729
432630	1470	1995-05-13	VYDAJ	PREVOD NA UCET	4060	43857	SIPO	AB	72926729
432631	1470	1995-06-13	VYDAJ	PREVOD NA UCET	4060	35512	SIPO	AB	72926729
432632	1470	1995-07-13	VYDAJ	PREVOD NA UCET	4060	42915	SIPO	AB	72926729
432633	1470	1995-08-13	VYDAJ	PREVOD NA UCET	4060	44841	SIPO	AB	72926729
432634	1470	1995-09-13	VYDAJ	PREVOD NA UCET	4060	45179	SIPO	AB	72926729
432635	1470	1995-10-13	VYDAJ	PREVOD NA UCET	4060	47425	SIPO	AB	72926729
432636	1470	1995-11-13	VYDAJ	PREVOD NA UCET	4060	44879	SIPO	AB	72926729
432637	1470	1995-12-13	VYDAJ	PREVOD NA UCET	4060	49941	SIPO	AB	72926729
432638	1470	1996-01-13	VYDAJ	PREVOD NA UCET	4060	37998	SIPO	AB	72926729
432639	1470	1996-02-13	VYDAJ	PREVOD NA UCET	4060	41426	SIPO	AB	72926729
432640	1470	1996-03-13	VYDAJ	PREVOD NA UCET	4060	43440	SIPO	AB	72926729
432641	1470	1996-04-13	VYDAJ	PREVOD NA UCET	4060	42576	SIPO	AB	72926729
432642	1470	1996-05-13	VYDAJ	PREVOD NA UCET	4060	46606	SIPO	AB	72926729
432643	1470	1996-06-13	VYDAJ	PREVOD NA UCET	4060	52855	SIPO	AB	72926729
432644	1470	1996-07-13	VYDAJ	PREVOD NA UCET	4060	38676	SIPO	AB	72926729
432645	1470	1996-08-13	VYDAJ	PREVOD NA UCET	4060	45779	SIPO	AB	72926729
432646	1470	1996-09-13	VYDAJ	PREVOD NA UCET	4060	41807	SIPO	AB	72926729
432647	1470	1996-10-13	VYDAJ	PREVOD NA UCET	4060	48121	SIPO	AB	72926729
432648	1470	1996-11-13	VYDAJ	PREVOD NA UCET	4060	46857	SIPO	AB	72926729
432649	1470	1996-12-13	VYDAJ	PREVOD NA UCET	4060	47702	SIPO	AB	72926729
432650	1470	1997-01-13	VYDAJ	PREVOD NA UCET	4060	41038	SIPO	AB	72926729
432651	1470	1997-02-13	VYDAJ	PREVOD NA UCET	4060	39155	SIPO	AB	72926729
432652	1470	1997-03-13	VYDAJ	PREVOD NA UCET	4060	41354	SIPO	AB	72926729
432653	1470	1997-04-13	VYDAJ	PREVOD NA UCET	4060	40159	SIPO	AB	72926729
432654	1470	1997-05-13	VYDAJ	PREVOD NA UCET	4060	40362	SIPO	AB	72926729
432655	1470	1997-06-13	VYDAJ	PREVOD NA UCET	4060	35286	SIPO	AB	72926729
432656	1470	1997-07-13	VYDAJ	PREVOD NA UCET	4060	35074	SIPO	AB	72926729
432657	1470	1997-08-13	VYDAJ	PREVOD NA UCET	4060	39857	SIPO	AB	72926729
432658	1470	1997-09-13	VYDAJ	PREVOD NA UCET	4060	42556	SIPO	AB	72926729
432659	1470	1997-10-13	VYDAJ	PREVOD NA UCET	4060	43665	SIPO	AB	72926729
432660	1470	1997-11-13	VYDAJ	PREVOD NA UCET	4060	37968	SIPO	AB	72926729
432661	1470	1997-12-13	VYDAJ	PREVOD NA UCET	4060	36765	SIPO	AB	72926729
432662	1470	1998-01-13	VYDAJ	PREVOD NA UCET	4060	33648	SIPO	AB	72926729
432663	1470	1998-02-13	VYDAJ	PREVOD NA UCET	4060	25902	SIPO	AB	72926729
432664	1470	1998-03-13	VYDAJ	PREVOD NA UCET	4060	31043	SIPO	AB	72926729
432665	1470	1998-04-13	VYDAJ	PREVOD NA UCET	4060	32502	SIPO	AB	72926729
432666	1470	1998-05-13	VYDAJ	PREVOD NA UCET	4060	32364	SIPO	AB	72926729
432667	1470	1998-06-13	VYDAJ	PREVOD NA UCET	4060	38247	SIPO	AB	72926729
432668	1470	1998-07-13	VYDAJ	PREVOD NA UCET	4060	43044	SIPO	AB	72926729
432669	1470	1998-08-13	VYDAJ	PREVOD NA UCET	4060	42447	SIPO	AB	72926729
432670	1470	1998-09-13	VYDAJ	PREVOD NA UCET	4060	44451	SIPO	AB	72926729
432671	1470	1998-10-13	VYDAJ	PREVOD NA UCET	4060	47266	SIPO	AB	72926729
432672	1470	1998-11-13	VYDAJ	PREVOD NA UCET	4060	51394	SIPO	AB	72926729
432673	1470	1998-12-13	VYDAJ	PREVOD NA UCET	4060	57851	SIPO	AB	72926729
432675	1470	1995-06-01	VYDAJ	VYBER	25800	18226	\N	\N	\N
432676	1470	1996-06-22	VYDAJ	VYBER	24800	28055	\N	\N	\N
432677	1470	1997-06-11	VYDAJ	VYBER	10200	39346	\N	\N	\N
432678	1470	1998-06-08	VYDAJ	VYBER	4200	23661	\N	\N	\N
432680	1470	1995-01-10	VYDAJ	VYBER	4200	42411	\N	\N	\N
432681	1470	1996-01-10	VYDAJ	VYBER	5800	42058	\N	\N	\N
432682	1470	1997-01-30	VYDAJ	VYBER	4700	30638	\N	\N	\N
432683	1470	1998-01-24	VYDAJ	VYBER	2200	17448	\N	\N	\N
432684	1470	1994-12-13	VYDAJ	VYBER	1800	50765	\N	\N	\N
432685	1470	1995-12-20	VYDAJ	VYBER	1900	48041	\N	\N	\N
432686	1470	1996-12-09	VYDAJ	VYBER	2600	51762	\N	\N	\N
432687	1470	1997-12-01	VYDAJ	VYBER	1400	25879	\N	\N	\N
432688	1470	1998-12-03	VYDAJ	VYBER	1800	44665	\N	\N	\N
432690	1470	1994-08-02	VYDAJ	VYBER	3600	31296	\N	\N	\N
432693	1470	1995-11-26	VYDAJ	VYBER	800	44079	\N	\N	\N
432694	1470	1995-01-12	VYDAJ	VYBER	1800	40611	\N	\N	\N
432695	1470	1995-01-28	VYDAJ	VYBER	4100	32451	\N	\N	\N
432696	1470	1995-02-05	VYDAJ	VYBER	4300	30001	\N	\N	\N
432697	1470	1995-07-26	VYDAJ	VYBER	4700	38215	\N	\N	\N
432698	1470	1996-08-31	VYDAJ	VYBER	4700	33436	\N	\N	\N
432699	1470	1996-04-04	VYDAJ	VYBER	4300	34205	\N	\N	\N
432700	1470	1996-11-30	VYDAJ	VYBER	3100	35730	\N	\N	\N
432701	1470	1997-01-05	VYDAJ	VYBER	4600	32667	\N	\N	\N
432702	1470	1997-05-13	VYDAJ	VYBER	4000	36362	\N	\N	\N
432703	1470	1997-12-10	VYDAJ	VYBER	3700	40825	\N	\N	\N
432704	1470	1997-05-04	VYDAJ	VYBER	1600	31991	\N	\N	\N
432705	1470	1997-11-18	VYDAJ	VYBER	1800	36168	\N	\N	\N
432706	1470	1998-05-25	VYDAJ	VYBER	1900	27764	\N	\N	\N
432707	1470	1998-09-22	VYDAJ	VYBER	3300	38751	\N	\N	\N
432708	1470	1998-12-10	VYDAJ	VYBER	1400	61911	\N	\N	\N
432709	1470	1998-01-15	VYDAJ	VYBER	2500	31148	\N	\N	\N
432717	1470	1994-07-31	VYDAJ	VYBER	15	34896	SLUZBY	\N	\N
432718	1470	1994-08-31	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
432719	1470	1994-09-30	VYDAJ	VYBER	15	35092	SLUZBY	\N	\N
432720	1470	1994-10-31	VYDAJ	VYBER	15	36802	SLUZBY	\N	\N
432721	1470	1994-11-30	VYDAJ	VYBER	15	38719	SLUZBY	\N	\N
432722	1470	1994-12-31	VYDAJ	VYBER	15	46880	SLUZBY	\N	\N
432723	1470	1995-01-31	VYDAJ	VYBER	15	32601	SLUZBY	\N	\N
432724	1470	1995-02-28	VYDAJ	VYBER	15	38513	SLUZBY	\N	\N
432725	1470	1995-03-31	VYDAJ	VYBER	15	43648	SLUZBY	\N	\N
432726	1470	1995-04-30	VYDAJ	VYBER	15	43086	SLUZBY	\N	\N
432727	1470	1995-05-31	VYDAJ	VYBER	15	44026	SLUZBY	\N	\N
432728	1470	1995-06-30	VYDAJ	VYBER	15	35644	SLUZBY	\N	\N
432729	1470	1995-07-31	VYDAJ	VYBER	15	38370	SLUZBY	\N	\N
432730	1470	1995-08-31	VYDAJ	VYBER	15	45008	SLUZBY	\N	\N
432731	1470	1995-09-30	VYDAJ	VYBER	15	45354	SLUZBY	\N	\N
432732	1470	1995-10-31	VYDAJ	VYBER	15	47608	SLUZBY	\N	\N
432733	1470	1995-11-30	VYDAJ	VYBER	15	44255	SLUZBY	\N	\N
432734	1470	1995-12-31	VYDAJ	VYBER	15	48227	SLUZBY	\N	\N
432735	1470	1996-01-31	VYDAJ	VYBER	15	33055	SLUZBY	\N	\N
432736	1470	1996-02-29	VYDAJ	VYBER	15	41569	SLUZBY	\N	\N
432737	1470	1996-03-31	VYDAJ	VYBER	15	43605	SLUZBY	\N	\N
432738	1470	1996-04-30	VYDAJ	VYBER	15	42735	SLUZBY	\N	\N
432739	1470	1996-05-31	VYDAJ	VYBER	15	38269	SLUZBY	\N	\N
432740	1470	1996-06-30	VYDAJ	VYBER	15	30305	SLUZBY	\N	\N
432741	1470	1996-07-31	VYDAJ	VYBER	15	37408	SLUZBY	\N	\N
432742	1470	1996-08-31	VYDAJ	VYBER	15	38136	SLUZBY	\N	\N
432743	1470	1996-09-30	VYDAJ	VYBER	15	39750	SLUZBY	\N	\N
432744	1470	1996-10-31	VYDAJ	VYBER	15	38486	SLUZBY	\N	\N
432745	1470	1996-11-30	VYDAJ	VYBER	15	35716	SLUZBY	\N	\N
432746	1470	1996-12-31	VYDAJ	VYBER	15	37267	SLUZBY	\N	\N
432747	1470	1997-01-31	VYDAJ	VYBER	15	30784	SLUZBY	\N	\N
432748	1470	1997-02-28	VYDAJ	VYBER	15	32983	SLUZBY	\N	\N
432749	1470	1997-03-31	VYDAJ	VYBER	15	31788	SLUZBY	\N	\N
432750	1470	1997-04-30	VYDAJ	VYBER	15	33591	SLUZBY	\N	\N
432751	1470	1997-05-31	VYDAJ	VYBER	15	30900	SLUZBY	\N	\N
432752	1470	1997-06-30	VYDAJ	VYBER	15	26703	SLUZBY	\N	\N
432753	1470	1997-07-31	VYDAJ	VYBER	15	31486	SLUZBY	\N	\N
432754	1470	1997-08-31	VYDAJ	VYBER	15	34185	SLUZBY	\N	\N
432755	1470	1997-09-30	VYDAJ	VYBER	15	35294	SLUZBY	\N	\N
432756	1470	1997-10-31	VYDAJ	VYBER	15	29597	SLUZBY	\N	\N
432757	1470	1997-11-30	VYDAJ	VYBER	15	27279	SLUZBY	\N	\N
432758	1470	1997-12-31	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
432759	1470	1998-01-31	VYDAJ	VYBER	15	17531	SLUZBY	\N	\N
432760	1470	1998-02-28	VYDAJ	VYBER	15	22672	SLUZBY	\N	\N
432761	1470	1998-03-31	VYDAJ	VYBER	15	24131	SLUZBY	\N	\N
432762	1470	1998-04-30	VYDAJ	VYBER	15	23993	SLUZBY	\N	\N
432763	1470	1998-05-31	VYDAJ	VYBER	15	27861	SLUZBY	\N	\N
432764	1470	1998-06-30	VYDAJ	VYBER	15	34673	SLUZBY	\N	\N
432765	1470	1998-07-31	VYDAJ	VYBER	15	34076	SLUZBY	\N	\N
432766	1470	1998-08-31	VYDAJ	VYBER	15	36080	SLUZBY	\N	\N
432767	1470	1998-09-30	VYDAJ	VYBER	15	38895	SLUZBY	\N	\N
432768	1470	1998-10-31	VYDAJ	VYBER	15	43023	SLUZBY	\N	\N
432769	1470	1998-11-30	VYDAJ	VYBER	15	46465	SLUZBY	\N	\N
432770	1470	1994-03-12	PRIJEM	VKLAD	7300	20831	\N	\N	\N
432771	1470	1994-04-11	VYDAJ	VYBER	3100	30218	\N	\N	\N
432772	1470	1994-05-11	VYDAJ	VYBER	10800	31962	\N	\N	\N
432773	1470	1994-06-10	VYDAJ	VYBER	12900	37839	\N	\N	\N
432774	1470	1994-07-10	VYDAJ	VYBER	11600	38820	\N	\N	\N
432775	1470	1994-08-09	VYDAJ	VYBER	7600	36127	\N	\N	\N
432776	1470	1994-09-08	VYDAJ	VYBER	5600	26591	\N	\N	\N
432777	1470	1994-10-08	VYDAJ	VYBER	6800	28292	\N	\N	\N
432778	1470	1994-11-07	VYDAJ	VYBER	6600	30202	\N	\N	\N
432779	1470	1994-12-07	VYDAJ	VYBER	4800	33919	\N	\N	\N
432780	1470	1995-01-06	VYDAJ	VYBER	12700	34180	\N	\N	\N
432781	1470	1995-02-05	PRIJEM	VKLAD	1700	34301	\N	\N	\N
432782	1470	1995-03-07	VYDAJ	VYBER	3400	35113	\N	\N	\N
432783	1470	1995-04-06	VYDAJ	VYBER	9100	34548	\N	\N	\N
432784	1470	1995-05-06	VYDAJ	VYBER	7600	35486	\N	\N	\N
432785	1470	1995-06-05	PRIJEM	VKLAD	2700	20926	\N	\N	\N
432786	1470	1995-07-05	VYDAJ	VYBER	1100	34544	\N	\N	\N
432787	1470	1995-08-04	VYDAJ	VYBER	1900	36470	\N	\N	\N
432788	1470	1995-09-03	VYDAJ	VYBER	8200	36808	\N	\N	\N
432789	1470	1995-10-03	VYDAJ	VYBER	6300	39054	\N	\N	\N
432790	1470	1995-11-02	VYDAJ	VYBER	11100	36508	\N	\N	\N
432791	1470	1995-12-02	VYDAJ	VYBER	8900	35355	\N	\N	\N
432792	1470	1996-01-01	VYDAJ	VYBER	12800	35427	\N	\N	\N
432793	1470	1996-01-31	VYDAJ	VYBER	5100	33069	\N	\N	\N
432794	1470	1996-03-01	VYDAJ	VYBER	6500	35069	\N	\N	\N
432795	1470	1996-03-31	VYDAJ	VYBER	5100	38505	\N	\N	\N
432796	1470	1996-04-30	VYDAJ	VYBER	4500	38235	\N	\N	\N
432797	1470	1996-05-30	VYDAJ	VYBER	8500	38106	\N	\N	\N
432798	1470	1996-06-29	PRIJEM	VKLAD	2100	30155	\N	\N	\N
432799	1470	1996-07-29	VYDAJ	VYBER	1400	37276	\N	\N	\N
432800	1470	1996-08-28	VYDAJ	VYBER	7800	37979	\N	\N	\N
432801	1470	1996-09-27	VYDAJ	VYBER	2200	39607	\N	\N	\N
432802	1470	1996-10-27	VYDAJ	VYBER	9800	38321	\N	\N	\N
432803	1470	1996-11-26	VYDAJ	VYBER	8200	38657	\N	\N	\N
432804	1470	1996-12-26	VYDAJ	VYBER	10600	37102	\N	\N	\N
432805	1470	1997-01-25	VYDAJ	VYBER	5700	35338	\N	\N	\N
432806	1470	1997-02-24	VYDAJ	VYBER	6300	32855	\N	\N	\N
432807	1470	1997-03-26	VYDAJ	VYBER	9700	31654	\N	\N	\N
432808	1470	1997-04-25	VYDAJ	VYBER	6700	33459	\N	\N	\N
432809	1470	1997-05-25	VYDAJ	VYBER	5600	30762	\N	\N	\N
432810	1470	1997-06-24	VYDAJ	VYBER	8700	26586	\N	\N	\N
432811	1470	1997-07-24	VYDAJ	VYBER	3700	31374	\N	\N	\N
432812	1470	1997-08-23	VYDAJ	VYBER	5800	34057	\N	\N	\N
432813	1470	1997-09-22	VYDAJ	VYBER	7400	35156	\N	\N	\N
432814	1470	1997-10-22	VYDAJ	VYBER	14200	29465	\N	\N	\N
432815	1470	1997-11-21	VYDAJ	VYBER	9000	27168	\N	\N	\N
432816	1470	1997-12-21	VYDAJ	VYBER	11600	25165	\N	\N	\N
432817	1470	1998-01-20	VYDAJ	VYBER	11500	19648	\N	\N	\N
432818	1470	1998-02-19	VYDAJ	VYBER	3300	22602	\N	\N	\N
432819	1470	1998-03-21	VYDAJ	VYBER	7000	24043	\N	\N	\N
432820	1470	1998-04-20	VYDAJ	VYBER	8600	23902	\N	\N	\N
432821	1470	1998-05-20	VYDAJ	VYBER	2700	29664	\N	\N	\N
432822	1470	1998-06-19	VYDAJ	VYBER	3700	34547	\N	\N	\N
432823	1470	1998-07-19	VYDAJ	VYBER	9100	33944	\N	\N	\N
432824	1470	1998-08-18	VYDAJ	VYBER	6500	35947	\N	\N	\N
432825	1470	1998-09-17	VYDAJ	VYBER	2400	42051	\N	\N	\N
432826	1470	1998-10-17	VYDAJ	VYBER	4400	42866	\N	\N	\N
432827	1470	1998-11-16	VYDAJ	VYBER	5100	46294	\N	\N	\N
432886	1471	1996-07-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
432894	1471	1996-08-10	PRIJEM	VKLAD	18596	19596	\N	\N	\N
432895	1471	1996-09-10	PRIJEM	VKLAD	18596	39025	\N	\N	\N
432896	1471	1996-10-10	PRIJEM	VKLAD	18596	48922	\N	\N	\N
432897	1471	1996-11-10	PRIJEM	VKLAD	18596	54454	\N	\N	\N
432898	1471	1996-12-10	PRIJEM	VKLAD	27894	62895	\N	\N	\N
432899	1471	1997-01-10	PRIJEM	VKLAD	18596	41926	\N	\N	\N
432900	1471	1997-02-10	PRIJEM	VKLAD	18596	35198	\N	\N	\N
432901	1471	1997-03-10	PRIJEM	VKLAD	18596	38256	\N	\N	\N
432902	1471	1997-04-10	PRIJEM	VKLAD	18596	38924	\N	\N	\N
432903	1471	1997-05-10	PRIJEM	VKLAD	18596	32586	\N	\N	\N
432904	1471	1997-06-10	PRIJEM	VKLAD	27894	43031	\N	\N	\N
432905	1471	1997-07-10	PRIJEM	VKLAD	18596	33590	\N	\N	\N
432906	1471	1997-08-10	PRIJEM	VKLAD	18596	30428	\N	\N	\N
432907	1471	1997-09-10	PRIJEM	VKLAD	18596	30358	\N	\N	\N
432908	1471	1997-10-10	PRIJEM	VKLAD	18596	41011	\N	\N	\N
432909	1471	1997-11-10	PRIJEM	VKLAD	18596	31060	\N	\N	\N
432910	1471	1997-12-10	PRIJEM	VKLAD	27894	51014	\N	\N	\N
432911	1471	1998-01-10	PRIJEM	VKLAD	18596	33875	\N	\N	\N
432912	1471	1998-02-10	PRIJEM	VKLAD	18596	25495	\N	\N	\N
432913	1471	1998-03-10	PRIJEM	VKLAD	18596	23394	\N	\N	\N
432914	1471	1998-04-10	PRIJEM	VKLAD	18596	29907	\N	\N	\N
432915	1471	1998-05-10	PRIJEM	VKLAD	18596	40558	\N	\N	\N
432916	1471	1998-06-10	PRIJEM	VKLAD	27894	31875	\N	\N	\N
432917	1471	1998-07-10	PRIJEM	VKLAD	18596	42523	\N	\N	\N
432918	1471	1998-08-10	PRIJEM	VKLAD	18596	25248	\N	\N	\N
432919	1471	1998-09-10	PRIJEM	VKLAD	18596	32281	\N	\N	\N
432920	1471	1998-10-10	PRIJEM	VKLAD	18596	42946	\N	\N	\N
432921	1471	1998-11-10	PRIJEM	VKLAD	18596	49250	\N	\N	\N
432922	1471	1998-12-10	PRIJEM	VKLAD	27894	67180	\N	\N	\N
432934	1471	1996-12-13	VYDAJ	PREVOD NA UCET	7823	50784	SIPO	CD	85543155
432935	1471	1997-01-13	VYDAJ	PREVOD NA UCET	7823	31415	SIPO	CD	85543155
432936	1471	1997-02-13	VYDAJ	PREVOD NA UCET	7823	27187	SIPO	CD	85543155
432937	1471	1997-03-13	VYDAJ	PREVOD NA UCET	7823	30245	SIPO	CD	85543155
432938	1471	1997-04-13	VYDAJ	PREVOD NA UCET	7823	30913	SIPO	CD	85543155
432939	1471	1997-05-13	VYDAJ	PREVOD NA UCET	7823	24575	SIPO	CD	85543155
432940	1471	1997-06-13	VYDAJ	PREVOD NA UCET	7823	35020	SIPO	CD	85543155
432941	1471	1997-07-13	VYDAJ	PREVOD NA UCET	7823	25579	SIPO	CD	85543155
432942	1471	1997-08-13	VYDAJ	PREVOD NA UCET	7823	22417	SIPO	CD	85543155
432943	1471	1997-09-13	VYDAJ	PREVOD NA UCET	7823	22347	SIPO	CD	85543155
432944	1471	1997-10-13	VYDAJ	PREVOD NA UCET	7823	33000	SIPO	CD	85543155
432945	1471	1997-11-13	VYDAJ	PREVOD NA UCET	7823	23049	SIPO	CD	85543155
432946	1471	1997-12-13	VYDAJ	PREVOD NA UCET	7823	43003	SIPO	CD	85543155
432947	1471	1998-01-13	VYDAJ	PREVOD NA UCET	7823	6864	SIPO	CD	85543155
432948	1471	1998-02-13	VYDAJ	PREVOD NA UCET	7823	4784	SIPO	CD	85543155
432949	1471	1998-03-13	VYDAJ	PREVOD NA UCET	7823	11283	SIPO	CD	85543155
432950	1471	1998-04-13	VYDAJ	PREVOD NA UCET	7823	21896	SIPO	CD	85543155
432951	1471	1998-05-13	VYDAJ	PREVOD NA UCET	7823	3947	SIPO	CD	85543155
432952	1471	1998-06-13	VYDAJ	PREVOD NA UCET	7823	23864	SIPO	CD	85543155
432953	1471	1998-07-13	VYDAJ	PREVOD NA UCET	7823	6612	SIPO	CD	85543155
432954	1471	1998-08-13	VYDAJ	PREVOD NA UCET	7823	17237	SIPO	CD	85543155
432955	1471	1998-09-13	VYDAJ	PREVOD NA UCET	7823	24270	SIPO	CD	85543155
432956	1471	1998-10-13	VYDAJ	PREVOD NA UCET	7823	34935	SIPO	CD	85543155
432957	1471	1998-11-13	VYDAJ	PREVOD NA UCET	7823	41239	SIPO	CD	85543155
432958	1471	1998-12-13	VYDAJ	PREVOD NA UCET	7823	59169	SIPO	CD	85543155
432970	1471	1996-12-10	VYDAJ	PREVOD NA UCET	12	62707	 	YZ	17326855
432971	1471	1997-01-10	VYDAJ	PREVOD NA UCET	12	41738	 	YZ	17326855
432972	1471	1997-02-10	VYDAJ	PREVOD NA UCET	12	35010	 	YZ	17326855
432973	1471	1997-03-10	VYDAJ	PREVOD NA UCET	12	38244	 	YZ	17326855
432974	1471	1997-04-10	VYDAJ	PREVOD NA UCET	12	38736	 	YZ	17326855
432975	1471	1997-05-10	VYDAJ	PREVOD NA UCET	12	32398	 	YZ	17326855
432976	1471	1997-06-10	VYDAJ	PREVOD NA UCET	12	42843	 	YZ	17326855
432977	1471	1997-07-10	VYDAJ	PREVOD NA UCET	12	33578	 	YZ	17326855
432978	1471	1997-08-10	VYDAJ	PREVOD NA UCET	12	30416	 	YZ	17326855
432979	1471	1997-09-10	VYDAJ	PREVOD NA UCET	12	30170	 	YZ	17326855
432980	1471	1997-10-10	VYDAJ	PREVOD NA UCET	12	40823	 	YZ	17326855
432981	1471	1997-11-10	VYDAJ	PREVOD NA UCET	12	30872	 	YZ	17326855
432982	1471	1997-12-10	VYDAJ	PREVOD NA UCET	12	51002	 	YZ	17326855
432983	1471	1998-01-10	VYDAJ	PREVOD NA UCET	12	33863	 	YZ	17326855
432984	1471	1998-02-10	VYDAJ	PREVOD NA UCET	12	25483	 	YZ	17326855
432985	1471	1998-03-10	VYDAJ	PREVOD NA UCET	12	23206	 	YZ	17326855
432986	1471	1998-04-10	VYDAJ	PREVOD NA UCET	12	29719	 	YZ	17326855
432987	1471	1998-05-10	VYDAJ	PREVOD NA UCET	12	40370	 	YZ	17326855
432988	1471	1998-06-10	VYDAJ	PREVOD NA UCET	12	31863	 	YZ	17326855
432989	1471	1998-07-10	VYDAJ	PREVOD NA UCET	12	42511	 	YZ	17326855
432990	1471	1998-08-10	VYDAJ	PREVOD NA UCET	12	25236	 	YZ	17326855
432991	1471	1998-09-10	VYDAJ	PREVOD NA UCET	12	32093	 	YZ	17326855
432992	1471	1998-10-10	VYDAJ	PREVOD NA UCET	12	42758	 	YZ	17326855
432993	1471	1998-11-10	VYDAJ	PREVOD NA UCET	12	49238	 	YZ	17326855
432994	1471	1998-12-10	VYDAJ	PREVOD NA UCET	12	67168	 	YZ	17326855
433006	1471	1996-12-10	VYDAJ	PREVOD NA UCET	176	62719	POJISTNE	MN	59438282
433007	1471	1997-01-10	VYDAJ	PREVOD NA UCET	176	41750	POJISTNE	MN	59438282
433008	1471	1997-02-10	VYDAJ	PREVOD NA UCET	176	35022	POJISTNE	MN	59438282
433009	1471	1997-03-10	VYDAJ	PREVOD NA UCET	176	38068	POJISTNE	MN	59438282
433010	1471	1997-04-10	VYDAJ	PREVOD NA UCET	176	38748	POJISTNE	MN	59438282
433011	1471	1997-05-10	VYDAJ	PREVOD NA UCET	176	32410	POJISTNE	MN	59438282
433012	1471	1997-06-10	VYDAJ	PREVOD NA UCET	176	42855	POJISTNE	MN	59438282
433013	1471	1997-07-10	VYDAJ	PREVOD NA UCET	176	33402	POJISTNE	MN	59438282
433014	1471	1997-08-10	VYDAJ	PREVOD NA UCET	176	30240	POJISTNE	MN	59438282
433015	1471	1997-09-10	VYDAJ	PREVOD NA UCET	176	30182	POJISTNE	MN	59438282
433016	1471	1997-10-10	VYDAJ	PREVOD NA UCET	176	40835	POJISTNE	MN	59438282
433017	1471	1997-11-10	VYDAJ	PREVOD NA UCET	176	30884	POJISTNE	MN	59438282
433018	1471	1997-12-10	VYDAJ	PREVOD NA UCET	176	50826	POJISTNE	MN	59438282
433019	1471	1998-01-10	VYDAJ	PREVOD NA UCET	176	33687	POJISTNE	MN	59438282
433020	1471	1998-02-10	VYDAJ	PREVOD NA UCET	176	25307	POJISTNE	MN	59438282
433021	1471	1998-03-10	VYDAJ	PREVOD NA UCET	176	23218	POJISTNE	MN	59438282
433022	1471	1998-04-10	VYDAJ	PREVOD NA UCET	176	29731	POJISTNE	MN	59438282
433023	1471	1998-05-10	VYDAJ	PREVOD NA UCET	176	40382	POJISTNE	MN	59438282
433024	1471	1998-06-10	VYDAJ	PREVOD NA UCET	176	31687	POJISTNE	MN	59438282
433025	1471	1998-07-10	VYDAJ	PREVOD NA UCET	176	42335	POJISTNE	MN	59438282
433026	1471	1998-08-10	VYDAJ	PREVOD NA UCET	176	25060	POJISTNE	MN	59438282
433027	1471	1998-09-10	VYDAJ	PREVOD NA UCET	176	32105	POJISTNE	MN	59438282
433028	1471	1998-10-10	VYDAJ	PREVOD NA UCET	176	42770	POJISTNE	MN	59438282
433029	1471	1998-11-10	VYDAJ	PREVOD NA UCET	176	49062	POJISTNE	MN	59438282
433030	1471	1998-12-10	VYDAJ	PREVOD NA UCET	176	66992	POJISTNE	MN	59438282
433032	1471	1997-06-27	VYDAJ	VYBER	3500	14920	\N	\N	\N
433037	1471	1996-12-17	VYDAJ	VYBER	700	50084	\N	\N	\N
433038	1471	1997-12-19	VYDAJ	VYBER	1900	16003	\N	\N	\N
433039	1471	1998-12-03	VYDAJ	VYBER	2100	39286	\N	\N	\N
433046	1471	1997-01-06	VYDAJ	VYBER	2200	27530	\N	\N	\N
433047	1471	1997-01-09	VYDAJ	VYBER	1300	23330	\N	\N	\N
433048	1471	1997-01-03	VYDAJ	VYBER	2300	29730	\N	\N	\N
433049	1471	1997-01-11	VYDAJ	VYBER	2500	39238	\N	\N	\N
433050	1471	1997-01-15	VYDAJ	VYBER	2800	28615	\N	\N	\N
433051	1471	1997-01-06	VYDAJ	VYBER	2900	24630	\N	\N	\N
433055	1471	1998-01-05	VYDAJ	VYBER	800	15279	\N	\N	\N
433056	1471	1998-01-12	VYDAJ	VYBER	600	32087	\N	\N	\N
433057	1471	1998-01-11	VYDAJ	VYBER	1000	32687	\N	\N	\N
433060	1471	1996-12-11	VYDAJ	VYBER	4100	58607	\N	\N	\N
433063	1471	1997-05-04	VYDAJ	VYBER	2600	13990	\N	\N	\N
433064	1471	1997-04-22	VYDAJ	VYBER	1500	16513	\N	\N	\N
433065	1471	1997-06-20	VYDAJ	VYBER	1700	18420	\N	\N	\N
433069	1471	1998-10-29	VYDAJ	VYBER	4400	30535	\N	\N	\N
433070	1471	1998-09-04	VYDAJ	VYBER	3600	13685	\N	\N	\N
433071	1471	1998-03-11	VYDAJ	VYBER	4100	19106	\N	\N	\N
433084	1471	1996-12-31	VYDAJ	VYBER	15	32030	SLUZBY	\N	\N
433085	1471	1997-01-31	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
433086	1471	1997-02-28	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
433087	1471	1997-03-31	VYDAJ	VYBER	15	20328	SLUZBY	\N	\N
433088	1471	1997-04-30	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
433089	1471	1997-05-31	VYDAJ	VYBER	15	15137	SLUZBY	\N	\N
433090	1471	1997-06-30	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
433091	1471	1997-07-31	VYDAJ	VYBER	15	11832	SLUZBY	\N	\N
433092	1471	1997-08-31	VYDAJ	VYBER	15	11762	SLUZBY	\N	\N
433093	1471	1997-09-30	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
433094	1471	1997-10-31	VYDAJ	VYBER	15	12464	SLUZBY	\N	\N
433095	1471	1997-11-30	VYDAJ	VYBER	15	23120	SLUZBY	\N	\N
433096	1471	1997-12-31	VYDAJ	VYBER	15	16079	SLUZBY	\N	\N
433097	1471	1998-01-31	VYDAJ	VYBER	15	6899	SLUZBY	\N	\N
433098	1471	1998-02-28	VYDAJ	VYBER	15	4798	SLUZBY	\N	\N
433099	1471	1998-03-31	VYDAJ	VYBER	15	11311	SLUZBY	\N	\N
433100	1471	1998-04-30	VYDAJ	VYBER	15	21962	SLUZBY	\N	\N
433101	1471	1998-05-31	VYDAJ	VYBER	15	3981	SLUZBY	\N	\N
433102	1471	1998-06-30	VYDAJ	VYBER	15	23927	SLUZBY	\N	\N
433103	1471	1998-07-31	VYDAJ	VYBER	15	6652	SLUZBY	\N	\N
433104	1471	1998-08-31	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
433105	1471	1998-09-30	VYDAJ	VYBER	15	24350	SLUZBY	\N	\N
433106	1471	1998-10-31	VYDAJ	VYBER	15	30654	SLUZBY	\N	\N
433107	1471	1998-11-30	VYDAJ	VYBER	15	41386	SLUZBY	\N	\N
433108	1471	1996-08-20	PRIJEM	VKLAD	800	20396	\N	\N	\N
433109	1471	1996-09-19	VYDAJ	VYBER	8800	30225	\N	\N	\N
433110	1471	1996-10-19	VYDAJ	VYBER	13200	35722	\N	\N	\N
433111	1471	1996-11-18	VYDAJ	VYBER	19600	34854	\N	\N	\N
433112	1471	1996-12-18	VYDAJ	VYBER	18200	31884	\N	\N	\N
433113	1471	1997-01-17	VYDAJ	VYBER	12100	16515	\N	\N	\N
433114	1471	1997-02-16	VYDAJ	VYBER	7600	19587	\N	\N	\N
433115	1471	1997-03-18	VYDAJ	VYBER	10000	20245	\N	\N	\N
433116	1471	1997-04-17	VYDAJ	VYBER	12900	18013	\N	\N	\N
433117	1471	1997-05-17	VYDAJ	VYBER	9500	15075	\N	\N	\N
433118	1471	1997-06-16	VYDAJ	VYBER	14900	20120	\N	\N	\N
433119	1471	1997-07-16	VYDAJ	VYBER	13800	11779	\N	\N	\N
433120	1471	1997-08-15	VYDAJ	VYBER	10700	11717	\N	\N	\N
433121	1471	1997-10-14	VYDAJ	VYBER	20600	12400	\N	\N	\N
433122	1471	1997-12-13	VYDAJ	VYBER	25100	17903	\N	\N	\N
433123	1471	1998-01-12	VYDAJ	VYBER	17400	14687	\N	\N	\N
433124	1471	1998-02-11	VYDAJ	VYBER	12700	12607	\N	\N	\N
433125	1471	1998-05-12	VYDAJ	VYBER	28600	11770	\N	\N	\N
433126	1471	1998-07-11	VYDAJ	VYBER	27900	14435	\N	\N	\N
433156	1472	1995-07-20	PRIJEM	VKLAD	900	900	\N	\N	\N
433164	1472	1995-08-09	PRIJEM	VKLAD	8854	9754	\N	\N	\N
433165	1472	1995-09-09	PRIJEM	VKLAD	8854	27541	\N	\N	\N
433166	1472	1995-10-09	PRIJEM	VKLAD	8854	34585	\N	\N	\N
433167	1472	1995-11-09	PRIJEM	VKLAD	8854	41559	\N	\N	\N
433168	1472	1995-12-09	PRIJEM	VKLAD	13281	45475	\N	\N	\N
433169	1472	1996-01-09	PRIJEM	VKLAD	8854	43077	\N	\N	\N
433170	1472	1996-02-09	PRIJEM	VKLAD	8854	40453	\N	\N	\N
433171	1472	1996-03-09	PRIJEM	VKLAD	8854	40624	\N	\N	\N
433172	1472	1996-04-09	PRIJEM	VKLAD	8854	37990	\N	\N	\N
433173	1472	1996-05-09	PRIJEM	VKLAD	8854	34351	\N	\N	\N
433174	1472	1996-06-09	PRIJEM	VKLAD	13281	38728	\N	\N	\N
433175	1472	1996-07-09	PRIJEM	VKLAD	8854	38344	\N	\N	\N
433176	1472	1996-08-09	PRIJEM	VKLAD	8854	33743	\N	\N	\N
433177	1472	1996-09-09	PRIJEM	VKLAD	8854	35495	\N	\N	\N
433178	1472	1996-10-09	PRIJEM	VKLAD	8854	38552	\N	\N	\N
433179	1472	1996-11-09	PRIJEM	VKLAD	8854	41922	\N	\N	\N
433180	1472	1996-12-09	PRIJEM	VKLAD	13281	46726	\N	\N	\N
433181	1472	1997-01-09	PRIJEM	VKLAD	8854	37433	\N	\N	\N
433182	1472	1997-02-09	PRIJEM	VKLAD	8854	34080	\N	\N	\N
433183	1472	1997-03-09	PRIJEM	VKLAD	8854	32319	\N	\N	\N
433184	1472	1997-04-09	PRIJEM	VKLAD	8854	38271	\N	\N	\N
433185	1472	1997-05-09	PRIJEM	VKLAD	8854	39776	\N	\N	\N
433186	1472	1997-06-09	PRIJEM	VKLAD	13281	42163	\N	\N	\N
433187	1472	1997-07-09	PRIJEM	VKLAD	8854	42838	\N	\N	\N
433188	1472	1997-08-09	PRIJEM	VKLAD	8854	40620	\N	\N	\N
433189	1472	1997-09-09	PRIJEM	VKLAD	8854	40240	\N	\N	\N
433190	1472	1997-10-09	PRIJEM	VKLAD	8854	38718	\N	\N	\N
433191	1472	1997-11-09	PRIJEM	VKLAD	8854	32371	\N	\N	\N
433192	1472	1997-12-09	PRIJEM	VKLAD	13281	36850	\N	\N	\N
433193	1472	1998-01-09	PRIJEM	VKLAD	8854	31302	\N	\N	\N
433194	1472	1998-02-09	PRIJEM	VKLAD	8854	29048	\N	\N	\N
433195	1472	1998-03-09	PRIJEM	VKLAD	8854	26586	\N	\N	\N
433196	1472	1998-04-09	PRIJEM	VKLAD	8854	25533	\N	\N	\N
433197	1472	1998-05-09	PRIJEM	VKLAD	8854	27354	\N	\N	\N
433198	1472	1998-06-09	PRIJEM	VKLAD	13281	31705	\N	\N	\N
433199	1472	1998-07-09	PRIJEM	VKLAD	8854	27945	\N	\N	\N
433200	1472	1998-08-09	PRIJEM	VKLAD	8854	24879	\N	\N	\N
433201	1472	1998-09-09	PRIJEM	VKLAD	8854	23420	\N	\N	\N
433202	1472	1998-10-09	PRIJEM	VKLAD	8854	28532	\N	\N	\N
433203	1472	1998-11-09	PRIJEM	VKLAD	8854	34059	\N	\N	\N
433204	1472	1998-12-09	PRIJEM	VKLAD	13281	35455	\N	\N	\N
433216	1472	1995-12-11	VYDAJ	PREVOD NA UCET	3527	40668	SIPO	MN	39937996
433217	1472	1996-01-11	VYDAJ	PREVOD NA UCET	3527	39550	SIPO	MN	39937996
433218	1472	1996-02-11	VYDAJ	PREVOD NA UCET	3527	36926	SIPO	MN	39937996
433219	1472	1996-03-11	VYDAJ	PREVOD NA UCET	3527	37097	SIPO	MN	39937996
433220	1472	1996-04-11	VYDAJ	PREVOD NA UCET	3527	29303	SIPO	MN	39937996
433221	1472	1996-05-11	VYDAJ	PREVOD NA UCET	3527	30824	SIPO	MN	39937996
433222	1472	1996-06-11	VYDAJ	PREVOD NA UCET	3527	35201	SIPO	MN	39937996
433223	1472	1996-07-11	VYDAJ	PREVOD NA UCET	3527	34817	SIPO	MN	39937996
433224	1472	1996-08-11	VYDAJ	PREVOD NA UCET	3527	30216	SIPO	MN	39937996
433225	1472	1996-09-11	VYDAJ	PREVOD NA UCET	3527	31968	SIPO	MN	39937996
433226	1472	1996-10-11	VYDAJ	PREVOD NA UCET	3527	35025	SIPO	MN	39937996
433227	1472	1996-11-11	VYDAJ	PREVOD NA UCET	3527	38395	SIPO	MN	39937996
433228	1472	1996-12-11	VYDAJ	PREVOD NA UCET	3527	34199	SIPO	MN	39937996
433229	1472	1997-01-11	VYDAJ	PREVOD NA UCET	3527	28106	SIPO	MN	39937996
433230	1472	1997-02-11	VYDAJ	PREVOD NA UCET	3527	25753	SIPO	MN	39937996
433231	1472	1997-03-11	VYDAJ	PREVOD NA UCET	3527	31692	SIPO	MN	39937996
433232	1472	1997-04-11	VYDAJ	PREVOD NA UCET	3527	34744	SIPO	MN	39937996
433233	1472	1997-05-11	VYDAJ	PREVOD NA UCET	3527	31149	SIPO	MN	39937996
433234	1472	1997-06-11	VYDAJ	PREVOD NA UCET	3527	36236	SIPO	MN	39937996
433235	1472	1997-07-11	VYDAJ	PREVOD NA UCET	3527	36411	SIPO	MN	39937996
433236	1472	1997-08-11	VYDAJ	PREVOD NA UCET	3527	37093	SIPO	MN	39937996
433237	1472	1997-09-11	VYDAJ	PREVOD NA UCET	3527	36713	SIPO	MN	39937996
433238	1472	1997-10-11	VYDAJ	PREVOD NA UCET	3527	35191	SIPO	MN	39937996
433239	1472	1997-11-11	VYDAJ	PREVOD NA UCET	3527	28844	SIPO	MN	39937996
433240	1472	1997-12-11	VYDAJ	PREVOD NA UCET	3527	33323	SIPO	MN	39937996
433241	1472	1998-01-11	VYDAJ	PREVOD NA UCET	3527	27775	SIPO	MN	39937996
433242	1472	1998-02-11	VYDAJ	PREVOD NA UCET	3527	25521	SIPO	MN	39937996
433243	1472	1998-03-11	VYDAJ	PREVOD NA UCET	3527	23059	SIPO	MN	39937996
433244	1472	1998-04-11	VYDAJ	PREVOD NA UCET	3527	22006	SIPO	MN	39937996
433245	1472	1998-05-11	VYDAJ	PREVOD NA UCET	3527	23827	SIPO	MN	39937996
433246	1472	1998-06-11	VYDAJ	PREVOD NA UCET	3527	28178	SIPO	MN	39937996
433247	1472	1998-07-11	VYDAJ	PREVOD NA UCET	3527	24418	SIPO	MN	39937996
433248	1472	1998-08-11	VYDAJ	PREVOD NA UCET	3527	21352	SIPO	MN	39937996
433249	1472	1998-09-11	VYDAJ	PREVOD NA UCET	3527	19893	SIPO	MN	39937996
433250	1472	1998-10-11	VYDAJ	PREVOD NA UCET	3527	25005	SIPO	MN	39937996
433251	1472	1998-11-11	VYDAJ	PREVOD NA UCET	3527	30532	SIPO	MN	39937996
433252	1472	1998-12-11	VYDAJ	PREVOD NA UCET	3527	31928	SIPO	MN	39937996
433264	1472	1995-12-12	VYDAJ	PREVOD NA UCET	2375	38293	 	OP	3332001
433265	1472	1996-01-12	VYDAJ	PREVOD NA UCET	2375	37175	 	OP	3332001
433266	1472	1996-02-12	VYDAJ	PREVOD NA UCET	2375	34551	 	OP	3332001
433267	1472	1996-03-12	VYDAJ	PREVOD NA UCET	2375	34722	 	OP	3332001
433268	1472	1996-04-12	VYDAJ	PREVOD NA UCET	2375	26928	 	OP	3332001
433269	1472	1996-05-12	VYDAJ	PREVOD NA UCET	2375	28449	 	OP	3332001
433270	1472	1996-06-12	VYDAJ	PREVOD NA UCET	2375	32826	 	OP	3332001
433374	1472	1995-08-19	PRIJEM	VKLAD	8900	18654	\N	\N	\N
433271	1472	1996-07-12	VYDAJ	PREVOD NA UCET	2375	32442	 	OP	3332001
433272	1472	1996-08-12	VYDAJ	PREVOD NA UCET	2375	27841	 	OP	3332001
433273	1472	1996-09-12	VYDAJ	PREVOD NA UCET	2375	29593	 	OP	3332001
433274	1472	1996-10-12	VYDAJ	PREVOD NA UCET	2375	32950	 	OP	3332001
433275	1472	1996-11-12	VYDAJ	PREVOD NA UCET	2375	33320	 	OP	3332001
433276	1472	1996-12-12	VYDAJ	PREVOD NA UCET	2375	31824	 	OP	3332001
433277	1472	1997-01-12	VYDAJ	PREVOD NA UCET	2375	25731	 	OP	3332001
433278	1472	1997-02-12	VYDAJ	PREVOD NA UCET	2375	23378	 	OP	3332001
433279	1472	1997-03-12	VYDAJ	PREVOD NA UCET	2375	29317	 	OP	3332001
433280	1472	1997-04-12	VYDAJ	PREVOD NA UCET	2375	32369	 	OP	3332001
433281	1472	1997-05-12	VYDAJ	PREVOD NA UCET	2375	28774	 	OP	3332001
433282	1472	1997-06-12	VYDAJ	PREVOD NA UCET	2375	33861	 	OP	3332001
433283	1472	1997-07-12	VYDAJ	PREVOD NA UCET	2375	34036	 	OP	3332001
433284	1472	1997-08-12	VYDAJ	PREVOD NA UCET	2375	34718	 	OP	3332001
433285	1472	1997-09-12	VYDAJ	PREVOD NA UCET	2375	34338	 	OP	3332001
433286	1472	1997-10-12	VYDAJ	PREVOD NA UCET	2375	32816	 	OP	3332001
433287	1472	1997-11-12	VYDAJ	PREVOD NA UCET	2375	26469	 	OP	3332001
433288	1472	1997-12-12	VYDAJ	PREVOD NA UCET	2375	30948	 	OP	3332001
433289	1472	1998-01-12	VYDAJ	PREVOD NA UCET	2375	25400	 	OP	3332001
433290	1472	1998-02-12	VYDAJ	PREVOD NA UCET	2375	23146	 	OP	3332001
433291	1472	1998-03-12	VYDAJ	PREVOD NA UCET	2375	20684	 	OP	3332001
433292	1472	1998-04-12	VYDAJ	PREVOD NA UCET	2375	19631	 	OP	3332001
433293	1472	1998-05-12	VYDAJ	PREVOD NA UCET	2375	20852	 	OP	3332001
433294	1472	1998-06-12	VYDAJ	PREVOD NA UCET	2375	25803	 	OP	3332001
433295	1472	1998-07-12	VYDAJ	PREVOD NA UCET	2375	22043	 	OP	3332001
433296	1472	1998-08-12	VYDAJ	PREVOD NA UCET	2375	18977	 	OP	3332001
433297	1472	1998-09-12	VYDAJ	PREVOD NA UCET	2375	17518	 	OP	3332001
433298	1472	1998-10-12	VYDAJ	PREVOD NA UCET	2375	22630	 	OP	3332001
433299	1472	1998-11-12	VYDAJ	PREVOD NA UCET	2375	28157	 	OP	3332001
433300	1472	1998-12-12	VYDAJ	PREVOD NA UCET	2375	29553	 	OP	3332001
433301	1472	1995-12-10	VYDAJ	VYBER	1280	44195	\N	\N	\N
433302	1472	1996-12-21	VYDAJ	VYBER	3360	28464	\N	\N	\N
433303	1472	1997-12-23	VYDAJ	VYBER	1440	26148	\N	\N	\N
433304	1472	1998-12-04	VYDAJ	VYBER	4480	22174	\N	\N	\N
433311	1472	1996-04-09	VYDAJ	VYBER	4080	33910	\N	\N	\N
433312	1472	1996-04-30	VYDAJ	VYBER	1800	27537	\N	\N	\N
433313	1472	1996-05-07	VYDAJ	VYBER	2040	25497	\N	\N	\N
433314	1472	1996-08-05	VYDAJ	VYBER	3360	24889	\N	\N	\N
433315	1472	1996-04-11	VYDAJ	VYBER	1080	32830	\N	\N	\N
433316	1472	1996-06-15	VYDAJ	VYBER	1440	29386	\N	\N	\N
433317	1472	1997-12-01	VYDAJ	VYBER	1800	24769	\N	\N	\N
433318	1472	1997-04-14	VYDAJ	VYBER	1560	30809	\N	\N	\N
433319	1472	1997-10-25	VYDAJ	VYBER	3720	29096	\N	\N	\N
433320	1472	1997-08-28	VYDAJ	VYBER	4560	30158	\N	\N	\N
433321	1472	1997-01-13	VYDAJ	VYBER	600	25131	\N	\N	\N
433322	1472	1997-12-15	VYDAJ	VYBER	3360	27588	\N	\N	\N
433323	1472	1998-09-08	VYDAJ	VYBER	2280	14566	\N	\N	\N
433324	1472	1998-05-11	VYDAJ	VYBER	600	23227	\N	\N	\N
433325	1472	1998-04-08	VYDAJ	VYBER	5880	16679	\N	\N	\N
433338	1472	1995-12-31	VYDAJ	VYBER	15	34223	SLUZBY	\N	\N
433339	1472	1996-01-31	VYDAJ	VYBER	15	31599	SLUZBY	\N	\N
433340	1472	1996-02-29	VYDAJ	VYBER	15	31770	SLUZBY	\N	\N
433341	1472	1996-03-31	VYDAJ	VYBER	15	29136	SLUZBY	\N	\N
433342	1472	1996-04-30	VYDAJ	VYBER	15	29337	SLUZBY	\N	\N
433343	1472	1996-05-31	VYDAJ	VYBER	15	25447	SLUZBY	\N	\N
433344	1472	1996-06-30	VYDAJ	VYBER	15	29490	SLUZBY	\N	\N
433345	1472	1996-07-31	VYDAJ	VYBER	15	28249	SLUZBY	\N	\N
433346	1472	1996-08-31	VYDAJ	VYBER	15	26641	SLUZBY	\N	\N
433347	1472	1996-09-30	VYDAJ	VYBER	15	29698	SLUZBY	\N	\N
433348	1472	1996-10-31	VYDAJ	VYBER	15	33068	SLUZBY	\N	\N
433349	1472	1996-11-30	VYDAJ	VYBER	15	33445	SLUZBY	\N	\N
433350	1472	1996-12-31	VYDAJ	VYBER	15	28579	SLUZBY	\N	\N
433351	1472	1997-01-31	VYDAJ	VYBER	15	25226	SLUZBY	\N	\N
433352	1472	1997-02-28	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
433353	1472	1997-03-31	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
433354	1472	1997-04-30	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
433355	1472	1997-05-31	VYDAJ	VYBER	15	28882	SLUZBY	\N	\N
433356	1472	1997-06-30	VYDAJ	VYBER	15	33984	SLUZBY	\N	\N
433357	1472	1997-07-31	VYDAJ	VYBER	15	34166	SLUZBY	\N	\N
433358	1472	1997-08-31	VYDAJ	VYBER	15	30286	SLUZBY	\N	\N
433359	1472	1997-09-30	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
433360	1472	1997-10-31	VYDAJ	VYBER	15	29217	SLUZBY	\N	\N
433361	1472	1997-11-30	VYDAJ	VYBER	15	26569	SLUZBY	\N	\N
433362	1472	1997-12-31	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
433363	1472	1998-01-31	VYDAJ	VYBER	15	25494	SLUZBY	\N	\N
433364	1472	1998-02-28	VYDAJ	VYBER	15	23232	SLUZBY	\N	\N
433365	1472	1998-03-31	VYDAJ	VYBER	15	20759	SLUZBY	\N	\N
433366	1472	1998-04-30	VYDAJ	VYBER	15	19700	SLUZBY	\N	\N
433367	1472	1998-05-31	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
433368	1472	1998-06-30	VYDAJ	VYBER	15	25891	SLUZBY	\N	\N
433369	1472	1998-07-31	VYDAJ	VYBER	15	22125	SLUZBY	\N	\N
433370	1472	1998-08-31	VYDAJ	VYBER	15	19046	SLUZBY	\N	\N
433371	1472	1998-09-30	VYDAJ	VYBER	15	17578	SLUZBY	\N	\N
433372	1472	1998-10-31	VYDAJ	VYBER	15	22705	SLUZBY	\N	\N
433373	1472	1998-11-30	VYDAJ	VYBER	15	28254	SLUZBY	\N	\N
433375	1472	1995-09-18	VYDAJ	VYBER	1900	25641	\N	\N	\N
433376	1472	1995-10-18	VYDAJ	VYBER	2000	32585	\N	\N	\N
433377	1472	1995-11-17	VYDAJ	VYBER	9500	32059	\N	\N	\N
433378	1472	1995-12-17	VYDAJ	VYBER	4200	34093	\N	\N	\N
433379	1472	1996-01-16	VYDAJ	VYBER	5700	31475	\N	\N	\N
433380	1472	1996-02-15	VYDAJ	VYBER	2900	31651	\N	\N	\N
433381	1472	1996-03-16	VYDAJ	VYBER	5700	29022	\N	\N	\N
433382	1472	1996-04-15	PRIJEM	VKLAD	2300	29228	\N	\N	\N
433383	1472	1996-05-15	VYDAJ	VYBER	3100	25349	\N	\N	\N
433384	1472	1996-06-14	VYDAJ	VYBER	2000	30826	\N	\N	\N
433385	1472	1996-07-14	VYDAJ	VYBER	4300	28142	\N	\N	\N
433386	1472	1996-08-13	VYDAJ	VYBER	1300	26541	\N	\N	\N
433387	1472	1996-10-12	PRIJEM	VKLAD	300	35325	\N	\N	\N
433388	1472	1996-11-11	VYDAJ	VYBER	2700	35695	\N	\N	\N
433389	1472	1996-12-11	VYDAJ	VYBER	9000	37726	\N	\N	\N
433390	1472	1997-01-10	VYDAJ	VYBER	5800	31633	\N	\N	\N
433391	1472	1997-02-09	VYDAJ	VYBER	4800	29280	\N	\N	\N
433392	1472	1997-03-11	PRIJEM	VKLAD	2900	35219	\N	\N	\N
433393	1472	1997-05-10	VYDAJ	VYBER	5100	34676	\N	\N	\N
433394	1472	1997-06-09	VYDAJ	VYBER	2400	39763	\N	\N	\N
433395	1472	1997-07-09	VYDAJ	VYBER	2900	39938	\N	\N	\N
433396	1472	1997-08-08	VYDAJ	VYBER	2400	31766	\N	\N	\N
433397	1472	1997-09-07	PRIJEM	VKLAD	1100	31386	\N	\N	\N
433398	1472	1997-10-07	VYDAJ	VYBER	4600	29864	\N	\N	\N
433399	1472	1997-11-06	VYDAJ	VYBER	5700	23517	\N	\N	\N
433400	1472	1997-12-06	VYDAJ	VYBER	1200	23569	\N	\N	\N
433401	1472	1998-01-05	VYDAJ	VYBER	3800	22448	\N	\N	\N
433402	1472	1998-02-04	VYDAJ	VYBER	5300	20194	\N	\N	\N
433403	1472	1998-03-06	VYDAJ	VYBER	5500	17732	\N	\N	\N
433404	1472	1998-04-05	PRIJEM	VKLAD	1800	22559	\N	\N	\N
433405	1472	1998-05-05	VYDAJ	VYBER	1200	18500	\N	\N	\N
433406	1472	1998-06-04	VYDAJ	VYBER	2500	18424	\N	\N	\N
433407	1472	1998-07-04	VYDAJ	VYBER	6800	19091	\N	\N	\N
433408	1472	1998-08-03	VYDAJ	VYBER	6100	16025	\N	\N	\N
433409	1472	1998-09-02	VYDAJ	VYBER	2200	16846	\N	\N	\N
433410	1472	1998-10-02	PRIJEM	VKLAD	2100	19678	\N	\N	\N
433411	1472	1998-11-01	PRIJEM	VKLAD	2500	25205	\N	\N	\N
433412	1472	1998-12-01	VYDAJ	VYBER	1600	26654	\N	\N	\N
433454	1473	1996-04-16	PRIJEM	VKLAD	600	600	\N	\N	\N
433459	1473	1996-05-08	PRIJEM	PREVOD Z UCTU	2976	3576	\N	ST	45224928
433460	1473	1996-06-08	PRIJEM	PREVOD Z UCTU	2976	6552	\N	ST	45224928
433461	1473	1996-07-08	PRIJEM	PREVOD Z UCTU	2976	9528	\N	ST	45224928
433462	1473	1996-08-08	PRIJEM	PREVOD Z UCTU	2976	12504	\N	ST	45224928
433463	1473	1996-09-08	PRIJEM	PREVOD Z UCTU	2976	15480	\N	ST	45224928
433464	1473	1996-10-08	PRIJEM	PREVOD Z UCTU	2976	15088	\N	ST	45224928
433465	1473	1996-11-08	PRIJEM	PREVOD Z UCTU	2976	16128	\N	ST	45224928
433466	1473	1996-12-08	PRIJEM	PREVOD Z UCTU	2976	16541	\N	ST	45224928
433467	1473	1997-01-08	PRIJEM	PREVOD Z UCTU	2976	15397	\N	ST	45224928
433468	1473	1997-02-08	PRIJEM	PREVOD Z UCTU	2976	13825	\N	ST	45224928
433469	1473	1997-03-08	PRIJEM	PREVOD Z UCTU	2976	14409	\N	ST	45224928
433470	1473	1997-04-08	PRIJEM	PREVOD Z UCTU	2976	15445	\N	ST	45224928
433471	1473	1997-05-08	PRIJEM	PREVOD Z UCTU	2976	16486	\N	ST	45224928
433472	1473	1997-06-08	PRIJEM	PREVOD Z UCTU	2976	16119	\N	ST	45224928
433473	1473	1997-07-08	PRIJEM	PREVOD Z UCTU	2976	15269	\N	ST	45224928
433474	1473	1997-08-08	PRIJEM	PREVOD Z UCTU	2976	16309	\N	ST	45224928
433475	1473	1997-09-08	PRIJEM	PREVOD Z UCTU	2976	17354	\N	ST	45224928
433476	1473	1997-10-08	PRIJEM	PREVOD Z UCTU	2976	18402	\N	ST	45224928
433477	1473	1997-11-08	PRIJEM	PREVOD Z UCTU	2976	19455	\N	ST	45224928
433478	1473	1997-12-08	PRIJEM	PREVOD Z UCTU	2976	20513	\N	ST	45224928
433479	1473	1998-01-08	PRIJEM	PREVOD Z UCTU	2976	19982	\N	ST	45224928
433480	1473	1998-02-08	PRIJEM	PREVOD Z UCTU	2976	17553	\N	ST	45224928
433481	1473	1998-03-08	PRIJEM	PREVOD Z UCTU	2976	18603	\N	ST	45224928
433482	1473	1998-04-08	PRIJEM	PREVOD Z UCTU	2976	19657	\N	ST	45224928
433483	1473	1998-05-08	PRIJEM	PREVOD Z UCTU	2976	20715	\N	ST	45224928
433484	1473	1998-06-08	PRIJEM	PREVOD Z UCTU	2976	21537	\N	ST	45224928
433485	1473	1998-07-08	PRIJEM	PREVOD Z UCTU	2976	15775	\N	ST	45224928
433486	1473	1998-08-08	PRIJEM	PREVOD Z UCTU	2976	16486	\N	ST	45224928
433487	1473	1998-09-08	PRIJEM	PREVOD Z UCTU	2976	17531	\N	ST	45224928
433488	1473	1998-10-08	PRIJEM	PREVOD Z UCTU	2976	18580	\N	ST	45224928
433489	1473	1998-11-08	PRIJEM	PREVOD Z UCTU	2976	19634	\N	ST	45224928
433490	1473	1998-12-08	PRIJEM	PREVOD Z UCTU	2976	20122	\N	ST	45224928
433500	1473	1996-10-06	VYDAJ	PREVOD NA UCET	1984	12112	SIPO	QR	28500956
433501	1473	1996-11-06	VYDAJ	PREVOD NA UCET	1984	13152	SIPO	QR	28500956
433502	1473	1996-12-06	VYDAJ	PREVOD NA UCET	1984	14195	SIPO	QR	28500956
433503	1473	1997-01-06	VYDAJ	PREVOD NA UCET	1984	12421	SIPO	QR	28500956
433504	1473	1997-02-06	VYDAJ	PREVOD NA UCET	1984	10849	SIPO	QR	28500956
433505	1473	1997-03-06	VYDAJ	PREVOD NA UCET	1984	11433	SIPO	QR	28500956
433506	1473	1997-04-06	VYDAJ	PREVOD NA UCET	1984	12469	SIPO	QR	28500956
433507	1473	1997-05-06	VYDAJ	PREVOD NA UCET	1984	13510	SIPO	QR	28500956
433508	1473	1997-06-06	VYDAJ	PREVOD NA UCET	1984	13143	SIPO	QR	28500956
433509	1473	1997-07-06	VYDAJ	PREVOD NA UCET	1984	12293	SIPO	QR	28500956
433510	1473	1997-08-06	VYDAJ	PREVOD NA UCET	1984	13333	SIPO	QR	28500956
433511	1473	1997-09-06	VYDAJ	PREVOD NA UCET	1984	14378	SIPO	QR	28500956
433512	1473	1997-10-06	VYDAJ	PREVOD NA UCET	1984	15426	SIPO	QR	28500956
433513	1473	1997-11-06	VYDAJ	PREVOD NA UCET	1984	16479	SIPO	QR	28500956
433514	1473	1997-12-06	VYDAJ	PREVOD NA UCET	1984	17537	SIPO	QR	28500956
433515	1473	1998-01-06	VYDAJ	PREVOD NA UCET	1984	17006	SIPO	QR	28500956
433516	1473	1998-02-06	VYDAJ	PREVOD NA UCET	1984	14577	SIPO	QR	28500956
433517	1473	1998-03-06	VYDAJ	PREVOD NA UCET	1984	15627	SIPO	QR	28500956
433518	1473	1998-04-06	VYDAJ	PREVOD NA UCET	1984	16681	SIPO	QR	28500956
433519	1473	1998-05-06	VYDAJ	PREVOD NA UCET	1984	17739	SIPO	QR	28500956
433520	1473	1998-06-06	VYDAJ	PREVOD NA UCET	1984	18561	SIPO	QR	28500956
433521	1473	1998-07-06	VYDAJ	PREVOD NA UCET	1984	12799	SIPO	QR	28500956
433522	1473	1998-08-06	VYDAJ	PREVOD NA UCET	1984	13510	SIPO	QR	28500956
433523	1473	1998-09-06	VYDAJ	PREVOD NA UCET	1984	14555	SIPO	QR	28500956
433524	1473	1998-10-06	VYDAJ	PREVOD NA UCET	1984	15604	SIPO	QR	28500956
433525	1473	1998-11-06	VYDAJ	PREVOD NA UCET	1984	16658	SIPO	QR	28500956
433526	1473	1998-12-06	VYDAJ	PREVOD NA UCET	1984	17146	SIPO	QR	28500956
433528	1473	1997-06-20	VYDAJ	VYBER	1890	14229	\N	\N	\N
433529	1473	1998-06-13	VYDAJ	VYBER	6330	14727	\N	\N	\N
433531	1473	1997-01-24	VYDAJ	VYBER	2370	13027	\N	\N	\N
433532	1473	1998-01-20	VYDAJ	VYBER	390	17342	\N	\N	\N
433533	1473	1996-12-07	VYDAJ	VYBER	630	13565	\N	\N	\N
433534	1473	1997-12-09	VYDAJ	VYBER	810	19703	\N	\N	\N
433535	1473	1998-12-05	VYDAJ	VYBER	570	19130	\N	\N	\N
433542	1473	1997-01-01	VYDAJ	VYBER	570	16025	\N	\N	\N
433543	1473	1997-01-03	VYDAJ	VYBER	660	15215	\N	\N	\N
433544	1473	1997-01-26	VYDAJ	VYBER	240	12787	\N	\N	\N
433545	1473	1997-01-01	VYDAJ	VYBER	150	15875	\N	\N	\N
433546	1473	1997-01-05	VYDAJ	VYBER	810	14405	\N	\N	\N
433548	1473	1998-01-11	VYDAJ	VYBER	570	17732	\N	\N	\N
433549	1473	1998-01-09	VYDAJ	VYBER	600	18722	\N	\N	\N
433550	1473	1998-01-10	VYDAJ	VYBER	420	18302	\N	\N	\N
433551	1473	1998-01-08	VYDAJ	VYBER	660	19322	\N	\N	\N
433552	1473	1998-01-04	VYDAJ	VYBER	780	18990	\N	\N	\N
433553	1473	1998-01-25	VYDAJ	VYBER	840	16502	\N	\N	\N
433556	1473	1996-09-10	VYDAJ	VYBER	1410	14070	\N	\N	\N
433557	1473	1997-05-21	VYDAJ	VYBER	870	15076	\N	\N	\N
433558	1473	1997-05-11	VYDAJ	VYBER	390	16096	\N	\N	\N
433559	1473	1997-05-21	VYDAJ	VYBER	150	15946	\N	\N	\N
433560	1473	1997-03-05	VYDAJ	VYBER	450	13417	\N	\N	\N
433561	1473	1998-07-08	VYDAJ	VYBER	330	15445	\N	\N	\N
433562	1473	1998-05-11	VYDAJ	VYBER	240	20475	\N	\N	\N
433563	1473	1998-06-10	VYDAJ	VYBER	480	21057	\N	\N	\N
433573	1473	1996-09-30	VYDAJ	VYBER	15	14096	SLUZBY	\N	\N
433574	1473	1996-10-31	VYDAJ	VYBER	15	15136	SLUZBY	\N	\N
433575	1473	1996-11-30	VYDAJ	VYBER	15	16179	SLUZBY	\N	\N
433576	1473	1996-12-31	VYDAJ	VYBER	15	16595	SLUZBY	\N	\N
433577	1473	1997-01-31	VYDAJ	VYBER	15	12833	SLUZBY	\N	\N
433578	1473	1997-02-28	VYDAJ	VYBER	15	13867	SLUZBY	\N	\N
433579	1473	1997-03-31	VYDAJ	VYBER	15	14453	SLUZBY	\N	\N
433580	1473	1997-04-30	VYDAJ	VYBER	15	15494	SLUZBY	\N	\N
433581	1473	1997-05-31	VYDAJ	VYBER	15	15127	SLUZBY	\N	\N
433582	1473	1997-06-30	VYDAJ	VYBER	15	14277	SLUZBY	\N	\N
433583	1473	1997-07-31	VYDAJ	VYBER	15	15317	SLUZBY	\N	\N
433584	1473	1997-08-31	VYDAJ	VYBER	15	16362	SLUZBY	\N	\N
433585	1473	1997-09-30	VYDAJ	VYBER	15	17410	SLUZBY	\N	\N
433586	1473	1997-10-31	VYDAJ	VYBER	15	18463	SLUZBY	\N	\N
433587	1473	1997-11-30	VYDAJ	VYBER	15	19521	SLUZBY	\N	\N
433588	1473	1997-12-31	VYDAJ	VYBER	15	19770	SLUZBY	\N	\N
433589	1473	1998-01-31	VYDAJ	VYBER	15	16561	SLUZBY	\N	\N
433590	1473	1998-02-28	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
433591	1473	1998-03-31	VYDAJ	VYBER	15	18665	SLUZBY	\N	\N
433592	1473	1998-04-30	VYDAJ	VYBER	15	19723	SLUZBY	\N	\N
433593	1473	1998-05-31	VYDAJ	VYBER	15	20545	SLUZBY	\N	\N
433594	1473	1998-06-30	VYDAJ	VYBER	15	14783	SLUZBY	\N	\N
433595	1473	1998-07-31	VYDAJ	VYBER	15	15494	SLUZBY	\N	\N
433596	1473	1998-08-31	VYDAJ	VYBER	15	16539	SLUZBY	\N	\N
433597	1473	1998-09-30	VYDAJ	VYBER	15	17588	SLUZBY	\N	\N
433598	1473	1998-10-31	VYDAJ	VYBER	15	18642	SLUZBY	\N	\N
433599	1473	1998-11-30	VYDAJ	VYBER	15	19700	SLUZBY	\N	\N
433628	1474	1996-09-14	PRIJEM	VKLAD	900	900	\N	\N	\N
433638	1474	1996-10-06	PRIJEM	PREVOD Z UCTU	4043	4943	DUCHOD	EF	46455472
433639	1474	1996-11-06	PRIJEM	PREVOD Z UCTU	4043	8986	DUCHOD	EF	46455472
433640	1474	1996-12-06	PRIJEM	PREVOD Z UCTU	4043	13029	DUCHOD	EF	46455472
433641	1474	1997-01-06	PRIJEM	PREVOD Z UCTU	4043	17072	DUCHOD	EF	46455472
433642	1474	1997-02-06	PRIJEM	PREVOD Z UCTU	4043	21115	DUCHOD	EF	46455472
433643	1474	1997-03-06	PRIJEM	PREVOD Z UCTU	4043	22511	DUCHOD	EF	46455472
433644	1474	1997-04-06	PRIJEM	PREVOD Z UCTU	4043	22167	DUCHOD	EF	46455472
433645	1474	1997-05-06	PRIJEM	PREVOD Z UCTU	4043	23581	DUCHOD	EF	46455472
433646	1474	1997-06-06	PRIJEM	PREVOD Z UCTU	4043	24200	DUCHOD	EF	46455472
433647	1474	1997-07-06	PRIJEM	PREVOD Z UCTU	4043	23315	DUCHOD	EF	46455472
433648	1474	1997-08-06	PRIJEM	PREVOD Z UCTU	4043	24734	DUCHOD	EF	46455472
433649	1474	1997-09-06	PRIJEM	PREVOD Z UCTU	4043	21197	DUCHOD	EF	46455472
433650	1474	1997-10-06	PRIJEM	PREVOD Z UCTU	4043	22617	DUCHOD	EF	46455472
433651	1474	1997-11-06	PRIJEM	PREVOD Z UCTU	4043	22113	DUCHOD	EF	46455472
433652	1474	1997-12-06	PRIJEM	PREVOD Z UCTU	4043	23528	DUCHOD	EF	46455472
433653	1474	1998-01-06	PRIJEM	PREVOD Z UCTU	4043	22567	DUCHOD	EF	46455472
433654	1474	1998-02-06	PRIJEM	PREVOD Z UCTU	4043	17092	DUCHOD	EF	46455472
433655	1474	1998-03-06	PRIJEM	PREVOD Z UCTU	4043	18493	DUCHOD	EF	46455472
433656	1474	1998-04-06	PRIJEM	PREVOD Z UCTU	4043	19891	DUCHOD	EF	46455472
433657	1474	1998-05-06	PRIJEM	PREVOD Z UCTU	4043	21295	DUCHOD	EF	46455472
433658	1474	1998-06-06	PRIJEM	PREVOD Z UCTU	4043	22714	DUCHOD	EF	46455472
433659	1474	1998-07-06	PRIJEM	PREVOD Z UCTU	4043	22605	DUCHOD	EF	46455472
433660	1474	1998-08-06	PRIJEM	PREVOD Z UCTU	4043	24020	DUCHOD	EF	46455472
433661	1474	1998-09-06	PRIJEM	PREVOD Z UCTU	4043	22962	DUCHOD	EF	46455472
433662	1474	1998-10-06	PRIJEM	PREVOD Z UCTU	4043	21379	DUCHOD	EF	46455472
433663	1474	1998-11-06	PRIJEM	PREVOD Z UCTU	4043	22790	DUCHOD	EF	46455472
433664	1474	1998-12-06	PRIJEM	PREVOD Z UCTU	4043	24215	DUCHOD	EF	46455472
433678	1474	1997-02-06	VYDAJ	PREVOD NA UCET	2695	18420	SIPO	IJ	16386759
433679	1474	1997-03-06	VYDAJ	PREVOD NA UCET	2695	19816	SIPO	IJ	16386759
433680	1474	1997-04-06	VYDAJ	PREVOD NA UCET	2695	19472	SIPO	IJ	16386759
433681	1474	1997-05-06	VYDAJ	PREVOD NA UCET	2695	20886	SIPO	IJ	16386759
433682	1474	1997-06-06	VYDAJ	PREVOD NA UCET	2695	21505	SIPO	IJ	16386759
433683	1474	1997-07-06	VYDAJ	PREVOD NA UCET	2695	20620	SIPO	IJ	16386759
433684	1474	1997-08-06	VYDAJ	PREVOD NA UCET	2695	22039	SIPO	IJ	16386759
433685	1474	1997-09-06	VYDAJ	PREVOD NA UCET	2695	18502	SIPO	IJ	16386759
433686	1474	1997-10-06	VYDAJ	PREVOD NA UCET	2695	19922	SIPO	IJ	16386759
433687	1474	1997-11-06	VYDAJ	PREVOD NA UCET	2695	19418	SIPO	IJ	16386759
433688	1474	1997-12-06	VYDAJ	PREVOD NA UCET	2695	20833	SIPO	IJ	16386759
433689	1474	1998-01-06	VYDAJ	PREVOD NA UCET	2695	19872	SIPO	IJ	16386759
433690	1474	1998-02-06	VYDAJ	PREVOD NA UCET	2695	14397	SIPO	IJ	16386759
433691	1474	1998-03-06	VYDAJ	PREVOD NA UCET	2695	15798	SIPO	IJ	16386759
433692	1474	1998-04-06	VYDAJ	PREVOD NA UCET	2695	17196	SIPO	IJ	16386759
433693	1474	1998-05-06	VYDAJ	PREVOD NA UCET	2695	18600	SIPO	IJ	16386759
433694	1474	1998-06-06	VYDAJ	PREVOD NA UCET	2695	18499	SIPO	IJ	16386759
433695	1474	1998-07-06	VYDAJ	PREVOD NA UCET	2695	19910	SIPO	IJ	16386759
433696	1474	1998-08-06	VYDAJ	PREVOD NA UCET	2695	21325	SIPO	IJ	16386759
433697	1474	1998-09-06	VYDAJ	PREVOD NA UCET	2695	20267	SIPO	IJ	16386759
433698	1474	1998-10-06	VYDAJ	PREVOD NA UCET	2695	18684	SIPO	IJ	16386759
433699	1474	1998-11-06	VYDAJ	PREVOD NA UCET	2695	20095	SIPO	IJ	16386759
433700	1474	1998-12-06	VYDAJ	PREVOD NA UCET	2695	21520	SIPO	IJ	16386759
433702	1474	1997-06-08	VYDAJ	VYBER	2300	19205	\N	\N	\N
433705	1474	1997-12-27	VYDAJ	VYBER	300	20533	\N	\N	\N
433706	1474	1998-12-14	VYDAJ	VYBER	750	20770	\N	\N	\N
433719	1474	1998-01-16	VYDAJ	VYBER	2240	17072	\N	\N	\N
433720	1474	1998-01-24	VYDAJ	VYBER	400	12992	\N	\N	\N
433721	1474	1998-01-01	VYDAJ	VYBER	2080	18524	\N	\N	\N
433722	1474	1998-01-12	VYDAJ	VYBER	560	19312	\N	\N	\N
433724	1474	1998-01-23	VYDAJ	VYBER	1360	13392	\N	\N	\N
433731	1474	1997-04-01	VYDAJ	VYBER	1760	18124	\N	\N	\N
433732	1474	1997-08-16	VYDAJ	VYBER	2320	19719	\N	\N	\N
433733	1474	1997-05-19	VYDAJ	VYBER	800	20086	\N	\N	\N
433734	1474	1997-11-01	VYDAJ	VYBER	1920	18070	\N	\N	\N
433735	1474	1997-09-02	VYDAJ	VYBER	2640	17154	\N	\N	\N
433736	1474	1998-09-28	VYDAJ	VYBER	640	18667	\N	\N	\N
433738	1474	1998-09-11	VYDAJ	VYBER	960	19307	\N	\N	\N
433739	1474	1998-06-06	VYDAJ	VYBER	1520	21194	\N	\N	\N
433740	1474	1998-09-03	VYDAJ	VYBER	2480	18919	\N	\N	\N
433741	1474	1998-01-22	VYDAJ	VYBER	2320	14752	\N	\N	\N
433756	1474	1997-02-28	VYDAJ	VYBER	15	18468	SLUZBY	\N	\N
433757	1474	1997-03-31	VYDAJ	VYBER	15	19884	SLUZBY	\N	\N
433758	1474	1997-04-30	VYDAJ	VYBER	15	19538	SLUZBY	\N	\N
433759	1474	1997-05-31	VYDAJ	VYBER	15	20157	SLUZBY	\N	\N
433760	1474	1997-06-30	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
433761	1474	1997-07-31	VYDAJ	VYBER	15	20691	SLUZBY	\N	\N
433762	1474	1997-08-31	VYDAJ	VYBER	15	19794	SLUZBY	\N	\N
433763	1474	1997-09-30	VYDAJ	VYBER	15	18574	SLUZBY	\N	\N
433764	1474	1997-10-31	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
433765	1474	1997-11-30	VYDAJ	VYBER	15	19485	SLUZBY	\N	\N
433766	1474	1997-12-31	VYDAJ	VYBER	15	20604	SLUZBY	\N	\N
433767	1474	1998-01-31	VYDAJ	VYBER	15	13049	SLUZBY	\N	\N
433768	1474	1998-02-28	VYDAJ	VYBER	15	14450	SLUZBY	\N	\N
433769	1474	1998-03-31	VYDAJ	VYBER	15	15848	SLUZBY	\N	\N
433770	1474	1998-04-30	VYDAJ	VYBER	15	17252	SLUZBY	\N	\N
433771	1474	1998-05-31	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
433772	1474	1998-06-30	VYDAJ	VYBER	15	18562	SLUZBY	\N	\N
433773	1474	1998-07-31	VYDAJ	VYBER	15	19977	SLUZBY	\N	\N
433774	1474	1998-08-31	VYDAJ	VYBER	15	21399	SLUZBY	\N	\N
433775	1474	1998-09-30	VYDAJ	VYBER	15	18736	SLUZBY	\N	\N
433776	1474	1998-10-31	VYDAJ	VYBER	15	18747	SLUZBY	\N	\N
433777	1474	1998-11-30	VYDAJ	VYBER	15	20172	SLUZBY	\N	\N
433778	1474	1998-10-04	VYDAJ	VYBER	1400	17336	\N	\N	\N
433802	1475	1993-06-14	PRIJEM	VKLAD	200	200	\N	\N	\N
433809	1475	1993-07-05	PRIJEM	PREVOD Z UCTU	20551	20751	\N	ST	33492565
433810	1475	1993-08-05	PRIJEM	PREVOD Z UCTU	20551	43758	\N	ST	33492565
433811	1475	1993-09-05	PRIJEM	PREVOD Z UCTU	20551	55134	\N	ST	33492565
433812	1475	1993-10-05	PRIJEM	PREVOD Z UCTU	20551	60643	\N	ST	33492565
433813	1475	1993-11-05	PRIJEM	PREVOD Z UCTU	20551	63970	\N	ST	33492565
433814	1475	1993-12-05	PRIJEM	PREVOD Z UCTU	30826	56036	\N	ST	33492565
433815	1475	1994-01-05	PRIJEM	PREVOD Z UCTU	20551	46495	\N	ST	33492565
433816	1475	1994-02-05	PRIJEM	PREVOD Z UCTU	20551	19500	\N	ST	33492565
433817	1475	1994-03-05	PRIJEM	PREVOD Z UCTU	20551	43386	\N	ST	33492565
433818	1475	1994-04-05	PRIJEM	PREVOD Z UCTU	20551	41741	\N	ST	33492565
433819	1475	1994-05-05	PRIJEM	PREVOD Z UCTU	20551	44277	\N	ST	33492565
433820	1475	1994-06-05	PRIJEM	PREVOD Z UCTU	30826	49705	\N	ST	33492565
433821	1475	1994-07-05	PRIJEM	PREVOD Z UCTU	20551	45727	\N	ST	33492565
433822	1475	1994-08-05	PRIJEM	PREVOD Z UCTU	20551	40581	\N	ST	33492565
433823	1475	1994-09-05	PRIJEM	PREVOD Z UCTU	20551	45934	\N	ST	33492565
433824	1475	1994-10-05	PRIJEM	PREVOD Z UCTU	20551	48103	\N	ST	33492565
433825	1475	1994-11-05	PRIJEM	PREVOD Z UCTU	20551	35447	\N	ST	33492565
433826	1475	1994-12-05	PRIJEM	PREVOD Z UCTU	30826	38668	\N	ST	33492565
433827	1475	1995-01-05	PRIJEM	PREVOD Z UCTU	20551	23859	\N	ST	33492565
433828	1475	1995-02-05	PRIJEM	PREVOD Z UCTU	20551	35912	\N	ST	33492565
433829	1475	1995-03-05	PRIJEM	PREVOD Z UCTU	20551	51457	\N	ST	33492565
433830	1475	1995-04-05	PRIJEM	PREVOD Z UCTU	20551	40152	\N	ST	33492565
433831	1475	1995-05-05	PRIJEM	PREVOD Z UCTU	20551	54727	\N	ST	33492565
433832	1475	1995-06-05	PRIJEM	PREVOD Z UCTU	30826	46462	\N	ST	33492565
433833	1475	1995-07-05	PRIJEM	PREVOD Z UCTU	20551	36034	\N	ST	33492565
433834	1475	1995-08-05	PRIJEM	PREVOD Z UCTU	20551	32916	\N	ST	33492565
433835	1475	1995-09-05	PRIJEM	PREVOD Z UCTU	20551	50357	\N	ST	33492565
433836	1475	1995-10-05	PRIJEM	PREVOD Z UCTU	20551	49024	\N	ST	33492565
433837	1475	1995-11-05	PRIJEM	PREVOD Z UCTU	20551	29578	\N	ST	33492565
433838	1475	1995-12-05	PRIJEM	PREVOD Z UCTU	30826	56588	\N	ST	33492565
433839	1475	1996-01-05	PRIJEM	PREVOD Z UCTU	20551	40105	\N	ST	33492565
433840	1475	1996-02-05	PRIJEM	PREVOD Z UCTU	20551	36801	\N	ST	33492565
433841	1475	1996-03-05	PRIJEM	PREVOD Z UCTU	20551	41036	\N	ST	33492565
433842	1475	1996-04-05	PRIJEM	PREVOD Z UCTU	20551	45467	\N	ST	33492565
433843	1475	1996-05-05	PRIJEM	PREVOD Z UCTU	20551	55028	\N	ST	33492565
433844	1475	1996-06-05	PRIJEM	PREVOD Z UCTU	30826	64198	\N	ST	33492565
433845	1475	1996-07-05	PRIJEM	PREVOD Z UCTU	20551	54948	\N	ST	33492565
433846	1475	1996-08-05	PRIJEM	PREVOD Z UCTU	20551	47130	\N	ST	33492565
433847	1475	1996-09-05	PRIJEM	PREVOD Z UCTU	20551	49236	\N	ST	33492565
433848	1475	1996-10-05	PRIJEM	PREVOD Z UCTU	20551	50493	\N	ST	33492565
433849	1475	1996-11-05	PRIJEM	PREVOD Z UCTU	20551	48457	\N	ST	33492565
433850	1475	1996-12-05	PRIJEM	PREVOD Z UCTU	30826	59898	\N	ST	33492565
433851	1475	1997-01-05	PRIJEM	PREVOD Z UCTU	20551	64939	\N	ST	33492565
433852	1475	1997-02-05	PRIJEM	PREVOD Z UCTU	20551	30651	\N	ST	33492565
433853	1475	1997-03-05	PRIJEM	PREVOD Z UCTU	20551	41418	\N	ST	33492565
433854	1475	1997-04-05	PRIJEM	PREVOD Z UCTU	20551	44994	\N	ST	33492565
433855	1475	1997-05-05	PRIJEM	PREVOD Z UCTU	20551	59028	\N	ST	33492565
433856	1475	1997-06-05	PRIJEM	PREVOD Z UCTU	30826	56190	\N	ST	33492565
433857	1475	1997-07-05	PRIJEM	PREVOD Z UCTU	20551	42536	\N	ST	33492565
433858	1475	1997-08-05	PRIJEM	PREVOD Z UCTU	20551	58966	\N	ST	33492565
433859	1475	1997-09-05	PRIJEM	PREVOD Z UCTU	20551	47203	\N	ST	33492565
433860	1475	1997-10-05	PRIJEM	PREVOD Z UCTU	20551	46139	\N	ST	33492565
433861	1475	1997-11-05	PRIJEM	PREVOD Z UCTU	20551	23514	\N	ST	33492565
433862	1475	1997-12-05	PRIJEM	PREVOD Z UCTU	30826	38739	\N	ST	33492565
433863	1475	1998-01-05	PRIJEM	PREVOD Z UCTU	20551	28165	\N	ST	33492565
433864	1475	1998-02-05	PRIJEM	PREVOD Z UCTU	20551	21215	\N	ST	33492565
433865	1475	1998-03-05	PRIJEM	PREVOD Z UCTU	20551	20339	\N	ST	33492565
433866	1475	1998-04-05	PRIJEM	PREVOD Z UCTU	20551	53205	\N	ST	33492565
433867	1475	1998-05-05	PRIJEM	PREVOD Z UCTU	20551	43612	\N	ST	33492565
433868	1475	1998-06-05	PRIJEM	PREVOD Z UCTU	30826	71932	\N	ST	33492565
433869	1475	1998-07-05	PRIJEM	PREVOD Z UCTU	20551	39480	\N	ST	33492565
433870	1475	1998-08-05	PRIJEM	PREVOD Z UCTU	20551	47440	\N	ST	33492565
433871	1475	1998-09-05	PRIJEM	PREVOD Z UCTU	20551	61864	\N	ST	33492565
433872	1475	1998-10-05	PRIJEM	PREVOD Z UCTU	20551	65987	\N	ST	33492565
433873	1475	1998-11-05	PRIJEM	PREVOD Z UCTU	20551	56336	\N	ST	33492565
433874	1475	1998-12-05	PRIJEM	PREVOD Z UCTU	30826	78303	\N	ST	33492565
433881	1475	1994-08-01	VYBER	VYBER	3185	20030	\N	\N	\N
433882	1475	1994-09-25	VYBER	VYBER	7382	27452	\N	\N	\N
433883	1475	1994-01-19	VYBER	VYBER	9087	6408	\N	\N	\N
433884	1475	1994-12-29	VYBER	VYBER	10336	14132	\N	\N	\N
433885	1475	1994-10-17	VYBER	VYBER	21178	14825	\N	\N	\N
433886	1475	1994-03-17	VYBER	VYBER	11666	21120	\N	\N	\N
433887	1475	1994-05-18	VYBER	VYBER	8765	18812	\N	\N	\N
433888	1475	1994-08-01	VYBER	VYBER	2523	23215	\N	\N	\N
433890	1475	1994-12-04	VYBER	VYBER	7953	7842	\N	\N	\N
433891	1475	1995-07-31	VYBER	VYBER	15308	5272	\N	\N	\N
433893	1475	1995-12-12	VYBER	VYBER	23444	26844	\N	\N	\N
433895	1475	1995-03-20	VYBER	VYBER	19451	19506	\N	\N	\N
433896	1475	1995-07-31	VYBER	VYBER	2177	3095	\N	\N	\N
433897	1475	1995-10-08	VYBER	VYBER	18071	30953	\N	\N	\N
433899	1475	1995-06-06	VYBER	VYBER	23107	23355	\N	\N	\N
433900	1475	1995-06-02	VYBER	VYBER	20364	9836	\N	\N	\N
433901	1475	1995-07-29	VYBER	VYBER	3344	20466	\N	\N	\N
433902	1475	1995-09-29	VYBER	VYBER	22647	27710	\N	\N	\N
433903	1475	1995-07-21	VYBER	VYBER	12224	23810	\N	\N	\N
433904	1475	1996-07-13	VYBER	VYBER	19096	35852	\N	\N	\N
433905	1475	1996-10-06	VYBER	VYBER	8948	41545	\N	\N	\N
433906	1475	1996-08-13	VYBER	VYBER	13439	33691	\N	\N	\N
433907	1475	1996-07-20	VYBER	VYBER	7775	28077	\N	\N	\N
433908	1475	1996-10-13	VYBER	VYBER	13538	28007	\N	\N	\N
433909	1475	1996-01-16	VYBER	VYBER	12586	16119	\N	\N	\N
433910	1475	1996-02-10	VYBER	VYBER	23112	13689	\N	\N	\N
433911	1475	1996-01-24	VYBER	VYBER	2224	8495	\N	\N	\N
433912	1475	1996-02-13	VYBER	VYBER	4125	9564	\N	\N	\N
433913	1475	1996-06-14	VYBER	VYBER	16739	47459	\N	\N	\N
433914	1475	1996-06-25	VYBER	VYBER	9394	38065	\N	\N	\N
433915	1475	1996-05-24	VYBER	VYBER	16871	38157	\N	\N	\N
433916	1475	1997-01-05	VYBER	VYBER	24511	40428	\N	\N	\N
433917	1475	1997-03-23	VYBER	VYBER	24932	16486	\N	\N	\N
433918	1475	1997-10-21	VYBER	VYBER	17788	27051	\N	\N	\N
433919	1475	1997-08-19	VYBER	VYBER	4593	20159	\N	\N	\N
433920	1475	1997-10-26	VYBER	VYBER	12279	14772	\N	\N	\N
433921	1475	1997-11-04	VYBER	VYBER	11895	2963	\N	\N	\N
433922	1475	1997-06-18	VYBER	VYBER	14932	41258	\N	\N	\N
433924	1475	1997-11-21	VYBER	VYBER	19240	7874	\N	\N	\N
433925	1475	1997-08-09	VYBER	VYBER	19940	39026	\N	\N	\N
433926	1475	1997-06-01	VYBER	VYBER	9914	25364	\N	\N	\N
433927	1475	1997-08-13	VYBER	VYBER	14274	24752	\N	\N	\N
433928	1475	1997-02-16	VYBER	VYBER	19306	11345	\N	\N	\N
433929	1475	1998-02-26	VYBER	VYBER	16597	14718	\N	\N	\N
433930	1475	1998-06-12	VYBER	VYBER	20337	51595	\N	\N	\N
433931	1475	1998-06-18	VYBER	VYBER	6883	44712	\N	\N	\N
433932	1475	1998-08-29	VYBER	VYBER	2238	41202	\N	\N	\N
433933	1475	1998-07-05	VYBER	VYBER	7919	31561	\N	\N	\N
433934	1475	1998-02-27	VYBER	VYBER	14938	-220	\N	\N	\N
433935	1475	1998-07-11	VYBER	VYBER	14640	16921	\N	\N	\N
433936	1475	1998-01-27	VYBER	VYBER	4240	5725	\N	\N	\N
433937	1475	1998-10-24	VYBER	VYBER	13651	35636	\N	\N	\N
433938	1475	1998-04-25	VYBER	VYBER	24951	22954	\N	\N	\N
433939	1475	1998-09-23	VYBER	VYBER	6581	45283	\N	\N	\N
433942	1475	1994-06-06	VYDAJ	VYBER	14700	35005	\N	\N	\N
433945	1475	1997-06-20	VYDAJ	VYBER	36300	4958	\N	\N	\N
433948	1475	1994-01-12	VYDAJ	VYBER	4200	29295	\N	\N	\N
433951	1475	1997-01-13	VYDAJ	VYBER	21000	12228	\N	\N	\N
433952	1475	1998-01-01	VYDAJ	VYBER	25800	7614	\N	\N	\N
433953	1475	1993-12-24	VYDAJ	VYBER	6000	33036	\N	\N	\N
433954	1475	1994-12-19	VYDAJ	VYBER	6600	24468	\N	\N	\N
433955	1475	1995-12-11	VYDAJ	VYBER	6300	50288	\N	\N	\N
433956	1475	1996-12-03	VYDAJ	VYBER	5100	29072	\N	\N	\N
433957	1475	1997-12-11	VYDAJ	VYBER	2700	36039	\N	\N	\N
433958	1475	1998-12-09	VYDAJ	VYBER	7500	70803	\N	\N	\N
433965	1475	1994-01-18	VYDAJ	VYBER	2100	15495	\N	\N	\N
433966	1475	1994-01-02	VYDAJ	VYBER	7200	25944	\N	\N	\N
433968	1475	1994-01-05	VYDAJ	VYBER	7800	38695	\N	\N	\N
433969	1475	1994-01-21	VYDAJ	VYBER	7500	-1092	\N	\N	\N
433970	1475	1994-01-16	VYDAJ	VYBER	4200	17595	\N	\N	\N
433972	1475	1995-01-04	VYDAJ	VYBER	4200	1308	\N	\N	\N
433973	1475	1995-01-18	VYDAJ	VYBER	8700	6759	\N	\N	\N
433974	1475	1995-01-04	VYDAJ	VYBER	8700	5508	\N	\N	\N
433975	1475	1995-01-06	VYDAJ	VYBER	8400	15459	\N	\N	\N
433976	1475	1995-01-20	VYDAJ	VYBER	7800	-1041	\N	\N	\N
433978	1475	1996-01-06	VYDAJ	VYBER	3900	36205	\N	\N	\N
433979	1475	1996-01-01	VYDAJ	VYBER	6000	19554	\N	\N	\N
433980	1475	1996-01-20	VYDAJ	VYBER	5400	10719	\N	\N	\N
433981	1475	1996-01-24	VYDAJ	VYBER	3600	4895	\N	\N	\N
433982	1475	1996-01-09	VYDAJ	VYBER	7500	28705	\N	\N	\N
433983	1475	1997-01-21	VYDAJ	VYBER	4500	228	\N	\N	\N
433984	1475	1997-01-11	VYDAJ	VYBER	5100	33228	\N	\N	\N
433985	1475	1997-01-05	VYDAJ	VYBER	2100	38328	\N	\N	\N
433986	1475	1997-01-14	VYDAJ	VYBER	7500	4728	\N	\N	\N
433987	1475	1997-01-27	VYDAJ	VYBER	6600	10028	\N	\N	\N
433989	1475	1998-01-15	VYDAJ	VYBER	6300	14365	\N	\N	\N
433990	1475	1998-01-27	VYDAJ	VYBER	5100	625	\N	\N	\N
433992	1475	1998-01-11	VYDAJ	VYBER	1500	20665	\N	\N	\N
433993	1475	1998-01-06	VYDAJ	VYBER	3600	24565	\N	\N	\N
433994	1475	1998-01-08	VYDAJ	VYBER	2400	22165	\N	\N	\N
433997	1475	1993-11-29	VYDAJ	VYBER	8700	25070	\N	\N	\N
434000	1475	1993-11-28	VYDAJ	VYBER	8100	33770	\N	\N	\N
434002	1475	1994-04-27	VYDAJ	VYBER	8400	23641	\N	\N	\N
434003	1475	1994-01-14	VYDAJ	VYBER	7500	21795	\N	\N	\N
434004	1475	1994-05-10	VYDAJ	VYBER	13800	30477	\N	\N	\N
434005	1475	1994-08-28	VYDAJ	VYBER	7800	25281	\N	\N	\N
434006	1475	1994-06-07	VYDAJ	VYBER	10500	24505	\N	\N	\N
434007	1475	1994-11-13	VYDAJ	VYBER	13800	15747	\N	\N	\N
434008	1475	1994-07-31	VYDAJ	VYBER	11400	25738	\N	\N	\N
434009	1475	1995-12-12	VYDAJ	VYBER	2400	24444	\N	\N	\N
434010	1475	1995-10-13	VYDAJ	VYBER	11700	19253	\N	\N	\N
434011	1475	1995-02-26	VYDAJ	VYBER	5100	30812	\N	\N	\N
434012	1475	1995-11-03	VYDAJ	VYBER	14400	9027	\N	\N	\N
434013	1475	1995-06-07	VYDAJ	VYBER	13200	10155	\N	\N	\N
434014	1475	1995-05-28	VYDAJ	VYBER	11400	30027	\N	\N	\N
434015	1475	1996-03-24	VYDAJ	VYBER	6900	23336	\N	\N	\N
434016	1475	1996-09-08	VYDAJ	VYBER	13800	35436	\N	\N	\N
434017	1475	1996-03-07	VYDAJ	VYBER	10800	30236	\N	\N	\N
434018	1475	1996-04-09	VYDAJ	VYBER	7800	37667	\N	\N	\N
434019	1475	1996-11-11	VYDAJ	VYBER	7200	41257	\N	\N	\N
434020	1475	1997-05-08	VYDAJ	VYBER	11100	39228	\N	\N	\N
434021	1475	1997-09-15	VYDAJ	VYBER	10500	36703	\N	\N	\N
434022	1475	1997-10-17	VYDAJ	VYBER	6600	39539	\N	\N	\N
434023	1475	1997-05-08	VYDAJ	VYBER	8700	50328	\N	\N	\N
434024	1475	1997-09-21	VYDAJ	VYBER	13800	25503	\N	\N	\N
434025	1475	1998-12-10	VYDAJ	VYBER	4800	66003	\N	\N	\N
434026	1475	1998-06-21	VYDAJ	VYBER	9600	31112	\N	\N	\N
434027	1475	1998-12-20	VYDAJ	VYBER	3600	36503	\N	\N	\N
434029	1475	1998-12-19	VYDAJ	VYBER	12900	40103	\N	\N	\N
434030	1475	1998-01-20	VYDAJ	VYBER	14400	9965	\N	\N	\N
434031	1475	1998-06-22	VYDAJ	VYBER	12300	18812	\N	\N	\N
434043	1475	1993-11-30	VYDAJ	VYBER	30	25210	SLUZBY	\N	\N
434044	1475	1993-12-31	VYDAJ	VYBER	30	33144	SLUZBY	\N	\N
434045	1475	1994-01-31	VYDAJ	VYBER	30	-1051	SLUZBY	\N	\N
434046	1475	1994-02-28	VYDAJ	VYBER	30	22835	SLUZBY	\N	\N
434047	1475	1994-03-31	VYDAJ	VYBER	30	21190	SLUZBY	\N	\N
434048	1475	1994-04-30	VYDAJ	VYBER	30	23726	SLUZBY	\N	\N
434049	1475	1994-05-31	VYDAJ	VYBER	30	18879	SLUZBY	\N	\N
434050	1475	1994-06-30	VYDAJ	VYBER	30	25176	SLUZBY	\N	\N
434051	1475	1994-07-31	VYDAJ	VYBER	30	37138	SLUZBY	\N	\N
434052	1475	1994-08-31	VYDAJ	VYBER	30	25383	SLUZBY	\N	\N
434053	1475	1994-09-30	VYDAJ	VYBER	30	27552	SLUZBY	\N	\N
434054	1475	1994-10-31	VYDAJ	VYBER	30	14896	SLUZBY	\N	\N
434055	1475	1994-11-30	VYDAJ	VYBER	30	15795	SLUZBY	\N	\N
434056	1475	1994-12-31	VYDAJ	VYBER	30	14208	SLUZBY	\N	\N
434057	1475	1995-01-31	VYDAJ	VYBER	30	-1040	SLUZBY	\N	\N
434058	1475	1995-02-28	VYDAJ	VYBER	30	30906	SLUZBY	\N	\N
434059	1475	1995-03-31	VYDAJ	VYBER	30	19601	SLUZBY	\N	\N
434060	1475	1995-04-30	VYDAJ	VYBER	30	34176	SLUZBY	\N	\N
434061	1475	1995-05-31	VYDAJ	VYBER	30	30200	SLUZBY	\N	\N
434062	1475	1995-06-30	VYDAJ	VYBER	30	10183	SLUZBY	\N	\N
434063	1475	1995-07-31	VYDAJ	VYBER	30	3065	SLUZBY	\N	\N
434064	1475	1995-08-31	VYDAJ	VYBER	30	33006	SLUZBY	\N	\N
434065	1475	1995-09-30	VYDAJ	VYBER	30	27873	SLUZBY	\N	\N
434066	1475	1995-10-31	VYDAJ	VYBER	30	19327	SLUZBY	\N	\N
434067	1475	1995-11-30	VYDAJ	VYBER	30	29662	SLUZBY	\N	\N
434068	1475	1995-12-31	VYDAJ	VYBER	30	25554	SLUZBY	\N	\N
434069	1475	1996-01-31	VYDAJ	VYBER	30	16250	SLUZBY	\N	\N
434070	1475	1996-02-29	VYDAJ	VYBER	30	20485	SLUZBY	\N	\N
434071	1475	1996-03-31	VYDAJ	VYBER	30	24916	SLUZBY	\N	\N
434072	1475	1996-04-30	VYDAJ	VYBER	30	34477	SLUZBY	\N	\N
434073	1475	1996-05-31	VYDAJ	VYBER	30	33372	SLUZBY	\N	\N
434074	1475	1996-06-30	VYDAJ	VYBER	30	34397	SLUZBY	\N	\N
434075	1475	1996-07-31	VYDAJ	VYBER	30	26579	SLUZBY	\N	\N
434076	1475	1996-08-31	VYDAJ	VYBER	30	28685	SLUZBY	\N	\N
434077	1475	1996-09-30	VYDAJ	VYBER	30	29942	SLUZBY	\N	\N
434078	1475	1996-10-31	VYDAJ	VYBER	30	27906	SLUZBY	\N	\N
434079	1475	1996-11-30	VYDAJ	VYBER	30	34172	SLUZBY	\N	\N
434080	1475	1996-12-31	VYDAJ	VYBER	30	44388	SLUZBY	\N	\N
434081	1475	1997-01-31	VYDAJ	VYBER	30	10101	SLUZBY	\N	\N
434082	1475	1997-02-28	VYDAJ	VYBER	30	20867	SLUZBY	\N	\N
434083	1475	1997-03-31	VYDAJ	VYBER	30	24443	SLUZBY	\N	\N
434084	1475	1997-04-30	VYDAJ	VYBER	30	38477	SLUZBY	\N	\N
434085	1475	1997-05-31	VYDAJ	VYBER	30	35278	SLUZBY	\N	\N
434086	1475	1997-06-30	VYDAJ	VYBER	30	21985	SLUZBY	\N	\N
434087	1475	1997-07-31	VYDAJ	VYBER	30	38415	SLUZBY	\N	\N
434088	1475	1997-08-31	VYDAJ	VYBER	30	26652	SLUZBY	\N	\N
434089	1475	1997-09-30	VYDAJ	VYBER	30	25588	SLUZBY	\N	\N
434090	1475	1997-10-31	VYDAJ	VYBER	30	14858	SLUZBY	\N	\N
434091	1475	1997-11-30	VYDAJ	VYBER	30	7913	SLUZBY	\N	\N
434092	1475	1997-12-31	VYDAJ	VYBER	30	33414	SLUZBY	\N	\N
434093	1475	1998-01-31	VYDAJ	VYBER	30	664	SLUZBY	\N	\N
434094	1475	1998-02-28	VYDAJ	VYBER	30	-212	SLUZBY	\N	\N
434095	1475	1998-03-31	VYDAJ	VYBER	30	32660	SLUZBY	\N	\N
434096	1475	1998-04-30	VYDAJ	VYBER	30	23061	SLUZBY	\N	\N
434097	1475	1998-05-31	VYDAJ	VYBER	30	41106	SLUZBY	\N	\N
434098	1475	1998-06-30	VYDAJ	VYBER	30	18929	SLUZBY	\N	\N
434099	1475	1998-07-31	VYDAJ	VYBER	30	26889	SLUZBY	\N	\N
434100	1475	1998-08-31	VYDAJ	VYBER	30	41313	SLUZBY	\N	\N
434101	1475	1998-09-30	VYDAJ	VYBER	30	45436	SLUZBY	\N	\N
434102	1475	1998-10-31	VYDAJ	VYBER	30	35785	SLUZBY	\N	\N
434103	1475	1998-11-30	VYDAJ	VYBER	30	47477	SLUZBY	\N	\N
434104	1475	1993-07-14	PRIJEM	VKLAD	2400	23151	\N	\N	\N
434105	1475	1993-08-13	VYDAJ	VYBER	9300	34458	\N	\N	\N
434106	1475	1993-09-12	VYDAJ	VYBER	15200	39934	\N	\N	\N
434107	1475	1993-10-12	VYDAJ	VYBER	17400	43243	\N	\N	\N
434108	1475	1993-11-11	VYDAJ	VYBER	22100	41870	\N	\N	\N
434109	1475	1993-12-11	VYDAJ	VYBER	17000	39036	\N	\N	\N
434110	1475	1994-01-10	VYDAJ	VYBER	5200	33495	\N	\N	\N
434111	1475	1994-02-09	PRIJEM	VKLAD	3300	22800	\N	\N	\N
434112	1475	1994-03-11	VYDAJ	VYBER	10600	32786	\N	\N	\N
434113	1475	1994-04-10	VYDAJ	VYBER	9700	32041	\N	\N	\N
434114	1475	1994-05-10	VYDAJ	VYBER	2900	27577	\N	\N	\N
434115	1475	1994-06-09	PRIJEM	VKLAD	600	25105	\N	\N	\N
434116	1475	1994-07-09	VYDAJ	VYBER	8700	37027	\N	\N	\N
434117	1475	1994-08-08	VYDAJ	VYBER	7500	33081	\N	\N	\N
434118	1475	1994-09-07	VYDAJ	VYBER	11100	34834	\N	\N	\N
434119	1475	1994-10-07	VYDAJ	VYBER	12100	36003	\N	\N	\N
434120	1475	1994-11-06	VYDAJ	VYBER	5900	29547	\N	\N	\N
434121	1475	1994-12-06	VYDAJ	VYBER	7600	31068	\N	\N	\N
434122	1475	1995-01-05	PRIJEM	VKLAD	2000	3308	\N	\N	\N
434123	1475	1995-02-04	PRIJEM	VKLAD	16400	15361	\N	\N	\N
434124	1475	1995-03-06	VYDAJ	VYBER	12500	38957	\N	\N	\N
434125	1475	1995-04-05	VYDAJ	VYBER	6100	34052	\N	\N	\N
434126	1475	1995-05-05	VYDAJ	VYBER	13300	41427	\N	\N	\N
434127	1475	1995-06-04	PRIJEM	VKLAD	5800	15636	\N	\N	\N
434128	1475	1995-07-04	PRIJEM	VKLAD	5300	15483	\N	\N	\N
434129	1475	1995-08-03	PRIJEM	VKLAD	9300	12365	\N	\N	\N
434130	1475	1995-09-02	VYDAJ	VYBER	3200	29806	\N	\N	\N
434131	1475	1995-10-02	PRIJEM	VKLAD	600	28473	\N	\N	\N
434132	1475	1995-11-01	PRIJEM	VKLAD	4100	23427	\N	\N	\N
434133	1475	1995-12-01	VYDAJ	VYBER	3900	25762	\N	\N	\N
434134	1475	1995-12-31	PRIJEM	VKLAD	1000	25444	\N	\N	\N
434135	1475	1996-01-30	PRIJEM	VKLAD	11300	16195	\N	\N	\N
434136	1475	1996-02-29	PRIJEM	VKLAD	10900	20464	\N	\N	\N
434137	1475	1996-03-30	PRIJEM	VKLAD	1500	24836	\N	\N	\N
434138	1475	1996-04-29	VYDAJ	VYBER	3300	34367	\N	\N	\N
434139	1475	1996-05-29	VYDAJ	VYBER	4900	33257	\N	\N	\N
434140	1475	1996-06-28	VYDAJ	VYBER	3800	34265	\N	\N	\N
434141	1475	1996-07-28	VYDAJ	VYBER	1600	26477	\N	\N	\N
434142	1475	1996-08-27	VYDAJ	VYBER	5100	28591	\N	\N	\N
434143	1475	1996-09-26	VYDAJ	VYBER	5600	29836	\N	\N	\N
434144	1475	1996-10-26	VYDAJ	VYBER	200	27807	\N	\N	\N
434145	1475	1996-11-25	VYDAJ	VYBER	7200	34057	\N	\N	\N
434146	1475	1996-12-25	VYDAJ	VYBER	15700	44198	\N	\N	\N
434147	1475	1997-01-24	PRIJEM	VKLAD	16400	16628	\N	\N	\N
434148	1475	1997-02-23	PRIJEM	VKLAD	9500	20845	\N	\N	\N
434149	1475	1997-03-25	PRIJEM	VKLAD	7900	24386	\N	\N	\N
434150	1475	1997-04-24	VYDAJ	VYBER	6600	38394	\N	\N	\N
434151	1475	1997-05-24	VYDAJ	VYBER	4100	35128	\N	\N	\N
434152	1475	1997-06-23	PRIJEM	VKLAD	16900	21858	\N	\N	\N
434153	1475	1997-07-23	VYDAJ	VYBER	4200	38336	\N	\N	\N
434154	1475	1997-08-22	PRIJEM	VKLAD	6400	26559	\N	\N	\N
434155	1475	1997-09-21	PRIJEM	VKLAD	2600	39303	\N	\N	\N
434156	1475	1997-10-21	PRIJEM	VKLAD	5300	44839	\N	\N	\N
434157	1475	1997-11-20	PRIJEM	VKLAD	3600	27114	\N	\N	\N
434158	1475	1997-12-20	VYDAJ	VYBER	2700	33339	\N	\N	\N
434159	1475	1998-01-19	PRIJEM	VKLAD	10000	24365	\N	\N	\N
434160	1475	1998-02-18	PRIJEM	VKLAD	10100	31315	\N	\N	\N
434161	1475	1998-03-20	PRIJEM	VKLAD	12300	32639	\N	\N	\N
434162	1475	1998-04-19	VYDAJ	VYBER	5300	47905	\N	\N	\N
434163	1475	1998-05-19	VYDAJ	VYBER	2600	41012	\N	\N	\N
434164	1475	1998-06-18	VYDAJ	VYBER	4000	40712	\N	\N	\N
434165	1475	1998-07-18	PRIJEM	VKLAD	9900	26821	\N	\N	\N
434166	1475	1998-08-17	VYDAJ	VYBER	4000	43440	\N	\N	\N
434167	1475	1998-09-16	VYDAJ	VYBER	10000	51864	\N	\N	\N
434168	1475	1998-10-16	VYDAJ	VYBER	16700	49287	\N	\N	\N
434169	1475	1998-11-15	VYDAJ	VYBER	9000	47336	\N	\N	\N
434170	1475	1998-12-15	VYDAJ	VYBER	13000	53003	\N	\N	\N
434246	1476	1993-04-26	PRIJEM	VKLAD	200	200	\N	\N	\N
434251	1476	1993-05-06	PRIJEM	PREVOD Z UCTU	6411	6611	DUCHOD	GH	63237541
434252	1476	1993-06-06	PRIJEM	PREVOD Z UCTU	6411	13022	DUCHOD	GH	63237541
434253	1476	1993-07-06	PRIJEM	PREVOD Z UCTU	6411	19433	DUCHOD	GH	63237541
434254	1476	1993-08-06	PRIJEM	PREVOD Z UCTU	6411	25844	DUCHOD	GH	63237541
434255	1476	1993-09-06	PRIJEM	PREVOD Z UCTU	6411	31082	DUCHOD	GH	63237541
434256	1476	1993-10-06	PRIJEM	PREVOD Z UCTU	6411	32119	DUCHOD	GH	63237541
434257	1476	1993-11-06	PRIJEM	PREVOD Z UCTU	6411	34665	DUCHOD	GH	63237541
434258	1476	1993-12-06	PRIJEM	PREVOD Z UCTU	6411	32817	DUCHOD	GH	63237541
434259	1476	1994-01-06	PRIJEM	PREVOD Z UCTU	6411	20286	DUCHOD	GH	63237541
434260	1476	1994-02-06	PRIJEM	PREVOD Z UCTU	6411	19034	DUCHOD	GH	63237541
434261	1476	1994-03-06	PRIJEM	PREVOD Z UCTU	6411	22026	DUCHOD	GH	63237541
434262	1476	1994-04-06	PRIJEM	PREVOD Z UCTU	6411	25031	DUCHOD	GH	63237541
434263	1476	1994-05-06	PRIJEM	PREVOD Z UCTU	6411	26446	DUCHOD	GH	63237541
434264	1476	1994-06-06	PRIJEM	PREVOD Z UCTU	6411	29169	DUCHOD	GH	63237541
434265	1476	1994-07-06	PRIJEM	PREVOD Z UCTU	6411	19983	DUCHOD	GH	63237541
434266	1476	1994-08-06	PRIJEM	PREVOD Z UCTU	6411	22981	DUCHOD	GH	63237541
434267	1476	1994-09-06	PRIJEM	PREVOD Z UCTU	6411	23827	DUCHOD	GH	63237541
434268	1476	1994-10-06	PRIJEM	PREVOD Z UCTU	6411	26744	DUCHOD	GH	63237541
434269	1476	1994-11-06	PRIJEM	PREVOD Z UCTU	6411	29568	DUCHOD	GH	63237541
434270	1476	1994-12-06	PRIJEM	PREVOD Z UCTU	6411	30501	DUCHOD	GH	63237541
434271	1476	1995-01-06	PRIJEM	PREVOD Z UCTU	6411	26835	DUCHOD	GH	63237541
434272	1476	1995-02-06	PRIJEM	PREVOD Z UCTU	6411	21451	DUCHOD	GH	63237541
434273	1476	1995-03-06	PRIJEM	PREVOD Z UCTU	6411	23055	DUCHOD	GH	63237541
434274	1476	1995-04-06	PRIJEM	PREVOD Z UCTU	6411	22757	DUCHOD	GH	63237541
434275	1476	1995-05-06	PRIJEM	PREVOD Z UCTU	6411	21495	DUCHOD	GH	63237541
434276	1476	1995-06-06	PRIJEM	PREVOD Z UCTU	6411	21516	DUCHOD	GH	63237541
434277	1476	1995-07-06	PRIJEM	PREVOD Z UCTU	6411	24518	DUCHOD	GH	63237541
434278	1476	1995-08-06	PRIJEM	PREVOD Z UCTU	6411	23945	DUCHOD	GH	63237541
434279	1476	1995-09-06	PRIJEM	PREVOD Z UCTU	6411	24752	DUCHOD	GH	63237541
434280	1476	1995-10-06	PRIJEM	PREVOD Z UCTU	6411	25064	DUCHOD	GH	63237541
434281	1476	1995-11-06	PRIJEM	PREVOD Z UCTU	6411	22738	DUCHOD	GH	63237541
434282	1476	1995-12-06	PRIJEM	PREVOD Z UCTU	6411	24395	DUCHOD	GH	63237541
434283	1476	1996-01-06	PRIJEM	PREVOD Z UCTU	6411	19999	DUCHOD	GH	63237541
434284	1476	1996-02-06	PRIJEM	PREVOD Z UCTU	6411	19970	DUCHOD	GH	63237541
434285	1476	1996-03-06	PRIJEM	PREVOD Z UCTU	6411	20726	DUCHOD	GH	63237541
434286	1476	1996-04-06	PRIJEM	PREVOD Z UCTU	6411	19214	DUCHOD	GH	63237541
434287	1476	1996-05-06	PRIJEM	PREVOD Z UCTU	6411	20203	DUCHOD	GH	63237541
434288	1476	1996-06-06	PRIJEM	PREVOD Z UCTU	6411	23199	DUCHOD	GH	63237541
434289	1476	1996-07-06	PRIJEM	PREVOD Z UCTU	6411	22998	DUCHOD	GH	63237541
434290	1476	1996-08-06	PRIJEM	PREVOD Z UCTU	6411	20992	DUCHOD	GH	63237541
434291	1476	1996-09-06	PRIJEM	PREVOD Z UCTU	6411	20081	DUCHOD	GH	63237541
434292	1476	1996-10-06	PRIJEM	PREVOD Z UCTU	6411	19264	DUCHOD	GH	63237541
434293	1476	1996-11-06	PRIJEM	PREVOD Z UCTU	6411	19648	DUCHOD	GH	63237541
434294	1476	1996-12-06	PRIJEM	PREVOD Z UCTU	6411	19042	DUCHOD	GH	63237541
434295	1476	1997-01-06	PRIJEM	PREVOD Z UCTU	6411	18220	DUCHOD	GH	63237541
434296	1476	1997-02-06	PRIJEM	PREVOD Z UCTU	6411	20246	DUCHOD	GH	63237541
434297	1476	1997-03-06	PRIJEM	PREVOD Z UCTU	6411	23242	DUCHOD	GH	63237541
434298	1476	1997-04-06	PRIJEM	PREVOD Z UCTU	6411	23522	DUCHOD	GH	63237541
434299	1476	1997-05-06	PRIJEM	PREVOD Z UCTU	6411	26532	DUCHOD	GH	63237541
434300	1476	1997-06-06	PRIJEM	PREVOD Z UCTU	6411	18655	DUCHOD	GH	63237541
434301	1476	1997-07-06	PRIJEM	PREVOD Z UCTU	6411	21663	DUCHOD	GH	63237541
434302	1476	1997-08-06	PRIJEM	PREVOD Z UCTU	6411	24665	DUCHOD	GH	63237541
434303	1476	1997-09-06	PRIJEM	PREVOD Z UCTU	6411	20080	DUCHOD	GH	63237541
434304	1476	1997-10-06	PRIJEM	PREVOD Z UCTU	6411	23092	DUCHOD	GH	63237541
434305	1476	1997-11-06	PRIJEM	PREVOD Z UCTU	6411	22111	DUCHOD	GH	63237541
434306	1476	1997-12-06	PRIJEM	PREVOD Z UCTU	6411	21509	DUCHOD	GH	63237541
434307	1476	1998-01-06	PRIJEM	PREVOD Z UCTU	6411	19610	DUCHOD	GH	63237541
434308	1476	1998-02-06	PRIJEM	PREVOD Z UCTU	6411	20639	DUCHOD	GH	63237541
434309	1476	1998-03-06	PRIJEM	PREVOD Z UCTU	6411	19333	DUCHOD	GH	63237541
434310	1476	1998-04-06	PRIJEM	PREVOD Z UCTU	6411	22338	DUCHOD	GH	63237541
434311	1476	1998-05-06	PRIJEM	PREVOD Z UCTU	6411	20273	DUCHOD	GH	63237541
434312	1476	1998-06-06	PRIJEM	PREVOD Z UCTU	6411	23280	DUCHOD	GH	63237541
434313	1476	1998-07-06	PRIJEM	PREVOD Z UCTU	6411	23279	DUCHOD	GH	63237541
434314	1476	1998-08-06	PRIJEM	PREVOD Z UCTU	6411	23890	DUCHOD	GH	63237541
434315	1476	1998-09-06	PRIJEM	PREVOD Z UCTU	6411	20197	DUCHOD	GH	63237541
434316	1476	1998-10-06	PRIJEM	PREVOD Z UCTU	6411	19336	DUCHOD	GH	63237541
434317	1476	1998-11-06	PRIJEM	PREVOD Z UCTU	6411	21936	DUCHOD	GH	63237541
434318	1476	1998-12-06	PRIJEM	PREVOD Z UCTU	6411	23137	DUCHOD	GH	63237541
434327	1476	1993-09-06	VYDAJ	PREVOD NA UCET	3467	27615	SIPO	YZ	33632028
434328	1476	1993-10-06	VYDAJ	PREVOD NA UCET	3467	28652	SIPO	YZ	33632028
434329	1476	1993-11-06	VYDAJ	PREVOD NA UCET	3467	31198	SIPO	YZ	33632028
434330	1476	1993-12-06	VYDAJ	PREVOD NA UCET	3467	29350	SIPO	YZ	33632028
434331	1476	1994-01-06	VYDAJ	PREVOD NA UCET	3467	16819	SIPO	YZ	33632028
434332	1476	1994-02-06	VYDAJ	PREVOD NA UCET	3467	15567	SIPO	YZ	33632028
434333	1476	1994-03-06	VYDAJ	PREVOD NA UCET	3467	18559	SIPO	YZ	33632028
434334	1476	1994-04-06	VYDAJ	PREVOD NA UCET	3467	21564	SIPO	YZ	33632028
434335	1476	1994-05-06	VYDAJ	PREVOD NA UCET	3467	22979	SIPO	YZ	33632028
434336	1476	1994-06-06	VYDAJ	PREVOD NA UCET	3467	25702	SIPO	YZ	33632028
434337	1476	1994-07-06	VYDAJ	PREVOD NA UCET	3467	16516	SIPO	YZ	33632028
434338	1476	1994-08-06	VYDAJ	PREVOD NA UCET	3467	19514	SIPO	YZ	33632028
434339	1476	1994-09-06	VYDAJ	PREVOD NA UCET	3467	20360	SIPO	YZ	33632028
434340	1476	1994-10-06	VYDAJ	PREVOD NA UCET	3467	23277	SIPO	YZ	33632028
434341	1476	1994-11-06	VYDAJ	PREVOD NA UCET	3467	26101	SIPO	YZ	33632028
434342	1476	1994-12-06	VYDAJ	PREVOD NA UCET	3467	27034	SIPO	YZ	33632028
434343	1476	1995-01-06	VYDAJ	PREVOD NA UCET	3467	23368	SIPO	YZ	33632028
434344	1476	1995-02-06	VYDAJ	PREVOD NA UCET	3467	17984	SIPO	YZ	33632028
434345	1476	1995-03-06	VYDAJ	PREVOD NA UCET	3467	19588	SIPO	YZ	33632028
434346	1476	1995-04-06	VYDAJ	PREVOD NA UCET	3467	19290	SIPO	YZ	33632028
434347	1476	1995-05-06	VYDAJ	PREVOD NA UCET	3467	18028	SIPO	YZ	33632028
434348	1476	1995-06-06	VYDAJ	PREVOD NA UCET	3467	18049	SIPO	YZ	33632028
434349	1476	1995-07-06	VYDAJ	PREVOD NA UCET	3467	21051	SIPO	YZ	33632028
434350	1476	1995-08-06	VYDAJ	PREVOD NA UCET	3467	20478	SIPO	YZ	33632028
434351	1476	1995-09-06	VYDAJ	PREVOD NA UCET	3467	21285	SIPO	YZ	33632028
434352	1476	1995-10-06	VYDAJ	PREVOD NA UCET	3467	21597	SIPO	YZ	33632028
434353	1476	1995-11-06	VYDAJ	PREVOD NA UCET	3467	19271	SIPO	YZ	33632028
434354	1476	1995-12-06	VYDAJ	PREVOD NA UCET	3467	20928	SIPO	YZ	33632028
434355	1476	1996-01-06	VYDAJ	PREVOD NA UCET	3467	16532	SIPO	YZ	33632028
434356	1476	1996-02-06	VYDAJ	PREVOD NA UCET	3467	16503	SIPO	YZ	33632028
434357	1476	1996-03-06	VYDAJ	PREVOD NA UCET	3467	17259	SIPO	YZ	33632028
434358	1476	1996-04-06	VYDAJ	PREVOD NA UCET	3467	15747	SIPO	YZ	33632028
434359	1476	1996-05-06	VYDAJ	PREVOD NA UCET	3467	16736	SIPO	YZ	33632028
434360	1476	1996-06-06	VYDAJ	PREVOD NA UCET	3467	19732	SIPO	YZ	33632028
434361	1476	1996-07-06	VYDAJ	PREVOD NA UCET	3467	19531	SIPO	YZ	33632028
434362	1476	1996-08-06	VYDAJ	PREVOD NA UCET	3467	17525	SIPO	YZ	33632028
434363	1476	1996-09-06	VYDAJ	PREVOD NA UCET	3467	16614	SIPO	YZ	33632028
434364	1476	1996-10-06	VYDAJ	PREVOD NA UCET	3467	15797	SIPO	YZ	33632028
434365	1476	1996-11-06	VYDAJ	PREVOD NA UCET	3467	16181	SIPO	YZ	33632028
434366	1476	1996-12-06	VYDAJ	PREVOD NA UCET	3467	11775	SIPO	YZ	33632028
434367	1476	1997-01-06	VYDAJ	PREVOD NA UCET	3467	14753	SIPO	YZ	33632028
434368	1476	1997-02-06	VYDAJ	PREVOD NA UCET	3467	16779	SIPO	YZ	33632028
434369	1476	1997-03-06	VYDAJ	PREVOD NA UCET	3467	19775	SIPO	YZ	33632028
434370	1476	1997-04-06	VYDAJ	PREVOD NA UCET	3467	20055	SIPO	YZ	33632028
434371	1476	1997-05-06	VYDAJ	PREVOD NA UCET	3467	23065	SIPO	YZ	33632028
434372	1476	1997-06-06	VYDAJ	PREVOD NA UCET	3467	15188	SIPO	YZ	33632028
434373	1476	1997-07-06	VYDAJ	PREVOD NA UCET	3467	18196	SIPO	YZ	33632028
434374	1476	1997-08-06	VYDAJ	PREVOD NA UCET	3467	21198	SIPO	YZ	33632028
434375	1476	1997-09-06	VYDAJ	PREVOD NA UCET	3467	16613	SIPO	YZ	33632028
434376	1476	1997-10-06	VYDAJ	PREVOD NA UCET	3467	19625	SIPO	YZ	33632028
434377	1476	1997-11-06	VYDAJ	PREVOD NA UCET	3467	18644	SIPO	YZ	33632028
434378	1476	1997-12-06	VYDAJ	PREVOD NA UCET	3467	18042	SIPO	YZ	33632028
434379	1476	1998-01-06	VYDAJ	PREVOD NA UCET	3467	16143	SIPO	YZ	33632028
434380	1476	1998-02-06	VYDAJ	PREVOD NA UCET	3467	17172	SIPO	YZ	33632028
434381	1476	1998-03-06	VYDAJ	PREVOD NA UCET	3467	15866	SIPO	YZ	33632028
434382	1476	1998-04-06	VYDAJ	PREVOD NA UCET	3467	18871	SIPO	YZ	33632028
434383	1476	1998-05-06	VYDAJ	PREVOD NA UCET	3467	16806	SIPO	YZ	33632028
434384	1476	1998-06-06	VYDAJ	PREVOD NA UCET	3467	19813	SIPO	YZ	33632028
434385	1476	1998-07-06	VYDAJ	PREVOD NA UCET	3467	19812	SIPO	YZ	33632028
434386	1476	1998-08-06	VYDAJ	PREVOD NA UCET	3467	20423	SIPO	YZ	33632028
434387	1476	1998-09-06	VYDAJ	PREVOD NA UCET	3467	16730	SIPO	YZ	33632028
434388	1476	1998-10-06	VYDAJ	PREVOD NA UCET	3467	15869	SIPO	YZ	33632028
434389	1476	1998-11-06	VYDAJ	PREVOD NA UCET	3467	18469	SIPO	YZ	33632028
434390	1476	1998-12-06	VYDAJ	PREVOD NA UCET	3467	19670	SIPO	YZ	33632028
434392	1476	1994-06-27	VYDAJ	VYBER	6300	16602	\N	\N	\N
434396	1476	1998-06-10	VYDAJ	VYBER	2800	17013	\N	\N	\N
434398	1476	1994-01-01	VYDAJ	VYBER	4550	16115	\N	\N	\N
434399	1476	1995-01-03	VYDAJ	VYBER	4050	20424	\N	\N	\N
434403	1476	1993-12-27	VYDAJ	VYBER	1400	20570	\N	\N	\N
434404	1476	1994-12-19	VYDAJ	VYBER	450	24384	\N	\N	\N
434405	1476	1995-12-05	VYDAJ	VYBER	450	17984	\N	\N	\N
434407	1476	1997-12-11	VYDAJ	VYBER	800	17242	\N	\N	\N
434408	1476	1998-12-28	VYDAJ	VYBER	650	17120	\N	\N	\N
434415	1476	1994-01-11	VYDAJ	VYBER	2080	13459	\N	\N	\N
434416	1476	1994-01-13	VYDAJ	VYBER	880	12579	\N	\N	\N
434417	1476	1994-01-07	VYDAJ	VYBER	1280	15539	\N	\N	\N
434419	1476	1994-01-04	VYDAJ	VYBER	2240	13875	\N	\N	\N
434421	1476	1995-01-14	VYDAJ	VYBER	1280	21528	\N	\N	\N
434422	1476	1995-01-11	VYDAJ	VYBER	560	22808	\N	\N	\N
434423	1476	1995-01-24	VYDAJ	VYBER	560	14968	\N	\N	\N
434424	1476	1995-01-16	VYDAJ	VYBER	1600	19928	\N	\N	\N
434425	1476	1995-01-21	VYDAJ	VYBER	2240	17688	\N	\N	\N
434426	1476	1995-01-21	VYDAJ	VYBER	2160	15528	\N	\N	\N
434428	1476	1996-01-03	VYDAJ	VYBER	480	13588	\N	\N	\N
434430	1476	1996-01-03	VYDAJ	VYBER	1120	14068	\N	\N	\N
434431	1476	1996-01-20	VYDAJ	VYBER	1120	13512	\N	\N	\N
434434	1476	1997-01-17	VYDAJ	VYBER	960	13793	\N	\N	\N
434442	1476	1998-01-06	VYDAJ	VYBER	1280	14863	\N	\N	\N
434444	1476	1998-01-17	VYDAJ	VYBER	480	14383	\N	\N	\N
434446	1476	1993-12-26	VYDAJ	VYBER	2560	21970	\N	\N	\N
434447	1476	1993-12-10	VYDAJ	VYBER	1520	27830	\N	\N	\N
434448	1476	1993-09-09	VYDAJ	VYBER	2000	25615	\N	\N	\N
434449	1476	1994-07-02	VYDAJ	VYBER	3120	13572	\N	\N	\N
434450	1476	1994-08-21	VYDAJ	VYBER	2160	17354	\N	\N	\N
434451	1476	1995-04-09	VYDAJ	VYBER	1280	18010	\N	\N	\N
434452	1476	1995-05-19	VYDAJ	VYBER	1280	15048	\N	\N	\N
434453	1476	1995-04-17	VYDAJ	VYBER	1680	15030	\N	\N	\N
434455	1476	1995-12-23	VYDAJ	VYBER	3200	15128	\N	\N	\N
434456	1476	1995-11-02	VYDAJ	VYBER	3840	16327	\N	\N	\N
434457	1476	1995-07-14	VYDAJ	VYBER	1280	19771	\N	\N	\N
434458	1476	1996-02-06	VYDAJ	VYBER	2240	14263	\N	\N	\N
434462	1476	1997-03-09	VYDAJ	VYBER	2720	17055	\N	\N	\N
434463	1476	1997-11-14	VYDAJ	VYBER	3600	15044	\N	\N	\N
434466	1476	1998-09-21	VYDAJ	VYBER	960	15770	\N	\N	\N
434468	1476	1998-04-29	VYDAJ	VYBER	2080	16791	\N	\N	\N
434469	1476	1998-02-11	VYDAJ	VYBER	1200	15972	\N	\N	\N
434470	1476	1998-07-20	VYDAJ	VYBER	2400	17412	\N	\N	\N
434480	1476	1993-09-30	VYDAJ	VYBER	15	25708	SLUZBY	\N	\N
434481	1476	1993-10-31	VYDAJ	VYBER	15	28254	SLUZBY	\N	\N
434482	1476	1993-11-30	VYDAJ	VYBER	15	26406	SLUZBY	\N	\N
434483	1476	1993-12-31	VYDAJ	VYBER	15	20665	SLUZBY	\N	\N
434484	1476	1994-01-31	VYDAJ	VYBER	15	12623	SLUZBY	\N	\N
434485	1476	1994-02-28	VYDAJ	VYBER	15	15615	SLUZBY	\N	\N
434486	1476	1994-03-31	VYDAJ	VYBER	15	18620	SLUZBY	\N	\N
434487	1476	1994-04-30	VYDAJ	VYBER	15	20035	SLUZBY	\N	\N
434488	1476	1994-05-31	VYDAJ	VYBER	15	22758	SLUZBY	\N	\N
434489	1476	1994-06-30	VYDAJ	VYBER	15	16692	SLUZBY	\N	\N
434490	1476	1994-07-31	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
434491	1476	1994-08-31	VYDAJ	VYBER	15	17416	SLUZBY	\N	\N
434492	1476	1994-09-30	VYDAJ	VYBER	15	20333	SLUZBY	\N	\N
434493	1476	1994-10-31	VYDAJ	VYBER	15	23157	SLUZBY	\N	\N
434494	1476	1994-11-30	VYDAJ	VYBER	15	24090	SLUZBY	\N	\N
434495	1476	1994-12-31	VYDAJ	VYBER	15	24474	SLUZBY	\N	\N
434496	1476	1995-01-31	VYDAJ	VYBER	15	15040	SLUZBY	\N	\N
434497	1476	1995-02-28	VYDAJ	VYBER	15	16644	SLUZBY	\N	\N
434498	1476	1995-03-31	VYDAJ	VYBER	15	16346	SLUZBY	\N	\N
434499	1476	1995-04-30	VYDAJ	VYBER	15	15084	SLUZBY	\N	\N
434500	1476	1995-05-31	VYDAJ	VYBER	15	15105	SLUZBY	\N	\N
434501	1476	1995-06-30	VYDAJ	VYBER	15	18107	SLUZBY	\N	\N
434502	1476	1995-07-31	VYDAJ	VYBER	15	17534	SLUZBY	\N	\N
434503	1476	1995-08-31	VYDAJ	VYBER	15	18341	SLUZBY	\N	\N
434504	1476	1995-09-30	VYDAJ	VYBER	15	18653	SLUZBY	\N	\N
434505	1476	1995-10-31	VYDAJ	VYBER	15	20167	SLUZBY	\N	\N
434506	1476	1995-11-30	VYDAJ	VYBER	15	18434	SLUZBY	\N	\N
434507	1476	1995-12-31	VYDAJ	VYBER	15	15188	SLUZBY	\N	\N
434508	1476	1996-01-31	VYDAJ	VYBER	15	13559	SLUZBY	\N	\N
434509	1476	1996-02-29	VYDAJ	VYBER	15	14315	SLUZBY	\N	\N
434510	1476	1996-03-31	VYDAJ	VYBER	15	12803	SLUZBY	\N	\N
434511	1476	1996-04-30	VYDAJ	VYBER	15	13792	SLUZBY	\N	\N
434512	1476	1996-05-31	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
434513	1476	1996-06-30	VYDAJ	VYBER	15	16587	SLUZBY	\N	\N
434514	1476	1996-07-31	VYDAJ	VYBER	15	14581	SLUZBY	\N	\N
434515	1476	1996-08-31	VYDAJ	VYBER	15	13670	SLUZBY	\N	\N
434516	1476	1996-09-30	VYDAJ	VYBER	15	12853	SLUZBY	\N	\N
434517	1476	1996-10-31	VYDAJ	VYBER	15	13237	SLUZBY	\N	\N
434518	1476	1996-11-30	VYDAJ	VYBER	15	12631	SLUZBY	\N	\N
434519	1476	1996-12-31	VYDAJ	VYBER	15	11809	SLUZBY	\N	\N
434520	1476	1997-01-31	VYDAJ	VYBER	15	13835	SLUZBY	\N	\N
434521	1476	1997-02-28	VYDAJ	VYBER	15	16831	SLUZBY	\N	\N
434522	1476	1997-03-31	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
434523	1476	1997-04-30	VYDAJ	VYBER	15	20121	SLUZBY	\N	\N
434524	1476	1997-05-31	VYDAJ	VYBER	15	23144	SLUZBY	\N	\N
434525	1476	1997-06-30	VYDAJ	VYBER	15	15252	SLUZBY	\N	\N
434526	1476	1997-07-31	VYDAJ	VYBER	15	18254	SLUZBY	\N	\N
434527	1476	1997-08-31	VYDAJ	VYBER	15	21269	SLUZBY	\N	\N
434528	1476	1997-09-30	VYDAJ	VYBER	15	16681	SLUZBY	\N	\N
434529	1476	1997-10-31	VYDAJ	VYBER	15	19700	SLUZBY	\N	\N
434530	1476	1997-11-30	VYDAJ	VYBER	15	15098	SLUZBY	\N	\N
434531	1476	1997-12-31	VYDAJ	VYBER	15	13199	SLUZBY	\N	\N
434532	1476	1998-01-31	VYDAJ	VYBER	15	14228	SLUZBY	\N	\N
434533	1476	1998-02-28	VYDAJ	VYBER	15	16022	SLUZBY	\N	\N
434534	1476	1998-03-31	VYDAJ	VYBER	15	15927	SLUZBY	\N	\N
434535	1476	1998-04-30	VYDAJ	VYBER	15	16862	SLUZBY	\N	\N
434536	1476	1998-05-31	VYDAJ	VYBER	15	16869	SLUZBY	\N	\N
434537	1476	1998-06-30	VYDAJ	VYBER	15	16868	SLUZBY	\N	\N
434538	1476	1998-07-31	VYDAJ	VYBER	15	17479	SLUZBY	\N	\N
434539	1476	1998-08-31	VYDAJ	VYBER	15	13786	SLUZBY	\N	\N
434540	1476	1998-09-30	VYDAJ	VYBER	15	12925	SLUZBY	\N	\N
434541	1476	1998-10-31	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
434542	1476	1998-11-30	VYDAJ	VYBER	15	16726	SLUZBY	\N	\N
434543	1476	1993-08-24	VYDAJ	VYBER	1200	24644	\N	\N	\N
434544	1476	1993-10-23	VYDAJ	VYBER	500	28152	\N	\N	\N
434545	1476	1993-11-22	VYDAJ	VYBER	4900	26298	\N	\N	\N
434546	1476	1993-12-22	VYDAJ	VYBER	3300	24530	\N	\N	\N
434547	1476	1994-04-21	VYDAJ	VYBER	1600	19964	\N	\N	\N
434548	1476	1994-05-21	VYDAJ	VYBER	300	22679	\N	\N	\N
434549	1476	1994-06-20	VYDAJ	VYBER	2800	22902	\N	\N	\N
434550	1476	1994-09-18	VYDAJ	VYBER	100	20260	\N	\N	\N
434551	1476	1994-10-18	VYDAJ	VYBER	200	23077	\N	\N	\N
434552	1476	1994-11-17	VYDAJ	VYBER	2100	24001	\N	\N	\N
434553	1476	1994-12-17	VYDAJ	VYBER	2200	24834	\N	\N	\N
434554	1476	1995-02-15	VYDAJ	VYBER	1400	16584	\N	\N	\N
434555	1476	1995-03-17	VYDAJ	VYBER	3300	16288	\N	\N	\N
434556	1476	1995-04-16	VYDAJ	VYBER	1300	16710	\N	\N	\N
434557	1476	1995-05-16	VYDAJ	VYBER	1700	16328	\N	\N	\N
434558	1476	1995-07-15	VYDAJ	VYBER	2300	17471	\N	\N	\N
434559	1476	1995-08-14	VYDAJ	VYBER	2200	18278	\N	\N	\N
434560	1476	1995-09-13	VYDAJ	VYBER	2700	18585	\N	\N	\N
434561	1476	1995-10-13	VYDAJ	VYBER	1500	20097	\N	\N	\N
434562	1476	1995-11-12	VYDAJ	VYBER	900	18371	\N	\N	\N
434563	1476	1995-12-12	VYDAJ	VYBER	2600	18328	\N	\N	\N
434564	1476	1996-01-11	VYDAJ	VYBER	1900	14632	\N	\N	\N
434565	1476	1996-03-11	VYDAJ	VYBER	4500	12759	\N	\N	\N
434566	1476	1996-04-10	VYDAJ	VYBER	2000	13747	\N	\N	\N
434567	1476	1996-06-09	VYDAJ	VYBER	3200	16532	\N	\N	\N
434568	1476	1996-07-09	VYDAJ	VYBER	5000	14531	\N	\N	\N
434569	1476	1996-08-08	VYDAJ	VYBER	3900	13625	\N	\N	\N
434570	1476	1996-09-07	VYDAJ	VYBER	3800	12814	\N	\N	\N
434571	1476	1996-10-07	VYDAJ	VYBER	2600	13197	\N	\N	\N
434572	1476	1996-11-06	VYDAJ	VYBER	3600	12581	\N	\N	\N
434573	1476	1996-12-06	VYDAJ	VYBER	3800	15242	\N	\N	\N
434574	1476	1997-06-04	VYDAJ	VYBER	10900	12244	\N	\N	\N
434575	1476	1997-09-02	VYDAJ	VYBER	7600	13669	\N	\N	\N
434576	1476	1997-11-01	VYDAJ	VYBER	4000	15700	\N	\N	\N
434577	1476	1997-12-31	VYDAJ	VYBER	4100	13213	\N	\N	\N
434578	1476	1998-01-30	VYDAJ	VYBER	200	14183	\N	\N	\N
434579	1476	1998-03-01	VYDAJ	VYBER	3100	12922	\N	\N	\N
434580	1476	1998-04-30	VYDAJ	VYBER	3000	13862	\N	\N	\N
434581	1476	1998-06-29	VYDAJ	VYBER	200	16813	\N	\N	\N
434582	1476	1998-08-28	VYDAJ	VYBER	6700	13723	\N	\N	\N
434583	1476	1998-09-27	VYDAJ	VYBER	2900	12870	\N	\N	\N
434584	1476	1998-10-27	VYDAJ	VYBER	400	15469	\N	\N	\N
434585	1476	1998-11-26	VYDAJ	VYBER	1800	16669	\N	\N	\N
434586	1476	1998-12-26	VYDAJ	VYBER	1900	17770	\N	\N	\N
434652	1477	1993-02-08	PRIJEM	VKLAD	700	3851	\N	\N	\N
434654	1477	1993-02-08	PRIJEM	PREVOD Z UCTU	3151	3151	\N	KL	92373114
434655	1477	1993-03-08	PRIJEM	PREVOD Z UCTU	3151	7012	\N	KL	92373114
434656	1477	1993-04-08	PRIJEM	PREVOD Z UCTU	3151	10176	\N	KL	92373114
434657	1477	1993-05-08	PRIJEM	PREVOD Z UCTU	3151	13340	\N	KL	92373114
434658	1477	1993-06-08	PRIJEM	PREVOD Z UCTU	3151	16504	\N	KL	92373114
434659	1477	1993-07-08	PRIJEM	PREVOD Z UCTU	3151	17556	\N	KL	92373114
434660	1477	1993-08-08	PRIJEM	PREVOD Z UCTU	3151	18664	\N	KL	92373114
434661	1477	1993-09-08	PRIJEM	PREVOD Z UCTU	3151	18667	\N	KL	92373114
434662	1477	1993-10-08	PRIJEM	PREVOD Z UCTU	3151	19781	\N	KL	92373114
434663	1477	1993-11-08	PRIJEM	PREVOD Z UCTU	3151	20899	\N	KL	92373114
434664	1477	1993-12-08	PRIJEM	PREVOD Z UCTU	3151	20730	\N	KL	92373114
434665	1477	1994-01-08	PRIJEM	PREVOD Z UCTU	3151	20411	\N	KL	92373114
434666	1477	1994-02-08	PRIJEM	PREVOD Z UCTU	3151	20089	\N	KL	92373114
434667	1477	1994-03-08	PRIJEM	PREVOD Z UCTU	3151	21108	\N	KL	92373114
434668	1477	1994-04-08	PRIJEM	PREVOD Z UCTU	3151	21028	\N	KL	92373114
434669	1477	1994-05-08	PRIJEM	PREVOD Z UCTU	3151	22051	\N	KL	92373114
434670	1477	1994-06-08	PRIJEM	PREVOD Z UCTU	3151	23178	\N	KL	92373114
434671	1477	1994-07-08	PRIJEM	PREVOD Z UCTU	3151	20680	\N	KL	92373114
434672	1477	1994-08-08	PRIJEM	PREVOD Z UCTU	3151	21803	\N	KL	92373114
434673	1477	1994-09-08	PRIJEM	PREVOD Z UCTU	3151	21729	\N	KL	92373114
434674	1477	1994-10-08	PRIJEM	PREVOD Z UCTU	3151	21594	\N	KL	92373114
434675	1477	1994-11-08	PRIJEM	PREVOD Z UCTU	3151	18339	\N	KL	92373114
434676	1477	1994-12-08	PRIJEM	PREVOD Z UCTU	3151	18247	\N	KL	92373114
434677	1477	1995-01-08	PRIJEM	PREVOD Z UCTU	3151	15238	\N	KL	92373114
434678	1477	1995-02-08	PRIJEM	PREVOD Z UCTU	3151	12602	\N	KL	92373114
434679	1477	1995-03-08	PRIJEM	PREVOD Z UCTU	3151	12689	\N	KL	92373114
434680	1477	1995-04-08	PRIJEM	PREVOD Z UCTU	3151	13777	\N	KL	92373114
434681	1477	1995-05-08	PRIJEM	PREVOD Z UCTU	3151	14870	\N	KL	92373114
434682	1477	1995-06-08	PRIJEM	PREVOD Z UCTU	3151	13125	\N	KL	92373114
434683	1477	1995-07-08	PRIJEM	PREVOD Z UCTU	3151	13214	\N	KL	92373114
434684	1477	1995-08-08	PRIJEM	PREVOD Z UCTU	3151	14304	\N	KL	92373114
434685	1477	1995-09-08	PRIJEM	PREVOD Z UCTU	3151	13097	\N	KL	92373114
434686	1477	1995-10-08	PRIJEM	PREVOD Z UCTU	3151	14187	\N	KL	92373114
434687	1477	1995-11-08	PRIJEM	PREVOD Z UCTU	3151	15281	\N	KL	92373114
434688	1477	1995-12-08	PRIJEM	PREVOD Z UCTU	3151	16379	\N	KL	92373114
434689	1477	1996-01-08	PRIJEM	PREVOD Z UCTU	3151	15862	\N	KL	92373114
434690	1477	1996-02-08	PRIJEM	PREVOD Z UCTU	3151	15159	\N	KL	92373114
434691	1477	1996-03-08	PRIJEM	PREVOD Z UCTU	3151	15987	\N	KL	92373114
434692	1477	1996-04-08	PRIJEM	PREVOD Z UCTU	3151	15948	\N	KL	92373114
434693	1477	1996-05-08	PRIJEM	PREVOD Z UCTU	3151	16419	\N	KL	92373114
434694	1477	1996-06-08	PRIJEM	PREVOD Z UCTU	3151	17522	\N	KL	92373114
434695	1477	1996-07-08	PRIJEM	PREVOD Z UCTU	3151	18630	\N	KL	92373114
434696	1477	1996-08-08	PRIJEM	PREVOD Z UCTU	3151	18299	\N	KL	92373114
434697	1477	1996-09-08	PRIJEM	PREVOD Z UCTU	3151	19410	\N	KL	92373114
434698	1477	1996-10-08	PRIJEM	PREVOD Z UCTU	3151	20525	\N	KL	92373114
434699	1477	1996-11-08	PRIJEM	PREVOD Z UCTU	3151	19304	\N	KL	92373114
434700	1477	1996-12-08	PRIJEM	PREVOD Z UCTU	3151	18227	\N	KL	92373114
434701	1477	1997-01-08	PRIJEM	PREVOD Z UCTU	3151	18258	\N	KL	92373114
434702	1477	1997-02-08	PRIJEM	PREVOD Z UCTU	3151	16905	\N	KL	92373114
434703	1477	1997-03-08	PRIJEM	PREVOD Z UCTU	3151	16989	\N	KL	92373114
434704	1477	1997-04-08	PRIJEM	PREVOD Z UCTU	3151	18094	\N	KL	92373114
434705	1477	1997-05-08	PRIJEM	PREVOD Z UCTU	3151	19204	\N	KL	92373114
434706	1477	1997-06-08	PRIJEM	PREVOD Z UCTU	3151	20318	\N	KL	92373114
434707	1477	1997-07-08	PRIJEM	PREVOD Z UCTU	3151	21437	\N	KL	92373114
434708	1477	1997-08-08	PRIJEM	PREVOD Z UCTU	3151	22560	\N	KL	92373114
434709	1477	1997-09-08	PRIJEM	PREVOD Z UCTU	3151	23688	\N	KL	92373114
434710	1477	1997-10-08	PRIJEM	PREVOD Z UCTU	3151	24641	\N	KL	92373114
434711	1477	1997-11-08	PRIJEM	PREVOD Z UCTU	3151	25777	\N	KL	92373114
434712	1477	1997-12-08	PRIJEM	PREVOD Z UCTU	3151	25538	\N	KL	92373114
434713	1477	1998-01-08	PRIJEM	PREVOD Z UCTU	3151	24546	\N	KL	92373114
434714	1477	1998-02-08	PRIJEM	PREVOD Z UCTU	3151	23999	\N	KL	92373114
434715	1477	1998-03-08	PRIJEM	PREVOD Z UCTU	3151	25133	\N	KL	92373114
434716	1477	1998-04-08	PRIJEM	PREVOD Z UCTU	3151	18953	\N	KL	92373114
434717	1477	1998-05-08	PRIJEM	PREVOD Z UCTU	3151	15755	\N	KL	92373114
434718	1477	1998-06-08	PRIJEM	PREVOD Z UCTU	3151	16854	\N	KL	92373114
434719	1477	1998-07-08	PRIJEM	PREVOD Z UCTU	3151	17958	\N	KL	92373114
434720	1477	1998-08-08	PRIJEM	PREVOD Z UCTU	3151	17715	\N	KL	92373114
434721	1477	1998-09-08	PRIJEM	PREVOD Z UCTU	3151	18822	\N	KL	92373114
434722	1477	1998-10-08	PRIJEM	PREVOD Z UCTU	3151	19933	\N	KL	92373114
434723	1477	1998-11-08	PRIJEM	PREVOD Z UCTU	3151	21050	\N	KL	92373114
434724	1477	1998-12-08	PRIJEM	PREVOD Z UCTU	3151	22170	\N	KL	92373114
434731	1477	1993-07-06	VYDAJ	PREVOD NA UCET	2100	14405	\N	OP	39149236
434732	1477	1993-08-06	VYDAJ	PREVOD NA UCET	2100	15513	\N	OP	39149236
434733	1477	1993-09-06	VYDAJ	PREVOD NA UCET	2100	16626	\N	OP	39149236
434734	1477	1993-10-06	VYDAJ	PREVOD NA UCET	2100	16630	\N	OP	39149236
434735	1477	1993-11-06	VYDAJ	PREVOD NA UCET	2100	17748	\N	OP	39149236
434736	1477	1993-12-06	VYDAJ	PREVOD NA UCET	2100	17579	\N	OP	39149236
434737	1477	1994-01-06	VYDAJ	PREVOD NA UCET	2100	17260	\N	OP	39149236
434738	1477	1994-02-06	VYDAJ	PREVOD NA UCET	2100	16938	\N	OP	39149236
434739	1477	1994-03-06	VYDAJ	PREVOD NA UCET	2100	17957	\N	OP	39149236
434740	1477	1994-04-06	VYDAJ	PREVOD NA UCET	2100	17877	\N	OP	39149236
434741	1477	1994-05-06	VYDAJ	PREVOD NA UCET	2100	18900	\N	OP	39149236
434742	1477	1994-06-06	VYDAJ	PREVOD NA UCET	2100	20027	\N	OP	39149236
434743	1477	1994-07-06	VYDAJ	PREVOD NA UCET	2100	18759	\N	OP	39149236
434744	1477	1994-08-06	VYDAJ	PREVOD NA UCET	2100	18652	\N	OP	39149236
434745	1477	1994-09-06	VYDAJ	PREVOD NA UCET	2100	18578	\N	OP	39149236
434746	1477	1994-10-06	VYDAJ	PREVOD NA UCET	2100	18443	\N	OP	39149236
434747	1477	1994-11-06	VYDAJ	PREVOD NA UCET	2100	15188	\N	OP	39149236
434748	1477	1994-12-06	VYDAJ	PREVOD NA UCET	2100	15096	\N	OP	39149236
434749	1477	1995-01-06	VYDAJ	PREVOD NA UCET	2100	12087	\N	OP	39149236
434750	1477	1995-02-06	VYDAJ	PREVOD NA UCET	2100	9451	\N	OP	39149236
434751	1477	1995-03-06	VYDAJ	PREVOD NA UCET	2100	9538	\N	OP	39149236
434752	1477	1995-04-06	VYDAJ	PREVOD NA UCET	2100	10626	\N	OP	39149236
434753	1477	1995-05-06	VYDAJ	PREVOD NA UCET	2100	11719	\N	OP	39149236
434754	1477	1995-06-06	VYDAJ	PREVOD NA UCET	2100	9974	\N	OP	39149236
434755	1477	1995-07-06	VYDAJ	PREVOD NA UCET	2100	10063	\N	OP	39149236
434756	1477	1995-08-06	VYDAJ	PREVOD NA UCET	2100	11153	\N	OP	39149236
434757	1477	1995-09-06	VYDAJ	PREVOD NA UCET	2100	9946	\N	OP	39149236
434758	1477	1995-10-06	VYDAJ	PREVOD NA UCET	2100	11036	\N	OP	39149236
434759	1477	1995-11-06	VYDAJ	PREVOD NA UCET	2100	12130	\N	OP	39149236
434760	1477	1995-12-06	VYDAJ	PREVOD NA UCET	2100	13228	\N	OP	39149236
434761	1477	1996-01-06	VYDAJ	PREVOD NA UCET	2100	12711	\N	OP	39149236
434762	1477	1996-02-06	VYDAJ	PREVOD NA UCET	2100	12008	\N	OP	39149236
434763	1477	1996-03-06	VYDAJ	PREVOD NA UCET	2100	12836	\N	OP	39149236
434764	1477	1996-04-06	VYDAJ	PREVOD NA UCET	2100	12797	\N	OP	39149236
434765	1477	1996-05-06	VYDAJ	PREVOD NA UCET	2100	13268	\N	OP	39149236
434766	1477	1996-06-06	VYDAJ	PREVOD NA UCET	2100	14371	\N	OP	39149236
434767	1477	1996-07-06	VYDAJ	PREVOD NA UCET	2100	15479	\N	OP	39149236
434768	1477	1996-08-06	VYDAJ	PREVOD NA UCET	2100	15148	\N	OP	39149236
434769	1477	1996-09-06	VYDAJ	PREVOD NA UCET	2100	16259	\N	OP	39149236
434770	1477	1996-10-06	VYDAJ	PREVOD NA UCET	2100	17374	\N	OP	39149236
434771	1477	1996-11-06	VYDAJ	PREVOD NA UCET	2100	16153	\N	OP	39149236
434772	1477	1996-12-06	VYDAJ	PREVOD NA UCET	2100	15076	\N	OP	39149236
434773	1477	1997-01-06	VYDAJ	PREVOD NA UCET	2100	15347	\N	OP	39149236
434774	1477	1997-02-06	VYDAJ	PREVOD NA UCET	2100	13754	\N	OP	39149236
434775	1477	1997-03-06	VYDAJ	PREVOD NA UCET	2100	13838	\N	OP	39149236
434776	1477	1997-04-06	VYDAJ	PREVOD NA UCET	2100	14943	\N	OP	39149236
434777	1477	1997-05-06	VYDAJ	PREVOD NA UCET	2100	16053	\N	OP	39149236
434778	1477	1997-06-06	VYDAJ	PREVOD NA UCET	2100	17167	\N	OP	39149236
434779	1477	1997-07-06	VYDAJ	PREVOD NA UCET	2100	18286	\N	OP	39149236
434780	1477	1997-08-06	VYDAJ	PREVOD NA UCET	2100	19409	\N	OP	39149236
434781	1477	1997-09-06	VYDAJ	PREVOD NA UCET	2100	20537	\N	OP	39149236
434782	1477	1997-10-06	VYDAJ	PREVOD NA UCET	2100	21670	\N	OP	39149236
434783	1477	1997-11-06	VYDAJ	PREVOD NA UCET	2100	22626	\N	OP	39149236
434784	1477	1997-12-06	VYDAJ	PREVOD NA UCET	2100	22387	\N	OP	39149236
434785	1477	1998-01-06	VYDAJ	PREVOD NA UCET	2100	21965	\N	OP	39149236
434786	1477	1998-02-06	VYDAJ	PREVOD NA UCET	2100	20848	\N	OP	39149236
434787	1477	1998-03-06	VYDAJ	PREVOD NA UCET	2100	21982	\N	OP	39149236
434788	1477	1998-04-06	VYDAJ	PREVOD NA UCET	2100	15802	\N	OP	39149236
434789	1477	1998-05-06	VYDAJ	PREVOD NA UCET	2100	12604	\N	OP	39149236
434790	1477	1998-06-06	VYDAJ	PREVOD NA UCET	2100	13703	\N	OP	39149236
434791	1477	1998-07-06	VYDAJ	PREVOD NA UCET	2100	14807	\N	OP	39149236
434792	1477	1998-08-06	VYDAJ	PREVOD NA UCET	2100	14564	\N	OP	39149236
434793	1477	1998-09-06	VYDAJ	PREVOD NA UCET	2100	15671	\N	OP	39149236
434794	1477	1998-10-06	VYDAJ	PREVOD NA UCET	2100	16782	\N	OP	39149236
434795	1477	1998-11-06	VYDAJ	PREVOD NA UCET	2100	17899	\N	OP	39149236
434796	1477	1998-12-06	VYDAJ	PREVOD NA UCET	2100	19019	\N	OP	39149236
434797	1477	1993-12-28	VYDAJ	VYBER	210	20520	\N	\N	\N
434798	1477	1994-12-27	VYDAJ	VYBER	480	17767	\N	\N	\N
434799	1477	1995-12-22	VYDAJ	VYBER	690	15689	\N	\N	\N
434800	1477	1996-12-06	VYDAJ	VYBER	180	17176	\N	\N	\N
434801	1477	1997-12-14	VYDAJ	VYBER	780	24758	\N	\N	\N
434802	1477	1998-12-29	VYDAJ	VYBER	540	21630	\N	\N	\N
434809	1477	1994-01-04	VYDAJ	VYBER	420	19360	\N	\N	\N
434810	1477	1994-01-15	VYDAJ	VYBER	420	19571	\N	\N	\N
434811	1477	1994-01-15	VYDAJ	VYBER	180	19991	\N	\N	\N
434812	1477	1994-01-02	VYDAJ	VYBER	810	19780	\N	\N	\N
434813	1477	1994-01-10	VYDAJ	VYBER	240	20171	\N	\N	\N
434814	1477	1994-01-19	VYDAJ	VYBER	600	18971	\N	\N	\N
434816	1477	1995-01-24	VYDAJ	VYBER	840	13408	\N	\N	\N
434817	1477	1995-01-03	VYDAJ	VYBER	270	14187	\N	\N	\N
434818	1477	1995-01-12	VYDAJ	VYBER	480	14758	\N	\N	\N
434819	1477	1995-01-02	VYDAJ	VYBER	870	14457	\N	\N	\N
434820	1477	1995-01-14	VYDAJ	VYBER	510	14248	\N	\N	\N
434821	1477	1996-01-20	VYDAJ	VYBER	510	14062	\N	\N	\N
434822	1477	1996-01-15	VYDAJ	VYBER	510	14572	\N	\N	\N
434823	1477	1996-01-02	VYDAJ	VYBER	720	15021	\N	\N	\N
434825	1477	1996-01-14	VYDAJ	VYBER	780	15082	\N	\N	\N
434826	1477	1996-01-06	VYDAJ	VYBER	210	14811	\N	\N	\N
434827	1477	1997-01-27	VYDAJ	VYBER	480	16548	\N	\N	\N
434828	1477	1997-01-07	VYDAJ	VYBER	240	15107	\N	\N	\N
434829	1477	1997-01-12	VYDAJ	VYBER	180	18078	\N	\N	\N
434830	1477	1997-01-04	VYDAJ	VYBER	840	17447	\N	\N	\N
434831	1477	1997-01-14	VYDAJ	VYBER	810	17268	\N	\N	\N
434832	1477	1997-01-17	VYDAJ	VYBER	240	17028	\N	\N	\N
434833	1477	1998-01-16	VYDAJ	VYBER	600	23196	\N	\N	\N
434834	1477	1998-01-14	VYDAJ	VYBER	450	23796	\N	\N	\N
434835	1477	1998-01-02	VYDAJ	VYBER	780	24065	\N	\N	\N
434836	1477	1998-01-07	VYDAJ	VYBER	570	21395	\N	\N	\N
434837	1477	1998-01-14	VYDAJ	VYBER	300	24246	\N	\N	\N
434838	1477	1998-01-22	VYDAJ	VYBER	330	22866	\N	\N	\N
434839	1477	1993-09-07	VYDAJ	VYBER	1110	15516	\N	\N	\N
434840	1477	1993-11-08	VYDAJ	VYBER	180	20719	\N	\N	\N
434841	1477	1993-11-22	VYDAJ	VYBER	1110	19609	\N	\N	\N
434842	1477	1994-07-07	VYDAJ	VYBER	1230	17529	\N	\N	\N
434843	1477	1994-03-15	VYDAJ	VYBER	1200	19908	\N	\N	\N
434844	1477	1994-11-02	VYDAJ	VYBER	1380	17288	\N	\N	\N
434845	1477	1994-09-22	VYDAJ	VYBER	1260	20469	\N	\N	\N
434846	1477	1994-11-10	VYDAJ	VYBER	1200	17139	\N	\N	\N
434848	1477	1995-05-18	VYDAJ	VYBER	840	14030	\N	\N	\N
434850	1477	1996-04-25	VYDAJ	VYBER	630	15318	\N	\N	\N
434851	1477	1996-11-24	VYDAJ	VYBER	1290	18014	\N	\N	\N
434852	1477	1996-10-20	VYDAJ	VYBER	990	19535	\N	\N	\N
434853	1477	1996-11-24	VYDAJ	VYBER	720	17294	\N	\N	\N
434854	1477	1996-04-02	VYDAJ	VYBER	1140	14897	\N	\N	\N
434855	1477	1996-03-05	VYDAJ	VYBER	270	14936	\N	\N	\N
434856	1477	1996-07-17	VYDAJ	VYBER	1440	17190	\N	\N	\N
434857	1477	1996-11-04	VYDAJ	VYBER	1350	18253	\N	\N	\N
434858	1477	1997-10-07	VYDAJ	VYBER	180	21490	\N	\N	\N
434859	1477	1997-02-27	VYDAJ	VYBER	1020	15885	\N	\N	\N
434860	1477	1997-01-31	VYDAJ	VYBER	750	15854	\N	\N	\N
434861	1477	1997-11-08	VYDAJ	VYBER	1380	24397	\N	\N	\N
434862	1477	1998-07-30	VYDAJ	VYBER	660	16608	\N	\N	\N
434864	1477	1998-07-26	VYDAJ	VYBER	690	17268	\N	\N	\N
434871	1477	1993-06-30	VYDAJ	VYBER	15	16505	SLUZBY	\N	\N
434872	1477	1993-07-31	VYDAJ	VYBER	15	17613	SLUZBY	\N	\N
434873	1477	1993-08-31	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
434874	1477	1993-09-30	VYDAJ	VYBER	15	18730	SLUZBY	\N	\N
434875	1477	1993-10-31	VYDAJ	VYBER	15	19848	SLUZBY	\N	\N
434876	1477	1993-11-30	VYDAJ	VYBER	15	19679	SLUZBY	\N	\N
434877	1477	1993-12-31	VYDAJ	VYBER	15	20590	SLUZBY	\N	\N
434878	1477	1994-01-31	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
434879	1477	1994-02-28	VYDAJ	VYBER	15	20157	SLUZBY	\N	\N
434880	1477	1994-03-31	VYDAJ	VYBER	15	19977	SLUZBY	\N	\N
434881	1477	1994-04-30	VYDAJ	VYBER	15	21100	SLUZBY	\N	\N
434882	1477	1994-05-31	VYDAJ	VYBER	15	22127	SLUZBY	\N	\N
434883	1477	1994-06-30	VYDAJ	VYBER	15	23259	SLUZBY	\N	\N
434884	1477	1994-07-31	VYDAJ	VYBER	15	20752	SLUZBY	\N	\N
434885	1477	1994-08-31	VYDAJ	VYBER	15	21878	SLUZBY	\N	\N
434886	1477	1994-09-30	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
434887	1477	1994-10-31	VYDAJ	VYBER	15	18668	SLUZBY	\N	\N
434888	1477	1994-11-30	VYDAJ	VYBER	15	17196	SLUZBY	\N	\N
434889	1477	1994-12-31	VYDAJ	VYBER	15	15327	SLUZBY	\N	\N
434890	1477	1995-01-31	VYDAJ	VYBER	15	11551	SLUZBY	\N	\N
434891	1477	1995-02-28	VYDAJ	VYBER	15	11638	SLUZBY	\N	\N
434892	1477	1995-03-31	VYDAJ	VYBER	15	12726	SLUZBY	\N	\N
434893	1477	1995-04-30	VYDAJ	VYBER	15	13819	SLUZBY	\N	\N
434894	1477	1995-05-31	VYDAJ	VYBER	15	12074	SLUZBY	\N	\N
434895	1477	1995-06-30	VYDAJ	VYBER	15	12163	SLUZBY	\N	\N
434896	1477	1995-07-31	VYDAJ	VYBER	15	13253	SLUZBY	\N	\N
434897	1477	1995-08-31	VYDAJ	VYBER	15	12046	SLUZBY	\N	\N
434898	1477	1995-09-30	VYDAJ	VYBER	15	13136	SLUZBY	\N	\N
434899	1477	1995-10-31	VYDAJ	VYBER	15	14230	SLUZBY	\N	\N
434900	1477	1995-11-30	VYDAJ	VYBER	15	15328	SLUZBY	\N	\N
434901	1477	1995-12-31	VYDAJ	VYBER	15	15741	SLUZBY	\N	\N
434902	1477	1996-01-31	VYDAJ	VYBER	15	14108	SLUZBY	\N	\N
434903	1477	1996-02-29	VYDAJ	VYBER	15	15206	SLUZBY	\N	\N
434904	1477	1996-03-31	VYDAJ	VYBER	15	16037	SLUZBY	\N	\N
434905	1477	1996-04-30	VYDAJ	VYBER	15	15368	SLUZBY	\N	\N
434906	1477	1996-05-31	VYDAJ	VYBER	15	16471	SLUZBY	\N	\N
434907	1477	1996-06-30	VYDAJ	VYBER	15	17579	SLUZBY	\N	\N
434908	1477	1996-07-31	VYDAJ	VYBER	15	17248	SLUZBY	\N	\N
434909	1477	1996-08-31	VYDAJ	VYBER	15	18359	SLUZBY	\N	\N
434910	1477	1996-09-30	VYDAJ	VYBER	15	19474	SLUZBY	\N	\N
434911	1477	1996-10-31	VYDAJ	VYBER	15	19603	SLUZBY	\N	\N
434912	1477	1996-11-30	VYDAJ	VYBER	15	17356	SLUZBY	\N	\N
434913	1477	1996-12-31	VYDAJ	VYBER	15	18287	SLUZBY	\N	\N
434914	1477	1997-01-31	VYDAJ	VYBER	15	16604	SLUZBY	\N	\N
434915	1477	1997-02-28	VYDAJ	VYBER	15	15938	SLUZBY	\N	\N
434916	1477	1997-03-31	VYDAJ	VYBER	15	17043	SLUZBY	\N	\N
434917	1477	1997-04-30	VYDAJ	VYBER	15	18153	SLUZBY	\N	\N
434918	1477	1997-05-31	VYDAJ	VYBER	15	19267	SLUZBY	\N	\N
434919	1477	1997-06-30	VYDAJ	VYBER	15	20386	SLUZBY	\N	\N
434920	1477	1997-07-31	VYDAJ	VYBER	15	21509	SLUZBY	\N	\N
434921	1477	1997-08-31	VYDAJ	VYBER	15	22637	SLUZBY	\N	\N
434922	1477	1997-09-30	VYDAJ	VYBER	15	23770	SLUZBY	\N	\N
434923	1477	1997-10-31	VYDAJ	VYBER	15	24726	SLUZBY	\N	\N
434924	1477	1997-11-30	VYDAJ	VYBER	15	24487	SLUZBY	\N	\N
434925	1477	1997-12-31	VYDAJ	VYBER	15	24845	SLUZBY	\N	\N
434926	1477	1998-01-31	VYDAJ	VYBER	15	22948	SLUZBY	\N	\N
434927	1477	1998-02-28	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
434928	1477	1998-03-31	VYDAJ	VYBER	15	17902	SLUZBY	\N	\N
434929	1477	1998-04-30	VYDAJ	VYBER	15	14704	SLUZBY	\N	\N
434930	1477	1998-05-31	VYDAJ	VYBER	15	15803	SLUZBY	\N	\N
434931	1477	1998-06-30	VYDAJ	VYBER	15	16907	SLUZBY	\N	\N
434932	1477	1998-07-31	VYDAJ	VYBER	15	16664	SLUZBY	\N	\N
434933	1477	1998-08-31	VYDAJ	VYBER	15	17771	SLUZBY	\N	\N
434934	1477	1998-09-30	VYDAJ	VYBER	15	18882	SLUZBY	\N	\N
434935	1477	1998-10-31	VYDAJ	VYBER	15	19999	SLUZBY	\N	\N
434936	1477	1998-11-30	VYDAJ	VYBER	15	21119	SLUZBY	\N	\N
434937	1477	1994-03-05	VYDAJ	VYBER	100	20057	\N	\N	\N
434938	1477	1994-05-04	VYDAJ	VYBER	100	21000	\N	\N	\N
434939	1477	1994-07-03	VYDAJ	VYBER	2400	20859	\N	\N	\N
434940	1477	1994-09-01	VYDAJ	VYBER	1200	20678	\N	\N	\N
434941	1477	1994-10-31	VYDAJ	VYBER	3000	18682	\N	\N	\N
434942	1477	1994-12-30	VYDAJ	VYBER	2500	15267	\N	\N	\N
434943	1477	1995-01-29	VYDAJ	VYBER	1900	11508	\N	\N	\N
434944	1477	1995-02-28	VYDAJ	VYBER	1000	11653	\N	\N	\N
434945	1477	1995-05-29	VYDAJ	VYBER	2000	12030	\N	\N	\N
434946	1477	1995-06-28	VYDAJ	VYBER	1000	12125	\N	\N	\N
434947	1477	1995-08-27	VYDAJ	VYBER	2300	12004	\N	\N	\N
434948	1477	1998-03-14	VYDAJ	VYBER	7300	17833	\N	\N	\N
434949	1477	1998-04-13	VYDAJ	VYBER	4300	14653	\N	\N	\N
435021	1478	1996-10-30	PRIJEM	VKLAD	900	900	\N	\N	\N
435032	1478	1996-11-23	PRIJEM	VKLAD	11719	12619	\N	\N	\N
435038	1478	1996-12-02	PRIJEM	VKLAD	47620	63944	\N	\N	\N
435044	1478	1997-09-17	PRIJEM	VKLAD	13597	51784	\N	\N	\N
435045	1478	1997-03-14	PRIJEM	VKLAD	16912	89937	\N	\N	\N
435046	1478	1997-03-06	PRIJEM	VKLAD	41446	73025	\N	\N	\N
435047	1478	1997-12-01	PRIJEM	VKLAD	11991	83216	\N	\N	\N
435048	1478	1997-07-06	PRIJEM	VKLAD	37079	95450	\N	\N	\N
435049	1478	1997-06-25	PRIJEM	VKLAD	17010	58860	\N	\N	\N
435050	1478	1997-06-27	PRIJEM	VKLAD	31118	75004	\N	\N	\N
435051	1478	1997-06-14	PRIJEM	VKLAD	43189	56550	\N	\N	\N
435052	1478	1997-10-23	PRIJEM	VKLAD	40166	140296	\N	\N	\N
435053	1478	1997-10-19	PRIJEM	VKLAD	20580	97020	\N	\N	\N
435054	1478	1997-11-20	PRIJEM	VKLAD	25323	98008	\N	\N	\N
435055	1478	1997-10-23	PRIJEM	VKLAD	9710	100130	\N	\N	\N
435056	1478	1997-11-02	PRIJEM	VKLAD	41952	109116	\N	\N	\N
435057	1478	1997-03-14	PRIJEM	VKLAD	19470	109407	\N	\N	\N
435058	1478	1997-10-08	PRIJEM	VKLAD	40694	88371	\N	\N	\N
435059	1478	1998-10-08	PRIJEM	VKLAD	28301	134183	\N	\N	\N
435060	1478	1998-08-26	PRIJEM	VKLAD	17417	49292	\N	\N	\N
435061	1478	1998-09-27	PRIJEM	VKLAD	40759	105638	\N	\N	\N
435062	1478	1998-07-02	PRIJEM	VKLAD	15043	58148	\N	\N	\N
435063	1478	1998-08-03	PRIJEM	VKLAD	23900	72480	\N	\N	\N
435064	1478	1998-12-08	PRIJEM	VKLAD	38850	105062	\N	\N	\N
435065	1478	1998-09-10	PRIJEM	VKLAD	18024	67510	\N	\N	\N
435081	1478	1997-04-12	VYDAJ	PREVOD NA UCET	11931	23207	SIPO	KL	82071739
435082	1478	1997-05-12	VYDAJ	PREVOD NA UCET	11931	15195	SIPO	KL	82071739
435083	1478	1997-06-12	VYDAJ	PREVOD NA UCET	11931	13361	SIPO	KL	82071739
435084	1478	1997-07-12	VYDAJ	PREVOD NA UCET	11931	83519	SIPO	KL	82071739
435085	1478	1997-08-12	VYDAJ	PREVOD NA UCET	11931	53572	SIPO	KL	82071739
435086	1478	1997-09-12	VYDAJ	PREVOD NA UCET	11931	38187	SIPO	KL	82071739
435087	1478	1997-10-12	VYDAJ	PREVOD NA UCET	11931	76440	SIPO	KL	82071739
435088	1478	1997-11-12	VYDAJ	PREVOD NA UCET	11931	72685	SIPO	KL	82071739
435089	1478	1997-12-12	VYDAJ	PREVOD NA UCET	11931	71285	SIPO	KL	82071739
435090	1478	1998-01-12	VYDAJ	PREVOD NA UCET	11931	24243	SIPO	KL	82071739
435091	1478	1998-02-12	VYDAJ	PREVOD NA UCET	11931	16523	SIPO	KL	82071739
435092	1478	1998-03-12	VYDAJ	PREVOD NA UCET	11931	11283	SIPO	KL	82071739
435093	1478	1998-04-12	VYDAJ	PREVOD NA UCET	11931	11530	SIPO	KL	82071739
435094	1478	1998-05-12	VYDAJ	PREVOD NA UCET	11931	19580	SIPO	KL	82071739
435095	1478	1998-06-12	VYDAJ	PREVOD NA UCET	11931	27975	SIPO	KL	82071739
435096	1478	1998-07-12	VYDAJ	PREVOD NA UCET	11931	46217	SIPO	KL	82071739
435097	1478	1998-08-12	VYDAJ	PREVOD NA UCET	11931	60549	SIPO	KL	82071739
435098	1478	1998-09-12	VYDAJ	PREVOD NA UCET	11931	55579	SIPO	KL	82071739
435099	1478	1998-10-12	VYDAJ	PREVOD NA UCET	11931	66652	SIPO	KL	82071739
435100	1478	1998-11-12	VYDAJ	PREVOD NA UCET	11931	54552	SIPO	KL	82071739
435101	1478	1998-12-12	VYDAJ	PREVOD NA UCET	11931	93131	SIPO	KL	82071739
435111	1478	1997-06-26	VYBER	VYBER	14974	43886	\N	\N	\N
435114	1478	1998-07-20	VYBER	VYBER	16507	26811	\N	\N	\N
435115	1478	1998-03-09	VYBER	VYBER	6714	23214	\N	\N	\N
435116	1478	1998-08-22	VYBER	VYBER	21951	31875	\N	\N	\N
435119	1478	1998-06-21	VYBER	VYBER	5723	22252	\N	\N	\N
435120	1478	1998-07-15	VYBER	VYBER	2899	43318	\N	\N	\N
435122	1478	1998-08-21	VYBER	VYBER	15423	53826	\N	\N	\N
435123	1478	1998-01-03	VYBER	VYBER	4372	42174	\N	\N	\N
435129	1478	1997-12-20	VYDAJ	VYBER	6300	64985	\N	\N	\N
435130	1478	1998-12-21	VYDAJ	VYBER KARTOU	3600	82031	\N	\N	0
435143	1478	1998-01-02	VYDAJ	VYBER KARTOU	3600	51646	\N	\N	0
435144	1478	1998-01-16	VYDAJ	VYBER KARTOU	3600	20643	\N	\N	0
435145	1478	1998-01-03	VYDAJ	VYBER	6000	36174	\N	\N	\N
435146	1478	1998-01-02	VYDAJ	VYBER	5100	46546	\N	\N	\N
435148	1478	1998-01-24	VYDAJ	VYBER KARTOU	3900	28343	\N	\N	0
435157	1478	1997-10-21	VYDAJ	VYBER	6600	90420	\N	\N	\N
435158	1478	1997-04-02	VYDAJ	VYBER	11100	35138	\N	\N	\N
435159	1478	1997-06-23	VYDAJ	VYBER	14700	41850	\N	\N	\N
435160	1478	1997-03-30	VYDAJ	VYBER	7500	46007	\N	\N	\N
435161	1478	1997-03-18	VYDAJ	VYBER	2100	74207	\N	\N	\N
435162	1478	1998-10-17	VYDAJ	VYBER	11100	55552	\N	\N	\N
435163	1478	1998-04-11	VYDAJ	VYBER	4800	23461	\N	\N	\N
435179	1478	1997-03-31	VYDAJ	VYBER	15	46238	SLUZBY	\N	\N
435180	1478	1997-04-30	VYDAJ	VYBER	15	27126	SLUZBY	\N	\N
435181	1478	1997-05-31	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
435182	1478	1997-06-30	VYDAJ	VYBER	15	58371	SLUZBY	\N	\N
435183	1478	1997-07-31	VYDAJ	VYBER	15	65503	SLUZBY	\N	\N
435184	1478	1997-08-31	VYDAJ	VYBER	15	50118	SLUZBY	\N	\N
435185	1478	1997-09-30	VYDAJ	VYBER	15	47677	SLUZBY	\N	\N
435186	1478	1997-10-31	VYDAJ	VYBER	15	67164	SLUZBY	\N	\N
435187	1478	1997-11-30	VYDAJ	VYBER	15	71225	SLUZBY	\N	\N
435188	1478	1997-12-31	VYDAJ	VYBER	15	55246	SLUZBY	\N	\N
435189	1478	1998-01-31	VYDAJ	VYBER	15	28454	SLUZBY	\N	\N
435190	1478	1998-02-28	VYDAJ	VYBER	15	29928	SLUZBY	\N	\N
435191	1478	1998-03-31	VYDAJ	VYBER	15	28261	SLUZBY	\N	\N
435192	1478	1998-04-30	VYDAJ	VYBER	15	31511	SLUZBY	\N	\N
435193	1478	1998-05-31	VYDAJ	VYBER	15	39906	SLUZBY	\N	\N
435194	1478	1998-06-30	VYDAJ	VYBER	15	43105	SLUZBY	\N	\N
435195	1478	1998-07-31	VYDAJ	VYBER	15	48580	SLUZBY	\N	\N
435196	1478	1998-08-31	VYDAJ	VYBER	15	49486	SLUZBY	\N	\N
435197	1478	1998-09-30	VYDAJ	VYBER	15	105882	SLUZBY	\N	\N
435198	1478	1998-10-31	VYDAJ	VYBER	15	66483	SLUZBY	\N	\N
435199	1478	1998-11-30	VYDAJ	VYBER	15	66212	SLUZBY	\N	\N
435200	1478	1996-11-29	PRIJEM	VKLAD	3700	16319	\N	\N	\N
435201	1478	1996-12-29	VYDAJ	VYBER	21100	42844	\N	\N	\N
435202	1478	1997-01-28	VYDAJ	VYBER	6500	36422	\N	\N	\N
435203	1478	1997-02-27	VYDAJ	VYBER	5200	31401	\N	\N	\N
435204	1478	1997-03-14	VYDAJ	VYBER	33100	76307	\N	\N	\N
435205	1478	1997-03-29	VYDAJ	VYBER	20700	53507	\N	\N	\N
435206	1478	1997-04-28	PRIJEM	VKLAD	3800	27007	\N	\N	\N
435207	1478	1997-05-28	PRIJEM	VKLAD	10000	25195	\N	\N	\N
435208	1478	1997-06-27	VYDAJ	VYBER	16800	58204	\N	\N	\N
435209	1478	1997-07-27	VYDAJ	VYBER	18300	65219	\N	\N	\N
435210	1478	1997-08-26	VYDAJ	VYBER	3700	49872	\N	\N	\N
435211	1478	1997-09-25	VYDAJ	VYBER	4300	47484	\N	\N	\N
435212	1478	1997-10-23	VYDAJ	VYBER	49100	91196	\N	\N	\N
435213	1478	1997-10-25	VYDAJ	VYBER	24300	66896	\N	\N	\N
435214	1478	1997-11-02	VYDAJ	VYBER	24500	84616	\N	\N	\N
435215	1478	1997-11-24	VYDAJ	VYBER	27100	70908	\N	\N	\N
435216	1478	1997-12-24	VYDAJ	VYBER	10000	54985	\N	\N	\N
435217	1478	1998-01-23	PRIJEM	VKLAD	11600	32243	\N	\N	\N
435218	1478	1998-02-22	PRIJEM	VKLAD	13300	29823	\N	\N	\N
435219	1478	1998-03-24	PRIJEM	VKLAD	16900	28183	\N	\N	\N
435220	1478	1998-04-23	PRIJEM	VKLAD	19900	31430	\N	\N	\N
435221	1478	1998-05-23	PRIJEM	VKLAD	20200	39780	\N	\N	\N
435222	1478	1998-06-22	PRIJEM	VKLAD	20700	42952	\N	\N	\N
435223	1478	1998-07-22	PRIJEM	VKLAD	21600	48411	\N	\N	\N
435224	1478	1998-08-21	PRIJEM	VKLAD	8700	69249	\N	\N	\N
435225	1478	1998-09-20	PRIJEM	VKLAD	9300	64879	\N	\N	\N
435226	1478	1998-10-08	VYDAJ	VYBER	55600	78583	\N	\N	\N
435227	1478	1998-10-20	PRIJEM	VKLAD	10600	66152	\N	\N	\N
435228	1478	1998-11-19	PRIJEM	VKLAD	11400	65952	\N	\N	\N
435229	1478	1998-12-19	VYDAJ	VYBER	7500	85631	\N	\N	\N
435256	1479	1995-04-04	PRIJEM	VKLAD	700	700	\N	\N	\N
435260	1479	1995-04-06	PRIJEM	PREVOD Z UCTU	3244	3944	\N	GH	79756843
435261	1479	1995-05-06	PRIJEM	PREVOD Z UCTU	3244	16802	\N	GH	79756843
435262	1479	1995-06-06	PRIJEM	PREVOD Z UCTU	3244	21207	\N	GH	79756843
435263	1479	1995-07-06	PRIJEM	PREVOD Z UCTU	3244	25336	\N	GH	79756843
435264	1479	1995-08-06	PRIJEM	PREVOD Z UCTU	3244	26983	\N	GH	79756843
435265	1479	1995-09-06	PRIJEM	PREVOD Z UCTU	3244	28882	\N	GH	79756843
435266	1479	1995-10-06	PRIJEM	PREVOD Z UCTU	3244	29260	\N	GH	79756843
435267	1479	1995-11-06	PRIJEM	PREVOD Z UCTU	3244	26941	\N	GH	79756843
435268	1479	1995-12-06	PRIJEM	PREVOD Z UCTU	3244	29610	\N	GH	79756843
435269	1479	1996-01-06	PRIJEM	PREVOD Z UCTU	3244	29120	\N	GH	79756843
435270	1479	1996-02-06	PRIJEM	PREVOD Z UCTU	3244	29850	\N	GH	79756843
435271	1479	1996-03-06	PRIJEM	PREVOD Z UCTU	3244	32731	\N	GH	79756843
435272	1479	1996-04-06	PRIJEM	PREVOD Z UCTU	3244	31462	\N	GH	79756843
435273	1479	1996-05-06	PRIJEM	PREVOD Z UCTU	3244	31349	\N	GH	79756843
435274	1479	1996-06-06	PRIJEM	PREVOD Z UCTU	3244	30836	\N	GH	79756843
435275	1479	1996-07-06	PRIJEM	PREVOD Z UCTU	3244	30481	\N	GH	79756843
435276	1479	1996-08-06	PRIJEM	PREVOD Z UCTU	3244	31964	\N	GH	79756843
435277	1479	1996-09-06	PRIJEM	PREVOD Z UCTU	3244	34755	\N	GH	79756843
435278	1479	1996-10-06	PRIJEM	PREVOD Z UCTU	3244	34656	\N	GH	79756843
435279	1479	1996-11-06	PRIJEM	PREVOD Z UCTU	3244	31303	\N	GH	79756843
435280	1479	1996-12-06	PRIJEM	PREVOD Z UCTU	3244	33291	\N	GH	79756843
435281	1479	1997-01-06	PRIJEM	PREVOD Z UCTU	3244	31553	\N	GH	79756843
435282	1479	1997-02-06	PRIJEM	PREVOD Z UCTU	3244	27615	\N	GH	79756843
435283	1479	1997-03-06	PRIJEM	PREVOD Z UCTU	3244	29078	\N	GH	79756843
435284	1479	1997-04-06	PRIJEM	PREVOD Z UCTU	3244	26051	\N	GH	79756843
435285	1479	1997-05-06	PRIJEM	PREVOD Z UCTU	3244	23833	\N	GH	79756843
435286	1479	1997-06-06	PRIJEM	PREVOD Z UCTU	3244	24989	\N	GH	79756843
435287	1479	1997-07-06	PRIJEM	PREVOD Z UCTU	3244	24019	\N	GH	79756843
435288	1479	1997-08-06	PRIJEM	PREVOD Z UCTU	3244	21671	\N	GH	79756843
435289	1479	1997-09-06	PRIJEM	PREVOD Z UCTU	3244	18791	\N	GH	79756843
435290	1479	1997-10-06	PRIJEM	PREVOD Z UCTU	3244	21428	\N	GH	79756843
435291	1479	1997-11-06	PRIJEM	PREVOD Z UCTU	3244	21873	\N	GH	79756843
435292	1479	1997-12-06	PRIJEM	PREVOD Z UCTU	3244	20416	\N	GH	79756843
435293	1479	1998-01-06	PRIJEM	PREVOD Z UCTU	3244	18933	\N	GH	79756843
435294	1479	1998-02-06	PRIJEM	PREVOD Z UCTU	3244	19929	\N	GH	79756843
435295	1479	1998-03-06	PRIJEM	PREVOD Z UCTU	3244	20367	\N	GH	79756843
435296	1479	1998-04-06	PRIJEM	PREVOD Z UCTU	3244	21107	\N	GH	79756843
435297	1479	1998-05-06	PRIJEM	PREVOD Z UCTU	3244	23554	\N	GH	79756843
435298	1479	1998-06-06	PRIJEM	PREVOD Z UCTU	3244	21101	\N	GH	79756843
435299	1479	1998-07-06	PRIJEM	PREVOD Z UCTU	3244	18677	\N	GH	79756843
435300	1479	1998-08-06	PRIJEM	PREVOD Z UCTU	3244	18107	\N	GH	79756843
435301	1479	1998-09-06	PRIJEM	PREVOD Z UCTU	3244	15790	\N	GH	79756843
435302	1479	1998-10-06	PRIJEM	PREVOD Z UCTU	3244	16331	\N	GH	79756843
435303	1479	1998-11-06	PRIJEM	PREVOD Z UCTU	3244	17454	\N	GH	79756843
435304	1479	1998-12-06	PRIJEM	PREVOD Z UCTU	3244	18583	\N	GH	79756843
435312	1479	1995-08-10	VYDAJ	PREVOD NA UCET	2162	24821	SIPO	QR	35573202
435313	1479	1995-09-10	VYDAJ	PREVOD NA UCET	2162	26720	SIPO	QR	35573202
435314	1479	1995-10-10	VYDAJ	PREVOD NA UCET	2162	27098	SIPO	QR	35573202
435315	1479	1995-11-10	VYDAJ	PREVOD NA UCET	2162	24779	SIPO	QR	35573202
435316	1479	1995-12-10	VYDAJ	PREVOD NA UCET	2162	27448	SIPO	QR	35573202
435317	1479	1996-01-10	VYDAJ	PREVOD NA UCET	2162	25068	SIPO	QR	35573202
435318	1479	1996-02-10	VYDAJ	PREVOD NA UCET	2162	27688	SIPO	QR	35573202
435319	1479	1996-03-10	VYDAJ	PREVOD NA UCET	2162	30569	SIPO	QR	35573202
435320	1479	1996-04-10	VYDAJ	PREVOD NA UCET	2162	29300	SIPO	QR	35573202
435321	1479	1996-05-10	VYDAJ	PREVOD NA UCET	2162	29187	SIPO	QR	35573202
435322	1479	1996-06-10	VYDAJ	PREVOD NA UCET	2162	24744	SIPO	QR	35573202
435323	1479	1996-07-10	VYDAJ	PREVOD NA UCET	2162	27419	SIPO	QR	35573202
435324	1479	1996-08-10	VYDAJ	PREVOD NA UCET	2162	29802	SIPO	QR	35573202
435325	1479	1996-09-10	VYDAJ	PREVOD NA UCET	2162	32593	SIPO	QR	35573202
435326	1479	1996-10-10	VYDAJ	PREVOD NA UCET	2162	32494	SIPO	QR	35573202
435327	1479	1996-11-10	VYDAJ	PREVOD NA UCET	2162	29141	SIPO	QR	35573202
435328	1479	1996-12-10	VYDAJ	PREVOD NA UCET	2162	30919	SIPO	QR	35573202
435329	1479	1997-01-10	VYDAJ	PREVOD NA UCET	2162	28431	SIPO	QR	35573202
435330	1479	1997-02-10	VYDAJ	PREVOD NA UCET	2162	25453	SIPO	QR	35573202
435331	1479	1997-03-10	VYDAJ	PREVOD NA UCET	2162	26916	SIPO	QR	35573202
435332	1479	1997-04-10	VYDAJ	PREVOD NA UCET	2162	23889	SIPO	QR	35573202
435333	1479	1997-05-10	VYDAJ	PREVOD NA UCET	2162	21671	SIPO	QR	35573202
435334	1479	1997-06-10	VYDAJ	PREVOD NA UCET	2162	22827	SIPO	QR	35573202
435335	1479	1997-07-10	VYDAJ	PREVOD NA UCET	2162	21857	SIPO	QR	35573202
435336	1479	1997-08-10	VYDAJ	PREVOD NA UCET	2162	19509	SIPO	QR	35573202
435337	1479	1997-09-10	VYDAJ	PREVOD NA UCET	2162	16629	SIPO	QR	35573202
435338	1479	1997-10-10	VYDAJ	PREVOD NA UCET	2162	19266	SIPO	QR	35573202
435339	1479	1997-11-10	VYDAJ	PREVOD NA UCET	2162	19711	SIPO	QR	35573202
435340	1479	1997-12-10	VYDAJ	PREVOD NA UCET	2162	18254	SIPO	QR	35573202
435341	1479	1998-01-10	VYDAJ	PREVOD NA UCET	2162	16231	SIPO	QR	35573202
435342	1479	1998-02-10	VYDAJ	PREVOD NA UCET	2162	17767	SIPO	QR	35573202
435343	1479	1998-03-10	VYDAJ	PREVOD NA UCET	2162	18205	SIPO	QR	35573202
435344	1479	1998-04-10	VYDAJ	PREVOD NA UCET	2162	18945	SIPO	QR	35573202
435345	1479	1998-05-10	VYDAJ	PREVOD NA UCET	2162	21392	SIPO	QR	35573202
435346	1479	1998-06-10	VYDAJ	PREVOD NA UCET	2162	18939	SIPO	QR	35573202
435347	1479	1998-07-10	VYDAJ	PREVOD NA UCET	2162	16515	SIPO	QR	35573202
435348	1479	1998-08-10	VYDAJ	PREVOD NA UCET	2162	15945	SIPO	QR	35573202
435349	1479	1998-09-10	VYDAJ	PREVOD NA UCET	2162	13148	SIPO	QR	35573202
435350	1479	1998-10-10	VYDAJ	PREVOD NA UCET	2162	14169	SIPO	QR	35573202
435351	1479	1998-11-10	VYDAJ	PREVOD NA UCET	2162	15292	SIPO	QR	35573202
435352	1479	1998-12-10	VYDAJ	PREVOD NA UCET	2162	16421	SIPO	QR	35573202
435354	1479	1996-06-08	VYDAJ	VYBER	3930	26906	\N	\N	\N
435355	1479	1997-06-29	VYDAJ	VYBER	2130	20697	\N	\N	\N
435356	1479	1998-06-15	VYDAJ	VYBER	5160	13779	\N	\N	\N
435358	1479	1996-01-13	VYDAJ	VYBER	660	23658	\N	\N	\N
435359	1479	1997-01-22	VYDAJ	VYBER	2670	25131	\N	\N	\N
435360	1479	1998-01-28	VYDAJ	VYBER	570	16631	\N	\N	\N
435361	1479	1995-12-18	VYDAJ	VYBER	270	27178	\N	\N	\N
435362	1479	1996-12-09	VYDAJ	VYBER	210	33081	\N	\N	\N
435363	1479	1997-12-22	VYDAJ	VYBER	570	15784	\N	\N	\N
435364	1479	1998-12-17	VYDAJ	VYBER	180	16241	\N	\N	\N
435371	1479	1996-01-10	VYDAJ	VYBER	480	27230	\N	\N	\N
435372	1479	1996-01-06	VYDAJ	VYBER	480	28640	\N	\N	\N
435373	1479	1996-01-23	VYDAJ	VYBER	780	22338	\N	\N	\N
435374	1479	1996-01-28	VYDAJ	VYBER	420	21918	\N	\N	\N
435375	1479	1996-01-17	VYDAJ	VYBER	540	23118	\N	\N	\N
435376	1479	1996-01-11	VYDAJ	VYBER	750	24318	\N	\N	\N
435377	1479	1997-01-06	VYDAJ	VYBER	270	31283	\N	\N	\N
435378	1479	1997-01-05	VYDAJ	VYBER	570	28309	\N	\N	\N
435379	1479	1997-01-24	VYDAJ	VYBER	570	24961	\N	\N	\N
435380	1479	1997-01-09	VYDAJ	VYBER	690	30593	\N	\N	\N
435381	1479	1997-01-28	VYDAJ	VYBER	690	24271	\N	\N	\N
435382	1479	1997-01-17	VYDAJ	VYBER	630	27801	\N	\N	\N
435383	1479	1998-01-01	VYDAJ	VYBER	150	15689	\N	\N	\N
435384	1479	1998-01-13	VYDAJ	VYBER	570	15661	\N	\N	\N
435385	1479	1998-01-20	VYDAJ	VYBER	750	17201	\N	\N	\N
435386	1479	1998-01-06	VYDAJ	VYBER	180	18753	\N	\N	\N
435387	1479	1998-01-08	VYDAJ	VYBER	210	18393	\N	\N	\N
435388	1479	1998-01-06	VYDAJ	VYBER	150	18603	\N	\N	\N
435390	1479	1995-08-11	VYDAJ	VYBER	1170	23651	\N	\N	\N
435393	1479	1996-12-23	VYDAJ	VYBER	1050	29869	\N	\N	\N
435394	1479	1996-10-21	VYDAJ	VYBER	450	32044	\N	\N	\N
435395	1479	1996-03-18	VYDAJ	VYBER	1260	29309	\N	\N	\N
435396	1479	1996-07-08	VYDAJ	VYBER	900	29581	\N	\N	\N
435397	1479	1996-01-07	VYDAJ	VYBER	930	27710	\N	\N	\N
435398	1479	1997-04-27	VYDAJ	VYBER	1380	20509	\N	\N	\N
435399	1479	1997-02-25	VYDAJ	VYBER	1110	25743	\N	\N	\N
435400	1479	1997-08-14	VYDAJ	VYBER	720	18789	\N	\N	\N
435401	1479	1998-01-15	VYDAJ	VYBER	210	15451	\N	\N	\N
435402	1479	1998-08-14	VYDAJ	VYBER	1140	14805	\N	\N	\N
435403	1479	1998-12-24	VYDAJ	VYBER	1290	14951	\N	\N	\N
435404	1479	1998-09-09	VYDAJ	VYBER	480	15310	\N	\N	\N
435413	1479	1995-08-31	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
435414	1479	1995-09-30	VYDAJ	VYBER	15	26816	SLUZBY	\N	\N
435415	1479	1995-10-31	VYDAJ	VYBER	15	23697	SLUZBY	\N	\N
435416	1479	1995-11-30	VYDAJ	VYBER	15	26366	SLUZBY	\N	\N
435417	1479	1995-12-31	VYDAJ	VYBER	15	25876	SLUZBY	\N	\N
435418	1479	1996-01-31	VYDAJ	VYBER	15	26606	SLUZBY	\N	\N
435419	1479	1996-02-29	VYDAJ	VYBER	15	29487	SLUZBY	\N	\N
435420	1479	1996-03-31	VYDAJ	VYBER	15	28218	SLUZBY	\N	\N
435421	1479	1996-04-30	VYDAJ	VYBER	15	28105	SLUZBY	\N	\N
435422	1479	1996-05-31	VYDAJ	VYBER	15	27592	SLUZBY	\N	\N
435423	1479	1996-06-30	VYDAJ	VYBER	15	27237	SLUZBY	\N	\N
435424	1479	1996-07-31	VYDAJ	VYBER	15	28720	SLUZBY	\N	\N
435425	1479	1996-08-31	VYDAJ	VYBER	15	31511	SLUZBY	\N	\N
435426	1479	1996-09-30	VYDAJ	VYBER	15	31412	SLUZBY	\N	\N
435427	1479	1996-10-31	VYDAJ	VYBER	15	28059	SLUZBY	\N	\N
435428	1479	1996-11-30	VYDAJ	VYBER	15	30047	SLUZBY	\N	\N
435429	1479	1996-12-31	VYDAJ	VYBER	15	28879	SLUZBY	\N	\N
435430	1479	1997-01-31	VYDAJ	VYBER	15	24371	SLUZBY	\N	\N
435431	1479	1997-02-28	VYDAJ	VYBER	15	25834	SLUZBY	\N	\N
435432	1479	1997-03-31	VYDAJ	VYBER	15	22807	SLUZBY	\N	\N
435433	1479	1997-04-30	VYDAJ	VYBER	15	20589	SLUZBY	\N	\N
435434	1479	1997-05-31	VYDAJ	VYBER	15	21745	SLUZBY	\N	\N
435435	1479	1997-06-30	VYDAJ	VYBER	15	20775	SLUZBY	\N	\N
435436	1479	1997-07-31	VYDAJ	VYBER	15	18427	SLUZBY	\N	\N
435437	1479	1997-08-31	VYDAJ	VYBER	15	15547	SLUZBY	\N	\N
435438	1479	1997-09-30	VYDAJ	VYBER	15	18184	SLUZBY	\N	\N
435439	1479	1997-10-31	VYDAJ	VYBER	15	18629	SLUZBY	\N	\N
435440	1479	1997-11-30	VYDAJ	VYBER	15	17172	SLUZBY	\N	\N
435441	1479	1997-12-31	VYDAJ	VYBER	15	15839	SLUZBY	\N	\N
435442	1479	1998-01-31	VYDAJ	VYBER	15	16685	SLUZBY	\N	\N
435443	1479	1998-02-28	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
435444	1479	1998-03-31	VYDAJ	VYBER	15	17863	SLUZBY	\N	\N
435445	1479	1998-04-30	VYDAJ	VYBER	15	20310	SLUZBY	\N	\N
435446	1479	1998-05-31	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
435447	1479	1998-06-30	VYDAJ	VYBER	15	15433	SLUZBY	\N	\N
435448	1479	1998-07-31	VYDAJ	VYBER	15	14863	SLUZBY	\N	\N
435449	1479	1998-08-31	VYDAJ	VYBER	15	12546	SLUZBY	\N	\N
435450	1479	1998-09-30	VYDAJ	VYBER	15	13087	SLUZBY	\N	\N
435451	1479	1998-10-31	VYDAJ	VYBER	15	14210	SLUZBY	\N	\N
435452	1479	1998-11-30	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
435453	1479	1995-05-04	PRIJEM	VKLAD	9600	13558	\N	\N	\N
435454	1479	1995-06-03	PRIJEM	VKLAD	1100	17963	\N	\N	\N
435455	1479	1995-07-03	PRIJEM	VKLAD	800	22092	\N	\N	\N
435456	1479	1995-08-02	VYDAJ	VYBER	1700	23739	\N	\N	\N
435457	1479	1995-09-01	PRIJEM	VKLAD	1900	25638	\N	\N	\N
435458	1479	1995-10-01	VYDAJ	VYBER	800	26016	\N	\N	\N
435459	1479	1995-10-31	VYDAJ	VYBER	3500	23711	\N	\N	\N
435460	1479	1995-11-30	PRIJEM	VKLAD	1500	26279	\N	\N	\N
435461	1479	1995-12-30	VYDAJ	VYBER	1400	25778	\N	\N	\N
435462	1479	1996-01-29	PRIJEM	VKLAD	4600	26518	\N	\N	\N
435463	1479	1996-02-28	PRIJEM	VKLAD	1700	29388	\N	\N	\N
435464	1479	1996-03-29	VYDAJ	VYBER	1200	28109	\N	\N	\N
435465	1479	1996-04-28	VYDAJ	VYBER	1300	28000	\N	\N	\N
435466	1479	1996-05-28	VYDAJ	VYBER	1700	27487	\N	\N	\N
435467	1479	1996-06-27	PRIJEM	VKLAD	2400	27144	\N	\N	\N
435468	1479	1996-07-27	PRIJEM	VKLAD	1200	28619	\N	\N	\N
435469	1479	1996-08-26	PRIJEM	VKLAD	1600	31402	\N	\N	\N
435470	1479	1996-09-25	VYDAJ	VYBER	1300	31293	\N	\N	\N
435471	1479	1996-10-25	VYDAJ	VYBER	4100	27944	\N	\N	\N
435472	1479	1996-11-24	PRIJEM	VKLAD	800	29941	\N	\N	\N
435473	1479	1996-12-24	VYDAJ	VYBER	1100	28769	\N	\N	\N
435474	1479	1997-01-23	PRIJEM	VKLAD	400	25531	\N	\N	\N
435475	1479	1997-02-22	PRIJEM	VKLAD	1400	26853	\N	\N	\N
435476	1479	1997-03-24	VYDAJ	VYBER	4200	22716	\N	\N	\N
435477	1479	1997-04-23	VYDAJ	VYBER	2000	21889	\N	\N	\N
435478	1479	1997-07-22	VYDAJ	VYBER	3500	18357	\N	\N	\N
435479	1479	1997-08-21	VYDAJ	VYBER	3300	15489	\N	\N	\N
435480	1479	1997-09-20	PRIJEM	VKLAD	1500	18129	\N	\N	\N
435481	1479	1997-10-20	VYDAJ	VYBER	700	18566	\N	\N	\N
435482	1479	1997-11-19	VYDAJ	VYBER	2600	17111	\N	\N	\N
435483	1479	1997-12-19	VYDAJ	VYBER	1900	16354	\N	\N	\N
435484	1479	1998-01-18	PRIJEM	VKLAD	2500	17951	\N	\N	\N
435485	1479	1998-02-17	VYDAJ	VYBER	700	17067	\N	\N	\N
435486	1479	1998-03-19	VYDAJ	VYBER	400	17805	\N	\N	\N
435487	1479	1998-04-18	PRIJEM	VKLAD	1300	20245	\N	\N	\N
435488	1479	1998-05-18	VYDAJ	VYBER	3600	17792	\N	\N	\N
435489	1479	1998-06-17	PRIJEM	VKLAD	1600	15379	\N	\N	\N
435490	1479	1998-07-17	VYDAJ	VYBER	1700	14815	\N	\N	\N
435491	1479	1998-08-16	VYDAJ	VYBER	2300	12505	\N	\N	\N
435492	1479	1998-09-15	VYDAJ	VYBER	100	13048	\N	\N	\N
435538	1480	1996-07-03	PRIJEM	VKLAD	800	800	\N	\N	\N
435539	1480	1996-10-10	PRIJEM	VKLAD	10084	30284	\N	\N	\N
435541	1480	1997-05-09	PRIJEM	VKLAD	46499	132025	\N	\N	\N
435542	1480	1997-10-30	PRIJEM	VKLAD	28347	60947	\N	\N	\N
435543	1480	1997-04-24	PRIJEM	VKLAD	45962	105864	\N	\N	\N
435544	1480	1997-10-19	PRIJEM	VKLAD	10791	104400	\N	\N	\N
435545	1480	1997-03-04	PRIJEM	VKLAD	43456	103882	\N	\N	\N
435546	1480	1997-09-23	PRIJEM	VKLAD	37746	59800	\N	\N	\N
435547	1480	1997-04-27	PRIJEM	VKLAD	11585	117449	\N	\N	\N
435548	1480	1997-03-29	PRIJEM	VKLAD	25761	74543	\N	\N	\N
435549	1480	1997-07-07	PRIJEM	VKLAD	37429	68711	\N	\N	\N
435550	1480	1997-04-11	PRIJEM	VKLAD	21686	63202	\N	\N	\N
435551	1480	1997-05-02	PRIJEM	VKLAD	30748	85526	\N	\N	\N
435552	1480	1997-03-02	PRIJEM	VKLAD	6496	34778	\N	\N	\N
435553	1480	1997-11-18	PRIJEM	VKLAD	28438	89599	\N	\N	\N
435554	1480	1997-12-16	PRIJEM	VKLAD	25367	78290	\N	\N	\N
435555	1480	1997-09-27	PRIJEM	VKLAD	15231	55531	\N	\N	\N
435556	1480	1997-01-04	PRIJEM	VKLAD	14013	42011	\N	\N	\N
435557	1480	1997-03-03	PRIJEM	VKLAD	25648	60426	\N	\N	\N
435558	1480	1997-10-13	PRIJEM	VKLAD	41252	93609	\N	\N	\N
435559	1480	1997-07-23	PRIJEM	VKLAD	32204	96015	\N	\N	\N
435560	1480	1997-12-19	PRIJEM	VKLAD	22846	101136	\N	\N	\N
435561	1480	1998-08-03	PRIJEM	VKLAD	11599	82235	\N	\N	\N
435562	1480	1998-02-24	PRIJEM	VKLAD	39529	63689	\N	\N	\N
435563	1480	1998-08-19	PRIJEM	VKLAD	47844	126654	\N	\N	\N
435564	1480	1998-07-30	PRIJEM	VKLAD	27726	70537	\N	\N	\N
435565	1480	1998-10-17	PRIJEM	VKLAD	49570	122891	\N	\N	\N
435566	1480	1998-10-05	PRIJEM	VKLAD	24824	108965	\N	\N	\N
435567	1480	1998-01-02	PRIJEM	VKLAD	37533	71499	\N	\N	\N
435568	1480	1998-09-06	PRIJEM	VKLAD	43250	95475	\N	\N	\N
435569	1480	1998-09-26	PRIJEM	VKLAD	39212	89933	\N	\N	\N
435570	1480	1998-04-17	PRIJEM	VKLAD	20946	37785	\N	\N	\N
435571	1480	1998-03-05	PRIJEM	VKLAD	41702	105493	\N	\N	\N
435572	1480	1998-10-08	PRIJEM	VKLAD	27381	76746	\N	\N	\N
435573	1480	1998-07-25	PRIJEM	VKLAD	45851	67351	\N	\N	\N
435588	1480	1997-02-26	VYDAJ	VYBER	4000	30938	\N	\N	0
435589	1480	1997-04-13	VYDAJ	VYBER	3300	59902	\N	\N	0
435590	1480	1997-04-27	VYDAJ	VYBER	3600	113849	\N	\N	0
435591	1480	1997-06-05	VYDAJ	VYBER	4000	35850	\N	\N	0
435592	1480	1997-07-16	VYDAJ	VYBER	4900	63811	\N	\N	0
435593	1480	1997-08-13	VYDAJ	VYBER	3400	53604	\N	\N	0
435594	1480	1997-09-17	VYDAJ	VYBER	2400	22054	\N	\N	0
435595	1480	1997-10-08	VYDAJ	VYBER	3300	52357	\N	\N	0
435596	1480	1997-10-29	VYDAJ	VYBER	2700	32600	\N	\N	0
435597	1480	1997-12-03	VYDAJ	VYBER	2800	57423	\N	\N	0
435598	1480	1997-12-25	VYDAJ	VYBER	4300	96836	\N	\N	0
435599	1480	1998-02-12	VYDAJ	PREVOD NA UCET	3425	21260	UVER	WX	70736652
435600	1480	1998-03-12	VYDAJ	PREVOD NA UCET	3425	54768	UVER	WX	70736652
435601	1480	1998-04-12	VYDAJ	PREVOD NA UCET	3425	16839	UVER	WX	70736652
435602	1480	1998-05-12	VYDAJ	PREVOD NA UCET	3425	31176	UVER	WX	70736652
435603	1480	1998-06-12	VYDAJ	PREVOD NA UCET	3425	22249	UVER	WX	70736652
435604	1480	1998-07-12	VYDAJ	PREVOD NA UCET	3425	17600	UVER	WX	70736652
435605	1480	1998-08-12	VYDAJ	PREVOD NA UCET	3425	78810	UVER	WX	70736652
435606	1480	1998-09-12	VYDAJ	PREVOD NA UCET	3425	92050	UVER	WX	70736652
435607	1480	1998-10-12	VYDAJ	PREVOD NA UCET	3425	73321	UVER	WX	70736652
435608	1480	1998-11-12	VYDAJ	PREVOD NA UCET	3425	61242	UVER	WX	70736652
435609	1480	1998-12-12	VYDAJ	PREVOD NA UCET	3425	33625	UVER	WX	70736652
435614	1480	1997-09-07	VYBER	VYBER	9842	24454	\N	\N	\N
435615	1480	1998-09-15	VYBER	VYBER	13329	78721	\N	\N	\N
435616	1480	1998-01-01	VYBER	VYBER	23828	33966	\N	\N	\N
435618	1480	1998-05-21	VYBER	VYBER	8902	22274	\N	\N	\N
435619	1480	1998-07-29	VYBER	VYBER	24540	42811	\N	\N	\N
435620	1480	1998-04-07	VYBER	VYBER	21609	20265	\N	\N	\N
435622	1480	1998-09-28	VYBER	VYBER	6040	83893	\N	\N	\N
435629	1480	1998-01-25	VYDAJ	VYBER	11700	24499	\N	\N	\N
435631	1480	1997-12-12	VYDAJ	VYBER	4500	52923	\N	\N	\N
435632	1480	1998-12-11	VYDAJ	VYBER	7500	37050	\N	\N	\N
435645	1480	1998-01-05	VYDAJ	VYBER KARTOU	2100	69399	\N	\N	0
435646	1480	1998-01-12	VYDAJ	VYBER	7500	61899	\N	\N	\N
435647	1480	1998-01-17	VYDAJ	VYBER	5100	49599	\N	\N	\N
435648	1480	1998-01-15	VYDAJ	VYBER KARTOU	2100	59799	\N	\N	0
435649	1480	1998-01-23	VYDAJ	VYBER	6300	43299	\N	\N	\N
435650	1480	1998-01-16	VYDAJ	VYBER	5100	54699	\N	\N	\N
435657	1480	1997-12-30	VYDAJ	VYBER	5400	57536	\N	\N	\N
435658	1480	1997-04-03	VYDAJ	VYBER	6600	41516	\N	\N	\N
435660	1480	1998-07-01	VYDAJ	VYBER KARTOU	3900	21025	\N	\N	0
435661	1480	1998-08-26	VYDAJ	VYBER	14700	51954	\N	\N	\N
435677	1480	1997-03-31	VYDAJ	VYBER	30	48116	SLUZBY	\N	\N
435678	1480	1997-04-30	VYDAJ	VYBER	30	54778	SLUZBY	\N	\N
435679	1480	1997-05-31	VYDAJ	VYBER	30	39850	SLUZBY	\N	\N
435680	1480	1997-06-30	VYDAJ	VYBER	30	31282	SLUZBY	\N	\N
435681	1480	1997-07-31	VYDAJ	VYBER	30	57004	SLUZBY	\N	\N
435682	1480	1997-08-31	VYDAJ	VYBER	30	34296	SLUZBY	\N	\N
435683	1480	1997-09-30	VYDAJ	VYBER	30	55657	SLUZBY	\N	\N
435684	1480	1997-10-31	VYDAJ	VYBER	30	61161	SLUZBY	\N	\N
435685	1480	1997-11-30	VYDAJ	VYBER	30	60223	SLUZBY	\N	\N
435686	1480	1997-12-31	VYDAJ	VYBER	30	57794	SLUZBY	\N	\N
435687	1480	1998-01-31	VYDAJ	VYBER	30	24685	SLUZBY	\N	\N
435688	1480	1998-02-28	VYDAJ	VYBER	30	63791	SLUZBY	\N	\N
435689	1480	1998-03-31	VYDAJ	VYBER	30	41874	SLUZBY	\N	\N
435690	1480	1998-04-30	VYDAJ	VYBER	30	34601	SLUZBY	\N	\N
435691	1480	1998-05-31	VYDAJ	VYBER	30	25674	SLUZBY	\N	\N
435692	1480	1998-06-30	VYDAJ	VYBER	30	24925	SLUZBY	\N	\N
435693	1480	1998-07-31	VYDAJ	VYBER	30	70636	SLUZBY	\N	\N
435694	1480	1998-08-31	VYDAJ	VYBER	30	52225	SLUZBY	\N	\N
435695	1480	1998-09-30	VYDAJ	VYBER	30	84141	SLUZBY	\N	\N
435696	1480	1998-10-31	VYDAJ	VYBER	30	64667	SLUZBY	\N	\N
435697	1480	1998-11-30	VYDAJ	VYBER	30	44550	SLUZBY	\N	\N
435698	1480	1996-08-02	PRIJEM	VKLAD	9800	10600	\N	\N	\N
435699	1480	1996-09-01	PRIJEM	VKLAD	4500	15100	\N	\N	\N
435700	1480	1996-10-01	PRIJEM	VKLAD	5100	20200	\N	\N	\N
435701	1480	1996-10-31	VYDAJ	VYBER	400	29974	\N	\N	\N
435702	1480	1996-12-30	VYDAJ	VYBER	2100	27874	\N	\N	\N
435703	1480	1997-01-29	VYDAJ	VYBER	7200	34811	\N	\N	\N
435704	1480	1997-02-28	VYDAJ	VYBER	2800	28282	\N	\N	\N
435705	1480	1997-03-04	VYDAJ	VYBER	55100	48782	\N	\N	\N
435706	1480	1997-03-30	VYDAJ	VYBER	26600	47943	\N	\N	\N
435707	1480	1997-04-27	VYDAJ	VYBER	28200	85649	\N	\N	\N
435708	1480	1997-04-29	VYDAJ	VYBER	31100	54549	\N	\N	\N
435709	1480	1997-05-09	VYDAJ	VYBER	25100	106925	\N	\N	\N
435710	1480	1997-05-12	VYDAJ	VYBER	51400	55525	\N	\N	\N
435711	1480	1997-05-29	VYDAJ	VYBER	15900	39625	\N	\N	\N
435712	1480	1997-06-28	VYDAJ	VYBER	4700	31150	\N	\N	\N
435713	1480	1997-07-28	VYDAJ	VYBER	39200	56815	\N	\N	\N
435714	1480	1997-08-27	VYDAJ	VYBER	19500	34104	\N	\N	\N
435715	1480	1997-09-26	VYDAJ	VYBER	19500	40300	\N	\N	\N
435716	1480	1997-10-19	VYDAJ	VYBER	58800	45600	\N	\N	\N
435717	1480	1997-10-26	VYDAJ	VYBER	10300	35300	\N	\N	\N
435718	1480	1997-11-25	VYDAJ	VYBER	29600	59999	\N	\N	\N
435719	1480	1997-12-25	VYDAJ	VYBER	33900	62936	\N	\N	\N
435720	1480	1998-01-24	VYDAJ	VYBER	7100	36199	\N	\N	\N
435721	1480	1998-02-23	PRIJEM	VKLAD	2900	24160	\N	\N	\N
435722	1480	1998-03-12	VYDAJ	VYBER	47300	58193	\N	\N	\N
435723	1480	1998-03-25	VYDAJ	VYBER	13100	41668	\N	\N	\N
435724	1480	1998-04-24	VYDAJ	VYBER KARTOU	3300	34485	\N	\N	0
435725	1480	1998-05-24	PRIJEM	VKLAD	3300	25574	\N	\N	\N
435726	1480	1998-06-23	PRIJEM	VKLAD	2600	24849	\N	\N	\N
435727	1480	1998-07-23	PRIJEM	VKLAD	3900	21500	\N	\N	\N
435728	1480	1998-08-19	VYDAJ	VYBER	16700	109954	\N	\N	\N
435729	1480	1998-08-22	VYDAJ	VYBER	43300	66654	\N	\N	\N
435730	1480	1998-09-21	VYDAJ	VYBER	28000	50721	\N	\N	\N
435731	1480	1998-10-05	VYDAJ	VYBER	59600	49365	\N	\N	\N
435732	1480	1998-10-17	VYDAJ	VYBER	20600	102291	\N	\N	\N
435733	1480	1998-10-21	VYDAJ	VYBER	37900	64391	\N	\N	\N
435734	1480	1998-11-20	VYDAJ	VYBER	16900	44342	\N	\N	\N
435735	1480	1998-12-20	VYDAJ	VYBER	4100	29525	\N	\N	\N
435762	1481	1993-01-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
435764	1481	1993-02-13	PRIJEM	PREVOD Z UCTU	3098	4098	\N	AB	21098941
435765	1481	1993-03-13	PRIJEM	PREVOD Z UCTU	3098	7196	\N	AB	21098941
435766	1481	1993-04-13	PRIJEM	PREVOD Z UCTU	3098	10294	\N	AB	21098941
435767	1481	1993-05-13	PRIJEM	PREVOD Z UCTU	3098	13392	\N	AB	21098941
435768	1481	1993-06-13	PRIJEM	PREVOD Z UCTU	3098	16490	\N	AB	21098941
435769	1481	1993-07-13	PRIJEM	PREVOD Z UCTU	3098	13246	\N	AB	21098941
435770	1481	1993-08-13	PRIJEM	PREVOD Z UCTU	3098	14317	\N	AB	21098941
435771	1481	1993-09-13	PRIJEM	PREVOD Z UCTU	3098	15394	\N	AB	21098941
435772	1481	1993-10-13	PRIJEM	PREVOD Z UCTU	3098	16054	\N	AB	21098941
435773	1481	1993-11-13	PRIJEM	PREVOD Z UCTU	3098	16508	\N	AB	21098941
435774	1481	1993-12-13	PRIJEM	PREVOD Z UCTU	3098	17593	\N	AB	21098941
435775	1481	1994-01-13	PRIJEM	PREVOD Z UCTU	3098	15891	\N	AB	21098941
435776	1481	1994-02-13	PRIJEM	PREVOD Z UCTU	3098	14178	\N	AB	21098941
435777	1481	1994-03-13	PRIJEM	PREVOD Z UCTU	3098	15254	\N	AB	21098941
435778	1481	1994-04-13	PRIJEM	PREVOD Z UCTU	3098	14983	\N	AB	21098941
435779	1481	1994-05-13	PRIJEM	PREVOD Z UCTU	3098	16062	\N	AB	21098941
435780	1481	1994-06-13	PRIJEM	PREVOD Z UCTU	3098	15135	\N	AB	21098941
435781	1481	1994-07-13	PRIJEM	PREVOD Z UCTU	3098	16214	\N	AB	21098941
435782	1481	1994-08-13	PRIJEM	PREVOD Z UCTU	3098	15013	\N	AB	21098941
435783	1481	1994-09-13	PRIJEM	PREVOD Z UCTU	3098	16092	\N	AB	21098941
435784	1481	1994-10-13	PRIJEM	PREVOD Z UCTU	3098	17176	\N	AB	21098941
435785	1481	1994-11-13	PRIJEM	PREVOD Z UCTU	3098	18264	\N	AB	21098941
435786	1481	1994-12-13	PRIJEM	PREVOD Z UCTU	3098	19357	\N	AB	21098941
435787	1481	1995-01-13	PRIJEM	PREVOD Z UCTU	3098	18713	\N	AB	21098941
435788	1481	1995-02-13	PRIJEM	PREVOD Z UCTU	3098	17886	\N	AB	21098941
435789	1481	1995-03-13	PRIJEM	PREVOD Z UCTU	3098	18977	\N	AB	21098941
435790	1481	1995-04-13	PRIJEM	PREVOD Z UCTU	3098	20072	\N	AB	21098941
435791	1481	1995-05-13	PRIJEM	PREVOD Z UCTU	3098	20872	\N	AB	21098941
435792	1481	1995-06-13	PRIJEM	PREVOD Z UCTU	3098	20892	\N	AB	21098941
435793	1481	1995-07-13	PRIJEM	PREVOD Z UCTU	3098	21996	\N	AB	21098941
435794	1481	1995-08-13	PRIJEM	PREVOD Z UCTU	3098	21722	\N	AB	21098941
435795	1481	1995-09-13	PRIJEM	PREVOD Z UCTU	3098	22828	\N	AB	21098941
435796	1481	1995-10-13	PRIJEM	PREVOD Z UCTU	3098	22939	\N	AB	21098941
435797	1481	1995-11-13	PRIJEM	PREVOD Z UCTU	3098	23388	\N	AB	21098941
435798	1481	1995-12-13	PRIJEM	PREVOD Z UCTU	3098	24502	\N	AB	21098941
435799	1481	1996-01-13	PRIJEM	PREVOD Z UCTU	3098	22820	\N	AB	21098941
435800	1481	1996-02-13	PRIJEM	PREVOD Z UCTU	3098	17579	\N	AB	21098941
435801	1481	1996-03-13	PRIJEM	PREVOD Z UCTU	3098	18669	\N	AB	21098941
435802	1481	1996-04-13	PRIJEM	PREVOD Z UCTU	3098	19763	\N	AB	21098941
435803	1481	1996-05-13	PRIJEM	PREVOD Z UCTU	3098	20861	\N	AB	21098941
435804	1481	1996-06-13	PRIJEM	PREVOD Z UCTU	3098	21964	\N	AB	21098941
435805	1481	1996-07-13	PRIJEM	PREVOD Z UCTU	3098	19107	\N	AB	21098941
435806	1481	1996-08-13	PRIJEM	PREVOD Z UCTU	3098	19601	\N	AB	21098941
435807	1481	1996-09-13	PRIJEM	PREVOD Z UCTU	3098	20699	\N	AB	21098941
435808	1481	1996-10-13	PRIJEM	PREVOD Z UCTU	3098	19580	\N	AB	21098941
435809	1481	1996-11-13	PRIJEM	PREVOD Z UCTU	3098	20678	\N	AB	21098941
435810	1481	1996-12-13	PRIJEM	PREVOD Z UCTU	3098	21420	\N	AB	21098941
435811	1481	1997-01-13	PRIJEM	PREVOD Z UCTU	3098	18303	\N	AB	21098941
435812	1481	1997-02-13	PRIJEM	PREVOD Z UCTU	3098	16904	\N	AB	21098941
435813	1481	1997-03-13	PRIJEM	PREVOD Z UCTU	3098	17630	\N	AB	21098941
435814	1481	1997-04-13	PRIJEM	PREVOD Z UCTU	3098	18719	\N	AB	21098941
435815	1481	1997-05-13	PRIJEM	PREVOD Z UCTU	3098	17442	\N	AB	21098941
435816	1481	1997-06-13	PRIJEM	PREVOD Z UCTU	3098	18528	\N	AB	21098941
435817	1481	1997-07-13	PRIJEM	PREVOD Z UCTU	3098	19621	\N	AB	21098941
435818	1481	1997-08-13	PRIJEM	PREVOD Z UCTU	3098	20718	\N	AB	21098941
435819	1481	1997-09-13	PRIJEM	PREVOD Z UCTU	3098	21820	\N	AB	21098941
435820	1481	1997-10-13	PRIJEM	PREVOD Z UCTU	3098	22926	\N	AB	21098941
435821	1481	1997-11-13	PRIJEM	PREVOD Z UCTU	3098	24037	\N	AB	21098941
435822	1481	1997-12-13	PRIJEM	PREVOD Z UCTU	3098	23682	\N	AB	21098941
435823	1481	1998-01-13	PRIJEM	PREVOD Z UCTU	3098	20417	\N	AB	21098941
435824	1481	1998-02-13	PRIJEM	PREVOD Z UCTU	3098	20528	\N	AB	21098941
435825	1481	1998-03-13	PRIJEM	PREVOD Z UCTU	3098	21628	\N	AB	21098941
435826	1481	1998-04-13	PRIJEM	PREVOD Z UCTU	3098	21322	\N	AB	21098941
435827	1481	1998-05-13	PRIJEM	PREVOD Z UCTU	3098	22426	\N	AB	21098941
435828	1481	1998-06-13	PRIJEM	PREVOD Z UCTU	3098	22214	\N	AB	21098941
435829	1481	1998-07-13	PRIJEM	PREVOD Z UCTU	3098	19471	\N	AB	21098941
435830	1481	1998-08-13	PRIJEM	PREVOD Z UCTU	3098	19576	\N	AB	21098941
435831	1481	1998-09-13	PRIJEM	PREVOD Z UCTU	3098	20672	\N	AB	21098941
435832	1481	1998-10-13	PRIJEM	PREVOD Z UCTU	3098	20813	\N	AB	21098941
435833	1481	1998-11-13	PRIJEM	PREVOD Z UCTU	3098	21913	\N	AB	21098941
435834	1481	1998-12-13	PRIJEM	PREVOD Z UCTU	3098	19293	\N	AB	21098941
435841	1481	1993-07-05	VYDAJ	PREVOD NA UCET	2065	10148	SIPO	EF	82271873
435842	1481	1993-08-05	VYDAJ	PREVOD NA UCET	2065	11219	SIPO	EF	82271873
435843	1481	1993-09-05	VYDAJ	PREVOD NA UCET	2065	12296	SIPO	EF	82271873
435844	1481	1993-10-05	VYDAJ	PREVOD NA UCET	2065	12956	SIPO	EF	82271873
435845	1481	1993-11-05	VYDAJ	PREVOD NA UCET	2065	13410	SIPO	EF	82271873
435846	1481	1993-12-05	VYDAJ	PREVOD NA UCET	2065	14495	SIPO	EF	82271873
435847	1481	1994-01-05	VYDAJ	PREVOD NA UCET	2065	14173	SIPO	EF	82271873
435848	1481	1994-02-05	VYDAJ	PREVOD NA UCET	2065	11080	SIPO	EF	82271873
435849	1481	1994-03-05	VYDAJ	PREVOD NA UCET	2065	12156	SIPO	EF	82271873
435850	1481	1994-04-05	VYDAJ	PREVOD NA UCET	2065	11885	SIPO	EF	82271873
435851	1481	1994-05-05	VYDAJ	PREVOD NA UCET	2065	12964	SIPO	EF	82271873
435852	1481	1994-06-05	VYDAJ	PREVOD NA UCET	2065	12037	SIPO	EF	82271873
435853	1481	1994-07-05	VYDAJ	PREVOD NA UCET	2065	13116	SIPO	EF	82271873
435854	1481	1994-08-05	VYDAJ	PREVOD NA UCET	2065	11915	SIPO	EF	82271873
435855	1481	1994-09-05	VYDAJ	PREVOD NA UCET	2065	12994	SIPO	EF	82271873
435856	1481	1994-10-05	VYDAJ	PREVOD NA UCET	2065	14078	SIPO	EF	82271873
435857	1481	1994-11-05	VYDAJ	PREVOD NA UCET	2065	15166	SIPO	EF	82271873
435858	1481	1994-12-05	VYDAJ	PREVOD NA UCET	2065	16259	SIPO	EF	82271873
435859	1481	1995-01-05	VYDAJ	PREVOD NA UCET	2065	16065	SIPO	EF	82271873
435860	1481	1995-02-05	VYDAJ	PREVOD NA UCET	2065	14788	SIPO	EF	82271873
435861	1481	1995-03-05	VYDAJ	PREVOD NA UCET	2065	15879	SIPO	EF	82271873
435862	1481	1995-04-05	VYDAJ	PREVOD NA UCET	2065	16974	SIPO	EF	82271873
435863	1481	1995-05-05	VYDAJ	PREVOD NA UCET	2065	18074	SIPO	EF	82271873
435864	1481	1995-06-05	VYDAJ	PREVOD NA UCET	2065	17794	SIPO	EF	82271873
435865	1481	1995-07-05	VYDAJ	PREVOD NA UCET	2065	18898	SIPO	EF	82271873
435866	1481	1995-08-05	VYDAJ	PREVOD NA UCET	2065	18834	SIPO	EF	82271873
435867	1481	1995-09-05	VYDAJ	PREVOD NA UCET	2065	19730	SIPO	EF	82271873
435868	1481	1995-10-05	VYDAJ	PREVOD NA UCET	2065	19841	SIPO	EF	82271873
435869	1481	1995-11-05	VYDAJ	PREVOD NA UCET	2065	20290	SIPO	EF	82271873
435870	1481	1995-12-05	VYDAJ	PREVOD NA UCET	2065	21404	SIPO	EF	82271873
435871	1481	1996-01-05	VYDAJ	PREVOD NA UCET	2065	21072	SIPO	EF	82271873
435872	1481	1996-02-05	VYDAJ	PREVOD NA UCET	2065	14481	SIPO	EF	82271873
435873	1481	1996-03-05	VYDAJ	PREVOD NA UCET	2065	15571	SIPO	EF	82271873
435874	1481	1996-04-05	VYDAJ	PREVOD NA UCET	2065	16665	SIPO	EF	82271873
435875	1481	1996-05-05	VYDAJ	PREVOD NA UCET	2065	17763	SIPO	EF	82271873
435876	1481	1996-06-05	VYDAJ	PREVOD NA UCET	2065	18866	SIPO	EF	82271873
435877	1481	1996-07-05	VYDAJ	PREVOD NA UCET	2065	16009	SIPO	EF	82271873
435878	1481	1996-08-05	VYDAJ	PREVOD NA UCET	2065	16503	SIPO	EF	82271873
435879	1481	1996-09-05	VYDAJ	PREVOD NA UCET	2065	17601	SIPO	EF	82271873
435880	1481	1996-10-05	VYDAJ	PREVOD NA UCET	2065	17742	SIPO	EF	82271873
435881	1481	1996-11-05	VYDAJ	PREVOD NA UCET	2065	17580	SIPO	EF	82271873
435882	1481	1996-12-05	VYDAJ	PREVOD NA UCET	2065	18322	SIPO	EF	82271873
435883	1481	1997-01-05	VYDAJ	PREVOD NA UCET	2065	18415	SIPO	EF	82271873
435884	1481	1997-02-05	VYDAJ	PREVOD NA UCET	2065	13806	SIPO	EF	82271873
435885	1481	1997-03-05	VYDAJ	PREVOD NA UCET	2065	14532	SIPO	EF	82271873
435886	1481	1997-04-05	VYDAJ	PREVOD NA UCET	2065	15621	SIPO	EF	82271873
435887	1481	1997-05-05	VYDAJ	PREVOD NA UCET	2065	14344	SIPO	EF	82271873
435888	1481	1997-06-05	VYDAJ	PREVOD NA UCET	2065	15430	SIPO	EF	82271873
435889	1481	1997-07-05	VYDAJ	PREVOD NA UCET	2065	16523	SIPO	EF	82271873
435890	1481	1997-08-05	VYDAJ	PREVOD NA UCET	2065	17620	SIPO	EF	82271873
435891	1481	1997-09-05	VYDAJ	PREVOD NA UCET	2065	18722	SIPO	EF	82271873
435892	1481	1997-10-05	VYDAJ	PREVOD NA UCET	2065	19828	SIPO	EF	82271873
435893	1481	1997-11-05	VYDAJ	PREVOD NA UCET	2065	20939	SIPO	EF	82271873
435894	1481	1997-12-05	VYDAJ	PREVOD NA UCET	2065	22054	SIPO	EF	82271873
435895	1481	1998-01-05	VYDAJ	PREVOD NA UCET	2065	20739	SIPO	EF	82271873
435896	1481	1998-02-05	VYDAJ	PREVOD NA UCET	2065	17430	SIPO	EF	82271873
435897	1481	1998-03-05	VYDAJ	PREVOD NA UCET	2065	18530	SIPO	EF	82271873
435898	1481	1998-04-05	VYDAJ	PREVOD NA UCET	2065	18224	SIPO	EF	82271873
435899	1481	1998-05-05	VYDAJ	PREVOD NA UCET	2065	19328	SIPO	EF	82271873
435900	1481	1998-06-05	VYDAJ	PREVOD NA UCET	2065	19716	SIPO	EF	82271873
435901	1481	1998-07-05	VYDAJ	PREVOD NA UCET	2065	16643	SIPO	EF	82271873
435902	1481	1998-08-05	VYDAJ	PREVOD NA UCET	2065	16478	SIPO	EF	82271873
435903	1481	1998-09-05	VYDAJ	PREVOD NA UCET	2065	17574	SIPO	EF	82271873
435904	1481	1998-10-05	VYDAJ	PREVOD NA UCET	2065	18675	SIPO	EF	82271873
435905	1481	1998-11-05	VYDAJ	PREVOD NA UCET	2065	18815	SIPO	EF	82271873
435906	1481	1998-12-05	VYDAJ	PREVOD NA UCET	2065	16195	SIPO	EF	82271873
435907	1481	1993-06-15	VYDAJ	VYBER	4290	12200	\N	\N	\N
435908	1481	1994-06-01	VYDAJ	VYBER	2010	14102	\N	\N	\N
435910	1481	1996-06-22	VYDAJ	VYBER	3960	18004	\N	\N	\N
435912	1481	1998-06-14	VYDAJ	VYBER	3570	18644	\N	\N	\N
435915	1481	1995-01-16	VYDAJ	VYBER	390	18323	\N	\N	\N
435916	1481	1996-01-30	VYDAJ	VYBER	1560	20420	\N	\N	\N
435917	1481	1997-01-08	VYDAJ	VYBER	2970	15445	\N	\N	\N
435918	1481	1998-01-06	VYDAJ	VYBER	2190	18549	\N	\N	\N
435919	1481	1993-12-21	VYDAJ	VYBER	150	16183	\N	\N	\N
435920	1481	1994-12-18	VYDAJ	VYBER	600	18757	\N	\N	\N
435921	1481	1995-12-20	VYDAJ	VYBER	210	24292	\N	\N	\N
435922	1481	1996-12-04	VYDAJ	VYBER	360	20387	\N	\N	\N
435923	1481	1997-12-11	VYDAJ	VYBER	330	20584	\N	\N	\N
435924	1481	1998-12-04	VYDAJ	VYBER	720	18260	\N	\N	\N
435931	1481	1994-01-20	VYDAJ	VYBER	210	14301	\N	\N	\N
435932	1481	1994-01-25	VYDAJ	VYBER	420	13101	\N	\N	\N
435933	1481	1994-01-18	VYDAJ	VYBER	690	14511	\N	\N	\N
435934	1481	1994-01-20	VYDAJ	VYBER	780	13521	\N	\N	\N
435935	1481	1994-01-15	VYDAJ	VYBER	690	15201	\N	\N	\N
435937	1481	1995-01-05	VYDAJ	VYBER	450	18130	\N	\N	\N
435938	1481	1995-01-28	VYDAJ	VYBER	300	16793	\N	\N	\N
435939	1481	1995-01-01	VYDAJ	VYBER	240	18580	\N	\N	\N
435940	1481	1995-01-05	VYDAJ	VYBER	450	15615	\N	\N	\N
435941	1481	1995-01-24	VYDAJ	VYBER	420	17093	\N	\N	\N
435942	1481	1995-01-19	VYDAJ	VYBER	810	17513	\N	\N	\N
435943	1481	1996-01-02	VYDAJ	VYBER	540	23837	\N	\N	\N
435944	1481	1996-01-14	VYDAJ	VYBER	450	22370	\N	\N	\N
435945	1481	1996-01-12	VYDAJ	VYBER	360	20442	\N	\N	\N
435946	1481	1996-01-12	VYDAJ	VYBER	720	19722	\N	\N	\N
435947	1481	1996-01-19	VYDAJ	VYBER	390	21980	\N	\N	\N
435948	1481	1996-01-12	VYDAJ	VYBER	270	20802	\N	\N	\N
435949	1481	1997-01-08	VYDAJ	VYBER	240	15205	\N	\N	\N
435950	1481	1997-01-01	VYDAJ	VYBER	510	20480	\N	\N	\N
435952	1481	1997-01-15	VYDAJ	VYBER	210	18093	\N	\N	\N
435953	1481	1997-01-19	VYDAJ	VYBER	150	17943	\N	\N	\N
435954	1481	1997-01-23	VYDAJ	VYBER	690	17253	\N	\N	\N
435955	1481	1998-01-10	VYDAJ	VYBER	660	17319	\N	\N	\N
435956	1481	1998-01-30	VYDAJ	VYBER	780	19427	\N	\N	\N
435957	1481	1998-01-07	VYDAJ	VYBER	570	17979	\N	\N	\N
435958	1481	1998-01-03	VYDAJ	VYBER	810	22804	\N	\N	\N
435959	1481	1998-01-02	VYDAJ	VYBER	150	23614	\N	\N	\N
435960	1481	1998-01-18	VYDAJ	VYBER	210	20207	\N	\N	\N
435962	1481	1993-10-28	VYDAJ	VYBER	630	15424	\N	\N	\N
435964	1481	1993-12-18	VYDAJ	VYBER	1260	16333	\N	\N	\N
435965	1481	1993-09-27	VYDAJ	VYBER	420	14974	\N	\N	\N
435968	1481	1994-03-24	VYDAJ	VYBER	1350	13904	\N	\N	\N
435970	1481	1994-07-15	VYDAJ	VYBER	1200	15014	\N	\N	\N
435971	1481	1994-07-18	VYDAJ	VYBER	1080	13934	\N	\N	\N
435972	1481	1994-01-07	VYDAJ	VYBER	1380	12793	\N	\N	\N
435973	1481	1995-10-22	VYDAJ	VYBER	660	22279	\N	\N	\N
435974	1481	1995-07-23	VYDAJ	VYBER	870	20826	\N	\N	\N
435975	1481	1995-08-07	VYDAJ	VYBER	210	18624	\N	\N	\N
435976	1481	1995-05-19	VYDAJ	VYBER	1080	19792	\N	\N	\N
435977	1481	1995-07-18	VYDAJ	VYBER	300	21696	\N	\N	\N
435978	1481	1996-10-11	VYDAJ	VYBER	1260	16482	\N	\N	\N
435979	1481	1996-09-15	VYDAJ	VYBER	450	20249	\N	\N	\N
435980	1481	1996-07-22	VYDAJ	VYBER	600	18507	\N	\N	\N
435981	1481	1996-09-28	VYDAJ	VYBER	510	19739	\N	\N	\N
435982	1481	1996-02-05	VYDAJ	VYBER	750	16546	\N	\N	\N
435983	1481	1997-12-11	VYDAJ	VYBER	1140	20914	\N	\N	\N
435984	1481	1997-04-27	VYDAJ	VYBER	990	17729	\N	\N	\N
435985	1481	1997-01-28	VYDAJ	VYBER	1440	15813	\N	\N	\N
435986	1481	1997-05-01	VYDAJ	VYBER	1380	16409	\N	\N	\N
435987	1481	1997-02-27	VYDAJ	VYBER	360	16544	\N	\N	\N
435988	1481	1998-03-28	VYDAJ	VYBER	1410	20218	\N	\N	\N
435989	1481	1998-11-20	VYDAJ	VYBER	600	18913	\N	\N	\N
435990	1481	1998-06-08	VYDAJ	VYBER	600	19116	\N	\N	\N
435991	1481	1998-06-04	VYDAJ	VYBER	720	21781	\N	\N	\N
435993	1481	1998-07-12	VYDAJ	VYBER	270	16373	\N	\N	\N
435994	1481	1998-07-24	VYDAJ	VYBER	990	18481	\N	\N	\N
435995	1481	1998-10-06	VYDAJ	VYBER	960	17715	\N	\N	\N
436002	1481	1993-06-30	VYDAJ	VYBER	15	12213	SLUZBY	\N	\N
436003	1481	1993-07-31	VYDAJ	VYBER	15	13284	SLUZBY	\N	\N
436004	1481	1993-08-31	VYDAJ	VYBER	15	14361	SLUZBY	\N	\N
436005	1481	1993-09-30	VYDAJ	VYBER	15	15021	SLUZBY	\N	\N
436006	1481	1993-10-31	VYDAJ	VYBER	15	15475	SLUZBY	\N	\N
436007	1481	1993-11-30	VYDAJ	VYBER	15	16560	SLUZBY	\N	\N
436008	1481	1993-12-31	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
436009	1481	1994-01-31	VYDAJ	VYBER	15	13145	SLUZBY	\N	\N
436010	1481	1994-02-28	VYDAJ	VYBER	15	14221	SLUZBY	\N	\N
436011	1481	1994-03-31	VYDAJ	VYBER	15	13950	SLUZBY	\N	\N
436012	1481	1994-04-30	VYDAJ	VYBER	15	15029	SLUZBY	\N	\N
436013	1481	1994-05-31	VYDAJ	VYBER	15	16112	SLUZBY	\N	\N
436014	1481	1994-06-30	VYDAJ	VYBER	15	15181	SLUZBY	\N	\N
436015	1481	1994-07-31	VYDAJ	VYBER	15	13980	SLUZBY	\N	\N
436016	1481	1994-08-31	VYDAJ	VYBER	15	15059	SLUZBY	\N	\N
436017	1481	1994-09-30	VYDAJ	VYBER	15	16143	SLUZBY	\N	\N
436018	1481	1994-10-31	VYDAJ	VYBER	15	17231	SLUZBY	\N	\N
436019	1481	1994-11-30	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
436020	1481	1994-12-31	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
436021	1481	1995-01-31	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
436022	1481	1995-02-28	VYDAJ	VYBER	15	17944	SLUZBY	\N	\N
436023	1481	1995-03-31	VYDAJ	VYBER	15	19039	SLUZBY	\N	\N
436024	1481	1995-04-30	VYDAJ	VYBER	15	20139	SLUZBY	\N	\N
436025	1481	1995-05-31	VYDAJ	VYBER	15	19859	SLUZBY	\N	\N
436026	1481	1995-06-30	VYDAJ	VYBER	15	20963	SLUZBY	\N	\N
436027	1481	1995-07-31	VYDAJ	VYBER	15	20899	SLUZBY	\N	\N
436028	1481	1995-08-31	VYDAJ	VYBER	15	21795	SLUZBY	\N	\N
436029	1481	1995-09-30	VYDAJ	VYBER	15	22906	SLUZBY	\N	\N
436030	1481	1995-10-31	VYDAJ	VYBER	15	22355	SLUZBY	\N	\N
436031	1481	1995-11-30	VYDAJ	VYBER	15	23469	SLUZBY	\N	\N
436032	1481	1995-12-31	VYDAJ	VYBER	15	24377	SLUZBY	\N	\N
436033	1481	1996-01-31	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
436034	1481	1996-02-29	VYDAJ	VYBER	15	17636	SLUZBY	\N	\N
436035	1481	1996-03-31	VYDAJ	VYBER	15	18730	SLUZBY	\N	\N
436036	1481	1996-04-30	VYDAJ	VYBER	15	19828	SLUZBY	\N	\N
436037	1481	1996-05-31	VYDAJ	VYBER	15	20931	SLUZBY	\N	\N
436038	1481	1996-06-30	VYDAJ	VYBER	15	18074	SLUZBY	\N	\N
436039	1481	1996-07-31	VYDAJ	VYBER	15	18568	SLUZBY	\N	\N
436040	1481	1996-08-31	VYDAJ	VYBER	15	19666	SLUZBY	\N	\N
436041	1481	1996-09-30	VYDAJ	VYBER	15	19807	SLUZBY	\N	\N
436042	1481	1996-10-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
436043	1481	1996-11-30	VYDAJ	VYBER	15	20747	SLUZBY	\N	\N
436044	1481	1996-12-31	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
436045	1481	1997-01-31	VYDAJ	VYBER	15	15871	SLUZBY	\N	\N
436046	1481	1997-02-28	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
436047	1481	1997-03-31	VYDAJ	VYBER	15	17686	SLUZBY	\N	\N
436048	1481	1997-04-30	VYDAJ	VYBER	15	17789	SLUZBY	\N	\N
436049	1481	1997-05-31	VYDAJ	VYBER	15	17495	SLUZBY	\N	\N
436050	1481	1997-06-30	VYDAJ	VYBER	15	18588	SLUZBY	\N	\N
436051	1481	1997-07-31	VYDAJ	VYBER	15	19685	SLUZBY	\N	\N
436052	1481	1997-08-31	VYDAJ	VYBER	15	20787	SLUZBY	\N	\N
436053	1481	1997-09-30	VYDAJ	VYBER	15	21893	SLUZBY	\N	\N
436054	1481	1997-10-31	VYDAJ	VYBER	15	23004	SLUZBY	\N	\N
436055	1481	1997-11-30	VYDAJ	VYBER	15	24119	SLUZBY	\N	\N
436056	1481	1997-12-31	VYDAJ	VYBER	15	23764	SLUZBY	\N	\N
436057	1481	1998-01-31	VYDAJ	VYBER	15	19495	SLUZBY	\N	\N
436058	1481	1998-02-28	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
436059	1481	1998-03-31	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
436060	1481	1998-04-30	VYDAJ	VYBER	15	21393	SLUZBY	\N	\N
436061	1481	1998-05-31	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
436062	1481	1998-06-30	VYDAJ	VYBER	15	18708	SLUZBY	\N	\N
436063	1481	1998-07-31	VYDAJ	VYBER	15	18543	SLUZBY	\N	\N
436064	1481	1998-08-31	VYDAJ	VYBER	15	19639	SLUZBY	\N	\N
436065	1481	1998-09-30	VYDAJ	VYBER	15	20740	SLUZBY	\N	\N
436066	1481	1998-10-31	VYDAJ	VYBER	15	20880	SLUZBY	\N	\N
436067	1481	1998-11-30	VYDAJ	VYBER	15	18980	SLUZBY	\N	\N
436068	1481	1995-05-07	VYDAJ	VYBER	300	17774	\N	\N	\N
436069	1481	1995-10-04	VYDAJ	VYBER	1000	21906	\N	\N	\N
436070	1481	1996-01-02	VYDAJ	VYBER	700	23137	\N	\N	\N
436071	1481	1996-02-01	VYDAJ	VYBER	3200	17296	\N	\N	\N
436072	1481	1996-12-27	VYDAJ	VYBER	500	20920	\N	\N	\N
436073	1481	1998-11-17	VYDAJ	VYBER	2400	19513	\N	\N	\N
436141	1482	1996-12-08	PRIJEM	VKLAD	500	500	\N	\N	\N
436154	1482	1997-01-06	PRIJEM	VKLAD	23076	23576	\N	\N	\N
436155	1482	1997-02-06	PRIJEM	VKLAD	23076	48036	\N	\N	\N
436156	1482	1997-03-06	PRIJEM	VKLAD	23076	58451	\N	\N	\N
436157	1482	1997-04-06	PRIJEM	VKLAD	23076	63891	\N	\N	\N
436158	1482	1997-05-06	PRIJEM	VKLAD	23076	63536	\N	\N	\N
436159	1482	1997-06-06	PRIJEM	VKLAD	34614	69298	\N	\N	\N
436160	1482	1997-07-06	PRIJEM	VKLAD	23076	46524	\N	\N	\N
436161	1482	1997-08-06	PRIJEM	VKLAD	23076	55431	\N	\N	\N
436162	1482	1997-09-06	PRIJEM	VKLAD	23076	63306	\N	\N	\N
436163	1482	1997-10-06	PRIJEM	VKLAD	23076	63921	\N	\N	\N
436164	1482	1997-11-06	PRIJEM	VKLAD	23076	65143	\N	\N	\N
436165	1482	1997-12-06	PRIJEM	VKLAD	34614	72607	\N	\N	\N
436166	1482	1998-01-06	PRIJEM	VKLAD	23076	62054	\N	\N	\N
436167	1482	1998-02-06	PRIJEM	VKLAD	23076	52842	\N	\N	\N
436168	1482	1998-03-06	PRIJEM	VKLAD	23076	60016	\N	\N	\N
436169	1482	1998-04-06	PRIJEM	VKLAD	23076	61218	\N	\N	\N
436170	1482	1998-05-06	PRIJEM	VKLAD	23076	58228	\N	\N	\N
436171	1482	1998-06-06	PRIJEM	VKLAD	34614	72367	\N	\N	\N
436172	1482	1998-07-06	PRIJEM	VKLAD	23076	61375	\N	\N	\N
436173	1482	1998-08-06	PRIJEM	VKLAD	23076	65182	\N	\N	\N
436174	1482	1998-09-06	PRIJEM	VKLAD	23076	67480	\N	\N	\N
436175	1482	1998-10-06	PRIJEM	VKLAD	23076	68786	\N	\N	\N
436176	1482	1998-11-06	PRIJEM	VKLAD	23076	72598	\N	\N	\N
436177	1482	1998-12-06	PRIJEM	VKLAD	34614	84762	\N	\N	\N
436194	1482	1997-05-10	VYDAJ	PREVOD NA UCET	2687	36649	SIPO	KL	43270033
436195	1482	1997-06-10	VYDAJ	PREVOD NA UCET	2687	42611	SIPO	KL	43270033
436196	1482	1997-07-10	VYDAJ	PREVOD NA UCET	2687	35037	SIPO	KL	43270033
436197	1482	1997-08-10	VYDAJ	PREVOD NA UCET	2687	52744	SIPO	KL	43270033
436198	1482	1997-09-10	VYDAJ	PREVOD NA UCET	2687	60619	SIPO	KL	43270033
436199	1482	1997-10-10	VYDAJ	PREVOD NA UCET	2687	61234	SIPO	KL	43270033
436200	1482	1997-11-10	VYDAJ	PREVOD NA UCET	2687	62456	SIPO	KL	43270033
436201	1482	1997-12-10	VYDAJ	PREVOD NA UCET	2687	69920	SIPO	KL	43270033
436202	1482	1998-01-10	VYDAJ	PREVOD NA UCET	2687	59367	SIPO	KL	43270033
436203	1482	1998-02-10	VYDAJ	PREVOD NA UCET	2687	50155	SIPO	KL	43270033
436204	1482	1998-03-10	VYDAJ	PREVOD NA UCET	2687	57329	SIPO	KL	43270033
436205	1482	1998-04-10	VYDAJ	PREVOD NA UCET	2687	58531	SIPO	KL	43270033
436206	1482	1998-05-10	VYDAJ	PREVOD NA UCET	2687	55541	SIPO	KL	43270033
436207	1482	1998-06-10	VYDAJ	PREVOD NA UCET	2687	69680	SIPO	KL	43270033
436208	1482	1998-07-10	VYDAJ	PREVOD NA UCET	2687	58688	SIPO	KL	43270033
436209	1482	1998-08-10	VYDAJ	PREVOD NA UCET	2687	62495	SIPO	KL	43270033
436210	1482	1998-09-10	VYDAJ	PREVOD NA UCET	2687	64793	SIPO	KL	43270033
436211	1482	1998-10-10	VYDAJ	PREVOD NA UCET	2687	66099	SIPO	KL	43270033
436212	1482	1998-11-10	VYDAJ	PREVOD NA UCET	2687	69911	SIPO	KL	43270033
436213	1482	1998-12-10	VYDAJ	PREVOD NA UCET	2687	82075	SIPO	KL	43270033
436230	1482	1997-05-11	VYDAJ	PREVOD NA UCET	1766	34883	 	KL	10367054
436231	1482	1997-06-11	VYDAJ	PREVOD NA UCET	1766	40845	 	KL	10367054
436232	1482	1997-07-11	VYDAJ	PREVOD NA UCET	1766	33271	 	KL	10367054
436233	1482	1997-08-11	VYDAJ	PREVOD NA UCET	1766	50978	 	KL	10367054
436234	1482	1997-09-11	VYDAJ	PREVOD NA UCET	1766	58853	 	KL	10367054
436235	1482	1997-10-11	VYDAJ	PREVOD NA UCET	1766	59468	 	KL	10367054
436236	1482	1997-11-11	VYDAJ	PREVOD NA UCET	1766	60690	 	KL	10367054
436237	1482	1997-12-11	VYDAJ	PREVOD NA UCET	1766	68154	 	KL	10367054
436238	1482	1998-01-11	VYDAJ	PREVOD NA UCET	1766	54401	 	KL	10367054
436239	1482	1998-02-11	VYDAJ	PREVOD NA UCET	1766	48389	 	KL	10367054
436240	1482	1998-03-11	VYDAJ	PREVOD NA UCET	1766	55563	 	KL	10367054
436241	1482	1998-04-11	VYDAJ	PREVOD NA UCET	1766	56765	 	KL	10367054
436242	1482	1998-05-11	VYDAJ	PREVOD NA UCET	1766	53775	 	KL	10367054
436243	1482	1998-06-11	VYDAJ	PREVOD NA UCET	1766	67914	 	KL	10367054
436244	1482	1998-07-11	VYDAJ	PREVOD NA UCET	1766	56922	 	KL	10367054
436245	1482	1998-08-11	VYDAJ	PREVOD NA UCET	1766	60729	 	KL	10367054
436246	1482	1998-09-11	VYDAJ	PREVOD NA UCET	1766	63027	 	KL	10367054
436247	1482	1998-10-11	VYDAJ	PREVOD NA UCET	1766	64333	 	KL	10367054
436248	1482	1998-11-11	VYDAJ	PREVOD NA UCET	1766	68145	 	KL	10367054
436249	1482	1998-12-11	VYDAJ	PREVOD NA UCET	1766	80309	 	KL	10367054
436266	1482	1997-05-13	VYDAJ	PREVOD NA UCET	335	34548	POJISTNE	GH	84175443
436267	1482	1997-06-13	VYDAJ	PREVOD NA UCET	335	40510	POJISTNE	GH	84175443
436268	1482	1997-07-13	VYDAJ	PREVOD NA UCET	335	32936	POJISTNE	GH	84175443
436269	1482	1997-08-13	VYDAJ	PREVOD NA UCET	335	50643	POJISTNE	GH	84175443
436270	1482	1997-09-13	VYDAJ	PREVOD NA UCET	335	58518	POJISTNE	GH	84175443
436271	1482	1997-10-13	VYDAJ	PREVOD NA UCET	335	59133	POJISTNE	GH	84175443
436272	1482	1997-11-13	VYDAJ	PREVOD NA UCET	335	60355	POJISTNE	GH	84175443
436273	1482	1997-12-13	VYDAJ	PREVOD NA UCET	335	65219	POJISTNE	GH	84175443
436274	1482	1998-01-13	VYDAJ	PREVOD NA UCET	335	51766	POJISTNE	GH	84175443
436275	1482	1998-02-13	VYDAJ	PREVOD NA UCET	335	48054	POJISTNE	GH	84175443
436276	1482	1998-03-13	VYDAJ	PREVOD NA UCET	335	55228	POJISTNE	GH	84175443
436277	1482	1998-04-13	VYDAJ	PREVOD NA UCET	335	56430	POJISTNE	GH	84175443
436278	1482	1998-05-13	VYDAJ	PREVOD NA UCET	335	53440	POJISTNE	GH	84175443
436279	1482	1998-06-13	VYDAJ	PREVOD NA UCET	335	51479	POJISTNE	GH	84175443
436280	1482	1998-07-13	VYDAJ	PREVOD NA UCET	335	56587	POJISTNE	GH	84175443
436281	1482	1998-08-13	VYDAJ	PREVOD NA UCET	335	60394	POJISTNE	GH	84175443
436282	1482	1998-09-13	VYDAJ	PREVOD NA UCET	335	62692	POJISTNE	GH	84175443
436283	1482	1998-10-13	VYDAJ	PREVOD NA UCET	335	63998	POJISTNE	GH	84175443
436284	1482	1998-11-13	VYDAJ	PREVOD NA UCET	335	67810	POJISTNE	GH	84175443
436285	1482	1998-12-13	VYDAJ	PREVOD NA UCET	335	79974	POJISTNE	GH	84175443
436287	1482	1997-06-19	VYDAJ	VYBER	17200	23310	\N	\N	\N
436288	1482	1998-06-11	VYDAJ	VYBER	16100	51814	\N	\N	\N
436291	1482	1998-01-11	VYDAJ	VYBER KARTOU	3200	56167	\N	\N	0
436293	1482	1997-12-13	VYDAJ	VYBER	2600	65554	\N	\N	\N
436294	1482	1998-12-22	VYDAJ	VYBER KARTOU	1900	78074	\N	\N	0
436307	1482	1998-01-23	VYDAJ	VYBER KARTOU	2300	49466	\N	\N	0
436308	1482	1998-01-28	VYDAJ	VYBER KARTOU	1400	47466	\N	\N	0
436309	1482	1998-01-01	VYDAJ	VYBER KARTOU	2300	59478	\N	\N	0
436310	1482	1998-01-24	VYDAJ	VYBER KARTOU	600	48866	\N	\N	0
436311	1482	1998-01-04	VYDAJ	VYBER KARTOU	2900	38978	\N	\N	0
436312	1482	1998-01-04	VYDAJ	VYBER KARTOU	1900	41878	\N	\N	0
436320	1482	1997-12-29	VYDAJ	VYBER KARTOU	3700	61519	\N	\N	0
436323	1482	1997-07-31	VYDAJ	VYBER	1200	31870	\N	\N	\N
436324	1482	1997-10-27	VYDAJ	VYBER	1700	57433	\N	\N	\N
436325	1482	1998-09-27	VYDAJ	VYBER KARTOU	4000	58692	\N	\N	0
436326	1482	1998-01-11	VYDAJ	VYBER KARTOU	2300	52101	\N	\N	0
436327	1482	1998-02-05	VYDAJ	VYBER KARTOU	3100	29766	\N	\N	0
436345	1482	1997-05-31	VYDAJ	VYBER	15	34684	SLUZBY	\N	\N
436346	1482	1997-06-30	VYDAJ	VYBER	15	23448	SLUZBY	\N	\N
436347	1482	1997-07-31	VYDAJ	VYBER	15	31855	SLUZBY	\N	\N
436348	1482	1997-08-31	VYDAJ	VYBER	15	50830	SLUZBY	\N	\N
436349	1482	1997-09-30	VYDAJ	VYBER	15	58745	SLUZBY	\N	\N
436350	1482	1997-10-31	VYDAJ	VYBER	15	57667	SLUZBY	\N	\N
436351	1482	1997-11-30	VYDAJ	VYBER	15	60593	SLUZBY	\N	\N
436352	1482	1997-12-31	VYDAJ	VYBER	15	61778	SLUZBY	\N	\N
436353	1482	1998-01-31	VYDAJ	VYBER	15	47666	SLUZBY	\N	\N
436354	1482	1998-02-28	VYDAJ	VYBER	15	48240	SLUZBY	\N	\N
436355	1482	1998-03-31	VYDAJ	VYBER	15	55442	SLUZBY	\N	\N
436356	1482	1998-04-30	VYDAJ	VYBER	15	56652	SLUZBY	\N	\N
436357	1482	1998-05-31	VYDAJ	VYBER	15	53653	SLUZBY	\N	\N
436358	1482	1998-06-30	VYDAJ	VYBER	15	51699	SLUZBY	\N	\N
436359	1482	1998-07-31	VYDAJ	VYBER	15	42106	SLUZBY	\N	\N
436360	1482	1998-08-31	VYDAJ	VYBER	15	44404	SLUZBY	\N	\N
436361	1482	1998-09-30	VYDAJ	VYBER	15	45710	SLUZBY	\N	\N
436362	1482	1998-10-31	VYDAJ	VYBER	15	49522	SLUZBY	\N	\N
436363	1482	1998-11-30	VYDAJ	VYBER	15	50148	SLUZBY	\N	\N
436364	1482	1997-01-07	PRIJEM	VKLAD	1300	24876	\N	\N	\N
436365	1482	1997-02-06	VYDAJ	VYBER	12800	35236	\N	\N	\N
436366	1482	1997-03-08	VYDAJ	VYBER	17800	40651	\N	\N	\N
436367	1482	1997-04-07	VYDAJ	VYBER	23600	40291	\N	\N	\N
436368	1482	1997-05-07	VYDAJ	VYBER	24200	39336	\N	\N	\N
436369	1482	1997-06-06	VYDAJ	VYBER	24000	45298	\N	\N	\N
436370	1482	1997-07-06	VYDAJ	VYBER	8800	37724	\N	\N	\N
436371	1482	1997-08-05	PRIJEM	VKLAD	500	32355	\N	\N	\N
436372	1482	1997-09-04	VYDAJ	VYBER	10600	40230	\N	\N	\N
436373	1482	1997-10-04	VYDAJ	VYBER	17900	40845	\N	\N	\N
436374	1482	1997-11-03	VYDAJ	VYBER	15600	42067	\N	\N	\N
436375	1482	1997-12-03	VYDAJ	VYBER	22600	37993	\N	\N	\N
436376	1482	1998-01-02	VYDAJ	VYBER	15700	43778	\N	\N	\N
436377	1482	1998-02-01	VYDAJ	VYBER	14800	32866	\N	\N	\N
436378	1482	1998-03-03	VYDAJ	VYBER	11300	36940	\N	\N	\N
436379	1482	1998-04-02	VYDAJ	VYBER	17300	38142	\N	\N	\N
436380	1482	1998-05-02	VYDAJ	VYBER	21500	35152	\N	\N	\N
436381	1482	1998-06-01	VYDAJ	VYBER	15900	37753	\N	\N	\N
436382	1482	1998-07-01	VYDAJ	VYBER	13400	38299	\N	\N	\N
436383	1482	1998-07-31	VYDAJ	VYBER	14700	42120	\N	\N	\N
436384	1482	1998-08-30	VYDAJ	VYBER	16200	44194	\N	\N	\N
436385	1482	1998-09-29	VYDAJ	VYBER	13200	45492	\N	\N	\N
436386	1482	1998-10-29	VYDAJ	VYBER	14700	49298	\N	\N	\N
436387	1482	1998-11-28	VYDAJ	VYBER	17900	49910	\N	\N	\N
436412	1483	1996-01-09	PRIJEM	VKLAD	400	400	\N	\N	\N
436413	1483	1996-01-13	PRIJEM	VKLAD	6995	7395	\N	\N	\N
436414	1483	1996-02-13	PRIJEM	VKLAD	6995	20209	\N	\N	\N
436415	1483	1996-03-13	PRIJEM	VKLAD	6995	28966	\N	\N	\N
436416	1483	1996-04-13	PRIJEM	VKLAD	6995	35268	\N	\N	\N
436417	1483	1996-05-13	PRIJEM	VKLAD	6995	36799	\N	\N	\N
436418	1483	1996-06-13	PRIJEM	VKLAD	10493	34665	\N	\N	\N
436419	1483	1996-07-13	PRIJEM	VKLAD	6995	32322	\N	\N	\N
436420	1483	1996-08-13	PRIJEM	VKLAD	6995	26207	\N	\N	\N
436421	1483	1996-09-13	PRIJEM	VKLAD	6995	30229	\N	\N	\N
436422	1483	1996-10-13	PRIJEM	VKLAD	6995	29664	\N	\N	\N
436423	1483	1996-11-13	PRIJEM	VKLAD	6995	23315	\N	\N	\N
436424	1483	1996-12-13	PRIJEM	VKLAD	10493	28025	\N	\N	\N
436425	1483	1997-01-13	PRIJEM	VKLAD	6995	23926	\N	\N	\N
436426	1483	1997-02-13	PRIJEM	VKLAD	6995	21612	\N	\N	\N
436427	1483	1997-03-13	PRIJEM	VKLAD	6995	20529	\N	\N	\N
436428	1483	1997-04-13	PRIJEM	VKLAD	6995	20825	\N	\N	\N
436429	1483	1997-05-13	PRIJEM	VKLAD	6995	24124	\N	\N	\N
436430	1483	1997-06-13	PRIJEM	VKLAD	10493	25292	\N	\N	\N
436431	1483	1997-07-13	PRIJEM	VKLAD	6995	28209	\N	\N	\N
436432	1483	1997-08-13	PRIJEM	VKLAD	6995	29476	\N	\N	\N
436433	1483	1997-09-13	PRIJEM	VKLAD	6995	35306	\N	\N	\N
436434	1483	1997-10-13	PRIJEM	VKLAD	6995	37964	\N	\N	\N
436435	1483	1997-11-13	PRIJEM	VKLAD	6995	43233	\N	\N	\N
436436	1483	1997-12-13	PRIJEM	VKLAD	10493	44254	\N	\N	\N
436437	1483	1998-01-13	PRIJEM	VKLAD	6995	34918	\N	\N	\N
436438	1483	1998-02-13	PRIJEM	VKLAD	6995	25971	\N	\N	\N
436439	1483	1998-03-13	PRIJEM	VKLAD	6995	36492	\N	\N	\N
436440	1483	1998-04-13	PRIJEM	VKLAD	6995	39755	\N	\N	\N
436441	1483	1998-05-13	PRIJEM	VKLAD	6995	44132	\N	\N	\N
436442	1483	1998-06-13	PRIJEM	VKLAD	10493	44802	\N	\N	\N
436443	1483	1998-07-13	PRIJEM	VKLAD	6995	30565	\N	\N	\N
436444	1483	1998-08-13	PRIJEM	VKLAD	6995	42209	\N	\N	\N
436445	1483	1998-09-13	PRIJEM	VKLAD	6995	49080	\N	\N	\N
436446	1483	1998-10-13	PRIJEM	VKLAD	6995	57399	\N	\N	\N
436447	1483	1998-11-13	PRIJEM	VKLAD	6995	62651	\N	\N	\N
436448	1483	1998-12-13	PRIJEM	VKLAD	10493	62614	\N	\N	\N
436454	1483	1996-06-08	VYDAJ	PREVOD NA UCET	1962	26873	SIPO	YZ	92452376
436455	1483	1996-07-08	VYDAJ	PREVOD NA UCET	1962	28028	SIPO	YZ	92452376
436456	1483	1996-08-08	VYDAJ	PREVOD NA UCET	1962	21913	SIPO	YZ	92452376
436457	1483	1996-09-08	VYDAJ	PREVOD NA UCET	1962	25935	SIPO	YZ	92452376
436458	1483	1996-10-08	VYDAJ	PREVOD NA UCET	1962	25370	SIPO	YZ	92452376
436459	1483	1996-11-08	VYDAJ	PREVOD NA UCET	1962	19021	SIPO	YZ	92452376
436460	1483	1996-12-08	VYDAJ	PREVOD NA UCET	1962	20234	SIPO	YZ	92452376
436461	1483	1997-01-08	VYDAJ	PREVOD NA UCET	1962	21072	SIPO	YZ	92452376
436462	1483	1997-02-08	VYDAJ	PREVOD NA UCET	1962	17318	SIPO	YZ	92452376
436463	1483	1997-03-08	VYDAJ	PREVOD NA UCET	1962	16235	SIPO	YZ	92452376
436464	1483	1997-04-08	VYDAJ	PREVOD NA UCET	1962	16531	SIPO	YZ	92452376
436465	1483	1997-05-08	VYDAJ	PREVOD NA UCET	1962	19830	SIPO	YZ	92452376
436466	1483	1997-06-08	VYDAJ	PREVOD NA UCET	1962	21940	SIPO	YZ	92452376
436467	1483	1997-07-08	VYDAJ	PREVOD NA UCET	1962	23915	SIPO	YZ	92452376
436468	1483	1997-08-08	VYDAJ	PREVOD NA UCET	1962	25182	SIPO	YZ	92452376
436469	1483	1997-09-08	VYDAJ	PREVOD NA UCET	1962	31012	SIPO	YZ	92452376
436470	1483	1997-10-08	VYDAJ	PREVOD NA UCET	1962	33670	SIPO	YZ	92452376
436471	1483	1997-11-08	VYDAJ	PREVOD NA UCET	1962	38939	SIPO	YZ	92452376
436472	1483	1997-12-08	VYDAJ	PREVOD NA UCET	1962	36462	SIPO	YZ	92452376
436473	1483	1998-01-08	VYDAJ	PREVOD NA UCET	1962	30624	SIPO	YZ	92452376
436474	1483	1998-02-08	VYDAJ	PREVOD NA UCET	1962	22277	SIPO	YZ	92452376
436475	1483	1998-03-08	VYDAJ	PREVOD NA UCET	1962	32198	SIPO	YZ	92452376
436476	1483	1998-04-08	VYDAJ	PREVOD NA UCET	1962	35461	SIPO	YZ	92452376
436477	1483	1998-05-08	VYDAJ	PREVOD NA UCET	1962	39838	SIPO	YZ	92452376
436478	1483	1998-06-08	VYDAJ	PREVOD NA UCET	1962	39531	SIPO	YZ	92452376
436479	1483	1998-07-08	VYDAJ	PREVOD NA UCET	1962	26271	SIPO	YZ	92452376
436480	1483	1998-08-08	VYDAJ	PREVOD NA UCET	1962	37915	SIPO	YZ	92452376
436481	1483	1998-09-08	VYDAJ	PREVOD NA UCET	1962	44786	SIPO	YZ	92452376
436482	1483	1998-10-08	VYDAJ	PREVOD NA UCET	1962	53105	SIPO	YZ	92452376
436483	1483	1998-11-08	VYDAJ	PREVOD NA UCET	1962	58357	SIPO	YZ	92452376
436484	1483	1998-12-08	VYDAJ	PREVOD NA UCET	1962	56022	SIPO	YZ	92452376
436490	1483	1996-06-09	VYDAJ	PREVOD NA UCET	2701	24172	 	AB	39453744
436491	1483	1996-07-09	VYDAJ	PREVOD NA UCET	2701	25327	 	AB	39453744
436492	1483	1996-08-09	VYDAJ	PREVOD NA UCET	2701	19212	 	AB	39453744
436493	1483	1996-09-09	VYDAJ	PREVOD NA UCET	2701	23234	 	AB	39453744
436494	1483	1996-10-09	VYDAJ	PREVOD NA UCET	2701	22669	 	AB	39453744
436495	1483	1996-11-09	VYDAJ	PREVOD NA UCET	2701	16320	 	AB	39453744
436496	1483	1996-12-09	VYDAJ	PREVOD NA UCET	2701	17533	 	AB	39453744
436497	1483	1997-01-09	VYDAJ	PREVOD NA UCET	2701	16931	 	AB	39453744
436498	1483	1997-02-09	VYDAJ	PREVOD NA UCET	2701	14617	 	AB	39453744
436499	1483	1997-03-09	VYDAJ	PREVOD NA UCET	2701	13534	 	AB	39453744
436500	1483	1997-04-09	VYDAJ	PREVOD NA UCET	2701	13830	 	AB	39453744
436501	1483	1997-05-09	VYDAJ	PREVOD NA UCET	2701	17129	 	AB	39453744
436502	1483	1997-06-09	VYDAJ	PREVOD NA UCET	2701	19239	 	AB	39453744
436503	1483	1997-07-09	VYDAJ	PREVOD NA UCET	2701	21214	 	AB	39453744
436504	1483	1997-08-09	VYDAJ	PREVOD NA UCET	2701	22481	 	AB	39453744
436505	1483	1997-09-09	VYDAJ	PREVOD NA UCET	2701	28311	 	AB	39453744
436506	1483	1997-10-09	VYDAJ	PREVOD NA UCET	2701	30969	 	AB	39453744
436507	1483	1997-11-09	VYDAJ	PREVOD NA UCET	2701	36238	 	AB	39453744
436508	1483	1997-12-09	VYDAJ	PREVOD NA UCET	2701	33761	 	AB	39453744
436509	1483	1998-01-09	VYDAJ	PREVOD NA UCET	2701	27923	 	AB	39453744
436510	1483	1998-02-09	VYDAJ	PREVOD NA UCET	2701	18976	 	AB	39453744
436511	1483	1998-03-09	VYDAJ	PREVOD NA UCET	2701	29497	 	AB	39453744
436512	1483	1998-04-09	VYDAJ	PREVOD NA UCET	2701	32760	 	AB	39453744
436513	1483	1998-05-09	VYDAJ	PREVOD NA UCET	2701	37137	 	AB	39453744
436514	1483	1998-06-09	VYDAJ	PREVOD NA UCET	2701	36830	 	AB	39453744
436515	1483	1998-07-09	VYDAJ	PREVOD NA UCET	2701	23570	 	AB	39453744
436516	1483	1998-08-09	VYDAJ	PREVOD NA UCET	2701	35214	 	AB	39453744
436517	1483	1998-09-09	VYDAJ	PREVOD NA UCET	2701	42085	 	AB	39453744
436518	1483	1998-10-09	VYDAJ	PREVOD NA UCET	2701	50404	 	AB	39453744
436519	1483	1998-11-09	VYDAJ	PREVOD NA UCET	2701	55656	 	AB	39453744
436520	1483	1998-12-09	VYDAJ	PREVOD NA UCET	2701	53321	 	AB	39453744
436523	1483	1998-06-17	VYDAJ	VYBER	30080	14722	\N	\N	\N
436526	1483	1998-01-29	VYDAJ	VYBER	12320	24118	\N	\N	\N
436527	1483	1996-12-23	VYDAJ	VYBER	1920	26105	\N	\N	\N
436528	1483	1997-12-23	VYDAJ	VYBER	4320	39934	\N	\N	\N
436529	1483	1998-12-05	VYDAJ	VYBER	1280	57984	\N	\N	\N
436536	1483	1997-01-07	VYDAJ	VYBER	2160	23034	\N	\N	\N
436537	1483	1997-01-20	VYDAJ	VYBER	2880	20086	\N	\N	\N
436538	1483	1997-01-13	VYDAJ	VYBER	960	22966	\N	\N	\N
436539	1483	1997-01-21	VYDAJ	VYBER	2160	17926	\N	\N	\N
436540	1483	1997-01-09	VYDAJ	VYBER	1440	19632	\N	\N	\N
436541	1483	1997-01-28	VYDAJ	VYBER	720	17206	\N	\N	\N
436542	1483	1998-01-04	VYDAJ	VYBER	2640	35226	\N	\N	\N
436543	1483	1998-01-02	VYDAJ	VYBER	2520	37866	\N	\N	\N
436544	1483	1998-01-05	VYDAJ	VYBER	2640	32586	\N	\N	\N
436545	1483	1998-01-26	VYDAJ	VYBER	2640	30598	\N	\N	\N
436546	1483	1998-01-29	VYDAJ	VYBER	2160	36438	\N	\N	\N
436547	1483	1998-01-21	VYDAJ	VYBER	1680	33238	\N	\N	\N
436549	1483	1996-10-21	VYDAJ	VYBER	4080	25584	\N	\N	\N
436550	1483	1996-07-25	VYDAJ	VYBER	5760	26562	\N	\N	\N
436552	1483	1997-11-19	VYDAJ	VYBER	4560	38673	\N	\N	\N
436553	1483	1997-02-27	VYDAJ	VYBER	4080	17532	\N	\N	\N
436554	1483	1997-06-09	VYDAJ	VYBER	4440	14799	\N	\N	\N
436555	1483	1997-07-31	VYDAJ	VYBER	5760	22559	\N	\N	\N
436556	1483	1998-12-23	VYDAJ	VYBER	4560	58054	\N	\N	\N
436557	1483	1998-12-11	VYDAJ	VYBER	1200	52121	\N	\N	\N
436558	1483	1998-11-20	VYDAJ	VYBER	3720	58931	\N	\N	\N
436559	1483	1998-08-28	VYDAJ	VYBER	1920	46589	\N	\N	\N
436560	1483	1998-02-08	VYDAJ	VYBER	600	21677	\N	\N	\N
436562	1483	1998-06-10	VYDAJ	VYBER	2520	34310	\N	\N	\N
436568	1483	1996-05-31	VYDAJ	VYBER	15	36935	SLUZBY	\N	\N
436569	1483	1996-06-30	VYDAJ	VYBER	15	34790	SLUZBY	\N	\N
436570	1483	1996-07-31	VYDAJ	VYBER	15	26675	SLUZBY	\N	\N
436571	1483	1996-08-31	VYDAJ	VYBER	15	26297	SLUZBY	\N	\N
436572	1483	1996-09-30	VYDAJ	VYBER	15	30332	SLUZBY	\N	\N
436573	1483	1996-10-31	VYDAJ	VYBER	15	25683	SLUZBY	\N	\N
436574	1483	1996-11-30	VYDAJ	VYBER	15	23396	SLUZBY	\N	\N
436575	1483	1996-12-31	VYDAJ	VYBER	15	26194	SLUZBY	\N	\N
436576	1483	1997-01-31	VYDAJ	VYBER	15	17280	SLUZBY	\N	\N
436577	1483	1997-02-28	VYDAJ	VYBER	15	17597	SLUZBY	\N	\N
436578	1483	1997-03-31	VYDAJ	VYBER	15	20593	SLUZBY	\N	\N
436579	1483	1997-04-30	VYDAJ	VYBER	15	20892	SLUZBY	\N	\N
436580	1483	1997-05-31	VYDAJ	VYBER	15	24202	SLUZBY	\N	\N
436581	1483	1997-06-30	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
436582	1483	1997-07-31	VYDAJ	VYBER	15	22544	SLUZBY	\N	\N
436583	1483	1997-08-31	VYDAJ	VYBER	15	32974	SLUZBY	\N	\N
436584	1483	1997-09-30	VYDAJ	VYBER	15	35632	SLUZBY	\N	\N
436585	1483	1997-10-31	VYDAJ	VYBER	15	40901	SLUZBY	\N	\N
436586	1483	1997-11-30	VYDAJ	VYBER	15	38424	SLUZBY	\N	\N
436587	1483	1997-12-31	VYDAJ	VYBER	15	40386	SLUZBY	\N	\N
436588	1483	1998-01-31	VYDAJ	VYBER	15	24239	SLUZBY	\N	\N
436589	1483	1998-02-28	VYDAJ	VYBER	15	34160	SLUZBY	\N	\N
436590	1483	1998-03-31	VYDAJ	VYBER	15	37423	SLUZBY	\N	\N
436591	1483	1998-04-30	VYDAJ	VYBER	15	41800	SLUZBY	\N	\N
436592	1483	1998-05-31	VYDAJ	VYBER	15	41493	SLUZBY	\N	\N
436593	1483	1998-06-30	VYDAJ	VYBER	15	28233	SLUZBY	\N	\N
436594	1483	1998-07-31	VYDAJ	VYBER	15	39877	SLUZBY	\N	\N
436595	1483	1998-08-31	VYDAJ	VYBER	15	46748	SLUZBY	\N	\N
436596	1483	1998-09-30	VYDAJ	VYBER	15	55067	SLUZBY	\N	\N
436597	1483	1998-10-31	VYDAJ	VYBER	15	60319	SLUZBY	\N	\N
436598	1483	1998-11-30	VYDAJ	VYBER	15	59264	SLUZBY	\N	\N
436599	1483	1996-02-08	PRIJEM	VKLAD	5800	13214	\N	\N	\N
436600	1483	1996-03-09	PRIJEM	VKLAD	1700	21971	\N	\N	\N
436601	1483	1996-04-08	VYDAJ	VYBER	800	28273	\N	\N	\N
436602	1483	1996-05-08	VYDAJ	VYBER	5600	29804	\N	\N	\N
436603	1483	1996-06-07	VYDAJ	VYBER	8100	28835	\N	\N	\N
436604	1483	1996-07-07	VYDAJ	VYBER	4800	29990	\N	\N	\N
436605	1483	1996-08-06	VYDAJ	VYBER	2800	23875	\N	\N	\N
436606	1483	1996-09-05	PRIJEM	VKLAD	1600	27897	\N	\N	\N
436607	1483	1996-10-05	VYDAJ	VYBER	3000	27332	\N	\N	\N
436608	1483	1996-11-04	VYDAJ	VYBER	4700	20983	\N	\N	\N
436609	1483	1996-12-04	VYDAJ	VYBER	1200	22196	\N	\N	\N
436610	1483	1997-01-03	VYDAJ	VYBER	1000	25194	\N	\N	\N
436611	1483	1997-02-02	PRIJEM	VKLAD	2000	19280	\N	\N	\N
436612	1483	1997-03-04	PRIJEM	VKLAD	600	18197	\N	\N	\N
436613	1483	1997-04-03	VYDAJ	VYBER	2100	18493	\N	\N	\N
436614	1483	1997-05-03	PRIJEM	VKLAD	900	21792	\N	\N	\N
436615	1483	1997-06-02	VYDAJ	VYBER	300	23902	\N	\N	\N
436616	1483	1997-07-02	PRIJEM	VKLAD	500	25877	\N	\N	\N
436617	1483	1997-08-01	PRIJEM	VKLAD	4600	27144	\N	\N	\N
436618	1483	1997-08-31	PRIJEM	VKLAD	3400	32988	\N	\N	\N
436619	1483	1997-09-30	PRIJEM	VKLAD	200	35506	\N	\N	\N
436620	1483	1997-10-30	PRIJEM	VKLAD	2800	40764	\N	\N	\N
436621	1483	1997-11-29	VYDAJ	VYBER	400	38273	\N	\N	\N
436622	1483	1997-12-29	PRIJEM	VKLAD	300	40234	\N	\N	\N
436623	1483	1998-01-28	PRIJEM	VKLAD	8000	38598	\N	\N	\N
436624	1483	1998-02-27	PRIJEM	VKLAD	8100	34071	\N	\N	\N
436625	1483	1998-03-29	PRIJEM	VKLAD	800	37292	\N	\N	\N
436626	1483	1998-04-28	PRIJEM	VKLAD	1900	41655	\N	\N	\N
436627	1483	1998-05-28	VYDAJ	VYBER	2800	41332	\N	\N	\N
436628	1483	1998-06-27	PRIJEM	VKLAD	13400	28122	\N	\N	\N
436629	1483	1998-07-27	PRIJEM	VKLAD	9200	39765	\N	\N	\N
436630	1483	1998-08-26	PRIJEM	VKLAD	6300	48509	\N	\N	\N
436631	1483	1998-09-25	PRIJEM	VKLAD	5800	54880	\N	\N	\N
436632	1483	1998-10-25	PRIJEM	VKLAD	2700	60099	\N	\N	\N
436633	1483	1998-11-24	PRIJEM	VKLAD	100	59031	\N	\N	\N
436670	1484	1996-09-23	PRIJEM	VKLAD	200	200	\N	\N	\N
436680	1484	1996-10-10	PRIJEM	PREVOD Z UCTU	6612	6812	DUCHOD	MN	14917296
436681	1484	1996-11-10	PRIJEM	PREVOD Z UCTU	6612	13424	DUCHOD	MN	14917296
436682	1484	1996-12-10	PRIJEM	PREVOD Z UCTU	6612	20036	DUCHOD	MN	14917296
436683	1484	1997-01-10	PRIJEM	PREVOD Z UCTU	6612	26648	DUCHOD	MN	14917296
436684	1484	1997-02-10	PRIJEM	PREVOD Z UCTU	6612	33260	DUCHOD	MN	14917296
436685	1484	1997-03-10	PRIJEM	PREVOD Z UCTU	6612	34396	DUCHOD	MN	14917296
436686	1484	1997-04-10	PRIJEM	PREVOD Z UCTU	6612	31581	DUCHOD	MN	14917296
436687	1484	1997-05-10	PRIJEM	PREVOD Z UCTU	6612	31231	DUCHOD	MN	14917296
436688	1484	1997-06-10	PRIJEM	PREVOD Z UCTU	6612	32708	DUCHOD	MN	14917296
436689	1484	1997-07-10	PRIJEM	PREVOD Z UCTU	6612	26537	DUCHOD	MN	14917296
436690	1484	1997-08-10	PRIJEM	PREVOD Z UCTU	6612	28096	DUCHOD	MN	14917296
436691	1484	1997-09-10	PRIJEM	PREVOD Z UCTU	6612	27235	DUCHOD	MN	14917296
436692	1484	1997-10-10	PRIJEM	PREVOD Z UCTU	6612	26090	DUCHOD	MN	14917296
436693	1484	1997-11-10	PRIJEM	PREVOD Z UCTU	6612	29649	DUCHOD	MN	14917296
436694	1484	1997-12-10	PRIJEM	PREVOD Z UCTU	6612	30417	DUCHOD	MN	14917296
436695	1484	1998-01-10	PRIJEM	PREVOD Z UCTU	6612	26709	DUCHOD	MN	14917296
436696	1484	1998-02-10	PRIJEM	PREVOD Z UCTU	6612	23545	DUCHOD	MN	14917296
436697	1484	1998-03-10	PRIJEM	PREVOD Z UCTU	6612	23972	DUCHOD	MN	14917296
436698	1484	1998-04-10	PRIJEM	PREVOD Z UCTU	6612	27522	DUCHOD	MN	14917296
436699	1484	1998-05-10	PRIJEM	PREVOD Z UCTU	6612	31086	DUCHOD	MN	14917296
436700	1484	1998-06-10	PRIJEM	PREVOD Z UCTU	6612	31165	DUCHOD	MN	14917296
436701	1484	1998-07-10	PRIJEM	PREVOD Z UCTU	6612	34747	DUCHOD	MN	14917296
436702	1484	1998-08-10	PRIJEM	PREVOD Z UCTU	6612	38342	DUCHOD	MN	14917296
436703	1484	1998-09-10	PRIJEM	PREVOD Z UCTU	6612	35017	DUCHOD	MN	14917296
436704	1484	1998-10-10	PRIJEM	PREVOD Z UCTU	6612	36307	DUCHOD	MN	14917296
436705	1484	1998-11-10	PRIJEM	PREVOD Z UCTU	6612	32430	DUCHOD	MN	14917296
436706	1484	1998-12-10	PRIJEM	PREVOD Z UCTU	6612	36014	DUCHOD	MN	14917296
436721	1484	1997-03-06	VYDAJ	PREVOD NA UCET	2346	27784	SIPO	GH	82517391
436722	1484	1997-04-06	VYDAJ	PREVOD NA UCET	2346	24969	SIPO	GH	82517391
436723	1484	1997-05-06	VYDAJ	PREVOD NA UCET	2346	24619	SIPO	GH	82517391
436724	1484	1997-06-06	VYDAJ	PREVOD NA UCET	2346	26096	SIPO	GH	82517391
436725	1484	1997-07-06	VYDAJ	PREVOD NA UCET	2346	19925	SIPO	GH	82517391
436726	1484	1997-08-06	VYDAJ	PREVOD NA UCET	2346	21484	SIPO	GH	82517391
436727	1484	1997-09-06	VYDAJ	PREVOD NA UCET	2346	20623	SIPO	GH	82517391
436728	1484	1997-10-06	VYDAJ	PREVOD NA UCET	2346	19478	SIPO	GH	82517391
436729	1484	1997-11-06	VYDAJ	PREVOD NA UCET	2346	23037	SIPO	GH	82517391
436730	1484	1997-12-06	VYDAJ	PREVOD NA UCET	2346	23805	SIPO	GH	82517391
436731	1484	1998-01-06	VYDAJ	PREVOD NA UCET	2346	21777	SIPO	GH	82517391
436732	1484	1998-02-06	VYDAJ	PREVOD NA UCET	2346	16933	SIPO	GH	82517391
436733	1484	1998-03-06	VYDAJ	PREVOD NA UCET	2346	17360	SIPO	GH	82517391
436734	1484	1998-04-06	VYDAJ	PREVOD NA UCET	2346	20910	SIPO	GH	82517391
436735	1484	1998-05-06	VYDAJ	PREVOD NA UCET	2346	24474	SIPO	GH	82517391
436736	1484	1998-06-06	VYDAJ	PREVOD NA UCET	2346	28053	SIPO	GH	82517391
436737	1484	1998-07-06	VYDAJ	PREVOD NA UCET	2346	28135	SIPO	GH	82517391
436738	1484	1998-08-06	VYDAJ	PREVOD NA UCET	2346	31730	SIPO	GH	82517391
436739	1484	1998-09-06	VYDAJ	PREVOD NA UCET	2346	28405	SIPO	GH	82517391
436740	1484	1998-10-06	VYDAJ	PREVOD NA UCET	2346	29695	SIPO	GH	82517391
436741	1484	1998-11-06	VYDAJ	PREVOD NA UCET	2346	25818	SIPO	GH	82517391
436742	1484	1998-12-06	VYDAJ	PREVOD NA UCET	2346	29402	SIPO	GH	82517391
436756	1484	1997-02-12	VYDAJ	PREVOD NA UCET	794	32466	 	IJ	29707634
436757	1484	1997-03-12	VYDAJ	PREVOD NA UCET	794	33602	 	IJ	29707634
436758	1484	1997-04-12	VYDAJ	PREVOD NA UCET	794	26867	 	IJ	29707634
436759	1484	1997-05-12	VYDAJ	PREVOD NA UCET	794	30437	 	IJ	29707634
436760	1484	1997-06-12	VYDAJ	PREVOD NA UCET	794	31914	 	IJ	29707634
436761	1484	1997-07-12	VYDAJ	PREVOD NA UCET	794	25743	 	IJ	29707634
436762	1484	1997-08-12	VYDAJ	PREVOD NA UCET	794	27302	 	IJ	29707634
436763	1484	1997-09-12	VYDAJ	PREVOD NA UCET	794	26441	 	IJ	29707634
436764	1484	1997-10-12	VYDAJ	PREVOD NA UCET	794	25296	 	IJ	29707634
436765	1484	1997-11-12	VYDAJ	PREVOD NA UCET	794	28855	 	IJ	29707634
436766	1484	1997-12-12	VYDAJ	PREVOD NA UCET	794	29623	 	IJ	29707634
436767	1484	1998-01-12	VYDAJ	PREVOD NA UCET	794	25915	 	IJ	29707634
436768	1484	1998-02-12	VYDAJ	PREVOD NA UCET	794	22751	 	IJ	29707634
436769	1484	1998-03-12	VYDAJ	PREVOD NA UCET	794	23178	 	IJ	29707634
436770	1484	1998-04-12	VYDAJ	PREVOD NA UCET	794	26728	 	IJ	29707634
436771	1484	1998-05-12	VYDAJ	PREVOD NA UCET	794	30292	 	IJ	29707634
436772	1484	1998-06-12	VYDAJ	PREVOD NA UCET	794	30371	 	IJ	29707634
436773	1484	1998-07-12	VYDAJ	PREVOD NA UCET	794	33953	 	IJ	29707634
436774	1484	1998-08-12	VYDAJ	PREVOD NA UCET	794	37548	 	IJ	29707634
436775	1484	1998-09-12	VYDAJ	PREVOD NA UCET	794	34223	 	IJ	29707634
436776	1484	1998-10-12	VYDAJ	PREVOD NA UCET	794	35513	 	IJ	29707634
436777	1484	1998-11-12	VYDAJ	PREVOD NA UCET	794	31636	 	IJ	29707634
436778	1484	1998-12-12	VYDAJ	PREVOD NA UCET	794	35220	 	IJ	29707634
436780	1484	1997-06-29	VYDAJ	VYBER	5950	22164	\N	\N	\N
436781	1484	1998-06-07	VYDAJ	VYBER	3500	24553	\N	\N	\N
436784	1484	1998-01-01	VYDAJ	VYBER	1550	24123	\N	\N	\N
436786	1484	1997-12-23	VYDAJ	VYBER	450	29173	\N	\N	\N
436787	1484	1998-12-21	VYDAJ	VYBER	1200	34020	\N	\N	\N
436800	1484	1998-01-08	VYDAJ	VYBER	1680	20097	\N	\N	\N
436801	1484	1998-01-12	VYDAJ	VYBER	880	25035	\N	\N	\N
436802	1484	1998-01-18	VYDAJ	VYBER	560	24475	\N	\N	\N
436803	1484	1998-01-25	VYDAJ	VYBER	1120	23355	\N	\N	\N
436804	1484	1998-01-27	VYDAJ	VYBER	1920	21435	\N	\N	\N
436805	1484	1998-01-29	VYDAJ	VYBER	2240	19195	\N	\N	\N
436811	1484	1997-04-10	VYDAJ	VYBER	3920	27661	\N	\N	\N
436812	1484	1997-07-26	VYDAJ	VYBER	2000	23743	\N	\N	\N
436813	1484	1997-08-15	VYDAJ	VYBER	1520	25782	\N	\N	\N
436814	1484	1997-12-25	VYDAJ	VYBER	3600	25573	\N	\N	\N
436815	1484	1998-02-26	VYDAJ	VYBER	3120	19631	\N	\N	\N
436816	1484	1998-08-20	VYDAJ	VYBER	3520	30628	\N	\N	\N
436817	1484	1998-10-14	VYDAJ	VYBER	3360	28053	\N	\N	\N
436832	1484	1997-02-28	VYDAJ	VYBER	15	30130	SLUZBY	\N	\N
436833	1484	1997-03-31	VYDAJ	VYBER	15	27315	SLUZBY	\N	\N
436834	1484	1997-04-30	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
436835	1484	1997-05-31	VYDAJ	VYBER	15	28442	SLUZBY	\N	\N
436836	1484	1997-06-30	VYDAJ	VYBER	15	22271	SLUZBY	\N	\N
436837	1484	1997-07-31	VYDAJ	VYBER	15	23830	SLUZBY	\N	\N
436838	1484	1997-08-31	VYDAJ	VYBER	15	22969	SLUZBY	\N	\N
436839	1484	1997-09-30	VYDAJ	VYBER	15	21824	SLUZBY	\N	\N
436840	1484	1997-10-31	VYDAJ	VYBER	15	25383	SLUZBY	\N	\N
436841	1484	1997-11-30	VYDAJ	VYBER	15	26151	SLUZBY	\N	\N
436842	1484	1997-12-31	VYDAJ	VYBER	15	25673	SLUZBY	\N	\N
436843	1484	1998-01-31	VYDAJ	VYBER	15	19279	SLUZBY	\N	\N
436844	1484	1998-02-28	VYDAJ	VYBER	15	19706	SLUZBY	\N	\N
436845	1484	1998-03-31	VYDAJ	VYBER	15	23256	SLUZBY	\N	\N
436846	1484	1998-04-30	VYDAJ	VYBER	15	26820	SLUZBY	\N	\N
436847	1484	1998-05-31	VYDAJ	VYBER	15	30399	SLUZBY	\N	\N
436848	1484	1998-06-30	VYDAJ	VYBER	15	30481	SLUZBY	\N	\N
436849	1484	1998-07-31	VYDAJ	VYBER	15	34076	SLUZBY	\N	\N
436850	1484	1998-08-31	VYDAJ	VYBER	15	30751	SLUZBY	\N	\N
436851	1484	1998-09-30	VYDAJ	VYBER	15	32041	SLUZBY	\N	\N
436852	1484	1998-10-31	VYDAJ	VYBER	15	28164	SLUZBY	\N	\N
436853	1484	1998-11-30	VYDAJ	VYBER	15	31748	SLUZBY	\N	\N
436854	1484	1997-02-20	VYDAJ	VYBER	2400	30066	\N	\N	\N
436855	1484	1997-03-22	VYDAJ	VYBER	6400	27202	\N	\N	\N
436856	1484	1997-05-21	VYDAJ	VYBER	2100	28337	\N	\N	\N
436857	1484	1997-06-20	VYDAJ	VYBER	3800	28114	\N	\N	\N
436858	1484	1997-08-19	VYDAJ	VYBER	2900	22882	\N	\N	\N
436859	1484	1997-09-18	VYDAJ	VYBER	4700	21741	\N	\N	\N
436860	1484	1997-11-17	VYDAJ	VYBER	2800	26055	\N	\N	\N
436861	1484	1998-08-14	VYDAJ	VYBER	3400	34148	\N	\N	\N
436862	1484	1998-09-13	VYDAJ	VYBER	2300	31923	\N	\N	\N
436863	1484	1998-10-13	VYDAJ	VYBER	4100	31413	\N	\N	\N
436887	1485	1993-10-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
436897	1485	1993-10-06	PRIJEM	VKLAD	23420	24420	\N	\N	\N
436898	1485	1993-11-06	PRIJEM	VKLAD	23420	49225	\N	\N	\N
436899	1485	1993-12-06	PRIJEM	VKLAD	35130	72943	\N	\N	\N
436900	1485	1994-01-06	PRIJEM	VKLAD	23420	74751	\N	\N	\N
436901	1485	1994-02-06	PRIJEM	VKLAD	23420	71778	\N	\N	\N
436902	1485	1994-03-06	PRIJEM	VKLAD	23420	65050	\N	\N	\N
436903	1485	1994-04-06	PRIJEM	VKLAD	23420	63720	\N	\N	\N
436904	1485	1994-05-06	PRIJEM	VKLAD	23420	63383	\N	\N	\N
436905	1485	1994-06-06	PRIJEM	VKLAD	35130	76839	\N	\N	\N
436906	1485	1994-07-06	PRIJEM	VKLAD	23420	53384	\N	\N	\N
436907	1485	1994-08-06	PRIJEM	VKLAD	23420	60695	\N	\N	\N
436908	1485	1994-09-06	PRIJEM	VKLAD	23420	62720	\N	\N	\N
436909	1485	1994-10-06	PRIJEM	VKLAD	23420	63652	\N	\N	\N
436910	1485	1994-11-06	PRIJEM	VKLAD	23420	62985	\N	\N	\N
436911	1485	1994-12-06	PRIJEM	VKLAD	35130	76526	\N	\N	\N
436912	1485	1995-01-06	PRIJEM	VKLAD	23420	67597	\N	\N	\N
436913	1485	1995-02-06	PRIJEM	VKLAD	23420	62231	\N	\N	\N
436914	1485	1995-03-06	PRIJEM	VKLAD	23420	66759	\N	\N	\N
436915	1485	1995-04-06	PRIJEM	VKLAD	23420	68397	\N	\N	\N
436916	1485	1995-05-06	PRIJEM	VKLAD	23420	69048	\N	\N	\N
436917	1485	1995-06-06	PRIJEM	VKLAD	35130	53510	\N	\N	\N
436918	1485	1995-07-06	PRIJEM	VKLAD	23420	60320	\N	\N	\N
436919	1485	1995-08-06	PRIJEM	VKLAD	23420	62940	\N	\N	\N
436920	1485	1995-09-06	PRIJEM	VKLAD	23420	65473	\N	\N	\N
436921	1485	1995-10-06	PRIJEM	VKLAD	23420	71310	\N	\N	\N
436922	1485	1995-11-06	PRIJEM	VKLAD	23420	73665	\N	\N	\N
436923	1485	1995-12-06	PRIJEM	VKLAD	35130	86338	\N	\N	\N
436924	1485	1996-01-06	PRIJEM	VKLAD	23420	82536	\N	\N	\N
436925	1485	1996-02-06	PRIJEM	VKLAD	23420	60903	\N	\N	\N
436926	1485	1996-03-06	PRIJEM	VKLAD	23420	63210	\N	\N	\N
436927	1485	1996-04-06	PRIJEM	VKLAD	23420	71536	\N	\N	\N
436928	1485	1996-05-06	PRIJEM	VKLAD	23420	74189	\N	\N	\N
436929	1485	1996-06-06	PRIJEM	VKLAD	35130	90765	\N	\N	\N
436930	1485	1996-07-06	PRIJEM	VKLAD	23420	80038	\N	\N	\N
436931	1485	1996-08-06	PRIJEM	VKLAD	23420	87431	\N	\N	\N
436932	1485	1996-09-06	PRIJEM	VKLAD	23420	91946	\N	\N	\N
436933	1485	1996-10-06	PRIJEM	VKLAD	23420	92271	\N	\N	\N
436934	1485	1996-11-06	PRIJEM	VKLAD	23420	95301	\N	\N	\N
436935	1485	1996-12-06	PRIJEM	VKLAD	35130	109354	\N	\N	\N
436936	1485	1997-01-06	PRIJEM	VKLAD	23420	104139	\N	\N	\N
436937	1485	1997-02-06	PRIJEM	VKLAD	23420	99207	\N	\N	\N
436938	1485	1997-03-06	PRIJEM	VKLAD	23420	98959	\N	\N	\N
436939	1485	1997-04-06	PRIJEM	VKLAD	23420	107427	\N	\N	\N
436940	1485	1997-05-06	PRIJEM	VKLAD	23420	111520	\N	\N	\N
436941	1485	1997-06-06	PRIJEM	VKLAD	35130	124733	\N	\N	\N
436942	1485	1997-07-06	PRIJEM	VKLAD	23420	99299	\N	\N	\N
436943	1485	1997-08-06	PRIJEM	VKLAD	23420	111174	\N	\N	\N
436944	1485	1997-09-06	PRIJEM	VKLAD	23420	118184	\N	\N	\N
436945	1485	1997-10-06	PRIJEM	VKLAD	23420	101049	\N	\N	\N
436946	1485	1997-11-06	PRIJEM	VKLAD	23420	111627	\N	\N	\N
436947	1485	1997-12-06	PRIJEM	VKLAD	35130	134365	\N	\N	\N
436948	1485	1998-01-06	PRIJEM	VKLAD	23420	116009	\N	\N	\N
436949	1485	1998-02-06	PRIJEM	VKLAD	23420	117241	\N	\N	\N
436950	1485	1998-03-06	PRIJEM	VKLAD	23420	128182	\N	\N	\N
436951	1485	1998-04-06	PRIJEM	VKLAD	23420	106949	\N	\N	\N
436952	1485	1998-05-06	PRIJEM	VKLAD	23420	127176	\N	\N	\N
436953	1485	1998-06-06	PRIJEM	VKLAD	35130	133612	\N	\N	\N
436954	1485	1998-07-06	PRIJEM	VKLAD	23420	96619	\N	\N	\N
436955	1485	1998-08-06	PRIJEM	VKLAD	23420	122020	\N	\N	\N
436956	1485	1998-09-06	PRIJEM	VKLAD	23420	113213	\N	\N	\N
436957	1485	1998-10-06	PRIJEM	VKLAD	23420	133970	\N	\N	\N
436958	1485	1998-11-06	PRIJEM	VKLAD	23420	113881	\N	\N	\N
436959	1485	1998-12-06	PRIJEM	VKLAD	35130	153074	\N	\N	\N
436973	1485	1994-02-14	VYDAJ	PREVOD NA UCET	336	65493	SIPO	MN	47115165
436974	1485	1994-03-14	VYDAJ	PREVOD NA UCET	336	58765	SIPO	MN	47115165
436975	1485	1994-04-14	VYDAJ	PREVOD NA UCET	336	57435	SIPO	MN	47115165
436976	1485	1994-05-14	VYDAJ	PREVOD NA UCET	336	57098	SIPO	MN	47115165
436977	1485	1994-06-14	VYDAJ	PREVOD NA UCET	336	70554	SIPO	MN	47115165
436978	1485	1994-07-14	VYDAJ	PREVOD NA UCET	336	47099	SIPO	MN	47115165
436979	1485	1994-08-14	VYDAJ	PREVOD NA UCET	336	54410	SIPO	MN	47115165
436980	1485	1994-09-14	VYDAJ	PREVOD NA UCET	336	56435	SIPO	MN	47115165
436981	1485	1994-10-14	VYDAJ	PREVOD NA UCET	336	57367	SIPO	MN	47115165
436982	1485	1994-11-14	VYDAJ	PREVOD NA UCET	336	56700	SIPO	MN	47115165
436983	1485	1994-12-14	VYDAJ	PREVOD NA UCET	336	70241	SIPO	MN	47115165
436984	1485	1995-01-14	VYDAJ	PREVOD NA UCET	336	57212	SIPO	MN	47115165
436985	1485	1995-02-14	VYDAJ	PREVOD NA UCET	336	55946	SIPO	MN	47115165
436986	1485	1995-03-14	VYDAJ	PREVOD NA UCET	336	60474	SIPO	MN	47115165
436987	1485	1995-04-14	VYDAJ	PREVOD NA UCET	336	62112	SIPO	MN	47115165
436988	1485	1995-05-14	VYDAJ	PREVOD NA UCET	336	62763	SIPO	MN	47115165
436989	1485	1995-06-14	VYDAJ	PREVOD NA UCET	336	47225	SIPO	MN	47115165
436990	1485	1995-07-14	VYDAJ	PREVOD NA UCET	336	54035	SIPO	MN	47115165
436991	1485	1995-08-14	VYDAJ	PREVOD NA UCET	336	56655	SIPO	MN	47115165
436992	1485	1995-09-14	VYDAJ	PREVOD NA UCET	336	59188	SIPO	MN	47115165
436993	1485	1995-10-14	VYDAJ	PREVOD NA UCET	336	65025	SIPO	MN	47115165
436994	1485	1995-11-14	VYDAJ	PREVOD NA UCET	336	67380	SIPO	MN	47115165
436995	1485	1995-12-14	VYDAJ	PREVOD NA UCET	336	80053	SIPO	MN	47115165
436996	1485	1996-01-14	VYDAJ	PREVOD NA UCET	336	72051	SIPO	MN	47115165
436997	1485	1996-02-14	VYDAJ	PREVOD NA UCET	336	52418	SIPO	MN	47115165
436998	1485	1996-03-14	VYDAJ	PREVOD NA UCET	336	56925	SIPO	MN	47115165
436999	1485	1996-04-14	VYDAJ	PREVOD NA UCET	336	65251	SIPO	MN	47115165
437000	1485	1996-05-14	VYDAJ	PREVOD NA UCET	336	67904	SIPO	MN	47115165
437001	1485	1996-06-14	VYDAJ	PREVOD NA UCET	336	68280	SIPO	MN	47115165
437002	1485	1996-07-14	VYDAJ	PREVOD NA UCET	336	73753	SIPO	MN	47115165
437003	1485	1996-08-14	VYDAJ	PREVOD NA UCET	336	80046	SIPO	MN	47115165
437004	1485	1996-09-14	VYDAJ	PREVOD NA UCET	336	85661	SIPO	MN	47115165
437005	1485	1996-10-14	VYDAJ	PREVOD NA UCET	336	83186	SIPO	MN	47115165
437006	1485	1996-11-14	VYDAJ	PREVOD NA UCET	336	89016	SIPO	MN	47115165
437007	1485	1996-12-14	VYDAJ	PREVOD NA UCET	336	103069	SIPO	MN	47115165
437008	1485	1997-01-14	VYDAJ	PREVOD NA UCET	336	95654	SIPO	MN	47115165
437009	1485	1997-02-14	VYDAJ	PREVOD NA UCET	336	80522	SIPO	MN	47115165
437010	1485	1997-03-14	VYDAJ	PREVOD NA UCET	336	92674	SIPO	MN	47115165
437011	1485	1997-04-14	VYDAJ	PREVOD NA UCET	336	101142	SIPO	MN	47115165
437012	1485	1997-05-14	VYDAJ	PREVOD NA UCET	336	105235	SIPO	MN	47115165
437013	1485	1997-06-14	VYDAJ	PREVOD NA UCET	336	81248	SIPO	MN	47115165
437014	1485	1997-07-14	VYDAJ	PREVOD NA UCET	336	87414	SIPO	MN	47115165
437015	1485	1997-08-14	VYDAJ	PREVOD NA UCET	336	94389	SIPO	MN	47115165
437016	1485	1997-09-14	VYDAJ	PREVOD NA UCET	336	80899	SIPO	MN	47115165
437017	1485	1997-10-14	VYDAJ	PREVOD NA UCET	336	90364	SIPO	MN	47115165
437018	1485	1997-11-14	VYDAJ	PREVOD NA UCET	336	101542	SIPO	MN	47115165
437019	1485	1997-12-14	VYDAJ	PREVOD NA UCET	336	100180	SIPO	MN	47115165
437020	1485	1998-01-14	VYDAJ	PREVOD NA UCET	336	103724	SIPO	MN	47115165
437021	1485	1998-02-14	VYDAJ	PREVOD NA UCET	336	104356	SIPO	MN	47115165
437022	1485	1998-03-14	VYDAJ	PREVOD NA UCET	336	83197	SIPO	MN	47115165
437023	1485	1998-04-14	VYDAJ	PREVOD NA UCET	336	103864	SIPO	MN	47115165
437024	1485	1998-05-14	VYDAJ	PREVOD NA UCET	336	98091	SIPO	MN	47115165
437025	1485	1998-06-14	VYDAJ	PREVOD NA UCET	336	99627	SIPO	MN	47115165
437026	1485	1998-07-14	VYDAJ	PREVOD NA UCET	336	98234	SIPO	MN	47115165
437027	1485	1998-08-14	VYDAJ	PREVOD NA UCET	336	89435	SIPO	MN	47115165
437028	1485	1998-09-14	VYDAJ	PREVOD NA UCET	336	110128	SIPO	MN	47115165
437029	1485	1998-10-14	VYDAJ	PREVOD NA UCET	336	90885	SIPO	MN	47115165
437030	1485	1998-11-14	VYDAJ	PREVOD NA UCET	336	117496	SIPO	MN	47115165
437031	1485	1998-12-14	VYDAJ	PREVOD NA UCET	336	113389	SIPO	MN	47115165
437045	1485	1994-02-08	VYDAJ	PREVOD NA UCET	5949	65829	 	EF	43014037
437046	1485	1994-03-08	VYDAJ	PREVOD NA UCET	5949	59101	 	EF	43014037
437047	1485	1994-04-08	VYDAJ	PREVOD NA UCET	5949	57771	 	EF	43014037
437048	1485	1994-05-08	VYDAJ	PREVOD NA UCET	5949	57434	 	EF	43014037
437049	1485	1994-06-08	VYDAJ	PREVOD NA UCET	5949	70890	 	EF	43014037
437050	1485	1994-07-08	VYDAJ	PREVOD NA UCET	5949	47435	 	EF	43014037
437051	1485	1994-08-08	VYDAJ	PREVOD NA UCET	5949	54746	 	EF	43014037
437052	1485	1994-09-08	VYDAJ	PREVOD NA UCET	5949	56771	 	EF	43014037
437053	1485	1994-10-08	VYDAJ	PREVOD NA UCET	5949	57703	 	EF	43014037
437054	1485	1994-11-08	VYDAJ	PREVOD NA UCET	5949	57036	 	EF	43014037
437055	1485	1994-12-08	VYDAJ	PREVOD NA UCET	5949	70577	 	EF	43014037
437056	1485	1995-01-08	VYDAJ	PREVOD NA UCET	5949	61648	 	EF	43014037
437057	1485	1995-02-08	VYDAJ	PREVOD NA UCET	5949	56282	 	EF	43014037
437058	1485	1995-03-08	VYDAJ	PREVOD NA UCET	5949	60810	 	EF	43014037
437059	1485	1995-04-08	VYDAJ	PREVOD NA UCET	5949	62448	 	EF	43014037
437060	1485	1995-05-08	VYDAJ	PREVOD NA UCET	5949	63099	 	EF	43014037
437061	1485	1995-06-08	VYDAJ	PREVOD NA UCET	5949	47561	 	EF	43014037
437062	1485	1995-07-08	VYDAJ	PREVOD NA UCET	5949	54371	 	EF	43014037
437063	1485	1995-08-08	VYDAJ	PREVOD NA UCET	5949	56991	 	EF	43014037
437064	1485	1995-09-08	VYDAJ	PREVOD NA UCET	5949	59524	 	EF	43014037
437065	1485	1995-10-08	VYDAJ	PREVOD NA UCET	5949	65361	 	EF	43014037
437066	1485	1995-11-08	VYDAJ	PREVOD NA UCET	5949	67716	 	EF	43014037
437067	1485	1995-12-08	VYDAJ	PREVOD NA UCET	5949	80389	 	EF	43014037
437068	1485	1996-01-08	VYDAJ	PREVOD NA UCET	5949	76587	 	EF	43014037
437069	1485	1996-02-08	VYDAJ	PREVOD NA UCET	5949	52754	 	EF	43014037
437070	1485	1996-03-08	VYDAJ	PREVOD NA UCET	5949	57261	 	EF	43014037
437071	1485	1996-04-08	VYDAJ	PREVOD NA UCET	5949	65587	 	EF	43014037
437072	1485	1996-05-08	VYDAJ	PREVOD NA UCET	5949	68240	 	EF	43014037
437073	1485	1996-06-08	VYDAJ	PREVOD NA UCET	5949	68616	 	EF	43014037
437074	1485	1996-07-08	VYDAJ	PREVOD NA UCET	5949	74089	 	EF	43014037
437075	1485	1996-08-08	VYDAJ	PREVOD NA UCET	5949	81482	 	EF	43014037
437076	1485	1996-09-08	VYDAJ	PREVOD NA UCET	5949	85997	 	EF	43014037
437077	1485	1996-10-08	VYDAJ	PREVOD NA UCET	5949	86322	 	EF	43014037
437078	1485	1996-11-08	VYDAJ	PREVOD NA UCET	5949	89352	 	EF	43014037
437079	1485	1996-12-08	VYDAJ	PREVOD NA UCET	5949	103405	 	EF	43014037
437080	1485	1997-01-08	VYDAJ	PREVOD NA UCET	5949	96690	 	EF	43014037
437081	1485	1997-02-08	VYDAJ	PREVOD NA UCET	5949	93258	 	EF	43014037
437082	1485	1997-03-08	VYDAJ	PREVOD NA UCET	5949	93010	 	EF	43014037
437083	1485	1997-04-08	VYDAJ	PREVOD NA UCET	5949	101478	 	EF	43014037
437084	1485	1997-05-08	VYDAJ	PREVOD NA UCET	5949	105571	 	EF	43014037
437085	1485	1997-06-08	VYDAJ	PREVOD NA UCET	5949	86184	 	EF	43014037
437086	1485	1997-07-08	VYDAJ	PREVOD NA UCET	5949	93350	 	EF	43014037
437087	1485	1997-08-08	VYDAJ	PREVOD NA UCET	5949	105225	 	EF	43014037
437088	1485	1997-09-08	VYDAJ	PREVOD NA UCET	5949	71835	 	EF	43014037
437089	1485	1997-10-08	VYDAJ	PREVOD NA UCET	5949	95100	 	EF	43014037
437090	1485	1997-11-08	VYDAJ	PREVOD NA UCET	5949	105678	 	EF	43014037
437091	1485	1997-12-08	VYDAJ	PREVOD NA UCET	5949	105016	 	EF	43014037
437092	1485	1998-01-08	VYDAJ	PREVOD NA UCET	5949	110060	 	EF	43014037
437093	1485	1998-02-08	VYDAJ	PREVOD NA UCET	5949	111292	 	EF	43014037
437094	1485	1998-03-08	VYDAJ	PREVOD NA UCET	5949	67633	 	EF	43014037
437095	1485	1998-04-08	VYDAJ	PREVOD NA UCET	5949	101000	 	EF	43014037
437096	1485	1998-05-08	VYDAJ	PREVOD NA UCET	5949	92127	 	EF	43014037
437097	1485	1998-06-08	VYDAJ	PREVOD NA UCET	5949	95363	 	EF	43014037
437098	1485	1998-07-08	VYDAJ	PREVOD NA UCET	5949	90670	 	EF	43014037
437099	1485	1998-08-08	VYDAJ	PREVOD NA UCET	5949	89771	 	EF	43014037
437100	1485	1998-09-08	VYDAJ	PREVOD NA UCET	5949	110464	 	EF	43014037
437101	1485	1998-10-08	VYDAJ	PREVOD NA UCET	5949	91221	 	EF	43014037
437102	1485	1998-11-08	VYDAJ	PREVOD NA UCET	5949	117832	 	EF	43014037
437103	1485	1998-12-08	VYDAJ	PREVOD NA UCET	5949	113725	 	EF	43014037
437177	1485	1994-06-14	VYDAJ	VYBER	26300	44254	\N	\N	\N
437178	1485	1995-06-04	VYDAJ	VYBER	29600	18380	\N	\N	\N
437179	1485	1996-06-07	VYDAJ	VYBER	16200	74565	\N	\N	\N
437180	1485	1997-06-28	VYDAJ	VYBER	5700	75548	\N	\N	\N
437181	1485	1998-06-25	VYDAJ	VYBER	26800	72827	\N	\N	\N
437184	1485	1995-01-15	VYDAJ	VYBER	2000	55212	\N	\N	\N
437185	1485	1996-01-29	VYDAJ	VYBER	9700	37251	\N	\N	\N
437186	1485	1997-01-08	VYDAJ	VYBER	1500	102639	\N	\N	\N
437187	1485	1998-01-30	VYDAJ	VYBER KARTOU	2700	93424	\N	\N	0
437189	1485	1994-12-27	VYDAJ	VYBER	1300	68941	\N	\N	\N
437190	1485	1995-12-28	VYDAJ	VYBER	1200	58853	\N	\N	\N
437191	1485	1996-12-21	VYDAJ	VYBER	1800	81269	\N	\N	\N
437192	1485	1997-12-25	VYDAJ	VYBER KARTOU	500	98980	\N	\N	0
437193	1485	1998-12-29	VYDAJ	VYBER KARTOU	600	108889	\N	\N	0
437206	1485	1995-01-23	VYDAJ	VYBER	1000	51512	\N	\N	\N
437207	1485	1995-01-11	VYDAJ	VYBER	2900	57548	\N	\N	\N
437208	1485	1995-01-16	VYDAJ	VYBER	2700	52512	\N	\N	\N
437209	1485	1995-01-02	VYDAJ	VYBER	1500	46377	\N	\N	\N
437210	1485	1995-01-08	VYDAJ	VYBER	1200	60448	\N	\N	\N
437211	1485	1995-01-05	VYDAJ	VYBER	2200	44177	\N	\N	\N
437212	1485	1996-01-09	VYDAJ	VYBER	1300	73587	\N	\N	\N
437213	1485	1996-01-08	VYDAJ	VYBER	1700	74887	\N	\N	\N
437214	1485	1996-01-17	VYDAJ	VYBER	2200	69851	\N	\N	\N
437215	1485	1996-01-24	VYDAJ	VYBER	2700	46951	\N	\N	\N
437216	1485	1996-01-11	VYDAJ	VYBER	1200	72387	\N	\N	\N
437217	1485	1996-01-18	VYDAJ	VYBER	2300	67551	\N	\N	\N
437218	1485	1997-01-14	VYDAJ	VYBER	2800	92854	\N	\N	\N
437219	1485	1997-01-19	VYDAJ	VYBER	2000	77654	\N	\N	\N
437220	1485	1997-01-13	VYDAJ	VYBER	700	95990	\N	\N	\N
437221	1485	1997-01-26	VYDAJ	VYBER	2200	75454	\N	\N	\N
437222	1485	1997-01-03	VYDAJ	VYBER	900	80719	\N	\N	\N
437223	1485	1997-01-15	VYDAJ	VYBER	800	92054	\N	\N	\N
437224	1485	1998-01-18	VYDAJ	VYBER KARTOU	2600	99624	\N	\N	0
437225	1485	1998-01-15	VYDAJ	VYBER KARTOU	1500	102224	\N	\N	0
437226	1485	1998-01-09	VYDAJ	VYBER KARTOU	2100	107960	\N	\N	0
437227	1485	1998-01-03	VYDAJ	VYBER KARTOU	1300	95489	\N	\N	0
437228	1485	1998-01-03	VYDAJ	VYBER KARTOU	2900	92589	\N	\N	0
437229	1485	1998-01-01	VYDAJ	VYBER KARTOU	2600	96789	\N	\N	0
437236	1485	1994-07-03	VYDAJ	VYBER	3500	29964	\N	\N	\N
437237	1485	1994-02-22	VYDAJ	VYBER	3200	62293	\N	\N	\N
437239	1485	1994-05-01	VYDAJ	VYBER	3900	39963	\N	\N	\N
437240	1485	1994-06-21	VYDAJ	VYBER	4200	40054	\N	\N	\N
437241	1485	1995-03-14	VYDAJ	VYBER	4200	56274	\N	\N	\N
437242	1485	1995-05-20	VYDAJ	VYBER	800	61963	\N	\N	\N
437243	1485	1995-10-17	VYDAJ	VYBER	1300	63725	\N	\N	\N
437244	1485	1995-08-01	VYDAJ	VYBER	4900	39520	\N	\N	\N
437245	1485	1996-12-02	VYDAJ	VYBER	1000	74224	\N	\N	\N
437246	1485	1996-08-10	VYDAJ	VYBER	1100	80382	\N	\N	\N
437247	1485	1996-02-17	VYDAJ	VYBER	4500	47918	\N	\N	\N
437248	1485	1996-02-24	VYDAJ	VYBER	3000	39618	\N	\N	\N
437249	1485	1996-04-24	VYDAJ	VYBER	1900	50551	\N	\N	\N
437250	1485	1996-02-07	VYDAJ	VYBER	2200	58703	\N	\N	\N
437251	1485	1996-10-13	VYDAJ	VYBER	2800	83522	\N	\N	\N
437252	1485	1997-12-03	VYDAJ	VYBER	2700	99235	\N	\N	\N
437253	1485	1997-12-23	VYDAJ	VYBER KARTOU	700	99480	\N	\N	0
437254	1485	1997-09-23	VYDAJ	VYBER	3600	77299	\N	\N	\N
437255	1485	1997-10-19	VYDAJ	VYBER	1800	87864	\N	\N	\N
437256	1485	1997-02-23	VYDAJ	VYBER	3200	75222	\N	\N	\N
437257	1485	1997-02-16	VYDAJ	VYBER	2100	78422	\N	\N	\N
437258	1485	1997-10-18	VYDAJ	VYBER	700	89664	\N	\N	\N
437259	1485	1998-12-06	VYDAJ	VYBER KARTOU	4900	119674	\N	\N	0
437260	1485	1998-12-25	VYDAJ	VYBER KARTOU	3900	109489	\N	\N	0
437261	1485	1998-07-09	VYDAJ	VYBER KARTOU	3300	98570	\N	\N	0
437262	1485	1998-01-20	VYDAJ	VYBER KARTOU	3500	96124	\N	\N	0
437263	1485	1998-05-04	VYDAJ	VYBER KARTOU	500	103756	\N	\N	0
437264	1485	1998-10-28	VYDAJ	VYBER KARTOU	800	90085	\N	\N	0
437279	1485	1994-02-28	VYDAJ	VYBER	15	62530	SLUZBY	\N	\N
437280	1485	1994-03-31	VYDAJ	VYBER	15	59000	SLUZBY	\N	\N
437281	1485	1994-04-30	VYDAJ	VYBER	15	57663	SLUZBY	\N	\N
437282	1485	1994-05-31	VYDAJ	VYBER	15	57309	SLUZBY	\N	\N
437283	1485	1994-06-30	VYDAJ	VYBER	15	40264	SLUZBY	\N	\N
437284	1485	1994-07-31	VYDAJ	VYBER	15	37275	SLUZBY	\N	\N
437285	1485	1994-08-31	VYDAJ	VYBER	15	39300	SLUZBY	\N	\N
437286	1485	1994-09-30	VYDAJ	VYBER	15	40232	SLUZBY	\N	\N
437287	1485	1994-10-31	VYDAJ	VYBER	15	39565	SLUZBY	\N	\N
437288	1485	1994-11-30	VYDAJ	VYBER	15	41396	SLUZBY	\N	\N
437289	1485	1994-12-31	VYDAJ	VYBER	15	47877	SLUZBY	\N	\N
437290	1485	1995-01-31	VYDAJ	VYBER	15	38811	SLUZBY	\N	\N
437291	1485	1995-02-28	VYDAJ	VYBER	15	43339	SLUZBY	\N	\N
437292	1485	1995-03-31	VYDAJ	VYBER	15	44977	SLUZBY	\N	\N
437293	1485	1995-04-30	VYDAJ	VYBER	15	45628	SLUZBY	\N	\N
437294	1485	1995-05-31	VYDAJ	VYBER	15	47980	SLUZBY	\N	\N
437295	1485	1995-06-30	VYDAJ	VYBER	15	36900	SLUZBY	\N	\N
437296	1485	1995-07-31	VYDAJ	VYBER	15	44420	SLUZBY	\N	\N
437297	1485	1995-08-31	VYDAJ	VYBER	15	42053	SLUZBY	\N	\N
437298	1485	1995-09-30	VYDAJ	VYBER	15	47890	SLUZBY	\N	\N
437299	1485	1995-10-31	VYDAJ	VYBER	15	50245	SLUZBY	\N	\N
437300	1485	1995-11-30	VYDAJ	VYBER	15	51208	SLUZBY	\N	\N
437301	1485	1995-12-31	VYDAJ	VYBER	15	59116	SLUZBY	\N	\N
437302	1485	1996-01-31	VYDAJ	VYBER	15	37483	SLUZBY	\N	\N
437303	1485	1996-02-29	VYDAJ	VYBER	15	39790	SLUZBY	\N	\N
437304	1485	1996-03-31	VYDAJ	VYBER	15	48116	SLUZBY	\N	\N
437305	1485	1996-04-30	VYDAJ	VYBER	15	50769	SLUZBY	\N	\N
437306	1485	1996-05-31	VYDAJ	VYBER	15	55635	SLUZBY	\N	\N
437307	1485	1996-06-30	VYDAJ	VYBER	15	56618	SLUZBY	\N	\N
437308	1485	1996-07-31	VYDAJ	VYBER	15	64011	SLUZBY	\N	\N
437309	1485	1996-08-31	VYDAJ	VYBER	15	68526	SLUZBY	\N	\N
437310	1485	1996-09-30	VYDAJ	VYBER	15	68851	SLUZBY	\N	\N
437311	1485	1996-10-31	VYDAJ	VYBER	15	71881	SLUZBY	\N	\N
437312	1485	1996-11-30	VYDAJ	VYBER	15	75224	SLUZBY	\N	\N
437313	1485	1996-12-31	VYDAJ	VYBER	15	81619	SLUZBY	\N	\N
437314	1485	1997-01-31	VYDAJ	VYBER	15	75787	SLUZBY	\N	\N
437315	1485	1997-02-28	VYDAJ	VYBER	15	75539	SLUZBY	\N	\N
437316	1485	1997-03-31	VYDAJ	VYBER	15	84007	SLUZBY	\N	\N
437317	1485	1997-04-30	VYDAJ	VYBER	15	88100	SLUZBY	\N	\N
437318	1485	1997-05-31	VYDAJ	VYBER	15	89603	SLUZBY	\N	\N
437319	1485	1997-06-30	VYDAJ	VYBER	15	75879	SLUZBY	\N	\N
437320	1485	1997-07-31	VYDAJ	VYBER	15	87754	SLUZBY	\N	\N
437321	1485	1997-08-31	VYDAJ	VYBER	15	94764	SLUZBY	\N	\N
437322	1485	1997-09-30	VYDAJ	VYBER	15	77629	SLUZBY	\N	\N
437323	1485	1997-10-31	VYDAJ	VYBER	15	88207	SLUZBY	\N	\N
437324	1485	1997-11-30	VYDAJ	VYBER	15	101935	SLUZBY	\N	\N
437325	1485	1997-12-31	VYDAJ	VYBER	15	99389	SLUZBY	\N	\N
437326	1485	1998-01-31	VYDAJ	VYBER	15	93821	SLUZBY	\N	\N
437327	1485	1998-02-28	VYDAJ	VYBER	15	104762	SLUZBY	\N	\N
437328	1485	1998-03-31	VYDAJ	VYBER	15	83529	SLUZBY	\N	\N
437329	1485	1998-04-30	VYDAJ	VYBER	15	104256	SLUZBY	\N	\N
437330	1485	1998-05-31	VYDAJ	VYBER	15	98482	SLUZBY	\N	\N
437331	1485	1998-06-30	VYDAJ	VYBER	15	73199	SLUZBY	\N	\N
437332	1485	1998-07-31	VYDAJ	VYBER	15	98600	SLUZBY	\N	\N
437333	1485	1998-08-31	VYDAJ	VYBER	15	89793	SLUZBY	\N	\N
437334	1485	1998-09-30	VYDAJ	VYBER	15	110550	SLUZBY	\N	\N
437335	1485	1998-10-31	VYDAJ	VYBER	15	90461	SLUZBY	\N	\N
437336	1485	1998-11-30	VYDAJ	VYBER	15	117944	SLUZBY	\N	\N
437337	1485	1993-11-02	PRIJEM	VKLAD	1300	25805	\N	\N	\N
437338	1485	1993-12-02	VYDAJ	VYBER	11600	37813	\N	\N	\N
437339	1485	1994-01-01	VYDAJ	VYBER	21900	51331	\N	\N	\N
437340	1485	1994-01-31	VYDAJ	VYBER	26700	48358	\N	\N	\N
437341	1485	1994-03-02	VYDAJ	VYBER	20900	41630	\N	\N	\N
437342	1485	1994-04-01	VYDAJ	VYBER	18700	40300	\N	\N	\N
437343	1485	1994-05-01	VYDAJ	VYBER	13800	43863	\N	\N	\N
437344	1485	1994-05-31	VYDAJ	VYBER	15600	41709	\N	\N	\N
437345	1485	1994-06-30	VYDAJ	VYBER	6800	33464	\N	\N	\N
437346	1485	1994-07-30	VYDAJ	VYBER	10000	37099	\N	\N	\N
437347	1485	1994-08-29	VYDAJ	VYBER	15300	39110	\N	\N	\N
437348	1485	1994-09-28	VYDAJ	VYBER	16400	40035	\N	\N	\N
437349	1485	1994-10-28	VYDAJ	VYBER	18000	39367	\N	\N	\N
437350	1485	1994-11-27	VYDAJ	VYBER	15500	41200	\N	\N	\N
437351	1485	1994-12-27	VYDAJ	VYBER	21300	47641	\N	\N	\N
437352	1485	1995-01-26	VYDAJ	VYBER	12900	38612	\N	\N	\N
437353	1485	1995-02-25	VYDAJ	VYBER	12800	43146	\N	\N	\N
437354	1485	1995-03-27	VYDAJ	VYBER	11500	44774	\N	\N	\N
437355	1485	1995-04-26	VYDAJ	VYBER	16700	45412	\N	\N	\N
437356	1485	1995-05-26	VYDAJ	VYBER	14200	47763	\N	\N	\N
437357	1485	1995-06-25	VYDAJ	VYBER	10500	36725	\N	\N	\N
437358	1485	1995-07-25	VYDAJ	VYBER	9800	44235	\N	\N	\N
437359	1485	1995-08-24	VYDAJ	VYBER	14800	41855	\N	\N	\N
437360	1485	1995-09-23	VYDAJ	VYBER	11500	47688	\N	\N	\N
437361	1485	1995-10-23	VYDAJ	VYBER	13700	50025	\N	\N	\N
437362	1485	1995-11-22	VYDAJ	VYBER	16400	50980	\N	\N	\N
437363	1485	1995-12-22	VYDAJ	VYBER	20000	60053	\N	\N	\N
437364	1485	1996-01-21	VYDAJ	VYBER	17900	49651	\N	\N	\N
437365	1485	1996-02-20	VYDAJ	VYBER	5300	42618	\N	\N	\N
437366	1485	1996-03-21	VYDAJ	VYBER	9000	47925	\N	\N	\N
437367	1485	1996-04-20	VYDAJ	VYBER	12800	52451	\N	\N	\N
437368	1485	1996-05-20	VYDAJ	VYBER	12500	55404	\N	\N	\N
437369	1485	1996-06-19	VYDAJ	VYBER	11900	56380	\N	\N	\N
437370	1485	1996-07-19	VYDAJ	VYBER	10000	63753	\N	\N	\N
437371	1485	1996-08-18	VYDAJ	VYBER	11800	68246	\N	\N	\N
437372	1485	1996-09-17	VYDAJ	VYBER	17100	68561	\N	\N	\N
437373	1485	1996-10-17	VYDAJ	VYBER	11600	71586	\N	\N	\N
437374	1485	1996-11-16	VYDAJ	VYBER	14100	74916	\N	\N	\N
437375	1485	1996-12-16	VYDAJ	VYBER	20000	83069	\N	\N	\N
437376	1485	1997-01-15	VYDAJ	VYBER	12400	79654	\N	\N	\N
437377	1485	1997-02-14	VYDAJ	VYBER	12400	80858	\N	\N	\N
437378	1485	1997-03-16	VYDAJ	VYBER	9000	83674	\N	\N	\N
437379	1485	1997-04-15	VYDAJ	VYBER	13400	87742	\N	\N	\N
437380	1485	1997-05-15	VYDAJ	VYBER	16000	89235	\N	\N	\N
437381	1485	1997-06-06	VYDAJ	VYBER	32600	92133	\N	\N	\N
437382	1485	1997-06-14	VYDAJ	VYBER	4600	81584	\N	\N	\N
437383	1485	1997-07-14	VYDAJ	VYBER	5600	87750	\N	\N	\N
437384	1485	1997-08-13	VYDAJ	VYBER	10500	94725	\N	\N	\N
437385	1485	1997-09-06	VYDAJ	VYBER	40400	77784	\N	\N	\N
437386	1485	1997-09-12	PRIJEM	VKLAD	9400	81235	\N	\N	\N
437387	1485	1997-10-12	VYDAJ	VYBER	4400	90700	\N	\N	\N
437388	1485	1997-11-11	VYDAJ	VYBER	3800	101878	\N	\N	\N
437389	1485	1997-12-06	VYDAJ	VYBER	23400	110965	\N	\N	\N
437390	1485	1997-12-11	VYDAJ	VYBER	4500	100516	\N	\N	\N
437391	1485	1998-01-10	VYDAJ	VYBER KARTOU	3900	104060	\N	\N	0
437392	1485	1998-02-09	VYDAJ	VYBER KARTOU	6600	104692	\N	\N	0
437393	1485	1998-03-06	VYDAJ	VYBER	54600	73582	\N	\N	\N
437394	1485	1998-03-11	PRIJEM	VKLAD	15900	83533	\N	\N	\N
437395	1485	1998-04-10	PRIJEM	VKLAD	3200	104200	\N	\N	\N
437396	1485	1998-05-06	VYDAJ	VYBER	29100	98076	\N	\N	\N
437397	1485	1998-05-10	PRIJEM	VKLAD	6300	98427	\N	\N	\N
437398	1485	1998-06-06	VYDAJ	VYBER	32300	101312	\N	\N	\N
437399	1485	1998-06-09	PRIJEM	VKLAD	4600	99963	\N	\N	\N
437400	1485	1998-07-09	PRIJEM	VKLAD	11200	101870	\N	\N	\N
437401	1485	1998-08-06	VYDAJ	VYBER	50800	71220	\N	\N	\N
437402	1485	1998-08-08	PRIJEM	VKLAD	24500	95720	\N	\N	\N
437403	1485	1998-09-07	PRIJEM	VKLAD	3200	116413	\N	\N	\N
437404	1485	1998-10-06	VYDAJ	VYBER	62800	71170	\N	\N	\N
437405	1485	1998-10-07	PRIJEM	VKLAD	26000	97170	\N	\N	\N
437406	1485	1998-11-06	PRIJEM	VKLAD	9900	123781	\N	\N	\N
437407	1485	1998-12-06	VYDAJ	VYBER	54200	124574	\N	\N	\N
437408	1485	1998-12-06	PRIJEM	VKLAD	25700	178774	\N	\N	\N
437472	1486	1996-01-15	PRIJEM	VKLAD	400	400	\N	\N	\N
437474	1486	1996-02-14	PRIJEM	VKLAD	23407	23807	\N	\N	\N
437475	1486	1996-03-14	PRIJEM	VKLAD	23407	47369	\N	\N	\N
437476	1486	1996-04-14	PRIJEM	VKLAD	23407	60505	\N	\N	\N
437477	1486	1996-05-14	PRIJEM	VKLAD	23407	66922	\N	\N	\N
437478	1486	1996-06-14	PRIJEM	VKLAD	35110	69345	\N	\N	\N
437479	1486	1996-07-14	PRIJEM	VKLAD	23407	55044	\N	\N	\N
437480	1486	1996-08-14	PRIJEM	VKLAD	23407	54627	\N	\N	\N
437481	1486	1996-09-14	PRIJEM	VKLAD	23407	54217	\N	\N	\N
437482	1486	1996-10-14	PRIJEM	VKLAD	23407	53503	\N	\N	\N
437483	1486	1996-11-14	PRIJEM	VKLAD	23407	51887	\N	\N	\N
437484	1486	1996-12-14	PRIJEM	VKLAD	35110	63366	\N	\N	\N
437485	1486	1997-01-14	PRIJEM	VKLAD	23407	54867	\N	\N	\N
437486	1486	1997-02-14	PRIJEM	VKLAD	23407	51553	\N	\N	\N
437487	1486	1997-03-14	PRIJEM	VKLAD	23407	51818	\N	\N	\N
437488	1486	1997-04-14	PRIJEM	VKLAD	23407	50092	\N	\N	\N
437489	1486	1997-05-14	PRIJEM	VKLAD	23407	49160	\N	\N	\N
437490	1486	1997-06-14	PRIJEM	VKLAD	35110	51635	\N	\N	\N
437491	1486	1997-07-14	PRIJEM	VKLAD	23407	49092	\N	\N	\N
437492	1486	1997-08-14	PRIJEM	VKLAD	23407	49055	\N	\N	\N
437493	1486	1997-09-14	PRIJEM	VKLAD	23407	49703	\N	\N	\N
437494	1486	1997-10-14	PRIJEM	VKLAD	23407	53355	\N	\N	\N
437495	1486	1997-11-14	PRIJEM	VKLAD	23407	54327	\N	\N	\N
437496	1486	1997-12-14	PRIJEM	VKLAD	35110	67303	\N	\N	\N
437497	1486	1998-01-14	PRIJEM	VKLAD	23407	58107	\N	\N	\N
437498	1486	1998-02-14	PRIJEM	VKLAD	23407	62211	\N	\N	\N
437499	1486	1998-03-14	PRIJEM	VKLAD	23407	67216	\N	\N	\N
437500	1486	1998-04-14	PRIJEM	VKLAD	23407	65439	\N	\N	\N
437501	1486	1998-05-14	PRIJEM	VKLAD	23407	61562	\N	\N	\N
437502	1486	1998-06-14	PRIJEM	VKLAD	35110	73969	\N	\N	\N
437503	1486	1998-07-14	PRIJEM	VKLAD	23407	56099	\N	\N	\N
437504	1486	1998-08-14	PRIJEM	VKLAD	23407	59276	\N	\N	\N
437505	1486	1998-09-14	PRIJEM	VKLAD	23407	55562	\N	\N	\N
437506	1486	1998-10-14	PRIJEM	VKLAD	23407	49745	\N	\N	\N
437507	1486	1998-11-14	PRIJEM	VKLAD	23407	55094	\N	\N	\N
437508	1486	1998-12-14	PRIJEM	VKLAD	35110	67358	\N	\N	\N
437515	1486	1996-07-09	VYDAJ	PREVOD NA UCET	3592	40237	SIPO	KL	50455820
437516	1486	1996-08-09	VYDAJ	PREVOD NA UCET	3592	46620	SIPO	KL	50455820
437517	1486	1996-09-09	VYDAJ	PREVOD NA UCET	3592	46710	SIPO	KL	50455820
437518	1486	1996-10-09	VYDAJ	PREVOD NA UCET	3592	46296	SIPO	KL	50455820
437519	1486	1996-11-09	VYDAJ	PREVOD NA UCET	3592	45580	SIPO	KL	50455820
437520	1486	1996-12-09	VYDAJ	PREVOD NA UCET	3592	43956	SIPO	KL	50455820
437521	1486	1997-01-09	VYDAJ	PREVOD NA UCET	3592	53060	SIPO	KL	50455820
437522	1486	1997-02-09	VYDAJ	PREVOD NA UCET	3592	28146	SIPO	KL	50455820
437523	1486	1997-03-09	VYDAJ	PREVOD NA UCET	3592	43611	SIPO	KL	50455820
437524	1486	1997-04-09	VYDAJ	PREVOD NA UCET	3592	26685	SIPO	KL	50455820
437525	1486	1997-05-09	VYDAJ	PREVOD NA UCET	3592	42153	SIPO	KL	50455820
437526	1486	1997-06-09	VYDAJ	PREVOD NA UCET	3592	16525	SIPO	KL	50455820
437527	1486	1997-07-09	VYDAJ	PREVOD NA UCET	3592	25685	SIPO	KL	50455820
437528	1486	1997-08-09	VYDAJ	PREVOD NA UCET	3592	25648	SIPO	KL	50455820
437529	1486	1997-09-09	VYDAJ	PREVOD NA UCET	3592	26296	SIPO	KL	50455820
437530	1486	1997-10-09	VYDAJ	PREVOD NA UCET	3592	29948	SIPO	KL	50455820
437531	1486	1997-11-09	VYDAJ	PREVOD NA UCET	3592	30920	SIPO	KL	50455820
437532	1486	1997-12-09	VYDAJ	PREVOD NA UCET	3592	34693	SIPO	KL	50455820
437533	1486	1998-01-09	VYDAJ	PREVOD NA UCET	3592	39200	SIPO	KL	50455820
437534	1486	1998-02-09	VYDAJ	PREVOD NA UCET	3592	38804	SIPO	KL	50455820
437535	1486	1998-03-09	VYDAJ	PREVOD NA UCET	3592	43809	SIPO	KL	50455820
437536	1486	1998-04-09	VYDAJ	PREVOD NA UCET	3592	42032	SIPO	KL	50455820
437537	1486	1998-05-09	VYDAJ	PREVOD NA UCET	3592	38155	SIPO	KL	50455820
437538	1486	1998-06-09	VYDAJ	PREVOD NA UCET	3592	38859	SIPO	KL	50455820
437539	1486	1998-07-09	VYDAJ	PREVOD NA UCET	3592	32692	SIPO	KL	50455820
437540	1486	1998-08-09	VYDAJ	PREVOD NA UCET	3592	35869	SIPO	KL	50455820
437541	1486	1998-09-09	VYDAJ	PREVOD NA UCET	3592	32755	SIPO	KL	50455820
437542	1486	1998-10-09	VYDAJ	PREVOD NA UCET	3592	26338	SIPO	KL	50455820
437543	1486	1998-11-09	VYDAJ	PREVOD NA UCET	3592	31687	SIPO	KL	50455820
437544	1486	1998-12-09	VYDAJ	PREVOD NA UCET	3592	32248	SIPO	KL	50455820
437551	1486	1996-07-08	VYDAJ	PREVOD NA UCET	2291	43829	 	KL	1473415
437552	1486	1996-08-08	VYDAJ	PREVOD NA UCET	2291	50212	 	KL	1473415
437553	1486	1996-09-08	VYDAJ	PREVOD NA UCET	2291	50302	 	KL	1473415
437554	1486	1996-10-08	VYDAJ	PREVOD NA UCET	2291	49888	 	KL	1473415
437555	1486	1996-11-08	VYDAJ	PREVOD NA UCET	2291	49172	 	KL	1473415
437556	1486	1996-12-08	VYDAJ	PREVOD NA UCET	2291	47548	 	KL	1473415
437557	1486	1997-01-08	VYDAJ	PREVOD NA UCET	2291	56652	 	KL	1473415
437558	1486	1997-02-08	VYDAJ	PREVOD NA UCET	2291	31738	 	KL	1473415
437559	1486	1997-03-08	VYDAJ	PREVOD NA UCET	2291	47203	 	KL	1473415
437560	1486	1997-04-08	VYDAJ	PREVOD NA UCET	2291	43577	 	KL	1473415
437561	1486	1997-05-08	VYDAJ	PREVOD NA UCET	2291	45745	 	KL	1473415
437562	1486	1997-06-08	VYDAJ	PREVOD NA UCET	2291	24917	 	KL	1473415
437563	1486	1997-07-08	VYDAJ	PREVOD NA UCET	2291	47277	 	KL	1473415
437564	1486	1997-08-08	VYDAJ	PREVOD NA UCET	2291	29240	 	KL	1473415
437565	1486	1997-09-08	VYDAJ	PREVOD NA UCET	2291	29888	 	KL	1473415
437566	1486	1997-10-08	VYDAJ	PREVOD NA UCET	2291	33540	 	KL	1473415
437567	1486	1997-11-08	VYDAJ	PREVOD NA UCET	2291	34512	 	KL	1473415
437568	1486	1997-12-08	VYDAJ	PREVOD NA UCET	2291	38285	 	KL	1473415
437569	1486	1998-01-08	VYDAJ	PREVOD NA UCET	2291	42792	 	KL	1473415
437570	1486	1998-02-08	VYDAJ	PREVOD NA UCET	2291	42396	 	KL	1473415
437571	1486	1998-03-08	VYDAJ	PREVOD NA UCET	2291	47401	 	KL	1473415
437572	1486	1998-04-08	VYDAJ	PREVOD NA UCET	2291	45624	 	KL	1473415
437573	1486	1998-05-08	VYDAJ	PREVOD NA UCET	2291	41747	 	KL	1473415
437574	1486	1998-06-08	VYDAJ	PREVOD NA UCET	2291	42451	 	KL	1473415
437575	1486	1998-07-08	VYDAJ	PREVOD NA UCET	2291	36284	 	KL	1473415
437576	1486	1998-08-08	VYDAJ	PREVOD NA UCET	2291	39461	 	KL	1473415
437577	1486	1998-09-08	VYDAJ	PREVOD NA UCET	2291	36347	 	KL	1473415
437578	1486	1998-10-08	VYDAJ	PREVOD NA UCET	2291	29930	 	KL	1473415
437579	1486	1998-11-08	VYDAJ	PREVOD NA UCET	2291	35279	 	KL	1473415
437580	1486	1998-12-08	VYDAJ	PREVOD NA UCET	2291	35840	 	KL	1473415
437586	1486	1996-06-14	VYDAJ	PREVOD NA UCET	2235	67110	POJISTNE	MN	12761944
437587	1486	1996-07-14	VYDAJ	PREVOD NA UCET	2235	52809	POJISTNE	MN	12761944
437588	1486	1996-08-14	VYDAJ	PREVOD NA UCET	2235	52392	POJISTNE	MN	12761944
437589	1486	1996-09-14	VYDAJ	PREVOD NA UCET	2235	51982	POJISTNE	MN	12761944
437590	1486	1996-10-14	VYDAJ	PREVOD NA UCET	2235	51268	POJISTNE	MN	12761944
437591	1486	1996-11-14	VYDAJ	PREVOD NA UCET	2235	49652	POJISTNE	MN	12761944
437592	1486	1996-12-14	VYDAJ	PREVOD NA UCET	2235	61131	POJISTNE	MN	12761944
437593	1486	1997-01-14	VYDAJ	PREVOD NA UCET	2235	52632	POJISTNE	MN	12761944
437594	1486	1997-02-14	VYDAJ	PREVOD NA UCET	2235	49318	POJISTNE	MN	12761944
437595	1486	1997-03-14	VYDAJ	PREVOD NA UCET	2235	49583	POJISTNE	MN	12761944
437596	1486	1997-04-14	VYDAJ	PREVOD NA UCET	2235	47857	POJISTNE	MN	12761944
437597	1486	1997-05-14	VYDAJ	PREVOD NA UCET	2235	46925	POJISTNE	MN	12761944
437598	1486	1997-06-14	VYDAJ	PREVOD NA UCET	2235	49400	POJISTNE	MN	12761944
437599	1486	1997-07-14	VYDAJ	PREVOD NA UCET	2235	46857	POJISTNE	MN	12761944
437600	1486	1997-08-14	VYDAJ	PREVOD NA UCET	2235	46820	POJISTNE	MN	12761944
437601	1486	1997-09-14	VYDAJ	PREVOD NA UCET	2235	47468	POJISTNE	MN	12761944
437602	1486	1997-10-14	VYDAJ	PREVOD NA UCET	2235	51120	POJISTNE	MN	12761944
437603	1486	1997-11-14	VYDAJ	PREVOD NA UCET	2235	52092	POJISTNE	MN	12761944
437604	1486	1997-12-14	VYDAJ	PREVOD NA UCET	2235	65068	POJISTNE	MN	12761944
437605	1486	1998-01-14	VYDAJ	PREVOD NA UCET	2235	55872	POJISTNE	MN	12761944
437606	1486	1998-02-14	VYDAJ	PREVOD NA UCET	2235	59976	POJISTNE	MN	12761944
437607	1486	1998-03-14	VYDAJ	PREVOD NA UCET	2235	64981	POJISTNE	MN	12761944
437608	1486	1998-04-14	VYDAJ	PREVOD NA UCET	2235	63204	POJISTNE	MN	12761944
437609	1486	1998-05-14	VYDAJ	PREVOD NA UCET	2235	59327	POJISTNE	MN	12761944
437610	1486	1998-06-14	VYDAJ	PREVOD NA UCET	2235	71734	POJISTNE	MN	12761944
437611	1486	1998-07-14	VYDAJ	PREVOD NA UCET	2235	53864	POJISTNE	MN	12761944
437612	1486	1998-08-14	VYDAJ	PREVOD NA UCET	2235	57041	POJISTNE	MN	12761944
437613	1486	1998-09-14	VYDAJ	PREVOD NA UCET	2235	53327	POJISTNE	MN	12761944
437614	1486	1998-10-14	VYDAJ	PREVOD NA UCET	2235	47510	POJISTNE	MN	12761944
437615	1486	1998-11-14	VYDAJ	PREVOD NA UCET	2235	52859	POJISTNE	MN	12761944
437616	1486	1998-12-14	VYDAJ	PREVOD NA UCET	2235	65123	POJISTNE	MN	12761944
437617	1486	1996-06-24	VYDAJ	VYBER	17700	49410	\N	\N	\N
437618	1486	1997-06-03	VYDAJ	VYBER	19900	27208	\N	\N	\N
437619	1486	1998-06-29	VYDAJ	VYBER	22300	49434	\N	\N	\N
437620	1486	1996-12-29	VYDAJ	VYBER	2400	58731	\N	\N	\N
437621	1486	1997-12-11	VYDAJ	VYBER	2500	32193	\N	\N	\N
437622	1486	1998-12-03	VYDAJ	VYBER KARTOU	500	38131	\N	\N	0
437625	1486	1996-07-24	VYDAJ	VYBER	500	52309	\N	\N	\N
437626	1486	1996-07-06	VYDAJ	VYBER	3500	46120	\N	\N	\N
437627	1486	1997-04-01	VYDAJ	VYBER	3900	45868	\N	\N	\N
437628	1486	1997-12-17	VYDAJ	VYBER	1800	63268	\N	\N	\N
437629	1486	1997-08-16	VYDAJ	VYBER	2100	44720	\N	\N	\N
437630	1486	1998-04-26	VYDAJ	VYBER KARTOU	3200	60004	\N	\N	0
437631	1486	1998-10-03	VYDAJ	VYBER KARTOU	3600	32221	\N	\N	0
437632	1486	1998-05-21	VYDAJ	VYBER KARTOU	1900	57427	\N	\N	0
437633	1486	1998-09-13	VYDAJ	VYBER KARTOU	600	32155	\N	\N	0
437634	1486	1998-08-21	VYDAJ	VYBER KARTOU	4000	53041	\N	\N	0
437635	1486	1998-01-10	VYDAJ	VYBER	4500	34700	\N	\N	\N
437642	1486	1996-06-30	VYDAJ	VYBER	15	49620	SLUZBY	\N	\N
437643	1486	1996-07-31	VYDAJ	VYBER	15	52503	SLUZBY	\N	\N
437644	1486	1996-08-31	VYDAJ	VYBER	15	52593	SLUZBY	\N	\N
437645	1486	1996-09-30	VYDAJ	VYBER	15	52179	SLUZBY	\N	\N
437646	1486	1996-10-31	VYDAJ	VYBER	15	51463	SLUZBY	\N	\N
437647	1486	1996-11-30	VYDAJ	VYBER	15	49839	SLUZBY	\N	\N
437648	1486	1996-12-31	VYDAJ	VYBER	15	58943	SLUZBY	\N	\N
437649	1486	1997-01-31	VYDAJ	VYBER	15	52829	SLUZBY	\N	\N
437650	1486	1997-02-28	VYDAJ	VYBER	15	49494	SLUZBY	\N	\N
437651	1486	1997-03-31	VYDAJ	VYBER	15	49768	SLUZBY	\N	\N
437652	1486	1997-04-30	VYDAJ	VYBER	15	48036	SLUZBY	\N	\N
437653	1486	1997-05-31	VYDAJ	VYBER	15	47108	SLUZBY	\N	\N
437654	1486	1997-06-30	VYDAJ	VYBER	15	49568	SLUZBY	\N	\N
437655	1486	1997-07-31	VYDAJ	VYBER	15	47031	SLUZBY	\N	\N
437656	1486	1997-08-31	VYDAJ	VYBER	15	44879	SLUZBY	\N	\N
437657	1486	1997-09-30	VYDAJ	VYBER	15	47631	SLUZBY	\N	\N
437658	1486	1997-10-31	VYDAJ	VYBER	15	51303	SLUZBY	\N	\N
437659	1486	1997-11-30	VYDAJ	VYBER	15	52276	SLUZBY	\N	\N
437660	1486	1997-12-31	VYDAJ	VYBER	15	63483	SLUZBY	\N	\N
437661	1486	1998-01-31	VYDAJ	VYBER	15	56087	SLUZBY	\N	\N
437662	1486	1998-02-28	VYDAJ	VYBER	15	60192	SLUZBY	\N	\N
437663	1486	1998-03-31	VYDAJ	VYBER	15	65215	SLUZBY	\N	\N
437664	1486	1998-04-30	VYDAJ	VYBER	15	60238	SLUZBY	\N	\N
437665	1486	1998-05-31	VYDAJ	VYBER	15	57642	SLUZBY	\N	\N
437666	1486	1998-06-30	VYDAJ	VYBER	15	49675	SLUZBY	\N	\N
437667	1486	1998-07-31	VYDAJ	VYBER	15	54052	SLUZBY	\N	\N
437668	1486	1998-08-31	VYDAJ	VYBER	15	53238	SLUZBY	\N	\N
437669	1486	1998-09-30	VYDAJ	VYBER	15	53521	SLUZBY	\N	\N
437670	1486	1998-10-31	VYDAJ	VYBER	15	47670	SLUZBY	\N	\N
437671	1486	1998-11-30	VYDAJ	VYBER	15	53031	SLUZBY	\N	\N
437672	1486	1996-02-14	PRIJEM	VKLAD	100	23907	\N	\N	\N
437673	1486	1996-03-15	VYDAJ	VYBER	10400	36969	\N	\N	\N
437674	1486	1996-04-14	VYDAJ	VYBER	17200	43305	\N	\N	\N
437675	1486	1996-05-14	VYDAJ	VYBER	22600	44322	\N	\N	\N
437676	1486	1996-06-13	VYDAJ	VYBER	10300	34235	\N	\N	\N
437677	1486	1996-07-13	VYDAJ	VYBER	8600	31637	\N	\N	\N
437678	1486	1996-08-12	VYDAJ	VYBER	15400	31220	\N	\N	\N
437679	1486	1996-09-11	VYDAJ	VYBER	15900	30810	\N	\N	\N
437680	1486	1996-10-11	VYDAJ	VYBER	16200	30096	\N	\N	\N
437681	1486	1996-11-10	VYDAJ	VYBER	17100	28480	\N	\N	\N
437682	1486	1996-12-10	VYDAJ	VYBER	15700	28256	\N	\N	\N
437683	1486	1997-01-09	VYDAJ	VYBER	21600	31460	\N	\N	\N
437684	1486	1997-02-08	VYDAJ	VYBER	18800	34029	\N	\N	\N
437685	1486	1997-03-10	VYDAJ	VYBER	15200	28411	\N	\N	\N
437686	1486	1997-04-09	VYDAJ	VYBER	13300	30277	\N	\N	\N
437687	1486	1997-05-09	VYDAJ	VYBER	16400	25753	\N	\N	\N
437688	1486	1997-06-08	VYDAJ	VYBER	4800	20117	\N	\N	\N
437689	1486	1997-07-08	VYDAJ	VYBER	18000	29277	\N	\N	\N
437690	1486	1997-08-07	VYDAJ	VYBER	15500	31531	\N	\N	\N
437691	1486	1997-09-06	VYDAJ	VYBER	12700	32179	\N	\N	\N
437692	1486	1997-10-06	VYDAJ	VYBER	11800	35831	\N	\N	\N
437693	1486	1997-11-05	VYDAJ	VYBER	14500	36803	\N	\N	\N
437694	1486	1997-12-05	VYDAJ	VYBER	11700	40576	\N	\N	\N
437695	1486	1998-01-04	VYDAJ	VYBER	18400	45083	\N	\N	\N
437696	1486	1998-02-03	VYDAJ	VYBER	11400	44687	\N	\N	\N
437697	1486	1998-03-05	VYDAJ	VYBER	10500	49692	\N	\N	\N
437698	1486	1998-04-04	VYDAJ	VYBER	17300	47915	\N	\N	\N
437699	1486	1998-05-04	VYDAJ	VYBER	16200	44038	\N	\N	\N
437700	1486	1998-06-03	VYDAJ	VYBER	12900	44742	\N	\N	\N
437701	1486	1998-07-03	VYDAJ	VYBER	11100	38575	\N	\N	\N
437702	1486	1998-08-02	VYDAJ	VYBER	12300	41752	\N	\N	\N
437703	1486	1998-09-01	VYDAJ	VYBER	14600	38638	\N	\N	\N
437704	1486	1998-10-01	VYDAJ	VYBER	17700	35821	\N	\N	\N
437705	1486	1998-10-31	VYDAJ	VYBER	10100	37570	\N	\N	\N
437706	1486	1998-11-30	VYDAJ	VYBER	14400	38631	\N	\N	\N
437742	1487	1993-09-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
437751	1487	1993-09-14	PRIJEM	PREVOD Z UCTU	3306	4406	\N	IJ	90088778
437752	1487	1993-10-14	PRIJEM	PREVOD Z UCTU	3306	7722	\N	IJ	90088778
437753	1487	1993-11-14	PRIJEM	PREVOD Z UCTU	3306	11047	\N	IJ	90088778
437754	1487	1993-12-14	PRIJEM	PREVOD Z UCTU	3306	14371	\N	IJ	90088778
437755	1487	1994-01-14	PRIJEM	PREVOD Z UCTU	3306	17696	\N	IJ	90088778
437756	1487	1994-02-14	PRIJEM	PREVOD Z UCTU	3306	16807	\N	IJ	90088778
437757	1487	1994-03-14	PRIJEM	PREVOD Z UCTU	3306	17962	\N	IJ	90088778
437758	1487	1994-04-14	PRIJEM	PREVOD Z UCTU	3306	19123	\N	IJ	90088778
437759	1487	1994-05-14	PRIJEM	PREVOD Z UCTU	3306	20288	\N	IJ	90088778
437760	1487	1994-06-14	PRIJEM	PREVOD Z UCTU	3306	21458	\N	IJ	90088778
437761	1487	1994-07-14	PRIJEM	PREVOD Z UCTU	3306	21280	\N	IJ	90088778
437762	1487	1994-08-14	PRIJEM	PREVOD Z UCTU	3306	21104	\N	IJ	90088778
437763	1487	1994-09-14	PRIJEM	PREVOD Z UCTU	3306	22277	\N	IJ	90088778
437944	1487	1996-06-17	VYDAJ	VYBER	1170	22177	\N	\N	\N
437764	1487	1994-10-14	PRIJEM	PREVOD Z UCTU	3306	22193	\N	IJ	90088778
437765	1487	1994-11-14	PRIJEM	PREVOD Z UCTU	3306	22409	\N	IJ	90088778
437766	1487	1994-12-14	PRIJEM	PREVOD Z UCTU	3306	23588	\N	IJ	90088778
437767	1487	1995-01-14	PRIJEM	PREVOD Z UCTU	3306	23031	\N	IJ	90088778
437768	1487	1995-02-14	PRIJEM	PREVOD Z UCTU	3306	22379	\N	IJ	90088778
437769	1487	1995-03-14	PRIJEM	PREVOD Z UCTU	3306	23558	\N	IJ	90088778
437770	1487	1995-04-14	PRIJEM	PREVOD Z UCTU	3306	24741	\N	IJ	90088778
437771	1487	1995-05-14	PRIJEM	PREVOD Z UCTU	3306	24579	\N	IJ	90088778
437772	1487	1995-06-14	PRIJEM	PREVOD Z UCTU	3306	25769	\N	IJ	90088778
437773	1487	1995-07-14	PRIJEM	PREVOD Z UCTU	3306	26961	\N	IJ	90088778
437774	1487	1995-08-14	PRIJEM	PREVOD Z UCTU	3306	27359	\N	IJ	90088778
437775	1487	1995-09-14	PRIJEM	PREVOD Z UCTU	3306	27557	\N	IJ	90088778
437776	1487	1995-10-14	PRIJEM	PREVOD Z UCTU	3306	26257	\N	IJ	90088778
437777	1487	1995-11-14	PRIJEM	PREVOD Z UCTU	3306	23975	\N	IJ	90088778
437778	1487	1995-12-14	PRIJEM	PREVOD Z UCTU	3306	23687	\N	IJ	90088778
437779	1487	1996-01-14	PRIJEM	PREVOD Z UCTU	3306	22160	\N	IJ	90088778
437780	1487	1996-02-14	PRIJEM	PREVOD Z UCTU	3306	21193	\N	IJ	90088778
437781	1487	1996-03-14	PRIJEM	PREVOD Z UCTU	3306	22367	\N	IJ	90088778
437782	1487	1996-04-14	PRIJEM	PREVOD Z UCTU	3306	23185	\N	IJ	90088778
437783	1487	1996-05-14	PRIJEM	PREVOD Z UCTU	3306	23636	\N	IJ	90088778
437784	1487	1996-06-14	PRIJEM	PREVOD Z UCTU	3306	23347	\N	IJ	90088778
437785	1487	1996-07-14	PRIJEM	PREVOD Z UCTU	3306	21456	\N	IJ	90088778
437786	1487	1996-08-14	PRIJEM	PREVOD Z UCTU	3306	19217	\N	IJ	90088778
437787	1487	1996-09-14	PRIJEM	PREVOD Z UCTU	3306	20142	\N	IJ	90088778
437788	1487	1996-10-14	PRIJEM	PREVOD Z UCTU	3306	20710	\N	IJ	90088778
437789	1487	1996-11-14	PRIJEM	PREVOD Z UCTU	3306	21881	\N	IJ	90088778
437790	1487	1996-12-14	PRIJEM	PREVOD Z UCTU	3306	23056	\N	IJ	90088778
437791	1487	1997-01-14	PRIJEM	PREVOD Z UCTU	3306	22586	\N	IJ	90088778
437792	1487	1997-02-14	PRIJEM	PREVOD Z UCTU	3306	19860	\N	IJ	90088778
437793	1487	1997-03-14	PRIJEM	PREVOD Z UCTU	3306	20276	\N	IJ	90088778
437794	1487	1997-04-14	PRIJEM	PREVOD Z UCTU	3306	20786	\N	IJ	90088778
437795	1487	1997-05-14	PRIJEM	PREVOD Z UCTU	3306	21955	\N	IJ	90088778
437796	1487	1997-06-14	PRIJEM	PREVOD Z UCTU	3306	23131	\N	IJ	90088778
437797	1487	1997-07-14	PRIJEM	PREVOD Z UCTU	3306	24011	\N	IJ	90088778
437798	1487	1997-08-14	PRIJEM	PREVOD Z UCTU	3306	25196	\N	IJ	90088778
437799	1487	1997-09-14	PRIJEM	PREVOD Z UCTU	3306	25583	\N	IJ	90088778
437800	1487	1997-10-14	PRIJEM	PREVOD Z UCTU	3306	26774	\N	IJ	90088778
437801	1487	1997-11-14	PRIJEM	PREVOD Z UCTU	3306	27969	\N	IJ	90088778
437802	1487	1997-12-14	PRIJEM	PREVOD Z UCTU	3306	29170	\N	IJ	90088778
437803	1487	1998-01-14	PRIJEM	PREVOD Z UCTU	3306	27134	\N	IJ	90088778
437804	1487	1998-02-14	PRIJEM	PREVOD Z UCTU	3306	27941	\N	IJ	90088778
437805	1487	1998-03-14	PRIJEM	PREVOD Z UCTU	3306	28061	\N	IJ	90088778
437806	1487	1998-04-14	PRIJEM	PREVOD Z UCTU	3306	29262	\N	IJ	90088778
437807	1487	1998-05-14	PRIJEM	PREVOD Z UCTU	3306	27825	\N	IJ	90088778
437808	1487	1998-06-14	PRIJEM	PREVOD Z UCTU	3306	26820	\N	IJ	90088778
437809	1487	1998-07-14	PRIJEM	PREVOD Z UCTU	3306	26813	\N	IJ	90088778
437810	1487	1998-08-14	PRIJEM	PREVOD Z UCTU	3306	27077	\N	IJ	90088778
437811	1487	1998-09-14	PRIJEM	PREVOD Z UCTU	3306	26621	\N	IJ	90088778
437812	1487	1998-10-14	PRIJEM	PREVOD Z UCTU	3306	26764	\N	IJ	90088778
437813	1487	1998-11-14	PRIJEM	PREVOD Z UCTU	3306	27719	\N	IJ	90088778
437814	1487	1998-12-14	PRIJEM	PREVOD Z UCTU	3306	28917	\N	IJ	90088778
437828	1487	1994-02-08	VYDAJ	PREVOD NA UCET	2204	13501	\N	KL	70317125
437829	1487	1994-03-08	VYDAJ	PREVOD NA UCET	2204	14656	\N	KL	70317125
437830	1487	1994-04-08	VYDAJ	PREVOD NA UCET	2204	15817	\N	KL	70317125
437831	1487	1994-05-08	VYDAJ	PREVOD NA UCET	2204	16982	\N	KL	70317125
437832	1487	1994-06-08	VYDAJ	PREVOD NA UCET	2204	18152	\N	KL	70317125
437833	1487	1994-07-08	VYDAJ	PREVOD NA UCET	2204	17974	\N	KL	70317125
437834	1487	1994-08-08	VYDAJ	PREVOD NA UCET	2204	17798	\N	KL	70317125
437835	1487	1994-09-08	VYDAJ	PREVOD NA UCET	2204	18971	\N	KL	70317125
437836	1487	1994-10-08	VYDAJ	PREVOD NA UCET	2204	18887	\N	KL	70317125
437837	1487	1994-11-08	VYDAJ	PREVOD NA UCET	2204	19103	\N	KL	70317125
437838	1487	1994-12-08	VYDAJ	PREVOD NA UCET	2204	20282	\N	KL	70317125
437839	1487	1995-01-08	VYDAJ	PREVOD NA UCET	2204	20505	\N	KL	70317125
437840	1487	1995-02-08	VYDAJ	PREVOD NA UCET	2204	19073	\N	KL	70317125
437841	1487	1995-03-08	VYDAJ	PREVOD NA UCET	2204	20252	\N	KL	70317125
437842	1487	1995-04-08	VYDAJ	PREVOD NA UCET	2204	21435	\N	KL	70317125
437843	1487	1995-05-08	VYDAJ	PREVOD NA UCET	2204	22623	\N	KL	70317125
437844	1487	1995-06-08	VYDAJ	PREVOD NA UCET	2204	22463	\N	KL	70317125
437845	1487	1995-07-08	VYDAJ	PREVOD NA UCET	2204	23655	\N	KL	70317125
437846	1487	1995-08-08	VYDAJ	PREVOD NA UCET	2204	24053	\N	KL	70317125
437847	1487	1995-09-08	VYDAJ	PREVOD NA UCET	2204	24251	\N	KL	70317125
437848	1487	1995-10-08	VYDAJ	PREVOD NA UCET	2204	22951	\N	KL	70317125
437849	1487	1995-11-08	VYDAJ	PREVOD NA UCET	2204	20669	\N	KL	70317125
437850	1487	1995-12-08	VYDAJ	PREVOD NA UCET	2204	20381	\N	KL	70317125
437851	1487	1996-01-08	VYDAJ	PREVOD NA UCET	2204	19214	\N	KL	70317125
437852	1487	1996-02-08	VYDAJ	PREVOD NA UCET	2204	17887	\N	KL	70317125
437853	1487	1996-03-08	VYDAJ	PREVOD NA UCET	2204	19061	\N	KL	70317125
437854	1487	1996-04-08	VYDAJ	PREVOD NA UCET	2204	20239	\N	KL	70317125
437855	1487	1996-05-08	VYDAJ	PREVOD NA UCET	2204	20330	\N	KL	70317125
437856	1487	1996-06-08	VYDAJ	PREVOD NA UCET	2204	20041	\N	KL	70317125
437857	1487	1996-07-08	VYDAJ	PREVOD NA UCET	2204	18150	\N	KL	70317125
437858	1487	1996-08-08	VYDAJ	PREVOD NA UCET	2204	15911	\N	KL	70317125
437859	1487	1996-09-08	VYDAJ	PREVOD NA UCET	2204	16836	\N	KL	70317125
437860	1487	1996-10-08	VYDAJ	PREVOD NA UCET	2204	17404	\N	KL	70317125
437861	1487	1996-11-08	VYDAJ	PREVOD NA UCET	2204	18575	\N	KL	70317125
437862	1487	1996-12-08	VYDAJ	PREVOD NA UCET	2204	19750	\N	KL	70317125
437863	1487	1997-01-08	VYDAJ	PREVOD NA UCET	2204	19280	\N	KL	70317125
437864	1487	1997-02-08	VYDAJ	PREVOD NA UCET	2204	16554	\N	KL	70317125
437865	1487	1997-03-08	VYDAJ	PREVOD NA UCET	2204	16970	\N	KL	70317125
437866	1487	1997-04-08	VYDAJ	PREVOD NA UCET	2204	17480	\N	KL	70317125
437867	1487	1997-05-08	VYDAJ	PREVOD NA UCET	2204	18649	\N	KL	70317125
437868	1487	1997-06-08	VYDAJ	PREVOD NA UCET	2204	19825	\N	KL	70317125
437869	1487	1997-07-08	VYDAJ	PREVOD NA UCET	2204	20705	\N	KL	70317125
437870	1487	1997-08-08	VYDAJ	PREVOD NA UCET	2204	21890	\N	KL	70317125
437871	1487	1997-09-08	VYDAJ	PREVOD NA UCET	2204	22277	\N	KL	70317125
437872	1487	1997-10-08	VYDAJ	PREVOD NA UCET	2204	23468	\N	KL	70317125
437873	1487	1997-11-08	VYDAJ	PREVOD NA UCET	2204	24663	\N	KL	70317125
437874	1487	1997-12-08	VYDAJ	PREVOD NA UCET	2204	25864	\N	KL	70317125
437875	1487	1998-01-08	VYDAJ	PREVOD NA UCET	2204	24818	\N	KL	70317125
437876	1487	1998-02-08	VYDAJ	PREVOD NA UCET	2204	24635	\N	KL	70317125
437877	1487	1998-03-08	VYDAJ	PREVOD NA UCET	2204	25835	\N	KL	70317125
437878	1487	1998-04-08	VYDAJ	PREVOD NA UCET	2204	25956	\N	KL	70317125
437879	1487	1998-05-08	VYDAJ	PREVOD NA UCET	2204	24519	\N	KL	70317125
437880	1487	1998-06-08	VYDAJ	PREVOD NA UCET	2204	23514	\N	KL	70317125
437881	1487	1998-07-08	VYDAJ	PREVOD NA UCET	2204	23507	\N	KL	70317125
437882	1487	1998-08-08	VYDAJ	PREVOD NA UCET	2204	23771	\N	KL	70317125
437883	1487	1998-09-08	VYDAJ	PREVOD NA UCET	2204	23315	\N	KL	70317125
437884	1487	1998-10-08	VYDAJ	PREVOD NA UCET	2204	23458	\N	KL	70317125
437885	1487	1998-11-08	VYDAJ	PREVOD NA UCET	2204	24413	\N	KL	70317125
437886	1487	1998-12-08	VYDAJ	PREVOD NA UCET	2204	25611	\N	KL	70317125
437888	1487	1994-12-24	VYDAJ	VYBER	420	23168	\N	\N	\N
437889	1487	1995-12-22	VYDAJ	VYBER	150	23537	\N	\N	\N
437890	1487	1996-12-17	VYDAJ	VYBER	540	22516	\N	\N	\N
437891	1487	1997-12-20	VYDAJ	VYBER	450	28720	\N	\N	\N
437892	1487	1998-12-28	VYDAJ	VYBER	450	28467	\N	\N	\N
437899	1487	1994-01-26	VYDAJ	VYBER	510	15686	\N	\N	\N
437900	1487	1994-01-23	VYDAJ	VYBER	690	16736	\N	\N	\N
437901	1487	1994-01-24	VYDAJ	VYBER	360	16376	\N	\N	\N
437902	1487	1994-01-22	VYDAJ	VYBER	270	17426	\N	\N	\N
437904	1487	1994-01-24	VYDAJ	VYBER	180	16196	\N	\N	\N
437905	1487	1995-01-27	VYDAJ	VYBER	750	21201	\N	\N	\N
437906	1487	1995-01-19	VYDAJ	VYBER	390	21951	\N	\N	\N
437907	1487	1995-01-09	VYDAJ	VYBER	420	20085	\N	\N	\N
437908	1487	1995-01-11	VYDAJ	VYBER	360	19725	\N	\N	\N
437909	1487	1995-01-01	VYDAJ	VYBER	540	22709	\N	\N	\N
437910	1487	1995-01-15	VYDAJ	VYBER	690	22341	\N	\N	\N
437911	1487	1996-01-05	VYDAJ	VYBER	420	21418	\N	\N	\N
437912	1487	1996-01-04	VYDAJ	VYBER	480	21838	\N	\N	\N
437913	1487	1996-01-23	VYDAJ	VYBER	150	20720	\N	\N	\N
437914	1487	1996-01-20	VYDAJ	VYBER	420	20870	\N	\N	\N
437915	1487	1996-01-16	VYDAJ	VYBER	870	21290	\N	\N	\N
437916	1487	1996-01-11	VYDAJ	VYBER	360	18854	\N	\N	\N
437917	1487	1997-01-25	VYDAJ	VYBER	840	19796	\N	\N	\N
437918	1487	1997-01-15	VYDAJ	VYBER	390	22196	\N	\N	\N
437919	1487	1997-01-19	VYDAJ	VYBER	600	20936	\N	\N	\N
437920	1487	1997-01-18	VYDAJ	VYBER	660	21536	\N	\N	\N
437921	1487	1997-01-29	VYDAJ	VYBER	240	19556	\N	\N	\N
437922	1487	1997-01-25	VYDAJ	VYBER	300	20636	\N	\N	\N
437923	1487	1998-01-19	VYDAJ	VYBER	390	26744	\N	\N	\N
437924	1487	1998-01-01	VYDAJ	VYBER	540	28282	\N	\N	\N
437925	1487	1998-01-02	VYDAJ	VYBER	540	27742	\N	\N	\N
437926	1487	1998-01-13	VYDAJ	VYBER	540	23828	\N	\N	\N
437927	1487	1998-01-12	VYDAJ	VYBER	450	24368	\N	\N	\N
437928	1487	1998-01-04	VYDAJ	VYBER	720	27022	\N	\N	\N
437935	1487	1994-10-15	VYDAJ	VYBER	960	21233	\N	\N	\N
437936	1487	1994-09-20	VYDAJ	VYBER	1260	21017	\N	\N	\N
437937	1487	1994-07-27	VYDAJ	VYBER	1350	19930	\N	\N	\N
437939	1487	1994-06-20	VYDAJ	VYBER	1350	20108	\N	\N	\N
437940	1487	1995-11-20	VYDAJ	VYBER	240	22505	\N	\N	\N
437941	1487	1995-05-12	VYDAJ	VYBER	1350	21273	\N	\N	\N
437942	1487	1995-10-31	VYDAJ	VYBER	1080	22873	\N	\N	\N
437943	1487	1995-11-16	VYDAJ	VYBER	1230	22745	\N	\N	\N
437945	1487	1996-05-04	VYDAJ	VYBER	630	22534	\N	\N	\N
437946	1487	1996-05-28	VYDAJ	VYBER	570	22166	\N	\N	\N
437947	1487	1996-08-21	VYDAJ	VYBER	240	18977	\N	\N	\N
437948	1487	1996-07-24	VYDAJ	VYBER	510	20946	\N	\N	\N
437949	1487	1996-04-12	VYDAJ	VYBER	360	19879	\N	\N	\N
437950	1487	1997-01-04	VYDAJ	VYBER	1110	21484	\N	\N	\N
437951	1487	1997-04-01	VYDAJ	VYBER	390	19684	\N	\N	\N
437952	1487	1997-02-28	VYDAJ	VYBER	750	19174	\N	\N	\N
437953	1487	1997-02-07	VYDAJ	VYBER	870	18758	\N	\N	\N
437954	1487	1997-03-30	VYDAJ	VYBER	270	20006	\N	\N	\N
437955	1487	1998-07-22	VYDAJ	VYBER	750	26063	\N	\N	\N
437956	1487	1998-10-21	VYDAJ	VYBER	240	26524	\N	\N	\N
437957	1487	1998-07-27	VYDAJ	VYBER	180	25883	\N	\N	\N
437958	1487	1998-08-27	VYDAJ	VYBER	210	25427	\N	\N	\N
437959	1487	1998-04-30	VYDAJ	VYBER	1440	26738	\N	\N	\N
437960	1487	1998-03-12	VYDAJ	VYBER	1080	24755	\N	\N	\N
437961	1487	1998-09-27	VYDAJ	VYBER	1050	25571	\N	\N	\N
437962	1487	1998-08-23	VYDAJ	VYBER	1440	25637	\N	\N	\N
437976	1487	1994-01-31	VYDAJ	VYBER	15	15705	SLUZBY	\N	\N
437977	1487	1994-02-28	VYDAJ	VYBER	15	16860	SLUZBY	\N	\N
437978	1487	1994-03-31	VYDAJ	VYBER	15	18021	SLUZBY	\N	\N
437979	1487	1994-04-30	VYDAJ	VYBER	15	19186	SLUZBY	\N	\N
437980	1487	1994-05-31	VYDAJ	VYBER	15	20356	SLUZBY	\N	\N
437981	1487	1994-06-30	VYDAJ	VYBER	15	20178	SLUZBY	\N	\N
437982	1487	1994-07-31	VYDAJ	VYBER	15	20002	SLUZBY	\N	\N
437983	1487	1994-08-31	VYDAJ	VYBER	15	21175	SLUZBY	\N	\N
437984	1487	1994-09-30	VYDAJ	VYBER	15	21091	SLUZBY	\N	\N
437985	1487	1994-10-31	VYDAJ	VYBER	15	21307	SLUZBY	\N	\N
437986	1487	1994-11-30	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
437987	1487	1994-12-31	VYDAJ	VYBER	15	23249	SLUZBY	\N	\N
437988	1487	1995-01-31	VYDAJ	VYBER	15	21277	SLUZBY	\N	\N
437989	1487	1995-02-28	VYDAJ	VYBER	15	22456	SLUZBY	\N	\N
437990	1487	1995-03-31	VYDAJ	VYBER	15	23639	SLUZBY	\N	\N
437991	1487	1995-04-30	VYDAJ	VYBER	15	24827	SLUZBY	\N	\N
437992	1487	1995-05-31	VYDAJ	VYBER	15	24667	SLUZBY	\N	\N
437993	1487	1995-06-30	VYDAJ	VYBER	15	25859	SLUZBY	\N	\N
437994	1487	1995-07-31	VYDAJ	VYBER	15	27057	SLUZBY	\N	\N
437995	1487	1995-08-31	VYDAJ	VYBER	15	26455	SLUZBY	\N	\N
437996	1487	1995-09-30	VYDAJ	VYBER	15	27655	SLUZBY	\N	\N
437997	1487	1995-10-31	VYDAJ	VYBER	15	23953	SLUZBY	\N	\N
437998	1487	1995-11-30	VYDAJ	VYBER	15	22585	SLUZBY	\N	\N
437999	1487	1995-12-31	VYDAJ	VYBER	15	22318	SLUZBY	\N	\N
438000	1487	1996-01-31	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
438001	1487	1996-02-29	VYDAJ	VYBER	15	21265	SLUZBY	\N	\N
438002	1487	1996-03-31	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
438003	1487	1996-04-30	VYDAJ	VYBER	15	23164	SLUZBY	\N	\N
438004	1487	1996-05-31	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
438005	1487	1996-06-30	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
438006	1487	1996-07-31	VYDAJ	VYBER	15	18115	SLUZBY	\N	\N
438007	1487	1996-08-31	VYDAJ	VYBER	15	19040	SLUZBY	\N	\N
438008	1487	1996-09-30	VYDAJ	VYBER	15	19608	SLUZBY	\N	\N
438009	1487	1996-10-31	VYDAJ	VYBER	15	20779	SLUZBY	\N	\N
438010	1487	1996-11-30	VYDAJ	VYBER	15	21954	SLUZBY	\N	\N
438011	1487	1996-12-31	VYDAJ	VYBER	15	22594	SLUZBY	\N	\N
438012	1487	1997-01-31	VYDAJ	VYBER	15	19628	SLUZBY	\N	\N
438013	1487	1997-02-28	VYDAJ	VYBER	15	19924	SLUZBY	\N	\N
438014	1487	1997-03-31	VYDAJ	VYBER	15	20074	SLUZBY	\N	\N
438015	1487	1997-04-30	VYDAJ	VYBER	15	20853	SLUZBY	\N	\N
438016	1487	1997-05-31	VYDAJ	VYBER	15	22029	SLUZBY	\N	\N
438017	1487	1997-06-30	VYDAJ	VYBER	15	22909	SLUZBY	\N	\N
438018	1487	1997-07-31	VYDAJ	VYBER	15	24094	SLUZBY	\N	\N
438019	1487	1997-08-31	VYDAJ	VYBER	15	24481	SLUZBY	\N	\N
438020	1487	1997-09-30	VYDAJ	VYBER	15	25672	SLUZBY	\N	\N
438021	1487	1997-10-31	VYDAJ	VYBER	15	26867	SLUZBY	\N	\N
438022	1487	1997-11-30	VYDAJ	VYBER	15	28068	SLUZBY	\N	\N
438023	1487	1997-12-31	VYDAJ	VYBER	15	28822	SLUZBY	\N	\N
438024	1487	1998-01-31	VYDAJ	VYBER	15	26839	SLUZBY	\N	\N
438025	1487	1998-02-28	VYDAJ	VYBER	15	28039	SLUZBY	\N	\N
438026	1487	1998-03-31	VYDAJ	VYBER	15	28160	SLUZBY	\N	\N
438027	1487	1998-04-30	VYDAJ	VYBER	15	26723	SLUZBY	\N	\N
438028	1487	1998-05-31	VYDAJ	VYBER	15	25718	SLUZBY	\N	\N
438029	1487	1998-06-30	VYDAJ	VYBER	15	25711	SLUZBY	\N	\N
438030	1487	1998-07-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
438031	1487	1998-08-31	VYDAJ	VYBER	15	25519	SLUZBY	\N	\N
438032	1487	1998-09-30	VYDAJ	VYBER	15	25662	SLUZBY	\N	\N
438033	1487	1998-10-31	VYDAJ	VYBER	15	26617	SLUZBY	\N	\N
438034	1487	1998-11-30	VYDAJ	VYBER	15	27815	SLUZBY	\N	\N
438035	1487	1995-08-01	VYDAJ	VYBER	800	26257	\N	\N	\N
438036	1487	1995-08-31	VYDAJ	VYBER	1000	26469	\N	\N	\N
438037	1487	1995-09-30	VYDAJ	VYBER	2500	25155	\N	\N	\N
438038	1487	1995-10-30	VYDAJ	VYBER	2400	23857	\N	\N	\N
438039	1487	1995-12-29	VYDAJ	VYBER	1300	22237	\N	\N	\N
438040	1487	1996-01-28	VYDAJ	VYBER	700	20020	\N	\N	\N
438041	1487	1996-04-27	VYDAJ	VYBER	100	23085	\N	\N	\N
438042	1487	1996-05-27	VYDAJ	VYBER	900	22736	\N	\N	\N
438043	1487	1996-06-26	VYDAJ	VYBER	1900	20277	\N	\N	\N
438044	1487	1996-07-26	VYDAJ	VYBER	2900	18046	\N	\N	\N
438045	1487	1996-09-24	VYDAJ	VYBER	600	19542	\N	\N	\N
438046	1487	1997-06-21	VYDAJ	VYBER	300	22831	\N	\N	\N
438047	1487	1997-08-20	VYDAJ	VYBER	800	24396	\N	\N	\N
438048	1487	1998-04-17	VYDAJ	VYBER	1200	28062	\N	\N	\N
438049	1487	1998-05-17	VYDAJ	VYBER	2200	25625	\N	\N	\N
438050	1487	1998-06-16	VYDAJ	VYBER	1200	25620	\N	\N	\N
438115	1488	1997-04-29	PRIJEM	VKLAD	700	700	\N	\N	\N
438120	1488	1997-05-10	PRIJEM	VKLAD	11037	11737	\N	\N	\N
438121	1488	1997-06-10	PRIJEM	VKLAD	16556	30599	\N	\N	\N
438122	1488	1997-07-10	PRIJEM	VKLAD	11037	38100	\N	\N	\N
438123	1488	1997-08-10	PRIJEM	VKLAD	11037	41351	\N	\N	\N
438124	1488	1997-09-10	PRIJEM	VKLAD	11037	41614	\N	\N	\N
438125	1488	1997-10-10	PRIJEM	VKLAD	11037	35891	\N	\N	\N
438126	1488	1997-11-10	PRIJEM	VKLAD	11037	29356	\N	\N	\N
438127	1488	1997-12-10	PRIJEM	VKLAD	16556	35306	\N	\N	\N
438128	1488	1998-01-10	PRIJEM	VKLAD	11037	27350	\N	\N	\N
438129	1488	1998-02-10	PRIJEM	VKLAD	11037	23465	\N	\N	\N
438130	1488	1998-03-10	PRIJEM	VKLAD	11037	24165	\N	\N	\N
438131	1488	1998-04-10	PRIJEM	VKLAD	11037	27576	\N	\N	\N
438132	1488	1998-05-10	PRIJEM	VKLAD	11037	28297	\N	\N	\N
438133	1488	1998-06-10	PRIJEM	VKLAD	16556	31537	\N	\N	\N
438134	1488	1998-07-10	PRIJEM	VKLAD	11037	32168	\N	\N	\N
438135	1488	1998-08-10	PRIJEM	VKLAD	11037	35412	\N	\N	\N
438136	1488	1998-09-10	PRIJEM	VKLAD	11037	38669	\N	\N	\N
438137	1488	1998-10-10	PRIJEM	VKLAD	11037	37634	\N	\N	\N
438138	1488	1998-11-10	PRIJEM	VKLAD	11037	36194	\N	\N	\N
438139	1488	1998-12-10	PRIJEM	VKLAD	16556	40066	\N	\N	\N
438148	1488	1997-09-10	VYDAJ	PREVOD NA UCET	5850	35764	SIPO	WX	69482773
438149	1488	1997-10-10	VYDAJ	PREVOD NA UCET	5850	30041	SIPO	WX	69482773
438150	1488	1997-11-10	VYDAJ	PREVOD NA UCET	5850	23506	SIPO	WX	69482773
438151	1488	1997-12-10	VYDAJ	PREVOD NA UCET	5850	29456	SIPO	WX	69482773
438152	1488	1998-01-10	VYDAJ	PREVOD NA UCET	5850	21500	SIPO	WX	69482773
438153	1488	1998-02-10	VYDAJ	PREVOD NA UCET	5850	17615	SIPO	WX	69482773
438154	1488	1998-03-10	VYDAJ	PREVOD NA UCET	5850	18315	SIPO	WX	69482773
438155	1488	1998-04-10	VYDAJ	PREVOD NA UCET	5850	21726	SIPO	WX	69482773
438156	1488	1998-05-10	VYDAJ	PREVOD NA UCET	5850	22447	SIPO	WX	69482773
438157	1488	1998-06-10	VYDAJ	PREVOD NA UCET	5850	25687	SIPO	WX	69482773
438158	1488	1998-07-10	VYDAJ	PREVOD NA UCET	5850	26318	SIPO	WX	69482773
438159	1488	1998-08-10	VYDAJ	PREVOD NA UCET	5850	29562	SIPO	WX	69482773
438160	1488	1998-09-10	VYDAJ	PREVOD NA UCET	5850	32819	SIPO	WX	69482773
438161	1488	1998-10-10	VYDAJ	PREVOD NA UCET	5850	31784	SIPO	WX	69482773
438162	1488	1998-11-10	VYDAJ	PREVOD NA UCET	5850	30344	SIPO	WX	69482773
438163	1488	1998-12-10	VYDAJ	PREVOD NA UCET	5850	31516	SIPO	WX	69482773
438173	1488	1997-10-06	VYDAJ	PREVOD NA UCET	230	24854	 	CD	64393782
438174	1488	1997-11-06	VYDAJ	PREVOD NA UCET	230	18319	 	CD	64393782
438175	1488	1997-12-06	VYDAJ	PREVOD NA UCET	230	18750	 	CD	64393782
438176	1488	1998-01-06	VYDAJ	PREVOD NA UCET	230	18613	 	CD	64393782
438177	1488	1998-02-06	VYDAJ	PREVOD NA UCET	230	12428	 	CD	64393782
438178	1488	1998-03-06	VYDAJ	PREVOD NA UCET	230	13128	 	CD	64393782
438179	1488	1998-04-06	VYDAJ	PREVOD NA UCET	230	16539	 	CD	64393782
438180	1488	1998-05-06	VYDAJ	PREVOD NA UCET	230	17260	 	CD	64393782
438181	1488	1998-06-06	VYDAJ	PREVOD NA UCET	230	16681	 	CD	64393782
438182	1488	1998-07-06	VYDAJ	PREVOD NA UCET	230	21131	 	CD	64393782
438183	1488	1998-08-06	VYDAJ	PREVOD NA UCET	230	24375	 	CD	64393782
438184	1488	1998-09-06	VYDAJ	PREVOD NA UCET	230	27632	 	CD	64393782
438185	1488	1998-10-06	VYDAJ	PREVOD NA UCET	230	26597	 	CD	64393782
438186	1488	1998-11-06	VYDAJ	PREVOD NA UCET	230	25157	 	CD	64393782
438187	1488	1998-12-06	VYDAJ	PREVOD NA UCET	230	23510	 	CD	64393782
438189	1488	1998-06-20	VYDAJ	VYBER	6500	19187	\N	\N	\N
438191	1488	1998-01-20	VYDAJ	VYBER	4200	14100	\N	\N	\N
438192	1488	1997-12-11	VYDAJ	VYBER	500	28956	\N	\N	\N
438193	1488	1998-12-10	VYDAJ	VYBER	2700	37366	\N	\N	\N
438200	1488	1998-01-08	VYDAJ	VYBER	2300	16313	\N	\N	\N
438201	1488	1998-01-16	VYDAJ	VYBER	1600	18300	\N	\N	\N
438202	1488	1998-01-27	VYDAJ	VYBER	1500	12600	\N	\N	\N
438204	1488	1998-01-01	VYDAJ	VYBER	2300	18843	\N	\N	\N
438205	1488	1998-01-11	VYDAJ	VYBER	1600	19900	\N	\N	\N
438213	1488	1997-11-28	VYDAJ	VYBER	1500	18906	\N	\N	\N
438214	1488	1998-11-05	VYDAJ	VYBER	600	25387	\N	\N	\N
438215	1488	1998-05-20	VYDAJ	VYBER	3800	18647	\N	\N	\N
438216	1488	1998-09-23	VYDAJ	VYBER	2700	27219	\N	\N	\N
438217	1488	1998-09-28	VYDAJ	VYBER	500	26719	\N	\N	\N
438219	1488	1998-06-08	VYDAJ	VYBER	1700	14981	\N	\N	\N
438220	1488	1998-02-14	VYDAJ	VYBER	3500	14115	\N	\N	\N
438221	1488	1998-04-20	VYDAJ	VYBER	4100	17626	\N	\N	\N
438232	1488	1997-09-30	VYDAJ	VYBER	15	25084	SLUZBY	\N	\N
438233	1488	1997-10-31	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
438234	1488	1997-11-30	VYDAJ	VYBER	15	18980	SLUZBY	\N	\N
438235	1488	1997-12-31	VYDAJ	VYBER	15	21143	SLUZBY	\N	\N
438236	1488	1998-01-31	VYDAJ	VYBER	15	12658	SLUZBY	\N	\N
438237	1488	1998-02-28	VYDAJ	VYBER	15	13358	SLUZBY	\N	\N
438238	1488	1998-03-31	VYDAJ	VYBER	15	16769	SLUZBY	\N	\N
438239	1488	1998-04-30	VYDAJ	VYBER	15	17490	SLUZBY	\N	\N
438240	1488	1998-05-31	VYDAJ	VYBER	15	16911	SLUZBY	\N	\N
438241	1488	1998-06-30	VYDAJ	VYBER	15	21361	SLUZBY	\N	\N
438242	1488	1998-07-31	VYDAJ	VYBER	15	24605	SLUZBY	\N	\N
438243	1488	1998-08-31	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
438244	1488	1998-09-30	VYDAJ	VYBER	15	26827	SLUZBY	\N	\N
438245	1488	1998-10-31	VYDAJ	VYBER	15	25987	SLUZBY	\N	\N
438246	1488	1998-11-30	VYDAJ	VYBER	15	23740	SLUZBY	\N	\N
438247	1488	1997-05-29	PRIJEM	VKLAD	2300	14037	\N	\N	\N
438248	1488	1997-06-28	VYDAJ	VYBER	3600	26999	\N	\N	\N
438249	1488	1997-07-28	VYDAJ	VYBER	7900	30200	\N	\N	\N
438250	1488	1997-08-27	VYDAJ	VYBER	10900	30451	\N	\N	\N
438251	1488	1997-09-26	VYDAJ	VYBER	10800	24964	\N	\N	\N
438252	1488	1997-10-26	VYDAJ	VYBER	11600	18441	\N	\N	\N
438253	1488	1997-11-25	VYDAJ	VYBER	3100	20406	\N	\N	\N
438254	1488	1997-12-25	VYDAJ	VYBER	7900	21056	\N	\N	\N
438255	1488	1998-02-23	VYDAJ	VYBER	800	13315	\N	\N	\N
438256	1488	1998-03-25	VYDAJ	VYBER	1600	16715	\N	\N	\N
438257	1488	1998-04-24	VYDAJ	VYBER	200	17426	\N	\N	\N
438258	1488	1998-05-24	VYDAJ	VYBER	1800	16847	\N	\N	\N
438259	1488	1998-06-23	PRIJEM	VKLAD	2100	21287	\N	\N	\N
438260	1488	1998-07-23	VYDAJ	VYBER	1800	24518	\N	\N	\N
438261	1488	1998-08-22	VYDAJ	VYBER	1800	27762	\N	\N	\N
438262	1488	1998-09-21	VYDAJ	VYBER	2900	29919	\N	\N	\N
438263	1488	1998-10-21	VYDAJ	VYBER	5900	25884	\N	\N	\N
438264	1488	1998-11-20	VYDAJ	VYBER	6700	23644	\N	\N	\N
438476	1490	1996-07-25	PRIJEM	VKLAD	200	200	\N	\N	\N
438478	1490	1996-10-21	PRIJEM	VKLAD	31744	116976	\N	\N	\N
438480	1490	1996-07-28	PRIJEM	VKLAD	47186	47386	\N	\N	\N
438483	1490	1996-10-11	PRIJEM	VKLAD	43655	103256	\N	\N	\N
438485	1490	1996-10-30	PRIJEM	VKLAD	21782	122295	\N	\N	\N
438487	1490	1996-08-12	PRIJEM	VKLAD	25535	72947	\N	\N	\N
438489	1490	1996-10-15	PRIJEM	VKLAD	49743	152999	\N	\N	\N
438491	1490	1996-11-04	PRIJEM	VKLAD	46737	127164	\N	\N	\N
438492	1490	1996-09-09	PRIJEM	VKLAD	37031	85576	\N	\N	\N
438493	1490	1996-09-28	PRIJEM	VKLAD	36747	96114	\N	\N	\N
438494	1490	1996-09-28	PRIJEM	VKLAD	30286	126400	\N	\N	\N
438495	1490	1996-10-25	PRIJEM	VKLAD	49537	100513	\N	\N	\N
438496	1490	1996-10-17	PRIJEM	VKLAD	41884	103432	\N	\N	\N
438497	1490	1996-11-22	PRIJEM	VKLAD	32299	92763	\N	\N	\N
438498	1490	1996-12-20	PRIJEM	VKLAD	7173	62039	\N	\N	\N
438499	1490	1996-09-15	PRIJEM	VKLAD	38791	124367	\N	\N	\N
438501	1490	1997-04-26	PRIJEM	VKLAD	28374	71501	\N	\N	\N
438502	1490	1997-03-18	PRIJEM	VKLAD	15814	82915	\N	\N	\N
438503	1490	1997-08-12	PRIJEM	VKLAD	5970	33152	\N	\N	\N
438504	1490	1997-01-30	PRIJEM	VKLAD	13626	59176	\N	\N	\N
438505	1490	1997-04-20	PRIJEM	VKLAD	26289	63527	\N	\N	\N
438506	1490	1997-10-02	PRIJEM	VKLAD	16605	67128	\N	\N	\N
438507	1490	1997-10-15	PRIJEM	VKLAD	9089	76217	\N	\N	\N
438508	1490	1997-01-22	PRIJEM	VKLAD	5704	48850	\N	\N	\N
438509	1490	1997-09-11	PRIJEM	VKLAD	36067	83934	\N	\N	\N
438510	1490	1997-08-31	PRIJEM	VKLAD	24321	47773	\N	\N	\N
438511	1490	1997-03-03	PRIJEM	VKLAD	30937	67101	\N	\N	\N
438512	1490	1997-01-13	PRIJEM	VKLAD	44004	70646	\N	\N	\N
438513	1490	1997-06-19	PRIJEM	VKLAD	35758	59302	\N	\N	\N
438514	1490	1998-12-18	PRIJEM	VKLAD	32708	54594	\N	\N	\N
438515	1490	1998-02-22	PRIJEM	VKLAD	40410	54532	\N	\N	\N
438516	1490	1998-01-16	PRIJEM	VKLAD	18902	36908	\N	\N	\N
438517	1490	1998-05-18	PRIJEM	VKLAD	20417	43360	\N	\N	\N
438518	1490	1998-01-29	PRIJEM	VKLAD	12309	33317	\N	\N	\N
438519	1490	1998-03-14	PRIJEM	VKLAD	36159	88108	\N	\N	\N
438520	1490	1998-12-07	PRIJEM	VKLAD	19710	44986	\N	\N	\N
438521	1490	1998-12-24	PRIJEM	VKLAD	19292	73886	\N	\N	\N
438522	1490	1998-07-23	PRIJEM	VKLAD	16641	42343	\N	\N	\N
438523	1490	1998-11-02	PRIJEM	VKLAD	25267	41301	\N	\N	\N
438568	1490	1996-10-04	VYBER	VYBER	11191	59601	\N	\N	\N
438571	1490	1996-10-15	VYBER	VYBER	23851	129148	\N	\N	\N
438573	1490	1997-11-22	VYBER	VYBER	2065	27551	\N	\N	\N
438575	1490	1997-06-02	VYBER	VYBER	20506	23544	\N	\N	\N
438578	1490	1997-02-02	VYBER	VYBER	4387	54974	\N	\N	\N
438579	1490	1997-04-02	VYBER	VYBER	18564	37238	\N	\N	\N
438581	1490	1997-05-12	VYBER	VYBER	8314	63407	\N	\N	\N
438585	1490	1998-02-06	VYBER	VYBER	5470	23722	\N	\N	\N
438586	1490	1998-07-04	VYBER	VYBER	8846	28302	\N	\N	\N
438591	1490	1996-12-17	VYDAJ	VYBER	2100	54866	\N	\N	\N
438593	1490	1998-12-14	VYDAJ	VYBER	7500	21886	\N	\N	\N
438600	1490	1997-01-04	VYDAJ	VYBER	6000	34442	\N	\N	\N
438601	1490	1997-01-01	VYDAJ	VYBER	1800	40442	\N	\N	\N
438602	1490	1997-01-14	VYDAJ	VYBER	3600	67046	\N	\N	\N
438603	1490	1997-01-11	VYDAJ	VYBER	7800	26642	\N	\N	\N
438604	1490	1997-01-28	VYDAJ	VYBER	3300	45550	\N	\N	\N
438605	1490	1997-01-18	VYDAJ	VYBER	7800	59246	\N	\N	\N
438606	1490	1998-01-28	VYDAJ	VYBER	2400	21008	\N	\N	\N
438608	1490	1998-01-29	VYDAJ	VYBER	4200	29117	\N	\N	\N
438612	1490	1996-09-29	VYDAJ	VYBER	9300	76200	\N	\N	\N
438615	1490	1996-11-20	VYDAJ	VYBER	9900	60464	\N	\N	\N
438617	1490	1996-10-01	VYDAJ	VYBER	5700	70792	\N	\N	\N
438618	1490	1997-02-08	VYDAJ	VYBER	1800	53174	\N	\N	\N
438619	1490	1997-06-25	VYDAJ	VYBER	7800	32702	\N	\N	\N
438620	1490	1997-02-19	VYDAJ	VYBER	2100	51074	\N	\N	\N
438623	1490	1998-03-02	VYDAJ	VYBER	2700	51949	\N	\N	\N
438624	1490	1998-03-25	VYDAJ	VYBER	14700	35608	\N	\N	\N
438634	1490	1996-09-30	VYDAJ	VYBER	15	76492	SLUZBY	\N	\N
438635	1490	1996-10-31	VYDAJ	VYBER	15	80427	SLUZBY	\N	\N
438636	1490	1996-11-30	VYDAJ	VYBER	15	56966	SLUZBY	\N	\N
438637	1490	1996-12-31	VYDAJ	VYBER	15	42242	SLUZBY	\N	\N
438638	1490	1997-01-31	VYDAJ	VYBER	15	59361	SLUZBY	\N	\N
438639	1490	1997-02-28	VYDAJ	VYBER	15	36164	SLUZBY	\N	\N
438640	1490	1997-03-31	VYDAJ	VYBER	15	55802	SLUZBY	\N	\N
438641	1490	1997-04-30	VYDAJ	VYBER	15	71721	SLUZBY	\N	\N
438642	1490	1997-05-31	VYDAJ	VYBER	15	44050	SLUZBY	\N	\N
438643	1490	1997-06-30	VYDAJ	VYBER	15	32861	SLUZBY	\N	\N
438644	1490	1997-07-31	VYDAJ	VYBER	15	27182	SLUZBY	\N	\N
438645	1490	1997-08-31	VYDAJ	VYBER	15	47867	SLUZBY	\N	\N
438646	1490	1997-09-30	VYDAJ	VYBER	15	50523	SLUZBY	\N	\N
438647	1490	1997-10-31	VYDAJ	VYBER	15	47116	SLUZBY	\N	\N
438648	1490	1997-11-30	VYDAJ	VYBER	15	27708	SLUZBY	\N	\N
438649	1490	1997-12-31	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
438650	1490	1998-01-31	VYDAJ	VYBER	15	29192	SLUZBY	\N	\N
438651	1490	1998-02-28	VYDAJ	VYBER	15	54649	SLUZBY	\N	\N
438652	1490	1998-03-31	VYDAJ	VYBER	15	35811	SLUZBY	\N	\N
438653	1490	1998-04-30	VYDAJ	VYBER	15	25343	SLUZBY	\N	\N
438654	1490	1998-05-31	VYDAJ	VYBER	15	43484	SLUZBY	\N	\N
438655	1490	1998-06-30	VYDAJ	VYBER	15	37148	SLUZBY	\N	\N
438656	1490	1998-07-31	VYDAJ	VYBER	15	42476	SLUZBY	\N	\N
438657	1490	1998-08-31	VYDAJ	VYBER	15	32836	SLUZBY	\N	\N
438658	1490	1998-09-30	VYDAJ	VYBER	15	22955	SLUZBY	\N	\N
438659	1490	1998-10-31	VYDAJ	VYBER	15	16034	SLUZBY	\N	\N
438660	1490	1998-11-30	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
438661	1490	1996-08-24	VYDAJ	VYBER	24600	48347	\N	\N	\N
438662	1490	1996-09-15	VYDAJ	VYBER	27400	96967	\N	\N	\N
438663	1490	1996-09-23	VYDAJ	VYBER	37600	59367	\N	\N	\N
438664	1490	1996-09-28	VYDAJ	VYBER	40900	85500	\N	\N	\N
438665	1490	1996-10-15	VYDAJ	VYBER	16700	61548	\N	\N	\N
438666	1490	1996-10-15	VYDAJ	VYBER	50900	78248	\N	\N	\N
438667	1490	1996-10-17	VYDAJ	VYBER	18200	85232	\N	\N	\N
438668	1490	1996-10-21	VYDAJ	VYBER	39400	77576	\N	\N	\N
438669	1490	1996-10-23	VYDAJ	VYBER	26600	50976	\N	\N	\N
438670	1490	1996-10-30	VYDAJ	VYBER	42200	80095	\N	\N	\N
438671	1490	1996-11-04	VYDAJ	VYBER	56800	70364	\N	\N	\N
438672	1490	1996-11-22	VYDAJ	VYBER	36100	56663	\N	\N	\N
438673	1490	1996-12-22	VYDAJ	VYBER	20000	42039	\N	\N	\N
438674	1490	1997-01-21	VYDAJ	VYBER	16100	43146	\N	\N	\N
438675	1490	1997-02-20	VYDAJ	VYBER	15100	35974	\N	\N	\N
438676	1490	1997-03-22	VYDAJ	VYBER	27300	55615	\N	\N	\N
438677	1490	1997-04-21	VYDAJ	VYBER	20400	43127	\N	\N	\N
438678	1490	1997-05-21	VYDAJ	VYBER	19600	43807	\N	\N	\N
438679	1490	1997-06-20	VYDAJ	VYBER	18800	40502	\N	\N	\N
438680	1490	1997-07-20	VYDAJ	VYBER	5800	27061	\N	\N	\N
438681	1490	1997-08-19	VYDAJ	VYBER	9700	23452	\N	\N	\N
438682	1490	1997-09-18	VYDAJ	VYBER	33600	50334	\N	\N	\N
438683	1490	1997-10-18	VYDAJ	VYBER	29300	46917	\N	\N	\N
438684	1490	1997-11-17	VYDAJ	VYBER	17500	29616	\N	\N	\N
438685	1490	1997-12-17	VYDAJ	VYBER	9800	17908	\N	\N	\N
438686	1490	1998-01-16	VYDAJ	VYBER	13500	23408	\N	\N	\N
438687	1490	1998-02-15	VYDAJ	VYBER	9600	14122	\N	\N	\N
438688	1490	1998-03-17	VYDAJ	VYBER	37800	50308	\N	\N	\N
438689	1490	1998-04-16	VYDAJ	VYBER	10600	25211	\N	\N	\N
438690	1490	1998-05-16	VYDAJ	VYBER	2400	22943	\N	\N	\N
438691	1490	1998-06-15	VYDAJ	VYBER	6500	36984	\N	\N	\N
438692	1490	1998-07-15	VYDAJ	VYBER	2600	25702	\N	\N	\N
438693	1490	1998-08-14	VYDAJ	VYBER	9800	32676	\N	\N	\N
438694	1490	1998-09-13	VYDAJ	VYBER	10000	22836	\N	\N	\N
438695	1490	1998-10-13	VYDAJ	VYBER	7000	15955	\N	\N	\N
438696	1490	1998-11-12	VYDAJ	VYBER	16100	25201	\N	\N	\N
438697	1490	1998-12-12	VYDAJ	VYBER	15600	29386	\N	\N	\N
438728	1491	1997-06-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
438734	1491	1997-06-14	PRIJEM	VKLAD	20154	21154	\N	\N	\N
438735	1491	1997-07-14	PRIJEM	VKLAD	13436	32740	\N	\N	\N
438736	1491	1997-08-14	PRIJEM	VKLAD	13436	40092	\N	\N	\N
438737	1491	1997-09-14	PRIJEM	VKLAD	13436	45282	\N	\N	\N
438738	1491	1997-10-14	PRIJEM	VKLAD	13436	52498	\N	\N	\N
438739	1491	1997-11-14	PRIJEM	VKLAD	13436	48359	\N	\N	\N
438740	1491	1997-12-14	PRIJEM	VKLAD	20154	54819	\N	\N	\N
438741	1491	1998-01-14	PRIJEM	VKLAD	13436	48266	\N	\N	\N
438742	1491	1998-02-14	PRIJEM	VKLAD	13436	47214	\N	\N	\N
438743	1491	1998-03-14	PRIJEM	VKLAD	13436	46045	\N	\N	\N
438744	1491	1998-04-14	PRIJEM	VKLAD	13436	50693	\N	\N	\N
438745	1491	1998-05-14	PRIJEM	VKLAD	13436	54450	\N	\N	\N
438746	1491	1998-06-14	PRIJEM	VKLAD	20154	57838	\N	\N	\N
438747	1491	1998-07-14	PRIJEM	VKLAD	13436	40497	\N	\N	\N
438748	1491	1998-08-14	PRIJEM	VKLAD	13436	46983	\N	\N	\N
438749	1491	1998-09-14	PRIJEM	VKLAD	13436	49915	\N	\N	\N
438750	1491	1998-10-14	PRIJEM	VKLAD	13436	45584	\N	\N	\N
438751	1491	1998-11-14	PRIJEM	VKLAD	13436	48345	\N	\N	\N
438752	1491	1998-12-14	PRIJEM	VKLAD	20154	54403	\N	\N	\N
438763	1491	1997-11-13	VYDAJ	PREVOD NA UCET	6966	34923	SIPO	OP	94478863
438764	1491	1997-12-13	VYDAJ	PREVOD NA UCET	6966	34665	SIPO	OP	94478863
438765	1491	1998-01-13	VYDAJ	PREVOD NA UCET	6966	34830	SIPO	OP	94478863
438766	1491	1998-02-13	VYDAJ	PREVOD NA UCET	6966	33778	SIPO	OP	94478863
438767	1491	1998-03-13	VYDAJ	PREVOD NA UCET	6966	32609	SIPO	OP	94478863
438768	1491	1998-04-13	VYDAJ	PREVOD NA UCET	6966	37257	SIPO	OP	94478863
438769	1491	1998-05-13	VYDAJ	PREVOD NA UCET	6966	41014	SIPO	OP	94478863
438770	1491	1998-06-13	VYDAJ	PREVOD NA UCET	6966	37684	SIPO	OP	94478863
438771	1491	1998-07-13	VYDAJ	PREVOD NA UCET	6966	27061	SIPO	OP	94478863
438772	1491	1998-08-13	VYDAJ	PREVOD NA UCET	6966	33547	SIPO	OP	94478863
438773	1491	1998-09-13	VYDAJ	PREVOD NA UCET	6966	36479	SIPO	OP	94478863
438774	1491	1998-10-13	VYDAJ	PREVOD NA UCET	6966	32148	SIPO	OP	94478863
438775	1491	1998-11-13	VYDAJ	PREVOD NA UCET	6966	34909	SIPO	OP	94478863
438776	1491	1998-12-13	VYDAJ	PREVOD NA UCET	6966	34249	SIPO	OP	94478863
438778	1491	1998-06-23	VYDAJ	VYBER	34880	19958	\N	\N	\N
438780	1491	1998-01-26	VYDAJ	VYBER	2560	39466	\N	\N	\N
438781	1491	1997-12-04	VYDAJ	VYBER	4320	44231	\N	\N	\N
438782	1491	1998-12-17	VYDAJ	VYBER KARTOU	3200	51203	\N	\N	0
438789	1491	1998-01-20	VYDAJ	VYBER	2640	43946	\N	\N	\N
438790	1491	1998-01-17	VYDAJ	VYBER	1680	46586	\N	\N	\N
438791	1491	1998-01-01	VYDAJ	VYBER	1440	53576	\N	\N	\N
438792	1491	1998-01-26	VYDAJ	VYBER	3000	36466	\N	\N	\N
438793	1491	1998-01-06	VYDAJ	VYBER	720	52856	\N	\N	\N
438794	1491	1998-01-22	VYDAJ	VYBER	1920	42026	\N	\N	\N
438801	1491	1998-05-24	VYDAJ	VYBER KARTOU	3700	50750	\N	\N	0
438802	1491	1998-08-23	VYDAJ	VYBER KARTOU	600	46383	\N	\N	0
438803	1491	1998-09-21	VYDAJ	VYBER	4680	45235	\N	\N	\N
438804	1491	1998-07-26	VYDAJ	VYBER KARTOU	3600	36897	\N	\N	0
438805	1491	1998-06-20	VYDAJ	VYBER KARTOU	3000	54838	\N	\N	0
438806	1491	1998-01-07	VYDAJ	VYBER	960	51896	\N	\N	\N
438807	1491	1998-10-29	VYDAJ	VYBER	5880	39704	\N	\N	\N
438818	1491	1997-10-31	VYDAJ	VYBER	15	52689	SLUZBY	\N	\N
438819	1491	1997-11-30	VYDAJ	VYBER	15	48551	SLUZBY	\N	\N
438820	1491	1997-12-31	VYDAJ	VYBER	15	55016	SLUZBY	\N	\N
438821	1491	1998-01-31	VYDAJ	VYBER	15	36644	SLUZBY	\N	\N
438822	1491	1998-02-28	VYDAJ	VYBER	15	47375	SLUZBY	\N	\N
438823	1491	1998-03-31	VYDAJ	VYBER	15	46223	SLUZBY	\N	\N
438824	1491	1998-04-30	VYDAJ	VYBER	15	50880	SLUZBY	\N	\N
438825	1491	1998-05-31	VYDAJ	VYBER	15	50950	SLUZBY	\N	\N
438826	1491	1998-06-30	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
438827	1491	1998-07-31	VYDAJ	VYBER	15	37013	SLUZBY	\N	\N
438828	1491	1998-08-31	VYDAJ	VYBER	15	46545	SLUZBY	\N	\N
438829	1491	1998-09-30	VYDAJ	VYBER	15	45414	SLUZBY	\N	\N
438830	1491	1998-10-31	VYDAJ	VYBER	15	39875	SLUZBY	\N	\N
438831	1491	1998-11-30	VYDAJ	VYBER	15	48515	SLUZBY	\N	\N
438832	1491	1997-07-11	VYDAJ	VYBER	1900	19304	\N	\N	\N
438833	1491	1997-08-10	VYDAJ	VYBER	6200	26656	\N	\N	\N
438834	1491	1997-09-09	VYDAJ	VYBER	8400	31846	\N	\N	\N
438835	1491	1997-10-09	VYDAJ	VYBER	6400	39062	\N	\N	\N
438836	1491	1997-11-08	VYDAJ	VYBER	10800	41889	\N	\N	\N
438837	1491	1997-12-08	VYDAJ	VYBER	2600	41631	\N	\N	\N
438838	1491	1998-01-07	VYDAJ	VYBER	10100	41796	\N	\N	\N
438839	1491	1998-02-06	PRIJEM	VKLAD	4100	40744	\N	\N	\N
438840	1491	1998-03-08	VYDAJ	VYBER	7800	39575	\N	\N	\N
438841	1491	1998-04-07	VYDAJ	VYBER	2000	44223	\N	\N	\N
438842	1491	1998-05-07	VYDAJ	VYBER	2900	47980	\N	\N	\N
438843	1491	1998-06-06	VYDAJ	VYBER	6300	44650	\N	\N	\N
438844	1491	1998-07-06	PRIJEM	VKLAD	13900	34027	\N	\N	\N
438845	1491	1998-08-05	PRIJEM	VKLAD	3500	40513	\N	\N	\N
438846	1491	1998-09-04	VYDAJ	VYBER KARTOU	3100	43445	\N	\N	0
438847	1491	1998-10-04	VYDAJ	VYBER	6300	39114	\N	\N	\N
438848	1491	1998-11-03	PRIJEM	VKLAD	2000	41875	\N	\N	\N
438849	1491	1998-12-03	VYDAJ	VYBER	7300	41215	\N	\N	\N
438869	1492	1996-10-17	PRIJEM	VKLAD	800	800	\N	\N	\N
438880	1492	1996-11-11	PRIJEM	PREVOD Z UCTU	4733	5533	DUCHOD	AB	222135
438881	1492	1996-12-11	PRIJEM	PREVOD Z UCTU	4733	10266	DUCHOD	AB	222135
438882	1492	1997-01-11	PRIJEM	PREVOD Z UCTU	4733	14999	DUCHOD	AB	222135
438883	1492	1997-02-11	PRIJEM	PREVOD Z UCTU	4733	19732	DUCHOD	AB	222135
438884	1492	1997-03-11	PRIJEM	PREVOD Z UCTU	4733	24465	DUCHOD	AB	222135
438885	1492	1997-04-11	PRIJEM	PREVOD Z UCTU	4733	27693	DUCHOD	AB	222135
438886	1492	1997-05-11	PRIJEM	PREVOD Z UCTU	4733	26960	DUCHOD	AB	222135
438887	1492	1997-06-11	PRIJEM	PREVOD Z UCTU	4733	21072	DUCHOD	AB	222135
438888	1492	1997-07-11	PRIJEM	PREVOD Z UCTU	4733	17408	DUCHOD	AB	222135
438889	1492	1997-08-11	PRIJEM	PREVOD Z UCTU	4733	20641	DUCHOD	AB	222135
438890	1492	1997-09-11	PRIJEM	PREVOD Z UCTU	4733	17839	DUCHOD	AB	222135
438891	1492	1997-10-11	PRIJEM	PREVOD Z UCTU	4733	18756	DUCHOD	AB	222135
438892	1492	1997-11-11	PRIJEM	PREVOD Z UCTU	4733	19435	DUCHOD	AB	222135
438893	1492	1997-12-11	PRIJEM	PREVOD Z UCTU	4733	18973	DUCHOD	AB	222135
438894	1492	1998-01-11	PRIJEM	PREVOD Z UCTU	4733	15860	DUCHOD	AB	222135
438895	1492	1998-02-11	PRIJEM	PREVOD Z UCTU	4733	17809	DUCHOD	AB	222135
438896	1492	1998-03-11	PRIJEM	PREVOD Z UCTU	4733	21043	DUCHOD	AB	222135
438897	1492	1998-04-11	PRIJEM	PREVOD Z UCTU	4733	24291	DUCHOD	AB	222135
438898	1492	1998-05-11	PRIJEM	PREVOD Z UCTU	4733	27553	DUCHOD	AB	222135
438899	1492	1998-06-11	PRIJEM	PREVOD Z UCTU	4733	30828	DUCHOD	AB	222135
438900	1492	1998-07-11	PRIJEM	PREVOD Z UCTU	4733	20323	DUCHOD	AB	222135
438901	1492	1998-08-11	PRIJEM	PREVOD Z UCTU	4733	23568	DUCHOD	AB	222135
438902	1492	1998-09-11	PRIJEM	PREVOD Z UCTU	4733	26826	DUCHOD	AB	222135
438903	1492	1998-10-11	PRIJEM	PREVOD Z UCTU	4733	30098	DUCHOD	AB	222135
438904	1492	1998-11-11	PRIJEM	PREVOD Z UCTU	4733	31304	DUCHOD	AB	222135
438905	1492	1998-12-11	PRIJEM	PREVOD Z UCTU	4733	31499	DUCHOD	AB	222135
438920	1492	1997-03-14	VYDAJ	PREVOD NA UCET	1546	22919	SIPO	KL	60810822
438921	1492	1997-04-14	VYDAJ	PREVOD NA UCET	1546	26147	SIPO	KL	60810822
438922	1492	1997-05-14	VYDAJ	PREVOD NA UCET	1546	25414	SIPO	KL	60810822
438923	1492	1997-06-14	VYDAJ	PREVOD NA UCET	1546	19526	SIPO	KL	60810822
438924	1492	1997-07-14	VYDAJ	PREVOD NA UCET	1546	15862	SIPO	KL	60810822
438925	1492	1997-08-14	VYDAJ	PREVOD NA UCET	1546	15695	SIPO	KL	60810822
438926	1492	1997-09-14	VYDAJ	PREVOD NA UCET	1546	16293	SIPO	KL	60810822
438927	1492	1997-10-14	VYDAJ	PREVOD NA UCET	1546	17210	SIPO	KL	60810822
438928	1492	1997-11-14	VYDAJ	PREVOD NA UCET	1546	14189	SIPO	KL	60810822
438929	1492	1997-12-14	VYDAJ	PREVOD NA UCET	1546	12187	SIPO	KL	60810822
438930	1492	1998-01-14	VYDAJ	PREVOD NA UCET	1546	14314	SIPO	KL	60810822
438931	1492	1998-02-14	VYDAJ	PREVOD NA UCET	1546	16263	SIPO	KL	60810822
438932	1492	1998-03-14	VYDAJ	PREVOD NA UCET	1546	19497	SIPO	KL	60810822
438933	1492	1998-04-14	VYDAJ	PREVOD NA UCET	1546	22745	SIPO	KL	60810822
438934	1492	1998-05-14	VYDAJ	PREVOD NA UCET	1546	26007	SIPO	KL	60810822
438935	1492	1998-06-14	VYDAJ	PREVOD NA UCET	1546	16882	SIPO	KL	60810822
438936	1492	1998-07-14	VYDAJ	PREVOD NA UCET	1546	18777	SIPO	KL	60810822
438937	1492	1998-08-14	VYDAJ	PREVOD NA UCET	1546	22022	SIPO	KL	60810822
438938	1492	1998-09-14	VYDAJ	PREVOD NA UCET	1546	25280	SIPO	KL	60810822
438939	1492	1998-10-14	VYDAJ	PREVOD NA UCET	1546	28552	SIPO	KL	60810822
438940	1492	1998-11-14	VYDAJ	PREVOD NA UCET	1546	29758	SIPO	KL	60810822
438941	1492	1998-12-14	VYDAJ	PREVOD NA UCET	1546	29953	SIPO	KL	60810822
438943	1492	1997-06-19	VYDAJ	VYBER	5500	12626	\N	\N	\N
438944	1492	1998-06-12	VYDAJ	VYBER	12400	18428	\N	\N	\N
438950	1492	1998-12-27	VYDAJ	VYBER	850	29103	\N	\N	\N
438957	1492	1997-12-12	VYDAJ	VYBER	2240	13733	\N	\N	\N
438958	1492	1997-05-20	VYDAJ	VYBER	1040	16274	\N	\N	\N
438960	1492	1997-11-03	VYDAJ	VYBER	2560	14702	\N	\N	\N
438961	1492	1997-09-22	VYDAJ	VYBER	2320	13973	\N	\N	\N
438962	1492	1997-09-08	VYDAJ	VYBER	2640	13106	\N	\N	\N
438964	1492	1998-06-21	VYDAJ	VYBER	720	15522	\N	\N	\N
438965	1492	1998-12-08	VYDAJ	VYBER	1200	26766	\N	\N	\N
438966	1492	1998-06-14	VYDAJ	VYBER	640	16242	\N	\N	\N
438967	1492	1998-01-30	VYDAJ	VYBER	1280	13034	\N	\N	\N
438968	1492	1998-11-02	VYDAJ	VYBER	2080	26571	\N	\N	\N
438984	1492	1997-03-31	VYDAJ	VYBER	15	22960	SLUZBY	\N	\N
438985	1492	1997-04-30	VYDAJ	VYBER	15	22227	SLUZBY	\N	\N
438986	1492	1997-05-31	VYDAJ	VYBER	15	16339	SLUZBY	\N	\N
438987	1492	1997-06-30	VYDAJ	VYBER	15	12675	SLUZBY	\N	\N
438988	1492	1997-07-31	VYDAJ	VYBER	15	15908	SLUZBY	\N	\N
438989	1492	1997-08-31	VYDAJ	VYBER	15	15746	SLUZBY	\N	\N
438990	1492	1997-09-30	VYDAJ	VYBER	15	14023	SLUZBY	\N	\N
438991	1492	1997-10-31	VYDAJ	VYBER	15	17262	SLUZBY	\N	\N
438992	1492	1997-11-30	VYDAJ	VYBER	15	14240	SLUZBY	\N	\N
438993	1492	1997-12-31	VYDAJ	VYBER	15	12227	SLUZBY	\N	\N
438994	1492	1998-01-31	VYDAJ	VYBER	15	13076	SLUZBY	\N	\N
438995	1492	1998-02-28	VYDAJ	VYBER	15	16310	SLUZBY	\N	\N
438996	1492	1998-03-31	VYDAJ	VYBER	15	19558	SLUZBY	\N	\N
438997	1492	1998-04-30	VYDAJ	VYBER	15	22820	SLUZBY	\N	\N
438998	1492	1998-05-31	VYDAJ	VYBER	15	26095	SLUZBY	\N	\N
438999	1492	1998-06-30	VYDAJ	VYBER	15	15590	SLUZBY	\N	\N
439000	1492	1998-07-31	VYDAJ	VYBER	15	18835	SLUZBY	\N	\N
439001	1492	1998-08-31	VYDAJ	VYBER	15	22093	SLUZBY	\N	\N
439002	1492	1998-09-30	VYDAJ	VYBER	15	25365	SLUZBY	\N	\N
439003	1492	1998-10-31	VYDAJ	VYBER	15	28651	SLUZBY	\N	\N
439004	1492	1998-11-30	VYDAJ	VYBER	15	29866	SLUZBY	\N	\N
439005	1492	1997-04-15	VYDAJ	VYBER	4000	22147	\N	\N	\N
439006	1492	1997-05-15	VYDAJ	VYBER	8100	17314	\N	\N	\N
439007	1492	1997-06-14	VYDAJ	VYBER	1400	18126	\N	\N	\N
439008	1492	1997-08-13	VYDAJ	VYBER	3400	17241	\N	\N	\N
439009	1492	1997-11-11	VYDAJ	VYBER	3700	15735	\N	\N	\N
439010	1492	1997-12-11	VYDAJ	VYBER	3000	15973	\N	\N	\N
439011	1492	1998-01-10	VYDAJ	VYBER	1100	11127	\N	\N	\N
439012	1492	1998-12-06	VYDAJ	VYBER	1900	27966	\N	\N	\N
439035	1493	1993-01-09	PRIJEM	VKLAD	200	200	\N	\N	\N
439036	1493	1993-01-13	PRIJEM	PREVOD Z UCTU	5009	5209	DUCHOD	AB	54522466
439037	1493	1993-02-13	PRIJEM	PREVOD Z UCTU	5009	10231	DUCHOD	AB	54522466
439038	1493	1993-03-13	PRIJEM	PREVOD Z UCTU	5009	15262	DUCHOD	AB	54522466
439039	1493	1993-04-13	PRIJEM	PREVOD Z UCTU	5009	20293	DUCHOD	AB	54522466
439040	1493	1993-05-13	PRIJEM	PREVOD Z UCTU	5009	25323	DUCHOD	AB	54522466
439041	1493	1993-06-13	PRIJEM	PREVOD Z UCTU	5009	15277	DUCHOD	AB	54522466
439042	1493	1993-07-13	PRIJEM	PREVOD Z UCTU	5009	18033	DUCHOD	AB	54522466
439043	1493	1993-08-13	PRIJEM	PREVOD Z UCTU	5009	20783	DUCHOD	AB	54522466
439044	1493	1993-09-13	PRIJEM	PREVOD Z UCTU	5009	17859	DUCHOD	AB	54522466
439045	1493	1993-10-13	PRIJEM	PREVOD Z UCTU	5009	20613	DUCHOD	AB	54522466
439046	1493	1993-11-13	PRIJEM	PREVOD Z UCTU	5009	23374	DUCHOD	AB	54522466
439047	1493	1993-12-13	PRIJEM	PREVOD Z UCTU	5009	26146	DUCHOD	AB	54522466
439048	1493	1994-01-13	PRIJEM	PREVOD Z UCTU	5009	23078	DUCHOD	AB	54522466
439049	1493	1994-02-13	PRIJEM	PREVOD Z UCTU	5009	22164	DUCHOD	AB	54522466
439050	1493	1994-03-13	PRIJEM	PREVOD Z UCTU	5009	24931	DUCHOD	AB	54522466
439051	1493	1994-04-13	PRIJEM	PREVOD Z UCTU	5009	24269	DUCHOD	AB	54522466
439052	1493	1994-05-13	PRIJEM	PREVOD Z UCTU	5009	27050	DUCHOD	AB	54522466
439053	1493	1994-06-13	PRIJEM	PREVOD Z UCTU	5009	28795	DUCHOD	AB	54522466
439054	1493	1994-07-13	PRIJEM	PREVOD Z UCTU	5009	21388	DUCHOD	AB	54522466
439055	1493	1994-08-13	PRIJEM	PREVOD Z UCTU	5009	24152	DUCHOD	AB	54522466
439056	1493	1994-09-13	PRIJEM	PREVOD Z UCTU	5009	26927	DUCHOD	AB	54522466
439057	1493	1994-10-13	PRIJEM	PREVOD Z UCTU	5009	28033	DUCHOD	AB	54522466
439058	1493	1994-11-13	PRIJEM	PREVOD Z UCTU	5009	27223	DUCHOD	AB	54522466
439059	1493	1994-12-13	PRIJEM	PREVOD Z UCTU	5009	28011	DUCHOD	AB	54522466
439060	1493	1995-01-13	PRIJEM	PREVOD Z UCTU	5009	26800	DUCHOD	AB	54522466
439061	1493	1995-02-13	PRIJEM	PREVOD Z UCTU	5009	26831	DUCHOD	AB	54522466
439062	1493	1995-03-13	PRIJEM	PREVOD Z UCTU	5009	24716	DUCHOD	AB	54522466
439063	1493	1995-04-13	PRIJEM	PREVOD Z UCTU	5009	27293	DUCHOD	AB	54522466
439064	1493	1995-05-13	PRIJEM	PREVOD Z UCTU	5009	22140	DUCHOD	AB	54522466
439065	1493	1995-06-13	PRIJEM	PREVOD Z UCTU	5009	20842	DUCHOD	AB	54522466
439066	1493	1995-07-13	PRIJEM	PREVOD Z UCTU	5009	23603	DUCHOD	AB	54522466
439067	1493	1995-08-13	PRIJEM	PREVOD Z UCTU	5009	23073	DUCHOD	AB	54522466
439068	1493	1995-09-13	PRIJEM	PREVOD Z UCTU	5009	22301	DUCHOD	AB	54522466
439069	1493	1995-10-13	PRIJEM	PREVOD Z UCTU	5009	22706	DUCHOD	AB	54522466
439070	1493	1995-11-13	PRIJEM	PREVOD Z UCTU	5009	25074	DUCHOD	AB	54522466
439071	1493	1995-12-13	PRIJEM	PREVOD Z UCTU	5009	25652	DUCHOD	AB	54522466
439072	1493	1996-01-13	PRIJEM	PREVOD Z UCTU	5009	25932	DUCHOD	AB	54522466
439073	1493	1996-02-13	PRIJEM	PREVOD Z UCTU	5009	22237	DUCHOD	AB	54522466
439074	1493	1996-03-13	PRIJEM	PREVOD Z UCTU	5009	21901	DUCHOD	AB	54522466
439075	1493	1996-04-13	PRIJEM	PREVOD Z UCTU	5009	19700	DUCHOD	AB	54522466
439076	1493	1996-05-13	PRIJEM	PREVOD Z UCTU	5009	20654	DUCHOD	AB	54522466
439077	1493	1996-06-13	PRIJEM	PREVOD Z UCTU	5009	18008	DUCHOD	AB	54522466
439078	1493	1996-07-13	PRIJEM	PREVOD Z UCTU	5009	16552	DUCHOD	AB	54522466
439079	1493	1996-08-13	PRIJEM	PREVOD Z UCTU	5009	15190	DUCHOD	AB	54522466
439080	1493	1996-09-13	PRIJEM	PREVOD Z UCTU	5009	17927	DUCHOD	AB	54522466
439081	1493	1996-10-13	PRIJEM	PREVOD Z UCTU	5009	20675	DUCHOD	AB	54522466
439082	1493	1996-11-13	PRIJEM	PREVOD Z UCTU	5009	18927	DUCHOD	AB	54522466
439083	1493	1996-12-13	PRIJEM	PREVOD Z UCTU	5009	17773	DUCHOD	AB	54522466
439084	1493	1997-01-13	PRIJEM	PREVOD Z UCTU	5009	17759	DUCHOD	AB	54522466
439085	1493	1997-02-13	PRIJEM	PREVOD Z UCTU	5009	20509	DUCHOD	AB	54522466
439086	1493	1997-03-13	PRIJEM	PREVOD Z UCTU	5009	17156	DUCHOD	AB	54522466
439087	1493	1997-04-13	PRIJEM	PREVOD Z UCTU	5009	19901	DUCHOD	AB	54522466
439088	1493	1997-05-13	PRIJEM	PREVOD Z UCTU	5009	15945	DUCHOD	AB	54522466
439089	1493	1997-06-13	PRIJEM	PREVOD Z UCTU	5009	18684	DUCHOD	AB	54522466
439090	1493	1997-07-13	PRIJEM	PREVOD Z UCTU	5009	15724	DUCHOD	AB	54522466
439091	1493	1997-08-13	PRIJEM	PREVOD Z UCTU	5009	18462	DUCHOD	AB	54522466
439092	1493	1997-09-13	PRIJEM	PREVOD Z UCTU	5009	15901	DUCHOD	AB	54522466
439093	1493	1997-10-13	PRIJEM	PREVOD Z UCTU	5009	18640	DUCHOD	AB	54522466
439094	1493	1997-11-13	PRIJEM	PREVOD Z UCTU	5009	19947	DUCHOD	AB	54522466
439095	1493	1997-12-13	PRIJEM	PREVOD Z UCTU	5009	17791	DUCHOD	AB	54522466
439096	1493	1998-01-13	PRIJEM	PREVOD Z UCTU	5009	19738	DUCHOD	AB	54522466
439097	1493	1998-02-13	PRIJEM	PREVOD Z UCTU	5009	18384	DUCHOD	AB	54522466
439098	1493	1998-03-13	PRIJEM	PREVOD Z UCTU	5009	18569	DUCHOD	AB	54522466
439099	1493	1998-04-13	PRIJEM	PREVOD Z UCTU	5009	16307	DUCHOD	AB	54522466
439100	1493	1998-05-13	PRIJEM	PREVOD Z UCTU	5009	19047	DUCHOD	AB	54522466
439101	1493	1998-06-13	PRIJEM	PREVOD Z UCTU	5009	21799	DUCHOD	AB	54522466
439102	1493	1998-07-13	PRIJEM	PREVOD Z UCTU	5009	21779	DUCHOD	AB	54522466
439103	1493	1998-08-13	PRIJEM	PREVOD Z UCTU	5009	18743	DUCHOD	AB	54522466
439104	1493	1998-09-13	PRIJEM	PREVOD Z UCTU	5009	20002	DUCHOD	AB	54522466
439105	1493	1998-10-13	PRIJEM	PREVOD Z UCTU	5009	20259	DUCHOD	AB	54522466
439106	1493	1998-11-13	PRIJEM	PREVOD Z UCTU	5009	20619	DUCHOD	AB	54522466
439107	1493	1998-12-13	PRIJEM	PREVOD Z UCTU	5009	17467	DUCHOD	AB	54522466
439113	1493	1993-06-12	VYDAJ	PREVOD NA UCET	2264	10268	SIPO	EF	95543610
439114	1493	1993-07-12	VYDAJ	PREVOD NA UCET	2264	13024	SIPO	EF	95543610
439115	1493	1993-08-12	VYDAJ	PREVOD NA UCET	2264	15774	SIPO	EF	95543610
439116	1493	1993-09-12	VYDAJ	PREVOD NA UCET	2264	12850	SIPO	EF	95543610
439117	1493	1993-10-12	VYDAJ	PREVOD NA UCET	2264	15604	SIPO	EF	95543610
439118	1493	1993-11-12	VYDAJ	PREVOD NA UCET	2264	18365	SIPO	EF	95543610
439119	1493	1993-12-12	VYDAJ	PREVOD NA UCET	2264	21137	SIPO	EF	95543610
439120	1493	1994-01-12	VYDAJ	PREVOD NA UCET	2264	18069	SIPO	EF	95543610
439121	1493	1994-02-12	VYDAJ	PREVOD NA UCET	2264	17155	SIPO	EF	95543610
439122	1493	1994-03-12	VYDAJ	PREVOD NA UCET	2264	19922	SIPO	EF	95543610
439123	1493	1994-04-12	VYDAJ	PREVOD NA UCET	2264	19260	SIPO	EF	95543610
439124	1493	1994-05-12	VYDAJ	PREVOD NA UCET	2264	22041	SIPO	EF	95543610
439125	1493	1994-06-12	VYDAJ	PREVOD NA UCET	2264	23786	SIPO	EF	95543610
439126	1493	1994-07-12	VYDAJ	PREVOD NA UCET	2264	16379	SIPO	EF	95543610
439127	1493	1994-08-12	VYDAJ	PREVOD NA UCET	2264	19143	SIPO	EF	95543610
439128	1493	1994-09-12	VYDAJ	PREVOD NA UCET	2264	21918	SIPO	EF	95543610
439129	1493	1994-10-12	VYDAJ	PREVOD NA UCET	2264	23024	SIPO	EF	95543610
439130	1493	1994-11-12	VYDAJ	PREVOD NA UCET	2264	22214	SIPO	EF	95543610
439131	1493	1994-12-12	VYDAJ	PREVOD NA UCET	2264	23002	SIPO	EF	95543610
439132	1493	1995-01-12	VYDAJ	PREVOD NA UCET	2264	21791	SIPO	EF	95543610
439133	1493	1995-02-12	VYDAJ	PREVOD NA UCET	2264	21822	SIPO	EF	95543610
439134	1493	1995-03-12	VYDAJ	PREVOD NA UCET	2264	19707	SIPO	EF	95543610
439135	1493	1995-04-12	VYDAJ	PREVOD NA UCET	2264	22284	SIPO	EF	95543610
439136	1493	1995-05-12	VYDAJ	PREVOD NA UCET	2264	17131	SIPO	EF	95543610
439137	1493	1995-06-12	VYDAJ	PREVOD NA UCET	2264	15833	SIPO	EF	95543610
439138	1493	1995-07-12	VYDAJ	PREVOD NA UCET	2264	18594	SIPO	EF	95543610
439139	1493	1995-08-12	VYDAJ	PREVOD NA UCET	2264	18064	SIPO	EF	95543610
439140	1493	1995-09-12	VYDAJ	PREVOD NA UCET	2264	17292	SIPO	EF	95543610
439141	1493	1995-10-12	VYDAJ	PREVOD NA UCET	2264	17697	SIPO	EF	95543610
439142	1493	1995-11-12	VYDAJ	PREVOD NA UCET	2264	20065	SIPO	EF	95543610
439143	1493	1995-12-12	VYDAJ	PREVOD NA UCET	2264	20643	SIPO	EF	95543610
439144	1493	1996-01-12	VYDAJ	PREVOD NA UCET	2264	20923	SIPO	EF	95543610
439145	1493	1996-02-12	VYDAJ	PREVOD NA UCET	2264	17228	SIPO	EF	95543610
439146	1493	1996-03-12	VYDAJ	PREVOD NA UCET	2264	16892	SIPO	EF	95543610
439147	1493	1996-04-12	VYDAJ	PREVOD NA UCET	2264	14691	SIPO	EF	95543610
439148	1493	1996-05-12	VYDAJ	PREVOD NA UCET	2264	15645	SIPO	EF	95543610
439149	1493	1996-06-12	VYDAJ	PREVOD NA UCET	2264	12999	SIPO	EF	95543610
439150	1493	1996-07-12	VYDAJ	PREVOD NA UCET	2264	11543	SIPO	EF	95543610
439151	1493	1996-08-12	VYDAJ	PREVOD NA UCET	2264	10181	SIPO	EF	95543610
439152	1493	1996-09-12	VYDAJ	PREVOD NA UCET	2264	12918	SIPO	EF	95543610
439153	1493	1996-10-12	VYDAJ	PREVOD NA UCET	2264	15666	SIPO	EF	95543610
439154	1493	1996-11-12	VYDAJ	PREVOD NA UCET	2264	13918	SIPO	EF	95543610
439155	1493	1996-12-12	VYDAJ	PREVOD NA UCET	2264	12764	SIPO	EF	95543610
439156	1493	1997-01-12	VYDAJ	PREVOD NA UCET	2264	12750	SIPO	EF	95543610
439157	1493	1997-02-12	VYDAJ	PREVOD NA UCET	2264	15500	SIPO	EF	95543610
439158	1493	1997-03-12	VYDAJ	PREVOD NA UCET	2264	12147	SIPO	EF	95543610
439159	1493	1997-04-12	VYDAJ	PREVOD NA UCET	2264	14892	SIPO	EF	95543610
439160	1493	1997-05-12	VYDAJ	PREVOD NA UCET	2264	10936	SIPO	EF	95543610
439161	1493	1997-06-12	VYDAJ	PREVOD NA UCET	2264	13675	SIPO	EF	95543610
439162	1493	1997-07-12	VYDAJ	PREVOD NA UCET	2264	10715	SIPO	EF	95543610
439163	1493	1997-08-12	VYDAJ	PREVOD NA UCET	2264	13453	SIPO	EF	95543610
439164	1493	1997-09-12	VYDAJ	PREVOD NA UCET	2264	10892	SIPO	EF	95543610
439165	1493	1997-10-12	VYDAJ	PREVOD NA UCET	2264	13631	SIPO	EF	95543610
439166	1493	1997-11-12	VYDAJ	PREVOD NA UCET	2264	14938	SIPO	EF	95543610
439167	1493	1997-12-12	VYDAJ	PREVOD NA UCET	2264	12782	SIPO	EF	95543610
439168	1493	1998-01-12	VYDAJ	PREVOD NA UCET	2264	14729	SIPO	EF	95543610
439169	1493	1998-02-12	VYDAJ	PREVOD NA UCET	2264	13375	SIPO	EF	95543610
439170	1493	1998-03-12	VYDAJ	PREVOD NA UCET	2264	13560	SIPO	EF	95543610
439171	1493	1998-04-12	VYDAJ	PREVOD NA UCET	2264	11298	SIPO	EF	95543610
439172	1493	1998-05-12	VYDAJ	PREVOD NA UCET	2264	14038	SIPO	EF	95543610
439173	1493	1998-06-12	VYDAJ	PREVOD NA UCET	2264	16790	SIPO	EF	95543610
439174	1493	1998-07-12	VYDAJ	PREVOD NA UCET	2264	17470	SIPO	EF	95543610
439175	1493	1998-08-12	VYDAJ	PREVOD NA UCET	2264	13734	SIPO	EF	95543610
439176	1493	1998-09-12	VYDAJ	PREVOD NA UCET	2264	14993	SIPO	EF	95543610
439177	1493	1998-10-12	VYDAJ	PREVOD NA UCET	2264	15250	SIPO	EF	95543610
439178	1493	1998-11-12	VYDAJ	PREVOD NA UCET	2264	15610	SIPO	EF	95543610
439179	1493	1998-12-12	VYDAJ	PREVOD NA UCET	2264	12458	SIPO	EF	95543610
439185	1493	1993-06-11	VYDAJ	PREVOD NA UCET	51	12532	 	GH	85806101
439186	1493	1993-07-11	VYDAJ	PREVOD NA UCET	51	15288	 	GH	85806101
439187	1493	1993-08-11	VYDAJ	PREVOD NA UCET	51	18038	 	GH	85806101
439188	1493	1993-09-11	VYDAJ	PREVOD NA UCET	51	15114	 	GH	85806101
439189	1493	1993-10-11	VYDAJ	PREVOD NA UCET	51	17868	 	GH	85806101
439190	1493	1993-11-11	VYDAJ	PREVOD NA UCET	51	20629	 	GH	85806101
439191	1493	1993-12-11	VYDAJ	PREVOD NA UCET	51	23401	 	GH	85806101
439192	1493	1994-01-11	VYDAJ	PREVOD NA UCET	51	20333	 	GH	85806101
439193	1493	1994-02-11	VYDAJ	PREVOD NA UCET	51	19419	 	GH	85806101
439194	1493	1994-03-11	VYDAJ	PREVOD NA UCET	51	22186	 	GH	85806101
439195	1493	1994-04-11	VYDAJ	PREVOD NA UCET	51	21524	 	GH	85806101
439196	1493	1994-05-11	VYDAJ	PREVOD NA UCET	51	24305	 	GH	85806101
439197	1493	1994-06-11	VYDAJ	PREVOD NA UCET	51	26050	 	GH	85806101
439198	1493	1994-07-11	VYDAJ	PREVOD NA UCET	51	18643	 	GH	85806101
439199	1493	1994-08-11	VYDAJ	PREVOD NA UCET	51	21407	 	GH	85806101
439200	1493	1994-09-11	VYDAJ	PREVOD NA UCET	51	24182	 	GH	85806101
439201	1493	1994-10-11	VYDAJ	PREVOD NA UCET	51	25288	 	GH	85806101
439202	1493	1994-11-11	VYDAJ	PREVOD NA UCET	51	24478	 	GH	85806101
439203	1493	1994-12-11	VYDAJ	PREVOD NA UCET	51	25266	 	GH	85806101
439204	1493	1995-01-11	VYDAJ	PREVOD NA UCET	51	24055	 	GH	85806101
439205	1493	1995-02-11	VYDAJ	PREVOD NA UCET	51	24086	 	GH	85806101
439206	1493	1995-03-11	VYDAJ	PREVOD NA UCET	51	21971	 	GH	85806101
439207	1493	1995-04-11	VYDAJ	PREVOD NA UCET	51	24548	 	GH	85806101
439208	1493	1995-05-11	VYDAJ	PREVOD NA UCET	51	19395	 	GH	85806101
439209	1493	1995-06-11	VYDAJ	PREVOD NA UCET	51	18097	 	GH	85806101
439210	1493	1995-07-11	VYDAJ	PREVOD NA UCET	51	20858	 	GH	85806101
439211	1493	1995-08-11	VYDAJ	PREVOD NA UCET	51	20328	 	GH	85806101
439212	1493	1995-09-11	VYDAJ	PREVOD NA UCET	51	19556	 	GH	85806101
439213	1493	1995-10-11	VYDAJ	PREVOD NA UCET	51	19961	 	GH	85806101
439214	1493	1995-11-11	VYDAJ	PREVOD NA UCET	51	22329	 	GH	85806101
439215	1493	1995-12-11	VYDAJ	PREVOD NA UCET	51	22907	 	GH	85806101
439216	1493	1996-01-11	VYDAJ	PREVOD NA UCET	51	23187	 	GH	85806101
439217	1493	1996-02-11	VYDAJ	PREVOD NA UCET	51	19492	 	GH	85806101
439218	1493	1996-03-11	VYDAJ	PREVOD NA UCET	51	19156	 	GH	85806101
439219	1493	1996-04-11	VYDAJ	PREVOD NA UCET	51	16955	 	GH	85806101
439220	1493	1996-05-11	VYDAJ	PREVOD NA UCET	51	17909	 	GH	85806101
439221	1493	1996-06-11	VYDAJ	PREVOD NA UCET	51	15263	 	GH	85806101
439222	1493	1996-07-11	VYDAJ	PREVOD NA UCET	51	13807	 	GH	85806101
439223	1493	1996-08-11	VYDAJ	PREVOD NA UCET	51	12445	 	GH	85806101
439224	1493	1996-09-11	VYDAJ	PREVOD NA UCET	51	15182	 	GH	85806101
439225	1493	1996-10-11	VYDAJ	PREVOD NA UCET	51	17930	 	GH	85806101
439226	1493	1996-11-11	VYDAJ	PREVOD NA UCET	51	16182	 	GH	85806101
439227	1493	1996-12-11	VYDAJ	PREVOD NA UCET	51	15028	 	GH	85806101
439228	1493	1997-01-11	VYDAJ	PREVOD NA UCET	51	15014	 	GH	85806101
439229	1493	1997-02-11	VYDAJ	PREVOD NA UCET	51	17764	 	GH	85806101
439230	1493	1997-03-11	VYDAJ	PREVOD NA UCET	51	14411	 	GH	85806101
439231	1493	1997-04-11	VYDAJ	PREVOD NA UCET	51	17156	 	GH	85806101
439232	1493	1997-05-11	VYDAJ	PREVOD NA UCET	51	13200	 	GH	85806101
439233	1493	1997-06-11	VYDAJ	PREVOD NA UCET	51	15939	 	GH	85806101
439234	1493	1997-07-11	VYDAJ	PREVOD NA UCET	51	12979	 	GH	85806101
439235	1493	1997-08-11	VYDAJ	PREVOD NA UCET	51	15717	 	GH	85806101
439236	1493	1997-09-11	VYDAJ	PREVOD NA UCET	51	13156	 	GH	85806101
439237	1493	1997-10-11	VYDAJ	PREVOD NA UCET	51	15895	 	GH	85806101
439238	1493	1997-11-11	VYDAJ	PREVOD NA UCET	51	17202	 	GH	85806101
439239	1493	1997-12-11	VYDAJ	PREVOD NA UCET	51	15046	 	GH	85806101
439240	1493	1998-01-11	VYDAJ	PREVOD NA UCET	51	16993	 	GH	85806101
439241	1493	1998-02-11	VYDAJ	PREVOD NA UCET	51	15639	 	GH	85806101
439242	1493	1998-03-11	VYDAJ	PREVOD NA UCET	51	15824	 	GH	85806101
439243	1493	1998-04-11	VYDAJ	PREVOD NA UCET	51	13562	 	GH	85806101
439244	1493	1998-05-11	VYDAJ	PREVOD NA UCET	51	16302	 	GH	85806101
439245	1493	1998-06-11	VYDAJ	PREVOD NA UCET	51	19054	 	GH	85806101
439246	1493	1998-07-11	VYDAJ	PREVOD NA UCET	51	19734	 	GH	85806101
439247	1493	1998-08-11	VYDAJ	PREVOD NA UCET	51	21798	 	GH	85806101
439248	1493	1998-09-11	VYDAJ	PREVOD NA UCET	51	17257	 	GH	85806101
439249	1493	1998-10-11	VYDAJ	PREVOD NA UCET	51	17514	 	GH	85806101
439250	1493	1998-11-11	VYDAJ	PREVOD NA UCET	51	17874	 	GH	85806101
439251	1493	1998-12-11	VYDAJ	PREVOD NA UCET	51	14722	 	GH	85806101
439252	1493	1993-06-01	VYDAJ	VYBER	12750	12583	\N	\N	\N
439253	1493	1994-06-13	VYDAJ	VYBER	10200	18595	\N	\N	\N
439259	1493	1994-01-06	VYDAJ	VYBER	3950	20384	\N	\N	\N
439260	1493	1995-01-18	VYDAJ	VYBER	2750	24050	\N	\N	\N
439261	1493	1996-01-24	VYDAJ	VYBER	1550	20182	\N	\N	\N
439263	1493	1998-01-17	VYDAJ	VYBER	4100	15638	\N	\N	\N
439264	1493	1993-12-26	VYDAJ	VYBER	1100	25046	\N	\N	\N
439265	1493	1994-12-16	VYDAJ	VYBER	700	27311	\N	\N	\N
439266	1493	1995-12-01	VYDAJ	VYBER	900	22958	\N	\N	\N
439267	1493	1996-12-15	VYDAJ	VYBER	600	17173	\N	\N	\N
439268	1493	1997-12-28	VYDAJ	VYBER	800	16991	\N	\N	\N
439269	1493	1998-12-05	VYDAJ	VYBER	1150	16973	\N	\N	\N
439272	1493	1993-09-04	VYDAJ	VYBER	3360	15165	\N	\N	\N
439273	1493	1993-08-16	VYDAJ	VYBER	2320	18463	\N	\N	\N
439274	1493	1994-05-17	VYDAJ	VYBER	1040	26010	\N	\N	\N
439275	1493	1994-09-27	VYDAJ	VYBER	1680	25247	\N	\N	\N
439276	1493	1994-04-06	VYDAJ	VYBER	3440	21575	\N	\N	\N
439277	1493	1994-01-15	VYDAJ	VYBER	3680	19398	\N	\N	\N
439278	1493	1995-08-24	VYDAJ	VYBER	1440	21633	\N	\N	\N
439279	1493	1995-09-22	VYDAJ	VYBER	560	21741	\N	\N	\N
439280	1493	1995-05-15	VYDAJ	VYBER	3760	18380	\N	\N	\N
439281	1493	1995-05-08	VYDAJ	VYBER	3040	19446	\N	\N	\N
439282	1493	1995-11-07	VYDAJ	VYBER	400	22380	\N	\N	\N
439284	1493	1996-06-05	VYDAJ	VYBER	800	15314	\N	\N	\N
439286	1493	1996-01-27	VYDAJ	VYBER	720	19462	\N	\N	\N
439287	1493	1996-03-22	VYDAJ	VYBER	1360	20541	\N	\N	\N
439288	1493	1997-01-10	VYDAJ	VYBER	2160	15065	\N	\N	\N
439289	1493	1997-10-19	VYDAJ	VYBER	1440	17200	\N	\N	\N
439290	1493	1998-11-24	VYDAJ	VYBER	2560	18059	\N	\N	\N
439292	1493	1998-02-20	VYDAJ	VYBER	2560	15824	\N	\N	\N
439293	1493	1998-06-24	VYDAJ	VYBER	2080	19719	\N	\N	\N
439299	1493	1993-05-31	VYDAJ	VYBER	15	25333	SLUZBY	\N	\N
439300	1493	1993-06-30	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
439301	1493	1993-07-31	VYDAJ	VYBER	15	18089	SLUZBY	\N	\N
439302	1493	1993-08-31	VYDAJ	VYBER	15	18525	SLUZBY	\N	\N
439303	1493	1993-09-30	VYDAJ	VYBER	15	17919	SLUZBY	\N	\N
439304	1493	1993-10-31	VYDAJ	VYBER	15	20680	SLUZBY	\N	\N
439305	1493	1993-11-30	VYDAJ	VYBER	15	23452	SLUZBY	\N	\N
439306	1493	1993-12-31	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
439307	1493	1994-01-31	VYDAJ	VYBER	15	19470	SLUZBY	\N	\N
439308	1493	1994-02-28	VYDAJ	VYBER	15	22237	SLUZBY	\N	\N
439309	1493	1994-03-31	VYDAJ	VYBER	15	25015	SLUZBY	\N	\N
439310	1493	1994-04-30	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
439311	1493	1994-05-31	VYDAJ	VYBER	15	26101	SLUZBY	\N	\N
439312	1493	1994-06-30	VYDAJ	VYBER	15	18694	SLUZBY	\N	\N
439313	1493	1994-07-31	VYDAJ	VYBER	15	21458	SLUZBY	\N	\N
439314	1493	1994-08-31	VYDAJ	VYBER	15	24233	SLUZBY	\N	\N
439315	1493	1994-09-30	VYDAJ	VYBER	15	25339	SLUZBY	\N	\N
439316	1493	1994-10-31	VYDAJ	VYBER	15	24529	SLUZBY	\N	\N
439317	1493	1994-11-30	VYDAJ	VYBER	15	25317	SLUZBY	\N	\N
439318	1493	1994-12-31	VYDAJ	VYBER	15	24106	SLUZBY	\N	\N
439319	1493	1995-01-31	VYDAJ	VYBER	15	24137	SLUZBY	\N	\N
439320	1493	1995-02-28	VYDAJ	VYBER	15	22022	SLUZBY	\N	\N
439321	1493	1995-03-31	VYDAJ	VYBER	15	24599	SLUZBY	\N	\N
439322	1493	1995-04-30	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
439323	1493	1995-05-31	VYDAJ	VYBER	15	18148	SLUZBY	\N	\N
439324	1493	1995-06-30	VYDAJ	VYBER	15	20909	SLUZBY	\N	\N
439325	1493	1995-07-31	VYDAJ	VYBER	15	20379	SLUZBY	\N	\N
439326	1493	1995-08-31	VYDAJ	VYBER	15	19607	SLUZBY	\N	\N
439327	1493	1995-09-30	VYDAJ	VYBER	15	20012	SLUZBY	\N	\N
439328	1493	1995-10-31	VYDAJ	VYBER	15	22780	SLUZBY	\N	\N
439329	1493	1995-11-30	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
439330	1493	1995-12-31	VYDAJ	VYBER	15	23238	SLUZBY	\N	\N
439331	1493	1996-01-31	VYDAJ	VYBER	15	19543	SLUZBY	\N	\N
439332	1493	1996-02-29	VYDAJ	VYBER	15	19207	SLUZBY	\N	\N
439333	1493	1996-03-31	VYDAJ	VYBER	15	17006	SLUZBY	\N	\N
439334	1493	1996-04-30	VYDAJ	VYBER	15	17960	SLUZBY	\N	\N
439335	1493	1996-05-31	VYDAJ	VYBER	15	16114	SLUZBY	\N	\N
439336	1493	1996-06-30	VYDAJ	VYBER	15	13858	SLUZBY	\N	\N
439337	1493	1996-07-31	VYDAJ	VYBER	15	12496	SLUZBY	\N	\N
439338	1493	1996-08-31	VYDAJ	VYBER	15	15233	SLUZBY	\N	\N
439339	1493	1996-09-30	VYDAJ	VYBER	15	17981	SLUZBY	\N	\N
439340	1493	1996-10-31	VYDAJ	VYBER	15	16233	SLUZBY	\N	\N
439341	1493	1996-11-30	VYDAJ	VYBER	15	15079	SLUZBY	\N	\N
439342	1493	1996-12-31	VYDAJ	VYBER	15	17225	SLUZBY	\N	\N
439343	1493	1997-01-31	VYDAJ	VYBER	15	17815	SLUZBY	\N	\N
439344	1493	1997-02-28	VYDAJ	VYBER	15	14462	SLUZBY	\N	\N
439345	1493	1997-03-31	VYDAJ	VYBER	15	17207	SLUZBY	\N	\N
439346	1493	1997-04-30	VYDAJ	VYBER	15	13251	SLUZBY	\N	\N
439347	1493	1997-05-31	VYDAJ	VYBER	15	15990	SLUZBY	\N	\N
439348	1493	1997-06-30	VYDAJ	VYBER	15	13030	SLUZBY	\N	\N
439349	1493	1997-07-31	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
439350	1493	1997-08-31	VYDAJ	VYBER	15	13207	SLUZBY	\N	\N
439351	1493	1997-09-30	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
439352	1493	1997-10-31	VYDAJ	VYBER	15	17253	SLUZBY	\N	\N
439353	1493	1997-11-30	VYDAJ	VYBER	15	15097	SLUZBY	\N	\N
439354	1493	1997-12-31	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
439355	1493	1998-01-31	VYDAJ	VYBER	15	15690	SLUZBY	\N	\N
439356	1493	1998-02-28	VYDAJ	VYBER	15	15875	SLUZBY	\N	\N
439357	1493	1998-03-31	VYDAJ	VYBER	15	13613	SLUZBY	\N	\N
439358	1493	1998-04-30	VYDAJ	VYBER	15	16353	SLUZBY	\N	\N
439359	1493	1998-05-31	VYDAJ	VYBER	15	19105	SLUZBY	\N	\N
439360	1493	1998-06-30	VYDAJ	VYBER	15	19785	SLUZBY	\N	\N
439361	1493	1998-07-31	VYDAJ	VYBER	15	21849	SLUZBY	\N	\N
439362	1493	1998-08-31	VYDAJ	VYBER	15	18808	SLUZBY	\N	\N
439363	1493	1998-09-30	VYDAJ	VYBER	15	20065	SLUZBY	\N	\N
439364	1493	1998-10-31	VYDAJ	VYBER	15	20325	SLUZBY	\N	\N
439365	1493	1998-11-30	VYDAJ	VYBER	15	18123	SLUZBY	\N	\N
439366	1493	1994-01-04	VYDAJ	VYBER	800	24334	\N	\N	\N
439367	1493	1994-10-31	VYDAJ	VYBER	3600	24544	\N	\N	\N
439368	1493	1994-11-30	VYDAJ	VYBER	2000	25332	\N	\N	\N
439369	1493	1994-12-30	VYDAJ	VYBER	3300	24011	\N	\N	\N
439370	1493	1995-02-28	VYDAJ	VYBER	4900	22036	\N	\N	\N
439371	1493	1995-03-30	VYDAJ	VYBER	200	24516	\N	\N	\N
439372	1493	1995-04-29	VYDAJ	VYBER	4900	22393	\N	\N	\N
439373	1493	1995-05-29	VYDAJ	VYBER	300	18080	\N	\N	\N
439374	1493	1995-07-28	VYDAJ	VYBER	3300	20303	\N	\N	\N
439375	1493	1995-08-27	VYDAJ	VYBER	2100	19533	\N	\N	\N
439376	1493	1995-09-26	VYDAJ	VYBER	1800	19941	\N	\N	\N
439377	1493	1995-11-25	VYDAJ	VYBER	1300	23774	\N	\N	\N
439378	1493	1995-12-25	VYDAJ	VYBER	2500	23152	\N	\N	\N
439379	1493	1996-01-24	VYDAJ	VYBER	4200	21732	\N	\N	\N
439380	1493	1996-02-23	VYDAJ	VYBER	3100	19137	\N	\N	\N
439381	1493	1996-03-24	VYDAJ	VYBER	3600	16941	\N	\N	\N
439382	1493	1996-04-23	VYDAJ	VYBER	1800	17900	\N	\N	\N
439383	1493	1996-05-23	VYDAJ	VYBER	4600	16054	\N	\N	\N
439384	1493	1996-06-22	VYDAJ	VYBER	4200	13808	\N	\N	\N
439385	1493	1996-07-22	VYDAJ	VYBER	4100	12452	\N	\N	\N
439386	1493	1996-10-20	VYDAJ	VYBER	4500	16175	\N	\N	\N
439387	1493	1996-11-19	VYDAJ	VYBER	3900	15027	\N	\N	\N
439388	1493	1997-02-17	VYDAJ	VYBER	6100	14409	\N	\N	\N
439389	1493	1997-04-18	VYDAJ	VYBER	6700	13201	\N	\N	\N
439390	1493	1997-06-17	VYDAJ	VYBER	5700	12984	\N	\N	\N
439391	1493	1997-08-16	VYDAJ	VYBER	5300	13162	\N	\N	\N
439392	1493	1997-11-14	VYDAJ	VYBER	4900	15047	\N	\N	\N
439393	1493	1998-03-14	VYDAJ	VYBER	5000	13569	\N	\N	\N
439394	1493	1998-07-12	VYDAJ	VYBER	700	16770	\N	\N	\N
439395	1493	1998-08-11	VYDAJ	VYBER	5800	15998	\N	\N	\N
439396	1493	1998-09-10	VYDAJ	VYBER	1500	17308	\N	\N	\N
439397	1493	1998-10-10	VYDAJ	VYBER	2500	17565	\N	\N	\N
439398	1493	1998-11-09	VYDAJ	VYBER	2400	17925	\N	\N	\N
439399	1493	1998-12-09	VYDAJ	VYBER	2200	14773	\N	\N	\N
439472	1494	1997-10-08	PRIJEM	VKLAD	900	900	\N	\N	\N
439482	1494	1997-10-14	PRIJEM	VKLAD	23670	24570	\N	\N	\N
439483	1494	1997-11-14	PRIJEM	VKLAD	23670	49299	\N	\N	\N
439484	1494	1997-12-14	PRIJEM	VKLAD	35505	73365	\N	\N	\N
439485	1494	1998-01-14	PRIJEM	VKLAD	23670	76899	\N	\N	\N
439486	1494	1998-02-14	PRIJEM	VKLAD	23670	79283	\N	\N	\N
439487	1494	1998-03-14	PRIJEM	VKLAD	23670	80263	\N	\N	\N
439488	1494	1998-04-14	PRIJEM	VKLAD	23670	81651	\N	\N	\N
439489	1494	1998-05-14	PRIJEM	VKLAD	23670	76438	\N	\N	\N
439490	1494	1998-06-14	PRIJEM	VKLAD	35505	84443	\N	\N	\N
439491	1494	1998-07-14	PRIJEM	VKLAD	23670	70423	\N	\N	\N
439492	1494	1998-08-14	PRIJEM	VKLAD	23670	71875	\N	\N	\N
439493	1494	1998-09-14	PRIJEM	VKLAD	23670	70824	\N	\N	\N
439494	1494	1998-10-14	PRIJEM	VKLAD	23670	70071	\N	\N	\N
439495	1494	1998-11-14	PRIJEM	VKLAD	23670	72120	\N	\N	\N
439496	1494	1998-12-14	PRIJEM	VKLAD	35505	79908	\N	\N	\N
439498	1494	1998-06-28	VYDAJ	VYBER	12600	71843	\N	\N	\N
439502	1494	1998-12-29	VYDAJ	VYBER KARTOU	500	79408	\N	\N	0
439521	1494	1998-12-07	VYDAJ	VYBER KARTOU	2800	44403	\N	\N	0
439522	1494	1998-05-24	VYDAJ	VYBER	4500	71938	\N	\N	\N
439524	1494	1998-04-29	VYDAJ	VYBER	900	76851	\N	\N	\N
439525	1494	1998-08-25	VYDAJ	VYBER	3100	68775	\N	\N	\N
439526	1494	1998-04-19	VYDAJ	VYBER	3900	77751	\N	\N	\N
439527	1494	1998-02-15	VYDAJ	VYBER	600	78683	\N	\N	\N
439542	1494	1998-02-28	VYDAJ	VYBER	15	78993	SLUZBY	\N	\N
439543	1494	1998-03-31	VYDAJ	VYBER	15	80581	SLUZBY	\N	\N
439544	1494	1998-04-30	VYDAJ	VYBER	15	77168	SLUZBY	\N	\N
439545	1494	1998-05-31	VYDAJ	VYBER	15	72238	SLUZBY	\N	\N
439546	1494	1998-06-30	VYDAJ	VYBER	15	72153	SLUZBY	\N	\N
439547	1494	1998-07-31	VYDAJ	VYBER	15	70705	SLUZBY	\N	\N
439548	1494	1998-08-31	VYDAJ	VYBER	15	69054	SLUZBY	\N	\N
439549	1494	1998-09-30	VYDAJ	VYBER	15	71101	SLUZBY	\N	\N
439550	1494	1998-10-31	VYDAJ	VYBER	15	70350	SLUZBY	\N	\N
439551	1494	1998-11-30	VYDAJ	VYBER	15	72403	SLUZBY	\N	\N
439552	1494	1997-11-07	PRIJEM	VKLAD	1000	25629	\N	\N	\N
439553	1494	1997-12-07	VYDAJ	VYBER	11600	37860	\N	\N	\N
439554	1494	1998-01-06	VYDAJ	VYBER	20400	53229	\N	\N	\N
439555	1494	1998-02-05	VYDAJ	VYBER	21600	55613	\N	\N	\N
439556	1494	1998-03-07	VYDAJ	VYBER	22400	56593	\N	\N	\N
439557	1494	1998-04-06	VYDAJ	VYBER	22600	57981	\N	\N	\N
439558	1494	1998-05-06	VYDAJ	VYBER	24400	52768	\N	\N	\N
439559	1494	1998-06-05	VYDAJ	VYBER	23300	48938	\N	\N	\N
439560	1494	1998-07-05	VYDAJ	VYBER	25400	46753	\N	\N	\N
439561	1494	1998-08-04	VYDAJ	VYBER	22500	48205	\N	\N	\N
439562	1494	1998-09-03	VYDAJ	VYBER	21900	47154	\N	\N	\N
439563	1494	1998-10-03	VYDAJ	VYBER	24700	46401	\N	\N	\N
439564	1494	1998-11-02	VYDAJ	VYBER	21900	48450	\N	\N	\N
439565	1494	1998-12-02	VYDAJ	VYBER	25200	47203	\N	\N	\N
439581	1495	1993-11-01	PRIJEM	VKLAD	300	300	\N	\N	\N
439592	1495	1993-11-05	PRIJEM	VKLAD	24319	24619	\N	\N	\N
439593	1495	1993-12-05	PRIJEM	VKLAD	36479	63286	\N	\N	\N
439594	1495	1994-01-05	PRIJEM	VKLAD	24319	66145	\N	\N	\N
439595	1495	1994-02-05	PRIJEM	VKLAD	24319	69540	\N	\N	\N
439596	1495	1994-03-05	PRIJEM	VKLAD	24319	71846	\N	\N	\N
439597	1495	1994-04-05	PRIJEM	VKLAD	24319	69897	\N	\N	\N
439598	1495	1994-05-05	PRIJEM	VKLAD	24319	70950	\N	\N	\N
439599	1495	1994-06-05	PRIJEM	VKLAD	36479	79399	\N	\N	\N
439600	1495	1994-07-05	PRIJEM	VKLAD	24319	72847	\N	\N	\N
439601	1495	1994-08-05	PRIJEM	VKLAD	24319	68155	\N	\N	\N
439602	1495	1994-09-05	PRIJEM	VKLAD	24319	68468	\N	\N	\N
439603	1495	1994-10-05	PRIJEM	VKLAD	24319	69181	\N	\N	\N
439604	1495	1994-11-05	PRIJEM	VKLAD	24319	69735	\N	\N	\N
439605	1495	1994-12-05	PRIJEM	VKLAD	36479	82610	\N	\N	\N
439606	1495	1995-01-05	PRIJEM	VKLAD	24319	70273	\N	\N	\N
439607	1495	1995-02-05	PRIJEM	VKLAD	24319	63620	\N	\N	\N
439608	1495	1995-03-05	PRIJEM	VKLAD	24319	67310	\N	\N	\N
439609	1495	1995-04-05	PRIJEM	VKLAD	24319	65574	\N	\N	\N
439610	1495	1995-05-05	PRIJEM	VKLAD	24319	63457	\N	\N	\N
439611	1495	1995-06-05	PRIJEM	VKLAD	36479	75084	\N	\N	\N
439612	1495	1995-07-05	PRIJEM	VKLAD	24319	76025	\N	\N	\N
439613	1495	1995-08-05	PRIJEM	VKLAD	24319	76158	\N	\N	\N
439614	1495	1995-09-05	PRIJEM	VKLAD	24319	74087	\N	\N	\N
439615	1495	1995-10-05	PRIJEM	VKLAD	24319	76272	\N	\N	\N
439616	1495	1995-11-05	PRIJEM	VKLAD	24319	78683	\N	\N	\N
439617	1495	1995-12-05	PRIJEM	VKLAD	36479	92882	\N	\N	\N
439618	1495	1996-01-05	PRIJEM	VKLAD	24319	87854	\N	\N	\N
439619	1495	1996-02-05	PRIJEM	VKLAD	24319	77327	\N	\N	\N
439620	1495	1996-03-05	PRIJEM	VKLAD	24319	80057	\N	\N	\N
439621	1495	1996-04-05	PRIJEM	VKLAD	24319	77849	\N	\N	\N
439622	1495	1996-05-05	PRIJEM	VKLAD	24319	77075	\N	\N	\N
439623	1495	1996-06-05	PRIJEM	VKLAD	36479	89057	\N	\N	\N
439624	1495	1996-07-05	PRIJEM	VKLAD	24319	78297	\N	\N	\N
439625	1495	1996-08-05	PRIJEM	VKLAD	24319	75831	\N	\N	\N
439626	1495	1996-09-05	PRIJEM	VKLAD	24319	75942	\N	\N	\N
439627	1495	1996-10-05	PRIJEM	VKLAD	24319	71042	\N	\N	\N
439628	1495	1996-11-05	PRIJEM	VKLAD	24319	70733	\N	\N	\N
439629	1495	1996-12-05	PRIJEM	VKLAD	36479	84481	\N	\N	\N
439630	1495	1997-01-05	PRIJEM	VKLAD	24319	71800	\N	\N	\N
439631	1495	1997-02-05	PRIJEM	VKLAD	24319	60298	\N	\N	\N
439632	1495	1997-03-05	PRIJEM	VKLAD	24319	59633	\N	\N	\N
439633	1495	1997-04-05	PRIJEM	VKLAD	24319	60473	\N	\N	\N
439634	1495	1997-05-05	PRIJEM	VKLAD	24319	58507	\N	\N	\N
439635	1495	1997-06-05	PRIJEM	VKLAD	36479	72246	\N	\N	\N
439636	1495	1997-07-05	PRIJEM	VKLAD	24319	67405	\N	\N	\N
439637	1495	1997-08-05	PRIJEM	VKLAD	24319	64160	\N	\N	\N
439638	1495	1997-09-05	PRIJEM	VKLAD	24319	61300	\N	\N	\N
439639	1495	1997-10-05	PRIJEM	VKLAD	24319	55317	\N	\N	\N
439640	1495	1997-11-05	PRIJEM	VKLAD	24319	49319	\N	\N	\N
439641	1495	1997-12-05	PRIJEM	VKLAD	36479	59754	\N	\N	\N
439642	1495	1998-01-05	PRIJEM	VKLAD	24319	45038	\N	\N	\N
439643	1495	1998-02-05	PRIJEM	VKLAD	24319	44606	\N	\N	\N
439644	1495	1998-03-05	PRIJEM	VKLAD	24319	45065	\N	\N	\N
439645	1495	1998-04-05	PRIJEM	VKLAD	24319	44526	\N	\N	\N
439646	1495	1998-05-05	PRIJEM	VKLAD	24319	47893	\N	\N	\N
439647	1495	1998-06-05	PRIJEM	VKLAD	36479	58319	\N	\N	\N
439648	1495	1998-07-05	PRIJEM	VKLAD	24319	47599	\N	\N	\N
439649	1495	1998-08-05	PRIJEM	VKLAD	24319	44169	\N	\N	\N
439650	1495	1998-09-05	PRIJEM	VKLAD	24319	40613	\N	\N	\N
439651	1495	1998-10-05	PRIJEM	VKLAD	24319	41055	\N	\N	\N
439652	1495	1998-11-05	PRIJEM	VKLAD	24319	39994	\N	\N	\N
439653	1495	1998-12-05	PRIJEM	VKLAD	36479	52192	\N	\N	\N
439668	1495	1994-03-14	VYDAJ	PREVOD NA UCET	3059	68117	SIPO	IJ	9478509
439669	1495	1994-04-14	VYDAJ	PREVOD NA UCET	3059	66168	SIPO	IJ	9478509
439670	1495	1994-05-14	VYDAJ	PREVOD NA UCET	3059	67221	SIPO	IJ	9478509
439671	1495	1994-06-14	VYDAJ	PREVOD NA UCET	3059	75670	SIPO	IJ	9478509
439672	1495	1994-07-14	VYDAJ	PREVOD NA UCET	3059	69118	SIPO	IJ	9478509
439673	1495	1994-08-14	VYDAJ	PREVOD NA UCET	3059	64426	SIPO	IJ	9478509
439674	1495	1994-09-14	VYDAJ	PREVOD NA UCET	3059	64739	SIPO	IJ	9478509
439675	1495	1994-10-14	VYDAJ	PREVOD NA UCET	3059	65452	SIPO	IJ	9478509
439676	1495	1994-11-14	VYDAJ	PREVOD NA UCET	3059	66006	SIPO	IJ	9478509
439677	1495	1994-12-14	VYDAJ	PREVOD NA UCET	3059	78081	SIPO	IJ	9478509
439678	1495	1995-01-14	VYDAJ	PREVOD NA UCET	3059	63904	SIPO	IJ	9478509
439679	1495	1995-02-14	VYDAJ	PREVOD NA UCET	3059	59891	SIPO	IJ	9478509
439680	1495	1995-03-14	VYDAJ	PREVOD NA UCET	3059	60941	SIPO	IJ	9478509
439681	1495	1995-04-14	VYDAJ	PREVOD NA UCET	3059	56205	SIPO	IJ	9478509
439682	1495	1995-05-14	VYDAJ	PREVOD NA UCET	3059	59728	SIPO	IJ	9478509
439683	1495	1995-06-14	VYDAJ	PREVOD NA UCET	3059	71355	SIPO	IJ	9478509
439684	1495	1995-07-14	VYDAJ	PREVOD NA UCET	3059	72296	SIPO	IJ	9478509
439685	1495	1995-08-14	VYDAJ	PREVOD NA UCET	3059	72429	SIPO	IJ	9478509
439686	1495	1995-09-14	VYDAJ	PREVOD NA UCET	3059	70358	SIPO	IJ	9478509
439687	1495	1995-10-14	VYDAJ	PREVOD NA UCET	3059	72543	SIPO	IJ	9478509
439688	1495	1995-11-14	VYDAJ	PREVOD NA UCET	3059	74954	SIPO	IJ	9478509
439689	1495	1995-12-14	VYDAJ	PREVOD NA UCET	3059	89153	SIPO	IJ	9478509
439690	1495	1996-01-14	VYDAJ	PREVOD NA UCET	3059	83165	SIPO	IJ	9478509
439691	1495	1996-02-14	VYDAJ	PREVOD NA UCET	3059	73598	SIPO	IJ	9478509
439692	1495	1996-03-14	VYDAJ	PREVOD NA UCET	3059	73088	SIPO	IJ	9478509
439693	1495	1996-04-14	VYDAJ	PREVOD NA UCET	3059	74120	SIPO	IJ	9478509
439694	1495	1996-05-14	VYDAJ	PREVOD NA UCET	3059	73346	SIPO	IJ	9478509
439695	1495	1996-06-14	VYDAJ	PREVOD NA UCET	3059	85328	SIPO	IJ	9478509
439696	1495	1996-07-14	VYDAJ	PREVOD NA UCET	3059	74568	SIPO	IJ	9478509
439697	1495	1996-08-14	VYDAJ	PREVOD NA UCET	3059	71302	SIPO	IJ	9478509
439698	1495	1996-09-14	VYDAJ	PREVOD NA UCET	3059	72213	SIPO	IJ	9478509
439699	1495	1996-10-14	VYDAJ	PREVOD NA UCET	3059	67313	SIPO	IJ	9478509
439700	1495	1996-11-14	VYDAJ	PREVOD NA UCET	3059	67004	SIPO	IJ	9478509
439701	1495	1996-12-14	VYDAJ	PREVOD NA UCET	3059	79152	SIPO	IJ	9478509
439702	1495	1997-01-14	VYDAJ	PREVOD NA UCET	3059	41771	SIPO	IJ	9478509
439703	1495	1997-02-14	VYDAJ	PREVOD NA UCET	3059	35169	SIPO	IJ	9478509
439704	1495	1997-03-14	VYDAJ	PREVOD NA UCET	3059	55904	SIPO	IJ	9478509
439705	1495	1997-04-14	VYDAJ	PREVOD NA UCET	3059	56144	SIPO	IJ	9478509
439706	1495	1997-05-14	VYDAJ	PREVOD NA UCET	3059	51378	SIPO	IJ	9478509
439707	1495	1997-06-14	VYDAJ	PREVOD NA UCET	3059	42917	SIPO	IJ	9478509
439708	1495	1997-07-14	VYDAJ	PREVOD NA UCET	3059	39676	SIPO	IJ	9478509
439709	1495	1997-08-14	VYDAJ	PREVOD NA UCET	3059	36831	SIPO	IJ	9478509
439710	1495	1997-09-14	VYDAJ	PREVOD NA UCET	3059	30871	SIPO	IJ	9478509
439711	1495	1997-10-14	VYDAJ	PREVOD NA UCET	3059	24888	SIPO	IJ	9478509
439712	1495	1997-11-14	VYDAJ	PREVOD NA UCET	3059	23190	SIPO	IJ	9478509
439713	1495	1997-12-14	VYDAJ	PREVOD NA UCET	3059	24625	SIPO	IJ	9478509
439714	1495	1998-01-14	VYDAJ	PREVOD NA UCET	3059	20209	SIPO	IJ	9478509
439715	1495	1998-02-14	VYDAJ	PREVOD NA UCET	3059	20677	SIPO	IJ	9478509
439716	1495	1998-03-14	VYDAJ	PREVOD NA UCET	3059	20136	SIPO	IJ	9478509
439717	1495	1998-04-14	VYDAJ	PREVOD NA UCET	3059	23497	SIPO	IJ	9478509
439718	1495	1998-05-14	VYDAJ	PREVOD NA UCET	3059	21764	SIPO	IJ	9478509
439719	1495	1998-06-14	VYDAJ	PREVOD NA UCET	3059	26990	SIPO	IJ	9478509
439720	1495	1998-07-14	VYDAJ	PREVOD NA UCET	3059	19770	SIPO	IJ	9478509
439721	1495	1998-08-14	VYDAJ	PREVOD NA UCET	3059	16240	SIPO	IJ	9478509
439722	1495	1998-09-14	VYDAJ	PREVOD NA UCET	3059	16684	SIPO	IJ	9478509
439723	1495	1998-10-14	VYDAJ	PREVOD NA UCET	3059	15626	SIPO	IJ	9478509
439724	1495	1998-11-14	VYDAJ	PREVOD NA UCET	3059	15665	SIPO	IJ	9478509
439725	1495	1998-12-14	VYDAJ	PREVOD NA UCET	3059	24163	SIPO	IJ	9478509
439740	1495	1994-03-09	VYDAJ	PREVOD NA UCET	670	71176	 	MN	97259157
439741	1495	1994-04-09	VYDAJ	PREVOD NA UCET	670	69227	 	MN	97259157
439742	1495	1994-05-09	VYDAJ	PREVOD NA UCET	670	70280	 	MN	97259157
439743	1495	1994-06-09	VYDAJ	PREVOD NA UCET	670	78729	 	MN	97259157
439744	1495	1994-07-09	VYDAJ	PREVOD NA UCET	670	72177	 	MN	97259157
439745	1495	1994-08-09	VYDAJ	PREVOD NA UCET	670	67485	 	MN	97259157
439746	1495	1994-09-09	VYDAJ	PREVOD NA UCET	670	67798	 	MN	97259157
439747	1495	1994-10-09	VYDAJ	PREVOD NA UCET	670	68511	 	MN	97259157
439748	1495	1994-11-09	VYDAJ	PREVOD NA UCET	670	69065	 	MN	97259157
439749	1495	1994-12-09	VYDAJ	PREVOD NA UCET	670	81940	 	MN	97259157
439750	1495	1995-01-09	VYDAJ	PREVOD NA UCET	670	69603	 	MN	97259157
439751	1495	1995-02-09	VYDAJ	PREVOD NA UCET	670	62950	 	MN	97259157
439752	1495	1995-03-09	VYDAJ	PREVOD NA UCET	670	64000	 	MN	97259157
439753	1495	1995-04-09	VYDAJ	PREVOD NA UCET	670	59264	 	MN	97259157
439754	1495	1995-05-09	VYDAJ	PREVOD NA UCET	670	62787	 	MN	97259157
439755	1495	1995-06-09	VYDAJ	PREVOD NA UCET	670	74414	 	MN	97259157
439756	1495	1995-07-09	VYDAJ	PREVOD NA UCET	670	75355	 	MN	97259157
439757	1495	1995-08-09	VYDAJ	PREVOD NA UCET	670	75488	 	MN	97259157
439758	1495	1995-09-09	VYDAJ	PREVOD NA UCET	670	73417	 	MN	97259157
439759	1495	1995-10-09	VYDAJ	PREVOD NA UCET	670	75602	 	MN	97259157
439760	1495	1995-11-09	VYDAJ	PREVOD NA UCET	670	78013	 	MN	97259157
439761	1495	1995-12-09	VYDAJ	PREVOD NA UCET	670	92212	 	MN	97259157
439762	1495	1996-01-09	VYDAJ	PREVOD NA UCET	670	87184	 	MN	97259157
439763	1495	1996-02-09	VYDAJ	PREVOD NA UCET	670	76657	 	MN	97259157
439764	1495	1996-03-09	VYDAJ	PREVOD NA UCET	670	79387	 	MN	97259157
439765	1495	1996-04-09	VYDAJ	PREVOD NA UCET	670	77179	 	MN	97259157
439766	1495	1996-05-09	VYDAJ	PREVOD NA UCET	670	76405	 	MN	97259157
439767	1495	1996-06-09	VYDAJ	PREVOD NA UCET	670	88387	 	MN	97259157
439768	1495	1996-07-09	VYDAJ	PREVOD NA UCET	670	77627	 	MN	97259157
439769	1495	1996-08-09	VYDAJ	PREVOD NA UCET	670	75161	 	MN	97259157
439770	1495	1996-09-09	VYDAJ	PREVOD NA UCET	670	75272	 	MN	97259157
439771	1495	1996-10-09	VYDAJ	PREVOD NA UCET	670	70372	 	MN	97259157
439772	1495	1996-11-09	VYDAJ	PREVOD NA UCET	670	70063	 	MN	97259157
439773	1495	1996-12-09	VYDAJ	PREVOD NA UCET	670	82211	 	MN	97259157
439774	1495	1997-01-09	VYDAJ	PREVOD NA UCET	670	66730	 	MN	97259157
439775	1495	1997-02-09	VYDAJ	PREVOD NA UCET	670	59628	 	MN	97259157
439776	1495	1997-03-09	VYDAJ	PREVOD NA UCET	670	58963	 	MN	97259157
439777	1495	1997-04-09	VYDAJ	PREVOD NA UCET	670	59803	 	MN	97259157
439778	1495	1997-05-09	VYDAJ	PREVOD NA UCET	670	57237	 	MN	97259157
439779	1495	1997-06-09	VYDAJ	PREVOD NA UCET	670	71576	 	MN	97259157
439780	1495	1997-07-09	VYDAJ	PREVOD NA UCET	670	66735	 	MN	97259157
439781	1495	1997-08-09	VYDAJ	PREVOD NA UCET	670	63490	 	MN	97259157
439782	1495	1997-09-09	VYDAJ	PREVOD NA UCET	670	60630	 	MN	97259157
439783	1495	1997-10-09	VYDAJ	PREVOD NA UCET	670	48847	 	MN	97259157
439784	1495	1997-11-09	VYDAJ	PREVOD NA UCET	670	48649	 	MN	97259157
439785	1495	1997-12-09	VYDAJ	PREVOD NA UCET	670	54884	 	MN	97259157
439786	1495	1998-01-09	VYDAJ	PREVOD NA UCET	670	25468	 	MN	97259157
439787	1495	1998-02-09	VYDAJ	PREVOD NA UCET	670	23736	 	MN	97259157
439788	1495	1998-03-09	VYDAJ	PREVOD NA UCET	670	44395	 	MN	97259157
439789	1495	1998-04-09	VYDAJ	PREVOD NA UCET	670	26556	 	MN	97259157
439790	1495	1998-05-09	VYDAJ	PREVOD NA UCET	670	24823	 	MN	97259157
439791	1495	1998-06-09	VYDAJ	PREVOD NA UCET	670	30049	 	MN	97259157
439792	1495	1998-07-09	VYDAJ	PREVOD NA UCET	670	22829	 	MN	97259157
439793	1495	1998-08-09	VYDAJ	PREVOD NA UCET	670	19299	 	MN	97259157
439794	1495	1998-09-09	VYDAJ	PREVOD NA UCET	670	19743	 	MN	97259157
439795	1495	1998-10-09	VYDAJ	PREVOD NA UCET	670	18685	 	MN	97259157
439796	1495	1998-11-09	VYDAJ	PREVOD NA UCET	670	18724	 	MN	97259157
439797	1495	1998-12-09	VYDAJ	PREVOD NA UCET	670	27222	 	MN	97259157
439799	1495	1994-12-10	VYDAJ	VYBER	800	81140	\N	\N	\N
439800	1495	1995-12-15	VYDAJ	VYBER	3200	85953	\N	\N	\N
439801	1495	1996-12-06	VYDAJ	VYBER KARTOU	1600	82881	\N	\N	0
439802	1495	1997-12-20	VYDAJ	VYBER KARTOU	4000	20625	\N	\N	0
439803	1495	1998-12-19	VYDAJ	VYBER KARTOU	3000	21163	\N	\N	0
439816	1495	1995-01-26	VYDAJ	VYBER	840	45204	\N	\N	\N
439817	1495	1995-01-27	VYDAJ	VYBER	2760	42444	\N	\N	\N
439818	1495	1995-01-25	VYDAJ	VYBER	2160	61744	\N	\N	\N
439819	1495	1995-01-30	VYDAJ	VYBER	840	39084	\N	\N	\N
439820	1495	1995-01-12	VYDAJ	VYBER	2640	66963	\N	\N	\N
439821	1495	1995-01-30	VYDAJ	VYBER	2520	39924	\N	\N	\N
439822	1495	1996-01-22	VYDAJ	VYBER	600	54665	\N	\N	\N
439823	1495	1996-01-29	VYDAJ	VYBER	600	52745	\N	\N	\N
439824	1495	1996-01-19	VYDAJ	VYBER	840	78965	\N	\N	\N
439825	1495	1996-01-27	VYDAJ	VYBER	1320	53345	\N	\N	\N
439826	1495	1996-01-17	VYDAJ	VYBER	3360	79805	\N	\N	\N
439827	1495	1996-01-10	VYDAJ	VYBER	960	86224	\N	\N	\N
439828	1495	1997-01-08	VYDAJ	VYBER KARTOU	2200	69600	\N	\N	0
439829	1495	1997-01-21	VYDAJ	VYBER KARTOU	3200	38571	\N	\N	0
439830	1495	1997-01-09	VYDAJ	VYBER KARTOU	2200	67400	\N	\N	0
439831	1495	1997-01-14	VYDAJ	VYBER KARTOU	1000	65730	\N	\N	0
439832	1495	1997-01-03	VYDAJ	VYBER KARTOU	1300	47481	\N	\N	0
439833	1495	1997-01-24	VYDAJ	VYBER KARTOU	2800	35771	\N	\N	0
439834	1495	1998-01-06	VYDAJ	VYBER KARTOU	1000	44038	\N	\N	0
439835	1495	1998-01-10	VYDAJ	VYBER KARTOU	2200	23268	\N	\N	0
439837	1495	1998-01-09	VYDAJ	VYBER KARTOU	3000	26138	\N	\N	0
439844	1495	1994-12-28	VYDAJ	VYBER	4080	45701	\N	\N	\N
439845	1495	1994-10-27	VYDAJ	VYBER	3960	45192	\N	\N	\N
439846	1495	1994-07-22	VYDAJ	VYBER	4920	64198	\N	\N	\N
439848	1495	1994-05-31	VYDAJ	VYBER	2040	42935	\N	\N	\N
439849	1495	1995-10-20	VYDAJ	VYBER	1920	70623	\N	\N	\N
439850	1495	1995-03-06	VYDAJ	VYBER	2640	64670	\N	\N	\N
439851	1495	1995-06-02	VYDAJ	VYBER	4320	38605	\N	\N	\N
439852	1495	1995-04-08	VYDAJ	VYBER	5640	59934	\N	\N	\N
439853	1495	1995-09-29	VYDAJ	VYBER	1440	51718	\N	\N	\N
439854	1495	1995-04-25	VYDAJ	VYBER	1560	38945	\N	\N	\N
439855	1495	1996-10-30	VYDAJ	VYBER KARTOU	1900	46213	\N	\N	0
439856	1495	1996-08-11	VYDAJ	VYBER KARTOU	800	74361	\N	\N	0
439857	1495	1996-12-23	VYDAJ	VYBER KARTOU	3200	48552	\N	\N	0
439858	1495	1996-07-03	VYDAJ	VYBER KARTOU	1000	53978	\N	\N	0
439859	1495	1996-03-14	VYDAJ	VYBER	3240	76147	\N	\N	\N
439860	1495	1997-05-14	VYDAJ	VYBER KARTOU	2800	54437	\N	\N	0
439862	1495	1997-04-12	VYDAJ	VYBER KARTOU	600	59203	\N	\N	0
439863	1495	1997-05-06	VYDAJ	VYBER KARTOU	600	57907	\N	\N	0
439864	1495	1997-12-06	VYDAJ	VYBER KARTOU	4200	55554	\N	\N	0
439865	1495	1997-10-05	VYDAJ	VYBER KARTOU	5800	49517	\N	\N	0
439871	1495	1998-07-02	VYDAJ	VYBER KARTOU	3800	23280	\N	\N	0
439888	1495	1994-03-31	VYDAJ	VYBER	15	68378	SLUZBY	\N	\N
439889	1495	1994-04-30	VYDAJ	VYBER	15	46631	SLUZBY	\N	\N
439890	1495	1994-05-31	VYDAJ	VYBER	15	42920	SLUZBY	\N	\N
439891	1495	1994-06-30	VYDAJ	VYBER	15	48528	SLUZBY	\N	\N
439892	1495	1994-07-31	VYDAJ	VYBER	15	43836	SLUZBY	\N	\N
439893	1495	1994-08-31	VYDAJ	VYBER	15	44149	SLUZBY	\N	\N
439894	1495	1994-09-30	VYDAJ	VYBER	15	44862	SLUZBY	\N	\N
439895	1495	1994-10-31	VYDAJ	VYBER	15	45416	SLUZBY	\N	\N
439896	1495	1994-11-30	VYDAJ	VYBER	15	46131	SLUZBY	\N	\N
439897	1495	1994-12-31	VYDAJ	VYBER	15	45954	SLUZBY	\N	\N
439898	1495	1995-01-31	VYDAJ	VYBER	15	39301	SLUZBY	\N	\N
439899	1495	1995-02-28	VYDAJ	VYBER	15	42991	SLUZBY	\N	\N
439900	1495	1995-03-31	VYDAJ	VYBER	15	41255	SLUZBY	\N	\N
439901	1495	1995-04-30	VYDAJ	VYBER	15	39138	SLUZBY	\N	\N
439902	1495	1995-05-31	VYDAJ	VYBER	15	42925	SLUZBY	\N	\N
439903	1495	1995-06-30	VYDAJ	VYBER	15	51706	SLUZBY	\N	\N
439904	1495	1995-07-31	VYDAJ	VYBER	15	51839	SLUZBY	\N	\N
439905	1495	1995-08-31	VYDAJ	VYBER	15	49768	SLUZBY	\N	\N
439906	1495	1995-09-30	VYDAJ	VYBER	15	51953	SLUZBY	\N	\N
439907	1495	1995-10-31	VYDAJ	VYBER	15	54364	SLUZBY	\N	\N
439908	1495	1995-11-30	VYDAJ	VYBER	15	56404	SLUZBY	\N	\N
439909	1495	1995-12-31	VYDAJ	VYBER	15	63535	SLUZBY	\N	\N
439910	1495	1996-01-31	VYDAJ	VYBER	15	53008	SLUZBY	\N	\N
439911	1495	1996-02-29	VYDAJ	VYBER	15	55738	SLUZBY	\N	\N
439912	1495	1996-03-31	VYDAJ	VYBER	15	53530	SLUZBY	\N	\N
439913	1495	1996-04-30	VYDAJ	VYBER	15	52756	SLUZBY	\N	\N
439914	1495	1996-05-31	VYDAJ	VYBER	15	52579	SLUZBY	\N	\N
439915	1495	1996-06-30	VYDAJ	VYBER	15	54978	SLUZBY	\N	\N
439916	1495	1996-07-31	VYDAJ	VYBER	15	51512	SLUZBY	\N	\N
439917	1495	1996-08-31	VYDAJ	VYBER	15	51623	SLUZBY	\N	\N
439918	1495	1996-09-30	VYDAJ	VYBER	15	46723	SLUZBY	\N	\N
439919	1495	1996-10-31	VYDAJ	VYBER	15	46414	SLUZBY	\N	\N
439920	1495	1996-11-30	VYDAJ	VYBER	15	48003	SLUZBY	\N	\N
439921	1495	1996-12-31	VYDAJ	VYBER	15	48781	SLUZBY	\N	\N
439922	1495	1997-01-31	VYDAJ	VYBER	15	35979	SLUZBY	\N	\N
439923	1495	1997-02-28	VYDAJ	VYBER	15	35314	SLUZBY	\N	\N
439924	1495	1997-03-31	VYDAJ	VYBER	15	36154	SLUZBY	\N	\N
439925	1495	1997-04-30	VYDAJ	VYBER	15	34188	SLUZBY	\N	\N
439926	1495	1997-05-31	VYDAJ	VYBER	15	35767	SLUZBY	\N	\N
439927	1495	1997-06-30	VYDAJ	VYBER	15	43086	SLUZBY	\N	\N
439928	1495	1997-07-31	VYDAJ	VYBER	15	39841	SLUZBY	\N	\N
439929	1495	1997-08-31	VYDAJ	VYBER	15	36981	SLUZBY	\N	\N
439930	1495	1997-09-30	VYDAJ	VYBER	15	30998	SLUZBY	\N	\N
439931	1495	1997-10-31	VYDAJ	VYBER	15	25000	SLUZBY	\N	\N
439932	1495	1997-11-30	VYDAJ	VYBER	15	23275	SLUZBY	\N	\N
439933	1495	1997-12-31	VYDAJ	VYBER	15	20719	SLUZBY	\N	\N
439934	1495	1998-01-31	VYDAJ	VYBER	15	20287	SLUZBY	\N	\N
439935	1495	1998-02-28	VYDAJ	VYBER	15	20746	SLUZBY	\N	\N
439936	1495	1998-03-31	VYDAJ	VYBER	15	20207	SLUZBY	\N	\N
439937	1495	1998-04-30	VYDAJ	VYBER	15	23574	SLUZBY	\N	\N
439938	1495	1998-05-31	VYDAJ	VYBER	15	21840	SLUZBY	\N	\N
439939	1495	1998-06-30	VYDAJ	VYBER	15	27080	SLUZBY	\N	\N
439940	1495	1998-07-31	VYDAJ	VYBER	15	19850	SLUZBY	\N	\N
439941	1495	1998-08-31	VYDAJ	VYBER	15	16294	SLUZBY	\N	\N
439942	1495	1998-09-30	VYDAJ	VYBER	15	16736	SLUZBY	\N	\N
439943	1495	1998-10-31	VYDAJ	VYBER	15	15675	SLUZBY	\N	\N
439944	1495	1998-11-30	VYDAJ	VYBER	15	15714	SLUZBY	\N	\N
439945	1495	1993-12-01	PRIJEM	VKLAD	2100	26808	\N	\N	\N
439946	1495	1993-12-31	VYDAJ	VYBER	21700	41826	\N	\N	\N
439947	1495	1994-01-30	VYDAJ	VYBER	21100	45045	\N	\N	\N
439948	1495	1994-03-01	VYDAJ	VYBER	22200	47527	\N	\N	\N
439949	1495	1994-03-31	VYDAJ	VYBER	22800	45578	\N	\N	\N
439950	1495	1994-04-30	VYDAJ	VYBER	19800	46646	\N	\N	\N
439951	1495	1994-05-30	VYDAJ	VYBER	22500	44721	\N	\N	\N
439952	1495	1994-06-29	VYDAJ	VYBER	27400	48270	\N	\N	\N
439953	1495	1994-07-29	VYDAJ	VYBER	20600	43598	\N	\N	\N
439954	1495	1994-08-28	VYDAJ	VYBER	20500	43926	\N	\N	\N
439955	1495	1994-09-27	VYDAJ	VYBER	20100	44639	\N	\N	\N
439956	1495	1994-10-27	VYDAJ	VYBER	16300	49152	\N	\N	\N
439957	1495	1994-11-26	VYDAJ	VYBER	20100	45906	\N	\N	\N
439958	1495	1994-12-26	VYDAJ	VYBER	28300	49781	\N	\N	\N
439959	1495	1995-01-25	VYDAJ	VYBER	15700	46044	\N	\N	\N
439960	1495	1995-02-24	VYDAJ	VYBER	17100	42791	\N	\N	\N
439961	1495	1995-03-26	VYDAJ	VYBER	19900	41041	\N	\N	\N
439962	1495	1995-04-25	VYDAJ	VYBER	15700	40505	\N	\N	\N
439963	1495	1995-05-25	VYDAJ	VYBER	17000	42728	\N	\N	\N
439964	1495	1995-06-24	VYDAJ	VYBER	19900	51455	\N	\N	\N
439965	1495	1995-07-24	VYDAJ	VYBER	20700	51596	\N	\N	\N
439966	1495	1995-08-23	VYDAJ	VYBER	22900	49529	\N	\N	\N
439967	1495	1995-09-22	VYDAJ	VYBER	17200	53158	\N	\N	\N
439968	1495	1995-10-22	VYDAJ	VYBER	16500	54123	\N	\N	\N
439969	1495	1995-11-21	VYDAJ	VYBER	18800	56154	\N	\N	\N
439970	1495	1995-12-21	VYDAJ	VYBER	22700	63253	\N	\N	\N
439971	1495	1996-01-20	VYDAJ	VYBER	23700	55265	\N	\N	\N
439972	1495	1996-02-19	VYDAJ	VYBER	18100	55498	\N	\N	\N
439973	1495	1996-03-20	VYDAJ	VYBER	19800	53288	\N	\N	\N
439974	1495	1996-04-19	VYDAJ	VYBER	21600	52520	\N	\N	\N
439975	1495	1996-05-19	VYDAJ	VYBER	21000	52346	\N	\N	\N
439976	1495	1996-06-18	VYDAJ	VYBER	30600	54728	\N	\N	\N
439977	1495	1996-07-18	VYDAJ	VYBER	23300	51268	\N	\N	\N
439978	1495	1996-08-17	VYDAJ	VYBER	19900	51402	\N	\N	\N
439979	1495	1996-09-16	VYDAJ	VYBER	25700	46513	\N	\N	\N
439980	1495	1996-10-16	VYDAJ	VYBER	19200	48113	\N	\N	\N
439981	1495	1996-11-15	VYDAJ	VYBER	19200	47804	\N	\N	\N
439982	1495	1996-12-15	VYDAJ	VYBER	27400	51752	\N	\N	\N
439983	1495	1997-01-14	VYDAJ	VYBER	20900	44830	\N	\N	\N
439984	1495	1997-02-13	VYDAJ	VYBER	21400	38228	\N	\N	\N
439985	1495	1997-03-15	VYDAJ	VYBER	19900	36004	\N	\N	\N
439986	1495	1997-04-14	VYDAJ	VYBER	22100	34044	\N	\N	\N
439987	1495	1997-05-14	VYDAJ	VYBER	15800	35578	\N	\N	\N
439988	1495	1997-06-13	VYDAJ	VYBER	25600	45976	\N	\N	\N
439989	1495	1997-07-13	VYDAJ	VYBER	24000	42735	\N	\N	\N
439990	1495	1997-08-12	VYDAJ	VYBER	23600	39890	\N	\N	\N
439991	1495	1997-09-11	VYDAJ	VYBER	26700	33930	\N	\N	\N
439992	1495	1997-10-11	VYDAJ	VYBER	20900	27947	\N	\N	\N
439993	1495	1997-11-10	VYDAJ	VYBER	22400	26249	\N	\N	\N
439994	1495	1997-12-10	VYDAJ	VYBER	27200	27684	\N	\N	\N
439995	1495	1998-01-09	VYDAJ	VYBER	14900	29138	\N	\N	\N
439996	1495	1998-02-08	VYDAJ	VYBER	20200	24406	\N	\N	\N
439997	1495	1998-03-10	VYDAJ	VYBER	21200	23195	\N	\N	\N
439998	1495	1998-04-09	VYDAJ	VYBER	17300	27226	\N	\N	\N
439999	1495	1998-05-09	VYDAJ	VYBER	22400	25493	\N	\N	\N
440000	1495	1998-06-08	VYDAJ	VYBER	27600	30719	\N	\N	\N
440001	1495	1998-07-08	VYDAJ	VYBER	24100	23499	\N	\N	\N
440002	1495	1998-08-07	VYDAJ	VYBER	24200	19969	\N	\N	\N
440003	1495	1998-09-06	VYDAJ	VYBER	20200	20413	\N	\N	\N
440004	1495	1998-10-06	VYDAJ	VYBER	21700	19355	\N	\N	\N
440005	1495	1998-11-05	VYDAJ	VYBER	20600	19394	\N	\N	\N
440006	1495	1998-12-05	VYDAJ	VYBER	24300	27892	\N	\N	\N
440069	1496	1995-02-05	PRIJEM	VKLAD	400	400	\N	\N	\N
440071	1496	1995-02-10	PRIJEM	VKLAD	14726	15126	\N	\N	\N
440072	1496	1995-03-10	PRIJEM	VKLAD	14726	32995	\N	\N	\N
440073	1496	1995-04-10	PRIJEM	VKLAD	14726	43937	\N	\N	\N
440074	1496	1995-05-10	PRIJEM	VKLAD	14726	49232	\N	\N	\N
440075	1496	1995-06-10	PRIJEM	VKLAD	22089	60020	\N	\N	\N
440076	1496	1995-07-10	PRIJEM	VKLAD	14726	39997	\N	\N	\N
440077	1496	1995-08-10	PRIJEM	VKLAD	14726	36040	\N	\N	\N
440078	1496	1995-09-10	PRIJEM	VKLAD	14726	37767	\N	\N	\N
440079	1496	1995-10-10	PRIJEM	VKLAD	14726	34499	\N	\N	\N
440080	1496	1995-11-10	PRIJEM	VKLAD	14726	37118	\N	\N	\N
440081	1496	1995-12-10	PRIJEM	VKLAD	22089	44507	\N	\N	\N
440082	1496	1996-01-10	PRIJEM	VKLAD	14726	41457	\N	\N	\N
440083	1496	1996-02-10	PRIJEM	VKLAD	14726	40003	\N	\N	\N
440084	1496	1996-03-10	PRIJEM	VKLAD	14726	42552	\N	\N	\N
440085	1496	1996-04-10	PRIJEM	VKLAD	14726	41502	\N	\N	\N
440086	1496	1996-05-10	PRIJEM	VKLAD	14726	42550	\N	\N	\N
440087	1496	1996-06-10	PRIJEM	VKLAD	22089	51065	\N	\N	\N
440088	1496	1996-07-10	PRIJEM	VKLAD	14726	46430	\N	\N	\N
440089	1496	1996-08-10	PRIJEM	VKLAD	14726	43095	\N	\N	\N
440090	1496	1996-09-10	PRIJEM	VKLAD	14726	42045	\N	\N	\N
440091	1496	1996-10-10	PRIJEM	VKLAD	14726	39491	\N	\N	\N
440092	1496	1996-11-10	PRIJEM	VKLAD	14726	42725	\N	\N	\N
440093	1496	1996-12-10	PRIJEM	VKLAD	22089	47834	\N	\N	\N
440094	1496	1997-01-10	PRIJEM	VKLAD	14726	46693	\N	\N	\N
440095	1496	1997-02-10	PRIJEM	VKLAD	14726	37136	\N	\N	\N
440096	1496	1997-03-10	PRIJEM	VKLAD	14726	37661	\N	\N	\N
440097	1496	1997-04-10	PRIJEM	VKLAD	14726	41990	\N	\N	\N
440098	1496	1997-05-10	PRIJEM	VKLAD	14726	42635	\N	\N	\N
440099	1496	1997-06-10	PRIJEM	VKLAD	22089	48442	\N	\N	\N
440100	1496	1997-07-10	PRIJEM	VKLAD	14726	43096	\N	\N	\N
440101	1496	1997-08-10	PRIJEM	VKLAD	14726	44143	\N	\N	\N
440102	1496	1997-09-10	PRIJEM	VKLAD	14726	41188	\N	\N	\N
440103	1496	1997-10-10	PRIJEM	VKLAD	14726	37816	\N	\N	\N
440104	1496	1997-11-10	PRIJEM	VKLAD	14726	39341	\N	\N	\N
440105	1496	1997-12-10	PRIJEM	VKLAD	22089	52940	\N	\N	\N
440106	1496	1998-01-10	PRIJEM	VKLAD	14726	47507	\N	\N	\N
440107	1496	1998-02-10	PRIJEM	VKLAD	14726	36862	\N	\N	\N
440108	1496	1998-03-10	PRIJEM	VKLAD	14726	34180	\N	\N	\N
440109	1496	1998-04-10	PRIJEM	VKLAD	14726	31479	\N	\N	\N
440110	1496	1998-05-10	PRIJEM	VKLAD	14726	29971	\N	\N	\N
440111	1496	1998-06-10	PRIJEM	VKLAD	22089	35117	\N	\N	\N
440112	1496	1998-07-10	PRIJEM	VKLAD	14726	27293	\N	\N	\N
440113	1496	1998-08-10	PRIJEM	VKLAD	14726	25674	\N	\N	\N
440114	1496	1998-09-10	PRIJEM	VKLAD	14726	25638	\N	\N	\N
440115	1496	1998-10-10	PRIJEM	VKLAD	14726	28409	\N	\N	\N
440116	1496	1998-11-10	PRIJEM	VKLAD	14726	24181	\N	\N	\N
440117	1496	1998-12-10	PRIJEM	VKLAD	22089	34609	\N	\N	\N
440124	1496	1995-07-05	VYDAJ	PREVOD NA UCET	6931	25271	SIPO	AB	4760909
440125	1496	1995-08-05	VYDAJ	PREVOD NA UCET	6931	21314	SIPO	AB	4760909
440126	1496	1995-09-05	VYDAJ	PREVOD NA UCET	6931	23041	SIPO	AB	4760909
440127	1496	1995-10-05	VYDAJ	PREVOD NA UCET	6931	19773	SIPO	AB	4760909
440128	1496	1995-11-05	VYDAJ	PREVOD NA UCET	6931	22392	SIPO	AB	4760909
440129	1496	1995-12-05	VYDAJ	PREVOD NA UCET	6931	22418	SIPO	AB	4760909
440130	1496	1996-01-05	VYDAJ	PREVOD NA UCET	6931	26731	SIPO	AB	4760909
440131	1496	1996-02-05	VYDAJ	PREVOD NA UCET	6931	25277	SIPO	AB	4760909
440132	1496	1996-03-05	VYDAJ	PREVOD NA UCET	6931	27826	SIPO	AB	4760909
440133	1496	1996-04-05	VYDAJ	PREVOD NA UCET	6931	26776	SIPO	AB	4760909
440134	1496	1996-05-05	VYDAJ	PREVOD NA UCET	6931	27824	SIPO	AB	4760909
440135	1496	1996-06-05	VYDAJ	PREVOD NA UCET	6931	28976	SIPO	AB	4760909
440136	1496	1996-07-05	VYDAJ	PREVOD NA UCET	6931	31704	SIPO	AB	4760909
440137	1496	1996-08-05	VYDAJ	PREVOD NA UCET	6931	28369	SIPO	AB	4760909
440138	1496	1996-09-05	VYDAJ	PREVOD NA UCET	6931	27319	SIPO	AB	4760909
440139	1496	1996-10-05	VYDAJ	PREVOD NA UCET	6931	24765	SIPO	AB	4760909
440140	1496	1996-11-05	VYDAJ	PREVOD NA UCET	6931	27999	SIPO	AB	4760909
440141	1496	1996-12-05	VYDAJ	PREVOD NA UCET	6931	25745	SIPO	AB	4760909
440142	1496	1997-01-05	VYDAJ	PREVOD NA UCET	6931	31967	SIPO	AB	4760909
440143	1496	1997-02-05	VYDAJ	PREVOD NA UCET	6931	22410	SIPO	AB	4760909
440144	1496	1997-03-05	VYDAJ	PREVOD NA UCET	6931	22935	SIPO	AB	4760909
440145	1496	1997-04-05	VYDAJ	PREVOD NA UCET	6931	27264	SIPO	AB	4760909
440146	1496	1997-05-05	VYDAJ	PREVOD NA UCET	6931	27909	SIPO	AB	4760909
440147	1496	1997-06-05	VYDAJ	PREVOD NA UCET	6931	26353	SIPO	AB	4760909
440148	1496	1997-07-05	VYDAJ	PREVOD NA UCET	6931	28370	SIPO	AB	4760909
440149	1496	1997-08-05	VYDAJ	PREVOD NA UCET	6931	29417	SIPO	AB	4760909
440150	1496	1997-09-05	VYDAJ	PREVOD NA UCET	6931	26462	SIPO	AB	4760909
440151	1496	1997-10-05	VYDAJ	PREVOD NA UCET	6931	23090	SIPO	AB	4760909
440152	1496	1997-11-05	VYDAJ	PREVOD NA UCET	6931	24615	SIPO	AB	4760909
440153	1496	1997-12-05	VYDAJ	PREVOD NA UCET	6931	30851	SIPO	AB	4760909
440154	1496	1998-01-05	VYDAJ	PREVOD NA UCET	6931	32781	SIPO	AB	4760909
440155	1496	1998-02-05	VYDAJ	PREVOD NA UCET	6931	22736	SIPO	AB	4760909
440156	1496	1998-03-05	VYDAJ	PREVOD NA UCET	6931	19454	SIPO	AB	4760909
440157	1496	1998-04-05	VYDAJ	PREVOD NA UCET	6931	16753	SIPO	AB	4760909
440158	1496	1998-05-05	VYDAJ	PREVOD NA UCET	6931	15245	SIPO	AB	4760909
440159	1496	1998-06-05	VYDAJ	PREVOD NA UCET	6931	13028	SIPO	AB	4760909
440160	1496	1998-07-05	VYDAJ	PREVOD NA UCET	6931	12567	SIPO	AB	4760909
440161	1496	1998-08-05	VYDAJ	PREVOD NA UCET	6931	10948	SIPO	AB	4760909
440162	1496	1998-09-05	VYDAJ	PREVOD NA UCET	6931	10912	SIPO	AB	4760909
440163	1496	1998-10-05	VYDAJ	PREVOD NA UCET	6931	13683	SIPO	AB	4760909
440164	1496	1998-11-05	VYDAJ	PREVOD NA UCET	6931	9455	SIPO	AB	4760909
440165	1496	1998-12-05	VYDAJ	PREVOD NA UCET	6931	12520	SIPO	AB	4760909
440171	1496	1995-06-11	VYDAJ	PREVOD NA UCET	161	59826	 	GH	36367225
440172	1496	1995-07-11	VYDAJ	PREVOD NA UCET	161	39803	 	GH	36367225
440173	1496	1995-08-11	VYDAJ	PREVOD NA UCET	161	35846	 	GH	36367225
440174	1496	1995-09-11	VYDAJ	PREVOD NA UCET	161	37573	 	GH	36367225
440175	1496	1995-10-11	VYDAJ	PREVOD NA UCET	161	34305	 	GH	36367225
440176	1496	1995-11-11	VYDAJ	PREVOD NA UCET	161	36924	 	GH	36367225
440177	1496	1995-12-11	VYDAJ	PREVOD NA UCET	161	44313	 	GH	36367225
440178	1496	1996-01-11	VYDAJ	PREVOD NA UCET	161	41263	 	GH	36367225
440179	1496	1996-02-11	VYDAJ	PREVOD NA UCET	161	39809	 	GH	36367225
440180	1496	1996-03-11	VYDAJ	PREVOD NA UCET	161	42358	 	GH	36367225
440181	1496	1996-04-11	VYDAJ	PREVOD NA UCET	161	41308	 	GH	36367225
440182	1496	1996-05-11	VYDAJ	PREVOD NA UCET	161	42356	 	GH	36367225
440183	1496	1996-06-11	VYDAJ	PREVOD NA UCET	161	50871	 	GH	36367225
440184	1496	1996-07-11	VYDAJ	PREVOD NA UCET	161	46236	 	GH	36367225
440185	1496	1996-08-11	VYDAJ	PREVOD NA UCET	161	42901	 	GH	36367225
440186	1496	1996-09-11	VYDAJ	PREVOD NA UCET	161	41851	 	GH	36367225
440187	1496	1996-10-11	VYDAJ	PREVOD NA UCET	161	39297	 	GH	36367225
440188	1496	1996-11-11	VYDAJ	PREVOD NA UCET	161	42531	 	GH	36367225
440189	1496	1996-12-11	VYDAJ	PREVOD NA UCET	161	47640	 	GH	36367225
440190	1496	1997-01-11	VYDAJ	PREVOD NA UCET	161	46499	 	GH	36367225
440191	1496	1997-02-11	VYDAJ	PREVOD NA UCET	161	36942	 	GH	36367225
440192	1496	1997-03-11	VYDAJ	PREVOD NA UCET	161	37467	 	GH	36367225
440193	1496	1997-04-11	VYDAJ	PREVOD NA UCET	161	41796	 	GH	36367225
440194	1496	1997-05-11	VYDAJ	PREVOD NA UCET	161	42441	 	GH	36367225
440195	1496	1997-06-11	VYDAJ	PREVOD NA UCET	161	48248	 	GH	36367225
440196	1496	1997-07-11	VYDAJ	PREVOD NA UCET	161	42902	 	GH	36367225
440197	1496	1997-08-11	VYDAJ	PREVOD NA UCET	161	43949	 	GH	36367225
440198	1496	1997-09-11	VYDAJ	PREVOD NA UCET	161	40494	 	GH	36367225
440199	1496	1997-10-11	VYDAJ	PREVOD NA UCET	161	37622	 	GH	36367225
440200	1496	1997-11-11	VYDAJ	PREVOD NA UCET	161	39147	 	GH	36367225
440201	1496	1997-12-11	VYDAJ	PREVOD NA UCET	161	52746	 	GH	36367225
440202	1496	1998-01-11	VYDAJ	PREVOD NA UCET	161	47313	 	GH	36367225
440203	1496	1998-02-11	VYDAJ	PREVOD NA UCET	161	36668	 	GH	36367225
440204	1496	1998-03-11	VYDAJ	PREVOD NA UCET	161	33986	 	GH	36367225
440205	1496	1998-04-11	VYDAJ	PREVOD NA UCET	161	31285	 	GH	36367225
440206	1496	1998-05-11	VYDAJ	PREVOD NA UCET	161	29777	 	GH	36367225
440207	1496	1998-06-11	VYDAJ	PREVOD NA UCET	161	34923	 	GH	36367225
440208	1496	1998-07-11	VYDAJ	PREVOD NA UCET	161	27099	 	GH	36367225
440209	1496	1998-08-11	VYDAJ	PREVOD NA UCET	161	25480	 	GH	36367225
440210	1496	1998-09-11	VYDAJ	PREVOD NA UCET	161	25444	 	GH	36367225
440211	1496	1998-10-11	VYDAJ	PREVOD NA UCET	161	28215	 	GH	36367225
440212	1496	1998-11-11	VYDAJ	PREVOD NA UCET	161	23987	 	GH	36367225
440213	1496	1998-12-11	VYDAJ	PREVOD NA UCET	161	34415	 	GH	36367225
440219	1496	1995-06-10	VYDAJ	PREVOD NA UCET	33	59987	POJISTNE	AB	44200831
440220	1496	1995-07-10	VYDAJ	PREVOD NA UCET	33	39964	POJISTNE	AB	44200831
440221	1496	1995-08-10	VYDAJ	PREVOD NA UCET	33	36007	POJISTNE	AB	44200831
440222	1496	1995-09-10	VYDAJ	PREVOD NA UCET	33	37734	POJISTNE	AB	44200831
440223	1496	1995-10-10	VYDAJ	PREVOD NA UCET	33	34466	POJISTNE	AB	44200831
440224	1496	1995-11-10	VYDAJ	PREVOD NA UCET	33	37085	POJISTNE	AB	44200831
440225	1496	1995-12-10	VYDAJ	PREVOD NA UCET	33	44474	POJISTNE	AB	44200831
440226	1496	1996-01-10	VYDAJ	PREVOD NA UCET	33	41424	POJISTNE	AB	44200831
440227	1496	1996-02-10	VYDAJ	PREVOD NA UCET	33	39970	POJISTNE	AB	44200831
440228	1496	1996-03-10	VYDAJ	PREVOD NA UCET	33	42519	POJISTNE	AB	44200831
440229	1496	1996-04-10	VYDAJ	PREVOD NA UCET	33	41469	POJISTNE	AB	44200831
440230	1496	1996-05-10	VYDAJ	PREVOD NA UCET	33	42517	POJISTNE	AB	44200831
440231	1496	1996-06-10	VYDAJ	PREVOD NA UCET	33	51032	POJISTNE	AB	44200831
440232	1496	1996-07-10	VYDAJ	PREVOD NA UCET	33	46397	POJISTNE	AB	44200831
440233	1496	1996-08-10	VYDAJ	PREVOD NA UCET	33	43062	POJISTNE	AB	44200831
440234	1496	1996-09-10	VYDAJ	PREVOD NA UCET	33	42012	POJISTNE	AB	44200831
440235	1496	1996-10-10	VYDAJ	PREVOD NA UCET	33	39458	POJISTNE	AB	44200831
440236	1496	1996-11-10	VYDAJ	PREVOD NA UCET	33	42692	POJISTNE	AB	44200831
440237	1496	1996-12-10	VYDAJ	PREVOD NA UCET	33	47801	POJISTNE	AB	44200831
440238	1496	1997-01-10	VYDAJ	PREVOD NA UCET	33	46660	POJISTNE	AB	44200831
440239	1496	1997-02-10	VYDAJ	PREVOD NA UCET	33	37103	POJISTNE	AB	44200831
440240	1496	1997-03-10	VYDAJ	PREVOD NA UCET	33	37628	POJISTNE	AB	44200831
440241	1496	1997-04-10	VYDAJ	PREVOD NA UCET	33	41957	POJISTNE	AB	44200831
440242	1496	1997-05-10	VYDAJ	PREVOD NA UCET	33	42602	POJISTNE	AB	44200831
440243	1496	1997-06-10	VYDAJ	PREVOD NA UCET	33	48409	POJISTNE	AB	44200831
440244	1496	1997-07-10	VYDAJ	PREVOD NA UCET	33	43063	POJISTNE	AB	44200831
440245	1496	1997-08-10	VYDAJ	PREVOD NA UCET	33	44110	POJISTNE	AB	44200831
440246	1496	1997-09-10	VYDAJ	PREVOD NA UCET	33	41155	POJISTNE	AB	44200831
440247	1496	1997-10-10	VYDAJ	PREVOD NA UCET	33	37783	POJISTNE	AB	44200831
440248	1496	1997-11-10	VYDAJ	PREVOD NA UCET	33	39308	POJISTNE	AB	44200831
440249	1496	1997-12-10	VYDAJ	PREVOD NA UCET	33	52907	POJISTNE	AB	44200831
440250	1496	1998-01-10	VYDAJ	PREVOD NA UCET	33	47474	POJISTNE	AB	44200831
440251	1496	1998-02-10	VYDAJ	PREVOD NA UCET	33	36829	POJISTNE	AB	44200831
440252	1496	1998-03-10	VYDAJ	PREVOD NA UCET	33	34147	POJISTNE	AB	44200831
440253	1496	1998-04-10	VYDAJ	PREVOD NA UCET	33	31446	POJISTNE	AB	44200831
440254	1496	1998-05-10	VYDAJ	PREVOD NA UCET	33	29938	POJISTNE	AB	44200831
440255	1496	1998-06-10	VYDAJ	PREVOD NA UCET	33	35084	POJISTNE	AB	44200831
440256	1496	1998-07-10	VYDAJ	PREVOD NA UCET	33	27260	POJISTNE	AB	44200831
440257	1496	1998-08-10	VYDAJ	PREVOD NA UCET	33	25641	POJISTNE	AB	44200831
440258	1496	1998-09-10	VYDAJ	PREVOD NA UCET	33	25605	POJISTNE	AB	44200831
440259	1496	1998-10-10	VYDAJ	PREVOD NA UCET	33	28376	POJISTNE	AB	44200831
440260	1496	1998-11-10	VYDAJ	PREVOD NA UCET	33	24148	POJISTNE	AB	44200831
440261	1496	1998-12-10	VYDAJ	PREVOD NA UCET	33	34576	POJISTNE	AB	44200831
440262	1496	1995-06-16	VYDAJ	VYBER	21500	38326	\N	\N	\N
440263	1496	1996-06-13	VYDAJ	VYBER	4800	46071	\N	\N	\N
440265	1496	1998-06-15	VYDAJ	VYBER	16200	18723	\N	\N	\N
440267	1496	1996-01-19	VYDAJ	VYBER	1000	40263	\N	\N	\N
440268	1496	1997-01-17	VYDAJ	VYBER	8900	37599	\N	\N	\N
440269	1496	1998-01-29	VYDAJ	VYBER	9000	29513	\N	\N	\N
440270	1496	1995-11-25	VYDAJ	VYBER	3300	33624	\N	\N	\N
440271	1496	1995-07-13	VYDAJ	VYBER	1500	38303	\N	\N	\N
440273	1496	1995-10-02	VYDAJ	VYBER	3000	34704	\N	\N	\N
440274	1496	1996-10-14	VYDAJ	VYBER	800	38497	\N	\N	\N
440275	1496	1996-01-26	VYDAJ	VYBER	3300	36963	\N	\N	\N
440276	1496	1996-10-15	VYDAJ	VYBER	1300	37197	\N	\N	\N
440277	1496	1996-08-27	VYDAJ	VYBER	4700	38201	\N	\N	\N
440278	1496	1997-06-18	VYDAJ	VYBER	700	46548	\N	\N	\N
440279	1496	1997-06-17	VYDAJ	VYBER	1000	47248	\N	\N	\N
440280	1496	1997-01-22	VYDAJ	VYBER	3300	34299	\N	\N	\N
440281	1496	1997-08-18	VYDAJ	VYBER	3100	40849	\N	\N	\N
440282	1496	1997-09-16	VYDAJ	VYBER	3800	36694	\N	\N	\N
440283	1496	1997-09-10	VYDAJ	VYBER	500	40655	\N	\N	\N
440284	1496	1998-10-25	VYDAJ	VYBER	2700	16315	\N	\N	\N
440285	1496	1998-02-09	VYDAJ	VYBER	600	22136	\N	\N	\N
440286	1496	1998-08-02	VYDAJ	VYBER	4800	17879	\N	\N	\N
440288	1496	1998-03-02	VYDAJ	VYBER	4000	26385	\N	\N	\N
440295	1496	1995-06-30	VYDAJ	VYBER	15	38502	SLUZBY	\N	\N
440296	1496	1995-07-31	VYDAJ	VYBER	15	38445	SLUZBY	\N	\N
440297	1496	1995-08-31	VYDAJ	VYBER	15	35972	SLUZBY	\N	\N
440298	1496	1995-09-30	VYDAJ	VYBER	15	37704	SLUZBY	\N	\N
440299	1496	1995-10-31	VYDAJ	VYBER	15	34423	SLUZBY	\N	\N
440300	1496	1995-11-30	VYDAJ	VYBER	15	33749	SLUZBY	\N	\N
440301	1496	1995-12-31	VYDAJ	VYBER	15	44462	SLUZBY	\N	\N
440302	1496	1996-01-31	VYDAJ	VYBER	15	37108	SLUZBY	\N	\N
440303	1496	1996-02-29	VYDAJ	VYBER	15	39957	SLUZBY	\N	\N
440304	1496	1996-03-31	VYDAJ	VYBER	15	33707	SLUZBY	\N	\N
440305	1496	1996-04-30	VYDAJ	VYBER	15	34755	SLUZBY	\N	\N
440306	1496	1996-05-31	VYDAJ	VYBER	15	35907	SLUZBY	\N	\N
440307	1496	1996-06-30	VYDAJ	VYBER	15	38635	SLUZBY	\N	\N
440308	1496	1996-07-31	VYDAJ	VYBER	15	35300	SLUZBY	\N	\N
440309	1496	1996-08-31	VYDAJ	VYBER	15	34250	SLUZBY	\N	\N
440310	1496	1996-09-30	VYDAJ	VYBER	15	31696	SLUZBY	\N	\N
440311	1496	1996-10-31	VYDAJ	VYBER	15	34930	SLUZBY	\N	\N
440312	1496	1996-11-30	VYDAJ	VYBER	15	32676	SLUZBY	\N	\N
440313	1496	1996-12-31	VYDAJ	VYBER	15	38898	SLUZBY	\N	\N
440314	1496	1997-01-31	VYDAJ	VYBER	15	29341	SLUZBY	\N	\N
440315	1496	1997-02-28	VYDAJ	VYBER	15	29866	SLUZBY	\N	\N
440316	1496	1997-03-31	VYDAJ	VYBER	15	34195	SLUZBY	\N	\N
440317	1496	1997-04-30	VYDAJ	VYBER	15	34840	SLUZBY	\N	\N
440318	1496	1997-05-31	VYDAJ	VYBER	15	33284	SLUZBY	\N	\N
440319	1496	1997-06-30	VYDAJ	VYBER	15	35301	SLUZBY	\N	\N
440320	1496	1997-07-31	VYDAJ	VYBER	15	36348	SLUZBY	\N	\N
440321	1496	1997-08-31	VYDAJ	VYBER	15	33393	SLUZBY	\N	\N
440322	1496	1997-09-30	VYDAJ	VYBER	15	30021	SLUZBY	\N	\N
440323	1496	1997-10-31	VYDAJ	VYBER	15	31546	SLUZBY	\N	\N
440324	1496	1997-11-30	VYDAJ	VYBER	15	37782	SLUZBY	\N	\N
440325	1496	1997-12-31	VYDAJ	VYBER	15	39712	SLUZBY	\N	\N
440326	1496	1998-01-31	VYDAJ	VYBER	15	29667	SLUZBY	\N	\N
440327	1496	1998-02-28	VYDAJ	VYBER	15	30385	SLUZBY	\N	\N
440328	1496	1998-03-31	VYDAJ	VYBER	15	23684	SLUZBY	\N	\N
440329	1496	1998-04-30	VYDAJ	VYBER	15	22176	SLUZBY	\N	\N
440330	1496	1998-05-31	VYDAJ	VYBER	15	19959	SLUZBY	\N	\N
440331	1496	1998-06-30	VYDAJ	VYBER	15	19498	SLUZBY	\N	\N
440332	1496	1998-07-31	VYDAJ	VYBER	15	22679	SLUZBY	\N	\N
440333	1496	1998-08-31	VYDAJ	VYBER	15	17843	SLUZBY	\N	\N
440334	1496	1998-09-30	VYDAJ	VYBER	15	20614	SLUZBY	\N	\N
440335	1496	1998-10-31	VYDAJ	VYBER	15	16386	SLUZBY	\N	\N
440336	1496	1998-11-30	VYDAJ	VYBER	15	19451	SLUZBY	\N	\N
440337	1496	1995-03-07	PRIJEM	VKLAD	3100	18269	\N	\N	\N
440338	1496	1995-04-06	VYDAJ	VYBER	3900	29211	\N	\N	\N
440339	1496	1995-05-06	VYDAJ	VYBER	9600	34506	\N	\N	\N
440340	1496	1995-06-05	VYDAJ	VYBER	11500	37931	\N	\N	\N
440341	1496	1995-07-05	VYDAJ	VYBER	6300	32202	\N	\N	\N
440342	1496	1995-08-04	VYDAJ	VYBER	10200	28245	\N	\N	\N
440343	1496	1995-09-03	VYDAJ	VYBER	6000	29972	\N	\N	\N
440344	1496	1995-10-03	VYDAJ	VYBER	8000	26704	\N	\N	\N
440345	1496	1995-11-02	VYDAJ	VYBER	5100	29323	\N	\N	\N
440346	1496	1995-12-02	VYDAJ	VYBER	4400	29349	\N	\N	\N
440347	1496	1996-01-01	VYDAJ	VYBER	10800	33662	\N	\N	\N
440348	1496	1996-01-31	VYDAJ	VYBER	4900	32208	\N	\N	\N
440349	1496	1996-03-01	VYDAJ	VYBER	5200	34757	\N	\N	\N
440350	1496	1996-03-31	VYDAJ	VYBER	8800	33722	\N	\N	\N
440351	1496	1996-04-30	VYDAJ	VYBER	6700	34770	\N	\N	\N
440352	1496	1996-05-30	VYDAJ	VYBER	6600	35756	\N	\N	\N
440353	1496	1996-06-29	VYDAJ	VYBER	7600	38471	\N	\N	\N
440354	1496	1996-07-29	VYDAJ	VYBER	11100	35136	\N	\N	\N
440355	1496	1996-08-28	VYDAJ	VYBER	4100	34101	\N	\N	\N
440356	1496	1996-09-27	VYDAJ	VYBER	10300	31551	\N	\N	\N
440357	1496	1996-10-27	VYDAJ	VYBER	2400	34797	\N	\N	\N
440358	1496	1996-11-26	VYDAJ	VYBER	10000	32531	\N	\N	\N
440359	1496	1996-12-26	VYDAJ	VYBER	8900	38740	\N	\N	\N
440360	1496	1997-01-25	VYDAJ	VYBER	5100	29199	\N	\N	\N
440361	1496	1997-02-24	VYDAJ	VYBER	7200	29742	\N	\N	\N
440362	1496	1997-03-26	VYDAJ	VYBER	3400	34067	\N	\N	\N
440363	1496	1997-04-25	VYDAJ	VYBER	7100	34696	\N	\N	\N
440364	1496	1997-05-25	VYDAJ	VYBER	9300	33141	\N	\N	\N
440365	1496	1997-06-24	VYDAJ	VYBER	11400	35148	\N	\N	\N
440366	1496	1997-07-24	VYDAJ	VYBER	6700	36202	\N	\N	\N
440367	1496	1997-08-23	VYDAJ	VYBER	7600	33249	\N	\N	\N
440368	1496	1997-09-22	VYDAJ	VYBER	6800	29894	\N	\N	\N
440369	1496	1997-10-22	VYDAJ	VYBER	6200	31422	\N	\N	\N
440370	1496	1997-11-21	VYDAJ	VYBER	1500	37647	\N	\N	\N
440371	1496	1997-12-21	VYDAJ	VYBER	13200	39546	\N	\N	\N
440372	1496	1998-01-20	VYDAJ	VYBER	8800	38513	\N	\N	\N
440373	1496	1998-02-19	VYDAJ	VYBER	6400	30268	\N	\N	\N
440374	1496	1998-03-21	VYDAJ	VYBER	10400	23586	\N	\N	\N
440375	1496	1998-04-20	VYDAJ	VYBER	9200	22085	\N	\N	\N
440376	1496	1998-05-20	VYDAJ	VYBER	9900	19877	\N	\N	\N
440377	1496	1998-06-19	PRIJEM	VKLAD	700	19423	\N	\N	\N
440378	1496	1998-07-19	VYDAJ	VYBER	4500	22599	\N	\N	\N
440379	1496	1998-08-18	VYDAJ	VYBER	7700	17780	\N	\N	\N
440380	1496	1998-09-17	VYDAJ	VYBER	4900	20544	\N	\N	\N
440381	1496	1998-10-17	VYDAJ	VYBER	9200	19015	\N	\N	\N
440382	1496	1998-11-16	VYDAJ	VYBER	4600	19387	\N	\N	\N
440430	1497	1993-07-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
440438	1497	1993-08-08	PRIJEM	VKLAD	8587	9587	\N	\N	\N
440439	1497	1993-09-08	PRIJEM	VKLAD	8587	25011	\N	\N	\N
440440	1497	1993-10-08	PRIJEM	VKLAD	8587	33286	\N	\N	\N
440441	1497	1993-11-08	PRIJEM	VKLAD	8587	38388	\N	\N	\N
440442	1497	1993-12-08	PRIJEM	VKLAD	12880	43293	\N	\N	\N
440443	1497	1994-01-08	PRIJEM	VKLAD	8587	25165	\N	\N	\N
440444	1497	1994-02-08	PRIJEM	VKLAD	8587	26633	\N	\N	\N
440445	1497	1994-03-08	PRIJEM	VKLAD	8587	27282	\N	\N	\N
440446	1497	1994-04-08	PRIJEM	VKLAD	8587	28135	\N	\N	\N
440447	1497	1994-05-08	PRIJEM	VKLAD	8587	29893	\N	\N	\N
440448	1497	1994-06-08	PRIJEM	VKLAD	12880	34047	\N	\N	\N
440449	1497	1994-07-08	PRIJEM	VKLAD	8587	33021	\N	\N	\N
440450	1497	1994-08-08	PRIJEM	VKLAD	8587	32694	\N	\N	\N
440451	1497	1994-09-08	PRIJEM	VKLAD	8587	27057	\N	\N	\N
440452	1497	1994-10-08	PRIJEM	VKLAD	8587	30618	\N	\N	\N
440453	1497	1994-11-08	PRIJEM	VKLAD	8587	30681	\N	\N	\N
440454	1497	1994-12-08	PRIJEM	VKLAD	12880	31535	\N	\N	\N
440455	1497	1995-01-08	PRIJEM	VKLAD	8587	35909	\N	\N	\N
440456	1497	1995-02-08	PRIJEM	VKLAD	8587	28688	\N	\N	\N
440457	1497	1995-03-08	PRIJEM	VKLAD	8587	31656	\N	\N	\N
440458	1497	1995-04-08	PRIJEM	VKLAD	8587	32429	\N	\N	\N
440459	1497	1995-05-08	PRIJEM	VKLAD	8587	32610	\N	\N	\N
440460	1497	1995-06-08	PRIJEM	VKLAD	12880	36686	\N	\N	\N
440461	1497	1995-07-08	PRIJEM	VKLAD	8587	33771	\N	\N	\N
440462	1497	1995-08-08	PRIJEM	VKLAD	8587	30057	\N	\N	\N
440463	1497	1995-09-08	PRIJEM	VKLAD	8587	31631	\N	\N	\N
440464	1497	1995-10-08	PRIJEM	VKLAD	8587	27605	\N	\N	\N
440465	1497	1995-11-08	PRIJEM	VKLAD	8587	22967	\N	\N	\N
440466	1497	1995-12-08	PRIJEM	VKLAD	12880	25203	\N	\N	\N
440467	1497	1996-01-08	PRIJEM	VKLAD	8587	24750	\N	\N	\N
440468	1497	1996-02-08	PRIJEM	VKLAD	8587	19100	\N	\N	\N
440469	1497	1996-03-08	PRIJEM	VKLAD	8587	20528	\N	\N	\N
440470	1497	1996-04-08	PRIJEM	VKLAD	8587	17658	\N	\N	\N
440471	1497	1996-05-08	PRIJEM	VKLAD	8587	15780	\N	\N	\N
440472	1497	1996-06-08	PRIJEM	VKLAD	12880	22986	\N	\N	\N
440473	1497	1996-07-08	PRIJEM	VKLAD	8587	18520	\N	\N	\N
440474	1497	1996-08-08	PRIJEM	VKLAD	8587	18340	\N	\N	\N
440475	1497	1996-09-08	PRIJEM	VKLAD	8587	16858	\N	\N	\N
440476	1497	1996-10-08	PRIJEM	VKLAD	8587	19772	\N	\N	\N
440477	1497	1996-11-08	PRIJEM	VKLAD	8587	19390	\N	\N	\N
440478	1497	1996-12-08	PRIJEM	VKLAD	12880	23204	\N	\N	\N
440479	1497	1997-01-08	PRIJEM	VKLAD	8587	26141	\N	\N	\N
440480	1497	1997-02-08	PRIJEM	VKLAD	8587	24291	\N	\N	\N
440481	1497	1997-03-08	PRIJEM	VKLAD	8587	27235	\N	\N	\N
440482	1497	1997-04-08	PRIJEM	VKLAD	8587	25292	\N	\N	\N
440483	1497	1997-05-08	PRIJEM	VKLAD	8587	25545	\N	\N	\N
440484	1497	1997-06-08	PRIJEM	VKLAD	12880	25290	\N	\N	\N
440485	1497	1997-07-08	PRIJEM	VKLAD	8587	28240	\N	\N	\N
440486	1497	1997-08-08	PRIJEM	VKLAD	8587	31201	\N	\N	\N
440487	1497	1997-09-08	PRIJEM	VKLAD	8587	16155	\N	\N	\N
440488	1497	1997-10-08	PRIJEM	VKLAD	8587	19065	\N	\N	\N
440489	1497	1997-11-08	PRIJEM	VKLAD	8587	21987	\N	\N	\N
440490	1497	1997-12-08	PRIJEM	VKLAD	12880	27811	\N	\N	\N
440491	1497	1998-01-08	PRIJEM	VKLAD	8587	19065	\N	\N	\N
440492	1497	1998-02-08	PRIJEM	VKLAD	8587	21993	\N	\N	\N
440493	1497	1998-03-08	PRIJEM	VKLAD	8587	24927	\N	\N	\N
440494	1497	1998-04-08	PRIJEM	VKLAD	8587	27873	\N	\N	\N
440495	1497	1998-05-08	PRIJEM	VKLAD	8587	30831	\N	\N	\N
440496	1497	1998-06-08	PRIJEM	VKLAD	12880	38095	\N	\N	\N
440497	1497	1998-07-08	PRIJEM	VKLAD	8587	22373	\N	\N	\N
440498	1497	1998-08-08	PRIJEM	VKLAD	8587	23105	\N	\N	\N
440499	1497	1998-09-08	PRIJEM	VKLAD	8587	26043	\N	\N	\N
440500	1497	1998-10-08	PRIJEM	VKLAD	8587	25383	\N	\N	\N
440501	1497	1998-11-08	PRIJEM	VKLAD	8587	28330	\N	\N	\N
440502	1497	1998-12-08	PRIJEM	VKLAD	12880	35583	\N	\N	\N
440515	1497	1994-01-06	VYDAJ	PREVOD NA UCET	261	26741	SIPO	WX	59296756
440516	1497	1994-02-06	VYDAJ	PREVOD NA UCET	261	23509	SIPO	WX	59296756
440517	1497	1994-03-06	VYDAJ	PREVOD NA UCET	261	24158	SIPO	WX	59296756
440518	1497	1994-04-06	VYDAJ	PREVOD NA UCET	261	25011	SIPO	WX	59296756
440519	1497	1994-05-06	VYDAJ	PREVOD NA UCET	261	26769	SIPO	WX	59296756
440520	1497	1994-06-06	VYDAJ	PREVOD NA UCET	261	26630	SIPO	WX	59296756
440521	1497	1994-07-06	VYDAJ	PREVOD NA UCET	261	29897	SIPO	WX	59296756
440522	1497	1994-08-06	VYDAJ	PREVOD NA UCET	261	29570	SIPO	WX	59296756
440523	1497	1994-09-06	VYDAJ	PREVOD NA UCET	261	26333	SIPO	WX	59296756
440524	1497	1994-10-06	VYDAJ	PREVOD NA UCET	261	27494	SIPO	WX	59296756
440525	1497	1994-11-06	VYDAJ	PREVOD NA UCET	261	27557	SIPO	WX	59296756
440526	1497	1994-12-06	VYDAJ	PREVOD NA UCET	261	24118	SIPO	WX	59296756
440527	1497	1995-01-06	VYDAJ	PREVOD NA UCET	261	30885	SIPO	WX	59296756
440528	1497	1995-02-06	VYDAJ	PREVOD NA UCET	261	29664	SIPO	WX	59296756
440529	1497	1995-03-06	VYDAJ	PREVOD NA UCET	261	28532	SIPO	WX	59296756
440530	1497	1995-04-06	VYDAJ	PREVOD NA UCET	261	30405	SIPO	WX	59296756
440531	1497	1995-05-06	VYDAJ	PREVOD NA UCET	261	32286	SIPO	WX	59296756
440532	1497	1995-06-06	VYDAJ	PREVOD NA UCET	261	29269	SIPO	WX	59296756
440533	1497	1995-07-06	VYDAJ	PREVOD NA UCET	261	30647	SIPO	WX	59296756
440534	1497	1995-08-06	VYDAJ	PREVOD NA UCET	261	26933	SIPO	WX	59296756
440535	1497	1995-09-06	VYDAJ	PREVOD NA UCET	261	28507	SIPO	WX	59296756
440536	1497	1995-10-06	VYDAJ	PREVOD NA UCET	261	24481	SIPO	WX	59296756
440537	1497	1995-11-06	VYDAJ	PREVOD NA UCET	261	19843	SIPO	WX	59296756
440538	1497	1995-12-06	VYDAJ	PREVOD NA UCET	261	17786	SIPO	WX	59296756
440539	1497	1996-01-06	VYDAJ	PREVOD NA UCET	261	21626	SIPO	WX	59296756
440540	1497	1996-02-06	VYDAJ	PREVOD NA UCET	261	15976	SIPO	WX	59296756
440541	1497	1996-03-06	VYDAJ	PREVOD NA UCET	261	17404	SIPO	WX	59296756
440542	1497	1996-04-06	VYDAJ	PREVOD NA UCET	261	14534	SIPO	WX	59296756
440543	1497	1996-05-06	VYDAJ	PREVOD NA UCET	261	12656	SIPO	WX	59296756
440544	1497	1996-06-06	VYDAJ	PREVOD NA UCET	261	15569	SIPO	WX	59296756
440545	1497	1996-07-06	VYDAJ	PREVOD NA UCET	261	15396	SIPO	WX	59296756
440546	1497	1996-08-06	VYDAJ	PREVOD NA UCET	261	15216	SIPO	WX	59296756
440547	1497	1996-09-06	VYDAJ	PREVOD NA UCET	261	13734	SIPO	WX	59296756
440548	1497	1996-10-06	VYDAJ	PREVOD NA UCET	261	16648	SIPO	WX	59296756
440549	1497	1996-11-06	VYDAJ	PREVOD NA UCET	261	16266	SIPO	WX	59296756
440550	1497	1996-12-06	VYDAJ	PREVOD NA UCET	261	15787	SIPO	WX	59296756
440551	1497	1997-01-06	VYDAJ	PREVOD NA UCET	261	23017	SIPO	WX	59296756
440552	1497	1997-02-06	VYDAJ	PREVOD NA UCET	261	21167	SIPO	WX	59296756
440553	1497	1997-03-06	VYDAJ	PREVOD NA UCET	261	24111	SIPO	WX	59296756
440554	1497	1997-04-06	VYDAJ	PREVOD NA UCET	261	27068	SIPO	WX	59296756
440555	1497	1997-05-06	VYDAJ	PREVOD NA UCET	261	25121	SIPO	WX	59296756
440556	1497	1997-06-06	VYDAJ	PREVOD NA UCET	261	25373	SIPO	WX	59296756
440557	1497	1997-07-06	VYDAJ	PREVOD NA UCET	261	25116	SIPO	WX	59296756
440558	1497	1997-08-06	VYDAJ	PREVOD NA UCET	261	28077	SIPO	WX	59296756
440559	1497	1997-09-06	VYDAJ	PREVOD NA UCET	261	13031	SIPO	WX	59296756
440560	1497	1997-10-06	VYDAJ	PREVOD NA UCET	261	15941	SIPO	WX	59296756
440561	1497	1997-11-06	VYDAJ	PREVOD NA UCET	261	18863	SIPO	WX	59296756
440562	1497	1997-12-06	VYDAJ	PREVOD NA UCET	261	20394	SIPO	WX	59296756
440563	1497	1998-01-06	VYDAJ	PREVOD NA UCET	261	15941	SIPO	WX	59296756
440564	1497	1998-02-06	VYDAJ	PREVOD NA UCET	261	18869	SIPO	WX	59296756
440565	1497	1998-03-06	VYDAJ	PREVOD NA UCET	261	21803	SIPO	WX	59296756
440566	1497	1998-04-06	VYDAJ	PREVOD NA UCET	261	24749	SIPO	WX	59296756
440567	1497	1998-05-06	VYDAJ	PREVOD NA UCET	261	27707	SIPO	WX	59296756
440568	1497	1998-06-06	VYDAJ	PREVOD NA UCET	261	30678	SIPO	WX	59296756
440569	1497	1998-07-06	VYDAJ	PREVOD NA UCET	261	19249	SIPO	WX	59296756
440570	1497	1998-08-06	VYDAJ	PREVOD NA UCET	261	19981	SIPO	WX	59296756
440571	1497	1998-09-06	VYDAJ	PREVOD NA UCET	261	22919	SIPO	WX	59296756
440572	1497	1998-10-06	VYDAJ	PREVOD NA UCET	261	22259	SIPO	WX	59296756
440573	1497	1998-11-06	VYDAJ	PREVOD NA UCET	261	25206	SIPO	WX	59296756
440574	1497	1998-12-06	VYDAJ	PREVOD NA UCET	261	28166	SIPO	WX	59296756
440587	1497	1994-01-07	VYDAJ	PREVOD NA UCET	5463	21278	 	YZ	74438202
440588	1497	1994-02-07	VYDAJ	PREVOD NA UCET	5463	18046	 	YZ	74438202
440589	1497	1994-03-07	VYDAJ	PREVOD NA UCET	5463	18695	 	YZ	74438202
440590	1497	1994-04-07	VYDAJ	PREVOD NA UCET	5463	19548	 	YZ	74438202
440591	1497	1994-05-07	VYDAJ	PREVOD NA UCET	5463	21306	 	YZ	74438202
440592	1497	1994-06-07	VYDAJ	PREVOD NA UCET	5463	21167	 	YZ	74438202
440593	1497	1994-07-07	VYDAJ	PREVOD NA UCET	5463	24434	 	YZ	74438202
440594	1497	1994-08-07	VYDAJ	PREVOD NA UCET	5463	24107	 	YZ	74438202
440595	1497	1994-09-07	VYDAJ	PREVOD NA UCET	5463	18470	 	YZ	74438202
440596	1497	1994-10-07	VYDAJ	PREVOD NA UCET	5463	22031	 	YZ	74438202
440597	1497	1994-11-07	VYDAJ	PREVOD NA UCET	5463	22094	 	YZ	74438202
440598	1497	1994-12-07	VYDAJ	PREVOD NA UCET	5463	18655	 	YZ	74438202
440599	1497	1995-01-07	VYDAJ	PREVOD NA UCET	5463	27322	 	YZ	74438202
440600	1497	1995-02-07	VYDAJ	PREVOD NA UCET	5463	20101	 	YZ	74438202
440601	1497	1995-03-07	VYDAJ	PREVOD NA UCET	5463	23069	 	YZ	74438202
440602	1497	1995-04-07	VYDAJ	PREVOD NA UCET	5463	23842	 	YZ	74438202
440603	1497	1995-05-07	VYDAJ	PREVOD NA UCET	5463	28323	 	YZ	74438202
440604	1497	1995-06-07	VYDAJ	PREVOD NA UCET	5463	23806	 	YZ	74438202
440605	1497	1995-07-07	VYDAJ	PREVOD NA UCET	5463	25184	 	YZ	74438202
440606	1497	1995-08-07	VYDAJ	PREVOD NA UCET	5463	21470	 	YZ	74438202
440607	1497	1995-09-07	VYDAJ	PREVOD NA UCET	5463	23044	 	YZ	74438202
440608	1497	1995-10-07	VYDAJ	PREVOD NA UCET	5463	19018	 	YZ	74438202
440609	1497	1995-11-07	VYDAJ	PREVOD NA UCET	5463	14380	 	YZ	74438202
440610	1497	1995-12-07	VYDAJ	PREVOD NA UCET	5463	12323	 	YZ	74438202
440611	1497	1996-01-07	VYDAJ	PREVOD NA UCET	5463	16163	 	YZ	74438202
440612	1497	1996-02-07	VYDAJ	PREVOD NA UCET	5463	10513	 	YZ	74438202
440613	1497	1996-03-07	VYDAJ	PREVOD NA UCET	5463	11941	 	YZ	74438202
440614	1497	1996-04-07	VYDAJ	PREVOD NA UCET	5463	9071	 	YZ	74438202
440615	1497	1996-05-07	VYDAJ	PREVOD NA UCET	5463	7193	 	YZ	74438202
440616	1497	1996-06-07	VYDAJ	PREVOD NA UCET	5463	10106	 	YZ	74438202
440617	1497	1996-07-07	VYDAJ	PREVOD NA UCET	5463	9933	 	YZ	74438202
440618	1497	1996-08-07	VYDAJ	PREVOD NA UCET	5463	9753	 	YZ	74438202
440619	1497	1996-09-07	VYDAJ	PREVOD NA UCET	5463	8271	 	YZ	74438202
440620	1497	1996-10-07	VYDAJ	PREVOD NA UCET	5463	11185	 	YZ	74438202
440621	1497	1996-11-07	VYDAJ	PREVOD NA UCET	5463	10803	 	YZ	74438202
440622	1497	1996-12-07	VYDAJ	PREVOD NA UCET	5463	10324	 	YZ	74438202
440623	1497	1997-01-07	VYDAJ	PREVOD NA UCET	5463	17554	 	YZ	74438202
440624	1497	1997-02-07	VYDAJ	PREVOD NA UCET	5463	15704	 	YZ	74438202
440625	1497	1997-03-07	VYDAJ	PREVOD NA UCET	5463	18648	 	YZ	74438202
440626	1497	1997-04-07	VYDAJ	PREVOD NA UCET	5463	16705	 	YZ	74438202
440627	1497	1997-05-07	VYDAJ	PREVOD NA UCET	5463	19658	 	YZ	74438202
440628	1497	1997-06-07	VYDAJ	PREVOD NA UCET	5463	12410	 	YZ	74438202
440629	1497	1997-07-07	VYDAJ	PREVOD NA UCET	5463	19653	 	YZ	74438202
440630	1497	1997-08-07	VYDAJ	PREVOD NA UCET	5463	22614	 	YZ	74438202
440631	1497	1997-09-07	VYDAJ	PREVOD NA UCET	5463	7568	 	YZ	74438202
440632	1497	1997-10-07	VYDAJ	PREVOD NA UCET	5463	10478	 	YZ	74438202
440633	1497	1997-11-07	VYDAJ	PREVOD NA UCET	5463	13400	 	YZ	74438202
440634	1497	1997-12-07	VYDAJ	PREVOD NA UCET	5463	14931	 	YZ	74438202
440635	1497	1998-01-07	VYDAJ	PREVOD NA UCET	5463	10478	 	YZ	74438202
440636	1497	1998-02-07	VYDAJ	PREVOD NA UCET	5463	13406	 	YZ	74438202
440637	1497	1998-03-07	VYDAJ	PREVOD NA UCET	5463	16340	 	YZ	74438202
440638	1497	1998-04-07	VYDAJ	PREVOD NA UCET	5463	19286	 	YZ	74438202
440639	1497	1998-05-07	VYDAJ	PREVOD NA UCET	5463	22244	 	YZ	74438202
440640	1497	1998-06-07	VYDAJ	PREVOD NA UCET	5463	25215	 	YZ	74438202
440641	1497	1998-07-07	VYDAJ	PREVOD NA UCET	5463	13786	 	YZ	74438202
440642	1497	1998-08-07	VYDAJ	PREVOD NA UCET	5463	14518	 	YZ	74438202
440643	1497	1998-09-07	VYDAJ	PREVOD NA UCET	5463	17456	 	YZ	74438202
440644	1497	1998-10-07	VYDAJ	PREVOD NA UCET	5463	16796	 	YZ	74438202
440645	1497	1998-11-07	VYDAJ	PREVOD NA UCET	5463	19743	 	YZ	74438202
440646	1497	1998-12-07	VYDAJ	PREVOD NA UCET	5463	22703	 	YZ	74438202
440649	1497	1995-06-14	VYDAJ	VYBER	4300	32386	\N	\N	\N
440651	1497	1997-06-07	VYDAJ	VYBER	7500	17873	\N	\N	\N
440652	1497	1998-06-24	VYDAJ	VYBER	18700	19395	\N	\N	\N
440654	1497	1994-01-12	VYDAJ	VYBER	7000	23665	\N	\N	\N
440655	1497	1995-01-16	VYDAJ	VYBER	6100	29809	\N	\N	\N
440657	1497	1997-01-28	VYDAJ	VYBER	4800	21341	\N	\N	\N
440658	1497	1998-01-02	VYDAJ	VYBER	9900	16202	\N	\N	\N
440659	1497	1993-12-19	VYDAJ	VYBER	2700	26893	\N	\N	\N
440660	1497	1994-12-02	VYDAJ	VYBER	2200	24379	\N	\N	\N
440661	1497	1995-12-04	VYDAJ	VYBER	1800	18047	\N	\N	\N
440662	1497	1996-12-03	VYDAJ	VYBER	800	16048	\N	\N	\N
440663	1497	1997-12-28	VYDAJ	VYBER	1800	26011	\N	\N	\N
440664	1497	1998-12-25	VYDAJ	VYBER	1800	33783	\N	\N	\N
440665	1497	1993-12-13	VYDAJ	VYBER	4300	29593	\N	\N	\N
440670	1497	1994-09-06	VYDAJ	VYBER	2400	23933	\N	\N	\N
440671	1497	1994-01-07	VYDAJ	VYBER	4700	16578	\N	\N	\N
440672	1497	1994-06-24	VYDAJ	VYBER	1600	30047	\N	\N	\N
440673	1497	1994-04-09	VYDAJ	VYBER	1200	26935	\N	\N	\N
440674	1497	1994-11-17	VYDAJ	VYBER	1600	26481	\N	\N	\N
440675	1497	1994-03-11	VYDAJ	VYBER	1700	25582	\N	\N	\N
440676	1497	1995-09-20	VYDAJ	VYBER	2300	29331	\N	\N	\N
440677	1497	1995-05-07	VYDAJ	VYBER	4300	24023	\N	\N	\N
440678	1497	1995-10-31	VYDAJ	VYBER	2700	25018	\N	\N	\N
440680	1497	1996-10-12	VYDAJ	VYBER	2300	17472	\N	\N	\N
440682	1497	1996-02-05	VYDAJ	VYBER	1400	16237	\N	\N	\N
440683	1497	1996-10-16	VYDAJ	VYBER	1000	16472	\N	\N	\N
440684	1497	1996-11-24	VYDAJ	VYBER	2600	16790	\N	\N	\N
440685	1497	1997-05-07	VYDAJ	VYBER	2700	16958	\N	\N	\N
440686	1497	1997-11-19	VYDAJ	VYBER	1400	20587	\N	\N	\N
440687	1497	1997-04-07	VYDAJ	VYBER	4900	22168	\N	\N	\N
440688	1497	1998-07-21	VYDAJ	VYBER	2200	20173	\N	\N	\N
440689	1497	1998-09-09	VYDAJ	VYBER	3600	22443	\N	\N	\N
440702	1497	1993-12-31	VYDAJ	VYBER	15	27002	SLUZBY	\N	\N
440703	1497	1994-01-31	VYDAJ	VYBER	15	23770	SLUZBY	\N	\N
440704	1497	1994-02-28	VYDAJ	VYBER	15	24419	SLUZBY	\N	\N
440705	1497	1994-03-31	VYDAJ	VYBER	15	25272	SLUZBY	\N	\N
440706	1497	1994-04-30	VYDAJ	VYBER	15	27030	SLUZBY	\N	\N
440707	1497	1994-05-31	VYDAJ	VYBER	15	26891	SLUZBY	\N	\N
440708	1497	1994-06-30	VYDAJ	VYBER	15	30158	SLUZBY	\N	\N
440709	1497	1994-07-31	VYDAJ	VYBER	15	29831	SLUZBY	\N	\N
440710	1497	1994-08-31	VYDAJ	VYBER	15	26594	SLUZBY	\N	\N
440711	1497	1994-09-30	VYDAJ	VYBER	15	27755	SLUZBY	\N	\N
440712	1497	1994-10-31	VYDAJ	VYBER	15	27818	SLUZBY	\N	\N
440713	1497	1994-11-30	VYDAJ	VYBER	15	26579	SLUZBY	\N	\N
440714	1497	1994-12-31	VYDAJ	VYBER	15	31146	SLUZBY	\N	\N
440715	1497	1995-01-31	VYDAJ	VYBER	15	29925	SLUZBY	\N	\N
440716	1497	1995-02-28	VYDAJ	VYBER	15	28793	SLUZBY	\N	\N
440717	1497	1995-03-31	VYDAJ	VYBER	15	30666	SLUZBY	\N	\N
440718	1497	1995-04-30	VYDAJ	VYBER	15	32547	SLUZBY	\N	\N
440719	1497	1995-05-31	VYDAJ	VYBER	15	32730	SLUZBY	\N	\N
440720	1497	1995-06-30	VYDAJ	VYBER	15	32508	SLUZBY	\N	\N
440721	1497	1995-07-31	VYDAJ	VYBER	15	33894	SLUZBY	\N	\N
440722	1497	1995-08-31	VYDAJ	VYBER	15	30168	SLUZBY	\N	\N
440723	1497	1995-09-30	VYDAJ	VYBER	15	29442	SLUZBY	\N	\N
440724	1497	1995-10-31	VYDAJ	VYBER	15	25004	SLUZBY	\N	\N
440725	1497	1995-11-30	VYDAJ	VYBER	15	23047	SLUZBY	\N	\N
440726	1497	1995-12-31	VYDAJ	VYBER	15	25287	SLUZBY	\N	\N
440727	1497	1996-01-31	VYDAJ	VYBER	15	24837	SLUZBY	\N	\N
440728	1497	1996-02-29	VYDAJ	VYBER	15	19165	SLUZBY	\N	\N
440729	1497	1996-03-31	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
440730	1497	1996-04-30	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
440731	1497	1996-05-31	VYDAJ	VYBER	15	15830	SLUZBY	\N	\N
440732	1497	1996-06-30	VYDAJ	VYBER	15	15657	SLUZBY	\N	\N
440733	1497	1996-07-31	VYDAJ	VYBER	15	15477	SLUZBY	\N	\N
440734	1497	1996-08-31	VYDAJ	VYBER	15	13995	SLUZBY	\N	\N
440735	1497	1996-09-30	VYDAJ	VYBER	15	16909	SLUZBY	\N	\N
440736	1497	1996-10-31	VYDAJ	VYBER	15	16527	SLUZBY	\N	\N
440737	1497	1996-11-30	VYDAJ	VYBER	15	16848	SLUZBY	\N	\N
440738	1497	1996-12-31	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
440739	1497	1997-01-31	VYDAJ	VYBER	15	21428	SLUZBY	\N	\N
440740	1497	1997-02-28	VYDAJ	VYBER	15	24372	SLUZBY	\N	\N
440741	1497	1997-03-31	VYDAJ	VYBER	15	27329	SLUZBY	\N	\N
440742	1497	1997-04-30	VYDAJ	VYBER	15	25382	SLUZBY	\N	\N
440743	1497	1997-05-31	VYDAJ	VYBER	15	25634	SLUZBY	\N	\N
440744	1497	1997-06-30	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
440745	1497	1997-07-31	VYDAJ	VYBER	15	28338	SLUZBY	\N	\N
440746	1497	1997-08-31	VYDAJ	VYBER	15	13292	SLUZBY	\N	\N
440747	1497	1997-09-30	VYDAJ	VYBER	15	16202	SLUZBY	\N	\N
440748	1497	1997-10-31	VYDAJ	VYBER	15	19124	SLUZBY	\N	\N
440749	1497	1997-11-30	VYDAJ	VYBER	15	20655	SLUZBY	\N	\N
440750	1497	1997-12-31	VYDAJ	VYBER	15	26102	SLUZBY	\N	\N
440751	1497	1998-01-31	VYDAJ	VYBER	15	19130	SLUZBY	\N	\N
440752	1497	1998-02-28	VYDAJ	VYBER	15	22064	SLUZBY	\N	\N
440753	1497	1998-03-31	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
440754	1497	1998-04-30	VYDAJ	VYBER	15	27968	SLUZBY	\N	\N
440755	1497	1998-05-31	VYDAJ	VYBER	15	30939	SLUZBY	\N	\N
440756	1497	1998-06-30	VYDAJ	VYBER	15	19510	SLUZBY	\N	\N
440757	1497	1998-07-31	VYDAJ	VYBER	15	20242	SLUZBY	\N	\N
440758	1497	1998-08-31	VYDAJ	VYBER	15	23180	SLUZBY	\N	\N
440759	1497	1998-09-30	VYDAJ	VYBER	15	22520	SLUZBY	\N	\N
440760	1497	1998-10-31	VYDAJ	VYBER	15	25467	SLUZBY	\N	\N
440761	1497	1998-11-30	VYDAJ	VYBER	15	28427	SLUZBY	\N	\N
440762	1497	1993-08-15	PRIJEM	VKLAD	6800	16387	\N	\N	\N
440763	1497	1993-09-14	VYDAJ	VYBER	400	24611	\N	\N	\N
440764	1497	1993-10-14	VYDAJ	VYBER	3600	29686	\N	\N	\N
440765	1497	1993-11-13	VYDAJ	VYBER	8100	30288	\N	\N	\N
440766	1497	1993-12-13	VYDAJ	VYBER	9400	33893	\N	\N	\N
440767	1497	1994-01-12	PRIJEM	VKLAD	5500	30665	\N	\N	\N
440768	1497	1994-02-11	VYDAJ	VYBER	2300	24333	\N	\N	\N
440769	1497	1994-03-13	VYDAJ	VYBER	400	25182	\N	\N	\N
440770	1497	1994-05-12	VYDAJ	VYBER	3100	26793	\N	\N	\N
440771	1497	1994-06-11	VYDAJ	VYBER	2400	31647	\N	\N	\N
440772	1497	1994-07-11	VYDAJ	VYBER	3300	29721	\N	\N	\N
440773	1497	1994-08-10	VYDAJ	VYBER	6200	26494	\N	\N	\N
440774	1497	1994-09-09	PRIJEM	VKLAD	600	27657	\N	\N	\N
440775	1497	1994-10-09	VYDAJ	VYBER	2900	27718	\N	\N	\N
440776	1497	1994-11-08	VYDAJ	VYBER	2600	28081	\N	\N	\N
440777	1497	1994-12-08	VYDAJ	VYBER	500	31035	\N	\N	\N
440778	1497	1995-01-07	PRIJEM	VKLAD	1900	32785	\N	\N	\N
440779	1497	1995-02-06	VYDAJ	VYBER	4100	25564	\N	\N	\N
440780	1497	1995-03-08	VYDAJ	VYBER	1100	30556	\N	\N	\N
440781	1497	1995-04-07	VYDAJ	VYBER	1100	29305	\N	\N	\N
440782	1497	1995-05-07	PRIJEM	VKLAD	1500	33786	\N	\N	\N
440783	1497	1995-06-06	VYDAJ	VYBER	3200	29530	\N	\N	\N
440784	1497	1995-07-06	VYDAJ	VYBER	1600	30908	\N	\N	\N
440785	1497	1995-08-05	VYDAJ	VYBER	6700	27194	\N	\N	\N
440786	1497	1995-09-04	VYDAJ	VYBER	1400	28768	\N	\N	\N
440787	1497	1995-10-04	VYDAJ	VYBER	4700	24742	\N	\N	\N
440788	1497	1995-11-03	VYDAJ	VYBER	4900	20104	\N	\N	\N
440789	1497	1995-12-03	VYDAJ	VYBER	3200	19847	\N	\N	\N
440790	1497	1996-01-02	VYDAJ	VYBER	3400	21887	\N	\N	\N
440791	1497	1996-02-01	VYDAJ	VYBER	7200	17637	\N	\N	\N
440792	1497	1996-03-02	VYDAJ	VYBER	1500	17665	\N	\N	\N
440793	1497	1996-04-01	VYDAJ	VYBER	5800	14795	\N	\N	\N
440794	1497	1996-05-01	VYDAJ	VYBER	4800	12917	\N	\N	\N
440795	1497	1996-06-30	VYDAJ	VYBER	7400	15672	\N	\N	\N
440796	1497	1996-07-30	VYDAJ	VYBER	3100	15420	\N	\N	\N
440797	1497	1996-08-29	VYDAJ	VYBER	4400	13940	\N	\N	\N
440798	1497	1997-08-24	VYDAJ	VYBER	18000	13201	\N	\N	\N
440864	1498	1997-02-07	PRIJEM	VKLAD	600	600	\N	\N	\N
440865	1498	1997-08-31	PRIJEM	VKLAD	12356	45889	\N	\N	\N
440866	1498	1997-04-27	PRIJEM	VKLAD	26045	44745	\N	\N	\N
440867	1498	1997-09-16	PRIJEM	VKLAD	25067	55356	\N	\N	\N
440868	1498	1997-06-30	PRIJEM	VKLAD	46160	77627	\N	\N	\N
440869	1498	1998-09-11	PRIJEM	VKLAD	21793	72175	\N	\N	\N
440870	1498	1998-03-26	PRIJEM	VKLAD	9284	73491	\N	\N	\N
440871	1498	1998-07-29	PRIJEM	VKLAD	27708	70375	\N	\N	\N
440872	1498	1998-10-18	PRIJEM	VKLAD	45131	85695	\N	\N	\N
440873	1498	1998-08-01	PRIJEM	VKLAD	13913	84313	\N	\N	\N
440874	1498	1998-03-25	PRIJEM	VKLAD	43165	64207	\N	\N	\N
440875	1498	1998-08-31	PRIJEM	VKLAD	15930	116112	\N	\N	\N
440876	1498	1998-08-27	PRIJEM	VKLAD	13705	60718	\N	\N	\N
440877	1498	1998-07-27	PRIJEM	VKLAD	42254	42667	\N	\N	\N
440878	1498	1998-06-01	PRIJEM	VKLAD	38832	92883	\N	\N	\N
440879	1498	1998-12-25	PRIJEM	VKLAD	27246	70275	\N	\N	\N
440880	1498	1998-05-01	PRIJEM	VKLAD	28406	90713	\N	\N	\N
440881	1498	1998-12-05	PRIJEM	VKLAD	20268	52804	\N	\N	\N
440882	1498	1998-03-22	PRIJEM	VKLAD	27331	30735	\N	\N	\N
440883	1498	1998-05-26	PRIJEM	VKLAD	26082	56357	\N	\N	\N
440884	1498	1998-08-31	PRIJEM	VKLAD	39070	99788	\N	\N	\N
440885	1498	1998-04-04	PRIJEM	VKLAD	36483	81911	\N	\N	\N
440886	1498	1998-01-10	PRIJEM	VKLAD	40412	54965	\N	\N	\N
440899	1498	1998-01-05	VYDAJ	VYBER	2600	14553	\N	\N	0
440900	1498	1998-01-28	VYDAJ	VYBER	3900	21140	\N	\N	0
440901	1498	1998-03-09	VYDAJ	VYBER	2100	7363	\N	\N	0
440902	1498	1998-04-16	VYDAJ	VYBER	2600	73311	\N	\N	0
440903	1498	1998-05-14	VYDAJ	VYBER	3900	30275	\N	\N	0
440904	1498	1998-05-29	VYDAJ	VYBER	2600	53757	\N	\N	0
440906	1498	1998-08-07	VYDAJ	VYBER	2600	47013	\N	\N	0
440907	1498	1998-09-21	VYDAJ	VYBER	3600	68575	\N	\N	0
440908	1498	1998-10-12	VYDAJ	VYBER	2800	40564	\N	\N	0
440909	1498	1998-11-12	VYDAJ	PREVOD NA UCET	2763	40736	UVER	ST	26674098
440910	1498	1998-12-12	VYDAJ	PREVOD NA UCET	2763	43029	UVER	ST	26674098
440917	1498	1998-03-15	VYBER	VYBER	3959	3404	\N	\N	\N
440918	1498	1998-04-23	VYBER	VYBER	6761	61750	\N	\N	\N
440919	1498	1998-02-23	VYBER	VYBER	4179	3815	\N	\N	\N
440920	1498	1998-01-26	VYBER	VYBER	18225	25040	\N	\N	\N
440921	1498	1998-05-10	VYBER	VYBER	8761	34175	\N	\N	\N
440923	1498	1998-06-07	VYBER	VYBER	2020	50763	\N	\N	\N
440924	1498	1998-03-23	VYBER	VYBER	9693	21042	\N	\N	\N
440925	1498	1998-12-08	VYBER	VYBER	7012	45792	\N	\N	\N
440926	1498	1998-05-04	VYBER	VYBER	15777	42936	\N	\N	\N
440928	1498	1998-06-14	VYDAJ	VYBER	48000	2763	\N	\N	\N
440932	1498	1998-12-25	VYDAJ	VYBER	1800	68475	\N	\N	\N
440939	1498	1998-01-28	VYDAJ	VYBER	6000	15140	\N	\N	\N
440940	1498	1998-01-17	VYDAJ	VYBER	2100	47465	\N	\N	\N
440941	1498	1998-01-23	VYDAJ	VYBER	4200	43265	\N	\N	\N
440943	1498	1998-01-30	VYDAJ	VYBER	2400	12740	\N	\N	\N
440944	1498	1998-01-12	VYDAJ	VYBER	5400	49565	\N	\N	\N
440951	1498	1998-10-30	VYDAJ	VYBER	9300	76395	\N	\N	\N
440952	1498	1998-07-09	VYDAJ	VYBER	7800	413	\N	\N	\N
440954	1498	1998-04-19	VYDAJ	VYBER	4800	68511	\N	\N	\N
440955	1498	1998-04-12	VYDAJ	VYBER	6000	75911	\N	\N	\N
440969	1498	1998-01-31	VYDAJ	VYBER	30	12994	SLUZBY	\N	\N
440970	1498	1998-02-28	VYDAJ	VYBER	30	3863	SLUZBY	\N	\N
440971	1498	1998-03-31	VYDAJ	VYBER	30	73628	SLUZBY	\N	\N
440972	1498	1998-04-30	VYDAJ	VYBER	30	62307	SLUZBY	\N	\N
440973	1498	1998-05-31	VYDAJ	VYBER	30	54051	SLUZBY	\N	\N
440974	1498	1998-06-30	VYDAJ	VYBER	30	2913	SLUZBY	\N	\N
440975	1498	1998-07-31	VYDAJ	VYBER	30	70423	SLUZBY	\N	\N
440976	1498	1998-08-31	VYDAJ	VYBER	30	79282	SLUZBY	\N	\N
440977	1498	1998-09-30	VYDAJ	VYBER	30	43364	SLUZBY	\N	\N
440978	1498	1998-10-31	VYDAJ	VYBER	30	43499	SLUZBY	\N	\N
440979	1498	1998-11-30	VYDAJ	VYBER	30	32536	SLUZBY	\N	\N
440980	1498	1997-03-09	PRIJEM	VKLAD	8500	9100	\N	\N	\N
440981	1498	1997-04-08	PRIJEM	VKLAD	9600	18700	\N	\N	\N
440982	1498	1997-05-08	VYDAJ	VYBER	7800	36995	\N	\N	\N
440983	1498	1997-06-07	VYDAJ	VYBER	5900	31467	\N	\N	\N
440984	1498	1997-07-07	VYDAJ	VYBER	31500	46478	\N	\N	\N
440985	1498	1997-08-06	VYDAJ	VYBER	14100	33021	\N	\N	\N
440986	1498	1997-09-05	VYDAJ	VYBER	15600	30289	\N	\N	\N
440987	1498	1997-10-05	VYDAJ	VYBER	15100	40670	\N	\N	\N
440988	1498	1997-11-04	VYDAJ	VYBER	12700	28422	\N	\N	\N
440989	1498	1997-12-04	VYDAJ	VYBER	8100	20714	\N	\N	\N
440990	1498	1998-01-03	VYDAJ	VYBER	3900	17153	\N	\N	\N
440991	1498	1998-02-02	VYDAJ	VYBER	5000	7994	\N	\N	\N
440992	1498	1998-03-04	PRIJEM	VKLAD	5600	9463	\N	\N	\N
440993	1498	1998-04-03	VYDAJ	VYBER	28200	45428	\N	\N	\N
440994	1498	1998-05-03	VYDAJ	VYBER	32000	58713	\N	\N	\N
440995	1498	1998-06-02	VYDAJ	VYBER	40100	52783	\N	\N	\N
440996	1498	1998-07-02	PRIJEM	VKLAD	5300	8213	\N	\N	\N
440997	1498	1998-08-01	VYDAJ	VYBER	34700	49613	\N	\N	\N
440998	1498	1998-08-31	VYDAJ	VYBER	36800	79312	\N	\N	\N
440999	1498	1998-08-31	VYDAJ	VYBER	28900	50382	\N	\N	\N
441000	1498	1998-09-30	VYDAJ	VYBER	25700	43394	\N	\N	\N
441001	1498	1998-10-30	VYDAJ	VYBER	33400	42995	\N	\N	\N
441002	1498	1998-11-29	VYDAJ	VYBER	8500	32236	\N	\N	\N
441027	1499	1993-11-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
441039	1499	1993-12-09	PRIJEM	VKLAD	8250	9250	\N	\N	\N
441040	1499	1994-01-09	PRIJEM	VKLAD	5500	24060	\N	\N	\N
441041	1499	1994-02-09	PRIJEM	VKLAD	5500	29541	\N	\N	\N
441042	1499	1994-03-09	PRIJEM	VKLAD	5500	34943	\N	\N	\N
441043	1499	1994-04-09	PRIJEM	VKLAD	5500	35766	\N	\N	\N
441044	1499	1994-05-09	PRIJEM	VKLAD	5500	34633	\N	\N	\N
441045	1499	1994-06-09	PRIJEM	VKLAD	8250	35428	\N	\N	\N
441046	1499	1994-07-09	PRIJEM	VKLAD	5500	34290	\N	\N	\N
441047	1499	1994-08-09	PRIJEM	VKLAD	5500	36635	\N	\N	\N
441048	1499	1994-09-09	PRIJEM	VKLAD	5500	34685	\N	\N	\N
441049	1499	1994-10-09	PRIJEM	VKLAD	5500	34630	\N	\N	\N
441050	1499	1994-11-09	PRIJEM	VKLAD	5500	35174	\N	\N	\N
441051	1499	1994-12-09	PRIJEM	VKLAD	8250	37369	\N	\N	\N
441052	1499	1995-01-09	PRIJEM	VKLAD	5500	32096	\N	\N	\N
441053	1499	1995-02-09	PRIJEM	VKLAD	5500	22458	\N	\N	\N
441054	1499	1995-03-09	PRIJEM	VKLAD	5500	29759	\N	\N	\N
441055	1499	1995-04-09	PRIJEM	VKLAD	5500	35689	\N	\N	\N
441056	1499	1995-05-09	PRIJEM	VKLAD	5500	36838	\N	\N	\N
441057	1499	1995-06-09	PRIJEM	VKLAD	8250	39541	\N	\N	\N
441058	1499	1995-07-09	PRIJEM	VKLAD	5500	26107	\N	\N	\N
441059	1499	1995-08-09	PRIJEM	VKLAD	5500	27822	\N	\N	\N
441060	1499	1995-09-09	PRIJEM	VKLAD	5500	35151	\N	\N	\N
441061	1499	1995-10-09	PRIJEM	VKLAD	5500	37499	\N	\N	\N
441062	1499	1995-11-09	PRIJEM	VKLAD	5500	38956	\N	\N	\N
441063	1499	1995-12-09	PRIJEM	VKLAD	8250	43870	\N	\N	\N
441064	1499	1996-01-09	PRIJEM	VKLAD	5500	33335	\N	\N	\N
441065	1499	1996-02-09	PRIJEM	VKLAD	5500	31067	\N	\N	\N
441066	1499	1996-03-09	PRIJEM	VKLAD	5500	33598	\N	\N	\N
441067	1499	1996-04-09	PRIJEM	VKLAD	5500	34598	\N	\N	\N
441068	1499	1996-05-09	PRIJEM	VKLAD	5500	36944	\N	\N	\N
441069	1499	1996-06-09	PRIJEM	VKLAD	8250	31361	\N	\N	\N
441070	1499	1996-07-09	PRIJEM	VKLAD	5500	32597	\N	\N	\N
441071	1499	1996-08-09	PRIJEM	VKLAD	5500	35335	\N	\N	\N
441072	1499	1996-09-09	PRIJEM	VKLAD	5500	39489	\N	\N	\N
441073	1499	1996-10-09	PRIJEM	VKLAD	5500	40394	\N	\N	\N
441074	1499	1996-11-09	PRIJEM	VKLAD	5500	36210	\N	\N	\N
441075	1499	1996-12-09	PRIJEM	VKLAD	8250	37308	\N	\N	\N
441076	1499	1997-01-09	PRIJEM	VKLAD	5500	27736	\N	\N	\N
441077	1499	1997-02-09	PRIJEM	VKLAD	5500	22243	\N	\N	\N
441078	1499	1997-03-09	PRIJEM	VKLAD	5500	30555	\N	\N	\N
441079	1499	1997-04-09	PRIJEM	VKLAD	5500	36293	\N	\N	\N
441080	1499	1997-05-09	PRIJEM	VKLAD	5500	38426	\N	\N	\N
441081	1499	1997-06-09	PRIJEM	VKLAD	8250	43647	\N	\N	\N
441082	1499	1997-07-09	PRIJEM	VKLAD	5500	31391	\N	\N	\N
441083	1499	1997-08-09	PRIJEM	VKLAD	5500	39139	\N	\N	\N
441084	1499	1997-09-09	PRIJEM	VKLAD	5500	41008	\N	\N	\N
441085	1499	1997-10-09	PRIJEM	VKLAD	5500	43882	\N	\N	\N
441086	1499	1997-11-09	PRIJEM	VKLAD	5500	45065	\N	\N	\N
441087	1499	1997-12-09	PRIJEM	VKLAD	8250	51905	\N	\N	\N
441088	1499	1998-01-09	PRIJEM	VKLAD	5500	49790	\N	\N	\N
441089	1499	1998-02-09	PRIJEM	VKLAD	5500	46989	\N	\N	\N
441090	1499	1998-03-09	PRIJEM	VKLAD	5500	55869	\N	\N	\N
441091	1499	1998-04-09	PRIJEM	VKLAD	5500	59883	\N	\N	\N
441092	1499	1998-05-09	PRIJEM	VKLAD	5500	62819	\N	\N	\N
441093	1499	1998-06-09	PRIJEM	VKLAD	8250	67887	\N	\N	\N
441094	1499	1998-07-09	PRIJEM	VKLAD	5500	59940	\N	\N	\N
441095	1499	1998-08-09	PRIJEM	VKLAD	5500	64785	\N	\N	\N
441096	1499	1998-09-09	PRIJEM	VKLAD	5500	64959	\N	\N	\N
441097	1499	1998-10-09	PRIJEM	VKLAD	5500	64823	\N	\N	\N
441098	1499	1998-11-09	PRIJEM	VKLAD	5500	69496	\N	\N	\N
441099	1499	1998-12-09	PRIJEM	VKLAD	8250	73332	\N	\N	\N
441115	1499	1994-04-11	VYDAJ	PREVOD NA UCET	3666	32100	SIPO	EF	54662084
441116	1499	1994-05-11	VYDAJ	PREVOD NA UCET	3666	30967	SIPO	EF	54662084
441117	1499	1994-06-11	VYDAJ	PREVOD NA UCET	3666	31762	SIPO	EF	54662084
441118	1499	1994-07-11	VYDAJ	PREVOD NA UCET	3666	30624	SIPO	EF	54662084
441119	1499	1994-08-11	VYDAJ	PREVOD NA UCET	3666	32969	SIPO	EF	54662084
441120	1499	1994-09-11	VYDAJ	PREVOD NA UCET	3666	31019	SIPO	EF	54662084
441121	1499	1994-10-11	VYDAJ	PREVOD NA UCET	3666	30964	SIPO	EF	54662084
441122	1499	1994-11-11	VYDAJ	PREVOD NA UCET	3666	31508	SIPO	EF	54662084
441123	1499	1994-12-11	VYDAJ	PREVOD NA UCET	3666	33703	SIPO	EF	54662084
441124	1499	1995-01-11	VYDAJ	PREVOD NA UCET	3666	28430	SIPO	EF	54662084
441125	1499	1995-02-11	VYDAJ	PREVOD NA UCET	3666	18792	SIPO	EF	54662084
441126	1499	1995-03-11	VYDAJ	PREVOD NA UCET	3666	26093	SIPO	EF	54662084
441127	1499	1995-04-11	VYDAJ	PREVOD NA UCET	3666	32023	SIPO	EF	54662084
441128	1499	1995-05-11	VYDAJ	PREVOD NA UCET	3666	33172	SIPO	EF	54662084
441129	1499	1995-06-11	VYDAJ	PREVOD NA UCET	3666	35875	SIPO	EF	54662084
441130	1499	1995-07-11	VYDAJ	PREVOD NA UCET	3666	22441	SIPO	EF	54662084
441131	1499	1995-08-11	VYDAJ	PREVOD NA UCET	3666	24156	SIPO	EF	54662084
441132	1499	1995-09-11	VYDAJ	PREVOD NA UCET	3666	31485	SIPO	EF	54662084
441133	1499	1995-10-11	VYDAJ	PREVOD NA UCET	3666	33833	SIPO	EF	54662084
441134	1499	1995-11-11	VYDAJ	PREVOD NA UCET	3666	35290	SIPO	EF	54662084
441135	1499	1995-12-11	VYDAJ	PREVOD NA UCET	3666	40204	SIPO	EF	54662084
441136	1499	1996-01-11	VYDAJ	PREVOD NA UCET	3666	26549	SIPO	EF	54662084
441137	1499	1996-02-11	VYDAJ	PREVOD NA UCET	3666	27401	SIPO	EF	54662084
441138	1499	1996-03-11	VYDAJ	PREVOD NA UCET	3666	29932	SIPO	EF	54662084
441139	1499	1996-04-11	VYDAJ	PREVOD NA UCET	3666	30932	SIPO	EF	54662084
441140	1499	1996-05-11	VYDAJ	PREVOD NA UCET	3666	27398	SIPO	EF	54662084
441141	1499	1996-06-11	VYDAJ	PREVOD NA UCET	3666	27695	SIPO	EF	54662084
441142	1499	1996-07-11	VYDAJ	PREVOD NA UCET	3666	28931	SIPO	EF	54662084
441143	1499	1996-08-11	VYDAJ	PREVOD NA UCET	3666	31669	SIPO	EF	54662084
441144	1499	1996-09-11	VYDAJ	PREVOD NA UCET	3666	35823	SIPO	EF	54662084
441145	1499	1996-10-11	VYDAJ	PREVOD NA UCET	3666	36728	SIPO	EF	54662084
441146	1499	1996-11-11	VYDAJ	PREVOD NA UCET	3666	32544	SIPO	EF	54662084
441147	1499	1996-12-11	VYDAJ	PREVOD NA UCET	3666	33642	SIPO	EF	54662084
441148	1499	1997-01-11	VYDAJ	PREVOD NA UCET	3666	29370	SIPO	EF	54662084
441149	1499	1997-02-11	VYDAJ	PREVOD NA UCET	3666	24977	SIPO	EF	54662084
441150	1499	1997-03-11	VYDAJ	PREVOD NA UCET	3666	26889	SIPO	EF	54662084
441151	1499	1997-04-11	VYDAJ	PREVOD NA UCET	3666	36527	SIPO	EF	54662084
441152	1499	1997-05-11	VYDAJ	PREVOD NA UCET	3666	35260	SIPO	EF	54662084
441153	1499	1997-06-11	VYDAJ	PREVOD NA UCET	3666	36181	SIPO	EF	54662084
441154	1499	1997-07-11	VYDAJ	PREVOD NA UCET	3666	33525	SIPO	EF	54662084
441155	1499	1997-08-11	VYDAJ	PREVOD NA UCET	3666	36973	SIPO	EF	54662084
441156	1499	1997-09-11	VYDAJ	PREVOD NA UCET	3666	37342	SIPO	EF	54662084
441157	1499	1997-10-11	VYDAJ	PREVOD NA UCET	3666	40216	SIPO	EF	54662084
441158	1499	1997-11-11	VYDAJ	PREVOD NA UCET	3666	41399	SIPO	EF	54662084
441159	1499	1997-12-11	VYDAJ	PREVOD NA UCET	3666	45839	SIPO	EF	54662084
441160	1499	1998-01-11	VYDAJ	PREVOD NA UCET	3666	46124	SIPO	EF	54662084
441161	1499	1998-02-11	VYDAJ	PREVOD NA UCET	3666	43323	SIPO	EF	54662084
441162	1499	1998-03-11	VYDAJ	PREVOD NA UCET	3666	52203	SIPO	EF	54662084
441163	1499	1998-04-11	VYDAJ	PREVOD NA UCET	3666	56217	SIPO	EF	54662084
441164	1499	1998-05-11	VYDAJ	PREVOD NA UCET	3666	59153	SIPO	EF	54662084
441165	1499	1998-06-11	VYDAJ	PREVOD NA UCET	3666	64221	SIPO	EF	54662084
441166	1499	1998-07-11	VYDAJ	PREVOD NA UCET	3666	56274	SIPO	EF	54662084
441167	1499	1998-08-11	VYDAJ	PREVOD NA UCET	3666	61119	SIPO	EF	54662084
441168	1499	1998-09-11	VYDAJ	PREVOD NA UCET	3666	61293	SIPO	EF	54662084
441169	1499	1998-10-11	VYDAJ	PREVOD NA UCET	3666	61157	SIPO	EF	54662084
441170	1499	1998-11-11	VYDAJ	PREVOD NA UCET	3666	65830	SIPO	EF	54662084
441171	1499	1998-12-11	VYDAJ	PREVOD NA UCET	3666	69666	SIPO	EF	54662084
441173	1499	1994-06-17	VYDAJ	VYBER	5280	26482	\N	\N	\N
441174	1499	1995-06-14	VYDAJ	VYBER	20640	15235	\N	\N	\N
441175	1499	1996-06-03	VYDAJ	VYBER	7200	23111	\N	\N	\N
441176	1499	1997-06-14	VYDAJ	VYBER	10400	25781	\N	\N	\N
441177	1499	1998-06-20	VYDAJ	VYBER	17920	46301	\N	\N	\N
441180	1499	1995-01-22	VYDAJ	VYBER	6080	22030	\N	\N	\N
441182	1499	1997-01-07	VYDAJ	VYBER	3840	25356	\N	\N	\N
441183	1499	1998-01-19	VYDAJ	VYBER	6080	31524	\N	\N	\N
441185	1499	1994-12-21	VYDAJ	VYBER	4480	29223	\N	\N	\N
441186	1499	1995-12-26	VYDAJ	VYBER	3840	29864	\N	\N	\N
441187	1499	1996-12-21	VYDAJ	VYBER	4320	29922	\N	\N	\N
441188	1499	1997-12-09	VYDAJ	VYBER	2400	49505	\N	\N	\N
441189	1499	1998-12-26	VYDAJ	VYBER	4480	65186	\N	\N	\N
441202	1499	1995-01-14	VYDAJ	VYBER	3360	25070	\N	\N	\N
441203	1499	1995-01-29	VYDAJ	VYBER	1920	16870	\N	\N	\N
441204	1499	1995-01-16	VYDAJ	VYBER	1200	23870	\N	\N	\N
441205	1499	1995-01-24	VYDAJ	VYBER	3240	18790	\N	\N	\N
441206	1499	1995-01-07	VYDAJ	VYBER	1200	26596	\N	\N	\N
441207	1499	1995-01-18	VYDAJ	VYBER	3360	20510	\N	\N	\N
441208	1499	1996-01-25	VYDAJ	VYBER	2040	25469	\N	\N	\N
441209	1499	1996-01-08	VYDAJ	VYBER	1560	27835	\N	\N	\N
441210	1499	1996-01-12	VYDAJ	VYBER	1200	23909	\N	\N	\N
441211	1499	1996-01-11	VYDAJ	VYBER	1440	25109	\N	\N	\N
441212	1499	1996-01-05	VYDAJ	VYBER	600	29395	\N	\N	\N
441213	1499	1996-01-09	VYDAJ	VYBER	3120	30215	\N	\N	\N
441214	1499	1997-01-29	VYDAJ	VYBER	2040	18810	\N	\N	\N
441215	1499	1997-01-06	VYDAJ	VYBER	840	29196	\N	\N	\N
441216	1499	1997-01-30	VYDAJ	VYBER	2160	16650	\N	\N	\N
441217	1499	1997-01-17	VYDAJ	VYBER	3120	26250	\N	\N	\N
441218	1499	1997-01-26	VYDAJ	VYBER	2160	20850	\N	\N	\N
441219	1499	1997-01-19	VYDAJ	VYBER	3240	23010	\N	\N	\N
441220	1499	1998-01-26	VYDAJ	VYBER	3480	28044	\N	\N	\N
441221	1499	1998-01-17	VYDAJ	VYBER	3360	41084	\N	\N	\N
441222	1499	1998-01-15	VYDAJ	VYBER	1680	44444	\N	\N	\N
441223	1499	1998-01-07	VYDAJ	VYBER	840	44290	\N	\N	\N
441224	1499	1998-01-05	VYDAJ	VYBER	840	42530	\N	\N	\N
441225	1499	1998-01-03	VYDAJ	VYBER	2640	43370	\N	\N	\N
441231	1499	1994-06-04	VYDAJ	VYBER	2400	27178	\N	\N	\N
441232	1499	1994-12-21	VYDAJ	VYBER	1920	27303	\N	\N	\N
441233	1499	1994-04-25	VYDAJ	VYBER	4080	28020	\N	\N	\N
441235	1499	1995-01-06	VYDAJ	VYBER	1920	27796	\N	\N	\N
441236	1499	1995-07-18	VYDAJ	VYBER	3480	18961	\N	\N	\N
441237	1499	1995-08-27	VYDAJ	VYBER	1200	29556	\N	\N	\N
441238	1499	1995-07-02	VYDAJ	VYBER	3720	20607	\N	\N	\N
441239	1499	1995-08-01	VYDAJ	VYBER	720	22322	\N	\N	\N
441240	1499	1996-03-21	VYDAJ	VYBER	1440	28992	\N	\N	\N
441241	1499	1996-10-04	VYDAJ	VYBER	960	34894	\N	\N	\N
441242	1499	1996-05-11	VYDAJ	VYBER	5880	31064	\N	\N	\N
441243	1499	1996-10-15	VYDAJ	VYBER	3240	30588	\N	\N	\N
441244	1499	1996-11-23	VYDAJ	VYBER	4200	28944	\N	\N	\N
441245	1499	1997-04-12	VYDAJ	VYBER	3720	32807	\N	\N	\N
441246	1499	1997-01-07	VYDAJ	VYBER	3120	22236	\N	\N	\N
441247	1499	1998-01-18	VYDAJ	VYBER	3480	37604	\N	\N	\N
441248	1499	1998-03-13	VYDAJ	VYBER	4800	47403	\N	\N	\N
441249	1499	1998-07-05	VYDAJ	VYBER	1680	54440	\N	\N	\N
441250	1499	1998-05-03	VYDAJ	VYBER	4080	47419	\N	\N	\N
441251	1499	1998-04-21	VYDAJ	VYBER	4920	51297	\N	\N	\N
441252	1499	1998-08-19	VYDAJ	VYBER	1920	54039	\N	\N	\N
441253	1499	1998-08-17	VYDAJ	VYBER	5160	55959	\N	\N	\N
441254	1499	1998-06-08	VYDAJ	VYBER	3240	59637	\N	\N	\N
441271	1499	1994-04-30	VYDAJ	VYBER	15	29133	SLUZBY	\N	\N
441272	1499	1994-05-31	VYDAJ	VYBER	15	29578	SLUZBY	\N	\N
441273	1499	1994-06-30	VYDAJ	VYBER	15	28790	SLUZBY	\N	\N
441274	1499	1994-07-31	VYDAJ	VYBER	15	31135	SLUZBY	\N	\N
441275	1499	1994-08-31	VYDAJ	VYBER	15	29185	SLUZBY	\N	\N
441276	1499	1994-09-30	VYDAJ	VYBER	15	29130	SLUZBY	\N	\N
441277	1499	1994-10-31	VYDAJ	VYBER	15	29674	SLUZBY	\N	\N
441278	1499	1994-11-30	VYDAJ	VYBER	15	29119	SLUZBY	\N	\N
441279	1499	1994-12-31	VYDAJ	VYBER	15	29716	SLUZBY	\N	\N
441280	1499	1995-01-31	VYDAJ	VYBER	15	16958	SLUZBY	\N	\N
441281	1499	1995-02-28	VYDAJ	VYBER	15	24259	SLUZBY	\N	\N
441282	1499	1995-03-31	VYDAJ	VYBER	15	30189	SLUZBY	\N	\N
441283	1499	1995-04-30	VYDAJ	VYBER	15	31338	SLUZBY	\N	\N
441284	1499	1995-05-31	VYDAJ	VYBER	15	31291	SLUZBY	\N	\N
441285	1499	1995-06-30	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
441286	1499	1995-07-31	VYDAJ	VYBER	15	23042	SLUZBY	\N	\N
441287	1499	1995-08-31	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
441288	1499	1995-09-30	VYDAJ	VYBER	15	31999	SLUZBY	\N	\N
441289	1499	1995-10-31	VYDAJ	VYBER	15	33456	SLUZBY	\N	\N
441290	1499	1995-11-30	VYDAJ	VYBER	15	35620	SLUZBY	\N	\N
441291	1499	1995-12-31	VYDAJ	VYBER	15	29995	SLUZBY	\N	\N
441292	1499	1996-01-31	VYDAJ	VYBER	15	25567	SLUZBY	\N	\N
441293	1499	1996-02-29	VYDAJ	VYBER	15	28098	SLUZBY	\N	\N
441294	1499	1996-03-31	VYDAJ	VYBER	15	29098	SLUZBY	\N	\N
441295	1499	1996-04-30	VYDAJ	VYBER	15	31444	SLUZBY	\N	\N
441296	1499	1996-05-31	VYDAJ	VYBER	15	30311	SLUZBY	\N	\N
441297	1499	1996-06-30	VYDAJ	VYBER	15	27097	SLUZBY	\N	\N
441298	1499	1996-07-31	VYDAJ	VYBER	15	29835	SLUZBY	\N	\N
441299	1499	1996-08-31	VYDAJ	VYBER	15	33989	SLUZBY	\N	\N
441300	1499	1996-09-30	VYDAJ	VYBER	15	35854	SLUZBY	\N	\N
441301	1499	1996-10-31	VYDAJ	VYBER	15	30710	SLUZBY	\N	\N
441302	1499	1996-11-30	VYDAJ	VYBER	15	29058	SLUZBY	\N	\N
441303	1499	1996-12-31	VYDAJ	VYBER	15	30036	SLUZBY	\N	\N
441304	1499	1997-01-31	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
441305	1499	1997-02-28	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
441306	1499	1997-03-31	VYDAJ	VYBER	15	30793	SLUZBY	\N	\N
441307	1499	1997-04-30	VYDAJ	VYBER	15	32926	SLUZBY	\N	\N
441308	1499	1997-05-31	VYDAJ	VYBER	15	35397	SLUZBY	\N	\N
441309	1499	1997-06-30	VYDAJ	VYBER	15	25891	SLUZBY	\N	\N
441310	1499	1997-07-31	VYDAJ	VYBER	15	33639	SLUZBY	\N	\N
441311	1499	1997-08-31	VYDAJ	VYBER	15	37108	SLUZBY	\N	\N
441312	1499	1997-09-30	VYDAJ	VYBER	15	37482	SLUZBY	\N	\N
441313	1499	1997-10-31	VYDAJ	VYBER	15	40365	SLUZBY	\N	\N
441314	1499	1997-11-30	VYDAJ	VYBER	15	41555	SLUZBY	\N	\N
441315	1499	1997-12-31	VYDAJ	VYBER	15	46010	SLUZBY	\N	\N
441316	1499	1998-01-31	VYDAJ	VYBER	15	28189	SLUZBY	\N	\N
441317	1499	1998-02-28	VYDAJ	VYBER	15	43469	SLUZBY	\N	\N
441318	1499	1998-03-31	VYDAJ	VYBER	15	47583	SLUZBY	\N	\N
441319	1499	1998-04-30	VYDAJ	VYBER	15	51499	SLUZBY	\N	\N
441320	1499	1998-05-31	VYDAJ	VYBER	15	59377	SLUZBY	\N	\N
441321	1499	1998-06-30	VYDAJ	VYBER	15	46520	SLUZBY	\N	\N
441322	1499	1998-07-31	VYDAJ	VYBER	15	56485	SLUZBY	\N	\N
441323	1499	1998-08-31	VYDAJ	VYBER	15	54259	SLUZBY	\N	\N
441324	1499	1998-09-30	VYDAJ	VYBER	15	61523	SLUZBY	\N	\N
441325	1499	1998-10-31	VYDAJ	VYBER	15	61396	SLUZBY	\N	\N
441326	1499	1998-11-30	VYDAJ	VYBER	15	66082	SLUZBY	\N	\N
441327	1499	1993-12-28	PRIJEM	VKLAD	9300	18550	\N	\N	\N
441328	1499	1994-01-27	VYDAJ	VYBER	100	23960	\N	\N	\N
441329	1499	1994-02-26	VYDAJ	VYBER	200	29341	\N	\N	\N
441330	1499	1994-03-28	VYDAJ	VYBER	4800	30143	\N	\N	\N
441331	1499	1994-04-27	PRIJEM	VKLAD	1000	29020	\N	\N	\N
441332	1499	1994-05-27	VYDAJ	VYBER	1500	29467	\N	\N	\N
441333	1499	1994-06-26	PRIJEM	VKLAD	2200	28682	\N	\N	\N
441334	1499	1994-07-26	PRIJEM	VKLAD	400	31024	\N	\N	\N
441335	1499	1994-08-25	VYDAJ	VYBER	3900	29069	\N	\N	\N
441336	1499	1994-09-24	VYDAJ	VYBER	2000	29019	\N	\N	\N
441337	1499	1994-10-24	VYDAJ	VYBER	1400	29564	\N	\N	\N
441338	1499	1994-11-23	VYDAJ	VYBER	2500	29008	\N	\N	\N
441339	1499	1994-12-23	PRIJEM	VKLAD	2300	29603	\N	\N	\N
441340	1499	1995-01-22	PRIJEM	VKLAD	7600	28110	\N	\N	\N
441341	1499	1995-02-21	PRIJEM	VKLAD	5400	24192	\N	\N	\N
441342	1499	1995-03-23	PRIJEM	VKLAD	4000	30093	\N	\N	\N
441343	1499	1995-04-22	VYDAJ	VYBER	800	31223	\N	\N	\N
441344	1499	1995-05-22	VYDAJ	VYBER	2000	31172	\N	\N	\N
441345	1499	1995-06-21	PRIJEM	VKLAD	9000	24235	\N	\N	\N
441346	1499	1995-07-21	PRIJEM	VKLAD	4000	22961	\N	\N	\N
441347	1499	1995-08-20	PRIJEM	VKLAD	6600	30756	\N	\N	\N
441348	1499	1995-09-19	PRIJEM	VKLAD	400	31885	\N	\N	\N
441349	1499	1995-10-19	VYDAJ	VYBER	500	33333	\N	\N	\N
441350	1499	1995-11-18	PRIJEM	VKLAD	200	35490	\N	\N	\N
441351	1499	1995-12-18	VYDAJ	VYBER	6500	33704	\N	\N	\N
441352	1499	1996-01-17	PRIJEM	VKLAD	3600	27509	\N	\N	\N
441353	1499	1996-02-16	PRIJEM	VKLAD	600	28001	\N	\N	\N
441354	1499	1996-03-17	PRIJEM	VKLAD	500	30432	\N	\N	\N
441355	1499	1996-04-16	PRIJEM	VKLAD	400	31332	\N	\N	\N
441356	1499	1996-05-16	PRIJEM	VKLAD	2800	30198	\N	\N	\N
441357	1499	1996-06-15	VYDAJ	VYBER	700	26995	\N	\N	\N
441358	1499	1996-07-15	PRIJEM	VKLAD	800	29731	\N	\N	\N
441359	1499	1996-08-14	PRIJEM	VKLAD	2200	33869	\N	\N	\N
441360	1499	1996-09-13	VYDAJ	VYBER	100	35723	\N	\N	\N
441361	1499	1996-10-13	VYDAJ	VYBER	2900	33828	\N	\N	\N
441362	1499	1996-11-12	PRIJEM	VKLAD	600	33144	\N	\N	\N
441363	1499	1996-12-12	PRIJEM	VKLAD	600	34242	\N	\N	\N
441364	1499	1997-01-11	PRIJEM	VKLAD	5300	33036	\N	\N	\N
441365	1499	1997-02-10	PRIJEM	VKLAD	6400	28643	\N	\N	\N
441366	1499	1997-03-12	PRIJEM	VKLAD	3800	30689	\N	\N	\N
441367	1499	1997-04-11	PRIJEM	VKLAD	3900	40193	\N	\N	\N
441368	1499	1997-05-11	PRIJEM	VKLAD	500	38926	\N	\N	\N
441369	1499	1997-06-10	VYDAJ	VYBER	3800	39847	\N	\N	\N
441370	1499	1997-07-10	PRIJEM	VKLAD	5800	37191	\N	\N	\N
441371	1499	1997-08-09	PRIJEM	VKLAD	1500	40639	\N	\N	\N
441372	1499	1997-09-08	VYDAJ	VYBER	1600	35508	\N	\N	\N
441373	1499	1997-10-08	PRIJEM	VKLAD	900	38382	\N	\N	\N
441374	1499	1997-11-07	VYDAJ	VYBER	800	39565	\N	\N	\N
441375	1499	1997-12-07	PRIJEM	VKLAD	2100	43655	\N	\N	\N
441376	1499	1998-01-06	PRIJEM	VKLAD	2600	45130	\N	\N	\N
441377	1499	1998-02-05	PRIJEM	VKLAD	13300	41489	\N	\N	\N
441378	1499	1998-03-07	PRIJEM	VKLAD	6900	50369	\N	\N	\N
441379	1499	1998-04-06	PRIJEM	VKLAD	6800	54383	\N	\N	\N
441380	1499	1998-05-06	PRIJEM	VKLAD	9900	57319	\N	\N	\N
441381	1499	1998-06-05	PRIJEM	VKLAD	3500	62877	\N	\N	\N
441382	1499	1998-07-05	PRIJEM	VKLAD	9600	56120	\N	\N	\N
441383	1499	1998-08-04	PRIJEM	VKLAD	2800	59285	\N	\N	\N
441384	1499	1998-09-03	PRIJEM	VKLAD	5200	59459	\N	\N	\N
441385	1499	1998-10-03	VYDAJ	VYBER	2200	59323	\N	\N	\N
441386	1499	1998-11-02	PRIJEM	VKLAD	2600	63996	\N	\N	\N
441387	1499	1998-12-02	VYDAJ	VYBER	1000	65082	\N	\N	\N
441449	1500	1996-10-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
441459	1500	1996-10-05	PRIJEM	VKLAD	22054	23054	\N	\N	\N
441460	1500	1996-11-05	PRIJEM	VKLAD	22054	46692	\N	\N	\N
441461	1500	1996-12-05	PRIJEM	VKLAD	33081	70577	\N	\N	\N
441462	1500	1997-01-05	PRIJEM	VKLAD	22054	72991	\N	\N	\N
441463	1500	1997-02-05	PRIJEM	VKLAD	22054	73657	\N	\N	\N
441464	1500	1997-03-05	PRIJEM	VKLAD	22054	75740	\N	\N	\N
441465	1500	1997-04-05	PRIJEM	VKLAD	22054	72331	\N	\N	\N
441466	1500	1997-05-05	PRIJEM	VKLAD	22054	72509	\N	\N	\N
441467	1500	1997-06-05	PRIJEM	VKLAD	33081	84309	\N	\N	\N
441468	1500	1997-07-05	PRIJEM	VKLAD	22054	71787	\N	\N	\N
441469	1500	1997-08-05	PRIJEM	VKLAD	22054	73759	\N	\N	\N
441470	1500	1997-09-05	PRIJEM	VKLAD	22054	74336	\N	\N	\N
441471	1500	1997-10-05	PRIJEM	VKLAD	22054	74113	\N	\N	\N
441472	1500	1997-11-05	PRIJEM	VKLAD	22054	72287	\N	\N	\N
441473	1500	1997-12-05	PRIJEM	VKLAD	33081	85580	\N	\N	\N
441474	1500	1998-01-05	PRIJEM	VKLAD	22054	78779	\N	\N	\N
441475	1500	1998-02-05	PRIJEM	VKLAD	22054	59266	\N	\N	\N
441476	1500	1998-03-05	PRIJEM	VKLAD	22054	66082	\N	\N	\N
441477	1500	1998-04-05	PRIJEM	VKLAD	22054	72227	\N	\N	\N
441478	1500	1998-05-05	PRIJEM	VKLAD	22054	80898	\N	\N	\N
441479	1500	1998-06-05	PRIJEM	VKLAD	33081	90320	\N	\N	\N
441480	1500	1998-07-05	PRIJEM	VKLAD	22054	77811	\N	\N	\N
441481	1500	1998-08-05	PRIJEM	VKLAD	22054	78495	\N	\N	\N
441482	1500	1998-09-05	PRIJEM	VKLAD	22054	84086	\N	\N	\N
441483	1500	1998-10-05	PRIJEM	VKLAD	22054	82088	\N	\N	\N
441484	1500	1998-11-05	PRIJEM	VKLAD	22054	78482	\N	\N	\N
441485	1500	1998-12-05	PRIJEM	VKLAD	33081	92593	\N	\N	\N
441499	1500	1997-02-10	VYDAJ	PREVOD NA UCET	4119	69538	SIPO	GH	4727745
441500	1500	1997-03-10	VYDAJ	PREVOD NA UCET	4119	71621	SIPO	GH	4727745
441501	1500	1997-04-10	VYDAJ	PREVOD NA UCET	4119	68212	SIPO	GH	4727745
441502	1500	1997-05-10	VYDAJ	PREVOD NA UCET	4119	68390	SIPO	GH	4727745
441503	1500	1997-06-10	VYDAJ	PREVOD NA UCET	4119	67590	SIPO	GH	4727745
441504	1500	1997-07-10	VYDAJ	PREVOD NA UCET	4119	67668	SIPO	GH	4727745
441505	1500	1997-08-10	VYDAJ	PREVOD NA UCET	4119	69640	SIPO	GH	4727745
441506	1500	1997-09-10	VYDAJ	PREVOD NA UCET	4119	70217	SIPO	GH	4727745
441507	1500	1997-10-10	VYDAJ	PREVOD NA UCET	4119	69994	SIPO	GH	4727745
441508	1500	1997-11-10	VYDAJ	PREVOD NA UCET	4119	68168	SIPO	GH	4727745
441509	1500	1997-12-10	VYDAJ	PREVOD NA UCET	4119	79761	SIPO	GH	4727745
441510	1500	1998-01-10	VYDAJ	PREVOD NA UCET	4119	74660	SIPO	GH	4727745
441511	1500	1998-02-10	VYDAJ	PREVOD NA UCET	4119	55147	SIPO	GH	4727745
441512	1500	1998-03-10	VYDAJ	PREVOD NA UCET	4119	61963	SIPO	GH	4727745
441513	1500	1998-04-10	VYDAJ	PREVOD NA UCET	4119	68108	SIPO	GH	4727745
441514	1500	1998-05-10	VYDAJ	PREVOD NA UCET	4119	76779	SIPO	GH	4727745
441515	1500	1998-06-10	VYDAJ	PREVOD NA UCET	4119	86201	SIPO	GH	4727745
441516	1500	1998-07-10	VYDAJ	PREVOD NA UCET	4119	73692	SIPO	GH	4727745
441517	1500	1998-08-10	VYDAJ	PREVOD NA UCET	4119	74376	SIPO	GH	4727745
441518	1500	1998-09-10	VYDAJ	PREVOD NA UCET	4119	79967	SIPO	GH	4727745
441519	1500	1998-10-10	VYDAJ	PREVOD NA UCET	4119	77969	SIPO	GH	4727745
441520	1500	1998-11-10	VYDAJ	PREVOD NA UCET	4119	74363	SIPO	GH	4727745
441521	1500	1998-12-10	VYDAJ	PREVOD NA UCET	4119	86274	SIPO	GH	4727745
441523	1500	1997-06-09	VYDAJ	VYBER	12600	71709	\N	\N	\N
441524	1500	1998-06-16	VYDAJ	VYBER	17800	68401	\N	\N	\N
441527	1500	1998-01-27	VYDAJ	VYBER	9800	40360	\N	\N	\N
441529	1500	1997-12-10	VYDAJ	VYBER KARTOU	1700	83880	\N	\N	0
441530	1500	1998-12-10	VYDAJ	VYBER KARTOU	2200	90393	\N	\N	0
441543	1500	1998-01-01	VYDAJ	VYBER KARTOU	800	57925	\N	\N	0
441544	1500	1998-01-22	VYDAJ	VYBER KARTOU	2900	67360	\N	\N	0
441545	1500	1998-01-02	VYDAJ	VYBER KARTOU	1200	56725	\N	\N	0
441546	1500	1998-01-17	VYDAJ	VYBER KARTOU	1700	72960	\N	\N	0
441547	1500	1998-01-29	VYDAJ	VYBER KARTOU	2300	36960	\N	\N	0
441548	1500	1998-01-28	VYDAJ	VYBER KARTOU	1100	39260	\N	\N	0
441552	1500	1997-11-20	VYDAJ	VYBER KARTOU	3500	64668	\N	\N	0
441553	1500	1997-06-29	VYDAJ	VYBER	4700	49490	\N	\N	\N
441554	1500	1997-05-23	VYDAJ	VYBER	3500	64890	\N	\N	\N
441555	1500	1997-10-24	VYDAJ	VYBER KARTOU	2100	67894	\N	\N	0
441556	1500	1998-01-21	VYDAJ	VYBER KARTOU	2700	70260	\N	\N	0
441557	1500	1998-10-28	VYDAJ	VYBER KARTOU	3800	56169	\N	\N	0
441558	1500	1998-05-12	VYDAJ	VYBER KARTOU	1000	75779	\N	\N	0
441559	1500	1998-04-11	VYDAJ	VYBER KARTOU	700	67408	\N	\N	0
441560	1500	1998-07-24	VYDAJ	VYBER KARTOU	1500	56192	\N	\N	0
441561	1500	1998-12-24	VYDAJ	VYBER KARTOU	3400	57574	\N	\N	0
441576	1500	1997-02-28	VYDAJ	VYBER	15	53686	SLUZBY	\N	\N
441577	1500	1997-03-31	VYDAJ	VYBER	15	50277	SLUZBY	\N	\N
441578	1500	1997-04-30	VYDAJ	VYBER	15	50455	SLUZBY	\N	\N
441579	1500	1997-05-31	VYDAJ	VYBER	15	51228	SLUZBY	\N	\N
441580	1500	1997-06-30	VYDAJ	VYBER	15	49733	SLUZBY	\N	\N
441581	1500	1997-07-31	VYDAJ	VYBER	15	51705	SLUZBY	\N	\N
441582	1500	1997-08-31	VYDAJ	VYBER	15	52282	SLUZBY	\N	\N
441583	1500	1997-09-30	VYDAJ	VYBER	15	52059	SLUZBY	\N	\N
441584	1500	1997-10-31	VYDAJ	VYBER	15	50233	SLUZBY	\N	\N
441585	1500	1997-11-30	VYDAJ	VYBER	15	52499	SLUZBY	\N	\N
441586	1500	1997-12-31	VYDAJ	VYBER	15	58725	SLUZBY	\N	\N
441587	1500	1998-01-31	VYDAJ	VYBER	15	37212	SLUZBY	\N	\N
441588	1500	1998-02-28	VYDAJ	VYBER	15	44028	SLUZBY	\N	\N
441589	1500	1998-03-31	VYDAJ	VYBER	15	50173	SLUZBY	\N	\N
441590	1500	1998-04-30	VYDAJ	VYBER	15	58844	SLUZBY	\N	\N
441591	1500	1998-05-31	VYDAJ	VYBER	15	57239	SLUZBY	\N	\N
441592	1500	1998-06-30	VYDAJ	VYBER	15	55757	SLUZBY	\N	\N
441593	1500	1998-07-31	VYDAJ	VYBER	15	56441	SLUZBY	\N	\N
441594	1500	1998-08-31	VYDAJ	VYBER	15	62032	SLUZBY	\N	\N
441595	1500	1998-09-30	VYDAJ	VYBER	15	60034	SLUZBY	\N	\N
441596	1500	1998-10-31	VYDAJ	VYBER	15	56428	SLUZBY	\N	\N
441597	1500	1998-11-30	VYDAJ	VYBER	15	59512	SLUZBY	\N	\N
441598	1500	1996-10-31	PRIJEM	VKLAD	1500	24554	\N	\N	\N
441599	1500	1996-11-30	VYDAJ	VYBER	9300	37496	\N	\N	\N
441600	1500	1996-12-30	VYDAJ	VYBER	19800	50777	\N	\N	\N
441601	1500	1997-01-29	VYDAJ	VYBER	21600	51391	\N	\N	\N
441602	1500	1997-02-28	VYDAJ	VYBER	16100	53701	\N	\N	\N
441603	1500	1997-03-30	VYDAJ	VYBER	21600	50021	\N	\N	\N
441604	1500	1997-04-29	VYDAJ	VYBER	18000	50212	\N	\N	\N
441605	1500	1997-05-29	VYDAJ	VYBER	13900	50990	\N	\N	\N
441606	1500	1997-06-28	VYDAJ	VYBER	13400	54190	\N	\N	\N
441607	1500	1997-07-28	VYDAJ	VYBER	16200	51468	\N	\N	\N
441608	1500	1997-08-27	VYDAJ	VYBER	17600	52040	\N	\N	\N
441609	1500	1997-09-26	VYDAJ	VYBER	18400	51817	\N	\N	\N
441610	1500	1997-10-26	VYDAJ	VYBER	17900	49994	\N	\N	\N
441611	1500	1997-11-25	VYDAJ	VYBER	12400	52268	\N	\N	\N
441612	1500	1997-12-25	VYDAJ	VYBER	21300	58461	\N	\N	\N
441613	1500	1998-01-24	VYDAJ	VYBER	17200	50160	\N	\N	\N
441614	1500	1998-02-23	VYDAJ	VYBER	11300	43847	\N	\N	\N
441615	1500	1998-03-25	VYDAJ	VYBER	12000	49963	\N	\N	\N
441616	1500	1998-04-24	VYDAJ	VYBER	8800	58608	\N	\N	\N
441617	1500	1998-05-24	VYDAJ	VYBER	18800	56979	\N	\N	\N
441618	1500	1998-06-23	VYDAJ	VYBER	12900	55501	\N	\N	\N
441619	1500	1998-07-23	VYDAJ	VYBER	16000	57692	\N	\N	\N
441620	1500	1998-08-22	VYDAJ	VYBER	12600	61776	\N	\N	\N
441621	1500	1998-09-21	VYDAJ	VYBER	20200	59767	\N	\N	\N
441622	1500	1998-10-21	VYDAJ	VYBER	18000	59969	\N	\N	\N
441623	1500	1998-11-20	VYDAJ	VYBER	15100	59263	\N	\N	\N
441624	1500	1998-12-20	VYDAJ	VYBER	25300	60974	\N	\N	\N
441652	1501	1996-08-11	PRIJEM	VKLAD	500	500	\N	\N	\N
441661	1501	1996-09-07	PRIJEM	PREVOD Z UCTU	5813	6313	DUCHOD	CD	6970054
441662	1501	1996-10-07	PRIJEM	PREVOD Z UCTU	5813	12126	DUCHOD	CD	6970054
441663	1501	1996-11-07	PRIJEM	PREVOD Z UCTU	5813	17939	DUCHOD	CD	6970054
441664	1501	1996-12-07	PRIJEM	PREVOD Z UCTU	5813	22603	DUCHOD	CD	6970054
441665	1501	1997-01-07	PRIJEM	PREVOD Z UCTU	5813	27401	DUCHOD	CD	6970054
441666	1501	1997-02-07	PRIJEM	PREVOD Z UCTU	5813	18153	DUCHOD	CD	6970054
441667	1501	1997-03-07	PRIJEM	PREVOD Z UCTU	5813	19702	DUCHOD	CD	6970054
441668	1501	1997-04-07	PRIJEM	PREVOD Z UCTU	5813	17964	DUCHOD	CD	6970054
441669	1501	1997-05-07	PRIJEM	PREVOD Z UCTU	5813	16518	DUCHOD	CD	6970054
441670	1501	1997-06-07	PRIJEM	PREVOD Z UCTU	5813	20078	DUCHOD	CD	6970054
441671	1501	1997-07-07	PRIJEM	PREVOD Z UCTU	5813	15531	DUCHOD	CD	6970054
441672	1501	1997-08-07	PRIJEM	PREVOD Z UCTU	5813	19086	DUCHOD	CD	6970054
441673	1501	1997-09-07	PRIJEM	PREVOD Z UCTU	5813	20335	DUCHOD	CD	6970054
441674	1501	1997-10-07	PRIJEM	PREVOD Z UCTU	5813	16710	DUCHOD	CD	6970054
441675	1501	1997-11-07	PRIJEM	PREVOD Z UCTU	5813	20282	DUCHOD	CD	6970054
441676	1501	1997-12-07	PRIJEM	PREVOD Z UCTU	5813	23857	DUCHOD	CD	6970054
441677	1501	1998-01-07	PRIJEM	PREVOD Z UCTU	5813	25068	DUCHOD	CD	6970054
441678	1501	1998-02-07	PRIJEM	PREVOD Z UCTU	5813	23862	DUCHOD	CD	6970054
441679	1501	1998-03-07	PRIJEM	PREVOD Z UCTU	5813	27452	DUCHOD	CD	6970054
441680	1501	1998-04-07	PRIJEM	PREVOD Z UCTU	5813	31057	DUCHOD	CD	6970054
441681	1501	1998-05-07	PRIJEM	PREVOD Z UCTU	5813	34677	DUCHOD	CD	6970054
441682	1501	1998-06-07	PRIJEM	PREVOD Z UCTU	5813	33582	DUCHOD	CD	6970054
441683	1501	1998-07-07	PRIJEM	PREVOD Z UCTU	5813	17659	DUCHOD	CD	6970054
441684	1501	1998-08-07	PRIJEM	PREVOD Z UCTU	5813	19151	DUCHOD	CD	6970054
441685	1501	1998-09-07	PRIJEM	PREVOD Z UCTU	5813	22728	DUCHOD	CD	6970054
441686	1501	1998-10-07	PRIJEM	PREVOD Z UCTU	5813	22465	DUCHOD	CD	6970054
441687	1501	1998-11-07	PRIJEM	PREVOD Z UCTU	5813	26050	DUCHOD	CD	6970054
441688	1501	1998-12-07	PRIJEM	PREVOD Z UCTU	5813	28549	DUCHOD	CD	6970054
441701	1501	1997-01-13	VYDAJ	PREVOD NA UCET	2292	15249	SIPO	OP	40921163
441702	1501	1997-02-13	VYDAJ	PREVOD NA UCET	2292	14961	SIPO	OP	40921163
441703	1501	1997-03-13	VYDAJ	PREVOD NA UCET	2292	12110	SIPO	OP	40921163
441704	1501	1997-04-13	VYDAJ	PREVOD NA UCET	2292	10672	SIPO	OP	40921163
441705	1501	1997-05-13	VYDAJ	PREVOD NA UCET	2292	14226	SIPO	OP	40921163
441706	1501	1997-06-13	VYDAJ	PREVOD NA UCET	2292	9686	SIPO	OP	40921163
441707	1501	1997-07-13	VYDAJ	PREVOD NA UCET	2292	13239	SIPO	OP	40921163
441708	1501	1997-08-13	VYDAJ	PREVOD NA UCET	2292	16794	SIPO	OP	40921163
441709	1501	1997-09-13	VYDAJ	PREVOD NA UCET	2292	18043	SIPO	OP	40921163
441710	1501	1997-10-13	VYDAJ	PREVOD NA UCET	2292	14418	SIPO	OP	40921163
441711	1501	1997-11-13	VYDAJ	PREVOD NA UCET	2292	17990	SIPO	OP	40921163
441712	1501	1997-12-13	VYDAJ	PREVOD NA UCET	2292	21265	SIPO	OP	40921163
441713	1501	1998-01-13	VYDAJ	PREVOD NA UCET	2292	20456	SIPO	OP	40921163
441714	1501	1998-02-13	VYDAJ	PREVOD NA UCET	2292	21570	SIPO	OP	40921163
441715	1501	1998-03-13	VYDAJ	PREVOD NA UCET	2292	25160	SIPO	OP	40921163
441716	1501	1998-04-13	VYDAJ	PREVOD NA UCET	2292	28765	SIPO	OP	40921163
441717	1501	1998-05-13	VYDAJ	PREVOD NA UCET	2292	32385	SIPO	OP	40921163
441718	1501	1998-06-13	VYDAJ	PREVOD NA UCET	2292	31290	SIPO	OP	40921163
441719	1501	1998-07-13	VYDAJ	PREVOD NA UCET	2292	15367	SIPO	OP	40921163
441720	1501	1998-08-13	VYDAJ	PREVOD NA UCET	2292	16859	SIPO	OP	40921163
441721	1501	1998-09-13	VYDAJ	PREVOD NA UCET	2292	20436	SIPO	OP	40921163
441722	1501	1998-10-13	VYDAJ	PREVOD NA UCET	2292	20173	SIPO	OP	40921163
441723	1501	1998-11-13	VYDAJ	PREVOD NA UCET	2292	23758	SIPO	OP	40921163
441724	1501	1998-12-13	VYDAJ	PREVOD NA UCET	2292	26257	SIPO	OP	40921163
441727	1501	1998-06-23	VYDAJ	VYBER	2950	28340	\N	\N	\N
441729	1501	1997-12-11	VYDAJ	VYBER	300	23557	\N	\N	\N
441730	1501	1998-12-03	VYDAJ	VYBER	1100	22736	\N	\N	\N
441737	1501	1997-01-07	VYDAJ	VYBER	1760	25641	\N	\N	\N
441739	1501	1997-01-19	VYDAJ	VYBER	2000	12289	\N	\N	\N
441741	1501	1997-01-17	VYDAJ	VYBER	960	14289	\N	\N	\N
441742	1501	1997-01-08	VYDAJ	VYBER	2000	23641	\N	\N	\N
441743	1501	1998-01-13	VYDAJ	VYBER	480	24588	\N	\N	\N
441744	1501	1998-01-14	VYDAJ	VYBER	480	19976	\N	\N	\N
441745	1501	1998-01-22	VYDAJ	VYBER	480	19496	\N	\N	\N
441746	1501	1998-01-28	VYDAJ	VYBER	1520	17976	\N	\N	\N
441747	1501	1998-01-01	VYDAJ	VYBER	2080	19255	\N	\N	\N
441748	1501	1998-01-13	VYDAJ	VYBER	1840	22748	\N	\N	\N
441755	1501	1997-03-03	VYDAJ	VYBER	1120	13889	\N	\N	\N
441756	1501	1997-08-24	VYDAJ	VYBER	2320	14474	\N	\N	\N
441758	1501	1998-08-05	VYDAJ	VYBER	2080	13338	\N	\N	\N
441759	1501	1998-05-14	VYDAJ	VYBER	3520	28865	\N	\N	\N
441760	1501	1998-07-02	VYDAJ	VYBER	1200	11846	\N	\N	\N
441761	1501	1998-09-16	VYDAJ	VYBER	3840	16596	\N	\N	\N
441762	1501	1998-05-15	VYDAJ	VYBER	1200	27665	\N	\N	\N
441776	1501	1997-01-31	VYDAJ	VYBER	15	12340	SLUZBY	\N	\N
441777	1501	1997-02-28	VYDAJ	VYBER	15	15009	SLUZBY	\N	\N
441778	1501	1997-03-31	VYDAJ	VYBER	15	12151	SLUZBY	\N	\N
441779	1501	1997-04-30	VYDAJ	VYBER	15	10705	SLUZBY	\N	\N
441780	1501	1997-05-31	VYDAJ	VYBER	15	14265	SLUZBY	\N	\N
441781	1501	1997-06-30	VYDAJ	VYBER	15	9718	SLUZBY	\N	\N
441782	1501	1997-07-31	VYDAJ	VYBER	15	13273	SLUZBY	\N	\N
441783	1501	1997-08-31	VYDAJ	VYBER	15	14522	SLUZBY	\N	\N
441784	1501	1997-09-30	VYDAJ	VYBER	15	18097	SLUZBY	\N	\N
441785	1501	1997-10-31	VYDAJ	VYBER	15	14469	SLUZBY	\N	\N
441786	1501	1997-11-30	VYDAJ	VYBER	15	18044	SLUZBY	\N	\N
441787	1501	1997-12-31	VYDAJ	VYBER	15	21335	SLUZBY	\N	\N
441788	1501	1998-01-31	VYDAJ	VYBER	15	18049	SLUZBY	\N	\N
441789	1501	1998-02-28	VYDAJ	VYBER	15	21639	SLUZBY	\N	\N
441790	1501	1998-03-31	VYDAJ	VYBER	15	25244	SLUZBY	\N	\N
441791	1501	1998-04-30	VYDAJ	VYBER	15	28864	SLUZBY	\N	\N
441792	1501	1998-05-31	VYDAJ	VYBER	15	27769	SLUZBY	\N	\N
441793	1501	1998-06-30	VYDAJ	VYBER	15	28446	SLUZBY	\N	\N
441794	1501	1998-07-31	VYDAJ	VYBER	15	15418	SLUZBY	\N	\N
441795	1501	1998-08-31	VYDAJ	VYBER	15	16915	SLUZBY	\N	\N
441796	1501	1998-09-30	VYDAJ	VYBER	15	16652	SLUZBY	\N	\N
441797	1501	1998-10-31	VYDAJ	VYBER	15	20237	SLUZBY	\N	\N
441798	1501	1998-11-30	VYDAJ	VYBER	15	23836	SLUZBY	\N	\N
441799	1501	1996-11-09	VYDAJ	VYBER	1200	16739	\N	\N	\N
441800	1501	1996-12-09	VYDAJ	VYBER	1100	21503	\N	\N	\N
441801	1501	1997-01-08	VYDAJ	VYBER	6100	17541	\N	\N	\N
441802	1501	1997-02-07	VYDAJ	VYBER	900	17253	\N	\N	\N
441803	1501	1997-03-09	VYDAJ	VYBER	5300	14402	\N	\N	\N
441804	1501	1997-04-08	VYDAJ	VYBER	5000	12964	\N	\N	\N
441805	1501	1997-06-07	VYDAJ	VYBER	8100	11978	\N	\N	\N
441806	1501	1997-10-05	VYDAJ	VYBER	7200	10897	\N	\N	\N
441807	1501	1998-07-02	VYDAJ	VYBER	15400	13046	\N	\N	\N
441834	1502	1996-10-02	PRIJEM	VKLAD	200	200	\N	\N	\N
441835	1502	1996-10-28	PRIJEM	VKLAD	34889	64357	\N	\N	\N
441845	1502	1996-10-11	PRIJEM	VKLAD	29268	29468	\N	\N	\N
441848	1502	1996-12-04	PRIJEM	VKLAD	19086	55013	\N	\N	\N
441849	1502	1998-03-01	PRIJEM	VKLAD	35266	71910	\N	\N	\N
441850	1502	1998-01-14	PRIJEM	VKLAD	31657	55200	\N	\N	\N
441851	1502	1998-02-20	PRIJEM	VKLAD	14178	53398	\N	\N	\N
441852	1502	1998-10-25	PRIJEM	VKLAD	14328	39876	\N	\N	\N
441853	1502	1998-03-13	PRIJEM	VKLAD	15381	116552	\N	\N	\N
441854	1502	1998-07-08	PRIJEM	VKLAD	44691	81015	\N	\N	\N
441855	1502	1998-04-09	PRIJEM	VKLAD	14456	51914	\N	\N	\N
441856	1502	1998-03-23	PRIJEM	VKLAD	43594	111646	\N	\N	\N
441857	1502	1998-10-18	PRIJEM	VKLAD	24643	33548	\N	\N	\N
441858	1502	1998-06-07	PRIJEM	VKLAD	45833	76679	\N	\N	\N
441859	1502	1998-11-01	PRIJEM	VKLAD	49737	89701	\N	\N	\N
441860	1502	1998-04-20	PRIJEM	VKLAD	46170	98084	\N	\N	\N
441861	1502	1998-06-18	PRIJEM	VKLAD	48222	83063	\N	\N	\N
441862	1502	1998-03-07	PRIJEM	VKLAD	36599	108509	\N	\N	\N
441889	1502	1998-03-07	VYDAJ	PREVOD NA UCET	7338	101171	SIPO	IJ	11066508
441890	1502	1998-04-07	VYDAJ	PREVOD NA UCET	7338	37458	SIPO	IJ	11066508
441891	1502	1998-05-07	VYDAJ	PREVOD NA UCET	7338	38684	SIPO	IJ	11066508
441892	1502	1998-06-07	VYDAJ	PREVOD NA UCET	7338	69341	SIPO	IJ	11066508
441893	1502	1998-07-07	VYDAJ	PREVOD NA UCET	7338	36324	SIPO	IJ	11066508
441894	1502	1998-08-07	VYDAJ	PREVOD NA UCET	7338	22016	SIPO	IJ	11066508
441895	1502	1998-09-07	VYDAJ	PREVOD NA UCET	7338	13975	SIPO	IJ	11066508
441896	1502	1998-10-07	VYDAJ	PREVOD NA UCET	7338	8905	SIPO	IJ	11066508
441897	1502	1998-11-07	VYDAJ	PREVOD NA UCET	7338	82363	SIPO	IJ	11066508
441898	1502	1998-12-07	VYDAJ	PREVOD NA UCET	7338	43975	SIPO	IJ	11066508
441905	1502	1998-11-22	VYBER	VYBER	3899	51064	\N	\N	\N
441907	1502	1998-06-30	VYBER	VYBER	9308	43677	\N	\N	\N
441908	1502	1998-04-30	VYBER	VYBER	8816	46036	\N	\N	\N
441909	1502	1998-07-14	VYBER	VYBER	16183	64832	\N	\N	\N
441910	1502	1998-04-20	VYBER	VYBER	16173	81911	\N	\N	\N
441914	1502	1998-07-30	VYBER	VYBER	7076	29156	\N	\N	\N
441917	1502	1998-06-12	VYDAJ	VYBER	34500	34841	\N	\N	\N
441923	1502	1998-12-16	VYDAJ	VYBER	8400	35575	\N	\N	\N
441949	1502	1998-07-16	VYDAJ	VYBER	13200	48332	\N	\N	\N
441952	1502	1998-07-15	VYDAJ	VYBER	3300	61532	\N	\N	\N
441953	1502	1998-03-14	VYDAJ	VYBER	2700	68052	\N	\N	\N
441981	1502	1998-02-28	VYDAJ	VYBER	15	36644	SLUZBY	\N	\N
441982	1502	1998-03-31	VYDAJ	VYBER	15	44796	SLUZBY	\N	\N
441983	1502	1998-04-30	VYDAJ	VYBER	15	46022	SLUZBY	\N	\N
441984	1502	1998-05-31	VYDAJ	VYBER	15	30846	SLUZBY	\N	\N
441985	1502	1998-06-30	VYDAJ	VYBER	15	43662	SLUZBY	\N	\N
441986	1502	1998-07-31	VYDAJ	VYBER	15	29354	SLUZBY	\N	\N
441987	1502	1998-08-31	VYDAJ	VYBER	15	21313	SLUZBY	\N	\N
441988	1502	1998-09-30	VYDAJ	VYBER	15	16243	SLUZBY	\N	\N
441989	1502	1998-10-31	VYDAJ	VYBER	15	39964	SLUZBY	\N	\N
441990	1502	1998-11-30	VYDAJ	VYBER	15	51313	SLUZBY	\N	\N
441991	1502	1996-11-01	VYDAJ	VYBER	21100	43359	\N	\N	\N
441992	1502	1996-12-01	VYDAJ	VYBER	7700	35927	\N	\N	\N
441993	1502	1996-12-31	VYDAJ	VYBER	16700	38544	\N	\N	\N
441994	1502	1997-01-30	VYDAJ	VYBER	8300	30244	\N	\N	\N
441995	1502	1997-03-01	VYDAJ	VYBER	1600	28822	\N	\N	\N
441996	1502	1997-03-31	VYDAJ	VYBER	3100	25881	\N	\N	\N
441997	1502	1997-04-30	VYDAJ	VYBER	1900	24088	\N	\N	\N
441998	1502	1997-06-29	VYDAJ	VYBER	2100	21988	\N	\N	\N
441999	1502	1997-07-29	PRIJEM	VKLAD	2600	24696	\N	\N	\N
442000	1502	1997-08-28	PRIJEM	VKLAD	3100	27904	\N	\N	\N
442001	1502	1997-09-27	PRIJEM	VKLAD	800	28812	\N	\N	\N
442002	1502	1997-10-27	VYDAJ	VYBER	1800	27120	\N	\N	\N
442003	1502	1997-11-26	VYDAJ	VYBER	2700	24527	\N	\N	\N
442004	1502	1997-12-26	VYDAJ	VYBER	1200	23435	\N	\N	\N
442005	1502	1998-01-25	VYDAJ	VYBER	16100	39100	\N	\N	\N
442006	1502	1998-02-24	VYDAJ	VYBER	16900	36498	\N	\N	\N
442007	1502	1998-03-13	VYDAJ	VYBER	45800	70752	\N	\N	\N
442008	1502	1998-03-23	VYDAJ	VYBER	48200	63446	\N	\N	\N
442009	1502	1998-03-26	VYDAJ	VYBER	18900	44546	\N	\N	\N
442010	1502	1998-04-25	VYDAJ	VYBER	27300	54611	\N	\N	\N
442011	1502	1998-05-25	VYDAJ	VYBER	8000	30684	\N	\N	\N
442012	1502	1998-06-24	VYDAJ	VYBER	30300	52763	\N	\N	\N
442013	1502	1998-07-24	VYDAJ	VYBER	12100	36232	\N	\N	\N
442014	1502	1998-08-23	VYDAJ	VYBER	800	21216	\N	\N	\N
442015	1502	1998-09-22	PRIJEM	VKLAD	2200	16175	\N	\N	\N
442016	1502	1998-10-22	VYDAJ	VYBER	8000	25548	\N	\N	\N
442017	1502	1998-11-21	VYDAJ	VYBER	27400	54963	\N	\N	\N
442043	1503	1996-04-10	PRIJEM	VKLAD	300	300	\N	\N	\N
442048	1503	1996-05-09	PRIJEM	PREVOD Z UCTU	4757	5057	DUCHOD	MN	41001153
442049	1503	1996-06-09	PRIJEM	PREVOD Z UCTU	4757	9814	DUCHOD	MN	41001153
442050	1503	1996-07-09	PRIJEM	PREVOD Z UCTU	4757	14571	DUCHOD	MN	41001153
442051	1503	1996-08-09	PRIJEM	PREVOD Z UCTU	4757	19328	DUCHOD	MN	41001153
442052	1503	1996-09-09	PRIJEM	PREVOD Z UCTU	4757	24085	DUCHOD	MN	41001153
442053	1503	1996-10-09	PRIJEM	PREVOD Z UCTU	4757	25715	DUCHOD	MN	41001153
442054	1503	1996-11-09	PRIJEM	PREVOD Z UCTU	4757	27378	DUCHOD	MN	41001153
442055	1503	1996-12-09	PRIJEM	PREVOD Z UCTU	4757	27526	DUCHOD	MN	41001153
442056	1503	1997-01-09	PRIJEM	PREVOD Z UCTU	4757	21656	DUCHOD	MN	41001153
442057	1503	1997-02-09	PRIJEM	PREVOD Z UCTU	4757	17375	DUCHOD	MN	41001153
442058	1503	1997-03-09	PRIJEM	PREVOD Z UCTU	4757	19003	DUCHOD	MN	41001153
442059	1503	1997-04-09	PRIJEM	PREVOD Z UCTU	4757	20638	DUCHOD	MN	41001153
442060	1503	1997-05-09	PRIJEM	PREVOD Z UCTU	4757	22280	DUCHOD	MN	41001153
442061	1503	1997-06-09	PRIJEM	PREVOD Z UCTU	4757	23929	DUCHOD	MN	41001153
442062	1503	1997-07-09	PRIJEM	PREVOD Z UCTU	4757	22528	DUCHOD	MN	41001153
442063	1503	1997-08-09	PRIJEM	PREVOD Z UCTU	4757	22817	DUCHOD	MN	41001153
442064	1503	1997-09-09	PRIJEM	PREVOD Z UCTU	4757	21111	DUCHOD	MN	41001153
442065	1503	1997-10-09	PRIJEM	PREVOD Z UCTU	4757	22760	DUCHOD	MN	41001153
442066	1503	1997-11-09	PRIJEM	PREVOD Z UCTU	4757	24411	DUCHOD	MN	41001153
442067	1503	1997-12-09	PRIJEM	PREVOD Z UCTU	4757	25069	DUCHOD	MN	41001153
442068	1503	1998-01-09	PRIJEM	PREVOD Z UCTU	4757	22168	DUCHOD	MN	41001153
442069	1503	1998-02-09	PRIJEM	PREVOD Z UCTU	4757	19651	DUCHOD	MN	41001153
442070	1503	1998-03-09	PRIJEM	PREVOD Z UCTU	4757	18568	DUCHOD	MN	41001153
442071	1503	1998-04-09	PRIJEM	PREVOD Z UCTU	4757	20206	DUCHOD	MN	41001153
442072	1503	1998-05-09	PRIJEM	PREVOD Z UCTU	4757	21846	DUCHOD	MN	41001153
442073	1503	1998-06-09	PRIJEM	PREVOD Z UCTU	4757	21968	DUCHOD	MN	41001153
442074	1503	1998-07-09	PRIJEM	PREVOD Z UCTU	4757	19755	DUCHOD	MN	41001153
442075	1503	1998-08-09	PRIJEM	PREVOD Z UCTU	4757	21393	DUCHOD	MN	41001153
442076	1503	1998-09-09	PRIJEM	PREVOD Z UCTU	4757	23038	DUCHOD	MN	41001153
442077	1503	1998-10-09	PRIJEM	PREVOD Z UCTU	4757	24690	DUCHOD	MN	41001153
442078	1503	1998-11-09	PRIJEM	PREVOD Z UCTU	4757	26348	DUCHOD	MN	41001153
442079	1503	1998-12-09	PRIJEM	PREVOD Z UCTU	4757	27313	DUCHOD	MN	41001153
442088	1503	1996-09-11	VYDAJ	PREVOD NA UCET	3171	20914	SIPO	OP	11958569
442089	1503	1996-10-11	VYDAJ	PREVOD NA UCET	3171	22544	SIPO	OP	11958569
442090	1503	1996-11-11	VYDAJ	PREVOD NA UCET	3171	24207	SIPO	OP	11958569
442091	1503	1996-12-11	VYDAJ	PREVOD NA UCET	3171	24355	SIPO	OP	11958569
442092	1503	1997-01-11	VYDAJ	PREVOD NA UCET	3171	14405	SIPO	OP	11958569
442093	1503	1997-02-11	VYDAJ	PREVOD NA UCET	3171	14204	SIPO	OP	11958569
442094	1503	1997-03-11	VYDAJ	PREVOD NA UCET	3171	15832	SIPO	OP	11958569
442095	1503	1997-04-11	VYDAJ	PREVOD NA UCET	3171	17467	SIPO	OP	11958569
442096	1503	1997-05-11	VYDAJ	PREVOD NA UCET	3171	19109	SIPO	OP	11958569
442097	1503	1997-06-11	VYDAJ	PREVOD NA UCET	3171	20758	SIPO	OP	11958569
442098	1503	1997-07-11	VYDAJ	PREVOD NA UCET	3171	19357	SIPO	OP	11958569
442099	1503	1997-08-11	VYDAJ	PREVOD NA UCET	3171	19646	SIPO	OP	11958569
442100	1503	1997-09-11	VYDAJ	PREVOD NA UCET	3171	17940	SIPO	OP	11958569
442101	1503	1997-10-11	VYDAJ	PREVOD NA UCET	3171	19589	SIPO	OP	11958569
442102	1503	1997-11-11	VYDAJ	PREVOD NA UCET	3171	21240	SIPO	OP	11958569
442103	1503	1997-12-11	VYDAJ	PREVOD NA UCET	3171	20938	SIPO	OP	11958569
442104	1503	1998-01-11	VYDAJ	PREVOD NA UCET	3171	18997	SIPO	OP	11958569
442105	1503	1998-02-11	VYDAJ	PREVOD NA UCET	3171	16480	SIPO	OP	11958569
442106	1503	1998-03-11	VYDAJ	PREVOD NA UCET	3171	15397	SIPO	OP	11958569
442107	1503	1998-04-11	VYDAJ	PREVOD NA UCET	3171	17035	SIPO	OP	11958569
442108	1503	1998-05-11	VYDAJ	PREVOD NA UCET	3171	18675	SIPO	OP	11958569
442109	1503	1998-06-11	VYDAJ	PREVOD NA UCET	3171	14947	SIPO	OP	11958569
442110	1503	1998-07-11	VYDAJ	PREVOD NA UCET	3171	16584	SIPO	OP	11958569
442111	1503	1998-08-11	VYDAJ	PREVOD NA UCET	3171	18222	SIPO	OP	11958569
442112	1503	1998-09-11	VYDAJ	PREVOD NA UCET	3171	19867	SIPO	OP	11958569
442113	1503	1998-10-11	VYDAJ	PREVOD NA UCET	3171	21519	SIPO	OP	11958569
442114	1503	1998-11-11	VYDAJ	PREVOD NA UCET	3171	23177	SIPO	OP	11958569
442115	1503	1998-12-11	VYDAJ	PREVOD NA UCET	3171	24142	SIPO	OP	11958569
442117	1503	1997-06-15	VYDAJ	VYBER	3050	17708	\N	\N	\N
442118	1503	1998-06-10	VYDAJ	VYBER	3850	18118	\N	\N	\N
442120	1503	1997-01-07	VYDAJ	VYBER	4500	19139	\N	\N	\N
442122	1503	1996-12-22	VYDAJ	VYBER	500	23855	\N	\N	\N
442123	1503	1997-12-05	VYDAJ	VYBER	1000	20312	\N	\N	\N
442124	1503	1998-12-01	VYDAJ	VYBER	700	22556	\N	\N	\N
442131	1503	1997-01-08	VYDAJ	VYBER	2240	16899	\N	\N	\N
442134	1503	1997-01-09	VYDAJ	VYBER	2000	19656	\N	\N	\N
442135	1503	1997-01-27	VYDAJ	VYBER	1280	12565	\N	\N	\N
442136	1503	1997-01-09	VYDAJ	VYBER	2080	17576	\N	\N	\N
442137	1503	1998-01-01	VYDAJ	VYBER	1280	19731	\N	\N	\N
442138	1503	1998-01-05	VYDAJ	VYBER	480	17411	\N	\N	\N
442139	1503	1998-01-15	VYDAJ	VYBER	1680	16597	\N	\N	\N
442140	1503	1998-01-02	VYDAJ	VYBER	1840	17891	\N	\N	\N
442141	1503	1998-01-14	VYDAJ	VYBER	720	18277	\N	\N	\N
442142	1503	1998-01-23	VYDAJ	VYBER	1760	14837	\N	\N	\N
442144	1503	1996-11-22	VYDAJ	VYBER	1520	22687	\N	\N	\N
442147	1503	1997-08-07	VYDAJ	VYBER	1360	18060	\N	\N	\N
442148	1503	1997-12-09	VYDAJ	VYBER	960	24109	\N	\N	\N
442149	1503	1997-01-12	VYDAJ	VYBER	560	13845	\N	\N	\N
442151	1503	1997-09-07	VYDAJ	VYBER	3360	16354	\N	\N	\N
442152	1503	1998-12-17	VYDAJ	VYBER	2800	21342	\N	\N	\N
442154	1503	1998-03-05	VYDAJ	VYBER	2720	13811	\N	\N	\N
442155	1503	1998-05-11	VYDAJ	VYBER	1520	17155	\N	\N	\N
442165	1503	1996-09-30	VYDAJ	VYBER	15	20958	SLUZBY	\N	\N
442166	1503	1996-10-31	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
442167	1503	1996-11-30	VYDAJ	VYBER	15	22769	SLUZBY	\N	\N
442168	1503	1996-12-31	VYDAJ	VYBER	15	23939	SLUZBY	\N	\N
442169	1503	1997-01-31	VYDAJ	VYBER	15	12618	SLUZBY	\N	\N
442170	1503	1997-02-28	VYDAJ	VYBER	15	14246	SLUZBY	\N	\N
442171	1503	1997-03-31	VYDAJ	VYBER	15	15881	SLUZBY	\N	\N
442172	1503	1997-04-30	VYDAJ	VYBER	15	17523	SLUZBY	\N	\N
442173	1503	1997-05-31	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
442174	1503	1997-06-30	VYDAJ	VYBER	15	17771	SLUZBY	\N	\N
442175	1503	1997-07-31	VYDAJ	VYBER	15	19420	SLUZBY	\N	\N
442176	1503	1997-08-31	VYDAJ	VYBER	15	19714	SLUZBY	\N	\N
442177	1503	1997-09-30	VYDAJ	VYBER	15	18003	SLUZBY	\N	\N
442178	1503	1997-10-31	VYDAJ	VYBER	15	19654	SLUZBY	\N	\N
442179	1503	1997-11-30	VYDAJ	VYBER	15	21312	SLUZBY	\N	\N
442180	1503	1997-12-31	VYDAJ	VYBER	15	21011	SLUZBY	\N	\N
442181	1503	1998-01-31	VYDAJ	VYBER	15	14894	SLUZBY	\N	\N
442182	1503	1998-02-28	VYDAJ	VYBER	15	16531	SLUZBY	\N	\N
442183	1503	1998-03-31	VYDAJ	VYBER	15	15449	SLUZBY	\N	\N
442184	1503	1998-04-30	VYDAJ	VYBER	15	17089	SLUZBY	\N	\N
442185	1503	1998-05-31	VYDAJ	VYBER	15	17211	SLUZBY	\N	\N
442186	1503	1998-06-30	VYDAJ	VYBER	15	14998	SLUZBY	\N	\N
442187	1503	1998-07-31	VYDAJ	VYBER	15	16636	SLUZBY	\N	\N
442188	1503	1998-08-31	VYDAJ	VYBER	15	18281	SLUZBY	\N	\N
442189	1503	1998-09-30	VYDAJ	VYBER	15	19933	SLUZBY	\N	\N
442190	1503	1998-10-31	VYDAJ	VYBER	15	21591	SLUZBY	\N	\N
442191	1503	1998-11-30	VYDAJ	VYBER	15	23256	SLUZBY	\N	\N
442192	1503	1997-01-05	VYDAJ	VYBER	300	23639	\N	\N	\N
442221	1504	1996-08-26	PRIJEM	VKLAD	300	300	\N	\N	\N
442230	1504	1996-09-07	PRIJEM	VKLAD	24139	24439	\N	\N	\N
442231	1504	1996-10-07	PRIJEM	VKLAD	24139	46697	\N	\N	\N
442232	1504	1996-11-07	PRIJEM	VKLAD	24139	58040	\N	\N	\N
442233	1504	1996-12-07	PRIJEM	VKLAD	36208	74093	\N	\N	\N
442234	1504	1997-01-07	PRIJEM	VKLAD	24139	68796	\N	\N	\N
442235	1504	1997-02-07	PRIJEM	VKLAD	24139	56610	\N	\N	\N
442236	1504	1997-03-07	PRIJEM	VKLAD	24139	54988	\N	\N	\N
442237	1504	1997-04-07	PRIJEM	VKLAD	24139	50459	\N	\N	\N
442238	1504	1997-05-07	PRIJEM	VKLAD	24139	44129	\N	\N	\N
442239	1504	1997-06-07	PRIJEM	VKLAD	36208	62155	\N	\N	\N
442240	1504	1997-07-07	PRIJEM	VKLAD	24139	57530	\N	\N	\N
442241	1504	1997-08-07	PRIJEM	VKLAD	24139	52303	\N	\N	\N
442242	1504	1997-09-07	PRIJEM	VKLAD	24139	53061	\N	\N	\N
442243	1504	1997-10-07	PRIJEM	VKLAD	24139	52818	\N	\N	\N
442244	1504	1997-11-07	PRIJEM	VKLAD	24139	49268	\N	\N	\N
442245	1504	1997-12-07	PRIJEM	VKLAD	36208	59873	\N	\N	\N
442246	1504	1998-01-07	PRIJEM	VKLAD	24139	52435	\N	\N	\N
442247	1504	1998-02-07	PRIJEM	VKLAD	24139	38065	\N	\N	\N
442248	1504	1998-03-07	PRIJEM	VKLAD	24139	40057	\N	\N	\N
442249	1504	1998-04-07	PRIJEM	VKLAD	24139	38354	\N	\N	\N
442250	1504	1998-05-07	PRIJEM	VKLAD	24139	43955	\N	\N	\N
442251	1504	1998-06-07	PRIJEM	VKLAD	36208	53933	\N	\N	\N
442252	1504	1998-07-07	PRIJEM	VKLAD	24139	43646	\N	\N	\N
442253	1504	1998-08-07	PRIJEM	VKLAD	24139	41852	\N	\N	\N
442254	1504	1998-09-07	PRIJEM	VKLAD	24139	46061	\N	\N	\N
442255	1504	1998-10-07	PRIJEM	VKLAD	24139	40970	\N	\N	\N
442256	1504	1998-11-07	PRIJEM	VKLAD	24139	40462	\N	\N	\N
442257	1504	1998-12-07	PRIJEM	VKLAD	36208	53333	\N	\N	\N
442270	1504	1997-01-13	VYDAJ	PREVOD NA UCET	619	68177	SIPO	UV	29212069
442271	1504	1997-02-13	VYDAJ	PREVOD NA UCET	619	55991	SIPO	UV	29212069
442272	1504	1997-03-13	VYDAJ	PREVOD NA UCET	619	54369	SIPO	UV	29212069
442273	1504	1997-04-13	VYDAJ	PREVOD NA UCET	619	49840	SIPO	UV	29212069
442274	1504	1997-05-13	VYDAJ	PREVOD NA UCET	619	43510	SIPO	UV	29212069
442275	1504	1997-06-13	VYDAJ	PREVOD NA UCET	619	61536	SIPO	UV	29212069
442276	1504	1997-07-13	VYDAJ	PREVOD NA UCET	619	56911	SIPO	UV	29212069
442277	1504	1997-08-13	VYDAJ	PREVOD NA UCET	619	51684	SIPO	UV	29212069
442278	1504	1997-09-13	VYDAJ	PREVOD NA UCET	619	52442	SIPO	UV	29212069
442279	1504	1997-10-13	VYDAJ	PREVOD NA UCET	619	52199	SIPO	UV	29212069
442280	1504	1997-11-13	VYDAJ	PREVOD NA UCET	619	48649	SIPO	UV	29212069
442281	1504	1997-12-13	VYDAJ	PREVOD NA UCET	619	56954	SIPO	UV	29212069
442282	1504	1998-01-13	VYDAJ	PREVOD NA UCET	619	47716	SIPO	UV	29212069
442283	1504	1998-02-13	VYDAJ	PREVOD NA UCET	619	37446	SIPO	UV	29212069
442284	1504	1998-03-13	VYDAJ	PREVOD NA UCET	619	39438	SIPO	UV	29212069
442285	1504	1998-04-13	VYDAJ	PREVOD NA UCET	619	37735	SIPO	UV	29212069
442286	1504	1998-05-13	VYDAJ	PREVOD NA UCET	619	43336	SIPO	UV	29212069
442287	1504	1998-06-13	VYDAJ	PREVOD NA UCET	619	53314	SIPO	UV	29212069
442288	1504	1998-07-13	VYDAJ	PREVOD NA UCET	619	43027	SIPO	UV	29212069
442289	1504	1998-08-13	VYDAJ	PREVOD NA UCET	619	41233	SIPO	UV	29212069
442290	1504	1998-09-13	VYDAJ	PREVOD NA UCET	619	45442	SIPO	UV	29212069
442291	1504	1998-10-13	VYDAJ	PREVOD NA UCET	619	40351	SIPO	UV	29212069
442292	1504	1998-11-13	VYDAJ	PREVOD NA UCET	619	39843	SIPO	UV	29212069
442293	1504	1998-12-13	VYDAJ	PREVOD NA UCET	619	52714	SIPO	UV	29212069
442306	1504	1997-01-14	VYDAJ	PREVOD NA UCET	4887	63290	 	WX	69836336
442307	1504	1997-02-14	VYDAJ	PREVOD NA UCET	4887	51104	 	WX	69836336
442308	1504	1997-03-14	VYDAJ	PREVOD NA UCET	4887	49482	 	WX	69836336
442309	1504	1997-04-14	VYDAJ	PREVOD NA UCET	4887	44953	 	WX	69836336
442310	1504	1997-05-14	VYDAJ	PREVOD NA UCET	4887	38623	 	WX	69836336
442311	1504	1997-06-14	VYDAJ	PREVOD NA UCET	4887	56649	 	WX	69836336
442312	1504	1997-07-14	VYDAJ	PREVOD NA UCET	4887	52024	 	WX	69836336
442313	1504	1997-08-14	VYDAJ	PREVOD NA UCET	4887	46797	 	WX	69836336
442314	1504	1997-09-14	VYDAJ	PREVOD NA UCET	4887	47555	 	WX	69836336
442315	1504	1997-10-14	VYDAJ	PREVOD NA UCET	4887	47312	 	WX	69836336
442316	1504	1997-11-14	VYDAJ	PREVOD NA UCET	4887	43762	 	WX	69836336
442317	1504	1997-12-14	VYDAJ	PREVOD NA UCET	4887	52067	 	WX	69836336
442318	1504	1998-01-14	VYDAJ	PREVOD NA UCET	4887	42829	 	WX	69836336
442319	1504	1998-02-14	VYDAJ	PREVOD NA UCET	4887	32559	 	WX	69836336
442320	1504	1998-03-14	VYDAJ	PREVOD NA UCET	4887	34551	 	WX	69836336
442321	1504	1998-04-14	VYDAJ	PREVOD NA UCET	4887	32848	 	WX	69836336
442322	1504	1998-05-14	VYDAJ	PREVOD NA UCET	4887	38449	 	WX	69836336
442323	1504	1998-06-14	VYDAJ	PREVOD NA UCET	4887	48427	 	WX	69836336
442324	1504	1998-07-14	VYDAJ	PREVOD NA UCET	4887	38140	 	WX	69836336
442325	1504	1998-08-14	VYDAJ	PREVOD NA UCET	4887	36346	 	WX	69836336
442326	1504	1998-09-14	VYDAJ	PREVOD NA UCET	4887	40555	 	WX	69836336
442327	1504	1998-10-14	VYDAJ	PREVOD NA UCET	4887	35464	 	WX	69836336
442328	1504	1998-11-14	VYDAJ	PREVOD NA UCET	4887	17056	 	WX	69836336
442329	1504	1998-12-14	VYDAJ	PREVOD NA UCET	4887	21127	 	WX	69836336
442332	1504	1998-06-17	VYDAJ	VYBER	14000	19427	\N	\N	\N
442334	1504	1997-12-10	VYDAJ	VYBER	2300	57573	\N	\N	\N
442335	1504	1998-12-25	VYDAJ	VYBER	1100	20027	\N	\N	\N
442342	1504	1997-01-19	VYDAJ	VYBER	600	59590	\N	\N	\N
442343	1504	1997-01-14	VYDAJ	VYBER	500	62790	\N	\N	\N
442345	1504	1997-01-26	VYDAJ	VYBER	2500	32290	\N	\N	\N
442346	1504	1997-01-18	VYDAJ	VYBER	2600	60190	\N	\N	\N
442348	1504	1998-01-10	VYDAJ	VYBER	2000	50435	\N	\N	\N
442349	1504	1998-01-11	VYDAJ	VYBER	1500	48935	\N	\N	\N
442350	1504	1998-01-21	VYDAJ	VYBER	2600	15529	\N	\N	\N
442351	1504	1998-01-27	VYDAJ	VYBER	1700	13829	\N	\N	\N
442352	1504	1998-01-16	VYDAJ	VYBER	1100	41729	\N	\N	\N
442353	1504	1998-01-12	VYDAJ	VYBER	600	48335	\N	\N	\N
442359	1504	1997-05-06	VYDAJ	VYBER	3600	19990	\N	\N	\N
442360	1504	1997-04-03	VYDAJ	VYBER	1400	26320	\N	\N	\N
442361	1504	1997-04-17	VYDAJ	VYBER	3000	41953	\N	\N	\N
442362	1504	1998-09-24	VYDAJ	VYBER	4300	16755	\N	\N	\N
442376	1504	1997-01-31	VYDAJ	VYBER	15	32471	SLUZBY	\N	\N
442377	1504	1997-02-28	VYDAJ	VYBER	15	30849	SLUZBY	\N	\N
442378	1504	1997-03-31	VYDAJ	VYBER	15	27720	SLUZBY	\N	\N
442379	1504	1997-04-30	VYDAJ	VYBER	15	23590	SLUZBY	\N	\N
442380	1504	1997-05-31	VYDAJ	VYBER	15	25947	SLUZBY	\N	\N
442381	1504	1997-06-30	VYDAJ	VYBER	15	33391	SLUZBY	\N	\N
442382	1504	1997-07-31	VYDAJ	VYBER	15	28164	SLUZBY	\N	\N
442383	1504	1997-08-31	VYDAJ	VYBER	15	28922	SLUZBY	\N	\N
442384	1504	1997-09-30	VYDAJ	VYBER	15	28679	SLUZBY	\N	\N
442385	1504	1997-10-31	VYDAJ	VYBER	15	25129	SLUZBY	\N	\N
442386	1504	1997-11-30	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
442387	1504	1997-12-31	VYDAJ	VYBER	15	28296	SLUZBY	\N	\N
442388	1504	1998-01-31	VYDAJ	VYBER	15	13926	SLUZBY	\N	\N
442389	1504	1998-02-28	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
442390	1504	1998-03-31	VYDAJ	VYBER	15	14215	SLUZBY	\N	\N
442391	1504	1998-04-30	VYDAJ	VYBER	15	19816	SLUZBY	\N	\N
442392	1504	1998-05-31	VYDAJ	VYBER	15	17725	SLUZBY	\N	\N
442393	1504	1998-06-30	VYDAJ	VYBER	15	19507	SLUZBY	\N	\N
442394	1504	1998-07-31	VYDAJ	VYBER	15	17713	SLUZBY	\N	\N
442395	1504	1998-08-31	VYDAJ	VYBER	15	21922	SLUZBY	\N	\N
442396	1504	1998-09-30	VYDAJ	VYBER	15	16831	SLUZBY	\N	\N
442397	1504	1998-10-31	VYDAJ	VYBER	15	16323	SLUZBY	\N	\N
442398	1504	1998-11-30	VYDAJ	VYBER	15	17125	SLUZBY	\N	\N
442399	1504	1996-09-25	VYDAJ	VYBER	1900	22539	\N	\N	\N
442400	1504	1996-10-25	VYDAJ	VYBER	12900	33797	\N	\N	\N
442401	1504	1996-11-24	VYDAJ	VYBER	20300	37740	\N	\N	\N
442402	1504	1996-12-24	VYDAJ	VYBER	29600	44493	\N	\N	\N
442403	1504	1997-01-23	VYDAJ	VYBER	24800	34790	\N	\N	\N
442404	1504	1997-02-22	VYDAJ	VYBER	20400	30704	\N	\N	\N
442405	1504	1997-03-24	VYDAJ	VYBER	21900	27582	\N	\N	\N
442406	1504	1997-04-23	VYDAJ	VYBER	18500	23453	\N	\N	\N
442407	1504	1997-05-23	VYDAJ	VYBER	12800	25823	\N	\N	\N
442408	1504	1997-06-22	VYDAJ	VYBER	23400	33249	\N	\N	\N
442409	1504	1997-07-22	VYDAJ	VYBER	24000	28024	\N	\N	\N
442410	1504	1997-08-21	VYDAJ	VYBER	18000	28797	\N	\N	\N
442411	1504	1997-09-20	VYDAJ	VYBER	19000	28555	\N	\N	\N
442412	1504	1997-10-20	VYDAJ	VYBER	22300	25012	\N	\N	\N
442413	1504	1997-11-19	VYDAJ	VYBER	20200	23562	\N	\N	\N
442414	1504	1997-12-19	VYDAJ	VYBER	23900	28167	\N	\N	\N
442415	1504	1998-01-18	VYDAJ	VYBER	23600	18129	\N	\N	\N
442416	1504	1998-02-17	VYDAJ	VYBER	16700	15859	\N	\N	\N
442417	1504	1998-03-19	VYDAJ	VYBER	20400	14151	\N	\N	\N
442418	1504	1998-04-18	VYDAJ	VYBER	13100	19748	\N	\N	\N
442419	1504	1998-05-18	VYDAJ	VYBER	20800	17649	\N	\N	\N
442420	1504	1998-06-17	VYDAJ	VYBER	15000	33427	\N	\N	\N
442421	1504	1998-07-17	VYDAJ	VYBER	20500	17640	\N	\N	\N
442422	1504	1998-08-16	VYDAJ	VYBER	14500	21846	\N	\N	\N
442423	1504	1998-09-15	VYDAJ	VYBER	19500	21055	\N	\N	\N
442424	1504	1998-10-15	VYDAJ	VYBER	19200	16264	\N	\N	\N
442425	1504	1998-11-14	VYDAJ	VYBER	17900	21943	\N	\N	\N
442426	1504	1998-12-14	VYDAJ	VYBER	26700	26014	\N	\N	\N
442455	1505	1993-04-23	PRIJEM	VKLAD	400	400	\N	\N	\N
442460	1505	1993-05-13	PRIJEM	VKLAD	9222	9622	\N	\N	\N
442461	1505	1993-06-13	PRIJEM	VKLAD	13833	29174	\N	\N	\N
442462	1505	1993-07-13	PRIJEM	VKLAD	9222	34572	\N	\N	\N
442463	1505	1993-08-13	PRIJEM	VKLAD	9222	37103	\N	\N	\N
442464	1505	1993-09-13	PRIJEM	VKLAD	9222	41447	\N	\N	\N
442465	1505	1993-10-13	PRIJEM	VKLAD	9222	41989	\N	\N	\N
442466	1505	1993-11-13	PRIJEM	VKLAD	9222	42934	\N	\N	\N
442467	1505	1993-12-13	PRIJEM	VKLAD	13833	37888	\N	\N	\N
442468	1505	1994-01-13	PRIJEM	VKLAD	9222	37324	\N	\N	\N
442469	1505	1994-02-13	PRIJEM	VKLAD	9222	37559	\N	\N	\N
442470	1505	1994-03-13	PRIJEM	VKLAD	9222	39788	\N	\N	\N
442471	1505	1994-04-13	PRIJEM	VKLAD	9222	43229	\N	\N	\N
442472	1505	1994-05-13	PRIJEM	VKLAD	9222	41174	\N	\N	\N
442473	1505	1994-06-13	PRIJEM	VKLAD	13833	20131	\N	\N	\N
442474	1505	1994-07-13	PRIJEM	VKLAD	9222	33054	\N	\N	\N
442475	1505	1994-08-13	PRIJEM	VKLAD	9222	37569	\N	\N	\N
442476	1505	1994-09-13	PRIJEM	VKLAD	9222	36193	\N	\N	\N
442477	1505	1994-10-13	PRIJEM	VKLAD	9222	36714	\N	\N	\N
442478	1505	1994-11-13	PRIJEM	VKLAD	9222	36936	\N	\N	\N
442479	1505	1994-12-13	PRIJEM	VKLAD	13833	44075	\N	\N	\N
442480	1505	1995-01-13	PRIJEM	VKLAD	9222	38411	\N	\N	\N
442481	1505	1995-02-13	PRIJEM	VKLAD	9222	32462	\N	\N	\N
442482	1505	1995-03-13	PRIJEM	VKLAD	9222	41798	\N	\N	\N
442483	1505	1995-04-13	PRIJEM	VKLAD	9222	37439	\N	\N	\N
442484	1505	1995-05-13	PRIJEM	VKLAD	9222	33784	\N	\N	\N
442485	1505	1995-06-13	PRIJEM	VKLAD	13833	30497	\N	\N	\N
442486	1505	1995-07-13	PRIJEM	VKLAD	9222	33316	\N	\N	\N
442487	1505	1995-08-13	PRIJEM	VKLAD	9222	33557	\N	\N	\N
442488	1505	1995-09-13	PRIJEM	VKLAD	9222	33603	\N	\N	\N
442489	1505	1995-10-13	PRIJEM	VKLAD	9222	30943	\N	\N	\N
442490	1505	1995-11-13	PRIJEM	VKLAD	9222	33377	\N	\N	\N
442491	1505	1995-12-13	PRIJEM	VKLAD	13833	38829	\N	\N	\N
442492	1505	1996-01-13	PRIJEM	VKLAD	9222	35087	\N	\N	\N
442493	1505	1996-02-13	PRIJEM	VKLAD	9222	36744	\N	\N	\N
442494	1505	1996-03-13	PRIJEM	VKLAD	9222	36501	\N	\N	\N
442495	1505	1996-04-13	PRIJEM	VKLAD	9222	33953	\N	\N	\N
442496	1505	1996-05-13	PRIJEM	VKLAD	9222	32295	\N	\N	\N
442497	1505	1996-06-13	PRIJEM	VKLAD	13833	33438	\N	\N	\N
442498	1505	1996-07-13	PRIJEM	VKLAD	9222	19338	\N	\N	\N
442499	1505	1996-08-13	PRIJEM	VKLAD	9222	24005	\N	\N	\N
442500	1505	1996-09-13	PRIJEM	VKLAD	9222	25704	\N	\N	\N
442501	1505	1996-10-13	PRIJEM	VKLAD	9222	25308	\N	\N	\N
442502	1505	1996-11-13	PRIJEM	VKLAD	9222	27716	\N	\N	\N
442503	1505	1996-12-13	PRIJEM	VKLAD	13833	28045	\N	\N	\N
442504	1505	1997-01-13	PRIJEM	VKLAD	9222	23052	\N	\N	\N
442505	1505	1997-02-13	PRIJEM	VKLAD	9222	20362	\N	\N	\N
442506	1505	1997-03-13	PRIJEM	VKLAD	9222	16857	\N	\N	\N
442507	1505	1997-04-13	PRIJEM	VKLAD	9222	18738	\N	\N	\N
442508	1505	1997-05-13	PRIJEM	VKLAD	9222	16219	\N	\N	\N
442509	1505	1997-06-13	PRIJEM	VKLAD	13833	22806	\N	\N	\N
442510	1505	1997-07-13	PRIJEM	VKLAD	9222	19896	\N	\N	\N
442511	1505	1997-08-13	PRIJEM	VKLAD	9222	15887	\N	\N	\N
442512	1505	1997-09-13	PRIJEM	VKLAD	9222	15345	\N	\N	\N
442513	1505	1997-10-13	PRIJEM	VKLAD	9222	12375	\N	\N	\N
442514	1505	1997-11-13	PRIJEM	VKLAD	9222	7328	\N	\N	\N
442515	1505	1997-12-13	PRIJEM	VKLAD	13833	13723	\N	\N	\N
442516	1505	1998-01-13	PRIJEM	VKLAD	9222	12959	\N	\N	\N
442517	1505	1998-02-13	PRIJEM	VKLAD	9222	6094	\N	\N	\N
442518	1505	1998-03-13	PRIJEM	VKLAD	9222	4175	\N	\N	\N
442519	1505	1998-04-13	PRIJEM	VKLAD	9222	3038	\N	\N	\N
442520	1505	1998-05-13	PRIJEM	VKLAD	9222	-2417	\N	\N	\N
442521	1505	1998-06-13	PRIJEM	VKLAD	13833	-313	\N	\N	\N
442522	1505	1998-07-13	PRIJEM	VKLAD	9222	-2837	\N	\N	\N
442523	1505	1998-08-13	PRIJEM	VKLAD	9222	562	\N	\N	\N
442524	1505	1998-09-13	PRIJEM	VKLAD	9222	-4323	\N	\N	\N
442525	1505	1998-10-13	PRIJEM	VKLAD	9222	-2141	\N	\N	\N
442526	1505	1998-11-13	PRIJEM	VKLAD	9222	-2544	\N	\N	\N
442527	1505	1998-12-13	PRIJEM	VKLAD	13833	1860	\N	\N	\N
442529	1505	1994-06-02	VYDAJ	VYBER	28600	6298	\N	\N	\N
442530	1505	1995-06-07	VYDAJ	VYBER	7300	14464	\N	\N	\N
442531	1505	1996-06-20	VYDAJ	VYBER	26100	7338	\N	\N	\N
442534	1505	1993-12-04	VYDAJ	VYBER	2000	26455	\N	\N	\N
442535	1505	1994-12-29	VYDAJ	VYBER	2800	29075	\N	\N	\N
442536	1505	1995-12-16	VYDAJ	VYBER	1000	37829	\N	\N	\N
442537	1505	1996-12-05	VYDAJ	VYBER	2300	14212	\N	\N	\N
442538	1505	1997-12-02	VYDAJ	VYBER	1400	-110	\N	\N	\N
442540	1505	1993-12-10	VYDAJ	VYBER	2400	24055	\N	\N	\N
442543	1505	1993-11-28	VYDAJ	VYBER	3300	28334	\N	\N	\N
442544	1505	1994-01-04	VYDAJ	VYBER	3200	28102	\N	\N	\N
442545	1505	1994-08-17	VYDAJ	VYBER	1600	30369	\N	\N	\N
442546	1505	1994-08-20	VYDAJ	VYBER	2400	26869	\N	\N	\N
442547	1505	1994-08-19	VYDAJ	VYBER	1100	29269	\N	\N	\N
442548	1505	1994-01-14	VYDAJ	VYBER	2300	35024	\N	\N	\N
442549	1505	1995-04-09	VYDAJ	VYBER	3900	28217	\N	\N	\N
442550	1505	1995-05-14	VYDAJ	VYBER	1100	21684	\N	\N	\N
442551	1505	1995-04-26	VYDAJ	VYBER	4300	24439	\N	\N	\N
442552	1505	1995-09-20	VYDAJ	VYBER	4200	29403	\N	\N	\N
442553	1505	1996-05-17	VYDAJ	VYBER	2300	29995	\N	\N	\N
442554	1505	1996-03-05	VYDAJ	VYBER	2000	34879	\N	\N	\N
442555	1505	1996-05-08	VYDAJ	VYBER	3300	23073	\N	\N	\N
442556	1505	1996-04-05	VYDAJ	VYBER	2800	33831	\N	\N	\N
442557	1505	1996-09-15	VYDAJ	VYBER	2400	23304	\N	\N	\N
442559	1505	1997-08-29	VYDAJ	VYBER	900	14987	\N	\N	\N
442560	1505	1997-08-02	VYDAJ	VYBER	3000	6665	\N	\N	\N
442561	1505	1997-10-11	VYDAJ	VYBER	2200	3153	\N	\N	\N
442564	1505	1998-01-14	VYDAJ	VYBER	4000	8959	\N	\N	\N
442576	1505	1993-09-30	VYDAJ	VYBER	15	32767	SLUZBY	\N	\N
442577	1505	1993-10-31	VYDAJ	VYBER	15	33712	SLUZBY	\N	\N
442578	1505	1993-11-30	VYDAJ	VYBER	15	28455	SLUZBY	\N	\N
442579	1505	1993-12-31	VYDAJ	VYBER	15	31302	SLUZBY	\N	\N
442580	1505	1994-01-31	VYDAJ	VYBER	15	28337	SLUZBY	\N	\N
442581	1505	1994-02-28	VYDAJ	VYBER	15	30566	SLUZBY	\N	\N
442582	1505	1994-03-31	VYDAJ	VYBER	15	34007	SLUZBY	\N	\N
442583	1505	1994-04-30	VYDAJ	VYBER	15	31952	SLUZBY	\N	\N
442584	1505	1994-05-31	VYDAJ	VYBER	15	34898	SLUZBY	\N	\N
442585	1505	1994-06-30	VYDAJ	VYBER	15	23832	SLUZBY	\N	\N
442586	1505	1994-07-31	VYDAJ	VYBER	15	28347	SLUZBY	\N	\N
442587	1505	1994-08-31	VYDAJ	VYBER	15	26971	SLUZBY	\N	\N
442588	1505	1994-09-30	VYDAJ	VYBER	15	27492	SLUZBY	\N	\N
442589	1505	1994-10-31	VYDAJ	VYBER	15	27714	SLUZBY	\N	\N
442590	1505	1994-11-30	VYDAJ	VYBER	15	30242	SLUZBY	\N	\N
442591	1505	1994-12-31	VYDAJ	VYBER	15	29189	SLUZBY	\N	\N
442592	1505	1995-01-31	VYDAJ	VYBER	15	29140	SLUZBY	\N	\N
442593	1505	1995-02-28	VYDAJ	VYBER	15	32576	SLUZBY	\N	\N
442594	1505	1995-03-31	VYDAJ	VYBER	15	32117	SLUZBY	\N	\N
442595	1505	1995-04-30	VYDAJ	VYBER	15	24562	SLUZBY	\N	\N
442596	1505	1995-05-31	VYDAJ	VYBER	15	21764	SLUZBY	\N	\N
442597	1505	1995-06-30	VYDAJ	VYBER	15	30594	SLUZBY	\N	\N
442598	1505	1995-07-31	VYDAJ	VYBER	15	33435	SLUZBY	\N	\N
442599	1505	1995-08-31	VYDAJ	VYBER	15	33681	SLUZBY	\N	\N
442600	1505	1995-09-30	VYDAJ	VYBER	15	29521	SLUZBY	\N	\N
442601	1505	1995-10-31	VYDAJ	VYBER	15	31055	SLUZBY	\N	\N
442602	1505	1995-11-30	VYDAJ	VYBER	15	33496	SLUZBY	\N	\N
442603	1505	1995-12-31	VYDAJ	VYBER	15	37965	SLUZBY	\N	\N
442604	1505	1996-01-31	VYDAJ	VYBER	15	35222	SLUZBY	\N	\N
442605	1505	1996-02-29	VYDAJ	VYBER	15	36879	SLUZBY	\N	\N
442606	1505	1996-03-31	VYDAJ	VYBER	15	36631	SLUZBY	\N	\N
442607	1505	1996-04-30	VYDAJ	VYBER	15	34073	SLUZBY	\N	\N
442608	1505	1996-05-31	VYDAJ	VYBER	15	30105	SLUZBY	\N	\N
442609	1505	1996-06-30	VYDAJ	VYBER	15	7416	SLUZBY	\N	\N
442610	1505	1996-07-31	VYDAJ	VYBER	15	19383	SLUZBY	\N	\N
442611	1505	1996-08-31	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
442612	1505	1996-09-30	VYDAJ	VYBER	15	23386	SLUZBY	\N	\N
442613	1505	1996-10-31	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
442614	1505	1996-11-30	VYDAJ	VYBER	15	27812	SLUZBY	\N	\N
442615	1505	1996-12-31	VYDAJ	VYBER	15	28130	SLUZBY	\N	\N
442616	1505	1997-01-31	VYDAJ	VYBER	15	23140	SLUZBY	\N	\N
442617	1505	1997-02-28	VYDAJ	VYBER	15	20435	SLUZBY	\N	\N
442618	1505	1997-03-31	VYDAJ	VYBER	15	16916	SLUZBY	\N	\N
442619	1505	1997-04-30	VYDAJ	VYBER	15	18797	SLUZBY	\N	\N
442620	1505	1997-05-31	VYDAJ	VYBER	15	16273	SLUZBY	\N	\N
442621	1505	1997-06-30	VYDAJ	VYBER	15	22874	SLUZBY	\N	\N
442622	1505	1997-07-31	VYDAJ	VYBER	15	19965	SLUZBY	\N	\N
442623	1505	1997-08-31	VYDAJ	VYBER	15	6123	SLUZBY	\N	\N
442624	1505	1997-09-30	VYDAJ	VYBER	15	5353	SLUZBY	\N	\N
442626	1505	1997-11-30	VYDAJ	VYBER	15	1290	SLUZBY	\N	\N
442627	1505	1997-12-31	VYDAJ	VYBER	15	3737	SLUZBY	\N	\N
442639	1505	1993-05-23	PRIJEM	VKLAD	5700	15322	\N	\N	\N
442640	1505	1993-06-22	VYDAJ	VYBER	3900	25274	\N	\N	\N
442641	1505	1993-07-22	VYDAJ	VYBER	6800	27772	\N	\N	\N
442642	1505	1993-08-21	VYDAJ	VYBER	5000	32103	\N	\N	\N
442643	1505	1993-09-20	VYDAJ	VYBER	8800	32647	\N	\N	\N
442644	1505	1993-10-20	VYDAJ	VYBER	8400	33589	\N	\N	\N
442645	1505	1993-11-19	VYDAJ	VYBER	11300	31634	\N	\N	\N
442646	1505	1993-12-19	VYDAJ	VYBER	6700	31188	\N	\N	\N
442647	1505	1994-01-18	VYDAJ	VYBER	6800	28224	\N	\N	\N
442648	1505	1994-02-17	VYDAJ	VYBER	7100	30459	\N	\N	\N
442649	1505	1994-03-19	VYDAJ	VYBER	5900	33888	\N	\N	\N
442650	1505	1994-04-18	VYDAJ	VYBER	11400	31829	\N	\N	\N
442651	1505	1994-05-18	VYDAJ	VYBER	6400	34774	\N	\N	\N
442652	1505	1994-06-17	PRIJEM	VKLAD	3600	23731	\N	\N	\N
442653	1505	1994-07-17	VYDAJ	VYBER	4800	28254	\N	\N	\N
442654	1505	1994-08-16	VYDAJ	VYBER	5600	31969	\N	\N	\N
442655	1505	1994-09-15	VYDAJ	VYBER	8800	27393	\N	\N	\N
442656	1505	1994-10-15	VYDAJ	VYBER	9100	27614	\N	\N	\N
442657	1505	1994-11-14	VYDAJ	VYBER	6800	30136	\N	\N	\N
442658	1505	1994-12-14	VYDAJ	VYBER	12200	31875	\N	\N	\N
442659	1505	1995-01-13	VYDAJ	VYBER	9400	29011	\N	\N	\N
442660	1505	1995-02-12	VYDAJ	VYBER	5900	23240	\N	\N	\N
442661	1505	1995-03-14	VYDAJ	VYBER	9800	31998	\N	\N	\N
442662	1505	1995-04-13	VYDAJ	VYBER	8700	28739	\N	\N	\N
442663	1505	1995-05-13	VYDAJ	VYBER	11000	22784	\N	\N	\N
442664	1505	1995-06-12	PRIJEM	VKLAD	2200	16664	\N	\N	\N
442665	1505	1995-07-12	VYDAJ	VYBER	6500	24094	\N	\N	\N
442666	1505	1995-08-11	VYDAJ	VYBER	9100	24335	\N	\N	\N
442667	1505	1995-09-10	VYDAJ	VYBER	9300	24381	\N	\N	\N
442668	1505	1995-10-10	VYDAJ	VYBER	7800	21721	\N	\N	\N
442669	1505	1995-11-09	VYDAJ	VYBER	6900	24155	\N	\N	\N
442670	1505	1995-12-09	VYDAJ	VYBER	8500	24996	\N	\N	\N
442671	1505	1996-01-08	VYDAJ	VYBER	12100	25865	\N	\N	\N
442672	1505	1996-02-07	VYDAJ	VYBER	7700	27522	\N	\N	\N
442673	1505	1996-03-08	VYDAJ	VYBER	7600	27279	\N	\N	\N
442674	1505	1996-04-07	VYDAJ	VYBER	9100	24731	\N	\N	\N
442675	1505	1996-05-07	VYDAJ	VYBER	7700	26373	\N	\N	\N
442676	1505	1996-06-06	VYDAJ	VYBER	10500	19605	\N	\N	\N
442677	1505	1996-07-06	PRIJEM	VKLAD	2700	10116	\N	\N	\N
442678	1505	1996-08-05	VYDAJ	VYBER	4600	14783	\N	\N	\N
442679	1505	1996-09-04	VYDAJ	VYBER	7600	16482	\N	\N	\N
442680	1505	1996-10-04	VYDAJ	VYBER	7300	16086	\N	\N	\N
442681	1505	1996-11-03	VYDAJ	VYBER	6900	18494	\N	\N	\N
442682	1505	1996-12-03	VYDAJ	VYBER	11300	16512	\N	\N	\N
442683	1505	1997-01-02	VYDAJ	VYBER	14300	13830	\N	\N	\N
442684	1505	1997-02-01	VYDAJ	VYBER	12000	11140	\N	\N	\N
442685	1505	1997-03-03	VYDAJ	VYBER	12800	7635	\N	\N	\N
442686	1505	1997-04-02	VYDAJ	VYBER	7400	9516	\N	\N	\N
442687	1505	1997-05-02	VYDAJ	VYBER	11800	6997	\N	\N	\N
442688	1505	1997-06-01	VYDAJ	VYBER	7300	8973	\N	\N	\N
442689	1505	1997-07-01	VYDAJ	VYBER	12200	10674	\N	\N	\N
442690	1505	1997-07-31	VYDAJ	VYBER	10300	9665	\N	\N	\N
442691	1505	1997-08-30	VYDAJ	VYBER	8900	6087	\N	\N	\N
442692	1505	1997-09-29	VYDAJ	VYBER	10000	5345	\N	\N	\N
442693	1505	1997-10-29	VYDAJ	VYBER	14300	-1925	\N	\N	\N
442694	1505	1997-11-28	VYDAJ	VYBER	6000	1328	\N	\N	\N
442695	1505	1997-12-28	VYDAJ	VYBER	10000	3723	\N	\N	\N
442696	1505	1998-01-27	VYDAJ	VYBER	12100	-3141	\N	\N	\N
442697	1505	1998-02-26	VYDAJ	VYBER	11100	-5006	\N	\N	\N
442698	1505	1998-03-28	VYDAJ	VYBER	10300	-6125	\N	\N	\N
442699	1505	1998-04-27	VYDAJ	VYBER	14600	-11562	\N	\N	\N
442700	1505	1998-05-27	VYDAJ	VYBER	11600	-14017	\N	\N	\N
442701	1505	1998-06-26	VYDAJ	VYBER	11600	-11913	\N	\N	\N
442702	1505	1998-07-26	VYDAJ	VYBER	5700	-8537	\N	\N	\N
442703	1505	1998-08-25	VYDAJ	VYBER	14000	-13438	\N	\N	\N
442704	1505	1998-09-24	VYDAJ	VYBER	6900	-11223	\N	\N	\N
442705	1505	1998-10-24	VYDAJ	VYBER	9500	-11641	\N	\N	\N
442706	1505	1998-11-23	VYDAJ	VYBER	9300	-11844	\N	\N	\N
442707	1505	1998-12-23	VYDAJ	VYBER	10300	-8440	\N	\N	\N
442780	1506	1997-10-13	PRIJEM	VKLAD	500	500	\N	\N	\N
442791	1506	1997-11-12	PRIJEM	VKLAD	5206	5706	\N	\N	\N
442792	1506	1997-12-12	PRIJEM	VKLAD	7809	25430	\N	\N	\N
442793	1506	1998-01-12	PRIJEM	VKLAD	5206	26401	\N	\N	\N
442794	1506	1998-02-12	PRIJEM	VKLAD	5206	28396	\N	\N	\N
442795	1506	1998-03-12	PRIJEM	VKLAD	5206	27308	\N	\N	\N
442796	1506	1998-04-12	PRIJEM	VKLAD	5206	16615	\N	\N	\N
442797	1506	1998-05-12	PRIJEM	VKLAD	5206	14687	\N	\N	\N
442798	1506	1998-06-12	PRIJEM	VKLAD	7809	22533	\N	\N	\N
442799	1506	1998-07-12	PRIJEM	VKLAD	5206	16706	\N	\N	\N
442800	1506	1998-08-12	PRIJEM	VKLAD	5206	24773	\N	\N	\N
442801	1506	1998-09-12	PRIJEM	VKLAD	5206	24837	\N	\N	\N
442802	1506	1998-10-12	PRIJEM	VKLAD	5206	20200	\N	\N	\N
442803	1506	1998-11-12	PRIJEM	VKLAD	5206	9753	\N	\N	\N
442804	1506	1998-12-12	PRIJEM	VKLAD	7809	17594	\N	\N	\N
442819	1506	1998-03-07	VYDAJ	VYBER	6400	22102	\N	\N	0
442820	1506	1998-04-03	VYDAJ	VYBER	9300	16909	\N	\N	0
442821	1506	1998-04-30	VYDAJ	VYBER	8800	7896	\N	\N	0
442822	1506	1998-06-11	VYDAJ	VYBER	7700	14724	\N	\N	0
442823	1506	1998-07-04	VYDAJ	VYBER	11600	11000	\N	\N	0
442824	1506	1998-08-14	VYDAJ	VYBER	8000	16773	\N	\N	0
442825	1506	1998-09-17	VYDAJ	VYBER	9900	14937	\N	\N	0
442826	1506	1998-10-16	VYDAJ	VYBER	5900	14300	\N	\N	0
442827	1506	1998-11-06	VYDAJ	VYBER	9800	4547	\N	\N	0
442871	1506	1998-03-31	VYDAJ	VYBER	15	26209	SLUZBY	\N	\N
442872	1506	1998-04-30	VYDAJ	VYBER	15	7881	SLUZBY	\N	\N
442873	1506	1998-05-31	VYDAJ	VYBER	15	14724	SLUZBY	\N	\N
442874	1506	1998-06-30	VYDAJ	VYBER	15	22600	SLUZBY	\N	\N
442875	1506	1998-07-31	VYDAJ	VYBER	15	16767	SLUZBY	\N	\N
442876	1506	1998-08-31	VYDAJ	VYBER	15	16831	SLUZBY	\N	\N
442877	1506	1998-09-30	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
442878	1506	1998-10-31	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
442879	1506	1998-11-30	VYDAJ	VYBER	15	9785	SLUZBY	\N	\N
442880	1506	1997-11-12	PRIJEM	VKLAD	11900	17606	\N	\N	\N
442881	1506	1997-12-12	VYDAJ	VYBER	4300	21130	\N	\N	\N
442882	1506	1998-02-10	VYDAJ	VYBER	3300	23190	\N	\N	\N
442883	1506	1998-03-12	VYDAJ	VYBER	1200	26108	\N	\N	\N
442884	1506	1998-04-11	VYDAJ	VYBER	5500	11409	\N	\N	\N
442885	1506	1998-05-11	PRIJEM	VKLAD	1600	9481	\N	\N	\N
442886	1506	1998-06-10	PRIJEM	VKLAD	7700	22424	\N	\N	\N
442887	1506	1998-07-10	PRIJEM	VKLAD	500	11500	\N	\N	\N
442888	1506	1998-08-09	PRIJEM	VKLAD	2800	19567	\N	\N	\N
442889	1506	1998-09-08	PRIJEM	VKLAD	2800	19631	\N	\N	\N
442903	1507	1993-08-03	PRIJEM	VKLAD	800	800	\N	\N	\N
442911	1507	1993-08-06	PRIJEM	VKLAD	21273	22073	\N	\N	\N
442912	1507	1993-09-06	PRIJEM	VKLAD	21273	46923	\N	\N	\N
442913	1507	1993-10-06	PRIJEM	VKLAD	21273	55974	\N	\N	\N
442914	1507	1993-11-06	PRIJEM	VKLAD	21273	60175	\N	\N	\N
442915	1507	1993-12-06	PRIJEM	VKLAD	31910	72432	\N	\N	\N
442916	1507	1994-01-06	PRIJEM	VKLAD	21273	60814	\N	\N	\N
442917	1507	1994-02-06	PRIJEM	VKLAD	21273	57486	\N	\N	\N
442918	1507	1994-03-06	PRIJEM	VKLAD	21273	59025	\N	\N	\N
442919	1507	1994-04-06	PRIJEM	VKLAD	21273	58561	\N	\N	\N
442920	1507	1994-05-06	PRIJEM	VKLAD	21273	62016	\N	\N	\N
442921	1507	1994-06-06	PRIJEM	VKLAD	31910	69001	\N	\N	\N
442922	1507	1994-07-06	PRIJEM	VKLAD	21273	42605	\N	\N	\N
442923	1507	1994-08-06	PRIJEM	VKLAD	21273	52680	\N	\N	\N
442924	1507	1994-09-06	PRIJEM	VKLAD	21273	54392	\N	\N	\N
442925	1507	1994-10-06	PRIJEM	VKLAD	21273	55811	\N	\N	\N
442926	1507	1994-11-06	PRIJEM	VKLAD	21273	57893	\N	\N	\N
442927	1507	1994-12-06	PRIJEM	VKLAD	31910	69460	\N	\N	\N
442928	1507	1995-01-06	PRIJEM	VKLAD	21273	65403	\N	\N	\N
442929	1507	1995-02-06	PRIJEM	VKLAD	21273	55902	\N	\N	\N
442930	1507	1995-03-06	PRIJEM	VKLAD	21273	55283	\N	\N	\N
442931	1507	1995-04-06	PRIJEM	VKLAD	21273	58508	\N	\N	\N
442932	1507	1995-05-06	PRIJEM	VKLAD	21273	54298	\N	\N	\N
442933	1507	1995-06-06	PRIJEM	VKLAD	31910	59873	\N	\N	\N
442934	1507	1995-07-06	PRIJEM	VKLAD	21273	59506	\N	\N	\N
442935	1507	1995-08-06	PRIJEM	VKLAD	21273	58836	\N	\N	\N
442936	1507	1995-09-06	PRIJEM	VKLAD	21273	57261	\N	\N	\N
442937	1507	1995-10-06	PRIJEM	VKLAD	21273	53790	\N	\N	\N
442938	1507	1995-11-06	PRIJEM	VKLAD	21273	56897	\N	\N	\N
442939	1507	1995-12-06	PRIJEM	VKLAD	31910	67108	\N	\N	\N
442940	1507	1996-01-06	PRIJEM	VKLAD	21273	60885	\N	\N	\N
442941	1507	1996-02-06	PRIJEM	VKLAD	21273	53317	\N	\N	\N
442942	1507	1996-03-06	PRIJEM	VKLAD	21273	58322	\N	\N	\N
442943	1507	1996-04-06	PRIJEM	VKLAD	21273	59341	\N	\N	\N
442944	1507	1996-05-06	PRIJEM	VKLAD	21273	55997	\N	\N	\N
442945	1507	1996-06-06	PRIJEM	VKLAD	31910	70246	\N	\N	\N
442946	1507	1996-07-06	PRIJEM	VKLAD	21273	47379	\N	\N	\N
442947	1507	1996-08-06	PRIJEM	VKLAD	21273	56363	\N	\N	\N
442948	1507	1996-09-06	PRIJEM	VKLAD	21273	58771	\N	\N	\N
442949	1507	1996-10-06	PRIJEM	VKLAD	21273	57781	\N	\N	\N
442950	1507	1996-11-06	PRIJEM	VKLAD	21273	55369	\N	\N	\N
442951	1507	1996-12-06	PRIJEM	VKLAD	31910	71012	\N	\N	\N
442952	1507	1997-01-06	PRIJEM	VKLAD	21273	56853	\N	\N	\N
442953	1507	1997-02-06	PRIJEM	VKLAD	21273	47905	\N	\N	\N
442954	1507	1997-03-06	PRIJEM	VKLAD	21273	53296	\N	\N	\N
442955	1507	1997-04-06	PRIJEM	VKLAD	21273	51321	\N	\N	\N
442956	1507	1997-05-06	PRIJEM	VKLAD	21273	57311	\N	\N	\N
442957	1507	1997-06-06	PRIJEM	VKLAD	31910	70654	\N	\N	\N
442958	1507	1997-07-06	PRIJEM	VKLAD	21273	68594	\N	\N	\N
442959	1507	1997-08-06	PRIJEM	VKLAD	21273	72047	\N	\N	\N
442960	1507	1997-09-06	PRIJEM	VKLAD	21273	75513	\N	\N	\N
442961	1507	1997-10-06	PRIJEM	VKLAD	21273	76485	\N	\N	\N
442962	1507	1997-11-06	PRIJEM	VKLAD	21273	76620	\N	\N	\N
442963	1507	1997-12-06	PRIJEM	VKLAD	31910	89037	\N	\N	\N
442964	1507	1998-01-06	PRIJEM	VKLAD	21273	86285	\N	\N	\N
442965	1507	1998-02-06	PRIJEM	VKLAD	21273	72718	\N	\N	\N
442966	1507	1998-03-06	PRIJEM	VKLAD	21273	81998	\N	\N	\N
442967	1507	1998-04-06	PRIJEM	VKLAD	21273	80074	\N	\N	\N
442968	1507	1998-05-06	PRIJEM	VKLAD	21273	85379	\N	\N	\N
442969	1507	1998-06-06	PRIJEM	VKLAD	31910	99631	\N	\N	\N
442970	1507	1998-07-06	PRIJEM	VKLAD	21273	52605	\N	\N	\N
442971	1507	1998-08-06	PRIJEM	VKLAD	21273	67362	\N	\N	\N
442972	1507	1998-09-06	PRIJEM	VKLAD	21273	73915	\N	\N	\N
442973	1507	1998-10-06	PRIJEM	VKLAD	21273	72794	\N	\N	\N
442974	1507	1998-11-06	PRIJEM	VKLAD	21273	67739	\N	\N	\N
442975	1507	1998-12-06	PRIJEM	VKLAD	31910	86656	\N	\N	\N
442987	1507	1993-12-07	VYDAJ	PREVOD NA UCET	6619	65813	SIPO	ST	156510
442988	1507	1994-01-07	VYDAJ	PREVOD NA UCET	6619	54195	SIPO	ST	156510
442989	1507	1994-02-07	VYDAJ	PREVOD NA UCET	6619	50867	SIPO	ST	156510
442990	1507	1994-03-07	VYDAJ	PREVOD NA UCET	6619	52406	SIPO	ST	156510
442991	1507	1994-04-07	VYDAJ	PREVOD NA UCET	6619	51942	SIPO	ST	156510
442992	1507	1994-05-07	VYDAJ	PREVOD NA UCET	6619	55397	SIPO	ST	156510
442993	1507	1994-06-07	VYDAJ	PREVOD NA UCET	6619	15662	SIPO	ST	156510
442994	1507	1994-07-07	VYDAJ	PREVOD NA UCET	6619	35986	SIPO	ST	156510
442995	1507	1994-08-07	VYDAJ	PREVOD NA UCET	6619	46061	SIPO	ST	156510
442996	1507	1994-09-07	VYDAJ	PREVOD NA UCET	6619	47773	SIPO	ST	156510
442997	1507	1994-10-07	VYDAJ	PREVOD NA UCET	6619	49192	SIPO	ST	156510
442998	1507	1994-11-07	VYDAJ	PREVOD NA UCET	6619	51274	SIPO	ST	156510
442999	1507	1994-12-07	VYDAJ	PREVOD NA UCET	6619	62841	SIPO	ST	156510
443000	1507	1995-01-07	VYDAJ	PREVOD NA UCET	6619	58784	SIPO	ST	156510
443001	1507	1995-02-07	VYDAJ	PREVOD NA UCET	6619	49283	SIPO	ST	156510
443002	1507	1995-03-07	VYDAJ	PREVOD NA UCET	6619	48664	SIPO	ST	156510
443003	1507	1995-04-07	VYDAJ	PREVOD NA UCET	6619	51889	SIPO	ST	156510
443004	1507	1995-05-07	VYDAJ	PREVOD NA UCET	6619	47679	SIPO	ST	156510
443005	1507	1995-06-07	VYDAJ	PREVOD NA UCET	6619	53254	SIPO	ST	156510
443006	1507	1995-07-07	VYDAJ	PREVOD NA UCET	6619	52887	SIPO	ST	156510
443007	1507	1995-08-07	VYDAJ	PREVOD NA UCET	6619	52217	SIPO	ST	156510
443008	1507	1995-09-07	VYDAJ	PREVOD NA UCET	6619	50642	SIPO	ST	156510
443009	1507	1995-10-07	VYDAJ	PREVOD NA UCET	6619	47171	SIPO	ST	156510
443010	1507	1995-11-07	VYDAJ	PREVOD NA UCET	6619	50278	SIPO	ST	156510
443011	1507	1995-12-07	VYDAJ	PREVOD NA UCET	6619	60489	SIPO	ST	156510
443012	1507	1996-01-07	VYDAJ	PREVOD NA UCET	6619	54266	SIPO	ST	156510
443013	1507	1996-02-07	VYDAJ	PREVOD NA UCET	6619	46698	SIPO	ST	156510
443014	1507	1996-03-07	VYDAJ	PREVOD NA UCET	6619	51703	SIPO	ST	156510
443015	1507	1996-04-07	VYDAJ	PREVOD NA UCET	6619	52722	SIPO	ST	156510
443016	1507	1996-05-07	VYDAJ	PREVOD NA UCET	6619	49378	SIPO	ST	156510
443017	1507	1996-06-07	VYDAJ	PREVOD NA UCET	6619	63627	SIPO	ST	156510
443018	1507	1996-07-07	VYDAJ	PREVOD NA UCET	6619	40760	SIPO	ST	156510
443019	1507	1996-08-07	VYDAJ	PREVOD NA UCET	6619	49744	SIPO	ST	156510
443020	1507	1996-09-07	VYDAJ	PREVOD NA UCET	6619	52152	SIPO	ST	156510
443021	1507	1996-10-07	VYDAJ	PREVOD NA UCET	6619	51162	SIPO	ST	156510
443022	1507	1996-11-07	VYDAJ	PREVOD NA UCET	6619	48750	SIPO	ST	156510
443023	1507	1996-12-07	VYDAJ	PREVOD NA UCET	6619	64393	SIPO	ST	156510
443024	1507	1997-01-07	VYDAJ	PREVOD NA UCET	6619	50234	SIPO	ST	156510
443025	1507	1997-02-07	VYDAJ	PREVOD NA UCET	6619	41286	SIPO	ST	156510
443026	1507	1997-03-07	VYDAJ	PREVOD NA UCET	6619	46677	SIPO	ST	156510
443027	1507	1997-04-07	VYDAJ	PREVOD NA UCET	6619	44702	SIPO	ST	156510
443028	1507	1997-05-07	VYDAJ	PREVOD NA UCET	6619	50692	SIPO	ST	156510
443029	1507	1997-06-07	VYDAJ	PREVOD NA UCET	6619	64035	SIPO	ST	156510
443030	1507	1997-07-07	VYDAJ	PREVOD NA UCET	6619	61975	SIPO	ST	156510
443031	1507	1997-08-07	VYDAJ	PREVOD NA UCET	6619	65428	SIPO	ST	156510
443032	1507	1997-09-07	VYDAJ	PREVOD NA UCET	6619	68894	SIPO	ST	156510
443033	1507	1997-10-07	VYDAJ	PREVOD NA UCET	6619	69866	SIPO	ST	156510
443034	1507	1997-11-07	VYDAJ	PREVOD NA UCET	6619	70001	SIPO	ST	156510
443035	1507	1997-12-07	VYDAJ	PREVOD NA UCET	6619	82418	SIPO	ST	156510
443036	1507	1998-01-07	VYDAJ	PREVOD NA UCET	6619	79666	SIPO	ST	156510
443037	1507	1998-02-07	VYDAJ	PREVOD NA UCET	6619	66099	SIPO	ST	156510
443038	1507	1998-03-07	VYDAJ	PREVOD NA UCET	6619	75379	SIPO	ST	156510
443039	1507	1998-04-07	VYDAJ	PREVOD NA UCET	6619	73455	SIPO	ST	156510
443040	1507	1998-05-07	VYDAJ	PREVOD NA UCET	6619	78760	SIPO	ST	156510
443041	1507	1998-06-07	VYDAJ	PREVOD NA UCET	6619	93012	SIPO	ST	156510
443042	1507	1998-07-07	VYDAJ	PREVOD NA UCET	6619	45986	SIPO	ST	156510
443043	1507	1998-08-07	VYDAJ	PREVOD NA UCET	6619	54243	SIPO	ST	156510
443044	1507	1998-09-07	VYDAJ	PREVOD NA UCET	6619	55396	SIPO	ST	156510
443045	1507	1998-10-07	VYDAJ	PREVOD NA UCET	6619	49475	SIPO	ST	156510
443046	1507	1998-11-07	VYDAJ	PREVOD NA UCET	6619	61120	SIPO	ST	156510
443047	1507	1998-12-07	VYDAJ	PREVOD NA UCET	6619	80037	SIPO	ST	156510
443049	1507	1994-06-07	VYDAJ	VYBER	46720	22281	\N	\N	\N
443051	1507	1996-06-08	VYDAJ	VYBER	43520	20107	\N	\N	\N
443053	1507	1998-06-10	VYDAJ	VYBER	39040	31172	\N	\N	\N
443054	1507	1993-12-17	VYDAJ	VYBER	2240	63573	\N	\N	\N
443055	1507	1994-12-11	VYDAJ	VYBER	1120	61721	\N	\N	\N
443056	1507	1995-12-14	VYDAJ	VYBER	1760	58729	\N	\N	\N
443057	1507	1996-12-07	VYDAJ	VYBER	4640	59753	\N	\N	\N
443058	1507	1997-12-21	VYDAJ	VYBER	1760	64758	\N	\N	\N
443059	1507	1998-12-29	VYDAJ	VYBER KARTOU	3500	76537	\N	\N	0
443066	1507	1994-01-25	VYDAJ	VYBER	1320	48315	\N	\N	\N
443067	1507	1994-01-29	VYDAJ	VYBER	720	46515	\N	\N	\N
443068	1507	1994-01-11	VYDAJ	VYBER	1320	52875	\N	\N	\N
443069	1507	1994-01-03	VYDAJ	VYBER	960	39541	\N	\N	\N
443070	1507	1994-01-26	VYDAJ	VYBER	1080	47235	\N	\N	\N
443071	1507	1994-01-13	VYDAJ	VYBER	600	52275	\N	\N	\N
443072	1507	1995-01-13	VYDAJ	VYBER	960	57824	\N	\N	\N
443073	1507	1995-01-20	VYDAJ	VYBER	2160	51224	\N	\N	\N
443074	1507	1995-01-20	VYDAJ	VYBER	2400	53384	\N	\N	\N
443075	1507	1995-01-21	VYDAJ	VYBER	3240	47984	\N	\N	\N
443076	1507	1995-01-15	VYDAJ	VYBER	2040	55784	\N	\N	\N
443077	1507	1995-01-22	VYDAJ	VYBER	1440	46544	\N	\N	\N
443078	1507	1996-01-13	VYDAJ	VYBER	2520	49466	\N	\N	\N
443079	1507	1996-01-15	VYDAJ	VYBER	2040	46826	\N	\N	\N
443080	1507	1996-01-24	VYDAJ	VYBER	1920	33806	\N	\N	\N
443081	1507	1996-01-26	VYDAJ	VYBER	1920	31886	\N	\N	\N
443082	1507	1996-01-14	VYDAJ	VYBER	600	48866	\N	\N	\N
443083	1507	1996-01-12	VYDAJ	VYBER	2280	51986	\N	\N	\N
443084	1507	1997-01-23	VYDAJ	VYBER	600	30094	\N	\N	\N
443085	1507	1997-01-19	VYDAJ	VYBER	3360	30694	\N	\N	\N
443086	1507	1997-01-18	VYDAJ	VYBER	2280	34054	\N	\N	\N
443087	1507	1997-01-03	VYDAJ	VYBER	3480	35580	\N	\N	\N
443088	1507	1997-01-24	VYDAJ	VYBER	2280	27814	\N	\N	\N
443089	1507	1997-01-30	VYDAJ	VYBER	1320	26494	\N	\N	\N
443090	1507	1998-01-24	VYDAJ	VYBER	3240	56606	\N	\N	\N
443091	1507	1998-01-29	VYDAJ	VYBER	2040	51206	\N	\N	\N
443092	1507	1998-01-15	VYDAJ	VYBER	1800	62966	\N	\N	\N
443093	1507	1998-01-28	VYDAJ	VYBER	3360	53246	\N	\N	\N
443094	1507	1998-01-16	VYDAJ	VYBER	2520	60446	\N	\N	\N
443095	1507	1998-01-18	VYDAJ	VYBER	600	59846	\N	\N	\N
443102	1507	1993-12-27	VYDAJ	VYBER	5520	58053	\N	\N	\N
443103	1507	1994-03-18	VYDAJ	VYBER	720	51686	\N	\N	\N
443104	1507	1994-10-24	VYDAJ	VYBER	3240	45952	\N	\N	\N
443105	1507	1994-05-08	VYDAJ	VYBER	4800	50597	\N	\N	\N
443106	1507	1994-01-14	VYDAJ	VYBER	2640	49635	\N	\N	\N
443107	1507	1995-03-05	VYDAJ	VYBER	2040	34010	\N	\N	\N
443108	1507	1995-06-05	VYDAJ	VYBER	5880	27963	\N	\N	\N
443109	1507	1995-09-13	VYDAJ	VYBER	4080	46562	\N	\N	\N
443110	1507	1995-05-01	VYDAJ	VYBER	4440	33025	\N	\N	\N
443111	1507	1995-11-22	VYDAJ	VYBER	2640	35038	\N	\N	\N
443112	1507	1996-10-24	VYDAJ	VYBER	960	33942	\N	\N	\N
443113	1507	1996-12-23	VYDAJ	VYBER	1440	38893	\N	\N	\N
443114	1507	1996-10-16	VYDAJ	VYBER	5760	34902	\N	\N	\N
443115	1507	1996-12-09	VYDAJ	VYBER	3720	56033	\N	\N	\N
443116	1507	1996-04-22	VYDAJ	VYBER	3960	34562	\N	\N	\N
443117	1507	1997-02-10	VYDAJ	VYBER	5880	35406	\N	\N	\N
443118	1507	1997-03-22	VYDAJ	VYBER	5160	29917	\N	\N	\N
443119	1507	1997-10-08	VYDAJ	VYBER	1200	68666	\N	\N	\N
443120	1507	1997-11-05	VYDAJ	VYBER	840	55347	\N	\N	\N
443121	1507	1998-08-03	VYDAJ	VYBER	960	46089	\N	\N	\N
443122	1507	1998-09-24	VYDAJ	VYBER	4080	51316	\N	\N	\N
443123	1507	1998-04-05	VYDAJ	VYBER	3120	58801	\N	\N	\N
443124	1507	1998-08-14	VYDAJ	VYBER	1800	52443	\N	\N	\N
443137	1507	1993-12-31	VYDAJ	VYBER	15	58301	SLUZBY	\N	\N
443138	1507	1994-01-31	VYDAJ	VYBER	15	36213	SLUZBY	\N	\N
443139	1507	1994-02-28	VYDAJ	VYBER	15	51052	SLUZBY	\N	\N
443140	1507	1994-03-31	VYDAJ	VYBER	15	51888	SLUZBY	\N	\N
443141	1507	1994-04-30	VYDAJ	VYBER	15	52143	SLUZBY	\N	\N
443142	1507	1994-05-31	VYDAJ	VYBER	15	37092	SLUZBY	\N	\N
443143	1507	1994-06-30	VYDAJ	VYBER	15	21332	SLUZBY	\N	\N
443144	1507	1994-07-31	VYDAJ	VYBER	15	31407	SLUZBY	\N	\N
443145	1507	1994-08-31	VYDAJ	VYBER	15	33119	SLUZBY	\N	\N
443146	1507	1994-09-30	VYDAJ	VYBER	15	34538	SLUZBY	\N	\N
443147	1507	1994-10-31	VYDAJ	VYBER	15	36620	SLUZBY	\N	\N
443148	1507	1994-11-30	VYDAJ	VYBER	15	37551	SLUZBY	\N	\N
443149	1507	1994-12-31	VYDAJ	VYBER	15	44130	SLUZBY	\N	\N
443150	1507	1995-01-31	VYDAJ	VYBER	15	34629	SLUZBY	\N	\N
443151	1507	1995-02-28	VYDAJ	VYBER	15	36050	SLUZBY	\N	\N
443152	1507	1995-03-31	VYDAJ	VYBER	15	37235	SLUZBY	\N	\N
443153	1507	1995-04-30	VYDAJ	VYBER	15	37465	SLUZBY	\N	\N
443154	1507	1995-05-31	VYDAJ	VYBER	15	33843	SLUZBY	\N	\N
443155	1507	1995-06-30	VYDAJ	VYBER	15	38233	SLUZBY	\N	\N
443156	1507	1995-07-31	VYDAJ	VYBER	15	37563	SLUZBY	\N	\N
443157	1507	1995-08-31	VYDAJ	VYBER	15	35988	SLUZBY	\N	\N
443158	1507	1995-09-30	VYDAJ	VYBER	15	32517	SLUZBY	\N	\N
443159	1507	1995-10-31	VYDAJ	VYBER	15	35624	SLUZBY	\N	\N
443160	1507	1995-11-30	VYDAJ	VYBER	15	35199	SLUZBY	\N	\N
443161	1507	1995-12-31	VYDAJ	VYBER	15	39612	SLUZBY	\N	\N
443162	1507	1996-01-31	VYDAJ	VYBER	15	32044	SLUZBY	\N	\N
443163	1507	1996-02-29	VYDAJ	VYBER	15	37049	SLUZBY	\N	\N
443164	1507	1996-03-31	VYDAJ	VYBER	15	38068	SLUZBY	\N	\N
443165	1507	1996-04-30	VYDAJ	VYBER	15	34724	SLUZBY	\N	\N
443166	1507	1996-05-31	VYDAJ	VYBER	15	38336	SLUZBY	\N	\N
443167	1507	1996-06-30	VYDAJ	VYBER	15	26106	SLUZBY	\N	\N
443168	1507	1996-07-31	VYDAJ	VYBER	15	35090	SLUZBY	\N	\N
443169	1507	1996-08-31	VYDAJ	VYBER	15	37498	SLUZBY	\N	\N
443170	1507	1996-09-30	VYDAJ	VYBER	15	36508	SLUZBY	\N	\N
443171	1507	1996-10-31	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
443172	1507	1996-11-30	VYDAJ	VYBER	15	39102	SLUZBY	\N	\N
443173	1507	1996-12-31	VYDAJ	VYBER	15	39060	SLUZBY	\N	\N
443174	1507	1997-01-31	VYDAJ	VYBER	15	26632	SLUZBY	\N	\N
443175	1507	1997-02-28	VYDAJ	VYBER	15	32023	SLUZBY	\N	\N
443176	1507	1997-03-31	VYDAJ	VYBER	15	30048	SLUZBY	\N	\N
443177	1507	1997-04-30	VYDAJ	VYBER	15	36038	SLUZBY	\N	\N
443178	1507	1997-05-31	VYDAJ	VYBER	15	38744	SLUZBY	\N	\N
443179	1507	1997-06-30	VYDAJ	VYBER	15	47321	SLUZBY	\N	\N
443180	1507	1997-07-31	VYDAJ	VYBER	15	50774	SLUZBY	\N	\N
443181	1507	1997-08-31	VYDAJ	VYBER	15	54240	SLUZBY	\N	\N
443182	1507	1997-09-30	VYDAJ	VYBER	15	55212	SLUZBY	\N	\N
443183	1507	1997-10-31	VYDAJ	VYBER	15	56187	SLUZBY	\N	\N
443184	1507	1997-11-30	VYDAJ	VYBER	15	57127	SLUZBY	\N	\N
443185	1507	1997-12-31	VYDAJ	VYBER	15	65012	SLUZBY	\N	\N
443186	1507	1998-01-31	VYDAJ	VYBER	15	51445	SLUZBY	\N	\N
443187	1507	1998-02-28	VYDAJ	VYBER	15	60725	SLUZBY	\N	\N
443188	1507	1998-03-31	VYDAJ	VYBER	15	61921	SLUZBY	\N	\N
443189	1507	1998-04-30	VYDAJ	VYBER	15	64106	SLUZBY	\N	\N
443190	1507	1998-05-31	VYDAJ	VYBER	15	67722	SLUZBY	\N	\N
443191	1507	1998-06-30	VYDAJ	VYBER	15	31332	SLUZBY	\N	\N
443192	1507	1998-07-31	VYDAJ	VYBER	15	47049	SLUZBY	\N	\N
443193	1507	1998-08-31	VYDAJ	VYBER	15	52642	SLUZBY	\N	\N
443194	1507	1998-09-30	VYDAJ	VYBER	15	51521	SLUZBY	\N	\N
443195	1507	1998-10-31	VYDAJ	VYBER	15	49666	SLUZBY	\N	\N
443196	1507	1998-11-30	VYDAJ	VYBER	15	61347	SLUZBY	\N	\N
443197	1507	1993-09-02	PRIJEM	VKLAD	3500	25650	\N	\N	\N
443198	1507	1993-10-02	VYDAJ	VYBER	12400	34701	\N	\N	\N
443199	1507	1993-11-01	VYDAJ	VYBER	17300	38902	\N	\N	\N
443200	1507	1993-12-01	VYDAJ	VYBER	19900	40522	\N	\N	\N
443201	1507	1993-12-31	VYDAJ	VYBER	17800	40501	\N	\N	\N
443202	1507	1994-01-30	VYDAJ	VYBER	10500	36015	\N	\N	\N
443203	1507	1994-03-01	VYDAJ	VYBER	13300	37752	\N	\N	\N
443204	1507	1994-03-31	VYDAJ	VYBER	14600	37288	\N	\N	\N
443205	1507	1994-04-30	VYDAJ	VYBER	11400	40743	\N	\N	\N
443206	1507	1994-05-30	VYDAJ	VYBER	13700	36897	\N	\N	\N
443207	1507	1994-06-29	PRIJEM	VKLAD	5600	21262	\N	\N	\N
443208	1507	1994-07-29	VYDAJ	VYBER	4700	31286	\N	\N	\N
443209	1507	1994-08-28	VYDAJ	VYBER	13100	32961	\N	\N	\N
443210	1507	1994-09-27	VYDAJ	VYBER	13400	34373	\N	\N	\N
443211	1507	1994-10-27	VYDAJ	VYBER	9500	36452	\N	\N	\N
443212	1507	1994-11-26	VYDAJ	VYBER	13900	37374	\N	\N	\N
443213	1507	1994-12-26	VYDAJ	VYBER	17800	43921	\N	\N	\N
443214	1507	1995-01-25	VYDAJ	VYBER	12100	34444	\N	\N	\N
443215	1507	1995-02-24	VYDAJ	VYBER	13400	35883	\N	\N	\N
443216	1507	1995-03-26	VYDAJ	VYBER	11600	37064	\N	\N	\N
443217	1507	1995-04-25	VYDAJ	VYBER	14600	37289	\N	\N	\N
443218	1507	1995-05-25	VYDAJ	VYBER	14000	33679	\N	\N	\N
443219	1507	1995-06-24	VYDAJ	VYBER	15200	38054	\N	\N	\N
443220	1507	1995-07-24	VYDAJ	VYBER	15500	37387	\N	\N	\N
443221	1507	1995-08-23	VYDAJ	VYBER	16400	35817	\N	\N	\N
443222	1507	1995-09-22	VYDAJ	VYBER	14200	32362	\N	\N	\N
443223	1507	1995-10-22	VYDAJ	VYBER	11700	35471	\N	\N	\N
443224	1507	1995-11-21	VYDAJ	VYBER	12600	37678	\N	\N	\N
443225	1507	1995-12-21	VYDAJ	VYBER	19300	39429	\N	\N	\N
443226	1507	1996-01-20	VYDAJ	VYBER	11100	35726	\N	\N	\N
443227	1507	1996-02-19	VYDAJ	VYBER	9800	36898	\N	\N	\N
443228	1507	1996-03-20	VYDAJ	VYBER	13800	37903	\N	\N	\N
443229	1507	1996-04-19	VYDAJ	VYBER	14200	38522	\N	\N	\N
443230	1507	1996-05-19	VYDAJ	VYBER	11200	38178	\N	\N	\N
443231	1507	1996-06-18	PRIJEM	VKLAD	5900	26007	\N	\N	\N
443232	1507	1996-07-18	VYDAJ	VYBER	5800	34960	\N	\N	\N
443233	1507	1996-08-17	VYDAJ	VYBER	12400	37344	\N	\N	\N
443234	1507	1996-09-16	VYDAJ	VYBER	15800	36352	\N	\N	\N
443235	1507	1996-10-16	VYDAJ	VYBER	10500	40662	\N	\N	\N
443236	1507	1996-11-15	VYDAJ	VYBER	9800	38950	\N	\N	\N
443237	1507	1996-12-15	VYDAJ	VYBER	15700	40333	\N	\N	\N
443238	1507	1997-01-14	VYDAJ	VYBER	13900	36334	\N	\N	\N
443239	1507	1997-02-13	VYDAJ	VYBER	3500	31906	\N	\N	\N
443240	1507	1997-03-15	VYDAJ	VYBER	11600	35077	\N	\N	\N
443241	1507	1997-04-14	VYDAJ	VYBER	8800	35902	\N	\N	\N
443242	1507	1997-05-14	VYDAJ	VYBER	12100	38592	\N	\N	\N
443243	1507	1997-06-13	VYDAJ	VYBER	16900	47135	\N	\N	\N
443244	1507	1997-07-13	VYDAJ	VYBER	11400	50575	\N	\N	\N
443245	1507	1997-08-12	VYDAJ	VYBER	11400	54028	\N	\N	\N
443246	1507	1997-09-11	VYDAJ	VYBER	13900	54994	\N	\N	\N
443247	1507	1997-10-11	VYDAJ	VYBER	12700	55966	\N	\N	\N
443248	1507	1997-11-10	VYDAJ	VYBER	13100	56901	\N	\N	\N
443249	1507	1997-12-10	VYDAJ	VYBER	15900	66518	\N	\N	\N
443250	1507	1998-01-09	VYDAJ	VYBER	14900	64766	\N	\N	\N
443251	1507	1998-02-08	VYDAJ	VYBER	5600	60499	\N	\N	\N
443252	1507	1998-03-10	VYDAJ	VYBER	13700	61679	\N	\N	\N
443253	1507	1998-04-09	VYDAJ	VYBER	9600	63855	\N	\N	\N
443254	1507	1998-05-09	VYDAJ	VYBER	11300	67460	\N	\N	\N
443255	1507	1998-06-08	VYDAJ	VYBER	22800	70212	\N	\N	\N
443256	1507	1998-07-08	PRIJEM	VKLAD	900	46886	\N	\N	\N
443257	1507	1998-08-07	VYDAJ	VYBER	6500	60862	\N	\N	\N
443258	1507	1998-09-06	VYDAJ	VYBER	11900	62015	\N	\N	\N
443259	1507	1998-10-06	VYDAJ	VYBER	16700	56094	\N	\N	\N
443260	1507	1998-11-05	VYDAJ	VYBER KARTOU	3200	46466	\N	\N	0
443261	1507	1998-12-05	VYDAJ	VYBER	6600	54747	\N	\N	\N
443327	1508	1996-01-22	PRIJEM	VKLAD	500	500	\N	\N	\N
443328	1508	1996-12-30	PRIJEM	VKLAD	13007	59546	\N	\N	\N
443329	1508	1996-12-23	PRIJEM	VKLAD	46083	116544	\N	\N	\N
443331	1508	1996-11-10	PRIJEM	VKLAD	39744	74502	\N	\N	\N
443333	1508	1996-12-20	PRIJEM	VKLAD	12247	70461	\N	\N	\N
443334	1508	1996-09-18	PRIJEM	VKLAD	43289	66489	\N	\N	\N
443335	1508	1996-12-26	PRIJEM	VKLAD	18095	107839	\N	\N	\N
443336	1508	1996-11-27	PRIJEM	VKLAD	42687	94489	\N	\N	\N
443337	1508	1997-02-03	PRIJEM	VKLAD	11262	32332	\N	\N	\N
443338	1508	1997-04-27	PRIJEM	VKLAD	17134	81278	\N	\N	\N
443339	1508	1997-11-26	PRIJEM	VKLAD	20767	30141	\N	\N	\N
443340	1508	1997-06-13	PRIJEM	VKLAD	38093	96316	\N	\N	\N
443341	1508	1997-04-28	PRIJEM	VKLAD	33203	114481	\N	\N	\N
443342	1508	1997-06-10	PRIJEM	VKLAD	49237	77735	\N	\N	\N
443343	1508	1997-03-22	PRIJEM	VKLAD	36403	56081	\N	\N	\N
443344	1508	1997-04-14	PRIJEM	VKLAD	14160	61398	\N	\N	\N
443345	1508	1997-08-18	PRIJEM	VKLAD	45837	71713	\N	\N	\N
443346	1508	1997-05-20	PRIJEM	VKLAD	10230	49572	\N	\N	\N
443347	1508	1997-04-25	PRIJEM	VKLAD	20946	64144	\N	\N	\N
443348	1508	1997-10-04	PRIJEM	VKLAD	15543	40133	\N	\N	\N
443349	1508	1997-08-09	PRIJEM	VKLAD	17720	46743	\N	\N	\N
443350	1508	1997-07-04	PRIJEM	VKLAD	22125	65133	\N	\N	\N
443351	1508	1997-06-23	PRIJEM	VKLAD	37524	63340	\N	\N	\N
443352	1508	1998-05-19	PRIJEM	VKLAD	27372	71615	\N	\N	\N
443353	1508	1998-06-10	PRIJEM	VKLAD	43936	102307	\N	\N	\N
443354	1508	1998-10-13	PRIJEM	VKLAD	19569	31456	\N	\N	\N
443355	1508	1998-09-08	PRIJEM	VKLAD	16798	66576	\N	\N	\N
443356	1508	1998-08-29	PRIJEM	VKLAD	28125	49547	\N	\N	\N
443357	1508	1998-05-31	PRIJEM	VKLAD	28960	86303	\N	\N	\N
443358	1508	1998-08-06	PRIJEM	VKLAD	49011	107089	\N	\N	\N
443359	1508	1998-06-21	PRIJEM	VKLAD	49784	102291	\N	\N	\N
443360	1508	1998-11-28	PRIJEM	VKLAD	37108	69782	\N	\N	\N
443361	1508	1998-05-16	PRIJEM	VKLAD	38831	44243	\N	\N	\N
443362	1508	1998-10-18	PRIJEM	VKLAD	39100	70556	\N	\N	\N
443363	1508	1998-07-16	PRIJEM	VKLAD	16879	57814	\N	\N	\N
443364	1508	1998-09-26	PRIJEM	VKLAD	22613	48722	\N	\N	\N
443413	1508	1997-01-09	VYDAJ	PREVOD NA UCET	8967	37722	SIPO	UV	9055811
443414	1508	1997-02-09	VYDAJ	PREVOD NA UCET	8967	23365	SIPO	UV	9055811
443415	1508	1997-03-09	VYDAJ	PREVOD NA UCET	8967	14278	SIPO	UV	9055811
443416	1508	1997-04-09	VYDAJ	PREVOD NA UCET	8967	47238	SIPO	UV	9055811
443417	1508	1997-05-09	VYDAJ	PREVOD NA UCET	8967	55042	SIPO	UV	9055811
443418	1508	1997-06-09	VYDAJ	PREVOD NA UCET	8967	28498	SIPO	UV	9055811
443419	1508	1997-07-09	VYDAJ	PREVOD NA UCET	8967	56166	SIPO	UV	9055811
443420	1508	1997-08-09	VYDAJ	PREVOD NA UCET	8967	37776	SIPO	UV	9055811
443421	1508	1997-09-09	VYDAJ	PREVOD NA UCET	8967	39663	SIPO	UV	9055811
443422	1508	1997-10-09	VYDAJ	PREVOD NA UCET	8967	31166	SIPO	UV	9055811
443423	1508	1997-11-09	VYDAJ	PREVOD NA UCET	8967	9374	SIPO	UV	9055811
443424	1508	1997-12-09	VYDAJ	PREVOD NA UCET	8967	21244	SIPO	UV	9055811
443425	1508	1998-01-09	VYDAJ	PREVOD NA UCET	8967	5345	SIPO	UV	9055811
443430	1508	1998-06-09	VYDAJ	PREVOD NA UCET	8967	58371	SIPO	UV	9055811
443431	1508	1998-07-09	VYDAJ	PREVOD NA UCET	8967	80135	SIPO	UV	9055811
443432	1508	1998-08-09	VYDAJ	PREVOD NA UCET	8967	55322	SIPO	UV	9055811
443433	1508	1998-09-09	VYDAJ	PREVOD NA UCET	8967	26109	SIPO	UV	9055811
443434	1508	1998-10-09	VYDAJ	PREVOD NA UCET	8967	11887	SIPO	UV	9055811
443435	1508	1998-11-09	VYDAJ	PREVOD NA UCET	8967	32674	SIPO	UV	9055811
443436	1508	1998-12-09	VYDAJ	PREVOD NA UCET	8967	31894	SIPO	UV	9055811
443442	1508	1997-06-23	VYBER	VYBER	20530	42810	\N	\N	\N
443443	1508	1997-06-12	VYBER	VYBER	19512	58223	\N	\N	\N
443446	1508	1997-06-02	VYBER	VYBER	12322	37465	\N	\N	\N
443448	1508	1997-01-15	VYBER	VYBER	16680	21042	\N	\N	\N
443451	1508	1997-08-21	VYBER	VYBER	14560	57153	\N	\N	\N
443453	1508	1998-06-02	VYBER	VYBER	18950	67338	\N	\N	\N
443456	1508	1997-06-15	VYDAJ	VYBER	66300	25816	\N	\N	\N
443459	1508	1997-01-07	VYDAJ	VYBER	13200	46689	\N	\N	\N
443466	1508	1997-08-29	VYDAJ	VYBER	8700	48453	\N	\N	\N
443467	1508	1997-07-25	VYDAJ	VYBER	3900	33066	\N	\N	\N
443468	1508	1997-02-09	VYDAJ	VYBER	5100	18265	\N	\N	\N
443470	1508	1997-08-05	VYDAJ	VYBER	4200	29023	\N	\N	\N
443472	1508	1998-05-25	VYDAJ	VYBER	14400	57215	\N	\N	\N
443473	1508	1998-07-01	VYDAJ	VYBER	13500	89102	\N	\N	\N
443474	1508	1998-08-28	VYDAJ	VYBER	5100	21422	\N	\N	\N
443477	1508	1998-09-27	VYDAJ	VYBER	11100	37622	\N	\N	\N
443490	1508	1996-12-31	VYDAJ	VYBER	15	59889	SLUZBY	\N	\N
443491	1508	1997-01-31	VYDAJ	VYBER	15	21070	SLUZBY	\N	\N
443492	1508	1997-02-28	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
443493	1508	1997-03-31	VYDAJ	VYBER	15	56205	SLUZBY	\N	\N
443494	1508	1997-04-30	VYDAJ	VYBER	15	64009	SLUZBY	\N	\N
443495	1508	1997-05-31	VYDAJ	VYBER	15	49787	SLUZBY	\N	\N
443496	1508	1997-06-30	VYDAJ	VYBER	15	43008	SLUZBY	\N	\N
443497	1508	1997-07-31	VYDAJ	VYBER	15	33223	SLUZBY	\N	\N
443498	1508	1997-08-31	VYDAJ	VYBER	15	48630	SLUZBY	\N	\N
443499	1508	1997-09-30	VYDAJ	VYBER	15	24590	SLUZBY	\N	\N
443500	1508	1997-10-31	VYDAJ	VYBER	15	18341	SLUZBY	\N	\N
443501	1508	1997-11-30	VYDAJ	VYBER	15	30211	SLUZBY	\N	\N
443502	1508	1997-12-31	VYDAJ	VYBER	15	14312	SLUZBY	\N	\N
443503	1508	1998-01-31	VYDAJ	VYBER	15	5388	SLUZBY	\N	\N
443504	1508	1998-02-28	VYDAJ	VYBER	15	5396	SLUZBY	\N	\N
443505	1508	1998-03-31	VYDAJ	VYBER	15	5381	SLUZBY	\N	\N
443506	1508	1998-04-30	VYDAJ	VYBER	15	5412	SLUZBY	\N	\N
443507	1508	1998-05-31	VYDAJ	VYBER	15	86288	SLUZBY	\N	\N
443508	1508	1998-06-30	VYDAJ	VYBER	15	102602	SLUZBY	\N	\N
443509	1508	1998-07-31	VYDAJ	VYBER	15	58078	SLUZBY	\N	\N
443510	1508	1998-08-31	VYDAJ	VYBER	15	49778	SLUZBY	\N	\N
443511	1508	1998-09-30	VYDAJ	VYBER	15	37754	SLUZBY	\N	\N
443512	1508	1998-10-31	VYDAJ	VYBER	15	70741	SLUZBY	\N	\N
443513	1508	1998-11-30	VYDAJ	VYBER	15	69961	SLUZBY	\N	\N
443514	1508	1996-02-21	PRIJEM	VKLAD	10000	10500	\N	\N	\N
443515	1508	1996-03-22	PRIJEM	VKLAD	5200	15700	\N	\N	\N
443516	1508	1996-04-21	PRIJEM	VKLAD	5400	21100	\N	\N	\N
443517	1508	1996-05-21	PRIJEM	VKLAD	2800	23900	\N	\N	\N
443518	1508	1996-06-20	PRIJEM	VKLAD	1200	25100	\N	\N	\N
443519	1508	1996-07-20	VYDAJ	VYBER	900	24200	\N	\N	\N
443520	1508	1996-08-19	VYDAJ	VYBER	1000	23200	\N	\N	\N
443521	1508	1996-09-18	VYDAJ	VYBER	21400	45089	\N	\N	\N
443522	1508	1996-10-18	VYDAJ	VYBER	10600	34570	\N	\N	\N
443523	1508	1996-11-17	VYDAJ	VYBER	22700	51802	\N	\N	\N
443524	1508	1996-12-17	VYDAJ	VYBER	36500	58214	\N	\N	\N
443525	1508	1996-12-23	VYDAJ	VYBER	26800	89744	\N	\N	\N
443526	1508	1996-12-26	VYDAJ	VYBER	61300	46539	\N	\N	\N
443527	1508	1997-01-16	VYDAJ	VYBER	100	20942	\N	\N	\N
443528	1508	1997-02-15	PRIJEM	VKLAD	4900	23165	\N	\N	\N
443529	1508	1997-03-17	PRIJEM	VKLAD	5400	19678	\N	\N	\N
443530	1508	1997-04-16	VYDAJ	VYBER	18200	43198	\N	\N	\N
443531	1508	1997-04-28	VYDAJ	VYBER	50700	63781	\N	\N	\N
443532	1508	1997-05-16	VYDAJ	VYBER	15700	39342	\N	\N	\N
443533	1508	1997-06-15	VYDAJ	VYBER	4200	92116	\N	\N	\N
443534	1508	1997-07-15	VYDAJ	VYBER	19200	36966	\N	\N	\N
443535	1508	1997-08-14	VYDAJ	VYBER	11900	25876	\N	\N	\N
443536	1508	1997-09-13	VYDAJ	VYBER	15200	24463	\N	\N	\N
443537	1508	1997-10-13	VYDAJ	VYBER	12900	18266	\N	\N	\N
443538	1508	1997-12-12	VYDAJ	VYBER	7000	14244	\N	\N	\N
443539	1508	1998-06-10	VYDAJ	VYBER	49800	52507	\N	\N	\N
443540	1508	1998-07-10	VYDAJ	VYBER	39200	40935	\N	\N	\N
443541	1508	1998-08-06	VYDAJ	VYBER	42800	64289	\N	\N	\N
443542	1508	1998-08-09	VYDAJ	VYBER	28800	26522	\N	\N	\N
443543	1508	1998-09-08	VYDAJ	VYBER	31500	35076	\N	\N	\N
443544	1508	1998-10-08	VYDAJ	VYBER	16900	20854	\N	\N	\N
443545	1508	1998-11-07	VYDAJ	VYBER	29100	41641	\N	\N	\N
443546	1508	1998-12-07	VYDAJ	VYBER	29100	40861	\N	\N	\N
443575	1509	1994-05-19	PRIJEM	VKLAD	600	600	\N	\N	\N
443581	1509	1994-06-09	PRIJEM	VKLAD	21282	21882	\N	\N	\N
443582	1509	1994-07-09	PRIJEM	VKLAD	14188	39616	\N	\N	\N
443583	1509	1994-08-09	PRIJEM	VKLAD	14188	44018	\N	\N	\N
443584	1509	1994-09-09	PRIJEM	VKLAD	14188	48539	\N	\N	\N
443585	1509	1994-10-09	PRIJEM	VKLAD	14188	48469	\N	\N	\N
443586	1509	1994-11-09	PRIJEM	VKLAD	14188	45321	\N	\N	\N
443587	1509	1994-12-09	PRIJEM	VKLAD	21282	49251	\N	\N	\N
443588	1509	1995-01-09	PRIJEM	VKLAD	14188	36180	\N	\N	\N
443589	1509	1995-02-09	PRIJEM	VKLAD	14188	31609	\N	\N	\N
443590	1509	1995-03-09	PRIJEM	VKLAD	14188	36587	\N	\N	\N
443591	1509	1995-04-09	PRIJEM	VKLAD	14188	39501	\N	\N	\N
443592	1509	1995-05-09	PRIJEM	VKLAD	14188	37014	\N	\N	\N
443593	1509	1995-06-09	PRIJEM	VKLAD	21282	37752	\N	\N	\N
443594	1509	1995-07-09	PRIJEM	VKLAD	14188	37063	\N	\N	\N
443595	1509	1995-08-09	PRIJEM	VKLAD	14188	33360	\N	\N	\N
443596	1509	1995-09-09	PRIJEM	VKLAD	14188	29374	\N	\N	\N
443597	1509	1995-10-09	PRIJEM	VKLAD	14188	26455	\N	\N	\N
443598	1509	1995-11-09	PRIJEM	VKLAD	14188	27125	\N	\N	\N
443599	1509	1995-12-09	PRIJEM	VKLAD	21282	34190	\N	\N	\N
443600	1509	1996-01-09	PRIJEM	VKLAD	14188	27230	\N	\N	\N
443601	1509	1996-02-09	PRIJEM	VKLAD	14188	25799	\N	\N	\N
443602	1509	1996-03-09	PRIJEM	VKLAD	14188	32783	\N	\N	\N
443603	1509	1996-04-09	PRIJEM	VKLAD	14188	24347	\N	\N	\N
443604	1509	1996-05-09	PRIJEM	VKLAD	14188	31330	\N	\N	\N
443605	1509	1996-06-09	PRIJEM	VKLAD	21282	33232	\N	\N	\N
443606	1509	1996-07-09	PRIJEM	VKLAD	14188	30443	\N	\N	\N
443607	1509	1996-08-09	PRIJEM	VKLAD	14188	26865	\N	\N	\N
443608	1509	1996-09-09	PRIJEM	VKLAD	14188	25600	\N	\N	\N
443609	1509	1996-10-09	PRIJEM	VKLAD	14188	32586	\N	\N	\N
443610	1509	1996-11-09	PRIJEM	VKLAD	14188	27891	\N	\N	\N
443611	1509	1996-12-09	PRIJEM	VKLAD	21282	35380	\N	\N	\N
443612	1509	1997-01-09	PRIJEM	VKLAD	14188	34504	\N	\N	\N
443613	1509	1997-02-09	PRIJEM	VKLAD	14188	35277	\N	\N	\N
443614	1509	1997-03-09	PRIJEM	VKLAD	14188	28392	\N	\N	\N
443615	1509	1997-04-09	PRIJEM	VKLAD	14188	28116	\N	\N	\N
443616	1509	1997-05-09	PRIJEM	VKLAD	14188	35121	\N	\N	\N
443617	1509	1997-06-09	PRIJEM	VKLAD	21282	38435	\N	\N	\N
443618	1509	1997-07-09	PRIJEM	VKLAD	14188	30313	\N	\N	\N
443619	1509	1997-08-09	PRIJEM	VKLAD	14188	37332	\N	\N	\N
443620	1509	1997-09-09	PRIJEM	VKLAD	14188	28853	\N	\N	\N
443621	1509	1997-10-09	PRIJEM	VKLAD	14188	35853	\N	\N	\N
443622	1509	1997-11-09	PRIJEM	VKLAD	14188	31368	\N	\N	\N
443623	1509	1997-12-09	PRIJEM	VKLAD	21282	34396	\N	\N	\N
443624	1509	1998-01-09	PRIJEM	VKLAD	14188	28736	\N	\N	\N
443625	1509	1998-02-09	PRIJEM	VKLAD	14188	29483	\N	\N	\N
443626	1509	1998-03-09	PRIJEM	VKLAD	14188	29782	\N	\N	\N
443627	1509	1998-04-09	PRIJEM	VKLAD	14188	28789	\N	\N	\N
443628	1509	1998-05-09	PRIJEM	VKLAD	14188	31336	\N	\N	\N
443629	1509	1998-06-09	PRIJEM	VKLAD	21282	33922	\N	\N	\N
443630	1509	1998-07-09	PRIJEM	VKLAD	14188	28455	\N	\N	\N
443631	1509	1998-08-09	PRIJEM	VKLAD	14188	27936	\N	\N	\N
443632	1509	1998-09-09	PRIJEM	VKLAD	14188	28935	\N	\N	\N
443633	1509	1998-10-09	PRIJEM	VKLAD	14188	30519	\N	\N	\N
443634	1509	1998-11-09	PRIJEM	VKLAD	14188	27704	\N	\N	\N
443635	1509	1998-12-09	PRIJEM	VKLAD	21282	34677	\N	\N	\N
443645	1509	1994-10-12	VYDAJ	PREVOD NA UCET	4943	41206	SIPO	EF	43322950
443646	1509	1994-11-12	VYDAJ	PREVOD NA UCET	4943	38058	SIPO	EF	43322950
443647	1509	1994-12-12	VYDAJ	PREVOD NA UCET	4943	44308	SIPO	EF	43322950
443648	1509	1995-01-12	VYDAJ	PREVOD NA UCET	4943	27837	SIPO	EF	43322950
443649	1509	1995-02-12	VYDAJ	PREVOD NA UCET	4943	26666	SIPO	EF	43322950
443650	1509	1995-03-12	VYDAJ	PREVOD NA UCET	4943	31644	SIPO	EF	43322950
443651	1509	1995-04-12	VYDAJ	PREVOD NA UCET	4943	32238	SIPO	EF	43322950
443652	1509	1995-05-12	VYDAJ	PREVOD NA UCET	4943	29751	SIPO	EF	43322950
443653	1509	1995-06-12	VYDAJ	PREVOD NA UCET	4943	30489	SIPO	EF	43322950
443654	1509	1995-07-12	VYDAJ	PREVOD NA UCET	4943	32120	SIPO	EF	43322950
443655	1509	1995-08-12	VYDAJ	PREVOD NA UCET	4943	28417	SIPO	EF	43322950
443656	1509	1995-09-12	VYDAJ	PREVOD NA UCET	4943	14531	SIPO	EF	43322950
443657	1509	1995-10-12	VYDAJ	PREVOD NA UCET	4943	15212	SIPO	EF	43322950
443658	1509	1995-11-12	VYDAJ	PREVOD NA UCET	4943	15182	SIPO	EF	43322950
443659	1509	1995-12-12	VYDAJ	PREVOD NA UCET	4943	12987	SIPO	EF	43322950
443660	1509	1996-01-12	VYDAJ	PREVOD NA UCET	4943	15287	SIPO	EF	43322950
443661	1509	1996-02-12	VYDAJ	PREVOD NA UCET	4943	18536	SIPO	EF	43322950
443662	1509	1996-03-12	VYDAJ	PREVOD NA UCET	4943	10120	SIPO	EF	43322950
443663	1509	1996-04-12	VYDAJ	PREVOD NA UCET	4943	17084	SIPO	EF	43322950
443664	1509	1996-05-12	VYDAJ	PREVOD NA UCET	4943	24067	SIPO	EF	43322950
443665	1509	1996-06-12	VYDAJ	PREVOD NA UCET	4943	25969	SIPO	EF	43322950
443666	1509	1996-07-12	VYDAJ	PREVOD NA UCET	4943	23180	SIPO	EF	43322950
443667	1509	1996-08-12	VYDAJ	PREVOD NA UCET	4943	21922	SIPO	EF	43322950
443668	1509	1996-09-12	VYDAJ	PREVOD NA UCET	4943	20657	SIPO	EF	43322950
443669	1509	1996-10-12	VYDAJ	PREVOD NA UCET	4943	25323	SIPO	EF	43322950
443670	1509	1996-11-12	VYDAJ	PREVOD NA UCET	4943	22948	SIPO	EF	43322950
443671	1509	1996-12-12	VYDAJ	PREVOD NA UCET	4943	30437	SIPO	EF	43322950
443672	1509	1997-01-12	VYDAJ	PREVOD NA UCET	4943	29561	SIPO	EF	43322950
443673	1509	1997-02-12	VYDAJ	PREVOD NA UCET	4943	30334	SIPO	EF	43322950
443674	1509	1997-03-12	VYDAJ	PREVOD NA UCET	4943	20049	SIPO	EF	43322950
443675	1509	1997-04-12	VYDAJ	PREVOD NA UCET	4943	23173	SIPO	EF	43322950
443676	1509	1997-05-12	VYDAJ	PREVOD NA UCET	4943	30178	SIPO	EF	43322950
443677	1509	1997-06-12	VYDAJ	PREVOD NA UCET	4943	31172	SIPO	EF	43322950
443678	1509	1997-07-12	VYDAJ	PREVOD NA UCET	4943	25370	SIPO	EF	43322950
443679	1509	1997-08-12	VYDAJ	PREVOD NA UCET	4943	30069	SIPO	EF	43322950
443680	1509	1997-09-12	VYDAJ	PREVOD NA UCET	4943	21590	SIPO	EF	43322950
443681	1509	1997-10-12	VYDAJ	PREVOD NA UCET	4943	28590	SIPO	EF	43322950
443682	1509	1997-11-12	VYDAJ	PREVOD NA UCET	4943	26425	SIPO	EF	43322950
443683	1509	1997-12-12	VYDAJ	PREVOD NA UCET	4943	29453	SIPO	EF	43322950
443684	1509	1998-01-12	VYDAJ	PREVOD NA UCET	4943	23793	SIPO	EF	43322950
443685	1509	1998-02-12	VYDAJ	PREVOD NA UCET	4943	22220	SIPO	EF	43322950
443686	1509	1998-03-12	VYDAJ	PREVOD NA UCET	4943	24839	SIPO	EF	43322950
443687	1509	1998-04-12	VYDAJ	PREVOD NA UCET	4943	19406	SIPO	EF	43322950
443688	1509	1998-05-12	VYDAJ	PREVOD NA UCET	4943	26393	SIPO	EF	43322950
443689	1509	1998-06-12	VYDAJ	PREVOD NA UCET	4943	28979	SIPO	EF	43322950
443690	1509	1998-07-12	VYDAJ	PREVOD NA UCET	4943	23512	SIPO	EF	43322950
443691	1509	1998-08-12	VYDAJ	PREVOD NA UCET	4943	22993	SIPO	EF	43322950
443692	1509	1998-09-12	VYDAJ	PREVOD NA UCET	4943	23992	SIPO	EF	43322950
443693	1509	1998-10-12	VYDAJ	PREVOD NA UCET	4943	23256	SIPO	EF	43322950
443694	1509	1998-11-12	VYDAJ	PREVOD NA UCET	4943	22761	SIPO	EF	43322950
443695	1509	1998-12-12	VYDAJ	PREVOD NA UCET	4943	27414	SIPO	EF	43322950
443705	1509	1994-10-12	VYDAJ	PREVOD NA UCET	2320	46149	 	QR	20525896
443706	1509	1994-11-12	VYDAJ	PREVOD NA UCET	2320	43001	 	QR	20525896
443707	1509	1994-12-12	VYDAJ	PREVOD NA UCET	2320	41988	 	QR	20525896
443708	1509	1995-01-12	VYDAJ	PREVOD NA UCET	2320	32780	 	QR	20525896
443709	1509	1995-02-12	VYDAJ	PREVOD NA UCET	2320	24346	 	QR	20525896
443710	1509	1995-03-12	VYDAJ	PREVOD NA UCET	2320	29324	 	QR	20525896
443711	1509	1995-04-12	VYDAJ	PREVOD NA UCET	2320	37181	 	QR	20525896
443712	1509	1995-05-12	VYDAJ	PREVOD NA UCET	2320	34694	 	QR	20525896
443713	1509	1995-06-12	VYDAJ	PREVOD NA UCET	2320	35432	 	QR	20525896
443714	1509	1995-07-12	VYDAJ	PREVOD NA UCET	2320	29800	 	QR	20525896
443715	1509	1995-08-12	VYDAJ	PREVOD NA UCET	2320	26097	 	QR	20525896
443716	1509	1995-09-12	VYDAJ	PREVOD NA UCET	2320	12211	 	QR	20525896
443717	1509	1995-10-12	VYDAJ	PREVOD NA UCET	2320	12892	 	QR	20525896
443718	1509	1995-11-12	VYDAJ	PREVOD NA UCET	2320	12862	 	QR	20525896
443719	1509	1995-12-12	VYDAJ	PREVOD NA UCET	2320	17930	 	QR	20525896
443720	1509	1996-01-12	VYDAJ	PREVOD NA UCET	2320	12967	 	QR	20525896
443721	1509	1996-02-12	VYDAJ	PREVOD NA UCET	2320	23479	 	QR	20525896
443722	1509	1996-03-12	VYDAJ	PREVOD NA UCET	2320	15063	 	QR	20525896
443723	1509	1996-04-12	VYDAJ	PREVOD NA UCET	2320	22027	 	QR	20525896
443724	1509	1996-05-12	VYDAJ	PREVOD NA UCET	2320	29010	 	QR	20525896
443725	1509	1996-06-12	VYDAJ	PREVOD NA UCET	2320	30912	 	QR	20525896
443726	1509	1996-07-12	VYDAJ	PREVOD NA UCET	2320	28123	 	QR	20525896
443727	1509	1996-08-12	VYDAJ	PREVOD NA UCET	2320	19602	 	QR	20525896
443728	1509	1996-09-12	VYDAJ	PREVOD NA UCET	2320	18337	 	QR	20525896
443729	1509	1996-10-12	VYDAJ	PREVOD NA UCET	2320	30266	 	QR	20525896
443730	1509	1996-11-12	VYDAJ	PREVOD NA UCET	2320	20628	 	QR	20525896
443731	1509	1996-12-12	VYDAJ	PREVOD NA UCET	2320	28117	 	QR	20525896
443732	1509	1997-01-12	VYDAJ	PREVOD NA UCET	2320	27241	 	QR	20525896
443733	1509	1997-02-12	VYDAJ	PREVOD NA UCET	2320	28014	 	QR	20525896
443734	1509	1997-03-12	VYDAJ	PREVOD NA UCET	2320	26072	 	QR	20525896
443735	1509	1997-04-12	VYDAJ	PREVOD NA UCET	2320	20853	 	QR	20525896
443736	1509	1997-05-12	VYDAJ	PREVOD NA UCET	2320	27858	 	QR	20525896
443737	1509	1997-06-12	VYDAJ	PREVOD NA UCET	2320	36115	 	QR	20525896
443738	1509	1997-07-12	VYDAJ	PREVOD NA UCET	2320	23050	 	QR	20525896
443739	1509	1997-08-12	VYDAJ	PREVOD NA UCET	2320	35012	 	QR	20525896
443740	1509	1997-09-12	VYDAJ	PREVOD NA UCET	2320	26533	 	QR	20525896
443741	1509	1997-10-12	VYDAJ	PREVOD NA UCET	2320	33533	 	QR	20525896
443742	1509	1997-11-12	VYDAJ	PREVOD NA UCET	2320	24105	 	QR	20525896
443743	1509	1997-12-12	VYDAJ	PREVOD NA UCET	2320	27133	 	QR	20525896
443744	1509	1998-01-12	VYDAJ	PREVOD NA UCET	2320	21473	 	QR	20525896
443745	1509	1998-02-12	VYDAJ	PREVOD NA UCET	2320	27163	 	QR	20525896
443746	1509	1998-03-12	VYDAJ	PREVOD NA UCET	2320	22519	 	QR	20525896
443747	1509	1998-04-12	VYDAJ	PREVOD NA UCET	2320	17086	 	QR	20525896
443748	1509	1998-05-12	VYDAJ	PREVOD NA UCET	2320	24073	 	QR	20525896
443749	1509	1998-06-12	VYDAJ	PREVOD NA UCET	2320	26659	 	QR	20525896
443750	1509	1998-07-12	VYDAJ	PREVOD NA UCET	2320	21192	 	QR	20525896
443751	1509	1998-08-12	VYDAJ	PREVOD NA UCET	2320	20673	 	QR	20525896
443752	1509	1998-09-12	VYDAJ	PREVOD NA UCET	2320	21672	 	QR	20525896
443753	1509	1998-10-12	VYDAJ	PREVOD NA UCET	2320	28199	 	QR	20525896
443754	1509	1998-11-12	VYDAJ	PREVOD NA UCET	2320	20441	 	QR	20525896
443755	1509	1998-12-12	VYDAJ	PREVOD NA UCET	2320	32357	 	QR	20525896
443756	1509	1994-12-15	VYDAJ	VYBER	2240	28248	\N	\N	\N
443757	1509	1995-12-11	VYDAJ	VYBER	4640	20250	\N	\N	\N
443758	1509	1996-12-22	VYDAJ	VYBER	1280	26837	\N	\N	\N
443759	1509	1997-12-25	VYDAJ	VYBER	1120	26013	\N	\N	\N
443767	1509	1995-01-25	VYDAJ	VYBER	1440	18897	\N	\N	\N
443768	1509	1995-01-22	VYDAJ	VYBER	1920	20337	\N	\N	\N
443769	1509	1995-01-04	VYDAJ	VYBER	2640	22712	\N	\N	\N
443770	1509	1995-01-30	VYDAJ	VYBER	1560	17337	\N	\N	\N
443771	1509	1995-01-20	VYDAJ	VYBER	1680	22257	\N	\N	\N
443772	1509	1995-01-07	VYDAJ	VYBER	720	21992	\N	\N	\N
443779	1509	1997-01-13	VYDAJ	VYBER	1440	25801	\N	\N	\N
443780	1509	1997-01-01	VYDAJ	VYBER	1920	22836	\N	\N	\N
443781	1509	1997-01-25	VYDAJ	VYBER	1680	24121	\N	\N	\N
443782	1509	1997-01-01	VYDAJ	VYBER	2160	24756	\N	\N	\N
443783	1509	1997-01-29	VYDAJ	VYBER	3120	21001	\N	\N	\N
443784	1509	1997-01-02	VYDAJ	VYBER	1680	21156	\N	\N	\N
443785	1509	1998-01-08	VYDAJ	VYBER	1440	14548	\N	\N	\N
443788	1509	1998-01-19	VYDAJ	VYBER	3480	17033	\N	\N	\N
443789	1509	1998-01-15	VYDAJ	VYBER	960	20513	\N	\N	\N
443790	1509	1998-01-19	VYDAJ	VYBER	1800	15233	\N	\N	\N
443793	1509	1994-12-21	VYDAJ	VYBER	3000	25248	\N	\N	\N
443798	1509	1995-06-06	VYDAJ	VYBER	4560	16470	\N	\N	\N
443800	1509	1995-01-11	VYDAJ	VYBER	1080	35100	\N	\N	\N
443801	1509	1995-02-24	VYDAJ	VYBER	1320	22326	\N	\N	\N
443802	1509	1995-09-04	VYDAJ	VYBER	3600	16986	\N	\N	\N
443803	1509	1995-09-08	VYDAJ	VYBER	1800	15186	\N	\N	\N
443804	1509	1996-11-22	VYDAJ	VYBER	3840	14028	\N	\N	\N
443805	1509	1996-07-02	VYDAJ	VYBER	1800	24255	\N	\N	\N
443806	1509	1996-11-20	VYDAJ	VYBER	2760	17868	\N	\N	\N
443807	1509	1996-05-16	VYDAJ	VYBER	5160	17587	\N	\N	\N
443808	1509	1996-05-15	VYDAJ	VYBER	1320	22747	\N	\N	\N
443809	1509	1996-08-19	VYDAJ	VYBER	3360	16242	\N	\N	\N
443811	1509	1997-08-26	VYDAJ	VYBER	1200	28869	\N	\N	\N
443812	1509	1997-03-12	VYDAJ	VYBER	1080	24992	\N	\N	\N
443813	1509	1997-11-21	VYDAJ	VYBER	3960	20145	\N	\N	\N
443814	1509	1997-06-30	VYDAJ	VYBER	3960	27340	\N	\N	\N
443815	1509	1997-01-08	VYDAJ	VYBER	840	20316	\N	\N	\N
443816	1509	1998-08-28	VYDAJ	VYBER	2280	14693	\N	\N	\N
443818	1509	1998-03-18	VYDAJ	VYBER	1080	21439	\N	\N	\N
443820	1509	1998-06-24	VYDAJ	VYBER	5760	20899	\N	\N	\N
443821	1509	1998-04-09	VYDAJ	VYBER	4440	24349	\N	\N	\N
443832	1509	1994-10-31	VYDAJ	VYBER	15	31133	SLUZBY	\N	\N
443833	1509	1994-11-30	VYDAJ	VYBER	15	27969	SLUZBY	\N	\N
443834	1509	1994-12-31	VYDAJ	VYBER	15	25352	SLUZBY	\N	\N
443835	1509	1995-01-31	VYDAJ	VYBER	15	17421	SLUZBY	\N	\N
443836	1509	1995-02-28	VYDAJ	VYBER	15	22399	SLUZBY	\N	\N
443837	1509	1995-03-31	VYDAJ	VYBER	15	25313	SLUZBY	\N	\N
443838	1509	1995-04-30	VYDAJ	VYBER	15	22826	SLUZBY	\N	\N
443839	1509	1995-05-31	VYDAJ	VYBER	15	21030	SLUZBY	\N	\N
443840	1509	1995-06-30	VYDAJ	VYBER	15	22875	SLUZBY	\N	\N
443841	1509	1995-07-31	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
443842	1509	1995-08-31	VYDAJ	VYBER	15	20586	SLUZBY	\N	\N
443843	1509	1995-09-30	VYDAJ	VYBER	15	12267	SLUZBY	\N	\N
443844	1509	1995-10-31	VYDAJ	VYBER	15	12937	SLUZBY	\N	\N
443845	1509	1995-11-30	VYDAJ	VYBER	15	12908	SLUZBY	\N	\N
443846	1509	1995-12-31	VYDAJ	VYBER	15	13042	SLUZBY	\N	\N
443847	1509	1996-01-31	VYDAJ	VYBER	15	13011	SLUZBY	\N	\N
443848	1509	1996-02-29	VYDAJ	VYBER	15	18595	SLUZBY	\N	\N
443849	1509	1996-03-31	VYDAJ	VYBER	15	10159	SLUZBY	\N	\N
443850	1509	1996-04-30	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
443851	1509	1996-05-31	VYDAJ	VYBER	15	17650	SLUZBY	\N	\N
443852	1509	1996-06-30	VYDAJ	VYBER	15	26055	SLUZBY	\N	\N
443853	1509	1996-07-31	VYDAJ	VYBER	15	23277	SLUZBY	\N	\N
443854	1509	1996-08-31	VYDAJ	VYBER	15	16312	SLUZBY	\N	\N
443855	1509	1996-09-30	VYDAJ	VYBER	15	18398	SLUZBY	\N	\N
443856	1509	1996-10-31	VYDAJ	VYBER	15	25403	SLUZBY	\N	\N
443857	1509	1996-11-30	VYDAJ	VYBER	15	14098	SLUZBY	\N	\N
443858	1509	1996-12-31	VYDAJ	VYBER	15	26916	SLUZBY	\N	\N
443859	1509	1997-01-31	VYDAJ	VYBER	15	21089	SLUZBY	\N	\N
443860	1509	1997-02-28	VYDAJ	VYBER	15	28104	SLUZBY	\N	\N
443861	1509	1997-03-31	VYDAJ	VYBER	15	20128	SLUZBY	\N	\N
443862	1509	1997-04-30	VYDAJ	VYBER	15	20933	SLUZBY	\N	\N
443863	1509	1997-05-31	VYDAJ	VYBER	15	27953	SLUZBY	\N	\N
443864	1509	1997-06-30	VYDAJ	VYBER	15	27325	SLUZBY	\N	\N
443865	1509	1997-07-31	VYDAJ	VYBER	15	23144	SLUZBY	\N	\N
443866	1509	1997-08-31	VYDAJ	VYBER	15	14665	SLUZBY	\N	\N
443867	1509	1997-09-30	VYDAJ	VYBER	15	21665	SLUZBY	\N	\N
443868	1509	1997-10-31	VYDAJ	VYBER	15	17180	SLUZBY	\N	\N
443869	1509	1997-11-30	VYDAJ	VYBER	15	13114	SLUZBY	\N	\N
443870	1509	1997-12-31	VYDAJ	VYBER	15	15988	SLUZBY	\N	\N
443871	1509	1998-01-31	VYDAJ	VYBER	15	15295	SLUZBY	\N	\N
443872	1509	1998-02-28	VYDAJ	VYBER	15	15594	SLUZBY	\N	\N
443873	1509	1998-03-31	VYDAJ	VYBER	15	14601	SLUZBY	\N	\N
443874	1509	1998-04-30	VYDAJ	VYBER	15	17148	SLUZBY	\N	\N
443875	1509	1998-05-31	VYDAJ	VYBER	15	12640	SLUZBY	\N	\N
443876	1509	1998-06-30	VYDAJ	VYBER	15	14267	SLUZBY	\N	\N
443877	1509	1998-07-31	VYDAJ	VYBER	15	13748	SLUZBY	\N	\N
443878	1509	1998-08-31	VYDAJ	VYBER	15	14747	SLUZBY	\N	\N
443879	1509	1998-09-30	VYDAJ	VYBER	15	16331	SLUZBY	\N	\N
443880	1509	1998-10-31	VYDAJ	VYBER	15	13516	SLUZBY	\N	\N
443881	1509	1998-11-30	VYDAJ	VYBER	15	13395	SLUZBY	\N	\N
443882	1509	1994-06-18	PRIJEM	VKLAD	3500	25382	\N	\N	\N
443883	1509	1994-07-18	VYDAJ	VYBER	9900	29716	\N	\N	\N
443884	1509	1994-08-17	VYDAJ	VYBER	9800	34218	\N	\N	\N
443885	1509	1994-09-16	VYDAJ	VYBER	14400	34139	\N	\N	\N
443886	1509	1994-10-16	VYDAJ	VYBER	10200	31006	\N	\N	\N
443887	1509	1994-11-15	VYDAJ	VYBER	10200	27858	\N	\N	\N
443888	1509	1994-12-15	VYDAJ	VYBER	11500	30488	\N	\N	\N
443889	1509	1995-01-14	VYDAJ	VYBER	3900	23937	\N	\N	\N
443890	1509	1995-02-13	VYDAJ	VYBER	700	23646	\N	\N	\N
443891	1509	1995-03-15	VYDAJ	VYBER	4100	25224	\N	\N	\N
443892	1509	1995-04-14	VYDAJ	VYBER	9500	22738	\N	\N	\N
443893	1509	1995-05-14	VYDAJ	VYBER	8800	20951	\N	\N	\N
443894	1509	1995-06-13	VYDAJ	VYBER	7700	22789	\N	\N	\N
443895	1509	1995-07-13	VYDAJ	VYBER	10700	19100	\N	\N	\N
443896	1509	1995-08-12	VYDAJ	VYBER	5600	20497	\N	\N	\N
443897	1509	1995-09-11	VYDAJ	VYBER	9900	19474	\N	\N	\N
443898	1509	1995-10-11	VYDAJ	VYBER	6300	20155	\N	\N	\N
443899	1509	1995-11-10	VYDAJ	VYBER	7000	20125	\N	\N	\N
443900	1509	1995-12-10	VYDAJ	VYBER	9300	24890	\N	\N	\N
443901	1509	1996-01-09	VYDAJ	VYBER	7000	20230	\N	\N	\N
443902	1509	1996-02-08	VYDAJ	VYBER	1400	11611	\N	\N	\N
443903	1509	1996-03-09	VYDAJ	VYBER	15400	17383	\N	\N	\N
443904	1509	1996-06-07	VYDAJ	VYBER	5700	11950	\N	\N	\N
443905	1509	1996-07-07	VYDAJ	VYBER	8000	16255	\N	\N	\N
443906	1509	1996-08-06	VYDAJ	VYBER	10600	12677	\N	\N	\N
443907	1509	1996-09-05	VYDAJ	VYBER	4900	11412	\N	\N	\N
443908	1509	1996-11-04	VYDAJ	VYBER	11700	13703	\N	\N	\N
443909	1509	1997-03-04	VYDAJ	VYBER	13900	14204	\N	\N	\N
443910	1509	1997-04-03	VYDAJ	VYBER	6200	13928	\N	\N	\N
443911	1509	1997-06-02	VYDAJ	VYBER	10800	17153	\N	\N	\N
443912	1509	1997-07-02	VYDAJ	VYBER	11200	16125	\N	\N	\N
443913	1509	1997-08-31	VYDAJ	VYBER	14300	14679	\N	\N	\N
443914	1509	1997-10-30	VYDAJ	VYBER	11500	17090	\N	\N	\N
443915	1509	1997-11-29	VYDAJ	VYBER	7100	13045	\N	\N	\N
443916	1509	1997-12-29	VYDAJ	VYBER	10100	15913	\N	\N	\N
443917	1509	1998-02-27	VYDAJ	VYBER	6700	15520	\N	\N	\N
443918	1509	1998-03-29	VYDAJ	VYBER	6900	14539	\N	\N	\N
443919	1509	1998-05-28	VYDAJ	VYBER	11500	12573	\N	\N	\N
443920	1509	1998-06-27	VYDAJ	VYBER	6700	14199	\N	\N	\N
443921	1509	1998-07-27	VYDAJ	VYBER	7500	13692	\N	\N	\N
443922	1509	1998-08-26	VYDAJ	VYBER	3700	16973	\N	\N	\N
443923	1509	1998-09-25	VYDAJ	VYBER	5400	16272	\N	\N	\N
443924	1509	1998-10-25	VYDAJ	VYBER	9800	13456	\N	\N	\N
443925	1509	1998-11-24	VYDAJ	VYBER	7100	13341	\N	\N	\N
443926	1509	1998-12-24	VYDAJ	VYBER	10400	17014	\N	\N	\N
443982	1510	1996-03-11	PRIJEM	VKLAD	700	700	\N	\N	\N
443985	1510	1996-03-14	PRIJEM	VKLAD	20705	21405	\N	\N	\N
443986	1510	1996-04-14	PRIJEM	VKLAD	20705	44362	\N	\N	\N
443987	1510	1996-05-14	PRIJEM	VKLAD	20705	55310	\N	\N	\N
443988	1510	1996-06-14	PRIJEM	VKLAD	31058	70179	\N	\N	\N
443989	1510	1996-07-14	PRIJEM	VKLAD	20705	70650	\N	\N	\N
443990	1510	1996-08-14	PRIJEM	VKLAD	20705	61149	\N	\N	\N
443991	1510	1996-09-14	PRIJEM	VKLAD	20705	52014	\N	\N	\N
443992	1510	1996-10-14	PRIJEM	VKLAD	20705	51840	\N	\N	\N
443993	1510	1996-11-14	PRIJEM	VKLAD	20705	47932	\N	\N	\N
443994	1510	1996-12-14	PRIJEM	VKLAD	31058	57299	\N	\N	\N
443995	1510	1997-01-14	PRIJEM	VKLAD	20705	50394	\N	\N	\N
443996	1510	1997-02-14	PRIJEM	VKLAD	20705	49205	\N	\N	\N
443997	1510	1997-03-14	PRIJEM	VKLAD	20705	46348	\N	\N	\N
443998	1510	1997-04-14	PRIJEM	VKLAD	20705	46534	\N	\N	\N
443999	1510	1997-05-14	PRIJEM	VKLAD	20705	41937	\N	\N	\N
444000	1510	1997-06-14	PRIJEM	VKLAD	31058	53759	\N	\N	\N
444001	1510	1997-07-14	PRIJEM	VKLAD	20705	28028	\N	\N	\N
444002	1510	1997-08-14	PRIJEM	VKLAD	20705	36424	\N	\N	\N
444003	1510	1997-09-14	PRIJEM	VKLAD	20705	34002	\N	\N	\N
444004	1510	1997-10-14	PRIJEM	VKLAD	20705	41428	\N	\N	\N
444005	1510	1997-11-14	PRIJEM	VKLAD	20705	40088	\N	\N	\N
444006	1510	1997-12-14	PRIJEM	VKLAD	31058	48585	\N	\N	\N
444007	1510	1998-01-14	PRIJEM	VKLAD	20705	35087	\N	\N	\N
444008	1510	1998-02-14	PRIJEM	VKLAD	20705	35081	\N	\N	\N
444009	1510	1998-03-14	PRIJEM	VKLAD	20705	42509	\N	\N	\N
444010	1510	1998-04-14	PRIJEM	VKLAD	20705	47072	\N	\N	\N
444011	1510	1998-05-14	PRIJEM	VKLAD	20705	45551	\N	\N	\N
444012	1510	1998-06-14	PRIJEM	VKLAD	31058	36678	\N	\N	\N
444013	1510	1998-07-14	PRIJEM	VKLAD	20705	40423	\N	\N	\N
444014	1510	1998-08-14	PRIJEM	VKLAD	20705	43774	\N	\N	\N
444015	1510	1998-09-14	PRIJEM	VKLAD	20705	45536	\N	\N	\N
444016	1510	1998-10-14	PRIJEM	VKLAD	20705	38842	\N	\N	\N
444017	1510	1998-11-14	PRIJEM	VKLAD	20705	39582	\N	\N	\N
444018	1510	1998-12-14	PRIJEM	VKLAD	31058	43750	\N	\N	\N
444026	1510	1996-08-11	VYDAJ	PREVOD NA UCET	9985	40444	SIPO	OP	82537191
444027	1510	1996-09-11	VYDAJ	PREVOD NA UCET	9985	31309	SIPO	OP	82537191
444028	1510	1996-10-11	VYDAJ	PREVOD NA UCET	9985	31135	SIPO	OP	82537191
444029	1510	1996-11-11	VYDAJ	PREVOD NA UCET	9985	27227	SIPO	OP	82537191
444030	1510	1996-12-11	VYDAJ	PREVOD NA UCET	9985	26242	SIPO	OP	82537191
444031	1510	1997-01-11	VYDAJ	PREVOD NA UCET	9985	29689	SIPO	OP	82537191
444032	1510	1997-02-11	VYDAJ	PREVOD NA UCET	9985	28500	SIPO	OP	82537191
444033	1510	1997-03-11	VYDAJ	PREVOD NA UCET	9985	25643	SIPO	OP	82537191
444034	1510	1997-04-11	VYDAJ	PREVOD NA UCET	9985	25829	SIPO	OP	82537191
444035	1510	1997-05-11	VYDAJ	PREVOD NA UCET	9985	21232	SIPO	OP	82537191
444036	1510	1997-06-11	VYDAJ	PREVOD NA UCET	9985	22702	SIPO	OP	82537191
444037	1510	1997-07-11	VYDAJ	PREVOD NA UCET	9985	7323	SIPO	OP	82537191
444038	1510	1997-08-11	VYDAJ	PREVOD NA UCET	9985	15719	SIPO	OP	82537191
444039	1510	1997-09-11	VYDAJ	PREVOD NA UCET	9985	13297	SIPO	OP	82537191
444040	1510	1997-10-11	VYDAJ	PREVOD NA UCET	9985	20723	SIPO	OP	82537191
444041	1510	1997-11-11	VYDAJ	PREVOD NA UCET	9985	19383	SIPO	OP	82537191
444042	1510	1997-12-11	VYDAJ	PREVOD NA UCET	9985	18648	SIPO	OP	82537191
444043	1510	1998-01-11	VYDAJ	PREVOD NA UCET	9985	14382	SIPO	OP	82537191
444044	1510	1998-02-11	VYDAJ	PREVOD NA UCET	9985	14376	SIPO	OP	82537191
444045	1510	1998-03-11	VYDAJ	PREVOD NA UCET	9985	21804	SIPO	OP	82537191
444046	1510	1998-04-11	VYDAJ	PREVOD NA UCET	9985	26367	SIPO	OP	82537191
444047	1510	1998-05-11	VYDAJ	PREVOD NA UCET	9985	24846	SIPO	OP	82537191
444048	1510	1998-06-11	VYDAJ	PREVOD NA UCET	9985	5620	SIPO	OP	82537191
444049	1510	1998-07-11	VYDAJ	PREVOD NA UCET	9985	19718	SIPO	OP	82537191
444050	1510	1998-08-11	VYDAJ	PREVOD NA UCET	9985	23069	SIPO	OP	82537191
444051	1510	1998-09-11	VYDAJ	PREVOD NA UCET	9985	24831	SIPO	OP	82537191
444052	1510	1998-10-11	VYDAJ	PREVOD NA UCET	9985	18137	SIPO	OP	82537191
444053	1510	1998-11-11	VYDAJ	PREVOD NA UCET	9985	18877	SIPO	OP	82537191
444054	1510	1998-12-11	VYDAJ	PREVOD NA UCET	9985	12693	SIPO	OP	82537191
444056	1510	1997-06-29	VYDAJ	VYBER	38720	15039	\N	\N	\N
444057	1510	1998-06-05	VYDAJ	VYBER	23200	15605	\N	\N	\N
444059	1510	1997-01-09	VYDAJ	VYBER	3520	39674	\N	\N	\N
444060	1510	1998-01-10	VYDAJ	VYBER	6880	24367	\N	\N	\N
444061	1510	1996-12-08	VYDAJ	VYBER	3680	36227	\N	\N	\N
444062	1510	1997-12-12	VYDAJ	VYBER	1120	17528	\N	\N	\N
444063	1510	1998-12-14	VYDAJ	VYBER	1920	41830	\N	\N	\N
444065	1510	1996-10-29	VYDAJ	VYBER	4920	46920	\N	\N	\N
444067	1510	1997-02-28	VYDAJ	VYBER	840	48548	\N	\N	\N
444068	1510	1997-03-07	VYDAJ	VYBER	3720	35628	\N	\N	\N
444069	1510	1997-04-21	VYDAJ	VYBER	5880	40654	\N	\N	\N
444070	1510	1997-09-03	VYDAJ	VYBER	4560	23282	\N	\N	\N
444071	1510	1998-11-24	VYDAJ	VYBER	4920	34662	\N	\N	\N
444072	1510	1998-10-10	VYDAJ	VYBER	2160	28122	\N	\N	\N
444073	1510	1998-02-02	VYDAJ	VYBER	1440	24361	\N	\N	\N
444075	1510	1998-12-15	VYDAJ	VYBER	3840	37990	\N	\N	\N
444083	1510	1996-07-31	VYDAJ	VYBER	15	70929	SLUZBY	\N	\N
444084	1510	1996-08-31	VYDAJ	VYBER	15	61394	SLUZBY	\N	\N
444085	1510	1996-09-30	VYDAJ	VYBER	15	52220	SLUZBY	\N	\N
444086	1510	1996-10-31	VYDAJ	VYBER	15	47112	SLUZBY	\N	\N
444087	1510	1996-11-30	VYDAJ	VYBER	15	48107	SLUZBY	\N	\N
444088	1510	1996-12-31	VYDAJ	VYBER	15	57494	SLUZBY	\N	\N
444089	1510	1997-01-31	VYDAJ	VYBER	15	50585	SLUZBY	\N	\N
444090	1510	1997-02-28	VYDAJ	VYBER	15	49388	SLUZBY	\N	\N
444091	1510	1997-03-31	VYDAJ	VYBER	15	46514	SLUZBY	\N	\N
444092	1510	1997-04-30	VYDAJ	VYBER	15	40817	SLUZBY	\N	\N
444093	1510	1997-05-31	VYDAJ	VYBER	15	42087	SLUZBY	\N	\N
444094	1510	1997-06-30	VYDAJ	VYBER	15	15208	SLUZBY	\N	\N
444095	1510	1997-07-31	VYDAJ	VYBER	15	28104	SLUZBY	\N	\N
444096	1510	1997-08-31	VYDAJ	VYBER	15	36542	SLUZBY	\N	\N
444097	1510	1997-09-30	VYDAJ	VYBER	15	34108	SLUZBY	\N	\N
444098	1510	1997-10-31	VYDAJ	VYBER	15	41568	SLUZBY	\N	\N
444099	1510	1997-11-30	VYDAJ	VYBER	15	40233	SLUZBY	\N	\N
444100	1510	1997-12-31	VYDAJ	VYBER	15	31247	SLUZBY	\N	\N
444101	1510	1998-01-31	VYDAJ	VYBER	15	25801	SLUZBY	\N	\N
444102	1510	1998-02-28	VYDAJ	VYBER	15	35189	SLUZBY	\N	\N
444103	1510	1998-03-31	VYDAJ	VYBER	15	36352	SLUZBY	\N	\N
444104	1510	1998-04-30	VYDAJ	VYBER	15	34831	SLUZBY	\N	\N
444105	1510	1998-05-31	VYDAJ	VYBER	15	38805	SLUZBY	\N	\N
444106	1510	1998-06-30	VYDAJ	VYBER	15	29703	SLUZBY	\N	\N
444107	1510	1998-07-31	VYDAJ	VYBER	15	33054	SLUZBY	\N	\N
444108	1510	1998-08-31	VYDAJ	VYBER	15	34816	SLUZBY	\N	\N
444109	1510	1998-09-30	VYDAJ	VYBER	15	30282	SLUZBY	\N	\N
444110	1510	1998-10-31	VYDAJ	VYBER	15	28862	SLUZBY	\N	\N
444111	1510	1998-11-30	VYDAJ	VYBER	15	22678	SLUZBY	\N	\N
444112	1510	1996-04-10	PRIJEM	VKLAD	2200	23657	\N	\N	\N
444113	1510	1996-05-10	VYDAJ	VYBER	9900	34605	\N	\N	\N
444114	1510	1996-06-09	VYDAJ	VYBER	16400	39122	\N	\N	\N
444115	1510	1996-07-09	VYDAJ	VYBER	20500	49945	\N	\N	\N
444116	1510	1996-08-08	VYDAJ	VYBER	20500	50429	\N	\N	\N
444117	1510	1996-09-07	VYDAJ	VYBER	20100	41294	\N	\N	\N
444118	1510	1996-10-07	VYDAJ	VYBER	11100	41120	\N	\N	\N
444119	1510	1996-11-06	VYDAJ	VYBER	9900	37212	\N	\N	\N
444120	1510	1996-12-06	VYDAJ	VYBER	8200	39907	\N	\N	\N
444121	1510	1997-01-05	VYDAJ	VYBER	14300	43194	\N	\N	\N
444122	1510	1997-02-04	VYDAJ	VYBER	12100	38485	\N	\N	\N
444123	1510	1997-03-06	VYDAJ	VYBER	9200	39348	\N	\N	\N
444124	1510	1997-04-05	VYDAJ	VYBER	10700	35814	\N	\N	\N
444125	1510	1997-05-05	VYDAJ	VYBER	9600	31217	\N	\N	\N
444126	1510	1997-06-04	VYDAJ	VYBER	9400	32687	\N	\N	\N
444127	1510	1997-07-04	PRIJEM	VKLAD	2100	17308	\N	\N	\N
444128	1510	1997-08-03	VYDAJ	VYBER	2400	25704	\N	\N	\N
444129	1510	1997-09-02	VYDAJ	VYBER	8700	27842	\N	\N	\N
444130	1510	1997-10-02	VYDAJ	VYBER	3400	30708	\N	\N	\N
444131	1510	1997-11-01	VYDAJ	VYBER	12200	29368	\N	\N	\N
444132	1510	1997-12-01	VYDAJ	VYBER	11600	28633	\N	\N	\N
444133	1510	1997-12-31	VYDAJ	VYBER	17500	31261	\N	\N	\N
444134	1510	1998-01-30	VYDAJ	VYBER	9400	25687	\N	\N	\N
444135	1510	1998-03-01	VYDAJ	VYBER	3400	31789	\N	\N	\N
444136	1510	1998-03-31	VYDAJ	VYBER	6300	36366	\N	\N	\N
444137	1510	1998-04-30	VYDAJ	VYBER	12400	34846	\N	\N	\N
444138	1510	1998-05-30	VYDAJ	VYBER	6900	38651	\N	\N	\N
444139	1510	1998-06-29	VYDAJ	VYBER	7100	29578	\N	\N	\N
444140	1510	1998-07-29	VYDAJ	VYBER	7500	32923	\N	\N	\N
444141	1510	1998-08-28	VYDAJ	VYBER	9100	34674	\N	\N	\N
444142	1510	1998-09-27	VYDAJ	VYBER	15400	30136	\N	\N	\N
444143	1510	1998-10-27	VYDAJ	VYBER	10100	28742	\N	\N	\N
444144	1510	1998-11-26	VYDAJ	VYBER	12100	22562	\N	\N	\N
444179	1511	1994-03-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
444180	1511	1994-09-07	PRIJEM	VKLAD	32747	53647	\N	\N	\N
444181	1511	1994-09-30	PRIJEM	VKLAD	40419	77585	\N	\N	\N
444183	1511	1995-12-29	PRIJEM	VKLAD	9117	40353	\N	\N	\N
444184	1511	1995-09-25	PRIJEM	VKLAD	14362	59468	\N	\N	\N
444185	1511	1995-11-02	PRIJEM	VKLAD	43431	111240	\N	\N	\N
444186	1511	1995-05-29	PRIJEM	VKLAD	29308	126998	\N	\N	\N
444187	1511	1995-09-27	PRIJEM	VKLAD	7987	67455	\N	\N	\N
444188	1511	1995-01-05	PRIJEM	VKLAD	25682	54635	\N	\N	\N
444189	1511	1995-06-15	PRIJEM	VKLAD	23713	27734	\N	\N	\N
444190	1511	1995-12-04	PRIJEM	VKLAD	17472	44136	\N	\N	\N
444191	1511	1995-01-10	PRIJEM	VKLAD	42129	79164	\N	\N	\N
444192	1511	1995-03-05	PRIJEM	VKLAD	23983	102109	\N	\N	\N
444193	1511	1995-04-22	PRIJEM	VKLAD	17612	79235	\N	\N	\N
444194	1511	1995-01-26	PRIJEM	VKLAD	45231	124395	\N	\N	\N
444195	1511	1995-09-22	PRIJEM	VKLAD	45911	45106	\N	\N	\N
444196	1511	1995-02-06	PRIJEM	VKLAD	48576	98187	\N	\N	\N
444197	1511	1995-04-21	PRIJEM	VKLAD	18912	61623	\N	\N	\N
444198	1511	1995-01-27	PRIJEM	VKLAD	11621	107616	\N	\N	\N
444199	1511	1995-12-01	PRIJEM	VKLAD	10655	40164	\N	\N	\N
444200	1511	1995-06-30	PRIJEM	VKLAD	21347	51200	\N	\N	\N
444201	1511	1995-10-25	PRIJEM	VKLAD	44597	67763	\N	\N	\N
444202	1511	1995-03-28	PRIJEM	VKLAD	24506	84907	\N	\N	\N
444203	1511	1995-05-21	PRIJEM	VKLAD	7132	58429	\N	\N	\N
444204	1511	1995-05-26	PRIJEM	VKLAD	39261	97690	\N	\N	\N
444205	1511	1995-03-02	PRIJEM	VKLAD	22354	106126	\N	\N	\N
444206	1511	1995-06-16	PRIJEM	VKLAD	18078	45812	\N	\N	\N
444207	1511	1995-02-11	PRIJEM	VKLAD	28072	89759	\N	\N	\N
444208	1511	1996-09-25	PRIJEM	VKLAD	35167	91386	\N	\N	\N
444209	1511	1996-11-23	PRIJEM	VKLAD	10572	110316	\N	\N	\N
444210	1511	1996-02-15	PRIJEM	VKLAD	36372	124765	\N	\N	\N
444211	1511	1996-08-21	PRIJEM	VKLAD	40511	75310	\N	\N	\N
444212	1511	1996-11-07	PRIJEM	VKLAD	27672	87235	\N	\N	\N
444213	1511	1996-07-27	PRIJEM	VKLAD	23847	52900	\N	\N	\N
444214	1511	1996-10-02	PRIJEM	VKLAD	27396	87017	\N	\N	\N
444215	1511	1996-05-19	PRIJEM	VKLAD	18656	47596	\N	\N	\N
444216	1511	1996-03-05	PRIJEM	VKLAD	46356	101109	\N	\N	\N
444217	1511	1996-04-09	PRIJEM	VKLAD	15383	39267	\N	\N	\N
444218	1511	1996-01-15	PRIJEM	VKLAD	26679	78349	\N	\N	\N
444219	1511	1996-08-26	PRIJEM	VKLAD	16295	91605	\N	\N	\N
444220	1511	1996-03-01	PRIJEM	VKLAD	16885	123053	\N	\N	\N
444221	1511	1996-02-06	PRIJEM	VKLAD	36180	68176	\N	\N	\N
444222	1511	1996-11-15	PRIJEM	VKLAD	43209	130444	\N	\N	\N
444223	1511	1996-07-23	PRIJEM	VKLAD	24308	29053	\N	\N	\N
444224	1511	1996-10-15	PRIJEM	VKLAD	37190	124207	\N	\N	\N
444225	1511	1996-10-18	PRIJEM	VKLAD	22626	123733	\N	\N	\N
444226	1511	1996-12-05	PRIJEM	VKLAD	44488	94352	\N	\N	\N
444227	1511	1996-02-07	PRIJEM	VKLAD	20217	88393	\N	\N	\N
444228	1511	1996-01-13	PRIJEM	VKLAD	39970	51670	\N	\N	\N
444229	1511	1997-06-03	PRIJEM	VKLAD	16019	105079	\N	\N	\N
444230	1511	1997-09-06	PRIJEM	VKLAD	11214	62611	\N	\N	\N
444231	1511	1997-10-12	PRIJEM	VKLAD	35174	102791	\N	\N	\N
444232	1511	1997-02-10	PRIJEM	VKLAD	23143	57954	\N	\N	\N
444233	1511	1997-06-02	PRIJEM	VKLAD	48333	89060	\N	\N	\N
444234	1511	1997-11-12	PRIJEM	VKLAD	13806	69174	\N	\N	\N
444235	1511	1997-05-23	PRIJEM	VKLAD	29363	131127	\N	\N	\N
444236	1511	1997-01-26	PRIJEM	VKLAD	23625	41268	\N	\N	\N
444237	1511	1997-05-19	PRIJEM	VKLAD	32682	101764	\N	\N	\N
444238	1511	1997-07-03	PRIJEM	VKLAD	7988	77537	\N	\N	\N
444239	1511	1997-02-03	PRIJEM	VKLAD	22400	34811	\N	\N	\N
444240	1511	1997-02-21	PRIJEM	VKLAD	9513	75858	\N	\N	\N
444241	1511	1997-11-22	PRIJEM	VKLAD	27710	96884	\N	\N	\N
444242	1511	1997-11-26	PRIJEM	VKLAD	26566	74050	\N	\N	\N
444243	1511	1997-09-13	PRIJEM	VKLAD	39530	102141	\N	\N	\N
444244	1511	1997-09-05	PRIJEM	VKLAD	28026	51397	\N	\N	\N
444245	1511	1997-02-16	PRIJEM	VKLAD	8391	66345	\N	\N	\N
444246	1511	1997-08-01	PRIJEM	VKLAD	24299	76770	\N	\N	\N
444247	1511	1997-11-12	PRIJEM	VKLAD	33579	55368	\N	\N	\N
444248	1511	1997-06-27	PRIJEM	VKLAD	14586	69265	\N	\N	\N
444249	1511	1997-05-02	PRIJEM	VKLAD	23525	121482	\N	\N	\N
444250	1511	1997-10-06	PRIJEM	VKLAD	35397	84026	\N	\N	\N
444251	1511	1997-07-23	PRIJEM	VKLAD	42449	119986	\N	\N	\N
444252	1511	1997-04-29	PRIJEM	VKLAD	40317	59687	\N	\N	\N
444253	1511	1997-05-01	PRIJEM	VKLAD	38243	97957	\N	\N	\N
444254	1511	1997-11-12	PRIJEM	VKLAD	16025	21789	\N	\N	\N
444255	1511	1998-04-28	PRIJEM	VKLAD	31118	51387	\N	\N	\N
444256	1511	1998-12-02	PRIJEM	VKLAD	23168	30177	\N	\N	\N
444257	1511	1998-12-05	PRIJEM	VKLAD	6130	36307	\N	\N	\N
444258	1511	1998-01-14	PRIJEM	VKLAD	5810	14198	\N	\N	\N
444259	1511	1998-12-09	PRIJEM	VKLAD	7690	100309	\N	\N	\N
444260	1511	1998-12-19	PRIJEM	VKLAD	44922	99231	\N	\N	\N
444261	1511	1998-10-13	PRIJEM	VKLAD	45337	86504	\N	\N	\N
444262	1511	1998-09-06	PRIJEM	VKLAD	29480	74791	\N	\N	\N
444263	1511	1998-04-06	PRIJEM	VKLAD	47970	55305	\N	\N	\N
444264	1511	1998-07-10	PRIJEM	VKLAD	22701	37672	\N	\N	\N
444265	1511	1998-08-19	PRIJEM	VKLAD	27677	83120	\N	\N	\N
444266	1511	1998-12-06	PRIJEM	VKLAD	26500	62807	\N	\N	\N
444267	1511	1998-12-07	PRIJEM	VKLAD	29812	92619	\N	\N	\N
444268	1511	1998-05-18	PRIJEM	VKLAD	27191	78549	\N	\N	\N
444269	1511	1998-07-26	PRIJEM	VKLAD	49324	64796	\N	\N	\N
444270	1511	1998-07-31	PRIJEM	VKLAD	7440	72236	\N	\N	\N
444271	1511	1998-02-11	PRIJEM	VKLAD	48335	54883	\N	\N	\N
444345	1511	1995-03-14	VYBER	VYBER	2408	60401	\N	\N	\N
444346	1511	1995-08-13	VYBER	VYBER	8370	14107	\N	\N	\N
444347	1511	1995-09-28	VYBER	VYBER	15070	41906	\N	\N	\N
444348	1511	1995-10-02	VYBER	VYBER	9230	32666	\N	\N	\N
444349	1511	1995-04-07	VYBER	VYBER	16890	68211	\N	\N	\N
444350	1511	1995-11-30	VYBER	VYBER	18339	29609	\N	\N	\N
444351	1511	1995-09-27	VYBER	VYBER	10479	56976	\N	\N	\N
444352	1511	1995-06-20	VYBER	VYBER	16085	29727	\N	\N	\N
444353	1511	1995-02-17	VYBER	VYBER	6199	83560	\N	\N	\N
444354	1511	1995-09-08	VYBER	VYBER	6597	11495	\N	\N	\N
444355	1511	1996-04-05	VYBER	VYBER	14075	23884	\N	\N	\N
444356	1511	1996-07-17	VYBER	VYBER	2372	4745	\N	\N	\N
444357	1511	1996-01-11	VYBER	VYBER	14295	11700	\N	\N	\N
444358	1511	1996-07-03	VYBER	VYBER	15371	7117	\N	\N	\N
444359	1511	1996-03-30	VYBER	VYBER	23445	77664	\N	\N	\N
444361	1511	1996-06-30	VYBER	VYBER	14482	22588	\N	\N	\N
444362	1511	1996-02-01	VYBER	VYBER	6566	58396	\N	\N	\N
444363	1511	1996-10-19	VYBER	VYBER	10791	94542	\N	\N	\N
444364	1511	1996-05-18	VYBER	VYBER	3586	28940	\N	\N	\N
444365	1511	1996-06-02	VYBER	VYBER	3163	36508	\N	\N	\N
444366	1511	1996-11-28	VYBER	VYBER	15669	49647	\N	\N	\N
444367	1511	1997-10-22	VYBER	VYBER	23729	66462	\N	\N	\N
444368	1511	1997-04-13	VYBER	VYBER	5362	24370	\N	\N	\N
444369	1511	1997-10-10	VYBER	VYBER	16409	67617	\N	\N	\N
444370	1511	1997-12-21	VYBER	VYBER	12447	58349	\N	\N	\N
444371	1511	1997-11-08	VYBER	VYBER	23851	9964	\N	\N	\N
444372	1511	1998-06-18	VYBER	VYBER	8580	22061	\N	\N	\N
444373	1511	1998-10-29	VYBER	VYBER	6787	40117	\N	\N	\N
444374	1511	1998-11-09	VYBER	VYBER	9883	30309	\N	\N	\N
444375	1511	1998-04-18	VYBER	VYBER	15336	39969	\N	\N	\N
444377	1511	1995-06-07	VYDAJ	VYBER	32700	4021	\N	\N	\N
444384	1511	1997-01-28	VYDAJ	VYBER	15300	12368	\N	\N	\N
444385	1511	1998-01-08	VYDAJ	VYBER	8700	8388	\N	\N	\N
444387	1511	1995-12-03	VYDAJ	VYBER	1800	26664	\N	\N	\N
444388	1511	1996-12-12	VYDAJ	VYBER	5100	89252	\N	\N	\N
444389	1511	1997-12-05	VYDAJ	VYBER KARTOU	3300	70796	\N	\N	0
444390	1511	1998-12-21	VYDAJ	VYBER	4500	94731	\N	\N	\N
444397	1511	1995-01-26	VYDAJ	VYBER	1800	95995	\N	\N	\N
444401	1511	1995-01-28	VYDAJ	VYBER	7200	49416	\N	\N	\N
444403	1511	1996-01-16	VYDAJ	VYBER	5700	72649	\N	\N	\N
444404	1511	1996-01-01	VYDAJ	VYBER	2100	38295	\N	\N	\N
444405	1511	1996-01-29	VYDAJ	VYBER	3600	64849	\N	\N	\N
444406	1511	1996-01-02	VYDAJ	VYBER	2400	29295	\N	\N	\N
444407	1511	1996-01-06	VYDAJ	VYBER	3300	25995	\N	\N	\N
444408	1511	1996-01-17	VYDAJ	VYBER	4200	68449	\N	\N	\N
444409	1511	1997-01-07	VYDAJ	VYBER KARTOU	1500	40743	\N	\N	0
444410	1511	1997-01-09	VYDAJ	VYBER	4800	35943	\N	\N	\N
444411	1511	1997-01-21	VYDAJ	VYBER	4200	17643	\N	\N	\N
444412	1511	1997-01-21	VYDAJ	VYBER	8100	21843	\N	\N	\N
444413	1511	1997-01-18	VYDAJ	VYBER KARTOU	2700	29943	\N	\N	0
444414	1511	1997-01-17	VYDAJ	VYBER KARTOU	3300	32643	\N	\N	0
444417	1511	1998-01-06	VYDAJ	VYBER KARTOU	3300	22488	\N	\N	0
444419	1511	1998-01-07	VYDAJ	VYBER	5400	17088	\N	\N	\N
444427	1511	1995-12-09	VYDAJ	VYBER	12900	31236	\N	\N	\N
444428	1511	1995-09-19	VYDAJ	VYBER	10800	-805	\N	\N	\N
444429	1511	1995-05-30	VYDAJ	VYBER	10800	52798	\N	\N	\N
444430	1511	1995-07-19	VYDAJ	VYBER	6300	30100	\N	\N	\N
444431	1511	1995-09-15	VYDAJ	VYBER	1500	9995	\N	\N	\N
444432	1511	1996-02-04	VYDAJ	VYBER	6900	31996	\N	\N	\N
444433	1511	1996-08-05	VYDAJ	VYBER	4200	34799	\N	\N	\N
444434	1511	1996-04-02	VYDAJ	VYBER	12300	37959	\N	\N	\N
444436	1511	1997-11-10	VYDAJ	VYBER	4200	5764	\N	\N	\N
444437	1511	1997-09-30	VYDAJ	VYBER	6300	48629	\N	\N	\N
444438	1511	1997-09-04	VYDAJ	VYBER	14700	23371	\N	\N	\N
444439	1511	1997-10-17	VYDAJ	VYBER	12600	90191	\N	\N	\N
444440	1511	1997-01-06	VYDAJ	VYBER	14400	42243	\N	\N	\N
444441	1511	1998-06-11	VYDAJ	VYBER	4800	30641	\N	\N	\N
444442	1511	1998-11-18	VYDAJ	VYBER	13200	7009	\N	\N	\N
444443	1511	1998-07-14	VYDAJ	VYBER	13200	24472	\N	\N	\N
444444	1511	1998-08-03	VYDAJ	VYBER KARTOU	3000	69243	\N	\N	0
444445	1511	1998-06-02	VYDAJ	VYBER KARTOU	3900	35441	\N	\N	0
444446	1511	1998-08-10	VYDAJ	VYBER	13800	55443	\N	\N	\N
444460	1511	1995-01-31	VYDAJ	VYBER	100	49611	SLUZBY	\N	\N
444461	1511	1995-02-28	VYDAJ	VYBER	100	83772	SLUZBY	\N	\N
444462	1511	1995-03-31	VYDAJ	VYBER	100	85101	SLUZBY	\N	\N
444463	1511	1995-04-30	VYDAJ	VYBER	100	79397	SLUZBY	\N	\N
444464	1511	1995-05-31	VYDAJ	VYBER	100	53021	SLUZBY	\N	\N
444465	1511	1995-06-30	VYDAJ	VYBER	100	51100	SLUZBY	\N	\N
444466	1511	1995-07-31	VYDAJ	VYBER	100	30177	SLUZBY	\N	\N
444467	1511	1995-08-31	VYDAJ	VYBER	100	14092	SLUZBY	\N	\N
444468	1511	1995-09-30	VYDAJ	VYBER	100	41896	SLUZBY	\N	\N
444469	1511	1995-10-31	VYDAJ	VYBER	100	67809	SLUZBY	\N	\N
444470	1511	1995-11-30	VYDAJ	VYBER	100	29509	SLUZBY	\N	\N
444471	1511	1995-12-31	VYDAJ	VYBER	100	40395	SLUZBY	\N	\N
444472	1511	1996-01-31	VYDAJ	VYBER	100	64962	SLUZBY	\N	\N
444473	1511	1996-02-29	VYDAJ	VYBER	100	106168	SLUZBY	\N	\N
444474	1511	1996-03-31	VYDAJ	VYBER	100	77959	SLUZBY	\N	\N
444475	1511	1996-04-30	VYDAJ	VYBER	100	39326	SLUZBY	\N	\N
444476	1511	1996-05-31	VYDAJ	VYBER	100	39671	SLUZBY	\N	\N
444477	1511	1996-06-30	VYDAJ	VYBER	100	22488	SLUZBY	\N	\N
444478	1511	1996-07-31	VYDAJ	VYBER	100	38999	SLUZBY	\N	\N
444479	1511	1996-08-31	VYDAJ	VYBER	100	56219	SLUZBY	\N	\N
444480	1511	1996-09-30	VYDAJ	VYBER	100	59621	SLUZBY	\N	\N
444481	1511	1996-10-31	VYDAJ	VYBER	100	59563	SLUZBY	\N	\N
444482	1511	1996-11-30	VYDAJ	VYBER	100	49864	SLUZBY	\N	\N
444483	1511	1996-12-31	VYDAJ	VYBER	100	56643	SLUZBY	\N	\N
444484	1511	1997-01-31	VYDAJ	VYBER	100	12411	SLUZBY	\N	\N
444485	1511	1997-02-28	VYDAJ	VYBER	100	45546	SLUZBY	\N	\N
444486	1511	1997-03-31	VYDAJ	VYBER	100	29732	SLUZBY	\N	\N
444487	1511	1997-04-30	VYDAJ	VYBER	100	59714	SLUZBY	\N	\N
444488	1511	1997-05-31	VYDAJ	VYBER	100	40727	SLUZBY	\N	\N
444489	1511	1997-06-30	VYDAJ	VYBER	100	69549	SLUZBY	\N	\N
444490	1511	1997-07-31	VYDAJ	VYBER	100	52471	SLUZBY	\N	\N
444491	1511	1997-08-31	VYDAJ	VYBER	100	38071	SLUZBY	\N	\N
444492	1511	1997-09-30	VYDAJ	VYBER	100	54929	SLUZBY	\N	\N
444493	1511	1997-10-31	VYDAJ	VYBER	100	33815	SLUZBY	\N	\N
444494	1511	1997-11-30	VYDAJ	VYBER	100	74096	SLUZBY	\N	\N
444495	1511	1997-12-31	VYDAJ	VYBER	100	25788	SLUZBY	\N	\N
444496	1511	1998-01-31	VYDAJ	VYBER	100	6548	SLUZBY	\N	\N
444497	1511	1998-02-28	VYDAJ	VYBER	100	25833	SLUZBY	\N	\N
444498	1511	1998-03-31	VYDAJ	VYBER	100	7335	SLUZBY	\N	\N
444499	1511	1998-04-30	VYDAJ	VYBER	100	51358	SLUZBY	\N	\N
444500	1511	1998-05-31	VYDAJ	VYBER	100	39341	SLUZBY	\N	\N
444501	1511	1998-06-30	VYDAJ	VYBER	100	14971	SLUZBY	\N	\N
444502	1511	1998-07-31	VYDAJ	VYBER	100	72243	SLUZBY	\N	\N
444503	1511	1998-08-31	VYDAJ	VYBER	100	45311	SLUZBY	\N	\N
444504	1511	1998-09-30	VYDAJ	VYBER	100	41167	SLUZBY	\N	\N
444505	1511	1998-10-31	VYDAJ	VYBER	100	40192	SLUZBY	\N	\N
444506	1511	1998-11-30	VYDAJ	VYBER	100	7009	SLUZBY	\N	\N
444507	1511	1994-04-12	PRIJEM	VKLAD	9400	10400	\N	\N	\N
444508	1511	1994-05-12	PRIJEM	VKLAD	8400	18800	\N	\N	\N
444509	1511	1994-06-11	PRIJEM	VKLAD	1500	20300	\N	\N	\N
444510	1511	1994-07-11	PRIJEM	VKLAD	200	20500	\N	\N	\N
444511	1511	1994-08-10	PRIJEM	VKLAD	400	20900	\N	\N	\N
444512	1511	1994-09-09	VYDAJ	VYBER	16600	37047	\N	\N	\N
444513	1511	1994-10-09	VYDAJ	VYBER	25100	52485	\N	\N	\N
444514	1511	1994-11-08	VYDAJ	VYBER	13700	39108	\N	\N	\N
444515	1511	1994-12-08	VYDAJ	VYBER	10800	28630	\N	\N	\N
444516	1511	1995-01-07	VYDAJ	VYBER	17600	37035	\N	\N	\N
444517	1511	1995-01-26	VYDAJ	VYBER	26600	97795	\N	\N	\N
444518	1511	1995-01-27	VYDAJ	VYBER	51000	56616	\N	\N	\N
444519	1511	1995-02-06	VYDAJ	VYBER	36500	61687	\N	\N	\N
444520	1511	1995-03-02	VYDAJ	VYBER	28000	78126	\N	\N	\N
444521	1511	1995-03-08	VYDAJ	VYBER	39300	62809	\N	\N	\N
444522	1511	1995-04-07	VYDAJ	VYBER	25500	42711	\N	\N	\N
444523	1511	1995-05-07	VYDAJ	VYBER	28100	51297	\N	\N	\N
444524	1511	1995-05-29	VYDAJ	VYBER	63400	63598	\N	\N	\N
444525	1511	1995-06-06	VYDAJ	VYBER	16300	36721	\N	\N	\N
444526	1511	1995-07-06	VYDAJ	VYBER	14700	36400	\N	\N	\N
444527	1511	1995-08-05	VYDAJ	VYBER	7700	22477	\N	\N	\N
444528	1511	1995-09-04	PRIJEM	VKLAD	4000	18092	\N	\N	\N
444529	1511	1995-10-04	VYDAJ	VYBER	9500	23166	\N	\N	\N
444530	1511	1995-11-02	VYDAJ	VYBER	34400	76840	\N	\N	\N
444531	1511	1995-11-03	VYDAJ	VYBER	29100	47740	\N	\N	\N
444532	1511	1995-12-03	VYDAJ	VYBER	11700	28464	\N	\N	\N
444533	1511	1996-01-02	VYDAJ	VYBER	6600	31695	\N	\N	\N
444534	1511	1996-02-01	VYDAJ	VYBER	19500	38896	\N	\N	\N
444535	1511	1996-02-15	VYDAJ	VYBER	18900	105865	\N	\N	\N
444536	1511	1996-03-01	VYDAJ	VYBER	29700	93353	\N	\N	\N
444537	1511	1996-03-02	VYDAJ	VYBER	38600	54753	\N	\N	\N
444538	1511	1996-04-01	VYDAJ	VYBER	27700	50259	\N	\N	\N
444539	1511	1996-05-01	VYDAJ	VYBER	6800	32526	\N	\N	\N
444540	1511	1996-05-31	VYDAJ	VYBER	8000	39771	\N	\N	\N
444541	1511	1996-06-30	PRIJEM	VKLAD	400	36908	\N	\N	\N
444542	1511	1996-07-30	VYDAJ	VYBER	13900	39000	\N	\N	\N
444543	1511	1996-08-29	VYDAJ	VYBER	35500	56105	\N	\N	\N
444544	1511	1996-09-28	VYDAJ	VYBER	31900	59486	\N	\N	\N
444545	1511	1996-10-15	VYDAJ	VYBER	23100	101107	\N	\N	\N
444546	1511	1996-10-18	VYDAJ	VYBER	18400	105333	\N	\N	\N
444547	1511	1996-10-28	VYDAJ	VYBER	35200	59342	\N	\N	\N
444548	1511	1996-11-15	VYDAJ	VYBER	30700	99744	\N	\N	\N
444549	1511	1996-11-27	VYDAJ	VYBER	45000	65316	\N	\N	\N
444550	1511	1996-12-27	VYDAJ	VYBER	32800	56452	\N	\N	\N
444551	1511	1997-01-26	VYDAJ	VYBER	13600	27668	\N	\N	\N
444552	1511	1997-02-25	VYDAJ	VYBER	30400	45458	\N	\N	\N
444553	1511	1997-03-27	VYDAJ	VYBER	15900	29646	\N	\N	\N
444554	1511	1997-04-26	VYDAJ	VYBER	5000	19370	\N	\N	\N
444555	1511	1997-05-02	VYDAJ	VYBER	52400	69082	\N	\N	\N
444556	1511	1997-05-23	VYDAJ	VYBER	58200	72927	\N	\N	\N
444557	1511	1997-05-26	VYDAJ	VYBER	32500	40427	\N	\N	\N
444558	1511	1997-06-25	VYDAJ	VYBER	50400	54679	\N	\N	\N
444559	1511	1997-07-23	VYDAJ	VYBER	25200	94786	\N	\N	\N
444560	1511	1997-07-25	VYDAJ	VYBER	42500	52286	\N	\N	\N
444561	1511	1997-08-24	VYDAJ	VYBER	38800	37970	\N	\N	\N
444562	1511	1997-09-23	VYDAJ	VYBER	47400	54741	\N	\N	\N
444563	1511	1997-10-23	VYDAJ	VYBER	32800	33662	\N	\N	\N
444564	1511	1997-11-22	VYDAJ	VYBER	49400	47484	\N	\N	\N
444565	1511	1997-12-22	VYDAJ	VYBER	32700	25649	\N	\N	\N
444566	1511	1998-01-21	VYDAJ	VYBER	7600	6598	\N	\N	\N
444567	1511	1998-02-20	VYDAJ	VYBER	29000	25883	\N	\N	\N
444568	1511	1998-03-22	VYDAJ	VYBER	18500	7333	\N	\N	\N
444569	1511	1998-04-21	VYDAJ	VYBER	19700	20269	\N	\N	\N
444570	1511	1998-05-21	VYDAJ	VYBER	39300	39249	\N	\N	\N
444571	1511	1998-06-20	VYDAJ	VYBER	7100	14961	\N	\N	\N
444572	1511	1998-07-20	VYDAJ	VYBER	9000	15472	\N	\N	\N
444573	1511	1998-08-19	VYDAJ	VYBER	38000	45120	\N	\N	\N
444574	1511	1998-09-18	VYDAJ	VYBER	33700	41091	\N	\N	\N
444575	1511	1998-10-18	VYDAJ	VYBER	39600	46904	\N	\N	\N
444576	1511	1998-11-17	VYDAJ	VYBER	10100	20209	\N	\N	\N
444577	1511	1998-12-17	VYDAJ	VYBER	46000	54309	\N	\N	\N
444639	1512	1994-01-08	PRIJEM	VKLAD	900	900	\N	\N	\N
444641	1512	1994-02-07	PRIJEM	VKLAD	14158	15058	\N	\N	\N
444642	1512	1994-03-07	PRIJEM	VKLAD	14158	32777	\N	\N	\N
444643	1512	1994-04-07	PRIJEM	VKLAD	14158	44147	\N	\N	\N
444644	1512	1994-05-07	PRIJEM	VKLAD	14158	50450	\N	\N	\N
444645	1512	1994-06-07	PRIJEM	VKLAD	21237	57537	\N	\N	\N
444646	1512	1994-07-07	PRIJEM	VKLAD	14158	45194	\N	\N	\N
444647	1512	1994-08-07	PRIJEM	VKLAD	14158	39327	\N	\N	\N
444648	1512	1994-09-07	PRIJEM	VKLAD	14158	39390	\N	\N	\N
444649	1512	1994-10-07	PRIJEM	VKLAD	14158	41039	\N	\N	\N
444650	1512	1994-11-07	PRIJEM	VKLAD	14158	43396	\N	\N	\N
444651	1512	1994-12-07	PRIJEM	VKLAD	21237	50541	\N	\N	\N
444652	1512	1995-01-07	PRIJEM	VKLAD	14158	44873	\N	\N	\N
444653	1512	1995-02-07	PRIJEM	VKLAD	14158	35641	\N	\N	\N
444654	1512	1995-03-07	PRIJEM	VKLAD	14158	40966	\N	\N	\N
444655	1512	1995-04-07	PRIJEM	VKLAD	14158	42120	\N	\N	\N
444656	1512	1995-05-07	PRIJEM	VKLAD	14158	44881	\N	\N	\N
444657	1512	1995-06-07	PRIJEM	VKLAD	21237	53932	\N	\N	\N
444658	1512	1995-07-07	PRIJEM	VKLAD	14158	43963	\N	\N	\N
444659	1512	1995-08-07	PRIJEM	VKLAD	14158	45737	\N	\N	\N
444660	1512	1995-09-07	PRIJEM	VKLAD	14158	44308	\N	\N	\N
444661	1512	1995-10-07	PRIJEM	VKLAD	14158	39880	\N	\N	\N
444662	1512	1995-11-07	PRIJEM	VKLAD	14158	39562	\N	\N	\N
444663	1512	1995-12-07	PRIJEM	VKLAD	21237	48783	\N	\N	\N
444664	1512	1996-01-07	PRIJEM	VKLAD	14158	38633	\N	\N	\N
444665	1512	1996-02-07	PRIJEM	VKLAD	14158	31840	\N	\N	\N
444666	1512	1996-03-07	PRIJEM	VKLAD	14158	38651	\N	\N	\N
444667	1512	1996-04-07	PRIJEM	VKLAD	14158	35038	\N	\N	\N
444668	1512	1996-05-07	PRIJEM	VKLAD	14158	39561	\N	\N	\N
444669	1512	1996-06-07	PRIJEM	VKLAD	21237	45579	\N	\N	\N
444670	1512	1996-07-07	PRIJEM	VKLAD	14158	45235	\N	\N	\N
444671	1512	1996-08-07	PRIJEM	VKLAD	14158	41494	\N	\N	\N
444672	1512	1996-09-07	PRIJEM	VKLAD	14158	40301	\N	\N	\N
444673	1512	1996-10-07	PRIJEM	VKLAD	14158	43752	\N	\N	\N
444674	1512	1996-11-07	PRIJEM	VKLAD	14158	44224	\N	\N	\N
444675	1512	1996-12-07	PRIJEM	VKLAD	21237	53762	\N	\N	\N
444676	1512	1997-01-07	PRIJEM	VKLAD	14158	44424	\N	\N	\N
444677	1512	1997-02-07	PRIJEM	VKLAD	14158	36791	\N	\N	\N
444678	1512	1997-03-07	PRIJEM	VKLAD	14158	40519	\N	\N	\N
444679	1512	1997-04-07	PRIJEM	VKLAD	14158	37067	\N	\N	\N
444680	1512	1997-05-07	PRIJEM	VKLAD	14158	47012	\N	\N	\N
444681	1512	1997-06-07	PRIJEM	VKLAD	21237	61066	\N	\N	\N
444682	1512	1997-07-07	PRIJEM	VKLAD	14158	59316	\N	\N	\N
444683	1512	1997-08-07	PRIJEM	VKLAD	14158	61135	\N	\N	\N
444684	1512	1997-09-07	PRIJEM	VKLAD	14158	63261	\N	\N	\N
444685	1512	1997-10-07	PRIJEM	VKLAD	14158	61613	\N	\N	\N
444686	1512	1997-11-07	PRIJEM	VKLAD	14158	61643	\N	\N	\N
444687	1512	1997-12-07	PRIJEM	VKLAD	21237	68745	\N	\N	\N
444688	1512	1998-01-07	PRIJEM	VKLAD	14158	61802	\N	\N	\N
444689	1512	1998-02-07	PRIJEM	VKLAD	14158	52747	\N	\N	\N
444690	1512	1998-03-07	PRIJEM	VKLAD	14158	55940	\N	\N	\N
444691	1512	1998-04-07	PRIJEM	VKLAD	14158	62251	\N	\N	\N
444692	1512	1998-05-07	PRIJEM	VKLAD	14158	62255	\N	\N	\N
444693	1512	1998-06-07	PRIJEM	VKLAD	21237	68252	\N	\N	\N
444694	1512	1998-07-07	PRIJEM	VKLAD	14158	67591	\N	\N	\N
444695	1512	1998-08-07	PRIJEM	VKLAD	14158	65533	\N	\N	\N
444696	1512	1998-09-07	PRIJEM	VKLAD	14158	62992	\N	\N	\N
444697	1512	1998-10-07	PRIJEM	VKLAD	14158	66732	\N	\N	\N
444698	1512	1998-11-07	PRIJEM	VKLAD	14158	63665	\N	\N	\N
444699	1512	1998-12-07	PRIJEM	VKLAD	21237	68866	\N	\N	\N
444705	1512	1994-06-09	VYDAJ	PREVOD NA UCET	8822	30915	SIPO	YZ	42362171
444706	1512	1994-07-09	VYDAJ	PREVOD NA UCET	8822	24972	SIPO	YZ	42362171
444707	1512	1994-08-09	VYDAJ	PREVOD NA UCET	8822	30505	SIPO	YZ	42362171
444708	1512	1994-09-09	VYDAJ	PREVOD NA UCET	8822	30568	SIPO	YZ	42362171
444709	1512	1994-10-09	VYDAJ	PREVOD NA UCET	8822	32217	SIPO	YZ	42362171
444710	1512	1994-11-09	VYDAJ	PREVOD NA UCET	8822	34574	SIPO	YZ	42362171
444711	1512	1994-12-09	VYDAJ	PREVOD NA UCET	8822	41719	SIPO	YZ	42362171
444712	1512	1995-01-09	VYDAJ	PREVOD NA UCET	8822	36051	SIPO	YZ	42362171
444713	1512	1995-02-09	VYDAJ	PREVOD NA UCET	8822	26819	SIPO	YZ	42362171
444714	1512	1995-03-09	VYDAJ	PREVOD NA UCET	8822	32144	SIPO	YZ	42362171
444715	1512	1995-04-09	VYDAJ	PREVOD NA UCET	8822	33298	SIPO	YZ	42362171
444716	1512	1995-05-09	VYDAJ	PREVOD NA UCET	8822	36059	SIPO	YZ	42362171
444717	1512	1995-06-09	VYDAJ	PREVOD NA UCET	8822	45110	SIPO	YZ	42362171
444718	1512	1995-07-09	VYDAJ	PREVOD NA UCET	8822	35141	SIPO	YZ	42362171
444719	1512	1995-08-09	VYDAJ	PREVOD NA UCET	8822	36915	SIPO	YZ	42362171
444720	1512	1995-09-09	VYDAJ	PREVOD NA UCET	8822	35486	SIPO	YZ	42362171
444721	1512	1995-10-09	VYDAJ	PREVOD NA UCET	8822	31058	SIPO	YZ	42362171
444722	1512	1995-11-09	VYDAJ	PREVOD NA UCET	8822	30740	SIPO	YZ	42362171
444723	1512	1995-12-09	VYDAJ	PREVOD NA UCET	8822	39961	SIPO	YZ	42362171
444724	1512	1996-01-09	VYDAJ	PREVOD NA UCET	8822	29811	SIPO	YZ	42362171
444725	1512	1996-02-09	VYDAJ	PREVOD NA UCET	8822	23018	SIPO	YZ	42362171
444726	1512	1996-03-09	VYDAJ	PREVOD NA UCET	8822	25749	SIPO	YZ	42362171
444727	1512	1996-04-09	VYDAJ	PREVOD NA UCET	8822	26216	SIPO	YZ	42362171
444728	1512	1996-05-09	VYDAJ	PREVOD NA UCET	8822	30739	SIPO	YZ	42362171
444729	1512	1996-06-09	VYDAJ	PREVOD NA UCET	8822	36757	SIPO	YZ	42362171
444730	1512	1996-07-09	VYDAJ	PREVOD NA UCET	8822	36413	SIPO	YZ	42362171
444731	1512	1996-08-09	VYDAJ	PREVOD NA UCET	8822	32672	SIPO	YZ	42362171
444732	1512	1996-09-09	VYDAJ	PREVOD NA UCET	8822	31479	SIPO	YZ	42362171
444733	1512	1996-10-09	VYDAJ	PREVOD NA UCET	8822	34930	SIPO	YZ	42362171
444734	1512	1996-11-09	VYDAJ	PREVOD NA UCET	8822	35402	SIPO	YZ	42362171
444735	1512	1996-12-09	VYDAJ	PREVOD NA UCET	8822	44940	SIPO	YZ	42362171
444736	1512	1997-01-09	VYDAJ	PREVOD NA UCET	8822	34282	SIPO	YZ	42362171
444737	1512	1997-02-09	VYDAJ	PREVOD NA UCET	8822	27969	SIPO	YZ	42362171
444738	1512	1997-03-09	VYDAJ	PREVOD NA UCET	8822	26177	SIPO	YZ	42362171
444739	1512	1997-04-09	VYDAJ	PREVOD NA UCET	8822	28245	SIPO	YZ	42362171
444740	1512	1997-05-09	VYDAJ	PREVOD NA UCET	8822	38190	SIPO	YZ	42362171
444741	1512	1997-06-09	VYDAJ	PREVOD NA UCET	8822	52244	SIPO	YZ	42362171
444742	1512	1997-07-09	VYDAJ	PREVOD NA UCET	8822	50494	SIPO	YZ	42362171
444743	1512	1997-08-09	VYDAJ	PREVOD NA UCET	8822	52313	SIPO	YZ	42362171
444744	1512	1997-09-09	VYDAJ	PREVOD NA UCET	8822	54439	SIPO	YZ	42362171
444745	1512	1997-10-09	VYDAJ	PREVOD NA UCET	8822	52791	SIPO	YZ	42362171
444746	1512	1997-11-09	VYDAJ	PREVOD NA UCET	8822	52821	SIPO	YZ	42362171
444747	1512	1997-12-09	VYDAJ	PREVOD NA UCET	8822	59923	SIPO	YZ	42362171
444748	1512	1998-01-09	VYDAJ	PREVOD NA UCET	8822	49020	SIPO	YZ	42362171
444749	1512	1998-02-09	VYDAJ	PREVOD NA UCET	8822	43925	SIPO	YZ	42362171
444750	1512	1998-03-09	VYDAJ	PREVOD NA UCET	8822	47118	SIPO	YZ	42362171
444751	1512	1998-04-09	VYDAJ	PREVOD NA UCET	8822	53429	SIPO	YZ	42362171
444752	1512	1998-05-09	VYDAJ	PREVOD NA UCET	8822	53433	SIPO	YZ	42362171
444753	1512	1998-06-09	VYDAJ	PREVOD NA UCET	8822	59430	SIPO	YZ	42362171
444754	1512	1998-07-09	VYDAJ	PREVOD NA UCET	8822	58769	SIPO	YZ	42362171
444755	1512	1998-08-09	VYDAJ	PREVOD NA UCET	8822	56711	SIPO	YZ	42362171
444756	1512	1998-09-09	VYDAJ	PREVOD NA UCET	8822	54170	SIPO	YZ	42362171
444757	1512	1998-10-09	VYDAJ	PREVOD NA UCET	8822	57910	SIPO	YZ	42362171
444758	1512	1998-11-09	VYDAJ	PREVOD NA UCET	8822	54843	SIPO	YZ	42362171
444759	1512	1998-12-09	VYDAJ	PREVOD NA UCET	8822	60044	SIPO	YZ	42362171
444766	1512	1995-01-27	VYDAJ	VYBER	10240	18731	\N	\N	\N
444767	1512	1996-01-18	VYDAJ	VYBER	11520	16251	\N	\N	\N
444768	1512	1997-01-25	VYDAJ	VYBER	5280	23842	\N	\N	\N
444769	1512	1998-01-12	VYDAJ	VYBER	6400	42620	\N	\N	\N
444776	1512	1995-01-28	VYDAJ	VYBER	1560	17171	\N	\N	\N
444777	1512	1995-01-17	VYDAJ	VYBER	2640	28971	\N	\N	\N
444778	1512	1995-01-16	VYDAJ	VYBER	1800	31611	\N	\N	\N
444779	1512	1995-01-30	VYDAJ	VYBER	2400	14771	\N	\N	\N
444780	1512	1995-01-03	VYDAJ	VYBER	2760	39115	\N	\N	\N
444781	1512	1995-01-13	VYDAJ	VYBER	2640	33411	\N	\N	\N
444782	1512	1996-01-03	VYDAJ	VYBER	1920	26875	\N	\N	\N
444783	1512	1996-01-23	VYDAJ	VYBER	2160	14091	\N	\N	\N
444784	1512	1996-01-18	VYDAJ	VYBER	1320	27771	\N	\N	\N
444786	1512	1996-01-06	VYDAJ	VYBER	2400	24475	\N	\N	\N
444787	1512	1996-01-12	VYDAJ	VYBER	720	29091	\N	\N	\N
444788	1512	1997-01-02	VYDAJ	VYBER	2040	33146	\N	\N	\N
444789	1512	1997-01-23	VYDAJ	VYBER	720	31522	\N	\N	\N
444790	1512	1997-01-08	VYDAJ	VYBER	1320	43104	\N	\N	\N
444791	1512	1997-01-28	VYDAJ	VYBER	1320	22522	\N	\N	\N
444792	1512	1997-01-11	VYDAJ	VYBER	2640	31642	\N	\N	\N
444793	1512	1997-01-02	VYDAJ	VYBER	2880	30266	\N	\N	\N
444794	1512	1998-01-08	VYDAJ	VYBER	2280	57842	\N	\N	\N
444795	1512	1998-01-05	VYDAJ	VYBER	2880	47644	\N	\N	\N
444796	1512	1998-01-07	VYDAJ	VYBER	960	60842	\N	\N	\N
444797	1512	1998-01-24	VYDAJ	VYBER	1440	39380	\N	\N	\N
444798	1512	1998-01-07	VYDAJ	VYBER	720	60122	\N	\N	\N
444799	1512	1998-01-29	VYDAJ	VYBER	960	38420	\N	\N	\N
444804	1512	1994-08-15	VYDAJ	VYBER	1680	28825	\N	\N	\N
444805	1512	1995-06-17	VYDAJ	VYBER	1920	39950	\N	\N	\N
444807	1512	1995-08-18	VYDAJ	VYBER	2400	34515	\N	\N	\N
444808	1512	1995-10-29	VYDAJ	VYBER	2040	28298	\N	\N	\N
444809	1512	1995-06-10	VYDAJ	VYBER	3240	41870	\N	\N	\N
444810	1512	1995-10-22	VYDAJ	VYBER	720	30338	\N	\N	\N
444811	1512	1995-09-14	VYDAJ	VYBER	4080	31406	\N	\N	\N
444812	1512	1996-03-26	VYDAJ	VYBER	4560	21189	\N	\N	\N
444813	1512	1996-10-21	VYDAJ	VYBER	5280	29650	\N	\N	\N
444814	1512	1996-03-07	VYDAJ	VYBER	4080	34571	\N	\N	\N
444816	1512	1996-09-05	VYDAJ	VYBER	3240	26143	\N	\N	\N
444817	1512	1997-10-01	VYDAJ	VYBER	2280	47455	\N	\N	\N
444818	1512	1997-06-16	VYDAJ	VYBER	5160	47084	\N	\N	\N
444819	1512	1997-03-09	VYDAJ	VYBER	5520	34999	\N	\N	\N
444820	1512	1997-01-25	VYDAJ	VYBER	2400	29122	\N	\N	\N
444821	1512	1997-04-06	VYDAJ	VYBER	4680	22909	\N	\N	\N
444822	1512	1998-05-10	VYDAJ	VYBER	4200	49233	\N	\N	\N
444823	1512	1998-09-05	VYDAJ	VYBER	3240	48834	\N	\N	\N
444824	1512	1998-12-24	VYDAJ	VYBER	3960	47284	\N	\N	\N
444825	1512	1998-08-29	VYDAJ	VYBER	840	51871	\N	\N	\N
444826	1512	1998-04-16	VYDAJ	VYBER	3720	49709	\N	\N	\N
444827	1512	1998-02-21	VYDAJ	VYBER	2400	41625	\N	\N	\N
444834	1512	1994-06-30	VYDAJ	VYBER	15	31036	SLUZBY	\N	\N
444835	1512	1994-07-31	VYDAJ	VYBER	15	25069	SLUZBY	\N	\N
444836	1512	1994-08-31	VYDAJ	VYBER	15	28932	SLUZBY	\N	\N
444837	1512	1994-09-30	VYDAJ	VYBER	15	30681	SLUZBY	\N	\N
444838	1512	1994-10-31	VYDAJ	VYBER	15	32338	SLUZBY	\N	\N
444839	1512	1994-11-30	VYDAJ	VYBER	15	34704	SLUZBY	\N	\N
444840	1512	1994-12-31	VYDAJ	VYBER	15	41875	SLUZBY	\N	\N
444841	1512	1995-01-31	VYDAJ	VYBER	15	14883	SLUZBY	\N	\N
444842	1512	1995-02-28	VYDAJ	VYBER	15	26908	SLUZBY	\N	\N
444843	1512	1995-03-31	VYDAJ	VYBER	15	32262	SLUZBY	\N	\N
444844	1512	1995-04-30	VYDAJ	VYBER	15	33423	SLUZBY	\N	\N
444845	1512	1995-05-31	VYDAJ	VYBER	15	36195	SLUZBY	\N	\N
444846	1512	1995-06-30	VYDAJ	VYBER	15	40105	SLUZBY	\N	\N
444847	1512	1995-07-31	VYDAJ	VYBER	15	35279	SLUZBY	\N	\N
444848	1512	1995-08-31	VYDAJ	VYBER	15	30150	SLUZBY	\N	\N
444849	1512	1995-09-30	VYDAJ	VYBER	15	25722	SLUZBY	\N	\N
444850	1512	1995-10-31	VYDAJ	VYBER	15	25404	SLUZBY	\N	\N
444851	1512	1995-11-30	VYDAJ	VYBER	15	27546	SLUZBY	\N	\N
444852	1512	1995-12-31	VYDAJ	VYBER	15	28795	SLUZBY	\N	\N
444853	1512	1996-01-31	VYDAJ	VYBER	15	17682	SLUZBY	\N	\N
444854	1512	1996-02-29	VYDAJ	VYBER	15	24493	SLUZBY	\N	\N
444855	1512	1996-03-31	VYDAJ	VYBER	15	20880	SLUZBY	\N	\N
444856	1512	1996-04-30	VYDAJ	VYBER	15	25403	SLUZBY	\N	\N
444857	1512	1996-05-31	VYDAJ	VYBER	15	24342	SLUZBY	\N	\N
444858	1512	1996-06-30	VYDAJ	VYBER	15	31077	SLUZBY	\N	\N
444859	1512	1996-07-31	VYDAJ	VYBER	15	27336	SLUZBY	\N	\N
444860	1512	1996-08-31	VYDAJ	VYBER	15	29383	SLUZBY	\N	\N
444861	1512	1996-09-30	VYDAJ	VYBER	15	29594	SLUZBY	\N	\N
444862	1512	1996-10-31	VYDAJ	VYBER	15	30066	SLUZBY	\N	\N
444863	1512	1996-11-30	VYDAJ	VYBER	15	32525	SLUZBY	\N	\N
444864	1512	1996-12-31	VYDAJ	VYBER	15	35186	SLUZBY	\N	\N
444865	1512	1997-01-31	VYDAJ	VYBER	15	22633	SLUZBY	\N	\N
444866	1512	1997-02-28	VYDAJ	VYBER	15	26361	SLUZBY	\N	\N
444867	1512	1997-03-31	VYDAJ	VYBER	15	27589	SLUZBY	\N	\N
444868	1512	1997-04-30	VYDAJ	VYBER	15	32854	SLUZBY	\N	\N
444869	1512	1997-05-31	VYDAJ	VYBER	15	39829	SLUZBY	\N	\N
444870	1512	1997-06-30	VYDAJ	VYBER	15	45158	SLUZBY	\N	\N
444871	1512	1997-07-31	VYDAJ	VYBER	15	46977	SLUZBY	\N	\N
444872	1512	1997-08-31	VYDAJ	VYBER	15	49103	SLUZBY	\N	\N
444873	1512	1997-09-30	VYDAJ	VYBER	15	49735	SLUZBY	\N	\N
444874	1512	1997-10-31	VYDAJ	VYBER	15	47485	SLUZBY	\N	\N
444875	1512	1997-11-30	VYDAJ	VYBER	15	47508	SLUZBY	\N	\N
444876	1512	1997-12-31	VYDAJ	VYBER	15	50524	SLUZBY	\N	\N
444877	1512	1998-01-31	VYDAJ	VYBER	15	38589	SLUZBY	\N	\N
444878	1512	1998-02-28	VYDAJ	VYBER	15	41782	SLUZBY	\N	\N
444879	1512	1998-03-31	VYDAJ	VYBER	15	48093	SLUZBY	\N	\N
444880	1512	1998-04-30	VYDAJ	VYBER	15	48097	SLUZBY	\N	\N
444881	1512	1998-05-31	VYDAJ	VYBER	15	47015	SLUZBY	\N	\N
444882	1512	1998-06-30	VYDAJ	VYBER	15	53433	SLUZBY	\N	\N
444883	1512	1998-07-31	VYDAJ	VYBER	15	51375	SLUZBY	\N	\N
444884	1512	1998-08-31	VYDAJ	VYBER	15	52074	SLUZBY	\N	\N
444885	1512	1998-09-30	VYDAJ	VYBER	15	52574	SLUZBY	\N	\N
444886	1512	1998-10-31	VYDAJ	VYBER	15	49507	SLUZBY	\N	\N
444887	1512	1998-11-30	VYDAJ	VYBER	15	47629	SLUZBY	\N	\N
444888	1512	1994-02-07	PRIJEM	VKLAD	3500	18558	\N	\N	\N
444889	1512	1994-03-09	VYDAJ	VYBER	2900	29877	\N	\N	\N
444890	1512	1994-04-08	VYDAJ	VYBER	8000	36147	\N	\N	\N
444891	1512	1994-05-08	VYDAJ	VYBER	14300	36150	\N	\N	\N
444892	1512	1994-06-07	VYDAJ	VYBER	17800	39737	\N	\N	\N
444893	1512	1994-07-07	VYDAJ	VYBER	11400	33794	\N	\N	\N
444894	1512	1994-08-06	PRIJEM	VKLAD	100	25169	\N	\N	\N
444895	1512	1994-09-05	VYDAJ	VYBER	3700	25232	\N	\N	\N
444896	1512	1994-10-05	VYDAJ	VYBER	3800	26881	\N	\N	\N
444897	1512	1994-11-04	VYDAJ	VYBER	3100	29238	\N	\N	\N
444898	1512	1994-12-04	VYDAJ	VYBER	5400	29304	\N	\N	\N
444899	1512	1995-01-03	VYDAJ	VYBER	8400	30715	\N	\N	\N
444900	1512	1995-02-02	PRIJEM	VKLAD	6600	21483	\N	\N	\N
444901	1512	1995-03-04	VYDAJ	VYBER	100	26808	\N	\N	\N
444902	1512	1995-04-03	VYDAJ	VYBER	4300	27962	\N	\N	\N
444903	1512	1995-05-03	VYDAJ	VYBER	2700	30723	\N	\N	\N
444904	1512	1995-06-02	VYDAJ	VYBER	3500	32695	\N	\N	\N
444905	1512	1995-07-02	VYDAJ	VYBER	10300	29805	\N	\N	\N
444906	1512	1995-08-01	VYDAJ	VYBER	3700	31579	\N	\N	\N
444907	1512	1995-08-31	VYDAJ	VYBER	4500	30164	\N	\N	\N
444908	1512	1995-09-30	VYDAJ	VYBER	5800	25737	\N	\N	\N
444909	1512	1995-10-30	VYDAJ	VYBER	3000	25298	\N	\N	\N
444910	1512	1995-11-29	VYDAJ	VYBER	3300	27440	\N	\N	\N
444911	1512	1995-12-29	VYDAJ	VYBER	11300	28661	\N	\N	\N
444912	1512	1996-01-28	PRIJEM	VKLAD	3500	17591	\N	\N	\N
444913	1512	1996-02-27	PRIJEM	VKLAD	1400	24418	\N	\N	\N
444914	1512	1996-03-28	VYDAJ	VYBER	400	20789	\N	\N	\N
444915	1512	1996-04-27	VYDAJ	VYBER	900	25316	\N	\N	\N
444916	1512	1996-05-27	VYDAJ	VYBER	6500	24239	\N	\N	\N
444917	1512	1996-06-26	VYDAJ	VYBER	5800	30957	\N	\N	\N
444918	1512	1996-07-26	VYDAJ	VYBER	9200	27213	\N	\N	\N
444919	1512	1996-08-25	VYDAJ	VYBER	3400	29272	\N	\N	\N
444920	1512	1996-09-24	VYDAJ	VYBER	2000	29479	\N	\N	\N
444921	1512	1996-10-24	PRIJEM	VKLAD	300	29950	\N	\N	\N
444922	1512	1996-11-23	VYDAJ	VYBER	3000	32402	\N	\N	\N
444923	1512	1996-12-23	VYDAJ	VYBER	9900	35040	\N	\N	\N
444924	1512	1997-01-22	PRIJEM	VKLAD	600	32242	\N	\N	\N
444925	1512	1997-02-21	VYDAJ	VYBER	1700	26269	\N	\N	\N
444926	1512	1997-03-23	PRIJEM	VKLAD	1300	27477	\N	\N	\N
444927	1512	1997-04-22	PRIJEM	VKLAD	4500	32745	\N	\N	\N
444928	1512	1997-05-22	PRIJEM	VKLAD	1500	39690	\N	\N	\N
444929	1512	1997-06-21	VYDAJ	VYBER	2100	44984	\N	\N	\N
444930	1512	1997-07-21	VYDAJ	VYBER	3700	46794	\N	\N	\N
444931	1512	1997-08-20	VYDAJ	VYBER	3400	48913	\N	\N	\N
444932	1512	1997-09-19	VYDAJ	VYBER	4900	49539	\N	\N	\N
444933	1512	1997-10-19	VYDAJ	VYBER	5500	47291	\N	\N	\N
444934	1512	1997-11-18	VYDAJ	VYBER	5500	47321	\N	\N	\N
444935	1512	1997-12-18	VYDAJ	VYBER	9600	50323	\N	\N	\N
444936	1512	1998-01-17	VYDAJ	VYBER	1800	40820	\N	\N	\N
444937	1512	1998-02-16	PRIJEM	VKLAD	100	44025	\N	\N	\N
444938	1512	1998-03-18	PRIJEM	VKLAD	800	47918	\N	\N	\N
444939	1512	1998-04-17	VYDAJ	VYBER	1800	47909	\N	\N	\N
444940	1512	1998-05-17	VYDAJ	VYBER	2400	46833	\N	\N	\N
444941	1512	1998-06-16	VYDAJ	VYBER	6200	53230	\N	\N	\N
444942	1512	1998-07-16	VYDAJ	VYBER	7600	51169	\N	\N	\N
444943	1512	1998-08-15	VYDAJ	VYBER	4000	52711	\N	\N	\N
444944	1512	1998-09-14	VYDAJ	VYBER	1800	52370	\N	\N	\N
444945	1512	1998-10-14	VYDAJ	VYBER	8600	49310	\N	\N	\N
444946	1512	1998-11-13	VYDAJ	VYBER	7400	47443	\N	\N	\N
444947	1512	1998-12-13	VYDAJ	VYBER	8800	51244	\N	\N	\N
445007	1513	1993-08-23	PRIJEM	VKLAD	500	500	\N	\N	\N
445016	1513	1993-09-10	PRIJEM	VKLAD	15224	15724	\N	\N	\N
445017	1513	1993-10-10	PRIJEM	VKLAD	15224	35573	\N	\N	\N
445018	1513	1993-11-10	PRIJEM	VKLAD	15224	47398	\N	\N	\N
445019	1513	1993-12-10	PRIJEM	VKLAD	22836	59974	\N	\N	\N
445020	1513	1994-01-10	PRIJEM	VKLAD	15224	56358	\N	\N	\N
445021	1513	1994-02-10	PRIJEM	VKLAD	15224	44991	\N	\N	\N
445022	1513	1994-03-10	PRIJEM	VKLAD	15224	35300	\N	\N	\N
445023	1513	1994-04-10	PRIJEM	VKLAD	15224	41685	\N	\N	\N
445024	1513	1994-05-10	PRIJEM	VKLAD	15224	43187	\N	\N	\N
445025	1513	1994-06-10	PRIJEM	VKLAD	22836	34704	\N	\N	\N
445026	1513	1994-07-10	PRIJEM	VKLAD	15224	41890	\N	\N	\N
445027	1513	1994-08-10	PRIJEM	VKLAD	15224	40385	\N	\N	\N
445028	1513	1994-09-10	PRIJEM	VKLAD	15224	45487	\N	\N	\N
445029	1513	1994-10-10	PRIJEM	VKLAD	15224	45199	\N	\N	\N
445030	1513	1994-11-10	PRIJEM	VKLAD	15224	45611	\N	\N	\N
445031	1513	1994-12-10	PRIJEM	VKLAD	22836	56542	\N	\N	\N
445032	1513	1995-01-10	PRIJEM	VKLAD	15224	45979	\N	\N	\N
445033	1513	1995-02-10	PRIJEM	VKLAD	15224	40588	\N	\N	\N
445034	1513	1995-03-10	PRIJEM	VKLAD	15224	46295	\N	\N	\N
445035	1513	1995-04-10	PRIJEM	VKLAD	15224	48413	\N	\N	\N
445036	1513	1995-05-10	PRIJEM	VKLAD	15224	50038	\N	\N	\N
445037	1513	1995-06-10	PRIJEM	VKLAD	22836	59783	\N	\N	\N
445038	1513	1995-07-10	PRIJEM	VKLAD	15224	52627	\N	\N	\N
445039	1513	1995-08-10	PRIJEM	VKLAD	15224	54976	\N	\N	\N
445040	1513	1995-09-10	PRIJEM	VKLAD	15224	45412	\N	\N	\N
445041	1513	1995-10-10	PRIJEM	VKLAD	15224	46622	\N	\N	\N
445042	1513	1995-11-10	PRIJEM	VKLAD	15224	44627	\N	\N	\N
445043	1513	1995-12-10	PRIJEM	VKLAD	22836	52244	\N	\N	\N
445044	1513	1996-01-10	PRIJEM	VKLAD	15224	44051	\N	\N	\N
445045	1513	1996-02-10	PRIJEM	VKLAD	15224	40841	\N	\N	\N
445046	1513	1996-03-10	PRIJEM	VKLAD	15224	47342	\N	\N	\N
445047	1513	1996-04-10	PRIJEM	VKLAD	15224	46850	\N	\N	\N
445048	1513	1996-05-10	PRIJEM	VKLAD	15224	51780	\N	\N	\N
445049	1513	1996-06-10	PRIJEM	VKLAD	22836	58647	\N	\N	\N
445050	1513	1996-07-10	PRIJEM	VKLAD	15224	52522	\N	\N	\N
445051	1513	1996-08-10	PRIJEM	VKLAD	15224	53082	\N	\N	\N
445052	1513	1996-09-10	PRIJEM	VKLAD	15224	53946	\N	\N	\N
445053	1513	1996-10-10	PRIJEM	VKLAD	15224	58313	\N	\N	\N
445054	1513	1996-11-10	PRIJEM	VKLAD	15224	56995	\N	\N	\N
445055	1513	1996-12-10	PRIJEM	VKLAD	22836	60288	\N	\N	\N
445056	1513	1997-01-10	PRIJEM	VKLAD	15224	56971	\N	\N	\N
445057	1513	1997-02-10	PRIJEM	VKLAD	15224	49728	\N	\N	\N
445058	1513	1997-03-10	PRIJEM	VKLAD	15224	48063	\N	\N	\N
445059	1513	1997-04-10	PRIJEM	VKLAD	15224	46496	\N	\N	\N
445060	1513	1997-05-10	PRIJEM	VKLAD	15224	51131	\N	\N	\N
445061	1513	1997-06-10	PRIJEM	VKLAD	22836	61895	\N	\N	\N
445062	1513	1997-07-10	PRIJEM	VKLAD	15224	56559	\N	\N	\N
445063	1513	1997-08-10	PRIJEM	VKLAD	15224	59530	\N	\N	\N
445064	1513	1997-09-10	PRIJEM	VKLAD	15224	60816	\N	\N	\N
445065	1513	1997-10-10	PRIJEM	VKLAD	15224	63709	\N	\N	\N
445066	1513	1997-11-10	PRIJEM	VKLAD	15224	66413	\N	\N	\N
445067	1513	1997-12-10	PRIJEM	VKLAD	22836	75633	\N	\N	\N
445068	1513	1998-01-10	PRIJEM	VKLAD	15224	71379	\N	\N	\N
445069	1513	1998-02-10	PRIJEM	VKLAD	15224	67304	\N	\N	\N
445070	1513	1998-03-10	PRIJEM	VKLAD	15224	66119	\N	\N	\N
445071	1513	1998-04-10	PRIJEM	VKLAD	15224	67540	\N	\N	\N
445072	1513	1998-05-10	PRIJEM	VKLAD	15224	71153	\N	\N	\N
445073	1513	1998-06-10	PRIJEM	VKLAD	22836	80196	\N	\N	\N
445074	1513	1998-07-10	PRIJEM	VKLAD	15224	80553	\N	\N	\N
445075	1513	1998-08-10	PRIJEM	VKLAD	15224	78720	\N	\N	\N
445076	1513	1998-09-10	PRIJEM	VKLAD	15224	77678	\N	\N	\N
445077	1513	1998-10-10	PRIJEM	VKLAD	15224	81032	\N	\N	\N
445078	1513	1998-11-10	PRIJEM	VKLAD	15224	80193	\N	\N	\N
445079	1513	1998-12-10	PRIJEM	VKLAD	22836	86165	\N	\N	\N
445092	1513	1994-01-14	VYDAJ	PREVOD NA UCET	1632	51510	SIPO	AB	52238965
445093	1513	1994-02-14	VYDAJ	PREVOD NA UCET	1632	41354	SIPO	AB	52238965
445094	1513	1994-03-14	VYDAJ	PREVOD NA UCET	1632	32352	SIPO	AB	52238965
445095	1513	1994-04-14	VYDAJ	PREVOD NA UCET	1632	38048	SIPO	AB	52238965
445096	1513	1994-05-14	VYDAJ	PREVOD NA UCET	1632	39550	SIPO	AB	52238965
445097	1513	1994-06-14	VYDAJ	PREVOD NA UCET	1632	31067	SIPO	AB	52238965
445098	1513	1994-07-14	VYDAJ	PREVOD NA UCET	1632	35053	SIPO	AB	52238965
445099	1513	1994-08-14	VYDAJ	PREVOD NA UCET	1632	36748	SIPO	AB	52238965
445100	1513	1994-09-14	VYDAJ	PREVOD NA UCET	1632	41850	SIPO	AB	52238965
445101	1513	1994-10-14	VYDAJ	PREVOD NA UCET	1632	41562	SIPO	AB	52238965
445102	1513	1994-11-14	VYDAJ	PREVOD NA UCET	1632	41974	SIPO	AB	52238965
445103	1513	1994-12-14	VYDAJ	PREVOD NA UCET	1632	52905	SIPO	AB	52238965
445104	1513	1995-01-14	VYDAJ	PREVOD NA UCET	1632	43031	SIPO	AB	52238965
445105	1513	1995-02-14	VYDAJ	PREVOD NA UCET	1632	37640	SIPO	AB	52238965
445106	1513	1995-03-14	VYDAJ	PREVOD NA UCET	1632	41758	SIPO	AB	52238965
445107	1513	1995-04-14	VYDAJ	PREVOD NA UCET	1632	45465	SIPO	AB	52238965
445108	1513	1995-05-14	VYDAJ	PREVOD NA UCET	1632	46401	SIPO	AB	52238965
445109	1513	1995-06-14	VYDAJ	PREVOD NA UCET	1632	41146	SIPO	AB	52238965
445110	1513	1995-07-14	VYDAJ	PREVOD NA UCET	1632	44179	SIPO	AB	52238965
445111	1513	1995-08-14	VYDAJ	PREVOD NA UCET	1632	41228	SIPO	AB	52238965
445112	1513	1995-09-14	VYDAJ	PREVOD NA UCET	1632	37375	SIPO	AB	52238965
445113	1513	1995-10-14	VYDAJ	PREVOD NA UCET	1632	33185	SIPO	AB	52238965
445114	1513	1995-11-14	VYDAJ	PREVOD NA UCET	1632	33190	SIPO	AB	52238965
445115	1513	1995-12-14	VYDAJ	PREVOD NA UCET	1632	35707	SIPO	AB	52238965
445116	1513	1996-01-14	VYDAJ	PREVOD NA UCET	1632	30214	SIPO	AB	52238965
445117	1513	1996-02-14	VYDAJ	PREVOD NA UCET	1632	37204	SIPO	AB	52238965
445118	1513	1996-03-14	VYDAJ	PREVOD NA UCET	1632	35694	SIPO	AB	52238965
445119	1513	1996-04-14	VYDAJ	PREVOD NA UCET	1632	43902	SIPO	AB	52238965
445120	1513	1996-05-14	VYDAJ	PREVOD NA UCET	1632	48832	SIPO	AB	52238965
445121	1513	1996-06-14	VYDAJ	PREVOD NA UCET	1632	55699	SIPO	AB	52238965
445122	1513	1996-07-14	VYDAJ	PREVOD NA UCET	1632	49574	SIPO	AB	52238965
445123	1513	1996-08-14	VYDAJ	PREVOD NA UCET	1632	50134	SIPO	AB	52238965
445124	1513	1996-09-14	VYDAJ	PREVOD NA UCET	1632	50998	SIPO	AB	52238965
445125	1513	1996-10-14	VYDAJ	PREVOD NA UCET	1632	55365	SIPO	AB	52238965
445126	1513	1996-11-14	VYDAJ	PREVOD NA UCET	1632	54047	SIPO	AB	52238965
445127	1513	1996-12-14	VYDAJ	PREVOD NA UCET	1632	57340	SIPO	AB	52238965
445128	1513	1997-01-14	VYDAJ	PREVOD NA UCET	1632	49023	SIPO	AB	52238965
445129	1513	1997-02-14	VYDAJ	PREVOD NA UCET	1632	46780	SIPO	AB	52238965
445130	1513	1997-03-14	VYDAJ	PREVOD NA UCET	1632	43115	SIPO	AB	52238965
445131	1513	1997-04-14	VYDAJ	PREVOD NA UCET	1632	42859	SIPO	AB	52238965
445132	1513	1997-05-14	VYDAJ	PREVOD NA UCET	1632	48183	SIPO	AB	52238965
445133	1513	1997-06-14	VYDAJ	PREVOD NA UCET	1632	58258	SIPO	AB	52238965
445134	1513	1997-07-14	VYDAJ	PREVOD NA UCET	1632	53611	SIPO	AB	52238965
445135	1513	1997-08-14	VYDAJ	PREVOD NA UCET	1632	56582	SIPO	AB	52238965
445136	1513	1997-09-14	VYDAJ	PREVOD NA UCET	1632	57868	SIPO	AB	52238965
445137	1513	1997-10-14	VYDAJ	PREVOD NA UCET	1632	60761	SIPO	AB	52238965
445138	1513	1997-11-14	VYDAJ	PREVOD NA UCET	1632	63465	SIPO	AB	52238965
445139	1513	1997-12-14	VYDAJ	PREVOD NA UCET	1632	71996	SIPO	AB	52238965
445140	1513	1998-01-14	VYDAJ	PREVOD NA UCET	1632	67742	SIPO	AB	52238965
445141	1513	1998-02-14	VYDAJ	PREVOD NA UCET	1632	64356	SIPO	AB	52238965
445142	1513	1998-03-14	VYDAJ	PREVOD NA UCET	1632	63171	SIPO	AB	52238965
445143	1513	1998-04-14	VYDAJ	PREVOD NA UCET	1632	63903	SIPO	AB	52238965
445144	1513	1998-05-14	VYDAJ	PREVOD NA UCET	1632	68205	SIPO	AB	52238965
445145	1513	1998-06-14	VYDAJ	PREVOD NA UCET	1632	76559	SIPO	AB	52238965
445146	1513	1998-07-14	VYDAJ	PREVOD NA UCET	1632	76916	SIPO	AB	52238965
445147	1513	1998-08-14	VYDAJ	PREVOD NA UCET	1632	75083	SIPO	AB	52238965
445148	1513	1998-09-14	VYDAJ	PREVOD NA UCET	1632	74730	SIPO	AB	52238965
445149	1513	1998-10-14	VYDAJ	PREVOD NA UCET	1632	78084	SIPO	AB	52238965
445150	1513	1998-11-14	VYDAJ	PREVOD NA UCET	1632	75856	SIPO	AB	52238965
445151	1513	1998-12-14	VYDAJ	PREVOD NA UCET	1632	82528	SIPO	AB	52238965
445165	1513	1994-02-08	VYDAJ	PREVOD NA UCET	3912	29767	 	QR	85800695
445166	1513	1994-03-08	VYDAJ	PREVOD NA UCET	3912	20076	 	QR	85800695
445167	1513	1994-04-08	VYDAJ	PREVOD NA UCET	3912	26461	 	QR	85800695
445168	1513	1994-05-08	VYDAJ	PREVOD NA UCET	3912	27963	 	QR	85800695
445169	1513	1994-06-08	VYDAJ	PREVOD NA UCET	3912	11868	 	QR	85800695
445170	1513	1994-07-08	VYDAJ	PREVOD NA UCET	3912	26666	 	QR	85800695
445171	1513	1994-08-08	VYDAJ	PREVOD NA UCET	3912	25161	 	QR	85800695
445172	1513	1994-09-08	VYDAJ	PREVOD NA UCET	3912	30263	 	QR	85800695
445173	1513	1994-10-08	VYDAJ	PREVOD NA UCET	3912	29975	 	QR	85800695
445174	1513	1994-11-08	VYDAJ	PREVOD NA UCET	3912	30387	 	QR	85800695
445175	1513	1994-12-08	VYDAJ	PREVOD NA UCET	3912	33706	 	QR	85800695
445176	1513	1995-01-08	VYDAJ	PREVOD NA UCET	3912	30755	 	QR	85800695
445177	1513	1995-02-08	VYDAJ	PREVOD NA UCET	3912	25364	 	QR	85800695
445178	1513	1995-03-08	VYDAJ	PREVOD NA UCET	3912	31071	 	QR	85800695
445179	1513	1995-04-08	VYDAJ	PREVOD NA UCET	3912	33189	 	QR	85800695
445180	1513	1995-05-08	VYDAJ	PREVOD NA UCET	3912	34814	 	QR	85800695
445181	1513	1995-06-08	VYDAJ	PREVOD NA UCET	3912	36947	 	QR	85800695
445182	1513	1995-07-08	VYDAJ	PREVOD NA UCET	3912	37403	 	QR	85800695
445183	1513	1995-08-08	VYDAJ	PREVOD NA UCET	3912	39752	 	QR	85800695
445184	1513	1995-09-08	VYDAJ	PREVOD NA UCET	3912	30188	 	QR	85800695
445185	1513	1995-10-08	VYDAJ	PREVOD NA UCET	3912	31398	 	QR	85800695
445186	1513	1995-11-08	VYDAJ	PREVOD NA UCET	3912	29403	 	QR	85800695
445187	1513	1995-12-08	VYDAJ	PREVOD NA UCET	3912	29408	 	QR	85800695
445188	1513	1996-01-08	VYDAJ	PREVOD NA UCET	3912	28827	 	QR	85800695
445189	1513	1996-02-08	VYDAJ	PREVOD NA UCET	3912	19417	 	QR	85800695
445190	1513	1996-03-08	VYDAJ	PREVOD NA UCET	3912	32118	 	QR	85800695
445191	1513	1996-04-08	VYDAJ	PREVOD NA UCET	3912	31226	 	QR	85800695
445192	1513	1996-05-08	VYDAJ	PREVOD NA UCET	3912	39456	 	QR	85800695
445193	1513	1996-06-08	VYDAJ	PREVOD NA UCET	3912	44411	 	QR	85800695
445194	1513	1996-07-08	VYDAJ	PREVOD NA UCET	3912	37298	 	QR	85800695
445195	1513	1996-08-08	VYDAJ	PREVOD NA UCET	3912	37858	 	QR	85800695
445196	1513	1996-09-08	VYDAJ	PREVOD NA UCET	3912	38722	 	QR	85800695
445197	1513	1996-10-08	VYDAJ	PREVOD NA UCET	3912	43089	 	QR	85800695
445198	1513	1996-11-08	VYDAJ	PREVOD NA UCET	3912	41771	 	QR	85800695
445199	1513	1996-12-08	VYDAJ	PREVOD NA UCET	3912	37452	 	QR	85800695
445200	1513	1997-01-08	VYDAJ	PREVOD NA UCET	3912	41747	 	QR	85800695
445201	1513	1997-02-08	VYDAJ	PREVOD NA UCET	3912	34504	 	QR	85800695
445202	1513	1997-03-08	VYDAJ	PREVOD NA UCET	3912	32839	 	QR	85800695
445203	1513	1997-04-08	VYDAJ	PREVOD NA UCET	3912	31272	 	QR	85800695
445204	1513	1997-05-08	VYDAJ	PREVOD NA UCET	3912	35907	 	QR	85800695
445205	1513	1997-06-08	VYDAJ	PREVOD NA UCET	3912	39059	 	QR	85800695
445206	1513	1997-07-08	VYDAJ	PREVOD NA UCET	3912	41335	 	QR	85800695
445207	1513	1997-08-08	VYDAJ	PREVOD NA UCET	3912	44306	 	QR	85800695
445208	1513	1997-09-08	VYDAJ	PREVOD NA UCET	3912	45592	 	QR	85800695
445209	1513	1997-10-08	VYDAJ	PREVOD NA UCET	3912	48485	 	QR	85800695
445210	1513	1997-11-08	VYDAJ	PREVOD NA UCET	3912	51189	 	QR	85800695
445211	1513	1997-12-08	VYDAJ	PREVOD NA UCET	3912	52797	 	QR	85800695
445212	1513	1998-01-08	VYDAJ	PREVOD NA UCET	3912	58155	 	QR	85800695
445213	1513	1998-02-08	VYDAJ	PREVOD NA UCET	3912	52080	 	QR	85800695
445214	1513	1998-03-08	VYDAJ	PREVOD NA UCET	3912	50895	 	QR	85800695
445215	1513	1998-04-08	VYDAJ	PREVOD NA UCET	3912	52316	 	QR	85800695
445216	1513	1998-05-08	VYDAJ	PREVOD NA UCET	3912	55929	 	QR	85800695
445217	1513	1998-06-08	VYDAJ	PREVOD NA UCET	3912	57360	 	QR	85800695
445218	1513	1998-07-08	VYDAJ	PREVOD NA UCET	3912	65329	 	QR	85800695
445219	1513	1998-08-08	VYDAJ	PREVOD NA UCET	3912	63496	 	QR	85800695
445220	1513	1998-09-08	VYDAJ	PREVOD NA UCET	3912	62454	 	QR	85800695
445221	1513	1998-10-08	VYDAJ	PREVOD NA UCET	3912	65808	 	QR	85800695
445222	1513	1998-11-08	VYDAJ	PREVOD NA UCET	3912	64969	 	QR	85800695
445223	1513	1998-12-08	VYDAJ	PREVOD NA UCET	3912	63329	 	QR	85800695
445236	1513	1994-01-13	VYDAJ	PREVOD NA UCET	1316	55042	POJISTNE	OP	59476637
445237	1513	1994-02-13	VYDAJ	PREVOD NA UCET	1316	43675	POJISTNE	OP	59476637
445238	1513	1994-03-13	VYDAJ	PREVOD NA UCET	1316	33984	POJISTNE	OP	59476637
445239	1513	1994-04-13	VYDAJ	PREVOD NA UCET	1316	40369	POJISTNE	OP	59476637
445240	1513	1994-05-13	VYDAJ	PREVOD NA UCET	1316	41871	POJISTNE	OP	59476637
445241	1513	1994-06-13	VYDAJ	PREVOD NA UCET	1316	33388	POJISTNE	OP	59476637
445242	1513	1994-07-13	VYDAJ	PREVOD NA UCET	1316	40574	POJISTNE	OP	59476637
445243	1513	1994-08-13	VYDAJ	PREVOD NA UCET	1316	39069	POJISTNE	OP	59476637
445244	1513	1994-09-13	VYDAJ	PREVOD NA UCET	1316	44171	POJISTNE	OP	59476637
445245	1513	1994-10-13	VYDAJ	PREVOD NA UCET	1316	43883	POJISTNE	OP	59476637
445246	1513	1994-11-13	VYDAJ	PREVOD NA UCET	1316	44295	POJISTNE	OP	59476637
445247	1513	1994-12-13	VYDAJ	PREVOD NA UCET	1316	55226	POJISTNE	OP	59476637
445248	1513	1995-01-13	VYDAJ	PREVOD NA UCET	1316	44663	POJISTNE	OP	59476637
445249	1513	1995-02-13	VYDAJ	PREVOD NA UCET	1316	39272	POJISTNE	OP	59476637
445250	1513	1995-03-13	VYDAJ	PREVOD NA UCET	1316	44079	POJISTNE	OP	59476637
445251	1513	1995-04-13	VYDAJ	PREVOD NA UCET	1316	47097	POJISTNE	OP	59476637
445252	1513	1995-05-13	VYDAJ	PREVOD NA UCET	1316	48722	POJISTNE	OP	59476637
445253	1513	1995-06-13	VYDAJ	PREVOD NA UCET	1316	46167	POJISTNE	OP	59476637
445254	1513	1995-07-13	VYDAJ	PREVOD NA UCET	1316	51311	POJISTNE	OP	59476637
445255	1513	1995-08-13	VYDAJ	PREVOD NA UCET	1316	53660	POJISTNE	OP	59476637
445256	1513	1995-09-13	VYDAJ	PREVOD NA UCET	1316	39696	POJISTNE	OP	59476637
445257	1513	1995-10-13	VYDAJ	PREVOD NA UCET	1316	35506	POJISTNE	OP	59476637
445258	1513	1995-11-13	VYDAJ	PREVOD NA UCET	1316	35511	POJISTNE	OP	59476637
445259	1513	1995-12-13	VYDAJ	PREVOD NA UCET	1316	38028	POJISTNE	OP	59476637
445260	1513	1996-01-13	VYDAJ	PREVOD NA UCET	1316	33935	POJISTNE	OP	59476637
445261	1513	1996-02-13	VYDAJ	PREVOD NA UCET	1316	39525	POJISTNE	OP	59476637
445262	1513	1996-03-13	VYDAJ	PREVOD NA UCET	1316	37326	POJISTNE	OP	59476637
445263	1513	1996-04-13	VYDAJ	PREVOD NA UCET	1316	45534	POJISTNE	OP	59476637
445264	1513	1996-05-13	VYDAJ	PREVOD NA UCET	1316	50464	POJISTNE	OP	59476637
445265	1513	1996-06-13	VYDAJ	PREVOD NA UCET	1316	57331	POJISTNE	OP	59476637
445266	1513	1996-07-13	VYDAJ	PREVOD NA UCET	1316	51206	POJISTNE	OP	59476637
445267	1513	1996-08-13	VYDAJ	PREVOD NA UCET	1316	51766	POJISTNE	OP	59476637
445268	1513	1996-09-13	VYDAJ	PREVOD NA UCET	1316	52630	POJISTNE	OP	59476637
445269	1513	1996-10-13	VYDAJ	PREVOD NA UCET	1316	56997	POJISTNE	OP	59476637
445270	1513	1996-11-13	VYDAJ	PREVOD NA UCET	1316	55679	POJISTNE	OP	59476637
445271	1513	1996-12-13	VYDAJ	PREVOD NA UCET	1316	58972	POJISTNE	OP	59476637
445272	1513	1997-01-13	VYDAJ	PREVOD NA UCET	1316	50655	POJISTNE	OP	59476637
445273	1513	1997-02-13	VYDAJ	PREVOD NA UCET	1316	48412	POJISTNE	OP	59476637
445274	1513	1997-03-13	VYDAJ	PREVOD NA UCET	1316	44747	POJISTNE	OP	59476637
445275	1513	1997-04-13	VYDAJ	PREVOD NA UCET	1316	45180	POJISTNE	OP	59476637
445276	1513	1997-05-13	VYDAJ	PREVOD NA UCET	1316	49815	POJISTNE	OP	59476637
445277	1513	1997-06-13	VYDAJ	PREVOD NA UCET	1316	60579	POJISTNE	OP	59476637
445278	1513	1997-07-13	VYDAJ	PREVOD NA UCET	1316	55243	POJISTNE	OP	59476637
445279	1513	1997-08-13	VYDAJ	PREVOD NA UCET	1316	58214	POJISTNE	OP	59476637
445280	1513	1997-09-13	VYDAJ	PREVOD NA UCET	1316	59500	POJISTNE	OP	59476637
445281	1513	1997-10-13	VYDAJ	PREVOD NA UCET	1316	62393	POJISTNE	OP	59476637
445282	1513	1997-11-13	VYDAJ	PREVOD NA UCET	1316	65097	POJISTNE	OP	59476637
445283	1513	1997-12-13	VYDAJ	PREVOD NA UCET	1316	74317	POJISTNE	OP	59476637
445284	1513	1998-01-13	VYDAJ	PREVOD NA UCET	1316	70063	POJISTNE	OP	59476637
445285	1513	1998-02-13	VYDAJ	PREVOD NA UCET	1316	65988	POJISTNE	OP	59476637
445286	1513	1998-03-13	VYDAJ	PREVOD NA UCET	1316	64803	POJISTNE	OP	59476637
445287	1513	1998-04-13	VYDAJ	PREVOD NA UCET	1316	66224	POJISTNE	OP	59476637
445288	1513	1998-05-13	VYDAJ	PREVOD NA UCET	1316	69837	POJISTNE	OP	59476637
445289	1513	1998-06-13	VYDAJ	PREVOD NA UCET	1316	78880	POJISTNE	OP	59476637
445290	1513	1998-07-13	VYDAJ	PREVOD NA UCET	1316	79237	POJISTNE	OP	59476637
445291	1513	1998-08-13	VYDAJ	PREVOD NA UCET	1316	77404	POJISTNE	OP	59476637
445292	1513	1998-09-13	VYDAJ	PREVOD NA UCET	1316	76362	POJISTNE	OP	59476637
445293	1513	1998-10-13	VYDAJ	PREVOD NA UCET	1316	79716	POJISTNE	OP	59476637
445294	1513	1998-11-13	VYDAJ	PREVOD NA UCET	1316	78177	POJISTNE	OP	59476637
445295	1513	1998-12-13	VYDAJ	PREVOD NA UCET	1316	84849	POJISTNE	OP	59476637
445308	1513	1994-01-14	VYDAJ	PREVOD NA UCET	689	50821	 	GH	65290647
445309	1513	1994-02-14	VYDAJ	PREVOD NA UCET	689	42986	 	GH	65290647
445310	1513	1994-03-14	VYDAJ	PREVOD NA UCET	689	31663	 	GH	65290647
445311	1513	1994-04-14	VYDAJ	PREVOD NA UCET	689	39680	 	GH	65290647
445312	1513	1994-05-14	VYDAJ	PREVOD NA UCET	689	41182	 	GH	65290647
445313	1513	1994-06-14	VYDAJ	PREVOD NA UCET	689	32699	 	GH	65290647
445314	1513	1994-07-14	VYDAJ	PREVOD NA UCET	689	36685	 	GH	65290647
445315	1513	1994-08-14	VYDAJ	PREVOD NA UCET	689	38380	 	GH	65290647
445316	1513	1994-09-14	VYDAJ	PREVOD NA UCET	689	43482	 	GH	65290647
445317	1513	1994-10-14	VYDAJ	PREVOD NA UCET	689	43194	 	GH	65290647
445318	1513	1994-11-14	VYDAJ	PREVOD NA UCET	689	43606	 	GH	65290647
445319	1513	1994-12-14	VYDAJ	PREVOD NA UCET	689	54537	 	GH	65290647
445320	1513	1995-01-14	VYDAJ	PREVOD NA UCET	689	42342	 	GH	65290647
445321	1513	1995-02-14	VYDAJ	PREVOD NA UCET	689	34851	 	GH	65290647
445322	1513	1995-03-14	VYDAJ	PREVOD NA UCET	689	43390	 	GH	65290647
445323	1513	1995-04-14	VYDAJ	PREVOD NA UCET	689	44776	 	GH	65290647
445324	1513	1995-05-14	VYDAJ	PREVOD NA UCET	689	48033	 	GH	65290647
445325	1513	1995-06-14	VYDAJ	PREVOD NA UCET	689	42778	 	GH	65290647
445326	1513	1995-07-14	VYDAJ	PREVOD NA UCET	689	43490	 	GH	65290647
445327	1513	1995-08-14	VYDAJ	PREVOD NA UCET	689	40539	 	GH	65290647
445328	1513	1995-09-14	VYDAJ	PREVOD NA UCET	689	39007	 	GH	65290647
445329	1513	1995-10-14	VYDAJ	PREVOD NA UCET	689	34817	 	GH	65290647
445330	1513	1995-11-14	VYDAJ	PREVOD NA UCET	689	34822	 	GH	65290647
445331	1513	1995-12-14	VYDAJ	PREVOD NA UCET	689	37339	 	GH	65290647
445332	1513	1996-01-14	VYDAJ	PREVOD NA UCET	689	31846	 	GH	65290647
445333	1513	1996-02-14	VYDAJ	PREVOD NA UCET	689	38836	 	GH	65290647
445334	1513	1996-03-14	VYDAJ	PREVOD NA UCET	689	35005	 	GH	65290647
445335	1513	1996-04-14	VYDAJ	PREVOD NA UCET	689	43213	 	GH	65290647
445336	1513	1996-05-14	VYDAJ	PREVOD NA UCET	689	48143	 	GH	65290647
445337	1513	1996-06-14	VYDAJ	PREVOD NA UCET	689	55010	 	GH	65290647
445338	1513	1996-07-14	VYDAJ	PREVOD NA UCET	689	48885	 	GH	65290647
445339	1513	1996-08-14	VYDAJ	PREVOD NA UCET	689	49445	 	GH	65290647
445340	1513	1996-09-14	VYDAJ	PREVOD NA UCET	689	50309	 	GH	65290647
445341	1513	1996-10-14	VYDAJ	PREVOD NA UCET	689	54676	 	GH	65290647
445342	1513	1996-11-14	VYDAJ	PREVOD NA UCET	689	53358	 	GH	65290647
445343	1513	1996-12-14	VYDAJ	PREVOD NA UCET	689	56651	 	GH	65290647
445344	1513	1997-01-14	VYDAJ	PREVOD NA UCET	689	48334	 	GH	65290647
445345	1513	1997-02-14	VYDAJ	PREVOD NA UCET	689	46091	 	GH	65290647
445346	1513	1997-03-14	VYDAJ	PREVOD NA UCET	689	42426	 	GH	65290647
445347	1513	1997-04-14	VYDAJ	PREVOD NA UCET	689	44491	 	GH	65290647
445348	1513	1997-05-14	VYDAJ	PREVOD NA UCET	689	47494	 	GH	65290647
445349	1513	1997-06-14	VYDAJ	PREVOD NA UCET	689	59890	 	GH	65290647
445350	1513	1997-07-14	VYDAJ	PREVOD NA UCET	689	52922	 	GH	65290647
445351	1513	1997-08-14	VYDAJ	PREVOD NA UCET	689	55893	 	GH	65290647
445352	1513	1997-09-14	VYDAJ	PREVOD NA UCET	689	57179	 	GH	65290647
445353	1513	1997-10-14	VYDAJ	PREVOD NA UCET	689	60072	 	GH	65290647
445354	1513	1997-11-14	VYDAJ	PREVOD NA UCET	689	62776	 	GH	65290647
445355	1513	1997-12-14	VYDAJ	PREVOD NA UCET	689	73628	 	GH	65290647
445356	1513	1998-01-14	VYDAJ	PREVOD NA UCET	689	69374	 	GH	65290647
445357	1513	1998-02-14	VYDAJ	PREVOD NA UCET	689	63667	 	GH	65290647
445358	1513	1998-03-14	VYDAJ	PREVOD NA UCET	689	62482	 	GH	65290647
445359	1513	1998-04-14	VYDAJ	PREVOD NA UCET	689	65535	 	GH	65290647
445360	1513	1998-05-14	VYDAJ	PREVOD NA UCET	689	67516	 	GH	65290647
445361	1513	1998-06-14	VYDAJ	PREVOD NA UCET	689	78191	 	GH	65290647
445362	1513	1998-07-14	VYDAJ	PREVOD NA UCET	689	78548	 	GH	65290647
445363	1513	1998-08-14	VYDAJ	PREVOD NA UCET	689	76715	 	GH	65290647
445364	1513	1998-09-14	VYDAJ	PREVOD NA UCET	689	74041	 	GH	65290647
445365	1513	1998-10-14	VYDAJ	PREVOD NA UCET	689	77395	 	GH	65290647
445366	1513	1998-11-14	VYDAJ	PREVOD NA UCET	689	77488	 	GH	65290647
445367	1513	1998-12-14	VYDAJ	PREVOD NA UCET	689	84160	 	GH	65290647
445369	1513	1994-06-01	VYDAJ	VYBER	16200	15780	\N	\N	\N
445370	1513	1995-06-10	VYDAJ	VYBER	12300	47483	\N	\N	\N
445371	1513	1996-06-27	VYDAJ	VYBER	10300	44710	\N	\N	\N
445372	1513	1997-06-15	VYDAJ	VYBER	7800	50458	\N	\N	\N
445373	1513	1998-06-02	VYDAJ	VYBER	4300	61272	\N	\N	\N
445375	1513	1994-12-30	VYDAJ	VYBER	2700	37905	\N	\N	\N
445376	1513	1995-12-23	VYDAJ	VYBER	1600	34107	\N	\N	\N
445377	1513	1996-12-29	VYDAJ	VYBER	2500	54151	\N	\N	\N
445378	1513	1997-12-01	VYDAJ	VYBER	1200	56709	\N	\N	\N
445379	1513	1998-12-07	VYDAJ	VYBER KARTOU	1900	67241	\N	\N	0
445386	1513	1994-01-26	VYDAJ	VYBER	1800	35721	\N	\N	\N
445387	1513	1994-01-17	VYDAJ	VYBER	700	50121	\N	\N	\N
445388	1513	1994-01-13	VYDAJ	VYBER	1900	53142	\N	\N	\N
445389	1513	1994-01-27	VYDAJ	VYBER	2200	33521	\N	\N	\N
445390	1513	1994-01-24	VYDAJ	VYBER	1100	37521	\N	\N	\N
445391	1513	1994-01-19	VYDAJ	VYBER	2000	48121	\N	\N	\N
445392	1513	1995-01-23	VYDAJ	VYBER	500	33242	\N	\N	\N
445393	1513	1995-01-19	VYDAJ	VYBER	500	33742	\N	\N	\N
445394	1513	1995-01-05	VYDAJ	VYBER	2000	36067	\N	\N	\N
445395	1513	1995-01-29	VYDAJ	VYBER	1500	31742	\N	\N	\N
445396	1513	1995-01-06	VYDAJ	VYBER	1400	34667	\N	\N	\N
445397	1513	1995-01-29	VYDAJ	VYBER	2600	29142	\N	\N	\N
445398	1513	1996-01-14	VYDAJ	VYBER	1400	32535	\N	\N	\N
445399	1513	1996-01-25	VYDAJ	VYBER	1800	27814	\N	\N	\N
445400	1513	1996-01-28	VYDAJ	VYBER	1300	26514	\N	\N	\N
445401	1513	1996-01-10	VYDAJ	VYBER	1300	35251	\N	\N	\N
445402	1513	1996-01-06	VYDAJ	VYBER	1500	32739	\N	\N	\N
445403	1513	1996-01-19	VYDAJ	VYBER	600	29614	\N	\N	\N
445404	1513	1997-01-10	VYDAJ	VYBER	1300	55671	\N	\N	\N
445405	1513	1997-01-20	VYDAJ	VYBER	2000	44034	\N	\N	\N
445406	1513	1997-01-11	VYDAJ	VYBER	2100	53571	\N	\N	\N
445407	1513	1997-01-12	VYDAJ	VYBER	1600	51971	\N	\N	\N
445408	1513	1997-01-19	VYDAJ	VYBER	2300	46034	\N	\N	\N
445409	1513	1997-01-21	VYDAJ	VYBER	1900	42134	\N	\N	\N
445410	1513	1998-01-28	VYDAJ	VYBER	1100	64442	\N	\N	\N
445411	1513	1998-01-07	VYDAJ	VYBER	900	62067	\N	\N	\N
445412	1513	1998-01-08	VYDAJ	VYBER	2000	56155	\N	\N	\N
445413	1513	1998-01-19	VYDAJ	VYBER	1300	65542	\N	\N	\N
445414	1513	1998-01-15	VYDAJ	VYBER	900	66842	\N	\N	\N
445415	1513	1998-01-30	VYDAJ	VYBER	800	55742	\N	\N	\N
445419	1513	1994-02-26	VYDAJ	VYBER	2800	28054	\N	\N	\N
445420	1513	1994-10-30	VYDAJ	VYBER	700	34162	\N	\N	\N
445421	1513	1994-03-07	VYDAJ	VYBER	4200	23988	\N	\N	\N
445422	1513	1994-07-13	VYDAJ	VYBER	3200	37374	\N	\N	\N
445423	1513	1995-03-11	VYDAJ	VYBER	900	45395	\N	\N	\N
445424	1513	1995-09-17	VYDAJ	VYBER	2200	35175	\N	\N	\N
445425	1513	1995-11-12	VYDAJ	VYBER	3700	36827	\N	\N	\N
445426	1513	1995-12-13	VYDAJ	VYBER	1100	39344	\N	\N	\N
445427	1513	1995-08-30	VYDAJ	VYBER	3200	33939	\N	\N	\N
445428	1513	1995-08-24	VYDAJ	VYBER	3400	37139	\N	\N	\N
445429	1513	1996-02-28	VYDAJ	VYBER	1300	35904	\N	\N	\N
445430	1513	1996-12-02	VYDAJ	VYBER	4200	49364	\N	\N	\N
445431	1513	1996-02-05	VYDAJ	VYBER	3300	23329	\N	\N	\N
445432	1513	1997-11-15	VYDAJ	VYBER	1000	61776	\N	\N	\N
445433	1513	1997-03-12	VYDAJ	VYBER	2000	46063	\N	\N	\N
445434	1513	1997-02-15	VYDAJ	VYBER	4900	41191	\N	\N	\N
445435	1513	1997-06-21	VYDAJ	VYBER	4200	46258	\N	\N	\N
445436	1513	1998-11-16	VYDAJ	VYBER KARTOU	800	75056	\N	\N	0
445437	1513	1998-11-05	VYDAJ	VYBER KARTOU	3300	68881	\N	\N	0
445438	1513	1998-10-17	VYDAJ	VYBER	4400	72995	\N	\N	\N
445439	1513	1998-06-23	VYDAJ	VYBER KARTOU	500	76059	\N	\N	0
445440	1513	1998-11-12	VYDAJ	VYBER KARTOU	700	79493	\N	\N	0
445454	1513	1994-01-31	VYDAJ	VYBER	15	33679	SLUZBY	\N	\N
445455	1513	1994-02-28	VYDAJ	VYBER	15	28188	SLUZBY	\N	\N
445456	1513	1994-03-31	VYDAJ	VYBER	15	30373	SLUZBY	\N	\N
445457	1513	1994-04-30	VYDAJ	VYBER	15	31875	SLUZBY	\N	\N
445458	1513	1994-05-31	VYDAJ	VYBER	15	31980	SLUZBY	\N	\N
445459	1513	1994-06-30	VYDAJ	VYBER	15	30578	SLUZBY	\N	\N
445460	1513	1994-07-31	VYDAJ	VYBER	15	29073	SLUZBY	\N	\N
445461	1513	1994-08-31	VYDAJ	VYBER	15	34175	SLUZBY	\N	\N
445462	1513	1994-09-30	VYDAJ	VYBER	15	33887	SLUZBY	\N	\N
445463	1513	1994-10-31	VYDAJ	VYBER	15	34299	SLUZBY	\N	\N
445464	1513	1994-11-30	VYDAJ	VYBER	15	37618	SLUZBY	\N	\N
445465	1513	1994-12-31	VYDAJ	VYBER	15	38067	SLUZBY	\N	\N
445466	1513	1995-01-31	VYDAJ	VYBER	15	29276	SLUZBY	\N	\N
445467	1513	1995-02-28	VYDAJ	VYBER	15	34983	SLUZBY	\N	\N
445468	1513	1995-03-31	VYDAJ	VYBER	15	37101	SLUZBY	\N	\N
445469	1513	1995-04-30	VYDAJ	VYBER	15	38726	SLUZBY	\N	\N
445470	1513	1995-05-31	VYDAJ	VYBER	15	40859	SLUZBY	\N	\N
445471	1513	1995-06-30	VYDAJ	VYBER	15	41315	SLUZBY	\N	\N
445472	1513	1995-07-31	VYDAJ	VYBER	15	43664	SLUZBY	\N	\N
445473	1513	1995-08-31	VYDAJ	VYBER	15	34100	SLUZBY	\N	\N
445474	1513	1995-09-30	VYDAJ	VYBER	15	35310	SLUZBY	\N	\N
445475	1513	1995-10-31	VYDAJ	VYBER	15	33315	SLUZBY	\N	\N
445476	1513	1995-11-30	VYDAJ	VYBER	15	33320	SLUZBY	\N	\N
445477	1513	1995-12-31	VYDAJ	VYBER	15	34239	SLUZBY	\N	\N
445478	1513	1996-01-31	VYDAJ	VYBER	15	26629	SLUZBY	\N	\N
445479	1513	1996-02-29	VYDAJ	VYBER	15	36030	SLUZBY	\N	\N
445480	1513	1996-03-31	VYDAJ	VYBER	15	35138	SLUZBY	\N	\N
445481	1513	1996-04-30	VYDAJ	VYBER	15	43368	SLUZBY	\N	\N
445482	1513	1996-05-31	VYDAJ	VYBER	15	48323	SLUZBY	\N	\N
445483	1513	1996-06-30	VYDAJ	VYBER	15	44910	SLUZBY	\N	\N
445484	1513	1996-07-31	VYDAJ	VYBER	15	49070	SLUZBY	\N	\N
445485	1513	1996-08-31	VYDAJ	VYBER	15	49634	SLUZBY	\N	\N
445486	1513	1996-09-30	VYDAJ	VYBER	15	50501	SLUZBY	\N	\N
445487	1513	1996-10-31	VYDAJ	VYBER	15	54883	SLUZBY	\N	\N
445488	1513	1996-11-30	VYDAJ	VYBER	15	53564	SLUZBY	\N	\N
445489	1513	1996-12-31	VYDAJ	VYBER	15	54359	SLUZBY	\N	\N
445490	1513	1997-01-31	VYDAJ	VYBER	15	42316	SLUZBY	\N	\N
445491	1513	1997-02-28	VYDAJ	VYBER	15	41351	SLUZBY	\N	\N
445492	1513	1997-03-31	VYDAJ	VYBER	15	42584	SLUZBY	\N	\N
445493	1513	1997-04-30	VYDAJ	VYBER	15	43019	SLUZBY	\N	\N
445494	1513	1997-05-31	VYDAJ	VYBER	15	47671	SLUZBY	\N	\N
445495	1513	1997-06-30	VYDAJ	VYBER	15	46447	SLUZBY	\N	\N
445496	1513	1997-07-31	VYDAJ	VYBER	15	53118	SLUZBY	\N	\N
445497	1513	1997-08-31	VYDAJ	VYBER	15	56104	SLUZBY	\N	\N
445498	1513	1997-09-30	VYDAJ	VYBER	15	57397	SLUZBY	\N	\N
445499	1513	1997-10-31	VYDAJ	VYBER	15	60301	SLUZBY	\N	\N
445500	1513	1997-11-30	VYDAJ	VYBER	15	62009	SLUZBY	\N	\N
445501	1513	1997-12-31	VYDAJ	VYBER	15	62967	SLUZBY	\N	\N
445502	1513	1998-01-31	VYDAJ	VYBER	15	55992	SLUZBY	\N	\N
445503	1513	1998-02-28	VYDAJ	VYBER	15	63907	SLUZBY	\N	\N
445504	1513	1998-03-31	VYDAJ	VYBER	15	56228	SLUZBY	\N	\N
445505	1513	1998-04-30	VYDAJ	VYBER	15	59841	SLUZBY	\N	\N
445506	1513	1998-05-31	VYDAJ	VYBER	15	65572	SLUZBY	\N	\N
445507	1513	1998-06-30	VYDAJ	VYBER	15	69241	SLUZBY	\N	\N
445508	1513	1998-07-31	VYDAJ	VYBER	15	67408	SLUZBY	\N	\N
445509	1513	1998-08-31	VYDAJ	VYBER	15	66366	SLUZBY	\N	\N
445510	1513	1998-09-30	VYDAJ	VYBER	15	69720	SLUZBY	\N	\N
445511	1513	1998-10-31	VYDAJ	VYBER	15	72181	SLUZBY	\N	\N
445512	1513	1998-11-30	VYDAJ	VYBER	15	69141	SLUZBY	\N	\N
445513	1513	1993-09-22	PRIJEM	VKLAD	4600	20324	\N	\N	\N
445514	1513	1993-10-22	VYDAJ	VYBER	3500	32073	\N	\N	\N
445515	1513	1993-11-21	VYDAJ	VYBER	10400	36998	\N	\N	\N
445516	1513	1993-12-21	VYDAJ	VYBER	19000	40974	\N	\N	\N
445517	1513	1994-01-20	VYDAJ	VYBER	9500	38621	\N	\N	\N
445518	1513	1994-02-19	VYDAJ	VYBER	10500	30854	\N	\N	\N
445519	1513	1994-03-21	VYDAJ	VYBER	1400	30263	\N	\N	\N
445520	1513	1994-04-20	VYDAJ	VYBER	6300	31748	\N	\N	\N
445521	1513	1994-05-20	VYDAJ	VYBER	7700	31850	\N	\N	\N
445522	1513	1994-06-19	VYDAJ	VYBER	600	30467	\N	\N	\N
445523	1513	1994-07-19	VYDAJ	VYBER	6100	28953	\N	\N	\N
445524	1513	1994-08-18	VYDAJ	VYBER	2700	34048	\N	\N	\N
445525	1513	1994-09-17	VYDAJ	VYBER	8100	33750	\N	\N	\N
445526	1513	1994-10-17	VYDAJ	VYBER	6700	34862	\N	\N	\N
445527	1513	1994-11-16	VYDAJ	VYBER	4500	37474	\N	\N	\N
445528	1513	1994-12-16	VYDAJ	VYBER	12300	40605	\N	\N	\N
445529	1513	1995-01-15	VYDAJ	VYBER	8100	34242	\N	\N	\N
445530	1513	1995-02-14	VYDAJ	VYBER	2100	35540	\N	\N	\N
445531	1513	1995-03-16	VYDAJ	VYBER	4800	36958	\N	\N	\N
445532	1513	1995-04-15	VYDAJ	VYBER	6200	38576	\N	\N	\N
445533	1513	1995-05-15	VYDAJ	VYBER	5700	40701	\N	\N	\N
445534	1513	1995-06-14	VYDAJ	VYBER	2700	43467	\N	\N	\N
445535	1513	1995-07-14	VYDAJ	VYBER	5500	45811	\N	\N	\N
445536	1513	1995-08-13	VYDAJ	VYBER	10800	42860	\N	\N	\N
445537	1513	1995-09-12	VYDAJ	VYBER	4400	41012	\N	\N	\N
445538	1513	1995-10-12	VYDAJ	VYBER	9800	36822	\N	\N	\N
445539	1513	1995-11-11	VYDAJ	VYBER	4100	40527	\N	\N	\N
445540	1513	1995-12-11	VYDAJ	VYBER	11800	40444	\N	\N	\N
445541	1513	1996-01-10	VYDAJ	VYBER	7500	36551	\N	\N	\N
445542	1513	1996-02-09	PRIJEM	VKLAD	6200	25617	\N	\N	\N
445543	1513	1996-03-10	VYDAJ	VYBER	8700	38642	\N	\N	\N
445544	1513	1996-04-09	PRIJEM	VKLAD	400	31626	\N	\N	\N
445545	1513	1996-05-09	VYDAJ	VYBER	2900	36556	\N	\N	\N
445546	1513	1996-06-08	VYDAJ	VYBER	8600	35811	\N	\N	\N
445547	1513	1996-07-08	VYDAJ	VYBER	3700	41210	\N	\N	\N
445548	1513	1996-08-07	VYDAJ	VYBER	7300	41770	\N	\N	\N
445549	1513	1996-09-06	VYDAJ	VYBER	7000	42634	\N	\N	\N
445550	1513	1996-10-06	VYDAJ	VYBER	3500	47001	\N	\N	\N
445551	1513	1996-11-05	VYDAJ	VYBER	9200	45683	\N	\N	\N
445552	1513	1996-12-05	VYDAJ	VYBER	8000	41364	\N	\N	\N
445553	1513	1997-01-04	VYDAJ	VYBER	8700	45659	\N	\N	\N
445554	1513	1997-02-03	VYDAJ	VYBER	3900	38416	\N	\N	\N
445555	1513	1997-03-05	VYDAJ	VYBER	4600	36751	\N	\N	\N
445556	1513	1997-04-04	VYDAJ	VYBER	7400	35184	\N	\N	\N
445557	1513	1997-05-04	VYDAJ	VYBER	3200	39819	\N	\N	\N
445558	1513	1997-06-03	VYDAJ	VYBER	4700	42971	\N	\N	\N
445559	1513	1997-07-03	VYDAJ	VYBER	1200	45247	\N	\N	\N
445560	1513	1997-08-02	VYDAJ	VYBER	4900	48218	\N	\N	\N
445561	1513	1997-09-01	VYDAJ	VYBER	6600	49504	\N	\N	\N
445562	1513	1997-10-01	VYDAJ	VYBER	5000	52397	\N	\N	\N
445563	1513	1997-10-31	VYDAJ	VYBER	5200	55101	\N	\N	\N
445564	1513	1997-11-30	VYDAJ	VYBER	4100	57909	\N	\N	\N
445565	1513	1997-12-30	VYDAJ	VYBER	9300	62696	\N	\N	\N
445566	1513	1998-01-29	VYDAJ	VYBER	7900	56542	\N	\N	\N
445567	1513	1998-02-28	VYDAJ	VYBER	9100	54807	\N	\N	\N
445568	1513	1998-03-30	VYDAJ	VYBER	6500	55982	\N	\N	\N
445569	1513	1998-04-29	VYDAJ	VYBER	4300	59603	\N	\N	\N
445570	1513	1998-05-29	VYDAJ	VYBER KARTOU	2200	65316	\N	\N	0
445571	1513	1998-06-28	VYDAJ	VYBER	7100	68959	\N	\N	\N
445572	1513	1998-07-28	VYDAJ	VYBER	9800	67116	\N	\N	\N
445573	1513	1998-08-27	VYDAJ	VYBER	9000	66083	\N	\N	\N
445574	1513	1998-09-26	VYDAJ	VYBER	4600	69441	\N	\N	\N
445575	1513	1998-10-26	VYDAJ	VYBER KARTOU	1100	71895	\N	\N	0
445576	1513	1998-11-25	VYDAJ	VYBER	6200	68856	\N	\N	\N
445641	1514	1997-07-01	PRIJEM	VKLAD	900	900	\N	\N	\N
445648	1514	1997-07-08	PRIJEM	PREVOD Z UCTU	5930	6830	DUCHOD	QR	38932639
445649	1514	1997-08-08	PRIJEM	PREVOD Z UCTU	5930	12782	DUCHOD	QR	38932639
445650	1514	1997-09-08	PRIJEM	PREVOD Z UCTU	5930	18741	DUCHOD	QR	38932639
445651	1514	1997-10-08	PRIJEM	PREVOD Z UCTU	5930	24699	DUCHOD	QR	38932639
445652	1514	1997-11-08	PRIJEM	PREVOD Z UCTU	5930	30657	DUCHOD	QR	38932639
445653	1514	1997-12-08	PRIJEM	PREVOD Z UCTU	5930	29792	DUCHOD	QR	38932639
445654	1514	1998-01-08	PRIJEM	PREVOD Z UCTU	5930	29963	DUCHOD	QR	38932639
445655	1514	1998-02-08	PRIJEM	PREVOD Z UCTU	5930	29417	DUCHOD	QR	38932639
445656	1514	1998-03-08	PRIJEM	PREVOD Z UCTU	5930	26869	DUCHOD	QR	38932639
445657	1514	1998-04-08	PRIJEM	PREVOD Z UCTU	5930	25669	DUCHOD	QR	38932639
445658	1514	1998-05-08	PRIJEM	PREVOD Z UCTU	5930	25806	DUCHOD	QR	38932639
445659	1514	1998-06-08	PRIJEM	PREVOD Z UCTU	5930	26744	DUCHOD	QR	38932639
445660	1514	1998-07-08	PRIJEM	PREVOD Z UCTU	5930	25784	DUCHOD	QR	38932639
445661	1514	1998-08-08	PRIJEM	PREVOD Z UCTU	5930	26622	DUCHOD	QR	38932639
445662	1514	1998-09-08	PRIJEM	PREVOD Z UCTU	5930	26620	DUCHOD	QR	38932639
445663	1514	1998-10-08	PRIJEM	PREVOD Z UCTU	5930	28862	DUCHOD	QR	38932639
445664	1514	1998-11-08	PRIJEM	PREVOD Z UCTU	5930	29993	DUCHOD	QR	38932639
445665	1514	1998-12-08	PRIJEM	PREVOD Z UCTU	5930	25118	DUCHOD	QR	38932639
445677	1514	1997-12-05	VYDAJ	PREVOD NA UCET	1547	26096	SIPO	ST	47490662
445678	1514	1998-01-05	VYDAJ	PREVOD NA UCET	1547	26267	SIPO	ST	47490662
445679	1514	1998-02-05	VYDAJ	PREVOD NA UCET	1547	25721	SIPO	ST	47490662
445680	1514	1998-03-05	VYDAJ	PREVOD NA UCET	1547	23173	SIPO	ST	47490662
445681	1514	1998-04-05	VYDAJ	PREVOD NA UCET	1547	21973	SIPO	ST	47490662
445682	1514	1998-05-05	VYDAJ	PREVOD NA UCET	1547	22110	SIPO	ST	47490662
445683	1514	1998-06-05	VYDAJ	PREVOD NA UCET	1547	23048	SIPO	ST	47490662
445684	1514	1998-07-05	VYDAJ	PREVOD NA UCET	1547	22088	SIPO	ST	47490662
445685	1514	1998-08-05	VYDAJ	PREVOD NA UCET	1547	22926	SIPO	ST	47490662
445686	1514	1998-09-05	VYDAJ	PREVOD NA UCET	1547	22924	SIPO	ST	47490662
445687	1514	1998-10-05	VYDAJ	PREVOD NA UCET	1547	25166	SIPO	ST	47490662
445688	1514	1998-11-05	VYDAJ	PREVOD NA UCET	1547	26297	SIPO	ST	47490662
445689	1514	1998-12-05	VYDAJ	PREVOD NA UCET	1547	21422	SIPO	ST	47490662
445701	1514	1997-12-06	VYDAJ	PREVOD NA UCET	2234	23862	 	WX	89040159
445702	1514	1998-01-06	VYDAJ	PREVOD NA UCET	2234	24033	 	WX	89040159
445703	1514	1998-02-06	VYDAJ	PREVOD NA UCET	2234	23487	 	WX	89040159
445704	1514	1998-03-06	VYDAJ	PREVOD NA UCET	2234	20939	 	WX	89040159
445705	1514	1998-04-06	VYDAJ	PREVOD NA UCET	2234	19739	 	WX	89040159
445706	1514	1998-05-06	VYDAJ	PREVOD NA UCET	2234	19876	 	WX	89040159
445707	1514	1998-06-06	VYDAJ	PREVOD NA UCET	2234	20814	 	WX	89040159
445708	1514	1998-07-06	VYDAJ	PREVOD NA UCET	2234	19854	 	WX	89040159
445709	1514	1998-08-06	VYDAJ	PREVOD NA UCET	2234	20692	 	WX	89040159
445710	1514	1998-09-06	VYDAJ	PREVOD NA UCET	2234	20690	 	WX	89040159
445711	1514	1998-10-06	VYDAJ	PREVOD NA UCET	2234	22932	 	WX	89040159
445712	1514	1998-11-06	VYDAJ	PREVOD NA UCET	2234	24063	 	WX	89040159
445713	1514	1998-12-06	VYDAJ	PREVOD NA UCET	2234	19188	 	WX	89040159
445714	1514	1997-12-16	VYDAJ	VYBER	1200	28592	\N	\N	\N
445715	1514	1998-12-11	VYDAJ	VYBER	1250	20668	\N	\N	\N
445720	1514	1997-11-27	VYDAJ	VYBER	3040	27617	\N	\N	\N
445721	1514	1997-12-17	VYDAJ	VYBER	880	27712	\N	\N	\N
445723	1514	1998-03-23	VYDAJ	VYBER	2240	24629	\N	\N	\N
445724	1514	1998-11-16	VYDAJ	VYBER	3200	26793	\N	\N	\N
445725	1514	1998-11-03	VYDAJ	VYBER	1120	27844	\N	\N	\N
445726	1514	1998-08-18	VYDAJ	VYBER	2240	24382	\N	\N	\N
445727	1514	1998-11-21	VYDAJ	VYBER	3920	22873	\N	\N	\N
445728	1514	1998-12-09	VYDAJ	VYBER	3200	21918	\N	\N	\N
445740	1514	1997-11-30	VYDAJ	VYBER	15	27643	SLUZBY	\N	\N
445741	1514	1997-12-31	VYDAJ	VYBER	15	27814	SLUZBY	\N	\N
445742	1514	1998-01-31	VYDAJ	VYBER	15	27268	SLUZBY	\N	\N
445743	1514	1998-02-28	VYDAJ	VYBER	15	24720	SLUZBY	\N	\N
445744	1514	1998-03-31	VYDAJ	VYBER	15	23520	SLUZBY	\N	\N
445745	1514	1998-04-30	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
445746	1514	1998-05-31	VYDAJ	VYBER	15	24595	SLUZBY	\N	\N
445747	1514	1998-06-30	VYDAJ	VYBER	15	23635	SLUZBY	\N	\N
445748	1514	1998-07-31	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
445749	1514	1998-08-31	VYDAJ	VYBER	15	24471	SLUZBY	\N	\N
445750	1514	1998-09-30	VYDAJ	VYBER	15	26713	SLUZBY	\N	\N
445751	1514	1998-10-31	VYDAJ	VYBER	15	28964	SLUZBY	\N	\N
445752	1514	1998-11-30	VYDAJ	VYBER	15	22969	SLUZBY	\N	\N
445753	1514	1998-01-27	VYDAJ	VYBER	2800	27163	\N	\N	\N
445754	1514	1998-02-26	VYDAJ	VYBER	4800	24617	\N	\N	\N
445755	1514	1998-03-28	VYDAJ	VYBER	1200	23429	\N	\N	\N
445756	1514	1998-04-27	VYDAJ	VYBER	2100	23569	\N	\N	\N
445757	1514	1998-05-27	VYDAJ	VYBER	1300	24506	\N	\N	\N
445758	1514	1998-06-26	VYDAJ	VYBER	3200	23544	\N	\N	\N
445759	1514	1998-07-26	VYDAJ	VYBER	1400	24384	\N	\N	\N
445778	1515	1993-06-11	PRIJEM	VKLAD	400	400	\N	\N	\N
445785	1515	1993-07-07	PRIJEM	PREVOD Z UCTU	27343	27743	\N	ST	61475825
445786	1515	1993-08-07	PRIJEM	PREVOD Z UCTU	27343	52056	\N	ST	61475825
445787	1515	1993-09-07	PRIJEM	PREVOD Z UCTU	27343	66544	\N	ST	61475825
445788	1515	1993-10-07	PRIJEM	PREVOD Z UCTU	27343	74875	\N	ST	61475825
445789	1515	1993-11-07	PRIJEM	PREVOD Z UCTU	27343	78526	\N	ST	61475825
445790	1515	1993-12-07	PRIJEM	PREVOD Z UCTU	41014	75231	\N	ST	61475825
445791	1515	1994-01-07	PRIJEM	PREVOD Z UCTU	27343	74645	\N	ST	61475825
445792	1515	1994-02-07	PRIJEM	PREVOD Z UCTU	27343	52816	\N	ST	61475825
445793	1515	1994-03-07	PRIJEM	PREVOD Z UCTU	27343	75111	\N	ST	61475825
445794	1515	1994-04-07	PRIJEM	PREVOD Z UCTU	27343	71818	\N	ST	61475825
445795	1515	1994-05-07	PRIJEM	PREVOD Z UCTU	27343	61581	\N	ST	61475825
445796	1515	1994-06-07	PRIJEM	PREVOD Z UCTU	41014	74648	\N	ST	61475825
445797	1515	1994-07-07	PRIJEM	PREVOD Z UCTU	27343	76430	\N	ST	61475825
445798	1515	1994-08-07	PRIJEM	PREVOD Z UCTU	27343	68719	\N	ST	61475825
445799	1515	1994-09-07	PRIJEM	PREVOD Z UCTU	27343	69885	\N	ST	61475825
445800	1515	1994-10-07	PRIJEM	PREVOD Z UCTU	27343	73868	\N	ST	61475825
445801	1515	1994-11-07	PRIJEM	PREVOD Z UCTU	27343	74768	\N	ST	61475825
445802	1515	1994-12-07	PRIJEM	PREVOD Z UCTU	41014	83322	\N	ST	61475825
445803	1515	1995-01-07	PRIJEM	PREVOD Z UCTU	27343	69415	\N	ST	61475825
445804	1515	1995-02-07	PRIJEM	PREVOD Z UCTU	27343	66751	\N	ST	61475825
445805	1515	1995-03-07	PRIJEM	PREVOD Z UCTU	27343	62865	\N	ST	61475825
445806	1515	1995-04-07	PRIJEM	PREVOD Z UCTU	27343	63318	\N	ST	61475825
445807	1515	1995-05-07	PRIJEM	PREVOD Z UCTU	27343	74966	\N	ST	61475825
445808	1515	1995-06-07	PRIJEM	PREVOD Z UCTU	41014	89932	\N	ST	61475825
445809	1515	1995-07-07	PRIJEM	PREVOD Z UCTU	27343	88978	\N	ST	61475825
445810	1515	1995-08-07	PRIJEM	PREVOD Z UCTU	27343	73216	\N	ST	61475825
445811	1515	1995-09-07	PRIJEM	PREVOD Z UCTU	27343	57715	\N	ST	61475825
445812	1515	1995-10-07	PRIJEM	PREVOD Z UCTU	27343	75029	\N	ST	61475825
445813	1515	1995-11-07	PRIJEM	PREVOD Z UCTU	27343	83914	\N	ST	61475825
445814	1515	1995-12-07	PRIJEM	PREVOD Z UCTU	41014	83903	\N	ST	61475825
445815	1515	1996-01-07	PRIJEM	PREVOD Z UCTU	27343	72331	\N	ST	61475825
445816	1515	1996-02-07	PRIJEM	PREVOD Z UCTU	27343	61386	\N	ST	61475825
445817	1515	1996-03-07	PRIJEM	PREVOD Z UCTU	27343	72494	\N	ST	61475825
445818	1515	1996-04-07	PRIJEM	PREVOD Z UCTU	27343	59107	\N	ST	61475825
445819	1515	1996-05-07	PRIJEM	PREVOD Z UCTU	27343	74036	\N	ST	61475825
445820	1515	1996-06-07	PRIJEM	PREVOD Z UCTU	41014	92576	\N	ST	61475825
445821	1515	1996-07-07	PRIJEM	PREVOD Z UCTU	27343	87801	\N	ST	61475825
445822	1515	1996-08-07	PRIJEM	PREVOD Z UCTU	27343	85017	\N	ST	61475825
445823	1515	1996-09-07	PRIJEM	PREVOD Z UCTU	27343	63318	\N	ST	61475825
445824	1515	1996-10-07	PRIJEM	PREVOD Z UCTU	27343	58945	\N	ST	61475825
445825	1515	1996-11-07	PRIJEM	PREVOD Z UCTU	27343	70462	\N	ST	61475825
445826	1515	1996-12-07	PRIJEM	PREVOD Z UCTU	41014	91186	\N	ST	61475825
445827	1515	1997-01-07	PRIJEM	PREVOD Z UCTU	27343	74248	\N	ST	61475825
445828	1515	1997-02-07	PRIJEM	PREVOD Z UCTU	27343	54059	\N	ST	61475825
445829	1515	1997-03-07	PRIJEM	PREVOD Z UCTU	27343	61961	\N	ST	61475825
445830	1515	1997-04-07	PRIJEM	PREVOD Z UCTU	27343	77987	\N	ST	61475825
445831	1515	1997-05-07	PRIJEM	PREVOD Z UCTU	27343	71489	\N	ST	61475825
445832	1515	1997-06-07	PRIJEM	PREVOD Z UCTU	41014	70167	\N	ST	61475825
445833	1515	1997-07-07	PRIJEM	PREVOD Z UCTU	27343	72425	\N	ST	61475825
445834	1515	1997-08-07	PRIJEM	PREVOD Z UCTU	27343	64870	\N	ST	61475825
445835	1515	1997-09-07	PRIJEM	PREVOD Z UCTU	27343	70043	\N	ST	61475825
445836	1515	1997-10-07	PRIJEM	PREVOD Z UCTU	27343	73056	\N	ST	61475825
445837	1515	1997-11-07	PRIJEM	PREVOD Z UCTU	27343	80830	\N	ST	61475825
445838	1515	1997-12-07	PRIJEM	PREVOD Z UCTU	41014	72041	\N	ST	61475825
445839	1515	1998-01-07	PRIJEM	PREVOD Z UCTU	27343	75268	\N	ST	61475825
445840	1515	1998-02-07	PRIJEM	PREVOD Z UCTU	27343	58635	\N	ST	61475825
445841	1515	1998-03-07	PRIJEM	PREVOD Z UCTU	27343	60131	\N	ST	61475825
445842	1515	1998-04-07	PRIJEM	PREVOD Z UCTU	27343	63118	\N	ST	61475825
445843	1515	1998-05-07	PRIJEM	PREVOD Z UCTU	27343	58064	\N	ST	61475825
445844	1515	1998-06-07	PRIJEM	PREVOD Z UCTU	41014	79274	\N	ST	61475825
445845	1515	1998-07-07	PRIJEM	PREVOD Z UCTU	27343	74125	\N	ST	61475825
445846	1515	1998-08-07	PRIJEM	PREVOD Z UCTU	27343	82357	\N	ST	61475825
445847	1515	1998-09-07	PRIJEM	PREVOD Z UCTU	27343	71746	\N	ST	61475825
445848	1515	1998-10-07	PRIJEM	PREVOD Z UCTU	27343	81022	\N	ST	61475825
445849	1515	1998-11-07	PRIJEM	PREVOD Z UCTU	27343	75584	\N	ST	61475825
445850	1515	1998-12-07	PRIJEM	PREVOD Z UCTU	41014	70588	\N	ST	61475825
445861	1515	1993-11-13	VYDAJ	PREVOD NA UCET	1538	49388	SIPO	IJ	74637114
445862	1515	1993-12-13	VYDAJ	PREVOD NA UCET	1538	47886	SIPO	IJ	74637114
445863	1515	1994-01-13	VYDAJ	PREVOD NA UCET	1538	33400	SIPO	IJ	74637114
445864	1515	1994-02-13	VYDAJ	PREVOD NA UCET	1538	48371	SIPO	IJ	74637114
445865	1515	1994-03-13	VYDAJ	PREVOD NA UCET	1538	47973	SIPO	IJ	74637114
445866	1515	1994-04-13	VYDAJ	PREVOD NA UCET	1538	48480	SIPO	IJ	74637114
445867	1515	1994-05-13	VYDAJ	PREVOD NA UCET	1538	38936	SIPO	IJ	74637114
445868	1515	1994-06-13	VYDAJ	PREVOD NA UCET	1538	70203	SIPO	IJ	74637114
445869	1515	1994-07-13	VYDAJ	PREVOD NA UCET	1538	71985	SIPO	IJ	74637114
445870	1515	1994-08-13	VYDAJ	PREVOD NA UCET	1538	64274	SIPO	IJ	74637114
445871	1515	1994-09-13	VYDAJ	PREVOD NA UCET	1538	68347	SIPO	IJ	74637114
445872	1515	1994-10-13	VYDAJ	PREVOD NA UCET	1538	72330	SIPO	IJ	74637114
445873	1515	1994-11-13	VYDAJ	PREVOD NA UCET	1538	64830	SIPO	IJ	74637114
445874	1515	1994-12-13	VYDAJ	PREVOD NA UCET	1538	78877	SIPO	IJ	74637114
445875	1515	1995-01-13	VYDAJ	PREVOD NA UCET	1538	55370	SIPO	IJ	74637114
445876	1515	1995-02-13	VYDAJ	PREVOD NA UCET	1538	65213	SIPO	IJ	74637114
445877	1515	1995-03-13	VYDAJ	PREVOD NA UCET	1538	61327	SIPO	IJ	74637114
445878	1515	1995-04-13	VYDAJ	PREVOD NA UCET	1538	61780	SIPO	IJ	74637114
445879	1515	1995-05-13	VYDAJ	PREVOD NA UCET	1538	73428	SIPO	IJ	74637114
445880	1515	1995-06-13	VYDAJ	PREVOD NA UCET	1538	88394	SIPO	IJ	74637114
445881	1515	1995-07-13	VYDAJ	PREVOD NA UCET	1538	66700	SIPO	IJ	74637114
445882	1515	1995-08-13	VYDAJ	PREVOD NA UCET	1538	48249	SIPO	IJ	74637114
445883	1515	1995-09-13	VYDAJ	PREVOD NA UCET	1538	56177	SIPO	IJ	74637114
445884	1515	1995-10-13	VYDAJ	PREVOD NA UCET	1538	70584	SIPO	IJ	74637114
445885	1515	1995-11-13	VYDAJ	PREVOD NA UCET	1538	48047	SIPO	IJ	74637114
445886	1515	1995-12-13	VYDAJ	PREVOD NA UCET	1538	68422	SIPO	IJ	74637114
445887	1515	1996-01-13	VYDAJ	PREVOD NA UCET	1538	70793	SIPO	IJ	74637114
445888	1515	1996-02-13	VYDAJ	PREVOD NA UCET	1538	56941	SIPO	IJ	74637114
445889	1515	1996-03-13	VYDAJ	PREVOD NA UCET	1538	70956	SIPO	IJ	74637114
445890	1515	1996-04-13	VYDAJ	PREVOD NA UCET	1538	57569	SIPO	IJ	74637114
445891	1515	1996-05-13	VYDAJ	PREVOD NA UCET	1538	69591	SIPO	IJ	74637114
445892	1515	1996-06-13	VYDAJ	PREVOD NA UCET	1538	88131	SIPO	IJ	74637114
445893	1515	1996-07-13	VYDAJ	PREVOD NA UCET	1538	83356	SIPO	IJ	74637114
445894	1515	1996-08-13	VYDAJ	PREVOD NA UCET	1538	80572	SIPO	IJ	74637114
445895	1515	1996-09-13	VYDAJ	PREVOD NA UCET	1538	56489	SIPO	IJ	74637114
445896	1515	1996-10-13	VYDAJ	PREVOD NA UCET	1538	54500	SIPO	IJ	74637114
445897	1515	1996-11-13	VYDAJ	PREVOD NA UCET	1538	68924	SIPO	IJ	74637114
445898	1515	1996-12-13	VYDAJ	PREVOD NA UCET	1538	75132	SIPO	IJ	74637114
445899	1515	1997-01-13	VYDAJ	PREVOD NA UCET	1538	58403	SIPO	IJ	74637114
445900	1515	1997-02-13	VYDAJ	PREVOD NA UCET	1538	31073	SIPO	IJ	74637114
445901	1515	1997-03-13	VYDAJ	PREVOD NA UCET	1538	60423	SIPO	IJ	74637114
445902	1515	1997-04-13	VYDAJ	PREVOD NA UCET	1538	54123	SIPO	IJ	74637114
445903	1515	1997-05-13	VYDAJ	PREVOD NA UCET	1538	67044	SIPO	IJ	74637114
445904	1515	1997-06-13	VYDAJ	PREVOD NA UCET	1538	68629	SIPO	IJ	74637114
445905	1515	1997-07-13	VYDAJ	PREVOD NA UCET	1538	67980	SIPO	IJ	74637114
445906	1515	1997-08-13	VYDAJ	PREVOD NA UCET	1538	60425	SIPO	IJ	74637114
445907	1515	1997-09-13	VYDAJ	PREVOD NA UCET	1538	54405	SIPO	IJ	74637114
445908	1515	1997-10-13	VYDAJ	PREVOD NA UCET	1538	71518	SIPO	IJ	74637114
445909	1515	1997-11-13	VYDAJ	PREVOD NA UCET	1538	64685	SIPO	IJ	74637114
445910	1515	1997-12-13	VYDAJ	PREVOD NA UCET	1538	69003	SIPO	IJ	74637114
445911	1515	1998-01-13	VYDAJ	PREVOD NA UCET	1538	64130	SIPO	IJ	74637114
445912	1515	1998-02-13	VYDAJ	PREVOD NA UCET	1538	54190	SIPO	IJ	74637114
445913	1515	1998-03-13	VYDAJ	PREVOD NA UCET	1538	55686	SIPO	IJ	74637114
445914	1515	1998-04-13	VYDAJ	PREVOD NA UCET	1538	58673	SIPO	IJ	74637114
445915	1515	1998-05-13	VYDAJ	PREVOD NA UCET	1538	56526	SIPO	IJ	74637114
445916	1515	1998-06-13	VYDAJ	PREVOD NA UCET	1538	77736	SIPO	IJ	74637114
445917	1515	1998-07-13	VYDAJ	PREVOD NA UCET	1538	70372	SIPO	IJ	74637114
445918	1515	1998-08-13	VYDAJ	PREVOD NA UCET	1538	67840	SIPO	IJ	74637114
445919	1515	1998-09-13	VYDAJ	PREVOD NA UCET	1538	54201	SIPO	IJ	74637114
445920	1515	1998-10-13	VYDAJ	PREVOD NA UCET	1538	76577	SIPO	IJ	74637114
445921	1515	1998-11-13	VYDAJ	PREVOD NA UCET	1538	52739	SIPO	IJ	74637114
445922	1515	1998-12-13	VYDAJ	PREVOD NA UCET	1538	53650	SIPO	IJ	74637114
445934	1515	1993-12-05	VYDAJ	PREVOD NA UCET	774	34217	 	CD	84623413
445935	1515	1994-01-05	VYDAJ	PREVOD NA UCET	774	47302	 	CD	84623413
445936	1515	1994-02-05	VYDAJ	PREVOD NA UCET	774	21073	 	CD	84623413
445937	1515	1994-03-05	VYDAJ	PREVOD NA UCET	774	47768	 	CD	84623413
445938	1515	1994-04-05	VYDAJ	PREVOD NA UCET	774	44475	 	CD	84623413
445939	1515	1994-05-05	VYDAJ	PREVOD NA UCET	774	34238	 	CD	84623413
445940	1515	1994-06-05	VYDAJ	PREVOD NA UCET	774	38334	 	CD	84623413
445941	1515	1994-07-05	VYDAJ	PREVOD NA UCET	774	69687	 	CD	84623413
445942	1515	1994-08-05	VYDAJ	PREVOD NA UCET	774	59176	 	CD	84623413
445943	1515	1994-09-05	VYDAJ	PREVOD NA UCET	774	42542	 	CD	84623413
445944	1515	1994-10-05	VYDAJ	PREVOD NA UCET	774	46525	 	CD	84623413
445945	1515	1994-11-05	VYDAJ	PREVOD NA UCET	774	47425	 	CD	84623413
445946	1515	1994-12-05	VYDAJ	PREVOD NA UCET	774	42308	 	CD	84623413
445947	1515	1995-01-05	VYDAJ	PREVOD NA UCET	774	42072	 	CD	84623413
445948	1515	1995-02-05	VYDAJ	PREVOD NA UCET	774	39408	 	CD	84623413
445949	1515	1995-03-05	VYDAJ	PREVOD NA UCET	774	35522	 	CD	84623413
445950	1515	1995-04-05	VYDAJ	PREVOD NA UCET	774	35975	 	CD	84623413
445951	1515	1995-05-05	VYDAJ	PREVOD NA UCET	774	47623	 	CD	84623413
445952	1515	1995-06-05	VYDAJ	PREVOD NA UCET	774	48918	 	CD	84623413
445953	1515	1995-07-05	VYDAJ	PREVOD NA UCET	774	61635	 	CD	84623413
445954	1515	1995-08-05	VYDAJ	PREVOD NA UCET	774	45873	 	CD	84623413
445955	1515	1995-09-05	VYDAJ	PREVOD NA UCET	774	30372	 	CD	84623413
445956	1515	1995-10-05	VYDAJ	PREVOD NA UCET	774	47686	 	CD	84623413
445957	1515	1995-11-05	VYDAJ	PREVOD NA UCET	774	56571	 	CD	84623413
445958	1515	1995-12-05	VYDAJ	PREVOD NA UCET	774	42889	 	CD	84623413
445959	1515	1996-01-05	VYDAJ	PREVOD NA UCET	774	44988	 	CD	84623413
445960	1515	1996-02-05	VYDAJ	PREVOD NA UCET	774	34043	 	CD	84623413
445961	1515	1996-03-05	VYDAJ	PREVOD NA UCET	774	45151	 	CD	84623413
445962	1515	1996-04-05	VYDAJ	PREVOD NA UCET	774	31764	 	CD	84623413
445963	1515	1996-05-05	VYDAJ	PREVOD NA UCET	774	46693	 	CD	84623413
445964	1515	1996-06-05	VYDAJ	PREVOD NA UCET	774	51562	 	CD	84623413
445965	1515	1996-07-05	VYDAJ	PREVOD NA UCET	774	60458	 	CD	84623413
445966	1515	1996-08-05	VYDAJ	PREVOD NA UCET	774	57674	 	CD	84623413
445967	1515	1996-09-05	VYDAJ	PREVOD NA UCET	774	35975	 	CD	84623413
445968	1515	1996-10-05	VYDAJ	PREVOD NA UCET	774	31602	 	CD	84623413
445969	1515	1996-11-05	VYDAJ	PREVOD NA UCET	774	43119	 	CD	84623413
445970	1515	1996-12-05	VYDAJ	PREVOD NA UCET	774	50172	 	CD	84623413
445971	1515	1997-01-05	VYDAJ	PREVOD NA UCET	774	46905	 	CD	84623413
445972	1515	1997-02-05	VYDAJ	PREVOD NA UCET	774	26716	 	CD	84623413
445973	1515	1997-03-05	VYDAJ	PREVOD NA UCET	774	34618	 	CD	84623413
445974	1515	1997-04-05	VYDAJ	PREVOD NA UCET	774	50644	 	CD	84623413
445975	1515	1997-05-05	VYDAJ	PREVOD NA UCET	774	44146	 	CD	84623413
445976	1515	1997-06-05	VYDAJ	PREVOD NA UCET	774	29153	 	CD	84623413
445977	1515	1997-07-05	VYDAJ	PREVOD NA UCET	774	45082	 	CD	84623413
445978	1515	1997-08-05	VYDAJ	PREVOD NA UCET	774	37527	 	CD	84623413
445979	1515	1997-09-05	VYDAJ	PREVOD NA UCET	774	42700	 	CD	84623413
445980	1515	1997-10-05	VYDAJ	PREVOD NA UCET	774	45713	 	CD	84623413
445981	1515	1997-11-05	VYDAJ	PREVOD NA UCET	774	53487	 	CD	84623413
445982	1515	1997-12-05	VYDAJ	PREVOD NA UCET	774	31027	 	CD	84623413
445983	1515	1998-01-05	VYDAJ	PREVOD NA UCET	774	50025	 	CD	84623413
445984	1515	1998-02-05	VYDAJ	PREVOD NA UCET	774	31292	 	CD	84623413
445985	1515	1998-03-05	VYDAJ	PREVOD NA UCET	774	45088	 	CD	84623413
445986	1515	1998-04-05	VYDAJ	PREVOD NA UCET	774	35775	 	CD	84623413
445987	1515	1998-05-05	VYDAJ	PREVOD NA UCET	774	30721	 	CD	84623413
445988	1515	1998-06-05	VYDAJ	PREVOD NA UCET	774	38260	 	CD	84623413
445989	1515	1998-07-05	VYDAJ	PREVOD NA UCET	774	46782	 	CD	84623413
445990	1515	1998-08-05	VYDAJ	PREVOD NA UCET	774	55014	 	CD	84623413
445991	1515	1998-09-05	VYDAJ	PREVOD NA UCET	774	44403	 	CD	84623413
445992	1515	1998-10-05	VYDAJ	PREVOD NA UCET	774	53679	 	CD	84623413
445993	1515	1998-11-05	VYDAJ	PREVOD NA UCET	774	48241	 	CD	84623413
445994	1515	1998-12-05	VYDAJ	PREVOD NA UCET	774	29574	 	CD	84623413
446005	1515	1993-11-13	VYDAJ	PREVOD NA UCET	2907	46481	POJISTNE	QR	23320967
446006	1515	1993-12-13	VYDAJ	PREVOD NA UCET	2907	49424	POJISTNE	QR	23320967
446007	1515	1994-01-13	VYDAJ	PREVOD NA UCET	2907	36738	POJISTNE	QR	23320967
446008	1515	1994-02-13	VYDAJ	PREVOD NA UCET	2907	49909	POJISTNE	QR	23320967
446009	1515	1994-03-13	VYDAJ	PREVOD NA UCET	2907	45066	POJISTNE	QR	23320967
446010	1515	1994-04-13	VYDAJ	PREVOD NA UCET	2907	45573	POJISTNE	QR	23320967
446011	1515	1994-05-13	VYDAJ	PREVOD NA UCET	2907	40474	POJISTNE	QR	23320967
446012	1515	1994-06-13	VYDAJ	PREVOD NA UCET	2907	71741	POJISTNE	QR	23320967
446013	1515	1994-07-13	VYDAJ	PREVOD NA UCET	2907	73523	POJISTNE	QR	23320967
446014	1515	1994-08-13	VYDAJ	PREVOD NA UCET	2907	65812	POJISTNE	QR	23320967
446015	1515	1994-09-13	VYDAJ	PREVOD NA UCET	2907	65440	POJISTNE	QR	23320967
446016	1515	1994-10-13	VYDAJ	PREVOD NA UCET	2907	69423	POJISTNE	QR	23320967
446017	1515	1994-11-13	VYDAJ	PREVOD NA UCET	2907	61923	POJISTNE	QR	23320967
446018	1515	1994-12-13	VYDAJ	PREVOD NA UCET	2907	80415	POJISTNE	QR	23320967
446019	1515	1995-01-13	VYDAJ	PREVOD NA UCET	2907	56908	POJISTNE	QR	23320967
446020	1515	1995-02-13	VYDAJ	PREVOD NA UCET	2907	62306	POJISTNE	QR	23320967
446021	1515	1995-03-13	VYDAJ	PREVOD NA UCET	2907	58420	POJISTNE	QR	23320967
446022	1515	1995-04-13	VYDAJ	PREVOD NA UCET	2907	58873	POJISTNE	QR	23320967
446023	1515	1995-05-13	VYDAJ	PREVOD NA UCET	2907	70521	POJISTNE	QR	23320967
446024	1515	1995-06-13	VYDAJ	PREVOD NA UCET	2907	85487	POJISTNE	QR	23320967
446025	1515	1995-07-13	VYDAJ	PREVOD NA UCET	2907	63793	POJISTNE	QR	23320967
446026	1515	1995-08-13	VYDAJ	PREVOD NA UCET	2907	49787	POJISTNE	QR	23320967
446027	1515	1995-09-13	VYDAJ	PREVOD NA UCET	2907	53270	POJISTNE	QR	23320967
446028	1515	1995-10-13	VYDAJ	PREVOD NA UCET	2907	72122	POJISTNE	QR	23320967
446029	1515	1995-11-13	VYDAJ	PREVOD NA UCET	2907	49585	POJISTNE	QR	23320967
446030	1515	1995-12-13	VYDAJ	PREVOD NA UCET	2907	65515	POJISTNE	QR	23320967
446031	1515	1996-01-13	VYDAJ	PREVOD NA UCET	2907	67886	POJISTNE	QR	23320967
446032	1515	1996-02-13	VYDAJ	PREVOD NA UCET	2907	58479	POJISTNE	QR	23320967
446033	1515	1996-03-13	VYDAJ	PREVOD NA UCET	2907	68049	POJISTNE	QR	23320967
446034	1515	1996-04-13	VYDAJ	PREVOD NA UCET	2907	54662	POJISTNE	QR	23320967
446035	1515	1996-05-13	VYDAJ	PREVOD NA UCET	2907	71129	POJISTNE	QR	23320967
446036	1515	1996-06-13	VYDAJ	PREVOD NA UCET	2907	89669	POJISTNE	QR	23320967
446037	1515	1996-07-13	VYDAJ	PREVOD NA UCET	2907	84894	POJISTNE	QR	23320967
446038	1515	1996-08-13	VYDAJ	PREVOD NA UCET	2907	82110	POJISTNE	QR	23320967
446039	1515	1996-09-13	VYDAJ	PREVOD NA UCET	2907	53582	POJISTNE	QR	23320967
446040	1515	1996-10-13	VYDAJ	PREVOD NA UCET	2907	56038	POJISTNE	QR	23320967
446041	1515	1996-11-13	VYDAJ	PREVOD NA UCET	2907	66017	POJISTNE	QR	23320967
446042	1515	1996-12-13	VYDAJ	PREVOD NA UCET	2907	72225	POJISTNE	QR	23320967
446043	1515	1997-01-13	VYDAJ	PREVOD NA UCET	2907	59941	POJISTNE	QR	23320967
446044	1515	1997-02-13	VYDAJ	PREVOD NA UCET	2907	32611	POJISTNE	QR	23320967
446045	1515	1997-03-13	VYDAJ	PREVOD NA UCET	2907	57516	POJISTNE	QR	23320967
446046	1515	1997-04-13	VYDAJ	PREVOD NA UCET	2907	51216	POJISTNE	QR	23320967
446047	1515	1997-05-13	VYDAJ	PREVOD NA UCET	2907	68582	POJISTNE	QR	23320967
446048	1515	1997-06-13	VYDAJ	PREVOD NA UCET	2907	65722	POJISTNE	QR	23320967
446049	1515	1997-07-13	VYDAJ	PREVOD NA UCET	2907	69518	POJISTNE	QR	23320967
446050	1515	1997-08-13	VYDAJ	PREVOD NA UCET	2907	61963	POJISTNE	QR	23320967
446051	1515	1997-09-13	VYDAJ	PREVOD NA UCET	2907	51498	POJISTNE	QR	23320967
446052	1515	1997-10-13	VYDAJ	PREVOD NA UCET	2907	68611	POJISTNE	QR	23320967
446053	1515	1997-11-13	VYDAJ	PREVOD NA UCET	2907	66223	POJISTNE	QR	23320967
446054	1515	1997-12-13	VYDAJ	PREVOD NA UCET	2907	66096	POJISTNE	QR	23320967
446055	1515	1998-01-13	VYDAJ	PREVOD NA UCET	2907	61223	POJISTNE	QR	23320967
446056	1515	1998-02-13	VYDAJ	PREVOD NA UCET	2907	55728	POJISTNE	QR	23320967
446057	1515	1998-03-13	VYDAJ	PREVOD NA UCET	2907	57224	POJISTNE	QR	23320967
446058	1515	1998-04-13	VYDAJ	PREVOD NA UCET	2907	60211	POJISTNE	QR	23320967
446059	1515	1998-05-13	VYDAJ	PREVOD NA UCET	2907	53619	POJISTNE	QR	23320967
446060	1515	1998-06-13	VYDAJ	PREVOD NA UCET	2907	74829	POJISTNE	QR	23320967
446061	1515	1998-07-13	VYDAJ	PREVOD NA UCET	2907	67465	POJISTNE	QR	23320967
446062	1515	1998-08-13	VYDAJ	PREVOD NA UCET	2907	69378	POJISTNE	QR	23320967
446063	1515	1998-09-13	VYDAJ	PREVOD NA UCET	2907	68839	POJISTNE	QR	23320967
446064	1515	1998-10-13	VYDAJ	PREVOD NA UCET	2907	78115	POJISTNE	QR	23320967
446065	1515	1998-11-13	VYDAJ	PREVOD NA UCET	2907	54277	POJISTNE	QR	23320967
446066	1515	1998-12-13	VYDAJ	PREVOD NA UCET	2907	50743	POJISTNE	QR	23320967
446071	1515	1993-11-22	VYBER	VYBER	3276	43205	\N	\N	\N
446075	1515	1994-05-05	VYBER	VYBER	10757	35012	\N	\N	\N
446077	1515	1995-12-28	VYBER	VYBER	19505	46010	\N	\N	\N
446078	1515	1995-11-10	VYBER	VYBER	16722	67192	\N	\N	\N
446079	1515	1995-02-24	VYBER	VYBER	5299	57007	\N	\N	\N
446080	1515	1995-07-09	VYBER	VYBER	13540	75438	\N	\N	\N
446081	1515	1995-03-27	VYBER	VYBER	17683	40737	\N	\N	\N
446082	1515	1995-08-13	VYBER	VYBER	11222	52694	\N	\N	\N
446083	1515	1995-03-05	VYBER	VYBER	7840	36296	\N	\N	\N
446084	1515	1995-08-24	VYBER	VYBER	21787	26462	\N	\N	\N
446085	1515	1995-07-20	VYBER	VYBER	6306	57487	\N	\N	\N
446086	1515	1995-12-13	VYBER	VYBER	12443	69960	\N	\N	\N
446087	1515	1996-12-12	VYBER	VYBER	14516	76670	\N	\N	\N
446088	1515	1996-01-16	VYBER	VYBER	8650	51436	\N	\N	\N
446089	1515	1996-09-10	VYBER	VYBER	5291	58027	\N	\N	\N
446090	1515	1996-04-05	VYBER	VYBER	17546	32538	\N	\N	\N
446091	1515	1997-06-15	VYBER	VYBER	8068	57654	\N	\N	\N
446092	1515	1997-02-07	VYBER	VYBER	18541	35518	\N	\N	\N
446093	1515	1997-08-15	VYBER	VYBER	9933	50492	\N	\N	\N
446094	1515	1997-10-18	VYBER	VYBER	7174	61437	\N	\N	\N
446095	1515	1997-06-02	VYBER	VYBER	22241	29927	\N	\N	\N
446096	1515	1997-11-30	VYBER	VYBER	22409	31816	\N	\N	\N
446098	1515	1997-04-10	VYBER	VYBER	16326	61661	\N	\N	\N
446099	1515	1998-12-03	VYBER	VYBER	7140	30348	\N	\N	\N
446101	1515	1998-11-14	VYBER	VYBER	15425	37314	\N	\N	\N
446102	1515	1998-03-16	VYBER	VYBER	8310	47376	\N	\N	\N
446103	1515	1998-05-28	VYBER	VYBER	6067	38852	\N	\N	\N
446106	1515	1998-06-15	VYBER	VYBER	18096	56733	\N	\N	\N
446107	1515	1998-08-13	VYBER	VYBER	10072	72285	\N	\N	\N
446108	1515	1998-12-30	VYBER	VYBER	16951	32292	\N	\N	\N
446109	1515	1998-05-05	VYBER	VYBER	20172	31495	\N	\N	\N
446111	1515	1998-01-15	VYBER	VYBER	3940	57283	\N	\N	\N
446112	1515	1998-07-13	VYBER	VYBER	2215	71910	\N	\N	\N
446117	1515	1997-06-18	VYDAJ	VYBER	10500	47154	\N	\N	\N
446119	1515	1993-12-02	VYDAJ	VYBER	8400	34991	\N	\N	\N
446120	1515	1994-12-03	VYDAJ	VYBER	5100	43082	\N	\N	\N
446121	1515	1995-12-10	VYDAJ	VYBER	1500	82403	\N	\N	\N
446122	1515	1996-12-30	VYDAJ	VYBER	5100	49825	\N	\N	\N
446123	1515	1997-12-12	VYDAJ	VYBER	1500	70541	\N	\N	\N
446124	1515	1998-12-16	VYDAJ	VYBER KARTOU	1500	49243	\N	\N	0
446131	1515	1994-01-07	VYDAJ	VYBER	2400	72245	\N	\N	\N
446132	1515	1994-01-13	VYDAJ	VYBER	6900	39645	\N	\N	\N
446133	1515	1994-01-20	VYDAJ	VYBER	4500	21700	\N	\N	\N
446134	1515	1994-01-13	VYDAJ	VYBER	7200	26200	\N	\N	\N
446135	1515	1994-01-12	VYDAJ	VYBER	3900	46545	\N	\N	\N
446136	1515	1994-01-13	VYDAJ	VYBER	1800	34938	\N	\N	\N
446137	1515	1995-01-03	VYDAJ	VYBER	2100	42846	\N	\N	\N
446138	1515	1995-01-21	VYDAJ	VYBER	3900	51470	\N	\N	\N
446139	1515	1995-01-29	VYDAJ	VYBER	3300	48170	\N	\N	\N
446140	1515	1995-01-07	VYDAJ	VYBER	7500	61915	\N	\N	\N
446141	1515	1995-01-11	VYDAJ	VYBER	2100	59815	\N	\N	\N
446142	1515	1995-01-02	VYDAJ	VYBER	3600	64146	\N	\N	\N
446143	1515	1996-01-15	VYDAJ	VYBER	7800	60086	\N	\N	\N
446144	1515	1996-01-20	VYDAJ	VYBER	7800	34036	\N	\N	\N
446145	1515	1996-01-20	VYDAJ	VYBER	5100	28936	\N	\N	\N
446146	1515	1996-01-19	VYDAJ	VYBER	5100	41836	\N	\N	\N
446147	1515	1996-01-16	VYDAJ	VYBER	4500	46936	\N	\N	\N
446148	1515	1996-01-20	VYDAJ	VYBER	2100	26836	\N	\N	\N
446149	1515	1997-01-17	VYDAJ	VYBER	8100	50303	\N	\N	\N
446150	1515	1997-01-24	VYDAJ	VYBER	8100	37803	\N	\N	\N
446151	1515	1997-01-03	VYDAJ	VYBER	2400	47679	\N	\N	\N
446152	1515	1997-01-25	VYDAJ	VYBER	7200	30603	\N	\N	\N
446153	1515	1997-01-07	VYDAJ	VYBER	2400	71848	\N	\N	\N
446154	1515	1997-01-29	VYDAJ	VYBER	3300	27303	\N	\N	\N
446155	1515	1998-01-09	VYDAJ	VYBER	4800	65668	\N	\N	\N
446156	1515	1998-01-26	VYDAJ	VYBER	3000	31883	\N	\N	\N
446157	1515	1998-01-08	VYDAJ	VYBER	4800	70468	\N	\N	\N
446158	1515	1998-01-25	VYDAJ	VYBER	5100	34883	\N	\N	\N
446159	1515	1998-01-22	VYDAJ	VYBER	6600	39983	\N	\N	\N
446160	1515	1998-01-05	VYDAJ	VYBER	2100	47925	\N	\N	\N
446167	1515	1994-07-20	VYDAJ	VYBER	12300	59685	\N	\N	\N
446168	1515	1994-11-12	VYDAJ	VYBER	8400	66368	\N	\N	\N
446169	1515	1994-08-25	VYDAJ	VYBER	5400	58874	\N	\N	\N
446170	1515	1994-12-16	VYDAJ	VYBER	11400	67477	\N	\N	\N
446171	1515	1995-07-10	VYDAJ	VYBER	7200	68238	\N	\N	\N
446172	1515	1995-08-10	VYDAJ	VYBER	9300	63916	\N	\N	\N
446173	1515	1995-11-10	VYDAJ	VYBER	14700	52492	\N	\N	\N
446175	1515	1995-05-27	VYDAJ	VYBER	6300	64221	\N	\N	\N
446176	1515	1996-09-02	VYDAJ	VYBER	14700	36749	\N	\N	\N
446177	1515	1996-03-22	VYDAJ	VYBER	7500	60549	\N	\N	\N
446178	1515	1996-11-05	VYDAJ	VYBER	3000	43893	\N	\N	\N
446179	1515	1996-02-16	VYDAJ	VYBER	11400	45541	\N	\N	\N
446180	1515	1996-10-04	VYDAJ	VYBER	11100	32376	\N	\N	\N
446181	1515	1996-08-29	VYDAJ	VYBER	6300	51172	\N	\N	\N
446183	1515	1997-01-11	VYDAJ	VYBER	9000	62848	\N	\N	\N
446184	1515	1997-07-30	VYDAJ	VYBER	14100	38080	\N	\N	\N
446185	1515	1997-09-10	VYDAJ	VYBER	14100	55943	\N	\N	\N
446187	1515	1997-04-12	VYDAJ	VYBER	6000	55661	\N	\N	\N
446188	1515	1997-11-09	VYDAJ	VYBER	11700	69130	\N	\N	\N
446189	1515	1998-09-01	VYDAJ	VYBER	12000	45177	\N	\N	\N
446190	1515	1998-10-20	VYDAJ	VYBER	10200	48777	\N	\N	\N
446191	1515	1998-03-06	VYDAJ	VYBER	12300	32788	\N	\N	\N
446192	1515	1998-03-26	VYDAJ	VYBER	6300	36376	\N	\N	\N
446193	1515	1998-05-26	VYDAJ	VYBER	4200	44919	\N	\N	\N
446205	1515	1993-11-30	VYDAJ	VYBER	15	43391	SLUZBY	\N	\N
446206	1515	1993-12-31	VYDAJ	VYBER	15	48076	SLUZBY	\N	\N
446207	1515	1994-01-31	VYDAJ	VYBER	15	21847	SLUZBY	\N	\N
446208	1515	1994-02-28	VYDAJ	VYBER	15	48542	SLUZBY	\N	\N
446209	1515	1994-03-31	VYDAJ	VYBER	15	45249	SLUZBY	\N	\N
446210	1515	1994-04-30	VYDAJ	VYBER	15	45769	SLUZBY	\N	\N
446211	1515	1994-05-31	VYDAJ	VYBER	15	39108	SLUZBY	\N	\N
446212	1515	1994-06-30	VYDAJ	VYBER	15	70461	SLUZBY	\N	\N
446213	1515	1994-07-31	VYDAJ	VYBER	15	59950	SLUZBY	\N	\N
446214	1515	1994-08-31	VYDAJ	VYBER	15	59116	SLUZBY	\N	\N
446215	1515	1994-09-30	VYDAJ	VYBER	15	65699	SLUZBY	\N	\N
446216	1515	1994-10-31	VYDAJ	VYBER	15	69699	SLUZBY	\N	\N
446217	1515	1994-11-30	VYDAJ	VYBER	15	62182	SLUZBY	\N	\N
446218	1515	1994-12-31	VYDAJ	VYBER	15	67746	SLUZBY	\N	\N
446219	1515	1995-01-31	VYDAJ	VYBER	15	48382	SLUZBY	\N	\N
446220	1515	1995-02-28	VYDAJ	VYBER	15	57236	SLUZBY	\N	\N
446221	1515	1995-03-31	VYDAJ	VYBER	15	40949	SLUZBY	\N	\N
446222	1515	1995-04-30	VYDAJ	VYBER	15	59097	SLUZBY	\N	\N
446223	1515	1995-05-31	VYDAJ	VYBER	15	64492	SLUZBY	\N	\N
446224	1515	1995-06-30	VYDAJ	VYBER	15	85809	SLUZBY	\N	\N
446225	1515	1995-07-31	VYDAJ	VYBER	15	57747	SLUZBY	\N	\N
446226	1515	1995-08-31	VYDAJ	VYBER	15	31146	SLUZBY	\N	\N
446227	1515	1995-09-30	VYDAJ	VYBER	15	48460	SLUZBY	\N	\N
446228	1515	1995-10-31	VYDAJ	VYBER	15	57345	SLUZBY	\N	\N
446229	1515	1995-11-30	VYDAJ	VYBER	15	43663	SLUZBY	\N	\N
446230	1515	1995-12-31	VYDAJ	VYBER	15	45762	SLUZBY	\N	\N
446231	1515	1996-01-31	VYDAJ	VYBER	15	34817	SLUZBY	\N	\N
446232	1515	1996-02-29	VYDAJ	VYBER	15	45925	SLUZBY	\N	\N
446233	1515	1996-03-31	VYDAJ	VYBER	15	50084	SLUZBY	\N	\N
446234	1515	1996-04-30	VYDAJ	VYBER	15	47467	SLUZBY	\N	\N
446235	1515	1996-05-31	VYDAJ	VYBER	15	52336	SLUZBY	\N	\N
446236	1515	1996-06-30	VYDAJ	VYBER	15	61232	SLUZBY	\N	\N
446237	1515	1996-07-31	VYDAJ	VYBER	15	58448	SLUZBY	\N	\N
446238	1515	1996-08-31	VYDAJ	VYBER	15	51449	SLUZBY	\N	\N
446239	1515	1996-09-30	VYDAJ	VYBER	15	43476	SLUZBY	\N	\N
446240	1515	1996-10-31	VYDAJ	VYBER	15	46893	SLUZBY	\N	\N
446241	1515	1996-11-30	VYDAJ	VYBER	15	50946	SLUZBY	\N	\N
446242	1515	1996-12-31	VYDAJ	VYBER	15	50079	SLUZBY	\N	\N
446243	1515	1997-01-31	VYDAJ	VYBER	15	27490	SLUZBY	\N	\N
446244	1515	1997-02-28	VYDAJ	VYBER	15	35392	SLUZBY	\N	\N
446245	1515	1997-03-31	VYDAJ	VYBER	15	51418	SLUZBY	\N	\N
446246	1515	1997-04-30	VYDAJ	VYBER	15	44920	SLUZBY	\N	\N
446247	1515	1997-05-31	VYDAJ	VYBER	15	52168	SLUZBY	\N	\N
446248	1515	1997-06-30	VYDAJ	VYBER	15	45856	SLUZBY	\N	\N
446249	1515	1997-07-31	VYDAJ	VYBER	15	38301	SLUZBY	\N	\N
446250	1515	1997-08-31	VYDAJ	VYBER	15	43474	SLUZBY	\N	\N
446251	1515	1997-09-30	VYDAJ	VYBER	15	46487	SLUZBY	\N	\N
446252	1515	1997-10-31	VYDAJ	VYBER	15	54261	SLUZBY	\N	\N
446253	1515	1997-11-30	VYDAJ	VYBER	15	31801	SLUZBY	\N	\N
446254	1515	1997-12-31	VYDAJ	VYBER	15	50799	SLUZBY	\N	\N
446255	1515	1998-01-31	VYDAJ	VYBER	15	32066	SLUZBY	\N	\N
446256	1515	1998-02-28	VYDAJ	VYBER	15	45862	SLUZBY	\N	\N
446257	1515	1998-03-31	VYDAJ	VYBER	15	36549	SLUZBY	\N	\N
446258	1515	1998-04-30	VYDAJ	VYBER	15	51667	SLUZBY	\N	\N
446259	1515	1998-05-31	VYDAJ	VYBER	15	39034	SLUZBY	\N	\N
446260	1515	1998-06-30	VYDAJ	VYBER	15	47556	SLUZBY	\N	\N
446261	1515	1998-07-31	VYDAJ	VYBER	15	55788	SLUZBY	\N	\N
446262	1515	1998-08-31	VYDAJ	VYBER	15	57177	SLUZBY	\N	\N
446263	1515	1998-09-30	VYDAJ	VYBER	15	54453	SLUZBY	\N	\N
446264	1515	1998-10-31	VYDAJ	VYBER	15	49015	SLUZBY	\N	\N
446265	1515	1998-11-30	VYDAJ	VYBER	15	37488	SLUZBY	\N	\N
446266	1515	1993-07-11	VYDAJ	VYBER	3100	24643	\N	\N	\N
446267	1515	1993-08-10	VYDAJ	VYBER	13000	39056	\N	\N	\N
446268	1515	1993-09-09	VYDAJ	VYBER	19200	47344	\N	\N	\N
446269	1515	1993-10-09	VYDAJ	VYBER	23900	50975	\N	\N	\N
446270	1515	1993-11-08	VYDAJ	VYBER	27600	50926	\N	\N	\N
446271	1515	1993-12-08	VYDAJ	VYBER	22900	52331	\N	\N	\N
446272	1515	1994-01-07	VYDAJ	VYBER	21800	50445	\N	\N	\N
446273	1515	1994-02-06	PRIJEM	VKLAD	4400	25473	\N	\N	\N
446274	1515	1994-03-08	VYDAJ	VYBER	25600	49511	\N	\N	\N
446275	1515	1994-04-07	VYDAJ	VYBER	21800	50018	\N	\N	\N
446276	1515	1994-05-07	VYDAJ	VYBER	18200	43381	\N	\N	\N
446277	1515	1994-06-06	VYDAJ	VYBER	4700	33634	\N	\N	\N
446278	1515	1994-07-06	VYDAJ	VYBER	20600	49087	\N	\N	\N
446279	1515	1994-08-05	VYDAJ	VYBER	17800	41376	\N	\N	\N
446280	1515	1994-09-04	VYDAJ	VYBER	15800	43316	\N	\N	\N
446281	1515	1994-10-04	VYDAJ	VYBER	18400	47299	\N	\N	\N
446282	1515	1994-11-03	VYDAJ	VYBER	21500	48199	\N	\N	\N
446283	1515	1994-12-03	VYDAJ	VYBER	14000	48182	\N	\N	\N
446284	1515	1995-01-02	VYDAJ	VYBER	19200	44946	\N	\N	\N
446285	1515	1995-02-01	VYDAJ	VYBER	8200	40182	\N	\N	\N
446286	1515	1995-03-03	VYDAJ	VYBER	13100	44136	\N	\N	\N
446287	1515	1995-04-02	VYDAJ	VYBER	4200	36749	\N	\N	\N
446288	1515	1995-05-02	VYDAJ	VYBER	10700	48397	\N	\N	\N
446289	1515	1995-06-01	VYDAJ	VYBER	14800	49692	\N	\N	\N
446290	1515	1995-07-01	VYDAJ	VYBER	23400	62409	\N	\N	\N
446291	1515	1995-07-31	VYDAJ	VYBER	11100	46647	\N	\N	\N
446292	1515	1995-08-30	PRIJEM	VKLAD	4500	30962	\N	\N	\N
446293	1515	1995-09-29	VYDAJ	VYBER	5000	48270	\N	\N	\N
446294	1515	1995-10-29	VYDAJ	VYBER	13500	57084	\N	\N	\N
446295	1515	1995-11-28	VYDAJ	VYBER	4600	43447	\N	\N	\N
446296	1515	1995-12-28	VYDAJ	VYBER	500	45510	\N	\N	\N
446297	1515	1996-01-27	PRIJEM	VKLAD	7800	34636	\N	\N	\N
446298	1515	1996-02-26	PRIJEM	VKLAD	200	45741	\N	\N	\N
446299	1515	1996-03-27	VYDAJ	VYBER	10700	49849	\N	\N	\N
446300	1515	1996-04-26	VYDAJ	VYBER	7400	47262	\N	\N	\N
446301	1515	1996-05-26	VYDAJ	VYBER	17500	52091	\N	\N	\N
446302	1515	1996-06-25	VYDAJ	VYBER	27200	60931	\N	\N	\N
446303	1515	1996-07-25	VYDAJ	VYBER	25200	58156	\N	\N	\N
446304	1515	1996-08-24	VYDAJ	VYBER	23100	57472	\N	\N	\N
446305	1515	1996-09-23	VYDAJ	VYBER	10300	43282	\N	\N	\N
446306	1515	1996-10-23	VYDAJ	VYBER	7800	46700	\N	\N	\N
446307	1515	1996-11-22	VYDAJ	VYBER	15300	50717	\N	\N	\N
446308	1515	1996-12-22	VYDAJ	VYBER	17300	54925	\N	\N	\N
446309	1515	1997-01-21	VYDAJ	VYBER	4400	45903	\N	\N	\N
446310	1515	1997-02-20	PRIJEM	VKLAD	4200	35273	\N	\N	\N
446311	1515	1997-03-22	VYDAJ	VYBER	6300	51216	\N	\N	\N
446312	1515	1997-04-21	VYDAJ	VYBER	6500	44716	\N	\N	\N
446313	1515	1997-05-21	VYDAJ	VYBER	15100	51944	\N	\N	\N
446314	1515	1997-06-20	VYDAJ	VYBER	1500	45654	\N	\N	\N
446315	1515	1997-07-20	VYDAJ	VYBER	15800	52180	\N	\N	\N
446316	1515	1997-08-19	VYDAJ	VYBER	7200	43292	\N	\N	\N
446317	1515	1997-09-18	VYDAJ	VYBER	5200	46298	\N	\N	\N
446318	1515	1997-10-18	VYDAJ	VYBER	7400	54037	\N	\N	\N
446319	1515	1997-11-17	VYDAJ	VYBER	10700	53985	\N	\N	\N
446320	1515	1997-12-17	VYDAJ	VYBER	15500	50596	\N	\N	\N
446321	1515	1998-01-16	VYDAJ	VYBER	10700	46583	\N	\N	\N
446322	1515	1998-02-15	VYDAJ	VYBER	8500	45690	\N	\N	\N
446323	1515	1998-03-17	VYDAJ	VYBER	4700	42676	\N	\N	\N
446324	1515	1998-04-16	VYDAJ	VYBER	7200	51473	\N	\N	\N
446325	1515	1998-05-16	VYDAJ	VYBER	4500	49119	\N	\N	\N
446326	1515	1998-06-15	VYDAJ	VYBER	9400	47333	\N	\N	\N
446327	1515	1998-07-15	VYDAJ	VYBER	11900	55565	\N	\N	\N
446328	1515	1998-08-14	VYDAJ	VYBER	10900	56940	\N	\N	\N
446329	1515	1998-09-13	VYDAJ	VYBER	13100	55739	\N	\N	\N
446330	1515	1998-10-13	VYDAJ	VYBER	17600	58977	\N	\N	\N
446331	1515	1998-11-12	VYDAJ	VYBER	18400	57184	\N	\N	\N
446332	1515	1998-12-12	VYDAJ	VYBER	15400	55188	\N	\N	\N
446399	1516	1993-10-08	PRIJEM	VKLAD	500	500	\N	\N	\N
446410	1516	1993-11-05	PRIJEM	PREVOD Z UCTU	3416	3916	\N	CD	86663573
446411	1516	1993-12-05	PRIJEM	PREVOD Z UCTU	3416	7332	\N	CD	86663573
446412	1516	1994-01-05	PRIJEM	PREVOD Z UCTU	3416	10748	\N	CD	86663573
446413	1516	1994-02-05	PRIJEM	PREVOD Z UCTU	3416	14164	\N	CD	86663573
446414	1516	1994-03-05	PRIJEM	PREVOD Z UCTU	3416	17580	\N	CD	86663573
446415	1516	1994-04-05	PRIJEM	PREVOD Z UCTU	3416	18120	\N	CD	86663573
446416	1516	1994-05-05	PRIJEM	PREVOD Z UCTU	3416	18017	\N	CD	86663573
446417	1516	1994-06-05	PRIJEM	PREVOD Z UCTU	3416	18815	\N	CD	86663573
446418	1516	1994-07-05	PRIJEM	PREVOD Z UCTU	3416	19224	\N	CD	86663573
446419	1516	1994-08-05	PRIJEM	PREVOD Z UCTU	3416	20418	\N	CD	86663573
446420	1516	1994-09-05	PRIJEM	PREVOD Z UCTU	3416	21166	\N	CD	86663573
446421	1516	1994-10-05	PRIJEM	PREVOD Z UCTU	3416	22367	\N	CD	86663573
446422	1516	1994-11-05	PRIJEM	PREVOD Z UCTU	3416	23574	\N	CD	86663573
446423	1516	1994-12-05	PRIJEM	PREVOD Z UCTU	3416	24786	\N	CD	86663573
446424	1516	1995-01-05	PRIJEM	PREVOD Z UCTU	3416	26003	\N	CD	86663573
446425	1516	1995-02-05	PRIJEM	PREVOD Z UCTU	3416	24222	\N	CD	86663573
446426	1516	1995-03-05	PRIJEM	PREVOD Z UCTU	3416	24059	\N	CD	86663573
446427	1516	1995-04-05	PRIJEM	PREVOD Z UCTU	3416	25274	\N	CD	86663573
446428	1516	1995-05-05	PRIJEM	PREVOD Z UCTU	3416	26493	\N	CD	86663573
446429	1516	1995-06-05	PRIJEM	PREVOD Z UCTU	3416	27717	\N	CD	86663573
446430	1516	1995-07-05	PRIJEM	PREVOD Z UCTU	3416	23021	\N	CD	86663573
446431	1516	1995-08-05	PRIJEM	PREVOD Z UCTU	3416	24230	\N	CD	86663573
446432	1516	1995-09-05	PRIJEM	PREVOD Z UCTU	3416	25445	\N	CD	86663573
446433	1516	1995-10-05	PRIJEM	PREVOD Z UCTU	3416	25040	\N	CD	86663573
446434	1516	1995-11-05	PRIJEM	PREVOD Z UCTU	3416	26258	\N	CD	86663573
446435	1516	1995-12-05	PRIJEM	PREVOD Z UCTU	3416	27480	\N	CD	86663573
446436	1516	1996-01-05	PRIJEM	PREVOD Z UCTU	3416	27237	\N	CD	86663573
446437	1516	1996-02-05	PRIJEM	PREVOD Z UCTU	3416	27893	\N	CD	86663573
446438	1516	1996-03-05	PRIJEM	PREVOD Z UCTU	3416	29122	\N	CD	86663573
446439	1516	1996-04-05	PRIJEM	PREVOD Z UCTU	3416	29185	\N	CD	86663573
446440	1516	1996-05-05	PRIJEM	PREVOD Z UCTU	3416	29459	\N	CD	86663573
446441	1516	1996-06-05	PRIJEM	PREVOD Z UCTU	3416	30695	\N	CD	86663573
446442	1516	1996-07-05	PRIJEM	PREVOD Z UCTU	3416	30944	\N	CD	86663573
446443	1516	1996-08-05	PRIJEM	PREVOD Z UCTU	3416	32186	\N	CD	86663573
446444	1516	1996-09-05	PRIJEM	PREVOD Z UCTU	3416	32230	\N	CD	86663573
446445	1516	1996-10-05	PRIJEM	PREVOD Z UCTU	3416	32727	\N	CD	86663573
446446	1516	1996-11-05	PRIJEM	PREVOD Z UCTU	3416	31780	\N	CD	86663573
446447	1516	1996-12-05	PRIJEM	PREVOD Z UCTU	3416	33026	\N	CD	86663573
446448	1516	1997-01-05	PRIJEM	PREVOD Z UCTU	3416	32746	\N	CD	86663573
446449	1516	1997-02-05	PRIJEM	PREVOD Z UCTU	3416	33998	\N	CD	86663573
446450	1516	1997-03-05	PRIJEM	PREVOD Z UCTU	3416	35252	\N	CD	86663573
446451	1516	1997-04-05	PRIJEM	PREVOD Z UCTU	3416	35429	\N	CD	86663573
446452	1516	1997-05-05	PRIJEM	PREVOD Z UCTU	3416	36689	\N	CD	86663573
446453	1516	1997-06-05	PRIJEM	PREVOD Z UCTU	3416	37955	\N	CD	86663573
446454	1516	1997-07-05	PRIJEM	PREVOD Z UCTU	3416	31351	\N	CD	86663573
446455	1516	1997-08-05	PRIJEM	PREVOD Z UCTU	3416	32594	\N	CD	86663573
446456	1516	1997-09-05	PRIJEM	PREVOD Z UCTU	3416	31559	\N	CD	86663573
446457	1516	1997-10-05	PRIJEM	PREVOD Z UCTU	3416	31541	\N	CD	86663573
446458	1516	1997-11-05	PRIJEM	PREVOD Z UCTU	3416	32304	\N	CD	86663573
446459	1516	1997-12-05	PRIJEM	PREVOD Z UCTU	3416	33551	\N	CD	86663573
446460	1516	1998-01-05	PRIJEM	PREVOD Z UCTU	3416	34803	\N	CD	86663573
446461	1516	1998-02-05	PRIJEM	PREVOD Z UCTU	3416	35189	\N	CD	86663573
446462	1516	1998-03-05	PRIJEM	PREVOD Z UCTU	3416	36447	\N	CD	86663573
446463	1516	1998-04-05	PRIJEM	PREVOD Z UCTU	3416	37020	\N	CD	86663573
446464	1516	1998-05-05	PRIJEM	PREVOD Z UCTU	3416	38135	\N	CD	86663573
446465	1516	1998-06-05	PRIJEM	PREVOD Z UCTU	3416	36734	\N	CD	86663573
446466	1516	1998-07-05	PRIJEM	PREVOD Z UCTU	3416	37611	\N	CD	86663573
446467	1516	1998-08-05	PRIJEM	PREVOD Z UCTU	3416	37556	\N	CD	86663573
446468	1516	1998-09-05	PRIJEM	PREVOD Z UCTU	3416	38824	\N	CD	86663573
446469	1516	1998-10-05	PRIJEM	PREVOD Z UCTU	3416	38175	\N	CD	86663573
446470	1516	1998-11-05	PRIJEM	PREVOD Z UCTU	3416	39448	\N	CD	86663573
446471	1516	1998-12-05	PRIJEM	PREVOD Z UCTU	3416	40723	\N	CD	86663573
446486	1516	1994-03-10	VYDAJ	PREVOD NA UCET	2277	15303	SIPO	YZ	87859165
446487	1516	1994-04-10	VYDAJ	PREVOD NA UCET	2277	15843	SIPO	YZ	87859165
446488	1516	1994-05-10	VYDAJ	PREVOD NA UCET	2277	15740	SIPO	YZ	87859165
446489	1516	1994-06-10	VYDAJ	PREVOD NA UCET	2277	15758	SIPO	YZ	87859165
446490	1516	1994-07-10	VYDAJ	PREVOD NA UCET	2277	16947	SIPO	YZ	87859165
446491	1516	1994-08-10	VYDAJ	PREVOD NA UCET	2277	18141	SIPO	YZ	87859165
446492	1516	1994-09-10	VYDAJ	PREVOD NA UCET	2277	18889	SIPO	YZ	87859165
446493	1516	1994-10-10	VYDAJ	PREVOD NA UCET	2277	20090	SIPO	YZ	87859165
446494	1516	1994-11-10	VYDAJ	PREVOD NA UCET	2277	21297	SIPO	YZ	87859165
446495	1516	1994-12-10	VYDAJ	PREVOD NA UCET	2277	22509	SIPO	YZ	87859165
446496	1516	1995-01-10	VYDAJ	PREVOD NA UCET	2277	23726	SIPO	YZ	87859165
446497	1516	1995-02-10	VYDAJ	PREVOD NA UCET	2277	21945	SIPO	YZ	87859165
446498	1516	1995-03-10	VYDAJ	PREVOD NA UCET	2277	21782	SIPO	YZ	87859165
446499	1516	1995-04-10	VYDAJ	PREVOD NA UCET	2277	22997	SIPO	YZ	87859165
446500	1516	1995-05-10	VYDAJ	PREVOD NA UCET	2277	24216	SIPO	YZ	87859165
446501	1516	1995-06-10	VYDAJ	PREVOD NA UCET	2277	25440	SIPO	YZ	87859165
446502	1516	1995-07-10	VYDAJ	PREVOD NA UCET	2277	20744	SIPO	YZ	87859165
446503	1516	1995-08-10	VYDAJ	PREVOD NA UCET	2277	21953	SIPO	YZ	87859165
446504	1516	1995-09-10	VYDAJ	PREVOD NA UCET	2277	23168	SIPO	YZ	87859165
446505	1516	1995-10-10	VYDAJ	PREVOD NA UCET	2277	22763	SIPO	YZ	87859165
446506	1516	1995-11-10	VYDAJ	PREVOD NA UCET	2277	23981	SIPO	YZ	87859165
446507	1516	1995-12-10	VYDAJ	PREVOD NA UCET	2277	25203	SIPO	YZ	87859165
446508	1516	1996-01-10	VYDAJ	PREVOD NA UCET	2277	24960	SIPO	YZ	87859165
446509	1516	1996-02-10	VYDAJ	PREVOD NA UCET	2277	25616	SIPO	YZ	87859165
446510	1516	1996-03-10	VYDAJ	PREVOD NA UCET	2277	25675	SIPO	YZ	87859165
446511	1516	1996-04-10	VYDAJ	PREVOD NA UCET	2277	26908	SIPO	YZ	87859165
446512	1516	1996-05-10	VYDAJ	PREVOD NA UCET	2277	27182	SIPO	YZ	87859165
446513	1516	1996-06-10	VYDAJ	PREVOD NA UCET	2277	28418	SIPO	YZ	87859165
446514	1516	1996-07-10	VYDAJ	PREVOD NA UCET	2277	28667	SIPO	YZ	87859165
446515	1516	1996-08-10	VYDAJ	PREVOD NA UCET	2277	29909	SIPO	YZ	87859165
446516	1516	1996-09-10	VYDAJ	PREVOD NA UCET	2277	29203	SIPO	YZ	87859165
446517	1516	1996-10-10	VYDAJ	PREVOD NA UCET	2277	30450	SIPO	YZ	87859165
446518	1516	1996-11-10	VYDAJ	PREVOD NA UCET	2277	29503	SIPO	YZ	87859165
446519	1516	1996-12-10	VYDAJ	PREVOD NA UCET	2277	30749	SIPO	YZ	87859165
446520	1516	1997-01-10	VYDAJ	PREVOD NA UCET	2277	30469	SIPO	YZ	87859165
446521	1516	1997-02-10	VYDAJ	PREVOD NA UCET	2277	31721	SIPO	YZ	87859165
446522	1516	1997-03-10	VYDAJ	PREVOD NA UCET	2277	32975	SIPO	YZ	87859165
446523	1516	1997-04-10	VYDAJ	PREVOD NA UCET	2277	33152	SIPO	YZ	87859165
446524	1516	1997-05-10	VYDAJ	PREVOD NA UCET	2277	34412	SIPO	YZ	87859165
446525	1516	1997-06-10	VYDAJ	PREVOD NA UCET	2277	35678	SIPO	YZ	87859165
446526	1516	1997-07-10	VYDAJ	PREVOD NA UCET	2277	29074	SIPO	YZ	87859165
446527	1516	1997-08-10	VYDAJ	PREVOD NA UCET	2277	29477	SIPO	YZ	87859165
446528	1516	1997-09-10	VYDAJ	PREVOD NA UCET	2277	29282	SIPO	YZ	87859165
446529	1516	1997-10-10	VYDAJ	PREVOD NA UCET	2277	29264	SIPO	YZ	87859165
446530	1516	1997-11-10	VYDAJ	PREVOD NA UCET	2277	30027	SIPO	YZ	87859165
446531	1516	1997-12-10	VYDAJ	PREVOD NA UCET	2277	31274	SIPO	YZ	87859165
446532	1516	1998-01-10	VYDAJ	PREVOD NA UCET	2277	32526	SIPO	YZ	87859165
446533	1516	1998-02-10	VYDAJ	PREVOD NA UCET	2277	32912	SIPO	YZ	87859165
446534	1516	1998-03-10	VYDAJ	PREVOD NA UCET	2277	34170	SIPO	YZ	87859165
446535	1516	1998-04-10	VYDAJ	PREVOD NA UCET	2277	34743	SIPO	YZ	87859165
446536	1516	1998-05-10	VYDAJ	PREVOD NA UCET	2277	35858	SIPO	YZ	87859165
446537	1516	1998-06-10	VYDAJ	PREVOD NA UCET	2277	34457	SIPO	YZ	87859165
446538	1516	1998-07-10	VYDAJ	PREVOD NA UCET	2277	35334	SIPO	YZ	87859165
446539	1516	1998-08-10	VYDAJ	PREVOD NA UCET	2277	35279	SIPO	YZ	87859165
446540	1516	1998-09-10	VYDAJ	PREVOD NA UCET	2277	36547	SIPO	YZ	87859165
446541	1516	1998-10-10	VYDAJ	PREVOD NA UCET	2277	35898	SIPO	YZ	87859165
446542	1516	1998-11-10	VYDAJ	PREVOD NA UCET	2277	37171	SIPO	YZ	87859165
446543	1516	1998-12-10	VYDAJ	PREVOD NA UCET	2277	38446	SIPO	YZ	87859165
446546	1516	1995-06-13	VYDAJ	VYBER	5910	19530	\N	\N	\N
446547	1516	1996-06-21	VYDAJ	VYBER	990	27428	\N	\N	\N
446548	1516	1997-06-18	VYDAJ	VYBER	7860	27818	\N	\N	\N
446549	1516	1998-06-02	VYDAJ	VYBER	1470	33318	\N	\N	\N
446552	1516	1995-01-23	VYDAJ	VYBER	2160	21566	\N	\N	\N
446553	1516	1996-01-29	VYDAJ	VYBER	570	24390	\N	\N	\N
446554	1516	1997-01-02	VYDAJ	VYBER	1350	29510	\N	\N	\N
446555	1516	1998-01-22	VYDAJ	VYBER	870	31656	\N	\N	\N
446560	1516	1994-06-10	VYDAJ	VYBER	780	18035	\N	\N	\N
446561	1516	1994-03-31	VYDAJ	VYBER	630	14704	\N	\N	\N
446562	1516	1994-08-15	VYDAJ	VYBER	450	17691	\N	\N	\N
446564	1516	1994-04-22	VYDAJ	VYBER	1290	14553	\N	\N	\N
446565	1516	1994-05-18	VYDAJ	VYBER	390	15350	\N	\N	\N
446566	1516	1995-09-14	VYDAJ	VYBER	1470	21548	\N	\N	\N
446567	1516	1995-02-28	VYDAJ	VYBER	1380	20643	\N	\N	\N
446568	1516	1995-12-24	VYDAJ	VYBER	1470	23733	\N	\N	\N
446569	1516	1995-02-04	VYDAJ	VYBER	840	20806	\N	\N	\N
446570	1516	1995-09-11	VYDAJ	VYBER	150	23018	\N	\N	\N
446571	1516	1996-10-16	VYDAJ	VYBER	1050	28260	\N	\N	\N
446572	1516	1996-04-27	VYDAJ	VYBER	960	25948	\N	\N	\N
446573	1516	1996-09-06	VYDAJ	VYBER	750	31480	\N	\N	\N
446574	1516	1996-08-11	VYDAJ	VYBER	1200	28709	\N	\N	\N
446575	1516	1996-03-05	VYDAJ	VYBER	1170	27952	\N	\N	\N
446576	1516	1996-10-11	VYDAJ	VYBER	1140	29310	\N	\N	\N
446577	1516	1997-09-24	VYDAJ	VYBER	1260	28022	\N	\N	\N
446578	1516	1997-10-22	VYDAJ	VYBER	480	28784	\N	\N	\N
446579	1516	1997-03-14	VYDAJ	VYBER	1080	31895	\N	\N	\N
446580	1516	1997-08-22	VYDAJ	VYBER	600	28037	\N	\N	\N
446581	1516	1997-08-06	VYDAJ	VYBER	840	31754	\N	\N	\N
446582	1516	1997-01-04	VYDAJ	VYBER	180	29330	\N	\N	\N
446583	1516	1997-08-18	VYDAJ	VYBER	840	28637	\N	\N	\N
446584	1516	1998-06-27	VYDAJ	VYBER	390	34067	\N	\N	\N
446585	1516	1998-05-19	VYDAJ	VYBER	1200	34658	\N	\N	\N
446586	1516	1998-09-16	VYDAJ	VYBER	1230	35317	\N	\N	\N
446587	1516	1998-04-19	VYDAJ	VYBER	150	34593	\N	\N	\N
446588	1516	1998-07-13	VYDAJ	VYBER	1320	34014	\N	\N	\N
446589	1516	1998-03-19	VYDAJ	VYBER	690	33480	\N	\N	\N
446590	1516	1998-10-04	VYDAJ	VYBER	690	34759	\N	\N	\N
446606	1516	1994-03-31	VYDAJ	VYBER	15	15334	SLUZBY	\N	\N
446607	1516	1994-04-30	VYDAJ	VYBER	15	14601	SLUZBY	\N	\N
446608	1516	1994-05-31	VYDAJ	VYBER	15	15399	SLUZBY	\N	\N
446609	1516	1994-06-30	VYDAJ	VYBER	15	15808	SLUZBY	\N	\N
446610	1516	1994-07-31	VYDAJ	VYBER	15	17002	SLUZBY	\N	\N
446611	1516	1994-08-31	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
446612	1516	1994-09-30	VYDAJ	VYBER	15	18951	SLUZBY	\N	\N
446613	1516	1994-10-31	VYDAJ	VYBER	15	20158	SLUZBY	\N	\N
446614	1516	1994-11-30	VYDAJ	VYBER	15	21370	SLUZBY	\N	\N
446615	1516	1994-12-31	VYDAJ	VYBER	15	22587	SLUZBY	\N	\N
446616	1516	1995-01-31	VYDAJ	VYBER	15	21646	SLUZBY	\N	\N
446617	1516	1995-02-28	VYDAJ	VYBER	15	22023	SLUZBY	\N	\N
446618	1516	1995-03-31	VYDAJ	VYBER	15	21858	SLUZBY	\N	\N
446619	1516	1995-04-30	VYDAJ	VYBER	15	23077	SLUZBY	\N	\N
446620	1516	1995-05-31	VYDAJ	VYBER	15	24301	SLUZBY	\N	\N
446621	1516	1995-06-30	VYDAJ	VYBER	15	19605	SLUZBY	\N	\N
446622	1516	1995-07-31	VYDAJ	VYBER	15	20814	SLUZBY	\N	\N
446623	1516	1995-08-31	VYDAJ	VYBER	15	22029	SLUZBY	\N	\N
446624	1516	1995-09-30	VYDAJ	VYBER	15	21624	SLUZBY	\N	\N
446625	1516	1995-10-31	VYDAJ	VYBER	15	22842	SLUZBY	\N	\N
446626	1516	1995-11-30	VYDAJ	VYBER	15	24064	SLUZBY	\N	\N
446627	1516	1995-12-31	VYDAJ	VYBER	15	23821	SLUZBY	\N	\N
446628	1516	1996-01-31	VYDAJ	VYBER	15	24477	SLUZBY	\N	\N
446629	1516	1996-02-29	VYDAJ	VYBER	15	25706	SLUZBY	\N	\N
446630	1516	1996-03-31	VYDAJ	VYBER	15	25769	SLUZBY	\N	\N
446631	1516	1996-04-30	VYDAJ	VYBER	15	26043	SLUZBY	\N	\N
446632	1516	1996-05-31	VYDAJ	VYBER	15	27279	SLUZBY	\N	\N
446633	1516	1996-06-30	VYDAJ	VYBER	15	27528	SLUZBY	\N	\N
446634	1516	1996-07-31	VYDAJ	VYBER	15	28770	SLUZBY	\N	\N
446635	1516	1996-08-31	VYDAJ	VYBER	15	28814	SLUZBY	\N	\N
446636	1516	1996-09-30	VYDAJ	VYBER	15	29311	SLUZBY	\N	\N
446637	1516	1996-10-31	VYDAJ	VYBER	15	28364	SLUZBY	\N	\N
446638	1516	1996-11-30	VYDAJ	VYBER	15	29610	SLUZBY	\N	\N
446639	1516	1996-12-31	VYDAJ	VYBER	15	30860	SLUZBY	\N	\N
446640	1516	1997-01-31	VYDAJ	VYBER	15	30582	SLUZBY	\N	\N
446641	1516	1997-02-28	VYDAJ	VYBER	15	31836	SLUZBY	\N	\N
446642	1516	1997-03-31	VYDAJ	VYBER	15	32013	SLUZBY	\N	\N
446643	1516	1997-04-30	VYDAJ	VYBER	15	33273	SLUZBY	\N	\N
446644	1516	1997-05-31	VYDAJ	VYBER	15	34539	SLUZBY	\N	\N
446645	1516	1997-06-30	VYDAJ	VYBER	15	27935	SLUZBY	\N	\N
446646	1516	1997-07-31	VYDAJ	VYBER	15	29178	SLUZBY	\N	\N
446647	1516	1997-08-31	VYDAJ	VYBER	15	28143	SLUZBY	\N	\N
446648	1516	1997-09-30	VYDAJ	VYBER	15	28125	SLUZBY	\N	\N
446649	1516	1997-10-31	VYDAJ	VYBER	15	28888	SLUZBY	\N	\N
446650	1516	1997-11-30	VYDAJ	VYBER	15	30135	SLUZBY	\N	\N
446651	1516	1997-12-31	VYDAJ	VYBER	15	31387	SLUZBY	\N	\N
446652	1516	1998-01-31	VYDAJ	VYBER	15	31773	SLUZBY	\N	\N
446653	1516	1998-02-28	VYDAJ	VYBER	15	33031	SLUZBY	\N	\N
446654	1516	1998-03-31	VYDAJ	VYBER	15	33604	SLUZBY	\N	\N
446655	1516	1998-04-30	VYDAJ	VYBER	15	34719	SLUZBY	\N	\N
446656	1516	1998-05-31	VYDAJ	VYBER	15	34788	SLUZBY	\N	\N
446657	1516	1998-06-30	VYDAJ	VYBER	15	34195	SLUZBY	\N	\N
446658	1516	1998-07-31	VYDAJ	VYBER	15	34140	SLUZBY	\N	\N
446659	1516	1998-08-31	VYDAJ	VYBER	15	35408	SLUZBY	\N	\N
446660	1516	1998-09-30	VYDAJ	VYBER	15	35449	SLUZBY	\N	\N
446661	1516	1998-10-31	VYDAJ	VYBER	15	36032	SLUZBY	\N	\N
446662	1516	1998-11-30	VYDAJ	VYBER	15	37307	SLUZBY	\N	\N
446721	1517	1996-08-24	PRIJEM	VKLAD	700	700	\N	\N	\N
446730	1517	1996-09-08	PRIJEM	PREVOD Z UCTU	4569	5269	DUCHOD	YZ	30803263
446731	1517	1996-10-08	PRIJEM	PREVOD Z UCTU	4569	9838	DUCHOD	YZ	30803263
446732	1517	1996-11-08	PRIJEM	PREVOD Z UCTU	4569	14407	DUCHOD	YZ	30803263
446733	1517	1996-12-08	PRIJEM	PREVOD Z UCTU	4569	18976	DUCHOD	YZ	30803263
446734	1517	1997-01-08	PRIJEM	PREVOD Z UCTU	4569	23545	DUCHOD	YZ	30803263
446735	1517	1997-02-08	PRIJEM	PREVOD Z UCTU	4569	16093	DUCHOD	YZ	30803263
446736	1517	1997-03-08	PRIJEM	PREVOD Z UCTU	4569	14591	DUCHOD	YZ	30803263
446737	1517	1997-04-08	PRIJEM	PREVOD Z UCTU	4569	16603	DUCHOD	YZ	30803263
446738	1517	1997-05-08	PRIJEM	PREVOD Z UCTU	4569	18624	DUCHOD	YZ	30803263
446739	1517	1997-06-08	PRIJEM	PREVOD Z UCTU	4569	20653	DUCHOD	YZ	30803263
446740	1517	1997-07-08	PRIJEM	PREVOD Z UCTU	4569	21730	DUCHOD	YZ	30803263
446741	1517	1997-08-08	PRIJEM	PREVOD Z UCTU	4569	22471	DUCHOD	YZ	30803263
446742	1517	1997-09-08	PRIJEM	PREVOD Z UCTU	4569	20873	DUCHOD	YZ	30803263
446743	1517	1997-10-08	PRIJEM	PREVOD Z UCTU	4569	22912	DUCHOD	YZ	30803263
446744	1517	1997-11-08	PRIJEM	PREVOD Z UCTU	4569	24958	DUCHOD	YZ	30803263
446745	1517	1997-12-08	PRIJEM	PREVOD Z UCTU	4569	27014	DUCHOD	YZ	30803263
446746	1517	1998-01-08	PRIJEM	PREVOD Z UCTU	4569	21590	DUCHOD	YZ	30803263
446747	1517	1998-02-08	PRIJEM	PREVOD Z UCTU	4569	16167	DUCHOD	YZ	30803263
446748	1517	1998-03-08	PRIJEM	PREVOD Z UCTU	4569	18186	DUCHOD	YZ	30803263
446749	1517	1998-04-08	PRIJEM	PREVOD Z UCTU	4569	19733	DUCHOD	YZ	30803263
446750	1517	1998-05-08	PRIJEM	PREVOD Z UCTU	4569	21766	DUCHOD	YZ	30803263
446751	1517	1998-06-08	PRIJEM	PREVOD Z UCTU	4569	23808	DUCHOD	YZ	30803263
446752	1517	1998-07-08	PRIJEM	PREVOD Z UCTU	4569	25859	DUCHOD	YZ	30803263
446753	1517	1998-08-08	PRIJEM	PREVOD Z UCTU	4569	24331	DUCHOD	YZ	30803263
446754	1517	1998-09-08	PRIJEM	PREVOD Z UCTU	4569	21673	DUCHOD	YZ	30803263
446755	1517	1998-10-08	PRIJEM	PREVOD Z UCTU	4569	19303	DUCHOD	YZ	30803263
446756	1517	1998-11-08	PRIJEM	PREVOD Z UCTU	4569	20132	DUCHOD	YZ	30803263
446757	1517	1998-12-08	PRIJEM	PREVOD Z UCTU	4569	16554	DUCHOD	YZ	30803263
446771	1517	1997-02-06	VYDAJ	PREVOD NA UCET	2601	11524	SIPO	ST	15521866
446772	1517	1997-03-06	VYDAJ	PREVOD NA UCET	2601	10022	SIPO	ST	15521866
446773	1517	1997-04-06	VYDAJ	PREVOD NA UCET	2601	12034	SIPO	ST	15521866
446774	1517	1997-05-06	VYDAJ	PREVOD NA UCET	2601	14055	SIPO	ST	15521866
446775	1517	1997-06-06	VYDAJ	PREVOD NA UCET	2601	16084	SIPO	ST	15521866
446776	1517	1997-07-06	VYDAJ	PREVOD NA UCET	2601	17161	SIPO	ST	15521866
446777	1517	1997-08-06	VYDAJ	PREVOD NA UCET	2601	17902	SIPO	ST	15521866
446778	1517	1997-09-06	VYDAJ	PREVOD NA UCET	2601	16304	SIPO	ST	15521866
446779	1517	1997-10-06	VYDAJ	PREVOD NA UCET	2601	18343	SIPO	ST	15521866
446780	1517	1997-11-06	VYDAJ	PREVOD NA UCET	2601	20389	SIPO	ST	15521866
446781	1517	1997-12-06	VYDAJ	PREVOD NA UCET	2601	22445	SIPO	ST	15521866
446782	1517	1998-01-06	VYDAJ	PREVOD NA UCET	2601	19181	SIPO	ST	15521866
446783	1517	1998-02-06	VYDAJ	PREVOD NA UCET	2601	11598	SIPO	ST	15521866
446784	1517	1998-03-06	VYDAJ	PREVOD NA UCET	2601	13617	SIPO	ST	15521866
446785	1517	1998-04-06	VYDAJ	PREVOD NA UCET	2601	15164	SIPO	ST	15521866
446786	1517	1998-05-06	VYDAJ	PREVOD NA UCET	2601	17197	SIPO	ST	15521866
446787	1517	1998-06-06	VYDAJ	PREVOD NA UCET	2601	19239	SIPO	ST	15521866
446788	1517	1998-07-06	VYDAJ	PREVOD NA UCET	2601	21290	SIPO	ST	15521866
446789	1517	1998-08-06	VYDAJ	PREVOD NA UCET	2601	19762	SIPO	ST	15521866
446790	1517	1998-09-06	VYDAJ	PREVOD NA UCET	2601	17104	SIPO	ST	15521866
446791	1517	1998-10-06	VYDAJ	PREVOD NA UCET	2601	14734	SIPO	ST	15521866
446792	1517	1998-11-06	VYDAJ	PREVOD NA UCET	2601	15563	SIPO	ST	15521866
446793	1517	1998-12-06	VYDAJ	PREVOD NA UCET	2601	11985	SIPO	ST	15521866
446798	1517	1997-01-19	VYDAJ	VYBER	4100	16565	\N	\N	\N
446799	1517	1998-01-11	VYDAJ	VYBER	3850	17260	\N	\N	\N
446801	1517	1997-12-20	VYDAJ	VYBER	1400	22334	\N	\N	\N
446802	1517	1998-12-09	VYDAJ	VYBER	600	15954	\N	\N	\N
446809	1517	1997-01-17	VYDAJ	VYBER	800	20665	\N	\N	\N
446810	1517	1997-01-22	VYDAJ	VYBER	2080	14085	\N	\N	\N
446814	1517	1997-01-09	VYDAJ	VYBER	2080	21465	\N	\N	\N
446815	1517	1998-01-19	VYDAJ	VYBER	1360	15900	\N	\N	\N
446817	1517	1998-01-07	VYDAJ	VYBER	2160	17021	\N	\N	\N
446818	1517	1998-01-19	VYDAJ	VYBER	1760	14140	\N	\N	\N
446820	1517	1998-01-09	VYDAJ	VYBER	480	21110	\N	\N	\N
446826	1517	1997-08-29	VYDAJ	VYBER	2400	18831	\N	\N	\N
446827	1517	1997-02-08	VYDAJ	VYBER	3520	12573	\N	\N	\N
446828	1517	1997-12-23	VYDAJ	VYBER	640	21694	\N	\N	\N
446830	1517	1997-12-08	VYDAJ	VYBER	3280	23734	\N	\N	\N
446831	1517	1997-08-22	VYDAJ	VYBER	640	21231	\N	\N	\N
446832	1517	1997-07-06	VYDAJ	VYBER	960	19762	\N	\N	\N
446833	1517	1998-11-18	VYDAJ	VYBER	2400	14532	\N	\N	\N
446834	1517	1998-04-03	VYDAJ	VYBER	480	17765	\N	\N	\N
446835	1517	1998-07-20	VYDAJ	VYBER	2480	22279	\N	\N	\N
446836	1517	1998-10-14	VYDAJ	VYBER	1200	18103	\N	\N	\N
446850	1517	1997-01-31	VYDAJ	VYBER	15	14125	SLUZBY	\N	\N
446851	1517	1997-02-28	VYDAJ	VYBER	15	12623	SLUZBY	\N	\N
446852	1517	1997-03-31	VYDAJ	VYBER	15	14635	SLUZBY	\N	\N
446853	1517	1997-04-30	VYDAJ	VYBER	15	16656	SLUZBY	\N	\N
446854	1517	1997-05-31	VYDAJ	VYBER	15	18685	SLUZBY	\N	\N
446855	1517	1997-06-30	VYDAJ	VYBER	15	20722	SLUZBY	\N	\N
446856	1517	1997-07-31	VYDAJ	VYBER	15	20503	SLUZBY	\N	\N
446857	1517	1997-08-31	VYDAJ	VYBER	15	18905	SLUZBY	\N	\N
446858	1517	1997-09-30	VYDAJ	VYBER	15	20944	SLUZBY	\N	\N
446859	1517	1997-10-31	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
446860	1517	1997-11-30	VYDAJ	VYBER	15	25046	SLUZBY	\N	\N
446861	1517	1997-12-31	VYDAJ	VYBER	15	21782	SLUZBY	\N	\N
446862	1517	1998-01-31	VYDAJ	VYBER	15	14199	SLUZBY	\N	\N
446863	1517	1998-02-28	VYDAJ	VYBER	15	16218	SLUZBY	\N	\N
446864	1517	1998-03-31	VYDAJ	VYBER	15	18245	SLUZBY	\N	\N
446865	1517	1998-04-30	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
446866	1517	1998-05-31	VYDAJ	VYBER	15	21840	SLUZBY	\N	\N
446867	1517	1998-06-30	VYDAJ	VYBER	15	23891	SLUZBY	\N	\N
446868	1517	1998-07-31	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
446869	1517	1998-08-31	VYDAJ	VYBER	15	19705	SLUZBY	\N	\N
446870	1517	1998-09-30	VYDAJ	VYBER	15	17335	SLUZBY	\N	\N
446871	1517	1998-10-31	VYDAJ	VYBER	15	18164	SLUZBY	\N	\N
446872	1517	1998-11-30	VYDAJ	VYBER	15	14586	SLUZBY	\N	\N
446873	1517	1997-01-21	VYDAJ	VYBER	400	16165	\N	\N	\N
446874	1517	1997-07-20	VYDAJ	VYBER	1300	20430	\N	\N	\N
446875	1517	1997-08-19	VYDAJ	VYBER	600	21871	\N	\N	\N
446876	1517	1998-07-15	VYDAJ	VYBER	1100	24759	\N	\N	\N
446877	1517	1998-08-14	VYDAJ	VYBER	4700	19631	\N	\N	\N
446878	1517	1998-09-13	VYDAJ	VYBER	4400	17273	\N	\N	\N
446879	1517	1998-11-12	VYDAJ	VYBER	3200	16932	\N	\N	\N
446904	1518	1993-04-21	PRIJEM	VKLAD	200	200	\N	\N	\N
446909	1518	1993-05-07	PRIJEM	VKLAD	17288	17488	\N	\N	\N
446910	1518	1993-06-07	PRIJEM	VKLAD	25932	46050	\N	\N	\N
446911	1518	1993-07-07	PRIJEM	VKLAD	17288	54047	\N	\N	\N
446912	1518	1993-08-07	PRIJEM	VKLAD	17288	55890	\N	\N	\N
446913	1518	1993-09-07	PRIJEM	VKLAD	17288	58243	\N	\N	\N
446914	1518	1993-10-07	PRIJEM	VKLAD	17288	59789	\N	\N	\N
446915	1518	1993-11-07	PRIJEM	VKLAD	17288	59238	\N	\N	\N
446916	1518	1993-12-07	PRIJEM	VKLAD	25932	70234	\N	\N	\N
446917	1518	1994-01-07	PRIJEM	VKLAD	17288	58610	\N	\N	\N
446918	1518	1994-02-07	PRIJEM	VKLAD	17288	51456	\N	\N	\N
446919	1518	1994-03-07	PRIJEM	VKLAD	17288	52489	\N	\N	\N
446920	1518	1994-04-07	PRIJEM	VKLAD	17288	55815	\N	\N	\N
446921	1518	1994-05-07	PRIJEM	VKLAD	17288	58153	\N	\N	\N
446922	1518	1994-06-07	PRIJEM	VKLAD	25932	67141	\N	\N	\N
446923	1518	1994-07-07	PRIJEM	VKLAD	17288	53278	\N	\N	\N
446924	1518	1994-08-07	PRIJEM	VKLAD	17288	57210	\N	\N	\N
446925	1518	1994-09-07	PRIJEM	VKLAD	17288	58259	\N	\N	\N
446926	1518	1994-10-07	PRIJEM	VKLAD	17288	62731	\N	\N	\N
446927	1518	1994-11-07	PRIJEM	VKLAD	17288	59485	\N	\N	\N
446928	1518	1994-12-07	PRIJEM	VKLAD	25932	72689	\N	\N	\N
446929	1518	1995-01-07	PRIJEM	VKLAD	17288	67372	\N	\N	\N
446930	1518	1995-02-07	PRIJEM	VKLAD	17288	51348	\N	\N	\N
446931	1518	1995-03-07	PRIJEM	VKLAD	17288	58891	\N	\N	\N
446932	1518	1995-04-07	PRIJEM	VKLAD	17288	63850	\N	\N	\N
446933	1518	1995-05-07	PRIJEM	VKLAD	17288	63918	\N	\N	\N
446934	1518	1995-06-07	PRIJEM	VKLAD	25932	72535	\N	\N	\N
446935	1518	1995-07-07	PRIJEM	VKLAD	17288	41411	\N	\N	\N
446936	1518	1995-08-07	PRIJEM	VKLAD	17288	58233	\N	\N	\N
446937	1518	1995-09-07	PRIJEM	VKLAD	17288	68207	\N	\N	\N
446938	1518	1995-10-07	PRIJEM	VKLAD	17288	67592	\N	\N	\N
446939	1518	1995-11-07	PRIJEM	VKLAD	17288	72087	\N	\N	\N
446940	1518	1995-12-07	PRIJEM	VKLAD	25932	84088	\N	\N	\N
446941	1518	1996-01-07	PRIJEM	VKLAD	17288	67818	\N	\N	\N
446942	1518	1996-02-07	PRIJEM	VKLAD	17288	70749	\N	\N	\N
446943	1518	1996-03-07	PRIJEM	VKLAD	17288	76607	\N	\N	\N
446944	1518	1996-04-07	PRIJEM	VKLAD	17288	73585	\N	\N	\N
446945	1518	1996-05-07	PRIJEM	VKLAD	17288	79361	\N	\N	\N
446946	1518	1996-06-07	PRIJEM	VKLAD	25932	95003	\N	\N	\N
446947	1518	1996-07-07	PRIJEM	VKLAD	17288	91051	\N	\N	\N
446948	1518	1996-08-07	PRIJEM	VKLAD	17288	90493	\N	\N	\N
446949	1518	1996-09-07	PRIJEM	VKLAD	17288	97039	\N	\N	\N
446950	1518	1996-10-07	PRIJEM	VKLAD	17288	95902	\N	\N	\N
446951	1518	1996-11-07	PRIJEM	VKLAD	17288	92069	\N	\N	\N
446952	1518	1996-12-07	PRIJEM	VKLAD	25932	104554	\N	\N	\N
446953	1518	1997-01-07	PRIJEM	VKLAD	17288	101743	\N	\N	\N
446954	1518	1997-02-07	PRIJEM	VKLAD	17288	92401	\N	\N	\N
446955	1518	1997-03-07	PRIJEM	VKLAD	17288	96587	\N	\N	\N
446956	1518	1997-04-07	PRIJEM	VKLAD	17288	98055	\N	\N	\N
446957	1518	1997-05-07	PRIJEM	VKLAD	17288	97981	\N	\N	\N
446958	1518	1997-06-07	PRIJEM	VKLAD	25932	107632	\N	\N	\N
446959	1518	1997-07-07	PRIJEM	VKLAD	17288	93142	\N	\N	\N
446960	1518	1997-08-07	PRIJEM	VKLAD	17288	100730	\N	\N	\N
446961	1518	1997-09-07	PRIJEM	VKLAD	17288	106551	\N	\N	\N
446962	1518	1997-10-07	PRIJEM	VKLAD	17288	106529	\N	\N	\N
446963	1518	1997-11-07	PRIJEM	VKLAD	17288	107171	\N	\N	\N
446964	1518	1997-12-07	PRIJEM	VKLAD	25932	115359	\N	\N	\N
446965	1518	1998-01-07	PRIJEM	VKLAD	17288	101272	\N	\N	\N
446966	1518	1998-02-07	PRIJEM	VKLAD	17288	95927	\N	\N	\N
446967	1518	1998-03-07	PRIJEM	VKLAD	17288	99156	\N	\N	\N
446968	1518	1998-04-07	PRIJEM	VKLAD	17288	102667	\N	\N	\N
446969	1518	1998-05-07	PRIJEM	VKLAD	17288	103923	\N	\N	\N
446970	1518	1998-06-07	PRIJEM	VKLAD	25932	116699	\N	\N	\N
446971	1518	1998-07-07	PRIJEM	VKLAD	17288	98957	\N	\N	\N
446972	1518	1998-08-07	PRIJEM	VKLAD	17288	102468	\N	\N	\N
446973	1518	1998-09-07	PRIJEM	VKLAD	17288	105693	\N	\N	\N
446974	1518	1998-10-07	PRIJEM	VKLAD	17288	110734	\N	\N	\N
446975	1518	1998-11-07	PRIJEM	VKLAD	17288	108987	\N	\N	\N
446976	1518	1998-12-07	PRIJEM	VKLAD	25932	114097	\N	\N	\N
446978	1518	1994-06-17	VYDAJ	VYBER	12200	35841	\N	\N	\N
446979	1518	1995-06-28	VYDAJ	VYBER	27700	23935	\N	\N	\N
446980	1518	1996-06-21	VYDAJ	VYBER	4900	90103	\N	\N	\N
446981	1518	1997-06-19	VYDAJ	VYBER	25100	82532	\N	\N	\N
446982	1518	1998-06-14	VYDAJ	VYBER	6800	88099	\N	\N	\N
446984	1518	1994-01-12	VYDAJ	VYBER	2900	49710	\N	\N	\N
446985	1518	1995-01-27	VYDAJ	VYBER	8300	38572	\N	\N	\N
446986	1518	1996-01-10	VYDAJ	VYBER	3000	63918	\N	\N	\N
446987	1518	1997-01-28	VYDAJ	VYBER	5100	86243	\N	\N	\N
446988	1518	1998-01-06	VYDAJ	VYBER	4200	83984	\N	\N	\N
446989	1518	1993-12-12	VYDAJ	VYBER	1400	68834	\N	\N	\N
446990	1518	1994-12-21	VYDAJ	VYBER	1200	51989	\N	\N	\N
446991	1518	1995-12-03	VYDAJ	VYBER	1000	58156	\N	\N	\N
446992	1518	1996-12-16	VYDAJ	VYBER	2500	102054	\N	\N	\N
446993	1518	1997-12-04	VYDAJ	VYBER	2500	89427	\N	\N	\N
446994	1518	1998-12-04	VYDAJ	VYBER	1400	88165	\N	\N	\N
447001	1518	1994-01-10	VYDAJ	VYBER	2500	53410	\N	\N	\N
447002	1518	1994-01-04	VYDAJ	VYBER	1100	41322	\N	\N	\N
447003	1518	1994-01-08	VYDAJ	VYBER	2700	55910	\N	\N	\N
447004	1518	1994-01-14	VYDAJ	VYBER	900	48810	\N	\N	\N
447005	1518	1994-01-04	VYDAJ	VYBER	2400	42422	\N	\N	\N
447006	1518	1994-01-11	VYDAJ	VYBER	800	52610	\N	\N	\N
447007	1518	1995-01-29	VYDAJ	VYBER	1300	33872	\N	\N	\N
447008	1518	1995-01-05	VYDAJ	VYBER	1200	50084	\N	\N	\N
447009	1518	1995-01-28	VYDAJ	VYBER	1400	37172	\N	\N	\N
447010	1518	1995-01-16	VYDAJ	VYBER	1700	46872	\N	\N	\N
447011	1518	1995-01-09	VYDAJ	VYBER	2000	65372	\N	\N	\N
447012	1518	1995-01-03	VYDAJ	VYBER	900	51284	\N	\N	\N
447013	1518	1996-01-21	VYDAJ	VYBER	700	61418	\N	\N	\N
447014	1518	1996-01-06	VYDAJ	VYBER	2900	50530	\N	\N	\N
447015	1518	1996-01-12	VYDAJ	VYBER	1800	62118	\N	\N	\N
447016	1518	1996-01-01	VYDAJ	VYBER	900	62030	\N	\N	\N
447017	1518	1996-01-07	VYDAJ	VYBER	900	66918	\N	\N	\N
447018	1518	1996-01-29	VYDAJ	VYBER	2000	59418	\N	\N	\N
447019	1518	1997-01-13	VYDAJ	VYBER	2400	97243	\N	\N	\N
447020	1518	1997-01-01	VYDAJ	VYBER	500	84455	\N	\N	\N
447021	1518	1997-01-25	VYDAJ	VYBER	2900	94343	\N	\N	\N
447022	1518	1997-01-27	VYDAJ	VYBER	900	91343	\N	\N	\N
447023	1518	1997-01-09	VYDAJ	VYBER	2100	99643	\N	\N	\N
447024	1518	1997-01-26	VYDAJ	VYBER	2100	92243	\N	\N	\N
447025	1518	1998-01-17	VYDAJ	VYBER	2200	97672	\N	\N	\N
447026	1518	1998-01-05	VYDAJ	VYBER	2400	88184	\N	\N	\N
447027	1518	1998-01-30	VYDAJ	VYBER	1100	78272	\N	\N	\N
447028	1518	1998-01-18	VYDAJ	VYBER	1900	95772	\N	\N	\N
447029	1518	1998-01-29	VYDAJ	VYBER	2100	79372	\N	\N	\N
447030	1518	1998-01-10	VYDAJ	VYBER	1400	99872	\N	\N	\N
447035	1518	1994-09-03	VYDAJ	VYBER	3300	40971	\N	\N	\N
447036	1518	1994-10-13	VYDAJ	VYBER	4100	42031	\N	\N	\N
447037	1518	1994-01-25	VYDAJ	VYBER	1400	34010	\N	\N	\N
447038	1518	1994-02-08	VYDAJ	VYBER	2900	48556	\N	\N	\N
447039	1518	1995-01-28	VYDAJ	VYBER	2000	35172	\N	\N	\N
447040	1518	1995-09-13	VYDAJ	VYBER	4400	50107	\N	\N	\N
447041	1518	1995-06-08	VYDAJ	VYBER	4500	68035	\N	\N	\N
447042	1518	1995-05-23	VYDAJ	VYBER	4300	46418	\N	\N	\N
447043	1518	1995-02-07	VYDAJ	VYBER	2200	49148	\N	\N	\N
447044	1518	1995-04-13	VYDAJ	VYBER	2200	46450	\N	\N	\N
447045	1518	1996-07-17	VYDAJ	VYBER	4400	86651	\N	\N	\N
447046	1518	1996-11-01	VYDAJ	VYBER	4000	88981	\N	\N	\N
447047	1518	1996-04-06	VYDAJ	VYBER	2700	56297	\N	\N	\N
447048	1518	1996-09-17	VYDAJ	VYBER	3800	93239	\N	\N	\N
447049	1518	1996-10-28	VYDAJ	VYBER	3300	92602	\N	\N	\N
447050	1518	1996-03-12	VYDAJ	VYBER	3400	73207	\N	\N	\N
447051	1518	1997-04-21	VYDAJ	VYBER	4700	92655	\N	\N	\N
447052	1518	1997-04-19	VYDAJ	VYBER	700	97355	\N	\N	\N
447053	1518	1997-12-30	VYDAJ	VYBER	4600	90159	\N	\N	\N
447054	1518	1997-09-09	VYDAJ	VYBER	2300	104251	\N	\N	\N
447055	1518	1998-01-26	VYDAJ	VYBER	2000	81472	\N	\N	\N
447056	1518	1998-11-09	VYDAJ	VYBER	3100	105887	\N	\N	\N
447057	1518	1998-04-11	VYDAJ	VYBER	1100	101567	\N	\N	\N
447058	1518	1998-02-10	VYDAJ	VYBER	2500	93427	\N	\N	\N
447059	1518	1998-11-10	VYDAJ	VYBER	3000	102887	\N	\N	\N
447060	1518	1998-11-21	VYDAJ	VYBER	1400	89187	\N	\N	\N
447061	1518	1998-06-23	VYDAJ	VYBER	1700	86399	\N	\N	\N
447071	1518	1993-09-30	VYDAJ	VYBER	15	42501	SLUZBY	\N	\N
447072	1518	1993-10-31	VYDAJ	VYBER	15	41950	SLUZBY	\N	\N
447073	1518	1993-11-30	VYDAJ	VYBER	15	44302	SLUZBY	\N	\N
447074	1518	1993-12-31	VYDAJ	VYBER	15	44822	SLUZBY	\N	\N
447075	1518	1994-01-31	VYDAJ	VYBER	15	34168	SLUZBY	\N	\N
447076	1518	1994-02-28	VYDAJ	VYBER	15	35201	SLUZBY	\N	\N
447077	1518	1994-03-31	VYDAJ	VYBER	15	38527	SLUZBY	\N	\N
447078	1518	1994-04-30	VYDAJ	VYBER	15	40865	SLUZBY	\N	\N
447079	1518	1994-05-31	VYDAJ	VYBER	15	41209	SLUZBY	\N	\N
447080	1518	1994-06-30	VYDAJ	VYBER	15	35990	SLUZBY	\N	\N
447081	1518	1994-07-31	VYDAJ	VYBER	15	39922	SLUZBY	\N	\N
447082	1518	1994-08-31	VYDAJ	VYBER	15	44271	SLUZBY	\N	\N
447083	1518	1994-09-30	VYDAJ	VYBER	15	45443	SLUZBY	\N	\N
447084	1518	1994-10-31	VYDAJ	VYBER	15	42197	SLUZBY	\N	\N
447085	1518	1994-11-30	VYDAJ	VYBER	15	46757	SLUZBY	\N	\N
447086	1518	1994-12-31	VYDAJ	VYBER	15	52184	SLUZBY	\N	\N
447087	1518	1995-01-31	VYDAJ	VYBER	15	34060	SLUZBY	\N	\N
447088	1518	1995-02-28	VYDAJ	VYBER	15	41603	SLUZBY	\N	\N
447089	1518	1995-03-31	VYDAJ	VYBER	15	46562	SLUZBY	\N	\N
447090	1518	1995-04-30	VYDAJ	VYBER	15	46630	SLUZBY	\N	\N
447091	1518	1995-05-31	VYDAJ	VYBER	15	46603	SLUZBY	\N	\N
447092	1518	1995-06-30	VYDAJ	VYBER	15	24123	SLUZBY	\N	\N
447093	1518	1995-07-31	VYDAJ	VYBER	15	40945	SLUZBY	\N	\N
447094	1518	1995-08-31	VYDAJ	VYBER	15	50919	SLUZBY	\N	\N
447095	1518	1995-09-30	VYDAJ	VYBER	15	50304	SLUZBY	\N	\N
447096	1518	1995-10-31	VYDAJ	VYBER	15	54799	SLUZBY	\N	\N
447097	1518	1995-11-30	VYDAJ	VYBER	15	59156	SLUZBY	\N	\N
447098	1518	1995-12-31	VYDAJ	VYBER	15	62930	SLUZBY	\N	\N
447099	1518	1996-01-31	VYDAJ	VYBER	15	59661	SLUZBY	\N	\N
447100	1518	1996-02-29	VYDAJ	VYBER	15	71019	SLUZBY	\N	\N
447101	1518	1996-03-31	VYDAJ	VYBER	15	73497	SLUZBY	\N	\N
447102	1518	1996-04-30	VYDAJ	VYBER	15	73873	SLUZBY	\N	\N
447103	1518	1996-05-31	VYDAJ	VYBER	15	79671	SLUZBY	\N	\N
447104	1518	1996-06-30	VYDAJ	VYBER	15	90463	SLUZBY	\N	\N
447105	1518	1996-07-31	VYDAJ	VYBER	15	87005	SLUZBY	\N	\N
447106	1518	1996-08-31	VYDAJ	VYBER	15	90851	SLUZBY	\N	\N
447107	1518	1996-09-30	VYDAJ	VYBER	15	93614	SLUZBY	\N	\N
447108	1518	1996-10-31	VYDAJ	VYBER	15	92981	SLUZBY	\N	\N
447109	1518	1996-11-30	VYDAJ	VYBER	15	92422	SLUZBY	\N	\N
447110	1518	1996-12-31	VYDAJ	VYBER	15	84955	SLUZBY	\N	\N
447111	1518	1997-01-31	VYDAJ	VYBER	15	75113	SLUZBY	\N	\N
447112	1518	1997-02-28	VYDAJ	VYBER	15	92699	SLUZBY	\N	\N
447113	1518	1997-03-31	VYDAJ	VYBER	15	80767	SLUZBY	\N	\N
447114	1518	1997-04-30	VYDAJ	VYBER	15	80693	SLUZBY	\N	\N
447115	1518	1997-05-31	VYDAJ	VYBER	15	81700	SLUZBY	\N	\N
447116	1518	1997-06-30	VYDAJ	VYBER	15	75854	SLUZBY	\N	\N
447117	1518	1997-07-31	VYDAJ	VYBER	15	83442	SLUZBY	\N	\N
447118	1518	1997-08-31	VYDAJ	VYBER	15	89263	SLUZBY	\N	\N
447119	1518	1997-09-30	VYDAJ	VYBER	15	89241	SLUZBY	\N	\N
447120	1518	1997-10-31	VYDAJ	VYBER	15	89883	SLUZBY	\N	\N
447121	1518	1997-11-30	VYDAJ	VYBER	15	91927	SLUZBY	\N	\N
447122	1518	1997-12-31	VYDAJ	VYBER	15	90584	SLUZBY	\N	\N
447123	1518	1998-01-31	VYDAJ	VYBER	15	78639	SLUZBY	\N	\N
447124	1518	1998-02-28	VYDAJ	VYBER	15	81868	SLUZBY	\N	\N
447125	1518	1998-03-31	VYDAJ	VYBER	15	85379	SLUZBY	\N	\N
447126	1518	1998-04-30	VYDAJ	VYBER	15	86635	SLUZBY	\N	\N
447127	1518	1998-05-31	VYDAJ	VYBER	15	90767	SLUZBY	\N	\N
447128	1518	1998-06-30	VYDAJ	VYBER	15	81669	SLUZBY	\N	\N
447129	1518	1998-07-31	VYDAJ	VYBER	15	85180	SLUZBY	\N	\N
447130	1518	1998-08-31	VYDAJ	VYBER	15	88405	SLUZBY	\N	\N
447131	1518	1998-09-30	VYDAJ	VYBER	15	93446	SLUZBY	\N	\N
447132	1518	1998-10-31	VYDAJ	VYBER	15	91699	SLUZBY	\N	\N
447133	1518	1998-11-30	VYDAJ	VYBER	15	89565	SLUZBY	\N	\N
447134	1518	1993-05-21	PRIJEM	VKLAD	2600	20088	\N	\N	\N
447135	1518	1993-06-20	VYDAJ	VYBER	9400	36650	\N	\N	\N
447136	1518	1993-07-20	VYDAJ	VYBER	15600	38447	\N	\N	\N
447137	1518	1993-08-19	VYDAJ	VYBER	15100	40790	\N	\N	\N
447138	1518	1993-09-18	VYDAJ	VYBER	15900	42343	\N	\N	\N
447139	1518	1993-10-18	VYDAJ	VYBER	18000	41789	\N	\N	\N
447140	1518	1993-11-17	VYDAJ	VYBER	15100	44138	\N	\N	\N
447141	1518	1993-12-17	VYDAJ	VYBER	24200	44634	\N	\N	\N
447142	1518	1994-01-16	VYDAJ	VYBER	13400	35410	\N	\N	\N
447143	1518	1994-02-15	VYDAJ	VYBER	13500	35056	\N	\N	\N
447144	1518	1994-03-17	VYDAJ	VYBER	14100	38389	\N	\N	\N
447145	1518	1994-04-16	VYDAJ	VYBER	15100	40715	\N	\N	\N
447146	1518	1994-05-16	VYDAJ	VYBER	17100	41053	\N	\N	\N
447147	1518	1994-06-15	VYDAJ	VYBER	19100	48041	\N	\N	\N
447148	1518	1994-07-15	VYDAJ	VYBER	13500	39778	\N	\N	\N
447149	1518	1994-08-14	VYDAJ	VYBER	13100	44110	\N	\N	\N
447150	1518	1994-09-13	VYDAJ	VYBER	13000	45259	\N	\N	\N
447151	1518	1994-10-13	VYDAJ	VYBER	16600	46131	\N	\N	\N
447152	1518	1994-11-12	VYDAJ	VYBER	12900	46585	\N	\N	\N
447153	1518	1994-12-12	VYDAJ	VYBER	19500	53189	\N	\N	\N
447154	1518	1995-01-11	VYDAJ	VYBER	16800	48572	\N	\N	\N
447155	1518	1995-02-10	VYDAJ	VYBER	7700	41448	\N	\N	\N
447156	1518	1995-03-12	VYDAJ	VYBER	12500	46391	\N	\N	\N
447157	1518	1995-04-11	VYDAJ	VYBER	15200	48650	\N	\N	\N
447158	1518	1995-05-11	VYDAJ	VYBER	13200	50718	\N	\N	\N
447159	1518	1995-06-10	VYDAJ	VYBER	16400	51635	\N	\N	\N
447160	1518	1995-07-10	VYDAJ	VYBER	600	40811	\N	\N	\N
447161	1518	1995-08-09	VYDAJ	VYBER	7500	50733	\N	\N	\N
447162	1518	1995-09-08	VYDAJ	VYBER	13700	54507	\N	\N	\N
447163	1518	1995-10-08	VYDAJ	VYBER	13000	54592	\N	\N	\N
447164	1518	1995-11-07	VYDAJ	VYBER	13200	58887	\N	\N	\N
447165	1518	1995-12-07	VYDAJ	VYBER	21400	62688	\N	\N	\N
447166	1518	1996-01-06	VYDAJ	VYBER	8600	53430	\N	\N	\N
447167	1518	1996-02-05	VYDAJ	VYBER	6200	53461	\N	\N	\N
447168	1518	1996-03-06	VYDAJ	VYBER	11700	59319	\N	\N	\N
447169	1518	1996-04-05	VYDAJ	VYBER	14500	58997	\N	\N	\N
447170	1518	1996-05-05	VYDAJ	VYBER	11800	62073	\N	\N	\N
447171	1518	1996-06-04	VYDAJ	VYBER	10600	69071	\N	\N	\N
447172	1518	1996-07-04	VYDAJ	VYBER	16700	73763	\N	\N	\N
447173	1518	1996-08-03	VYDAJ	VYBER	13800	73205	\N	\N	\N
447174	1518	1996-09-02	VYDAJ	VYBER	11100	79751	\N	\N	\N
447175	1518	1996-10-02	VYDAJ	VYBER	15000	78614	\N	\N	\N
447176	1518	1996-11-01	VYDAJ	VYBER	14200	74781	\N	\N	\N
447177	1518	1996-12-01	VYDAJ	VYBER	13800	78622	\N	\N	\N
447178	1518	1996-12-31	VYDAJ	VYBER	17500	84970	\N	\N	\N
447179	1518	1997-01-30	VYDAJ	VYBER	11500	74743	\N	\N	\N
447180	1518	1997-03-01	VYDAJ	VYBER	13400	79299	\N	\N	\N
447181	1518	1997-03-31	VYDAJ	VYBER	16200	80781	\N	\N	\N
447182	1518	1997-04-30	VYDAJ	VYBER	12300	80708	\N	\N	\N
447183	1518	1997-05-30	VYDAJ	VYBER	16600	81381	\N	\N	\N
447184	1518	1997-06-29	VYDAJ	VYBER	7000	75532	\N	\N	\N
447185	1518	1997-07-29	VYDAJ	VYBER	10000	83142	\N	\N	\N
447186	1518	1997-08-28	VYDAJ	VYBER	11800	88930	\N	\N	\N
447187	1518	1997-09-27	VYDAJ	VYBER	15400	88851	\N	\N	\N
447188	1518	1997-10-27	VYDAJ	VYBER	17000	89529	\N	\N	\N
447189	1518	1997-11-26	VYDAJ	VYBER	15600	91571	\N	\N	\N
447190	1518	1997-12-26	VYDAJ	VYBER	20600	94759	\N	\N	\N
447191	1518	1998-01-25	VYDAJ	VYBER	12300	83472	\N	\N	\N
447192	1518	1998-02-24	VYDAJ	VYBER	11900	81527	\N	\N	\N
447193	1518	1998-03-26	VYDAJ	VYBER	14100	85056	\N	\N	\N
447194	1518	1998-04-25	VYDAJ	VYBER	15300	86267	\N	\N	\N
447195	1518	1998-05-25	VYDAJ	VYBER	13500	90423	\N	\N	\N
447196	1518	1998-06-07	VYDAJ	VYBER	21800	94899	\N	\N	\N
447197	1518	1998-06-24	VYDAJ	VYBER	5100	81299	\N	\N	\N
447198	1518	1998-07-24	VYDAJ	VYBER	14100	84857	\N	\N	\N
447199	1518	1998-08-23	VYDAJ	VYBER	14400	88068	\N	\N	\N
447200	1518	1998-09-22	VYDAJ	VYBER	12600	93093	\N	\N	\N
447201	1518	1998-10-22	VYDAJ	VYBER	19400	91334	\N	\N	\N
447202	1518	1998-11-21	VYDAJ	VYBER	12300	90587	\N	\N	\N
447271	1519	1995-06-14	PRIJEM	VKLAD	700	700	\N	\N	\N
447278	1519	1995-07-14	PRIJEM	VKLAD	20890	25090	\N	\N	\N
447279	1519	1995-08-14	PRIJEM	VKLAD	20890	48441	\N	\N	\N
447280	1519	1995-09-14	PRIJEM	VKLAD	20890	56692	\N	\N	\N
447281	1519	1995-10-14	PRIJEM	VKLAD	20890	66203	\N	\N	\N
447282	1519	1995-11-14	PRIJEM	VKLAD	20890	70452	\N	\N	\N
447283	1519	1995-12-14	PRIJEM	VKLAD	31335	73516	\N	\N	\N
447284	1519	1996-01-14	PRIJEM	VKLAD	20890	68915	\N	\N	\N
447285	1519	1996-02-14	PRIJEM	VKLAD	20890	58688	\N	\N	\N
447286	1519	1996-03-14	PRIJEM	VKLAD	20890	65943	\N	\N	\N
447287	1519	1996-04-14	PRIJEM	VKLAD	20890	67132	\N	\N	\N
447288	1519	1996-05-14	PRIJEM	VKLAD	20890	70131	\N	\N	\N
447289	1519	1996-06-14	PRIJEM	VKLAD	31335	66241	\N	\N	\N
447290	1519	1996-07-14	PRIJEM	VKLAD	20890	65831	\N	\N	\N
447291	1519	1996-08-14	PRIJEM	VKLAD	20890	69927	\N	\N	\N
447292	1519	1996-09-14	PRIJEM	VKLAD	20890	70690	\N	\N	\N
447293	1519	1996-10-14	PRIJEM	VKLAD	20890	72901	\N	\N	\N
447294	1519	1996-11-14	PRIJEM	VKLAD	20890	76324	\N	\N	\N
447295	1519	1996-12-14	PRIJEM	VKLAD	31335	84963	\N	\N	\N
447296	1519	1997-01-14	PRIJEM	VKLAD	20890	74342	\N	\N	\N
447297	1519	1997-02-14	PRIJEM	VKLAD	20890	62617	\N	\N	\N
447298	1519	1997-03-14	PRIJEM	VKLAD	20890	70783	\N	\N	\N
447299	1519	1997-04-14	PRIJEM	VKLAD	20890	72789	\N	\N	\N
447300	1519	1997-05-14	PRIJEM	VKLAD	20890	76210	\N	\N	\N
447301	1519	1997-06-14	PRIJEM	VKLAD	31335	73989	\N	\N	\N
447302	1519	1997-07-14	PRIJEM	VKLAD	20890	79422	\N	\N	\N
447303	1519	1997-08-14	PRIJEM	VKLAD	20890	82467	\N	\N	\N
447304	1519	1997-09-14	PRIJEM	VKLAD	20890	84227	\N	\N	\N
447305	1519	1997-10-14	PRIJEM	VKLAD	20890	86996	\N	\N	\N
447306	1519	1997-11-14	PRIJEM	VKLAD	20890	90074	\N	\N	\N
447307	1519	1997-12-14	PRIJEM	VKLAD	31335	97389	\N	\N	\N
447308	1519	1998-01-14	PRIJEM	VKLAD	20890	91474	\N	\N	\N
447309	1519	1998-02-14	PRIJEM	VKLAD	20890	73908	\N	\N	\N
447310	1519	1998-03-14	PRIJEM	VKLAD	20890	86118	\N	\N	\N
447311	1519	1998-04-14	PRIJEM	VKLAD	20890	92484	\N	\N	\N
447312	1519	1998-05-14	PRIJEM	VKLAD	20890	93764	\N	\N	\N
447313	1519	1998-06-14	PRIJEM	VKLAD	31335	106093	\N	\N	\N
447314	1519	1998-07-14	PRIJEM	VKLAD	20890	90043	\N	\N	\N
447315	1519	1998-08-14	PRIJEM	VKLAD	20890	94811	\N	\N	\N
447316	1519	1998-09-14	PRIJEM	VKLAD	20890	88286	\N	\N	\N
447317	1519	1998-10-14	PRIJEM	VKLAD	20890	90944	\N	\N	\N
447318	1519	1998-11-14	PRIJEM	VKLAD	20890	92109	\N	\N	\N
447319	1519	1998-12-14	PRIJEM	VKLAD	31335	100619	\N	\N	\N
447331	1519	1995-12-10	VYDAJ	PREVOD NA UCET	3443	58281	SIPO	UV	68640708
447332	1519	1996-01-10	VYDAJ	PREVOD NA UCET	3443	68545	SIPO	UV	68640708
447333	1519	1996-02-10	VYDAJ	PREVOD NA UCET	3443	37798	SIPO	UV	68640708
447334	1519	1996-03-10	VYDAJ	PREVOD NA UCET	3443	45053	SIPO	UV	68640708
447335	1519	1996-04-10	VYDAJ	PREVOD NA UCET	3443	46242	SIPO	UV	68640708
447336	1519	1996-05-10	VYDAJ	PREVOD NA UCET	3443	49241	SIPO	UV	68640708
447337	1519	1996-06-10	VYDAJ	PREVOD NA UCET	3443	44506	SIPO	UV	68640708
447338	1519	1996-07-10	VYDAJ	PREVOD NA UCET	3443	44941	SIPO	UV	68640708
447339	1519	1996-08-10	VYDAJ	PREVOD NA UCET	3443	49037	SIPO	UV	68640708
447340	1519	1996-09-10	VYDAJ	PREVOD NA UCET	3443	49800	SIPO	UV	68640708
447341	1519	1996-10-10	VYDAJ	PREVOD NA UCET	3443	52011	SIPO	UV	68640708
447342	1519	1996-11-10	VYDAJ	PREVOD NA UCET	3443	55434	SIPO	UV	68640708
447343	1519	1996-12-10	VYDAJ	PREVOD NA UCET	3443	53628	SIPO	UV	68640708
447344	1519	1997-01-10	VYDAJ	PREVOD NA UCET	3443	55612	SIPO	UV	68640708
447345	1519	1997-02-10	VYDAJ	PREVOD NA UCET	3443	41727	SIPO	UV	68640708
447346	1519	1997-03-10	VYDAJ	PREVOD NA UCET	3443	49893	SIPO	UV	68640708
447347	1519	1997-04-10	VYDAJ	PREVOD NA UCET	3443	51899	SIPO	UV	68640708
447348	1519	1997-05-10	VYDAJ	PREVOD NA UCET	3443	55320	SIPO	UV	68640708
447349	1519	1997-06-10	VYDAJ	PREVOD NA UCET	3443	59454	SIPO	UV	68640708
447350	1519	1997-07-10	VYDAJ	PREVOD NA UCET	3443	58532	SIPO	UV	68640708
447351	1519	1997-08-10	VYDAJ	PREVOD NA UCET	3443	61577	SIPO	UV	68640708
447352	1519	1997-09-10	VYDAJ	PREVOD NA UCET	3443	63337	SIPO	UV	68640708
447353	1519	1997-10-10	VYDAJ	PREVOD NA UCET	3443	66106	SIPO	UV	68640708
447354	1519	1997-11-10	VYDAJ	PREVOD NA UCET	3443	69184	SIPO	UV	68640708
447355	1519	1997-12-10	VYDAJ	PREVOD NA UCET	3443	66054	SIPO	UV	68640708
447356	1519	1998-01-10	VYDAJ	PREVOD NA UCET	3443	70584	SIPO	UV	68640708
447357	1519	1998-02-10	VYDAJ	PREVOD NA UCET	3443	53018	SIPO	UV	68640708
447358	1519	1998-03-10	VYDAJ	PREVOD NA UCET	3443	65228	SIPO	UV	68640708
447359	1519	1998-04-10	VYDAJ	PREVOD NA UCET	3443	71594	SIPO	UV	68640708
447360	1519	1998-05-10	VYDAJ	PREVOD NA UCET	3443	72874	SIPO	UV	68640708
447361	1519	1998-06-10	VYDAJ	PREVOD NA UCET	3443	74758	SIPO	UV	68640708
447362	1519	1998-07-10	VYDAJ	PREVOD NA UCET	3443	69153	SIPO	UV	68640708
447363	1519	1998-08-10	VYDAJ	PREVOD NA UCET	3443	73921	SIPO	UV	68640708
447364	1519	1998-09-10	VYDAJ	PREVOD NA UCET	3443	67396	SIPO	UV	68640708
447365	1519	1998-10-10	VYDAJ	PREVOD NA UCET	3443	70054	SIPO	UV	68640708
447366	1519	1998-11-10	VYDAJ	PREVOD NA UCET	3443	71219	SIPO	UV	68640708
447367	1519	1998-12-10	VYDAJ	PREVOD NA UCET	3443	69284	SIPO	UV	68640708
447369	1519	1996-06-11	VYDAJ	VYBER	9600	34906	\N	\N	\N
447370	1519	1997-06-13	VYDAJ	VYBER	16800	42654	\N	\N	\N
447371	1519	1998-06-17	VYDAJ	VYBER	22720	81573	\N	\N	\N
447373	1519	1996-01-19	VYDAJ	VYBER	8960	57075	\N	\N	\N
447374	1519	1997-01-20	VYDAJ	VYBER	10240	64102	\N	\N	\N
447375	1519	1998-01-22	VYDAJ	VYBER	10720	78554	\N	\N	\N
447376	1519	1995-12-07	VYDAJ	VYBER	3840	66884	\N	\N	\N
447377	1519	1996-12-10	VYDAJ	VYBER	2240	57071	\N	\N	\N
447378	1519	1997-12-07	VYDAJ	VYBER KARTOU	1800	69497	\N	\N	0
447379	1519	1998-12-27	VYDAJ	VYBER KARTOU	2700	75519	\N	\N	0
447386	1519	1996-01-12	VYDAJ	VYBER	2160	48985	\N	\N	\N
447387	1519	1996-01-14	VYDAJ	VYBER	1920	66995	\N	\N	\N
447388	1519	1996-01-18	VYDAJ	VYBER	960	66035	\N	\N	\N
447389	1519	1996-01-08	VYDAJ	VYBER	1800	71988	\N	\N	\N
447390	1519	1996-01-21	VYDAJ	VYBER	3360	53715	\N	\N	\N
447391	1519	1996-01-30	VYDAJ	VYBER	3120	50595	\N	\N	\N
447392	1519	1997-01-27	VYDAJ	VYBER KARTOU	3000	58002	\N	\N	0
447393	1519	1997-01-30	VYDAJ	VYBER KARTOU	2800	54202	\N	\N	0
447394	1519	1997-01-27	VYDAJ	VYBER KARTOU	3100	61002	\N	\N	0
447395	1519	1997-01-11	VYDAJ	VYBER	2160	53452	\N	\N	\N
447396	1519	1997-01-08	VYDAJ	VYBER	3000	60375	\N	\N	\N
447397	1519	1997-01-10	VYDAJ	VYBER	1320	59055	\N	\N	\N
447398	1519	1998-01-23	VYDAJ	VYBER KARTOU	3500	75054	\N	\N	0
447399	1519	1998-01-28	VYDAJ	VYBER KARTOU	3400	63554	\N	\N	0
447400	1519	1998-01-09	VYDAJ	VYBER KARTOU	1700	74027	\N	\N	0
447401	1519	1998-01-27	VYDAJ	VYBER KARTOU	2000	66954	\N	\N	0
447402	1519	1998-01-27	VYDAJ	VYBER KARTOU	3200	68954	\N	\N	0
447403	1519	1998-01-21	VYDAJ	VYBER KARTOU	2200	89274	\N	\N	0
447409	1519	1995-12-09	VYDAJ	VYBER	5160	61724	\N	\N	\N
447412	1519	1996-01-13	VYDAJ	VYBER	960	48025	\N	\N	\N
447413	1519	1996-05-25	VYDAJ	VYBER	5640	64491	\N	\N	\N
447414	1519	1996-08-20	VYDAJ	VYBER	2640	67287	\N	\N	\N
447415	1519	1997-12-03	VYDAJ	VYBER KARTOU	3100	71297	\N	\N	0
447416	1519	1997-02-07	VYDAJ	VYBER KARTOU	1100	45170	\N	\N	0
447417	1519	1997-01-29	VYDAJ	VYBER KARTOU	1000	57002	\N	\N	0
447418	1519	1997-03-31	VYDAJ	VYBER KARTOU	600	70456	\N	\N	0
447419	1519	1997-11-26	VYDAJ	VYBER KARTOU	4800	85274	\N	\N	0
447420	1519	1998-06-14	VYDAJ	VYBER KARTOU	1800	104293	\N	\N	0
447421	1519	1998-09-08	VYDAJ	VYBER KARTOU	2800	70839	\N	\N	0
447422	1519	1998-01-03	VYDAJ	VYBER KARTOU	2500	75727	\N	\N	0
447423	1519	1998-08-20	VYDAJ	VYBER KARTOU	4800	90011	\N	\N	0
447424	1519	1998-02-09	VYDAJ	VYBER KARTOU	4800	56461	\N	\N	0
447425	1519	1998-01-23	VYDAJ	VYBER KARTOU	2900	72154	\N	\N	0
447437	1519	1995-11-30	VYDAJ	VYBER	15	70724	SLUZBY	\N	\N
447438	1519	1995-12-31	VYDAJ	VYBER	15	73788	SLUZBY	\N	\N
447439	1519	1996-01-31	VYDAJ	VYBER	15	50841	SLUZBY	\N	\N
447440	1519	1996-02-29	VYDAJ	VYBER	15	58896	SLUZBY	\N	\N
447441	1519	1996-03-31	VYDAJ	VYBER	15	66185	SLUZBY	\N	\N
447442	1519	1996-04-30	VYDAJ	VYBER	15	67384	SLUZBY	\N	\N
447443	1519	1996-05-31	VYDAJ	VYBER	15	64749	SLUZBY	\N	\N
447444	1519	1996-06-30	VYDAJ	VYBER	15	66484	SLUZBY	\N	\N
447445	1519	1996-07-31	VYDAJ	VYBER	15	66080	SLUZBY	\N	\N
447446	1519	1996-08-31	VYDAJ	VYBER	15	67543	SLUZBY	\N	\N
447447	1519	1996-09-30	VYDAJ	VYBER	15	70954	SLUZBY	\N	\N
447448	1519	1996-10-31	VYDAJ	VYBER	15	73177	SLUZBY	\N	\N
447449	1519	1996-11-30	VYDAJ	VYBER	15	76611	SLUZBY	\N	\N
447450	1519	1996-12-31	VYDAJ	VYBER	15	85275	SLUZBY	\N	\N
447451	1519	1997-01-31	VYDAJ	VYBER	15	54470	SLUZBY	\N	\N
447452	1519	1997-02-28	VYDAJ	VYBER	15	62836	SLUZBY	\N	\N
447453	1519	1997-03-31	VYDAJ	VYBER	15	70442	SLUZBY	\N	\N
447454	1519	1997-04-30	VYDAJ	VYBER	15	73063	SLUZBY	\N	\N
447455	1519	1997-05-31	VYDAJ	VYBER	15	76497	SLUZBY	\N	\N
447456	1519	1997-06-30	VYDAJ	VYBER	15	74275	SLUZBY	\N	\N
447457	1519	1997-07-31	VYDAJ	VYBER	15	79720	SLUZBY	\N	\N
447458	1519	1997-08-31	VYDAJ	VYBER	15	82780	SLUZBY	\N	\N
447459	1519	1997-09-30	VYDAJ	VYBER	15	84549	SLUZBY	\N	\N
447460	1519	1997-10-31	VYDAJ	VYBER	15	87327	SLUZBY	\N	\N
447461	1519	1997-11-30	VYDAJ	VYBER	15	74397	SLUZBY	\N	\N
447462	1519	1997-12-31	VYDAJ	VYBER	15	78227	SLUZBY	\N	\N
447463	1519	1998-01-31	VYDAJ	VYBER	15	61261	SLUZBY	\N	\N
447464	1519	1998-02-28	VYDAJ	VYBER	15	74171	SLUZBY	\N	\N
447465	1519	1998-03-31	VYDAJ	VYBER	15	75037	SLUZBY	\N	\N
447466	1519	1998-04-30	VYDAJ	VYBER	15	76317	SLUZBY	\N	\N
447467	1519	1998-05-31	VYDAJ	VYBER	15	78201	SLUZBY	\N	\N
447468	1519	1998-06-30	VYDAJ	VYBER	15	72596	SLUZBY	\N	\N
447469	1519	1998-07-31	VYDAJ	VYBER	15	77364	SLUZBY	\N	\N
447470	1519	1998-08-31	VYDAJ	VYBER	15	73639	SLUZBY	\N	\N
447471	1519	1998-09-30	VYDAJ	VYBER	15	73497	SLUZBY	\N	\N
447472	1519	1998-10-31	VYDAJ	VYBER	15	74662	SLUZBY	\N	\N
447473	1519	1998-11-30	VYDAJ	VYBER	15	72727	SLUZBY	\N	\N
447474	1519	1995-07-14	PRIJEM	VKLAD	3500	4200	\N	\N	\N
447475	1519	1995-08-13	PRIJEM	VKLAD	2400	27551	\N	\N	\N
447476	1519	1995-09-12	VYDAJ	VYBER	12800	35802	\N	\N	\N
447477	1519	1995-10-12	VYDAJ	VYBER	11600	45313	\N	\N	\N
447478	1519	1995-11-11	VYDAJ	VYBER	16900	49562	\N	\N	\N
447479	1519	1995-12-11	VYDAJ	VYBER	16100	42181	\N	\N	\N
447480	1519	1996-01-10	VYDAJ	VYBER	17400	51145	\N	\N	\N
447481	1519	1996-02-09	VYDAJ	VYBER	9600	41241	\N	\N	\N
447482	1519	1996-03-10	VYDAJ	VYBER	10400	48496	\N	\N	\N
447483	1519	1996-04-09	VYDAJ	VYBER	16500	49685	\N	\N	\N
447484	1519	1996-05-09	VYDAJ	VYBER	14700	52684	\N	\N	\N
447485	1519	1996-06-08	VYDAJ	VYBER	16800	47949	\N	\N	\N
447486	1519	1996-07-08	VYDAJ	VYBER	18100	48384	\N	\N	\N
447487	1519	1996-08-07	VYDAJ	VYBER	13600	52480	\N	\N	\N
447488	1519	1996-09-06	VYDAJ	VYBER	14300	53243	\N	\N	\N
447489	1519	1996-10-06	VYDAJ	VYBER	15500	55454	\N	\N	\N
447490	1519	1996-11-05	VYDAJ	VYBER	14300	58877	\N	\N	\N
447491	1519	1996-12-05	VYDAJ	VYBER	17300	59311	\N	\N	\N
447492	1519	1997-01-04	VYDAJ	VYBER	21900	63375	\N	\N	\N
447493	1519	1997-02-03	VYDAJ	VYBER	8200	46270	\N	\N	\N
447494	1519	1997-03-05	VYDAJ	VYBER	9500	53336	\N	\N	\N
447495	1519	1997-04-04	VYDAJ	VYBER	15100	55342	\N	\N	\N
447496	1519	1997-05-04	VYDAJ	VYBER	14300	58763	\N	\N	\N
447497	1519	1997-06-03	VYDAJ	VYBER	13600	62897	\N	\N	\N
447498	1519	1997-07-03	VYDAJ	VYBER	12300	61975	\N	\N	\N
447499	1519	1997-08-02	VYDAJ	VYBER	14700	65020	\N	\N	\N
447500	1519	1997-09-01	VYDAJ	VYBER	16000	66780	\N	\N	\N
447501	1519	1997-10-01	VYDAJ	VYBER	15000	69549	\N	\N	\N
447502	1519	1997-10-31	VYDAJ	VYBER	14700	72627	\N	\N	\N
447503	1519	1997-11-30	VYDAJ	VYBER	11200	74412	\N	\N	\N
447504	1519	1997-12-30	VYDAJ	VYBER	19500	77889	\N	\N	\N
447505	1519	1998-01-29	VYDAJ	VYBER KARTOU	2600	60954	\N	\N	0
447506	1519	1998-02-28	VYDAJ	VYBER KARTOU	5500	68671	\N	\N	0
447507	1519	1998-03-30	VYDAJ	VYBER	11400	74718	\N	\N	\N
447508	1519	1998-04-29	VYDAJ	VYBER	16500	75984	\N	\N	\N
447509	1519	1998-05-29	VYDAJ	VYBER	15900	77864	\N	\N	\N
447510	1519	1998-06-28	VYDAJ	VYBER	9300	72273	\N	\N	\N
447511	1519	1998-07-28	VYDAJ	VYBER	13000	77043	\N	\N	\N
447512	1519	1998-08-27	VYDAJ	VYBER	16700	73311	\N	\N	\N
447513	1519	1998-09-26	VYDAJ	VYBER	15100	73186	\N	\N	\N
447514	1519	1998-10-26	VYDAJ	VYBER	16600	74344	\N	\N	\N
447515	1519	1998-11-25	VYDAJ	VYBER	19700	72409	\N	\N	\N
447516	1519	1998-12-25	VYDAJ	VYBER	22400	78219	\N	\N	\N
447559	1520	1995-08-08	PRIJEM	VKLAD	300	300	\N	\N	\N
447568	1520	1995-09-05	PRIJEM	PREVOD Z UCTU	6005	6305	DUCHOD	OP	62281173
447569	1520	1995-10-05	PRIJEM	PREVOD Z UCTU	6005	12310	DUCHOD	OP	62281173
447570	1520	1995-11-05	PRIJEM	PREVOD Z UCTU	6005	18315	DUCHOD	OP	62281173
447571	1520	1995-12-05	PRIJEM	PREVOD Z UCTU	6005	24320	DUCHOD	OP	62281173
447572	1520	1996-01-05	PRIJEM	PREVOD Z UCTU	6005	29708	DUCHOD	OP	62281173
447573	1520	1996-02-05	PRIJEM	PREVOD Z UCTU	6005	25168	DUCHOD	OP	62281173
447574	1520	1996-03-05	PRIJEM	PREVOD Z UCTU	6005	28306	DUCHOD	OP	62281173
447575	1520	1996-04-05	PRIJEM	PREVOD Z UCTU	6005	25339	DUCHOD	OP	62281173
447576	1520	1996-05-05	PRIJEM	PREVOD Z UCTU	6005	25078	DUCHOD	OP	62281173
447577	1520	1996-06-05	PRIJEM	PREVOD Z UCTU	6005	26118	DUCHOD	OP	62281173
447578	1520	1996-07-05	PRIJEM	PREVOD Z UCTU	6005	25962	DUCHOD	OP	62281173
447579	1520	1996-08-05	PRIJEM	PREVOD Z UCTU	6005	28906	DUCHOD	OP	62281173
447580	1520	1996-09-05	PRIJEM	PREVOD Z UCTU	6005	28620	DUCHOD	OP	62281173
447581	1520	1996-10-05	PRIJEM	PREVOD Z UCTU	6005	31774	DUCHOD	OP	62281173
447582	1520	1996-11-05	PRIJEM	PREVOD Z UCTU	6005	34039	DUCHOD	OP	62281173
447583	1520	1996-12-05	PRIJEM	PREVOD Z UCTU	6005	34113	DUCHOD	OP	62281173
447584	1520	1997-01-05	PRIJEM	PREVOD Z UCTU	6005	33180	DUCHOD	OP	62281173
447585	1520	1997-02-05	PRIJEM	PREVOD Z UCTU	6005	26898	DUCHOD	OP	62281173
447586	1520	1997-03-05	PRIJEM	PREVOD Z UCTU	6005	30043	DUCHOD	OP	62281173
447587	1520	1997-04-05	PRIJEM	PREVOD Z UCTU	6005	33201	DUCHOD	OP	62281173
447588	1520	1997-05-05	PRIJEM	PREVOD Z UCTU	6005	34051	DUCHOD	OP	62281173
447589	1520	1997-06-05	PRIJEM	PREVOD Z UCTU	6005	30775	DUCHOD	OP	62281173
447590	1520	1997-07-05	PRIJEM	PREVOD Z UCTU	6005	33236	DUCHOD	OP	62281173
447591	1520	1997-08-05	PRIJEM	PREVOD Z UCTU	6005	33906	DUCHOD	OP	62281173
447592	1520	1997-09-05	PRIJEM	PREVOD Z UCTU	6005	33958	DUCHOD	OP	62281173
447593	1520	1997-10-05	PRIJEM	PREVOD Z UCTU	6005	37133	DUCHOD	OP	62281173
447594	1520	1997-11-05	PRIJEM	PREVOD Z UCTU	6005	37918	DUCHOD	OP	62281173
447595	1520	1997-12-05	PRIJEM	PREVOD Z UCTU	6005	40108	DUCHOD	OP	62281173
447596	1520	1998-01-05	PRIJEM	PREVOD Z UCTU	6005	34561	DUCHOD	OP	62281173
447597	1520	1998-02-05	PRIJEM	PREVOD Z UCTU	6005	32202	DUCHOD	OP	62281173
447598	1520	1998-03-05	PRIJEM	PREVOD Z UCTU	6005	35369	DUCHOD	OP	62281173
447599	1520	1998-04-05	PRIJEM	PREVOD Z UCTU	6005	34538	DUCHOD	OP	62281173
447600	1520	1998-05-05	PRIJEM	PREVOD Z UCTU	6005	37114	DUCHOD	OP	62281173
447601	1520	1998-06-05	PRIJEM	PREVOD Z UCTU	6005	40301	DUCHOD	OP	62281173
447602	1520	1998-07-05	PRIJEM	PREVOD Z UCTU	6005	38198	DUCHOD	OP	62281173
447603	1520	1998-08-05	PRIJEM	PREVOD Z UCTU	6005	39869	DUCHOD	OP	62281173
447604	1520	1998-09-05	PRIJEM	PREVOD Z UCTU	6005	42868	DUCHOD	OP	62281173
447605	1520	1998-10-05	PRIJEM	PREVOD Z UCTU	6005	44777	DUCHOD	OP	62281173
447606	1520	1998-11-05	PRIJEM	PREVOD Z UCTU	6005	43990	DUCHOD	OP	62281173
447607	1520	1998-12-05	PRIJEM	PREVOD Z UCTU	6005	44901	DUCHOD	OP	62281173
447620	1520	1996-01-06	VYDAJ	PREVOD NA UCET	2943	25565	SIPO	YZ	12391865
447621	1520	1996-02-06	VYDAJ	PREVOD NA UCET	2943	22225	SIPO	YZ	12391865
447622	1520	1996-03-06	VYDAJ	PREVOD NA UCET	2943	19763	SIPO	YZ	12391865
447623	1520	1996-04-06	VYDAJ	PREVOD NA UCET	2943	22396	SIPO	YZ	12391865
447624	1520	1996-05-06	VYDAJ	PREVOD NA UCET	2943	22135	SIPO	YZ	12391865
447625	1520	1996-06-06	VYDAJ	PREVOD NA UCET	2943	23175	SIPO	YZ	12391865
447626	1520	1996-07-06	VYDAJ	PREVOD NA UCET	2943	23019	SIPO	YZ	12391865
447627	1520	1996-08-06	VYDAJ	PREVOD NA UCET	2943	25963	SIPO	YZ	12391865
447628	1520	1996-09-06	VYDAJ	PREVOD NA UCET	2943	25677	SIPO	YZ	12391865
447629	1520	1996-10-06	VYDAJ	PREVOD NA UCET	2943	28831	SIPO	YZ	12391865
447630	1520	1996-11-06	VYDAJ	PREVOD NA UCET	2943	31096	SIPO	YZ	12391865
447631	1520	1996-12-06	VYDAJ	PREVOD NA UCET	2943	31170	SIPO	YZ	12391865
447632	1520	1997-01-06	VYDAJ	PREVOD NA UCET	2943	30237	SIPO	YZ	12391865
447633	1520	1997-02-06	VYDAJ	PREVOD NA UCET	2943	23955	SIPO	YZ	12391865
447634	1520	1997-03-06	VYDAJ	PREVOD NA UCET	2943	27100	SIPO	YZ	12391865
447635	1520	1997-04-06	VYDAJ	PREVOD NA UCET	2943	30258	SIPO	YZ	12391865
447636	1520	1997-05-06	VYDAJ	PREVOD NA UCET	2943	31108	SIPO	YZ	12391865
447637	1520	1997-06-06	VYDAJ	PREVOD NA UCET	2943	27832	SIPO	YZ	12391865
447638	1520	1997-07-06	VYDAJ	PREVOD NA UCET	2943	30293	SIPO	YZ	12391865
447639	1520	1997-08-06	VYDAJ	PREVOD NA UCET	2943	30963	SIPO	YZ	12391865
447640	1520	1997-09-06	VYDAJ	PREVOD NA UCET	2943	31015	SIPO	YZ	12391865
447641	1520	1997-10-06	VYDAJ	PREVOD NA UCET	2943	34190	SIPO	YZ	12391865
447642	1520	1997-11-06	VYDAJ	PREVOD NA UCET	2943	34975	SIPO	YZ	12391865
447643	1520	1997-12-06	VYDAJ	PREVOD NA UCET	2943	37165	SIPO	YZ	12391865
447644	1520	1998-01-06	VYDAJ	PREVOD NA UCET	2943	31618	SIPO	YZ	12391865
447645	1520	1998-02-06	VYDAJ	PREVOD NA UCET	2943	29259	SIPO	YZ	12391865
447646	1520	1998-03-06	VYDAJ	PREVOD NA UCET	2943	32426	SIPO	YZ	12391865
447647	1520	1998-04-06	VYDAJ	PREVOD NA UCET	2943	31595	SIPO	YZ	12391865
447648	1520	1998-05-06	VYDAJ	PREVOD NA UCET	2943	34171	SIPO	YZ	12391865
447649	1520	1998-06-06	VYDAJ	PREVOD NA UCET	2943	37358	SIPO	YZ	12391865
447650	1520	1998-07-06	VYDAJ	PREVOD NA UCET	2943	35255	SIPO	YZ	12391865
447651	1520	1998-08-06	VYDAJ	PREVOD NA UCET	2943	36926	SIPO	YZ	12391865
447652	1520	1998-09-06	VYDAJ	PREVOD NA UCET	2943	39925	SIPO	YZ	12391865
447653	1520	1998-10-06	VYDAJ	PREVOD NA UCET	2943	41834	SIPO	YZ	12391865
447654	1520	1998-11-06	VYDAJ	PREVOD NA UCET	2943	41047	SIPO	YZ	12391865
447655	1520	1998-12-06	VYDAJ	PREVOD NA UCET	2943	41958	SIPO	YZ	12391865
447657	1520	1996-12-08	VYDAJ	VYBER	500	30670	\N	\N	\N
447658	1520	1997-12-08	VYDAJ	VYBER	1000	36165	\N	\N	\N
447659	1520	1998-12-27	VYDAJ	VYBER	1100	40258	\N	\N	\N
447666	1520	1996-01-10	VYDAJ	VYBER	640	22125	\N	\N	\N
447667	1520	1996-01-26	VYDAJ	VYBER	2160	19085	\N	\N	\N
447668	1520	1996-01-23	VYDAJ	VYBER	880	21245	\N	\N	\N
447669	1520	1996-01-10	VYDAJ	VYBER	1760	22765	\N	\N	\N
447670	1520	1996-01-06	VYDAJ	VYBER	1040	24525	\N	\N	\N
447672	1520	1997-01-29	VYDAJ	VYBER	800	20797	\N	\N	\N
447673	1520	1997-01-09	VYDAJ	VYBER	720	29517	\N	\N	\N
447674	1520	1997-01-15	VYDAJ	VYBER	1840	27677	\N	\N	\N
447675	1520	1997-01-28	VYDAJ	VYBER	1680	22477	\N	\N	\N
447676	1520	1997-01-27	VYDAJ	VYBER	1920	24157	\N	\N	\N
447677	1520	1997-01-28	VYDAJ	VYBER	880	21597	\N	\N	\N
447678	1520	1998-01-03	VYDAJ	VYBER	1600	29916	\N	\N	\N
447679	1520	1998-01-08	VYDAJ	VYBER	1920	27698	\N	\N	\N
447680	1520	1998-01-03	VYDAJ	VYBER	1360	28556	\N	\N	\N
447681	1520	1998-01-06	VYDAJ	VYBER	2000	29618	\N	\N	\N
447682	1520	1998-01-12	VYDAJ	VYBER	1600	26098	\N	\N	\N
447683	1520	1998-01-03	VYDAJ	VYBER	1280	31516	\N	\N	\N
447687	1520	1996-08-28	VYDAJ	VYBER	1440	24523	\N	\N	\N
447688	1520	1996-12-17	VYDAJ	VYBER	3600	27070	\N	\N	\N
447689	1520	1997-08-18	VYDAJ	VYBER	480	30483	\N	\N	\N
447690	1520	1997-05-15	VYDAJ	VYBER	2960	28148	\N	\N	\N
447691	1520	1997-08-31	VYDAJ	VYBER	2240	27968	\N	\N	\N
447692	1520	1997-05-22	VYDAJ	VYBER	2480	25668	\N	\N	\N
447693	1520	1997-01-17	VYDAJ	VYBER	1600	26077	\N	\N	\N
447694	1520	1997-04-22	VYDAJ	VYBER	720	29538	\N	\N	\N
447695	1520	1998-07-09	VYDAJ	VYBER	880	34375	\N	\N	\N
447696	1520	1998-03-11	VYDAJ	VYBER	3040	29386	\N	\N	\N
447697	1520	1998-08-02	VYDAJ	VYBER	640	33864	\N	\N	\N
447698	1520	1998-07-02	VYDAJ	VYBER	2400	32193	\N	\N	\N
447699	1520	1998-03-18	VYDAJ	VYBER	960	28426	\N	\N	\N
447713	1520	1996-01-31	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
447714	1520	1996-02-29	VYDAJ	VYBER	15	22301	SLUZBY	\N	\N
447715	1520	1996-03-31	VYDAJ	VYBER	15	19834	SLUZBY	\N	\N
447716	1520	1996-04-30	VYDAJ	VYBER	15	22473	SLUZBY	\N	\N
447717	1520	1996-05-31	VYDAJ	VYBER	15	22213	SLUZBY	\N	\N
447718	1520	1996-06-30	VYDAJ	VYBER	15	23257	SLUZBY	\N	\N
447719	1520	1996-07-31	VYDAJ	VYBER	15	23101	SLUZBY	\N	\N
447720	1520	1996-08-31	VYDAJ	VYBER	15	24615	SLUZBY	\N	\N
447721	1520	1996-09-30	VYDAJ	VYBER	15	25769	SLUZBY	\N	\N
447722	1520	1996-10-31	VYDAJ	VYBER	15	28934	SLUZBY	\N	\N
447723	1520	1996-11-30	VYDAJ	VYBER	15	28108	SLUZBY	\N	\N
447724	1520	1996-12-31	VYDAJ	VYBER	15	27175	SLUZBY	\N	\N
447725	1520	1997-01-31	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
447726	1520	1997-02-28	VYDAJ	VYBER	15	24038	SLUZBY	\N	\N
447727	1520	1997-03-31	VYDAJ	VYBER	15	27196	SLUZBY	\N	\N
447728	1520	1997-04-30	VYDAJ	VYBER	15	28046	SLUZBY	\N	\N
447729	1520	1997-05-31	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
447730	1520	1997-06-30	VYDAJ	VYBER	15	27231	SLUZBY	\N	\N
447731	1520	1997-07-31	VYDAJ	VYBER	15	27901	SLUZBY	\N	\N
447732	1520	1997-08-31	VYDAJ	VYBER	15	27953	SLUZBY	\N	\N
447733	1520	1997-09-30	VYDAJ	VYBER	15	31128	SLUZBY	\N	\N
447734	1520	1997-10-31	VYDAJ	VYBER	15	31913	SLUZBY	\N	\N
447735	1520	1997-11-30	VYDAJ	VYBER	15	34103	SLUZBY	\N	\N
447736	1520	1997-12-31	VYDAJ	VYBER	15	32796	SLUZBY	\N	\N
447737	1520	1998-01-31	VYDAJ	VYBER	15	26197	SLUZBY	\N	\N
447738	1520	1998-02-28	VYDAJ	VYBER	15	29364	SLUZBY	\N	\N
447739	1520	1998-03-31	VYDAJ	VYBER	15	28533	SLUZBY	\N	\N
447740	1520	1998-04-30	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
447741	1520	1998-05-31	VYDAJ	VYBER	15	34296	SLUZBY	\N	\N
447742	1520	1998-06-30	VYDAJ	VYBER	15	34593	SLUZBY	\N	\N
447743	1520	1998-07-31	VYDAJ	VYBER	15	34504	SLUZBY	\N	\N
447744	1520	1998-08-31	VYDAJ	VYBER	15	36863	SLUZBY	\N	\N
447745	1520	1998-09-30	VYDAJ	VYBER	15	38772	SLUZBY	\N	\N
447746	1520	1998-10-31	VYDAJ	VYBER	15	37985	SLUZBY	\N	\N
447747	1520	1998-11-30	VYDAJ	VYBER	15	38896	SLUZBY	\N	\N
447748	1520	1995-12-06	VYDAJ	VYBER	700	23620	\N	\N	\N
447749	1520	1996-01-05	VYDAJ	VYBER	1200	28508	\N	\N	\N
447750	1520	1996-03-05	VYDAJ	VYBER	5600	22706	\N	\N	\N
447751	1520	1996-04-04	VYDAJ	VYBER	500	19334	\N	\N	\N
447752	1520	1996-05-04	VYDAJ	VYBER	3400	19073	\N	\N	\N
447753	1520	1996-06-03	VYDAJ	VYBER	2100	20113	\N	\N	\N
447754	1520	1996-07-03	VYDAJ	VYBER	3300	19957	\N	\N	\N
447755	1520	1996-08-02	VYDAJ	VYBER	200	22901	\N	\N	\N
447756	1520	1996-09-01	VYDAJ	VYBER	2000	22615	\N	\N	\N
447757	1520	1996-10-31	VYDAJ	VYBER	900	28034	\N	\N	\N
447758	1520	1996-11-30	VYDAJ	VYBER	3100	28123	\N	\N	\N
447759	1520	1997-04-29	VYDAJ	VYBER	1600	27938	\N	\N	\N
447760	1520	1997-05-29	VYDAJ	VYBER	1000	24668	\N	\N	\N
447761	1520	1997-06-28	VYDAJ	VYBER	700	27132	\N	\N	\N
447762	1520	1997-07-28	VYDAJ	VYBER	2500	27793	\N	\N	\N
447763	1520	1997-08-27	VYDAJ	VYBER	400	30083	\N	\N	\N
447764	1520	1997-10-26	VYDAJ	VYBER	2400	31790	\N	\N	\N
447765	1520	1997-11-25	VYDAJ	VYBER	1000	33975	\N	\N	\N
447766	1520	1997-12-25	VYDAJ	VYBER	3500	32665	\N	\N	\N
447767	1520	1998-04-24	VYDAJ	VYBER	600	30995	\N	\N	\N
447768	1520	1998-06-23	VYDAJ	VYBER	2900	34458	\N	\N	\N
447769	1520	1998-08-22	VYDAJ	VYBER	200	36726	\N	\N	\N
447770	1520	1998-09-21	VYDAJ	VYBER	1300	38625	\N	\N	\N
447771	1520	1998-10-21	VYDAJ	VYBER	4000	37834	\N	\N	\N
447772	1520	1998-11-20	VYDAJ	VYBER	2300	38747	\N	\N	\N
447773	1520	1998-12-20	VYDAJ	VYBER	600	41358	\N	\N	\N
447811	1521	1996-04-04	PRIJEM	VKLAD	900	900	\N	\N	\N
447815	1521	1996-04-05	PRIJEM	PREVOD Z UCTU	4537	5437	DUCHOD	QR	86928081
447816	1521	1996-05-05	PRIJEM	PREVOD Z UCTU	4537	9994	DUCHOD	QR	86928081
447817	1521	1996-06-05	PRIJEM	PREVOD Z UCTU	4537	14553	DUCHOD	QR	86928081
447818	1521	1996-07-05	PRIJEM	PREVOD Z UCTU	4537	19113	DUCHOD	QR	86928081
447819	1521	1996-08-05	PRIJEM	PREVOD Z UCTU	4537	23673	DUCHOD	QR	86928081
447820	1521	1996-09-05	PRIJEM	PREVOD Z UCTU	4537	21045	DUCHOD	QR	86928081
447821	1521	1996-10-05	PRIJEM	PREVOD Z UCTU	4537	19858	DUCHOD	QR	86928081
447822	1521	1996-11-05	PRIJEM	PREVOD Z UCTU	4537	17327	DUCHOD	QR	86928081
447823	1521	1996-12-05	PRIJEM	PREVOD Z UCTU	4537	16084	DUCHOD	QR	86928081
447824	1521	1997-01-05	PRIJEM	PREVOD Z UCTU	4537	16237	DUCHOD	QR	86928081
447825	1521	1997-02-05	PRIJEM	PREVOD Z UCTU	4537	17077	DUCHOD	QR	86928081
447826	1521	1997-03-05	PRIJEM	PREVOD Z UCTU	4537	17532	DUCHOD	QR	86928081
447827	1521	1997-04-05	PRIJEM	PREVOD Z UCTU	4537	19090	DUCHOD	QR	86928081
447828	1521	1997-05-05	PRIJEM	PREVOD Z UCTU	4537	16352	DUCHOD	QR	86928081
447829	1521	1997-06-05	PRIJEM	PREVOD Z UCTU	4537	17105	DUCHOD	QR	86928081
447830	1521	1997-07-05	PRIJEM	PREVOD Z UCTU	4537	18660	DUCHOD	QR	86928081
447831	1521	1997-08-05	PRIJEM	PREVOD Z UCTU	4537	19742	DUCHOD	QR	86928081
447832	1521	1997-09-05	PRIJEM	PREVOD Z UCTU	4537	21309	DUCHOD	QR	86928081
447833	1521	1997-10-05	PRIJEM	PREVOD Z UCTU	4537	22882	DUCHOD	QR	86928081
447834	1521	1997-11-05	PRIJEM	PREVOD Z UCTU	4537	23740	DUCHOD	QR	86928081
447835	1521	1997-12-05	PRIJEM	PREVOD Z UCTU	4537	25323	DUCHOD	QR	86928081
447836	1521	1998-01-05	PRIJEM	PREVOD Z UCTU	4537	26462	DUCHOD	QR	86928081
447837	1521	1998-02-05	PRIJEM	PREVOD Z UCTU	4537	18358	DUCHOD	QR	86928081
447838	1521	1998-03-05	PRIJEM	PREVOD Z UCTU	4537	19919	DUCHOD	QR	86928081
447839	1521	1998-04-05	PRIJEM	PREVOD Z UCTU	4537	21486	DUCHOD	QR	86928081
447840	1521	1998-05-05	PRIJEM	PREVOD Z UCTU	4537	19609	DUCHOD	QR	86928081
447841	1521	1998-06-05	PRIJEM	PREVOD Z UCTU	4537	17332	DUCHOD	QR	86928081
447842	1521	1998-07-05	PRIJEM	PREVOD Z UCTU	4537	18888	DUCHOD	QR	86928081
447843	1521	1998-08-05	PRIJEM	PREVOD Z UCTU	4537	20451	DUCHOD	QR	86928081
447844	1521	1998-09-05	PRIJEM	PREVOD Z UCTU	4537	22020	DUCHOD	QR	86928081
447845	1521	1998-10-05	PRIJEM	PREVOD Z UCTU	4537	19835	DUCHOD	QR	86928081
447846	1521	1998-11-05	PRIJEM	PREVOD Z UCTU	4537	21402	DUCHOD	QR	86928081
447847	1521	1998-12-05	PRIJEM	PREVOD Z UCTU	4537	20992	DUCHOD	QR	86928081
447855	1521	1996-08-07	VYDAJ	PREVOD NA UCET	3024	20649	SIPO	GH	37432712
447856	1521	1996-09-07	VYDAJ	PREVOD NA UCET	3024	18021	SIPO	GH	37432712
447857	1521	1996-10-07	VYDAJ	PREVOD NA UCET	3024	16834	SIPO	GH	37432712
447858	1521	1996-11-07	VYDAJ	PREVOD NA UCET	3024	14303	SIPO	GH	37432712
447859	1521	1996-12-07	VYDAJ	PREVOD NA UCET	3024	13060	SIPO	GH	37432712
447860	1521	1997-01-07	VYDAJ	PREVOD NA UCET	3024	12493	SIPO	GH	37432712
447861	1521	1997-02-07	VYDAJ	PREVOD NA UCET	3024	14053	SIPO	GH	37432712
447862	1521	1997-03-07	VYDAJ	PREVOD NA UCET	3024	14508	SIPO	GH	37432712
447863	1521	1997-04-07	VYDAJ	PREVOD NA UCET	3024	16066	SIPO	GH	37432712
447864	1521	1997-05-07	VYDAJ	PREVOD NA UCET	3024	13328	SIPO	GH	37432712
447865	1521	1997-06-07	VYDAJ	PREVOD NA UCET	3024	14081	SIPO	GH	37432712
447866	1521	1997-07-07	VYDAJ	PREVOD NA UCET	3024	15636	SIPO	GH	37432712
447867	1521	1997-08-07	VYDAJ	PREVOD NA UCET	3024	16718	SIPO	GH	37432712
447868	1521	1997-09-07	VYDAJ	PREVOD NA UCET	3024	18285	SIPO	GH	37432712
447869	1521	1997-10-07	VYDAJ	PREVOD NA UCET	3024	19138	SIPO	GH	37432712
447870	1521	1997-11-07	VYDAJ	PREVOD NA UCET	3024	20716	SIPO	GH	37432712
447871	1521	1997-12-07	VYDAJ	PREVOD NA UCET	3024	22299	SIPO	GH	37432712
447872	1521	1998-01-07	VYDAJ	PREVOD NA UCET	3024	21678	SIPO	GH	37432712
447873	1521	1998-02-07	VYDAJ	PREVOD NA UCET	3024	15334	SIPO	GH	37432712
447874	1521	1998-03-07	VYDAJ	PREVOD NA UCET	3024	16895	SIPO	GH	37432712
447875	1521	1998-04-07	VYDAJ	PREVOD NA UCET	3024	15022	SIPO	GH	37432712
447876	1521	1998-05-07	VYDAJ	PREVOD NA UCET	3024	12745	SIPO	GH	37432712
447877	1521	1998-06-07	VYDAJ	PREVOD NA UCET	3024	14308	SIPO	GH	37432712
447878	1521	1998-07-07	VYDAJ	PREVOD NA UCET	3024	15864	SIPO	GH	37432712
447879	1521	1998-08-07	VYDAJ	PREVOD NA UCET	3024	17427	SIPO	GH	37432712
447880	1521	1998-09-07	VYDAJ	PREVOD NA UCET	3024	18996	SIPO	GH	37432712
447881	1521	1998-10-07	VYDAJ	PREVOD NA UCET	3024	16811	SIPO	GH	37432712
447882	1521	1998-11-07	VYDAJ	PREVOD NA UCET	3024	18378	SIPO	GH	37432712
447883	1521	1998-12-07	VYDAJ	PREVOD NA UCET	3024	17968	SIPO	GH	37432712
447889	1521	1998-01-23	VYDAJ	VYBER	800	16078	\N	\N	\N
447891	1521	1997-12-11	VYDAJ	VYBER	450	21849	\N	\N	\N
447892	1521	1998-12-02	VYDAJ	VYBER	1100	16455	\N	\N	\N
447902	1521	1997-01-07	VYDAJ	VYBER	720	15517	\N	\N	\N
447906	1521	1998-01-15	VYDAJ	VYBER	1840	19838	\N	\N	\N
447907	1521	1998-01-16	VYDAJ	VYBER	1280	16878	\N	\N	\N
447908	1521	1998-01-25	VYDAJ	VYBER	720	15358	\N	\N	\N
447909	1521	1998-01-16	VYDAJ	VYBER	1680	18158	\N	\N	\N
447910	1521	1998-01-06	VYDAJ	VYBER	1760	24702	\N	\N	\N
447911	1521	1996-09-11	VYDAJ	VYBER	960	17061	\N	\N	\N
447920	1521	1997-07-24	VYDAJ	VYBER	480	15156	\N	\N	\N
447921	1521	1997-10-06	VYDAJ	VYBER	720	22162	\N	\N	\N
447923	1521	1998-09-29	VYDAJ	VYBER	3760	15236	\N	\N	\N
447924	1521	1998-11-07	VYDAJ	VYBER	880	17498	\N	\N	\N
447925	1521	1998-01-26	VYDAJ	VYBER	1600	13758	\N	\N	\N
447926	1521	1998-04-07	VYDAJ	VYBER	3440	18046	\N	\N	\N
447927	1521	1998-05-07	VYDAJ	VYBER	3840	15769	\N	\N	\N
447936	1521	1996-08-31	VYDAJ	VYBER	15	20708	SLUZBY	\N	\N
447937	1521	1996-09-30	VYDAJ	VYBER	15	17121	SLUZBY	\N	\N
447938	1521	1996-10-31	VYDAJ	VYBER	15	12790	SLUZBY	\N	\N
447939	1521	1996-11-30	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
447940	1521	1996-12-31	VYDAJ	VYBER	15	11700	SLUZBY	\N	\N
447941	1521	1997-01-31	VYDAJ	VYBER	15	12540	SLUZBY	\N	\N
447942	1521	1997-02-28	VYDAJ	VYBER	15	14095	SLUZBY	\N	\N
447943	1521	1997-03-31	VYDAJ	VYBER	15	14553	SLUZBY	\N	\N
447944	1521	1997-04-30	VYDAJ	VYBER	15	11815	SLUZBY	\N	\N
447945	1521	1997-05-31	VYDAJ	VYBER	15	12568	SLUZBY	\N	\N
447946	1521	1997-06-30	VYDAJ	VYBER	15	14123	SLUZBY	\N	\N
447947	1521	1997-07-31	VYDAJ	VYBER	15	15205	SLUZBY	\N	\N
447948	1521	1997-08-31	VYDAJ	VYBER	15	16772	SLUZBY	\N	\N
447949	1521	1997-09-30	VYDAJ	VYBER	15	18345	SLUZBY	\N	\N
447950	1521	1997-10-31	VYDAJ	VYBER	15	19203	SLUZBY	\N	\N
447951	1521	1997-11-30	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
447952	1521	1997-12-31	VYDAJ	VYBER	15	21925	SLUZBY	\N	\N
447953	1521	1998-01-31	VYDAJ	VYBER	15	13821	SLUZBY	\N	\N
447954	1521	1998-02-28	VYDAJ	VYBER	15	15382	SLUZBY	\N	\N
447955	1521	1998-03-31	VYDAJ	VYBER	15	16949	SLUZBY	\N	\N
447956	1521	1998-04-30	VYDAJ	VYBER	15	15072	SLUZBY	\N	\N
447957	1521	1998-05-31	VYDAJ	VYBER	15	12795	SLUZBY	\N	\N
447958	1521	1998-06-30	VYDAJ	VYBER	15	14351	SLUZBY	\N	\N
447959	1521	1998-07-31	VYDAJ	VYBER	15	15914	SLUZBY	\N	\N
447960	1521	1998-08-31	VYDAJ	VYBER	15	17483	SLUZBY	\N	\N
447961	1521	1998-09-30	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
447962	1521	1998-10-31	VYDAJ	VYBER	15	16865	SLUZBY	\N	\N
447963	1521	1998-11-30	VYDAJ	VYBER	15	17555	SLUZBY	\N	\N
447964	1521	1996-09-01	VYDAJ	VYBER	4200	16508	\N	\N	\N
447965	1521	1996-10-01	VYDAJ	VYBER	1800	15321	\N	\N	\N
447966	1521	1996-10-31	VYDAJ	VYBER	4100	12805	\N	\N	\N
447967	1521	1996-11-30	VYDAJ	VYBER	2800	11547	\N	\N	\N
447968	1521	1996-12-30	VYDAJ	VYBER	1400	11660	\N	\N	\N
447969	1521	1997-02-28	VYDAJ	VYBER	1100	12995	\N	\N	\N
447970	1521	1997-04-29	VYDAJ	VYBER	4300	11766	\N	\N	\N
447971	1521	1997-05-29	VYDAJ	VYBER	800	12528	\N	\N	\N
448005	1522	1997-08-02	PRIJEM	VKLAD	800	800	\N	\N	\N
448008	1522	1998-01-12	PRIJEM	VKLAD	7924	30888	\N	\N	\N
448009	1522	1998-10-16	PRIJEM	VKLAD	32577	87312	\N	\N	\N
448017	1522	1997-08-15	PRIJEM	VKLAD	1000	1800	\N	\N	\N
448018	1522	1997-09-14	PRIJEM	VKLAD	1000	16004	\N	\N	\N
448019	1522	1997-10-13	PRIJEM	VKLAD	1000	23545	\N	\N	\N
448020	1522	1997-11-16	PRIJEM	VKLAD	1000	28432	\N	\N	\N
448021	1522	1997-12-14	PRIJEM	VKLAD	1000	32946	\N	\N	\N
448022	1522	1998-01-13	PRIJEM	VKLAD	1000	31888	\N	\N	\N
448023	1522	1998-02-17	PRIJEM	VKLAD	1000	35305	\N	\N	\N
448024	1522	1998-03-14	PRIJEM	VKLAD	1000	36034	\N	\N	\N
448025	1522	1998-04-17	PRIJEM	VKLAD	1000	34565	\N	\N	\N
448026	1522	1998-05-14	PRIJEM	VKLAD	1000	35090	\N	\N	\N
448027	1522	1998-06-14	PRIJEM	VKLAD	1000	39870	\N	\N	\N
448028	1522	1998-07-17	PRIJEM	VKLAD	1000	34741	\N	\N	\N
448029	1522	1998-08-15	PRIJEM	VKLAD	1000	41771	\N	\N	\N
448030	1522	1998-09-17	PRIJEM	VKLAD	1000	52433	\N	\N	\N
448031	1522	1998-10-16	PRIJEM	VKLAD	1000	88312	\N	\N	\N
448032	1522	1998-11-17	PRIJEM	VKLAD	1000	71481	\N	\N	\N
448033	1522	1998-12-16	PRIJEM	VKLAD	1000	60705	\N	\N	\N
448035	1522	1998-06-26	VYDAJ	VYBER	5700	18720	\N	\N	\N
448037	1522	1998-06-16	VYDAJ	VYBER	14800	25070	\N	\N	\N
448039	1522	1998-01-04	VYDAJ	VYBER	9600	24364	\N	\N	\N
448040	1522	1997-12-26	VYDAJ	VYBER	2500	30446	\N	\N	\N
448041	1522	1998-12-01	VYDAJ	VYBER	2800	59705	\N	\N	\N
448048	1522	1998-01-11	VYDAJ	VYBER	1400	22964	\N	\N	\N
448049	1522	1998-01-27	VYDAJ	VYBER	1100	28288	\N	\N	\N
448050	1522	1998-01-13	VYDAJ	VYBER	1150	30738	\N	\N	\N
448051	1522	1998-01-22	VYDAJ	VYBER	850	29888	\N	\N	\N
448052	1522	1998-01-29	VYDAJ	VYBER	1200	34188	\N	\N	\N
448053	1522	1998-01-23	VYDAJ	VYBER	500	29388	\N	\N	\N
448060	1522	1998-06-25	VYDAJ	VYBER	650	24420	\N	\N	\N
448061	1522	1998-06-13	VYDAJ	VYBER	550	38870	\N	\N	\N
448062	1522	1998-11-29	VYDAJ	VYBER	2250	62231	\N	\N	\N
448075	1522	1997-12-31	VYDAJ	VYBER	15	33964	SLUZBY	\N	\N
448076	1522	1998-01-31	VYDAJ	VYBER	15	34305	SLUZBY	\N	\N
448077	1522	1998-02-28	VYDAJ	VYBER	15	35034	SLUZBY	\N	\N
448078	1522	1998-03-31	VYDAJ	VYBER	15	33565	SLUZBY	\N	\N
448079	1522	1998-04-30	VYDAJ	VYBER	15	34090	SLUZBY	\N	\N
448080	1522	1998-05-31	VYDAJ	VYBER	15	39420	SLUZBY	\N	\N
448081	1522	1998-06-30	VYDAJ	VYBER	15	33741	SLUZBY	\N	\N
448082	1522	1998-07-31	VYDAJ	VYBER	15	40771	SLUZBY	\N	\N
448083	1522	1998-08-31	VYDAJ	VYBER	15	51433	SLUZBY	\N	\N
448084	1522	1998-09-30	VYDAJ	VYBER	15	54735	SLUZBY	\N	\N
448085	1522	1998-10-31	VYDAJ	VYBER	15	70481	SLUZBY	\N	\N
448086	1522	1998-11-30	VYDAJ	VYBER	15	62505	SLUZBY	\N	\N
448087	1522	1997-09-01	PRIJEM	VKLAD	13200	15004	\N	\N	\N
448088	1522	1997-10-01	PRIJEM	VKLAD	6500	22545	\N	\N	\N
448089	1522	1997-10-31	PRIJEM	VKLAD	3800	27345	\N	\N	\N
448090	1522	1997-11-30	PRIJEM	VKLAD	3400	31946	\N	\N	\N
448091	1522	1997-12-30	PRIJEM	VKLAD	3400	33846	\N	\N	\N
448092	1522	1998-01-29	PRIJEM	VKLAD	7100	35388	\N	\N	\N
448093	1522	1998-02-28	VYDAJ	VYBER	400	35048	\N	\N	\N
448094	1522	1998-03-30	VYDAJ	VYBER	2600	33434	\N	\N	\N
448095	1522	1998-04-29	VYDAJ	VYBER	600	33965	\N	\N	\N
448096	1522	1998-05-29	PRIJEM	VKLAD	4200	39290	\N	\N	\N
448097	1522	1998-06-28	PRIJEM	VKLAD	14900	33620	\N	\N	\N
448098	1522	1998-07-28	PRIJEM	VKLAD	5900	40641	\N	\N	\N
448099	1522	1998-08-27	PRIJEM	VKLAD	9500	51271	\N	\N	\N
448100	1522	1998-09-26	PRIJEM	VKLAD	2100	54533	\N	\N	\N
448101	1522	1998-10-26	VYDAJ	VYBER	18100	70212	\N	\N	\N
448102	1522	1998-11-25	VYDAJ	VYBER	7000	64481	\N	\N	\N
448120	1523	1997-11-24	PRIJEM	VKLAD	200	200	\N	\N	\N
448133	1523	1998-03-12	PRIJEM	VKLAD	48026	83899	\N	\N	\N
448134	1523	1998-06-25	PRIJEM	VKLAD	7055	60911	\N	\N	\N
448135	1523	1998-06-07	PRIJEM	VKLAD	11516	98797	\N	\N	\N
448136	1523	1998-10-25	PRIJEM	VKLAD	12909	67651	\N	\N	\N
448137	1523	1998-04-17	PRIJEM	VKLAD	14212	65918	\N	\N	\N
448138	1523	1998-01-24	PRIJEM	VKLAD	37290	53990	\N	\N	\N
448139	1523	1998-12-09	PRIJEM	VKLAD	9625	53695	\N	\N	\N
448140	1523	1998-10-19	PRIJEM	VKLAD	49899	78042	\N	\N	\N
448141	1523	1998-09-27	PRIJEM	VKLAD	23200	39690	\N	\N	\N
448142	1523	1998-06-13	PRIJEM	VKLAD	37886	125156	\N	\N	\N
448143	1523	1998-08-04	PRIJEM	VKLAD	12401	33550	\N	\N	\N
448144	1523	1998-03-21	PRIJEM	VKLAD	6549	85830	\N	\N	\N
448145	1523	1998-07-02	PRIJEM	VKLAD	8037	28990	\N	\N	\N
448146	1523	1998-04-24	PRIJEM	VKLAD	36289	95879	\N	\N	\N
448147	1523	1998-06-02	PRIJEM	VKLAD	41839	87281	\N	\N	\N
448148	1523	1998-05-17	PRIJEM	VKLAD	35812	120331	\N	\N	\N
448149	1523	1998-04-22	PRIJEM	VKLAD	40289	101590	\N	\N	\N
448150	1523	1998-03-17	PRIJEM	VKLAD	46582	130481	\N	\N	\N
448167	1523	1998-05-08	VYDAJ	PREVOD NA UCET	1684	94362	SIPO	CD	15318
448168	1523	1998-06-08	VYDAJ	PREVOD NA UCET	1684	97113	SIPO	CD	15318
448169	1523	1998-07-08	VYDAJ	PREVOD NA UCET	1684	27306	SIPO	CD	15318
448170	1523	1998-08-08	VYDAJ	PREVOD NA UCET	1684	31866	SIPO	CD	15318
448171	1523	1998-09-08	VYDAJ	PREVOD NA UCET	1684	19033	SIPO	CD	15318
448172	1523	1998-10-08	VYDAJ	PREVOD NA UCET	1684	37986	SIPO	CD	15318
448173	1523	1998-11-08	VYDAJ	PREVOD NA UCET	1684	66063	SIPO	CD	15318
448174	1523	1998-12-08	VYDAJ	PREVOD NA UCET	1684	44070	SIPO	CD	15318
448191	1523	1998-05-12	VYDAJ	PREVOD NA UCET	9843	84519	 	IJ	13058364
448192	1523	1998-06-12	VYDAJ	PREVOD NA UCET	9843	87270	 	IJ	13058364
448193	1523	1998-07-12	VYDAJ	PREVOD NA UCET	9843	17463	 	IJ	13058364
448194	1523	1998-08-12	VYDAJ	PREVOD NA UCET	9843	22023	 	IJ	13058364
448195	1523	1998-09-12	VYDAJ	PREVOD NA UCET	9843	9190	 	IJ	13058364
448196	1523	1998-10-12	VYDAJ	PREVOD NA UCET	9843	28143	 	IJ	13058364
448197	1523	1998-11-12	VYDAJ	PREVOD NA UCET	9843	56220	 	IJ	13058364
448198	1523	1998-12-12	VYDAJ	PREVOD NA UCET	9843	43852	 	IJ	13058364
448213	1523	1998-04-21	VYBER	VYBER	4617	61301	\N	\N	\N
448214	1523	1998-12-18	VYBER	VYBER	24231	19621	\N	\N	\N
448221	1523	1998-06-25	VYDAJ	VYBER	40200	20711	\N	\N	\N
448225	1523	1998-12-24	VYDAJ	VYBER	1800	20921	\N	\N	\N
448263	1523	1998-04-30	VYDAJ	VYBER	100	96046	SLUZBY	\N	\N
448264	1523	1998-05-31	VYDAJ	VYBER	100	45442	SLUZBY	\N	\N
448265	1523	1998-06-30	VYDAJ	VYBER	100	20953	SLUZBY	\N	\N
448266	1523	1998-07-31	VYDAJ	VYBER	100	21149	SLUZBY	\N	\N
448267	1523	1998-08-31	VYDAJ	VYBER	100	20717	SLUZBY	\N	\N
448268	1523	1998-09-30	VYDAJ	VYBER	100	39670	SLUZBY	\N	\N
448269	1523	1998-10-31	VYDAJ	VYBER	100	67747	SLUZBY	\N	\N
448270	1523	1998-11-30	VYDAJ	VYBER	100	45754	SLUZBY	\N	\N
448271	1523	1997-12-24	PRIJEM	VKLAD	11400	11600	\N	\N	\N
448272	1523	1998-01-23	PRIJEM	VKLAD	5100	16700	\N	\N	\N
448273	1523	1998-02-22	VYDAJ	VYBER	18400	35648	\N	\N	\N
448274	1523	1998-03-17	VYDAJ	VYBER	51200	79281	\N	\N	\N
448275	1523	1998-03-24	VYDAJ	VYBER	34400	51430	\N	\N	\N
448276	1523	1998-04-23	VYDAJ	VYBER	42000	59590	\N	\N	\N
448277	1523	1998-05-17	VYDAJ	VYBER	49400	70931	\N	\N	\N
448278	1523	1998-05-23	VYDAJ	VYBER	25700	45231	\N	\N	\N
448279	1523	1998-06-13	VYDAJ	VYBER	47900	77256	\N	\N	\N
448280	1523	1998-06-22	VYDAJ	VYBER	23400	53856	\N	\N	\N
448281	1523	1998-07-22	PRIJEM	VKLAD	3700	21163	\N	\N	\N
448282	1523	1998-08-21	VYDAJ	VYBER	1300	20723	\N	\N	\N
448283	1523	1998-09-20	PRIJEM	VKLAD	7300	16490	\N	\N	\N
448284	1523	1998-10-20	VYDAJ	VYBER	23300	54742	\N	\N	\N
448285	1523	1998-11-19	VYDAJ	VYBER	10600	45620	\N	\N	\N
448286	1523	1998-12-19	PRIJEM	VKLAD	3100	22721	\N	\N	\N
448299	1524	1997-02-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
448302	1524	1997-03-13	PRIJEM	PREVOD Z UCTU	4222	5322	DUCHOD	WX	44228023
448303	1524	1997-04-13	PRIJEM	PREVOD Z UCTU	4222	9544	DUCHOD	WX	44228023
448304	1524	1997-05-13	PRIJEM	PREVOD Z UCTU	4222	13766	DUCHOD	WX	44228023
448305	1524	1997-06-13	PRIJEM	PREVOD Z UCTU	4222	17988	DUCHOD	WX	44228023
448306	1524	1997-07-13	PRIJEM	PREVOD Z UCTU	4222	17831	DUCHOD	WX	44228023
448307	1524	1997-08-13	PRIJEM	PREVOD Z UCTU	4222	18395	DUCHOD	WX	44228023
448308	1524	1997-09-13	PRIJEM	PREVOD Z UCTU	4222	16484	DUCHOD	WX	44228023
448309	1524	1997-10-13	PRIJEM	PREVOD Z UCTU	4222	17953	DUCHOD	WX	44228023
448310	1524	1997-11-13	PRIJEM	PREVOD Z UCTU	4222	17524	DUCHOD	WX	44228023
448311	1524	1997-12-13	PRIJEM	PREVOD Z UCTU	4222	18295	DUCHOD	WX	44228023
448312	1524	1998-01-13	PRIJEM	PREVOD Z UCTU	4222	16779	DUCHOD	WX	44228023
448313	1524	1998-02-13	PRIJEM	PREVOD Z UCTU	4222	15382	DUCHOD	WX	44228023
448314	1524	1998-03-13	PRIJEM	PREVOD Z UCTU	4222	14545	DUCHOD	WX	44228023
448315	1524	1998-04-13	PRIJEM	PREVOD Z UCTU	4222	16105	DUCHOD	WX	44228023
448316	1524	1998-05-13	PRIJEM	PREVOD Z UCTU	4222	13910	DUCHOD	WX	44228023
448317	1524	1998-06-13	PRIJEM	PREVOD Z UCTU	4222	15468	DUCHOD	WX	44228023
448318	1524	1998-07-13	PRIJEM	PREVOD Z UCTU	4222	17032	DUCHOD	WX	44228023
448319	1524	1998-08-13	PRIJEM	PREVOD Z UCTU	4222	18603	DUCHOD	WX	44228023
448320	1524	1998-09-13	PRIJEM	PREVOD Z UCTU	4222	20180	DUCHOD	WX	44228023
448321	1524	1998-10-13	PRIJEM	PREVOD Z UCTU	4222	21764	DUCHOD	WX	44228023
448322	1524	1998-11-13	PRIJEM	PREVOD Z UCTU	4222	21032	DUCHOD	WX	44228023
448323	1524	1998-12-13	PRIJEM	PREVOD Z UCTU	4222	19339	DUCHOD	WX	44228023
448331	1524	1997-08-06	VYDAJ	PREVOD NA UCET	2705	14173	SIPO	WX	26553452
448332	1524	1997-09-06	VYDAJ	PREVOD NA UCET	2705	12262	SIPO	WX	26553452
448333	1524	1997-10-06	VYDAJ	PREVOD NA UCET	2705	13731	SIPO	WX	26553452
448334	1524	1997-11-06	VYDAJ	PREVOD NA UCET	2705	13302	SIPO	WX	26553452
448335	1524	1997-12-06	VYDAJ	PREVOD NA UCET	2705	14073	SIPO	WX	26553452
448336	1524	1998-01-06	VYDAJ	PREVOD NA UCET	2705	12557	SIPO	WX	26553452
448337	1524	1998-02-06	VYDAJ	PREVOD NA UCET	2705	11160	SIPO	WX	26553452
448338	1524	1998-03-06	VYDAJ	PREVOD NA UCET	2705	10323	SIPO	WX	26553452
448339	1524	1998-04-06	VYDAJ	PREVOD NA UCET	2705	11883	SIPO	WX	26553452
448340	1524	1998-05-06	VYDAJ	PREVOD NA UCET	2705	9688	SIPO	WX	26553452
448341	1524	1998-06-06	VYDAJ	PREVOD NA UCET	2705	11246	SIPO	WX	26553452
448342	1524	1998-07-06	VYDAJ	PREVOD NA UCET	2705	12810	SIPO	WX	26553452
448343	1524	1998-08-06	VYDAJ	PREVOD NA UCET	2705	14381	SIPO	WX	26553452
448344	1524	1998-09-06	VYDAJ	PREVOD NA UCET	2705	15958	SIPO	WX	26553452
448345	1524	1998-10-06	VYDAJ	PREVOD NA UCET	2705	17542	SIPO	WX	26553452
448346	1524	1998-11-06	VYDAJ	PREVOD NA UCET	2705	16810	SIPO	WX	26553452
448347	1524	1998-12-06	VYDAJ	PREVOD NA UCET	2705	15117	SIPO	WX	26553452
448351	1524	1998-01-03	VYDAJ	VYBER	850	15822	\N	\N	\N
448352	1524	1997-12-18	VYDAJ	VYBER	500	17095	\N	\N	\N
448353	1524	1998-12-23	VYDAJ	VYBER	550	18789	\N	\N	\N
448361	1524	1998-01-24	VYDAJ	VYBER	640	14299	\N	\N	\N
448362	1524	1998-01-15	VYDAJ	VYBER	1840	14939	\N	\N	\N
448363	1524	1998-01-02	VYDAJ	VYBER	480	16672	\N	\N	\N
448364	1524	1998-01-06	VYDAJ	VYBER	560	15262	\N	\N	\N
448365	1524	1998-01-25	VYDAJ	VYBER	480	13819	\N	\N	\N
448366	1524	1997-08-15	VYDAJ	VYBER	2080	16315	\N	\N	\N
448367	1524	1998-11-30	VYDAJ	VYBER	3280	17822	\N	\N	\N
448368	1524	1998-10-23	VYDAJ	VYBER	2320	19444	\N	\N	\N
448369	1524	1998-04-27	VYDAJ	VYBER	3760	12345	\N	\N	\N
448371	1524	1998-03-03	VYDAJ	VYBER	2400	13028	\N	\N	\N
448382	1524	1997-07-31	VYDAJ	VYBER	15	16878	SLUZBY	\N	\N
448383	1524	1997-08-31	VYDAJ	VYBER	15	14967	SLUZBY	\N	\N
448384	1524	1997-09-30	VYDAJ	VYBER	15	16436	SLUZBY	\N	\N
448385	1524	1997-10-31	VYDAJ	VYBER	15	16007	SLUZBY	\N	\N
448386	1524	1997-11-30	VYDAJ	VYBER	15	16778	SLUZBY	\N	\N
448387	1524	1997-12-31	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
448388	1524	1998-01-31	VYDAJ	VYBER	15	13865	SLUZBY	\N	\N
448389	1524	1998-02-28	VYDAJ	VYBER	15	15428	SLUZBY	\N	\N
448390	1524	1998-03-31	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
448391	1524	1998-04-30	VYDAJ	VYBER	15	12393	SLUZBY	\N	\N
448392	1524	1998-05-31	VYDAJ	VYBER	15	13951	SLUZBY	\N	\N
448393	1524	1998-06-30	VYDAJ	VYBER	15	15515	SLUZBY	\N	\N
448394	1524	1998-07-31	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
448395	1524	1998-08-31	VYDAJ	VYBER	15	18663	SLUZBY	\N	\N
448396	1524	1998-09-30	VYDAJ	VYBER	15	20247	SLUZBY	\N	\N
448397	1524	1998-10-31	VYDAJ	VYBER	15	19515	SLUZBY	\N	\N
448398	1524	1998-11-30	VYDAJ	VYBER	15	21102	SLUZBY	\N	\N
448399	1524	1997-06-20	VYDAJ	VYBER	4400	13588	\N	\N	\N
448400	1524	1997-07-20	VYDAJ	VYBER	1000	16831	\N	\N	\N
448401	1524	1997-08-19	VYDAJ	VYBER	1400	14915	\N	\N	\N
448402	1524	1997-09-18	VYDAJ	VYBER	100	16384	\N	\N	\N
448403	1524	1997-10-18	VYDAJ	VYBER	2000	15953	\N	\N	\N
448404	1524	1997-11-17	VYDAJ	VYBER	800	16724	\N	\N	\N
448405	1524	1997-12-17	VYDAJ	VYBER	700	17595	\N	\N	\N
448425	1525	1996-09-05	PRIJEM	VKLAD	300	300	\N	\N	\N
448434	1525	1996-09-09	PRIJEM	PREVOD Z UCTU	4641	4941	DUCHOD	MN	99120705
448435	1525	1996-10-09	PRIJEM	PREVOD Z UCTU	4641	9597	DUCHOD	MN	99120705
448436	1525	1996-11-09	PRIJEM	PREVOD Z UCTU	4641	14259	DUCHOD	MN	99120705
448437	1525	1996-12-09	PRIJEM	PREVOD Z UCTU	4641	18920	DUCHOD	MN	99120705
448438	1525	1997-01-09	PRIJEM	PREVOD Z UCTU	4641	23582	DUCHOD	MN	99120705
448439	1525	1997-02-09	PRIJEM	PREVOD Z UCTU	4641	21278	DUCHOD	MN	99120705
448440	1525	1997-03-09	PRIJEM	PREVOD Z UCTU	4641	23798	DUCHOD	MN	99120705
448441	1525	1997-04-09	PRIJEM	PREVOD Z UCTU	4641	22706	DUCHOD	MN	99120705
448442	1525	1997-05-09	PRIJEM	PREVOD Z UCTU	4641	23454	DUCHOD	MN	99120705
448443	1525	1997-06-09	PRIJEM	PREVOD Z UCTU	4641	24245	DUCHOD	MN	99120705
448444	1525	1997-07-09	PRIJEM	PREVOD Z UCTU	4641	22431	DUCHOD	MN	99120705
448445	1525	1997-08-09	PRIJEM	PREVOD Z UCTU	4641	22514	DUCHOD	MN	99120705
448446	1525	1997-09-09	PRIJEM	PREVOD Z UCTU	4641	24703	DUCHOD	MN	99120705
448447	1525	1997-10-09	PRIJEM	PREVOD Z UCTU	4641	23695	DUCHOD	MN	99120705
448448	1525	1997-11-09	PRIJEM	PREVOD Z UCTU	4641	22281	DUCHOD	MN	99120705
448449	1525	1997-12-09	PRIJEM	PREVOD Z UCTU	4641	18419	DUCHOD	MN	99120705
448450	1525	1998-01-09	PRIJEM	PREVOD Z UCTU	4641	20649	DUCHOD	MN	99120705
448451	1525	1998-02-09	PRIJEM	PREVOD Z UCTU	4641	17880	DUCHOD	MN	99120705
448452	1525	1998-03-09	PRIJEM	PREVOD Z UCTU	4641	20944	DUCHOD	MN	99120705
448453	1525	1998-04-09	PRIJEM	PREVOD Z UCTU	4641	19718	DUCHOD	MN	99120705
448454	1525	1998-05-09	PRIJEM	PREVOD Z UCTU	4641	16287	DUCHOD	MN	99120705
448455	1525	1998-06-09	PRIJEM	PREVOD Z UCTU	4641	19344	DUCHOD	MN	99120705
448456	1525	1998-07-09	PRIJEM	PREVOD Z UCTU	4641	20109	DUCHOD	MN	99120705
448457	1525	1998-08-09	PRIJEM	PREVOD Z UCTU	4641	23182	DUCHOD	MN	99120705
448458	1525	1998-09-09	PRIJEM	PREVOD Z UCTU	4641	26268	DUCHOD	MN	99120705
448459	1525	1998-10-09	PRIJEM	PREVOD Z UCTU	4641	22935	DUCHOD	MN	99120705
448460	1525	1998-11-09	PRIJEM	PREVOD Z UCTU	4641	23617	DUCHOD	MN	99120705
448461	1525	1998-12-09	PRIJEM	PREVOD Z UCTU	4641	20298	DUCHOD	MN	99120705
448474	1525	1997-01-14	VYDAJ	PREVOD NA UCET	1625	21957	SIPO	QR	24106085
448475	1525	1997-02-14	VYDAJ	PREVOD NA UCET	1625	19093	SIPO	QR	24106085
448476	1525	1997-03-14	VYDAJ	PREVOD NA UCET	1625	22173	SIPO	QR	24106085
448477	1525	1997-04-14	VYDAJ	PREVOD NA UCET	1625	21081	SIPO	QR	24106085
448478	1525	1997-05-14	VYDAJ	PREVOD NA UCET	1625	21829	SIPO	QR	24106085
448479	1525	1997-06-14	VYDAJ	PREVOD NA UCET	1625	22620	SIPO	QR	24106085
448480	1525	1997-07-14	VYDAJ	PREVOD NA UCET	1625	20806	SIPO	QR	24106085
448481	1525	1997-08-14	VYDAJ	PREVOD NA UCET	1625	20889	SIPO	QR	24106085
448482	1525	1997-09-14	VYDAJ	PREVOD NA UCET	1625	23078	SIPO	QR	24106085
448483	1525	1997-10-14	VYDAJ	PREVOD NA UCET	1625	22070	SIPO	QR	24106085
448484	1525	1997-11-14	VYDAJ	PREVOD NA UCET	1625	18816	SIPO	QR	24106085
448485	1525	1997-12-14	VYDAJ	PREVOD NA UCET	1625	16794	SIPO	QR	24106085
448486	1525	1998-01-14	VYDAJ	PREVOD NA UCET	1625	17184	SIPO	QR	24106085
448487	1525	1998-02-14	VYDAJ	PREVOD NA UCET	1625	16255	SIPO	QR	24106085
448488	1525	1998-03-14	VYDAJ	PREVOD NA UCET	1625	19319	SIPO	QR	24106085
448489	1525	1998-04-14	VYDAJ	PREVOD NA UCET	1625	18093	SIPO	QR	24106085
448490	1525	1998-05-14	VYDAJ	PREVOD NA UCET	1625	14662	SIPO	QR	24106085
448491	1525	1998-06-14	VYDAJ	PREVOD NA UCET	1625	15419	SIPO	QR	24106085
448492	1525	1998-07-14	VYDAJ	PREVOD NA UCET	1625	18484	SIPO	QR	24106085
448493	1525	1998-08-14	VYDAJ	PREVOD NA UCET	1625	21557	SIPO	QR	24106085
448494	1525	1998-09-14	VYDAJ	PREVOD NA UCET	1625	23043	SIPO	QR	24106085
448495	1525	1998-10-14	VYDAJ	PREVOD NA UCET	1625	21310	SIPO	QR	24106085
448496	1525	1998-11-14	VYDAJ	PREVOD NA UCET	1625	21992	SIPO	QR	24106085
448497	1525	1998-12-14	VYDAJ	PREVOD NA UCET	1625	18673	SIPO	QR	24106085
448499	1525	1997-06-16	VYDAJ	VYBER	4900	17720	\N	\N	\N
448500	1525	1998-06-10	VYDAJ	VYBER	2300	17044	\N	\N	\N
448502	1525	1997-12-06	VYDAJ	VYBER	1200	13778	\N	\N	\N
448503	1525	1998-12-24	VYDAJ	VYBER	300	18373	\N	\N	\N
448511	1525	1997-01-22	VYDAJ	VYBER	960	17477	\N	\N	\N
448512	1525	1997-01-23	VYDAJ	VYBER	480	16997	\N	\N	\N
448513	1525	1997-01-21	VYDAJ	VYBER	880	20437	\N	\N	\N
448514	1525	1997-01-21	VYDAJ	VYBER	2000	18437	\N	\N	\N
448515	1525	1997-01-20	VYDAJ	VYBER	640	21317	\N	\N	\N
448517	1525	1998-01-07	VYDAJ	VYBER	640	16008	\N	\N	\N
448518	1525	1998-01-25	VYDAJ	VYBER	1200	15984	\N	\N	\N
448519	1525	1998-01-13	VYDAJ	VYBER	1040	18809	\N	\N	\N
448521	1525	1998-01-09	VYDAJ	VYBER	800	19849	\N	\N	\N
448529	1525	1997-04-16	VYDAJ	VYBER	1440	19641	\N	\N	\N
448530	1525	1997-11-11	VYDAJ	VYBER	1840	20441	\N	\N	\N
448531	1525	1997-03-30	VYDAJ	VYBER	880	21293	\N	\N	\N
448532	1525	1997-02-14	VYDAJ	VYBER	560	20718	\N	\N	\N
448533	1525	1998-01-27	VYDAJ	VYBER	2800	13184	\N	\N	\N
448534	1525	1998-09-13	VYDAJ	VYBER	1600	24668	\N	\N	\N
448535	1525	1998-09-16	VYDAJ	VYBER	3120	19923	\N	\N	\N
448549	1525	1997-01-31	VYDAJ	VYBER	15	17037	SLUZBY	\N	\N
448550	1525	1997-02-28	VYDAJ	VYBER	15	19157	SLUZBY	\N	\N
448551	1525	1997-03-31	VYDAJ	VYBER	15	21365	SLUZBY	\N	\N
448552	1525	1997-04-30	VYDAJ	VYBER	15	19713	SLUZBY	\N	\N
448553	1525	1997-05-31	VYDAJ	VYBER	15	21904	SLUZBY	\N	\N
448554	1525	1997-06-30	VYDAJ	VYBER	15	17790	SLUZBY	\N	\N
448555	1525	1997-07-31	VYDAJ	VYBER	15	20873	SLUZBY	\N	\N
448556	1525	1997-08-31	VYDAJ	VYBER	15	20062	SLUZBY	\N	\N
448557	1525	1997-09-30	VYDAJ	VYBER	15	19054	SLUZBY	\N	\N
448558	1525	1997-10-31	VYDAJ	VYBER	15	17640	SLUZBY	\N	\N
448559	1525	1997-11-30	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
448560	1525	1997-12-31	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
448561	1525	1998-01-31	VYDAJ	VYBER	15	13239	SLUZBY	\N	\N
448562	1525	1998-02-28	VYDAJ	VYBER	15	16303	SLUZBY	\N	\N
448563	1525	1998-03-31	VYDAJ	VYBER	15	15077	SLUZBY	\N	\N
448564	1525	1998-04-30	VYDAJ	VYBER	15	11646	SLUZBY	\N	\N
448565	1525	1998-05-31	VYDAJ	VYBER	15	14703	SLUZBY	\N	\N
448566	1525	1998-06-30	VYDAJ	VYBER	15	15468	SLUZBY	\N	\N
448567	1525	1998-07-31	VYDAJ	VYBER	15	18541	SLUZBY	\N	\N
448568	1525	1998-08-31	VYDAJ	VYBER	15	21627	SLUZBY	\N	\N
448569	1525	1998-09-30	VYDAJ	VYBER	15	18294	SLUZBY	\N	\N
448570	1525	1998-10-31	VYDAJ	VYBER	15	18976	SLUZBY	\N	\N
448571	1525	1998-11-30	VYDAJ	VYBER	15	15657	SLUZBY	\N	\N
448572	1525	1997-02-02	VYDAJ	VYBER	400	16637	\N	\N	\N
448573	1525	1997-04-03	VYDAJ	VYBER	3300	18065	\N	\N	\N
448574	1525	1997-05-03	VYDAJ	VYBER	900	18813	\N	\N	\N
448575	1525	1997-06-02	VYDAJ	VYBER	2300	19604	\N	\N	\N
448576	1525	1997-08-01	VYDAJ	VYBER	3000	17873	\N	\N	\N
448577	1525	1997-08-31	VYDAJ	VYBER	900	20077	\N	\N	\N
448578	1525	1997-09-30	VYDAJ	VYBER	4100	19068	\N	\N	\N
448579	1525	1997-10-30	VYDAJ	VYBER	4500	17570	\N	\N	\N
448580	1525	1997-11-29	VYDAJ	VYBER	3900	14916	\N	\N	\N
448581	1525	1997-12-29	VYDAJ	VYBER	200	16594	\N	\N	\N
448582	1525	1998-03-29	VYDAJ	VYBER	4300	15019	\N	\N	\N
448583	1525	1998-04-28	VYDAJ	VYBER	6500	11593	\N	\N	\N
448584	1525	1998-09-25	VYDAJ	VYBER	1700	18223	\N	\N	\N
448585	1525	1998-10-25	VYDAJ	VYBER	2400	18910	\N	\N	\N
448586	1525	1998-11-24	VYDAJ	VYBER	6400	15592	\N	\N	\N
448615	1526	1995-01-22	PRIJEM	VKLAD	200	200	\N	\N	\N
448617	1526	1995-02-14	PRIJEM	VKLAD	6650	6850	\N	\N	\N
448618	1526	1995-03-14	PRIJEM	VKLAD	6650	22719	\N	\N	\N
448619	1526	1995-04-14	PRIJEM	VKLAD	6650	33449	\N	\N	\N
448620	1526	1995-05-14	PRIJEM	VKLAD	6650	38817	\N	\N	\N
448621	1526	1995-06-14	PRIJEM	VKLAD	9975	46331	\N	\N	\N
448622	1526	1995-07-14	PRIJEM	VKLAD	6650	40988	\N	\N	\N
448623	1526	1995-08-14	PRIJEM	VKLAD	6650	38049	\N	\N	\N
448624	1526	1995-09-14	PRIJEM	VKLAD	6650	36500	\N	\N	\N
448625	1526	1995-10-14	PRIJEM	VKLAD	6650	36346	\N	\N	\N
448626	1526	1995-11-14	PRIJEM	VKLAD	6650	36192	\N	\N	\N
448627	1526	1995-12-14	PRIJEM	VKLAD	9975	35840	\N	\N	\N
448628	1526	1996-01-14	PRIJEM	VKLAD	6650	32724	\N	\N	\N
448629	1526	1996-02-14	PRIJEM	VKLAD	6650	36444	\N	\N	\N
448630	1526	1996-03-14	PRIJEM	VKLAD	6650	31548	\N	\N	\N
448631	1526	1996-04-14	PRIJEM	VKLAD	6650	38183	\N	\N	\N
448632	1526	1996-05-14	PRIJEM	VKLAD	6650	37734	\N	\N	\N
448633	1526	1996-06-14	PRIJEM	VKLAD	9975	45619	\N	\N	\N
448634	1526	1996-07-14	PRIJEM	VKLAD	6650	43492	\N	\N	\N
448635	1526	1996-08-14	PRIJEM	VKLAD	6650	39024	\N	\N	\N
448636	1526	1996-09-14	PRIJEM	VKLAD	6650	41685	\N	\N	\N
448637	1526	1996-10-14	PRIJEM	VKLAD	6650	43052	\N	\N	\N
448638	1526	1996-11-14	PRIJEM	VKLAD	6650	45731	\N	\N	\N
448639	1526	1996-12-14	PRIJEM	VKLAD	9975	46143	\N	\N	\N
448640	1526	1997-01-14	PRIJEM	VKLAD	6650	44702	\N	\N	\N
448641	1526	1997-02-14	PRIJEM	VKLAD	6650	46485	\N	\N	\N
448642	1526	1997-03-14	PRIJEM	VKLAD	6650	42774	\N	\N	\N
448643	1526	1997-04-14	PRIJEM	VKLAD	6650	42455	\N	\N	\N
448644	1526	1997-05-14	PRIJEM	VKLAD	6650	41926	\N	\N	\N
448645	1526	1997-06-14	PRIJEM	VKLAD	9975	42961	\N	\N	\N
448646	1526	1997-07-14	PRIJEM	VKLAD	6650	43225	\N	\N	\N
448647	1526	1997-08-14	PRIJEM	VKLAD	6650	46303	\N	\N	\N
448648	1526	1997-09-14	PRIJEM	VKLAD	6650	51490	\N	\N	\N
448649	1526	1997-10-14	PRIJEM	VKLAD	6650	56395	\N	\N	\N
448650	1526	1997-11-14	PRIJEM	VKLAD	6650	57422	\N	\N	\N
448651	1526	1997-12-14	PRIJEM	VKLAD	9975	60780	\N	\N	\N
448652	1526	1998-01-14	PRIJEM	VKLAD	6650	60522	\N	\N	\N
448653	1526	1998-02-14	PRIJEM	VKLAD	6650	55861	\N	\N	\N
448654	1526	1998-03-14	PRIJEM	VKLAD	6650	64586	\N	\N	\N
448655	1526	1998-04-14	PRIJEM	VKLAD	6650	62364	\N	\N	\N
448656	1526	1998-05-14	PRIJEM	VKLAD	6650	70124	\N	\N	\N
448657	1526	1998-06-14	PRIJEM	VKLAD	9975	78935	\N	\N	\N
448658	1526	1998-07-14	PRIJEM	VKLAD	6650	76348	\N	\N	\N
448659	1526	1998-08-14	PRIJEM	VKLAD	6650	74961	\N	\N	\N
448660	1526	1998-09-14	PRIJEM	VKLAD	6650	74666	\N	\N	\N
448661	1526	1998-10-14	PRIJEM	VKLAD	6650	76769	\N	\N	\N
448662	1526	1998-11-14	PRIJEM	VKLAD	6650	73981	\N	\N	\N
448663	1526	1998-12-14	PRIJEM	VKLAD	9975	83109	\N	\N	\N
448670	1526	1995-07-06	VYDAJ	PREVOD NA UCET	4433	34338	SIPO	QR	69354104
448671	1526	1995-08-06	VYDAJ	PREVOD NA UCET	4433	31399	SIPO	QR	69354104
448672	1526	1995-09-06	VYDAJ	PREVOD NA UCET	4433	29850	SIPO	QR	69354104
448673	1526	1995-10-06	VYDAJ	PREVOD NA UCET	4433	29696	SIPO	QR	69354104
448674	1526	1995-11-06	VYDAJ	PREVOD NA UCET	4433	29542	SIPO	QR	69354104
448675	1526	1995-12-06	VYDAJ	PREVOD NA UCET	4433	28585	SIPO	QR	69354104
448676	1526	1996-01-06	VYDAJ	PREVOD NA UCET	4433	26074	SIPO	QR	69354104
448677	1526	1996-02-06	VYDAJ	PREVOD NA UCET	4433	31714	SIPO	QR	69354104
448678	1526	1996-03-06	VYDAJ	PREVOD NA UCET	4433	24898	SIPO	QR	69354104
448679	1526	1996-04-06	VYDAJ	PREVOD NA UCET	4433	31533	SIPO	QR	69354104
448680	1526	1996-05-06	VYDAJ	PREVOD NA UCET	4433	31084	SIPO	QR	69354104
448681	1526	1996-06-06	VYDAJ	PREVOD NA UCET	4433	35644	SIPO	QR	69354104
448682	1526	1996-07-06	VYDAJ	PREVOD NA UCET	4433	36842	SIPO	QR	69354104
448683	1526	1996-08-06	VYDAJ	PREVOD NA UCET	4433	36214	SIPO	QR	69354104
448684	1526	1996-09-06	VYDAJ	PREVOD NA UCET	4433	32735	SIPO	QR	69354104
448685	1526	1996-10-06	VYDAJ	PREVOD NA UCET	4433	37402	SIPO	QR	69354104
448686	1526	1996-11-06	VYDAJ	PREVOD NA UCET	4433	38781	SIPO	QR	69354104
448687	1526	1996-12-06	VYDAJ	PREVOD NA UCET	4433	34068	SIPO	QR	69354104
448688	1526	1997-01-06	VYDAJ	PREVOD NA UCET	4433	38752	SIPO	QR	69354104
448689	1526	1997-02-06	VYDAJ	PREVOD NA UCET	4433	40435	SIPO	QR	69354104
448690	1526	1997-03-06	VYDAJ	PREVOD NA UCET	4433	42224	SIPO	QR	69354104
448691	1526	1997-04-06	VYDAJ	PREVOD NA UCET	4433	34805	SIPO	QR	69354104
448692	1526	1997-05-06	VYDAJ	PREVOD NA UCET	4433	38176	SIPO	QR	69354104
448693	1526	1997-06-06	VYDAJ	PREVOD NA UCET	4433	29686	SIPO	QR	69354104
448694	1526	1997-07-06	VYDAJ	PREVOD NA UCET	4433	38675	SIPO	QR	69354104
448695	1526	1997-08-06	VYDAJ	PREVOD NA UCET	4433	38953	SIPO	QR	69354104
448696	1526	1997-09-06	VYDAJ	PREVOD NA UCET	4433	42040	SIPO	QR	69354104
448697	1526	1997-10-06	VYDAJ	PREVOD NA UCET	4433	47245	SIPO	QR	69354104
448698	1526	1997-11-06	VYDAJ	PREVOD NA UCET	4433	52172	SIPO	QR	69354104
448699	1526	1997-12-06	VYDAJ	PREVOD NA UCET	4433	51405	SIPO	QR	69354104
448700	1526	1998-01-06	VYDAJ	PREVOD NA UCET	4433	53872	SIPO	QR	69354104
448701	1526	1998-02-06	VYDAJ	PREVOD NA UCET	4433	49211	SIPO	QR	69354104
448702	1526	1998-03-06	VYDAJ	PREVOD NA UCET	4433	51636	SIPO	QR	69354104
448703	1526	1998-04-06	VYDAJ	PREVOD NA UCET	4433	62794	SIPO	QR	69354104
448704	1526	1998-05-06	VYDAJ	PREVOD NA UCET	4433	63474	SIPO	QR	69354104
448705	1526	1998-06-06	VYDAJ	PREVOD NA UCET	4433	68960	SIPO	QR	69354104
448706	1526	1998-07-06	VYDAJ	PREVOD NA UCET	4433	69698	SIPO	QR	69354104
448707	1526	1998-08-06	VYDAJ	PREVOD NA UCET	4433	68311	SIPO	QR	69354104
448708	1526	1998-09-06	VYDAJ	PREVOD NA UCET	4433	68016	SIPO	QR	69354104
448709	1526	1998-10-06	VYDAJ	PREVOD NA UCET	4433	70119	SIPO	QR	69354104
448710	1526	1998-11-06	VYDAJ	PREVOD NA UCET	4433	67331	SIPO	QR	69354104
448711	1526	1998-12-06	VYDAJ	PREVOD NA UCET	4433	73134	SIPO	QR	69354104
448712	1526	1995-12-13	VYDAJ	VYBER	2720	25865	\N	\N	\N
448713	1526	1996-12-02	VYDAJ	VYBER	2240	43661	\N	\N	\N
448714	1526	1997-12-03	VYDAJ	VYBER KARTOU	1800	55838	\N	\N	0
448715	1526	1998-12-15	VYDAJ	VYBER KARTOU	2700	80409	\N	\N	0
448719	1526	1996-01-02	VYDAJ	VYBER	4560	30507	\N	\N	\N
448720	1526	1996-03-03	VYDAJ	VYBER	1680	29331	\N	\N	\N
448721	1526	1996-02-12	VYDAJ	VYBER	1920	29794	\N	\N	\N
448722	1526	1996-02-22	VYDAJ	VYBER	3960	30884	\N	\N	\N
448723	1526	1996-08-08	VYDAJ	VYBER	3840	32374	\N	\N	\N
448724	1526	1996-12-04	VYDAJ	VYBER	5160	38501	\N	\N	\N
448725	1526	1997-03-26	VYDAJ	VYBER KARTOU	3700	39074	\N	\N	0
448726	1526	1997-01-10	VYDAJ	VYBER	600	38152	\N	\N	\N
448727	1526	1997-01-04	VYDAJ	VYBER	3120	43185	\N	\N	\N
448728	1526	1997-08-09	VYDAJ	VYBER KARTOU	2900	39653	\N	\N	0
448729	1526	1997-06-05	VYDAJ	VYBER KARTOU	3400	34119	\N	\N	0
448730	1526	1997-05-24	VYDAJ	VYBER	4560	37366	\N	\N	\N
448731	1526	1998-08-27	VYDAJ	VYBER KARTOU	1800	73161	\N	\N	0
448732	1526	1998-02-02	VYDAJ	VYBER KARTOU	3600	51744	\N	\N	0
448733	1526	1998-04-12	VYDAJ	VYBER KARTOU	1200	55714	\N	\N	0
448734	1526	1998-01-21	VYDAJ	VYBER	5400	55122	\N	\N	\N
448735	1526	1998-08-01	VYDAJ	VYBER	4800	71844	\N	\N	\N
448736	1526	1998-04-09	VYDAJ	VYBER	5880	56914	\N	\N	\N
448743	1526	1995-06-30	VYDAJ	VYBER	15	38771	SLUZBY	\N	\N
448744	1526	1995-07-31	VYDAJ	VYBER	15	35832	SLUZBY	\N	\N
448745	1526	1995-08-31	VYDAJ	VYBER	15	34283	SLUZBY	\N	\N
448746	1526	1995-09-30	VYDAJ	VYBER	15	34129	SLUZBY	\N	\N
448747	1526	1995-10-31	VYDAJ	VYBER	15	33975	SLUZBY	\N	\N
448748	1526	1995-11-30	VYDAJ	VYBER	15	33018	SLUZBY	\N	\N
448749	1526	1995-12-31	VYDAJ	VYBER	15	35067	SLUZBY	\N	\N
448750	1526	1996-01-31	VYDAJ	VYBER	15	36147	SLUZBY	\N	\N
448751	1526	1996-02-29	VYDAJ	VYBER	15	31011	SLUZBY	\N	\N
448752	1526	1996-03-31	VYDAJ	VYBER	15	35966	SLUZBY	\N	\N
448753	1526	1996-04-30	VYDAJ	VYBER	15	35517	SLUZBY	\N	\N
448754	1526	1996-05-31	VYDAJ	VYBER	15	40077	SLUZBY	\N	\N
448755	1526	1996-06-30	VYDAJ	VYBER	15	41275	SLUZBY	\N	\N
448756	1526	1996-07-31	VYDAJ	VYBER	15	40647	SLUZBY	\N	\N
448757	1526	1996-08-31	VYDAJ	VYBER	15	37168	SLUZBY	\N	\N
448758	1526	1996-09-30	VYDAJ	VYBER	15	41835	SLUZBY	\N	\N
448759	1526	1996-10-31	VYDAJ	VYBER	15	43214	SLUZBY	\N	\N
448760	1526	1996-11-30	VYDAJ	VYBER	15	45901	SLUZBY	\N	\N
448761	1526	1996-12-31	VYDAJ	VYBER	15	46305	SLUZBY	\N	\N
448762	1526	1997-01-31	VYDAJ	VYBER	15	44868	SLUZBY	\N	\N
448763	1526	1997-02-28	VYDAJ	VYBER	15	46657	SLUZBY	\N	\N
448764	1526	1997-03-31	VYDAJ	VYBER	15	39238	SLUZBY	\N	\N
448765	1526	1997-04-30	VYDAJ	VYBER	15	42609	SLUZBY	\N	\N
448766	1526	1997-05-31	VYDAJ	VYBER	15	37519	SLUZBY	\N	\N
448767	1526	1997-06-30	VYDAJ	VYBER	15	43108	SLUZBY	\N	\N
448768	1526	1997-07-31	VYDAJ	VYBER	15	43386	SLUZBY	\N	\N
448769	1526	1997-08-31	VYDAJ	VYBER	15	46473	SLUZBY	\N	\N
448770	1526	1997-09-30	VYDAJ	VYBER	15	51678	SLUZBY	\N	\N
448771	1526	1997-10-31	VYDAJ	VYBER	15	56605	SLUZBY	\N	\N
448772	1526	1997-11-30	VYDAJ	VYBER	15	57638	SLUZBY	\N	\N
448773	1526	1997-12-31	VYDAJ	VYBER	15	61005	SLUZBY	\N	\N
448774	1526	1998-01-31	VYDAJ	VYBER	15	55344	SLUZBY	\N	\N
448775	1526	1998-02-28	VYDAJ	VYBER	15	56069	SLUZBY	\N	\N
448776	1526	1998-03-31	VYDAJ	VYBER	15	64827	SLUZBY	\N	\N
448777	1526	1998-04-30	VYDAJ	VYBER	15	62607	SLUZBY	\N	\N
448778	1526	1998-05-31	VYDAJ	VYBER	15	70393	SLUZBY	\N	\N
448779	1526	1998-06-30	VYDAJ	VYBER	15	79231	SLUZBY	\N	\N
448780	1526	1998-07-31	VYDAJ	VYBER	15	76644	SLUZBY	\N	\N
448781	1526	1998-08-31	VYDAJ	VYBER	15	73449	SLUZBY	\N	\N
448782	1526	1998-09-30	VYDAJ	VYBER	15	74952	SLUZBY	\N	\N
448783	1526	1998-10-31	VYDAJ	VYBER	15	77064	SLUZBY	\N	\N
448784	1526	1998-11-30	VYDAJ	VYBER	15	74267	SLUZBY	\N	\N
448785	1526	1995-02-21	PRIJEM	VKLAD	9200	16050	\N	\N	\N
448786	1526	1995-03-23	PRIJEM	VKLAD	4000	26719	\N	\N	\N
448787	1526	1995-04-22	VYDAJ	VYBER	1400	32049	\N	\N	\N
448788	1526	1995-05-22	VYDAJ	VYBER	2600	36217	\N	\N	\N
448789	1526	1995-06-21	VYDAJ	VYBER	7700	38631	\N	\N	\N
448790	1526	1995-07-21	VYDAJ	VYBER	5300	35688	\N	\N	\N
448791	1526	1995-08-20	VYDAJ	VYBER	3900	34149	\N	\N	\N
448792	1526	1995-09-19	VYDAJ	VYBER	2500	34000	\N	\N	\N
448793	1526	1995-10-19	VYDAJ	VYBER	2500	33846	\N	\N	\N
448794	1526	1995-11-18	VYDAJ	VYBER	3300	32892	\N	\N	\N
448795	1526	1995-12-18	VYDAJ	VYBER	900	34940	\N	\N	\N
448796	1526	1996-01-17	PRIJEM	VKLAD	3300	36024	\N	\N	\N
448797	1526	1996-02-16	VYDAJ	VYBER	1600	34844	\N	\N	\N
448798	1526	1996-03-17	PRIJEM	VKLAD	4300	35848	\N	\N	\N
448799	1526	1996-04-16	VYDAJ	VYBER	2800	35383	\N	\N	\N
448800	1526	1996-05-16	PRIJEM	VKLAD	2200	39934	\N	\N	\N
448801	1526	1996-06-15	VYDAJ	VYBER	4500	41119	\N	\N	\N
448802	1526	1996-07-15	VYDAJ	VYBER	3000	40492	\N	\N	\N
448803	1526	1996-08-14	VYDAJ	VYBER	2000	37024	\N	\N	\N
448804	1526	1996-09-13	PRIJEM	VKLAD	2300	35035	\N	\N	\N
448805	1526	1996-10-13	VYDAJ	VYBER	1000	36402	\N	\N	\N
448806	1526	1996-11-12	PRIJEM	VKLAD	300	39081	\N	\N	\N
448807	1526	1996-12-12	PRIJEM	VKLAD	2100	36168	\N	\N	\N
448808	1526	1997-01-11	VYDAJ	VYBER	100	38052	\N	\N	\N
448809	1526	1997-02-10	VYDAJ	VYBER	600	39835	\N	\N	\N
448810	1526	1997-03-12	VYDAJ	VYBER	6100	36124	\N	\N	\N
448811	1526	1997-04-11	PRIJEM	VKLAD	1000	35805	\N	\N	\N
448812	1526	1997-05-11	VYDAJ	VYBER KARTOU	2900	35276	\N	\N	0
448813	1526	1997-06-10	PRIJEM	VKLAD	3300	32986	\N	\N	\N
448814	1526	1997-07-10	VYDAJ	VYBER KARTOU	2100	36575	\N	\N	0
448815	1526	1997-08-09	PRIJEM	VKLAD	3600	42553	\N	\N	\N
448816	1526	1997-09-08	PRIJEM	VKLAD	2800	44840	\N	\N	\N
448817	1526	1997-10-08	PRIJEM	VKLAD	2500	49745	\N	\N	\N
448818	1526	1997-11-07	VYDAJ	VYBER KARTOU	1400	50772	\N	\N	0
448819	1526	1997-12-07	VYDAJ	VYBER KARTOU	600	50805	\N	\N	0
448820	1526	1998-01-06	VYDAJ	VYBER KARTOU	2700	58305	\N	\N	0
448821	1526	1998-02-05	PRIJEM	VKLAD	1900	53644	\N	\N	\N
448822	1526	1998-03-07	PRIJEM	VKLAD	6300	57936	\N	\N	\N
448823	1526	1998-04-06	PRIJEM	VKLAD	2400	67227	\N	\N	\N
448824	1526	1998-05-06	PRIJEM	VKLAD	5300	67907	\N	\N	\N
448825	1526	1998-06-05	PRIJEM	VKLAD	3000	73393	\N	\N	\N
448826	1526	1998-07-05	VYDAJ	VYBER	5100	74131	\N	\N	\N
448827	1526	1998-08-04	PRIJEM	VKLAD	900	72744	\N	\N	\N
448828	1526	1998-09-03	VYDAJ	VYBER KARTOU	1000	72449	\N	\N	0
448829	1526	1998-10-03	VYDAJ	VYBER KARTOU	400	74552	\N	\N	0
448830	1526	1998-11-02	VYDAJ	VYBER	5300	71764	\N	\N	\N
448831	1526	1998-12-02	PRIJEM	VKLAD	3300	77567	\N	\N	\N
448879	1527	1993-11-17	PRIJEM	VKLAD	900	900	\N	\N	\N
448882	1527	1993-11-23	PRIJEM	VKLAD	43290	44190	\N	\N	\N
448889	1527	1993-12-24	PRIJEM	VKLAD	37546	92847	\N	\N	\N
448903	1527	1993-11-26	PRIJEM	VKLAD	40434	84624	\N	\N	\N
448908	1527	1994-03-29	PRIJEM	VKLAD	41769	110200	\N	\N	\N
448909	1527	1994-02-04	PRIJEM	VKLAD	11530	96141	\N	\N	\N
448910	1527	1994-03-24	PRIJEM	VKLAD	36374	68431	\N	\N	\N
448911	1527	1994-12-17	PRIJEM	VKLAD	30408	57735	\N	\N	\N
448912	1527	1994-01-31	PRIJEM	VKLAD	48181	99224	\N	\N	\N
448913	1527	1994-01-14	PRIJEM	VKLAD	18837	112046	\N	\N	\N
448914	1527	1994-12-15	PRIJEM	VKLAD	8486	27327	\N	\N	\N
448915	1527	1994-09-23	PRIJEM	VKLAD	16590	31423	\N	\N	\N
448916	1527	1994-09-01	PRIJEM	VKLAD	33372	43683	\N	\N	\N
448917	1527	1995-10-26	PRIJEM	VKLAD	30777	34402	\N	\N	\N
448918	1527	1995-09-29	PRIJEM	VKLAD	12978	36713	\N	\N	\N
448919	1527	1995-03-28	PRIJEM	VKLAD	19045	36838	\N	\N	\N
448920	1527	1995-08-26	PRIJEM	VKLAD	17453	35205	\N	\N	\N
448921	1527	1995-11-14	PRIJEM	VKLAD	14868	41810	\N	\N	\N
448922	1527	1995-07-16	PRIJEM	VKLAD	29802	40736	\N	\N	\N
448923	1527	1995-05-22	PRIJEM	VKLAD	35508	47359	\N	\N	\N
448924	1527	1996-01-04	PRIJEM	VKLAD	49379	46532	\N	\N	\N
448925	1527	1996-05-19	PRIJEM	VKLAD	33366	54385	\N	\N	\N
448926	1527	1996-07-21	PRIJEM	VKLAD	15464	47258	\N	\N	\N
448927	1527	1996-02-18	PRIJEM	VKLAD	22845	41939	\N	\N	\N
448928	1527	1996-12-29	PRIJEM	VKLAD	8250	82355	\N	\N	\N
448929	1527	1996-02-10	PRIJEM	VKLAD	25179	39088	\N	\N	\N
448930	1527	1996-12-07	PRIJEM	VKLAD	49582	92695	\N	\N	\N
448931	1527	1996-11-22	PRIJEM	VKLAD	40085	78665	\N	\N	\N
448932	1527	1996-09-26	PRIJEM	VKLAD	30037	66102	\N	\N	\N
448933	1527	1996-10-28	PRIJEM	VKLAD	10898	108878	\N	\N	\N
448934	1527	1996-08-01	PRIJEM	VKLAD	7760	55054	\N	\N	\N
448935	1527	1996-09-14	PRIJEM	VKLAD	39025	63615	\N	\N	\N
448936	1527	1996-10-26	PRIJEM	VKLAD	23533	114080	\N	\N	\N
448937	1527	1996-09-30	PRIJEM	VKLAD	24647	90933	\N	\N	\N
448938	1527	1996-07-10	PRIJEM	VKLAD	17110	36351	\N	\N	\N
448939	1527	1996-10-17	PRIJEM	VKLAD	38672	90547	\N	\N	\N
448940	1527	1996-05-03	PRIJEM	VKLAD	24793	45676	\N	\N	\N
448941	1527	1997-07-08	PRIJEM	VKLAD	38656	80231	\N	\N	\N
448942	1527	1997-11-17	PRIJEM	VKLAD	29627	55815	\N	\N	\N
448943	1527	1997-10-08	PRIJEM	VKLAD	18034	44322	\N	\N	\N
448944	1527	1997-09-18	PRIJEM	VKLAD	23178	52738	\N	\N	\N
448945	1527	1997-04-14	PRIJEM	VKLAD	42279	69257	\N	\N	\N
448946	1527	1997-06-26	PRIJEM	VKLAD	36964	88894	\N	\N	\N
448947	1527	1997-05-11	PRIJEM	VKLAD	36651	81615	\N	\N	\N
448948	1527	1997-06-21	PRIJEM	VKLAD	33976	106630	\N	\N	\N
448949	1527	1997-02-18	PRIJEM	VKLAD	33685	37692	\N	\N	\N
448950	1527	1997-08-03	PRIJEM	VKLAD	42638	79983	\N	\N	\N
448951	1527	1997-06-29	PRIJEM	VKLAD	24826	113720	\N	\N	\N
448952	1527	1997-05-31	PRIJEM	VKLAD	36574	90321	\N	\N	\N
448953	1527	1997-03-14	PRIJEM	VKLAD	48318	54495	\N	\N	\N
448954	1527	1997-06-06	PRIJEM	VKLAD	5624	95845	\N	\N	\N
448955	1527	1997-04-15	PRIJEM	VKLAD	18351	87608	\N	\N	\N
448956	1527	1997-07-26	PRIJEM	VKLAD	38112	113786	\N	\N	\N
448957	1527	1997-09-12	PRIJEM	VKLAD	15446	34117	\N	\N	\N
448958	1527	1998-12-15	PRIJEM	VKLAD	47571	75102	\N	\N	\N
448959	1527	1998-12-02	PRIJEM	VKLAD	13169	27531	\N	\N	\N
448973	1527	1994-02-15	VYDAJ	VYBER	4900	50675	\N	\N	0
448974	1527	1994-02-25	VYDAJ	VYBER	4000	33475	\N	\N	0
448975	1527	1994-04-06	VYDAJ	VYBER	5000	63889	\N	\N	0
448976	1527	1994-05-15	VYDAJ	VYBER	4500	32884	\N	\N	0
448978	1527	1994-07-02	VYDAJ	VYBER	6300	6618	\N	\N	0
448981	1527	1994-10-06	VYDAJ	VYBER	5900	25500	\N	\N	0
448982	1527	1994-11-22	VYDAJ	VYBER	3200	17611	\N	\N	0
448983	1527	1994-12-12	VYDAJ	PREVOD NA UCET	4557	18841	UVER	EF	27702808
448984	1527	1995-01-12	VYDAJ	PREVOD NA UCET	4557	15434	UVER	EF	27702808
448985	1527	1995-02-12	VYDAJ	PREVOD NA UCET	4557	4295	UVER	EF	27702808
448987	1527	1995-04-12	VYDAJ	PREVOD NA UCET	4557	28215	UVER	EF	27702808
448988	1527	1995-05-12	VYDAJ	PREVOD NA UCET	4557	15451	UVER	EF	27702808
448989	1527	1995-06-12	VYDAJ	PREVOD NA UCET	4557	27375	UVER	EF	27702808
448990	1527	1995-07-12	VYDAJ	PREVOD NA UCET	4557	10934	UVER	EF	27702808
448991	1527	1995-08-12	VYDAJ	PREVOD NA UCET	4557	17752	UVER	EF	27702808
448992	1527	1995-09-12	VYDAJ	PREVOD NA UCET	4557	23735	UVER	EF	27702808
448993	1527	1995-10-12	VYDAJ	PREVOD NA UCET	4557	3625	UVER	EF	27702808
448994	1527	1995-11-12	VYDAJ	PREVOD NA UCET	4557	26942	UVER	EF	27702808
448995	1527	1995-12-12	VYDAJ	PREVOD NA UCET	4557	12206	UVER	EF	27702808
448996	1527	1996-01-12	VYDAJ	PREVOD NA UCET	4557	11365	UVER	EF	27702808
448997	1527	1996-02-12	VYDAJ	PREVOD NA UCET	4557	34531	UVER	EF	27702808
448998	1527	1996-03-12	VYDAJ	PREVOD NA UCET	4557	31588	UVER	EF	27702808
448999	1527	1996-04-12	VYDAJ	PREVOD NA UCET	4557	23478	UVER	EF	27702808
449000	1527	1996-05-12	VYDAJ	PREVOD NA UCET	4557	21019	UVER	EF	27702808
449001	1527	1996-06-12	VYDAJ	PREVOD NA UCET	4557	30579	UVER	EF	27702808
449002	1527	1996-07-12	VYDAJ	PREVOD NA UCET	4557	31794	UVER	EF	27702808
449003	1527	1996-08-12	VYDAJ	PREVOD NA UCET	4557	33897	UVER	EF	27702808
449004	1527	1996-09-12	VYDAJ	PREVOD NA UCET	4557	24590	UVER	EF	27702808
449005	1527	1996-10-12	VYDAJ	PREVOD NA UCET	4557	51875	UVER	EF	27702808
449006	1527	1996-11-12	VYDAJ	PREVOD NA UCET	4557	38580	UVER	EF	27702808
449007	1527	1996-12-12	VYDAJ	PREVOD NA UCET	4557	88138	UVER	EF	27702808
449008	1527	1997-01-12	VYDAJ	PREVOD NA UCET	4557	31128	UVER	EF	27702808
449011	1527	1997-04-12	VYDAJ	PREVOD NA UCET	4557	26978	UVER	EF	27702808
449012	1527	1997-05-12	VYDAJ	PREVOD NA UCET	4557	77058	UVER	EF	27702808
449013	1527	1997-06-12	VYDAJ	PREVOD NA UCET	4557	91287	UVER	EF	27702808
449014	1527	1997-07-12	VYDAJ	PREVOD NA UCET	4557	75674	UVER	EF	27702808
449015	1527	1997-08-12	VYDAJ	PREVOD NA UCET	4557	57672	UVER	EF	27702808
449016	1527	1997-09-12	VYDAJ	PREVOD NA UCET	4557	29560	UVER	EF	27702808
449017	1527	1997-10-12	VYDAJ	PREVOD NA UCET	4557	39765	UVER	EF	27702808
449018	1527	1997-11-12	VYDAJ	VYBER	4600	29788	\N	\N	0
449019	1527	1997-12-09	VYDAJ	VYBER	3300	40120	\N	\N	0
449020	1527	1998-01-07	VYDAJ	VYBER	5700	25082	\N	\N	0
449022	1527	1998-02-28	VYDAJ	VYBER	4400	14589	\N	\N	0
449023	1527	1998-04-20	VYDAJ	VYBER	3800	14722	\N	\N	0
449024	1527	1998-05-02	VYDAJ	VYBER	4300	21203	\N	\N	0
449026	1527	1998-07-09	VYDAJ	VYBER	4600	6390	\N	\N	0
449028	1527	1998-08-29	VYDAJ	VYBER	4700	8763	\N	\N	0
449029	1527	1998-10-21	VYDAJ	VYBER	5500	11438	\N	\N	0
449030	1527	1998-11-08	VYDAJ	VYBER	4400	8209	\N	\N	0
449031	1527	1998-11-23	VYDAJ	VYBER	4500	14409	\N	\N	0
449040	1527	1994-02-14	VYBER	VYBER	10266	85875	\N	\N	\N
449041	1527	1994-02-02	VYBER	VYBER	14513	84611	\N	\N	\N
449043	1527	1994-09-07	VYBER	VYBER	15260	17687	\N	\N	\N
449044	1527	1994-09-08	VYBER	VYBER	15254	2433	\N	\N	\N
449045	1527	1994-08-07	VYBER	VYBER	17922	-1442	\N	\N	\N
449046	1527	1994-05-11	VYBER	VYBER	8944	37384	\N	\N	\N
449047	1527	1994-09-04	VYBER	VYBER	10736	32947	\N	\N	\N
449049	1527	1995-12-04	VYBER	VYBER	19326	9464	\N	\N	\N
449050	1527	1995-01-23	VYBER	VYBER	18667	-3233	\N	\N	\N
449051	1527	1995-07-18	VYBER	VYBER	20288	20448	\N	\N	\N
449052	1527	1995-10-12	VYBER	VYBER	22347	8182	\N	\N	\N
449053	1527	1995-05-12	VYBER	VYBER	8637	20009	\N	\N	\N
449056	1527	1995-06-15	VYBER	VYBER	23571	3804	\N	\N	\N
449057	1527	1995-11-25	VYBER	VYBER	8263	28747	\N	\N	\N
449058	1527	1995-06-02	VYBER	VYBER	6652	40732	\N	\N	\N
449060	1527	1995-09-07	VYBER	VYBER	7704	27493	\N	\N	\N
449061	1527	1996-12-20	VYBER	VYBER	10433	77705	\N	\N	\N
449062	1527	1996-09-15	VYBER	VYBER	4817	58798	\N	\N	\N
449063	1527	1996-04-13	VYBER	VYBER	2598	20880	\N	\N	\N
449064	1527	1996-06-29	VYBER	VYBER	14997	15582	\N	\N	\N
449065	1527	1996-02-14	VYBER	VYBER	15437	19094	\N	\N	\N
449066	1527	1996-01-08	VYBER	VYBER	19510	15922	\N	\N	\N
449067	1527	1996-09-19	VYBER	VYBER	22733	36065	\N	\N	\N
449069	1527	1997-06-14	VYBER	VYBER	4650	83037	\N	\N	\N
449070	1527	1997-08-25	VYBER	VYBER	12210	45462	\N	\N	\N
449072	1527	1997-09-05	VYBER	VYBER	13818	18671	\N	\N	\N
449073	1527	1997-06-14	VYBER	VYBER	10383	72654	\N	\N	\N
449074	1527	1997-07-29	VYBER	VYBER	18284	44302	\N	\N	\N
449075	1527	1997-11-19	VYBER	VYBER	13252	42563	\N	\N	\N
449076	1527	1997-10-18	VYBER	VYBER	7234	32531	\N	\N	\N
449077	1527	1997-08-27	VYBER	VYBER	18977	26485	\N	\N	\N
449078	1527	1997-10-02	VYBER	VYBER	16316	26288	\N	\N	\N
449079	1527	1997-08-07	VYBER	VYBER	17754	62229	\N	\N	\N
449080	1527	1997-02-23	VYBER	VYBER	17679	20013	\N	\N	\N
449081	1527	1997-02-06	VYBER	VYBER	3308	4007	\N	\N	\N
449082	1527	1998-12-30	VYBER	VYBER	14065	30737	\N	\N	\N
449083	1527	1998-03-29	VYBER	VYBER	8527	18562	\N	\N	\N
449084	1527	1998-08-05	VYBER	VYBER	5112	4463	\N	\N	\N
449085	1527	1998-01-11	VYBER	VYBER	12773	6009	\N	\N	\N
449088	1527	1998-07-30	VYBER	VYBER	6362	9628	\N	\N	\N
449091	1527	1994-06-08	VYDAJ	VYBER	30300	-2565	\N	\N	\N
449094	1527	1997-06-29	VYDAJ	VYBER	13500	100220	\N	\N	\N
449095	1527	1998-06-08	VYDAJ	VYBER	16800	5704	\N	\N	\N
449098	1527	1995-01-10	VYDAJ	VYBER	9900	31091	\N	\N	\N
449100	1527	1997-01-05	VYDAJ	VYBER	10200	35685	\N	\N	\N
449103	1527	1994-12-27	VYDAJ	VYBER	2100	55635	\N	\N	\N
449104	1527	1995-12-19	VYDAJ	VYBER	6600	5606	\N	\N	\N
449105	1527	1996-12-05	VYDAJ	VYBER	8400	43113	\N	\N	\N
449106	1527	1997-12-15	VYDAJ	VYBER	5400	34720	\N	\N	\N
449107	1527	1998-12-26	VYDAJ	VYBER	4200	44802	\N	\N	\N
449120	1527	1995-01-02	VYDAJ	VYBER	6600	45791	\N	\N	\N
449123	1527	1995-01-02	VYDAJ	VYBER	3300	52391	\N	\N	\N
449124	1527	1995-01-04	VYDAJ	VYBER	4800	40991	\N	\N	\N
449125	1527	1995-01-12	VYDAJ	VYBER	7500	19991	\N	\N	\N
449127	1527	1996-01-01	VYDAJ	VYBER	4200	1353	\N	\N	\N
449128	1527	1996-01-17	VYDAJ	VYBER	1500	9865	\N	\N	\N
449130	1527	1996-01-17	VYDAJ	VYBER	7800	2065	\N	\N	\N
449131	1527	1996-01-02	VYDAJ	VYBER	4200	-2847	\N	\N	\N
449132	1527	1997-01-20	VYDAJ	VYBER	6900	5628	\N	\N	\N
449133	1527	1997-01-03	VYDAJ	VYBER	3300	45885	\N	\N	\N
449134	1527	1997-01-21	VYDAJ	VYBER	6600	-972	\N	\N	\N
449135	1527	1997-01-18	VYDAJ	VYBER	7800	12528	\N	\N	\N
449138	1527	1998-01-09	VYDAJ	VYBER	6300	18782	\N	\N	\N
449140	1527	1998-01-26	VYDAJ	VYBER	6900	9409	\N	\N	\N
449141	1527	1998-01-06	VYDAJ	VYBER	3600	34982	\N	\N	\N
449142	1527	1998-01-17	VYDAJ	VYBER	5400	609	\N	\N	\N
449150	1527	1994-11-11	VYDAJ	VYBER	13800	10011	\N	\N	\N
449151	1527	1994-02-17	VYDAJ	VYBER	13200	37475	\N	\N	\N
449152	1527	1994-09-11	VYDAJ	VYBER	3000	-567	\N	\N	\N
449153	1527	1995-11-18	VYDAJ	VYBER	3300	37010	\N	\N	\N
449154	1527	1995-12-04	VYDAJ	VYBER	1800	7664	\N	\N	\N
449155	1527	1995-11-16	VYDAJ	VYBER	1500	40310	\N	\N	\N
449157	1527	1995-05-19	VYDAJ	VYBER	3600	11851	\N	\N	\N
449158	1527	1996-12-23	VYDAJ	VYBER	3600	74105	\N	\N	\N
449159	1527	1996-05-06	VYDAJ	VYBER	10500	25576	\N	\N	\N
449160	1527	1996-11-08	VYDAJ	VYBER	5400	43137	\N	\N	\N
449161	1527	1997-06-13	VYDAJ	VYBER	3600	87687	\N	\N	\N
449162	1527	1997-01-18	VYDAJ	VYBER	10800	20328	\N	\N	\N
449163	1527	1997-11-13	VYDAJ	VYBER	3600	26188	\N	\N	\N
449164	1527	1997-03-02	VYDAJ	VYBER	12600	8877	\N	\N	\N
449165	1527	1997-05-05	VYDAJ	VYBER	9600	44964	\N	\N	\N
449166	1527	1997-03-08	VYDAJ	VYBER	2700	6177	\N	\N	\N
449167	1527	1997-03-29	VYDAJ	VYBER	8700	45795	\N	\N	\N
449169	1527	1998-06-30	VYDAJ	VYBER	5700	10990	\N	\N	\N
449170	1527	1998-10-29	VYDAJ	VYBER	9300	12638	\N	\N	\N
449171	1527	1998-05-26	VYDAJ	VYBER	5100	22503	\N	\N	\N
449172	1527	1998-01-07	VYDAJ	VYBER	4200	30782	\N	\N	\N
449173	1527	1998-01-28	VYDAJ	VYBER	3300	6109	\N	\N	\N
449187	1527	1994-01-31	VYDAJ	VYBER	100	99124	SLUZBY	\N	\N
449188	1527	1994-02-28	VYDAJ	VYBER	100	33657	SLUZBY	\N	\N
449189	1527	1994-03-31	VYDAJ	VYBER	100	68889	SLUZBY	\N	\N
449190	1527	1994-04-30	VYDAJ	VYBER	100	46328	SLUZBY	\N	\N
449191	1527	1994-05-31	VYDAJ	VYBER	100	27735	SLUZBY	\N	\N
449192	1527	1994-06-30	VYDAJ	VYBER	100	12918	SLUZBY	\N	\N
449193	1527	1994-07-31	VYDAJ	VYBER	100	16480	SLUZBY	\N	\N
449194	1527	1994-08-31	VYDAJ	VYBER	100	10311	SLUZBY	\N	\N
449195	1527	1994-09-30	VYDAJ	VYBER	100	31400	SLUZBY	\N	\N
449196	1527	1994-10-31	VYDAJ	VYBER	100	23811	SLUZBY	\N	\N
449197	1527	1994-11-30	VYDAJ	VYBER	100	17598	SLUZBY	\N	\N
449198	1527	1994-12-31	VYDAJ	VYBER	100	55691	SLUZBY	\N	\N
449199	1527	1995-01-31	VYDAJ	VYBER	100	-3239	SLUZBY	\N	\N
449200	1527	1995-02-28	VYDAJ	VYBER	100	4205	SLUZBY	\N	\N
449201	1527	1995-03-31	VYDAJ	VYBER	100	36772	SLUZBY	\N	\N
449202	1527	1995-04-30	VYDAJ	VYBER	100	28246	SLUZBY	\N	\N
449203	1527	1995-05-31	VYDAJ	VYBER	100	47384	SLUZBY	\N	\N
449204	1527	1995-06-30	VYDAJ	VYBER	100	3792	SLUZBY	\N	\N
449205	1527	1995-07-31	VYDAJ	VYBER	100	20409	SLUZBY	\N	\N
449206	1527	1995-08-31	VYDAJ	VYBER	100	35197	SLUZBY	\N	\N
449207	1527	1995-09-30	VYDAJ	VYBER	100	36729	SLUZBY	\N	\N
449208	1527	1995-10-31	VYDAJ	VYBER	100	34399	SLUZBY	\N	\N
449209	1527	1995-11-30	VYDAJ	VYBER	100	28790	SLUZBY	\N	\N
449210	1527	1995-12-31	VYDAJ	VYBER	100	5553	SLUZBY	\N	\N
449211	1527	1996-01-31	VYDAJ	VYBER	100	2011	SLUZBY	\N	\N
449212	1527	1996-02-29	VYDAJ	VYBER	100	41945	SLUZBY	\N	\N
449213	1527	1996-03-31	VYDAJ	VYBER	100	31635	SLUZBY	\N	\N
449214	1527	1996-04-30	VYDAJ	VYBER	100	20883	SLUZBY	\N	\N
449215	1527	1996-05-31	VYDAJ	VYBER	100	54436	SLUZBY	\N	\N
449216	1527	1996-06-30	VYDAJ	VYBER	100	15641	SLUZBY	\N	\N
449217	1527	1996-07-31	VYDAJ	VYBER	100	47294	SLUZBY	\N	\N
449218	1527	1996-08-31	VYDAJ	VYBER	100	33947	SLUZBY	\N	\N
449219	1527	1996-09-30	VYDAJ	VYBER	100	90833	SLUZBY	\N	\N
449220	1527	1996-10-31	VYDAJ	VYBER	100	109137	SLUZBY	\N	\N
449221	1527	1996-11-30	VYDAJ	VYBER	100	78813	SLUZBY	\N	\N
449222	1527	1996-12-31	VYDAJ	VYBER	100	82585	SLUZBY	\N	\N
449223	1527	1997-01-31	VYDAJ	VYBER	100	7318	SLUZBY	\N	\N
449224	1527	1997-02-28	VYDAJ	VYBER	100	19977	SLUZBY	\N	\N
449225	1527	1997-03-31	VYDAJ	VYBER	100	31535	SLUZBY	\N	\N
449226	1527	1997-04-30	VYDAJ	VYBER	100	54564	SLUZBY	\N	\N
449227	1527	1997-05-31	VYDAJ	VYBER	100	90221	SLUZBY	\N	\N
449228	1527	1997-06-30	VYDAJ	VYBER	100	41575	SLUZBY	\N	\N
449229	1527	1997-07-31	VYDAJ	VYBER	100	37345	SLUZBY	\N	\N
449230	1527	1997-08-31	VYDAJ	VYBER	100	32489	SLUZBY	\N	\N
449231	1527	1997-09-30	VYDAJ	VYBER	100	42604	SLUZBY	\N	\N
449232	1527	1997-10-31	VYDAJ	VYBER	100	34388	SLUZBY	\N	\N
449233	1527	1997-11-30	VYDAJ	VYBER	100	43420	SLUZBY	\N	\N
449234	1527	1997-12-31	VYDAJ	VYBER	100	38582	SLUZBY	\N	\N
449235	1527	1998-01-31	VYDAJ	VYBER	100	6064	SLUZBY	\N	\N
449236	1527	1998-02-28	VYDAJ	VYBER	100	14489	SLUZBY	\N	\N
449237	1527	1998-03-31	VYDAJ	VYBER	100	18522	SLUZBY	\N	\N
449238	1527	1998-04-30	VYDAJ	VYBER	100	25503	SLUZBY	\N	\N
449239	1527	1998-05-31	VYDAJ	VYBER	100	22504	SLUZBY	\N	\N
449240	1527	1998-06-30	VYDAJ	VYBER	100	16690	SLUZBY	\N	\N
449241	1527	1998-07-31	VYDAJ	VYBER	100	9575	SLUZBY	\N	\N
449242	1527	1998-08-31	VYDAJ	VYBER	100	8703	SLUZBY	\N	\N
449243	1527	1998-09-30	VYDAJ	VYBER	100	16938	SLUZBY	\N	\N
449244	1527	1998-10-31	VYDAJ	VYBER	100	12609	SLUZBY	\N	\N
449245	1527	1998-11-30	VYDAJ	VYBER	100	14362	SLUZBY	\N	\N
449246	1527	1993-12-17	VYDAJ	VYBER	29400	55301	\N	\N	\N
449247	1527	1994-01-14	VYDAJ	VYBER	37800	74246	\N	\N	\N
449248	1527	1994-01-16	VYDAJ	VYBER	23500	50746	\N	\N	\N
449249	1527	1994-02-15	VYDAJ	VYBER	30300	55575	\N	\N	\N
449250	1527	1994-03-17	VYDAJ	VYBER	1600	32057	\N	\N	\N
449251	1527	1994-03-29	VYDAJ	VYBER	41400	68800	\N	\N	\N
449252	1527	1994-04-16	VYDAJ	VYBER	17700	46189	\N	\N	\N
449253	1527	1994-05-16	VYDAJ	VYBER	5200	27684	\N	\N	\N
449254	1527	1994-06-15	PRIJEM	VKLAD	15500	12935	\N	\N	\N
449255	1527	1994-07-15	PRIJEM	VKLAD	9900	16518	\N	\N	\N
449256	1527	1994-08-14	PRIJEM	VKLAD	11800	10358	\N	\N	\N
449257	1527	1994-09-13	PRIJEM	VKLAD	15400	14833	\N	\N	\N
449258	1527	1994-10-13	VYDAJ	VYBER	1700	23800	\N	\N	\N
449259	1527	1994-11-12	PRIJEM	VKLAD	10800	20811	\N	\N	\N
449260	1527	1994-12-12	PRIJEM	VKLAD	5800	23398	\N	\N	\N
449261	1527	1995-01-11	VYDAJ	VYBER	3600	27491	\N	\N	\N
449262	1527	1995-02-10	PRIJEM	VKLAD	12100	8852	\N	\N	\N
449263	1527	1995-03-12	PRIJEM	VKLAD	13600	17793	\N	\N	\N
449264	1527	1995-04-11	VYDAJ	VYBER	4000	32772	\N	\N	\N
449265	1527	1995-05-11	PRIJEM	VKLAD	400	28646	\N	\N	\N
449266	1527	1995-06-10	VYDAJ	VYBER	8800	31932	\N	\N	\N
449267	1527	1995-07-10	PRIJEM	VKLAD	11700	15492	\N	\N	\N
449268	1527	1995-08-09	PRIJEM	VKLAD	1900	22309	\N	\N	\N
449269	1527	1995-09-08	PRIJEM	VKLAD	800	28293	\N	\N	\N
449270	1527	1995-10-08	VYDAJ	VYBER	6200	30529	\N	\N	\N
449271	1527	1995-11-07	VYDAJ	VYBER	2900	31499	\N	\N	\N
449272	1527	1995-12-07	PRIJEM	VKLAD	9100	16764	\N	\N	\N
449273	1527	1996-01-06	VYDAJ	VYBER	11100	35432	\N	\N	\N
449274	1527	1996-02-05	PRIJEM	VKLAD	11900	13909	\N	\N	\N
449275	1527	1996-03-06	VYDAJ	VYBER	5800	36145	\N	\N	\N
449276	1527	1996-04-05	VYDAJ	VYBER	3600	28035	\N	\N	\N
449277	1527	1996-05-05	VYDAJ	VYBER	9600	36076	\N	\N	\N
449278	1527	1996-06-04	VYDAJ	VYBER	19300	35136	\N	\N	\N
449279	1527	1996-07-04	PRIJEM	VKLAD	3600	19241	\N	\N	\N
449280	1527	1996-08-03	VYDAJ	VYBER	16600	38454	\N	\N	\N
449281	1527	1996-09-02	VYDAJ	VYBER	4800	29147	\N	\N	\N
449282	1527	1996-10-02	VYDAJ	VYBER	34400	56433	\N	\N	\N
449283	1527	1996-10-26	VYDAJ	VYBER	16100	97980	\N	\N	\N
449284	1527	1996-10-31	VYDAJ	VYBER	34100	75037	\N	\N	\N
449285	1527	1996-11-01	VYDAJ	VYBER	26500	48537	\N	\N	\N
449286	1527	1996-12-01	VYDAJ	VYBER	27300	51513	\N	\N	\N
449287	1527	1996-12-31	VYDAJ	VYBER	33400	49185	\N	\N	\N
449288	1527	1997-01-30	PRIJEM	VKLAD	8300	7328	\N	\N	\N
449289	1527	1997-03-01	PRIJEM	VKLAD	1500	21477	\N	\N	\N
449290	1527	1997-03-31	VYDAJ	VYBER	14300	31635	\N	\N	\N
449291	1527	1997-04-30	VYDAJ	VYBER	33200	54664	\N	\N	\N
449292	1527	1997-05-30	VYDAJ	VYBER	23600	53458	\N	\N	\N
449293	1527	1997-06-21	VYDAJ	VYBER	54700	51930	\N	\N	\N
449294	1527	1997-06-29	VYDAJ	VYBER	45000	55220	\N	\N	\N
449295	1527	1997-06-29	VYDAJ	VYBER	13900	41320	\N	\N	\N
449296	1527	1997-07-26	VYDAJ	VYBER	51200	62586	\N	\N	\N
449297	1527	1997-07-29	VYDAJ	VYBER	7100	37202	\N	\N	\N
449298	1527	1997-08-28	PRIJEM	VKLAD	5900	32385	\N	\N	\N
449299	1527	1997-09-27	VYDAJ	VYBER	10200	42538	\N	\N	\N
449300	1527	1997-10-27	PRIJEM	VKLAD	1800	34331	\N	\N	\N
449301	1527	1997-11-26	PRIJEM	VKLAD	800	43363	\N	\N	\N
449302	1527	1997-12-26	PRIJEM	VKLAD	3800	38520	\N	\N	\N
449303	1527	1998-01-25	PRIJEM	VKLAD	15700	16309	\N	\N	\N
449304	1527	1998-02-24	PRIJEM	VKLAD	12900	18964	\N	\N	\N
449305	1527	1998-03-26	PRIJEM	VKLAD	12600	27089	\N	\N	\N
449306	1527	1998-04-25	PRIJEM	VKLAD	10800	25522	\N	\N	\N
449307	1527	1998-05-25	PRIJEM	VKLAD	6400	27603	\N	\N	\N
449308	1527	1998-06-24	PRIJEM	VKLAD	11000	16704	\N	\N	\N
449309	1527	1998-07-24	PRIJEM	VKLAD	9600	15990	\N	\N	\N
449310	1527	1998-08-23	PRIJEM	VKLAD	9000	13463	\N	\N	\N
449311	1527	1998-09-22	PRIJEM	VKLAD	8300	17003	\N	\N	\N
449312	1527	1998-10-22	PRIJEM	VKLAD	10500	21938	\N	\N	\N
449313	1527	1998-11-21	PRIJEM	VKLAD	10700	18909	\N	\N	\N
449314	1527	1998-12-21	VYDAJ	VYBER	26100	49002	\N	\N	\N
449383	1528	1996-06-08	PRIJEM	VKLAD	500	500	\N	\N	\N
449389	1528	1996-06-14	PRIJEM	VKLAD	27111	27611	\N	\N	\N
449390	1528	1996-07-14	PRIJEM	VKLAD	18074	42550	\N	\N	\N
449391	1528	1996-08-14	PRIJEM	VKLAD	18074	51975	\N	\N	\N
449392	1528	1996-09-14	PRIJEM	VKLAD	18074	56250	\N	\N	\N
449393	1528	1996-10-14	PRIJEM	VKLAD	18074	57550	\N	\N	\N
449394	1528	1996-11-14	PRIJEM	VKLAD	18074	41906	\N	\N	\N
449395	1528	1996-12-14	PRIJEM	VKLAD	27111	46875	\N	\N	\N
449396	1528	1997-01-14	PRIJEM	VKLAD	18074	35318	\N	\N	\N
449397	1528	1997-02-14	PRIJEM	VKLAD	18074	35239	\N	\N	\N
449398	1528	1997-03-14	PRIJEM	VKLAD	18074	37619	\N	\N	\N
449399	1528	1997-04-14	PRIJEM	VKLAD	18074	30399	\N	\N	\N
449400	1528	1997-05-14	PRIJEM	VKLAD	18074	31293	\N	\N	\N
449401	1528	1997-06-14	PRIJEM	VKLAD	27111	42197	\N	\N	\N
449402	1528	1997-07-14	PRIJEM	VKLAD	18074	43392	\N	\N	\N
449403	1528	1997-08-14	PRIJEM	VKLAD	18074	26652	\N	\N	\N
449404	1528	1997-09-14	PRIJEM	VKLAD	18074	25629	\N	\N	\N
449405	1528	1997-10-14	PRIJEM	VKLAD	18074	28301	\N	\N	\N
449406	1528	1997-11-14	PRIJEM	VKLAD	18074	39073	\N	\N	\N
449407	1528	1997-12-14	PRIJEM	VKLAD	27111	50908	\N	\N	\N
449408	1528	1998-01-14	PRIJEM	VKLAD	18074	34512	\N	\N	\N
449409	1528	1998-02-14	PRIJEM	VKLAD	18074	40425	\N	\N	\N
449410	1528	1998-03-14	PRIJEM	VKLAD	18074	31124	\N	\N	\N
449411	1528	1998-04-14	PRIJEM	VKLAD	18074	33719	\N	\N	\N
449412	1528	1998-05-14	PRIJEM	VKLAD	18074	39023	\N	\N	\N
449413	1528	1998-06-14	PRIJEM	VKLAD	27111	52389	\N	\N	\N
449414	1528	1998-07-14	PRIJEM	VKLAD	18074	43382	\N	\N	\N
449415	1528	1998-08-14	PRIJEM	VKLAD	18074	50893	\N	\N	\N
449416	1528	1998-09-14	PRIJEM	VKLAD	18074	46939	\N	\N	\N
449417	1528	1998-10-14	PRIJEM	VKLAD	18074	59393	\N	\N	\N
449418	1528	1998-11-14	PRIJEM	VKLAD	18074	53368	\N	\N	\N
449419	1528	1998-12-14	PRIJEM	VKLAD	27111	70986	\N	\N	\N
449430	1528	1996-11-08	VYDAJ	VYBER	7800	28272	SIPO	\N	0
449431	1528	1996-12-13	VYDAJ	VYBER	8600	22564	SIPO	\N	0
449432	1528	1997-01-13	VYDAJ	VYBER	8900	17244	SIPO	\N	0
449433	1528	1997-02-08	VYDAJ	VYBER	7300	17165	SIPO	\N	0
449434	1528	1997-03-15	VYDAJ	VYBER	8700	28919	SIPO	\N	0
449435	1528	1997-04-13	VYDAJ	VYBER	11200	12325	SIPO	\N	0
449436	1528	1997-05-11	VYDAJ	VYBER	9800	13219	SIPO	\N	0
449437	1528	1997-06-10	VYDAJ	VYBER	7300	15086	SIPO	\N	0
449438	1528	1997-07-05	VYDAJ	VYBER	7700	25318	SIPO	\N	0
449439	1528	1997-08-05	VYDAJ	VYBER	10600	17599	SIPO	\N	0
449440	1528	1997-09-08	VYDAJ	VYBER	7700	11536	SIPO	\N	0
449441	1528	1997-10-03	VYDAJ	VYBER	10300	14208	SIPO	\N	0
449442	1528	1997-11-19	VYDAJ	VYBER	9500	29573	SIPO	\N	0
449443	1528	1997-12-19	VYDAJ	VYBER	11700	37888	SIPO	\N	0
449444	1528	1998-01-13	VYDAJ	VYBER	7300	16438	SIPO	\N	0
449445	1528	1998-02-15	VYDAJ	VYBER	8600	31825	SIPO	\N	0
449446	1528	1998-03-08	VYDAJ	VYBER	10200	17031	SIPO	\N	0
449447	1528	1998-04-11	VYDAJ	VYBER	8800	19626	SIPO	\N	0
449448	1528	1998-05-07	VYDAJ	VYBER	11200	24930	SIPO	\N	0
449449	1528	1998-06-06	VYDAJ	VYBER	8900	29859	SIPO	\N	0
449450	1528	1998-07-15	VYDAJ	VYBER	9600	33782	SIPO	\N	0
449451	1528	1998-08-17	VYDAJ	VYBER	7600	43293	SIPO	\N	0
449452	1528	1998-09-09	VYDAJ	VYBER	7100	32846	SIPO	\N	0
449453	1528	1998-10-18	VYDAJ	VYBER	11400	47993	SIPO	\N	0
449454	1528	1998-11-08	VYDAJ	VYBER	8100	39275	SIPO	\N	0
449455	1528	1998-12-22	VYDAJ	VYBER	7900	63086	SIPO	\N	0
449466	1528	1996-10-30	VYDAJ	VYBER	3600	53950	\N	\N	0
449467	1528	1996-12-13	VYDAJ	VYBER	2800	19764	\N	\N	0
449468	1528	1997-01-13	VYDAJ	VYBER	3500	26144	\N	\N	0
449469	1528	1997-02-01	VYDAJ	VYBER	4600	23765	\N	\N	0
449470	1528	1997-03-11	VYDAJ	VYBER	3300	19545	\N	\N	0
449471	1528	1997-04-01	VYDAJ	VYBER	3900	25125	\N	\N	0
449472	1528	1997-05-19	VYDAJ	VYBER	4500	26793	\N	\N	0
449473	1528	1997-06-20	VYDAJ	VYBER	3900	38297	\N	\N	0
449474	1528	1997-07-18	VYDAJ	VYBER	5000	38392	\N	\N	0
449475	1528	1997-08-12	VYDAJ	PREVOD NA UCET	3981	8578	UVER	QR	58779168
449476	1528	1997-09-12	VYDAJ	PREVOD NA UCET	3981	7555	UVER	QR	58779168
449477	1528	1997-10-12	VYDAJ	PREVOD NA UCET	3981	10227	UVER	QR	58779168
449478	1528	1997-11-12	VYDAJ	PREVOD NA UCET	3981	20999	UVER	QR	58779168
449479	1528	1997-12-12	VYDAJ	PREVOD NA UCET	3981	23797	UVER	QR	58779168
449480	1528	1998-01-12	VYDAJ	PREVOD NA UCET	3981	23738	UVER	QR	58779168
449481	1528	1998-02-12	VYDAJ	PREVOD NA UCET	3981	22351	UVER	QR	58779168
449482	1528	1998-03-12	VYDAJ	PREVOD NA UCET	3981	13050	UVER	QR	58779168
449483	1528	1998-04-12	VYDAJ	PREVOD NA UCET	3981	15645	UVER	QR	58779168
449484	1528	1998-05-12	VYDAJ	PREVOD NA UCET	3981	20949	UVER	QR	58779168
449485	1528	1998-06-12	VYDAJ	PREVOD NA UCET	3981	25278	UVER	QR	58779168
449486	1528	1998-07-12	VYDAJ	PREVOD NA UCET	3981	25308	UVER	QR	58779168
449487	1528	1998-08-12	VYDAJ	PREVOD NA UCET	3981	32819	UVER	QR	58779168
449488	1528	1998-09-12	VYDAJ	PREVOD NA UCET	3981	28865	UVER	QR	58779168
449489	1528	1998-10-12	VYDAJ	PREVOD NA UCET	3981	41319	UVER	QR	58779168
449490	1528	1998-11-12	VYDAJ	PREVOD NA UCET	3981	35294	UVER	QR	58779168
449491	1528	1998-12-12	VYDAJ	PREVOD NA UCET	3981	43875	UVER	QR	58779168
449494	1528	1998-06-18	VYDAJ	VYBER	29120	23269	\N	\N	\N
449501	1528	1997-01-10	VYDAJ	VYBER	3360	29644	\N	\N	\N
449502	1528	1997-01-14	VYDAJ	VYBER	1320	33998	\N	\N	\N
449503	1528	1997-01-27	VYDAJ	VYBER	1560	28238	\N	\N	\N
449504	1528	1997-01-15	VYDAJ	VYBER	1920	32078	\N	\N	\N
449505	1528	1997-01-15	VYDAJ	VYBER	2280	29798	\N	\N	\N
449506	1528	1997-01-09	VYDAJ	VYBER	840	33004	\N	\N	\N
449507	1528	1998-01-04	VYDAJ	VYBER	840	29279	\N	\N	\N
449508	1528	1998-01-16	VYDAJ	VYBER	2520	31992	\N	\N	\N
449509	1528	1998-01-21	VYDAJ	VYBER	3240	25032	\N	\N	\N
449510	1528	1998-01-19	VYDAJ	VYBER	2640	29352	\N	\N	\N
449511	1528	1998-01-09	VYDAJ	VYBER	1560	27719	\N	\N	\N
449512	1528	1998-01-20	VYDAJ	VYBER	1080	28272	\N	\N	\N
449514	1528	1996-11-09	VYDAJ	VYBER	4440	23832	\N	\N	\N
449518	1528	1997-03-09	VYDAJ	VYBER	1560	22845	\N	\N	\N
449519	1528	1997-08-08	VYDAJ	VYBER	5040	12559	\N	\N	\N
449521	1528	1997-12-18	VYDAJ	VYBER	1320	49588	\N	\N	\N
449522	1528	1997-05-05	VYDAJ	VYBER	1680	23019	\N	\N	\N
449523	1528	1997-07-25	VYDAJ	VYBER	4320	34072	\N	\N	\N
449524	1528	1997-03-08	VYDAJ	VYBER	3840	24405	\N	\N	\N
449525	1528	1998-12-01	VYDAJ	VYBER	2400	47856	\N	\N	\N
449526	1528	1998-06-10	VYDAJ	VYBER	600	29259	\N	\N	\N
449537	1528	1996-10-31	VYDAJ	VYBER	15	54172	SLUZBY	\N	\N
449538	1528	1996-11-30	VYDAJ	VYBER	15	42064	SLUZBY	\N	\N
449539	1528	1996-12-31	VYDAJ	VYBER	15	47044	SLUZBY	\N	\N
449540	1528	1997-01-31	VYDAJ	VYBER	15	28365	SLUZBY	\N	\N
449541	1528	1997-02-28	VYDAJ	VYBER	15	35345	SLUZBY	\N	\N
449542	1528	1997-03-31	VYDAJ	VYBER	15	29025	SLUZBY	\N	\N
449543	1528	1997-04-30	VYDAJ	VYBER	15	30499	SLUZBY	\N	\N
449544	1528	1997-05-31	VYDAJ	VYBER	15	26886	SLUZBY	\N	\N
449545	1528	1997-06-30	VYDAJ	VYBER	15	38418	SLUZBY	\N	\N
449546	1528	1997-07-31	VYDAJ	VYBER	15	34199	SLUZBY	\N	\N
449547	1528	1997-08-31	VYDAJ	VYBER	15	26736	SLUZBY	\N	\N
449548	1528	1997-09-30	VYDAJ	VYBER	15	25708	SLUZBY	\N	\N
449549	1528	1997-10-31	VYDAJ	VYBER	15	24980	SLUZBY	\N	\N
449550	1528	1997-11-30	VYDAJ	VYBER	15	27778	SLUZBY	\N	\N
449551	1528	1997-12-31	VYDAJ	VYBER	15	30119	SLUZBY	\N	\N
449552	1528	1998-01-31	VYDAJ	VYBER	15	26332	SLUZBY	\N	\N
449553	1528	1998-02-28	VYDAJ	VYBER	15	31931	SLUZBY	\N	\N
449554	1528	1998-03-31	VYDAJ	VYBER	15	28426	SLUZBY	\N	\N
449555	1528	1998-04-30	VYDAJ	VYBER	15	36130	SLUZBY	\N	\N
449556	1528	1998-05-31	VYDAJ	VYBER	15	38759	SLUZBY	\N	\N
449557	1528	1998-06-30	VYDAJ	VYBER	15	29289	SLUZBY	\N	\N
449558	1528	1998-07-31	VYDAJ	VYBER	15	36800	SLUZBY	\N	\N
449559	1528	1998-08-31	VYDAJ	VYBER	15	39946	SLUZBY	\N	\N
449560	1528	1998-09-30	VYDAJ	VYBER	15	45300	SLUZBY	\N	\N
449561	1528	1998-10-31	VYDAJ	VYBER	15	47375	SLUZBY	\N	\N
449562	1528	1998-11-30	VYDAJ	VYBER	15	50256	SLUZBY	\N	\N
449563	1528	1996-07-08	VYDAJ	VYBER	3200	24476	\N	\N	\N
449564	1528	1996-08-07	VYDAJ	VYBER	8800	33901	\N	\N	\N
449565	1528	1996-09-06	VYDAJ	VYBER	14000	38176	\N	\N	\N
449566	1528	1996-10-06	VYDAJ	VYBER	17000	39476	\N	\N	\N
449567	1528	1996-11-05	VYDAJ	VYBER	18100	36072	\N	\N	\N
449568	1528	1996-12-05	VYDAJ	VYBER	10900	31164	\N	\N	\N
449569	1528	1997-01-04	VYDAJ	VYBER	13200	33844	\N	\N	\N
449570	1528	1997-02-03	PRIJEM	VKLAD	700	24465	\N	\N	\N
449571	1528	1997-03-05	VYDAJ	VYBER	7100	28245	\N	\N	\N
449572	1528	1997-04-04	VYDAJ	VYBER	1600	23525	\N	\N	\N
449573	1528	1997-05-04	VYDAJ	VYBER	5800	24699	\N	\N	\N
449574	1528	1997-06-03	VYDAJ	VYBER	4500	22386	\N	\N	\N
449575	1528	1997-07-03	VYDAJ	VYBER	5400	33018	\N	\N	\N
449576	1528	1997-08-02	VYDAJ	VYBER	6000	28199	\N	\N	\N
449577	1528	1997-09-01	VYDAJ	VYBER	7500	19236	\N	\N	\N
449578	1528	1997-10-01	VYDAJ	VYBER	1200	24508	\N	\N	\N
449579	1528	1997-10-31	VYDAJ	VYBER	3400	24995	\N	\N	\N
449580	1528	1997-11-30	VYDAJ	VYBER	1900	27793	\N	\N	\N
449581	1528	1997-12-30	VYDAJ	VYBER	7900	29988	\N	\N	\N
449582	1528	1998-01-29	PRIJEM	VKLAD	1200	26232	\N	\N	\N
449583	1528	1998-02-28	VYDAJ	VYBER	4700	27231	\N	\N	\N
449584	1528	1998-03-30	VYDAJ	VYBER	2800	28324	\N	\N	\N
449585	1528	1998-04-29	PRIJEM	VKLAD	2300	36019	\N	\N	\N
449586	1528	1998-05-29	VYDAJ	VYBER	400	38623	\N	\N	\N
449587	1528	1998-06-28	PRIJEM	VKLAD	5900	29169	\N	\N	\N
449588	1528	1998-07-28	PRIJEM	VKLAD	2900	36682	\N	\N	\N
449589	1528	1998-08-27	VYDAJ	VYBER	3500	39793	\N	\N	\N
449590	1528	1998-09-26	VYDAJ	VYBER	1800	45139	\N	\N	\N
449591	1528	1998-10-26	VYDAJ	VYBER	800	47193	\N	\N	\N
449592	1528	1998-11-25	VYDAJ	VYBER	3300	50068	\N	\N	\N
449627	1529	1996-04-28	PRIJEM	VKLAD	600	600	\N	\N	\N
449632	1529	1996-05-08	PRIJEM	PREVOD Z UCTU	3899	4499	\N	MN	44567579
449633	1529	1996-06-08	PRIJEM	PREVOD Z UCTU	3899	16605	\N	MN	44567579
449634	1529	1996-07-08	PRIJEM	PREVOD Z UCTU	3899	21259	\N	MN	44567579
449635	1529	1996-08-08	PRIJEM	PREVOD Z UCTU	3899	27234	\N	MN	44567579
449636	1529	1996-09-08	PRIJEM	PREVOD Z UCTU	3899	27230	\N	MN	44567579
449637	1529	1996-10-08	PRIJEM	PREVOD Z UCTU	3899	24744	\N	MN	44567579
449638	1529	1996-11-08	PRIJEM	PREVOD Z UCTU	3899	20277	\N	MN	44567579
449639	1529	1996-12-08	PRIJEM	PREVOD Z UCTU	3899	22668	\N	MN	44567579
449640	1529	1997-01-08	PRIJEM	PREVOD Z UCTU	3899	25139	\N	MN	44567579
449641	1529	1997-02-08	PRIJEM	PREVOD Z UCTU	3899	22478	\N	MN	44567579
449642	1529	1997-03-08	PRIJEM	PREVOD Z UCTU	3899	21143	\N	MN	44567579
449643	1529	1997-04-08	PRIJEM	PREVOD Z UCTU	3899	21604	\N	MN	44567579
449644	1529	1997-05-08	PRIJEM	PREVOD Z UCTU	3899	19464	\N	MN	44567579
449645	1529	1997-06-08	PRIJEM	PREVOD Z UCTU	3899	21550	\N	MN	44567579
449646	1529	1997-07-08	PRIJEM	PREVOD Z UCTU	3899	22113	\N	MN	44567579
449647	1529	1997-08-08	PRIJEM	PREVOD Z UCTU	3899	19673	\N	MN	44567579
449648	1529	1997-09-08	PRIJEM	PREVOD Z UCTU	3899	19928	\N	MN	44567579
449649	1529	1997-10-08	PRIJEM	PREVOD Z UCTU	3899	22086	\N	MN	44567579
449650	1529	1997-11-08	PRIJEM	PREVOD Z UCTU	3899	21511	\N	MN	44567579
449651	1529	1997-12-08	PRIJEM	PREVOD Z UCTU	3899	20519	\N	MN	44567579
449652	1529	1998-01-08	PRIJEM	PREVOD Z UCTU	3899	24673	\N	MN	44567579
449653	1529	1998-02-08	PRIJEM	PREVOD Z UCTU	3899	28894	\N	MN	44567579
449654	1529	1998-03-08	PRIJEM	PREVOD Z UCTU	3899	27684	\N	MN	44567579
449655	1529	1998-04-08	PRIJEM	PREVOD Z UCTU	3899	29073	\N	MN	44567579
449656	1529	1998-05-08	PRIJEM	PREVOD Z UCTU	3899	28303	\N	MN	44567579
449657	1529	1998-06-08	PRIJEM	PREVOD Z UCTU	3899	29194	\N	MN	44567579
449658	1529	1998-07-08	PRIJEM	PREVOD Z UCTU	3899	30788	\N	MN	44567579
449659	1529	1998-08-08	PRIJEM	PREVOD Z UCTU	3899	30486	\N	MN	44567579
449660	1529	1998-09-08	PRIJEM	PREVOD Z UCTU	3899	24401	\N	MN	44567579
449661	1529	1998-10-08	PRIJEM	PREVOD Z UCTU	3899	20264	\N	MN	44567579
449662	1529	1998-11-08	PRIJEM	PREVOD Z UCTU	3899	17813	\N	MN	44567579
449663	1529	1998-12-08	PRIJEM	PREVOD Z UCTU	3899	21867	\N	MN	44567579
449672	1529	1996-09-08	VYDAJ	PREVOD NA UCET	1059	26171	SIPO	MN	66372424
449673	1529	1996-10-08	VYDAJ	PREVOD NA UCET	1059	23685	SIPO	MN	66372424
449674	1529	1996-11-08	VYDAJ	PREVOD NA UCET	1059	19218	SIPO	MN	66372424
449675	1529	1996-12-08	VYDAJ	PREVOD NA UCET	1059	21609	SIPO	MN	66372424
449676	1529	1997-01-08	VYDAJ	PREVOD NA UCET	1059	24080	SIPO	MN	66372424
449677	1529	1997-02-08	VYDAJ	PREVOD NA UCET	1059	21419	SIPO	MN	66372424
449678	1529	1997-03-08	VYDAJ	PREVOD NA UCET	1059	20084	SIPO	MN	66372424
449679	1529	1997-04-08	VYDAJ	PREVOD NA UCET	1059	20545	SIPO	MN	66372424
449680	1529	1997-05-08	VYDAJ	PREVOD NA UCET	1059	18405	SIPO	MN	66372424
449681	1529	1997-06-08	VYDAJ	PREVOD NA UCET	1059	20491	SIPO	MN	66372424
449682	1529	1997-07-08	VYDAJ	PREVOD NA UCET	1059	21054	SIPO	MN	66372424
449683	1529	1997-08-08	VYDAJ	PREVOD NA UCET	1059	18614	SIPO	MN	66372424
449684	1529	1997-09-08	VYDAJ	PREVOD NA UCET	1059	18869	SIPO	MN	66372424
449685	1529	1997-10-08	VYDAJ	PREVOD NA UCET	1059	21027	SIPO	MN	66372424
449686	1529	1997-11-08	VYDAJ	PREVOD NA UCET	1059	20452	SIPO	MN	66372424
449687	1529	1997-12-08	VYDAJ	PREVOD NA UCET	1059	19460	SIPO	MN	66372424
449688	1529	1998-01-08	VYDAJ	PREVOD NA UCET	1059	23614	SIPO	MN	66372424
449689	1529	1998-02-08	VYDAJ	PREVOD NA UCET	1059	27835	SIPO	MN	66372424
449690	1529	1998-03-08	VYDAJ	PREVOD NA UCET	1059	26625	SIPO	MN	66372424
449691	1529	1998-04-08	VYDAJ	PREVOD NA UCET	1059	28014	SIPO	MN	66372424
449692	1529	1998-05-08	VYDAJ	PREVOD NA UCET	1059	27244	SIPO	MN	66372424
449693	1529	1998-06-08	VYDAJ	PREVOD NA UCET	1059	28135	SIPO	MN	66372424
449694	1529	1998-07-08	VYDAJ	PREVOD NA UCET	1059	29729	SIPO	MN	66372424
449695	1529	1998-08-08	VYDAJ	PREVOD NA UCET	1059	29427	SIPO	MN	66372424
449696	1529	1998-09-08	VYDAJ	PREVOD NA UCET	1059	23342	SIPO	MN	66372424
449697	1529	1998-10-08	VYDAJ	PREVOD NA UCET	1059	19205	SIPO	MN	66372424
449698	1529	1998-11-08	VYDAJ	PREVOD NA UCET	1059	16754	SIPO	MN	66372424
449699	1529	1998-12-08	VYDAJ	PREVOD NA UCET	1059	20808	SIPO	MN	66372424
449708	1529	1996-09-11	VYDAJ	PREVOD NA UCET	1463	24631	 	YZ	86592346
449709	1529	1996-10-11	VYDAJ	PREVOD NA UCET	1463	22145	 	YZ	86592346
449710	1529	1996-11-11	VYDAJ	PREVOD NA UCET	1463	17678	 	YZ	86592346
449711	1529	1996-12-11	VYDAJ	PREVOD NA UCET	1463	20069	 	YZ	86592346
449712	1529	1997-01-11	VYDAJ	PREVOD NA UCET	1463	19810	 	YZ	86592346
449713	1529	1997-02-11	VYDAJ	PREVOD NA UCET	1463	19879	 	YZ	86592346
449714	1529	1997-03-11	VYDAJ	PREVOD NA UCET	1463	18544	 	YZ	86592346
449715	1529	1997-04-11	VYDAJ	PREVOD NA UCET	1463	19005	 	YZ	86592346
449716	1529	1997-05-11	VYDAJ	PREVOD NA UCET	1463	16865	 	YZ	86592346
449717	1529	1997-06-11	VYDAJ	PREVOD NA UCET	1463	18951	 	YZ	86592346
449718	1529	1997-07-11	VYDAJ	PREVOD NA UCET	1463	19514	 	YZ	86592346
449719	1529	1997-08-11	VYDAJ	PREVOD NA UCET	1463	17074	 	YZ	86592346
449720	1529	1997-09-11	VYDAJ	PREVOD NA UCET	1463	17329	 	YZ	86592346
449721	1529	1997-10-11	VYDAJ	PREVOD NA UCET	1463	19487	 	YZ	86592346
449722	1529	1997-11-11	VYDAJ	PREVOD NA UCET	1463	17652	 	YZ	86592346
449723	1529	1997-12-11	VYDAJ	PREVOD NA UCET	1463	17920	 	YZ	86592346
449724	1529	1998-01-11	VYDAJ	PREVOD NA UCET	1463	22074	 	YZ	86592346
449725	1529	1998-02-11	VYDAJ	PREVOD NA UCET	1463	26295	 	YZ	86592346
449726	1529	1998-03-11	VYDAJ	PREVOD NA UCET	1463	25085	 	YZ	86592346
449727	1529	1998-04-11	VYDAJ	PREVOD NA UCET	1463	25064	 	YZ	86592346
449728	1529	1998-05-11	VYDAJ	PREVOD NA UCET	1463	25704	 	YZ	86592346
449729	1529	1998-06-11	VYDAJ	PREVOD NA UCET	1463	26595	 	YZ	86592346
449730	1529	1998-07-11	VYDAJ	PREVOD NA UCET	1463	28189	 	YZ	86592346
449731	1529	1998-08-11	VYDAJ	PREVOD NA UCET	1463	27887	 	YZ	86592346
449732	1529	1998-09-11	VYDAJ	PREVOD NA UCET	1463	21802	 	YZ	86592346
449733	1529	1998-10-11	VYDAJ	PREVOD NA UCET	1463	17665	 	YZ	86592346
449734	1529	1998-11-11	VYDAJ	PREVOD NA UCET	1463	15214	 	YZ	86592346
449735	1529	1998-12-11	VYDAJ	PREVOD NA UCET	1463	19268	 	YZ	86592346
449744	1529	1996-09-10	VYDAJ	PREVOD NA UCET	77	26094	POJISTNE	QR	57476818
449745	1529	1996-10-10	VYDAJ	PREVOD NA UCET	77	23608	POJISTNE	QR	57476818
449746	1529	1996-11-10	VYDAJ	PREVOD NA UCET	77	19141	POJISTNE	QR	57476818
449747	1529	1996-12-10	VYDAJ	PREVOD NA UCET	77	21532	POJISTNE	QR	57476818
449748	1529	1997-01-10	VYDAJ	PREVOD NA UCET	77	24003	POJISTNE	QR	57476818
449749	1529	1997-02-10	VYDAJ	PREVOD NA UCET	77	21342	POJISTNE	QR	57476818
449750	1529	1997-03-10	VYDAJ	PREVOD NA UCET	77	20007	POJISTNE	QR	57476818
449751	1529	1997-04-10	VYDAJ	PREVOD NA UCET	77	20468	POJISTNE	QR	57476818
449752	1529	1997-05-10	VYDAJ	PREVOD NA UCET	77	18328	POJISTNE	QR	57476818
449753	1529	1997-06-10	VYDAJ	PREVOD NA UCET	77	20414	POJISTNE	QR	57476818
449754	1529	1997-07-10	VYDAJ	PREVOD NA UCET	77	20977	POJISTNE	QR	57476818
449755	1529	1997-08-10	VYDAJ	PREVOD NA UCET	77	18537	POJISTNE	QR	57476818
449756	1529	1997-09-10	VYDAJ	PREVOD NA UCET	77	18792	POJISTNE	QR	57476818
449757	1529	1997-10-10	VYDAJ	PREVOD NA UCET	77	20950	POJISTNE	QR	57476818
449758	1529	1997-11-10	VYDAJ	PREVOD NA UCET	77	20375	POJISTNE	QR	57476818
449759	1529	1997-12-10	VYDAJ	PREVOD NA UCET	77	19383	POJISTNE	QR	57476818
449760	1529	1998-01-10	VYDAJ	PREVOD NA UCET	77	23537	POJISTNE	QR	57476818
449761	1529	1998-02-10	VYDAJ	PREVOD NA UCET	77	27758	POJISTNE	QR	57476818
449762	1529	1998-03-10	VYDAJ	PREVOD NA UCET	77	26548	POJISTNE	QR	57476818
449763	1529	1998-04-10	VYDAJ	PREVOD NA UCET	77	26527	POJISTNE	QR	57476818
449764	1529	1998-05-10	VYDAJ	PREVOD NA UCET	77	27167	POJISTNE	QR	57476818
449765	1529	1998-06-10	VYDAJ	PREVOD NA UCET	77	28058	POJISTNE	QR	57476818
449766	1529	1998-07-10	VYDAJ	PREVOD NA UCET	77	29652	POJISTNE	QR	57476818
449767	1529	1998-08-10	VYDAJ	PREVOD NA UCET	77	29350	POJISTNE	QR	57476818
449768	1529	1998-09-10	VYDAJ	PREVOD NA UCET	77	23265	POJISTNE	QR	57476818
449769	1529	1998-10-10	VYDAJ	PREVOD NA UCET	77	19128	POJISTNE	QR	57476818
449770	1529	1998-11-10	VYDAJ	PREVOD NA UCET	77	16677	POJISTNE	QR	57476818
449771	1529	1998-12-10	VYDAJ	PREVOD NA UCET	77	20731	POJISTNE	QR	57476818
449774	1529	1998-06-13	VYDAJ	VYBER	3000	23595	\N	\N	\N
449776	1529	1997-01-10	VYDAJ	VYBER	2730	21273	\N	\N	\N
449777	1529	1998-01-12	VYDAJ	VYBER	1500	20574	\N	\N	\N
449778	1529	1996-12-06	VYDAJ	VYBER	870	18769	\N	\N	\N
449779	1529	1997-12-20	VYDAJ	VYBER	210	20710	\N	\N	\N
449780	1529	1998-12-27	VYDAJ	VYBER	150	17118	\N	\N	\N
449781	1529	1996-09-14	VYDAJ	VYBER	870	23761	\N	\N	\N
449782	1529	1996-11-02	VYDAJ	VYBER	960	17098	\N	\N	\N
449783	1529	1996-10-18	VYDAJ	VYBER	960	21185	\N	\N	\N
449785	1529	1996-10-07	VYDAJ	VYBER	900	20845	\N	\N	\N
449786	1529	1996-11-05	VYDAJ	VYBER	720	16378	\N	\N	\N
449789	1529	1997-05-19	VYDAJ	VYBER	870	15995	\N	\N	\N
449790	1529	1997-10-20	VYDAJ	VYBER	1440	17547	\N	\N	\N
449791	1529	1997-11-13	VYDAJ	VYBER	990	16662	\N	\N	\N
449792	1529	1997-11-10	VYDAJ	VYBER	1260	19115	\N	\N	\N
449793	1529	1998-04-08	VYDAJ	VYBER	1410	26604	\N	\N	\N
449794	1529	1998-08-14	VYDAJ	VYBER	1170	26717	\N	\N	\N
449795	1529	1998-01-18	VYDAJ	VYBER	360	24914	\N	\N	\N
449796	1529	1998-04-25	VYDAJ	VYBER	150	24314	\N	\N	\N
449806	1529	1996-09-30	VYDAJ	VYBER	15	21745	SLUZBY	\N	\N
449807	1529	1996-10-31	VYDAJ	VYBER	15	18058	SLUZBY	\N	\N
449808	1529	1996-11-30	VYDAJ	VYBER	15	19639	SLUZBY	\N	\N
449809	1529	1996-12-31	VYDAJ	VYBER	15	21240	SLUZBY	\N	\N
449810	1529	1997-01-31	VYDAJ	VYBER	15	18579	SLUZBY	\N	\N
449811	1529	1997-02-28	VYDAJ	VYBER	15	17244	SLUZBY	\N	\N
449812	1529	1997-03-31	VYDAJ	VYBER	15	17705	SLUZBY	\N	\N
449813	1529	1997-04-30	VYDAJ	VYBER	15	15565	SLUZBY	\N	\N
449814	1529	1997-05-31	VYDAJ	VYBER	15	17651	SLUZBY	\N	\N
449815	1529	1997-06-30	VYDAJ	VYBER	15	18214	SLUZBY	\N	\N
449816	1529	1997-07-31	VYDAJ	VYBER	15	15774	SLUZBY	\N	\N
449817	1529	1997-08-31	VYDAJ	VYBER	15	16029	SLUZBY	\N	\N
449818	1529	1997-09-30	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
449819	1529	1997-10-31	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
449820	1529	1997-11-30	VYDAJ	VYBER	15	16620	SLUZBY	\N	\N
449821	1529	1997-12-31	VYDAJ	VYBER	15	20774	SLUZBY	\N	\N
449822	1529	1998-01-31	VYDAJ	VYBER	15	24995	SLUZBY	\N	\N
449823	1529	1998-02-28	VYDAJ	VYBER	15	23785	SLUZBY	\N	\N
449824	1529	1998-03-31	VYDAJ	VYBER	15	25174	SLUZBY	\N	\N
449825	1529	1998-04-30	VYDAJ	VYBER	15	24404	SLUZBY	\N	\N
449826	1529	1998-05-31	VYDAJ	VYBER	15	25295	SLUZBY	\N	\N
449827	1529	1998-06-30	VYDAJ	VYBER	15	26889	SLUZBY	\N	\N
449828	1529	1998-07-31	VYDAJ	VYBER	15	26587	SLUZBY	\N	\N
449829	1529	1998-08-31	VYDAJ	VYBER	15	20502	SLUZBY	\N	\N
449830	1529	1998-09-30	VYDAJ	VYBER	15	16365	SLUZBY	\N	\N
449831	1529	1998-10-31	VYDAJ	VYBER	15	13914	SLUZBY	\N	\N
449832	1529	1998-11-30	VYDAJ	VYBER	15	17968	SLUZBY	\N	\N
449833	1529	1996-05-28	PRIJEM	VKLAD	8200	12699	\N	\N	\N
449834	1529	1996-06-27	PRIJEM	VKLAD	700	17305	\N	\N	\N
449835	1529	1996-07-27	PRIJEM	VKLAD	2000	23259	\N	\N	\N
449836	1529	1996-08-26	VYDAJ	VYBER	4000	23234	\N	\N	\N
449837	1529	1996-09-25	VYDAJ	VYBER	2100	21661	\N	\N	\N
449838	1529	1996-10-25	VYDAJ	VYBER	3200	17985	\N	\N	\N
449839	1529	1996-11-24	PRIJEM	VKLAD	1900	19578	\N	\N	\N
449840	1529	1996-12-24	PRIJEM	VKLAD	1100	21169	\N	\N	\N
449841	1529	1997-01-23	VYDAJ	VYBER	1300	18510	\N	\N	\N
449842	1529	1997-02-22	VYDAJ	VYBER	2700	17179	\N	\N	\N
449843	1529	1997-03-24	VYDAJ	VYBER	900	17644	\N	\N	\N
449844	1529	1997-04-23	VYDAJ	VYBER	3500	15505	\N	\N	\N
449845	1529	1997-05-23	PRIJEM	VKLAD	1600	17595	\N	\N	\N
449846	1529	1997-06-22	VYDAJ	VYBER	800	18151	\N	\N	\N
449847	1529	1997-07-22	VYDAJ	VYBER	3800	15714	\N	\N	\N
449848	1529	1997-08-21	VYDAJ	VYBER	1100	15974	\N	\N	\N
449849	1529	1997-09-20	PRIJEM	VKLAD	800	18129	\N	\N	\N
449850	1529	1997-10-20	VYDAJ	VYBER	500	18987	\N	\N	\N
449851	1529	1997-11-19	VYDAJ	VYBER	100	16562	\N	\N	\N
449852	1529	1997-12-19	PRIJEM	VKLAD	3000	20920	\N	\N	\N
449853	1529	1998-01-18	PRIJEM	VKLAD	4700	25274	\N	\N	\N
449854	1529	1998-02-17	VYDAJ	VYBER	2600	23695	\N	\N	\N
449855	1529	1998-04-18	VYDAJ	VYBER	600	24464	\N	\N	\N
449856	1529	1998-05-18	VYDAJ	VYBER	500	25204	\N	\N	\N
449857	1529	1998-06-17	PRIJEM	VKLAD	3200	26795	\N	\N	\N
449858	1529	1998-07-17	VYDAJ	VYBER	1700	26489	\N	\N	\N
449859	1529	1998-08-16	VYDAJ	VYBER	6300	20417	\N	\N	\N
449860	1529	1998-09-15	VYDAJ	VYBER	5500	16302	\N	\N	\N
449861	1529	1998-10-15	VYDAJ	VYBER	3800	13865	\N	\N	\N
449862	1529	1998-11-14	PRIJEM	VKLAD	2700	17914	\N	\N	\N
449863	1529	1998-12-14	VYDAJ	VYBER	2000	17268	\N	\N	\N
449896	1530	1995-05-27	PRIJEM	VKLAD	900	900	\N	\N	\N
449902	1530	1995-06-13	PRIJEM	PREVOD Z UCTU	5550	6450	DUCHOD	WX	1682967
449903	1530	1995-07-13	PRIJEM	PREVOD Z UCTU	5550	12000	DUCHOD	WX	1682967
449904	1530	1995-08-13	PRIJEM	PREVOD Z UCTU	5550	17550	DUCHOD	WX	1682967
449905	1530	1995-09-13	PRIJEM	PREVOD Z UCTU	5550	23100	DUCHOD	WX	1682967
449906	1530	1995-10-13	PRIJEM	PREVOD Z UCTU	5550	28650	DUCHOD	WX	1682967
449907	1530	1995-11-13	PRIJEM	PREVOD Z UCTU	5550	30146	DUCHOD	WX	1682967
449908	1530	1995-12-13	PRIJEM	PREVOD Z UCTU	5550	29838	DUCHOD	WX	1682967
449909	1530	1996-01-13	PRIJEM	PREVOD Z UCTU	5550	31680	DUCHOD	WX	1682967
449910	1530	1996-02-13	PRIJEM	PREVOD Z UCTU	5550	30826	DUCHOD	WX	1682967
449911	1530	1996-03-13	PRIJEM	PREVOD Z UCTU	5550	28230	DUCHOD	WX	1682967
449912	1530	1996-04-13	PRIJEM	PREVOD Z UCTU	5550	30171	DUCHOD	WX	1682967
449913	1530	1996-05-13	PRIJEM	PREVOD Z UCTU	5550	32114	DUCHOD	WX	1682967
449914	1530	1996-06-13	PRIJEM	PREVOD Z UCTU	5550	29658	DUCHOD	WX	1682967
449915	1530	1996-07-13	PRIJEM	PREVOD Z UCTU	5550	28093	DUCHOD	WX	1682967
449916	1530	1996-08-13	PRIJEM	PREVOD Z UCTU	5550	28524	DUCHOD	WX	1682967
449917	1530	1996-09-13	PRIJEM	PREVOD Z UCTU	5550	26252	DUCHOD	WX	1682967
449918	1530	1996-10-13	PRIJEM	PREVOD Z UCTU	5550	20991	DUCHOD	WX	1682967
449919	1530	1996-11-13	PRIJEM	PREVOD Z UCTU	5550	22901	DUCHOD	WX	1682967
449920	1530	1996-12-13	PRIJEM	PREVOD Z UCTU	5550	18487	DUCHOD	WX	1682967
449921	1530	1997-01-13	PRIJEM	PREVOD Z UCTU	5550	20385	DUCHOD	WX	1682967
449922	1530	1997-02-13	PRIJEM	PREVOD Z UCTU	5550	21685	DUCHOD	WX	1682967
449923	1530	1997-03-13	PRIJEM	PREVOD Z UCTU	5550	21788	DUCHOD	WX	1682967
449924	1530	1997-04-13	PRIJEM	PREVOD Z UCTU	5550	21792	DUCHOD	WX	1682967
449925	1530	1997-05-13	PRIJEM	PREVOD Z UCTU	5550	19590	DUCHOD	WX	1682967
449926	1530	1997-06-13	PRIJEM	PREVOD Z UCTU	5550	17480	DUCHOD	WX	1682967
449927	1530	1997-07-13	PRIJEM	PREVOD Z UCTU	5550	17866	DUCHOD	WX	1682967
449928	1530	1997-08-13	PRIJEM	PREVOD Z UCTU	5550	17652	DUCHOD	WX	1682967
449929	1530	1997-09-13	PRIJEM	PREVOD Z UCTU	5550	19542	DUCHOD	WX	1682967
449930	1530	1997-10-13	PRIJEM	PREVOD Z UCTU	5550	13821	DUCHOD	WX	1682967
449931	1530	1997-11-13	PRIJEM	PREVOD Z UCTU	5550	15695	DUCHOD	WX	1682967
449932	1530	1997-12-13	PRIJEM	PREVOD Z UCTU	5550	17577	DUCHOD	WX	1682967
449933	1530	1998-01-13	PRIJEM	PREVOD Z UCTU	5550	18965	DUCHOD	WX	1682967
449934	1530	1998-02-13	PRIJEM	PREVOD Z UCTU	5550	20861	DUCHOD	WX	1682967
449935	1530	1998-03-13	PRIJEM	PREVOD Z UCTU	5550	22764	DUCHOD	WX	1682967
449936	1530	1998-04-13	PRIJEM	PREVOD Z UCTU	5550	24675	DUCHOD	WX	1682967
449937	1530	1998-05-13	PRIJEM	PREVOD Z UCTU	5550	26593	DUCHOD	WX	1682967
449938	1530	1998-06-13	PRIJEM	PREVOD Z UCTU	5550	19720	DUCHOD	WX	1682967
449939	1530	1998-07-13	PRIJEM	PREVOD Z UCTU	5550	21634	DUCHOD	WX	1682967
449940	1530	1998-08-13	PRIJEM	PREVOD Z UCTU	5550	21060	DUCHOD	WX	1682967
449941	1530	1998-09-13	PRIJEM	PREVOD Z UCTU	5550	21607	DUCHOD	WX	1682967
449942	1530	1998-10-13	PRIJEM	PREVOD Z UCTU	5550	21510	DUCHOD	WX	1682967
449943	1530	1998-11-13	PRIJEM	PREVOD Z UCTU	5550	23416	DUCHOD	WX	1682967
449944	1530	1998-12-13	PRIJEM	PREVOD Z UCTU	5550	22845	DUCHOD	WX	1682967
449954	1530	1995-10-14	VYDAJ	PREVOD NA UCET	3700	24950	SIPO	WX	24157417
449955	1530	1995-11-14	VYDAJ	PREVOD NA UCET	3700	26446	SIPO	WX	24157417
449956	1530	1995-12-14	VYDAJ	PREVOD NA UCET	3700	26138	SIPO	WX	24157417
449957	1530	1996-01-14	VYDAJ	PREVOD NA UCET	3700	27980	SIPO	WX	24157417
449958	1530	1996-02-14	VYDAJ	PREVOD NA UCET	3700	27126	SIPO	WX	24157417
449959	1530	1996-03-14	VYDAJ	PREVOD NA UCET	3700	24530	SIPO	WX	24157417
449960	1530	1996-04-14	VYDAJ	PREVOD NA UCET	3700	26471	SIPO	WX	24157417
449961	1530	1996-05-14	VYDAJ	PREVOD NA UCET	3700	28414	SIPO	WX	24157417
449962	1530	1996-06-14	VYDAJ	PREVOD NA UCET	3700	25958	SIPO	WX	24157417
449963	1530	1996-07-14	VYDAJ	PREVOD NA UCET	3700	24393	SIPO	WX	24157417
449964	1530	1996-08-14	VYDAJ	PREVOD NA UCET	3700	24824	SIPO	WX	24157417
449965	1530	1996-09-14	VYDAJ	PREVOD NA UCET	3700	22552	SIPO	WX	24157417
449966	1530	1996-10-14	VYDAJ	PREVOD NA UCET	3700	17291	SIPO	WX	24157417
449967	1530	1996-11-14	VYDAJ	PREVOD NA UCET	3700	19201	SIPO	WX	24157417
449968	1530	1996-12-14	VYDAJ	PREVOD NA UCET	3700	14787	SIPO	WX	24157417
449969	1530	1997-01-14	VYDAJ	PREVOD NA UCET	3700	16685	SIPO	WX	24157417
449970	1530	1997-02-14	VYDAJ	PREVOD NA UCET	3700	17985	SIPO	WX	24157417
449971	1530	1997-03-14	VYDAJ	PREVOD NA UCET	3700	18088	SIPO	WX	24157417
449972	1530	1997-04-14	VYDAJ	PREVOD NA UCET	3700	18092	SIPO	WX	24157417
449973	1530	1997-05-14	VYDAJ	PREVOD NA UCET	3700	15890	SIPO	WX	24157417
449974	1530	1997-06-14	VYDAJ	PREVOD NA UCET	3700	13780	SIPO	WX	24157417
449975	1530	1997-07-14	VYDAJ	PREVOD NA UCET	3700	14166	SIPO	WX	24157417
449976	1530	1997-08-14	VYDAJ	PREVOD NA UCET	3700	13952	SIPO	WX	24157417
449977	1530	1997-09-14	VYDAJ	PREVOD NA UCET	3700	8242	SIPO	WX	24157417
449978	1530	1997-10-14	VYDAJ	PREVOD NA UCET	3700	10121	SIPO	WX	24157417
449979	1530	1997-11-14	VYDAJ	PREVOD NA UCET	3700	11995	SIPO	WX	24157417
449980	1530	1997-12-14	VYDAJ	PREVOD NA UCET	3700	13877	SIPO	WX	24157417
449981	1530	1998-01-14	VYDAJ	PREVOD NA UCET	3700	15265	SIPO	WX	24157417
449982	1530	1998-02-14	VYDAJ	PREVOD NA UCET	3700	17161	SIPO	WX	24157417
449983	1530	1998-03-14	VYDAJ	PREVOD NA UCET	3700	19064	SIPO	WX	24157417
449984	1530	1998-04-14	VYDAJ	PREVOD NA UCET	3700	20975	SIPO	WX	24157417
449985	1530	1998-05-14	VYDAJ	PREVOD NA UCET	3700	22893	SIPO	WX	24157417
449986	1530	1998-06-14	VYDAJ	PREVOD NA UCET	3700	16020	SIPO	WX	24157417
449987	1530	1998-07-14	VYDAJ	PREVOD NA UCET	3700	17934	SIPO	WX	24157417
449988	1530	1998-08-14	VYDAJ	PREVOD NA UCET	3700	17360	SIPO	WX	24157417
449989	1530	1998-09-14	VYDAJ	PREVOD NA UCET	3700	17907	SIPO	WX	24157417
449990	1530	1998-10-14	VYDAJ	PREVOD NA UCET	3700	17810	SIPO	WX	24157417
449991	1530	1998-11-14	VYDAJ	PREVOD NA UCET	3700	19716	SIPO	WX	24157417
449992	1530	1998-12-14	VYDAJ	PREVOD NA UCET	3700	19145	SIPO	WX	24157417
449993	1530	1995-12-08	VYDAJ	VYBER	650	24288	\N	\N	\N
449994	1530	1996-12-07	VYDAJ	VYBER	700	15017	\N	\N	\N
449995	1530	1997-12-24	VYDAJ	VYBER	500	13377	\N	\N	\N
449996	1530	1998-12-25	VYDAJ	VYBER	1100	18045	\N	\N	\N
450002	1530	1995-11-10	VYDAJ	VYBER	400	24596	\N	\N	\N
450003	1530	1996-10-02	VYDAJ	VYBER	3280	15441	\N	\N	\N
450004	1530	1996-11-22	VYDAJ	VYBER	1840	15661	\N	\N	\N
450005	1530	1996-01-22	VYDAJ	VYBER	2400	25580	\N	\N	\N
450006	1530	1996-12-10	VYDAJ	VYBER	2080	12937	\N	\N	\N
450007	1530	1996-03-01	VYDAJ	VYBER	3840	22680	\N	\N	\N
450013	1530	1998-08-01	VYDAJ	VYBER	2480	15510	\N	\N	\N
450014	1530	1998-11-18	VYDAJ	VYBER	2480	17236	\N	\N	\N
450015	1530	1998-09-23	VYDAJ	VYBER	2000	15907	\N	\N	\N
450016	1530	1998-08-23	VYDAJ	VYBER	1360	16000	\N	\N	\N
450027	1530	1995-10-31	VYDAJ	VYBER	15	24996	SLUZBY	\N	\N
450028	1530	1995-11-30	VYDAJ	VYBER	15	24938	SLUZBY	\N	\N
450029	1530	1995-12-31	VYDAJ	VYBER	15	26130	SLUZBY	\N	\N
450030	1530	1996-01-31	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
450031	1530	1996-02-29	VYDAJ	VYBER	15	26520	SLUZBY	\N	\N
450032	1530	1996-03-31	VYDAJ	VYBER	15	24621	SLUZBY	\N	\N
450033	1530	1996-04-30	VYDAJ	VYBER	15	26564	SLUZBY	\N	\N
450034	1530	1996-05-31	VYDAJ	VYBER	15	24108	SLUZBY	\N	\N
450035	1530	1996-06-30	VYDAJ	VYBER	15	22543	SLUZBY	\N	\N
450036	1530	1996-07-31	VYDAJ	VYBER	15	22974	SLUZBY	\N	\N
450037	1530	1996-08-31	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
450038	1530	1996-09-30	VYDAJ	VYBER	15	18721	SLUZBY	\N	\N
450039	1530	1996-10-31	VYDAJ	VYBER	15	17351	SLUZBY	\N	\N
450040	1530	1996-11-30	VYDAJ	VYBER	15	15717	SLUZBY	\N	\N
450041	1530	1996-12-31	VYDAJ	VYBER	15	14835	SLUZBY	\N	\N
450042	1530	1997-01-31	VYDAJ	VYBER	15	16135	SLUZBY	\N	\N
450043	1530	1997-02-28	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
450044	1530	1997-03-31	VYDAJ	VYBER	15	16242	SLUZBY	\N	\N
450045	1530	1997-04-30	VYDAJ	VYBER	15	14040	SLUZBY	\N	\N
450046	1530	1997-05-31	VYDAJ	VYBER	15	11930	SLUZBY	\N	\N
450047	1530	1997-06-30	VYDAJ	VYBER	15	12316	SLUZBY	\N	\N
450048	1530	1997-07-31	VYDAJ	VYBER	15	12102	SLUZBY	\N	\N
450049	1530	1997-08-31	VYDAJ	VYBER	15	13992	SLUZBY	\N	\N
450050	1530	1997-09-30	VYDAJ	VYBER	15	8271	SLUZBY	\N	\N
450051	1530	1997-10-31	VYDAJ	VYBER	15	10145	SLUZBY	\N	\N
450052	1530	1997-11-30	VYDAJ	VYBER	15	12027	SLUZBY	\N	\N
450053	1530	1997-12-31	VYDAJ	VYBER	15	13415	SLUZBY	\N	\N
450054	1530	1998-01-31	VYDAJ	VYBER	15	15311	SLUZBY	\N	\N
450055	1530	1998-02-28	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
450056	1530	1998-03-31	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
450057	1530	1998-04-30	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
450058	1530	1998-05-31	VYDAJ	VYBER	15	22970	SLUZBY	\N	\N
450059	1530	1998-06-30	VYDAJ	VYBER	15	16084	SLUZBY	\N	\N
450060	1530	1998-07-31	VYDAJ	VYBER	15	17990	SLUZBY	\N	\N
450061	1530	1998-08-31	VYDAJ	VYBER	15	16057	SLUZBY	\N	\N
450062	1530	1998-09-30	VYDAJ	VYBER	15	15960	SLUZBY	\N	\N
450063	1530	1998-10-31	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
450064	1530	1998-11-30	VYDAJ	VYBER	15	17295	SLUZBY	\N	\N
450065	1530	1995-11-23	VYDAJ	VYBER	1600	24846	\N	\N	\N
450066	1530	1995-12-23	VYDAJ	VYBER	100	26038	\N	\N	\N
450067	1530	1996-01-22	VYDAJ	VYBER	400	25180	\N	\N	\N
450068	1530	1996-02-21	VYDAJ	VYBER	700	26426	\N	\N	\N
450069	1530	1996-05-21	VYDAJ	VYBER	4400	24014	\N	\N	\N
450070	1530	1996-06-20	VYDAJ	VYBER	3500	22458	\N	\N	\N
450071	1530	1996-07-20	VYDAJ	VYBER	1500	22893	\N	\N	\N
450072	1530	1996-08-19	VYDAJ	VYBER	4200	20624	\N	\N	\N
450073	1530	1996-09-18	VYDAJ	VYBER	3900	18652	\N	\N	\N
450074	1530	1996-11-17	VYDAJ	VYBER	1700	17501	\N	\N	\N
450075	1530	1997-01-16	VYDAJ	VYBER	600	16085	\N	\N	\N
450076	1530	1997-02-15	VYDAJ	VYBER	1800	16185	\N	\N	\N
450077	1530	1997-03-17	VYDAJ	VYBER	1900	16188	\N	\N	\N
450078	1530	1997-04-16	VYDAJ	VYBER	4100	13992	\N	\N	\N
450079	1530	1997-05-16	VYDAJ	VYBER	4000	11890	\N	\N	\N
450080	1530	1997-06-15	VYDAJ	VYBER	1500	12280	\N	\N	\N
450081	1530	1997-07-15	VYDAJ	VYBER	2100	12066	\N	\N	\N
450082	1530	1997-09-13	VYDAJ	VYBER	7600	11942	\N	\N	\N
450083	1530	1998-06-10	VYDAJ	VYBER	8800	14170	\N	\N	\N
450506	1532	1996-09-19	PRIJEM	VKLAD	700	700	\N	\N	\N
450516	1532	1996-10-07	PRIJEM	VKLAD	11916	12616	\N	\N	\N
450517	1532	1996-11-07	PRIJEM	VKLAD	11916	30565	\N	\N	\N
450518	1532	1996-12-07	PRIJEM	VKLAD	17874	49139	\N	\N	\N
450519	1532	1997-01-07	PRIJEM	VKLAD	11916	49396	\N	\N	\N
450520	1532	1997-02-07	PRIJEM	VKLAD	11916	52073	\N	\N	\N
450521	1532	1997-03-07	PRIJEM	VKLAD	11916	44038	\N	\N	\N
450522	1532	1997-04-07	PRIJEM	VKLAD	11916	40700	\N	\N	\N
450523	1532	1997-05-07	PRIJEM	VKLAD	11916	41057	\N	\N	\N
450524	1532	1997-06-07	PRIJEM	VKLAD	17874	45490	\N	\N	\N
450525	1532	1997-07-07	PRIJEM	VKLAD	11916	32309	\N	\N	\N
450526	1532	1997-08-07	PRIJEM	VKLAD	11916	38844	\N	\N	\N
450527	1532	1997-09-07	PRIJEM	VKLAD	11916	43170	\N	\N	\N
450528	1532	1997-10-07	PRIJEM	VKLAD	11916	48048	\N	\N	\N
450529	1532	1997-11-07	PRIJEM	VKLAD	11916	50058	\N	\N	\N
450530	1532	1997-12-07	PRIJEM	VKLAD	17874	57054	\N	\N	\N
450531	1532	1998-01-07	PRIJEM	VKLAD	11916	44597	\N	\N	\N
450532	1532	1998-02-07	PRIJEM	VKLAD	11916	40547	\N	\N	\N
450533	1532	1998-03-07	PRIJEM	VKLAD	11916	56342	\N	\N	\N
450534	1532	1998-04-07	PRIJEM	VKLAD	11916	58055	\N	\N	\N
450535	1532	1998-05-07	PRIJEM	VKLAD	11916	60108	\N	\N	\N
450536	1532	1998-06-07	PRIJEM	VKLAD	17874	72617	\N	\N	\N
450537	1532	1998-07-07	PRIJEM	VKLAD	11916	30463	\N	\N	\N
450538	1532	1998-08-07	PRIJEM	VKLAD	11916	48125	\N	\N	\N
450539	1532	1998-09-07	PRIJEM	VKLAD	11916	66462	\N	\N	\N
450540	1532	1998-10-07	PRIJEM	VKLAD	11916	75648	\N	\N	\N
450541	1532	1998-11-07	PRIJEM	VKLAD	11916	83769	\N	\N	\N
450542	1532	1998-12-07	PRIJEM	VKLAD	17874	97381	\N	\N	\N
450557	1532	1997-03-06	VYDAJ	PREVOD NA UCET	7903	32122	SIPO	AB	67652118
450558	1532	1997-04-06	VYDAJ	PREVOD NA UCET	7903	28784	SIPO	AB	67652118
450559	1532	1997-05-06	VYDAJ	PREVOD NA UCET	7903	29141	SIPO	AB	67652118
450560	1532	1997-06-06	VYDAJ	PREVOD NA UCET	7903	27616	SIPO	AB	67652118
450561	1532	1997-07-06	VYDAJ	PREVOD NA UCET	7903	20393	SIPO	AB	67652118
450562	1532	1997-08-06	VYDAJ	PREVOD NA UCET	7903	26928	SIPO	AB	67652118
450563	1532	1997-09-06	VYDAJ	PREVOD NA UCET	7903	31254	SIPO	AB	67652118
450564	1532	1997-10-06	VYDAJ	PREVOD NA UCET	7903	36132	SIPO	AB	67652118
450565	1532	1997-11-06	VYDAJ	PREVOD NA UCET	7903	38142	SIPO	AB	67652118
450566	1532	1997-12-06	VYDAJ	PREVOD NA UCET	7903	39180	SIPO	AB	67652118
450567	1532	1998-01-06	VYDAJ	PREVOD NA UCET	7903	32681	SIPO	AB	67652118
450568	1532	1998-02-06	VYDAJ	PREVOD NA UCET	7903	28631	SIPO	AB	67652118
450569	1532	1998-03-06	VYDAJ	PREVOD NA UCET	7903	44426	SIPO	AB	67652118
450570	1532	1998-04-06	VYDAJ	PREVOD NA UCET	7903	49859	SIPO	AB	67652118
450571	1532	1998-05-06	VYDAJ	PREVOD NA UCET	7903	48192	SIPO	AB	67652118
450572	1532	1998-06-06	VYDAJ	PREVOD NA UCET	7903	54743	SIPO	AB	67652118
450573	1532	1998-07-06	VYDAJ	PREVOD NA UCET	7903	18547	SIPO	AB	67652118
450574	1532	1998-08-06	VYDAJ	PREVOD NA UCET	7903	36209	SIPO	AB	67652118
450575	1532	1998-09-06	VYDAJ	PREVOD NA UCET	7903	54546	SIPO	AB	67652118
450576	1532	1998-10-06	VYDAJ	PREVOD NA UCET	7903	63732	SIPO	AB	67652118
450577	1532	1998-11-06	VYDAJ	PREVOD NA UCET	7903	71853	SIPO	AB	67652118
450578	1532	1998-12-06	VYDAJ	PREVOD NA UCET	7903	79507	SIPO	AB	67652118
450580	1532	1997-06-10	VYDAJ	VYBER	28800	16690	\N	\N	\N
450581	1532	1998-06-28	VYDAJ	VYBER	43520	26197	\N	\N	\N
450584	1532	1998-01-10	VYDAJ	VYBER	12160	32437	\N	\N	\N
450586	1532	1997-12-19	VYDAJ	VYBER	4480	45434	\N	\N	\N
450587	1532	1998-12-18	VYDAJ	VYBER	1280	91301	\N	\N	\N
450600	1532	1998-01-25	VYDAJ	VYBER	3000	37937	\N	\N	\N
450601	1532	1998-01-27	VYDAJ	VYBER	1560	36377	\N	\N	\N
450602	1532	1998-01-19	VYDAJ	VYBER	720	43217	\N	\N	\N
450603	1532	1998-01-04	VYDAJ	VYBER	2040	43584	\N	\N	\N
450604	1532	1998-01-20	VYDAJ	VYBER	2280	40937	\N	\N	\N
450605	1532	1998-01-06	VYDAJ	VYBER	3000	40584	\N	\N	\N
450610	1532	1997-08-31	VYDAJ	VYBER	2040	40972	\N	\N	\N
450611	1532	1997-11-17	VYDAJ	VYBER	3960	46898	\N	\N	\N
450612	1532	1997-10-14	VYDAJ	VYBER	2880	45868	\N	\N	\N
450613	1532	1997-05-14	VYDAJ	VYBER	1080	39977	\N	\N	\N
450614	1532	1997-08-31	VYDAJ	VYBER	1800	39172	\N	\N	\N
450615	1532	1997-03-13	VYDAJ	VYBER	3600	40438	\N	\N	\N
450616	1532	1997-12-15	VYDAJ	VYBER	5640	49914	\N	\N	\N
450617	1532	1998-07-08	VYDAJ	VYBER	3840	26623	\N	\N	\N
450618	1532	1998-07-26	VYDAJ	VYBER	1560	43963	\N	\N	\N
450619	1532	1998-04-14	VYDAJ	VYBER	4080	55875	\N	\N	\N
450620	1532	1998-04-06	VYDAJ	VYBER	3720	46139	\N	\N	\N
450635	1532	1997-02-28	VYDAJ	VYBER	15	40025	SLUZBY	\N	\N
450636	1532	1997-03-31	VYDAJ	VYBER	15	36687	SLUZBY	\N	\N
450637	1532	1997-04-30	VYDAJ	VYBER	15	37044	SLUZBY	\N	\N
450638	1532	1997-05-31	VYDAJ	VYBER	15	35519	SLUZBY	\N	\N
450639	1532	1997-06-30	VYDAJ	VYBER	15	28296	SLUZBY	\N	\N
450640	1532	1997-07-31	VYDAJ	VYBER	15	34831	SLUZBY	\N	\N
450641	1532	1997-08-31	VYDAJ	VYBER	15	39157	SLUZBY	\N	\N
450642	1532	1997-09-30	VYDAJ	VYBER	15	44035	SLUZBY	\N	\N
450643	1532	1997-10-31	VYDAJ	VYBER	15	46045	SLUZBY	\N	\N
450644	1532	1997-11-30	VYDAJ	VYBER	15	47083	SLUZBY	\N	\N
450645	1532	1997-12-31	VYDAJ	VYBER	15	45624	SLUZBY	\N	\N
450646	1532	1998-01-31	VYDAJ	VYBER	15	36534	SLUZBY	\N	\N
450647	1532	1998-02-28	VYDAJ	VYBER	15	52329	SLUZBY	\N	\N
450648	1532	1998-03-31	VYDAJ	VYBER	15	57762	SLUZBY	\N	\N
450649	1532	1998-04-30	VYDAJ	VYBER	15	56095	SLUZBY	\N	\N
450650	1532	1998-05-31	VYDAJ	VYBER	15	62646	SLUZBY	\N	\N
450651	1532	1998-06-30	VYDAJ	VYBER	15	26450	SLUZBY	\N	\N
450652	1532	1998-07-31	VYDAJ	VYBER	15	44112	SLUZBY	\N	\N
450653	1532	1998-08-31	VYDAJ	VYBER	15	62449	SLUZBY	\N	\N
450654	1532	1998-09-30	VYDAJ	VYBER	15	71635	SLUZBY	\N	\N
450655	1532	1998-10-31	VYDAJ	VYBER	15	79756	SLUZBY	\N	\N
450656	1532	1998-11-30	VYDAJ	VYBER	15	87410	SLUZBY	\N	\N
450657	1532	1996-10-19	PRIJEM	VKLAD	6000	18616	\N	\N	\N
450658	1532	1996-11-18	PRIJEM	VKLAD	600	31165	\N	\N	\N
450659	1532	1996-12-18	VYDAJ	VYBER	11800	37339	\N	\N	\N
450660	1532	1997-01-17	VYDAJ	VYBER	9400	39996	\N	\N	\N
450661	1532	1997-02-16	VYDAJ	VYBER	12200	39873	\N	\N	\N
450662	1532	1997-03-18	VYDAJ	VYBER	3900	36538	\N	\N	\N
450663	1532	1997-04-17	VYDAJ	VYBER	3800	36900	\N	\N	\N
450664	1532	1997-05-17	VYDAJ	VYBER	4600	35377	\N	\N	\N
450665	1532	1997-06-16	PRIJEM	VKLAD	11500	28190	\N	\N	\N
450666	1532	1997-07-16	PRIJEM	VKLAD	2400	34709	\N	\N	\N
450667	1532	1997-08-15	PRIJEM	VKLAD	4000	42844	\N	\N	\N
450668	1532	1997-09-14	PRIJEM	VKLAD	700	43870	\N	\N	\N
450669	1532	1997-10-14	PRIJEM	VKLAD	700	48748	\N	\N	\N
450670	1532	1997-11-13	PRIJEM	VKLAD	800	50858	\N	\N	\N
450671	1532	1997-12-13	VYDAJ	VYBER	1500	55554	\N	\N	\N
450672	1532	1998-01-12	PRIJEM	VKLAD	11500	43937	\N	\N	\N
450673	1532	1998-02-11	PRIJEM	VKLAD	11600	52147	\N	\N	\N
450674	1532	1998-03-13	PRIJEM	VKLAD	1200	57542	\N	\N	\N
450675	1532	1998-04-12	PRIJEM	VKLAD	1900	59955	\N	\N	\N
450676	1532	1998-05-12	PRIJEM	VKLAD	2300	62408	\N	\N	\N
450677	1532	1998-06-11	VYDAJ	VYBER	2900	69717	\N	\N	\N
450678	1532	1998-07-11	PRIJEM	VKLAD	18900	45523	\N	\N	\N
450679	1532	1998-08-10	PRIJEM	VKLAD	14100	62225	\N	\N	\N
450680	1532	1998-09-09	PRIJEM	VKLAD	4900	71362	\N	\N	\N
450681	1532	1998-10-09	PRIJEM	VKLAD	3800	79448	\N	\N	\N
450682	1532	1998-11-08	PRIJEM	VKLAD	3300	87069	\N	\N	\N
450683	1532	1998-12-08	VYDAJ	VYBER	4800	92581	\N	\N	\N
450953	1534	1993-05-24	PRIJEM	VKLAD	900	900	\N	\N	\N
450959	1534	1993-06-13	PRIJEM	VKLAD	22415	23315	\N	\N	\N
450960	1534	1993-07-13	PRIJEM	VKLAD	14943	38884	\N	\N	\N
450961	1534	1993-08-13	PRIJEM	VKLAD	14943	48939	\N	\N	\N
450962	1534	1993-09-13	PRIJEM	VKLAD	14943	52628	\N	\N	\N
450963	1534	1993-10-13	PRIJEM	VKLAD	14943	51426	\N	\N	\N
450964	1534	1993-11-13	PRIJEM	VKLAD	14943	45605	\N	\N	\N
450965	1534	1993-12-13	PRIJEM	VKLAD	22415	47862	\N	\N	\N
450966	1534	1994-01-13	PRIJEM	VKLAD	14943	40844	\N	\N	\N
450967	1534	1994-02-13	PRIJEM	VKLAD	14943	24854	\N	\N	\N
450968	1534	1994-03-13	PRIJEM	VKLAD	14943	27865	\N	\N	\N
450969	1534	1994-04-13	PRIJEM	VKLAD	14943	28949	\N	\N	\N
450970	1534	1994-05-13	PRIJEM	VKLAD	14943	31176	\N	\N	\N
450971	1534	1994-06-13	PRIJEM	VKLAD	22415	39382	\N	\N	\N
450972	1534	1994-07-13	PRIJEM	VKLAD	14943	23355	\N	\N	\N
450973	1534	1994-08-13	PRIJEM	VKLAD	14943	29766	\N	\N	\N
450974	1534	1994-09-13	PRIJEM	VKLAD	14943	34000	\N	\N	\N
450975	1534	1994-10-13	PRIJEM	VKLAD	14943	34544	\N	\N	\N
450976	1534	1994-11-13	PRIJEM	VKLAD	14943	30487	\N	\N	\N
450977	1534	1994-12-13	PRIJEM	VKLAD	22415	39389	\N	\N	\N
450978	1534	1995-01-13	PRIJEM	VKLAD	14943	22891	\N	\N	\N
450979	1534	1995-02-13	PRIJEM	VKLAD	14943	20659	\N	\N	\N
450980	1534	1995-03-13	PRIJEM	VKLAD	14943	25053	\N	\N	\N
450981	1534	1995-04-13	PRIJEM	VKLAD	14943	28265	\N	\N	\N
450982	1534	1995-05-13	PRIJEM	VKLAD	14943	28582	\N	\N	\N
450983	1534	1995-06-13	PRIJEM	VKLAD	22415	28541	\N	\N	\N
450984	1534	1995-07-13	PRIJEM	VKLAD	14943	28759	\N	\N	\N
450985	1534	1995-08-13	PRIJEM	VKLAD	14943	28690	\N	\N	\N
450986	1534	1995-09-13	PRIJEM	VKLAD	14943	30969	\N	\N	\N
450987	1534	1995-10-13	PRIJEM	VKLAD	14943	31907	\N	\N	\N
450988	1534	1995-11-13	PRIJEM	VKLAD	14943	28303	\N	\N	\N
450989	1534	1995-12-13	PRIJEM	VKLAD	22415	36308	\N	\N	\N
450990	1534	1996-01-13	PRIJEM	VKLAD	14943	23124	\N	\N	\N
450991	1534	1996-02-13	PRIJEM	VKLAD	14943	21992	\N	\N	\N
450992	1534	1996-03-13	PRIJEM	VKLAD	14943	22990	\N	\N	\N
450993	1534	1996-04-13	PRIJEM	VKLAD	14943	24821	\N	\N	\N
450994	1534	1996-05-13	PRIJEM	VKLAD	14943	25139	\N	\N	\N
450995	1534	1996-06-13	PRIJEM	VKLAD	22415	33168	\N	\N	\N
450996	1534	1996-07-13	PRIJEM	VKLAD	14943	29806	\N	\N	\N
450997	1534	1996-08-13	PRIJEM	VKLAD	14943	30451	\N	\N	\N
450998	1534	1996-09-13	PRIJEM	VKLAD	14943	35293	\N	\N	\N
450999	1534	1996-10-13	PRIJEM	VKLAD	14943	36351	\N	\N	\N
451000	1534	1996-11-13	PRIJEM	VKLAD	14943	38417	\N	\N	\N
451001	1534	1996-12-13	PRIJEM	VKLAD	22415	45802	\N	\N	\N
451002	1534	1997-01-13	PRIJEM	VKLAD	14943	32693	\N	\N	\N
451003	1534	1997-02-13	PRIJEM	VKLAD	14943	33086	\N	\N	\N
451004	1534	1997-03-13	PRIJEM	VKLAD	14943	38435	\N	\N	\N
451005	1534	1997-04-13	PRIJEM	VKLAD	14943	44105	\N	\N	\N
451006	1534	1997-05-13	PRIJEM	VKLAD	14943	44298	\N	\N	\N
451007	1534	1997-06-13	PRIJEM	VKLAD	22415	54070	\N	\N	\N
451008	1534	1997-07-13	PRIJEM	VKLAD	14943	33550	\N	\N	\N
451009	1534	1997-08-13	PRIJEM	VKLAD	14943	39977	\N	\N	\N
451010	1534	1997-09-13	PRIJEM	VKLAD	14943	45407	\N	\N	\N
451011	1534	1997-10-13	PRIJEM	VKLAD	14943	43763	\N	\N	\N
451012	1534	1997-11-13	PRIJEM	VKLAD	14943	52558	\N	\N	\N
451013	1534	1997-12-13	PRIJEM	VKLAD	22415	61057	\N	\N	\N
451014	1534	1998-01-13	PRIJEM	VKLAD	14943	50378	\N	\N	\N
451015	1534	1998-02-13	PRIJEM	VKLAD	14943	42587	\N	\N	\N
451016	1534	1998-03-13	PRIJEM	VKLAD	14943	47173	\N	\N	\N
451017	1534	1998-04-13	PRIJEM	VKLAD	14943	43354	\N	\N	\N
451018	1534	1998-05-13	PRIJEM	VKLAD	14943	41541	\N	\N	\N
451019	1534	1998-06-13	PRIJEM	VKLAD	22415	49192	\N	\N	\N
451020	1534	1998-07-13	PRIJEM	VKLAD	14943	32064	\N	\N	\N
451021	1534	1998-08-13	PRIJEM	VKLAD	14943	37607	\N	\N	\N
451022	1534	1998-09-13	PRIJEM	VKLAD	14943	42472	\N	\N	\N
451023	1534	1998-10-13	PRIJEM	VKLAD	14943	44655	\N	\N	\N
451024	1534	1998-11-13	PRIJEM	VKLAD	14943	48548	\N	\N	\N
451025	1534	1998-12-13	PRIJEM	VKLAD	22415	56286	\N	\N	\N
451036	1534	1993-11-12	VYDAJ	PREVOD NA UCET	7451	30662	SIPO	EF	3089267
451037	1534	1993-12-12	VYDAJ	PREVOD NA UCET	7451	25448	SIPO	EF	3089267
451038	1534	1994-01-12	VYDAJ	PREVOD NA UCET	7451	25901	SIPO	EF	3089267
451039	1534	1994-02-12	VYDAJ	PREVOD NA UCET	7451	9911	SIPO	EF	3089267
451040	1534	1994-03-12	VYDAJ	PREVOD NA UCET	7451	12922	SIPO	EF	3089267
451041	1534	1994-04-12	VYDAJ	PREVOD NA UCET	7451	14006	SIPO	EF	3089267
451042	1534	1994-05-12	VYDAJ	PREVOD NA UCET	7451	16233	SIPO	EF	3089267
451043	1534	1994-06-12	VYDAJ	PREVOD NA UCET	7451	16967	SIPO	EF	3089267
451044	1534	1994-07-12	VYDAJ	PREVOD NA UCET	7451	8412	SIPO	EF	3089267
451045	1534	1994-08-12	VYDAJ	PREVOD NA UCET	7451	14823	SIPO	EF	3089267
451046	1534	1994-09-12	VYDAJ	PREVOD NA UCET	7451	19057	SIPO	EF	3089267
451047	1534	1994-10-12	VYDAJ	PREVOD NA UCET	7451	19601	SIPO	EF	3089267
451048	1534	1994-11-12	VYDAJ	PREVOD NA UCET	7451	15544	SIPO	EF	3089267
451049	1534	1994-12-12	VYDAJ	PREVOD NA UCET	7451	16974	SIPO	EF	3089267
451050	1534	1995-01-12	VYDAJ	PREVOD NA UCET	7451	7948	SIPO	EF	3089267
451051	1534	1995-02-12	VYDAJ	PREVOD NA UCET	7451	5716	SIPO	EF	3089267
451052	1534	1995-03-12	VYDAJ	PREVOD NA UCET	7451	10110	SIPO	EF	3089267
451053	1534	1995-04-12	VYDAJ	PREVOD NA UCET	7451	13322	SIPO	EF	3089267
451054	1534	1995-05-12	VYDAJ	PREVOD NA UCET	7451	13639	SIPO	EF	3089267
451055	1534	1995-06-12	VYDAJ	PREVOD NA UCET	7451	6126	SIPO	EF	3089267
451056	1534	1995-07-12	VYDAJ	PREVOD NA UCET	7451	13816	SIPO	EF	3089267
451057	1534	1995-08-12	VYDAJ	PREVOD NA UCET	7451	13747	SIPO	EF	3089267
451058	1534	1995-09-12	VYDAJ	PREVOD NA UCET	7451	16026	SIPO	EF	3089267
451059	1534	1995-10-12	VYDAJ	PREVOD NA UCET	7451	16964	SIPO	EF	3089267
451060	1534	1995-11-12	VYDAJ	PREVOD NA UCET	7451	13360	SIPO	EF	3089267
451061	1534	1995-12-12	VYDAJ	PREVOD NA UCET	7451	13893	SIPO	EF	3089267
451062	1534	1996-01-12	VYDAJ	PREVOD NA UCET	7451	8181	SIPO	EF	3089267
451063	1534	1996-02-12	VYDAJ	PREVOD NA UCET	7451	7049	SIPO	EF	3089267
451064	1534	1996-03-12	VYDAJ	PREVOD NA UCET	7451	8047	SIPO	EF	3089267
451065	1534	1996-04-12	VYDAJ	PREVOD NA UCET	7451	9878	SIPO	EF	3089267
451066	1534	1996-05-12	VYDAJ	PREVOD NA UCET	7451	10196	SIPO	EF	3089267
451067	1534	1996-06-12	VYDAJ	PREVOD NA UCET	7451	10753	SIPO	EF	3089267
451068	1534	1996-07-12	VYDAJ	PREVOD NA UCET	7451	14863	SIPO	EF	3089267
451069	1534	1996-08-12	VYDAJ	PREVOD NA UCET	7451	15508	SIPO	EF	3089267
451070	1534	1996-09-12	VYDAJ	PREVOD NA UCET	7451	20350	SIPO	EF	3089267
451071	1534	1996-10-12	VYDAJ	PREVOD NA UCET	7451	21408	SIPO	EF	3089267
451072	1534	1996-11-12	VYDAJ	PREVOD NA UCET	7451	23474	SIPO	EF	3089267
451073	1534	1996-12-12	VYDAJ	PREVOD NA UCET	7451	23388	SIPO	EF	3089267
451074	1534	1997-01-12	VYDAJ	PREVOD NA UCET	7451	17750	SIPO	EF	3089267
451075	1534	1997-02-12	VYDAJ	PREVOD NA UCET	7451	18143	SIPO	EF	3089267
451076	1534	1997-03-12	VYDAJ	PREVOD NA UCET	7451	23492	SIPO	EF	3089267
451077	1534	1997-04-12	VYDAJ	PREVOD NA UCET	7451	29162	SIPO	EF	3089267
451078	1534	1997-05-12	VYDAJ	PREVOD NA UCET	7451	29355	SIPO	EF	3089267
451079	1534	1997-06-12	VYDAJ	PREVOD NA UCET	7451	31655	SIPO	EF	3089267
451080	1534	1997-07-12	VYDAJ	PREVOD NA UCET	7451	18607	SIPO	EF	3089267
451081	1534	1997-08-12	VYDAJ	PREVOD NA UCET	7451	25034	SIPO	EF	3089267
451082	1534	1997-09-12	VYDAJ	PREVOD NA UCET	7451	30464	SIPO	EF	3089267
451083	1534	1997-10-12	VYDAJ	PREVOD NA UCET	7451	28820	SIPO	EF	3089267
451084	1534	1997-11-12	VYDAJ	PREVOD NA UCET	7451	37615	SIPO	EF	3089267
451085	1534	1997-12-12	VYDAJ	PREVOD NA UCET	7451	38643	SIPO	EF	3089267
451086	1534	1998-01-12	VYDAJ	PREVOD NA UCET	7451	35435	SIPO	EF	3089267
451087	1534	1998-02-12	VYDAJ	PREVOD NA UCET	7451	27644	SIPO	EF	3089267
451088	1534	1998-03-12	VYDAJ	PREVOD NA UCET	7451	32230	SIPO	EF	3089267
451089	1534	1998-04-12	VYDAJ	PREVOD NA UCET	7451	28411	SIPO	EF	3089267
451090	1534	1998-05-12	VYDAJ	PREVOD NA UCET	7451	26598	SIPO	EF	3089267
451091	1534	1998-06-12	VYDAJ	PREVOD NA UCET	7451	26777	SIPO	EF	3089267
451092	1534	1998-07-12	VYDAJ	PREVOD NA UCET	7451	17121	SIPO	EF	3089267
451093	1534	1998-08-12	VYDAJ	PREVOD NA UCET	7451	22664	SIPO	EF	3089267
451094	1534	1998-09-12	VYDAJ	PREVOD NA UCET	7451	27529	SIPO	EF	3089267
451095	1534	1998-10-12	VYDAJ	PREVOD NA UCET	7451	29712	SIPO	EF	3089267
451096	1534	1998-11-12	VYDAJ	PREVOD NA UCET	7451	33605	SIPO	EF	3089267
451097	1534	1998-12-12	VYDAJ	PREVOD NA UCET	7451	33871	SIPO	EF	3089267
451108	1534	1993-11-09	VYDAJ	PREVOD NA UCET	2155	38113	 	ST	36498439
451109	1534	1993-12-09	VYDAJ	PREVOD NA UCET	2155	32899	 	ST	36498439
451110	1534	1994-01-09	VYDAJ	PREVOD NA UCET	2155	33352	 	ST	36498439
451111	1534	1994-02-09	VYDAJ	PREVOD NA UCET	2155	17362	 	ST	36498439
451112	1534	1994-03-09	VYDAJ	PREVOD NA UCET	2155	20373	 	ST	36498439
451113	1534	1994-04-09	VYDAJ	PREVOD NA UCET	2155	21457	 	ST	36498439
451114	1534	1994-05-09	VYDAJ	PREVOD NA UCET	2155	23684	 	ST	36498439
451115	1534	1994-06-09	VYDAJ	PREVOD NA UCET	2155	24418	 	ST	36498439
451116	1534	1994-07-09	VYDAJ	PREVOD NA UCET	2155	15863	 	ST	36498439
451117	1534	1994-08-09	VYDAJ	PREVOD NA UCET	2155	22274	 	ST	36498439
451118	1534	1994-09-09	VYDAJ	PREVOD NA UCET	2155	26508	 	ST	36498439
451119	1534	1994-10-09	VYDAJ	PREVOD NA UCET	2155	27052	 	ST	36498439
451120	1534	1994-11-09	VYDAJ	PREVOD NA UCET	2155	22995	 	ST	36498439
451121	1534	1994-12-09	VYDAJ	PREVOD NA UCET	2155	24425	 	ST	36498439
451122	1534	1995-01-09	VYDAJ	PREVOD NA UCET	2155	15399	 	ST	36498439
451123	1534	1995-02-09	VYDAJ	PREVOD NA UCET	2155	13167	 	ST	36498439
451124	1534	1995-03-09	VYDAJ	PREVOD NA UCET	2155	17561	 	ST	36498439
451125	1534	1995-04-09	VYDAJ	PREVOD NA UCET	2155	20773	 	ST	36498439
451126	1534	1995-05-09	VYDAJ	PREVOD NA UCET	2155	21090	 	ST	36498439
451127	1534	1995-06-09	VYDAJ	PREVOD NA UCET	2155	15017	 	ST	36498439
451128	1534	1995-07-09	VYDAJ	PREVOD NA UCET	2155	21267	 	ST	36498439
451129	1534	1995-08-09	VYDAJ	PREVOD NA UCET	2155	20498	 	ST	36498439
451130	1534	1995-09-09	VYDAJ	PREVOD NA UCET	2155	22177	 	ST	36498439
451131	1534	1995-10-09	VYDAJ	PREVOD NA UCET	2155	28915	 	ST	36498439
451132	1534	1995-11-09	VYDAJ	PREVOD NA UCET	2155	24211	 	ST	36498439
451133	1534	1995-12-09	VYDAJ	PREVOD NA UCET	2155	26244	 	ST	36498439
451134	1534	1996-01-09	VYDAJ	PREVOD NA UCET	2155	15632	 	ST	36498439
451135	1534	1996-02-09	VYDAJ	PREVOD NA UCET	2155	14500	 	ST	36498439
451136	1534	1996-03-09	VYDAJ	PREVOD NA UCET	2155	15498	 	ST	36498439
451137	1534	1996-04-09	VYDAJ	PREVOD NA UCET	2155	19009	 	ST	36498439
451138	1534	1996-05-09	VYDAJ	PREVOD NA UCET	2155	17647	 	ST	36498439
451139	1534	1996-06-09	VYDAJ	PREVOD NA UCET	2155	18204	 	ST	36498439
451140	1534	1996-07-09	VYDAJ	PREVOD NA UCET	2155	22314	 	ST	36498439
451141	1534	1996-08-09	VYDAJ	PREVOD NA UCET	2155	22959	 	ST	36498439
451142	1534	1996-09-09	VYDAJ	PREVOD NA UCET	2155	27801	 	ST	36498439
451143	1534	1996-10-09	VYDAJ	PREVOD NA UCET	2155	28859	 	ST	36498439
451144	1534	1996-11-09	VYDAJ	PREVOD NA UCET	2155	30925	 	ST	36498439
451145	1534	1996-12-09	VYDAJ	PREVOD NA UCET	2155	30839	 	ST	36498439
451146	1534	1997-01-09	VYDAJ	PREVOD NA UCET	2155	26161	 	ST	36498439
451147	1534	1997-02-09	VYDAJ	PREVOD NA UCET	2155	25594	 	ST	36498439
451148	1534	1997-03-09	VYDAJ	PREVOD NA UCET	2155	30943	 	ST	36498439
451149	1534	1997-04-09	VYDAJ	PREVOD NA UCET	2155	36613	 	ST	36498439
451150	1534	1997-05-09	VYDAJ	PREVOD NA UCET	2155	36806	 	ST	36498439
451151	1534	1997-06-09	VYDAJ	PREVOD NA UCET	2155	39106	 	ST	36498439
451152	1534	1997-07-09	VYDAJ	PREVOD NA UCET	2155	26058	 	ST	36498439
451153	1534	1997-08-09	VYDAJ	PREVOD NA UCET	2155	32485	 	ST	36498439
451154	1534	1997-09-09	VYDAJ	PREVOD NA UCET	2155	37915	 	ST	36498439
451155	1534	1997-10-09	VYDAJ	PREVOD NA UCET	2155	38791	 	ST	36498439
451156	1534	1997-11-09	VYDAJ	PREVOD NA UCET	2155	45066	 	ST	36498439
451157	1534	1997-12-09	VYDAJ	PREVOD NA UCET	2155	46094	 	ST	36498439
451158	1534	1998-01-09	VYDAJ	PREVOD NA UCET	2155	44086	 	ST	36498439
451159	1534	1998-02-09	VYDAJ	PREVOD NA UCET	2155	35095	 	ST	36498439
451160	1534	1998-03-09	VYDAJ	PREVOD NA UCET	2155	39681	 	ST	36498439
451161	1534	1998-04-09	VYDAJ	PREVOD NA UCET	2155	35862	 	ST	36498439
451162	1534	1998-05-09	VYDAJ	PREVOD NA UCET	2155	34049	 	ST	36498439
451163	1534	1998-06-09	VYDAJ	PREVOD NA UCET	2155	34228	 	ST	36498439
451164	1534	1998-07-09	VYDAJ	PREVOD NA UCET	2155	24572	 	ST	36498439
451165	1534	1998-08-09	VYDAJ	PREVOD NA UCET	2155	30115	 	ST	36498439
451166	1534	1998-09-09	VYDAJ	PREVOD NA UCET	2155	34980	 	ST	36498439
451167	1534	1998-10-09	VYDAJ	PREVOD NA UCET	2155	37163	 	ST	36498439
451168	1534	1998-11-09	VYDAJ	PREVOD NA UCET	2155	41056	 	ST	36498439
451169	1534	1998-12-09	VYDAJ	PREVOD NA UCET	2155	41322	 	ST	36498439
451171	1534	1994-06-23	VYDAJ	VYBER	13920	17922	\N	\N	\N
451174	1534	1997-06-24	VYDAJ	VYBER	25440	28630	\N	\N	\N
451175	1534	1998-06-29	VYDAJ	VYBER	12320	26572	\N	\N	\N
451177	1534	1994-01-13	VYDAJ	VYBER	4000	29764	\N	\N	\N
451178	1534	1995-01-01	VYDAJ	VYBER	9440	20554	\N	\N	\N
451179	1534	1996-01-06	VYDAJ	VYBER	12160	23307	\N	\N	\N
451180	1534	1997-01-08	VYDAJ	VYBER	5120	28316	\N	\N	\N
451181	1534	1998-01-19	VYDAJ	VYBER	4000	34498	\N	\N	\N
451188	1534	1994-01-13	VYDAJ	VYBER	1680	33764	\N	\N	\N
451189	1534	1994-01-23	VYDAJ	VYBER	1560	23124	\N	\N	\N
451190	1534	1994-01-23	VYDAJ	VYBER	2280	20844	\N	\N	\N
451191	1534	1994-01-21	VYDAJ	VYBER	2280	24684	\N	\N	\N
451192	1534	1994-01-02	VYDAJ	VYBER	1200	35507	\N	\N	\N
451193	1534	1994-01-26	VYDAJ	VYBER	1440	19404	\N	\N	\N
451194	1534	1995-01-27	VYDAJ	VYBER	3120	17771	\N	\N	\N
451196	1534	1995-01-26	VYDAJ	VYBER	720	20891	\N	\N	\N
451197	1534	1995-01-28	VYDAJ	VYBER	2520	15251	\N	\N	\N
451198	1534	1995-01-06	VYDAJ	VYBER	3000	17554	\N	\N	\N
451199	1534	1995-01-13	VYDAJ	VYBER	3480	19411	\N	\N	\N
451200	1534	1996-01-20	VYDAJ	VYBER	1560	18684	\N	\N	\N
451201	1534	1996-01-08	VYDAJ	VYBER	1920	21387	\N	\N	\N
451202	1534	1996-01-24	VYDAJ	VYBER	3360	13884	\N	\N	\N
451203	1534	1996-01-14	VYDAJ	VYBER	2880	20244	\N	\N	\N
451204	1534	1996-01-04	VYDAJ	VYBER	960	35467	\N	\N	\N
451205	1534	1996-01-22	VYDAJ	VYBER	1440	17244	\N	\N	\N
451206	1534	1997-01-29	VYDAJ	VYBER	1320	29933	\N	\N	\N
451207	1534	1997-01-11	VYDAJ	VYBER	960	25201	\N	\N	\N
451208	1534	1997-01-07	VYDAJ	VYBER	1080	33436	\N	\N	\N
451209	1534	1997-01-03	VYDAJ	VYBER	2640	43316	\N	\N	\N
451210	1534	1997-01-16	VYDAJ	VYBER	840	31253	\N	\N	\N
451211	1534	1997-01-16	VYDAJ	VYBER	600	32093	\N	\N	\N
451212	1534	1998-01-22	VYDAJ	VYBER	2880	31618	\N	\N	\N
451213	1534	1998-01-16	VYDAJ	VYBER	2880	43298	\N	\N	\N
451214	1534	1998-01-12	VYDAJ	VYBER	1200	42886	\N	\N	\N
451215	1534	1998-01-02	VYDAJ	VYBER	1320	48761	\N	\N	\N
451216	1534	1998-01-23	VYDAJ	VYBER	720	30898	\N	\N	\N
451217	1534	1998-01-06	VYDAJ	VYBER	2520	46241	\N	\N	\N
451223	1534	1994-06-16	VYDAJ	VYBER	4440	34942	\N	\N	\N
451224	1534	1994-03-29	VYDAJ	VYBER	2040	23525	\N	\N	\N
451225	1534	1994-01-13	VYDAJ	VYBER	5400	35444	\N	\N	\N
451226	1534	1994-10-28	VYDAJ	VYBER	4800	25044	\N	\N	\N
451227	1534	1995-01-13	VYDAJ	VYBER	4800	14611	\N	\N	\N
451228	1534	1995-06-10	VYDAJ	VYBER	1440	13577	\N	\N	\N
451229	1534	1995-10-13	VYDAJ	VYBER	5640	26267	\N	\N	\N
451230	1534	1995-05-13	VYDAJ	VYBER	4200	24382	\N	\N	\N
451231	1534	1995-05-23	VYDAJ	VYBER	3480	17102	\N	\N	\N
451232	1534	1995-08-13	VYDAJ	VYBER	4440	24250	\N	\N	\N
451234	1534	1996-04-11	VYDAJ	VYBER	1680	17329	\N	\N	\N
451235	1534	1996-12-04	VYDAJ	VYBER	1560	32994	\N	\N	\N
451236	1534	1996-05-18	VYDAJ	VYBER	2160	22979	\N	\N	\N
451237	1534	1997-06-28	VYDAJ	VYBER	2280	26350	\N	\N	\N
451238	1534	1997-10-10	VYDAJ	VYBER	2520	36271	\N	\N	\N
451239	1534	1997-09-26	VYDAJ	VYBER	4320	41087	\N	\N	\N
451240	1534	1997-07-28	VYDAJ	VYBER	720	32830	\N	\N	\N
451241	1534	1997-08-21	VYDAJ	VYBER	3240	36737	\N	\N	\N
451242	1534	1997-12-18	VYDAJ	VYBER	4680	56377	\N	\N	\N
451243	1534	1998-01-16	VYDAJ	VYBER	4800	38498	\N	\N	\N
451244	1534	1998-03-26	VYDAJ	VYBER	4320	42853	\N	\N	\N
451245	1534	1998-11-28	VYDAJ	VYBER	1440	43308	\N	\N	\N
451246	1534	1998-11-23	VYDAJ	VYBER	1680	46868	\N	\N	\N
451247	1534	1998-11-24	VYDAJ	VYBER	4320	44748	\N	\N	\N
451248	1534	1998-01-16	VYDAJ	VYBER	4200	46178	\N	\N	\N
451259	1534	1993-10-31	VYDAJ	VYBER	15	40268	SLUZBY	\N	\N
451260	1534	1993-11-30	VYDAJ	VYBER	15	35054	SLUZBY	\N	\N
451261	1534	1993-12-31	VYDAJ	VYBER	15	36707	SLUZBY	\N	\N
451262	1534	1994-01-31	VYDAJ	VYBER	15	19517	SLUZBY	\N	\N
451263	1534	1994-02-28	VYDAJ	VYBER	15	22528	SLUZBY	\N	\N
451264	1534	1994-03-31	VYDAJ	VYBER	15	23612	SLUZBY	\N	\N
451265	1534	1994-04-30	VYDAJ	VYBER	15	25839	SLUZBY	\N	\N
451266	1534	1994-05-31	VYDAJ	VYBER	15	26573	SLUZBY	\N	\N
451267	1534	1994-06-30	VYDAJ	VYBER	15	18018	SLUZBY	\N	\N
451268	1534	1994-07-31	VYDAJ	VYBER	15	24429	SLUZBY	\N	\N
451269	1534	1994-08-31	VYDAJ	VYBER	15	28663	SLUZBY	\N	\N
451270	1534	1994-09-30	VYDAJ	VYBER	15	29207	SLUZBY	\N	\N
451271	1534	1994-10-31	VYDAJ	VYBER	15	25150	SLUZBY	\N	\N
451272	1534	1994-11-30	VYDAJ	VYBER	15	26580	SLUZBY	\N	\N
451273	1534	1994-12-31	VYDAJ	VYBER	15	29994	SLUZBY	\N	\N
451274	1534	1995-01-31	VYDAJ	VYBER	15	15322	SLUZBY	\N	\N
451275	1534	1995-02-28	VYDAJ	VYBER	15	19716	SLUZBY	\N	\N
451276	1534	1995-03-31	VYDAJ	VYBER	15	22928	SLUZBY	\N	\N
451277	1534	1995-04-30	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
451278	1534	1995-05-31	VYDAJ	VYBER	15	17172	SLUZBY	\N	\N
451279	1534	1995-06-30	VYDAJ	VYBER	15	23422	SLUZBY	\N	\N
451280	1534	1995-07-31	VYDAJ	VYBER	15	22653	SLUZBY	\N	\N
451281	1534	1995-08-31	VYDAJ	VYBER	15	24332	SLUZBY	\N	\N
451282	1534	1995-09-30	VYDAJ	VYBER	15	31070	SLUZBY	\N	\N
451283	1534	1995-10-31	VYDAJ	VYBER	15	26366	SLUZBY	\N	\N
451284	1534	1995-11-30	VYDAJ	VYBER	15	28399	SLUZBY	\N	\N
451285	1534	1995-12-31	VYDAJ	VYBER	15	36427	SLUZBY	\N	\N
451286	1534	1996-01-31	VYDAJ	VYBER	15	13955	SLUZBY	\N	\N
451287	1534	1996-02-29	VYDAJ	VYBER	15	22053	SLUZBY	\N	\N
451288	1534	1996-03-31	VYDAJ	VYBER	15	23064	SLUZBY	\N	\N
451289	1534	1996-04-30	VYDAJ	VYBER	15	24902	SLUZBY	\N	\N
451290	1534	1996-05-31	VYDAJ	VYBER	15	23059	SLUZBY	\N	\N
451291	1534	1996-06-30	VYDAJ	VYBER	15	33269	SLUZBY	\N	\N
451292	1534	1996-07-31	VYDAJ	VYBER	15	29914	SLUZBY	\N	\N
451293	1534	1996-08-31	VYDAJ	VYBER	15	30556	SLUZBY	\N	\N
451294	1534	1996-09-30	VYDAJ	VYBER	15	35414	SLUZBY	\N	\N
451295	1534	1996-10-31	VYDAJ	VYBER	15	36480	SLUZBY	\N	\N
451296	1534	1996-11-30	VYDAJ	VYBER	15	38554	SLUZBY	\N	\N
451297	1534	1996-12-31	VYDAJ	VYBER	15	45956	SLUZBY	\N	\N
451298	1534	1997-01-31	VYDAJ	VYBER	15	30049	SLUZBY	\N	\N
451299	1534	1997-02-28	VYDAJ	VYBER	15	33198	SLUZBY	\N	\N
451300	1534	1997-03-31	VYDAJ	VYBER	15	38568	SLUZBY	\N	\N
451301	1534	1997-04-30	VYDAJ	VYBER	15	44261	SLUZBY	\N	\N
451302	1534	1997-05-31	VYDAJ	VYBER	15	44461	SLUZBY	\N	\N
451303	1534	1997-06-30	VYDAJ	VYBER	15	26513	SLUZBY	\N	\N
451304	1534	1997-07-31	VYDAJ	VYBER	15	32940	SLUZBY	\N	\N
451305	1534	1997-08-31	VYDAJ	VYBER	15	40070	SLUZBY	\N	\N
451306	1534	1997-09-30	VYDAJ	VYBER	15	40946	SLUZBY	\N	\N
451307	1534	1997-10-31	VYDAJ	VYBER	15	47221	SLUZBY	\N	\N
451308	1534	1997-11-30	VYDAJ	VYBER	15	48249	SLUZBY	\N	\N
451309	1534	1997-12-31	VYDAJ	VYBER	15	50081	SLUZBY	\N	\N
451310	1534	1998-01-31	VYDAJ	VYBER	15	37250	SLUZBY	\N	\N
451311	1534	1998-02-28	VYDAJ	VYBER	15	41836	SLUZBY	\N	\N
451312	1534	1998-03-31	VYDAJ	VYBER	15	38017	SLUZBY	\N	\N
451313	1534	1998-04-30	VYDAJ	VYBER	15	36204	SLUZBY	\N	\N
451314	1534	1998-05-31	VYDAJ	VYBER	15	36383	SLUZBY	\N	\N
451315	1534	1998-06-30	VYDAJ	VYBER	15	26727	SLUZBY	\N	\N
451316	1534	1998-07-31	VYDAJ	VYBER	15	32270	SLUZBY	\N	\N
451317	1534	1998-08-31	VYDAJ	VYBER	15	37135	SLUZBY	\N	\N
451318	1534	1998-09-30	VYDAJ	VYBER	15	39318	SLUZBY	\N	\N
451319	1534	1998-10-31	VYDAJ	VYBER	15	43211	SLUZBY	\N	\N
451320	1534	1998-11-30	VYDAJ	VYBER	15	43477	SLUZBY	\N	\N
451321	1534	1993-06-23	PRIJEM	VKLAD	600	23915	\N	\N	\N
451322	1534	1993-07-23	VYDAJ	VYBER	5000	33884	\N	\N	\N
451323	1534	1993-08-22	VYDAJ	VYBER	11400	37539	\N	\N	\N
451324	1534	1993-09-21	VYDAJ	VYBER	16300	36328	\N	\N	\N
451325	1534	1993-10-21	VYDAJ	VYBER	11300	40126	\N	\N	\N
451326	1534	1993-11-20	VYDAJ	VYBER	10700	34905	\N	\N	\N
451327	1534	1993-12-20	VYDAJ	VYBER	11300	36562	\N	\N	\N
451328	1534	1994-01-19	VYDAJ	VYBER	2800	26964	\N	\N	\N
451329	1534	1994-02-18	VYDAJ	VYBER	2400	22454	\N	\N	\N
451330	1534	1994-03-20	VYDAJ	VYBER	2300	25565	\N	\N	\N
451331	1534	1994-04-19	VYDAJ	VYBER	3200	25749	\N	\N	\N
451332	1534	1994-05-19	VYDAJ	VYBER	4700	26476	\N	\N	\N
451333	1534	1994-06-18	VYDAJ	VYBER	3100	31842	\N	\N	\N
451334	1534	1994-07-18	PRIJEM	VKLAD	1000	24355	\N	\N	\N
451335	1534	1994-08-17	VYDAJ	VYBER	1200	28566	\N	\N	\N
451336	1534	1994-09-16	VYDAJ	VYBER	4900	29100	\N	\N	\N
451337	1534	1994-10-16	VYDAJ	VYBER	4700	29844	\N	\N	\N
451338	1534	1994-11-15	VYDAJ	VYBER	4000	26487	\N	\N	\N
451339	1534	1994-12-15	VYDAJ	VYBER	9500	29889	\N	\N	\N
451340	1534	1995-01-14	PRIJEM	VKLAD	7000	21611	\N	\N	\N
451341	1534	1995-02-13	VYDAJ	VYBER	1000	19659	\N	\N	\N
451342	1534	1995-03-15	VYDAJ	VYBER	2200	22853	\N	\N	\N
451343	1534	1995-04-14	VYDAJ	VYBER	5100	23165	\N	\N	\N
451344	1534	1995-05-14	VYDAJ	VYBER	3800	20582	\N	\N	\N
451345	1534	1995-06-13	VYDAJ	VYBER	5200	23341	\N	\N	\N
451346	1534	1995-07-13	VYDAJ	VYBER	6200	22559	\N	\N	\N
451347	1534	1995-08-12	PRIJEM	VKLAD	700	21198	\N	\N	\N
451348	1534	1995-09-11	PRIJEM	VKLAD	1300	23477	\N	\N	\N
451349	1534	1995-10-11	VYDAJ	VYBER	4500	24415	\N	\N	\N
451350	1534	1995-11-10	VYDAJ	VYBER	3400	20811	\N	\N	\N
451351	1534	1995-12-10	VYDAJ	VYBER	4900	21344	\N	\N	\N
451352	1534	1996-01-09	VYDAJ	VYBER	3600	17787	\N	\N	\N
451353	1534	1996-02-08	PRIJEM	VKLAD	2700	16655	\N	\N	\N
451354	1534	1996-03-09	VYDAJ	VYBER	4400	17653	\N	\N	\N
451355	1534	1996-04-08	VYDAJ	VYBER	1900	21164	\N	\N	\N
451356	1534	1996-05-08	VYDAJ	VYBER	5100	19802	\N	\N	\N
451357	1534	1996-06-07	VYDAJ	VYBER	2700	20359	\N	\N	\N
451358	1534	1996-07-07	VYDAJ	VYBER	8800	24469	\N	\N	\N
451359	1534	1996-08-06	VYDAJ	VYBER	4800	25114	\N	\N	\N
451360	1534	1996-09-05	VYDAJ	VYBER	600	29956	\N	\N	\N
451361	1534	1996-10-05	VYDAJ	VYBER	4400	31014	\N	\N	\N
451362	1534	1996-11-04	VYDAJ	VYBER	3400	33080	\N	\N	\N
451363	1534	1996-12-04	VYDAJ	VYBER	4000	34554	\N	\N	\N
451364	1534	1997-01-03	VYDAJ	VYBER	8800	34516	\N	\N	\N
451365	1534	1997-02-02	VYDAJ	VYBER	2300	27749	\N	\N	\N
451366	1534	1997-03-04	VYDAJ	VYBER	100	33098	\N	\N	\N
451367	1534	1997-04-03	PRIJEM	VKLAD	200	38768	\N	\N	\N
451368	1534	1997-05-03	VYDAJ	VYBER	5300	38961	\N	\N	\N
451369	1534	1997-06-02	VYDAJ	VYBER	3200	41261	\N	\N	\N
451370	1534	1997-07-02	PRIJEM	VKLAD	1700	28213	\N	\N	\N
451371	1534	1997-08-01	PRIJEM	VKLAD	1700	34640	\N	\N	\N
451372	1534	1997-08-31	PRIJEM	VKLAD	3200	39937	\N	\N	\N
451373	1534	1997-09-30	VYDAJ	VYBER	300	40960	\N	\N	\N
451374	1534	1997-10-30	PRIJEM	VKLAD	3300	47063	\N	\N	\N
451375	1534	1997-11-29	VYDAJ	VYBER	4500	48058	\N	\N	\N
451376	1534	1997-12-29	VYDAJ	VYBER	6500	49877	\N	\N	\N
451377	1534	1998-01-28	PRIJEM	VKLAD	6200	37098	\N	\N	\N
451378	1534	1998-02-27	VYDAJ	VYBER	900	41687	\N	\N	\N
451379	1534	1998-03-29	VYDAJ	VYBER	5000	37853	\N	\N	\N
451380	1534	1998-04-28	VYDAJ	VYBER	7300	36054	\N	\N	\N
451381	1534	1998-05-28	VYDAJ	VYBER	5300	36241	\N	\N	\N
451382	1534	1998-06-27	VYDAJ	VYBER	10300	38892	\N	\N	\N
451383	1534	1998-07-27	PRIJEM	VKLAD	100	32164	\N	\N	\N
451384	1534	1998-08-26	VYDAJ	VYBER	600	37007	\N	\N	\N
451385	1534	1998-09-25	VYDAJ	VYBER	3300	39172	\N	\N	\N
451386	1534	1998-10-25	VYDAJ	VYBER	1600	43055	\N	\N	\N
451387	1534	1998-11-24	PRIJEM	VKLAD	2200	49068	\N	\N	\N
451455	1535	1993-03-20	PRIJEM	VKLAD	200	200	\N	\N	\N
451459	1535	1993-04-12	PRIJEM	VKLAD	4136	4336	\N	\N	\N
451460	1535	1993-05-12	PRIJEM	VKLAD	4136	15992	\N	\N	\N
451461	1535	1993-06-12	PRIJEM	VKLAD	6204	25959	\N	\N	\N
451462	1535	1993-07-12	PRIJEM	VKLAD	4136	30789	\N	\N	\N
451463	1535	1993-08-12	PRIJEM	VKLAD	4136	32840	\N	\N	\N
451464	1535	1993-09-12	PRIJEM	VKLAD	4136	25577	\N	\N	\N
451465	1535	1993-10-12	PRIJEM	VKLAD	4136	21743	\N	\N	\N
451466	1535	1993-11-12	PRIJEM	VKLAD	4136	24602	\N	\N	\N
451467	1535	1993-12-12	PRIJEM	VKLAD	6204	29037	\N	\N	\N
451468	1535	1994-01-12	PRIJEM	VKLAD	4136	17905	\N	\N	\N
451469	1535	1994-02-12	PRIJEM	VKLAD	4136	14684	\N	\N	\N
451470	1535	1994-03-12	PRIJEM	VKLAD	4136	15740	\N	\N	\N
451471	1535	1994-04-12	PRIJEM	VKLAD	4136	20580	\N	\N	\N
451472	1535	1994-05-12	PRIJEM	VKLAD	4136	22228	\N	\N	\N
451473	1535	1994-06-12	PRIJEM	VKLAD	6204	28658	\N	\N	\N
451474	1535	1994-07-12	PRIJEM	VKLAD	4136	21030	\N	\N	\N
451475	1535	1994-08-12	PRIJEM	VKLAD	4136	27090	\N	\N	\N
451476	1535	1994-09-12	PRIJEM	VKLAD	4136	27024	\N	\N	\N
451477	1535	1994-10-12	PRIJEM	VKLAD	4136	30799	\N	\N	\N
451478	1535	1994-11-12	PRIJEM	VKLAD	4136	29439	\N	\N	\N
451479	1535	1994-12-12	PRIJEM	VKLAD	6204	33067	\N	\N	\N
451480	1535	1995-01-12	PRIJEM	VKLAD	4136	28461	\N	\N	\N
451481	1535	1995-02-12	PRIJEM	VKLAD	4136	28417	\N	\N	\N
451482	1535	1995-03-12	PRIJEM	VKLAD	4136	31692	\N	\N	\N
451483	1535	1995-04-12	PRIJEM	VKLAD	4136	34021	\N	\N	\N
451484	1535	1995-05-12	PRIJEM	VKLAD	4136	35018	\N	\N	\N
451485	1535	1995-06-12	PRIJEM	VKLAD	6204	37153	\N	\N	\N
451486	1535	1995-07-12	PRIJEM	VKLAD	4136	38666	\N	\N	\N
451487	1535	1995-08-12	PRIJEM	VKLAD	4136	35163	\N	\N	\N
451488	1535	1995-09-12	PRIJEM	VKLAD	4136	37670	\N	\N	\N
451489	1535	1995-10-12	PRIJEM	VKLAD	4136	36177	\N	\N	\N
451490	1535	1995-11-12	PRIJEM	VKLAD	4136	43486	\N	\N	\N
451491	1535	1995-12-12	PRIJEM	VKLAD	6204	47790	\N	\N	\N
451492	1535	1996-01-12	PRIJEM	VKLAD	4136	35461	\N	\N	\N
451493	1535	1996-02-12	PRIJEM	VKLAD	4136	33437	\N	\N	\N
451494	1535	1996-03-12	PRIJEM	VKLAD	4136	42621	\N	\N	\N
451495	1535	1996-04-12	PRIJEM	VKLAD	4136	49851	\N	\N	\N
451496	1535	1996-05-12	PRIJEM	VKLAD	4136	50013	\N	\N	\N
451497	1535	1996-06-12	PRIJEM	VKLAD	6204	54350	\N	\N	\N
451498	1535	1996-07-12	PRIJEM	VKLAD	4136	52647	\N	\N	\N
451499	1535	1996-08-12	PRIJEM	VKLAD	4136	49651	\N	\N	\N
451500	1535	1996-09-12	PRIJEM	VKLAD	4136	49695	\N	\N	\N
451501	1535	1996-10-12	PRIJEM	VKLAD	4136	51063	\N	\N	\N
451502	1535	1996-11-12	PRIJEM	VKLAD	4136	51736	\N	\N	\N
451503	1535	1996-12-12	PRIJEM	VKLAD	6204	51660	\N	\N	\N
451504	1535	1997-01-12	PRIJEM	VKLAD	4136	45154	\N	\N	\N
451505	1535	1997-02-12	PRIJEM	VKLAD	4136	48107	\N	\N	\N
451506	1535	1997-03-12	PRIJEM	VKLAD	4136	50067	\N	\N	\N
451507	1535	1997-04-12	PRIJEM	VKLAD	4136	53537	\N	\N	\N
451508	1535	1997-05-12	PRIJEM	VKLAD	4136	58021	\N	\N	\N
451509	1535	1997-06-12	PRIJEM	VKLAD	6204	49164	\N	\N	\N
451510	1535	1997-07-12	PRIJEM	VKLAD	4136	58140	\N	\N	\N
451511	1535	1997-08-12	PRIJEM	VKLAD	4136	63742	\N	\N	\N
451512	1535	1997-09-12	PRIJEM	VKLAD	4136	64767	\N	\N	\N
451513	1535	1997-10-12	PRIJEM	VKLAD	4136	65259	\N	\N	\N
451514	1535	1997-11-12	PRIJEM	VKLAD	4136	69697	\N	\N	\N
451515	1535	1997-12-12	PRIJEM	VKLAD	6204	77219	\N	\N	\N
451516	1535	1998-01-12	PRIJEM	VKLAD	4136	74095	\N	\N	\N
451517	1535	1998-02-12	PRIJEM	VKLAD	4136	55431	\N	\N	\N
451518	1535	1998-03-12	PRIJEM	VKLAD	4136	65229	\N	\N	\N
451519	1535	1998-04-12	PRIJEM	VKLAD	4136	64061	\N	\N	\N
451520	1535	1998-05-12	PRIJEM	VKLAD	4136	64386	\N	\N	\N
451521	1535	1998-06-12	PRIJEM	VKLAD	6204	55603	\N	\N	\N
451522	1535	1998-07-12	PRIJEM	VKLAD	4136	53866	\N	\N	\N
451523	1535	1998-08-12	PRIJEM	VKLAD	4136	61462	\N	\N	\N
451524	1535	1998-09-12	PRIJEM	VKLAD	4136	59166	\N	\N	\N
451525	1535	1998-10-12	PRIJEM	VKLAD	4136	60169	\N	\N	\N
451526	1535	1998-11-12	PRIJEM	VKLAD	4136	61576	\N	\N	\N
451527	1535	1998-12-12	PRIJEM	VKLAD	6204	57794	\N	\N	\N
451536	1535	1993-09-08	VYDAJ	PREVOD NA UCET	2757	21441	SIPO	UV	60955130
451537	1535	1993-10-08	VYDAJ	PREVOD NA UCET	2757	17607	SIPO	UV	60955130
451538	1535	1993-11-08	VYDAJ	PREVOD NA UCET	2757	20466	SIPO	UV	60955130
451539	1535	1993-12-08	VYDAJ	PREVOD NA UCET	2757	22833	SIPO	UV	60955130
451540	1535	1994-01-08	VYDAJ	PREVOD NA UCET	2757	17249	SIPO	UV	60955130
451541	1535	1994-02-08	VYDAJ	PREVOD NA UCET	2757	10548	SIPO	UV	60955130
451542	1535	1994-03-08	VYDAJ	PREVOD NA UCET	2757	11604	SIPO	UV	60955130
451543	1535	1994-04-08	VYDAJ	PREVOD NA UCET	2757	16444	SIPO	UV	60955130
451544	1535	1994-05-08	VYDAJ	PREVOD NA UCET	2757	18092	SIPO	UV	60955130
451545	1535	1994-06-08	VYDAJ	PREVOD NA UCET	2757	22454	SIPO	UV	60955130
451546	1535	1994-07-08	VYDAJ	PREVOD NA UCET	2757	16894	SIPO	UV	60955130
451547	1535	1994-08-08	VYDAJ	PREVOD NA UCET	2757	22254	SIPO	UV	60955130
451548	1535	1994-09-08	VYDAJ	PREVOD NA UCET	2757	24428	SIPO	UV	60955130
451549	1535	1994-10-08	VYDAJ	PREVOD NA UCET	2757	24363	SIPO	UV	60955130
451550	1535	1994-11-08	VYDAJ	PREVOD NA UCET	2757	22503	SIPO	UV	60955130
451551	1535	1994-12-08	VYDAJ	PREVOD NA UCET	2757	22463	SIPO	UV	60955130
451552	1535	1995-01-08	VYDAJ	PREVOD NA UCET	2757	19025	SIPO	UV	60955130
451553	1535	1995-02-08	VYDAJ	PREVOD NA UCET	2757	24281	SIPO	UV	60955130
451554	1535	1995-03-08	VYDAJ	PREVOD NA UCET	2757	25756	SIPO	UV	60955130
451555	1535	1995-04-08	VYDAJ	PREVOD NA UCET	2757	25085	SIPO	UV	60955130
451556	1535	1995-05-08	VYDAJ	PREVOD NA UCET	2757	31382	SIPO	UV	60955130
451557	1535	1995-06-08	VYDAJ	PREVOD NA UCET	2757	30949	SIPO	UV	60955130
451558	1535	1995-07-08	VYDAJ	PREVOD NA UCET	2757	34530	SIPO	UV	60955130
451559	1535	1995-08-08	VYDAJ	PREVOD NA UCET	2757	31027	SIPO	UV	60955130
451560	1535	1995-09-08	VYDAJ	PREVOD NA UCET	2757	33534	SIPO	UV	60955130
451561	1535	1995-10-08	VYDAJ	PREVOD NA UCET	2757	32041	SIPO	UV	60955130
451562	1535	1995-11-08	VYDAJ	PREVOD NA UCET	2757	39350	SIPO	UV	60955130
451563	1535	1995-12-08	VYDAJ	PREVOD NA UCET	2757	41586	SIPO	UV	60955130
451564	1535	1996-01-08	VYDAJ	PREVOD NA UCET	2757	41645	SIPO	UV	60955130
451565	1535	1996-02-08	VYDAJ	PREVOD NA UCET	2757	29301	SIPO	UV	60955130
451566	1535	1996-03-08	VYDAJ	PREVOD NA UCET	2757	38485	SIPO	UV	60955130
451567	1535	1996-04-08	VYDAJ	PREVOD NA UCET	2757	45715	SIPO	UV	60955130
451568	1535	1996-05-08	VYDAJ	PREVOD NA UCET	2757	45877	SIPO	UV	60955130
451569	1535	1996-06-08	VYDAJ	PREVOD NA UCET	2757	48146	SIPO	UV	60955130
451570	1535	1996-07-08	VYDAJ	PREVOD NA UCET	2757	48511	SIPO	UV	60955130
451571	1535	1996-08-08	VYDAJ	PREVOD NA UCET	2757	45515	SIPO	UV	60955130
451572	1535	1996-09-08	VYDAJ	PREVOD NA UCET	2757	45559	SIPO	UV	60955130
451573	1535	1996-10-08	VYDAJ	PREVOD NA UCET	2757	46927	SIPO	UV	60955130
451574	1535	1996-11-08	VYDAJ	PREVOD NA UCET	2757	47600	SIPO	UV	60955130
451575	1535	1996-12-08	VYDAJ	PREVOD NA UCET	2757	45456	SIPO	UV	60955130
451576	1535	1997-01-08	VYDAJ	PREVOD NA UCET	2757	43018	SIPO	UV	60955130
451577	1535	1997-02-08	VYDAJ	PREVOD NA UCET	2757	43971	SIPO	UV	60955130
451578	1535	1997-03-08	VYDAJ	PREVOD NA UCET	2757	45931	SIPO	UV	60955130
451579	1535	1997-04-08	VYDAJ	PREVOD NA UCET	2757	49401	SIPO	UV	60955130
451580	1535	1997-05-08	VYDAJ	PREVOD NA UCET	2757	53885	SIPO	UV	60955130
451581	1535	1997-06-08	VYDAJ	PREVOD NA UCET	2757	42960	SIPO	UV	60955130
451582	1535	1997-07-08	VYDAJ	PREVOD NA UCET	2757	54004	SIPO	UV	60955130
451583	1535	1997-08-08	VYDAJ	PREVOD NA UCET	2757	59606	SIPO	UV	60955130
451584	1535	1997-09-08	VYDAJ	PREVOD NA UCET	2757	60631	SIPO	UV	60955130
451585	1535	1997-10-08	VYDAJ	PREVOD NA UCET	2757	66163	SIPO	UV	60955130
451586	1535	1997-11-08	VYDAJ	PREVOD NA UCET	2757	65561	SIPO	UV	60955130
451587	1535	1997-12-08	VYDAJ	PREVOD NA UCET	2757	71015	SIPO	UV	60955130
451588	1535	1998-01-08	VYDAJ	PREVOD NA UCET	2757	70559	SIPO	UV	60955130
451589	1535	1998-02-08	VYDAJ	PREVOD NA UCET	2757	51295	SIPO	UV	60955130
451590	1535	1998-03-08	VYDAJ	PREVOD NA UCET	2757	61093	SIPO	UV	60955130
451591	1535	1998-04-08	VYDAJ	PREVOD NA UCET	2757	59925	SIPO	UV	60955130
451592	1535	1998-05-08	VYDAJ	PREVOD NA UCET	2757	60250	SIPO	UV	60955130
451593	1535	1998-06-08	VYDAJ	PREVOD NA UCET	2757	49399	SIPO	UV	60955130
451594	1535	1998-07-08	VYDAJ	PREVOD NA UCET	2757	49730	SIPO	UV	60955130
451595	1535	1998-08-08	VYDAJ	PREVOD NA UCET	2757	57326	SIPO	UV	60955130
451596	1535	1998-09-08	VYDAJ	PREVOD NA UCET	2757	55030	SIPO	UV	60955130
451597	1535	1998-10-08	VYDAJ	PREVOD NA UCET	2757	56033	SIPO	UV	60955130
451598	1535	1998-11-08	VYDAJ	PREVOD NA UCET	2757	57440	SIPO	UV	60955130
451599	1535	1998-12-08	VYDAJ	PREVOD NA UCET	2757	51590	SIPO	UV	60955130
451601	1535	1994-06-25	VYDAJ	VYBER	4800	23758	\N	\N	\N
451603	1535	1996-06-24	VYDAJ	VYBER	4800	49550	\N	\N	\N
451604	1535	1997-06-03	VYDAJ	VYBER	12480	45717	\N	\N	\N
451605	1535	1998-06-08	VYDAJ	VYBER	14080	52156	\N	\N	\N
451608	1535	1995-01-03	VYDAJ	VYBER	7200	21782	\N	\N	\N
451609	1535	1996-01-13	VYDAJ	VYBER	12640	22821	\N	\N	\N
451610	1535	1997-01-03	VYDAJ	VYBER	7680	46775	\N	\N	\N
451611	1535	1998-01-30	VYDAJ	VYBER	11520	53775	\N	\N	\N
451612	1535	1993-12-20	VYDAJ	VYBER	2720	22917	\N	\N	\N
451613	1535	1994-12-07	VYDAJ	VYBER	4320	25220	\N	\N	\N
451614	1535	1995-12-20	VYDAJ	VYBER	2560	45230	\N	\N	\N
451615	1535	1996-12-01	VYDAJ	VYBER	1920	48213	\N	\N	\N
451616	1535	1997-12-28	VYDAJ	VYBER KARTOU	2600	74419	\N	\N	0
451617	1535	1998-12-04	VYDAJ	VYBER	4320	54347	\N	\N	\N
451624	1535	1994-01-08	VYDAJ	VYBER	3000	20006	\N	\N	\N
451625	1535	1994-01-20	VYDAJ	VYBER	720	16485	\N	\N	\N
451626	1535	1994-01-18	VYDAJ	VYBER	1800	17205	\N	\N	\N
451627	1535	1994-01-27	VYDAJ	VYBER	3240	13245	\N	\N	\N
451630	1535	1995-01-23	VYDAJ	VYBER	840	24741	\N	\N	\N
451631	1535	1995-01-30	VYDAJ	VYBER	1200	23541	\N	\N	\N
451632	1535	1995-01-18	VYDAJ	VYBER	720	27741	\N	\N	\N
451633	1535	1995-01-01	VYDAJ	VYBER	3000	30182	\N	\N	\N
451634	1535	1995-01-21	VYDAJ	VYBER	2160	25581	\N	\N	\N
451635	1535	1995-01-03	VYDAJ	VYBER	1200	28982	\N	\N	\N
451636	1535	1996-01-17	VYDAJ	VYBER	2880	19941	\N	\N	\N
451637	1535	1996-01-09	VYDAJ	VYBER	3360	38285	\N	\N	\N
451638	1535	1996-01-06	VYDAJ	VYBER	1440	45362	\N	\N	\N
451639	1535	1996-01-18	VYDAJ	VYBER	3480	16461	\N	\N	\N
451640	1535	1996-01-11	VYDAJ	VYBER	2040	31325	\N	\N	\N
451641	1535	1996-01-08	VYDAJ	VYBER	960	44402	\N	\N	\N
451642	1535	1997-01-27	VYDAJ	VYBER KARTOU	1400	41354	\N	\N	0
451643	1535	1997-01-08	VYDAJ	VYBER KARTOU	700	42318	\N	\N	0
451644	1535	1997-01-10	VYDAJ	VYBER KARTOU	1300	41018	\N	\N	0
451645	1535	1997-01-04	VYDAJ	VYBER KARTOU	1000	45775	\N	\N	0
451646	1535	1997-01-24	VYDAJ	VYBER KARTOU	1800	43354	\N	\N	0
451647	1535	1997-01-26	VYDAJ	VYBER KARTOU	600	42754	\N	\N	0
451648	1535	1998-01-07	VYDAJ	VYBER KARTOU	1400	73316	\N	\N	0
451649	1535	1998-01-10	VYDAJ	VYBER KARTOU	600	69959	\N	\N	0
451650	1535	1998-01-20	VYDAJ	VYBER KARTOU	3200	70295	\N	\N	0
451651	1535	1998-01-19	VYDAJ	VYBER KARTOU	600	73495	\N	\N	0
451652	1535	1998-01-29	VYDAJ	VYBER KARTOU	1900	65295	\N	\N	0
451653	1535	1998-01-29	VYDAJ	VYBER KARTOU	2200	67195	\N	\N	0
451654	1535	1993-10-06	VYDAJ	VYBER	4200	20364	\N	\N	\N
451656	1535	1993-08-23	VYDAJ	VYBER	3240	24100	\N	\N	\N
451657	1535	1994-02-21	VYDAJ	VYBER	1200	19584	\N	\N	\N
451658	1535	1994-01-08	VYDAJ	VYBER	3480	13769	\N	\N	\N
451659	1535	1994-03-04	VYDAJ	VYBER	5280	14361	\N	\N	\N
451660	1535	1994-09-09	VYDAJ	VYBER	2040	22388	\N	\N	\N
451661	1535	1994-10-22	VYDAJ	VYBER	5640	25159	\N	\N	\N
451662	1535	1994-06-28	VYDAJ	VYBER	4200	19558	\N	\N	\N
451663	1535	1995-03-28	VYDAJ	VYBER	3960	27732	\N	\N	\N
451664	1535	1995-07-15	VYDAJ	VYBER	1320	37346	\N	\N	\N
451665	1535	1995-07-24	VYDAJ	VYBER	3000	34346	\N	\N	\N
451666	1535	1995-09-19	VYDAJ	VYBER	5400	32270	\N	\N	\N
451667	1535	1995-06-03	VYDAJ	VYBER	3240	31906	\N	\N	\N
451668	1535	1996-01-10	VYDAJ	VYBER	4920	33365	\N	\N	\N
451669	1535	1996-08-28	VYDAJ	VYBER	2520	47131	\N	\N	\N
451670	1535	1996-06-28	VYDAJ	VYBER	2280	47270	\N	\N	\N
451671	1535	1996-07-17	VYDAJ	VYBER	5760	46887	\N	\N	\N
451672	1535	1997-10-09	VYDAJ	VYBER	5040	61123	\N	\N	\N
451673	1535	1997-05-19	VYDAJ	VYBER	4440	53581	\N	\N	\N
451674	1535	1997-05-23	VYDAJ	VYBER KARTOU	2000	51581	\N	\N	0
451675	1535	1997-07-20	VYDAJ	VYBER KARTOU	3000	55140	\N	\N	0
451676	1535	1998-04-06	VYDAJ	VYBER KARTOU	3800	62682	\N	\N	0
451677	1535	1998-08-15	VYDAJ	VYBER	4800	56662	\N	\N	\N
451678	1535	1998-06-30	VYDAJ	VYBER KARTOU	3700	52487	\N	\N	0
451679	1535	1998-06-27	VYDAJ	VYBER	4440	55963	\N	\N	\N
451680	1535	1998-11-21	VYDAJ	VYBER	5640	58436	\N	\N	\N
451689	1535	1993-08-31	VYDAJ	VYBER	15	24198	SLUZBY	\N	\N
451690	1535	1993-09-30	VYDAJ	VYBER	15	24564	SLUZBY	\N	\N
451691	1535	1993-10-31	VYDAJ	VYBER	15	23223	SLUZBY	\N	\N
451692	1535	1993-11-30	VYDAJ	VYBER	15	25590	SLUZBY	\N	\N
451693	1535	1993-12-31	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
451694	1535	1994-01-31	VYDAJ	VYBER	15	13305	SLUZBY	\N	\N
451695	1535	1994-02-28	VYDAJ	VYBER	15	19641	SLUZBY	\N	\N
451696	1535	1994-03-31	VYDAJ	VYBER	15	19201	SLUZBY	\N	\N
451697	1535	1994-04-30	VYDAJ	VYBER	15	20849	SLUZBY	\N	\N
451698	1535	1994-05-31	VYDAJ	VYBER	15	25211	SLUZBY	\N	\N
451699	1535	1994-06-30	VYDAJ	VYBER	15	19651	SLUZBY	\N	\N
451700	1535	1994-07-31	VYDAJ	VYBER	15	25011	SLUZBY	\N	\N
451701	1535	1994-08-31	VYDAJ	VYBER	15	27185	SLUZBY	\N	\N
451702	1535	1994-09-30	VYDAJ	VYBER	15	27120	SLUZBY	\N	\N
451703	1535	1994-10-31	VYDAJ	VYBER	15	25260	SLUZBY	\N	\N
451704	1535	1994-11-30	VYDAJ	VYBER	15	29540	SLUZBY	\N	\N
451705	1535	1994-12-31	VYDAJ	VYBER	15	33182	SLUZBY	\N	\N
451706	1535	1995-01-31	VYDAJ	VYBER	15	23638	SLUZBY	\N	\N
451707	1535	1995-02-28	VYDAJ	VYBER	15	28513	SLUZBY	\N	\N
451708	1535	1995-03-31	VYDAJ	VYBER	15	27842	SLUZBY	\N	\N
451709	1535	1995-04-30	VYDAJ	VYBER	15	34139	SLUZBY	\N	\N
451710	1535	1995-05-31	VYDAJ	VYBER	15	35146	SLUZBY	\N	\N
451711	1535	1995-06-30	VYDAJ	VYBER	15	37287	SLUZBY	\N	\N
451712	1535	1995-07-31	VYDAJ	VYBER	15	34484	SLUZBY	\N	\N
451713	1535	1995-08-31	VYDAJ	VYBER	15	35291	SLUZBY	\N	\N
451714	1535	1995-09-30	VYDAJ	VYBER	15	32398	SLUZBY	\N	\N
451715	1535	1995-10-31	VYDAJ	VYBER	15	36307	SLUZBY	\N	\N
451716	1535	1995-11-30	VYDAJ	VYBER	15	43643	SLUZBY	\N	\N
451717	1535	1995-12-31	VYDAJ	VYBER	15	45402	SLUZBY	\N	\N
451718	1535	1996-01-31	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
451719	1535	1996-02-29	VYDAJ	VYBER	15	33542	SLUZBY	\N	\N
451720	1535	1996-03-31	VYDAJ	VYBER	15	42772	SLUZBY	\N	\N
451721	1535	1996-04-30	VYDAJ	VYBER	15	50034	SLUZBY	\N	\N
451722	1535	1996-05-31	VYDAJ	VYBER	15	50203	SLUZBY	\N	\N
451723	1535	1996-06-30	VYDAJ	VYBER	15	47468	SLUZBY	\N	\N
451724	1535	1996-07-31	VYDAJ	VYBER	15	47072	SLUZBY	\N	\N
451725	1535	1996-08-31	VYDAJ	VYBER	15	48316	SLUZBY	\N	\N
451726	1535	1996-09-30	VYDAJ	VYBER	15	49684	SLUZBY	\N	\N
451727	1535	1996-10-31	VYDAJ	VYBER	15	50357	SLUZBY	\N	\N
451728	1535	1996-11-30	VYDAJ	VYBER	15	50133	SLUZBY	\N	\N
451729	1535	1996-12-31	VYDAJ	VYBER	15	54455	SLUZBY	\N	\N
451730	1535	1997-01-31	VYDAJ	VYBER	15	46728	SLUZBY	\N	\N
451731	1535	1997-02-28	VYDAJ	VYBER	15	48688	SLUZBY	\N	\N
451732	1535	1997-03-31	VYDAJ	VYBER	15	52158	SLUZBY	\N	\N
451733	1535	1997-04-30	VYDAJ	VYBER	15	56642	SLUZBY	\N	\N
451734	1535	1997-05-31	VYDAJ	VYBER	15	58197	SLUZBY	\N	\N
451735	1535	1997-06-30	VYDAJ	VYBER	15	56761	SLUZBY	\N	\N
451736	1535	1997-07-31	VYDAJ	VYBER	15	62363	SLUZBY	\N	\N
451737	1535	1997-08-31	VYDAJ	VYBER	15	63388	SLUZBY	\N	\N
451738	1535	1997-09-30	VYDAJ	VYBER	15	68920	SLUZBY	\N	\N
451739	1535	1997-10-31	VYDAJ	VYBER	15	68318	SLUZBY	\N	\N
451740	1535	1997-11-30	VYDAJ	VYBER	15	73772	SLUZBY	\N	\N
451741	1535	1997-12-31	VYDAJ	VYBER	15	74716	SLUZBY	\N	\N
451742	1535	1998-01-31	VYDAJ	VYBER	15	54052	SLUZBY	\N	\N
451743	1535	1998-02-28	VYDAJ	VYBER	15	63850	SLUZBY	\N	\N
451744	1535	1998-03-31	VYDAJ	VYBER	15	66482	SLUZBY	\N	\N
451745	1535	1998-04-30	VYDAJ	VYBER	15	63007	SLUZBY	\N	\N
451746	1535	1998-05-31	VYDAJ	VYBER	15	66236	SLUZBY	\N	\N
451747	1535	1998-06-30	VYDAJ	VYBER	15	56187	SLUZBY	\N	\N
451748	1535	1998-07-31	VYDAJ	VYBER	15	60083	SLUZBY	\N	\N
451749	1535	1998-08-31	VYDAJ	VYBER	15	57787	SLUZBY	\N	\N
451750	1535	1998-09-30	VYDAJ	VYBER	15	58790	SLUZBY	\N	\N
451751	1535	1998-10-31	VYDAJ	VYBER	15	60197	SLUZBY	\N	\N
451752	1535	1998-11-30	VYDAJ	VYBER	15	58667	SLUZBY	\N	\N
451753	1535	1993-04-19	PRIJEM	VKLAD	7500	11836	\N	\N	\N
451754	1535	1993-05-19	PRIJEM	VKLAD	3700	19692	\N	\N	\N
451755	1535	1993-06-18	PRIJEM	VKLAD	600	26559	\N	\N	\N
451756	1535	1993-07-18	VYDAJ	VYBER	2200	28589	\N	\N	\N
451757	1535	1993-08-17	VYDAJ	VYBER	5500	27340	\N	\N	\N
451758	1535	1993-09-16	VYDAJ	VYBER	1100	24477	\N	\N	\N
451759	1535	1993-10-16	PRIJEM	VKLAD	1400	23143	\N	\N	\N
451760	1535	1993-11-15	PRIJEM	VKLAD	900	25502	\N	\N	\N
451761	1535	1993-12-15	VYDAJ	VYBER	3400	25637	\N	\N	\N
451762	1535	1994-01-14	PRIJEM	VKLAD	1100	19005	\N	\N	\N
451763	1535	1994-02-13	PRIJEM	VKLAD	6100	20784	\N	\N	\N
451764	1535	1994-03-15	PRIJEM	VKLAD	3400	19140	\N	\N	\N
451765	1535	1994-04-14	PRIJEM	VKLAD	200	20780	\N	\N	\N
451766	1535	1994-05-14	PRIJEM	VKLAD	2900	25128	\N	\N	\N
451767	1535	1994-06-13	VYDAJ	VYBER	100	28558	\N	\N	\N
451768	1535	1994-07-13	PRIJEM	VKLAD	3900	24930	\N	\N	\N
451769	1535	1994-08-12	PRIJEM	VKLAD	700	22954	\N	\N	\N
451770	1535	1994-09-11	PRIJEM	VKLAD	500	22888	\N	\N	\N
451771	1535	1994-10-11	PRIJEM	VKLAD	2300	26663	\N	\N	\N
451772	1535	1994-11-10	PRIJEM	VKLAD	2800	25303	\N	\N	\N
451773	1535	1994-12-10	PRIJEM	VKLAD	4400	26863	\N	\N	\N
451774	1535	1995-01-09	PRIJEM	VKLAD	5300	24325	\N	\N	\N
451775	1535	1995-02-08	PRIJEM	VKLAD	3400	27038	\N	\N	\N
451776	1535	1995-03-10	PRIJEM	VKLAD	1800	27556	\N	\N	\N
451777	1535	1995-04-09	PRIJEM	VKLAD	4800	29885	\N	\N	\N
451778	1535	1995-05-09	VYDAJ	VYBER	500	30882	\N	\N	\N
451779	1535	1995-06-08	PRIJEM	VKLAD	1800	33706	\N	\N	\N
451780	1535	1995-08-07	VYDAJ	VYBER	700	33784	\N	\N	\N
451781	1535	1995-09-06	PRIJEM	VKLAD	1000	36291	\N	\N	\N
451782	1535	1995-10-06	PRIJEM	VKLAD	2400	34798	\N	\N	\N
451783	1535	1995-11-05	PRIJEM	VKLAD	5800	42107	\N	\N	\N
451784	1535	1995-12-05	PRIJEM	VKLAD	700	44343	\N	\N	\N
451785	1535	1996-01-04	PRIJEM	VKLAD	1400	46802	\N	\N	\N
451786	1535	1996-02-03	PRIJEM	VKLAD	15500	32058	\N	\N	\N
451787	1535	1996-03-04	PRIJEM	VKLAD	7700	41242	\N	\N	\N
451788	1535	1996-04-03	PRIJEM	VKLAD	5700	48472	\N	\N	\N
451789	1535	1996-05-03	VYDAJ	VYBER	1400	48634	\N	\N	\N
451790	1535	1996-06-02	PRIJEM	VKLAD	700	50903	\N	\N	\N
451791	1535	1996-07-02	PRIJEM	VKLAD	3800	51268	\N	\N	\N
451792	1535	1996-08-01	PRIJEM	VKLAD	1200	48272	\N	\N	\N
451793	1535	1996-08-31	PRIJEM	VKLAD	1000	48331	\N	\N	\N
451794	1535	1996-09-30	VYDAJ	VYBER	200	49698	\N	\N	\N
451795	1535	1996-10-30	VYDAJ	VYBER	900	50163	\N	\N	\N
451796	1535	1996-11-29	VYDAJ	VYBER	1800	49936	\N	\N	\N
451797	1535	1996-12-29	PRIJEM	VKLAD	2600	54260	\N	\N	\N
451798	1535	1997-01-28	PRIJEM	VKLAD	5200	46554	\N	\N	\N
451799	1535	1997-02-27	PRIJEM	VKLAD	400	48507	\N	\N	\N
451800	1535	1997-03-29	PRIJEM	VKLAD	1900	51967	\N	\N	\N
451801	1535	1997-04-28	PRIJEM	VKLAD	2900	56437	\N	\N	\N
451802	1535	1997-05-28	PRIJEM	VKLAD	6400	57981	\N	\N	\N
451803	1535	1997-06-27	PRIJEM	VKLAD	7400	56564	\N	\N	\N
451804	1535	1997-07-27	PRIJEM	VKLAD	7000	62140	\N	\N	\N
451805	1535	1997-08-26	VYDAJ	VYBER KARTOU	600	63142	\N	\N	0
451806	1535	1997-09-25	PRIJEM	VKLAD	3900	68667	\N	\N	\N
451807	1535	1997-10-25	PRIJEM	VKLAD	2800	68059	\N	\N	\N
451808	1535	1997-11-24	PRIJEM	VKLAD	3800	73497	\N	\N	\N
451809	1535	1997-12-24	VYDAJ	VYBER KARTOU	200	77019	\N	\N	0
451810	1535	1998-01-23	VYDAJ	VYBER KARTOU	900	69395	\N	\N	0
451811	1535	1998-02-22	PRIJEM	VKLAD	8200	63631	\N	\N	\N
451812	1535	1998-03-24	PRIJEM	VKLAD	1000	66229	\N	\N	\N
451813	1535	1998-04-23	VYDAJ	VYBER KARTOU	1300	62761	\N	\N	0
451814	1535	1998-05-23	PRIJEM	VKLAD	1600	65986	\N	\N	\N
451815	1535	1998-06-22	PRIJEM	VKLAD	4800	60403	\N	\N	\N
451816	1535	1998-07-22	PRIJEM	VKLAD	6000	59866	\N	\N	\N
451817	1535	1998-08-21	PRIJEM	VKLAD	900	57562	\N	\N	\N
451818	1535	1998-09-20	VYDAJ	VYBER KARTOU	600	58566	\N	\N	0
451819	1535	1998-10-20	VYDAJ	VYBER KARTOU	200	59969	\N	\N	0
451820	1535	1998-11-19	PRIJEM	VKLAD	2500	64076	\N	\N	\N
451890	1536	1993-01-22	PRIJEM	VKLAD	300	300	\N	\N	\N
451892	1536	1993-02-12	PRIJEM	PREVOD Z UCTU	25609	25909	\N	QR	51120805
451893	1536	1993-03-12	PRIJEM	PREVOD Z UCTU	25609	51649	\N	QR	51120805
451894	1536	1993-04-12	PRIJEM	PREVOD Z UCTU	25609	65483	\N	QR	51120805
451895	1536	1993-05-12	PRIJEM	PREVOD Z UCTU	25609	71565	\N	QR	51120805
451896	1536	1993-06-12	PRIJEM	PREVOD Z UCTU	38414	86272	\N	QR	51120805
451897	1536	1993-07-12	PRIJEM	PREVOD Z UCTU	25609	32883	\N	QR	51120805
451898	1536	1993-08-12	PRIJEM	PREVOD Z UCTU	25609	40469	\N	QR	51120805
451899	1536	1993-09-12	PRIJEM	PREVOD Z UCTU	25609	43580	\N	QR	51120805
451900	1536	1993-10-12	PRIJEM	PREVOD Z UCTU	25609	48705	\N	QR	51120805
451901	1536	1993-11-12	PRIJEM	PREVOD Z UCTU	25609	50245	\N	QR	51120805
451902	1536	1993-12-12	PRIJEM	PREVOD Z UCTU	38414	64796	\N	QR	51120805
451903	1536	1994-01-12	PRIJEM	PREVOD Z UCTU	25609	33069	\N	QR	51120805
451904	1536	1994-02-12	PRIJEM	PREVOD Z UCTU	25609	35564	\N	QR	51120805
451905	1536	1994-03-12	PRIJEM	PREVOD Z UCTU	25609	43658	\N	QR	51120805
451906	1536	1994-04-12	PRIJEM	PREVOD Z UCTU	25609	45176	\N	QR	51120805
451907	1536	1994-05-12	PRIJEM	PREVOD Z UCTU	25609	36618	\N	QR	51120805
451908	1536	1994-06-12	PRIJEM	PREVOD Z UCTU	38414	46719	\N	QR	51120805
451909	1536	1994-07-12	PRIJEM	PREVOD Z UCTU	25609	48638	\N	QR	51120805
451910	1536	1994-08-12	PRIJEM	PREVOD Z UCTU	25609	35977	\N	QR	51120805
451911	1536	1994-09-12	PRIJEM	PREVOD Z UCTU	25609	34215	\N	QR	51120805
451912	1536	1994-10-12	PRIJEM	PREVOD Z UCTU	25609	44616	\N	QR	51120805
451913	1536	1994-11-12	PRIJEM	PREVOD Z UCTU	25609	40833	\N	QR	51120805
451914	1536	1994-12-12	PRIJEM	PREVOD Z UCTU	38414	55643	\N	QR	51120805
451915	1536	1995-01-12	PRIJEM	PREVOD Z UCTU	25609	34010	\N	QR	51120805
451916	1536	1995-02-12	PRIJEM	PREVOD Z UCTU	25609	45398	\N	QR	51120805
451917	1536	1995-03-12	PRIJEM	PREVOD Z UCTU	25609	57922	\N	QR	51120805
451918	1536	1995-04-12	PRIJEM	PREVOD Z UCTU	25609	34111	\N	QR	51120805
451919	1536	1995-05-12	PRIJEM	PREVOD Z UCTU	25609	42808	\N	QR	51120805
451920	1536	1995-06-12	PRIJEM	PREVOD Z UCTU	38414	68031	\N	QR	51120805
451921	1536	1995-07-12	PRIJEM	PREVOD Z UCTU	25609	52377	\N	QR	51120805
451922	1536	1995-08-12	PRIJEM	PREVOD Z UCTU	25609	46442	\N	QR	51120805
451923	1536	1995-09-12	PRIJEM	PREVOD Z UCTU	25609	44119	\N	QR	51120805
451924	1536	1995-10-12	PRIJEM	PREVOD Z UCTU	25609	50849	\N	QR	51120805
451925	1536	1995-11-12	PRIJEM	PREVOD Z UCTU	25609	56223	\N	QR	51120805
451926	1536	1995-12-12	PRIJEM	PREVOD Z UCTU	38414	54054	\N	QR	51120805
451927	1536	1996-01-12	PRIJEM	PREVOD Z UCTU	25609	54329	\N	QR	51120805
451928	1536	1996-02-12	PRIJEM	PREVOD Z UCTU	25609	44172	\N	QR	51120805
451929	1536	1996-03-12	PRIJEM	PREVOD Z UCTU	25609	34127	\N	QR	51120805
451930	1536	1996-04-12	PRIJEM	PREVOD Z UCTU	25609	51155	\N	QR	51120805
451931	1536	1996-05-12	PRIJEM	PREVOD Z UCTU	25609	63615	\N	QR	51120805
451932	1536	1996-06-12	PRIJEM	PREVOD Z UCTU	38414	66748	\N	QR	51120805
451933	1536	1996-07-12	PRIJEM	PREVOD Z UCTU	25609	56792	\N	QR	51120805
451934	1536	1996-08-12	PRIJEM	PREVOD Z UCTU	25609	53600	\N	QR	51120805
451935	1536	1996-09-12	PRIJEM	PREVOD Z UCTU	25609	42709	\N	QR	51120805
451936	1536	1996-10-12	PRIJEM	PREVOD Z UCTU	25609	52703	\N	QR	51120805
451937	1536	1996-11-12	PRIJEM	PREVOD Z UCTU	25609	37976	\N	QR	51120805
451938	1536	1996-12-12	PRIJEM	PREVOD Z UCTU	38414	54971	\N	QR	51120805
451939	1536	1997-01-12	PRIJEM	PREVOD Z UCTU	25609	47541	\N	QR	51120805
451940	1536	1997-02-12	PRIJEM	PREVOD Z UCTU	25609	38562	\N	QR	51120805
451941	1536	1997-03-12	PRIJEM	PREVOD Z UCTU	25609	51493	\N	QR	51120805
451942	1536	1997-04-12	PRIJEM	PREVOD Z UCTU	25609	53155	\N	QR	51120805
451943	1536	1997-05-12	PRIJEM	PREVOD Z UCTU	25609	58532	\N	QR	51120805
451944	1536	1997-06-12	PRIJEM	PREVOD Z UCTU	38414	79938	\N	QR	51120805
451945	1536	1997-07-12	PRIJEM	PREVOD Z UCTU	25609	53670	\N	QR	51120805
451946	1536	1997-08-12	PRIJEM	PREVOD Z UCTU	25609	60241	\N	QR	51120805
451947	1536	1997-09-12	PRIJEM	PREVOD Z UCTU	25609	58767	\N	QR	51120805
451948	1536	1997-10-12	PRIJEM	PREVOD Z UCTU	25609	69964	\N	QR	51120805
451949	1536	1997-11-12	PRIJEM	PREVOD Z UCTU	25609	40076	\N	QR	51120805
451950	1536	1997-12-12	PRIJEM	PREVOD Z UCTU	38414	58629	\N	QR	51120805
451951	1536	1998-01-12	PRIJEM	PREVOD Z UCTU	25609	54912	\N	QR	51120805
451952	1536	1998-02-12	PRIJEM	PREVOD Z UCTU	25609	51286	\N	QR	51120805
451953	1536	1998-03-12	PRIJEM	PREVOD Z UCTU	25609	63950	\N	QR	51120805
451954	1536	1998-04-12	PRIJEM	PREVOD Z UCTU	25609	75568	\N	QR	51120805
451955	1536	1998-05-12	PRIJEM	PREVOD Z UCTU	25609	76426	\N	QR	51120805
451956	1536	1998-06-12	PRIJEM	PREVOD Z UCTU	38414	73333	\N	QR	51120805
451957	1536	1998-07-12	PRIJEM	PREVOD Z UCTU	25609	76695	\N	QR	51120805
451958	1536	1998-08-12	PRIJEM	PREVOD Z UCTU	25609	78557	\N	QR	51120805
451959	1536	1998-09-12	PRIJEM	PREVOD Z UCTU	25609	66701	\N	QR	51120805
451960	1536	1998-10-12	PRIJEM	PREVOD Z UCTU	25609	67081	\N	QR	51120805
451961	1536	1998-11-12	PRIJEM	PREVOD Z UCTU	25609	59840	\N	QR	51120805
451962	1536	1998-12-12	PRIJEM	PREVOD Z UCTU	38414	69419	\N	QR	51120805
451969	1536	1993-07-11	VYDAJ	PREVOD NA UCET	13204	7274	SIPO	ST	11303443
451970	1536	1993-08-11	VYDAJ	PREVOD NA UCET	13204	14860	SIPO	ST	11303443
451971	1536	1993-09-11	VYDAJ	PREVOD NA UCET	13204	17971	SIPO	ST	11303443
451972	1536	1993-10-11	VYDAJ	PREVOD NA UCET	13204	23096	SIPO	ST	11303443
451973	1536	1993-11-11	VYDAJ	PREVOD NA UCET	13204	24636	SIPO	ST	11303443
451974	1536	1993-12-11	VYDAJ	PREVOD NA UCET	13204	26382	SIPO	ST	11303443
451975	1536	1994-01-11	VYDAJ	PREVOD NA UCET	13204	7460	SIPO	ST	11303443
451976	1536	1994-02-11	VYDAJ	PREVOD NA UCET	13204	9955	SIPO	ST	11303443
451977	1536	1994-03-11	VYDAJ	PREVOD NA UCET	13204	18049	SIPO	ST	11303443
451978	1536	1994-04-11	VYDAJ	PREVOD NA UCET	13204	19567	SIPO	ST	11303443
451979	1536	1994-05-11	VYDAJ	PREVOD NA UCET	13204	11009	SIPO	ST	11303443
451980	1536	1994-06-11	VYDAJ	PREVOD NA UCET	13204	8305	SIPO	ST	11303443
451981	1536	1994-07-11	VYDAJ	PREVOD NA UCET	13204	23029	SIPO	ST	11303443
451982	1536	1994-08-11	VYDAJ	PREVOD NA UCET	13204	10368	SIPO	ST	11303443
451983	1536	1994-09-11	VYDAJ	PREVOD NA UCET	13204	8606	SIPO	ST	11303443
451984	1536	1994-10-11	VYDAJ	PREVOD NA UCET	13204	19007	SIPO	ST	11303443
451985	1536	1994-11-11	VYDAJ	PREVOD NA UCET	13204	15224	SIPO	ST	11303443
451986	1536	1994-12-11	VYDAJ	PREVOD NA UCET	13204	17229	SIPO	ST	11303443
451987	1536	1995-01-11	VYDAJ	PREVOD NA UCET	13204	8401	SIPO	ST	11303443
451988	1536	1995-02-11	VYDAJ	PREVOD NA UCET	13204	19789	SIPO	ST	11303443
451989	1536	1995-03-11	VYDAJ	PREVOD NA UCET	13204	32313	SIPO	ST	11303443
451990	1536	1995-04-11	VYDAJ	PREVOD NA UCET	13204	8502	SIPO	ST	11303443
451991	1536	1995-05-11	VYDAJ	PREVOD NA UCET	13204	17199	SIPO	ST	11303443
451992	1536	1995-06-11	VYDAJ	PREVOD NA UCET	13204	29617	SIPO	ST	11303443
451993	1536	1995-07-11	VYDAJ	PREVOD NA UCET	13204	26768	SIPO	ST	11303443
451994	1536	1995-08-11	VYDAJ	PREVOD NA UCET	13204	20833	SIPO	ST	11303443
451995	1536	1995-09-11	VYDAJ	PREVOD NA UCET	13204	18510	SIPO	ST	11303443
451996	1536	1995-10-11	VYDAJ	PREVOD NA UCET	13204	25240	SIPO	ST	11303443
451997	1536	1995-11-11	VYDAJ	PREVOD NA UCET	13204	30614	SIPO	ST	11303443
451998	1536	1995-12-11	VYDAJ	PREVOD NA UCET	13204	15640	SIPO	ST	11303443
451999	1536	1996-01-11	VYDAJ	PREVOD NA UCET	13204	31420	SIPO	ST	11303443
452000	1536	1996-02-11	VYDAJ	PREVOD NA UCET	13204	18563	SIPO	ST	11303443
452001	1536	1996-03-11	VYDAJ	PREVOD NA UCET	13204	8518	SIPO	ST	11303443
452002	1536	1996-04-11	VYDAJ	PREVOD NA UCET	13204	25546	SIPO	ST	11303443
452003	1536	1996-05-11	VYDAJ	PREVOD NA UCET	13204	38006	SIPO	ST	11303443
452004	1536	1996-06-11	VYDAJ	PREVOD NA UCET	13204	28334	SIPO	ST	11303443
452005	1536	1996-07-11	VYDAJ	PREVOD NA UCET	13204	31183	SIPO	ST	11303443
452006	1536	1996-08-11	VYDAJ	PREVOD NA UCET	13204	27991	SIPO	ST	11303443
452007	1536	1996-09-11	VYDAJ	PREVOD NA UCET	13204	17100	SIPO	ST	11303443
452008	1536	1996-10-11	VYDAJ	PREVOD NA UCET	13204	27094	SIPO	ST	11303443
452009	1536	1996-11-11	VYDAJ	PREVOD NA UCET	13204	12367	SIPO	ST	11303443
452010	1536	1996-12-11	VYDAJ	PREVOD NA UCET	13204	16557	SIPO	ST	11303443
452011	1536	1997-01-11	VYDAJ	PREVOD NA UCET	13204	21932	SIPO	ST	11303443
452012	1536	1997-02-11	VYDAJ	PREVOD NA UCET	13204	12953	SIPO	ST	11303443
452013	1536	1997-03-11	VYDAJ	PREVOD NA UCET	13204	25884	SIPO	ST	11303443
452014	1536	1997-04-11	VYDAJ	PREVOD NA UCET	13204	27546	SIPO	ST	11303443
452015	1536	1997-05-11	VYDAJ	PREVOD NA UCET	13204	32923	SIPO	ST	11303443
452016	1536	1997-06-11	VYDAJ	PREVOD NA UCET	13204	41524	SIPO	ST	11303443
452017	1536	1997-07-11	VYDAJ	PREVOD NA UCET	13204	28061	SIPO	ST	11303443
452018	1536	1997-08-11	VYDAJ	PREVOD NA UCET	13204	34632	SIPO	ST	11303443
452019	1536	1997-09-11	VYDAJ	PREVOD NA UCET	13204	33158	SIPO	ST	11303443
452020	1536	1997-10-11	VYDAJ	PREVOD NA UCET	13204	44355	SIPO	ST	11303443
452021	1536	1997-11-11	VYDAJ	PREVOD NA UCET	13204	14467	SIPO	ST	11303443
452022	1536	1997-12-11	VYDAJ	PREVOD NA UCET	13204	20215	SIPO	ST	11303443
452023	1536	1998-01-11	VYDAJ	PREVOD NA UCET	13204	29303	SIPO	ST	11303443
452024	1536	1998-02-11	VYDAJ	PREVOD NA UCET	13204	25677	SIPO	ST	11303443
452025	1536	1998-03-11	VYDAJ	PREVOD NA UCET	13204	38341	SIPO	ST	11303443
452026	1536	1998-04-11	VYDAJ	PREVOD NA UCET	13204	49959	SIPO	ST	11303443
452027	1536	1998-05-11	VYDAJ	PREVOD NA UCET	13204	50817	SIPO	ST	11303443
452028	1536	1998-06-11	VYDAJ	PREVOD NA UCET	13204	34919	SIPO	ST	11303443
452029	1536	1998-07-11	VYDAJ	PREVOD NA UCET	13204	51086	SIPO	ST	11303443
452030	1536	1998-08-11	VYDAJ	PREVOD NA UCET	13204	52948	SIPO	ST	11303443
452031	1536	1998-09-11	VYDAJ	PREVOD NA UCET	13204	41092	SIPO	ST	11303443
452032	1536	1998-10-11	VYDAJ	PREVOD NA UCET	13204	41472	SIPO	ST	11303443
452033	1536	1998-11-11	VYDAJ	PREVOD NA UCET	13204	34231	SIPO	ST	11303443
452185	1536	1994-07-31	VYDAJ	VYBER	30	23572	SLUZBY	\N	\N
452034	1536	1998-12-11	VYDAJ	PREVOD NA UCET	13204	31005	SIPO	ST	11303443
452036	1536	1993-06-17	VYBER	VYBER	10502	19370	\N	\N	\N
452037	1536	1994-11-25	VYBER	VYBER	2004	30329	\N	\N	\N
452038	1536	1994-09-04	VYBER	VYBER	6851	21810	\N	\N	\N
452042	1536	1994-12-14	VYBER	VYBER	14826	25117	\N	\N	\N
452043	1536	1994-07-21	VYBER	VYBER	13676	23462	\N	\N	\N
452045	1536	1994-04-16	VYBER	VYBER	17159	28017	\N	\N	\N
452049	1536	1995-08-28	VYBER	VYBER	19656	26786	\N	\N	\N
452053	1536	1995-12-05	VYBER	VYBER	22057	22044	\N	\N	\N
452055	1536	1995-03-27	VYBER	VYBER	15848	21574	\N	\N	\N
452057	1536	1995-07-23	VYBER	VYBER	21375	31002	\N	\N	\N
452061	1536	1996-10-20	VYBER	VYBER	9866	42837	\N	\N	\N
452062	1536	1996-05-16	VYBER	VYBER	21436	42179	\N	\N	\N
452063	1536	1996-10-11	VYBER	VYBER	2646	40298	\N	\N	\N
452064	1536	1996-06-22	VYBER	VYBER	3727	63021	\N	\N	\N
452065	1536	1996-09-15	VYBER	VYBER	15681	27028	\N	\N	\N
452066	1536	1996-12-08	VYBER	VYBER	16835	29761	\N	\N	\N
452067	1536	1996-09-09	VYBER	VYBER	23788	30304	\N	\N	\N
452069	1536	1996-11-07	VYBER	VYBER	16901	25571	\N	\N	\N
452070	1536	1996-03-11	VYBER	VYBER	20466	21722	\N	\N	\N
452071	1536	1996-08-11	VYBER	VYBER	13365	41195	\N	\N	\N
452072	1536	1997-05-07	VYBER	VYBER	5283	46127	\N	\N	\N
452073	1536	1997-12-07	VYBER	VYBER	6581	33419	\N	\N	\N
452074	1536	1997-03-18	VYBER	VYBER	20247	31246	\N	\N	\N
452075	1536	1997-02-11	VYBER	VYBER	11587	26157	\N	\N	\N
452076	1536	1997-07-21	VYBER	VYBER	2197	51473	\N	\N	\N
452077	1536	1997-10-17	VYBER	VYBER	17200	30616	\N	\N	\N
452079	1536	1997-10-15	VYBER	VYBER	6204	47816	\N	\N	\N
452080	1536	1997-08-24	VYBER	VYBER	14963	45278	\N	\N	\N
452081	1536	1997-10-13	VYBER	VYBER	15944	54020	\N	\N	\N
452082	1536	1997-02-22	VYBER	VYBER	2679	24483	\N	\N	\N
452085	1536	1998-11-10	VYBER	VYBER	12061	47435	\N	\N	\N
452086	1536	1998-12-05	VYBER	VYBER	19746	44209	\N	\N	\N
452087	1536	1998-09-17	VYBER	VYBER	12936	53765	\N	\N	\N
452088	1536	1998-09-07	VYBER	VYBER	15325	54296	\N	\N	\N
452089	1536	1998-06-07	VYBER	VYBER	23465	48123	\N	\N	\N
452090	1536	1993-06-14	VYDAJ	VYBER	56400	29872	\N	\N	\N
452092	1536	1995-06-18	VYDAJ	VYBER	34500	33531	\N	\N	\N
452093	1536	1996-06-26	VYDAJ	VYBER	31800	31221	\N	\N	\N
452094	1536	1997-06-26	VYDAJ	VYBER	53400	26538	\N	\N	\N
452097	1536	1994-01-26	VYDAJ	VYBER	3900	23069	\N	\N	\N
452099	1536	1996-01-22	VYDAJ	VYBER	13800	36029	\N	\N	\N
452100	1536	1997-01-12	VYDAJ	VYBER	7500	40041	\N	\N	\N
452108	1536	1994-01-03	VYDAJ	VYBER	5700	40764	\N	\N	\N
452109	1536	1994-01-22	VYDAJ	VYBER	4500	26969	\N	\N	\N
452112	1536	1994-01-07	VYDAJ	VYBER	3000	20664	\N	\N	\N
452113	1536	1994-01-07	VYDAJ	VYBER	4200	23664	\N	\N	\N
452115	1536	1995-01-16	VYDAJ	VYBER	3900	28610	\N	\N	\N
452117	1536	1995-01-09	VYDAJ	VYBER	3600	21605	\N	\N	\N
452118	1536	1995-01-30	VYDAJ	VYBER	7200	21410	\N	\N	\N
452120	1536	1996-01-06	VYDAJ	VYBER	2400	51824	\N	\N	\N
452121	1536	1996-01-14	VYDAJ	VYBER	4500	49829	\N	\N	\N
452122	1536	1996-01-22	VYDAJ	VYBER	8400	24929	\N	\N	\N
452123	1536	1996-01-11	VYDAJ	VYBER	2700	28720	\N	\N	\N
452124	1536	1996-01-22	VYDAJ	VYBER	2700	33329	\N	\N	\N
452125	1536	1996-01-23	VYDAJ	VYBER	3600	21329	\N	\N	\N
452126	1536	1997-01-02	VYDAJ	VYBER	8100	45336	\N	\N	\N
452127	1536	1997-01-16	VYDAJ	VYBER	1500	30441	\N	\N	\N
452128	1536	1997-01-13	VYDAJ	VYBER	8100	31941	\N	\N	\N
452130	1536	1997-01-19	VYDAJ	VYBER	6000	24441	\N	\N	\N
452132	1536	1998-01-09	VYDAJ	VYBER	2400	46707	\N	\N	\N
452133	1536	1998-01-09	VYDAJ	VYBER	4200	42507	\N	\N	\N
452134	1536	1998-01-15	VYDAJ	VYBER	7800	47112	\N	\N	\N
452135	1536	1998-01-29	VYDAJ	VYBER	8700	38712	\N	\N	\N
452136	1536	1998-01-03	VYDAJ	VYBER	7200	49107	\N	\N	\N
452137	1536	1998-01-28	VYDAJ	VYBER	2400	47412	\N	\N	\N
452141	1536	1994-01-04	VYDAJ	VYBER	12900	27864	\N	\N	\N
452144	1536	1994-06-06	VYDAJ	VYBER	9000	21509	\N	\N	\N
452146	1536	1994-11-01	VYDAJ	VYBER	6000	28428	\N	\N	\N
452148	1536	1995-11-23	VYDAJ	VYBER	12300	43923	\N	\N	\N
452150	1536	1995-03-18	VYDAJ	VYBER	3900	37422	\N	\N	\N
452153	1536	1996-11-02	VYDAJ	VYBER	11400	42472	\N	\N	\N
452155	1536	1996-05-26	VYDAJ	VYBER	9900	32279	\N	\N	\N
452157	1536	1996-08-01	VYDAJ	VYBER	6900	50060	\N	\N	\N
452158	1536	1997-02-19	VYDAJ	VYBER	11400	27162	\N	\N	\N
452159	1536	1997-07-24	VYDAJ	VYBER	4800	46673	\N	\N	\N
452160	1536	1997-01-07	VYDAJ	VYBER	10200	35136	\N	\N	\N
452161	1536	1997-11-21	VYDAJ	VYBER	12000	28076	\N	\N	\N
452162	1536	1997-10-31	VYDAJ	VYBER	12900	27671	\N	\N	\N
452163	1536	1998-09-18	VYDAJ	VYBER	10800	42965	\N	\N	\N
452164	1536	1998-10-22	VYDAJ	VYBER	6600	60481	\N	\N	\N
452165	1536	1998-07-08	VYDAJ	VYBER	2400	64290	\N	\N	\N
452172	1536	1993-06-30	VYDAJ	VYBER	30	20478	SLUZBY	\N	\N
452173	1536	1993-07-31	VYDAJ	VYBER	30	28064	SLUZBY	\N	\N
452174	1536	1993-08-31	VYDAJ	VYBER	30	31175	SLUZBY	\N	\N
452175	1536	1993-09-30	VYDAJ	VYBER	30	36300	SLUZBY	\N	\N
452176	1536	1993-10-31	VYDAJ	VYBER	30	37840	SLUZBY	\N	\N
452177	1536	1993-11-30	VYDAJ	VYBER	30	39586	SLUZBY	\N	\N
452178	1536	1993-12-31	VYDAJ	VYBER	30	46464	SLUZBY	\N	\N
452179	1536	1994-01-31	VYDAJ	VYBER	30	23159	SLUZBY	\N	\N
452180	1536	1994-02-28	VYDAJ	VYBER	30	31253	SLUZBY	\N	\N
452181	1536	1994-03-31	VYDAJ	VYBER	30	32771	SLUZBY	\N	\N
452182	1536	1994-04-30	VYDAJ	VYBER	30	24213	SLUZBY	\N	\N
452183	1536	1994-05-31	VYDAJ	VYBER	30	30509	SLUZBY	\N	\N
452184	1536	1994-06-30	VYDAJ	VYBER	30	36233	SLUZBY	\N	\N
452186	1536	1994-08-31	VYDAJ	VYBER	30	28661	SLUZBY	\N	\N
452187	1536	1994-09-30	VYDAJ	VYBER	30	32211	SLUZBY	\N	\N
452188	1536	1994-10-31	VYDAJ	VYBER	30	34428	SLUZBY	\N	\N
452189	1536	1994-11-30	VYDAJ	VYBER	30	30433	SLUZBY	\N	\N
452190	1536	1994-12-31	VYDAJ	VYBER	30	25205	SLUZBY	\N	\N
452191	1536	1995-01-31	VYDAJ	VYBER	30	21493	SLUZBY	\N	\N
452192	1536	1995-02-28	VYDAJ	VYBER	30	45517	SLUZBY	\N	\N
452193	1536	1995-03-31	VYDAJ	VYBER	30	21706	SLUZBY	\N	\N
452194	1536	1995-04-30	VYDAJ	VYBER	30	30403	SLUZBY	\N	\N
452195	1536	1995-05-31	VYDAJ	VYBER	30	36921	SLUZBY	\N	\N
452196	1536	1995-06-30	VYDAJ	VYBER	30	33672	SLUZBY	\N	\N
452197	1536	1995-07-31	VYDAJ	VYBER	30	31137	SLUZBY	\N	\N
452198	1536	1995-08-31	VYDAJ	VYBER	30	26914	SLUZBY	\N	\N
452199	1536	1995-09-30	VYDAJ	VYBER	30	44244	SLUZBY	\N	\N
452200	1536	1995-10-31	VYDAJ	VYBER	30	51018	SLUZBY	\N	\N
452201	1536	1995-11-30	VYDAJ	VYBER	30	44101	SLUZBY	\N	\N
452202	1536	1995-12-31	VYDAJ	VYBER	30	54224	SLUZBY	\N	\N
452203	1536	1996-01-31	VYDAJ	VYBER	30	21467	SLUZBY	\N	\N
452204	1536	1996-02-29	VYDAJ	VYBER	30	44288	SLUZBY	\N	\N
452205	1536	1996-03-31	VYDAJ	VYBER	30	34250	SLUZBY	\N	\N
452206	1536	1996-04-30	VYDAJ	VYBER	30	51310	SLUZBY	\N	\N
452207	1536	1996-05-31	VYDAJ	VYBER	30	32438	SLUZBY	\N	\N
452208	1536	1996-06-30	VYDAJ	VYBER	30	31387	SLUZBY	\N	\N
452209	1536	1996-07-31	VYDAJ	VYBER	30	56960	SLUZBY	\N	\N
452210	1536	1996-08-31	VYDAJ	VYBER	30	53792	SLUZBY	\N	\N
452211	1536	1996-09-30	VYDAJ	VYBER	30	27144	SLUZBY	\N	\N
452212	1536	1996-10-31	VYDAJ	VYBER	30	42972	SLUZBY	\N	\N
452213	1536	1996-11-30	VYDAJ	VYBER	30	38096	SLUZBY	\N	\N
452214	1536	1996-12-31	VYDAJ	VYBER	30	55136	SLUZBY	\N	\N
452215	1536	1997-01-31	VYDAJ	VYBER	30	37744	SLUZBY	\N	\N
452216	1536	1997-02-28	VYDAJ	VYBER	30	24588	SLUZBY	\N	\N
452217	1536	1997-03-31	VYDAJ	VYBER	30	31350	SLUZBY	\N	\N
452218	1536	1997-04-30	VYDAJ	VYBER	30	53310	SLUZBY	\N	\N
452219	1536	1997-05-31	VYDAJ	VYBER	30	58728	SLUZBY	\N	\N
452220	1536	1997-06-30	VYDAJ	VYBER	30	41265	SLUZBY	\N	\N
452221	1536	1997-07-31	VYDAJ	VYBER	30	47836	SLUZBY	\N	\N
452222	1536	1997-08-31	VYDAJ	VYBER	30	46362	SLUZBY	\N	\N
452223	1536	1997-09-30	VYDAJ	VYBER	30	57559	SLUZBY	\N	\N
452224	1536	1997-10-31	VYDAJ	VYBER	30	40571	SLUZBY	\N	\N
452225	1536	1997-11-30	VYDAJ	VYBER	30	40000	SLUZBY	\N	\N
452226	1536	1997-12-31	VYDAJ	VYBER	30	56307	SLUZBY	\N	\N
452227	1536	1998-01-31	VYDAJ	VYBER	30	38881	SLUZBY	\N	\N
452228	1536	1998-02-28	VYDAJ	VYBER	30	51545	SLUZBY	\N	\N
452229	1536	1998-03-31	VYDAJ	VYBER	30	63163	SLUZBY	\N	\N
452230	1536	1998-04-30	VYDAJ	VYBER	30	64021	SLUZBY	\N	\N
452231	1536	1998-05-31	VYDAJ	VYBER	30	71588	SLUZBY	\N	\N
452232	1536	1998-06-30	VYDAJ	VYBER	30	66690	SLUZBY	\N	\N
452233	1536	1998-07-31	VYDAJ	VYBER	30	66152	SLUZBY	\N	\N
452234	1536	1998-08-31	VYDAJ	VYBER	30	69621	SLUZBY	\N	\N
452235	1536	1998-09-30	VYDAJ	VYBER	30	54676	SLUZBY	\N	\N
452236	1536	1998-10-31	VYDAJ	VYBER	30	59496	SLUZBY	\N	\N
452237	1536	1998-11-30	VYDAJ	VYBER	30	63955	SLUZBY	\N	\N
452238	1536	1993-02-21	PRIJEM	VKLAD	100	26009	\N	\N	\N
452239	1536	1993-03-23	VYDAJ	VYBER	11900	39749	\N	\N	\N
452240	1536	1993-04-22	VYDAJ	VYBER	19700	45783	\N	\N	\N
452241	1536	1993-05-22	VYDAJ	VYBER	23900	47665	\N	\N	\N
452242	1536	1993-06-21	PRIJEM	VKLAD	1000	20370	\N	\N	\N
452243	1536	1993-07-21	VYDAJ	VYBER	4900	27983	\N	\N	\N
452244	1536	1993-08-20	VYDAJ	VYBER	9400	31069	\N	\N	\N
452245	1536	1993-09-19	VYDAJ	VYBER	7400	36180	\N	\N	\N
452246	1536	1993-10-19	VYDAJ	VYBER	11000	37705	\N	\N	\N
452247	1536	1993-11-18	VYDAJ	VYBER	10800	39445	\N	\N	\N
452248	1536	1993-12-18	VYDAJ	VYBER	18500	46296	\N	\N	\N
452249	1536	1994-01-17	VYDAJ	VYBER	1600	31469	\N	\N	\N
452250	1536	1994-02-16	VYDAJ	VYBER	4400	31164	\N	\N	\N
452251	1536	1994-03-18	VYDAJ	VYBER	11000	32658	\N	\N	\N
452252	1536	1994-04-17	VYDAJ	VYBER	3900	24117	\N	\N	\N
452253	1536	1994-05-17	VYDAJ	VYBER	6200	30418	\N	\N	\N
452254	1536	1994-06-16	VYDAJ	VYBER	10600	36119	\N	\N	\N
452255	1536	1994-07-16	VYDAJ	VYBER	11500	37138	\N	\N	\N
452256	1536	1994-08-15	VYDAJ	VYBER	7400	28577	\N	\N	\N
452257	1536	1994-09-14	VYDAJ	VYBER	2100	32115	\N	\N	\N
452258	1536	1994-10-14	VYDAJ	VYBER	10300	34316	\N	\N	\N
452259	1536	1994-11-13	VYDAJ	VYBER	8500	32333	\N	\N	\N
452260	1536	1994-12-13	VYDAJ	VYBER	15700	39943	\N	\N	\N
452261	1536	1995-01-12	VYDAJ	VYBER	1500	32510	\N	\N	\N
452262	1536	1995-02-11	PRIJEM	VKLAD	11500	32993	\N	\N	\N
452263	1536	1995-03-13	VYDAJ	VYBER	16600	41322	\N	\N	\N
452264	1536	1995-04-12	VYDAJ	VYBER	3800	30311	\N	\N	\N
452265	1536	1995-05-12	VYDAJ	VYBER	6000	36808	\N	\N	\N
452266	1536	1995-06-11	PRIJEM	VKLAD	5900	42821	\N	\N	\N
452267	1536	1995-07-11	PRIJEM	VKLAD	6300	39972	\N	\N	\N
452268	1536	1995-08-10	PRIJEM	VKLAD	2900	34037	\N	\N	\N
452269	1536	1995-09-09	PRIJEM	VKLAD	4800	31714	\N	\N	\N
452270	1536	1995-10-09	VYDAJ	VYBER	5800	38444	\N	\N	\N
452271	1536	1995-11-08	VYDAJ	VYBER	7200	43818	\N	\N	\N
452272	1536	1995-12-08	PRIJEM	VKLAD	6800	28844	\N	\N	\N
452273	1536	1996-01-07	VYDAJ	VYBER	7200	44624	\N	\N	\N
452274	1536	1996-02-06	PRIJEM	VKLAD	10300	31767	\N	\N	\N
452275	1536	1996-03-07	VYDAJ	VYBER	2100	42188	\N	\N	\N
452276	1536	1996-04-06	PRIJEM	VKLAD	4500	38750	\N	\N	\N
452277	1536	1996-05-06	VYDAJ	VYBER	100	51210	\N	\N	\N
452278	1536	1996-06-05	PRIJEM	VKLAD	9100	41538	\N	\N	\N
452279	1536	1996-07-05	PRIJEM	VKLAD	13000	44387	\N	\N	\N
452280	1536	1996-08-04	PRIJEM	VKLAD	4500	54560	\N	\N	\N
452281	1536	1996-09-03	PRIJEM	VKLAD	300	54092	\N	\N	\N
452282	1536	1996-10-03	PRIJEM	VKLAD	15800	42944	\N	\N	\N
452283	1536	1996-11-02	PRIJEM	VKLAD	10900	53872	\N	\N	\N
452284	1536	1996-12-02	PRIJEM	VKLAD	8500	46596	\N	\N	\N
452285	1536	1997-01-01	VYDAJ	VYBER	1700	53436	\N	\N	\N
452286	1536	1997-01-31	PRIJEM	VKLAD	13200	37641	\N	\N	\N
452287	1536	1997-03-02	PRIJEM	VKLAD	14500	39088	\N	\N	\N
452288	1536	1997-04-01	PRIJEM	VKLAD	9400	40750	\N	\N	\N
452289	1536	1997-05-01	VYDAJ	VYBER	1900	51410	\N	\N	\N
452290	1536	1997-05-31	VYDAJ	VYBER	4000	54728	\N	\N	\N
452291	1536	1997-06-30	PRIJEM	VKLAD	14500	41038	\N	\N	\N
452292	1536	1997-07-30	PRIJEM	VKLAD	1000	47673	\N	\N	\N
452293	1536	1997-08-29	PRIJEM	VKLAD	900	46178	\N	\N	\N
452294	1536	1997-09-28	VYDAJ	VYBER	1400	57367	\N	\N	\N
452295	1536	1997-10-28	PRIJEM	VKLAD	9800	40416	\N	\N	\N
452296	1536	1997-11-27	PRIJEM	VKLAD	11800	39876	\N	\N	\N
452297	1536	1997-12-27	VYDAJ	VYBER	2500	56129	\N	\N	\N
452298	1536	1998-01-26	PRIJEM	VKLAD	2700	49812	\N	\N	\N
452299	1536	1998-02-25	PRIJEM	VKLAD	100	51386	\N	\N	\N
452300	1536	1998-03-27	VYDAJ	VYBER	1000	62950	\N	\N	\N
452301	1536	1998-04-26	VYDAJ	VYBER	11800	63768	\N	\N	\N
452302	1536	1998-05-26	VYDAJ	VYBER	5100	71326	\N	\N	\N
452303	1536	1998-06-25	VYDAJ	VYBER	6900	66433	\N	\N	\N
452304	1536	1998-07-25	VYDAJ	VYBER	10800	65895	\N	\N	\N
452305	1536	1998-08-24	VYDAJ	VYBER	9200	69357	\N	\N	\N
452306	1536	1998-09-23	PRIJEM	VKLAD	11500	54465	\N	\N	\N
452307	1536	1998-10-23	VYDAJ	VYBER	1200	59281	\N	\N	\N
452308	1536	1998-11-22	PRIJEM	VKLAD	3900	63740	\N	\N	\N
452380	1537	1997-06-06	PRIJEM	VKLAD	200	200	\N	\N	\N
452387	1537	1997-07-05	PRIJEM	VKLAD	11065	11265	\N	\N	\N
452388	1537	1997-08-05	PRIJEM	VKLAD	11065	32705	\N	\N	\N
452389	1537	1997-09-05	PRIJEM	VKLAD	11065	39589	\N	\N	\N
452390	1537	1997-10-05	PRIJEM	VKLAD	11065	48713	\N	\N	\N
452391	1537	1997-11-05	PRIJEM	VKLAD	11065	51076	\N	\N	\N
452392	1537	1997-12-05	PRIJEM	VKLAD	16598	52771	\N	\N	\N
452393	1537	1998-01-05	PRIJEM	VKLAD	11065	49938	\N	\N	\N
452394	1537	1998-02-05	PRIJEM	VKLAD	11065	38667	\N	\N	\N
452395	1537	1998-03-05	PRIJEM	VKLAD	11065	42912	\N	\N	\N
452396	1537	1998-04-05	PRIJEM	VKLAD	11065	44837	\N	\N	\N
452397	1537	1998-05-05	PRIJEM	VKLAD	11065	48374	\N	\N	\N
452398	1537	1998-06-05	PRIJEM	VKLAD	16598	55457	\N	\N	\N
452399	1537	1998-07-05	PRIJEM	VKLAD	11065	36539	\N	\N	\N
452400	1537	1998-08-05	PRIJEM	VKLAD	11065	52532	\N	\N	\N
452401	1537	1998-09-05	PRIJEM	VKLAD	11065	61057	\N	\N	\N
452402	1537	1998-10-05	PRIJEM	VKLAD	11065	64217	\N	\N	\N
452403	1537	1998-11-05	PRIJEM	VKLAD	11065	70491	\N	\N	\N
452404	1537	1998-12-05	PRIJEM	VKLAD	16598	74556	\N	\N	\N
452406	1537	1998-06-16	VYDAJ	VYBER	34400	21057	\N	\N	\N
452408	1537	1998-01-12	VYDAJ	VYBER	14560	35378	\N	\N	\N
452409	1537	1997-12-24	VYDAJ	VYBER	2400	50371	\N	\N	\N
452410	1537	1998-12-21	VYDAJ	VYBER	4000	70556	\N	\N	\N
452413	1537	1998-11-17	VYDAJ	VYBER	1080	69411	\N	\N	\N
452414	1537	1998-01-15	VYDAJ	VYBER	4920	30458	\N	\N	\N
452415	1537	1998-06-22	VYDAJ	VYBER	3120	17937	\N	\N	\N
452416	1537	1998-02-24	VYDAJ	VYBER	2160	36507	\N	\N	\N
452428	1537	1997-11-30	VYDAJ	VYBER	15	51273	SLUZBY	\N	\N
452429	1537	1997-12-31	VYDAJ	VYBER	15	50573	SLUZBY	\N	\N
452430	1537	1998-01-31	VYDAJ	VYBER	15	30602	SLUZBY	\N	\N
452431	1537	1998-02-28	VYDAJ	VYBER	15	36647	SLUZBY	\N	\N
452432	1537	1998-03-31	VYDAJ	VYBER	15	43072	SLUZBY	\N	\N
452433	1537	1998-04-30	VYDAJ	VYBER	15	45009	SLUZBY	\N	\N
452434	1537	1998-05-31	VYDAJ	VYBER	15	48559	SLUZBY	\N	\N
452435	1537	1998-06-30	VYDAJ	VYBER	15	18074	SLUZBY	\N	\N
452436	1537	1998-07-31	VYDAJ	VYBER	15	41467	SLUZBY	\N	\N
452437	1537	1998-08-31	VYDAJ	VYBER	15	49992	SLUZBY	\N	\N
452438	1537	1998-09-30	VYDAJ	VYBER	15	53152	SLUZBY	\N	\N
452439	1537	1998-10-31	VYDAJ	VYBER	15	59426	SLUZBY	\N	\N
452440	1537	1998-11-30	VYDAJ	VYBER	15	57958	SLUZBY	\N	\N
452441	1537	1997-07-06	PRIJEM	VKLAD	10300	21565	\N	\N	\N
452442	1537	1997-08-05	VYDAJ	VYBER	3300	29405	\N	\N	\N
452443	1537	1997-09-04	VYDAJ	VYBER	1000	28524	\N	\N	\N
452444	1537	1997-10-04	VYDAJ	VYBER	2100	37648	\N	\N	\N
452445	1537	1997-11-03	VYDAJ	VYBER	8900	40011	\N	\N	\N
452446	1537	1997-12-03	VYDAJ	VYBER	15100	36173	\N	\N	\N
452447	1537	1998-01-02	VYDAJ	VYBER	11700	38873	\N	\N	\N
452448	1537	1998-02-01	VYDAJ	VYBER	3000	27602	\N	\N	\N
452449	1537	1998-03-03	VYDAJ	VYBER	4800	31847	\N	\N	\N
452450	1537	1998-04-02	VYDAJ	VYBER	9300	33772	\N	\N	\N
452451	1537	1998-05-02	VYDAJ	VYBER	7700	37309	\N	\N	\N
452452	1537	1998-06-01	VYDAJ	VYBER	9700	38859	\N	\N	\N
452453	1537	1998-07-01	PRIJEM	VKLAD	7400	25474	\N	\N	\N
452454	1537	1998-07-31	PRIJEM	VKLAD	4800	41482	\N	\N	\N
452455	1537	1998-08-30	VYDAJ	VYBER	2700	49832	\N	\N	\N
452456	1537	1998-09-29	VYDAJ	VYBER	8100	52957	\N	\N	\N
452457	1537	1998-10-29	VYDAJ	VYBER	5000	59217	\N	\N	\N
452458	1537	1998-11-28	VYDAJ	VYBER	11700	57711	\N	\N	\N
452477	1538	1996-09-20	PRIJEM	VKLAD	800	800	\N	\N	\N
452479	1538	1996-09-25	PRIJEM	VKLAD	11229	53229	\N	\N	\N
452485	1538	1996-12-02	PRIJEM	VKLAD	46311	82603	\N	\N	\N
452488	1538	1996-09-21	PRIJEM	VKLAD	41200	42000	\N	\N	\N
452489	1538	1996-10-02	PRIJEM	VKLAD	9467	62764	\N	\N	\N
452490	1538	1996-11-02	PRIJEM	VKLAD	45290	109421	\N	\N	\N
452492	1538	1996-12-22	PRIJEM	VKLAD	48386	97101	\N	\N	\N
452495	1538	1996-11-13	PRIJEM	VKLAD	5498	86319	\N	\N	\N
452497	1538	1996-10-25	PRIJEM	VKLAD	21443	63907	\N	\N	\N
452498	1538	1996-11-18	PRIJEM	VKLAD	10783	84714	\N	\N	\N
452504	1538	1997-05-08	PRIJEM	VKLAD	46219	120979	\N	\N	\N
452505	1538	1997-12-14	PRIJEM	VKLAD	29094	46059	\N	\N	\N
452506	1538	1997-07-30	PRIJEM	VKLAD	25844	59891	\N	\N	\N
452507	1538	1997-06-05	PRIJEM	VKLAD	26975	89729	\N	\N	\N
452508	1538	1997-08-06	PRIJEM	VKLAD	18052	63113	\N	\N	\N
452509	1538	1997-05-02	PRIJEM	VKLAD	13293	65905	\N	\N	\N
452510	1538	1997-05-18	PRIJEM	VKLAD	42939	141296	\N	\N	\N
452511	1538	1997-01-19	PRIJEM	VKLAD	39542	91342	\N	\N	\N
452512	1538	1997-12-17	PRIJEM	VKLAD	29590	55749	\N	\N	\N
452513	1538	1997-07-24	PRIJEM	VKLAD	13121	34047	\N	\N	\N
452514	1538	1997-11-06	PRIJEM	VKLAD	5223	16955	\N	\N	\N
452515	1538	1997-12-23	PRIJEM	VKLAD	49598	152841	\N	\N	\N
452516	1538	1997-08-19	PRIJEM	VKLAD	25573	54398	\N	\N	\N
452517	1538	1997-04-19	PRIJEM	VKLAD	26226	52453	\N	\N	\N
452518	1538	1997-11-24	PRIJEM	VKLAD	26538	33205	\N	\N	\N
452519	1538	1997-05-31	PRIJEM	VKLAD	46708	114937	\N	\N	\N
452520	1538	1997-05-14	PRIJEM	VKLAD	47066	98357	\N	\N	\N
452521	1538	1997-05-25	PRIJEM	VKLAD	17212	67908	\N	\N	\N
452522	1538	1997-04-08	PRIJEM	VKLAD	13301	47615	\N	\N	\N
452523	1538	1997-12-30	PRIJEM	VKLAD	43637	161078	\N	\N	\N
452524	1538	1997-01-02	PRIJEM	VKLAD	28966	109879	\N	\N	\N
452525	1538	1997-06-04	PRIJEM	VKLAD	30132	126554	\N	\N	\N
452526	1538	1997-01-09	PRIJEM	VKLAD	47009	137188	\N	\N	\N
452527	1538	1997-05-04	PRIJEM	VKLAD	8855	74760	\N	\N	\N
452528	1538	1997-12-19	PRIJEM	VKLAD	47494	103243	\N	\N	\N
452529	1538	1997-02-23	PRIJEM	VKLAD	30995	69947	\N	\N	\N
452530	1538	1998-06-03	PRIJEM	VKLAD	7694	97844	\N	\N	\N
452531	1538	1998-07-03	PRIJEM	VKLAD	27076	114494	\N	\N	\N
452532	1538	1998-05-04	PRIJEM	VKLAD	38750	73919	\N	\N	\N
452533	1538	1998-04-05	PRIJEM	VKLAD	6451	90617	\N	\N	\N
452534	1538	1998-09-13	PRIJEM	VKLAD	32006	66536	\N	\N	\N
452535	1538	1998-09-08	PRIJEM	VKLAD	25675	63930	\N	\N	\N
452536	1538	1998-02-13	PRIJEM	VKLAD	24249	60626	\N	\N	\N
452537	1538	1998-05-30	PRIJEM	VKLAD	38936	89858	\N	\N	\N
452538	1538	1998-04-07	PRIJEM	VKLAD	36310	126927	\N	\N	\N
452539	1538	1998-08-11	PRIJEM	VKLAD	36856	128325	\N	\N	\N
452540	1538	1998-12-15	PRIJEM	VKLAD	11899	21467	\N	\N	\N
452541	1538	1998-10-02	PRIJEM	VKLAD	35939	84590	\N	\N	\N
452542	1538	1998-06-24	PRIJEM	VKLAD	37679	87100	\N	\N	\N
452543	1538	1998-07-12	PRIJEM	VKLAD	34275	130169	\N	\N	\N
452544	1538	1998-03-01	PRIJEM	VKLAD	34594	85182	\N	\N	\N
452545	1538	1998-01-21	PRIJEM	VKLAD	23497	75097	\N	\N	\N
452546	1538	1998-03-22	PRIJEM	VKLAD	45450	84444	\N	\N	\N
452547	1538	1998-05-05	PRIJEM	VKLAD	11978	85897	\N	\N	\N
452548	1538	1998-10-23	PRIJEM	VKLAD	38742	74744	\N	\N	\N
452549	1538	1998-12-21	PRIJEM	VKLAD	14288	35755	\N	\N	\N
452550	1538	1998-05-19	PRIJEM	VKLAD	38729	112322	\N	\N	\N
452551	1538	1998-01-31	PRIJEM	VKLAD	6899	68065	\N	\N	\N
452552	1538	1998-03-27	PRIJEM	VKLAD	41767	126211	\N	\N	\N
452553	1538	1998-07-18	PRIJEM	VKLAD	30132	91122	\N	\N	\N
452554	1538	1998-05-14	PRIJEM	VKLAD	33884	73593	\N	\N	\N
452555	1538	1998-06-07	PRIJEM	VKLAD	31365	129209	\N	\N	\N
452556	1538	1998-07-16	PRIJEM	VKLAD	19609	60990	\N	\N	\N
452567	1538	1996-11-13	VYDAJ	PREVOD NA UCET	10288	76031	SIPO	IJ	9744745
452568	1538	1996-12-13	VYDAJ	PREVOD NA UCET	10288	72315	SIPO	IJ	9744745
452569	1538	1997-01-13	VYDAJ	PREVOD NA UCET	10288	86000	SIPO	IJ	9744745
452570	1538	1997-02-13	VYDAJ	PREVOD NA UCET	10288	52852	SIPO	IJ	9744745
452571	1538	1997-03-13	VYDAJ	PREVOD NA UCET	10288	54212	SIPO	IJ	9744745
452572	1538	1997-04-13	VYDAJ	PREVOD NA UCET	10288	37327	SIPO	IJ	9744745
452573	1538	1997-05-13	VYDAJ	PREVOD NA UCET	10288	51291	SIPO	IJ	9744745
452574	1538	1997-06-13	VYDAJ	PREVOD NA UCET	10288	79441	SIPO	IJ	9744745
452575	1538	1997-07-13	VYDAJ	PREVOD NA UCET	10288	32126	SIPO	IJ	9744745
452576	1538	1997-08-13	VYDAJ	PREVOD NA UCET	10288	52825	SIPO	IJ	9744745
452577	1538	1997-09-13	VYDAJ	PREVOD NA UCET	10288	37717	SIPO	IJ	9744745
452578	1538	1997-10-13	VYDAJ	PREVOD NA UCET	10288	11657	SIPO	IJ	9744745
452579	1538	1997-11-13	VYDAJ	PREVOD NA UCET	10288	6667	SIPO	IJ	9744745
452580	1538	1997-12-13	VYDAJ	PREVOD NA UCET	10288	16965	SIPO	IJ	9744745
452581	1538	1998-01-13	VYDAJ	PREVOD NA UCET	10288	93600	SIPO	IJ	9744745
452582	1538	1998-02-13	VYDAJ	PREVOD NA UCET	10288	50338	SIPO	IJ	9744745
452583	1538	1998-03-13	VYDAJ	PREVOD NA UCET	10288	74894	SIPO	IJ	9744745
452584	1538	1998-04-13	VYDAJ	PREVOD NA UCET	10288	34939	SIPO	IJ	9744745
452585	1538	1998-05-13	VYDAJ	PREVOD NA UCET	10288	39709	SIPO	IJ	9744745
452586	1538	1998-06-13	VYDAJ	PREVOD NA UCET	10288	49421	SIPO	IJ	9744745
452587	1538	1998-07-13	VYDAJ	PREVOD NA UCET	10288	41381	SIPO	IJ	9744745
452588	1538	1998-08-13	VYDAJ	PREVOD NA UCET	10288	38037	SIPO	IJ	9744745
452589	1538	1998-09-13	VYDAJ	PREVOD NA UCET	10288	56248	SIPO	IJ	9744745
452590	1538	1998-10-13	VYDAJ	PREVOD NA UCET	10288	36002	SIPO	IJ	9744745
452591	1538	1998-11-13	VYDAJ	PREVOD NA UCET	10288	19739	SIPO	IJ	9744745
452592	1538	1998-12-13	VYDAJ	PREVOD NA UCET	10288	9568	SIPO	IJ	9744745
452594	1538	1996-11-14	VYBER	VYBER	2100	73931	\N	\N	\N
452600	1538	1996-12-30	VYBER	VYBER	9834	80667	\N	\N	\N
452602	1538	1996-11-25	VYBER	VYBER	17279	36035	\N	\N	\N
452605	1538	1997-06-17	VYBER	VYBER	4838	74603	\N	\N	\N
452607	1538	1997-02-09	VYBER	VYBER	14247	63140	\N	\N	\N
452608	1538	1997-08-02	VYBER	VYBER	14968	45061	\N	\N	\N
452609	1538	1997-01-26	VYBER	VYBER	14341	77001	\N	\N	\N
452610	1538	1997-07-09	VYBER	VYBER	2170	42414	\N	\N	\N
452611	1538	1998-10-28	VYBER	VYBER	24905	49839	\N	\N	\N
452612	1538	1998-01-28	VYBER	VYBER	13931	61166	\N	\N	\N
452613	1538	1996-12-27	VYDAJ	VYBER	6600	90501	\N	\N	\N
452614	1538	1997-12-06	VYDAJ	VYBER	6000	27253	\N	\N	\N
452617	1538	1997-08-25	VYDAJ	VYBER	6600	47798	\N	\N	\N
452619	1538	1997-03-05	VYDAJ	VYBER	5700	64500	\N	\N	\N
452620	1538	1998-05-24	VYDAJ	VYBER	6900	50922	\N	\N	\N
452622	1538	1998-09-27	VYDAJ	VYBER	7800	48448	\N	\N	\N
452634	1538	1996-11-30	VYDAJ	VYBER	15	36292	SLUZBY	\N	\N
452635	1538	1996-12-31	VYDAJ	VYBER	15	80913	SLUZBY	\N	\N
452636	1538	1997-01-31	VYDAJ	VYBER	15	77387	SLUZBY	\N	\N
452637	1538	1997-02-28	VYDAJ	VYBER	15	70200	SLUZBY	\N	\N
452638	1538	1997-03-31	VYDAJ	VYBER	15	34314	SLUZBY	\N	\N
452639	1538	1997-04-30	VYDAJ	VYBER	15	52612	SLUZBY	\N	\N
452640	1538	1997-05-31	VYDAJ	VYBER	15	114922	SLUZBY	\N	\N
452641	1538	1997-06-30	VYDAJ	VYBER	15	44584	SLUZBY	\N	\N
452642	1538	1997-07-31	VYDAJ	VYBER	15	60029	SLUZBY	\N	\N
452643	1538	1997-08-31	VYDAJ	VYBER	15	48005	SLUZBY	\N	\N
452644	1538	1997-09-30	VYDAJ	VYBER	15	21945	SLUZBY	\N	\N
452645	1538	1997-10-31	VYDAJ	VYBER	15	11732	SLUZBY	\N	\N
452646	1538	1997-11-30	VYDAJ	VYBER	15	33253	SLUZBY	\N	\N
452647	1538	1997-12-31	VYDAJ	VYBER	15	103888	SLUZBY	\N	\N
452648	1538	1998-01-31	VYDAJ	VYBER	15	68377	SLUZBY	\N	\N
452649	1538	1998-02-28	VYDAJ	VYBER	15	50588	SLUZBY	\N	\N
452650	1538	1998-03-31	VYDAJ	VYBER	15	84166	SLUZBY	\N	\N
452651	1538	1998-04-30	VYDAJ	VYBER	15	35169	SLUZBY	\N	\N
452652	1538	1998-05-31	VYDAJ	VYBER	15	90150	SLUZBY	\N	\N
452653	1538	1998-06-30	VYDAJ	VYBER	15	87418	SLUZBY	\N	\N
452654	1538	1998-07-31	VYDAJ	VYBER	15	91469	SLUZBY	\N	\N
452655	1538	1998-08-31	VYDAJ	VYBER	15	38255	SLUZBY	\N	\N
452656	1538	1998-09-30	VYDAJ	VYBER	15	48651	SLUZBY	\N	\N
452657	1538	1998-10-31	VYDAJ	VYBER	15	50027	SLUZBY	\N	\N
452658	1538	1998-11-30	VYDAJ	VYBER	15	19856	SLUZBY	\N	\N
452659	1538	1996-10-20	VYDAJ	VYBER	20300	42464	\N	\N	\N
452660	1538	1996-11-02	VYDAJ	VYBER	28600	80821	\N	\N	\N
452661	1538	1996-11-19	VYDAJ	VYBER	31400	53314	\N	\N	\N
452662	1538	1996-12-19	VYDAJ	VYBER	23600	48715	\N	\N	\N
452663	1538	1997-01-02	VYDAJ	VYBER	19700	90179	\N	\N	\N
452664	1538	1997-01-09	VYDAJ	VYBER	40900	96288	\N	\N	\N
452665	1538	1997-01-18	VYDAJ	VYBER	34200	51800	\N	\N	\N
452666	1538	1997-02-17	VYDAJ	VYBER	13900	38952	\N	\N	\N
452667	1538	1997-03-19	VYDAJ	VYBER	20100	34112	\N	\N	\N
452668	1538	1997-04-18	VYDAJ	VYBER	11100	26227	\N	\N	\N
452669	1538	1997-05-08	VYDAJ	VYBER	59400	61579	\N	\N	\N
452670	1538	1997-05-18	VYDAJ	VYBER	62700	50696	\N	\N	\N
452671	1538	1997-05-18	VYDAJ	VYBER	27900	113396	\N	\N	\N
452672	1538	1997-05-31	VYDAJ	VYBER	18500	96422	\N	\N	\N
452673	1538	1997-06-04	VYDAJ	VYBER	63800	62754	\N	\N	\N
452674	1538	1997-06-17	VYDAJ	VYBER	30300	44303	\N	\N	\N
452675	1538	1997-07-17	VYDAJ	VYBER	11200	20926	\N	\N	\N
452676	1538	1997-08-16	VYDAJ	VYBER	24000	28825	\N	\N	\N
452677	1538	1997-09-15	VYDAJ	VYBER	15900	21817	\N	\N	\N
452678	1538	1997-12-14	VYDAJ	VYBER	19900	26159	\N	\N	\N
452679	1538	1997-12-23	VYDAJ	VYBER	35400	117441	\N	\N	\N
452680	1538	1997-12-30	VYDAJ	VYBER	27800	133278	\N	\N	\N
452681	1538	1997-12-31	VYDAJ	VYBER	29700	103902	\N	\N	\N
452682	1538	1998-01-13	VYDAJ	VYBER	42000	51600	\N	\N	\N
452683	1538	1998-02-12	VYDAJ	VYBER	32000	36377	\N	\N	\N
452684	1538	1998-03-14	VYDAJ	VYBER	35900	38994	\N	\N	\N
452685	1538	1998-03-27	VYDAJ	VYBER	42300	83911	\N	\N	\N
452686	1538	1998-04-07	VYDAJ	VYBER	50400	76527	\N	\N	\N
452687	1538	1998-04-13	VYDAJ	VYBER	31300	45227	\N	\N	\N
452688	1538	1998-05-13	VYDAJ	VYBER	35900	49997	\N	\N	\N
452689	1538	1998-05-19	VYDAJ	VYBER	54500	57822	\N	\N	\N
452690	1538	1998-06-07	VYDAJ	VYBER	22200	107009	\N	\N	\N
452691	1538	1998-06-12	VYDAJ	VYBER	47300	59709	\N	\N	\N
452692	1538	1998-07-03	VYDAJ	VYBER	18600	95894	\N	\N	\N
452693	1538	1998-07-12	VYDAJ	VYBER	31900	51669	\N	\N	\N
452694	1538	1998-07-12	VYDAJ	VYBER	46600	83569	\N	\N	\N
452695	1538	1998-08-11	VYDAJ	VYBER	35000	48325	\N	\N	\N
452696	1538	1998-08-11	VYDAJ	VYBER	45000	83325	\N	\N	\N
452697	1538	1998-09-10	VYDAJ	VYBER	29400	34530	\N	\N	\N
452698	1538	1998-10-10	VYDAJ	VYBER	38300	46290	\N	\N	\N
452699	1538	1998-11-09	VYDAJ	VYBER	20000	30027	\N	\N	\N
452728	1539	1993-01-03	PRIJEM	VKLAD	600	600	\N	\N	\N
452729	1539	1993-07-09	PRIJEM	VKLAD	14458	28040	\N	\N	\N
452730	1539	1993-05-11	PRIJEM	VKLAD	24439	69045	\N	\N	\N
452731	1539	1993-05-24	PRIJEM	VKLAD	5912	86368	\N	\N	\N
452732	1539	1993-06-21	PRIJEM	VKLAD	11446	34645	\N	\N	\N
452733	1539	1993-07-16	PRIJEM	VKLAD	14234	42274	\N	\N	\N
452734	1539	1993-02-11	PRIJEM	VKLAD	43737	56237	\N	\N	\N
452735	1539	1993-05-20	PRIJEM	VKLAD	11411	80456	\N	\N	\N
452736	1539	1993-04-13	PRIJEM	VKLAD	32327	65349	\N	\N	\N
452738	1539	1994-01-19	PRIJEM	VKLAD	41788	36341	\N	\N	\N
452739	1539	1994-09-04	PRIJEM	VKLAD	9203	13255	\N	\N	\N
452740	1539	1994-05-04	PRIJEM	VKLAD	49184	67624	\N	\N	\N
452741	1539	1994-02-11	PRIJEM	VKLAD	10754	41833	\N	\N	\N
452742	1539	1994-10-19	PRIJEM	VKLAD	17987	33430	\N	\N	\N
452743	1539	1994-11-05	PRIJEM	VKLAD	43596	59028	\N	\N	\N
452744	1539	1994-09-18	PRIJEM	VKLAD	31114	38769	\N	\N	\N
452745	1539	1994-01-22	PRIJEM	VKLAD	49605	82046	\N	\N	\N
452746	1539	1994-05-26	PRIJEM	VKLAD	21055	82750	\N	\N	\N
452747	1539	1994-03-12	PRIJEM	VKLAD	11831	18495	\N	\N	\N
452748	1539	1994-06-16	PRIJEM	VKLAD	20893	42472	\N	\N	\N
452749	1539	1994-05-04	PRIJEM	VKLAD	8642	18440	\N	\N	\N
452750	1539	1994-04-23	PRIJEM	VKLAD	21568	20863	\N	\N	\N
452751	1539	1995-05-05	PRIJEM	VKLAD	44113	49257	\N	\N	\N
452752	1539	1995-10-08	PRIJEM	VKLAD	47421	41471	\N	\N	\N
452753	1539	1996-12-10	PRIJEM	VKLAD	35810	43480	\N	\N	\N
452754	1539	1996-08-08	PRIJEM	VKLAD	46981	53911	\N	\N	\N
452755	1539	1996-09-30	PRIJEM	VKLAD	43427	57209	\N	\N	\N
452756	1539	1996-04-03	PRIJEM	VKLAD	42084	81186	\N	\N	\N
452757	1539	1996-03-03	PRIJEM	VKLAD	13264	65190	\N	\N	\N
452758	1539	1996-03-17	PRIJEM	VKLAD	30796	95986	\N	\N	\N
452759	1539	1996-02-27	PRIJEM	VKLAD	48277	57444	\N	\N	\N
452760	1539	1996-08-19	PRIJEM	VKLAD	45343	83754	\N	\N	\N
452761	1539	1996-10-23	PRIJEM	VKLAD	39120	54887	\N	\N	\N
452762	1539	1996-01-26	PRIJEM	VKLAD	7251	26311	\N	\N	\N
452763	1539	1998-11-01	PRIJEM	VKLAD	6492	-4765	\N	\N	\N
452764	1539	1998-02-22	PRIJEM	VKLAD	41768	100517	\N	\N	\N
452765	1539	1998-08-26	PRIJEM	VKLAD	6866	-2029	\N	\N	\N
452766	1539	1998-06-06	PRIJEM	VKLAD	8775	71940	\N	\N	\N
452767	1539	1998-07-21	PRIJEM	VKLAD	12652	15258	\N	\N	\N
452768	1539	1998-05-22	PRIJEM	VKLAD	40302	78009	\N	\N	\N
452769	1539	1998-01-01	PRIJEM	VKLAD	21489	14682	\N	\N	\N
452770	1539	1998-11-13	PRIJEM	VKLAD	30738	17273	\N	\N	\N
452771	1539	1998-04-21	PRIJEM	VKLAD	33524	76951	\N	\N	\N
452772	1539	1998-03-24	PRIJEM	VKLAD	32019	47940	\N	\N	\N
452773	1539	1998-03-27	PRIJEM	VKLAD	26796	63336	\N	\N	\N
452774	1539	1998-01-27	PRIJEM	VKLAD	32140	45272	\N	\N	\N
452775	1539	1998-12-08	PRIJEM	VKLAD	33885	27958	\N	\N	\N
452776	1539	1998-04-18	PRIJEM	VKLAD	14921	43427	\N	\N	\N
452777	1539	1998-01-21	PRIJEM	VKLAD	49792	56274	\N	\N	\N
452778	1539	1998-05-02	PRIJEM	VKLAD	31022	108107	\N	\N	\N
452779	1539	1998-02-18	PRIJEM	VKLAD	41091	58749	\N	\N	\N
452780	1539	1998-09-05	PRIJEM	VKLAD	10211	927	\N	\N	\N
452781	1539	1998-03-30	PRIJEM	VKLAD	11309	65445	\N	\N	\N
452787	1539	1993-06-05	VYDAJ	VYBER	5300	33699	SIPO	\N	0
452788	1539	1993-07-03	VYDAJ	VYBER	7000	22982	SIPO	\N	0
452789	1539	1993-08-08	VYDAJ	VYBER	5700	21811	SIPO	\N	0
452790	1539	1993-08-30	VYDAJ	VYBER	6800	15011	SIPO	\N	0
452791	1539	1993-09-27	VYDAJ	VYBER	6500	-487	SIPO	\N	0
452792	1539	1993-11-11	VYDAJ	VYBER	4900	-3938	SIPO	\N	0
452793	1539	1993-12-15	VYDAJ	VYBER	5500	-5344	SIPO	\N	0
452794	1539	1994-01-11	VYDAJ	VYBER	5300	2953	SIPO	\N	0
452795	1539	1994-02-01	VYDAJ	VYBER	5900	39379	SIPO	\N	0
452796	1539	1994-03-08	VYDAJ	VYBER	5500	6664	SIPO	\N	0
452797	1539	1994-04-09	VYDAJ	VYBER	6400	-705	SIPO	\N	0
452798	1539	1994-04-28	VYDAJ	VYBER	4700	9863	SIPO	\N	0
452799	1539	1994-05-30	VYDAJ	VYBER	4400	39630	SIPO	\N	0
452800	1539	1994-07-07	VYDAJ	VYBER	6900	7189	SIPO	\N	0
452801	1539	1994-08-01	VYDAJ	VYBER	5200	-1269	SIPO	\N	0
452802	1539	1994-09-14	VYDAJ	VYBER	5600	7655	SIPO	\N	0
452803	1539	1994-10-01	VYDAJ	VYBER	6600	21543	SIPO	\N	0
452804	1539	1994-10-29	VYDAJ	VYBER	4600	15430	SIPO	\N	0
452805	1539	1994-12-16	VYDAJ	VYBER	6600	6609	SIPO	\N	0
452806	1539	1995-01-13	VYDAJ	VYBER	7100	366	SIPO	\N	0
452807	1539	1995-02-01	VYDAJ	VYBER	6100	5905	SIPO	\N	0
452808	1539	1995-03-09	VYDAJ	VYBER	7000	-3690	SIPO	\N	0
452809	1539	1995-04-05	VYDAJ	VYBER	4400	6017	SIPO	\N	0
452810	1539	1995-05-14	VYDAJ	VYBER	4700	44557	SIPO	\N	0
452811	1539	1995-06-01	VYDAJ	VYBER	5900	31724	SIPO	\N	0
452812	1539	1995-07-04	VYDAJ	VYBER	5700	6945	SIPO	\N	0
452813	1539	1995-08-15	VYDAJ	VYBER	5800	-410	SIPO	\N	0
452814	1539	1995-09-16	VYDAJ	VYBER	6400	-1080	SIPO	\N	0
452815	1539	1995-10-05	VYDAJ	VYBER	6400	-5951	SIPO	\N	0
452816	1539	1995-11-08	VYDAJ	VYBER	5500	19890	SIPO	\N	0
452817	1539	1995-11-27	VYDAJ	VYBER	4300	12903	SIPO	\N	0
452818	1539	1996-01-04	VYDAJ	VYBER	5400	4160	SIPO	\N	0
452819	1539	1996-02-04	VYDAJ	VYBER	6000	11367	SIPO	\N	0
452820	1539	1996-02-29	VYDAJ	VYBER	5500	51926	SIPO	\N	0
452821	1539	1996-03-31	VYDAJ	VYBER	7000	39102	SIPO	\N	0
452822	1539	1996-05-02	VYDAJ	VYBER	4400	44007	SIPO	\N	0
452823	1539	1996-06-13	VYDAJ	VYBER	6200	15658	SIPO	\N	0
452824	1539	1996-07-02	VYDAJ	VYBER	6500	9684	SIPO	\N	0
452825	1539	1996-08-14	VYDAJ	VYBER	7000	46911	SIPO	\N	0
452826	1539	1996-09-02	VYDAJ	VYBER	5500	54138	SIPO	\N	0
452827	1539	1996-10-15	VYDAJ	VYBER	6800	33260	SIPO	\N	0
452828	1539	1996-11-07	VYDAJ	VYBER	6700	15483	SIPO	\N	0
452829	1539	1996-12-08	VYDAJ	VYBER	5400	7670	SIPO	\N	0
452830	1539	1997-01-13	VYDAJ	VYBER	6300	11007	SIPO	\N	0
452831	1539	1997-02-14	VYDAJ	VYBER	4700	8549	SIPO	\N	0
452832	1539	1997-03-12	VYDAJ	VYBER	6100	-6219	SIPO	\N	0
452833	1539	1997-04-15	VYDAJ	VYBER	6600	6703	SIPO	\N	0
452834	1539	1997-05-12	VYDAJ	VYBER	6400	6437	SIPO	\N	0
452835	1539	1997-06-06	VYDAJ	VYBER	6300	67	SIPO	\N	0
452836	1539	1997-07-08	VYDAJ	VYBER	4700	-2510	SIPO	\N	0
452837	1539	1997-08-03	VYDAJ	VYBER	5500	-10510	SIPO	\N	0
452838	1539	1997-09-14	VYDAJ	VYBER	6700	8391	SIPO	\N	0
452839	1539	1997-10-04	VYDAJ	VYBER	7000	-7380	SIPO	\N	0
452841	1539	1997-12-07	VYDAJ	VYBER	7000	-13587	SIPO	\N	0
452842	1539	1998-01-05	VYDAJ	VYBER	6400	4382	SIPO	\N	0
452843	1539	1998-02-03	VYDAJ	VYBER	4400	36058	SIPO	\N	0
452844	1539	1998-03-14	VYDAJ	VYBER	5900	15921	SIPO	\N	0
452845	1539	1998-04-14	VYDAJ	VYBER	6500	28506	SIPO	\N	0
452846	1539	1998-05-12	VYDAJ	VYBER	6800	37707	SIPO	\N	0
452847	1539	1998-05-29	VYDAJ	VYBER	6600	63009	SIPO	\N	0
452848	1539	1998-07-01	VYDAJ	VYBER	5000	19306	SIPO	\N	0
452849	1539	1998-07-29	VYDAJ	VYBER	6800	8458	SIPO	\N	0
452850	1539	1998-09-16	VYDAJ	VYBER	5000	-4073	SIPO	\N	0
452852	1539	1998-11-07	VYDAJ	VYBER	5200	-13465	SIPO	\N	0
452853	1539	1998-12-01	VYDAJ	VYBER	4800	2573	SIPO	\N	0
452859	1539	1993-05-28	VYDAJ	VYBER	8400	58612	 	\N	0
452860	1539	1993-07-06	VYDAJ	VYBER	9400	13582	 	\N	0
452861	1539	1993-07-27	VYDAJ	VYBER	6700	35574	 	\N	0
452862	1539	1993-09-07	VYDAJ	VYBER	7800	6013	 	\N	0
452863	1539	1993-09-30	VYDAJ	VYBER	9300	-533	 	\N	0
452864	1539	1993-11-01	VYDAJ	VYBER	9800	962	 	\N	0
452865	1539	1993-12-02	VYDAJ	VYBER	9100	156	 	\N	0
452866	1539	1994-01-11	VYDAJ	VYBER	8400	-5447	 	\N	0
452867	1539	1994-02-02	VYDAJ	VYBER	8300	31079	 	\N	0
452868	1539	1994-03-08	VYDAJ	VYBER	8300	12164	 	\N	0
452869	1539	1994-03-27	VYDAJ	VYBER	9300	9195	 	\N	0
452870	1539	1994-04-26	VYDAJ	VYBER	6500	14363	 	\N	0
452871	1539	1994-06-01	VYDAJ	VYBER	7700	25479	 	\N	0
452872	1539	1994-07-03	VYDAJ	VYBER	9400	14089	 	\N	0
452873	1539	1994-07-27	VYDAJ	VYBER	9500	3989	 	\N	0
452874	1539	1994-08-30	VYDAJ	VYBER	6200	4131	 	\N	0
452875	1539	1994-10-10	VYDAJ	VYBER	6100	15443	 	\N	0
452876	1539	1994-10-28	VYDAJ	VYBER	8600	20030	 	\N	0
452877	1539	1994-11-30	VYDAJ	VYBER	9300	13309	 	\N	0
452878	1539	1994-12-30	VYDAJ	VYBER	6800	7509	 	\N	0
452879	1539	1995-02-05	VYDAJ	VYBER	8400	-2495	 	\N	0
452880	1539	1995-03-07	VYDAJ	VYBER	6300	3310	 	\N	0
452881	1539	1995-04-13	VYDAJ	VYBER	7500	-1483	 	\N	0
452882	1539	1995-05-01	VYDAJ	VYBER	6100	5144	 	\N	0
452883	1539	1995-06-12	VYDAJ	VYBER	7900	23824	 	\N	0
452884	1539	1995-07-03	VYDAJ	VYBER	9700	12645	 	\N	0
452885	1539	1995-07-31	VYDAJ	VYBER	8200	5490	 	\N	0
452886	1539	1995-08-26	VYDAJ	VYBER	9200	5390	 	\N	0
452887	1539	1995-10-04	VYDAJ	VYBER	8100	450	 	\N	0
452888	1539	1995-11-02	VYDAJ	VYBER	6500	25390	 	\N	0
452889	1539	1995-12-09	VYDAJ	VYBER	6800	6094	 	\N	0
452890	1539	1995-12-30	VYDAJ	VYBER	7200	12294	 	\N	0
452891	1539	1996-02-03	VYDAJ	VYBER	8900	17367	 	\N	0
452892	1539	1996-02-26	VYDAJ	VYBER	7700	9167	 	\N	0
452893	1539	1996-04-11	VYDAJ	VYBER	8200	72986	 	\N	0
452894	1539	1996-05-10	VYDAJ	VYBER	7100	36907	 	\N	0
452895	1539	1996-05-27	VYDAJ	VYBER	8400	21807	 	\N	0
452896	1539	1996-07-05	VYDAJ	VYBER	8700	984	 	\N	0
452897	1539	1996-08-02	VYDAJ	VYBER	8500	6930	 	\N	0
452898	1539	1996-08-29	VYDAJ	VYBER	9600	59528	 	\N	0
452899	1539	1996-10-02	VYDAJ	VYBER	9200	48060	 	\N	0
452900	1539	1996-10-29	VYDAJ	VYBER	7900	22108	 	\N	0
452901	1539	1996-11-25	VYDAJ	VYBER	8900	13083	 	\N	0
452902	1539	1997-01-11	VYDAJ	VYBER	7100	2907	 	\N	0
452903	1539	1997-02-03	VYDAJ	VYBER	8000	249	 	\N	0
452904	1539	1997-02-23	VYDAJ	VYBER	8600	-51	 	\N	0
452905	1539	1997-04-14	VYDAJ	VYBER	6300	13303	 	\N	0
452906	1539	1997-05-10	VYDAJ	VYBER	6100	537	 	\N	0
452907	1539	1997-06-14	VYDAJ	VYBER	9900	2267	 	\N	0
452908	1539	1997-07-08	VYDAJ	VYBER	8700	-11210	 	\N	0
452909	1539	1997-07-29	VYDAJ	VYBER	6600	-4910	 	\N	0
452910	1539	1997-09-14	VYDAJ	VYBER	8700	-309	 	\N	0
452911	1539	1997-10-12	VYDAJ	VYBER	6500	-13880	 	\N	0
452913	1539	1997-11-28	VYDAJ	VYBER	7000	-6363	 	\N	0
452914	1539	1997-12-26	VYDAJ	VYBER	7200	-6687	 	\N	0
452915	1539	1998-02-13	VYDAJ	VYBER	6900	17658	 	\N	0
452916	1539	1998-03-09	VYDAJ	VYBER	9300	21821	 	\N	0
452917	1539	1998-03-27	VYDAJ	VYBER	9200	54136	 	\N	0
452918	1539	1998-05-11	VYDAJ	VYBER	6800	44507	 	\N	0
452919	1539	1998-05-28	VYDAJ	VYBER	8400	69609	 	\N	0
452920	1539	1998-06-26	VYDAJ	VYBER	8400	24140	 	\N	0
452921	1539	1998-08-04	VYDAJ	VYBER	9700	-1295	 	\N	0
452922	1539	1998-08-29	VYDAJ	VYBER	7100	-9129	 	\N	0
452923	1539	1998-10-07	VYDAJ	VYBER	6900	-11127	 	\N	0
452924	1539	1998-11-01	VYDAJ	VYBER	6300	-11065	 	\N	0
452925	1539	1998-11-25	VYDAJ	VYBER	9800	7473	 	\N	0
452928	1539	1993-05-26	VYBER	VYBER	19356	67012	\N	\N	\N
452933	1539	1994-11-30	VYBER	VYBER	8759	22609	\N	\N	\N
452934	1539	1994-02-21	VYBER	VYBER	7481	20737	\N	\N	\N
452935	1539	1994-02-17	VYBER	VYBER	13615	28218	\N	\N	\N
452936	1539	1994-01-22	VYBER	VYBER	9063	72983	\N	\N	\N
452938	1539	1994-05-17	VYBER	VYBER	5929	61695	\N	\N	\N
452941	1539	1994-05-28	VYBER	VYBER	13920	68830	\N	\N	\N
452943	1539	1994-11-11	VYBER	VYBER	8391	39537	\N	\N	\N
452945	1539	1994-06-24	VYBER	VYBER	17006	25466	\N	\N	\N
452946	1539	1994-03-31	VYBER	VYBER	4867	5795	\N	\N	\N
452947	1539	1995-11-20	VYBER	VYBER	7787	17203	\N	\N	\N
452953	1539	1996-10-26	VYBER	VYBER	10376	30008	\N	\N	\N
452954	1539	1996-09-20	VYBER	VYBER	20556	13782	\N	\N	\N
452955	1539	1996-10-25	VYBER	VYBER	14503	40384	\N	\N	\N
452957	1539	1996-12-11	VYBER	VYBER	16948	26532	\N	\N	\N
452960	1539	1996-06-24	VYBER	VYBER	6063	16195	\N	\N	\N
452962	1539	1996-08-20	VYBER	VYBER	3633	80121	\N	\N	\N
452963	1539	1996-10-19	VYBER	VYBER	17493	15767	\N	\N	\N
452964	1539	1996-08-23	VYBER	VYBER	10993	69128	\N	\N	\N
452979	1539	1998-04-06	VYBER	VYBER	5380	60106	\N	\N	\N
452981	1539	1998-01-26	VYBER	VYBER	23642	19132	\N	\N	\N
452982	1539	1998-12-25	VYBER	VYBER	19073	8885	\N	\N	\N
452996	1539	1998-01-21	VYDAJ	VYBER	13500	42774	\N	\N	\N
452998	1539	1994-12-29	VYDAJ	VYBER	2700	14309	\N	\N	\N
453000	1539	1996-12-14	VYDAJ	VYBER	6000	22032	\N	\N	\N
453002	1539	1998-12-03	VYDAJ	VYBER	7500	-5927	\N	\N	\N
453009	1539	1994-01-19	VYDAJ	VYBER	3900	32441	\N	\N	\N
453011	1539	1994-01-28	VYDAJ	VYBER	2700	45283	\N	\N	\N
453021	1539	1996-01-02	VYDAJ	VYBER	2700	9560	\N	\N	\N
453032	1539	1997-01-15	VYDAJ	VYBER	2700	8307	\N	\N	\N
453034	1539	1998-01-26	VYDAJ	VYBER	1800	13132	\N	\N	\N
453036	1539	1998-01-26	VYDAJ	VYBER	4200	14932	\N	\N	\N
453037	1539	1998-01-01	VYDAJ	VYBER	3900	10782	\N	\N	\N
453041	1539	1993-06-08	VYDAJ	VYBER	10500	23199	\N	\N	\N
453044	1539	1994-11-09	VYDAJ	VYBER	11100	47928	\N	\N	\N
453045	1539	1994-06-05	VYDAJ	VYBER	3900	21579	\N	\N	\N
453049	1539	1994-06-01	VYDAJ	VYBER	6600	33179	\N	\N	\N
453054	1539	1996-12-23	VYDAJ	VYBER	12000	10032	\N	\N	\N
453055	1539	1996-09-05	VYDAJ	VYBER	7200	46938	\N	\N	\N
453056	1539	1996-03-19	VYDAJ	VYBER	14100	45986	\N	\N	\N
453062	1539	1998-03-24	VYDAJ	VYBER	11400	36540	\N	\N	\N
453063	1539	1998-08-04	VYDAJ	VYBER	2100	-3395	\N	\N	\N
453065	1539	1998-01-30	VYDAJ	VYBER	4800	40472	\N	\N	\N
453071	1539	1993-05-31	VYDAJ	VYBER	100	58799	SLUZBY	\N	\N
453072	1539	1993-06-30	VYDAJ	VYBER	100	34682	SLUZBY	\N	\N
453073	1539	1993-07-31	VYDAJ	VYBER	100	35611	SLUZBY	\N	\N
453074	1539	1993-08-31	VYDAJ	VYBER	100	15013	SLUZBY	\N	\N
453075	1539	1993-09-30	VYDAJ	VYBER	100	-633	SLUZBY	\N	\N
453076	1539	1993-10-31	VYDAJ	VYBER	100	10768	SLUZBY	\N	\N
453077	1539	1993-11-30	VYDAJ	VYBER	100	9280	SLUZBY	\N	\N
453078	1539	1993-12-31	VYDAJ	VYBER	100	8277	SLUZBY	\N	\N
453079	1539	1994-01-31	VYDAJ	VYBER	100	45293	SLUZBY	\N	\N
453080	1539	1994-02-28	VYDAJ	VYBER	100	20464	SLUZBY	\N	\N
453081	1539	1994-03-31	VYDAJ	VYBER	100	5695	SLUZBY	\N	\N
453082	1539	1994-04-30	VYDAJ	VYBER	100	9798	SLUZBY	\N	\N
453083	1539	1994-05-31	VYDAJ	VYBER	100	39779	SLUZBY	\N	\N
453084	1539	1994-06-30	VYDAJ	VYBER	100	23489	SLUZBY	\N	\N
453085	1539	1994-07-31	VYDAJ	VYBER	100	3931	SLUZBY	\N	\N
453086	1539	1994-08-31	VYDAJ	VYBER	100	4052	SLUZBY	\N	\N
453087	1539	1994-09-30	VYDAJ	VYBER	100	28143	SLUZBY	\N	\N
453088	1539	1994-10-31	VYDAJ	VYBER	100	15432	SLUZBY	\N	\N
453089	1539	1994-11-30	VYDAJ	VYBER	100	13209	SLUZBY	\N	\N
453090	1539	1994-12-31	VYDAJ	VYBER	100	7466	SLUZBY	\N	\N
453091	1539	1995-01-31	VYDAJ	VYBER	100	12005	SLUZBY	\N	\N
453092	1539	1995-02-28	VYDAJ	VYBER	100	9623	SLUZBY	\N	\N
453093	1539	1995-03-31	VYDAJ	VYBER	100	10432	SLUZBY	\N	\N
453094	1539	1995-04-30	VYDAJ	VYBER	100	11248	SLUZBY	\N	\N
453095	1539	1995-05-31	VYDAJ	VYBER	100	37624	SLUZBY	\N	\N
453096	1539	1995-06-30	VYDAJ	VYBER	100	22345	SLUZBY	\N	\N
453097	1539	1995-07-31	VYDAJ	VYBER	100	5390	SLUZBY	\N	\N
453098	1539	1995-08-31	VYDAJ	VYBER	100	5320	SLUZBY	\N	\N
453099	1539	1995-09-30	VYDAJ	VYBER	100	8550	SLUZBY	\N	\N
453100	1539	1995-10-31	VYDAJ	VYBER	100	31895	SLUZBY	\N	\N
453101	1539	1995-11-30	VYDAJ	VYBER	100	12894	SLUZBY	\N	\N
453102	1539	1995-12-31	VYDAJ	VYBER	100	12260	SLUZBY	\N	\N
453103	1539	1996-01-31	VYDAJ	VYBER	100	26267	SLUZBY	\N	\N
453104	1539	1996-02-29	VYDAJ	VYBER	100	57426	SLUZBY	\N	\N
453105	1539	1996-03-31	VYDAJ	VYBER	100	46102	SLUZBY	\N	\N
453106	1539	1996-04-30	VYDAJ	VYBER	100	48407	SLUZBY	\N	\N
453107	1539	1996-05-31	VYDAJ	VYBER	100	21858	SLUZBY	\N	\N
453108	1539	1996-06-30	VYDAJ	VYBER	100	16184	SLUZBY	\N	\N
453109	1539	1996-07-31	VYDAJ	VYBER	100	15430	SLUZBY	\N	\N
453110	1539	1996-08-31	VYDAJ	VYBER	100	59638	SLUZBY	\N	\N
453111	1539	1996-09-30	VYDAJ	VYBER	100	57260	SLUZBY	\N	\N
453112	1539	1996-10-31	VYDAJ	VYBER	100	22183	SLUZBY	\N	\N
453113	1539	1996-11-30	VYDAJ	VYBER	100	13070	SLUZBY	\N	\N
453114	1539	1996-12-31	VYDAJ	VYBER	100	10007	SLUZBY	\N	\N
453115	1539	1997-01-31	VYDAJ	VYBER	100	8249	SLUZBY	\N	\N
453116	1539	1997-02-28	VYDAJ	VYBER	100	-119	SLUZBY	\N	\N
453117	1539	1997-03-31	VYDAJ	VYBER	100	7403	SLUZBY	\N	\N
453118	1539	1997-04-30	VYDAJ	VYBER	100	6637	SLUZBY	\N	\N
453119	1539	1997-05-31	VYDAJ	VYBER	100	6367	SLUZBY	\N	\N
453120	1539	1997-06-30	VYDAJ	VYBER	100	2190	SLUZBY	\N	\N
453121	1539	1997-07-31	VYDAJ	VYBER	100	-5001	SLUZBY	\N	\N
453122	1539	1997-08-31	VYDAJ	VYBER	100	3603	SLUZBY	\N	\N
453123	1539	1997-09-30	VYDAJ	VYBER	100	-380	SLUZBY	\N	\N
453124	1539	1997-10-31	VYDAJ	VYBER	100	-13979	SLUZBY	\N	\N
453125	1539	1997-11-30	VYDAJ	VYBER	100	-6587	SLUZBY	\N	\N
453126	1539	1997-12-31	VYDAJ	VYBER	100	-6783	SLUZBY	\N	\N
453127	1539	1998-01-31	VYDAJ	VYBER	100	40458	SLUZBY	\N	\N
453128	1539	1998-02-28	VYDAJ	VYBER	100	39121	SLUZBY	\N	\N
453129	1539	1998-03-31	VYDAJ	VYBER	100	65486	SLUZBY	\N	\N
453130	1539	1998-04-30	VYDAJ	VYBER	100	77085	SLUZBY	\N	\N
453131	1539	1998-05-31	VYDAJ	VYBER	100	63165	SLUZBY	\N	\N
453132	1539	1998-06-30	VYDAJ	VYBER	100	24306	SLUZBY	\N	\N
453133	1539	1998-07-31	VYDAJ	VYBER	100	8405	SLUZBY	\N	\N
453134	1539	1998-08-31	VYDAJ	VYBER	100	-9284	SLUZBY	\N	\N
453135	1539	1998-09-30	VYDAJ	VYBER	100	-4173	SLUZBY	\N	\N
453136	1539	1998-10-31	VYDAJ	VYBER	100	-11227	SLUZBY	\N	\N
453137	1539	1998-11-30	VYDAJ	VYBER	100	7412	SLUZBY	\N	\N
453138	1539	1993-02-02	PRIJEM	VKLAD	11900	12500	\N	\N	\N
453139	1539	1993-03-04	VYDAJ	VYBER	13400	42988	\N	\N	\N
453140	1539	1993-04-03	VYDAJ	VYBER	10200	33022	\N	\N	\N
453141	1539	1993-05-03	VYDAJ	VYBER	21000	44606	\N	\N	\N
453142	1539	1993-06-02	VYDAJ	VYBER	19800	38999	\N	\N	\N
453143	1539	1993-07-02	VYDAJ	VYBER	4700	29982	\N	\N	\N
453144	1539	1993-08-01	VYDAJ	VYBER	8100	27511	\N	\N	\N
453145	1539	1993-08-31	VYDAJ	VYBER	1200	13813	\N	\N	\N
453146	1539	1993-09-30	PRIJEM	VKLAD	9200	8713	\N	\N	\N
453147	1539	1993-10-30	PRIJEM	VKLAD	11500	10867	\N	\N	\N
453148	1539	1993-11-29	PRIJEM	VKLAD	13300	9362	\N	\N	\N
453149	1539	1993-12-29	PRIJEM	VKLAD	13700	8356	\N	\N	\N
453150	1539	1994-01-28	VYDAJ	VYBER	25000	47983	\N	\N	\N
453151	1539	1994-02-27	VYDAJ	VYBER	300	20437	\N	\N	\N
453152	1539	1994-03-29	PRIJEM	VKLAD	1400	10595	\N	\N	\N
453153	1539	1994-04-28	PRIJEM	VKLAD	200	14563	\N	\N	\N
453154	1539	1994-05-28	VYDAJ	VYBER	24800	44030	\N	\N	\N
453155	1539	1994-06-27	VYDAJ	VYBER	2000	23466	\N	\N	\N
453156	1539	1994-07-27	PRIJEM	VKLAD	6300	13489	\N	\N	\N
453157	1539	1994-08-26	PRIJEM	VKLAD	11600	10331	\N	\N	\N
453158	1539	1994-09-25	VYDAJ	VYBER	10600	28169	\N	\N	\N
453159	1539	1994-10-25	VYDAJ	VYBER	4800	28630	\N	\N	\N
453160	1539	1994-11-24	VYDAJ	VYBER	8300	31237	\N	\N	\N
453161	1539	1994-12-24	PRIJEM	VKLAD	10400	17009	\N	\N	\N
453162	1539	1995-01-23	PRIJEM	VKLAD	11700	12066	\N	\N	\N
453163	1539	1995-02-22	PRIJEM	VKLAD	12200	9705	\N	\N	\N
453164	1539	1995-03-24	PRIJEM	VKLAD	14200	10510	\N	\N	\N
453165	1539	1995-04-23	PRIJEM	VKLAD	12800	11317	\N	\N	\N
453166	1539	1995-05-23	VYDAJ	VYBER	7000	37557	\N	\N	\N
453167	1539	1995-06-22	VYDAJ	VYBER	1500	22324	\N	\N	\N
453168	1539	1995-07-22	PRIJEM	VKLAD	6700	13645	\N	\N	\N
453169	1539	1995-08-21	PRIJEM	VKLAD	15000	14590	\N	\N	\N
453170	1539	1995-09-20	PRIJEM	VKLAD	9700	8620	\N	\N	\N
453171	1539	1995-10-20	VYDAJ	VYBER	9600	31871	\N	\N	\N
453172	1539	1995-11-19	PRIJEM	VKLAD	5100	24990	\N	\N	\N
453173	1539	1995-12-19	PRIJEM	VKLAD	13400	19494	\N	\N	\N
453174	1539	1996-01-18	PRIJEM	VKLAD	14900	19060	\N	\N	\N
453175	1539	1996-02-17	PRIJEM	VKLAD	5500	16867	\N	\N	\N
453176	1539	1996-03-18	VYDAJ	VYBER	35900	60086	\N	\N	\N
453177	1539	1996-04-17	VYDAJ	VYBER	24700	48286	\N	\N	\N
453178	1539	1996-05-17	VYDAJ	VYBER	6700	30207	\N	\N	\N
453179	1539	1996-06-16	PRIJEM	VKLAD	6600	22258	\N	\N	\N
453180	1539	1996-07-16	PRIJEM	VKLAD	14500	15484	\N	\N	\N
453181	1539	1996-08-15	VYDAJ	VYBER	8500	38411	\N	\N	\N
453182	1539	1996-09-14	VYDAJ	VYBER	12600	34338	\N	\N	\N
453183	1539	1996-10-14	VYDAJ	VYBER	8000	40060	\N	\N	\N
453184	1539	1996-11-13	PRIJEM	VKLAD	6500	21983	\N	\N	\N
453185	1539	1996-12-13	PRIJEM	VKLAD	1500	28032	\N	\N	\N
453186	1539	1997-01-12	PRIJEM	VKLAD	14400	17307	\N	\N	\N
453187	1539	1997-02-11	PRIJEM	VKLAD	13000	13249	\N	\N	\N
453188	1539	1997-03-13	PRIJEM	VKLAD	13700	7481	\N	\N	\N
453189	1539	1997-04-12	PRIJEM	VKLAD	12200	19603	\N	\N	\N
453190	1539	1997-05-12	PRIJEM	VKLAD	12300	12837	\N	\N	\N
453191	1539	1997-06-11	PRIJEM	VKLAD	12100	12167	\N	\N	\N
453192	1539	1997-07-11	PRIJEM	VKLAD	12900	1690	\N	\N	\N
453193	1539	1997-08-10	PRIJEM	VKLAD	14200	3690	\N	\N	\N
453194	1539	1997-09-09	PRIJEM	VKLAD	11500	15091	\N	\N	\N
453195	1539	1997-11-08	PRIJEM	VKLAD	14700	637	\N	\N	\N
453196	1539	1997-12-08	PRIJEM	VKLAD	14100	513	\N	\N	\N
453197	1539	1998-01-07	PRIJEM	VKLAD	2100	6482	\N	\N	\N
453198	1539	1998-02-06	VYDAJ	VYBER	11500	24558	\N	\N	\N
453199	1539	1998-02-22	VYDAJ	VYBER	61500	39017	\N	\N	\N
453200	1539	1998-03-08	VYDAJ	VYBER	8000	31121	\N	\N	\N
453201	1539	1998-04-07	VYDAJ	VYBER	25100	35006	\N	\N	\N
453202	1539	1998-05-02	VYDAJ	VYBER	20400	87707	\N	\N	\N
453203	1539	1998-05-07	VYDAJ	VYBER	36400	51307	\N	\N	\N
453204	1539	1998-06-06	VYDAJ	VYBER	39400	32540	\N	\N	\N
453205	1539	1998-07-06	VYDAJ	VYBER	16700	2606	\N	\N	\N
453206	1539	1998-08-05	VYDAJ	VYBER	5500	-8895	\N	\N	\N
453207	1539	1998-11-03	PRIJEM	VKLAD	2800	-8265	\N	\N	\N
453208	1539	1998-12-03	VYDAJ	VYBER	1000	1573	\N	\N	\N
453293	1540	1995-03-29	PRIJEM	VKLAD	500	500	\N	\N	\N
453297	1540	1995-04-14	PRIJEM	VKLAD	23345	23845	\N	\N	\N
453298	1540	1995-05-14	PRIJEM	VKLAD	23345	46100	\N	\N	\N
453299	1540	1995-06-14	PRIJEM	VKLAD	35018	71920	\N	\N	\N
453300	1540	1995-07-14	PRIJEM	VKLAD	23345	73826	\N	\N	\N
453301	1540	1995-08-14	PRIJEM	VKLAD	23345	75481	\N	\N	\N
453302	1540	1995-09-14	PRIJEM	VKLAD	23345	67958	\N	\N	\N
453303	1540	1995-10-14	PRIJEM	VKLAD	23345	63210	\N	\N	\N
453304	1540	1995-11-14	PRIJEM	VKLAD	23345	62845	\N	\N	\N
453305	1540	1995-12-14	PRIJEM	VKLAD	35018	73049	\N	\N	\N
453306	1540	1996-01-14	PRIJEM	VKLAD	23345	63000	\N	\N	\N
453307	1540	1996-02-14	PRIJEM	VKLAD	23345	63834	\N	\N	\N
453308	1540	1996-03-14	PRIJEM	VKLAD	23345	63666	\N	\N	\N
453309	1540	1996-04-14	PRIJEM	VKLAD	23345	64400	\N	\N	\N
453310	1540	1996-05-14	PRIJEM	VKLAD	23345	61436	\N	\N	\N
453311	1540	1996-06-14	PRIJEM	VKLAD	35018	74337	\N	\N	\N
453312	1540	1996-07-14	PRIJEM	VKLAD	23345	53652	\N	\N	\N
453313	1540	1996-08-14	PRIJEM	VKLAD	23345	57744	\N	\N	\N
453314	1540	1996-09-14	PRIJEM	VKLAD	23345	57651	\N	\N	\N
453315	1540	1996-10-14	PRIJEM	VKLAD	23345	52551	\N	\N	\N
453316	1540	1996-11-14	PRIJEM	VKLAD	23345	47828	\N	\N	\N
453317	1540	1996-12-14	PRIJEM	VKLAD	35018	56961	\N	\N	\N
453318	1540	1997-01-14	PRIJEM	VKLAD	23345	47737	\N	\N	\N
453319	1540	1997-02-14	PRIJEM	VKLAD	23345	49507	\N	\N	\N
453320	1540	1997-03-14	PRIJEM	VKLAD	23345	48772	\N	\N	\N
453321	1540	1997-04-14	PRIJEM	VKLAD	23345	47443	\N	\N	\N
453322	1540	1997-05-14	PRIJEM	VKLAD	23345	55117	\N	\N	\N
453323	1540	1997-06-14	PRIJEM	VKLAD	35018	58968	\N	\N	\N
453324	1540	1997-07-14	PRIJEM	VKLAD	23345	59145	\N	\N	\N
453325	1540	1997-08-14	PRIJEM	VKLAD	23345	60352	\N	\N	\N
453326	1540	1997-09-14	PRIJEM	VKLAD	23345	65870	\N	\N	\N
453327	1540	1997-10-14	PRIJEM	VKLAD	23345	67796	\N	\N	\N
453328	1540	1997-11-14	PRIJEM	VKLAD	23345	65833	\N	\N	\N
453329	1540	1997-12-14	PRIJEM	VKLAD	35018	86184	\N	\N	\N
453330	1540	1998-01-14	PRIJEM	VKLAD	23345	81418	\N	\N	\N
453331	1540	1998-02-14	PRIJEM	VKLAD	23345	80961	\N	\N	\N
453332	1540	1998-03-14	PRIJEM	VKLAD	23345	88602	\N	\N	\N
453333	1540	1998-04-14	PRIJEM	VKLAD	23345	87763	\N	\N	\N
453334	1540	1998-05-14	PRIJEM	VKLAD	23345	87243	\N	\N	\N
453335	1540	1998-06-14	PRIJEM	VKLAD	35018	91902	\N	\N	\N
453336	1540	1998-07-14	PRIJEM	VKLAD	23345	89785	\N	\N	\N
453337	1540	1998-08-14	PRIJEM	VKLAD	23345	90984	\N	\N	\N
453338	1540	1998-09-14	PRIJEM	VKLAD	23345	91482	\N	\N	\N
453339	1540	1998-10-14	PRIJEM	VKLAD	23345	97683	\N	\N	\N
453340	1540	1998-11-14	PRIJEM	VKLAD	23345	96190	\N	\N	\N
453341	1540	1998-12-14	PRIJEM	VKLAD	35018	105377	\N	\N	\N
453349	1540	1995-08-14	VYDAJ	PREVOD NA UCET	4540	70941	SIPO	IJ	33179605
453350	1540	1995-09-14	VYDAJ	PREVOD NA UCET	4540	63418	SIPO	IJ	33179605
453351	1540	1995-10-14	VYDAJ	PREVOD NA UCET	4540	58670	SIPO	IJ	33179605
453352	1540	1995-11-14	VYDAJ	PREVOD NA UCET	4540	58305	SIPO	IJ	33179605
453353	1540	1995-12-14	VYDAJ	PREVOD NA UCET	4540	68509	SIPO	IJ	33179605
453354	1540	1996-01-14	VYDAJ	PREVOD NA UCET	4540	58460	SIPO	IJ	33179605
453355	1540	1996-02-14	VYDAJ	PREVOD NA UCET	4540	59294	SIPO	IJ	33179605
453356	1540	1996-03-14	VYDAJ	PREVOD NA UCET	4540	59126	SIPO	IJ	33179605
453357	1540	1996-04-14	VYDAJ	PREVOD NA UCET	4540	59860	SIPO	IJ	33179605
453358	1540	1996-05-14	VYDAJ	PREVOD NA UCET	4540	56896	SIPO	IJ	33179605
453359	1540	1996-06-14	VYDAJ	PREVOD NA UCET	4540	69797	SIPO	IJ	33179605
453360	1540	1996-07-14	VYDAJ	PREVOD NA UCET	4540	49112	SIPO	IJ	33179605
453361	1540	1996-08-14	VYDAJ	PREVOD NA UCET	4540	53204	SIPO	IJ	33179605
453362	1540	1996-09-14	VYDAJ	PREVOD NA UCET	4540	53111	SIPO	IJ	33179605
453363	1540	1996-10-14	VYDAJ	PREVOD NA UCET	4540	48011	SIPO	IJ	33179605
453364	1540	1996-11-14	VYDAJ	PREVOD NA UCET	4540	43288	SIPO	IJ	33179605
453365	1540	1996-12-14	VYDAJ	PREVOD NA UCET	4540	52421	SIPO	IJ	33179605
453366	1540	1997-01-14	VYDAJ	PREVOD NA UCET	4540	43197	SIPO	IJ	33179605
453367	1540	1997-02-14	VYDAJ	PREVOD NA UCET	4540	44967	SIPO	IJ	33179605
453368	1540	1997-03-14	VYDAJ	PREVOD NA UCET	4540	44232	SIPO	IJ	33179605
453369	1540	1997-04-14	VYDAJ	PREVOD NA UCET	4540	42903	SIPO	IJ	33179605
453370	1540	1997-05-14	VYDAJ	PREVOD NA UCET	4540	50577	SIPO	IJ	33179605
453371	1540	1997-06-14	VYDAJ	PREVOD NA UCET	4540	54428	SIPO	IJ	33179605
453372	1540	1997-07-14	VYDAJ	PREVOD NA UCET	4540	54605	SIPO	IJ	33179605
453373	1540	1997-08-14	VYDAJ	PREVOD NA UCET	4540	55812	SIPO	IJ	33179605
453374	1540	1997-09-14	VYDAJ	PREVOD NA UCET	4540	61330	SIPO	IJ	33179605
453375	1540	1997-10-14	VYDAJ	PREVOD NA UCET	4540	63256	SIPO	IJ	33179605
453376	1540	1997-11-14	VYDAJ	PREVOD NA UCET	4540	61293	SIPO	IJ	33179605
453377	1540	1997-12-14	VYDAJ	PREVOD NA UCET	4540	81644	SIPO	IJ	33179605
453378	1540	1998-01-14	VYDAJ	PREVOD NA UCET	4540	76878	SIPO	IJ	33179605
453379	1540	1998-02-14	VYDAJ	PREVOD NA UCET	4540	76421	SIPO	IJ	33179605
453380	1540	1998-03-14	VYDAJ	PREVOD NA UCET	4540	84062	SIPO	IJ	33179605
453381	1540	1998-04-14	VYDAJ	PREVOD NA UCET	4540	83223	SIPO	IJ	33179605
453382	1540	1998-05-14	VYDAJ	PREVOD NA UCET	4540	82703	SIPO	IJ	33179605
453383	1540	1998-06-14	VYDAJ	PREVOD NA UCET	4540	87362	SIPO	IJ	33179605
453384	1540	1998-07-14	VYDAJ	PREVOD NA UCET	4540	85245	SIPO	IJ	33179605
453385	1540	1998-08-14	VYDAJ	PREVOD NA UCET	4540	86444	SIPO	IJ	33179605
453386	1540	1998-09-14	VYDAJ	PREVOD NA UCET	4540	86942	SIPO	IJ	33179605
453387	1540	1998-10-14	VYDAJ	PREVOD NA UCET	4540	93143	SIPO	IJ	33179605
453388	1540	1998-11-14	VYDAJ	PREVOD NA UCET	4540	91650	SIPO	IJ	33179605
453389	1540	1998-12-14	VYDAJ	PREVOD NA UCET	4540	100837	SIPO	IJ	33179605
453398	1540	1995-09-13	VYDAJ	PREVOD NA UCET	3057	44613	 	UV	76470201
453399	1540	1995-10-13	VYDAJ	PREVOD NA UCET	3057	39865	 	UV	76470201
453400	1540	1995-11-13	VYDAJ	PREVOD NA UCET	3057	39500	 	UV	76470201
453401	1540	1995-12-13	VYDAJ	PREVOD NA UCET	3057	38031	 	UV	76470201
453402	1540	1996-01-13	VYDAJ	PREVOD NA UCET	3057	39655	 	UV	76470201
453403	1540	1996-02-13	VYDAJ	PREVOD NA UCET	3057	40489	 	UV	76470201
453404	1540	1996-03-13	VYDAJ	PREVOD NA UCET	3057	40321	 	UV	76470201
453405	1540	1996-04-13	VYDAJ	PREVOD NA UCET	3057	41055	 	UV	76470201
453406	1540	1996-05-13	VYDAJ	PREVOD NA UCET	3057	38091	 	UV	76470201
453407	1540	1996-06-13	VYDAJ	PREVOD NA UCET	3057	39319	 	UV	76470201
453408	1540	1996-07-13	VYDAJ	PREVOD NA UCET	3057	30307	 	UV	76470201
453409	1540	1996-08-13	VYDAJ	PREVOD NA UCET	3057	34399	 	UV	76470201
453410	1540	1996-09-13	VYDAJ	PREVOD NA UCET	3057	34306	 	UV	76470201
453411	1540	1996-10-13	VYDAJ	PREVOD NA UCET	3057	29206	 	UV	76470201
453412	1540	1996-11-13	VYDAJ	PREVOD NA UCET	3057	24483	 	UV	76470201
453413	1540	1996-12-13	VYDAJ	PREVOD NA UCET	3057	21943	 	UV	76470201
453414	1540	1997-01-13	VYDAJ	PREVOD NA UCET	3057	24392	 	UV	76470201
453415	1540	1997-02-13	VYDAJ	PREVOD NA UCET	3057	26162	 	UV	76470201
453416	1540	1997-03-13	VYDAJ	PREVOD NA UCET	3057	25427	 	UV	76470201
453417	1540	1997-04-13	VYDAJ	PREVOD NA UCET	3057	24098	 	UV	76470201
453418	1540	1997-05-13	VYDAJ	PREVOD NA UCET	3057	31772	 	UV	76470201
453419	1540	1997-06-13	VYDAJ	PREVOD NA UCET	3057	23950	 	UV	76470201
453420	1540	1997-07-13	VYDAJ	PREVOD NA UCET	3057	35800	 	UV	76470201
453421	1540	1997-08-13	VYDAJ	PREVOD NA UCET	3057	37007	 	UV	76470201
453422	1540	1997-09-13	VYDAJ	PREVOD NA UCET	3057	42525	 	UV	76470201
453423	1540	1997-10-13	VYDAJ	PREVOD NA UCET	3057	44451	 	UV	76470201
453424	1540	1997-11-13	VYDAJ	PREVOD NA UCET	3057	42488	 	UV	76470201
453425	1540	1997-12-13	VYDAJ	PREVOD NA UCET	3057	56566	 	UV	76470201
453426	1540	1998-01-13	VYDAJ	PREVOD NA UCET	3057	58073	 	UV	76470201
453427	1540	1998-02-13	VYDAJ	PREVOD NA UCET	3057	57616	 	UV	76470201
453428	1540	1998-03-13	VYDAJ	PREVOD NA UCET	3057	65257	 	UV	76470201
453429	1540	1998-04-13	VYDAJ	PREVOD NA UCET	3057	64418	 	UV	76470201
453430	1540	1998-05-13	VYDAJ	PREVOD NA UCET	3057	63898	 	UV	76470201
453431	1540	1998-06-13	VYDAJ	PREVOD NA UCET	3057	56884	 	UV	76470201
453432	1540	1998-07-13	VYDAJ	PREVOD NA UCET	3057	69440	 	UV	76470201
453433	1540	1998-08-13	VYDAJ	PREVOD NA UCET	3057	67639	 	UV	76470201
453434	1540	1998-09-13	VYDAJ	PREVOD NA UCET	3057	68137	 	UV	76470201
453435	1540	1998-10-13	VYDAJ	PREVOD NA UCET	3057	74338	 	UV	76470201
453436	1540	1998-11-13	VYDAJ	PREVOD NA UCET	3057	72845	 	UV	76470201
453437	1540	1998-12-13	VYDAJ	PREVOD NA UCET	3057	70359	 	UV	76470201
453487	1540	1996-06-18	VYDAJ	VYBER	21800	47997	\N	\N	\N
453489	1540	1998-06-11	VYDAJ	VYBER	16900	63641	\N	\N	\N
453490	1540	1995-12-20	VYDAJ	VYBER	2900	65609	\N	\N	\N
453491	1540	1996-12-30	VYDAJ	VYBER	1900	34321	\N	\N	\N
453492	1540	1997-12-03	VYDAJ	VYBER	1900	59623	\N	\N	\N
453493	1540	1998-12-15	VYDAJ	VYBER	1800	99037	\N	\N	\N
453500	1540	1996-01-26	VYDAJ	VYBER	1600	43360	\N	\N	\N
453501	1540	1996-01-15	VYDAJ	VYBER	1700	56760	\N	\N	\N
453502	1540	1996-01-02	VYDAJ	VYBER	1000	47112	\N	\N	\N
453503	1540	1996-01-04	VYDAJ	VYBER	2500	44612	\N	\N	\N
453504	1540	1996-01-09	VYDAJ	VYBER	800	43812	\N	\N	\N
453505	1540	1996-01-10	VYDAJ	VYBER	1100	42712	\N	\N	\N
453506	1540	1997-01-27	VYDAJ	VYBER	2700	29097	\N	\N	\N
453507	1540	1997-01-11	VYDAJ	VYBER	700	28949	\N	\N	\N
453508	1540	1997-01-03	VYDAJ	VYBER	1800	32649	\N	\N	\N
453509	1540	1997-01-09	VYDAJ	VYBER	1800	29649	\N	\N	\N
453510	1540	1997-01-08	VYDAJ	VYBER	1200	31449	\N	\N	\N
453511	1540	1997-01-11	VYDAJ	VYBER	1500	27449	\N	\N	\N
453512	1540	1998-01-12	VYDAJ	VYBER	600	61130	\N	\N	\N
453513	1540	1998-01-15	VYDAJ	VYBER	700	76178	\N	\N	\N
453514	1540	1998-01-17	VYDAJ	VYBER	1800	74378	\N	\N	\N
453515	1540	1998-01-04	VYDAJ	VYBER	1200	76630	\N	\N	\N
453516	1540	1998-01-26	VYDAJ	VYBER	700	73678	\N	\N	\N
453517	1540	1998-01-03	VYDAJ	VYBER	2300	77830	\N	\N	\N
453521	1540	1996-10-19	VYDAJ	VYBER	4800	27411	\N	\N	\N
453522	1540	1996-12-11	VYDAJ	VYBER	2800	25000	\N	\N	\N
453523	1540	1996-10-12	VYDAJ	VYBER	3400	32263	\N	\N	\N
453524	1540	1996-08-26	VYDAJ	VYBER	1400	37204	\N	\N	\N
453525	1540	1997-05-22	VYDAJ	VYBER	1400	29977	\N	\N	\N
453526	1540	1997-03-06	VYDAJ	VYBER	3600	28484	\N	\N	\N
453527	1540	1997-08-09	VYDAJ	VYBER	2300	40064	\N	\N	\N
453528	1540	1997-12-25	VYDAJ	VYBER	1800	79844	\N	\N	\N
453529	1540	1997-05-22	VYDAJ	VYBER	2200	31377	\N	\N	\N
453530	1540	1997-04-11	VYDAJ	VYBER	4400	27155	\N	\N	\N
453531	1540	1997-05-28	VYDAJ	VYBER	3100	26877	\N	\N	\N
453532	1540	1998-01-26	VYDAJ	VYBER	1400	72278	\N	\N	\N
453533	1540	1998-07-13	VYDAJ	VYBER	3000	66440	\N	\N	\N
453534	1540	1998-06-11	VYDAJ	VYBER	3700	59941	\N	\N	\N
453535	1540	1998-03-21	VYDAJ	VYBER	4800	79262	\N	\N	\N
453544	1540	1995-08-31	VYDAJ	VYBER	15	47670	SLUZBY	\N	\N
453545	1540	1995-09-30	VYDAJ	VYBER	15	42922	SLUZBY	\N	\N
453546	1540	1995-10-31	VYDAJ	VYBER	15	42557	SLUZBY	\N	\N
453547	1540	1995-11-30	VYDAJ	VYBER	15	41088	SLUZBY	\N	\N
453548	1540	1995-12-31	VYDAJ	VYBER	15	48112	SLUZBY	\N	\N
453549	1540	1996-01-31	VYDAJ	VYBER	15	43546	SLUZBY	\N	\N
453550	1540	1996-02-29	VYDAJ	VYBER	15	43378	SLUZBY	\N	\N
453551	1540	1996-03-31	VYDAJ	VYBER	15	44112	SLUZBY	\N	\N
453552	1540	1996-04-30	VYDAJ	VYBER	15	41148	SLUZBY	\N	\N
453553	1540	1996-05-31	VYDAJ	VYBER	15	42376	SLUZBY	\N	\N
453554	1540	1996-06-30	VYDAJ	VYBER	15	33364	SLUZBY	\N	\N
453555	1540	1996-07-31	VYDAJ	VYBER	15	37456	SLUZBY	\N	\N
453556	1540	1996-08-31	VYDAJ	VYBER	15	37363	SLUZBY	\N	\N
453557	1540	1996-09-30	VYDAJ	VYBER	15	35663	SLUZBY	\N	\N
453558	1540	1996-10-31	VYDAJ	VYBER	15	27540	SLUZBY	\N	\N
453559	1540	1996-11-30	VYDAJ	VYBER	15	27800	SLUZBY	\N	\N
453560	1540	1996-12-31	VYDAJ	VYBER	15	34449	SLUZBY	\N	\N
453561	1540	1997-01-31	VYDAJ	VYBER	15	29219	SLUZBY	\N	\N
453562	1540	1997-02-28	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
453563	1540	1997-03-31	VYDAJ	VYBER	15	31555	SLUZBY	\N	\N
453564	1540	1997-04-30	VYDAJ	VYBER	15	34829	SLUZBY	\N	\N
453565	1540	1997-05-31	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
453566	1540	1997-06-30	VYDAJ	VYBER	15	38857	SLUZBY	\N	\N
453567	1540	1997-07-31	VYDAJ	VYBER	15	42364	SLUZBY	\N	\N
453568	1540	1997-08-31	VYDAJ	VYBER	15	45582	SLUZBY	\N	\N
453569	1540	1997-09-30	VYDAJ	VYBER	15	47508	SLUZBY	\N	\N
453570	1540	1997-10-31	VYDAJ	VYBER	15	50645	SLUZBY	\N	\N
453571	1540	1997-11-30	VYDAJ	VYBER	15	61523	SLUZBY	\N	\N
453572	1540	1997-12-31	VYDAJ	VYBER	15	80130	SLUZBY	\N	\N
453573	1540	1998-01-31	VYDAJ	VYBER	15	72573	SLUZBY	\N	\N
453574	1540	1998-02-28	VYDAJ	VYBER	15	76714	SLUZBY	\N	\N
453575	1540	1998-03-31	VYDAJ	VYBER	15	79575	SLUZBY	\N	\N
453576	1540	1998-04-30	VYDAJ	VYBER	15	83555	SLUZBY	\N	\N
453577	1540	1998-05-31	VYDAJ	VYBER	15	83041	SLUZBY	\N	\N
453578	1540	1998-06-30	VYDAJ	VYBER	15	87697	SLUZBY	\N	\N
453579	1540	1998-07-31	VYDAJ	VYBER	15	85596	SLUZBY	\N	\N
453580	1540	1998-08-31	VYDAJ	VYBER	15	86794	SLUZBY	\N	\N
453581	1540	1998-09-30	VYDAJ	VYBER	15	87295	SLUZBY	\N	\N
453582	1540	1998-10-31	VYDAJ	VYBER	15	93502	SLUZBY	\N	\N
453583	1540	1998-11-30	VYDAJ	VYBER	15	92016	SLUZBY	\N	\N
453584	1540	1995-04-28	VYDAJ	VYBER	1100	22745	\N	\N	\N
453585	1540	1995-05-28	VYDAJ	VYBER	9300	36800	\N	\N	\N
453586	1540	1995-06-27	VYDAJ	VYBER	21600	50320	\N	\N	\N
453587	1540	1995-07-27	VYDAJ	VYBER	21900	51926	\N	\N	\N
453588	1540	1995-08-26	VYDAJ	VYBER	23500	47441	\N	\N	\N
453589	1540	1995-09-25	VYDAJ	VYBER	20700	42718	\N	\N	\N
453590	1540	1995-10-25	VYDAJ	VYBER	16300	42370	\N	\N	\N
453591	1540	1995-11-24	VYDAJ	VYBER	17400	40905	\N	\N	\N
453592	1540	1995-12-24	VYDAJ	VYBER	17700	47909	\N	\N	\N
453593	1540	1996-01-23	VYDAJ	VYBER	11800	44960	\N	\N	\N
453594	1540	1996-02-22	VYDAJ	VYBER	16100	43194	\N	\N	\N
453595	1540	1996-03-23	VYDAJ	VYBER	15200	43926	\N	\N	\N
453596	1540	1996-04-22	VYDAJ	VYBER	18900	40960	\N	\N	\N
453597	1540	1996-05-22	VYDAJ	VYBER	14700	42196	\N	\N	\N
453598	1540	1996-06-21	VYDAJ	VYBER	14800	33197	\N	\N	\N
453599	1540	1996-07-21	VYDAJ	VYBER	11800	37312	\N	\N	\N
453600	1540	1996-08-20	VYDAJ	VYBER	14600	38604	\N	\N	\N
453601	1540	1996-09-19	VYDAJ	VYBER	17600	35511	\N	\N	\N
453602	1540	1996-10-19	VYDAJ	VYBER	15800	32211	\N	\N	\N
453603	1540	1996-11-18	VYDAJ	VYBER	15600	27688	\N	\N	\N
453604	1540	1996-12-18	VYDAJ	VYBER	16200	36221	\N	\N	\N
453605	1540	1997-01-17	VYDAJ	VYBER	11400	31797	\N	\N	\N
453606	1540	1997-02-16	VYDAJ	VYBER	13000	31967	\N	\N	\N
453607	1540	1997-03-18	VYDAJ	VYBER	12800	31432	\N	\N	\N
453608	1540	1997-04-17	VYDAJ	VYBER	8200	34703	\N	\N	\N
453609	1540	1997-05-17	VYDAJ	VYBER	17000	33577	\N	\N	\N
453610	1540	1997-06-16	VYDAJ	VYBER	15700	38728	\N	\N	\N
453611	1540	1997-07-16	VYDAJ	VYBER	12400	42205	\N	\N	\N
453612	1540	1997-08-15	VYDAJ	VYBER	10400	45412	\N	\N	\N
453613	1540	1997-09-14	VYDAJ	VYBER	14000	47330	\N	\N	\N
453614	1540	1997-10-14	VYDAJ	VYBER	12800	50456	\N	\N	\N
453615	1540	1997-11-13	VYDAJ	VYBER	5100	45545	\N	\N	\N
453616	1540	1997-12-13	VYDAJ	VYBER	5400	51166	\N	\N	\N
453617	1540	1998-01-12	VYDAJ	VYBER	14900	61730	\N	\N	\N
453618	1540	1998-02-11	VYDAJ	VYBER	11900	60673	\N	\N	\N
453619	1540	1998-03-13	VYDAJ	VYBER	8400	68314	\N	\N	\N
453620	1540	1998-04-12	VYDAJ	VYBER	12100	67475	\N	\N	\N
453621	1540	1998-05-12	VYDAJ	VYBER	16600	66955	\N	\N	\N
453622	1540	1998-06-11	VYDAJ	VYBER	2500	80541	\N	\N	\N
453623	1540	1998-07-11	VYDAJ	VYBER	15200	72497	\N	\N	\N
453624	1540	1998-08-10	VYDAJ	VYBER	14900	70696	\N	\N	\N
453625	1540	1998-09-09	VYDAJ	VYBER	15600	71194	\N	\N	\N
453626	1540	1998-10-09	VYDAJ	VYBER	9900	77395	\N	\N	\N
453627	1540	1998-11-08	VYDAJ	VYBER	17600	75902	\N	\N	\N
453628	1540	1998-12-08	VYDAJ	VYBER	18600	73416	\N	\N	\N
453674	1541	1996-10-18	PRIJEM	VKLAD	900	900	\N	\N	\N
453677	1541	1997-05-21	PRIJEM	VKLAD	46562	71988	\N	\N	\N
453678	1541	1997-10-27	PRIJEM	VKLAD	2846	20860	\N	\N	\N
453679	1541	1998-06-25	PRIJEM	VKLAD	44595	100366	\N	\N	\N
453680	1541	1998-06-17	PRIJEM	VKLAD	41130	59871	\N	\N	\N
453691	1541	1996-11-16	PRIJEM	VKLAD	500	1400	\N	\N	\N
453692	1541	1996-12-16	PRIJEM	VKLAD	500	13425	\N	\N	\N
453693	1541	1997-01-17	PRIJEM	VKLAD	500	18889	\N	\N	\N
453694	1541	1997-02-13	PRIJEM	VKLAD	500	21069	\N	\N	\N
453695	1541	1997-03-16	PRIJEM	VKLAD	500	21993	\N	\N	\N
453696	1541	1997-04-13	PRIJEM	VKLAD	500	26177	\N	\N	\N
453697	1541	1997-05-16	PRIJEM	VKLAD	500	28426	\N	\N	\N
453698	1541	1997-06-15	PRIJEM	VKLAD	500	44853	\N	\N	\N
453699	1541	1997-07-15	PRIJEM	VKLAD	500	31353	\N	\N	\N
453700	1541	1997-08-15	PRIJEM	VKLAD	500	21758	\N	\N	\N
453701	1541	1997-09-16	PRIJEM	VKLAD	500	18944	\N	\N	\N
453702	1541	1997-10-17	PRIJEM	VKLAD	500	18014	\N	\N	\N
453703	1541	1997-11-15	PRIJEM	VKLAD	500	20125	\N	\N	\N
453704	1541	1997-12-17	PRIJEM	VKLAD	500	23295	\N	\N	\N
453705	1541	1998-01-17	PRIJEM	VKLAD	500	19673	\N	\N	\N
453706	1541	1998-02-16	PRIJEM	VKLAD	500	20836	\N	\N	\N
453707	1541	1998-03-17	PRIJEM	VKLAD	500	23502	\N	\N	\N
453708	1541	1998-04-16	PRIJEM	VKLAD	500	28286	\N	\N	\N
453709	1541	1998-05-17	PRIJEM	VKLAD	500	30433	\N	\N	\N
453710	1541	1998-06-13	PRIJEM	VKLAD	500	30341	\N	\N	\N
453711	1541	1998-07-13	PRIJEM	VKLAD	500	62866	\N	\N	\N
453712	1541	1998-08-13	PRIJEM	VKLAD	500	43525	\N	\N	\N
453713	1541	1998-09-13	PRIJEM	VKLAD	500	33325	\N	\N	\N
453714	1541	1998-10-14	PRIJEM	VKLAD	500	28572	\N	\N	\N
453715	1541	1998-11-14	PRIJEM	VKLAD	500	21940	\N	\N	\N
453716	1541	1998-12-17	PRIJEM	VKLAD	500	17725	\N	\N	\N
453723	1541	1997-01-18	PRIJEM	VKLAD	1600	20489	\N	\N	\N
453724	1541	1997-02-18	PRIJEM	VKLAD	1600	22369	\N	\N	\N
453725	1541	1997-03-18	PRIJEM	VKLAD	1600	26493	\N	\N	\N
453726	1541	1997-04-18	PRIJEM	VKLAD	1600	27827	\N	\N	\N
453727	1541	1997-05-18	PRIJEM	VKLAD	1600	25426	\N	\N	\N
453728	1541	1997-06-18	PRIJEM	VKLAD	1600	30653	\N	\N	\N
453729	1541	1998-01-18	PRIJEM	VKLAD	1600	16573	\N	\N	\N
453730	1541	1998-02-18	PRIJEM	VKLAD	1600	22436	\N	\N	\N
453731	1541	1998-03-18	PRIJEM	VKLAD	1600	25102	\N	\N	\N
453732	1541	1998-04-18	PRIJEM	VKLAD	1600	29886	\N	\N	\N
453733	1541	1998-05-18	PRIJEM	VKLAD	1600	32033	\N	\N	\N
453734	1541	1998-06-18	PRIJEM	VKLAD	1600	55771	\N	\N	\N
453735	1541	1998-07-18	PRIJEM	VKLAD	1600	64466	\N	\N	\N
453736	1541	1998-08-18	PRIJEM	VKLAD	1600	45125	\N	\N	\N
453737	1541	1998-09-18	PRIJEM	VKLAD	1600	34925	\N	\N	\N
453738	1541	1998-10-18	PRIJEM	VKLAD	1600	30172	\N	\N	\N
453739	1541	1998-11-18	PRIJEM	VKLAD	1600	23540	\N	\N	\N
453740	1541	1998-12-18	PRIJEM	VKLAD	1600	19325	\N	\N	\N
453743	1541	1998-06-17	VYDAJ	VYBER	5700	54171	\N	\N	\N
453745	1541	1997-06-11	VYDAJ	VYBER	27800	44353	\N	\N	\N
453746	1541	1998-06-16	VYDAJ	VYBER	11600	18741	\N	\N	\N
453749	1541	1998-01-17	VYDAJ	VYBER	4700	14973	\N	\N	\N
453751	1541	1997-12-04	VYDAJ	VYBER	1800	18395	\N	\N	\N
453752	1541	1998-12-28	VYDAJ	VYBER	2400	16925	\N	\N	\N
453765	1541	1998-01-05	VYDAJ	VYBER	300	20073	\N	\N	\N
453766	1541	1998-01-15	VYDAJ	VYBER	1250	19173	\N	\N	\N
453767	1541	1998-01-02	VYDAJ	VYBER	400	22973	\N	\N	\N
453768	1541	1998-01-04	VYDAJ	VYBER	1400	21573	\N	\N	\N
453769	1541	1998-01-05	VYDAJ	VYBER	1200	20373	\N	\N	\N
453770	1541	1998-01-09	VYDAJ	VYBER	350	19723	\N	\N	\N
453777	1541	1997-04-16	VYDAJ	VYBER	1650	26227	\N	\N	\N
453778	1541	1997-02-23	VYDAJ	VYBER	950	21419	\N	\N	\N
453779	1541	1997-03-31	VYDAJ	VYBER	900	25677	\N	\N	\N
453780	1541	1998-04-23	VYDAJ	VYBER	2450	27436	\N	\N	\N
453781	1541	1998-07-25	VYDAJ	VYBER	2250	62216	\N	\N	\N
453782	1541	1998-11-03	VYDAJ	VYBER	1900	27840	\N	\N	\N
453783	1541	1998-10-19	VYDAJ	VYBER	550	29622	\N	\N	\N
453798	1541	1997-02-28	VYDAJ	VYBER	15	21493	SLUZBY	\N	\N
453799	1541	1997-03-31	VYDAJ	VYBER	15	26577	SLUZBY	\N	\N
453800	1541	1997-04-30	VYDAJ	VYBER	15	27926	SLUZBY	\N	\N
453801	1541	1997-05-31	VYDAJ	VYBER	15	72153	SLUZBY	\N	\N
453802	1541	1997-06-30	VYDAJ	VYBER	15	30853	SLUZBY	\N	\N
453803	1541	1997-07-31	VYDAJ	VYBER	15	27058	SLUZBY	\N	\N
453804	1541	1997-08-31	VYDAJ	VYBER	15	21844	SLUZBY	\N	\N
453805	1541	1997-09-30	VYDAJ	VYBER	15	19014	SLUZBY	\N	\N
453806	1541	1997-10-31	VYDAJ	VYBER	15	20925	SLUZBY	\N	\N
453807	1541	1997-11-30	VYDAJ	VYBER	15	20195	SLUZBY	\N	\N
453808	1541	1997-12-31	VYDAJ	VYBER	15	23373	SLUZBY	\N	\N
453809	1541	1998-01-31	VYDAJ	VYBER	15	16636	SLUZBY	\N	\N
453810	1541	1998-02-28	VYDAJ	VYBER	15	22502	SLUZBY	\N	\N
453811	1541	1998-03-31	VYDAJ	VYBER	15	25186	SLUZBY	\N	\N
453812	1541	1998-04-30	VYDAJ	VYBER	15	27533	SLUZBY	\N	\N
453813	1541	1998-05-31	VYDAJ	VYBER	15	32141	SLUZBY	\N	\N
453814	1541	1998-06-30	VYDAJ	VYBER	15	100566	SLUZBY	\N	\N
453815	1541	1998-07-31	VYDAJ	VYBER	15	62525	SLUZBY	\N	\N
453816	1541	1998-08-31	VYDAJ	VYBER	15	45325	SLUZBY	\N	\N
453817	1541	1998-09-30	VYDAJ	VYBER	15	35072	SLUZBY	\N	\N
453818	1541	1998-10-31	VYDAJ	VYBER	15	29740	SLUZBY	\N	\N
453819	1541	1998-11-30	VYDAJ	VYBER	15	23625	SLUZBY	\N	\N
453820	1541	1996-11-17	PRIJEM	VKLAD	11500	12900	\N	\N	\N
453821	1541	1996-12-17	PRIJEM	VKLAD	4700	18125	\N	\N	\N
453822	1541	1997-01-16	PRIJEM	VKLAD	200	18389	\N	\N	\N
453823	1541	1997-02-15	VYDAJ	VYBER	300	20769	\N	\N	\N
453824	1541	1997-03-17	PRIJEM	VKLAD	2900	24893	\N	\N	\N
453825	1541	1997-04-16	PRIJEM	VKLAD	1700	27877	\N	\N	\N
453826	1541	1997-05-16	VYDAJ	VYBER	4600	23826	\N	\N	\N
453827	1541	1997-06-15	VYDAJ	VYBER	15800	29053	\N	\N	\N
453828	1541	1997-07-15	VYDAJ	VYBER	4400	26953	\N	\N	\N
453829	1541	1997-08-14	VYDAJ	VYBER	5800	21258	\N	\N	\N
453830	1541	1997-09-13	VYDAJ	VYBER	3400	18444	\N	\N	\N
453831	1541	1997-10-13	VYDAJ	VYBER	1500	17514	\N	\N	\N
453832	1541	1997-11-12	VYDAJ	VYBER	1300	19625	\N	\N	\N
453833	1541	1997-12-12	PRIJEM	VKLAD	4400	22795	\N	\N	\N
453834	1541	1998-01-11	PRIJEM	VKLAD	700	20423	\N	\N	\N
453835	1541	1998-02-10	PRIJEM	VKLAD	3700	20336	\N	\N	\N
453836	1541	1998-03-12	PRIJEM	VKLAD	500	23002	\N	\N	\N
453837	1541	1998-04-11	PRIJEM	VKLAD	2600	27786	\N	\N	\N
453838	1541	1998-05-11	PRIJEM	VKLAD	2400	29933	\N	\N	\N
453839	1541	1998-06-10	VYDAJ	VYBER	2300	29841	\N	\N	\N
453840	1541	1998-07-10	VYDAJ	VYBER	38200	62366	\N	\N	\N
453841	1541	1998-08-09	VYDAJ	VYBER	19500	43025	\N	\N	\N
453842	1541	1998-09-08	VYDAJ	VYBER	12500	32825	\N	\N	\N
453843	1541	1998-10-08	VYDAJ	VYBER	7000	28072	\N	\N	\N
453844	1541	1998-11-07	VYDAJ	VYBER	6400	21440	\N	\N	\N
453845	1541	1998-12-07	VYDAJ	VYBER	6400	17225	\N	\N	\N
453872	1542	1996-04-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
453877	1542	1996-05-08	PRIJEM	PREVOD Z UCTU	6984	7984	DUCHOD	ST	32111871
453878	1542	1996-06-08	PRIJEM	PREVOD Z UCTU	6984	14968	DUCHOD	ST	32111871
453879	1542	1996-07-08	PRIJEM	PREVOD Z UCTU	6984	21952	DUCHOD	ST	32111871
453880	1542	1996-08-08	PRIJEM	PREVOD Z UCTU	6984	27558	DUCHOD	ST	32111871
453881	1542	1996-09-08	PRIJEM	PREVOD Z UCTU	6984	28929	DUCHOD	ST	32111871
453882	1542	1996-10-08	PRIJEM	PREVOD Z UCTU	6984	27436	DUCHOD	ST	32111871
453883	1542	1996-11-08	PRIJEM	PREVOD Z UCTU	6984	26454	DUCHOD	ST	32111871
453884	1542	1996-12-08	PRIJEM	PREVOD Z UCTU	6984	27970	DUCHOD	ST	32111871
453885	1542	1997-01-08	PRIJEM	PREVOD Z UCTU	6984	29916	DUCHOD	ST	32111871
453886	1542	1997-02-08	PRIJEM	PREVOD Z UCTU	6984	26019	DUCHOD	ST	32111871
453887	1542	1997-03-08	PRIJEM	PREVOD Z UCTU	6984	25590	DUCHOD	ST	32111871
453888	1542	1997-04-08	PRIJEM	PREVOD Z UCTU	6984	23500	DUCHOD	ST	32111871
453889	1542	1997-05-08	PRIJEM	PREVOD Z UCTU	6984	20522	DUCHOD	ST	32111871
453890	1542	1997-06-08	PRIJEM	PREVOD Z UCTU	6984	19411	DUCHOD	ST	32111871
453891	1542	1997-07-08	PRIJEM	PREVOD Z UCTU	6984	17992	DUCHOD	ST	32111871
453892	1542	1997-08-08	PRIJEM	PREVOD Z UCTU	6984	16867	DUCHOD	ST	32111871
453893	1542	1997-09-08	PRIJEM	PREVOD Z UCTU	6984	16038	DUCHOD	ST	32111871
453894	1542	1997-10-08	PRIJEM	PREVOD Z UCTU	6984	20415	DUCHOD	ST	32111871
453895	1542	1997-11-08	PRIJEM	PREVOD Z UCTU	6984	17496	DUCHOD	ST	32111871
453896	1542	1997-12-08	PRIJEM	PREVOD Z UCTU	6984	20918	DUCHOD	ST	32111871
453897	1542	1998-01-08	PRIJEM	PREVOD Z UCTU	6984	25315	DUCHOD	ST	32111871
453898	1542	1998-02-08	PRIJEM	PREVOD Z UCTU	6984	23000	DUCHOD	ST	32111871
453899	1542	1998-03-08	PRIJEM	PREVOD Z UCTU	6984	15279	DUCHOD	ST	32111871
453900	1542	1998-04-08	PRIJEM	PREVOD Z UCTU	6984	19652	DUCHOD	ST	32111871
453901	1542	1998-05-08	PRIJEM	PREVOD Z UCTU	6984	24044	DUCHOD	ST	32111871
453902	1542	1998-06-08	PRIJEM	PREVOD Z UCTU	6984	27494	DUCHOD	ST	32111871
453903	1542	1998-07-08	PRIJEM	PREVOD Z UCTU	6984	27213	DUCHOD	ST	32111871
453904	1542	1998-08-08	PRIJEM	PREVOD Z UCTU	6984	28437	DUCHOD	ST	32111871
453905	1542	1998-09-08	PRIJEM	PREVOD Z UCTU	6984	32867	DUCHOD	ST	32111871
453906	1542	1998-10-08	PRIJEM	PREVOD Z UCTU	6984	33943	DUCHOD	ST	32111871
453907	1542	1998-11-08	PRIJEM	PREVOD Z UCTU	6984	17438	DUCHOD	ST	32111871
453908	1542	1998-12-08	PRIJEM	PREVOD Z UCTU	6984	21821	DUCHOD	ST	32111871
453918	1542	1996-10-07	VYDAJ	PREVOD NA UCET	2655	20452	SIPO	CD	9322101
453919	1542	1996-11-07	VYDAJ	PREVOD NA UCET	2655	19470	SIPO	CD	9322101
453920	1542	1996-12-07	VYDAJ	PREVOD NA UCET	2655	20986	SIPO	CD	9322101
453921	1542	1997-01-07	VYDAJ	PREVOD NA UCET	2655	22932	SIPO	CD	9322101
453922	1542	1997-02-07	VYDAJ	PREVOD NA UCET	2655	19035	SIPO	CD	9322101
453923	1542	1997-03-07	VYDAJ	PREVOD NA UCET	2655	18606	SIPO	CD	9322101
453924	1542	1997-04-07	VYDAJ	PREVOD NA UCET	2655	16516	SIPO	CD	9322101
453925	1542	1997-05-07	VYDAJ	PREVOD NA UCET	2655	13538	SIPO	CD	9322101
453926	1542	1997-06-07	VYDAJ	PREVOD NA UCET	2655	12427	SIPO	CD	9322101
453927	1542	1997-07-07	VYDAJ	PREVOD NA UCET	2655	11008	SIPO	CD	9322101
453928	1542	1997-08-07	VYDAJ	PREVOD NA UCET	2655	9883	SIPO	CD	9322101
453929	1542	1997-09-07	VYDAJ	PREVOD NA UCET	2655	9054	SIPO	CD	9322101
453930	1542	1997-10-07	VYDAJ	PREVOD NA UCET	2655	13431	SIPO	CD	9322101
453931	1542	1997-11-07	VYDAJ	PREVOD NA UCET	2655	10512	SIPO	CD	9322101
453932	1542	1997-12-07	VYDAJ	PREVOD NA UCET	2655	13934	SIPO	CD	9322101
454078	1543	1996-11-14	PRIJEM	VKLAD	1800	41807	\N	\N	\N
453933	1542	1998-01-07	VYDAJ	PREVOD NA UCET	2655	18331	SIPO	CD	9322101
453934	1542	1998-02-07	VYDAJ	PREVOD NA UCET	2655	16016	SIPO	CD	9322101
453935	1542	1998-03-07	VYDAJ	PREVOD NA UCET	2655	8295	SIPO	CD	9322101
453936	1542	1998-04-07	VYDAJ	PREVOD NA UCET	2655	12668	SIPO	CD	9322101
453937	1542	1998-05-07	VYDAJ	PREVOD NA UCET	2655	17060	SIPO	CD	9322101
453938	1542	1998-06-07	VYDAJ	PREVOD NA UCET	2655	20510	SIPO	CD	9322101
453939	1542	1998-07-07	VYDAJ	PREVOD NA UCET	2655	20229	SIPO	CD	9322101
453940	1542	1998-08-07	VYDAJ	PREVOD NA UCET	2655	21453	SIPO	CD	9322101
453941	1542	1998-09-07	VYDAJ	PREVOD NA UCET	2655	25883	SIPO	CD	9322101
453942	1542	1998-10-07	VYDAJ	PREVOD NA UCET	2655	26959	SIPO	CD	9322101
453943	1542	1998-11-07	VYDAJ	PREVOD NA UCET	2655	10454	SIPO	CD	9322101
453944	1542	1998-12-07	VYDAJ	PREVOD NA UCET	2655	14837	SIPO	CD	9322101
453947	1542	1998-06-21	VYDAJ	VYBER	4300	23194	\N	\N	\N
453954	1542	1997-01-12	VYDAJ	VYBER	1200	27356	\N	\N	\N
453955	1542	1997-01-01	VYDAJ	VYBER	2080	25587	\N	\N	\N
453956	1542	1997-01-27	VYDAJ	VYBER	2000	21596	\N	\N	\N
453957	1542	1997-01-23	VYDAJ	VYBER	1840	23596	\N	\N	\N
453958	1542	1997-01-20	VYDAJ	VYBER	1920	25436	\N	\N	\N
453959	1542	1997-01-09	VYDAJ	VYBER	1360	28556	\N	\N	\N
453960	1542	1998-01-24	VYDAJ	VYBER	400	19075	\N	\N	\N
453961	1542	1998-01-23	VYDAJ	VYBER	2240	19475	\N	\N	\N
453962	1542	1998-01-21	VYDAJ	VYBER	1120	21715	\N	\N	\N
453963	1542	1998-01-16	VYDAJ	VYBER	1360	22835	\N	\N	\N
453964	1542	1998-01-28	VYDAJ	VYBER	480	18595	\N	\N	\N
453965	1542	1998-01-13	VYDAJ	VYBER	1120	24195	\N	\N	\N
453969	1542	1997-03-30	VYDAJ	VYBER	2400	19090	\N	\N	\N
453970	1542	1997-02-20	VYDAJ	VYBER	2640	21179	\N	\N	\N
453971	1542	1997-05-06	VYDAJ	VYBER	3280	16193	\N	\N	\N
453972	1542	1997-11-28	VYDAJ	VYBER	960	16536	\N	\N	\N
453973	1542	1997-06-17	VYDAJ	VYBER	2400	17011	\N	\N	\N
453974	1542	1998-09-08	VYDAJ	VYBER	3360	29507	\N	\N	\N
453975	1542	1998-07-03	VYDAJ	VYBER	400	22884	\N	\N	\N
453976	1542	1998-06-01	VYDAJ	VYBER	960	23165	\N	\N	\N
453978	1542	1998-08-05	VYDAJ	VYBER	3200	24108	\N	\N	\N
453988	1542	1996-09-30	VYDAJ	VYBER	15	23107	SLUZBY	\N	\N
453989	1542	1996-10-31	VYDAJ	VYBER	15	22125	SLUZBY	\N	\N
453990	1542	1996-11-30	VYDAJ	VYBER	15	23641	SLUZBY	\N	\N
453991	1542	1996-12-31	VYDAJ	VYBER	15	27667	SLUZBY	\N	\N
453992	1542	1997-01-31	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
453993	1542	1997-02-28	VYDAJ	VYBER	15	21261	SLUZBY	\N	\N
453994	1542	1997-03-31	VYDAJ	VYBER	15	19171	SLUZBY	\N	\N
453995	1542	1997-04-30	VYDAJ	VYBER	15	19473	SLUZBY	\N	\N
453996	1542	1997-05-31	VYDAJ	VYBER	15	15082	SLUZBY	\N	\N
453997	1542	1997-06-30	VYDAJ	VYBER	15	13663	SLUZBY	\N	\N
453998	1542	1997-07-31	VYDAJ	VYBER	15	12538	SLUZBY	\N	\N
453999	1542	1997-08-31	VYDAJ	VYBER	15	11709	SLUZBY	\N	\N
454000	1542	1997-09-30	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
454001	1542	1997-10-31	VYDAJ	VYBER	15	13167	SLUZBY	\N	\N
454002	1542	1997-11-30	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
454003	1542	1997-12-31	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
454004	1542	1998-01-31	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
454005	1542	1998-02-28	VYDAJ	VYBER	15	10950	SLUZBY	\N	\N
454006	1542	1998-03-31	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
454007	1542	1998-04-30	VYDAJ	VYBER	15	19715	SLUZBY	\N	\N
454008	1542	1998-05-31	VYDAJ	VYBER	15	24125	SLUZBY	\N	\N
454009	1542	1998-06-30	VYDAJ	VYBER	15	23284	SLUZBY	\N	\N
454010	1542	1998-07-31	VYDAJ	VYBER	15	27308	SLUZBY	\N	\N
454011	1542	1998-08-31	VYDAJ	VYBER	15	28538	SLUZBY	\N	\N
454012	1542	1998-09-30	VYDAJ	VYBER	15	29614	SLUZBY	\N	\N
454013	1542	1998-10-31	VYDAJ	VYBER	15	13109	SLUZBY	\N	\N
454014	1542	1998-11-30	VYDAJ	VYBER	15	17492	SLUZBY	\N	\N
454015	1542	1996-07-24	VYDAJ	VYBER	1400	20552	\N	\N	\N
454016	1542	1996-08-23	VYDAJ	VYBER	5700	21858	\N	\N	\N
454017	1542	1996-09-22	VYDAJ	VYBER	5900	23029	\N	\N	\N
454018	1542	1996-10-22	VYDAJ	VYBER	5400	22036	\N	\N	\N
454019	1542	1996-11-21	VYDAJ	VYBER	2900	23554	\N	\N	\N
454020	1542	1996-12-21	VYDAJ	VYBER	400	27570	\N	\N	\N
454021	1542	1997-02-19	VYDAJ	VYBER	2200	23819	\N	\N	\N
454022	1542	1997-03-21	VYDAJ	VYBER	4100	21490	\N	\N	\N
454023	1542	1997-04-20	VYDAJ	VYBER	4100	19400	\N	\N	\N
454024	1542	1997-05-20	VYDAJ	VYBER	5500	15022	\N	\N	\N
454025	1542	1997-06-19	VYDAJ	VYBER	3400	13611	\N	\N	\N
454026	1542	1997-07-19	VYDAJ	VYBER	5500	12492	\N	\N	\N
454027	1542	1997-08-18	VYDAJ	VYBER	5200	11667	\N	\N	\N
454028	1542	1997-10-17	VYDAJ	VYBER	7300	13115	\N	\N	\N
454029	1542	1998-02-14	VYDAJ	VYBER	12100	10900	\N	\N	\N
454030	1542	1998-10-12	VYDAJ	VYBER	20900	13043	\N	\N	\N
454061	1543	1996-04-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
454062	1543	1996-12-09	PRIJEM	VKLAD	21270	63754	\N	\N	\N
454063	1543	1996-10-27	PRIJEM	VKLAD	17959	50880	\N	\N	\N
454064	1543	1997-12-02	PRIJEM	VKLAD	25344	66299	\N	\N	\N
454065	1543	1997-09-25	PRIJEM	VKLAD	18461	58114	\N	\N	\N
454066	1543	1998-11-22	PRIJEM	VKLAD	40390	66938	\N	\N	\N
454067	1543	1998-05-05	PRIJEM	VKLAD	8585	20599	\N	\N	\N
454072	1543	1996-05-13	PRIJEM	VKLAD	1800	3403	\N	\N	\N
454073	1543	1996-06-16	PRIJEM	VKLAD	1800	20644	\N	\N	\N
454074	1543	1996-07-15	PRIJEM	VKLAD	1800	18399	\N	\N	\N
454075	1543	1996-08-16	PRIJEM	VKLAD	1800	22951	\N	\N	\N
454076	1543	1996-09-17	PRIJEM	VKLAD	1800	28225	\N	\N	\N
454077	1543	1996-10-14	PRIJEM	VKLAD	1800	32421	\N	\N	\N
454079	1543	1996-12-13	PRIJEM	VKLAD	1800	50854	\N	\N	\N
454080	1543	1997-01-16	PRIJEM	VKLAD	1800	42141	\N	\N	\N
454081	1543	1997-02-13	PRIJEM	VKLAD	1800	39297	\N	\N	\N
454082	1543	1997-03-15	PRIJEM	VKLAD	1800	46838	\N	\N	\N
454083	1543	1997-04-14	PRIJEM	VKLAD	1800	47307	\N	\N	\N
454084	1543	1997-05-17	PRIJEM	VKLAD	1800	46390	\N	\N	\N
454085	1543	1997-06-14	PRIJEM	VKLAD	1800	44773	\N	\N	\N
454086	1543	1997-07-13	PRIJEM	VKLAD	1800	31621	\N	\N	\N
454087	1543	1997-08-17	PRIJEM	VKLAD	1800	39618	\N	\N	\N
454088	1543	1997-09-16	PRIJEM	VKLAD	1800	39153	\N	\N	\N
454089	1543	1997-10-15	PRIJEM	VKLAD	1800	48281	\N	\N	\N
454090	1543	1997-11-13	PRIJEM	VKLAD	1800	40287	\N	\N	\N
454091	1543	1997-12-17	PRIJEM	VKLAD	1800	45349	\N	\N	\N
454092	1543	1998-01-13	PRIJEM	VKLAD	1800	33319	\N	\N	\N
454093	1543	1998-02-14	PRIJEM	VKLAD	1800	27153	\N	\N	\N
454094	1543	1998-03-14	PRIJEM	VKLAD	1800	24953	\N	\N	\N
454095	1543	1998-04-14	PRIJEM	VKLAD	1800	18448	\N	\N	\N
454096	1543	1998-05-17	PRIJEM	VKLAD	1800	20449	\N	\N	\N
454097	1543	1998-06-13	PRIJEM	VKLAD	1800	18617	\N	\N	\N
454098	1543	1998-07-17	PRIJEM	VKLAD	1800	18632	\N	\N	\N
454099	1543	1998-08-14	PRIJEM	VKLAD	1800	18938	\N	\N	\N
454100	1543	1998-09-16	PRIJEM	VKLAD	1800	21299	\N	\N	\N
454101	1543	1998-10-17	PRIJEM	VKLAD	1800	23669	\N	\N	\N
454102	1543	1998-11-16	PRIJEM	VKLAD	1800	26048	\N	\N	\N
454103	1543	1998-12-14	PRIJEM	VKLAD	1800	22773	\N	\N	\N
454107	1543	1996-04-18	PRIJEM	VKLAD	500	1600	\N	\N	\N
454108	1543	1996-05-18	PRIJEM	VKLAD	500	16103	\N	\N	\N
454109	1543	1996-06-18	PRIJEM	VKLAD	500	21144	\N	\N	\N
454110	1543	1996-07-18	PRIJEM	VKLAD	500	18899	\N	\N	\N
454111	1543	1996-08-18	PRIJEM	VKLAD	500	23451	\N	\N	\N
454112	1543	1996-09-18	PRIJEM	VKLAD	500	28725	\N	\N	\N
454113	1543	1996-10-18	PRIJEM	VKLAD	500	32921	\N	\N	\N
454114	1543	1996-11-18	PRIJEM	VKLAD	500	42307	\N	\N	\N
454115	1543	1996-12-18	PRIJEM	VKLAD	500	51354	\N	\N	\N
454116	1543	1997-01-18	PRIJEM	VKLAD	500	42641	\N	\N	\N
454117	1543	1997-02-18	PRIJEM	VKLAD	500	39797	\N	\N	\N
454118	1543	1997-03-18	PRIJEM	VKLAD	500	47338	\N	\N	\N
454119	1543	1997-04-18	PRIJEM	VKLAD	500	47807	\N	\N	\N
454120	1543	1997-05-18	PRIJEM	VKLAD	500	46890	\N	\N	\N
454121	1543	1997-06-18	PRIJEM	VKLAD	500	45273	\N	\N	\N
454122	1543	1997-07-18	PRIJEM	VKLAD	500	32121	\N	\N	\N
454123	1543	1997-08-18	PRIJEM	VKLAD	500	40118	\N	\N	\N
454124	1543	1997-09-18	PRIJEM	VKLAD	500	39653	\N	\N	\N
454125	1543	1997-10-18	PRIJEM	VKLAD	500	48781	\N	\N	\N
454126	1543	1997-11-18	PRIJEM	VKLAD	500	40787	\N	\N	\N
454127	1543	1997-12-18	PRIJEM	VKLAD	500	45849	\N	\N	\N
454128	1543	1998-01-18	PRIJEM	VKLAD	500	33819	\N	\N	\N
454129	1543	1998-02-18	PRIJEM	VKLAD	500	27653	\N	\N	\N
454130	1543	1998-03-18	PRIJEM	VKLAD	500	25453	\N	\N	\N
454131	1543	1998-04-18	PRIJEM	VKLAD	500	18948	\N	\N	\N
454132	1543	1998-05-18	PRIJEM	VKLAD	500	20949	\N	\N	\N
454133	1543	1998-06-18	PRIJEM	VKLAD	500	19117	\N	\N	\N
454134	1543	1998-07-18	PRIJEM	VKLAD	500	19132	\N	\N	\N
454135	1543	1998-08-18	PRIJEM	VKLAD	500	19438	\N	\N	\N
454136	1543	1998-09-18	PRIJEM	VKLAD	500	21799	\N	\N	\N
454137	1543	1998-10-18	PRIJEM	VKLAD	500	24169	\N	\N	\N
454138	1543	1998-11-18	PRIJEM	VKLAD	500	26548	\N	\N	\N
454139	1543	1998-12-18	PRIJEM	VKLAD	500	23273	\N	\N	\N
454144	1543	1997-01-09	VYDAJ	VYBER	9600	40441	\N	\N	\N
454145	1543	1998-01-18	VYDAJ	VYBER	5800	28019	\N	\N	\N
454146	1543	1996-06-24	VYDAJ	VYBER	8500	12644	\N	\N	\N
454147	1543	1997-06-23	VYDAJ	VYBER	26500	18773	\N	\N	\N
454150	1543	1997-01-21	VYDAJ	VYBER	8500	34141	\N	\N	\N
454151	1543	1998-01-08	VYDAJ	VYBER	4300	31519	\N	\N	\N
454152	1543	1996-12-30	VYDAJ	VYBER	1500	49854	\N	\N	\N
454153	1543	1997-12-12	VYDAJ	VYBER	1600	43549	\N	\N	\N
454154	1543	1998-12-11	VYDAJ	VYBER	2500	20973	\N	\N	\N
454155	1543	1996-09-12	VYDAJ	VYBER	1500	26425	\N	\N	\N
454160	1543	1997-12-27	VYDAJ	VYBER	1600	44249	\N	\N	\N
454161	1543	1997-12-09	VYDAJ	VYBER	550	45149	\N	\N	\N
454162	1543	1997-08-28	VYDAJ	VYBER	300	39818	\N	\N	\N
454163	1543	1998-12-02	VYDAJ	VYBER	300	23473	\N	\N	\N
454164	1543	1998-04-05	VYDAJ	VYBER	750	18998	\N	\N	\N
454165	1543	1998-06-24	VYDAJ	VYBER	2350	16767	\N	\N	\N
454166	1543	1998-04-11	VYDAJ	VYBER	1750	16648	\N	\N	\N
454167	1543	1998-05-09	VYDAJ	VYBER	1950	18649	\N	\N	\N
454168	1543	1998-07-21	VYDAJ	VYBER	2050	17082	\N	\N	\N
454169	1543	1998-04-07	VYDAJ	VYBER	600	18398	\N	\N	\N
454176	1543	1996-06-30	VYDAJ	VYBER	15	12699	SLUZBY	\N	\N
454177	1543	1996-07-31	VYDAJ	VYBER	15	18951	SLUZBY	\N	\N
454178	1543	1996-08-31	VYDAJ	VYBER	15	23525	SLUZBY	\N	\N
454179	1543	1996-09-30	VYDAJ	VYBER	15	28821	SLUZBY	\N	\N
454180	1543	1996-10-31	VYDAJ	VYBER	15	51007	SLUZBY	\N	\N
454181	1543	1996-11-30	VYDAJ	VYBER	15	42484	SLUZBY	\N	\N
454182	1543	1996-12-31	VYDAJ	VYBER	15	50041	SLUZBY	\N	\N
454183	1543	1997-01-31	VYDAJ	VYBER	15	34297	SLUZBY	\N	\N
454184	1543	1997-02-28	VYDAJ	VYBER	15	39938	SLUZBY	\N	\N
454185	1543	1997-03-31	VYDAJ	VYBER	15	47507	SLUZBY	\N	\N
454186	1543	1997-04-30	VYDAJ	VYBER	15	47990	SLUZBY	\N	\N
454187	1543	1997-05-31	VYDAJ	VYBER	15	47073	SLUZBY	\N	\N
454188	1543	1997-06-30	VYDAJ	VYBER	15	18921	SLUZBY	\N	\N
454189	1543	1997-07-31	VYDAJ	VYBER	15	32218	SLUZBY	\N	\N
454190	1543	1997-08-31	VYDAJ	VYBER	15	39953	SLUZBY	\N	\N
454191	1543	1997-09-30	VYDAJ	VYBER	15	58281	SLUZBY	\N	\N
454192	1543	1997-10-31	VYDAJ	VYBER	15	48987	SLUZBY	\N	\N
454193	1543	1997-11-30	VYDAJ	VYBER	15	40955	SLUZBY	\N	\N
454194	1543	1997-12-31	VYDAJ	VYBER	15	44419	SLUZBY	\N	\N
454195	1543	1998-01-31	VYDAJ	VYBER	15	28153	SLUZBY	\N	\N
454196	1543	1998-02-28	VYDAJ	VYBER	15	27753	SLUZBY	\N	\N
454197	1543	1998-03-31	VYDAJ	VYBER	15	25548	SLUZBY	\N	\N
454198	1543	1998-04-30	VYDAJ	VYBER	15	19014	SLUZBY	\N	\N
454199	1543	1998-05-31	VYDAJ	VYBER	15	21017	SLUZBY	\N	\N
454200	1543	1998-06-30	VYDAJ	VYBER	15	16832	SLUZBY	\N	\N
454201	1543	1998-07-31	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
454202	1543	1998-08-31	VYDAJ	VYBER	15	19499	SLUZBY	\N	\N
454203	1543	1998-09-30	VYDAJ	VYBER	15	21869	SLUZBY	\N	\N
454204	1543	1998-10-31	VYDAJ	VYBER	15	24248	SLUZBY	\N	\N
454205	1543	1998-11-30	VYDAJ	VYBER	15	67073	SLUZBY	\N	\N
454206	1543	1996-05-14	PRIJEM	VKLAD	12200	15603	\N	\N	\N
454207	1543	1996-06-13	PRIJEM	VKLAD	2700	18844	\N	\N	\N
454208	1543	1996-07-13	PRIJEM	VKLAD	3900	16599	\N	\N	\N
454209	1543	1996-08-12	PRIJEM	VKLAD	2200	21151	\N	\N	\N
454210	1543	1996-09-11	PRIJEM	VKLAD	4400	27925	\N	\N	\N
454211	1543	1996-10-11	PRIJEM	VKLAD	1800	30621	\N	\N	\N
454212	1543	1996-11-10	VYDAJ	VYBER	11000	40007	\N	\N	\N
454213	1543	1996-12-10	VYDAJ	VYBER	14700	49054	\N	\N	\N
454214	1543	1997-01-09	VYDAJ	VYBER	100	40341	\N	\N	\N
454215	1543	1997-02-08	PRIJEM	VKLAD	3200	37497	\N	\N	\N
454216	1543	1997-03-10	PRIJEM	VKLAD	5100	45038	\N	\N	\N
454217	1543	1997-04-09	VYDAJ	VYBER	2000	45507	\N	\N	\N
454218	1543	1997-05-09	VYDAJ	VYBER	3400	44590	\N	\N	\N
454219	1543	1997-06-08	VYDAJ	VYBER	4100	42973	\N	\N	\N
454220	1543	1997-07-08	PRIJEM	VKLAD	10900	29821	\N	\N	\N
454221	1543	1997-08-07	PRIJEM	VKLAD	5600	37818	\N	\N	\N
454222	1543	1997-09-06	VYDAJ	VYBER	2600	37353	\N	\N	\N
454223	1543	1997-10-06	VYDAJ	VYBER	11800	46481	\N	\N	\N
454224	1543	1997-11-05	VYDAJ	VYBER	10500	38487	\N	\N	\N
454225	1543	1997-12-05	VYDAJ	VYBER	20600	45699	\N	\N	\N
454226	1543	1998-01-04	VYDAJ	VYBER	8600	35819	\N	\N	\N
454227	1543	1998-02-03	VYDAJ	VYBER	2800	25353	\N	\N	\N
454228	1543	1998-03-05	VYDAJ	VYBER	4600	23153	\N	\N	\N
454229	1543	1998-04-04	VYDAJ	VYBER	5800	19748	\N	\N	\N
454230	1543	1998-05-04	VYDAJ	VYBER	7000	12014	\N	\N	\N
454231	1543	1998-06-03	VYDAJ	VYBER	4200	16817	\N	\N	\N
454232	1543	1998-11-30	VYDAJ	VYBER	43300	23773	\N	\N	\N
454266	1544	1993-07-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
454274	1544	1993-08-08	PRIJEM	VKLAD	18950	20050	\N	\N	\N
454275	1544	1993-09-08	PRIJEM	VKLAD	18950	41157	\N	\N	\N
454276	1544	1993-10-08	PRIJEM	VKLAD	18950	54233	\N	\N	\N
454277	1544	1993-11-08	PRIJEM	VKLAD	18950	57639	\N	\N	\N
454278	1544	1993-12-08	PRIJEM	VKLAD	28425	69330	\N	\N	\N
454279	1544	1994-01-08	PRIJEM	VKLAD	18950	53447	\N	\N	\N
454280	1544	1994-02-08	PRIJEM	VKLAD	18950	34232	\N	\N	\N
454281	1544	1994-03-08	PRIJEM	VKLAD	18950	43444	\N	\N	\N
454282	1544	1994-04-08	PRIJEM	VKLAD	18950	50689	\N	\N	\N
454283	1544	1994-05-08	PRIJEM	VKLAD	18950	51851	\N	\N	\N
454284	1544	1994-06-08	PRIJEM	VKLAD	28425	63491	\N	\N	\N
454285	1544	1994-07-08	PRIJEM	VKLAD	18950	35813	\N	\N	\N
454286	1544	1994-08-08	PRIJEM	VKLAD	18950	44631	\N	\N	\N
454287	1544	1994-09-08	PRIJEM	VKLAD	18950	48228	\N	\N	\N
454288	1544	1994-10-08	PRIJEM	VKLAD	18950	54099	\N	\N	\N
454289	1544	1994-11-08	PRIJEM	VKLAD	18950	55600	\N	\N	\N
454290	1544	1994-12-08	PRIJEM	VKLAD	28425	66886	\N	\N	\N
454291	1544	1995-01-08	PRIJEM	VKLAD	18950	57923	\N	\N	\N
454292	1544	1995-02-08	PRIJEM	VKLAD	18950	40533	\N	\N	\N
454293	1544	1995-03-08	PRIJEM	VKLAD	18950	50972	\N	\N	\N
454294	1544	1995-04-08	PRIJEM	VKLAD	18950	52556	\N	\N	\N
454295	1544	1995-05-08	PRIJEM	VKLAD	18950	53294	\N	\N	\N
454296	1544	1995-06-08	PRIJEM	VKLAD	28425	65266	\N	\N	\N
454297	1544	1995-07-08	PRIJEM	VKLAD	18950	52759	\N	\N	\N
454298	1544	1995-08-08	PRIJEM	VKLAD	18950	58850	\N	\N	\N
454299	1544	1995-09-08	PRIJEM	VKLAD	18950	57447	\N	\N	\N
454300	1544	1995-10-08	PRIJEM	VKLAD	18950	58740	\N	\N	\N
454301	1544	1995-11-08	PRIJEM	VKLAD	18950	52199	\N	\N	\N
454302	1544	1995-12-08	PRIJEM	VKLAD	28425	67667	\N	\N	\N
454303	1544	1996-01-08	PRIJEM	VKLAD	18950	63852	\N	\N	\N
454304	1544	1996-02-08	PRIJEM	VKLAD	18950	48655	\N	\N	\N
454305	1544	1996-03-08	PRIJEM	VKLAD	18950	51326	\N	\N	\N
454306	1544	1996-04-08	PRIJEM	VKLAD	18950	52021	\N	\N	\N
454307	1544	1996-05-08	PRIJEM	VKLAD	18950	56005	\N	\N	\N
454308	1544	1996-06-08	PRIJEM	VKLAD	28425	70480	\N	\N	\N
454309	1544	1996-07-08	PRIJEM	VKLAD	18950	55864	\N	\N	\N
454310	1544	1996-08-08	PRIJEM	VKLAD	18950	58277	\N	\N	\N
454311	1544	1996-09-08	PRIJEM	VKLAD	18950	60583	\N	\N	\N
454312	1544	1996-10-08	PRIJEM	VKLAD	18950	58996	\N	\N	\N
454313	1544	1996-11-08	PRIJEM	VKLAD	18950	54944	\N	\N	\N
454314	1544	1996-12-08	PRIJEM	VKLAD	28425	63736	\N	\N	\N
454315	1544	1997-01-08	PRIJEM	VKLAD	18950	57247	\N	\N	\N
454316	1544	1997-02-08	PRIJEM	VKLAD	18950	51767	\N	\N	\N
454317	1544	1997-03-08	PRIJEM	VKLAD	18950	59748	\N	\N	\N
454318	1544	1997-04-08	PRIJEM	VKLAD	18950	62959	\N	\N	\N
454319	1544	1997-05-08	PRIJEM	VKLAD	18950	60268	\N	\N	\N
454320	1544	1997-06-08	PRIJEM	VKLAD	28425	56850	\N	\N	\N
454321	1544	1997-07-08	PRIJEM	VKLAD	18950	57552	\N	\N	\N
454322	1544	1997-08-08	PRIJEM	VKLAD	18950	62153	\N	\N	\N
454323	1544	1997-09-08	PRIJEM	VKLAD	18950	66072	\N	\N	\N
454324	1544	1997-10-08	PRIJEM	VKLAD	18950	65500	\N	\N	\N
454325	1544	1997-11-08	PRIJEM	VKLAD	18950	64325	\N	\N	\N
454326	1544	1997-12-08	PRIJEM	VKLAD	28425	62747	\N	\N	\N
454327	1544	1998-01-08	PRIJEM	VKLAD	18950	55511	\N	\N	\N
454328	1544	1998-02-08	PRIJEM	VKLAD	18950	37388	\N	\N	\N
454329	1544	1998-03-08	PRIJEM	VKLAD	18950	46609	\N	\N	\N
454330	1544	1998-04-08	PRIJEM	VKLAD	18950	51462	\N	\N	\N
454331	1544	1998-05-08	PRIJEM	VKLAD	18950	54278	\N	\N	\N
454332	1544	1998-06-08	PRIJEM	VKLAD	28425	62966	\N	\N	\N
454333	1544	1998-07-08	PRIJEM	VKLAD	18950	62276	\N	\N	\N
454334	1544	1998-08-08	PRIJEM	VKLAD	18950	61181	\N	\N	\N
454335	1544	1998-09-08	PRIJEM	VKLAD	18950	61584	\N	\N	\N
454336	1544	1998-10-08	PRIJEM	VKLAD	18950	59882	\N	\N	\N
454337	1544	1998-11-08	PRIJEM	VKLAD	18950	59676	\N	\N	\N
454338	1544	1998-12-08	PRIJEM	VKLAD	28425	72852	\N	\N	\N
454350	1544	1993-12-09	VYDAJ	PREVOD NA UCET	9526	59804	SIPO	IJ	71562015
454351	1544	1994-01-09	VYDAJ	PREVOD NA UCET	9526	40441	SIPO	IJ	71562015
454352	1544	1994-02-09	VYDAJ	PREVOD NA UCET	9526	24706	SIPO	IJ	71562015
454353	1544	1994-03-09	VYDAJ	PREVOD NA UCET	9526	33918	SIPO	IJ	71562015
454354	1544	1994-04-09	VYDAJ	PREVOD NA UCET	9526	41163	SIPO	IJ	71562015
454355	1544	1994-05-09	VYDAJ	PREVOD NA UCET	9526	42325	SIPO	IJ	71562015
454356	1544	1994-06-09	VYDAJ	PREVOD NA UCET	9526	53965	SIPO	IJ	71562015
454357	1544	1994-07-09	VYDAJ	PREVOD NA UCET	9526	26287	SIPO	IJ	71562015
454358	1544	1994-08-09	VYDAJ	PREVOD NA UCET	9526	28105	SIPO	IJ	71562015
454359	1544	1994-09-09	VYDAJ	PREVOD NA UCET	9526	38702	SIPO	IJ	71562015
454360	1544	1994-10-09	VYDAJ	PREVOD NA UCET	9526	44573	SIPO	IJ	71562015
454361	1544	1994-11-09	VYDAJ	PREVOD NA UCET	9526	46074	SIPO	IJ	71562015
454362	1544	1994-12-09	VYDAJ	PREVOD NA UCET	9526	57360	SIPO	IJ	71562015
454363	1544	1995-01-09	VYDAJ	PREVOD NA UCET	9526	46477	SIPO	IJ	71562015
454364	1544	1995-02-09	VYDAJ	PREVOD NA UCET	9526	31007	SIPO	IJ	71562015
454365	1544	1995-03-09	VYDAJ	PREVOD NA UCET	9526	41446	SIPO	IJ	71562015
454366	1544	1995-04-09	VYDAJ	PREVOD NA UCET	9526	43030	SIPO	IJ	71562015
454367	1544	1995-05-09	VYDAJ	PREVOD NA UCET	9526	43768	SIPO	IJ	71562015
454368	1544	1995-06-09	VYDAJ	PREVOD NA UCET	9526	34140	SIPO	IJ	71562015
454369	1544	1995-07-09	VYDAJ	PREVOD NA UCET	9526	43233	SIPO	IJ	71562015
454370	1544	1995-08-09	VYDAJ	PREVOD NA UCET	9526	49324	SIPO	IJ	71562015
454371	1544	1995-09-09	VYDAJ	PREVOD NA UCET	9526	47921	SIPO	IJ	71562015
454372	1544	1995-10-09	VYDAJ	PREVOD NA UCET	9526	49214	SIPO	IJ	71562015
454373	1544	1995-11-09	VYDAJ	PREVOD NA UCET	9526	42673	SIPO	IJ	71562015
454374	1544	1995-12-09	VYDAJ	PREVOD NA UCET	9526	58141	SIPO	IJ	71562015
454375	1544	1996-01-09	VYDAJ	PREVOD NA UCET	9526	50966	SIPO	IJ	71562015
454376	1544	1996-02-09	VYDAJ	PREVOD NA UCET	9526	39129	SIPO	IJ	71562015
454377	1544	1996-03-09	VYDAJ	PREVOD NA UCET	9526	41800	SIPO	IJ	71562015
454378	1544	1996-04-09	VYDAJ	PREVOD NA UCET	9526	42495	SIPO	IJ	71562015
454379	1544	1996-05-09	VYDAJ	PREVOD NA UCET	9526	46479	SIPO	IJ	71562015
454380	1544	1996-06-09	VYDAJ	PREVOD NA UCET	9526	60954	SIPO	IJ	71562015
454381	1544	1996-07-09	VYDAJ	PREVOD NA UCET	9526	44658	SIPO	IJ	71562015
454382	1544	1996-08-09	VYDAJ	PREVOD NA UCET	9526	48751	SIPO	IJ	71562015
454383	1544	1996-09-09	VYDAJ	PREVOD NA UCET	9526	51057	SIPO	IJ	71562015
454384	1544	1996-10-09	VYDAJ	PREVOD NA UCET	9526	49470	SIPO	IJ	71562015
454385	1544	1996-11-09	VYDAJ	PREVOD NA UCET	9526	45418	SIPO	IJ	71562015
454386	1544	1996-12-09	VYDAJ	PREVOD NA UCET	9526	54210	SIPO	IJ	71562015
454387	1544	1997-01-09	VYDAJ	PREVOD NA UCET	9526	41641	SIPO	IJ	71562015
454388	1544	1997-02-09	VYDAJ	PREVOD NA UCET	9526	42241	SIPO	IJ	71562015
454389	1544	1997-03-09	VYDAJ	PREVOD NA UCET	9526	50222	SIPO	IJ	71562015
454390	1544	1997-04-09	VYDAJ	PREVOD NA UCET	9526	53433	SIPO	IJ	71562015
454391	1544	1997-05-09	VYDAJ	PREVOD NA UCET	9526	50742	SIPO	IJ	71562015
454392	1544	1997-06-09	VYDAJ	PREVOD NA UCET	9526	47324	SIPO	IJ	71562015
454393	1544	1997-07-09	VYDAJ	PREVOD NA UCET	9526	48026	SIPO	IJ	71562015
454394	1544	1997-08-09	VYDAJ	PREVOD NA UCET	9526	52627	SIPO	IJ	71562015
454395	1544	1997-09-09	VYDAJ	PREVOD NA UCET	9526	56546	SIPO	IJ	71562015
454396	1544	1997-10-09	VYDAJ	PREVOD NA UCET	9526	55974	SIPO	IJ	71562015
454397	1544	1997-11-09	VYDAJ	PREVOD NA UCET	9526	54799	SIPO	IJ	71562015
454398	1544	1997-12-09	VYDAJ	PREVOD NA UCET	9526	53221	SIPO	IJ	71562015
454399	1544	1998-01-09	VYDAJ	PREVOD NA UCET	9526	45985	SIPO	IJ	71562015
454400	1544	1998-02-09	VYDAJ	PREVOD NA UCET	9526	27862	SIPO	IJ	71562015
454401	1544	1998-03-09	VYDAJ	PREVOD NA UCET	9526	37083	SIPO	IJ	71562015
454402	1544	1998-04-09	VYDAJ	PREVOD NA UCET	9526	41936	SIPO	IJ	71562015
454403	1544	1998-05-09	VYDAJ	PREVOD NA UCET	9526	44752	SIPO	IJ	71562015
454404	1544	1998-06-09	VYDAJ	PREVOD NA UCET	9526	53440	SIPO	IJ	71562015
454405	1544	1998-07-09	VYDAJ	PREVOD NA UCET	9526	52750	SIPO	IJ	71562015
454406	1544	1998-08-09	VYDAJ	PREVOD NA UCET	9526	51655	SIPO	IJ	71562015
454407	1544	1998-09-09	VYDAJ	PREVOD NA UCET	9526	52058	SIPO	IJ	71562015
454408	1544	1998-10-09	VYDAJ	PREVOD NA UCET	9526	50356	SIPO	IJ	71562015
454409	1544	1998-11-09	VYDAJ	PREVOD NA UCET	9526	50150	SIPO	IJ	71562015
454410	1544	1998-12-09	VYDAJ	PREVOD NA UCET	9526	63326	SIPO	IJ	71562015
454422	1544	1993-12-12	VYDAJ	PREVOD NA UCET	189	42215	 	ST	7747644
454423	1544	1994-01-12	VYDAJ	PREVOD NA UCET	189	34652	 	ST	7747644
454424	1544	1994-02-12	VYDAJ	PREVOD NA UCET	189	24417	 	ST	7747644
454425	1544	1994-03-12	VYDAJ	PREVOD NA UCET	189	31629	 	ST	7747644
454426	1544	1994-04-12	VYDAJ	PREVOD NA UCET	189	35174	 	ST	7747644
454427	1544	1994-05-12	VYDAJ	PREVOD NA UCET	189	34936	 	ST	7747644
454428	1544	1994-06-12	VYDAJ	PREVOD NA UCET	189	37396	 	ST	7747644
454429	1544	1994-07-12	VYDAJ	PREVOD NA UCET	189	25598	 	ST	7747644
454430	1544	1994-08-12	VYDAJ	PREVOD NA UCET	189	27916	 	ST	7747644
454431	1544	1994-09-12	VYDAJ	PREVOD NA UCET	189	38513	 	ST	7747644
454432	1544	1994-10-12	VYDAJ	PREVOD NA UCET	189	44384	 	ST	7747644
454433	1544	1994-11-12	VYDAJ	PREVOD NA UCET	189	45885	 	ST	7747644
454434	1544	1994-12-12	VYDAJ	PREVOD NA UCET	189	52691	 	ST	7747644
454435	1544	1995-01-12	VYDAJ	PREVOD NA UCET	189	43048	 	ST	7747644
454436	1544	1995-02-12	VYDAJ	PREVOD NA UCET	189	30818	 	ST	7747644
454437	1544	1995-03-12	VYDAJ	PREVOD NA UCET	189	41257	 	ST	7747644
454438	1544	1995-04-12	VYDAJ	PREVOD NA UCET	189	42841	 	ST	7747644
454439	1544	1995-05-12	VYDAJ	PREVOD NA UCET	189	43579	 	ST	7747644
454440	1544	1995-06-12	VYDAJ	PREVOD NA UCET	189	33951	 	ST	7747644
454441	1544	1995-07-12	VYDAJ	PREVOD NA UCET	189	43044	 	ST	7747644
454442	1544	1995-08-12	VYDAJ	PREVOD NA UCET	189	47815	 	ST	7747644
454443	1544	1995-09-12	VYDAJ	PREVOD NA UCET	189	47732	 	ST	7747644
454444	1544	1995-10-12	VYDAJ	PREVOD NA UCET	189	49025	 	ST	7747644
454445	1544	1995-11-12	VYDAJ	PREVOD NA UCET	189	42484	 	ST	7747644
454446	1544	1995-12-12	VYDAJ	PREVOD NA UCET	189	57952	 	ST	7747644
454447	1544	1996-01-12	VYDAJ	PREVOD NA UCET	189	48377	 	ST	7747644
454448	1544	1996-02-12	VYDAJ	PREVOD NA UCET	189	38940	 	ST	7747644
454449	1544	1996-03-12	VYDAJ	PREVOD NA UCET	189	41611	 	ST	7747644
454450	1544	1996-04-12	VYDAJ	PREVOD NA UCET	189	42306	 	ST	7747644
454451	1544	1996-05-12	VYDAJ	PREVOD NA UCET	189	46290	 	ST	7747644
454452	1544	1996-06-12	VYDAJ	PREVOD NA UCET	189	60765	 	ST	7747644
454453	1544	1996-07-12	VYDAJ	PREVOD NA UCET	189	44469	 	ST	7747644
454454	1544	1996-08-12	VYDAJ	PREVOD NA UCET	189	48562	 	ST	7747644
454455	1544	1996-09-12	VYDAJ	PREVOD NA UCET	189	50868	 	ST	7747644
454456	1544	1996-10-12	VYDAJ	PREVOD NA UCET	189	49281	 	ST	7747644
454457	1544	1996-11-12	VYDAJ	PREVOD NA UCET	189	45229	 	ST	7747644
454458	1544	1996-12-12	VYDAJ	PREVOD NA UCET	189	54021	 	ST	7747644
454459	1544	1997-01-12	VYDAJ	PREVOD NA UCET	189	41452	 	ST	7747644
454460	1544	1997-02-12	VYDAJ	PREVOD NA UCET	189	42052	 	ST	7747644
454461	1544	1997-03-12	VYDAJ	PREVOD NA UCET	189	50033	 	ST	7747644
454462	1544	1997-04-12	VYDAJ	PREVOD NA UCET	189	50004	 	ST	7747644
454463	1544	1997-05-12	VYDAJ	PREVOD NA UCET	189	48273	 	ST	7747644
454464	1544	1997-06-12	VYDAJ	PREVOD NA UCET	189	47135	 	ST	7747644
454465	1544	1997-07-12	VYDAJ	PREVOD NA UCET	189	47837	 	ST	7747644
454466	1544	1997-08-12	VYDAJ	PREVOD NA UCET	189	52438	 	ST	7747644
454467	1544	1997-09-12	VYDAJ	PREVOD NA UCET	189	56357	 	ST	7747644
454468	1544	1997-10-12	VYDAJ	PREVOD NA UCET	189	55785	 	ST	7747644
454469	1544	1997-11-12	VYDAJ	PREVOD NA UCET	189	51970	 	ST	7747644
454470	1544	1997-12-12	VYDAJ	PREVOD NA UCET	189	53032	 	ST	7747644
454471	1544	1998-01-12	VYDAJ	PREVOD NA UCET	189	42916	 	ST	7747644
454472	1544	1998-02-12	VYDAJ	PREVOD NA UCET	189	27673	 	ST	7747644
454473	1544	1998-03-12	VYDAJ	PREVOD NA UCET	189	36894	 	ST	7747644
454474	1544	1998-04-12	VYDAJ	PREVOD NA UCET	189	41747	 	ST	7747644
454475	1544	1998-05-12	VYDAJ	PREVOD NA UCET	189	44563	 	ST	7747644
454476	1544	1998-06-12	VYDAJ	PREVOD NA UCET	189	53251	 	ST	7747644
454477	1544	1998-07-12	VYDAJ	PREVOD NA UCET	189	52561	 	ST	7747644
454478	1544	1998-08-12	VYDAJ	PREVOD NA UCET	189	51466	 	ST	7747644
454479	1544	1998-09-12	VYDAJ	PREVOD NA UCET	189	51869	 	ST	7747644
454480	1544	1998-10-12	VYDAJ	PREVOD NA UCET	189	50167	 	ST	7747644
454481	1544	1998-11-12	VYDAJ	PREVOD NA UCET	189	49961	 	ST	7747644
454482	1544	1998-12-12	VYDAJ	PREVOD NA UCET	189	63137	 	ST	7747644
454484	1544	1994-06-22	VYDAJ	VYBER	11040	20716	\N	\N	\N
454485	1544	1995-06-09	VYDAJ	VYBER	21600	43666	\N	\N	\N
454486	1544	1996-06-23	VYDAJ	VYBER	26240	34525	\N	\N	\N
454487	1544	1997-06-05	VYDAJ	VYBER	14720	28425	\N	\N	\N
454488	1544	1998-06-02	VYDAJ	VYBER	6880	34541	\N	\N	\N
454490	1544	1994-01-25	VYDAJ	VYBER	14560	15772	\N	\N	\N
454491	1544	1995-01-19	VYDAJ	VYBER	13760	25688	\N	\N	\N
454492	1544	1996-01-25	VYDAJ	VYBER	6400	31417	\N	\N	\N
454493	1544	1997-01-08	VYDAJ	VYBER	6080	51167	\N	\N	\N
454494	1544	1998-01-26	VYDAJ	VYBER	9920	18316	\N	\N	\N
454495	1544	1993-12-26	VYDAJ	VYBER	4160	38055	\N	\N	\N
454496	1544	1994-12-11	VYDAJ	VYBER	4480	52880	\N	\N	\N
454497	1544	1995-12-18	VYDAJ	VYBER	1760	56192	\N	\N	\N
454498	1544	1996-12-27	VYDAJ	VYBER	2080	40641	\N	\N	\N
454499	1544	1997-12-28	VYDAJ	VYBER	4640	36392	\N	\N	\N
454500	1544	1998-12-23	VYDAJ	VYBER	960	47577	\N	\N	\N
454507	1544	1994-01-21	VYDAJ	VYBER	840	30332	\N	\N	\N
454508	1544	1994-01-28	VYDAJ	VYBER	600	15172	\N	\N	\N
454509	1544	1994-01-08	VYDAJ	VYBER	3480	49967	\N	\N	\N
454510	1544	1994-01-13	VYDAJ	VYBER	3480	31172	\N	\N	\N
454511	1544	1994-01-04	VYDAJ	VYBER	2400	35817	\N	\N	\N
454512	1544	1994-01-05	VYDAJ	VYBER	1320	34497	\N	\N	\N
454513	1544	1995-01-10	VYDAJ	VYBER	3240	43237	\N	\N	\N
454514	1544	1995-01-15	VYDAJ	VYBER	960	39448	\N	\N	\N
454515	1544	1995-01-08	VYDAJ	VYBER	1920	56003	\N	\N	\N
454516	1544	1995-01-07	VYDAJ	VYBER	2520	38973	\N	\N	\N
454517	1544	1995-01-13	VYDAJ	VYBER	2640	40408	\N	\N	\N
454518	1544	1995-01-29	VYDAJ	VYBER	2400	20048	\N	\N	\N
454519	1544	1996-01-12	VYDAJ	VYBER	2400	48566	\N	\N	\N
454520	1544	1996-01-21	VYDAJ	VYBER	2880	37817	\N	\N	\N
454521	1544	1996-01-28	VYDAJ	VYBER	1080	30337	\N	\N	\N
454522	1544	1996-01-16	VYDAJ	VYBER	840	45017	\N	\N	\N
454523	1544	1996-01-14	VYDAJ	VYBER	2520	45857	\N	\N	\N
454524	1544	1996-01-28	VYDAJ	VYBER	1800	28537	\N	\N	\N
454525	1544	1997-01-28	VYDAJ	VYBER	2760	32672	\N	\N	\N
454526	1544	1997-01-26	VYDAJ	VYBER	1800	35432	\N	\N	\N
454527	1544	1997-01-16	VYDAJ	VYBER	840	37732	\N	\N	\N
454528	1544	1997-01-16	VYDAJ	VYBER	2880	38572	\N	\N	\N
454529	1544	1997-01-02	VYDAJ	VYBER	600	40217	\N	\N	\N
454530	1544	1997-01-04	VYDAJ	VYBER	1920	38297	\N	\N	\N
454531	1544	1998-01-09	VYDAJ	VYBER	2880	43105	\N	\N	\N
454533	1544	1998-01-23	VYDAJ	VYBER	1800	28236	\N	\N	\N
454534	1544	1998-01-17	VYDAJ	VYBER	1200	41716	\N	\N	\N
454535	1544	1998-01-19	VYDAJ	VYBER	2520	33396	\N	\N	\N
454536	1544	1998-01-22	VYDAJ	VYBER	3360	30036	\N	\N	\N
454542	1544	1994-08-31	VYDAJ	VYBER	840	27192	\N	\N	\N
454543	1544	1994-06-13	VYDAJ	VYBER	5640	31756	\N	\N	\N
454544	1544	1994-06-23	VYDAJ	VYBER	3960	16756	\N	\N	\N
454545	1544	1994-04-26	VYDAJ	VYBER	2400	32774	\N	\N	\N
454546	1544	1994-06-12	VYDAJ	VYBER	1680	37585	\N	\N	\N
454547	1544	1995-10-29	VYDAJ	VYBER	3960	45065	\N	\N	\N
454548	1544	1995-09-18	VYDAJ	VYBER	3720	44012	\N	\N	\N
454549	1544	1995-04-30	VYDAJ	VYBER	5760	37258	\N	\N	\N
454550	1544	1995-01-20	VYDAJ	VYBER	3240	22448	\N	\N	\N
454551	1544	1995-08-10	VYDAJ	VYBER	1320	48004	\N	\N	\N
454552	1544	1995-06-15	VYDAJ	VYBER	1080	32871	\N	\N	\N
454553	1544	1995-02-06	VYDAJ	VYBER	4200	21583	\N	\N	\N
454554	1544	1995-11-03	VYDAJ	VYBER	5400	33249	\N	\N	\N
454555	1544	1996-03-14	VYDAJ	VYBER	5880	35731	\N	\N	\N
454556	1544	1996-07-09	VYDAJ	VYBER	1680	54184	\N	\N	\N
454557	1544	1996-11-02	VYDAJ	VYBER	5160	35994	\N	\N	\N
454558	1544	1996-01-17	VYDAJ	VYBER	4320	40697	\N	\N	\N
454559	1544	1996-01-08	VYDAJ	VYBER	3360	60492	\N	\N	\N
454560	1544	1996-11-26	VYDAJ	VYBER	5280	35149	\N	\N	\N
454561	1544	1997-12-07	VYDAJ	VYBER	3480	34322	\N	\N	\N
454562	1544	1997-05-12	VYDAJ	VYBER	2280	48462	\N	\N	\N
454563	1544	1997-11-24	VYDAJ	VYBER	3840	37630	\N	\N	\N
454564	1544	1997-04-10	VYDAJ	VYBER	3240	50193	\N	\N	\N
454565	1544	1997-04-16	VYDAJ	VYBER	3720	46284	\N	\N	\N
454566	1544	1997-04-26	VYDAJ	VYBER	2040	41144	\N	\N	\N
454567	1544	1997-11-12	VYDAJ	VYBER	2640	52159	\N	\N	\N
454568	1544	1998-05-02	VYDAJ	VYBER	3960	35328	\N	\N	\N
454581	1544	1993-12-31	VYDAJ	VYBER	15	38217	SLUZBY	\N	\N
454582	1544	1994-01-31	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
454583	1544	1994-02-28	VYDAJ	VYBER	15	24494	SLUZBY	\N	\N
454584	1544	1994-03-31	VYDAJ	VYBER	15	31739	SLUZBY	\N	\N
454585	1544	1994-04-30	VYDAJ	VYBER	15	32901	SLUZBY	\N	\N
454586	1544	1994-05-31	VYDAJ	VYBER	15	35066	SLUZBY	\N	\N
454587	1544	1994-06-30	VYDAJ	VYBER	15	16863	SLUZBY	\N	\N
454588	1544	1994-07-31	VYDAJ	VYBER	15	25681	SLUZBY	\N	\N
454589	1544	1994-08-31	VYDAJ	VYBER	15	27178	SLUZBY	\N	\N
454590	1544	1994-09-30	VYDAJ	VYBER	15	38649	SLUZBY	\N	\N
454591	1544	1994-10-31	VYDAJ	VYBER	15	44550	SLUZBY	\N	\N
454592	1544	1994-11-30	VYDAJ	VYBER	15	46061	SLUZBY	\N	\N
454593	1544	1994-12-31	VYDAJ	VYBER	15	52893	SLUZBY	\N	\N
454594	1544	1995-01-31	VYDAJ	VYBER	15	20183	SLUZBY	\N	\N
454595	1544	1995-02-28	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
454596	1544	1995-03-31	VYDAJ	VYBER	15	41406	SLUZBY	\N	\N
454597	1544	1995-04-30	VYDAJ	VYBER	15	37244	SLUZBY	\N	\N
454598	1544	1995-05-31	VYDAJ	VYBER	15	43741	SLUZBY	\N	\N
454599	1544	1995-06-30	VYDAJ	VYBER	15	33009	SLUZBY	\N	\N
454600	1544	1995-07-31	VYDAJ	VYBER	15	43200	SLUZBY	\N	\N
454601	1544	1995-08-31	VYDAJ	VYBER	15	47997	SLUZBY	\N	\N
454602	1544	1995-09-30	VYDAJ	VYBER	15	44190	SLUZBY	\N	\N
454603	1544	1995-10-31	VYDAJ	VYBER	15	45249	SLUZBY	\N	\N
454604	1544	1995-11-30	VYDAJ	VYBER	15	42642	SLUZBY	\N	\N
454605	1544	1995-12-31	VYDAJ	VYBER	15	56402	SLUZBY	\N	\N
454606	1544	1996-01-31	VYDAJ	VYBER	15	29705	SLUZBY	\N	\N
454607	1544	1996-02-29	VYDAJ	VYBER	15	39076	SLUZBY	\N	\N
454608	1544	1996-03-31	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
454609	1544	1996-04-30	VYDAJ	VYBER	15	37055	SLUZBY	\N	\N
454610	1544	1996-05-31	VYDAJ	VYBER	15	42055	SLUZBY	\N	\N
454611	1544	1996-06-30	VYDAJ	VYBER	15	36914	SLUZBY	\N	\N
454612	1544	1996-07-31	VYDAJ	VYBER	15	39327	SLUZBY	\N	\N
454613	1544	1996-08-31	VYDAJ	VYBER	15	41633	SLUZBY	\N	\N
454614	1544	1996-09-30	VYDAJ	VYBER	15	40046	SLUZBY	\N	\N
454615	1544	1996-10-31	VYDAJ	VYBER	15	41154	SLUZBY	\N	\N
454616	1544	1996-11-30	VYDAJ	VYBER	15	35311	SLUZBY	\N	\N
454617	1544	1996-12-31	VYDAJ	VYBER	15	40817	SLUZBY	\N	\N
454618	1544	1997-01-31	VYDAJ	VYBER	15	32817	SLUZBY	\N	\N
454619	1544	1997-02-28	VYDAJ	VYBER	15	40798	SLUZBY	\N	\N
454620	1544	1997-03-31	VYDAJ	VYBER	15	44009	SLUZBY	\N	\N
454621	1544	1997-04-30	VYDAJ	VYBER	15	41318	SLUZBY	\N	\N
454622	1544	1997-05-31	VYDAJ	VYBER	15	43145	SLUZBY	\N	\N
454623	1544	1997-06-30	VYDAJ	VYBER	15	38602	SLUZBY	\N	\N
454624	1544	1997-07-31	VYDAJ	VYBER	15	43203	SLUZBY	\N	\N
454625	1544	1997-08-31	VYDAJ	VYBER	15	47122	SLUZBY	\N	\N
454626	1544	1997-09-30	VYDAJ	VYBER	15	46550	SLUZBY	\N	\N
454627	1544	1997-10-31	VYDAJ	VYBER	15	45375	SLUZBY	\N	\N
454628	1544	1997-11-30	VYDAJ	VYBER	15	37802	SLUZBY	\N	\N
454629	1544	1997-12-31	VYDAJ	VYBER	15	36561	SLUZBY	\N	\N
454630	1544	1998-01-31	VYDAJ	VYBER	15	18438	SLUZBY	\N	\N
454631	1544	1998-02-28	VYDAJ	VYBER	15	27659	SLUZBY	\N	\N
454632	1544	1998-03-31	VYDAJ	VYBER	15	32512	SLUZBY	\N	\N
454633	1544	1998-04-30	VYDAJ	VYBER	15	39288	SLUZBY	\N	\N
454634	1544	1998-05-31	VYDAJ	VYBER	15	41421	SLUZBY	\N	\N
454635	1544	1998-06-30	VYDAJ	VYBER	15	43326	SLUZBY	\N	\N
454636	1544	1998-07-31	VYDAJ	VYBER	15	42231	SLUZBY	\N	\N
454637	1544	1998-08-31	VYDAJ	VYBER	15	42634	SLUZBY	\N	\N
454638	1544	1998-09-30	VYDAJ	VYBER	15	40932	SLUZBY	\N	\N
454639	1544	1998-10-31	VYDAJ	VYBER	15	40726	SLUZBY	\N	\N
454640	1544	1998-11-30	VYDAJ	VYBER	15	44427	SLUZBY	\N	\N
454641	1544	1993-08-13	PRIJEM	VKLAD	2100	22150	\N	\N	\N
454642	1544	1993-09-12	VYDAJ	VYBER	6000	35157	\N	\N	\N
454643	1544	1993-10-12	VYDAJ	VYBER	15700	38533	\N	\N	\N
454644	1544	1993-11-11	VYDAJ	VYBER	16900	40739	\N	\N	\N
454645	1544	1993-12-11	VYDAJ	VYBER	17400	42404	\N	\N	\N
454646	1544	1994-01-10	VYDAJ	VYBER	5600	34841	\N	\N	\N
454647	1544	1994-02-09	VYDAJ	VYBER	100	24606	\N	\N	\N
454648	1544	1994-03-11	VYDAJ	VYBER	2100	31818	\N	\N	\N
454649	1544	1994-04-10	VYDAJ	VYBER	5800	35363	\N	\N	\N
454650	1544	1994-05-10	VYDAJ	VYBER	7200	35125	\N	\N	\N
454651	1544	1994-06-09	VYDAJ	VYBER	14700	39265	\N	\N	\N
454652	1544	1994-07-09	VYDAJ	VYBER	500	25787	\N	\N	\N
454653	1544	1994-08-08	VYDAJ	VYBER	7000	37631	\N	\N	\N
454654	1544	1994-09-07	PRIJEM	VKLAD	2100	29278	\N	\N	\N
454655	1544	1994-10-07	VYDAJ	VYBER	3500	35149	\N	\N	\N
454656	1544	1994-11-06	VYDAJ	VYBER	7900	36650	\N	\N	\N
454657	1544	1994-12-06	VYDAJ	VYBER	7600	38461	\N	\N	\N
454658	1544	1995-01-05	VYDAJ	VYBER	11400	41493	\N	\N	\N
454659	1544	1995-02-04	PRIJEM	VKLAD	5600	25783	\N	\N	\N
454660	1544	1995-03-06	PRIJEM	VKLAD	1100	32022	\N	\N	\N
454661	1544	1995-04-05	VYDAJ	VYBER	7800	33606	\N	\N	\N
454662	1544	1995-05-05	VYDAJ	VYBER	2900	34344	\N	\N	\N
454663	1544	1995-06-04	VYDAJ	VYBER	6900	36841	\N	\N	\N
454664	1544	1995-07-04	PRIJEM	VKLAD	800	33809	\N	\N	\N
454665	1544	1995-08-03	VYDAJ	VYBER	3300	39900	\N	\N	\N
454666	1544	1995-09-02	VYDAJ	VYBER	9500	38497	\N	\N	\N
454667	1544	1995-10-02	VYDAJ	VYBER	4400	39790	\N	\N	\N
454668	1544	1995-11-01	VYDAJ	VYBER	6600	38649	\N	\N	\N
454669	1544	1995-12-01	VYDAJ	VYBER	3400	39242	\N	\N	\N
454670	1544	1995-12-31	VYDAJ	VYBER	11500	44902	\N	\N	\N
454671	1544	1996-01-30	PRIJEM	VKLAD	1000	29537	\N	\N	\N
454672	1544	1996-02-29	VYDAJ	VYBER	6700	32376	\N	\N	\N
454673	1544	1996-03-30	VYDAJ	VYBER	2800	32931	\N	\N	\N
454674	1544	1996-04-29	VYDAJ	VYBER	5400	36906	\N	\N	\N
454675	1544	1996-05-29	VYDAJ	VYBER	4400	41890	\N	\N	\N
454676	1544	1996-06-28	PRIJEM	VKLAD	2200	36725	\N	\N	\N
454677	1544	1996-07-28	VYDAJ	VYBER	5300	39169	\N	\N	\N
454678	1544	1996-08-27	VYDAJ	VYBER	7100	41462	\N	\N	\N
454679	1544	1996-09-26	VYDAJ	VYBER	11000	39868	\N	\N	\N
454680	1544	1996-10-26	VYDAJ	VYBER	8300	40981	\N	\N	\N
454681	1544	1996-11-25	VYDAJ	VYBER	4800	40429	\N	\N	\N
454682	1544	1996-12-25	VYDAJ	VYBER	11300	42721	\N	\N	\N
454683	1544	1997-01-24	VYDAJ	VYBER	500	37232	\N	\N	\N
454684	1544	1997-02-23	VYDAJ	VYBER	1400	40652	\N	\N	\N
454685	1544	1997-03-25	VYDAJ	VYBER	6200	43833	\N	\N	\N
454686	1544	1997-04-24	VYDAJ	VYBER	3100	43184	\N	\N	\N
454687	1544	1997-05-24	VYDAJ	VYBER	5300	42973	\N	\N	\N
454688	1544	1997-06-23	VYDAJ	VYBER	8700	38435	\N	\N	\N
454689	1544	1997-07-23	VYDAJ	VYBER	4800	43037	\N	\N	\N
454690	1544	1997-08-22	VYDAJ	VYBER	5500	46938	\N	\N	\N
454691	1544	1997-09-21	VYDAJ	VYBER	10000	46357	\N	\N	\N
454692	1544	1997-10-21	VYDAJ	VYBER	10600	45185	\N	\N	\N
454693	1544	1997-11-20	VYDAJ	VYBER	10500	41470	\N	\N	\N
454694	1544	1997-12-20	VYDAJ	VYBER	12000	41032	\N	\N	\N
454695	1544	1998-01-19	VYDAJ	VYBER	5800	35916	\N	\N	\N
454696	1544	1998-02-18	VYDAJ	VYBER	100	27573	\N	\N	\N
454697	1544	1998-03-20	VYDAJ	VYBER	4500	32394	\N	\N	\N
454698	1544	1998-04-19	VYDAJ	VYBER	2600	39147	\N	\N	\N
454699	1544	1998-05-19	VYDAJ	VYBER	3300	41263	\N	\N	\N
454700	1544	1998-06-18	VYDAJ	VYBER	10100	43151	\N	\N	\N
454701	1544	1998-07-18	VYDAJ	VYBER	10500	42061	\N	\N	\N
454702	1544	1998-08-17	VYDAJ	VYBER	9000	42466	\N	\N	\N
454703	1544	1998-09-16	VYDAJ	VYBER	11100	40769	\N	\N	\N
454704	1544	1998-10-16	VYDAJ	VYBER	9600	40567	\N	\N	\N
454705	1544	1998-11-15	VYDAJ	VYBER	5700	44261	\N	\N	\N
454706	1544	1998-12-15	VYDAJ	VYBER	14600	48537	\N	\N	\N
454772	1545	1993-03-08	PRIJEM	VKLAD	200	200	\N	\N	\N
454773	1545	1993-11-01	PRIJEM	VKLAD	19422	53529	\N	\N	\N
454774	1545	1993-08-14	PRIJEM	VKLAD	40484	66923	\N	\N	\N
454775	1545	1993-05-30	PRIJEM	VKLAD	27642	46142	\N	\N	\N
454776	1545	1993-09-17	PRIJEM	VKLAD	47948	116372	\N	\N	\N
454777	1545	1993-08-31	PRIJEM	VKLAD	36219	103389	\N	\N	\N
454778	1545	1993-09-06	PRIJEM	VKLAD	47735	111824	\N	\N	\N
454779	1545	1994-11-21	PRIJEM	VKLAD	20207	43812	\N	\N	\N
454780	1545	1994-08-10	PRIJEM	VKLAD	15749	57847	\N	\N	\N
454781	1545	1994-07-11	PRIJEM	VKLAD	47575	69926	\N	\N	\N
454782	1545	1994-05-13	PRIJEM	VKLAD	14053	33315	\N	\N	\N
454783	1545	1994-08-16	PRIJEM	VKLAD	5267	63114	\N	\N	\N
454784	1545	1995-06-24	PRIJEM	VKLAD	48543	136683	\N	\N	\N
454785	1545	1995-05-27	PRIJEM	VKLAD	32525	53135	\N	\N	\N
454786	1545	1995-06-22	PRIJEM	VKLAD	45613	88140	\N	\N	\N
454787	1545	1995-07-15	PRIJEM	VKLAD	26135	87804	\N	\N	\N
454788	1545	1995-03-17	PRIJEM	VKLAD	32863	93758	\N	\N	\N
454789	1545	1995-10-11	PRIJEM	VKLAD	44209	86529	\N	\N	\N
454790	1545	1995-03-13	PRIJEM	VKLAD	40947	60895	\N	\N	\N
454791	1545	1995-12-03	PRIJEM	VKLAD	30762	62829	\N	\N	\N
454792	1545	1995-09-19	PRIJEM	VKLAD	44137	74337	\N	\N	\N
454793	1545	1996-10-09	PRIJEM	VKLAD	31772	57761	\N	\N	\N
454794	1545	1997-07-28	PRIJEM	VKLAD	23268	58349	\N	\N	\N
454795	1545	1997-09-25	PRIJEM	VKLAD	48987	114237	\N	\N	\N
454796	1545	1997-05-17	PRIJEM	VKLAD	26635	93272	\N	\N	\N
454797	1545	1997-02-27	PRIJEM	VKLAD	38611	95779	\N	\N	\N
454798	1545	1997-01-29	PRIJEM	VKLAD	17212	85034	\N	\N	\N
454799	1545	1997-08-16	PRIJEM	VKLAD	34427	75382	\N	\N	\N
454800	1545	1997-05-29	PRIJEM	VKLAD	30116	123388	\N	\N	\N
454801	1545	1997-10-02	PRIJEM	VKLAD	20596	107679	\N	\N	\N
454802	1545	1997-01-20	PRIJEM	VKLAD	40916	71722	\N	\N	\N
454803	1545	1997-11-21	PRIJEM	VKLAD	30363	70175	\N	\N	\N
454804	1545	1997-04-03	PRIJEM	VKLAD	16963	109333	\N	\N	\N
454805	1545	1997-04-25	PRIJEM	VKLAD	23018	94114	\N	\N	\N
454806	1545	1997-08-16	PRIJEM	VKLAD	24968	100350	\N	\N	\N
454807	1545	1997-09-07	PRIJEM	VKLAD	42090	142687	\N	\N	\N
454808	1545	1997-03-27	PRIJEM	VKLAD	34832	92063	\N	\N	\N
454809	1545	1998-12-28	PRIJEM	VKLAD	38654	61437	\N	\N	\N
454810	1545	1998-07-04	PRIJEM	VKLAD	47123	74904	\N	\N	\N
454811	1545	1998-05-21	PRIJEM	VKLAD	18102	50582	\N	\N	\N
454812	1545	1998-03-15	PRIJEM	VKLAD	47276	101092	\N	\N	\N
454813	1545	1998-01-23	PRIJEM	VKLAD	20556	46658	\N	\N	\N
454814	1545	1998-02-18	PRIJEM	VKLAD	34049	94935	\N	\N	\N
454815	1545	1998-02-25	PRIJEM	VKLAD	33724	128659	\N	\N	\N
454816	1545	1998-02-13	PRIJEM	VKLAD	37449	60886	\N	\N	\N
454817	1545	1998-08-04	PRIJEM	VKLAD	18290	45979	\N	\N	\N
454818	1545	1998-03-09	PRIJEM	VKLAD	24244	119116	\N	\N	\N
454819	1545	1998-04-03	PRIJEM	VKLAD	40799	142262	\N	\N	\N
454820	1545	1998-11-02	PRIJEM	VKLAD	13983	30173	\N	\N	\N
454821	1545	1998-05-08	PRIJEM	VKLAD	12805	55875	\N	\N	\N
454831	1545	1993-10-07	VYDAJ	PREVOD NA UCET	2625	53498	SIPO	KL	98522644
454832	1545	1993-11-07	VYDAJ	PREVOD NA UCET	2625	39204	SIPO	KL	98522644
454833	1545	1993-12-07	VYDAJ	PREVOD NA UCET	2625	28592	SIPO	KL	98522644
454834	1545	1994-01-07	VYDAJ	PREVOD NA UCET	2625	18454	SIPO	KL	98522644
454835	1545	1994-02-07	VYDAJ	PREVOD NA UCET	2625	20581	SIPO	KL	98522644
454836	1545	1994-03-07	VYDAJ	PREVOD NA UCET	2625	21108	SIPO	KL	98522644
454837	1545	1994-04-07	VYDAJ	PREVOD NA UCET	2625	22239	SIPO	KL	98522644
454838	1545	1994-05-07	VYDAJ	PREVOD NA UCET	2625	19262	SIPO	KL	98522644
454839	1545	1994-06-07	VYDAJ	PREVOD NA UCET	2625	25083	SIPO	KL	98522644
454840	1545	1994-07-07	VYDAJ	PREVOD NA UCET	2625	23463	SIPO	KL	98522644
454841	1545	1994-08-07	VYDAJ	PREVOD NA UCET	2625	42098	SIPO	KL	98522644
454842	1545	1994-09-07	VYDAJ	PREVOD NA UCET	2625	44707	SIPO	KL	98522644
454843	1545	1994-10-07	VYDAJ	PREVOD NA UCET	2625	34429	SIPO	KL	98522644
454844	1545	1994-11-07	VYDAJ	PREVOD NA UCET	2625	23605	SIPO	KL	98522644
454845	1545	1994-12-07	VYDAJ	PREVOD NA UCET	2625	31191	SIPO	KL	98522644
454846	1545	1995-01-07	VYDAJ	PREVOD NA UCET	2625	25669	SIPO	KL	98522644
454847	1545	1995-02-07	VYDAJ	PREVOD NA UCET	2625	17737	SIPO	KL	98522644
454848	1545	1995-03-07	VYDAJ	PREVOD NA UCET	2625	21060	SIPO	KL	98522644
454849	1545	1995-04-07	VYDAJ	PREVOD NA UCET	2625	53203	SIPO	KL	98522644
454850	1545	1995-05-07	VYDAJ	PREVOD NA UCET	2625	38553	SIPO	KL	98522644
454851	1545	1995-06-07	VYDAJ	PREVOD NA UCET	2625	43639	SIPO	KL	98522644
454852	1545	1995-07-07	VYDAJ	PREVOD NA UCET	2625	62781	SIPO	KL	98522644
454853	1545	1995-08-07	VYDAJ	PREVOD NA UCET	2625	51839	SIPO	KL	98522644
454854	1545	1995-09-07	VYDAJ	PREVOD NA UCET	2625	43612	SIPO	KL	98522644
454855	1545	1995-10-07	VYDAJ	PREVOD NA UCET	2625	42320	SIPO	KL	98522644
454856	1545	1995-11-07	VYDAJ	PREVOD NA UCET	2625	51700	SIPO	KL	98522644
454857	1545	1995-12-07	VYDAJ	PREVOD NA UCET	2625	59092	SIPO	KL	98522644
454858	1545	1996-01-07	VYDAJ	PREVOD NA UCET	2625	36753	SIPO	KL	98522644
454859	1545	1996-02-07	VYDAJ	PREVOD NA UCET	2625	21113	SIPO	KL	98522644
454860	1545	1996-03-07	VYDAJ	PREVOD NA UCET	2625	22568	SIPO	KL	98522644
454861	1545	1996-04-07	VYDAJ	PREVOD NA UCET	2625	26017	SIPO	KL	98522644
454862	1545	1996-05-07	VYDAJ	PREVOD NA UCET	2625	27969	SIPO	KL	98522644
454863	1545	1996-06-07	VYDAJ	PREVOD NA UCET	2625	27951	SIPO	KL	98522644
454864	1545	1996-07-07	VYDAJ	PREVOD NA UCET	2625	29622	SIPO	KL	98522644
454865	1545	1996-08-07	VYDAJ	PREVOD NA UCET	2625	20080	SIPO	KL	98522644
454866	1545	1996-09-07	VYDAJ	PREVOD NA UCET	2625	24541	SIPO	KL	98522644
454867	1545	1996-10-07	VYDAJ	PREVOD NA UCET	2625	27101	SIPO	KL	98522644
454868	1545	1996-11-07	VYDAJ	PREVOD NA UCET	2625	43807	SIPO	KL	98522644
454869	1545	1996-12-07	VYDAJ	PREVOD NA UCET	2625	34630	SIPO	KL	98522644
454870	1545	1997-01-07	VYDAJ	PREVOD NA UCET	2625	21906	SIPO	KL	98522644
454871	1545	1997-02-07	VYDAJ	PREVOD NA UCET	2625	81468	SIPO	KL	98522644
454872	1545	1997-03-07	VYDAJ	PREVOD NA UCET	2625	82043	SIPO	KL	98522644
454873	1545	1997-04-07	VYDAJ	PREVOD NA UCET	2625	106708	SIPO	KL	98522644
454874	1545	1997-05-07	VYDAJ	PREVOD NA UCET	2625	90737	SIPO	KL	98522644
454875	1545	1997-06-07	VYDAJ	PREVOD NA UCET	2625	62019	SIPO	KL	98522644
454876	1545	1997-07-07	VYDAJ	PREVOD NA UCET	2625	35593	SIPO	KL	98522644
454877	1545	1997-08-07	VYDAJ	PREVOD NA UCET	2625	41855	SIPO	KL	98522644
454878	1545	1997-09-07	VYDAJ	PREVOD NA UCET	2625	138950	SIPO	KL	98522644
454879	1545	1997-10-07	VYDAJ	PREVOD NA UCET	2625	103942	SIPO	KL	98522644
454880	1545	1997-11-07	VYDAJ	PREVOD NA UCET	2625	52812	SIPO	KL	98522644
454881	1545	1997-12-07	VYDAJ	PREVOD NA UCET	2625	55771	SIPO	KL	98522644
454882	1545	1998-01-07	VYDAJ	PREVOD NA UCET	2625	24802	SIPO	KL	98522644
454883	1545	1998-02-07	VYDAJ	PREVOD NA UCET	2625	29749	SIPO	KL	98522644
454884	1545	1998-03-07	VYDAJ	PREVOD NA UCET	2625	95984	SIPO	KL	98522644
454885	1545	1998-04-07	VYDAJ	PREVOD NA UCET	2625	117325	SIPO	KL	98522644
454886	1545	1998-05-07	VYDAJ	PREVOD NA UCET	2625	44182	SIPO	KL	98522644
454887	1545	1998-06-07	VYDAJ	PREVOD NA UCET	2625	39062	SIPO	KL	98522644
454888	1545	1998-07-07	VYDAJ	PREVOD NA UCET	2625	72279	SIPO	KL	98522644
454889	1545	1998-08-07	VYDAJ	PREVOD NA UCET	2625	42242	SIPO	KL	98522644
454890	1545	1998-09-07	VYDAJ	PREVOD NA UCET	2625	24807	SIPO	KL	98522644
454891	1545	1998-10-07	VYDAJ	PREVOD NA UCET	2625	17252	SIPO	KL	98522644
454892	1545	1998-11-07	VYDAJ	PREVOD NA UCET	2625	27548	SIPO	KL	98522644
454893	1545	1998-12-07	VYDAJ	PREVOD NA UCET	2625	23895	SIPO	KL	98522644
454903	1545	1993-10-07	VYDAJ	PREVOD NA UCET	1112	52386	 	MN	5408674
454904	1545	1993-11-07	VYDAJ	PREVOD NA UCET	1112	38092	 	MN	5408674
454905	1545	1993-12-07	VYDAJ	PREVOD NA UCET	1112	31217	 	MN	5408674
454906	1545	1994-01-07	VYDAJ	PREVOD NA UCET	1112	17342	 	MN	5408674
454907	1545	1994-02-07	VYDAJ	PREVOD NA UCET	1112	19469	 	MN	5408674
454908	1545	1994-03-07	VYDAJ	PREVOD NA UCET	1112	19996	 	MN	5408674
454909	1545	1994-04-07	VYDAJ	PREVOD NA UCET	1112	21127	 	MN	5408674
454910	1545	1994-05-07	VYDAJ	PREVOD NA UCET	1112	21887	 	MN	5408674
454911	1545	1994-06-07	VYDAJ	PREVOD NA UCET	1112	27708	 	MN	5408674
454912	1545	1994-07-07	VYDAJ	PREVOD NA UCET	1112	22351	 	MN	5408674
454913	1545	1994-08-07	VYDAJ	PREVOD NA UCET	1112	44723	 	MN	5408674
454914	1545	1994-09-07	VYDAJ	PREVOD NA UCET	1112	43595	 	MN	5408674
454915	1545	1994-10-07	VYDAJ	PREVOD NA UCET	1112	37054	 	MN	5408674
454916	1545	1994-11-07	VYDAJ	PREVOD NA UCET	1112	26230	 	MN	5408674
454917	1545	1994-12-07	VYDAJ	PREVOD NA UCET	1112	33816	 	MN	5408674
454918	1545	1995-01-07	VYDAJ	PREVOD NA UCET	1112	28294	 	MN	5408674
454919	1545	1995-02-07	VYDAJ	PREVOD NA UCET	1112	16625	 	MN	5408674
454920	1545	1995-03-07	VYDAJ	PREVOD NA UCET	1112	19948	 	MN	5408674
454921	1545	1995-04-07	VYDAJ	PREVOD NA UCET	1112	52091	 	MN	5408674
454922	1545	1995-05-07	VYDAJ	PREVOD NA UCET	1112	41178	 	MN	5408674
454923	1545	1995-06-07	VYDAJ	PREVOD NA UCET	1112	42527	 	MN	5408674
454924	1545	1995-07-07	VYDAJ	PREVOD NA UCET	1112	61669	 	MN	5408674
454925	1545	1995-08-07	VYDAJ	PREVOD NA UCET	1112	54464	 	MN	5408674
454926	1545	1995-09-07	VYDAJ	PREVOD NA UCET	1112	42500	 	MN	5408674
454927	1545	1995-10-07	VYDAJ	PREVOD NA UCET	1112	44945	 	MN	5408674
454928	1545	1995-11-07	VYDAJ	PREVOD NA UCET	1112	50588	 	MN	5408674
454929	1545	1995-12-07	VYDAJ	PREVOD NA UCET	1112	61717	 	MN	5408674
454930	1545	1996-01-07	VYDAJ	PREVOD NA UCET	1112	35641	 	MN	5408674
454931	1545	1996-02-07	VYDAJ	PREVOD NA UCET	1112	23738	 	MN	5408674
454932	1545	1996-03-07	VYDAJ	PREVOD NA UCET	1112	21456	 	MN	5408674
454933	1545	1996-04-07	VYDAJ	PREVOD NA UCET	1112	24905	 	MN	5408674
454934	1545	1996-05-07	VYDAJ	PREVOD NA UCET	1112	30594	 	MN	5408674
454935	1545	1996-06-07	VYDAJ	PREVOD NA UCET	1112	26839	 	MN	5408674
454936	1545	1996-07-07	VYDAJ	PREVOD NA UCET	1112	28510	 	MN	5408674
454937	1545	1996-08-07	VYDAJ	PREVOD NA UCET	1112	22705	 	MN	5408674
454938	1545	1996-09-07	VYDAJ	PREVOD NA UCET	1112	23429	 	MN	5408674
454939	1545	1996-10-07	VYDAJ	PREVOD NA UCET	1112	25989	 	MN	5408674
454940	1545	1996-11-07	VYDAJ	PREVOD NA UCET	1112	42695	 	MN	5408674
454941	1545	1996-12-07	VYDAJ	PREVOD NA UCET	1112	33518	 	MN	5408674
454942	1545	1997-01-07	VYDAJ	PREVOD NA UCET	1112	24531	 	MN	5408674
454943	1545	1997-02-07	VYDAJ	PREVOD NA UCET	1112	84093	 	MN	5408674
454944	1545	1997-03-07	VYDAJ	PREVOD NA UCET	1112	80931	 	MN	5408674
454945	1545	1997-04-07	VYDAJ	PREVOD NA UCET	1112	105596	 	MN	5408674
454946	1545	1997-05-07	VYDAJ	PREVOD NA UCET	1112	93362	 	MN	5408674
454947	1545	1997-06-07	VYDAJ	PREVOD NA UCET	1112	60907	 	MN	5408674
454948	1545	1997-07-07	VYDAJ	PREVOD NA UCET	1112	34481	 	MN	5408674
454949	1545	1997-08-07	VYDAJ	PREVOD NA UCET	1112	44480	 	MN	5408674
454950	1545	1997-09-07	VYDAJ	PREVOD NA UCET	1112	141575	 	MN	5408674
454951	1545	1997-10-07	VYDAJ	PREVOD NA UCET	1112	106567	 	MN	5408674
454952	1545	1997-11-07	VYDAJ	PREVOD NA UCET	1112	55437	 	MN	5408674
454953	1545	1997-12-07	VYDAJ	PREVOD NA UCET	1112	54659	 	MN	5408674
454954	1545	1998-01-07	VYDAJ	PREVOD NA UCET	1112	27427	 	MN	5408674
454955	1545	1998-02-07	VYDAJ	PREVOD NA UCET	1112	28637	 	MN	5408674
454956	1545	1998-03-07	VYDAJ	PREVOD NA UCET	1112	94872	 	MN	5408674
454957	1545	1998-04-07	VYDAJ	PREVOD NA UCET	1112	119950	 	MN	5408674
454958	1545	1998-05-07	VYDAJ	PREVOD NA UCET	1112	43070	 	MN	5408674
454959	1545	1998-06-07	VYDAJ	PREVOD NA UCET	1112	41687	 	MN	5408674
454960	1545	1998-07-07	VYDAJ	PREVOD NA UCET	1112	71167	 	MN	5408674
454961	1545	1998-08-07	VYDAJ	PREVOD NA UCET	1112	44867	 	MN	5408674
454962	1545	1998-09-07	VYDAJ	PREVOD NA UCET	1112	27432	 	MN	5408674
454963	1545	1998-10-07	VYDAJ	PREVOD NA UCET	1112	16140	 	MN	5408674
454964	1545	1998-11-07	VYDAJ	PREVOD NA UCET	1112	26436	 	MN	5408674
454965	1545	1998-12-07	VYDAJ	PREVOD NA UCET	1112	22783	 	MN	5408674
454971	1545	1993-10-27	VYBER	VYBER	13840	33897	\N	\N	\N
454972	1545	1993-10-09	VYBER	VYBER	4649	47737	\N	\N	\N
454984	1545	1995-10-15	VYBER	VYBER	19935	66594	\N	\N	\N
454985	1545	1995-05-17	VYBER	VYBER	17943	20610	\N	\N	\N
454986	1545	1995-11-18	VYBER	VYBER	15431	30008	\N	\N	\N
454988	1545	1995-09-23	VYBER	VYBER	10121	64216	\N	\N	\N
454989	1545	1995-03-26	VYBER	VYBER	10947	82811	\N	\N	\N
454992	1545	1995-11-12	VYBER	VYBER	5149	45439	\N	\N	\N
454993	1545	1995-10-06	VYBER	VYBER	2249	46057	\N	\N	\N
454999	1545	1998-07-25	VYBER	VYBER	14720	27547	\N	\N	\N
455000	1545	1998-06-04	VYBER	VYBER	7953	42799	\N	\N	\N
455006	1545	1998-05-16	VYBER	VYBER	6795	32480	\N	\N	\N
455020	1545	1998-01-29	VYDAJ	VYBER	12900	32258	\N	\N	\N
455021	1545	1993-12-10	VYDAJ	VYBER	7500	21092	\N	\N	\N
455022	1545	1994-12-12	VYDAJ	VYBER	1500	29691	\N	\N	\N
455023	1545	1995-12-20	VYDAJ	VYBER	2700	56392	\N	\N	\N
455024	1545	1996-12-02	VYDAJ	VYBER	3300	37255	\N	\N	\N
455025	1545	1997-12-05	VYDAJ	VYBER	2400	67996	\N	\N	\N
455041	1545	1995-01-29	VYDAJ	VYBER	2700	20269	\N	\N	\N
455043	1545	1995-01-21	VYDAJ	VYBER	4800	20869	\N	\N	\N
455045	1545	1996-01-24	VYDAJ	VYBER	4500	24741	\N	\N	\N
455046	1545	1996-01-14	VYDAJ	VYBER	7800	24541	\N	\N	\N
455050	1545	1996-01-12	VYDAJ	VYBER	3300	32341	\N	\N	\N
455053	1545	1997-01-05	VYDAJ	VYBER	5400	25643	\N	\N	\N
455055	1545	1997-01-23	VYDAJ	VYBER	3900	67822	\N	\N	\N
455056	1545	1997-01-01	VYDAJ	VYBER	1500	31043	\N	\N	\N
455057	1545	1998-01-24	VYDAJ	VYBER	1500	45158	\N	\N	\N
455059	1545	1998-01-05	VYDAJ	VYBER	4200	35439	\N	\N	\N
455062	1545	1998-01-06	VYDAJ	VYBER	6900	28539	\N	\N	\N
455069	1545	1993-11-13	VYDAJ	VYBER	3600	34492	\N	\N	\N
455071	1545	1994-10-21	VYDAJ	VYBER	13800	20629	\N	\N	\N
455075	1545	1994-07-28	VYDAJ	VYBER	6600	63326	\N	\N	\N
455076	1545	1995-09-07	VYDAJ	VYBER	12300	30200	\N	\N	\N
455077	1545	1995-06-27	VYDAJ	VYBER	12300	65183	\N	\N	\N
455078	1545	1995-07-22	VYDAJ	VYBER	10200	77604	\N	\N	\N
455080	1545	1995-12-25	VYDAJ	VYBER	9000	39192	\N	\N	\N
455081	1545	1995-03-26	VYDAJ	VYBER	5400	77411	\N	\N	\N
455082	1545	1996-12-14	VYDAJ	VYBER	3600	29918	\N	\N	\N
455083	1545	1996-07-12	VYDAJ	VYBER	1500	27010	\N	\N	\N
455085	1545	1996-07-28	VYDAJ	VYBER	10800	23710	\N	\N	\N
455086	1545	1997-08-04	VYDAJ	VYBER	12900	45592	\N	\N	\N
455087	1545	1997-06-28	VYDAJ	VYBER	12600	38007	\N	\N	\N
455088	1545	1997-12-06	VYDAJ	VYBER	9600	58396	\N	\N	\N
455089	1545	1997-03-05	VYDAJ	VYBER	11400	84668	\N	\N	\N
455090	1545	1997-11-05	VYDAJ	VYBER	10200	56549	\N	\N	\N
455104	1545	1993-09-30	VYDAJ	VYBER	15	89823	SLUZBY	\N	\N
455105	1545	1993-10-31	VYDAJ	VYBER	15	34107	SLUZBY	\N	\N
455106	1545	1993-11-30	VYDAJ	VYBER	15	34629	SLUZBY	\N	\N
455107	1545	1993-12-31	VYDAJ	VYBER	15	21179	SLUZBY	\N	\N
455108	1545	1994-01-31	VYDAJ	VYBER	15	17406	SLUZBY	\N	\N
455109	1545	1994-02-28	VYDAJ	VYBER	15	19533	SLUZBY	\N	\N
455110	1545	1994-03-31	VYDAJ	VYBER	15	20064	SLUZBY	\N	\N
455111	1545	1994-04-30	VYDAJ	VYBER	15	21199	SLUZBY	\N	\N
455112	1545	1994-05-31	VYDAJ	VYBER	15	33420	SLUZBY	\N	\N
455113	1545	1994-06-30	VYDAJ	VYBER	15	25188	SLUZBY	\N	\N
455114	1545	1994-07-31	VYDAJ	VYBER	15	45835	SLUZBY	\N	\N
455115	1545	1994-08-31	VYDAJ	VYBER	15	47332	SLUZBY	\N	\N
455116	1545	1994-09-30	VYDAJ	VYBER	15	38166	SLUZBY	\N	\N
455117	1545	1994-10-31	VYDAJ	VYBER	15	27342	SLUZBY	\N	\N
455118	1545	1994-11-30	VYDAJ	VYBER	15	34928	SLUZBY	\N	\N
455119	1545	1994-12-31	VYDAJ	VYBER	15	29406	SLUZBY	\N	\N
455120	1545	1995-01-31	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
455121	1545	1995-02-28	VYDAJ	VYBER	15	23685	SLUZBY	\N	\N
455122	1545	1995-03-31	VYDAJ	VYBER	15	55828	SLUZBY	\N	\N
455123	1545	1995-04-30	VYDAJ	VYBER	15	42290	SLUZBY	\N	\N
455124	1545	1995-05-31	VYDAJ	VYBER	15	46264	SLUZBY	\N	\N
455125	1545	1995-06-30	VYDAJ	VYBER	15	65406	SLUZBY	\N	\N
455126	1545	1995-07-31	VYDAJ	VYBER	15	55576	SLUZBY	\N	\N
455127	1545	1995-08-31	VYDAJ	VYBER	15	46237	SLUZBY	\N	\N
455128	1545	1995-09-30	VYDAJ	VYBER	15	48306	SLUZBY	\N	\N
455129	1545	1995-10-31	VYDAJ	VYBER	15	54325	SLUZBY	\N	\N
455130	1545	1995-11-30	VYDAJ	VYBER	15	32067	SLUZBY	\N	\N
455131	1545	1995-12-31	VYDAJ	VYBER	15	39378	SLUZBY	\N	\N
455132	1545	1996-01-31	VYDAJ	VYBER	15	24850	SLUZBY	\N	\N
455133	1545	1996-02-29	VYDAJ	VYBER	15	25193	SLUZBY	\N	\N
455134	1545	1996-03-31	VYDAJ	VYBER	15	28642	SLUZBY	\N	\N
455135	1545	1996-04-30	VYDAJ	VYBER	15	31706	SLUZBY	\N	\N
455136	1545	1996-05-31	VYDAJ	VYBER	15	30576	SLUZBY	\N	\N
455137	1545	1996-06-30	VYDAJ	VYBER	15	32247	SLUZBY	\N	\N
455138	1545	1996-07-31	VYDAJ	VYBER	15	23817	SLUZBY	\N	\N
455139	1545	1996-08-31	VYDAJ	VYBER	15	27166	SLUZBY	\N	\N
455140	1545	1996-09-30	VYDAJ	VYBER	15	29726	SLUZBY	\N	\N
455141	1545	1996-10-31	VYDAJ	VYBER	15	46432	SLUZBY	\N	\N
455142	1545	1996-11-30	VYDAJ	VYBER	15	40555	SLUZBY	\N	\N
455143	1545	1996-12-31	VYDAJ	VYBER	15	32543	SLUZBY	\N	\N
455144	1545	1997-01-31	VYDAJ	VYBER	15	85205	SLUZBY	\N	\N
455145	1545	1997-02-28	VYDAJ	VYBER	15	96068	SLUZBY	\N	\N
455146	1545	1997-03-31	VYDAJ	VYBER	15	92370	SLUZBY	\N	\N
455147	1545	1997-04-30	VYDAJ	VYBER	15	94474	SLUZBY	\N	\N
455148	1545	1997-05-31	VYDAJ	VYBER	15	64644	SLUZBY	\N	\N
455149	1545	1997-06-30	VYDAJ	VYBER	15	38218	SLUZBY	\N	\N
455150	1545	1997-07-31	VYDAJ	VYBER	15	58492	SLUZBY	\N	\N
455151	1545	1997-08-31	VYDAJ	VYBER	15	100597	SLUZBY	\N	\N
455152	1545	1997-09-30	VYDAJ	VYBER	15	87083	SLUZBY	\N	\N
455153	1545	1997-10-31	VYDAJ	VYBER	15	66749	SLUZBY	\N	\N
455154	1545	1997-11-30	VYDAJ	VYBER	15	70396	SLUZBY	\N	\N
455155	1545	1997-12-31	VYDAJ	VYBER	15	39639	SLUZBY	\N	\N
455156	1545	1998-01-31	VYDAJ	VYBER	15	32374	SLUZBY	\N	\N
455157	1545	1998-02-28	VYDAJ	VYBER	15	98609	SLUZBY	\N	\N
455158	1545	1998-03-31	VYDAJ	VYBER	15	101463	SLUZBY	\N	\N
455159	1545	1998-04-30	VYDAJ	VYBER	15	46807	SLUZBY	\N	\N
455160	1545	1998-05-31	VYDAJ	VYBER	15	50752	SLUZBY	\N	\N
455161	1545	1998-06-30	VYDAJ	VYBER	15	27781	SLUZBY	\N	\N
455162	1545	1998-07-31	VYDAJ	VYBER	15	27689	SLUZBY	\N	\N
455163	1545	1998-08-31	VYDAJ	VYBER	15	28544	SLUZBY	\N	\N
455164	1545	1998-09-30	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
455165	1545	1998-10-31	VYDAJ	VYBER	15	16190	SLUZBY	\N	\N
455166	1545	1998-11-30	VYDAJ	VYBER	15	26520	SLUZBY	\N	\N
455167	1545	1993-04-07	PRIJEM	VKLAD	14000	14200	\N	\N	\N
455168	1545	1993-05-07	PRIJEM	VKLAD	4300	18500	\N	\N	\N
455169	1545	1993-06-06	VYDAJ	VYBER	11000	35154	\N	\N	\N
455170	1545	1993-07-06	VYDAJ	VYBER	7100	28247	\N	\N	\N
455171	1545	1993-08-05	VYDAJ	VYBER	2000	26439	\N	\N	\N
455172	1545	1993-09-04	VYDAJ	VYBER	39300	64089	\N	\N	\N
455173	1545	1993-09-06	VYDAJ	VYBER	43400	68424	\N	\N	\N
455174	1545	1993-09-17	VYDAJ	VYBER	27000	89372	\N	\N	\N
455175	1545	1993-10-04	VYDAJ	VYBER	33700	56123	\N	\N	\N
455176	1545	1993-11-03	VYDAJ	VYBER	11700	41829	\N	\N	\N
455177	1545	1993-12-03	VYDAJ	VYBER	2300	32329	\N	\N	\N
455178	1545	1994-01-02	VYDAJ	VYBER	100	21079	\N	\N	\N
455179	1545	1994-02-01	PRIJEM	VKLAD	5800	23206	\N	\N	\N
455180	1545	1994-03-03	PRIJEM	VKLAD	4200	23733	\N	\N	\N
455181	1545	1994-04-02	PRIJEM	VKLAD	4800	24864	\N	\N	\N
455182	1545	1994-05-02	PRIJEM	VKLAD	1800	22999	\N	\N	\N
455183	1545	1994-06-01	VYDAJ	VYBER	4600	28820	\N	\N	\N
455184	1545	1994-07-01	PRIJEM	VKLAD	900	26088	\N	\N	\N
455185	1545	1994-07-31	VYDAJ	VYBER	17700	45849	\N	\N	\N
455186	1545	1994-08-30	VYDAJ	VYBER	16000	47114	\N	\N	\N
455187	1545	1994-09-29	VYDAJ	VYBER	5600	37995	\N	\N	\N
455188	1545	1994-10-29	PRIJEM	VKLAD	6600	27229	\N	\N	\N
455189	1545	1994-11-28	VYDAJ	VYBER	9000	34812	\N	\N	\N
455190	1545	1994-12-28	VYDAJ	VYBER	400	29291	\N	\N	\N
455191	1545	1995-01-27	PRIJEM	VKLAD	2100	22969	\N	\N	\N
455192	1545	1995-02-26	PRIJEM	VKLAD	7000	23625	\N	\N	\N
455193	1545	1995-03-28	VYDAJ	VYBER	21800	55611	\N	\N	\N
455194	1545	1995-04-27	VYDAJ	VYBER	10000	42091	\N	\N	\N
455195	1545	1995-05-27	VYDAJ	VYBER	7000	46135	\N	\N	\N
455196	1545	1995-06-24	VYDAJ	VYBER	19000	117683	\N	\N	\N
455197	1545	1995-06-26	VYDAJ	VYBER	40200	77483	\N	\N	\N
455198	1545	1995-07-26	VYDAJ	VYBER	22300	55304	\N	\N	\N
455199	1545	1995-08-25	VYDAJ	VYBER	5800	46039	\N	\N	\N
455200	1545	1995-09-24	VYDAJ	VYBER	16100	48116	\N	\N	\N
455201	1545	1995-10-24	VYDAJ	VYBER	12500	54094	\N	\N	\N
455202	1545	1995-11-23	PRIJEM	VKLAD	1900	31908	\N	\N	\N
455203	1545	1995-12-23	VYDAJ	VYBER	8200	48192	\N	\N	\N
455204	1545	1996-01-22	PRIJEM	VKLAD	4700	29241	\N	\N	\N
455205	1545	1996-02-21	PRIJEM	VKLAD	4000	25113	\N	\N	\N
455206	1545	1996-03-22	PRIJEM	VKLAD	7100	28556	\N	\N	\N
455207	1545	1996-04-21	PRIJEM	VKLAD	6700	31605	\N	\N	\N
455208	1545	1996-05-21	PRIJEM	VKLAD	2500	30469	\N	\N	\N
455209	1545	1996-06-20	PRIJEM	VKLAD	5300	32139	\N	\N	\N
455210	1545	1996-07-20	PRIJEM	VKLAD	7500	34510	\N	\N	\N
455211	1545	1996-08-19	PRIJEM	VKLAD	7000	27080	\N	\N	\N
455212	1545	1996-09-18	PRIJEM	VKLAD	6200	29629	\N	\N	\N
455213	1545	1996-10-18	VYDAJ	VYBER	11500	46261	\N	\N	\N
455214	1545	1996-11-17	VYDAJ	VYBER	2300	40395	\N	\N	\N
455215	1545	1996-12-17	PRIJEM	VKLAD	2500	32418	\N	\N	\N
455216	1545	1997-01-16	PRIJEM	VKLAD	8900	30806	\N	\N	\N
455217	1545	1997-02-15	VYDAJ	VYBER	24300	57168	\N	\N	\N
455218	1545	1997-03-17	VYDAJ	VYBER	23700	57231	\N	\N	\N
455219	1545	1997-04-16	VYDAJ	VYBER	34500	71096	\N	\N	\N
455220	1545	1997-05-16	VYDAJ	VYBER	24100	66637	\N	\N	\N
455221	1545	1997-05-29	VYDAJ	VYBER	59100	64288	\N	\N	\N
455222	1545	1997-06-15	VYDAJ	VYBER	10300	50607	\N	\N	\N
455223	1545	1997-07-15	PRIJEM	VKLAD	600	35081	\N	\N	\N
455224	1545	1997-08-14	VYDAJ	VYBER	900	40955	\N	\N	\N
455225	1545	1997-09-07	VYDAJ	VYBER	43600	95350	\N	\N	\N
455226	1545	1997-09-13	VYDAJ	VYBER	30100	65250	\N	\N	\N
455227	1545	1997-09-30	VYDAJ	VYBER	27500	87097	\N	\N	\N
455228	1545	1997-10-13	VYDAJ	VYBER	37500	66442	\N	\N	\N
455229	1545	1997-11-12	VYDAJ	VYBER	13000	39812	\N	\N	\N
455230	1545	1997-12-12	VYDAJ	VYBER	15200	39459	\N	\N	\N
455231	1545	1998-01-11	PRIJEM	VKLAD	1300	26102	\N	\N	\N
455232	1545	1998-02-10	VYDAJ	VYBER	5200	23437	\N	\N	\N
455233	1545	1998-02-25	VYDAJ	VYBER	30300	98359	\N	\N	\N
455234	1545	1998-03-09	VYDAJ	VYBER	38400	80716	\N	\N	\N
455235	1545	1998-03-12	VYDAJ	VYBER	26900	53816	\N	\N	\N
455236	1545	1998-04-03	VYDAJ	VYBER	21200	121062	\N	\N	\N
455237	1545	1998-04-07	VYDAJ	VYBER	47100	70225	\N	\N	\N
455238	1545	1998-04-11	VYDAJ	VYBER	23700	46525	\N	\N	\N
455239	1545	1998-05-11	VYDAJ	VYBER	16600	39275	\N	\N	\N
455240	1545	1998-06-10	VYDAJ	VYBER	11400	27662	\N	\N	\N
455241	1545	1998-07-10	VYDAJ	VYBER	28900	42267	\N	\N	\N
455242	1545	1998-08-09	VYDAJ	VYBER	13800	28442	\N	\N	\N
455243	1545	1998-09-08	VYDAJ	VYBER	5000	19807	\N	\N	\N
455312	1546	1996-11-20	PRIJEM	VKLAD	800	800	\N	\N	\N
455324	1546	1996-12-07	PRIJEM	VKLAD	11820	12620	\N	\N	\N
455325	1546	1997-01-07	PRIJEM	VKLAD	7880	25028	\N	\N	\N
455326	1546	1997-02-07	PRIJEM	VKLAD	7880	31390	\N	\N	\N
455327	1546	1997-03-07	PRIJEM	VKLAD	7880	33070	\N	\N	\N
455328	1546	1997-04-07	PRIJEM	VKLAD	7880	35058	\N	\N	\N
455329	1546	1997-05-07	PRIJEM	VKLAD	7880	33966	\N	\N	\N
455330	1546	1997-06-07	PRIJEM	VKLAD	11820	31113	\N	\N	\N
455331	1546	1997-07-07	PRIJEM	VKLAD	7880	28296	\N	\N	\N
455332	1546	1997-08-07	PRIJEM	VKLAD	7880	25075	\N	\N	\N
455333	1546	1997-09-07	PRIJEM	VKLAD	7880	24441	\N	\N	\N
455334	1546	1997-10-07	PRIJEM	VKLAD	7880	24204	\N	\N	\N
455335	1546	1997-11-07	PRIJEM	VKLAD	7880	22263	\N	\N	\N
455336	1546	1997-12-07	PRIJEM	VKLAD	11820	24152	\N	\N	\N
455337	1546	1998-01-07	PRIJEM	VKLAD	7880	21107	\N	\N	\N
455338	1546	1998-02-07	PRIJEM	VKLAD	7880	20458	\N	\N	\N
455339	1546	1998-03-07	PRIJEM	VKLAD	7880	25315	\N	\N	\N
455340	1546	1998-04-07	PRIJEM	VKLAD	7880	22577	\N	\N	\N
455341	1546	1998-05-07	PRIJEM	VKLAD	7880	24837	\N	\N	\N
455342	1546	1998-06-07	PRIJEM	VKLAD	11820	30244	\N	\N	\N
455343	1546	1998-07-07	PRIJEM	VKLAD	7880	22717	\N	\N	\N
455344	1546	1998-08-07	PRIJEM	VKLAD	7880	21369	\N	\N	\N
455345	1546	1998-09-07	PRIJEM	VKLAD	7880	19813	\N	\N	\N
455346	1546	1998-10-07	PRIJEM	VKLAD	7880	23565	\N	\N	\N
455347	1546	1998-11-07	PRIJEM	VKLAD	7880	19422	\N	\N	\N
455348	1546	1998-12-07	PRIJEM	VKLAD	11820	19993	\N	\N	\N
455364	1546	1997-04-11	VYDAJ	PREVOD NA UCET	4173	30885	SIPO	UV	49245339
455365	1546	1997-05-11	VYDAJ	PREVOD NA UCET	4173	29793	SIPO	UV	49245339
455366	1546	1997-06-11	VYDAJ	PREVOD NA UCET	4173	26940	SIPO	UV	49245339
455367	1546	1997-07-11	VYDAJ	PREVOD NA UCET	4173	24123	SIPO	UV	49245339
455368	1546	1997-08-11	VYDAJ	PREVOD NA UCET	4173	20902	SIPO	UV	49245339
455369	1546	1997-09-11	VYDAJ	PREVOD NA UCET	4173	20268	SIPO	UV	49245339
455370	1546	1997-10-11	VYDAJ	PREVOD NA UCET	4173	20031	SIPO	UV	49245339
455371	1546	1997-11-11	VYDAJ	PREVOD NA UCET	4173	18090	SIPO	UV	49245339
455372	1546	1997-12-11	VYDAJ	PREVOD NA UCET	4173	19979	SIPO	UV	49245339
455373	1546	1998-01-11	VYDAJ	PREVOD NA UCET	4173	12834	SIPO	UV	49245339
455374	1546	1998-02-11	VYDAJ	PREVOD NA UCET	4173	16285	SIPO	UV	49245339
455375	1546	1998-03-11	VYDAJ	PREVOD NA UCET	4173	21142	SIPO	UV	49245339
455376	1546	1998-04-11	VYDAJ	PREVOD NA UCET	4173	18404	SIPO	UV	49245339
455377	1546	1998-05-11	VYDAJ	PREVOD NA UCET	4173	20664	SIPO	UV	49245339
455378	1546	1998-06-11	VYDAJ	PREVOD NA UCET	4173	26071	SIPO	UV	49245339
455379	1546	1998-07-11	VYDAJ	PREVOD NA UCET	4173	18544	SIPO	UV	49245339
455380	1546	1998-08-11	VYDAJ	PREVOD NA UCET	4173	17196	SIPO	UV	49245339
455381	1546	1998-09-11	VYDAJ	PREVOD NA UCET	4173	15640	SIPO	UV	49245339
455382	1546	1998-10-11	VYDAJ	PREVOD NA UCET	4173	11492	SIPO	UV	49245339
455383	1546	1998-11-11	VYDAJ	PREVOD NA UCET	4173	8149	SIPO	UV	49245339
455384	1546	1998-12-11	VYDAJ	PREVOD NA UCET	4173	10720	SIPO	UV	49245339
455387	1546	1998-06-25	VYDAJ	VYBER	6700	14771	\N	\N	\N
455392	1546	1997-12-30	VYDAJ	VYBER	900	14679	\N	\N	\N
455408	1546	1998-01-01	VYDAJ	VYBER	1500	13227	\N	\N	\N
455416	1546	1997-05-19	VYDAJ	VYBER	1700	28093	\N	\N	\N
455419	1546	1997-07-02	VYDAJ	VYBER	500	20416	\N	\N	\N
455423	1546	1998-01-07	VYDAJ	VYBER	4100	17007	\N	\N	\N
455425	1546	1998-03-25	VYDAJ	VYBER	600	14642	\N	\N	\N
455442	1546	1997-04-30	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
455443	1546	1997-05-31	VYDAJ	VYBER	15	19293	SLUZBY	\N	\N
455444	1546	1997-06-30	VYDAJ	VYBER	15	20916	SLUZBY	\N	\N
455445	1546	1997-07-31	VYDAJ	VYBER	15	17195	SLUZBY	\N	\N
455446	1546	1997-08-31	VYDAJ	VYBER	15	16561	SLUZBY	\N	\N
455447	1546	1997-09-30	VYDAJ	VYBER	15	16324	SLUZBY	\N	\N
455448	1546	1997-10-31	VYDAJ	VYBER	15	14383	SLUZBY	\N	\N
455449	1546	1997-11-30	VYDAJ	VYBER	15	12332	SLUZBY	\N	\N
455450	1546	1997-12-31	VYDAJ	VYBER	15	14727	SLUZBY	\N	\N
455451	1546	1998-01-31	VYDAJ	VYBER	15	12578	SLUZBY	\N	\N
455452	1546	1998-02-28	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
455453	1546	1998-03-31	VYDAJ	VYBER	15	14697	SLUZBY	\N	\N
455454	1546	1998-04-30	VYDAJ	VYBER	15	16957	SLUZBY	\N	\N
455455	1546	1998-05-31	VYDAJ	VYBER	15	18424	SLUZBY	\N	\N
455456	1546	1998-06-30	VYDAJ	VYBER	15	14837	SLUZBY	\N	\N
455457	1546	1998-07-31	VYDAJ	VYBER	15	13489	SLUZBY	\N	\N
455458	1546	1998-08-31	VYDAJ	VYBER	15	11933	SLUZBY	\N	\N
455459	1546	1998-09-30	VYDAJ	VYBER	15	15685	SLUZBY	\N	\N
455460	1546	1998-10-31	VYDAJ	VYBER	15	11542	SLUZBY	\N	\N
455461	1546	1998-11-30	VYDAJ	VYBER	15	8173	SLUZBY	\N	\N
455462	1546	1996-12-20	PRIJEM	VKLAD	4500	17120	\N	\N	\N
455463	1546	1997-01-19	VYDAJ	VYBER	1600	23428	\N	\N	\N
455464	1546	1997-02-18	VYDAJ	VYBER	6300	25090	\N	\N	\N
455465	1546	1997-03-20	VYDAJ	VYBER	6000	27070	\N	\N	\N
455466	1546	1997-04-19	VYDAJ	VYBER	4900	25985	\N	\N	\N
455467	1546	1997-05-19	VYDAJ	VYBER	8900	19193	\N	\N	\N
455468	1546	1997-06-18	VYDAJ	VYBER	6100	20840	\N	\N	\N
455469	1546	1997-07-18	VYDAJ	VYBER	7000	17123	\N	\N	\N
455470	1546	1997-08-17	VYDAJ	VYBER	4400	16502	\N	\N	\N
455471	1546	1997-09-16	VYDAJ	VYBER	4000	16268	\N	\N	\N
455472	1546	1997-10-16	VYDAJ	VYBER	5700	14331	\N	\N	\N
455473	1546	1997-11-15	VYDAJ	VYBER	5800	12290	\N	\N	\N
455474	1546	1997-12-15	VYDAJ	VYBER	4400	15579	\N	\N	\N
455475	1546	1998-01-14	VYDAJ	VYBER	300	12534	\N	\N	\N
455476	1546	1998-02-13	PRIJEM	VKLAD	1100	17385	\N	\N	\N
455477	1546	1998-03-15	VYDAJ	VYBER	5900	15242	\N	\N	\N
455478	1546	1998-04-14	VYDAJ	VYBER	1500	16904	\N	\N	\N
455479	1546	1998-05-14	VYDAJ	VYBER	2300	18364	\N	\N	\N
455480	1546	1998-06-13	VYDAJ	VYBER	4600	21471	\N	\N	\N
455481	1546	1998-07-13	VYDAJ	VYBER	5100	13444	\N	\N	\N
455482	1546	1998-08-12	VYDAJ	VYBER	5300	11896	\N	\N	\N
455483	1546	1998-10-11	VYDAJ	VYBER	7900	15665	\N	\N	\N
455484	1546	1998-11-10	VYDAJ	VYBER	7100	12322	\N	\N	\N
455485	1546	1998-12-10	VYDAJ	VYBER	5100	14893	\N	\N	\N
455511	1547	1993-09-14	PRIJEM	VKLAD	700	700	\N	\N	\N
455521	1547	1993-10-13	PRIJEM	VKLAD	22894	23594	\N	\N	\N
455522	1547	1993-11-13	PRIJEM	VKLAD	22894	46645	\N	\N	\N
455523	1547	1993-12-13	PRIJEM	VKLAD	34341	67709	\N	\N	\N
455524	1547	1994-01-13	PRIJEM	VKLAD	22894	56075	\N	\N	\N
455525	1547	1994-02-13	PRIJEM	VKLAD	22894	62987	\N	\N	\N
455526	1547	1994-03-13	PRIJEM	VKLAD	22894	86117	\N	\N	\N
455527	1547	1994-04-13	PRIJEM	VKLAD	22894	59507	\N	\N	\N
455528	1547	1994-05-13	PRIJEM	VKLAD	22894	63919	\N	\N	\N
455529	1547	1994-06-13	PRIJEM	VKLAD	34341	73326	\N	\N	\N
455530	1547	1994-07-13	PRIJEM	VKLAD	22894	71323	\N	\N	\N
455531	1547	1994-08-13	PRIJEM	VKLAD	22894	72397	\N	\N	\N
455532	1547	1994-09-13	PRIJEM	VKLAD	22894	72577	\N	\N	\N
455533	1547	1994-10-13	PRIJEM	VKLAD	22894	69799	\N	\N	\N
455534	1547	1994-11-13	PRIJEM	VKLAD	22894	71259	\N	\N	\N
455535	1547	1994-12-13	PRIJEM	VKLAD	34341	80118	\N	\N	\N
455536	1547	1995-01-13	PRIJEM	VKLAD	22894	62511	\N	\N	\N
455537	1547	1995-02-13	PRIJEM	VKLAD	22894	62193	\N	\N	\N
455538	1547	1995-03-13	PRIJEM	VKLAD	22894	62436	\N	\N	\N
455539	1547	1995-04-13	PRIJEM	VKLAD	22894	65867	\N	\N	\N
455540	1547	1995-05-13	PRIJEM	VKLAD	22894	66215	\N	\N	\N
455541	1547	1995-06-13	PRIJEM	VKLAD	34341	78917	\N	\N	\N
455542	1547	1995-07-13	PRIJEM	VKLAD	22894	75304	\N	\N	\N
455543	1547	1995-08-13	PRIJEM	VKLAD	22894	70103	\N	\N	\N
455544	1547	1995-09-13	PRIJEM	VKLAD	22894	68383	\N	\N	\N
455545	1547	1995-10-13	PRIJEM	VKLAD	22894	63826	\N	\N	\N
455546	1547	1995-11-13	PRIJEM	VKLAD	22894	63464	\N	\N	\N
455547	1547	1995-12-13	PRIJEM	VKLAD	34341	78555	\N	\N	\N
455548	1547	1996-01-13	PRIJEM	VKLAD	22894	53693	\N	\N	\N
455549	1547	1996-02-13	PRIJEM	VKLAD	22894	56883	\N	\N	\N
455550	1547	1996-03-13	PRIJEM	VKLAD	22894	60288	\N	\N	\N
455551	1547	1996-04-13	PRIJEM	VKLAD	22894	65011	\N	\N	\N
455552	1547	1996-05-13	PRIJEM	VKLAD	22894	68249	\N	\N	\N
455553	1547	1996-06-13	PRIJEM	VKLAD	34341	83146	\N	\N	\N
455554	1547	1996-07-13	PRIJEM	VKLAD	22894	54968	\N	\N	\N
455555	1547	1996-08-13	PRIJEM	VKLAD	22894	53480	\N	\N	\N
455556	1547	1996-09-13	PRIJEM	VKLAD	22894	57944	\N	\N	\N
455557	1547	1996-10-13	PRIJEM	VKLAD	22894	58520	\N	\N	\N
455558	1547	1996-11-13	PRIJEM	VKLAD	22894	60947	\N	\N	\N
455559	1547	1996-12-13	PRIJEM	VKLAD	34341	68128	\N	\N	\N
455560	1547	1997-01-13	PRIJEM	VKLAD	22894	54418	\N	\N	\N
455561	1547	1997-02-13	PRIJEM	VKLAD	22894	48824	\N	\N	\N
455562	1547	1997-03-13	PRIJEM	VKLAD	22894	54712	\N	\N	\N
455563	1547	1997-04-13	PRIJEM	VKLAD	22894	59823	\N	\N	\N
455564	1547	1997-05-13	PRIJEM	VKLAD	22894	56352	\N	\N	\N
455565	1547	1997-06-13	PRIJEM	VKLAD	34341	70760	\N	\N	\N
455566	1547	1997-07-13	PRIJEM	VKLAD	22894	62089	\N	\N	\N
455567	1547	1997-08-13	PRIJEM	VKLAD	22894	56255	\N	\N	\N
455568	1547	1997-09-13	PRIJEM	VKLAD	22894	53504	\N	\N	\N
455569	1547	1997-10-13	PRIJEM	VKLAD	22894	55909	\N	\N	\N
455570	1547	1997-11-13	PRIJEM	VKLAD	22894	51928	\N	\N	\N
455571	1547	1997-12-13	PRIJEM	VKLAD	34341	61369	\N	\N	\N
455572	1547	1998-01-13	PRIJEM	VKLAD	22894	44496	\N	\N	\N
455573	1547	1998-02-13	PRIJEM	VKLAD	22894	44631	\N	\N	\N
455574	1547	1998-03-13	PRIJEM	VKLAD	22894	67599	\N	\N	\N
455575	1547	1998-04-13	PRIJEM	VKLAD	22894	45329	\N	\N	\N
455576	1547	1998-05-13	PRIJEM	VKLAD	22894	63499	\N	\N	\N
455577	1547	1998-06-13	PRIJEM	VKLAD	34341	98055	\N	\N	\N
455578	1547	1998-07-13	PRIJEM	VKLAD	22894	45505	\N	\N	\N
455579	1547	1998-08-13	PRIJEM	VKLAD	22894	68475	\N	\N	\N
455580	1547	1998-09-13	PRIJEM	VKLAD	22894	42893	\N	\N	\N
455581	1547	1998-10-13	PRIJEM	VKLAD	22894	65852	\N	\N	\N
455582	1547	1998-11-13	PRIJEM	VKLAD	22894	88907	\N	\N	\N
455583	1547	1998-12-13	PRIJEM	VKLAD	34341	55213	\N	\N	\N
455585	1547	1994-06-05	VYDAJ	VYBER	14080	50085	\N	\N	\N
455587	1547	1996-06-19	VYDAJ	VYBER	44640	38506	\N	\N	\N
455589	1547	1998-06-13	VYDAJ	VYBER	19040	79015	\N	\N	\N
455592	1547	1995-01-02	VYDAJ	VYBER	15360	65037	\N	\N	\N
455593	1547	1996-01-11	VYDAJ	VYBER	13120	30799	\N	\N	\N
455594	1547	1997-01-27	VYDAJ	VYBER	9440	25778	\N	\N	\N
455595	1547	1998-01-14	VYDAJ	VYBER	12640	31856	\N	\N	\N
455597	1547	1994-12-01	VYDAJ	VYBER	3680	61977	\N	\N	\N
455598	1547	1995-12-04	VYDAJ	VYBER KARTOU	800	44214	\N	\N	0
455599	1547	1996-12-02	VYDAJ	VYBER KARTOU	3000	33787	\N	\N	0
455600	1547	1997-12-29	VYDAJ	VYBER KARTOU	3000	22069	\N	\N	0
455601	1547	1998-12-24	VYDAJ	VYBER KARTOU	4500	50713	\N	\N	0
455614	1547	1995-01-08	VYDAJ	VYBER	3120	39617	\N	\N	\N
455615	1547	1995-01-04	VYDAJ	VYBER	1320	63717	\N	\N	\N
455616	1547	1995-01-07	VYDAJ	VYBER	2280	61437	\N	\N	\N
455617	1547	1995-01-15	VYDAJ	VYBER	1440	61071	\N	\N	\N
455618	1547	1995-01-22	VYDAJ	VYBER	1920	56871	\N	\N	\N
455619	1547	1995-01-20	VYDAJ	VYBER	2280	58791	\N	\N	\N
455620	1547	1996-01-03	VYDAJ	VYBER KARTOU	1200	47919	\N	\N	0
455621	1547	1996-01-13	VYDAJ	VYBER KARTOU	800	52893	\N	\N	0
455622	1547	1996-01-08	VYDAJ	VYBER KARTOU	3200	43919	\N	\N	0
455623	1547	1996-01-05	VYDAJ	VYBER KARTOU	800	47119	\N	\N	0
455624	1547	1996-01-01	VYDAJ	VYBER KARTOU	700	78119	\N	\N	0
455625	1547	1996-01-29	VYDAJ	VYBER KARTOU	1700	51193	\N	\N	0
455626	1547	1997-01-06	VYDAJ	VYBER KARTOU	3100	33324	\N	\N	0
455627	1547	1997-01-10	VYDAJ	VYBER KARTOU	1800	31524	\N	\N	0
455628	1547	1997-01-14	VYDAJ	VYBER KARTOU	2000	52418	\N	\N	0
455629	1547	1997-01-22	VYDAJ	VYBER KARTOU	1600	50818	\N	\N	0
455630	1547	1997-01-04	VYDAJ	VYBER KARTOU	3500	36424	\N	\N	0
455631	1547	1997-01-25	VYDAJ	VYBER KARTOU	1200	49618	\N	\N	0
455632	1547	1998-01-11	VYDAJ	VYBER KARTOU	600	21602	\N	\N	0
455633	1547	1998-01-16	VYDAJ	VYBER KARTOU	2400	28056	\N	\N	0
455634	1547	1998-01-15	VYDAJ	VYBER KARTOU	1400	30456	\N	\N	0
455635	1547	1998-01-22	VYDAJ	VYBER KARTOU	2300	21656	\N	\N	0
455642	1547	1994-12-01	VYDAJ	VYBER	3480	65657	\N	\N	\N
455643	1547	1994-03-15	VYDAJ	VYBER	4920	49997	\N	\N	\N
455644	1547	1994-10-06	VYDAJ	VYBER	4440	65305	\N	\N	\N
455645	1547	1994-06-19	VYDAJ	VYBER	3120	70206	\N	\N	\N
455646	1547	1994-11-23	VYDAJ	VYBER	2400	68859	\N	\N	\N
455647	1547	1994-10-06	VYDAJ	VYBER	3120	69745	\N	\N	\N
455648	1547	1994-06-30	VYDAJ	VYBER	840	69629	\N	\N	\N
455649	1547	1995-09-26	VYDAJ	VYBER	3600	64783	\N	\N	\N
455650	1547	1995-09-29	VYDAJ	VYBER	4920	59863	\N	\N	\N
455651	1547	1995-02-19	VYDAJ	VYBER	2400	59793	\N	\N	\N
455652	1547	1995-02-22	VYDAJ	VYBER	2880	56913	\N	\N	\N
455653	1547	1996-09-03	VYDAJ	VYBER KARTOU	3500	35050	\N	\N	0
455654	1547	1996-08-09	VYDAJ	VYBER KARTOU	4200	30586	\N	\N	0
455655	1547	1996-12-25	VYDAJ	VYBER KARTOU	4400	63728	\N	\N	0
455656	1547	1996-04-23	VYDAJ	VYBER KARTOU	2800	62211	\N	\N	0
455657	1547	1997-08-02	VYDAJ	VYBER KARTOU	3100	33361	\N	\N	0
455658	1547	1997-05-09	VYDAJ	VYBER KARTOU	2200	33458	\N	\N	0
455659	1547	1997-10-18	VYDAJ	VYBER KARTOU	4700	51209	\N	\N	0
455660	1547	1997-12-10	VYDAJ	VYBER KARTOU	800	27028	\N	\N	0
455661	1547	1997-07-13	VYDAJ	VYBER KARTOU	4400	57689	\N	\N	0
455662	1547	1997-12-23	VYDAJ	VYBER KARTOU	3400	25069	\N	\N	0
455664	1547	1998-05-10	VYDAJ	VYBER KARTOU	4800	40605	\N	\N	0
455665	1547	1998-12-25	VYDAJ	VYBER KARTOU	1000	49713	\N	\N	0
455666	1547	1998-01-22	VYDAJ	VYBER KARTOU	4100	23956	\N	\N	0
455681	1547	1994-02-28	VYDAJ	VYBER	15	63223	SLUZBY	\N	\N
455682	1547	1994-03-31	VYDAJ	VYBER	15	50213	SLUZBY	\N	\N
455683	1547	1994-04-30	VYDAJ	VYBER	15	59725	SLUZBY	\N	\N
455684	1547	1994-05-31	VYDAJ	VYBER	15	64165	SLUZBY	\N	\N
455685	1547	1994-06-30	VYDAJ	VYBER	15	70469	SLUZBY	\N	\N
455686	1547	1994-07-31	VYDAJ	VYBER	15	71603	SLUZBY	\N	\N
455687	1547	1994-08-31	VYDAJ	VYBER	15	72683	SLUZBY	\N	\N
455688	1547	1994-09-30	VYDAJ	VYBER	15	72865	SLUZBY	\N	\N
455689	1547	1994-10-31	VYDAJ	VYBER	15	70065	SLUZBY	\N	\N
455690	1547	1994-11-30	VYDAJ	VYBER	15	69137	SLUZBY	\N	\N
455691	1547	1994-12-31	VYDAJ	VYBER	15	80397	SLUZBY	\N	\N
455692	1547	1995-01-31	VYDAJ	VYBER	15	57099	SLUZBY	\N	\N
455693	1547	1995-02-28	VYDAJ	VYBER	15	57142	SLUZBY	\N	\N
455694	1547	1995-03-31	VYDAJ	VYBER	15	62673	SLUZBY	\N	\N
455695	1547	1995-04-30	VYDAJ	VYBER	15	66121	SLUZBY	\N	\N
455696	1547	1995-05-31	VYDAJ	VYBER	15	66476	SLUZBY	\N	\N
455697	1547	1995-06-30	VYDAJ	VYBER	15	79210	SLUZBY	\N	\N
455698	1547	1995-07-31	VYDAJ	VYBER	15	75609	SLUZBY	\N	\N
455699	1547	1995-08-31	VYDAJ	VYBER	15	70389	SLUZBY	\N	\N
455700	1547	1995-09-30	VYDAJ	VYBER	15	60132	SLUZBY	\N	\N
455701	1547	1995-10-31	VYDAJ	VYBER	15	64070	SLUZBY	\N	\N
455702	1547	1995-11-30	VYDAJ	VYBER	15	63714	SLUZBY	\N	\N
455703	1547	1995-12-31	VYDAJ	VYBER	15	78819	SLUZBY	\N	\N
455704	1547	1996-01-31	VYDAJ	VYBER	15	51389	SLUZBY	\N	\N
455705	1547	1996-02-29	VYDAJ	VYBER	15	57094	SLUZBY	\N	\N
455706	1547	1996-03-31	VYDAJ	VYBER	15	60517	SLUZBY	\N	\N
455707	1547	1996-04-30	VYDAJ	VYBER	15	62455	SLUZBY	\N	\N
455708	1547	1996-05-31	VYDAJ	VYBER	15	68505	SLUZBY	\N	\N
455709	1547	1996-06-30	VYDAJ	VYBER	15	38674	SLUZBY	\N	\N
455710	1547	1996-07-31	VYDAJ	VYBER	15	34786	SLUZBY	\N	\N
455711	1547	1996-08-31	VYDAJ	VYBER	15	38550	SLUZBY	\N	\N
455712	1547	1996-09-30	VYDAJ	VYBER	15	35626	SLUZBY	\N	\N
455713	1547	1996-10-31	VYDAJ	VYBER	15	38053	SLUZBY	\N	\N
455714	1547	1996-11-30	VYDAJ	VYBER	15	36787	SLUZBY	\N	\N
455715	1547	1996-12-31	VYDAJ	VYBER	15	39924	SLUZBY	\N	\N
455716	1547	1997-01-31	VYDAJ	VYBER	15	25930	SLUZBY	\N	\N
455717	1547	1997-02-28	VYDAJ	VYBER	15	31818	SLUZBY	\N	\N
455718	1547	1997-03-31	VYDAJ	VYBER	15	36929	SLUZBY	\N	\N
455719	1547	1997-04-30	VYDAJ	VYBER	15	35658	SLUZBY	\N	\N
455720	1547	1997-05-31	VYDAJ	VYBER	15	36419	SLUZBY	\N	\N
455721	1547	1997-06-30	VYDAJ	VYBER	15	39195	SLUZBY	\N	\N
455722	1547	1997-07-31	VYDAJ	VYBER	15	36461	SLUZBY	\N	\N
455723	1547	1997-08-31	VYDAJ	VYBER	15	30610	SLUZBY	\N	\N
455724	1547	1997-09-30	VYDAJ	VYBER	15	33015	SLUZBY	\N	\N
455725	1547	1997-10-31	VYDAJ	VYBER	15	29034	SLUZBY	\N	\N
455726	1547	1997-11-30	VYDAJ	VYBER	15	27828	SLUZBY	\N	\N
455727	1547	1997-12-31	VYDAJ	VYBER	15	22202	SLUZBY	\N	\N
455728	1547	1998-01-31	VYDAJ	VYBER	15	21737	SLUZBY	\N	\N
455729	1547	1998-02-28	VYDAJ	VYBER	15	44705	SLUZBY	\N	\N
455730	1547	1998-03-31	VYDAJ	VYBER	15	22435	SLUZBY	\N	\N
455731	1547	1998-04-30	VYDAJ	VYBER	15	45405	SLUZBY	\N	\N
455732	1547	1998-05-31	VYDAJ	VYBER	15	63714	SLUZBY	\N	\N
455733	1547	1998-06-30	VYDAJ	VYBER	15	22611	SLUZBY	\N	\N
455734	1547	1998-07-31	VYDAJ	VYBER	15	45581	SLUZBY	\N	\N
455735	1547	1998-08-31	VYDAJ	VYBER	15	19999	SLUZBY	\N	\N
455736	1547	1998-09-30	VYDAJ	VYBER	15	42958	SLUZBY	\N	\N
455737	1547	1998-10-31	VYDAJ	VYBER	15	66013	SLUZBY	\N	\N
455738	1547	1998-11-30	VYDAJ	VYBER	15	20872	SLUZBY	\N	\N
455739	1547	1993-10-14	PRIJEM	VKLAD	100	23694	\N	\N	\N
455740	1547	1993-11-13	VYDAJ	VYBER	13400	33245	\N	\N	\N
455741	1547	1993-12-13	VYDAJ	VYBER	21400	46309	\N	\N	\N
455742	1547	1994-01-12	VYDAJ	VYBER	13300	33181	\N	\N	\N
455743	1547	1994-02-11	VYDAJ	VYBER	16200	40093	\N	\N	\N
455744	1547	1994-03-13	VYDAJ	VYBER	31200	54917	\N	\N	\N
455745	1547	1994-04-12	VYDAJ	VYBER	13600	36613	\N	\N	\N
455746	1547	1994-05-12	VYDAJ	VYBER	18700	41025	\N	\N	\N
455747	1547	1994-06-11	VYDAJ	VYBER	11100	38985	\N	\N	\N
455748	1547	1994-07-11	VYDAJ	VYBER	21200	48429	\N	\N	\N
455749	1547	1994-08-10	VYDAJ	VYBER	22100	49503	\N	\N	\N
455750	1547	1994-09-09	VYDAJ	VYBER	23000	49683	\N	\N	\N
455751	1547	1994-10-09	VYDAJ	VYBER	18400	46905	\N	\N	\N
455752	1547	1994-11-08	VYDAJ	VYBER	21700	48365	\N	\N	\N
455753	1547	1994-12-08	VYDAJ	VYBER	16200	45777	\N	\N	\N
455754	1547	1995-01-07	VYDAJ	VYBER	18700	42737	\N	\N	\N
455755	1547	1995-02-06	VYDAJ	VYBER	17800	39299	\N	\N	\N
455756	1547	1995-03-08	VYDAJ	VYBER	17600	39542	\N	\N	\N
455757	1547	1995-04-07	VYDAJ	VYBER	19700	42973	\N	\N	\N
455758	1547	1995-05-07	VYDAJ	VYBER	22800	43321	\N	\N	\N
455759	1547	1995-06-06	VYDAJ	VYBER	21900	44576	\N	\N	\N
455760	1547	1995-07-06	VYDAJ	VYBER	26800	52410	\N	\N	\N
455761	1547	1995-08-05	VYDAJ	VYBER	28400	47209	\N	\N	\N
455762	1547	1995-09-04	VYDAJ	VYBER	24900	45489	\N	\N	\N
455763	1547	1995-10-04	VYDAJ	VYBER	19200	40932	\N	\N	\N
455764	1547	1995-11-03	VYDAJ	VYBER	23500	40570	\N	\N	\N
455765	1547	1995-12-03	VYDAJ	VYBER	18700	45014	\N	\N	\N
455766	1547	1996-01-02	VYDAJ	VYBER	29000	49119	\N	\N	\N
455767	1547	1996-02-01	VYDAJ	VYBER	17400	33989	\N	\N	\N
455768	1547	1996-03-02	VYDAJ	VYBER	19700	37394	\N	\N	\N
455769	1547	1996-04-01	VYDAJ	VYBER	18400	42117	\N	\N	\N
455770	1547	1996-05-01	VYDAJ	VYBER	17100	45355	\N	\N	\N
455771	1547	1996-05-31	VYDAJ	VYBER	19700	48805	\N	\N	\N
455772	1547	1996-06-30	VYDAJ	VYBER KARTOU	6600	32074	\N	\N	0
455773	1547	1996-07-30	VYDAJ	VYBER	20300	34668	\N	\N	\N
455774	1547	1996-08-29	VYDAJ	VYBER	15100	38380	\N	\N	\N
455775	1547	1996-09-28	VYDAJ	VYBER	22500	35444	\N	\N	\N
455776	1547	1996-10-28	VYDAJ	VYBER	20600	37920	\N	\N	\N
455777	1547	1996-11-27	VYDAJ	VYBER	24300	36647	\N	\N	\N
455778	1547	1996-12-27	VYDAJ	VYBER	24000	39728	\N	\N	\N
455779	1547	1997-01-26	VYDAJ	VYBER	14400	35218	\N	\N	\N
455780	1547	1997-02-25	VYDAJ	VYBER	17100	31724	\N	\N	\N
455781	1547	1997-03-27	VYDAJ	VYBER	17900	36812	\N	\N	\N
455782	1547	1997-04-26	VYDAJ	VYBER	24300	35523	\N	\N	\N
455783	1547	1997-05-26	VYDAJ	VYBER	20100	36252	\N	\N	\N
455784	1547	1997-06-25	VYDAJ	VYBER	31700	39060	\N	\N	\N
455785	1547	1997-07-25	VYDAJ	VYBER	21400	36289	\N	\N	\N
455786	1547	1997-08-24	VYDAJ	VYBER	25800	30455	\N	\N	\N
455787	1547	1997-09-23	VYDAJ	VYBER	20600	32904	\N	\N	\N
455788	1547	1997-10-23	VYDAJ	VYBER	22300	28909	\N	\N	\N
455789	1547	1997-11-22	VYDAJ	VYBER	24200	27728	\N	\N	\N
455790	1547	1997-12-22	VYDAJ	VYBER	32900	28469	\N	\N	\N
455791	1547	1998-03-22	VYDAJ	VYBER	45300	22299	\N	\N	\N
455792	1547	1998-06-20	VYDAJ	VYBER	56600	22415	\N	\N	\N
455793	1547	1998-08-19	VYDAJ	VYBER	48600	19875	\N	\N	\N
455794	1547	1998-11-17	VYDAJ	VYBER	68200	20707	\N	\N	\N
455858	1548	1995-01-27	PRIJEM	VKLAD	800	800	\N	\N	\N
455860	1548	1995-02-11	PRIJEM	PREVOD Z UCTU	3159	3959	\N	YZ	80514359
455861	1548	1995-03-11	PRIJEM	PREVOD Z UCTU	3159	7118	\N	YZ	80514359
455862	1548	1995-04-11	PRIJEM	PREVOD Z UCTU	3159	10277	\N	YZ	80514359
455863	1548	1995-05-11	PRIJEM	PREVOD Z UCTU	3159	13436	\N	YZ	80514359
455864	1548	1995-06-11	PRIJEM	PREVOD Z UCTU	3159	16595	\N	YZ	80514359
455865	1548	1995-07-11	PRIJEM	PREVOD Z UCTU	3159	17672	\N	YZ	80514359
455866	1548	1995-08-11	PRIJEM	PREVOD Z UCTU	3159	18773	\N	YZ	80514359
455867	1548	1995-09-11	PRIJEM	PREVOD Z UCTU	3159	19880	\N	YZ	80514359
455868	1548	1995-10-11	PRIJEM	PREVOD Z UCTU	3159	20991	\N	YZ	80514359
455869	1548	1995-11-11	PRIJEM	PREVOD Z UCTU	3159	20632	\N	YZ	80514359
455870	1548	1995-12-11	PRIJEM	PREVOD Z UCTU	3159	21746	\N	YZ	80514359
455871	1548	1996-01-11	PRIJEM	PREVOD Z UCTU	3159	22359	\N	YZ	80514359
455872	1548	1996-02-11	PRIJEM	PREVOD Z UCTU	3159	22279	\N	YZ	80514359
455873	1548	1996-03-11	PRIJEM	PREVOD Z UCTU	3159	23399	\N	YZ	80514359
455874	1548	1996-04-11	PRIJEM	PREVOD Z UCTU	3159	23244	\N	YZ	80514359
455875	1548	1996-05-11	PRIJEM	PREVOD Z UCTU	3159	23740	\N	YZ	80514359
455876	1548	1996-06-11	PRIJEM	PREVOD Z UCTU	3159	22964	\N	YZ	80514359
455877	1548	1996-07-11	PRIJEM	PREVOD Z UCTU	3159	17419	\N	YZ	80514359
455878	1548	1996-08-11	PRIJEM	PREVOD Z UCTU	3159	17117	\N	YZ	80514359
455879	1548	1996-09-11	PRIJEM	PREVOD Z UCTU	3159	15311	\N	YZ	80514359
455880	1548	1996-10-11	PRIJEM	PREVOD Z UCTU	3159	16403	\N	YZ	80514359
455881	1548	1996-11-11	PRIJEM	PREVOD Z UCTU	3159	17499	\N	YZ	80514359
455882	1548	1996-12-11	PRIJEM	PREVOD Z UCTU	3159	18600	\N	YZ	80514359
455883	1548	1997-01-11	PRIJEM	PREVOD Z UCTU	3159	14795	\N	YZ	80514359
455884	1548	1997-02-11	PRIJEM	PREVOD Z UCTU	3159	15885	\N	YZ	80514359
455885	1548	1997-03-11	PRIJEM	PREVOD Z UCTU	3159	16979	\N	YZ	80514359
455886	1548	1997-04-11	PRIJEM	PREVOD Z UCTU	3159	17177	\N	YZ	80514359
455887	1548	1997-05-11	PRIJEM	PREVOD Z UCTU	3159	14569	\N	YZ	80514359
455888	1548	1997-06-11	PRIJEM	PREVOD Z UCTU	3159	15658	\N	YZ	80514359
455889	1548	1997-07-11	PRIJEM	PREVOD Z UCTU	3159	16270	\N	YZ	80514359
455890	1548	1997-08-11	PRIJEM	PREVOD Z UCTU	3159	14559	\N	YZ	80514359
455891	1548	1997-09-11	PRIJEM	PREVOD Z UCTU	3159	15647	\N	YZ	80514359
455892	1548	1997-10-11	PRIJEM	PREVOD Z UCTU	3159	16439	\N	YZ	80514359
455893	1548	1997-11-11	PRIJEM	PREVOD Z UCTU	3159	17536	\N	YZ	80514359
455894	1548	1997-12-11	PRIJEM	PREVOD Z UCTU	3159	18216	\N	YZ	80514359
455895	1548	1998-01-11	PRIJEM	PREVOD Z UCTU	3159	18540	\N	YZ	80514359
455896	1548	1998-02-11	PRIJEM	PREVOD Z UCTU	3159	19645	\N	YZ	80514359
455897	1548	1998-03-11	PRIJEM	PREVOD Z UCTU	3159	20754	\N	YZ	80514359
455898	1548	1998-04-11	PRIJEM	PREVOD Z UCTU	3159	19824	\N	YZ	80514359
455899	1548	1998-05-11	PRIJEM	PREVOD Z UCTU	3159	20934	\N	YZ	80514359
455900	1548	1998-06-11	PRIJEM	PREVOD Z UCTU	3159	18899	\N	YZ	80514359
455901	1548	1998-07-11	PRIJEM	PREVOD Z UCTU	3159	20008	\N	YZ	80514359
455902	1548	1998-08-11	PRIJEM	PREVOD Z UCTU	3159	21118	\N	YZ	80514359
455903	1548	1998-09-11	PRIJEM	PREVOD Z UCTU	3159	22234	\N	YZ	80514359
455904	1548	1998-10-11	PRIJEM	PREVOD Z UCTU	3159	23353	\N	YZ	80514359
455905	1548	1998-11-11	PRIJEM	PREVOD Z UCTU	3159	23425	\N	YZ	80514359
455906	1548	1998-12-11	PRIJEM	PREVOD Z UCTU	3159	24310	\N	YZ	80514359
455912	1548	1995-06-12	VYDAJ	PREVOD NA UCET	2106	14489	SIPO	MN	36616581
455913	1548	1995-07-12	VYDAJ	PREVOD NA UCET	2106	15566	SIPO	MN	36616581
455914	1548	1995-08-12	VYDAJ	PREVOD NA UCET	2106	16667	SIPO	MN	36616581
455915	1548	1995-09-12	VYDAJ	PREVOD NA UCET	2106	17774	SIPO	MN	36616581
455916	1548	1995-10-12	VYDAJ	PREVOD NA UCET	2106	18885	SIPO	MN	36616581
455917	1548	1995-11-12	VYDAJ	PREVOD NA UCET	2106	18526	SIPO	MN	36616581
455918	1548	1995-12-12	VYDAJ	PREVOD NA UCET	2106	19130	SIPO	MN	36616581
455919	1548	1996-01-12	VYDAJ	PREVOD NA UCET	2106	20253	SIPO	MN	36616581
455920	1548	1996-02-12	VYDAJ	PREVOD NA UCET	2106	20173	SIPO	MN	36616581
455921	1548	1996-03-12	VYDAJ	PREVOD NA UCET	2106	21293	SIPO	MN	36616581
455922	1548	1996-04-12	VYDAJ	PREVOD NA UCET	2106	21138	SIPO	MN	36616581
455923	1548	1996-05-12	VYDAJ	PREVOD NA UCET	2106	21634	SIPO	MN	36616581
455924	1548	1996-06-12	VYDAJ	PREVOD NA UCET	2106	20858	SIPO	MN	36616581
455925	1548	1996-07-12	VYDAJ	PREVOD NA UCET	2106	15313	SIPO	MN	36616581
455926	1548	1996-08-12	VYDAJ	PREVOD NA UCET	2106	15011	SIPO	MN	36616581
455927	1548	1996-09-12	VYDAJ	PREVOD NA UCET	2106	13205	SIPO	MN	36616581
455928	1548	1996-10-12	VYDAJ	PREVOD NA UCET	2106	14297	SIPO	MN	36616581
455929	1548	1996-11-12	VYDAJ	PREVOD NA UCET	2106	15393	SIPO	MN	36616581
455930	1548	1996-12-12	VYDAJ	PREVOD NA UCET	2106	16494	SIPO	MN	36616581
455931	1548	1997-01-12	VYDAJ	PREVOD NA UCET	2106	12689	SIPO	MN	36616581
455932	1548	1997-02-12	VYDAJ	PREVOD NA UCET	2106	13779	SIPO	MN	36616581
455933	1548	1997-03-12	VYDAJ	PREVOD NA UCET	2106	14873	SIPO	MN	36616581
455934	1548	1997-04-12	VYDAJ	PREVOD NA UCET	2106	15071	SIPO	MN	36616581
455935	1548	1997-05-12	VYDAJ	PREVOD NA UCET	2106	12463	SIPO	MN	36616581
455936	1548	1997-06-12	VYDAJ	PREVOD NA UCET	2106	13072	SIPO	MN	36616581
455937	1548	1997-07-12	VYDAJ	PREVOD NA UCET	2106	14164	SIPO	MN	36616581
455938	1548	1997-08-12	VYDAJ	PREVOD NA UCET	2106	12453	SIPO	MN	36616581
455939	1548	1997-09-12	VYDAJ	PREVOD NA UCET	2106	13541	SIPO	MN	36616581
455940	1548	1997-10-12	VYDAJ	PREVOD NA UCET	2106	14333	SIPO	MN	36616581
455941	1548	1997-11-12	VYDAJ	PREVOD NA UCET	2106	15430	SIPO	MN	36616581
455942	1548	1997-12-12	VYDAJ	PREVOD NA UCET	2106	16110	SIPO	MN	36616581
455943	1548	1998-01-12	VYDAJ	PREVOD NA UCET	2106	16434	SIPO	MN	36616581
455944	1548	1998-02-12	VYDAJ	PREVOD NA UCET	2106	17539	SIPO	MN	36616581
455945	1548	1998-03-12	VYDAJ	PREVOD NA UCET	2106	17658	SIPO	MN	36616581
455946	1548	1998-04-12	VYDAJ	PREVOD NA UCET	2106	17718	SIPO	MN	36616581
455947	1548	1998-05-12	VYDAJ	PREVOD NA UCET	2106	18828	SIPO	MN	36616581
455948	1548	1998-06-12	VYDAJ	PREVOD NA UCET	2106	16793	SIPO	MN	36616581
455949	1548	1998-07-12	VYDAJ	PREVOD NA UCET	2106	17902	SIPO	MN	36616581
455950	1548	1998-08-12	VYDAJ	PREVOD NA UCET	2106	19012	SIPO	MN	36616581
455951	1548	1998-09-12	VYDAJ	PREVOD NA UCET	2106	20128	SIPO	MN	36616581
455952	1548	1998-10-12	VYDAJ	PREVOD NA UCET	2106	21247	SIPO	MN	36616581
455953	1548	1998-11-12	VYDAJ	PREVOD NA UCET	2106	21319	SIPO	MN	36616581
455954	1548	1998-12-12	VYDAJ	PREVOD NA UCET	2106	22204	SIPO	MN	36616581
455956	1548	1996-06-28	VYDAJ	VYBER	1890	14198	\N	\N	\N
455958	1548	1998-06-02	VYDAJ	VYBER	3000	15890	\N	\N	\N
455959	1548	1995-12-12	VYDAJ	VYBER	510	21236	\N	\N	\N
455961	1548	1997-12-30	VYDAJ	VYBER	780	15330	\N	\N	\N
455962	1548	1998-12-21	VYDAJ	VYBER	180	22024	\N	\N	\N
455964	1548	1995-10-13	VYDAJ	VYBER	1470	17415	\N	\N	\N
455966	1548	1996-04-09	VYDAJ	VYBER	750	20085	\N	\N	\N
455967	1548	1996-06-12	VYDAJ	VYBER	570	20288	\N	\N	\N
455968	1548	1996-03-16	VYDAJ	VYBER	330	20963	\N	\N	\N
455969	1548	1996-04-26	VYDAJ	VYBER	630	20508	\N	\N	\N
455972	1548	1997-12-03	VYDAJ	VYBER	420	15057	\N	\N	\N
455974	1548	1997-09-15	VYDAJ	VYBER	300	13241	\N	\N	\N
455975	1548	1997-06-11	VYDAJ	VYBER	480	15178	\N	\N	\N
455976	1548	1997-04-06	VYDAJ	VYBER	570	14018	\N	\N	\N
455977	1548	1997-03-21	VYDAJ	VYBER	330	14543	\N	\N	\N
455979	1548	1998-03-30	VYDAJ	VYBER	270	16608	\N	\N	\N
455980	1548	1998-03-13	VYDAJ	VYBER	780	16878	\N	\N	\N
455981	1548	1998-11-25	VYDAJ	VYBER	240	21079	\N	\N	\N
455982	1548	1998-06-07	VYDAJ	VYBER	150	15740	\N	\N	\N
455983	1548	1998-10-14	VYDAJ	VYBER	1050	20197	\N	\N	\N
455984	1548	1998-03-11	VYDAJ	VYBER	990	19764	\N	\N	\N
455991	1548	1995-06-30	VYDAJ	VYBER	15	14513	SLUZBY	\N	\N
455992	1548	1995-07-31	VYDAJ	VYBER	15	15614	SLUZBY	\N	\N
455993	1548	1995-08-31	VYDAJ	VYBER	15	16721	SLUZBY	\N	\N
455994	1548	1995-09-30	VYDAJ	VYBER	15	17832	SLUZBY	\N	\N
455995	1548	1995-10-31	VYDAJ	VYBER	15	17473	SLUZBY	\N	\N
455996	1548	1995-11-30	VYDAJ	VYBER	15	18587	SLUZBY	\N	\N
455997	1548	1995-12-31	VYDAJ	VYBER	15	19200	SLUZBY	\N	\N
455998	1548	1996-01-31	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
455999	1548	1996-02-29	VYDAJ	VYBER	15	20240	SLUZBY	\N	\N
456000	1548	1996-03-31	VYDAJ	VYBER	15	20835	SLUZBY	\N	\N
456001	1548	1996-04-30	VYDAJ	VYBER	15	20581	SLUZBY	\N	\N
456002	1548	1996-05-31	VYDAJ	VYBER	15	19805	SLUZBY	\N	\N
456003	1548	1996-06-30	VYDAJ	VYBER	15	14260	SLUZBY	\N	\N
456004	1548	1996-07-31	VYDAJ	VYBER	15	13958	SLUZBY	\N	\N
456005	1548	1996-08-31	VYDAJ	VYBER	15	12152	SLUZBY	\N	\N
456006	1548	1996-09-30	VYDAJ	VYBER	15	13244	SLUZBY	\N	\N
456007	1548	1996-10-31	VYDAJ	VYBER	15	14340	SLUZBY	\N	\N
456008	1548	1996-11-30	VYDAJ	VYBER	15	15441	SLUZBY	\N	\N
456009	1548	1996-12-31	VYDAJ	VYBER	15	11636	SLUZBY	\N	\N
456010	1548	1997-01-31	VYDAJ	VYBER	15	12726	SLUZBY	\N	\N
456011	1548	1997-02-28	VYDAJ	VYBER	15	13820	SLUZBY	\N	\N
456012	1548	1997-03-31	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
456013	1548	1997-04-30	VYDAJ	VYBER	15	11410	SLUZBY	\N	\N
456014	1548	1997-05-31	VYDAJ	VYBER	15	12499	SLUZBY	\N	\N
456015	1548	1997-06-30	VYDAJ	VYBER	15	13111	SLUZBY	\N	\N
456016	1548	1997-07-31	VYDAJ	VYBER	15	11400	SLUZBY	\N	\N
456017	1548	1997-08-31	VYDAJ	VYBER	15	12488	SLUZBY	\N	\N
456018	1548	1997-09-30	VYDAJ	VYBER	15	13280	SLUZBY	\N	\N
456019	1548	1997-10-31	VYDAJ	VYBER	15	14377	SLUZBY	\N	\N
456020	1548	1997-11-30	VYDAJ	VYBER	15	15477	SLUZBY	\N	\N
456021	1548	1997-12-31	VYDAJ	VYBER	15	15381	SLUZBY	\N	\N
456022	1548	1998-01-31	VYDAJ	VYBER	15	16486	SLUZBY	\N	\N
456023	1548	1998-02-28	VYDAJ	VYBER	15	17595	SLUZBY	\N	\N
456024	1548	1998-03-31	VYDAJ	VYBER	15	16665	SLUZBY	\N	\N
456025	1548	1998-04-30	VYDAJ	VYBER	15	17775	SLUZBY	\N	\N
456026	1548	1998-05-31	VYDAJ	VYBER	15	18890	SLUZBY	\N	\N
456027	1548	1998-06-30	VYDAJ	VYBER	15	16849	SLUZBY	\N	\N
456028	1548	1998-07-31	VYDAJ	VYBER	15	17959	SLUZBY	\N	\N
456029	1548	1998-08-31	VYDAJ	VYBER	15	19075	SLUZBY	\N	\N
456030	1548	1998-09-30	VYDAJ	VYBER	15	20194	SLUZBY	\N	\N
456031	1548	1998-10-31	VYDAJ	VYBER	15	20266	SLUZBY	\N	\N
456032	1548	1998-11-30	VYDAJ	VYBER	15	21151	SLUZBY	\N	\N
456033	1548	1996-01-22	VYDAJ	VYBER	1200	19053	\N	\N	\N
456034	1548	1996-03-22	VYDAJ	VYBER	200	20763	\N	\N	\N
456035	1548	1996-05-21	VYDAJ	VYBER	1900	19734	\N	\N	\N
456036	1548	1996-06-20	VYDAJ	VYBER	4200	16088	\N	\N	\N
456037	1548	1996-07-20	VYDAJ	VYBER	1400	13913	\N	\N	\N
456038	1548	1996-08-19	VYDAJ	VYBER	2900	12111	\N	\N	\N
456039	1548	1996-12-17	VYDAJ	VYBER	4900	11594	\N	\N	\N
456040	1548	1997-04-16	VYDAJ	VYBER	3700	11371	\N	\N	\N
456041	1548	1997-07-15	VYDAJ	VYBER	2800	11364	\N	\N	\N
456085	1549	1996-11-21	PRIJEM	VKLAD	500	500	\N	\N	\N
456097	1549	1996-12-10	PRIJEM	VKLAD	21447	21947	\N	\N	\N
456098	1549	1997-01-10	PRIJEM	VKLAD	14298	36578	\N	\N	\N
456099	1549	1997-02-10	PRIJEM	VKLAD	14298	43179	\N	\N	\N
456100	1549	1997-03-10	PRIJEM	VKLAD	14298	47804	\N	\N	\N
456101	1549	1997-04-10	PRIJEM	VKLAD	14298	52248	\N	\N	\N
456102	1549	1997-05-10	PRIJEM	VKLAD	14298	52049	\N	\N	\N
456103	1549	1997-06-10	PRIJEM	VKLAD	21447	52389	\N	\N	\N
456104	1549	1997-07-10	PRIJEM	VKLAD	14298	32439	\N	\N	\N
456105	1549	1997-08-10	PRIJEM	VKLAD	14298	41076	\N	\N	\N
456106	1549	1997-09-10	PRIJEM	VKLAD	14298	47240	\N	\N	\N
456107	1549	1997-10-10	PRIJEM	VKLAD	14298	51725	\N	\N	\N
456108	1549	1997-11-10	PRIJEM	VKLAD	14298	55829	\N	\N	\N
456109	1549	1997-12-10	PRIJEM	VKLAD	21447	61285	\N	\N	\N
456110	1549	1998-01-10	PRIJEM	VKLAD	14298	49699	\N	\N	\N
456111	1549	1998-02-10	PRIJEM	VKLAD	14298	42774	\N	\N	\N
456112	1549	1998-03-10	PRIJEM	VKLAD	14298	48741	\N	\N	\N
456113	1549	1998-04-10	PRIJEM	VKLAD	14298	48522	\N	\N	\N
456114	1549	1998-05-10	PRIJEM	VKLAD	14298	44498	\N	\N	\N
456115	1549	1998-06-10	PRIJEM	VKLAD	21447	54717	\N	\N	\N
456116	1549	1998-07-10	PRIJEM	VKLAD	14298	48103	\N	\N	\N
456117	1549	1998-08-10	PRIJEM	VKLAD	14298	49985	\N	\N	\N
456118	1549	1998-09-10	PRIJEM	VKLAD	14298	56484	\N	\N	\N
456119	1549	1998-10-10	PRIJEM	VKLAD	14298	57398	\N	\N	\N
456120	1549	1998-11-10	PRIJEM	VKLAD	14298	61520	\N	\N	\N
456121	1549	1998-12-10	PRIJEM	VKLAD	21447	70618	\N	\N	\N
456137	1549	1997-04-11	VYDAJ	PREVOD NA UCET	4052	48196	SIPO	OP	11773330
456138	1549	1997-05-11	VYDAJ	PREVOD NA UCET	4052	47997	SIPO	OP	11773330
456139	1549	1997-06-11	VYDAJ	PREVOD NA UCET	4052	48337	SIPO	OP	11773330
456140	1549	1997-07-11	VYDAJ	PREVOD NA UCET	4052	28387	SIPO	OP	11773330
456141	1549	1997-08-11	VYDAJ	PREVOD NA UCET	4052	37024	SIPO	OP	11773330
456142	1549	1997-09-11	VYDAJ	PREVOD NA UCET	4052	43188	SIPO	OP	11773330
456143	1549	1997-10-11	VYDAJ	PREVOD NA UCET	4052	47673	SIPO	OP	11773330
456144	1549	1997-11-11	VYDAJ	PREVOD NA UCET	4052	51777	SIPO	OP	11773330
456145	1549	1997-12-11	VYDAJ	PREVOD NA UCET	4052	57233	SIPO	OP	11773330
456146	1549	1998-01-11	VYDAJ	PREVOD NA UCET	4052	35947	SIPO	OP	11773330
456147	1549	1998-02-11	VYDAJ	PREVOD NA UCET	4052	38722	SIPO	OP	11773330
456148	1549	1998-03-11	VYDAJ	PREVOD NA UCET	4052	44689	SIPO	OP	11773330
456149	1549	1998-04-11	VYDAJ	PREVOD NA UCET	4052	44470	SIPO	OP	11773330
456150	1549	1998-05-11	VYDAJ	PREVOD NA UCET	4052	40446	SIPO	OP	11773330
456151	1549	1998-06-11	VYDAJ	PREVOD NA UCET	4052	50665	SIPO	OP	11773330
456152	1549	1998-07-11	VYDAJ	PREVOD NA UCET	4052	44051	SIPO	OP	11773330
456153	1549	1998-08-11	VYDAJ	PREVOD NA UCET	4052	45933	SIPO	OP	11773330
456154	1549	1998-09-11	VYDAJ	PREVOD NA UCET	4052	52432	SIPO	OP	11773330
456155	1549	1998-10-11	VYDAJ	PREVOD NA UCET	4052	53346	SIPO	OP	11773330
456156	1549	1998-11-11	VYDAJ	PREVOD NA UCET	4052	50868	SIPO	OP	11773330
456157	1549	1998-12-11	VYDAJ	PREVOD NA UCET	4052	54566	SIPO	OP	11773330
456159	1549	1997-06-16	VYDAJ	VYBER	25800	22537	\N	\N	\N
456160	1549	1998-06-22	VYDAJ	VYBER	8000	33665	\N	\N	\N
456163	1549	1998-01-10	VYDAJ	VYBER	9700	39999	\N	\N	\N
456165	1549	1997-12-30	VYDAJ	VYBER	1000	41133	\N	\N	\N
456166	1549	1998-12-06	VYDAJ	VYBER	1900	49171	\N	\N	\N
456179	1549	1998-01-07	VYDAJ	VYBER	700	37001	\N	\N	\N
456180	1549	1998-01-22	VYDAJ	VYBER	700	30747	\N	\N	\N
456181	1549	1998-01-08	VYDAJ	VYBER	1600	35401	\N	\N	\N
456182	1549	1998-01-07	VYDAJ	VYBER	2700	37701	\N	\N	\N
456183	1549	1998-01-29	VYDAJ	VYBER	2400	28347	\N	\N	\N
456184	1549	1998-01-19	VYDAJ	VYBER	2400	31447	\N	\N	\N
456191	1549	1997-05-23	VYDAJ	VYBER	1500	30797	\N	\N	\N
456192	1549	1997-07-06	VYDAJ	VYBER	1700	18141	\N	\N	\N
456193	1549	1998-09-22	VYDAJ	VYBER	1000	44132	\N	\N	\N
456194	1549	1998-04-26	VYDAJ	VYBER	3800	30070	\N	\N	\N
456195	1549	1998-09-26	VYDAJ	VYBER	1200	42932	\N	\N	\N
456196	1549	1998-07-20	VYDAJ	VYBER	2200	35551	\N	\N	\N
456197	1549	1998-12-20	VYDAJ	VYBER	4800	49766	\N	\N	\N
456198	1549	1998-01-06	VYDAJ	VYBER	900	40401	\N	\N	\N
456215	1549	1997-04-30	VYDAJ	VYBER	15	37751	SLUZBY	\N	\N
456216	1549	1997-05-31	VYDAJ	VYBER	15	30942	SLUZBY	\N	\N
456217	1549	1997-06-30	VYDAJ	VYBER	15	19841	SLUZBY	\N	\N
456218	1549	1997-07-31	VYDAJ	VYBER	15	26778	SLUZBY	\N	\N
456219	1549	1997-08-31	VYDAJ	VYBER	15	32942	SLUZBY	\N	\N
456220	1549	1997-09-30	VYDAJ	VYBER	15	37427	SLUZBY	\N	\N
456221	1549	1997-10-31	VYDAJ	VYBER	15	41531	SLUZBY	\N	\N
456222	1549	1997-11-30	VYDAJ	VYBER	15	39838	SLUZBY	\N	\N
456223	1549	1997-12-31	VYDAJ	VYBER	15	41301	SLUZBY	\N	\N
456224	1549	1998-01-31	VYDAJ	VYBER	15	28476	SLUZBY	\N	\N
456225	1549	1998-02-28	VYDAJ	VYBER	15	34443	SLUZBY	\N	\N
456226	1549	1998-03-31	VYDAJ	VYBER	15	34224	SLUZBY	\N	\N
456227	1549	1998-04-30	VYDAJ	VYBER	15	30200	SLUZBY	\N	\N
456228	1549	1998-05-31	VYDAJ	VYBER	15	33270	SLUZBY	\N	\N
456229	1549	1998-06-30	VYDAJ	VYBER	15	33805	SLUZBY	\N	\N
456230	1549	1998-07-31	VYDAJ	VYBER	15	35687	SLUZBY	\N	\N
456231	1549	1998-08-31	VYDAJ	VYBER	15	42186	SLUZBY	\N	\N
456232	1549	1998-09-30	VYDAJ	VYBER	15	43100	SLUZBY	\N	\N
456233	1549	1998-10-31	VYDAJ	VYBER	15	47222	SLUZBY	\N	\N
456234	1549	1998-11-30	VYDAJ	VYBER	15	51071	SLUZBY	\N	\N
456235	1549	1996-12-21	PRIJEM	VKLAD	300	22247	\N	\N	\N
456236	1549	1997-01-20	VYDAJ	VYBER	7800	28778	\N	\N	\N
456237	1549	1997-02-19	VYDAJ	VYBER	9800	33379	\N	\N	\N
456238	1549	1997-03-21	VYDAJ	VYBER	10000	37804	\N	\N	\N
456239	1549	1997-04-20	VYDAJ	VYBER	10600	37596	\N	\N	\N
456240	1549	1997-05-20	VYDAJ	VYBER	15700	32297	\N	\N	\N
456241	1549	1997-06-19	VYDAJ	VYBER	2800	19737	\N	\N	\N
456242	1549	1997-07-19	VYDAJ	VYBER	1700	26687	\N	\N	\N
456243	1549	1997-08-18	VYDAJ	VYBER	4200	32824	\N	\N	\N
456244	1549	1997-09-17	VYDAJ	VYBER	5900	37288	\N	\N	\N
456245	1549	1997-10-17	VYDAJ	VYBER	6300	41373	\N	\N	\N
456246	1549	1997-11-16	VYDAJ	VYBER	12100	39677	\N	\N	\N
456247	1549	1997-12-16	VYDAJ	VYBER	15100	42133	\N	\N	\N
456248	1549	1998-01-15	VYDAJ	VYBER	2100	33847	\N	\N	\N
456249	1549	1998-02-14	VYDAJ	VYBER	4400	34322	\N	\N	\N
456250	1549	1998-03-16	VYDAJ	VYBER	10600	34089	\N	\N	\N
456251	1549	1998-04-15	VYDAJ	VYBER	10600	33870	\N	\N	\N
456252	1549	1998-05-15	VYDAJ	VYBER	7300	33146	\N	\N	\N
456253	1549	1998-06-14	VYDAJ	VYBER	9000	41665	\N	\N	\N
456254	1549	1998-07-14	VYDAJ	VYBER	6300	37751	\N	\N	\N
456255	1549	1998-08-13	VYDAJ	VYBER	3900	42033	\N	\N	\N
456256	1549	1998-09-12	VYDAJ	VYBER	7300	45132	\N	\N	\N
456257	1549	1998-10-12	VYDAJ	VYBER	6300	47046	\N	\N	\N
456258	1549	1998-11-11	VYDAJ	VYBER	6600	54920	\N	\N	\N
456259	1549	1998-12-11	VYDAJ	VYBER	12000	58618	\N	\N	\N
456285	1550	1996-04-15	PRIJEM	VKLAD	500	500	\N	\N	\N
456290	1550	1996-05-07	PRIJEM	VKLAD	7884	8384	\N	\N	\N
456291	1550	1996-06-07	PRIJEM	VKLAD	11826	27446	\N	\N	\N
456292	1550	1996-07-07	PRIJEM	VKLAD	7884	35022	\N	\N	\N
456293	1550	1996-08-07	PRIJEM	VKLAD	7884	36722	\N	\N	\N
456294	1550	1996-09-07	PRIJEM	VKLAD	7884	34921	\N	\N	\N
456295	1550	1996-10-07	PRIJEM	VKLAD	7884	29935	\N	\N	\N
456296	1550	1996-11-07	PRIJEM	VKLAD	7884	33206	\N	\N	\N
456297	1550	1996-12-07	PRIJEM	VKLAD	11826	36213	\N	\N	\N
456298	1550	1997-01-07	PRIJEM	VKLAD	7884	29056	\N	\N	\N
456299	1550	1997-02-07	PRIJEM	VKLAD	7884	22129	\N	\N	\N
456300	1550	1997-03-07	PRIJEM	VKLAD	7884	29674	\N	\N	\N
456301	1550	1997-04-07	PRIJEM	VKLAD	7884	22454	\N	\N	\N
456302	1550	1997-05-07	PRIJEM	VKLAD	7884	26188	\N	\N	\N
456303	1550	1997-06-07	PRIJEM	VKLAD	11826	32002	\N	\N	\N
456304	1550	1997-07-07	PRIJEM	VKLAD	7884	25267	\N	\N	\N
456305	1550	1997-08-07	PRIJEM	VKLAD	7884	25330	\N	\N	\N
456306	1550	1997-09-07	PRIJEM	VKLAD	7884	29183	\N	\N	\N
456307	1550	1997-10-07	PRIJEM	VKLAD	7884	25828	\N	\N	\N
456308	1550	1997-11-07	PRIJEM	VKLAD	7884	23183	\N	\N	\N
456309	1550	1997-12-07	PRIJEM	VKLAD	11826	27862	\N	\N	\N
456310	1550	1998-01-07	PRIJEM	VKLAD	7884	26394	\N	\N	\N
456311	1550	1998-02-07	PRIJEM	VKLAD	7884	25871	\N	\N	\N
456312	1550	1998-03-07	PRIJEM	VKLAD	7884	29518	\N	\N	\N
456313	1550	1998-04-07	PRIJEM	VKLAD	7884	32284	\N	\N	\N
456314	1550	1998-05-07	PRIJEM	VKLAD	7884	31655	\N	\N	\N
456315	1550	1998-06-07	PRIJEM	VKLAD	11826	36173	\N	\N	\N
456316	1550	1998-07-07	PRIJEM	VKLAD	7884	33202	\N	\N	\N
456317	1550	1998-08-07	PRIJEM	VKLAD	7884	35981	\N	\N	\N
456318	1550	1998-09-07	PRIJEM	VKLAD	7884	38174	\N	\N	\N
456319	1550	1998-10-07	PRIJEM	VKLAD	7884	39176	\N	\N	\N
456320	1550	1998-11-07	PRIJEM	VKLAD	7884	39384	\N	\N	\N
456321	1550	1998-12-07	PRIJEM	VKLAD	11826	40932	\N	\N	\N
456330	1550	1996-09-13	VYDAJ	PREVOD NA UCET	4708	26513	SIPO	ST	90144109
456331	1550	1996-10-13	VYDAJ	PREVOD NA UCET	4708	25227	SIPO	ST	90144109
456332	1550	1996-11-13	VYDAJ	PREVOD NA UCET	4708	24298	SIPO	ST	90144109
456333	1550	1996-12-13	VYDAJ	PREVOD NA UCET	4708	26805	SIPO	ST	90144109
456334	1550	1997-01-13	VYDAJ	PREVOD NA UCET	4708	23648	SIPO	ST	90144109
456335	1550	1997-02-13	VYDAJ	PREVOD NA UCET	4708	21721	SIPO	ST	90144109
456336	1550	1997-03-13	VYDAJ	PREVOD NA UCET	4708	20266	SIPO	ST	90144109
456337	1550	1997-04-13	VYDAJ	PREVOD NA UCET	4708	18246	SIPO	ST	90144109
456338	1550	1997-05-13	VYDAJ	PREVOD NA UCET	4708	22380	SIPO	ST	90144109
456339	1550	1997-06-13	VYDAJ	PREVOD NA UCET	4708	17314	SIPO	ST	90144109
456340	1550	1997-07-13	VYDAJ	PREVOD NA UCET	4708	19659	SIPO	ST	90144109
456341	1550	1997-08-13	VYDAJ	PREVOD NA UCET	4708	21222	SIPO	ST	90144109
456342	1550	1997-09-13	VYDAJ	PREVOD NA UCET	4708	17875	SIPO	ST	90144109
456343	1550	1997-10-13	VYDAJ	PREVOD NA UCET	4708	19720	SIPO	ST	90144109
456344	1550	1997-11-13	VYDAJ	PREVOD NA UCET	4708	18475	SIPO	ST	90144109
456345	1550	1997-12-13	VYDAJ	PREVOD NA UCET	4708	23154	SIPO	ST	90144109
456346	1550	1998-01-13	VYDAJ	PREVOD NA UCET	4708	21686	SIPO	ST	90144109
456347	1550	1998-02-13	VYDAJ	PREVOD NA UCET	4708	21163	SIPO	ST	90144109
456348	1550	1998-03-13	VYDAJ	PREVOD NA UCET	4708	24810	SIPO	ST	90144109
456349	1550	1998-04-13	VYDAJ	PREVOD NA UCET	4708	25176	SIPO	ST	90144109
456350	1550	1998-05-13	VYDAJ	PREVOD NA UCET	4708	26947	SIPO	ST	90144109
456351	1550	1998-06-13	VYDAJ	PREVOD NA UCET	4708	22825	SIPO	ST	90144109
456352	1550	1998-07-13	VYDAJ	PREVOD NA UCET	4708	28494	SIPO	ST	90144109
456353	1550	1998-08-13	VYDAJ	PREVOD NA UCET	4708	31273	SIPO	ST	90144109
456354	1550	1998-09-13	VYDAJ	PREVOD NA UCET	4708	33466	SIPO	ST	90144109
456355	1550	1998-10-13	VYDAJ	PREVOD NA UCET	4708	34468	SIPO	ST	90144109
456356	1550	1998-11-13	VYDAJ	PREVOD NA UCET	4708	34676	SIPO	ST	90144109
456357	1550	1998-12-13	VYDAJ	PREVOD NA UCET	4708	36224	SIPO	ST	90144109
456360	1550	1998-06-12	VYDAJ	VYBER	8640	27533	\N	\N	\N
456364	1550	1996-12-14	VYDAJ	VYBER	3680	23125	\N	\N	\N
456365	1550	1997-12-22	VYDAJ	VYBER	4160	18994	\N	\N	\N
456366	1550	1998-12-02	VYDAJ	VYBER	3680	29106	\N	\N	\N
456373	1550	1997-01-21	VYDAJ	VYBER	2040	20528	\N	\N	\N
456374	1550	1997-01-25	VYDAJ	VYBER	1200	16808	\N	\N	\N
456375	1550	1997-01-16	VYDAJ	VYBER	1080	22568	\N	\N	\N
456376	1550	1997-01-01	VYDAJ	VYBER	2040	21172	\N	\N	\N
456377	1550	1997-01-28	VYDAJ	VYBER	2640	14168	\N	\N	\N
456378	1550	1997-01-24	VYDAJ	VYBER	2520	18008	\N	\N	\N
456379	1550	1998-01-18	VYDAJ	VYBER	3360	14846	\N	\N	\N
456381	1550	1998-01-05	VYDAJ	VYBER	960	18510	\N	\N	\N
456383	1550	1998-01-18	VYDAJ	VYBER	720	14126	\N	\N	\N
456384	1550	1998-01-14	VYDAJ	VYBER	3480	18206	\N	\N	\N
456386	1550	1996-10-04	VYDAJ	VYBER	4560	22051	\N	\N	\N
456389	1550	1997-10-20	VYDAJ	VYBER	3480	12640	\N	\N	\N
456390	1550	1997-09-11	VYDAJ	VYBER	4800	22583	\N	\N	\N
456391	1550	1997-06-10	VYDAJ	VYBER	5880	22022	\N	\N	\N
456392	1550	1997-03-25	VYDAJ	VYBER	1080	14506	\N	\N	\N
456393	1550	1997-06-06	VYDAJ	VYBER	2280	20176	\N	\N	\N
456394	1550	1997-03-18	VYDAJ	VYBER	4680	15586	\N	\N	\N
456395	1550	1997-08-01	VYDAJ	VYBER	2280	17446	\N	\N	\N
456396	1550	1997-10-19	VYDAJ	VYBER	3600	16120	\N	\N	\N
456397	1550	1998-11-19	VYDAJ	VYBER	1920	32756	\N	\N	\N
456398	1550	1998-04-12	VYDAJ	VYBER	2400	29884	\N	\N	\N
456408	1550	1996-09-30	VYDAJ	VYBER	15	26611	SLUZBY	\N	\N
456409	1550	1996-10-31	VYDAJ	VYBER	15	25322	SLUZBY	\N	\N
456410	1550	1996-11-30	VYDAJ	VYBER	15	24387	SLUZBY	\N	\N
456411	1550	1996-12-31	VYDAJ	VYBER	15	23212	SLUZBY	\N	\N
456412	1550	1997-01-31	VYDAJ	VYBER	15	14245	SLUZBY	\N	\N
456413	1550	1997-02-28	VYDAJ	VYBER	15	21790	SLUZBY	\N	\N
456414	1550	1997-03-31	VYDAJ	VYBER	15	14570	SLUZBY	\N	\N
456415	1550	1997-04-30	VYDAJ	VYBER	15	18304	SLUZBY	\N	\N
456416	1550	1997-05-31	VYDAJ	VYBER	15	22456	SLUZBY	\N	\N
456417	1550	1997-06-30	VYDAJ	VYBER	15	17383	SLUZBY	\N	\N
456418	1550	1997-07-31	VYDAJ	VYBER	15	19726	SLUZBY	\N	\N
456419	1550	1997-08-31	VYDAJ	VYBER	15	21299	SLUZBY	\N	\N
456420	1550	1997-09-30	VYDAJ	VYBER	15	17944	SLUZBY	\N	\N
456421	1550	1997-10-31	VYDAJ	VYBER	15	12699	SLUZBY	\N	\N
456422	1550	1997-11-30	VYDAJ	VYBER	15	18536	SLUZBY	\N	\N
456423	1550	1997-12-31	VYDAJ	VYBER	15	19070	SLUZBY	\N	\N
456424	1550	1998-01-31	VYDAJ	VYBER	15	14187	SLUZBY	\N	\N
456425	1550	1998-02-28	VYDAJ	VYBER	15	21234	SLUZBY	\N	\N
456426	1550	1998-03-31	VYDAJ	VYBER	15	24900	SLUZBY	\N	\N
456427	1550	1998-04-30	VYDAJ	VYBER	15	25271	SLUZBY	\N	\N
456428	1550	1998-05-31	VYDAJ	VYBER	15	27047	SLUZBY	\N	\N
456429	1550	1998-06-30	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
456430	1550	1998-07-31	VYDAJ	VYBER	15	28597	SLUZBY	\N	\N
456431	1550	1998-08-31	VYDAJ	VYBER	15	31390	SLUZBY	\N	\N
456432	1550	1998-09-30	VYDAJ	VYBER	15	33592	SLUZBY	\N	\N
456433	1550	1998-10-31	VYDAJ	VYBER	15	34600	SLUZBY	\N	\N
456434	1550	1998-11-30	VYDAJ	VYBER	15	32886	SLUZBY	\N	\N
456435	1550	1996-05-15	PRIJEM	VKLAD	7200	15584	\N	\N	\N
456436	1550	1996-06-14	VYDAJ	VYBER	400	27046	\N	\N	\N
456437	1550	1996-07-14	VYDAJ	VYBER	6300	28722	\N	\N	\N
456438	1550	1996-08-13	VYDAJ	VYBER	9800	26922	\N	\N	\N
456439	1550	1996-09-12	VYDAJ	VYBER	3700	31221	\N	\N	\N
456440	1550	1996-11-11	VYDAJ	VYBER	4200	29006	\N	\N	\N
456441	1550	1996-12-11	VYDAJ	VYBER	4700	31513	\N	\N	\N
456442	1550	1997-01-10	VYDAJ	VYBER	700	28356	\N	\N	\N
456443	1550	1997-02-09	PRIJEM	VKLAD	4300	26429	\N	\N	\N
456444	1550	1997-03-11	VYDAJ	VYBER	4700	24974	\N	\N	\N
456445	1550	1997-04-10	PRIJEM	VKLAD	500	22954	\N	\N	\N
456446	1550	1997-05-10	PRIJEM	VKLAD	900	27088	\N	\N	\N
456447	1550	1997-06-09	VYDAJ	VYBER	4100	27902	\N	\N	\N
456448	1550	1997-07-09	VYDAJ	VYBER	900	24367	\N	\N	\N
456449	1550	1997-08-08	PRIJEM	VKLAD	600	25930	\N	\N	\N
456450	1550	1997-09-07	VYDAJ	VYBER	1800	27383	\N	\N	\N
456451	1550	1997-10-07	VYDAJ	VYBER	1400	24428	\N	\N	\N
456452	1550	1997-11-06	PRIJEM	VKLAD	2600	15299	\N	\N	\N
456453	1550	1997-12-06	VYDAJ	VYBER	2500	16036	\N	\N	\N
456454	1550	1998-01-05	PRIJEM	VKLAD	400	19470	\N	\N	\N
456455	1550	1998-02-04	PRIJEM	VKLAD	3800	17987	\N	\N	\N
456456	1550	1998-03-06	PRIJEM	VKLAD	400	21634	\N	\N	\N
456457	1550	1998-04-05	VYDAJ	VYBER	500	24400	\N	\N	\N
456458	1550	1998-05-05	VYDAJ	VYBER	1500	23771	\N	\N	\N
456459	1550	1998-06-04	VYDAJ	VYBER	2700	24347	\N	\N	\N
456460	1550	1998-07-04	PRIJEM	VKLAD	2400	25318	\N	\N	\N
456461	1550	1998-08-03	VYDAJ	VYBER	500	28097	\N	\N	\N
456462	1550	1998-09-02	VYDAJ	VYBER	1100	30290	\N	\N	\N
456463	1550	1998-10-02	VYDAJ	VYBER	2300	31292	\N	\N	\N
456464	1550	1998-11-01	VYDAJ	VYBER	3100	31500	\N	\N	\N
456465	1550	1998-12-01	VYDAJ	VYBER	100	32786	\N	\N	\N
456498	1551	1997-06-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
456505	1551	1997-07-05	PRIJEM	PREVOD Z UCTU	6647	7747	DUCHOD	AB	38003671
456506	1551	1997-08-05	PRIJEM	PREVOD Z UCTU	6647	14394	DUCHOD	AB	38003671
456507	1551	1997-09-05	PRIJEM	PREVOD Z UCTU	6647	21041	DUCHOD	AB	38003671
456508	1551	1997-10-05	PRIJEM	PREVOD Z UCTU	6647	27688	DUCHOD	AB	38003671
456509	1551	1997-11-05	PRIJEM	PREVOD Z UCTU	6647	34335	DUCHOD	AB	38003671
456510	1551	1997-12-05	PRIJEM	PREVOD Z UCTU	6647	33800	DUCHOD	AB	38003671
456511	1551	1998-01-05	PRIJEM	PREVOD Z UCTU	6647	35958	DUCHOD	AB	38003671
456512	1551	1998-02-05	PRIJEM	PREVOD Z UCTU	6647	32116	DUCHOD	AB	38003671
456513	1551	1998-03-05	PRIJEM	PREVOD Z UCTU	6647	31733	DUCHOD	AB	38003671
456514	1551	1998-04-05	PRIJEM	PREVOD Z UCTU	6647	28506	DUCHOD	AB	38003671
456515	1551	1998-05-05	PRIJEM	PREVOD Z UCTU	6647	26469	DUCHOD	AB	38003671
456516	1551	1998-06-05	PRIJEM	PREVOD Z UCTU	6647	22996	DUCHOD	AB	38003671
456517	1551	1998-07-05	PRIJEM	PREVOD Z UCTU	6647	18269	DUCHOD	AB	38003671
456518	1551	1998-08-05	PRIJEM	PREVOD Z UCTU	6647	21897	DUCHOD	AB	38003671
456519	1551	1998-09-05	PRIJEM	PREVOD Z UCTU	6647	21773	DUCHOD	AB	38003671
456520	1551	1998-10-05	PRIJEM	PREVOD Z UCTU	6647	25416	DUCHOD	AB	38003671
456521	1551	1998-11-05	PRIJEM	PREVOD Z UCTU	6647	29074	DUCHOD	AB	38003671
456522	1551	1998-12-05	PRIJEM	PREVOD Z UCTU	6647	28234	DUCHOD	AB	38003671
456533	1551	1997-11-11	VYDAJ	PREVOD NA UCET	747	31272	SIPO	AB	436425
456534	1551	1997-12-11	VYDAJ	PREVOD NA UCET	747	30737	SIPO	AB	436425
456535	1551	1998-01-11	VYDAJ	PREVOD NA UCET	747	29295	SIPO	AB	436425
456536	1551	1998-02-11	VYDAJ	PREVOD NA UCET	747	29053	SIPO	AB	436425
456537	1551	1998-03-11	VYDAJ	PREVOD NA UCET	747	28670	SIPO	AB	436425
456538	1551	1998-04-11	VYDAJ	PREVOD NA UCET	747	25443	SIPO	AB	436425
456539	1551	1998-05-11	VYDAJ	PREVOD NA UCET	747	22286	SIPO	AB	436425
456540	1551	1998-06-11	VYDAJ	PREVOD NA UCET	747	11583	SIPO	AB	436425
456541	1551	1998-07-11	VYDAJ	PREVOD NA UCET	747	15206	SIPO	AB	436425
456542	1551	1998-08-11	VYDAJ	PREVOD NA UCET	747	18834	SIPO	AB	436425
456543	1551	1998-09-11	VYDAJ	PREVOD NA UCET	747	18710	SIPO	AB	436425
456544	1551	1998-10-11	VYDAJ	PREVOD NA UCET	747	22353	SIPO	AB	436425
456545	1551	1998-11-11	VYDAJ	PREVOD NA UCET	747	21511	SIPO	AB	436425
456546	1551	1998-12-11	VYDAJ	PREVOD NA UCET	747	25171	SIPO	AB	436425
456557	1551	1997-11-10	VYDAJ	PREVOD NA UCET	2316	32019	 	CD	74171310
456558	1551	1997-12-10	VYDAJ	PREVOD NA UCET	2316	31484	 	CD	74171310
456559	1551	1998-01-10	VYDAJ	PREVOD NA UCET	2316	30042	 	CD	74171310
456560	1551	1998-02-10	VYDAJ	PREVOD NA UCET	2316	29800	 	CD	74171310
456561	1551	1998-03-10	VYDAJ	PREVOD NA UCET	2316	29417	 	CD	74171310
456562	1551	1998-04-10	VYDAJ	PREVOD NA UCET	2316	26190	 	CD	74171310
456563	1551	1998-05-10	VYDAJ	PREVOD NA UCET	2316	23033	 	CD	74171310
456564	1551	1998-06-10	VYDAJ	PREVOD NA UCET	2316	12330	 	CD	74171310
456565	1551	1998-07-10	VYDAJ	PREVOD NA UCET	2316	15953	 	CD	74171310
456566	1551	1998-08-10	VYDAJ	PREVOD NA UCET	2316	19581	 	CD	74171310
456567	1551	1998-09-10	VYDAJ	PREVOD NA UCET	2316	19457	 	CD	74171310
456568	1551	1998-10-10	VYDAJ	PREVOD NA UCET	2316	23100	 	CD	74171310
456569	1551	1998-11-10	VYDAJ	PREVOD NA UCET	2316	26758	 	CD	74171310
456570	1551	1998-12-10	VYDAJ	PREVOD NA UCET	2316	25918	 	CD	74171310
456572	1551	1998-06-07	VYDAJ	VYBER	8350	14646	\N	\N	\N
456574	1551	1998-01-19	VYDAJ	VYBER	950	26245	\N	\N	\N
456575	1551	1997-12-03	VYDAJ	VYBER	850	27153	\N	\N	\N
456576	1551	1998-12-18	VYDAJ	VYBER	400	24771	\N	\N	\N
456583	1551	1998-01-07	VYDAJ	VYBER	1120	33478	\N	\N	\N
456584	1551	1998-01-07	VYDAJ	VYBER	1120	32358	\N	\N	\N
456585	1551	1998-01-03	VYDAJ	VYBER	480	29311	\N	\N	\N
456586	1551	1998-01-01	VYDAJ	VYBER	960	29791	\N	\N	\N
456587	1551	1998-01-29	VYDAJ	VYBER	880	25365	\N	\N	\N
456588	1551	1998-01-06	VYDAJ	VYBER	1360	34598	\N	\N	\N
456592	1551	1997-11-21	VYDAJ	VYBER	2240	27932	\N	\N	\N
456595	1551	1998-05-07	VYDAJ	VYBER	1120	25349	\N	\N	\N
456596	1551	1998-08-11	VYDAJ	VYBER	880	17954	\N	\N	\N
456597	1551	1998-08-18	VYDAJ	VYBER	2880	15074	\N	\N	\N
456598	1551	1998-02-25	VYDAJ	VYBER	560	24993	\N	\N	\N
456599	1551	1998-04-02	VYDAJ	VYBER	1600	21859	\N	\N	\N
456611	1551	1997-11-30	VYDAJ	VYBER	15	28003	SLUZBY	\N	\N
456612	1551	1997-12-31	VYDAJ	VYBER	15	30751	SLUZBY	\N	\N
456613	1551	1998-01-31	VYDAJ	VYBER	15	25469	SLUZBY	\N	\N
456614	1551	1998-02-28	VYDAJ	VYBER	15	25086	SLUZBY	\N	\N
456615	1551	1998-03-31	VYDAJ	VYBER	15	23459	SLUZBY	\N	\N
456616	1551	1998-04-30	VYDAJ	VYBER	15	19822	SLUZBY	\N	\N
456617	1551	1998-05-31	VYDAJ	VYBER	15	16349	SLUZBY	\N	\N
456618	1551	1998-06-30	VYDAJ	VYBER	15	11622	SLUZBY	\N	\N
456619	1551	1998-07-31	VYDAJ	VYBER	15	15250	SLUZBY	\N	\N
456620	1551	1998-08-31	VYDAJ	VYBER	15	15126	SLUZBY	\N	\N
456621	1551	1998-09-30	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
456622	1551	1998-10-31	VYDAJ	VYBER	15	22427	SLUZBY	\N	\N
456623	1551	1998-11-30	VYDAJ	VYBER	15	21587	SLUZBY	\N	\N
456624	1551	1997-11-15	VYDAJ	VYBER	1100	30172	\N	\N	\N
456625	1551	1997-12-15	VYDAJ	VYBER	100	30637	\N	\N	\N
456626	1551	1998-01-14	VYDAJ	VYBER	2100	27195	\N	\N	\N
456627	1551	1998-02-13	VYDAJ	VYBER	3500	25553	\N	\N	\N
456628	1551	1998-03-15	VYDAJ	VYBER	5300	23370	\N	\N	\N
456629	1551	1998-04-14	VYDAJ	VYBER	5700	19743	\N	\N	\N
456630	1551	1998-05-14	VYDAJ	VYBER	6000	16286	\N	\N	\N
456631	1551	1998-11-10	VYDAJ	VYBER	4500	22258	\N	\N	\N
456646	1552	1994-01-02	PRIJEM	VKLAD	500	500	\N	\N	\N
456647	1552	1994-01-09	PRIJEM	VKLAD	24563	25063	\N	\N	\N
456648	1552	1994-02-09	PRIJEM	VKLAD	24563	48104	\N	\N	\N
456649	1552	1994-03-09	PRIJEM	VKLAD	24563	59340	\N	\N	\N
456650	1552	1994-04-09	PRIJEM	VKLAD	24563	69138	\N	\N	\N
456651	1552	1994-05-09	PRIJEM	VKLAD	24563	70778	\N	\N	\N
456652	1552	1994-06-09	PRIJEM	VKLAD	36844	81637	\N	\N	\N
456653	1552	1994-07-09	PRIJEM	VKLAD	24563	72248	\N	\N	\N
456654	1552	1994-08-09	PRIJEM	VKLAD	24563	67036	\N	\N	\N
456655	1552	1994-09-09	PRIJEM	VKLAD	24563	67375	\N	\N	\N
456656	1552	1994-10-09	PRIJEM	VKLAD	24563	65913	\N	\N	\N
456657	1552	1994-11-09	PRIJEM	VKLAD	24563	62544	\N	\N	\N
456658	1552	1994-12-09	PRIJEM	VKLAD	36844	77244	\N	\N	\N
456659	1552	1995-01-09	PRIJEM	VKLAD	24563	63294	\N	\N	\N
456660	1552	1995-02-09	PRIJEM	VKLAD	24563	60806	\N	\N	\N
456661	1552	1995-03-09	PRIJEM	VKLAD	24563	63414	\N	\N	\N
456662	1552	1995-04-09	PRIJEM	VKLAD	24563	61527	\N	\N	\N
456663	1552	1995-05-09	PRIJEM	VKLAD	24563	67639	\N	\N	\N
456664	1552	1995-06-09	PRIJEM	VKLAD	36844	81554	\N	\N	\N
456665	1552	1995-07-09	PRIJEM	VKLAD	24563	77527	\N	\N	\N
456666	1552	1995-08-09	PRIJEM	VKLAD	24563	74496	\N	\N	\N
456667	1552	1995-09-09	PRIJEM	VKLAD	24563	76054	\N	\N	\N
456668	1552	1995-10-09	PRIJEM	VKLAD	24563	76215	\N	\N	\N
456669	1552	1995-11-09	PRIJEM	VKLAD	24563	73873	\N	\N	\N
456670	1552	1995-12-09	PRIJEM	VKLAD	36844	85803	\N	\N	\N
456671	1552	1996-01-09	PRIJEM	VKLAD	24563	79883	\N	\N	\N
456672	1552	1996-02-09	PRIJEM	VKLAD	24563	65138	\N	\N	\N
456673	1552	1996-03-09	PRIJEM	VKLAD	24563	69248	\N	\N	\N
456674	1552	1996-04-09	PRIJEM	VKLAD	24563	71376	\N	\N	\N
456675	1552	1996-05-09	PRIJEM	VKLAD	24563	70808	\N	\N	\N
456676	1552	1996-06-09	PRIJEM	VKLAD	36844	84320	\N	\N	\N
456677	1552	1996-07-09	PRIJEM	VKLAD	24563	78181	\N	\N	\N
456678	1552	1996-08-09	PRIJEM	VKLAD	24563	77537	\N	\N	\N
456679	1552	1996-09-09	PRIJEM	VKLAD	24563	76788	\N	\N	\N
456680	1552	1996-10-09	PRIJEM	VKLAD	24563	76834	\N	\N	\N
456681	1552	1996-11-09	PRIJEM	VKLAD	24563	75578	\N	\N	\N
456682	1552	1996-12-09	PRIJEM	VKLAD	36844	89400	\N	\N	\N
456683	1552	1997-01-09	PRIJEM	VKLAD	24563	73670	\N	\N	\N
456684	1552	1997-02-09	PRIJEM	VKLAD	24563	76305	\N	\N	\N
456685	1552	1997-03-09	PRIJEM	VKLAD	24563	80252	\N	\N	\N
456686	1552	1997-04-09	PRIJEM	VKLAD	24563	81517	\N	\N	\N
456687	1552	1997-05-09	PRIJEM	VKLAD	24563	85787	\N	\N	\N
456688	1552	1997-06-09	PRIJEM	VKLAD	36844	97543	\N	\N	\N
456689	1552	1997-07-09	PRIJEM	VKLAD	24563	95048	\N	\N	\N
456690	1552	1997-08-09	PRIJEM	VKLAD	24563	92854	\N	\N	\N
456691	1552	1997-09-09	PRIJEM	VKLAD	24563	87141	\N	\N	\N
456692	1552	1997-10-09	PRIJEM	VKLAD	24563	84211	\N	\N	\N
456693	1552	1997-11-09	PRIJEM	VKLAD	24563	81567	\N	\N	\N
456694	1552	1997-12-09	PRIJEM	VKLAD	36844	89284	\N	\N	\N
456695	1552	1998-01-09	PRIJEM	VKLAD	24563	72023	\N	\N	\N
456696	1552	1998-02-09	PRIJEM	VKLAD	24563	64714	\N	\N	\N
456697	1552	1998-03-09	PRIJEM	VKLAD	24563	68096	\N	\N	\N
456698	1552	1998-04-09	PRIJEM	VKLAD	24563	67886	\N	\N	\N
456699	1552	1998-05-09	PRIJEM	VKLAD	24563	72687	\N	\N	\N
456700	1552	1998-06-09	PRIJEM	VKLAD	36844	86780	\N	\N	\N
456701	1552	1998-07-09	PRIJEM	VKLAD	24563	82717	\N	\N	\N
456702	1552	1998-08-09	PRIJEM	VKLAD	24563	82663	\N	\N	\N
456703	1552	1998-09-09	PRIJEM	VKLAD	24563	63695	\N	\N	\N
456704	1552	1998-10-09	PRIJEM	VKLAD	24563	62021	\N	\N	\N
456705	1552	1998-11-09	PRIJEM	VKLAD	24563	64554	\N	\N	\N
456706	1552	1998-12-09	PRIJEM	VKLAD	36844	76077	\N	\N	\N
456712	1552	1994-06-08	VYDAJ	PREVOD NA UCET	5263	44793	SIPO	MN	57056182
456713	1552	1994-07-08	VYDAJ	PREVOD NA UCET	5263	47685	SIPO	MN	57056182
456714	1552	1994-08-08	VYDAJ	PREVOD NA UCET	5263	42473	SIPO	MN	57056182
456715	1552	1994-09-08	VYDAJ	PREVOD NA UCET	5263	42812	SIPO	MN	57056182
456716	1552	1994-10-08	VYDAJ	PREVOD NA UCET	5263	41350	SIPO	MN	57056182
456717	1552	1994-11-08	VYDAJ	PREVOD NA UCET	5263	37981	SIPO	MN	57056182
456718	1552	1994-12-08	VYDAJ	PREVOD NA UCET	5263	40400	SIPO	MN	57056182
456719	1552	1995-01-08	VYDAJ	PREVOD NA UCET	5263	39831	SIPO	MN	57056182
456720	1552	1995-02-08	VYDAJ	PREVOD NA UCET	5263	36243	SIPO	MN	57056182
456721	1552	1995-03-08	VYDAJ	PREVOD NA UCET	5263	38851	SIPO	MN	57056182
456722	1552	1995-04-08	VYDAJ	PREVOD NA UCET	5263	36964	SIPO	MN	57056182
456723	1552	1995-05-08	VYDAJ	PREVOD NA UCET	5263	43076	SIPO	MN	57056182
456724	1552	1995-06-08	VYDAJ	PREVOD NA UCET	5263	44710	SIPO	MN	57056182
456725	1552	1995-07-08	VYDAJ	PREVOD NA UCET	5263	52964	SIPO	MN	57056182
456726	1552	1995-08-08	VYDAJ	PREVOD NA UCET	5263	49933	SIPO	MN	57056182
456727	1552	1995-09-08	VYDAJ	PREVOD NA UCET	5263	51491	SIPO	MN	57056182
456728	1552	1995-10-08	VYDAJ	PREVOD NA UCET	5263	51652	SIPO	MN	57056182
456729	1552	1995-11-08	VYDAJ	PREVOD NA UCET	5263	49310	SIPO	MN	57056182
456730	1552	1995-12-08	VYDAJ	PREVOD NA UCET	5263	48959	SIPO	MN	57056182
456731	1552	1996-01-08	VYDAJ	PREVOD NA UCET	5263	55320	SIPO	MN	57056182
456732	1552	1996-02-08	VYDAJ	PREVOD NA UCET	5263	40575	SIPO	MN	57056182
456733	1552	1996-03-08	VYDAJ	PREVOD NA UCET	5263	44685	SIPO	MN	57056182
456734	1552	1996-04-08	VYDAJ	PREVOD NA UCET	5263	46813	SIPO	MN	57056182
456735	1552	1996-05-08	VYDAJ	PREVOD NA UCET	5263	46245	SIPO	MN	57056182
456736	1552	1996-06-08	VYDAJ	PREVOD NA UCET	5263	47476	SIPO	MN	57056182
456737	1552	1996-07-08	VYDAJ	PREVOD NA UCET	5263	53618	SIPO	MN	57056182
456738	1552	1996-08-08	VYDAJ	PREVOD NA UCET	5263	52974	SIPO	MN	57056182
456739	1552	1996-09-08	VYDAJ	PREVOD NA UCET	5263	52225	SIPO	MN	57056182
456740	1552	1996-10-08	VYDAJ	PREVOD NA UCET	5263	52271	SIPO	MN	57056182
456741	1552	1996-11-08	VYDAJ	PREVOD NA UCET	5263	51015	SIPO	MN	57056182
456742	1552	1996-12-08	VYDAJ	PREVOD NA UCET	5263	52556	SIPO	MN	57056182
456743	1552	1997-01-08	VYDAJ	PREVOD NA UCET	5263	49107	SIPO	MN	57056182
456744	1552	1997-02-08	VYDAJ	PREVOD NA UCET	5263	51742	SIPO	MN	57056182
456745	1552	1997-03-08	VYDAJ	PREVOD NA UCET	5263	55689	SIPO	MN	57056182
456746	1552	1997-04-08	VYDAJ	PREVOD NA UCET	5263	56954	SIPO	MN	57056182
456747	1552	1997-05-08	VYDAJ	PREVOD NA UCET	5263	61224	SIPO	MN	57056182
456748	1552	1997-06-08	VYDAJ	PREVOD NA UCET	5263	60699	SIPO	MN	57056182
456749	1552	1997-07-08	VYDAJ	PREVOD NA UCET	5263	70485	SIPO	MN	57056182
456750	1552	1997-08-08	VYDAJ	PREVOD NA UCET	5263	68291	SIPO	MN	57056182
456751	1552	1997-09-08	VYDAJ	PREVOD NA UCET	5263	62578	SIPO	MN	57056182
456752	1552	1997-10-08	VYDAJ	PREVOD NA UCET	5263	59648	SIPO	MN	57056182
456753	1552	1997-11-08	VYDAJ	PREVOD NA UCET	5263	57004	SIPO	MN	57056182
456754	1552	1997-12-08	VYDAJ	PREVOD NA UCET	5263	52440	SIPO	MN	57056182
456755	1552	1998-01-08	VYDAJ	PREVOD NA UCET	5263	47460	SIPO	MN	57056182
456756	1552	1998-02-08	VYDAJ	PREVOD NA UCET	5263	40151	SIPO	MN	57056182
456757	1552	1998-03-08	VYDAJ	PREVOD NA UCET	5263	43533	SIPO	MN	57056182
456758	1552	1998-04-08	VYDAJ	PREVOD NA UCET	5263	43323	SIPO	MN	57056182
456759	1552	1998-05-08	VYDAJ	PREVOD NA UCET	5263	48124	SIPO	MN	57056182
456760	1552	1998-06-08	VYDAJ	PREVOD NA UCET	5263	49936	SIPO	MN	57056182
456761	1552	1998-07-08	VYDAJ	PREVOD NA UCET	5263	58154	SIPO	MN	57056182
456762	1552	1998-08-08	VYDAJ	PREVOD NA UCET	5263	58100	SIPO	MN	57056182
456763	1552	1998-09-08	VYDAJ	PREVOD NA UCET	5263	39132	SIPO	MN	57056182
456764	1552	1998-10-08	VYDAJ	PREVOD NA UCET	5263	37458	SIPO	MN	57056182
456765	1552	1998-11-08	VYDAJ	PREVOD NA UCET	5263	39991	SIPO	MN	57056182
456766	1552	1998-12-08	VYDAJ	PREVOD NA UCET	5263	39233	SIPO	MN	57056182
456833	1552	1995-01-09	VYDAJ	VYBER	1100	62194	\N	\N	\N
456834	1552	1995-01-07	VYDAJ	VYBER	2800	45094	\N	\N	\N
456835	1552	1995-01-08	VYDAJ	VYBER	1100	38731	\N	\N	\N
456836	1552	1995-01-03	VYDAJ	VYBER	1000	47894	\N	\N	\N
456837	1552	1995-01-02	VYDAJ	VYBER	2300	48894	\N	\N	\N
456838	1552	1995-01-29	VYDAJ	VYBER	1900	41294	\N	\N	\N
456839	1552	1996-01-27	VYDAJ	VYBER	2100	47783	\N	\N	\N
456840	1552	1996-01-30	VYDAJ	VYBER	1700	46083	\N	\N	\N
456841	1552	1996-01-19	VYDAJ	VYBER	900	77183	\N	\N	\N
456842	1552	1996-01-17	VYDAJ	VYBER	1800	78083	\N	\N	\N
456843	1552	1996-01-05	VYDAJ	VYBER	2500	60583	\N	\N	\N
456844	1552	1996-01-23	VYDAJ	VYBER	2700	50783	\N	\N	\N
456845	1552	1997-01-06	VYDAJ	VYBER	2300	54370	\N	\N	\N
456846	1552	1997-01-06	VYDAJ	VYBER	2000	56670	\N	\N	\N
456847	1552	1997-01-01	VYDAJ	VYBER	2000	61570	\N	\N	\N
456848	1552	1997-01-03	VYDAJ	VYBER	2900	58670	\N	\N	\N
456849	1552	1997-01-20	VYDAJ	VYBER	1900	56770	\N	\N	\N
456850	1552	1997-01-10	VYDAJ	VYBER	2600	71070	\N	\N	\N
456851	1552	1998-01-08	VYDAJ	VYBER KARTOU	1200	52723	\N	\N	0
456852	1552	1998-01-07	VYDAJ	VYBER KARTOU	2500	53923	\N	\N	0
456853	1552	1998-01-26	VYDAJ	VYBER KARTOU	1900	45223	\N	\N	0
456854	1552	1998-01-02	VYDAJ	VYBER KARTOU	500	56423	\N	\N	0
456855	1552	1998-01-02	VYDAJ	VYBER KARTOU	2900	56923	\N	\N	0
456856	1552	1998-01-10	VYDAJ	VYBER KARTOU	1900	70123	\N	\N	0
456857	1552	1994-09-25	VYDAJ	VYBER	1200	66175	\N	\N	\N
456858	1552	1994-10-31	VYDAJ	VYBER	1700	44859	\N	\N	\N
456860	1552	1994-11-02	VYDAJ	VYBER	1600	43244	\N	\N	\N
456861	1552	1994-12-10	VYDAJ	VYBER	3700	73544	\N	\N	\N
456863	1552	1995-01-24	VYDAJ	VYBER	4300	57894	\N	\N	\N
456864	1552	1995-03-24	VYDAJ	VYBER	2900	58214	\N	\N	\N
456865	1552	1995-03-29	VYDAJ	VYBER	2200	42014	\N	\N	\N
456866	1552	1995-04-26	VYDAJ	VYBER	1900	59627	\N	\N	\N
456867	1552	1995-08-30	VYDAJ	VYBER	1300	56496	\N	\N	\N
456868	1552	1995-03-16	VYDAJ	VYBER	2300	61114	\N	\N	\N
456869	1552	1996-12-22	VYDAJ	VYBER	1300	63300	\N	\N	\N
456870	1552	1996-02-11	VYDAJ	VYBER	2700	62438	\N	\N	\N
456871	1552	1996-01-26	VYDAJ	VYBER	900	49883	\N	\N	\N
456872	1552	1996-02-07	VYDAJ	VYBER	500	45838	\N	\N	\N
456873	1552	1997-10-06	VYDAJ	VYBER KARTOU	1500	64911	\N	\N	0
456874	1552	1997-10-12	VYDAJ	VYBER KARTOU	2200	82011	\N	\N	0
456875	1552	1997-07-09	VYDAJ	VYBER KARTOU	1400	93648	\N	\N	0
456876	1552	1997-04-28	VYDAJ	VYBER	900	66217	\N	\N	\N
456877	1552	1997-03-27	VYDAJ	VYBER	4000	61952	\N	\N	\N
456878	1552	1997-02-26	VYDAJ	VYBER	800	60705	\N	\N	\N
456879	1552	1998-09-12	VYDAJ	VYBER	4600	59095	\N	\N	\N
456880	1552	1998-12-23	VYDAJ	VYBER	4600	71477	\N	\N	\N
456886	1552	1994-05-31	VYDAJ	VYBER	15	71056	SLUZBY	\N	\N
456887	1552	1994-06-30	VYDAJ	VYBER	15	81948	SLUZBY	\N	\N
456888	1552	1994-07-31	VYDAJ	VYBER	15	72536	SLUZBY	\N	\N
456889	1552	1994-08-31	VYDAJ	VYBER	15	48075	SLUZBY	\N	\N
456890	1552	1994-09-30	VYDAJ	VYBER	15	46613	SLUZBY	\N	\N
456891	1552	1994-10-31	VYDAJ	VYBER	15	44844	SLUZBY	\N	\N
456892	1552	1994-11-30	VYDAJ	VYBER	15	45663	SLUZBY	\N	\N
456893	1552	1994-12-31	VYDAJ	VYBER	15	51194	SLUZBY	\N	\N
456894	1552	1995-01-31	VYDAJ	VYBER	15	41506	SLUZBY	\N	\N
456895	1552	1995-02-28	VYDAJ	VYBER	15	44114	SLUZBY	\N	\N
456896	1552	1995-03-31	VYDAJ	VYBER	15	42227	SLUZBY	\N	\N
456897	1552	1995-04-30	VYDAJ	VYBER	15	48339	SLUZBY	\N	\N
456898	1552	1995-05-31	VYDAJ	VYBER	15	49973	SLUZBY	\N	\N
456899	1552	1995-06-30	VYDAJ	VYBER	15	58227	SLUZBY	\N	\N
456900	1552	1995-07-31	VYDAJ	VYBER	15	55196	SLUZBY	\N	\N
456901	1552	1995-08-31	VYDAJ	VYBER	15	56754	SLUZBY	\N	\N
456902	1552	1995-09-30	VYDAJ	VYBER	15	56915	SLUZBY	\N	\N
456903	1552	1995-10-31	VYDAJ	VYBER	15	54573	SLUZBY	\N	\N
456904	1552	1995-11-30	VYDAJ	VYBER	15	54222	SLUZBY	\N	\N
456905	1552	1995-12-31	VYDAJ	VYBER	15	63083	SLUZBY	\N	\N
456906	1552	1996-01-31	VYDAJ	VYBER	15	46338	SLUZBY	\N	\N
456907	1552	1996-02-29	VYDAJ	VYBER	15	49948	SLUZBY	\N	\N
456908	1552	1996-03-31	VYDAJ	VYBER	15	52076	SLUZBY	\N	\N
456909	1552	1996-04-30	VYDAJ	VYBER	15	51508	SLUZBY	\N	\N
456910	1552	1996-05-31	VYDAJ	VYBER	15	52739	SLUZBY	\N	\N
456911	1552	1996-06-30	VYDAJ	VYBER	15	58881	SLUZBY	\N	\N
456912	1552	1996-07-31	VYDAJ	VYBER	15	58237	SLUZBY	\N	\N
456913	1552	1996-08-31	VYDAJ	VYBER	15	57488	SLUZBY	\N	\N
456914	1552	1996-09-30	VYDAJ	VYBER	15	57534	SLUZBY	\N	\N
456915	1552	1996-10-31	VYDAJ	VYBER	15	56278	SLUZBY	\N	\N
456916	1552	1996-11-30	VYDAJ	VYBER	15	57819	SLUZBY	\N	\N
456917	1552	1996-12-31	VYDAJ	VYBER	15	63570	SLUZBY	\N	\N
456918	1552	1997-01-31	VYDAJ	VYBER	15	57005	SLUZBY	\N	\N
456919	1552	1997-02-28	VYDAJ	VYBER	15	60952	SLUZBY	\N	\N
456920	1552	1997-03-31	VYDAJ	VYBER	15	62217	SLUZBY	\N	\N
456921	1552	1997-04-30	VYDAJ	VYBER	15	66487	SLUZBY	\N	\N
456922	1552	1997-05-31	VYDAJ	VYBER	15	65962	SLUZBY	\N	\N
456923	1552	1997-06-30	VYDAJ	VYBER	15	75748	SLUZBY	\N	\N
456924	1552	1997-07-31	VYDAJ	VYBER	15	73554	SLUZBY	\N	\N
456925	1552	1997-08-31	VYDAJ	VYBER	15	67841	SLUZBY	\N	\N
456926	1552	1997-09-30	VYDAJ	VYBER	15	66411	SLUZBY	\N	\N
456927	1552	1997-10-31	VYDAJ	VYBER	15	62267	SLUZBY	\N	\N
456928	1552	1997-11-30	VYDAJ	VYBER	15	57703	SLUZBY	\N	\N
456929	1552	1997-12-31	VYDAJ	VYBER	15	59823	SLUZBY	\N	\N
456930	1552	1998-01-31	VYDAJ	VYBER	15	45414	SLUZBY	\N	\N
456931	1552	1998-02-28	VYDAJ	VYBER	15	48796	SLUZBY	\N	\N
456932	1552	1998-03-31	VYDAJ	VYBER	15	48586	SLUZBY	\N	\N
456933	1552	1998-04-30	VYDAJ	VYBER	15	53387	SLUZBY	\N	\N
456934	1552	1998-05-31	VYDAJ	VYBER	15	55199	SLUZBY	\N	\N
456935	1552	1998-06-30	VYDAJ	VYBER	15	63417	SLUZBY	\N	\N
456936	1552	1998-07-31	VYDAJ	VYBER	15	63363	SLUZBY	\N	\N
456937	1552	1998-08-31	VYDAJ	VYBER	15	60095	SLUZBY	\N	\N
456938	1552	1998-09-30	VYDAJ	VYBER	15	59321	SLUZBY	\N	\N
456939	1552	1998-10-31	VYDAJ	VYBER	15	62254	SLUZBY	\N	\N
456940	1552	1998-11-30	VYDAJ	VYBER	15	64796	SLUZBY	\N	\N
456941	1552	1994-02-01	VYDAJ	VYBER	1600	23541	\N	\N	\N
456942	1552	1994-03-03	VYDAJ	VYBER	13500	34777	\N	\N	\N
456943	1552	1994-04-02	VYDAJ	VYBER	15000	44575	\N	\N	\N
456944	1552	1994-05-02	VYDAJ	VYBER	23200	46215	\N	\N	\N
456945	1552	1994-06-01	VYDAJ	VYBER	21000	50056	\N	\N	\N
456946	1552	1994-07-01	VYDAJ	VYBER	29000	52948	\N	\N	\N
456947	1552	1994-07-31	VYDAJ	VYBER	24800	47736	\N	\N	\N
456948	1552	1994-08-30	VYDAJ	VYBER	19200	47836	\N	\N	\N
456949	1552	1994-09-29	VYDAJ	VYBER	19800	46375	\N	\N	\N
456950	1552	1994-10-29	VYDAJ	VYBER	19600	46313	\N	\N	\N
456951	1552	1994-11-28	VYDAJ	VYBER	17100	45444	\N	\N	\N
456952	1552	1994-12-28	VYDAJ	VYBER	22600	50944	\N	\N	\N
456953	1552	1995-01-27	VYDAJ	VYBER	14700	43194	\N	\N	\N
456954	1552	1995-02-26	VYDAJ	VYBER	16900	43906	\N	\N	\N
456955	1552	1995-03-28	VYDAJ	VYBER	14000	44214	\N	\N	\N
456956	1552	1995-04-27	VYDAJ	VYBER	11500	48127	\N	\N	\N
456957	1552	1995-05-27	VYDAJ	VYBER	17900	49739	\N	\N	\N
456958	1552	1995-06-26	VYDAJ	VYBER	23600	57954	\N	\N	\N
456959	1552	1995-07-26	VYDAJ	VYBER	22600	54927	\N	\N	\N
456960	1552	1995-08-25	VYDAJ	VYBER	16700	57796	\N	\N	\N
456961	1552	1995-09-24	VYDAJ	VYBER	19400	56654	\N	\N	\N
456962	1552	1995-10-24	VYDAJ	VYBER	21900	54315	\N	\N	\N
456963	1552	1995-11-23	VYDAJ	VYBER	19900	53973	\N	\N	\N
456964	1552	1995-12-23	VYDAJ	VYBER	23000	62803	\N	\N	\N
456965	1552	1996-01-22	VYDAJ	VYBER	23700	53483	\N	\N	\N
456966	1552	1996-02-21	VYDAJ	VYBER	12700	49738	\N	\N	\N
456967	1552	1996-03-22	VYDAJ	VYBER	17400	51848	\N	\N	\N
456968	1552	1996-04-21	VYDAJ	VYBER	20100	51276	\N	\N	\N
456969	1552	1996-05-21	VYDAJ	VYBER	18300	52508	\N	\N	\N
456970	1552	1996-06-20	VYDAJ	VYBER	25700	58620	\N	\N	\N
456971	1552	1996-07-20	VYDAJ	VYBER	20200	57981	\N	\N	\N
456972	1552	1996-08-19	VYDAJ	VYBER	20300	57237	\N	\N	\N
456973	1552	1996-09-18	VYDAJ	VYBER	19500	57288	\N	\N	\N
456974	1552	1996-10-18	VYDAJ	VYBER	20800	56034	\N	\N	\N
456975	1552	1996-11-17	VYDAJ	VYBER	18000	57578	\N	\N	\N
456976	1552	1996-12-17	VYDAJ	VYBER	24800	64600	\N	\N	\N
456977	1552	1997-01-16	VYDAJ	VYBER	12400	58670	\N	\N	\N
456978	1552	1997-02-15	VYDAJ	VYBER	14800	61505	\N	\N	\N
456979	1552	1997-03-17	VYDAJ	VYBER	14300	65952	\N	\N	\N
456980	1552	1997-04-16	VYDAJ	VYBER	14400	67117	\N	\N	\N
456981	1552	1997-05-16	VYDAJ	VYBER	20100	65687	\N	\N	\N
456982	1552	1997-06-15	VYDAJ	VYBER	22100	75443	\N	\N	\N
456983	1552	1997-07-15	VYDAJ	VYBER	20400	73248	\N	\N	\N
456984	1552	1997-08-14	VYDAJ	VYBER	25300	67554	\N	\N	\N
456985	1552	1997-09-13	VYDAJ	VYBER	21000	66141	\N	\N	\N
456986	1552	1997-10-13	VYDAJ	VYBER	20000	62011	\N	\N	\N
456987	1552	1997-11-12	VYDAJ	VYBER	24100	57467	\N	\N	\N
456988	1552	1997-12-12	VYDAJ	VYBER	29700	59584	\N	\N	\N
456989	1552	1998-01-11	VYDAJ	VYBER	23000	47123	\N	\N	\N
456990	1552	1998-02-10	VYDAJ	VYBER	16100	48614	\N	\N	\N
456991	1552	1998-03-12	VYDAJ	VYBER	19700	48396	\N	\N	\N
456992	1552	1998-04-11	VYDAJ	VYBER	14700	53186	\N	\N	\N
456993	1552	1998-05-11	VYDAJ	VYBER	17700	54987	\N	\N	\N
456994	1552	1998-06-10	VYDAJ	VYBER	23600	63180	\N	\N	\N
456995	1552	1998-07-10	VYDAJ	VYBER	19600	63117	\N	\N	\N
456996	1552	1998-08-09	VYDAJ	VYBER	22800	59863	\N	\N	\N
456997	1552	1998-09-08	VYDAJ	VYBER	15700	44395	\N	\N	\N
456998	1552	1998-10-08	VYDAJ	VYBER	16600	42721	\N	\N	\N
456999	1552	1998-11-07	VYDAJ	VYBER	17000	45254	\N	\N	\N
457000	1552	1998-12-07	VYDAJ	VYBER	20300	44496	\N	\N	\N
457061	1553	1996-12-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
457064	1553	1997-05-23	PRIJEM	VKLAD	21784	44737	\N	\N	\N
457065	1553	1997-07-03	PRIJEM	VKLAD	35834	59650	\N	\N	\N
457066	1553	1998-11-09	PRIJEM	VKLAD	29450	46543	\N	\N	\N
457067	1553	1998-08-05	PRIJEM	VKLAD	48511	65092	\N	\N	\N
457080	1553	1997-01-13	PRIJEM	VKLAD	1400	2400	\N	\N	\N
457081	1553	1997-02-17	PRIJEM	VKLAD	1400	12117	\N	\N	\N
457082	1553	1997-03-15	PRIJEM	VKLAD	1400	21075	\N	\N	\N
457083	1553	1997-04-16	PRIJEM	VKLAD	1400	23360	\N	\N	\N
457084	1553	1997-05-17	PRIJEM	VKLAD	1400	24453	\N	\N	\N
457085	1553	1997-06-17	PRIJEM	VKLAD	1400	46244	\N	\N	\N
457086	1553	1997-07-14	PRIJEM	VKLAD	1400	61050	\N	\N	\N
457087	1553	1997-08-16	PRIJEM	VKLAD	1400	41540	\N	\N	\N
457088	1553	1997-09-14	PRIJEM	VKLAD	1400	32329	\N	\N	\N
457089	1553	1997-10-14	PRIJEM	VKLAD	1400	29136	\N	\N	\N
457090	1553	1997-11-17	PRIJEM	VKLAD	1400	27933	\N	\N	\N
457091	1553	1997-12-17	PRIJEM	VKLAD	1400	25430	\N	\N	\N
457092	1553	1998-01-13	PRIJEM	VKLAD	1400	24176	\N	\N	\N
457093	1553	1998-02-13	PRIJEM	VKLAD	1400	21106	\N	\N	\N
457094	1553	1998-03-17	PRIJEM	VKLAD	1400	22571	\N	\N	\N
457095	1553	1998-04-13	PRIJEM	VKLAD	1400	23541	\N	\N	\N
457096	1553	1998-05-15	PRIJEM	VKLAD	1400	21314	\N	\N	\N
457097	1553	1998-06-13	PRIJEM	VKLAD	1400	19384	\N	\N	\N
457098	1553	1998-07-17	PRIJEM	VKLAD	1400	16534	\N	\N	\N
457099	1553	1998-08-16	PRIJEM	VKLAD	1400	38992	\N	\N	\N
457100	1553	1998-09-16	PRIJEM	VKLAD	1400	24803	\N	\N	\N
457101	1553	1998-10-16	PRIJEM	VKLAD	1400	17021	\N	\N	\N
457102	1553	1998-11-17	PRIJEM	VKLAD	1400	29843	\N	\N	\N
457103	1553	1998-12-15	PRIJEM	VKLAD	1400	21484	\N	\N	\N
457105	1553	1997-06-19	VYDAJ	VYBER	22900	23644	\N	\N	\N
457109	1553	1998-01-13	VYDAJ	VYBER	1600	22576	\N	\N	\N
457111	1553	1997-12-06	VYDAJ	VYBER	700	27330	\N	\N	\N
457112	1553	1998-12-09	VYDAJ	VYBER	1700	28234	\N	\N	\N
457125	1553	1998-01-10	VYDAJ	VYBER	1400	22776	\N	\N	\N
457126	1553	1998-01-27	VYDAJ	VYBER	300	20726	\N	\N	\N
457127	1553	1998-01-14	VYDAJ	VYBER	400	22176	\N	\N	\N
457128	1553	1998-01-03	VYDAJ	VYBER	1350	24176	\N	\N	\N
457129	1553	1998-01-22	VYDAJ	VYBER	1050	21026	\N	\N	\N
457130	1553	1998-01-30	VYDAJ	VYBER	1100	19626	\N	\N	\N
457137	1553	1997-08-12	VYDAJ	VYBER	1050	40140	\N	\N	\N
457139	1553	1997-08-25	VYDAJ	VYBER	1050	30790	\N	\N	\N
457140	1553	1998-06-19	VYDAJ	VYBER	1100	13284	\N	\N	\N
457141	1553	1998-03-22	VYDAJ	VYBER	500	22071	\N	\N	\N
457142	1553	1998-12-14	VYDAJ	VYBER	1050	20084	\N	\N	\N
457160	1553	1997-05-31	VYDAJ	VYBER	15	44844	SLUZBY	\N	\N
457161	1553	1997-06-30	VYDAJ	VYBER	15	23816	SLUZBY	\N	\N
457162	1553	1997-07-31	VYDAJ	VYBER	15	41190	SLUZBY	\N	\N
457163	1553	1997-08-31	VYDAJ	VYBER	15	30929	SLUZBY	\N	\N
457164	1553	1997-09-30	VYDAJ	VYBER	15	27736	SLUZBY	\N	\N
457165	1553	1997-10-31	VYDAJ	VYBER	15	25733	SLUZBY	\N	\N
457166	1553	1997-11-30	VYDAJ	VYBER	15	28030	SLUZBY	\N	\N
457167	1553	1997-12-31	VYDAJ	VYBER	15	25526	SLUZBY	\N	\N
457168	1553	1998-01-31	VYDAJ	VYBER	15	19706	SLUZBY	\N	\N
457169	1553	1998-02-28	VYDAJ	VYBER	15	18571	SLUZBY	\N	\N
457170	1553	1998-03-31	VYDAJ	VYBER	15	22141	SLUZBY	\N	\N
457171	1553	1998-04-30	VYDAJ	VYBER	15	19914	SLUZBY	\N	\N
457172	1553	1998-05-31	VYDAJ	VYBER	15	17984	SLUZBY	\N	\N
457173	1553	1998-06-30	VYDAJ	VYBER	15	13334	SLUZBY	\N	\N
457174	1553	1998-07-31	VYDAJ	VYBER	15	16581	SLUZBY	\N	\N
457175	1553	1998-08-31	VYDAJ	VYBER	15	39103	SLUZBY	\N	\N
457176	1553	1998-09-30	VYDAJ	VYBER	15	24921	SLUZBY	\N	\N
457177	1553	1998-10-31	VYDAJ	VYBER	15	17093	SLUZBY	\N	\N
457178	1553	1998-11-30	VYDAJ	VYBER	15	29934	SLUZBY	\N	\N
457179	1553	1997-01-20	PRIJEM	VKLAD	8300	10700	\N	\N	\N
457180	1553	1997-02-19	PRIJEM	VKLAD	7500	19617	\N	\N	\N
457181	1553	1997-03-21	PRIJEM	VKLAD	800	21875	\N	\N	\N
457182	1553	1997-04-20	VYDAJ	VYBER	400	22960	\N	\N	\N
457183	1553	1997-05-20	VYDAJ	VYBER	1500	22953	\N	\N	\N
457184	1553	1997-06-19	PRIJEM	VKLAD	300	46544	\N	\N	\N
457185	1553	1997-07-19	VYDAJ	VYBER	20000	41050	\N	\N	\N
457186	1553	1997-08-18	VYDAJ	VYBER	9700	31840	\N	\N	\N
457187	1553	1997-09-17	VYDAJ	VYBER	4700	27629	\N	\N	\N
457188	1553	1997-10-17	VYDAJ	VYBER	3500	25636	\N	\N	\N
457189	1553	1997-11-16	PRIJEM	VKLAD	800	26533	\N	\N	\N
457190	1553	1997-12-16	VYDAJ	VYBER	3300	24030	\N	\N	\N
457191	1553	1998-01-15	VYDAJ	VYBER	100	22076	\N	\N	\N
457192	1553	1998-02-14	VYDAJ	VYBER	2600	18506	\N	\N	\N
457193	1553	1998-03-16	PRIJEM	VKLAD	2600	21171	\N	\N	\N
457194	1553	1998-04-15	VYDAJ	VYBER	3700	19841	\N	\N	\N
457195	1553	1998-05-15	VYDAJ	VYBER	3400	17914	\N	\N	\N
457196	1553	1998-06-14	VYDAJ	VYBER	5000	14384	\N	\N	\N
457197	1553	1998-07-14	PRIJEM	VKLAD	1800	15134	\N	\N	\N
457198	1553	1998-08-13	VYDAJ	VYBER	27500	37592	\N	\N	\N
457199	1553	1998-09-12	VYDAJ	VYBER	15700	23403	\N	\N	\N
457200	1553	1998-10-12	VYDAJ	VYBER	9300	15621	\N	\N	\N
457201	1553	1998-11-11	VYDAJ	VYBER	18100	28443	\N	\N	\N
457202	1553	1998-12-11	VYDAJ	VYBER	7100	21134	\N	\N	\N
457227	1554	1994-11-15	PRIJEM	VKLAD	300	300	\N	\N	\N
457239	1554	1994-12-12	PRIJEM	VKLAD	26628	26928	\N	\N	\N
457240	1554	1995-01-12	PRIJEM	VKLAD	17752	42737	\N	\N	\N
457241	1554	1995-02-12	PRIJEM	VKLAD	17752	51915	\N	\N	\N
457242	1554	1995-03-12	PRIJEM	VKLAD	17752	57121	\N	\N	\N
457243	1554	1995-04-12	PRIJEM	VKLAD	17752	60444	\N	\N	\N
457244	1554	1995-05-12	PRIJEM	VKLAD	17752	55274	\N	\N	\N
457245	1554	1995-06-12	PRIJEM	VKLAD	26628	57134	\N	\N	\N
457246	1554	1995-07-12	PRIJEM	VKLAD	17752	39670	\N	\N	\N
457247	1554	1995-08-12	PRIJEM	VKLAD	17752	42885	\N	\N	\N
457248	1554	1995-09-12	PRIJEM	VKLAD	17752	46734	\N	\N	\N
457249	1554	1995-10-12	PRIJEM	VKLAD	17752	51833	\N	\N	\N
457250	1554	1995-11-12	PRIJEM	VKLAD	17752	50218	\N	\N	\N
457251	1554	1995-12-12	PRIJEM	VKLAD	26628	55270	\N	\N	\N
457252	1554	1996-01-12	PRIJEM	VKLAD	17752	53614	\N	\N	\N
457253	1554	1996-02-12	PRIJEM	VKLAD	17752	41029	\N	\N	\N
457254	1554	1996-03-12	PRIJEM	VKLAD	17752	48167	\N	\N	\N
457255	1554	1996-04-12	PRIJEM	VKLAD	17752	54542	\N	\N	\N
457256	1554	1996-05-12	PRIJEM	VKLAD	17752	56544	\N	\N	\N
457257	1554	1996-06-12	PRIJEM	VKLAD	26628	66537	\N	\N	\N
457258	1554	1996-07-12	PRIJEM	VKLAD	17752	59146	\N	\N	\N
457259	1554	1996-08-12	PRIJEM	VKLAD	17752	60943	\N	\N	\N
457260	1554	1996-09-12	PRIJEM	VKLAD	17752	61196	\N	\N	\N
457261	1554	1996-10-12	PRIJEM	VKLAD	17752	58213	\N	\N	\N
457262	1554	1996-11-12	PRIJEM	VKLAD	17752	59232	\N	\N	\N
457263	1554	1996-12-12	PRIJEM	VKLAD	26628	67450	\N	\N	\N
457264	1554	1997-01-12	PRIJEM	VKLAD	17752	57252	\N	\N	\N
457265	1554	1997-02-12	PRIJEM	VKLAD	17752	50440	\N	\N	\N
457266	1554	1997-03-12	PRIJEM	VKLAD	17752	50318	\N	\N	\N
457267	1554	1997-04-12	PRIJEM	VKLAD	17752	54408	\N	\N	\N
457268	1554	1997-05-12	PRIJEM	VKLAD	17752	56108	\N	\N	\N
457269	1554	1997-06-12	PRIJEM	VKLAD	26628	67698	\N	\N	\N
457270	1554	1997-07-12	PRIJEM	VKLAD	17752	43851	\N	\N	\N
457271	1554	1997-08-12	PRIJEM	VKLAD	17752	50701	\N	\N	\N
457272	1554	1997-09-12	PRIJEM	VKLAD	17752	54885	\N	\N	\N
457273	1554	1997-10-12	PRIJEM	VKLAD	17752	52682	\N	\N	\N
457274	1554	1997-11-12	PRIJEM	VKLAD	17752	52286	\N	\N	\N
457275	1554	1997-12-12	PRIJEM	VKLAD	26628	50250	\N	\N	\N
457276	1554	1998-01-12	PRIJEM	VKLAD	17752	40916	\N	\N	\N
457277	1554	1998-02-12	PRIJEM	VKLAD	17752	41556	\N	\N	\N
457278	1554	1998-03-12	PRIJEM	VKLAD	17752	45693	\N	\N	\N
457279	1554	1998-04-12	PRIJEM	VKLAD	17752	50549	\N	\N	\N
457280	1554	1998-05-12	PRIJEM	VKLAD	17752	54325	\N	\N	\N
457281	1554	1998-06-12	PRIJEM	VKLAD	26628	49442	\N	\N	\N
457282	1554	1998-07-12	PRIJEM	VKLAD	17752	48514	\N	\N	\N
457283	1554	1998-08-12	PRIJEM	VKLAD	17752	47776	\N	\N	\N
457284	1554	1998-09-12	PRIJEM	VKLAD	17752	49234	\N	\N	\N
457285	1554	1998-10-12	PRIJEM	VKLAD	17752	47592	\N	\N	\N
457286	1554	1998-11-12	PRIJEM	VKLAD	17752	43787	\N	\N	\N
457287	1554	1998-12-12	PRIJEM	VKLAD	26628	56514	\N	\N	\N
457304	1554	1995-05-11	VYDAJ	PREVOD NA UCET	6551	37522	SIPO	OP	93773585
457305	1554	1995-06-11	VYDAJ	PREVOD NA UCET	6551	30506	SIPO	OP	93773585
457306	1554	1995-07-11	VYDAJ	PREVOD NA UCET	6551	21918	SIPO	OP	93773585
457307	1554	1995-08-11	VYDAJ	PREVOD NA UCET	6551	25133	SIPO	OP	93773585
457308	1554	1995-09-11	VYDAJ	PREVOD NA UCET	6551	28982	SIPO	OP	93773585
457309	1554	1995-10-11	VYDAJ	PREVOD NA UCET	6551	34081	SIPO	OP	93773585
457310	1554	1995-11-11	VYDAJ	PREVOD NA UCET	6551	32466	SIPO	OP	93773585
457311	1554	1995-12-11	VYDAJ	PREVOD NA UCET	6551	28642	SIPO	OP	93773585
457312	1554	1996-01-11	VYDAJ	PREVOD NA UCET	6551	35862	SIPO	OP	93773585
457313	1554	1996-02-11	VYDAJ	PREVOD NA UCET	6551	23277	SIPO	OP	93773585
457314	1554	1996-03-11	VYDAJ	PREVOD NA UCET	6551	30415	SIPO	OP	93773585
457315	1554	1996-04-11	VYDAJ	PREVOD NA UCET	6551	36790	SIPO	OP	93773585
457316	1554	1996-05-11	VYDAJ	PREVOD NA UCET	6551	38792	SIPO	OP	93773585
457317	1554	1996-06-11	VYDAJ	PREVOD NA UCET	6551	39909	SIPO	OP	93773585
457318	1554	1996-07-11	VYDAJ	PREVOD NA UCET	6551	41394	SIPO	OP	93773585
457319	1554	1996-08-11	VYDAJ	PREVOD NA UCET	6551	43191	SIPO	OP	93773585
457320	1554	1996-09-11	VYDAJ	PREVOD NA UCET	6551	43444	SIPO	OP	93773585
457321	1554	1996-10-11	VYDAJ	PREVOD NA UCET	6551	40461	SIPO	OP	93773585
457322	1554	1996-11-11	VYDAJ	PREVOD NA UCET	6551	41480	SIPO	OP	93773585
457323	1554	1996-12-11	VYDAJ	PREVOD NA UCET	6551	40822	SIPO	OP	93773585
457324	1554	1997-01-11	VYDAJ	PREVOD NA UCET	6551	39500	SIPO	OP	93773585
457325	1554	1997-02-11	VYDAJ	PREVOD NA UCET	6551	32688	SIPO	OP	93773585
457326	1554	1997-03-11	VYDAJ	PREVOD NA UCET	6551	32566	SIPO	OP	93773585
457327	1554	1997-04-11	VYDAJ	PREVOD NA UCET	6551	36656	SIPO	OP	93773585
457328	1554	1997-05-11	VYDAJ	PREVOD NA UCET	6551	38356	SIPO	OP	93773585
457329	1554	1997-06-11	VYDAJ	PREVOD NA UCET	6551	41070	SIPO	OP	93773585
457330	1554	1997-07-11	VYDAJ	PREVOD NA UCET	6551	26099	SIPO	OP	93773585
457331	1554	1997-08-11	VYDAJ	PREVOD NA UCET	6551	32949	SIPO	OP	93773585
457332	1554	1997-09-11	VYDAJ	PREVOD NA UCET	6551	37133	SIPO	OP	93773585
457333	1554	1997-10-11	VYDAJ	PREVOD NA UCET	6551	34930	SIPO	OP	93773585
457334	1554	1997-11-11	VYDAJ	PREVOD NA UCET	6551	34534	SIPO	OP	93773585
457335	1554	1997-12-11	VYDAJ	PREVOD NA UCET	6551	23622	SIPO	OP	93773585
457336	1554	1998-01-11	VYDAJ	PREVOD NA UCET	6551	24864	SIPO	OP	93773585
457337	1554	1998-02-11	VYDAJ	PREVOD NA UCET	6551	23804	SIPO	OP	93773585
457338	1554	1998-03-11	VYDAJ	PREVOD NA UCET	6551	27941	SIPO	OP	93773585
457339	1554	1998-04-11	VYDAJ	PREVOD NA UCET	6551	32797	SIPO	OP	93773585
457340	1554	1998-05-11	VYDAJ	PREVOD NA UCET	6551	36573	SIPO	OP	93773585
457341	1554	1998-06-11	VYDAJ	PREVOD NA UCET	6551	35774	SIPO	OP	93773585
457342	1554	1998-07-11	VYDAJ	PREVOD NA UCET	6551	30762	SIPO	OP	93773585
457343	1554	1998-08-11	VYDAJ	PREVOD NA UCET	6551	30024	SIPO	OP	93773585
457344	1554	1998-09-11	VYDAJ	PREVOD NA UCET	6551	31482	SIPO	OP	93773585
457345	1554	1998-10-11	VYDAJ	PREVOD NA UCET	6551	29840	SIPO	OP	93773585
457346	1554	1998-11-11	VYDAJ	PREVOD NA UCET	6551	26035	SIPO	OP	93773585
457347	1554	1998-12-11	VYDAJ	PREVOD NA UCET	6551	29886	SIPO	OP	93773585
457349	1554	1995-06-26	VYDAJ	VYBER	17120	28314	\N	\N	\N
457350	1554	1996-06-22	VYDAJ	VYBER	12160	54377	\N	\N	\N
457351	1554	1997-06-28	VYDAJ	VYBER	35680	32018	\N	\N	\N
457352	1554	1998-06-11	VYDAJ	VYBER	12960	22814	\N	\N	\N
457355	1554	1996-01-25	VYDAJ	VYBER	15680	30494	\N	\N	\N
457356	1554	1997-01-24	VYDAJ	VYBER KARTOU	2400	50752	\N	\N	0
457357	1554	1998-01-28	VYDAJ	VYBER KARTOU	2900	34916	\N	\N	0
457359	1554	1995-12-07	VYDAJ	VYBER	4320	46093	\N	\N	\N
457360	1554	1996-12-19	VYDAJ	VYBER	3680	63770	\N	\N	\N
457361	1554	1997-12-08	VYDAJ	VYBER KARTOU	4000	30173	\N	\N	0
457362	1554	1998-12-07	VYDAJ	VYBER KARTOU	2400	36437	\N	\N	0
457375	1554	1996-01-12	VYDAJ	VYBER	1320	49654	\N	\N	\N
457376	1554	1996-01-28	VYDAJ	VYBER	1440	29054	\N	\N	\N
457377	1554	1996-01-22	VYDAJ	VYBER	1800	46174	\N	\N	\N
457378	1554	1996-01-03	VYDAJ	VYBER	1560	53913	\N	\N	\N
457379	1554	1996-01-17	VYDAJ	VYBER	1680	47974	\N	\N	\N
457380	1554	1996-01-12	VYDAJ	VYBER	2640	50974	\N	\N	\N
457381	1554	1997-01-23	VYDAJ	VYBER KARTOU	1800	53152	\N	\N	0
457382	1554	1997-01-04	VYDAJ	VYBER	1560	50251	\N	\N	\N
457383	1554	1997-01-08	VYDAJ	VYBER	1800	48451	\N	\N	\N
457384	1554	1997-01-09	VYDAJ	VYBER	2400	46051	\N	\N	\N
457385	1554	1997-01-20	VYDAJ	VYBER KARTOU	1700	54952	\N	\N	0
457386	1554	1997-01-14	VYDAJ	VYBER	600	56652	\N	\N	\N
457387	1554	1998-01-29	VYDAJ	VYBER KARTOU	800	30216	\N	\N	0
457388	1554	1998-01-11	VYDAJ	VYBER KARTOU	3400	31415	\N	\N	0
457389	1554	1998-01-11	VYDAJ	VYBER KARTOU	1700	23164	\N	\N	0
457390	1554	1998-01-08	VYDAJ	VYBER KARTOU	700	34815	\N	\N	0
457391	1554	1998-01-19	VYDAJ	VYBER KARTOU	1200	39716	\N	\N	0
457392	1554	1998-01-27	VYDAJ	VYBER KARTOU	1900	37816	\N	\N	0
457402	1554	1995-06-03	VYDAJ	VYBER	3480	37057	\N	\N	\N
457403	1554	1995-09-28	VYDAJ	VYBER	5760	40974	\N	\N	\N
457404	1554	1995-08-25	VYDAJ	VYBER	3480	33405	\N	\N	\N
457405	1554	1995-04-24	VYDAJ	VYBER	2040	43904	\N	\N	\N
457406	1554	1996-11-14	VYDAJ	VYBER	2880	56352	\N	\N	\N
457407	1554	1996-10-02	VYDAJ	VYBER	3120	58312	\N	\N	\N
457408	1554	1996-07-30	VYDAJ	VYBER	1320	57826	\N	\N	\N
457409	1554	1996-06-29	VYDAJ	VYBER	5160	49217	\N	\N	\N
457410	1554	1996-08-12	VYDAJ	VYBER	1080	59863	\N	\N	\N
457411	1554	1997-02-01	VYDAJ	VYBER	4920	46039	\N	\N	\N
457412	1554	1997-11-16	VYDAJ	VYBER KARTOU	3600	48686	\N	\N	0
457413	1554	1997-12-29	VYDAJ	VYBER KARTOU	2200	48050	\N	\N	0
457414	1554	1997-11-19	VYDAJ	VYBER KARTOU	800	47886	\N	\N	0
457415	1554	1997-11-23	VYDAJ	VYBER	5880	42006	\N	\N	\N
457416	1554	1997-03-24	VYDAJ	VYBER KARTOU	3000	47318	\N	\N	0
457417	1554	1998-04-01	VYDAJ	VYBER KARTOU	2400	39348	\N	\N	0
457418	1554	1998-05-17	VYDAJ	VYBER	4080	50245	\N	\N	\N
457419	1554	1998-07-10	VYDAJ	VYBER KARTOU	1300	37313	\N	\N	0
457420	1554	1998-02-12	VYDAJ	VYBER KARTOU	3100	38456	\N	\N	0
457421	1554	1998-09-18	VYDAJ	VYBER KARTOU	2600	46634	\N	\N	0
457422	1554	1998-11-03	VYDAJ	VYBER	5760	32586	\N	\N	\N
457439	1554	1995-04-30	VYDAJ	VYBER	15	44073	SLUZBY	\N	\N
457440	1554	1995-05-31	VYDAJ	VYBER	15	40537	SLUZBY	\N	\N
457441	1554	1995-06-30	VYDAJ	VYBER	15	28469	SLUZBY	\N	\N
457442	1554	1995-07-31	VYDAJ	VYBER	15	31684	SLUZBY	\N	\N
457443	1554	1995-08-31	VYDAJ	VYBER	15	33533	SLUZBY	\N	\N
457444	1554	1995-09-30	VYDAJ	VYBER	15	41132	SLUZBY	\N	\N
457445	1554	1995-10-31	VYDAJ	VYBER	15	52017	SLUZBY	\N	\N
457446	1554	1995-11-30	VYDAJ	VYBER	15	50413	SLUZBY	\N	\N
457447	1554	1995-12-31	VYDAJ	VYBER	15	55473	SLUZBY	\N	\N
457448	1554	1996-01-31	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
457449	1554	1996-02-29	VYDAJ	VYBER	15	41166	SLUZBY	\N	\N
457450	1554	1996-03-31	VYDAJ	VYBER	15	48341	SLUZBY	\N	\N
457451	1554	1996-04-30	VYDAJ	VYBER	15	54743	SLUZBY	\N	\N
457452	1554	1996-05-31	VYDAJ	VYBER	15	56760	SLUZBY	\N	\N
457453	1554	1996-06-30	VYDAJ	VYBER	15	49445	SLUZBY	\N	\N
457454	1554	1996-07-31	VYDAJ	VYBER	15	58042	SLUZBY	\N	\N
457455	1554	1996-08-31	VYDAJ	VYBER	15	60095	SLUZBY	\N	\N
457456	1554	1996-09-30	VYDAJ	VYBER	15	61432	SLUZBY	\N	\N
457457	1554	1996-10-31	VYDAJ	VYBER	15	58431	SLUZBY	\N	\N
457458	1554	1996-11-30	VYDAJ	VYBER	15	56573	SLUZBY	\N	\N
457459	1554	1996-12-31	VYDAJ	VYBER	15	64011	SLUZBY	\N	\N
457460	1554	1997-01-31	VYDAJ	VYBER	15	50959	SLUZBY	\N	\N
457461	1554	1997-02-28	VYDAJ	VYBER	15	50617	SLUZBY	\N	\N
457462	1554	1997-03-31	VYDAJ	VYBER	15	47507	SLUZBY	\N	\N
457463	1554	1997-04-30	VYDAJ	VYBER	15	54607	SLUZBY	\N	\N
457464	1554	1997-05-31	VYDAJ	VYBER	15	56321	SLUZBY	\N	\N
457465	1554	1997-06-30	VYDAJ	VYBER	15	32250	SLUZBY	\N	\N
457466	1554	1997-07-31	VYDAJ	VYBER	15	44000	SLUZBY	\N	\N
457467	1554	1997-08-31	VYDAJ	VYBER	15	43684	SLUZBY	\N	\N
457468	1554	1997-09-30	VYDAJ	VYBER	15	55081	SLUZBY	\N	\N
457469	1554	1997-10-31	VYDAJ	VYBER	15	41085	SLUZBY	\N	\N
457470	1554	1997-11-30	VYDAJ	VYBER	15	34173	SLUZBY	\N	\N
457471	1554	1997-12-31	VYDAJ	VYBER	15	35515	SLUZBY	\N	\N
457472	1554	1998-01-31	VYDAJ	VYBER	15	30355	SLUZBY	\N	\N
457473	1554	1998-02-28	VYDAJ	VYBER	15	34492	SLUZBY	\N	\N
457474	1554	1998-03-31	VYDAJ	VYBER	15	41748	SLUZBY	\N	\N
457475	1554	1998-04-30	VYDAJ	VYBER	15	43124	SLUZBY	\N	\N
457476	1554	1998-05-31	VYDAJ	VYBER	15	42325	SLUZBY	\N	\N
457477	1554	1998-06-30	VYDAJ	VYBER	15	38613	SLUZBY	\N	\N
457478	1554	1998-07-31	VYDAJ	VYBER	15	36575	SLUZBY	\N	\N
457479	1554	1998-08-31	VYDAJ	VYBER	15	38033	SLUZBY	\N	\N
457480	1554	1998-09-30	VYDAJ	VYBER	15	36391	SLUZBY	\N	\N
457481	1554	1998-10-31	VYDAJ	VYBER	15	38346	SLUZBY	\N	\N
457482	1554	1998-11-30	VYDAJ	VYBER	15	38837	SLUZBY	\N	\N
457483	1554	1994-12-15	VYDAJ	VYBER	2000	24928	\N	\N	\N
457484	1554	1995-01-14	VYDAJ	VYBER	8700	34037	\N	\N	\N
457485	1554	1995-02-13	VYDAJ	VYBER	12700	39215	\N	\N	\N
457486	1554	1995-03-15	VYDAJ	VYBER	14600	42521	\N	\N	\N
457487	1554	1995-04-14	VYDAJ	VYBER	14500	45944	\N	\N	\N
457488	1554	1995-05-14	VYDAJ	VYBER	14900	40374	\N	\N	\N
457489	1554	1995-06-13	VYDAJ	VYBER	11700	45434	\N	\N	\N
457490	1554	1995-07-13	VYDAJ	VYBER	8100	31570	\N	\N	\N
457491	1554	1995-08-12	VYDAJ	VYBER	6000	36885	\N	\N	\N
457492	1554	1995-09-11	PRIJEM	VKLAD	2000	35533	\N	\N	\N
457493	1554	1995-10-11	VYDAJ	VYBER	500	40632	\N	\N	\N
457494	1554	1995-11-10	VYDAJ	VYBER	13000	39017	\N	\N	\N
457495	1554	1995-12-10	VYDAJ	VYBER	10900	35193	\N	\N	\N
457496	1554	1996-01-09	VYDAJ	VYBER	11500	42413	\N	\N	\N
457497	1554	1996-02-08	PRIJEM	VKLAD	600	29828	\N	\N	\N
457498	1554	1996-03-09	VYDAJ	VYBER	4200	36966	\N	\N	\N
457499	1554	1996-04-08	VYDAJ	VYBER	5000	43341	\N	\N	\N
457500	1554	1996-05-08	VYDAJ	VYBER	9400	45343	\N	\N	\N
457501	1554	1996-06-07	VYDAJ	VYBER	10300	46460	\N	\N	\N
457502	1554	1996-07-07	VYDAJ	VYBER	1500	47945	\N	\N	\N
457503	1554	1996-08-06	VYDAJ	VYBER	8300	49742	\N	\N	\N
457504	1554	1996-09-05	VYDAJ	VYBER	10100	49995	\N	\N	\N
457505	1554	1996-10-05	VYDAJ	VYBER	11300	47012	\N	\N	\N
457506	1554	1996-11-04	VYDAJ	VYBER	10400	48031	\N	\N	\N
457507	1554	1996-12-04	VYDAJ	VYBER	9200	47373	\N	\N	\N
457508	1554	1997-01-03	VYDAJ	VYBER	12200	51811	\N	\N	\N
457509	1554	1997-02-02	VYDAJ	VYBER	6800	39239	\N	\N	\N
457510	1554	1997-03-04	VYDAJ	VYBER	11500	39117	\N	\N	\N
457511	1554	1997-04-03	VYDAJ	VYBER	4300	43207	\N	\N	\N
457512	1554	1997-05-03	VYDAJ	VYBER	9700	44907	\N	\N	\N
457513	1554	1997-06-02	VYDAJ	VYBER	8700	47621	\N	\N	\N
457514	1554	1997-07-02	PRIJEM	VKLAD	400	32650	\N	\N	\N
457515	1554	1997-08-01	VYDAJ	VYBER	4500	39500	\N	\N	\N
457516	1554	1997-08-31	VYDAJ	VYBER	7200	43699	\N	\N	\N
457517	1554	1997-09-30	VYDAJ	VYBER	13600	41481	\N	\N	\N
457518	1554	1997-10-30	VYDAJ	VYBER	11800	40882	\N	\N	\N
457519	1554	1997-11-29	VYDAJ	VYBER	8000	34006	\N	\N	\N
457520	1554	1997-12-29	VYDAJ	VYBER	12700	35350	\N	\N	\N
457521	1554	1998-01-28	VYDAJ	VYBER KARTOU	3900	31016	\N	\N	0
457522	1554	1998-02-27	VYDAJ	VYBER	4100	34356	\N	\N	\N
457523	1554	1998-03-29	VYDAJ	VYBER	4100	41593	\N	\N	\N
457524	1554	1998-04-28	VYDAJ	VYBER	7600	42949	\N	\N	\N
457525	1554	1998-05-28	VYDAJ	VYBER	8100	42145	\N	\N	\N
457526	1554	1998-06-27	VYDAJ	VYBER	11000	38442	\N	\N	\N
457527	1554	1998-07-27	VYDAJ	VYBER	12100	36414	\N	\N	\N
457528	1554	1998-08-26	VYDAJ	VYBER	9900	37876	\N	\N	\N
457529	1554	1998-09-25	VYDAJ	VYBER	10400	36234	\N	\N	\N
457530	1554	1998-10-25	VYDAJ	VYBER	9400	38192	\N	\N	\N
457531	1554	1998-11-24	VYDAJ	VYBER	5100	38687	\N	\N	\N
457581	1555	1996-11-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
457593	1555	1996-12-07	PRIJEM	PREVOD Z UCTU	6260	7360	DUCHOD	CD	16462087
457594	1555	1997-01-07	PRIJEM	PREVOD Z UCTU	6260	13620	DUCHOD	CD	16462087
457595	1555	1997-02-07	PRIJEM	PREVOD Z UCTU	6260	19880	DUCHOD	CD	16462087
457596	1555	1997-03-07	PRIJEM	PREVOD Z UCTU	6260	26140	DUCHOD	CD	16462087
457597	1555	1997-04-07	PRIJEM	PREVOD Z UCTU	6260	32400	DUCHOD	CD	16462087
457598	1555	1997-05-07	PRIJEM	PREVOD Z UCTU	6260	31794	DUCHOD	CD	16462087
457599	1555	1997-06-07	PRIJEM	PREVOD Z UCTU	6260	33146	DUCHOD	CD	16462087
457600	1555	1997-07-07	PRIJEM	PREVOD Z UCTU	6260	32357	DUCHOD	CD	16462087
457601	1555	1997-08-07	PRIJEM	PREVOD Z UCTU	6260	35472	DUCHOD	CD	16462087
457602	1555	1997-09-07	PRIJEM	PREVOD Z UCTU	6260	37639	DUCHOD	CD	16462087
457603	1555	1997-10-07	PRIJEM	PREVOD Z UCTU	6260	40776	DUCHOD	CD	16462087
457604	1555	1997-11-07	PRIJEM	PREVOD Z UCTU	6260	43926	DUCHOD	CD	16462087
457605	1555	1997-12-07	PRIJEM	PREVOD Z UCTU	6260	43726	DUCHOD	CD	16462087
457606	1555	1998-01-07	PRIJEM	PREVOD Z UCTU	6260	43748	DUCHOD	CD	16462087
457607	1555	1998-02-07	PRIJEM	PREVOD Z UCTU	6260	41949	DUCHOD	CD	16462087
457608	1555	1998-03-07	PRIJEM	PREVOD Z UCTU	6260	45105	DUCHOD	CD	16462087
457609	1555	1998-04-07	PRIJEM	PREVOD Z UCTU	6260	46107	DUCHOD	CD	16462087
457610	1555	1998-05-07	PRIJEM	PREVOD Z UCTU	6260	49279	DUCHOD	CD	16462087
457611	1555	1998-06-07	PRIJEM	PREVOD Z UCTU	6260	50964	DUCHOD	CD	16462087
457612	1555	1998-07-07	PRIJEM	PREVOD Z UCTU	6260	48244	DUCHOD	CD	16462087
457613	1555	1998-08-07	PRIJEM	PREVOD Z UCTU	6260	46755	DUCHOD	CD	16462087
457614	1555	1998-09-07	PRIJEM	PREVOD Z UCTU	6260	49930	DUCHOD	CD	16462087
457615	1555	1998-10-07	PRIJEM	PREVOD Z UCTU	6260	48618	DUCHOD	CD	16462087
457616	1555	1998-11-07	PRIJEM	PREVOD Z UCTU	6260	50701	DUCHOD	CD	16462087
457617	1555	1998-12-07	PRIJEM	PREVOD Z UCTU	6260	49392	DUCHOD	CD	16462087
457634	1555	1997-05-05	VYDAJ	PREVOD NA UCET	3263	25534	SIPO	QR	32593053
457635	1555	1997-06-05	VYDAJ	PREVOD NA UCET	3263	26886	SIPO	QR	32593053
457636	1555	1997-07-05	VYDAJ	PREVOD NA UCET	3263	26097	SIPO	QR	32593053
457637	1555	1997-08-05	VYDAJ	PREVOD NA UCET	3263	29212	SIPO	QR	32593053
457638	1555	1997-09-05	VYDAJ	PREVOD NA UCET	3263	31379	SIPO	QR	32593053
457639	1555	1997-10-05	VYDAJ	PREVOD NA UCET	3263	34516	SIPO	QR	32593053
457640	1555	1997-11-05	VYDAJ	PREVOD NA UCET	3263	37666	SIPO	QR	32593053
457641	1555	1997-12-05	VYDAJ	PREVOD NA UCET	3263	38366	SIPO	QR	32593053
457642	1555	1998-01-05	VYDAJ	PREVOD NA UCET	3263	37488	SIPO	QR	32593053
457643	1555	1998-02-05	VYDAJ	PREVOD NA UCET	3263	35689	SIPO	QR	32593053
457644	1555	1998-03-05	VYDAJ	PREVOD NA UCET	3263	38845	SIPO	QR	32593053
457645	1555	1998-04-05	VYDAJ	PREVOD NA UCET	3263	39847	SIPO	QR	32593053
457646	1555	1998-05-05	VYDAJ	PREVOD NA UCET	3263	43019	SIPO	QR	32593053
457647	1555	1998-06-05	VYDAJ	PREVOD NA UCET	3263	44704	SIPO	QR	32593053
457648	1555	1998-07-05	VYDAJ	PREVOD NA UCET	3263	41984	SIPO	QR	32593053
457649	1555	1998-08-05	VYDAJ	PREVOD NA UCET	3263	40495	SIPO	QR	32593053
457650	1555	1998-09-05	VYDAJ	PREVOD NA UCET	3263	43670	SIPO	QR	32593053
457651	1555	1998-10-05	VYDAJ	PREVOD NA UCET	3263	42358	SIPO	QR	32593053
457652	1555	1998-11-05	VYDAJ	PREVOD NA UCET	3263	44441	SIPO	QR	32593053
457653	1555	1998-12-05	VYDAJ	PREVOD NA UCET	3263	43132	SIPO	QR	32593053
457655	1555	1997-06-19	VYDAJ	VYBER	3600	29246	\N	\N	\N
457656	1555	1998-06-16	VYDAJ	VYBER	5900	45064	\N	\N	\N
457658	1555	1997-12-01	VYDAJ	VYBER	300	41629	\N	\N	\N
457659	1555	1998-12-30	VYDAJ	VYBER KARTOU	1500	46992	\N	\N	0
457668	1555	1997-08-23	VYDAJ	VYBER	960	34512	\N	\N	\N
457669	1555	1997-05-31	VYDAJ	VYBER	1760	30149	\N	\N	\N
457670	1555	1997-11-24	VYDAJ	VYBER	2160	41766	\N	\N	\N
457671	1555	1997-04-08	VYDAJ	VYBER	3680	28720	\N	\N	\N
457672	1555	1998-01-16	VYDAJ	VYBER	1120	42628	\N	\N	\N
457673	1555	1998-02-01	VYDAJ	VYBER	3840	38952	\N	\N	\N
457674	1555	1998-03-15	VYDAJ	VYBER	2160	42945	\N	\N	\N
457675	1555	1998-12-21	VYDAJ	VYBER KARTOU	900	48492	\N	\N	0
457676	1555	1998-07-08	VYDAJ	VYBER	2960	45284	\N	\N	\N
457677	1555	1998-01-04	VYDAJ	VYBER	1440	42451	\N	\N	\N
457694	1555	1997-04-30	VYDAJ	VYBER	15	28797	SLUZBY	\N	\N
457695	1555	1997-05-31	VYDAJ	VYBER	15	31909	SLUZBY	\N	\N
457696	1555	1997-06-30	VYDAJ	VYBER	15	29360	SLUZBY	\N	\N
457697	1555	1997-07-31	VYDAJ	VYBER	15	32475	SLUZBY	\N	\N
457698	1555	1997-08-31	VYDAJ	VYBER	15	34642	SLUZBY	\N	\N
457699	1555	1997-09-30	VYDAJ	VYBER	15	37779	SLUZBY	\N	\N
457700	1555	1997-10-31	VYDAJ	VYBER	15	40929	SLUZBY	\N	\N
457701	1555	1997-11-30	VYDAJ	VYBER	15	41929	SLUZBY	\N	\N
457702	1555	1997-12-31	VYDAJ	VYBER	15	43891	SLUZBY	\N	\N
457703	1555	1998-01-31	VYDAJ	VYBER	15	42792	SLUZBY	\N	\N
457704	1555	1998-02-28	VYDAJ	VYBER	15	42108	SLUZBY	\N	\N
457705	1555	1998-03-31	VYDAJ	VYBER	15	43110	SLUZBY	\N	\N
457706	1555	1998-04-30	VYDAJ	VYBER	15	46282	SLUZBY	\N	\N
457707	1555	1998-05-31	VYDAJ	VYBER	15	49467	SLUZBY	\N	\N
457708	1555	1998-06-30	VYDAJ	VYBER	15	45247	SLUZBY	\N	\N
457709	1555	1998-07-31	VYDAJ	VYBER	15	45458	SLUZBY	\N	\N
457710	1555	1998-08-31	VYDAJ	VYBER	15	46933	SLUZBY	\N	\N
457711	1555	1998-09-30	VYDAJ	VYBER	15	50121	SLUZBY	\N	\N
457712	1555	1998-10-31	VYDAJ	VYBER	15	47704	SLUZBY	\N	\N
457713	1555	1998-11-30	VYDAJ	VYBER	15	50895	SLUZBY	\N	\N
457714	1555	1997-06-08	VYDAJ	VYBER	300	32846	\N	\N	\N
457715	1555	1997-12-05	VYDAJ	VYBER	900	37466	\N	\N	\N
457716	1555	1998-01-04	VYDAJ	VYBER	1700	40751	\N	\N	\N
457717	1555	1998-06-03	VYDAJ	VYBER	1500	47967	\N	\N	\N
457718	1555	1998-08-02	VYDAJ	VYBER	1700	43758	\N	\N	\N
457719	1555	1998-10-01	VYDAJ	VYBER	4500	45621	\N	\N	\N
457720	1555	1998-10-31	VYDAJ	VYBER KARTOU	1100	47719	\N	\N	0
457721	1555	1998-11-30	VYDAJ	VYBER	4500	46395	\N	\N	\N
457743	1556	1996-09-15	PRIJEM	VKLAD	600	600	\N	\N	\N
457753	1556	1996-10-07	PRIJEM	PREVOD Z UCTU	5955	6555	DUCHOD	IJ	75935971
457754	1556	1996-11-07	PRIJEM	PREVOD Z UCTU	5955	12510	DUCHOD	IJ	75935971
457755	1556	1996-12-07	PRIJEM	PREVOD Z UCTU	5955	18465	DUCHOD	IJ	75935971
457756	1556	1997-01-07	PRIJEM	PREVOD Z UCTU	5955	24420	DUCHOD	IJ	75935971
457757	1556	1997-02-07	PRIJEM	PREVOD Z UCTU	5955	30375	DUCHOD	IJ	75935971
457758	1556	1997-03-07	PRIJEM	PREVOD Z UCTU	5955	34551	DUCHOD	IJ	75935971
457759	1556	1997-04-07	PRIJEM	PREVOD Z UCTU	5955	33862	DUCHOD	IJ	75935971
457760	1556	1997-05-07	PRIJEM	PREVOD Z UCTU	5955	36797	DUCHOD	IJ	75935971
457761	1556	1997-06-07	PRIJEM	PREVOD Z UCTU	5955	27835	DUCHOD	IJ	75935971
457762	1556	1997-07-07	PRIJEM	PREVOD Z UCTU	5955	32054	DUCHOD	IJ	75935971
457763	1556	1997-08-07	PRIJEM	PREVOD Z UCTU	5955	36277	DUCHOD	IJ	75935971
457764	1556	1997-09-07	PRIJEM	PREVOD Z UCTU	5955	40518	DUCHOD	IJ	75935971
457765	1556	1997-10-07	PRIJEM	PREVOD Z UCTU	5955	44776	DUCHOD	IJ	75935971
457766	1556	1997-11-07	PRIJEM	PREVOD Z UCTU	5955	47449	DUCHOD	IJ	75935971
457767	1556	1997-12-07	PRIJEM	PREVOD Z UCTU	5955	48930	DUCHOD	IJ	75935971
457768	1556	1998-01-07	PRIJEM	PREVOD Z UCTU	5955	46803	DUCHOD	IJ	75935971
457769	1556	1998-02-07	PRIJEM	PREVOD Z UCTU	5955	44526	DUCHOD	IJ	75935971
457770	1556	1998-03-07	PRIJEM	PREVOD Z UCTU	5955	46497	DUCHOD	IJ	75935971
457771	1556	1998-04-07	PRIJEM	PREVOD Z UCTU	5955	50181	DUCHOD	IJ	75935971
457772	1556	1998-05-07	PRIJEM	PREVOD Z UCTU	5955	54182	DUCHOD	IJ	75935971
457773	1556	1998-06-07	PRIJEM	PREVOD Z UCTU	5955	54889	DUCHOD	IJ	75935971
457774	1556	1998-07-07	PRIJEM	PREVOD Z UCTU	5955	52598	DUCHOD	IJ	75935971
457775	1556	1998-08-07	PRIJEM	PREVOD Z UCTU	5955	56906	DUCHOD	IJ	75935971
457776	1556	1998-09-07	PRIJEM	PREVOD Z UCTU	5955	53532	DUCHOD	IJ	75935971
457777	1556	1998-10-07	PRIJEM	PREVOD Z UCTU	5955	52565	DUCHOD	IJ	75935971
457778	1556	1998-11-07	PRIJEM	PREVOD Z UCTU	5955	56873	DUCHOD	IJ	75935971
457779	1556	1998-12-07	PRIJEM	PREVOD Z UCTU	5955	60299	DUCHOD	IJ	75935971
457793	1556	1997-02-12	VYDAJ	PREVOD NA UCET	1837	28538	SIPO	QR	42585212
457794	1556	1997-03-12	VYDAJ	PREVOD NA UCET	1837	32714	SIPO	QR	42585212
457795	1556	1997-04-12	VYDAJ	PREVOD NA UCET	1837	32025	SIPO	QR	42585212
457796	1556	1997-05-12	VYDAJ	PREVOD NA UCET	1837	34960	SIPO	QR	42585212
457797	1556	1997-06-12	VYDAJ	PREVOD NA UCET	1837	25998	SIPO	QR	42585212
457798	1556	1997-07-12	VYDAJ	PREVOD NA UCET	1837	30217	SIPO	QR	42585212
457799	1556	1997-08-12	VYDAJ	PREVOD NA UCET	1837	34440	SIPO	QR	42585212
457800	1556	1997-09-12	VYDAJ	PREVOD NA UCET	1837	38681	SIPO	QR	42585212
457801	1556	1997-10-12	VYDAJ	PREVOD NA UCET	1837	41339	SIPO	QR	42585212
457802	1556	1997-11-12	VYDAJ	PREVOD NA UCET	1837	42812	SIPO	QR	42585212
457803	1556	1997-12-12	VYDAJ	PREVOD NA UCET	1837	47093	SIPO	QR	42585212
457804	1556	1998-01-12	VYDAJ	PREVOD NA UCET	1837	44966	SIPO	QR	42585212
457805	1556	1998-02-12	VYDAJ	PREVOD NA UCET	1837	40389	SIPO	QR	42585212
457806	1556	1998-03-12	VYDAJ	PREVOD NA UCET	1837	44060	SIPO	QR	42585212
457807	1556	1998-04-12	VYDAJ	PREVOD NA UCET	1837	48044	SIPO	QR	42585212
457808	1556	1998-05-12	VYDAJ	PREVOD NA UCET	1837	48745	SIPO	QR	42585212
457809	1556	1998-06-12	VYDAJ	PREVOD NA UCET	1837	50152	SIPO	QR	42585212
457810	1556	1998-07-12	VYDAJ	PREVOD NA UCET	1837	50761	SIPO	QR	42585212
457811	1556	1998-08-12	VYDAJ	PREVOD NA UCET	1837	55069	SIPO	QR	42585212
457812	1556	1998-09-12	VYDAJ	PREVOD NA UCET	1837	51695	SIPO	QR	42585212
457813	1556	1998-10-12	VYDAJ	PREVOD NA UCET	1837	50728	SIPO	QR	42585212
457814	1556	1998-11-12	VYDAJ	PREVOD NA UCET	1837	55036	SIPO	QR	42585212
457815	1556	1998-12-12	VYDAJ	PREVOD NA UCET	1837	55502	SIPO	QR	42585212
457817	1556	1997-06-04	VYDAJ	VYBER	11400	21880	\N	\N	\N
457818	1556	1998-06-20	VYDAJ	VYBER	3700	46452	\N	\N	\N
457820	1556	1997-12-29	VYDAJ	VYBER	1300	45793	\N	\N	\N
457821	1556	1998-12-05	VYDAJ	VYBER	900	54344	\N	\N	\N
457834	1556	1998-01-26	VYDAJ	VYBER	1840	39286	\N	\N	\N
457835	1556	1998-01-03	VYDAJ	VYBER	480	40848	\N	\N	\N
457836	1556	1998-01-19	VYDAJ	VYBER	1200	42806	\N	\N	\N
457837	1556	1998-01-26	VYDAJ	VYBER	880	38406	\N	\N	\N
457838	1556	1998-01-02	VYDAJ	VYBER	2160	43808	\N	\N	\N
457839	1556	1998-01-24	VYDAJ	VYBER	1680	41126	\N	\N	\N
457848	1556	1997-04-05	VYDAJ	VYBER	3920	27907	\N	\N	\N
457849	1556	1998-12-10	VYDAJ	VYBER	2960	57339	\N	\N	\N
457850	1556	1998-01-18	VYDAJ	VYBER	960	44006	\N	\N	\N
457851	1556	1998-09-17	VYDAJ	VYBER	2080	46415	\N	\N	\N
457852	1556	1998-09-17	VYDAJ	VYBER	3200	48495	\N	\N	\N
457853	1556	1998-01-03	VYDAJ	VYBER	2480	41328	\N	\N	\N
457868	1556	1997-02-28	VYDAJ	VYBER	15	28596	SLUZBY	\N	\N
457869	1556	1997-03-31	VYDAJ	VYBER	15	31827	SLUZBY	\N	\N
457870	1556	1997-04-30	VYDAJ	VYBER	15	30842	SLUZBY	\N	\N
457871	1556	1997-05-31	VYDAJ	VYBER	15	33280	SLUZBY	\N	\N
457872	1556	1997-06-30	VYDAJ	VYBER	15	26099	SLUZBY	\N	\N
457873	1556	1997-07-31	VYDAJ	VYBER	15	30322	SLUZBY	\N	\N
457874	1556	1997-08-31	VYDAJ	VYBER	15	34563	SLUZBY	\N	\N
457875	1556	1997-09-30	VYDAJ	VYBER	15	38821	SLUZBY	\N	\N
457876	1556	1997-10-31	VYDAJ	VYBER	15	41494	SLUZBY	\N	\N
457877	1556	1997-11-30	VYDAJ	VYBER	15	42975	SLUZBY	\N	\N
457878	1556	1997-12-31	VYDAJ	VYBER	15	45968	SLUZBY	\N	\N
457879	1556	1998-01-31	VYDAJ	VYBER	15	38571	SLUZBY	\N	\N
457880	1556	1998-02-28	VYDAJ	VYBER	15	40542	SLUZBY	\N	\N
457881	1556	1998-03-31	VYDAJ	VYBER	15	44226	SLUZBY	\N	\N
457882	1556	1998-04-30	VYDAJ	VYBER	15	48227	SLUZBY	\N	\N
457883	1556	1998-05-31	VYDAJ	VYBER	15	48934	SLUZBY	\N	\N
457884	1556	1998-06-30	VYDAJ	VYBER	15	46643	SLUZBY	\N	\N
457885	1556	1998-07-31	VYDAJ	VYBER	15	50951	SLUZBY	\N	\N
457886	1556	1998-08-31	VYDAJ	VYBER	15	55277	SLUZBY	\N	\N
457887	1556	1998-09-30	VYDAJ	VYBER	15	46610	SLUZBY	\N	\N
457888	1556	1998-10-31	VYDAJ	VYBER	15	50918	SLUZBY	\N	\N
457889	1556	1998-11-30	VYDAJ	VYBER	15	55244	SLUZBY	\N	\N
457890	1556	1997-03-14	VYDAJ	VYBER	1000	31714	\N	\N	\N
457891	1556	1997-04-13	VYDAJ	VYBER	1300	30725	\N	\N	\N
457892	1556	1997-05-13	VYDAJ	VYBER	1800	33160	\N	\N	\N
457893	1556	1997-10-10	VYDAJ	VYBER	1600	43176	\N	\N	\N
457894	1556	1997-11-09	VYDAJ	VYBER	2800	44649	\N	\N	\N
457895	1556	1998-02-07	VYDAJ	VYBER	2300	42226	\N	\N	\N
457896	1556	1998-03-09	VYDAJ	VYBER	600	45897	\N	\N	\N
457897	1556	1998-04-08	VYDAJ	VYBER	300	49881	\N	\N	\N
457898	1556	1998-05-08	VYDAJ	VYBER	3600	50582	\N	\N	\N
457899	1556	1998-06-07	VYDAJ	VYBER	2900	51989	\N	\N	\N
457900	1556	1998-09-05	VYDAJ	VYBER	7700	47577	\N	\N	\N
457924	1557	1996-12-13	PRIJEM	VKLAD	700	700	\N	\N	\N
457937	1557	1997-01-10	PRIJEM	PREVOD Z UCTU	6015	6715	DUCHOD	YZ	58067786
457938	1557	1997-02-10	PRIJEM	PREVOD Z UCTU	6015	12730	DUCHOD	YZ	58067786
457939	1557	1997-03-10	PRIJEM	PREVOD Z UCTU	6015	18745	DUCHOD	YZ	58067786
457940	1557	1997-04-10	PRIJEM	PREVOD Z UCTU	6015	24760	DUCHOD	YZ	58067786
457941	1557	1997-05-10	PRIJEM	PREVOD Z UCTU	6015	30439	DUCHOD	YZ	58067786
457942	1557	1997-06-10	PRIJEM	PREVOD Z UCTU	6015	33458	DUCHOD	YZ	58067786
457943	1557	1997-07-10	PRIJEM	PREVOD Z UCTU	6015	24663	DUCHOD	YZ	58067786
457944	1557	1997-08-10	PRIJEM	PREVOD Z UCTU	6015	28499	DUCHOD	YZ	58067786
457945	1557	1997-09-10	PRIJEM	PREVOD Z UCTU	6015	29224	DUCHOD	YZ	58067786
457946	1557	1997-10-10	PRIJEM	PREVOD Z UCTU	6015	33078	DUCHOD	YZ	58067786
457947	1557	1997-11-10	PRIJEM	PREVOD Z UCTU	6015	33669	DUCHOD	YZ	58067786
457948	1557	1997-12-10	PRIJEM	PREVOD Z UCTU	6015	37547	DUCHOD	YZ	58067786
457949	1557	1998-01-10	PRIJEM	PREVOD Z UCTU	6015	35067	DUCHOD	YZ	58067786
457950	1557	1998-02-10	PRIJEM	PREVOD Z UCTU	6015	29152	DUCHOD	YZ	58067786
457951	1557	1998-03-10	PRIJEM	PREVOD Z UCTU	6015	30365	DUCHOD	YZ	58067786
457952	1557	1998-04-10	PRIJEM	PREVOD Z UCTU	6015	33186	DUCHOD	YZ	58067786
457953	1557	1998-05-10	PRIJEM	PREVOD Z UCTU	6015	33776	DUCHOD	YZ	58067786
457954	1557	1998-06-10	PRIJEM	PREVOD Z UCTU	6015	28654	DUCHOD	YZ	58067786
457955	1557	1998-07-10	PRIJEM	PREVOD Z UCTU	6015	32518	DUCHOD	YZ	58067786
457956	1557	1998-08-10	PRIJEM	PREVOD Z UCTU	6015	36386	DUCHOD	YZ	58067786
457957	1557	1998-09-10	PRIJEM	PREVOD Z UCTU	6015	40270	DUCHOD	YZ	58067786
457958	1557	1998-10-10	PRIJEM	PREVOD Z UCTU	6015	44170	DUCHOD	YZ	58067786
457959	1557	1998-11-10	PRIJEM	PREVOD Z UCTU	6015	48086	DUCHOD	YZ	58067786
457960	1557	1998-12-10	PRIJEM	PREVOD Z UCTU	6015	50578	DUCHOD	YZ	58067786
457977	1557	1997-05-12	VYDAJ	PREVOD NA UCET	2253	27986	SIPO	EF	82259255
457978	1557	1997-06-12	VYDAJ	PREVOD NA UCET	2253	25505	SIPO	EF	82259255
457979	1557	1997-07-12	VYDAJ	PREVOD NA UCET	2253	22410	SIPO	EF	82259255
457980	1557	1997-08-12	VYDAJ	PREVOD NA UCET	2253	26246	SIPO	EF	82259255
457981	1557	1997-09-12	VYDAJ	PREVOD NA UCET	2253	26971	SIPO	EF	82259255
457982	1557	1997-10-12	VYDAJ	PREVOD NA UCET	2253	30825	SIPO	EF	82259255
457983	1557	1997-11-12	VYDAJ	PREVOD NA UCET	2253	31416	SIPO	EF	82259255
457984	1557	1997-12-12	VYDAJ	PREVOD NA UCET	2253	31934	SIPO	EF	82259255
457985	1557	1998-01-12	VYDAJ	PREVOD NA UCET	2253	32814	SIPO	EF	82259255
457986	1557	1998-02-12	VYDAJ	PREVOD NA UCET	2253	26899	SIPO	EF	82259255
457987	1557	1998-03-12	VYDAJ	PREVOD NA UCET	2253	28112	SIPO	EF	82259255
457988	1557	1998-04-12	VYDAJ	PREVOD NA UCET	2253	30933	SIPO	EF	82259255
457989	1557	1998-05-12	VYDAJ	PREVOD NA UCET	2253	31523	SIPO	EF	82259255
457990	1557	1998-06-12	VYDAJ	PREVOD NA UCET	2253	26401	SIPO	EF	82259255
457991	1557	1998-07-12	VYDAJ	PREVOD NA UCET	2253	30265	SIPO	EF	82259255
457992	1557	1998-08-12	VYDAJ	PREVOD NA UCET	2253	34133	SIPO	EF	82259255
457993	1557	1998-09-12	VYDAJ	PREVOD NA UCET	2253	38017	SIPO	EF	82259255
457994	1557	1998-10-12	VYDAJ	PREVOD NA UCET	2253	41917	SIPO	EF	82259255
457995	1557	1998-11-12	VYDAJ	PREVOD NA UCET	2253	45833	SIPO	EF	82259255
457996	1557	1998-12-12	VYDAJ	PREVOD NA UCET	2253	48325	SIPO	EF	82259255
457998	1557	1997-06-28	VYDAJ	VYBER	6950	18555	\N	\N	\N
457999	1557	1998-06-05	VYDAJ	VYBER	9000	22639	\N	\N	\N
458002	1557	1998-01-28	VYDAJ	VYBER	4350	25184	\N	\N	\N
458004	1557	1997-12-27	VYDAJ	VYBER	1400	30534	\N	\N	\N
458005	1557	1998-12-28	VYDAJ	VYBER	500	47825	\N	\N	\N
458018	1557	1998-01-29	VYDAJ	VYBER	640	23744	\N	\N	\N
458019	1557	1998-01-30	VYDAJ	VYBER	720	23024	\N	\N	\N
458020	1557	1998-01-29	VYDAJ	VYBER	800	24384	\N	\N	\N
458021	1557	1998-01-21	VYDAJ	VYBER	1920	30894	\N	\N	\N
458022	1557	1998-01-09	VYDAJ	VYBER	1600	29052	\N	\N	\N
458023	1557	1998-01-26	VYDAJ	VYBER	1360	29534	\N	\N	\N
458026	1557	1997-12-10	VYDAJ	VYBER	3360	34187	\N	\N	\N
458027	1557	1997-11-08	VYDAJ	VYBER	3280	27654	\N	\N	\N
458028	1557	1997-08-19	VYDAJ	VYBER	3120	23126	\N	\N	\N
458029	1557	1997-06-08	VYDAJ	VYBER	640	27443	\N	\N	\N
458031	1557	1998-05-08	VYDAJ	VYBER	2720	27761	\N	\N	\N
458032	1557	1998-03-15	VYDAJ	VYBER	1040	27072	\N	\N	\N
458033	1557	1998-12-05	VYDAJ	VYBER	1440	44563	\N	\N	\N
458034	1557	1998-04-20	VYDAJ	VYBER	560	30373	\N	\N	\N
458035	1557	1998-03-07	VYDAJ	VYBER	2640	24350	\N	\N	\N
458053	1557	1997-05-31	VYDAJ	VYBER	15	28083	SLUZBY	\N	\N
458054	1557	1997-06-30	VYDAJ	VYBER	15	18648	SLUZBY	\N	\N
458055	1557	1997-07-31	VYDAJ	VYBER	15	22484	SLUZBY	\N	\N
458056	1557	1997-08-31	VYDAJ	VYBER	15	23209	SLUZBY	\N	\N
458057	1557	1997-09-30	VYDAJ	VYBER	15	27063	SLUZBY	\N	\N
458058	1557	1997-10-31	VYDAJ	VYBER	15	30934	SLUZBY	\N	\N
458059	1557	1997-11-30	VYDAJ	VYBER	15	31532	SLUZBY	\N	\N
458060	1557	1997-12-31	VYDAJ	VYBER	15	30652	SLUZBY	\N	\N
458061	1557	1998-01-31	VYDAJ	VYBER	15	23137	SLUZBY	\N	\N
458062	1557	1998-02-28	VYDAJ	VYBER	15	26990	SLUZBY	\N	\N
458063	1557	1998-03-31	VYDAJ	VYBER	15	27171	SLUZBY	\N	\N
458064	1557	1998-04-30	VYDAJ	VYBER	15	30481	SLUZBY	\N	\N
458065	1557	1998-05-31	VYDAJ	VYBER	15	31639	SLUZBY	\N	\N
458066	1557	1998-06-30	VYDAJ	VYBER	15	26503	SLUZBY	\N	\N
458067	1557	1998-07-31	VYDAJ	VYBER	15	30371	SLUZBY	\N	\N
458068	1557	1998-08-31	VYDAJ	VYBER	15	34255	SLUZBY	\N	\N
458069	1557	1998-09-30	VYDAJ	VYBER	15	38155	SLUZBY	\N	\N
458070	1557	1998-10-31	VYDAJ	VYBER	15	42071	SLUZBY	\N	\N
458071	1557	1998-11-30	VYDAJ	VYBER	15	46003	SLUZBY	\N	\N
458072	1557	1997-04-12	VYDAJ	VYBER	400	24360	\N	\N	\N
458073	1557	1997-05-12	VYDAJ	VYBER	200	30239	\N	\N	\N
458074	1557	1997-06-11	VYDAJ	VYBER	5700	27758	\N	\N	\N
458096	1558	1996-10-06	PRIJEM	VKLAD	600	600	\N	\N	\N
458107	1558	1996-11-05	PRIJEM	VKLAD	6071	6671	\N	\N	\N
458108	1558	1996-12-05	PRIJEM	VKLAD	9106	23529	\N	\N	\N
458109	1558	1997-01-05	PRIJEM	VKLAD	6071	26582	\N	\N	\N
458110	1558	1997-02-05	PRIJEM	VKLAD	6071	28038	\N	\N	\N
458111	1558	1997-03-05	PRIJEM	VKLAD	6071	34221	\N	\N	\N
458112	1558	1997-04-05	PRIJEM	VKLAD	6071	23636	\N	\N	\N
458113	1558	1997-05-05	PRIJEM	VKLAD	6071	25131	\N	\N	\N
458114	1558	1997-06-05	PRIJEM	VKLAD	9106	26365	\N	\N	\N
458115	1558	1997-07-05	PRIJEM	VKLAD	6071	18736	\N	\N	\N
458116	1558	1997-08-05	PRIJEM	VKLAD	6071	24308	\N	\N	\N
458117	1558	1997-09-05	PRIJEM	VKLAD	6071	24201	\N	\N	\N
458118	1558	1997-10-05	PRIJEM	VKLAD	6071	20194	\N	\N	\N
458119	1558	1997-11-05	PRIJEM	VKLAD	6071	22872	\N	\N	\N
458120	1558	1997-12-05	PRIJEM	VKLAD	9106	28790	\N	\N	\N
458121	1558	1998-01-05	PRIJEM	VKLAD	6071	28796	\N	\N	\N
458122	1558	1998-02-05	PRIJEM	VKLAD	6071	20486	\N	\N	\N
458123	1558	1998-03-05	PRIJEM	VKLAD	6071	19562	\N	\N	\N
458124	1558	1998-04-05	PRIJEM	VKLAD	6071	21634	\N	\N	\N
458125	1558	1998-05-05	PRIJEM	VKLAD	6071	22814	\N	\N	\N
458126	1558	1998-06-05	PRIJEM	VKLAD	9106	26834	\N	\N	\N
458127	1558	1998-07-05	PRIJEM	VKLAD	6071	24227	\N	\N	\N
458128	1558	1998-08-05	PRIJEM	VKLAD	6071	22618	\N	\N	\N
458129	1558	1998-09-05	PRIJEM	VKLAD	6071	22105	\N	\N	\N
458130	1558	1998-10-05	PRIJEM	VKLAD	6071	25589	\N	\N	\N
458131	1558	1998-11-05	PRIJEM	VKLAD	6071	29087	\N	\N	\N
458132	1558	1998-12-05	PRIJEM	VKLAD	9106	32228	\N	\N	\N
458147	1558	1997-03-12	VYDAJ	PREVOD NA UCET	1148	23074	SIPO	IJ	10707974
458148	1558	1997-04-12	VYDAJ	PREVOD NA UCET	1148	19589	SIPO	IJ	10707974
458149	1558	1997-05-12	VYDAJ	PREVOD NA UCET	1148	21084	SIPO	IJ	10707974
458150	1558	1997-06-12	VYDAJ	PREVOD NA UCET	1148	11418	SIPO	IJ	10707974
458151	1558	1997-07-12	VYDAJ	PREVOD NA UCET	1148	14689	SIPO	IJ	10707974
458152	1558	1997-08-12	VYDAJ	PREVOD NA UCET	1148	20261	SIPO	IJ	10707974
458153	1558	1997-09-12	VYDAJ	PREVOD NA UCET	1148	20154	SIPO	IJ	10707974
458154	1558	1997-10-12	VYDAJ	PREVOD NA UCET	1148	16147	SIPO	IJ	10707974
458155	1558	1997-11-12	VYDAJ	PREVOD NA UCET	1148	18825	SIPO	IJ	10707974
458156	1558	1997-12-12	VYDAJ	PREVOD NA UCET	1148	24743	SIPO	IJ	10707974
458157	1558	1998-01-12	VYDAJ	PREVOD NA UCET	1148	23149	SIPO	IJ	10707974
458158	1558	1998-02-12	VYDAJ	PREVOD NA UCET	1148	16439	SIPO	IJ	10707974
458159	1558	1998-03-12	VYDAJ	PREVOD NA UCET	1148	15515	SIPO	IJ	10707974
458160	1558	1998-04-12	VYDAJ	PREVOD NA UCET	1148	17587	SIPO	IJ	10707974
458161	1558	1998-05-12	VYDAJ	PREVOD NA UCET	1148	18767	SIPO	IJ	10707974
458162	1558	1998-06-12	VYDAJ	PREVOD NA UCET	1148	22787	SIPO	IJ	10707974
458163	1558	1998-07-12	VYDAJ	PREVOD NA UCET	1148	20180	SIPO	IJ	10707974
458164	1558	1998-08-12	VYDAJ	PREVOD NA UCET	1148	18571	SIPO	IJ	10707974
458165	1558	1998-09-12	VYDAJ	PREVOD NA UCET	1148	18058	SIPO	IJ	10707974
458166	1558	1998-10-12	VYDAJ	PREVOD NA UCET	1148	21542	SIPO	IJ	10707974
458167	1558	1998-11-12	VYDAJ	PREVOD NA UCET	1148	25040	SIPO	IJ	10707974
458168	1558	1998-12-12	VYDAJ	PREVOD NA UCET	1148	28181	SIPO	IJ	10707974
458183	1558	1997-03-09	VYDAJ	PREVOD NA UCET	2899	24222	 	ST	33069950
458184	1558	1997-04-09	VYDAJ	PREVOD NA UCET	2899	20737	 	ST	33069950
458185	1558	1997-05-09	VYDAJ	PREVOD NA UCET	2899	22232	 	ST	33069950
458186	1558	1997-06-09	VYDAJ	PREVOD NA UCET	2899	12566	 	ST	33069950
458187	1558	1997-07-09	VYDAJ	PREVOD NA UCET	2899	15837	 	ST	33069950
458188	1558	1997-08-09	VYDAJ	PREVOD NA UCET	2899	21409	 	ST	33069950
458189	1558	1997-09-09	VYDAJ	PREVOD NA UCET	2899	21302	 	ST	33069950
458190	1558	1997-10-09	VYDAJ	PREVOD NA UCET	2899	17295	 	ST	33069950
458191	1558	1997-11-09	VYDAJ	PREVOD NA UCET	2899	19973	 	ST	33069950
458192	1558	1997-12-09	VYDAJ	PREVOD NA UCET	2899	25891	 	ST	33069950
458193	1558	1998-01-09	VYDAJ	PREVOD NA UCET	2899	25897	 	ST	33069950
458194	1558	1998-02-09	VYDAJ	PREVOD NA UCET	2899	17587	 	ST	33069950
458195	1558	1998-03-09	VYDAJ	PREVOD NA UCET	2899	16663	 	ST	33069950
458196	1558	1998-04-09	VYDAJ	PREVOD NA UCET	2899	18735	 	ST	33069950
458197	1558	1998-05-09	VYDAJ	PREVOD NA UCET	2899	19915	 	ST	33069950
458198	1558	1998-06-09	VYDAJ	PREVOD NA UCET	2899	23935	 	ST	33069950
458199	1558	1998-07-09	VYDAJ	PREVOD NA UCET	2899	21328	 	ST	33069950
458200	1558	1998-08-09	VYDAJ	PREVOD NA UCET	2899	19719	 	ST	33069950
458201	1558	1998-09-09	VYDAJ	PREVOD NA UCET	2899	19206	 	ST	33069950
458202	1558	1998-10-09	VYDAJ	PREVOD NA UCET	2899	22690	 	ST	33069950
458203	1558	1998-11-09	VYDAJ	PREVOD NA UCET	2899	26188	 	ST	33069950
458204	1558	1998-12-09	VYDAJ	PREVOD NA UCET	2899	29329	 	ST	33069950
458242	1558	1997-06-05	VYDAJ	VYBER	10900	15465	\N	\N	\N
458246	1558	1998-01-21	VYDAJ	VYBER	4200	12849	\N	\N	\N
458248	1558	1997-12-24	VYDAJ	VYBER	700	24043	\N	\N	\N
458249	1558	1998-12-29	VYDAJ	VYBER	1300	24081	\N	\N	\N
458264	1558	1998-01-12	VYDAJ	VYBER	1600	24297	\N	\N	\N
458265	1558	1998-01-18	VYDAJ	VYBER	2800	20349	\N	\N	\N
458266	1558	1998-01-20	VYDAJ	VYBER	1000	17049	\N	\N	\N
458267	1558	1998-01-19	VYDAJ	VYBER	2300	18049	\N	\N	\N
458275	1558	1997-09-27	VYDAJ	VYBER	4600	14554	\N	\N	\N
458276	1558	1997-11-24	VYDAJ	VYBER	3900	14925	\N	\N	\N
458277	1558	1997-09-25	VYDAJ	VYBER	1000	19154	\N	\N	\N
458279	1558	1997-04-04	VYDAJ	VYBER	3400	19765	\N	\N	\N
458280	1558	1997-10-04	VYDAJ	VYBER	2500	14123	\N	\N	\N
458281	1558	1998-11-13	VYDAJ	VYBER	2200	22840	\N	\N	\N
458282	1558	1998-12-28	VYDAJ	VYBER	1500	25381	\N	\N	\N
458283	1558	1998-06-19	VYDAJ	VYBER	3400	19387	\N	\N	\N
458284	1558	1998-08-04	VYDAJ	VYBER	1800	16547	\N	\N	\N
458285	1558	1998-08-03	VYDAJ	VYBER	600	18347	\N	\N	\N
458301	1558	1997-03-31	VYDAJ	VYBER	15	23165	SLUZBY	\N	\N
458302	1558	1997-04-30	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
458303	1558	1997-05-31	VYDAJ	VYBER	15	21159	SLUZBY	\N	\N
458304	1558	1997-06-30	VYDAJ	VYBER	15	11465	SLUZBY	\N	\N
458305	1558	1997-07-31	VYDAJ	VYBER	15	14737	SLUZBY	\N	\N
458306	1558	1997-08-31	VYDAJ	VYBER	15	20330	SLUZBY	\N	\N
458307	1558	1997-09-30	VYDAJ	VYBER	15	14623	SLUZBY	\N	\N
458308	1558	1997-10-31	VYDAJ	VYBER	15	16801	SLUZBY	\N	\N
458309	1558	1997-11-30	VYDAJ	VYBER	15	19684	SLUZBY	\N	\N
458310	1558	1997-12-31	VYDAJ	VYBER	15	22725	SLUZBY	\N	\N
458311	1558	1998-01-31	VYDAJ	VYBER	15	14415	SLUZBY	\N	\N
458312	1558	1998-02-28	VYDAJ	VYBER	15	13491	SLUZBY	\N	\N
458313	1558	1998-03-31	VYDAJ	VYBER	15	15563	SLUZBY	\N	\N
458314	1558	1998-04-30	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
458315	1558	1998-05-31	VYDAJ	VYBER	15	17728	SLUZBY	\N	\N
458316	1558	1998-06-30	VYDAJ	VYBER	15	18156	SLUZBY	\N	\N
458317	1558	1998-07-31	VYDAJ	VYBER	15	18947	SLUZBY	\N	\N
458318	1558	1998-08-31	VYDAJ	VYBER	15	16034	SLUZBY	\N	\N
458319	1558	1998-09-30	VYDAJ	VYBER	15	19518	SLUZBY	\N	\N
458320	1558	1998-10-31	VYDAJ	VYBER	15	23016	SLUZBY	\N	\N
458321	1558	1998-11-30	VYDAJ	VYBER	15	23122	SLUZBY	\N	\N
458322	1558	1996-11-05	PRIJEM	VKLAD	7700	14371	\N	\N	\N
458323	1558	1996-12-05	VYDAJ	VYBER	3100	20429	\N	\N	\N
458324	1558	1997-02-03	VYDAJ	VYBER	4700	21967	\N	\N	\N
458325	1558	1997-03-05	VYDAJ	VYBER	7100	27121	\N	\N	\N
458326	1558	1997-04-04	VYDAJ	VYBER	2200	17565	\N	\N	\N
458327	1558	1997-05-04	VYDAJ	VYBER	600	19060	\N	\N	\N
458328	1558	1997-06-03	VYDAJ	VYBER	3900	17259	\N	\N	\N
458329	1558	1997-07-03	PRIJEM	VKLAD	1200	12665	\N	\N	\N
458330	1558	1997-08-02	PRIJEM	VKLAD	3500	18237	\N	\N	\N
458331	1558	1997-09-01	VYDAJ	VYBER	2200	18130	\N	\N	\N
458332	1558	1997-10-01	PRIJEM	VKLAD	2000	16623	\N	\N	\N
458333	1558	1997-10-31	PRIJEM	VKLAD	600	16816	\N	\N	\N
458334	1558	1997-11-30	PRIJEM	VKLAD	4700	19625	\N	\N	\N
458335	1558	1997-12-30	VYDAJ	VYBER	1400	22643	\N	\N	\N
458336	1558	1998-01-29	PRIJEM	VKLAD	1500	14349	\N	\N	\N
458337	1558	1998-02-28	VYDAJ	VYBER	3000	13505	\N	\N	\N
458338	1558	1998-04-29	VYDAJ	VYBER	900	16687	\N	\N	\N
458339	1558	1998-05-29	VYDAJ	VYBER	1100	17667	\N	\N	\N
458340	1558	1998-06-28	VYDAJ	VYBER	1300	18087	\N	\N	\N
458341	1558	1998-07-28	VYDAJ	VYBER	1300	18880	\N	\N	\N
458342	1558	1998-08-27	VYDAJ	VYBER	2600	15971	\N	\N	\N
458343	1558	1998-09-26	PRIJEM	VKLAD	1400	19458	\N	\N	\N
458344	1558	1998-10-26	PRIJEM	VKLAD	1400	22942	\N	\N	\N
458345	1558	1998-11-25	PRIJEM	VKLAD	200	23040	\N	\N	\N
458346	1558	1998-12-25	VYDAJ	VYBER	1300	26881	\N	\N	\N
458373	1559	1994-10-08	PRIJEM	VKLAD	700	23523	\N	\N	\N
458383	1559	1994-10-08	PRIJEM	VKLAD	22823	22823	\N	\N	\N
458384	1559	1994-11-08	PRIJEM	VKLAD	22823	48922	\N	\N	\N
458385	1559	1994-12-08	PRIJEM	VKLAD	34235	73636	\N	\N	\N
458386	1559	1995-01-08	PRIJEM	VKLAD	22823	74242	\N	\N	\N
458387	1559	1995-02-08	PRIJEM	VKLAD	22823	71774	\N	\N	\N
458388	1559	1995-03-08	PRIJEM	VKLAD	22823	68061	\N	\N	\N
458389	1559	1995-04-08	PRIJEM	VKLAD	22823	66625	\N	\N	\N
458390	1559	1995-05-08	PRIJEM	VKLAD	22823	60300	\N	\N	\N
458391	1559	1995-06-08	PRIJEM	VKLAD	34235	75283	\N	\N	\N
458392	1559	1995-07-08	PRIJEM	VKLAD	22823	60983	\N	\N	\N
458393	1559	1995-08-08	PRIJEM	VKLAD	22823	61808	\N	\N	\N
458394	1559	1995-09-08	PRIJEM	VKLAD	22823	64841	\N	\N	\N
458395	1559	1995-10-08	PRIJEM	VKLAD	22823	65485	\N	\N	\N
458396	1559	1995-11-08	PRIJEM	VKLAD	22823	63893	\N	\N	\N
458397	1559	1995-12-08	PRIJEM	VKLAD	34235	76645	\N	\N	\N
458398	1559	1996-01-08	PRIJEM	VKLAD	22823	58603	\N	\N	\N
458399	1559	1996-02-08	PRIJEM	VKLAD	22823	47196	\N	\N	\N
458400	1559	1996-03-08	PRIJEM	VKLAD	22823	55839	\N	\N	\N
458401	1559	1996-04-08	PRIJEM	VKLAD	22823	58538	\N	\N	\N
458402	1559	1996-05-08	PRIJEM	VKLAD	22823	60626	\N	\N	\N
458403	1559	1996-06-08	PRIJEM	VKLAD	34235	70612	\N	\N	\N
458404	1559	1996-07-08	PRIJEM	VKLAD	22823	57480	\N	\N	\N
458405	1559	1996-08-08	PRIJEM	VKLAD	22823	59821	\N	\N	\N
458406	1559	1996-09-08	PRIJEM	VKLAD	22823	64210	\N	\N	\N
458407	1559	1996-10-08	PRIJEM	VKLAD	22823	65279	\N	\N	\N
458408	1559	1996-11-08	PRIJEM	VKLAD	22823	65888	\N	\N	\N
458409	1559	1996-12-08	PRIJEM	VKLAD	34235	79811	\N	\N	\N
458410	1559	1997-01-08	PRIJEM	VKLAD	22823	70377	\N	\N	\N
458411	1559	1997-02-08	PRIJEM	VKLAD	22823	57187	\N	\N	\N
458412	1559	1997-03-08	PRIJEM	VKLAD	22823	62761	\N	\N	\N
458413	1559	1997-04-08	PRIJEM	VKLAD	22823	64865	\N	\N	\N
458414	1559	1997-05-08	PRIJEM	VKLAD	22823	67670	\N	\N	\N
458415	1559	1997-06-08	PRIJEM	VKLAD	34235	81196	\N	\N	\N
458416	1559	1997-07-08	PRIJEM	VKLAD	22823	55118	\N	\N	\N
458417	1559	1997-08-08	PRIJEM	VKLAD	22823	64787	\N	\N	\N
458418	1559	1997-09-08	PRIJEM	VKLAD	22823	68789	\N	\N	\N
458419	1559	1997-10-08	PRIJEM	VKLAD	22823	68400	\N	\N	\N
458420	1559	1997-11-08	PRIJEM	VKLAD	22823	62902	\N	\N	\N
458421	1559	1997-12-08	PRIJEM	VKLAD	34235	77203	\N	\N	\N
458422	1559	1998-01-08	PRIJEM	VKLAD	22823	69921	\N	\N	\N
458423	1559	1998-02-08	PRIJEM	VKLAD	22823	60421	\N	\N	\N
458424	1559	1998-03-08	PRIJEM	VKLAD	22823	64197	\N	\N	\N
458425	1559	1998-04-08	PRIJEM	VKLAD	22823	67091	\N	\N	\N
458426	1559	1998-05-08	PRIJEM	VKLAD	22823	68091	\N	\N	\N
458427	1559	1998-06-08	PRIJEM	VKLAD	34235	77002	\N	\N	\N
458428	1559	1998-07-08	PRIJEM	VKLAD	22823	75118	\N	\N	\N
458429	1559	1998-08-08	PRIJEM	VKLAD	22823	72046	\N	\N	\N
458430	1559	1998-09-08	PRIJEM	VKLAD	22823	71378	\N	\N	\N
458431	1559	1998-10-08	PRIJEM	VKLAD	22823	71457	\N	\N	\N
458432	1559	1998-11-08	PRIJEM	VKLAD	22823	78200	\N	\N	\N
458433	1559	1998-12-08	PRIJEM	VKLAD	34235	91251	\N	\N	\N
458447	1559	1995-02-13	VYDAJ	PREVOD NA UCET	8004	63770	SIPO	KL	31869977
458448	1559	1995-03-13	VYDAJ	PREVOD NA UCET	8004	60057	SIPO	KL	31869977
458449	1559	1995-04-13	VYDAJ	PREVOD NA UCET	8004	58621	SIPO	KL	31869977
458450	1559	1995-05-13	VYDAJ	PREVOD NA UCET	8004	52296	SIPO	KL	31869977
458451	1559	1995-06-13	VYDAJ	PREVOD NA UCET	8004	67279	SIPO	KL	31869977
458452	1559	1995-07-13	VYDAJ	PREVOD NA UCET	8004	52979	SIPO	KL	31869977
458453	1559	1995-08-13	VYDAJ	PREVOD NA UCET	8004	53804	SIPO	KL	31869977
458454	1559	1995-09-13	VYDAJ	PREVOD NA UCET	8004	56837	SIPO	KL	31869977
458455	1559	1995-10-13	VYDAJ	PREVOD NA UCET	8004	57481	SIPO	KL	31869977
458456	1559	1995-11-13	VYDAJ	PREVOD NA UCET	8004	55889	SIPO	KL	31869977
458457	1559	1995-12-13	VYDAJ	PREVOD NA UCET	8004	68641	SIPO	KL	31869977
458458	1559	1996-01-13	VYDAJ	PREVOD NA UCET	8004	33919	SIPO	KL	31869977
458459	1559	1996-02-13	VYDAJ	PREVOD NA UCET	8004	39192	SIPO	KL	31869977
458460	1559	1996-03-13	VYDAJ	PREVOD NA UCET	8004	47835	SIPO	KL	31869977
458461	1559	1996-04-13	VYDAJ	PREVOD NA UCET	8004	50534	SIPO	KL	31869977
458462	1559	1996-05-13	VYDAJ	PREVOD NA UCET	8004	52622	SIPO	KL	31869977
458463	1559	1996-06-13	VYDAJ	PREVOD NA UCET	8004	62608	SIPO	KL	31869977
458464	1559	1996-07-13	VYDAJ	PREVOD NA UCET	8004	49476	SIPO	KL	31869977
458465	1559	1996-08-13	VYDAJ	PREVOD NA UCET	8004	51817	SIPO	KL	31869977
458466	1559	1996-09-13	VYDAJ	PREVOD NA UCET	8004	49966	SIPO	KL	31869977
458467	1559	1996-10-13	VYDAJ	PREVOD NA UCET	8004	57275	SIPO	KL	31869977
458468	1559	1996-11-13	VYDAJ	PREVOD NA UCET	8004	57884	SIPO	KL	31869977
458469	1559	1996-12-13	VYDAJ	PREVOD NA UCET	8004	71807	SIPO	KL	31869977
458470	1559	1997-01-13	VYDAJ	PREVOD NA UCET	8004	57973	SIPO	KL	31869977
458471	1559	1997-02-13	VYDAJ	PREVOD NA UCET	8004	49183	SIPO	KL	31869977
458472	1559	1997-03-13	VYDAJ	PREVOD NA UCET	8004	52457	SIPO	KL	31869977
458473	1559	1997-04-13	VYDAJ	PREVOD NA UCET	8004	56861	SIPO	KL	31869977
458474	1559	1997-05-13	VYDAJ	PREVOD NA UCET	8004	59666	SIPO	KL	31869977
458475	1559	1997-06-13	VYDAJ	PREVOD NA UCET	8004	70092	SIPO	KL	31869977
458476	1559	1997-07-13	VYDAJ	PREVOD NA UCET	8004	47114	SIPO	KL	31869977
458477	1559	1997-08-13	VYDAJ	PREVOD NA UCET	8004	56783	SIPO	KL	31869977
458478	1559	1997-09-13	VYDAJ	PREVOD NA UCET	8004	60785	SIPO	KL	31869977
458479	1559	1997-10-13	VYDAJ	PREVOD NA UCET	8004	60396	SIPO	KL	31869977
458480	1559	1997-11-13	VYDAJ	PREVOD NA UCET	8004	54898	SIPO	KL	31869977
458481	1559	1997-12-13	VYDAJ	PREVOD NA UCET	8004	69199	SIPO	KL	31869977
458482	1559	1998-01-13	VYDAJ	PREVOD NA UCET	8004	57317	SIPO	KL	31869977
458483	1559	1998-02-13	VYDAJ	PREVOD NA UCET	8004	52417	SIPO	KL	31869977
458484	1559	1998-03-13	VYDAJ	PREVOD NA UCET	8004	56193	SIPO	KL	31869977
458485	1559	1998-04-13	VYDAJ	PREVOD NA UCET	8004	59087	SIPO	KL	31869977
458486	1559	1998-05-13	VYDAJ	PREVOD NA UCET	8004	60087	SIPO	KL	31869977
458487	1559	1998-06-13	VYDAJ	PREVOD NA UCET	8004	68998	SIPO	KL	31869977
458488	1559	1998-07-13	VYDAJ	PREVOD NA UCET	8004	67114	SIPO	KL	31869977
458489	1559	1998-08-13	VYDAJ	PREVOD NA UCET	8004	64042	SIPO	KL	31869977
458490	1559	1998-09-13	VYDAJ	PREVOD NA UCET	8004	63374	SIPO	KL	31869977
458491	1559	1998-10-13	VYDAJ	PREVOD NA UCET	8004	63453	SIPO	KL	31869977
458492	1559	1998-11-13	VYDAJ	PREVOD NA UCET	8004	70196	SIPO	KL	31869977
458493	1559	1998-12-13	VYDAJ	PREVOD NA UCET	8004	83247	SIPO	KL	31869977
458495	1559	1995-06-27	VYDAJ	VYBER	20160	47119	\N	\N	\N
458496	1559	1996-06-15	VYDAJ	VYBER	23200	39408	\N	\N	\N
458497	1559	1997-06-14	VYDAJ	VYBER	43840	26252	\N	\N	\N
458501	1559	1996-01-11	VYDAJ	VYBER	11040	44443	\N	\N	\N
458502	1559	1997-01-20	VYDAJ	VYBER	14400	40973	\N	\N	\N
458503	1559	1998-01-14	VYDAJ	VYBER	11200	46117	\N	\N	\N
458505	1559	1995-12-22	VYDAJ	VYBER	4480	64161	\N	\N	\N
458506	1559	1996-12-04	VYDAJ	VYBER KARTOU	1100	45577	\N	\N	0
458507	1559	1997-12-19	VYDAJ	VYBER KARTOU	1400	67799	\N	\N	0
458508	1559	1998-12-30	VYDAJ	VYBER KARTOU	4000	54047	\N	\N	0
458521	1559	1996-01-12	VYDAJ	VYBER	2520	41923	\N	\N	\N
458522	1559	1996-01-05	VYDAJ	VYBER	3120	35780	\N	\N	\N
458523	1559	1996-01-08	VYDAJ	VYBER	1200	57403	\N	\N	\N
458524	1559	1996-01-18	VYDAJ	VYBER	3120	30799	\N	\N	\N
458525	1559	1996-01-01	VYDAJ	VYBER	2520	43100	\N	\N	\N
458526	1559	1996-01-08	VYDAJ	VYBER	1920	55483	\N	\N	\N
458527	1559	1997-01-11	VYDAJ	VYBER KARTOU	1900	65977	\N	\N	0
458528	1559	1997-01-02	VYDAJ	VYBER KARTOU	2200	47554	\N	\N	0
458529	1559	1997-01-30	VYDAJ	VYBER KARTOU	1700	34173	\N	\N	0
458530	1559	1997-01-19	VYDAJ	VYBER KARTOU	2600	55373	\N	\N	0
458531	1559	1997-01-10	VYDAJ	VYBER KARTOU	2500	67877	\N	\N	0
458532	1559	1997-01-24	VYDAJ	VYBER KARTOU	2200	38773	\N	\N	0
458533	1559	1998-01-08	VYDAJ	VYBER KARTOU	1400	68521	\N	\N	0
458534	1559	1998-01-23	VYDAJ	VYBER KARTOU	1200	38017	\N	\N	0
458535	1559	1998-01-09	VYDAJ	VYBER KARTOU	3200	65321	\N	\N	0
458536	1559	1998-01-30	VYDAJ	VYBER KARTOU	600	37417	\N	\N	0
458537	1559	1998-01-23	VYDAJ	VYBER KARTOU	1600	39217	\N	\N	0
458538	1559	1998-01-06	VYDAJ	VYBER KARTOU	2400	47098	\N	\N	0
458544	1559	1995-05-07	VYDAJ	VYBER	5280	37477	\N	\N	\N
458545	1559	1995-10-30	VYDAJ	VYBER	3240	54241	\N	\N	\N
458547	1559	1995-06-03	VYDAJ	VYBER	960	51548	\N	\N	\N
458548	1559	1996-09-13	VYDAJ	VYBER	1440	57970	\N	\N	\N
458549	1559	1996-09-08	VYDAJ	VYBER	4800	59410	\N	\N	\N
458550	1559	1996-01-28	VYDAJ	VYBER	5760	25039	\N	\N	\N
458551	1559	1996-05-31	VYDAJ	VYBER	3120	36393	\N	\N	\N
458552	1559	1996-07-28	VYDAJ	VYBER	3240	46236	\N	\N	\N
458553	1559	1996-01-01	VYDAJ	VYBER	840	42260	\N	\N	\N
458554	1559	1996-12-24	VYDAJ	VYBER KARTOU	800	71007	\N	\N	0
458555	1559	1996-01-03	VYDAJ	VYBER	3360	38900	\N	\N	\N
458556	1559	1997-06-19	VYDAJ	VYBER KARTOU	700	25552	\N	\N	0
458557	1559	1997-10-23	VYDAJ	VYBER KARTOU	1800	39896	\N	\N	0
458558	1559	1997-06-12	VYDAJ	VYBER KARTOU	3100	78096	\N	\N	0
458559	1559	1997-03-09	VYDAJ	VYBER KARTOU	2300	60461	\N	\N	0
458560	1559	1998-08-01	VYDAJ	VYBER KARTOU	2300	49223	\N	\N	0
458561	1559	1998-10-04	VYDAJ	VYBER	4440	48634	\N	\N	\N
458562	1559	1998-12-18	VYDAJ	VYBER	4200	58047	\N	\N	\N
458577	1559	1995-02-28	VYDAJ	VYBER	15	64038	SLUZBY	\N	\N
458578	1559	1995-03-31	VYDAJ	VYBER	15	60302	SLUZBY	\N	\N
458579	1559	1995-04-30	VYDAJ	VYBER	15	58857	SLUZBY	\N	\N
458580	1559	1995-05-31	VYDAJ	VYBER	15	52508	SLUZBY	\N	\N
458581	1559	1995-06-30	VYDAJ	VYBER	15	47360	SLUZBY	\N	\N
458582	1559	1995-07-31	VYDAJ	VYBER	15	53185	SLUZBY	\N	\N
458583	1559	1995-08-31	VYDAJ	VYBER	15	54018	SLUZBY	\N	\N
458584	1559	1995-09-30	VYDAJ	VYBER	15	57062	SLUZBY	\N	\N
458585	1559	1995-10-31	VYDAJ	VYBER	15	54470	SLUZBY	\N	\N
458586	1559	1995-11-30	VYDAJ	VYBER	15	56111	SLUZBY	\N	\N
458587	1559	1995-12-31	VYDAJ	VYBER	15	64420	SLUZBY	\N	\N
458588	1559	1996-01-31	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
458589	1559	1996-02-29	VYDAJ	VYBER	15	39316	SLUZBY	\N	\N
458590	1559	1996-03-31	VYDAJ	VYBER	15	35715	SLUZBY	\N	\N
458591	1559	1996-04-30	VYDAJ	VYBER	15	37803	SLUZBY	\N	\N
458592	1559	1996-05-31	VYDAJ	VYBER	15	36378	SLUZBY	\N	\N
458593	1559	1996-06-30	VYDAJ	VYBER	15	34657	SLUZBY	\N	\N
458594	1559	1996-07-31	VYDAJ	VYBER	15	36998	SLUZBY	\N	\N
458595	1559	1996-08-31	VYDAJ	VYBER	15	41387	SLUZBY	\N	\N
458596	1559	1996-09-30	VYDAJ	VYBER	15	42456	SLUZBY	\N	\N
458597	1559	1996-10-31	VYDAJ	VYBER	15	43065	SLUZBY	\N	\N
458598	1559	1996-11-30	VYDAJ	VYBER	15	46677	SLUZBY	\N	\N
458599	1559	1996-12-31	VYDAJ	VYBER	15	49754	SLUZBY	\N	\N
458600	1559	1997-01-31	VYDAJ	VYBER	15	34364	SLUZBY	\N	\N
458601	1559	1997-02-28	VYDAJ	VYBER	15	39938	SLUZBY	\N	\N
458602	1559	1997-03-31	VYDAJ	VYBER	15	42042	SLUZBY	\N	\N
458603	1559	1997-04-30	VYDAJ	VYBER	15	44847	SLUZBY	\N	\N
458604	1559	1997-05-31	VYDAJ	VYBER	15	46962	SLUZBY	\N	\N
458605	1559	1997-06-30	VYDAJ	VYBER	15	32295	SLUZBY	\N	\N
458606	1559	1997-07-31	VYDAJ	VYBER	15	41964	SLUZBY	\N	\N
458607	1559	1997-08-31	VYDAJ	VYBER	15	45966	SLUZBY	\N	\N
458608	1559	1997-09-30	VYDAJ	VYBER	15	45577	SLUZBY	\N	\N
458609	1559	1997-10-31	VYDAJ	VYBER	15	40079	SLUZBY	\N	\N
458610	1559	1997-11-30	VYDAJ	VYBER	15	42968	SLUZBY	\N	\N
458611	1559	1997-12-31	VYDAJ	VYBER	15	49498	SLUZBY	\N	\N
458612	1559	1998-01-31	VYDAJ	VYBER	15	37598	SLUZBY	\N	\N
458613	1559	1998-02-28	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
458614	1559	1998-03-31	VYDAJ	VYBER	15	44268	SLUZBY	\N	\N
458615	1559	1998-04-30	VYDAJ	VYBER	15	45268	SLUZBY	\N	\N
458616	1559	1998-05-31	VYDAJ	VYBER	15	42767	SLUZBY	\N	\N
458617	1559	1998-06-30	VYDAJ	VYBER	15	52295	SLUZBY	\N	\N
458618	1559	1998-07-31	VYDAJ	VYBER	15	51523	SLUZBY	\N	\N
458619	1559	1998-08-31	VYDAJ	VYBER	15	48555	SLUZBY	\N	\N
458620	1559	1998-09-30	VYDAJ	VYBER	15	53074	SLUZBY	\N	\N
458621	1559	1998-10-31	VYDAJ	VYBER	15	55377	SLUZBY	\N	\N
458622	1559	1998-11-30	VYDAJ	VYBER	15	57017	SLUZBY	\N	\N
458623	1559	1994-11-07	PRIJEM	VKLAD	2500	26099	\N	\N	\N
458624	1559	1994-12-07	VYDAJ	VYBER	9700	39401	\N	\N	\N
458625	1559	1995-01-06	VYDAJ	VYBER	22500	51419	\N	\N	\N
458626	1559	1995-02-05	VYDAJ	VYBER	25600	48951	\N	\N	\N
458627	1559	1995-03-07	VYDAJ	VYBER	18800	45238	\N	\N	\N
458628	1559	1995-04-06	VYDAJ	VYBER	16500	43802	\N	\N	\N
458629	1559	1995-05-06	VYDAJ	VYBER	16100	42757	\N	\N	\N
458630	1559	1995-06-05	VYDAJ	VYBER	10500	41048	\N	\N	\N
458631	1559	1995-07-05	VYDAJ	VYBER	9200	38160	\N	\N	\N
458632	1559	1995-08-04	VYDAJ	VYBER	14200	38985	\N	\N	\N
458633	1559	1995-09-03	VYDAJ	VYBER	12000	42018	\N	\N	\N
458634	1559	1995-10-03	VYDAJ	VYBER	14400	42662	\N	\N	\N
458635	1559	1995-11-02	VYDAJ	VYBER	13400	41070	\N	\N	\N
458636	1559	1995-12-02	VYDAJ	VYBER	13700	42411	\N	\N	\N
458637	1559	1996-01-01	VYDAJ	VYBER	18800	45620	\N	\N	\N
458638	1559	1996-01-31	VYDAJ	VYBER	800	24373	\N	\N	\N
458639	1559	1996-03-01	VYDAJ	VYBER	6300	33016	\N	\N	\N
458640	1559	1996-03-31	VYDAJ	VYBER	12300	35729	\N	\N	\N
458641	1559	1996-04-30	VYDAJ	VYBER	12900	37817	\N	\N	\N
458642	1559	1996-05-30	VYDAJ	VYBER	13300	39322	\N	\N	\N
458643	1559	1996-06-29	VYDAJ	VYBER	4900	34508	\N	\N	\N
458644	1559	1996-07-29	VYDAJ	VYBER	9400	36836	\N	\N	\N
458645	1559	1996-08-28	VYDAJ	VYBER	10600	41217	\N	\N	\N
458646	1559	1996-09-27	VYDAJ	VYBER	7700	42266	\N	\N	\N
458647	1559	1996-10-27	VYDAJ	VYBER	14400	42875	\N	\N	\N
458648	1559	1996-11-26	VYDAJ	VYBER	11400	46484	\N	\N	\N
458649	1559	1996-12-26	VYDAJ	VYBER	21500	49507	\N	\N	\N
458650	1559	1997-01-25	VYDAJ	VYBER KARTOU	2900	35873	\N	\N	0
458651	1559	1997-02-24	VYDAJ	VYBER	9400	39783	\N	\N	\N
458652	1559	1997-03-26	VYDAJ	VYBER	10600	41857	\N	\N	\N
458653	1559	1997-04-25	VYDAJ	VYBER	12200	44661	\N	\N	\N
458654	1559	1997-05-25	VYDAJ	VYBER	12900	46766	\N	\N	\N
458655	1559	1997-06-24	PRIJEM	VKLAD	6600	32152	\N	\N	\N
458656	1559	1997-07-24	VYDAJ	VYBER	5300	41814	\N	\N	\N
458657	1559	1997-08-23	VYDAJ	VYBER	11000	45783	\N	\N	\N
458658	1559	1997-09-22	VYDAJ	VYBER	15400	45385	\N	\N	\N
458659	1559	1997-10-22	VYDAJ	VYBER	18700	41696	\N	\N	\N
458660	1559	1997-11-21	VYDAJ	VYBER	12100	42798	\N	\N	\N
458661	1559	1997-12-21	VYDAJ	VYBER	18500	49299	\N	\N	\N
458662	1559	1998-01-20	VYDAJ	VYBER	5300	40817	\N	\N	\N
458663	1559	1998-02-19	VYDAJ	VYBER	11200	41217	\N	\N	\N
458664	1559	1998-03-21	VYDAJ	VYBER	12100	44093	\N	\N	\N
458665	1559	1998-04-20	VYDAJ	VYBER	14000	45087	\N	\N	\N
458666	1559	1998-05-20	VYDAJ	VYBER	17500	42587	\N	\N	\N
458667	1559	1998-06-19	VYDAJ	VYBER	16900	52098	\N	\N	\N
458668	1559	1998-07-19	VYDAJ	VYBER	15800	51314	\N	\N	\N
458669	1559	1998-08-18	VYDAJ	VYBER	15700	48342	\N	\N	\N
458670	1559	1998-09-17	VYDAJ	VYBER	10500	52874	\N	\N	\N
458671	1559	1998-10-17	VYDAJ	VYBER	8300	55153	\N	\N	\N
458672	1559	1998-11-16	VYDAJ	VYBER	13400	56796	\N	\N	\N
458673	1559	1998-12-16	VYDAJ	VYBER	21000	62247	\N	\N	\N
458725	1560	1997-04-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
458730	1560	1997-05-12	PRIJEM	VKLAD	7600	8600	\N	\N	\N
458731	1560	1997-06-12	PRIJEM	VKLAD	11400	29143	\N	\N	\N
458732	1560	1997-07-12	PRIJEM	VKLAD	7600	40354	\N	\N	\N
458733	1560	1997-08-12	PRIJEM	VKLAD	7600	42696	\N	\N	\N
458734	1560	1997-09-12	PRIJEM	VKLAD	7600	35342	\N	\N	\N
458735	1560	1997-10-12	PRIJEM	VKLAD	7600	34152	\N	\N	\N
458736	1560	1997-11-12	PRIJEM	VKLAD	7600	32647	\N	\N	\N
458737	1560	1997-12-12	PRIJEM	VKLAD	11400	39838	\N	\N	\N
458738	1560	1998-01-12	PRIJEM	VKLAD	7600	35344	\N	\N	\N
458739	1560	1998-02-12	PRIJEM	VKLAD	7600	33338	\N	\N	\N
458740	1560	1998-03-12	PRIJEM	VKLAD	7600	35828	\N	\N	\N
458741	1560	1998-04-12	PRIJEM	VKLAD	7600	39131	\N	\N	\N
458742	1560	1998-05-12	PRIJEM	VKLAD	7600	37346	\N	\N	\N
458743	1560	1998-06-12	PRIJEM	VKLAD	11400	38368	\N	\N	\N
458744	1560	1998-07-12	PRIJEM	VKLAD	7600	40087	\N	\N	\N
458745	1560	1998-08-12	PRIJEM	VKLAD	7600	33316	\N	\N	\N
458746	1560	1998-09-12	PRIJEM	VKLAD	7600	32916	\N	\N	\N
458747	1560	1998-10-12	PRIJEM	VKLAD	7600	33106	\N	\N	\N
458748	1560	1998-11-12	PRIJEM	VKLAD	7600	38102	\N	\N	\N
458749	1560	1998-12-12	PRIJEM	VKLAD	11400	49513	\N	\N	\N
458758	1560	1997-09-14	VYDAJ	PREVOD NA UCET	3332	32010	SIPO	YZ	49192738
458759	1560	1997-10-14	VYDAJ	PREVOD NA UCET	3332	30383	SIPO	YZ	49192738
458760	1560	1997-11-14	VYDAJ	PREVOD NA UCET	3332	28878	SIPO	YZ	49192738
458761	1560	1997-12-14	VYDAJ	PREVOD NA UCET	3332	36069	SIPO	YZ	49192738
458762	1560	1998-01-14	VYDAJ	PREVOD NA UCET	3332	30712	SIPO	YZ	49192738
458763	1560	1998-02-14	VYDAJ	PREVOD NA UCET	3332	30006	SIPO	YZ	49192738
458764	1560	1998-03-14	VYDAJ	PREVOD NA UCET	3332	32496	SIPO	YZ	49192738
458765	1560	1998-04-14	VYDAJ	PREVOD NA UCET	3332	35799	SIPO	YZ	49192738
458766	1560	1998-05-14	VYDAJ	PREVOD NA UCET	3332	33577	SIPO	YZ	49192738
458767	1560	1998-06-14	VYDAJ	PREVOD NA UCET	3332	34599	SIPO	YZ	49192738
458768	1560	1998-07-14	VYDAJ	PREVOD NA UCET	3332	36318	SIPO	YZ	49192738
458769	1560	1998-08-14	VYDAJ	PREVOD NA UCET	3332	29984	SIPO	YZ	49192738
458770	1560	1998-09-14	VYDAJ	PREVOD NA UCET	3332	29584	SIPO	YZ	49192738
458771	1560	1998-10-14	VYDAJ	PREVOD NA UCET	3332	29337	SIPO	YZ	49192738
458772	1560	1998-11-14	VYDAJ	PREVOD NA UCET	3332	34770	SIPO	YZ	49192738
458773	1560	1998-12-14	VYDAJ	PREVOD NA UCET	3332	45744	SIPO	YZ	49192738
458937	1561	1995-04-01	PRIJEM	VKLAD	600	600	\N	\N	\N
458783	1560	1997-10-05	VYDAJ	PREVOD NA UCET	244	30652	 	CD	89837598
458784	1560	1997-11-05	VYDAJ	PREVOD NA UCET	244	26647	 	CD	89837598
458785	1560	1997-12-05	VYDAJ	PREVOD NA UCET	244	28738	 	CD	89837598
458786	1560	1998-01-05	VYDAJ	PREVOD NA UCET	244	32144	 	CD	89837598
458787	1560	1998-02-05	VYDAJ	PREVOD NA UCET	244	24138	 	CD	89837598
458788	1560	1998-03-05	VYDAJ	PREVOD NA UCET	244	29428	 	CD	89837598
458789	1560	1998-04-05	VYDAJ	PREVOD NA UCET	244	31931	 	CD	89837598
458790	1560	1998-05-05	VYDAJ	PREVOD NA UCET	244	35246	 	CD	89837598
458791	1560	1998-06-05	VYDAJ	PREVOD NA UCET	244	33468	 	CD	89837598
458792	1560	1998-07-05	VYDAJ	PREVOD NA UCET	244	34487	 	CD	89837598
458793	1560	1998-08-05	VYDAJ	PREVOD NA UCET	244	36216	 	CD	89837598
458794	1560	1998-09-05	VYDAJ	PREVOD NA UCET	244	29416	 	CD	89837598
458795	1560	1998-10-05	VYDAJ	PREVOD NA UCET	244	24406	 	CD	89837598
458796	1560	1998-11-05	VYDAJ	PREVOD NA UCET	244	30502	 	CD	89837598
458797	1560	1998-12-05	VYDAJ	PREVOD NA UCET	244	38113	 	CD	89837598
458806	1560	1997-09-14	VYDAJ	PREVOD NA UCET	437	31573	POJISTNE	UV	97033959
458807	1560	1997-10-14	VYDAJ	PREVOD NA UCET	437	33715	POJISTNE	UV	97033959
458808	1560	1997-11-14	VYDAJ	PREVOD NA UCET	437	32210	POJISTNE	UV	97033959
458809	1560	1997-12-14	VYDAJ	PREVOD NA UCET	437	39401	POJISTNE	UV	97033959
458810	1560	1998-01-14	VYDAJ	PREVOD NA UCET	437	30275	POJISTNE	UV	97033959
458811	1560	1998-02-14	VYDAJ	PREVOD NA UCET	437	29569	POJISTNE	UV	97033959
458812	1560	1998-03-14	VYDAJ	PREVOD NA UCET	437	32059	POJISTNE	UV	97033959
458813	1560	1998-04-14	VYDAJ	PREVOD NA UCET	437	35362	POJISTNE	UV	97033959
458814	1560	1998-05-14	VYDAJ	PREVOD NA UCET	437	36909	POJISTNE	UV	97033959
458815	1560	1998-06-14	VYDAJ	PREVOD NA UCET	437	37931	POJISTNE	UV	97033959
458816	1560	1998-07-14	VYDAJ	PREVOD NA UCET	437	39650	POJISTNE	UV	97033959
458817	1560	1998-08-14	VYDAJ	PREVOD NA UCET	437	29547	POJISTNE	UV	97033959
458818	1560	1998-09-14	VYDAJ	PREVOD NA UCET	437	29147	POJISTNE	UV	97033959
458819	1560	1998-10-14	VYDAJ	PREVOD NA UCET	437	32669	POJISTNE	UV	97033959
458820	1560	1998-11-14	VYDAJ	PREVOD NA UCET	437	34333	POJISTNE	UV	97033959
458821	1560	1998-12-14	VYDAJ	PREVOD NA UCET	437	49076	POJISTNE	UV	97033959
458846	1560	1997-12-15	VYDAJ	VYBER	2700	33369	\N	\N	\N
458847	1560	1998-12-20	VYDAJ	VYBER	2700	42444	\N	\N	\N
458854	1560	1998-01-22	VYDAJ	VYBER	2400	26075	\N	\N	\N
458855	1560	1998-01-05	VYDAJ	VYBER	900	31244	\N	\N	\N
458856	1560	1998-01-21	VYDAJ	VYBER	1300	28475	\N	\N	\N
458857	1560	1998-01-14	VYDAJ	VYBER	1300	34044	\N	\N	\N
458858	1560	1998-01-25	VYDAJ	VYBER	1000	25075	\N	\N	\N
458859	1560	1998-01-15	VYDAJ	VYBER	500	29775	\N	\N	\N
458860	1560	1997-09-23	VYDAJ	VYBER	800	30773	\N	\N	\N
458861	1560	1997-11-02	VYDAJ	VYBER	1200	26891	\N	\N	\N
458862	1560	1997-10-15	VYDAJ	VYBER	2400	27983	\N	\N	\N
458864	1560	1997-12-24	VYDAJ	VYBER	1100	32269	\N	\N	\N
458867	1560	1998-06-08	VYDAJ	VYBER	3500	26968	\N	\N	\N
458868	1560	1998-09-27	VYDAJ	VYBER	4600	24547	\N	\N	\N
458869	1560	1998-08-06	VYDAJ	VYBER	2200	34016	\N	\N	\N
458870	1560	1998-12-18	VYDAJ	VYBER	600	45144	\N	\N	\N
458871	1560	1998-02-02	VYDAJ	VYBER	800	24382	\N	\N	\N
458872	1560	1998-08-07	VYDAJ	VYBER	2300	25716	\N	\N	\N
458882	1560	1997-09-30	VYDAJ	VYBER	15	30896	SLUZBY	\N	\N
458883	1560	1997-10-31	VYDAJ	VYBER	15	28091	SLUZBY	\N	\N
458884	1560	1997-11-30	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
458885	1560	1997-12-31	VYDAJ	VYBER	15	32388	SLUZBY	\N	\N
458886	1560	1998-01-31	VYDAJ	VYBER	15	25182	SLUZBY	\N	\N
458887	1560	1998-02-28	VYDAJ	VYBER	15	29672	SLUZBY	\N	\N
458888	1560	1998-03-31	VYDAJ	VYBER	15	32175	SLUZBY	\N	\N
458889	1560	1998-04-30	VYDAJ	VYBER	15	35490	SLUZBY	\N	\N
458890	1560	1998-05-31	VYDAJ	VYBER	15	33712	SLUZBY	\N	\N
458891	1560	1998-06-30	VYDAJ	VYBER	15	34731	SLUZBY	\N	\N
458892	1560	1998-07-31	VYDAJ	VYBER	15	36460	SLUZBY	\N	\N
458893	1560	1998-08-31	VYDAJ	VYBER	15	29660	SLUZBY	\N	\N
458894	1560	1998-09-30	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
458895	1560	1998-10-31	VYDAJ	VYBER	15	29446	SLUZBY	\N	\N
458896	1560	1998-11-30	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
458897	1560	1997-05-14	PRIJEM	VKLAD	9100	17700	\N	\N	\N
458898	1560	1997-06-13	PRIJEM	VKLAD	3500	32643	\N	\N	\N
458899	1560	1997-07-13	VYDAJ	VYBER	5400	34954	\N	\N	\N
458900	1560	1997-08-12	VYDAJ	VYBER	7500	35196	\N	\N	\N
458901	1560	1997-09-11	VYDAJ	VYBER	7600	27742	\N	\N	\N
458902	1560	1997-10-11	VYDAJ	VYBER	4100	26552	\N	\N	\N
458903	1560	1997-11-10	VYDAJ	VYBER	1600	25047	\N	\N	\N
458904	1560	1997-12-10	VYDAJ	VYBER	300	28438	\N	\N	\N
458905	1560	1998-01-09	VYDAJ	VYBER	3500	27744	\N	\N	\N
458906	1560	1998-02-08	PRIJEM	VKLAD	1600	25738	\N	\N	\N
458907	1560	1998-03-10	VYDAJ	VYBER	1200	28228	\N	\N	\N
458908	1560	1998-04-09	VYDAJ	VYBER	400	31531	\N	\N	\N
458909	1560	1998-05-09	VYDAJ	VYBER	5500	29746	\N	\N	\N
458910	1560	1998-06-08	VYDAJ	VYBER	3000	30468	\N	\N	\N
458911	1560	1998-07-08	VYDAJ	VYBER	2000	32487	\N	\N	\N
458912	1560	1998-08-07	VYDAJ	VYBER	6000	28016	\N	\N	\N
458913	1560	1998-09-06	VYDAJ	VYBER	4100	25316	\N	\N	\N
458914	1560	1998-10-06	PRIJEM	VKLAD	1100	25506	\N	\N	\N
458915	1560	1998-11-05	PRIJEM	VKLAD	1300	30746	\N	\N	\N
458916	1560	1998-12-05	PRIJEM	VKLAD	3900	38357	\N	\N	\N
458941	1561	1995-04-11	PRIJEM	PREVOD Z UCTU	5327	5927	DUCHOD	KL	73723697
458942	1561	1995-05-11	PRIJEM	PREVOD Z UCTU	5327	11271	DUCHOD	KL	73723697
458943	1561	1995-06-11	PRIJEM	PREVOD Z UCTU	5327	16622	DUCHOD	KL	73723697
458944	1561	1995-07-11	PRIJEM	PREVOD Z UCTU	5327	21974	DUCHOD	KL	73723697
458945	1561	1995-08-11	PRIJEM	PREVOD Z UCTU	5327	27326	DUCHOD	KL	73723697
458946	1561	1995-09-11	PRIJEM	PREVOD Z UCTU	5327	28941	DUCHOD	KL	73723697
458947	1561	1995-10-11	PRIJEM	PREVOD Z UCTU	5327	32395	DUCHOD	KL	73723697
458948	1561	1995-11-11	PRIJEM	PREVOD Z UCTU	5327	34962	DUCHOD	KL	73723697
458949	1561	1995-12-11	PRIJEM	PREVOD Z UCTU	5327	33638	DUCHOD	KL	73723697
458950	1561	1996-01-11	PRIJEM	PREVOD Z UCTU	5327	33771	DUCHOD	KL	73723697
458951	1561	1996-02-11	PRIJEM	PREVOD Z UCTU	5327	27069	DUCHOD	KL	73723697
458952	1561	1996-03-11	PRIJEM	PREVOD Z UCTU	5327	27550	DUCHOD	KL	73723697
458953	1561	1996-04-11	PRIJEM	PREVOD Z UCTU	5327	30997	DUCHOD	KL	73723697
458954	1561	1996-05-11	PRIJEM	PREVOD Z UCTU	5327	34459	DUCHOD	KL	73723697
458955	1561	1996-06-11	PRIJEM	PREVOD Z UCTU	5327	37535	DUCHOD	KL	73723697
458956	1561	1996-07-11	PRIJEM	PREVOD Z UCTU	5327	35216	DUCHOD	KL	73723697
458957	1561	1996-08-11	PRIJEM	PREVOD Z UCTU	5327	38695	DUCHOD	KL	73723697
458958	1561	1996-09-11	PRIJEM	PREVOD Z UCTU	5327	42189	DUCHOD	KL	73723697
458959	1561	1996-10-11	PRIJEM	PREVOD Z UCTU	5327	42577	DUCHOD	KL	73723697
458960	1561	1996-11-11	PRIJEM	PREVOD Z UCTU	5327	43768	DUCHOD	KL	73723697
458961	1561	1996-12-11	PRIJEM	PREVOD Z UCTU	5327	47284	DUCHOD	KL	73723697
458962	1561	1997-01-11	PRIJEM	PREVOD Z UCTU	5327	48611	DUCHOD	KL	73723697
458963	1561	1997-02-11	PRIJEM	PREVOD Z UCTU	5327	44277	DUCHOD	KL	73723697
458964	1561	1997-03-11	PRIJEM	PREVOD Z UCTU	5327	47793	DUCHOD	KL	73723697
458965	1561	1997-04-11	PRIJEM	PREVOD Z UCTU	5327	49721	DUCHOD	KL	73723697
458966	1561	1997-05-11	PRIJEM	PREVOD Z UCTU	5327	53260	DUCHOD	KL	73723697
458967	1561	1997-06-11	PRIJEM	PREVOD Z UCTU	5327	52752	DUCHOD	KL	73723697
458968	1561	1997-07-11	PRIJEM	PREVOD Z UCTU	5327	48563	DUCHOD	KL	73723697
458969	1561	1997-08-11	PRIJEM	PREVOD Z UCTU	5327	52098	DUCHOD	KL	73723697
458970	1561	1997-09-11	PRIJEM	PREVOD Z UCTU	5327	52942	DUCHOD	KL	73723697
458971	1561	1997-10-11	PRIJEM	PREVOD Z UCTU	5327	54892	DUCHOD	KL	73723697
458972	1561	1997-11-11	PRIJEM	PREVOD Z UCTU	5327	53643	DUCHOD	KL	73723697
458973	1561	1997-12-11	PRIJEM	PREVOD Z UCTU	5327	56597	DUCHOD	KL	73723697
458974	1561	1998-01-11	PRIJEM	PREVOD Z UCTU	5327	44398	DUCHOD	KL	73723697
458975	1561	1998-02-11	PRIJEM	PREVOD Z UCTU	5327	38469	DUCHOD	KL	73723697
458976	1561	1998-03-11	PRIJEM	PREVOD Z UCTU	5327	41962	DUCHOD	KL	73723697
458977	1561	1998-04-11	PRIJEM	PREVOD Z UCTU	5327	45469	DUCHOD	KL	73723697
458978	1561	1998-05-11	PRIJEM	PREVOD Z UCTU	5327	39831	DUCHOD	KL	73723697
458979	1561	1998-06-11	PRIJEM	PREVOD Z UCTU	5327	43329	DUCHOD	KL	73723697
458980	1561	1998-07-11	PRIJEM	PREVOD Z UCTU	5327	36369	DUCHOD	KL	73723697
458981	1561	1998-08-11	PRIJEM	PREVOD Z UCTU	5327	39371	DUCHOD	KL	73723697
458982	1561	1998-09-11	PRIJEM	PREVOD Z UCTU	5327	42866	DUCHOD	KL	73723697
458983	1561	1998-10-11	PRIJEM	PREVOD Z UCTU	5327	42856	DUCHOD	KL	73723697
458984	1561	1998-11-11	PRIJEM	PREVOD Z UCTU	5327	42758	DUCHOD	KL	73723697
458985	1561	1998-12-11	PRIJEM	PREVOD Z UCTU	5327	46266	DUCHOD	KL	73723697
458994	1561	1995-09-06	VYDAJ	PREVOD NA UCET	1924	23614	SIPO	CD	91776167
458995	1561	1995-10-06	VYDAJ	PREVOD NA UCET	1924	27068	SIPO	CD	91776167
458996	1561	1995-11-06	VYDAJ	PREVOD NA UCET	1924	29635	SIPO	CD	91776167
458997	1561	1995-12-06	VYDAJ	PREVOD NA UCET	1924	28311	SIPO	CD	91776167
458998	1561	1996-01-06	VYDAJ	PREVOD NA UCET	1924	30604	SIPO	CD	91776167
458999	1561	1996-02-06	VYDAJ	PREVOD NA UCET	1924	21742	SIPO	CD	91776167
459000	1561	1996-03-06	VYDAJ	PREVOD NA UCET	1924	22223	SIPO	CD	91776167
459001	1561	1996-04-06	VYDAJ	PREVOD NA UCET	1924	25670	SIPO	CD	91776167
459002	1561	1996-05-06	VYDAJ	PREVOD NA UCET	1924	29132	SIPO	CD	91776167
459003	1561	1996-06-06	VYDAJ	PREVOD NA UCET	1924	32608	SIPO	CD	91776167
459004	1561	1996-07-06	VYDAJ	PREVOD NA UCET	1924	29889	SIPO	CD	91776167
459005	1561	1996-08-06	VYDAJ	PREVOD NA UCET	1924	33368	SIPO	CD	91776167
459006	1561	1996-09-06	VYDAJ	PREVOD NA UCET	1924	36862	SIPO	CD	91776167
459007	1561	1996-10-06	VYDAJ	PREVOD NA UCET	1924	37250	SIPO	CD	91776167
459008	1561	1996-11-06	VYDAJ	PREVOD NA UCET	1924	40361	SIPO	CD	91776167
459009	1561	1996-12-06	VYDAJ	PREVOD NA UCET	1924	41957	SIPO	CD	91776167
459010	1561	1997-01-06	VYDAJ	PREVOD NA UCET	1924	43284	SIPO	CD	91776167
459011	1561	1997-02-06	VYDAJ	PREVOD NA UCET	1924	38950	SIPO	CD	91776167
459012	1561	1997-03-06	VYDAJ	PREVOD NA UCET	1924	42466	SIPO	CD	91776167
459013	1561	1997-04-06	VYDAJ	PREVOD NA UCET	1924	44394	SIPO	CD	91776167
459014	1561	1997-05-06	VYDAJ	PREVOD NA UCET	1924	47933	SIPO	CD	91776167
459015	1561	1997-06-06	VYDAJ	PREVOD NA UCET	1924	47425	SIPO	CD	91776167
459016	1561	1997-07-06	VYDAJ	PREVOD NA UCET	1924	44356	SIPO	CD	91776167
459017	1561	1997-08-06	VYDAJ	PREVOD NA UCET	1924	46771	SIPO	CD	91776167
459018	1561	1997-09-06	VYDAJ	PREVOD NA UCET	1924	47615	SIPO	CD	91776167
459019	1561	1997-10-06	VYDAJ	PREVOD NA UCET	1924	49565	SIPO	CD	91776167
459020	1561	1997-11-06	VYDAJ	PREVOD NA UCET	1924	48316	SIPO	CD	91776167
459021	1561	1997-12-06	VYDAJ	PREVOD NA UCET	1924	51270	SIPO	CD	91776167
459022	1561	1998-01-06	VYDAJ	PREVOD NA UCET	1924	39071	SIPO	CD	91776167
459023	1561	1998-02-06	VYDAJ	PREVOD NA UCET	1924	33142	SIPO	CD	91776167
459024	1561	1998-03-06	VYDAJ	PREVOD NA UCET	1924	36635	SIPO	CD	91776167
459025	1561	1998-04-06	VYDAJ	PREVOD NA UCET	1924	40142	SIPO	CD	91776167
459026	1561	1998-05-06	VYDAJ	PREVOD NA UCET	1924	34504	SIPO	CD	91776167
459027	1561	1998-06-06	VYDAJ	PREVOD NA UCET	1924	38002	SIPO	CD	91776167
459028	1561	1998-07-06	VYDAJ	PREVOD NA UCET	1924	31042	SIPO	CD	91776167
459029	1561	1998-08-06	VYDAJ	PREVOD NA UCET	1924	34044	SIPO	CD	91776167
459030	1561	1998-09-06	VYDAJ	PREVOD NA UCET	1924	37539	SIPO	CD	91776167
459031	1561	1998-10-06	VYDAJ	PREVOD NA UCET	1924	37529	SIPO	CD	91776167
459032	1561	1998-11-06	VYDAJ	PREVOD NA UCET	1924	37431	SIPO	CD	91776167
459033	1561	1998-12-06	VYDAJ	PREVOD NA UCET	1924	40939	SIPO	CD	91776167
459041	1561	1995-08-13	VYDAJ	PREVOD NA UCET	51	27275	 	WX	32302445
459042	1561	1995-09-13	VYDAJ	PREVOD NA UCET	51	28890	 	WX	32302445
459043	1561	1995-10-13	VYDAJ	PREVOD NA UCET	51	32344	 	WX	32302445
459044	1561	1995-11-13	VYDAJ	PREVOD NA UCET	51	34911	 	WX	32302445
459045	1561	1995-12-13	VYDAJ	PREVOD NA UCET	51	33587	 	WX	32302445
459046	1561	1996-01-13	VYDAJ	PREVOD NA UCET	51	32040	 	WX	32302445
459047	1561	1996-02-13	VYDAJ	PREVOD NA UCET	51	27018	 	WX	32302445
459048	1561	1996-03-13	VYDAJ	PREVOD NA UCET	51	27499	 	WX	32302445
459049	1561	1996-04-13	VYDAJ	PREVOD NA UCET	51	30946	 	WX	32302445
459050	1561	1996-05-13	VYDAJ	PREVOD NA UCET	51	34408	 	WX	32302445
459051	1561	1996-06-13	VYDAJ	PREVOD NA UCET	51	37484	 	WX	32302445
459052	1561	1996-07-13	VYDAJ	PREVOD NA UCET	51	35165	 	WX	32302445
459053	1561	1996-08-13	VYDAJ	PREVOD NA UCET	51	38644	 	WX	32302445
459054	1561	1996-09-13	VYDAJ	PREVOD NA UCET	51	42138	 	WX	32302445
459055	1561	1996-10-13	VYDAJ	PREVOD NA UCET	51	42526	 	WX	32302445
459056	1561	1996-11-13	VYDAJ	PREVOD NA UCET	51	43717	 	WX	32302445
459057	1561	1996-12-13	VYDAJ	PREVOD NA UCET	51	47233	 	WX	32302445
459058	1561	1997-01-13	VYDAJ	PREVOD NA UCET	51	47760	 	WX	32302445
459059	1561	1997-02-13	VYDAJ	PREVOD NA UCET	51	44226	 	WX	32302445
459060	1561	1997-03-13	VYDAJ	PREVOD NA UCET	51	47742	 	WX	32302445
459061	1561	1997-04-13	VYDAJ	PREVOD NA UCET	51	49670	 	WX	32302445
459062	1561	1997-05-13	VYDAJ	PREVOD NA UCET	51	53209	 	WX	32302445
459063	1561	1997-06-13	VYDAJ	PREVOD NA UCET	51	52701	 	WX	32302445
459064	1561	1997-07-13	VYDAJ	PREVOD NA UCET	51	48512	 	WX	32302445
459065	1561	1997-08-13	VYDAJ	PREVOD NA UCET	51	52047	 	WX	32302445
459066	1561	1997-09-13	VYDAJ	PREVOD NA UCET	51	52891	 	WX	32302445
459067	1561	1997-10-13	VYDAJ	PREVOD NA UCET	51	54841	 	WX	32302445
459068	1561	1997-11-13	VYDAJ	PREVOD NA UCET	51	53592	 	WX	32302445
459069	1561	1997-12-13	VYDAJ	PREVOD NA UCET	51	56546	 	WX	32302445
459070	1561	1998-01-13	VYDAJ	PREVOD NA UCET	51	43707	 	WX	32302445
459071	1561	1998-02-13	VYDAJ	PREVOD NA UCET	51	38418	 	WX	32302445
459072	1561	1998-03-13	VYDAJ	PREVOD NA UCET	51	41911	 	WX	32302445
459073	1561	1998-04-13	VYDAJ	PREVOD NA UCET	51	45418	 	WX	32302445
459074	1561	1998-05-13	VYDAJ	PREVOD NA UCET	51	39780	 	WX	32302445
459075	1561	1998-06-13	VYDAJ	PREVOD NA UCET	51	43278	 	WX	32302445
459076	1561	1998-07-13	VYDAJ	PREVOD NA UCET	51	36318	 	WX	32302445
459077	1561	1998-08-13	VYDAJ	PREVOD NA UCET	51	39320	 	WX	32302445
459078	1561	1998-09-13	VYDAJ	PREVOD NA UCET	51	42815	 	WX	32302445
459079	1561	1998-10-13	VYDAJ	PREVOD NA UCET	51	42805	 	WX	32302445
459080	1561	1998-11-13	VYDAJ	PREVOD NA UCET	51	42707	 	WX	32302445
459081	1561	1998-12-13	VYDAJ	PREVOD NA UCET	51	46215	 	WX	32302445
459083	1561	1996-06-22	VYDAJ	VYBER	5800	31684	\N	\N	\N
459084	1561	1997-06-28	VYDAJ	VYBER	2700	50001	\N	\N	\N
459085	1561	1998-06-17	VYDAJ	VYBER	8550	32828	\N	\N	\N
459086	1561	1995-12-24	VYDAJ	VYBER	700	32887	\N	\N	\N
459087	1561	1996-12-25	VYDAJ	VYBER	600	45033	\N	\N	\N
459088	1561	1997-12-21	VYDAJ	VYBER	1350	49596	\N	\N	\N
459089	1561	1998-12-22	VYDAJ	VYBER	650	45565	\N	\N	\N
459096	1561	1996-01-18	VYDAJ	VYBER	1600	27240	\N	\N	\N
459097	1561	1996-01-01	VYDAJ	VYBER	480	32528	\N	\N	\N
459098	1561	1996-01-07	VYDAJ	VYBER	2160	28444	\N	\N	\N
459099	1561	1996-01-15	VYDAJ	VYBER	1840	28840	\N	\N	\N
459100	1561	1996-01-11	VYDAJ	VYBER	800	32971	\N	\N	\N
459101	1561	1996-01-13	VYDAJ	VYBER	880	32091	\N	\N	\N
459102	1561	1997-01-27	VYDAJ	VYBER	960	40700	\N	\N	\N
459103	1561	1997-01-27	VYDAJ	VYBER	1920	42300	\N	\N	\N
459104	1561	1997-01-24	VYDAJ	VYBER	640	44220	\N	\N	\N
459105	1561	1997-01-27	VYDAJ	VYBER	640	41660	\N	\N	\N
459106	1561	1997-01-22	VYDAJ	VYBER	800	44860	\N	\N	\N
459107	1561	1997-01-12	VYDAJ	VYBER	800	47811	\N	\N	\N
459108	1561	1998-01-25	VYDAJ	VYBER	2000	41707	\N	\N	\N
459109	1561	1998-01-27	VYDAJ	VYBER	1040	38827	\N	\N	\N
459110	1561	1998-01-25	VYDAJ	VYBER	1840	39867	\N	\N	\N
459111	1561	1998-01-05	VYDAJ	VYBER	640	40995	\N	\N	\N
459112	1561	1998-01-12	VYDAJ	VYBER	640	43758	\N	\N	\N
459113	1561	1998-01-02	VYDAJ	VYBER	1440	43635	\N	\N	\N
459115	1561	1995-12-05	VYDAJ	VYBER	2000	30235	\N	\N	\N
459116	1561	1995-11-27	VYDAJ	VYBER	800	34111	\N	\N	\N
459117	1561	1996-01-15	VYDAJ	VYBER	1360	30680	\N	\N	\N
459118	1561	1996-10-01	VYDAJ	VYBER	3120	39174	\N	\N	\N
459119	1561	1996-06-07	VYDAJ	VYBER	400	32208	\N	\N	\N
459120	1561	1996-01-28	VYDAJ	VYBER	3680	23560	\N	\N	\N
459121	1561	1996-02-20	VYDAJ	VYBER	2960	24058	\N	\N	\N
459122	1561	1996-11-06	VYDAJ	VYBER	1920	38441	\N	\N	\N
459123	1561	1996-11-05	VYDAJ	VYBER	400	42285	\N	\N	\N
459124	1561	1997-06-03	VYDAJ	VYBER	2960	49349	\N	\N	\N
459125	1561	1997-12-29	VYDAJ	VYBER	880	44876	\N	\N	\N
459126	1561	1997-12-29	VYDAJ	VYBER	3840	45756	\N	\N	\N
459127	1561	1997-07-10	VYDAJ	VYBER	1120	43236	\N	\N	\N
459128	1561	1997-03-15	VYDAJ	VYBER	1600	46142	\N	\N	\N
459129	1561	1997-06-29	VYDAJ	VYBER	3920	46081	\N	\N	\N
459130	1561	1998-10-01	VYDAJ	VYBER	3520	39453	\N	\N	\N
459131	1561	1998-01-04	VYDAJ	VYBER	2000	41635	\N	\N	\N
459132	1561	1998-04-19	VYDAJ	VYBER	3120	36278	\N	\N	\N
459133	1561	1998-04-16	VYDAJ	VYBER	3120	39398	\N	\N	\N
459134	1561	1998-02-02	VYDAJ	VYBER	3920	35066	\N	\N	\N
459135	1561	1998-07-24	VYDAJ	VYBER	480	35838	\N	\N	\N
459136	1561	1998-10-14	VYDAJ	VYBER	3600	39205	\N	\N	\N
459145	1561	1995-08-31	VYDAJ	VYBER	15	25538	SLUZBY	\N	\N
459146	1561	1995-09-30	VYDAJ	VYBER	15	28992	SLUZBY	\N	\N
459147	1561	1995-10-31	VYDAJ	VYBER	15	31559	SLUZBY	\N	\N
459148	1561	1995-11-30	VYDAJ	VYBER	15	32235	SLUZBY	\N	\N
459149	1561	1995-12-31	VYDAJ	VYBER	15	33008	SLUZBY	\N	\N
459150	1561	1996-01-31	VYDAJ	VYBER	15	23666	SLUZBY	\N	\N
459151	1561	1996-02-29	VYDAJ	VYBER	15	24147	SLUZBY	\N	\N
459152	1561	1996-03-31	VYDAJ	VYBER	15	27594	SLUZBY	\N	\N
459153	1561	1996-04-30	VYDAJ	VYBER	15	31056	SLUZBY	\N	\N
459154	1561	1996-05-31	VYDAJ	VYBER	15	34532	SLUZBY	\N	\N
459155	1561	1996-06-30	VYDAJ	VYBER	15	31813	SLUZBY	\N	\N
459156	1561	1996-07-31	VYDAJ	VYBER	15	35292	SLUZBY	\N	\N
459157	1561	1996-08-31	VYDAJ	VYBER	15	38786	SLUZBY	\N	\N
459158	1561	1996-09-30	VYDAJ	VYBER	15	42294	SLUZBY	\N	\N
459159	1561	1996-10-31	VYDAJ	VYBER	15	42685	SLUZBY	\N	\N
459160	1561	1996-11-30	VYDAJ	VYBER	15	43881	SLUZBY	\N	\N
459161	1561	1996-12-31	VYDAJ	VYBER	15	45208	SLUZBY	\N	\N
459162	1561	1997-01-31	VYDAJ	VYBER	15	40874	SLUZBY	\N	\N
459163	1561	1997-02-28	VYDAJ	VYBER	15	44390	SLUZBY	\N	\N
459164	1561	1997-03-31	VYDAJ	VYBER	15	46318	SLUZBY	\N	\N
459165	1561	1997-04-30	VYDAJ	VYBER	15	49857	SLUZBY	\N	\N
459166	1561	1997-05-31	VYDAJ	VYBER	15	52309	SLUZBY	\N	\N
459167	1561	1997-06-30	VYDAJ	VYBER	15	46280	SLUZBY	\N	\N
459168	1561	1997-07-31	VYDAJ	VYBER	15	48695	SLUZBY	\N	\N
459169	1561	1997-08-31	VYDAJ	VYBER	15	49539	SLUZBY	\N	\N
459170	1561	1997-09-30	VYDAJ	VYBER	15	51489	SLUZBY	\N	\N
459171	1561	1997-10-31	VYDAJ	VYBER	15	50240	SLUZBY	\N	\N
459172	1561	1997-11-30	VYDAJ	VYBER	15	53194	SLUZBY	\N	\N
459173	1561	1997-12-31	VYDAJ	VYBER	15	45075	SLUZBY	\N	\N
459174	1561	1998-01-31	VYDAJ	VYBER	15	38986	SLUZBY	\N	\N
459175	1561	1998-02-28	VYDAJ	VYBER	15	38559	SLUZBY	\N	\N
459176	1561	1998-03-31	VYDAJ	VYBER	15	42066	SLUZBY	\N	\N
459177	1561	1998-04-30	VYDAJ	VYBER	15	36428	SLUZBY	\N	\N
459178	1561	1998-05-31	VYDAJ	VYBER	15	39926	SLUZBY	\N	\N
459179	1561	1998-06-30	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
459180	1561	1998-07-31	VYDAJ	VYBER	15	35968	SLUZBY	\N	\N
459181	1561	1998-08-31	VYDAJ	VYBER	15	39463	SLUZBY	\N	\N
459182	1561	1998-09-30	VYDAJ	VYBER	15	42973	SLUZBY	\N	\N
459183	1561	1998-10-31	VYDAJ	VYBER	15	39355	SLUZBY	\N	\N
459184	1561	1998-11-30	VYDAJ	VYBER	15	42863	SLUZBY	\N	\N
459185	1561	1995-08-29	VYDAJ	VYBER	1800	25475	\N	\N	\N
459186	1561	1995-10-28	VYDAJ	VYBER	900	31444	\N	\N	\N
459187	1561	1995-11-27	VYDAJ	VYBER	2000	32111	\N	\N	\N
459188	1561	1996-12-21	VYDAJ	VYBER	1600	45633	\N	\N	\N
459189	1561	1997-01-20	VYDAJ	VYBER	2100	45660	\N	\N	\N
459190	1561	1997-05-20	VYDAJ	VYBER	1100	52109	\N	\N	\N
459191	1561	1997-08-18	VYDAJ	VYBER	2700	49347	\N	\N	\N
459192	1561	1997-09-17	VYDAJ	VYBER	1600	51291	\N	\N	\N
459193	1561	1997-10-17	VYDAJ	VYBER	4800	50041	\N	\N	\N
459194	1561	1997-11-16	VYDAJ	VYBER	600	52992	\N	\N	\N
459195	1561	1997-12-16	VYDAJ	VYBER	5600	50946	\N	\N	\N
459196	1561	1998-04-15	VYDAJ	VYBER	2900	42518	\N	\N	\N
459197	1561	1998-06-14	VYDAJ	VYBER	1900	41378	\N	\N	\N
459243	1562	1995-08-30	PRIJEM	VKLAD	600	600	\N	\N	\N
459252	1562	1995-09-09	PRIJEM	PREVOD Z UCTU	2900	3500	\N	UV	26320064
459253	1562	1995-10-09	PRIJEM	PREVOD Z UCTU	2900	6400	\N	UV	26320064
459254	1562	1995-11-09	PRIJEM	PREVOD Z UCTU	2900	9300	\N	UV	26320064
459255	1562	1995-12-09	PRIJEM	PREVOD Z UCTU	2900	12200	\N	UV	26320064
459256	1562	1996-01-09	PRIJEM	PREVOD Z UCTU	2900	15100	\N	UV	26320064
459257	1562	1996-02-09	PRIJEM	PREVOD Z UCTU	2900	15041	\N	UV	26320064
459258	1562	1996-03-09	PRIJEM	PREVOD Z UCTU	2900	16052	\N	UV	26320064
459259	1562	1996-04-09	PRIJEM	PREVOD Z UCTU	2900	17068	\N	UV	26320064
459260	1562	1996-05-09	PRIJEM	PREVOD Z UCTU	2900	18083	\N	UV	26320064
459261	1562	1996-06-09	PRIJEM	PREVOD Z UCTU	2900	19107	\N	UV	26320064
459262	1562	1996-07-09	PRIJEM	PREVOD Z UCTU	2900	18783	\N	UV	26320064
459263	1562	1996-08-09	PRIJEM	PREVOD Z UCTU	2900	19805	\N	UV	26320064
459264	1562	1996-09-09	PRIJEM	PREVOD Z UCTU	2900	20836	\N	UV	26320064
459265	1562	1996-10-09	PRIJEM	PREVOD Z UCTU	2900	21867	\N	UV	26320064
459266	1562	1996-11-09	PRIJEM	PREVOD Z UCTU	2900	22277	\N	UV	26320064
459267	1562	1996-12-09	PRIJEM	PREVOD Z UCTU	2900	23313	\N	UV	26320064
459268	1562	1997-01-09	PRIJEM	PREVOD Z UCTU	2900	22613	\N	UV	26320064
459269	1562	1997-02-09	PRIJEM	PREVOD Z UCTU	2900	20230	\N	UV	26320064
459270	1562	1997-03-09	PRIJEM	PREVOD Z UCTU	2900	21258	\N	UV	26320064
459271	1562	1997-04-09	PRIJEM	PREVOD Z UCTU	2900	22296	\N	UV	26320064
459272	1562	1997-05-09	PRIJEM	PREVOD Z UCTU	2900	23332	\N	UV	26320064
459273	1562	1997-06-09	PRIJEM	PREVOD Z UCTU	2900	21228	\N	UV	26320064
459274	1562	1997-07-09	PRIJEM	PREVOD Z UCTU	2900	22269	\N	UV	26320064
459275	1562	1997-08-09	PRIJEM	PREVOD Z UCTU	2900	21954	\N	UV	26320064
459276	1562	1997-09-09	PRIJEM	PREVOD Z UCTU	2900	22989	\N	UV	26320064
459277	1562	1997-10-09	PRIJEM	PREVOD Z UCTU	2900	22676	\N	UV	26320064
459278	1562	1997-11-09	PRIJEM	PREVOD Z UCTU	2900	23720	\N	UV	26320064
459279	1562	1997-12-09	PRIJEM	PREVOD Z UCTU	2900	24762	\N	UV	26320064
459280	1562	1998-01-09	PRIJEM	PREVOD Z UCTU	2900	22716	\N	UV	26320064
459281	1562	1998-02-09	PRIJEM	PREVOD Z UCTU	2900	21290	\N	UV	26320064
459282	1562	1998-03-09	PRIJEM	PREVOD Z UCTU	2900	22327	\N	UV	26320064
459283	1562	1998-04-09	PRIJEM	PREVOD Z UCTU	2900	23363	\N	UV	26320064
459284	1562	1998-05-09	PRIJEM	PREVOD Z UCTU	2900	24403	\N	UV	26320064
459285	1562	1998-06-09	PRIJEM	PREVOD Z UCTU	2900	23615	\N	UV	26320064
459286	1562	1998-07-09	PRIJEM	PREVOD Z UCTU	2900	17478	\N	UV	26320064
459287	1562	1998-08-09	PRIJEM	PREVOD Z UCTU	2900	18493	\N	UV	26320064
459288	1562	1998-09-09	PRIJEM	PREVOD Z UCTU	2900	18251	\N	UV	26320064
459289	1562	1998-10-09	PRIJEM	PREVOD Z UCTU	2900	19275	\N	UV	26320064
459290	1562	1998-11-09	PRIJEM	PREVOD Z UCTU	2900	20304	\N	UV	26320064
459291	1562	1998-12-09	PRIJEM	PREVOD Z UCTU	2900	21331	\N	UV	26320064
459304	1562	1996-01-09	VYDAJ	PREVOD NA UCET	1933	13167	SIPO	EF	14241010
459305	1562	1996-02-09	VYDAJ	PREVOD NA UCET	1933	13108	SIPO	EF	14241010
459306	1562	1996-03-09	VYDAJ	PREVOD NA UCET	1933	14119	SIPO	EF	14241010
459307	1562	1996-04-09	VYDAJ	PREVOD NA UCET	1933	15135	SIPO	EF	14241010
459308	1562	1996-05-09	VYDAJ	PREVOD NA UCET	1933	16150	SIPO	EF	14241010
459309	1562	1996-06-09	VYDAJ	PREVOD NA UCET	1933	17174	SIPO	EF	14241010
459310	1562	1996-07-09	VYDAJ	PREVOD NA UCET	1933	16850	SIPO	EF	14241010
459311	1562	1996-08-09	VYDAJ	PREVOD NA UCET	1933	17872	SIPO	EF	14241010
459312	1562	1996-09-09	VYDAJ	PREVOD NA UCET	1933	18903	SIPO	EF	14241010
459313	1562	1996-10-09	VYDAJ	PREVOD NA UCET	1933	19934	SIPO	EF	14241010
459314	1562	1996-11-09	VYDAJ	PREVOD NA UCET	1933	20344	SIPO	EF	14241010
459315	1562	1996-12-09	VYDAJ	PREVOD NA UCET	1933	21380	SIPO	EF	14241010
459316	1562	1997-01-09	VYDAJ	PREVOD NA UCET	1933	20680	SIPO	EF	14241010
459317	1562	1997-02-09	VYDAJ	PREVOD NA UCET	1933	18297	SIPO	EF	14241010
459318	1562	1997-03-09	VYDAJ	PREVOD NA UCET	1933	19325	SIPO	EF	14241010
459319	1562	1997-04-09	VYDAJ	PREVOD NA UCET	1933	20363	SIPO	EF	14241010
459320	1562	1997-05-09	VYDAJ	PREVOD NA UCET	1933	21399	SIPO	EF	14241010
459321	1562	1997-06-09	VYDAJ	PREVOD NA UCET	1933	19295	SIPO	EF	14241010
459322	1562	1997-07-09	VYDAJ	PREVOD NA UCET	1933	20336	SIPO	EF	14241010
459323	1562	1997-08-09	VYDAJ	PREVOD NA UCET	1933	20021	SIPO	EF	14241010
459324	1562	1997-09-09	VYDAJ	PREVOD NA UCET	1933	21056	SIPO	EF	14241010
459325	1562	1997-10-09	VYDAJ	PREVOD NA UCET	1933	20743	SIPO	EF	14241010
459326	1562	1997-11-09	VYDAJ	PREVOD NA UCET	1933	21787	SIPO	EF	14241010
459327	1562	1997-12-09	VYDAJ	PREVOD NA UCET	1933	22829	SIPO	EF	14241010
459328	1562	1998-01-09	VYDAJ	PREVOD NA UCET	1933	20783	SIPO	EF	14241010
459329	1562	1998-02-09	VYDAJ	PREVOD NA UCET	1933	19357	SIPO	EF	14241010
459330	1562	1998-03-09	VYDAJ	PREVOD NA UCET	1933	20394	SIPO	EF	14241010
459331	1562	1998-04-09	VYDAJ	PREVOD NA UCET	1933	21430	SIPO	EF	14241010
459332	1562	1998-05-09	VYDAJ	PREVOD NA UCET	1933	22470	SIPO	EF	14241010
459333	1562	1998-06-09	VYDAJ	PREVOD NA UCET	1933	21682	SIPO	EF	14241010
459334	1562	1998-07-09	VYDAJ	PREVOD NA UCET	1933	15545	SIPO	EF	14241010
459335	1562	1998-08-09	VYDAJ	PREVOD NA UCET	1933	16560	SIPO	EF	14241010
459336	1562	1998-09-09	VYDAJ	PREVOD NA UCET	1933	16318	SIPO	EF	14241010
459337	1562	1998-10-09	VYDAJ	PREVOD NA UCET	1933	17342	SIPO	EF	14241010
459338	1562	1998-11-09	VYDAJ	PREVOD NA UCET	1933	18371	SIPO	EF	14241010
459339	1562	1998-12-09	VYDAJ	PREVOD NA UCET	1933	19398	SIPO	EF	14241010
459342	1562	1997-06-07	VYDAJ	VYBER	3150	18328	\N	\N	\N
459343	1562	1998-06-20	VYDAJ	VYBER	7170	14512	\N	\N	\N
459345	1562	1996-12-30	VYDAJ	VYBER	870	20510	\N	\N	\N
459346	1562	1997-12-27	VYDAJ	VYBER	810	20669	\N	\N	\N
459347	1562	1998-12-20	VYDAJ	VYBER	390	19008	\N	\N	\N
459356	1562	1996-01-17	VYDAJ	VYBER	840	12117	\N	\N	\N
459357	1562	1996-01-16	VYDAJ	VYBER	210	12957	\N	\N	\N
459360	1562	1997-01-25	VYDAJ	VYBER	570	18010	\N	\N	\N
459361	1562	1997-01-18	VYDAJ	VYBER	360	20050	\N	\N	\N
459362	1562	1997-01-22	VYDAJ	VYBER	870	18580	\N	\N	\N
459363	1562	1997-01-19	VYDAJ	VYBER	600	19450	\N	\N	\N
459364	1562	1997-01-18	VYDAJ	VYBER	270	20410	\N	\N	\N
459365	1562	1997-01-01	VYDAJ	VYBER	870	19713	\N	\N	\N
459366	1562	1998-01-29	VYDAJ	VYBER	510	18323	\N	\N	\N
459367	1562	1998-01-17	VYDAJ	VYBER	780	19553	\N	\N	\N
459368	1562	1998-01-05	VYDAJ	VYBER	690	19816	\N	\N	\N
459369	1562	1998-01-20	VYDAJ	VYBER	720	18833	\N	\N	\N
459370	1562	1998-01-01	VYDAJ	VYBER	240	20506	\N	\N	\N
459371	1562	1998-01-11	VYDAJ	VYBER	450	20333	\N	\N	\N
459379	1562	1996-06-26	VYDAJ	VYBER	1350	15824	\N	\N	\N
459380	1562	1996-11-08	VYDAJ	VYBER	630	19377	\N	\N	\N
459382	1562	1997-02-01	VYDAJ	VYBER	750	17330	\N	\N	\N
459383	1562	1997-09-10	VYDAJ	VYBER	600	20456	\N	\N	\N
459384	1562	1997-07-26	VYDAJ	VYBER	1110	19226	\N	\N	\N
459385	1562	1997-10-03	VYDAJ	VYBER	750	19776	\N	\N	\N
459386	1562	1997-08-02	VYDAJ	VYBER	240	19054	\N	\N	\N
459387	1562	1997-12-25	VYDAJ	VYBER	1350	21479	\N	\N	\N
459388	1562	1998-05-16	VYDAJ	VYBER	480	21990	\N	\N	\N
459389	1562	1998-08-20	VYDAJ	VYBER	1260	15300	\N	\N	\N
459390	1562	1998-05-19	VYDAJ	VYBER	1350	20640	\N	\N	\N
459404	1562	1996-01-31	VYDAJ	VYBER	15	12141	SLUZBY	\N	\N
459405	1562	1996-02-29	VYDAJ	VYBER	15	13152	SLUZBY	\N	\N
459406	1562	1996-03-31	VYDAJ	VYBER	15	14168	SLUZBY	\N	\N
459407	1562	1996-04-30	VYDAJ	VYBER	15	15183	SLUZBY	\N	\N
459408	1562	1996-05-31	VYDAJ	VYBER	15	16207	SLUZBY	\N	\N
459409	1562	1996-06-30	VYDAJ	VYBER	15	15883	SLUZBY	\N	\N
459410	1562	1996-07-31	VYDAJ	VYBER	15	16905	SLUZBY	\N	\N
459411	1562	1996-08-31	VYDAJ	VYBER	15	17936	SLUZBY	\N	\N
459412	1562	1996-09-30	VYDAJ	VYBER	15	18967	SLUZBY	\N	\N
459413	1562	1996-10-31	VYDAJ	VYBER	15	20007	SLUZBY	\N	\N
459414	1562	1996-11-30	VYDAJ	VYBER	15	20413	SLUZBY	\N	\N
459415	1562	1996-12-31	VYDAJ	VYBER	15	20583	SLUZBY	\N	\N
459416	1562	1997-01-31	VYDAJ	VYBER	15	18080	SLUZBY	\N	\N
459417	1562	1997-02-28	VYDAJ	VYBER	15	18358	SLUZBY	\N	\N
459418	1562	1997-03-31	VYDAJ	VYBER	15	19396	SLUZBY	\N	\N
459419	1562	1997-04-30	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
459420	1562	1997-05-31	VYDAJ	VYBER	15	21478	SLUZBY	\N	\N
459421	1562	1997-06-30	VYDAJ	VYBER	15	19369	SLUZBY	\N	\N
459422	1562	1997-07-31	VYDAJ	VYBER	15	19294	SLUZBY	\N	\N
459423	1562	1997-08-31	VYDAJ	VYBER	15	20089	SLUZBY	\N	\N
459424	1562	1997-09-30	VYDAJ	VYBER	15	20526	SLUZBY	\N	\N
459425	1562	1997-10-31	VYDAJ	VYBER	15	20820	SLUZBY	\N	\N
459426	1562	1997-11-30	VYDAJ	VYBER	15	21862	SLUZBY	\N	\N
459427	1562	1997-12-31	VYDAJ	VYBER	15	20746	SLUZBY	\N	\N
459428	1562	1998-01-31	VYDAJ	VYBER	15	18390	SLUZBY	\N	\N
459429	1562	1998-02-28	VYDAJ	VYBER	15	19427	SLUZBY	\N	\N
459430	1562	1998-03-31	VYDAJ	VYBER	15	20463	SLUZBY	\N	\N
459431	1562	1998-04-30	VYDAJ	VYBER	15	21503	SLUZBY	\N	\N
459432	1562	1998-05-31	VYDAJ	VYBER	15	20715	SLUZBY	\N	\N
459433	1562	1998-06-30	VYDAJ	VYBER	15	14578	SLUZBY	\N	\N
459434	1562	1998-07-31	VYDAJ	VYBER	15	15593	SLUZBY	\N	\N
459435	1562	1998-08-31	VYDAJ	VYBER	15	15351	SLUZBY	\N	\N
459436	1562	1998-09-30	VYDAJ	VYBER	15	16375	SLUZBY	\N	\N
459437	1562	1998-10-31	VYDAJ	VYBER	15	17404	SLUZBY	\N	\N
459438	1562	1998-11-30	VYDAJ	VYBER	15	18431	SLUZBY	\N	\N
459475	1563	1996-08-14	PRIJEM	VKLAD	900	900	\N	\N	\N
459548	1563	1996-09-13	PRIJEM	VKLAD	11300	12200	\N	\N	\N
459549	1563	1996-10-13	PRIJEM	VKLAD	4400	16600	\N	\N	\N
459550	1563	1996-11-12	PRIJEM	VKLAD	700	17300	\N	\N	\N
459551	1563	1996-12-12	PRIJEM	VKLAD	700	18000	\N	\N	\N
459552	1563	1997-01-11	VYDAJ	VYBER	2700	15300	\N	\N	\N
459553	1563	1997-02-10	VYDAJ	VYBER	2700	12600	\N	\N	\N
459554	1563	1997-03-12	VYDAJ	VYBER	200	12400	\N	\N	\N
459555	1563	1997-04-11	VYDAJ	VYBER	2100	10300	\N	\N	\N
459556	1563	1997-06-10	PRIJEM	VKLAD	3700	14000	\N	\N	\N
459557	1563	1997-07-10	VYDAJ	VYBER	100	13900	\N	\N	\N
459558	1563	1997-08-09	VYDAJ	VYBER	3900	10000	\N	\N	\N
459559	1564	1996-03-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
459560	1564	1996-07-19	PRIJEM	VKLAD	29349	56948	\N	\N	\N
459561	1564	1996-12-10	PRIJEM	VKLAD	12353	49124	\N	\N	\N
459562	1564	1997-02-26	PRIJEM	VKLAD	14042	44310	\N	\N	\N
459563	1564	1997-08-27	PRIJEM	VKLAD	5121	35087	\N	\N	\N
459564	1564	1998-11-26	PRIJEM	VKLAD	19671	47243	\N	\N	\N
459565	1564	1998-06-20	PRIJEM	VKLAD	20173	49664	\N	\N	\N
459568	1564	1996-03-14	PRIJEM	VKLAD	1900	2900	\N	\N	\N
459569	1564	1996-04-16	PRIJEM	VKLAD	1900	14211	\N	\N	\N
459570	1564	1996-05-17	PRIJEM	VKLAD	1900	19354	\N	\N	\N
459571	1564	1996-06-16	PRIJEM	VKLAD	1900	23516	\N	\N	\N
459572	1564	1996-07-13	PRIJEM	VKLAD	1900	25699	\N	\N	\N
459573	1564	1996-08-14	PRIJEM	VKLAD	1900	44343	\N	\N	\N
459574	1564	1996-09-14	PRIJEM	VKLAD	1900	37937	\N	\N	\N
459575	1564	1996-10-16	PRIJEM	VKLAD	1900	34800	\N	\N	\N
459576	1564	1996-11-16	PRIJEM	VKLAD	1900	34244	\N	\N	\N
459577	1564	1996-12-16	PRIJEM	VKLAD	1900	49124	\N	\N	\N
459578	1564	1997-01-16	PRIJEM	VKLAD	1900	32049	\N	\N	\N
459579	1564	1997-02-14	PRIJEM	VKLAD	1900	28368	\N	\N	\N
459580	1564	1997-03-13	PRIJEM	VKLAD	1900	40217	\N	\N	\N
459581	1564	1997-04-14	PRIJEM	VKLAD	1900	39868	\N	\N	\N
459582	1564	1997-05-17	PRIJEM	VKLAD	1900	41718	\N	\N	\N
459583	1564	1997-06-15	PRIJEM	VKLAD	1900	15674	\N	\N	\N
459584	1564	1997-07-17	PRIJEM	VKLAD	1900	27070	\N	\N	\N
459585	1564	1997-08-13	PRIJEM	VKLAD	1900	28066	\N	\N	\N
459586	1564	1997-09-16	PRIJEM	VKLAD	1900	33791	\N	\N	\N
459587	1564	1997-10-14	PRIJEM	VKLAD	1900	34614	\N	\N	\N
459588	1564	1997-11-13	PRIJEM	VKLAD	1900	30636	\N	\N	\N
459589	1564	1997-12-15	PRIJEM	VKLAD	1900	29644	\N	\N	\N
459590	1564	1998-01-16	PRIJEM	VKLAD	1900	24697	\N	\N	\N
459591	1564	1998-02-14	PRIJEM	VKLAD	1900	22384	\N	\N	\N
459592	1564	1998-03-14	PRIJEM	VKLAD	1900	30967	\N	\N	\N
459593	1564	1998-04-16	PRIJEM	VKLAD	1900	29375	\N	\N	\N
459594	1564	1998-05-13	PRIJEM	VKLAD	1900	32481	\N	\N	\N
459595	1564	1998-06-14	PRIJEM	VKLAD	1900	27591	\N	\N	\N
459596	1564	1998-07-17	PRIJEM	VKLAD	1900	39680	\N	\N	\N
459597	1564	1998-08-13	PRIJEM	VKLAD	1900	37674	\N	\N	\N
459598	1564	1998-09-14	PRIJEM	VKLAD	1900	35913	\N	\N	\N
459599	1564	1998-10-16	PRIJEM	VKLAD	1900	36046	\N	\N	\N
459600	1564	1998-11-17	PRIJEM	VKLAD	1900	34672	\N	\N	\N
459601	1564	1998-12-14	PRIJEM	VKLAD	1900	48470	\N	\N	\N
459604	1564	1996-03-18	PRIJEM	VKLAD	1900	4800	\N	\N	\N
459605	1564	1996-04-18	PRIJEM	VKLAD	1900	16111	\N	\N	\N
459606	1564	1996-05-18	PRIJEM	VKLAD	1900	21254	\N	\N	\N
459607	1564	1996-06-18	PRIJEM	VKLAD	1900	25416	\N	\N	\N
459608	1564	1996-07-18	PRIJEM	VKLAD	1900	27599	\N	\N	\N
459609	1564	1996-08-18	PRIJEM	VKLAD	1900	46243	\N	\N	\N
459610	1564	1996-09-18	PRIJEM	VKLAD	1900	39837	\N	\N	\N
459611	1564	1996-10-18	PRIJEM	VKLAD	1900	36700	\N	\N	\N
459612	1564	1996-11-18	PRIJEM	VKLAD	1900	36144	\N	\N	\N
459613	1564	1996-12-18	PRIJEM	VKLAD	1900	51024	\N	\N	\N
459614	1564	1997-01-18	PRIJEM	VKLAD	1900	33949	\N	\N	\N
459615	1564	1997-02-18	PRIJEM	VKLAD	1900	30268	\N	\N	\N
459616	1564	1997-03-18	PRIJEM	VKLAD	1900	42117	\N	\N	\N
459617	1564	1997-04-18	PRIJEM	VKLAD	1900	41768	\N	\N	\N
459618	1564	1997-05-18	PRIJEM	VKLAD	1900	43618	\N	\N	\N
459619	1564	1997-06-18	PRIJEM	VKLAD	1900	17574	\N	\N	\N
459620	1564	1997-07-18	PRIJEM	VKLAD	1900	28970	\N	\N	\N
459621	1564	1997-08-18	PRIJEM	VKLAD	1900	29966	\N	\N	\N
459622	1564	1997-09-18	PRIJEM	VKLAD	1900	35691	\N	\N	\N
459623	1564	1997-10-18	PRIJEM	VKLAD	1900	36514	\N	\N	\N
459624	1564	1997-11-18	PRIJEM	VKLAD	1900	32536	\N	\N	\N
459625	1564	1997-12-18	PRIJEM	VKLAD	1900	30594	\N	\N	\N
459626	1564	1998-01-18	PRIJEM	VKLAD	1900	26597	\N	\N	\N
459627	1564	1998-02-18	PRIJEM	VKLAD	1900	24284	\N	\N	\N
459628	1564	1998-03-18	PRIJEM	VKLAD	1900	32867	\N	\N	\N
459629	1564	1998-04-18	PRIJEM	VKLAD	1900	31275	\N	\N	\N
459630	1564	1998-05-18	PRIJEM	VKLAD	1900	34381	\N	\N	\N
459631	1564	1998-06-18	PRIJEM	VKLAD	1900	29491	\N	\N	\N
459632	1564	1998-07-18	PRIJEM	VKLAD	1900	41580	\N	\N	\N
459633	1564	1998-08-18	PRIJEM	VKLAD	1900	39574	\N	\N	\N
459634	1564	1998-09-18	PRIJEM	VKLAD	1900	37813	\N	\N	\N
459635	1564	1998-10-18	PRIJEM	VKLAD	1900	37946	\N	\N	\N
459636	1564	1998-11-18	PRIJEM	VKLAD	1900	36572	\N	\N	\N
459637	1564	1998-12-18	PRIJEM	VKLAD	1900	50370	\N	\N	\N
459639	1564	1997-06-13	VYDAJ	VYBER	4700	33074	\N	\N	\N
459642	1564	1997-01-18	VYDAJ	VYBER	8100	25849	\N	\N	\N
459643	1564	1998-01-10	VYDAJ	VYBER	4500	23047	\N	\N	\N
459645	1564	1997-06-14	VYDAJ	VYBER	19300	13774	\N	\N	\N
459648	1564	1997-01-10	VYDAJ	VYBER	7300	33649	\N	\N	\N
459649	1564	1998-01-23	VYDAJ	VYBER	6100	18647	\N	\N	\N
459650	1564	1996-12-27	VYDAJ	VYBER	800	50224	\N	\N	\N
459651	1564	1997-12-24	VYDAJ	VYBER	1700	28894	\N	\N	\N
459652	1564	1998-12-13	VYDAJ	VYBER	800	46570	\N	\N	\N
459659	1564	1997-01-11	VYDAJ	VYBER	1450	31599	\N	\N	\N
459660	1564	1997-01-11	VYDAJ	VYBER	600	33049	\N	\N	\N
459661	1564	1997-01-08	VYDAJ	VYBER	1450	40949	\N	\N	\N
459662	1564	1997-01-21	VYDAJ	VYBER	1400	24449	\N	\N	\N
459663	1564	1997-01-13	VYDAJ	VYBER	900	30699	\N	\N	\N
459664	1564	1997-01-15	VYDAJ	VYBER	550	30149	\N	\N	\N
459665	1564	1998-01-23	VYDAJ	VYBER	450	18197	\N	\N	\N
459666	1564	1998-01-19	VYDAJ	VYBER	1450	25147	\N	\N	\N
459667	1564	1998-01-30	VYDAJ	VYBER	400	21297	\N	\N	\N
459668	1564	1998-01-14	VYDAJ	VYBER	250	22797	\N	\N	\N
459669	1564	1998-01-20	VYDAJ	VYBER	400	24747	\N	\N	\N
459670	1564	1998-01-07	VYDAJ	VYBER	550	27547	\N	\N	\N
459671	1564	1996-12-10	VYDAJ	VYBER	1900	47224	\N	\N	\N
459673	1564	1996-07-31	VYDAJ	VYBER	250	55743	\N	\N	\N
459674	1564	1996-07-24	VYDAJ	VYBER	1100	55848	\N	\N	\N
459676	1564	1997-12-15	VYDAJ	VYBER	950	28694	\N	\N	\N
459677	1564	1998-02-03	VYDAJ	VYBER	900	20484	\N	\N	\N
459678	1564	1998-12-27	VYDAJ	VYBER	550	39220	\N	\N	\N
459679	1564	1998-09-02	VYDAJ	VYBER	1900	34013	\N	\N	\N
459680	1564	1998-08-06	VYDAJ	VYBER	1650	35774	\N	\N	\N
459686	1564	1996-05-31	VYDAJ	VYBER	15	21316	SLUZBY	\N	\N
459687	1564	1996-06-30	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
459688	1564	1996-07-31	VYDAJ	VYBER	15	55993	SLUZBY	\N	\N
459689	1564	1996-08-31	VYDAJ	VYBER	15	46437	SLUZBY	\N	\N
459690	1564	1996-09-30	VYDAJ	VYBER	15	40000	SLUZBY	\N	\N
459691	1564	1996-10-31	VYDAJ	VYBER	15	36844	SLUZBY	\N	\N
459692	1564	1996-11-30	VYDAJ	VYBER	15	36771	SLUZBY	\N	\N
459693	1564	1996-12-31	VYDAJ	VYBER	15	42399	SLUZBY	\N	\N
459694	1564	1997-01-31	VYDAJ	VYBER	15	26468	SLUZBY	\N	\N
459695	1564	1997-02-28	VYDAJ	VYBER	15	38317	SLUZBY	\N	\N
459696	1564	1997-03-31	VYDAJ	VYBER	15	37968	SLUZBY	\N	\N
459697	1564	1997-04-30	VYDAJ	VYBER	15	39818	SLUZBY	\N	\N
459698	1564	1997-05-31	VYDAJ	VYBER	15	37774	SLUZBY	\N	\N
459699	1564	1997-06-30	VYDAJ	VYBER	15	25170	SLUZBY	\N	\N
459700	1564	1997-07-31	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
459701	1564	1997-08-31	VYDAJ	VYBER	15	31891	SLUZBY	\N	\N
459702	1564	1997-09-30	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
459703	1564	1997-10-31	VYDAJ	VYBER	15	28736	SLUZBY	\N	\N
459704	1564	1997-11-30	VYDAJ	VYBER	15	27744	SLUZBY	\N	\N
459705	1564	1997-12-31	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
459706	1564	1998-01-31	VYDAJ	VYBER	15	21384	SLUZBY	\N	\N
459707	1564	1998-02-28	VYDAJ	VYBER	15	29067	SLUZBY	\N	\N
459708	1564	1998-03-31	VYDAJ	VYBER	15	27475	SLUZBY	\N	\N
459709	1564	1998-04-30	VYDAJ	VYBER	15	30581	SLUZBY	\N	\N
459710	1564	1998-05-31	VYDAJ	VYBER	15	25691	SLUZBY	\N	\N
459711	1564	1998-06-30	VYDAJ	VYBER	15	37780	SLUZBY	\N	\N
459712	1564	1998-07-31	VYDAJ	VYBER	15	37424	SLUZBY	\N	\N
459713	1564	1998-08-31	VYDAJ	VYBER	15	35913	SLUZBY	\N	\N
459714	1564	1998-09-30	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
459715	1564	1998-10-31	VYDAJ	VYBER	15	32772	SLUZBY	\N	\N
459716	1564	1998-11-30	VYDAJ	VYBER	15	47370	SLUZBY	\N	\N
459717	1564	1996-04-04	PRIJEM	VKLAD	7500	12311	\N	\N	\N
459718	1564	1996-05-04	PRIJEM	VKLAD	1300	17454	\N	\N	\N
459719	1564	1996-06-03	PRIJEM	VKLAD	300	21616	\N	\N	\N
459720	1564	1996-07-03	VYDAJ	VYBER	1700	23799	\N	\N	\N
459721	1564	1996-08-02	VYDAJ	VYBER	13300	42443	\N	\N	\N
459722	1564	1996-09-01	VYDAJ	VYBER	10400	36037	\N	\N	\N
459723	1564	1996-10-01	VYDAJ	VYBER	7100	32900	\N	\N	\N
459724	1564	1996-10-31	VYDAJ	VYBER	4500	32344	\N	\N	\N
459725	1564	1996-11-30	PRIJEM	VKLAD	500	36644	\N	\N	\N
459726	1564	1996-12-30	VYDAJ	VYBER	8000	42224	\N	\N	\N
459727	1564	1997-01-29	PRIJEM	VKLAD	1900	26349	\N	\N	\N
459728	1564	1997-02-28	VYDAJ	VYBER	6100	38332	\N	\N	\N
459729	1564	1997-03-30	VYDAJ	VYBER	4300	37817	\N	\N	\N
459730	1564	1997-04-29	VYDAJ	VYBER	2100	39668	\N	\N	\N
459731	1564	1997-05-29	VYDAJ	VYBER	6000	37618	\N	\N	\N
459732	1564	1997-06-28	PRIJEM	VKLAD	7500	25074	\N	\N	\N
459733	1564	1997-07-28	VYDAJ	VYBER	2900	26070	\N	\N	\N
459734	1564	1997-08-27	VYDAJ	VYBER	3300	31787	\N	\N	\N
459735	1564	1997-09-26	VYDAJ	VYBER	3100	32591	\N	\N	\N
459736	1564	1997-10-26	VYDAJ	VYBER	7900	28614	\N	\N	\N
459737	1564	1997-11-25	VYDAJ	VYBER	4900	27636	\N	\N	\N
459738	1564	1997-12-25	VYDAJ	VYBER	900	27994	\N	\N	\N
459739	1564	1998-01-24	PRIJEM	VKLAD	3500	21697	\N	\N	\N
459740	1564	1998-02-23	PRIJEM	VKLAD	4700	28984	\N	\N	\N
459741	1564	1998-03-25	VYDAJ	VYBER	5500	27367	\N	\N	\N
459742	1564	1998-04-24	VYDAJ	VYBER	800	30475	\N	\N	\N
459743	1564	1998-05-24	VYDAJ	VYBER	8800	25581	\N	\N	\N
459744	1564	1998-06-23	VYDAJ	VYBER	12000	37664	\N	\N	\N
459745	1564	1998-07-23	VYDAJ	VYBER	4300	37280	\N	\N	\N
459746	1564	1998-08-22	VYDAJ	VYBER	3800	35774	\N	\N	\N
459747	1564	1998-09-21	VYDAJ	VYBER	3800	34013	\N	\N	\N
459748	1564	1998-10-21	VYDAJ	VYBER	5300	32646	\N	\N	\N
459749	1564	1998-11-20	VYDAJ	VYBER	9000	27572	\N	\N	\N
459750	1564	1998-12-20	VYDAJ	VYBER	10600	39770	\N	\N	\N
459785	1565	1993-10-20	PRIJEM	VKLAD	200	200	\N	\N	\N
459796	1565	1993-11-12	PRIJEM	VKLAD	4633	4833	\N	\N	\N
459797	1565	1993-12-12	PRIJEM	VKLAD	6950	20806	\N	\N	\N
459798	1565	1994-01-12	PRIJEM	VKLAD	4633	28013	\N	\N	\N
459799	1565	1994-02-12	PRIJEM	VKLAD	4633	33153	\N	\N	\N
459800	1565	1994-03-12	PRIJEM	VKLAD	4633	31301	\N	\N	\N
459801	1565	1994-04-12	PRIJEM	VKLAD	4633	30945	\N	\N	\N
459802	1565	1994-05-12	PRIJEM	VKLAD	4633	31792	\N	\N	\N
459803	1565	1994-06-12	PRIJEM	VKLAD	6950	18897	\N	\N	\N
459804	1565	1994-07-12	PRIJEM	VKLAD	4633	21952	\N	\N	\N
459805	1565	1994-08-12	PRIJEM	VKLAD	4633	19606	\N	\N	\N
459806	1565	1994-09-12	PRIJEM	VKLAD	4633	23712	\N	\N	\N
459807	1565	1994-10-12	PRIJEM	VKLAD	4633	26294	\N	\N	\N
459808	1565	1994-11-12	PRIJEM	VKLAD	4633	29426	\N	\N	\N
459809	1565	1994-12-12	PRIJEM	VKLAD	6950	32984	\N	\N	\N
459810	1565	1995-01-12	PRIJEM	VKLAD	4633	25892	\N	\N	\N
459811	1565	1995-02-12	PRIJEM	VKLAD	4633	25161	\N	\N	\N
459812	1565	1995-03-12	PRIJEM	VKLAD	4633	18182	\N	\N	\N
459813	1565	1995-04-12	PRIJEM	VKLAD	4633	25938	\N	\N	\N
459814	1565	1995-05-12	PRIJEM	VKLAD	4633	33479	\N	\N	\N
459815	1565	1995-06-12	PRIJEM	VKLAD	6950	36653	\N	\N	\N
459816	1565	1995-07-12	PRIJEM	VKLAD	4633	35012	\N	\N	\N
459817	1565	1995-08-12	PRIJEM	VKLAD	4633	32371	\N	\N	\N
459818	1565	1995-09-12	PRIJEM	VKLAD	4633	30166	\N	\N	\N
459819	1565	1995-10-12	PRIJEM	VKLAD	4633	36813	\N	\N	\N
459820	1565	1995-11-12	PRIJEM	VKLAD	4633	40379	\N	\N	\N
459821	1565	1995-12-12	PRIJEM	VKLAD	6950	43980	\N	\N	\N
459822	1565	1996-01-12	PRIJEM	VKLAD	4633	37178	\N	\N	\N
459823	1565	1996-02-12	PRIJEM	VKLAD	4633	27782	\N	\N	\N
459824	1565	1996-03-12	PRIJEM	VKLAD	4633	36107	\N	\N	\N
459825	1565	1996-04-12	PRIJEM	VKLAD	4633	44269	\N	\N	\N
459826	1565	1996-05-12	PRIJEM	VKLAD	4633	45487	\N	\N	\N
459827	1565	1996-06-12	PRIJEM	VKLAD	6950	45613	\N	\N	\N
459828	1565	1996-07-12	PRIJEM	VKLAD	4633	47302	\N	\N	\N
459829	1565	1996-08-12	PRIJEM	VKLAD	4633	48075	\N	\N	\N
459830	1565	1996-09-12	PRIJEM	VKLAD	4633	43713	\N	\N	\N
459831	1565	1996-10-12	PRIJEM	VKLAD	4633	46083	\N	\N	\N
459832	1565	1996-11-12	PRIJEM	VKLAD	4633	46893	\N	\N	\N
459833	1565	1996-12-12	PRIJEM	VKLAD	6950	50125	\N	\N	\N
459834	1565	1997-01-12	PRIJEM	VKLAD	4633	50619	\N	\N	\N
459835	1565	1997-02-12	PRIJEM	VKLAD	4633	40976	\N	\N	\N
459836	1565	1997-03-12	PRIJEM	VKLAD	4633	49259	\N	\N	\N
459837	1565	1997-04-12	PRIJEM	VKLAD	4633	53976	\N	\N	\N
459838	1565	1997-05-12	PRIJEM	VKLAD	4633	52517	\N	\N	\N
459839	1565	1997-06-12	PRIJEM	VKLAD	6950	54073	\N	\N	\N
459840	1565	1997-07-12	PRIJEM	VKLAD	4633	54214	\N	\N	\N
459841	1565	1997-08-12	PRIJEM	VKLAD	4633	51039	\N	\N	\N
459842	1565	1997-09-12	PRIJEM	VKLAD	4633	54170	\N	\N	\N
459843	1565	1997-10-12	PRIJEM	VKLAD	4633	57314	\N	\N	\N
459844	1565	1997-11-12	PRIJEM	VKLAD	4633	58769	\N	\N	\N
459845	1565	1997-12-12	PRIJEM	VKLAD	6950	52665	\N	\N	\N
459846	1565	1998-01-12	PRIJEM	VKLAD	4633	26919	\N	\N	\N
459847	1565	1998-02-12	PRIJEM	VKLAD	4633	32342	\N	\N	\N
459848	1565	1998-03-12	PRIJEM	VKLAD	4633	46405	\N	\N	\N
459849	1565	1998-04-12	PRIJEM	VKLAD	4633	51617	\N	\N	\N
459850	1565	1998-05-12	PRIJEM	VKLAD	4633	51247	\N	\N	\N
459851	1565	1998-06-12	PRIJEM	VKLAD	6950	37132	\N	\N	\N
459852	1565	1998-07-12	PRIJEM	VKLAD	4633	42915	\N	\N	\N
459853	1565	1998-08-12	PRIJEM	VKLAD	4633	39759	\N	\N	\N
459854	1565	1998-09-12	PRIJEM	VKLAD	4633	41240	\N	\N	\N
459855	1565	1998-10-12	PRIJEM	VKLAD	4633	38465	\N	\N	\N
459856	1565	1998-11-12	PRIJEM	VKLAD	4633	34112	\N	\N	\N
459857	1565	1998-12-12	PRIJEM	VKLAD	6950	34366	\N	\N	\N
459873	1565	1994-04-07	VYDAJ	PREVOD NA UCET	610	26695	SIPO	AB	92115938
459874	1565	1994-05-07	VYDAJ	PREVOD NA UCET	610	27159	SIPO	AB	92115938
459875	1565	1994-06-07	VYDAJ	PREVOD NA UCET	610	12330	SIPO	AB	92115938
459876	1565	1994-07-07	VYDAJ	PREVOD NA UCET	610	17702	SIPO	AB	92115938
459877	1565	1994-08-07	VYDAJ	PREVOD NA UCET	610	14973	SIPO	AB	92115938
459878	1565	1994-09-07	VYDAJ	PREVOD NA UCET	610	19079	SIPO	AB	92115938
459879	1565	1994-10-07	VYDAJ	PREVOD NA UCET	610	22044	SIPO	AB	92115938
459880	1565	1994-11-07	VYDAJ	PREVOD NA UCET	610	25176	SIPO	AB	92115938
459881	1565	1994-12-07	VYDAJ	PREVOD NA UCET	610	26034	SIPO	AB	92115938
459882	1565	1995-01-07	VYDAJ	PREVOD NA UCET	610	23322	SIPO	AB	92115938
459883	1565	1995-02-07	VYDAJ	PREVOD NA UCET	610	20528	SIPO	AB	92115938
459884	1565	1995-03-07	VYDAJ	PREVOD NA UCET	610	13932	SIPO	AB	92115938
459885	1565	1995-04-07	VYDAJ	PREVOD NA UCET	610	21688	SIPO	AB	92115938
459886	1565	1995-05-07	VYDAJ	PREVOD NA UCET	610	28846	SIPO	AB	92115938
459887	1565	1995-06-07	VYDAJ	PREVOD NA UCET	610	30086	SIPO	AB	92115938
459888	1565	1995-07-07	VYDAJ	PREVOD NA UCET	610	30762	SIPO	AB	92115938
459889	1565	1995-08-07	VYDAJ	PREVOD NA UCET	610	28721	SIPO	AB	92115938
459890	1565	1995-09-07	VYDAJ	PREVOD NA UCET	610	25216	SIPO	AB	92115938
459891	1565	1995-10-07	VYDAJ	PREVOD NA UCET	610	27180	SIPO	AB	92115938
459892	1565	1995-11-07	VYDAJ	PREVOD NA UCET	610	34229	SIPO	AB	92115938
459893	1565	1995-12-07	VYDAJ	PREVOD NA UCET	610	37813	SIPO	AB	92115938
459894	1565	1996-01-07	VYDAJ	PREVOD NA UCET	610	35645	SIPO	AB	92115938
459895	1565	1996-02-07	VYDAJ	PREVOD NA UCET	610	23149	SIPO	AB	92115938
459896	1565	1996-03-07	VYDAJ	PREVOD NA UCET	610	24774	SIPO	AB	92115938
459897	1565	1996-04-07	VYDAJ	PREVOD NA UCET	610	39636	SIPO	AB	92115938
459898	1565	1996-05-07	VYDAJ	PREVOD NA UCET	610	41237	SIPO	AB	92115938
459899	1565	1996-06-07	VYDAJ	PREVOD NA UCET	610	38663	SIPO	AB	92115938
459900	1565	1996-07-07	VYDAJ	PREVOD NA UCET	610	43052	SIPO	AB	92115938
459901	1565	1996-08-07	VYDAJ	PREVOD NA UCET	610	43825	SIPO	AB	92115938
459902	1565	1996-09-07	VYDAJ	PREVOD NA UCET	610	39080	SIPO	AB	92115938
459903	1565	1996-10-07	VYDAJ	PREVOD NA UCET	610	41450	SIPO	AB	92115938
459904	1565	1996-11-07	VYDAJ	PREVOD NA UCET	610	42260	SIPO	AB	92115938
459905	1565	1996-12-07	VYDAJ	PREVOD NA UCET	610	43175	SIPO	AB	92115938
459906	1565	1997-01-07	VYDAJ	PREVOD NA UCET	610	45986	SIPO	AB	92115938
459907	1565	1997-02-07	VYDAJ	PREVOD NA UCET	610	36726	SIPO	AB	92115938
459908	1565	1997-03-07	VYDAJ	PREVOD NA UCET	610	44626	SIPO	AB	92115938
459909	1565	1997-04-07	VYDAJ	PREVOD NA UCET	610	49343	SIPO	AB	92115938
459910	1565	1997-05-07	VYDAJ	PREVOD NA UCET	610	48267	SIPO	AB	92115938
459911	1565	1997-06-07	VYDAJ	PREVOD NA UCET	610	47506	SIPO	AB	92115938
459912	1565	1997-07-07	VYDAJ	PREVOD NA UCET	610	49581	SIPO	AB	92115938
459913	1565	1997-08-07	VYDAJ	PREVOD NA UCET	610	46406	SIPO	AB	92115938
459914	1565	1997-09-07	VYDAJ	PREVOD NA UCET	610	49920	SIPO	AB	92115938
459915	1565	1997-10-07	VYDAJ	PREVOD NA UCET	610	52681	SIPO	AB	92115938
459916	1565	1997-11-07	VYDAJ	PREVOD NA UCET	610	54136	SIPO	AB	92115938
459917	1565	1997-12-07	VYDAJ	PREVOD NA UCET	610	50755	SIPO	AB	92115938
459918	1565	1998-01-07	VYDAJ	PREVOD NA UCET	610	25069	SIPO	AB	92115938
459919	1565	1998-02-07	VYDAJ	PREVOD NA UCET	610	32629	SIPO	AB	92115938
459920	1565	1998-03-07	VYDAJ	PREVOD NA UCET	610	42155	SIPO	AB	92115938
459921	1565	1998-04-07	VYDAJ	PREVOD NA UCET	610	47367	SIPO	AB	92115938
459922	1565	1998-05-07	VYDAJ	PREVOD NA UCET	610	46614	SIPO	AB	92115938
459923	1565	1998-06-07	VYDAJ	PREVOD NA UCET	610	30182	SIPO	AB	92115938
459924	1565	1998-07-07	VYDAJ	PREVOD NA UCET	610	38665	SIPO	AB	92115938
459925	1565	1998-08-07	VYDAJ	PREVOD NA UCET	610	35509	SIPO	AB	92115938
459926	1565	1998-09-07	VYDAJ	PREVOD NA UCET	610	36990	SIPO	AB	92115938
459927	1565	1998-10-07	VYDAJ	PREVOD NA UCET	610	34215	SIPO	AB	92115938
459928	1565	1998-11-07	VYDAJ	PREVOD NA UCET	610	29862	SIPO	AB	92115938
459929	1565	1998-12-07	VYDAJ	PREVOD NA UCET	610	27799	SIPO	AB	92115938
459944	1565	1994-03-13	VYDAJ	PREVOD NA UCET	2095	29206	 	AB	37661731
459945	1565	1994-04-13	VYDAJ	PREVOD NA UCET	2095	28850	 	AB	37661731
459946	1565	1994-05-13	VYDAJ	PREVOD NA UCET	2095	29697	 	AB	37661731
459947	1565	1994-06-13	VYDAJ	PREVOD NA UCET	2095	16802	 	AB	37661731
459948	1565	1994-07-13	VYDAJ	PREVOD NA UCET	2095	19857	 	AB	37661731
459949	1565	1994-08-13	VYDAJ	PREVOD NA UCET	2095	17511	 	AB	37661731
459950	1565	1994-09-13	VYDAJ	PREVOD NA UCET	2095	21617	 	AB	37661731
459951	1565	1994-10-13	VYDAJ	PREVOD NA UCET	2095	24199	 	AB	37661731
459952	1565	1994-11-13	VYDAJ	PREVOD NA UCET	2095	27331	 	AB	37661731
459953	1565	1994-12-13	VYDAJ	PREVOD NA UCET	2095	30889	 	AB	37661731
459954	1565	1995-01-13	VYDAJ	PREVOD NA UCET	2095	26237	 	AB	37661731
459955	1565	1995-02-13	VYDAJ	PREVOD NA UCET	2095	20226	 	AB	37661731
459956	1565	1995-03-13	VYDAJ	PREVOD NA UCET	2095	16087	 	AB	37661731
459957	1565	1995-04-13	VYDAJ	PREVOD NA UCET	2095	29743	 	AB	37661731
459958	1565	1995-05-13	VYDAJ	PREVOD NA UCET	2095	30584	 	AB	37661731
459959	1565	1995-06-13	VYDAJ	PREVOD NA UCET	2095	31258	 	AB	37661731
459960	1565	1995-07-13	VYDAJ	PREVOD NA UCET	2095	31617	 	AB	37661731
459961	1565	1995-08-13	VYDAJ	PREVOD NA UCET	2095	30276	 	AB	37661731
459962	1565	1995-09-13	VYDAJ	PREVOD NA UCET	2095	28071	 	AB	37661731
459963	1565	1995-10-13	VYDAJ	PREVOD NA UCET	2095	34718	 	AB	37661731
459964	1565	1995-11-13	VYDAJ	PREVOD NA UCET	2095	38284	 	AB	37661731
459965	1565	1995-12-13	VYDAJ	PREVOD NA UCET	2095	41885	 	AB	37661731
459966	1565	1996-01-13	VYDAJ	PREVOD NA UCET	2095	35083	 	AB	37661731
459967	1565	1996-02-13	VYDAJ	PREVOD NA UCET	2095	25687	 	AB	37661731
459968	1565	1996-03-13	VYDAJ	PREVOD NA UCET	2095	34012	 	AB	37661731
459969	1565	1996-04-13	VYDAJ	PREVOD NA UCET	2095	42174	 	AB	37661731
459970	1565	1996-05-13	VYDAJ	PREVOD NA UCET	2095	43392	 	AB	37661731
459971	1565	1996-06-13	VYDAJ	PREVOD NA UCET	2095	43518	 	AB	37661731
459972	1565	1996-07-13	VYDAJ	PREVOD NA UCET	2095	45207	 	AB	37661731
459973	1565	1996-08-13	VYDAJ	PREVOD NA UCET	2095	45980	 	AB	37661731
459974	1565	1996-09-13	VYDAJ	PREVOD NA UCET	2095	41618	 	AB	37661731
459975	1565	1996-10-13	VYDAJ	PREVOD NA UCET	2095	43988	 	AB	37661731
459976	1565	1996-11-13	VYDAJ	PREVOD NA UCET	2095	44798	 	AB	37661731
459977	1565	1996-12-13	VYDAJ	PREVOD NA UCET	2095	48030	 	AB	37661731
459978	1565	1997-01-13	VYDAJ	PREVOD NA UCET	2095	48524	 	AB	37661731
459979	1565	1997-02-13	VYDAJ	PREVOD NA UCET	2095	38881	 	AB	37661731
459980	1565	1997-03-13	VYDAJ	PREVOD NA UCET	2095	47164	 	AB	37661731
459981	1565	1997-04-13	VYDAJ	PREVOD NA UCET	2095	51881	 	AB	37661731
459982	1565	1997-05-13	VYDAJ	PREVOD NA UCET	2095	50422	 	AB	37661731
459983	1565	1997-06-13	VYDAJ	PREVOD NA UCET	2095	51978	 	AB	37661731
459984	1565	1997-07-13	VYDAJ	PREVOD NA UCET	2095	52119	 	AB	37661731
459985	1565	1997-08-13	VYDAJ	PREVOD NA UCET	2095	48944	 	AB	37661731
459986	1565	1997-09-13	VYDAJ	PREVOD NA UCET	2095	52075	 	AB	37661731
459987	1565	1997-10-13	VYDAJ	PREVOD NA UCET	2095	55219	 	AB	37661731
459988	1565	1997-11-13	VYDAJ	PREVOD NA UCET	2095	56674	 	AB	37661731
459989	1565	1997-12-13	VYDAJ	PREVOD NA UCET	2095	50570	 	AB	37661731
459990	1565	1998-01-13	VYDAJ	PREVOD NA UCET	2095	24824	 	AB	37661731
459991	1565	1998-02-13	VYDAJ	PREVOD NA UCET	2095	30247	 	AB	37661731
459992	1565	1998-03-13	VYDAJ	PREVOD NA UCET	2095	44310	 	AB	37661731
459993	1565	1998-04-13	VYDAJ	PREVOD NA UCET	2095	49522	 	AB	37661731
459994	1565	1998-05-13	VYDAJ	PREVOD NA UCET	2095	49152	 	AB	37661731
459995	1565	1998-06-13	VYDAJ	PREVOD NA UCET	2095	35037	 	AB	37661731
459996	1565	1998-07-13	VYDAJ	PREVOD NA UCET	2095	40820	 	AB	37661731
459997	1565	1998-08-13	VYDAJ	PREVOD NA UCET	2095	37664	 	AB	37661731
459998	1565	1998-09-13	VYDAJ	PREVOD NA UCET	2095	39145	 	AB	37661731
459999	1565	1998-10-13	VYDAJ	PREVOD NA UCET	2095	36370	 	AB	37661731
460000	1565	1998-11-13	VYDAJ	PREVOD NA UCET	2095	32017	 	AB	37661731
460001	1565	1998-12-13	VYDAJ	PREVOD NA UCET	2095	32271	 	AB	37661731
460017	1565	1994-04-07	VYDAJ	PREVOD NA UCET	383	26312	POJISTNE	OP	85872715
460018	1565	1994-05-07	VYDAJ	PREVOD NA UCET	383	27769	POJISTNE	OP	85872715
460019	1565	1994-06-07	VYDAJ	PREVOD NA UCET	383	11947	POJISTNE	OP	85872715
460020	1565	1994-07-07	VYDAJ	PREVOD NA UCET	383	17319	POJISTNE	OP	85872715
460021	1565	1994-08-07	VYDAJ	PREVOD NA UCET	383	15583	POJISTNE	OP	85872715
460022	1565	1994-09-07	VYDAJ	PREVOD NA UCET	383	19689	POJISTNE	OP	85872715
460023	1565	1994-10-07	VYDAJ	PREVOD NA UCET	383	21661	POJISTNE	OP	85872715
460024	1565	1994-11-07	VYDAJ	PREVOD NA UCET	383	24793	POJISTNE	OP	85872715
460025	1565	1994-12-07	VYDAJ	PREVOD NA UCET	383	26644	POJISTNE	OP	85872715
460026	1565	1995-01-07	VYDAJ	PREVOD NA UCET	383	22939	POJISTNE	OP	85872715
460027	1565	1995-02-07	VYDAJ	PREVOD NA UCET	383	21138	POJISTNE	OP	85872715
460028	1565	1995-03-07	VYDAJ	PREVOD NA UCET	383	13549	POJISTNE	OP	85872715
460029	1565	1995-04-07	VYDAJ	PREVOD NA UCET	383	21305	POJISTNE	OP	85872715
460030	1565	1995-05-07	VYDAJ	PREVOD NA UCET	383	29456	POJISTNE	OP	85872715
460031	1565	1995-06-07	VYDAJ	PREVOD NA UCET	383	29703	POJISTNE	OP	85872715
460032	1565	1995-07-07	VYDAJ	PREVOD NA UCET	383	30379	POJISTNE	OP	85872715
460033	1565	1995-08-07	VYDAJ	PREVOD NA UCET	383	28338	POJISTNE	OP	85872715
460034	1565	1995-09-07	VYDAJ	PREVOD NA UCET	383	24833	POJISTNE	OP	85872715
460035	1565	1995-10-07	VYDAJ	PREVOD NA UCET	383	27790	POJISTNE	OP	85872715
460036	1565	1995-11-07	VYDAJ	PREVOD NA UCET	383	33846	POJISTNE	OP	85872715
460037	1565	1995-12-07	VYDAJ	PREVOD NA UCET	383	37430	POJISTNE	OP	85872715
460038	1565	1996-01-07	VYDAJ	PREVOD NA UCET	383	36255	POJISTNE	OP	85872715
460039	1565	1996-02-07	VYDAJ	PREVOD NA UCET	383	23759	POJISTNE	OP	85872715
460040	1565	1996-03-07	VYDAJ	PREVOD NA UCET	383	25384	POJISTNE	OP	85872715
460041	1565	1996-04-07	VYDAJ	PREVOD NA UCET	383	40246	POJISTNE	OP	85872715
460042	1565	1996-05-07	VYDAJ	PREVOD NA UCET	383	40854	POJISTNE	OP	85872715
460043	1565	1996-06-07	VYDAJ	PREVOD NA UCET	383	39273	POJISTNE	OP	85872715
460044	1565	1996-07-07	VYDAJ	PREVOD NA UCET	383	42669	POJISTNE	OP	85872715
460045	1565	1996-08-07	VYDAJ	PREVOD NA UCET	383	43442	POJISTNE	OP	85872715
460046	1565	1996-09-07	VYDAJ	PREVOD NA UCET	383	45570	POJISTNE	OP	85872715
460047	1565	1996-10-07	VYDAJ	PREVOD NA UCET	383	42060	POJISTNE	OP	85872715
460048	1565	1996-11-07	VYDAJ	PREVOD NA UCET	383	42870	POJISTNE	OP	85872715
460049	1565	1996-12-07	VYDAJ	PREVOD NA UCET	383	43785	POJISTNE	OP	85872715
460050	1565	1997-01-07	VYDAJ	PREVOD NA UCET	383	46596	POJISTNE	OP	85872715
460051	1565	1997-02-07	VYDAJ	PREVOD NA UCET	383	36343	POJISTNE	OP	85872715
460052	1565	1997-03-07	VYDAJ	PREVOD NA UCET	383	45236	POJISTNE	OP	85872715
460053	1565	1997-04-07	VYDAJ	PREVOD NA UCET	383	49953	POJISTNE	OP	85872715
460054	1565	1997-05-07	VYDAJ	PREVOD NA UCET	383	47884	POJISTNE	OP	85872715
460055	1565	1997-06-07	VYDAJ	PREVOD NA UCET	383	47123	POJISTNE	OP	85872715
460056	1565	1997-07-07	VYDAJ	PREVOD NA UCET	383	50191	POJISTNE	OP	85872715
460057	1565	1997-08-07	VYDAJ	PREVOD NA UCET	383	47016	POJISTNE	OP	85872715
460058	1565	1997-09-07	VYDAJ	PREVOD NA UCET	383	49537	POJISTNE	OP	85872715
460059	1565	1997-10-07	VYDAJ	PREVOD NA UCET	383	53291	POJISTNE	OP	85872715
460060	1565	1997-11-07	VYDAJ	PREVOD NA UCET	383	54746	POJISTNE	OP	85872715
460061	1565	1997-12-07	VYDAJ	PREVOD NA UCET	383	51365	POJISTNE	OP	85872715
460062	1565	1998-01-07	VYDAJ	PREVOD NA UCET	383	24686	POJISTNE	OP	85872715
460063	1565	1998-02-07	VYDAJ	PREVOD NA UCET	383	33239	POJISTNE	OP	85872715
460064	1565	1998-03-07	VYDAJ	PREVOD NA UCET	383	41772	POJISTNE	OP	85872715
460065	1565	1998-04-07	VYDAJ	PREVOD NA UCET	383	46984	POJISTNE	OP	85872715
460066	1565	1998-05-07	VYDAJ	PREVOD NA UCET	383	47224	POJISTNE	OP	85872715
460067	1565	1998-06-07	VYDAJ	PREVOD NA UCET	383	30792	POJISTNE	OP	85872715
460068	1565	1998-07-07	VYDAJ	PREVOD NA UCET	383	38282	POJISTNE	OP	85872715
460069	1565	1998-08-07	VYDAJ	PREVOD NA UCET	383	35126	POJISTNE	OP	85872715
460070	1565	1998-09-07	VYDAJ	PREVOD NA UCET	383	36607	POJISTNE	OP	85872715
460071	1565	1998-10-07	VYDAJ	PREVOD NA UCET	383	33832	POJISTNE	OP	85872715
460072	1565	1998-11-07	VYDAJ	PREVOD NA UCET	383	29479	POJISTNE	OP	85872715
460073	1565	1998-12-07	VYDAJ	PREVOD NA UCET	383	27416	POJISTNE	OP	85872715
460075	1565	1994-06-02	VYDAJ	VYBER	14560	12940	\N	\N	\N
460079	1565	1998-06-02	VYDAJ	VYBER	15360	31175	\N	\N	\N
460083	1565	1996-01-20	VYDAJ	VYBER	13760	13643	\N	\N	\N
460084	1565	1997-01-18	VYDAJ	VYBER	8000	38964	\N	\N	\N
460085	1565	1998-01-02	VYDAJ	VYBER	15680	32519	\N	\N	\N
460087	1565	1994-12-23	VYDAJ	VYBER	2720	27669	\N	\N	\N
460088	1565	1995-12-30	VYDAJ	VYBER	2880	39005	\N	\N	\N
460089	1565	1996-12-15	VYDAJ	VYBER	4320	43710	\N	\N	\N
460090	1565	1997-12-23	VYDAJ	VYBER	4160	46410	\N	\N	\N
460091	1565	1998-12-01	VYDAJ	VYBER	3520	28409	\N	\N	\N
460104	1565	1995-01-12	VYDAJ	VYBER	960	24932	\N	\N	\N
460105	1565	1995-01-16	VYDAJ	VYBER	3480	22757	\N	\N	\N
460106	1565	1995-01-08	VYDAJ	VYBER	1680	21259	\N	\N	\N
460107	1565	1995-01-05	VYDAJ	VYBER	840	23932	\N	\N	\N
460108	1565	1995-01-03	VYDAJ	VYBER	3000	24772	\N	\N	\N
460109	1565	1995-01-29	VYDAJ	VYBER	1320	21437	\N	\N	\N
460110	1565	1996-01-02	VYDAJ	VYBER	2520	36638	\N	\N	\N
460112	1565	1996-01-20	VYDAJ	VYBER	3240	27403	\N	\N	\N
460113	1565	1996-01-13	VYDAJ	VYBER	2880	32203	\N	\N	\N
460115	1565	1996-01-19	VYDAJ	VYBER	1560	30643	\N	\N	\N
460116	1565	1997-01-18	VYDAJ	VYBER	600	46964	\N	\N	\N
460117	1565	1997-01-28	VYDAJ	VYBER	1560	30684	\N	\N	\N
460118	1565	1997-01-14	VYDAJ	VYBER	960	47564	\N	\N	\N
460119	1565	1997-01-21	VYDAJ	VYBER	1920	32244	\N	\N	\N
460120	1565	1997-01-20	VYDAJ	VYBER	3000	35964	\N	\N	\N
460121	1565	1997-01-21	VYDAJ	VYBER	1800	34164	\N	\N	\N
460122	1565	1998-01-04	VYDAJ	VYBER	2400	25679	\N	\N	\N
460123	1565	1998-01-28	VYDAJ	VYBER	2160	33524	\N	\N	\N
460124	1565	1998-01-04	VYDAJ	VYBER	1560	28079	\N	\N	\N
460125	1565	1998-01-22	VYDAJ	VYBER	1800	23024	\N	\N	\N
460126	1565	1998-01-27	VYDAJ	VYBER	2640	35684	\N	\N	\N
460127	1565	1998-01-03	VYDAJ	VYBER	2880	29639	\N	\N	\N
460133	1565	1994-07-03	VYDAJ	VYBER	3360	18312	\N	\N	\N
460134	1565	1994-07-28	VYDAJ	VYBER	5760	15897	\N	\N	\N
460135	1565	1994-09-22	VYDAJ	VYBER	2040	22577	\N	\N	\N
460138	1565	1995-09-07	VYDAJ	VYBER	4560	25826	\N	\N	\N
460139	1565	1995-02-13	VYDAJ	VYBER	2640	22321	\N	\N	\N
460140	1565	1995-03-26	VYDAJ	VYBER	960	22227	\N	\N	\N
460141	1565	1995-07-26	VYDAJ	VYBER	2400	29217	\N	\N	\N
460142	1565	1995-03-01	VYDAJ	VYBER	5760	14542	\N	\N	\N
460143	1565	1996-06-30	VYDAJ	VYBER	1920	41776	\N	\N	\N
460144	1565	1996-07-26	VYDAJ	VYBER	840	44367	\N	\N	\N
460145	1565	1996-09-07	VYDAJ	VYBER	5880	39690	\N	\N	\N
460146	1565	1996-10-01	VYDAJ	VYBER	3240	38543	\N	\N	\N
460147	1565	1996-05-05	VYDAJ	VYBER	4080	38247	\N	\N	\N
460148	1565	1997-11-21	VYDAJ	VYBER	1440	55234	\N	\N	\N
460149	1565	1997-08-03	VYDAJ	VYBER	5520	47399	\N	\N	\N
460150	1565	1997-08-16	VYDAJ	VYBER	1800	47144	\N	\N	\N
460151	1565	1997-12-09	VYDAJ	VYBER	5040	45715	\N	\N	\N
460152	1565	1998-07-15	VYDAJ	VYBER	4440	36380	\N	\N	\N
460153	1565	1998-01-08	VYDAJ	VYBER	2400	22286	\N	\N	\N
460154	1565	1998-10-20	VYDAJ	VYBER	4920	31450	\N	\N	\N
460155	1565	1998-02-10	VYDAJ	VYBER	4920	27709	\N	\N	\N
460156	1565	1998-09-27	VYDAJ	VYBER	3960	34685	\N	\N	\N
460172	1565	1994-03-31	VYDAJ	VYBER	15	27305	SLUZBY	\N	\N
460173	1565	1994-04-30	VYDAJ	VYBER	15	28152	SLUZBY	\N	\N
460174	1565	1994-05-31	VYDAJ	VYBER	15	27500	SLUZBY	\N	\N
460175	1565	1994-06-30	VYDAJ	VYBER	15	21672	SLUZBY	\N	\N
460176	1565	1994-07-31	VYDAJ	VYBER	15	15966	SLUZBY	\N	\N
460177	1565	1994-08-31	VYDAJ	VYBER	15	20072	SLUZBY	\N	\N
460178	1565	1994-09-30	VYDAJ	VYBER	15	22654	SLUZBY	\N	\N
460179	1565	1994-10-31	VYDAJ	VYBER	15	25786	SLUZBY	\N	\N
460180	1565	1994-11-30	VYDAJ	VYBER	15	27027	SLUZBY	\N	\N
460181	1565	1994-12-31	VYDAJ	VYBER	15	27772	SLUZBY	\N	\N
460182	1565	1995-01-31	VYDAJ	VYBER	15	21521	SLUZBY	\N	\N
460183	1565	1995-02-28	VYDAJ	VYBER	15	20302	SLUZBY	\N	\N
460184	1565	1995-03-31	VYDAJ	VYBER	15	22298	SLUZBY	\N	\N
460185	1565	1995-04-30	VYDAJ	VYBER	15	29839	SLUZBY	\N	\N
460186	1565	1995-05-31	VYDAJ	VYBER	15	30696	SLUZBY	\N	\N
460187	1565	1995-06-30	VYDAJ	VYBER	15	31372	SLUZBY	\N	\N
460188	1565	1995-07-31	VYDAJ	VYBER	15	29331	SLUZBY	\N	\N
460189	1565	1995-08-31	VYDAJ	VYBER	15	30386	SLUZBY	\N	\N
460190	1565	1995-09-30	VYDAJ	VYBER	15	28173	SLUZBY	\N	\N
460191	1565	1995-10-31	VYDAJ	VYBER	15	34839	SLUZBY	\N	\N
460192	1565	1995-11-30	VYDAJ	VYBER	15	38423	SLUZBY	\N	\N
460193	1565	1995-12-31	VYDAJ	VYBER	15	39158	SLUZBY	\N	\N
460194	1565	1996-01-31	VYDAJ	VYBER	15	13742	SLUZBY	\N	\N
460195	1565	1996-02-29	VYDAJ	VYBER	15	25767	SLUZBY	\N	\N
460196	1565	1996-03-31	VYDAJ	VYBER	15	34129	SLUZBY	\N	\N
460197	1565	1996-04-30	VYDAJ	VYBER	15	42327	SLUZBY	\N	\N
460198	1565	1996-05-31	VYDAJ	VYBER	15	43556	SLUZBY	\N	\N
460199	1565	1996-06-30	VYDAJ	VYBER	15	41762	SLUZBY	\N	\N
460200	1565	1996-07-31	VYDAJ	VYBER	15	44535	SLUZBY	\N	\N
460201	1565	1996-08-31	VYDAJ	VYBER	15	46153	SLUZBY	\N	\N
460202	1565	1996-09-30	VYDAJ	VYBER	15	41783	SLUZBY	\N	\N
460203	1565	1996-10-31	VYDAJ	VYBER	15	44153	SLUZBY	\N	\N
460204	1565	1996-11-30	VYDAJ	VYBER	15	44968	SLUZBY	\N	\N
460205	1565	1996-12-31	VYDAJ	VYBER	15	43879	SLUZBY	\N	\N
460206	1565	1997-01-31	VYDAJ	VYBER	15	30836	SLUZBY	\N	\N
460207	1565	1997-02-28	VYDAJ	VYBER	15	39019	SLUZBY	\N	\N
460208	1565	1997-03-31	VYDAJ	VYBER	15	47336	SLUZBY	\N	\N
460209	1565	1997-04-30	VYDAJ	VYBER	15	52077	SLUZBY	\N	\N
460210	1565	1997-05-31	VYDAJ	VYBER	15	50616	SLUZBY	\N	\N
460211	1565	1997-06-30	VYDAJ	VYBER	15	52174	SLUZBY	\N	\N
460212	1565	1997-07-31	VYDAJ	VYBER	15	52919	SLUZBY	\N	\N
460213	1565	1997-08-31	VYDAJ	VYBER	15	50530	SLUZBY	\N	\N
460214	1565	1997-09-30	VYDAJ	VYBER	15	53674	SLUZBY	\N	\N
460215	1565	1997-10-31	VYDAJ	VYBER	15	55129	SLUZBY	\N	\N
460216	1565	1997-11-30	VYDAJ	VYBER	15	51748	SLUZBY	\N	\N
460217	1565	1997-12-31	VYDAJ	VYBER	15	48199	SLUZBY	\N	\N
460218	1565	1998-01-31	VYDAJ	VYBER	15	33622	SLUZBY	\N	\N
460219	1565	1998-02-28	VYDAJ	VYBER	15	42765	SLUZBY	\N	\N
460220	1565	1998-03-31	VYDAJ	VYBER	15	47977	SLUZBY	\N	\N
460221	1565	1998-04-30	VYDAJ	VYBER	15	47607	SLUZBY	\N	\N
460222	1565	1998-05-31	VYDAJ	VYBER	15	46535	SLUZBY	\N	\N
460223	1565	1998-06-30	VYDAJ	VYBER	15	39275	SLUZBY	\N	\N
460224	1565	1998-07-31	VYDAJ	VYBER	15	36119	SLUZBY	\N	\N
460225	1565	1998-08-31	VYDAJ	VYBER	15	37600	SLUZBY	\N	\N
460226	1565	1998-09-30	VYDAJ	VYBER	15	34825	SLUZBY	\N	\N
460227	1565	1998-10-31	VYDAJ	VYBER	15	30472	SLUZBY	\N	\N
460228	1565	1998-11-30	VYDAJ	VYBER	15	31929	SLUZBY	\N	\N
460229	1565	1993-11-19	PRIJEM	VKLAD	9000	13833	\N	\N	\N
460230	1565	1993-12-19	PRIJEM	VKLAD	2500	23306	\N	\N	\N
460231	1565	1994-01-18	PRIJEM	VKLAD	400	28413	\N	\N	\N
460232	1565	1994-02-17	VYDAJ	VYBER	6600	26553	\N	\N	\N
460233	1565	1994-03-19	VYDAJ	VYBER	2000	27206	\N	\N	\N
460234	1565	1994-04-18	VYDAJ	VYBER	800	28050	\N	\N	\N
460235	1565	1994-05-18	VYDAJ	VYBER	2300	27397	\N	\N	\N
460236	1565	1994-06-17	PRIJEM	VKLAD	4800	21602	\N	\N	\N
460237	1565	1994-07-17	PRIJEM	VKLAD	1800	21657	\N	\N	\N
460238	1565	1994-08-16	PRIJEM	VKLAD	2500	20011	\N	\N	\N
460239	1565	1994-09-15	PRIJEM	VKLAD	3000	24617	\N	\N	\N
460240	1565	1994-10-15	PRIJEM	VKLAD	1500	25699	\N	\N	\N
460241	1565	1994-11-14	VYDAJ	VYBER	400	26931	\N	\N	\N
460242	1565	1994-12-14	VYDAJ	VYBER	500	30389	\N	\N	\N
460243	1565	1995-01-13	PRIJEM	VKLAD	3400	28332	\N	\N	\N
460244	1565	1995-02-12	VYDAJ	VYBER	200	24961	\N	\N	\N
460245	1565	1995-03-14	PRIJEM	VKLAD	7100	23187	\N	\N	\N
460246	1565	1995-04-13	PRIJEM	VKLAD	5900	31838	\N	\N	\N
460247	1565	1995-05-13	VYDAJ	VYBER	800	32679	\N	\N	\N
460248	1565	1995-06-12	VYDAJ	VYBER	3300	33353	\N	\N	\N
460249	1565	1995-07-12	VYDAJ	VYBER	1300	33712	\N	\N	\N
460250	1565	1995-08-11	VYDAJ	VYBER	600	27738	\N	\N	\N
460251	1565	1995-09-10	PRIJEM	VKLAD	700	25533	\N	\N	\N
460252	1565	1995-10-10	PRIJEM	VKLAD	5000	32180	\N	\N	\N
460253	1565	1995-11-09	PRIJEM	VKLAD	1900	35746	\N	\N	\N
460254	1565	1995-12-09	VYDAJ	VYBER	400	37030	\N	\N	\N
460255	1565	1996-01-08	VYDAJ	VYBER	3100	32545	\N	\N	\N
460256	1565	1996-02-07	PRIJEM	VKLAD	10400	24142	\N	\N	\N
460257	1565	1996-03-08	PRIJEM	VKLAD	6700	31474	\N	\N	\N
460258	1565	1996-04-07	PRIJEM	VKLAD	6500	40629	\N	\N	\N
460259	1565	1996-05-07	PRIJEM	VKLAD	3600	41847	\N	\N	\N
460260	1565	1996-06-06	VYDAJ	VYBER	3900	39656	\N	\N	\N
460261	1565	1996-07-06	PRIJEM	VKLAD	1900	43662	\N	\N	\N
460262	1565	1996-08-05	VYDAJ	VYBER	100	44435	\N	\N	\N
460263	1565	1996-09-04	VYDAJ	VYBER	200	45953	\N	\N	\N
460264	1565	1996-10-04	PRIJEM	VKLAD	3900	42443	\N	\N	\N
460265	1565	1996-11-03	VYDAJ	VYBER	900	43253	\N	\N	\N
460266	1565	1996-12-03	VYDAJ	VYBER	800	44168	\N	\N	\N
460267	1565	1997-01-02	PRIJEM	VKLAD	3100	46979	\N	\N	\N
460268	1565	1997-02-01	PRIJEM	VKLAD	6500	37336	\N	\N	\N
460269	1565	1997-03-03	PRIJEM	VKLAD	6600	45619	\N	\N	\N
460270	1565	1997-04-02	PRIJEM	VKLAD	3000	50336	\N	\N	\N
460271	1565	1997-05-02	VYDAJ	VYBER	3200	48877	\N	\N	\N
460272	1565	1997-06-01	VYDAJ	VYBER	2500	48116	\N	\N	\N
460273	1565	1997-07-01	VYDAJ	VYBER	1600	50574	\N	\N	\N
460274	1565	1997-07-31	PRIJEM	VKLAD	600	52719	\N	\N	\N
460275	1565	1997-08-30	PRIJEM	VKLAD	3200	50344	\N	\N	\N
460276	1565	1997-09-29	PRIJEM	VKLAD	1400	53475	\N	\N	\N
460277	1565	1997-10-29	VYDAJ	VYBER	300	54919	\N	\N	\N
460278	1565	1997-11-28	VYDAJ	VYBER	3700	51534	\N	\N	\N
460279	1565	1997-12-28	PRIJEM	VKLAD	1600	48010	\N	\N	\N
460280	1565	1998-01-27	PRIJEM	VKLAD	15300	38324	\N	\N	\N
460281	1565	1998-02-26	PRIJEM	VKLAD	12400	42647	\N	\N	\N
460282	1565	1998-03-28	PRIJEM	VKLAD	3500	47810	\N	\N	\N
460283	1565	1998-04-27	VYDAJ	VYBER	2100	47422	\N	\N	\N
460284	1565	1998-05-27	VYDAJ	VYBER	2800	46352	\N	\N	\N
460285	1565	1998-06-26	PRIJEM	VKLAD	4100	39137	\N	\N	\N
460286	1565	1998-07-26	VYDAJ	VYBER	400	35980	\N	\N	\N
460287	1565	1998-08-25	VYDAJ	VYBER	200	37464	\N	\N	\N
460288	1565	1998-09-24	VYDAJ	VYBER	500	38645	\N	\N	\N
460289	1565	1998-10-24	VYDAJ	VYBER	1100	30350	\N	\N	\N
460290	1565	1998-11-23	VYDAJ	VYBER	200	31817	\N	\N	\N
460353	1566	1993-07-07	PRIJEM	VKLAD	500	500	\N	\N	\N
460360	1566	1993-07-13	PRIJEM	VKLAD	14680	15180	\N	\N	\N
460361	1566	1993-08-13	PRIJEM	VKLAD	14680	36599	\N	\N	\N
460362	1566	1993-09-13	PRIJEM	VKLAD	14680	47297	\N	\N	\N
460363	1566	1993-10-13	PRIJEM	VKLAD	14680	52856	\N	\N	\N
460364	1566	1993-11-13	PRIJEM	VKLAD	14680	55247	\N	\N	\N
460365	1566	1993-12-13	PRIJEM	VKLAD	22020	52690	\N	\N	\N
460366	1566	1994-01-13	PRIJEM	VKLAD	14680	47350	\N	\N	\N
460367	1566	1994-02-13	PRIJEM	VKLAD	14680	34715	\N	\N	\N
460368	1566	1994-03-13	PRIJEM	VKLAD	14680	38401	\N	\N	\N
460369	1566	1994-04-13	PRIJEM	VKLAD	14680	37103	\N	\N	\N
460370	1566	1994-05-13	PRIJEM	VKLAD	14680	36802	\N	\N	\N
460371	1566	1994-06-13	PRIJEM	VKLAD	22020	41940	\N	\N	\N
460372	1566	1994-07-13	PRIJEM	VKLAD	14680	38648	\N	\N	\N
460373	1566	1994-08-13	PRIJEM	VKLAD	14680	38756	\N	\N	\N
460374	1566	1994-09-13	PRIJEM	VKLAD	14680	29527	\N	\N	\N
460375	1566	1994-10-13	PRIJEM	VKLAD	14680	30591	\N	\N	\N
460376	1566	1994-11-13	PRIJEM	VKLAD	14680	31558	\N	\N	\N
460377	1566	1994-12-13	PRIJEM	VKLAD	22020	40187	\N	\N	\N
460378	1566	1995-01-13	PRIJEM	VKLAD	14680	33240	\N	\N	\N
460379	1566	1995-02-13	PRIJEM	VKLAD	14680	27001	\N	\N	\N
460380	1566	1995-03-13	PRIJEM	VKLAD	14680	29772	\N	\N	\N
460381	1566	1995-04-13	PRIJEM	VKLAD	14680	33336	\N	\N	\N
460382	1566	1995-05-13	PRIJEM	VKLAD	14680	37713	\N	\N	\N
460383	1566	1995-06-13	PRIJEM	VKLAD	22020	42525	\N	\N	\N
460384	1566	1995-07-13	PRIJEM	VKLAD	14680	34497	\N	\N	\N
460385	1566	1995-08-13	PRIJEM	VKLAD	14680	33590	\N	\N	\N
460386	1566	1995-09-13	PRIJEM	VKLAD	14680	34165	\N	\N	\N
460387	1566	1995-10-13	PRIJEM	VKLAD	14680	36743	\N	\N	\N
460388	1566	1995-11-13	PRIJEM	VKLAD	14680	28725	\N	\N	\N
460389	1566	1995-12-13	PRIJEM	VKLAD	22020	35180	\N	\N	\N
460390	1566	1996-01-13	PRIJEM	VKLAD	14680	32489	\N	\N	\N
460391	1566	1996-02-13	PRIJEM	VKLAD	14680	21024	\N	\N	\N
460392	1566	1996-03-13	PRIJEM	VKLAD	14680	27250	\N	\N	\N
460393	1566	1996-04-13	PRIJEM	VKLAD	14680	28196	\N	\N	\N
460394	1566	1996-05-13	PRIJEM	VKLAD	14680	30242	\N	\N	\N
460395	1566	1996-06-13	PRIJEM	VKLAD	22020	40042	\N	\N	\N
460396	1566	1996-07-13	PRIJEM	VKLAD	14680	33517	\N	\N	\N
460397	1566	1996-08-13	PRIJEM	VKLAD	14680	33286	\N	\N	\N
460398	1566	1996-09-13	PRIJEM	VKLAD	14680	33553	\N	\N	\N
460399	1566	1996-10-13	PRIJEM	VKLAD	14680	35223	\N	\N	\N
460400	1566	1996-11-13	PRIJEM	VKLAD	14680	34537	\N	\N	\N
460401	1566	1996-12-13	PRIJEM	VKLAD	22020	38764	\N	\N	\N
460402	1566	1997-01-13	PRIJEM	VKLAD	14680	34506	\N	\N	\N
460403	1566	1997-02-13	PRIJEM	VKLAD	14680	23315	\N	\N	\N
460404	1566	1997-03-13	PRIJEM	VKLAD	14680	32453	\N	\N	\N
460405	1566	1997-04-13	PRIJEM	VKLAD	14680	33617	\N	\N	\N
460406	1566	1997-05-13	PRIJEM	VKLAD	14680	32561	\N	\N	\N
460407	1566	1997-06-13	PRIJEM	VKLAD	22020	44972	\N	\N	\N
460408	1566	1997-07-13	PRIJEM	VKLAD	14680	40160	\N	\N	\N
460409	1566	1997-08-13	PRIJEM	VKLAD	14680	41253	\N	\N	\N
460410	1566	1997-09-13	PRIJEM	VKLAD	14680	40246	\N	\N	\N
460411	1566	1997-10-13	PRIJEM	VKLAD	14680	40787	\N	\N	\N
460412	1566	1997-11-13	PRIJEM	VKLAD	14680	45593	\N	\N	\N
460413	1566	1997-12-13	PRIJEM	VKLAD	22020	49999	\N	\N	\N
460414	1566	1998-01-13	PRIJEM	VKLAD	14680	35874	\N	\N	\N
460415	1566	1998-02-13	PRIJEM	VKLAD	14680	36414	\N	\N	\N
460416	1566	1998-03-13	PRIJEM	VKLAD	14680	37334	\N	\N	\N
460417	1566	1998-04-13	PRIJEM	VKLAD	14680	47329	\N	\N	\N
460418	1566	1998-05-13	PRIJEM	VKLAD	14680	53457	\N	\N	\N
460419	1566	1998-06-13	PRIJEM	VKLAD	22020	63058	\N	\N	\N
460420	1566	1998-07-13	PRIJEM	VKLAD	14680	32355	\N	\N	\N
460421	1566	1998-08-13	PRIJEM	VKLAD	14680	41814	\N	\N	\N
460422	1566	1998-09-13	PRIJEM	VKLAD	14680	45442	\N	\N	\N
460423	1566	1998-10-13	PRIJEM	VKLAD	14680	44807	\N	\N	\N
460424	1566	1998-11-13	PRIJEM	VKLAD	14680	45835	\N	\N	\N
460425	1566	1998-12-13	PRIJEM	VKLAD	22020	49508	\N	\N	\N
460437	1566	1993-12-06	VYDAJ	PREVOD NA UCET	4375	37284	SIPO	WX	11077720
460438	1566	1994-01-06	VYDAJ	PREVOD NA UCET	4375	36404	SIPO	WX	11077720
460439	1566	1994-02-06	VYDAJ	PREVOD NA UCET	4375	23769	SIPO	WX	11077720
460440	1566	1994-03-06	VYDAJ	PREVOD NA UCET	4375	27455	SIPO	WX	11077720
460441	1566	1994-04-06	VYDAJ	PREVOD NA UCET	4375	26157	SIPO	WX	11077720
460442	1566	1994-05-06	VYDAJ	PREVOD NA UCET	4375	25856	SIPO	WX	11077720
460443	1566	1994-06-06	VYDAJ	PREVOD NA UCET	4375	23654	SIPO	WX	11077720
460444	1566	1994-07-06	VYDAJ	PREVOD NA UCET	4375	27702	SIPO	WX	11077720
460445	1566	1994-08-06	VYDAJ	PREVOD NA UCET	4375	27810	SIPO	WX	11077720
460446	1566	1994-09-06	VYDAJ	PREVOD NA UCET	4375	18581	SIPO	WX	11077720
460447	1566	1994-10-06	VYDAJ	PREVOD NA UCET	4375	19645	SIPO	WX	11077720
460448	1566	1994-11-06	VYDAJ	PREVOD NA UCET	4375	20612	SIPO	WX	11077720
460449	1566	1994-12-06	VYDAJ	PREVOD NA UCET	4375	21901	SIPO	WX	11077720
460450	1566	1995-01-06	VYDAJ	PREVOD NA UCET	4375	22294	SIPO	WX	11077720
460451	1566	1995-02-06	VYDAJ	PREVOD NA UCET	4375	16055	SIPO	WX	11077720
460452	1566	1995-03-06	VYDAJ	PREVOD NA UCET	4375	18826	SIPO	WX	11077720
460453	1566	1995-04-06	VYDAJ	PREVOD NA UCET	4375	22390	SIPO	WX	11077720
460454	1566	1995-05-06	VYDAJ	PREVOD NA UCET	4375	26767	SIPO	WX	11077720
460455	1566	1995-06-06	VYDAJ	PREVOD NA UCET	4375	24239	SIPO	WX	11077720
460456	1566	1995-07-06	VYDAJ	PREVOD NA UCET	4375	23551	SIPO	WX	11077720
460457	1566	1995-08-06	VYDAJ	PREVOD NA UCET	4375	22644	SIPO	WX	11077720
460458	1566	1995-09-06	VYDAJ	PREVOD NA UCET	4375	23219	SIPO	WX	11077720
460459	1566	1995-10-06	VYDAJ	PREVOD NA UCET	4375	25797	SIPO	WX	11077720
460460	1566	1995-11-06	VYDAJ	PREVOD NA UCET	4375	17779	SIPO	WX	11077720
460461	1566	1995-12-06	VYDAJ	PREVOD NA UCET	4375	20734	SIPO	WX	11077720
460462	1566	1996-01-06	VYDAJ	PREVOD NA UCET	4375	22383	SIPO	WX	11077720
460463	1566	1996-02-06	VYDAJ	PREVOD NA UCET	4375	10078	SIPO	WX	11077720
460464	1566	1996-03-06	VYDAJ	PREVOD NA UCET	4375	16304	SIPO	WX	11077720
460465	1566	1996-04-06	VYDAJ	PREVOD NA UCET	4375	17250	SIPO	WX	11077720
460466	1566	1996-05-06	VYDAJ	PREVOD NA UCET	4375	19296	SIPO	WX	11077720
460467	1566	1996-06-06	VYDAJ	PREVOD NA UCET	4375	21756	SIPO	WX	11077720
460468	1566	1996-07-06	VYDAJ	PREVOD NA UCET	4375	22571	SIPO	WX	11077720
460469	1566	1996-08-06	VYDAJ	PREVOD NA UCET	4375	22340	SIPO	WX	11077720
460470	1566	1996-09-06	VYDAJ	PREVOD NA UCET	4375	22607	SIPO	WX	11077720
460471	1566	1996-10-06	VYDAJ	PREVOD NA UCET	4375	24277	SIPO	WX	11077720
460472	1566	1996-11-06	VYDAJ	PREVOD NA UCET	4375	23591	SIPO	WX	11077720
460473	1566	1996-12-06	VYDAJ	PREVOD NA UCET	4375	23038	SIPO	WX	11077720
460474	1566	1997-01-06	VYDAJ	PREVOD NA UCET	4375	29200	SIPO	WX	11077720
460475	1566	1997-02-06	VYDAJ	PREVOD NA UCET	4375	12369	SIPO	WX	11077720
460476	1566	1997-03-06	VYDAJ	PREVOD NA UCET	4375	21507	SIPO	WX	11077720
460477	1566	1997-04-06	VYDAJ	PREVOD NA UCET	4375	22671	SIPO	WX	11077720
460478	1566	1997-05-06	VYDAJ	PREVOD NA UCET	4375	21615	SIPO	WX	11077720
460479	1566	1997-06-06	VYDAJ	PREVOD NA UCET	4375	26686	SIPO	WX	11077720
460480	1566	1997-07-06	VYDAJ	PREVOD NA UCET	4375	29214	SIPO	WX	11077720
460481	1566	1997-08-06	VYDAJ	PREVOD NA UCET	4375	30307	SIPO	WX	11077720
460482	1566	1997-09-06	VYDAJ	PREVOD NA UCET	4375	29300	SIPO	WX	11077720
460483	1566	1997-10-06	VYDAJ	PREVOD NA UCET	4375	29841	SIPO	WX	11077720
460484	1566	1997-11-06	VYDAJ	PREVOD NA UCET	4375	34647	SIPO	WX	11077720
460485	1566	1997-12-06	VYDAJ	PREVOD NA UCET	4375	36873	SIPO	WX	11077720
460486	1566	1998-01-06	VYDAJ	PREVOD NA UCET	4375	30408	SIPO	WX	11077720
460487	1566	1998-02-06	VYDAJ	PREVOD NA UCET	4375	20568	SIPO	WX	11077720
460488	1566	1998-03-06	VYDAJ	PREVOD NA UCET	4375	26388	SIPO	WX	11077720
460489	1566	1998-04-06	VYDAJ	PREVOD NA UCET	4375	32783	SIPO	WX	11077720
460490	1566	1998-05-06	VYDAJ	PREVOD NA UCET	4375	43111	SIPO	WX	11077720
460491	1566	1998-06-06	VYDAJ	PREVOD NA UCET	4375	49272	SIPO	WX	11077720
460492	1566	1998-07-06	VYDAJ	PREVOD NA UCET	4375	12509	SIPO	WX	11077720
460493	1566	1998-08-06	VYDAJ	PREVOD NA UCET	4375	28068	SIPO	WX	11077720
460494	1566	1998-09-06	VYDAJ	PREVOD NA UCET	4375	34696	SIPO	WX	11077720
460495	1566	1998-10-06	VYDAJ	PREVOD NA UCET	4375	38461	SIPO	WX	11077720
460496	1566	1998-11-06	VYDAJ	PREVOD NA UCET	4375	40589	SIPO	WX	11077720
460497	1566	1998-12-06	VYDAJ	PREVOD NA UCET	4375	41622	SIPO	WX	11077720
460509	1566	1993-12-12	VYDAJ	PREVOD NA UCET	1164	30670	 	WX	15924412
460510	1566	1994-01-12	VYDAJ	PREVOD NA UCET	1164	32670	 	WX	15924412
460511	1566	1994-02-12	VYDAJ	PREVOD NA UCET	1164	20035	 	WX	15924412
460512	1566	1994-03-12	VYDAJ	PREVOD NA UCET	1164	23721	 	WX	15924412
460513	1566	1994-04-12	VYDAJ	PREVOD NA UCET	1164	22423	 	WX	15924412
460514	1566	1994-05-12	VYDAJ	PREVOD NA UCET	1164	22122	 	WX	15924412
460515	1566	1994-06-12	VYDAJ	PREVOD NA UCET	1164	19920	 	WX	15924412
460516	1566	1994-07-12	VYDAJ	PREVOD NA UCET	1164	23968	 	WX	15924412
460517	1566	1994-08-12	VYDAJ	PREVOD NA UCET	1164	24076	 	WX	15924412
460518	1566	1994-09-12	VYDAJ	PREVOD NA UCET	1164	14847	 	WX	15924412
460519	1566	1994-10-12	VYDAJ	PREVOD NA UCET	1164	15911	 	WX	15924412
460520	1566	1994-11-12	VYDAJ	PREVOD NA UCET	1164	16878	 	WX	15924412
460521	1566	1994-12-12	VYDAJ	PREVOD NA UCET	1164	18167	 	WX	15924412
460522	1566	1995-01-12	VYDAJ	PREVOD NA UCET	1164	18560	 	WX	15924412
460523	1566	1995-02-12	VYDAJ	PREVOD NA UCET	1164	12321	 	WX	15924412
460524	1566	1995-03-12	VYDAJ	PREVOD NA UCET	1164	15092	 	WX	15924412
460525	1566	1995-04-12	VYDAJ	PREVOD NA UCET	1164	18656	 	WX	15924412
460526	1566	1995-05-12	VYDAJ	PREVOD NA UCET	1164	23033	 	WX	15924412
460527	1566	1995-06-12	VYDAJ	PREVOD NA UCET	1164	20505	 	WX	15924412
460528	1566	1995-07-12	VYDAJ	PREVOD NA UCET	1164	19817	 	WX	15924412
460529	1566	1995-08-12	VYDAJ	PREVOD NA UCET	1164	18910	 	WX	15924412
460530	1566	1995-09-12	VYDAJ	PREVOD NA UCET	1164	19485	 	WX	15924412
460531	1566	1995-10-12	VYDAJ	PREVOD NA UCET	1164	22063	 	WX	15924412
460532	1566	1995-11-12	VYDAJ	PREVOD NA UCET	1164	14045	 	WX	15924412
460533	1566	1995-12-12	VYDAJ	PREVOD NA UCET	1164	13160	 	WX	15924412
460534	1566	1996-01-12	VYDAJ	PREVOD NA UCET	1164	17809	 	WX	15924412
460535	1566	1996-02-12	VYDAJ	PREVOD NA UCET	1164	6344	 	WX	15924412
460536	1566	1996-03-12	VYDAJ	PREVOD NA UCET	1164	12570	 	WX	15924412
460537	1566	1996-04-12	VYDAJ	PREVOD NA UCET	1164	13516	 	WX	15924412
460538	1566	1996-05-12	VYDAJ	PREVOD NA UCET	1164	15562	 	WX	15924412
460539	1566	1996-06-12	VYDAJ	PREVOD NA UCET	1164	18022	 	WX	15924412
460540	1566	1996-07-12	VYDAJ	PREVOD NA UCET	1164	18837	 	WX	15924412
460541	1566	1996-08-12	VYDAJ	PREVOD NA UCET	1164	18606	 	WX	15924412
460542	1566	1996-09-12	VYDAJ	PREVOD NA UCET	1164	18873	 	WX	15924412
460543	1566	1996-10-12	VYDAJ	PREVOD NA UCET	1164	20543	 	WX	15924412
460544	1566	1996-11-12	VYDAJ	PREVOD NA UCET	1164	19857	 	WX	15924412
460545	1566	1996-12-12	VYDAJ	PREVOD NA UCET	1164	16744	 	WX	15924412
460546	1566	1997-01-12	VYDAJ	PREVOD NA UCET	1164	19826	 	WX	15924412
460547	1566	1997-02-12	VYDAJ	PREVOD NA UCET	1164	8635	 	WX	15924412
460548	1566	1997-03-12	VYDAJ	PREVOD NA UCET	1164	17773	 	WX	15924412
460549	1566	1997-04-12	VYDAJ	PREVOD NA UCET	1164	18937	 	WX	15924412
460550	1566	1997-05-12	VYDAJ	PREVOD NA UCET	1164	17881	 	WX	15924412
460551	1566	1997-06-12	VYDAJ	PREVOD NA UCET	1164	22952	 	WX	15924412
460552	1566	1997-07-12	VYDAJ	PREVOD NA UCET	1164	25480	 	WX	15924412
460553	1566	1997-08-12	VYDAJ	PREVOD NA UCET	1164	26573	 	WX	15924412
460554	1566	1997-09-12	VYDAJ	PREVOD NA UCET	1164	25566	 	WX	15924412
460555	1566	1997-10-12	VYDAJ	PREVOD NA UCET	1164	26107	 	WX	15924412
460556	1566	1997-11-12	VYDAJ	PREVOD NA UCET	1164	30913	 	WX	15924412
460557	1566	1997-12-12	VYDAJ	PREVOD NA UCET	1164	27979	 	WX	15924412
460558	1566	1998-01-12	VYDAJ	PREVOD NA UCET	1164	21194	 	WX	15924412
460559	1566	1998-02-12	VYDAJ	PREVOD NA UCET	1164	21734	 	WX	15924412
460560	1566	1998-03-12	VYDAJ	PREVOD NA UCET	1164	22654	 	WX	15924412
460561	1566	1998-04-12	VYDAJ	PREVOD NA UCET	1164	32649	 	WX	15924412
460562	1566	1998-05-12	VYDAJ	PREVOD NA UCET	1164	38777	 	WX	15924412
460563	1566	1998-06-12	VYDAJ	PREVOD NA UCET	1164	41038	 	WX	15924412
460564	1566	1998-07-12	VYDAJ	PREVOD NA UCET	1164	17675	 	WX	15924412
460565	1566	1998-08-12	VYDAJ	PREVOD NA UCET	1164	27134	 	WX	15924412
460566	1566	1998-09-12	VYDAJ	PREVOD NA UCET	1164	30762	 	WX	15924412
460567	1566	1998-10-12	VYDAJ	PREVOD NA UCET	1164	30127	 	WX	15924412
460568	1566	1998-11-12	VYDAJ	PREVOD NA UCET	1164	31155	 	WX	15924412
460569	1566	1998-12-12	VYDAJ	PREVOD NA UCET	1164	27488	 	WX	15924412
460581	1566	1993-12-07	VYDAJ	PREVOD NA UCET	1622	35662	POJISTNE	YZ	98447876
460582	1566	1994-01-07	VYDAJ	PREVOD NA UCET	1622	34782	POJISTNE	YZ	98447876
460583	1566	1994-02-07	VYDAJ	PREVOD NA UCET	1622	22147	POJISTNE	YZ	98447876
460584	1566	1994-03-07	VYDAJ	PREVOD NA UCET	1622	25833	POJISTNE	YZ	98447876
460585	1566	1994-04-07	VYDAJ	PREVOD NA UCET	1622	24535	POJISTNE	YZ	98447876
460586	1566	1994-05-07	VYDAJ	PREVOD NA UCET	1622	24234	POJISTNE	YZ	98447876
460587	1566	1994-06-07	VYDAJ	PREVOD NA UCET	1622	22032	POJISTNE	YZ	98447876
460588	1566	1994-07-07	VYDAJ	PREVOD NA UCET	1622	26080	POJISTNE	YZ	98447876
460589	1566	1994-08-07	VYDAJ	PREVOD NA UCET	1622	26188	POJISTNE	YZ	98447876
460779	1566	1995-02-28	VYDAJ	VYBER	1680	23201	\N	\N	\N
460590	1566	1994-09-07	VYDAJ	PREVOD NA UCET	1622	16959	POJISTNE	YZ	98447876
460591	1566	1994-10-07	VYDAJ	PREVOD NA UCET	1622	18023	POJISTNE	YZ	98447876
460592	1566	1994-11-07	VYDAJ	PREVOD NA UCET	1622	18990	POJISTNE	YZ	98447876
460593	1566	1994-12-07	VYDAJ	PREVOD NA UCET	1622	20279	POJISTNE	YZ	98447876
460594	1566	1995-01-07	VYDAJ	PREVOD NA UCET	1622	20672	POJISTNE	YZ	98447876
460595	1566	1995-02-07	VYDAJ	PREVOD NA UCET	1622	14433	POJISTNE	YZ	98447876
460596	1566	1995-03-07	VYDAJ	PREVOD NA UCET	1622	17204	POJISTNE	YZ	98447876
460597	1566	1995-04-07	VYDAJ	PREVOD NA UCET	1622	20768	POJISTNE	YZ	98447876
460598	1566	1995-05-07	VYDAJ	PREVOD NA UCET	1622	25145	POJISTNE	YZ	98447876
460599	1566	1995-06-07	VYDAJ	PREVOD NA UCET	1622	22617	POJISTNE	YZ	98447876
460600	1566	1995-07-07	VYDAJ	PREVOD NA UCET	1622	21929	POJISTNE	YZ	98447876
460601	1566	1995-08-07	VYDAJ	PREVOD NA UCET	1622	21022	POJISTNE	YZ	98447876
460602	1566	1995-09-07	VYDAJ	PREVOD NA UCET	1622	21597	POJISTNE	YZ	98447876
460603	1566	1995-10-07	VYDAJ	PREVOD NA UCET	1622	24175	POJISTNE	YZ	98447876
460604	1566	1995-11-07	VYDAJ	PREVOD NA UCET	1622	16157	POJISTNE	YZ	98447876
460605	1566	1995-12-07	VYDAJ	PREVOD NA UCET	1622	19112	POJISTNE	YZ	98447876
460606	1566	1996-01-07	VYDAJ	PREVOD NA UCET	1622	20761	POJISTNE	YZ	98447876
460607	1566	1996-02-07	VYDAJ	PREVOD NA UCET	1622	8456	POJISTNE	YZ	98447876
460608	1566	1996-03-07	VYDAJ	PREVOD NA UCET	1622	14682	POJISTNE	YZ	98447876
460609	1566	1996-04-07	VYDAJ	PREVOD NA UCET	1622	15628	POJISTNE	YZ	98447876
460610	1566	1996-05-07	VYDAJ	PREVOD NA UCET	1622	17674	POJISTNE	YZ	98447876
460611	1566	1996-06-07	VYDAJ	PREVOD NA UCET	1622	20134	POJISTNE	YZ	98447876
460612	1566	1996-07-07	VYDAJ	PREVOD NA UCET	1622	20949	POJISTNE	YZ	98447876
460613	1566	1996-08-07	VYDAJ	PREVOD NA UCET	1622	20718	POJISTNE	YZ	98447876
460614	1566	1996-09-07	VYDAJ	PREVOD NA UCET	1622	20985	POJISTNE	YZ	98447876
460615	1566	1996-10-07	VYDAJ	PREVOD NA UCET	1622	22655	POJISTNE	YZ	98447876
460616	1566	1996-11-07	VYDAJ	PREVOD NA UCET	1622	21969	POJISTNE	YZ	98447876
460617	1566	1996-12-07	VYDAJ	PREVOD NA UCET	1622	21416	POJISTNE	YZ	98447876
460618	1566	1997-01-07	VYDAJ	PREVOD NA UCET	1622	24458	POJISTNE	YZ	98447876
460619	1566	1997-02-07	VYDAJ	PREVOD NA UCET	1622	10747	POJISTNE	YZ	98447876
460620	1566	1997-03-07	VYDAJ	PREVOD NA UCET	1622	19885	POJISTNE	YZ	98447876
460621	1566	1997-04-07	VYDAJ	PREVOD NA UCET	1622	21049	POJISTNE	YZ	98447876
460622	1566	1997-05-07	VYDAJ	PREVOD NA UCET	1622	19993	POJISTNE	YZ	98447876
460623	1566	1997-06-07	VYDAJ	PREVOD NA UCET	1622	25064	POJISTNE	YZ	98447876
460624	1566	1997-07-07	VYDAJ	PREVOD NA UCET	1622	27592	POJISTNE	YZ	98447876
460625	1566	1997-08-07	VYDAJ	PREVOD NA UCET	1622	28685	POJISTNE	YZ	98447876
460626	1566	1997-09-07	VYDAJ	PREVOD NA UCET	1622	27678	POJISTNE	YZ	98447876
460627	1566	1997-10-07	VYDAJ	PREVOD NA UCET	1622	28219	POJISTNE	YZ	98447876
460628	1566	1997-11-07	VYDAJ	PREVOD NA UCET	1622	33025	POJISTNE	YZ	98447876
460629	1566	1997-12-07	VYDAJ	PREVOD NA UCET	1622	30091	POJISTNE	YZ	98447876
460630	1566	1998-01-07	VYDAJ	PREVOD NA UCET	1622	15506	POJISTNE	YZ	98447876
460631	1566	1998-02-07	VYDAJ	PREVOD NA UCET	1622	18946	POJISTNE	YZ	98447876
460632	1566	1998-03-07	VYDAJ	PREVOD NA UCET	1622	24766	POJISTNE	YZ	98447876
460633	1566	1998-04-07	VYDAJ	PREVOD NA UCET	1622	31161	POJISTNE	YZ	98447876
460634	1566	1998-05-07	VYDAJ	PREVOD NA UCET	1622	41489	POJISTNE	YZ	98447876
460635	1566	1998-06-07	VYDAJ	PREVOD NA UCET	1622	47650	POJISTNE	YZ	98447876
460636	1566	1998-07-07	VYDAJ	PREVOD NA UCET	1622	10887	POJISTNE	YZ	98447876
460637	1566	1998-08-07	VYDAJ	PREVOD NA UCET	1622	26446	POJISTNE	YZ	98447876
460638	1566	1998-09-07	VYDAJ	PREVOD NA UCET	1622	33074	POJISTNE	YZ	98447876
460639	1566	1998-10-07	VYDAJ	PREVOD NA UCET	1622	36839	POJISTNE	YZ	98447876
460640	1566	1998-11-07	VYDAJ	PREVOD NA UCET	1622	38967	POJISTNE	YZ	98447876
460641	1566	1998-12-07	VYDAJ	PREVOD NA UCET	1622	40000	POJISTNE	YZ	98447876
460653	1566	1993-12-11	VYDAJ	PREVOD NA UCET	948	31834	 	OP	12450731
460654	1566	1994-01-11	VYDAJ	PREVOD NA UCET	948	33834	 	OP	12450731
460655	1566	1994-02-11	VYDAJ	PREVOD NA UCET	948	21199	 	OP	12450731
460656	1566	1994-03-11	VYDAJ	PREVOD NA UCET	948	24885	 	OP	12450731
460657	1566	1994-04-11	VYDAJ	PREVOD NA UCET	948	23587	 	OP	12450731
460658	1566	1994-05-11	VYDAJ	PREVOD NA UCET	948	23286	 	OP	12450731
460659	1566	1994-06-11	VYDAJ	PREVOD NA UCET	948	21084	 	OP	12450731
460660	1566	1994-07-11	VYDAJ	PREVOD NA UCET	948	25132	 	OP	12450731
460661	1566	1994-08-11	VYDAJ	PREVOD NA UCET	948	25240	 	OP	12450731
460662	1566	1994-09-11	VYDAJ	PREVOD NA UCET	948	16011	 	OP	12450731
460663	1566	1994-10-11	VYDAJ	PREVOD NA UCET	948	17075	 	OP	12450731
460664	1566	1994-11-11	VYDAJ	PREVOD NA UCET	948	18042	 	OP	12450731
460665	1566	1994-12-11	VYDAJ	PREVOD NA UCET	948	19331	 	OP	12450731
460666	1566	1995-01-11	VYDAJ	PREVOD NA UCET	948	19724	 	OP	12450731
460667	1566	1995-02-11	VYDAJ	PREVOD NA UCET	948	13485	 	OP	12450731
460668	1566	1995-03-11	VYDAJ	PREVOD NA UCET	948	16256	 	OP	12450731
460669	1566	1995-04-11	VYDAJ	PREVOD NA UCET	948	19820	 	OP	12450731
460670	1566	1995-05-11	VYDAJ	PREVOD NA UCET	948	24197	 	OP	12450731
460671	1566	1995-06-11	VYDAJ	PREVOD NA UCET	948	21669	 	OP	12450731
460672	1566	1995-07-11	VYDAJ	PREVOD NA UCET	948	20981	 	OP	12450731
460673	1566	1995-08-11	VYDAJ	PREVOD NA UCET	948	20074	 	OP	12450731
460674	1566	1995-09-11	VYDAJ	PREVOD NA UCET	948	20649	 	OP	12450731
460675	1566	1995-10-11	VYDAJ	PREVOD NA UCET	948	23227	 	OP	12450731
460676	1566	1995-11-11	VYDAJ	PREVOD NA UCET	948	15209	 	OP	12450731
460677	1566	1995-12-11	VYDAJ	PREVOD NA UCET	948	14324	 	OP	12450731
460678	1566	1996-01-11	VYDAJ	PREVOD NA UCET	948	18973	 	OP	12450731
460679	1566	1996-02-11	VYDAJ	PREVOD NA UCET	948	7508	 	OP	12450731
460680	1566	1996-03-11	VYDAJ	PREVOD NA UCET	948	13734	 	OP	12450731
460681	1566	1996-04-11	VYDAJ	PREVOD NA UCET	948	14680	 	OP	12450731
460682	1566	1996-05-11	VYDAJ	PREVOD NA UCET	948	16726	 	OP	12450731
460683	1566	1996-06-11	VYDAJ	PREVOD NA UCET	948	19186	 	OP	12450731
460684	1566	1996-07-11	VYDAJ	PREVOD NA UCET	948	20001	 	OP	12450731
460685	1566	1996-08-11	VYDAJ	PREVOD NA UCET	948	19770	 	OP	12450731
460686	1566	1996-09-11	VYDAJ	PREVOD NA UCET	948	20037	 	OP	12450731
460687	1566	1996-10-11	VYDAJ	PREVOD NA UCET	948	21707	 	OP	12450731
460688	1566	1996-11-11	VYDAJ	PREVOD NA UCET	948	21021	 	OP	12450731
460689	1566	1996-12-11	VYDAJ	PREVOD NA UCET	948	17908	 	OP	12450731
460690	1566	1997-01-11	VYDAJ	PREVOD NA UCET	948	20990	 	OP	12450731
460691	1566	1997-02-11	VYDAJ	PREVOD NA UCET	948	9799	 	OP	12450731
460692	1566	1997-03-11	VYDAJ	PREVOD NA UCET	948	18937	 	OP	12450731
460693	1566	1997-04-11	VYDAJ	PREVOD NA UCET	948	20101	 	OP	12450731
460694	1566	1997-05-11	VYDAJ	PREVOD NA UCET	948	19045	 	OP	12450731
460695	1566	1997-06-11	VYDAJ	PREVOD NA UCET	948	24116	 	OP	12450731
460696	1566	1997-07-11	VYDAJ	PREVOD NA UCET	948	26644	 	OP	12450731
460697	1566	1997-08-11	VYDAJ	PREVOD NA UCET	948	27737	 	OP	12450731
460698	1566	1997-09-11	VYDAJ	PREVOD NA UCET	948	26730	 	OP	12450731
460699	1566	1997-10-11	VYDAJ	PREVOD NA UCET	948	27271	 	OP	12450731
460700	1566	1997-11-11	VYDAJ	PREVOD NA UCET	948	32077	 	OP	12450731
460701	1566	1997-12-11	VYDAJ	PREVOD NA UCET	948	29143	 	OP	12450731
460702	1566	1998-01-11	VYDAJ	PREVOD NA UCET	948	14558	 	OP	12450731
460703	1566	1998-02-11	VYDAJ	PREVOD NA UCET	948	22898	 	OP	12450731
460704	1566	1998-03-11	VYDAJ	PREVOD NA UCET	948	23818	 	OP	12450731
460705	1566	1998-04-11	VYDAJ	PREVOD NA UCET	948	30213	 	OP	12450731
460706	1566	1998-05-11	VYDAJ	PREVOD NA UCET	948	40541	 	OP	12450731
460707	1566	1998-06-11	VYDAJ	PREVOD NA UCET	948	46702	 	OP	12450731
460708	1566	1998-07-11	VYDAJ	PREVOD NA UCET	948	18839	 	OP	12450731
460709	1566	1998-08-11	VYDAJ	PREVOD NA UCET	948	28298	 	OP	12450731
460710	1566	1998-09-11	VYDAJ	PREVOD NA UCET	948	31926	 	OP	12450731
460711	1566	1998-10-11	VYDAJ	PREVOD NA UCET	948	31291	 	OP	12450731
460712	1566	1998-11-11	VYDAJ	PREVOD NA UCET	948	32319	 	OP	12450731
460713	1566	1998-12-11	VYDAJ	PREVOD NA UCET	948	28652	 	OP	12450731
460716	1566	1995-06-25	VYDAJ	VYBER	13920	28605	\N	\N	\N
460719	1566	1998-06-26	VYDAJ	VYBER	41920	16698	\N	\N	\N
460721	1566	1994-01-17	VYDAJ	VYBER	4640	38990	\N	\N	\N
460722	1566	1995-01-14	VYDAJ	VYBER	13920	16560	\N	\N	\N
460723	1566	1996-01-21	VYDAJ	VYBER	11840	20649	\N	\N	\N
460724	1566	1997-01-28	VYDAJ	VYBER	12960	16646	\N	\N	\N
460725	1566	1998-01-07	VYDAJ	VYBER	13280	17128	\N	\N	\N
460726	1566	1993-12-08	VYDAJ	VYBER	2880	32782	\N	\N	\N
460727	1566	1994-12-01	VYDAJ	VYBER	1760	26276	\N	\N	\N
460728	1566	1995-12-08	VYDAJ	VYBER	3840	15272	\N	\N	\N
460729	1566	1996-12-10	VYDAJ	VYBER	2560	18856	\N	\N	\N
460730	1566	1997-12-30	VYDAJ	VYBER	3680	34619	\N	\N	\N
460731	1566	1998-12-17	VYDAJ	VYBER	2720	46788	\N	\N	\N
460738	1566	1994-01-17	VYDAJ	VYBER	2040	43630	\N	\N	\N
460739	1566	1994-01-16	VYDAJ	VYBER	1680	45670	\N	\N	\N
460740	1566	1994-01-19	VYDAJ	VYBER	600	38390	\N	\N	\N
460741	1566	1994-01-27	VYDAJ	VYBER	2280	36110	\N	\N	\N
460742	1566	1994-01-30	VYDAJ	VYBER	960	31790	\N	\N	\N
460743	1566	1994-01-27	VYDAJ	VYBER	3360	32750	\N	\N	\N
460744	1566	1995-01-14	VYDAJ	VYBER	1320	30480	\N	\N	\N
460746	1566	1995-01-05	VYDAJ	VYBER	2160	26669	\N	\N	\N
460747	1566	1995-01-28	VYDAJ	VYBER	1800	20360	\N	\N	\N
460748	1566	1995-01-13	VYDAJ	VYBER	1440	31800	\N	\N	\N
460749	1566	1995-01-02	VYDAJ	VYBER	1680	28829	\N	\N	\N
460750	1566	1996-01-26	VYDAJ	VYBER	840	16889	\N	\N	\N
460751	1566	1996-01-07	VYDAJ	VYBER	840	19921	\N	\N	\N
460752	1566	1996-01-23	VYDAJ	VYBER	3240	20009	\N	\N	\N
460753	1566	1996-01-30	VYDAJ	VYBER	2520	14369	\N	\N	\N
460754	1566	1996-01-25	VYDAJ	VYBER	2280	17729	\N	\N	\N
460755	1566	1996-01-02	VYDAJ	VYBER	720	26758	\N	\N	\N
460757	1566	1997-01-08	VYDAJ	VYBER	2520	21938	\N	\N	\N
460758	1566	1997-01-16	VYDAJ	VYBER	960	30906	\N	\N	\N
460760	1566	1997-01-14	VYDAJ	VYBER	2640	31866	\N	\N	\N
460761	1566	1997-01-06	VYDAJ	VYBER	3120	26080	\N	\N	\N
460763	1566	1998-01-30	VYDAJ	VYBER	3480	24834	\N	\N	\N
460764	1566	1998-01-28	VYDAJ	VYBER	3360	30834	\N	\N	\N
460765	1566	1998-01-29	VYDAJ	VYBER	2520	28314	\N	\N	\N
460767	1566	1998-01-20	VYDAJ	VYBER	1680	34194	\N	\N	\N
460774	1566	1994-08-19	VYDAJ	VYBER	4800	32036	\N	\N	\N
460775	1566	1994-09-04	VYDAJ	VYBER	4200	22956	\N	\N	\N
460776	1566	1994-08-01	VYDAJ	VYBER	600	38185	\N	\N	\N
460777	1566	1994-08-13	VYDAJ	VYBER	1920	36836	\N	\N	\N
460778	1566	1994-11-24	VYDAJ	VYBER	720	30838	\N	\N	\N
460780	1566	1995-10-30	VYDAJ	VYBER	4200	22043	\N	\N	\N
460781	1566	1995-05-26	VYDAJ	VYBER	2520	35193	\N	\N	\N
460782	1566	1995-07-15	VYDAJ	VYBER	3480	31017	\N	\N	\N
460783	1566	1996-11-02	VYDAJ	VYBER	960	27966	\N	\N	\N
460784	1566	1996-11-15	VYDAJ	VYBER	4920	29617	\N	\N	\N
460785	1566	1996-04-14	VYDAJ	VYBER	3600	24596	\N	\N	\N
460786	1566	1997-12-07	VYDAJ	VYBER	5160	31713	\N	\N	\N
460787	1566	1997-06-14	VYDAJ	VYBER	3600	41372	\N	\N	\N
460788	1566	1997-05-06	VYDAJ	VYBER	1320	25990	\N	\N	\N
460789	1566	1997-10-03	VYDAJ	VYBER	4560	34216	\N	\N	\N
460790	1566	1997-04-14	VYDAJ	VYBER	3000	30617	\N	\N	\N
460791	1566	1998-06-19	VYDAJ	VYBER	4440	58618	\N	\N	\N
460792	1566	1998-03-05	VYDAJ	VYBER	5760	30763	\N	\N	\N
460793	1566	1998-10-03	VYDAJ	VYBER	1440	42836	\N	\N	\N
460794	1566	1998-09-22	VYDAJ	VYBER	1320	44122	\N	\N	\N
460795	1566	1998-09-05	VYDAJ	VYBER	2880	39071	\N	\N	\N
460807	1566	1993-11-30	VYDAJ	VYBER	15	55459	SLUZBY	\N	\N
460808	1566	1993-12-31	VYDAJ	VYBER	15	52879	SLUZBY	\N	\N
460809	1566	1994-01-31	VYDAJ	VYBER	15	31944	SLUZBY	\N	\N
460810	1566	1994-02-28	VYDAJ	VYBER	15	34830	SLUZBY	\N	\N
460811	1566	1994-03-31	VYDAJ	VYBER	15	38532	SLUZBY	\N	\N
460812	1566	1994-04-30	VYDAJ	VYBER	15	37231	SLUZBY	\N	\N
460813	1566	1994-05-31	VYDAJ	VYBER	15	36929	SLUZBY	\N	\N
460814	1566	1994-06-30	VYDAJ	VYBER	15	42077	SLUZBY	\N	\N
460815	1566	1994-07-31	VYDAJ	VYBER	15	38785	SLUZBY	\N	\N
460816	1566	1994-08-31	VYDAJ	VYBER	15	27156	SLUZBY	\N	\N
460817	1566	1994-09-30	VYDAJ	VYBER	15	29620	SLUZBY	\N	\N
460818	1566	1994-10-31	VYDAJ	VYBER	15	24987	SLUZBY	\N	\N
460819	1566	1994-11-30	VYDAJ	VYBER	15	28036	SLUZBY	\N	\N
460820	1566	1994-12-31	VYDAJ	VYBER	15	30509	SLUZBY	\N	\N
460821	1566	1995-01-31	VYDAJ	VYBER	15	20430	SLUZBY	\N	\N
460822	1566	1995-02-28	VYDAJ	VYBER	15	24881	SLUZBY	\N	\N
460823	1566	1995-03-31	VYDAJ	VYBER	15	26765	SLUZBY	\N	\N
460824	1566	1995-04-30	VYDAJ	VYBER	15	31142	SLUZBY	\N	\N
460825	1566	1995-05-31	VYDAJ	VYBER	15	28614	SLUZBY	\N	\N
460826	1566	1995-06-30	VYDAJ	VYBER	15	27926	SLUZBY	\N	\N
460827	1566	1995-07-31	VYDAJ	VYBER	15	27019	SLUZBY	\N	\N
460828	1566	1995-08-31	VYDAJ	VYBER	15	27594	SLUZBY	\N	\N
460829	1566	1995-09-30	VYDAJ	VYBER	15	30172	SLUZBY	\N	\N
460830	1566	1995-10-31	VYDAJ	VYBER	15	22154	SLUZBY	\N	\N
460831	1566	1995-11-30	VYDAJ	VYBER	15	25109	SLUZBY	\N	\N
460832	1566	1995-12-31	VYDAJ	VYBER	15	27478	SLUZBY	\N	\N
460833	1566	1996-01-31	VYDAJ	VYBER	15	14453	SLUZBY	\N	\N
460834	1566	1996-02-29	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
460835	1566	1996-03-31	VYDAJ	VYBER	15	21625	SLUZBY	\N	\N
460836	1566	1996-04-30	VYDAJ	VYBER	15	23671	SLUZBY	\N	\N
460837	1566	1996-05-31	VYDAJ	VYBER	15	26131	SLUZBY	\N	\N
460838	1566	1996-06-30	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
460839	1566	1996-07-31	VYDAJ	VYBER	15	26715	SLUZBY	\N	\N
460840	1566	1996-08-31	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
460841	1566	1996-09-30	VYDAJ	VYBER	15	28652	SLUZBY	\N	\N
460842	1566	1996-10-31	VYDAJ	VYBER	15	28926	SLUZBY	\N	\N
460843	1566	1996-11-30	VYDAJ	VYBER	15	27413	SLUZBY	\N	\N
460844	1566	1996-12-31	VYDAJ	VYBER	15	33575	SLUZBY	\N	\N
460845	1566	1997-01-31	VYDAJ	VYBER	15	16744	SLUZBY	\N	\N
460846	1566	1997-02-28	VYDAJ	VYBER	15	25882	SLUZBY	\N	\N
460847	1566	1997-03-31	VYDAJ	VYBER	15	27046	SLUZBY	\N	\N
460848	1566	1997-04-30	VYDAJ	VYBER	15	27310	SLUZBY	\N	\N
460849	1566	1997-05-31	VYDAJ	VYBER	15	31061	SLUZBY	\N	\N
460850	1566	1997-06-30	VYDAJ	VYBER	15	33589	SLUZBY	\N	\N
460851	1566	1997-07-31	VYDAJ	VYBER	15	34682	SLUZBY	\N	\N
460852	1566	1997-08-31	VYDAJ	VYBER	15	33675	SLUZBY	\N	\N
460853	1566	1997-09-30	VYDAJ	VYBER	15	38776	SLUZBY	\N	\N
460854	1566	1997-10-31	VYDAJ	VYBER	15	39022	SLUZBY	\N	\N
460855	1566	1997-11-30	VYDAJ	VYBER	15	41248	SLUZBY	\N	\N
460856	1566	1997-12-31	VYDAJ	VYBER	15	34783	SLUZBY	\N	\N
460857	1566	1998-01-31	VYDAJ	VYBER	15	24943	SLUZBY	\N	\N
460858	1566	1998-02-28	VYDAJ	VYBER	15	36523	SLUZBY	\N	\N
460859	1566	1998-03-31	VYDAJ	VYBER	15	37158	SLUZBY	\N	\N
460860	1566	1998-04-30	VYDAJ	VYBER	15	47486	SLUZBY	\N	\N
460861	1566	1998-05-31	VYDAJ	VYBER	15	53647	SLUZBY	\N	\N
460862	1566	1998-06-30	VYDAJ	VYBER	15	16884	SLUZBY	\N	\N
460863	1566	1998-07-31	VYDAJ	VYBER	15	32443	SLUZBY	\N	\N
460864	1566	1998-08-31	VYDAJ	VYBER	15	41951	SLUZBY	\N	\N
460865	1566	1998-09-30	VYDAJ	VYBER	15	44276	SLUZBY	\N	\N
460866	1566	1998-10-31	VYDAJ	VYBER	15	44964	SLUZBY	\N	\N
460867	1566	1998-11-30	VYDAJ	VYBER	15	45997	SLUZBY	\N	\N
460868	1566	1993-08-06	PRIJEM	VKLAD	6700	21919	\N	\N	\N
460869	1566	1993-09-05	VYDAJ	VYBER	4100	32617	\N	\N	\N
460870	1566	1993-10-05	VYDAJ	VYBER	9300	38176	\N	\N	\N
460871	1566	1993-11-04	VYDAJ	VYBER	12500	40567	\N	\N	\N
460872	1566	1993-12-04	VYDAJ	VYBER	13800	41659	\N	\N	\N
460873	1566	1994-01-03	VYDAJ	VYBER	12100	40779	\N	\N	\N
460874	1566	1994-02-02	VYDAJ	VYBER	3800	28144	\N	\N	\N
460875	1566	1994-03-04	VYDAJ	VYBER	3000	31830	\N	\N	\N
460876	1566	1994-04-03	VYDAJ	VYBER	8000	30532	\N	\N	\N
460877	1566	1994-05-03	VYDAJ	VYBER	7000	30231	\N	\N	\N
460878	1566	1994-06-02	VYDAJ	VYBER	8900	28029	\N	\N	\N
460879	1566	1994-07-02	VYDAJ	VYBER	10000	32077	\N	\N	\N
460880	1566	1994-08-01	VYDAJ	VYBER	6000	32185	\N	\N	\N
460881	1566	1994-08-31	VYDAJ	VYBER	5000	27171	\N	\N	\N
460882	1566	1994-09-30	VYDAJ	VYBER	5600	24020	\N	\N	\N
460883	1566	1994-10-30	VYDAJ	VYBER	5700	24891	\N	\N	\N
460884	1566	1994-11-29	VYDAJ	VYBER	2900	27938	\N	\N	\N
460885	1566	1994-12-29	VYDAJ	VYBER	9800	30387	\N	\N	\N
460886	1566	1995-01-28	PRIJEM	VKLAD	5600	22160	\N	\N	\N
460887	1566	1995-02-27	VYDAJ	VYBER	2200	24801	\N	\N	\N
460888	1566	1995-03-29	VYDAJ	VYBER	3100	26672	\N	\N	\N
460889	1566	1995-04-28	VYDAJ	VYBER	2300	31036	\N	\N	\N
460890	1566	1995-05-28	VYDAJ	VYBER	6700	28493	\N	\N	\N
460891	1566	1995-06-27	VYDAJ	VYBER	800	27805	\N	\N	\N
460892	1566	1995-07-27	VYDAJ	VYBER	4100	26917	\N	\N	\N
460893	1566	1995-08-26	VYDAJ	VYBER	6100	27490	\N	\N	\N
460894	1566	1995-09-25	VYDAJ	VYBER	4100	30065	\N	\N	\N
460895	1566	1995-10-25	VYDAJ	VYBER	10500	26243	\N	\N	\N
460896	1566	1995-11-24	VYDAJ	VYBER	3700	25025	\N	\N	\N
460897	1566	1995-12-24	VYDAJ	VYBER	7800	27380	\N	\N	\N
460898	1566	1996-01-23	PRIJEM	VKLAD	2600	23249	\N	\N	\N
460899	1566	1996-02-22	VYDAJ	VYBER	400	20624	\N	\N	\N
460900	1566	1996-03-23	VYDAJ	VYBER	5700	21550	\N	\N	\N
460901	1566	1996-04-22	VYDAJ	VYBER	1000	23596	\N	\N	\N
460902	1566	1996-05-22	VYDAJ	VYBER	4200	26042	\N	\N	\N
460903	1566	1996-06-21	VYDAJ	VYBER	13200	26842	\N	\N	\N
460904	1566	1996-07-21	VYDAJ	VYBER	6900	26617	\N	\N	\N
460905	1566	1996-08-20	VYDAJ	VYBER	6400	26886	\N	\N	\N
460906	1566	1996-09-19	VYDAJ	VYBER	5000	28553	\N	\N	\N
460907	1566	1996-10-19	VYDAJ	VYBER	6400	28823	\N	\N	\N
460908	1566	1996-11-18	VYDAJ	VYBER	2300	27317	\N	\N	\N
460909	1566	1996-12-18	VYDAJ	VYBER	5300	33464	\N	\N	\N
460910	1566	1997-01-17	VYDAJ	VYBER	1300	29606	\N	\N	\N
460911	1566	1997-02-16	PRIJEM	VKLAD	2500	25815	\N	\N	\N
460912	1566	1997-03-18	VYDAJ	VYBER	5500	26953	\N	\N	\N
460913	1566	1997-04-17	VYDAJ	VYBER	3400	27217	\N	\N	\N
460914	1566	1997-05-17	VYDAJ	VYBER	1600	30961	\N	\N	\N
460915	1566	1997-06-16	VYDAJ	VYBER	7900	33472	\N	\N	\N
460916	1566	1997-07-16	VYDAJ	VYBER	5600	34560	\N	\N	\N
460917	1566	1997-08-15	VYDAJ	VYBER	7700	33553	\N	\N	\N
460918	1566	1997-09-14	VYDAJ	VYBER	1600	38646	\N	\N	\N
460919	1566	1997-10-14	VYDAJ	VYBER	1900	38887	\N	\N	\N
460920	1566	1997-11-13	VYDAJ	VYBER	4500	41093	\N	\N	\N
460921	1566	1997-12-13	VYDAJ	VYBER	11700	38299	\N	\N	\N
460922	1566	1998-01-12	PRIJEM	VKLAD	7800	22358	\N	\N	\N
460923	1566	1998-02-11	PRIJEM	VKLAD	4900	23846	\N	\N	\N
460924	1566	1998-03-13	VYDAJ	VYBER	300	37034	\N	\N	\N
460925	1566	1998-04-12	PRIJEM	VKLAD	3600	33813	\N	\N	\N
460926	1566	1998-05-12	VYDAJ	VYBER	600	39941	\N	\N	\N
460927	1566	1998-06-11	VYDAJ	VYBER	4500	42202	\N	\N	\N
460928	1566	1998-07-11	PRIJEM	VKLAD	8900	19787	\N	\N	\N
460929	1566	1998-08-10	PRIJEM	VKLAD	2800	29246	\N	\N	\N
460930	1566	1998-09-09	VYDAJ	VYBER	200	32874	\N	\N	\N
460931	1566	1998-10-09	VYDAJ	VYBER	4600	32239	\N	\N	\N
460932	1566	1998-11-08	VYDAJ	VYBER	5700	33267	\N	\N	\N
460933	1566	1998-12-08	VYDAJ	VYBER	10400	29600	\N	\N	\N
461000	1567	1997-08-19	PRIJEM	VKLAD	800	800	\N	\N	\N
461009	1567	1997-09-08	PRIJEM	VKLAD	21693	22493	\N	\N	\N
461010	1567	1997-10-08	PRIJEM	VKLAD	21693	47833	\N	\N	\N
461011	1567	1997-11-08	PRIJEM	VKLAD	21693	59256	\N	\N	\N
461012	1567	1997-12-08	PRIJEM	VKLAD	32540	75062	\N	\N	\N
461013	1567	1998-01-08	PRIJEM	VKLAD	21693	76456	\N	\N	\N
461014	1567	1998-02-08	PRIJEM	VKLAD	21693	54619	\N	\N	\N
461015	1567	1998-03-08	PRIJEM	VKLAD	21693	56843	\N	\N	\N
461016	1567	1998-04-08	PRIJEM	VKLAD	21693	57574	\N	\N	\N
461017	1567	1998-05-08	PRIJEM	VKLAD	21693	61815	\N	\N	\N
461018	1567	1998-06-08	PRIJEM	VKLAD	32540	54738	\N	\N	\N
461019	1567	1998-07-08	PRIJEM	VKLAD	21693	54718	\N	\N	\N
461020	1567	1998-08-08	PRIJEM	VKLAD	21693	60055	\N	\N	\N
461021	1567	1998-09-08	PRIJEM	VKLAD	21693	60243	\N	\N	\N
461022	1567	1998-10-08	PRIJEM	VKLAD	21693	71408	\N	\N	\N
461023	1567	1998-11-08	PRIJEM	VKLAD	21693	74199	\N	\N	\N
461024	1567	1998-12-08	PRIJEM	VKLAD	32540	78564	\N	\N	\N
461037	1567	1998-01-11	VYDAJ	PREVOD NA UCET	480	58401	SIPO	UV	14090234
461038	1567	1998-02-11	VYDAJ	PREVOD NA UCET	480	50684	SIPO	UV	14090234
461039	1567	1998-03-11	VYDAJ	PREVOD NA UCET	480	52908	SIPO	UV	14090234
461040	1567	1998-04-11	VYDAJ	PREVOD NA UCET	480	53639	SIPO	UV	14090234
461041	1567	1998-05-11	VYDAJ	PREVOD NA UCET	480	57880	SIPO	UV	14090234
461042	1567	1998-06-11	VYDAJ	PREVOD NA UCET	480	47083	SIPO	UV	14090234
461043	1567	1998-07-11	VYDAJ	PREVOD NA UCET	480	50783	SIPO	UV	14090234
461044	1567	1998-08-11	VYDAJ	PREVOD NA UCET	480	56120	SIPO	UV	14090234
461045	1567	1998-09-11	VYDAJ	PREVOD NA UCET	480	56308	SIPO	UV	14090234
461046	1567	1998-10-11	VYDAJ	PREVOD NA UCET	480	67473	SIPO	UV	14090234
461047	1567	1998-11-11	VYDAJ	PREVOD NA UCET	480	68364	SIPO	UV	14090234
461048	1567	1998-12-11	VYDAJ	PREVOD NA UCET	480	74629	SIPO	UV	14090234
461062	1567	1998-02-06	VYDAJ	PREVOD NA UCET	6000	32926	 	CD	53102117
461063	1567	1998-03-06	VYDAJ	PREVOD NA UCET	6000	35150	 	CD	53102117
461064	1567	1998-04-06	VYDAJ	PREVOD NA UCET	6000	35881	 	CD	53102117
461065	1567	1998-05-06	VYDAJ	PREVOD NA UCET	6000	40122	 	CD	53102117
461066	1567	1998-06-06	VYDAJ	PREVOD NA UCET	6000	22198	 	CD	53102117
461067	1567	1998-07-06	VYDAJ	PREVOD NA UCET	6000	33025	 	CD	53102117
461068	1567	1998-08-06	VYDAJ	PREVOD NA UCET	6000	38362	 	CD	53102117
461069	1567	1998-09-06	VYDAJ	PREVOD NA UCET	6000	38550	 	CD	53102117
461070	1567	1998-10-06	VYDAJ	PREVOD NA UCET	6000	49715	 	CD	53102117
461071	1567	1998-11-06	VYDAJ	PREVOD NA UCET	6000	52506	 	CD	53102117
461072	1567	1998-12-06	VYDAJ	PREVOD NA UCET	6000	50704	 	CD	53102117
461085	1567	1998-01-10	VYDAJ	PREVOD NA UCET	3455	59961	POJISTNE	EF	34027445
461086	1567	1998-02-10	VYDAJ	PREVOD NA UCET	3455	51164	POJISTNE	EF	34027445
461087	1567	1998-03-10	VYDAJ	PREVOD NA UCET	3455	53388	POJISTNE	EF	34027445
461088	1567	1998-04-10	VYDAJ	PREVOD NA UCET	3455	54119	POJISTNE	EF	34027445
461089	1567	1998-05-10	VYDAJ	PREVOD NA UCET	3455	58360	POJISTNE	EF	34027445
461090	1567	1998-06-10	VYDAJ	PREVOD NA UCET	3455	47563	POJISTNE	EF	34027445
461091	1567	1998-07-10	VYDAJ	PREVOD NA UCET	3455	51263	POJISTNE	EF	34027445
461092	1567	1998-08-10	VYDAJ	PREVOD NA UCET	3455	56600	POJISTNE	EF	34027445
461093	1567	1998-09-10	VYDAJ	PREVOD NA UCET	3455	56788	POJISTNE	EF	34027445
461094	1567	1998-10-10	VYDAJ	PREVOD NA UCET	3455	67953	POJISTNE	EF	34027445
461095	1567	1998-11-10	VYDAJ	PREVOD NA UCET	3455	68844	POJISTNE	EF	34027445
461096	1567	1998-12-10	VYDAJ	PREVOD NA UCET	3455	75109	POJISTNE	EF	34027445
461098	1567	1998-06-02	VYDAJ	VYBER	21760	28198	\N	\N	\N
461100	1567	1998-01-10	VYDAJ	VYBER	11360	63416	\N	\N	\N
461102	1567	1998-12-02	VYDAJ	VYBER KARTOU	3700	56704	\N	\N	0
461109	1567	1998-01-09	VYDAJ	VYBER	1680	74776	\N	\N	\N
461110	1567	1998-01-13	VYDAJ	VYBER	3360	55041	\N	\N	\N
461111	1567	1998-01-28	VYDAJ	VYBER	1320	38741	\N	\N	\N
461112	1567	1998-01-14	VYDAJ	VYBER	2040	53001	\N	\N	\N
461113	1567	1998-01-10	VYDAJ	VYBER	1080	58881	\N	\N	\N
461117	1567	1998-11-08	VYDAJ	VYBER KARTOU	1900	72299	\N	\N	0
461118	1567	1998-05-12	VYDAJ	VYBER	1320	56560	\N	\N	\N
461119	1567	1998-06-18	VYDAJ	VYBER	5520	38863	\N	\N	\N
461120	1567	1998-12-07	VYDAJ	VYBER	4680	46024	\N	\N	\N
461121	1567	1998-06-09	VYDAJ	VYBER	3720	51018	\N	\N	\N
461122	1567	1998-08-25	VYDAJ	VYBER	5760	44360	\N	\N	\N
461123	1567	1998-01-14	VYDAJ	VYBER	3240	49761	\N	\N	\N
461124	1567	1998-08-06	VYDAJ	VYBER KARTOU	3200	44362	\N	\N	0
461138	1567	1998-01-31	VYDAJ	VYBER	15	38926	SLUZBY	\N	\N
461139	1567	1998-02-28	VYDAJ	VYBER	15	41150	SLUZBY	\N	\N
461140	1567	1998-03-31	VYDAJ	VYBER	15	41881	SLUZBY	\N	\N
461141	1567	1998-04-30	VYDAJ	VYBER	15	46122	SLUZBY	\N	\N
461142	1567	1998-05-31	VYDAJ	VYBER	15	49958	SLUZBY	\N	\N
461143	1567	1998-06-30	VYDAJ	VYBER	15	39025	SLUZBY	\N	\N
461144	1567	1998-07-31	VYDAJ	VYBER	15	47562	SLUZBY	\N	\N
461145	1567	1998-08-31	VYDAJ	VYBER	15	44550	SLUZBY	\N	\N
461146	1567	1998-09-30	VYDAJ	VYBER	15	55715	SLUZBY	\N	\N
461147	1567	1998-10-31	VYDAJ	VYBER	15	58506	SLUZBY	\N	\N
461148	1567	1998-11-30	VYDAJ	VYBER	15	60404	SLUZBY	\N	\N
461149	1567	1997-09-18	PRIJEM	VKLAD	3600	26093	\N	\N	\N
461150	1567	1997-10-18	VYDAJ	VYBER	10400	37433	\N	\N	\N
461151	1567	1997-11-17	VYDAJ	VYBER	16900	42356	\N	\N	\N
461152	1567	1997-12-17	VYDAJ	VYBER	20500	54562	\N	\N	\N
461153	1567	1998-01-16	VYDAJ	VYBER	9700	40061	\N	\N	\N
461154	1567	1998-02-15	VYDAJ	VYBER	9700	40984	\N	\N	\N
461155	1567	1998-03-17	VYDAJ	VYBER	11200	41708	\N	\N	\N
461156	1567	1998-04-16	VYDAJ	VYBER	7700	45939	\N	\N	\N
461157	1567	1998-05-16	VYDAJ	VYBER	6800	49760	\N	\N	\N
461158	1567	1998-06-15	VYDAJ	VYBER	2700	44383	\N	\N	\N
461159	1567	1998-07-15	VYDAJ	VYBER KARTOU	3400	47383	\N	\N	0
461160	1567	1998-08-14	VYDAJ	VYBER	6000	50120	\N	\N	\N
461161	1567	1998-09-13	VYDAJ	VYBER KARTOU	800	55508	\N	\N	0
461162	1567	1998-10-13	VYDAJ	VYBER	9200	58273	\N	\N	\N
461163	1567	1998-11-12	VYDAJ	VYBER	8200	60164	\N	\N	\N
461180	1568	1995-07-15	PRIJEM	VKLAD	300	300	\N	\N	\N
461188	1568	1995-08-14	PRIJEM	VKLAD	13931	14231	\N	\N	\N
461189	1568	1995-09-14	PRIJEM	VKLAD	13931	34412	\N	\N	\N
461190	1568	1995-10-14	PRIJEM	VKLAD	13931	42662	\N	\N	\N
461191	1568	1995-11-14	PRIJEM	VKLAD	13931	50556	\N	\N	\N
461192	1568	1995-12-14	PRIJEM	VKLAD	20896	61249	\N	\N	\N
461193	1568	1996-01-14	PRIJEM	VKLAD	13931	48945	\N	\N	\N
461194	1568	1996-02-14	PRIJEM	VKLAD	13931	47791	\N	\N	\N
461195	1568	1996-03-14	PRIJEM	VKLAD	13931	52312	\N	\N	\N
461196	1568	1996-04-14	PRIJEM	VKLAD	13931	56252	\N	\N	\N
461197	1568	1996-05-14	PRIJEM	VKLAD	13931	56009	\N	\N	\N
461198	1568	1996-06-14	PRIJEM	VKLAD	20896	61025	\N	\N	\N
461199	1568	1996-07-14	PRIJEM	VKLAD	13931	50542	\N	\N	\N
461200	1568	1996-08-14	PRIJEM	VKLAD	13931	54861	\N	\N	\N
461201	1568	1996-09-14	PRIJEM	VKLAD	13931	51811	\N	\N	\N
461202	1568	1996-10-14	PRIJEM	VKLAD	13931	54753	\N	\N	\N
461203	1568	1996-11-14	PRIJEM	VKLAD	13931	55204	\N	\N	\N
461204	1568	1996-12-14	PRIJEM	VKLAD	20896	63614	\N	\N	\N
461205	1568	1997-01-14	PRIJEM	VKLAD	13931	48082	\N	\N	\N
461206	1568	1997-02-14	PRIJEM	VKLAD	13931	45203	\N	\N	\N
461207	1568	1997-03-14	PRIJEM	VKLAD	13931	47301	\N	\N	\N
461208	1568	1997-04-14	PRIJEM	VKLAD	13931	48811	\N	\N	\N
461209	1568	1997-05-14	PRIJEM	VKLAD	13931	48638	\N	\N	\N
461210	1568	1997-06-14	PRIJEM	VKLAD	20896	53112	\N	\N	\N
461211	1568	1997-07-14	PRIJEM	VKLAD	13931	54950	\N	\N	\N
461212	1568	1997-08-14	PRIJEM	VKLAD	13931	56193	\N	\N	\N
461213	1568	1997-09-14	PRIJEM	VKLAD	13931	52651	\N	\N	\N
461214	1568	1997-10-14	PRIJEM	VKLAD	13931	52999	\N	\N	\N
461215	1568	1997-11-14	PRIJEM	VKLAD	13931	58935	\N	\N	\N
461216	1568	1997-12-14	PRIJEM	VKLAD	20896	64915	\N	\N	\N
461217	1568	1998-01-14	PRIJEM	VKLAD	13931	56980	\N	\N	\N
461218	1568	1998-02-14	PRIJEM	VKLAD	13931	57236	\N	\N	\N
461219	1568	1998-03-14	PRIJEM	VKLAD	13931	61387	\N	\N	\N
461220	1568	1998-04-14	PRIJEM	VKLAD	13931	62752	\N	\N	\N
461221	1568	1998-05-14	PRIJEM	VKLAD	13931	55235	\N	\N	\N
461222	1568	1998-06-14	PRIJEM	VKLAD	20896	56739	\N	\N	\N
461223	1568	1998-07-14	PRIJEM	VKLAD	13931	55532	\N	\N	\N
461224	1568	1998-08-14	PRIJEM	VKLAD	13931	59576	\N	\N	\N
461225	1568	1998-09-14	PRIJEM	VKLAD	13931	57294	\N	\N	\N
461226	1568	1998-10-14	PRIJEM	VKLAD	13931	58439	\N	\N	\N
461227	1568	1998-11-14	PRIJEM	VKLAD	13931	58581	\N	\N	\N
461228	1568	1998-12-14	PRIJEM	VKLAD	20896	66789	\N	\N	\N
461240	1568	1995-12-14	VYDAJ	PREVOD NA UCET	4399	56850	SIPO	WX	7532716
461241	1568	1996-01-14	VYDAJ	PREVOD NA UCET	4399	44546	SIPO	WX	7532716
461242	1568	1996-02-14	VYDAJ	PREVOD NA UCET	4399	43392	SIPO	WX	7532716
461243	1568	1996-03-14	VYDAJ	PREVOD NA UCET	4399	47913	SIPO	WX	7532716
461244	1568	1996-04-14	VYDAJ	PREVOD NA UCET	4399	51853	SIPO	WX	7532716
461245	1568	1996-05-14	VYDAJ	PREVOD NA UCET	4399	51610	SIPO	WX	7532716
461246	1568	1996-06-14	VYDAJ	PREVOD NA UCET	4399	56626	SIPO	WX	7532716
461247	1568	1996-07-14	VYDAJ	PREVOD NA UCET	4399	46143	SIPO	WX	7532716
461248	1568	1996-08-14	VYDAJ	PREVOD NA UCET	4399	50462	SIPO	WX	7532716
461249	1568	1996-09-14	VYDAJ	PREVOD NA UCET	4399	47412	SIPO	WX	7532716
461250	1568	1996-10-14	VYDAJ	PREVOD NA UCET	4399	50354	SIPO	WX	7532716
461251	1568	1996-11-14	VYDAJ	PREVOD NA UCET	4399	50805	SIPO	WX	7532716
461252	1568	1996-12-14	VYDAJ	PREVOD NA UCET	4399	59215	SIPO	WX	7532716
461253	1568	1997-01-14	VYDAJ	PREVOD NA UCET	4399	43683	SIPO	WX	7532716
461254	1568	1997-02-14	VYDAJ	PREVOD NA UCET	4399	40804	SIPO	WX	7532716
461255	1568	1997-03-14	VYDAJ	PREVOD NA UCET	4399	42902	SIPO	WX	7532716
461256	1568	1997-04-14	VYDAJ	PREVOD NA UCET	4399	44412	SIPO	WX	7532716
461257	1568	1997-05-14	VYDAJ	PREVOD NA UCET	4399	44239	SIPO	WX	7532716
461258	1568	1997-06-14	VYDAJ	PREVOD NA UCET	4399	48713	SIPO	WX	7532716
461259	1568	1997-07-14	VYDAJ	PREVOD NA UCET	4399	50551	SIPO	WX	7532716
461260	1568	1997-08-14	VYDAJ	PREVOD NA UCET	4399	51794	SIPO	WX	7532716
461261	1568	1997-09-14	VYDAJ	PREVOD NA UCET	4399	48252	SIPO	WX	7532716
461262	1568	1997-10-14	VYDAJ	PREVOD NA UCET	4399	48600	SIPO	WX	7532716
461263	1568	1997-11-14	VYDAJ	PREVOD NA UCET	4399	54536	SIPO	WX	7532716
461264	1568	1997-12-14	VYDAJ	PREVOD NA UCET	4399	60516	SIPO	WX	7532716
461265	1568	1998-01-14	VYDAJ	PREVOD NA UCET	4399	52581	SIPO	WX	7532716
461266	1568	1998-02-14	VYDAJ	PREVOD NA UCET	4399	52837	SIPO	WX	7532716
461267	1568	1998-03-14	VYDAJ	PREVOD NA UCET	4399	56988	SIPO	WX	7532716
461268	1568	1998-04-14	VYDAJ	PREVOD NA UCET	4399	58353	SIPO	WX	7532716
461269	1568	1998-05-14	VYDAJ	PREVOD NA UCET	4399	50836	SIPO	WX	7532716
461270	1568	1998-06-14	VYDAJ	PREVOD NA UCET	4399	52340	SIPO	WX	7532716
461271	1568	1998-07-14	VYDAJ	PREVOD NA UCET	4399	51133	SIPO	WX	7532716
461272	1568	1998-08-14	VYDAJ	PREVOD NA UCET	4399	55177	SIPO	WX	7532716
461273	1568	1998-09-14	VYDAJ	PREVOD NA UCET	4399	52895	SIPO	WX	7532716
461274	1568	1998-10-14	VYDAJ	PREVOD NA UCET	4399	54040	SIPO	WX	7532716
461275	1568	1998-11-14	VYDAJ	PREVOD NA UCET	4399	54182	SIPO	WX	7532716
461276	1568	1998-12-14	VYDAJ	PREVOD NA UCET	4399	62390	SIPO	WX	7532716
461289	1568	1996-01-09	VYDAJ	PREVOD NA UCET	49	48642	 	WX	99360131
461290	1568	1996-02-09	VYDAJ	PREVOD NA UCET	49	39388	 	WX	99360131
461291	1568	1996-03-09	VYDAJ	PREVOD NA UCET	49	43509	 	WX	99360131
461292	1568	1996-04-09	VYDAJ	PREVOD NA UCET	49	48049	 	WX	99360131
461293	1568	1996-05-09	VYDAJ	PREVOD NA UCET	49	52006	 	WX	99360131
461294	1568	1996-06-09	VYDAJ	PREVOD NA UCET	49	41157	 	WX	99360131
461295	1568	1996-07-09	VYDAJ	PREVOD NA UCET	49	37639	 	WX	99360131
461296	1568	1996-08-09	VYDAJ	PREVOD NA UCET	49	41958	 	WX	99360131
461297	1568	1996-09-09	VYDAJ	PREVOD NA UCET	49	38908	 	WX	99360131
461298	1568	1996-10-09	VYDAJ	PREVOD NA UCET	49	41850	 	WX	99360131
461299	1568	1996-11-09	VYDAJ	PREVOD NA UCET	49	43501	 	WX	99360131
461300	1568	1996-12-09	VYDAJ	PREVOD NA UCET	49	45346	 	WX	99360131
461301	1568	1997-01-09	VYDAJ	PREVOD NA UCET	49	41479	 	WX	99360131
461302	1568	1997-02-09	VYDAJ	PREVOD NA UCET	49	32300	 	WX	99360131
461303	1568	1997-03-09	VYDAJ	PREVOD NA UCET	49	34398	 	WX	99360131
461304	1568	1997-04-09	VYDAJ	PREVOD NA UCET	49	35908	 	WX	99360131
461305	1568	1997-05-09	VYDAJ	PREVOD NA UCET	49	35735	 	WX	99360131
461306	1568	1997-06-09	VYDAJ	PREVOD NA UCET	49	38764	 	WX	99360131
461307	1568	1997-07-09	VYDAJ	PREVOD NA UCET	49	42047	 	WX	99360131
461308	1568	1997-08-09	VYDAJ	PREVOD NA UCET	49	43290	 	WX	99360131
461309	1568	1997-09-09	VYDAJ	PREVOD NA UCET	49	39748	 	WX	99360131
461310	1568	1997-10-09	VYDAJ	PREVOD NA UCET	49	40096	 	WX	99360131
461311	1568	1997-11-09	VYDAJ	PREVOD NA UCET	49	46032	 	WX	99360131
461312	1568	1997-12-09	VYDAJ	PREVOD NA UCET	49	45047	 	WX	99360131
461313	1568	1998-01-09	VYDAJ	PREVOD NA UCET	49	44077	 	WX	99360131
461314	1568	1998-02-09	VYDAJ	PREVOD NA UCET	49	44333	 	WX	99360131
461315	1568	1998-03-09	VYDAJ	PREVOD NA UCET	49	48484	 	WX	99360131
461316	1568	1998-04-09	VYDAJ	PREVOD NA UCET	49	49849	 	WX	99360131
461317	1568	1998-05-09	VYDAJ	PREVOD NA UCET	49	46332	 	WX	99360131
461318	1568	1998-06-09	VYDAJ	PREVOD NA UCET	49	50791	 	WX	99360131
461319	1568	1998-07-09	VYDAJ	PREVOD NA UCET	49	42629	 	WX	99360131
461320	1568	1998-08-09	VYDAJ	PREVOD NA UCET	49	46673	 	WX	99360131
461321	1568	1998-09-09	VYDAJ	PREVOD NA UCET	49	44391	 	WX	99360131
461322	1568	1998-10-09	VYDAJ	PREVOD NA UCET	49	45536	 	WX	99360131
461323	1568	1998-11-09	VYDAJ	PREVOD NA UCET	49	45678	 	WX	99360131
461324	1568	1998-12-09	VYDAJ	PREVOD NA UCET	49	46921	 	WX	99360131
461337	1568	1996-01-12	VYDAJ	PREVOD NA UCET	1028	35014	POJISTNE	YZ	14241963
461338	1568	1996-02-12	VYDAJ	PREVOD NA UCET	1028	33860	POJISTNE	YZ	14241963
461339	1568	1996-03-12	VYDAJ	PREVOD NA UCET	1028	38381	POJISTNE	YZ	14241963
461340	1568	1996-04-12	VYDAJ	PREVOD NA UCET	1028	42321	POJISTNE	YZ	14241963
461341	1568	1996-05-12	VYDAJ	PREVOD NA UCET	1028	42078	POJISTNE	YZ	14241963
461342	1568	1996-06-12	VYDAJ	PREVOD NA UCET	1028	40129	POJISTNE	YZ	14241963
461343	1568	1996-07-12	VYDAJ	PREVOD NA UCET	1028	36611	POJISTNE	YZ	14241963
461344	1568	1996-08-12	VYDAJ	PREVOD NA UCET	1028	40930	POJISTNE	YZ	14241963
461345	1568	1996-09-12	VYDAJ	PREVOD NA UCET	1028	37880	POJISTNE	YZ	14241963
461346	1568	1996-10-12	VYDAJ	PREVOD NA UCET	1028	40822	POJISTNE	YZ	14241963
461347	1568	1996-11-12	VYDAJ	PREVOD NA UCET	1028	41273	POJISTNE	YZ	14241963
461348	1568	1996-12-12	VYDAJ	PREVOD NA UCET	1028	42718	POJISTNE	YZ	14241963
461349	1568	1997-01-12	VYDAJ	PREVOD NA UCET	1028	36951	POJISTNE	YZ	14241963
461350	1568	1997-02-12	VYDAJ	PREVOD NA UCET	1028	31272	POJISTNE	YZ	14241963
461351	1568	1997-03-12	VYDAJ	PREVOD NA UCET	1028	33370	POJISTNE	YZ	14241963
461352	1568	1997-04-12	VYDAJ	PREVOD NA UCET	1028	34880	POJISTNE	YZ	14241963
461353	1568	1997-05-12	VYDAJ	PREVOD NA UCET	1028	34707	POJISTNE	YZ	14241963
461354	1568	1997-06-12	VYDAJ	PREVOD NA UCET	1028	37736	POJISTNE	YZ	14241963
461355	1568	1997-07-12	VYDAJ	PREVOD NA UCET	1028	41019	POJISTNE	YZ	14241963
461356	1568	1997-08-12	VYDAJ	PREVOD NA UCET	1028	42262	POJISTNE	YZ	14241963
461357	1568	1997-09-12	VYDAJ	PREVOD NA UCET	1028	38720	POJISTNE	YZ	14241963
461358	1568	1997-10-12	VYDAJ	PREVOD NA UCET	1028	39068	POJISTNE	YZ	14241963
461359	1568	1997-11-12	VYDAJ	PREVOD NA UCET	1028	45004	POJISTNE	YZ	14241963
461360	1568	1997-12-12	VYDAJ	PREVOD NA UCET	1028	44019	POJISTNE	YZ	14241963
461361	1568	1998-01-12	VYDAJ	PREVOD NA UCET	1028	43049	POJISTNE	YZ	14241963
461362	1568	1998-02-12	VYDAJ	PREVOD NA UCET	1028	43305	POJISTNE	YZ	14241963
461363	1568	1998-03-12	VYDAJ	PREVOD NA UCET	1028	47456	POJISTNE	YZ	14241963
461364	1568	1998-04-12	VYDAJ	PREVOD NA UCET	1028	48821	POJISTNE	YZ	14241963
461365	1568	1998-05-12	VYDAJ	PREVOD NA UCET	1028	41304	POJISTNE	YZ	14241963
461366	1568	1998-06-12	VYDAJ	PREVOD NA UCET	1028	35843	POJISTNE	YZ	14241963
461367	1568	1998-07-12	VYDAJ	PREVOD NA UCET	1028	41601	POJISTNE	YZ	14241963
461368	1568	1998-08-12	VYDAJ	PREVOD NA UCET	1028	45645	POJISTNE	YZ	14241963
461369	1568	1998-09-12	VYDAJ	PREVOD NA UCET	1028	43363	POJISTNE	YZ	14241963
461370	1568	1998-10-12	VYDAJ	PREVOD NA UCET	1028	44508	POJISTNE	YZ	14241963
461371	1568	1998-11-12	VYDAJ	PREVOD NA UCET	1028	44650	POJISTNE	YZ	14241963
461372	1568	1998-12-12	VYDAJ	PREVOD NA UCET	1028	45893	POJISTNE	YZ	14241963
461422	1568	1996-06-20	VYDAJ	VYBER	17120	39506	\N	\N	\N
461424	1568	1998-06-11	VYDAJ	VYBER	13920	36871	\N	\N	\N
461425	1568	1995-12-19	VYDAJ	VYBER	3200	51730	\N	\N	\N
461426	1568	1996-12-10	VYDAJ	VYBER KARTOU	1600	43746	\N	\N	0
461427	1568	1997-12-03	VYDAJ	VYBER KARTOU	1600	45096	\N	\N	0
461428	1568	1998-12-17	VYDAJ	VYBER KARTOU	1400	60990	\N	\N	0
461435	1568	1996-01-10	VYDAJ	VYBER	1800	46842	\N	\N	\N
461436	1568	1996-01-26	VYDAJ	VYBER	2280	39266	\N	\N	\N
461437	1568	1996-01-17	VYDAJ	VYBER	840	43706	\N	\N	\N
461438	1568	1996-01-01	VYDAJ	VYBER	1200	50731	\N	\N	\N
461439	1568	1996-01-22	VYDAJ	VYBER	2160	41546	\N	\N	\N
461440	1568	1996-01-09	VYDAJ	VYBER	2040	48691	\N	\N	\N
461441	1568	1997-01-30	VYDAJ	VYBER KARTOU	2500	35783	\N	\N	0
461442	1568	1997-01-12	VYDAJ	VYBER KARTOU	1400	35551	\N	\N	0
461443	1568	1997-01-13	VYDAJ	VYBER KARTOU	1400	34151	\N	\N	0
461444	1568	1997-01-10	VYDAJ	VYBER KARTOU	3500	37979	\N	\N	0
461445	1568	1997-01-21	VYDAJ	VYBER KARTOU	2300	38283	\N	\N	0
461446	1568	1997-01-08	VYDAJ	VYBER KARTOU	1600	41528	\N	\N	0
461447	1568	1998-01-28	VYDAJ	VYBER KARTOU	3500	46581	\N	\N	0
461448	1568	1998-01-21	VYDAJ	VYBER KARTOU	1400	51181	\N	\N	0
461449	1568	1998-01-07	VYDAJ	VYBER KARTOU	1100	45526	\N	\N	0
461450	1568	1998-01-25	VYDAJ	VYBER KARTOU	1100	50081	\N	\N	0
461451	1568	1998-01-01	VYDAJ	VYBER KARTOU	2200	46626	\N	\N	0
461452	1568	1998-01-07	VYDAJ	VYBER KARTOU	1400	44126	\N	\N	0
461454	1568	1995-12-15	VYDAJ	VYBER	1920	54930	\N	\N	\N
461460	1568	1996-09-03	VYDAJ	VYBER KARTOU	2200	48457	\N	\N	0
461461	1568	1996-06-25	VYDAJ	VYBER KARTOU	600	38906	\N	\N	0
461462	1568	1996-11-10	VYDAJ	VYBER KARTOU	1200	42301	\N	\N	0
461463	1568	1997-01-07	VYDAJ	VYBER KARTOU	2600	43128	\N	\N	0
461464	1568	1997-01-20	VYDAJ	VYBER KARTOU	3100	40583	\N	\N	0
461465	1568	1997-11-24	VYDAJ	VYBER	5040	49496	\N	\N	\N
461466	1568	1997-06-12	VYDAJ	VYBER	5520	32216	\N	\N	\N
461467	1568	1998-06-28	VYDAJ	VYBER	5760	46580	\N	\N	\N
461468	1568	1998-09-04	VYDAJ	VYBER	4440	44440	\N	\N	\N
461469	1568	1998-05-08	VYDAJ	VYBER KARTOU	2300	46381	\N	\N	0
461470	1568	1998-05-09	VYDAJ	VYBER KARTOU	4000	42332	\N	\N	0
461471	1568	1998-04-29	VYDAJ	VYBER KARTOU	1100	52573	\N	\N	0
461472	1568	1998-04-26	VYDAJ	VYBER	4680	53673	\N	\N	\N
461473	1568	1998-10-25	VYDAJ	VYBER KARTOU	3600	50440	\N	\N	0
461486	1568	1995-12-31	VYDAJ	VYBER	15	51931	SLUZBY	\N	\N
461487	1568	1996-01-31	VYDAJ	VYBER	15	39437	SLUZBY	\N	\N
461488	1568	1996-02-29	VYDAJ	VYBER	15	43558	SLUZBY	\N	\N
461489	1568	1996-03-31	VYDAJ	VYBER	15	48098	SLUZBY	\N	\N
461490	1568	1996-04-30	VYDAJ	VYBER	15	52055	SLUZBY	\N	\N
461491	1568	1996-05-31	VYDAJ	VYBER	15	51806	SLUZBY	\N	\N
461492	1568	1996-06-30	VYDAJ	VYBER	15	39088	SLUZBY	\N	\N
461493	1568	1996-07-31	VYDAJ	VYBER	15	46307	SLUZBY	\N	\N
461494	1568	1996-08-31	VYDAJ	VYBER	15	50657	SLUZBY	\N	\N
461495	1568	1996-09-30	VYDAJ	VYBER	15	47599	SLUZBY	\N	\N
461496	1568	1996-10-31	VYDAJ	VYBER	15	50550	SLUZBY	\N	\N
461497	1568	1996-11-30	VYDAJ	VYBER	15	50995	SLUZBY	\N	\N
461498	1568	1996-12-31	VYDAJ	VYBER	15	59428	SLUZBY	\N	\N
461499	1568	1997-01-31	VYDAJ	VYBER	15	35949	SLUZBY	\N	\N
461500	1568	1997-02-28	VYDAJ	VYBER	15	40947	SLUZBY	\N	\N
461501	1568	1997-03-31	VYDAJ	VYBER	15	43057	SLUZBY	\N	\N
461502	1568	1997-04-30	VYDAJ	VYBER	15	44584	SLUZBY	\N	\N
461503	1568	1997-05-31	VYDAJ	VYBER	15	44413	SLUZBY	\N	\N
461504	1568	1997-06-30	VYDAJ	VYBER	15	48896	SLUZBY	\N	\N
461505	1568	1997-07-31	VYDAJ	VYBER	15	50739	SLUZBY	\N	\N
461506	1568	1997-08-31	VYDAJ	VYBER	15	51997	SLUZBY	\N	\N
461507	1568	1997-09-30	VYDAJ	VYBER	15	48445	SLUZBY	\N	\N
461508	1568	1997-10-31	VYDAJ	VYBER	15	48781	SLUZBY	\N	\N
461509	1568	1997-11-30	VYDAJ	VYBER	15	49696	SLUZBY	\N	\N
461510	1568	1997-12-31	VYDAJ	VYBER	15	60726	SLUZBY	\N	\N
461511	1568	1998-01-31	VYDAJ	VYBER	15	44382	SLUZBY	\N	\N
461512	1568	1998-02-28	VYDAJ	VYBER	15	53033	SLUZBY	\N	\N
461513	1568	1998-03-31	VYDAJ	VYBER	15	49898	SLUZBY	\N	\N
461514	1568	1998-04-30	VYDAJ	VYBER	15	52781	SLUZBY	\N	\N
461515	1568	1998-05-31	VYDAJ	VYBER	15	50840	SLUZBY	\N	\N
461516	1568	1998-06-30	VYDAJ	VYBER	15	42678	SLUZBY	\N	\N
461517	1568	1998-07-31	VYDAJ	VYBER	15	46722	SLUZBY	\N	\N
461518	1568	1998-08-31	VYDAJ	VYBER	15	48880	SLUZBY	\N	\N
461519	1568	1998-09-30	VYDAJ	VYBER	15	45585	SLUZBY	\N	\N
461520	1568	1998-10-31	VYDAJ	VYBER	15	45727	SLUZBY	\N	\N
461521	1568	1998-11-30	VYDAJ	VYBER	15	46970	SLUZBY	\N	\N
461522	1568	1995-08-14	PRIJEM	VKLAD	6500	20731	\N	\N	\N
461523	1568	1995-09-13	VYDAJ	VYBER	300	20481	\N	\N	\N
461524	1568	1995-10-13	VYDAJ	VYBER	5800	28731	\N	\N	\N
461525	1568	1995-11-12	VYDAJ	VYBER	6200	36625	\N	\N	\N
461526	1568	1995-12-12	VYDAJ	VYBER	10400	40353	\N	\N	\N
461527	1568	1996-01-11	VYDAJ	VYBER	10800	36042	\N	\N	\N
461528	1568	1996-02-10	VYDAJ	VYBER	4500	34888	\N	\N	\N
461529	1568	1996-03-11	VYDAJ	VYBER	4100	39409	\N	\N	\N
461530	1568	1996-04-10	VYDAJ	VYBER	4700	43349	\N	\N	\N
461531	1568	1996-05-10	VYDAJ	VYBER	8900	43106	\N	\N	\N
461532	1568	1996-06-09	VYDAJ	VYBER	10600	41206	\N	\N	\N
461533	1568	1996-07-09	VYDAJ	VYBER KARTOU	1400	37688	\N	\N	0
461534	1568	1996-08-08	VYDAJ	VYBER	4300	42007	\N	\N	\N
461535	1568	1996-09-07	VYDAJ	VYBER	9500	38957	\N	\N	\N
461536	1568	1996-10-07	VYDAJ	VYBER	5700	41899	\N	\N	\N
461537	1568	1996-11-06	VYDAJ	VYBER	7000	43550	\N	\N	\N
461538	1568	1996-12-06	VYDAJ	VYBER	5600	45395	\N	\N	\N
461539	1568	1997-01-05	VYDAJ	VYBER	13700	45728	\N	\N	\N
461540	1568	1997-02-04	VYDAJ	VYBER KARTOU	3600	32349	\N	\N	0
461541	1568	1997-03-06	VYDAJ	VYBER	6500	34447	\N	\N	\N
461542	1568	1997-04-05	VYDAJ	VYBER	7100	35957	\N	\N	\N
461543	1568	1997-05-05	VYDAJ	VYBER	8800	35784	\N	\N	\N
461544	1568	1997-06-04	VYDAJ	VYBER	5600	38813	\N	\N	\N
461545	1568	1997-07-04	VYDAJ	VYBER	6800	42096	\N	\N	\N
461546	1568	1997-08-03	VYDAJ	VYBER	7400	43339	\N	\N	\N
461547	1568	1997-09-02	VYDAJ	VYBER	12200	39797	\N	\N	\N
461548	1568	1997-10-02	VYDAJ	VYBER	8300	40145	\N	\N	\N
461549	1568	1997-11-01	VYDAJ	VYBER KARTOU	2700	46081	\N	\N	0
461550	1568	1997-12-01	VYDAJ	VYBER KARTOU	3000	46696	\N	\N	0
461551	1568	1997-12-31	VYDAJ	VYBER	11900	48826	\N	\N	\N
461552	1568	1998-01-30	VYDAJ	VYBER KARTOU	2400	44181	\N	\N	0
461553	1568	1998-03-01	VYDAJ	VYBER	4500	48533	\N	\N	\N
461554	1568	1998-03-31	VYDAJ	VYBER	7300	49913	\N	\N	\N
461555	1568	1998-04-30	VYDAJ	VYBER	4100	48681	\N	\N	\N
461556	1568	1998-05-30	VYDAJ	VYBER KARTOU	200	50636	\N	\N	0
461557	1568	1998-06-29	VYDAJ	VYBER	4100	42480	\N	\N	\N
461558	1568	1998-07-29	VYDAJ	VYBER	4600	46533	\N	\N	\N
461559	1568	1998-08-28	VYDAJ	VYBER	6500	48677	\N	\N	\N
461560	1568	1998-09-27	VYDAJ	VYBER	7500	45395	\N	\N	\N
461561	1568	1998-10-27	VYDAJ	VYBER	4900	45540	\N	\N	\N
461562	1568	1998-11-26	VYDAJ	VYBER	7400	46782	\N	\N	\N
461955	1570	1994-03-12	PRIJEM	VKLAD	200	200	\N	\N	\N
461959	1570	1994-04-06	PRIJEM	PREVOD Z UCTU	4298	4498	DUCHOD	KL	59994321
461960	1570	1994-05-06	PRIJEM	PREVOD Z UCTU	4298	8796	DUCHOD	KL	59994321
461961	1570	1994-06-06	PRIJEM	PREVOD Z UCTU	4298	13094	DUCHOD	KL	59994321
461962	1570	1994-07-06	PRIJEM	PREVOD Z UCTU	4298	17392	DUCHOD	KL	59994321
462159	1570	1995-01-31	VYDAJ	VYBER	15	13157	SLUZBY	\N	\N
461963	1570	1994-08-06	PRIJEM	PREVOD Z UCTU	4298	21690	DUCHOD	KL	59994321
461964	1570	1994-09-06	PRIJEM	PREVOD Z UCTU	4298	20467	DUCHOD	KL	59994321
461965	1570	1994-10-06	PRIJEM	PREVOD Z UCTU	4298	21956	DUCHOD	KL	59994321
461966	1570	1994-11-06	PRIJEM	PREVOD Z UCTU	4298	23452	DUCHOD	KL	59994321
461967	1570	1994-12-06	PRIJEM	PREVOD Z UCTU	4298	24954	DUCHOD	KL	59994321
461968	1570	1995-01-06	PRIJEM	PREVOD Z UCTU	4298	23164	DUCHOD	KL	59994321
461969	1570	1995-02-06	PRIJEM	PREVOD Z UCTU	4298	17455	DUCHOD	KL	59994321
461970	1570	1995-03-06	PRIJEM	PREVOD Z UCTU	4298	18932	DUCHOD	KL	59994321
461971	1570	1995-04-06	PRIJEM	PREVOD Z UCTU	4298	20415	DUCHOD	KL	59994321
461972	1570	1995-05-06	PRIJEM	PREVOD Z UCTU	4298	21904	DUCHOD	KL	59994321
461973	1570	1995-06-06	PRIJEM	PREVOD Z UCTU	4298	20357	DUCHOD	KL	59994321
461974	1570	1995-07-06	PRIJEM	PREVOD Z UCTU	4298	21846	DUCHOD	KL	59994321
461975	1570	1995-08-06	PRIJEM	PREVOD Z UCTU	4298	23341	DUCHOD	KL	59994321
461976	1570	1995-09-06	PRIJEM	PREVOD Z UCTU	4298	24842	DUCHOD	KL	59994321
461977	1570	1995-10-06	PRIJEM	PREVOD Z UCTU	4298	24025	DUCHOD	KL	59994321
461978	1570	1995-11-06	PRIJEM	PREVOD Z UCTU	4298	25529	DUCHOD	KL	59994321
461979	1570	1995-12-06	PRIJEM	PREVOD Z UCTU	4298	27040	DUCHOD	KL	59994321
461980	1570	1996-01-06	PRIJEM	PREVOD Z UCTU	4298	26846	DUCHOD	KL	59994321
461981	1570	1996-02-06	PRIJEM	PREVOD Z UCTU	4298	18370	DUCHOD	KL	59994321
461982	1570	1996-03-06	PRIJEM	PREVOD Z UCTU	4298	18649	DUCHOD	KL	59994321
461983	1570	1996-04-06	PRIJEM	PREVOD Z UCTU	4298	18369	DUCHOD	KL	59994321
461984	1570	1996-05-06	PRIJEM	PREVOD Z UCTU	4298	19850	DUCHOD	KL	59994321
461985	1570	1996-06-06	PRIJEM	PREVOD Z UCTU	4298	21336	DUCHOD	KL	59994321
461986	1570	1996-07-06	PRIJEM	PREVOD Z UCTU	4298	20908	DUCHOD	KL	59994321
461987	1570	1996-08-06	PRIJEM	PREVOD Z UCTU	4298	22399	DUCHOD	KL	59994321
461988	1570	1996-09-06	PRIJEM	PREVOD Z UCTU	4298	23896	DUCHOD	KL	59994321
461989	1570	1996-10-06	PRIJEM	PREVOD Z UCTU	4298	25400	DUCHOD	KL	59994321
461990	1570	1996-11-06	PRIJEM	PREVOD Z UCTU	4298	24184	DUCHOD	KL	59994321
461991	1570	1996-12-06	PRIJEM	PREVOD Z UCTU	4298	25689	DUCHOD	KL	59994321
461992	1570	1997-01-06	PRIJEM	PREVOD Z UCTU	4298	23739	DUCHOD	KL	59994321
461993	1570	1997-02-06	PRIJEM	PREVOD Z UCTU	4298	18674	DUCHOD	KL	59994321
461994	1570	1997-03-06	PRIJEM	PREVOD Z UCTU	4298	20155	DUCHOD	KL	59994321
461995	1570	1997-04-06	PRIJEM	PREVOD Z UCTU	4298	18923	DUCHOD	KL	59994321
461996	1570	1997-05-06	PRIJEM	PREVOD Z UCTU	4298	20411	DUCHOD	KL	59994321
461997	1570	1997-06-06	PRIJEM	PREVOD Z UCTU	4298	21900	DUCHOD	KL	59994321
461998	1570	1997-07-06	PRIJEM	PREVOD Z UCTU	4298	23395	DUCHOD	KL	59994321
461999	1570	1997-08-06	PRIJEM	PREVOD Z UCTU	4298	23374	DUCHOD	KL	59994321
462000	1570	1997-09-06	PRIJEM	PREVOD Z UCTU	4298	24875	DUCHOD	KL	59994321
462001	1570	1997-10-06	PRIJEM	PREVOD Z UCTU	4298	26382	DUCHOD	KL	59994321
462002	1570	1997-11-06	PRIJEM	PREVOD Z UCTU	4298	24934	DUCHOD	KL	59994321
462003	1570	1997-12-06	PRIJEM	PREVOD Z UCTU	4298	26441	DUCHOD	KL	59994321
462004	1570	1998-01-06	PRIJEM	PREVOD Z UCTU	4298	26084	DUCHOD	KL	59994321
462005	1570	1998-02-06	PRIJEM	PREVOD Z UCTU	4298	19751	DUCHOD	KL	59994321
462006	1570	1998-03-06	PRIJEM	PREVOD Z UCTU	4298	21236	DUCHOD	KL	59994321
462007	1570	1998-04-06	PRIJEM	PREVOD Z UCTU	4298	22728	DUCHOD	KL	59994321
462008	1570	1998-05-06	PRIJEM	PREVOD Z UCTU	4298	20461	DUCHOD	KL	59994321
462009	1570	1998-06-06	PRIJEM	PREVOD Z UCTU	4298	21949	DUCHOD	KL	59994321
462010	1570	1998-07-06	PRIJEM	PREVOD Z UCTU	4298	21840	DUCHOD	KL	59994321
462011	1570	1998-08-06	PRIJEM	PREVOD Z UCTU	4298	23334	DUCHOD	KL	59994321
462012	1570	1998-09-06	PRIJEM	PREVOD Z UCTU	4298	23633	DUCHOD	KL	59994321
462013	1570	1998-10-06	PRIJEM	PREVOD Z UCTU	4298	25134	DUCHOD	KL	59994321
462014	1570	1998-11-06	PRIJEM	PREVOD Z UCTU	4298	24156	DUCHOD	KL	59994321
462015	1570	1998-12-06	PRIJEM	PREVOD Z UCTU	4298	23497	DUCHOD	KL	59994321
462023	1570	1994-08-13	VYDAJ	PREVOD NA UCET	2865	18525	SIPO	UV	20745683
462024	1570	1994-09-13	VYDAJ	PREVOD NA UCET	2865	17602	SIPO	UV	20745683
462025	1570	1994-10-13	VYDAJ	PREVOD NA UCET	2865	19091	SIPO	UV	20745683
462026	1570	1994-11-13	VYDAJ	PREVOD NA UCET	2865	20587	SIPO	UV	20745683
462027	1570	1994-12-13	VYDAJ	PREVOD NA UCET	2865	18799	SIPO	UV	20745683
462028	1570	1995-01-13	VYDAJ	PREVOD NA UCET	2865	20299	SIPO	UV	20745683
462029	1570	1995-02-13	VYDAJ	PREVOD NA UCET	2865	14590	SIPO	UV	20745683
462030	1570	1995-03-13	VYDAJ	PREVOD NA UCET	2865	16067	SIPO	UV	20745683
462031	1570	1995-04-13	VYDAJ	PREVOD NA UCET	2865	17550	SIPO	UV	20745683
462032	1570	1995-05-13	VYDAJ	PREVOD NA UCET	2865	19039	SIPO	UV	20745683
462033	1570	1995-06-13	VYDAJ	PREVOD NA UCET	2865	17492	SIPO	UV	20745683
462034	1570	1995-07-13	VYDAJ	PREVOD NA UCET	2865	18981	SIPO	UV	20745683
462035	1570	1995-08-13	VYDAJ	PREVOD NA UCET	2865	20476	SIPO	UV	20745683
462036	1570	1995-09-13	VYDAJ	PREVOD NA UCET	2865	19657	SIPO	UV	20745683
462037	1570	1995-10-13	VYDAJ	PREVOD NA UCET	2865	21160	SIPO	UV	20745683
462038	1570	1995-11-13	VYDAJ	PREVOD NA UCET	2865	22664	SIPO	UV	20745683
462039	1570	1995-12-13	VYDAJ	PREVOD NA UCET	2865	24175	SIPO	UV	20745683
462040	1570	1996-01-13	VYDAJ	PREVOD NA UCET	2865	20961	SIPO	UV	20745683
462041	1570	1996-02-13	VYDAJ	PREVOD NA UCET	2865	14305	SIPO	UV	20745683
462042	1570	1996-03-13	VYDAJ	PREVOD NA UCET	2865	15784	SIPO	UV	20745683
462043	1570	1996-04-13	VYDAJ	PREVOD NA UCET	2865	15504	SIPO	UV	20745683
462044	1570	1996-05-13	VYDAJ	PREVOD NA UCET	2865	16985	SIPO	UV	20745683
462045	1570	1996-06-13	VYDAJ	PREVOD NA UCET	2865	18471	SIPO	UV	20745683
462046	1570	1996-07-13	VYDAJ	PREVOD NA UCET	2865	18043	SIPO	UV	20745683
462047	1570	1996-08-13	VYDAJ	PREVOD NA UCET	2865	19534	SIPO	UV	20745683
462048	1570	1996-09-13	VYDAJ	PREVOD NA UCET	2865	21031	SIPO	UV	20745683
462049	1570	1996-10-13	VYDAJ	PREVOD NA UCET	2865	22535	SIPO	UV	20745683
462050	1570	1996-11-13	VYDAJ	PREVOD NA UCET	2865	21319	SIPO	UV	20745683
462051	1570	1996-12-13	VYDAJ	PREVOD NA UCET	2865	21524	SIPO	UV	20745683
462052	1570	1997-01-13	VYDAJ	PREVOD NA UCET	2865	19274	SIPO	UV	20745683
462053	1570	1997-02-13	VYDAJ	PREVOD NA UCET	2865	15809	SIPO	UV	20745683
462054	1570	1997-03-13	VYDAJ	PREVOD NA UCET	2865	17290	SIPO	UV	20745683
462055	1570	1997-04-13	VYDAJ	PREVOD NA UCET	2865	16058	SIPO	UV	20745683
462056	1570	1997-05-13	VYDAJ	PREVOD NA UCET	2865	17546	SIPO	UV	20745683
462057	1570	1997-06-13	VYDAJ	PREVOD NA UCET	2865	19035	SIPO	UV	20745683
462058	1570	1997-07-13	VYDAJ	PREVOD NA UCET	2865	20530	SIPO	UV	20745683
462059	1570	1997-08-13	VYDAJ	PREVOD NA UCET	2865	20509	SIPO	UV	20745683
462060	1570	1997-09-13	VYDAJ	PREVOD NA UCET	2865	22010	SIPO	UV	20745683
462061	1570	1997-10-13	VYDAJ	PREVOD NA UCET	2865	20557	SIPO	UV	20745683
462062	1570	1997-11-13	VYDAJ	PREVOD NA UCET	2865	22069	SIPO	UV	20745683
462063	1570	1997-12-13	VYDAJ	PREVOD NA UCET	2865	23576	SIPO	UV	20745683
462064	1570	1998-01-13	VYDAJ	PREVOD NA UCET	2865	18189	SIPO	UV	20745683
462065	1570	1998-02-13	VYDAJ	PREVOD NA UCET	2865	16886	SIPO	UV	20745683
462066	1570	1998-03-13	VYDAJ	PREVOD NA UCET	2865	18371	SIPO	UV	20745683
462067	1570	1998-04-13	VYDAJ	PREVOD NA UCET	2865	19863	SIPO	UV	20745683
462068	1570	1998-05-13	VYDAJ	PREVOD NA UCET	2865	17596	SIPO	UV	20745683
462069	1570	1998-06-13	VYDAJ	PREVOD NA UCET	2865	17484	SIPO	UV	20745683
462070	1570	1998-07-13	VYDAJ	PREVOD NA UCET	2865	18975	SIPO	UV	20745683
462071	1570	1998-08-13	VYDAJ	PREVOD NA UCET	2865	20469	SIPO	UV	20745683
462072	1570	1998-09-13	VYDAJ	PREVOD NA UCET	2865	20768	SIPO	UV	20745683
462073	1570	1998-10-13	VYDAJ	PREVOD NA UCET	2865	22269	SIPO	UV	20745683
462074	1570	1998-11-13	VYDAJ	PREVOD NA UCET	2865	21291	SIPO	UV	20745683
462075	1570	1998-12-13	VYDAJ	PREVOD NA UCET	2865	20632	SIPO	UV	20745683
462083	1570	1996-01-10	VYDAJ	VYBER	700	23826	\N	\N	\N
462085	1570	1998-01-06	VYDAJ	VYBER	4150	21934	\N	\N	\N
462086	1570	1994-12-12	VYDAJ	VYBER	250	21664	\N	\N	\N
462087	1570	1995-12-23	VYDAJ	VYBER	350	23825	\N	\N	\N
462088	1570	1996-12-07	VYDAJ	VYBER	1300	24389	\N	\N	\N
462089	1570	1997-12-18	VYDAJ	VYBER	350	23226	\N	\N	\N
462090	1570	1998-12-28	VYDAJ	VYBER	250	20382	\N	\N	\N
462097	1570	1995-01-23	VYDAJ	VYBER	2000	15259	\N	\N	\N
462099	1570	1995-01-20	VYDAJ	VYBER	1760	18539	\N	\N	\N
462100	1570	1995-01-26	VYDAJ	VYBER	560	13099	\N	\N	\N
462101	1570	1995-01-24	VYDAJ	VYBER	1600	13659	\N	\N	\N
462102	1570	1995-01-21	VYDAJ	VYBER	1280	17259	\N	\N	\N
462103	1570	1996-01-24	VYDAJ	VYBER	1520	16641	\N	\N	\N
462104	1570	1996-01-22	VYDAJ	VYBER	800	18161	\N	\N	\N
462105	1570	1996-01-09	VYDAJ	VYBER	2320	24526	\N	\N	\N
462106	1570	1996-01-22	VYDAJ	VYBER	2000	18961	\N	\N	\N
462107	1570	1996-01-25	VYDAJ	VYBER	1520	15121	\N	\N	\N
462108	1570	1996-01-27	VYDAJ	VYBER	1120	14001	\N	\N	\N
462109	1570	1997-01-22	VYDAJ	VYBER	2160	14954	\N	\N	\N
462111	1570	1997-01-14	VYDAJ	VYBER	1760	17514	\N	\N	\N
462112	1570	1997-01-21	VYDAJ	VYBER	400	17114	\N	\N	\N
462113	1570	1997-01-04	VYDAJ	VYBER	2160	19441	\N	\N	\N
462114	1570	1997-01-11	VYDAJ	VYBER	1600	22139	\N	\N	\N
462115	1570	1998-01-05	VYDAJ	VYBER	1520	21786	\N	\N	\N
462117	1570	1998-01-13	VYDAJ	VYBER	1280	16909	\N	\N	\N
462118	1570	1998-01-12	VYDAJ	VYBER	880	21054	\N	\N	\N
462119	1570	1998-01-15	VYDAJ	VYBER	800	16109	\N	\N	\N
462120	1570	1998-01-20	VYDAJ	VYBER	720	15389	\N	\N	\N
462121	1570	1994-08-31	VYDAJ	VYBER	2400	16184	\N	\N	\N
462122	1570	1994-12-09	VYDAJ	VYBER	3040	21914	\N	\N	\N
462125	1570	1995-05-26	VYDAJ	VYBER	3040	15999	\N	\N	\N
462126	1570	1995-09-09	VYDAJ	VYBER	2320	22522	\N	\N	\N
462127	1570	1996-01-01	VYDAJ	VYBER	1360	22548	\N	\N	\N
462128	1570	1996-02-10	VYDAJ	VYBER	1200	17170	\N	\N	\N
462129	1570	1996-10-19	VYDAJ	VYBER	2720	19815	\N	\N	\N
462131	1570	1996-03-28	VYDAJ	VYBER	1760	14024	\N	\N	\N
462132	1570	1996-06-28	VYDAJ	VYBER	1920	16551	\N	\N	\N
462133	1570	1997-07-26	VYDAJ	VYBER	1520	19010	\N	\N	\N
462134	1570	1997-04-03	VYDAJ	VYBER	2720	14625	\N	\N	\N
462135	1570	1997-01-22	VYDAJ	VYBER	640	14314	\N	\N	\N
462136	1570	1997-10-13	VYDAJ	VYBER	2960	23422	\N	\N	\N
462138	1570	1998-10-17	VYDAJ	VYBER	2480	19789	\N	\N	\N
462139	1570	1998-11-22	VYDAJ	VYBER	2160	19131	\N	\N	\N
462140	1570	1998-06-12	VYDAJ	VYBER	1600	20349	\N	\N	\N
462142	1570	1998-04-23	VYDAJ	VYBER	3760	16103	\N	\N	\N
462144	1570	1998-08-28	VYDAJ	VYBER	1200	19269	\N	\N	\N
462154	1570	1994-08-31	VYDAJ	VYBER	15	16169	SLUZBY	\N	\N
462155	1570	1994-09-30	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
462156	1570	1994-10-31	VYDAJ	VYBER	15	19154	SLUZBY	\N	\N
462157	1570	1994-11-30	VYDAJ	VYBER	15	20656	SLUZBY	\N	\N
462158	1570	1994-12-31	VYDAJ	VYBER	15	18866	SLUZBY	\N	\N
462160	1570	1995-02-28	VYDAJ	VYBER	15	14634	SLUZBY	\N	\N
462161	1570	1995-03-31	VYDAJ	VYBER	15	16117	SLUZBY	\N	\N
462162	1570	1995-04-30	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
462163	1570	1995-05-31	VYDAJ	VYBER	15	16059	SLUZBY	\N	\N
462164	1570	1995-06-30	VYDAJ	VYBER	15	17548	SLUZBY	\N	\N
462165	1570	1995-07-31	VYDAJ	VYBER	15	19043	SLUZBY	\N	\N
462166	1570	1995-08-31	VYDAJ	VYBER	15	20544	SLUZBY	\N	\N
462167	1570	1995-09-30	VYDAJ	VYBER	15	19727	SLUZBY	\N	\N
462168	1570	1995-10-31	VYDAJ	VYBER	15	21231	SLUZBY	\N	\N
462169	1570	1995-11-30	VYDAJ	VYBER	15	22742	SLUZBY	\N	\N
462170	1570	1995-12-31	VYDAJ	VYBER	15	23908	SLUZBY	\N	\N
462171	1570	1996-01-31	VYDAJ	VYBER	15	14072	SLUZBY	\N	\N
462172	1570	1996-02-29	VYDAJ	VYBER	15	14351	SLUZBY	\N	\N
462173	1570	1996-03-31	VYDAJ	VYBER	15	14071	SLUZBY	\N	\N
462174	1570	1996-04-30	VYDAJ	VYBER	15	15552	SLUZBY	\N	\N
462175	1570	1996-05-31	VYDAJ	VYBER	15	17038	SLUZBY	\N	\N
462176	1570	1996-06-30	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
462177	1570	1996-07-31	VYDAJ	VYBER	15	18101	SLUZBY	\N	\N
462178	1570	1996-08-31	VYDAJ	VYBER	15	19598	SLUZBY	\N	\N
462179	1570	1996-09-30	VYDAJ	VYBER	15	21102	SLUZBY	\N	\N
462180	1570	1996-10-31	VYDAJ	VYBER	15	19886	SLUZBY	\N	\N
462181	1570	1996-11-30	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
462182	1570	1996-12-31	VYDAJ	VYBER	15	21601	SLUZBY	\N	\N
462183	1570	1997-01-31	VYDAJ	VYBER	15	14376	SLUZBY	\N	\N
462184	1570	1997-02-28	VYDAJ	VYBER	15	15857	SLUZBY	\N	\N
462185	1570	1997-03-31	VYDAJ	VYBER	15	17345	SLUZBY	\N	\N
462186	1570	1997-04-30	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
462187	1570	1997-05-31	VYDAJ	VYBER	15	17602	SLUZBY	\N	\N
462188	1570	1997-06-30	VYDAJ	VYBER	15	19097	SLUZBY	\N	\N
462189	1570	1997-07-31	VYDAJ	VYBER	15	19076	SLUZBY	\N	\N
462190	1570	1997-08-31	VYDAJ	VYBER	15	20577	SLUZBY	\N	\N
462191	1570	1997-09-30	VYDAJ	VYBER	15	22084	SLUZBY	\N	\N
462192	1570	1997-10-31	VYDAJ	VYBER	15	20636	SLUZBY	\N	\N
462193	1570	1997-11-30	VYDAJ	VYBER	15	22143	SLUZBY	\N	\N
462194	1570	1997-12-31	VYDAJ	VYBER	15	23306	SLUZBY	\N	\N
462195	1570	1998-01-31	VYDAJ	VYBER	15	15453	SLUZBY	\N	\N
462196	1570	1998-02-28	VYDAJ	VYBER	15	16938	SLUZBY	\N	\N
462197	1570	1998-03-31	VYDAJ	VYBER	15	18430	SLUZBY	\N	\N
462198	1570	1998-04-30	VYDAJ	VYBER	15	16163	SLUZBY	\N	\N
462199	1570	1998-05-31	VYDAJ	VYBER	15	17651	SLUZBY	\N	\N
462200	1570	1998-06-30	VYDAJ	VYBER	15	17542	SLUZBY	\N	\N
462201	1570	1998-07-31	VYDAJ	VYBER	15	19036	SLUZBY	\N	\N
462202	1570	1998-08-31	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
462203	1570	1998-09-30	VYDAJ	VYBER	15	20836	SLUZBY	\N	\N
462204	1570	1998-10-31	VYDAJ	VYBER	15	19858	SLUZBY	\N	\N
462205	1570	1998-11-30	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
462206	1570	1994-08-09	VYDAJ	VYBER	300	21390	\N	\N	\N
462260	1571	1996-07-29	PRIJEM	VKLAD	200	200	\N	\N	\N
462268	1571	1996-08-05	PRIJEM	VKLAD	14301	14501	\N	\N	\N
462269	1571	1996-09-05	PRIJEM	VKLAD	14301	30711	\N	\N	\N
462270	1571	1996-10-05	PRIJEM	VKLAD	14301	41286	\N	\N	\N
462271	1571	1996-11-05	PRIJEM	VKLAD	14301	44501	\N	\N	\N
462272	1571	1996-12-05	PRIJEM	VKLAD	21452	50077	\N	\N	\N
462273	1571	1997-01-05	PRIJEM	VKLAD	14301	28268	\N	\N	\N
462274	1571	1997-02-05	PRIJEM	VKLAD	14301	28168	\N	\N	\N
462275	1571	1997-03-05	PRIJEM	VKLAD	14301	29261	\N	\N	\N
462276	1571	1997-04-05	PRIJEM	VKLAD	14301	29259	\N	\N	\N
462277	1571	1997-05-05	PRIJEM	VKLAD	14301	27154	\N	\N	\N
462278	1571	1997-06-05	PRIJEM	VKLAD	21452	32569	\N	\N	\N
462279	1571	1997-07-05	PRIJEM	VKLAD	14301	27668	\N	\N	\N
462280	1571	1997-08-05	PRIJEM	VKLAD	14301	25211	\N	\N	\N
462281	1571	1997-09-05	PRIJEM	VKLAD	14301	31902	\N	\N	\N
462282	1571	1997-10-05	PRIJEM	VKLAD	14301	26779	\N	\N	\N
462283	1571	1997-11-05	PRIJEM	VKLAD	14301	30089	\N	\N	\N
462284	1571	1997-12-05	PRIJEM	VKLAD	21452	43926	\N	\N	\N
462285	1571	1998-01-05	PRIJEM	VKLAD	14301	27669	\N	\N	\N
462286	1571	1998-02-05	PRIJEM	VKLAD	14301	28227	\N	\N	\N
462287	1571	1998-03-05	PRIJEM	VKLAD	14301	34301	\N	\N	\N
462288	1571	1998-04-05	PRIJEM	VKLAD	14301	41029	\N	\N	\N
462289	1571	1998-05-05	PRIJEM	VKLAD	14301	47759	\N	\N	\N
462290	1571	1998-06-05	PRIJEM	VKLAD	21452	61667	\N	\N	\N
462291	1571	1998-07-05	PRIJEM	VKLAD	14301	29514	\N	\N	\N
462292	1571	1998-08-05	PRIJEM	VKLAD	14301	36222	\N	\N	\N
462293	1571	1998-09-05	PRIJEM	VKLAD	14301	37289	\N	\N	\N
462294	1571	1998-10-05	PRIJEM	VKLAD	14301	43282	\N	\N	\N
462295	1571	1998-11-05	PRIJEM	VKLAD	14301	50047	\N	\N	\N
462296	1571	1998-12-05	PRIJEM	VKLAD	21452	63965	\N	\N	\N
462308	1571	1996-12-05	VYDAJ	PREVOD NA UCET	7692	42385	SIPO	AB	54680818
462309	1571	1997-01-05	VYDAJ	PREVOD NA UCET	7692	20576	SIPO	AB	54680818
462310	1571	1997-02-05	VYDAJ	PREVOD NA UCET	7692	20476	SIPO	AB	54680818
462311	1571	1997-03-05	VYDAJ	PREVOD NA UCET	7692	21569	SIPO	AB	54680818
462312	1571	1997-04-05	VYDAJ	PREVOD NA UCET	7692	21567	SIPO	AB	54680818
462313	1571	1997-05-05	VYDAJ	PREVOD NA UCET	7692	19462	SIPO	AB	54680818
462314	1571	1997-06-05	VYDAJ	PREVOD NA UCET	7692	24877	SIPO	AB	54680818
462315	1571	1997-07-05	VYDAJ	PREVOD NA UCET	7692	19976	SIPO	AB	54680818
462316	1571	1997-08-05	VYDAJ	PREVOD NA UCET	7692	17519	SIPO	AB	54680818
462317	1571	1997-09-05	VYDAJ	PREVOD NA UCET	7692	24210	SIPO	AB	54680818
462318	1571	1997-10-05	VYDAJ	PREVOD NA UCET	7692	19087	SIPO	AB	54680818
462319	1571	1997-11-05	VYDAJ	PREVOD NA UCET	7692	22397	SIPO	AB	54680818
462320	1571	1997-12-05	VYDAJ	PREVOD NA UCET	7692	36234	SIPO	AB	54680818
462321	1571	1998-01-05	VYDAJ	PREVOD NA UCET	7692	19977	SIPO	AB	54680818
462322	1571	1998-02-05	VYDAJ	PREVOD NA UCET	7692	20535	SIPO	AB	54680818
462323	1571	1998-03-05	VYDAJ	PREVOD NA UCET	7692	26609	SIPO	AB	54680818
462324	1571	1998-04-05	VYDAJ	PREVOD NA UCET	7692	33337	SIPO	AB	54680818
462325	1571	1998-05-05	VYDAJ	PREVOD NA UCET	7692	40067	SIPO	AB	54680818
462326	1571	1998-06-05	VYDAJ	PREVOD NA UCET	7692	53975	SIPO	AB	54680818
462327	1571	1998-07-05	VYDAJ	PREVOD NA UCET	7692	21822	SIPO	AB	54680818
462328	1571	1998-08-05	VYDAJ	PREVOD NA UCET	7692	28530	SIPO	AB	54680818
462329	1571	1998-09-05	VYDAJ	PREVOD NA UCET	7692	29597	SIPO	AB	54680818
462330	1571	1998-10-05	VYDAJ	PREVOD NA UCET	7692	35590	SIPO	AB	54680818
462331	1571	1998-11-05	VYDAJ	PREVOD NA UCET	7692	42355	SIPO	AB	54680818
462332	1571	1998-12-05	VYDAJ	PREVOD NA UCET	7692	56273	SIPO	AB	54680818
462337	1571	1997-01-02	VYDAJ	VYBER	4640	15887	\N	\N	\N
462339	1571	1996-12-06	VYDAJ	VYBER	2560	39825	\N	\N	\N
462340	1571	1997-12-10	VYDAJ	VYBER	4160	32074	\N	\N	\N
462341	1571	1998-12-07	VYDAJ	VYBER	3040	53233	\N	\N	\N
462348	1571	1997-01-08	VYDAJ	VYBER	2400	16016	\N	\N	\N
462349	1571	1997-01-03	VYDAJ	VYBER	1920	13967	\N	\N	\N
462351	1571	1997-01-01	VYDAJ	VYBER	840	20527	\N	\N	\N
462352	1571	1997-01-06	VYDAJ	VYBER	2160	18416	\N	\N	\N
462353	1571	1997-01-24	VYDAJ	VYBER	600	15416	\N	\N	\N
462354	1571	1998-01-28	VYDAJ	VYBER	2520	13857	\N	\N	\N
462356	1571	1998-01-27	VYDAJ	VYBER	1080	16377	\N	\N	\N
462357	1571	1998-01-16	VYDAJ	VYBER	1920	18057	\N	\N	\N
462358	1571	1998-01-20	VYDAJ	VYBER	600	17457	\N	\N	\N
462360	1571	1996-12-10	VYDAJ	VYBER	4680	35145	\N	\N	\N
462366	1571	1997-07-21	VYDAJ	VYBER	2520	17456	\N	\N	\N
462367	1571	1997-04-03	VYDAJ	VYBER	1200	14958	\N	\N	\N
462368	1571	1997-11-01	VYDAJ	VYBER	3360	15788	\N	\N	\N
462369	1571	1998-02-11	VYDAJ	VYBER	600	19935	\N	\N	\N
462370	1571	1998-09-01	VYDAJ	VYBER	2880	22988	\N	\N	\N
462371	1571	1998-08-25	VYDAJ	VYBER	2760	25770	\N	\N	\N
462372	1571	1998-09-05	VYDAJ	VYBER	720	28877	\N	\N	\N
462385	1571	1996-12-31	VYDAJ	VYBER	15	21367	SLUZBY	\N	\N
462386	1571	1997-01-31	VYDAJ	VYBER	15	13867	SLUZBY	\N	\N
462387	1571	1997-02-28	VYDAJ	VYBER	15	14960	SLUZBY	\N	\N
462388	1571	1997-03-31	VYDAJ	VYBER	15	16158	SLUZBY	\N	\N
462389	1571	1997-04-30	VYDAJ	VYBER	15	12853	SLUZBY	\N	\N
462390	1571	1997-05-31	VYDAJ	VYBER	15	11117	SLUZBY	\N	\N
462391	1571	1997-06-30	VYDAJ	VYBER	15	13367	SLUZBY	\N	\N
462392	1571	1997-07-31	VYDAJ	VYBER	15	10910	SLUZBY	\N	\N
462393	1571	1997-08-31	VYDAJ	VYBER	15	17601	SLUZBY	\N	\N
462394	1571	1997-09-30	VYDAJ	VYBER	15	12478	SLUZBY	\N	\N
462395	1571	1997-10-31	VYDAJ	VYBER	15	19148	SLUZBY	\N	\N
462396	1571	1997-11-30	VYDAJ	VYBER	15	22474	SLUZBY	\N	\N
462397	1571	1997-12-31	VYDAJ	VYBER	15	13368	SLUZBY	\N	\N
462398	1571	1998-01-31	VYDAJ	VYBER	15	13926	SLUZBY	\N	\N
462399	1571	1998-02-28	VYDAJ	VYBER	15	20000	SLUZBY	\N	\N
462400	1571	1998-03-31	VYDAJ	VYBER	15	26728	SLUZBY	\N	\N
462401	1571	1998-04-30	VYDAJ	VYBER	15	33458	SLUZBY	\N	\N
462402	1571	1998-05-31	VYDAJ	VYBER	15	40215	SLUZBY	\N	\N
462403	1571	1998-06-30	VYDAJ	VYBER	15	15213	SLUZBY	\N	\N
462404	1571	1998-07-31	VYDAJ	VYBER	15	21921	SLUZBY	\N	\N
462405	1571	1998-08-31	VYDAJ	VYBER	15	25868	SLUZBY	\N	\N
462406	1571	1998-09-30	VYDAJ	VYBER	15	28981	SLUZBY	\N	\N
462407	1571	1998-10-31	VYDAJ	VYBER	15	35746	SLUZBY	\N	\N
462408	1571	1998-11-30	VYDAJ	VYBER	15	42513	SLUZBY	\N	\N
462409	1571	1996-08-28	PRIJEM	VKLAD	1900	16401	\N	\N	\N
462410	1571	1996-09-27	VYDAJ	VYBER	3800	26911	\N	\N	\N
462411	1571	1996-10-27	VYDAJ	VYBER	11200	30086	\N	\N	\N
462412	1571	1996-11-26	VYDAJ	VYBER	16000	28501	\N	\N	\N
462413	1571	1996-12-26	VYDAJ	VYBER	13900	21245	\N	\N	\N
462414	1571	1997-01-25	VYDAJ	VYBER	1600	13816	\N	\N	\N
462415	1571	1997-02-24	VYDAJ	VYBER	5600	14876	\N	\N	\N
462416	1571	1997-03-26	VYDAJ	VYBER	5500	16069	\N	\N	\N
462417	1571	1997-04-25	VYDAJ	VYBER	8800	12767	\N	\N	\N
462418	1571	1997-05-25	VYDAJ	VYBER	8400	11062	\N	\N	\N
462419	1571	1997-06-24	VYDAJ	VYBER	11600	13277	\N	\N	\N
462420	1571	1997-07-24	VYDAJ	VYBER	6600	10856	\N	\N	\N
462421	1571	1997-09-22	VYDAJ	VYBER	11800	12410	\N	\N	\N
462422	1571	1997-12-21	VYDAJ	VYBER	18800	13274	\N	\N	\N
462423	1571	1998-06-19	VYDAJ	VYBER	38900	15075	\N	\N	\N
462453	1572	1997-10-21	PRIJEM	VKLAD	500	500	\N	\N	\N
462464	1572	1997-11-14	PRIJEM	VKLAD	13999	14499	\N	\N	\N
462465	1572	1997-12-14	PRIJEM	VKLAD	20999	39225	\N	\N	\N
462466	1572	1998-01-14	PRIJEM	VKLAD	13999	47725	\N	\N	\N
462467	1572	1998-02-14	PRIJEM	VKLAD	13999	51671	\N	\N	\N
462468	1572	1998-03-14	PRIJEM	VKLAD	13999	55432	\N	\N	\N
462469	1572	1998-04-14	PRIJEM	VKLAD	13999	55405	\N	\N	\N
462470	1572	1998-05-14	PRIJEM	VKLAD	13999	55402	\N	\N	\N
462471	1572	1998-06-14	PRIJEM	VKLAD	20999	61396	\N	\N	\N
462472	1572	1998-07-14	PRIJEM	VKLAD	13999	54993	\N	\N	\N
462473	1572	1998-08-14	PRIJEM	VKLAD	13999	52081	\N	\N	\N
462474	1572	1998-09-14	PRIJEM	VKLAD	13999	44246	\N	\N	\N
462475	1572	1998-10-14	PRIJEM	VKLAD	13999	37102	\N	\N	\N
462476	1572	1998-11-14	PRIJEM	VKLAD	13999	28651	\N	\N	\N
462477	1572	1998-12-14	PRIJEM	VKLAD	20999	34897	\N	\N	\N
462493	1572	1998-04-11	VYDAJ	PREVOD NA UCET	7596	41406	SIPO	EF	46670591
462494	1572	1998-05-11	VYDAJ	PREVOD NA UCET	7596	41403	SIPO	EF	46670591
462495	1572	1998-06-11	VYDAJ	PREVOD NA UCET	7596	40397	SIPO	EF	46670591
462496	1572	1998-07-11	VYDAJ	PREVOD NA UCET	7596	40994	SIPO	EF	46670591
462497	1572	1998-08-11	VYDAJ	PREVOD NA UCET	7596	38082	SIPO	EF	46670591
462498	1572	1998-09-11	VYDAJ	PREVOD NA UCET	7596	30247	SIPO	EF	46670591
462499	1572	1998-10-11	VYDAJ	PREVOD NA UCET	7596	23103	SIPO	EF	46670591
462500	1572	1998-11-11	VYDAJ	PREVOD NA UCET	7596	14652	SIPO	EF	46670591
462501	1572	1998-12-11	VYDAJ	PREVOD NA UCET	7596	13899	SIPO	EF	46670591
462503	1572	1998-12-04	VYDAJ	VYBER	1440	21495	\N	\N	\N
462519	1572	1998-11-08	VYDAJ	VYBER	4560	22248	\N	\N	\N
462520	1572	1998-12-28	VYDAJ	VYBER	1920	25677	\N	\N	\N
462521	1572	1998-09-27	VYDAJ	VYBER	2280	30566	\N	\N	\N
462537	1572	1998-03-31	VYDAJ	VYBER	15	49002	SLUZBY	\N	\N
462538	1572	1998-04-30	VYDAJ	VYBER	15	48999	SLUZBY	\N	\N
462539	1572	1998-05-31	VYDAJ	VYBER	15	47993	SLUZBY	\N	\N
462540	1572	1998-06-30	VYDAJ	VYBER	15	48590	SLUZBY	\N	\N
462541	1572	1998-07-31	VYDAJ	VYBER	15	45678	SLUZBY	\N	\N
462542	1572	1998-08-31	VYDAJ	VYBER	15	37843	SLUZBY	\N	\N
462543	1572	1998-09-30	VYDAJ	VYBER	15	30699	SLUZBY	\N	\N
462544	1572	1998-10-31	VYDAJ	VYBER	15	26808	SLUZBY	\N	\N
462545	1572	1998-11-30	VYDAJ	VYBER	15	22935	SLUZBY	\N	\N
462546	1572	1997-11-20	PRIJEM	VKLAD	3700	18199	\N	\N	\N
462547	1572	1997-12-20	VYDAJ	VYBER	5600	33625	\N	\N	\N
462548	1572	1998-01-19	VYDAJ	VYBER	10200	37525	\N	\N	\N
462549	1572	1998-02-18	VYDAJ	VYBER	10400	41271	\N	\N	\N
462550	1572	1998-03-20	VYDAJ	VYBER	6600	48832	\N	\N	\N
462551	1572	1998-04-19	VYDAJ	VYBER	6600	48805	\N	\N	\N
462552	1572	1998-05-19	VYDAJ	VYBER	7600	47802	\N	\N	\N
462553	1572	1998-06-18	VYDAJ	VYBER	13000	48396	\N	\N	\N
462554	1572	1998-07-18	VYDAJ	VYBER	9500	45493	\N	\N	\N
462555	1572	1998-08-17	VYDAJ	VYBER	14400	37681	\N	\N	\N
462556	1572	1998-09-16	VYDAJ	VYBER	11400	32846	\N	\N	\N
462557	1572	1998-10-16	VYDAJ	VYBER	10400	26702	\N	\N	\N
462558	1572	1998-11-15	VYDAJ	VYBER	5800	22851	\N	\N	\N
462559	1572	1998-12-15	VYDAJ	VYBER	7300	27597	\N	\N	\N
462574	1573	1997-12-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
462587	1573	1998-01-09	PRIJEM	PREVOD Z UCTU	5492	6492	DUCHOD	EF	56284958
462588	1573	1998-02-09	PRIJEM	PREVOD Z UCTU	5492	11984	DUCHOD	EF	56284958
462589	1573	1998-03-09	PRIJEM	PREVOD Z UCTU	5492	17476	DUCHOD	EF	56284958
462590	1573	1998-04-09	PRIJEM	PREVOD Z UCTU	5492	21875	DUCHOD	EF	56284958
462591	1573	1998-05-09	PRIJEM	PREVOD Z UCTU	5492	26037	DUCHOD	EF	56284958
462592	1573	1998-06-09	PRIJEM	PREVOD Z UCTU	5492	24586	DUCHOD	EF	56284958
462593	1573	1998-07-09	PRIJEM	PREVOD Z UCTU	5492	16836	DUCHOD	EF	56284958
462594	1573	1998-08-09	PRIJEM	PREVOD Z UCTU	5492	18728	DUCHOD	EF	56284958
462595	1573	1998-09-09	PRIJEM	PREVOD Z UCTU	5492	18226	DUCHOD	EF	56284958
462596	1573	1998-10-09	PRIJEM	PREVOD Z UCTU	5492	20123	DUCHOD	EF	56284958
462597	1573	1998-11-09	PRIJEM	PREVOD Z UCTU	5492	20589	DUCHOD	EF	56284958
462598	1573	1998-12-09	PRIJEM	PREVOD Z UCTU	5492	19939	DUCHOD	EF	56284958
462615	1573	1998-05-11	VYDAJ	PREVOD NA UCET	3638	22399	SIPO	IJ	19240260
462616	1573	1998-06-11	VYDAJ	PREVOD NA UCET	3638	11298	SIPO	IJ	19240260
462617	1573	1998-07-11	VYDAJ	PREVOD NA UCET	3638	13198	SIPO	IJ	19240260
462618	1573	1998-08-11	VYDAJ	PREVOD NA UCET	3638	15090	SIPO	IJ	19240260
462619	1573	1998-09-11	VYDAJ	PREVOD NA UCET	3638	14588	SIPO	IJ	19240260
462620	1573	1998-10-11	VYDAJ	PREVOD NA UCET	3638	16485	SIPO	IJ	19240260
462621	1573	1998-11-11	VYDAJ	PREVOD NA UCET	3638	16951	SIPO	IJ	19240260
462622	1573	1998-12-11	VYDAJ	PREVOD NA UCET	3638	16301	SIPO	IJ	19240260
462624	1573	1998-06-10	VYDAJ	VYBER	9650	14936	\N	\N	\N
462628	1573	1998-12-27	VYDAJ	VYBER	1200	12901	\N	\N	\N
462650	1573	1998-11-04	VYDAJ	VYBER	1440	15097	\N	\N	\N
462651	1573	1998-11-30	VYDAJ	VYBER	2560	14462	\N	\N	\N
462654	1573	1998-06-02	VYDAJ	VYBER	2080	19094	\N	\N	\N
462672	1573	1998-05-31	VYDAJ	VYBER	15	21174	SLUZBY	\N	\N
462673	1573	1998-06-30	VYDAJ	VYBER	15	11344	SLUZBY	\N	\N
462674	1573	1998-07-31	VYDAJ	VYBER	15	13236	SLUZBY	\N	\N
462675	1573	1998-08-31	VYDAJ	VYBER	15	12734	SLUZBY	\N	\N
462676	1573	1998-09-30	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
462677	1573	1998-10-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
462678	1573	1998-11-30	VYDAJ	VYBER	15	14447	SLUZBY	\N	\N
462679	1573	1998-03-29	VYDAJ	VYBER	1100	16376	\N	\N	\N
462680	1573	1998-04-28	VYDAJ	VYBER	1400	20475	\N	\N	\N
462681	1573	1998-05-28	VYDAJ	VYBER	1300	21099	\N	\N	\N
462682	1573	1998-08-26	VYDAJ	VYBER	2400	12690	\N	\N	\N
462683	1573	1998-12-24	VYDAJ	VYBER	2200	14101	\N	\N	\N
462694	1574	1997-05-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
462700	1574	1997-06-14	PRIJEM	PREVOD Z UCTU	4058	5058	DUCHOD	QR	32937985
462701	1574	1997-07-14	PRIJEM	PREVOD Z UCTU	4058	9116	DUCHOD	QR	32937985
462702	1574	1997-08-14	PRIJEM	PREVOD Z UCTU	4058	13174	DUCHOD	QR	32937985
462703	1574	1997-09-14	PRIJEM	PREVOD Z UCTU	4058	17232	DUCHOD	QR	32937985
462704	1574	1997-10-14	PRIJEM	PREVOD Z UCTU	4058	21290	DUCHOD	QR	32937985
462705	1574	1997-11-14	PRIJEM	PREVOD Z UCTU	4058	22063	DUCHOD	QR	32937985
462706	1574	1997-12-14	PRIJEM	PREVOD Z UCTU	4058	22125	DUCHOD	QR	32937985
462707	1574	1998-01-14	PRIJEM	PREVOD Z UCTU	4058	20648	DUCHOD	QR	32937985
462708	1574	1998-02-14	PRIJEM	PREVOD Z UCTU	4058	13965	DUCHOD	QR	32937985
462709	1574	1998-03-14	PRIJEM	PREVOD Z UCTU	4058	15674	DUCHOD	QR	32937985
462710	1574	1998-04-14	PRIJEM	PREVOD Z UCTU	4058	15870	DUCHOD	QR	32937985
462711	1574	1998-05-14	PRIJEM	PREVOD Z UCTU	4058	17588	DUCHOD	QR	32937985
462712	1574	1998-06-14	PRIJEM	PREVOD Z UCTU	4058	19311	DUCHOD	QR	32937985
462713	1574	1998-07-14	PRIJEM	PREVOD Z UCTU	4058	21042	DUCHOD	QR	32937985
462714	1574	1998-08-14	PRIJEM	PREVOD Z UCTU	4058	22780	DUCHOD	QR	32937985
462715	1574	1998-09-14	PRIJEM	PREVOD Z UCTU	4058	24526	DUCHOD	QR	32937985
462716	1574	1998-10-14	PRIJEM	PREVOD Z UCTU	4058	26278	DUCHOD	QR	32937985
462717	1574	1998-11-14	PRIJEM	PREVOD Z UCTU	4058	28038	DUCHOD	QR	32937985
462718	1574	1998-12-14	PRIJEM	PREVOD Z UCTU	4058	29805	DUCHOD	QR	32937985
462729	1574	1997-11-12	VYDAJ	PREVOD NA UCET	2390	18005	SIPO	GH	16211796
462730	1574	1997-12-12	VYDAJ	PREVOD NA UCET	2390	18067	SIPO	GH	16211796
462731	1574	1998-01-12	VYDAJ	PREVOD NA UCET	2390	16590	SIPO	GH	16211796
462732	1574	1998-02-12	VYDAJ	PREVOD NA UCET	2390	9907	SIPO	GH	16211796
462733	1574	1998-03-12	VYDAJ	PREVOD NA UCET	2390	11616	SIPO	GH	16211796
462734	1574	1998-04-12	VYDAJ	PREVOD NA UCET	2390	11812	SIPO	GH	16211796
462735	1574	1998-05-12	VYDAJ	PREVOD NA UCET	2390	13530	SIPO	GH	16211796
462736	1574	1998-06-12	VYDAJ	PREVOD NA UCET	2390	15253	SIPO	GH	16211796
462737	1574	1998-07-12	VYDAJ	PREVOD NA UCET	2390	16984	SIPO	GH	16211796
462738	1574	1998-08-12	VYDAJ	PREVOD NA UCET	2390	18722	SIPO	GH	16211796
462739	1574	1998-09-12	VYDAJ	PREVOD NA UCET	2390	20468	SIPO	GH	16211796
462740	1574	1998-10-12	VYDAJ	PREVOD NA UCET	2390	22220	SIPO	GH	16211796
462741	1574	1998-11-12	VYDAJ	PREVOD NA UCET	2390	23980	SIPO	GH	16211796
462742	1574	1998-12-12	VYDAJ	PREVOD NA UCET	2390	25747	SIPO	GH	16211796
462746	1574	1998-01-23	VYDAJ	VYBER	4250	12878	\N	\N	\N
462747	1574	1997-12-16	VYDAJ	VYBER	900	21225	\N	\N	\N
462748	1574	1998-12-18	VYDAJ	VYBER	1000	28805	\N	\N	\N
462755	1574	1998-01-01	VYDAJ	VYBER	2320	18980	\N	\N	\N
462756	1574	1998-01-20	VYDAJ	VYBER	560	17128	\N	\N	\N
462758	1574	1998-01-17	VYDAJ	VYBER	1040	19608	\N	\N	\N
462759	1574	1998-01-18	VYDAJ	VYBER	1920	17688	\N	\N	\N
462765	1574	1997-12-01	VYDAJ	VYBER	1680	20457	\N	\N	\N
462767	1574	1998-02-09	VYDAJ	VYBER	640	12297	\N	\N	\N
462770	1574	1998-04-07	VYDAJ	VYBER	1520	14202	\N	\N	\N
462781	1574	1997-10-31	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
462782	1574	1997-11-30	VYDAJ	VYBER	15	22137	SLUZBY	\N	\N
462783	1574	1997-12-31	VYDAJ	VYBER	15	21300	SLUZBY	\N	\N
462784	1574	1998-01-31	VYDAJ	VYBER	15	12937	SLUZBY	\N	\N
462785	1574	1998-02-28	VYDAJ	VYBER	15	14006	SLUZBY	\N	\N
462786	1574	1998-03-31	VYDAJ	VYBER	15	15722	SLUZBY	\N	\N
462787	1574	1998-04-30	VYDAJ	VYBER	15	15920	SLUZBY	\N	\N
462788	1574	1998-05-31	VYDAJ	VYBER	15	17643	SLUZBY	\N	\N
462789	1574	1998-06-30	VYDAJ	VYBER	15	19374	SLUZBY	\N	\N
462790	1574	1998-07-31	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
462791	1574	1998-08-31	VYDAJ	VYBER	15	22858	SLUZBY	\N	\N
462792	1574	1998-09-30	VYDAJ	VYBER	15	24610	SLUZBY	\N	\N
462793	1574	1998-10-31	VYDAJ	VYBER	15	26370	SLUZBY	\N	\N
462794	1574	1998-11-30	VYDAJ	VYBER	15	28137	SLUZBY	\N	\N
462795	1574	1997-10-25	VYDAJ	VYBER	900	20390	\N	\N	\N
462811	1575	1993-02-27	PRIJEM	VKLAD	900	900	\N	\N	\N
462814	1575	1993-03-07	PRIJEM	PREVOD Z UCTU	5448	6348	DUCHOD	IJ	85748850
462815	1575	1993-04-07	PRIJEM	PREVOD Z UCTU	5448	11796	DUCHOD	IJ	85748850
462816	1575	1993-05-07	PRIJEM	PREVOD Z UCTU	5448	17244	DUCHOD	IJ	85748850
462817	1575	1993-06-07	PRIJEM	PREVOD Z UCTU	5448	22692	DUCHOD	IJ	85748850
462818	1575	1993-07-07	PRIJEM	PREVOD Z UCTU	5448	28140	DUCHOD	IJ	85748850
462819	1575	1993-08-07	PRIJEM	PREVOD Z UCTU	5448	30650	DUCHOD	IJ	85748850
462820	1575	1993-09-07	PRIJEM	PREVOD Z UCTU	5448	30856	DUCHOD	IJ	85748850
462821	1575	1993-10-07	PRIJEM	PREVOD Z UCTU	5448	29965	DUCHOD	IJ	85748850
462822	1575	1993-11-07	PRIJEM	PREVOD Z UCTU	5448	29887	DUCHOD	IJ	85748850
462823	1575	1993-12-07	PRIJEM	PREVOD Z UCTU	5448	29128	DUCHOD	IJ	85748850
462824	1575	1994-01-07	PRIJEM	PREVOD Z UCTU	5448	26249	DUCHOD	IJ	85748850
462825	1575	1994-02-07	PRIJEM	PREVOD Z UCTU	5448	20053	DUCHOD	IJ	85748850
462826	1575	1994-03-07	PRIJEM	PREVOD Z UCTU	5448	22556	DUCHOD	IJ	85748850
462827	1575	1994-04-07	PRIJEM	PREVOD Z UCTU	5448	25070	DUCHOD	IJ	85748850
462828	1575	1994-05-07	PRIJEM	PREVOD Z UCTU	5448	27594	DUCHOD	IJ	85748850
462829	1575	1994-06-07	PRIJEM	PREVOD Z UCTU	5448	25446	DUCHOD	IJ	85748850
462830	1575	1994-07-07	PRIJEM	PREVOD Z UCTU	5448	23246	DUCHOD	IJ	85748850
462831	1575	1994-08-07	PRIJEM	PREVOD Z UCTU	5448	25764	DUCHOD	IJ	85748850
462832	1575	1994-09-07	PRIJEM	PREVOD Z UCTU	5448	26608	DUCHOD	IJ	85748850
462833	1575	1994-10-07	PRIJEM	PREVOD Z UCTU	5448	26535	DUCHOD	IJ	85748850
462834	1575	1994-11-07	PRIJEM	PREVOD Z UCTU	5448	28364	DUCHOD	IJ	85748850
462835	1575	1994-12-07	PRIJEM	PREVOD Z UCTU	5448	30802	DUCHOD	IJ	85748850
462836	1575	1995-01-07	PRIJEM	PREVOD Z UCTU	5448	28885	DUCHOD	IJ	85748850
462837	1575	1995-02-07	PRIJEM	PREVOD Z UCTU	5448	19620	DUCHOD	IJ	85748850
462838	1575	1995-03-07	PRIJEM	PREVOD Z UCTU	5448	19401	DUCHOD	IJ	85748850
462839	1575	1995-04-07	PRIJEM	PREVOD Z UCTU	5448	20704	DUCHOD	IJ	85748850
462840	1575	1995-05-07	PRIJEM	PREVOD Z UCTU	5448	20924	DUCHOD	IJ	85748850
462841	1575	1995-06-07	PRIJEM	PREVOD Z UCTU	5448	23431	DUCHOD	IJ	85748850
462842	1575	1995-07-07	PRIJEM	PREVOD Z UCTU	5448	19386	DUCHOD	IJ	85748850
462843	1575	1995-08-07	PRIJEM	PREVOD Z UCTU	5448	21890	DUCHOD	IJ	85748850
462844	1575	1995-09-07	PRIJEM	PREVOD Z UCTU	5448	22720	DUCHOD	IJ	85748850
462845	1575	1995-10-07	PRIJEM	PREVOD Z UCTU	5448	25238	DUCHOD	IJ	85748850
462846	1575	1995-11-07	PRIJEM	PREVOD Z UCTU	5448	24116	DUCHOD	IJ	85748850
462847	1575	1995-12-07	PRIJEM	PREVOD Z UCTU	5448	25285	DUCHOD	IJ	85748850
462848	1575	1996-01-07	PRIJEM	PREVOD Z UCTU	5448	22056	DUCHOD	IJ	85748850
462849	1575	1996-02-07	PRIJEM	PREVOD Z UCTU	5448	19600	DUCHOD	IJ	85748850
462850	1575	1996-03-07	PRIJEM	PREVOD Z UCTU	5448	22101	DUCHOD	IJ	85748850
462851	1575	1996-04-07	PRIJEM	PREVOD Z UCTU	5448	21082	DUCHOD	IJ	85748850
462852	1575	1996-05-07	PRIJEM	PREVOD Z UCTU	5448	22207	DUCHOD	IJ	85748850
462853	1575	1996-06-07	PRIJEM	PREVOD Z UCTU	5448	23114	DUCHOD	IJ	85748850
462854	1575	1996-07-07	PRIJEM	PREVOD Z UCTU	5448	25630	DUCHOD	IJ	85748850
462855	1575	1996-08-07	PRIJEM	PREVOD Z UCTU	5448	27353	DUCHOD	IJ	85748850
462856	1575	1996-09-07	PRIJEM	PREVOD Z UCTU	5448	26401	DUCHOD	IJ	85748850
462857	1575	1996-10-07	PRIJEM	PREVOD Z UCTU	5448	22334	DUCHOD	IJ	85748850
462858	1575	1996-11-07	PRIJEM	PREVOD Z UCTU	5448	22640	DUCHOD	IJ	85748850
462859	1575	1996-12-07	PRIJEM	PREVOD Z UCTU	5448	20239	DUCHOD	IJ	85748850
462860	1575	1997-01-07	PRIJEM	PREVOD Z UCTU	5448	19633	DUCHOD	IJ	85748850
462861	1575	1997-02-07	PRIJEM	PREVOD Z UCTU	5448	20030	DUCHOD	IJ	85748850
462862	1575	1997-03-07	PRIJEM	PREVOD Z UCTU	5448	22532	DUCHOD	IJ	85748850
462863	1575	1997-04-07	PRIJEM	PREVOD Z UCTU	5448	16418	DUCHOD	IJ	85748850
462864	1575	1997-05-07	PRIJEM	PREVOD Z UCTU	5448	18905	DUCHOD	IJ	85748850
462865	1575	1997-06-07	PRIJEM	PREVOD Z UCTU	5448	17593	DUCHOD	IJ	85748850
462866	1575	1997-07-07	PRIJEM	PREVOD Z UCTU	5448	20084	DUCHOD	IJ	85748850
462867	1575	1997-08-07	PRIJEM	PREVOD Z UCTU	5448	22586	DUCHOD	IJ	85748850
462868	1575	1997-09-07	PRIJEM	PREVOD Z UCTU	5448	25099	DUCHOD	IJ	85748850
462869	1575	1997-10-07	PRIJEM	PREVOD Z UCTU	5448	19538	DUCHOD	IJ	85748850
462870	1575	1997-11-07	PRIJEM	PREVOD Z UCTU	5448	22044	DUCHOD	IJ	85748850
462871	1575	1997-12-07	PRIJEM	PREVOD Z UCTU	5448	24554	DUCHOD	IJ	85748850
462872	1575	1998-01-07	PRIJEM	PREVOD Z UCTU	5448	26223	DUCHOD	IJ	85748850
462873	1575	1998-02-07	PRIJEM	PREVOD Z UCTU	5448	20694	DUCHOD	IJ	85748850
462874	1575	1998-03-07	PRIJEM	PREVOD Z UCTU	5448	23198	DUCHOD	IJ	85748850
462875	1575	1998-04-07	PRIJEM	PREVOD Z UCTU	5448	24831	DUCHOD	IJ	85748850
462876	1575	1998-05-07	PRIJEM	PREVOD Z UCTU	5448	26951	DUCHOD	IJ	85748850
462877	1575	1998-06-07	PRIJEM	PREVOD Z UCTU	5448	29481	DUCHOD	IJ	85748850
462878	1575	1998-07-07	PRIJEM	PREVOD Z UCTU	5448	29214	DUCHOD	IJ	85748850
462879	1575	1998-08-07	PRIJEM	PREVOD Z UCTU	5448	31753	DUCHOD	IJ	85748850
462880	1575	1998-09-07	PRIJEM	PREVOD Z UCTU	5448	34303	DUCHOD	IJ	85748850
462881	1575	1998-10-07	PRIJEM	PREVOD Z UCTU	5448	36863	DUCHOD	IJ	85748850
462882	1575	1998-11-07	PRIJEM	PREVOD Z UCTU	5448	37034	DUCHOD	IJ	85748850
462883	1575	1998-12-07	PRIJEM	PREVOD Z UCTU	5448	39610	DUCHOD	IJ	85748850
462890	1575	1993-07-10	VYDAJ	PREVOD NA UCET	2998	25142	SIPO	CD	10936338
462891	1575	1993-08-10	VYDAJ	PREVOD NA UCET	2998	27652	SIPO	CD	10936338
462892	1575	1993-09-10	VYDAJ	PREVOD NA UCET	2998	27858	SIPO	CD	10936338
462893	1575	1993-10-10	VYDAJ	PREVOD NA UCET	2998	26967	SIPO	CD	10936338
462894	1575	1993-11-10	VYDAJ	PREVOD NA UCET	2998	26889	SIPO	CD	10936338
462895	1575	1993-12-10	VYDAJ	PREVOD NA UCET	2998	26130	SIPO	CD	10936338
462896	1575	1994-01-10	VYDAJ	PREVOD NA UCET	2998	23251	SIPO	CD	10936338
462897	1575	1994-02-10	VYDAJ	PREVOD NA UCET	2998	17055	SIPO	CD	10936338
462898	1575	1994-03-10	VYDAJ	PREVOD NA UCET	2998	19558	SIPO	CD	10936338
462899	1575	1994-04-10	VYDAJ	PREVOD NA UCET	2998	22072	SIPO	CD	10936338
462900	1575	1994-05-10	VYDAJ	PREVOD NA UCET	2998	24596	SIPO	CD	10936338
462901	1575	1994-06-10	VYDAJ	PREVOD NA UCET	2998	19008	SIPO	CD	10936338
462902	1575	1994-07-10	VYDAJ	PREVOD NA UCET	2998	20248	SIPO	CD	10936338
462903	1575	1994-08-10	VYDAJ	PREVOD NA UCET	2998	22766	SIPO	CD	10936338
462904	1575	1994-09-10	VYDAJ	PREVOD NA UCET	2998	23610	SIPO	CD	10936338
462905	1575	1994-10-10	VYDAJ	PREVOD NA UCET	2998	23537	SIPO	CD	10936338
462906	1575	1994-11-10	VYDAJ	PREVOD NA UCET	2998	25366	SIPO	CD	10936338
462907	1575	1994-12-10	VYDAJ	PREVOD NA UCET	2998	27804	SIPO	CD	10936338
462908	1575	1995-01-10	VYDAJ	PREVOD NA UCET	2998	17707	SIPO	CD	10936338
462909	1575	1995-02-10	VYDAJ	PREVOD NA UCET	2998	16622	SIPO	CD	10936338
462910	1575	1995-03-10	VYDAJ	PREVOD NA UCET	2998	16403	SIPO	CD	10936338
462911	1575	1995-04-10	VYDAJ	PREVOD NA UCET	2998	17706	SIPO	CD	10936338
462912	1575	1995-05-10	VYDAJ	PREVOD NA UCET	2998	17926	SIPO	CD	10936338
462913	1575	1995-06-10	VYDAJ	PREVOD NA UCET	2998	20433	SIPO	CD	10936338
462914	1575	1995-07-10	VYDAJ	PREVOD NA UCET	2998	16388	SIPO	CD	10936338
462915	1575	1995-08-10	VYDAJ	PREVOD NA UCET	2998	18892	SIPO	CD	10936338
462916	1575	1995-09-10	VYDAJ	PREVOD NA UCET	2998	19722	SIPO	CD	10936338
462917	1575	1995-10-10	VYDAJ	PREVOD NA UCET	2998	22240	SIPO	CD	10936338
462918	1575	1995-11-10	VYDAJ	PREVOD NA UCET	2998	21118	SIPO	CD	10936338
462919	1575	1995-12-10	VYDAJ	PREVOD NA UCET	2998	22287	SIPO	CD	10936338
462920	1575	1996-01-10	VYDAJ	PREVOD NA UCET	2998	19058	SIPO	CD	10936338
462921	1575	1996-02-10	VYDAJ	PREVOD NA UCET	2998	16602	SIPO	CD	10936338
462922	1575	1996-03-10	VYDAJ	PREVOD NA UCET	2998	19103	SIPO	CD	10936338
462923	1575	1996-04-10	VYDAJ	PREVOD NA UCET	2998	18084	SIPO	CD	10936338
462924	1575	1996-05-10	VYDAJ	PREVOD NA UCET	2998	19209	SIPO	CD	10936338
462925	1575	1996-06-10	VYDAJ	PREVOD NA UCET	2998	20116	SIPO	CD	10936338
462926	1575	1996-07-10	VYDAJ	PREVOD NA UCET	2998	22632	SIPO	CD	10936338
462927	1575	1996-08-10	VYDAJ	PREVOD NA UCET	2998	24355	SIPO	CD	10936338
462928	1575	1996-09-10	VYDAJ	PREVOD NA UCET	2998	19703	SIPO	CD	10936338
462929	1575	1996-10-10	VYDAJ	PREVOD NA UCET	2998	17136	SIPO	CD	10936338
462930	1575	1996-11-10	VYDAJ	PREVOD NA UCET	2998	14742	SIPO	CD	10936338
462931	1575	1996-12-10	VYDAJ	PREVOD NA UCET	2998	14141	SIPO	CD	10936338
462932	1575	1997-01-10	VYDAJ	PREVOD NA UCET	2998	14535	SIPO	CD	10936338
462933	1575	1997-02-10	VYDAJ	PREVOD NA UCET	2998	17032	SIPO	CD	10936338
462934	1575	1997-03-10	VYDAJ	PREVOD NA UCET	2998	10934	SIPO	CD	10936338
462935	1575	1997-04-10	VYDAJ	PREVOD NA UCET	2998	13420	SIPO	CD	10936338
462936	1575	1997-05-10	VYDAJ	PREVOD NA UCET	2998	12107	SIPO	CD	10936338
462937	1575	1997-06-10	VYDAJ	PREVOD NA UCET	2998	14595	SIPO	CD	10936338
462938	1575	1997-07-10	VYDAJ	PREVOD NA UCET	2998	17086	SIPO	CD	10936338
462939	1575	1997-08-10	VYDAJ	PREVOD NA UCET	2998	19588	SIPO	CD	10936338
462940	1575	1997-09-10	VYDAJ	PREVOD NA UCET	2998	20021	SIPO	CD	10936338
462941	1575	1997-10-10	VYDAJ	PREVOD NA UCET	2998	16540	SIPO	CD	10936338
462942	1575	1997-11-10	VYDAJ	PREVOD NA UCET	2998	19046	SIPO	CD	10936338
462943	1575	1997-12-10	VYDAJ	PREVOD NA UCET	2998	21556	SIPO	CD	10936338
462944	1575	1998-01-10	VYDAJ	PREVOD NA UCET	2998	20985	SIPO	CD	10936338
462945	1575	1998-02-10	VYDAJ	PREVOD NA UCET	2998	17696	SIPO	CD	10936338
462946	1575	1998-03-10	VYDAJ	PREVOD NA UCET	2998	20200	SIPO	CD	10936338
462947	1575	1998-04-10	VYDAJ	PREVOD NA UCET	2998	21833	SIPO	CD	10936338
462948	1575	1998-05-10	VYDAJ	PREVOD NA UCET	2998	23953	SIPO	CD	10936338
462949	1575	1998-06-10	VYDAJ	PREVOD NA UCET	2998	23683	SIPO	CD	10936338
462950	1575	1998-07-10	VYDAJ	PREVOD NA UCET	2998	26216	SIPO	CD	10936338
462951	1575	1998-08-10	VYDAJ	PREVOD NA UCET	2998	28755	SIPO	CD	10936338
462952	1575	1998-09-10	VYDAJ	PREVOD NA UCET	2998	31305	SIPO	CD	10936338
462953	1575	1998-10-10	VYDAJ	PREVOD NA UCET	2998	33865	SIPO	CD	10936338
462954	1575	1998-11-10	VYDAJ	PREVOD NA UCET	2998	34036	SIPO	CD	10936338
462955	1575	1998-12-10	VYDAJ	PREVOD NA UCET	2998	35252	SIPO	CD	10936338
462958	1575	1995-06-24	VYDAJ	VYBER	1700	18433	\N	\N	\N
462961	1575	1998-06-10	VYDAJ	VYBER	2800	26681	\N	\N	\N
462963	1575	1994-01-30	VYDAJ	VYBER	4000	14531	\N	\N	\N
462964	1575	1995-01-08	VYDAJ	VYBER	4100	24065	\N	\N	\N
462965	1575	1996-01-01	VYDAJ	VYBER	3350	16608	\N	\N	\N
462967	1575	1998-01-17	VYDAJ	VYBER	2600	17985	\N	\N	\N
462968	1575	1993-12-20	VYDAJ	VYBER	300	25830	\N	\N	\N
462969	1575	1994-12-25	VYDAJ	VYBER	400	25104	\N	\N	\N
462970	1575	1995-12-04	VYDAJ	VYBER	750	19837	\N	\N	\N
462971	1575	1996-12-09	VYDAJ	VYBER	700	17139	\N	\N	\N
462972	1575	1997-12-21	VYDAJ	VYBER	850	20706	\N	\N	\N
462973	1575	1998-12-27	VYDAJ	VYBER	800	34452	\N	\N	\N
462980	1575	1994-01-24	VYDAJ	VYBER	800	18531	\N	\N	\N
462981	1575	1994-01-04	VYDAJ	VYBER	640	20801	\N	\N	\N
462982	1575	1994-01-17	VYDAJ	VYBER	1600	20451	\N	\N	\N
462983	1575	1994-01-02	VYDAJ	VYBER	800	25121	\N	\N	\N
462984	1575	1994-01-23	VYDAJ	VYBER	1120	19331	\N	\N	\N
462985	1575	1994-01-14	VYDAJ	VYBER	1200	22051	\N	\N	\N
462986	1575	1995-01-08	VYDAJ	VYBER	1840	20705	\N	\N	\N
462987	1575	1995-01-25	VYDAJ	VYBER	1360	16347	\N	\N	\N
462988	1575	1995-01-27	VYDAJ	VYBER	2240	14107	\N	\N	\N
462989	1575	1995-01-07	VYDAJ	VYBER	720	28165	\N	\N	\N
462990	1575	1995-01-02	VYDAJ	VYBER	1760	23437	\N	\N	\N
462991	1575	1995-01-08	VYDAJ	VYBER	1520	22545	\N	\N	\N
462992	1575	1996-01-12	VYDAJ	VYBER	2320	16738	\N	\N	\N
462993	1575	1996-01-13	VYDAJ	VYBER	960	15778	\N	\N	\N
462994	1575	1996-01-19	VYDAJ	VYBER	480	14098	\N	\N	\N
462997	1575	1996-01-14	VYDAJ	VYBER	1200	14578	\N	\N	\N
463004	1575	1998-01-09	VYDAJ	VYBER	2240	23983	\N	\N	\N
463005	1575	1998-01-19	VYDAJ	VYBER	1600	16385	\N	\N	\N
463006	1575	1998-01-11	VYDAJ	VYBER	400	20585	\N	\N	\N
463008	1575	1998-01-26	VYDAJ	VYBER	1200	15185	\N	\N	\N
463010	1575	1993-09-02	VYDAJ	VYBER	1040	25408	\N	\N	\N
463011	1575	1993-09-25	VYDAJ	VYBER	3440	24418	\N	\N	\N
463014	1575	1993-10-24	VYDAJ	VYBER	1520	25447	\N	\N	\N
463016	1575	1994-08-18	VYDAJ	VYBER	1680	21086	\N	\N	\N
463017	1575	1994-06-06	VYDAJ	VYBER	2480	19998	\N	\N	\N
463018	1575	1994-01-03	VYDAJ	VYBER	3680	21441	\N	\N	\N
463019	1575	1994-06-30	VYDAJ	VYBER	1280	17798	\N	\N	\N
463020	1575	1994-06-09	VYDAJ	VYBER	3440	22006	\N	\N	\N
463021	1575	1995-03-06	VYDAJ	VYBER	2720	13953	\N	\N	\N
463022	1575	1995-07-02	VYDAJ	VYBER	3840	14658	\N	\N	\N
463023	1575	1995-09-05	VYDAJ	VYBER	1680	17272	\N	\N	\N
463024	1575	1995-10-26	VYDAJ	VYBER	1440	18600	\N	\N	\N
463025	1575	1995-07-03	VYDAJ	VYBER	720	13938	\N	\N	\N
463026	1575	1995-04-14	VYDAJ	VYBER	2080	15626	\N	\N	\N
463027	1575	1996-04-21	VYDAJ	VYBER	1280	16704	\N	\N	\N
463028	1575	1996-03-11	VYDAJ	VYBER	3520	15583	\N	\N	\N
463030	1575	1996-09-17	VYDAJ	VYBER	2880	16823	\N	\N	\N
463031	1575	1996-08-22	VYDAJ	VYBER	2080	20875	\N	\N	\N
463032	1575	1997-09-07	VYDAJ	VYBER	2080	23019	\N	\N	\N
463036	1575	1998-12-08	VYDAJ	VYBER	1360	38250	\N	\N	\N
463038	1575	1998-11-05	VYDAJ	VYBER	2400	31586	\N	\N	\N
463039	1575	1998-04-19	VYDAJ	VYBER	400	21433	\N	\N	\N
463040	1575	1998-03-18	VYDAJ	VYBER	880	19320	\N	\N	\N
463048	1575	1993-07-31	VYDAJ	VYBER	15	25202	SLUZBY	\N	\N
463049	1575	1993-08-31	VYDAJ	VYBER	15	26448	SLUZBY	\N	\N
463050	1575	1993-09-30	VYDAJ	VYBER	15	24517	SLUZBY	\N	\N
463051	1575	1993-10-31	VYDAJ	VYBER	15	24439	SLUZBY	\N	\N
463052	1575	1993-11-30	VYDAJ	VYBER	15	23680	SLUZBY	\N	\N
463053	1575	1993-12-31	VYDAJ	VYBER	15	25921	SLUZBY	\N	\N
463054	1575	1994-01-31	VYDAJ	VYBER	15	14605	SLUZBY	\N	\N
463055	1575	1994-02-28	VYDAJ	VYBER	15	17108	SLUZBY	\N	\N
463056	1575	1994-03-31	VYDAJ	VYBER	15	19622	SLUZBY	\N	\N
463057	1575	1994-04-30	VYDAJ	VYBER	15	22146	SLUZBY	\N	\N
463058	1575	1994-05-31	VYDAJ	VYBER	15	22478	SLUZBY	\N	\N
463059	1575	1994-06-30	VYDAJ	VYBER	15	19078	SLUZBY	\N	\N
463060	1575	1994-07-31	VYDAJ	VYBER	15	20316	SLUZBY	\N	\N
463061	1575	1994-08-31	VYDAJ	VYBER	15	21160	SLUZBY	\N	\N
463062	1575	1994-09-30	VYDAJ	VYBER	15	21087	SLUZBY	\N	\N
463063	1575	1994-10-31	VYDAJ	VYBER	15	22916	SLUZBY	\N	\N
463064	1575	1994-11-30	VYDAJ	VYBER	15	25354	SLUZBY	\N	\N
463065	1575	1994-12-31	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
463066	1575	1995-01-31	VYDAJ	VYBER	15	14172	SLUZBY	\N	\N
463067	1575	1995-02-28	VYDAJ	VYBER	15	16673	SLUZBY	\N	\N
463068	1575	1995-03-31	VYDAJ	VYBER	15	15256	SLUZBY	\N	\N
463069	1575	1995-04-30	VYDAJ	VYBER	15	15476	SLUZBY	\N	\N
463070	1575	1995-05-31	VYDAJ	VYBER	15	17983	SLUZBY	\N	\N
463071	1575	1995-06-30	VYDAJ	VYBER	15	18498	SLUZBY	\N	\N
463072	1575	1995-07-31	VYDAJ	VYBER	15	16442	SLUZBY	\N	\N
463073	1575	1995-08-31	VYDAJ	VYBER	15	18952	SLUZBY	\N	\N
463074	1575	1995-09-30	VYDAJ	VYBER	15	19790	SLUZBY	\N	\N
463075	1575	1995-10-31	VYDAJ	VYBER	15	18668	SLUZBY	\N	\N
463076	1575	1995-11-30	VYDAJ	VYBER	15	20587	SLUZBY	\N	\N
463077	1575	1995-12-31	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
463078	1575	1996-01-31	VYDAJ	VYBER	15	14152	SLUZBY	\N	\N
463079	1575	1996-02-29	VYDAJ	VYBER	15	16653	SLUZBY	\N	\N
463080	1575	1996-03-31	VYDAJ	VYBER	15	15634	SLUZBY	\N	\N
463081	1575	1996-04-30	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
463082	1575	1996-05-31	VYDAJ	VYBER	15	17666	SLUZBY	\N	\N
463083	1575	1996-06-30	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
463084	1575	1996-07-31	VYDAJ	VYBER	15	21905	SLUZBY	\N	\N
463085	1575	1996-08-31	VYDAJ	VYBER	15	20953	SLUZBY	\N	\N
463086	1575	1996-09-30	VYDAJ	VYBER	15	16886	SLUZBY	\N	\N
463087	1575	1996-10-31	VYDAJ	VYBER	15	17192	SLUZBY	\N	\N
463088	1575	1996-11-30	VYDAJ	VYBER	15	14791	SLUZBY	\N	\N
463089	1575	1996-12-31	VYDAJ	VYBER	15	14185	SLUZBY	\N	\N
463090	1575	1997-01-31	VYDAJ	VYBER	15	14582	SLUZBY	\N	\N
463091	1575	1997-02-28	VYDAJ	VYBER	15	17084	SLUZBY	\N	\N
463092	1575	1997-03-31	VYDAJ	VYBER	15	10970	SLUZBY	\N	\N
463093	1575	1997-04-30	VYDAJ	VYBER	15	13457	SLUZBY	\N	\N
463094	1575	1997-05-31	VYDAJ	VYBER	15	12145	SLUZBY	\N	\N
463095	1575	1997-06-30	VYDAJ	VYBER	15	14636	SLUZBY	\N	\N
463096	1575	1997-07-31	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
463097	1575	1997-08-31	VYDAJ	VYBER	15	19651	SLUZBY	\N	\N
463098	1575	1997-09-30	VYDAJ	VYBER	15	20090	SLUZBY	\N	\N
463099	1575	1997-10-31	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
463100	1575	1997-11-30	VYDAJ	VYBER	15	19106	SLUZBY	\N	\N
463101	1575	1997-12-31	VYDAJ	VYBER	15	20775	SLUZBY	\N	\N
463102	1575	1998-01-31	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
463103	1575	1998-02-28	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
463104	1575	1998-03-31	VYDAJ	VYBER	15	19383	SLUZBY	\N	\N
463105	1575	1998-04-30	VYDAJ	VYBER	15	21503	SLUZBY	\N	\N
463106	1575	1998-05-31	VYDAJ	VYBER	15	24033	SLUZBY	\N	\N
463107	1575	1998-06-30	VYDAJ	VYBER	15	23766	SLUZBY	\N	\N
463108	1575	1998-07-31	VYDAJ	VYBER	15	26305	SLUZBY	\N	\N
463109	1575	1998-08-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
463110	1575	1998-09-30	VYDAJ	VYBER	15	31415	SLUZBY	\N	\N
463111	1575	1998-10-31	VYDAJ	VYBER	15	33986	SLUZBY	\N	\N
463112	1575	1998-11-30	VYDAJ	VYBER	15	34162	SLUZBY	\N	\N
463113	1575	1993-08-26	VYDAJ	VYBER	1300	26352	\N	\N	\N
463114	1575	1993-10-25	VYDAJ	VYBER	1100	24347	\N	\N	\N
463115	1575	1993-11-24	VYDAJ	VYBER	3300	23589	\N	\N	\N
463116	1575	1994-05-23	VYDAJ	VYBER	2200	22396	\N	\N	\N
463117	1575	1994-09-20	VYDAJ	VYBER	2600	21010	\N	\N	\N
463118	1575	1994-10-20	VYDAJ	VYBER	700	22837	\N	\N	\N
463119	1575	1994-11-19	VYDAJ	VYBER	100	25266	\N	\N	\N
463120	1575	1994-12-19	VYDAJ	VYBER	2300	25504	\N	\N	\N
463121	1575	1995-03-19	VYDAJ	VYBER	1200	15203	\N	\N	\N
463122	1575	1995-04-18	VYDAJ	VYBER	200	15426	\N	\N	\N
463123	1575	1995-06-17	VYDAJ	VYBER	300	20133	\N	\N	\N
463124	1575	1995-10-15	VYDAJ	VYBER	2200	20040	\N	\N	\N
463125	1575	1995-11-14	VYDAJ	VYBER	600	20518	\N	\N	\N
463126	1575	1995-12-14	VYDAJ	VYBER	2400	19887	\N	\N	\N
463127	1575	1996-04-12	VYDAJ	VYBER	100	17984	\N	\N	\N
463128	1575	1996-05-12	VYDAJ	VYBER	1600	17609	\N	\N	\N
463129	1575	1996-07-11	VYDAJ	VYBER	800	21832	\N	\N	\N
463130	1575	1996-08-10	VYDAJ	VYBER	1400	22955	\N	\N	\N
463131	1575	1996-09-09	VYDAJ	VYBER	3700	22701	\N	\N	\N
463132	1575	1996-10-09	VYDAJ	VYBER	2200	20134	\N	\N	\N
463133	1575	1996-11-08	VYDAJ	VYBER	4900	17740	\N	\N	\N
463134	1575	1996-12-08	VYDAJ	VYBER	2400	17839	\N	\N	\N
463135	1575	1997-01-07	VYDAJ	VYBER	2100	17533	\N	\N	\N
463136	1575	1997-03-08	VYDAJ	VYBER	8600	13932	\N	\N	\N
463137	1575	1997-05-07	VYDAJ	VYBER	3800	15105	\N	\N	\N
463138	1575	1997-10-04	VYDAJ	VYBER	6000	14090	\N	\N	\N
463205	1576	1996-08-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
463208	1576	1996-12-23	PRIJEM	VKLAD	19852	93568	\N	\N	\N
463211	1576	1996-11-29	PRIJEM	VKLAD	48395	94474	\N	\N	\N
463214	1576	1996-09-30	PRIJEM	VKLAD	5614	107456	\N	\N	\N
463220	1576	1996-10-08	PRIJEM	VKLAD	49299	98555	\N	\N	\N
463221	1576	1996-09-08	PRIJEM	VKLAD	14414	67015	\N	\N	\N
463223	1576	1996-12-17	PRIJEM	VKLAD	12631	52442	\N	\N	\N
463225	1576	1996-09-06	PRIJEM	VKLAD	39601	52601	\N	\N	\N
463230	1576	1996-12-19	PRIJEM	VKLAD	40535	73716	\N	\N	\N
463232	1576	1996-09-17	PRIJEM	VKLAD	34535	101550	\N	\N	\N
463233	1576	1996-12-04	PRIJEM	VKLAD	5241	99931	\N	\N	\N
463234	1576	1997-12-30	PRIJEM	VKLAD	47077	69505	\N	\N	\N
463235	1576	1997-10-08	PRIJEM	VKLAD	14739	41690	\N	\N	\N
463236	1576	1997-09-09	PRIJEM	VKLAD	12909	17607	\N	\N	\N
463237	1576	1997-03-08	PRIJEM	VKLAD	11871	45573	\N	\N	\N
463238	1576	1997-02-06	PRIJEM	VKLAD	28959	50398	\N	\N	\N
463239	1576	1997-04-04	PRIJEM	VKLAD	38042	68114	\N	\N	\N
463240	1576	1998-01-14	PRIJEM	VKLAD	15082	45545	\N	\N	\N
463241	1576	1998-09-23	PRIJEM	VKLAD	30749	44003	\N	\N	\N
463242	1576	1998-07-19	PRIJEM	VKLAD	46426	57560	\N	\N	\N
463252	1576	1996-10-08	VYDAJ	PREVOD NA UCET	11816	86739	SIPO	WX	88001566
463253	1576	1996-11-08	VYDAJ	PREVOD NA UCET	11816	46079	SIPO	WX	88001566
463254	1576	1996-12-08	VYDAJ	PREVOD NA UCET	11816	53715	SIPO	WX	88001566
463255	1576	1997-01-08	VYDAJ	PREVOD NA UCET	11816	31929	SIPO	WX	88001566
463256	1576	1997-02-08	VYDAJ	PREVOD NA UCET	11816	38582	SIPO	WX	88001566
463257	1576	1997-03-08	VYDAJ	PREVOD NA UCET	11816	33757	SIPO	WX	88001566
463258	1576	1997-04-08	VYDAJ	PREVOD NA UCET	11816	56298	SIPO	WX	88001566
463259	1576	1997-05-08	VYDAJ	PREVOD NA UCET	11816	13038	SIPO	WX	88001566
463260	1576	1997-06-08	VYDAJ	PREVOD NA UCET	11816	6570	SIPO	WX	88001566
463261	1576	1997-07-08	VYDAJ	PREVOD NA UCET	11816	4058	SIPO	WX	88001566
463262	1576	1997-08-08	VYDAJ	PREVOD NA UCET	11816	2531	SIPO	WX	88001566
463263	1576	1997-09-08	VYDAJ	PREVOD NA UCET	11816	4698	SIPO	WX	88001566
463264	1576	1997-10-08	VYDAJ	PREVOD NA UCET	11816	29874	SIPO	WX	88001566
463265	1576	1997-11-08	VYDAJ	PREVOD NA UCET	11816	18549	SIPO	WX	88001566
463266	1576	1997-12-08	VYDAJ	PREVOD NA UCET	11816	10628	SIPO	WX	88001566
463267	1576	1998-01-08	VYDAJ	PREVOD NA UCET	11816	34963	SIPO	WX	88001566
463268	1576	1998-02-08	VYDAJ	PREVOD NA UCET	11816	13785	SIPO	WX	88001566
463269	1576	1998-03-08	VYDAJ	PREVOD NA UCET	11816	12045	SIPO	WX	88001566
463270	1576	1998-04-08	VYDAJ	PREVOD NA UCET	11816	11598	SIPO	WX	88001566
463271	1576	1998-05-08	VYDAJ	PREVOD NA UCET	11816	10248	SIPO	WX	88001566
463272	1576	1998-06-08	VYDAJ	PREVOD NA UCET	11816	8893	SIPO	WX	88001566
463273	1576	1998-07-08	VYDAJ	PREVOD NA UCET	11816	11134	SIPO	WX	88001566
463274	1576	1998-08-08	VYDAJ	PREVOD NA UCET	11816	30359	SIPO	WX	88001566
463275	1576	1998-09-08	VYDAJ	PREVOD NA UCET	11816	13254	SIPO	WX	88001566
463276	1576	1998-10-08	VYDAJ	PREVOD NA UCET	11816	26077	SIPO	WX	88001566
463277	1576	1998-11-08	VYDAJ	PREVOD NA UCET	11816	14878	SIPO	WX	88001566
463278	1576	1998-12-08	VYDAJ	PREVOD NA UCET	11816	13543	SIPO	WX	88001566
463281	1576	1996-12-18	VYBER	VYBER	19261	33181	\N	\N	\N
463282	1576	1996-12-15	VYBER	VYBER	13904	39811	\N	\N	\N
463285	1576	1997-05-04	VYBER	VYBER	14846	24854	\N	\N	\N
463287	1576	1998-01-08	VYBER	VYBER	18570	46779	\N	\N	\N
463291	1576	1996-12-26	VYDAJ	VYBER	6600	86968	\N	\N	\N
463292	1576	1997-12-03	VYDAJ	VYBER	2100	22444	\N	\N	\N
463300	1576	1997-01-12	VYDAJ	VYBER	2400	26229	\N	\N	\N
463301	1576	1997-01-24	VYDAJ	VYBER	7200	19029	\N	\N	\N
463304	1576	1997-01-05	VYDAJ	VYBER	8700	43745	\N	\N	\N
463305	1576	1997-01-11	VYDAJ	VYBER	3300	28629	\N	\N	\N
463306	1576	1998-01-09	VYDAJ	VYBER	4500	30463	\N	\N	\N
463307	1576	1998-01-30	VYDAJ	VYBER	7800	25445	\N	\N	\N
463308	1576	1998-01-24	VYDAJ	VYBER	5700	35645	\N	\N	\N
463309	1576	1998-01-14	VYDAJ	VYBER	4200	41345	\N	\N	\N
463310	1576	1998-01-26	VYDAJ	VYBER	3000	32645	\N	\N	\N
463311	1576	1998-01-01	VYDAJ	VYBER	4200	65349	\N	\N	\N
463313	1576	1996-12-27	VYDAJ	VYBER	6900	80068	\N	\N	\N
463322	1576	1998-12-07	VYDAJ	VYBER	2100	25359	\N	\N	\N
463323	1576	1998-08-19	VYDAJ	VYBER	9300	21059	\N	\N	\N
463336	1576	1996-10-31	VYDAJ	VYBER	30	87095	SLUZBY	\N	\N
463337	1576	1996-11-30	VYDAJ	VYBER	30	94690	SLUZBY	\N	\N
463338	1576	1996-12-31	VYDAJ	VYBER	30	80345	SLUZBY	\N	\N
463339	1576	1997-01-31	VYDAJ	VYBER	30	19139	SLUZBY	\N	\N
463340	1576	1997-02-28	VYDAJ	VYBER	30	38702	SLUZBY	\N	\N
463341	1576	1997-03-31	VYDAJ	VYBER	30	33872	SLUZBY	\N	\N
463342	1576	1997-04-30	VYDAJ	VYBER	30	56500	SLUZBY	\N	\N
463343	1576	1997-05-31	VYDAJ	VYBER	30	13086	SLUZBY	\N	\N
463344	1576	1997-06-30	VYDAJ	VYBER	30	6574	SLUZBY	\N	\N
463345	1576	1997-07-31	VYDAJ	VYBER	30	4047	SLUZBY	\N	\N
463346	1576	1997-08-31	VYDAJ	VYBER	30	16514	SLUZBY	\N	\N
463347	1576	1997-09-30	VYDAJ	VYBER	30	26951	SLUZBY	\N	\N
463348	1576	1997-10-31	VYDAJ	VYBER	30	30365	SLUZBY	\N	\N
463349	1576	1997-11-30	VYDAJ	VYBER	30	24544	SLUZBY	\N	\N
463350	1576	1997-12-31	VYDAJ	VYBER	30	69549	SLUZBY	\N	\N
463351	1576	1998-01-31	VYDAJ	VYBER	30	25601	SLUZBY	\N	\N
463352	1576	1998-02-28	VYDAJ	VYBER	30	23861	SLUZBY	\N	\N
463353	1576	1998-03-31	VYDAJ	VYBER	30	23414	SLUZBY	\N	\N
463354	1576	1998-04-30	VYDAJ	VYBER	30	22064	SLUZBY	\N	\N
463355	1576	1998-05-31	VYDAJ	VYBER	30	20709	SLUZBY	\N	\N
463356	1576	1998-06-30	VYDAJ	VYBER	30	22950	SLUZBY	\N	\N
463357	1576	1998-07-31	VYDAJ	VYBER	30	42175	SLUZBY	\N	\N
463358	1576	1998-08-31	VYDAJ	VYBER	30	25070	SLUZBY	\N	\N
463359	1576	1998-09-30	VYDAJ	VYBER	30	37893	SLUZBY	\N	\N
463360	1576	1998-10-31	VYDAJ	VYBER	30	26694	SLUZBY	\N	\N
463361	1576	1998-11-30	VYDAJ	VYBER	30	27459	SLUZBY	\N	\N
463362	1576	1996-09-05	PRIJEM	VKLAD	12000	13000	\N	\N	\N
463363	1576	1996-09-30	VYDAJ	VYBER	33300	74156	\N	\N	\N
463364	1576	1996-10-05	VYDAJ	VYBER	24900	49256	\N	\N	\N
463365	1576	1996-11-04	VYDAJ	VYBER	29200	57895	\N	\N	\N
463366	1576	1996-12-04	VYDAJ	VYBER	34400	65531	\N	\N	\N
463367	1576	1997-01-03	VYDAJ	VYBER	27900	52445	\N	\N	\N
463368	1576	1997-02-02	PRIJEM	VKLAD	2300	21439	\N	\N	\N
463369	1576	1997-03-04	VYDAJ	VYBER	5000	33702	\N	\N	\N
463370	1576	1997-04-03	VYDAJ	VYBER	3800	30072	\N	\N	\N
463371	1576	1997-05-03	VYDAJ	VYBER	16800	39700	\N	\N	\N
463372	1576	1997-06-02	PRIJEM	VKLAD	5300	18386	\N	\N	\N
463373	1576	1997-07-02	PRIJEM	VKLAD	9300	15874	\N	\N	\N
463374	1576	1997-08-01	PRIJEM	VKLAD	10300	14347	\N	\N	\N
463375	1576	1997-08-31	PRIJEM	VKLAD	14000	16531	\N	\N	\N
463376	1576	1997-09-30	PRIJEM	VKLAD	9300	26907	\N	\N	\N
463377	1576	1997-10-30	PRIJEM	VKLAD	400	30274	\N	\N	\N
463378	1576	1997-11-29	PRIJEM	VKLAD	5900	24449	\N	\N	\N
463379	1576	1997-12-29	PRIJEM	VKLAD	11800	22428	\N	\N	\N
463380	1576	1998-01-28	PRIJEM	VKLAD	600	33245	\N	\N	\N
463381	1576	1998-02-27	PRIJEM	VKLAD	10000	23785	\N	\N	\N
463382	1576	1998-03-29	PRIJEM	VKLAD	11300	23345	\N	\N	\N
463383	1576	1998-04-28	PRIJEM	VKLAD	10400	21998	\N	\N	\N
463384	1576	1998-05-28	PRIJEM	VKLAD	10400	20648	\N	\N	\N
463385	1576	1998-06-27	PRIJEM	VKLAD	14000	22893	\N	\N	\N
463386	1576	1998-07-27	VYDAJ	VYBER	15500	42060	\N	\N	\N
463387	1576	1998-08-26	PRIJEM	VKLAD	3900	24959	\N	\N	\N
463388	1576	1998-09-25	VYDAJ	VYBER	6200	37803	\N	\N	\N
463389	1576	1998-10-25	PRIJEM	VKLAD	500	26577	\N	\N	\N
463390	1576	1998-11-24	PRIJEM	VKLAD	12500	27378	\N	\N	\N
463419	1577	1996-10-16	PRIJEM	VKLAD	200	200	\N	\N	\N
463430	1577	1996-11-08	PRIJEM	PREVOD Z UCTU	3841	4041	\N	QR	30946123
463431	1577	1996-12-08	PRIJEM	PREVOD Z UCTU	3841	17713	\N	QR	30946123
463432	1577	1997-01-08	PRIJEM	PREVOD Z UCTU	3841	22522	\N	QR	30946123
463433	1577	1997-02-08	PRIJEM	PREVOD Z UCTU	3841	26350	\N	QR	30946123
463434	1577	1997-03-08	PRIJEM	PREVOD Z UCTU	3841	29692	\N	QR	30946123
463435	1577	1997-04-08	PRIJEM	PREVOD Z UCTU	3841	30269	\N	QR	30946123
463436	1577	1997-05-08	PRIJEM	PREVOD Z UCTU	3841	30848	\N	QR	30946123
463437	1577	1997-06-08	PRIJEM	PREVOD Z UCTU	3841	25172	\N	QR	30946123
463438	1577	1997-07-08	PRIJEM	PREVOD Z UCTU	3841	27692	\N	QR	30946123
463439	1577	1997-08-08	PRIJEM	PREVOD Z UCTU	3841	25554	\N	QR	30946123
463440	1577	1997-09-08	PRIJEM	PREVOD Z UCTU	3841	26113	\N	QR	30946123
463441	1577	1997-10-08	PRIJEM	PREVOD Z UCTU	3841	24881	\N	QR	30946123
463442	1577	1997-11-08	PRIJEM	PREVOD Z UCTU	3841	23491	\N	QR	30946123
463443	1577	1997-12-08	PRIJEM	PREVOD Z UCTU	3841	28755	\N	QR	30946123
463444	1577	1998-01-08	PRIJEM	PREVOD Z UCTU	3841	27472	\N	QR	30946123
463445	1577	1998-02-08	PRIJEM	PREVOD Z UCTU	3841	27296	\N	QR	30946123
463446	1577	1998-03-08	PRIJEM	PREVOD Z UCTU	3841	31673	\N	QR	30946123
463447	1577	1998-04-08	PRIJEM	PREVOD Z UCTU	3841	33762	\N	QR	30946123
463448	1577	1998-05-08	PRIJEM	PREVOD Z UCTU	3841	37537	\N	QR	30946123
463449	1577	1998-06-08	PRIJEM	PREVOD Z UCTU	3841	35927	\N	QR	30946123
463450	1577	1998-07-08	PRIJEM	PREVOD Z UCTU	3841	38925	\N	QR	30946123
463451	1577	1998-08-08	PRIJEM	PREVOD Z UCTU	3841	44645	\N	QR	30946123
463452	1577	1998-09-08	PRIJEM	PREVOD Z UCTU	3841	46490	\N	QR	30946123
463453	1577	1998-10-08	PRIJEM	PREVOD Z UCTU	3841	48937	\N	QR	30946123
463454	1577	1998-11-08	PRIJEM	PREVOD Z UCTU	3841	50195	\N	QR	30946123
463455	1577	1998-12-08	PRIJEM	PREVOD Z UCTU	3841	50428	\N	QR	30946123
463470	1577	1997-03-08	VYDAJ	PREVOD NA UCET	1282	28410	SIPO	KL	69888543
463471	1577	1997-04-08	VYDAJ	PREVOD NA UCET	1282	28987	SIPO	KL	69888543
463472	1577	1997-05-08	VYDAJ	PREVOD NA UCET	1282	29276	SIPO	KL	69888543
463473	1577	1997-06-08	VYDAJ	PREVOD NA UCET	1282	23890	SIPO	KL	69888543
463474	1577	1997-07-08	VYDAJ	PREVOD NA UCET	1282	26120	SIPO	KL	69888543
463475	1577	1997-08-08	VYDAJ	PREVOD NA UCET	1282	24272	SIPO	KL	69888543
463476	1577	1997-09-08	VYDAJ	PREVOD NA UCET	1282	24831	SIPO	KL	69888543
463477	1577	1997-10-08	VYDAJ	PREVOD NA UCET	1282	23309	SIPO	KL	69888543
463478	1577	1997-11-08	VYDAJ	PREVOD NA UCET	1282	21919	SIPO	KL	69888543
463479	1577	1997-12-08	VYDAJ	PREVOD NA UCET	1282	27183	SIPO	KL	69888543
463625	1577	1997-03-31	VYDAJ	VYBER	15	26428	SLUZBY	\N	\N
463480	1577	1998-01-08	VYDAJ	PREVOD NA UCET	1282	25900	SIPO	KL	69888543
463481	1577	1998-02-08	VYDAJ	PREVOD NA UCET	1282	29014	SIPO	KL	69888543
463482	1577	1998-03-08	VYDAJ	PREVOD NA UCET	1282	30101	SIPO	KL	69888543
463483	1577	1998-04-08	VYDAJ	PREVOD NA UCET	1282	32480	SIPO	KL	69888543
463484	1577	1998-05-08	VYDAJ	PREVOD NA UCET	1282	35965	SIPO	KL	69888543
463485	1577	1998-06-08	VYDAJ	PREVOD NA UCET	1282	37545	SIPO	KL	69888543
463486	1577	1998-07-08	VYDAJ	PREVOD NA UCET	1282	38343	SIPO	KL	69888543
463487	1577	1998-08-08	VYDAJ	PREVOD NA UCET	1282	43073	SIPO	KL	69888543
463488	1577	1998-09-08	VYDAJ	PREVOD NA UCET	1282	45208	SIPO	KL	69888543
463489	1577	1998-10-08	VYDAJ	PREVOD NA UCET	1282	47365	SIPO	KL	69888543
463490	1577	1998-11-08	VYDAJ	PREVOD NA UCET	1282	48623	SIPO	KL	69888543
463491	1577	1998-12-08	VYDAJ	PREVOD NA UCET	1282	49146	SIPO	KL	69888543
463506	1577	1997-03-09	VYDAJ	PREVOD NA UCET	988	27132	 	KL	58483004
463507	1577	1997-04-09	VYDAJ	PREVOD NA UCET	988	27709	 	KL	58483004
463508	1577	1997-05-09	VYDAJ	PREVOD NA UCET	988	28288	 	KL	58483004
463509	1577	1997-06-09	VYDAJ	PREVOD NA UCET	988	22612	 	KL	58483004
463510	1577	1997-07-09	VYDAJ	PREVOD NA UCET	988	25132	 	KL	58483004
463511	1577	1997-08-09	VYDAJ	PREVOD NA UCET	988	22994	 	KL	58483004
463512	1577	1997-09-09	VYDAJ	PREVOD NA UCET	988	23553	 	KL	58483004
463513	1577	1997-10-09	VYDAJ	PREVOD NA UCET	988	22321	 	KL	58483004
463514	1577	1997-11-09	VYDAJ	PREVOD NA UCET	988	20931	 	KL	58483004
463515	1577	1997-12-09	VYDAJ	PREVOD NA UCET	988	26195	 	KL	58483004
463516	1577	1998-01-09	VYDAJ	PREVOD NA UCET	988	29512	 	KL	58483004
463517	1577	1998-02-09	VYDAJ	PREVOD NA UCET	988	27736	 	KL	58483004
463518	1577	1998-03-09	VYDAJ	PREVOD NA UCET	988	29113	 	KL	58483004
463519	1577	1998-04-09	VYDAJ	PREVOD NA UCET	988	34502	 	KL	58483004
463520	1577	1998-05-09	VYDAJ	PREVOD NA UCET	988	37677	 	KL	58483004
463521	1577	1998-06-09	VYDAJ	PREVOD NA UCET	988	36267	 	KL	58483004
463522	1577	1998-07-09	VYDAJ	PREVOD NA UCET	988	37065	 	KL	58483004
463523	1577	1998-08-09	VYDAJ	PREVOD NA UCET	988	42085	 	KL	58483004
463524	1577	1998-09-09	VYDAJ	PREVOD NA UCET	988	43930	 	KL	58483004
463525	1577	1998-10-09	VYDAJ	PREVOD NA UCET	988	46377	 	KL	58483004
463526	1577	1998-11-09	VYDAJ	PREVOD NA UCET	988	47635	 	KL	58483004
463527	1577	1998-12-09	VYDAJ	PREVOD NA UCET	988	47868	 	KL	58483004
463542	1577	1997-03-08	VYDAJ	PREVOD NA UCET	290	28120	POJISTNE	QR	87333589
463543	1577	1997-04-08	VYDAJ	PREVOD NA UCET	290	28697	POJISTNE	QR	87333589
463544	1577	1997-05-08	VYDAJ	PREVOD NA UCET	290	30558	POJISTNE	QR	87333589
463545	1577	1997-06-08	VYDAJ	PREVOD NA UCET	290	23600	POJISTNE	QR	87333589
463546	1577	1997-07-08	VYDAJ	PREVOD NA UCET	290	27402	POJISTNE	QR	87333589
463547	1577	1997-08-08	VYDAJ	PREVOD NA UCET	290	23982	POJISTNE	QR	87333589
463548	1577	1997-09-08	VYDAJ	PREVOD NA UCET	290	24541	POJISTNE	QR	87333589
463549	1577	1997-10-08	VYDAJ	PREVOD NA UCET	290	24591	POJISTNE	QR	87333589
463550	1577	1997-11-08	VYDAJ	PREVOD NA UCET	290	23201	POJISTNE	QR	87333589
463551	1577	1997-12-08	VYDAJ	PREVOD NA UCET	290	28465	POJISTNE	QR	87333589
463552	1577	1998-01-08	VYDAJ	PREVOD NA UCET	290	27182	POJISTNE	QR	87333589
463553	1577	1998-02-08	VYDAJ	PREVOD NA UCET	290	28724	POJISTNE	QR	87333589
463554	1577	1998-03-08	VYDAJ	PREVOD NA UCET	290	31383	POJISTNE	QR	87333589
463555	1577	1998-04-08	VYDAJ	PREVOD NA UCET	290	32190	POJISTNE	QR	87333589
463556	1577	1998-05-08	VYDAJ	PREVOD NA UCET	290	37247	POJISTNE	QR	87333589
463557	1577	1998-06-08	VYDAJ	PREVOD NA UCET	290	37255	POJISTNE	QR	87333589
463558	1577	1998-07-08	VYDAJ	PREVOD NA UCET	290	38053	POJISTNE	QR	87333589
463559	1577	1998-08-08	VYDAJ	PREVOD NA UCET	290	44355	POJISTNE	QR	87333589
463560	1577	1998-09-08	VYDAJ	PREVOD NA UCET	290	44918	POJISTNE	QR	87333589
463561	1577	1998-10-08	VYDAJ	PREVOD NA UCET	290	48647	POJISTNE	QR	87333589
463562	1577	1998-11-08	VYDAJ	PREVOD NA UCET	290	49905	POJISTNE	QR	87333589
463563	1577	1998-12-08	VYDAJ	PREVOD NA UCET	290	48856	POJISTNE	QR	87333589
463565	1577	1997-06-06	VYDAJ	VYBER	7560	21331	\N	\N	\N
463566	1577	1998-06-02	VYDAJ	VYBER	5730	32086	\N	\N	\N
463569	1577	1998-01-23	VYDAJ	VYBER	690	24472	\N	\N	\N
463571	1577	1997-12-17	VYDAJ	VYBER	540	23545	\N	\N	\N
463572	1577	1998-12-30	VYDAJ	VYBER	210	47148	\N	\N	\N
463585	1577	1998-01-23	VYDAJ	VYBER	840	25162	\N	\N	\N
463586	1577	1998-01-24	VYDAJ	VYBER	330	23362	\N	\N	\N
463587	1577	1998-01-23	VYDAJ	VYBER	810	26002	\N	\N	\N
463588	1577	1998-01-18	VYDAJ	VYBER	870	26812	\N	\N	\N
463589	1577	1998-01-24	VYDAJ	VYBER	780	23692	\N	\N	\N
463590	1577	1998-01-13	VYDAJ	VYBER	390	29122	\N	\N	\N
463598	1577	1997-06-15	VYDAJ	VYBER	150	23762	\N	\N	\N
463599	1577	1997-09-15	VYDAJ	VYBER	480	22073	\N	\N	\N
463600	1577	1997-12-09	VYDAJ	VYBER	1410	24785	\N	\N	\N
463601	1577	1997-09-21	VYDAJ	VYBER	1110	20963	\N	\N	\N
463602	1577	1997-10-10	VYDAJ	VYBER	840	21481	\N	\N	\N
463603	1577	1998-05-05	VYDAJ	VYBER	930	33696	\N	\N	\N
463604	1577	1998-11-18	VYDAJ	VYBER	330	47305	\N	\N	\N
463605	1577	1998-06-20	VYDAJ	VYBER	750	35517	\N	\N	\N
463606	1577	1998-01-17	VYDAJ	VYBER	1440	27682	\N	\N	\N
463607	1577	1998-08-17	VYDAJ	VYBER	690	41395	\N	\N	\N
463608	1577	1998-07-01	VYDAJ	VYBER	570	35084	\N	\N	\N
463609	1577	1998-12-22	VYDAJ	VYBER	510	47358	\N	\N	\N
463626	1577	1997-04-30	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
463627	1577	1997-05-31	VYDAJ	VYBER	15	28891	SLUZBY	\N	\N
463628	1577	1997-06-30	VYDAJ	VYBER	15	23851	SLUZBY	\N	\N
463629	1577	1997-07-31	VYDAJ	VYBER	15	21713	SLUZBY	\N	\N
463630	1577	1997-08-31	VYDAJ	VYBER	15	22272	SLUZBY	\N	\N
463631	1577	1997-09-30	VYDAJ	VYBER	15	21040	SLUZBY	\N	\N
463632	1577	1997-10-31	VYDAJ	VYBER	15	19650	SLUZBY	\N	\N
463633	1577	1997-11-30	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
463634	1577	1997-12-31	VYDAJ	VYBER	15	23631	SLUZBY	\N	\N
463635	1577	1998-01-31	VYDAJ	VYBER	15	23455	SLUZBY	\N	\N
463636	1577	1998-02-28	VYDAJ	VYBER	15	27832	SLUZBY	\N	\N
463637	1577	1998-03-31	VYDAJ	VYBER	15	29921	SLUZBY	\N	\N
463638	1577	1998-04-30	VYDAJ	VYBER	15	34626	SLUZBY	\N	\N
463639	1577	1998-05-31	VYDAJ	VYBER	15	37816	SLUZBY	\N	\N
463640	1577	1998-06-30	VYDAJ	VYBER	15	35654	SLUZBY	\N	\N
463641	1577	1998-07-31	VYDAJ	VYBER	15	37204	SLUZBY	\N	\N
463642	1577	1998-08-31	VYDAJ	VYBER	15	41549	SLUZBY	\N	\N
463643	1577	1998-09-30	VYDAJ	VYBER	15	44096	SLUZBY	\N	\N
463644	1577	1998-10-31	VYDAJ	VYBER	15	46554	SLUZBY	\N	\N
463645	1577	1998-11-30	VYDAJ	VYBER	15	47487	SLUZBY	\N	\N
463646	1577	1996-11-15	PRIJEM	VKLAD	9800	13841	\N	\N	\N
463647	1577	1996-12-15	PRIJEM	VKLAD	900	18613	\N	\N	\N
463648	1577	1997-01-14	VYDAJ	VYBER	100	22422	\N	\N	\N
463649	1577	1997-02-13	VYDAJ	VYBER	600	25750	\N	\N	\N
463650	1577	1997-03-15	VYDAJ	VYBER	800	26332	\N	\N	\N
463651	1577	1997-04-14	VYDAJ	VYBER	800	26909	\N	\N	\N
463652	1577	1997-05-14	PRIJEM	VKLAD	500	28788	\N	\N	\N
463653	1577	1997-06-13	PRIJEM	VKLAD	1300	23912	\N	\N	\N
463654	1577	1997-07-13	VYDAJ	VYBER	3500	21632	\N	\N	\N
463655	1577	1997-08-12	VYDAJ	VYBER	800	22194	\N	\N	\N
463656	1577	1997-09-11	VYDAJ	VYBER	1000	22553	\N	\N	\N
463657	1577	1997-10-11	VYDAJ	VYBER	1900	19581	\N	\N	\N
463658	1577	1997-11-10	PRIJEM	VKLAD	3900	24831	\N	\N	\N
463659	1577	1997-12-10	VYDAJ	VYBER	700	24085	\N	\N	\N
463660	1577	1998-01-09	PRIJEM	VKLAD	4600	30500	\N	\N	\N
463661	1577	1998-02-08	PRIJEM	VKLAD	3000	30296	\N	\N	\N
463662	1577	1998-03-10	PRIJEM	VKLAD	700	29813	\N	\N	\N
463663	1577	1998-04-09	PRIJEM	VKLAD	3300	35490	\N	\N	\N
463664	1577	1998-05-09	PRIJEM	VKLAD	2700	38665	\N	\N	\N
463665	1577	1998-06-08	PRIJEM	VKLAD	2900	38827	\N	\N	\N
463666	1577	1998-07-08	PRIJEM	VKLAD	700	39625	\N	\N	\N
463667	1577	1998-08-07	PRIJEM	VKLAD	3600	40804	\N	\N	\N
463668	1577	1998-09-06	PRIJEM	VKLAD	1100	42649	\N	\N	\N
463669	1577	1998-10-06	PRIJEM	VKLAD	1000	45096	\N	\N	\N
463670	1577	1998-11-05	VYDAJ	VYBER	200	46354	\N	\N	\N
463671	1577	1998-12-05	VYDAJ	VYBER	900	46587	\N	\N	\N
463698	1578	1994-12-01	PRIJEM	VKLAD	600	600	\N	\N	\N
463710	1578	1994-12-08	PRIJEM	PREVOD Z UCTU	4128	4728	DUCHOD	QR	93567275
463711	1578	1995-01-08	PRIJEM	PREVOD Z UCTU	4128	8871	DUCHOD	QR	93567275
463712	1578	1995-02-08	PRIJEM	PREVOD Z UCTU	4128	13019	DUCHOD	QR	93567275
463713	1578	1995-03-08	PRIJEM	PREVOD Z UCTU	4128	17167	DUCHOD	QR	93567275
463714	1578	1995-04-08	PRIJEM	PREVOD Z UCTU	4128	21314	DUCHOD	QR	93567275
463715	1578	1995-05-08	PRIJEM	PREVOD Z UCTU	4128	22595	DUCHOD	QR	93567275
463716	1578	1995-06-08	PRIJEM	PREVOD Z UCTU	4128	24976	DUCHOD	QR	93567275
463717	1578	1995-07-08	PRIJEM	PREVOD Z UCTU	4128	27366	DUCHOD	QR	93567275
463718	1578	1995-08-08	PRIJEM	PREVOD Z UCTU	4128	28243	DUCHOD	QR	93567275
463719	1578	1995-09-08	PRIJEM	PREVOD Z UCTU	4128	28087	DUCHOD	QR	93567275
463720	1578	1995-10-08	PRIJEM	PREVOD Z UCTU	4128	26807	DUCHOD	QR	93567275
463721	1578	1995-11-08	PRIJEM	PREVOD Z UCTU	4128	26164	DUCHOD	QR	93567275
463722	1578	1995-12-08	PRIJEM	PREVOD Z UCTU	4128	27211	DUCHOD	QR	93567275
463723	1578	1996-01-08	PRIJEM	PREVOD Z UCTU	4128	29610	DUCHOD	QR	93567275
463724	1578	1996-02-08	PRIJEM	PREVOD Z UCTU	4128	20798	DUCHOD	QR	93567275
463725	1578	1996-03-08	PRIJEM	PREVOD Z UCTU	4128	23171	DUCHOD	QR	93567275
463726	1578	1996-04-08	PRIJEM	PREVOD Z UCTU	4128	16980	DUCHOD	QR	93567275
463727	1578	1996-05-08	PRIJEM	PREVOD Z UCTU	4128	19337	DUCHOD	QR	93567275
463728	1578	1996-06-08	PRIJEM	PREVOD Z UCTU	4128	21703	DUCHOD	QR	93567275
463729	1578	1996-07-08	PRIJEM	PREVOD Z UCTU	4128	24080	DUCHOD	QR	93567275
463730	1578	1996-08-08	PRIJEM	PREVOD Z UCTU	4128	26466	DUCHOD	QR	93567275
463731	1578	1996-09-08	PRIJEM	PREVOD Z UCTU	4128	28862	DUCHOD	QR	93567275
463732	1578	1996-10-08	PRIJEM	PREVOD Z UCTU	4128	31269	DUCHOD	QR	93567275
463733	1578	1996-11-08	PRIJEM	PREVOD Z UCTU	4128	33685	DUCHOD	QR	93567275
463734	1578	1996-12-08	PRIJEM	PREVOD Z UCTU	4128	36111	DUCHOD	QR	93567275
463735	1578	1997-01-08	PRIJEM	PREVOD Z UCTU	4128	34186	DUCHOD	QR	93567275
463736	1578	1997-02-08	PRIJEM	PREVOD Z UCTU	4128	31089	DUCHOD	QR	93567275
463737	1578	1997-03-08	PRIJEM	PREVOD Z UCTU	4128	33504	DUCHOD	QR	93567275
463738	1578	1997-04-08	PRIJEM	PREVOD Z UCTU	4128	35929	DUCHOD	QR	93567275
463739	1578	1997-05-08	PRIJEM	PREVOD Z UCTU	4128	38365	DUCHOD	QR	93567275
463740	1578	1997-06-08	PRIJEM	PREVOD Z UCTU	4128	37930	DUCHOD	QR	93567275
463741	1578	1997-07-08	PRIJEM	PREVOD Z UCTU	4128	39895	DUCHOD	QR	93567275
463742	1578	1997-08-08	PRIJEM	PREVOD Z UCTU	4128	42346	DUCHOD	QR	93567275
463850	1578	1998-01-19	VYDAJ	VYBER	1040	38957	\N	\N	\N
463743	1578	1997-09-08	PRIJEM	PREVOD Z UCTU	4128	38068	DUCHOD	QR	93567275
463744	1578	1997-10-08	PRIJEM	PREVOD Z UCTU	4128	40512	DUCHOD	QR	93567275
463745	1578	1997-11-08	PRIJEM	PREVOD Z UCTU	4128	42966	DUCHOD	QR	93567275
463746	1578	1997-12-08	PRIJEM	PREVOD Z UCTU	4128	42544	DUCHOD	QR	93567275
463747	1578	1998-01-08	PRIJEM	PREVOD Z UCTU	4128	44557	DUCHOD	QR	93567275
463748	1578	1998-02-08	PRIJEM	PREVOD Z UCTU	4128	39574	DUCHOD	QR	93567275
463749	1578	1998-03-08	PRIJEM	PREVOD Z UCTU	4128	42024	DUCHOD	QR	93567275
463750	1578	1998-04-08	PRIJEM	PREVOD Z UCTU	4128	44484	DUCHOD	QR	93567275
463751	1578	1998-05-08	PRIJEM	PREVOD Z UCTU	4128	42467	DUCHOD	QR	93567275
463752	1578	1998-06-08	PRIJEM	PREVOD Z UCTU	4128	44209	DUCHOD	QR	93567275
463753	1578	1998-07-08	PRIJEM	PREVOD Z UCTU	4128	46678	DUCHOD	QR	93567275
463754	1578	1998-08-08	PRIJEM	PREVOD Z UCTU	4128	45709	DUCHOD	QR	93567275
463755	1578	1998-09-08	PRIJEM	PREVOD Z UCTU	4128	47704	DUCHOD	QR	93567275
463756	1578	1998-10-08	PRIJEM	PREVOD Z UCTU	4128	49147	DUCHOD	QR	93567275
463757	1578	1998-11-08	PRIJEM	PREVOD Z UCTU	4128	49554	DUCHOD	QR	93567275
463758	1578	1998-12-08	PRIJEM	PREVOD Z UCTU	4128	52045	DUCHOD	QR	93567275
463775	1578	1995-05-05	VYDAJ	PREVOD NA UCET	1825	18467	SIPO	UV	44909232
463776	1578	1995-06-05	VYDAJ	PREVOD NA UCET	1825	20848	SIPO	UV	44909232
463777	1578	1995-07-05	VYDAJ	PREVOD NA UCET	1825	23238	SIPO	UV	44909232
463778	1578	1995-08-05	VYDAJ	PREVOD NA UCET	1825	24115	SIPO	UV	44909232
463779	1578	1995-09-05	VYDAJ	PREVOD NA UCET	1825	23959	SIPO	UV	44909232
463780	1578	1995-10-05	VYDAJ	PREVOD NA UCET	1825	22679	SIPO	UV	44909232
463781	1578	1995-11-05	VYDAJ	PREVOD NA UCET	1825	22036	SIPO	UV	44909232
463782	1578	1995-12-05	VYDAJ	PREVOD NA UCET	1825	23083	SIPO	UV	44909232
463783	1578	1996-01-05	VYDAJ	PREVOD NA UCET	1825	25482	SIPO	UV	44909232
463784	1578	1996-02-05	VYDAJ	PREVOD NA UCET	1825	16670	SIPO	UV	44909232
463785	1578	1996-03-05	VYDAJ	PREVOD NA UCET	1825	19043	SIPO	UV	44909232
463786	1578	1996-04-05	VYDAJ	PREVOD NA UCET	1825	12852	SIPO	UV	44909232
463787	1578	1996-05-05	VYDAJ	PREVOD NA UCET	1825	15209	SIPO	UV	44909232
463788	1578	1996-06-05	VYDAJ	PREVOD NA UCET	1825	17575	SIPO	UV	44909232
463789	1578	1996-07-05	VYDAJ	PREVOD NA UCET	1825	19952	SIPO	UV	44909232
463790	1578	1996-08-05	VYDAJ	PREVOD NA UCET	1825	22338	SIPO	UV	44909232
463791	1578	1996-09-05	VYDAJ	PREVOD NA UCET	1825	24734	SIPO	UV	44909232
463792	1578	1996-10-05	VYDAJ	PREVOD NA UCET	1825	27141	SIPO	UV	44909232
463793	1578	1996-11-05	VYDAJ	PREVOD NA UCET	1825	29557	SIPO	UV	44909232
463794	1578	1996-12-05	VYDAJ	PREVOD NA UCET	1825	31983	SIPO	UV	44909232
463795	1578	1997-01-05	VYDAJ	PREVOD NA UCET	1825	33818	SIPO	UV	44909232
463796	1578	1997-02-05	VYDAJ	PREVOD NA UCET	1825	26961	SIPO	UV	44909232
463797	1578	1997-03-05	VYDAJ	PREVOD NA UCET	1825	29376	SIPO	UV	44909232
463798	1578	1997-04-05	VYDAJ	PREVOD NA UCET	1825	31801	SIPO	UV	44909232
463799	1578	1997-05-05	VYDAJ	PREVOD NA UCET	1825	34237	SIPO	UV	44909232
463800	1578	1997-06-05	VYDAJ	PREVOD NA UCET	1825	33802	SIPO	UV	44909232
463801	1578	1997-07-05	VYDAJ	PREVOD NA UCET	1825	35767	SIPO	UV	44909232
463802	1578	1997-08-05	VYDAJ	PREVOD NA UCET	1825	38218	SIPO	UV	44909232
463803	1578	1997-09-05	VYDAJ	PREVOD NA UCET	1825	33940	SIPO	UV	44909232
463804	1578	1997-10-05	VYDAJ	PREVOD NA UCET	1825	36384	SIPO	UV	44909232
463805	1578	1997-11-05	VYDAJ	PREVOD NA UCET	1825	38838	SIPO	UV	44909232
463806	1578	1997-12-05	VYDAJ	PREVOD NA UCET	1825	38416	SIPO	UV	44909232
463807	1578	1998-01-05	VYDAJ	PREVOD NA UCET	1825	40429	SIPO	UV	44909232
463808	1578	1998-02-05	VYDAJ	PREVOD NA UCET	1825	35446	SIPO	UV	44909232
463809	1578	1998-03-05	VYDAJ	PREVOD NA UCET	1825	37896	SIPO	UV	44909232
463810	1578	1998-04-05	VYDAJ	PREVOD NA UCET	1825	40356	SIPO	UV	44909232
463811	1578	1998-05-05	VYDAJ	PREVOD NA UCET	1825	38339	SIPO	UV	44909232
463812	1578	1998-06-05	VYDAJ	PREVOD NA UCET	1825	40081	SIPO	UV	44909232
463813	1578	1998-07-05	VYDAJ	PREVOD NA UCET	1825	42550	SIPO	UV	44909232
463814	1578	1998-08-05	VYDAJ	PREVOD NA UCET	1825	41581	SIPO	UV	44909232
463815	1578	1998-09-05	VYDAJ	PREVOD NA UCET	1825	43576	SIPO	UV	44909232
463816	1578	1998-10-05	VYDAJ	PREVOD NA UCET	1825	45019	SIPO	UV	44909232
463817	1578	1998-11-05	VYDAJ	PREVOD NA UCET	1825	45426	SIPO	UV	44909232
463818	1578	1998-12-05	VYDAJ	PREVOD NA UCET	1825	47917	SIPO	UV	44909232
463820	1578	1995-12-02	VYDAJ	VYBER	1350	24908	\N	\N	\N
463821	1578	1996-12-10	VYDAJ	VYBER	600	35511	\N	\N	\N
463822	1578	1997-12-08	VYDAJ	VYBER	450	42094	\N	\N	\N
463823	1578	1998-12-16	VYDAJ	VYBER	1100	50945	\N	\N	\N
463836	1578	1996-01-16	VYDAJ	VYBER	1040	24730	\N	\N	\N
463837	1578	1996-01-17	VYDAJ	VYBER	1520	23210	\N	\N	\N
463838	1578	1996-01-18	VYDAJ	VYBER	1840	21370	\N	\N	\N
463839	1578	1996-01-16	VYDAJ	VYBER	1440	25770	\N	\N	\N
463840	1578	1996-01-11	VYDAJ	VYBER	1440	28170	\N	\N	\N
463841	1578	1996-01-13	VYDAJ	VYBER	960	27210	\N	\N	\N
463842	1578	1997-01-25	VYDAJ	VYBER	1360	30746	\N	\N	\N
463843	1578	1997-01-23	VYDAJ	VYBER	560	32106	\N	\N	\N
463844	1578	1997-01-26	VYDAJ	VYBER	2080	28666	\N	\N	\N
463845	1578	1997-01-05	VYDAJ	VYBER	1680	30058	\N	\N	\N
463846	1578	1997-01-10	VYDAJ	VYBER	1520	32666	\N	\N	\N
463847	1578	1997-01-05	VYDAJ	VYBER	2080	31738	\N	\N	\N
463848	1578	1998-01-13	VYDAJ	VYBER	1840	42077	\N	\N	\N
463849	1578	1998-01-13	VYDAJ	VYBER	800	39997	\N	\N	\N
463851	1578	1998-01-26	VYDAJ	VYBER	1840	37117	\N	\N	\N
463852	1578	1998-01-13	VYDAJ	VYBER	1280	40797	\N	\N	\N
463853	1578	1998-01-09	VYDAJ	VYBER	640	43917	\N	\N	\N
463861	1578	1995-09-02	VYDAJ	VYBER	2560	25784	\N	\N	\N
463863	1578	1995-07-15	VYDAJ	VYBER	1520	25846	\N	\N	\N
463864	1578	1995-11-04	VYDAJ	VYBER	3040	23861	\N	\N	\N
463865	1578	1995-04-25	VYDAJ	VYBER	1040	20274	\N	\N	\N
463866	1578	1995-09-23	VYDAJ	VYBER	3680	24407	\N	\N	\N
463867	1578	1996-01-24	VYDAJ	VYBER	2960	18410	\N	\N	\N
463868	1578	1996-03-18	VYDAJ	VYBER	2800	20371	\N	\N	\N
463869	1578	1996-03-23	VYDAJ	VYBER	2640	14611	\N	\N	\N
463870	1578	1996-03-20	VYDAJ	VYBER	3120	17251	\N	\N	\N
463871	1578	1997-08-10	VYDAJ	VYBER	3520	35626	\N	\N	\N
463872	1578	1997-06-03	VYDAJ	VYBER	2880	35627	\N	\N	\N
463873	1578	1997-08-09	VYDAJ	VYBER	3200	39146	\N	\N	\N
463874	1578	1997-11-15	VYDAJ	VYBER	2880	40086	\N	\N	\N
463875	1578	1997-07-04	VYDAJ	VYBER	480	37592	\N	\N	\N
463876	1578	1998-10-01	VYDAJ	VYBER	1040	46844	\N	\N	\N
463877	1578	1998-10-25	VYDAJ	VYBER	2080	47067	\N	\N	\N
463878	1578	1998-05-03	VYDAJ	VYBER	1440	40164	\N	\N	\N
463879	1578	1998-07-17	VYDAJ	VYBER	1440	43238	\N	\N	\N
463880	1578	1998-09-01	VYDAJ	VYBER	480	45401	\N	\N	\N
463881	1578	1998-07-12	VYDAJ	VYBER	2000	44678	\N	\N	\N
463882	1578	1998-06-01	VYDAJ	VYBER	720	41906	\N	\N	\N
463883	1578	1998-04-14	VYDAJ	VYBER	3040	41444	\N	\N	\N
463900	1578	1995-04-30	VYDAJ	VYBER	15	20292	SLUZBY	\N	\N
463901	1578	1995-05-31	VYDAJ	VYBER	15	22673	SLUZBY	\N	\N
463902	1578	1995-06-30	VYDAJ	VYBER	15	25063	SLUZBY	\N	\N
463903	1578	1995-07-31	VYDAJ	VYBER	15	25940	SLUZBY	\N	\N
463904	1578	1995-08-31	VYDAJ	VYBER	15	28344	SLUZBY	\N	\N
463905	1578	1995-09-30	VYDAJ	VYBER	15	24504	SLUZBY	\N	\N
463906	1578	1995-10-31	VYDAJ	VYBER	15	26901	SLUZBY	\N	\N
463907	1578	1995-11-30	VYDAJ	VYBER	15	26258	SLUZBY	\N	\N
463908	1578	1995-12-31	VYDAJ	VYBER	15	27307	SLUZBY	\N	\N
463909	1578	1996-01-31	VYDAJ	VYBER	15	18495	SLUZBY	\N	\N
463910	1578	1996-02-29	VYDAJ	VYBER	15	20868	SLUZBY	\N	\N
463911	1578	1996-03-31	VYDAJ	VYBER	15	14677	SLUZBY	\N	\N
463912	1578	1996-04-30	VYDAJ	VYBER	15	17034	SLUZBY	\N	\N
463913	1578	1996-05-31	VYDAJ	VYBER	15	19400	SLUZBY	\N	\N
463914	1578	1996-06-30	VYDAJ	VYBER	15	21777	SLUZBY	\N	\N
463915	1578	1996-07-31	VYDAJ	VYBER	15	24163	SLUZBY	\N	\N
463916	1578	1996-08-31	VYDAJ	VYBER	15	26559	SLUZBY	\N	\N
463917	1578	1996-09-30	VYDAJ	VYBER	15	28966	SLUZBY	\N	\N
463918	1578	1996-10-31	VYDAJ	VYBER	15	31382	SLUZBY	\N	\N
463919	1578	1996-11-30	VYDAJ	VYBER	15	33808	SLUZBY	\N	\N
463920	1578	1996-12-31	VYDAJ	VYBER	15	35643	SLUZBY	\N	\N
463921	1578	1997-01-31	VYDAJ	VYBER	15	28786	SLUZBY	\N	\N
463922	1578	1997-02-28	VYDAJ	VYBER	15	31201	SLUZBY	\N	\N
463923	1578	1997-03-31	VYDAJ	VYBER	15	33626	SLUZBY	\N	\N
463924	1578	1997-04-30	VYDAJ	VYBER	15	36062	SLUZBY	\N	\N
463925	1578	1997-05-31	VYDAJ	VYBER	15	38507	SLUZBY	\N	\N
463926	1578	1997-06-30	VYDAJ	VYBER	15	38072	SLUZBY	\N	\N
463927	1578	1997-07-31	VYDAJ	VYBER	15	40043	SLUZBY	\N	\N
463928	1578	1997-08-31	VYDAJ	VYBER	15	35765	SLUZBY	\N	\N
463929	1578	1997-09-30	VYDAJ	VYBER	15	38209	SLUZBY	\N	\N
463930	1578	1997-10-31	VYDAJ	VYBER	15	40663	SLUZBY	\N	\N
463931	1578	1997-11-30	VYDAJ	VYBER	15	40241	SLUZBY	\N	\N
463932	1578	1997-12-31	VYDAJ	VYBER	15	42254	SLUZBY	\N	\N
463933	1578	1998-01-31	VYDAJ	VYBER	15	37271	SLUZBY	\N	\N
463934	1578	1998-02-28	VYDAJ	VYBER	15	39721	SLUZBY	\N	\N
463935	1578	1998-03-31	VYDAJ	VYBER	15	42181	SLUZBY	\N	\N
463936	1578	1998-04-30	VYDAJ	VYBER	15	41604	SLUZBY	\N	\N
463937	1578	1998-05-31	VYDAJ	VYBER	15	42626	SLUZBY	\N	\N
463938	1578	1998-06-30	VYDAJ	VYBER	15	44375	SLUZBY	\N	\N
463939	1578	1998-07-31	VYDAJ	VYBER	15	43406	SLUZBY	\N	\N
463940	1578	1998-08-31	VYDAJ	VYBER	15	45881	SLUZBY	\N	\N
463941	1578	1998-09-30	VYDAJ	VYBER	15	47884	SLUZBY	\N	\N
463942	1578	1998-10-31	VYDAJ	VYBER	15	47251	SLUZBY	\N	\N
463943	1578	1998-11-30	VYDAJ	VYBER	15	49742	SLUZBY	\N	\N
463993	1579	1994-08-09	PRIJEM	VKLAD	600	600	\N	\N	\N
464001	1579	1994-08-13	PRIJEM	VKLAD	11623	12223	\N	\N	\N
464002	1579	1994-09-13	PRIJEM	VKLAD	11623	32477	\N	\N	\N
464003	1579	1994-10-13	PRIJEM	VKLAD	11623	38302	\N	\N	\N
464004	1579	1994-11-13	PRIJEM	VKLAD	11623	44675	\N	\N	\N
464005	1579	1994-12-13	PRIJEM	VKLAD	17434	55085	\N	\N	\N
464006	1579	1995-01-13	PRIJEM	VKLAD	11623	39545	\N	\N	\N
464007	1579	1995-02-13	PRIJEM	VKLAD	11623	37117	\N	\N	\N
464008	1579	1995-03-13	PRIJEM	VKLAD	11623	39292	\N	\N	\N
464009	1579	1995-04-13	PRIJEM	VKLAD	11623	37962	\N	\N	\N
464010	1579	1995-05-13	PRIJEM	VKLAD	11623	43846	\N	\N	\N
464011	1579	1995-06-13	PRIJEM	VKLAD	17434	53661	\N	\N	\N
464012	1579	1995-07-13	PRIJEM	VKLAD	11623	42956	\N	\N	\N
464013	1579	1995-08-13	PRIJEM	VKLAD	11623	42075	\N	\N	\N
464014	1579	1995-09-13	PRIJEM	VKLAD	11623	44073	\N	\N	\N
464015	1579	1995-10-13	PRIJEM	VKLAD	11623	43884	\N	\N	\N
464016	1579	1995-11-13	PRIJEM	VKLAD	11623	47197	\N	\N	\N
464017	1579	1995-12-13	PRIJEM	VKLAD	17434	49829	\N	\N	\N
464018	1579	1996-01-13	PRIJEM	VKLAD	11623	38336	\N	\N	\N
464019	1579	1996-02-13	PRIJEM	VKLAD	11623	33591	\N	\N	\N
464020	1579	1996-03-13	PRIJEM	VKLAD	11623	40147	\N	\N	\N
464021	1579	1996-04-13	PRIJEM	VKLAD	11623	42172	\N	\N	\N
464022	1579	1996-05-13	PRIJEM	VKLAD	11623	43665	\N	\N	\N
464023	1579	1996-06-13	PRIJEM	VKLAD	17434	53386	\N	\N	\N
464024	1579	1996-07-13	PRIJEM	VKLAD	11623	53013	\N	\N	\N
464025	1579	1996-08-13	PRIJEM	VKLAD	11623	47583	\N	\N	\N
464026	1579	1996-09-13	PRIJEM	VKLAD	11623	50297	\N	\N	\N
464027	1579	1996-10-13	PRIJEM	VKLAD	11623	50118	\N	\N	\N
464028	1579	1996-11-13	PRIJEM	VKLAD	11623	52140	\N	\N	\N
464029	1579	1996-12-13	PRIJEM	VKLAD	17434	51277	\N	\N	\N
464030	1579	1997-01-13	PRIJEM	VKLAD	11623	44591	\N	\N	\N
464031	1579	1997-02-13	PRIJEM	VKLAD	11623	36582	\N	\N	\N
464032	1579	1997-03-13	PRIJEM	VKLAD	11623	42285	\N	\N	\N
464033	1579	1997-04-13	PRIJEM	VKLAD	11623	48676	\N	\N	\N
464034	1579	1997-05-13	PRIJEM	VKLAD	11623	52291	\N	\N	\N
464035	1579	1997-06-13	PRIJEM	VKLAD	17434	60932	\N	\N	\N
464036	1579	1997-07-13	PRIJEM	VKLAD	11623	55681	\N	\N	\N
464037	1579	1997-08-13	PRIJEM	VKLAD	11623	53806	\N	\N	\N
464038	1579	1997-09-13	PRIJEM	VKLAD	11623	54744	\N	\N	\N
464039	1579	1997-10-13	PRIJEM	VKLAD	11623	57080	\N	\N	\N
464040	1579	1997-11-13	PRIJEM	VKLAD	11623	53243	\N	\N	\N
464041	1579	1997-12-13	PRIJEM	VKLAD	17434	59586	\N	\N	\N
464042	1579	1998-01-13	PRIJEM	VKLAD	11623	34769	\N	\N	\N
464043	1579	1998-02-13	PRIJEM	VKLAD	11623	43544	\N	\N	\N
464044	1579	1998-03-13	PRIJEM	VKLAD	11623	51138	\N	\N	\N
464045	1579	1998-04-13	PRIJEM	VKLAD	11623	56061	\N	\N	\N
464046	1579	1998-05-13	PRIJEM	VKLAD	11623	64811	\N	\N	\N
464047	1579	1998-06-13	PRIJEM	VKLAD	17434	74902	\N	\N	\N
464048	1579	1998-07-13	PRIJEM	VKLAD	11623	35066	\N	\N	\N
464049	1579	1998-08-13	PRIJEM	VKLAD	11623	52443	\N	\N	\N
464050	1579	1998-09-13	PRIJEM	VKLAD	11623	63081	\N	\N	\N
464051	1579	1998-10-13	PRIJEM	VKLAD	11623	68752	\N	\N	\N
464052	1579	1998-11-13	PRIJEM	VKLAD	11623	73145	\N	\N	\N
464053	1579	1998-12-13	PRIJEM	VKLAD	17434	79360	\N	\N	\N
464066	1579	1995-01-12	VYDAJ	PREVOD NA UCET	3377	27922	SIPO	CD	79833501
464067	1579	1995-02-12	VYDAJ	PREVOD NA UCET	3377	25494	SIPO	CD	79833501
464068	1579	1995-03-12	VYDAJ	PREVOD NA UCET	3377	27669	SIPO	CD	79833501
464069	1579	1995-04-12	VYDAJ	PREVOD NA UCET	3377	26339	SIPO	CD	79833501
464070	1579	1995-05-12	VYDAJ	PREVOD NA UCET	3377	32223	SIPO	CD	79833501
464071	1579	1995-06-12	VYDAJ	PREVOD NA UCET	3377	36227	SIPO	CD	79833501
464072	1579	1995-07-12	VYDAJ	PREVOD NA UCET	3377	31333	SIPO	CD	79833501
464073	1579	1995-08-12	VYDAJ	PREVOD NA UCET	3377	30452	SIPO	CD	79833501
464074	1579	1995-09-12	VYDAJ	PREVOD NA UCET	3377	32450	SIPO	CD	79833501
464075	1579	1995-10-12	VYDAJ	PREVOD NA UCET	3377	32261	SIPO	CD	79833501
464076	1579	1995-11-12	VYDAJ	PREVOD NA UCET	3377	35574	SIPO	CD	79833501
464077	1579	1995-12-12	VYDAJ	PREVOD NA UCET	3377	32395	SIPO	CD	79833501
464078	1579	1996-01-12	VYDAJ	PREVOD NA UCET	3377	26713	SIPO	CD	79833501
464079	1579	1996-02-12	VYDAJ	PREVOD NA UCET	3377	21968	SIPO	CD	79833501
464080	1579	1996-03-12	VYDAJ	PREVOD NA UCET	3377	28524	SIPO	CD	79833501
464081	1579	1996-04-12	VYDAJ	PREVOD NA UCET	3377	30549	SIPO	CD	79833501
464082	1579	1996-05-12	VYDAJ	PREVOD NA UCET	3377	32042	SIPO	CD	79833501
464083	1579	1996-06-12	VYDAJ	PREVOD NA UCET	3377	35952	SIPO	CD	79833501
464084	1579	1996-07-12	VYDAJ	PREVOD NA UCET	3377	41390	SIPO	CD	79833501
464085	1579	1996-08-12	VYDAJ	PREVOD NA UCET	3377	35960	SIPO	CD	79833501
464086	1579	1996-09-12	VYDAJ	PREVOD NA UCET	3377	38674	SIPO	CD	79833501
464087	1579	1996-10-12	VYDAJ	PREVOD NA UCET	3377	38495	SIPO	CD	79833501
464088	1579	1996-11-12	VYDAJ	PREVOD NA UCET	3377	40517	SIPO	CD	79833501
464089	1579	1996-12-12	VYDAJ	PREVOD NA UCET	3377	33843	SIPO	CD	79833501
464090	1579	1997-01-12	VYDAJ	PREVOD NA UCET	3377	32968	SIPO	CD	79833501
464091	1579	1997-02-12	VYDAJ	PREVOD NA UCET	3377	24959	SIPO	CD	79833501
464092	1579	1997-03-12	VYDAJ	PREVOD NA UCET	3377	30662	SIPO	CD	79833501
464093	1579	1997-04-12	VYDAJ	PREVOD NA UCET	3377	37053	SIPO	CD	79833501
464094	1579	1997-05-12	VYDAJ	PREVOD NA UCET	3377	40668	SIPO	CD	79833501
464095	1579	1997-06-12	VYDAJ	PREVOD NA UCET	3377	43498	SIPO	CD	79833501
464096	1579	1997-07-12	VYDAJ	PREVOD NA UCET	3377	44058	SIPO	CD	79833501
464097	1579	1997-08-12	VYDAJ	PREVOD NA UCET	3377	42183	SIPO	CD	79833501
464098	1579	1997-09-12	VYDAJ	PREVOD NA UCET	3377	43121	SIPO	CD	79833501
464099	1579	1997-10-12	VYDAJ	PREVOD NA UCET	3377	45457	SIPO	CD	79833501
464100	1579	1997-11-12	VYDAJ	PREVOD NA UCET	3377	41620	SIPO	CD	79833501
464101	1579	1997-12-12	VYDAJ	PREVOD NA UCET	3377	46352	SIPO	CD	79833501
464102	1579	1998-01-12	VYDAJ	PREVOD NA UCET	3377	23146	SIPO	CD	79833501
464103	1579	1998-02-12	VYDAJ	PREVOD NA UCET	3377	31921	SIPO	CD	79833501
464104	1579	1998-03-12	VYDAJ	PREVOD NA UCET	3377	39515	SIPO	CD	79833501
464105	1579	1998-04-12	VYDAJ	PREVOD NA UCET	3377	44438	SIPO	CD	79833501
464106	1579	1998-05-12	VYDAJ	PREVOD NA UCET	3377	53188	SIPO	CD	79833501
464107	1579	1998-06-12	VYDAJ	PREVOD NA UCET	3377	57468	SIPO	CD	79833501
464108	1579	1998-07-12	VYDAJ	PREVOD NA UCET	3377	23443	SIPO	CD	79833501
464109	1579	1998-08-12	VYDAJ	PREVOD NA UCET	3377	40820	SIPO	CD	79833501
464110	1579	1998-09-12	VYDAJ	PREVOD NA UCET	3377	51458	SIPO	CD	79833501
464111	1579	1998-10-12	VYDAJ	PREVOD NA UCET	3377	57129	SIPO	CD	79833501
464112	1579	1998-11-12	VYDAJ	PREVOD NA UCET	3377	61522	SIPO	CD	79833501
464113	1579	1998-12-12	VYDAJ	PREVOD NA UCET	3377	61926	SIPO	CD	79833501
464115	1579	1995-06-20	VYDAJ	VYBER	12800	40861	\N	\N	\N
464118	1579	1998-06-24	VYDAJ	VYBER	40800	26602	\N	\N	\N
464120	1579	1995-01-28	VYDAJ	VYBER	1760	35265	\N	\N	\N
464121	1579	1996-01-28	VYDAJ	VYBER	10880	21816	\N	\N	\N
464122	1579	1997-01-28	VYDAJ	VYBER	11200	28191	\N	\N	\N
464123	1579	1998-01-06	VYDAJ	VYBER	15360	29723	\N	\N	\N
464124	1579	1994-12-24	VYDAJ	VYBER	3680	51405	\N	\N	\N
464125	1579	1995-12-08	VYDAJ	VYBER	1600	35772	\N	\N	\N
464126	1579	1996-12-04	VYDAJ	VYBER KARTOU	1900	37220	\N	\N	0
464127	1579	1997-12-22	VYDAJ	VYBER KARTOU	2700	48086	\N	\N	0
464128	1579	1998-12-06	VYDAJ	VYBER KARTOU	1100	65303	\N	\N	0
464135	1579	1995-01-20	VYDAJ	VYBER	1320	38225	\N	\N	\N
464136	1579	1995-01-25	VYDAJ	VYBER	1200	37025	\N	\N	\N
464137	1579	1995-01-08	VYDAJ	VYBER	3240	34179	\N	\N	\N
464138	1579	1995-01-09	VYDAJ	VYBER	2880	31299	\N	\N	\N
464139	1579	1995-01-02	VYDAJ	VYBER	1920	49679	\N	\N	\N
464140	1579	1995-01-03	VYDAJ	VYBER	960	48719	\N	\N	\N
464141	1579	1996-01-03	VYDAJ	VYBER	2400	35970	\N	\N	\N
464142	1579	1996-01-13	VYDAJ	VYBER	840	37496	\N	\N	\N
464143	1579	1996-01-17	VYDAJ	VYBER	1320	33296	\N	\N	\N
464144	1579	1996-01-15	VYDAJ	VYBER	2880	34616	\N	\N	\N
464145	1579	1996-01-22	VYDAJ	VYBER	600	32696	\N	\N	\N
464146	1579	1996-01-03	VYDAJ	VYBER	840	38370	\N	\N	\N
464147	1579	1997-01-03	VYDAJ	VYBER KARTOU	2800	38545	\N	\N	0
464148	1579	1997-01-11	VYDAJ	VYBER KARTOU	2200	36345	\N	\N	0
464149	1579	1997-01-17	VYDAJ	VYBER KARTOU	2000	41991	\N	\N	0
464150	1579	1997-01-17	VYDAJ	VYBER KARTOU	1100	40891	\N	\N	0
464151	1579	1997-01-02	VYDAJ	VYBER KARTOU	2500	41345	\N	\N	0
464152	1579	1997-01-14	VYDAJ	VYBER KARTOU	600	43991	\N	\N	0
464153	1579	1998-01-14	VYDAJ	VYBER KARTOU	1400	31469	\N	\N	0
464154	1579	1998-01-20	VYDAJ	VYBER KARTOU	1300	35169	\N	\N	0
464155	1579	1998-01-15	VYDAJ	VYBER KARTOU	3000	27469	\N	\N	0
464156	1579	1998-01-13	VYDAJ	VYBER KARTOU	1900	32869	\N	\N	0
464157	1579	1998-01-09	VYDAJ	VYBER KARTOU	3200	26523	\N	\N	0
464158	1579	1998-01-15	VYDAJ	VYBER KARTOU	1000	30469	\N	\N	0
464164	1579	1995-03-30	VYDAJ	VYBER	2880	36412	\N	\N	\N
464165	1579	1995-08-05	VYDAJ	VYBER	1680	33829	\N	\N	\N
464166	1579	1995-02-02	VYDAJ	VYBER	3840	31571	\N	\N	\N
464167	1579	1995-04-10	VYDAJ	VYBER	840	29716	\N	\N	\N
464168	1579	1995-06-26	VYDAJ	VYBER	4320	36541	\N	\N	\N
464169	1579	1996-12-21	VYDAJ	VYBER KARTOU	3400	47877	\N	\N	0
464170	1579	1996-03-28	VYDAJ	VYBER	3360	36787	\N	\N	\N
464171	1579	1996-08-04	VYDAJ	VYBER KARTOU	1400	39337	\N	\N	0
464172	1579	1996-07-20	VYDAJ	VYBER	2760	50253	\N	\N	\N
464173	1579	1996-12-04	VYDAJ	VYBER KARTOU	2300	39120	\N	\N	0
464174	1579	1996-01-03	VYDAJ	VYBER	5880	30090	\N	\N	\N
464175	1579	1997-12-12	VYDAJ	VYBER	4200	42152	\N	\N	\N
464176	1579	1997-12-16	VYDAJ	VYBER KARTOU	2800	56786	\N	\N	0
464177	1579	1997-01-24	VYDAJ	VYBER KARTOU	1400	39491	\N	\N	0
464178	1579	1997-02-19	VYDAJ	VYBER	4560	32022	\N	\N	\N
464179	1579	1997-07-02	VYDAJ	VYBER KARTOU	2400	47435	\N	\N	0
464180	1579	1997-10-31	VYDAJ	VYBER	4680	44997	\N	\N	\N
464181	1579	1997-08-06	VYDAJ	VYBER	4320	45560	\N	\N	\N
464182	1579	1998-05-08	VYDAJ	VYBER KARTOU	1000	56565	\N	\N	0
464183	1579	1998-01-03	VYDAJ	VYBER KARTOU	3200	45083	\N	\N	0
464196	1579	1994-12-31	VYDAJ	VYBER	15	51599	SLUZBY	\N	\N
464197	1579	1995-01-31	VYDAJ	VYBER	15	35411	SLUZBY	\N	\N
464198	1579	1995-02-28	VYDAJ	VYBER	15	37246	SLUZBY	\N	\N
464199	1579	1995-03-31	VYDAJ	VYBER	15	36556	SLUZBY	\N	\N
464200	1579	1995-04-30	VYDAJ	VYBER	15	38100	SLUZBY	\N	\N
464201	1579	1995-05-31	VYDAJ	VYBER	15	44004	SLUZBY	\N	\N
464202	1579	1995-06-30	VYDAJ	VYBER	15	36710	SLUZBY	\N	\N
464203	1579	1995-07-31	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
464204	1579	1995-08-31	VYDAJ	VYBER	15	42227	SLUZBY	\N	\N
464205	1579	1995-09-30	VYDAJ	VYBER	15	44238	SLUZBY	\N	\N
464206	1579	1995-10-31	VYDAJ	VYBER	15	44051	SLUZBY	\N	\N
464207	1579	1995-11-30	VYDAJ	VYBER	15	47372	SLUZBY	\N	\N
464208	1579	1995-12-31	VYDAJ	VYBER	15	50010	SLUZBY	\N	\N
464209	1579	1996-01-31	VYDAJ	VYBER	15	25345	SLUZBY	\N	\N
464210	1579	1996-02-29	VYDAJ	VYBER	15	33701	SLUZBY	\N	\N
464211	1579	1996-03-31	VYDAJ	VYBER	15	36926	SLUZBY	\N	\N
464212	1579	1996-04-30	VYDAJ	VYBER	15	42319	SLUZBY	\N	\N
464213	1579	1996-05-31	VYDAJ	VYBER	15	39329	SLUZBY	\N	\N
464214	1579	1996-06-30	VYDAJ	VYBER	15	44767	SLUZBY	\N	\N
464215	1579	1996-07-31	VYDAJ	VYBER	15	40737	SLUZBY	\N	\N
464216	1579	1996-08-31	VYDAJ	VYBER	15	42051	SLUZBY	\N	\N
464217	1579	1996-09-30	VYDAJ	VYBER	15	41872	SLUZBY	\N	\N
464218	1579	1996-10-31	VYDAJ	VYBER	15	43894	SLUZBY	\N	\N
464219	1579	1996-11-30	VYDAJ	VYBER	15	41420	SLUZBY	\N	\N
464220	1579	1996-12-31	VYDAJ	VYBER	15	43845	SLUZBY	\N	\N
464221	1579	1997-01-31	VYDAJ	VYBER	15	28336	SLUZBY	\N	\N
464222	1579	1997-02-28	VYDAJ	VYBER	15	34039	SLUZBY	\N	\N
464223	1579	1997-03-31	VYDAJ	VYBER	15	40430	SLUZBY	\N	\N
464224	1579	1997-04-30	VYDAJ	VYBER	15	44045	SLUZBY	\N	\N
464225	1579	1997-05-31	VYDAJ	VYBER	15	46875	SLUZBY	\N	\N
464226	1579	1997-06-30	VYDAJ	VYBER	15	49835	SLUZBY	\N	\N
464227	1579	1997-07-31	VYDAJ	VYBER	15	49880	SLUZBY	\N	\N
464228	1579	1997-08-31	VYDAJ	VYBER	15	46498	SLUZBY	\N	\N
464229	1579	1997-09-30	VYDAJ	VYBER	15	48834	SLUZBY	\N	\N
464230	1579	1997-10-31	VYDAJ	VYBER	15	49677	SLUZBY	\N	\N
464231	1579	1997-11-30	VYDAJ	VYBER	15	49729	SLUZBY	\N	\N
464232	1579	1997-12-31	VYDAJ	VYBER	15	48283	SLUZBY	\N	\N
464233	1579	1998-01-31	VYDAJ	VYBER	15	35298	SLUZBY	\N	\N
464234	1579	1998-02-28	VYDAJ	VYBER	15	42892	SLUZBY	\N	\N
464235	1579	1998-03-31	VYDAJ	VYBER	15	47815	SLUZBY	\N	\N
464236	1579	1998-04-30	VYDAJ	VYBER	15	57565	SLUZBY	\N	\N
464237	1579	1998-05-31	VYDAJ	VYBER	15	60845	SLUZBY	\N	\N
464238	1579	1998-06-30	VYDAJ	VYBER	15	26820	SLUZBY	\N	\N
464239	1579	1998-07-31	VYDAJ	VYBER	15	44197	SLUZBY	\N	\N
464240	1579	1998-08-31	VYDAJ	VYBER	15	54835	SLUZBY	\N	\N
464241	1579	1998-09-30	VYDAJ	VYBER	15	60506	SLUZBY	\N	\N
464242	1579	1998-10-31	VYDAJ	VYBER	15	64899	SLUZBY	\N	\N
464243	1579	1998-11-30	VYDAJ	VYBER	15	66403	SLUZBY	\N	\N
464244	1579	1994-09-08	PRIJEM	VKLAD	8600	20854	\N	\N	\N
464245	1579	1994-10-08	VYDAJ	VYBER	5900	26679	\N	\N	\N
464246	1579	1994-11-07	VYDAJ	VYBER	5400	33052	\N	\N	\N
464247	1579	1994-12-07	VYDAJ	VYBER	7200	37651	\N	\N	\N
464248	1579	1995-01-06	VYDAJ	VYBER	11300	37419	\N	\N	\N
464249	1579	1995-02-05	VYDAJ	VYBER	2700	28871	\N	\N	\N
464250	1579	1995-03-07	VYDAJ	VYBER	6200	31046	\N	\N	\N
464251	1579	1995-04-06	VYDAJ	VYBER	6000	30556	\N	\N	\N
464252	1579	1995-05-06	VYDAJ	VYBER	2500	35600	\N	\N	\N
464253	1579	1995-06-05	VYDAJ	VYBER	4400	39604	\N	\N	\N
464254	1579	1995-07-05	VYDAJ	VYBER	2000	34710	\N	\N	\N
464255	1579	1995-08-04	VYDAJ	VYBER	7600	35509	\N	\N	\N
464256	1579	1995-09-03	VYDAJ	VYBER	6400	35827	\N	\N	\N
464257	1579	1995-10-03	VYDAJ	VYBER	8600	35638	\N	\N	\N
464258	1579	1995-11-02	VYDAJ	VYBER	5100	38951	\N	\N	\N
464259	1579	1995-12-02	VYDAJ	VYBER	10000	37372	\N	\N	\N
464260	1579	1996-01-01	VYDAJ	VYBER	10800	39210	\N	\N	\N
464261	1579	1996-01-31	PRIJEM	VKLAD	3400	25216	\N	\N	\N
464262	1579	1996-03-01	VYDAJ	VYBER	1800	31901	\N	\N	\N
464263	1579	1996-03-31	VYDAJ	VYBER	3000	33926	\N	\N	\N
464264	1579	1996-04-30	VYDAJ	VYBER	6900	35419	\N	\N	\N
464265	1579	1996-05-30	VYDAJ	VYBER	4500	39165	\N	\N	\N
464266	1579	1996-06-29	VYDAJ	VYBER	8800	44586	\N	\N	\N
464267	1579	1996-07-29	VYDAJ	VYBER	9700	40553	\N	\N	\N
464268	1579	1996-08-28	VYDAJ	VYBER	5700	41883	\N	\N	\N
464269	1579	1996-09-27	VYDAJ	VYBER	8600	41697	\N	\N	\N
464270	1579	1996-10-27	VYDAJ	VYBER	6400	43718	\N	\N	\N
464271	1579	1996-11-26	VYDAJ	VYBER	10900	41240	\N	\N	\N
464272	1579	1996-12-26	VYDAJ	VYBER	4200	43677	\N	\N	\N
464273	1579	1997-01-25	VYDAJ	VYBER KARTOU	100	39391	\N	\N	0
464274	1579	1997-02-24	PRIJEM	VKLAD	1900	33922	\N	\N	\N
464275	1579	1997-03-26	VYDAJ	VYBER KARTOU	2000	40285	\N	\N	0
464276	1579	1997-04-25	VYDAJ	VYBER	4800	43876	\N	\N	\N
464277	1579	1997-05-25	VYDAJ	VYBER	5600	46691	\N	\N	\N
464278	1579	1997-06-24	VYDAJ	VYBER	11300	49632	\N	\N	\N
464279	1579	1997-07-24	VYDAJ	VYBER	6000	49681	\N	\N	\N
464280	1579	1997-08-23	VYDAJ	VYBER	7500	46306	\N	\N	\N
464281	1579	1997-09-22	VYDAJ	VYBER	6100	48644	\N	\N	\N
464282	1579	1997-10-22	VYDAJ	VYBER	7600	49480	\N	\N	\N
464283	1579	1997-11-21	VYDAJ	VYBER KARTOU	3700	49543	\N	\N	0
464284	1579	1997-12-21	VYDAJ	VYBER	6000	50786	\N	\N	\N
464285	1579	1998-01-20	PRIJEM	VKLAD	9000	36469	\N	\N	\N
464286	1579	1998-02-19	VYDAJ	VYBER KARTOU	800	42744	\N	\N	0
464287	1579	1998-03-21	VYDAJ	VYBER KARTOU	3500	47638	\N	\N	0
464288	1579	1998-04-20	PRIJEM	VKLAD	1300	57361	\N	\N	\N
464289	1579	1998-05-20	VYDAJ	VYBER	4200	60611	\N	\N	\N
464290	1579	1998-06-19	VYDAJ	VYBER	7500	67402	\N	\N	\N
464291	1579	1998-07-19	PRIJEM	VKLAD	9000	44066	\N	\N	\N
464292	1579	1998-08-18	PRIJEM	VKLAD	2200	54643	\N	\N	\N
464293	1579	1998-09-17	VYDAJ	VYBER KARTOU	2800	60281	\N	\N	0
464294	1579	1998-10-17	VYDAJ	VYBER	4100	64652	\N	\N	\N
464295	1579	1998-11-16	VYDAJ	VYBER	7000	66145	\N	\N	\N
464349	1580	1996-01-08	PRIJEM	VKLAD	400	400	\N	\N	\N
464350	1580	1996-10-25	PRIJEM	VKLAD	47811	120214	\N	\N	\N
464351	1580	1996-04-04	PRIJEM	VKLAD	34573	71032	\N	\N	\N
464352	1580	1996-02-19	PRIJEM	VKLAD	40462	51662	\N	\N	\N
464353	1580	1996-10-03	PRIJEM	VKLAD	26282	52925	\N	\N	\N
464354	1580	1996-05-31	PRIJEM	VKLAD	36535	133553	\N	\N	\N
464355	1580	1996-05-15	PRIJEM	VKLAD	42114	80151	\N	\N	\N
464356	1580	1996-09-25	PRIJEM	VKLAD	9589	26571	\N	\N	\N
464357	1580	1996-05-26	PRIJEM	VKLAD	29721	134157	\N	\N	\N
464358	1580	1996-06-09	PRIJEM	VKLAD	34125	68181	\N	\N	\N
464359	1580	1996-08-02	PRIJEM	VKLAD	35237	62656	\N	\N	\N
464360	1580	1996-10-12	PRIJEM	VKLAD	35978	77903	\N	\N	\N
464361	1580	1996-11-10	PRIJEM	VKLAD	26793	62696	\N	\N	\N
464362	1580	1996-10-29	PRIJEM	VKLAD	48954	121768	\N	\N	\N
464363	1580	1996-05-18	PRIJEM	VKLAD	44285	124436	\N	\N	\N
464364	1580	1997-11-23	PRIJEM	VKLAD	30779	67743	\N	\N	\N
464365	1580	1997-04-07	PRIJEM	VKLAD	39966	62475	\N	\N	\N
464366	1580	1997-08-13	PRIJEM	VKLAD	20884	73683	\N	\N	\N
464367	1580	1997-08-05	PRIJEM	VKLAD	35743	57799	\N	\N	\N
464368	1580	1997-03-05	PRIJEM	VKLAD	26404	54327	\N	\N	\N
464369	1580	1997-12-24	PRIJEM	VKLAD	27179	87485	\N	\N	\N
464370	1580	1997-02-10	PRIJEM	VKLAD	10078	30018	\N	\N	\N
464371	1580	1997-06-22	PRIJEM	VKLAD	22032	34117	\N	\N	\N
464372	1580	1997-12-18	PRIJEM	VKLAD	24862	60306	\N	\N	\N
464373	1580	1997-12-24	PRIJEM	VKLAD	30039	117524	\N	\N	\N
464374	1580	1997-01-29	PRIJEM	VKLAD	6510	42439	\N	\N	\N
464375	1580	1997-09-29	PRIJEM	VKLAD	41118	109346	\N	\N	\N
464376	1580	1997-09-07	PRIJEM	VKLAD	27404	78128	\N	\N	\N
464377	1580	1997-01-07	PRIJEM	VKLAD	14820	43569	\N	\N	\N
464378	1580	1997-04-01	PRIJEM	VKLAD	21628	114709	\N	\N	\N
464379	1580	1997-01-15	PRIJEM	VKLAD	16032	71100	\N	\N	\N
464380	1580	1997-01-08	PRIJEM	VKLAD	16299	59868	\N	\N	\N
464381	1580	1997-03-24	PRIJEM	VKLAD	46933	92860	\N	\N	\N
464382	1580	1998-06-13	PRIJEM	VKLAD	44671	84656	\N	\N	\N
464383	1580	1998-05-21	PRIJEM	VKLAD	33264	54039	\N	\N	\N
464384	1580	1998-11-07	PRIJEM	VKLAD	23728	49575	\N	\N	\N
464385	1580	1998-12-11	PRIJEM	VKLAD	33581	66798	\N	\N	\N
464386	1580	1998-02-09	PRIJEM	VKLAD	15876	46532	\N	\N	\N
464387	1580	1998-03-01	PRIJEM	VKLAD	46606	82574	\N	\N	\N
464393	1580	1996-06-15	VYDAJ	VYBER	8600	59581	\N	\N	0
464394	1580	1996-06-29	VYDAJ	VYBER	8200	39539	\N	\N	0
464395	1580	1996-08-13	VYDAJ	VYBER	7800	35952	\N	\N	0
464396	1580	1996-09-12	VYDAJ	VYBER	7000	16982	\N	\N	0
464397	1580	1996-10-13	VYDAJ	VYBER	5500	72403	\N	\N	0
464398	1580	1996-11-16	VYDAJ	VYBER	6300	56396	\N	\N	0
464399	1580	1996-12-10	VYDAJ	VYBER	11300	27630	\N	\N	0
464400	1580	1997-01-28	VYDAJ	VYBER	7200	35929	\N	\N	0
464401	1580	1997-02-04	VYDAJ	VYBER	10600	19940	\N	\N	0
464402	1580	1997-03-07	VYDAJ	VYBER	8400	45927	\N	\N	0
464403	1580	1997-04-04	VYDAJ	VYBER	5700	22509	\N	\N	0
464404	1580	1997-05-03	VYDAJ	VYBER	7400	30892	\N	\N	0
464405	1580	1997-06-10	VYDAJ	VYBER	6800	12085	\N	\N	0
464406	1580	1997-07-03	VYDAJ	VYBER	8500	19984	\N	\N	0
464407	1580	1997-08-05	VYDAJ	VYBER	5000	52799	\N	\N	0
464408	1580	1997-09-08	VYDAJ	VYBER	9900	68228	\N	\N	0
464409	1580	1997-10-14	VYDAJ	VYBER	6800	61404	\N	\N	0
464410	1580	1997-11-21	VYDAJ	VYBER	10100	36964	\N	\N	0
464411	1580	1997-12-12	VYDAJ	PREVOD NA UCET	8094	35444	UVER	UV	11339313
464412	1580	1998-01-12	VYDAJ	PREVOD NA UCET	8094	27138	UVER	UV	11339313
464413	1580	1998-02-12	VYDAJ	PREVOD NA UCET	8094	38438	UVER	UV	11339313
464414	1580	1998-03-12	VYDAJ	PREVOD NA UCET	8094	74480	UVER	UV	11339313
464415	1580	1998-04-12	VYDAJ	PREVOD NA UCET	8094	33310	UVER	UV	11339313
464416	1580	1998-05-12	VYDAJ	PREVOD NA UCET	8094	20775	UVER	UV	11339313
464417	1580	1998-06-12	VYDAJ	PREVOD NA UCET	8094	39985	UVER	UV	11339313
464418	1580	1998-07-12	VYDAJ	PREVOD NA UCET	8094	42793	UVER	UV	11339313
464419	1580	1998-08-12	VYDAJ	PREVOD NA UCET	8094	31085	UVER	UV	11339313
464420	1580	1998-09-12	VYDAJ	PREVOD NA UCET	8094	23629	UVER	UV	11339313
464421	1580	1998-10-12	VYDAJ	PREVOD NA UCET	8094	20847	UVER	UV	11339313
464422	1580	1998-11-12	VYDAJ	PREVOD NA UCET	8094	30605	UVER	UV	11339313
464423	1580	1998-12-12	VYDAJ	PREVOD NA UCET	8094	58704	UVER	UV	11339313
464424	1580	1996-06-08	VYBER	VYBER	16582	34056	\N	\N	\N
464427	1580	1996-06-26	VYBER	VYBER	11842	47739	\N	\N	\N
464429	1580	1996-08-02	VYBER	VYBER	4404	58252	\N	\N	\N
464431	1580	1997-01-24	VYBER	VYBER	10571	60529	\N	\N	\N
464433	1580	1997-05-11	VYBER	VYBER	15685	15207	\N	\N	\N
464437	1580	1998-05-04	VYBER	VYBER	9007	28869	\N	\N	\N
464441	1580	1998-11-08	VYBER	VYBER	10876	38699	\N	\N	\N
464442	1580	1998-12-20	VYBER	VYBER	8315	50389	\N	\N	\N
464443	1580	1998-12-22	VYBER	VYBER	18182	32207	\N	\N	\N
464445	1580	1996-06-05	VYDAJ	VYBER	12000	71938	\N	\N	\N
464447	1580	1998-06-19	VYDAJ	VYBER	20400	64256	\N	\N	\N
464452	1580	1997-12-01	VYDAJ	VYBER	6000	43538	\N	\N	\N
464460	1580	1997-01-29	VYDAJ	VYBER	3900	38539	\N	\N	\N
464461	1580	1997-01-27	VYDAJ	VYBER	1500	50629	\N	\N	\N
464462	1580	1997-01-08	VYDAJ	VYBER	1800	58068	\N	\N	\N
464463	1580	1997-01-25	VYDAJ	VYBER	8400	52129	\N	\N	\N
464464	1580	1997-01-08	VYDAJ	VYBER	3000	55068	\N	\N	\N
464465	1580	1997-01-27	VYDAJ	VYBER	7500	43129	\N	\N	\N
464468	1580	1998-01-08	VYDAJ	VYBER KARTOU	3300	35232	\N	\N	0
464470	1580	1998-01-01	VYDAJ	VYBER	6000	43032	\N	\N	\N
464471	1580	1998-01-04	VYDAJ	VYBER	4500	38532	\N	\N	\N
464472	1580	1996-11-09	VYDAJ	VYBER	13800	35903	\N	\N	\N
464473	1580	1996-07-18	VYDAJ	VYBER	2700	27292	\N	\N	\N
464474	1580	1996-12-02	VYDAJ	VYBER	6000	50630	\N	\N	\N
464476	1580	1996-08-19	VYDAJ	VYBER	13500	22452	\N	\N	\N
464479	1580	1997-04-02	VYDAJ	VYBER	12000	28209	\N	\N	\N
464480	1580	1997-04-29	VYDAJ	VYBER	1500	60975	\N	\N	\N
464484	1580	1998-03-28	VYDAJ	VYBER	12600	61880	\N	\N	\N
464485	1580	1998-04-12	VYDAJ	VYBER	8400	41404	\N	\N	\N
464491	1580	1996-05-31	VYDAJ	VYBER	15	100038	SLUZBY	\N	\N
464492	1580	1996-06-30	VYDAJ	VYBER	15	39792	SLUZBY	\N	\N
464493	1580	1996-07-31	VYDAJ	VYBER	15	27419	SLUZBY	\N	\N
464494	1580	1996-08-31	VYDAJ	VYBER	15	22582	SLUZBY	\N	\N
464495	1580	1996-09-30	VYDAJ	VYBER	15	26643	SLUZBY	\N	\N
464496	1580	1996-10-31	VYDAJ	VYBER	15	66503	SLUZBY	\N	\N
464497	1580	1996-11-30	VYDAJ	VYBER	15	56630	SLUZBY	\N	\N
464498	1580	1996-12-31	VYDAJ	VYBER	15	27749	SLUZBY	\N	\N
464499	1580	1997-01-31	VYDAJ	VYBER	15	38740	SLUZBY	\N	\N
464500	1580	1997-02-28	VYDAJ	VYBER	15	30123	SLUZBY	\N	\N
464501	1580	1997-03-31	VYDAJ	VYBER	15	93081	SLUZBY	\N	\N
464502	1580	1997-04-30	VYDAJ	VYBER	15	61192	SLUZBY	\N	\N
464503	1580	1997-05-31	VYDAJ	VYBER	15	15285	SLUZBY	\N	\N
464504	1580	1997-06-30	VYDAJ	VYBER	15	34184	SLUZBY	\N	\N
464505	1580	1997-07-31	VYDAJ	VYBER	15	22056	SLUZBY	\N	\N
464506	1580	1997-08-31	VYDAJ	VYBER	15	50724	SLUZBY	\N	\N
464507	1580	1997-09-30	VYDAJ	VYBER	15	68204	SLUZBY	\N	\N
464508	1580	1997-10-31	VYDAJ	VYBER	15	47064	SLUZBY	\N	\N
464509	1580	1997-11-30	VYDAJ	VYBER	15	49538	SLUZBY	\N	\N
464510	1580	1997-12-31	VYDAJ	VYBER	15	49032	SLUZBY	\N	\N
464511	1580	1998-01-31	VYDAJ	VYBER	15	30656	SLUZBY	\N	\N
464512	1580	1998-02-28	VYDAJ	VYBER	15	35968	SLUZBY	\N	\N
464513	1580	1998-03-31	VYDAJ	VYBER	15	49804	SLUZBY	\N	\N
464514	1580	1998-04-30	VYDAJ	VYBER	15	37876	SLUZBY	\N	\N
464515	1580	1998-05-31	VYDAJ	VYBER	15	48079	SLUZBY	\N	\N
464516	1580	1998-06-30	VYDAJ	VYBER	15	50888	SLUZBY	\N	\N
464517	1580	1998-07-31	VYDAJ	VYBER	15	39179	SLUZBY	\N	\N
464518	1580	1998-08-31	VYDAJ	VYBER	15	31723	SLUZBY	\N	\N
464519	1580	1998-09-30	VYDAJ	VYBER	15	28941	SLUZBY	\N	\N
464520	1580	1998-10-31	VYDAJ	VYBER	15	25847	SLUZBY	\N	\N
464521	1580	1998-11-30	VYDAJ	VYBER	15	33217	SLUZBY	\N	\N
464522	1580	1996-02-07	PRIJEM	VKLAD	10800	11200	\N	\N	\N
464523	1580	1996-03-08	VYDAJ	VYBER	15500	36244	\N	\N	\N
464524	1580	1996-04-07	VYDAJ	VYBER	22500	48532	\N	\N	\N
464525	1580	1996-05-07	VYDAJ	VYBER	10700	38037	\N	\N	\N
464526	1580	1996-05-18	VYDAJ	VYBER	20000	104436	\N	\N	\N
464527	1580	1996-05-26	VYDAJ	VYBER	37500	96657	\N	\N	\N
464528	1580	1996-05-31	VYDAJ	VYBER	16100	83938	\N	\N	\N
464529	1580	1996-05-31	VYDAJ	VYBER	33500	100053	\N	\N	\N
464530	1580	1996-06-06	VYDAJ	VYBER	21300	50638	\N	\N	\N
464531	1580	1996-07-06	VYDAJ	VYBER	9800	29992	\N	\N	\N
464532	1580	1996-08-05	VYDAJ	VYBER	14500	43752	\N	\N	\N
464533	1580	1996-09-04	PRIJEM	VKLAD	1400	23982	\N	\N	\N
464534	1580	1996-10-04	VYDAJ	VYBER	11000	41925	\N	\N	\N
464535	1580	1996-10-25	VYDAJ	VYBER	47400	72814	\N	\N	\N
464536	1580	1996-10-29	VYDAJ	VYBER	55500	66268	\N	\N	\N
464537	1580	1996-11-03	VYDAJ	VYBER	16800	49703	\N	\N	\N
464538	1580	1996-12-03	VYDAJ	VYBER	11700	38930	\N	\N	\N
464539	1580	1997-01-02	PRIJEM	VKLAD	1000	28749	\N	\N	\N
464540	1580	1997-02-01	VYDAJ	VYBER	8200	30540	\N	\N	\N
464541	1580	1997-03-03	VYDAJ	VYBER	2200	27923	\N	\N	\N
464542	1580	1997-04-01	VYDAJ	VYBER	63100	51609	\N	\N	\N
464543	1580	1997-04-02	VYDAJ	VYBER	11400	40209	\N	\N	\N
464544	1580	1997-05-02	VYDAJ	VYBER	22900	38292	\N	\N	\N
464545	1580	1997-06-01	PRIJEM	VKLAD	3600	18885	\N	\N	\N
464546	1580	1997-07-01	VYDAJ	VYBER	5700	28484	\N	\N	\N
464547	1580	1997-07-31	PRIJEM	VKLAD	2000	22071	\N	\N	\N
464548	1580	1997-08-30	VYDAJ	VYBER	23200	50483	\N	\N	\N
464549	1580	1997-09-29	VYDAJ	VYBER	41400	67946	\N	\N	\N
464550	1580	1997-10-29	VYDAJ	VYBER	14600	46804	\N	\N	\N
464551	1580	1997-11-28	VYDAJ	VYBER	18400	49343	\N	\N	\N
464552	1580	1997-12-24	VYDAJ	VYBER	50300	67224	\N	\N	\N
464553	1580	1997-12-28	VYDAJ	VYBER	18400	48824	\N	\N	\N
464554	1580	1998-01-27	PRIJEM	VKLAD	3400	30538	\N	\N	\N
464555	1580	1998-02-26	VYDAJ	VYBER KARTOU	2600	35838	\N	\N	0
464556	1580	1998-03-28	VYDAJ	VYBER	12300	49580	\N	\N	\N
464557	1580	1998-04-27	PRIJEM	VKLAD	4400	37710	\N	\N	\N
464558	1580	1998-05-27	VYDAJ	VYBER	6100	47939	\N	\N	\N
464559	1580	1998-06-26	VYDAJ	VYBER	13600	50656	\N	\N	\N
464560	1580	1998-07-26	VYDAJ	VYBER KARTOU	3800	38993	\N	\N	0
464561	1580	1998-08-25	PRIJEM	VKLAD	500	31585	\N	\N	\N
464562	1580	1998-09-24	PRIJEM	VKLAD	5200	28829	\N	\N	\N
464563	1580	1998-10-24	PRIJEM	VKLAD	4900	25747	\N	\N	\N
464564	1580	1998-11-23	PRIJEM	VKLAD	2500	33105	\N	\N	\N
464600	1581	1995-10-12	PRIJEM	VKLAD	900	900	\N	\N	\N
464610	1581	1995-10-14	PRIJEM	VKLAD	8637	9537	\N	\N	\N
464611	1581	1995-11-14	PRIJEM	VKLAD	8637	28897	\N	\N	\N
464612	1581	1995-12-14	PRIJEM	VKLAD	12956	42939	\N	\N	\N
464613	1581	1996-01-14	PRIJEM	VKLAD	8637	42430	\N	\N	\N
464614	1581	1996-02-14	PRIJEM	VKLAD	8637	43245	\N	\N	\N
464615	1581	1996-03-14	PRIJEM	VKLAD	8637	41788	\N	\N	\N
464616	1581	1996-04-14	PRIJEM	VKLAD	8637	39326	\N	\N	\N
464617	1581	1996-05-14	PRIJEM	VKLAD	8637	38856	\N	\N	\N
464618	1581	1996-06-14	PRIJEM	VKLAD	12956	37278	\N	\N	\N
464619	1581	1996-07-14	PRIJEM	VKLAD	8637	40588	\N	\N	\N
464620	1581	1996-08-14	PRIJEM	VKLAD	8637	41514	\N	\N	\N
464621	1581	1996-09-14	PRIJEM	VKLAD	8637	42648	\N	\N	\N
464622	1581	1996-10-14	PRIJEM	VKLAD	8637	44998	\N	\N	\N
464623	1581	1996-11-14	PRIJEM	VKLAD	8637	47339	\N	\N	\N
464624	1581	1996-12-14	PRIJEM	VKLAD	12956	55314	\N	\N	\N
464625	1581	1997-01-14	PRIJEM	VKLAD	8637	47409	\N	\N	\N
464626	1581	1997-02-14	PRIJEM	VKLAD	8637	46836	\N	\N	\N
464627	1581	1997-03-14	PRIJEM	VKLAD	8637	51972	\N	\N	\N
464628	1581	1997-04-14	PRIJEM	VKLAD	8637	57837	\N	\N	\N
464629	1581	1997-05-14	PRIJEM	VKLAD	8637	60165	\N	\N	\N
464630	1581	1997-06-14	PRIJEM	VKLAD	12956	65789	\N	\N	\N
464631	1581	1997-07-14	PRIJEM	VKLAD	8637	60122	\N	\N	\N
464632	1581	1997-08-14	PRIJEM	VKLAD	8637	61132	\N	\N	\N
464633	1581	1997-09-14	PRIJEM	VKLAD	8637	63549	\N	\N	\N
464634	1581	1997-10-14	PRIJEM	VKLAD	8637	63630	\N	\N	\N
464635	1581	1997-11-14	PRIJEM	VKLAD	8637	62149	\N	\N	\N
464636	1581	1997-12-14	PRIJEM	VKLAD	12956	70886	\N	\N	\N
464637	1581	1998-01-14	PRIJEM	VKLAD	8637	60011	\N	\N	\N
464638	1581	1998-02-14	PRIJEM	VKLAD	8637	60187	\N	\N	\N
464639	1581	1998-03-14	PRIJEM	VKLAD	8637	64896	\N	\N	\N
464640	1581	1998-04-14	PRIJEM	VKLAD	8637	70526	\N	\N	\N
464641	1581	1998-05-14	PRIJEM	VKLAD	8637	75579	\N	\N	\N
464642	1581	1998-06-14	PRIJEM	VKLAD	12956	36812	\N	\N	\N
464643	1581	1998-07-14	PRIJEM	VKLAD	8637	56693	\N	\N	\N
464644	1581	1998-08-14	PRIJEM	VKLAD	8637	67091	\N	\N	\N
464645	1581	1998-09-14	PRIJEM	VKLAD	8637	73731	\N	\N	\N
464646	1581	1998-10-14	PRIJEM	VKLAD	8637	77996	\N	\N	\N
464647	1581	1998-11-14	PRIJEM	VKLAD	8637	83581	\N	\N	\N
464648	1581	1998-12-14	PRIJEM	VKLAD	12956	81001	\N	\N	\N
464663	1581	1996-03-12	VYDAJ	PREVOD NA UCET	5758	33151	SIPO	AB	55002999
464664	1581	1996-04-12	VYDAJ	PREVOD NA UCET	5758	30689	SIPO	AB	55002999
464665	1581	1996-05-12	VYDAJ	PREVOD NA UCET	5758	30219	SIPO	AB	55002999
464666	1581	1996-06-12	VYDAJ	PREVOD NA UCET	5758	24322	SIPO	AB	55002999
464667	1581	1996-07-12	VYDAJ	PREVOD NA UCET	5758	31951	SIPO	AB	55002999
464668	1581	1996-08-12	VYDAJ	PREVOD NA UCET	5758	32877	SIPO	AB	55002999
464669	1581	1996-09-12	VYDAJ	PREVOD NA UCET	5758	34011	SIPO	AB	55002999
464670	1581	1996-10-12	VYDAJ	PREVOD NA UCET	5758	36361	SIPO	AB	55002999
464671	1581	1996-11-12	VYDAJ	PREVOD NA UCET	5758	38702	SIPO	AB	55002999
464672	1581	1996-12-12	VYDAJ	PREVOD NA UCET	5758	42358	SIPO	AB	55002999
464673	1581	1997-01-12	VYDAJ	PREVOD NA UCET	5758	38772	SIPO	AB	55002999
464674	1581	1997-02-12	VYDAJ	PREVOD NA UCET	5758	38199	SIPO	AB	55002999
464675	1581	1997-03-12	VYDAJ	PREVOD NA UCET	5758	43335	SIPO	AB	55002999
464676	1581	1997-04-12	VYDAJ	PREVOD NA UCET	5758	49200	SIPO	AB	55002999
464677	1581	1997-05-12	VYDAJ	PREVOD NA UCET	5758	51528	SIPO	AB	55002999
464678	1581	1997-06-12	VYDAJ	PREVOD NA UCET	5758	52833	SIPO	AB	55002999
464679	1581	1997-07-12	VYDAJ	PREVOD NA UCET	5758	51485	SIPO	AB	55002999
464680	1581	1997-08-12	VYDAJ	PREVOD NA UCET	5758	52495	SIPO	AB	55002999
464681	1581	1997-09-12	VYDAJ	PREVOD NA UCET	5758	54912	SIPO	AB	55002999
464682	1581	1997-10-12	VYDAJ	PREVOD NA UCET	5758	54993	SIPO	AB	55002999
464683	1581	1997-11-12	VYDAJ	PREVOD NA UCET	5758	53512	SIPO	AB	55002999
464684	1581	1997-12-12	VYDAJ	PREVOD NA UCET	5758	57930	SIPO	AB	55002999
464685	1581	1998-01-12	VYDAJ	PREVOD NA UCET	5758	54274	SIPO	AB	55002999
464686	1581	1998-02-12	VYDAJ	PREVOD NA UCET	5758	51550	SIPO	AB	55002999
464687	1581	1998-03-12	VYDAJ	PREVOD NA UCET	5758	56259	SIPO	AB	55002999
464688	1581	1998-04-12	VYDAJ	PREVOD NA UCET	5758	61889	SIPO	AB	55002999
464689	1581	1998-05-12	VYDAJ	PREVOD NA UCET	5758	66942	SIPO	AB	55002999
464690	1581	1998-06-12	VYDAJ	PREVOD NA UCET	5758	23856	SIPO	AB	55002999
464691	1581	1998-07-12	VYDAJ	PREVOD NA UCET	5758	48056	SIPO	AB	55002999
464692	1581	1998-08-12	VYDAJ	PREVOD NA UCET	5758	58454	SIPO	AB	55002999
464693	1581	1998-09-12	VYDAJ	PREVOD NA UCET	5758	65094	SIPO	AB	55002999
464694	1581	1998-10-12	VYDAJ	PREVOD NA UCET	5758	69359	SIPO	AB	55002999
464695	1581	1998-11-12	VYDAJ	PREVOD NA UCET	5758	74944	SIPO	AB	55002999
464696	1581	1998-12-12	VYDAJ	PREVOD NA UCET	5758	68045	SIPO	AB	55002999
464699	1581	1997-06-17	VYDAJ	VYBER	6880	58909	\N	\N	\N
464700	1581	1998-06-07	VYDAJ	VYBER	47360	29614	\N	\N	\N
464703	1581	1997-01-16	VYDAJ	VYBER	2240	45169	\N	\N	\N
464704	1581	1998-01-18	VYDAJ	VYBER	12320	47691	\N	\N	\N
464706	1581	1996-12-22	VYDAJ	VYBER	3040	52274	\N	\N	\N
464707	1581	1997-12-29	VYDAJ	VYBER KARTOU	1600	69286	\N	\N	0
464708	1581	1998-12-06	VYDAJ	VYBER KARTOU	2900	75703	\N	\N	0
464721	1581	1997-01-21	VYDAJ	VYBER	2640	38089	\N	\N	\N
464722	1581	1997-01-10	VYDAJ	VYBER	2160	44530	\N	\N	\N
464723	1581	1997-01-18	VYDAJ	VYBER	3480	41689	\N	\N	\N
464724	1581	1997-01-05	VYDAJ	VYBER	2280	49690	\N	\N	\N
464725	1581	1997-01-10	VYDAJ	VYBER	3000	46690	\N	\N	\N
464726	1581	1997-01-20	VYDAJ	VYBER	960	40729	\N	\N	\N
464727	1581	1998-01-03	VYDAJ	VYBER KARTOU	1600	66152	\N	\N	0
464728	1581	1998-01-11	VYDAJ	VYBER KARTOU	700	60032	\N	\N	0
464729	1581	1998-01-25	VYDAJ	VYBER KARTOU	3100	44591	\N	\N	0
464730	1581	1998-01-10	VYDAJ	VYBER KARTOU	1100	60732	\N	\N	0
464731	1581	1998-01-13	VYDAJ	VYBER KARTOU	1600	51374	\N	\N	0
464732	1581	1998-01-12	VYDAJ	VYBER KARTOU	1300	52974	\N	\N	0
464738	1581	1996-11-08	VYDAJ	VYBER	4800	44460	\N	\N	\N
464739	1581	1996-06-04	VYDAJ	VYBER	2760	32280	\N	\N	\N
464740	1581	1996-05-28	VYDAJ	VYBER	3960	34896	\N	\N	\N
464741	1581	1996-09-15	VYDAJ	VYBER	3480	39168	\N	\N	\N
464742	1581	1997-04-14	VYDAJ	VYBER	2040	55797	\N	\N	\N
464743	1581	1997-09-28	VYDAJ	VYBER	5040	58509	\N	\N	\N
464744	1581	1997-04-21	VYDAJ	VYBER	720	55077	\N	\N	\N
464745	1581	1997-02-18	VYDAJ	VYBER	4200	42636	\N	\N	\N
464746	1581	1997-08-02	VYDAJ	VYBER KARTOU	3400	58253	\N	\N	0
464747	1581	1998-09-18	VYDAJ	VYBER KARTOU	700	73031	\N	\N	0
464748	1581	1998-12-08	VYDAJ	VYBER KARTOU	1900	73803	\N	\N	0
464749	1581	1998-01-05	VYDAJ	VYBER	4320	61832	\N	\N	\N
464764	1581	1996-02-29	VYDAJ	VYBER	15	43409	SLUZBY	\N	\N
464765	1581	1996-03-31	VYDAJ	VYBER	15	41947	SLUZBY	\N	\N
464766	1581	1996-04-30	VYDAJ	VYBER	15	39477	SLUZBY	\N	\N
464767	1581	1996-05-31	VYDAJ	VYBER	15	35040	SLUZBY	\N	\N
464768	1581	1996-06-30	VYDAJ	VYBER	15	37409	SLUZBY	\N	\N
464769	1581	1996-07-31	VYDAJ	VYBER	15	40735	SLUZBY	\N	\N
464770	1581	1996-08-31	VYDAJ	VYBER	15	41669	SLUZBY	\N	\N
464771	1581	1996-09-30	VYDAJ	VYBER	15	39319	SLUZBY	\N	\N
464772	1581	1996-10-31	VYDAJ	VYBER	15	45160	SLUZBY	\N	\N
464773	1581	1996-11-30	VYDAJ	VYBER	15	47516	SLUZBY	\N	\N
464774	1581	1996-12-31	VYDAJ	VYBER	15	52470	SLUZBY	\N	\N
464775	1581	1997-01-31	VYDAJ	VYBER	15	38257	SLUZBY	\N	\N
464776	1581	1997-02-28	VYDAJ	VYBER	15	42793	SLUZBY	\N	\N
464777	1581	1997-03-31	VYDAJ	VYBER	15	52158	SLUZBY	\N	\N
464778	1581	1997-04-30	VYDAJ	VYBER	15	55286	SLUZBY	\N	\N
464779	1581	1997-05-31	VYDAJ	VYBER	15	60391	SLUZBY	\N	\N
464780	1581	1997-06-30	VYDAJ	VYBER	15	59143	SLUZBY	\N	\N
464781	1581	1997-07-31	VYDAJ	VYBER	15	60353	SLUZBY	\N	\N
464782	1581	1997-08-31	VYDAJ	VYBER	15	61370	SLUZBY	\N	\N
464783	1581	1997-09-30	VYDAJ	VYBER	15	58751	SLUZBY	\N	\N
464784	1581	1997-10-31	VYDAJ	VYBER	15	63870	SLUZBY	\N	\N
464785	1581	1997-11-30	VYDAJ	VYBER	15	63688	SLUZBY	\N	\N
464786	1581	1997-12-31	VYDAJ	VYBER	15	67752	SLUZBY	\N	\N
464787	1581	1998-01-31	VYDAJ	VYBER	15	57308	SLUZBY	\N	\N
464788	1581	1998-02-28	VYDAJ	VYBER	15	62017	SLUZBY	\N	\N
464789	1581	1998-03-31	VYDAJ	VYBER	15	67647	SLUZBY	\N	\N
464790	1581	1998-04-30	VYDAJ	VYBER	15	72700	SLUZBY	\N	\N
464791	1581	1998-05-31	VYDAJ	VYBER	15	76974	SLUZBY	\N	\N
464792	1581	1998-06-30	VYDAJ	VYBER	15	53814	SLUZBY	\N	\N
464793	1581	1998-07-31	VYDAJ	VYBER	15	64212	SLUZBY	\N	\N
464794	1581	1998-08-31	VYDAJ	VYBER	15	70852	SLUZBY	\N	\N
464795	1581	1998-09-30	VYDAJ	VYBER	15	75117	SLUZBY	\N	\N
464796	1581	1998-10-31	VYDAJ	VYBER	15	80702	SLUZBY	\N	\N
464797	1581	1998-11-30	VYDAJ	VYBER	15	78603	SLUZBY	\N	\N
464798	1581	1995-11-11	PRIJEM	VKLAD	10700	20260	\N	\N	\N
464799	1581	1995-12-11	PRIJEM	VKLAD	1000	29983	\N	\N	\N
464800	1581	1996-01-10	VYDAJ	VYBER	9300	33793	\N	\N	\N
464801	1581	1996-02-09	VYDAJ	VYBER	8000	34608	\N	\N	\N
464802	1581	1996-03-10	VYDAJ	VYBER	4500	38909	\N	\N	\N
464803	1581	1996-04-09	VYDAJ	VYBER	5500	36447	\N	\N	\N
464804	1581	1996-05-09	VYDAJ	VYBER	3500	35977	\N	\N	\N
464805	1581	1996-06-08	VYDAJ	VYBER	2200	30080	\N	\N	\N
464806	1581	1996-07-08	PRIJEM	VKLAD	300	37709	\N	\N	\N
464807	1581	1996-08-07	VYDAJ	VYBER	2100	38635	\N	\N	\N
464808	1581	1996-09-06	VYDAJ	VYBER	1900	39769	\N	\N	\N
464809	1581	1996-10-06	PRIJEM	VKLAD	2800	42119	\N	\N	\N
464810	1581	1996-11-05	PRIJEM	VKLAD	4100	49260	\N	\N	\N
464811	1581	1996-12-05	PRIJEM	VKLAD	600	48116	\N	\N	\N
464812	1581	1997-01-04	VYDAJ	VYBER	500	51970	\N	\N	\N
464813	1581	1997-02-03	PRIJEM	VKLAD	5700	43957	\N	\N	\N
464814	1581	1997-03-05	PRIJEM	VKLAD	6300	49093	\N	\N	\N
464815	1581	1997-04-04	PRIJEM	VKLAD	2800	54958	\N	\N	\N
464816	1581	1997-05-04	PRIJEM	VKLAD	2000	57286	\N	\N	\N
464817	1581	1997-06-03	VYDAJ	VYBER KARTOU	1800	58591	\N	\N	0
464818	1581	1997-07-03	VYDAJ	VYBER KARTOU	1900	57243	\N	\N	0
464819	1581	1997-08-02	PRIJEM	VKLAD	1300	61653	\N	\N	\N
464820	1581	1997-09-01	VYDAJ	VYBER KARTOU	700	60670	\N	\N	0
464821	1581	1997-10-01	PRIJEM	VKLAD	2000	60751	\N	\N	\N
464822	1581	1997-10-31	VYDAJ	VYBER	4600	59270	\N	\N	\N
464823	1581	1997-11-30	PRIJEM	VKLAD	1300	63449	\N	\N	\N
464824	1581	1997-12-30	VYDAJ	VYBER KARTOU	1800	67486	\N	\N	0
464825	1581	1998-01-29	PRIJEM	VKLAD	12500	57091	\N	\N	\N
464826	1581	1998-02-28	PRIJEM	VKLAD	1600	61787	\N	\N	\N
464827	1581	1998-03-30	PRIJEM	VKLAD	2500	67396	\N	\N	\N
464828	1581	1998-04-29	PRIJEM	VKLAD	1900	72426	\N	\N	\N
464829	1581	1998-05-29	PRIJEM	VKLAD	1100	76679	\N	\N	\N
464830	1581	1998-06-28	PRIJEM	VKLAD	16800	53612	\N	\N	\N
464831	1581	1998-07-28	PRIJEM	VKLAD	7300	63993	\N	\N	\N
464832	1581	1998-08-27	PRIJEM	VKLAD	3500	70591	\N	\N	\N
464833	1581	1998-09-26	PRIJEM	VKLAD	1800	74831	\N	\N	\N
464834	1581	1998-10-26	PRIJEM	VKLAD	2400	80396	\N	\N	\N
464835	1581	1998-11-25	VYDAJ	VYBER	5300	78281	\N	\N	\N
464875	1582	1996-05-01	PRIJEM	VKLAD	500	500	\N	\N	\N
464880	1582	1996-05-06	PRIJEM	PREVOD Z UCTU	5973	6473	DUCHOD	QR	63470822
464881	1582	1996-06-06	PRIJEM	PREVOD Z UCTU	5973	12469	DUCHOD	QR	63470822
464882	1582	1996-07-06	PRIJEM	PREVOD Z UCTU	5973	18469	DUCHOD	QR	63470822
464883	1582	1996-08-06	PRIJEM	PREVOD Z UCTU	5973	24469	DUCHOD	QR	63470822
464884	1582	1996-09-06	PRIJEM	PREVOD Z UCTU	5973	30469	DUCHOD	QR	63470822
464885	1582	1996-10-06	PRIJEM	PREVOD Z UCTU	5973	34601	DUCHOD	QR	63470822
464886	1582	1996-11-06	PRIJEM	PREVOD Z UCTU	5973	36773	DUCHOD	QR	63470822
464887	1582	1996-12-06	PRIJEM	PREVOD Z UCTU	5973	35492	DUCHOD	QR	63470822
464888	1582	1997-01-06	PRIJEM	PREVOD Z UCTU	5973	37286	DUCHOD	QR	63470822
464889	1582	1997-02-06	PRIJEM	PREVOD Z UCTU	5973	32385	DUCHOD	QR	63470822
464890	1582	1997-03-06	PRIJEM	PREVOD Z UCTU	5973	32045	DUCHOD	QR	63470822
464891	1582	1997-04-06	PRIJEM	PREVOD Z UCTU	5973	35206	DUCHOD	QR	63470822
464892	1582	1997-05-06	PRIJEM	PREVOD Z UCTU	5973	33816	DUCHOD	QR	63470822
464893	1582	1997-06-06	PRIJEM	PREVOD Z UCTU	5973	35984	DUCHOD	QR	63470822
464894	1582	1997-07-06	PRIJEM	PREVOD Z UCTU	5973	32102	DUCHOD	QR	63470822
464895	1582	1997-08-06	PRIJEM	PREVOD Z UCTU	5973	34019	DUCHOD	QR	63470822
464896	1582	1997-09-06	PRIJEM	PREVOD Z UCTU	5973	38189	DUCHOD	QR	63470822
464897	1582	1997-10-06	PRIJEM	PREVOD Z UCTU	5973	40975	DUCHOD	QR	63470822
464898	1582	1997-11-06	PRIJEM	PREVOD Z UCTU	5973	34880	DUCHOD	QR	63470822
464899	1582	1997-12-06	PRIJEM	PREVOD Z UCTU	5973	35249	DUCHOD	QR	63470822
464900	1582	1998-01-06	PRIJEM	PREVOD Z UCTU	5973	25954	DUCHOD	QR	63470822
464901	1582	1998-02-06	PRIJEM	PREVOD Z UCTU	5973	21781	DUCHOD	QR	63470822
464902	1582	1998-03-06	PRIJEM	PREVOD Z UCTU	5973	22335	DUCHOD	QR	63470822
464903	1582	1998-04-06	PRIJEM	PREVOD Z UCTU	5973	22333	DUCHOD	QR	63470822
464904	1582	1998-05-06	PRIJEM	PREVOD Z UCTU	5973	22048	DUCHOD	QR	63470822
464905	1582	1998-06-06	PRIJEM	PREVOD Z UCTU	5973	19658	DUCHOD	QR	63470822
464906	1582	1998-07-06	PRIJEM	PREVOD Z UCTU	5973	23768	DUCHOD	QR	63470822
464907	1582	1998-08-06	PRIJEM	PREVOD Z UCTU	5973	18738	DUCHOD	QR	63470822
464908	1582	1998-09-06	PRIJEM	PREVOD Z UCTU	5973	18236	DUCHOD	QR	63470822
464909	1582	1998-10-06	PRIJEM	PREVOD Z UCTU	5973	20537	DUCHOD	QR	63470822
464910	1582	1998-11-06	PRIJEM	PREVOD Z UCTU	5973	19925	DUCHOD	QR	63470822
464911	1582	1998-12-06	PRIJEM	PREVOD Z UCTU	5973	21148	DUCHOD	QR	63470822
464920	1582	1996-09-10	VYDAJ	PREVOD NA UCET	1917	28552	SIPO	CD	24857425
464921	1582	1996-10-10	VYDAJ	PREVOD NA UCET	1917	32684	SIPO	CD	24857425
464922	1582	1996-11-10	VYDAJ	PREVOD NA UCET	1917	34856	SIPO	CD	24857425
464923	1582	1996-12-10	VYDAJ	PREVOD NA UCET	1917	33575	SIPO	CD	24857425
464924	1582	1997-01-10	VYDAJ	PREVOD NA UCET	1917	34169	SIPO	CD	24857425
464925	1582	1997-02-10	VYDAJ	PREVOD NA UCET	1917	30468	SIPO	CD	24857425
464926	1582	1997-03-10	VYDAJ	PREVOD NA UCET	1917	30128	SIPO	CD	24857425
464927	1582	1997-04-10	VYDAJ	PREVOD NA UCET	1917	33289	SIPO	CD	24857425
464928	1582	1997-05-10	VYDAJ	PREVOD NA UCET	1917	31899	SIPO	CD	24857425
464929	1582	1997-06-10	VYDAJ	PREVOD NA UCET	1917	34067	SIPO	CD	24857425
464930	1582	1997-07-10	VYDAJ	PREVOD NA UCET	1917	30185	SIPO	CD	24857425
464931	1582	1997-08-10	VYDAJ	PREVOD NA UCET	1917	32102	SIPO	CD	24857425
464932	1582	1997-09-10	VYDAJ	PREVOD NA UCET	1917	36272	SIPO	CD	24857425
464933	1582	1997-10-10	VYDAJ	PREVOD NA UCET	1917	39058	SIPO	CD	24857425
464934	1582	1997-11-10	VYDAJ	PREVOD NA UCET	1917	32963	SIPO	CD	24857425
464935	1582	1997-12-10	VYDAJ	PREVOD NA UCET	1917	33332	SIPO	CD	24857425
464936	1582	1998-01-10	VYDAJ	PREVOD NA UCET	1917	22357	SIPO	CD	24857425
464937	1582	1998-02-10	VYDAJ	PREVOD NA UCET	1917	19864	SIPO	CD	24857425
464938	1582	1998-03-10	VYDAJ	PREVOD NA UCET	1917	20418	SIPO	CD	24857425
464939	1582	1998-04-10	VYDAJ	PREVOD NA UCET	1917	20416	SIPO	CD	24857425
464940	1582	1998-05-10	VYDAJ	PREVOD NA UCET	1917	20131	SIPO	CD	24857425
464941	1582	1998-06-10	VYDAJ	PREVOD NA UCET	1917	17741	SIPO	CD	24857425
464942	1582	1998-07-10	VYDAJ	PREVOD NA UCET	1917	21451	SIPO	CD	24857425
464943	1582	1998-08-10	VYDAJ	PREVOD NA UCET	1917	16821	SIPO	CD	24857425
464944	1582	1998-09-10	VYDAJ	PREVOD NA UCET	1917	16319	SIPO	CD	24857425
464945	1582	1998-10-10	VYDAJ	PREVOD NA UCET	1917	18620	SIPO	CD	24857425
464946	1582	1998-11-10	VYDAJ	PREVOD NA UCET	1917	15128	SIPO	CD	24857425
464947	1582	1998-12-10	VYDAJ	PREVOD NA UCET	1917	19231	SIPO	CD	24857425
464949	1582	1997-06-21	VYDAJ	VYBER	6550	27517	\N	\N	\N
464952	1582	1997-01-26	VYDAJ	VYBER	750	27339	\N	\N	\N
464953	1582	1998-01-03	VYDAJ	VYBER	1200	23181	\N	\N	\N
464954	1582	1996-12-10	VYDAJ	VYBER	300	33275	\N	\N	\N
464955	1582	1997-12-16	VYDAJ	VYBER	600	32732	\N	\N	\N
464963	1582	1997-01-17	VYDAJ	VYBER	1840	30409	\N	\N	\N
464964	1582	1997-01-10	VYDAJ	VYBER	1040	33129	\N	\N	\N
464965	1582	1997-01-26	VYDAJ	VYBER	1040	26299	\N	\N	\N
464966	1582	1997-01-09	VYDAJ	VYBER	1200	36086	\N	\N	\N
464967	1582	1997-01-24	VYDAJ	VYBER	960	28089	\N	\N	\N
464968	1582	1997-01-20	VYDAJ	VYBER	1360	29049	\N	\N	\N
464969	1582	1998-01-16	VYDAJ	VYBER	1360	20997	\N	\N	\N
464970	1582	1998-01-29	VYDAJ	VYBER	1440	15737	\N	\N	\N
464971	1582	1998-01-07	VYDAJ	VYBER	1280	24674	\N	\N	\N
464972	1582	1998-01-02	VYDAJ	VYBER	1760	24381	\N	\N	\N
464973	1582	1998-01-21	VYDAJ	VYBER	1520	17177	\N	\N	\N
464974	1582	1998-01-07	VYDAJ	VYBER	400	24274	\N	\N	\N
464977	1582	1996-12-04	VYDAJ	VYBER	560	29519	\N	\N	\N
464978	1582	1996-12-13	VYDAJ	VYBER	1680	31595	\N	\N	\N
464981	1582	1997-01-15	VYDAJ	VYBER	880	32249	\N	\N	\N
464982	1582	1997-07-14	VYDAJ	VYBER	2240	27945	\N	\N	\N
464983	1582	1997-10-21	VYDAJ	VYBER	2880	36178	\N	\N	\N
464984	1582	1997-04-23	VYDAJ	VYBER	2160	31129	\N	\N	\N
464985	1582	1998-01-04	VYDAJ	VYBER	3200	19981	\N	\N	\N
464986	1582	1998-07-17	VYDAJ	VYBER	3040	18411	\N	\N	\N
464987	1582	1998-02-21	VYDAJ	VYBER	3360	16304	\N	\N	\N
464988	1582	1998-10-19	VYDAJ	VYBER	2720	15900	\N	\N	\N
464989	1582	1998-11-09	VYDAJ	VYBER	2880	17045	\N	\N	\N
464990	1582	1998-10-31	VYDAJ	VYBER	2000	13967	\N	\N	\N
464991	1582	1998-07-10	VYDAJ	VYBER	400	23368	\N	\N	\N
464992	1582	1998-03-29	VYDAJ	VYBER	1920	16298	\N	\N	\N
465002	1582	1996-09-30	VYDAJ	VYBER	15	28628	SLUZBY	\N	\N
465003	1582	1996-10-31	VYDAJ	VYBER	15	30800	SLUZBY	\N	\N
465004	1582	1996-11-30	VYDAJ	VYBER	15	30079	SLUZBY	\N	\N
465005	1582	1996-12-31	VYDAJ	VYBER	15	31313	SLUZBY	\N	\N
465006	1582	1997-01-31	VYDAJ	VYBER	15	26412	SLUZBY	\N	\N
465007	1582	1997-02-28	VYDAJ	VYBER	15	26072	SLUZBY	\N	\N
465008	1582	1997-03-31	VYDAJ	VYBER	15	29233	SLUZBY	\N	\N
465009	1582	1997-04-30	VYDAJ	VYBER	15	27843	SLUZBY	\N	\N
465010	1582	1997-05-31	VYDAJ	VYBER	15	30011	SLUZBY	\N	\N
465011	1582	1997-06-30	VYDAJ	VYBER	15	26129	SLUZBY	\N	\N
465012	1582	1997-07-31	VYDAJ	VYBER	15	28046	SLUZBY	\N	\N
465013	1582	1997-08-31	VYDAJ	VYBER	15	32216	SLUZBY	\N	\N
465014	1582	1997-09-30	VYDAJ	VYBER	15	35002	SLUZBY	\N	\N
465015	1582	1997-10-31	VYDAJ	VYBER	15	28907	SLUZBY	\N	\N
465016	1582	1997-11-30	VYDAJ	VYBER	15	29276	SLUZBY	\N	\N
465017	1582	1997-12-31	VYDAJ	VYBER	15	26141	SLUZBY	\N	\N
465018	1582	1998-01-31	VYDAJ	VYBER	15	15808	SLUZBY	\N	\N
465019	1582	1998-02-28	VYDAJ	VYBER	15	16362	SLUZBY	\N	\N
465020	1582	1998-03-31	VYDAJ	VYBER	15	16360	SLUZBY	\N	\N
465021	1582	1998-04-30	VYDAJ	VYBER	15	16075	SLUZBY	\N	\N
465022	1582	1998-05-31	VYDAJ	VYBER	15	13685	SLUZBY	\N	\N
465023	1582	1998-06-30	VYDAJ	VYBER	15	17795	SLUZBY	\N	\N
465024	1582	1998-07-31	VYDAJ	VYBER	15	12765	SLUZBY	\N	\N
465025	1582	1998-08-31	VYDAJ	VYBER	15	12263	SLUZBY	\N	\N
465026	1582	1998-09-30	VYDAJ	VYBER	15	14564	SLUZBY	\N	\N
465027	1582	1998-10-31	VYDAJ	VYBER	15	13952	SLUZBY	\N	\N
465028	1582	1998-11-30	VYDAJ	VYBER	15	15175	SLUZBY	\N	\N
465029	1582	1996-10-28	VYDAJ	VYBER	2000	30684	\N	\N	\N
465030	1582	1996-11-27	VYDAJ	VYBER	4900	29956	\N	\N	\N
465031	1582	1996-12-27	VYDAJ	VYBER	400	31195	\N	\N	\N
465032	1582	1997-02-25	VYDAJ	VYBER	4500	25968	\N	\N	\N
465033	1582	1997-03-27	VYDAJ	VYBER	1000	29128	\N	\N	\N
465034	1582	1997-04-26	VYDAJ	VYBER	3400	27729	\N	\N	\N
465035	1582	1997-05-26	VYDAJ	VYBER	2000	29899	\N	\N	\N
465036	1582	1997-06-25	VYDAJ	VYBER	1500	26017	\N	\N	\N
465037	1582	1997-09-23	VYDAJ	VYBER	1400	34872	\N	\N	\N
465038	1582	1997-10-23	VYDAJ	VYBER	7400	28778	\N	\N	\N
465039	1582	1997-11-22	VYDAJ	VYBER	3800	29163	\N	\N	\N
465040	1582	1997-12-22	VYDAJ	VYBER	6700	26032	\N	\N	\N
465041	1582	1998-01-21	VYDAJ	VYBER	2300	18697	\N	\N	\N
465042	1582	1998-02-20	VYDAJ	VYBER	200	19664	\N	\N	\N
465043	1582	1998-03-22	VYDAJ	VYBER	2200	18218	\N	\N	\N
465044	1582	1998-04-21	VYDAJ	VYBER	4400	16016	\N	\N	\N
465045	1582	1998-05-21	VYDAJ	VYBER	6500	13631	\N	\N	\N
465046	1582	1998-07-20	VYDAJ	VYBER	5700	12711	\N	\N	\N
465047	1582	1998-08-19	VYDAJ	VYBER	4600	12221	\N	\N	\N
465048	1582	1998-09-18	VYDAJ	VYBER	1800	14519	\N	\N	\N
465081	1583	1994-11-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
465087	1583	1994-12-29	PRIJEM	VKLAD	21869	73613	\N	\N	\N
465088	1583	1994-11-24	PRIJEM	VKLAD	40329	70304	\N	\N	\N
465090	1583	1994-12-14	PRIJEM	VKLAD	9167	84744	\N	\N	\N
465095	1583	1994-12-08	PRIJEM	VKLAD	5200	75577	\N	\N	\N
465098	1583	1994-11-23	PRIJEM	VKLAD	28975	29975	\N	\N	\N
465102	1583	1995-01-13	PRIJEM	VKLAD	9968	67783	\N	\N	\N
465103	1583	1996-10-14	PRIJEM	VKLAD	20379	57422	\N	\N	\N
465104	1583	1996-05-13	PRIJEM	VKLAD	25572	39890	\N	\N	\N
465105	1583	1996-02-15	PRIJEM	VKLAD	7939	21243	\N	\N	\N
465106	1583	1996-04-28	PRIJEM	VKLAD	12419	36788	\N	\N	\N
465107	1583	1996-12-17	PRIJEM	VKLAD	13864	40801	\N	\N	\N
465108	1583	1996-10-10	PRIJEM	VKLAD	14436	45137	\N	\N	\N
465109	1583	1996-04-20	PRIJEM	VKLAD	20260	24369	\N	\N	\N
465110	1583	1996-05-23	PRIJEM	VKLAD	11202	51092	\N	\N	\N
465111	1583	1996-11-01	PRIJEM	VKLAD	28964	86499	\N	\N	\N
465112	1583	1996-01-05	PRIJEM	VKLAD	24878	31253	\N	\N	\N
465113	1583	1996-09-14	PRIJEM	VKLAD	20062	39037	\N	\N	\N
465114	1583	1996-07-08	PRIJEM	VKLAD	16851	34538	\N	\N	\N
465115	1583	1996-07-06	PRIJEM	VKLAD	11651	17687	\N	\N	\N
465116	1583	1996-12-28	PRIJEM	VKLAD	20621	58122	\N	\N	\N
465117	1583	1996-08-06	PRIJEM	VKLAD	40855	73997	\N	\N	\N
465118	1583	1996-02-05	PRIJEM	VKLAD	15943	13104	\N	\N	\N
465119	1583	1996-07-18	PRIJEM	VKLAD	21095	40333	\N	\N	\N
465120	1583	1996-09-18	PRIJEM	VKLAD	39216	78253	\N	\N	\N
465121	1583	1996-12-13	PRIJEM	VKLAD	15599	26937	\N	\N	\N
465122	1583	1996-11-06	PRIJEM	VKLAD	35129	121628	\N	\N	\N
465123	1583	1996-06-11	PRIJEM	VKLAD	27172	35835	\N	\N	\N
465124	1583	1996-10-03	PRIJEM	VKLAD	34543	59001	\N	\N	\N
465125	1583	1997-07-11	PRIJEM	VKLAD	47283	62108	\N	\N	\N
465126	1583	1997-05-26	PRIJEM	VKLAD	20020	29153	\N	\N	\N
465127	1583	1997-08-26	PRIJEM	VKLAD	12584	36158	\N	\N	\N
465128	1583	1997-11-29	PRIJEM	VKLAD	39543	39011	\N	\N	\N
465129	1583	1997-09-07	PRIJEM	VKLAD	24576	50672	\N	\N	\N
465130	1583	1997-12-08	PRIJEM	VKLAD	24003	48734	\N	\N	\N
465131	1583	1997-07-02	PRIJEM	VKLAD	33536	103219	\N	\N	\N
465132	1583	1997-07-01	PRIJEM	VKLAD	49032	69683	\N	\N	\N
465133	1583	1997-05-30	PRIJEM	VKLAD	28283	57436	\N	\N	\N
465134	1583	1997-06-28	PRIJEM	VKLAD	42123	52597	\N	\N	\N
465135	1583	1997-08-08	PRIJEM	VKLAD	14380	42768	\N	\N	\N
465136	1583	1997-10-04	PRIJEM	VKLAD	36459	57010	\N	\N	\N
465137	1583	1998-07-30	PRIJEM	VKLAD	43611	92107	\N	\N	\N
465138	1583	1998-03-19	PRIJEM	VKLAD	24935	28224	\N	\N	\N
465139	1583	1998-10-25	PRIJEM	VKLAD	27239	112062	\N	\N	\N
465140	1583	1998-10-09	PRIJEM	VKLAD	28960	88841	\N	\N	\N
465141	1583	1998-07-17	PRIJEM	VKLAD	30797	53937	\N	\N	\N
465142	1583	1998-06-02	PRIJEM	VKLAD	36921	89361	\N	\N	\N
465143	1583	1998-04-18	PRIJEM	VKLAD	20899	55545	\N	\N	\N
465144	1583	1998-08-14	PRIJEM	VKLAD	23978	99747	\N	\N	\N
465145	1583	1998-11-30	PRIJEM	VKLAD	49635	100310	\N	\N	\N
465146	1583	1998-07-22	PRIJEM	VKLAD	14559	68496	\N	\N	\N
465147	1583	1998-09-06	PRIJEM	VKLAD	27458	97518	\N	\N	\N
465148	1583	1998-05-26	PRIJEM	VKLAD	18365	97283	\N	\N	\N
465149	1583	1998-09-17	PRIJEM	VKLAD	47326	134358	\N	\N	\N
465150	1583	1998-10-21	PRIJEM	VKLAD	22646	84823	\N	\N	\N
465151	1583	1998-08-05	PRIJEM	VKLAD	45092	137263	\N	\N	\N
465152	1583	1998-09-14	PRIJEM	VKLAD	40708	130132	\N	\N	\N
465153	1583	1998-04-13	PRIJEM	VKLAD	11146	34646	\N	\N	\N
465154	1583	1998-04-19	PRIJEM	VKLAD	36683	92228	\N	\N	\N
465155	1583	1998-03-27	PRIJEM	VKLAD	33305	46229	\N	\N	\N
465156	1583	1998-05-02	PRIJEM	VKLAD	41545	80184	\N	\N	\N
465157	1583	1998-10-20	PRIJEM	VKLAD	35953	123977	\N	\N	\N
465158	1583	1998-08-15	PRIJEM	VKLAD	10373	110120	\N	\N	\N
465159	1583	1998-11-16	PRIJEM	VKLAD	25430	88124	\N	\N	\N
465160	1583	1998-10-15	PRIJEM	VKLAD	5870	88024	\N	\N	\N
465161	1583	1998-10-11	PRIJEM	VKLAD	31679	127948	\N	\N	\N
465162	1583	1998-04-25	PRIJEM	VKLAD	33124	122067	\N	\N	\N
465163	1583	1998-05-20	PRIJEM	VKLAD	16128	78918	\N	\N	\N
465164	1583	1998-10-09	PRIJEM	VKLAD	20628	109469	\N	\N	\N
465165	1583	1998-07-16	PRIJEM	VKLAD	15837	23140	\N	\N	\N
465178	1583	1995-01-11	VYDAJ	VYBER	6700	57815	\N	\N	0
465179	1583	1995-02-01	VYDAJ	VYBER	8800	4187	\N	\N	0
465181	1583	1995-04-08	VYDAJ	VYBER	10600	5296	\N	\N	0
465182	1583	1995-05-04	VYDAJ	VYBER	8100	4255	\N	\N	0
465186	1583	1995-09-13	VYDAJ	VYBER	4900	10808	\N	\N	0
465187	1583	1995-10-20	VYDAJ	VYBER	9200	10461	\N	\N	0
465189	1583	1995-12-07	VYDAJ	VYBER	7700	6132	\N	\N	0
465190	1583	1996-01-07	VYDAJ	VYBER	9300	21953	\N	\N	0
465191	1583	1996-02-15	VYDAJ	VYBER	6800	14443	\N	\N	0
465192	1583	1996-03-10	VYDAJ	VYBER	8100	6275	\N	\N	0
465194	1583	1996-05-10	VYDAJ	VYBER	8900	27818	\N	\N	0
465195	1583	1996-06-23	VYDAJ	VYBER	7700	14823	\N	\N	0
465196	1583	1996-06-28	VYDAJ	VYBER	8800	6023	\N	\N	0
465197	1583	1996-08-01	VYDAJ	VYBER	7200	33142	\N	\N	0
465198	1583	1996-09-12	VYDAJ	PREVOD NA UCET	8094	18975	UVER	QR	49376446
465199	1583	1996-10-12	VYDAJ	PREVOD NA UCET	8094	37043	UVER	QR	49376446
465200	1583	1996-11-12	VYDAJ	PREVOD NA UCET	8094	41334	UVER	QR	49376446
465201	1583	1996-12-12	VYDAJ	PREVOD NA UCET	8094	11338	UVER	QR	49376446
465202	1583	1997-01-12	VYDAJ	PREVOD NA UCET	8094	8372	UVER	QR	49376446
465203	1583	1997-02-12	VYDAJ	PREVOD NA UCET	8094	2432	UVER	QR	49376446
465207	1583	1997-06-12	VYDAJ	PREVOD NA UCET	8094	28774	UVER	QR	49376446
465208	1583	1997-07-12	VYDAJ	PREVOD NA UCET	8094	54014	UVER	QR	49376446
465209	1583	1997-08-12	VYDAJ	PREVOD NA UCET	8094	34674	UVER	QR	49376446
465210	1583	1997-09-12	VYDAJ	PREVOD NA UCET	8094	42578	UVER	QR	49376446
465211	1583	1997-10-12	VYDAJ	PREVOD NA UCET	8094	41287	UVER	QR	49376446
465212	1583	1997-11-12	VYDAJ	PREVOD NA UCET	8094	19275	UVER	QR	49376446
465213	1583	1997-12-12	VYDAJ	PREVOD NA UCET	8094	40640	UVER	QR	49376446
465214	1583	1998-01-12	VYDAJ	PREVOD NA UCET	8094	11609	UVER	QR	49376446
465216	1583	1998-03-12	VYDAJ	PREVOD NA UCET	8094	3289	UVER	QR	49376446
465217	1583	1998-04-12	VYDAJ	PREVOD NA UCET	8094	23500	UVER	QR	49376446
465218	1583	1998-05-12	VYDAJ	PREVOD NA UCET	8094	62790	UVER	QR	49376446
465219	1583	1998-06-12	VYDAJ	PREVOD NA UCET	8094	81267	UVER	QR	49376446
465220	1583	1998-07-12	VYDAJ	PREVOD NA UCET	8094	7303	UVER	QR	49376446
465221	1583	1998-08-12	VYDAJ	PREVOD NA UCET	8094	75769	UVER	QR	49376446
465222	1583	1998-09-12	VYDAJ	PREVOD NA UCET	8094	89424	UVER	QR	49376446
465223	1583	1998-10-12	VYDAJ	PREVOD NA UCET	8094	82154	UVER	QR	49376446
465224	1583	1998-11-12	VYDAJ	PREVOD NA UCET	8094	62694	UVER	QR	49376446
465225	1583	1998-12-12	VYDAJ	PREVOD NA UCET	8094	73675	UVER	QR	49376446
465236	1583	1995-02-20	VYBER	VYBER	4060	10327	\N	\N	\N
465238	1583	1995-01-07	VYBER	VYBER	7768	66015	\N	\N	\N
465239	1583	1995-08-03	VYBER	VYBER	12607	-434	\N	\N	\N
465241	1583	1995-06-01	VYBER	VYBER	14602	210	\N	\N	\N
465242	1583	1995-07-08	VYBER	VYBER	8234	2525	\N	\N	\N
465245	1583	1995-06-23	VYBER	VYBER	2006	10804	\N	\N	\N
465246	1583	1996-03-18	VYBER	VYBER	4390	1485	\N	\N	\N
465247	1583	1996-09-27	VYBER	VYBER	8886	36067	\N	\N	\N
465248	1583	1996-06-13	VYBER	VYBER	13312	22523	\N	\N	\N
465249	1583	1996-11-29	VYBER	VYBER	16247	25087	\N	\N	\N
465250	1583	1997-10-10	VYBER	VYBER	4929	52081	\N	\N	\N
465251	1583	1997-04-18	VYBER	VYBER	5277	931	\N	\N	\N
465252	1583	1997-06-28	VYBER	VYBER	13941	38656	\N	\N	\N
465253	1583	1997-07-08	VYBER	VYBER	15198	14825	\N	\N	\N
465254	1583	1997-07-29	VYBER	VYBER	14524	39490	\N	\N	\N
465255	1583	1997-11-29	VYBER	VYBER	4059	34952	\N	\N	\N
465256	1583	1997-11-16	VYBER	VYBER	19807	-532	\N	\N	\N
465258	1583	1997-06-29	VYBER	VYBER	18057	20599	\N	\N	\N
465259	1583	1997-07-06	VYBER	VYBER	17996	30023	\N	\N	\N
465260	1583	1997-03-18	VYBER	VYBER	7532	507	\N	\N	\N
465262	1583	1998-05-27	VYBER	VYBER	7003	90280	\N	\N	\N
465263	1583	1998-11-22	VYBER	VYBER	7949	80175	\N	\N	\N
465264	1583	1998-04-20	VYBER	VYBER	3285	88943	\N	\N	\N
465266	1583	1998-06-24	VYBER	VYBER	20922	60345	\N	\N	\N
465268	1583	1998-12-07	VYBER	VYBER	16346	81770	\N	\N	\N
465271	1583	1996-06-08	VYDAJ	VYBER	44700	6463	\N	\N	\N
465272	1583	1997-06-24	VYDAJ	VYBER	18300	10474	\N	\N	\N
465273	1583	1998-06-28	VYDAJ	VYBER	48000	12345	\N	\N	\N
465276	1583	1996-01-13	VYDAJ	VYBER	12900	3553	\N	\N	\N
465277	1583	1997-01-02	VYDAJ	VYBER	28500	29666	\N	\N	\N
465280	1583	1995-12-25	VYDAJ	VYBER	2700	6432	\N	\N	\N
465281	1583	1996-12-27	VYDAJ	VYBER	3300	37501	\N	\N	\N
465282	1583	1997-12-28	VYDAJ	VYBER	4800	35840	\N	\N	\N
465283	1583	1998-12-19	VYDAJ	VYBER	6900	66775	\N	\N	\N
465290	1583	1995-01-20	VYDAJ	VYBER	8700	39883	\N	\N	\N
465291	1583	1995-01-24	VYDAJ	VYBER	4800	26383	\N	\N	\N
465292	1583	1995-01-07	VYDAJ	VYBER	1500	64515	\N	\N	\N
465293	1583	1995-01-23	VYDAJ	VYBER	8700	31183	\N	\N	\N
465294	1583	1995-01-29	VYDAJ	VYBER	6600	12883	\N	\N	\N
465295	1583	1995-01-26	VYDAJ	VYBER	6900	19483	\N	\N	\N
465296	1583	1996-01-16	VYDAJ	VYBER	6300	-2747	\N	\N	\N
465302	1583	1997-01-13	VYDAJ	VYBER	3000	2672	\N	\N	\N
465303	1583	1997-01-27	VYDAJ	VYBER	1500	1172	\N	\N	\N
465305	1583	1997-01-13	VYDAJ	VYBER	2700	5672	\N	\N	\N
465306	1583	1997-01-06	VYDAJ	VYBER	5400	19766	\N	\N	\N
465307	1583	1997-01-07	VYDAJ	VYBER	3300	16466	\N	\N	\N
465308	1583	1998-01-04	VYDAJ	VYBER	3300	21803	\N	\N	\N
465309	1583	1998-01-24	VYDAJ	VYBER	5100	1109	\N	\N	\N
465310	1583	1998-01-08	VYDAJ	VYBER	2100	19703	\N	\N	\N
465311	1583	1998-01-21	VYDAJ	VYBER	3900	6209	\N	\N	\N
465312	1583	1998-01-29	VYDAJ	VYBER	2400	-1291	\N	\N	\N
465313	1583	1998-01-14	VYDAJ	VYBER	1500	10109	\N	\N	\N
465319	1583	1995-10-24	VYDAJ	VYBER	3300	7161	\N	\N	\N
465320	1583	1995-02-24	VYDAJ	VYBER	5400	4927	\N	\N	\N
465322	1583	1996-09-23	VYDAJ	VYBER	14100	44953	\N	\N	\N
465323	1583	1996-03-28	VYDAJ	VYBER	3300	-1815	\N	\N	\N
465324	1583	1996-10-02	VYDAJ	VYBER	11700	24458	\N	\N	\N
465326	1583	1996-09-20	VYDAJ	VYBER	4500	73753	\N	\N	\N
465327	1583	1996-10-06	VYDAJ	VYBER	10800	48201	\N	\N	\N
465328	1583	1996-09-23	VYDAJ	VYBER	14700	59053	\N	\N	\N
465329	1583	1997-10-10	VYDAJ	VYBER	2700	49381	\N	\N	\N
465330	1583	1997-02-28	VYDAJ	VYBER	2100	239	\N	\N	\N
465331	1583	1997-08-16	VYDAJ	VYBER	11100	23574	\N	\N	\N
465332	1583	1997-09-28	VYDAJ	VYBER	8400	34178	\N	\N	\N
465333	1583	1998-05-12	VYDAJ	VYBER	9300	70884	\N	\N	\N
465334	1583	1998-03-24	VYDAJ	VYBER	5700	12924	\N	\N	\N
465335	1583	1998-10-09	VYDAJ	VYBER	13200	96269	\N	\N	\N
465336	1583	1998-12-05	VYDAJ	VYBER	2400	98116	\N	\N	\N
465337	1583	1998-03-24	VYDAJ	VYBER	9600	18624	\N	\N	\N
465338	1583	1998-08-26	VYDAJ	VYBER	2400	107720	\N	\N	\N
465351	1583	1994-12-31	VYDAJ	VYBER	100	73783	SLUZBY	\N	\N
465352	1583	1995-01-31	VYDAJ	VYBER	100	12987	SLUZBY	\N	\N
465353	1583	1995-02-28	VYDAJ	VYBER	100	4875	SLUZBY	\N	\N
465354	1583	1995-03-31	VYDAJ	VYBER	100	15896	SLUZBY	\N	\N
465355	1583	1995-04-30	VYDAJ	VYBER	100	12355	SLUZBY	\N	\N
465356	1583	1995-05-31	VYDAJ	VYBER	100	14812	SLUZBY	\N	\N
465357	1583	1995-06-30	VYDAJ	VYBER	100	10759	SLUZBY	\N	\N
465358	1583	1995-07-31	VYDAJ	VYBER	100	12173	SLUZBY	\N	\N
465359	1583	1995-08-31	VYDAJ	VYBER	100	8608	SLUZBY	\N	\N
465360	1583	1995-09-30	VYDAJ	VYBER	100	10761	SLUZBY	\N	\N
465361	1583	1995-10-31	VYDAJ	VYBER	100	7102	SLUZBY	\N	\N
465362	1583	1995-11-30	VYDAJ	VYBER	100	13832	SLUZBY	\N	\N
465363	1583	1995-12-31	VYDAJ	VYBER	100	6375	SLUZBY	\N	\N
465364	1583	1996-01-31	VYDAJ	VYBER	100	-2825	SLUZBY	\N	\N
465365	1583	1996-02-29	VYDAJ	VYBER	100	14375	SLUZBY	\N	\N
465366	1583	1996-03-31	VYDAJ	VYBER	100	-1891	SLUZBY	\N	\N
465367	1583	1996-04-30	VYDAJ	VYBER	100	36718	SLUZBY	\N	\N
465368	1583	1996-05-31	VYDAJ	VYBER	100	51163	SLUZBY	\N	\N
465369	1583	1996-06-30	VYDAJ	VYBER	100	6036	SLUZBY	\N	\N
465370	1583	1996-07-31	VYDAJ	VYBER	100	40342	SLUZBY	\N	\N
465371	1583	1996-08-31	VYDAJ	VYBER	100	38769	SLUZBY	\N	\N
465372	1583	1996-09-30	VYDAJ	VYBER	100	36158	SLUZBY	\N	\N
465373	1583	1996-10-31	VYDAJ	VYBER	100	57535	SLUZBY	\N	\N
465374	1583	1996-11-30	VYDAJ	VYBER	100	25232	SLUZBY	\N	\N
465375	1583	1996-12-31	VYDAJ	VYBER	100	58166	SLUZBY	\N	\N
465376	1583	1997-01-31	VYDAJ	VYBER	100	1126	SLUZBY	\N	\N
465377	1583	1997-02-28	VYDAJ	VYBER	100	2339	SLUZBY	\N	\N
465378	1583	1997-03-31	VYDAJ	VYBER	100	408	SLUZBY	\N	\N
465379	1583	1997-04-30	VYDAJ	VYBER	100	833	SLUZBY	\N	\N
465380	1583	1997-05-31	VYDAJ	VYBER	100	57369	SLUZBY	\N	\N
465381	1583	1997-06-30	VYDAJ	VYBER	100	20651	SLUZBY	\N	\N
465382	1583	1997-07-31	VYDAJ	VYBER	100	39588	SLUZBY	\N	\N
465383	1583	1997-08-31	VYDAJ	VYBER	100	36196	SLUZBY	\N	\N
465384	1583	1997-09-30	VYDAJ	VYBER	100	34251	SLUZBY	\N	\N
465385	1583	1997-10-31	VYDAJ	VYBER	100	41369	SLUZBY	\N	\N
465386	1583	1997-11-30	VYDAJ	VYBER	100	34935	SLUZBY	\N	\N
465387	1583	1997-12-31	VYDAJ	VYBER	100	35903	SLUZBY	\N	\N
465388	1583	1998-01-31	VYDAJ	VYBER	100	6159	SLUZBY	\N	\N
465389	1583	1998-02-28	VYDAJ	VYBER	100	6083	SLUZBY	\N	\N
465390	1583	1998-03-31	VYDAJ	VYBER	100	31594	SLUZBY	\N	\N
465391	1583	1998-04-30	VYDAJ	VYBER	100	65839	SLUZBY	\N	\N
465392	1583	1998-05-31	VYDAJ	VYBER	100	52440	SLUZBY	\N	\N
465393	1583	1998-06-30	VYDAJ	VYBER	100	15398	SLUZBY	\N	\N
465394	1583	1998-07-31	VYDAJ	VYBER	100	92171	SLUZBY	\N	\N
465395	1583	1998-08-31	VYDAJ	VYBER	100	70060	SLUZBY	\N	\N
465396	1583	1998-09-30	VYDAJ	VYBER	100	59881	SLUZBY	\N	\N
465397	1583	1998-10-31	VYDAJ	VYBER	100	70789	SLUZBY	\N	\N
465398	1583	1998-11-30	VYDAJ	VYBER	100	100516	SLUZBY	\N	\N
465399	1583	1994-12-17	VYDAJ	VYBER	33000	51744	\N	\N	\N
465400	1583	1995-01-16	VYDAJ	VYBER	19200	48583	\N	\N	\N
465401	1583	1995-02-15	PRIJEM	VKLAD	10200	14387	\N	\N	\N
465402	1583	1995-03-17	PRIJEM	VKLAD	11100	15975	\N	\N	\N
465403	1583	1995-04-16	PRIJEM	VKLAD	7100	12396	\N	\N	\N
465404	1583	1995-05-16	PRIJEM	VKLAD	10600	14855	\N	\N	\N
465405	1583	1995-06-15	PRIJEM	VKLAD	12600	12810	\N	\N	\N
465406	1583	1995-07-15	PRIJEM	VKLAD	9700	12225	\N	\N	\N
465407	1583	1995-08-14	PRIJEM	VKLAD	9100	8666	\N	\N	\N
465408	1583	1995-09-13	PRIJEM	VKLAD	7100	15708	\N	\N	\N
465409	1583	1995-10-13	PRIJEM	VKLAD	8900	19661	\N	\N	\N
465410	1583	1995-11-12	PRIJEM	VKLAD	6800	13902	\N	\N	\N
465411	1583	1995-12-12	PRIJEM	VKLAD	3000	9132	\N	\N	\N
465412	1583	1996-01-11	VYDAJ	VYBER	5500	16453	\N	\N	\N
465413	1583	1996-02-10	PRIJEM	VKLAD	200	13304	\N	\N	\N
465414	1583	1996-03-11	VYDAJ	VYBER	400	5875	\N	\N	\N
465415	1583	1996-04-10	PRIJEM	VKLAD	6000	4109	\N	\N	\N
465416	1583	1996-05-10	VYDAJ	VYBER	13500	14318	\N	\N	\N
465417	1583	1996-06-09	PRIJEM	VKLAD	2200	8663	\N	\N	\N
465418	1583	1996-07-09	VYDAJ	VYBER	15300	19238	\N	\N	\N
465419	1583	1996-08-08	VYDAJ	VYBER	35300	38697	\N	\N	\N
465420	1583	1996-09-07	VYDAJ	VYBER	11700	27069	\N	\N	\N
465421	1583	1996-10-07	VYDAJ	VYBER	17500	30701	\N	\N	\N
465422	1583	1996-11-06	VYDAJ	VYBER	41800	79828	\N	\N	\N
465423	1583	1996-11-06	VYDAJ	VYBER	30400	49428	\N	\N	\N
465424	1583	1996-12-06	VYDAJ	VYBER	5800	19432	\N	\N	\N
465425	1583	1997-01-05	VYDAJ	VYBER	4500	25166	\N	\N	\N
465426	1583	1997-02-04	PRIJEM	VKLAD	9400	10526	\N	\N	\N
465427	1583	1997-03-06	PRIJEM	VKLAD	7800	8039	\N	\N	\N
465428	1583	1997-04-05	PRIJEM	VKLAD	5800	6208	\N	\N	\N
465429	1583	1997-05-05	PRIJEM	VKLAD	8300	9133	\N	\N	\N
465430	1583	1997-06-04	VYDAJ	VYBER	20500	36869	\N	\N	\N
465431	1583	1997-07-02	VYDAJ	VYBER	22100	81119	\N	\N	\N
465432	1583	1997-07-04	VYDAJ	VYBER	33100	48019	\N	\N	\N
465433	1583	1997-08-03	VYDAJ	VYBER	11200	28388	\N	\N	\N
465434	1583	1997-09-02	VYDAJ	VYBER	10100	26096	\N	\N	\N
465435	1583	1997-10-02	VYDAJ	VYBER	13700	20551	\N	\N	\N
465436	1583	1997-11-01	VYDAJ	VYBER	14000	27369	\N	\N	\N
465437	1583	1997-12-01	VYDAJ	VYBER	10200	24731	\N	\N	\N
465438	1583	1997-12-31	VYDAJ	VYBER	10800	25103	\N	\N	\N
465439	1583	1998-01-30	PRIJEM	VKLAD	7500	6209	\N	\N	\N
465440	1583	1998-03-01	PRIJEM	VKLAD	5300	11383	\N	\N	\N
465441	1583	1998-03-31	VYDAJ	VYBER	14600	31694	\N	\N	\N
465442	1583	1998-04-25	VYDAJ	VYBER	56400	65667	\N	\N	\N
465443	1583	1998-04-30	VYDAJ	VYBER	27200	38639	\N	\N	\N
465444	1583	1998-05-30	VYDAJ	VYBER	38000	52280	\N	\N	\N
465445	1583	1998-06-29	PRIJEM	VKLAD	2900	15245	\N	\N	\N
465446	1583	1998-07-29	VYDAJ	VYBER	20000	48496	\N	\N	\N
465447	1583	1998-08-05	VYDAJ	VYBER	53400	83863	\N	\N	\N
465448	1583	1998-08-28	VYDAJ	VYBER	38000	69720	\N	\N	\N
465449	1583	1998-09-14	VYDAJ	VYBER	43100	87032	\N	\N	\N
465450	1583	1998-09-17	VYDAJ	VYBER	44900	89458	\N	\N	\N
465451	1583	1998-09-27	VYDAJ	VYBER	29800	59658	\N	\N	\N
465452	1583	1998-10-11	VYDAJ	VYBER	37700	90248	\N	\N	\N
465453	1583	1998-10-20	VYDAJ	VYBER	61800	62177	\N	\N	\N
465454	1583	1998-10-27	VYDAJ	VYBER	41500	70562	\N	\N	\N
465455	1583	1998-11-26	VYDAJ	VYBER	29500	50675	\N	\N	\N
465515	1584	1993-05-27	PRIJEM	VKLAD	600	600	\N	\N	\N
465521	1584	1993-06-07	PRIJEM	PREVOD Z UCTU	2975	3575	\N	CD	76680385
465522	1584	1993-07-07	PRIJEM	PREVOD Z UCTU	2975	6550	\N	CD	76680385
465523	1584	1993-08-07	PRIJEM	PREVOD Z UCTU	2975	9525	\N	CD	76680385
465524	1584	1993-09-07	PRIJEM	PREVOD Z UCTU	2975	12500	\N	CD	76680385
465525	1584	1993-10-07	PRIJEM	PREVOD Z UCTU	2975	15475	\N	CD	76680385
465526	1584	1993-11-07	PRIJEM	PREVOD Z UCTU	2975	16222	\N	CD	76680385
465527	1584	1993-12-07	PRIJEM	PREVOD Z UCTU	2975	17258	\N	CD	76680385
465528	1584	1994-01-07	PRIJEM	PREVOD Z UCTU	2975	17636	\N	CD	76680385
465529	1584	1994-02-07	PRIJEM	PREVOD Z UCTU	2975	18527	\N	CD	76680385
465530	1584	1994-03-07	PRIJEM	PREVOD Z UCTU	2975	19572	\N	CD	76680385
465531	1584	1994-04-07	PRIJEM	PREVOD Z UCTU	2975	20622	\N	CD	76680385
465532	1584	1994-05-07	PRIJEM	PREVOD Z UCTU	2975	21675	\N	CD	76680385
465533	1584	1994-06-07	PRIJEM	PREVOD Z UCTU	2975	22554	\N	CD	76680385
465534	1584	1994-07-07	PRIJEM	PREVOD Z UCTU	2975	15072	\N	CD	76680385
465535	1584	1994-08-07	PRIJEM	PREVOD Z UCTU	2975	16103	\N	CD	76680385
465536	1584	1994-09-07	PRIJEM	PREVOD Z UCTU	2975	15787	\N	CD	76680385
465537	1584	1994-10-07	PRIJEM	PREVOD Z UCTU	2975	16129	\N	CD	76680385
465538	1584	1994-11-07	PRIJEM	PREVOD Z UCTU	2975	17165	\N	CD	76680385
465539	1584	1994-12-07	PRIJEM	PREVOD Z UCTU	2975	18204	\N	CD	76680385
465540	1584	1995-01-07	PRIJEM	PREVOD Z UCTU	2975	18857	\N	CD	76680385
465541	1584	1995-02-07	PRIJEM	PREVOD Z UCTU	2975	19903	\N	CD	76680385
465542	1584	1995-03-07	PRIJEM	PREVOD Z UCTU	2975	20021	\N	CD	76680385
465543	1584	1995-04-07	PRIJEM	PREVOD Z UCTU	2975	19689	\N	CD	76680385
465544	1584	1995-05-07	PRIJEM	PREVOD Z UCTU	2975	20739	\N	CD	76680385
465545	1584	1995-06-07	PRIJEM	PREVOD Z UCTU	2975	18013	\N	CD	76680385
465546	1584	1995-07-07	PRIJEM	PREVOD Z UCTU	2975	19060	\N	CD	76680385
465547	1584	1995-08-07	PRIJEM	PREVOD Z UCTU	2975	20107	\N	CD	76680385
465548	1584	1995-09-07	PRIJEM	PREVOD Z UCTU	2975	21159	\N	CD	76680385
465549	1584	1995-10-07	PRIJEM	PREVOD Z UCTU	2975	22215	\N	CD	76680385
465550	1584	1995-11-07	PRIJEM	PREVOD Z UCTU	2975	23275	\N	CD	76680385
465551	1584	1995-12-07	PRIJEM	PREVOD Z UCTU	2975	23829	\N	CD	76680385
465552	1584	1996-01-07	PRIJEM	PREVOD Z UCTU	2975	24898	\N	CD	76680385
465553	1584	1996-02-07	PRIJEM	PREVOD Z UCTU	2975	25969	\N	CD	76680385
465554	1584	1996-03-07	PRIJEM	PREVOD Z UCTU	2975	26143	\N	CD	76680385
465555	1584	1996-04-07	PRIJEM	PREVOD Z UCTU	2975	26497	\N	CD	76680385
465556	1584	1996-05-07	PRIJEM	PREVOD Z UCTU	2975	27575	\N	CD	76680385
465557	1584	1996-06-07	PRIJEM	PREVOD Z UCTU	2975	28657	\N	CD	76680385
465558	1584	1996-07-07	PRIJEM	PREVOD Z UCTU	2975	24755	\N	CD	76680385
465559	1584	1996-08-07	PRIJEM	PREVOD Z UCTU	2975	25825	\N	CD	76680385
465560	1584	1996-09-07	PRIJEM	PREVOD Z UCTU	2975	26750	\N	CD	76680385
465561	1584	1996-10-07	PRIJEM	PREVOD Z UCTU	2975	27830	\N	CD	76680385
465562	1584	1996-11-07	PRIJEM	PREVOD Z UCTU	2975	28913	\N	CD	76680385
465563	1584	1996-12-07	PRIJEM	PREVOD Z UCTU	2975	29430	\N	CD	76680385
465564	1584	1997-01-07	PRIJEM	PREVOD Z UCTU	2975	29709	\N	CD	76680385
465565	1584	1997-02-07	PRIJEM	PREVOD Z UCTU	2975	30799	\N	CD	76680385
465566	1584	1997-03-07	PRIJEM	PREVOD Z UCTU	2975	31895	\N	CD	76680385
465567	1584	1997-04-07	PRIJEM	PREVOD Z UCTU	2975	32994	\N	CD	76680385
465568	1584	1997-05-07	PRIJEM	PREVOD Z UCTU	2975	34099	\N	CD	76680385
465569	1584	1997-06-07	PRIJEM	PREVOD Z UCTU	2975	34038	\N	CD	76680385
465570	1584	1997-07-07	PRIJEM	PREVOD Z UCTU	2975	28206	\N	CD	76680385
465571	1584	1997-08-07	PRIJEM	PREVOD Z UCTU	2975	29290	\N	CD	76680385
465572	1584	1997-09-07	PRIJEM	PREVOD Z UCTU	2975	30379	\N	CD	76680385
465573	1584	1997-10-07	PRIJEM	PREVOD Z UCTU	2975	31472	\N	CD	76680385
465574	1584	1997-11-07	PRIJEM	PREVOD Z UCTU	2975	29715	\N	CD	76680385
465575	1584	1997-12-07	PRIJEM	PREVOD Z UCTU	2975	30805	\N	CD	76680385
465576	1584	1998-01-07	PRIJEM	PREVOD Z UCTU	2975	31088	\N	CD	76680385
465577	1584	1998-02-07	PRIJEM	PREVOD Z UCTU	2975	32184	\N	CD	76680385
465578	1584	1998-03-07	PRIJEM	PREVOD Z UCTU	2975	31514	\N	CD	76680385
465579	1584	1998-04-07	PRIJEM	PREVOD Z UCTU	2975	32613	\N	CD	76680385
465580	1584	1998-05-07	PRIJEM	PREVOD Z UCTU	2975	33715	\N	CD	76680385
465581	1584	1998-06-07	PRIJEM	PREVOD Z UCTU	2975	34822	\N	CD	76680385
465582	1584	1998-07-07	PRIJEM	PREVOD Z UCTU	2975	29529	\N	CD	76680385
465583	1584	1998-08-07	PRIJEM	PREVOD Z UCTU	2975	30620	\N	CD	76680385
465584	1584	1998-09-07	PRIJEM	PREVOD Z UCTU	2975	31714	\N	CD	76680385
465585	1584	1998-10-07	PRIJEM	PREVOD Z UCTU	2975	32811	\N	CD	76680385
465586	1584	1998-11-07	PRIJEM	PREVOD Z UCTU	2975	32773	\N	CD	76680385
465587	1584	1998-12-07	PRIJEM	PREVOD Z UCTU	2975	33125	\N	CD	76680385
465597	1584	1993-10-10	VYDAJ	PREVOD NA UCET	1983	13492	\N	ST	97312646
465598	1584	1993-11-10	VYDAJ	PREVOD NA UCET	1983	14239	\N	ST	97312646
465599	1584	1993-12-10	VYDAJ	PREVOD NA UCET	1983	15275	\N	ST	97312646
465600	1584	1994-01-10	VYDAJ	PREVOD NA UCET	1983	15653	\N	ST	97312646
465601	1584	1994-02-10	VYDAJ	PREVOD NA UCET	1983	16544	\N	ST	97312646
465602	1584	1994-03-10	VYDAJ	PREVOD NA UCET	1983	17589	\N	ST	97312646
465603	1584	1994-04-10	VYDAJ	PREVOD NA UCET	1983	18639	\N	ST	97312646
465604	1584	1994-05-10	VYDAJ	PREVOD NA UCET	1983	19692	\N	ST	97312646
465605	1584	1994-06-10	VYDAJ	PREVOD NA UCET	1983	12051	\N	ST	97312646
465606	1584	1994-07-10	VYDAJ	PREVOD NA UCET	1983	13089	\N	ST	97312646
465607	1584	1994-08-10	VYDAJ	PREVOD NA UCET	1983	14120	\N	ST	97312646
465608	1584	1994-09-10	VYDAJ	PREVOD NA UCET	1983	13804	\N	ST	97312646
465609	1584	1994-10-10	VYDAJ	PREVOD NA UCET	1983	14146	\N	ST	97312646
465610	1584	1994-11-10	VYDAJ	PREVOD NA UCET	1983	15182	\N	ST	97312646
465611	1584	1994-12-10	VYDAJ	PREVOD NA UCET	1983	15831	\N	ST	97312646
465612	1584	1995-01-10	VYDAJ	PREVOD NA UCET	1983	16874	\N	ST	97312646
465613	1584	1995-02-10	VYDAJ	PREVOD NA UCET	1983	17920	\N	ST	97312646
465614	1584	1995-03-10	VYDAJ	PREVOD NA UCET	1983	18038	\N	ST	97312646
465615	1584	1995-04-10	VYDAJ	PREVOD NA UCET	1983	17706	\N	ST	97312646
465616	1584	1995-05-10	VYDAJ	PREVOD NA UCET	1983	18756	\N	ST	97312646
465617	1584	1995-06-10	VYDAJ	PREVOD NA UCET	1983	16030	\N	ST	97312646
465618	1584	1995-07-10	VYDAJ	PREVOD NA UCET	1983	17077	\N	ST	97312646
465619	1584	1995-08-10	VYDAJ	PREVOD NA UCET	1983	18124	\N	ST	97312646
465620	1584	1995-09-10	VYDAJ	PREVOD NA UCET	1983	19176	\N	ST	97312646
465621	1584	1995-10-10	VYDAJ	PREVOD NA UCET	1983	20232	\N	ST	97312646
465622	1584	1995-11-10	VYDAJ	PREVOD NA UCET	1983	21292	\N	ST	97312646
465623	1584	1995-12-10	VYDAJ	PREVOD NA UCET	1983	21846	\N	ST	97312646
465624	1584	1996-01-10	VYDAJ	PREVOD NA UCET	1983	22915	\N	ST	97312646
465625	1584	1996-02-10	VYDAJ	PREVOD NA UCET	1983	23986	\N	ST	97312646
465626	1584	1996-03-10	VYDAJ	PREVOD NA UCET	1983	24160	\N	ST	97312646
465627	1584	1996-04-10	VYDAJ	PREVOD NA UCET	1983	24514	\N	ST	97312646
465628	1584	1996-05-10	VYDAJ	PREVOD NA UCET	1983	25592	\N	ST	97312646
465629	1584	1996-06-10	VYDAJ	PREVOD NA UCET	1983	26574	\N	ST	97312646
465630	1584	1996-07-10	VYDAJ	PREVOD NA UCET	1983	22772	\N	ST	97312646
465631	1584	1996-08-10	VYDAJ	PREVOD NA UCET	1983	23842	\N	ST	97312646
465632	1584	1996-09-10	VYDAJ	PREVOD NA UCET	1983	24767	\N	ST	97312646
465633	1584	1996-10-10	VYDAJ	PREVOD NA UCET	1983	25847	\N	ST	97312646
465634	1584	1996-11-10	VYDAJ	PREVOD NA UCET	1983	26930	\N	ST	97312646
465635	1584	1996-12-10	VYDAJ	PREVOD NA UCET	1983	27447	\N	ST	97312646
465636	1584	1997-01-10	VYDAJ	PREVOD NA UCET	1983	27726	\N	ST	97312646
465637	1584	1997-02-10	VYDAJ	PREVOD NA UCET	1983	28816	\N	ST	97312646
465638	1584	1997-03-10	VYDAJ	PREVOD NA UCET	1983	29912	\N	ST	97312646
465639	1584	1997-04-10	VYDAJ	PREVOD NA UCET	1983	31011	\N	ST	97312646
465640	1584	1997-05-10	VYDAJ	PREVOD NA UCET	1983	32116	\N	ST	97312646
465641	1584	1997-06-10	VYDAJ	PREVOD NA UCET	1983	32055	\N	ST	97312646
465642	1584	1997-07-10	VYDAJ	PREVOD NA UCET	1983	26223	\N	ST	97312646
465643	1584	1997-08-10	VYDAJ	PREVOD NA UCET	1983	27307	\N	ST	97312646
465644	1584	1997-09-10	VYDAJ	PREVOD NA UCET	1983	28396	\N	ST	97312646
465645	1584	1997-10-10	VYDAJ	PREVOD NA UCET	1983	29489	\N	ST	97312646
465646	1584	1997-11-10	VYDAJ	PREVOD NA UCET	1983	27732	\N	ST	97312646
465647	1584	1997-12-10	VYDAJ	PREVOD NA UCET	1983	28822	\N	ST	97312646
465648	1584	1998-01-10	VYDAJ	PREVOD NA UCET	1983	29105	\N	ST	97312646
465649	1584	1998-02-10	VYDAJ	PREVOD NA UCET	1983	30201	\N	ST	97312646
465650	1584	1998-03-10	VYDAJ	PREVOD NA UCET	1983	29531	\N	ST	97312646
465651	1584	1998-04-10	VYDAJ	PREVOD NA UCET	1983	30630	\N	ST	97312646
465652	1584	1998-05-10	VYDAJ	PREVOD NA UCET	1983	31732	\N	ST	97312646
465653	1584	1998-06-10	VYDAJ	PREVOD NA UCET	1983	32839	\N	ST	97312646
465654	1584	1998-07-10	VYDAJ	PREVOD NA UCET	1983	27546	\N	ST	97312646
465655	1584	1998-08-10	VYDAJ	PREVOD NA UCET	1983	28637	\N	ST	97312646
465656	1584	1998-09-10	VYDAJ	PREVOD NA UCET	1983	29731	\N	ST	97312646
465657	1584	1998-10-10	VYDAJ	PREVOD NA UCET	1983	30828	\N	ST	97312646
465658	1584	1998-11-10	VYDAJ	PREVOD NA UCET	1983	30790	\N	ST	97312646
465659	1584	1998-12-10	VYDAJ	PREVOD NA UCET	1983	31142	\N	ST	97312646
465661	1584	1994-06-07	VYDAJ	VYBER	8520	14034	\N	\N	\N
465662	1584	1995-06-06	VYDAJ	VYBER	3780	15038	\N	\N	\N
465663	1584	1996-06-26	VYDAJ	VYBER	4890	21684	\N	\N	\N
465664	1584	1997-06-17	VYDAJ	VYBER	6390	25665	\N	\N	\N
465665	1584	1998-06-12	VYDAJ	VYBER	5220	27619	\N	\N	\N
465666	1584	1993-12-13	VYDAJ	VYBER	660	14615	\N	\N	\N
465667	1584	1994-12-09	VYDAJ	VYBER	390	17814	\N	\N	\N
465668	1584	1995-12-01	VYDAJ	VYBER	510	20854	\N	\N	\N
465669	1584	1996-12-30	VYDAJ	VYBER	510	26637	\N	\N	\N
465670	1584	1997-12-18	VYDAJ	VYBER	810	28012	\N	\N	\N
465671	1584	1998-12-06	VYDAJ	VYBER	750	30150	\N	\N	\N
465678	1584	1993-10-29	VYDAJ	VYBER	270	13222	\N	\N	\N
465680	1584	1994-06-05	VYDAJ	VYBER	180	19579	\N	\N	\N
465681	1584	1994-08-29	VYDAJ	VYBER	1350	12770	\N	\N	\N
465683	1584	1994-09-18	VYDAJ	VYBER	690	13114	\N	\N	\N
465685	1584	1994-01-20	VYDAJ	VYBER	150	15503	\N	\N	\N
465686	1584	1995-02-12	VYDAJ	VYBER	930	16990	\N	\N	\N
465687	1584	1995-03-13	VYDAJ	VYBER	1380	16658	\N	\N	\N
465688	1584	1996-02-14	VYDAJ	VYBER	900	23086	\N	\N	\N
465689	1584	1996-03-11	VYDAJ	VYBER	720	23440	\N	\N	\N
465690	1584	1996-11-13	VYDAJ	VYBER	570	26360	\N	\N	\N
465691	1584	1996-12-14	VYDAJ	VYBER	300	27147	\N	\N	\N
465692	1584	1996-09-04	VYDAJ	VYBER	150	23775	\N	\N	\N
465693	1584	1997-10-18	VYDAJ	VYBER	420	27779	\N	\N	\N
465694	1584	1997-10-13	VYDAJ	VYBER	1290	28199	\N	\N	\N
465695	1584	1997-06-02	VYDAJ	VYBER	1170	31063	\N	\N	\N
465696	1584	1997-10-25	VYDAJ	VYBER	1140	26639	\N	\N	\N
465697	1584	1997-06-30	VYDAJ	VYBER	540	25246	\N	\N	\N
465698	1584	1998-07-02	VYDAJ	VYBER	1170	26554	\N	\N	\N
465699	1584	1998-03-02	VYDAJ	VYBER	810	28539	\N	\N	\N
465700	1584	1998-02-25	VYDAJ	VYBER	960	29241	\N	\N	\N
465701	1584	1998-10-27	VYDAJ	VYBER	1140	29688	\N	\N	\N
465712	1584	1993-10-31	VYDAJ	VYBER	15	13247	SLUZBY	\N	\N
465713	1584	1993-11-30	VYDAJ	VYBER	15	14283	SLUZBY	\N	\N
465714	1584	1993-12-31	VYDAJ	VYBER	15	14661	SLUZBY	\N	\N
465715	1584	1994-01-31	VYDAJ	VYBER	15	15552	SLUZBY	\N	\N
465716	1584	1994-02-28	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
465717	1584	1994-03-31	VYDAJ	VYBER	15	17647	SLUZBY	\N	\N
465718	1584	1994-04-30	VYDAJ	VYBER	15	18700	SLUZBY	\N	\N
465719	1584	1994-05-31	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
465720	1584	1994-06-30	VYDAJ	VYBER	15	12097	SLUZBY	\N	\N
465721	1584	1994-07-31	VYDAJ	VYBER	15	13128	SLUZBY	\N	\N
465722	1584	1994-08-31	VYDAJ	VYBER	15	12812	SLUZBY	\N	\N
465723	1584	1994-09-30	VYDAJ	VYBER	15	13154	SLUZBY	\N	\N
465724	1584	1994-10-31	VYDAJ	VYBER	15	14190	SLUZBY	\N	\N
465725	1584	1994-11-30	VYDAJ	VYBER	15	15229	SLUZBY	\N	\N
465726	1584	1994-12-31	VYDAJ	VYBER	15	15882	SLUZBY	\N	\N
465727	1584	1995-01-31	VYDAJ	VYBER	15	16928	SLUZBY	\N	\N
465728	1584	1995-02-28	VYDAJ	VYBER	15	17046	SLUZBY	\N	\N
465729	1584	1995-03-31	VYDAJ	VYBER	15	16714	SLUZBY	\N	\N
465730	1584	1995-04-30	VYDAJ	VYBER	15	17764	SLUZBY	\N	\N
465731	1584	1995-05-31	VYDAJ	VYBER	15	18818	SLUZBY	\N	\N
465732	1584	1995-06-30	VYDAJ	VYBER	15	16085	SLUZBY	\N	\N
465733	1584	1995-07-31	VYDAJ	VYBER	15	17132	SLUZBY	\N	\N
465734	1584	1995-08-31	VYDAJ	VYBER	15	18184	SLUZBY	\N	\N
465735	1584	1995-09-30	VYDAJ	VYBER	15	19240	SLUZBY	\N	\N
465736	1584	1995-10-31	VYDAJ	VYBER	15	20300	SLUZBY	\N	\N
465737	1584	1995-11-30	VYDAJ	VYBER	15	21364	SLUZBY	\N	\N
465738	1584	1995-12-31	VYDAJ	VYBER	15	21923	SLUZBY	\N	\N
465739	1584	1996-01-31	VYDAJ	VYBER	15	22994	SLUZBY	\N	\N
465740	1584	1996-02-29	VYDAJ	VYBER	15	23168	SLUZBY	\N	\N
465741	1584	1996-03-31	VYDAJ	VYBER	15	23522	SLUZBY	\N	\N
465742	1584	1996-04-30	VYDAJ	VYBER	15	24600	SLUZBY	\N	\N
465743	1584	1996-05-31	VYDAJ	VYBER	15	25682	SLUZBY	\N	\N
465744	1584	1996-06-30	VYDAJ	VYBER	15	21780	SLUZBY	\N	\N
465745	1584	1996-07-31	VYDAJ	VYBER	15	22850	SLUZBY	\N	\N
465746	1584	1996-08-31	VYDAJ	VYBER	15	23925	SLUZBY	\N	\N
465747	1584	1996-09-30	VYDAJ	VYBER	15	24855	SLUZBY	\N	\N
465748	1584	1996-10-31	VYDAJ	VYBER	15	25938	SLUZBY	\N	\N
465749	1584	1996-11-30	VYDAJ	VYBER	15	26455	SLUZBY	\N	\N
465750	1584	1996-12-31	VYDAJ	VYBER	15	26734	SLUZBY	\N	\N
465751	1584	1997-01-31	VYDAJ	VYBER	15	27824	SLUZBY	\N	\N
465752	1584	1997-02-28	VYDAJ	VYBER	15	28920	SLUZBY	\N	\N
465753	1584	1997-03-31	VYDAJ	VYBER	15	30019	SLUZBY	\N	\N
465754	1584	1997-04-30	VYDAJ	VYBER	15	31124	SLUZBY	\N	\N
465755	1584	1997-05-31	VYDAJ	VYBER	15	32233	SLUZBY	\N	\N
465756	1584	1997-06-30	VYDAJ	VYBER	15	25231	SLUZBY	\N	\N
465757	1584	1997-07-31	VYDAJ	VYBER	15	26315	SLUZBY	\N	\N
465758	1584	1997-08-31	VYDAJ	VYBER	15	27404	SLUZBY	\N	\N
465759	1584	1997-09-30	VYDAJ	VYBER	15	28497	SLUZBY	\N	\N
465760	1584	1997-10-31	VYDAJ	VYBER	15	26740	SLUZBY	\N	\N
465761	1584	1997-11-30	VYDAJ	VYBER	15	27830	SLUZBY	\N	\N
465762	1584	1997-12-31	VYDAJ	VYBER	15	28113	SLUZBY	\N	\N
465763	1584	1998-01-31	VYDAJ	VYBER	15	29209	SLUZBY	\N	\N
465764	1584	1998-02-28	VYDAJ	VYBER	15	29349	SLUZBY	\N	\N
465765	1584	1998-03-31	VYDAJ	VYBER	15	29638	SLUZBY	\N	\N
465766	1584	1998-04-30	VYDAJ	VYBER	15	30740	SLUZBY	\N	\N
465767	1584	1998-05-31	VYDAJ	VYBER	15	31847	SLUZBY	\N	\N
465768	1584	1998-06-30	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
465769	1584	1998-07-31	VYDAJ	VYBER	15	27645	SLUZBY	\N	\N
465770	1584	1998-08-31	VYDAJ	VYBER	15	28739	SLUZBY	\N	\N
465771	1584	1998-09-30	VYDAJ	VYBER	15	29836	SLUZBY	\N	\N
465772	1584	1998-10-31	VYDAJ	VYBER	15	29798	SLUZBY	\N	\N
465773	1584	1998-11-30	VYDAJ	VYBER	15	30900	SLUZBY	\N	\N
465774	1584	1996-06-10	VYDAJ	VYBER	100	28557	\N	\N	\N
465838	1585	1996-02-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
465839	1585	1996-11-27	PRIJEM	VKLAD	7399	36099	\N	\N	\N
465840	1585	1996-12-23	PRIJEM	VKLAD	31419	60938	\N	\N	\N
465841	1585	1997-12-11	PRIJEM	VKLAD	23126	62971	\N	\N	\N
465842	1585	1997-11-30	PRIJEM	VKLAD	16236	39845	\N	\N	\N
465843	1585	1998-08-31	PRIJEM	VKLAD	11934	41386	\N	\N	\N
465844	1585	1998-01-26	PRIJEM	VKLAD	36654	71499	\N	\N	\N
465850	1585	1998-12-06	VYDAJ	VYBER	2000	29089	\N	\N	\N
465878	1585	1998-08-29	VYDAJ	VYBER	1650	29452	\N	\N	\N
465879	1585	1998-10-17	VYDAJ	VYBER	1150	31848	\N	\N	\N
465880	1585	1998-09-19	VYDAJ	VYBER	650	34652	\N	\N	\N
465881	1585	1998-09-18	VYDAJ	VYBER	2100	35302	\N	\N	\N
465883	1585	1998-12-16	VYDAJ	VYBER	2100	30189	\N	\N	\N
465909	1585	1998-01-31	VYDAJ	VYBER	15	71688	SLUZBY	\N	\N
465910	1585	1998-02-28	VYDAJ	VYBER	15	53570	SLUZBY	\N	\N
465911	1585	1998-03-31	VYDAJ	VYBER	15	42377	SLUZBY	\N	\N
465912	1585	1998-04-30	VYDAJ	VYBER	15	36037	SLUZBY	\N	\N
465913	1585	1998-05-31	VYDAJ	VYBER	15	33872	SLUZBY	\N	\N
465914	1585	1998-06-30	VYDAJ	VYBER	15	28398	SLUZBY	\N	\N
465915	1585	1998-07-31	VYDAJ	VYBER	15	31502	SLUZBY	\N	\N
465916	1585	1998-08-31	VYDAJ	VYBER	15	41502	SLUZBY	\N	\N
465917	1585	1998-09-30	VYDAJ	VYBER	15	34798	SLUZBY	\N	\N
465918	1585	1998-10-31	VYDAJ	VYBER	15	31972	SLUZBY	\N	\N
465919	1585	1998-11-30	VYDAJ	VYBER	15	31089	SLUZBY	\N	\N
465920	1585	1996-03-24	PRIJEM	VKLAD	13400	14400	\N	\N	\N
465921	1585	1996-04-23	PRIJEM	VKLAD	8600	23000	\N	\N	\N
465922	1585	1996-05-23	VYDAJ	VYBER	900	22100	\N	\N	\N
465923	1585	1996-06-22	PRIJEM	VKLAD	1100	23200	\N	\N	\N
465924	1585	1996-07-22	PRIJEM	VKLAD	200	23400	\N	\N	\N
465925	1585	1996-08-21	PRIJEM	VKLAD	100	23500	\N	\N	\N
465926	1585	1996-09-20	PRIJEM	VKLAD	1600	25100	\N	\N	\N
465927	1585	1996-11-19	PRIJEM	VKLAD	3600	28700	\N	\N	\N
465928	1585	1996-12-19	VYDAJ	VYBER	6600	29519	\N	\N	\N
465929	1585	1997-01-18	VYDAJ	VYBER	16000	45119	\N	\N	\N
465930	1585	1997-02-17	VYDAJ	VYBER	10500	34872	\N	\N	\N
465931	1585	1997-03-19	VYDAJ	VYBER	6300	28826	\N	\N	\N
465932	1585	1997-04-18	VYDAJ	VYBER	1200	27880	\N	\N	\N
465933	1585	1997-05-18	VYDAJ	VYBER	3300	24834	\N	\N	\N
465934	1585	1997-06-17	PRIJEM	VKLAD	2200	27288	\N	\N	\N
465935	1585	1997-07-17	VYDAJ	VYBER	1300	26242	\N	\N	\N
465936	1585	1997-08-16	VYDAJ	VYBER	700	25796	\N	\N	\N
465937	1585	1997-09-15	VYDAJ	VYBER	1000	25050	\N	\N	\N
465938	1585	1997-10-15	VYDAJ	VYBER	2300	23004	\N	\N	\N
465939	1585	1997-11-14	PRIJEM	VKLAD	100	23358	\N	\N	\N
465940	1585	1997-12-14	VYDAJ	VYBER	19500	43471	\N	\N	\N
465941	1585	1998-01-13	VYDAJ	VYBER	8800	34845	\N	\N	\N
465942	1585	1998-02-12	VYDAJ	VYBER	18400	53288	\N	\N	\N
465943	1585	1998-03-14	VYDAJ	VYBER	11400	42170	\N	\N	\N
465944	1585	1998-04-13	VYDAJ	VYBER	6500	35877	\N	\N	\N
465945	1585	1998-05-13	VYDAJ	VYBER	2300	33737	\N	\N	\N
465946	1585	1998-06-12	VYDAJ	VYBER	5600	28272	\N	\N	\N
465947	1585	1998-07-12	PRIJEM	VKLAD	3000	31398	\N	\N	\N
465948	1585	1998-08-11	VYDAJ	VYBER	400	31102	\N	\N	\N
465949	1585	1998-09-10	VYDAJ	VYBER	4100	37402	\N	\N	\N
465950	1585	1998-10-10	VYDAJ	VYBER	1800	32998	\N	\N	\N
465951	1585	1998-11-09	VYDAJ	VYBER	1000	30972	\N	\N	\N
465952	1585	1998-12-09	PRIJEM	VKLAD	3200	32289	\N	\N	\N
465979	1586	1996-10-03	PRIJEM	VKLAD	200	200	\N	\N	\N
465989	1586	1996-10-09	PRIJEM	VKLAD	16926	17126	\N	\N	\N
465990	1586	1996-11-09	PRIJEM	VKLAD	16926	37605	\N	\N	\N
465991	1586	1996-12-09	PRIJEM	VKLAD	25389	56028	\N	\N	\N
465992	1586	1997-01-09	PRIJEM	VKLAD	16926	61568	\N	\N	\N
465993	1586	1997-02-09	PRIJEM	VKLAD	16926	62842	\N	\N	\N
465994	1586	1997-03-09	PRIJEM	VKLAD	16926	55676	\N	\N	\N
465995	1586	1997-04-09	PRIJEM	VKLAD	16926	55512	\N	\N	\N
465996	1586	1997-05-09	PRIJEM	VKLAD	16926	55243	\N	\N	\N
465997	1586	1997-06-09	PRIJEM	VKLAD	25389	63536	\N	\N	\N
465998	1586	1997-07-09	PRIJEM	VKLAD	16926	40954	\N	\N	\N
465999	1586	1997-08-09	PRIJEM	VKLAD	16926	45290	\N	\N	\N
466000	1586	1997-09-09	PRIJEM	VKLAD	16926	52172	\N	\N	\N
466001	1586	1997-10-09	PRIJEM	VKLAD	16926	52479	\N	\N	\N
466002	1586	1997-11-09	PRIJEM	VKLAD	16926	57187	\N	\N	\N
466003	1586	1997-12-09	PRIJEM	VKLAD	25389	64576	\N	\N	\N
466004	1586	1998-01-09	PRIJEM	VKLAD	16926	57137	\N	\N	\N
466005	1586	1998-02-09	PRIJEM	VKLAD	16926	47078	\N	\N	\N
466006	1586	1998-03-09	PRIJEM	VKLAD	16926	52464	\N	\N	\N
466007	1586	1998-04-09	PRIJEM	VKLAD	16926	54671	\N	\N	\N
466008	1586	1998-05-09	PRIJEM	VKLAD	16926	58588	\N	\N	\N
466009	1586	1998-06-09	PRIJEM	VKLAD	25389	66598	\N	\N	\N
466010	1586	1998-07-09	PRIJEM	VKLAD	16926	51463	\N	\N	\N
466011	1586	1998-08-09	PRIJEM	VKLAD	16926	52961	\N	\N	\N
466012	1586	1998-09-09	PRIJEM	VKLAD	16926	56167	\N	\N	\N
466013	1586	1998-10-09	PRIJEM	VKLAD	16926	55181	\N	\N	\N
466014	1586	1998-11-09	PRIJEM	VKLAD	16926	61799	\N	\N	\N
466015	1586	1998-12-09	PRIJEM	VKLAD	25389	74204	\N	\N	\N
466030	1586	1997-03-06	VYDAJ	PREVOD NA UCET	5504	38750	SIPO	EF	95375972
466031	1586	1997-04-06	VYDAJ	PREVOD NA UCET	5504	38586	SIPO	EF	95375972
466032	1586	1997-05-06	VYDAJ	PREVOD NA UCET	5504	38317	SIPO	EF	95375972
466033	1586	1997-06-06	VYDAJ	PREVOD NA UCET	5504	40547	SIPO	EF	95375972
466034	1586	1997-07-06	VYDAJ	PREVOD NA UCET	5504	24028	SIPO	EF	95375972
466035	1586	1997-08-06	VYDAJ	PREVOD NA UCET	5504	28364	SIPO	EF	95375972
466036	1586	1997-09-06	VYDAJ	PREVOD NA UCET	5504	35246	SIPO	EF	95375972
466037	1586	1997-10-06	VYDAJ	PREVOD NA UCET	5504	35553	SIPO	EF	95375972
466038	1586	1997-11-06	VYDAJ	PREVOD NA UCET	5504	40261	SIPO	EF	95375972
466039	1586	1997-12-06	VYDAJ	PREVOD NA UCET	5504	39187	SIPO	EF	95375972
466040	1586	1998-01-06	VYDAJ	PREVOD NA UCET	5504	40931	SIPO	EF	95375972
466041	1586	1998-02-06	VYDAJ	PREVOD NA UCET	5504	30152	SIPO	EF	95375972
466042	1586	1998-03-06	VYDAJ	PREVOD NA UCET	5504	35538	SIPO	EF	95375972
466043	1586	1998-04-06	VYDAJ	PREVOD NA UCET	5504	37745	SIPO	EF	95375972
466044	1586	1998-05-06	VYDAJ	PREVOD NA UCET	5504	41662	SIPO	EF	95375972
466045	1586	1998-06-06	VYDAJ	PREVOD NA UCET	5504	41209	SIPO	EF	95375972
466046	1586	1998-07-06	VYDAJ	PREVOD NA UCET	5504	34537	SIPO	EF	95375972
466047	1586	1998-08-06	VYDAJ	PREVOD NA UCET	5504	36035	SIPO	EF	95375972
466048	1586	1998-09-06	VYDAJ	PREVOD NA UCET	5504	39241	SIPO	EF	95375972
466049	1586	1998-10-06	VYDAJ	PREVOD NA UCET	5504	38255	SIPO	EF	95375972
466050	1586	1998-11-06	VYDAJ	PREVOD NA UCET	5504	44873	SIPO	EF	95375972
466051	1586	1998-12-06	VYDAJ	PREVOD NA UCET	5504	48815	SIPO	EF	95375972
466053	1586	1997-06-25	VYDAJ	VYBER	42400	21136	\N	\N	\N
466054	1586	1998-06-11	VYDAJ	VYBER	18560	48038	\N	\N	\N
466057	1586	1998-01-22	VYDAJ	VYBER	15200	37377	\N	\N	\N
466059	1586	1997-12-15	VYDAJ	VYBER	1920	62656	\N	\N	\N
466060	1586	1998-12-22	VYDAJ	VYBER	1760	72444	\N	\N	\N
466073	1586	1998-01-19	VYDAJ	VYBER	2040	52577	\N	\N	\N
466074	1586	1998-01-30	VYDAJ	VYBER	1200	35477	\N	\N	\N
466075	1586	1998-01-14	VYDAJ	VYBER	1800	54617	\N	\N	\N
466076	1586	1998-01-08	VYDAJ	VYBER	720	40211	\N	\N	\N
466077	1586	1998-01-10	VYDAJ	VYBER	720	56417	\N	\N	\N
466078	1586	1998-01-05	VYDAJ	VYBER	2040	46435	\N	\N	\N
466086	1586	1997-07-30	VYDAJ	VYBER	4320	33734	\N	\N	\N
466087	1586	1997-10-17	VYDAJ	VYBER	1200	51279	\N	\N	\N
466088	1586	1997-07-14	VYDAJ	VYBER	3600	37354	\N	\N	\N
466089	1586	1997-06-08	VYDAJ	VYBER	2400	38147	\N	\N	\N
466090	1586	1997-02-11	VYDAJ	VYBER	3600	59242	\N	\N	\N
466091	1586	1998-05-19	VYDAJ	VYBER	2280	56308	\N	\N	\N
466092	1586	1998-07-01	VYDAJ	VYBER	1680	40041	\N	\N	\N
466107	1586	1997-02-28	VYDAJ	VYBER	15	59454	SLUZBY	\N	\N
466108	1586	1997-03-31	VYDAJ	VYBER	15	55890	SLUZBY	\N	\N
466109	1586	1997-04-30	VYDAJ	VYBER	15	55721	SLUZBY	\N	\N
466110	1586	1997-05-31	VYDAJ	VYBER	15	55451	SLUZBY	\N	\N
466111	1586	1997-06-30	VYDAJ	VYBER	15	29532	SLUZBY	\N	\N
466112	1586	1997-07-31	VYDAJ	VYBER	15	33868	SLUZBY	\N	\N
466113	1586	1997-08-31	VYDAJ	VYBER	15	40750	SLUZBY	\N	\N
466114	1586	1997-09-30	VYDAJ	VYBER	15	41057	SLUZBY	\N	\N
466115	1586	1997-10-31	VYDAJ	VYBER	15	45765	SLUZBY	\N	\N
466116	1586	1997-11-30	VYDAJ	VYBER	15	44691	SLUZBY	\N	\N
466117	1586	1997-12-31	VYDAJ	VYBER	15	48475	SLUZBY	\N	\N
466118	1586	1998-01-31	VYDAJ	VYBER	15	35656	SLUZBY	\N	\N
466119	1586	1998-02-28	VYDAJ	VYBER	15	41042	SLUZBY	\N	\N
466120	1586	1998-03-31	VYDAJ	VYBER	15	43249	SLUZBY	\N	\N
466121	1586	1998-04-30	VYDAJ	VYBER	15	47166	SLUZBY	\N	\N
466122	1586	1998-05-31	VYDAJ	VYBER	15	46713	SLUZBY	\N	\N
466123	1586	1998-06-30	VYDAJ	VYBER	15	41721	SLUZBY	\N	\N
466124	1586	1998-07-31	VYDAJ	VYBER	15	41539	SLUZBY	\N	\N
466125	1586	1998-08-31	VYDAJ	VYBER	15	44745	SLUZBY	\N	\N
466126	1586	1998-09-30	VYDAJ	VYBER	15	43759	SLUZBY	\N	\N
466127	1586	1998-10-31	VYDAJ	VYBER	15	50377	SLUZBY	\N	\N
466128	1586	1998-11-30	VYDAJ	VYBER	15	54319	SLUZBY	\N	\N
466129	1586	1996-11-02	PRIJEM	VKLAD	3500	20679	\N	\N	\N
466130	1586	1996-12-02	VYDAJ	VYBER	7100	30639	\N	\N	\N
466131	1586	1997-01-01	VYDAJ	VYBER	11600	44642	\N	\N	\N
466132	1586	1997-01-31	VYDAJ	VYBER	15900	45916	\N	\N	\N
466133	1586	1997-03-02	VYDAJ	VYBER	15200	44254	\N	\N	\N
466134	1586	1997-04-01	VYDAJ	VYBER	11800	44090	\N	\N	\N
466135	1586	1997-05-01	VYDAJ	VYBER	11900	43821	\N	\N	\N
466136	1586	1997-05-31	VYDAJ	VYBER	9400	46051	\N	\N	\N
466137	1586	1997-06-30	PRIJEM	VKLAD	8200	29546	\N	\N	\N
466138	1586	1997-07-30	PRIJEM	VKLAD	700	38054	\N	\N	\N
466139	1586	1997-08-29	VYDAJ	VYBER	4700	40590	\N	\N	\N
466140	1586	1997-09-28	VYDAJ	VYBER	11300	40872	\N	\N	\N
466141	1586	1997-10-28	VYDAJ	VYBER	5700	45579	\N	\N	\N
466142	1586	1997-11-27	VYDAJ	VYBER	12700	44487	\N	\N	\N
466143	1586	1997-12-27	VYDAJ	VYBER	14400	48256	\N	\N	\N
466144	1586	1998-01-26	VYDAJ	VYBER	700	36677	\N	\N	\N
466145	1586	1998-02-25	VYDAJ	VYBER	6200	40878	\N	\N	\N
466146	1586	1998-03-27	VYDAJ	VYBER	9400	43064	\N	\N	\N
466147	1586	1998-04-26	VYDAJ	VYBER	7700	46971	\N	\N	\N
466148	1586	1998-05-26	VYDAJ	VYBER	9800	46508	\N	\N	\N
466149	1586	1998-06-25	VYDAJ	VYBER	6500	41538	\N	\N	\N
466150	1586	1998-07-25	VYDAJ	VYBER	10100	41363	\N	\N	\N
466151	1586	1998-08-24	VYDAJ	VYBER	8400	44561	\N	\N	\N
466152	1586	1998-09-23	VYDAJ	VYBER	12600	43567	\N	\N	\N
466153	1586	1998-10-23	VYDAJ	VYBER	5000	50181	\N	\N	\N
466154	1586	1998-11-22	VYDAJ	VYBER	7700	54099	\N	\N	\N
466182	1587	1996-12-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
466194	1587	1996-12-14	PRIJEM	PREVOD Z UCTU	21632	22732	\N	ST	31553483
466195	1587	1997-01-14	PRIJEM	PREVOD Z UCTU	14421	38008	\N	ST	31553483
466196	1587	1997-02-14	PRIJEM	PREVOD Z UCTU	14421	47861	\N	ST	31553483
466197	1587	1997-03-14	PRIJEM	PREVOD Z UCTU	14421	51162	\N	ST	31553483
466198	1587	1997-04-14	PRIJEM	PREVOD Z UCTU	14421	51990	\N	ST	31553483
466199	1587	1997-05-14	PRIJEM	PREVOD Z UCTU	14421	48273	\N	ST	31553483
466200	1587	1997-06-14	PRIJEM	PREVOD Z UCTU	21632	41886	\N	ST	31553483
466201	1587	1997-07-14	PRIJEM	PREVOD Z UCTU	14421	45259	\N	ST	31553483
466202	1587	1997-08-14	PRIJEM	PREVOD Z UCTU	14421	44045	\N	ST	31553483
466203	1587	1997-09-14	PRIJEM	PREVOD Z UCTU	14421	46028	\N	ST	31553483
466204	1587	1997-10-14	PRIJEM	PREVOD Z UCTU	14421	47722	\N	ST	31553483
466205	1587	1997-11-14	PRIJEM	PREVOD Z UCTU	14421	42206	\N	ST	31553483
466206	1587	1997-12-14	PRIJEM	PREVOD Z UCTU	21632	46827	\N	ST	31553483
466207	1587	1998-01-14	PRIJEM	PREVOD Z UCTU	14421	28598	\N	ST	31553483
466208	1587	1998-02-14	PRIJEM	PREVOD Z UCTU	14421	34708	\N	ST	31553483
466209	1587	1998-03-14	PRIJEM	PREVOD Z UCTU	14421	28307	\N	ST	31553483
466210	1587	1998-04-14	PRIJEM	PREVOD Z UCTU	14421	30031	\N	ST	31553483
466211	1587	1998-05-14	PRIJEM	PREVOD Z UCTU	14421	44560	\N	ST	31553483
466212	1587	1998-06-14	PRIJEM	PREVOD Z UCTU	21632	43004	\N	ST	31553483
466213	1587	1998-07-14	PRIJEM	PREVOD Z UCTU	14421	33792	\N	ST	31553483
466214	1587	1998-08-14	PRIJEM	PREVOD Z UCTU	14421	39045	\N	ST	31553483
466215	1587	1998-09-14	PRIJEM	PREVOD Z UCTU	14421	32556	\N	ST	31553483
466216	1587	1998-10-14	PRIJEM	PREVOD Z UCTU	14421	38109	\N	ST	31553483
466217	1587	1998-11-14	PRIJEM	PREVOD Z UCTU	14421	27712	\N	ST	31553483
466218	1587	1998-12-14	PRIJEM	PREVOD Z UCTU	21632	49447	\N	ST	31553483
466223	1587	1997-04-24	VYBER	VYBER	7232	44758	\N	\N	\N
466224	1587	1997-11-30	VYBER	VYBER	8367	34010	\N	\N	\N
466229	1587	1998-10-18	VYBER	VYBER	9035	29074	\N	\N	\N
466238	1587	1997-06-09	VYDAJ	VYBER	29700	21754	\N	\N	\N
466244	1587	1997-12-24	VYDAJ	VYBER	7800	39027	\N	\N	\N
466245	1587	1998-12-19	VYDAJ	VYBER	7500	41947	\N	\N	\N
466259	1587	1998-01-04	VYDAJ	VYBER	6600	24777	\N	\N	\N
466260	1587	1998-01-02	VYDAJ	VYBER	7800	31377	\N	\N	\N
466263	1587	1998-01-14	VYDAJ	VYBER	8400	20198	\N	\N	\N
466270	1587	1997-10-15	VYDAJ	VYBER	8100	39622	\N	\N	\N
466272	1587	1997-06-10	VYDAJ	VYBER	1500	20254	\N	\N	\N
466273	1587	1997-07-27	VYDAJ	VYBER	5400	39859	\N	\N	\N
466275	1587	1998-10-01	VYDAJ	VYBER	9000	23688	\N	\N	\N
466276	1587	1998-07-24	VYDAJ	VYBER	9300	24492	\N	\N	\N
466277	1587	1998-02-22	VYDAJ	VYBER	6300	28408	\N	\N	\N
466294	1587	1997-04-30	VYDAJ	VYBER	15	44952	SLUZBY	\N	\N
466295	1587	1997-05-31	VYDAJ	VYBER	15	48454	SLUZBY	\N	\N
466296	1587	1997-06-30	VYDAJ	VYBER	15	42038	SLUZBY	\N	\N
466297	1587	1997-07-31	VYDAJ	VYBER	15	40024	SLUZBY	\N	\N
466298	1587	1997-08-31	VYDAJ	VYBER	15	44207	SLUZBY	\N	\N
466299	1587	1997-09-30	VYDAJ	VYBER	15	46201	SLUZBY	\N	\N
466300	1587	1997-10-31	VYDAJ	VYBER	15	39785	SLUZBY	\N	\N
466301	1587	1997-11-30	VYDAJ	VYBER	15	33995	SLUZBY	\N	\N
466302	1587	1997-12-31	VYDAJ	VYBER	15	39177	SLUZBY	\N	\N
466303	1587	1998-01-31	VYDAJ	VYBER	15	20287	SLUZBY	\N	\N
466304	1587	1998-02-28	VYDAJ	VYBER	15	28486	SLUZBY	\N	\N
466305	1587	1998-03-31	VYDAJ	VYBER	15	28410	SLUZBY	\N	\N
466306	1587	1998-04-30	VYDAJ	VYBER	15	30139	SLUZBY	\N	\N
466307	1587	1998-05-31	VYDAJ	VYBER	15	44672	SLUZBY	\N	\N
466308	1587	1998-06-30	VYDAJ	VYBER	15	43171	SLUZBY	\N	\N
466309	1587	1998-07-31	VYDAJ	VYBER	15	24624	SLUZBY	\N	\N
466310	1587	1998-08-31	VYDAJ	VYBER	15	39135	SLUZBY	\N	\N
466311	1587	1998-09-30	VYDAJ	VYBER	15	32688	SLUZBY	\N	\N
466312	1587	1998-10-31	VYDAJ	VYBER	15	29191	SLUZBY	\N	\N
466313	1587	1998-11-30	VYDAJ	VYBER	15	27815	SLUZBY	\N	\N
466314	1587	1997-01-10	PRIJEM	VKLAD	800	23587	\N	\N	\N
466315	1587	1997-02-09	VYDAJ	VYBER	4700	33440	\N	\N	\N
466316	1587	1997-03-11	VYDAJ	VYBER	11300	36741	\N	\N	\N
466317	1587	1997-04-10	VYDAJ	VYBER	13800	37569	\N	\N	\N
466318	1587	1997-05-10	VYDAJ	VYBER	11100	33852	\N	\N	\N
466319	1587	1997-06-09	PRIJEM	VKLAD	3000	51454	\N	\N	\N
466320	1587	1997-07-09	VYDAJ	VYBER	11200	30838	\N	\N	\N
466321	1587	1997-08-08	VYDAJ	VYBER	10400	29624	\N	\N	\N
466322	1587	1997-09-07	VYDAJ	VYBER	12600	31607	\N	\N	\N
466323	1587	1997-10-07	VYDAJ	VYBER	12900	33301	\N	\N	\N
466324	1587	1997-11-06	VYDAJ	VYBER	12000	27785	\N	\N	\N
466325	1587	1997-12-06	VYDAJ	VYBER	8800	25195	\N	\N	\N
466326	1587	1998-01-05	VYDAJ	VYBER	10600	14177	\N	\N	\N
466327	1587	1998-03-06	VYDAJ	VYBER	14600	13886	\N	\N	\N
466328	1587	1998-04-05	VYDAJ	VYBER	12800	15610	\N	\N	\N
466329	1587	1998-06-04	VYDAJ	VYBER	23300	21372	\N	\N	\N
466330	1587	1998-07-04	VYDAJ	VYBER	23800	19371	\N	\N	\N
466331	1587	1998-09-02	VYDAJ	VYBER	21000	18135	\N	\N	\N
466332	1587	1998-11-01	VYDAJ	VYBER	15900	13291	\N	\N	\N
466358	1588	1993-12-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
466371	1588	1994-01-06	PRIJEM	PREVOD Z UCTU	3665	4665	\N	CD	53922432
466372	1588	1994-02-06	PRIJEM	PREVOD Z UCTU	3665	16468	\N	CD	53922432
466373	1588	1994-03-06	PRIJEM	PREVOD Z UCTU	3665	24911	\N	CD	53922432
466374	1588	1994-04-06	PRIJEM	PREVOD Z UCTU	3665	26268	\N	CD	53922432
466375	1588	1994-05-06	PRIJEM	PREVOD Z UCTU	3665	30539	\N	CD	53922432
466376	1588	1994-06-06	PRIJEM	PREVOD Z UCTU	3665	28253	\N	CD	53922432
466377	1588	1994-07-06	PRIJEM	PREVOD Z UCTU	3665	21153	\N	CD	53922432
466378	1588	1994-08-06	PRIJEM	PREVOD Z UCTU	3665	22740	\N	CD	53922432
466379	1588	1994-09-06	PRIJEM	PREVOD Z UCTU	3665	25437	\N	CD	53922432
466380	1588	1994-10-06	PRIJEM	PREVOD Z UCTU	3665	30053	\N	CD	53922432
466381	1588	1994-11-06	PRIJEM	PREVOD Z UCTU	3665	30066	\N	CD	53922432
466382	1588	1994-12-06	PRIJEM	PREVOD Z UCTU	3665	31059	\N	CD	53922432
466383	1588	1995-01-06	PRIJEM	PREVOD Z UCTU	3665	29432	\N	CD	53922432
466384	1588	1995-02-06	PRIJEM	PREVOD Z UCTU	3665	29841	\N	CD	53922432
466385	1588	1995-03-06	PRIJEM	PREVOD Z UCTU	3665	31163	\N	CD	53922432
466386	1588	1995-04-06	PRIJEM	PREVOD Z UCTU	3665	30283	\N	CD	53922432
466387	1588	1995-05-06	PRIJEM	PREVOD Z UCTU	3665	31307	\N	CD	53922432
466388	1588	1995-06-06	PRIJEM	PREVOD Z UCTU	3665	30692	\N	CD	53922432
466389	1588	1995-07-06	PRIJEM	PREVOD Z UCTU	3665	30151	\N	CD	53922432
466390	1588	1995-08-06	PRIJEM	PREVOD Z UCTU	3665	33371	\N	CD	53922432
466391	1588	1995-09-06	PRIJEM	PREVOD Z UCTU	3665	31207	\N	CD	53922432
466392	1588	1995-10-06	PRIJEM	PREVOD Z UCTU	3665	28517	\N	CD	53922432
466393	1588	1995-11-06	PRIJEM	PREVOD Z UCTU	3665	29437	\N	CD	53922432
466394	1588	1995-12-06	PRIJEM	PREVOD Z UCTU	3665	29138	\N	CD	53922432
466395	1588	1996-01-06	PRIJEM	PREVOD Z UCTU	3665	27287	\N	CD	53922432
466396	1588	1996-02-06	PRIJEM	PREVOD Z UCTU	3665	27159	\N	CD	53922432
466397	1588	1996-03-06	PRIJEM	PREVOD Z UCTU	3665	25767	\N	CD	53922432
466398	1588	1996-04-06	PRIJEM	PREVOD Z UCTU	3665	28869	\N	CD	53922432
466399	1588	1996-05-06	PRIJEM	PREVOD Z UCTU	3665	24882	\N	CD	53922432
466400	1588	1996-06-06	PRIJEM	PREVOD Z UCTU	3665	26681	\N	CD	53922432
466401	1588	1996-07-06	PRIJEM	PREVOD Z UCTU	3665	21543	\N	CD	53922432
466402	1588	1996-08-06	PRIJEM	PREVOD Z UCTU	3665	21944	\N	CD	53922432
466403	1588	1996-09-06	PRIJEM	PREVOD Z UCTU	3665	26432	\N	CD	53922432
466404	1588	1996-10-06	PRIJEM	PREVOD Z UCTU	3665	29738	\N	CD	53922432
466405	1588	1996-11-06	PRIJEM	PREVOD Z UCTU	3665	27753	\N	CD	53922432
466406	1588	1996-12-06	PRIJEM	PREVOD Z UCTU	3665	27332	\N	CD	53922432
466407	1588	1997-01-06	PRIJEM	PREVOD Z UCTU	3665	29645	\N	CD	53922432
466408	1588	1997-02-06	PRIJEM	PREVOD Z UCTU	3665	30131	\N	CD	53922432
466409	1588	1997-03-06	PRIJEM	PREVOD Z UCTU	3665	30649	\N	CD	53922432
466410	1588	1997-04-06	PRIJEM	PREVOD Z UCTU	3665	27367	\N	CD	53922432
466411	1588	1997-05-06	PRIJEM	PREVOD Z UCTU	3665	27473	\N	CD	53922432
466412	1588	1997-06-06	PRIJEM	PREVOD Z UCTU	3665	25778	\N	CD	53922432
466413	1588	1997-07-06	PRIJEM	PREVOD Z UCTU	3665	19920	\N	CD	53922432
466414	1588	1997-08-06	PRIJEM	PREVOD Z UCTU	3665	19615	\N	CD	53922432
466415	1588	1997-09-06	PRIJEM	PREVOD Z UCTU	3665	20895	\N	CD	53922432
466416	1588	1997-10-06	PRIJEM	PREVOD Z UCTU	3665	17269	\N	CD	53922432
466417	1588	1997-11-06	PRIJEM	PREVOD Z UCTU	3665	21839	\N	CD	53922432
466418	1588	1997-12-06	PRIJEM	PREVOD Z UCTU	3665	24826	\N	CD	53922432
466419	1588	1998-01-06	PRIJEM	PREVOD Z UCTU	3665	24481	\N	CD	53922432
466420	1588	1998-02-06	PRIJEM	PREVOD Z UCTU	3665	25156	\N	CD	53922432
466421	1588	1998-03-06	PRIJEM	PREVOD Z UCTU	3665	24951	\N	CD	53922432
466422	1588	1998-04-06	PRIJEM	PREVOD Z UCTU	3665	23544	\N	CD	53922432
466423	1588	1998-05-06	PRIJEM	PREVOD Z UCTU	3665	20328	\N	CD	53922432
466424	1588	1998-06-06	PRIJEM	PREVOD Z UCTU	3665	16596	\N	CD	53922432
466425	1588	1998-07-06	PRIJEM	PREVOD Z UCTU	3665	16756	\N	CD	53922432
466426	1588	1998-08-06	PRIJEM	PREVOD Z UCTU	3665	16476	\N	CD	53922432
466427	1588	1998-09-06	PRIJEM	PREVOD Z UCTU	3665	17737	\N	CD	53922432
466428	1588	1998-10-06	PRIJEM	PREVOD Z UCTU	3665	19005	\N	CD	53922432
466429	1588	1998-11-06	PRIJEM	PREVOD Z UCTU	3665	16669	\N	CD	53922432
466430	1588	1998-12-06	PRIJEM	PREVOD Z UCTU	3665	17931	\N	CD	53922432
466447	1588	1994-05-14	VYDAJ	PREVOD NA UCET	2443	24496	SIPO	KL	66344201
466448	1588	1994-06-14	VYDAJ	PREVOD NA UCET	2443	25210	SIPO	KL	66344201
466449	1588	1994-07-14	VYDAJ	PREVOD NA UCET	2443	19010	SIPO	KL	66344201
466450	1588	1994-08-14	VYDAJ	PREVOD NA UCET	2443	21697	SIPO	KL	66344201
466451	1588	1994-09-14	VYDAJ	PREVOD NA UCET	2443	26294	SIPO	KL	66344201
466452	1588	1994-10-14	VYDAJ	PREVOD NA UCET	2443	24510	SIPO	KL	66344201
466453	1588	1994-11-14	VYDAJ	PREVOD NA UCET	2443	27623	SIPO	KL	66344201
466454	1588	1994-12-14	VYDAJ	PREVOD NA UCET	2443	26716	SIPO	KL	66344201
466455	1588	1995-01-14	VYDAJ	PREVOD NA UCET	2443	26989	SIPO	KL	66344201
466456	1588	1995-02-14	VYDAJ	PREVOD NA UCET	2443	27398	SIPO	KL	66344201
466457	1588	1995-03-14	VYDAJ	PREVOD NA UCET	2443	24920	SIPO	KL	66344201
466458	1588	1995-04-14	VYDAJ	PREVOD NA UCET	2443	27840	SIPO	KL	66344201
466459	1588	1995-05-14	VYDAJ	PREVOD NA UCET	2443	28864	SIPO	KL	66344201
466460	1588	1995-06-14	VYDAJ	PREVOD NA UCET	2443	28249	SIPO	KL	66344201
466461	1588	1995-07-14	VYDAJ	PREVOD NA UCET	2443	27708	SIPO	KL	66344201
466462	1588	1995-08-14	VYDAJ	PREVOD NA UCET	2443	30928	SIPO	KL	66344201
466463	1588	1995-09-14	VYDAJ	PREVOD NA UCET	2443	28764	SIPO	KL	66344201
466464	1588	1995-10-14	VYDAJ	PREVOD NA UCET	2443	26074	SIPO	KL	66344201
466465	1588	1995-11-14	VYDAJ	PREVOD NA UCET	2443	26994	SIPO	KL	66344201
466466	1588	1995-12-14	VYDAJ	PREVOD NA UCET	2443	26125	SIPO	KL	66344201
466467	1588	1996-01-14	VYDAJ	PREVOD NA UCET	2443	24844	SIPO	KL	66344201
466468	1588	1996-02-14	VYDAJ	PREVOD NA UCET	2443	24716	SIPO	KL	66344201
466469	1588	1996-03-14	VYDAJ	PREVOD NA UCET	2443	23324	SIPO	KL	66344201
466470	1588	1996-04-14	VYDAJ	PREVOD NA UCET	2443	26426	SIPO	KL	66344201
466471	1588	1996-05-14	VYDAJ	PREVOD NA UCET	2443	22439	SIPO	KL	66344201
466472	1588	1996-06-14	VYDAJ	PREVOD NA UCET	2443	24238	SIPO	KL	66344201
466473	1588	1996-07-14	VYDAJ	PREVOD NA UCET	2443	19100	SIPO	KL	66344201
466474	1588	1996-08-14	VYDAJ	PREVOD NA UCET	2443	19501	SIPO	KL	66344201
466475	1588	1996-09-14	VYDAJ	PREVOD NA UCET	2443	23989	SIPO	KL	66344201
466476	1588	1996-10-14	VYDAJ	PREVOD NA UCET	2443	27295	SIPO	KL	66344201
466477	1588	1996-11-14	VYDAJ	PREVOD NA UCET	2443	25310	SIPO	KL	66344201
466478	1588	1996-12-14	VYDAJ	PREVOD NA UCET	2443	24889	SIPO	KL	66344201
466479	1588	1997-01-14	VYDAJ	PREVOD NA UCET	2443	25882	SIPO	KL	66344201
466480	1588	1997-02-14	VYDAJ	PREVOD NA UCET	2443	27688	SIPO	KL	66344201
466481	1588	1997-03-14	VYDAJ	PREVOD NA UCET	2443	28206	SIPO	KL	66344201
466482	1588	1997-04-14	VYDAJ	PREVOD NA UCET	2443	24924	SIPO	KL	66344201
466483	1588	1997-05-14	VYDAJ	PREVOD NA UCET	2443	25030	SIPO	KL	66344201
466484	1588	1997-06-14	VYDAJ	PREVOD NA UCET	2443	23335	SIPO	KL	66344201
466485	1588	1997-07-14	VYDAJ	PREVOD NA UCET	2443	17477	SIPO	KL	66344201
466486	1588	1997-08-14	VYDAJ	PREVOD NA UCET	2443	17172	SIPO	KL	66344201
466487	1588	1997-09-14	VYDAJ	PREVOD NA UCET	2443	18452	SIPO	KL	66344201
466488	1588	1997-10-14	VYDAJ	PREVOD NA UCET	2443	14826	SIPO	KL	66344201
466489	1588	1997-11-14	VYDAJ	PREVOD NA UCET	2443	19396	SIPO	KL	66344201
466490	1588	1997-12-14	VYDAJ	PREVOD NA UCET	2443	22023	SIPO	KL	66344201
466491	1588	1998-01-14	VYDAJ	PREVOD NA UCET	2443	22038	SIPO	KL	66344201
466492	1588	1998-02-14	VYDAJ	PREVOD NA UCET	2443	22713	SIPO	KL	66344201
466493	1588	1998-03-14	VYDAJ	PREVOD NA UCET	2443	22508	SIPO	KL	66344201
466494	1588	1998-04-14	VYDAJ	PREVOD NA UCET	2443	21101	SIPO	KL	66344201
466495	1588	1998-05-14	VYDAJ	PREVOD NA UCET	2443	17885	SIPO	KL	66344201
466496	1588	1998-06-14	VYDAJ	PREVOD NA UCET	2443	14153	SIPO	KL	66344201
466497	1588	1998-07-14	VYDAJ	PREVOD NA UCET	2443	12873	SIPO	KL	66344201
466498	1588	1998-08-14	VYDAJ	PREVOD NA UCET	2443	14033	SIPO	KL	66344201
466499	1588	1998-09-14	VYDAJ	PREVOD NA UCET	2443	15294	SIPO	KL	66344201
466500	1588	1998-10-14	VYDAJ	PREVOD NA UCET	2443	16562	SIPO	KL	66344201
466501	1588	1998-11-14	VYDAJ	PREVOD NA UCET	2443	14226	SIPO	KL	66344201
466502	1588	1998-12-14	VYDAJ	PREVOD NA UCET	2443	15488	SIPO	KL	66344201
466504	1588	1994-06-19	VYDAJ	VYBER	7800	17410	\N	\N	\N
466505	1588	1995-06-24	VYDAJ	VYBER	7260	20989	\N	\N	\N
466506	1588	1996-06-15	VYDAJ	VYBER	5130	19108	\N	\N	\N
466507	1588	1997-06-21	VYDAJ	VYBER	6450	16885	\N	\N	\N
466511	1588	1995-01-19	VYDAJ	VYBER	2010	24979	\N	\N	\N
466512	1588	1996-01-18	VYDAJ	VYBER	2340	21814	\N	\N	\N
466513	1588	1997-01-22	VYDAJ	VYBER	2610	23272	\N	\N	\N
466514	1588	1998-01-23	VYDAJ	VYBER	1020	21418	\N	\N	\N
466516	1588	1994-12-28	VYDAJ	VYBER	780	25936	\N	\N	\N
466517	1588	1995-12-08	VYDAJ	VYBER	570	28568	\N	\N	\N
466518	1588	1996-12-01	VYDAJ	VYBER	630	23667	\N	\N	\N
466519	1588	1997-12-21	VYDAJ	VYBER	180	20743	\N	\N	\N
466520	1588	1998-12-17	VYDAJ	VYBER	210	15278	\N	\N	\N
466528	1588	1994-12-04	VYDAJ	VYBER	330	27394	\N	\N	\N
466531	1588	1995-11-28	VYDAJ	VYBER	720	26274	\N	\N	\N
466532	1588	1995-05-24	VYDAJ	VYBER	1410	26224	\N	\N	\N
466533	1588	1995-01-04	VYDAJ	VYBER	870	25167	\N	\N	\N
466534	1588	1995-07-27	VYDAJ	VYBER	1200	26508	\N	\N	\N
466535	1588	1995-05-14	VYDAJ	VYBER	1230	27634	\N	\N	\N
466536	1588	1995-09-26	VYDAJ	VYBER	1020	27744	\N	\N	\N
466537	1588	1996-06-20	VYDAJ	VYBER	1200	17908	\N	\N	\N
466538	1588	1996-07-16	VYDAJ	VYBER	1380	17720	\N	\N	\N
466539	1588	1996-01-16	VYDAJ	VYBER	690	24154	\N	\N	\N
466540	1588	1997-08-05	VYDAJ	VYBER	780	15950	\N	\N	\N
466541	1588	1997-01-10	VYDAJ	VYBER	1320	28325	\N	\N	\N
466542	1588	1997-12-11	VYDAJ	VYBER	360	24466	\N	\N	\N
466545	1588	1998-07-11	VYDAJ	VYBER	1440	15316	\N	\N	\N
466547	1588	1998-09-28	VYDAJ	VYBER	900	15294	\N	\N	\N
466565	1588	1994-05-31	VYDAJ	VYBER	15	24588	SLUZBY	\N	\N
466566	1588	1994-06-30	VYDAJ	VYBER	15	17488	SLUZBY	\N	\N
466567	1588	1994-07-31	VYDAJ	VYBER	15	19075	SLUZBY	\N	\N
466568	1588	1994-08-31	VYDAJ	VYBER	15	21772	SLUZBY	\N	\N
466569	1588	1994-09-30	VYDAJ	VYBER	15	26388	SLUZBY	\N	\N
466570	1588	1994-10-31	VYDAJ	VYBER	15	24601	SLUZBY	\N	\N
466571	1588	1994-11-30	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
466572	1588	1994-12-31	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
466573	1588	1995-01-31	VYDAJ	VYBER	15	25076	SLUZBY	\N	\N
466574	1588	1995-02-28	VYDAJ	VYBER	15	27498	SLUZBY	\N	\N
466575	1588	1995-03-31	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
466576	1588	1995-04-30	VYDAJ	VYBER	15	27942	SLUZBY	\N	\N
466577	1588	1995-05-31	VYDAJ	VYBER	15	26327	SLUZBY	\N	\N
466578	1588	1995-06-30	VYDAJ	VYBER	15	21086	SLUZBY	\N	\N
466579	1588	1995-07-31	VYDAJ	VYBER	15	26606	SLUZBY	\N	\N
466580	1588	1995-08-31	VYDAJ	VYBER	15	31042	SLUZBY	\N	\N
466581	1588	1995-09-30	VYDAJ	VYBER	15	27852	SLUZBY	\N	\N
466582	1588	1995-10-31	VYDAJ	VYBER	15	26172	SLUZBY	\N	\N
466583	1588	1995-11-30	VYDAJ	VYBER	15	26373	SLUZBY	\N	\N
466584	1588	1995-12-31	VYDAJ	VYBER	15	23622	SLUZBY	\N	\N
466585	1588	1996-01-31	VYDAJ	VYBER	15	23494	SLUZBY	\N	\N
466586	1588	1996-02-29	VYDAJ	VYBER	15	22102	SLUZBY	\N	\N
466587	1588	1996-03-31	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
466588	1588	1996-04-30	VYDAJ	VYBER	15	21217	SLUZBY	\N	\N
466589	1588	1996-05-31	VYDAJ	VYBER	15	23016	SLUZBY	\N	\N
466590	1588	1996-06-30	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
466591	1588	1996-07-31	VYDAJ	VYBER	15	18279	SLUZBY	\N	\N
466592	1588	1996-08-31	VYDAJ	VYBER	15	22767	SLUZBY	\N	\N
466593	1588	1996-09-30	VYDAJ	VYBER	15	26073	SLUZBY	\N	\N
466594	1588	1996-10-31	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
466595	1588	1996-11-30	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
466596	1588	1996-12-31	VYDAJ	VYBER	15	25980	SLUZBY	\N	\N
466597	1588	1997-01-31	VYDAJ	VYBER	15	26466	SLUZBY	\N	\N
466598	1588	1997-02-28	VYDAJ	VYBER	15	26984	SLUZBY	\N	\N
466599	1588	1997-03-31	VYDAJ	VYBER	15	23702	SLUZBY	\N	\N
466600	1588	1997-04-30	VYDAJ	VYBER	15	23808	SLUZBY	\N	\N
466601	1588	1997-05-31	VYDAJ	VYBER	15	22113	SLUZBY	\N	\N
466602	1588	1997-06-30	VYDAJ	VYBER	15	16255	SLUZBY	\N	\N
466603	1588	1997-07-31	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
466604	1588	1997-08-31	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
466605	1588	1997-09-30	VYDAJ	VYBER	15	13604	SLUZBY	\N	\N
466606	1588	1997-10-31	VYDAJ	VYBER	15	18174	SLUZBY	\N	\N
466607	1588	1997-11-30	VYDAJ	VYBER	15	21161	SLUZBY	\N	\N
466608	1588	1997-12-31	VYDAJ	VYBER	15	20816	SLUZBY	\N	\N
466609	1588	1998-01-31	VYDAJ	VYBER	15	21491	SLUZBY	\N	\N
466610	1588	1998-02-28	VYDAJ	VYBER	15	21286	SLUZBY	\N	\N
466611	1588	1998-03-31	VYDAJ	VYBER	15	19879	SLUZBY	\N	\N
466612	1588	1998-04-30	VYDAJ	VYBER	15	16663	SLUZBY	\N	\N
466613	1588	1998-05-31	VYDAJ	VYBER	15	12931	SLUZBY	\N	\N
466614	1588	1998-06-30	VYDAJ	VYBER	15	13091	SLUZBY	\N	\N
466615	1588	1998-07-31	VYDAJ	VYBER	15	12811	SLUZBY	\N	\N
466616	1588	1998-08-31	VYDAJ	VYBER	15	14072	SLUZBY	\N	\N
466617	1588	1998-09-30	VYDAJ	VYBER	15	15340	SLUZBY	\N	\N
466618	1588	1998-10-31	VYDAJ	VYBER	15	13004	SLUZBY	\N	\N
466619	1588	1998-11-30	VYDAJ	VYBER	15	14266	SLUZBY	\N	\N
466620	1588	1994-01-10	PRIJEM	VKLAD	8100	12765	\N	\N	\N
466621	1588	1994-02-09	PRIJEM	VKLAD	4700	21168	\N	\N	\N
466622	1588	1994-03-11	VYDAJ	VYBER	2400	22511	\N	\N	\N
466623	1588	1994-04-10	PRIJEM	VKLAD	500	26768	\N	\N	\N
466624	1588	1994-05-10	VYDAJ	VYBER	3600	26939	\N	\N	\N
466625	1588	1994-06-09	VYDAJ	VYBER	600	27653	\N	\N	\N
466626	1588	1994-07-09	PRIJEM	VKLAD	300	21453	\N	\N	\N
466627	1588	1994-08-08	PRIJEM	VKLAD	1400	24140	\N	\N	\N
466628	1588	1994-09-07	PRIJEM	VKLAD	3300	28737	\N	\N	\N
466629	1588	1994-10-07	VYDAJ	VYBER	3100	26953	\N	\N	\N
466630	1588	1994-11-06	PRIJEM	VKLAD	1800	26401	\N	\N	\N
466631	1588	1994-12-06	VYDAJ	VYBER	1900	29159	\N	\N	\N
466632	1588	1995-01-05	PRIJEM	VKLAD	600	25767	\N	\N	\N
466633	1588	1995-02-04	PRIJEM	VKLAD	1100	26176	\N	\N	\N
466634	1588	1995-03-06	VYDAJ	VYBER	3800	27363	\N	\N	\N
466635	1588	1995-04-05	PRIJEM	VKLAD	1600	26618	\N	\N	\N
466636	1588	1995-05-05	VYDAJ	VYBER	300	27642	\N	\N	\N
466637	1588	1995-06-04	PRIJEM	VKLAD	700	27027	\N	\N	\N
466638	1588	1995-07-04	PRIJEM	VKLAD	5400	26486	\N	\N	\N
466639	1588	1995-08-03	PRIJEM	VKLAD	3100	29706	\N	\N	\N
466640	1588	1995-09-02	VYDAJ	VYBER	3500	27542	\N	\N	\N
466641	1588	1995-10-02	VYDAJ	VYBER	3000	24852	\N	\N	\N
466642	1588	1995-11-01	VYDAJ	VYBER	400	25772	\N	\N	\N
466643	1588	1995-12-01	VYDAJ	VYBER	900	25473	\N	\N	\N
466644	1588	1995-12-31	VYDAJ	VYBER	2600	23636	\N	\N	\N
466645	1588	1996-01-30	PRIJEM	VKLAD	1600	23414	\N	\N	\N
466646	1588	1996-02-29	VYDAJ	VYBER	2700	22116	\N	\N	\N
466647	1588	1996-03-30	PRIJEM	VKLAD	1800	25124	\N	\N	\N
466648	1588	1996-04-29	VYDAJ	VYBER	5300	21126	\N	\N	\N
466649	1588	1996-05-29	PRIJEM	VKLAD	500	22939	\N	\N	\N
466650	1588	1996-06-28	VYDAJ	VYBER	100	17808	\N	\N	\N
466651	1588	1996-07-28	PRIJEM	VKLAD	500	18220	\N	\N	\N
466652	1588	1996-08-27	PRIJEM	VKLAD	3200	22701	\N	\N	\N
466653	1588	1996-09-26	PRIJEM	VKLAD	2000	25989	\N	\N	\N
466654	1588	1996-10-26	VYDAJ	VYBER	3300	23995	\N	\N	\N
466655	1588	1996-11-25	VYDAJ	VYBER	1100	24210	\N	\N	\N
466656	1588	1996-12-25	PRIJEM	VKLAD	1000	25889	\N	\N	\N
466657	1588	1997-01-24	PRIJEM	VKLAD	3100	26372	\N	\N	\N
466658	1588	1997-02-23	VYDAJ	VYBER	800	26888	\N	\N	\N
466659	1588	1997-03-25	VYDAJ	VYBER	4600	23606	\N	\N	\N
466660	1588	1997-04-24	VYDAJ	VYBER	1200	23724	\N	\N	\N
466661	1588	1997-05-24	VYDAJ	VYBER	3000	22030	\N	\N	\N
466662	1588	1997-06-23	VYDAJ	VYBER	700	16185	\N	\N	\N
466663	1588	1997-07-23	VYDAJ	VYBER	800	16677	\N	\N	\N
466664	1588	1997-09-21	VYDAJ	VYBER	4900	13552	\N	\N	\N
466665	1588	1997-10-21	PRIJEM	VKLAD	3300	18126	\N	\N	\N
466666	1588	1997-11-20	PRIJEM	VKLAD	1700	21096	\N	\N	\N
466667	1588	1997-12-20	VYDAJ	VYBER	1100	20923	\N	\N	\N
466668	1588	1998-01-19	PRIJEM	VKLAD	400	22438	\N	\N	\N
466669	1588	1998-02-18	VYDAJ	VYBER	1500	21213	\N	\N	\N
466670	1588	1998-03-20	VYDAJ	VYBER	2700	19808	\N	\N	\N
466671	1588	1998-04-19	VYDAJ	VYBER	4500	16601	\N	\N	\N
466672	1588	1998-05-19	VYDAJ	VYBER	5000	12885	\N	\N	\N
466673	1588	1998-06-18	VYDAJ	VYBER	1100	13053	\N	\N	\N
466674	1588	1998-07-18	VYDAJ	VYBER	100	12773	\N	\N	\N
466675	1588	1998-09-16	PRIJEM	VKLAD	900	16194	\N	\N	\N
466676	1588	1998-10-16	VYDAJ	VYBER	3600	12962	\N	\N	\N
466737	1589	1993-08-07	PRIJEM	VKLAD	500	500	\N	\N	\N
466896	1589	1993-09-06	PRIJEM	VKLAD	14100	14600	\N	\N	\N
466897	1589	1993-10-06	PRIJEM	VKLAD	3900	18500	\N	\N	\N
466898	1589	1993-11-05	PRIJEM	VKLAD	1600	20100	\N	\N	\N
466899	1589	1993-12-05	PRIJEM	VKLAD	2300	22400	\N	\N	\N
466900	1589	1994-01-04	VYDAJ	VYBER	400	22000	\N	\N	\N
466901	1589	1994-02-03	VYDAJ	VYBER	1300	20700	\N	\N	\N
466902	1589	1994-03-05	PRIJEM	VKLAD	400	21100	\N	\N	\N
466903	1589	1994-04-04	PRIJEM	VKLAD	1300	22400	\N	\N	\N
466904	1589	1994-05-04	VYDAJ	VYBER	800	21600	\N	\N	\N
466905	1589	1994-06-03	PRIJEM	VKLAD	1400	23000	\N	\N	\N
466906	1589	1994-07-03	PRIJEM	VKLAD	1600	24600	\N	\N	\N
466907	1589	1994-08-02	VYDAJ	VYBER	1300	23300	\N	\N	\N
466908	1589	1994-09-01	VYDAJ	VYBER	800	22500	\N	\N	\N
466909	1589	1994-10-01	PRIJEM	VKLAD	1800	24300	\N	\N	\N
466910	1589	1994-10-31	VYDAJ	VYBER	300	24003	\N	\N	\N
466911	1589	1994-11-30	VYDAJ	VYBER	2100	22003	\N	\N	\N
466912	1589	1994-12-30	PRIJEM	VKLAD	1700	23703	\N	\N	\N
466913	1589	1995-01-29	PRIJEM	VKLAD	3200	27003	\N	\N	\N
466914	1589	1995-02-28	PRIJEM	VKLAD	800	27914	\N	\N	\N
466915	1589	1995-03-30	PRIJEM	VKLAD	500	28514	\N	\N	\N
466916	1589	1995-04-29	VYDAJ	VYBER	100	28514	\N	\N	\N
466917	1589	1995-05-29	VYDAJ	VYBER	800	27814	\N	\N	\N
466918	1589	1995-06-28	VYDAJ	VYBER	1600	26314	\N	\N	\N
466919	1589	1995-07-28	PRIJEM	VKLAD	500	26914	\N	\N	\N
466920	1589	1995-08-27	VYDAJ	VYBER	1200	25814	\N	\N	\N
466921	1589	1995-09-26	PRIJEM	VKLAD	2100	28014	\N	\N	\N
466922	1589	1995-10-26	PRIJEM	VKLAD	4000	32114	\N	\N	\N
466923	1589	1995-11-25	VYDAJ	VYBER	1700	30514	\N	\N	\N
466924	1589	1995-12-25	VYDAJ	VYBER	100	30514	\N	\N	\N
466925	1589	1996-01-24	VYDAJ	VYBER	2400	28214	\N	\N	\N
466926	1589	1996-02-23	PRIJEM	VKLAD	700	29014	\N	\N	\N
466927	1589	1996-03-24	VYDAJ	VYBER	2400	26714	\N	\N	\N
466928	1589	1996-04-23	VYDAJ	VYBER	4700	22114	\N	\N	\N
466929	1589	1996-05-23	VYDAJ	VYBER	3400	18814	\N	\N	\N
466930	1589	1996-06-22	PRIJEM	VKLAD	600	19514	\N	\N	\N
466931	1589	1996-07-22	VYDAJ	VYBER	2000	17614	\N	\N	\N
466932	1589	1996-08-21	VYDAJ	VYBER	3200	14514	\N	\N	\N
466933	1589	1996-09-20	PRIJEM	VKLAD	1500	16114	\N	\N	\N
466934	1589	1996-10-20	PRIJEM	VKLAD	1700	17914	\N	\N	\N
466935	1589	1996-12-19	PRIJEM	VKLAD	700	18714	\N	\N	\N
466936	1589	1997-01-18	VYDAJ	VYBER	1400	17414	\N	\N	\N
466937	1589	1997-02-17	VYDAJ	VYBER	3500	14014	\N	\N	\N
466938	1589	1997-03-19	PRIJEM	VKLAD	2400	16514	\N	\N	\N
466939	1589	1997-04-18	PRIJEM	VKLAD	700	17314	\N	\N	\N
466940	1589	1997-05-18	PRIJEM	VKLAD	1800	19214	\N	\N	\N
466941	1589	1997-06-17	VYDAJ	VYBER	600	18714	\N	\N	\N
466942	1589	1997-07-17	VYDAJ	VYBER	2700	16114	\N	\N	\N
466943	1589	1997-08-16	PRIJEM	VKLAD	2400	18614	\N	\N	\N
466944	1589	1997-09-15	VYDAJ	VYBER	1000	17714	\N	\N	\N
466945	1589	1997-12-14	PRIJEM	VKLAD	1700	19514	\N	\N	\N
466946	1589	1998-01-13	VYDAJ	VYBER	3600	16014	\N	\N	\N
466947	1589	1998-02-12	VYDAJ	VYBER	1900	14214	\N	\N	\N
466948	1589	1998-03-14	VYDAJ	VYBER	2700	11614	\N	\N	\N
466949	1589	1998-08-11	VYDAJ	VYBER	300	11414	\N	\N	\N
466950	1589	1998-09-10	VYDAJ	VYBER	500	11014	\N	\N	\N
466991	1590	1995-04-07	PRIJEM	VKLAD	500	500	\N	\N	\N
466995	1590	1995-04-08	PRIJEM	VKLAD	11520	12020	\N	\N	\N
466996	1590	1995-05-08	PRIJEM	VKLAD	11520	27978	\N	\N	\N
466997	1590	1995-06-08	PRIJEM	VKLAD	17280	44560	\N	\N	\N
466998	1590	1995-07-08	PRIJEM	VKLAD	11520	44750	\N	\N	\N
466999	1590	1995-08-08	PRIJEM	VKLAD	11520	44056	\N	\N	\N
467000	1590	1995-09-08	PRIJEM	VKLAD	11520	40878	\N	\N	\N
467001	1590	1995-10-08	PRIJEM	VKLAD	11520	40339	\N	\N	\N
467002	1590	1995-11-08	PRIJEM	VKLAD	11520	39335	\N	\N	\N
467003	1590	1995-12-08	PRIJEM	VKLAD	17280	48389	\N	\N	\N
467004	1590	1996-01-08	PRIJEM	VKLAD	11520	43833	\N	\N	\N
467005	1590	1996-02-08	PRIJEM	VKLAD	11520	39308	\N	\N	\N
467006	1590	1996-03-08	PRIJEM	VKLAD	11520	41899	\N	\N	\N
467007	1590	1996-04-08	PRIJEM	VKLAD	11520	41902	\N	\N	\N
467008	1590	1996-05-08	PRIJEM	VKLAD	11520	40907	\N	\N	\N
467009	1590	1996-06-08	PRIJEM	VKLAD	17280	44445	\N	\N	\N
467010	1590	1996-07-08	PRIJEM	VKLAD	11520	32752	\N	\N	\N
467011	1590	1996-08-08	PRIJEM	VKLAD	11520	36618	\N	\N	\N
467012	1590	1996-09-08	PRIJEM	VKLAD	11520	35558	\N	\N	\N
467013	1590	1996-10-08	PRIJEM	VKLAD	11520	36435	\N	\N	\N
467014	1590	1996-11-08	PRIJEM	VKLAD	11520	40614	\N	\N	\N
467015	1590	1996-12-08	PRIJEM	VKLAD	17280	46507	\N	\N	\N
467016	1590	1997-01-08	PRIJEM	VKLAD	11520	43019	\N	\N	\N
467017	1590	1997-02-08	PRIJEM	VKLAD	11520	39812	\N	\N	\N
467018	1590	1997-03-08	PRIJEM	VKLAD	11520	47007	\N	\N	\N
467019	1590	1997-04-08	PRIJEM	VKLAD	11520	49778	\N	\N	\N
467020	1590	1997-05-08	PRIJEM	VKLAD	11520	51711	\N	\N	\N
467021	1590	1997-06-08	PRIJEM	VKLAD	17280	60813	\N	\N	\N
467022	1590	1997-07-08	PRIJEM	VKLAD	11520	55480	\N	\N	\N
467023	1590	1997-08-08	PRIJEM	VKLAD	11520	51524	\N	\N	\N
467024	1590	1997-09-08	PRIJEM	VKLAD	11520	50761	\N	\N	\N
467025	1590	1997-10-08	PRIJEM	VKLAD	11520	46111	\N	\N	\N
467026	1590	1997-11-08	PRIJEM	VKLAD	11520	39925	\N	\N	\N
467027	1590	1997-12-08	PRIJEM	VKLAD	17280	44395	\N	\N	\N
467028	1590	1998-01-08	PRIJEM	VKLAD	11520	36931	\N	\N	\N
467029	1590	1998-02-08	PRIJEM	VKLAD	11520	27240	\N	\N	\N
467030	1590	1998-03-08	PRIJEM	VKLAD	11520	29976	\N	\N	\N
467031	1590	1998-04-08	PRIJEM	VKLAD	11520	31924	\N	\N	\N
467032	1590	1998-05-08	PRIJEM	VKLAD	11520	34382	\N	\N	\N
467033	1590	1998-06-08	PRIJEM	VKLAD	17280	42990	\N	\N	\N
467034	1590	1998-07-08	PRIJEM	VKLAD	11520	43585	\N	\N	\N
467035	1590	1998-08-08	PRIJEM	VKLAD	11520	40882	\N	\N	\N
467036	1590	1998-09-08	PRIJEM	VKLAD	11520	35266	\N	\N	\N
467037	1590	1998-10-08	PRIJEM	VKLAD	11520	34199	\N	\N	\N
467038	1590	1998-11-08	PRIJEM	VKLAD	11520	37669	\N	\N	\N
467039	1590	1998-12-08	PRIJEM	VKLAD	17280	46410	\N	\N	\N
467047	1590	1995-08-12	VYDAJ	PREVOD NA UCET	5847	37658	SIPO	ST	5941856
467048	1590	1995-09-12	VYDAJ	PREVOD NA UCET	5847	34480	SIPO	ST	5941856
467049	1590	1995-10-12	VYDAJ	PREVOD NA UCET	5847	33941	SIPO	ST	5941856
467050	1590	1995-11-12	VYDAJ	PREVOD NA UCET	5847	32937	SIPO	ST	5941856
467051	1590	1995-12-12	VYDAJ	PREVOD NA UCET	5847	41991	SIPO	ST	5941856
467052	1590	1996-01-12	VYDAJ	PREVOD NA UCET	5847	37435	SIPO	ST	5941856
467053	1590	1996-02-12	VYDAJ	PREVOD NA UCET	5847	32910	SIPO	ST	5941856
467054	1590	1996-03-12	VYDAJ	PREVOD NA UCET	5847	35501	SIPO	ST	5941856
467055	1590	1996-04-12	VYDAJ	PREVOD NA UCET	5847	35504	SIPO	ST	5941856
467056	1590	1996-05-12	VYDAJ	PREVOD NA UCET	5847	34509	SIPO	ST	5941856
467057	1590	1996-06-12	VYDAJ	PREVOD NA UCET	5847	18687	SIPO	ST	5941856
467058	1590	1996-07-12	VYDAJ	PREVOD NA UCET	5847	26354	SIPO	ST	5941856
467059	1590	1996-08-12	VYDAJ	PREVOD NA UCET	5847	30220	SIPO	ST	5941856
467060	1590	1996-09-12	VYDAJ	PREVOD NA UCET	5847	29160	SIPO	ST	5941856
467061	1590	1996-10-12	VYDAJ	PREVOD NA UCET	5847	30037	SIPO	ST	5941856
467062	1590	1996-11-12	VYDAJ	PREVOD NA UCET	5847	34216	SIPO	ST	5941856
467063	1590	1996-12-12	VYDAJ	PREVOD NA UCET	5847	40109	SIPO	ST	5941856
467064	1590	1997-01-12	VYDAJ	PREVOD NA UCET	5847	36021	SIPO	ST	5941856
467065	1590	1997-02-12	VYDAJ	PREVOD NA UCET	5847	33414	SIPO	ST	5941856
467066	1590	1997-03-12	VYDAJ	PREVOD NA UCET	5847	36169	SIPO	ST	5941856
467067	1590	1997-04-12	VYDAJ	PREVOD NA UCET	5847	43380	SIPO	ST	5941856
467068	1590	1997-05-12	VYDAJ	PREVOD NA UCET	5847	45313	SIPO	ST	5941856
467069	1590	1997-06-12	VYDAJ	PREVOD NA UCET	5847	54415	SIPO	ST	5941856
467070	1590	1997-07-12	VYDAJ	PREVOD NA UCET	5847	45482	SIPO	ST	5941856
467071	1590	1997-08-12	VYDAJ	PREVOD NA UCET	5847	45126	SIPO	ST	5941856
467072	1590	1997-09-12	VYDAJ	PREVOD NA UCET	5847	44363	SIPO	ST	5941856
467073	1590	1997-10-12	VYDAJ	PREVOD NA UCET	5847	39713	SIPO	ST	5941856
467074	1590	1997-11-12	VYDAJ	PREVOD NA UCET	5847	33527	SIPO	ST	5941856
467075	1590	1997-12-12	VYDAJ	PREVOD NA UCET	5847	37997	SIPO	ST	5941856
467076	1590	1998-01-12	VYDAJ	PREVOD NA UCET	5847	29573	SIPO	ST	5941856
467266	1590	1998-01-06	VYDAJ	VYBER	2400	25411	\N	\N	\N
467077	1590	1998-02-12	VYDAJ	PREVOD NA UCET	5847	20842	SIPO	ST	5941856
467078	1590	1998-03-12	VYDAJ	PREVOD NA UCET	5847	23578	SIPO	ST	5941856
467079	1590	1998-04-12	VYDAJ	PREVOD NA UCET	5847	25526	SIPO	ST	5941856
467080	1590	1998-05-12	VYDAJ	PREVOD NA UCET	5847	27984	SIPO	ST	5941856
467081	1590	1998-06-12	VYDAJ	PREVOD NA UCET	5847	36592	SIPO	ST	5941856
467082	1590	1998-07-12	VYDAJ	PREVOD NA UCET	5847	37187	SIPO	ST	5941856
467083	1590	1998-08-12	VYDAJ	PREVOD NA UCET	5847	34484	SIPO	ST	5941856
467084	1590	1998-09-12	VYDAJ	PREVOD NA UCET	5847	28868	SIPO	ST	5941856
467085	1590	1998-10-12	VYDAJ	PREVOD NA UCET	5847	27801	SIPO	ST	5941856
467086	1590	1998-11-12	VYDAJ	PREVOD NA UCET	5847	31271	SIPO	ST	5941856
467087	1590	1998-12-12	VYDAJ	PREVOD NA UCET	5847	40012	SIPO	ST	5941856
467096	1590	1995-09-05	VYDAJ	PREVOD NA UCET	1025	29358	 	WX	79533683
467097	1590	1995-10-05	VYDAJ	PREVOD NA UCET	1025	28946	 	WX	79533683
467098	1590	1995-11-05	VYDAJ	PREVOD NA UCET	1025	27942	 	WX	79533683
467099	1590	1995-12-05	VYDAJ	PREVOD NA UCET	1025	31236	 	WX	79533683
467100	1590	1996-01-05	VYDAJ	PREVOD NA UCET	1025	33160	 	WX	79533683
467101	1590	1996-02-05	VYDAJ	PREVOD NA UCET	1025	27915	 	WX	79533683
467102	1590	1996-03-05	VYDAJ	PREVOD NA UCET	1025	30379	 	WX	79533683
467103	1590	1996-04-05	VYDAJ	PREVOD NA UCET	1025	30509	 	WX	79533683
467104	1590	1996-05-05	VYDAJ	PREVOD NA UCET	1025	29387	 	WX	79533683
467105	1590	1996-06-05	VYDAJ	PREVOD NA UCET	1025	27165	 	WX	79533683
467106	1590	1996-07-05	VYDAJ	PREVOD NA UCET	1025	24239	 	WX	79533683
467107	1590	1996-08-05	VYDAJ	PREVOD NA UCET	1025	25225	 	WX	79533683
467108	1590	1996-09-05	VYDAJ	PREVOD NA UCET	1025	24165	 	WX	79533683
467109	1590	1996-10-05	VYDAJ	PREVOD NA UCET	1025	24915	 	WX	79533683
467110	1590	1996-11-05	VYDAJ	PREVOD NA UCET	1025	29221	 	WX	79533683
467111	1590	1996-12-05	VYDAJ	PREVOD NA UCET	1025	29227	 	WX	79533683
467112	1590	1997-01-05	VYDAJ	PREVOD NA UCET	1025	32946	 	WX	79533683
467113	1590	1997-02-05	VYDAJ	PREVOD NA UCET	1025	28419	 	WX	79533683
467114	1590	1997-03-05	VYDAJ	PREVOD NA UCET	1025	35487	 	WX	79533683
467115	1590	1997-04-05	VYDAJ	PREVOD NA UCET	1025	38385	 	WX	79533683
467116	1590	1997-05-05	VYDAJ	PREVOD NA UCET	1025	40191	 	WX	79533683
467117	1590	1997-06-05	VYDAJ	PREVOD NA UCET	1025	43533	 	WX	79533683
467118	1590	1997-07-05	VYDAJ	PREVOD NA UCET	1025	43960	 	WX	79533683
467119	1590	1997-08-05	VYDAJ	PREVOD NA UCET	1025	40131	 	WX	79533683
467120	1590	1997-09-05	VYDAJ	PREVOD NA UCET	1025	39368	 	WX	79533683
467121	1590	1997-10-05	VYDAJ	PREVOD NA UCET	1025	34591	 	WX	79533683
467122	1590	1997-11-05	VYDAJ	PREVOD NA UCET	1025	28532	 	WX	79533683
467123	1590	1997-12-05	VYDAJ	PREVOD NA UCET	1025	27115	 	WX	79533683
467124	1590	1998-01-05	VYDAJ	PREVOD NA UCET	1025	27938	 	WX	79533683
467125	1590	1998-02-05	VYDAJ	PREVOD NA UCET	1025	15720	 	WX	79533683
467126	1590	1998-03-05	VYDAJ	PREVOD NA UCET	1025	18583	 	WX	79533683
467127	1590	1998-04-05	VYDAJ	PREVOD NA UCET	1025	20404	 	WX	79533683
467128	1590	1998-05-05	VYDAJ	PREVOD NA UCET	1025	22862	 	WX	79533683
467129	1590	1998-06-05	VYDAJ	PREVOD NA UCET	1025	25710	 	WX	79533683
467130	1590	1998-07-05	VYDAJ	PREVOD NA UCET	1025	32192	 	WX	79533683
467131	1590	1998-08-05	VYDAJ	PREVOD NA UCET	1025	29489	 	WX	79533683
467132	1590	1998-09-05	VYDAJ	PREVOD NA UCET	1025	23873	 	WX	79533683
467133	1590	1998-10-05	VYDAJ	PREVOD NA UCET	1025	22679	 	WX	79533683
467134	1590	1998-11-05	VYDAJ	PREVOD NA UCET	1025	26276	 	WX	79533683
467135	1590	1998-12-05	VYDAJ	PREVOD NA UCET	1025	29130	 	WX	79533683
467143	1590	1995-08-08	VYDAJ	PREVOD NA UCET	551	43505	POJISTNE	ST	99553811
467144	1590	1995-09-08	VYDAJ	PREVOD NA UCET	551	40327	POJISTNE	ST	99553811
467145	1590	1995-10-08	VYDAJ	PREVOD NA UCET	551	39788	POJISTNE	ST	99553811
467146	1590	1995-11-08	VYDAJ	PREVOD NA UCET	551	38784	POJISTNE	ST	99553811
467147	1590	1995-12-08	VYDAJ	PREVOD NA UCET	551	47838	POJISTNE	ST	99553811
467148	1590	1996-01-08	VYDAJ	PREVOD NA UCET	551	43282	POJISTNE	ST	99553811
467149	1590	1996-02-08	VYDAJ	PREVOD NA UCET	551	38757	POJISTNE	ST	99553811
467150	1590	1996-03-08	VYDAJ	PREVOD NA UCET	551	41348	POJISTNE	ST	99553811
467151	1590	1996-04-08	VYDAJ	PREVOD NA UCET	551	41351	POJISTNE	ST	99553811
467152	1590	1996-05-08	VYDAJ	PREVOD NA UCET	551	40356	POJISTNE	ST	99553811
467153	1590	1996-06-08	VYDAJ	PREVOD NA UCET	551	24534	POJISTNE	ST	99553811
467154	1590	1996-07-08	VYDAJ	PREVOD NA UCET	551	32201	POJISTNE	ST	99553811
467155	1590	1996-08-08	VYDAJ	PREVOD NA UCET	551	36067	POJISTNE	ST	99553811
467156	1590	1996-09-08	VYDAJ	PREVOD NA UCET	551	35007	POJISTNE	ST	99553811
467157	1590	1996-10-08	VYDAJ	PREVOD NA UCET	551	35884	POJISTNE	ST	99553811
467158	1590	1996-11-08	VYDAJ	PREVOD NA UCET	551	40063	POJISTNE	ST	99553811
467159	1590	1996-12-08	VYDAJ	PREVOD NA UCET	551	45956	POJISTNE	ST	99553811
467160	1590	1997-01-08	VYDAJ	PREVOD NA UCET	551	42468	POJISTNE	ST	99553811
467161	1590	1997-02-08	VYDAJ	PREVOD NA UCET	551	39261	POJISTNE	ST	99553811
467162	1590	1997-03-08	VYDAJ	PREVOD NA UCET	551	42016	POJISTNE	ST	99553811
467163	1590	1997-04-08	VYDAJ	PREVOD NA UCET	551	49227	POJISTNE	ST	99553811
467164	1590	1997-05-08	VYDAJ	PREVOD NA UCET	551	51160	POJISTNE	ST	99553811
467267	1590	1998-01-12	VYDAJ	VYBER	960	35420	\N	\N	\N
467165	1590	1997-06-08	VYDAJ	PREVOD NA UCET	551	60262	POJISTNE	ST	99553811
467166	1590	1997-07-08	VYDAJ	PREVOD NA UCET	551	54929	POJISTNE	ST	99553811
467167	1590	1997-08-08	VYDAJ	PREVOD NA UCET	551	50973	POJISTNE	ST	99553811
467168	1590	1997-09-08	VYDAJ	PREVOD NA UCET	551	50210	POJISTNE	ST	99553811
467169	1590	1997-10-08	VYDAJ	PREVOD NA UCET	551	45560	POJISTNE	ST	99553811
467170	1590	1997-11-08	VYDAJ	PREVOD NA UCET	551	39374	POJISTNE	ST	99553811
467171	1590	1997-12-08	VYDAJ	PREVOD NA UCET	551	43844	POJISTNE	ST	99553811
467172	1590	1998-01-08	VYDAJ	PREVOD NA UCET	551	36380	POJISTNE	ST	99553811
467173	1590	1998-02-08	VYDAJ	PREVOD NA UCET	551	26689	POJISTNE	ST	99553811
467174	1590	1998-03-08	VYDAJ	PREVOD NA UCET	551	29425	POJISTNE	ST	99553811
467175	1590	1998-04-08	VYDAJ	PREVOD NA UCET	551	31373	POJISTNE	ST	99553811
467176	1590	1998-05-08	VYDAJ	PREVOD NA UCET	551	33831	POJISTNE	ST	99553811
467177	1590	1998-06-08	VYDAJ	PREVOD NA UCET	551	42439	POJISTNE	ST	99553811
467178	1590	1998-07-08	VYDAJ	PREVOD NA UCET	551	43034	POJISTNE	ST	99553811
467179	1590	1998-08-08	VYDAJ	PREVOD NA UCET	551	40331	POJISTNE	ST	99553811
467180	1590	1998-09-08	VYDAJ	PREVOD NA UCET	551	34715	POJISTNE	ST	99553811
467181	1590	1998-10-08	VYDAJ	PREVOD NA UCET	551	33648	POJISTNE	ST	99553811
467182	1590	1998-11-08	VYDAJ	PREVOD NA UCET	551	37118	POJISTNE	ST	99553811
467183	1590	1998-12-08	VYDAJ	PREVOD NA UCET	551	45859	POJISTNE	ST	99553811
467192	1590	1995-09-05	VYDAJ	PREVOD NA UCET	127	30383	 	GH	23429125
467193	1590	1995-10-05	VYDAJ	PREVOD NA UCET	127	28819	 	GH	23429125
467194	1590	1995-11-05	VYDAJ	PREVOD NA UCET	127	27815	 	GH	23429125
467195	1590	1995-12-05	VYDAJ	PREVOD NA UCET	127	31109	 	GH	23429125
467196	1590	1996-01-05	VYDAJ	PREVOD NA UCET	127	33033	 	GH	23429125
467197	1590	1996-02-05	VYDAJ	PREVOD NA UCET	127	27788	 	GH	23429125
467198	1590	1996-03-05	VYDAJ	PREVOD NA UCET	127	31404	 	GH	23429125
467199	1590	1996-04-05	VYDAJ	PREVOD NA UCET	127	30382	 	GH	23429125
467200	1590	1996-05-05	VYDAJ	PREVOD NA UCET	127	30412	 	GH	23429125
467201	1590	1996-06-05	VYDAJ	PREVOD NA UCET	127	28190	 	GH	23429125
467202	1590	1996-07-05	VYDAJ	PREVOD NA UCET	127	24112	 	GH	23429125
467203	1590	1996-08-05	VYDAJ	PREVOD NA UCET	127	25098	 	GH	23429125
467204	1590	1996-09-05	VYDAJ	PREVOD NA UCET	127	24038	 	GH	23429125
467205	1590	1996-10-05	VYDAJ	PREVOD NA UCET	127	25940	 	GH	23429125
467206	1590	1996-11-05	VYDAJ	PREVOD NA UCET	127	29094	 	GH	23429125
467207	1590	1996-12-05	VYDAJ	PREVOD NA UCET	127	30252	 	GH	23429125
467208	1590	1997-01-05	VYDAJ	PREVOD NA UCET	127	31499	 	GH	23429125
467209	1590	1997-02-05	VYDAJ	PREVOD NA UCET	127	28292	 	GH	23429125
467210	1590	1997-03-05	VYDAJ	PREVOD NA UCET	127	36512	 	GH	23429125
467211	1590	1997-04-05	VYDAJ	PREVOD NA UCET	127	38258	 	GH	23429125
467212	1590	1997-05-05	VYDAJ	PREVOD NA UCET	127	41216	 	GH	23429125
467213	1590	1997-06-05	VYDAJ	PREVOD NA UCET	127	44558	 	GH	23429125
467214	1590	1997-07-05	VYDAJ	PREVOD NA UCET	127	44985	 	GH	23429125
467215	1590	1997-08-05	VYDAJ	PREVOD NA UCET	127	40004	 	GH	23429125
467216	1590	1997-09-05	VYDAJ	PREVOD NA UCET	127	39241	 	GH	23429125
467217	1590	1997-10-05	VYDAJ	PREVOD NA UCET	127	35616	 	GH	23429125
467218	1590	1997-11-05	VYDAJ	PREVOD NA UCET	127	28405	 	GH	23429125
467219	1590	1997-12-05	VYDAJ	PREVOD NA UCET	127	28140	 	GH	23429125
467220	1590	1998-01-05	VYDAJ	PREVOD NA UCET	127	27811	 	GH	23429125
467221	1590	1998-02-05	VYDAJ	PREVOD NA UCET	127	16745	 	GH	23429125
467222	1590	1998-03-05	VYDAJ	PREVOD NA UCET	127	18456	 	GH	23429125
467223	1590	1998-04-05	VYDAJ	PREVOD NA UCET	127	21429	 	GH	23429125
467224	1590	1998-05-05	VYDAJ	PREVOD NA UCET	127	23887	 	GH	23429125
467225	1590	1998-06-05	VYDAJ	PREVOD NA UCET	127	26735	 	GH	23429125
467226	1590	1998-07-05	VYDAJ	PREVOD NA UCET	127	32065	 	GH	23429125
467227	1590	1998-08-05	VYDAJ	PREVOD NA UCET	127	29362	 	GH	23429125
467228	1590	1998-09-05	VYDAJ	PREVOD NA UCET	127	23746	 	GH	23429125
467229	1590	1998-10-05	VYDAJ	PREVOD NA UCET	127	28744	 	GH	23429125
467230	1590	1998-11-05	VYDAJ	PREVOD NA UCET	127	26149	 	GH	23429125
467231	1590	1998-12-05	VYDAJ	PREVOD NA UCET	127	30155	 	GH	23429125
467233	1590	1996-06-08	VYDAJ	VYBER	19360	25085	\N	\N	\N
467238	1590	1997-01-22	VYDAJ	VYBER	10080	23301	\N	\N	\N
467239	1590	1998-01-15	VYDAJ	VYBER	14080	15493	\N	\N	\N
467240	1590	1995-12-28	VYDAJ	VYBER	1920	40071	\N	\N	\N
467241	1590	1996-12-22	VYDAJ	VYBER	2400	37709	\N	\N	\N
467242	1590	1997-12-25	VYDAJ	VYBER	3360	28837	\N	\N	\N
467243	1590	1998-12-18	VYDAJ	VYBER	1280	32932	\N	\N	\N
467250	1590	1996-01-25	VYDAJ	VYBER	2400	27715	\N	\N	\N
467251	1590	1996-01-07	VYDAJ	VYBER	720	32313	\N	\N	\N
467252	1590	1996-01-12	VYDAJ	VYBER	2400	35035	\N	\N	\N
467253	1590	1996-01-01	VYDAJ	VYBER	840	39385	\N	\N	\N
467254	1590	1996-01-23	VYDAJ	VYBER	2280	30115	\N	\N	\N
467255	1590	1996-01-18	VYDAJ	VYBER	2640	32395	\N	\N	\N
467256	1590	1997-01-18	VYDAJ	VYBER	840	33381	\N	\N	\N
467257	1590	1997-01-11	VYDAJ	VYBER	600	41868	\N	\N	\N
467258	1590	1997-01-27	VYDAJ	VYBER	2880	29321	\N	\N	\N
467259	1590	1997-01-12	VYDAJ	VYBER	1800	34221	\N	\N	\N
467260	1590	1997-01-05	VYDAJ	VYBER	1320	31626	\N	\N	\N
467261	1590	1997-01-04	VYDAJ	VYBER	2880	33971	\N	\N	\N
467269	1590	1995-10-31	VYDAJ	VYBER	600	33467	\N	\N	\N
467270	1590	1995-09-29	VYDAJ	VYBER	5040	29440	\N	\N	\N
467272	1590	1996-09-04	VYDAJ	VYBER	5040	25190	\N	\N	\N
467273	1590	1996-11-19	VYDAJ	VYBER	1560	32656	\N	\N	\N
467274	1590	1996-05-27	VYDAJ	VYBER	1920	32589	\N	\N	\N
467275	1590	1996-07-06	VYDAJ	VYBER	2880	21232	\N	\N	\N
467276	1590	1997-03-08	VYDAJ	VYBER	4440	42567	\N	\N	\N
467277	1590	1997-11-26	VYDAJ	VYBER	2640	28147	\N	\N	\N
467278	1590	1997-11-21	VYDAJ	VYBER	5040	28487	\N	\N	\N
467279	1590	1997-09-29	VYDAJ	VYBER	2880	35583	\N	\N	\N
467280	1590	1997-11-01	VYDAJ	VYBER	5400	29557	\N	\N	\N
467281	1590	1997-07-10	VYDAJ	VYBER	3600	51329	\N	\N	\N
467282	1590	1998-02-15	VYDAJ	VYBER	3000	17842	\N	\N	\N
467283	1590	1998-08-26	VYDAJ	VYBER	5400	24784	\N	\N	\N
467284	1590	1998-10-05	VYDAJ	VYBER	5040	23704	\N	\N	\N
467287	1590	1998-05-21	VYDAJ	VYBER	2520	26764	\N	\N	\N
467296	1590	1995-08-31	VYDAJ	VYBER	15	37810	SLUZBY	\N	\N
467297	1590	1995-09-30	VYDAJ	VYBER	15	29571	SLUZBY	\N	\N
467298	1590	1995-10-31	VYDAJ	VYBER	15	34067	SLUZBY	\N	\N
467299	1590	1995-11-30	VYDAJ	VYBER	15	33061	SLUZBY	\N	\N
467300	1590	1995-12-31	VYDAJ	VYBER	15	40225	SLUZBY	\N	\N
467301	1590	1996-01-31	VYDAJ	VYBER	15	27840	SLUZBY	\N	\N
467302	1590	1996-02-29	VYDAJ	VYBER	15	33031	SLUZBY	\N	\N
467303	1590	1996-03-31	VYDAJ	VYBER	15	35634	SLUZBY	\N	\N
467304	1590	1996-04-30	VYDAJ	VYBER	15	35639	SLUZBY	\N	\N
467305	1590	1996-05-31	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
467306	1590	1996-06-30	VYDAJ	VYBER	15	25264	SLUZBY	\N	\N
467307	1590	1996-07-31	VYDAJ	VYBER	15	26250	SLUZBY	\N	\N
467308	1590	1996-08-31	VYDAJ	VYBER	15	30230	SLUZBY	\N	\N
467309	1590	1996-09-30	VYDAJ	VYBER	15	26067	SLUZBY	\N	\N
467310	1590	1996-10-31	VYDAJ	VYBER	15	30246	SLUZBY	\N	\N
467311	1590	1996-11-30	VYDAJ	VYBER	15	30379	SLUZBY	\N	\N
467312	1590	1996-12-31	VYDAJ	VYBER	15	36851	SLUZBY	\N	\N
467313	1590	1997-01-31	VYDAJ	VYBER	15	29444	SLUZBY	\N	\N
467314	1590	1997-02-28	VYDAJ	VYBER	15	36639	SLUZBY	\N	\N
467315	1590	1997-03-31	VYDAJ	VYBER	15	39410	SLUZBY	\N	\N
467316	1590	1997-04-30	VYDAJ	VYBER	15	41343	SLUZBY	\N	\N
467317	1590	1997-05-31	VYDAJ	VYBER	15	44685	SLUZBY	\N	\N
467318	1590	1997-06-30	VYDAJ	VYBER	15	45112	SLUZBY	\N	\N
467319	1590	1997-07-31	VYDAJ	VYBER	15	41156	SLUZBY	\N	\N
467320	1590	1997-08-31	VYDAJ	VYBER	15	40393	SLUZBY	\N	\N
467321	1590	1997-09-30	VYDAJ	VYBER	15	35743	SLUZBY	\N	\N
467322	1590	1997-10-31	VYDAJ	VYBER	15	34957	SLUZBY	\N	\N
467323	1590	1997-11-30	VYDAJ	VYBER	15	28267	SLUZBY	\N	\N
467324	1590	1997-12-31	VYDAJ	VYBER	15	28963	SLUZBY	\N	\N
467325	1590	1998-01-31	VYDAJ	VYBER	15	16872	SLUZBY	\N	\N
467326	1590	1998-02-28	VYDAJ	VYBER	15	19608	SLUZBY	\N	\N
467327	1590	1998-03-31	VYDAJ	VYBER	15	21556	SLUZBY	\N	\N
467328	1590	1998-04-30	VYDAJ	VYBER	15	24014	SLUZBY	\N	\N
467329	1590	1998-05-31	VYDAJ	VYBER	15	26862	SLUZBY	\N	\N
467330	1590	1998-06-30	VYDAJ	VYBER	15	33217	SLUZBY	\N	\N
467331	1590	1998-07-31	VYDAJ	VYBER	15	30514	SLUZBY	\N	\N
467332	1590	1998-08-31	VYDAJ	VYBER	15	24898	SLUZBY	\N	\N
467333	1590	1998-09-30	VYDAJ	VYBER	15	28871	SLUZBY	\N	\N
467334	1590	1998-10-31	VYDAJ	VYBER	15	27301	SLUZBY	\N	\N
467335	1590	1998-11-30	VYDAJ	VYBER	15	30282	SLUZBY	\N	\N
467336	1590	1995-05-07	PRIJEM	VKLAD	4400	16458	\N	\N	\N
467337	1590	1995-06-06	VYDAJ	VYBER	800	27280	\N	\N	\N
467338	1590	1995-07-06	VYDAJ	VYBER	11500	33230	\N	\N	\N
467339	1590	1995-08-05	VYDAJ	VYBER	12400	32536	\N	\N	\N
467340	1590	1995-09-04	VYDAJ	VYBER	7300	30510	\N	\N	\N
467341	1590	1995-10-04	PRIJEM	VKLAD	400	29971	\N	\N	\N
467342	1590	1995-11-03	VYDAJ	VYBER	4500	28967	\N	\N	\N
467343	1590	1995-12-03	VYDAJ	VYBER	800	32261	\N	\N	\N
467344	1590	1996-01-02	VYDAJ	VYBER	5200	34185	\N	\N	\N
467345	1590	1996-02-01	PRIJEM	VKLAD	1100	28940	\N	\N	\N
467346	1590	1996-03-02	VYDAJ	VYBER	1500	31531	\N	\N	\N
467347	1590	1996-04-01	VYDAJ	VYBER	4100	31534	\N	\N	\N
467348	1590	1996-05-01	VYDAJ	VYBER	5100	30539	\N	\N	\N
467349	1590	1996-05-31	VYDAJ	VYBER	4400	28332	\N	\N	\N
467350	1590	1996-06-30	PRIJEM	VKLAD	6500	25278	\N	\N	\N
467351	1590	1996-07-30	VYDAJ	VYBER	200	26154	\N	\N	\N
467352	1590	1996-08-29	VYDAJ	VYBER	100	30120	\N	\N	\N
467353	1590	1996-09-28	VYDAJ	VYBER	3200	25960	\N	\N	\N
467354	1590	1996-10-28	PRIJEM	VKLAD	100	30137	\N	\N	\N
467355	1590	1996-11-27	VYDAJ	VYBER	2400	30256	\N	\N	\N
467356	1590	1996-12-27	VYDAJ	VYBER	1000	36709	\N	\N	\N
467357	1590	1997-01-26	PRIJEM	VKLAD	8900	32201	\N	\N	\N
467358	1590	1997-02-25	PRIJEM	VKLAD	3100	36514	\N	\N	\N
467359	1590	1997-03-27	PRIJEM	VKLAD	3100	39269	\N	\N	\N
467360	1590	1997-04-26	VYDAJ	VYBER	2200	41180	\N	\N	\N
467361	1590	1997-05-26	VYDAJ	VYBER	800	44513	\N	\N	\N
467362	1590	1997-06-25	VYDAJ	VYBER	9500	44915	\N	\N	\N
467363	1590	1997-07-25	VYDAJ	VYBER	4500	40982	\N	\N	\N
467364	1590	1997-08-24	VYDAJ	VYBER	4900	40226	\N	\N	\N
467365	1590	1997-09-23	VYDAJ	VYBER	5900	38463	\N	\N	\N
467366	1590	1997-10-23	VYDAJ	VYBER	4900	34813	\N	\N	\N
467367	1590	1997-11-22	PRIJEM	VKLAD	2300	30787	\N	\N	\N
467368	1590	1997-12-22	VYDAJ	VYBER	5800	32197	\N	\N	\N
467369	1590	1998-01-21	PRIJEM	VKLAD	1300	16793	\N	\N	\N
467370	1590	1998-02-20	PRIJEM	VKLAD	1700	19542	\N	\N	\N
467371	1590	1998-03-22	VYDAJ	VYBER	2100	21478	\N	\N	\N
467372	1590	1998-04-21	VYDAJ	VYBER	1600	23926	\N	\N	\N
467373	1590	1998-05-21	PRIJEM	VKLAD	1300	29284	\N	\N	\N
467374	1590	1998-06-20	VYDAJ	VYBER	3500	33092	\N	\N	\N
467375	1590	1998-07-20	VYDAJ	VYBER	6800	30387	\N	\N	\N
467376	1590	1998-08-19	VYDAJ	VYBER	4300	30184	\N	\N	\N
467377	1590	1998-09-18	VYDAJ	VYBER	100	28768	\N	\N	\N
467378	1590	1998-10-18	VYDAJ	VYBER	600	27201	\N	\N	\N
467379	1590	1998-11-17	VYDAJ	VYBER	1100	30171	\N	\N	\N
467380	1590	1998-12-17	VYDAJ	VYBER	5800	34212	\N	\N	\N
467426	1591	1996-01-10	PRIJEM	VKLAD	600	600	\N	\N	\N
467427	1591	1996-12-09	PRIJEM	VKLAD	46552	79752	\N	\N	\N
467428	1591	1997-03-13	PRIJEM	VKLAD	9298	55902	\N	\N	\N
467429	1591	1997-09-09	PRIJEM	VKLAD	11905	68568	\N	\N	\N
467430	1591	1997-07-11	PRIJEM	VKLAD	18240	66126	\N	\N	\N
467431	1591	1997-01-29	PRIJEM	VKLAD	33602	88201	\N	\N	\N
467432	1591	1998-02-03	PRIJEM	VKLAD	40217	95824	\N	\N	\N
467433	1591	1998-10-22	PRIJEM	VKLAD	17527	76873	\N	\N	\N
467434	1591	1998-10-23	PRIJEM	VKLAD	33802	110675	\N	\N	\N
467435	1591	1998-04-19	PRIJEM	VKLAD	27144	63685	\N	\N	\N
467436	1591	1998-04-22	PRIJEM	VKLAD	6473	70158	\N	\N	\N
467437	1591	1998-07-26	PRIJEM	VKLAD	16221	105691	\N	\N	\N
467438	1591	1998-03-13	PRIJEM	VKLAD	43540	106199	\N	\N	\N
467439	1591	1998-11-12	PRIJEM	VKLAD	38187	95218	\N	\N	\N
467440	1591	1998-05-14	PRIJEM	VKLAD	46492	126954	\N	\N	\N
467441	1591	1998-09-26	PRIJEM	VKLAD	22063	54408	\N	\N	\N
467442	1591	1998-05-04	PRIJEM	VKLAD	12135	88321	\N	\N	\N
467443	1591	1998-07-16	PRIJEM	VKLAD	34724	88627	\N	\N	\N
467444	1591	1998-12-05	PRIJEM	VKLAD	7982	82563	\N	\N	\N
467445	1591	1998-03-14	PRIJEM	VKLAD	14419	120618	\N	\N	\N
467446	1591	1998-02-14	PRIJEM	VKLAD	23895	144038	\N	\N	\N
467447	1591	1998-03-28	PRIJEM	VKLAD	10535	88830	\N	\N	\N
467448	1591	1998-03-23	PRIJEM	VKLAD	14977	78295	\N	\N	\N
467449	1591	1998-01-11	PRIJEM	VKLAD	29611	104019	\N	\N	\N
467450	1591	1998-04-01	PRIJEM	VKLAD	45709	113209	\N	\N	\N
467451	1591	1998-04-29	PRIJEM	VKLAD	27606	97764	\N	\N	\N
467452	1591	1998-07-23	PRIJEM	VKLAD	40343	128970	\N	\N	\N
467453	1591	1998-01-04	PRIJEM	VKLAD	48413	83800	\N	\N	\N
467454	1591	1998-10-02	PRIJEM	VKLAD	39541	91803	\N	\N	\N
467455	1591	1998-02-14	PRIJEM	VKLAD	13626	120143	\N	\N	\N
467456	1591	1998-10-26	PRIJEM	VKLAD	18270	128945	\N	\N	\N
467457	1591	1998-02-14	PRIJEM	VKLAD	18552	106517	\N	\N	\N
467478	1591	1997-09-11	VYDAJ	PREVOD NA UCET	7680	60862	SIPO	AB	70031231
467479	1591	1997-10-11	VYDAJ	PREVOD NA UCET	7680	40724	SIPO	AB	70031231
467480	1591	1997-11-11	VYDAJ	PREVOD NA UCET	7680	34539	SIPO	AB	70031231
467481	1591	1997-12-11	VYDAJ	PREVOD NA UCET	7680	34020	SIPO	AB	70031231
467482	1591	1998-01-11	VYDAJ	PREVOD NA UCET	7680	96339	SIPO	AB	70031231
467483	1591	1998-02-11	VYDAJ	PREVOD NA UCET	7680	88118	SIPO	AB	70031231
467484	1591	1998-03-11	VYDAJ	PREVOD NA UCET	7680	62812	SIPO	AB	70031231
467485	1591	1998-04-11	VYDAJ	PREVOD NA UCET	7680	36694	SIPO	AB	70031231
467486	1591	1998-05-11	VYDAJ	PREVOD NA UCET	7680	80615	SIPO	AB	70031231
467487	1591	1998-06-11	VYDAJ	PREVOD NA UCET	7680	74017	SIPO	AB	70031231
467488	1591	1998-07-11	VYDAJ	PREVOD NA UCET	7680	54056	SIPO	AB	70031231
467489	1591	1998-08-11	VYDAJ	PREVOD NA UCET	7680	53252	SIPO	AB	70031231
467490	1591	1998-09-11	VYDAJ	PREVOD NA UCET	7680	36998	SIPO	AB	70031231
467491	1591	1998-10-11	VYDAJ	PREVOD NA UCET	7680	59499	SIPO	AB	70031231
467492	1591	1998-11-11	VYDAJ	PREVOD NA UCET	7680	57031	SIPO	AB	70031231
467493	1591	1998-12-11	VYDAJ	PREVOD NA UCET	7680	74857	SIPO	AB	70031231
467514	1591	1997-09-09	VYDAJ	PREVOD NA UCET	26	68542	 	AB	57081830
467515	1591	1997-10-09	VYDAJ	PREVOD NA UCET	26	48404	 	AB	57081830
467516	1591	1997-11-09	VYDAJ	PREVOD NA UCET	26	42219	 	AB	57081830
467517	1591	1997-12-09	VYDAJ	PREVOD NA UCET	26	41700	 	AB	57081830
467518	1591	1998-01-09	VYDAJ	PREVOD NA UCET	26	74408	 	AB	57081830
467519	1591	1998-02-09	VYDAJ	PREVOD NA UCET	26	95798	 	AB	57081830
467520	1591	1998-03-09	VYDAJ	PREVOD NA UCET	26	70492	 	AB	57081830
467521	1591	1998-04-09	VYDAJ	PREVOD NA UCET	26	44374	 	AB	57081830
467522	1591	1998-05-09	VYDAJ	PREVOD NA UCET	26	88295	 	AB	57081830
467523	1591	1998-06-09	VYDAJ	PREVOD NA UCET	26	81697	 	AB	57081830
467524	1591	1998-07-09	VYDAJ	PREVOD NA UCET	26	61736	 	AB	57081830
467525	1591	1998-08-09	VYDAJ	PREVOD NA UCET	26	60932	 	AB	57081830
467526	1591	1998-09-09	VYDAJ	PREVOD NA UCET	26	44678	 	AB	57081830
467527	1591	1998-10-09	VYDAJ	PREVOD NA UCET	26	67179	 	AB	57081830
467528	1591	1998-11-09	VYDAJ	PREVOD NA UCET	26	64711	 	AB	57081830
467529	1591	1998-12-09	VYDAJ	PREVOD NA UCET	26	82537	 	AB	57081830
467550	1591	1997-09-12	VYDAJ	PREVOD NA UCET	153	60709	POJISTNE	AB	34176314
467551	1591	1997-10-12	VYDAJ	PREVOD NA UCET	153	40571	POJISTNE	AB	34176314
467552	1591	1997-11-12	VYDAJ	PREVOD NA UCET	153	34386	POJISTNE	AB	34176314
467553	1591	1997-12-12	VYDAJ	PREVOD NA UCET	153	33867	POJISTNE	AB	34176314
467554	1591	1998-01-12	VYDAJ	PREVOD NA UCET	153	96186	POJISTNE	AB	34176314
467555	1591	1998-02-12	VYDAJ	PREVOD NA UCET	153	87965	POJISTNE	AB	34176314
467556	1591	1998-03-12	VYDAJ	PREVOD NA UCET	153	62659	POJISTNE	AB	34176314
467557	1591	1998-04-12	VYDAJ	PREVOD NA UCET	153	36541	POJISTNE	AB	34176314
467558	1591	1998-05-12	VYDAJ	PREVOD NA UCET	153	80462	POJISTNE	AB	34176314
467559	1591	1998-06-12	VYDAJ	PREVOD NA UCET	153	73864	POJISTNE	AB	34176314
467560	1591	1998-07-12	VYDAJ	PREVOD NA UCET	153	53903	POJISTNE	AB	34176314
467561	1591	1998-08-12	VYDAJ	PREVOD NA UCET	153	53099	POJISTNE	AB	34176314
467562	1591	1998-09-12	VYDAJ	PREVOD NA UCET	153	36845	POJISTNE	AB	34176314
467563	1591	1998-10-12	VYDAJ	PREVOD NA UCET	153	59346	POJISTNE	AB	34176314
467564	1591	1998-11-12	VYDAJ	PREVOD NA UCET	153	95065	POJISTNE	AB	34176314
467565	1591	1998-12-12	VYDAJ	PREVOD NA UCET	153	74704	POJISTNE	AB	34176314
467583	1591	1997-10-06	VYBER	VYBER	3925	48430	\N	\N	\N
467589	1591	1998-01-07	VYBER	VYBER	7866	75934	\N	\N	\N
467590	1591	1998-10-07	VYBER	VYBER	24598	67205	\N	\N	\N
467591	1591	1998-03-28	VYBER	VYBER	3081	85749	\N	\N	\N
467592	1591	1998-04-03	VYBER	VYBER	19909	44400	\N	\N	\N
467593	1591	1998-01-17	VYBER	VYBER	7245	77541	\N	\N	\N
467594	1591	1998-08-02	VYBER	VYBER	14725	60958	\N	\N	\N
467595	1591	1998-08-19	VYBER	VYBER	13605	39494	\N	\N	\N
467600	1591	1997-12-14	VYDAJ	VYBER	7500	26367	\N	\N	\N
467601	1591	1998-12-24	VYDAJ	VYBER	6900	67804	\N	\N	\N
467614	1591	1998-01-21	VYDAJ	VYBER	5700	71841	\N	\N	\N
467615	1591	1998-01-25	VYDAJ	VYBER	6000	65841	\N	\N	\N
467616	1591	1998-01-09	VYDAJ	VYBER	1500	74434	\N	\N	\N
467617	1591	1998-01-26	VYDAJ	VYBER	3300	62541	\N	\N	\N
467618	1591	1998-01-13	VYDAJ	VYBER	5100	91086	\N	\N	\N
467619	1591	1998-01-13	VYDAJ	VYBER	6300	84786	\N	\N	\N
467628	1591	1997-12-29	VYDAJ	VYBER	4800	21567	\N	\N	\N
467629	1591	1998-08-24	VYDAJ	VYBER	3300	36194	\N	\N	\N
467630	1591	1998-09-14	VYDAJ	VYBER	4500	32345	\N	\N	\N
467652	1591	1997-09-30	VYDAJ	VYBER	15	60955	SLUZBY	\N	\N
467653	1591	1997-10-31	VYDAJ	VYBER	15	42245	SLUZBY	\N	\N
467654	1591	1997-11-30	VYDAJ	VYBER	15	41726	SLUZBY	\N	\N
467655	1591	1997-12-31	VYDAJ	VYBER	15	35387	SLUZBY	\N	\N
467656	1591	1998-01-31	VYDAJ	VYBER	15	55607	SLUZBY	\N	\N
467657	1591	1998-02-28	VYDAJ	VYBER	15	70518	SLUZBY	\N	\N
467658	1591	1998-03-31	VYDAJ	VYBER	15	67500	SLUZBY	\N	\N
467659	1591	1998-04-30	VYDAJ	VYBER	15	76186	SLUZBY	\N	\N
467660	1591	1998-05-31	VYDAJ	VYBER	15	81723	SLUZBY	\N	\N
467661	1591	1998-06-30	VYDAJ	VYBER	15	61762	SLUZBY	\N	\N
467662	1591	1998-07-31	VYDAJ	VYBER	15	75683	SLUZBY	\N	\N
467663	1591	1998-08-31	VYDAJ	VYBER	15	44704	SLUZBY	\N	\N
467664	1591	1998-09-30	VYDAJ	VYBER	15	52262	SLUZBY	\N	\N
467665	1591	1998-10-31	VYDAJ	VYBER	15	64737	SLUZBY	\N	\N
467666	1591	1998-11-30	VYDAJ	VYBER	15	74581	SLUZBY	\N	\N
467667	1591	1996-02-09	PRIJEM	VKLAD	15500	16100	\N	\N	\N
467668	1591	1996-03-10	PRIJEM	VKLAD	5000	21100	\N	\N	\N
467669	1591	1996-04-09	PRIJEM	VKLAD	1500	22600	\N	\N	\N
467670	1591	1996-05-09	PRIJEM	VKLAD	1500	24100	\N	\N	\N
467671	1591	1996-06-08	PRIJEM	VKLAD	1500	25600	\N	\N	\N
467672	1591	1996-07-08	PRIJEM	VKLAD	1700	27300	\N	\N	\N
467673	1591	1996-08-07	VYDAJ	VYBER	3000	24300	\N	\N	\N
467674	1591	1996-09-06	PRIJEM	VKLAD	2000	26300	\N	\N	\N
467675	1591	1996-10-06	PRIJEM	VKLAD	2400	28700	\N	\N	\N
467676	1591	1996-11-05	PRIJEM	VKLAD	4300	33000	\N	\N	\N
467677	1591	1996-12-05	PRIJEM	VKLAD	200	33200	\N	\N	\N
467678	1591	1997-01-04	VYDAJ	VYBER	25400	54599	\N	\N	\N
467679	1591	1997-02-03	VYDAJ	VYBER	30600	57936	\N	\N	\N
467680	1591	1997-03-05	VYDAJ	VYBER	11700	46604	\N	\N	\N
467681	1591	1997-04-04	VYDAJ	VYBER	11600	44587	\N	\N	\N
467682	1591	1997-05-04	VYDAJ	VYBER	500	44320	\N	\N	\N
467683	1591	1997-06-03	PRIJEM	VKLAD	500	45053	\N	\N	\N
467684	1591	1997-07-03	PRIJEM	VKLAD	2600	47886	\N	\N	\N
467685	1591	1997-08-02	VYDAJ	VYBER	9000	57387	\N	\N	\N
467686	1591	1997-09-01	VYDAJ	VYBER	1000	56663	\N	\N	\N
467687	1591	1997-10-01	VYDAJ	VYBER	8600	52355	\N	\N	\N
467688	1591	1997-10-31	PRIJEM	VKLAD	1500	42259	\N	\N	\N
467689	1591	1997-11-30	PRIJEM	VKLAD	7200	41586	\N	\N	\N
467690	1591	1997-12-30	PRIJEM	VKLAD	13700	35267	\N	\N	\N
467691	1591	1998-01-29	VYDAJ	VYBER	7200	55341	\N	\N	\N
467692	1591	1998-02-14	VYDAJ	VYBER	53100	90938	\N	\N	\N
467693	1591	1998-02-28	VYDAJ	VYBER	20800	70532	\N	\N	\N
467694	1591	1998-03-14	VYDAJ	VYBER	57300	63318	\N	\N	\N
467695	1591	1998-03-30	VYDAJ	VYBER	18600	67149	\N	\N	\N
467696	1591	1998-04-01	VYDAJ	VYBER	48900	64309	\N	\N	\N
467697	1591	1998-04-29	VYDAJ	VYBER	21800	75964	\N	\N	\N
467698	1591	1998-05-14	VYDAJ	VYBER	21500	105454	\N	\N	\N
467699	1591	1998-05-29	VYDAJ	VYBER	24100	81354	\N	\N	\N
467700	1591	1998-06-28	VYDAJ	VYBER	12400	61464	\N	\N	\N
467701	1591	1998-07-23	VYDAJ	VYBER	39500	89470	\N	\N	\N
467702	1591	1998-07-28	VYDAJ	VYBER	30300	75391	\N	\N	\N
467703	1591	1998-08-27	PRIJEM	VKLAD	8300	44494	\N	\N	\N
467704	1591	1998-09-26	VYDAJ	VYBER	2300	52108	\N	\N	\N
467705	1591	1998-10-26	VYDAJ	VYBER	52800	64445	\N	\N	\N
467706	1591	1998-10-26	VYDAJ	VYBER	11700	117245	\N	\N	\N
467707	1591	1998-11-25	VYDAJ	VYBER	20800	74265	\N	\N	\N
467733	1592	1994-08-18	PRIJEM	VKLAD	400	400	\N	\N	\N
467742	1592	1994-09-13	PRIJEM	PREVOD Z UCTU	4604	5004	DUCHOD	CD	64907359
467743	1592	1994-10-13	PRIJEM	PREVOD Z UCTU	4604	9608	DUCHOD	CD	64907359
467744	1592	1994-11-13	PRIJEM	PREVOD Z UCTU	4604	14212	DUCHOD	CD	64907359
467745	1592	1994-12-13	PRIJEM	PREVOD Z UCTU	4604	18816	DUCHOD	CD	64907359
467746	1592	1995-01-13	PRIJEM	PREVOD Z UCTU	4604	23420	DUCHOD	CD	64907359
467747	1592	1995-02-13	PRIJEM	PREVOD Z UCTU	4604	22463	DUCHOD	CD	64907359
467748	1592	1995-03-13	PRIJEM	PREVOD Z UCTU	4604	25302	DUCHOD	CD	64907359
467749	1592	1995-04-13	PRIJEM	PREVOD Z UCTU	4604	28154	DUCHOD	CD	64907359
467750	1592	1995-05-13	PRIJEM	PREVOD Z UCTU	4604	29615	DUCHOD	CD	64907359
467751	1592	1995-06-13	PRIJEM	PREVOD Z UCTU	4604	31182	DUCHOD	CD	64907359
467752	1592	1995-07-13	PRIJEM	PREVOD Z UCTU	4604	33356	DUCHOD	CD	64907359
467753	1592	1995-08-13	PRIJEM	PREVOD Z UCTU	4604	33096	DUCHOD	CD	64907359
467754	1592	1995-09-13	PRIJEM	PREVOD Z UCTU	4604	34180	DUCHOD	CD	64907359
467755	1592	1995-10-13	PRIJEM	PREVOD Z UCTU	4604	36028	DUCHOD	CD	64907359
467756	1592	1995-11-13	PRIJEM	PREVOD Z UCTU	4604	37485	DUCHOD	CD	64907359
467757	1592	1995-12-13	PRIJEM	PREVOD Z UCTU	4604	38190	DUCHOD	CD	64907359
467758	1592	1996-01-13	PRIJEM	PREVOD Z UCTU	4604	35685	DUCHOD	CD	64907359
467759	1592	1996-02-13	PRIJEM	PREVOD Z UCTU	4604	32018	DUCHOD	CD	64907359
467760	1592	1996-03-13	PRIJEM	PREVOD Z UCTU	4604	34899	DUCHOD	CD	64907359
467761	1592	1996-04-13	PRIJEM	PREVOD Z UCTU	4604	37790	DUCHOD	CD	64907359
467762	1592	1996-05-13	PRIJEM	PREVOD Z UCTU	4604	37733	DUCHOD	CD	64907359
467763	1592	1996-06-13	PRIJEM	PREVOD Z UCTU	4604	40640	DUCHOD	CD	64907359
467764	1592	1996-07-13	PRIJEM	PREVOD Z UCTU	4604	40112	DUCHOD	CD	64907359
467765	1592	1996-08-13	PRIJEM	PREVOD Z UCTU	4604	41985	DUCHOD	CD	64907359
467766	1592	1996-09-13	PRIJEM	PREVOD Z UCTU	4604	44907	DUCHOD	CD	64907359
467767	1592	1996-10-13	PRIJEM	PREVOD Z UCTU	4604	47839	DUCHOD	CD	64907359
467768	1592	1996-11-13	PRIJEM	PREVOD Z UCTU	4604	50784	DUCHOD	CD	64907359
467769	1592	1996-12-13	PRIJEM	PREVOD Z UCTU	4604	53292	DUCHOD	CD	64907359
467770	1592	1997-01-13	PRIJEM	PREVOD Z UCTU	4604	51380	DUCHOD	CD	64907359
467771	1592	1997-02-13	PRIJEM	PREVOD Z UCTU	4604	50341	DUCHOD	CD	64907359
467772	1592	1997-03-13	PRIJEM	PREVOD Z UCTU	4604	53295	DUCHOD	CD	64907359
467773	1592	1997-04-13	PRIJEM	PREVOD Z UCTU	4604	56263	DUCHOD	CD	64907359
467774	1592	1997-05-13	PRIJEM	PREVOD Z UCTU	4604	59243	DUCHOD	CD	64907359
467775	1592	1997-06-13	PRIJEM	PREVOD Z UCTU	4604	59115	DUCHOD	CD	64907359
467776	1592	1997-07-13	PRIJEM	PREVOD Z UCTU	4604	56928	DUCHOD	CD	64907359
467777	1592	1997-08-13	PRIJEM	PREVOD Z UCTU	4604	59914	DUCHOD	CD	64907359
467778	1592	1997-09-13	PRIJEM	PREVOD Z UCTU	4604	62429	DUCHOD	CD	64907359
467779	1592	1997-10-13	PRIJEM	PREVOD Z UCTU	4604	65434	DUCHOD	CD	64907359
467780	1592	1997-11-13	PRIJEM	PREVOD Z UCTU	4604	68452	DUCHOD	CD	64907359
467781	1592	1997-12-13	PRIJEM	PREVOD Z UCTU	4604	71482	DUCHOD	CD	64907359
467782	1592	1998-01-13	PRIJEM	PREVOD Z UCTU	4604	71203	DUCHOD	CD	64907359
467783	1592	1998-02-13	PRIJEM	PREVOD Z UCTU	4604	66554	DUCHOD	CD	64907359
467784	1592	1998-03-13	PRIJEM	PREVOD Z UCTU	4604	69575	DUCHOD	CD	64907359
467785	1592	1998-04-13	PRIJEM	PREVOD Z UCTU	4604	68925	DUCHOD	CD	64907359
467786	1592	1998-05-13	PRIJEM	PREVOD Z UCTU	4604	71957	DUCHOD	CD	64907359
467787	1592	1998-06-13	PRIJEM	PREVOD Z UCTU	4604	74901	DUCHOD	CD	64907359
467788	1592	1998-07-13	PRIJEM	PREVOD Z UCTU	4604	74197	DUCHOD	CD	64907359
467789	1592	1998-08-13	PRIJEM	PREVOD Z UCTU	4604	75953	DUCHOD	CD	64907359
467790	1592	1998-09-13	PRIJEM	PREVOD Z UCTU	4604	77091	DUCHOD	CD	64907359
467791	1592	1998-10-13	PRIJEM	PREVOD Z UCTU	4604	80155	DUCHOD	CD	64907359
467792	1592	1998-11-13	PRIJEM	PREVOD Z UCTU	4604	83233	DUCHOD	CD	64907359
467793	1592	1998-12-13	PRIJEM	PREVOD Z UCTU	4604	85823	DUCHOD	CD	64907359
467807	1592	1995-02-05	VYDAJ	PREVOD NA UCET	224	19472	SIPO	QR	4900444
467808	1592	1995-03-05	VYDAJ	PREVOD NA UCET	224	22311	SIPO	QR	4900444
467809	1592	1995-04-05	VYDAJ	PREVOD NA UCET	224	25163	SIPO	QR	4900444
467810	1592	1995-05-05	VYDAJ	PREVOD NA UCET	224	26624	SIPO	QR	4900444
467811	1592	1995-06-05	VYDAJ	PREVOD NA UCET	224	28191	SIPO	QR	4900444
467812	1592	1995-07-05	VYDAJ	PREVOD NA UCET	224	30365	SIPO	QR	4900444
467813	1592	1995-08-05	VYDAJ	PREVOD NA UCET	224	30105	SIPO	QR	4900444
467814	1592	1995-09-05	VYDAJ	PREVOD NA UCET	224	31389	SIPO	QR	4900444
467815	1592	1995-10-05	VYDAJ	PREVOD NA UCET	224	34077	SIPO	QR	4900444
467816	1592	1995-11-05	VYDAJ	PREVOD NA UCET	224	35934	SIPO	QR	4900444
467817	1592	1995-12-05	VYDAJ	PREVOD NA UCET	224	37399	SIPO	QR	4900444
467818	1592	1996-01-05	VYDAJ	PREVOD NA UCET	224	36654	SIPO	QR	4900444
467819	1592	1996-02-05	VYDAJ	PREVOD NA UCET	224	30387	SIPO	QR	4900444
467820	1592	1996-03-05	VYDAJ	PREVOD NA UCET	224	31908	SIPO	QR	4900444
467821	1592	1996-04-05	VYDAJ	PREVOD NA UCET	224	34799	SIPO	QR	4900444
467822	1592	1996-05-05	VYDAJ	PREVOD NA UCET	224	37702	SIPO	QR	4900444
467823	1592	1996-06-05	VYDAJ	PREVOD NA UCET	224	37649	SIPO	QR	4900444
467824	1592	1996-07-05	VYDAJ	PREVOD NA UCET	224	37121	SIPO	QR	4900444
467825	1592	1996-08-05	VYDAJ	PREVOD NA UCET	224	40034	SIPO	QR	4900444
467826	1592	1996-09-05	VYDAJ	PREVOD NA UCET	224	41916	SIPO	QR	4900444
467827	1592	1996-10-05	VYDAJ	PREVOD NA UCET	224	44848	SIPO	QR	4900444
467828	1592	1996-11-05	VYDAJ	PREVOD NA UCET	224	47793	SIPO	QR	4900444
467829	1592	1996-12-05	VYDAJ	PREVOD NA UCET	224	50751	SIPO	QR	4900444
467830	1592	1997-01-05	VYDAJ	PREVOD NA UCET	224	49589	SIPO	QR	4900444
467831	1592	1997-02-05	VYDAJ	PREVOD NA UCET	224	47350	SIPO	QR	4900444
467832	1592	1997-03-05	VYDAJ	PREVOD NA UCET	224	50304	SIPO	QR	4900444
467833	1592	1997-04-05	VYDAJ	PREVOD NA UCET	224	53272	SIPO	QR	4900444
467834	1592	1997-05-05	VYDAJ	PREVOD NA UCET	224	56252	SIPO	QR	4900444
467835	1592	1997-06-05	VYDAJ	PREVOD NA UCET	224	56124	SIPO	QR	4900444
467836	1592	1997-07-05	VYDAJ	PREVOD NA UCET	224	56017	SIPO	QR	4900444
467837	1592	1997-08-05	VYDAJ	PREVOD NA UCET	224	56923	SIPO	QR	4900444
467838	1592	1997-09-05	VYDAJ	PREVOD NA UCET	224	59918	SIPO	QR	4900444
467839	1592	1997-10-05	VYDAJ	PREVOD NA UCET	224	62443	SIPO	QR	4900444
467840	1592	1997-11-05	VYDAJ	PREVOD NA UCET	224	65461	SIPO	QR	4900444
467841	1592	1997-12-05	VYDAJ	PREVOD NA UCET	224	68491	SIPO	QR	4900444
467842	1592	1998-01-05	VYDAJ	PREVOD NA UCET	224	70132	SIPO	QR	4900444
467843	1592	1998-02-05	VYDAJ	PREVOD NA UCET	224	63563	SIPO	QR	4900444
467844	1592	1998-03-05	VYDAJ	PREVOD NA UCET	224	66584	SIPO	QR	4900444
467845	1592	1998-04-05	VYDAJ	PREVOD NA UCET	224	65934	SIPO	QR	4900444
467846	1592	1998-05-05	VYDAJ	PREVOD NA UCET	224	68966	SIPO	QR	4900444
467847	1592	1998-06-05	VYDAJ	PREVOD NA UCET	224	71910	SIPO	QR	4900444
467848	1592	1998-07-05	VYDAJ	PREVOD NA UCET	224	72246	SIPO	QR	4900444
467849	1592	1998-08-05	VYDAJ	PREVOD NA UCET	224	72962	SIPO	QR	4900444
467850	1592	1998-09-05	VYDAJ	PREVOD NA UCET	224	74100	SIPO	QR	4900444
467851	1592	1998-10-05	VYDAJ	PREVOD NA UCET	224	77164	SIPO	QR	4900444
467852	1592	1998-11-05	VYDAJ	PREVOD NA UCET	224	80242	SIPO	QR	4900444
467853	1592	1998-12-05	VYDAJ	PREVOD NA UCET	224	83332	SIPO	QR	4900444
467867	1592	1995-02-06	VYDAJ	PREVOD NA UCET	1613	17859	 	GH	84782951
467868	1592	1995-03-06	VYDAJ	PREVOD NA UCET	1613	20698	 	GH	84782951
467869	1592	1995-04-06	VYDAJ	PREVOD NA UCET	1613	23550	 	GH	84782951
467870	1592	1995-05-06	VYDAJ	PREVOD NA UCET	1613	25011	 	GH	84782951
467871	1592	1995-06-06	VYDAJ	PREVOD NA UCET	1613	26578	 	GH	84782951
467872	1592	1995-07-06	VYDAJ	PREVOD NA UCET	1613	28752	 	GH	84782951
467873	1592	1995-08-06	VYDAJ	PREVOD NA UCET	1613	28492	 	GH	84782951
467874	1592	1995-09-06	VYDAJ	PREVOD NA UCET	1613	29776	 	GH	84782951
467875	1592	1995-10-06	VYDAJ	PREVOD NA UCET	1613	32464	 	GH	84782951
467876	1592	1995-11-06	VYDAJ	PREVOD NA UCET	1613	34321	 	GH	84782951
467877	1592	1995-12-06	VYDAJ	PREVOD NA UCET	1613	35786	 	GH	84782951
467878	1592	1996-01-06	VYDAJ	PREVOD NA UCET	1613	35041	 	GH	84782951
467879	1592	1996-02-06	VYDAJ	PREVOD NA UCET	1613	28774	 	GH	84782951
467880	1592	1996-03-06	VYDAJ	PREVOD NA UCET	1613	30295	 	GH	84782951
467881	1592	1996-04-06	VYDAJ	PREVOD NA UCET	1613	33186	 	GH	84782951
467882	1592	1996-05-06	VYDAJ	PREVOD NA UCET	1613	36089	 	GH	84782951
467883	1592	1996-06-06	VYDAJ	PREVOD NA UCET	1613	36036	 	GH	84782951
467884	1592	1996-07-06	VYDAJ	PREVOD NA UCET	1613	35508	 	GH	84782951
467885	1592	1996-08-06	VYDAJ	PREVOD NA UCET	1613	38421	 	GH	84782951
467886	1592	1996-09-06	VYDAJ	PREVOD NA UCET	1613	40303	 	GH	84782951
467887	1592	1996-10-06	VYDAJ	PREVOD NA UCET	1613	43235	 	GH	84782951
467888	1592	1996-11-06	VYDAJ	PREVOD NA UCET	1613	46180	 	GH	84782951
467889	1592	1996-12-06	VYDAJ	PREVOD NA UCET	1613	49138	 	GH	84782951
467890	1592	1997-01-06	VYDAJ	PREVOD NA UCET	1613	46776	 	GH	84782951
467891	1592	1997-02-06	VYDAJ	PREVOD NA UCET	1613	45737	 	GH	84782951
467892	1592	1997-03-06	VYDAJ	PREVOD NA UCET	1613	48691	 	GH	84782951
467893	1592	1997-04-06	VYDAJ	PREVOD NA UCET	1613	51659	 	GH	84782951
467894	1592	1997-05-06	VYDAJ	PREVOD NA UCET	1613	54639	 	GH	84782951
467895	1592	1997-06-06	VYDAJ	PREVOD NA UCET	1613	54511	 	GH	84782951
467896	1592	1997-07-06	VYDAJ	PREVOD NA UCET	1613	54404	 	GH	84782951
467897	1592	1997-08-06	VYDAJ	PREVOD NA UCET	1613	55310	 	GH	84782951
467898	1592	1997-09-06	VYDAJ	PREVOD NA UCET	1613	58305	 	GH	84782951
467899	1592	1997-10-06	VYDAJ	PREVOD NA UCET	1613	60830	 	GH	84782951
467900	1592	1997-11-06	VYDAJ	PREVOD NA UCET	1613	63848	 	GH	84782951
467901	1592	1997-12-06	VYDAJ	PREVOD NA UCET	1613	66878	 	GH	84782951
467902	1592	1998-01-06	VYDAJ	PREVOD NA UCET	1613	68519	 	GH	84782951
467903	1592	1998-02-06	VYDAJ	PREVOD NA UCET	1613	61950	 	GH	84782951
467904	1592	1998-03-06	VYDAJ	PREVOD NA UCET	1613	64971	 	GH	84782951
467905	1592	1998-04-06	VYDAJ	PREVOD NA UCET	1613	64321	 	GH	84782951
467906	1592	1998-05-06	VYDAJ	PREVOD NA UCET	1613	67353	 	GH	84782951
467907	1592	1998-06-06	VYDAJ	PREVOD NA UCET	1613	70297	 	GH	84782951
467908	1592	1998-07-06	VYDAJ	PREVOD NA UCET	1613	69593	 	GH	84782951
467909	1592	1998-08-06	VYDAJ	PREVOD NA UCET	1613	71349	 	GH	84782951
467910	1592	1998-09-06	VYDAJ	PREVOD NA UCET	1613	72487	 	GH	84782951
467911	1592	1998-10-06	VYDAJ	PREVOD NA UCET	1613	75551	 	GH	84782951
467912	1592	1998-11-06	VYDAJ	PREVOD NA UCET	1613	78629	 	GH	84782951
467913	1592	1998-12-06	VYDAJ	PREVOD NA UCET	1613	81719	 	GH	84782951
467915	1592	1995-12-16	VYDAJ	VYBER	1450	36740	\N	\N	\N
467916	1592	1996-12-07	VYDAJ	VYBER	450	48688	\N	\N	\N
467917	1592	1997-12-23	VYDAJ	VYBER	1400	70082	\N	\N	\N
467918	1592	1998-12-11	VYDAJ	VYBER KARTOU	500	81219	\N	\N	0
467925	1592	1995-01-23	VYDAJ	VYBER	1920	19660	\N	\N	\N
467928	1592	1995-01-14	VYDAJ	VYBER	640	22780	\N	\N	\N
467930	1592	1995-01-19	VYDAJ	VYBER	1200	21580	\N	\N	\N
467931	1592	1996-01-15	VYDAJ	VYBER	400	35285	\N	\N	\N
467932	1592	1996-01-26	VYDAJ	VYBER	2320	31125	\N	\N	\N
467933	1592	1996-01-18	VYDAJ	VYBER	1360	33925	\N	\N	\N
467934	1592	1996-01-25	VYDAJ	VYBER	480	33445	\N	\N	\N
467935	1592	1996-01-10	VYDAJ	VYBER	1360	33681	\N	\N	\N
467936	1592	1996-01-27	VYDAJ	VYBER	640	30485	\N	\N	\N
467937	1592	1997-01-04	VYDAJ	VYBER	1600	49813	\N	\N	\N
467938	1592	1997-01-21	VYDAJ	VYBER	1120	50260	\N	\N	\N
467939	1592	1997-01-30	VYDAJ	VYBER	1920	47380	\N	\N	\N
467940	1592	1997-01-02	VYDAJ	VYBER	2080	51413	\N	\N	\N
467941	1592	1997-01-06	VYDAJ	VYBER	1200	48389	\N	\N	\N
467942	1592	1997-01-29	VYDAJ	VYBER	960	49300	\N	\N	\N
467943	1592	1998-01-22	VYDAJ	VYBER	1040	65603	\N	\N	\N
467944	1592	1998-01-28	VYDAJ	VYBER	2080	63523	\N	\N	\N
467945	1592	1998-01-15	VYDAJ	VYBER	2000	67683	\N	\N	\N
467946	1592	1998-01-18	VYDAJ	VYBER	1040	66643	\N	\N	\N
467947	1592	1998-01-07	VYDAJ	VYBER	1920	66599	\N	\N	\N
467948	1592	1998-01-15	VYDAJ	VYBER	1520	69683	\N	\N	\N
467956	1592	1995-05-01	VYDAJ	VYBER	400	26848	\N	\N	\N
467957	1592	1995-10-08	VYDAJ	VYBER	1040	31424	\N	\N	\N
467958	1592	1995-11-11	VYDAJ	VYBER	1440	32881	\N	\N	\N
467959	1592	1995-07-22	VYDAJ	VYBER	1840	30216	\N	\N	\N
467960	1592	1996-06-25	VYDAJ	VYBER	3440	37200	\N	\N	\N
467961	1592	1996-08-07	VYDAJ	VYBER	1040	37381	\N	\N	\N
467962	1592	1996-05-09	VYDAJ	VYBER	2960	33129	\N	\N	\N
467963	1592	1996-02-09	VYDAJ	VYBER	1360	27414	\N	\N	\N
467964	1592	1997-06-01	VYDAJ	VYBER	3120	56348	\N	\N	\N
467965	1592	1997-07-01	VYDAJ	VYBER	1600	57741	\N	\N	\N
467966	1592	1997-09-07	VYDAJ	VYBER	480	57825	\N	\N	\N
467967	1592	1997-07-12	VYDAJ	VYBER	2080	52324	\N	\N	\N
467968	1592	1998-08-21	VYDAJ	VYBER	1920	74033	\N	\N	\N
467969	1592	1998-03-23	VYDAJ	VYBER	3680	65895	\N	\N	\N
467970	1592	1998-07-04	VYDAJ	VYBER	2720	72470	\N	\N	\N
467971	1592	1998-07-06	VYDAJ	VYBER	1040	71206	\N	\N	\N
467985	1592	1995-01-31	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
467986	1592	1995-02-28	VYDAJ	VYBER	15	22535	SLUZBY	\N	\N
467987	1592	1995-03-31	VYDAJ	VYBER	15	25387	SLUZBY	\N	\N
467988	1592	1995-04-30	VYDAJ	VYBER	15	27248	SLUZBY	\N	\N
467989	1592	1995-05-31	VYDAJ	VYBER	15	28415	SLUZBY	\N	\N
467990	1592	1995-06-30	VYDAJ	VYBER	15	30589	SLUZBY	\N	\N
467991	1592	1995-07-31	VYDAJ	VYBER	15	30329	SLUZBY	\N	\N
467992	1592	1995-08-31	VYDAJ	VYBER	15	31613	SLUZBY	\N	\N
467993	1592	1995-09-30	VYDAJ	VYBER	15	34301	SLUZBY	\N	\N
467994	1592	1995-10-31	VYDAJ	VYBER	15	36158	SLUZBY	\N	\N
467995	1592	1995-11-30	VYDAJ	VYBER	15	37623	SLUZBY	\N	\N
467996	1592	1995-12-31	VYDAJ	VYBER	15	36878	SLUZBY	\N	\N
467997	1592	1996-01-31	VYDAJ	VYBER	15	30611	SLUZBY	\N	\N
467998	1592	1996-02-29	VYDAJ	VYBER	15	32132	SLUZBY	\N	\N
467999	1592	1996-03-31	VYDAJ	VYBER	15	35023	SLUZBY	\N	\N
468000	1592	1996-04-30	VYDAJ	VYBER	15	37926	SLUZBY	\N	\N
468001	1592	1996-05-31	VYDAJ	VYBER	15	37873	SLUZBY	\N	\N
468002	1592	1996-06-30	VYDAJ	VYBER	15	37345	SLUZBY	\N	\N
468003	1592	1996-07-31	VYDAJ	VYBER	15	40258	SLUZBY	\N	\N
468004	1592	1996-08-31	VYDAJ	VYBER	15	42140	SLUZBY	\N	\N
468005	1592	1996-09-30	VYDAJ	VYBER	15	45072	SLUZBY	\N	\N
468006	1592	1996-10-31	VYDAJ	VYBER	15	48017	SLUZBY	\N	\N
468007	1592	1996-11-30	VYDAJ	VYBER	15	50975	SLUZBY	\N	\N
468008	1592	1996-12-31	VYDAJ	VYBER	15	53493	SLUZBY	\N	\N
468009	1592	1997-01-31	VYDAJ	VYBER	15	47574	SLUZBY	\N	\N
468010	1592	1997-02-28	VYDAJ	VYBER	15	50528	SLUZBY	\N	\N
468011	1592	1997-03-31	VYDAJ	VYBER	15	53496	SLUZBY	\N	\N
468012	1592	1997-04-30	VYDAJ	VYBER	15	56476	SLUZBY	\N	\N
468013	1592	1997-05-31	VYDAJ	VYBER	15	59468	SLUZBY	\N	\N
468014	1592	1997-06-30	VYDAJ	VYBER	15	59341	SLUZBY	\N	\N
468015	1592	1997-07-31	VYDAJ	VYBER	15	57147	SLUZBY	\N	\N
468016	1592	1997-08-31	VYDAJ	VYBER	15	60142	SLUZBY	\N	\N
468017	1592	1997-09-30	VYDAJ	VYBER	15	62667	SLUZBY	\N	\N
468018	1592	1997-10-31	VYDAJ	VYBER	15	65685	SLUZBY	\N	\N
468019	1592	1997-11-30	VYDAJ	VYBER	15	68715	SLUZBY	\N	\N
468020	1592	1997-12-31	VYDAJ	VYBER	15	70356	SLUZBY	\N	\N
468021	1592	1998-01-31	VYDAJ	VYBER	15	63787	SLUZBY	\N	\N
468022	1592	1998-02-28	VYDAJ	VYBER	15	66808	SLUZBY	\N	\N
468023	1592	1998-03-31	VYDAJ	VYBER	15	66158	SLUZBY	\N	\N
468024	1592	1998-04-30	VYDAJ	VYBER	15	69190	SLUZBY	\N	\N
468025	1592	1998-05-31	VYDAJ	VYBER	15	72134	SLUZBY	\N	\N
468026	1592	1998-06-30	VYDAJ	VYBER	15	75190	SLUZBY	\N	\N
468027	1592	1998-07-31	VYDAJ	VYBER	15	73186	SLUZBY	\N	\N
468028	1592	1998-08-31	VYDAJ	VYBER	15	74324	SLUZBY	\N	\N
468029	1592	1998-09-30	VYDAJ	VYBER	15	77388	SLUZBY	\N	\N
468030	1592	1998-10-31	VYDAJ	VYBER	15	80466	SLUZBY	\N	\N
468031	1592	1998-11-30	VYDAJ	VYBER	15	83556	SLUZBY	\N	\N
468032	1592	1995-04-15	VYDAJ	VYBER	1000	27154	\N	\N	\N
468033	1592	1995-05-15	VYDAJ	VYBER	1300	28315	\N	\N	\N
468034	1592	1995-06-14	VYDAJ	VYBER	700	30482	\N	\N	\N
468035	1592	1995-07-14	VYDAJ	VYBER	1300	32056	\N	\N	\N
468036	1592	1995-08-13	VYDAJ	VYBER	1600	31496	\N	\N	\N
468037	1592	1995-09-12	VYDAJ	VYBER	200	29576	\N	\N	\N
468038	1592	1995-12-11	VYDAJ	VYBER	2200	33586	\N	\N	\N
468039	1592	1996-01-10	VYDAJ	VYBER	2600	31081	\N	\N	\N
468040	1592	1997-07-03	VYDAJ	VYBER	1500	56241	\N	\N	\N
468041	1592	1998-05-29	VYDAJ	VYBER	100	71857	\N	\N	\N
468042	1592	1998-07-28	VYDAJ	VYBER	1300	72897	\N	\N	\N
468091	1593	1996-08-22	PRIJEM	VKLAD	500	500	\N	\N	\N
468100	1593	1996-09-10	PRIJEM	PREVOD Z UCTU	3130	3630	\N	MN	31771886
468101	1593	1996-10-10	PRIJEM	PREVOD Z UCTU	3130	6760	\N	MN	31771886
468102	1593	1996-11-10	PRIJEM	PREVOD Z UCTU	3130	9890	\N	MN	31771886
468103	1593	1996-12-10	PRIJEM	PREVOD Z UCTU	3130	13020	\N	MN	31771886
468104	1593	1997-01-10	PRIJEM	PREVOD Z UCTU	3130	16150	\N	MN	31771886
468105	1593	1997-02-10	PRIJEM	PREVOD Z UCTU	3130	14817	\N	MN	31771886
468106	1593	1997-03-10	PRIJEM	PREVOD Z UCTU	3130	13382	\N	MN	31771886
468107	1593	1997-04-10	PRIJEM	PREVOD Z UCTU	3130	14465	\N	MN	31771886
468108	1593	1997-05-10	PRIJEM	PREVOD Z UCTU	3130	14291	\N	MN	31771886
468109	1593	1997-06-10	PRIJEM	PREVOD Z UCTU	3130	15378	\N	MN	31771886
468110	1593	1997-07-10	PRIJEM	PREVOD Z UCTU	3130	14127	\N	MN	31771886
468111	1593	1997-08-10	PRIJEM	PREVOD Z UCTU	3130	14343	\N	MN	31771886
468112	1593	1997-09-10	PRIJEM	PREVOD Z UCTU	3130	15431	\N	MN	31771886
468113	1593	1997-10-10	PRIJEM	PREVOD Z UCTU	3130	16523	\N	MN	31771886
468114	1593	1997-11-10	PRIJEM	PREVOD Z UCTU	3130	15605	\N	MN	31771886
468115	1593	1997-12-10	PRIJEM	PREVOD Z UCTU	3130	16698	\N	MN	31771886
468116	1593	1998-01-10	PRIJEM	PREVOD Z UCTU	3130	15365	\N	MN	31771886
468117	1593	1998-02-10	PRIJEM	PREVOD Z UCTU	3130	14052	\N	MN	31771886
468118	1593	1998-03-10	PRIJEM	PREVOD Z UCTU	3130	15139	\N	MN	31771886
468119	1593	1998-04-10	PRIJEM	PREVOD Z UCTU	3130	16230	\N	MN	31771886
468120	1593	1998-05-10	PRIJEM	PREVOD Z UCTU	3130	17325	\N	MN	31771886
468121	1593	1998-06-10	PRIJEM	PREVOD Z UCTU	3130	18426	\N	MN	31771886
468122	1593	1998-07-10	PRIJEM	PREVOD Z UCTU	3130	19260	\N	MN	31771886
468123	1593	1998-08-10	PRIJEM	PREVOD Z UCTU	3130	20367	\N	MN	31771886
468124	1593	1998-09-10	PRIJEM	PREVOD Z UCTU	3130	21480	\N	MN	31771886
468125	1593	1998-10-10	PRIJEM	PREVOD Z UCTU	3130	22598	\N	MN	31771886
468126	1593	1998-11-10	PRIJEM	PREVOD Z UCTU	3130	23720	\N	MN	31771886
468127	1593	1998-12-10	PRIJEM	PREVOD Z UCTU	3130	24846	\N	MN	31771886
468141	1593	1997-02-05	VYDAJ	PREVOD NA UCET	2086	11687	SIPO	MN	35590773
468142	1593	1997-03-05	VYDAJ	PREVOD NA UCET	2086	10252	SIPO	MN	35590773
468143	1593	1997-04-05	VYDAJ	PREVOD NA UCET	2086	11335	SIPO	MN	35590773
468144	1593	1997-05-05	VYDAJ	PREVOD NA UCET	2086	11161	SIPO	MN	35590773
468145	1593	1997-06-05	VYDAJ	PREVOD NA UCET	2086	12248	SIPO	MN	35590773
468146	1593	1997-07-05	VYDAJ	PREVOD NA UCET	2086	10997	SIPO	MN	35590773
468147	1593	1997-08-05	VYDAJ	PREVOD NA UCET	2086	11213	SIPO	MN	35590773
468148	1593	1997-09-05	VYDAJ	PREVOD NA UCET	2086	12301	SIPO	MN	35590773
468149	1593	1997-10-05	VYDAJ	PREVOD NA UCET	2086	13393	SIPO	MN	35590773
468150	1593	1997-11-05	VYDAJ	PREVOD NA UCET	2086	12475	SIPO	MN	35590773
468151	1593	1997-12-05	VYDAJ	PREVOD NA UCET	2086	13568	SIPO	MN	35590773
468152	1593	1998-01-05	VYDAJ	PREVOD NA UCET	2086	12235	SIPO	MN	35590773
468153	1593	1998-02-05	VYDAJ	PREVOD NA UCET	2086	10922	SIPO	MN	35590773
468154	1593	1998-03-05	VYDAJ	PREVOD NA UCET	2086	12009	SIPO	MN	35590773
468155	1593	1998-04-05	VYDAJ	PREVOD NA UCET	2086	13100	SIPO	MN	35590773
468156	1593	1998-05-05	VYDAJ	PREVOD NA UCET	2086	14195	SIPO	MN	35590773
468157	1593	1998-06-05	VYDAJ	PREVOD NA UCET	2086	15296	SIPO	MN	35590773
468158	1593	1998-07-05	VYDAJ	PREVOD NA UCET	2086	16130	SIPO	MN	35590773
468159	1593	1998-08-05	VYDAJ	PREVOD NA UCET	2086	17237	SIPO	MN	35590773
468160	1593	1998-09-05	VYDAJ	PREVOD NA UCET	2086	18350	SIPO	MN	35590773
468161	1593	1998-10-05	VYDAJ	PREVOD NA UCET	2086	19468	SIPO	MN	35590773
468162	1593	1998-11-05	VYDAJ	PREVOD NA UCET	2086	20590	SIPO	MN	35590773
468163	1593	1998-12-05	VYDAJ	PREVOD NA UCET	2086	21716	SIPO	MN	35590773
468165	1593	1997-06-21	VYDAJ	VYBER	2340	13038	\N	\N	\N
468173	1593	1997-01-24	VYDAJ	VYBER	510	14410	\N	\N	\N
468175	1593	1997-01-13	VYDAJ	VYBER	150	16000	\N	\N	\N
468176	1593	1997-01-30	VYDAJ	VYBER	660	13750	\N	\N	\N
468177	1593	1997-01-19	VYDAJ	VYBER	570	14920	\N	\N	\N
468178	1593	1997-01-16	VYDAJ	VYBER	510	15490	\N	\N	\N
468179	1593	1998-01-20	VYDAJ	VYBER	510	13295	\N	\N	\N
468180	1593	1998-01-29	VYDAJ	VYBER	330	12965	\N	\N	\N
468181	1593	1998-01-20	VYDAJ	VYBER	450	14225	\N	\N	\N
468182	1593	1998-01-20	VYDAJ	VYBER	420	13805	\N	\N	\N
468184	1593	1998-01-13	VYDAJ	VYBER	690	14675	\N	\N	\N
468191	1593	1997-10-12	VYDAJ	VYBER	690	15833	\N	\N	\N
468192	1593	1997-10-13	VYDAJ	VYBER	1320	14513	\N	\N	\N
468193	1593	1997-02-11	VYDAJ	VYBER	1470	13347	\N	\N	\N
468194	1593	1997-12-27	VYDAJ	VYBER	960	15738	\N	\N	\N
468195	1593	1997-02-18	VYDAJ	VYBER	1050	12297	\N	\N	\N
468196	1593	1997-04-12	VYDAJ	VYBER	1260	13205	\N	\N	\N
468198	1593	1997-07-21	VYDAJ	VYBER	870	13257	\N	\N	\N
468200	1593	1998-12-20	VYDAJ	VYBER	900	23946	\N	\N	\N
468201	1593	1998-07-03	VYDAJ	VYBER	270	18216	\N	\N	\N
468202	1593	1998-01-05	VYDAJ	VYBER	1470	14321	\N	\N	\N
468216	1593	1997-01-31	VYDAJ	VYBER	15	13773	SLUZBY	\N	\N
468217	1593	1997-02-28	VYDAJ	VYBER	15	12338	SLUZBY	\N	\N
468218	1593	1997-03-31	VYDAJ	VYBER	15	13421	SLUZBY	\N	\N
468219	1593	1997-04-30	VYDAJ	VYBER	15	13247	SLUZBY	\N	\N
468220	1593	1997-05-31	VYDAJ	VYBER	15	14334	SLUZBY	\N	\N
468221	1593	1997-06-30	VYDAJ	VYBER	15	13083	SLUZBY	\N	\N
468222	1593	1997-07-31	VYDAJ	VYBER	15	13299	SLUZBY	\N	\N
468223	1593	1997-08-31	VYDAJ	VYBER	15	14387	SLUZBY	\N	\N
468224	1593	1997-09-30	VYDAJ	VYBER	15	15479	SLUZBY	\N	\N
468225	1593	1997-10-31	VYDAJ	VYBER	15	14561	SLUZBY	\N	\N
468226	1593	1997-11-30	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
468227	1593	1997-12-31	VYDAJ	VYBER	15	15791	SLUZBY	\N	\N
468228	1593	1998-01-31	VYDAJ	VYBER	15	13008	SLUZBY	\N	\N
468229	1593	1998-02-28	VYDAJ	VYBER	15	14095	SLUZBY	\N	\N
468230	1593	1998-03-31	VYDAJ	VYBER	15	15186	SLUZBY	\N	\N
468231	1593	1998-04-30	VYDAJ	VYBER	15	16281	SLUZBY	\N	\N
468232	1593	1998-05-31	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
468233	1593	1998-06-30	VYDAJ	VYBER	15	18486	SLUZBY	\N	\N
468234	1593	1998-07-31	VYDAJ	VYBER	15	19323	SLUZBY	\N	\N
468235	1593	1998-08-31	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
468236	1593	1998-09-30	VYDAJ	VYBER	15	21554	SLUZBY	\N	\N
468237	1593	1998-10-31	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
468238	1593	1998-11-30	VYDAJ	VYBER	15	23802	SLUZBY	\N	\N
468263	1594	1997-04-06	PRIJEM	VKLAD	500	500	\N	\N	\N
468267	1594	1997-04-11	PRIJEM	VKLAD	18186	18686	\N	\N	\N
468268	1594	1997-05-11	PRIJEM	VKLAD	18186	40324	\N	\N	\N
468269	1594	1997-06-11	PRIJEM	VKLAD	27279	64842	\N	\N	\N
468270	1594	1997-07-11	PRIJEM	VKLAD	18186	66664	\N	\N	\N
468271	1594	1997-08-11	PRIJEM	VKLAD	18186	70025	\N	\N	\N
468272	1594	1997-09-11	PRIJEM	VKLAD	18186	66845	\N	\N	\N
468273	1594	1997-10-11	PRIJEM	VKLAD	18186	63750	\N	\N	\N
468274	1594	1997-11-11	PRIJEM	VKLAD	18186	67042	\N	\N	\N
468275	1594	1997-12-11	PRIJEM	VKLAD	27279	77634	\N	\N	\N
468276	1594	1998-01-11	PRIJEM	VKLAD	18186	69860	\N	\N	\N
468277	1594	1998-02-11	PRIJEM	VKLAD	18186	66070	\N	\N	\N
468278	1594	1998-03-11	PRIJEM	VKLAD	18186	63254	\N	\N	\N
468279	1594	1998-04-11	PRIJEM	VKLAD	18186	58243	\N	\N	\N
468280	1594	1998-05-11	PRIJEM	VKLAD	18186	61503	\N	\N	\N
468281	1594	1998-06-11	PRIJEM	VKLAD	27279	75470	\N	\N	\N
468282	1594	1998-07-11	PRIJEM	VKLAD	18186	61244	\N	\N	\N
468283	1594	1998-08-11	PRIJEM	VKLAD	18186	63111	\N	\N	\N
468284	1594	1998-09-11	PRIJEM	VKLAD	18186	57879	\N	\N	\N
468285	1594	1998-10-11	PRIJEM	VKLAD	18186	57728	\N	\N	\N
468286	1594	1998-11-11	PRIJEM	VKLAD	18186	52769	\N	\N	\N
468287	1594	1998-12-11	PRIJEM	VKLAD	27279	53781	\N	\N	\N
468295	1594	1997-08-13	VYDAJ	PREVOD NA UCET	4577	65448	SIPO	WX	15203357
468296	1594	1997-09-13	VYDAJ	PREVOD NA UCET	4577	62268	SIPO	WX	15203357
468297	1594	1997-10-13	VYDAJ	PREVOD NA UCET	4577	59173	SIPO	WX	15203357
468298	1594	1997-11-13	VYDAJ	PREVOD NA UCET	4577	62465	SIPO	WX	15203357
468299	1594	1997-12-13	VYDAJ	PREVOD NA UCET	4577	73057	SIPO	WX	15203357
468300	1594	1998-01-13	VYDAJ	PREVOD NA UCET	4577	62683	SIPO	WX	15203357
468301	1594	1998-02-13	VYDAJ	PREVOD NA UCET	4577	61493	SIPO	WX	15203357
468302	1594	1998-03-13	VYDAJ	PREVOD NA UCET	4577	58677	SIPO	WX	15203357
468303	1594	1998-04-13	VYDAJ	PREVOD NA UCET	4577	53666	SIPO	WX	15203357
468304	1594	1998-05-13	VYDAJ	PREVOD NA UCET	4577	56926	SIPO	WX	15203357
468305	1594	1998-06-13	VYDAJ	PREVOD NA UCET	4577	57493	SIPO	WX	15203357
468306	1594	1998-07-13	VYDAJ	PREVOD NA UCET	4577	56667	SIPO	WX	15203357
468307	1594	1998-08-13	VYDAJ	PREVOD NA UCET	4577	58534	SIPO	WX	15203357
468308	1594	1998-09-13	VYDAJ	PREVOD NA UCET	4577	53302	SIPO	WX	15203357
468309	1594	1998-10-13	VYDAJ	PREVOD NA UCET	4577	53151	SIPO	WX	15203357
468310	1594	1998-11-13	VYDAJ	PREVOD NA UCET	4577	48192	SIPO	WX	15203357
468311	1594	1998-12-13	VYDAJ	PREVOD NA UCET	4577	49204	SIPO	WX	15203357
468320	1594	1997-09-09	VYDAJ	PREVOD NA UCET	1596	48659	 	AB	37283611
468321	1594	1997-10-09	VYDAJ	PREVOD NA UCET	1596	45564	 	AB	37283611
468322	1594	1997-11-09	VYDAJ	PREVOD NA UCET	1596	48856	 	AB	37283611
468323	1594	1997-12-09	VYDAJ	PREVOD NA UCET	1596	50355	 	AB	37283611
468324	1594	1998-01-09	VYDAJ	PREVOD NA UCET	1596	51674	 	AB	37283611
468325	1594	1998-02-09	VYDAJ	PREVOD NA UCET	1596	47884	 	AB	37283611
468326	1594	1998-03-09	VYDAJ	PREVOD NA UCET	1596	45068	 	AB	37283611
468327	1594	1998-04-09	VYDAJ	PREVOD NA UCET	1596	40057	 	AB	37283611
468328	1594	1998-05-09	VYDAJ	PREVOD NA UCET	1596	43317	 	AB	37283611
468329	1594	1998-06-09	VYDAJ	PREVOD NA UCET	1596	48191	 	AB	37283611
468330	1594	1998-07-09	VYDAJ	PREVOD NA UCET	1596	46958	 	AB	37283611
468331	1594	1998-08-09	VYDAJ	PREVOD NA UCET	1596	44925	 	AB	37283611
468332	1594	1998-09-09	VYDAJ	PREVOD NA UCET	1596	39693	 	AB	37283611
468333	1594	1998-10-09	VYDAJ	PREVOD NA UCET	1596	39542	 	AB	37283611
468334	1594	1998-11-09	VYDAJ	PREVOD NA UCET	1596	34583	 	AB	37283611
468335	1594	1998-12-09	VYDAJ	PREVOD NA UCET	1596	26502	 	AB	37283611
468343	1594	1997-08-14	VYDAJ	PREVOD NA UCET	54	65394	POJISTNE	CD	79126387
468344	1594	1997-09-14	VYDAJ	PREVOD NA UCET	54	62214	POJISTNE	CD	79126387
468345	1594	1997-10-14	VYDAJ	PREVOD NA UCET	54	59119	POJISTNE	CD	79126387
468346	1594	1997-11-14	VYDAJ	PREVOD NA UCET	54	62411	POJISTNE	CD	79126387
468347	1594	1997-12-14	VYDAJ	PREVOD NA UCET	54	73003	POJISTNE	CD	79126387
468348	1594	1998-01-14	VYDAJ	PREVOD NA UCET	54	62629	POJISTNE	CD	79126387
468349	1594	1998-02-14	VYDAJ	PREVOD NA UCET	54	61439	POJISTNE	CD	79126387
468350	1594	1998-03-14	VYDAJ	PREVOD NA UCET	54	58623	POJISTNE	CD	79126387
468351	1594	1998-04-14	VYDAJ	PREVOD NA UCET	54	53612	POJISTNE	CD	79126387
468352	1594	1998-05-14	VYDAJ	PREVOD NA UCET	54	56872	POJISTNE	CD	79126387
468353	1594	1998-06-14	VYDAJ	PREVOD NA UCET	54	57439	POJISTNE	CD	79126387
468354	1594	1998-07-14	VYDAJ	PREVOD NA UCET	54	56613	POJISTNE	CD	79126387
468355	1594	1998-08-14	VYDAJ	PREVOD NA UCET	54	58480	POJISTNE	CD	79126387
468356	1594	1998-09-14	VYDAJ	PREVOD NA UCET	54	53248	POJISTNE	CD	79126387
468357	1594	1998-10-14	VYDAJ	PREVOD NA UCET	54	53097	POJISTNE	CD	79126387
468358	1594	1998-11-14	VYDAJ	PREVOD NA UCET	54	48138	POJISTNE	CD	79126387
468359	1594	1998-12-14	VYDAJ	PREVOD NA UCET	54	49150	POJISTNE	CD	79126387
468361	1594	1998-06-12	VYDAJ	VYBER	13400	62070	\N	\N	\N
468363	1594	1998-01-13	VYDAJ	VYBER	2600	67260	\N	\N	\N
468364	1594	1997-12-22	VYDAJ	VYBER	2400	70603	\N	\N	\N
468365	1594	1998-12-04	VYDAJ	VYBER	2600	28098	\N	\N	\N
468371	1594	1997-12-07	VYDAJ	VYBER	900	51951	\N	\N	\N
468373	1594	1998-01-08	VYDAJ	VYBER	3100	53270	\N	\N	\N
468374	1594	1998-04-06	VYDAJ	VYBER	4600	41653	\N	\N	\N
468375	1594	1998-09-01	VYDAJ	VYBER	4100	41289	\N	\N	\N
468376	1594	1998-07-10	VYDAJ	VYBER	3900	43058	\N	\N	\N
468377	1594	1998-04-01	VYDAJ	VYBER	3100	55753	\N	\N	\N
468378	1594	1998-04-17	VYDAJ	VYBER	700	52912	\N	\N	\N
468387	1594	1997-08-31	VYDAJ	VYBER	15	65655	SLUZBY	\N	\N
468388	1594	1997-09-30	VYDAJ	VYBER	15	62460	SLUZBY	\N	\N
468389	1594	1997-10-31	VYDAJ	VYBER	15	59352	SLUZBY	\N	\N
468390	1594	1997-11-30	VYDAJ	VYBER	15	62651	SLUZBY	\N	\N
468391	1594	1997-12-31	VYDAJ	VYBER	15	70870	SLUZBY	\N	\N
468392	1594	1998-01-31	VYDAJ	VYBER	15	62880	SLUZBY	\N	\N
468393	1594	1998-02-28	VYDAJ	VYBER	15	61664	SLUZBY	\N	\N
468394	1594	1998-03-31	VYDAJ	VYBER	15	58853	SLUZBY	\N	\N
468395	1594	1998-04-30	VYDAJ	VYBER	15	53113	SLUZBY	\N	\N
468396	1594	1998-05-31	VYDAJ	VYBER	15	49787	SLUZBY	\N	\N
468397	1594	1998-06-30	VYDAJ	VYBER	15	57654	SLUZBY	\N	\N
468398	1594	1998-07-31	VYDAJ	VYBER	15	46521	SLUZBY	\N	\N
468399	1594	1998-08-31	VYDAJ	VYBER	15	45389	SLUZBY	\N	\N
468400	1594	1998-09-30	VYDAJ	VYBER	15	41138	SLUZBY	\N	\N
468401	1594	1998-10-31	VYDAJ	VYBER	15	36179	SLUZBY	\N	\N
468402	1594	1998-11-30	VYDAJ	VYBER	15	30698	SLUZBY	\N	\N
468403	1594	1997-05-06	PRIJEM	VKLAD	3400	22138	\N	\N	\N
468404	1594	1997-06-05	VYDAJ	VYBER	2900	37563	\N	\N	\N
468405	1594	1997-07-05	VYDAJ	VYBER	16600	48478	\N	\N	\N
468406	1594	1997-08-04	VYDAJ	VYBER	15100	51839	\N	\N	\N
468407	1594	1997-09-03	VYDAJ	VYBER	15400	50255	\N	\N	\N
468408	1594	1997-10-03	VYDAJ	VYBER	15300	47160	\N	\N	\N
468409	1594	1997-11-02	VYDAJ	VYBER	8900	50452	\N	\N	\N
468410	1594	1997-12-02	VYDAJ	VYBER	9800	52851	\N	\N	\N
468411	1594	1998-01-01	VYDAJ	VYBER	14500	56370	\N	\N	\N
468412	1594	1998-01-31	VYDAJ	VYBER	13400	49480	\N	\N	\N
468413	1594	1998-03-02	VYDAJ	VYBER	15000	46664	\N	\N	\N
468414	1594	1998-04-01	VYDAJ	VYBER	9500	46253	\N	\N	\N
468415	1594	1998-05-01	VYDAJ	VYBER	8200	44913	\N	\N	\N
468416	1594	1998-05-31	VYDAJ	VYBER	7300	49801	\N	\N	\N
468417	1594	1998-06-30	VYDAJ	VYBER	9100	48554	\N	\N	\N
468418	1594	1998-07-30	VYDAJ	VYBER	10300	46313	\N	\N	\N
468419	1594	1998-08-29	VYDAJ	VYBER	13300	45180	\N	\N	\N
468420	1594	1998-09-28	VYDAJ	VYBER	12300	40948	\N	\N	\N
468421	1594	1998-10-28	VYDAJ	VYBER	17100	35997	\N	\N	\N
468422	1594	1998-11-27	VYDAJ	VYBER	17600	30538	\N	\N	\N
468769	1596	1997-10-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
468779	1596	1997-10-13	PRIJEM	PREVOD Z UCTU	4955	6055	DUCHOD	YZ	55425929
468780	1596	1997-11-13	PRIJEM	PREVOD Z UCTU	4955	11026	DUCHOD	YZ	55425929
468781	1596	1997-12-13	PRIJEM	PREVOD Z UCTU	4955	16006	DUCHOD	YZ	55425929
468782	1596	1998-01-13	PRIJEM	PREVOD Z UCTU	4955	20986	DUCHOD	YZ	55425929
468783	1596	1998-02-13	PRIJEM	PREVOD Z UCTU	4955	25966	DUCHOD	YZ	55425929
468784	1596	1998-03-13	PRIJEM	PREVOD Z UCTU	4955	26432	DUCHOD	YZ	55425929
468785	1596	1998-04-13	PRIJEM	PREVOD Z UCTU	4955	27695	DUCHOD	YZ	55425929
468786	1596	1998-05-13	PRIJEM	PREVOD Z UCTU	4955	24802	DUCHOD	YZ	55425929
468787	1596	1998-06-13	PRIJEM	PREVOD Z UCTU	4955	22937	DUCHOD	YZ	55425929
468788	1596	1998-07-13	PRIJEM	PREVOD Z UCTU	4955	23544	DUCHOD	YZ	55425929
468789	1596	1998-08-13	PRIJEM	PREVOD Z UCTU	4955	25274	DUCHOD	YZ	55425929
468790	1596	1998-09-13	PRIJEM	PREVOD Z UCTU	4955	27013	DUCHOD	YZ	55425929
468791	1596	1998-10-13	PRIJEM	PREVOD Z UCTU	4955	27635	DUCHOD	YZ	55425929
468792	1596	1998-11-13	PRIJEM	PREVOD Z UCTU	4955	29382	DUCHOD	YZ	55425929
468793	1596	1998-12-13	PRIJEM	PREVOD Z UCTU	4955	31135	DUCHOD	YZ	55425929
468808	1596	1998-03-05	VYDAJ	PREVOD NA UCET	1306	24674	SIPO	KL	29656684
468809	1596	1998-04-05	VYDAJ	PREVOD NA UCET	1306	24737	SIPO	KL	29656684
468810	1596	1998-05-05	VYDAJ	PREVOD NA UCET	1306	22487	SIPO	KL	29656684
468811	1596	1998-06-05	VYDAJ	PREVOD NA UCET	1306	19979	SIPO	KL	29656684
468812	1596	1998-07-05	VYDAJ	PREVOD NA UCET	1306	19709	SIPO	KL	29656684
468813	1596	1998-08-05	VYDAJ	PREVOD NA UCET	1306	22316	SIPO	KL	29656684
468814	1596	1998-09-05	VYDAJ	PREVOD NA UCET	1306	24055	SIPO	KL	29656684
468815	1596	1998-10-05	VYDAJ	PREVOD NA UCET	1306	22680	SIPO	KL	29656684
468816	1596	1998-11-05	VYDAJ	PREVOD NA UCET	1306	26424	SIPO	KL	29656684
468817	1596	1998-12-05	VYDAJ	PREVOD NA UCET	1306	28177	SIPO	KL	29656684
468832	1596	1998-03-05	VYDAJ	PREVOD NA UCET	1997	22677	 	OP	20661324
468833	1596	1998-04-05	VYDAJ	PREVOD NA UCET	1997	22740	 	OP	20661324
468834	1596	1998-05-05	VYDAJ	PREVOD NA UCET	1997	23793	 	OP	20661324
468835	1596	1998-06-05	VYDAJ	PREVOD NA UCET	1997	17982	 	OP	20661324
468836	1596	1998-07-05	VYDAJ	PREVOD NA UCET	1997	21015	 	OP	20661324
468837	1596	1998-08-05	VYDAJ	PREVOD NA UCET	1997	20319	 	OP	20661324
468838	1596	1998-09-05	VYDAJ	PREVOD NA UCET	1997	22058	 	OP	20661324
468839	1596	1998-10-05	VYDAJ	PREVOD NA UCET	1997	23986	 	OP	20661324
468840	1596	1998-11-05	VYDAJ	PREVOD NA UCET	1997	24427	 	OP	20661324
468841	1596	1998-12-05	VYDAJ	PREVOD NA UCET	1997	26180	 	OP	20661324
468847	1596	1998-12-27	VYDAJ	VYBER	1400	27095	\N	\N	\N
468868	1596	1998-05-08	VYDAJ	VYBER	2640	19847	\N	\N	\N
468869	1596	1998-04-03	VYDAJ	VYBER	480	26043	\N	\N	\N
468870	1596	1998-12-14	VYDAJ	VYBER	2640	28495	\N	\N	\N
468871	1596	1998-05-03	VYDAJ	VYBER	2000	25790	\N	\N	\N
468872	1596	1998-09-25	VYDAJ	VYBER	1120	25893	\N	\N	\N
468873	1596	1998-03-09	VYDAJ	VYBER	1200	21477	\N	\N	\N
468874	1596	1998-07-08	VYDAJ	VYBER	1120	18589	\N	\N	\N
468875	1596	1998-05-25	VYDAJ	VYBER	3600	21202	\N	\N	\N
468890	1596	1998-02-28	VYDAJ	VYBER	15	25980	SLUZBY	\N	\N
468891	1596	1998-03-31	VYDAJ	VYBER	15	26523	SLUZBY	\N	\N
468892	1596	1998-04-30	VYDAJ	VYBER	15	27790	SLUZBY	\N	\N
468893	1596	1998-05-31	VYDAJ	VYBER	15	21285	SLUZBY	\N	\N
468894	1596	1998-06-30	VYDAJ	VYBER	15	23012	SLUZBY	\N	\N
468895	1596	1998-07-31	VYDAJ	VYBER	15	23622	SLUZBY	\N	\N
468896	1596	1998-08-31	VYDAJ	VYBER	15	25361	SLUZBY	\N	\N
468897	1596	1998-09-30	VYDAJ	VYBER	15	25983	SLUZBY	\N	\N
468898	1596	1998-10-31	VYDAJ	VYBER	15	27730	SLUZBY	\N	\N
468899	1596	1998-11-30	VYDAJ	VYBER	15	29483	SLUZBY	\N	\N
468915	1597	1995-07-04	PRIJEM	VKLAD	900	900	\N	\N	\N
468922	1597	1995-07-06	PRIJEM	PREVOD Z UCTU	6701	7601	DUCHOD	ST	69547152
468923	1597	1995-08-06	PRIJEM	PREVOD Z UCTU	6701	14329	DUCHOD	ST	69547152
468924	1597	1995-09-06	PRIJEM	PREVOD Z UCTU	6701	21061	DUCHOD	ST	69547152
468925	1597	1995-10-06	PRIJEM	PREVOD Z UCTU	6701	26994	DUCHOD	ST	69547152
468926	1597	1995-11-06	PRIJEM	PREVOD Z UCTU	6701	29294	DUCHOD	ST	69547152
468927	1597	1995-12-06	PRIJEM	PREVOD Z UCTU	6701	26737	DUCHOD	ST	69547152
468928	1597	1996-01-06	PRIJEM	PREVOD Z UCTU	6701	26784	DUCHOD	ST	69547152
468929	1597	1996-02-06	PRIJEM	PREVOD Z UCTU	6701	21244	DUCHOD	ST	69547152
468930	1597	1996-03-06	PRIJEM	PREVOD Z UCTU	6701	25625	DUCHOD	ST	69547152
468931	1597	1996-04-06	PRIJEM	PREVOD Z UCTU	6701	25324	DUCHOD	ST	69547152
468932	1597	1996-05-06	PRIJEM	PREVOD Z UCTU	6701	28023	DUCHOD	ST	69547152
468933	1597	1996-06-06	PRIJEM	PREVOD Z UCTU	6701	25647	DUCHOD	ST	69547152
468934	1597	1996-07-06	PRIJEM	PREVOD Z UCTU	6701	21927	DUCHOD	ST	69547152
468935	1597	1996-08-06	PRIJEM	PREVOD Z UCTU	6701	21173	DUCHOD	ST	69547152
468936	1597	1996-09-06	PRIJEM	PREVOD Z UCTU	6701	21352	DUCHOD	ST	69547152
468937	1597	1996-10-06	PRIJEM	PREVOD Z UCTU	6701	22031	DUCHOD	ST	69547152
468938	1597	1996-11-06	PRIJEM	PREVOD Z UCTU	6701	21913	DUCHOD	ST	69547152
468939	1597	1996-12-06	PRIJEM	PREVOD Z UCTU	6701	24014	DUCHOD	ST	69547152
468940	1597	1997-01-06	PRIJEM	PREVOD Z UCTU	6701	23795	DUCHOD	ST	69547152
468941	1597	1997-02-06	PRIJEM	PREVOD Z UCTU	6701	20203	DUCHOD	ST	69547152
468942	1597	1997-03-06	PRIJEM	PREVOD Z UCTU	6701	19536	DUCHOD	ST	69547152
468943	1597	1997-04-06	PRIJEM	PREVOD Z UCTU	6701	23911	DUCHOD	ST	69547152
468944	1597	1997-05-06	PRIJEM	PREVOD Z UCTU	6701	28303	DUCHOD	ST	69547152
468945	1597	1997-06-06	PRIJEM	PREVOD Z UCTU	6701	31352	DUCHOD	ST	69547152
468946	1597	1997-07-06	PRIJEM	PREVOD Z UCTU	6701	28208	DUCHOD	ST	69547152
468947	1597	1997-08-06	PRIJEM	PREVOD Z UCTU	6701	31261	DUCHOD	ST	69547152
468948	1597	1997-09-06	PRIJEM	PREVOD Z UCTU	6701	35684	DUCHOD	ST	69547152
468949	1597	1997-10-06	PRIJEM	PREVOD Z UCTU	6701	40126	DUCHOD	ST	69547152
468950	1597	1997-11-06	PRIJEM	PREVOD Z UCTU	6701	42683	DUCHOD	ST	69547152
468951	1597	1997-12-06	PRIJEM	PREVOD Z UCTU	6701	43648	DUCHOD	ST	69547152
468952	1597	1998-01-06	PRIJEM	PREVOD Z UCTU	6701	43729	DUCHOD	ST	69547152
468953	1597	1998-02-06	PRIJEM	PREVOD Z UCTU	6701	38745	DUCHOD	ST	69547152
468954	1597	1998-03-06	PRIJEM	PREVOD Z UCTU	6701	38853	DUCHOD	ST	69547152
468955	1597	1998-04-06	PRIJEM	PREVOD Z UCTU	6701	36963	DUCHOD	ST	69547152
468956	1597	1998-05-06	PRIJEM	PREVOD Z UCTU	6701	41419	DUCHOD	ST	69547152
468957	1597	1998-06-06	PRIJEM	PREVOD Z UCTU	6701	38471	DUCHOD	ST	69547152
468958	1597	1998-07-06	PRIJEM	PREVOD Z UCTU	6701	30559	DUCHOD	ST	69547152
468959	1597	1998-08-06	PRIJEM	PREVOD Z UCTU	6701	34338	DUCHOD	ST	69547152
468960	1597	1998-09-06	PRIJEM	PREVOD Z UCTU	6701	38773	DUCHOD	ST	69547152
468961	1597	1998-10-06	PRIJEM	PREVOD Z UCTU	6701	43227	DUCHOD	ST	69547152
468962	1597	1998-11-06	PRIJEM	PREVOD Z UCTU	6701	46096	DUCHOD	ST	69547152
468963	1597	1998-12-06	PRIJEM	PREVOD Z UCTU	6701	40007	DUCHOD	ST	69547152
468974	1597	1995-11-13	VYDAJ	PREVOD NA UCET	2376	26918	SIPO	GH	13610762
468975	1597	1995-12-13	VYDAJ	PREVOD NA UCET	2376	23611	SIPO	GH	13610762
468976	1597	1996-01-13	VYDAJ	PREVOD NA UCET	2376	23928	SIPO	GH	13610762
468977	1597	1996-02-13	VYDAJ	PREVOD NA UCET	2376	18868	SIPO	GH	13610762
468978	1597	1996-03-13	VYDAJ	PREVOD NA UCET	2376	23249	SIPO	GH	13610762
468979	1597	1996-04-13	VYDAJ	PREVOD NA UCET	2376	22948	SIPO	GH	13610762
468980	1597	1996-05-13	VYDAJ	PREVOD NA UCET	2376	25647	SIPO	GH	13610762
468981	1597	1996-06-13	VYDAJ	PREVOD NA UCET	2376	15571	SIPO	GH	13610762
468982	1597	1996-07-13	VYDAJ	PREVOD NA UCET	2376	18511	SIPO	GH	13610762
468983	1597	1996-08-13	VYDAJ	PREVOD NA UCET	2376	18797	SIPO	GH	13610762
468984	1597	1996-09-13	VYDAJ	PREVOD NA UCET	2376	18976	SIPO	GH	13610762
468985	1597	1996-10-13	VYDAJ	PREVOD NA UCET	2376	19655	SIPO	GH	13610762
468986	1597	1996-11-13	VYDAJ	PREVOD NA UCET	2376	19537	SIPO	GH	13610762
468987	1597	1996-12-13	VYDAJ	PREVOD NA UCET	2376	21638	SIPO	GH	13610762
468988	1597	1997-01-13	VYDAJ	PREVOD NA UCET	2376	21419	SIPO	GH	13610762
468989	1597	1997-02-13	VYDAJ	PREVOD NA UCET	2376	17827	SIPO	GH	13610762
468990	1597	1997-03-13	VYDAJ	PREVOD NA UCET	2376	17160	SIPO	GH	13610762
468991	1597	1997-04-13	VYDAJ	PREVOD NA UCET	2376	21535	SIPO	GH	13610762
468992	1597	1997-05-13	VYDAJ	PREVOD NA UCET	2376	25927	SIPO	GH	13610762
468993	1597	1997-06-13	VYDAJ	PREVOD NA UCET	2376	28976	SIPO	GH	13610762
468994	1597	1997-07-13	VYDAJ	PREVOD NA UCET	2376	24472	SIPO	GH	13610762
468995	1597	1997-08-13	VYDAJ	PREVOD NA UCET	2376	28885	SIPO	GH	13610762
468996	1597	1997-09-13	VYDAJ	PREVOD NA UCET	2376	33308	SIPO	GH	13610762
468997	1597	1997-10-13	VYDAJ	PREVOD NA UCET	2376	37750	SIPO	GH	13610762
468998	1597	1997-11-13	VYDAJ	PREVOD NA UCET	2376	40307	SIPO	GH	13610762
468999	1597	1997-12-13	VYDAJ	PREVOD NA UCET	2376	41272	SIPO	GH	13610762
469000	1597	1998-01-13	VYDAJ	PREVOD NA UCET	2376	39273	SIPO	GH	13610762
469001	1597	1998-02-13	VYDAJ	PREVOD NA UCET	2376	36369	SIPO	GH	13610762
469002	1597	1998-03-13	VYDAJ	PREVOD NA UCET	2376	36477	SIPO	GH	13610762
469003	1597	1998-04-13	VYDAJ	PREVOD NA UCET	2376	34587	SIPO	GH	13610762
469004	1597	1998-05-13	VYDAJ	PREVOD NA UCET	2376	39043	SIPO	GH	13610762
469005	1597	1998-06-13	VYDAJ	PREVOD NA UCET	2376	36095	SIPO	GH	13610762
469006	1597	1998-07-13	VYDAJ	PREVOD NA UCET	2376	27543	SIPO	GH	13610762
469007	1597	1998-08-13	VYDAJ	PREVOD NA UCET	2376	31962	SIPO	GH	13610762
469008	1597	1998-09-13	VYDAJ	PREVOD NA UCET	2376	36397	SIPO	GH	13610762
469009	1597	1998-10-13	VYDAJ	PREVOD NA UCET	2376	40851	SIPO	GH	13610762
469010	1597	1998-11-13	VYDAJ	PREVOD NA UCET	2376	43720	SIPO	GH	13610762
469011	1597	1998-12-13	VYDAJ	PREVOD NA UCET	2376	37631	SIPO	GH	13610762
469013	1597	1996-06-11	VYDAJ	VYBER	7700	17947	\N	\N	\N
469014	1597	1997-06-14	VYDAJ	VYBER	7550	21426	\N	\N	\N
469015	1597	1998-06-23	VYDAJ	VYBER	9750	23745	\N	\N	\N
469017	1597	1996-01-20	VYDAJ	VYBER	2500	19108	\N	\N	\N
469019	1597	1998-01-17	VYDAJ	VYBER	1050	37743	\N	\N	\N
469020	1597	1995-12-13	VYDAJ	VYBER	750	25987	\N	\N	\N
469021	1597	1996-12-28	VYDAJ	VYBER	450	18788	\N	\N	\N
469022	1597	1997-12-22	VYDAJ	VYBER	750	38722	\N	\N	\N
469023	1597	1998-12-16	VYDAJ	VYBER	900	31731	\N	\N	\N
469030	1597	1996-01-12	VYDAJ	VYBER	480	26304	\N	\N	\N
469031	1597	1996-01-26	VYDAJ	VYBER	1200	15988	\N	\N	\N
469032	1597	1996-01-23	VYDAJ	VYBER	1920	17188	\N	\N	\N
469033	1597	1996-01-13	VYDAJ	VYBER	2320	21608	\N	\N	\N
469034	1597	1996-01-28	VYDAJ	VYBER	1520	14468	\N	\N	\N
469035	1597	1996-01-05	VYDAJ	VYBER	2320	20083	\N	\N	\N
469036	1597	1997-01-15	VYDAJ	VYBER	1600	19819	\N	\N	\N
469037	1597	1997-01-15	VYDAJ	VYBER	1200	18619	\N	\N	\N
469038	1597	1997-01-02	VYDAJ	VYBER	1760	17094	\N	\N	\N
469039	1597	1997-01-20	VYDAJ	VYBER	1280	16619	\N	\N	\N
469040	1597	1997-01-20	VYDAJ	VYBER	1440	15179	\N	\N	\N
469041	1597	1997-01-26	VYDAJ	VYBER	1440	13439	\N	\N	\N
469042	1597	1998-01-26	VYDAJ	VYBER	2240	31903	\N	\N	\N
469043	1597	1998-01-17	VYDAJ	VYBER	400	35743	\N	\N	\N
469044	1597	1998-01-17	VYDAJ	VYBER	1600	36143	\N	\N	\N
469045	1597	1998-01-13	VYDAJ	VYBER	2080	41649	\N	\N	\N
469046	1597	1998-01-15	VYDAJ	VYBER	480	38793	\N	\N	\N
469047	1597	1998-01-04	VYDAJ	VYBER	1840	37028	\N	\N	\N
469049	1597	1995-12-04	VYDAJ	VYBER	1280	20036	\N	\N	\N
469050	1597	1995-11-26	VYDAJ	VYBER	2800	24118	\N	\N	\N
469052	1597	1996-11-22	VYDAJ	VYBER	1680	17857	\N	\N	\N
469053	1597	1996-07-06	VYDAJ	VYBER	1040	20887	\N	\N	\N
469054	1597	1996-05-30	VYDAJ	VYBER	880	18867	\N	\N	\N
469055	1597	1996-05-22	VYDAJ	VYBER	3200	22447	\N	\N	\N
469056	1597	1997-07-13	VYDAJ	VYBER	1360	26848	\N	\N	\N
469057	1597	1997-05-18	VYDAJ	VYBER	1360	24567	\N	\N	\N
469058	1597	1997-01-15	VYDAJ	VYBER	720	17899	\N	\N	\N
469059	1597	1997-02-27	VYDAJ	VYBER	2240	12787	\N	\N	\N
469060	1597	1998-04-01	VYDAJ	VYBER	3840	30262	\N	\N	\N
469061	1597	1998-11-28	VYDAJ	VYBER	3600	34520	\N	\N	\N
469062	1597	1998-07-12	VYDAJ	VYBER	640	29919	\N	\N	\N
469063	1597	1998-12-04	VYDAJ	VYBER	1360	33306	\N	\N	\N
469064	1597	1998-02-22	VYDAJ	VYBER	1040	32029	\N	\N	\N
469076	1597	1995-11-30	VYDAJ	VYBER	15	24216	SLUZBY	\N	\N
469077	1597	1995-12-31	VYDAJ	VYBER	15	22403	SLUZBY	\N	\N
469078	1597	1996-01-31	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
469079	1597	1996-02-29	VYDAJ	VYBER	15	18924	SLUZBY	\N	\N
469080	1597	1996-03-31	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
469081	1597	1996-04-30	VYDAJ	VYBER	15	21322	SLUZBY	\N	\N
469082	1597	1996-05-31	VYDAJ	VYBER	15	18946	SLUZBY	\N	\N
469083	1597	1996-06-30	VYDAJ	VYBER	15	15226	SLUZBY	\N	\N
469084	1597	1996-07-31	VYDAJ	VYBER	15	14472	SLUZBY	\N	\N
469085	1597	1996-08-31	VYDAJ	VYBER	15	14651	SLUZBY	\N	\N
469086	1597	1996-09-30	VYDAJ	VYBER	15	15330	SLUZBY	\N	\N
469087	1597	1996-10-31	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
469088	1597	1996-11-30	VYDAJ	VYBER	15	17313	SLUZBY	\N	\N
469089	1597	1996-12-31	VYDAJ	VYBER	15	18854	SLUZBY	\N	\N
469090	1597	1997-01-31	VYDAJ	VYBER	15	13502	SLUZBY	\N	\N
469091	1597	1997-02-28	VYDAJ	VYBER	15	12835	SLUZBY	\N	\N
469092	1597	1997-03-31	VYDAJ	VYBER	15	17210	SLUZBY	\N	\N
469093	1597	1997-04-30	VYDAJ	VYBER	15	21602	SLUZBY	\N	\N
469094	1597	1997-05-31	VYDAJ	VYBER	15	24651	SLUZBY	\N	\N
469095	1597	1997-06-30	VYDAJ	VYBER	15	21507	SLUZBY	\N	\N
469096	1597	1997-07-31	VYDAJ	VYBER	15	24560	SLUZBY	\N	\N
469097	1597	1997-08-31	VYDAJ	VYBER	15	28983	SLUZBY	\N	\N
469098	1597	1997-09-30	VYDAJ	VYBER	15	33425	SLUZBY	\N	\N
469099	1597	1997-10-31	VYDAJ	VYBER	15	35982	SLUZBY	\N	\N
469100	1597	1997-11-30	VYDAJ	VYBER	15	36947	SLUZBY	\N	\N
469101	1597	1997-12-31	VYDAJ	VYBER	15	38868	SLUZBY	\N	\N
469102	1597	1998-01-31	VYDAJ	VYBER	15	32044	SLUZBY	\N	\N
469103	1597	1998-02-28	VYDAJ	VYBER	15	32152	SLUZBY	\N	\N
469104	1597	1998-03-31	VYDAJ	VYBER	15	34102	SLUZBY	\N	\N
469105	1597	1998-04-30	VYDAJ	VYBER	15	34718	SLUZBY	\N	\N
469106	1597	1998-05-31	VYDAJ	VYBER	15	31770	SLUZBY	\N	\N
469107	1597	1998-06-30	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
469108	1597	1998-07-31	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
469109	1597	1998-08-31	VYDAJ	VYBER	15	32072	SLUZBY	\N	\N
469110	1597	1998-09-30	VYDAJ	VYBER	15	36526	SLUZBY	\N	\N
469111	1597	1998-10-31	VYDAJ	VYBER	15	39395	SLUZBY	\N	\N
469112	1597	1998-11-30	VYDAJ	VYBER	15	34666	SLUZBY	\N	\N
469113	1597	1995-10-02	VYDAJ	VYBER	800	20293	\N	\N	\N
469114	1597	1995-11-01	VYDAJ	VYBER	4500	22593	\N	\N	\N
469115	1597	1995-12-01	VYDAJ	VYBER	2900	21316	\N	\N	\N
469116	1597	1995-12-31	VYDAJ	VYBER	1300	22418	\N	\N	\N
469117	1597	1996-03-30	VYDAJ	VYBER	4700	18549	\N	\N	\N
469118	1597	1996-04-29	VYDAJ	VYBER	1700	21248	\N	\N	\N
469119	1597	1996-05-29	VYDAJ	VYBER	2700	19747	\N	\N	\N
469120	1597	1996-06-28	VYDAJ	VYBER	400	15171	\N	\N	\N
469121	1597	1996-07-28	VYDAJ	VYBER	4100	14411	\N	\N	\N
469122	1597	1996-08-27	VYDAJ	VYBER	4200	14597	\N	\N	\N
469123	1597	1996-09-26	VYDAJ	VYBER	3700	15276	\N	\N	\N
469124	1597	1996-10-26	VYDAJ	VYBER	4500	15155	\N	\N	\N
469125	1597	1996-11-25	VYDAJ	VYBER	600	17257	\N	\N	\N
469126	1597	1996-12-25	VYDAJ	VYBER	2400	19238	\N	\N	\N
469127	1597	1997-01-24	VYDAJ	VYBER	300	14879	\N	\N	\N
469128	1597	1997-02-23	VYDAJ	VYBER	2800	15027	\N	\N	\N
469129	1597	1997-10-21	VYDAJ	VYBER	1900	35850	\N	\N	\N
469130	1597	1997-11-20	VYDAJ	VYBER	3500	36807	\N	\N	\N
469131	1597	1997-12-20	VYDAJ	VYBER	1800	39472	\N	\N	\N
469132	1597	1998-01-19	VYDAJ	VYBER	1600	34143	\N	\N	\N
469133	1597	1998-02-18	VYDAJ	VYBER	3300	33069	\N	\N	\N
469134	1597	1998-03-20	VYDAJ	VYBER	2500	33977	\N	\N	\N
469135	1597	1998-05-19	VYDAJ	VYBER	7400	31643	\N	\N	\N
469136	1597	1998-06-18	VYDAJ	VYBER	2600	33495	\N	\N	\N
469137	1597	1998-10-16	VYDAJ	VYBER	1600	39251	\N	\N	\N
469138	1597	1998-11-15	VYDAJ	VYBER	5600	38120	\N	\N	\N
469139	1597	1998-12-15	VYDAJ	VYBER	5000	32631	\N	\N	\N
469182	1598	1997-04-12	PRIJEM	VKLAD	700	700	\N	\N	\N
469185	1598	1997-06-25	PRIJEM	VKLAD	24774	58273	\N	\N	\N
469186	1598	1997-11-16	PRIJEM	VKLAD	25819	58270	\N	\N	\N
469188	1598	1997-04-22	PRIJEM	VKLAD	44013	44713	\N	\N	\N
469189	1598	1997-05-01	PRIJEM	VKLAD	29636	74405	\N	\N	\N
469190	1598	1998-08-21	PRIJEM	VKLAD	10210	109330	\N	\N	\N
469191	1598	1998-10-27	PRIJEM	VKLAD	38630	102601	\N	\N	\N
469192	1598	1998-09-24	PRIJEM	VKLAD	9170	47848	\N	\N	\N
469193	1598	1998-10-22	PRIJEM	VKLAD	34389	73871	\N	\N	\N
469194	1598	1998-01-17	PRIJEM	VKLAD	17073	57728	\N	\N	\N
469195	1598	1998-06-22	PRIJEM	VKLAD	25205	43762	\N	\N	\N
469196	1598	1998-09-15	PRIJEM	VKLAD	21628	38678	\N	\N	\N
469197	1598	1998-08-17	PRIJEM	VKLAD	41085	99120	\N	\N	\N
469198	1598	1998-08-28	PRIJEM	VKLAD	28518	110948	\N	\N	\N
469199	1598	1998-04-19	PRIJEM	VKLAD	48799	101235	\N	\N	\N
469200	1598	1998-10-08	PRIJEM	VKLAD	14289	52304	\N	\N	\N
469201	1598	1998-12-29	PRIJEM	VKLAD	22893	104768	\N	\N	\N
469202	1598	1998-04-03	PRIJEM	VKLAD	25494	103388	\N	\N	\N
469203	1598	1998-03-23	PRIJEM	VKLAD	27959	92427	\N	\N	\N
469204	1598	1998-04-16	PRIJEM	VKLAD	19080	52436	\N	\N	\N
469205	1598	1998-04-04	PRIJEM	VKLAD	42148	145536	\N	\N	\N
469206	1598	1998-12-04	PRIJEM	VKLAD	29030	71763	\N	\N	\N
469207	1598	1998-02-20	PRIJEM	VKLAD	16936	39757	\N	\N	\N
469208	1598	1998-03-20	PRIJEM	VKLAD	29255	44609	\N	\N	\N
469209	1598	1998-12-16	PRIJEM	VKLAD	38140	93181	\N	\N	\N
469210	1598	1998-08-08	PRIJEM	VKLAD	32732	70857	\N	\N	\N
469211	1598	1998-05-17	PRIJEM	VKLAD	48184	127502	\N	\N	\N
469212	1598	1998-07-29	PRIJEM	VKLAD	21896	56898	\N	\N	\N
469213	1598	1998-05-10	PRIJEM	VKLAD	29612	92140	\N	\N	\N
469214	1598	1998-07-16	PRIJEM	VKLAD	25283	35002	\N	\N	\N
469215	1598	1998-03-22	PRIJEM	VKLAD	19859	64468	\N	\N	\N
469216	1598	1998-12-22	PRIJEM	VKLAD	25415	118596	\N	\N	\N
469230	1598	1998-02-12	VYDAJ	PREVOD NA UCET	5438	22821	SIPO	CD	36073070
469231	1598	1998-03-12	VYDAJ	PREVOD NA UCET	5438	15354	SIPO	CD	36073070
469232	1598	1998-04-12	VYDAJ	PREVOD NA UCET	5438	33356	SIPO	CD	36073070
469233	1598	1998-05-12	VYDAJ	PREVOD NA UCET	5438	79318	SIPO	CD	36073070
469234	1598	1998-06-12	VYDAJ	PREVOD NA UCET	5438	18557	SIPO	CD	36073070
469235	1598	1998-07-12	VYDAJ	PREVOD NA UCET	5438	9719	SIPO	CD	36073070
469236	1598	1998-08-12	VYDAJ	PREVOD NA UCET	5438	58035	SIPO	CD	36073070
469237	1598	1998-09-12	VYDAJ	PREVOD NA UCET	5438	17050	SIPO	CD	36073070
469238	1598	1998-10-12	VYDAJ	PREVOD NA UCET	5438	39482	SIPO	CD	36073070
469239	1598	1998-11-12	VYDAJ	PREVOD NA UCET	5438	55807	SIPO	CD	36073070
469240	1598	1998-12-12	VYDAJ	PREVOD NA UCET	5438	55041	SIPO	CD	36073070
469254	1598	1998-02-11	VYDAJ	PREVOD NA UCET	7384	28259	 	WX	12520486
469255	1598	1998-03-11	VYDAJ	PREVOD NA UCET	7384	20792	 	WX	12520486
469256	1598	1998-04-11	VYDAJ	PREVOD NA UCET	7384	38794	 	WX	12520486
469257	1598	1998-05-11	VYDAJ	PREVOD NA UCET	7384	84756	 	WX	12520486
469258	1598	1998-06-11	VYDAJ	PREVOD NA UCET	7384	23995	 	WX	12520486
469259	1598	1998-07-11	VYDAJ	PREVOD NA UCET	7384	15157	 	WX	12520486
469260	1598	1998-08-11	VYDAJ	PREVOD NA UCET	7384	63473	 	WX	12520486
469261	1598	1998-09-11	VYDAJ	PREVOD NA UCET	7384	22488	 	WX	12520486
469262	1598	1998-10-11	VYDAJ	PREVOD NA UCET	7384	44920	 	WX	12520486
469263	1598	1998-11-11	VYDAJ	PREVOD NA UCET	7384	61245	 	WX	12520486
469264	1598	1998-12-11	VYDAJ	PREVOD NA UCET	7384	60479	 	WX	12520486
469273	1598	1998-09-11	VYBER	VYBER	8073	29872	\N	\N	\N
469274	1598	1998-12-23	VYBER	VYBER	12321	81875	\N	\N	\N
469275	1598	1998-06-30	VYBER	VYBER	6778	37156	\N	\N	\N
469276	1598	1998-04-07	VYBER	VYBER	11458	71278	\N	\N	\N
469277	1598	1998-11-16	VYBER	VYBER	4149	51658	\N	\N	\N
469279	1598	1998-06-03	VYDAJ	VYBER	47100	48679	\N	\N	\N
469283	1598	1998-12-07	VYDAJ	VYBER	3900	67863	\N	\N	\N
469292	1598	1998-01-20	VYDAJ	VYBER	3000	54728	\N	\N	\N
469294	1598	1998-01-30	VYDAJ	VYBER	5400	41528	\N	\N	\N
469295	1598	1998-01-26	VYDAJ	VYBER	7800	46928	\N	\N	\N
469303	1598	1998-03-30	VYDAJ	VYBER	14700	77727	\N	\N	\N
469307	1598	1998-02-23	VYDAJ	VYBER	14400	25357	\N	\N	\N
469308	1598	1998-10-26	VYDAJ	VYBER	9900	63971	\N	\N	\N
469322	1598	1998-01-31	VYDAJ	VYBER	15	41743	SLUZBY	\N	\N
469323	1598	1998-02-28	VYDAJ	VYBER	15	25476	SLUZBY	\N	\N
469324	1598	1998-03-31	VYDAJ	VYBER	15	77894	SLUZBY	\N	\N
469325	1598	1998-04-30	VYDAJ	VYBER	15	101528	SLUZBY	\N	\N
469326	1598	1998-05-31	VYDAJ	VYBER	15	95779	SLUZBY	\N	\N
469327	1598	1998-06-30	VYDAJ	VYBER	15	37141	SLUZBY	\N	\N
469328	1598	1998-07-31	VYDAJ	VYBER	15	57025	SLUZBY	\N	\N
469329	1598	1998-08-31	VYDAJ	VYBER	15	55245	SLUZBY	\N	\N
469330	1598	1998-09-30	VYDAJ	VYBER	15	48015	SLUZBY	\N	\N
469331	1598	1998-10-31	VYDAJ	VYBER	15	102829	SLUZBY	\N	\N
469332	1598	1998-11-30	VYDAJ	VYBER	15	51933	SLUZBY	\N	\N
469333	1598	1997-05-12	VYDAJ	VYBER	26900	47505	\N	\N	\N
469334	1598	1997-06-11	VYDAJ	VYBER	14200	33499	\N	\N	\N
469335	1598	1997-07-11	VYDAJ	VYBER	18900	39580	\N	\N	\N
469336	1598	1997-08-10	VYDAJ	VYBER	6400	33422	\N	\N	\N
469337	1598	1997-09-09	PRIJEM	VKLAD	900	34565	\N	\N	\N
469338	1598	1997-10-09	VYDAJ	VYBER	3900	30908	\N	\N	\N
469339	1598	1997-11-08	PRIJEM	VKLAD	1300	32451	\N	\N	\N
469340	1598	1997-12-08	VYDAJ	VYBER	11100	47413	\N	\N	\N
469341	1598	1998-01-07	VYDAJ	VYBER	7000	40655	\N	\N	\N
469342	1598	1998-02-06	VYDAJ	VYBER	6100	35643	\N	\N	\N
469343	1598	1998-03-08	PRIJEM	VKLAD	2700	28176	\N	\N	\N
469344	1598	1998-04-04	VYDAJ	VYBER	62800	82736	\N	\N	\N
469345	1598	1998-04-07	VYDAJ	VYBER	25100	46178	\N	\N	\N
469346	1598	1998-05-07	VYDAJ	VYBER	39000	62528	\N	\N	\N
469347	1598	1998-05-17	VYDAJ	VYBER	32100	95402	\N	\N	\N
469348	1598	1998-06-06	VYDAJ	VYBER	17300	31379	\N	\N	\N
469349	1598	1998-07-06	VYDAJ	VYBER	14600	22541	\N	\N	\N
469350	1598	1998-08-05	VYDAJ	VYBER	18900	38125	\N	\N	\N
469351	1598	1998-08-21	VYDAJ	VYBER	26900	82430	\N	\N	\N
469352	1598	1998-08-28	VYDAJ	VYBER	56000	54948	\N	\N	\N
469353	1598	1998-09-04	VYDAJ	VYBER	17300	37945	\N	\N	\N
469354	1598	1998-10-04	VYDAJ	VYBER	10000	38015	\N	\N	\N
469355	1598	1998-11-03	VYDAJ	VYBER	34200	68629	\N	\N	\N
469356	1598	1998-12-03	VYDAJ	VYBER	9200	42733	\N	\N	\N
469357	1598	1998-12-22	VYDAJ	VYBER	24400	94196	\N	\N	\N
469358	1598	1998-12-29	VYDAJ	VYBER	51200	53568	\N	\N	\N
469380	1599	1995-11-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
469392	1599	1995-12-08	PRIJEM	VKLAD	37372	38472	\N	\N	\N
469393	1599	1996-01-08	PRIJEM	VKLAD	24915	58085	\N	\N	\N
469394	1599	1996-02-08	PRIJEM	VKLAD	24915	65460	\N	\N	\N
469395	1599	1996-03-08	PRIJEM	VKLAD	24915	69823	\N	\N	\N
469396	1599	1996-04-08	PRIJEM	VKLAD	24915	70348	\N	\N	\N
469397	1599	1996-05-08	PRIJEM	VKLAD	24915	62796	\N	\N	\N
469398	1599	1996-06-08	PRIJEM	VKLAD	37372	63586	\N	\N	\N
469399	1599	1996-07-08	PRIJEM	VKLAD	24915	55517	\N	\N	\N
469400	1599	1996-08-08	PRIJEM	VKLAD	24915	58889	\N	\N	\N
469401	1599	1996-09-08	PRIJEM	VKLAD	24915	61080	\N	\N	\N
469402	1599	1996-10-08	PRIJEM	VKLAD	24915	55621	\N	\N	\N
469403	1599	1996-11-08	PRIJEM	VKLAD	24915	57199	\N	\N	\N
469404	1599	1996-12-08	PRIJEM	VKLAD	37372	68937	\N	\N	\N
469405	1599	1997-01-08	PRIJEM	VKLAD	24915	56188	\N	\N	\N
469406	1599	1997-02-08	PRIJEM	VKLAD	24915	50164	\N	\N	\N
469407	1599	1997-03-08	PRIJEM	VKLAD	24915	50344	\N	\N	\N
469408	1599	1997-04-08	PRIJEM	VKLAD	24915	52473	\N	\N	\N
469409	1599	1997-05-08	PRIJEM	VKLAD	24915	51384	\N	\N	\N
469410	1599	1997-06-08	PRIJEM	VKLAD	37372	69095	\N	\N	\N
469411	1599	1997-07-08	PRIJEM	VKLAD	24915	63606	\N	\N	\N
469412	1599	1997-08-08	PRIJEM	VKLAD	24915	67134	\N	\N	\N
469413	1599	1997-09-08	PRIJEM	VKLAD	24915	69552	\N	\N	\N
469414	1599	1997-10-08	PRIJEM	VKLAD	24915	73374	\N	\N	\N
469415	1599	1997-11-08	PRIJEM	VKLAD	24915	75690	\N	\N	\N
469416	1599	1997-12-08	PRIJEM	VKLAD	37372	90293	\N	\N	\N
469417	1599	1998-01-08	PRIJEM	VKLAD	24915	77633	\N	\N	\N
469418	1599	1998-02-08	PRIJEM	VKLAD	24915	71920	\N	\N	\N
469419	1599	1998-03-08	PRIJEM	VKLAD	24915	75048	\N	\N	\N
469420	1599	1998-04-08	PRIJEM	VKLAD	24915	67326	\N	\N	\N
469421	1599	1998-05-08	PRIJEM	VKLAD	24915	70235	\N	\N	\N
469422	1599	1998-06-08	PRIJEM	VKLAD	37372	81507	\N	\N	\N
469423	1599	1998-07-08	PRIJEM	VKLAD	24915	64308	\N	\N	\N
469424	1599	1998-08-08	PRIJEM	VKLAD	24915	57716	\N	\N	\N
469425	1599	1998-09-08	PRIJEM	VKLAD	24915	62878	\N	\N	\N
469426	1599	1998-10-08	PRIJEM	VKLAD	24915	72365	\N	\N	\N
469427	1599	1998-11-08	PRIJEM	VKLAD	24915	72383	\N	\N	\N
469428	1599	1998-12-08	PRIJEM	VKLAD	37372	88358	\N	\N	\N
469444	1599	1996-04-11	VYDAJ	PREVOD NA UCET	1337	41711	SIPO	OP	68704247
469445	1599	1996-05-11	VYDAJ	PREVOD NA UCET	1337	41559	SIPO	OP	68704247
469446	1599	1996-06-11	VYDAJ	PREVOD NA UCET	1337	62249	SIPO	OP	68704247
469447	1599	1996-07-11	VYDAJ	PREVOD NA UCET	1337	54180	SIPO	OP	68704247
469448	1599	1996-08-11	VYDAJ	PREVOD NA UCET	1337	57552	SIPO	OP	68704247
469449	1599	1996-09-11	VYDAJ	PREVOD NA UCET	1337	54463	SIPO	OP	68704247
469450	1599	1996-10-11	VYDAJ	PREVOD NA UCET	1337	54284	SIPO	OP	68704247
469451	1599	1996-11-11	VYDAJ	PREVOD NA UCET	1337	55862	SIPO	OP	68704247
469452	1599	1996-12-11	VYDAJ	PREVOD NA UCET	1337	64240	SIPO	OP	68704247
469453	1599	1997-01-11	VYDAJ	PREVOD NA UCET	1337	54851	SIPO	OP	68704247
469454	1599	1997-02-11	VYDAJ	PREVOD NA UCET	1337	48827	SIPO	OP	68704247
469455	1599	1997-03-11	VYDAJ	PREVOD NA UCET	1337	49007	SIPO	OP	68704247
469456	1599	1997-04-11	VYDAJ	PREVOD NA UCET	1337	51136	SIPO	OP	68704247
469457	1599	1997-05-11	VYDAJ	PREVOD NA UCET	1337	50047	SIPO	OP	68704247
469458	1599	1997-06-11	VYDAJ	PREVOD NA UCET	1337	67758	SIPO	OP	68704247
469459	1599	1997-07-11	VYDAJ	PREVOD NA UCET	1337	62269	SIPO	OP	68704247
469460	1599	1997-08-11	VYDAJ	PREVOD NA UCET	1337	65797	SIPO	OP	68704247
469461	1599	1997-09-11	VYDAJ	PREVOD NA UCET	1337	68215	SIPO	OP	68704247
469462	1599	1997-10-11	VYDAJ	PREVOD NA UCET	1337	72037	SIPO	OP	68704247
469463	1599	1997-11-11	VYDAJ	PREVOD NA UCET	1337	74353	SIPO	OP	68704247
469464	1599	1997-12-11	VYDAJ	PREVOD NA UCET	1337	88956	SIPO	OP	68704247
469465	1599	1998-01-11	VYDAJ	PREVOD NA UCET	1337	73416	SIPO	OP	68704247
469466	1599	1998-02-11	VYDAJ	PREVOD NA UCET	1337	70583	SIPO	OP	68704247
469467	1599	1998-03-11	VYDAJ	PREVOD NA UCET	1337	73711	SIPO	OP	68704247
469468	1599	1998-04-11	VYDAJ	PREVOD NA UCET	1337	65989	SIPO	OP	68704247
469469	1599	1998-05-11	VYDAJ	PREVOD NA UCET	1337	68898	SIPO	OP	68704247
469470	1599	1998-06-11	VYDAJ	PREVOD NA UCET	1337	80170	SIPO	OP	68704247
469471	1599	1998-07-11	VYDAJ	PREVOD NA UCET	1337	62971	SIPO	OP	68704247
469472	1599	1998-08-11	VYDAJ	PREVOD NA UCET	1337	56379	SIPO	OP	68704247
469473	1599	1998-09-11	VYDAJ	PREVOD NA UCET	1337	61541	SIPO	OP	68704247
469474	1599	1998-10-11	VYDAJ	PREVOD NA UCET	1337	71028	SIPO	OP	68704247
469475	1599	1998-11-11	VYDAJ	PREVOD NA UCET	1337	71046	SIPO	OP	68704247
469476	1599	1998-12-11	VYDAJ	PREVOD NA UCET	1337	82861	SIPO	OP	68704247
469493	1599	1996-05-05	VYDAJ	PREVOD NA UCET	4004	37881	 	WX	99690108
469494	1599	1996-06-05	VYDAJ	PREVOD NA UCET	4004	37714	 	WX	99690108
469495	1599	1996-07-05	VYDAJ	PREVOD NA UCET	4004	37502	 	WX	99690108
469496	1599	1996-08-05	VYDAJ	PREVOD NA UCET	4004	50374	 	WX	99690108
469497	1599	1996-09-05	VYDAJ	PREVOD NA UCET	4004	36165	 	WX	99690108
469498	1599	1996-10-05	VYDAJ	PREVOD NA UCET	4004	30706	 	WX	99690108
469499	1599	1996-11-05	VYDAJ	PREVOD NA UCET	4004	32284	 	WX	99690108
469500	1599	1996-12-05	VYDAJ	PREVOD NA UCET	4004	31565	 	WX	99690108
469501	1599	1997-01-05	VYDAJ	PREVOD NA UCET	4004	33313	 	WX	99690108
469502	1599	1997-02-05	VYDAJ	PREVOD NA UCET	4004	25249	 	WX	99690108
469503	1599	1997-03-05	VYDAJ	PREVOD NA UCET	4004	25429	 	WX	99690108
469504	1599	1997-04-05	VYDAJ	PREVOD NA UCET	4004	27558	 	WX	99690108
469505	1599	1997-05-05	VYDAJ	PREVOD NA UCET	4004	26469	 	WX	99690108
469506	1599	1997-06-05	VYDAJ	PREVOD NA UCET	4004	31723	 	WX	99690108
469507	1599	1997-07-05	VYDAJ	PREVOD NA UCET	4004	38691	 	WX	99690108
469508	1599	1997-08-05	VYDAJ	PREVOD NA UCET	4004	42219	 	WX	99690108
469509	1599	1997-09-05	VYDAJ	PREVOD NA UCET	4004	44637	 	WX	99690108
469510	1599	1997-10-05	VYDAJ	PREVOD NA UCET	4004	48459	 	WX	99690108
469511	1599	1997-11-05	VYDAJ	PREVOD NA UCET	4004	52695	 	WX	99690108
469512	1599	1997-12-05	VYDAJ	PREVOD NA UCET	4004	52921	 	WX	99690108
469513	1599	1998-01-05	VYDAJ	PREVOD NA UCET	4004	57638	 	WX	99690108
469514	1599	1998-02-05	VYDAJ	PREVOD NA UCET	4004	47005	 	WX	99690108
469515	1599	1998-03-05	VYDAJ	PREVOD NA UCET	4004	50133	 	WX	99690108
469516	1599	1998-04-05	VYDAJ	PREVOD NA UCET	4004	42411	 	WX	99690108
469517	1599	1998-05-05	VYDAJ	PREVOD NA UCET	4004	45320	 	WX	99690108
469518	1599	1998-06-05	VYDAJ	PREVOD NA UCET	4004	44135	 	WX	99690108
469519	1599	1998-07-05	VYDAJ	PREVOD NA UCET	4004	39393	 	WX	99690108
469520	1599	1998-08-05	VYDAJ	PREVOD NA UCET	4004	32801	 	WX	99690108
469521	1599	1998-09-05	VYDAJ	PREVOD NA UCET	4004	37963	 	WX	99690108
469522	1599	1998-10-05	VYDAJ	PREVOD NA UCET	4004	47450	 	WX	99690108
469523	1599	1998-11-05	VYDAJ	PREVOD NA UCET	4004	47468	 	WX	99690108
469524	1599	1998-12-05	VYDAJ	PREVOD NA UCET	4004	50986	 	WX	99690108
469526	1599	1996-06-29	VYDAJ	VYBER	20960	41289	\N	\N	\N
469527	1599	1997-06-25	VYDAJ	VYBER	7200	60558	\N	\N	\N
469528	1599	1998-06-19	VYDAJ	VYBER	17920	62250	\N	\N	\N
469530	1599	1996-12-10	VYDAJ	VYBER	3360	65577	\N	\N	\N
469531	1599	1997-12-13	VYDAJ	VYBER	3520	85436	\N	\N	\N
469532	1599	1998-12-10	VYDAJ	VYBER	4160	84198	\N	\N	\N
469545	1599	1997-01-27	VYDAJ	VYBER	2520	46091	\N	\N	\N
469546	1599	1997-01-05	VYDAJ	VYBER	2760	37317	\N	\N	\N
469547	1599	1997-01-30	VYDAJ	VYBER	3240	42851	\N	\N	\N
469548	1599	1997-01-26	VYDAJ	VYBER	3480	51371	\N	\N	\N
469549	1599	1997-01-27	VYDAJ	VYBER	2760	48611	\N	\N	\N
469550	1599	1997-01-06	VYDAJ	VYBER	2040	31273	\N	\N	\N
469551	1599	1998-01-13	VYDAJ	VYBER	2160	71256	\N	\N	\N
469552	1599	1998-01-07	VYDAJ	VYBER	1800	52718	\N	\N	\N
469553	1599	1998-01-15	VYDAJ	VYBER	1560	66456	\N	\N	\N
469554	1599	1998-01-06	VYDAJ	VYBER	3120	54518	\N	\N	\N
469555	1599	1998-01-10	VYDAJ	VYBER	2880	74753	\N	\N	\N
469556	1599	1998-01-13	VYDAJ	VYBER	3240	68016	\N	\N	\N
469563	1599	1996-10-01	VYDAJ	VYBER	1560	53110	\N	\N	\N
469566	1599	1996-09-09	VYDAJ	VYBER	5280	55800	\N	\N	\N
469569	1599	1997-03-27	VYDAJ	VYBER	3720	45287	\N	\N	\N
469570	1599	1997-02-15	VYDAJ	VYBER	4560	44267	\N	\N	\N
469571	1599	1997-11-07	VYDAJ	VYBER	1920	50775	\N	\N	\N
469572	1599	1997-04-21	VYDAJ	VYBER	3600	47536	\N	\N	\N
469573	1599	1997-04-25	VYDAJ	VYBER	3840	43696	\N	\N	\N
469574	1599	1997-07-29	VYDAJ	VYBER	1680	60589	\N	\N	\N
469575	1599	1998-08-03	VYDAJ	VYBER KARTOU	700	42085	\N	\N	0
469576	1599	1998-04-02	VYDAJ	VYBER	5760	46415	\N	\N	\N
469577	1599	1998-08-03	VYDAJ	VYBER	5280	36805	\N	\N	\N
469578	1599	1998-11-03	VYDAJ	VYBER KARTOU	1800	51472	\N	\N	0
469595	1599	1996-04-30	VYDAJ	VYBER	15	41885	SLUZBY	\N	\N
469596	1599	1996-05-31	VYDAJ	VYBER	15	41718	SLUZBY	\N	\N
469597	1599	1996-06-30	VYDAJ	VYBER	15	41506	SLUZBY	\N	\N
469598	1599	1996-07-31	VYDAJ	VYBER	15	54378	SLUZBY	\N	\N
469599	1599	1996-08-31	VYDAJ	VYBER	15	57769	SLUZBY	\N	\N
469600	1599	1996-09-30	VYDAJ	VYBER	15	54670	SLUZBY	\N	\N
469601	1599	1996-10-31	VYDAJ	VYBER	15	54488	SLUZBY	\N	\N
469602	1599	1996-11-30	VYDAJ	VYBER	15	56069	SLUZBY	\N	\N
469603	1599	1996-12-31	VYDAJ	VYBER	15	64477	SLUZBY	\N	\N
469604	1599	1997-01-31	VYDAJ	VYBER	15	43053	SLUZBY	\N	\N
469605	1599	1997-02-28	VYDAJ	VYBER	15	44433	SLUZBY	\N	\N
469606	1599	1997-03-31	VYDAJ	VYBER	15	45462	SLUZBY	\N	\N
469607	1599	1997-04-30	VYDAJ	VYBER	15	43873	SLUZBY	\N	\N
469608	1599	1997-05-31	VYDAJ	VYBER	15	50227	SLUZBY	\N	\N
469609	1599	1997-06-30	VYDAJ	VYBER	15	60795	SLUZBY	\N	\N
469610	1599	1997-07-31	VYDAJ	VYBER	15	60823	SLUZBY	\N	\N
469611	1599	1997-08-31	VYDAJ	VYBER	15	48641	SLUZBY	\N	\N
469612	1599	1997-09-30	VYDAJ	VYBER	15	68463	SLUZBY	\N	\N
469613	1599	1997-10-31	VYDAJ	VYBER	15	56699	SLUZBY	\N	\N
469614	1599	1997-11-30	VYDAJ	VYBER	15	56925	SLUZBY	\N	\N
469615	1599	1997-12-31	VYDAJ	VYBER	15	61642	SLUZBY	\N	\N
469616	1599	1998-01-31	VYDAJ	VYBER	15	51009	SLUZBY	\N	\N
469617	1599	1998-02-28	VYDAJ	VYBER	15	54137	SLUZBY	\N	\N
469618	1599	1998-03-31	VYDAJ	VYBER	15	52175	SLUZBY	\N	\N
469619	1599	1998-04-30	VYDAJ	VYBER	15	49324	SLUZBY	\N	\N
469620	1599	1998-05-31	VYDAJ	VYBER	15	48139	SLUZBY	\N	\N
469621	1599	1998-06-30	VYDAJ	VYBER	15	43397	SLUZBY	\N	\N
469622	1599	1998-07-31	VYDAJ	VYBER	15	42785	SLUZBY	\N	\N
469623	1599	1998-08-31	VYDAJ	VYBER	15	41967	SLUZBY	\N	\N
469624	1599	1998-09-30	VYDAJ	VYBER	15	51454	SLUZBY	\N	\N
469625	1599	1998-10-31	VYDAJ	VYBER	15	53272	SLUZBY	\N	\N
469626	1599	1998-11-30	VYDAJ	VYBER	15	54990	SLUZBY	\N	\N
469627	1599	1995-12-10	VYDAJ	VYBER	5400	33072	\N	\N	\N
469628	1599	1996-01-09	VYDAJ	VYBER	17700	40385	\N	\N	\N
469629	1599	1996-02-08	VYDAJ	VYBER	20800	44660	\N	\N	\N
469630	1599	1996-03-09	VYDAJ	VYBER	24600	45223	\N	\N	\N
469631	1599	1996-04-08	VYDAJ	VYBER	27300	43048	\N	\N	\N
469632	1599	1996-05-08	VYDAJ	VYBER	19900	42896	\N	\N	\N
469633	1599	1996-06-07	VYDAJ	VYBER	11500	26214	\N	\N	\N
469634	1599	1996-07-07	VYDAJ	VYBER	6900	30602	\N	\N	\N
469635	1599	1996-08-06	VYDAJ	VYBER	16400	33974	\N	\N	\N
469636	1599	1996-09-05	VYDAJ	VYBER	17600	40169	\N	\N	\N
469637	1599	1996-10-05	VYDAJ	VYBER	18400	34710	\N	\N	\N
469638	1599	1996-11-04	VYDAJ	VYBER	18200	36288	\N	\N	\N
469639	1599	1996-12-04	VYDAJ	VYBER	20500	35569	\N	\N	\N
469640	1599	1997-01-03	VYDAJ	VYBER	24400	40077	\N	\N	\N
469641	1599	1997-02-02	VYDAJ	VYBER	13800	29253	\N	\N	\N
469642	1599	1997-03-04	VYDAJ	VYBER	15000	29433	\N	\N	\N
469643	1599	1997-04-03	VYDAJ	VYBER	13900	31562	\N	\N	\N
469644	1599	1997-05-03	VYDAJ	VYBER	13400	30473	\N	\N	\N
469645	1599	1997-06-02	VYDAJ	VYBER	14500	35727	\N	\N	\N
469646	1599	1997-07-02	VYDAJ	VYBER	18100	42695	\N	\N	\N
469647	1599	1997-08-01	VYDAJ	VYBER	14600	46223	\N	\N	\N
469648	1599	1997-08-31	VYDAJ	VYBER	17400	48656	\N	\N	\N
469649	1599	1997-09-30	VYDAJ	VYBER	16000	52463	\N	\N	\N
469650	1599	1997-10-30	VYDAJ	VYBER	15600	56437	\N	\N	\N
469651	1599	1997-11-29	VYDAJ	VYBER	17700	56653	\N	\N	\N
469652	1599	1997-12-29	VYDAJ	VYBER	24100	61336	\N	\N	\N
469653	1599	1998-01-28	VYDAJ	VYBER	15700	50756	\N	\N	\N
469654	1599	1998-02-27	VYDAJ	VYBER	16700	53883	\N	\N	\N
469655	1599	1998-03-29	VYDAJ	VYBER	21800	51911	\N	\N	\N
469656	1599	1998-04-28	VYDAJ	VYBER	16900	49089	\N	\N	\N
469657	1599	1998-05-28	VYDAJ	VYBER	21000	47898	\N	\N	\N
469658	1599	1998-06-27	VYDAJ	VYBER	19100	43150	\N	\N	\N
469659	1599	1998-07-27	VYDAJ	VYBER	20400	42571	\N	\N	\N
469660	1599	1998-08-26	VYDAJ	VYBER	14600	41779	\N	\N	\N
469661	1599	1998-09-25	VYDAJ	VYBER	10300	51241	\N	\N	\N
469662	1599	1998-10-25	VYDAJ	VYBER	18000	53028	\N	\N	\N
469663	1599	1998-11-24	VYDAJ	VYBER	16300	54746	\N	\N	\N
469701	1600	1996-09-13	PRIJEM	VKLAD	600	600	\N	\N	\N
469711	1600	1996-10-05	PRIJEM	PREVOD Z UCTU	6757	7357	DUCHOD	YZ	17338306
469712	1600	1996-11-05	PRIJEM	PREVOD Z UCTU	6757	14114	DUCHOD	YZ	17338306
469713	1600	1996-12-05	PRIJEM	PREVOD Z UCTU	6757	20871	DUCHOD	YZ	17338306
469714	1600	1997-01-05	PRIJEM	PREVOD Z UCTU	6757	27628	DUCHOD	YZ	17338306
469715	1600	1997-02-05	PRIJEM	PREVOD Z UCTU	6757	30251	DUCHOD	YZ	17338306
469716	1600	1997-03-05	PRIJEM	PREVOD Z UCTU	6757	30059	DUCHOD	YZ	17338306
469717	1600	1997-04-05	PRIJEM	PREVOD Z UCTU	6757	31671	DUCHOD	YZ	17338306
469718	1600	1997-05-05	PRIJEM	PREVOD Z UCTU	6757	30382	DUCHOD	YZ	17338306
469719	1600	1997-06-05	PRIJEM	PREVOD Z UCTU	6757	30993	DUCHOD	YZ	17338306
469720	1600	1997-07-05	PRIJEM	PREVOD Z UCTU	6757	21282	DUCHOD	YZ	17338306
469721	1600	1997-08-05	PRIJEM	PREVOD Z UCTU	6757	24863	DUCHOD	YZ	17338306
469722	1600	1997-09-05	PRIJEM	PREVOD Z UCTU	6757	26152	DUCHOD	YZ	17338306
469723	1600	1997-10-05	PRIJEM	PREVOD Z UCTU	6757	26142	DUCHOD	YZ	17338306
469724	1600	1997-11-05	PRIJEM	PREVOD Z UCTU	6757	22344	DUCHOD	YZ	17338306
469725	1600	1997-12-05	PRIJEM	PREVOD Z UCTU	6757	23321	DUCHOD	YZ	17338306
469726	1600	1998-01-05	PRIJEM	PREVOD Z UCTU	6757	19525	DUCHOD	YZ	17338306
469727	1600	1998-02-05	PRIJEM	PREVOD Z UCTU	6757	17881	DUCHOD	YZ	17338306
469728	1600	1998-03-05	PRIJEM	PREVOD Z UCTU	6757	17234	DUCHOD	YZ	17338306
469729	1600	1998-04-05	PRIJEM	PREVOD Z UCTU	6757	17989	DUCHOD	YZ	17338306
469730	1600	1998-05-05	PRIJEM	PREVOD Z UCTU	6757	21557	DUCHOD	YZ	17338306
469731	1600	1998-06-05	PRIJEM	PREVOD Z UCTU	6757	19938	DUCHOD	YZ	17338306
469732	1600	1998-07-05	PRIJEM	PREVOD Z UCTU	6757	20553	DUCHOD	YZ	17338306
469733	1600	1998-08-05	PRIJEM	PREVOD Z UCTU	6757	18230	DUCHOD	YZ	17338306
469734	1600	1998-09-05	PRIJEM	PREVOD Z UCTU	6757	21803	DUCHOD	YZ	17338306
469735	1600	1998-10-05	PRIJEM	PREVOD Z UCTU	6757	25386	DUCHOD	YZ	17338306
469736	1600	1998-11-05	PRIJEM	PREVOD Z UCTU	6757	28984	DUCHOD	YZ	17338306
469737	1600	1998-12-05	PRIJEM	PREVOD Z UCTU	6757	32597	DUCHOD	YZ	17338306
469751	1600	1997-02-06	VYDAJ	PREVOD NA UCET	3234	27017	SIPO	YZ	78760194
469752	1600	1997-03-06	VYDAJ	PREVOD NA UCET	3234	26825	SIPO	YZ	78760194
469753	1600	1997-04-06	VYDAJ	PREVOD NA UCET	3234	28437	SIPO	YZ	78760194
469754	1600	1997-05-06	VYDAJ	PREVOD NA UCET	3234	27148	SIPO	YZ	78760194
469755	1600	1997-06-06	VYDAJ	PREVOD NA UCET	3234	27759	SIPO	YZ	78760194
469756	1600	1997-07-06	VYDAJ	PREVOD NA UCET	3234	18048	SIPO	YZ	78760194
469757	1600	1997-08-06	VYDAJ	PREVOD NA UCET	3234	21629	SIPO	YZ	78760194
469758	1600	1997-09-06	VYDAJ	PREVOD NA UCET	3234	22918	SIPO	YZ	78760194
469759	1600	1997-10-06	VYDAJ	PREVOD NA UCET	3234	22908	SIPO	YZ	78760194
469760	1600	1997-11-06	VYDAJ	PREVOD NA UCET	3234	19110	SIPO	YZ	78760194
469761	1600	1997-12-06	VYDAJ	PREVOD NA UCET	3234	20087	SIPO	YZ	78760194
469762	1600	1998-01-06	VYDAJ	PREVOD NA UCET	3234	16291	SIPO	YZ	78760194
469763	1600	1998-02-06	VYDAJ	PREVOD NA UCET	3234	10447	SIPO	YZ	78760194
469764	1600	1998-03-06	VYDAJ	PREVOD NA UCET	3234	14000	SIPO	YZ	78760194
469765	1600	1998-04-06	VYDAJ	PREVOD NA UCET	3234	14755	SIPO	YZ	78760194
469766	1600	1998-05-06	VYDAJ	PREVOD NA UCET	3234	18323	SIPO	YZ	78760194
469767	1600	1998-06-06	VYDAJ	PREVOD NA UCET	3234	16704	SIPO	YZ	78760194
469768	1600	1998-07-06	VYDAJ	PREVOD NA UCET	3234	17319	SIPO	YZ	78760194
469769	1600	1998-08-06	VYDAJ	PREVOD NA UCET	3234	14996	SIPO	YZ	78760194
469770	1600	1998-09-06	VYDAJ	PREVOD NA UCET	3234	18569	SIPO	YZ	78760194
469771	1600	1998-10-06	VYDAJ	PREVOD NA UCET	3234	22152	SIPO	YZ	78760194
469772	1600	1998-11-06	VYDAJ	PREVOD NA UCET	3234	25750	SIPO	YZ	78760194
469773	1600	1998-12-06	VYDAJ	PREVOD NA UCET	3234	29363	SIPO	YZ	78760194
469775	1600	1997-06-14	VYDAJ	VYBER	10900	14459	\N	\N	\N
469782	1600	1998-12-14	VYDAJ	VYBER	450	28913	\N	\N	\N
469805	1600	1997-10-17	VYDAJ	VYBER	3680	15528	\N	\N	\N
469806	1600	1997-12-07	VYDAJ	VYBER	1760	12727	\N	\N	\N
469810	1600	1998-06-29	VYDAJ	VYBER	2960	13744	\N	\N	\N
469829	1600	1997-02-28	VYDAJ	VYBER	15	23302	SLUZBY	\N	\N
469830	1600	1997-03-31	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
469831	1600	1997-04-30	VYDAJ	VYBER	15	23625	SLUZBY	\N	\N
469832	1600	1997-05-31	VYDAJ	VYBER	15	24236	SLUZBY	\N	\N
469833	1600	1997-06-30	VYDAJ	VYBER	15	14525	SLUZBY	\N	\N
469834	1600	1997-07-31	VYDAJ	VYBER	15	18106	SLUZBY	\N	\N
469835	1600	1997-08-31	VYDAJ	VYBER	15	19395	SLUZBY	\N	\N
469836	1600	1997-09-30	VYDAJ	VYBER	15	19385	SLUZBY	\N	\N
469837	1600	1997-10-31	VYDAJ	VYBER	15	15587	SLUZBY	\N	\N
469838	1600	1997-11-30	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
469839	1600	1997-12-31	VYDAJ	VYBER	15	12768	SLUZBY	\N	\N
469840	1600	1998-01-31	VYDAJ	VYBER	15	11124	SLUZBY	\N	\N
469841	1600	1998-02-28	VYDAJ	VYBER	15	10477	SLUZBY	\N	\N
469842	1600	1998-03-31	VYDAJ	VYBER	15	11232	SLUZBY	\N	\N
469843	1600	1998-04-30	VYDAJ	VYBER	15	14800	SLUZBY	\N	\N
469844	1600	1998-05-31	VYDAJ	VYBER	15	13181	SLUZBY	\N	\N
469845	1600	1998-06-30	VYDAJ	VYBER	15	13796	SLUZBY	\N	\N
469846	1600	1998-07-31	VYDAJ	VYBER	15	17373	SLUZBY	\N	\N
469847	1600	1998-08-31	VYDAJ	VYBER	15	15046	SLUZBY	\N	\N
469848	1600	1998-09-30	VYDAJ	VYBER	15	18629	SLUZBY	\N	\N
469849	1600	1998-10-31	VYDAJ	VYBER	15	22227	SLUZBY	\N	\N
469850	1600	1998-11-30	VYDAJ	VYBER	15	25840	SLUZBY	\N	\N
469851	1600	1997-01-11	VYDAJ	VYBER	4200	23428	\N	\N	\N
469852	1600	1997-02-10	VYDAJ	VYBER	3800	23217	\N	\N	\N
469853	1600	1997-03-12	VYDAJ	VYBER	2000	24825	\N	\N	\N
469854	1600	1997-04-11	VYDAJ	VYBER	4900	23537	\N	\N	\N
469855	1600	1997-05-11	VYDAJ	VYBER	3000	24148	\N	\N	\N
469856	1600	1997-06-10	VYDAJ	VYBER	2400	25359	\N	\N	\N
469857	1600	1997-08-09	VYDAJ	VYBER	2300	19329	\N	\N	\N
469858	1600	1997-09-08	VYDAJ	VYBER	3600	19318	\N	\N	\N
469859	1600	1997-10-08	VYDAJ	VYBER	3700	19208	\N	\N	\N
469860	1600	1997-11-07	VYDAJ	VYBER	2600	16510	\N	\N	\N
469861	1600	1997-12-07	VYDAJ	VYBER	5600	14487	\N	\N	\N
469862	1600	1998-01-06	VYDAJ	VYBER	5200	11091	\N	\N	\N
469863	1600	1998-02-05	VYDAJ	VYBER	4200	13681	\N	\N	\N
469864	1600	1998-03-07	VYDAJ	VYBER	2800	11200	\N	\N	\N
469865	1600	1998-05-06	VYDAJ	VYBER	5200	13123	\N	\N	\N
469866	1600	1998-08-04	VYDAJ	VYBER	5900	11473	\N	\N	\N
469891	1601	1993-02-09	PRIJEM	VKLAD	500	500	\N	\N	\N
469894	1601	1993-03-07	PRIJEM	PREVOD Z UCTU	4042	4542	DUCHOD	CD	45886778
469895	1601	1993-04-07	PRIJEM	PREVOD Z UCTU	4042	8584	DUCHOD	CD	45886778
469896	1601	1993-05-07	PRIJEM	PREVOD Z UCTU	4042	12626	DUCHOD	CD	45886778
469897	1601	1993-06-07	PRIJEM	PREVOD Z UCTU	4042	16668	DUCHOD	CD	45886778
469898	1601	1993-07-07	PRIJEM	PREVOD Z UCTU	4042	20710	DUCHOD	CD	45886778
469899	1601	1993-08-07	PRIJEM	PREVOD Z UCTU	4042	22104	DUCHOD	CD	45886778
469900	1601	1993-09-07	PRIJEM	PREVOD Z UCTU	4042	23517	DUCHOD	CD	45886778
469901	1601	1993-10-07	PRIJEM	PREVOD Z UCTU	4042	24836	DUCHOD	CD	45886778
469902	1601	1993-11-07	PRIJEM	PREVOD Z UCTU	4042	22348	DUCHOD	CD	45886778
469903	1601	1993-12-07	PRIJEM	PREVOD Z UCTU	4042	22813	DUCHOD	CD	45886778
469904	1601	1994-01-07	PRIJEM	PREVOD Z UCTU	4042	23438	DUCHOD	CD	45886778
469905	1601	1994-02-07	PRIJEM	PREVOD Z UCTU	4042	18326	DUCHOD	CD	45886778
469906	1601	1994-03-07	PRIJEM	PREVOD Z UCTU	4042	19732	DUCHOD	CD	45886778
469907	1601	1994-04-07	PRIJEM	PREVOD Z UCTU	4042	21135	DUCHOD	CD	45886778
469908	1601	1994-05-07	PRIJEM	PREVOD Z UCTU	4042	22553	DUCHOD	CD	45886778
469909	1601	1994-06-07	PRIJEM	PREVOD Z UCTU	4042	23968	DUCHOD	CD	45886778
469910	1601	1994-07-07	PRIJEM	PREVOD Z UCTU	4042	25389	DUCHOD	CD	45886778
469911	1601	1994-08-07	PRIJEM	PREVOD Z UCTU	4042	26816	DUCHOD	CD	45886778
469912	1601	1994-09-07	PRIJEM	PREVOD Z UCTU	4042	28248	DUCHOD	CD	45886778
469913	1601	1994-10-07	PRIJEM	PREVOD Z UCTU	4042	24154	DUCHOD	CD	45886778
469914	1601	1994-11-07	PRIJEM	PREVOD Z UCTU	4042	25584	DUCHOD	CD	45886778
469915	1601	1994-12-07	PRIJEM	PREVOD Z UCTU	4042	25972	DUCHOD	CD	45886778
469916	1601	1995-01-07	PRIJEM	PREVOD Z UCTU	4042	20561	DUCHOD	CD	45886778
469917	1601	1995-02-07	PRIJEM	PREVOD Z UCTU	4042	17639	DUCHOD	CD	45886778
469918	1601	1995-03-07	PRIJEM	PREVOD Z UCTU	4042	18076	DUCHOD	CD	45886778
469919	1601	1995-04-07	PRIJEM	PREVOD Z UCTU	4042	19472	DUCHOD	CD	45886778
469920	1601	1995-05-07	PRIJEM	PREVOD Z UCTU	4042	20883	DUCHOD	CD	45886778
469921	1601	1995-06-07	PRIJEM	PREVOD Z UCTU	4042	22291	DUCHOD	CD	45886778
469922	1601	1995-07-07	PRIJEM	PREVOD Z UCTU	4042	23144	DUCHOD	CD	45886778
469923	1601	1995-08-07	PRIJEM	PREVOD Z UCTU	4042	24561	DUCHOD	CD	45886778
469924	1601	1995-09-07	PRIJEM	PREVOD Z UCTU	4042	25993	DUCHOD	CD	45886778
469925	1601	1995-10-07	PRIJEM	PREVOD Z UCTU	4042	27431	DUCHOD	CD	45886778
469926	1601	1995-11-07	PRIJEM	PREVOD Z UCTU	4042	27185	DUCHOD	CD	45886778
469927	1601	1995-12-07	PRIJEM	PREVOD Z UCTU	4042	26458	DUCHOD	CD	45886778
469928	1601	1996-01-07	PRIJEM	PREVOD Z UCTU	4042	22436	DUCHOD	CD	45886778
469929	1601	1996-02-07	PRIJEM	PREVOD Z UCTU	4042	18760	DUCHOD	CD	45886778
469930	1601	1996-03-07	PRIJEM	PREVOD Z UCTU	4042	20158	DUCHOD	CD	45886778
469931	1601	1996-04-07	PRIJEM	PREVOD Z UCTU	4042	21563	DUCHOD	CD	45886778
469932	1601	1996-05-07	PRIJEM	PREVOD Z UCTU	4042	22973	DUCHOD	CD	45886778
469933	1601	1996-06-07	PRIJEM	PREVOD Z UCTU	4042	24390	DUCHOD	CD	45886778
469934	1601	1996-07-07	PRIJEM	PREVOD Z UCTU	4042	25012	DUCHOD	CD	45886778
469935	1601	1996-08-07	PRIJEM	PREVOD Z UCTU	4042	25964	DUCHOD	CD	45886778
469936	1601	1996-09-07	PRIJEM	PREVOD Z UCTU	4042	26429	DUCHOD	CD	45886778
469937	1601	1996-10-07	PRIJEM	PREVOD Z UCTU	4042	27067	DUCHOD	CD	45886778
469938	1601	1996-11-07	PRIJEM	PREVOD Z UCTU	4042	24662	DUCHOD	CD	45886778
469939	1601	1996-12-07	PRIJEM	PREVOD Z UCTU	4042	26085	DUCHOD	CD	45886778
469940	1601	1997-01-07	PRIJEM	PREVOD Z UCTU	4042	26052	DUCHOD	CD	45886778
469941	1601	1997-02-07	PRIJEM	PREVOD Z UCTU	4042	19872	DUCHOD	CD	45886778
469942	1601	1997-03-07	PRIJEM	PREVOD Z UCTU	4042	21275	DUCHOD	CD	45886778
469943	1601	1997-04-07	PRIJEM	PREVOD Z UCTU	4042	22692	DUCHOD	CD	45886778
470151	1601	1995-06-30	VYDAJ	VYBER	15	19102	SLUZBY	\N	\N
469944	1601	1997-05-07	PRIJEM	PREVOD Z UCTU	4042	24106	DUCHOD	CD	45886778
469945	1601	1997-06-07	PRIJEM	PREVOD Z UCTU	4042	25527	DUCHOD	CD	45886778
469946	1601	1997-07-07	PRIJEM	PREVOD Z UCTU	4042	24562	DUCHOD	CD	45886778
469947	1601	1997-08-07	PRIJEM	PREVOD Z UCTU	4042	25994	DUCHOD	CD	45886778
469948	1601	1997-09-07	PRIJEM	PREVOD Z UCTU	4042	23019	DUCHOD	CD	45886778
469949	1601	1997-10-07	PRIJEM	PREVOD Z UCTU	4042	24443	DUCHOD	CD	45886778
469950	1601	1997-11-07	PRIJEM	PREVOD Z UCTU	4042	25873	DUCHOD	CD	45886778
469951	1601	1997-12-07	PRIJEM	PREVOD Z UCTU	4042	27309	DUCHOD	CD	45886778
469952	1601	1998-01-07	PRIJEM	PREVOD Z UCTU	4042	25381	DUCHOD	CD	45886778
469953	1601	1998-02-07	PRIJEM	PREVOD Z UCTU	4042	21660	DUCHOD	CD	45886778
469954	1601	1998-03-07	PRIJEM	PREVOD Z UCTU	4042	23069	DUCHOD	CD	45886778
469955	1601	1998-04-07	PRIJEM	PREVOD Z UCTU	4042	24493	DUCHOD	CD	45886778
469956	1601	1998-05-07	PRIJEM	PREVOD Z UCTU	4042	25914	DUCHOD	CD	45886778
469957	1601	1998-06-07	PRIJEM	PREVOD Z UCTU	4042	27341	DUCHOD	CD	45886778
469958	1601	1998-07-07	PRIJEM	PREVOD Z UCTU	4042	24773	DUCHOD	CD	45886778
469959	1601	1998-08-07	PRIJEM	PREVOD Z UCTU	4042	22673	DUCHOD	CD	45886778
469960	1601	1998-09-07	PRIJEM	PREVOD Z UCTU	4042	24086	DUCHOD	CD	45886778
469961	1601	1998-10-07	PRIJEM	PREVOD Z UCTU	4042	21827	DUCHOD	CD	45886778
469962	1601	1998-11-07	PRIJEM	PREVOD Z UCTU	4042	23236	DUCHOD	CD	45886778
469963	1601	1998-12-07	PRIJEM	PREVOD Z UCTU	4042	24660	DUCHOD	CD	45886778
469970	1601	1993-07-07	VYDAJ	PREVOD NA UCET	2694	18016	SIPO	AB	43843287
469971	1601	1993-08-07	VYDAJ	PREVOD NA UCET	2694	19410	SIPO	AB	43843287
469972	1601	1993-09-07	VYDAJ	PREVOD NA UCET	2694	20823	SIPO	AB	43843287
469973	1601	1993-10-07	VYDAJ	PREVOD NA UCET	2694	22142	SIPO	AB	43843287
469974	1601	1993-11-07	VYDAJ	PREVOD NA UCET	2694	19654	SIPO	AB	43843287
469975	1601	1993-12-07	VYDAJ	PREVOD NA UCET	2694	20119	SIPO	AB	43843287
469976	1601	1994-01-07	VYDAJ	PREVOD NA UCET	2694	20744	SIPO	AB	43843287
469977	1601	1994-02-07	VYDAJ	PREVOD NA UCET	2694	15632	SIPO	AB	43843287
469978	1601	1994-03-07	VYDAJ	PREVOD NA UCET	2694	17038	SIPO	AB	43843287
469979	1601	1994-04-07	VYDAJ	PREVOD NA UCET	2694	18441	SIPO	AB	43843287
469980	1601	1994-05-07	VYDAJ	PREVOD NA UCET	2694	19859	SIPO	AB	43843287
469981	1601	1994-06-07	VYDAJ	PREVOD NA UCET	2694	21274	SIPO	AB	43843287
469982	1601	1994-07-07	VYDAJ	PREVOD NA UCET	2694	22695	SIPO	AB	43843287
469983	1601	1994-08-07	VYDAJ	PREVOD NA UCET	2694	24122	SIPO	AB	43843287
469984	1601	1994-09-07	VYDAJ	PREVOD NA UCET	2694	25554	SIPO	AB	43843287
469985	1601	1994-10-07	VYDAJ	PREVOD NA UCET	2694	21460	SIPO	AB	43843287
469986	1601	1994-11-07	VYDAJ	PREVOD NA UCET	2694	22890	SIPO	AB	43843287
469987	1601	1994-12-07	VYDAJ	PREVOD NA UCET	2694	23278	SIPO	AB	43843287
469988	1601	1995-01-07	VYDAJ	PREVOD NA UCET	2694	17867	SIPO	AB	43843287
469989	1601	1995-02-07	VYDAJ	PREVOD NA UCET	2694	14945	SIPO	AB	43843287
469990	1601	1995-03-07	VYDAJ	PREVOD NA UCET	2694	15382	SIPO	AB	43843287
469991	1601	1995-04-07	VYDAJ	PREVOD NA UCET	2694	16778	SIPO	AB	43843287
469992	1601	1995-05-07	VYDAJ	PREVOD NA UCET	2694	18189	SIPO	AB	43843287
469993	1601	1995-06-07	VYDAJ	PREVOD NA UCET	2694	19597	SIPO	AB	43843287
469994	1601	1995-07-07	VYDAJ	PREVOD NA UCET	2694	20450	SIPO	AB	43843287
469995	1601	1995-08-07	VYDAJ	PREVOD NA UCET	2694	21867	SIPO	AB	43843287
469996	1601	1995-09-07	VYDAJ	PREVOD NA UCET	2694	23299	SIPO	AB	43843287
469997	1601	1995-10-07	VYDAJ	PREVOD NA UCET	2694	24737	SIPO	AB	43843287
469998	1601	1995-11-07	VYDAJ	PREVOD NA UCET	2694	24491	SIPO	AB	43843287
469999	1601	1995-12-07	VYDAJ	PREVOD NA UCET	2694	23764	SIPO	AB	43843287
470000	1601	1996-01-07	VYDAJ	PREVOD NA UCET	2694	19742	SIPO	AB	43843287
470001	1601	1996-02-07	VYDAJ	PREVOD NA UCET	2694	16066	SIPO	AB	43843287
470002	1601	1996-03-07	VYDAJ	PREVOD NA UCET	2694	17464	SIPO	AB	43843287
470003	1601	1996-04-07	VYDAJ	PREVOD NA UCET	2694	18869	SIPO	AB	43843287
470004	1601	1996-05-07	VYDAJ	PREVOD NA UCET	2694	20279	SIPO	AB	43843287
470005	1601	1996-06-07	VYDAJ	PREVOD NA UCET	2694	21696	SIPO	AB	43843287
470006	1601	1996-07-07	VYDAJ	PREVOD NA UCET	2694	22318	SIPO	AB	43843287
470007	1601	1996-08-07	VYDAJ	PREVOD NA UCET	2694	23270	SIPO	AB	43843287
470008	1601	1996-09-07	VYDAJ	PREVOD NA UCET	2694	23735	SIPO	AB	43843287
470009	1601	1996-10-07	VYDAJ	PREVOD NA UCET	2694	24373	SIPO	AB	43843287
470010	1601	1996-11-07	VYDAJ	PREVOD NA UCET	2694	21968	SIPO	AB	43843287
470011	1601	1996-12-07	VYDAJ	PREVOD NA UCET	2694	23391	SIPO	AB	43843287
470012	1601	1997-01-07	VYDAJ	PREVOD NA UCET	2694	23358	SIPO	AB	43843287
470013	1601	1997-02-07	VYDAJ	PREVOD NA UCET	2694	17178	SIPO	AB	43843287
470014	1601	1997-03-07	VYDAJ	PREVOD NA UCET	2694	18581	SIPO	AB	43843287
470015	1601	1997-04-07	VYDAJ	PREVOD NA UCET	2694	19998	SIPO	AB	43843287
470016	1601	1997-05-07	VYDAJ	PREVOD NA UCET	2694	21412	SIPO	AB	43843287
470017	1601	1997-06-07	VYDAJ	PREVOD NA UCET	2694	22833	SIPO	AB	43843287
470018	1601	1997-07-07	VYDAJ	PREVOD NA UCET	2694	21868	SIPO	AB	43843287
470019	1601	1997-08-07	VYDAJ	PREVOD NA UCET	2694	23300	SIPO	AB	43843287
470020	1601	1997-09-07	VYDAJ	PREVOD NA UCET	2694	20325	SIPO	AB	43843287
470021	1601	1997-10-07	VYDAJ	PREVOD NA UCET	2694	21749	SIPO	AB	43843287
470022	1601	1997-11-07	VYDAJ	PREVOD NA UCET	2694	23179	SIPO	AB	43843287
470023	1601	1997-12-07	VYDAJ	PREVOD NA UCET	2694	24615	SIPO	AB	43843287
470024	1601	1998-01-07	VYDAJ	PREVOD NA UCET	2694	22687	SIPO	AB	43843287
470025	1601	1998-02-07	VYDAJ	PREVOD NA UCET	2694	18966	SIPO	AB	43843287
470026	1601	1998-03-07	VYDAJ	PREVOD NA UCET	2694	20375	SIPO	AB	43843287
470027	1601	1998-04-07	VYDAJ	PREVOD NA UCET	2694	21799	SIPO	AB	43843287
470028	1601	1998-05-07	VYDAJ	PREVOD NA UCET	2694	23220	SIPO	AB	43843287
470029	1601	1998-06-07	VYDAJ	PREVOD NA UCET	2694	24647	SIPO	AB	43843287
470030	1601	1998-07-07	VYDAJ	PREVOD NA UCET	2694	22079	SIPO	AB	43843287
470031	1601	1998-08-07	VYDAJ	PREVOD NA UCET	2694	19979	SIPO	AB	43843287
470032	1601	1998-09-07	VYDAJ	PREVOD NA UCET	2694	21392	SIPO	AB	43843287
470033	1601	1998-10-07	VYDAJ	PREVOD NA UCET	2694	19133	SIPO	AB	43843287
470034	1601	1998-11-07	VYDAJ	PREVOD NA UCET	2694	20542	SIPO	AB	43843287
470035	1601	1998-12-07	VYDAJ	PREVOD NA UCET	2694	21966	SIPO	AB	43843287
470043	1601	1994-01-18	VYDAJ	VYBER	600	15904	\N	\N	\N
470044	1601	1995-01-03	VYDAJ	VYBER	4150	18759	\N	\N	\N
470045	1601	1996-01-11	VYDAJ	VYBER	2200	17542	\N	\N	\N
470046	1601	1997-01-20	VYDAJ	VYBER	1750	15768	\N	\N	\N
470047	1601	1998-01-23	VYDAJ	VYBER	500	21067	\N	\N	\N
470048	1601	1993-12-04	VYDAJ	VYBER	950	18771	\N	\N	\N
470049	1601	1994-12-09	VYDAJ	VYBER	450	22828	\N	\N	\N
470050	1601	1995-12-13	VYDAJ	VYBER	1050	22714	\N	\N	\N
470051	1601	1996-12-19	VYDAJ	VYBER	900	22491	\N	\N	\N
470052	1601	1997-12-26	VYDAJ	VYBER	1200	23415	\N	\N	\N
470053	1601	1998-12-10	VYDAJ	VYBER	400	21566	\N	\N	\N
470060	1601	1994-01-04	VYDAJ	VYBER	800	19396	\N	\N	\N
470061	1601	1994-01-14	VYDAJ	VYBER	1040	17304	\N	\N	\N
470062	1601	1994-01-20	VYDAJ	VYBER	1680	14224	\N	\N	\N
470063	1601	1994-01-18	VYDAJ	VYBER	800	16504	\N	\N	\N
470064	1601	1994-01-13	VYDAJ	VYBER	1120	18344	\N	\N	\N
470065	1601	1994-01-13	VYDAJ	VYBER	1280	19464	\N	\N	\N
470066	1601	1995-01-18	VYDAJ	VYBER	960	13547	\N	\N	\N
470069	1601	1995-01-07	VYDAJ	VYBER	2160	15707	\N	\N	\N
470071	1601	1995-01-10	VYDAJ	VYBER	1200	14507	\N	\N	\N
470072	1601	1996-01-13	VYDAJ	VYBER	2240	15302	\N	\N	\N
470074	1601	1996-01-03	VYDAJ	VYBER	2320	20474	\N	\N	\N
470075	1601	1996-01-15	VYDAJ	VYBER	640	14662	\N	\N	\N
470077	1601	1996-01-06	VYDAJ	VYBER	2080	18394	\N	\N	\N
470078	1601	1997-01-15	VYDAJ	VYBER	1840	17518	\N	\N	\N
470079	1601	1997-01-08	VYDAJ	VYBER	1120	21118	\N	\N	\N
470081	1601	1997-01-03	VYDAJ	VYBER	560	22010	\N	\N	\N
470082	1601	1997-01-10	VYDAJ	VYBER	1760	19358	\N	\N	\N
470083	1601	1997-01-07	VYDAJ	VYBER	1120	22238	\N	\N	\N
470085	1601	1998-01-06	VYDAJ	VYBER	800	21339	\N	\N	\N
470086	1601	1998-01-01	VYDAJ	VYBER	1360	22139	\N	\N	\N
470087	1601	1998-01-08	VYDAJ	VYBER	1120	21567	\N	\N	\N
470088	1601	1998-01-23	VYDAJ	VYBER	2000	19067	\N	\N	\N
470089	1601	1998-01-25	VYDAJ	VYBER	1520	17547	\N	\N	\N
470090	1601	1993-10-08	VYDAJ	VYBER	3200	18242	\N	\N	\N
470094	1601	1994-09-15	VYDAJ	VYBER	3120	20034	\N	\N	\N
470095	1601	1994-12-02	VYDAJ	VYBER	1040	21930	\N	\N	\N
470096	1601	1994-09-11	VYDAJ	VYBER	2400	23154	\N	\N	\N
470098	1601	1995-06-07	VYDAJ	VYBER	560	19037	\N	\N	\N
470100	1601	1995-10-27	VYDAJ	VYBER	1680	23057	\N	\N	\N
470101	1601	1995-11-27	VYDAJ	VYBER	2160	22331	\N	\N	\N
470102	1601	1995-01-05	VYDAJ	VYBER	2240	16519	\N	\N	\N
470103	1601	1995-02-18	VYDAJ	VYBER	960	13985	\N	\N	\N
470105	1601	1996-10-24	VYDAJ	VYBER	3840	20533	\N	\N	\N
470106	1601	1996-08-09	VYDAJ	VYBER	960	22310	\N	\N	\N
470107	1601	1996-09-28	VYDAJ	VYBER	800	22935	\N	\N	\N
470108	1601	1996-07-26	VYDAJ	VYBER	480	21838	\N	\N	\N
470109	1601	1996-07-06	VYDAJ	VYBER	800	20970	\N	\N	\N
470110	1601	1997-07-01	VYDAJ	VYBER	2400	20520	\N	\N	\N
470111	1601	1997-08-20	VYDAJ	VYBER	3840	18900	\N	\N	\N
470113	1601	1997-08-18	VYDAJ	VYBER	560	22740	\N	\N	\N
470115	1601	1998-07-23	VYDAJ	VYBER	3520	18559	\N	\N	\N
470116	1601	1998-12-29	VYDAJ	VYBER	3680	17886	\N	\N	\N
470118	1601	1998-07-04	VYDAJ	VYBER	1600	20731	\N	\N	\N
470119	1601	1998-09-23	VYDAJ	VYBER	3680	17712	\N	\N	\N
470120	1601	1998-07-01	VYDAJ	VYBER	2400	22331	\N	\N	\N
470128	1601	1993-07-31	VYDAJ	VYBER	15	18062	SLUZBY	\N	\N
470129	1601	1993-08-31	VYDAJ	VYBER	15	19475	SLUZBY	\N	\N
470130	1601	1993-09-30	VYDAJ	VYBER	15	20794	SLUZBY	\N	\N
470131	1601	1993-10-31	VYDAJ	VYBER	15	18306	SLUZBY	\N	\N
470132	1601	1993-11-30	VYDAJ	VYBER	15	19721	SLUZBY	\N	\N
470133	1601	1993-12-31	VYDAJ	VYBER	15	20196	SLUZBY	\N	\N
470134	1601	1994-01-31	VYDAJ	VYBER	15	14284	SLUZBY	\N	\N
470135	1601	1994-02-28	VYDAJ	VYBER	15	15690	SLUZBY	\N	\N
470136	1601	1994-03-31	VYDAJ	VYBER	15	17093	SLUZBY	\N	\N
470137	1601	1994-04-30	VYDAJ	VYBER	15	18511	SLUZBY	\N	\N
470138	1601	1994-05-31	VYDAJ	VYBER	15	19926	SLUZBY	\N	\N
470139	1601	1994-06-30	VYDAJ	VYBER	15	21347	SLUZBY	\N	\N
470140	1601	1994-07-31	VYDAJ	VYBER	15	22774	SLUZBY	\N	\N
470141	1601	1994-08-31	VYDAJ	VYBER	15	24206	SLUZBY	\N	\N
470142	1601	1994-09-30	VYDAJ	VYBER	15	20112	SLUZBY	\N	\N
470143	1601	1994-10-31	VYDAJ	VYBER	15	21542	SLUZBY	\N	\N
470144	1601	1994-11-30	VYDAJ	VYBER	15	22970	SLUZBY	\N	\N
470145	1601	1994-12-31	VYDAJ	VYBER	15	22909	SLUZBY	\N	\N
470146	1601	1995-01-31	VYDAJ	VYBER	15	13597	SLUZBY	\N	\N
470147	1601	1995-02-28	VYDAJ	VYBER	15	14034	SLUZBY	\N	\N
470148	1601	1995-03-31	VYDAJ	VYBER	15	15430	SLUZBY	\N	\N
470149	1601	1995-04-30	VYDAJ	VYBER	15	16841	SLUZBY	\N	\N
470150	1601	1995-05-31	VYDAJ	VYBER	15	18249	SLUZBY	\N	\N
470152	1601	1995-07-31	VYDAJ	VYBER	15	20519	SLUZBY	\N	\N
470153	1601	1995-08-31	VYDAJ	VYBER	15	21951	SLUZBY	\N	\N
470154	1601	1995-09-30	VYDAJ	VYBER	15	23389	SLUZBY	\N	\N
470155	1601	1995-10-31	VYDAJ	VYBER	15	23143	SLUZBY	\N	\N
470156	1601	1995-11-30	VYDAJ	VYBER	15	22416	SLUZBY	\N	\N
470157	1601	1995-12-31	VYDAJ	VYBER	15	22794	SLUZBY	\N	\N
470158	1601	1996-01-31	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
470159	1601	1996-02-29	VYDAJ	VYBER	15	16116	SLUZBY	\N	\N
470160	1601	1996-03-31	VYDAJ	VYBER	15	17521	SLUZBY	\N	\N
470161	1601	1996-04-30	VYDAJ	VYBER	15	18931	SLUZBY	\N	\N
470162	1601	1996-05-31	VYDAJ	VYBER	15	20348	SLUZBY	\N	\N
470163	1601	1996-06-30	VYDAJ	VYBER	15	21770	SLUZBY	\N	\N
470164	1601	1996-07-31	VYDAJ	VYBER	15	21922	SLUZBY	\N	\N
470165	1601	1996-08-31	VYDAJ	VYBER	15	22387	SLUZBY	\N	\N
470166	1601	1996-09-30	VYDAJ	VYBER	15	23025	SLUZBY	\N	\N
470167	1601	1996-10-31	VYDAJ	VYBER	15	20620	SLUZBY	\N	\N
470168	1601	1996-11-30	VYDAJ	VYBER	15	22043	SLUZBY	\N	\N
470169	1601	1996-12-31	VYDAJ	VYBER	15	22570	SLUZBY	\N	\N
470170	1601	1997-01-31	VYDAJ	VYBER	15	15830	SLUZBY	\N	\N
470171	1601	1997-02-28	VYDAJ	VYBER	15	17233	SLUZBY	\N	\N
470172	1601	1997-03-31	VYDAJ	VYBER	15	18650	SLUZBY	\N	\N
470173	1601	1997-04-30	VYDAJ	VYBER	15	20064	SLUZBY	\N	\N
470174	1601	1997-05-31	VYDAJ	VYBER	15	21485	SLUZBY	\N	\N
470175	1601	1997-06-30	VYDAJ	VYBER	15	22920	SLUZBY	\N	\N
470176	1601	1997-07-31	VYDAJ	VYBER	15	21952	SLUZBY	\N	\N
470177	1601	1997-08-31	VYDAJ	VYBER	15	18977	SLUZBY	\N	\N
470178	1601	1997-09-30	VYDAJ	VYBER	15	20401	SLUZBY	\N	\N
470179	1601	1997-10-31	VYDAJ	VYBER	15	21831	SLUZBY	\N	\N
470180	1601	1997-11-30	VYDAJ	VYBER	15	23267	SLUZBY	\N	\N
470181	1601	1997-12-31	VYDAJ	VYBER	15	23499	SLUZBY	\N	\N
470182	1601	1998-01-31	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
470183	1601	1998-02-28	VYDAJ	VYBER	15	19027	SLUZBY	\N	\N
470184	1601	1998-03-31	VYDAJ	VYBER	15	20451	SLUZBY	\N	\N
470185	1601	1998-04-30	VYDAJ	VYBER	15	21872	SLUZBY	\N	\N
470186	1601	1998-05-31	VYDAJ	VYBER	15	23299	SLUZBY	\N	\N
470187	1601	1998-06-30	VYDAJ	VYBER	15	24731	SLUZBY	\N	\N
470188	1601	1998-07-31	VYDAJ	VYBER	15	18631	SLUZBY	\N	\N
470189	1601	1998-08-31	VYDAJ	VYBER	15	20044	SLUZBY	\N	\N
470190	1601	1998-09-30	VYDAJ	VYBER	15	17785	SLUZBY	\N	\N
470191	1601	1998-10-31	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
470192	1601	1998-11-30	VYDAJ	VYBER	15	20618	SLUZBY	\N	\N
470193	1601	1993-09-07	VYDAJ	VYBER	100	20723	\N	\N	\N
470194	1601	1993-10-07	VYDAJ	VYBER	700	21442	\N	\N	\N
470261	1602	1993-09-19	PRIJEM	VKLAD	600	600	\N	\N	\N
470271	1602	1993-10-07	PRIJEM	PREVOD Z UCTU	4944	5544	DUCHOD	ST	37120229
470272	1602	1993-11-07	PRIJEM	PREVOD Z UCTU	4944	10488	DUCHOD	ST	37120229
470273	1602	1993-12-07	PRIJEM	PREVOD Z UCTU	4944	15432	DUCHOD	ST	37120229
470274	1602	1994-01-07	PRIJEM	PREVOD Z UCTU	4944	20376	DUCHOD	ST	37120229
470275	1602	1994-02-07	PRIJEM	PREVOD Z UCTU	4944	25320	DUCHOD	ST	37120229
470276	1602	1994-03-07	PRIJEM	PREVOD Z UCTU	4944	26565	DUCHOD	ST	37120229
470277	1602	1994-04-07	PRIJEM	PREVOD Z UCTU	4944	29058	DUCHOD	ST	37120229
470278	1602	1994-05-07	PRIJEM	PREVOD Z UCTU	4944	30358	DUCHOD	ST	37120229
470279	1602	1994-06-07	PRIJEM	PREVOD Z UCTU	4944	27811	DUCHOD	ST	37120229
470280	1602	1994-07-07	PRIJEM	PREVOD Z UCTU	4944	28612	DUCHOD	ST	37120229
470281	1602	1994-08-07	PRIJEM	PREVOD Z UCTU	4944	31614	DUCHOD	ST	37120229
470282	1602	1994-09-07	PRIJEM	PREVOD Z UCTU	4944	26380	DUCHOD	ST	37120229
470283	1602	1994-10-07	PRIJEM	PREVOD Z UCTU	4944	27139	DUCHOD	ST	37120229
470284	1602	1994-11-07	PRIJEM	PREVOD Z UCTU	4944	29043	DUCHOD	ST	37120229
470285	1602	1994-12-07	PRIJEM	PREVOD Z UCTU	4944	30042	DUCHOD	ST	37120229
470286	1602	1995-01-07	PRIJEM	PREVOD Z UCTU	4944	28583	DUCHOD	ST	37120229
470287	1602	1995-02-07	PRIJEM	PREVOD Z UCTU	4944	18831	DUCHOD	ST	37120229
470288	1602	1995-03-07	PRIJEM	PREVOD Z UCTU	4944	18184	DUCHOD	ST	37120229
470289	1602	1995-04-07	PRIJEM	PREVOD Z UCTU	4944	21142	DUCHOD	ST	37120229
470290	1602	1995-05-07	PRIJEM	PREVOD Z UCTU	4944	20909	DUCHOD	ST	37120229
470291	1602	1995-06-07	PRIJEM	PREVOD Z UCTU	4944	23879	DUCHOD	ST	37120229
470292	1602	1995-07-07	PRIJEM	PREVOD Z UCTU	4944	16231	DUCHOD	ST	37120229
470293	1602	1995-08-07	PRIJEM	PREVOD Z UCTU	4944	19182	DUCHOD	ST	37120229
470294	1602	1995-09-07	PRIJEM	PREVOD Z UCTU	4944	22144	DUCHOD	ST	37120229
470295	1602	1995-10-07	PRIJEM	PREVOD Z UCTU	4944	24320	DUCHOD	ST	37120229
470296	1602	1995-11-07	PRIJEM	PREVOD Z UCTU	4944	27304	DUCHOD	ST	37120229
470297	1602	1995-12-07	PRIJEM	PREVOD Z UCTU	4944	28799	DUCHOD	ST	37120229
470298	1602	1996-01-07	PRIJEM	PREVOD Z UCTU	4944	27548	DUCHOD	ST	37120229
470299	1602	1996-02-07	PRIJEM	PREVOD Z UCTU	4944	20943	DUCHOD	ST	37120229
470300	1602	1996-03-07	PRIJEM	PREVOD Z UCTU	4944	23912	DUCHOD	ST	37120229
470301	1602	1996-04-07	PRIJEM	PREVOD Z UCTU	4944	26894	DUCHOD	ST	37120229
470302	1602	1996-05-07	PRIJEM	PREVOD Z UCTU	4944	29888	DUCHOD	ST	37120229
470303	1602	1996-06-07	PRIJEM	PREVOD Z UCTU	4944	30695	DUCHOD	ST	37120229
470304	1602	1996-07-07	PRIJEM	PREVOD Z UCTU	4944	20469	DUCHOD	ST	37120229
470305	1602	1996-08-07	PRIJEM	PREVOD Z UCTU	4944	20073	DUCHOD	ST	37120229
470306	1602	1996-09-07	PRIJEM	PREVOD Z UCTU	4944	19678	DUCHOD	ST	37120229
470307	1602	1996-10-07	PRIJEM	PREVOD Z UCTU	4944	22650	DUCHOD	ST	37120229
470308	1602	1996-11-07	PRIJEM	PREVOD Z UCTU	4944	20977	DUCHOD	ST	37120229
470309	1602	1996-12-07	PRIJEM	PREVOD Z UCTU	4944	23696	DUCHOD	ST	37120229
470310	1602	1997-01-07	PRIJEM	PREVOD Z UCTU	4944	23001	DUCHOD	ST	37120229
470311	1602	1997-02-07	PRIJEM	PREVOD Z UCTU	4944	20032	DUCHOD	ST	37120229
470312	1602	1997-03-07	PRIJEM	PREVOD Z UCTU	4944	22997	DUCHOD	ST	37120229
470313	1602	1997-04-07	PRIJEM	PREVOD Z UCTU	4944	25975	DUCHOD	ST	37120229
470314	1602	1997-05-07	PRIJEM	PREVOD Z UCTU	4944	28965	DUCHOD	ST	37120229
470315	1602	1997-06-07	PRIJEM	PREVOD Z UCTU	4944	25855	DUCHOD	ST	37120229
470316	1602	1997-07-07	PRIJEM	PREVOD Z UCTU	4944	28852	DUCHOD	ST	37120229
470317	1602	1997-08-07	PRIJEM	PREVOD Z UCTU	4944	31854	DUCHOD	ST	37120229
470318	1602	1997-09-07	PRIJEM	PREVOD Z UCTU	4944	32466	DUCHOD	ST	37120229
470319	1602	1997-10-07	PRIJEM	PREVOD Z UCTU	4944	32521	DUCHOD	ST	37120229
470320	1602	1997-11-07	PRIJEM	PREVOD Z UCTU	4944	35538	DUCHOD	ST	37120229
470321	1602	1997-12-07	PRIJEM	PREVOD Z UCTU	4944	36867	DUCHOD	ST	37120229
470322	1602	1998-01-07	PRIJEM	PREVOD Z UCTU	4944	36049	DUCHOD	ST	37120229
470323	1602	1998-02-07	PRIJEM	PREVOD Z UCTU	4944	25885	DUCHOD	ST	37120229
470324	1602	1998-03-07	PRIJEM	PREVOD Z UCTU	4944	28393	DUCHOD	ST	37120229
470325	1602	1998-04-07	PRIJEM	PREVOD Z UCTU	4944	31392	DUCHOD	ST	37120229
470326	1602	1998-05-07	PRIJEM	PREVOD Z UCTU	4944	33843	DUCHOD	ST	37120229
470327	1602	1998-06-07	PRIJEM	PREVOD Z UCTU	4944	36865	DUCHOD	ST	37120229
470328	1602	1998-07-07	PRIJEM	PREVOD Z UCTU	4944	35442	DUCHOD	ST	37120229
470329	1602	1998-08-07	PRIJEM	PREVOD Z UCTU	4944	38471	DUCHOD	ST	37120229
470330	1602	1998-09-07	PRIJEM	PREVOD Z UCTU	4944	41512	DUCHOD	ST	37120229
470331	1602	1998-10-07	PRIJEM	PREVOD Z UCTU	4944	37620	DUCHOD	ST	37120229
470332	1602	1998-11-07	PRIJEM	PREVOD Z UCTU	4944	39463	DUCHOD	ST	37120229
470333	1602	1998-12-07	PRIJEM	PREVOD Z UCTU	4944	39604	DUCHOD	ST	37120229
470347	1602	1994-02-14	VYDAJ	PREVOD NA UCET	2033	23287	SIPO	GH	6762600
470348	1602	1994-03-14	VYDAJ	PREVOD NA UCET	2033	24532	SIPO	GH	6762600
470349	1602	1994-04-14	VYDAJ	PREVOD NA UCET	2033	27025	SIPO	GH	6762600
470350	1602	1994-05-14	VYDAJ	PREVOD NA UCET	2033	28325	SIPO	GH	6762600
470351	1602	1994-06-14	VYDAJ	PREVOD NA UCET	2033	25778	SIPO	GH	6762600
470352	1602	1994-07-14	VYDAJ	PREVOD NA UCET	2033	26579	SIPO	GH	6762600
470353	1602	1994-08-14	VYDAJ	PREVOD NA UCET	2033	26941	SIPO	GH	6762600
470354	1602	1994-09-14	VYDAJ	PREVOD NA UCET	2033	24347	SIPO	GH	6762600
470355	1602	1994-10-14	VYDAJ	PREVOD NA UCET	2033	24006	SIPO	GH	6762600
470356	1602	1994-11-14	VYDAJ	PREVOD NA UCET	2033	25010	SIPO	GH	6762600
470357	1602	1994-12-14	VYDAJ	PREVOD NA UCET	2033	24909	SIPO	GH	6762600
470358	1602	1995-01-14	VYDAJ	PREVOD NA UCET	2033	20830	SIPO	GH	6762600
470359	1602	1995-02-14	VYDAJ	PREVOD NA UCET	2033	13198	SIPO	GH	6762600
470360	1602	1995-03-14	VYDAJ	PREVOD NA UCET	2033	16151	SIPO	GH	6762600
470361	1602	1995-04-14	VYDAJ	PREVOD NA UCET	2033	19109	SIPO	GH	6762600
470362	1602	1995-05-14	VYDAJ	PREVOD NA UCET	2033	18876	SIPO	GH	6762600
470363	1602	1995-06-14	VYDAJ	PREVOD NA UCET	2033	11246	SIPO	GH	6762600
470364	1602	1995-07-14	VYDAJ	PREVOD NA UCET	2033	14198	SIPO	GH	6762600
470365	1602	1995-08-14	VYDAJ	PREVOD NA UCET	2033	17149	SIPO	GH	6762600
470366	1602	1995-09-14	VYDAJ	PREVOD NA UCET	2033	19311	SIPO	GH	6762600
470367	1602	1995-10-14	VYDAJ	PREVOD NA UCET	2033	22287	SIPO	GH	6762600
470368	1602	1995-11-14	VYDAJ	PREVOD NA UCET	2033	23771	SIPO	GH	6762600
470369	1602	1995-12-14	VYDAJ	PREVOD NA UCET	2033	25566	SIPO	GH	6762600
470370	1602	1996-01-14	VYDAJ	PREVOD NA UCET	2033	21955	SIPO	GH	6762600
470371	1602	1996-02-14	VYDAJ	PREVOD NA UCET	2033	18910	SIPO	GH	6762600
470372	1602	1996-03-14	VYDAJ	PREVOD NA UCET	2033	21879	SIPO	GH	6762600
470373	1602	1996-04-14	VYDAJ	PREVOD NA UCET	2033	24861	SIPO	GH	6762600
470374	1602	1996-05-14	VYDAJ	PREVOD NA UCET	2033	27855	SIPO	GH	6762600
470375	1602	1996-06-14	VYDAJ	PREVOD NA UCET	2033	15452	SIPO	GH	6762600
470376	1602	1996-07-14	VYDAJ	PREVOD NA UCET	2033	18436	SIPO	GH	6762600
470377	1602	1996-08-14	VYDAJ	PREVOD NA UCET	2033	18040	SIPO	GH	6762600
470378	1602	1996-09-14	VYDAJ	PREVOD NA UCET	2033	17645	SIPO	GH	6762600
470379	1602	1996-10-14	VYDAJ	PREVOD NA UCET	2033	17177	SIPO	GH	6762600
470380	1602	1996-11-14	VYDAJ	PREVOD NA UCET	2033	18944	SIPO	GH	6762600
470381	1602	1996-12-14	VYDAJ	PREVOD NA UCET	2033	21663	SIPO	GH	6762600
470382	1602	1997-01-14	VYDAJ	PREVOD NA UCET	2033	19528	SIPO	GH	6762600
470383	1602	1997-02-14	VYDAJ	PREVOD NA UCET	2033	17999	SIPO	GH	6762600
470384	1602	1997-03-14	VYDAJ	PREVOD NA UCET	2033	20964	SIPO	GH	6762600
470385	1602	1997-04-14	VYDAJ	PREVOD NA UCET	2033	23942	SIPO	GH	6762600
470386	1602	1997-05-14	VYDAJ	PREVOD NA UCET	2033	26932	SIPO	GH	6762600
470387	1602	1997-06-14	VYDAJ	PREVOD NA UCET	2033	23822	SIPO	GH	6762600
470388	1602	1997-07-14	VYDAJ	PREVOD NA UCET	2033	26819	SIPO	GH	6762600
470389	1602	1997-08-14	VYDAJ	PREVOD NA UCET	2033	29821	SIPO	GH	6762600
470390	1602	1997-09-14	VYDAJ	PREVOD NA UCET	2033	30433	SIPO	GH	6762600
470391	1602	1997-10-14	VYDAJ	PREVOD NA UCET	2033	30488	SIPO	GH	6762600
470392	1602	1997-11-14	VYDAJ	PREVOD NA UCET	2033	33505	SIPO	GH	6762600
470393	1602	1997-12-14	VYDAJ	PREVOD NA UCET	2033	32834	SIPO	GH	6762600
470394	1602	1998-01-14	VYDAJ	PREVOD NA UCET	2033	27166	SIPO	GH	6762600
470395	1602	1998-02-14	VYDAJ	PREVOD NA UCET	2033	23852	SIPO	GH	6762600
470396	1602	1998-03-14	VYDAJ	PREVOD NA UCET	2033	26360	SIPO	GH	6762600
470397	1602	1998-04-14	VYDAJ	PREVOD NA UCET	2033	29359	SIPO	GH	6762600
470398	1602	1998-05-14	VYDAJ	PREVOD NA UCET	2033	31810	SIPO	GH	6762600
470399	1602	1998-06-14	VYDAJ	PREVOD NA UCET	2033	34832	SIPO	GH	6762600
470400	1602	1998-07-14	VYDAJ	PREVOD NA UCET	2033	33409	SIPO	GH	6762600
470401	1602	1998-08-14	VYDAJ	PREVOD NA UCET	2033	36438	SIPO	GH	6762600
470402	1602	1998-09-14	VYDAJ	PREVOD NA UCET	2033	39479	SIPO	GH	6762600
470403	1602	1998-10-14	VYDAJ	PREVOD NA UCET	2033	35587	SIPO	GH	6762600
470404	1602	1998-11-14	VYDAJ	PREVOD NA UCET	2033	37430	SIPO	GH	6762600
470405	1602	1998-12-14	VYDAJ	PREVOD NA UCET	2033	36121	SIPO	GH	6762600
470407	1602	1994-06-05	VYDAJ	VYBER	2550	22867	\N	\N	\N
470408	1602	1995-06-08	VYDAJ	VYBER	10600	13279	\N	\N	\N
470409	1602	1996-06-07	VYDAJ	VYBER	12250	18445	\N	\N	\N
470410	1602	1997-06-06	VYDAJ	VYBER	3550	20911	\N	\N	\N
470411	1602	1998-06-19	VYDAJ	VYBER	4450	30382	\N	\N	\N
470414	1602	1995-01-30	VYDAJ	VYBER	4700	13810	\N	\N	\N
470415	1602	1996-01-20	VYDAJ	VYBER	4750	17205	\N	\N	\N
470416	1602	1997-01-16	VYDAJ	VYBER	4500	15028	\N	\N	\N
470417	1602	1998-01-09	VYDAJ	VYBER	2450	29199	\N	\N	\N
470419	1602	1994-12-14	VYDAJ	VYBER	700	26942	\N	\N	\N
470420	1602	1995-12-24	VYDAJ	VYBER	650	23796	\N	\N	\N
470421	1602	1996-12-01	VYDAJ	VYBER	250	18752	\N	\N	\N
470422	1602	1997-12-17	VYDAJ	VYBER	750	32084	\N	\N	\N
470423	1602	1998-12-13	VYDAJ	VYBER	1450	38154	\N	\N	\N
470436	1602	1995-01-03	VYDAJ	VYBER	720	24279	\N	\N	\N
470437	1602	1995-01-05	VYDAJ	VYBER	640	23639	\N	\N	\N
470438	1602	1995-01-18	VYDAJ	VYBER	720	19630	\N	\N	\N
470439	1602	1995-01-28	VYDAJ	VYBER	560	18510	\N	\N	\N
470440	1602	1995-01-18	VYDAJ	VYBER	560	19070	\N	\N	\N
470441	1602	1995-01-16	VYDAJ	VYBER	480	20350	\N	\N	\N
470442	1602	1996-01-11	VYDAJ	VYBER	960	24948	\N	\N	\N
470443	1602	1996-01-30	VYDAJ	VYBER	800	15925	\N	\N	\N
470444	1602	1996-01-12	VYDAJ	VYBER	960	23988	\N	\N	\N
470445	1602	1996-01-22	VYDAJ	VYBER	480	16725	\N	\N	\N
470446	1602	1996-01-05	VYDAJ	VYBER	1280	22604	\N	\N	\N
470447	1602	1996-01-10	VYDAJ	VYBER	1040	25908	\N	\N	\N
470451	1602	1997-01-05	VYDAJ	VYBER	1600	18057	\N	\N	\N
470452	1602	1997-01-13	VYDAJ	VYBER	1440	21561	\N	\N	\N
470454	1602	1998-01-07	VYDAJ	VYBER	2160	33889	\N	\N	\N
470455	1602	1998-01-07	VYDAJ	VYBER	2240	31649	\N	\N	\N
470456	1602	1998-01-17	VYDAJ	VYBER	1680	25486	\N	\N	\N
470457	1602	1998-01-25	VYDAJ	VYBER	1520	20846	\N	\N	\N
470458	1602	1998-01-24	VYDAJ	VYBER	1840	22366	\N	\N	\N
470459	1602	1998-01-20	VYDAJ	VYBER	1280	24206	\N	\N	\N
470467	1602	1994-09-03	VYDAJ	VYBER	1760	21436	\N	\N	\N
470468	1602	1994-08-24	VYDAJ	VYBER	3840	23101	\N	\N	\N
470470	1602	1994-08-09	VYDAJ	VYBER	2640	28974	\N	\N	\N
470471	1602	1994-10-01	VYDAJ	VYBER	2240	22195	\N	\N	\N
470472	1602	1995-04-23	VYDAJ	VYBER	3200	15909	\N	\N	\N
470473	1602	1995-02-10	VYDAJ	VYBER	3600	15231	\N	\N	\N
470475	1602	1995-01-13	VYDAJ	VYBER	3520	22863	\N	\N	\N
470476	1602	1995-12-15	VYDAJ	VYBER	1120	24446	\N	\N	\N
470478	1602	1996-06-13	VYDAJ	VYBER	960	17485	\N	\N	\N
470479	1602	1996-10-17	VYDAJ	VYBER	1200	15977	\N	\N	\N
470480	1602	1996-09-03	VYDAJ	VYBER	3360	14734	\N	\N	\N
470481	1602	1996-10-08	VYDAJ	VYBER	3440	19210	\N	\N	\N
470482	1602	1996-12-27	VYDAJ	VYBER	640	21023	\N	\N	\N
470483	1602	1996-07-24	VYDAJ	VYBER	3360	15076	\N	\N	\N
470484	1602	1997-09-27	VYDAJ	VYBER	2960	27473	\N	\N	\N
470485	1602	1997-05-26	VYDAJ	VYBER	2560	24372	\N	\N	\N
470486	1602	1997-01-01	VYDAJ	VYBER	1440	19657	\N	\N	\N
470487	1602	1997-08-26	VYDAJ	VYBER	2400	27421	\N	\N	\N
470488	1602	1997-12-07	VYDAJ	VYBER	2000	34867	\N	\N	\N
470489	1602	1998-10-01	VYDAJ	VYBER	2160	32676	\N	\N	\N
470490	1602	1998-04-23	VYDAJ	VYBER	560	28799	\N	\N	\N
470491	1602	1998-09-23	VYDAJ	VYBER	2480	36999	\N	\N	\N
470492	1602	1998-02-15	VYDAJ	VYBER	480	23372	\N	\N	\N
470493	1602	1998-12-15	VYDAJ	VYBER	3840	32281	\N	\N	\N
470508	1602	1994-02-28	VYDAJ	VYBER	15	21621	SLUZBY	\N	\N
470509	1602	1994-03-31	VYDAJ	VYBER	15	24114	SLUZBY	\N	\N
470510	1602	1994-04-30	VYDAJ	VYBER	15	25414	SLUZBY	\N	\N
470511	1602	1994-05-31	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
470512	1602	1994-06-30	VYDAJ	VYBER	15	23668	SLUZBY	\N	\N
470513	1602	1994-07-31	VYDAJ	VYBER	15	26670	SLUZBY	\N	\N
470514	1602	1994-08-31	VYDAJ	VYBER	15	23196	SLUZBY	\N	\N
470515	1602	1994-09-30	VYDAJ	VYBER	15	24435	SLUZBY	\N	\N
470516	1602	1994-10-31	VYDAJ	VYBER	15	24099	SLUZBY	\N	\N
470517	1602	1994-11-30	VYDAJ	VYBER	15	25098	SLUZBY	\N	\N
470518	1602	1994-12-31	VYDAJ	VYBER	15	24999	SLUZBY	\N	\N
470519	1602	1995-01-31	VYDAJ	VYBER	15	13887	SLUZBY	\N	\N
470520	1602	1995-02-28	VYDAJ	VYBER	15	13240	SLUZBY	\N	\N
470521	1602	1995-03-31	VYDAJ	VYBER	15	16198	SLUZBY	\N	\N
470522	1602	1995-04-30	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
470523	1602	1995-05-31	VYDAJ	VYBER	15	18935	SLUZBY	\N	\N
470524	1602	1995-06-30	VYDAJ	VYBER	15	11287	SLUZBY	\N	\N
470525	1602	1995-07-31	VYDAJ	VYBER	15	14238	SLUZBY	\N	\N
470526	1602	1995-08-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
470527	1602	1995-09-30	VYDAJ	VYBER	15	19376	SLUZBY	\N	\N
470528	1602	1995-10-31	VYDAJ	VYBER	15	22360	SLUZBY	\N	\N
470529	1602	1995-11-30	VYDAJ	VYBER	15	23855	SLUZBY	\N	\N
470530	1602	1995-12-31	VYDAJ	VYBER	15	23884	SLUZBY	\N	\N
470531	1602	1996-01-31	VYDAJ	VYBER	15	15999	SLUZBY	\N	\N
470532	1602	1996-02-29	VYDAJ	VYBER	15	18968	SLUZBY	\N	\N
470533	1602	1996-03-31	VYDAJ	VYBER	15	21950	SLUZBY	\N	\N
470534	1602	1996-04-30	VYDAJ	VYBER	15	24944	SLUZBY	\N	\N
470535	1602	1996-05-31	VYDAJ	VYBER	15	27951	SLUZBY	\N	\N
470536	1602	1996-06-30	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
470537	1602	1996-07-31	VYDAJ	VYBER	15	15129	SLUZBY	\N	\N
470538	1602	1996-08-31	VYDAJ	VYBER	15	18094	SLUZBY	\N	\N
470539	1602	1996-09-30	VYDAJ	VYBER	15	17706	SLUZBY	\N	\N
470540	1602	1996-10-31	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
470541	1602	1996-11-30	VYDAJ	VYBER	15	19002	SLUZBY	\N	\N
470542	1602	1996-12-31	VYDAJ	VYBER	15	21097	SLUZBY	\N	\N
470543	1602	1997-01-31	VYDAJ	VYBER	15	15088	SLUZBY	\N	\N
470544	1602	1997-02-28	VYDAJ	VYBER	15	18053	SLUZBY	\N	\N
470545	1602	1997-03-31	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
470546	1602	1997-04-30	VYDAJ	VYBER	15	24021	SLUZBY	\N	\N
470547	1602	1997-05-31	VYDAJ	VYBER	15	24461	SLUZBY	\N	\N
470548	1602	1997-06-30	VYDAJ	VYBER	15	23908	SLUZBY	\N	\N
470549	1602	1997-07-31	VYDAJ	VYBER	15	26910	SLUZBY	\N	\N
470550	1602	1997-08-31	VYDAJ	VYBER	15	27522	SLUZBY	\N	\N
470551	1602	1997-09-30	VYDAJ	VYBER	15	27577	SLUZBY	\N	\N
470552	1602	1997-10-31	VYDAJ	VYBER	15	30594	SLUZBY	\N	\N
470553	1602	1997-11-30	VYDAJ	VYBER	15	31923	SLUZBY	\N	\N
470554	1602	1997-12-31	VYDAJ	VYBER	15	31105	SLUZBY	\N	\N
470555	1602	1998-01-31	VYDAJ	VYBER	15	20941	SLUZBY	\N	\N
470556	1602	1998-02-28	VYDAJ	VYBER	15	23449	SLUZBY	\N	\N
470557	1602	1998-03-31	VYDAJ	VYBER	15	26448	SLUZBY	\N	\N
470558	1602	1998-04-30	VYDAJ	VYBER	15	28899	SLUZBY	\N	\N
470559	1602	1998-05-31	VYDAJ	VYBER	15	31921	SLUZBY	\N	\N
470560	1602	1998-06-30	VYDAJ	VYBER	15	30498	SLUZBY	\N	\N
470561	1602	1998-07-31	VYDAJ	VYBER	15	33527	SLUZBY	\N	\N
470562	1602	1998-08-31	VYDAJ	VYBER	15	36568	SLUZBY	\N	\N
470563	1602	1998-09-30	VYDAJ	VYBER	15	34836	SLUZBY	\N	\N
470564	1602	1998-10-31	VYDAJ	VYBER	15	34519	SLUZBY	\N	\N
470565	1602	1998-11-30	VYDAJ	VYBER	15	34660	SLUZBY	\N	\N
470566	1602	1994-02-16	VYDAJ	VYBER	1700	21587	\N	\N	\N
470567	1602	1994-03-18	VYDAJ	VYBER	500	24032	\N	\N	\N
470568	1602	1994-04-17	VYDAJ	VYBER	1700	25325	\N	\N	\N
470569	1602	1994-05-17	VYDAJ	VYBER	3000	25325	\N	\N	\N
470570	1602	1994-06-16	VYDAJ	VYBER	2200	23578	\N	\N	\N
470571	1602	1994-10-14	VYDAJ	VYBER	1100	26039	\N	\N	\N
470572	1602	1994-11-13	VYDAJ	VYBER	2000	27043	\N	\N	\N
470573	1602	1994-12-13	VYDAJ	VYBER	2400	27642	\N	\N	\N
470574	1602	1995-01-12	VYDAJ	VYBER	2200	26383	\N	\N	\N
470575	1602	1995-09-09	VYDAJ	VYBER	800	21344	\N	\N	\N
470576	1602	1995-11-08	VYDAJ	VYBER	1500	25804	\N	\N	\N
470577	1602	1995-12-08	VYDAJ	VYBER	1200	27599	\N	\N	\N
470578	1602	1996-01-07	VYDAJ	VYBER	600	26948	\N	\N	\N
470579	1602	1996-06-05	VYDAJ	VYBER	2200	25751	\N	\N	\N
470580	1602	1997-11-27	VYDAJ	VYBER	1700	31805	\N	\N	\N
470581	1602	1997-12-27	VYDAJ	VYBER	1100	30984	\N	\N	\N
470582	1602	1998-09-23	VYDAJ	VYBER	2300	34699	\N	\N	\N
470583	1602	1998-10-23	VYDAJ	VYBER	1200	34387	\N	\N	\N
470584	1602	1998-11-22	VYDAJ	VYBER	2900	34530	\N	\N	\N
470644	1603	1993-05-09	PRIJEM	VKLAD	900	900	\N	\N	\N
470649	1603	1993-05-11	PRIJEM	VKLAD	7611	8511	\N	\N	\N
470650	1603	1993-06-11	PRIJEM	VKLAD	11416	27951	\N	\N	\N
470651	1603	1993-07-11	PRIJEM	VKLAD	7611	33752	\N	\N	\N
470652	1603	1993-08-11	PRIJEM	VKLAD	7611	38495	\N	\N	\N
470653	1603	1993-09-11	PRIJEM	VKLAD	7611	40560	\N	\N	\N
470654	1603	1993-10-11	PRIJEM	VKLAD	7611	33068	\N	\N	\N
470655	1603	1993-11-11	PRIJEM	VKLAD	7611	28120	\N	\N	\N
470656	1603	1993-12-11	PRIJEM	VKLAD	11416	27577	\N	\N	\N
470657	1603	1994-01-11	PRIJEM	VKLAD	7611	32286	\N	\N	\N
470658	1603	1994-02-11	PRIJEM	VKLAD	7611	29853	\N	\N	\N
470659	1603	1994-03-11	PRIJEM	VKLAD	7611	28743	\N	\N	\N
470660	1603	1994-04-11	PRIJEM	VKLAD	7611	29910	\N	\N	\N
470661	1603	1994-05-11	PRIJEM	VKLAD	7611	25040	\N	\N	\N
470662	1603	1994-06-11	PRIJEM	VKLAD	11416	30259	\N	\N	\N
470663	1603	1994-07-11	PRIJEM	VKLAD	7611	31526	\N	\N	\N
470664	1603	1994-08-11	PRIJEM	VKLAD	7611	33301	\N	\N	\N
470665	1603	1994-09-11	PRIJEM	VKLAD	7611	32884	\N	\N	\N
470666	1603	1994-10-11	PRIJEM	VKLAD	7611	32667	\N	\N	\N
470667	1603	1994-11-11	PRIJEM	VKLAD	7611	31927	\N	\N	\N
470668	1603	1994-12-11	PRIJEM	VKLAD	11416	31972	\N	\N	\N
470669	1603	1995-01-11	PRIJEM	VKLAD	7611	33450	\N	\N	\N
470670	1603	1995-02-11	PRIJEM	VKLAD	7611	33976	\N	\N	\N
470671	1603	1995-03-11	PRIJEM	VKLAD	7611	33939	\N	\N	\N
470672	1603	1995-04-11	PRIJEM	VKLAD	7611	24511	\N	\N	\N
470673	1603	1995-05-11	PRIJEM	VKLAD	7611	28562	\N	\N	\N
470674	1603	1995-06-11	PRIJEM	VKLAD	11416	34025	\N	\N	\N
470675	1603	1995-07-11	PRIJEM	VKLAD	7611	25854	\N	\N	\N
470676	1603	1995-08-11	PRIJEM	VKLAD	7611	20914	\N	\N	\N
470677	1603	1995-09-11	PRIJEM	VKLAD	7611	31340	\N	\N	\N
470678	1603	1995-10-11	PRIJEM	VKLAD	7611	23207	\N	\N	\N
470679	1603	1995-11-11	PRIJEM	VKLAD	7611	23347	\N	\N	\N
470680	1603	1995-12-11	PRIJEM	VKLAD	11416	31003	\N	\N	\N
470681	1603	1996-01-11	PRIJEM	VKLAD	7611	36794	\N	\N	\N
470682	1603	1996-02-11	PRIJEM	VKLAD	7611	39780	\N	\N	\N
470683	1603	1996-03-11	PRIJEM	VKLAD	7611	34600	\N	\N	\N
470684	1603	1996-04-11	PRIJEM	VKLAD	7611	34028	\N	\N	\N
470685	1603	1996-05-11	PRIJEM	VKLAD	7611	29896	\N	\N	\N
470686	1603	1996-06-11	PRIJEM	VKLAD	11416	43879	\N	\N	\N
470687	1603	1996-07-11	PRIJEM	VKLAD	7611	40387	\N	\N	\N
470688	1603	1996-08-11	PRIJEM	VKLAD	7611	36989	\N	\N	\N
470689	1603	1996-09-11	PRIJEM	VKLAD	7611	31284	\N	\N	\N
470690	1603	1996-10-11	PRIJEM	VKLAD	7611	38864	\N	\N	\N
470691	1603	1996-11-11	PRIJEM	VKLAD	7611	42462	\N	\N	\N
470692	1603	1996-12-11	PRIJEM	VKLAD	11416	49489	\N	\N	\N
470693	1603	1997-01-11	PRIJEM	VKLAD	7611	44098	\N	\N	\N
470694	1603	1997-02-11	PRIJEM	VKLAD	7611	29691	\N	\N	\N
470695	1603	1997-03-11	PRIJEM	VKLAD	7611	27485	\N	\N	\N
470696	1603	1997-04-11	PRIJEM	VKLAD	7611	32954	\N	\N	\N
470697	1603	1997-05-11	PRIJEM	VKLAD	7611	32524	\N	\N	\N
470698	1603	1997-06-11	PRIJEM	VKLAD	11416	34259	\N	\N	\N
470699	1603	1997-07-11	PRIJEM	VKLAD	7611	29639	\N	\N	\N
470700	1603	1997-08-11	PRIJEM	VKLAD	7611	34501	\N	\N	\N
470701	1603	1997-09-11	PRIJEM	VKLAD	7611	37989	\N	\N	\N
470702	1603	1997-10-11	PRIJEM	VKLAD	7611	30120	\N	\N	\N
470703	1603	1997-11-11	PRIJEM	VKLAD	7611	33225	\N	\N	\N
470704	1603	1997-12-11	PRIJEM	VKLAD	11416	43211	\N	\N	\N
470705	1603	1998-01-11	PRIJEM	VKLAD	7611	30704	\N	\N	\N
470706	1603	1998-02-11	PRIJEM	VKLAD	7611	31485	\N	\N	\N
470707	1603	1998-03-11	PRIJEM	VKLAD	7611	43980	\N	\N	\N
470708	1603	1998-04-11	PRIJEM	VKLAD	7611	45391	\N	\N	\N
470709	1603	1998-05-11	PRIJEM	VKLAD	7611	32558	\N	\N	\N
470710	1603	1998-06-11	PRIJEM	VKLAD	11416	50864	\N	\N	\N
470711	1603	1998-07-11	PRIJEM	VKLAD	7611	31276	\N	\N	\N
470712	1603	1998-08-11	PRIJEM	VKLAD	7611	42879	\N	\N	\N
470713	1603	1998-09-11	PRIJEM	VKLAD	7611	49667	\N	\N	\N
470714	1603	1998-10-11	PRIJEM	VKLAD	7611	57186	\N	\N	\N
470715	1603	1998-11-11	PRIJEM	VKLAD	7611	57233	\N	\N	\N
470716	1603	1998-12-11	PRIJEM	VKLAD	11416	69909	\N	\N	\N
470726	1603	1993-10-08	VYDAJ	PREVOD NA UCET	2359	25457	SIPO	WX	92258166
470727	1603	1993-11-08	VYDAJ	PREVOD NA UCET	2359	20509	SIPO	WX	92258166
470728	1603	1993-12-08	VYDAJ	PREVOD NA UCET	2359	16161	SIPO	WX	92258166
470729	1603	1994-01-08	VYDAJ	PREVOD NA UCET	2359	24675	SIPO	WX	92258166
470730	1603	1994-02-08	VYDAJ	PREVOD NA UCET	2359	22242	SIPO	WX	92258166
470731	1603	1994-03-08	VYDAJ	PREVOD NA UCET	2359	22212	SIPO	WX	92258166
470732	1603	1994-04-08	VYDAJ	PREVOD NA UCET	2359	22299	SIPO	WX	92258166
470733	1603	1994-05-08	VYDAJ	PREVOD NA UCET	2359	21269	SIPO	WX	92258166
470734	1603	1994-06-08	VYDAJ	PREVOD NA UCET	2359	20883	SIPO	WX	92258166
470735	1603	1994-07-08	VYDAJ	PREVOD NA UCET	2359	23915	SIPO	WX	92258166
470736	1603	1994-08-08	VYDAJ	PREVOD NA UCET	2359	25690	SIPO	WX	92258166
470737	1603	1994-09-08	VYDAJ	PREVOD NA UCET	2359	25273	SIPO	WX	92258166
470738	1603	1994-10-08	VYDAJ	PREVOD NA UCET	2359	25056	SIPO	WX	92258166
470739	1603	1994-11-08	VYDAJ	PREVOD NA UCET	2359	24316	SIPO	WX	92258166
470740	1603	1994-12-08	VYDAJ	PREVOD NA UCET	2359	22636	SIPO	WX	92258166
470741	1603	1995-01-08	VYDAJ	PREVOD NA UCET	2359	25839	SIPO	WX	92258166
470742	1603	1995-02-08	VYDAJ	PREVOD NA UCET	2359	26365	SIPO	WX	92258166
470743	1603	1995-03-08	VYDAJ	PREVOD NA UCET	2359	26328	SIPO	WX	92258166
470744	1603	1995-04-08	VYDAJ	PREVOD NA UCET	2359	16900	SIPO	WX	92258166
470745	1603	1995-05-08	VYDAJ	PREVOD NA UCET	2359	20951	SIPO	WX	92258166
470746	1603	1995-06-08	VYDAJ	PREVOD NA UCET	2359	22609	SIPO	WX	92258166
470747	1603	1995-07-08	VYDAJ	PREVOD NA UCET	2359	18243	SIPO	WX	92258166
470748	1603	1995-08-08	VYDAJ	PREVOD NA UCET	2359	13303	SIPO	WX	92258166
470749	1603	1995-09-08	VYDAJ	PREVOD NA UCET	2359	23729	SIPO	WX	92258166
470750	1603	1995-10-08	VYDAJ	PREVOD NA UCET	2359	15596	SIPO	WX	92258166
470751	1603	1995-11-08	VYDAJ	PREVOD NA UCET	2359	21736	SIPO	WX	92258166
470752	1603	1995-12-08	VYDAJ	PREVOD NA UCET	2359	19587	SIPO	WX	92258166
470753	1603	1996-01-08	VYDAJ	PREVOD NA UCET	2359	29183	SIPO	WX	92258166
470754	1603	1996-02-08	VYDAJ	PREVOD NA UCET	2359	32169	SIPO	WX	92258166
470755	1603	1996-03-08	VYDAJ	PREVOD NA UCET	2359	26989	SIPO	WX	92258166
470756	1603	1996-04-08	VYDAJ	PREVOD NA UCET	2359	26417	SIPO	WX	92258166
470757	1603	1996-05-08	VYDAJ	PREVOD NA UCET	2359	26185	SIPO	WX	92258166
470758	1603	1996-06-08	VYDAJ	PREVOD NA UCET	2359	32463	SIPO	WX	92258166
470759	1603	1996-07-08	VYDAJ	PREVOD NA UCET	2359	32776	SIPO	WX	92258166
470760	1603	1996-08-08	VYDAJ	PREVOD NA UCET	2359	29378	SIPO	WX	92258166
470761	1603	1996-09-08	VYDAJ	PREVOD NA UCET	2359	23673	SIPO	WX	92258166
470762	1603	1996-10-08	VYDAJ	PREVOD NA UCET	2359	31253	SIPO	WX	92258166
470763	1603	1996-11-08	VYDAJ	PREVOD NA UCET	2359	34851	SIPO	WX	92258166
470764	1603	1996-12-08	VYDAJ	PREVOD NA UCET	2359	38073	SIPO	WX	92258166
470765	1603	1997-01-08	VYDAJ	PREVOD NA UCET	2359	36487	SIPO	WX	92258166
470766	1603	1997-02-08	VYDAJ	PREVOD NA UCET	2359	22080	SIPO	WX	92258166
470767	1603	1997-03-08	VYDAJ	PREVOD NA UCET	2359	22754	SIPO	WX	92258166
470768	1603	1997-04-08	VYDAJ	PREVOD NA UCET	2359	25343	SIPO	WX	92258166
470769	1603	1997-05-08	VYDAJ	PREVOD NA UCET	2359	24913	SIPO	WX	92258166
470770	1603	1997-06-08	VYDAJ	PREVOD NA UCET	2359	22843	SIPO	WX	92258166
470771	1603	1997-07-08	VYDAJ	PREVOD NA UCET	2359	22028	SIPO	WX	92258166
470772	1603	1997-08-08	VYDAJ	PREVOD NA UCET	2359	26890	SIPO	WX	92258166
470773	1603	1997-09-08	VYDAJ	PREVOD NA UCET	2359	30378	SIPO	WX	92258166
470774	1603	1997-10-08	VYDAJ	PREVOD NA UCET	2359	28609	SIPO	WX	92258166
470775	1603	1997-11-08	VYDAJ	PREVOD NA UCET	2359	25614	SIPO	WX	92258166
470776	1603	1997-12-08	VYDAJ	PREVOD NA UCET	2359	31795	SIPO	WX	92258166
470777	1603	1998-01-08	VYDAJ	PREVOD NA UCET	2359	23093	SIPO	WX	92258166
470778	1603	1998-02-08	VYDAJ	PREVOD NA UCET	2359	23874	SIPO	WX	92258166
470779	1603	1998-03-08	VYDAJ	PREVOD NA UCET	2359	36369	SIPO	WX	92258166
470780	1603	1998-04-08	VYDAJ	PREVOD NA UCET	2359	37780	SIPO	WX	92258166
470781	1603	1998-05-08	VYDAJ	PREVOD NA UCET	2359	24947	SIPO	WX	92258166
470782	1603	1998-06-08	VYDAJ	PREVOD NA UCET	2359	39448	SIPO	WX	92258166
470783	1603	1998-07-08	VYDAJ	PREVOD NA UCET	2359	23665	SIPO	WX	92258166
470784	1603	1998-08-08	VYDAJ	PREVOD NA UCET	2359	31668	SIPO	WX	92258166
470785	1603	1998-09-08	VYDAJ	PREVOD NA UCET	2359	33256	SIPO	WX	92258166
470786	1603	1998-10-08	VYDAJ	PREVOD NA UCET	2359	40775	SIPO	WX	92258166
470787	1603	1998-11-08	VYDAJ	PREVOD NA UCET	2359	47822	SIPO	WX	92258166
470788	1603	1998-12-08	VYDAJ	PREVOD NA UCET	2359	48893	SIPO	WX	92258166
470798	1603	1993-10-05	VYDAJ	PREVOD NA UCET	1187	33916	 	MN	3211814
470799	1603	1993-11-05	VYDAJ	PREVOD NA UCET	1187	22868	 	MN	3211814
470800	1603	1993-12-05	VYDAJ	PREVOD NA UCET	1187	18520	 	MN	3211814
470801	1603	1994-01-05	VYDAJ	PREVOD NA UCET	1187	27034	 	MN	3211814
470802	1603	1994-02-05	VYDAJ	PREVOD NA UCET	1187	24601	 	MN	3211814
470803	1603	1994-03-05	VYDAJ	PREVOD NA UCET	1187	24571	 	MN	3211814
470804	1603	1994-04-05	VYDAJ	PREVOD NA UCET	1187	24658	 	MN	3211814
470805	1603	1994-05-05	VYDAJ	PREVOD NA UCET	1187	23628	 	MN	3211814
470806	1603	1994-06-05	VYDAJ	PREVOD NA UCET	1187	23242	 	MN	3211814
470807	1603	1994-07-05	VYDAJ	PREVOD NA UCET	1187	26274	 	MN	3211814
470808	1603	1994-08-05	VYDAJ	PREVOD NA UCET	1187	28049	 	MN	3211814
470809	1603	1994-09-05	VYDAJ	PREVOD NA UCET	1187	27632	 	MN	3211814
470810	1603	1994-10-05	VYDAJ	PREVOD NA UCET	1187	27415	 	MN	3211814
470811	1603	1994-11-05	VYDAJ	PREVOD NA UCET	1187	26675	 	MN	3211814
470812	1603	1994-12-05	VYDAJ	PREVOD NA UCET	1187	24995	 	MN	3211814
470813	1603	1995-01-05	VYDAJ	PREVOD NA UCET	1187	28198	 	MN	3211814
470814	1603	1995-02-05	VYDAJ	PREVOD NA UCET	1187	28724	 	MN	3211814
470815	1603	1995-03-05	VYDAJ	PREVOD NA UCET	1187	28687	 	MN	3211814
470816	1603	1995-04-05	VYDAJ	PREVOD NA UCET	1187	27459	 	MN	3211814
470817	1603	1995-05-05	VYDAJ	PREVOD NA UCET	1187	23310	 	MN	3211814
470818	1603	1995-06-05	VYDAJ	PREVOD NA UCET	1187	24968	 	MN	3211814
470819	1603	1995-07-05	VYDAJ	PREVOD NA UCET	1187	20602	 	MN	3211814
470820	1603	1995-08-05	VYDAJ	PREVOD NA UCET	1187	15662	 	MN	3211814
470821	1603	1995-09-05	VYDAJ	PREVOD NA UCET	1187	26088	 	MN	3211814
470822	1603	1995-10-05	VYDAJ	PREVOD NA UCET	1187	17955	 	MN	3211814
470823	1603	1995-11-05	VYDAJ	PREVOD NA UCET	1187	24095	 	MN	3211814
470824	1603	1995-12-05	VYDAJ	PREVOD NA UCET	1187	27946	 	MN	3211814
470825	1603	1996-01-05	VYDAJ	PREVOD NA UCET	1187	31542	 	MN	3211814
470826	1603	1996-02-05	VYDAJ	PREVOD NA UCET	1187	34528	 	MN	3211814
470827	1603	1996-03-05	VYDAJ	PREVOD NA UCET	1187	29348	 	MN	3211814
470828	1603	1996-04-05	VYDAJ	PREVOD NA UCET	1187	28776	 	MN	3211814
470829	1603	1996-05-05	VYDAJ	PREVOD NA UCET	1187	28544	 	MN	3211814
470830	1603	1996-06-05	VYDAJ	PREVOD NA UCET	1187	34822	 	MN	3211814
470831	1603	1996-07-05	VYDAJ	PREVOD NA UCET	1187	35135	 	MN	3211814
470832	1603	1996-08-05	VYDAJ	PREVOD NA UCET	1187	31737	 	MN	3211814
470833	1603	1996-09-05	VYDAJ	PREVOD NA UCET	1187	26032	 	MN	3211814
470834	1603	1996-10-05	VYDAJ	PREVOD NA UCET	1187	33612	 	MN	3211814
470835	1603	1996-11-05	VYDAJ	PREVOD NA UCET	1187	37210	 	MN	3211814
470836	1603	1996-12-05	VYDAJ	PREVOD NA UCET	1187	40432	 	MN	3211814
470837	1603	1997-01-05	VYDAJ	PREVOD NA UCET	1187	38846	 	MN	3211814
470838	1603	1997-02-05	VYDAJ	PREVOD NA UCET	1187	24439	 	MN	3211814
470839	1603	1997-03-05	VYDAJ	PREVOD NA UCET	1187	25113	 	MN	3211814
470840	1603	1997-04-05	VYDAJ	PREVOD NA UCET	1187	30702	 	MN	3211814
470841	1603	1997-05-05	VYDAJ	PREVOD NA UCET	1187	27272	 	MN	3211814
470842	1603	1997-06-05	VYDAJ	PREVOD NA UCET	1187	25202	 	MN	3211814
470843	1603	1997-07-05	VYDAJ	PREVOD NA UCET	1187	24387	 	MN	3211814
470844	1603	1997-08-05	VYDAJ	PREVOD NA UCET	1187	29249	 	MN	3211814
470845	1603	1997-09-05	VYDAJ	PREVOD NA UCET	1187	32737	 	MN	3211814
470846	1603	1997-10-05	VYDAJ	PREVOD NA UCET	1187	34328	 	MN	3211814
470847	1603	1997-11-05	VYDAJ	PREVOD NA UCET	1187	27973	 	MN	3211814
470848	1603	1997-12-05	VYDAJ	PREVOD NA UCET	1187	34154	 	MN	3211814
470849	1603	1998-01-05	VYDAJ	PREVOD NA UCET	1187	25452	 	MN	3211814
470850	1603	1998-02-05	VYDAJ	PREVOD NA UCET	1187	32733	 	MN	3211814
470851	1603	1998-03-05	VYDAJ	PREVOD NA UCET	1187	38728	 	MN	3211814
470852	1603	1998-04-05	VYDAJ	PREVOD NA UCET	1187	40139	 	MN	3211814
470853	1603	1998-05-05	VYDAJ	PREVOD NA UCET	1187	27306	 	MN	3211814
470854	1603	1998-06-05	VYDAJ	PREVOD NA UCET	1187	41807	 	MN	3211814
470855	1603	1998-07-05	VYDAJ	PREVOD NA UCET	1187	26024	 	MN	3211814
470856	1603	1998-08-05	VYDAJ	PREVOD NA UCET	1187	34027	 	MN	3211814
470857	1603	1998-09-05	VYDAJ	PREVOD NA UCET	1187	35615	 	MN	3211814
470858	1603	1998-10-05	VYDAJ	PREVOD NA UCET	1187	43734	 	MN	3211814
470859	1603	1998-11-05	VYDAJ	PREVOD NA UCET	1187	50181	 	MN	3211814
470860	1603	1998-12-05	VYDAJ	PREVOD NA UCET	1187	51252	 	MN	3211814
470869	1603	1993-09-20	VYDAJ	VYBER	5600	34960	\N	\N	0
470870	1603	1993-10-16	VYDAJ	VYBER	5100	27968	\N	\N	0
470871	1603	1993-11-22	VYDAJ	VYBER	5900	22220	\N	\N	0
470872	1603	1993-12-02	VYDAJ	VYBER	6300	16007	\N	\N	0
470873	1603	1994-01-28	VYDAJ	VYBER	6200	23686	\N	\N	0
470874	1603	1994-02-12	VYDAJ	PREVOD NA UCET	6578	23275	UVER	CD	6821167
470875	1603	1994-03-12	VYDAJ	PREVOD NA UCET	6578	22165	UVER	CD	6821167
470876	1603	1994-04-12	VYDAJ	PREVOD NA UCET	6578	23332	UVER	CD	6821167
470877	1603	1994-05-12	VYDAJ	PREVOD NA UCET	6578	18462	UVER	CD	6821167
470878	1603	1994-06-12	VYDAJ	PREVOD NA UCET	6578	23681	UVER	CD	6821167
470879	1603	1994-07-12	VYDAJ	PREVOD NA UCET	6578	24948	UVER	CD	6821167
470880	1603	1994-08-12	VYDAJ	PREVOD NA UCET	6578	26723	UVER	CD	6821167
470881	1603	1994-09-12	VYDAJ	PREVOD NA UCET	6578	26306	UVER	CD	6821167
470882	1603	1994-10-12	VYDAJ	PREVOD NA UCET	6578	26089	UVER	CD	6821167
470883	1603	1994-11-12	VYDAJ	PREVOD NA UCET	6578	25349	UVER	CD	6821167
470884	1603	1994-12-12	VYDAJ	PREVOD NA UCET	6578	25394	UVER	CD	6821167
470885	1603	1995-01-12	VYDAJ	PREVOD NA UCET	6578	26872	UVER	CD	6821167
470886	1603	1995-02-14	VYDAJ	VYBER	9200	24776	\N	\N	0
470887	1603	1995-03-20	VYDAJ	VYBER	7300	26639	\N	\N	0
470888	1603	1995-04-07	VYDAJ	VYBER	8200	19259	\N	\N	0
470889	1603	1995-05-27	VYDAJ	VYBER	5300	23262	\N	\N	0
470890	1603	1995-06-25	VYDAJ	VYBER	7900	24685	\N	\N	0
470891	1603	1995-06-28	VYDAJ	VYBER	5000	21685	\N	\N	0
470892	1603	1995-08-16	VYDAJ	VYBER	5500	15414	\N	\N	0
470893	1603	1995-09-15	VYDAJ	VYBER	8200	23140	\N	\N	0
470894	1603	1995-09-28	VYDAJ	VYBER	8800	19060	\N	\N	0
470895	1603	1995-11-10	VYDAJ	VYBER	6000	15736	\N	\N	0
470896	1603	1995-12-07	VYDAJ	VYBER	6000	21946	\N	\N	0
470897	1603	1996-01-15	VYDAJ	VYBER	6000	30794	\N	\N	0
470898	1603	1996-02-19	VYDAJ	VYBER	6200	33580	\N	\N	0
470899	1603	1996-03-25	VYDAJ	VYBER	9200	31400	\N	\N	0
470900	1603	1996-04-14	VYDAJ	VYBER	4000	25828	\N	\N	0
470901	1603	1996-05-10	VYDAJ	VYBER	3900	22285	\N	\N	0
470902	1603	1996-06-16	VYDAJ	VYBER	6400	37479	\N	\N	0
470903	1603	1996-07-01	VYDAJ	VYBER	4000	36322	\N	\N	0
470904	1603	1996-08-02	VYDAJ	VYBER	4300	32924	\N	\N	0
470905	1603	1996-09-04	VYDAJ	VYBER	8400	27219	\N	\N	0
470906	1603	1996-10-14	VYDAJ	VYBER	4700	34164	\N	\N	0
470907	1603	1996-11-29	VYDAJ	VYBER	5000	41462	\N	\N	0
470908	1603	1996-12-21	VYDAJ	VYBER	5400	42589	\N	\N	0
470909	1603	1997-01-20	VYDAJ	VYBER	6100	40598	\N	\N	0
470910	1603	1997-01-30	VYDAJ	VYBER	7800	29558	\N	\N	0
470911	1603	1997-03-05	VYDAJ	VYBER	8600	26300	\N	\N	0
470912	1603	1997-04-17	VYDAJ	VYBER	9000	23954	\N	\N	0
470913	1603	1997-05-18	VYDAJ	VYBER	4900	30124	\N	\N	0
470914	1603	1997-06-19	VYDAJ	VYBER	8900	25479	\N	\N	0
470915	1603	1997-07-15	VYDAJ	VYBER	7300	22339	\N	\N	0
470916	1603	1997-08-28	VYDAJ	VYBER	4500	33801	\N	\N	0
470917	1603	1997-09-16	VYDAJ	VYBER	4200	35389	\N	\N	0
470918	1603	1997-10-09	VYDAJ	VYBER	6100	22509	\N	\N	0
470919	1603	1997-10-27	VYDAJ	VYBER	6200	30720	\N	\N	0
470920	1603	1997-12-11	VYDAJ	VYBER	4500	38711	\N	\N	0
470921	1603	1998-01-02	VYDAJ	VYBER	6400	29159	\N	\N	0
470922	1603	1998-02-07	VYDAJ	VYBER	6500	26233	\N	\N	0
470923	1603	1998-03-12	VYDAJ	VYBER	6400	37580	\N	\N	0
470924	1603	1998-04-13	VYDAJ	VYBER	6300	39091	\N	\N	0
470925	1603	1998-04-29	VYDAJ	VYBER	5700	32791	\N	\N	0
470926	1603	1998-06-13	VYDAJ	VYBER	8000	44264	\N	\N	0
470927	1603	1998-07-02	VYDAJ	VYBER	6000	27211	\N	\N	0
470928	1603	1998-08-11	VYDAJ	VYBER	6200	36679	\N	\N	0
470929	1603	1998-09-13	VYDAJ	VYBER	4900	44767	\N	\N	0
470930	1603	1998-10-13	VYDAJ	VYBER	6000	51186	\N	\N	0
470931	1603	1998-11-09	VYDAJ	VYBER	5100	49622	\N	\N	0
470932	1603	1998-12-13	VYDAJ	VYBER	6400	63509	\N	\N	0
470937	1603	1997-06-13	VYDAJ	VYBER	5280	28979	\N	\N	\N
470938	1603	1998-06-22	VYDAJ	VYBER	11200	33064	\N	\N	\N
470939	1603	1993-12-15	VYDAJ	VYBER	2240	25337	\N	\N	\N
470940	1603	1994-12-10	VYDAJ	VYBER	2080	20556	\N	\N	\N
470941	1603	1995-12-21	VYDAJ	VYBER	1280	29723	\N	\N	\N
470942	1603	1996-12-26	VYDAJ	VYBER	2720	39869	\N	\N	\N
470943	1603	1997-12-17	VYDAJ	VYBER	3680	35431	\N	\N	\N
470944	1603	1998-12-01	VYDAJ	VYBER	2240	52439	\N	\N	\N
470945	1603	1993-10-27	VYDAJ	VYBER	4920	23048	\N	\N	\N
470948	1603	1993-10-07	VYDAJ	VYBER	4200	27816	\N	\N	\N
470950	1603	1994-03-10	VYDAJ	VYBER	1080	21132	\N	\N	\N
470951	1603	1994-10-23	VYDAJ	VYBER	1320	24769	\N	\N	\N
470952	1603	1994-01-15	VYDAJ	VYBER	2400	29886	\N	\N	\N
470953	1603	1994-06-09	VYDAJ	VYBER	2040	18843	\N	\N	\N
470954	1603	1994-05-09	VYDAJ	VYBER	3840	17429	\N	\N	\N
470955	1603	1994-11-29	VYDAJ	VYBER	960	24389	\N	\N	\N
470956	1603	1995-09-17	VYDAJ	VYBER	5280	17860	\N	\N	\N
470957	1603	1995-07-19	VYDAJ	VYBER	5160	20694	\N	\N	\N
470958	1603	1995-07-29	VYDAJ	VYBER	5640	19054	\N	\N	\N
470959	1603	1995-06-16	VYDAJ	VYBER	1440	32585	\N	\N	\N
470960	1603	1995-01-26	VYDAJ	VYBER	1560	25312	\N	\N	\N
470961	1603	1995-08-02	VYDAJ	VYBER	2280	16849	\N	\N	\N
470962	1603	1996-07-13	VYDAJ	VYBER	4200	36187	\N	\N	\N
470963	1603	1996-04-11	VYDAJ	VYBER	4200	29828	\N	\N	\N
470964	1603	1996-04-22	VYDAJ	VYBER	4800	21028	\N	\N	\N
470965	1603	1996-04-02	VYDAJ	VYBER	1560	29963	\N	\N	\N
470966	1603	1996-02-29	VYDAJ	VYBER	5280	30535	\N	\N	\N
470967	1603	1997-04-07	VYDAJ	VYBER	3000	27702	\N	\N	\N
470968	1603	1997-10-08	VYDAJ	VYBER	3360	30968	\N	\N	\N
470969	1603	1997-10-31	VYDAJ	VYBER	1680	29160	\N	\N	\N
470970	1603	1997-02-01	VYDAJ	VYBER	4080	25626	\N	\N	\N
470971	1603	1997-06-04	VYDAJ	VYBER	3840	26389	\N	\N	\N
470972	1603	1997-01-24	VYDAJ	VYBER	3240	37358	\N	\N	\N
470973	1603	1997-11-14	VYDAJ	VYBER	4200	35225	\N	\N	\N
470974	1603	1997-03-10	VYDAJ	VYBER	2880	19874	\N	\N	\N
470975	1603	1998-10-05	VYDAJ	VYBER	600	43134	\N	\N	\N
470976	1603	1998-11-11	VYDAJ	VYBER	2760	54473	\N	\N	\N
470977	1603	1998-01-27	VYDAJ	VYBER	3600	33804	\N	\N	\N
470978	1603	1998-05-04	VYDAJ	VYBER	4440	28493	\N	\N	\N
470979	1603	1998-01-02	VYDAJ	VYBER	2520	26639	\N	\N	\N
470980	1603	1998-07-21	VYDAJ	VYBER	2880	35096	\N	\N	\N
470990	1603	1993-09-30	VYDAJ	VYBER	15	35103	SLUZBY	\N	\N
470991	1603	1993-10-31	VYDAJ	VYBER	15	23155	SLUZBY	\N	\N
470992	1603	1993-11-30	VYDAJ	VYBER	15	22307	SLUZBY	\N	\N
470993	1603	1993-12-31	VYDAJ	VYBER	15	25421	SLUZBY	\N	\N
470994	1603	1994-01-31	VYDAJ	VYBER	15	23788	SLUZBY	\N	\N
470995	1603	1994-02-28	VYDAJ	VYBER	15	23358	SLUZBY	\N	\N
470996	1603	1994-03-31	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
470997	1603	1994-04-30	VYDAJ	VYBER	15	23415	SLUZBY	\N	\N
470998	1603	1994-05-31	VYDAJ	VYBER	15	18529	SLUZBY	\N	\N
470999	1603	1994-06-30	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
471000	1603	1994-07-31	VYDAJ	VYBER	15	25036	SLUZBY	\N	\N
471001	1603	1994-08-31	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
471002	1603	1994-09-30	VYDAJ	VYBER	15	26402	SLUZBY	\N	\N
471003	1603	1994-10-31	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
471004	1603	1994-11-30	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
471005	1603	1994-12-31	VYDAJ	VYBER	15	29385	SLUZBY	\N	\N
471006	1603	1995-01-31	VYDAJ	VYBER	15	29911	SLUZBY	\N	\N
471007	1603	1995-02-28	VYDAJ	VYBER	15	29874	SLUZBY	\N	\N
471008	1603	1995-03-31	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
471009	1603	1995-04-30	VYDAJ	VYBER	15	24497	SLUZBY	\N	\N
471010	1603	1995-05-31	VYDAJ	VYBER	15	26155	SLUZBY	\N	\N
471011	1603	1995-06-30	VYDAJ	VYBER	15	21789	SLUZBY	\N	\N
471012	1603	1995-07-31	VYDAJ	VYBER	15	19129	SLUZBY	\N	\N
471013	1603	1995-08-31	VYDAJ	VYBER	15	27275	SLUZBY	\N	\N
471014	1603	1995-09-30	VYDAJ	VYBER	15	19142	SLUZBY	\N	\N
471015	1603	1995-10-31	VYDAJ	VYBER	15	25282	SLUZBY	\N	\N
471016	1603	1995-11-30	VYDAJ	VYBER	15	29133	SLUZBY	\N	\N
471017	1603	1995-12-31	VYDAJ	VYBER	15	32729	SLUZBY	\N	\N
471018	1603	1996-01-31	VYDAJ	VYBER	15	35715	SLUZBY	\N	\N
471019	1603	1996-02-29	VYDAJ	VYBER	15	35815	SLUZBY	\N	\N
471020	1603	1996-03-31	VYDAJ	VYBER	15	31523	SLUZBY	\N	\N
471021	1603	1996-04-30	VYDAJ	VYBER	15	29731	SLUZBY	\N	\N
471022	1603	1996-05-31	VYDAJ	VYBER	15	36009	SLUZBY	\N	\N
471023	1603	1996-06-30	VYDAJ	VYBER	15	40322	SLUZBY	\N	\N
471024	1603	1996-07-31	VYDAJ	VYBER	15	37224	SLUZBY	\N	\N
471025	1603	1996-08-31	VYDAJ	VYBER	15	35619	SLUZBY	\N	\N
471026	1603	1996-09-30	VYDAJ	VYBER	15	34799	SLUZBY	\N	\N
471027	1603	1996-10-31	VYDAJ	VYBER	15	38397	SLUZBY	\N	\N
471028	1603	1996-11-30	VYDAJ	VYBER	15	41619	SLUZBY	\N	\N
471029	1603	1996-12-31	VYDAJ	VYBER	15	40033	SLUZBY	\N	\N
471030	1603	1997-01-31	VYDAJ	VYBER	15	29706	SLUZBY	\N	\N
471031	1603	1997-02-28	VYDAJ	VYBER	15	34900	SLUZBY	\N	\N
471032	1603	1997-03-31	VYDAJ	VYBER	15	31889	SLUZBY	\N	\N
471033	1603	1997-04-30	VYDAJ	VYBER	15	28459	SLUZBY	\N	\N
471034	1603	1997-05-31	VYDAJ	VYBER	15	30229	SLUZBY	\N	\N
471035	1603	1997-06-30	VYDAJ	VYBER	15	25574	SLUZBY	\N	\N
471036	1603	1997-07-31	VYDAJ	VYBER	15	30436	SLUZBY	\N	\N
471037	1603	1997-08-31	VYDAJ	VYBER	15	33924	SLUZBY	\N	\N
471038	1603	1997-09-30	VYDAJ	VYBER	15	35515	SLUZBY	\N	\N
471039	1603	1997-10-31	VYDAJ	VYBER	15	30840	SLUZBY	\N	\N
471040	1603	1997-11-30	VYDAJ	VYBER	15	35341	SLUZBY	\N	\N
471041	1603	1997-12-31	VYDAJ	VYBER	15	35559	SLUZBY	\N	\N
471042	1603	1998-01-31	VYDAJ	VYBER	15	33920	SLUZBY	\N	\N
471043	1603	1998-02-28	VYDAJ	VYBER	15	39915	SLUZBY	\N	\N
471044	1603	1998-03-31	VYDAJ	VYBER	15	41326	SLUZBY	\N	\N
471045	1603	1998-04-30	VYDAJ	VYBER	15	32933	SLUZBY	\N	\N
471046	1603	1998-05-31	VYDAJ	VYBER	15	42994	SLUZBY	\N	\N
471047	1603	1998-06-30	VYDAJ	VYBER	15	33211	SLUZBY	\N	\N
471048	1603	1998-07-31	VYDAJ	VYBER	15	35214	SLUZBY	\N	\N
471049	1603	1998-08-31	VYDAJ	VYBER	15	36802	SLUZBY	\N	\N
471050	1603	1998-09-30	VYDAJ	VYBER	15	44921	SLUZBY	\N	\N
471051	1603	1998-10-31	VYDAJ	VYBER	15	51368	SLUZBY	\N	\N
471052	1603	1998-11-30	VYDAJ	VYBER	15	54679	SLUZBY	\N	\N
471053	1603	1993-06-08	PRIJEM	VKLAD	8000	16535	\N	\N	\N
471054	1603	1993-07-08	VYDAJ	VYBER	1900	26141	\N	\N	\N
471055	1603	1993-08-07	VYDAJ	VYBER	3000	30884	\N	\N	\N
471056	1603	1993-09-06	VYDAJ	VYBER	5700	32949	\N	\N	\N
471057	1603	1993-10-06	VYDAJ	VYBER	1900	32016	\N	\N	\N
471058	1603	1993-11-05	PRIJEM	VKLAD	900	24055	\N	\N	\N
471059	1603	1993-12-05	PRIJEM	VKLAD	3700	19707	\N	\N	\N
471060	1603	1994-01-04	PRIJEM	VKLAD	2800	28221	\N	\N	\N
471061	1603	1994-02-03	PRIJEM	VKLAD	2000	25788	\N	\N	\N
471062	1603	1994-03-05	PRIJEM	VKLAD	2400	25758	\N	\N	\N
471063	1603	1994-04-04	PRIJEM	VKLAD	3600	25845	\N	\N	\N
471064	1603	1994-05-04	PRIJEM	VKLAD	1400	24815	\N	\N	\N
471065	1603	1994-06-03	PRIJEM	VKLAD	5900	24429	\N	\N	\N
471066	1603	1994-07-03	PRIJEM	VKLAD	3700	27461	\N	\N	\N
471067	1603	1994-08-02	PRIJEM	VKLAD	4200	29236	\N	\N	\N
471068	1603	1994-09-01	PRIJEM	VKLAD	2000	28819	\N	\N	\N
471069	1603	1994-10-01	PRIJEM	VKLAD	2200	28602	\N	\N	\N
471070	1603	1994-10-31	PRIJEM	VKLAD	3000	27769	\N	\N	\N
471071	1603	1994-11-30	PRIJEM	VKLAD	1700	26196	\N	\N	\N
471072	1603	1994-12-30	PRIJEM	VKLAD	3900	29294	\N	\N	\N
471073	1603	1995-01-29	PRIJEM	VKLAD	4500	29812	\N	\N	\N
471074	1603	1995-02-28	PRIJEM	VKLAD	5000	29776	\N	\N	\N
471075	1603	1995-03-30	PRIJEM	VKLAD	1900	28539	\N	\N	\N
471076	1603	1995-04-29	VYDAJ	VYBER	100	24411	\N	\N	\N
471077	1603	1995-05-29	PRIJEM	VKLAD	2800	26062	\N	\N	\N
471078	1603	1995-06-28	PRIJEM	VKLAD	2000	26685	\N	\N	\N
471079	1603	1995-07-28	PRIJEM	VKLAD	4000	24694	\N	\N	\N
471080	1603	1995-08-27	PRIJEM	VKLAD	11800	27214	\N	\N	\N
471081	1603	1995-09-26	PRIJEM	VKLAD	10000	27860	\N	\N	\N
471082	1603	1995-10-26	PRIJEM	VKLAD	2000	25207	\N	\N	\N
471083	1603	1995-11-25	PRIJEM	VKLAD	5700	29047	\N	\N	\N
471084	1603	1995-12-25	PRIJEM	VKLAD	2900	32623	\N	\N	\N
471085	1603	1996-01-24	PRIJEM	VKLAD	4800	35594	\N	\N	\N
471086	1603	1996-02-23	PRIJEM	VKLAD	2100	35680	\N	\N	\N
471087	1603	1996-03-24	PRIJEM	VKLAD	6000	40600	\N	\N	\N
471088	1603	1996-04-23	PRIJEM	VKLAD	8600	29628	\N	\N	\N
471089	1603	1996-05-23	PRIJEM	VKLAD	6000	35896	\N	\N	\N
471090	1603	1996-06-22	PRIJEM	VKLAD	2700	40179	\N	\N	\N
471091	1603	1996-07-22	PRIJEM	VKLAD	900	37087	\N	\N	\N
471092	1603	1996-08-21	VYDAJ	VYBER	1500	35489	\N	\N	\N
471093	1603	1996-09-20	PRIJEM	VKLAD	3400	34684	\N	\N	\N
471094	1603	1996-10-20	PRIJEM	VKLAD	4100	38264	\N	\N	\N
471095	1603	1996-11-19	PRIJEM	VKLAD	4000	46462	\N	\N	\N
471096	1603	1996-12-19	VYDAJ	VYBER	1500	47989	\N	\N	\N
471097	1603	1997-01-18	PRIJEM	VKLAD	2600	46698	\N	\N	\N
471098	1603	1997-02-17	PRIJEM	VKLAD	5100	34791	\N	\N	\N
471099	1603	1997-03-19	PRIJEM	VKLAD	4300	31785	\N	\N	\N
471100	1603	1997-04-18	PRIJEM	VKLAD	4400	28354	\N	\N	\N
471101	1603	1997-05-18	PRIJEM	VKLAD	2500	35024	\N	\N	\N
471102	1603	1997-06-17	PRIJEM	VKLAD	5400	34379	\N	\N	\N
471103	1603	1997-07-17	PRIJEM	VKLAD	8000	30339	\N	\N	\N
471104	1603	1997-08-16	PRIJEM	VKLAD	3800	38301	\N	\N	\N
471105	1603	1997-09-15	PRIJEM	VKLAD	1600	39589	\N	\N	\N
471106	1603	1997-10-15	PRIJEM	VKLAD	6800	36920	\N	\N	\N
471107	1603	1997-11-14	PRIJEM	VKLAD	6200	39425	\N	\N	\N
471108	1603	1997-12-14	PRIJEM	VKLAD	400	39111	\N	\N	\N
471109	1603	1998-01-13	PRIJEM	VKLAD	6700	37404	\N	\N	\N
471110	1603	1998-02-12	PRIJEM	VKLAD	8300	39785	\N	\N	\N
471111	1603	1998-03-14	PRIJEM	VKLAD	3600	41180	\N	\N	\N
471112	1603	1998-04-13	VYDAJ	VYBER	600	38491	\N	\N	\N
471113	1603	1998-05-13	PRIJEM	VKLAD	10300	42858	\N	\N	\N
471114	1603	1998-06-12	PRIJEM	VKLAD	1400	52264	\N	\N	\N
471115	1603	1998-07-12	PRIJEM	VKLAD	6700	37976	\N	\N	\N
471116	1603	1998-08-11	PRIJEM	VKLAD	3600	35268	\N	\N	\N
471117	1603	1998-09-10	PRIJEM	VKLAD	8800	42056	\N	\N	\N
471118	1603	1998-10-10	PRIJEM	VKLAD	8800	49575	\N	\N	\N
471119	1603	1998-11-09	PRIJEM	VKLAD	6900	54722	\N	\N	\N
471120	1603	1998-12-09	PRIJEM	VKLAD	9600	58493	\N	\N	\N
471189	1604	1993-12-16	PRIJEM	VKLAD	900	900	\N	\N	\N
471202	1604	1994-01-14	PRIJEM	VKLAD	17735	18635	\N	\N	\N
471203	1604	1994-02-14	PRIJEM	VKLAD	17735	41524	\N	\N	\N
471204	1604	1994-03-14	PRIJEM	VKLAD	17735	52482	\N	\N	\N
471205	1604	1994-04-14	PRIJEM	VKLAD	17735	54466	\N	\N	\N
471206	1604	1994-05-14	PRIJEM	VKLAD	17735	56157	\N	\N	\N
471207	1604	1994-06-14	PRIJEM	VKLAD	26602	39219	\N	\N	\N
471208	1604	1994-07-14	PRIJEM	VKLAD	17735	42190	\N	\N	\N
471209	1604	1994-08-14	PRIJEM	VKLAD	17735	42356	\N	\N	\N
471210	1604	1994-09-14	PRIJEM	VKLAD	17735	45720	\N	\N	\N
471211	1604	1994-10-14	PRIJEM	VKLAD	17735	47845	\N	\N	\N
471212	1604	1994-11-14	PRIJEM	VKLAD	17735	45270	\N	\N	\N
471213	1604	1994-12-14	PRIJEM	VKLAD	26602	51988	\N	\N	\N
471214	1604	1995-01-14	PRIJEM	VKLAD	17735	44092	\N	\N	\N
471215	1604	1995-02-14	PRIJEM	VKLAD	17735	40078	\N	\N	\N
471216	1604	1995-03-14	PRIJEM	VKLAD	17735	42767	\N	\N	\N
471217	1604	1995-04-14	PRIJEM	VKLAD	17735	44369	\N	\N	\N
471218	1604	1995-05-14	PRIJEM	VKLAD	17735	47179	\N	\N	\N
471219	1604	1995-06-14	PRIJEM	VKLAD	26602	55705	\N	\N	\N
471220	1604	1995-07-14	PRIJEM	VKLAD	17735	51047	\N	\N	\N
471221	1604	1995-08-14	PRIJEM	VKLAD	17735	49094	\N	\N	\N
471222	1604	1995-09-14	PRIJEM	VKLAD	17735	47029	\N	\N	\N
471223	1604	1995-10-14	PRIJEM	VKLAD	17735	49556	\N	\N	\N
471224	1604	1995-11-14	PRIJEM	VKLAD	17735	47686	\N	\N	\N
471225	1604	1995-12-14	PRIJEM	VKLAD	26602	55982	\N	\N	\N
471226	1604	1996-01-14	PRIJEM	VKLAD	17735	46103	\N	\N	\N
471227	1604	1996-02-14	PRIJEM	VKLAD	17735	41967	\N	\N	\N
471228	1604	1996-03-14	PRIJEM	VKLAD	17735	37466	\N	\N	\N
471229	1604	1996-04-14	PRIJEM	VKLAD	17735	41141	\N	\N	\N
471230	1604	1996-05-14	PRIJEM	VKLAD	17735	38233	\N	\N	\N
471231	1604	1996-06-14	PRIJEM	VKLAD	26602	46790	\N	\N	\N
471232	1604	1996-07-14	PRIJEM	VKLAD	17735	32377	\N	\N	\N
471233	1604	1996-08-14	PRIJEM	VKLAD	17735	32996	\N	\N	\N
471234	1604	1996-09-14	PRIJEM	VKLAD	17735	37052	\N	\N	\N
471235	1604	1996-10-14	PRIJEM	VKLAD	17735	39767	\N	\N	\N
471236	1604	1996-11-14	PRIJEM	VKLAD	17735	41554	\N	\N	\N
471237	1604	1996-12-14	PRIJEM	VKLAD	26602	54906	\N	\N	\N
471238	1604	1997-01-14	PRIJEM	VKLAD	17735	33454	\N	\N	\N
471239	1604	1997-02-14	PRIJEM	VKLAD	17735	34360	\N	\N	\N
471240	1604	1997-03-14	PRIJEM	VKLAD	17735	37112	\N	\N	\N
471241	1604	1997-04-14	PRIJEM	VKLAD	17735	38676	\N	\N	\N
471242	1604	1997-05-14	PRIJEM	VKLAD	17735	38104	\N	\N	\N
471243	1604	1997-06-14	PRIJEM	VKLAD	26602	48638	\N	\N	\N
471244	1604	1997-07-14	PRIJEM	VKLAD	17735	30368	\N	\N	\N
471245	1604	1997-08-14	PRIJEM	VKLAD	17735	35203	\N	\N	\N
471246	1604	1997-09-14	PRIJEM	VKLAD	17735	34043	\N	\N	\N
471247	1604	1997-10-14	PRIJEM	VKLAD	17735	39391	\N	\N	\N
471248	1604	1997-11-14	PRIJEM	VKLAD	17735	39758	\N	\N	\N
471249	1604	1997-12-14	PRIJEM	VKLAD	26602	53497	\N	\N	\N
471250	1604	1998-01-14	PRIJEM	VKLAD	17735	36519	\N	\N	\N
471251	1604	1998-02-14	PRIJEM	VKLAD	17735	36638	\N	\N	\N
471252	1604	1998-03-14	PRIJEM	VKLAD	17735	30128	\N	\N	\N
471253	1604	1998-04-14	PRIJEM	VKLAD	17735	34661	\N	\N	\N
471254	1604	1998-05-14	PRIJEM	VKLAD	17735	38409	\N	\N	\N
471255	1604	1998-06-14	PRIJEM	VKLAD	26602	45591	\N	\N	\N
471256	1604	1998-07-14	PRIJEM	VKLAD	17735	37518	\N	\N	\N
471257	1604	1998-08-14	PRIJEM	VKLAD	17735	37557	\N	\N	\N
471258	1604	1998-09-14	PRIJEM	VKLAD	17735	35741	\N	\N	\N
471259	1604	1998-10-14	PRIJEM	VKLAD	17735	44946	\N	\N	\N
471260	1604	1998-11-14	PRIJEM	VKLAD	17735	52939	\N	\N	\N
471261	1604	1998-12-14	PRIJEM	VKLAD	26602	64823	\N	\N	\N
471279	1604	1994-06-12	VYDAJ	PREVOD NA UCET	7088	12617	SIPO	CD	90369587
471280	1604	1994-07-12	VYDAJ	PREVOD NA UCET	7088	24455	SIPO	CD	90369587
471281	1604	1994-08-12	VYDAJ	PREVOD NA UCET	7088	25321	SIPO	CD	90369587
471282	1604	1994-09-12	VYDAJ	PREVOD NA UCET	7088	27985	SIPO	CD	90369587
471283	1604	1994-10-12	VYDAJ	PREVOD NA UCET	7088	32910	SIPO	CD	90369587
471284	1604	1994-11-12	VYDAJ	PREVOD NA UCET	7088	27535	SIPO	CD	90369587
471285	1604	1994-12-12	VYDAJ	PREVOD NA UCET	7088	25386	SIPO	CD	90369587
471286	1604	1995-01-12	VYDAJ	PREVOD NA UCET	7088	26357	SIPO	CD	90369587
471287	1604	1995-02-12	VYDAJ	PREVOD NA UCET	7088	22343	SIPO	CD	90369587
471288	1604	1995-03-12	VYDAJ	PREVOD NA UCET	7088	25032	SIPO	CD	90369587
471289	1604	1995-04-12	VYDAJ	PREVOD NA UCET	7088	26634	SIPO	CD	90369587
471290	1604	1995-05-12	VYDAJ	PREVOD NA UCET	7088	29444	SIPO	CD	90369587
471291	1604	1995-06-12	VYDAJ	PREVOD NA UCET	7088	29103	SIPO	CD	90369587
471292	1604	1995-07-12	VYDAJ	PREVOD NA UCET	7088	33312	SIPO	CD	90369587
471293	1604	1995-08-12	VYDAJ	PREVOD NA UCET	7088	31359	SIPO	CD	90369587
471294	1604	1995-09-12	VYDAJ	PREVOD NA UCET	7088	29294	SIPO	CD	90369587
471295	1604	1995-10-12	VYDAJ	PREVOD NA UCET	7088	31821	SIPO	CD	90369587
471296	1604	1995-11-12	VYDAJ	PREVOD NA UCET	7088	29951	SIPO	CD	90369587
471297	1604	1995-12-12	VYDAJ	PREVOD NA UCET	7088	29380	SIPO	CD	90369587
471298	1604	1996-01-12	VYDAJ	PREVOD NA UCET	7088	28368	SIPO	CD	90369587
471299	1604	1996-02-12	VYDAJ	PREVOD NA UCET	7088	24232	SIPO	CD	90369587
471300	1604	1996-03-12	VYDAJ	PREVOD NA UCET	7088	19731	SIPO	CD	90369587
471301	1604	1996-04-12	VYDAJ	PREVOD NA UCET	7088	23406	SIPO	CD	90369587
471302	1604	1996-05-12	VYDAJ	PREVOD NA UCET	7088	20498	SIPO	CD	90369587
471303	1604	1996-06-12	VYDAJ	PREVOD NA UCET	7088	20188	SIPO	CD	90369587
471304	1604	1996-07-12	VYDAJ	PREVOD NA UCET	7088	14642	SIPO	CD	90369587
471305	1604	1996-08-12	VYDAJ	PREVOD NA UCET	7088	15261	SIPO	CD	90369587
471306	1604	1996-09-12	VYDAJ	PREVOD NA UCET	7088	19317	SIPO	CD	90369587
471307	1604	1996-10-12	VYDAJ	PREVOD NA UCET	7088	23592	SIPO	CD	90369587
471308	1604	1996-11-12	VYDAJ	PREVOD NA UCET	7088	23819	SIPO	CD	90369587
471309	1604	1996-12-12	VYDAJ	PREVOD NA UCET	7088	28304	SIPO	CD	90369587
471310	1604	1997-01-12	VYDAJ	PREVOD NA UCET	7088	15719	SIPO	CD	90369587
471311	1604	1997-02-12	VYDAJ	PREVOD NA UCET	7088	16625	SIPO	CD	90369587
471312	1604	1997-03-12	VYDAJ	PREVOD NA UCET	7088	19377	SIPO	CD	90369587
471313	1604	1997-04-12	VYDAJ	PREVOD NA UCET	7088	20941	SIPO	CD	90369587
471314	1604	1997-05-12	VYDAJ	PREVOD NA UCET	7088	20369	SIPO	CD	90369587
471315	1604	1997-06-12	VYDAJ	PREVOD NA UCET	7088	22036	SIPO	CD	90369587
471316	1604	1997-07-12	VYDAJ	PREVOD NA UCET	7088	12633	SIPO	CD	90369587
471317	1604	1997-08-12	VYDAJ	PREVOD NA UCET	7088	17468	SIPO	CD	90369587
471318	1604	1997-09-12	VYDAJ	PREVOD NA UCET	7088	16308	SIPO	CD	90369587
471319	1604	1997-10-12	VYDAJ	PREVOD NA UCET	7088	21656	SIPO	CD	90369587
471320	1604	1997-11-12	VYDAJ	PREVOD NA UCET	7088	22023	SIPO	CD	90369587
471321	1604	1997-12-12	VYDAJ	PREVOD NA UCET	7088	26895	SIPO	CD	90369587
471322	1604	1998-01-12	VYDAJ	PREVOD NA UCET	7088	20944	SIPO	CD	90369587
471323	1604	1998-02-12	VYDAJ	PREVOD NA UCET	7088	18903	SIPO	CD	90369587
471324	1604	1998-03-12	VYDAJ	PREVOD NA UCET	7088	12393	SIPO	CD	90369587
471325	1604	1998-04-12	VYDAJ	PREVOD NA UCET	7088	16926	SIPO	CD	90369587
471326	1604	1998-05-12	VYDAJ	PREVOD NA UCET	7088	20674	SIPO	CD	90369587
471327	1604	1998-06-12	VYDAJ	PREVOD NA UCET	7088	18989	SIPO	CD	90369587
471328	1604	1998-07-12	VYDAJ	PREVOD NA UCET	7088	19783	SIPO	CD	90369587
471329	1604	1998-08-12	VYDAJ	PREVOD NA UCET	7088	24142	SIPO	CD	90369587
471330	1604	1998-09-12	VYDAJ	PREVOD NA UCET	7088	23886	SIPO	CD	90369587
471331	1604	1998-10-12	VYDAJ	PREVOD NA UCET	7088	27211	SIPO	CD	90369587
471332	1604	1998-11-12	VYDAJ	PREVOD NA UCET	7088	35204	SIPO	CD	90369587
471333	1604	1998-12-12	VYDAJ	PREVOD NA UCET	7088	38221	SIPO	CD	90369587
471335	1604	1994-06-08	VYDAJ	VYBER	20000	19705	\N	\N	\N
471337	1604	1996-06-15	VYDAJ	VYBER	24960	21830	\N	\N	\N
471338	1604	1997-06-19	VYDAJ	VYBER	28320	20318	\N	\N	\N
471342	1604	1995-01-05	VYDAJ	VYBER	4640	44405	\N	\N	\N
471343	1604	1996-01-05	VYDAJ	VYBER	3040	37256	\N	\N	\N
471344	1604	1997-01-12	VYDAJ	VYBER	12640	22807	\N	\N	\N
471347	1604	1994-12-03	VYDAJ	VYBER	1600	39634	\N	\N	\N
471348	1604	1995-12-16	VYDAJ	VYBER	2400	53582	\N	\N	\N
471349	1604	1996-12-23	VYDAJ	VYBER	4640	50266	\N	\N	\N
471350	1604	1997-12-28	VYDAJ	VYBER	2880	33877	\N	\N	\N
471351	1604	1998-12-15	VYDAJ	VYBER	3200	61623	\N	\N	\N
471364	1604	1995-01-17	VYDAJ	VYBER	1200	41332	\N	\N	\N
471365	1604	1995-01-10	VYDAJ	VYBER	960	33445	\N	\N	\N
471366	1604	1995-01-04	VYDAJ	VYBER	3120	49045	\N	\N	\N
471367	1604	1995-01-21	VYDAJ	VYBER	840	40492	\N	\N	\N
471368	1604	1995-01-27	VYDAJ	VYBER	1200	39292	\N	\N	\N
471369	1604	1995-01-17	VYDAJ	VYBER	1560	42532	\N	\N	\N
471370	1604	1996-01-01	VYDAJ	VYBER	1440	49696	\N	\N	\N
471371	1604	1996-01-07	VYDAJ	VYBER	1200	36056	\N	\N	\N
471372	1604	1996-01-15	VYDAJ	VYBER	1800	42863	\N	\N	\N
471373	1604	1996-01-24	VYDAJ	VYBER	2400	40463	\N	\N	\N
471374	1604	1996-01-01	VYDAJ	VYBER	2640	51136	\N	\N	\N
471375	1604	1996-01-15	VYDAJ	VYBER	1440	44663	\N	\N	\N
471376	1604	1997-01-30	VYDAJ	VYBER	2640	23594	\N	\N	\N
471377	1604	1997-01-14	VYDAJ	VYBER	2640	28774	\N	\N	\N
471378	1604	1997-01-29	VYDAJ	VYBER	1320	26234	\N	\N	\N
471379	1604	1997-01-23	VYDAJ	VYBER	720	28054	\N	\N	\N
471380	1604	1997-01-06	VYDAJ	VYBER	2400	35447	\N	\N	\N
471381	1604	1997-01-14	VYDAJ	VYBER	2040	31414	\N	\N	\N
471382	1604	1998-01-11	VYDAJ	VYBER	3480	28032	\N	\N	\N
471383	1604	1998-01-02	VYDAJ	VYBER	2520	31512	\N	\N	\N
471384	1604	1998-01-24	VYDAJ	VYBER	3120	25879	\N	\N	\N
471385	1604	1998-01-13	VYDAJ	VYBER	2160	18784	\N	\N	\N
471386	1604	1998-01-19	VYDAJ	VYBER	1200	33999	\N	\N	\N
471387	1604	1998-01-14	VYDAJ	VYBER	1320	35199	\N	\N	\N
471394	1604	1994-08-30	VYDAJ	VYBER	4800	35636	\N	\N	\N
471395	1604	1994-10-09	VYDAJ	VYBER	5880	39998	\N	\N	\N
471396	1604	1994-11-14	VYDAJ	VYBER	4200	41070	\N	\N	\N
471397	1604	1994-12-10	VYDAJ	VYBER	960	38674	\N	\N	\N
471398	1604	1994-08-14	VYDAJ	VYBER	1920	40436	\N	\N	\N
471400	1604	1995-02-08	VYDAJ	VYBER	2520	36931	\N	\N	\N
471401	1604	1995-05-26	VYDAJ	VYBER	1560	45619	\N	\N	\N
471402	1604	1996-02-20	VYDAJ	VYBER	840	41127	\N	\N	\N
471403	1604	1996-05-31	VYDAJ	VYBER	3000	35376	\N	\N	\N
471404	1604	1996-01-09	VYDAJ	VYBER	600	35456	\N	\N	\N
471405	1604	1996-10-13	VYDAJ	VYBER	1560	22032	\N	\N	\N
471406	1604	1996-07-20	VYDAJ	VYBER	4320	28057	\N	\N	\N
471407	1604	1996-03-01	VYDAJ	VYBER	5160	36119	\N	\N	\N
471408	1604	1997-08-14	VYDAJ	VYBER	1920	33283	\N	\N	\N
471409	1604	1997-04-15	VYDAJ	VYBER	840	37836	\N	\N	\N
471410	1604	1997-12-26	VYDAJ	VYBER	5640	36757	\N	\N	\N
471411	1604	1997-08-16	VYDAJ	VYBER	4680	28603	\N	\N	\N
471412	1604	1998-09-21	VYDAJ	VYBER	960	34781	\N	\N	\N
471413	1604	1998-09-13	VYDAJ	VYBER	5880	18006	\N	\N	\N
471414	1604	1998-06-29	VYDAJ	VYBER	5040	26751	\N	\N	\N
471415	1604	1998-05-21	VYDAJ	VYBER	3840	34569	\N	\N	\N
471416	1604	1998-02-17	VYDAJ	VYBER	4320	32318	\N	\N	\N
471417	1604	1998-08-13	VYDAJ	VYBER	4320	19822	\N	\N	\N
471418	1604	1998-03-01	VYDAJ	VYBER	5400	22721	\N	\N	\N
471419	1604	1998-03-05	VYDAJ	VYBER	3240	19481	\N	\N	\N
471437	1604	1994-05-31	VYDAJ	VYBER	15	39705	SLUZBY	\N	\N
471438	1604	1994-06-30	VYDAJ	VYBER	15	31543	SLUZBY	\N	\N
471439	1604	1994-07-31	VYDAJ	VYBER	15	32409	SLUZBY	\N	\N
471440	1604	1994-08-31	VYDAJ	VYBER	15	35773	SLUZBY	\N	\N
471441	1604	1994-09-30	VYDAJ	VYBER	15	45878	SLUZBY	\N	\N
471442	1604	1994-10-31	VYDAJ	VYBER	15	48023	SLUZBY	\N	\N
471443	1604	1994-11-30	VYDAJ	VYBER	15	41234	SLUZBY	\N	\N
471444	1604	1994-12-31	VYDAJ	VYBER	15	52165	SLUZBY	\N	\N
471445	1604	1995-01-31	VYDAJ	VYBER	15	39451	SLUZBY	\N	\N
471446	1604	1995-02-28	VYDAJ	VYBER	15	40220	SLUZBY	\N	\N
471447	1604	1995-03-31	VYDAJ	VYBER	15	42922	SLUZBY	\N	\N
471448	1604	1995-04-30	VYDAJ	VYBER	15	44532	SLUZBY	\N	\N
471449	1604	1995-05-31	VYDAJ	VYBER	15	45791	SLUZBY	\N	\N
471450	1604	1995-06-30	VYDAJ	VYBER	15	55900	SLUZBY	\N	\N
471451	1604	1995-07-31	VYDAJ	VYBER	15	51247	SLUZBY	\N	\N
471452	1604	1995-08-31	VYDAJ	VYBER	15	49282	SLUZBY	\N	\N
471453	1604	1995-09-30	VYDAJ	VYBER	15	47209	SLUZBY	\N	\N
471454	1604	1995-10-31	VYDAJ	VYBER	15	49739	SLUZBY	\N	\N
471455	1604	1995-11-30	VYDAJ	VYBER	15	47868	SLUZBY	\N	\N
471456	1604	1995-12-31	VYDAJ	VYBER	15	53776	SLUZBY	\N	\N
471457	1604	1996-01-31	VYDAJ	VYBER	15	40620	SLUZBY	\N	\N
471458	1604	1996-02-29	VYDAJ	VYBER	15	41279	SLUZBY	\N	\N
471459	1604	1996-03-31	VYDAJ	VYBER	15	37594	SLUZBY	\N	\N
471460	1604	1996-04-30	VYDAJ	VYBER	15	41286	SLUZBY	\N	\N
471461	1604	1996-05-31	VYDAJ	VYBER	15	38376	SLUZBY	\N	\N
471462	1604	1996-06-30	VYDAJ	VYBER	15	21930	SLUZBY	\N	\N
471463	1604	1996-07-31	VYDAJ	VYBER	15	28149	SLUZBY	\N	\N
471464	1604	1996-08-31	VYDAJ	VYBER	15	33105	SLUZBY	\N	\N
471465	1604	1996-09-30	VYDAJ	VYBER	15	37180	SLUZBY	\N	\N
471466	1604	1996-10-31	VYDAJ	VYBER	15	30907	SLUZBY	\N	\N
471467	1604	1996-11-30	VYDAJ	VYBER	15	41692	SLUZBY	\N	\N
471468	1604	1996-12-31	VYDAJ	VYBER	15	37847	SLUZBY	\N	\N
471469	1604	1997-01-31	VYDAJ	VYBER	15	23713	SLUZBY	\N	\N
471470	1604	1997-02-28	VYDAJ	VYBER	15	26465	SLUZBY	\N	\N
471471	1604	1997-03-31	VYDAJ	VYBER	15	28029	SLUZBY	\N	\N
471472	1604	1997-04-30	VYDAJ	VYBER	15	27457	SLUZBY	\N	\N
471473	1604	1997-05-31	VYDAJ	VYBER	15	29124	SLUZBY	\N	\N
471474	1604	1997-06-30	VYDAJ	VYBER	15	19721	SLUZBY	\N	\N
471475	1604	1997-07-31	VYDAJ	VYBER	15	24556	SLUZBY	\N	\N
471476	1604	1997-08-31	VYDAJ	VYBER	15	23396	SLUZBY	\N	\N
471477	1604	1997-09-30	VYDAJ	VYBER	15	28744	SLUZBY	\N	\N
471478	1604	1997-10-31	VYDAJ	VYBER	15	29111	SLUZBY	\N	\N
471479	1604	1997-11-30	VYDAJ	VYBER	15	33983	SLUZBY	\N	\N
471480	1604	1997-12-31	VYDAJ	VYBER	15	34032	SLUZBY	\N	\N
471481	1604	1998-01-31	VYDAJ	VYBER	15	25991	SLUZBY	\N	\N
471482	1604	1998-02-28	VYDAJ	VYBER	15	28121	SLUZBY	\N	\N
471483	1604	1998-03-31	VYDAJ	VYBER	15	24014	SLUZBY	\N	\N
471484	1604	1998-04-30	VYDAJ	VYBER	15	27762	SLUZBY	\N	\N
471485	1604	1998-05-31	VYDAJ	VYBER	15	26077	SLUZBY	\N	\N
471486	1604	1998-06-30	VYDAJ	VYBER	15	26871	SLUZBY	\N	\N
471487	1604	1998-07-31	VYDAJ	VYBER	15	31230	SLUZBY	\N	\N
471488	1604	1998-08-31	VYDAJ	VYBER	15	30974	SLUZBY	\N	\N
471489	1604	1998-09-30	VYDAJ	VYBER	15	34299	SLUZBY	\N	\N
471490	1604	1998-10-31	VYDAJ	VYBER	15	42292	SLUZBY	\N	\N
471491	1604	1998-11-30	VYDAJ	VYBER	15	45309	SLUZBY	\N	\N
471492	1604	1994-01-15	PRIJEM	VKLAD	5100	23735	\N	\N	\N
471493	1604	1994-02-14	VYDAJ	VYBER	6900	34624	\N	\N	\N
471494	1604	1994-03-16	VYDAJ	VYBER	15900	36582	\N	\N	\N
471495	1604	1994-04-15	VYDAJ	VYBER	16200	38266	\N	\N	\N
471496	1604	1994-05-15	VYDAJ	VYBER	16600	39557	\N	\N	\N
471497	1604	1994-06-14	VYDAJ	VYBER	7800	31419	\N	\N	\N
471498	1604	1994-07-14	VYDAJ	VYBER	9900	32290	\N	\N	\N
471499	1604	1994-08-13	VYDAJ	VYBER	700	24621	\N	\N	\N
471500	1604	1994-09-12	VYDAJ	VYBER	700	35073	\N	\N	\N
471501	1604	1994-10-12	VYDAJ	VYBER	2800	30110	\N	\N	\N
471502	1604	1994-11-11	VYDAJ	VYBER	13400	34623	\N	\N	\N
471503	1604	1994-12-11	VYDAJ	VYBER	6200	32474	\N	\N	\N
471504	1604	1995-01-10	VYDAJ	VYBER	10000	34405	\N	\N	\N
471505	1604	1995-02-09	VYDAJ	VYBER	7500	29431	\N	\N	\N
471506	1604	1995-03-11	VYDAJ	VYBER	8100	32120	\N	\N	\N
471507	1604	1995-04-10	VYDAJ	VYBER	9200	33722	\N	\N	\N
471508	1604	1995-05-10	VYDAJ	VYBER	8000	36532	\N	\N	\N
471509	1604	1995-06-09	VYDAJ	VYBER	9600	36191	\N	\N	\N
471510	1604	1995-07-09	VYDAJ	VYBER	15500	40400	\N	\N	\N
471511	1604	1995-08-08	VYDAJ	VYBER	12800	38447	\N	\N	\N
471512	1604	1995-09-07	VYDAJ	VYBER	12900	36382	\N	\N	\N
471513	1604	1995-10-07	VYDAJ	VYBER	8300	38909	\N	\N	\N
471514	1604	1995-11-06	VYDAJ	VYBER	12700	37039	\N	\N	\N
471515	1604	1995-12-06	VYDAJ	VYBER	11400	36468	\N	\N	\N
471516	1604	1996-01-05	VYDAJ	VYBER	9400	40296	\N	\N	\N
471517	1604	1996-02-04	VYDAJ	VYBER	9300	31320	\N	\N	\N
471518	1604	1996-03-05	VYDAJ	VYBER	9300	26819	\N	\N	\N
471519	1604	1996-04-04	VYDAJ	VYBER	7100	30494	\N	\N	\N
471520	1604	1996-05-04	VYDAJ	VYBER	13700	27586	\N	\N	\N
471521	1604	1996-06-03	VYDAJ	VYBER	8100	27276	\N	\N	\N
471522	1604	1996-07-03	VYDAJ	VYBER	200	21730	\N	\N	\N
471523	1604	1996-08-02	VYDAJ	VYBER	5800	22349	\N	\N	\N
471524	1604	1996-09-01	VYDAJ	VYBER	6700	26405	\N	\N	\N
471525	1604	1996-10-01	VYDAJ	VYBER	6500	30680	\N	\N	\N
471526	1604	1996-10-31	VYDAJ	VYBER	9000	30922	\N	\N	\N
471527	1604	1996-11-30	VYDAJ	VYBER	6300	35392	\N	\N	\N
471528	1604	1996-12-30	VYDAJ	VYBER	12600	37666	\N	\N	\N
471529	1604	1997-01-29	VYDAJ	VYBER	500	27554	\N	\N	\N
471530	1604	1997-02-28	VYDAJ	VYBER	8000	26479	\N	\N	\N
471531	1604	1997-03-30	VYDAJ	VYBER	9200	27912	\N	\N	\N
471532	1604	1997-04-29	VYDAJ	VYBER	10500	27336	\N	\N	\N
471533	1604	1997-05-29	VYDAJ	VYBER	9100	29004	\N	\N	\N
471534	1604	1997-06-28	VYDAJ	VYBER	700	19618	\N	\N	\N
471535	1604	1997-07-28	VYDAJ	VYBER	5900	24468	\N	\N	\N
471536	1604	1997-08-27	VYDAJ	VYBER	5300	23303	\N	\N	\N
471537	1604	1997-09-26	VYDAJ	VYBER	5400	28643	\N	\N	\N
471538	1604	1997-10-26	VYDAJ	VYBER	10400	28991	\N	\N	\N
471539	1604	1997-11-25	VYDAJ	VYBER	5900	33858	\N	\N	\N
471540	1604	1997-12-25	VYDAJ	VYBER	11100	42397	\N	\N	\N
471541	1604	1998-01-24	VYDAJ	VYBER	5000	28999	\N	\N	\N
471542	1604	1998-02-23	VYDAJ	VYBER	4300	28018	\N	\N	\N
471543	1604	1998-03-25	VYDAJ	VYBER	6200	23928	\N	\N	\N
471544	1604	1998-04-24	VYDAJ	VYBER	7000	27661	\N	\N	\N
471545	1604	1998-05-24	VYDAJ	VYBER	8600	25969	\N	\N	\N
471546	1604	1998-06-23	VYDAJ	VYBER	13800	31791	\N	\N	\N
471547	1604	1998-07-23	VYDAJ	VYBER	6400	31118	\N	\N	\N
471548	1604	1998-08-22	VYDAJ	VYBER	6700	30857	\N	\N	\N
471549	1604	1998-09-21	VYDAJ	VYBER	600	34181	\N	\N	\N
471550	1604	1998-10-21	VYDAJ	VYBER	2800	42146	\N	\N	\N
471551	1604	1998-11-20	VYDAJ	VYBER	7800	45139	\N	\N	\N
471612	1605	1993-12-16	PRIJEM	VKLAD	200	41389	\N	\N	\N
471614	1605	1993-12-16	PRIJEM	VKLAD	41189	41189	\N	\N	\N
471636	1605	1994-04-24	PRIJEM	VKLAD	10747	73973	\N	\N	\N
471637	1605	1994-01-21	PRIJEM	VKLAD	35097	114397	\N	\N	\N
471638	1605	1994-09-22	PRIJEM	VKLAD	48324	103980	\N	\N	\N
471639	1605	1994-01-19	PRIJEM	VKLAD	46622	79300	\N	\N	\N
471640	1605	1994-03-09	PRIJEM	VKLAD	47049	116602	\N	\N	\N
471641	1605	1994-09-12	PRIJEM	VKLAD	35079	87756	\N	\N	\N
471642	1605	1994-07-18	PRIJEM	VKLAD	32566	90351	\N	\N	\N
471643	1605	1994-10-18	PRIJEM	VKLAD	34395	94991	\N	\N	\N
471644	1605	1994-02-19	PRIJEM	VKLAD	23358	69274	\N	\N	\N
471645	1605	1994-06-12	PRIJEM	VKLAD	14032	67571	\N	\N	\N
471646	1605	1994-12-19	PRIJEM	VKLAD	42696	81681	\N	\N	\N
471647	1605	1994-11-13	PRIJEM	VKLAD	31560	91753	\N	\N	\N
471648	1605	1994-03-10	PRIJEM	VKLAD	6844	102546	\N	\N	\N
471649	1605	1994-06-30	PRIJEM	VKLAD	36488	84259	\N	\N	\N
471650	1605	1994-10-09	PRIJEM	VKLAD	29515	114696	\N	\N	\N
471651	1605	1994-04-15	PRIJEM	VKLAD	45344	99026	\N	\N	\N
471652	1605	1994-07-02	PRIJEM	VKLAD	17569	102038	\N	\N	\N
471653	1605	1994-04-24	PRIJEM	VKLAD	12998	86971	\N	\N	\N
471654	1605	1995-07-24	PRIJEM	VKLAD	10906	105283	\N	\N	\N
471655	1605	1995-01-08	PRIJEM	VKLAD	31226	110590	\N	\N	\N
471656	1605	1995-09-21	PRIJEM	VKLAD	44528	94499	\N	\N	\N
471657	1605	1995-07-19	PRIJEM	VKLAD	10585	71992	\N	\N	\N
471658	1605	1995-11-24	PRIJEM	VKLAD	9601	83273	\N	\N	\N
471659	1605	1995-02-13	PRIJEM	VKLAD	18823	50694	\N	\N	\N
471660	1605	1995-01-04	PRIJEM	VKLAD	16969	98917	\N	\N	\N
471661	1605	1995-09-02	PRIJEM	VKLAD	24159	89580	\N	\N	\N
471662	1605	1995-01-22	PRIJEM	VKLAD	11231	37621	\N	\N	\N
471663	1605	1995-11-17	PRIJEM	VKLAD	28608	108072	\N	\N	\N
471664	1605	1995-10-11	PRIJEM	VKLAD	16130	75452	\N	\N	\N
471665	1605	1995-12-08	PRIJEM	VKLAD	26490	81314	\N	\N	\N
471666	1605	1995-07-06	PRIJEM	VKLAD	31197	90107	\N	\N	\N
471667	1605	1995-07-24	PRIJEM	VKLAD	19205	94377	\N	\N	\N
471668	1605	1995-05-11	PRIJEM	VKLAD	29639	82580	\N	\N	\N
471669	1605	1995-04-07	PRIJEM	VKLAD	41242	78970	\N	\N	\N
471670	1605	1995-07-23	PRIJEM	VKLAD	12480	75172	\N	\N	\N
471671	1605	1995-11-14	PRIJEM	VKLAD	17445	79464	\N	\N	\N
471672	1605	1995-02-23	PRIJEM	VKLAD	28954	116510	\N	\N	\N
471673	1605	1995-04-13	PRIJEM	VKLAD	36531	88501	\N	\N	\N
471674	1605	1995-10-30	PRIJEM	VKLAD	28141	156040	\N	\N	\N
471675	1605	1995-06-24	PRIJEM	VKLAD	5857	62008	\N	\N	\N
471676	1605	1995-02-17	PRIJEM	VKLAD	36862	87556	\N	\N	\N
471677	1605	1995-10-23	PRIJEM	VKLAD	37431	146699	\N	\N	\N
471678	1605	1995-10-12	PRIJEM	VKLAD	33816	109268	\N	\N	\N
471679	1605	1996-03-21	PRIJEM	VKLAD	27481	100064	\N	\N	\N
471680	1605	1996-03-09	PRIJEM	VKLAD	21476	57240	\N	\N	\N
471681	1605	1996-06-13	PRIJEM	VKLAD	22722	76168	\N	\N	\N
471682	1605	1996-05-16	PRIJEM	VKLAD	14085	76779	\N	\N	\N
471683	1605	1996-05-11	PRIJEM	VKLAD	5186	34531	\N	\N	\N
471684	1605	1996-09-09	PRIJEM	VKLAD	27060	59143	\N	\N	\N
471685	1605	1996-03-27	PRIJEM	VKLAD	39104	125552	\N	\N	\N
471686	1605	1996-10-14	PRIJEM	VKLAD	36585	138468	\N	\N	\N
471687	1605	1996-01-20	PRIJEM	VKLAD	28258	111997	\N	\N	\N
471688	1605	1996-08-01	PRIJEM	VKLAD	14845	51903	\N	\N	\N
471689	1605	1996-03-09	PRIJEM	VKLAD	20443	77683	\N	\N	\N
471690	1605	1996-08-02	PRIJEM	VKLAD	15105	67008	\N	\N	\N
471691	1605	1996-05-14	PRIJEM	VKLAD	28163	62694	\N	\N	\N
471692	1605	1996-06-26	PRIJEM	VKLAD	43036	119204	\N	\N	\N
471693	1605	1996-11-17	PRIJEM	VKLAD	40589	71211	\N	\N	\N
471694	1605	1996-12-17	PRIJEM	VKLAD	29295	61036	\N	\N	\N
471695	1605	1996-01-07	PRIJEM	VKLAD	46759	98439	\N	\N	\N
471696	1605	1996-10-13	PRIJEM	VKLAD	38353	101883	\N	\N	\N
471697	1605	1996-10-12	PRIJEM	VKLAD	25032	63530	\N	\N	\N
471698	1605	1996-02-13	PRIJEM	VKLAD	38573	79294	\N	\N	\N
471699	1605	1997-11-08	PRIJEM	VKLAD	43079	108310	\N	\N	\N
471700	1605	1997-11-07	PRIJEM	VKLAD	10677	65231	\N	\N	\N
471701	1605	1997-10-08	PRIJEM	VKLAD	38689	96884	\N	\N	\N
471702	1605	1997-12-26	PRIJEM	VKLAD	39925	109195	\N	\N	\N
471703	1605	1997-03-21	PRIJEM	VKLAD	20691	86224	\N	\N	\N
471704	1605	1997-04-07	PRIJEM	VKLAD	46886	137956	\N	\N	\N
471705	1605	1997-11-11	PRIJEM	VKLAD	28867	137177	\N	\N	\N
471706	1605	1997-04-05	PRIJEM	VKLAD	35243	94423	\N	\N	\N
471707	1605	1997-06-07	PRIJEM	VKLAD	11992	61413	\N	\N	\N
471708	1605	1997-02-19	PRIJEM	VKLAD	44582	88939	\N	\N	\N
471709	1605	1997-02-11	PRIJEM	VKLAD	16969	44357	\N	\N	\N
471710	1605	1997-03-13	PRIJEM	VKLAD	7660	72133	\N	\N	\N
471711	1605	1997-03-09	PRIJEM	VKLAD	29222	64473	\N	\N	\N
471712	1605	1997-08-15	PRIJEM	VKLAD	23916	66433	\N	\N	\N
471713	1605	1997-12-04	PRIJEM	VKLAD	49336	112423	\N	\N	\N
471714	1605	1997-07-01	PRIJEM	VKLAD	14240	54835	\N	\N	\N
471715	1605	1997-09-26	PRIJEM	VKLAD	45948	88339	\N	\N	\N
471716	1605	1997-01-31	PRIJEM	VKLAD	16989	49383	\N	\N	\N
471717	1605	1997-07-17	PRIJEM	VKLAD	9886	61368	\N	\N	\N
471718	1605	1998-04-28	PRIJEM	VKLAD	19111	76545	\N	\N	\N
471719	1605	1998-11-23	PRIJEM	VKLAD	24277	96664	\N	\N	\N
471720	1605	1998-12-11	PRIJEM	VKLAD	31150	119063	\N	\N	\N
471721	1605	1998-12-03	PRIJEM	VKLAD	28857	125866	\N	\N	\N
471722	1605	1998-12-21	PRIJEM	VKLAD	38379	87942	\N	\N	\N
471723	1605	1998-01-21	PRIJEM	VKLAD	12989	109432	\N	\N	\N
471724	1605	1998-03-15	PRIJEM	VKLAD	22232	86671	\N	\N	\N
471725	1605	1998-08-12	PRIJEM	VKLAD	17719	42202	\N	\N	\N
471726	1605	1998-09-10	PRIJEM	VKLAD	20264	53379	\N	\N	\N
471727	1605	1998-04-03	PRIJEM	VKLAD	49159	82931	\N	\N	\N
471728	1605	1998-06-19	PRIJEM	VKLAD	25600	121364	\N	\N	\N
471729	1605	1998-04-16	PRIJEM	VKLAD	28561	113890	\N	\N	\N
471730	1605	1998-06-16	PRIJEM	VKLAD	32639	95764	\N	\N	\N
471731	1605	1998-04-08	PRIJEM	VKLAD	23649	88550	\N	\N	\N
471732	1605	1998-09-21	PRIJEM	VKLAD	49010	86059	\N	\N	\N
471733	1605	1998-10-19	PRIJEM	VKLAD	41193	141741	\N	\N	\N
471734	1605	1998-11-19	PRIJEM	VKLAD	28770	119687	\N	\N	\N
471735	1605	1998-08-21	PRIJEM	VKLAD	10838	53040	\N	\N	\N
471736	1605	1998-11-04	PRIJEM	VKLAD	41860	94270	\N	\N	\N
471737	1605	1998-01-03	PRIJEM	VKLAD	5186	114796	\N	\N	\N
471738	1605	1998-09-23	PRIJEM	VKLAD	49809	103668	\N	\N	\N
471739	1605	1998-03-04	PRIJEM	VKLAD	21119	67792	\N	\N	\N
471740	1605	1998-02-04	PRIJEM	VKLAD	7687	69889	\N	\N	\N
471741	1605	1998-04-14	PRIJEM	VKLAD	42379	116529	\N	\N	\N
471742	1605	1998-05-21	PRIJEM	VKLAD	22304	71780	\N	\N	\N
471743	1605	1998-06-11	PRIJEM	VKLAD	23399	63125	\N	\N	\N
471759	1605	1994-04-05	VYDAJ	PREVOD NA UCET	3353	53682	SIPO	EF	28789526
471760	1605	1994-05-05	VYDAJ	PREVOD NA UCET	3353	83912	SIPO	EF	28789526
471761	1605	1994-06-05	VYDAJ	PREVOD NA UCET	3353	53539	SIPO	EF	28789526
471762	1605	1994-07-05	VYDAJ	PREVOD NA UCET	3353	98685	SIPO	EF	28789526
471763	1605	1994-08-05	VYDAJ	PREVOD NA UCET	3353	87350	SIPO	EF	28789526
471764	1605	1994-09-05	VYDAJ	PREVOD NA UCET	3353	52677	SIPO	EF	28789526
471765	1605	1994-10-05	VYDAJ	PREVOD NA UCET	3353	85181	SIPO	EF	28789526
471766	1605	1994-11-05	VYDAJ	PREVOD NA UCET	3353	91993	SIPO	EF	28789526
471767	1605	1994-12-05	VYDAJ	PREVOD NA UCET	3353	65885	SIPO	EF	28789526
471768	1605	1995-01-05	VYDAJ	PREVOD NA UCET	3353	79364	SIPO	EF	28789526
471769	1605	1995-02-05	VYDAJ	PREVOD NA UCET	3353	32971	SIPO	EF	28789526
471770	1605	1995-03-05	VYDAJ	PREVOD NA UCET	3353	50208	SIPO	EF	28789526
471771	1605	1995-04-05	VYDAJ	PREVOD NA UCET	3353	37728	SIPO	EF	28789526
471772	1605	1995-05-05	VYDAJ	PREVOD NA UCET	3353	78541	SIPO	EF	28789526
471773	1605	1995-06-05	VYDAJ	PREVOD NA UCET	3353	79551	SIPO	EF	28789526
471774	1605	1995-07-05	VYDAJ	PREVOD NA UCET	3353	58910	SIPO	EF	28789526
471775	1605	1995-08-05	VYDAJ	PREVOD NA UCET	3353	102227	SIPO	EF	28789526
471776	1605	1995-09-05	VYDAJ	PREVOD NA UCET	3353	81127	SIPO	EF	28789526
471777	1605	1995-10-05	VYDAJ	PREVOD NA UCET	3353	86322	SIPO	EF	28789526
471778	1605	1995-11-05	VYDAJ	PREVOD NA UCET	3353	88319	SIPO	EF	28789526
471779	1605	1995-12-05	VYDAJ	PREVOD NA UCET	3353	80224	SIPO	EF	28789526
471780	1605	1996-01-05	VYDAJ	PREVOD NA UCET	3353	51680	SIPO	EF	28789526
471781	1605	1996-02-05	VYDAJ	PREVOD NA UCET	3353	40721	SIPO	EF	28789526
471782	1605	1996-03-05	VYDAJ	PREVOD NA UCET	3353	46493	SIPO	EF	28789526
471783	1605	1996-04-05	VYDAJ	PREVOD NA UCET	3353	46976	SIPO	EF	28789526
471784	1605	1996-05-05	VYDAJ	PREVOD NA UCET	3353	29345	SIPO	EF	28789526
471785	1605	1996-06-05	VYDAJ	PREVOD NA UCET	3353	53446	SIPO	EF	28789526
471786	1605	1996-07-05	VYDAJ	PREVOD NA UCET	3353	56353	SIPO	EF	28789526
471787	1605	1996-08-05	VYDAJ	PREVOD NA UCET	3353	45655	SIPO	EF	28789526
471788	1605	1996-09-05	VYDAJ	PREVOD NA UCET	3353	32083	SIPO	EF	28789526
471789	1605	1996-10-05	VYDAJ	PREVOD NA UCET	3353	38498	SIPO	EF	28789526
471790	1605	1996-11-05	VYDAJ	PREVOD NA UCET	3353	30622	SIPO	EF	28789526
471791	1605	1996-12-05	VYDAJ	PREVOD NA UCET	3353	39952	SIPO	EF	28789526
471792	1605	1997-01-05	VYDAJ	PREVOD NA UCET	3353	37258	SIPO	EF	28789526
471793	1605	1997-02-05	VYDAJ	PREVOD NA UCET	3353	27388	SIPO	EF	28789526
471794	1605	1997-03-05	VYDAJ	PREVOD NA UCET	3353	35251	SIPO	EF	28789526
471795	1605	1997-04-05	VYDAJ	PREVOD NA UCET	3353	91070	SIPO	EF	28789526
471796	1605	1997-05-05	VYDAJ	PREVOD NA UCET	3353	75287	SIPO	EF	28789526
471797	1605	1997-06-05	VYDAJ	PREVOD NA UCET	3353	49421	SIPO	EF	28789526
471798	1605	1997-07-05	VYDAJ	PREVOD NA UCET	3353	51482	SIPO	EF	28789526
471799	1605	1997-08-05	VYDAJ	PREVOD NA UCET	3353	42517	SIPO	EF	28789526
471800	1605	1997-09-05	VYDAJ	PREVOD NA UCET	3353	42391	SIPO	EF	28789526
471801	1605	1997-10-05	VYDAJ	PREVOD NA UCET	3353	62166	SIPO	EF	28789526
471802	1605	1997-11-05	VYDAJ	PREVOD NA UCET	3353	54554	SIPO	EF	28789526
471803	1605	1997-12-05	VYDAJ	PREVOD NA UCET	3353	109070	SIPO	EF	28789526
471804	1605	1998-01-05	VYDAJ	PREVOD NA UCET	3353	111443	SIPO	EF	28789526
471805	1605	1998-02-05	VYDAJ	PREVOD NA UCET	3353	66536	SIPO	EF	28789526
471806	1605	1998-03-05	VYDAJ	PREVOD NA UCET	3353	64439	SIPO	EF	28789526
471807	1605	1998-04-05	VYDAJ	PREVOD NA UCET	3353	64901	SIPO	EF	28789526
471808	1605	1998-05-05	VYDAJ	PREVOD NA UCET	3353	49476	SIPO	EF	28789526
471809	1605	1998-06-05	VYDAJ	PREVOD NA UCET	3353	39726	SIPO	EF	28789526
471810	1605	1998-07-05	VYDAJ	PREVOD NA UCET	3353	50361	SIPO	EF	28789526
471811	1605	1998-08-05	VYDAJ	PREVOD NA UCET	3353	24483	SIPO	EF	28789526
471812	1605	1998-09-05	VYDAJ	PREVOD NA UCET	3353	33115	SIPO	EF	28789526
471813	1605	1998-10-05	VYDAJ	PREVOD NA UCET	3353	100548	SIPO	EF	28789526
471814	1605	1998-11-05	VYDAJ	PREVOD NA UCET	3353	90917	SIPO	EF	28789526
471815	1605	1998-12-05	VYDAJ	PREVOD NA UCET	3353	87913	SIPO	EF	28789526
471830	1605	1994-11-20	VYBER	VYBER	13077	78676	\N	\N	\N
471831	1605	1994-11-29	VYBER	VYBER	9780	68896	\N	\N	\N
471832	1605	1994-09-29	VYBER	VYBER	15765	88215	\N	\N	\N
471834	1605	1995-09-15	VYBER	VYBER	6356	49971	\N	\N	\N
471835	1605	1996-12-09	VYBER	VYBER	8211	31741	\N	\N	\N
471836	1605	1996-02-26	VYBER	VYBER	17594	61700	\N	\N	\N
471837	1605	1996-10-30	VYBER	VYBER	21523	43845	\N	\N	\N
471838	1605	1996-03-08	VYBER	VYBER	10729	35764	\N	\N	\N
471839	1605	1996-04-23	VYBER	VYBER	15726	28832	\N	\N	\N
471840	1605	1996-04-14	VYBER	VYBER	2418	44558	\N	\N	\N
471841	1605	1996-03-21	VYBER	VYBER	13616	86448	\N	\N	\N
471842	1605	1997-02-05	VYBER	VYBER	16528	30741	\N	\N	\N
471844	1605	1997-01-03	VYBER	VYBER	2809	40611	\N	\N	\N
471845	1605	1997-02-25	VYBER	VYBER	24240	44016	\N	\N	\N
471846	1605	1997-10-20	VYBER	VYBER	9495	87389	\N	\N	\N
471847	1605	1997-02-23	VYBER	VYBER	20683	68256	\N	\N	\N
471849	1605	1997-06-25	VYBER	VYBER	10836	50577	\N	\N	\N
471850	1605	1997-10-07	VYBER	VYBER	3971	58195	\N	\N	\N
471851	1605	1998-05-02	VYBER	VYBER	17738	52829	\N	\N	\N
471852	1605	1998-12-26	VYBER	VYBER	18597	67245	\N	\N	\N
471853	1605	1998-07-22	VYBER	VYBER	15394	34967	\N	\N	\N
471854	1605	1998-04-03	VYBER	VYBER	14677	68254	\N	\N	\N
471855	1605	1998-04-18	VYBER	VYBER	19656	94234	\N	\N	\N
471856	1605	1998-12-30	VYBER	VYBER	17913	49332	\N	\N	\N
471858	1605	1998-04-01	VYBER	VYBER	18957	33772	\N	\N	\N
471859	1605	1998-09-16	VYBER	VYBER	16330	37049	\N	\N	\N
471860	1605	1998-11-01	VYBER	VYBER	2374	52410	\N	\N	\N
471868	1605	1994-12-13	VYDAJ	VYBER	4200	42285	\N	\N	\N
471869	1605	1995-12-07	VYDAJ	VYBER KARTOU	3300	54824	\N	\N	0
471870	1605	1996-12-02	VYDAJ	VYBER	6600	43305	\N	\N	\N
471871	1605	1997-12-03	VYDAJ	VYBER	7800	63087	\N	\N	\N
471872	1605	1998-12-04	VYDAJ	VYBER KARTOU	3300	91266	\N	\N	0
471885	1605	1995-01-20	VYDAJ	VYBER KARTOU	3300	30890	\N	\N	0
471886	1605	1995-01-05	VYDAJ	VYBER	7800	82717	\N	\N	\N
471887	1605	1995-01-28	VYDAJ	VYBER KARTOU	1500	36121	\N	\N	0
471888	1605	1995-01-16	VYDAJ	VYBER	6000	34190	\N	\N	\N
471889	1605	1995-01-21	VYDAJ	VYBER	4500	26390	\N	\N	\N
471890	1605	1995-01-04	VYDAJ	VYBER	8400	90517	\N	\N	\N
471891	1605	1996-01-15	VYDAJ	VYBER KARTOU	1800	93639	\N	\N	0
471892	1605	1996-01-16	VYDAJ	VYBER	4200	89439	\N	\N	\N
471893	1605	1996-01-10	VYDAJ	VYBER KARTOU	3000	95439	\N	\N	0
471894	1605	1996-01-04	VYDAJ	VYBER	4500	72933	\N	\N	\N
471895	1605	1996-01-03	VYDAJ	VYBER	4200	77433	\N	\N	\N
471896	1605	1996-01-18	VYDAJ	VYBER	5700	83739	\N	\N	\N
471899	1605	1997-01-10	VYDAJ	VYBER	8100	29158	\N	\N	\N
471903	1605	1998-01-22	VYDAJ	VYBER KARTOU	3900	105532	\N	\N	0
471904	1605	1998-01-29	VYDAJ	VYBER KARTOU	1500	64532	\N	\N	0
471905	1605	1998-01-30	VYDAJ	VYBER KARTOU	2700	61832	\N	\N	0
471906	1605	1998-01-16	VYDAJ	VYBER KARTOU	1800	96443	\N	\N	0
471907	1605	1998-01-08	VYDAJ	VYBER	5100	106343	\N	\N	\N
471908	1605	1998-01-10	VYDAJ	VYBER	8100	98243	\N	\N	\N
471913	1605	1994-08-28	VYDAJ	VYBER	2400	55750	\N	\N	\N
471914	1605	1994-03-30	VYDAJ	VYBER	1800	56746	\N	\N	\N
471915	1605	1994-07-14	VYDAJ	VYBER	12600	86085	\N	\N	\N
471916	1605	1994-12-16	VYDAJ	VYBER KARTOU	3300	38985	\N	\N	0
471917	1605	1994-03-30	VYDAJ	VYBER	3900	58546	\N	\N	\N
471919	1605	1995-09-05	VYDAJ	VYBER	5100	84480	\N	\N	\N
471920	1605	1995-07-22	VYDAJ	VYBER	9300	62692	\N	\N	\N
471921	1605	1995-05-02	VYDAJ	VYBER KARTOU	2700	81894	\N	\N	0
471922	1605	1995-04-27	VYDAJ	VYBER	4200	84301	\N	\N	\N
471923	1605	1995-09-24	VYDAJ	VYBER	5100	89399	\N	\N	\N
471924	1605	1996-07-28	VYDAJ	VYBER	10200	36853	\N	\N	\N
471925	1605	1996-07-12	VYDAJ	VYBER	9300	47053	\N	\N	\N
471926	1605	1996-04-04	VYDAJ	VYBER KARTOU	3000	50329	\N	\N	0
471927	1605	1996-03-13	VYDAJ	VYBER	5100	72583	\N	\N	\N
471928	1605	1996-10-17	VYDAJ	VYBER	10500	65368	\N	\N	\N
471929	1605	1997-11-01	VYDAJ	VYBER KARTOU	2700	57907	\N	\N	0
471930	1605	1997-09-01	VYDAJ	VYBER	6900	45744	\N	\N	\N
471931	1605	1997-03-20	VYDAJ	VYBER	6600	65533	\N	\N	\N
471932	1605	1997-05-21	VYDAJ	VYBER	8700	66587	\N	\N	\N
471933	1605	1997-02-02	VYDAJ	VYBER KARTOU	2100	47269	\N	\N	0
471934	1605	1998-10-20	VYDAJ	VYBER	9900	98141	\N	\N	\N
471935	1605	1998-05-23	VYDAJ	VYBER KARTOU	2100	69680	\N	\N	0
471936	1605	1998-12-25	VYDAJ	VYBER KARTOU	2100	85842	\N	\N	0
471937	1605	1998-04-28	VYDAJ	VYBER	6300	70245	\N	\N	\N
471938	1605	1998-04-08	VYDAJ	VYBER	14400	74150	\N	\N	\N
471955	1605	1994-03-31	VYDAJ	VYBER	15	57035	SLUZBY	\N	\N
471956	1605	1994-04-30	VYDAJ	VYBER	15	87265	SLUZBY	\N	\N
471957	1605	1994-05-31	VYDAJ	VYBER	15	56892	SLUZBY	\N	\N
471958	1605	1994-06-30	VYDAJ	VYBER	15	84469	SLUZBY	\N	\N
471959	1605	1994-07-31	VYDAJ	VYBER	15	90703	SLUZBY	\N	\N
471960	1605	1994-08-31	VYDAJ	VYBER	15	56030	SLUZBY	\N	\N
471961	1605	1994-09-30	VYDAJ	VYBER	15	88534	SLUZBY	\N	\N
471962	1605	1994-10-31	VYDAJ	VYBER	15	95346	SLUZBY	\N	\N
471963	1605	1994-11-30	VYDAJ	VYBER	15	69238	SLUZBY	\N	\N
471964	1605	1994-12-31	VYDAJ	VYBER	15	81948	SLUZBY	\N	\N
471965	1605	1995-01-31	VYDAJ	VYBER	15	36324	SLUZBY	\N	\N
471966	1605	1995-02-28	VYDAJ	VYBER	15	53561	SLUZBY	\N	\N
471967	1605	1995-03-31	VYDAJ	VYBER	15	41081	SLUZBY	\N	\N
471968	1605	1995-04-30	VYDAJ	VYBER	15	84594	SLUZBY	\N	\N
471969	1605	1995-05-31	VYDAJ	VYBER	15	82904	SLUZBY	\N	\N
471970	1605	1995-06-30	VYDAJ	VYBER	15	62263	SLUZBY	\N	\N
471971	1605	1995-07-31	VYDAJ	VYBER	15	105580	SLUZBY	\N	\N
471972	1605	1995-08-31	VYDAJ	VYBER	15	65421	SLUZBY	\N	\N
471973	1605	1995-09-30	VYDAJ	VYBER	15	89675	SLUZBY	\N	\N
471974	1605	1995-10-31	VYDAJ	VYBER	15	91672	SLUZBY	\N	\N
471975	1605	1995-11-30	VYDAJ	VYBER	15	83577	SLUZBY	\N	\N
471976	1605	1995-12-31	VYDAJ	VYBER	15	81633	SLUZBY	\N	\N
471977	1605	1996-01-31	VYDAJ	VYBER	15	54474	SLUZBY	\N	\N
471978	1605	1996-02-29	VYDAJ	VYBER	15	61946	SLUZBY	\N	\N
471979	1605	1996-03-31	VYDAJ	VYBER	15	66129	SLUZBY	\N	\N
471980	1605	1996-04-30	VYDAJ	VYBER	15	28998	SLUZBY	\N	\N
471981	1605	1996-05-31	VYDAJ	VYBER	15	76999	SLUZBY	\N	\N
471982	1605	1996-06-30	VYDAJ	VYBER	15	85506	SLUZBY	\N	\N
471983	1605	1996-07-31	VYDAJ	VYBER	15	37058	SLUZBY	\N	\N
471984	1605	1996-08-31	VYDAJ	VYBER	15	45836	SLUZBY	\N	\N
471985	1605	1996-09-30	VYDAJ	VYBER	15	59351	SLUZBY	\N	\N
471986	1605	1996-10-31	VYDAJ	VYBER	15	44075	SLUZBY	\N	\N
471987	1605	1996-11-30	VYDAJ	VYBER	15	71405	SLUZBY	\N	\N
471988	1605	1996-12-31	VYDAJ	VYBER	15	43420	SLUZBY	\N	\N
471989	1605	1997-01-31	VYDAJ	VYBER	15	49369	SLUZBY	\N	\N
471990	1605	1997-02-28	VYDAJ	VYBER	15	38604	SLUZBY	\N	\N
471991	1605	1997-03-31	VYDAJ	VYBER	15	59180	SLUZBY	\N	\N
471992	1605	1997-04-30	VYDAJ	VYBER	15	78640	SLUZBY	\N	\N
471993	1605	1997-05-31	VYDAJ	VYBER	15	52774	SLUZBY	\N	\N
471994	1605	1997-06-30	VYDAJ	VYBER	15	40595	SLUZBY	\N	\N
471995	1605	1997-07-31	VYDAJ	VYBER	15	45870	SLUZBY	\N	\N
471996	1605	1997-08-31	VYDAJ	VYBER	15	52644	SLUZBY	\N	\N
471997	1605	1997-09-30	VYDAJ	VYBER	15	65519	SLUZBY	\N	\N
471998	1605	1997-10-31	VYDAJ	VYBER	15	60607	SLUZBY	\N	\N
471999	1605	1997-11-30	VYDAJ	VYBER	15	70887	SLUZBY	\N	\N
472000	1605	1997-12-31	VYDAJ	VYBER	15	109610	SLUZBY	\N	\N
472001	1605	1998-01-31	VYDAJ	VYBER	15	62202	SLUZBY	\N	\N
472002	1605	1998-02-28	VYDAJ	VYBER	15	46673	SLUZBY	\N	\N
472003	1605	1998-03-31	VYDAJ	VYBER	15	52729	SLUZBY	\N	\N
472004	1605	1998-04-30	VYDAJ	VYBER	15	70567	SLUZBY	\N	\N
472005	1605	1998-05-31	VYDAJ	VYBER	15	43079	SLUZBY	\N	\N
472006	1605	1998-06-30	VYDAJ	VYBER	15	53714	SLUZBY	\N	\N
472007	1605	1998-07-31	VYDAJ	VYBER	15	27836	SLUZBY	\N	\N
472008	1605	1998-08-31	VYDAJ	VYBER	15	36468	SLUZBY	\N	\N
472009	1605	1998-09-30	VYDAJ	VYBER	15	103901	SLUZBY	\N	\N
472010	1605	1998-10-31	VYDAJ	VYBER	15	54784	SLUZBY	\N	\N
472011	1605	1998-11-30	VYDAJ	VYBER	15	97009	SLUZBY	\N	\N
472012	1605	1994-01-15	VYDAJ	VYBER	8800	32678	\N	\N	\N
472013	1605	1994-01-21	VYDAJ	VYBER	48700	65697	\N	\N	\N
472014	1605	1994-02-14	VYDAJ	VYBER	20000	45916	\N	\N	\N
472015	1605	1994-03-09	VYDAJ	VYBER	20900	95702	\N	\N	\N
472016	1605	1994-03-16	VYDAJ	VYBER	40100	62446	\N	\N	\N
472017	1605	1994-04-15	VYDAJ	VYBER	35800	63226	\N	\N	\N
472018	1605	1994-05-15	VYDAJ	VYBER	27300	56612	\N	\N	\N
472019	1605	1994-06-14	VYDAJ	VYBER	19800	47771	\N	\N	\N
472020	1605	1994-07-14	VYDAJ	VYBER	28300	57785	\N	\N	\N
472021	1605	1994-08-13	VYDAJ	VYBER	29200	58150	\N	\N	\N
472022	1605	1994-09-12	VYDAJ	VYBER	32100	55656	\N	\N	\N
472023	1605	1994-10-09	VYDAJ	VYBER	23600	91096	\N	\N	\N
472024	1605	1994-10-12	VYDAJ	VYBER	30500	60596	\N	\N	\N
472025	1605	1994-11-11	VYDAJ	VYBER	31800	60193	\N	\N	\N
472026	1605	1994-12-11	VYDAJ	VYBER	19400	46485	\N	\N	\N
472027	1605	1995-01-08	VYDAJ	VYBER	61700	48890	\N	\N	\N
472028	1605	1995-01-10	VYDAJ	VYBER	8700	40190	\N	\N	\N
472029	1605	1995-02-09	VYDAJ	VYBER KARTOU	1100	31871	\N	\N	0
472030	1605	1995-02-23	VYDAJ	VYBER	63200	53310	\N	\N	\N
472031	1605	1995-03-11	VYDAJ	VYBER	9300	40908	\N	\N	\N
472032	1605	1995-04-10	VYDAJ	VYBER	27000	51970	\N	\N	\N
472033	1605	1995-05-10	VYDAJ	VYBER	25600	52941	\N	\N	\N
472034	1605	1995-06-09	VYDAJ	VYBER	23400	56151	\N	\N	\N
472035	1605	1995-07-09	VYDAJ	VYBER	28700	61407	\N	\N	\N
472036	1605	1995-08-08	VYDAJ	VYBER	37100	65127	\N	\N	\N
472037	1605	1995-09-07	VYDAJ	VYBER	24800	56327	\N	\N	\N
472038	1605	1995-10-07	VYDAJ	VYBER	27000	59322	\N	\N	\N
472039	1605	1995-10-23	VYDAJ	VYBER	18800	127899	\N	\N	\N
472040	1605	1995-10-30	VYDAJ	VYBER	64800	91240	\N	\N	\N
472041	1605	1995-11-06	VYDAJ	VYBER	26300	62019	\N	\N	\N
472042	1605	1995-11-17	VYDAJ	VYBER	34400	73672	\N	\N	\N
472043	1605	1995-12-06	VYDAJ	VYBER	22100	58124	\N	\N	\N
472044	1605	1996-01-05	VYDAJ	VYBER	17900	55033	\N	\N	\N
472045	1605	1996-01-31	VYDAJ	VYBER	57900	54489	\N	\N	\N
472046	1605	1996-02-04	VYDAJ	VYBER	10400	44074	\N	\N	\N
472047	1605	1996-03-05	VYDAJ	VYBER	12100	49846	\N	\N	\N
472048	1605	1996-03-27	VYDAJ	VYBER	59700	65852	\N	\N	\N
472049	1605	1996-04-04	VYDAJ	VYBER	12800	53329	\N	\N	\N
472050	1605	1996-05-04	PRIJEM	VKLAD	3700	32698	\N	\N	\N
472051	1605	1996-06-03	VYDAJ	VYBER	20200	56799	\N	\N	\N
472052	1605	1996-06-26	VYDAJ	VYBER	34000	85204	\N	\N	\N
472053	1605	1996-07-03	VYDAJ	VYBER	25800	59706	\N	\N	\N
472054	1605	1996-08-02	VYDAJ	VYBER	18000	49008	\N	\N	\N
472055	1605	1996-09-01	VYDAJ	VYBER	10400	35436	\N	\N	\N
472056	1605	1996-10-01	VYDAJ	VYBER	17500	41851	\N	\N	\N
472057	1605	1996-10-14	VYDAJ	VYBER	62600	75868	\N	\N	\N
472058	1605	1996-10-31	VYDAJ	VYBER	10100	33975	\N	\N	\N
472059	1605	1996-11-30	VYDAJ	VYBER	21500	49905	\N	\N	\N
472060	1605	1996-12-30	VYDAJ	VYBER	17800	43236	\N	\N	\N
472061	1605	1997-01-29	PRIJEM	VKLAD	3100	32258	\N	\N	\N
472062	1605	1997-02-28	VYDAJ	VYBER	5600	38619	\N	\N	\N
472063	1605	1997-03-30	VYDAJ	VYBER	27300	58924	\N	\N	\N
472064	1605	1997-04-07	VYDAJ	VYBER	20300	117656	\N	\N	\N
472065	1605	1997-04-29	VYDAJ	VYBER	39500	78156	\N	\N	\N
472066	1605	1997-05-29	VYDAJ	VYBER	14100	52487	\N	\N	\N
472067	1605	1997-06-28	VYDAJ	VYBER	10200	40377	\N	\N	\N
472068	1605	1997-07-28	VYDAJ	VYBER	15700	45668	\N	\N	\N
472069	1605	1997-08-27	VYDAJ	VYBER	14000	52433	\N	\N	\N
472070	1605	1997-09-26	VYDAJ	VYBER	23000	65339	\N	\N	\N
472071	1605	1997-10-26	VYDAJ	VYBER	27100	60289	\N	\N	\N
472072	1605	1997-11-11	VYDAJ	VYBER	32200	104977	\N	\N	\N
472073	1605	1997-11-25	VYDAJ	VYBER	34500	70477	\N	\N	\N
472074	1605	1997-12-25	VYDAJ	VYBER	39800	69270	\N	\N	\N
472075	1605	1998-01-24	VYDAJ	VYBER	39500	66032	\N	\N	\N
472076	1605	1998-02-23	VYDAJ	VYBER	20100	46436	\N	\N	\N
472077	1605	1998-03-25	VYDAJ	VYBER	34200	52471	\N	\N	\N
472078	1605	1998-04-14	VYDAJ	VYBER	31200	85329	\N	\N	\N
472079	1605	1998-04-24	VYDAJ	VYBER	36800	57434	\N	\N	\N
472080	1605	1998-05-24	VYDAJ	VYBER	26800	42880	\N	\N	\N
472081	1605	1998-06-19	VYDAJ	VYBER	30800	90564	\N	\N	\N
472082	1605	1998-06-23	VYDAJ	VYBER	37100	53464	\N	\N	\N
472083	1605	1998-07-23	VYDAJ	VYBER	7300	27667	\N	\N	\N
472084	1605	1998-08-22	VYDAJ	VYBER	16700	36340	\N	\N	\N
472085	1605	1998-09-21	VYDAJ	VYBER	32200	53859	\N	\N	\N
472086	1605	1998-10-19	VYDAJ	VYBER	33700	108041	\N	\N	\N
472087	1605	1998-10-21	VYDAJ	VYBER	43700	54441	\N	\N	\N
472088	1605	1998-11-20	VYDAJ	VYBER	47300	72387	\N	\N	\N
472089	1605	1998-12-03	VYDAJ	VYBER	31300	94566	\N	\N	\N
472090	1605	1998-12-11	VYDAJ	VYBER	47800	71263	\N	\N	\N
472091	1605	1998-12-20	VYDAJ	VYBER	21700	49563	\N	\N	\N
472153	1606	1996-03-07	PRIJEM	VKLAD	300	300	\N	\N	\N
472154	1606	1996-03-19	PRIJEM	VKLAD	39516	40916	\N	\N	\N
472155	1606	1996-06-09	PRIJEM	VKLAD	5679	36571	\N	\N	\N
472156	1606	1997-04-08	PRIJEM	VKLAD	30358	64049	\N	\N	\N
472157	1606	1997-05-16	PRIJEM	VKLAD	23409	75780	\N	\N	\N
472158	1606	1998-11-25	PRIJEM	VKLAD	35265	80257	\N	\N	\N
472159	1606	1998-04-11	PRIJEM	VKLAD	19591	66746	\N	\N	\N
472162	1606	1996-03-17	PRIJEM	VKLAD	1100	1400	\N	\N	\N
472163	1606	1996-04-13	PRIJEM	VKLAD	1100	36688	\N	\N	\N
472164	1606	1996-05-17	PRIJEM	VKLAD	1100	32548	\N	\N	\N
472165	1606	1996-06-16	PRIJEM	VKLAD	1100	37671	\N	\N	\N
472166	1606	1996-07-13	PRIJEM	VKLAD	1100	30807	\N	\N	\N
472167	1606	1996-08-15	PRIJEM	VKLAD	1100	31827	\N	\N	\N
472168	1606	1996-09-13	PRIJEM	VKLAD	1100	32396	\N	\N	\N
472169	1606	1996-10-15	PRIJEM	VKLAD	1100	34018	\N	\N	\N
472170	1606	1996-11-14	PRIJEM	VKLAD	1100	36846	\N	\N	\N
472171	1606	1996-12-14	PRIJEM	VKLAD	1100	35133	\N	\N	\N
472172	1606	1997-01-15	PRIJEM	VKLAD	1100	22319	\N	\N	\N
472173	1606	1997-02-14	PRIJEM	VKLAD	1100	30518	\N	\N	\N
472174	1606	1997-03-15	PRIJEM	VKLAD	1100	33426	\N	\N	\N
472175	1606	1997-04-17	PRIJEM	VKLAD	1100	65149	\N	\N	\N
472176	1606	1997-05-13	PRIJEM	VKLAD	1100	52371	\N	\N	\N
472177	1606	1997-06-14	PRIJEM	VKLAD	1100	56951	\N	\N	\N
472178	1606	1997-07-14	PRIJEM	VKLAD	1100	43720	\N	\N	\N
472179	1606	1997-08-14	PRIJEM	VKLAD	1100	44283	\N	\N	\N
472180	1606	1997-09-16	PRIJEM	VKLAD	1100	45254	\N	\N	\N
472181	1606	1997-10-17	PRIJEM	VKLAD	1100	47774	\N	\N	\N
472182	1606	1997-11-15	PRIJEM	VKLAD	1100	49457	\N	\N	\N
472183	1606	1997-12-13	PRIJEM	VKLAD	1100	51045	\N	\N	\N
472184	1606	1998-01-17	PRIJEM	VKLAD	1100	38192	\N	\N	\N
472185	1606	1998-02-16	PRIJEM	VKLAD	1100	43001	\N	\N	\N
472186	1606	1998-03-13	PRIJEM	VKLAD	1100	49769	\N	\N	\N
472187	1606	1998-04-15	PRIJEM	VKLAD	1100	67846	\N	\N	\N
472188	1606	1998-05-15	PRIJEM	VKLAD	1100	62981	\N	\N	\N
472189	1606	1998-06-16	PRIJEM	VKLAD	1100	26767	\N	\N	\N
472190	1606	1998-07-16	PRIJEM	VKLAD	1100	34465	\N	\N	\N
472191	1606	1998-08-14	PRIJEM	VKLAD	1100	42595	\N	\N	\N
472192	1606	1998-09-16	PRIJEM	VKLAD	1100	41752	\N	\N	\N
472193	1606	1998-10-15	PRIJEM	VKLAD	1100	47214	\N	\N	\N
472194	1606	1998-11-14	PRIJEM	VKLAD	1100	48992	\N	\N	\N
472195	1606	1998-12-13	PRIJEM	VKLAD	1100	78767	\N	\N	\N
472196	1606	1996-07-18	PRIJEM	VKLAD	1200	32007	\N	\N	\N
472197	1606	1996-08-18	PRIJEM	VKLAD	1200	33027	\N	\N	\N
472198	1606	1996-09-18	PRIJEM	VKLAD	1200	33596	\N	\N	\N
472199	1606	1996-10-18	PRIJEM	VKLAD	1200	35218	\N	\N	\N
472200	1606	1996-11-18	PRIJEM	VKLAD	1200	38046	\N	\N	\N
472201	1606	1996-12-18	PRIJEM	VKLAD	1200	36333	\N	\N	\N
472203	1606	1997-06-26	VYDAJ	VYBER	3100	53851	\N	\N	\N
472204	1606	1998-06-01	VYDAJ	VYBER	28700	26417	\N	\N	\N
472206	1606	1997-01-09	VYDAJ	VYBER	3900	31269	\N	\N	\N
472207	1606	1998-01-20	VYDAJ	VYBER	1700	36492	\N	\N	\N
472209	1606	1997-06-27	VYDAJ	VYBER	17600	36251	\N	\N	\N
472210	1606	1998-06-18	VYDAJ	VYBER	9700	17067	\N	\N	\N
472212	1606	1997-01-13	VYDAJ	VYBER	8100	21219	\N	\N	\N
472213	1606	1998-01-13	VYDAJ	VYBER	7500	38392	\N	\N	\N
472214	1606	1996-12-12	VYDAJ	VYBER	1900	34033	\N	\N	\N
472215	1606	1997-12-02	VYDAJ	VYBER	1200	49945	\N	\N	\N
472216	1606	1998-12-02	VYDAJ	VYBER	2800	77667	\N	\N	\N
472223	1606	1997-01-25	VYDAJ	VYBER	1300	19969	\N	\N	\N
472224	1606	1997-01-09	VYDAJ	VYBER	300	35169	\N	\N	\N
472225	1606	1997-01-29	VYDAJ	VYBER	600	19369	\N	\N	\N
472226	1606	1997-01-10	VYDAJ	VYBER	1350	29919	\N	\N	\N
472227	1606	1997-01-22	VYDAJ	VYBER	1050	21269	\N	\N	\N
472228	1606	1997-01-13	VYDAJ	VYBER	600	29319	\N	\N	\N
472229	1606	1998-01-05	VYDAJ	VYBER	1250	45892	\N	\N	\N
472230	1606	1998-01-02	VYDAJ	VYBER	750	47142	\N	\N	\N
472231	1606	1998-01-26	VYDAJ	VYBER	400	43642	\N	\N	\N
472232	1606	1998-01-23	VYDAJ	VYBER	1250	35242	\N	\N	\N
472233	1606	1998-01-13	VYDAJ	VYBER	1300	37092	\N	\N	\N
472234	1606	1998-01-02	VYDAJ	VYBER	1400	47892	\N	\N	\N
472236	1606	1996-07-06	VYDAJ	VYBER	2100	30307	\N	\N	\N
472238	1606	1996-09-12	VYDAJ	VYBER	950	31296	\N	\N	\N
472239	1606	1996-11-25	VYDAJ	VYBER	1650	36396	\N	\N	\N
472240	1606	1996-07-10	VYDAJ	VYBER	600	29707	\N	\N	\N
472241	1606	1996-08-26	VYDAJ	VYBER	1600	31427	\N	\N	\N
472242	1606	1997-01-30	VYDAJ	VYBER	1650	17719	\N	\N	\N
472243	1606	1997-10-10	VYDAJ	VYBER	550	46674	\N	\N	\N
472244	1606	1997-05-18	VYDAJ	VYBER	2400	73380	\N	\N	\N
472245	1606	1997-03-19	VYDAJ	VYBER	2250	31176	\N	\N	\N
472246	1606	1997-12-27	VYDAJ	VYBER	2350	49095	\N	\N	\N
472247	1606	1997-08-13	VYDAJ	VYBER	2200	43183	\N	\N	\N
472248	1606	1998-06-03	VYDAJ	VYBER	750	25667	\N	\N	\N
472249	1606	1998-04-05	VYDAJ	VYBER	700	47155	\N	\N	\N
472250	1606	1998-09-08	VYDAJ	VYBER	900	40652	\N	\N	\N
472251	1606	1998-02-17	VYDAJ	VYBER	900	42101	\N	\N	\N
472252	1606	1998-03-26	VYDAJ	VYBER	1900	47869	\N	\N	\N
472253	1606	1998-02-01	VYDAJ	VYBER	1900	41901	\N	\N	\N
472254	1606	1998-02-27	VYDAJ	VYBER	300	48501	\N	\N	\N
472261	1606	1996-06-30	VYDAJ	VYBER	15	37807	SLUZBY	\N	\N
472262	1606	1996-07-31	VYDAJ	VYBER	15	32127	SLUZBY	\N	\N
472263	1606	1996-08-31	VYDAJ	VYBER	15	31546	SLUZBY	\N	\N
472264	1606	1996-09-30	VYDAJ	VYBER	15	33718	SLUZBY	\N	\N
472265	1606	1996-10-31	VYDAJ	VYBER	15	35346	SLUZBY	\N	\N
472266	1606	1996-11-30	VYDAJ	VYBER	15	36533	SLUZBY	\N	\N
472267	1606	1996-12-31	VYDAJ	VYBER	15	36469	SLUZBY	\N	\N
472268	1606	1997-01-31	VYDAJ	VYBER	15	29418	SLUZBY	\N	\N
472269	1606	1997-02-28	VYDAJ	VYBER	15	30626	SLUZBY	\N	\N
472270	1606	1997-03-31	VYDAJ	VYBER	15	31291	SLUZBY	\N	\N
472271	1606	1997-04-30	VYDAJ	VYBER	15	65371	SLUZBY	\N	\N
472272	1606	1997-05-31	VYDAJ	VYBER	15	73651	SLUZBY	\N	\N
472273	1606	1997-06-30	VYDAJ	VYBER	15	42620	SLUZBY	\N	\N
472274	1606	1997-07-31	VYDAJ	VYBER	15	45383	SLUZBY	\N	\N
472275	1606	1997-08-31	VYDAJ	VYBER	15	44154	SLUZBY	\N	\N
472276	1606	1997-09-30	VYDAJ	VYBER	15	47224	SLUZBY	\N	\N
472277	1606	1997-10-31	VYDAJ	VYBER	15	48357	SLUZBY	\N	\N
472278	1606	1997-11-30	VYDAJ	VYBER	15	51145	SLUZBY	\N	\N
472279	1606	1997-12-31	VYDAJ	VYBER	15	49292	SLUZBY	\N	\N
472280	1606	1998-01-31	VYDAJ	VYBER	15	43801	SLUZBY	\N	\N
472281	1606	1998-02-28	VYDAJ	VYBER	15	48669	SLUZBY	\N	\N
472282	1606	1998-03-31	VYDAJ	VYBER	15	47855	SLUZBY	\N	\N
472283	1606	1998-04-30	VYDAJ	VYBER	15	61881	SLUZBY	\N	\N
472284	1606	1998-05-31	VYDAJ	VYBER	15	55117	SLUZBY	\N	\N
472285	1606	1998-06-30	VYDAJ	VYBER	15	33365	SLUZBY	\N	\N
472286	1606	1998-07-31	VYDAJ	VYBER	15	41495	SLUZBY	\N	\N
472287	1606	1998-08-31	VYDAJ	VYBER	15	41552	SLUZBY	\N	\N
472288	1606	1998-09-30	VYDAJ	VYBER	15	46114	SLUZBY	\N	\N
472289	1606	1998-10-31	VYDAJ	VYBER	15	47892	SLUZBY	\N	\N
472290	1606	1998-11-30	VYDAJ	VYBER	15	80467	SLUZBY	\N	\N
472291	1606	1996-04-06	VYDAJ	VYBER	5400	35588	\N	\N	\N
472292	1606	1996-05-06	VYDAJ	VYBER	5400	31448	\N	\N	\N
472293	1606	1996-06-05	VYDAJ	VYBER	1800	30892	\N	\N	\N
472294	1606	1996-07-05	VYDAJ	VYBER	5400	32407	\N	\N	\N
472295	1606	1996-08-04	VYDAJ	VYBER	1400	30727	\N	\N	\N
472296	1606	1996-09-03	PRIJEM	VKLAD	700	32246	\N	\N	\N
472297	1606	1996-10-03	VYDAJ	VYBER	800	32918	\N	\N	\N
472298	1606	1996-11-02	PRIJEM	VKLAD	400	35746	\N	\N	\N
472299	1606	1996-12-02	VYDAJ	VYBER	600	35933	\N	\N	\N
472300	1606	1997-01-01	VYDAJ	VYBER	1000	35469	\N	\N	\N
472301	1606	1997-01-31	PRIJEM	VKLAD	11600	29432	\N	\N	\N
472302	1606	1997-03-02	PRIJEM	VKLAD	1700	32326	\N	\N	\N
472303	1606	1997-04-01	PRIJEM	VKLAD	2400	33691	\N	\N	\N
472304	1606	1997-05-01	VYDAJ	VYBER	14100	51271	\N	\N	\N
472305	1606	1997-05-31	VYDAJ	VYBER	17800	55851	\N	\N	\N
472306	1606	1997-06-30	PRIJEM	VKLAD	6100	42634	\N	\N	\N
472307	1606	1997-07-30	PRIJEM	VKLAD	1500	45220	\N	\N	\N
472308	1606	1997-08-29	VYDAJ	VYBER	300	43983	\N	\N	\N
472309	1606	1997-09-28	PRIJEM	VKLAD	1800	47054	\N	\N	\N
472310	1606	1997-10-28	PRIJEM	VKLAD	400	48174	\N	\N	\N
472311	1606	1997-11-27	PRIJEM	VKLAD	1500	50957	\N	\N	\N
472312	1606	1997-12-27	PRIJEM	VKLAD	400	51445	\N	\N	\N
472313	1606	1998-01-26	PRIJEM	VKLAD	8800	44042	\N	\N	\N
472314	1606	1998-02-25	PRIJEM	VKLAD	6700	48801	\N	\N	\N
472315	1606	1998-03-27	VYDAJ	VYBER	200	47669	\N	\N	\N
472316	1606	1998-04-26	VYDAJ	VYBER	6200	61646	\N	\N	\N
472317	1606	1998-05-26	VYDAJ	VYBER	8100	54881	\N	\N	\N
472318	1606	1998-06-25	PRIJEM	VKLAD	16200	33267	\N	\N	\N
472319	1606	1998-07-25	PRIJEM	VKLAD	6900	41365	\N	\N	\N
472320	1606	1998-08-24	VYDAJ	VYBER	1200	41395	\N	\N	\N
472321	1606	1998-09-23	PRIJEM	VKLAD	4200	45952	\N	\N	\N
472322	1606	1998-10-23	PRIJEM	VKLAD	500	47714	\N	\N	\N
472323	1606	1998-11-22	VYDAJ	VYBER	4000	44992	\N	\N	\N
472358	1607	1996-04-20	PRIJEM	VKLAD	800	800	\N	\N	\N
472363	1607	1996-05-06	PRIJEM	VKLAD	23294	24094	\N	\N	\N
472364	1607	1996-06-06	PRIJEM	VKLAD	34941	57271	\N	\N	\N
472365	1607	1996-07-06	PRIJEM	VKLAD	23294	63488	\N	\N	\N
472366	1607	1996-08-06	PRIJEM	VKLAD	23294	67656	\N	\N	\N
472367	1607	1996-09-06	PRIJEM	VKLAD	23294	71842	\N	\N	\N
472368	1607	1996-10-06	PRIJEM	VKLAD	23294	67862	\N	\N	\N
472369	1607	1996-11-06	PRIJEM	VKLAD	23294	65372	\N	\N	\N
472370	1607	1996-12-06	PRIJEM	VKLAD	34941	76045	\N	\N	\N
472371	1607	1997-01-06	PRIJEM	VKLAD	23294	68688	\N	\N	\N
472372	1607	1997-02-06	PRIJEM	VKLAD	23294	57016	\N	\N	\N
472373	1607	1997-03-06	PRIJEM	VKLAD	23294	59683	\N	\N	\N
472374	1607	1997-04-06	PRIJEM	VKLAD	23294	61764	\N	\N	\N
472375	1607	1997-05-06	PRIJEM	VKLAD	23294	62549	\N	\N	\N
472376	1607	1997-06-06	PRIJEM	VKLAD	34941	73480	\N	\N	\N
472377	1607	1997-07-06	PRIJEM	VKLAD	23294	63973	\N	\N	\N
472378	1607	1997-08-06	PRIJEM	VKLAD	23294	61784	\N	\N	\N
472379	1607	1997-09-06	PRIJEM	VKLAD	23294	56754	\N	\N	\N
472380	1607	1997-10-06	PRIJEM	VKLAD	23294	51804	\N	\N	\N
472381	1607	1997-11-06	PRIJEM	VKLAD	23294	51645	\N	\N	\N
472382	1607	1997-12-06	PRIJEM	VKLAD	34941	62539	\N	\N	\N
472383	1607	1998-01-06	PRIJEM	VKLAD	23294	50934	\N	\N	\N
472384	1607	1998-02-06	PRIJEM	VKLAD	23294	46355	\N	\N	\N
472385	1607	1998-03-06	PRIJEM	VKLAD	23294	44273	\N	\N	\N
472386	1607	1998-04-06	PRIJEM	VKLAD	23294	43683	\N	\N	\N
472387	1607	1998-05-06	PRIJEM	VKLAD	23294	48307	\N	\N	\N
472388	1607	1998-06-06	PRIJEM	VKLAD	34941	54233	\N	\N	\N
472389	1607	1998-07-06	PRIJEM	VKLAD	23294	45718	\N	\N	\N
472390	1607	1998-08-06	PRIJEM	VKLAD	23294	45750	\N	\N	\N
472391	1607	1998-09-06	PRIJEM	VKLAD	23294	40884	\N	\N	\N
472392	1607	1998-10-06	PRIJEM	VKLAD	23294	44699	\N	\N	\N
472393	1607	1998-11-06	PRIJEM	VKLAD	23294	45971	\N	\N	\N
472394	1607	1998-12-06	PRIJEM	VKLAD	34941	57643	\N	\N	\N
472403	1607	1996-09-14	VYDAJ	PREVOD NA UCET	9958	61884	SIPO	GH	89174168
472404	1607	1996-10-14	VYDAJ	PREVOD NA UCET	9958	57904	SIPO	GH	89174168
472405	1607	1996-11-14	VYDAJ	PREVOD NA UCET	9958	55414	SIPO	GH	89174168
472406	1607	1996-12-14	VYDAJ	PREVOD NA UCET	9958	63807	SIPO	GH	89174168
472407	1607	1997-01-14	VYDAJ	PREVOD NA UCET	9958	55730	SIPO	GH	89174168
472408	1607	1997-02-14	VYDAJ	PREVOD NA UCET	9958	36258	SIPO	GH	89174168
472409	1607	1997-03-14	VYDAJ	PREVOD NA UCET	9958	49725	SIPO	GH	89174168
472410	1607	1997-04-14	VYDAJ	PREVOD NA UCET	9958	51806	SIPO	GH	89174168
472411	1607	1997-05-14	VYDAJ	PREVOD NA UCET	9958	52591	SIPO	GH	89174168
472412	1607	1997-06-14	VYDAJ	PREVOD NA UCET	9958	40502	SIPO	GH	89174168
472413	1607	1997-07-14	VYDAJ	PREVOD NA UCET	9958	53295	SIPO	GH	89174168
472414	1607	1997-08-14	VYDAJ	PREVOD NA UCET	9958	33326	SIPO	GH	89174168
472415	1607	1997-09-14	VYDAJ	PREVOD NA UCET	9958	28396	SIPO	GH	89174168
472416	1607	1997-10-14	VYDAJ	PREVOD NA UCET	9958	28246	SIPO	GH	89174168
472417	1607	1997-11-14	VYDAJ	PREVOD NA UCET	9958	29887	SIPO	GH	89174168
472418	1607	1997-12-14	VYDAJ	PREVOD NA UCET	9958	30981	SIPO	GH	89174168
472419	1607	1998-01-14	VYDAJ	PREVOD NA UCET	9958	22956	SIPO	GH	89174168
472420	1607	1998-02-14	VYDAJ	PREVOD NA UCET	9958	20897	SIPO	GH	89174168
472421	1607	1998-03-14	VYDAJ	PREVOD NA UCET	9958	20315	SIPO	GH	89174168
472422	1607	1998-04-14	VYDAJ	PREVOD NA UCET	9958	24925	SIPO	GH	89174168
472423	1607	1998-05-14	VYDAJ	PREVOD NA UCET	9958	22449	SIPO	GH	89174168
472424	1607	1998-06-14	VYDAJ	PREVOD NA UCET	9958	24975	SIPO	GH	89174168
472425	1607	1998-07-14	VYDAJ	PREVOD NA UCET	9958	22360	SIPO	GH	89174168
472426	1607	1998-08-14	VYDAJ	PREVOD NA UCET	9958	23392	SIPO	GH	89174168
472427	1607	1998-09-14	VYDAJ	PREVOD NA UCET	9958	21326	SIPO	GH	89174168
472428	1607	1998-10-14	VYDAJ	PREVOD NA UCET	9958	25341	SIPO	GH	89174168
472429	1607	1998-11-14	VYDAJ	PREVOD NA UCET	9958	22613	SIPO	GH	89174168
472430	1607	1998-12-14	VYDAJ	PREVOD NA UCET	9958	21845	SIPO	GH	89174168
472432	1607	1997-06-13	VYDAJ	VYBER	5120	68360	\N	\N	\N
472435	1607	1997-01-25	VYDAJ	VYBER	6560	33550	\N	\N	\N
472436	1607	1998-01-08	VYDAJ	VYBER	1920	49014	\N	\N	\N
472437	1607	1996-12-28	VYDAJ	VYBER	1600	45207	\N	\N	\N
472438	1607	1997-12-01	VYDAJ	VYBER	2400	27598	\N	\N	\N
472439	1607	1998-12-10	VYDAJ	VYBER	1440	31803	\N	\N	\N
472440	1607	1996-11-29	VYDAJ	VYBER	600	40914	\N	\N	\N
472441	1607	1996-11-05	VYDAJ	VYBER	1200	42078	\N	\N	\N
472442	1607	1996-12-11	VYDAJ	VYBER	2280	73765	\N	\N	\N
472443	1607	1997-01-17	VYDAJ	VYBER	1920	40110	\N	\N	\N
472444	1607	1997-07-10	VYDAJ	VYBER	720	63253	\N	\N	\N
472445	1607	1997-01-09	VYDAJ	VYBER	3000	65688	\N	\N	\N
472446	1607	1998-08-18	VYDAJ	VYBER	5880	17512	\N	\N	\N
472447	1607	1998-10-31	VYDAJ	VYBER	2760	22691	\N	\N	\N
472448	1607	1998-07-01	VYDAJ	VYBER	2640	22424	\N	\N	\N
472449	1607	1998-05-24	VYDAJ	VYBER	3240	19209	\N	\N	\N
472451	1607	1998-01-04	VYDAJ	VYBER	3480	27640	\N	\N	\N
472461	1607	1996-09-30	VYDAJ	VYBER	15	44568	SLUZBY	\N	\N
472462	1607	1996-10-31	VYDAJ	VYBER	15	43278	SLUZBY	\N	\N
472463	1607	1996-11-30	VYDAJ	VYBER	15	41104	SLUZBY	\N	\N
472464	1607	1996-12-31	VYDAJ	VYBER	15	45394	SLUZBY	\N	\N
472465	1607	1997-01-31	VYDAJ	VYBER	15	33722	SLUZBY	\N	\N
472466	1607	1997-02-28	VYDAJ	VYBER	15	36389	SLUZBY	\N	\N
472467	1607	1997-03-31	VYDAJ	VYBER	15	38470	SLUZBY	\N	\N
472468	1607	1997-04-30	VYDAJ	VYBER	15	39255	SLUZBY	\N	\N
472469	1607	1997-05-31	VYDAJ	VYBER	15	38539	SLUZBY	\N	\N
472470	1607	1997-06-30	VYDAJ	VYBER	15	40679	SLUZBY	\N	\N
472471	1607	1997-07-31	VYDAJ	VYBER	15	38490	SLUZBY	\N	\N
472472	1607	1997-08-31	VYDAJ	VYBER	15	33460	SLUZBY	\N	\N
472473	1607	1997-09-30	VYDAJ	VYBER	15	28510	SLUZBY	\N	\N
472474	1607	1997-10-31	VYDAJ	VYBER	15	28351	SLUZBY	\N	\N
472475	1607	1997-11-30	VYDAJ	VYBER	15	29998	SLUZBY	\N	\N
472476	1607	1997-12-31	VYDAJ	VYBER	15	31120	SLUZBY	\N	\N
472477	1607	1998-01-31	VYDAJ	VYBER	15	23061	SLUZBY	\N	\N
472478	1607	1998-02-28	VYDAJ	VYBER	15	20979	SLUZBY	\N	\N
472479	1607	1998-03-31	VYDAJ	VYBER	15	20389	SLUZBY	\N	\N
472480	1607	1998-04-30	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
472481	1607	1998-05-31	VYDAJ	VYBER	15	19292	SLUZBY	\N	\N
472482	1607	1998-06-30	VYDAJ	VYBER	15	25064	SLUZBY	\N	\N
472483	1607	1998-07-31	VYDAJ	VYBER	15	22456	SLUZBY	\N	\N
472484	1607	1998-08-31	VYDAJ	VYBER	15	17590	SLUZBY	\N	\N
472485	1607	1998-09-30	VYDAJ	VYBER	15	21405	SLUZBY	\N	\N
472486	1607	1998-10-31	VYDAJ	VYBER	15	22677	SLUZBY	\N	\N
472487	1607	1998-11-30	VYDAJ	VYBER	15	22702	SLUZBY	\N	\N
472488	1607	1996-05-20	VYDAJ	VYBER	1800	22294	\N	\N	\N
472489	1607	1996-06-19	VYDAJ	VYBER	17200	40071	\N	\N	\N
472490	1607	1996-07-19	VYDAJ	VYBER	19300	44188	\N	\N	\N
472491	1607	1996-08-18	VYDAJ	VYBER	19300	48356	\N	\N	\N
472492	1607	1996-09-17	VYDAJ	VYBER	17500	44384	\N	\N	\N
472493	1607	1996-10-17	VYDAJ	VYBER	14800	43104	\N	\N	\N
472494	1607	1996-11-16	VYDAJ	VYBER	13900	41514	\N	\N	\N
472495	1607	1996-12-16	VYDAJ	VYBER	17000	46807	\N	\N	\N
472496	1607	1997-01-15	VYDAJ	VYBER	13700	42030	\N	\N	\N
472497	1607	1997-02-14	VYDAJ	VYBER	10800	46216	\N	\N	\N
472498	1607	1997-03-16	VYDAJ	VYBER	11400	38325	\N	\N	\N
472499	1607	1997-04-15	VYDAJ	VYBER	12700	39106	\N	\N	\N
472500	1607	1997-05-15	VYDAJ	VYBER	14200	38391	\N	\N	\N
472501	1607	1997-06-14	VYDAJ	VYBER	17900	50460	\N	\N	\N
472502	1607	1997-07-14	VYDAJ	VYBER	15000	38295	\N	\N	\N
472503	1607	1997-08-13	VYDAJ	VYBER	18500	43284	\N	\N	\N
472504	1607	1997-09-12	VYDAJ	VYBER	18400	38354	\N	\N	\N
472505	1607	1997-10-12	VYDAJ	VYBER	13600	38204	\N	\N	\N
472506	1607	1997-11-11	VYDAJ	VYBER	11800	39845	\N	\N	\N
472507	1607	1997-12-11	VYDAJ	VYBER	21600	40939	\N	\N	\N
472508	1607	1998-01-10	VYDAJ	VYBER	16100	32914	\N	\N	\N
472509	1607	1998-02-09	VYDAJ	VYBER	15500	30855	\N	\N	\N
472510	1607	1998-03-11	VYDAJ	VYBER	14000	30273	\N	\N	\N
472511	1607	1998-04-10	VYDAJ	VYBER	8800	34883	\N	\N	\N
472512	1607	1998-05-10	VYDAJ	VYBER	15900	32407	\N	\N	\N
472513	1607	1998-06-09	VYDAJ	VYBER	19300	34933	\N	\N	\N
472514	1607	1998-07-09	VYDAJ	VYBER	13400	32318	\N	\N	\N
472515	1607	1998-08-08	VYDAJ	VYBER	12400	33350	\N	\N	\N
472516	1607	1998-09-07	VYDAJ	VYBER	9600	31284	\N	\N	\N
472517	1607	1998-10-07	VYDAJ	VYBER	9400	35299	\N	\N	\N
472518	1607	1998-11-06	VYDAJ	VYBER	13400	32571	\N	\N	\N
472519	1607	1998-12-06	VYDAJ	VYBER	24400	33243	\N	\N	\N
472552	1608	1997-10-08	PRIJEM	VKLAD	600	600	\N	\N	\N
472562	1608	1997-10-14	PRIJEM	PREVOD Z UCTU	5138	5738	DUCHOD	EF	80086147
472563	1608	1997-11-14	PRIJEM	PREVOD Z UCTU	5138	10890	DUCHOD	EF	80086147
472564	1608	1997-12-14	PRIJEM	PREVOD Z UCTU	5138	16052	DUCHOD	EF	80086147
472565	1608	1998-01-14	PRIJEM	PREVOD Z UCTU	5138	21214	DUCHOD	EF	80086147
472566	1608	1998-02-14	PRIJEM	PREVOD Z UCTU	5138	26376	DUCHOD	EF	80086147
472567	1608	1998-03-14	PRIJEM	PREVOD Z UCTU	5138	27101	DUCHOD	EF	80086147
472568	1608	1998-04-14	PRIJEM	PREVOD Z UCTU	5138	25809	DUCHOD	EF	80086147
472569	1608	1998-05-14	PRIJEM	PREVOD Z UCTU	5138	21474	DUCHOD	EF	80086147
472570	1608	1998-06-14	PRIJEM	PREVOD Z UCTU	5138	18080	DUCHOD	EF	80086147
472571	1608	1998-07-14	PRIJEM	PREVOD Z UCTU	5138	17288	DUCHOD	EF	80086147
472572	1608	1998-08-14	PRIJEM	PREVOD Z UCTU	5138	16492	DUCHOD	EF	80086147
472573	1608	1998-09-14	PRIJEM	PREVOD Z UCTU	5138	17776	DUCHOD	EF	80086147
472574	1608	1998-10-14	PRIJEM	PREVOD Z UCTU	5138	19546	DUCHOD	EF	80086147
472575	1608	1998-11-14	PRIJEM	PREVOD Z UCTU	5138	21322	DUCHOD	EF	80086147
472576	1608	1998-12-14	PRIJEM	PREVOD Z UCTU	5138	21757	DUCHOD	EF	80086147
472591	1608	1998-03-11	VYDAJ	PREVOD NA UCET	3425	21963	SIPO	AB	7212549
472592	1608	1998-04-11	VYDAJ	PREVOD NA UCET	3425	20671	SIPO	AB	7212549
472593	1608	1998-05-11	VYDAJ	PREVOD NA UCET	3425	16336	SIPO	AB	7212549
472594	1608	1998-06-11	VYDAJ	PREVOD NA UCET	3425	12942	SIPO	AB	7212549
472595	1608	1998-07-11	VYDAJ	PREVOD NA UCET	3425	12150	SIPO	AB	7212549
472596	1608	1998-08-11	VYDAJ	PREVOD NA UCET	3425	11354	SIPO	AB	7212549
472597	1608	1998-09-11	VYDAJ	PREVOD NA UCET	3425	12638	SIPO	AB	7212549
472598	1608	1998-10-11	VYDAJ	PREVOD NA UCET	3425	14408	SIPO	AB	7212549
472599	1608	1998-11-11	VYDAJ	PREVOD NA UCET	3425	16184	SIPO	AB	7212549
472600	1608	1998-12-11	VYDAJ	PREVOD NA UCET	3425	16619	SIPO	AB	7212549
472606	1608	1998-12-08	VYDAJ	VYBER	1350	20044	\N	\N	\N
472625	1608	1998-05-29	VYDAJ	VYBER	3680	17794	\N	\N	\N
472626	1608	1998-04-29	VYDAJ	VYBER	3040	22769	\N	\N	\N
472627	1608	1998-06-20	VYDAJ	VYBER	2560	15520	\N	\N	\N
472629	1608	1998-07-24	VYDAJ	VYBER	2560	14728	\N	\N	\N
472630	1608	1998-08-28	VYDAJ	VYBER	480	16012	\N	\N	\N
472646	1608	1998-02-28	VYDAJ	VYBER	15	26388	SLUZBY	\N	\N
472647	1608	1998-03-31	VYDAJ	VYBER	15	27196	SLUZBY	\N	\N
472648	1608	1998-04-30	VYDAJ	VYBER	15	22861	SLUZBY	\N	\N
472649	1608	1998-05-31	VYDAJ	VYBER	15	17867	SLUZBY	\N	\N
472650	1608	1998-06-30	VYDAJ	VYBER	15	15575	SLUZBY	\N	\N
472651	1608	1998-07-31	VYDAJ	VYBER	15	14779	SLUZBY	\N	\N
472652	1608	1998-08-31	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
472653	1608	1998-09-30	VYDAJ	VYBER	15	17833	SLUZBY	\N	\N
472654	1608	1998-10-31	VYDAJ	VYBER	15	19609	SLUZBY	\N	\N
472655	1608	1998-11-30	VYDAJ	VYBER	15	21394	SLUZBY	\N	\N
472656	1608	1998-03-07	VYDAJ	VYBER	1000	25388	\N	\N	\N
472657	1608	1998-04-06	VYDAJ	VYBER	3100	24096	\N	\N	\N
472658	1608	1998-05-06	VYDAJ	VYBER	3100	19761	\N	\N	\N
472659	1608	1998-06-05	VYDAJ	VYBER	1500	16367	\N	\N	\N
472675	1609	1996-07-05	PRIJEM	VKLAD	900	900	\N	\N	\N
472682	1609	1996-07-11	PRIJEM	PREVOD Z UCTU	3026	3926	\N	UV	98472749
472683	1609	1996-08-11	PRIJEM	PREVOD Z UCTU	3026	6963	\N	UV	98472749
472684	1609	1996-09-11	PRIJEM	PREVOD Z UCTU	3026	10005	\N	UV	98472749
472685	1609	1996-10-11	PRIJEM	PREVOD Z UCTU	3026	13048	\N	UV	98472749
472686	1609	1996-11-11	PRIJEM	PREVOD Z UCTU	3026	16090	\N	UV	98472749
472687	1609	1996-12-11	PRIJEM	PREVOD Z UCTU	3026	16023	\N	UV	98472749
472688	1609	1997-01-11	PRIJEM	PREVOD Z UCTU	3026	13300	\N	UV	98472749
472689	1609	1997-02-11	PRIJEM	PREVOD Z UCTU	3026	13837	\N	UV	98472749
472690	1609	1997-03-11	PRIJEM	PREVOD Z UCTU	3026	14888	\N	UV	98472749
472691	1609	1997-04-11	PRIJEM	PREVOD Z UCTU	3026	15943	\N	UV	98472749
472692	1609	1997-05-11	PRIJEM	PREVOD Z UCTU	3026	17002	\N	UV	98472749
472693	1609	1997-06-11	PRIJEM	PREVOD Z UCTU	3026	16536	\N	UV	98472749
472694	1609	1997-07-11	PRIJEM	PREVOD Z UCTU	3026	17358	\N	UV	98472749
472695	1609	1997-08-11	PRIJEM	PREVOD Z UCTU	3026	18424	\N	UV	98472749
472696	1609	1997-09-11	PRIJEM	PREVOD Z UCTU	3026	19493	\N	UV	98472749
472697	1609	1997-10-11	PRIJEM	PREVOD Z UCTU	3026	20027	\N	UV	98472749
472698	1609	1997-11-11	PRIJEM	PREVOD Z UCTU	3026	21103	\N	UV	98472749
472699	1609	1997-12-11	PRIJEM	PREVOD Z UCTU	3026	21104	\N	UV	98472749
472700	1609	1998-01-11	PRIJEM	PREVOD Z UCTU	3026	21075	\N	UV	98472749
472701	1609	1998-02-11	PRIJEM	PREVOD Z UCTU	3026	18971	\N	UV	98472749
472702	1609	1998-03-11	PRIJEM	PREVOD Z UCTU	3026	19682	\N	UV	98472749
472703	1609	1998-04-11	PRIJEM	PREVOD Z UCTU	3026	19617	\N	UV	98472749
472704	1609	1998-05-11	PRIJEM	PREVOD Z UCTU	3026	20692	\N	UV	98472749
472705	1609	1998-06-11	PRIJEM	PREVOD Z UCTU	3026	21020	\N	UV	98472749
472706	1609	1998-07-11	PRIJEM	PREVOD Z UCTU	3026	22100	\N	UV	98472749
472707	1609	1998-08-11	PRIJEM	PREVOD Z UCTU	3026	23185	\N	UV	98472749
472708	1609	1998-09-11	PRIJEM	PREVOD Z UCTU	3026	23574	\N	UV	98472749
472709	1609	1998-10-11	PRIJEM	PREVOD Z UCTU	3026	24665	\N	UV	98472749
472710	1609	1998-11-11	PRIJEM	PREVOD Z UCTU	3026	25760	\N	UV	98472749
472711	1609	1998-12-11	PRIJEM	PREVOD Z UCTU	3026	26860	\N	UV	98472749
472723	1609	1996-12-07	VYDAJ	PREVOD NA UCET	2017	12997	\N	KL	83359962
472724	1609	1997-01-07	VYDAJ	PREVOD NA UCET	2017	10274	\N	KL	83359962
472725	1609	1997-02-07	VYDAJ	PREVOD NA UCET	2017	10811	\N	KL	83359962
472726	1609	1997-03-07	VYDAJ	PREVOD NA UCET	2017	11862	\N	KL	83359962
472727	1609	1997-04-07	VYDAJ	PREVOD NA UCET	2017	12917	\N	KL	83359962
472728	1609	1997-05-07	VYDAJ	PREVOD NA UCET	2017	13976	\N	KL	83359962
472729	1609	1997-06-07	VYDAJ	PREVOD NA UCET	2017	13510	\N	KL	83359962
472730	1609	1997-07-07	VYDAJ	PREVOD NA UCET	2017	14332	\N	KL	83359962
472731	1609	1997-08-07	VYDAJ	PREVOD NA UCET	2017	15398	\N	KL	83359962
472732	1609	1997-09-07	VYDAJ	PREVOD NA UCET	2017	16467	\N	KL	83359962
472733	1609	1997-10-07	VYDAJ	PREVOD NA UCET	2017	17001	\N	KL	83359962
472734	1609	1997-11-07	VYDAJ	PREVOD NA UCET	2017	18077	\N	KL	83359962
472735	1609	1997-12-07	VYDAJ	PREVOD NA UCET	2017	19158	\N	KL	83359962
472736	1609	1998-01-07	VYDAJ	PREVOD NA UCET	2017	18049	\N	KL	83359962
472737	1609	1998-02-07	VYDAJ	PREVOD NA UCET	2017	15945	\N	KL	83359962
472738	1609	1998-03-07	VYDAJ	PREVOD NA UCET	2017	16656	\N	KL	83359962
472739	1609	1998-04-07	VYDAJ	PREVOD NA UCET	2017	16591	\N	KL	83359962
472740	1609	1998-05-07	VYDAJ	PREVOD NA UCET	2017	17666	\N	KL	83359962
472741	1609	1998-06-07	VYDAJ	PREVOD NA UCET	2017	17994	\N	KL	83359962
472742	1609	1998-07-07	VYDAJ	PREVOD NA UCET	2017	19074	\N	KL	83359962
472743	1609	1998-08-07	VYDAJ	PREVOD NA UCET	2017	20159	\N	KL	83359962
472744	1609	1998-09-07	VYDAJ	PREVOD NA UCET	2017	20548	\N	KL	83359962
472745	1609	1998-10-07	VYDAJ	PREVOD NA UCET	2017	21639	\N	KL	83359962
472746	1609	1998-11-07	VYDAJ	PREVOD NA UCET	2017	22734	\N	KL	83359962
472747	1609	1998-12-07	VYDAJ	PREVOD NA UCET	2017	23834	\N	KL	83359962
472749	1609	1997-06-06	VYDAJ	VYBER	1530	15527	\N	\N	\N
472751	1609	1996-12-28	VYDAJ	VYBER	690	13593	\N	\N	\N
472752	1609	1997-12-26	VYDAJ	VYBER	810	20294	\N	\N	\N
472753	1609	1998-12-30	VYDAJ	VYBER	840	25270	\N	\N	\N
472761	1609	1997-01-14	VYDAJ	VYBER	300	13000	\N	\N	\N
472762	1609	1997-01-28	VYDAJ	VYBER	210	12790	\N	\N	\N
472764	1609	1997-01-07	VYDAJ	VYBER	870	12291	\N	\N	\N
472765	1609	1997-01-01	VYDAJ	VYBER	480	13161	\N	\N	\N
472766	1609	1998-01-24	VYDAJ	VYBER	870	17895	\N	\N	\N
472767	1609	1998-01-12	VYDAJ	VYBER	330	20745	\N	\N	\N
472768	1609	1998-01-13	VYDAJ	VYBER	660	20085	\N	\N	\N
472769	1609	1998-01-07	VYDAJ	VYBER	300	20066	\N	\N	\N
472770	1609	1998-01-22	VYDAJ	VYBER	480	19605	\N	\N	\N
472771	1609	1998-01-22	VYDAJ	VYBER	840	18765	\N	\N	\N
472772	1609	1996-12-22	VYDAJ	VYBER	1320	14703	\N	\N	\N
472777	1609	1996-12-27	VYDAJ	VYBER	420	14283	\N	\N	\N
472778	1609	1996-12-05	VYDAJ	VYBER	1080	15014	\N	\N	\N
472780	1609	1997-06-28	VYDAJ	VYBER	240	16296	\N	\N	\N
472781	1609	1997-09-13	VYDAJ	VYBER	210	19283	\N	\N	\N
472782	1609	1997-09-13	VYDAJ	VYBER	330	18953	\N	\N	\N
472783	1609	1997-12-09	VYDAJ	VYBER	1080	18078	\N	\N	\N
472784	1609	1998-02-18	VYDAJ	VYBER	360	18611	\N	\N	\N
472785	1609	1998-05-31	VYDAJ	VYBER	390	20025	\N	\N	\N
472786	1609	1998-12-22	VYDAJ	VYBER	750	26110	\N	\N	\N
472787	1609	1998-04-05	VYDAJ	VYBER	1140	18608	\N	\N	\N
472788	1609	1998-05-13	VYDAJ	VYBER	360	20332	\N	\N	\N
472800	1609	1996-11-30	VYDAJ	VYBER	15	16094	SLUZBY	\N	\N
472801	1609	1996-12-31	VYDAJ	VYBER	15	13641	SLUZBY	\N	\N
472802	1609	1997-01-31	VYDAJ	VYBER	15	12828	SLUZBY	\N	\N
472803	1609	1997-02-28	VYDAJ	VYBER	15	13879	SLUZBY	\N	\N
472804	1609	1997-03-31	VYDAJ	VYBER	15	14934	SLUZBY	\N	\N
472805	1609	1997-04-30	VYDAJ	VYBER	15	15993	SLUZBY	\N	\N
472806	1609	1997-05-31	VYDAJ	VYBER	15	17057	SLUZBY	\N	\N
472807	1609	1997-06-30	VYDAJ	VYBER	15	16349	SLUZBY	\N	\N
472808	1609	1997-07-31	VYDAJ	VYBER	15	17415	SLUZBY	\N	\N
472809	1609	1997-08-31	VYDAJ	VYBER	15	18484	SLUZBY	\N	\N
472810	1609	1997-09-30	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
472811	1609	1997-10-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
472812	1609	1997-11-30	VYDAJ	VYBER	15	21175	SLUZBY	\N	\N
472813	1609	1997-12-31	VYDAJ	VYBER	15	20366	SLUZBY	\N	\N
472814	1609	1998-01-31	VYDAJ	VYBER	15	17962	SLUZBY	\N	\N
472815	1609	1998-02-28	VYDAJ	VYBER	15	18673	SLUZBY	\N	\N
472816	1609	1998-03-31	VYDAJ	VYBER	15	19748	SLUZBY	\N	\N
472817	1609	1998-04-30	VYDAJ	VYBER	15	19683	SLUZBY	\N	\N
472818	1609	1998-05-31	VYDAJ	VYBER	15	20011	SLUZBY	\N	\N
472819	1609	1998-06-30	VYDAJ	VYBER	15	21091	SLUZBY	\N	\N
472820	1609	1998-07-31	VYDAJ	VYBER	15	22176	SLUZBY	\N	\N
472821	1609	1998-08-31	VYDAJ	VYBER	15	22565	SLUZBY	\N	\N
472822	1609	1998-09-30	VYDAJ	VYBER	15	23656	SLUZBY	\N	\N
472823	1609	1998-10-31	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
472824	1609	1998-11-30	VYDAJ	VYBER	15	25851	SLUZBY	\N	\N
472825	1609	1998-08-24	VYDAJ	VYBER	700	22485	\N	\N	\N
472856	1610	1993-05-17	PRIJEM	VKLAD	500	500	\N	\N	\N
472862	1610	1993-06-10	PRIJEM	VKLAD	36560	37060	\N	\N	\N
472863	1610	1993-07-10	PRIJEM	VKLAD	24373	52691	\N	\N	\N
472864	1610	1993-08-10	PRIJEM	VKLAD	24373	62904	\N	\N	\N
472865	1610	1993-09-10	PRIJEM	VKLAD	24373	68449	\N	\N	\N
472866	1610	1993-10-10	PRIJEM	VKLAD	24373	71513	\N	\N	\N
472867	1610	1993-11-10	PRIJEM	VKLAD	24373	69611	\N	\N	\N
472868	1610	1993-12-10	PRIJEM	VKLAD	36560	73183	\N	\N	\N
472869	1610	1994-01-10	PRIJEM	VKLAD	24373	67895	\N	\N	\N
472870	1610	1994-02-10	PRIJEM	VKLAD	24373	58071	\N	\N	\N
472871	1610	1994-03-10	PRIJEM	VKLAD	24373	63024	\N	\N	\N
472872	1610	1994-04-10	PRIJEM	VKLAD	24373	66299	\N	\N	\N
472873	1610	1994-05-10	PRIJEM	VKLAD	24373	63800	\N	\N	\N
472874	1610	1994-06-10	PRIJEM	VKLAD	36560	77161	\N	\N	\N
472875	1610	1994-07-10	PRIJEM	VKLAD	24373	42544	\N	\N	\N
472876	1610	1994-08-10	PRIJEM	VKLAD	24373	56175	\N	\N	\N
472877	1610	1994-09-10	PRIJEM	VKLAD	24373	58423	\N	\N	\N
472878	1610	1994-10-10	PRIJEM	VKLAD	24373	63821	\N	\N	\N
472879	1610	1994-11-10	PRIJEM	VKLAD	24373	68356	\N	\N	\N
472880	1610	1994-12-10	PRIJEM	VKLAD	36560	83433	\N	\N	\N
472881	1610	1995-01-10	PRIJEM	VKLAD	24373	79111	\N	\N	\N
472882	1610	1995-02-10	PRIJEM	VKLAD	24373	75964	\N	\N	\N
472883	1610	1995-03-10	PRIJEM	VKLAD	24373	74337	\N	\N	\N
472884	1610	1995-04-10	PRIJEM	VKLAD	24373	79388	\N	\N	\N
472885	1610	1995-05-10	PRIJEM	VKLAD	24373	76244	\N	\N	\N
472886	1610	1995-06-10	PRIJEM	VKLAD	36560	92824	\N	\N	\N
472887	1610	1995-07-10	PRIJEM	VKLAD	24373	77582	\N	\N	\N
472888	1610	1995-08-10	PRIJEM	VKLAD	24373	84968	\N	\N	\N
472889	1610	1995-09-10	PRIJEM	VKLAD	24373	88587	\N	\N	\N
472890	1610	1995-10-10	PRIJEM	VKLAD	24373	87427	\N	\N	\N
472891	1610	1995-11-10	PRIJEM	VKLAD	24373	88867	\N	\N	\N
472892	1610	1995-12-10	PRIJEM	VKLAD	36560	102596	\N	\N	\N
472893	1610	1996-01-10	PRIJEM	VKLAD	24373	85356	\N	\N	\N
472894	1610	1996-02-10	PRIJEM	VKLAD	24373	88550	\N	\N	\N
472895	1610	1996-03-10	PRIJEM	VKLAD	24373	91778	\N	\N	\N
472896	1610	1996-04-10	PRIJEM	VKLAD	24373	91155	\N	\N	\N
472897	1610	1996-05-10	PRIJEM	VKLAD	24373	91201	\N	\N	\N
472898	1610	1996-06-10	PRIJEM	VKLAD	36560	104937	\N	\N	\N
472899	1610	1996-07-10	PRIJEM	VKLAD	24373	91308	\N	\N	\N
472900	1610	1996-08-10	PRIJEM	VKLAD	24373	94643	\N	\N	\N
472901	1610	1996-09-10	PRIJEM	VKLAD	24373	98179	\N	\N	\N
472902	1610	1996-10-10	PRIJEM	VKLAD	24373	101128	\N	\N	\N
472903	1610	1996-11-10	PRIJEM	VKLAD	24373	103207	\N	\N	\N
472904	1610	1996-12-10	PRIJEM	VKLAD	36560	119862	\N	\N	\N
472905	1610	1997-01-10	PRIJEM	VKLAD	24373	91786	\N	\N	\N
472906	1610	1997-02-10	PRIJEM	VKLAD	24373	93904	\N	\N	\N
472907	1610	1997-03-10	PRIJEM	VKLAD	24373	106335	\N	\N	\N
472908	1610	1997-04-10	PRIJEM	VKLAD	24373	109614	\N	\N	\N
472909	1610	1997-05-10	PRIJEM	VKLAD	24373	112324	\N	\N	\N
472910	1610	1997-06-10	PRIJEM	VKLAD	36560	130014	\N	\N	\N
472911	1610	1997-07-10	PRIJEM	VKLAD	24373	81485	\N	\N	\N
472912	1610	1997-08-10	PRIJEM	VKLAD	24373	107585	\N	\N	\N
472913	1610	1997-09-10	PRIJEM	VKLAD	24373	120573	\N	\N	\N
472914	1610	1997-10-10	PRIJEM	VKLAD	24373	92003	\N	\N	\N
472915	1610	1997-11-10	PRIJEM	VKLAD	24373	109611	\N	\N	\N
472916	1610	1997-12-10	PRIJEM	VKLAD	36560	136194	\N	\N	\N
472917	1610	1998-01-10	PRIJEM	VKLAD	24373	104489	\N	\N	\N
472918	1610	1998-02-10	PRIJEM	VKLAD	24373	113874	\N	\N	\N
472919	1610	1998-03-10	PRIJEM	VKLAD	24373	126082	\N	\N	\N
472920	1610	1998-04-10	PRIJEM	VKLAD	24373	128797	\N	\N	\N
472921	1610	1998-05-10	PRIJEM	VKLAD	24373	107340	\N	\N	\N
472922	1610	1998-06-10	PRIJEM	VKLAD	36560	140220	\N	\N	\N
472923	1610	1998-07-10	PRIJEM	VKLAD	24373	110469	\N	\N	\N
472924	1610	1998-08-10	PRIJEM	VKLAD	24373	135382	\N	\N	\N
472925	1610	1998-09-10	PRIJEM	VKLAD	24373	133083	\N	\N	\N
472926	1610	1998-10-10	PRIJEM	VKLAD	24373	129610	\N	\N	\N
472927	1610	1998-11-10	PRIJEM	VKLAD	24373	113264	\N	\N	\N
472928	1610	1998-12-10	PRIJEM	VKLAD	36560	146116	\N	\N	\N
472938	1610	1993-10-11	VYDAJ	PREVOD NA UCET	6258	65255	SIPO	UV	10384375
472939	1610	1993-11-11	VYDAJ	PREVOD NA UCET	6258	63353	SIPO	UV	10384375
472940	1610	1993-12-11	VYDAJ	PREVOD NA UCET	6258	66925	SIPO	UV	10384375
472941	1610	1994-01-11	VYDAJ	PREVOD NA UCET	6258	60197	SIPO	UV	10384375
472942	1610	1994-02-11	VYDAJ	PREVOD NA UCET	6258	38513	SIPO	UV	10384375
472943	1610	1994-03-11	VYDAJ	PREVOD NA UCET	6258	56766	SIPO	UV	10384375
472944	1610	1994-04-11	VYDAJ	PREVOD NA UCET	6258	60041	SIPO	UV	10384375
472945	1610	1994-05-11	VYDAJ	PREVOD NA UCET	6258	57542	SIPO	UV	10384375
472946	1610	1994-06-11	VYDAJ	PREVOD NA UCET	6258	48403	SIPO	UV	10384375
472947	1610	1994-07-11	VYDAJ	PREVOD NA UCET	6258	31686	SIPO	UV	10384375
472948	1610	1994-08-11	VYDAJ	PREVOD NA UCET	6258	36117	SIPO	UV	10384375
472949	1610	1994-09-11	VYDAJ	PREVOD NA UCET	6258	52165	SIPO	UV	10384375
472950	1610	1994-10-11	VYDAJ	PREVOD NA UCET	6258	57563	SIPO	UV	10384375
472951	1610	1994-11-11	VYDAJ	PREVOD NA UCET	6258	62098	SIPO	UV	10384375
472952	1610	1994-12-11	VYDAJ	PREVOD NA UCET	6258	77175	SIPO	UV	10384375
472953	1610	1995-01-11	VYDAJ	PREVOD NA UCET	6258	72853	SIPO	UV	10384375
472954	1610	1995-02-11	VYDAJ	PREVOD NA UCET	6258	66106	SIPO	UV	10384375
472955	1610	1995-03-11	VYDAJ	PREVOD NA UCET	6258	68079	SIPO	UV	10384375
472956	1610	1995-04-11	VYDAJ	PREVOD NA UCET	6258	73130	SIPO	UV	10384375
472957	1610	1995-05-11	VYDAJ	PREVOD NA UCET	6258	69986	SIPO	UV	10384375
472958	1610	1995-06-11	VYDAJ	PREVOD NA UCET	6258	86566	SIPO	UV	10384375
472959	1610	1995-07-11	VYDAJ	PREVOD NA UCET	6258	71324	SIPO	UV	10384375
472960	1610	1995-08-11	VYDAJ	PREVOD NA UCET	6258	78710	SIPO	UV	10384375
472961	1610	1995-09-11	VYDAJ	PREVOD NA UCET	6258	82329	SIPO	UV	10384375
472962	1610	1995-10-11	VYDAJ	PREVOD NA UCET	6258	81169	SIPO	UV	10384375
472963	1610	1995-11-11	VYDAJ	PREVOD NA UCET	6258	82609	SIPO	UV	10384375
472964	1610	1995-12-11	VYDAJ	PREVOD NA UCET	6258	96338	SIPO	UV	10384375
472965	1610	1996-01-11	VYDAJ	PREVOD NA UCET	6258	76698	SIPO	UV	10384375
472966	1610	1996-02-11	VYDAJ	PREVOD NA UCET	6258	82292	SIPO	UV	10384375
472967	1610	1996-03-11	VYDAJ	PREVOD NA UCET	6258	85520	SIPO	UV	10384375
472968	1610	1996-04-11	VYDAJ	PREVOD NA UCET	6258	84897	SIPO	UV	10384375
472969	1610	1996-05-11	VYDAJ	PREVOD NA UCET	6258	84943	SIPO	UV	10384375
472970	1610	1996-06-11	VYDAJ	PREVOD NA UCET	6258	98679	SIPO	UV	10384375
472971	1610	1996-07-11	VYDAJ	PREVOD NA UCET	6258	85050	SIPO	UV	10384375
472972	1610	1996-08-11	VYDAJ	PREVOD NA UCET	6258	88385	SIPO	UV	10384375
472973	1610	1996-09-11	VYDAJ	PREVOD NA UCET	6258	91921	SIPO	UV	10384375
472974	1610	1996-10-11	VYDAJ	PREVOD NA UCET	6258	94870	SIPO	UV	10384375
472975	1610	1996-11-11	VYDAJ	PREVOD NA UCET	6258	96949	SIPO	UV	10384375
472976	1610	1996-12-11	VYDAJ	PREVOD NA UCET	6258	77804	SIPO	UV	10384375
472977	1610	1997-01-11	VYDAJ	PREVOD NA UCET	6258	80728	SIPO	UV	10384375
472978	1610	1997-02-11	VYDAJ	PREVOD NA UCET	6258	87646	SIPO	UV	10384375
472979	1610	1997-03-11	VYDAJ	PREVOD NA UCET	6258	100077	SIPO	UV	10384375
472980	1610	1997-04-11	VYDAJ	PREVOD NA UCET	6258	103356	SIPO	UV	10384375
472981	1610	1997-05-11	VYDAJ	PREVOD NA UCET	6258	106066	SIPO	UV	10384375
472982	1610	1997-06-11	VYDAJ	PREVOD NA UCET	6258	36056	SIPO	UV	10384375
472983	1610	1997-07-11	VYDAJ	PREVOD NA UCET	6258	75227	SIPO	UV	10384375
472984	1610	1997-08-11	VYDAJ	PREVOD NA UCET	6258	101327	SIPO	UV	10384375
472985	1610	1997-09-11	VYDAJ	PREVOD NA UCET	6258	53415	SIPO	UV	10384375
472986	1610	1997-10-11	VYDAJ	PREVOD NA UCET	6258	83705	SIPO	UV	10384375
472987	1610	1997-11-11	VYDAJ	PREVOD NA UCET	6258	103353	SIPO	UV	10384375
472988	1610	1997-12-11	VYDAJ	PREVOD NA UCET	6258	77236	SIPO	UV	10384375
472989	1610	1998-01-11	VYDAJ	PREVOD NA UCET	6258	94031	SIPO	UV	10384375
472990	1610	1998-02-11	VYDAJ	PREVOD NA UCET	6258	107616	SIPO	UV	10384375
472991	1610	1998-03-11	VYDAJ	PREVOD NA UCET	6258	97824	SIPO	UV	10384375
472992	1610	1998-04-11	VYDAJ	PREVOD NA UCET	6258	66939	SIPO	UV	10384375
472993	1610	1998-05-11	VYDAJ	PREVOD NA UCET	6258	101082	SIPO	UV	10384375
472994	1610	1998-06-11	VYDAJ	PREVOD NA UCET	6258	74462	SIPO	UV	10384375
472995	1610	1998-07-11	VYDAJ	PREVOD NA UCET	6258	104211	SIPO	UV	10384375
472996	1610	1998-08-11	VYDAJ	PREVOD NA UCET	6258	100024	SIPO	UV	10384375
472997	1610	1998-09-11	VYDAJ	PREVOD NA UCET	6258	93625	SIPO	UV	10384375
472998	1610	1998-10-11	VYDAJ	PREVOD NA UCET	6258	69652	SIPO	UV	10384375
472999	1610	1998-11-11	VYDAJ	PREVOD NA UCET	6258	107006	SIPO	UV	10384375
473000	1610	1998-12-11	VYDAJ	PREVOD NA UCET	6258	84458	SIPO	UV	10384375
473002	1610	1994-06-29	VYDAJ	VYBER	30400	18003	\N	\N	\N
473003	1610	1995-06-19	VYDAJ	VYBER	25440	61126	\N	\N	\N
473004	1610	1996-06-27	VYDAJ	VYBER	19200	74799	\N	\N	\N
473005	1610	1997-06-10	VYDAJ	VYBER	27200	42314	\N	\N	\N
473006	1610	1998-06-22	VYDAJ	VYBER	5920	85742	\N	\N	\N
473007	1610	1993-12-05	VYDAJ	VYBER	1600	36623	\N	\N	\N
473008	1610	1994-12-03	VYDAJ	VYBER	800	58773	\N	\N	\N
473009	1610	1995-12-22	VYDAJ	VYBER	4000	92338	\N	\N	\N
473010	1610	1996-12-28	VYDAJ	VYBER	4320	68784	\N	\N	\N
473011	1610	1997-12-30	VYDAJ	VYBER	3520	82416	\N	\N	\N
473012	1610	1998-12-26	VYDAJ	VYBER	2880	100918	\N	\N	\N
473019	1610	1994-01-30	VYDAJ	VYBER	2520	33537	\N	\N	\N
473020	1610	1994-01-29	VYDAJ	VYBER	1440	36057	\N	\N	\N
473021	1610	1994-01-19	VYDAJ	VYBER	840	39657	\N	\N	\N
473022	1610	1994-01-03	VYDAJ	VYBER	2280	43522	\N	\N	\N
473023	1610	1994-01-11	VYDAJ	VYBER	1440	66455	\N	\N	\N
473024	1610	1994-01-21	VYDAJ	VYBER	2160	37497	\N	\N	\N
473025	1610	1995-01-25	VYDAJ	VYBER	720	69493	\N	\N	\N
473026	1610	1995-01-12	VYDAJ	VYBER	1320	71533	\N	\N	\N
473027	1610	1995-01-06	VYDAJ	VYBER	2520	74938	\N	\N	\N
473028	1610	1995-01-21	VYDAJ	VYBER	720	70813	\N	\N	\N
473029	1610	1995-01-21	VYDAJ	VYBER	600	70213	\N	\N	\N
473030	1610	1995-01-30	VYDAJ	VYBER	3480	66013	\N	\N	\N
473031	1610	1996-01-15	VYDAJ	VYBER	960	75018	\N	\N	\N
473032	1610	1996-01-07	VYDAJ	VYBER	1320	63863	\N	\N	\N
473033	1610	1996-01-27	VYDAJ	VYBER	2400	70578	\N	\N	\N
473034	1610	1996-01-13	VYDAJ	VYBER	720	75978	\N	\N	\N
473035	1610	1996-01-11	VYDAJ	VYBER	2400	82956	\N	\N	\N
473036	1610	1996-01-22	VYDAJ	VYBER	2040	72978	\N	\N	\N
473037	1610	1997-01-13	VYDAJ	VYBER	3480	77248	\N	\N	\N
473038	1610	1997-01-19	VYDAJ	VYBER	3360	70648	\N	\N	\N
473039	1610	1997-01-10	VYDAJ	VYBER	2640	89146	\N	\N	\N
473040	1610	1997-01-10	VYDAJ	VYBER	2160	86986	\N	\N	\N
473041	1610	1997-01-03	VYDAJ	VYBER	1680	67413	\N	\N	\N
473042	1610	1997-01-16	VYDAJ	VYBER	3240	74008	\N	\N	\N
473043	1610	1998-01-29	VYDAJ	VYBER	1680	89151	\N	\N	\N
473044	1610	1998-01-08	VYDAJ	VYBER	1080	81676	\N	\N	\N
473045	1610	1998-01-26	VYDAJ	VYBER	2520	90831	\N	\N	\N
473046	1610	1998-01-08	VYDAJ	VYBER	1560	80116	\N	\N	\N
473047	1610	1998-01-11	VYDAJ	VYBER	1800	100289	\N	\N	\N
473048	1610	1998-01-10	VYDAJ	VYBER	2400	102089	\N	\N	\N
473050	1610	1993-12-01	VYDAJ	VYBER	3600	38223	\N	\N	\N
473053	1610	1994-11-22	VYDAJ	VYBER	2760	59338	\N	\N	\N
473054	1610	1994-04-28	VYDAJ	VYBER	1560	40341	\N	\N	\N
473055	1610	1994-04-23	VYDAJ	VYBER	3240	41901	\N	\N	\N
473056	1610	1994-05-05	VYDAJ	VYBER	1080	39427	\N	\N	\N
473057	1610	1995-03-12	VYDAJ	VYBER	2520	65559	\N	\N	\N
473058	1610	1995-05-09	VYDAJ	VYBER	2640	51871	\N	\N	\N
473059	1610	1995-02-10	VYDAJ	VYBER	3600	72364	\N	\N	\N
473060	1610	1995-02-13	VYDAJ	VYBER	1320	64786	\N	\N	\N
473061	1610	1995-02-28	VYDAJ	VYBER	2880	62164	\N	\N	\N
473062	1610	1996-01-06	VYDAJ	VYBER	4920	65183	\N	\N	\N
473063	1610	1996-01-08	VYDAJ	VYBER	2880	60983	\N	\N	\N
473064	1610	1996-04-26	VYDAJ	VYBER	1800	83097	\N	\N	\N
473065	1610	1996-06-22	VYDAJ	VYBER	4680	93999	\N	\N	\N
473066	1610	1996-10-27	VYDAJ	VYBER	1080	93790	\N	\N	\N
473067	1610	1996-03-12	VYDAJ	VYBER	5760	79760	\N	\N	\N
473068	1610	1997-10-11	VYDAJ	VYBER	2040	89963	\N	\N	\N
473069	1610	1997-07-02	VYDAJ	VYBER	3480	57112	\N	\N	\N
473070	1610	1997-10-31	VYDAJ	VYBER	4080	85253	\N	\N	\N
473071	1610	1997-09-29	VYDAJ	VYBER	2760	67355	\N	\N	\N
473072	1610	1997-04-24	VYDAJ	VYBER	5880	97476	\N	\N	\N
473073	1610	1998-08-10	VYDAJ	VYBER	3000	132382	\N	\N	\N
473074	1610	1998-11-23	VYDAJ	VYBER	3360	109146	\N	\N	\N
473075	1610	1998-01-12	VYDAJ	VYBER	4080	89951	\N	\N	\N
473076	1610	1998-08-11	VYDAJ	VYBER	840	99184	\N	\N	\N
473077	1610	1998-11-05	VYDAJ	VYBER	2520	88891	\N	\N	\N
473078	1610	1998-04-23	VYDAJ	VYBER	1800	82639	\N	\N	\N
473079	1610	1998-12-11	VYDAJ	VYBER	4560	79898	\N	\N	\N
473090	1610	1993-10-31	VYDAJ	VYBER	15	45238	SLUZBY	\N	\N
473091	1610	1993-11-30	VYDAJ	VYBER	15	41823	SLUZBY	\N	\N
473092	1610	1993-12-31	VYDAJ	VYBER	15	45802	SLUZBY	\N	\N
473093	1610	1994-01-31	VYDAJ	VYBER	15	33698	SLUZBY	\N	\N
473094	1610	1994-02-28	VYDAJ	VYBER	15	38651	SLUZBY	\N	\N
473095	1610	1994-03-31	VYDAJ	VYBER	15	41926	SLUZBY	\N	\N
473096	1610	1994-04-30	VYDAJ	VYBER	15	40507	SLUZBY	\N	\N
473097	1610	1994-05-31	VYDAJ	VYBER	15	40602	SLUZBY	\N	\N
473098	1610	1994-06-30	VYDAJ	VYBER	15	18171	SLUZBY	\N	\N
473099	1610	1994-07-31	VYDAJ	VYBER	15	31802	SLUZBY	\N	\N
473100	1610	1994-08-31	VYDAJ	VYBER	15	36250	SLUZBY	\N	\N
473101	1610	1994-09-30	VYDAJ	VYBER	15	52348	SLUZBY	\N	\N
473102	1610	1994-10-31	VYDAJ	VYBER	15	57783	SLUZBY	\N	\N
473103	1610	1994-11-30	VYDAJ	VYBER	15	59573	SLUZBY	\N	\N
473104	1610	1994-12-31	VYDAJ	VYBER	15	77458	SLUZBY	\N	\N
473105	1610	1995-01-31	VYDAJ	VYBER	15	66291	SLUZBY	\N	\N
473106	1610	1995-02-28	VYDAJ	VYBER	15	65044	SLUZBY	\N	\N
473107	1610	1995-03-31	VYDAJ	VYBER	15	65815	SLUZBY	\N	\N
473108	1610	1995-04-30	VYDAJ	VYBER	15	73411	SLUZBY	\N	\N
473109	1610	1995-05-31	VYDAJ	VYBER	15	70264	SLUZBY	\N	\N
473110	1610	1995-06-30	VYDAJ	VYBER	15	61409	SLUZBY	\N	\N
473111	1610	1995-07-31	VYDAJ	VYBER	15	71595	SLUZBY	\N	\N
473112	1610	1995-08-31	VYDAJ	VYBER	15	79014	SLUZBY	\N	\N
473113	1610	1995-09-30	VYDAJ	VYBER	15	82654	SLUZBY	\N	\N
473114	1610	1995-10-31	VYDAJ	VYBER	15	81494	SLUZBY	\N	\N
473115	1610	1995-11-30	VYDAJ	VYBER	15	82937	SLUZBY	\N	\N
473116	1610	1995-12-31	VYDAJ	VYBER	15	92703	SLUZBY	\N	\N
473117	1610	1996-01-31	VYDAJ	VYBER	15	70877	SLUZBY	\N	\N
473118	1610	1996-02-29	VYDAJ	VYBER	15	82605	SLUZBY	\N	\N
473119	1610	1996-03-31	VYDAJ	VYBER	15	80082	SLUZBY	\N	\N
473120	1610	1996-04-30	VYDAJ	VYBER	15	83428	SLUZBY	\N	\N
473121	1610	1996-05-31	VYDAJ	VYBER	15	85277	SLUZBY	\N	\N
473122	1610	1996-06-30	VYDAJ	VYBER	15	75135	SLUZBY	\N	\N
473123	1610	1996-07-31	VYDAJ	VYBER	15	70270	SLUZBY	\N	\N
473124	1610	1996-08-31	VYDAJ	VYBER	15	73806	SLUZBY	\N	\N
473125	1610	1996-09-30	VYDAJ	VYBER	15	76755	SLUZBY	\N	\N
473126	1610	1996-10-31	VYDAJ	VYBER	15	78834	SLUZBY	\N	\N
473127	1610	1996-11-30	VYDAJ	VYBER	15	83303	SLUZBY	\N	\N
473128	1610	1996-12-31	VYDAJ	VYBER	15	69093	SLUZBY	\N	\N
473129	1610	1997-01-31	VYDAJ	VYBER	15	69531	SLUZBY	\N	\N
473130	1610	1997-02-28	VYDAJ	VYBER	15	81962	SLUZBY	\N	\N
473131	1610	1997-03-31	VYDAJ	VYBER	15	85241	SLUZBY	\N	\N
473132	1610	1997-04-30	VYDAJ	VYBER	15	87951	SLUZBY	\N	\N
473133	1610	1997-05-31	VYDAJ	VYBER	15	93454	SLUZBY	\N	\N
473134	1610	1997-06-30	VYDAJ	VYBER	15	60592	SLUZBY	\N	\N
473135	1610	1997-07-31	VYDAJ	VYBER	15	83212	SLUZBY	\N	\N
473136	1610	1997-08-31	VYDAJ	VYBER	15	96200	SLUZBY	\N	\N
473137	1610	1997-09-30	VYDAJ	VYBER	15	67630	SLUZBY	\N	\N
473138	1610	1997-10-31	VYDAJ	VYBER	15	85238	SLUZBY	\N	\N
473139	1610	1997-11-30	VYDAJ	VYBER	15	99634	SLUZBY	\N	\N
473140	1610	1997-12-31	VYDAJ	VYBER	15	82756	SLUZBY	\N	\N
473141	1610	1998-01-31	VYDAJ	VYBER	15	89501	SLUZBY	\N	\N
473142	1610	1998-02-28	VYDAJ	VYBER	15	101709	SLUZBY	\N	\N
473143	1610	1998-03-31	VYDAJ	VYBER	15	104424	SLUZBY	\N	\N
473144	1610	1998-04-30	VYDAJ	VYBER	15	82967	SLUZBY	\N	\N
473145	1610	1998-05-31	VYDAJ	VYBER	15	103661	SLUZBY	\N	\N
473146	1610	1998-06-30	VYDAJ	VYBER	15	86096	SLUZBY	\N	\N
473147	1610	1998-07-31	VYDAJ	VYBER	15	111009	SLUZBY	\N	\N
473148	1610	1998-08-31	VYDAJ	VYBER	15	108710	SLUZBY	\N	\N
473149	1610	1998-09-30	VYDAJ	VYBER	15	105237	SLUZBY	\N	\N
473150	1610	1998-10-31	VYDAJ	VYBER	15	91411	SLUZBY	\N	\N
473151	1610	1998-11-30	VYDAJ	VYBER	15	109557	SLUZBY	\N	\N
473152	1610	1993-06-16	VYDAJ	VYBER	8800	28260	\N	\N	\N
473153	1610	1993-07-16	VYDAJ	VYBER	14300	38391	\N	\N	\N
473154	1610	1993-08-15	VYDAJ	VYBER	19000	43904	\N	\N	\N
473155	1610	1993-09-14	VYDAJ	VYBER	21500	46949	\N	\N	\N
473156	1610	1993-10-14	VYDAJ	VYBER	20200	45055	\N	\N	\N
473157	1610	1993-11-13	VYDAJ	VYBER	21700	41653	\N	\N	\N
473158	1610	1993-12-13	VYDAJ	VYBER	21300	45625	\N	\N	\N
473159	1610	1994-01-12	VYDAJ	VYBER	19700	40497	\N	\N	\N
473160	1610	1994-02-11	VYDAJ	VYBER	13300	44771	\N	\N	\N
473161	1610	1994-03-13	VYDAJ	VYBER	15000	41766	\N	\N	\N
473162	1610	1994-04-12	VYDAJ	VYBER	14900	45141	\N	\N	\N
473163	1610	1994-05-12	VYDAJ	VYBER	17100	40442	\N	\N	\N
473164	1610	1994-06-11	VYDAJ	VYBER	22500	54661	\N	\N	\N
473165	1610	1994-07-11	VYDAJ	VYBER	4600	37944	\N	\N	\N
473166	1610	1994-08-10	VYDAJ	VYBER	13800	42375	\N	\N	\N
473167	1610	1994-09-09	VYDAJ	VYBER	2200	34050	\N	\N	\N
473168	1610	1994-10-09	VYDAJ	VYBER	12900	39448	\N	\N	\N
473169	1610	1994-11-08	VYDAJ	VYBER	13800	43983	\N	\N	\N
473170	1610	1994-12-08	VYDAJ	VYBER	11900	46873	\N	\N	\N
473171	1610	1995-01-07	VYDAJ	VYBER	20200	54738	\N	\N	\N
473172	1610	1995-02-06	VYDAJ	VYBER	14700	51591	\N	\N	\N
473173	1610	1995-03-08	VYDAJ	VYBER	12200	49964	\N	\N	\N
473174	1610	1995-04-07	VYDAJ	VYBER	10800	55015	\N	\N	\N
473175	1610	1995-05-07	VYDAJ	VYBER	18900	54511	\N	\N	\N
473176	1610	1995-06-06	VYDAJ	VYBER	14000	56264	\N	\N	\N
473177	1610	1995-07-06	VYDAJ	VYBER	8200	53209	\N	\N	\N
473178	1610	1995-08-05	VYDAJ	VYBER	11000	60595	\N	\N	\N
473179	1610	1995-09-04	VYDAJ	VYBER	14800	64214	\N	\N	\N
473180	1610	1995-10-04	VYDAJ	VYBER	19600	63054	\N	\N	\N
473181	1610	1995-11-03	VYDAJ	VYBER	17000	64494	\N	\N	\N
473182	1610	1995-12-03	VYDAJ	VYBER	16900	66037	\N	\N	\N
473183	1610	1996-01-02	VYDAJ	VYBER	22600	70103	\N	\N	\N
473184	1610	1996-02-01	VYDAJ	VYBER	6700	64177	\N	\N	\N
473185	1610	1996-03-02	VYDAJ	VYBER	15200	67405	\N	\N	\N
473186	1610	1996-04-01	VYDAJ	VYBER	13300	66782	\N	\N	\N
473187	1610	1996-05-01	VYDAJ	VYBER	16600	66828	\N	\N	\N
473188	1610	1996-05-31	VYDAJ	VYBER	16900	68377	\N	\N	\N
473189	1610	1996-06-30	VYDAJ	VYBER	8200	66935	\N	\N	\N
473190	1610	1996-07-30	VYDAJ	VYBER	15100	69950	\N	\N	\N
473191	1610	1996-08-29	VYDAJ	VYBER	14900	73485	\N	\N	\N
473192	1610	1996-09-28	VYDAJ	VYBER	15500	76421	\N	\N	\N
473193	1610	1996-10-28	VYDAJ	VYBER	15300	78490	\N	\N	\N
473194	1610	1996-11-27	VYDAJ	VYBER	14000	82949	\N	\N	\N
473195	1610	1996-12-10	VYDAJ	VYBER	35800	84062	\N	\N	\N
473196	1610	1996-12-27	VYDAJ	VYBER	4700	73104	\N	\N	\N
473197	1610	1997-01-26	VYDAJ	VYBER	1400	69248	\N	\N	\N
473198	1610	1997-02-25	VYDAJ	VYBER	6000	81646	\N	\N	\N
473199	1610	1997-03-27	VYDAJ	VYBER	15200	84877	\N	\N	\N
473200	1610	1997-04-26	VYDAJ	VYBER	9900	87576	\N	\N	\N
473201	1610	1997-05-26	VYDAJ	VYBER	13000	93066	\N	\N	\N
473202	1610	1997-06-10	VYDAJ	VYBER	60500	69514	\N	\N	\N
473203	1610	1997-06-25	PRIJEM	VKLAD	24300	60356	\N	\N	\N
473204	1610	1997-07-25	PRIJEM	VKLAD	7700	82927	\N	\N	\N
473205	1610	1997-08-24	VYDAJ	VYBER	5500	95827	\N	\N	\N
473206	1610	1997-09-10	VYDAJ	VYBER	60900	59673	\N	\N	\N
473207	1610	1997-09-23	PRIJEM	VKLAD	16700	70115	\N	\N	\N
473208	1610	1997-10-23	PRIJEM	VKLAD	5300	89005	\N	\N	\N
473209	1610	1997-11-22	VYDAJ	VYBER	4100	99253	\N	\N	\N
473210	1610	1997-12-10	VYDAJ	VYBER	52700	83494	\N	\N	\N
473211	1610	1997-12-22	PRIJEM	VKLAD	8700	85936	\N	\N	\N
473212	1610	1998-01-21	PRIJEM	VKLAD	3400	93351	\N	\N	\N
473213	1610	1998-02-20	VYDAJ	VYBER	6300	101316	\N	\N	\N
473214	1610	1998-03-10	VYDAJ	VYBER	22000	104082	\N	\N	\N
473215	1610	1998-03-22	PRIJEM	VKLAD	6200	104024	\N	\N	\N
473216	1610	1998-04-10	VYDAJ	VYBER	55600	73197	\N	\N	\N
473217	1610	1998-04-21	PRIJEM	VKLAD	17500	84439	\N	\N	\N
473218	1610	1998-05-21	PRIJEM	VKLAD	2200	103282	\N	\N	\N
473219	1610	1998-06-10	VYDAJ	VYBER	59500	80720	\N	\N	\N
473220	1610	1998-06-20	PRIJEM	VKLAD	17200	91662	\N	\N	\N
473221	1610	1998-07-20	PRIJEM	VKLAD	6400	110611	\N	\N	\N
473222	1610	1998-08-10	VYDAJ	VYBER	26100	106282	\N	\N	\N
473223	1610	1998-08-19	PRIJEM	VKLAD	9100	108284	\N	\N	\N
473224	1610	1998-09-10	VYDAJ	VYBER	33200	99883	\N	\N	\N
473225	1610	1998-09-18	PRIJEM	VKLAD	11200	104825	\N	\N	\N
473226	1610	1998-10-10	VYDAJ	VYBER	53700	75910	\N	\N	\N
473227	1610	1998-10-18	PRIJEM	VKLAD	21400	91052	\N	\N	\N
473228	1610	1998-11-17	PRIJEM	VKLAD	5500	112506	\N	\N	\N
473229	1610	1998-12-10	VYDAJ	VYBER	55400	90716	\N	\N	\N
473230	1610	1998-12-17	PRIJEM	VKLAD	23900	103798	\N	\N	\N
473298	1611	1996-02-11	PRIJEM	VKLAD	500	500	\N	\N	\N
473301	1611	1996-03-10	PRIJEM	VKLAD	11712	12212	\N	\N	\N
473302	1611	1996-04-10	PRIJEM	VKLAD	11712	30775	\N	\N	\N
473303	1611	1996-05-10	PRIJEM	VKLAD	11712	39791	\N	\N	\N
473304	1611	1996-06-10	PRIJEM	VKLAD	17568	46478	\N	\N	\N
473305	1611	1996-07-10	PRIJEM	VKLAD	11712	44722	\N	\N	\N
473306	1611	1996-08-10	PRIJEM	VKLAD	11712	39147	\N	\N	\N
473307	1611	1996-09-10	PRIJEM	VKLAD	11712	42683	\N	\N	\N
473308	1611	1996-10-10	PRIJEM	VKLAD	11712	43434	\N	\N	\N
473309	1611	1996-11-10	PRIJEM	VKLAD	11712	47592	\N	\N	\N
473310	1611	1996-12-10	PRIJEM	VKLAD	17568	52319	\N	\N	\N
473311	1611	1997-01-10	PRIJEM	VKLAD	11712	44605	\N	\N	\N
473312	1611	1997-02-10	PRIJEM	VKLAD	11712	45765	\N	\N	\N
473313	1611	1997-03-10	PRIJEM	VKLAD	11712	49418	\N	\N	\N
473314	1611	1997-04-10	PRIJEM	VKLAD	11712	50791	\N	\N	\N
473315	1611	1997-05-10	PRIJEM	VKLAD	11712	51672	\N	\N	\N
473316	1611	1997-06-10	PRIJEM	VKLAD	17568	60615	\N	\N	\N
473317	1611	1997-07-10	PRIJEM	VKLAD	11712	41716	\N	\N	\N
473318	1611	1997-08-10	PRIJEM	VKLAD	11712	43453	\N	\N	\N
473319	1611	1997-09-10	PRIJEM	VKLAD	11712	49299	\N	\N	\N
473320	1611	1997-10-10	PRIJEM	VKLAD	11712	54873	\N	\N	\N
473321	1611	1997-11-10	PRIJEM	VKLAD	11712	53563	\N	\N	\N
473322	1611	1997-12-10	PRIJEM	VKLAD	17568	64114	\N	\N	\N
473323	1611	1998-01-10	PRIJEM	VKLAD	11712	65239	\N	\N	\N
473324	1611	1998-02-10	PRIJEM	VKLAD	11712	61162	\N	\N	\N
473325	1611	1998-03-10	PRIJEM	VKLAD	11712	68186	\N	\N	\N
473326	1611	1998-04-10	PRIJEM	VKLAD	11712	71038	\N	\N	\N
473327	1611	1998-05-10	PRIJEM	VKLAD	11712	73705	\N	\N	\N
473328	1611	1998-06-10	PRIJEM	VKLAD	17568	74738	\N	\N	\N
473329	1611	1998-07-10	PRIJEM	VKLAD	11712	63799	\N	\N	\N
473330	1611	1998-08-10	PRIJEM	VKLAD	11712	70335	\N	\N	\N
473331	1611	1998-09-10	PRIJEM	VKLAD	11712	70993	\N	\N	\N
473332	1611	1998-10-10	PRIJEM	VKLAD	11712	70354	\N	\N	\N
473333	1611	1998-11-10	PRIJEM	VKLAD	11712	69411	\N	\N	\N
473334	1611	1998-12-10	PRIJEM	VKLAD	17568	68517	\N	\N	\N
473342	1611	1996-08-05	VYDAJ	PREVOD NA UCET	403	30535	SIPO	UV	84055351
473343	1611	1996-09-05	VYDAJ	PREVOD NA UCET	403	35471	SIPO	UV	84055351
473344	1611	1996-10-05	VYDAJ	PREVOD NA UCET	403	39022	SIPO	UV	84055351
473345	1611	1996-11-05	VYDAJ	PREVOD NA UCET	403	39780	SIPO	UV	84055351
473346	1611	1996-12-05	VYDAJ	PREVOD NA UCET	403	43951	SIPO	UV	84055351
473347	1611	1997-01-05	VYDAJ	PREVOD NA UCET	403	32793	SIPO	UV	84055351
473348	1611	1997-02-05	VYDAJ	PREVOD NA UCET	403	40953	SIPO	UV	84055351
473349	1611	1997-03-05	VYDAJ	PREVOD NA UCET	403	35906	SIPO	UV	84055351
473350	1611	1997-04-05	VYDAJ	PREVOD NA UCET	403	45779	SIPO	UV	84055351
473351	1611	1997-05-05	VYDAJ	PREVOD NA UCET	403	42460	SIPO	UV	84055351
473352	1611	1997-06-05	VYDAJ	PREVOD NA UCET	403	43047	SIPO	UV	84055351
473353	1611	1997-07-05	VYDAJ	PREVOD NA UCET	403	30004	SIPO	UV	84055351
473354	1611	1997-08-05	VYDAJ	PREVOD NA UCET	403	31741	SIPO	UV	84055351
473355	1611	1997-09-05	VYDAJ	PREVOD NA UCET	403	37587	SIPO	UV	84055351
473356	1611	1997-10-05	VYDAJ	PREVOD NA UCET	403	43161	SIPO	UV	84055351
473357	1611	1997-11-05	VYDAJ	PREVOD NA UCET	403	41851	SIPO	UV	84055351
473358	1611	1997-12-05	VYDAJ	PREVOD NA UCET	403	48746	SIPO	UV	84055351
473359	1611	1998-01-05	VYDAJ	PREVOD NA UCET	403	53527	SIPO	UV	84055351
473360	1611	1998-02-05	VYDAJ	PREVOD NA UCET	403	53350	SIPO	UV	84055351
473361	1611	1998-03-05	VYDAJ	PREVOD NA UCET	403	56474	SIPO	UV	84055351
473362	1611	1998-04-05	VYDAJ	PREVOD NA UCET	403	59326	SIPO	UV	84055351
473363	1611	1998-05-05	VYDAJ	PREVOD NA UCET	403	61993	SIPO	UV	84055351
473364	1611	1998-06-05	VYDAJ	PREVOD NA UCET	403	61970	SIPO	UV	84055351
473365	1611	1998-07-05	VYDAJ	PREVOD NA UCET	403	52087	SIPO	UV	84055351
473366	1611	1998-08-05	VYDAJ	PREVOD NA UCET	403	58623	SIPO	UV	84055351
473367	1611	1998-09-05	VYDAJ	PREVOD NA UCET	403	59281	SIPO	UV	84055351
473368	1611	1998-10-05	VYDAJ	PREVOD NA UCET	403	58642	SIPO	UV	84055351
473369	1611	1998-11-05	VYDAJ	PREVOD NA UCET	403	57699	SIPO	UV	84055351
473370	1611	1998-12-05	VYDAJ	PREVOD NA UCET	403	54249	SIPO	UV	84055351
473377	1611	1996-07-14	VYDAJ	PREVOD NA UCET	3403	30819	 	IJ	54032
473378	1611	1996-08-14	VYDAJ	PREVOD NA UCET	3403	35744	 	IJ	54032
473379	1611	1996-09-14	VYDAJ	PREVOD NA UCET	3403	39280	 	IJ	54032
473380	1611	1996-10-14	VYDAJ	PREVOD NA UCET	3403	40031	 	IJ	54032
473381	1611	1996-11-14	VYDAJ	PREVOD NA UCET	3403	44189	 	IJ	54032
473382	1611	1996-12-14	VYDAJ	PREVOD NA UCET	3403	48916	 	IJ	54032
473383	1611	1997-01-14	VYDAJ	PREVOD NA UCET	3403	41202	 	IJ	54032
473384	1611	1997-02-14	VYDAJ	PREVOD NA UCET	3403	38562	 	IJ	54032
473385	1611	1997-03-14	VYDAJ	PREVOD NA UCET	3403	46015	 	IJ	54032
473386	1611	1997-04-14	VYDAJ	PREVOD NA UCET	3403	47388	 	IJ	54032
473387	1611	1997-05-14	VYDAJ	PREVOD NA UCET	3403	48269	 	IJ	54032
473388	1611	1997-06-14	VYDAJ	PREVOD NA UCET	3403	57212	 	IJ	54032
473389	1611	1997-07-14	VYDAJ	PREVOD NA UCET	3403	36213	 	IJ	54032
473390	1611	1997-08-14	VYDAJ	PREVOD NA UCET	3403	40050	 	IJ	54032
473391	1611	1997-09-14	VYDAJ	PREVOD NA UCET	3403	45896	 	IJ	54032
473392	1611	1997-10-14	VYDAJ	PREVOD NA UCET	3403	51470	 	IJ	54032
473393	1611	1997-11-14	VYDAJ	PREVOD NA UCET	3403	50160	 	IJ	54032
473394	1611	1997-12-14	VYDAJ	PREVOD NA UCET	3403	60711	 	IJ	54032
473395	1611	1998-01-14	VYDAJ	PREVOD NA UCET	3403	53636	 	IJ	54032
473396	1611	1998-02-14	VYDAJ	PREVOD NA UCET	3403	57759	 	IJ	54032
473397	1611	1998-03-14	VYDAJ	PREVOD NA UCET	3403	64783	 	IJ	54032
473398	1611	1998-04-14	VYDAJ	PREVOD NA UCET	3403	67635	 	IJ	54032
473399	1611	1998-05-14	VYDAJ	PREVOD NA UCET	3403	70302	 	IJ	54032
473400	1611	1998-06-14	VYDAJ	PREVOD NA UCET	3403	71335	 	IJ	54032
473401	1611	1998-07-14	VYDAJ	PREVOD NA UCET	3403	60396	 	IJ	54032
473402	1611	1998-08-14	VYDAJ	PREVOD NA UCET	3403	66932	 	IJ	54032
473403	1611	1998-09-14	VYDAJ	PREVOD NA UCET	3403	67590	 	IJ	54032
473404	1611	1998-10-14	VYDAJ	PREVOD NA UCET	3403	66951	 	IJ	54032
473405	1611	1998-11-14	VYDAJ	PREVOD NA UCET	3403	66008	 	IJ	54032
473406	1611	1998-12-14	VYDAJ	PREVOD NA UCET	3403	65114	 	IJ	54032
473408	1611	1997-06-27	VYDAJ	VYBER	28400	28812	\N	\N	\N
473409	1611	1998-06-21	VYDAJ	VYBER	12200	59135	\N	\N	\N
473411	1611	1997-01-01	VYDAJ	VYBER	9200	33196	\N	\N	\N
473412	1611	1998-01-10	VYDAJ	VYBER	8200	57039	\N	\N	\N
473413	1611	1996-12-29	VYDAJ	VYBER	1900	47016	\N	\N	\N
473414	1611	1997-12-09	VYDAJ	VYBER KARTOU	2200	46546	\N	\N	0
473415	1611	1998-12-26	VYDAJ	VYBER KARTOU	2600	61614	\N	\N	0
473416	1611	1996-07-12	VYDAJ	VYBER	2100	34222	\N	\N	\N
473417	1611	1996-12-30	VYDAJ	VYBER	4800	42216	\N	\N	\N
473419	1611	1997-07-12	VYDAJ	VYBER KARTOU	2100	39616	\N	\N	0
473420	1611	1997-10-15	VYDAJ	VYBER KARTOU	3600	47870	\N	\N	0
473421	1611	1997-02-12	VYDAJ	VYBER	3800	41965	\N	\N	\N
473422	1611	1997-12-19	VYDAJ	VYBER	4200	56511	\N	\N	\N
473423	1611	1997-10-02	VYDAJ	VYBER KARTOU	1100	44964	\N	\N	0
473424	1611	1997-02-27	VYDAJ	VYBER	2400	36162	\N	\N	\N
473425	1611	1997-08-16	VYDAJ	VYBER KARTOU	2900	37150	\N	\N	0
473426	1611	1997-04-24	VYDAJ	VYBER	4700	42688	\N	\N	\N
473427	1611	1998-12-07	VYDAJ	VYBER KARTOU	3300	50949	\N	\N	0
473428	1611	1998-12-23	VYDAJ	VYBER KARTOU	900	64214	\N	\N	0
473429	1611	1998-02-20	VYDAJ	VYBER KARTOU	2500	55259	\N	\N	0
473430	1611	1998-07-05	VYDAJ	VYBER KARTOU	3700	52490	\N	\N	0
473431	1611	1998-06-09	VYDAJ	VYBER	4800	57170	\N	\N	\N
473432	1611	1998-05-29	VYDAJ	VYBER KARTOU	2600	67702	\N	\N	0
473433	1611	1998-01-01	VYDAJ	VYBER KARTOU	3800	53930	\N	\N	0
473434	1611	1998-02-09	VYDAJ	VYBER KARTOU	3900	49450	\N	\N	0
473442	1611	1996-07-31	VYDAJ	VYBER	15	30938	SLUZBY	\N	\N
473443	1611	1996-08-31	VYDAJ	VYBER	15	35874	SLUZBY	\N	\N
473444	1611	1996-09-30	VYDAJ	VYBER	15	39425	SLUZBY	\N	\N
473445	1611	1996-10-31	VYDAJ	VYBER	15	40183	SLUZBY	\N	\N
473446	1611	1996-11-30	VYDAJ	VYBER	15	44354	SLUZBY	\N	\N
473447	1611	1996-12-31	VYDAJ	VYBER	15	42396	SLUZBY	\N	\N
473448	1611	1997-01-31	VYDAJ	VYBER	15	41356	SLUZBY	\N	\N
473449	1611	1997-02-28	VYDAJ	VYBER	15	36309	SLUZBY	\N	\N
473450	1611	1997-03-31	VYDAJ	VYBER	15	46182	SLUZBY	\N	\N
473451	1611	1997-04-30	VYDAJ	VYBER	15	42863	SLUZBY	\N	\N
473452	1611	1997-05-31	VYDAJ	VYBER	15	48450	SLUZBY	\N	\N
473453	1611	1997-06-30	VYDAJ	VYBER	15	29007	SLUZBY	\N	\N
473454	1611	1997-07-31	VYDAJ	VYBER	15	36344	SLUZBY	\N	\N
473455	1611	1997-08-31	VYDAJ	VYBER	15	37290	SLUZBY	\N	\N
473456	1611	1997-09-30	VYDAJ	VYBER	15	46064	SLUZBY	\N	\N
473457	1611	1997-10-31	VYDAJ	VYBER	15	48054	SLUZBY	\N	\N
473458	1611	1997-11-30	VYDAJ	VYBER	15	50349	SLUZBY	\N	\N
473459	1611	1997-12-31	VYDAJ	VYBER	15	56730	SLUZBY	\N	\N
473460	1611	1998-01-31	VYDAJ	VYBER	15	53853	SLUZBY	\N	\N
473461	1611	1998-02-28	VYDAJ	VYBER	15	55477	SLUZBY	\N	\N
473462	1611	1998-03-31	VYDAJ	VYBER	15	65029	SLUZBY	\N	\N
473463	1611	1998-04-30	VYDAJ	VYBER	15	67896	SLUZBY	\N	\N
473464	1611	1998-05-31	VYDAJ	VYBER	15	62373	SLUZBY	\N	\N
473465	1611	1998-06-30	VYDAJ	VYBER	15	59390	SLUZBY	\N	\N
473466	1611	1998-07-31	VYDAJ	VYBER	15	59026	SLUZBY	\N	\N
473467	1611	1998-08-31	VYDAJ	VYBER	15	59684	SLUZBY	\N	\N
473468	1611	1998-09-30	VYDAJ	VYBER	15	59045	SLUZBY	\N	\N
473469	1611	1998-10-31	VYDAJ	VYBER	15	58102	SLUZBY	\N	\N
473470	1611	1998-11-30	VYDAJ	VYBER	15	54652	SLUZBY	\N	\N
473471	1611	1996-03-12	PRIJEM	VKLAD	6800	19012	\N	\N	\N
473472	1611	1996-04-11	VYDAJ	VYBER	2800	27975	\N	\N	\N
473473	1611	1996-05-11	VYDAJ	VYBER	11000	28791	\N	\N	\N
473474	1611	1996-06-10	VYDAJ	VYBER	13600	32878	\N	\N	\N
473475	1611	1996-07-10	VYDAJ	VYBER	8400	36322	\N	\N	\N
473476	1611	1996-08-09	VYDAJ	VYBER	3100	27435	\N	\N	\N
473477	1611	1996-09-08	VYDAJ	VYBER	4500	30971	\N	\N	\N
473478	1611	1996-10-08	VYDAJ	VYBER	7300	31722	\N	\N	\N
473479	1611	1996-11-07	VYDAJ	VYBER	3900	35880	\N	\N	\N
473480	1611	1996-12-07	VYDAJ	VYBER	9200	34751	\N	\N	\N
473481	1611	1997-01-06	PRIJEM	VKLAD	100	32893	\N	\N	\N
473482	1611	1997-02-05	VYDAJ	VYBER	6900	34053	\N	\N	\N
473483	1611	1997-03-07	PRIJEM	VKLAD	1800	37706	\N	\N	\N
473484	1611	1997-04-06	VYDAJ	VYBER	6700	39079	\N	\N	\N
473485	1611	1997-05-06	VYDAJ	VYBER	2500	39960	\N	\N	\N
473486	1611	1997-06-05	VYDAJ	VYBER	5000	43450	\N	\N	\N
473487	1611	1997-07-05	PRIJEM	VKLAD	1400	30407	\N	\N	\N
473488	1611	1997-08-04	VYDAJ	VYBER	4200	32144	\N	\N	\N
473489	1611	1997-09-03	PRIJEM	VKLAD	700	37990	\N	\N	\N
473490	1611	1997-10-03	VYDAJ	VYBER KARTOU	1400	43564	\N	\N	0
473491	1611	1997-11-02	VYDAJ	VYBER	5800	42254	\N	\N	\N
473492	1611	1997-12-02	VYDAJ	VYBER KARTOU	1200	49149	\N	\N	0
473493	1611	1998-01-01	PRIJEM	VKLAD	1000	57730	\N	\N	\N
473494	1611	1998-01-31	VYDAJ	VYBER KARTOU	100	53753	\N	\N	0
473495	1611	1998-03-02	PRIJEM	VKLAD	1400	56877	\N	\N	\N
473496	1611	1998-04-01	VYDAJ	VYBER	5300	59729	\N	\N	\N
473497	1611	1998-05-01	VYDAJ	VYBER	5500	62396	\N	\N	\N
473498	1611	1998-05-31	VYDAJ	VYBER	5600	62388	\N	\N	\N
473499	1611	1998-06-30	VYDAJ	VYBER KARTOU	3200	56190	\N	\N	0
473500	1611	1998-07-30	VYDAJ	VYBER KARTOU	1600	58796	\N	\N	0
473501	1611	1998-08-29	VYDAJ	VYBER	7500	59432	\N	\N	\N
473502	1611	1998-09-28	VYDAJ	VYBER	8800	58790	\N	\N	\N
473503	1611	1998-10-28	VYDAJ	VYBER	9100	57851	\N	\N	\N
473504	1611	1998-11-27	VYDAJ	VYBER	11600	54408	\N	\N	\N
473539	1612	1996-02-12	PRIJEM	VKLAD	400	400	\N	\N	\N
473542	1612	1996-03-05	PRIJEM	VKLAD	21172	21572	\N	\N	\N
473543	1612	1996-04-05	PRIJEM	VKLAD	21172	45005	\N	\N	\N
473544	1612	1996-05-05	PRIJEM	VKLAD	21172	52295	\N	\N	\N
473545	1612	1996-06-05	PRIJEM	VKLAD	31758	68698	\N	\N	\N
473546	1612	1996-07-05	PRIJEM	VKLAD	21172	64039	\N	\N	\N
473547	1612	1996-08-05	PRIJEM	VKLAD	21172	62972	\N	\N	\N
473548	1612	1996-09-05	PRIJEM	VKLAD	21172	61699	\N	\N	\N
473549	1612	1996-10-05	PRIJEM	VKLAD	21172	60020	\N	\N	\N
473550	1612	1996-11-05	PRIJEM	VKLAD	21172	61242	\N	\N	\N
473551	1612	1996-12-05	PRIJEM	VKLAD	31758	69745	\N	\N	\N
473552	1612	1997-01-05	PRIJEM	VKLAD	21172	60781	\N	\N	\N
473553	1612	1997-02-05	PRIJEM	VKLAD	21172	53299	\N	\N	\N
473554	1612	1997-03-05	PRIJEM	VKLAD	21172	56501	\N	\N	\N
473555	1612	1997-04-05	PRIJEM	VKLAD	21172	56806	\N	\N	\N
473556	1612	1997-05-05	PRIJEM	VKLAD	21172	55306	\N	\N	\N
473557	1612	1997-06-05	PRIJEM	VKLAD	31758	63185	\N	\N	\N
473558	1612	1997-07-05	PRIJEM	VKLAD	21172	37446	\N	\N	\N
473559	1612	1997-08-05	PRIJEM	VKLAD	21172	43893	\N	\N	\N
473560	1612	1997-09-05	PRIJEM	VKLAD	21172	38319	\N	\N	\N
473561	1612	1997-10-05	PRIJEM	VKLAD	21172	45628	\N	\N	\N
473562	1612	1997-11-05	PRIJEM	VKLAD	21172	43667	\N	\N	\N
473563	1612	1997-12-05	PRIJEM	VKLAD	31758	61086	\N	\N	\N
473564	1612	1998-01-05	PRIJEM	VKLAD	21172	50083	\N	\N	\N
473565	1612	1998-02-05	PRIJEM	VKLAD	21172	41215	\N	\N	\N
473566	1612	1998-03-05	PRIJEM	VKLAD	21172	48433	\N	\N	\N
473567	1612	1998-04-05	PRIJEM	VKLAD	21172	51388	\N	\N	\N
473568	1612	1998-05-05	PRIJEM	VKLAD	21172	50657	\N	\N	\N
473569	1612	1998-06-05	PRIJEM	VKLAD	31758	60311	\N	\N	\N
473570	1612	1998-07-05	PRIJEM	VKLAD	21172	42678	\N	\N	\N
473571	1612	1998-08-05	PRIJEM	VKLAD	21172	40710	\N	\N	\N
473572	1612	1998-09-05	PRIJEM	VKLAD	21172	39138	\N	\N	\N
473573	1612	1998-10-05	PRIJEM	VKLAD	21172	36218	\N	\N	\N
473574	1612	1998-11-05	PRIJEM	VKLAD	21172	38237	\N	\N	\N
473575	1612	1998-12-05	PRIJEM	VKLAD	31758	46249	\N	\N	\N
473577	1612	1997-06-14	VYDAJ	VYBER	18600	16185	\N	\N	\N
473578	1612	1998-06-22	VYDAJ	VYBER	17800	38511	\N	\N	\N
473580	1612	1997-01-01	VYDAJ	VYBER	2700	39609	\N	\N	\N
473581	1612	1998-01-01	VYDAJ	VYBER	6100	53211	\N	\N	\N
473582	1612	1996-12-18	VYDAJ	VYBER	1200	44145	\N	\N	\N
473583	1612	1997-12-12	VYDAJ	VYBER	2000	59086	\N	\N	\N
473584	1612	1998-12-16	VYDAJ	VYBER	800	45449	\N	\N	\N
473591	1612	1997-01-16	VYDAJ	VYBER	1500	32781	\N	\N	\N
473592	1612	1997-01-23	VYDAJ	VYBER	800	31981	\N	\N	\N
473593	1612	1997-01-10	VYDAJ	VYBER	2600	35681	\N	\N	\N
473594	1612	1997-01-10	VYDAJ	VYBER	2300	38281	\N	\N	\N
473595	1612	1997-01-07	VYDAJ	VYBER	1500	59281	\N	\N	\N
473596	1612	1997-01-12	VYDAJ	VYBER	1400	34281	\N	\N	\N
473597	1612	1998-01-30	VYDAJ	VYBER	1400	33983	\N	\N	\N
473598	1612	1998-01-20	VYDAJ	VYBER	1000	42383	\N	\N	\N
473599	1612	1998-01-28	VYDAJ	VYBER	1800	35383	\N	\N	\N
473600	1612	1998-01-25	VYDAJ	VYBER	2100	37183	\N	\N	\N
473601	1612	1998-01-09	VYDAJ	VYBER	1900	48183	\N	\N	\N
473602	1612	1998-01-20	VYDAJ	VYBER	1000	41383	\N	\N	\N
473604	1612	1996-12-28	VYDAJ	VYBER	2000	42145	\N	\N	\N
473605	1612	1997-06-03	VYDAJ	VYBER	900	31427	\N	\N	\N
473606	1612	1997-10-25	VYDAJ	VYBER	4000	41628	\N	\N	\N
473607	1612	1997-11-01	VYDAJ	VYBER	600	41195	\N	\N	\N
473608	1612	1998-09-08	VYDAJ	VYBER	4100	35038	\N	\N	\N
473609	1612	1998-02-01	VYDAJ	VYBER	4300	20043	\N	\N	\N
473610	1612	1998-01-20	VYDAJ	VYBER	2100	39283	\N	\N	\N
473611	1612	1998-06-06	VYDAJ	VYBER	4000	56311	\N	\N	\N
473612	1612	1998-01-16	VYDAJ	VYBER	4800	43383	\N	\N	\N
473620	1612	1996-07-31	VYDAJ	VYBER	15	41800	SLUZBY	\N	\N
473621	1612	1996-08-31	VYDAJ	VYBER	15	40527	SLUZBY	\N	\N
473622	1612	1996-09-30	VYDAJ	VYBER	15	38848	SLUZBY	\N	\N
473623	1612	1996-10-31	VYDAJ	VYBER	15	40070	SLUZBY	\N	\N
473624	1612	1996-11-30	VYDAJ	VYBER	15	37987	SLUZBY	\N	\N
473625	1612	1996-12-31	VYDAJ	VYBER	15	42309	SLUZBY	\N	\N
473626	1612	1997-01-31	VYDAJ	VYBER	15	32127	SLUZBY	\N	\N
473627	1612	1997-02-28	VYDAJ	VYBER	15	35329	SLUZBY	\N	\N
473628	1612	1997-03-31	VYDAJ	VYBER	15	35634	SLUZBY	\N	\N
473629	1612	1997-04-30	VYDAJ	VYBER	15	34134	SLUZBY	\N	\N
473630	1612	1997-05-31	VYDAJ	VYBER	15	32327	SLUZBY	\N	\N
473631	1612	1997-06-30	VYDAJ	VYBER	15	16274	SLUZBY	\N	\N
473632	1612	1997-07-31	VYDAJ	VYBER	15	22721	SLUZBY	\N	\N
473633	1612	1997-08-31	VYDAJ	VYBER	15	24747	SLUZBY	\N	\N
473634	1612	1997-09-30	VYDAJ	VYBER	15	38456	SLUZBY	\N	\N
473635	1612	1997-10-31	VYDAJ	VYBER	15	41795	SLUZBY	\N	\N
473636	1612	1997-11-30	VYDAJ	VYBER	15	43828	SLUZBY	\N	\N
473637	1612	1997-12-31	VYDAJ	VYBER	15	59311	SLUZBY	\N	\N
473638	1612	1998-01-31	VYDAJ	VYBER	15	34143	SLUZBY	\N	\N
473639	1612	1998-02-28	VYDAJ	VYBER	15	41361	SLUZBY	\N	\N
473640	1612	1998-03-31	VYDAJ	VYBER	15	48616	SLUZBY	\N	\N
473641	1612	1998-04-30	VYDAJ	VYBER	15	51585	SLUZBY	\N	\N
473642	1612	1998-05-31	VYDAJ	VYBER	15	50853	SLUZBY	\N	\N
473643	1612	1998-06-30	VYDAJ	VYBER	15	38706	SLUZBY	\N	\N
473644	1612	1998-07-31	VYDAJ	VYBER	15	42838	SLUZBY	\N	\N
473645	1612	1998-08-31	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
473646	1612	1998-09-30	VYDAJ	VYBER	15	15046	SLUZBY	\N	\N
473647	1612	1998-10-31	VYDAJ	VYBER	15	17065	SLUZBY	\N	\N
473648	1612	1998-11-30	VYDAJ	VYBER	15	14491	SLUZBY	\N	\N
473649	1612	1996-03-13	PRIJEM	VKLAD	2200	23772	\N	\N	\N
473650	1612	1996-04-12	VYDAJ	VYBER	14000	31005	\N	\N	\N
473651	1612	1996-05-12	VYDAJ	VYBER	15500	36795	\N	\N	\N
473652	1612	1996-06-11	VYDAJ	VYBER	26000	42698	\N	\N	\N
473653	1612	1996-07-11	VYDAJ	VYBER	22400	41639	\N	\N	\N
473654	1612	1996-08-10	VYDAJ	VYBER	22600	40372	\N	\N	\N
473655	1612	1996-09-09	VYDAJ	VYBER	23000	38699	\N	\N	\N
473656	1612	1996-10-09	VYDAJ	VYBER	20100	39920	\N	\N	\N
473657	1612	1996-11-08	VYDAJ	VYBER	23400	37842	\N	\N	\N
473658	1612	1996-12-08	VYDAJ	VYBER	24400	45345	\N	\N	\N
473659	1612	1997-01-07	VYDAJ	VYBER	18700	40581	\N	\N	\N
473660	1612	1997-02-06	VYDAJ	VYBER	18100	35199	\N	\N	\N
473661	1612	1997-03-08	VYDAJ	VYBER	21000	35501	\N	\N	\N
473662	1612	1997-04-07	VYDAJ	VYBER	22800	34006	\N	\N	\N
473663	1612	1997-05-07	VYDAJ	VYBER	23100	32206	\N	\N	\N
473664	1612	1997-06-06	VYDAJ	VYBER	28400	34785	\N	\N	\N
473665	1612	1997-07-06	VYDAJ	VYBER	14800	22646	\N	\N	\N
473666	1612	1997-08-05	VYDAJ	VYBER	19300	24593	\N	\N	\N
473667	1612	1997-09-04	VYDAJ	VYBER	7600	17147	\N	\N	\N
473668	1612	1997-10-04	VYDAJ	VYBER	14000	24456	\N	\N	\N
473669	1612	1997-11-03	VYDAJ	VYBER	18700	22495	\N	\N	\N
473670	1612	1997-12-03	VYDAJ	VYBER	14500	29328	\N	\N	\N
473671	1612	1998-01-02	VYDAJ	VYBER	24300	28911	\N	\N	\N
473672	1612	1998-02-01	VYDAJ	VYBER	9800	24343	\N	\N	\N
473673	1612	1998-03-03	VYDAJ	VYBER	14100	27261	\N	\N	\N
473674	1612	1998-04-02	VYDAJ	VYBER	18400	30216	\N	\N	\N
473675	1612	1998-05-02	VYDAJ	VYBER	22100	29485	\N	\N	\N
473676	1612	1998-06-01	VYDAJ	VYBER	22300	28553	\N	\N	\N
473677	1612	1998-07-01	VYDAJ	VYBER	17200	21506	\N	\N	\N
473678	1612	1998-07-31	VYDAJ	VYBER	23300	19538	\N	\N	\N
473679	1612	1998-08-30	VYDAJ	VYBER	22900	17810	\N	\N	\N
473680	1612	1998-09-29	VYDAJ	VYBER	20100	14938	\N	\N	\N
473681	1612	1998-10-29	VYDAJ	VYBER	19200	17018	\N	\N	\N
473682	1612	1998-11-28	VYDAJ	VYBER	23800	14437	\N	\N	\N
473717	1613	1995-09-13	PRIJEM	VKLAD	600	600	\N	\N	\N
473727	1613	1995-10-05	PRIJEM	PREVOD Z UCTU	6359	6959	DUCHOD	QR	7221281
473728	1613	1995-11-05	PRIJEM	PREVOD Z UCTU	6359	13318	DUCHOD	QR	7221281
473729	1613	1995-12-05	PRIJEM	PREVOD Z UCTU	6359	19677	DUCHOD	QR	7221281
473730	1613	1996-01-05	PRIJEM	PREVOD Z UCTU	6359	26036	DUCHOD	QR	7221281
473731	1613	1996-02-05	PRIJEM	PREVOD Z UCTU	6359	30363	DUCHOD	QR	7221281
473732	1613	1996-03-05	PRIJEM	PREVOD Z UCTU	6359	25568	DUCHOD	QR	7221281
473733	1613	1996-04-05	PRIJEM	PREVOD Z UCTU	6359	21253	DUCHOD	QR	7221281
473734	1613	1996-05-05	PRIJEM	PREVOD Z UCTU	6359	20129	DUCHOD	QR	7221281
473735	1613	1996-06-05	PRIJEM	PREVOD Z UCTU	6359	18098	DUCHOD	QR	7221281
473736	1613	1996-07-05	PRIJEM	PREVOD Z UCTU	6359	19769	DUCHOD	QR	7221281
473737	1613	1996-08-05	PRIJEM	PREVOD Z UCTU	6359	18138	DUCHOD	QR	7221281
473738	1613	1996-09-05	PRIJEM	PREVOD Z UCTU	6359	13992	DUCHOD	QR	7221281
473739	1613	1996-10-05	PRIJEM	PREVOD Z UCTU	6359	13441	DUCHOD	QR	7221281
473740	1613	1996-11-05	PRIJEM	PREVOD Z UCTU	6359	13690	DUCHOD	QR	7221281
473741	1613	1996-12-05	PRIJEM	PREVOD Z UCTU	6359	16444	DUCHOD	QR	7221281
473742	1613	1997-01-05	PRIJEM	PREVOD Z UCTU	6359	18659	DUCHOD	QR	7221281
473743	1613	1997-02-05	PRIJEM	PREVOD Z UCTU	6359	18469	DUCHOD	QR	7221281
473744	1613	1997-03-05	PRIJEM	PREVOD Z UCTU	6359	21243	DUCHOD	QR	7221281
473745	1613	1997-04-05	PRIJEM	PREVOD Z UCTU	6359	13497	DUCHOD	QR	7221281
473746	1613	1997-05-05	PRIJEM	PREVOD Z UCTU	6359	16250	DUCHOD	QR	7221281
473747	1613	1997-06-05	PRIJEM	PREVOD Z UCTU	6359	19015	DUCHOD	QR	7221281
473748	1613	1997-07-05	PRIJEM	PREVOD Z UCTU	6359	18737	DUCHOD	QR	7221281
473749	1613	1997-08-05	PRIJEM	PREVOD Z UCTU	6359	21512	DUCHOD	QR	7221281
473750	1613	1997-09-05	PRIJEM	PREVOD Z UCTU	6359	24299	DUCHOD	QR	7221281
473751	1613	1997-10-05	PRIJEM	PREVOD Z UCTU	6359	27097	DUCHOD	QR	7221281
473752	1613	1997-11-05	PRIJEM	PREVOD Z UCTU	6359	29907	DUCHOD	QR	7221281
473753	1613	1997-12-05	PRIJEM	PREVOD Z UCTU	6359	32728	DUCHOD	QR	7221281
473754	1613	1998-01-05	PRIJEM	PREVOD Z UCTU	6359	32560	DUCHOD	QR	7221281
473755	1613	1998-02-05	PRIJEM	PREVOD Z UCTU	6359	21311	DUCHOD	QR	7221281
473756	1613	1998-03-05	PRIJEM	PREVOD Z UCTU	6359	24097	DUCHOD	QR	7221281
473757	1613	1998-04-05	PRIJEM	PREVOD Z UCTU	6359	23614	DUCHOD	QR	7221281
473758	1613	1998-05-05	PRIJEM	PREVOD Z UCTU	6359	26417	DUCHOD	QR	7221281
473759	1613	1998-06-05	PRIJEM	PREVOD Z UCTU	6359	29224	DUCHOD	QR	7221281
473760	1613	1998-07-05	PRIJEM	PREVOD Z UCTU	6359	24240	DUCHOD	QR	7221281
473761	1613	1998-08-05	PRIJEM	PREVOD Z UCTU	6359	27038	DUCHOD	QR	7221281
473762	1613	1998-09-05	PRIJEM	PREVOD Z UCTU	6359	29847	DUCHOD	QR	7221281
473763	1613	1998-10-05	PRIJEM	PREVOD Z UCTU	6359	32668	DUCHOD	QR	7221281
473764	1613	1998-11-05	PRIJEM	PREVOD Z UCTU	6359	35501	DUCHOD	QR	7221281
473765	1613	1998-12-05	PRIJEM	PREVOD Z UCTU	6359	38346	DUCHOD	QR	7221281
473779	1613	1996-02-12	VYDAJ	PREVOD NA UCET	3628	19135	SIPO	GH	46822315
473780	1613	1996-03-12	VYDAJ	PREVOD NA UCET	3628	14840	SIPO	GH	46822315
473781	1613	1996-04-12	VYDAJ	PREVOD NA UCET	3628	13725	SIPO	GH	46822315
473782	1613	1996-05-12	VYDAJ	PREVOD NA UCET	3628	11701	SIPO	GH	46822315
473783	1613	1996-06-12	VYDAJ	PREVOD NA UCET	3628	13370	SIPO	GH	46822315
473784	1613	1996-07-12	VYDAJ	PREVOD NA UCET	3628	11741	SIPO	GH	46822315
473785	1613	1996-08-12	VYDAJ	PREVOD NA UCET	3628	7610	SIPO	GH	46822315
473786	1613	1996-09-12	VYDAJ	PREVOD NA UCET	3628	7064	SIPO	GH	46822315
473787	1613	1996-10-12	VYDAJ	PREVOD NA UCET	3628	7313	SIPO	GH	46822315
473788	1613	1996-11-12	VYDAJ	PREVOD NA UCET	3628	10062	SIPO	GH	46822315
473789	1613	1996-12-12	VYDAJ	PREVOD NA UCET	3628	12816	SIPO	GH	46822315
473790	1613	1997-01-12	VYDAJ	PREVOD NA UCET	3628	12951	SIPO	GH	46822315
473791	1613	1997-02-12	VYDAJ	PREVOD NA UCET	3628	14841	SIPO	GH	46822315
473792	1613	1997-03-12	VYDAJ	PREVOD NA UCET	3628	7115	SIPO	GH	46822315
473793	1613	1997-04-12	VYDAJ	PREVOD NA UCET	3628	9869	SIPO	GH	46822315
473794	1613	1997-05-12	VYDAJ	PREVOD NA UCET	3628	12622	SIPO	GH	46822315
473795	1613	1997-06-12	VYDAJ	PREVOD NA UCET	3628	15387	SIPO	GH	46822315
473796	1613	1997-07-12	VYDAJ	PREVOD NA UCET	3628	15109	SIPO	GH	46822315
473797	1613	1997-08-12	VYDAJ	PREVOD NA UCET	3628	17884	SIPO	GH	46822315
473798	1613	1997-09-12	VYDAJ	PREVOD NA UCET	3628	20671	SIPO	GH	46822315
473799	1613	1997-10-12	VYDAJ	PREVOD NA UCET	3628	23469	SIPO	GH	46822315
473800	1613	1997-11-12	VYDAJ	PREVOD NA UCET	3628	26279	SIPO	GH	46822315
473801	1613	1997-12-12	VYDAJ	PREVOD NA UCET	3628	27700	SIPO	GH	46822315
473802	1613	1998-01-12	VYDAJ	PREVOD NA UCET	3628	26932	SIPO	GH	46822315
473803	1613	1998-02-12	VYDAJ	PREVOD NA UCET	3628	17683	SIPO	GH	46822315
473804	1613	1998-03-12	VYDAJ	PREVOD NA UCET	3628	20469	SIPO	GH	46822315
473805	1613	1998-04-12	VYDAJ	PREVOD NA UCET	3628	19986	SIPO	GH	46822315
473806	1613	1998-05-12	VYDAJ	PREVOD NA UCET	3628	22789	SIPO	GH	46822315
473807	1613	1998-06-12	VYDAJ	PREVOD NA UCET	3628	25596	SIPO	GH	46822315
473808	1613	1998-07-12	VYDAJ	PREVOD NA UCET	3628	20612	SIPO	GH	46822315
473809	1613	1998-08-12	VYDAJ	PREVOD NA UCET	3628	23410	SIPO	GH	46822315
473810	1613	1998-09-12	VYDAJ	PREVOD NA UCET	3628	26219	SIPO	GH	46822315
473811	1613	1998-10-12	VYDAJ	PREVOD NA UCET	3628	29040	SIPO	GH	46822315
473812	1613	1998-11-12	VYDAJ	PREVOD NA UCET	3628	31873	SIPO	GH	46822315
473813	1613	1998-12-12	VYDAJ	PREVOD NA UCET	3628	34068	SIPO	GH	46822315
473816	1613	1997-06-20	VYDAJ	VYBER	3050	12337	\N	\N	\N
473817	1613	1998-06-19	VYDAJ	VYBER	4350	21246	\N	\N	\N
473821	1613	1998-01-29	VYDAJ	VYBER	2700	16312	\N	\N	\N
473823	1613	1996-12-19	VYDAJ	VYBER	550	12266	\N	\N	\N
473824	1613	1997-12-06	VYDAJ	VYBER	1400	31328	\N	\N	\N
473825	1613	1998-12-06	VYDAJ	VYBER	650	37696	\N	\N	\N
473838	1613	1997-01-08	VYDAJ	VYBER	2080	16579	\N	\N	\N
473839	1613	1997-01-25	VYDAJ	VYBER	880	12071	\N	\N	\N
473844	1613	1998-01-18	VYDAJ	VYBER	1120	21012	\N	\N	\N
473845	1613	1998-01-30	VYDAJ	VYBER	1440	14872	\N	\N	\N
473846	1613	1998-01-15	VYDAJ	VYBER	880	22132	\N	\N	\N
473847	1613	1998-01-08	VYDAJ	VYBER	1440	31120	\N	\N	\N
473848	1613	1998-01-12	VYDAJ	VYBER	560	30560	\N	\N	\N
473849	1613	1998-01-20	VYDAJ	VYBER	2000	19012	\N	\N	\N
473859	1613	1996-02-06	VYDAJ	VYBER	2400	27963	\N	\N	\N
473862	1613	1997-12-21	VYDAJ	VYBER	1600	26100	\N	\N	\N
473864	1613	1998-01-13	VYDAJ	VYBER	3920	23012	\N	\N	\N
473865	1613	1998-06-20	VYDAJ	VYBER	3440	17806	\N	\N	\N
473866	1613	1998-04-03	VYDAJ	VYBER	3280	17255	\N	\N	\N
473881	1613	1996-02-29	VYDAJ	VYBER	15	19209	SLUZBY	\N	\N
473882	1613	1996-03-31	VYDAJ	VYBER	15	14894	SLUZBY	\N	\N
473883	1613	1996-04-30	VYDAJ	VYBER	15	13770	SLUZBY	\N	\N
473884	1613	1996-05-31	VYDAJ	VYBER	15	11739	SLUZBY	\N	\N
473885	1613	1996-06-30	VYDAJ	VYBER	15	13410	SLUZBY	\N	\N
473886	1613	1996-07-31	VYDAJ	VYBER	15	11779	SLUZBY	\N	\N
473887	1613	1996-08-31	VYDAJ	VYBER	15	7633	SLUZBY	\N	\N
473888	1613	1996-09-30	VYDAJ	VYBER	15	7082	SLUZBY	\N	\N
473889	1613	1996-10-31	VYDAJ	VYBER	15	7331	SLUZBY	\N	\N
473890	1613	1996-11-30	VYDAJ	VYBER	15	10085	SLUZBY	\N	\N
473891	1613	1996-12-31	VYDAJ	VYBER	15	12300	SLUZBY	\N	\N
473892	1613	1997-01-31	VYDAJ	VYBER	15	12110	SLUZBY	\N	\N
473893	1613	1997-02-28	VYDAJ	VYBER	15	14884	SLUZBY	\N	\N
473894	1613	1997-03-31	VYDAJ	VYBER	15	7138	SLUZBY	\N	\N
473895	1613	1997-04-30	VYDAJ	VYBER	15	9891	SLUZBY	\N	\N
473896	1613	1997-05-31	VYDAJ	VYBER	15	12656	SLUZBY	\N	\N
473897	1613	1997-06-30	VYDAJ	VYBER	15	12378	SLUZBY	\N	\N
473898	1613	1997-07-31	VYDAJ	VYBER	15	15153	SLUZBY	\N	\N
473899	1613	1997-08-31	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
473900	1613	1997-09-30	VYDAJ	VYBER	15	20738	SLUZBY	\N	\N
473901	1613	1997-10-31	VYDAJ	VYBER	15	23548	SLUZBY	\N	\N
473902	1613	1997-11-30	VYDAJ	VYBER	15	26369	SLUZBY	\N	\N
473903	1613	1997-12-31	VYDAJ	VYBER	15	26201	SLUZBY	\N	\N
473904	1613	1998-01-31	VYDAJ	VYBER	15	14952	SLUZBY	\N	\N
473905	1613	1998-02-28	VYDAJ	VYBER	15	17738	SLUZBY	\N	\N
473906	1613	1998-03-31	VYDAJ	VYBER	15	20535	SLUZBY	\N	\N
473907	1613	1998-04-30	VYDAJ	VYBER	15	20058	SLUZBY	\N	\N
473908	1613	1998-05-31	VYDAJ	VYBER	15	22865	SLUZBY	\N	\N
473909	1613	1998-06-30	VYDAJ	VYBER	15	17881	SLUZBY	\N	\N
473910	1613	1998-07-31	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
473911	1613	1998-08-31	VYDAJ	VYBER	15	23488	SLUZBY	\N	\N
473912	1613	1998-09-30	VYDAJ	VYBER	15	26309	SLUZBY	\N	\N
473913	1613	1998-10-31	VYDAJ	VYBER	15	29142	SLUZBY	\N	\N
473914	1613	1998-11-30	VYDAJ	VYBER	15	31987	SLUZBY	\N	\N
473915	1613	1996-01-11	VYDAJ	VYBER	2100	23936	\N	\N	\N
473916	1613	1996-02-10	VYDAJ	VYBER	5200	22763	\N	\N	\N
473917	1613	1996-03-11	VYDAJ	VYBER	7100	18468	\N	\N	\N
473918	1613	1996-04-10	VYDAJ	VYBER	3900	17353	\N	\N	\N
473919	1613	1996-05-10	VYDAJ	VYBER	4800	15329	\N	\N	\N
473920	1613	1996-06-09	VYDAJ	VYBER	1100	16998	\N	\N	\N
473921	1613	1996-07-09	VYDAJ	VYBER	4400	15369	\N	\N	\N
473922	1613	1996-08-08	VYDAJ	VYBER	6900	11238	\N	\N	\N
473923	1613	1996-09-07	VYDAJ	VYBER	3300	10692	\N	\N	\N
473924	1613	1996-10-07	VYDAJ	VYBER	2500	10941	\N	\N	\N
473925	1613	1997-03-06	VYDAJ	VYBER	10500	10743	\N	\N	\N
473962	1614	1996-05-07	PRIJEM	VKLAD	300	300	\N	\N	\N
473967	1614	1996-05-08	PRIJEM	PREVOD Z UCTU	25204	25504	\N	MN	41725522
473968	1614	1996-06-08	PRIJEM	PREVOD Z UCTU	37806	64392	\N	MN	41725522
473969	1614	1996-07-08	PRIJEM	PREVOD Z UCTU	25204	71027	\N	MN	41725522
473970	1614	1996-08-08	PRIJEM	PREVOD Z UCTU	25204	78221	\N	MN	41725522
473971	1614	1996-09-08	PRIJEM	PREVOD Z UCTU	25204	77344	\N	MN	41725522
473972	1614	1996-10-08	PRIJEM	PREVOD Z UCTU	25204	62853	\N	MN	41725522
473973	1614	1996-11-08	PRIJEM	PREVOD Z UCTU	25204	67011	\N	MN	41725522
473974	1614	1996-12-08	PRIJEM	PREVOD Z UCTU	37806	77458	\N	MN	41725522
473975	1614	1997-01-08	PRIJEM	PREVOD Z UCTU	25204	55223	\N	MN	41725522
473976	1614	1997-02-08	PRIJEM	PREVOD Z UCTU	25204	63825	\N	MN	41725522
473977	1614	1997-03-08	PRIJEM	PREVOD Z UCTU	25204	73975	\N	MN	41725522
473978	1614	1997-04-08	PRIJEM	PREVOD Z UCTU	25204	65430	\N	MN	41725522
473979	1614	1997-05-08	PRIJEM	PREVOD Z UCTU	25204	74089	\N	MN	41725522
473980	1614	1997-06-08	PRIJEM	PREVOD Z UCTU	37806	82895	\N	MN	41725522
473981	1614	1997-07-08	PRIJEM	PREVOD Z UCTU	25204	77108	\N	MN	41725522
473982	1614	1997-08-08	PRIJEM	PREVOD Z UCTU	25204	81826	\N	MN	41725522
473983	1614	1997-09-08	PRIJEM	PREVOD Z UCTU	25204	60940	\N	MN	41725522
473984	1614	1997-10-08	PRIJEM	PREVOD Z UCTU	25204	71465	\N	MN	41725522
473985	1614	1997-11-08	PRIJEM	PREVOD Z UCTU	25204	75106	\N	MN	41725522
473986	1614	1997-12-08	PRIJEM	PREVOD Z UCTU	37806	75620	\N	MN	41725522
473987	1614	1998-01-08	PRIJEM	PREVOD Z UCTU	25204	72387	\N	MN	41725522
473988	1614	1998-02-08	PRIJEM	PREVOD Z UCTU	25204	64904	\N	MN	41725522
473989	1614	1998-03-08	PRIJEM	PREVOD Z UCTU	25204	74327	\N	MN	41725522
473990	1614	1998-04-08	PRIJEM	PREVOD Z UCTU	25204	87708	\N	MN	41725522
473991	1614	1998-05-08	PRIJEM	PREVOD Z UCTU	25204	92031	\N	MN	41725522
473992	1614	1998-06-08	PRIJEM	PREVOD Z UCTU	37806	93957	\N	MN	41725522
473993	1614	1998-07-08	PRIJEM	PREVOD Z UCTU	25204	72260	\N	MN	41725522
473994	1614	1998-08-08	PRIJEM	PREVOD Z UCTU	25204	84861	\N	MN	41725522
473995	1614	1998-09-08	PRIJEM	PREVOD Z UCTU	25204	92878	\N	MN	41725522
473996	1614	1998-10-08	PRIJEM	PREVOD Z UCTU	25204	91717	\N	MN	41725522
473997	1614	1998-11-08	PRIJEM	PREVOD Z UCTU	25204	97759	\N	MN	41725522
473998	1614	1998-12-08	PRIJEM	PREVOD Z UCTU	37806	109425	\N	MN	41725522
474007	1614	1996-09-11	VYDAJ	PREVOD NA UCET	5763	71581	SIPO	CD	41090893
474008	1614	1996-10-11	VYDAJ	PREVOD NA UCET	5763	57090	SIPO	CD	41090893
474009	1614	1996-11-11	VYDAJ	PREVOD NA UCET	5763	61248	SIPO	CD	41090893
474010	1614	1996-12-11	VYDAJ	PREVOD NA UCET	5763	71695	SIPO	CD	41090893
474011	1614	1997-01-11	VYDAJ	PREVOD NA UCET	5763	42860	SIPO	CD	41090893
474012	1614	1997-02-11	VYDAJ	PREVOD NA UCET	5763	58062	SIPO	CD	41090893
474013	1614	1997-03-11	VYDAJ	PREVOD NA UCET	5763	68212	SIPO	CD	41090893
474014	1614	1997-04-11	VYDAJ	PREVOD NA UCET	5763	59667	SIPO	CD	41090893
474015	1614	1997-05-11	VYDAJ	PREVOD NA UCET	5763	48384	SIPO	CD	41090893
474016	1614	1997-06-11	VYDAJ	PREVOD NA UCET	5763	77132	SIPO	CD	41090893
474017	1614	1997-07-11	VYDAJ	PREVOD NA UCET	5763	71345	SIPO	CD	41090893
474018	1614	1997-08-11	VYDAJ	PREVOD NA UCET	5763	76063	SIPO	CD	41090893
474019	1614	1997-09-11	VYDAJ	PREVOD NA UCET	5763	55177	SIPO	CD	41090893
474020	1614	1997-10-11	VYDAJ	PREVOD NA UCET	5763	65702	SIPO	CD	41090893
474021	1614	1997-11-11	VYDAJ	PREVOD NA UCET	5763	69343	SIPO	CD	41090893
474022	1614	1997-12-11	VYDAJ	PREVOD NA UCET	5763	69857	SIPO	CD	41090893
474023	1614	1998-01-11	VYDAJ	PREVOD NA UCET	5763	54509	SIPO	CD	41090893
474024	1614	1998-02-11	VYDAJ	PREVOD NA UCET	5763	59141	SIPO	CD	41090893
474025	1614	1998-03-11	VYDAJ	PREVOD NA UCET	5763	68564	SIPO	CD	41090893
474026	1614	1998-04-11	VYDAJ	PREVOD NA UCET	5763	81945	SIPO	CD	41090893
474027	1614	1998-05-11	VYDAJ	PREVOD NA UCET	5763	86268	SIPO	CD	41090893
474028	1614	1998-06-11	VYDAJ	PREVOD NA UCET	5763	88194	SIPO	CD	41090893
474029	1614	1998-07-11	VYDAJ	PREVOD NA UCET	5763	66497	SIPO	CD	41090893
474030	1614	1998-08-11	VYDAJ	PREVOD NA UCET	5763	79098	SIPO	CD	41090893
474031	1614	1998-09-11	VYDAJ	PREVOD NA UCET	5763	87115	SIPO	CD	41090893
474032	1614	1998-10-11	VYDAJ	PREVOD NA UCET	5763	85954	SIPO	CD	41090893
474033	1614	1998-11-11	VYDAJ	PREVOD NA UCET	5763	91996	SIPO	CD	41090893
474034	1614	1998-12-11	VYDAJ	PREVOD NA UCET	5763	103662	SIPO	CD	41090893
474035	1614	1996-09-13	VYBER	VYBER	24064	47517	\N	\N	\N
474037	1614	1996-12-01	VYBER	VYBER	14835	46652	\N	\N	\N
474040	1614	1996-12-25	VYBER	VYBER	15207	49288	\N	\N	\N
474043	1614	1997-03-22	VYBER	VYBER	2021	60212	\N	\N	\N
474044	1614	1997-12-26	VYBER	VYBER	4510	55447	\N	\N	\N
474045	1614	1997-11-27	VYBER	VYBER	5674	43204	\N	\N	\N
474046	1614	1997-11-19	VYBER	VYBER	20465	48878	\N	\N	\N
474047	1614	1997-05-10	VYBER	VYBER	19942	54147	\N	\N	\N
474048	1614	1997-03-23	VYBER	VYBER	20005	40207	\N	\N	\N
474049	1614	1997-03-12	VYBER	VYBER	5979	62233	\N	\N	\N
474050	1614	1997-10-16	VYBER	VYBER	12904	52798	\N	\N	\N
474051	1614	1997-08-20	VYBER	VYBER	20109	45154	\N	\N	\N
474052	1614	1997-08-30	VYBER	VYBER	14436	35518	\N	\N	\N
474053	1614	1998-01-10	VYBER	VYBER	12115	60272	\N	\N	\N
474054	1614	1998-07-04	VYBER	VYBER	19517	47056	\N	\N	\N
474055	1614	1998-09-29	VYBER	VYBER	4405	66210	\N	\N	\N
474058	1614	1998-06-21	VYDAJ	VYBER	19200	68994	\N	\N	\N
474059	1614	1996-12-15	VYDAJ	VYBER	7200	64495	\N	\N	\N
474060	1614	1997-12-07	VYDAJ	VYBER	6300	37814	\N	\N	\N
474061	1614	1998-12-02	VYDAJ	VYBER	5400	71619	\N	\N	\N
474068	1614	1997-01-09	VYDAJ	VYBER	1500	48623	\N	\N	\N
474069	1614	1997-01-14	VYDAJ	VYBER	3900	38960	\N	\N	\N
474070	1614	1997-01-07	VYDAJ	VYBER	3600	30019	\N	\N	\N
474071	1614	1997-01-08	VYDAJ	VYBER	5100	50123	\N	\N	\N
474072	1614	1997-01-28	VYDAJ	VYBER	1500	37460	\N	\N	\N
474073	1614	1997-01-07	VYDAJ	VYBER	8700	33619	\N	\N	\N
474074	1614	1998-01-15	VYDAJ	VYBER	2700	51809	\N	\N	\N
474075	1614	1998-01-28	VYDAJ	VYBER	4500	39509	\N	\N	\N
474076	1614	1998-01-07	VYDAJ	VYBER	4200	47183	\N	\N	\N
474077	1614	1998-01-20	VYDAJ	VYBER	5400	46409	\N	\N	\N
474078	1614	1998-01-20	VYDAJ	VYBER	2100	44309	\N	\N	\N
474079	1614	1998-01-24	VYDAJ	VYBER	7200	37109	\N	\N	\N
474086	1614	1997-06-26	VYDAJ	VYBER	12600	64532	\N	\N	\N
474087	1614	1997-08-15	VYDAJ	VYBER	10800	65263	\N	\N	\N
474088	1614	1997-12-25	VYDAJ	VYBER	7800	59957	\N	\N	\N
474089	1614	1997-12-18	VYDAJ	VYBER	2100	67757	\N	\N	\N
474090	1614	1997-09-28	VYDAJ	VYBER	7800	47377	\N	\N	\N
474091	1614	1998-05-22	VYDAJ	VYBER	14400	65268	\N	\N	\N
474092	1614	1998-02-17	VYDAJ	VYBER	11700	47441	\N	\N	\N
474093	1614	1998-11-20	VYDAJ	VYBER	1500	90496	\N	\N	\N
474094	1614	1998-07-31	VYDAJ	VYBER	3000	59671	\N	\N	\N
474095	1614	1998-05-31	VYDAJ	VYBER	4200	56151	\N	\N	\N
474096	1614	1998-05-20	VYDAJ	VYBER	6600	79668	\N	\N	\N
474097	1614	1998-04-18	VYDAJ	VYBER	7200	74745	\N	\N	\N
474107	1614	1996-09-30	VYDAJ	VYBER	15	47749	SLUZBY	\N	\N
474108	1614	1996-10-31	VYDAJ	VYBER	15	57307	SLUZBY	\N	\N
474109	1614	1996-11-30	VYDAJ	VYBER	15	61487	SLUZBY	\N	\N
474110	1614	1996-12-31	VYDAJ	VYBER	15	49519	SLUZBY	\N	\N
474111	1614	1997-01-31	VYDAJ	VYBER	15	37621	SLUZBY	\N	\N
474112	1614	1997-02-28	VYDAJ	VYBER	15	58271	SLUZBY	\N	\N
474113	1614	1997-03-31	VYDAJ	VYBER	15	40426	SLUZBY	\N	\N
474114	1614	1997-04-30	VYDAJ	VYBER	15	59885	SLUZBY	\N	\N
474115	1614	1997-05-31	VYDAJ	VYBER	15	48589	SLUZBY	\N	\N
474116	1614	1997-06-30	VYDAJ	VYBER	15	64804	SLUZBY	\N	\N
474117	1614	1997-07-31	VYDAJ	VYBER	15	71622	SLUZBY	\N	\N
474118	1614	1997-08-31	VYDAJ	VYBER	15	35736	SLUZBY	\N	\N
474119	1614	1997-09-30	VYDAJ	VYBER	15	46261	SLUZBY	\N	\N
474120	1614	1997-10-31	VYDAJ	VYBER	15	49902	SLUZBY	\N	\N
474121	1614	1997-11-30	VYDAJ	VYBER	15	44114	SLUZBY	\N	\N
474122	1614	1997-12-31	VYDAJ	VYBER	15	51383	SLUZBY	\N	\N
474123	1614	1998-01-31	VYDAJ	VYBER	15	39700	SLUZBY	\N	\N
474124	1614	1998-02-28	VYDAJ	VYBER	15	49123	SLUZBY	\N	\N
474125	1614	1998-03-31	VYDAJ	VYBER	15	62504	SLUZBY	\N	\N
474126	1614	1998-04-30	VYDAJ	VYBER	15	66827	SLUZBY	\N	\N
474127	1614	1998-05-31	VYDAJ	VYBER	15	60351	SLUZBY	\N	\N
474128	1614	1998-06-30	VYDAJ	VYBER	15	66573	SLUZBY	\N	\N
474129	1614	1998-07-31	VYDAJ	VYBER	15	59657	SLUZBY	\N	\N
474130	1614	1998-08-31	VYDAJ	VYBER	15	67674	SLUZBY	\N	\N
474131	1614	1998-09-30	VYDAJ	VYBER	15	66513	SLUZBY	\N	\N
474132	1614	1998-10-31	VYDAJ	VYBER	15	72555	SLUZBY	\N	\N
474133	1614	1998-11-30	VYDAJ	VYBER	15	77019	SLUZBY	\N	\N
474134	1614	1996-06-06	PRIJEM	VKLAD	1000	26586	\N	\N	\N
474135	1614	1996-07-06	VYDAJ	VYBER	18800	45823	\N	\N	\N
474136	1614	1996-08-05	VYDAJ	VYBER	18300	53017	\N	\N	\N
474137	1614	1996-09-04	VYDAJ	VYBER	26400	52140	\N	\N	\N
474138	1614	1996-10-04	VYDAJ	VYBER	10100	37649	\N	\N	\N
474139	1614	1996-11-03	VYDAJ	VYBER	15500	41807	\N	\N	\N
474140	1614	1996-12-03	VYDAJ	VYBER	7000	39652	\N	\N	\N
474141	1614	1997-01-02	VYDAJ	VYBER	7200	42319	\N	\N	\N
474142	1614	1997-02-01	PRIJEM	VKLAD	1000	38621	\N	\N	\N
474143	1614	1997-03-03	VYDAJ	VYBER	9500	48771	\N	\N	\N
474144	1614	1997-04-02	VYDAJ	VYBER	200	40226	\N	\N	\N
474145	1614	1997-05-02	VYDAJ	VYBER	11000	48885	\N	\N	\N
474146	1614	1997-06-01	VYDAJ	VYBER	3500	45089	\N	\N	\N
474147	1614	1997-07-01	VYDAJ	VYBER	12900	51904	\N	\N	\N
474148	1614	1997-07-31	VYDAJ	VYBER	15000	56622	\N	\N	\N
474149	1614	1997-08-30	PRIJEM	VKLAD	4800	49954	\N	\N	\N
474150	1614	1997-09-29	VYDAJ	VYBER	1300	46077	\N	\N	\N
474151	1614	1997-10-29	VYDAJ	VYBER	3100	49698	\N	\N	\N
474152	1614	1997-11-28	PRIJEM	VKLAD	700	43904	\N	\N	\N
474153	1614	1997-12-28	VYDAJ	VYBER	4300	51147	\N	\N	\N
474154	1614	1998-01-27	PRIJEM	VKLAD	6900	44009	\N	\N	\N
474155	1614	1998-02-26	PRIJEM	VKLAD	1500	48941	\N	\N	\N
474156	1614	1998-03-28	VYDAJ	VYBER	6300	62264	\N	\N	\N
474157	1614	1998-04-27	VYDAJ	VYBER	8200	66545	\N	\N	\N
474158	1614	1998-05-27	VYDAJ	VYBER	5200	60068	\N	\N	\N
474159	1614	1998-06-26	VYDAJ	VYBER	2700	66294	\N	\N	\N
474160	1614	1998-07-26	VYDAJ	VYBER	4100	62397	\N	\N	\N
474161	1614	1998-08-25	VYDAJ	VYBER	11700	67398	\N	\N	\N
474162	1614	1998-09-24	VYDAJ	VYBER	16500	70615	\N	\N	\N
474163	1614	1998-10-24	VYDAJ	VYBER	13700	72254	\N	\N	\N
474164	1614	1998-11-23	VYDAJ	VYBER	13800	76696	\N	\N	\N
474197	1615	1997-10-20	PRIJEM	VKLAD	900	900	\N	\N	\N
474208	1615	1997-11-14	PRIJEM	PREVOD Z UCTU	6626	7526	DUCHOD	ST	96091472
474209	1615	1997-12-14	PRIJEM	PREVOD Z UCTU	6626	14152	DUCHOD	ST	96091472
474210	1615	1998-01-14	PRIJEM	PREVOD Z UCTU	6626	20778	DUCHOD	ST	96091472
474211	1615	1998-02-14	PRIJEM	PREVOD Z UCTU	6626	27404	DUCHOD	ST	96091472
474212	1615	1998-03-14	PRIJEM	PREVOD Z UCTU	6626	29471	DUCHOD	ST	96091472
474213	1615	1998-04-14	PRIJEM	PREVOD Z UCTU	6626	26874	DUCHOD	ST	96091472
474214	1615	1998-05-14	PRIJEM	PREVOD Z UCTU	6626	22627	DUCHOD	ST	96091472
474215	1615	1998-06-14	PRIJEM	PREVOD Z UCTU	6626	19684	DUCHOD	ST	96091472
474216	1615	1998-07-14	PRIJEM	PREVOD Z UCTU	6626	21731	DUCHOD	ST	96091472
474217	1615	1998-08-14	PRIJEM	PREVOD Z UCTU	6626	21283	DUCHOD	ST	96091472
474218	1615	1998-09-14	PRIJEM	PREVOD Z UCTU	6626	21353	DUCHOD	ST	96091472
474219	1615	1998-10-14	PRIJEM	PREVOD Z UCTU	6626	20100	DUCHOD	ST	96091472
474220	1615	1998-11-14	PRIJEM	PREVOD Z UCTU	6626	21848	DUCHOD	ST	96091472
474221	1615	1998-12-14	PRIJEM	PREVOD Z UCTU	6626	18290	DUCHOD	ST	96091472
474236	1615	1998-03-14	VYDAJ	PREVOD NA UCET	3124	26347	SIPO	QR	27684122
474237	1615	1998-04-14	VYDAJ	PREVOD NA UCET	3124	23750	SIPO	QR	27684122
474238	1615	1998-05-14	VYDAJ	PREVOD NA UCET	3124	19503	SIPO	QR	27684122
474239	1615	1998-06-14	VYDAJ	PREVOD NA UCET	3124	16560	SIPO	QR	27684122
474240	1615	1998-07-14	VYDAJ	PREVOD NA UCET	3124	18607	SIPO	QR	27684122
474241	1615	1998-08-14	VYDAJ	PREVOD NA UCET	3124	18159	SIPO	QR	27684122
474242	1615	1998-09-14	VYDAJ	PREVOD NA UCET	3124	18229	SIPO	QR	27684122
474243	1615	1998-10-14	VYDAJ	PREVOD NA UCET	3124	16976	SIPO	QR	27684122
474244	1615	1998-11-14	VYDAJ	PREVOD NA UCET	3124	18724	SIPO	QR	27684122
474245	1615	1998-12-14	VYDAJ	PREVOD NA UCET	3124	13066	SIPO	QR	27684122
474269	1615	1998-12-17	VYDAJ	VYBER	880	12186	\N	\N	\N
474271	1615	1998-08-16	VYDAJ	VYBER	1280	14679	\N	\N	\N
474272	1615	1998-03-29	VYDAJ	VYBER	2080	20167	\N	\N	\N
474273	1615	1998-05-02	VYDAJ	VYBER	3920	16001	\N	\N	\N
474289	1615	1998-03-31	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
474290	1615	1998-04-30	VYDAJ	VYBER	15	19921	SLUZBY	\N	\N
474291	1615	1998-05-31	VYDAJ	VYBER	15	13058	SLUZBY	\N	\N
474292	1615	1998-06-30	VYDAJ	VYBER	15	15105	SLUZBY	\N	\N
474293	1615	1998-07-31	VYDAJ	VYBER	15	14657	SLUZBY	\N	\N
474294	1615	1998-08-31	VYDAJ	VYBER	15	14727	SLUZBY	\N	\N
474295	1615	1998-09-30	VYDAJ	VYBER	15	13474	SLUZBY	\N	\N
474296	1615	1998-10-31	VYDAJ	VYBER	15	15222	SLUZBY	\N	\N
474297	1615	1998-11-30	VYDAJ	VYBER	15	11664	SLUZBY	\N	\N
474298	1615	1998-02-17	VYDAJ	VYBER	4600	22804	\N	\N	\N
474299	1615	1998-03-19	VYDAJ	VYBER	4100	22247	\N	\N	\N
474300	1615	1998-04-18	VYDAJ	VYBER	3900	19850	\N	\N	\N
474301	1615	1998-05-18	VYDAJ	VYBER	6500	13003	\N	\N	\N
474302	1615	1998-06-17	VYDAJ	VYBER	1500	15060	\N	\N	\N
474303	1615	1998-07-17	VYDAJ	VYBER	4000	14607	\N	\N	\N
474304	1615	1998-08-16	VYDAJ	VYBER	2200	15959	\N	\N	\N
474305	1615	1998-09-15	VYDAJ	VYBER	4800	13429	\N	\N	\N
474306	1615	1998-10-15	VYDAJ	VYBER	1800	15176	\N	\N	\N
474307	1615	1998-11-14	VYDAJ	VYBER	7100	11624	\N	\N	\N
474308	1615	1998-12-14	VYDAJ	VYBER	2100	16190	\N	\N	\N
474320	1616	1997-02-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
474322	1616	1997-02-09	PRIJEM	PREVOD Z UCTU	3964	5064	\N	MN	43064719
474323	1616	1997-03-09	PRIJEM	PREVOD Z UCTU	3964	9043	\N	MN	43064719
474324	1616	1997-04-09	PRIJEM	PREVOD Z UCTU	3964	25758	\N	MN	43064719
474325	1616	1997-05-09	PRIJEM	PREVOD Z UCTU	3964	27318	\N	MN	43064719
474326	1616	1997-06-09	PRIJEM	PREVOD Z UCTU	3964	23594	\N	MN	43064719
474327	1616	1997-07-09	PRIJEM	PREVOD Z UCTU	3964	21724	\N	MN	43064719
474328	1616	1997-08-09	PRIJEM	PREVOD Z UCTU	3964	22147	\N	MN	43064719
474329	1616	1997-09-09	PRIJEM	PREVOD Z UCTU	3964	23511	\N	MN	43064719
474330	1616	1997-10-09	PRIJEM	PREVOD Z UCTU	3964	25005	\N	MN	43064719
474331	1616	1997-11-09	PRIJEM	PREVOD Z UCTU	3964	24206	\N	MN	43064719
474332	1616	1997-12-09	PRIJEM	PREVOD Z UCTU	3964	23406	\N	MN	43064719
474333	1616	1998-01-09	PRIJEM	PREVOD Z UCTU	3964	17972	\N	MN	43064719
474334	1616	1998-02-09	PRIJEM	PREVOD Z UCTU	3964	16797	\N	MN	43064719
474335	1616	1998-03-09	PRIJEM	PREVOD Z UCTU	3964	17365	\N	MN	43064719
474336	1616	1998-04-09	PRIJEM	PREVOD Z UCTU	3964	18194	\N	MN	43064719
474337	1616	1998-05-09	PRIJEM	PREVOD Z UCTU	3964	19567	\N	MN	43064719
474338	1616	1998-06-09	PRIJEM	PREVOD Z UCTU	3964	18143	\N	MN	43064719
474339	1616	1998-07-09	PRIJEM	PREVOD Z UCTU	3964	21718	\N	MN	43064719
474340	1616	1998-08-09	PRIJEM	PREVOD Z UCTU	3964	24703	\N	MN	43064719
474341	1616	1998-09-09	PRIJEM	PREVOD Z UCTU	3964	25501	\N	MN	43064719
474342	1616	1998-10-09	PRIJEM	PREVOD Z UCTU	3964	30001	\N	MN	43064719
474343	1616	1998-11-09	PRIJEM	PREVOD Z UCTU	3964	31020	\N	MN	43064719
474344	1616	1998-12-09	PRIJEM	PREVOD Z UCTU	3964	30051	\N	MN	43064719
474350	1616	1997-06-14	VYDAJ	PREVOD NA UCET	2642	15792	SIPO	AB	24604940
474351	1616	1997-07-14	VYDAJ	PREVOD NA UCET	2642	19082	SIPO	AB	24604940
474352	1616	1997-08-14	VYDAJ	PREVOD NA UCET	2642	18485	SIPO	AB	24604940
474353	1616	1997-09-14	VYDAJ	PREVOD NA UCET	2642	20869	SIPO	AB	24604940
474354	1616	1997-10-14	VYDAJ	PREVOD NA UCET	2642	22363	SIPO	AB	24604940
474355	1616	1997-11-14	VYDAJ	PREVOD NA UCET	2642	21564	SIPO	AB	24604940
474356	1616	1997-12-14	VYDAJ	PREVOD NA UCET	2642	20764	SIPO	AB	24604940
474357	1616	1998-01-14	VYDAJ	PREVOD NA UCET	2642	15060	SIPO	AB	24604940
474358	1616	1998-02-14	VYDAJ	PREVOD NA UCET	2642	14155	SIPO	AB	24604940
474359	1616	1998-03-14	VYDAJ	PREVOD NA UCET	2642	14723	SIPO	AB	24604940
474360	1616	1998-04-14	VYDAJ	PREVOD NA UCET	2642	15552	SIPO	AB	24604940
474361	1616	1998-05-14	VYDAJ	PREVOD NA UCET	2642	16925	SIPO	AB	24604940
474362	1616	1998-06-14	VYDAJ	PREVOD NA UCET	2642	15501	SIPO	AB	24604940
474363	1616	1998-07-14	VYDAJ	PREVOD NA UCET	2642	19076	SIPO	AB	24604940
474364	1616	1998-08-14	VYDAJ	PREVOD NA UCET	2642	22061	SIPO	AB	24604940
474365	1616	1998-09-14	VYDAJ	PREVOD NA UCET	2642	22859	SIPO	AB	24604940
474366	1616	1998-10-14	VYDAJ	PREVOD NA UCET	2642	27359	SIPO	AB	24604940
474367	1616	1998-11-14	VYDAJ	PREVOD NA UCET	2642	28378	SIPO	AB	24604940
474368	1616	1998-12-14	VYDAJ	PREVOD NA UCET	2642	27409	SIPO	AB	24604940
474369	1616	1997-06-12	VYDAJ	VYBER	5160	18434	\N	\N	\N
474372	1616	1998-01-21	VYDAJ	VYBER	1680	13380	\N	\N	\N
474373	1616	1997-12-20	VYDAJ	VYBER	330	20434	\N	\N	\N
474374	1616	1998-12-07	VYDAJ	VYBER	180	26087	\N	\N	\N
474375	1616	1997-08-13	VYDAJ	VYBER	1020	21127	\N	\N	\N
474377	1616	1997-07-17	VYDAJ	VYBER	960	18122	\N	\N	\N
474379	1616	1998-04-04	VYDAJ	VYBER	540	14230	\N	\N	\N
474380	1616	1998-01-12	VYDAJ	VYBER	270	17702	\N	\N	\N
474381	1616	1998-11-21	VYDAJ	VYBER	1410	26968	\N	\N	\N
474388	1616	1997-06-30	VYDAJ	VYBER	15	15860	SLUZBY	\N	\N
474389	1616	1997-07-31	VYDAJ	VYBER	15	18183	SLUZBY	\N	\N
474390	1616	1997-08-31	VYDAJ	VYBER	15	18547	SLUZBY	\N	\N
474391	1616	1997-09-30	VYDAJ	VYBER	15	20941	SLUZBY	\N	\N
474392	1616	1997-10-31	VYDAJ	VYBER	15	22442	SLUZBY	\N	\N
474393	1616	1997-11-30	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
474394	1616	1997-12-31	VYDAJ	VYBER	15	20508	SLUZBY	\N	\N
474395	1616	1998-01-31	VYDAJ	VYBER	15	13433	SLUZBY	\N	\N
474396	1616	1998-02-28	VYDAJ	VYBER	15	14201	SLUZBY	\N	\N
474397	1616	1998-03-31	VYDAJ	VYBER	15	14770	SLUZBY	\N	\N
474398	1616	1998-04-30	VYDAJ	VYBER	15	15603	SLUZBY	\N	\N
474399	1616	1998-05-31	VYDAJ	VYBER	15	16979	SLUZBY	\N	\N
474400	1616	1998-06-30	VYDAJ	VYBER	15	15554	SLUZBY	\N	\N
474401	1616	1998-07-31	VYDAJ	VYBER	15	19139	SLUZBY	\N	\N
474402	1616	1998-08-31	VYDAJ	VYBER	15	21537	SLUZBY	\N	\N
474403	1616	1998-09-30	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
474404	1616	1998-10-31	VYDAJ	VYBER	15	27056	SLUZBY	\N	\N
474405	1616	1998-11-30	VYDAJ	VYBER	15	26267	SLUZBY	\N	\N
474406	1616	1997-03-09	PRIJEM	VKLAD	5800	14843	\N	\N	\N
474407	1616	1997-04-08	PRIJEM	VKLAD	6900	21794	\N	\N	\N
474408	1616	1997-05-08	VYDAJ	VYBER	2500	23354	\N	\N	\N
474409	1616	1997-06-07	VYDAJ	VYBER	7800	19630	\N	\N	\N
474410	1616	1997-07-07	PRIJEM	VKLAD	1900	17760	\N	\N	\N
474411	1616	1997-09-05	PRIJEM	VKLAD	1000	19547	\N	\N	\N
474412	1616	1997-10-05	PRIJEM	VKLAD	100	21041	\N	\N	\N
474413	1616	1997-11-04	VYDAJ	VYBER	2200	20242	\N	\N	\N
474414	1616	1997-12-04	VYDAJ	VYBER	2200	19442	\N	\N	\N
474415	1616	1998-01-03	VYDAJ	VYBER	6500	14008	\N	\N	\N
474416	1616	1998-02-02	VYDAJ	VYBER	600	12833	\N	\N	\N
474417	1616	1998-03-04	VYDAJ	VYBER	800	13401	\N	\N	\N
474418	1616	1998-06-02	VYDAJ	VYBER	2800	14179	\N	\N	\N
474419	1616	1998-07-02	PRIJEM	VKLAD	2200	17754	\N	\N	\N
474420	1616	1998-08-01	PRIJEM	VKLAD	1600	20739	\N	\N	\N
474421	1616	1998-08-31	VYDAJ	VYBER	600	21551	\N	\N	\N
474422	1616	1998-09-30	PRIJEM	VKLAD	3100	26052	\N	\N	\N
474423	1616	1998-10-30	VYDAJ	VYBER	400	26959	\N	\N	\N
474424	1616	1998-11-29	VYDAJ	VYBER	800	26168	\N	\N	\N
474448	1617	1993-06-01	PRIJEM	VKLAD	700	700	\N	\N	\N
474454	1617	1993-06-05	PRIJEM	PREVOD Z UCTU	5953	6653	DUCHOD	EF	38875293
474455	1617	1993-07-05	PRIJEM	PREVOD Z UCTU	5953	12630	DUCHOD	EF	38875293
474456	1617	1993-08-05	PRIJEM	PREVOD Z UCTU	5953	18611	DUCHOD	EF	38875293
474457	1617	1993-09-05	PRIJEM	PREVOD Z UCTU	5953	24592	DUCHOD	EF	38875293
474458	1617	1993-10-05	PRIJEM	PREVOD Z UCTU	5953	30572	DUCHOD	EF	38875293
474459	1617	1993-11-05	PRIJEM	PREVOD Z UCTU	5953	31914	DUCHOD	EF	38875293
474460	1617	1993-12-05	PRIJEM	PREVOD Z UCTU	5953	35842	DUCHOD	EF	38875293
474461	1617	1994-01-05	PRIJEM	PREVOD Z UCTU	5953	32720	DUCHOD	EF	38875293
474462	1617	1994-02-05	PRIJEM	PREVOD Z UCTU	5953	27380	DUCHOD	EF	38875293
474463	1617	1994-03-05	PRIJEM	PREVOD Z UCTU	5953	29488	DUCHOD	EF	38875293
474464	1617	1994-04-05	PRIJEM	PREVOD Z UCTU	5953	31281	DUCHOD	EF	38875293
474465	1617	1994-05-05	PRIJEM	PREVOD Z UCTU	5953	34403	DUCHOD	EF	38875293
474466	1617	1994-06-05	PRIJEM	PREVOD Z UCTU	5953	37137	DUCHOD	EF	38875293
474467	1617	1994-07-05	PRIJEM	PREVOD Z UCTU	5953	29757	DUCHOD	EF	38875293
474468	1617	1994-08-05	PRIJEM	PREVOD Z UCTU	5953	29021	DUCHOD	EF	38875293
474469	1617	1994-09-05	PRIJEM	PREVOD Z UCTU	5953	30030	DUCHOD	EF	38875293
474470	1617	1994-10-05	PRIJEM	PREVOD Z UCTU	5953	32045	DUCHOD	EF	38875293
474471	1617	1994-11-05	PRIJEM	PREVOD Z UCTU	5953	34468	DUCHOD	EF	38875293
474472	1617	1994-12-05	PRIJEM	PREVOD Z UCTU	5953	36900	DUCHOD	EF	38875293
474473	1617	1995-01-05	PRIJEM	PREVOD Z UCTU	5953	35460	DUCHOD	EF	38875293
474474	1617	1995-02-05	PRIJEM	PREVOD Z UCTU	5953	27487	DUCHOD	EF	38875293
474475	1617	1995-03-05	PRIJEM	PREVOD Z UCTU	5953	31993	DUCHOD	EF	38875293
474476	1617	1995-04-05	PRIJEM	PREVOD Z UCTU	5953	35216	DUCHOD	EF	38875293
474477	1617	1995-05-05	PRIJEM	PREVOD Z UCTU	5953	33146	DUCHOD	EF	38875293
474478	1617	1995-06-05	PRIJEM	PREVOD Z UCTU	5953	30666	DUCHOD	EF	38875293
474479	1617	1995-07-05	PRIJEM	PREVOD Z UCTU	5953	23282	DUCHOD	EF	38875293
474480	1617	1995-08-05	PRIJEM	PREVOD Z UCTU	5953	25868	DUCHOD	EF	38875293
474481	1617	1995-09-05	PRIJEM	PREVOD Z UCTU	5953	25496	DUCHOD	EF	38875293
474482	1617	1995-10-05	PRIJEM	PREVOD Z UCTU	5953	27990	DUCHOD	EF	38875293
474483	1617	1995-11-05	PRIJEM	PREVOD Z UCTU	5953	26910	DUCHOD	EF	38875293
474484	1617	1995-12-05	PRIJEM	PREVOD Z UCTU	5953	28508	DUCHOD	EF	38875293
474485	1617	1996-01-05	PRIJEM	PREVOD Z UCTU	5953	26723	DUCHOD	EF	38875293
474486	1617	1996-02-05	PRIJEM	PREVOD Z UCTU	5953	21691	DUCHOD	EF	38875293
474487	1617	1996-03-05	PRIJEM	PREVOD Z UCTU	5953	22892	DUCHOD	EF	38875293
474488	1617	1996-04-05	PRIJEM	PREVOD Z UCTU	5953	23045	DUCHOD	EF	38875293
474489	1617	1996-05-05	PRIJEM	PREVOD Z UCTU	5953	25929	DUCHOD	EF	38875293
474490	1617	1996-06-05	PRIJEM	PREVOD Z UCTU	5953	24415	DUCHOD	EF	38875293
474491	1617	1996-07-05	PRIJEM	PREVOD Z UCTU	5953	24368	DUCHOD	EF	38875293
474492	1617	1996-08-05	PRIJEM	PREVOD Z UCTU	5953	28460	DUCHOD	EF	38875293
474493	1617	1996-09-05	PRIJEM	PREVOD Z UCTU	5953	27957	DUCHOD	EF	38875293
474494	1617	1996-10-05	PRIJEM	PREVOD Z UCTU	5953	29356	DUCHOD	EF	38875293
474495	1617	1996-11-05	PRIJEM	PREVOD Z UCTU	5953	27954	DUCHOD	EF	38875293
474496	1617	1996-12-05	PRIJEM	PREVOD Z UCTU	5953	27347	DUCHOD	EF	38875293
474497	1617	1997-01-05	PRIJEM	PREVOD Z UCTU	5953	22226	DUCHOD	EF	38875293
474498	1617	1997-02-05	PRIJEM	PREVOD Z UCTU	5953	21243	DUCHOD	EF	38875293
474499	1617	1997-03-05	PRIJEM	PREVOD Z UCTU	5953	21108	DUCHOD	EF	38875293
474500	1617	1997-04-05	PRIJEM	PREVOD Z UCTU	5953	20974	DUCHOD	EF	38875293
474501	1617	1997-05-05	PRIJEM	PREVOD Z UCTU	5953	19735	DUCHOD	EF	38875293
474502	1617	1997-06-05	PRIJEM	PREVOD Z UCTU	5953	19494	DUCHOD	EF	38875293
474503	1617	1997-07-05	PRIJEM	PREVOD Z UCTU	5953	22682	DUCHOD	EF	38875293
474504	1617	1997-08-05	PRIJEM	PREVOD Z UCTU	5953	19544	DUCHOD	EF	38875293
474505	1617	1997-09-05	PRIJEM	PREVOD Z UCTU	5953	19501	DUCHOD	EF	38875293
474506	1617	1997-10-05	PRIJEM	PREVOD Z UCTU	5953	23972	DUCHOD	EF	38875293
474507	1617	1997-11-05	PRIJEM	PREVOD Z UCTU	5953	18730	DUCHOD	EF	38875293
474508	1617	1997-12-05	PRIJEM	PREVOD Z UCTU	5953	23198	DUCHOD	EF	38875293
474509	1617	1998-01-05	PRIJEM	PREVOD Z UCTU	5953	18956	DUCHOD	EF	38875293
474510	1617	1998-02-05	PRIJEM	PREVOD Z UCTU	5953	20618	DUCHOD	EF	38875293
474511	1617	1998-03-05	PRIJEM	PREVOD Z UCTU	5953	18071	DUCHOD	EF	38875293
474512	1617	1998-04-05	PRIJEM	PREVOD Z UCTU	5953	22535	DUCHOD	EF	38875293
474513	1617	1998-05-05	PRIJEM	PREVOD Z UCTU	5953	17387	DUCHOD	EF	38875293
474514	1617	1998-06-05	PRIJEM	PREVOD Z UCTU	5953	21848	DUCHOD	EF	38875293
474515	1617	1998-07-05	PRIJEM	PREVOD Z UCTU	5953	26328	DUCHOD	EF	38875293
474516	1617	1998-08-05	PRIJEM	PREVOD Z UCTU	5953	18886	DUCHOD	EF	38875293
474517	1617	1998-09-05	PRIJEM	PREVOD Z UCTU	5953	23354	DUCHOD	EF	38875293
474518	1617	1998-10-05	PRIJEM	PREVOD Z UCTU	5953	27840	DUCHOD	EF	38875293
474519	1617	1998-11-05	PRIJEM	PREVOD Z UCTU	5953	32345	DUCHOD	EF	38875293
474520	1617	1998-12-05	PRIJEM	PREVOD Z UCTU	5953	20868	DUCHOD	EF	38875293
474530	1617	1993-10-08	VYDAJ	PREVOD NA UCET	1536	29036	SIPO	AB	40236705
474531	1617	1993-11-08	VYDAJ	PREVOD NA UCET	1536	30378	SIPO	AB	40236705
474532	1617	1993-12-08	VYDAJ	PREVOD NA UCET	1536	34306	SIPO	AB	40236705
474533	1617	1994-01-08	VYDAJ	PREVOD NA UCET	1536	30704	SIPO	AB	40236705
474534	1617	1994-02-08	VYDAJ	PREVOD NA UCET	1536	25844	SIPO	AB	40236705
474535	1617	1994-03-08	VYDAJ	PREVOD NA UCET	1536	27952	SIPO	AB	40236705
474536	1617	1994-04-08	VYDAJ	PREVOD NA UCET	1536	29745	SIPO	AB	40236705
474537	1617	1994-05-08	VYDAJ	PREVOD NA UCET	1536	32867	SIPO	AB	40236705
474538	1617	1994-06-08	VYDAJ	PREVOD NA UCET	1536	35601	SIPO	AB	40236705
474539	1617	1994-07-08	VYDAJ	PREVOD NA UCET	1536	28221	SIPO	AB	40236705
474540	1617	1994-08-08	VYDAJ	PREVOD NA UCET	1536	27485	SIPO	AB	40236705
474541	1617	1994-09-08	VYDAJ	PREVOD NA UCET	1536	28494	SIPO	AB	40236705
474542	1617	1994-10-08	VYDAJ	PREVOD NA UCET	1536	30509	SIPO	AB	40236705
474543	1617	1994-11-08	VYDAJ	PREVOD NA UCET	1536	32932	SIPO	AB	40236705
474544	1617	1994-12-08	VYDAJ	PREVOD NA UCET	1536	35364	SIPO	AB	40236705
474545	1617	1995-01-08	VYDAJ	PREVOD NA UCET	1536	33924	SIPO	AB	40236705
474546	1617	1995-02-08	VYDAJ	PREVOD NA UCET	1536	25951	SIPO	AB	40236705
474547	1617	1995-03-08	VYDAJ	PREVOD NA UCET	1536	30457	SIPO	AB	40236705
474548	1617	1995-04-08	VYDAJ	PREVOD NA UCET	1536	33680	SIPO	AB	40236705
474549	1617	1995-05-08	VYDAJ	PREVOD NA UCET	1536	31610	SIPO	AB	40236705
474550	1617	1995-06-08	VYDAJ	PREVOD NA UCET	1536	29130	SIPO	AB	40236705
474551	1617	1995-07-08	VYDAJ	PREVOD NA UCET	1536	21746	SIPO	AB	40236705
474552	1617	1995-08-08	VYDAJ	PREVOD NA UCET	1536	20972	SIPO	AB	40236705
474553	1617	1995-09-08	VYDAJ	PREVOD NA UCET	1536	23960	SIPO	AB	40236705
474554	1617	1995-10-08	VYDAJ	PREVOD NA UCET	1536	26454	SIPO	AB	40236705
474555	1617	1995-11-08	VYDAJ	PREVOD NA UCET	1536	25374	SIPO	AB	40236705
474556	1617	1995-12-08	VYDAJ	PREVOD NA UCET	1536	26012	SIPO	AB	40236705
474557	1617	1996-01-08	VYDAJ	PREVOD NA UCET	1536	24787	SIPO	AB	40236705
474558	1617	1996-02-08	VYDAJ	PREVOD NA UCET	1536	20155	SIPO	AB	40236705
474559	1617	1996-03-08	VYDAJ	PREVOD NA UCET	1536	21356	SIPO	AB	40236705
474560	1617	1996-04-08	VYDAJ	PREVOD NA UCET	1536	21509	SIPO	AB	40236705
474561	1617	1996-05-08	VYDAJ	PREVOD NA UCET	1536	24393	SIPO	AB	40236705
474562	1617	1996-06-08	VYDAJ	PREVOD NA UCET	1536	22879	SIPO	AB	40236705
474563	1617	1996-07-08	VYDAJ	PREVOD NA UCET	1536	22832	SIPO	AB	40236705
474564	1617	1996-08-08	VYDAJ	PREVOD NA UCET	1536	26924	SIPO	AB	40236705
474565	1617	1996-09-08	VYDAJ	PREVOD NA UCET	1536	26421	SIPO	AB	40236705
474566	1617	1996-10-08	VYDAJ	PREVOD NA UCET	1536	27820	SIPO	AB	40236705
474567	1617	1996-11-08	VYDAJ	PREVOD NA UCET	1536	26418	SIPO	AB	40236705
474568	1617	1996-12-08	VYDAJ	PREVOD NA UCET	1536	25811	SIPO	AB	40236705
474569	1617	1997-01-08	VYDAJ	PREVOD NA UCET	1536	20050	SIPO	AB	40236705
474570	1617	1997-02-08	VYDAJ	PREVOD NA UCET	1536	19707	SIPO	AB	40236705
474571	1617	1997-03-08	VYDAJ	PREVOD NA UCET	1536	19572	SIPO	AB	40236705
474572	1617	1997-04-08	VYDAJ	PREVOD NA UCET	1536	19438	SIPO	AB	40236705
474573	1617	1997-05-08	VYDAJ	PREVOD NA UCET	1536	18199	SIPO	AB	40236705
474574	1617	1997-06-08	VYDAJ	PREVOD NA UCET	1536	16678	SIPO	AB	40236705
474575	1617	1997-07-08	VYDAJ	PREVOD NA UCET	1536	21146	SIPO	AB	40236705
474576	1617	1997-08-08	VYDAJ	PREVOD NA UCET	1536	18008	SIPO	AB	40236705
474577	1617	1997-09-08	VYDAJ	PREVOD NA UCET	1536	17965	SIPO	AB	40236705
474578	1617	1997-10-08	VYDAJ	PREVOD NA UCET	1536	22436	SIPO	AB	40236705
474579	1617	1997-11-08	VYDAJ	PREVOD NA UCET	1536	17194	SIPO	AB	40236705
474580	1617	1997-12-08	VYDAJ	PREVOD NA UCET	1536	12962	SIPO	AB	40236705
474581	1617	1998-01-08	VYDAJ	PREVOD NA UCET	1536	16780	SIPO	AB	40236705
474582	1617	1998-02-08	VYDAJ	PREVOD NA UCET	1536	12082	SIPO	AB	40236705
474583	1617	1998-03-08	VYDAJ	PREVOD NA UCET	1536	16535	SIPO	AB	40236705
474584	1617	1998-04-08	VYDAJ	PREVOD NA UCET	1536	11399	SIPO	AB	40236705
474585	1617	1998-05-08	VYDAJ	PREVOD NA UCET	1536	15851	SIPO	AB	40236705
474586	1617	1998-06-08	VYDAJ	PREVOD NA UCET	1536	20312	SIPO	AB	40236705
474587	1617	1998-07-08	VYDAJ	PREVOD NA UCET	1536	12892	SIPO	AB	40236705
474588	1617	1998-08-08	VYDAJ	PREVOD NA UCET	1536	17350	SIPO	AB	40236705
474589	1617	1998-09-08	VYDAJ	PREVOD NA UCET	1536	21818	SIPO	AB	40236705
474590	1617	1998-10-08	VYDAJ	PREVOD NA UCET	1536	26304	SIPO	AB	40236705
474591	1617	1998-11-08	VYDAJ	PREVOD NA UCET	1536	30809	SIPO	AB	40236705
474592	1617	1998-12-08	VYDAJ	PREVOD NA UCET	1536	19332	SIPO	AB	40236705
474594	1617	1994-06-15	VYDAJ	VYBER	11400	24201	\N	\N	\N
474595	1617	1995-06-26	VYDAJ	VYBER	6550	17240	\N	\N	\N
474596	1617	1996-06-18	VYDAJ	VYBER	2350	18349	\N	\N	\N
474600	1617	1994-01-16	VYDAJ	VYBER	1500	29204	\N	\N	\N
474601	1617	1995-01-22	VYDAJ	VYBER	3600	28084	\N	\N	\N
474602	1617	1996-01-04	VYDAJ	VYBER	4200	20770	\N	\N	\N
474605	1617	1993-12-17	VYDAJ	VYBER	800	33506	\N	\N	\N
474606	1617	1994-12-29	VYDAJ	VYBER	1000	29864	\N	\N	\N
474607	1617	1995-12-16	VYDAJ	VYBER	250	24882	\N	\N	\N
474608	1617	1996-12-25	VYDAJ	VYBER	300	16211	\N	\N	\N
474610	1617	1998-12-10	VYDAJ	VYBER	1350	17982	\N	\N	\N
474617	1617	1994-01-03	VYDAJ	VYBER	880	26767	\N	\N	\N
474618	1617	1994-01-22	VYDAJ	VYBER	800	25524	\N	\N	\N
474619	1617	1994-01-02	VYDAJ	VYBER	800	27647	\N	\N	\N
474620	1617	1994-01-06	VYDAJ	VYBER	480	32240	\N	\N	\N
474621	1617	1994-01-02	VYDAJ	VYBER	1200	28447	\N	\N	\N
474622	1617	1994-01-02	VYDAJ	VYBER	1280	29647	\N	\N	\N
474623	1617	1995-01-19	VYDAJ	VYBER	1840	31684	\N	\N	\N
474624	1617	1995-01-25	VYDAJ	VYBER	1360	21424	\N	\N	\N
474625	1617	1995-01-02	VYDAJ	VYBER	480	29507	\N	\N	\N
474626	1617	1995-01-25	VYDAJ	VYBER	800	22784	\N	\N	\N
474627	1617	1995-01-25	VYDAJ	VYBER	1600	23584	\N	\N	\N
474628	1617	1995-01-19	VYDAJ	VYBER	400	33524	\N	\N	\N
474629	1617	1996-01-14	VYDAJ	VYBER	800	23267	\N	\N	\N
474630	1617	1996-01-06	VYDAJ	VYBER	400	26323	\N	\N	\N
474631	1617	1996-01-20	VYDAJ	VYBER	2320	15667	\N	\N	\N
474633	1617	1996-01-18	VYDAJ	VYBER	880	17987	\N	\N	\N
474634	1617	1996-01-13	VYDAJ	VYBER	720	24067	\N	\N	\N
474637	1617	1997-01-11	VYDAJ	VYBER	1200	15230	\N	\N	\N
474638	1617	1997-01-11	VYDAJ	VYBER	1680	16430	\N	\N	\N
474639	1617	1997-01-09	VYDAJ	VYBER	1040	19010	\N	\N	\N
474640	1617	1997-01-06	VYDAJ	VYBER	640	21586	\N	\N	\N
474641	1617	1998-01-19	VYDAJ	VYBER	880	14620	\N	\N	\N
474643	1617	1998-01-15	VYDAJ	VYBER	1280	15500	\N	\N	\N
474646	1617	1998-01-07	VYDAJ	VYBER	640	18316	\N	\N	\N
474650	1617	1993-11-03	VYDAJ	VYBER	2160	25961	\N	\N	\N
474652	1617	1994-03-30	VYDAJ	VYBER	1120	25232	\N	\N	\N
474653	1617	1994-02-01	VYDAJ	VYBER	2000	21427	\N	\N	\N
474654	1617	1994-07-09	VYDAJ	VYBER	3440	24781	\N	\N	\N
474655	1617	1994-01-20	VYDAJ	VYBER	2880	26324	\N	\N	\N
474656	1617	1995-12-07	VYDAJ	VYBER	960	27548	\N	\N	\N
474657	1617	1995-12-14	VYDAJ	VYBER	880	25132	\N	\N	\N
474658	1617	1995-06-10	VYDAJ	VYBER	640	28490	\N	\N	\N
474659	1617	1995-08-08	VYDAJ	VYBER	3360	22508	\N	\N	\N
474660	1617	1995-10-26	VYDAJ	VYBER	2480	20874	\N	\N	\N
474662	1617	1996-03-09	VYDAJ	VYBER	3520	17836	\N	\N	\N
474663	1617	1996-06-17	VYDAJ	VYBER	880	20699	\N	\N	\N
474664	1617	1996-02-08	VYDAJ	VYBER	3280	16875	\N	\N	\N
474666	1617	1997-06-07	VYDAJ	VYBER	1280	18214	\N	\N	\N
474682	1617	1993-10-31	VYDAJ	VYBER	15	28121	SLUZBY	\N	\N
474683	1617	1993-11-30	VYDAJ	VYBER	15	29889	SLUZBY	\N	\N
474684	1617	1993-12-31	VYDAJ	VYBER	15	30927	SLUZBY	\N	\N
474685	1617	1994-01-31	VYDAJ	VYBER	15	23427	SLUZBY	\N	\N
474686	1617	1994-02-28	VYDAJ	VYBER	15	23535	SLUZBY	\N	\N
474687	1617	1994-03-31	VYDAJ	VYBER	15	25328	SLUZBY	\N	\N
474688	1617	1994-04-30	VYDAJ	VYBER	15	28450	SLUZBY	\N	\N
474689	1617	1994-05-31	VYDAJ	VYBER	15	31184	SLUZBY	\N	\N
474690	1617	1994-06-30	VYDAJ	VYBER	15	23804	SLUZBY	\N	\N
474691	1617	1994-07-31	VYDAJ	VYBER	15	23068	SLUZBY	\N	\N
474692	1617	1994-08-31	VYDAJ	VYBER	15	24077	SLUZBY	\N	\N
474693	1617	1994-09-30	VYDAJ	VYBER	15	26092	SLUZBY	\N	\N
474694	1617	1994-10-31	VYDAJ	VYBER	15	28515	SLUZBY	\N	\N
474695	1617	1994-11-30	VYDAJ	VYBER	15	30947	SLUZBY	\N	\N
474696	1617	1994-12-31	VYDAJ	VYBER	15	29987	SLUZBY	\N	\N
474697	1617	1995-01-31	VYDAJ	VYBER	15	21534	SLUZBY	\N	\N
474698	1617	1995-02-28	VYDAJ	VYBER	15	26040	SLUZBY	\N	\N
474699	1617	1995-03-31	VYDAJ	VYBER	15	29263	SLUZBY	\N	\N
474700	1617	1995-04-30	VYDAJ	VYBER	15	27193	SLUZBY	\N	\N
474701	1617	1995-05-31	VYDAJ	VYBER	15	24713	SLUZBY	\N	\N
474702	1617	1995-06-30	VYDAJ	VYBER	15	17329	SLUZBY	\N	\N
474703	1617	1995-07-31	VYDAJ	VYBER	15	19915	SLUZBY	\N	\N
474704	1617	1995-08-31	VYDAJ	VYBER	15	19543	SLUZBY	\N	\N
474705	1617	1995-09-30	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
474706	1617	1995-10-31	VYDAJ	VYBER	15	20957	SLUZBY	\N	\N
474707	1617	1995-11-30	VYDAJ	VYBER	15	22555	SLUZBY	\N	\N
474708	1617	1995-12-31	VYDAJ	VYBER	15	24970	SLUZBY	\N	\N
474709	1617	1996-01-31	VYDAJ	VYBER	15	15738	SLUZBY	\N	\N
474710	1617	1996-02-29	VYDAJ	VYBER	15	16939	SLUZBY	\N	\N
474711	1617	1996-03-31	VYDAJ	VYBER	15	17092	SLUZBY	\N	\N
474712	1617	1996-04-30	VYDAJ	VYBER	15	19976	SLUZBY	\N	\N
474713	1617	1996-05-31	VYDAJ	VYBER	15	18462	SLUZBY	\N	\N
474714	1617	1996-06-30	VYDAJ	VYBER	15	18415	SLUZBY	\N	\N
474715	1617	1996-07-31	VYDAJ	VYBER	15	22507	SLUZBY	\N	\N
474716	1617	1996-08-31	VYDAJ	VYBER	15	22004	SLUZBY	\N	\N
474717	1617	1996-09-30	VYDAJ	VYBER	15	23403	SLUZBY	\N	\N
474718	1617	1996-10-31	VYDAJ	VYBER	15	22001	SLUZBY	\N	\N
474719	1617	1996-11-30	VYDAJ	VYBER	15	21394	SLUZBY	\N	\N
474720	1617	1996-12-31	VYDAJ	VYBER	15	16273	SLUZBY	\N	\N
474721	1617	1997-01-31	VYDAJ	VYBER	15	15290	SLUZBY	\N	\N
474722	1617	1997-02-28	VYDAJ	VYBER	15	15155	SLUZBY	\N	\N
474723	1617	1997-03-31	VYDAJ	VYBER	15	15021	SLUZBY	\N	\N
474724	1617	1997-04-30	VYDAJ	VYBER	15	13782	SLUZBY	\N	\N
474725	1617	1997-05-31	VYDAJ	VYBER	15	13541	SLUZBY	\N	\N
474726	1617	1997-06-30	VYDAJ	VYBER	15	16729	SLUZBY	\N	\N
474727	1617	1997-07-31	VYDAJ	VYBER	15	13591	SLUZBY	\N	\N
474728	1617	1997-08-31	VYDAJ	VYBER	15	13548	SLUZBY	\N	\N
474729	1617	1997-09-30	VYDAJ	VYBER	15	18019	SLUZBY	\N	\N
474730	1617	1997-10-31	VYDAJ	VYBER	15	12777	SLUZBY	\N	\N
474731	1617	1997-11-30	VYDAJ	VYBER	15	17245	SLUZBY	\N	\N
474732	1617	1997-12-31	VYDAJ	VYBER	15	13003	SLUZBY	\N	\N
474733	1617	1998-01-31	VYDAJ	VYBER	15	14665	SLUZBY	\N	\N
474734	1617	1998-02-28	VYDAJ	VYBER	15	12118	SLUZBY	\N	\N
474735	1617	1998-03-31	VYDAJ	VYBER	15	16582	SLUZBY	\N	\N
474736	1617	1998-04-30	VYDAJ	VYBER	15	11434	SLUZBY	\N	\N
474737	1617	1998-05-31	VYDAJ	VYBER	15	15895	SLUZBY	\N	\N
474738	1617	1998-06-30	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
474739	1617	1998-07-31	VYDAJ	VYBER	15	12933	SLUZBY	\N	\N
474740	1617	1998-08-31	VYDAJ	VYBER	15	17401	SLUZBY	\N	\N
474741	1617	1998-09-30	VYDAJ	VYBER	15	21887	SLUZBY	\N	\N
474742	1617	1998-10-31	VYDAJ	VYBER	15	26392	SLUZBY	\N	\N
474743	1617	1998-11-30	VYDAJ	VYBER	15	30915	SLUZBY	\N	\N
474744	1617	1993-10-29	VYDAJ	VYBER	1000	28036	\N	\N	\N
474745	1617	1993-11-28	VYDAJ	VYBER	600	29778	\N	\N	\N
474746	1617	1993-12-28	VYDAJ	VYBER	2700	30806	\N	\N	\N
474747	1617	1994-01-27	VYDAJ	VYBER	2200	23324	\N	\N	\N
474748	1617	1994-02-26	VYDAJ	VYBER	2400	23444	\N	\N	\N
474749	1617	1994-03-28	VYDAJ	VYBER	1600	26352	\N	\N	\N
474750	1617	1994-04-27	VYDAJ	VYBER	1400	28345	\N	\N	\N
474751	1617	1994-05-27	VYDAJ	VYBER	1800	31067	\N	\N	\N
474752	1617	1994-06-26	VYDAJ	VYBER	500	23701	\N	\N	\N
474753	1617	1994-07-26	VYDAJ	VYBER	1800	22981	\N	\N	\N
474754	1617	1994-08-25	VYDAJ	VYBER	3500	23985	\N	\N	\N
474755	1617	1994-09-24	VYDAJ	VYBER	2500	25994	\N	\N	\N
474756	1617	1994-10-24	VYDAJ	VYBER	2100	28409	\N	\N	\N
474757	1617	1994-11-23	VYDAJ	VYBER	2100	30832	\N	\N	\N
474758	1617	1994-12-23	VYDAJ	VYBER	4500	30864	\N	\N	\N
474759	1617	1995-01-22	VYDAJ	VYBER	2900	25184	\N	\N	\N
474760	1617	1995-03-23	VYDAJ	VYBER	1300	29157	\N	\N	\N
474761	1617	1995-04-22	VYDAJ	VYBER	6600	27080	\N	\N	\N
474762	1617	1995-05-22	VYDAJ	VYBER	7000	24610	\N	\N	\N
474763	1617	1995-06-21	VYDAJ	VYBER	4700	23790	\N	\N	\N
474764	1617	1995-07-21	VYDAJ	VYBER	1900	19846	\N	\N	\N
474765	1617	1995-08-20	VYDAJ	VYBER	1500	19472	\N	\N	\N
474766	1617	1995-09-19	VYDAJ	VYBER	2000	21960	\N	\N	\N
474767	1617	1995-10-19	VYDAJ	VYBER	3100	23354	\N	\N	\N
474768	1617	1995-11-18	VYDAJ	VYBER	2900	22474	\N	\N	\N
474769	1617	1996-01-17	VYDAJ	VYBER	4400	18867	\N	\N	\N
474770	1617	1996-03-17	VYDAJ	VYBER	800	17036	\N	\N	\N
474771	1617	1996-04-16	VYDAJ	VYBER	1600	19909	\N	\N	\N
474772	1617	1996-05-16	VYDAJ	VYBER	6000	18393	\N	\N	\N
474773	1617	1996-06-15	VYDAJ	VYBER	1300	21579	\N	\N	\N
474774	1617	1996-07-15	VYDAJ	VYBER	400	22432	\N	\N	\N
474775	1617	1996-08-14	VYDAJ	VYBER	5000	21924	\N	\N	\N
474776	1617	1996-09-13	VYDAJ	VYBER	3100	23321	\N	\N	\N
474777	1617	1996-10-13	VYDAJ	VYBER	5900	21920	\N	\N	\N
474778	1617	1996-11-12	VYDAJ	VYBER	5100	21318	\N	\N	\N
474779	1617	1996-12-12	VYDAJ	VYBER	9300	16511	\N	\N	\N
474780	1617	1997-01-11	VYDAJ	VYBER	900	18110	\N	\N	\N
474781	1617	1997-02-10	VYDAJ	VYBER	4600	15107	\N	\N	\N
474782	1617	1997-03-12	VYDAJ	VYBER	4600	14972	\N	\N	\N
474783	1617	1997-04-11	VYDAJ	VYBER	5700	13738	\N	\N	\N
474784	1617	1997-05-11	VYDAJ	VYBER	4700	13499	\N	\N	\N
474785	1617	1997-07-10	VYDAJ	VYBER	7600	13546	\N	\N	\N
474786	1617	1997-08-09	VYDAJ	VYBER	4500	13508	\N	\N	\N
474787	1617	1997-10-08	VYDAJ	VYBER	9700	12736	\N	\N	\N
474788	1617	1997-12-07	VYDAJ	VYBER	8700	14498	\N	\N	\N
474789	1617	1998-02-05	VYDAJ	VYBER	7000	13618	\N	\N	\N
474790	1617	1998-04-06	VYDAJ	VYBER	9600	12935	\N	\N	\N
474791	1617	1998-07-05	VYDAJ	VYBER	11900	14428	\N	\N	\N
474792	1617	1998-12-02	VYDAJ	VYBER	16000	14915	\N	\N	\N
474860	1618	1996-12-18	PRIJEM	VKLAD	900	900	\N	\N	\N
474873	1618	1997-01-12	PRIJEM	PREVOD Z UCTU	3554	4454	\N	EF	76823490
474874	1618	1997-02-12	PRIJEM	PREVOD Z UCTU	3554	21143	\N	EF	76823490
474875	1618	1997-03-12	PRIJEM	PREVOD Z UCTU	3554	28685	\N	EF	76823490
474876	1618	1997-04-12	PRIJEM	PREVOD Z UCTU	3554	29745	\N	EF	76823490
474877	1618	1997-05-12	PRIJEM	PREVOD Z UCTU	3554	32914	\N	EF	76823490
474878	1618	1997-06-12	PRIJEM	PREVOD Z UCTU	3554	27672	\N	EF	76823490
474879	1618	1997-07-12	PRIJEM	PREVOD Z UCTU	3554	24644	\N	EF	76823490
474880	1618	1997-08-12	PRIJEM	PREVOD Z UCTU	3554	23212	\N	EF	76823490
474881	1618	1997-09-12	PRIJEM	PREVOD Z UCTU	3554	26185	\N	EF	76823490
474882	1618	1997-10-12	PRIJEM	PREVOD Z UCTU	3554	23118	\N	EF	76823490
474883	1618	1997-11-12	PRIJEM	PREVOD Z UCTU	3554	23183	\N	EF	76823490
474884	1618	1997-12-12	PRIJEM	PREVOD Z UCTU	3554	24002	\N	EF	76823490
474885	1618	1998-01-12	PRIJEM	PREVOD Z UCTU	3554	25214	\N	EF	76823490
474886	1618	1998-02-12	PRIJEM	PREVOD Z UCTU	3554	28644	\N	EF	76823490
474887	1618	1998-03-12	PRIJEM	PREVOD Z UCTU	3554	30030	\N	EF	76823490
474888	1618	1998-04-12	PRIJEM	PREVOD Z UCTU	3554	28119	\N	EF	76823490
474889	1618	1998-05-12	PRIJEM	PREVOD Z UCTU	3554	26210	\N	EF	76823490
474890	1618	1998-06-12	PRIJEM	PREVOD Z UCTU	3554	24191	\N	EF	76823490
474891	1618	1998-07-12	PRIJEM	PREVOD Z UCTU	3554	23895	\N	EF	76823490
475036	1618	1998-11-08	PRIJEM	VKLAD	6600	35215	\N	\N	\N
474892	1618	1998-08-12	PRIJEM	PREVOD Z UCTU	3554	22667	\N	EF	76823490
474893	1618	1998-09-12	PRIJEM	PREVOD Z UCTU	3554	28934	\N	EF	76823490
474894	1618	1998-10-12	PRIJEM	PREVOD Z UCTU	3554	30771	\N	EF	76823490
474895	1618	1998-11-12	PRIJEM	PREVOD Z UCTU	3554	38769	\N	EF	76823490
474896	1618	1998-12-12	PRIJEM	PREVOD Z UCTU	3554	45195	\N	EF	76823490
474914	1618	1997-06-06	VYDAJ	PREVOD NA UCET	2265	24118	SIPO	EF	1680028
474915	1618	1997-07-06	VYDAJ	PREVOD NA UCET	2265	21090	SIPO	EF	1680028
474916	1618	1997-08-06	VYDAJ	PREVOD NA UCET	2265	19658	SIPO	EF	1680028
474917	1618	1997-09-06	VYDAJ	PREVOD NA UCET	2265	22631	SIPO	EF	1680028
474918	1618	1997-10-06	VYDAJ	PREVOD NA UCET	2265	20074	SIPO	EF	1680028
474919	1618	1997-11-06	VYDAJ	PREVOD NA UCET	2265	19629	SIPO	EF	1680028
474920	1618	1997-12-06	VYDAJ	PREVOD NA UCET	2265	20448	SIPO	EF	1680028
474921	1618	1998-01-06	VYDAJ	PREVOD NA UCET	2265	22320	SIPO	EF	1680028
474922	1618	1998-02-06	VYDAJ	PREVOD NA UCET	2265	21390	SIPO	EF	1680028
474923	1618	1998-03-06	VYDAJ	PREVOD NA UCET	2265	26476	SIPO	EF	1680028
474924	1618	1998-04-06	VYDAJ	PREVOD NA UCET	2265	24565	SIPO	EF	1680028
474925	1618	1998-05-06	VYDAJ	PREVOD NA UCET	2265	22656	SIPO	EF	1680028
474926	1618	1998-06-06	VYDAJ	PREVOD NA UCET	2265	20537	SIPO	EF	1680028
474927	1618	1998-07-06	VYDAJ	PREVOD NA UCET	2265	14141	SIPO	EF	1680028
474928	1618	1998-08-06	VYDAJ	PREVOD NA UCET	2265	20413	SIPO	EF	1680028
474929	1618	1998-09-06	VYDAJ	PREVOD NA UCET	2265	20480	SIPO	EF	1680028
474930	1618	1998-10-06	VYDAJ	PREVOD NA UCET	2265	26767	SIPO	EF	1680028
474931	1618	1998-11-06	VYDAJ	PREVOD NA UCET	2265	28615	SIPO	EF	1680028
474932	1618	1998-12-06	VYDAJ	PREVOD NA UCET	2265	36641	SIPO	EF	1680028
474934	1618	1997-06-06	VYDAJ	VYBER	3120	26383	\N	\N	\N
474935	1618	1998-06-22	VYDAJ	VYBER	5940	18251	\N	\N	\N
474938	1618	1998-01-20	VYDAJ	VYBER	1410	26504	\N	\N	\N
474940	1618	1997-12-02	VYDAJ	VYBER	450	22713	\N	\N	\N
474941	1618	1998-12-14	VYDAJ	VYBER	660	44535	\N	\N	\N
474954	1618	1998-01-24	VYDAJ	VYBER	510	25454	\N	\N	\N
474955	1618	1998-01-27	VYDAJ	VYBER	810	24074	\N	\N	\N
474956	1618	1998-01-29	VYDAJ	VYBER	510	23564	\N	\N	\N
474957	1618	1998-01-16	VYDAJ	VYBER	840	28574	\N	\N	\N
474958	1618	1998-01-07	VYDAJ	VYBER	660	21660	\N	\N	\N
474959	1618	1998-01-19	VYDAJ	VYBER	660	27914	\N	\N	\N
474965	1618	1997-05-23	VYDAJ	VYBER	1320	29394	\N	\N	\N
474966	1618	1997-07-05	VYDAJ	VYBER	1410	23355	\N	\N	\N
474969	1618	1997-10-09	VYDAJ	VYBER	510	19564	\N	\N	\N
474970	1618	1997-10-04	VYDAJ	VYBER	630	22339	\N	\N	\N
474971	1618	1998-04-13	VYDAJ	VYBER	990	24829	\N	\N	\N
474972	1618	1998-06-27	VYDAJ	VYBER	1470	16781	\N	\N	\N
474973	1618	1998-01-26	VYDAJ	VYBER	570	24884	\N	\N	\N
474974	1618	1998-08-03	VYDAJ	VYBER	1290	22678	\N	\N	\N
474975	1618	1998-01-21	VYDAJ	VYBER	540	25964	\N	\N	\N
474976	1618	1998-10-08	VYDAJ	VYBER	150	26617	\N	\N	\N
474977	1618	1998-07-03	VYDAJ	VYBER	450	16406	\N	\N	\N
474995	1618	1997-05-31	VYDAJ	VYBER	15	29503	SLUZBY	\N	\N
474996	1618	1997-06-30	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
474997	1618	1997-07-31	VYDAJ	VYBER	15	21923	SLUZBY	\N	\N
474998	1618	1997-08-31	VYDAJ	VYBER	15	24896	SLUZBY	\N	\N
474999	1618	1997-09-30	VYDAJ	VYBER	15	22969	SLUZBY	\N	\N
475000	1618	1997-10-31	VYDAJ	VYBER	15	21894	SLUZBY	\N	\N
475001	1618	1997-11-30	VYDAJ	VYBER	15	23163	SLUZBY	\N	\N
475002	1618	1997-12-31	VYDAJ	VYBER	15	24585	SLUZBY	\N	\N
475003	1618	1998-01-31	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
475004	1618	1998-02-28	VYDAJ	VYBER	15	28741	SLUZBY	\N	\N
475005	1618	1998-03-31	VYDAJ	VYBER	15	26830	SLUZBY	\N	\N
475006	1618	1998-04-30	VYDAJ	VYBER	15	24921	SLUZBY	\N	\N
475007	1618	1998-05-31	VYDAJ	VYBER	15	22802	SLUZBY	\N	\N
475008	1618	1998-06-30	VYDAJ	VYBER	15	16856	SLUZBY	\N	\N
475009	1618	1998-07-31	VYDAJ	VYBER	15	23968	SLUZBY	\N	\N
475010	1618	1998-08-31	VYDAJ	VYBER	15	22745	SLUZBY	\N	\N
475011	1618	1998-09-30	VYDAJ	VYBER	15	29032	SLUZBY	\N	\N
475012	1618	1998-10-31	VYDAJ	VYBER	15	30880	SLUZBY	\N	\N
475013	1618	1998-11-30	VYDAJ	VYBER	15	38906	SLUZBY	\N	\N
475014	1618	1997-01-17	PRIJEM	VKLAD	13100	17554	\N	\N	\N
475015	1618	1997-02-16	PRIJEM	VKLAD	3900	25043	\N	\N	\N
475016	1618	1997-03-18	VYDAJ	VYBER	2600	26085	\N	\N	\N
475017	1618	1997-04-17	VYDAJ	VYBER	500	29245	\N	\N	\N
475018	1618	1997-05-17	VYDAJ	VYBER	2200	30714	\N	\N	\N
475019	1618	1997-06-16	VYDAJ	VYBER	3000	24672	\N	\N	\N
475020	1618	1997-07-16	VYDAJ	VYBER	2800	21844	\N	\N	\N
475021	1618	1997-08-15	PRIJEM	VKLAD	1600	24812	\N	\N	\N
475022	1618	1997-09-14	VYDAJ	VYBER	3300	22885	\N	\N	\N
475023	1618	1997-10-14	VYDAJ	VYBER	1300	21818	\N	\N	\N
475024	1618	1997-11-13	VYDAJ	VYBER	100	23083	\N	\N	\N
475025	1618	1997-12-13	PRIJEM	VKLAD	500	24502	\N	\N	\N
475026	1618	1998-01-12	PRIJEM	VKLAD	4200	29414	\N	\N	\N
475027	1618	1998-02-11	PRIJEM	VKLAD	3700	25090	\N	\N	\N
475028	1618	1998-03-13	VYDAJ	VYBER	3300	26730	\N	\N	\N
475029	1618	1998-04-12	VYDAJ	VYBER	2300	25819	\N	\N	\N
475030	1618	1998-05-12	VYDAJ	VYBER	3500	22710	\N	\N	\N
475031	1618	1998-06-11	PRIJEM	VKLAD	100	20637	\N	\N	\N
475032	1618	1998-07-11	PRIJEM	VKLAD	6200	20341	\N	\N	\N
475033	1618	1998-08-10	VYDAJ	VYBER	1300	19113	\N	\N	\N
475034	1618	1998-09-09	PRIJEM	VKLAD	4900	25380	\N	\N	\N
475035	1618	1998-10-09	PRIJEM	VKLAD	600	27217	\N	\N	\N
475037	1618	1998-12-08	PRIJEM	VKLAD	5000	41641	\N	\N	\N
475062	1619	1997-02-24	PRIJEM	VKLAD	500	500	\N	\N	\N
475065	1619	1997-03-14	PRIJEM	VKLAD	4830	5330	\N	\N	\N
475066	1619	1997-04-14	PRIJEM	VKLAD	4830	18971	\N	\N	\N
475067	1619	1997-05-14	PRIJEM	VKLAD	4830	25065	\N	\N	\N
475068	1619	1997-06-14	PRIJEM	VKLAD	7245	31098	\N	\N	\N
475069	1619	1997-07-14	PRIJEM	VKLAD	4830	32330	\N	\N	\N
475070	1619	1997-08-14	PRIJEM	VKLAD	4830	28239	\N	\N	\N
475071	1619	1997-09-14	PRIJEM	VKLAD	4830	26745	\N	\N	\N
475072	1619	1997-10-14	PRIJEM	VKLAD	4830	31753	\N	\N	\N
475073	1619	1997-11-14	PRIJEM	VKLAD	4830	33177	\N	\N	\N
475074	1619	1997-12-14	PRIJEM	VKLAD	7245	30462	\N	\N	\N
475075	1619	1998-01-14	PRIJEM	VKLAD	4830	28639	\N	\N	\N
475076	1619	1998-02-14	PRIJEM	VKLAD	4830	24313	\N	\N	\N
475077	1619	1998-03-14	PRIJEM	VKLAD	4830	34020	\N	\N	\N
475078	1619	1998-04-14	PRIJEM	VKLAD	4830	36435	\N	\N	\N
475079	1619	1998-05-14	PRIJEM	VKLAD	4830	35297	\N	\N	\N
475080	1619	1998-06-14	PRIJEM	VKLAD	7245	34868	\N	\N	\N
475081	1619	1998-07-14	PRIJEM	VKLAD	4830	37904	\N	\N	\N
475082	1619	1998-08-14	PRIJEM	VKLAD	4830	31525	\N	\N	\N
475083	1619	1998-09-14	PRIJEM	VKLAD	4830	32995	\N	\N	\N
475084	1619	1998-10-14	PRIJEM	VKLAD	4830	44143	\N	\N	\N
475085	1619	1998-11-14	PRIJEM	VKLAD	4830	45618	\N	\N	\N
475086	1619	1998-12-14	PRIJEM	VKLAD	7245	51419	\N	\N	\N
475094	1619	1997-08-11	VYDAJ	PREVOD NA UCET	3220	23409	SIPO	ST	53959548
475095	1619	1997-09-11	VYDAJ	PREVOD NA UCET	3220	21915	SIPO	ST	53959548
475096	1619	1997-10-11	VYDAJ	PREVOD NA UCET	3220	26923	SIPO	ST	53959548
475097	1619	1997-11-11	VYDAJ	PREVOD NA UCET	3220	28347	SIPO	ST	53959548
475098	1619	1997-12-11	VYDAJ	PREVOD NA UCET	3220	23217	SIPO	ST	53959548
475099	1619	1998-01-11	VYDAJ	PREVOD NA UCET	3220	27409	SIPO	ST	53959548
475100	1619	1998-02-11	VYDAJ	PREVOD NA UCET	3220	19483	SIPO	ST	53959548
475101	1619	1998-03-11	VYDAJ	PREVOD NA UCET	3220	29190	SIPO	ST	53959548
475102	1619	1998-04-11	VYDAJ	PREVOD NA UCET	3220	31605	SIPO	ST	53959548
475103	1619	1998-05-11	VYDAJ	PREVOD NA UCET	3220	30467	SIPO	ST	53959548
475104	1619	1998-06-11	VYDAJ	PREVOD NA UCET	3220	27623	SIPO	ST	53959548
475105	1619	1998-07-11	VYDAJ	PREVOD NA UCET	3220	33074	SIPO	ST	53959548
475106	1619	1998-08-11	VYDAJ	PREVOD NA UCET	3220	26695	SIPO	ST	53959548
475107	1619	1998-09-11	VYDAJ	PREVOD NA UCET	3220	28165	SIPO	ST	53959548
475108	1619	1998-10-11	VYDAJ	PREVOD NA UCET	3220	39313	SIPO	ST	53959548
475109	1619	1998-11-11	VYDAJ	PREVOD NA UCET	3220	40788	SIPO	ST	53959548
475110	1619	1998-12-11	VYDAJ	PREVOD NA UCET	3220	44174	SIPO	ST	53959548
475113	1619	1997-12-18	VYDAJ	VYBER	3840	26622	\N	\N	\N
475114	1619	1998-12-30	VYDAJ	VYBER	2560	43559	\N	\N	\N
475121	1619	1998-01-21	VYDAJ	VYBER	1800	29439	\N	\N	\N
475122	1619	1998-01-27	VYDAJ	VYBER	1800	27639	\N	\N	\N
475123	1619	1998-01-07	VYDAJ	VYBER	600	30629	\N	\N	\N
475124	1619	1998-01-12	VYDAJ	VYBER	840	26569	\N	\N	\N
475125	1619	1998-01-15	VYDAJ	VYBER	1800	26839	\N	\N	\N
475126	1619	1998-01-29	VYDAJ	VYBER	3360	24279	\N	\N	\N
475130	1619	1997-12-01	VYDAJ	VYBER	2400	26437	\N	\N	\N
475131	1619	1997-11-28	VYDAJ	VYBER	5160	28717	\N	\N	\N
475132	1619	1997-08-22	VYDAJ	VYBER	3600	24639	\N	\N	\N
475133	1619	1998-02-07	VYDAJ	VYBER	1680	22703	\N	\N	\N
475134	1619	1998-06-05	VYDAJ	VYBER	1680	30843	\N	\N	\N
475135	1619	1998-08-26	VYDAJ	VYBER	5760	31265	\N	\N	\N
475136	1619	1998-01-13	VYDAJ	VYBER	2760	23809	\N	\N	\N
475137	1619	1998-05-06	VYDAJ	VYBER	1680	33687	\N	\N	\N
475138	1619	1998-07-26	VYDAJ	VYBER	4920	29784	\N	\N	\N
475139	1619	1998-03-20	VYDAJ	VYBER	1320	32700	\N	\N	\N
475147	1619	1997-07-31	VYDAJ	VYBER	15	26629	SLUZBY	\N	\N
475148	1619	1997-08-31	VYDAJ	VYBER	15	25135	SLUZBY	\N	\N
475149	1619	1997-09-30	VYDAJ	VYBER	15	30143	SLUZBY	\N	\N
475150	1619	1997-10-31	VYDAJ	VYBER	15	31567	SLUZBY	\N	\N
475151	1619	1997-11-30	VYDAJ	VYBER	15	28837	SLUZBY	\N	\N
475152	1619	1997-12-31	VYDAJ	VYBER	15	31229	SLUZBY	\N	\N
475153	1619	1998-01-31	VYDAJ	VYBER	15	24383	SLUZBY	\N	\N
475154	1619	1998-02-28	VYDAJ	VYBER	15	32410	SLUZBY	\N	\N
475155	1619	1998-03-31	VYDAJ	VYBER	15	34825	SLUZBY	\N	\N
475156	1619	1998-04-30	VYDAJ	VYBER	15	35367	SLUZBY	\N	\N
475157	1619	1998-05-31	VYDAJ	VYBER	15	32523	SLUZBY	\N	\N
475158	1619	1998-06-30	VYDAJ	VYBER	15	36294	SLUZBY	\N	\N
475159	1619	1998-07-31	VYDAJ	VYBER	15	29915	SLUZBY	\N	\N
475160	1619	1998-08-31	VYDAJ	VYBER	15	31385	SLUZBY	\N	\N
475161	1619	1998-09-30	VYDAJ	VYBER	15	42533	SLUZBY	\N	\N
475162	1619	1998-10-31	VYDAJ	VYBER	15	44008	SLUZBY	\N	\N
475163	1619	1998-11-30	VYDAJ	VYBER	15	47394	SLUZBY	\N	\N
475164	1619	1997-03-26	PRIJEM	VKLAD	8800	14130	\N	\N	\N
475165	1619	1997-04-25	PRIJEM	VKLAD	1200	20171	\N	\N	\N
475166	1619	1997-05-25	VYDAJ	VYBER	1300	23765	\N	\N	\N
475167	1619	1997-06-24	VYDAJ	VYBER	3700	27398	\N	\N	\N
475168	1619	1997-07-24	VYDAJ	VYBER	5800	26530	\N	\N	\N
475169	1619	1997-08-23	PRIJEM	VKLAD	400	25039	\N	\N	\N
475170	1619	1997-09-22	PRIJEM	VKLAD	3300	30045	\N	\N	\N
475171	1619	1997-10-22	VYDAJ	VYBER	300	31453	\N	\N	\N
475172	1619	1997-11-21	PRIJEM	VKLAD	700	33877	\N	\N	\N
475173	1619	1997-12-21	PRIJEM	VKLAD	4500	31122	\N	\N	\N
475174	1619	1998-01-20	PRIJEM	VKLAD	4400	31239	\N	\N	\N
475175	1619	1998-02-19	PRIJEM	VKLAD	8000	32313	\N	\N	\N
475176	1619	1998-03-21	PRIJEM	VKLAD	2000	34700	\N	\N	\N
475177	1619	1998-04-20	VYDAJ	VYBER	1200	35235	\N	\N	\N
475178	1619	1998-05-20	VYDAJ	VYBER	2900	32397	\N	\N	\N
475179	1619	1998-06-19	PRIJEM	VKLAD	1300	36168	\N	\N	\N
475180	1619	1998-07-19	VYDAJ	VYBER	3200	34704	\N	\N	\N
475181	1619	1998-08-18	PRIJEM	VKLAD	5500	37025	\N	\N	\N
475182	1619	1998-09-17	PRIJEM	VKLAD	9400	42395	\N	\N	\N
475183	1619	1998-10-17	VYDAJ	VYBER	300	43843	\N	\N	\N
475184	1619	1998-11-16	PRIJEM	VKLAD	1600	47218	\N	\N	\N
475185	1619	1998-12-16	VYDAJ	VYBER	5300	46119	\N	\N	\N
475208	1620	1995-06-08	PRIJEM	VKLAD	700	700	\N	\N	\N
475215	1620	1995-07-05	PRIJEM	PREVOD Z UCTU	6082	6782	DUCHOD	GH	65957420
475216	1620	1995-08-05	PRIJEM	PREVOD Z UCTU	6082	12864	DUCHOD	GH	65957420
475217	1620	1995-09-05	PRIJEM	PREVOD Z UCTU	6082	18946	DUCHOD	GH	65957420
475218	1620	1995-10-05	PRIJEM	PREVOD Z UCTU	6082	25028	DUCHOD	GH	65957420
475219	1620	1995-11-05	PRIJEM	PREVOD Z UCTU	6082	31110	DUCHOD	GH	65957420
475220	1620	1995-12-05	PRIJEM	PREVOD Z UCTU	6082	32041	DUCHOD	GH	65957420
475221	1620	1996-01-05	PRIJEM	PREVOD Z UCTU	6082	28626	DUCHOD	GH	65957420
475222	1620	1996-02-05	PRIJEM	PREVOD Z UCTU	6082	21608	DUCHOD	GH	65957420
475223	1620	1996-03-05	PRIJEM	PREVOD Z UCTU	6082	25824	DUCHOD	GH	65957420
475224	1620	1996-04-05	PRIJEM	PREVOD Z UCTU	6082	27417	DUCHOD	GH	65957420
475225	1620	1996-05-05	PRIJEM	PREVOD Z UCTU	6082	31659	DUCHOD	GH	65957420
475226	1620	1996-06-05	PRIJEM	PREVOD Z UCTU	6082	32316	DUCHOD	GH	65957420
475227	1620	1996-07-05	PRIJEM	PREVOD Z UCTU	6082	25573	DUCHOD	GH	65957420
475228	1620	1996-08-05	PRIJEM	PREVOD Z UCTU	6082	29405	DUCHOD	GH	65957420
475229	1620	1996-09-05	PRIJEM	PREVOD Z UCTU	6082	32372	DUCHOD	GH	65957420
475230	1620	1996-10-05	PRIJEM	PREVOD Z UCTU	6082	33832	DUCHOD	GH	65957420
475231	1620	1996-11-05	PRIJEM	PREVOD Z UCTU	6082	31196	DUCHOD	GH	65957420
475232	1620	1996-12-05	PRIJEM	PREVOD Z UCTU	6082	34051	DUCHOD	GH	65957420
475233	1620	1997-01-05	PRIJEM	PREVOD Z UCTU	6082	30306	DUCHOD	GH	65957420
475234	1620	1997-02-05	PRIJEM	PREVOD Z UCTU	6082	20054	DUCHOD	GH	65957420
475235	1620	1997-03-05	PRIJEM	PREVOD Z UCTU	6082	24262	DUCHOD	GH	65957420
475236	1620	1997-04-05	PRIJEM	PREVOD Z UCTU	6082	26165	DUCHOD	GH	65957420
475237	1620	1997-05-05	PRIJEM	PREVOD Z UCTU	6082	24631	DUCHOD	GH	65957420
475238	1620	1997-06-05	PRIJEM	PREVOD Z UCTU	6082	28859	DUCHOD	GH	65957420
475239	1620	1997-07-05	PRIJEM	PREVOD Z UCTU	6082	20098	DUCHOD	GH	65957420
475240	1620	1997-08-05	PRIJEM	PREVOD Z UCTU	6082	24307	DUCHOD	GH	65957420
475241	1620	1997-09-05	PRIJEM	PREVOD Z UCTU	6082	28533	DUCHOD	GH	65957420
475242	1620	1997-10-05	PRIJEM	PREVOD Z UCTU	6082	32777	DUCHOD	GH	65957420
475243	1620	1997-11-05	PRIJEM	PREVOD Z UCTU	6082	37039	DUCHOD	GH	65957420
475244	1620	1997-12-05	PRIJEM	PREVOD Z UCTU	6082	41318	DUCHOD	GH	65957420
475245	1620	1998-01-05	PRIJEM	PREVOD Z UCTU	6082	38974	DUCHOD	GH	65957420
475246	1620	1998-02-05	PRIJEM	PREVOD Z UCTU	6082	34929	DUCHOD	GH	65957420
475247	1620	1998-03-05	PRIJEM	PREVOD Z UCTU	6082	39200	DUCHOD	GH	65957420
475248	1620	1998-04-05	PRIJEM	PREVOD Z UCTU	6082	43488	DUCHOD	GH	65957420
475249	1620	1998-05-05	PRIJEM	PREVOD Z UCTU	6082	46274	DUCHOD	GH	65957420
475250	1620	1998-06-05	PRIJEM	PREVOD Z UCTU	6082	41377	DUCHOD	GH	65957420
475251	1620	1998-07-05	PRIJEM	PREVOD Z UCTU	6082	33583	DUCHOD	GH	65957420
475252	1620	1998-08-05	PRIJEM	PREVOD Z UCTU	6082	37347	DUCHOD	GH	65957420
475253	1620	1998-09-05	PRIJEM	PREVOD Z UCTU	6082	35919	DUCHOD	GH	65957420
475254	1620	1998-10-05	PRIJEM	PREVOD Z UCTU	6082	39091	DUCHOD	GH	65957420
475255	1620	1998-11-05	PRIJEM	PREVOD Z UCTU	6082	43379	DUCHOD	GH	65957420
475256	1620	1998-12-05	PRIJEM	PREVOD Z UCTU	6082	46234	DUCHOD	GH	65957420
475267	1620	1995-11-06	VYDAJ	PREVOD NA UCET	1931	25879	SIPO	ST	23482644
475268	1620	1995-12-06	VYDAJ	PREVOD NA UCET	1931	26650	SIPO	ST	23482644
475269	1620	1996-01-06	VYDAJ	PREVOD NA UCET	1931	26695	SIPO	ST	23482644
475270	1620	1996-02-06	VYDAJ	PREVOD NA UCET	1931	19677	SIPO	ST	23482644
475271	1620	1996-03-06	VYDAJ	PREVOD NA UCET	1931	23893	SIPO	ST	23482644
475272	1620	1996-04-06	VYDAJ	PREVOD NA UCET	1931	25486	SIPO	ST	23482644
475273	1620	1996-05-06	VYDAJ	PREVOD NA UCET	1931	29728	SIPO	ST	23482644
475274	1620	1996-06-06	VYDAJ	PREVOD NA UCET	1931	20535	SIPO	ST	23482644
475275	1620	1996-07-06	VYDAJ	PREVOD NA UCET	1931	23642	SIPO	ST	23482644
475276	1620	1996-08-06	VYDAJ	PREVOD NA UCET	1931	27474	SIPO	ST	23482644
475277	1620	1996-09-06	VYDAJ	PREVOD NA UCET	1931	30441	SIPO	ST	23482644
475278	1620	1996-10-06	VYDAJ	PREVOD NA UCET	1931	31901	SIPO	ST	23482644
475279	1620	1996-11-06	VYDAJ	PREVOD NA UCET	1931	29265	SIPO	ST	23482644
475280	1620	1996-12-06	VYDAJ	PREVOD NA UCET	1931	32120	SIPO	ST	23482644
475281	1620	1997-01-06	VYDAJ	PREVOD NA UCET	1931	28375	SIPO	ST	23482644
475282	1620	1997-02-06	VYDAJ	PREVOD NA UCET	1931	18123	SIPO	ST	23482644
475283	1620	1997-03-06	VYDAJ	PREVOD NA UCET	1931	22331	SIPO	ST	23482644
475284	1620	1997-04-06	VYDAJ	PREVOD NA UCET	1931	24234	SIPO	ST	23482644
475285	1620	1997-05-06	VYDAJ	PREVOD NA UCET	1931	22700	SIPO	ST	23482644
475286	1620	1997-06-06	VYDAJ	PREVOD NA UCET	1931	26928	SIPO	ST	23482644
475287	1620	1997-07-06	VYDAJ	PREVOD NA UCET	1931	18167	SIPO	ST	23482644
475288	1620	1997-08-06	VYDAJ	PREVOD NA UCET	1931	22376	SIPO	ST	23482644
475289	1620	1997-09-06	VYDAJ	PREVOD NA UCET	1931	26602	SIPO	ST	23482644
475290	1620	1997-10-06	VYDAJ	PREVOD NA UCET	1931	30846	SIPO	ST	23482644
475291	1620	1997-11-06	VYDAJ	PREVOD NA UCET	1931	35108	SIPO	ST	23482644
475292	1620	1997-12-06	VYDAJ	PREVOD NA UCET	1931	39387	SIPO	ST	23482644
475293	1620	1998-01-06	VYDAJ	PREVOD NA UCET	1931	37043	SIPO	ST	23482644
475294	1620	1998-02-06	VYDAJ	PREVOD NA UCET	1931	32998	SIPO	ST	23482644
475295	1620	1998-03-06	VYDAJ	PREVOD NA UCET	1931	37269	SIPO	ST	23482644
475296	1620	1998-04-06	VYDAJ	PREVOD NA UCET	1931	41557	SIPO	ST	23482644
475297	1620	1998-05-06	VYDAJ	PREVOD NA UCET	1931	44343	SIPO	ST	23482644
475298	1620	1998-06-06	VYDAJ	PREVOD NA UCET	1931	27396	SIPO	ST	23482644
475299	1620	1998-07-06	VYDAJ	PREVOD NA UCET	1931	31652	SIPO	ST	23482644
475300	1620	1998-08-06	VYDAJ	PREVOD NA UCET	1931	35416	SIPO	ST	23482644
475301	1620	1998-09-06	VYDAJ	PREVOD NA UCET	1931	33988	SIPO	ST	23482644
475302	1620	1998-10-06	VYDAJ	PREVOD NA UCET	1931	37160	SIPO	ST	23482644
475303	1620	1998-11-06	VYDAJ	PREVOD NA UCET	1931	41448	SIPO	ST	23482644
475304	1620	1998-12-06	VYDAJ	PREVOD NA UCET	1931	44303	SIPO	ST	23482644
475306	1620	1996-06-05	VYDAJ	VYBER	9850	22466	\N	\N	\N
475307	1620	1997-06-17	VYDAJ	VYBER	10900	13948	\N	\N	\N
475308	1620	1998-06-05	VYDAJ	VYBER	12050	29327	\N	\N	\N
475310	1620	1996-01-16	VYDAJ	VYBER	2600	18975	\N	\N	\N
475311	1620	1997-01-11	VYDAJ	VYBER	2550	20785	\N	\N	\N
475312	1620	1998-01-04	VYDAJ	VYBER	3550	32892	\N	\N	\N
475313	1620	1995-12-13	VYDAJ	VYBER	700	25950	\N	\N	\N
475314	1620	1996-12-06	VYDAJ	VYBER	1150	30970	\N	\N	\N
475315	1620	1997-12-23	VYDAJ	VYBER	850	38537	\N	\N	\N
475316	1620	1998-12-01	VYDAJ	VYBER	1450	40152	\N	\N	\N
475323	1620	1996-01-11	VYDAJ	VYBER	1760	22775	\N	\N	\N
475324	1620	1996-01-19	VYDAJ	VYBER	640	16575	\N	\N	\N
475325	1620	1996-01-06	VYDAJ	VYBER	2160	24535	\N	\N	\N
475326	1620	1996-01-12	VYDAJ	VYBER	1200	21575	\N	\N	\N
475327	1620	1996-01-17	VYDAJ	VYBER	1760	17215	\N	\N	\N
475328	1620	1996-01-25	VYDAJ	VYBER	1120	15455	\N	\N	\N
475329	1620	1997-01-23	VYDAJ	VYBER	2240	13905	\N	\N	\N
475330	1620	1997-01-22	VYDAJ	VYBER	1280	16145	\N	\N	\N
475331	1620	1997-01-02	VYDAJ	VYBER	480	24224	\N	\N	\N
475333	1620	1997-01-19	VYDAJ	VYBER	1760	17425	\N	\N	\N
475334	1620	1997-01-12	VYDAJ	VYBER	1600	19185	\N	\N	\N
475335	1620	1998-01-23	VYDAJ	VYBER	400	31363	\N	\N	\N
475336	1620	1998-01-20	VYDAJ	VYBER	1200	31763	\N	\N	\N
475337	1620	1998-01-14	VYDAJ	VYBER	1440	32963	\N	\N	\N
475338	1620	1998-01-09	VYDAJ	VYBER	1280	34403	\N	\N	\N
475339	1620	1998-01-06	VYDAJ	VYBER	1360	35683	\N	\N	\N
475340	1620	1998-01-03	VYDAJ	VYBER	2240	36442	\N	\N	\N
475343	1620	1995-12-05	VYDAJ	VYBER	2160	29881	\N	\N	\N
475344	1620	1996-08-15	VYDAJ	VYBER	400	27074	\N	\N	\N
475345	1620	1996-04-03	VYDAJ	VYBER	2640	21335	\N	\N	\N
475346	1620	1996-08-22	VYDAJ	VYBER	880	26194	\N	\N	\N
475347	1620	1996-06-26	VYDAJ	VYBER	1120	19415	\N	\N	\N
475348	1620	1997-01-08	VYDAJ	VYBER	3840	23335	\N	\N	\N
475349	1620	1997-01-01	VYDAJ	VYBER	1680	24704	\N	\N	\N
475350	1620	1997-03-19	VYDAJ	VYBER	2320	20011	\N	\N	\N
475351	1620	1997-06-11	VYDAJ	VYBER	2080	24848	\N	\N	\N
475352	1620	1997-01-07	VYDAJ	VYBER	1200	27175	\N	\N	\N
475353	1620	1997-04-18	VYDAJ	VYBER	3040	21194	\N	\N	\N
475354	1620	1997-04-25	VYDAJ	VYBER	2720	18474	\N	\N	\N
475355	1620	1998-12-09	VYDAJ	VYBER	1440	42863	\N	\N	\N
475356	1620	1998-05-13	VYDAJ	VYBER	3760	40583	\N	\N	\N
475357	1620	1998-01-30	VYDAJ	VYBER	2640	28723	\N	\N	\N
475358	1620	1998-05-03	VYDAJ	VYBER	1520	40192	\N	\N	\N
475359	1620	1998-05-20	VYDAJ	VYBER	640	39943	\N	\N	\N
475371	1620	1995-11-30	VYDAJ	VYBER	15	25959	SLUZBY	\N	\N
475372	1620	1995-12-31	VYDAJ	VYBER	15	26044	SLUZBY	\N	\N
475373	1620	1996-01-31	VYDAJ	VYBER	15	15526	SLUZBY	\N	\N
475374	1620	1996-02-29	VYDAJ	VYBER	15	19742	SLUZBY	\N	\N
475375	1620	1996-03-31	VYDAJ	VYBER	15	23975	SLUZBY	\N	\N
475376	1620	1996-04-30	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
475377	1620	1996-05-31	VYDAJ	VYBER	15	29834	SLUZBY	\N	\N
475378	1620	1996-06-30	VYDAJ	VYBER	15	19491	SLUZBY	\N	\N
475379	1620	1996-07-31	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
475380	1620	1996-08-31	VYDAJ	VYBER	15	26290	SLUZBY	\N	\N
475381	1620	1996-09-30	VYDAJ	VYBER	15	27750	SLUZBY	\N	\N
475382	1620	1996-10-31	VYDAJ	VYBER	15	25114	SLUZBY	\N	\N
475383	1620	1996-11-30	VYDAJ	VYBER	15	27969	SLUZBY	\N	\N
475384	1620	1996-12-31	VYDAJ	VYBER	15	26384	SLUZBY	\N	\N
475385	1620	1997-01-31	VYDAJ	VYBER	15	13972	SLUZBY	\N	\N
475386	1620	1997-02-28	VYDAJ	VYBER	15	18180	SLUZBY	\N	\N
475387	1620	1997-03-31	VYDAJ	VYBER	15	20083	SLUZBY	\N	\N
475388	1620	1997-04-30	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
475389	1620	1997-05-31	VYDAJ	VYBER	15	22777	SLUZBY	\N	\N
475390	1620	1997-06-30	VYDAJ	VYBER	15	14016	SLUZBY	\N	\N
475391	1620	1997-07-31	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
475392	1620	1997-08-31	VYDAJ	VYBER	15	22451	SLUZBY	\N	\N
475393	1620	1997-09-30	VYDAJ	VYBER	15	26695	SLUZBY	\N	\N
475394	1620	1997-10-31	VYDAJ	VYBER	15	30957	SLUZBY	\N	\N
475395	1620	1997-11-30	VYDAJ	VYBER	15	35236	SLUZBY	\N	\N
475396	1620	1997-12-31	VYDAJ	VYBER	15	38682	SLUZBY	\N	\N
475397	1620	1998-01-31	VYDAJ	VYBER	15	28847	SLUZBY	\N	\N
475398	1620	1998-02-28	VYDAJ	VYBER	15	33118	SLUZBY	\N	\N
475399	1620	1998-03-31	VYDAJ	VYBER	15	37406	SLUZBY	\N	\N
475400	1620	1998-04-30	VYDAJ	VYBER	15	41712	SLUZBY	\N	\N
475401	1620	1998-05-31	VYDAJ	VYBER	15	35295	SLUZBY	\N	\N
475402	1620	1998-06-30	VYDAJ	VYBER	15	27501	SLUZBY	\N	\N
475403	1620	1998-07-31	VYDAJ	VYBER	15	31265	SLUZBY	\N	\N
475404	1620	1998-08-31	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
475405	1620	1998-09-30	VYDAJ	VYBER	15	33009	SLUZBY	\N	\N
475406	1620	1998-10-31	VYDAJ	VYBER	15	37297	SLUZBY	\N	\N
475407	1620	1998-11-30	VYDAJ	VYBER	15	41602	SLUZBY	\N	\N
475408	1620	1995-11-05	VYDAJ	VYBER	3300	27810	\N	\N	\N
475409	1620	1995-12-05	VYDAJ	VYBER	1300	28581	\N	\N	\N
475410	1620	1996-01-04	VYDAJ	VYBER	3500	22544	\N	\N	\N
475411	1620	1996-06-02	VYDAJ	VYBER	3600	26234	\N	\N	\N
475412	1620	1996-08-01	VYDAJ	VYBER	400	23323	\N	\N	\N
475413	1620	1996-09-30	VYDAJ	VYBER	2800	27764	\N	\N	\N
475414	1620	1996-10-30	VYDAJ	VYBER	6900	25001	\N	\N	\N
475415	1620	1996-11-29	VYDAJ	VYBER	1400	27865	\N	\N	\N
475416	1620	1996-12-29	VYDAJ	VYBER	4700	26270	\N	\N	\N
475417	1620	1998-05-23	VYDAJ	VYBER	4800	35143	\N	\N	\N
475418	1620	1998-07-22	VYDAJ	VYBER	500	31152	\N	\N	\N
475419	1620	1998-08-21	VYDAJ	VYBER	5700	29716	\N	\N	\N
475420	1620	1998-09-20	VYDAJ	VYBER	1100	32888	\N	\N	\N
475459	1621	1993-12-01	PRIJEM	VKLAD	300	300	\N	\N	\N
475471	1621	1993-12-12	PRIJEM	VKLAD	23847	24147	\N	\N	\N
475472	1621	1994-01-12	PRIJEM	VKLAD	15898	41510	\N	\N	\N
475473	1621	1994-02-12	PRIJEM	VKLAD	15898	48316	\N	\N	\N
475474	1621	1994-03-12	PRIJEM	VKLAD	15898	54949	\N	\N	\N
475475	1621	1994-04-12	PRIJEM	VKLAD	15898	57941	\N	\N	\N
475476	1621	1994-05-12	PRIJEM	VKLAD	15898	49812	\N	\N	\N
475477	1621	1994-06-12	PRIJEM	VKLAD	23847	51850	\N	\N	\N
475478	1621	1994-07-12	PRIJEM	VKLAD	15898	33988	\N	\N	\N
475479	1621	1994-08-12	PRIJEM	VKLAD	15898	36108	\N	\N	\N
475480	1621	1994-09-12	PRIJEM	VKLAD	15898	40341	\N	\N	\N
475481	1621	1994-10-12	PRIJEM	VKLAD	15898	36989	\N	\N	\N
475482	1621	1994-11-12	PRIJEM	VKLAD	15898	40123	\N	\N	\N
475483	1621	1994-12-12	PRIJEM	VKLAD	23847	50219	\N	\N	\N
475484	1621	1995-01-12	PRIJEM	VKLAD	15898	43589	\N	\N	\N
475485	1621	1995-02-12	PRIJEM	VKLAD	15898	36931	\N	\N	\N
475486	1621	1995-03-12	PRIJEM	VKLAD	15898	35956	\N	\N	\N
475487	1621	1995-04-12	PRIJEM	VKLAD	15898	37285	\N	\N	\N
475488	1621	1995-05-12	PRIJEM	VKLAD	15898	32520	\N	\N	\N
475489	1621	1995-06-12	PRIJEM	VKLAD	23847	44092	\N	\N	\N
475490	1621	1995-07-12	PRIJEM	VKLAD	15898	30512	\N	\N	\N
475491	1621	1995-08-12	PRIJEM	VKLAD	15898	34818	\N	\N	\N
475492	1621	1995-09-12	PRIJEM	VKLAD	15898	33035	\N	\N	\N
475493	1621	1995-10-12	PRIJEM	VKLAD	15898	38553	\N	\N	\N
475494	1621	1995-11-12	PRIJEM	VKLAD	15898	40790	\N	\N	\N
475495	1621	1995-12-12	PRIJEM	VKLAD	23847	49983	\N	\N	\N
475496	1621	1996-01-12	PRIJEM	VKLAD	15898	43744	\N	\N	\N
475497	1621	1996-02-12	PRIJEM	VKLAD	15898	32686	\N	\N	\N
475498	1621	1996-03-12	PRIJEM	VKLAD	15898	38297	\N	\N	\N
475499	1621	1996-04-12	PRIJEM	VKLAD	15898	39930	\N	\N	\N
475500	1621	1996-05-12	PRIJEM	VKLAD	15898	36664	\N	\N	\N
475501	1621	1996-06-12	PRIJEM	VKLAD	23847	46038	\N	\N	\N
475502	1621	1996-07-12	PRIJEM	VKLAD	15898	33674	\N	\N	\N
475503	1621	1996-08-12	PRIJEM	VKLAD	15898	42098	\N	\N	\N
475504	1621	1996-09-12	PRIJEM	VKLAD	15898	44746	\N	\N	\N
475505	1621	1996-10-12	PRIJEM	VKLAD	15898	48907	\N	\N	\N
475506	1621	1996-11-12	PRIJEM	VKLAD	15898	52183	\N	\N	\N
475507	1621	1996-12-12	PRIJEM	VKLAD	23847	58217	\N	\N	\N
475508	1621	1997-01-12	PRIJEM	VKLAD	15898	45304	\N	\N	\N
475509	1621	1997-02-12	PRIJEM	VKLAD	15898	40352	\N	\N	\N
475510	1621	1997-03-12	PRIJEM	VKLAD	15898	48001	\N	\N	\N
475511	1621	1997-04-12	PRIJEM	VKLAD	15898	41761	\N	\N	\N
475512	1621	1997-05-12	PRIJEM	VKLAD	15898	47811	\N	\N	\N
475513	1621	1997-06-12	PRIJEM	VKLAD	23847	60634	\N	\N	\N
475514	1621	1997-07-12	PRIJEM	VKLAD	15898	42605	\N	\N	\N
475515	1621	1997-08-12	PRIJEM	VKLAD	15898	47958	\N	\N	\N
475516	1621	1997-09-12	PRIJEM	VKLAD	15898	51628	\N	\N	\N
475517	1621	1997-10-12	PRIJEM	VKLAD	15898	54524	\N	\N	\N
475518	1621	1997-11-12	PRIJEM	VKLAD	15898	55239	\N	\N	\N
475519	1621	1997-12-12	PRIJEM	VKLAD	23847	67207	\N	\N	\N
475520	1621	1998-01-12	PRIJEM	VKLAD	15898	58959	\N	\N	\N
475521	1621	1998-02-12	PRIJEM	VKLAD	15898	57096	\N	\N	\N
475522	1621	1998-03-12	PRIJEM	VKLAD	15898	56419	\N	\N	\N
475523	1621	1998-04-12	PRIJEM	VKLAD	15898	60344	\N	\N	\N
475524	1621	1998-05-12	PRIJEM	VKLAD	15898	59578	\N	\N	\N
475525	1621	1998-06-12	PRIJEM	VKLAD	23847	62464	\N	\N	\N
475526	1621	1998-07-12	PRIJEM	VKLAD	15898	47141	\N	\N	\N
475527	1621	1998-08-12	PRIJEM	VKLAD	15898	47710	\N	\N	\N
475528	1621	1998-09-12	PRIJEM	VKLAD	15898	45191	\N	\N	\N
475529	1621	1998-10-12	PRIJEM	VKLAD	15898	49163	\N	\N	\N
475530	1621	1998-11-12	PRIJEM	VKLAD	15898	48739	\N	\N	\N
475531	1621	1998-12-12	PRIJEM	VKLAD	23847	59971	\N	\N	\N
475548	1621	1994-05-08	VYDAJ	PREVOD NA UCET	7887	33914	SIPO	UV	69087219
475549	1621	1994-06-08	VYDAJ	PREVOD NA UCET	7887	28003	SIPO	UV	69087219
475550	1621	1994-07-08	VYDAJ	PREVOD NA UCET	7887	18090	SIPO	UV	69087219
475551	1621	1994-08-08	VYDAJ	PREVOD NA UCET	7887	20210	SIPO	UV	69087219
475552	1621	1994-09-08	VYDAJ	PREVOD NA UCET	7887	24443	SIPO	UV	69087219
475553	1621	1994-10-08	VYDAJ	PREVOD NA UCET	7887	21091	SIPO	UV	69087219
475554	1621	1994-11-08	VYDAJ	PREVOD NA UCET	7887	24225	SIPO	UV	69087219
475555	1621	1994-12-08	VYDAJ	PREVOD NA UCET	7887	26372	SIPO	UV	69087219
475556	1621	1995-01-08	VYDAJ	PREVOD NA UCET	7887	27691	SIPO	UV	69087219
475557	1621	1995-02-08	VYDAJ	PREVOD NA UCET	7887	21033	SIPO	UV	69087219
475558	1621	1995-03-08	VYDAJ	PREVOD NA UCET	7887	20058	SIPO	UV	69087219
475559	1621	1995-04-08	VYDAJ	PREVOD NA UCET	7887	21387	SIPO	UV	69087219
475560	1621	1995-05-08	VYDAJ	PREVOD NA UCET	7887	25122	SIPO	UV	69087219
475561	1621	1995-06-08	VYDAJ	PREVOD NA UCET	7887	20245	SIPO	UV	69087219
475562	1621	1995-07-08	VYDAJ	PREVOD NA UCET	7887	14614	SIPO	UV	69087219
475563	1621	1995-08-08	VYDAJ	PREVOD NA UCET	7887	18920	SIPO	UV	69087219
475564	1621	1995-09-08	VYDAJ	PREVOD NA UCET	7887	17137	SIPO	UV	69087219
475565	1621	1995-10-08	VYDAJ	PREVOD NA UCET	7887	22655	SIPO	UV	69087219
475566	1621	1995-11-08	VYDAJ	PREVOD NA UCET	7887	24892	SIPO	UV	69087219
475567	1621	1995-12-08	VYDAJ	PREVOD NA UCET	7887	26136	SIPO	UV	69087219
475568	1621	1996-01-08	VYDAJ	PREVOD NA UCET	7887	28946	SIPO	UV	69087219
475569	1621	1996-02-08	VYDAJ	PREVOD NA UCET	7887	16788	SIPO	UV	69087219
475570	1621	1996-03-08	VYDAJ	PREVOD NA UCET	7887	22399	SIPO	UV	69087219
475571	1621	1996-04-08	VYDAJ	PREVOD NA UCET	7887	24032	SIPO	UV	69087219
475572	1621	1996-05-08	VYDAJ	PREVOD NA UCET	7887	20766	SIPO	UV	69087219
475573	1621	1996-06-08	VYDAJ	PREVOD NA UCET	7887	22191	SIPO	UV	69087219
475574	1621	1996-07-08	VYDAJ	PREVOD NA UCET	7887	17776	SIPO	UV	69087219
475575	1621	1996-08-08	VYDAJ	PREVOD NA UCET	7887	26200	SIPO	UV	69087219
475576	1621	1996-09-08	VYDAJ	PREVOD NA UCET	7887	28848	SIPO	UV	69087219
475577	1621	1996-10-08	VYDAJ	PREVOD NA UCET	7887	33009	SIPO	UV	69087219
475578	1621	1996-11-08	VYDAJ	PREVOD NA UCET	7887	36285	SIPO	UV	69087219
475579	1621	1996-12-08	VYDAJ	PREVOD NA UCET	7887	34370	SIPO	UV	69087219
475580	1621	1997-01-08	VYDAJ	PREVOD NA UCET	7887	29406	SIPO	UV	69087219
475581	1621	1997-02-08	VYDAJ	PREVOD NA UCET	7887	24454	SIPO	UV	69087219
475582	1621	1997-03-08	VYDAJ	PREVOD NA UCET	7887	32103	SIPO	UV	69087219
475583	1621	1997-04-08	VYDAJ	PREVOD NA UCET	7887	25863	SIPO	UV	69087219
475584	1621	1997-05-08	VYDAJ	PREVOD NA UCET	7887	31913	SIPO	UV	69087219
475585	1621	1997-06-08	VYDAJ	PREVOD NA UCET	7887	36787	SIPO	UV	69087219
475586	1621	1997-07-08	VYDAJ	PREVOD NA UCET	7887	26707	SIPO	UV	69087219
475587	1621	1997-08-08	VYDAJ	PREVOD NA UCET	7887	32060	SIPO	UV	69087219
475588	1621	1997-09-08	VYDAJ	PREVOD NA UCET	7887	35230	SIPO	UV	69087219
475589	1621	1997-10-08	VYDAJ	PREVOD NA UCET	7887	43926	SIPO	UV	69087219
475590	1621	1997-11-08	VYDAJ	PREVOD NA UCET	7887	46841	SIPO	UV	69087219
475591	1621	1997-12-08	VYDAJ	PREVOD NA UCET	7887	47560	SIPO	UV	69087219
475592	1621	1998-01-08	VYDAJ	PREVOD NA UCET	7887	56561	SIPO	UV	69087219
475593	1621	1998-02-08	VYDAJ	PREVOD NA UCET	7887	50098	SIPO	UV	69087219
475594	1621	1998-03-08	VYDAJ	PREVOD NA UCET	7887	49421	SIPO	UV	69087219
475595	1621	1998-04-08	VYDAJ	PREVOD NA UCET	7887	48746	SIPO	UV	69087219
475596	1621	1998-05-08	VYDAJ	PREVOD NA UCET	7887	52680	SIPO	UV	69087219
475597	1621	1998-06-08	VYDAJ	PREVOD NA UCET	7887	38617	SIPO	UV	69087219
475598	1621	1998-07-08	VYDAJ	PREVOD NA UCET	7887	31243	SIPO	UV	69087219
475599	1621	1998-08-08	VYDAJ	PREVOD NA UCET	7887	31812	SIPO	UV	69087219
475600	1621	1998-09-08	VYDAJ	PREVOD NA UCET	7887	29293	SIPO	UV	69087219
475601	1621	1998-10-08	VYDAJ	PREVOD NA UCET	7887	33265	SIPO	UV	69087219
475602	1621	1998-11-08	VYDAJ	PREVOD NA UCET	7887	32841	SIPO	UV	69087219
475603	1621	1998-12-08	VYDAJ	PREVOD NA UCET	7887	36124	SIPO	UV	69087219
475605	1621	1994-06-17	VYDAJ	VYBER	25600	26250	\N	\N	\N
475606	1621	1995-06-19	VYDAJ	VYBER	20200	23892	\N	\N	\N
475607	1621	1996-06-21	VYDAJ	VYBER	6200	29738	\N	\N	\N
475608	1621	1997-06-20	VYDAJ	VYBER	15000	34434	\N	\N	\N
475609	1621	1998-06-14	VYDAJ	VYBER	24500	37964	\N	\N	\N
475611	1621	1994-12-18	VYDAJ	VYBER	1300	48919	\N	\N	\N
475612	1621	1995-12-22	VYDAJ	VYBER	2300	36683	\N	\N	\N
475613	1621	1996-12-26	VYDAJ	VYBER	2600	44017	\N	\N	\N
475614	1621	1997-12-25	VYDAJ	VYBER	1700	65507	\N	\N	\N
475615	1621	1998-12-25	VYDAJ	VYBER	2000	57971	\N	\N	\N
475628	1621	1995-01-17	VYDAJ	VYBER	500	37589	\N	\N	\N
475629	1621	1995-01-13	VYDAJ	VYBER	2900	40689	\N	\N	\N
475630	1621	1995-01-28	VYDAJ	VYBER	1100	28789	\N	\N	\N
475631	1621	1995-01-04	VYDAJ	VYBER	600	37778	\N	\N	\N
475632	1621	1995-01-05	VYDAJ	VYBER	2200	35578	\N	\N	\N
475633	1621	1995-01-15	VYDAJ	VYBER	2600	38089	\N	\N	\N
475634	1621	1996-01-30	VYDAJ	VYBER	2200	25744	\N	\N	\N
475635	1621	1996-01-14	VYDAJ	VYBER	2400	41344	\N	\N	\N
475636	1621	1996-01-26	VYDAJ	VYBER	1600	29444	\N	\N	\N
475637	1621	1996-01-11	VYDAJ	VYBER	1100	27846	\N	\N	\N
475638	1621	1996-01-25	VYDAJ	VYBER	900	31044	\N	\N	\N
475639	1621	1996-01-27	VYDAJ	VYBER	1500	27944	\N	\N	\N
475640	1621	1997-01-01	VYDAJ	VYBER	2200	41993	\N	\N	\N
475641	1621	1997-01-19	VYDAJ	VYBER	1800	37904	\N	\N	\N
475642	1621	1997-01-01	VYDAJ	VYBER	1800	40193	\N	\N	\N
475643	1621	1997-01-16	VYDAJ	VYBER	1500	39704	\N	\N	\N
475644	1621	1997-01-23	VYDAJ	VYBER	1900	36004	\N	\N	\N
475645	1621	1997-01-02	VYDAJ	VYBER	2900	37293	\N	\N	\N
475646	1621	1998-01-09	VYDAJ	VYBER	2300	45261	\N	\N	\N
475647	1621	1998-01-02	VYDAJ	VYBER	1300	64448	\N	\N	\N
475648	1621	1998-01-11	VYDAJ	VYBER	1500	43061	\N	\N	\N
475649	1621	1998-01-11	VYDAJ	VYBER	700	44561	\N	\N	\N
475650	1621	1998-01-20	VYDAJ	VYBER	1200	57759	\N	\N	\N
475651	1621	1998-01-08	VYDAJ	VYBER	1700	54861	\N	\N	\N
475658	1621	1994-07-14	VYDAJ	VYBER	1600	32388	\N	\N	\N
475661	1621	1994-10-07	VYDAJ	VYBER	3100	28978	\N	\N	\N
475663	1621	1995-02-15	VYDAJ	VYBER	3600	33331	\N	\N	\N
475664	1621	1995-08-12	VYDAJ	VYBER	800	34018	\N	\N	\N
475665	1621	1995-07-22	VYDAJ	VYBER	3100	27412	\N	\N	\N
475666	1621	1995-05-11	VYDAJ	VYBER	3700	16622	\N	\N	\N
475667	1621	1995-08-26	VYDAJ	VYBER	1700	24918	\N	\N	\N
475668	1621	1995-05-09	VYDAJ	VYBER	4800	20322	\N	\N	\N
475669	1621	1996-04-27	VYDAJ	VYBER	2800	28530	\N	\N	\N
475670	1621	1996-11-26	VYDAJ	VYBER	4600	42083	\N	\N	\N
475671	1621	1996-12-21	VYDAJ	VYBER	2700	46617	\N	\N	\N
475672	1621	1996-07-05	VYDAJ	VYBER	4200	25663	\N	\N	\N
475673	1621	1996-05-19	VYDAJ	VYBER	2100	34564	\N	\N	\N
475674	1621	1996-02-04	VYDAJ	VYBER	1200	24675	\N	\N	\N
475675	1621	1997-01-28	VYDAJ	VYBER	3800	32204	\N	\N	\N
475676	1621	1997-03-27	VYDAJ	VYBER	2900	36201	\N	\N	\N
475677	1621	1997-04-03	VYDAJ	VYBER	2600	33750	\N	\N	\N
475678	1621	1997-08-18	VYDAJ	VYBER	1600	42958	\N	\N	\N
475679	1621	1998-10-18	VYDAJ	VYBER	4800	44363	\N	\N	\N
475680	1621	1998-08-30	VYDAJ	VYBER	2900	44810	\N	\N	\N
475681	1621	1998-06-26	VYDAJ	VYBER	2500	34364	\N	\N	\N
475682	1621	1998-06-25	VYDAJ	VYBER	1100	36864	\N	\N	\N
475683	1621	1998-06-07	VYDAJ	VYBER	2100	57704	\N	\N	\N
475700	1621	1994-04-30	VYDAJ	VYBER	15	41801	SLUZBY	\N	\N
475701	1621	1994-05-31	VYDAJ	VYBER	15	35890	SLUZBY	\N	\N
475702	1621	1994-06-30	VYDAJ	VYBER	15	25977	SLUZBY	\N	\N
475703	1621	1994-07-31	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
475704	1621	1994-08-31	VYDAJ	VYBER	15	32330	SLUZBY	\N	\N
475705	1621	1994-09-30	VYDAJ	VYBER	15	32078	SLUZBY	\N	\N
475706	1621	1994-10-31	VYDAJ	VYBER	15	32112	SLUZBY	\N	\N
475707	1621	1994-11-30	VYDAJ	VYBER	15	34259	SLUZBY	\N	\N
475708	1621	1994-12-31	VYDAJ	VYBER	15	38378	SLUZBY	\N	\N
475709	1621	1995-01-31	VYDAJ	VYBER	15	28920	SLUZBY	\N	\N
475710	1621	1995-02-28	VYDAJ	VYBER	15	27945	SLUZBY	\N	\N
475711	1621	1995-03-31	VYDAJ	VYBER	15	29274	SLUZBY	\N	\N
475712	1621	1995-04-30	VYDAJ	VYBER	15	33009	SLUZBY	\N	\N
475713	1621	1995-05-31	VYDAJ	VYBER	15	28132	SLUZBY	\N	\N
475714	1621	1995-06-30	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
475715	1621	1995-07-31	VYDAJ	VYBER	15	26807	SLUZBY	\N	\N
475716	1621	1995-08-31	VYDAJ	VYBER	15	25024	SLUZBY	\N	\N
475717	1621	1995-09-30	VYDAJ	VYBER	15	30542	SLUZBY	\N	\N
475718	1621	1995-10-31	VYDAJ	VYBER	15	32779	SLUZBY	\N	\N
475719	1621	1995-11-30	VYDAJ	VYBER	15	34023	SLUZBY	\N	\N
475720	1621	1995-12-31	VYDAJ	VYBER	15	36833	SLUZBY	\N	\N
475721	1621	1996-01-31	VYDAJ	VYBER	15	25875	SLUZBY	\N	\N
475722	1621	1996-02-29	VYDAJ	VYBER	15	30286	SLUZBY	\N	\N
475723	1621	1996-03-31	VYDAJ	VYBER	15	31919	SLUZBY	\N	\N
475724	1621	1996-04-30	VYDAJ	VYBER	15	28653	SLUZBY	\N	\N
475725	1621	1996-05-31	VYDAJ	VYBER	15	30078	SLUZBY	\N	\N
475726	1621	1996-06-30	VYDAJ	VYBER	15	29863	SLUZBY	\N	\N
475727	1621	1996-07-31	VYDAJ	VYBER	15	34087	SLUZBY	\N	\N
475728	1621	1996-08-31	VYDAJ	VYBER	15	36735	SLUZBY	\N	\N
475729	1621	1996-09-30	VYDAJ	VYBER	15	40896	SLUZBY	\N	\N
475730	1621	1996-10-31	VYDAJ	VYBER	15	44172	SLUZBY	\N	\N
475731	1621	1996-11-30	VYDAJ	VYBER	15	42257	SLUZBY	\N	\N
475732	1621	1996-12-31	VYDAJ	VYBER	15	44193	SLUZBY	\N	\N
475733	1621	1997-01-31	VYDAJ	VYBER	15	32341	SLUZBY	\N	\N
475734	1621	1997-02-28	VYDAJ	VYBER	15	39990	SLUZBY	\N	\N
475735	1621	1997-03-31	VYDAJ	VYBER	15	36350	SLUZBY	\N	\N
475736	1621	1997-04-30	VYDAJ	VYBER	15	39800	SLUZBY	\N	\N
475737	1621	1997-05-31	VYDAJ	VYBER	15	44674	SLUZBY	\N	\N
475738	1621	1997-06-30	VYDAJ	VYBER	15	34594	SLUZBY	\N	\N
475739	1621	1997-07-31	VYDAJ	VYBER	15	39947	SLUZBY	\N	\N
475740	1621	1997-08-31	VYDAJ	VYBER	15	43117	SLUZBY	\N	\N
475741	1621	1997-09-30	VYDAJ	VYBER	15	51813	SLUZBY	\N	\N
475742	1621	1997-10-31	VYDAJ	VYBER	15	54728	SLUZBY	\N	\N
475743	1621	1997-11-30	VYDAJ	VYBER	15	55447	SLUZBY	\N	\N
475744	1621	1997-12-31	VYDAJ	VYBER	15	65748	SLUZBY	\N	\N
475745	1621	1998-01-31	VYDAJ	VYBER	15	57985	SLUZBY	\N	\N
475746	1621	1998-02-28	VYDAJ	VYBER	15	57308	SLUZBY	\N	\N
475747	1621	1998-03-31	VYDAJ	VYBER	15	56633	SLUZBY	\N	\N
475748	1621	1998-04-30	VYDAJ	VYBER	15	60567	SLUZBY	\N	\N
475749	1621	1998-05-31	VYDAJ	VYBER	15	59804	SLUZBY	\N	\N
475750	1621	1998-06-30	VYDAJ	VYBER	15	34530	SLUZBY	\N	\N
475751	1621	1998-07-31	VYDAJ	VYBER	15	47299	SLUZBY	\N	\N
475752	1621	1998-08-31	VYDAJ	VYBER	15	44980	SLUZBY	\N	\N
475753	1621	1998-09-30	VYDAJ	VYBER	15	45352	SLUZBY	\N	\N
475754	1621	1998-10-31	VYDAJ	VYBER	15	44528	SLUZBY	\N	\N
475755	1621	1998-11-30	VYDAJ	VYBER	15	48911	SLUZBY	\N	\N
475756	1621	1993-12-31	PRIJEM	VKLAD	1400	25547	\N	\N	\N
475757	1621	1994-01-30	VYDAJ	VYBER	9200	32310	\N	\N	\N
475758	1621	1994-03-01	VYDAJ	VYBER	9400	39051	\N	\N	\N
475759	1621	1994-03-31	VYDAJ	VYBER	13100	42043	\N	\N	\N
475760	1621	1994-04-30	VYDAJ	VYBER	16300	41816	\N	\N	\N
475761	1621	1994-05-30	VYDAJ	VYBER	14100	35712	\N	\N	\N
475762	1621	1994-06-29	VYDAJ	VYBER	400	25850	\N	\N	\N
475763	1621	1994-07-29	VYDAJ	VYBER	4400	27988	\N	\N	\N
475764	1621	1994-08-28	VYDAJ	VYBER	3900	32208	\N	\N	\N
475765	1621	1994-09-27	VYDAJ	VYBER	8400	31941	\N	\N	\N
475766	1621	1994-10-27	VYDAJ	VYBER	5000	31989	\N	\N	\N
475767	1621	1994-11-26	VYDAJ	VYBER	6000	34123	\N	\N	\N
475768	1621	1994-12-26	VYDAJ	VYBER	10700	38219	\N	\N	\N
475769	1621	1995-01-25	VYDAJ	VYBER	7700	29889	\N	\N	\N
475770	1621	1995-02-24	VYDAJ	VYBER	5500	27831	\N	\N	\N
475771	1621	1995-03-26	VYDAJ	VYBER	6800	29156	\N	\N	\N
475772	1621	1995-04-25	VYDAJ	VYBER	4400	32885	\N	\N	\N
475773	1621	1995-05-25	VYDAJ	VYBER	4500	28020	\N	\N	\N
475774	1621	1995-06-24	VYDAJ	VYBER	1500	22392	\N	\N	\N
475775	1621	1995-07-24	VYDAJ	VYBER	700	26712	\N	\N	\N
475776	1621	1995-08-23	VYDAJ	VYBER	7400	26618	\N	\N	\N
475777	1621	1995-09-22	VYDAJ	VYBER	2600	30435	\N	\N	\N
475778	1621	1995-10-22	VYDAJ	VYBER	5900	32653	\N	\N	\N
475779	1621	1995-11-21	VYDAJ	VYBER	6900	33890	\N	\N	\N
475780	1621	1995-12-21	VYDAJ	VYBER	11000	38983	\N	\N	\N
475781	1621	1996-01-20	VYDAJ	VYBER	9400	31944	\N	\N	\N
475782	1621	1996-02-19	VYDAJ	VYBER	2500	30186	\N	\N	\N
475783	1621	1996-03-20	VYDAJ	VYBER	6500	31797	\N	\N	\N
475784	1621	1996-04-19	VYDAJ	VYBER	8600	31330	\N	\N	\N
475785	1621	1996-05-19	VYDAJ	VYBER	4600	29964	\N	\N	\N
475786	1621	1996-06-18	VYDAJ	VYBER	10100	35938	\N	\N	\N
475787	1621	1996-07-18	PRIJEM	VKLAD	300	33974	\N	\N	\N
475788	1621	1996-08-17	VYDAJ	VYBER	5500	36598	\N	\N	\N
475789	1621	1996-09-16	VYDAJ	VYBER	4000	40746	\N	\N	\N
475790	1621	1996-10-16	VYDAJ	VYBER	4900	44007	\N	\N	\N
475791	1621	1996-11-15	VYDAJ	VYBER	5500	46683	\N	\N	\N
475792	1621	1996-12-15	VYDAJ	VYBER	8900	49317	\N	\N	\N
475793	1621	1997-01-14	VYDAJ	VYBER	4100	41204	\N	\N	\N
475794	1621	1997-02-13	VYDAJ	VYBER	500	39852	\N	\N	\N
475795	1621	1997-03-15	VYDAJ	VYBER	8900	39101	\N	\N	\N
475796	1621	1997-04-14	VYDAJ	VYBER	2100	39661	\N	\N	\N
475797	1621	1997-05-14	VYDAJ	VYBER	3300	44511	\N	\N	\N
475798	1621	1997-06-13	VYDAJ	VYBER	11200	49434	\N	\N	\N
475799	1621	1997-07-13	VYDAJ	VYBER	2800	39805	\N	\N	\N
475800	1621	1997-08-12	VYDAJ	VYBER	3400	44558	\N	\N	\N
475801	1621	1997-09-11	PRIJEM	VKLAD	500	35730	\N	\N	\N
475802	1621	1997-10-11	VYDAJ	VYBER	5300	38626	\N	\N	\N
475803	1621	1997-11-10	VYDAJ	VYBER	7500	39341	\N	\N	\N
475804	1621	1997-12-10	VYDAJ	VYBER	4200	43360	\N	\N	\N
475805	1621	1998-01-09	VYDAJ	VYBER	7300	47561	\N	\N	\N
475806	1621	1998-02-08	VYDAJ	VYBER	8900	41198	\N	\N	\N
475807	1621	1998-03-10	VYDAJ	VYBER	8900	40521	\N	\N	\N
475808	1621	1998-04-09	VYDAJ	VYBER	4300	44446	\N	\N	\N
475809	1621	1998-05-09	VYDAJ	VYBER	9000	43680	\N	\N	\N
475810	1621	1998-06-08	VYDAJ	VYBER	11200	46504	\N	\N	\N
475811	1621	1998-07-08	PRIJEM	VKLAD	4600	39130	\N	\N	\N
475812	1621	1998-08-07	VYDAJ	VYBER	7600	39699	\N	\N	\N
475813	1621	1998-09-06	VYDAJ	VYBER	7800	37180	\N	\N	\N
475814	1621	1998-10-06	VYDAJ	VYBER	4200	41152	\N	\N	\N
475815	1621	1998-11-05	VYDAJ	VYBER	3800	40728	\N	\N	\N
475816	1621	1998-12-05	VYDAJ	VYBER	4900	44011	\N	\N	\N
475878	1622	1996-04-12	PRIJEM	VKLAD	900	900	\N	\N	\N
475883	1622	1996-05-05	PRIJEM	VKLAD	5078	5978	\N	\N	\N
475884	1622	1996-06-05	PRIJEM	VKLAD	7617	21733	\N	\N	\N
475885	1622	1996-07-05	PRIJEM	VKLAD	5078	26089	\N	\N	\N
475886	1622	1996-08-05	PRIJEM	VKLAD	5078	32171	\N	\N	\N
475887	1622	1996-09-05	PRIJEM	VKLAD	5078	34869	\N	\N	\N
475888	1622	1996-10-05	PRIJEM	VKLAD	5078	31261	\N	\N	\N
475889	1622	1996-11-05	PRIJEM	VKLAD	5078	30046	\N	\N	\N
475890	1622	1996-12-05	PRIJEM	VKLAD	7617	36881	\N	\N	\N
475891	1622	1997-01-05	PRIJEM	VKLAD	5078	33469	\N	\N	\N
475892	1622	1997-02-05	PRIJEM	VKLAD	5078	27998	\N	\N	\N
475893	1622	1997-03-05	PRIJEM	VKLAD	5078	24651	\N	\N	\N
475894	1622	1997-04-05	PRIJEM	VKLAD	5078	23209	\N	\N	\N
475895	1622	1997-05-05	PRIJEM	VKLAD	5078	24869	\N	\N	\N
475896	1622	1997-06-05	PRIJEM	VKLAD	7617	21713	\N	\N	\N
475897	1622	1997-07-05	PRIJEM	VKLAD	5078	26582	\N	\N	\N
475898	1622	1997-08-05	PRIJEM	VKLAD	5078	33768	\N	\N	\N
475899	1622	1997-09-05	PRIJEM	VKLAD	5078	41972	\N	\N	\N
475900	1622	1997-10-05	PRIJEM	VKLAD	5078	34419	\N	\N	\N
475901	1622	1997-11-05	PRIJEM	VKLAD	5078	42223	\N	\N	\N
475902	1622	1997-12-05	PRIJEM	VKLAD	7617	48800	\N	\N	\N
475903	1622	1998-01-05	PRIJEM	VKLAD	5078	43341	\N	\N	\N
475904	1622	1998-02-05	PRIJEM	VKLAD	5078	32959	\N	\N	\N
475905	1622	1998-03-05	PRIJEM	VKLAD	5078	39359	\N	\N	\N
475906	1622	1998-04-05	PRIJEM	VKLAD	5078	38092	\N	\N	\N
475907	1622	1998-05-05	PRIJEM	VKLAD	5078	44315	\N	\N	\N
475908	1622	1998-06-05	PRIJEM	VKLAD	7617	45201	\N	\N	\N
475909	1622	1998-07-05	PRIJEM	VKLAD	5078	38085	\N	\N	\N
475910	1622	1998-08-05	PRIJEM	VKLAD	5078	41204	\N	\N	\N
475911	1622	1998-09-05	PRIJEM	VKLAD	5078	47040	\N	\N	\N
475912	1622	1998-10-05	PRIJEM	VKLAD	5078	45297	\N	\N	\N
475913	1622	1998-11-05	PRIJEM	VKLAD	5078	48749	\N	\N	\N
475914	1622	1998-12-05	PRIJEM	VKLAD	7617	43966	\N	\N	\N
475923	1622	1996-09-10	VYDAJ	PREVOD NA UCET	2357	26084	SIPO	KL	22068381
475924	1622	1996-10-10	VYDAJ	PREVOD NA UCET	2357	24876	SIPO	KL	22068381
475925	1622	1996-11-10	VYDAJ	PREVOD NA UCET	2357	29161	SIPO	KL	22068381
475926	1622	1996-12-10	VYDAJ	PREVOD NA UCET	2357	33196	SIPO	KL	22068381
475927	1622	1997-01-10	VYDAJ	PREVOD NA UCET	2357	27384	SIPO	KL	22068381
475928	1622	1997-02-10	VYDAJ	PREVOD NA UCET	2357	22613	SIPO	KL	22068381
475929	1622	1997-03-10	VYDAJ	PREVOD NA UCET	2357	21066	SIPO	KL	22068381
475930	1622	1997-04-10	VYDAJ	PREVOD NA UCET	2357	19724	SIPO	KL	22068381
475931	1622	1997-05-10	VYDAJ	PREVOD NA UCET	2357	20584	SIPO	KL	22068381
475932	1622	1997-06-10	VYDAJ	PREVOD NA UCET	2357	21428	SIPO	KL	22068381
475933	1622	1997-07-10	VYDAJ	PREVOD NA UCET	2357	26197	SIPO	KL	22068381
475934	1622	1997-08-10	VYDAJ	PREVOD NA UCET	2357	30383	SIPO	KL	22068381
475935	1622	1997-09-10	VYDAJ	PREVOD NA UCET	2357	33307	SIPO	KL	22068381
475936	1622	1997-10-10	VYDAJ	PREVOD NA UCET	2357	31034	SIPO	KL	22068381
475937	1622	1997-11-10	VYDAJ	PREVOD NA UCET	2357	38838	SIPO	KL	22068381
475938	1622	1997-12-10	VYDAJ	PREVOD NA UCET	2357	45415	SIPO	KL	22068381
475939	1622	1998-01-10	VYDAJ	PREVOD NA UCET	2357	34796	SIPO	KL	22068381
475940	1622	1998-02-10	VYDAJ	PREVOD NA UCET	2357	29574	SIPO	KL	22068381
475941	1622	1998-03-10	VYDAJ	PREVOD NA UCET	2357	35974	SIPO	KL	22068381
475942	1622	1998-04-10	VYDAJ	PREVOD NA UCET	2357	34707	SIPO	KL	22068381
475943	1622	1998-05-10	VYDAJ	PREVOD NA UCET	2357	40930	SIPO	KL	22068381
475944	1622	1998-06-10	VYDAJ	PREVOD NA UCET	2357	41816	SIPO	KL	22068381
475945	1622	1998-07-10	VYDAJ	PREVOD NA UCET	2357	34700	SIPO	KL	22068381
475946	1622	1998-08-10	VYDAJ	PREVOD NA UCET	2357	37819	SIPO	KL	22068381
475947	1622	1998-09-10	VYDAJ	PREVOD NA UCET	2357	43655	SIPO	KL	22068381
475948	1622	1998-10-10	VYDAJ	PREVOD NA UCET	2357	41912	SIPO	KL	22068381
475949	1622	1998-11-10	VYDAJ	PREVOD NA UCET	2357	40684	SIPO	KL	22068381
475950	1622	1998-12-10	VYDAJ	PREVOD NA UCET	2357	40581	SIPO	KL	22068381
475959	1622	1996-09-08	VYDAJ	PREVOD NA UCET	1028	33841	 	IJ	83712011
475960	1622	1996-10-08	VYDAJ	PREVOD NA UCET	1028	30233	 	IJ	83712011
475961	1622	1996-11-08	VYDAJ	PREVOD NA UCET	1028	31518	 	IJ	83712011
475962	1622	1996-12-08	VYDAJ	PREVOD NA UCET	1028	35553	 	IJ	83712011
475963	1622	1997-01-08	VYDAJ	PREVOD NA UCET	1028	29741	 	IJ	83712011
475964	1622	1997-02-08	VYDAJ	PREVOD NA UCET	1028	24970	 	IJ	83712011
475965	1622	1997-03-08	VYDAJ	PREVOD NA UCET	1028	23623	 	IJ	83712011
475966	1622	1997-04-08	VYDAJ	PREVOD NA UCET	1028	22081	 	IJ	83712011
475967	1622	1997-05-08	VYDAJ	PREVOD NA UCET	1028	22941	 	IJ	83712011
475968	1622	1997-06-08	VYDAJ	PREVOD NA UCET	1028	23785	 	IJ	83712011
475969	1622	1997-07-08	VYDAJ	PREVOD NA UCET	1028	28554	 	IJ	83712011
475970	1622	1997-08-08	VYDAJ	PREVOD NA UCET	1028	32740	 	IJ	83712011
475971	1622	1997-09-08	VYDAJ	PREVOD NA UCET	1028	35664	 	IJ	83712011
475972	1622	1997-10-08	VYDAJ	PREVOD NA UCET	1028	33391	 	IJ	83712011
475973	1622	1997-11-08	VYDAJ	PREVOD NA UCET	1028	41195	 	IJ	83712011
475974	1622	1997-12-08	VYDAJ	PREVOD NA UCET	1028	47772	 	IJ	83712011
475975	1622	1998-01-08	VYDAJ	PREVOD NA UCET	1028	39673	 	IJ	83712011
475976	1622	1998-02-08	VYDAJ	PREVOD NA UCET	1028	31931	 	IJ	83712011
475977	1622	1998-03-08	VYDAJ	PREVOD NA UCET	1028	38331	 	IJ	83712011
475978	1622	1998-04-08	VYDAJ	PREVOD NA UCET	1028	37064	 	IJ	83712011
475979	1622	1998-05-08	VYDAJ	PREVOD NA UCET	1028	43287	 	IJ	83712011
475980	1622	1998-06-08	VYDAJ	PREVOD NA UCET	1028	44173	 	IJ	83712011
475981	1622	1998-07-08	VYDAJ	PREVOD NA UCET	1028	37057	 	IJ	83712011
475982	1622	1998-08-08	VYDAJ	PREVOD NA UCET	1028	40176	 	IJ	83712011
475983	1622	1998-09-08	VYDAJ	PREVOD NA UCET	1028	46012	 	IJ	83712011
475984	1622	1998-10-08	VYDAJ	PREVOD NA UCET	1028	44269	 	IJ	83712011
475985	1622	1998-11-08	VYDAJ	PREVOD NA UCET	1028	47721	 	IJ	83712011
475986	1622	1998-12-08	VYDAJ	PREVOD NA UCET	1028	42938	 	IJ	83712011
475988	1622	1997-06-01	VYDAJ	VYBER	6560	14096	\N	\N	\N
475989	1622	1998-06-18	VYDAJ	VYBER	16640	25176	\N	\N	\N
475990	1622	1996-12-16	VYDAJ	VYBER	2880	30316	\N	\N	\N
475991	1622	1997-12-23	VYDAJ	VYBER	3520	41895	\N	\N	\N
475992	1622	1998-12-30	VYDAJ	VYBER	4480	33441	\N	\N	\N
475999	1622	1997-01-19	VYDAJ	VYBER	1320	26064	\N	\N	\N
476000	1622	1997-01-07	VYDAJ	VYBER	1560	30769	\N	\N	\N
476001	1622	1997-01-19	VYDAJ	VYBER	1800	24264	\N	\N	\N
476002	1622	1997-01-05	VYDAJ	VYBER	840	32629	\N	\N	\N
476003	1622	1997-01-01	VYDAJ	VYBER	2040	28391	\N	\N	\N
476004	1622	1997-01-22	VYDAJ	VYBER	1440	22824	\N	\N	\N
476005	1622	1998-01-09	VYDAJ	VYBER	2520	37153	\N	\N	\N
476006	1622	1998-01-12	VYDAJ	VYBER	1440	31076	\N	\N	\N
476007	1622	1998-01-07	VYDAJ	VYBER	2640	40701	\N	\N	\N
476008	1622	1998-01-12	VYDAJ	VYBER	2280	32516	\N	\N	\N
476009	1622	1998-01-23	VYDAJ	VYBER	1440	29636	\N	\N	\N
476010	1622	1998-01-02	VYDAJ	VYBER	1200	38263	\N	\N	\N
476013	1622	1997-09-27	VYDAJ	VYBER	4800	25507	\N	\N	\N
476014	1622	1997-09-29	VYDAJ	VYBER	5880	19627	\N	\N	\N
476015	1622	1997-03-15	VYDAJ	VYBER	3000	18066	\N	\N	\N
476016	1622	1997-09-13	VYDAJ	VYBER	3000	30307	\N	\N	\N
476017	1622	1997-09-07	VYDAJ	VYBER	5280	36692	\N	\N	\N
476018	1622	1997-02-24	VYDAJ	VYBER	3120	19493	\N	\N	\N
476019	1622	1998-11-09	VYDAJ	VYBER	4680	43041	\N	\N	\N
476020	1622	1998-01-29	VYDAJ	VYBER	5880	23756	\N	\N	\N
476021	1622	1998-03-11	VYDAJ	VYBER	4680	31294	\N	\N	\N
476022	1622	1998-11-13	VYDAJ	VYBER	5280	35404	\N	\N	\N
476023	1622	1998-12-28	VYDAJ	VYBER	2160	37921	\N	\N	\N
476024	1622	1998-09-26	VYDAJ	VYBER	1800	41855	\N	\N	\N
476034	1622	1996-09-30	VYDAJ	VYBER	15	26183	SLUZBY	\N	\N
476035	1622	1996-10-31	VYDAJ	VYBER	15	24968	SLUZBY	\N	\N
476036	1622	1996-11-30	VYDAJ	VYBER	15	29264	SLUZBY	\N	\N
476037	1622	1996-12-31	VYDAJ	VYBER	15	30431	SLUZBY	\N	\N
476038	1622	1997-01-31	VYDAJ	VYBER	15	22920	SLUZBY	\N	\N
476039	1622	1997-02-28	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
476040	1622	1997-03-31	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
476041	1622	1997-04-30	VYDAJ	VYBER	15	19791	SLUZBY	\N	\N
476042	1622	1997-05-31	VYDAJ	VYBER	15	20656	SLUZBY	\N	\N
476043	1622	1997-06-30	VYDAJ	VYBER	15	21504	SLUZBY	\N	\N
476044	1622	1997-07-31	VYDAJ	VYBER	15	26290	SLUZBY	\N	\N
476045	1622	1997-08-31	VYDAJ	VYBER	15	30494	SLUZBY	\N	\N
476046	1622	1997-09-30	VYDAJ	VYBER	15	19741	SLUZBY	\N	\N
476047	1622	1997-10-31	VYDAJ	VYBER	15	31145	SLUZBY	\N	\N
476048	1622	1997-11-30	VYDAJ	VYBER	15	38983	SLUZBY	\N	\N
476049	1622	1997-12-31	VYDAJ	VYBER	15	42063	SLUZBY	\N	\N
476050	1622	1998-01-31	VYDAJ	VYBER	15	23881	SLUZBY	\N	\N
476051	1622	1998-02-28	VYDAJ	VYBER	15	29681	SLUZBY	\N	\N
476052	1622	1998-03-31	VYDAJ	VYBER	15	31414	SLUZBY	\N	\N
476053	1622	1998-04-30	VYDAJ	VYBER	15	34837	SLUZBY	\N	\N
476054	1622	1998-05-31	VYDAJ	VYBER	15	41084	SLUZBY	\N	\N
476055	1622	1998-06-30	VYDAJ	VYBER	15	25307	SLUZBY	\N	\N
476056	1622	1998-07-31	VYDAJ	VYBER	15	36126	SLUZBY	\N	\N
476057	1622	1998-08-31	VYDAJ	VYBER	15	41962	SLUZBY	\N	\N
476058	1622	1998-09-30	VYDAJ	VYBER	15	40219	SLUZBY	\N	\N
476059	1622	1998-10-31	VYDAJ	VYBER	15	43671	SLUZBY	\N	\N
476060	1622	1998-11-30	VYDAJ	VYBER	15	36349	SLUZBY	\N	\N
476061	1622	1996-05-12	PRIJEM	VKLAD	8100	14078	\N	\N	\N
476062	1622	1996-06-11	VYDAJ	VYBER	800	20933	\N	\N	\N
476063	1622	1996-07-11	PRIJEM	VKLAD	900	26989	\N	\N	\N
476064	1622	1996-08-10	VYDAJ	VYBER	2500	29671	\N	\N	\N
476065	1622	1996-09-09	VYDAJ	VYBER	5400	28441	\N	\N	\N
476066	1622	1996-10-09	VYDAJ	VYBER	3000	27233	\N	\N	\N
476067	1622	1996-11-08	PRIJEM	VKLAD	2500	32546	\N	\N	\N
476068	1622	1996-12-08	VYDAJ	VYBER	300	36581	\N	\N	\N
476069	1622	1997-01-07	VYDAJ	VYBER	300	32329	\N	\N	\N
476070	1622	1997-02-06	VYDAJ	VYBER	2000	25998	\N	\N	\N
476071	1622	1997-03-08	VYDAJ	VYBER	200	23423	\N	\N	\N
476072	1622	1997-04-07	VYDAJ	VYBER	100	23109	\N	\N	\N
476073	1622	1997-05-07	VYDAJ	VYBER	900	23969	\N	\N	\N
476074	1622	1997-06-06	PRIJEM	VKLAD	3100	24813	\N	\N	\N
476075	1622	1997-07-06	PRIJEM	VKLAD	3000	29582	\N	\N	\N
476076	1622	1997-08-05	PRIJEM	VKLAD	2400	28690	\N	\N	\N
476077	1622	1997-09-04	PRIJEM	VKLAD	6400	36894	\N	\N	\N
476078	1622	1997-10-04	PRIJEM	VKLAD	9600	29341	\N	\N	\N
476079	1622	1997-11-03	PRIJEM	VKLAD	6000	37145	\N	\N	\N
476080	1622	1997-12-03	PRIJEM	VKLAD	2200	41183	\N	\N	\N
476081	1622	1998-01-02	VYDAJ	VYBER	2600	39463	\N	\N	\N
476082	1622	1998-02-01	PRIJEM	VKLAD	4000	27881	\N	\N	\N
476083	1622	1998-03-03	PRIJEM	VKLAD	4600	34281	\N	\N	\N
476084	1622	1998-04-02	PRIJEM	VKLAD	1600	33014	\N	\N	\N
476085	1622	1998-05-02	PRIJEM	VKLAD	4400	39237	\N	\N	\N
476086	1622	1998-06-01	VYDAJ	VYBER	3500	37584	\N	\N	\N
476087	1622	1998-07-01	PRIJEM	VKLAD	7700	33007	\N	\N	\N
476088	1622	1998-07-31	PRIJEM	VKLAD	1300	36000	\N	\N	\N
476089	1622	1998-08-30	PRIJEM	VKLAD	4000	41819	\N	\N	\N
476090	1622	1998-09-29	VYDAJ	VYBER	1800	40055	\N	\N	\N
476091	1622	1998-10-29	PRIJEM	VKLAD	1600	43512	\N	\N	\N
476092	1622	1998-11-28	PRIJEM	VKLAD	800	36204	\N	\N	\N
476093	1622	1998-12-28	VYDAJ	VYBER	500	40081	\N	\N	\N
476126	1623	1996-02-04	PRIJEM	VKLAD	800	800	\N	\N	\N
476128	1623	1996-02-06	PRIJEM	VKLAD	24692	25492	\N	\N	\N
476129	1623	1996-03-06	PRIJEM	VKLAD	24692	50772	\N	\N	\N
476130	1623	1996-04-06	PRIJEM	VKLAD	24692	58459	\N	\N	\N
476131	1623	1996-05-06	PRIJEM	VKLAD	24692	63989	\N	\N	\N
476132	1623	1996-06-06	PRIJEM	VKLAD	37038	81590	\N	\N	\N
476133	1623	1996-07-06	PRIJEM	VKLAD	24692	62202	\N	\N	\N
476134	1623	1996-08-06	PRIJEM	VKLAD	24692	61841	\N	\N	\N
476135	1623	1996-09-06	PRIJEM	VKLAD	24692	61560	\N	\N	\N
476136	1623	1996-10-06	PRIJEM	VKLAD	24692	66599	\N	\N	\N
476137	1623	1996-11-06	PRIJEM	VKLAD	24692	67755	\N	\N	\N
476138	1623	1996-12-06	PRIJEM	VKLAD	37038	78181	\N	\N	\N
476139	1623	1997-01-06	PRIJEM	VKLAD	24692	51234	\N	\N	\N
476140	1623	1997-02-06	PRIJEM	VKLAD	24692	47923	\N	\N	\N
476141	1623	1997-03-06	PRIJEM	VKLAD	24692	48627	\N	\N	\N
476142	1623	1997-04-06	PRIJEM	VKLAD	24692	55387	\N	\N	\N
476143	1623	1997-05-06	PRIJEM	VKLAD	24692	57274	\N	\N	\N
476144	1623	1997-06-06	PRIJEM	VKLAD	37038	72513	\N	\N	\N
476145	1623	1997-07-06	PRIJEM	VKLAD	24692	45588	\N	\N	\N
476146	1623	1997-08-06	PRIJEM	VKLAD	24692	52933	\N	\N	\N
476147	1623	1997-09-06	PRIJEM	VKLAD	24692	52896	\N	\N	\N
476148	1623	1997-10-06	PRIJEM	VKLAD	24692	51564	\N	\N	\N
476149	1623	1997-11-06	PRIJEM	VKLAD	24692	54629	\N	\N	\N
476150	1623	1997-12-06	PRIJEM	VKLAD	37038	68650	\N	\N	\N
476151	1623	1998-01-06	PRIJEM	VKLAD	24692	50952	\N	\N	\N
476152	1623	1998-02-06	PRIJEM	VKLAD	24692	43858	\N	\N	\N
476153	1623	1998-03-06	PRIJEM	VKLAD	24692	44084	\N	\N	\N
476154	1623	1998-04-06	PRIJEM	VKLAD	24692	44513	\N	\N	\N
476155	1623	1998-05-06	PRIJEM	VKLAD	24692	43341	\N	\N	\N
476156	1623	1998-06-06	PRIJEM	VKLAD	37038	53989	\N	\N	\N
476157	1623	1998-07-06	PRIJEM	VKLAD	24692	45430	\N	\N	\N
476158	1623	1998-08-06	PRIJEM	VKLAD	24692	43898	\N	\N	\N
476159	1623	1998-09-06	PRIJEM	VKLAD	24692	46623	\N	\N	\N
476160	1623	1998-10-06	PRIJEM	VKLAD	24692	40514	\N	\N	\N
476161	1623	1998-11-06	PRIJEM	VKLAD	24692	39557	\N	\N	\N
476162	1623	1998-12-06	PRIJEM	VKLAD	37038	54005	\N	\N	\N
476168	1623	1996-06-10	VYDAJ	PREVOD NA UCET	9160	47630	SIPO	UV	2717727
476169	1623	1996-07-10	VYDAJ	PREVOD NA UCET	9160	53042	SIPO	UV	2717727
476170	1623	1996-08-10	VYDAJ	PREVOD NA UCET	9160	52681	SIPO	UV	2717727
476171	1623	1996-09-10	VYDAJ	PREVOD NA UCET	9160	52400	SIPO	UV	2717727
476172	1623	1996-10-10	VYDAJ	PREVOD NA UCET	9160	57439	SIPO	UV	2717727
476173	1623	1996-11-10	VYDAJ	PREVOD NA UCET	9160	58595	SIPO	UV	2717727
476174	1623	1996-12-10	VYDAJ	PREVOD NA UCET	9160	69021	SIPO	UV	2717727
476175	1623	1997-01-10	VYDAJ	PREVOD NA UCET	9160	36314	SIPO	UV	2717727
476176	1623	1997-02-10	VYDAJ	PREVOD NA UCET	9160	38763	SIPO	UV	2717727
476177	1623	1997-03-10	VYDAJ	PREVOD NA UCET	9160	39467	SIPO	UV	2717727
476178	1623	1997-04-10	VYDAJ	PREVOD NA UCET	9160	46227	SIPO	UV	2717727
476179	1623	1997-05-10	VYDAJ	PREVOD NA UCET	9160	48114	SIPO	UV	2717727
476180	1623	1997-06-10	VYDAJ	PREVOD NA UCET	9160	63353	SIPO	UV	2717727
476181	1623	1997-07-10	VYDAJ	PREVOD NA UCET	9160	36428	SIPO	UV	2717727
476182	1623	1997-08-10	VYDAJ	PREVOD NA UCET	9160	43773	SIPO	UV	2717727
476183	1623	1997-09-10	VYDAJ	PREVOD NA UCET	9160	43736	SIPO	UV	2717727
476184	1623	1997-10-10	VYDAJ	PREVOD NA UCET	9160	42404	SIPO	UV	2717727
476185	1623	1997-11-10	VYDAJ	PREVOD NA UCET	9160	45469	SIPO	UV	2717727
476186	1623	1997-12-10	VYDAJ	PREVOD NA UCET	9160	59490	SIPO	UV	2717727
476187	1623	1998-01-10	VYDAJ	PREVOD NA UCET	9160	41792	SIPO	UV	2717727
476188	1623	1998-02-10	VYDAJ	PREVOD NA UCET	9160	34698	SIPO	UV	2717727
476189	1623	1998-03-10	VYDAJ	PREVOD NA UCET	9160	34924	SIPO	UV	2717727
476190	1623	1998-04-10	VYDAJ	PREVOD NA UCET	9160	35353	SIPO	UV	2717727
476191	1623	1998-05-10	VYDAJ	PREVOD NA UCET	9160	34181	SIPO	UV	2717727
476192	1623	1998-06-10	VYDAJ	PREVOD NA UCET	9160	44829	SIPO	UV	2717727
476193	1623	1998-07-10	VYDAJ	PREVOD NA UCET	9160	36270	SIPO	UV	2717727
476194	1623	1998-08-10	VYDAJ	PREVOD NA UCET	9160	34738	SIPO	UV	2717727
476195	1623	1998-09-10	VYDAJ	PREVOD NA UCET	9160	32063	SIPO	UV	2717727
476196	1623	1998-10-10	VYDAJ	PREVOD NA UCET	9160	31354	SIPO	UV	2717727
476197	1623	1998-11-10	VYDAJ	PREVOD NA UCET	9160	30397	SIPO	UV	2717727
476198	1623	1998-12-10	VYDAJ	PREVOD NA UCET	9160	44845	SIPO	UV	2717727
476199	1623	1996-06-06	VYDAJ	VYBER	24800	56790	\N	\N	\N
476200	1623	1997-06-14	VYDAJ	VYBER	37760	25593	\N	\N	\N
476203	1623	1997-01-04	VYDAJ	VYBER	12160	26542	\N	\N	\N
476204	1623	1998-01-02	VYDAJ	VYBER	4160	26260	\N	\N	\N
476205	1623	1996-12-04	VYDAJ	VYBER	3360	41143	\N	\N	\N
476206	1623	1997-12-23	VYDAJ	VYBER	3840	55650	\N	\N	\N
476207	1623	1998-12-12	VYDAJ	VYBER	2080	42765	\N	\N	\N
476214	1623	1997-01-08	VYDAJ	VYBER	2640	48594	\N	\N	\N
476215	1623	1997-01-20	VYDAJ	VYBER	1440	34034	\N	\N	\N
476216	1623	1997-01-13	VYDAJ	VYBER	840	35474	\N	\N	\N
476217	1623	1997-01-26	VYDAJ	VYBER	3240	30794	\N	\N	\N
476218	1623	1997-01-10	VYDAJ	VYBER	3120	45474	\N	\N	\N
476219	1623	1997-01-01	VYDAJ	VYBER	3240	38702	\N	\N	\N
476220	1623	1998-01-23	VYDAJ	VYBER	720	29552	\N	\N	\N
476221	1623	1998-01-14	VYDAJ	VYBER	2760	31112	\N	\N	\N
476222	1623	1998-01-12	VYDAJ	VYBER	1080	34832	\N	\N	\N
476223	1623	1998-01-19	VYDAJ	VYBER	840	30272	\N	\N	\N
476224	1623	1998-01-14	VYDAJ	VYBER	960	33872	\N	\N	\N
476225	1623	1998-01-10	VYDAJ	VYBER	1320	40472	\N	\N	\N
476228	1623	1996-08-30	VYDAJ	VYBER	3000	48961	\N	\N	\N
476229	1623	1996-08-14	VYDAJ	VYBER	720	51961	\N	\N	\N
476230	1623	1996-12-13	VYDAJ	VYBER	5520	63501	\N	\N	\N
476231	1623	1996-06-29	VYDAJ	VYBER	1320	46310	\N	\N	\N
476232	1623	1997-02-20	VYDAJ	VYBER	2880	32643	\N	\N	\N
476233	1623	1997-08-15	VYDAJ	VYBER	4200	39573	\N	\N	\N
476234	1623	1997-02-22	VYDAJ	VYBER	4920	27723	\N	\N	\N
476235	1623	1997-02-19	VYDAJ	VYBER	3240	35523	\N	\N	\N
476236	1623	1997-06-21	VYDAJ	VYBER	720	24873	\N	\N	\N
476237	1623	1998-01-11	VYDAJ	VYBER	4560	35912	\N	\N	\N
476238	1623	1998-09-15	VYDAJ	VYBER	3120	28943	\N	\N	\N
476239	1623	1998-09-10	VYDAJ	VYBER	5400	41223	\N	\N	\N
476241	1623	1998-07-24	VYDAJ	VYBER	960	19110	\N	\N	\N
476242	1623	1998-05-27	VYDAJ	VYBER	1920	16861	\N	\N	\N
476243	1623	1998-10-14	VYDAJ	VYBER	960	30394	\N	\N	\N
476250	1623	1996-06-30	VYDAJ	VYBER	15	46510	SLUZBY	\N	\N
476251	1623	1996-07-31	VYDAJ	VYBER	15	53249	SLUZBY	\N	\N
476252	1623	1996-08-31	VYDAJ	VYBER	15	49168	SLUZBY	\N	\N
476253	1623	1996-09-30	VYDAJ	VYBER	15	52607	SLUZBY	\N	\N
476254	1623	1996-10-31	VYDAJ	VYBER	15	57663	SLUZBY	\N	\N
476255	1623	1996-11-30	VYDAJ	VYBER	15	44503	SLUZBY	\N	\N
476256	1623	1996-12-31	VYDAJ	VYBER	15	41942	SLUZBY	\N	\N
476257	1623	1997-01-31	VYDAJ	VYBER	15	23231	SLUZBY	\N	\N
476258	1623	1997-02-28	VYDAJ	VYBER	15	23935	SLUZBY	\N	\N
476259	1623	1997-03-31	VYDAJ	VYBER	15	30695	SLUZBY	\N	\N
476260	1623	1997-04-30	VYDAJ	VYBER	15	32582	SLUZBY	\N	\N
476261	1623	1997-05-31	VYDAJ	VYBER	15	35475	SLUZBY	\N	\N
476262	1623	1997-06-30	VYDAJ	VYBER	15	20896	SLUZBY	\N	\N
476263	1623	1997-07-31	VYDAJ	VYBER	15	28241	SLUZBY	\N	\N
476264	1623	1997-08-31	VYDAJ	VYBER	15	28204	SLUZBY	\N	\N
476265	1623	1997-09-30	VYDAJ	VYBER	15	26872	SLUZBY	\N	\N
476266	1623	1997-10-31	VYDAJ	VYBER	15	29937	SLUZBY	\N	\N
476267	1623	1997-11-30	VYDAJ	VYBER	15	31612	SLUZBY	\N	\N
476268	1623	1997-12-31	VYDAJ	VYBER	15	30420	SLUZBY	\N	\N
476269	1623	1998-01-31	VYDAJ	VYBER	15	19166	SLUZBY	\N	\N
476270	1623	1998-02-28	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
476271	1623	1998-03-31	VYDAJ	VYBER	15	19821	SLUZBY	\N	\N
476272	1623	1998-04-30	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
476273	1623	1998-05-31	VYDAJ	VYBER	15	16951	SLUZBY	\N	\N
476274	1623	1998-06-30	VYDAJ	VYBER	15	20738	SLUZBY	\N	\N
476275	1623	1998-07-31	VYDAJ	VYBER	15	19206	SLUZBY	\N	\N
476276	1623	1998-08-31	VYDAJ	VYBER	15	21931	SLUZBY	\N	\N
476277	1623	1998-09-30	VYDAJ	VYBER	15	15822	SLUZBY	\N	\N
476278	1623	1998-10-31	VYDAJ	VYBER	15	14865	SLUZBY	\N	\N
476279	1623	1998-11-30	VYDAJ	VYBER	15	16967	SLUZBY	\N	\N
476280	1623	1996-03-05	PRIJEM	VKLAD	500	26080	\N	\N	\N
476281	1623	1996-04-04	VYDAJ	VYBER	17200	33767	\N	\N	\N
476282	1623	1996-05-04	VYDAJ	VYBER	19400	39297	\N	\N	\N
476283	1623	1996-06-03	VYDAJ	VYBER	19700	44552	\N	\N	\N
476284	1623	1996-07-03	VYDAJ	VYBER	9000	37510	\N	\N	\N
476285	1623	1996-08-02	VYDAJ	VYBER	16100	37149	\N	\N	\N
476286	1623	1996-09-01	VYDAJ	VYBER	12300	36868	\N	\N	\N
476287	1623	1996-10-01	VYDAJ	VYBER	10700	41907	\N	\N	\N
476288	1623	1996-10-31	VYDAJ	VYBER	14600	43063	\N	\N	\N
476289	1623	1996-11-30	VYDAJ	VYBER	14300	44518	\N	\N	\N
476290	1623	1996-12-30	VYDAJ	VYBER	21800	41701	\N	\N	\N
476291	1623	1997-01-29	VYDAJ	VYBER	7700	23094	\N	\N	\N
476292	1623	1997-02-28	VYDAJ	VYBER	3900	23950	\N	\N	\N
476293	1623	1997-03-30	VYDAJ	VYBER	8900	30567	\N	\N	\N
476294	1623	1997-04-29	VYDAJ	VYBER	13800	32427	\N	\N	\N
476295	1623	1997-05-29	VYDAJ	VYBER	12800	35314	\N	\N	\N
476296	1623	1997-06-28	VYDAJ	VYBER	4100	20773	\N	\N	\N
476297	1623	1997-07-28	VYDAJ	VYBER	8300	28128	\N	\N	\N
476298	1623	1997-08-27	VYDAJ	VYBER	11500	28073	\N	\N	\N
476299	1623	1997-09-26	VYDAJ	VYBER	17000	26736	\N	\N	\N
476300	1623	1997-10-26	VYDAJ	VYBER	12600	29804	\N	\N	\N
476301	1623	1997-11-25	VYDAJ	VYBER	14000	31469	\N	\N	\N
476302	1623	1997-12-25	VYDAJ	VYBER	25400	30250	\N	\N	\N
476303	1623	1998-01-24	VYDAJ	VYBER	10500	19052	\N	\N	\N
476304	1623	1998-02-23	VYDAJ	VYBER	15400	19298	\N	\N	\N
476305	1623	1998-03-25	VYDAJ	VYBER	15200	19724	\N	\N	\N
476306	1623	1998-04-24	VYDAJ	VYBER	16800	18553	\N	\N	\N
476307	1623	1998-05-24	VYDAJ	VYBER	15400	18781	\N	\N	\N
476308	1623	1998-06-23	VYDAJ	VYBER	24200	20629	\N	\N	\N
476309	1623	1998-07-23	VYDAJ	VYBER	16200	20070	\N	\N	\N
476310	1623	1998-08-22	VYDAJ	VYBER	12900	21838	\N	\N	\N
476311	1623	1998-09-21	VYDAJ	VYBER	13200	15743	\N	\N	\N
476312	1623	1998-10-21	VYDAJ	VYBER	15600	14794	\N	\N	\N
476313	1623	1998-11-20	VYDAJ	VYBER	13500	16897	\N	\N	\N
476349	1624	1996-04-22	PRIJEM	VKLAD	500	500	\N	\N	\N
476354	1624	1996-05-05	PRIJEM	PREVOD Z UCTU	6086	6586	DUCHOD	OP	51712715
476355	1624	1996-06-05	PRIJEM	PREVOD Z UCTU	6086	12672	DUCHOD	OP	51712715
476356	1624	1996-07-05	PRIJEM	PREVOD Z UCTU	6086	18758	DUCHOD	OP	51712715
476357	1624	1996-08-05	PRIJEM	PREVOD Z UCTU	6086	24844	DUCHOD	OP	51712715
476358	1624	1996-09-05	PRIJEM	PREVOD Z UCTU	6086	29969	DUCHOD	OP	51712715
476359	1624	1996-10-05	PRIJEM	PREVOD Z UCTU	6086	33615	DUCHOD	OP	51712715
476360	1624	1996-11-05	PRIJEM	PREVOD Z UCTU	6086	33335	DUCHOD	OP	51712715
476361	1624	1996-12-05	PRIJEM	PREVOD Z UCTU	6086	34191	DUCHOD	OP	51712715
476362	1624	1997-01-05	PRIJEM	PREVOD Z UCTU	6086	29483	DUCHOD	OP	51712715
476363	1624	1997-02-05	PRIJEM	PREVOD Z UCTU	6086	23438	DUCHOD	OP	51712715
476364	1624	1997-03-05	PRIJEM	PREVOD Z UCTU	6086	27462	DUCHOD	OP	51712715
476365	1624	1997-04-05	PRIJEM	PREVOD Z UCTU	6086	27377	DUCHOD	OP	51712715
476366	1624	1997-05-05	PRIJEM	PREVOD Z UCTU	6086	29814	DUCHOD	OP	51712715
476367	1624	1997-06-05	PRIJEM	PREVOD Z UCTU	6086	26646	DUCHOD	OP	51712715
476368	1624	1997-07-05	PRIJEM	PREVOD Z UCTU	6086	18689	DUCHOD	OP	51712715
476369	1624	1997-08-05	PRIJEM	PREVOD Z UCTU	6086	22690	DUCHOD	OP	51712715
476370	1624	1997-09-05	PRIJEM	PREVOD Z UCTU	6086	24602	DUCHOD	OP	51712715
476371	1624	1997-10-05	PRIJEM	PREVOD Z UCTU	6086	28627	DUCHOD	OP	51712715
476372	1624	1997-11-05	PRIJEM	PREVOD Z UCTU	6086	29762	DUCHOD	OP	51712715
476373	1624	1997-12-05	PRIJEM	PREVOD Z UCTU	6086	22907	DUCHOD	OP	51712715
476374	1624	1998-01-05	PRIJEM	PREVOD Z UCTU	6086	23970	DUCHOD	OP	51712715
476375	1624	1998-02-05	PRIJEM	PREVOD Z UCTU	6086	20933	DUCHOD	OP	51712715
476376	1624	1998-03-05	PRIJEM	PREVOD Z UCTU	6086	21014	DUCHOD	OP	51712715
476377	1624	1998-04-05	PRIJEM	PREVOD Z UCTU	6086	22138	DUCHOD	OP	51712715
476378	1624	1998-05-05	PRIJEM	PREVOD Z UCTU	6086	26153	DUCHOD	OP	51712715
476379	1624	1998-06-05	PRIJEM	PREVOD Z UCTU	6086	30185	DUCHOD	OP	51712715
476380	1624	1998-07-05	PRIJEM	PREVOD Z UCTU	6086	28392	DUCHOD	OP	51712715
476381	1624	1998-08-05	PRIJEM	PREVOD Z UCTU	6086	29727	DUCHOD	OP	51712715
476382	1624	1998-09-05	PRIJEM	PREVOD Z UCTU	6086	26753	DUCHOD	OP	51712715
476383	1624	1998-10-05	PRIJEM	PREVOD Z UCTU	6086	28178	DUCHOD	OP	51712715
476384	1624	1998-11-05	PRIJEM	PREVOD Z UCTU	6086	20253	DUCHOD	OP	51712715
476385	1624	1998-12-05	PRIJEM	PREVOD Z UCTU	6086	24260	DUCHOD	OP	51712715
476394	1624	1996-09-11	VYDAJ	PREVOD NA UCET	1017	27832	SIPO	CD	17034912
476395	1624	1996-10-11	VYDAJ	PREVOD NA UCET	1017	31478	SIPO	CD	17034912
476396	1624	1996-11-11	VYDAJ	PREVOD NA UCET	1017	31198	SIPO	CD	17034912
476397	1624	1996-12-11	VYDAJ	PREVOD NA UCET	1017	32054	SIPO	CD	17034912
476398	1624	1997-01-11	VYDAJ	PREVOD NA UCET	1017	24866	SIPO	CD	17034912
476399	1624	1997-02-11	VYDAJ	PREVOD NA UCET	1017	21301	SIPO	CD	17034912
476400	1624	1997-03-11	VYDAJ	PREVOD NA UCET	1017	25325	SIPO	CD	17034912
476401	1624	1997-04-11	VYDAJ	PREVOD NA UCET	1017	25240	SIPO	CD	17034912
476402	1624	1997-05-11	VYDAJ	PREVOD NA UCET	1017	27677	SIPO	CD	17034912
476403	1624	1997-06-11	VYDAJ	PREVOD NA UCET	1017	12559	SIPO	CD	17034912
476404	1624	1997-07-11	VYDAJ	PREVOD NA UCET	1017	16552	SIPO	CD	17034912
476405	1624	1997-08-11	VYDAJ	PREVOD NA UCET	1017	20553	SIPO	CD	17034912
476406	1624	1997-09-11	VYDAJ	PREVOD NA UCET	1017	22465	SIPO	CD	17034912
476407	1624	1997-10-11	VYDAJ	PREVOD NA UCET	1017	26490	SIPO	CD	17034912
476408	1624	1997-11-11	VYDAJ	PREVOD NA UCET	1017	27625	SIPO	CD	17034912
476409	1624	1997-12-11	VYDAJ	PREVOD NA UCET	1017	20770	SIPO	CD	17034912
476410	1624	1998-01-11	VYDAJ	PREVOD NA UCET	1017	19193	SIPO	CD	17034912
476411	1624	1998-02-11	VYDAJ	PREVOD NA UCET	1017	18796	SIPO	CD	17034912
476412	1624	1998-03-11	VYDAJ	PREVOD NA UCET	1017	18877	SIPO	CD	17034912
476413	1624	1998-04-11	VYDAJ	PREVOD NA UCET	1017	20001	SIPO	CD	17034912
476414	1624	1998-05-11	VYDAJ	PREVOD NA UCET	1017	24016	SIPO	CD	17034912
476415	1624	1998-06-11	VYDAJ	PREVOD NA UCET	1017	28048	SIPO	CD	17034912
476416	1624	1998-07-11	VYDAJ	PREVOD NA UCET	1017	23555	SIPO	CD	17034912
476417	1624	1998-08-11	VYDAJ	PREVOD NA UCET	1017	20590	SIPO	CD	17034912
476418	1624	1998-09-11	VYDAJ	PREVOD NA UCET	1017	22016	SIPO	CD	17034912
476419	1624	1998-10-11	VYDAJ	PREVOD NA UCET	1017	19541	SIPO	CD	17034912
476420	1624	1998-11-11	VYDAJ	PREVOD NA UCET	1017	18116	SIPO	CD	17034912
476421	1624	1998-12-11	VYDAJ	PREVOD NA UCET	1017	16223	SIPO	CD	17034912
476430	1624	1996-09-07	VYDAJ	PREVOD NA UCET	1120	28849	 	GH	31993609
476431	1624	1996-10-07	VYDAJ	PREVOD NA UCET	1120	32495	 	GH	31993609
476432	1624	1996-11-07	VYDAJ	PREVOD NA UCET	1120	32215	 	GH	31993609
476433	1624	1996-12-07	VYDAJ	PREVOD NA UCET	1120	33071	 	GH	31993609
476434	1624	1997-01-07	VYDAJ	PREVOD NA UCET	1120	28363	 	GH	31993609
476435	1624	1997-02-07	VYDAJ	PREVOD NA UCET	1120	22318	 	GH	31993609
476436	1624	1997-03-07	VYDAJ	PREVOD NA UCET	1120	26342	 	GH	31993609
476437	1624	1997-04-07	VYDAJ	PREVOD NA UCET	1120	26257	 	GH	31993609
476438	1624	1997-05-07	VYDAJ	PREVOD NA UCET	1120	28694	 	GH	31993609
476439	1624	1997-06-07	VYDAJ	PREVOD NA UCET	1120	13576	 	GH	31993609
476440	1624	1997-07-07	VYDAJ	PREVOD NA UCET	1120	17569	 	GH	31993609
476441	1624	1997-08-07	VYDAJ	PREVOD NA UCET	1120	21570	 	GH	31993609
476442	1624	1997-09-07	VYDAJ	PREVOD NA UCET	1120	23482	 	GH	31993609
476443	1624	1997-10-07	VYDAJ	PREVOD NA UCET	1120	27507	 	GH	31993609
476444	1624	1997-11-07	VYDAJ	PREVOD NA UCET	1120	28642	 	GH	31993609
476445	1624	1997-12-07	VYDAJ	PREVOD NA UCET	1120	21787	 	GH	31993609
476446	1624	1998-01-07	VYDAJ	PREVOD NA UCET	1120	20210	 	GH	31993609
476447	1624	1998-02-07	VYDAJ	PREVOD NA UCET	1120	19813	 	GH	31993609
476448	1624	1998-03-07	VYDAJ	PREVOD NA UCET	1120	19894	 	GH	31993609
476449	1624	1998-04-07	VYDAJ	PREVOD NA UCET	1120	21018	 	GH	31993609
476450	1624	1998-05-07	VYDAJ	PREVOD NA UCET	1120	25033	 	GH	31993609
476451	1624	1998-06-07	VYDAJ	PREVOD NA UCET	1120	29065	 	GH	31993609
476452	1624	1998-07-07	VYDAJ	PREVOD NA UCET	1120	27272	 	GH	31993609
476453	1624	1998-08-07	VYDAJ	PREVOD NA UCET	1120	28607	 	GH	31993609
476454	1624	1998-09-07	VYDAJ	PREVOD NA UCET	1120	25633	 	GH	31993609
476455	1624	1998-10-07	VYDAJ	PREVOD NA UCET	1120	27058	 	GH	31993609
476456	1624	1998-11-07	VYDAJ	PREVOD NA UCET	1120	19133	 	GH	31993609
476457	1624	1998-12-07	VYDAJ	PREVOD NA UCET	1120	23140	 	GH	31993609
476459	1624	1997-06-06	VYDAJ	VYBER	11950	14696	\N	\N	\N
476460	1624	1998-06-13	VYDAJ	VYBER	4550	23498	\N	\N	\N
476461	1624	1996-12-19	VYDAJ	VYBER	400	25054	\N	\N	\N
476462	1624	1997-12-24	VYDAJ	VYBER	1250	17820	\N	\N	\N
476463	1624	1998-12-25	VYDAJ	VYBER	1300	14923	\N	\N	\N
476470	1624	1997-01-10	VYDAJ	VYBER	480	27243	\N	\N	\N
476471	1624	1997-01-10	VYDAJ	VYBER	1360	25883	\N	\N	\N
476472	1624	1997-01-11	VYDAJ	VYBER	640	24226	\N	\N	\N
476473	1624	1997-01-01	VYDAJ	VYBER	1760	23397	\N	\N	\N
476474	1624	1997-01-30	VYDAJ	VYBER	1120	21026	\N	\N	\N
476475	1624	1997-01-15	VYDAJ	VYBER	480	23746	\N	\N	\N
476477	1624	1998-01-11	VYDAJ	VYBER	1040	18153	\N	\N	\N
476478	1624	1998-01-16	VYDAJ	VYBER	800	14793	\N	\N	\N
476479	1624	1998-01-06	VYDAJ	VYBER	480	21330	\N	\N	\N
476480	1624	1998-01-05	VYDAJ	VYBER	2160	21810	\N	\N	\N
476481	1624	1998-01-13	VYDAJ	VYBER	560	15593	\N	\N	\N
476485	1624	1996-10-28	VYDAJ	VYBER	3440	27138	\N	\N	\N
476487	1624	1997-04-02	VYDAJ	VYBER	2720	21291	\N	\N	\N
476488	1624	1997-01-10	VYDAJ	VYBER	640	27723	\N	\N	\N
476489	1624	1997-11-25	VYDAJ	VYBER	3440	16745	\N	\N	\N
476490	1624	1997-02-03	VYDAJ	VYBER	3760	17352	\N	\N	\N
476491	1624	1997-11-11	VYDAJ	VYBER	3440	24185	\N	\N	\N
476492	1624	1998-01-12	VYDAJ	VYBER	2000	16153	\N	\N	\N
476493	1624	1998-07-04	VYDAJ	VYBER	1280	22306	\N	\N	\N
476494	1624	1998-02-14	VYDAJ	VYBER	3920	14876	\N	\N	\N
476495	1624	1998-10-28	VYDAJ	VYBER	1600	14101	\N	\N	\N
476496	1624	1998-10-24	VYDAJ	VYBER	3840	15701	\N	\N	\N
476497	1624	1998-03-17	VYDAJ	VYBER	2880	15997	\N	\N	\N
476507	1624	1996-09-30	VYDAJ	VYBER	15	27529	SLUZBY	\N	\N
476508	1624	1996-10-31	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
476509	1624	1996-11-30	VYDAJ	VYBER	15	28105	SLUZBY	\N	\N
476510	1624	1996-12-31	VYDAJ	VYBER	15	25157	SLUZBY	\N	\N
476511	1624	1997-01-31	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
476512	1624	1997-02-28	VYDAJ	VYBER	15	21376	SLUZBY	\N	\N
476513	1624	1997-03-31	VYDAJ	VYBER	15	24011	SLUZBY	\N	\N
476514	1624	1997-04-30	VYDAJ	VYBER	15	23728	SLUZBY	\N	\N
476515	1624	1997-05-31	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
476516	1624	1997-06-30	VYDAJ	VYBER	15	12603	SLUZBY	\N	\N
476517	1624	1997-07-31	VYDAJ	VYBER	15	16604	SLUZBY	\N	\N
476518	1624	1997-08-31	VYDAJ	VYBER	15	18516	SLUZBY	\N	\N
476519	1624	1997-09-30	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
476520	1624	1997-10-31	VYDAJ	VYBER	15	23676	SLUZBY	\N	\N
476521	1624	1997-11-30	VYDAJ	VYBER	15	16821	SLUZBY	\N	\N
476522	1624	1997-12-31	VYDAJ	VYBER	15	17884	SLUZBY	\N	\N
476523	1624	1998-01-31	VYDAJ	VYBER	15	14847	SLUZBY	\N	\N
476524	1624	1998-02-28	VYDAJ	VYBER	15	14928	SLUZBY	\N	\N
476525	1624	1998-03-31	VYDAJ	VYBER	15	16052	SLUZBY	\N	\N
476526	1624	1998-04-30	VYDAJ	VYBER	15	20067	SLUZBY	\N	\N
476527	1624	1998-05-31	VYDAJ	VYBER	15	24099	SLUZBY	\N	\N
476528	1624	1998-06-30	VYDAJ	VYBER	15	23586	SLUZBY	\N	\N
476529	1624	1998-07-31	VYDAJ	VYBER	15	23641	SLUZBY	\N	\N
476530	1624	1998-08-31	VYDAJ	VYBER	15	20667	SLUZBY	\N	\N
476531	1624	1998-09-30	VYDAJ	VYBER	15	22092	SLUZBY	\N	\N
476532	1624	1998-10-31	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
476533	1624	1998-11-30	VYDAJ	VYBER	15	18174	SLUZBY	\N	\N
476534	1624	1996-08-20	VYDAJ	VYBER	1000	23844	\N	\N	\N
476535	1624	1996-09-19	VYDAJ	VYBER	400	27432	\N	\N	\N
476536	1624	1996-10-19	VYDAJ	VYBER	900	30578	\N	\N	\N
476537	1624	1996-11-18	VYDAJ	VYBER	3200	27998	\N	\N	\N
476538	1624	1996-12-18	VYDAJ	VYBER	6600	25454	\N	\N	\N
476539	1624	1997-01-17	VYDAJ	VYBER	1600	22146	\N	\N	\N
476540	1624	1997-03-18	VYDAJ	VYBER	1400	23925	\N	\N	\N
476541	1624	1997-04-17	VYDAJ	VYBER	1600	23640	\N	\N	\N
476542	1624	1997-05-17	VYDAJ	VYBER	7200	20477	\N	\N	\N
476543	1624	1997-08-15	VYDAJ	VYBER	2100	18453	\N	\N	\N
476544	1624	1997-10-14	VYDAJ	VYBER	2900	23590	\N	\N	\N
476545	1624	1997-11-13	VYDAJ	VYBER	4000	20185	\N	\N	\N
476546	1624	1997-12-13	VYDAJ	VYBER	1700	19070	\N	\N	\N
476547	1624	1998-07-11	VYDAJ	VYBER	2700	24572	\N	\N	\N
476548	1624	1998-08-10	VYDAJ	VYBER	7000	21607	\N	\N	\N
476549	1624	1998-09-09	VYDAJ	VYBER	2600	23033	\N	\N	\N
476550	1624	1998-10-09	VYDAJ	VYBER	6500	20558	\N	\N	\N
476551	1624	1998-12-08	VYDAJ	VYBER	5900	17240	\N	\N	\N
476581	1625	1995-01-17	PRIJEM	VKLAD	800	800	\N	\N	\N
476583	1625	1995-02-12	PRIJEM	VKLAD	12194	12994	\N	\N	\N
476584	1625	1995-03-12	PRIJEM	VKLAD	12194	32628	\N	\N	\N
476585	1625	1995-04-12	PRIJEM	VKLAD	12194	42525	\N	\N	\N
476586	1625	1995-05-12	PRIJEM	VKLAD	12194	46052	\N	\N	\N
476587	1625	1995-06-12	PRIJEM	VKLAD	18291	52183	\N	\N	\N
476588	1625	1995-07-12	PRIJEM	VKLAD	12194	42822	\N	\N	\N
476589	1625	1995-08-12	PRIJEM	VKLAD	12194	42537	\N	\N	\N
476590	1625	1995-09-12	PRIJEM	VKLAD	12194	38840	\N	\N	\N
476591	1625	1995-10-12	PRIJEM	VKLAD	12194	35128	\N	\N	\N
476592	1625	1995-11-12	PRIJEM	VKLAD	12194	35809	\N	\N	\N
476593	1625	1995-12-12	PRIJEM	VKLAD	18291	44492	\N	\N	\N
476594	1625	1996-01-12	PRIJEM	VKLAD	12194	33938	\N	\N	\N
476595	1625	1996-02-12	PRIJEM	VKLAD	12194	24020	\N	\N	\N
476596	1625	1996-03-12	PRIJEM	VKLAD	12194	32169	\N	\N	\N
476597	1625	1996-04-12	PRIJEM	VKLAD	12194	27332	\N	\N	\N
476598	1625	1996-05-12	PRIJEM	VKLAD	12194	25911	\N	\N	\N
476599	1625	1996-06-12	PRIJEM	VKLAD	18291	30807	\N	\N	\N
476600	1625	1996-07-12	PRIJEM	VKLAD	12194	27378	\N	\N	\N
476601	1625	1996-08-12	PRIJEM	VKLAD	12194	25749	\N	\N	\N
476602	1625	1996-09-12	PRIJEM	VKLAD	12194	29519	\N	\N	\N
476603	1625	1996-10-12	PRIJEM	VKLAD	12194	29698	\N	\N	\N
476604	1625	1996-11-12	PRIJEM	VKLAD	12194	30181	\N	\N	\N
476605	1625	1996-12-12	PRIJEM	VKLAD	18291	35039	\N	\N	\N
476606	1625	1997-01-12	PRIJEM	VKLAD	12194	24380	\N	\N	\N
476607	1625	1997-02-12	PRIJEM	VKLAD	12194	23879	\N	\N	\N
476608	1625	1997-03-12	PRIJEM	VKLAD	12194	22729	\N	\N	\N
476609	1625	1997-04-12	PRIJEM	VKLAD	12194	22582	\N	\N	\N
476610	1625	1997-05-12	PRIJEM	VKLAD	12194	23070	\N	\N	\N
476611	1625	1997-06-12	PRIJEM	VKLAD	18291	30719	\N	\N	\N
476612	1625	1997-07-12	PRIJEM	VKLAD	12194	23285	\N	\N	\N
476613	1625	1997-08-12	PRIJEM	VKLAD	12194	28533	\N	\N	\N
476614	1625	1997-09-12	PRIJEM	VKLAD	12194	29735	\N	\N	\N
476615	1625	1997-10-12	PRIJEM	VKLAD	12194	31311	\N	\N	\N
476616	1625	1997-11-12	PRIJEM	VKLAD	12194	23605	\N	\N	\N
476617	1625	1997-12-12	PRIJEM	VKLAD	18291	29554	\N	\N	\N
476618	1625	1998-01-12	PRIJEM	VKLAD	12194	25223	\N	\N	\N
476619	1625	1998-02-12	PRIJEM	VKLAD	12194	22809	\N	\N	\N
476620	1625	1998-03-12	PRIJEM	VKLAD	12194	30953	\N	\N	\N
476621	1625	1998-04-12	PRIJEM	VKLAD	12194	20984	\N	\N	\N
476622	1625	1998-05-12	PRIJEM	VKLAD	12194	29130	\N	\N	\N
476623	1625	1998-06-12	PRIJEM	VKLAD	18291	43399	\N	\N	\N
476624	1625	1998-07-12	PRIJEM	VKLAD	12194	31579	\N	\N	\N
476625	1625	1998-08-12	PRIJEM	VKLAD	12194	24613	\N	\N	\N
476626	1625	1998-09-12	PRIJEM	VKLAD	12194	32766	\N	\N	\N
476627	1625	1998-10-12	PRIJEM	VKLAD	12194	37948	\N	\N	\N
476628	1625	1998-11-12	PRIJEM	VKLAD	12194	46157	\N	\N	\N
476629	1625	1998-12-12	PRIJEM	VKLAD	18291	29589	\N	\N	\N
476635	1625	1995-06-13	VYDAJ	PREVOD NA UCET	185	51998	SIPO	GH	44850212
476636	1625	1995-07-13	VYDAJ	PREVOD NA UCET	185	42637	SIPO	GH	44850212
476637	1625	1995-08-13	VYDAJ	PREVOD NA UCET	185	42352	SIPO	GH	44850212
476638	1625	1995-09-13	VYDAJ	PREVOD NA UCET	185	38655	SIPO	GH	44850212
476639	1625	1995-10-13	VYDAJ	PREVOD NA UCET	185	34943	SIPO	GH	44850212
476640	1625	1995-11-13	VYDAJ	PREVOD NA UCET	185	35624	SIPO	GH	44850212
476641	1625	1995-12-13	VYDAJ	PREVOD NA UCET	185	44307	SIPO	GH	44850212
476642	1625	1996-01-13	VYDAJ	PREVOD NA UCET	185	27553	SIPO	GH	44850212
476643	1625	1996-02-13	VYDAJ	PREVOD NA UCET	185	23835	SIPO	GH	44850212
476644	1625	1996-03-13	VYDAJ	PREVOD NA UCET	185	22884	SIPO	GH	44850212
476645	1625	1996-04-13	VYDAJ	PREVOD NA UCET	185	27147	SIPO	GH	44850212
476646	1625	1996-05-13	VYDAJ	PREVOD NA UCET	185	25726	SIPO	GH	44850212
476647	1625	1996-06-13	VYDAJ	PREVOD NA UCET	185	30622	SIPO	GH	44850212
476648	1625	1996-07-13	VYDAJ	PREVOD NA UCET	185	27193	SIPO	GH	44850212
476649	1625	1996-08-13	VYDAJ	PREVOD NA UCET	185	25564	SIPO	GH	44850212
476650	1625	1996-09-13	VYDAJ	PREVOD NA UCET	185	29334	SIPO	GH	44850212
476651	1625	1996-10-13	VYDAJ	PREVOD NA UCET	185	29513	SIPO	GH	44850212
476652	1625	1996-11-13	VYDAJ	PREVOD NA UCET	185	29996	SIPO	GH	44850212
476653	1625	1996-12-13	VYDAJ	PREVOD NA UCET	185	34854	SIPO	GH	44850212
476654	1625	1997-01-13	VYDAJ	PREVOD NA UCET	185	22395	SIPO	GH	44850212
476655	1625	1997-02-13	VYDAJ	PREVOD NA UCET	185	23694	SIPO	GH	44850212
476656	1625	1997-03-13	VYDAJ	PREVOD NA UCET	185	22544	SIPO	GH	44850212
476657	1625	1997-04-13	VYDAJ	PREVOD NA UCET	185	22397	SIPO	GH	44850212
476658	1625	1997-05-13	VYDAJ	PREVOD NA UCET	185	22885	SIPO	GH	44850212
476659	1625	1997-06-13	VYDAJ	PREVOD NA UCET	185	30534	SIPO	GH	44850212
476660	1625	1997-07-13	VYDAJ	PREVOD NA UCET	185	23100	SIPO	GH	44850212
476661	1625	1997-08-13	VYDAJ	PREVOD NA UCET	185	28348	SIPO	GH	44850212
476662	1625	1997-09-13	VYDAJ	PREVOD NA UCET	185	29550	SIPO	GH	44850212
476663	1625	1997-10-13	VYDAJ	PREVOD NA UCET	185	31126	SIPO	GH	44850212
476664	1625	1997-11-13	VYDAJ	PREVOD NA UCET	185	23420	SIPO	GH	44850212
476665	1625	1997-12-13	VYDAJ	PREVOD NA UCET	185	29369	SIPO	GH	44850212
476666	1625	1998-01-13	VYDAJ	PREVOD NA UCET	185	25038	SIPO	GH	44850212
476667	1625	1998-02-13	VYDAJ	PREVOD NA UCET	185	22624	SIPO	GH	44850212
476668	1625	1998-03-13	VYDAJ	PREVOD NA UCET	185	27528	SIPO	GH	44850212
476669	1625	1998-04-13	VYDAJ	PREVOD NA UCET	185	20799	SIPO	GH	44850212
476670	1625	1998-05-13	VYDAJ	PREVOD NA UCET	185	28945	SIPO	GH	44850212
476671	1625	1998-06-13	VYDAJ	PREVOD NA UCET	185	43214	SIPO	GH	44850212
476672	1625	1998-07-13	VYDAJ	PREVOD NA UCET	185	31394	SIPO	GH	44850212
476673	1625	1998-08-13	VYDAJ	PREVOD NA UCET	185	24428	SIPO	GH	44850212
476674	1625	1998-09-13	VYDAJ	PREVOD NA UCET	185	32581	SIPO	GH	44850212
476675	1625	1998-10-13	VYDAJ	PREVOD NA UCET	185	37763	SIPO	GH	44850212
476676	1625	1998-11-13	VYDAJ	PREVOD NA UCET	185	40932	SIPO	GH	44850212
476677	1625	1998-12-13	VYDAJ	PREVOD NA UCET	185	26204	SIPO	GH	44850212
476684	1625	1995-07-05	VYDAJ	PREVOD NA UCET	1727	32829	 	GH	10578328
476685	1625	1995-08-05	VYDAJ	PREVOD NA UCET	1727	33744	 	GH	10578328
476686	1625	1995-09-05	VYDAJ	PREVOD NA UCET	1727	28847	 	GH	10578328
476687	1625	1995-10-05	VYDAJ	PREVOD NA UCET	1727	25135	 	GH	10578328
476688	1625	1995-11-05	VYDAJ	PREVOD NA UCET	1727	25816	 	GH	10578328
476689	1625	1995-12-05	VYDAJ	PREVOD NA UCET	1727	28402	 	GH	10578328
476690	1625	1996-01-05	VYDAJ	PREVOD NA UCET	1727	27425	 	GH	10578328
476691	1625	1996-02-05	VYDAJ	PREVOD NA UCET	1727	12627	 	GH	10578328
476692	1625	1996-03-05	VYDAJ	PREVOD NA UCET	1727	22176	 	GH	10578328
476693	1625	1996-04-05	VYDAJ	PREVOD NA UCET	1727	21239	 	GH	10578328
476694	1625	1996-05-05	VYDAJ	PREVOD NA UCET	1727	20698	 	GH	10578328
476695	1625	1996-06-05	VYDAJ	PREVOD NA UCET	1727	20117	 	GH	10578328
476696	1625	1996-07-05	VYDAJ	PREVOD NA UCET	1727	21785	 	GH	10578328
476697	1625	1996-08-05	VYDAJ	PREVOD NA UCET	1727	25556	 	GH	10578328
476698	1625	1996-09-05	VYDAJ	PREVOD NA UCET	1727	23926	 	GH	10578328
476699	1625	1996-10-05	VYDAJ	PREVOD NA UCET	1727	27705	 	GH	10578328
476700	1625	1996-11-05	VYDAJ	PREVOD NA UCET	1727	27888	 	GH	10578328
476701	1625	1996-12-05	VYDAJ	PREVOD NA UCET	1727	27049	 	GH	10578328
476702	1625	1997-01-05	VYDAJ	PREVOD NA UCET	1727	22387	 	GH	10578328
476703	1625	1997-02-05	VYDAJ	PREVOD NA UCET	1727	13886	 	GH	10578328
476704	1625	1997-03-05	VYDAJ	PREVOD NA UCET	1727	22036	 	GH	10578328
476705	1625	1997-04-05	VYDAJ	PREVOD NA UCET	1727	20889	 	GH	10578328
476706	1625	1997-05-05	VYDAJ	PREVOD NA UCET	1727	19177	 	GH	10578328
476707	1625	1997-06-05	VYDAJ	PREVOD NA UCET	1727	21229	 	GH	10578328
476708	1625	1997-07-05	VYDAJ	PREVOD NA UCET	1727	13292	 	GH	10578328
476709	1625	1997-08-05	VYDAJ	PREVOD NA UCET	1727	18540	 	GH	10578328
476710	1625	1997-09-05	VYDAJ	PREVOD NA UCET	1727	19742	 	GH	10578328
476711	1625	1997-10-05	VYDAJ	PREVOD NA UCET	1727	21318	 	GH	10578328
476712	1625	1997-11-05	VYDAJ	PREVOD NA UCET	1727	13612	 	GH	10578328
476713	1625	1997-12-05	VYDAJ	PREVOD NA UCET	1727	13464	 	GH	10578328
476912	1625	1997-05-31	VYDAJ	VYBER	15	22956	SLUZBY	\N	\N
476714	1625	1998-01-05	VYDAJ	PREVOD NA UCET	1727	15230	 	GH	10578328
476715	1625	1998-02-05	VYDAJ	PREVOD NA UCET	1727	12816	 	GH	10578328
476716	1625	1998-03-05	VYDAJ	PREVOD NA UCET	1727	20960	 	GH	10578328
476717	1625	1998-04-05	VYDAJ	PREVOD NA UCET	1727	10991	 	GH	10578328
476718	1625	1998-05-05	VYDAJ	PREVOD NA UCET	1727	19137	 	GH	10578328
476719	1625	1998-06-05	VYDAJ	PREVOD NA UCET	1727	27309	 	GH	10578328
476720	1625	1998-07-05	VYDAJ	PREVOD NA UCET	1727	21586	 	GH	10578328
476721	1625	1998-08-05	VYDAJ	PREVOD NA UCET	1727	14620	 	GH	10578328
476722	1625	1998-09-05	VYDAJ	PREVOD NA UCET	1727	22773	 	GH	10578328
476723	1625	1998-10-05	VYDAJ	PREVOD NA UCET	1727	27955	 	GH	10578328
476724	1625	1998-11-05	VYDAJ	PREVOD NA UCET	1727	36164	 	GH	10578328
476725	1625	1998-12-05	VYDAJ	PREVOD NA UCET	1727	13499	 	GH	10578328
476732	1625	1995-07-08	VYDAJ	PREVOD NA UCET	679	32150	POJISTNE	CD	51059633
476733	1625	1995-08-08	VYDAJ	PREVOD NA UCET	679	33065	POJISTNE	CD	51059633
476734	1625	1995-09-08	VYDAJ	PREVOD NA UCET	679	28168	POJISTNE	CD	51059633
476735	1625	1995-10-08	VYDAJ	PREVOD NA UCET	679	24456	POJISTNE	CD	51059633
476736	1625	1995-11-08	VYDAJ	PREVOD NA UCET	679	25137	POJISTNE	CD	51059633
476737	1625	1995-12-08	VYDAJ	PREVOD NA UCET	679	27723	POJISTNE	CD	51059633
476738	1625	1996-01-08	VYDAJ	PREVOD NA UCET	679	24466	POJISTNE	CD	51059633
476739	1625	1996-02-08	VYDAJ	PREVOD NA UCET	679	11948	POJISTNE	CD	51059633
476740	1625	1996-03-08	VYDAJ	PREVOD NA UCET	679	21497	POJISTNE	CD	51059633
476741	1625	1996-04-08	VYDAJ	PREVOD NA UCET	679	20560	POJISTNE	CD	51059633
476742	1625	1996-05-08	VYDAJ	PREVOD NA UCET	679	16539	POJISTNE	CD	51059633
476743	1625	1996-06-08	VYDAJ	PREVOD NA UCET	679	19438	POJISTNE	CD	51059633
476744	1625	1996-07-08	VYDAJ	PREVOD NA UCET	679	21106	POJISTNE	CD	51059633
476745	1625	1996-08-08	VYDAJ	PREVOD NA UCET	679	24877	POJISTNE	CD	51059633
476746	1625	1996-09-08	VYDAJ	PREVOD NA UCET	679	23247	POJISTNE	CD	51059633
476747	1625	1996-10-08	VYDAJ	PREVOD NA UCET	679	19026	POJISTNE	CD	51059633
476748	1625	1996-11-08	VYDAJ	PREVOD NA UCET	679	19509	POJISTNE	CD	51059633
476749	1625	1996-12-08	VYDAJ	PREVOD NA UCET	679	18270	POJISTNE	CD	51059633
476750	1625	1997-01-08	VYDAJ	PREVOD NA UCET	679	13708	POJISTNE	CD	51059633
476751	1625	1997-02-08	VYDAJ	PREVOD NA UCET	679	13207	POJISTNE	CD	51059633
476752	1625	1997-03-08	VYDAJ	PREVOD NA UCET	679	12057	POJISTNE	CD	51059633
476753	1625	1997-04-08	VYDAJ	PREVOD NA UCET	679	11910	POJISTNE	CD	51059633
476754	1625	1997-05-08	VYDAJ	PREVOD NA UCET	679	12398	POJISTNE	CD	51059633
476755	1625	1997-06-08	VYDAJ	PREVOD NA UCET	679	13950	POJISTNE	CD	51059633
476756	1625	1997-07-08	VYDAJ	PREVOD NA UCET	679	12613	POJISTNE	CD	51059633
476757	1625	1997-08-08	VYDAJ	PREVOD NA UCET	679	17861	POJISTNE	CD	51059633
476758	1625	1997-09-08	VYDAJ	PREVOD NA UCET	679	19063	POJISTNE	CD	51059633
476759	1625	1997-10-08	VYDAJ	PREVOD NA UCET	679	20639	POJISTNE	CD	51059633
476760	1625	1997-11-08	VYDAJ	PREVOD NA UCET	679	12933	POJISTNE	CD	51059633
476761	1625	1997-12-08	VYDAJ	PREVOD NA UCET	679	12785	POJISTNE	CD	51059633
476762	1625	1998-01-08	VYDAJ	PREVOD NA UCET	679	14551	POJISTNE	CD	51059633
476763	1625	1998-02-08	VYDAJ	PREVOD NA UCET	679	12137	POJISTNE	CD	51059633
476764	1625	1998-03-08	VYDAJ	PREVOD NA UCET	679	20281	POJISTNE	CD	51059633
476765	1625	1998-04-08	VYDAJ	PREVOD NA UCET	679	10312	POJISTNE	CD	51059633
476766	1625	1998-05-08	VYDAJ	PREVOD NA UCET	679	18458	POJISTNE	CD	51059633
476767	1625	1998-06-08	VYDAJ	PREVOD NA UCET	679	26630	POJISTNE	CD	51059633
476768	1625	1998-07-08	VYDAJ	PREVOD NA UCET	679	20907	POJISTNE	CD	51059633
476769	1625	1998-08-08	VYDAJ	PREVOD NA UCET	679	13941	POJISTNE	CD	51059633
476770	1625	1998-09-08	VYDAJ	PREVOD NA UCET	679	22094	POJISTNE	CD	51059633
476771	1625	1998-10-08	VYDAJ	PREVOD NA UCET	679	27276	POJISTNE	CD	51059633
476772	1625	1998-11-08	VYDAJ	PREVOD NA UCET	679	35485	POJISTNE	CD	51059633
476773	1625	1998-12-08	VYDAJ	PREVOD NA UCET	679	12820	POJISTNE	CD	51059633
476780	1625	1995-07-11	VYDAJ	PREVOD NA UCET	1522	30628	 	EF	45131552
476781	1625	1995-08-11	VYDAJ	PREVOD NA UCET	1522	30343	 	EF	45131552
476782	1625	1995-09-11	VYDAJ	PREVOD NA UCET	1522	26646	 	EF	45131552
476783	1625	1995-10-11	VYDAJ	PREVOD NA UCET	1522	22934	 	EF	45131552
476784	1625	1995-11-11	VYDAJ	PREVOD NA UCET	1522	23615	 	EF	45131552
476785	1625	1995-12-11	VYDAJ	PREVOD NA UCET	1522	26201	 	EF	45131552
476786	1625	1996-01-11	VYDAJ	PREVOD NA UCET	1522	21744	 	EF	45131552
476787	1625	1996-02-11	VYDAJ	PREVOD NA UCET	1522	11826	 	EF	45131552
476788	1625	1996-03-11	VYDAJ	PREVOD NA UCET	1522	19975	 	EF	45131552
476789	1625	1996-04-11	VYDAJ	PREVOD NA UCET	1522	19038	 	EF	45131552
476790	1625	1996-05-11	VYDAJ	PREVOD NA UCET	1522	13717	 	EF	45131552
476791	1625	1996-06-11	VYDAJ	PREVOD NA UCET	1522	12516	 	EF	45131552
476792	1625	1996-07-11	VYDAJ	PREVOD NA UCET	1522	15184	 	EF	45131552
476793	1625	1996-08-11	VYDAJ	PREVOD NA UCET	1522	13555	 	EF	45131552
476794	1625	1996-09-11	VYDAJ	PREVOD NA UCET	1522	17325	 	EF	45131552
476795	1625	1996-10-11	VYDAJ	PREVOD NA UCET	1522	17504	 	EF	45131552
476796	1625	1996-11-11	VYDAJ	PREVOD NA UCET	1522	17987	 	EF	45131552
476797	1625	1996-12-11	VYDAJ	PREVOD NA UCET	1522	16748	 	EF	45131552
476798	1625	1997-01-11	VYDAJ	PREVOD NA UCET	1522	12186	 	EF	45131552
476799	1625	1997-02-11	VYDAJ	PREVOD NA UCET	1522	11685	 	EF	45131552
476800	1625	1997-03-11	VYDAJ	PREVOD NA UCET	1522	10535	 	EF	45131552
476801	1625	1997-04-11	VYDAJ	PREVOD NA UCET	1522	10388	 	EF	45131552
476802	1625	1997-05-11	VYDAJ	PREVOD NA UCET	1522	10876	 	EF	45131552
476803	1625	1997-06-11	VYDAJ	PREVOD NA UCET	1522	12428	 	EF	45131552
476804	1625	1997-07-11	VYDAJ	PREVOD NA UCET	1522	11091	 	EF	45131552
476805	1625	1997-08-11	VYDAJ	PREVOD NA UCET	1522	16339	 	EF	45131552
476806	1625	1997-09-11	VYDAJ	PREVOD NA UCET	1522	17541	 	EF	45131552
476807	1625	1997-10-11	VYDAJ	PREVOD NA UCET	1522	19117	 	EF	45131552
476808	1625	1997-11-11	VYDAJ	PREVOD NA UCET	1522	11411	 	EF	45131552
476809	1625	1997-12-11	VYDAJ	PREVOD NA UCET	1522	11263	 	EF	45131552
476810	1625	1998-01-11	VYDAJ	PREVOD NA UCET	1522	13029	 	EF	45131552
476811	1625	1998-02-11	VYDAJ	PREVOD NA UCET	1522	10615	 	EF	45131552
476812	1625	1998-03-11	VYDAJ	PREVOD NA UCET	1522	18759	 	EF	45131552
476813	1625	1998-04-11	VYDAJ	PREVOD NA UCET	1522	8790	 	EF	45131552
476814	1625	1998-05-11	VYDAJ	PREVOD NA UCET	1522	16936	 	EF	45131552
476815	1625	1998-06-11	VYDAJ	PREVOD NA UCET	1522	25108	 	EF	45131552
476816	1625	1998-07-11	VYDAJ	PREVOD NA UCET	1522	19385	 	EF	45131552
476817	1625	1998-08-11	VYDAJ	PREVOD NA UCET	1522	12419	 	EF	45131552
476818	1625	1998-09-11	VYDAJ	PREVOD NA UCET	1522	20572	 	EF	45131552
476819	1625	1998-10-11	VYDAJ	PREVOD NA UCET	1522	25754	 	EF	45131552
476820	1625	1998-11-11	VYDAJ	PREVOD NA UCET	1522	33963	 	EF	45131552
476821	1625	1998-12-11	VYDAJ	PREVOD NA UCET	1522	11298	 	EF	45131552
476823	1625	1996-06-25	VYDAJ	VYBER	7200	23422	\N	\N	\N
476824	1625	1997-06-26	VYDAJ	VYBER	9760	20774	\N	\N	\N
476825	1625	1998-06-16	VYDAJ	VYBER	20000	23214	\N	\N	\N
476827	1625	1996-01-20	VYDAJ	VYBER	8000	19553	\N	\N	\N
476828	1625	1997-01-13	VYDAJ	VYBER	4800	17595	\N	\N	\N
476830	1625	1995-12-21	VYDAJ	VYBER	2880	29027	\N	\N	\N
476831	1625	1996-12-25	VYDAJ	VYBER	2560	26774	\N	\N	\N
476833	1625	1998-12-12	VYDAJ	VYBER	3200	26389	\N	\N	\N
476841	1625	1996-01-09	VYDAJ	VYBER	1200	23266	\N	\N	\N
476842	1625	1996-01-28	VYDAJ	VYBER	1680	14273	\N	\N	\N
476843	1625	1996-01-24	VYDAJ	VYBER	840	15953	\N	\N	\N
476844	1625	1996-01-21	VYDAJ	VYBER	2760	16793	\N	\N	\N
476845	1625	1996-01-06	VYDAJ	VYBER	2280	25145	\N	\N	\N
476846	1625	1997-01-13	VYDAJ	VYBER	1800	22580	\N	\N	\N
476847	1625	1997-01-04	VYDAJ	VYBER	1560	24114	\N	\N	\N
476848	1625	1997-01-17	VYDAJ	VYBER	600	16995	\N	\N	\N
476849	1625	1997-01-03	VYDAJ	VYBER	1200	25674	\N	\N	\N
476852	1625	1998-01-26	VYDAJ	VYBER	1320	14478	\N	\N	\N
476853	1625	1998-01-24	VYDAJ	VYBER	2640	15798	\N	\N	\N
476855	1625	1998-01-21	VYDAJ	VYBER	3120	18438	\N	\N	\N
476856	1625	1998-01-15	VYDAJ	VYBER	3480	21558	\N	\N	\N
476861	1625	1995-09-18	VYDAJ	VYBER	4800	26755	\N	\N	\N
476862	1625	1995-08-08	VYDAJ	VYBER	1200	31865	\N	\N	\N
476864	1625	1995-06-19	VYDAJ	VYBER	5880	34418	\N	\N	\N
476865	1625	1996-05-07	VYDAJ	VYBER	3480	17218	\N	\N	\N
476866	1625	1996-05-17	VYDAJ	VYBER	2160	23566	\N	\N	\N
476867	1625	1996-04-14	VYDAJ	VYBER	4800	22347	\N	\N	\N
476868	1625	1996-05-27	VYDAJ	VYBER	1800	21766	\N	\N	\N
476869	1625	1996-12-16	VYDAJ	VYBER	5520	29334	\N	\N	\N
476870	1625	1996-11-17	VYDAJ	VYBER	1320	28676	\N	\N	\N
476871	1625	1997-08-15	VYDAJ	VYBER	3960	24388	\N	\N	\N
476872	1625	1997-01-25	VYDAJ	VYBER	1440	15555	\N	\N	\N
476873	1625	1997-04-20	VYDAJ	VYBER	1560	20837	\N	\N	\N
476874	1625	1997-10-26	VYDAJ	VYBER	3720	21646	\N	\N	\N
476875	1625	1997-10-22	VYDAJ	VYBER	5760	25366	\N	\N	\N
476876	1625	1997-06-28	VYDAJ	VYBER	5640	15134	\N	\N	\N
476877	1625	1998-11-27	VYDAJ	VYBER	3840	37092	\N	\N	\N
476878	1625	1998-09-20	VYDAJ	VYBER	3000	29581	\N	\N	\N
476879	1625	1998-11-13	VYDAJ	VYBER	5040	41117	\N	\N	\N
476881	1625	1998-07-17	VYDAJ	VYBER	2640	28754	\N	\N	\N
476882	1625	1998-03-12	VYDAJ	VYBER	3240	27713	\N	\N	\N
476889	1625	1995-06-30	VYDAJ	VYBER	15	34556	SLUZBY	\N	\N
476890	1625	1995-07-31	VYDAJ	VYBER	15	35471	SLUZBY	\N	\N
476891	1625	1995-08-31	VYDAJ	VYBER	15	30574	SLUZBY	\N	\N
476892	1625	1995-09-30	VYDAJ	VYBER	15	26862	SLUZBY	\N	\N
476893	1625	1995-10-31	VYDAJ	VYBER	15	27543	SLUZBY	\N	\N
476894	1625	1995-11-30	VYDAJ	VYBER	15	30129	SLUZBY	\N	\N
476895	1625	1995-12-31	VYDAJ	VYBER	15	29152	SLUZBY	\N	\N
476896	1625	1996-01-31	VYDAJ	VYBER	15	14354	SLUZBY	\N	\N
476897	1625	1996-02-29	VYDAJ	VYBER	15	23903	SLUZBY	\N	\N
476898	1625	1996-03-31	VYDAJ	VYBER	15	22966	SLUZBY	\N	\N
476899	1625	1996-04-30	VYDAJ	VYBER	15	22425	SLUZBY	\N	\N
476900	1625	1996-05-31	VYDAJ	VYBER	15	21844	SLUZBY	\N	\N
476901	1625	1996-06-30	VYDAJ	VYBER	15	23512	SLUZBY	\N	\N
476902	1625	1996-07-31	VYDAJ	VYBER	15	27283	SLUZBY	\N	\N
476903	1625	1996-08-31	VYDAJ	VYBER	15	25653	SLUZBY	\N	\N
476904	1625	1996-09-30	VYDAJ	VYBER	15	29432	SLUZBY	\N	\N
476905	1625	1996-10-31	VYDAJ	VYBER	15	29615	SLUZBY	\N	\N
476906	1625	1996-11-30	VYDAJ	VYBER	15	28776	SLUZBY	\N	\N
476907	1625	1996-12-31	VYDAJ	VYBER	15	26874	SLUZBY	\N	\N
476908	1625	1997-01-31	VYDAJ	VYBER	15	15613	SLUZBY	\N	\N
476909	1625	1997-02-28	VYDAJ	VYBER	15	23763	SLUZBY	\N	\N
476910	1625	1997-03-31	VYDAJ	VYBER	15	22616	SLUZBY	\N	\N
476911	1625	1997-04-30	VYDAJ	VYBER	15	20904	SLUZBY	\N	\N
476913	1625	1997-06-30	VYDAJ	VYBER	15	15219	SLUZBY	\N	\N
476914	1625	1997-07-31	VYDAJ	VYBER	15	23167	SLUZBY	\N	\N
476915	1625	1997-08-31	VYDAJ	VYBER	15	24469	SLUZBY	\N	\N
476916	1625	1997-09-30	VYDAJ	VYBER	15	29645	SLUZBY	\N	\N
476917	1625	1997-10-31	VYDAJ	VYBER	15	21739	SLUZBY	\N	\N
476918	1625	1997-11-30	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
476919	1625	1997-12-31	VYDAJ	VYBER	15	29457	SLUZBY	\N	\N
476920	1625	1998-01-31	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
476921	1625	1998-02-28	VYDAJ	VYBER	15	22687	SLUZBY	\N	\N
476922	1625	1998-03-31	VYDAJ	VYBER	15	27618	SLUZBY	\N	\N
476923	1625	1998-04-30	VYDAJ	VYBER	15	20864	SLUZBY	\N	\N
476924	1625	1998-05-31	VYDAJ	VYBER	15	29036	SLUZBY	\N	\N
476925	1625	1998-06-30	VYDAJ	VYBER	15	23313	SLUZBY	\N	\N
476926	1625	1998-07-31	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
476927	1625	1998-08-31	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
476928	1625	1998-09-30	VYDAJ	VYBER	15	29682	SLUZBY	\N	\N
476929	1625	1998-10-31	VYDAJ	VYBER	15	37891	SLUZBY	\N	\N
476930	1625	1998-11-30	VYDAJ	VYBER	15	15226	SLUZBY	\N	\N
476931	1625	1995-02-16	PRIJEM	VKLAD	7400	20394	\N	\N	\N
476932	1625	1995-03-18	VYDAJ	VYBER	2400	30228	\N	\N	\N
476933	1625	1995-04-17	VYDAJ	VYBER	8800	33725	\N	\N	\N
476934	1625	1995-05-17	VYDAJ	VYBER	12300	33752	\N	\N	\N
476935	1625	1995-06-16	VYDAJ	VYBER	11700	40298	\N	\N	\N
476936	1625	1995-07-16	VYDAJ	VYBER	7300	35337	\N	\N	\N
476937	1625	1995-08-15	VYDAJ	VYBER	11900	30452	\N	\N	\N
476938	1625	1995-09-14	VYDAJ	VYBER	7100	31555	\N	\N	\N
476939	1625	1995-10-14	VYDAJ	VYBER	7500	27443	\N	\N	\N
476940	1625	1995-11-13	VYDAJ	VYBER	5600	30024	\N	\N	\N
476941	1625	1995-12-13	VYDAJ	VYBER	12400	31907	\N	\N	\N
476942	1625	1996-01-12	VYDAJ	VYBER	6200	27738	\N	\N	\N
476943	1625	1996-02-11	PRIJEM	VKLAD	1400	13348	\N	\N	\N
476944	1625	1996-03-12	VYDAJ	VYBER	9100	23069	\N	\N	\N
476945	1625	1996-04-11	VYDAJ	VYBER	3900	15138	\N	\N	\N
476946	1625	1996-05-11	VYDAJ	VYBER	1300	15239	\N	\N	\N
476947	1625	1996-06-10	VYDAJ	VYBER	5400	14038	\N	\N	\N
476948	1625	1996-07-10	VYDAJ	VYBER	4400	16706	\N	\N	\N
476949	1625	1996-08-09	VYDAJ	VYBER	9800	15077	\N	\N	\N
476950	1625	1996-09-08	VYDAJ	VYBER	4400	18847	\N	\N	\N
476951	1625	1996-10-08	VYDAJ	VYBER	8000	19705	\N	\N	\N
476952	1625	1996-11-07	VYDAJ	VYBER	7700	20188	\N	\N	\N
476953	1625	1996-12-07	VYDAJ	VYBER	8100	18949	\N	\N	\N
476954	1625	1997-01-06	VYDAJ	VYBER	8000	14387	\N	\N	\N
476955	1625	1997-03-07	VYDAJ	VYBER	9300	12736	\N	\N	\N
476956	1625	1997-04-06	VYDAJ	VYBER	8300	12589	\N	\N	\N
476957	1625	1997-05-06	VYDAJ	VYBER	6100	13077	\N	\N	\N
476958	1625	1997-06-05	VYDAJ	VYBER	6600	14629	\N	\N	\N
476959	1625	1997-07-05	VYDAJ	VYBER	200	15019	\N	\N	\N
476960	1625	1997-08-04	VYDAJ	VYBER	2900	20267	\N	\N	\N
476961	1625	1997-09-03	VYDAJ	VYBER	3000	21469	\N	\N	\N
476962	1625	1997-10-03	VYDAJ	VYBER	6600	23045	\N	\N	\N
476963	1625	1997-11-02	VYDAJ	VYBER	6400	15339	\N	\N	\N
476964	1625	1997-12-02	VYDAJ	VYBER	8300	15191	\N	\N	\N
476965	1625	1998-01-01	VYDAJ	VYBER	12500	16957	\N	\N	\N
476966	1625	1998-04-01	VYDAJ	VYBER	14900	12718	\N	\N	\N
476967	1625	1998-07-30	VYDAJ	VYBER	12500	16254	\N	\N	\N
476968	1625	1998-11-27	VYDAJ	VYBER	22000	15092	\N	\N	\N
477016	1626	1994-03-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
477020	1626	1994-04-11	PRIJEM	PREVOD Z UCTU	19776	20876	\N	IJ	81949048
477021	1626	1994-05-11	PRIJEM	PREVOD Z UCTU	19776	44711	\N	IJ	81949048
477022	1626	1994-06-11	PRIJEM	PREVOD Z UCTU	29664	63500	\N	IJ	81949048
477023	1626	1994-07-11	PRIJEM	PREVOD Z UCTU	19776	66248	\N	IJ	81949048
477024	1626	1994-08-11	PRIJEM	PREVOD Z UCTU	19776	64512	\N	IJ	81949048
477025	1626	1994-09-11	PRIJEM	PREVOD Z UCTU	19776	67066	\N	IJ	81949048
477026	1626	1994-10-11	PRIJEM	PREVOD Z UCTU	19776	58840	\N	IJ	81949048
477027	1626	1994-11-11	PRIJEM	PREVOD Z UCTU	19776	46164	\N	IJ	81949048
477028	1626	1994-12-11	PRIJEM	PREVOD Z UCTU	29664	50994	\N	IJ	81949048
477029	1626	1995-01-11	PRIJEM	PREVOD Z UCTU	19776	57823	\N	IJ	81949048
477030	1626	1995-02-11	PRIJEM	PREVOD Z UCTU	19776	41166	\N	IJ	81949048
477031	1626	1995-03-11	PRIJEM	PREVOD Z UCTU	19776	51867	\N	IJ	81949048
477032	1626	1995-04-11	PRIJEM	PREVOD Z UCTU	19776	43576	\N	IJ	81949048
477033	1626	1995-05-11	PRIJEM	PREVOD Z UCTU	19776	53394	\N	IJ	81949048
477034	1626	1995-06-11	PRIJEM	PREVOD Z UCTU	29664	52352	\N	IJ	81949048
477035	1626	1995-07-11	PRIJEM	PREVOD Z UCTU	19776	58821	\N	IJ	81949048
477036	1626	1995-08-11	PRIJEM	PREVOD Z UCTU	19776	62719	\N	IJ	81949048
477037	1626	1995-09-11	PRIJEM	PREVOD Z UCTU	19776	66137	\N	IJ	81949048
477038	1626	1995-10-11	PRIJEM	PREVOD Z UCTU	19776	66269	\N	IJ	81949048
477039	1626	1995-11-11	PRIJEM	PREVOD Z UCTU	19776	63227	\N	IJ	81949048
477040	1626	1995-12-11	PRIJEM	PREVOD Z UCTU	29664	77039	\N	IJ	81949048
477041	1626	1996-01-11	PRIJEM	PREVOD Z UCTU	19776	50699	\N	IJ	81949048
477042	1626	1996-02-11	PRIJEM	PREVOD Z UCTU	19776	47750	\N	IJ	81949048
477043	1626	1996-03-11	PRIJEM	PREVOD Z UCTU	19776	55679	\N	IJ	81949048
477044	1626	1996-04-11	PRIJEM	PREVOD Z UCTU	19776	58078	\N	IJ	81949048
477045	1626	1996-05-11	PRIJEM	PREVOD Z UCTU	19776	60674	\N	IJ	81949048
477046	1626	1996-06-11	PRIJEM	PREVOD Z UCTU	29664	75472	\N	IJ	81949048
477047	1626	1996-07-11	PRIJEM	PREVOD Z UCTU	19776	46228	\N	IJ	81949048
477048	1626	1996-08-11	PRIJEM	PREVOD Z UCTU	19776	56559	\N	IJ	81949048
477049	1626	1996-09-11	PRIJEM	PREVOD Z UCTU	19776	53640	\N	IJ	81949048
477050	1626	1996-10-11	PRIJEM	PREVOD Z UCTU	19776	44784	\N	IJ	81949048
477051	1626	1996-11-11	PRIJEM	PREVOD Z UCTU	19776	49950	\N	IJ	81949048
477052	1626	1996-12-11	PRIJEM	PREVOD Z UCTU	29664	54594	\N	IJ	81949048
477053	1626	1997-01-11	PRIJEM	PREVOD Z UCTU	19776	42834	\N	IJ	81949048
477054	1626	1997-02-11	PRIJEM	PREVOD Z UCTU	19776	35099	\N	IJ	81949048
477055	1626	1997-03-11	PRIJEM	PREVOD Z UCTU	19776	41624	\N	IJ	81949048
477056	1626	1997-04-11	PRIJEM	PREVOD Z UCTU	19776	37887	\N	IJ	81949048
477057	1626	1997-05-11	PRIJEM	PREVOD Z UCTU	19776	41724	\N	IJ	81949048
477058	1626	1997-06-11	PRIJEM	PREVOD Z UCTU	29664	50862	\N	IJ	81949048
477059	1626	1997-07-11	PRIJEM	PREVOD Z UCTU	19776	46240	\N	IJ	81949048
477060	1626	1997-08-11	PRIJEM	PREVOD Z UCTU	19776	37103	\N	IJ	81949048
477061	1626	1997-09-11	PRIJEM	PREVOD Z UCTU	19776	56937	\N	IJ	81949048
477062	1626	1997-10-11	PRIJEM	PREVOD Z UCTU	19776	38836	\N	IJ	81949048
477063	1626	1997-11-11	PRIJEM	PREVOD Z UCTU	19776	50292	\N	IJ	81949048
477064	1626	1997-12-11	PRIJEM	PREVOD Z UCTU	29664	47954	\N	IJ	81949048
477065	1626	1998-01-11	PRIJEM	PREVOD Z UCTU	19776	48972	\N	IJ	81949048
477066	1626	1998-02-11	PRIJEM	PREVOD Z UCTU	19776	46689	\N	IJ	81949048
477067	1626	1998-03-11	PRIJEM	PREVOD Z UCTU	19776	56062	\N	IJ	81949048
477068	1626	1998-04-11	PRIJEM	PREVOD Z UCTU	19776	35799	\N	IJ	81949048
477069	1626	1998-05-11	PRIJEM	PREVOD Z UCTU	19776	55626	\N	IJ	81949048
477070	1626	1998-06-11	PRIJEM	PREVOD Z UCTU	29664	85424	\N	IJ	81949048
477071	1626	1998-07-11	PRIJEM	PREVOD Z UCTU	19776	49182	\N	IJ	81949048
477072	1626	1998-08-11	PRIJEM	PREVOD Z UCTU	19776	63400	\N	IJ	81949048
477073	1626	1998-09-11	PRIJEM	PREVOD Z UCTU	19776	38903	\N	IJ	81949048
477074	1626	1998-10-11	PRIJEM	PREVOD Z UCTU	19776	55747	\N	IJ	81949048
477075	1626	1998-11-11	PRIJEM	PREVOD Z UCTU	19776	75657	\N	IJ	81949048
477076	1626	1998-12-11	PRIJEM	PREVOD Z UCTU	29664	53682	\N	IJ	81949048
477078	1626	1994-11-16	VYBER	VYBER	22652	23512	\N	\N	\N
477080	1626	1994-09-26	VYBER	VYBER	8220	38846	\N	\N	\N
477089	1626	1994-11-06	VYBER	VYBER	14908	27188	\N	\N	\N
477091	1626	1995-03-17	VYBER	VYBER	21175	30692	\N	\N	\N
477094	1626	1995-03-18	VYBER	VYBER	5327	25365	\N	\N	\N
477095	1626	1995-10-14	VYBER	VYBER	3471	62798	\N	\N	\N
477096	1626	1996-06-22	VYBER	VYBER	22461	53011	\N	\N	\N
477097	1626	1996-12-13	VYBER	VYBER	12663	37131	\N	\N	\N
477098	1626	1996-03-23	VYBER	VYBER	3279	52400	\N	\N	\N
477100	1626	1996-12-08	VYBER	VYBER	6330	24930	\N	\N	\N
477103	1626	1997-06-25	VYBER	VYBER	16984	26378	\N	\N	\N
477108	1626	1995-06-01	VYDAJ	VYBER	30600	22988	\N	\N	\N
477109	1626	1996-06-28	VYDAJ	VYBER	23100	29911	\N	\N	\N
477113	1626	1995-01-27	VYDAJ	VYBER	16800	19423	\N	\N	\N
477114	1626	1996-01-24	VYDAJ	VYBER	9300	26099	\N	\N	\N
477116	1626	1998-01-14	VYDAJ	VYBER	7800	41172	\N	\N	\N
477117	1626	1994-12-17	VYDAJ	VYBER	1500	49494	\N	\N	\N
477118	1626	1995-12-24	VYDAJ	VYBER	3900	73139	\N	\N	\N
477119	1626	1996-12-12	VYDAJ	VYBER	4800	49794	\N	\N	\N
477120	1626	1997-12-11	VYDAJ	VYBER	6900	41054	\N	\N	\N
477121	1626	1998-12-11	VYDAJ	VYBER	7500	46182	\N	\N	\N
477128	1626	1995-01-27	VYDAJ	VYBER	8700	36223	\N	\N	\N
477129	1626	1995-01-05	VYDAJ	VYBER	4200	45447	\N	\N	\N
477130	1626	1995-01-26	VYDAJ	VYBER	3600	44923	\N	\N	\N
477131	1626	1995-01-11	VYDAJ	VYBER	6900	50923	\N	\N	\N
477133	1626	1995-01-14	VYDAJ	VYBER	2400	48523	\N	\N	\N
477134	1626	1996-01-07	VYDAJ	VYBER	8700	36623	\N	\N	\N
477136	1626	1996-01-11	VYDAJ	VYBER	8700	41999	\N	\N	\N
477137	1626	1996-01-07	VYDAJ	VYBER	5100	45323	\N	\N	\N
477138	1626	1996-01-09	VYDAJ	VYBER	5700	30923	\N	\N	\N
477139	1626	1996-01-24	VYDAJ	VYBER	6600	35399	\N	\N	\N
477140	1626	1997-01-11	VYDAJ	VYBER	6000	36834	\N	\N	\N
477142	1626	1997-01-15	VYDAJ	VYBER	6900	29934	\N	\N	\N
477144	1626	1997-01-21	VYDAJ	VYBER KARTOU	3000	23934	\N	\N	0
477145	1626	1997-01-18	VYDAJ	VYBER KARTOU	3000	26934	\N	\N	0
477147	1626	1998-01-27	VYDAJ	VYBER KARTOU	2400	36072	\N	\N	0
477148	1626	1998-01-04	VYDAJ	VYBER	8700	29196	\N	\N	\N
477149	1626	1998-01-03	VYDAJ	VYBER KARTOU	3300	37896	\N	\N	0
477151	1626	1998-01-25	VYDAJ	VYBER KARTOU	2700	38472	\N	\N	0
477155	1626	1994-11-22	VYDAJ	VYBER	3900	19612	\N	\N	\N
477157	1626	1996-12-26	VYDAJ	VYBER	5400	31731	\N	\N	\N
477158	1626	1996-09-06	VYDAJ	VYBER	5700	33864	\N	\N	\N
477160	1626	1996-09-30	VYDAJ	VYBER	9300	25023	\N	\N	\N
477161	1626	1996-09-22	VYDAJ	VYBER	13800	39840	\N	\N	\N
477162	1626	1997-03-18	VYDAJ	VYBER	10500	31124	\N	\N	\N
477164	1626	1997-06-22	VYDAJ	VYBER	7500	43362	\N	\N	\N
477166	1626	1997-10-20	VYDAJ	VYBER	8400	30436	\N	\N	\N
477167	1626	1998-01-27	VYDAJ	VYBER	9300	26772	\N	\N	\N
477168	1626	1998-07-12	VYDAJ	VYBER	5700	43482	\N	\N	\N
477169	1626	1998-09-28	VYDAJ	VYBER KARTOU	3000	35903	\N	\N	0
477170	1626	1998-03-02	VYDAJ	VYBER	10500	36286	\N	\N	\N
477179	1626	1994-08-31	VYDAJ	VYBER	15	47290	SLUZBY	\N	\N
477180	1626	1994-09-30	VYDAJ	VYBER	15	39064	SLUZBY	\N	\N
477181	1626	1994-10-31	VYDAJ	VYBER	15	42096	SLUZBY	\N	\N
477182	1626	1994-11-30	VYDAJ	VYBER	15	19730	SLUZBY	\N	\N
477183	1626	1994-12-31	VYDAJ	VYBER	15	49647	SLUZBY	\N	\N
477184	1626	1995-01-31	VYDAJ	VYBER	15	19590	SLUZBY	\N	\N
477185	1626	1995-02-28	VYDAJ	VYBER	15	41291	SLUZBY	\N	\N
477186	1626	1995-03-31	VYDAJ	VYBER	15	25500	SLUZBY	\N	\N
477187	1626	1995-04-30	VYDAJ	VYBER	15	43718	SLUZBY	\N	\N
477188	1626	1995-05-31	VYDAJ	VYBER	15	53588	SLUZBY	\N	\N
477189	1626	1995-06-30	VYDAJ	VYBER	15	52545	SLUZBY	\N	\N
477190	1626	1995-07-31	VYDAJ	VYBER	15	59043	SLUZBY	\N	\N
477191	1626	1995-08-31	VYDAJ	VYBER	15	62961	SLUZBY	\N	\N
477192	1626	1995-09-30	VYDAJ	VYBER	15	66393	SLUZBY	\N	\N
477193	1626	1995-10-31	VYDAJ	VYBER	15	63051	SLUZBY	\N	\N
477194	1626	1995-11-30	VYDAJ	VYBER	15	63475	SLUZBY	\N	\N
477195	1626	1995-12-31	VYDAJ	VYBER	15	73423	SLUZBY	\N	\N
477196	1626	1996-01-31	VYDAJ	VYBER	15	26274	SLUZBY	\N	\N
477197	1626	1996-02-29	VYDAJ	VYBER	15	47903	SLUZBY	\N	\N
477198	1626	1996-03-31	VYDAJ	VYBER	15	52602	SLUZBY	\N	\N
477199	1626	1996-04-30	VYDAJ	VYBER	15	58298	SLUZBY	\N	\N
477200	1626	1996-05-31	VYDAJ	VYBER	15	60908	SLUZBY	\N	\N
477201	1626	1996-06-30	VYDAJ	VYBER	15	30152	SLUZBY	\N	\N
477202	1626	1996-07-31	VYDAJ	VYBER	15	46383	SLUZBY	\N	\N
477203	1626	1996-08-31	VYDAJ	VYBER	15	56764	SLUZBY	\N	\N
477204	1626	1996-09-30	VYDAJ	VYBER	15	25008	SLUZBY	\N	\N
477205	1626	1996-10-31	VYDAJ	VYBER	15	30174	SLUZBY	\N	\N
477206	1626	1996-11-30	VYDAJ	VYBER	15	31260	SLUZBY	\N	\N
477207	1626	1996-12-31	VYDAJ	VYBER	15	23058	SLUZBY	\N	\N
477208	1626	1997-01-31	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
477209	1626	1997-02-28	VYDAJ	VYBER	15	21848	SLUZBY	\N	\N
477210	1626	1997-03-31	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
477211	1626	1997-04-30	VYDAJ	VYBER	15	21948	SLUZBY	\N	\N
477212	1626	1997-05-31	VYDAJ	VYBER	15	21198	SLUZBY	\N	\N
477213	1626	1997-06-30	VYDAJ	VYBER	15	26464	SLUZBY	\N	\N
477214	1626	1997-07-31	VYDAJ	VYBER	15	17327	SLUZBY	\N	\N
477215	1626	1997-08-31	VYDAJ	VYBER	15	37161	SLUZBY	\N	\N
477216	1626	1997-09-30	VYDAJ	VYBER	15	19060	SLUZBY	\N	\N
477217	1626	1997-10-31	VYDAJ	VYBER	15	30516	SLUZBY	\N	\N
477218	1626	1997-11-30	VYDAJ	VYBER	15	18290	SLUZBY	\N	\N
477219	1626	1997-12-31	VYDAJ	VYBER	15	41196	SLUZBY	\N	\N
477220	1626	1998-01-31	VYDAJ	VYBER	15	26913	SLUZBY	\N	\N
477221	1626	1998-02-28	VYDAJ	VYBER	15	46786	SLUZBY	\N	\N
477222	1626	1998-03-31	VYDAJ	VYBER	15	16023	SLUZBY	\N	\N
477223	1626	1998-04-30	VYDAJ	VYBER	15	35850	SLUZBY	\N	\N
477224	1626	1998-05-31	VYDAJ	VYBER	15	55760	SLUZBY	\N	\N
477225	1626	1998-06-30	VYDAJ	VYBER	15	29406	SLUZBY	\N	\N
477226	1626	1998-07-31	VYDAJ	VYBER	15	43624	SLUZBY	\N	\N
477227	1626	1998-08-31	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
477228	1626	1998-09-30	VYDAJ	VYBER	15	35971	SLUZBY	\N	\N
477229	1626	1998-10-31	VYDAJ	VYBER	15	55881	SLUZBY	\N	\N
477230	1626	1998-11-30	VYDAJ	VYBER	15	24018	SLUZBY	\N	\N
477231	1626	1994-04-14	PRIJEM	VKLAD	4000	24876	\N	\N	\N
477232	1626	1994-05-14	VYDAJ	VYBER	11000	33711	\N	\N	\N
477233	1626	1994-06-13	VYDAJ	VYBER	17200	46300	\N	\N	\N
477234	1626	1994-07-13	VYDAJ	VYBER	21700	44548	\N	\N	\N
477235	1626	1994-08-12	VYDAJ	VYBER	17400	47112	\N	\N	\N
477236	1626	1994-09-11	VYDAJ	VYBER	20000	47066	\N	\N	\N
477237	1626	1994-10-11	VYDAJ	VYBER	16900	41940	\N	\N	\N
477238	1626	1994-11-10	VYDAJ	VYBER	800	26388	\N	\N	\N
477239	1626	1994-12-10	PRIJEM	VKLAD	1600	21330	\N	\N	\N
477240	1626	1995-01-09	VYDAJ	VYBER	7400	38047	\N	\N	\N
477241	1626	1995-02-08	PRIJEM	VKLAD	1800	21390	\N	\N	\N
477242	1626	1995-03-10	VYDAJ	VYBER	9200	32091	\N	\N	\N
477243	1626	1995-04-09	VYDAJ	VYBER	1700	23800	\N	\N	\N
477244	1626	1995-05-09	VYDAJ	VYBER	10100	33618	\N	\N	\N
477245	1626	1995-06-08	VYDAJ	VYBER	300	22688	\N	\N	\N
477246	1626	1995-07-08	VYDAJ	VYBER	13500	39045	\N	\N	\N
477247	1626	1995-08-07	VYDAJ	VYBER	16100	42943	\N	\N	\N
477248	1626	1995-09-06	VYDAJ	VYBER	16600	46361	\N	\N	\N
477249	1626	1995-10-06	VYDAJ	VYBER	19900	46493	\N	\N	\N
477250	1626	1995-11-05	VYDAJ	VYBER	19600	43451	\N	\N	\N
477251	1626	1995-12-05	VYDAJ	VYBER	16100	47375	\N	\N	\N
477252	1626	1996-01-04	VYDAJ	VYBER	23000	50423	\N	\N	\N
477253	1626	1996-02-03	PRIJEM	VKLAD	1700	27974	\N	\N	\N
477254	1626	1996-03-04	VYDAJ	VYBER	12000	35903	\N	\N	\N
477255	1626	1996-04-03	VYDAJ	VYBER	14300	38302	\N	\N	\N
477256	1626	1996-05-03	VYDAJ	VYBER	17400	40898	\N	\N	\N
477257	1626	1996-06-02	VYDAJ	VYBER	15100	45808	\N	\N	\N
477258	1626	1996-07-02	VYDAJ	VYBER KARTOU	3700	26452	\N	\N	0
477259	1626	1996-08-01	VYDAJ	VYBER	9600	36783	\N	\N	\N
477260	1626	1996-08-31	VYDAJ	VYBER	17200	39564	\N	\N	\N
477261	1626	1996-09-30	VYDAJ	VYBER	5700	34323	\N	\N	\N
477262	1626	1996-10-30	VYDAJ	VYBER	14700	30084	\N	\N	\N
477263	1626	1996-11-29	VYDAJ	VYBER	18800	31150	\N	\N	\N
477264	1626	1996-12-29	VYDAJ	VYBER	8800	22931	\N	\N	\N
477265	1626	1997-01-28	VYDAJ	VYBER	8700	15234	\N	\N	\N
477266	1626	1997-02-27	VYDAJ	VYBER	13300	21799	\N	\N	\N
477267	1626	1997-03-29	VYDAJ	VYBER	13100	18024	\N	\N	\N
477268	1626	1997-04-28	VYDAJ	VYBER	16000	21887	\N	\N	\N
477269	1626	1997-05-28	VYDAJ	VYBER	20600	21124	\N	\N	\N
477270	1626	1997-07-27	VYDAJ	VYBER	29000	17240	\N	\N	\N
477271	1626	1997-09-25	VYDAJ	VYBER	38000	18937	\N	\N	\N
477272	1626	1997-11-24	VYDAJ	VYBER	32100	18192	\N	\N	\N
477273	1626	1998-03-24	VYDAJ	VYBER	40200	15862	\N	\N	\N
477274	1626	1998-06-22	VYDAJ	VYBER	56200	29224	\N	\N	\N
477275	1626	1998-08-21	VYDAJ	VYBER	44400	19000	\N	\N	\N
477276	1626	1998-11-19	VYDAJ	VYBER	51800	23857	\N	\N	\N
477334	1627	1994-01-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
477336	1627	1994-02-10	PRIJEM	VKLAD	7348	8348	\N	\N	\N
477337	1627	1994-03-10	PRIJEM	VKLAD	7348	23921	\N	\N	\N
477338	1627	1994-04-10	PRIJEM	VKLAD	7348	32751	\N	\N	\N
477339	1627	1994-05-10	PRIJEM	VKLAD	7348	38313	\N	\N	\N
477340	1627	1994-06-10	PRIJEM	VKLAD	11022	45068	\N	\N	\N
477341	1627	1994-07-10	PRIJEM	VKLAD	7348	43146	\N	\N	\N
477342	1627	1994-08-10	PRIJEM	VKLAD	7348	39722	\N	\N	\N
477343	1627	1994-09-10	PRIJEM	VKLAD	7348	37185	\N	\N	\N
477344	1627	1994-10-10	PRIJEM	VKLAD	7348	34442	\N	\N	\N
477345	1627	1994-11-10	PRIJEM	VKLAD	7348	37294	\N	\N	\N
477346	1627	1994-12-10	PRIJEM	VKLAD	11022	33805	\N	\N	\N
477347	1627	1995-01-10	PRIJEM	VKLAD	7348	28301	\N	\N	\N
477348	1627	1995-02-10	PRIJEM	VKLAD	7348	26303	\N	\N	\N
477349	1627	1995-03-10	PRIJEM	VKLAD	7348	28633	\N	\N	\N
477350	1627	1995-04-10	PRIJEM	VKLAD	7348	35269	\N	\N	\N
477351	1627	1995-05-10	PRIJEM	VKLAD	7348	36421	\N	\N	\N
477352	1627	1995-06-10	PRIJEM	VKLAD	11022	42755	\N	\N	\N
477353	1627	1995-07-10	PRIJEM	VKLAD	7348	32393	\N	\N	\N
477354	1627	1995-08-10	PRIJEM	VKLAD	7348	33657	\N	\N	\N
477355	1627	1995-09-10	PRIJEM	VKLAD	7348	31029	\N	\N	\N
477356	1627	1995-10-10	PRIJEM	VKLAD	7348	36883	\N	\N	\N
477357	1627	1995-11-10	PRIJEM	VKLAD	7348	36638	\N	\N	\N
477358	1627	1995-12-10	PRIJEM	VKLAD	11022	39089	\N	\N	\N
477359	1627	1996-01-10	PRIJEM	VKLAD	7348	33687	\N	\N	\N
477360	1627	1996-02-10	PRIJEM	VKLAD	7348	26823	\N	\N	\N
477361	1627	1996-03-10	PRIJEM	VKLAD	7348	31968	\N	\N	\N
477362	1627	1996-04-10	PRIJEM	VKLAD	7348	32215	\N	\N	\N
477363	1627	1996-05-10	PRIJEM	VKLAD	7348	34333	\N	\N	\N
477364	1627	1996-06-10	PRIJEM	VKLAD	11022	38179	\N	\N	\N
477365	1627	1996-07-10	PRIJEM	VKLAD	7348	37166	\N	\N	\N
477366	1627	1996-08-10	PRIJEM	VKLAD	7348	38855	\N	\N	\N
477367	1627	1996-09-10	PRIJEM	VKLAD	7348	37248	\N	\N	\N
477368	1627	1996-10-10	PRIJEM	VKLAD	7348	38338	\N	\N	\N
477369	1627	1996-11-10	PRIJEM	VKLAD	7348	36629	\N	\N	\N
477370	1627	1996-12-10	PRIJEM	VKLAD	11022	44690	\N	\N	\N
477371	1627	1997-01-10	PRIJEM	VKLAD	7348	41176	\N	\N	\N
477372	1627	1997-02-10	PRIJEM	VKLAD	7348	41127	\N	\N	\N
477373	1627	1997-03-10	PRIJEM	VKLAD	7348	48105	\N	\N	\N
477374	1627	1997-04-10	PRIJEM	VKLAD	7348	50629	\N	\N	\N
477375	1627	1997-05-10	PRIJEM	VKLAD	7348	50469	\N	\N	\N
477376	1627	1997-06-10	PRIJEM	VKLAD	11022	52985	\N	\N	\N
477377	1627	1997-07-10	PRIJEM	VKLAD	7348	38258	\N	\N	\N
477378	1627	1997-08-10	PRIJEM	VKLAD	7348	43732	\N	\N	\N
477379	1627	1997-09-10	PRIJEM	VKLAD	7348	44352	\N	\N	\N
477380	1627	1997-10-10	PRIJEM	VKLAD	7348	43278	\N	\N	\N
477381	1627	1997-11-10	PRIJEM	VKLAD	7348	45688	\N	\N	\N
477382	1627	1997-12-10	PRIJEM	VKLAD	11022	53854	\N	\N	\N
477383	1627	1998-01-10	PRIJEM	VKLAD	7348	47499	\N	\N	\N
477384	1627	1998-02-10	PRIJEM	VKLAD	7348	41939	\N	\N	\N
477385	1627	1998-03-10	PRIJEM	VKLAD	7348	43723	\N	\N	\N
477386	1627	1998-04-10	PRIJEM	VKLAD	7348	43805	\N	\N	\N
477387	1627	1998-05-10	PRIJEM	VKLAD	7348	41469	\N	\N	\N
477388	1627	1998-06-10	PRIJEM	VKLAD	11022	44359	\N	\N	\N
477389	1627	1998-07-10	PRIJEM	VKLAD	7348	42634	\N	\N	\N
477390	1627	1998-08-10	PRIJEM	VKLAD	7348	47414	\N	\N	\N
477391	1627	1998-09-10	PRIJEM	VKLAD	7348	48011	\N	\N	\N
477392	1627	1998-10-10	PRIJEM	VKLAD	7348	45910	\N	\N	\N
477393	1627	1998-11-10	PRIJEM	VKLAD	7348	44500	\N	\N	\N
477394	1627	1998-12-10	PRIJEM	VKLAD	11022	45056	\N	\N	\N
477396	1627	1995-06-22	VYDAJ	VYBER	7520	24935	\N	\N	\N
477398	1627	1997-06-17	VYDAJ	VYBER	29120	23865	\N	\N	\N
477400	1627	1994-12-29	VYDAJ	VYBER	1920	28885	\N	\N	\N
477401	1627	1995-12-04	VYDAJ	VYBER	2080	28067	\N	\N	\N
477402	1627	1996-12-17	VYDAJ	VYBER	1280	43410	\N	\N	\N
477403	1627	1997-12-15	VYDAJ	VYBER	3040	47574	\N	\N	\N
477404	1627	1998-12-30	VYDAJ	VYBER	800	32156	\N	\N	\N
477411	1627	1995-01-03	VYDAJ	VYBER	1320	27673	\N	\N	\N
477412	1627	1995-01-09	VYDAJ	VYBER	2640	24193	\N	\N	\N
477413	1627	1995-01-28	VYDAJ	VYBER	960	23541	\N	\N	\N
477414	1627	1995-01-30	VYDAJ	VYBER	720	22821	\N	\N	\N
477415	1627	1995-01-08	VYDAJ	VYBER	840	26833	\N	\N	\N
477416	1627	1995-01-09	VYDAJ	VYBER	3240	20953	\N	\N	\N
477417	1627	1996-01-12	VYDAJ	VYBER	3480	16167	\N	\N	\N
477418	1627	1996-01-11	VYDAJ	VYBER	600	19647	\N	\N	\N
477419	1627	1996-01-07	VYDAJ	VYBER	2400	26339	\N	\N	\N
477421	1627	1996-01-05	VYDAJ	VYBER	960	28739	\N	\N	\N
477422	1627	1996-01-27	VYDAJ	VYBER	2160	14007	\N	\N	\N
477423	1627	1997-01-15	VYDAJ	VYBER	1080	38536	\N	\N	\N
477424	1627	1997-01-10	VYDAJ	VYBER	1560	39616	\N	\N	\N
477425	1627	1997-01-03	VYDAJ	VYBER	3000	39968	\N	\N	\N
477426	1627	1997-01-21	VYDAJ	VYBER	1800	36736	\N	\N	\N
477427	1627	1997-01-01	VYDAJ	VYBER	600	42968	\N	\N	\N
477428	1627	1997-01-07	VYDAJ	VYBER	1440	33828	\N	\N	\N
477429	1627	1998-01-26	VYDAJ	VYBER	1320	38139	\N	\N	\N
477430	1627	1998-01-22	VYDAJ	VYBER	1080	41739	\N	\N	\N
477431	1627	1998-01-25	VYDAJ	VYBER	2280	39459	\N	\N	\N
477432	1627	1998-01-15	VYDAJ	VYBER	1080	42819	\N	\N	\N
477433	1627	1998-01-13	VYDAJ	VYBER	1680	43899	\N	\N	\N
477434	1627	1998-01-13	VYDAJ	VYBER	1920	45579	\N	\N	\N
477435	1627	1994-12-05	VYDAJ	VYBER	2400	22783	\N	\N	\N
477436	1627	1994-09-28	VYDAJ	VYBER	3000	26985	\N	\N	\N
477438	1627	1994-11-29	VYDAJ	VYBER	4920	25074	\N	\N	\N
477441	1627	1995-09-08	VYDAJ	VYBER	4080	23681	\N	\N	\N
477442	1627	1995-02-22	VYDAJ	VYBER	3000	21203	\N	\N	\N
477443	1627	1995-02-04	VYDAJ	VYBER	3960	18955	\N	\N	\N
477444	1627	1995-08-05	VYDAJ	VYBER	1680	26309	\N	\N	\N
477445	1627	1996-01-11	VYDAJ	VYBER	4440	20247	\N	\N	\N
477446	1627	1996-05-05	VYDAJ	VYBER	2040	30285	\N	\N	\N
477447	1627	1996-02-20	VYDAJ	VYBER	2280	24543	\N	\N	\N
477448	1627	1996-04-01	VYDAJ	VYBER	1560	22767	\N	\N	\N
477449	1627	1996-03-23	VYDAJ	VYBER	5040	24228	\N	\N	\N
477450	1627	1997-12-14	VYDAJ	VYBER	3240	50614	\N	\N	\N
477451	1627	1997-03-02	VYDAJ	VYBER	720	40557	\N	\N	\N
477452	1627	1997-08-12	VYDAJ	VYBER	2880	40852	\N	\N	\N
477453	1627	1997-09-10	VYDAJ	VYBER	2280	42072	\N	\N	\N
477454	1627	1998-05-14	VYDAJ	VYBER	5880	35589	\N	\N	\N
477455	1627	1998-05-31	VYDAJ	VYBER	1080	33337	\N	\N	\N
477456	1627	1998-04-22	VYDAJ	VYBER	5520	38285	\N	\N	\N
477457	1627	1998-02-13	VYDAJ	VYBER	3600	38339	\N	\N	\N
477458	1627	1998-10-25	VYDAJ	VYBER	2400	43510	\N	\N	\N
477465	1627	1994-06-30	VYDAJ	VYBER	15	35798	SLUZBY	\N	\N
477466	1627	1994-07-31	VYDAJ	VYBER	15	32374	SLUZBY	\N	\N
477467	1627	1994-08-31	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
477468	1627	1994-09-30	VYDAJ	VYBER	15	27094	SLUZBY	\N	\N
477469	1627	1994-10-31	VYDAJ	VYBER	15	29946	SLUZBY	\N	\N
477470	1627	1994-11-30	VYDAJ	VYBER	15	25183	SLUZBY	\N	\N
477471	1627	1994-12-31	VYDAJ	VYBER	15	28993	SLUZBY	\N	\N
477472	1627	1995-01-31	VYDAJ	VYBER	15	22915	SLUZBY	\N	\N
477473	1627	1995-02-28	VYDAJ	VYBER	15	21285	SLUZBY	\N	\N
477474	1627	1995-03-31	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
477475	1627	1995-04-30	VYDAJ	VYBER	15	29073	SLUZBY	\N	\N
477476	1627	1995-05-31	VYDAJ	VYBER	15	31733	SLUZBY	\N	\N
477477	1627	1995-06-30	VYDAJ	VYBER	15	25045	SLUZBY	\N	\N
477478	1627	1995-07-31	VYDAJ	VYBER	15	27989	SLUZBY	\N	\N
477479	1627	1995-08-31	VYDAJ	VYBER	15	27761	SLUZBY	\N	\N
477480	1627	1995-09-30	VYDAJ	VYBER	15	29535	SLUZBY	\N	\N
477481	1627	1995-10-31	VYDAJ	VYBER	15	29290	SLUZBY	\N	\N
477482	1627	1995-11-30	VYDAJ	VYBER	15	30147	SLUZBY	\N	\N
477483	1627	1995-12-31	VYDAJ	VYBER	15	29699	SLUZBY	\N	\N
477484	1627	1996-01-31	VYDAJ	VYBER	15	14075	SLUZBY	\N	\N
477485	1627	1996-02-29	VYDAJ	VYBER	15	24620	SLUZBY	\N	\N
477486	1627	1996-03-31	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
477487	1627	1996-04-30	VYDAJ	VYBER	15	32325	SLUZBY	\N	\N
477488	1627	1996-05-31	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
477489	1627	1996-06-30	VYDAJ	VYBER	15	38318	SLUZBY	\N	\N
477490	1627	1996-07-31	VYDAJ	VYBER	15	37307	SLUZBY	\N	\N
477491	1627	1996-08-31	VYDAJ	VYBER	15	39000	SLUZBY	\N	\N
477492	1627	1996-09-30	VYDAJ	VYBER	15	37390	SLUZBY	\N	\N
477493	1627	1996-10-31	VYDAJ	VYBER	15	38481	SLUZBY	\N	\N
477494	1627	1996-11-30	VYDAJ	VYBER	15	36768	SLUZBY	\N	\N
477495	1627	1996-12-31	VYDAJ	VYBER	15	43568	SLUZBY	\N	\N
477496	1627	1997-01-31	VYDAJ	VYBER	15	36879	SLUZBY	\N	\N
477497	1627	1997-02-28	VYDAJ	VYBER	15	41277	SLUZBY	\N	\N
477498	1627	1997-03-31	VYDAJ	VYBER	15	48281	SLUZBY	\N	\N
477499	1627	1997-04-30	VYDAJ	VYBER	15	50821	SLUZBY	\N	\N
477500	1627	1997-05-31	VYDAJ	VYBER	15	50663	SLUZBY	\N	\N
477501	1627	1997-06-30	VYDAJ	VYBER	15	24010	SLUZBY	\N	\N
477502	1627	1997-07-31	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
477503	1627	1997-08-31	VYDAJ	VYBER	15	41004	SLUZBY	\N	\N
477504	1627	1997-09-30	VYDAJ	VYBER	15	42230	SLUZBY	\N	\N
477505	1627	1997-10-31	VYDAJ	VYBER	15	43440	SLUZBY	\N	\N
477506	1627	1997-11-30	VYDAJ	VYBER	15	45832	SLUZBY	\N	\N
477507	1627	1997-12-31	VYDAJ	VYBER	15	40151	SLUZBY	\N	\N
477508	1627	1998-01-31	VYDAJ	VYBER	15	34591	SLUZBY	\N	\N
477509	1627	1998-02-28	VYDAJ	VYBER	15	36375	SLUZBY	\N	\N
477510	1627	1998-03-31	VYDAJ	VYBER	15	36457	SLUZBY	\N	\N
477511	1627	1998-04-30	VYDAJ	VYBER	15	34121	SLUZBY	\N	\N
477512	1627	1998-05-31	VYDAJ	VYBER	15	34417	SLUZBY	\N	\N
477513	1627	1998-06-30	VYDAJ	VYBER	15	35286	SLUZBY	\N	\N
477514	1627	1998-07-31	VYDAJ	VYBER	15	40066	SLUZBY	\N	\N
477515	1627	1998-08-31	VYDAJ	VYBER	15	40663	SLUZBY	\N	\N
477516	1627	1998-09-30	VYDAJ	VYBER	15	38562	SLUZBY	\N	\N
477517	1627	1998-10-31	VYDAJ	VYBER	15	37152	SLUZBY	\N	\N
477518	1627	1998-11-30	VYDAJ	VYBER	15	34034	SLUZBY	\N	\N
477519	1627	1994-02-19	PRIJEM	VKLAD	8200	16548	\N	\N	\N
477520	1627	1994-03-21	PRIJEM	VKLAD	1400	25321	\N	\N	\N
477521	1627	1994-04-20	VYDAJ	VYBER	1900	30851	\N	\N	\N
477522	1627	1994-05-20	VYDAJ	VYBER	4400	33913	\N	\N	\N
477523	1627	1994-06-19	VYDAJ	VYBER	9400	35668	\N	\N	\N
477524	1627	1994-07-19	VYDAJ	VYBER	10900	32246	\N	\N	\N
477525	1627	1994-08-18	VYDAJ	VYBER	10000	29722	\N	\N	\N
477526	1627	1994-09-17	VYDAJ	VYBER	7200	29985	\N	\N	\N
477527	1627	1994-10-17	VYDAJ	VYBER	4600	29842	\N	\N	\N
477528	1627	1994-11-16	VYDAJ	VYBER	7300	29994	\N	\N	\N
477529	1627	1994-12-16	VYDAJ	VYBER	3000	30805	\N	\N	\N
477530	1627	1995-01-15	VYDAJ	VYBER	3800	24501	\N	\N	\N
477531	1627	1995-02-14	VYDAJ	VYBER	2100	24203	\N	\N	\N
477532	1627	1995-03-16	VYDAJ	VYBER	800	27833	\N	\N	\N
477533	1627	1995-04-15	VYDAJ	VYBER	6300	28969	\N	\N	\N
477534	1627	1995-05-15	VYDAJ	VYBER	4800	31621	\N	\N	\N
477535	1627	1995-06-14	VYDAJ	VYBER	10300	32455	\N	\N	\N
477536	1627	1995-07-14	VYDAJ	VYBER	4500	27893	\N	\N	\N
477537	1627	1995-08-13	VYDAJ	VYBER	6000	27657	\N	\N	\N
477538	1627	1995-09-12	VYDAJ	VYBER	1600	29429	\N	\N	\N
477539	1627	1995-10-12	VYDAJ	VYBER	7700	29183	\N	\N	\N
477540	1627	1995-11-11	VYDAJ	VYBER	6600	30038	\N	\N	\N
477541	1627	1995-12-11	VYDAJ	VYBER	9500	29589	\N	\N	\N
477542	1627	1996-01-10	VYDAJ	VYBER	9000	24687	\N	\N	\N
477543	1627	1996-02-09	PRIJEM	VKLAD	5400	19475	\N	\N	\N
477544	1627	1996-03-10	VYDAJ	VYBER	2700	29268	\N	\N	\N
477545	1627	1996-04-09	PRIJEM	VKLAD	2100	24867	\N	\N	\N
477546	1627	1996-05-09	VYDAJ	VYBER	3300	26985	\N	\N	\N
477547	1627	1996-06-08	VYDAJ	VYBER	7300	27157	\N	\N	\N
477548	1627	1996-07-08	VYDAJ	VYBER	8500	29818	\N	\N	\N
477549	1627	1996-08-07	VYDAJ	VYBER	5800	31507	\N	\N	\N
477550	1627	1996-09-06	VYDAJ	VYBER	9100	29900	\N	\N	\N
477551	1627	1996-10-06	VYDAJ	VYBER	6400	30990	\N	\N	\N
477552	1627	1996-11-05	VYDAJ	VYBER	9200	29281	\N	\N	\N
477553	1627	1996-12-05	VYDAJ	VYBER	3100	33668	\N	\N	\N
477554	1627	1997-01-04	VYDAJ	VYBER	4700	35268	\N	\N	\N
477555	1627	1997-02-03	VYDAJ	VYBER	3100	33779	\N	\N	\N
477556	1627	1997-03-05	PRIJEM	VKLAD	200	40757	\N	\N	\N
477557	1627	1997-04-04	VYDAJ	VYBER	5000	43281	\N	\N	\N
477558	1627	1997-05-04	VYDAJ	VYBER	7700	43121	\N	\N	\N
477559	1627	1997-06-03	VYDAJ	VYBER	8700	41963	\N	\N	\N
477560	1627	1997-07-03	PRIJEM	VKLAD	6900	30910	\N	\N	\N
477561	1627	1997-08-02	VYDAJ	VYBER	2000	36384	\N	\N	\N
477562	1627	1997-09-01	VYDAJ	VYBER	4000	37004	\N	\N	\N
477563	1627	1997-10-01	VYDAJ	VYBER	6300	35930	\N	\N	\N
477564	1627	1997-10-31	VYDAJ	VYBER	5100	38340	\N	\N	\N
477565	1627	1997-11-30	VYDAJ	VYBER	3000	42832	\N	\N	\N
477566	1627	1997-12-30	VYDAJ	VYBER	7600	39974	\N	\N	\N
477567	1627	1998-01-29	VYDAJ	VYBER	3700	34439	\N	\N	\N
477568	1627	1998-02-28	VYDAJ	VYBER	2100	36389	\N	\N	\N
477569	1627	1998-03-30	VYDAJ	VYBER	7400	36323	\N	\N	\N
477570	1627	1998-04-29	VYDAJ	VYBER	4300	33985	\N	\N	\N
477571	1627	1998-05-29	VYDAJ	VYBER	1300	34289	\N	\N	\N
477572	1627	1998-06-28	VYDAJ	VYBER	9200	35159	\N	\N	\N
477573	1627	1998-07-28	VYDAJ	VYBER	2700	39934	\N	\N	\N
477574	1627	1998-08-27	VYDAJ	VYBER	6900	40514	\N	\N	\N
477575	1627	1998-09-26	VYDAJ	VYBER	9600	38411	\N	\N	\N
477576	1627	1998-10-26	VYDAJ	VYBER	6500	37010	\N	\N	\N
477577	1627	1998-11-25	VYDAJ	VYBER	10600	33900	\N	\N	\N
477578	1627	1998-12-25	VYDAJ	VYBER	12100	32956	\N	\N	\N
477638	1628	1993-01-10	PRIJEM	VKLAD	700	700	\N	\N	\N
477639	1628	1993-01-12	PRIJEM	PREVOD Z UCTU	4276	4976	DUCHOD	UV	15916598
477640	1628	1993-02-12	PRIJEM	PREVOD Z UCTU	4276	9265	DUCHOD	UV	15916598
477641	1628	1993-03-12	PRIJEM	PREVOD Z UCTU	4276	13562	DUCHOD	UV	15916598
477642	1628	1993-04-12	PRIJEM	PREVOD Z UCTU	4276	17859	DUCHOD	UV	15916598
477643	1628	1993-05-12	PRIJEM	PREVOD Z UCTU	4276	22156	DUCHOD	UV	15916598
477644	1628	1993-06-12	PRIJEM	PREVOD Z UCTU	4276	23590	DUCHOD	UV	15916598
477645	1628	1993-07-12	PRIJEM	PREVOD Z UCTU	4276	15576	DUCHOD	UV	15916598
477646	1628	1993-08-12	PRIJEM	PREVOD Z UCTU	4276	17051	DUCHOD	UV	15916598
477647	1628	1993-09-12	PRIJEM	PREVOD Z UCTU	4276	18531	DUCHOD	UV	15916598
477648	1628	1993-10-12	PRIJEM	PREVOD Z UCTU	4276	20017	DUCHOD	UV	15916598
477649	1628	1993-11-12	PRIJEM	PREVOD Z UCTU	4276	21510	DUCHOD	UV	15916598
477650	1628	1993-12-12	PRIJEM	PREVOD Z UCTU	4276	21164	DUCHOD	UV	15916598
477651	1628	1994-01-12	PRIJEM	PREVOD Z UCTU	4276	18920	DUCHOD	UV	15916598
477652	1628	1994-02-12	PRIJEM	PREVOD Z UCTU	4276	15845	DUCHOD	UV	15916598
477653	1628	1994-03-12	PRIJEM	PREVOD Z UCTU	4276	17320	DUCHOD	UV	15916598
477654	1628	1994-04-12	PRIJEM	PREVOD Z UCTU	4276	15514	DUCHOD	UV	15916598
477655	1628	1994-05-12	PRIJEM	PREVOD Z UCTU	4276	16988	DUCHOD	UV	15916598
477656	1628	1994-06-12	PRIJEM	PREVOD Z UCTU	4276	18468	DUCHOD	UV	15916598
477657	1628	1994-07-12	PRIJEM	PREVOD Z UCTU	4276	17073	DUCHOD	UV	15916598
477658	1628	1994-08-12	PRIJEM	PREVOD Z UCTU	4276	18553	DUCHOD	UV	15916598
477659	1628	1994-09-12	PRIJEM	PREVOD Z UCTU	4276	20040	DUCHOD	UV	15916598
477660	1628	1994-10-12	PRIJEM	PREVOD Z UCTU	4276	20012	DUCHOD	UV	15916598
477661	1628	1994-11-12	PRIJEM	PREVOD Z UCTU	4276	21504	DUCHOD	UV	15916598
477662	1628	1994-12-12	PRIJEM	PREVOD Z UCTU	4276	20223	DUCHOD	UV	15916598
477663	1628	1995-01-12	PRIJEM	PREVOD Z UCTU	4276	18675	DUCHOD	UV	15916598
477664	1628	1995-02-12	PRIJEM	PREVOD Z UCTU	4276	15033	DUCHOD	UV	15916598
477665	1628	1995-03-12	PRIJEM	PREVOD Z UCTU	4276	16504	DUCHOD	UV	15916598
477666	1628	1995-04-12	PRIJEM	PREVOD Z UCTU	4276	17982	DUCHOD	UV	15916598
477667	1628	1995-05-12	PRIJEM	PREVOD Z UCTU	4276	19466	DUCHOD	UV	15916598
477668	1628	1995-06-12	PRIJEM	PREVOD Z UCTU	4276	20956	DUCHOD	UV	15916598
477669	1628	1995-07-12	PRIJEM	PREVOD Z UCTU	4276	18494	DUCHOD	UV	15916598
477670	1628	1995-08-12	PRIJEM	PREVOD Z UCTU	4276	19339	DUCHOD	UV	15916598
477671	1628	1995-09-12	PRIJEM	PREVOD Z UCTU	4276	20829	DUCHOD	UV	15916598
477672	1628	1995-10-12	PRIJEM	PREVOD Z UCTU	4276	20964	DUCHOD	UV	15916598
477673	1628	1995-11-12	PRIJEM	PREVOD Z UCTU	4276	18537	DUCHOD	UV	15916598
477674	1628	1995-12-12	PRIJEM	PREVOD Z UCTU	4276	17301	DUCHOD	UV	15916598
477675	1628	1996-01-12	PRIJEM	PREVOD Z UCTU	4276	18080	DUCHOD	UV	15916598
477676	1628	1996-02-12	PRIJEM	PREVOD Z UCTU	4276	16758	DUCHOD	UV	15916598
477677	1628	1996-03-12	PRIJEM	PREVOD Z UCTU	4276	16636	DUCHOD	UV	15916598
477678	1628	1996-04-12	PRIJEM	PREVOD Z UCTU	4276	18114	DUCHOD	UV	15916598
477679	1628	1996-05-12	PRIJEM	PREVOD Z UCTU	4276	19598	DUCHOD	UV	15916598
477680	1628	1996-06-12	PRIJEM	PREVOD Z UCTU	4276	21088	DUCHOD	UV	15916598
477681	1628	1996-07-12	PRIJEM	PREVOD Z UCTU	4276	18528	DUCHOD	UV	15916598
477682	1628	1996-08-12	PRIJEM	PREVOD Z UCTU	4276	18249	DUCHOD	UV	15916598
477683	1628	1996-09-12	PRIJEM	PREVOD Z UCTU	4276	19733	DUCHOD	UV	15916598
477684	1628	1996-10-12	PRIJEM	PREVOD Z UCTU	4276	19063	DUCHOD	UV	15916598
477685	1628	1996-11-12	PRIJEM	PREVOD Z UCTU	4276	20551	DUCHOD	UV	15916598
477686	1628	1996-12-12	PRIJEM	PREVOD Z UCTU	4276	21045	DUCHOD	UV	15916598
477687	1628	1997-01-12	PRIJEM	PREVOD Z UCTU	4276	19759	DUCHOD	UV	15916598
477688	1628	1997-02-12	PRIJEM	PREVOD Z UCTU	4276	17243	DUCHOD	UV	15916598
477689	1628	1997-03-12	PRIJEM	PREVOD Z UCTU	4276	18723	DUCHOD	UV	15916598
477690	1628	1997-04-12	PRIJEM	PREVOD Z UCTU	4276	20209	DUCHOD	UV	15916598
477691	1628	1997-05-12	PRIJEM	PREVOD Z UCTU	4276	21301	DUCHOD	UV	15916598
477692	1628	1997-06-12	PRIJEM	PREVOD Z UCTU	4276	22796	DUCHOD	UV	15916598
477693	1628	1997-07-12	PRIJEM	PREVOD Z UCTU	4276	24298	DUCHOD	UV	15916598
477694	1628	1997-08-12	PRIJEM	PREVOD Z UCTU	4276	25807	DUCHOD	UV	15916598
477695	1628	1997-09-12	PRIJEM	PREVOD Z UCTU	4276	27323	DUCHOD	UV	15916598
477696	1628	1997-10-12	PRIJEM	PREVOD Z UCTU	4276	24755	DUCHOD	UV	15916598
477697	1628	1997-11-12	PRIJEM	PREVOD Z UCTU	4276	26266	DUCHOD	UV	15916598
477698	1628	1997-12-12	PRIJEM	PREVOD Z UCTU	4276	26432	DUCHOD	UV	15916598
477699	1628	1998-01-12	PRIJEM	PREVOD Z UCTU	4276	21304	DUCHOD	UV	15916598
477700	1628	1998-02-12	PRIJEM	PREVOD Z UCTU	4276	17979	DUCHOD	UV	15916598
477701	1628	1998-03-12	PRIJEM	PREVOD Z UCTU	4276	19461	DUCHOD	UV	15916598
477702	1628	1998-04-12	PRIJEM	PREVOD Z UCTU	4276	20950	DUCHOD	UV	15916598
477703	1628	1998-05-12	PRIJEM	PREVOD Z UCTU	4276	20281	DUCHOD	UV	15916598
477704	1628	1998-06-12	PRIJEM	PREVOD Z UCTU	4276	21773	DUCHOD	UV	15916598
477705	1628	1998-07-12	PRIJEM	PREVOD Z UCTU	4276	20229	DUCHOD	UV	15916598
477706	1628	1998-08-12	PRIJEM	PREVOD Z UCTU	4276	20599	DUCHOD	UV	15916598
477707	1628	1998-09-12	PRIJEM	PREVOD Z UCTU	4276	20569	DUCHOD	UV	15916598
477708	1628	1998-10-12	PRIJEM	PREVOD Z UCTU	4276	22062	DUCHOD	UV	15916598
477709	1628	1998-11-12	PRIJEM	PREVOD Z UCTU	4276	23560	DUCHOD	UV	15916598
477710	1628	1998-12-12	PRIJEM	PREVOD Z UCTU	4276	25065	DUCHOD	UV	15916598
477716	1628	1993-06-06	VYDAJ	PREVOD NA UCET	2850	19314	SIPO	AB	57004982
477717	1628	1993-07-06	VYDAJ	PREVOD NA UCET	2850	11300	SIPO	AB	57004982
477718	1628	1993-08-06	VYDAJ	PREVOD NA UCET	2850	12775	SIPO	AB	57004982
477719	1628	1993-09-06	VYDAJ	PREVOD NA UCET	2850	14255	SIPO	AB	57004982
477720	1628	1993-10-06	VYDAJ	PREVOD NA UCET	2850	15741	SIPO	AB	57004982
477721	1628	1993-11-06	VYDAJ	PREVOD NA UCET	2850	17234	SIPO	AB	57004982
477722	1628	1993-12-06	VYDAJ	PREVOD NA UCET	2850	16888	SIPO	AB	57004982
477723	1628	1994-01-06	VYDAJ	PREVOD NA UCET	2850	17184	SIPO	AB	57004982
477724	1628	1994-02-06	VYDAJ	PREVOD NA UCET	2850	11569	SIPO	AB	57004982
477725	1628	1994-03-06	VYDAJ	PREVOD NA UCET	2850	13044	SIPO	AB	57004982
477726	1628	1994-04-06	VYDAJ	PREVOD NA UCET	2850	11238	SIPO	AB	57004982
477727	1628	1994-05-06	VYDAJ	PREVOD NA UCET	2850	12712	SIPO	AB	57004982
477728	1628	1994-06-06	VYDAJ	PREVOD NA UCET	2850	14192	SIPO	AB	57004982
477729	1628	1994-07-06	VYDAJ	PREVOD NA UCET	2850	12797	SIPO	AB	57004982
477730	1628	1994-08-06	VYDAJ	PREVOD NA UCET	2850	14277	SIPO	AB	57004982
477731	1628	1994-09-06	VYDAJ	PREVOD NA UCET	2850	15764	SIPO	AB	57004982
477732	1628	1994-10-06	VYDAJ	PREVOD NA UCET	2850	15736	SIPO	AB	57004982
477733	1628	1994-11-06	VYDAJ	PREVOD NA UCET	2850	17228	SIPO	AB	57004982
477734	1628	1994-12-06	VYDAJ	PREVOD NA UCET	2850	15947	SIPO	AB	57004982
477735	1628	1995-01-06	VYDAJ	PREVOD NA UCET	2850	14399	SIPO	AB	57004982
477736	1628	1995-02-06	VYDAJ	PREVOD NA UCET	2850	10757	SIPO	AB	57004982
477737	1628	1995-03-06	VYDAJ	PREVOD NA UCET	2850	12228	SIPO	AB	57004982
477738	1628	1995-04-06	VYDAJ	PREVOD NA UCET	2850	13706	SIPO	AB	57004982
477739	1628	1995-05-06	VYDAJ	PREVOD NA UCET	2850	15190	SIPO	AB	57004982
477740	1628	1995-06-06	VYDAJ	PREVOD NA UCET	2850	16680	SIPO	AB	57004982
477741	1628	1995-07-06	VYDAJ	PREVOD NA UCET	2850	14218	SIPO	AB	57004982
477742	1628	1995-08-06	VYDAJ	PREVOD NA UCET	2850	15063	SIPO	AB	57004982
477743	1628	1995-09-06	VYDAJ	PREVOD NA UCET	2850	16553	SIPO	AB	57004982
477744	1628	1995-10-06	VYDAJ	PREVOD NA UCET	2850	16688	SIPO	AB	57004982
477745	1628	1995-11-06	VYDAJ	PREVOD NA UCET	2850	14261	SIPO	AB	57004982
477746	1628	1995-12-06	VYDAJ	PREVOD NA UCET	2850	13025	SIPO	AB	57004982
477747	1628	1996-01-06	VYDAJ	PREVOD NA UCET	2850	13804	SIPO	AB	57004982
477748	1628	1996-02-06	VYDAJ	PREVOD NA UCET	2850	12482	SIPO	AB	57004982
477749	1628	1996-03-06	VYDAJ	PREVOD NA UCET	2850	12360	SIPO	AB	57004982
477750	1628	1996-04-06	VYDAJ	PREVOD NA UCET	2850	13838	SIPO	AB	57004982
477751	1628	1996-05-06	VYDAJ	PREVOD NA UCET	2850	15322	SIPO	AB	57004982
477877	1628	1993-09-30	VYDAJ	VYBER	15	18591	SLUZBY	\N	\N
477752	1628	1996-06-06	VYDAJ	PREVOD NA UCET	2850	16812	SIPO	AB	57004982
477753	1628	1996-07-06	VYDAJ	PREVOD NA UCET	2850	14252	SIPO	AB	57004982
477754	1628	1996-08-06	VYDAJ	PREVOD NA UCET	2850	13973	SIPO	AB	57004982
477755	1628	1996-09-06	VYDAJ	PREVOD NA UCET	2850	15457	SIPO	AB	57004982
477756	1628	1996-10-06	VYDAJ	PREVOD NA UCET	2850	14787	SIPO	AB	57004982
477757	1628	1996-11-06	VYDAJ	PREVOD NA UCET	2850	16275	SIPO	AB	57004982
477758	1628	1996-12-06	VYDAJ	PREVOD NA UCET	2850	16769	SIPO	AB	57004982
477759	1628	1997-01-06	VYDAJ	PREVOD NA UCET	2850	16123	SIPO	AB	57004982
477760	1628	1997-02-06	VYDAJ	PREVOD NA UCET	2850	12967	SIPO	AB	57004982
477761	1628	1997-03-06	VYDAJ	PREVOD NA UCET	2850	14447	SIPO	AB	57004982
477762	1628	1997-04-06	VYDAJ	PREVOD NA UCET	2850	15933	SIPO	AB	57004982
477763	1628	1997-05-06	VYDAJ	PREVOD NA UCET	2850	17025	SIPO	AB	57004982
477764	1628	1997-06-06	VYDAJ	PREVOD NA UCET	2850	18520	SIPO	AB	57004982
477765	1628	1997-07-06	VYDAJ	PREVOD NA UCET	2850	20022	SIPO	AB	57004982
477766	1628	1997-08-06	VYDAJ	PREVOD NA UCET	2850	21531	SIPO	AB	57004982
477767	1628	1997-09-06	VYDAJ	PREVOD NA UCET	2850	23047	SIPO	AB	57004982
477768	1628	1997-10-06	VYDAJ	PREVOD NA UCET	2850	20479	SIPO	AB	57004982
477769	1628	1997-11-06	VYDAJ	PREVOD NA UCET	2850	21990	SIPO	AB	57004982
477770	1628	1997-12-06	VYDAJ	PREVOD NA UCET	2850	23506	SIPO	AB	57004982
477771	1628	1998-01-06	VYDAJ	PREVOD NA UCET	2850	17028	SIPO	AB	57004982
477772	1628	1998-02-06	VYDAJ	PREVOD NA UCET	2850	13703	SIPO	AB	57004982
477773	1628	1998-03-06	VYDAJ	PREVOD NA UCET	2850	15185	SIPO	AB	57004982
477774	1628	1998-04-06	VYDAJ	PREVOD NA UCET	2850	16674	SIPO	AB	57004982
477775	1628	1998-05-06	VYDAJ	PREVOD NA UCET	2850	16005	SIPO	AB	57004982
477776	1628	1998-06-06	VYDAJ	PREVOD NA UCET	2850	17497	SIPO	AB	57004982
477777	1628	1998-07-06	VYDAJ	PREVOD NA UCET	2850	15953	SIPO	AB	57004982
477778	1628	1998-08-06	VYDAJ	PREVOD NA UCET	2850	16323	SIPO	AB	57004982
477779	1628	1998-09-06	VYDAJ	PREVOD NA UCET	2850	16293	SIPO	AB	57004982
477780	1628	1998-10-06	VYDAJ	PREVOD NA UCET	2850	17786	SIPO	AB	57004982
477781	1628	1998-11-06	VYDAJ	PREVOD NA UCET	2850	19284	SIPO	AB	57004982
477782	1628	1998-12-06	VYDAJ	PREVOD NA UCET	2850	20789	SIPO	AB	57004982
477783	1628	1993-06-15	VYDAJ	VYBER	9500	14090	\N	\N	\N
477785	1628	1995-06-17	VYDAJ	VYBER	3950	17006	\N	\N	\N
477786	1628	1996-06-19	VYDAJ	VYBER	4050	17038	\N	\N	\N
477790	1628	1994-01-10	VYDAJ	VYBER	1900	14644	\N	\N	\N
477793	1628	1997-01-01	VYDAJ	VYBER	700	18973	\N	\N	\N
477794	1628	1998-01-12	VYDAJ	VYBER	3850	17454	\N	\N	\N
477795	1628	1993-12-24	VYDAJ	VYBER	1200	19964	\N	\N	\N
477796	1628	1994-12-04	VYDAJ	VYBER	1100	18797	\N	\N	\N
477797	1628	1995-12-13	VYDAJ	VYBER	700	16601	\N	\N	\N
477798	1628	1996-12-02	VYDAJ	VYBER	1000	19619	\N	\N	\N
477799	1628	1997-12-09	VYDAJ	VYBER	1350	22156	\N	\N	\N
477800	1628	1998-12-15	VYDAJ	VYBER	1400	23665	\N	\N	\N
477807	1628	1994-01-26	VYDAJ	VYBER	880	15560	\N	\N	\N
477808	1628	1994-01-10	VYDAJ	VYBER	640	16544	\N	\N	\N
477809	1628	1994-01-20	VYDAJ	VYBER	880	16440	\N	\N	\N
477810	1628	1994-01-16	VYDAJ	VYBER	1600	17320	\N	\N	\N
477812	1628	1994-01-27	VYDAJ	VYBER	1200	14360	\N	\N	\N
477814	1628	1995-01-02	VYDAJ	VYBER	2320	17969	\N	\N	\N
477815	1628	1995-01-14	VYDAJ	VYBER	1920	14595	\N	\N	\N
477816	1628	1995-01-14	VYDAJ	VYBER	2160	16515	\N	\N	\N
477817	1628	1995-01-24	VYDAJ	VYBER	1040	13555	\N	\N	\N
477818	1628	1995-01-05	VYDAJ	VYBER	720	17249	\N	\N	\N
477822	1628	1996-01-19	VYDAJ	VYBER	480	15280	\N	\N	\N
477824	1628	1996-01-17	VYDAJ	VYBER	2320	15760	\N	\N	\N
477825	1628	1997-01-01	VYDAJ	VYBER	640	19673	\N	\N	\N
477826	1628	1997-01-20	VYDAJ	VYBER	1120	17839	\N	\N	\N
477827	1628	1997-01-01	VYDAJ	VYBER	800	20313	\N	\N	\N
477828	1628	1997-01-09	VYDAJ	VYBER	640	15483	\N	\N	\N
477829	1628	1997-01-23	VYDAJ	VYBER	2080	15759	\N	\N	\N
477830	1628	1997-01-20	VYDAJ	VYBER	800	18959	\N	\N	\N
477836	1628	1998-01-25	VYDAJ	VYBER	960	16494	\N	\N	\N
477838	1628	1993-11-13	VYDAJ	VYBER	1840	19670	\N	\N	\N
477839	1628	1994-06-29	VYDAJ	VYBER	2880	15588	\N	\N	\N
477840	1628	1994-03-16	VYDAJ	VYBER	3280	14040	\N	\N	\N
477842	1628	1994-12-03	VYDAJ	VYBER	1680	19897	\N	\N	\N
477843	1628	1994-09-29	VYDAJ	VYBER	1520	18520	\N	\N	\N
477845	1628	1995-07-21	VYDAJ	VYBER	640	17854	\N	\N	\N
477846	1628	1995-11-26	VYDAJ	VYBER	2720	15817	\N	\N	\N
477848	1628	1995-10-21	VYDAJ	VYBER	3920	17044	\N	\N	\N
477849	1628	1995-09-30	VYDAJ	VYBER	1360	19538	\N	\N	\N
477850	1628	1996-09-12	VYDAJ	VYBER	2160	17573	\N	\N	\N
477851	1628	1996-02-12	VYDAJ	VYBER	1600	15158	\N	\N	\N
477853	1628	1996-07-13	VYDAJ	VYBER	1760	16768	\N	\N	\N
477857	1628	1997-05-06	VYDAJ	VYBER	400	19875	\N	\N	\N
477858	1628	1997-09-14	VYDAJ	VYBER	3520	23803	\N	\N	\N
477859	1628	1997-12-27	VYDAJ	VYBER	3120	19792	\N	\N	\N
477860	1628	1997-09-21	VYDAJ	VYBER	560	23243	\N	\N	\N
477861	1628	1997-12-24	VYDAJ	VYBER	3520	22912	\N	\N	\N
477862	1628	1998-08-17	VYDAJ	VYBER	1520	19079	\N	\N	\N
477863	1628	1998-07-29	VYDAJ	VYBER	1120	19109	\N	\N	\N
477864	1628	1998-12-26	VYDAJ	VYBER	3920	19745	\N	\N	\N
477866	1628	1998-04-22	VYDAJ	VYBER	2160	18790	\N	\N	\N
477867	1628	1998-06-26	VYDAJ	VYBER	3040	18733	\N	\N	\N
477873	1628	1993-05-31	VYDAJ	VYBER	15	22164	SLUZBY	\N	\N
477874	1628	1993-06-30	VYDAJ	VYBER	15	14150	SLUZBY	\N	\N
477875	1628	1993-07-31	VYDAJ	VYBER	15	15625	SLUZBY	\N	\N
477876	1628	1993-08-31	VYDAJ	VYBER	15	17105	SLUZBY	\N	\N
477878	1628	1993-10-31	VYDAJ	VYBER	15	20084	SLUZBY	\N	\N
477879	1628	1993-11-30	VYDAJ	VYBER	15	19738	SLUZBY	\N	\N
477880	1628	1993-12-31	VYDAJ	VYBER	15	20034	SLUZBY	\N	\N
477881	1628	1994-01-31	VYDAJ	VYBER	15	14419	SLUZBY	\N	\N
477882	1628	1994-02-28	VYDAJ	VYBER	15	15894	SLUZBY	\N	\N
477883	1628	1994-03-31	VYDAJ	VYBER	15	14088	SLUZBY	\N	\N
477884	1628	1994-04-30	VYDAJ	VYBER	15	15562	SLUZBY	\N	\N
477885	1628	1994-05-31	VYDAJ	VYBER	15	17042	SLUZBY	\N	\N
477886	1628	1994-06-30	VYDAJ	VYBER	15	15647	SLUZBY	\N	\N
477887	1628	1994-07-31	VYDAJ	VYBER	15	17127	SLUZBY	\N	\N
477888	1628	1994-08-31	VYDAJ	VYBER	15	18614	SLUZBY	\N	\N
477889	1628	1994-09-30	VYDAJ	VYBER	15	18586	SLUZBY	\N	\N
477890	1628	1994-10-31	VYDAJ	VYBER	15	20078	SLUZBY	\N	\N
477891	1628	1994-11-30	VYDAJ	VYBER	15	21577	SLUZBY	\N	\N
477892	1628	1994-12-31	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
477893	1628	1995-01-31	VYDAJ	VYBER	15	13607	SLUZBY	\N	\N
477894	1628	1995-02-28	VYDAJ	VYBER	15	15078	SLUZBY	\N	\N
477895	1628	1995-03-31	VYDAJ	VYBER	15	16556	SLUZBY	\N	\N
477896	1628	1995-04-30	VYDAJ	VYBER	15	18040	SLUZBY	\N	\N
477897	1628	1995-05-31	VYDAJ	VYBER	15	19530	SLUZBY	\N	\N
477898	1628	1995-06-30	VYDAJ	VYBER	15	17068	SLUZBY	\N	\N
477899	1628	1995-07-31	VYDAJ	VYBER	15	17913	SLUZBY	\N	\N
477900	1628	1995-08-31	VYDAJ	VYBER	15	19403	SLUZBY	\N	\N
477901	1628	1995-09-30	VYDAJ	VYBER	15	20898	SLUZBY	\N	\N
477902	1628	1995-10-31	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
477903	1628	1995-11-30	VYDAJ	VYBER	15	15875	SLUZBY	\N	\N
477904	1628	1995-12-31	VYDAJ	VYBER	15	16654	SLUZBY	\N	\N
477905	1628	1996-01-31	VYDAJ	VYBER	15	15332	SLUZBY	\N	\N
477906	1628	1996-02-29	VYDAJ	VYBER	15	15210	SLUZBY	\N	\N
477907	1628	1996-03-31	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
477908	1628	1996-04-30	VYDAJ	VYBER	15	18172	SLUZBY	\N	\N
477909	1628	1996-05-31	VYDAJ	VYBER	15	19662	SLUZBY	\N	\N
477910	1628	1996-06-30	VYDAJ	VYBER	15	17102	SLUZBY	\N	\N
477911	1628	1996-07-31	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
477912	1628	1996-08-31	VYDAJ	VYBER	15	18307	SLUZBY	\N	\N
477913	1628	1996-09-30	VYDAJ	VYBER	15	17637	SLUZBY	\N	\N
477914	1628	1996-10-31	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
477915	1628	1996-11-30	VYDAJ	VYBER	15	20619	SLUZBY	\N	\N
477916	1628	1996-12-31	VYDAJ	VYBER	15	21113	SLUZBY	\N	\N
477917	1628	1997-01-31	VYDAJ	VYBER	15	15817	SLUZBY	\N	\N
477918	1628	1997-02-28	VYDAJ	VYBER	15	17297	SLUZBY	\N	\N
477919	1628	1997-03-31	VYDAJ	VYBER	15	18783	SLUZBY	\N	\N
477920	1628	1997-04-30	VYDAJ	VYBER	15	20275	SLUZBY	\N	\N
477921	1628	1997-05-31	VYDAJ	VYBER	15	21370	SLUZBY	\N	\N
477922	1628	1997-06-30	VYDAJ	VYBER	15	22872	SLUZBY	\N	\N
477923	1628	1997-07-31	VYDAJ	VYBER	15	24381	SLUZBY	\N	\N
477924	1628	1997-08-31	VYDAJ	VYBER	15	25897	SLUZBY	\N	\N
477925	1628	1997-09-30	VYDAJ	VYBER	15	23329	SLUZBY	\N	\N
477926	1628	1997-10-31	VYDAJ	VYBER	15	24840	SLUZBY	\N	\N
477927	1628	1997-11-30	VYDAJ	VYBER	15	26356	SLUZBY	\N	\N
477928	1628	1997-12-31	VYDAJ	VYBER	15	19878	SLUZBY	\N	\N
477929	1628	1998-01-31	VYDAJ	VYBER	15	16553	SLUZBY	\N	\N
477930	1628	1998-02-28	VYDAJ	VYBER	15	18035	SLUZBY	\N	\N
477931	1628	1998-03-31	VYDAJ	VYBER	15	19524	SLUZBY	\N	\N
477932	1628	1998-04-30	VYDAJ	VYBER	15	18855	SLUZBY	\N	\N
477933	1628	1998-05-31	VYDAJ	VYBER	15	20347	SLUZBY	\N	\N
477934	1628	1998-06-30	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
477935	1628	1998-07-31	VYDAJ	VYBER	15	19173	SLUZBY	\N	\N
477936	1628	1998-08-31	VYDAJ	VYBER	15	19143	SLUZBY	\N	\N
477937	1628	1998-09-30	VYDAJ	VYBER	15	20636	SLUZBY	\N	\N
477938	1628	1998-10-31	VYDAJ	VYBER	15	22134	SLUZBY	\N	\N
477939	1628	1998-11-30	VYDAJ	VYBER	15	23639	SLUZBY	\N	\N
478012	1629	1995-11-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
478023	1629	1995-11-07	PRIJEM	PREVOD Z UCTU	5264	6264	DUCHOD	IJ	37585598
478024	1629	1995-12-07	PRIJEM	PREVOD Z UCTU	5264	11549	DUCHOD	IJ	37585598
478025	1629	1996-01-07	PRIJEM	PREVOD Z UCTU	5264	16839	DUCHOD	IJ	37585598
478026	1629	1996-02-07	PRIJEM	PREVOD Z UCTU	5264	22129	DUCHOD	IJ	37585598
478027	1629	1996-03-07	PRIJEM	PREVOD Z UCTU	5264	26219	DUCHOD	IJ	37585598
478028	1629	1996-04-07	PRIJEM	PREVOD Z UCTU	5264	28416	DUCHOD	IJ	37585598
478029	1629	1996-05-07	PRIJEM	PREVOD Z UCTU	5264	29231	DUCHOD	IJ	37585598
478030	1629	1996-06-07	PRIJEM	PREVOD Z UCTU	5264	26398	DUCHOD	IJ	37585598
478031	1629	1996-07-07	PRIJEM	PREVOD Z UCTU	5264	18025	DUCHOD	IJ	37585598
478032	1629	1996-08-07	PRIJEM	PREVOD Z UCTU	5264	20197	DUCHOD	IJ	37585598
478033	1629	1996-09-07	PRIJEM	PREVOD Z UCTU	5264	22378	DUCHOD	IJ	37585598
478034	1629	1996-10-07	PRIJEM	PREVOD Z UCTU	5264	24568	DUCHOD	IJ	37585598
478035	1629	1996-11-07	PRIJEM	PREVOD Z UCTU	5264	26267	DUCHOD	IJ	37585598
478036	1629	1996-12-07	PRIJEM	PREVOD Z UCTU	5264	26572	DUCHOD	IJ	37585598
478037	1629	1997-01-07	PRIJEM	PREVOD Z UCTU	5264	20531	DUCHOD	IJ	37585598
478038	1629	1997-02-07	PRIJEM	PREVOD Z UCTU	5264	19672	DUCHOD	IJ	37585598
478039	1629	1997-03-07	PRIJEM	PREVOD Z UCTU	5264	19767	DUCHOD	IJ	37585598
478040	1629	1997-04-07	PRIJEM	PREVOD Z UCTU	5264	18416	DUCHOD	IJ	37585598
478041	1629	1997-05-07	PRIJEM	PREVOD Z UCTU	5264	20589	DUCHOD	IJ	37585598
478042	1629	1997-06-07	PRIJEM	PREVOD Z UCTU	5264	22772	DUCHOD	IJ	37585598
478043	1629	1997-07-07	PRIJEM	PREVOD Z UCTU	5264	21113	DUCHOD	IJ	37585598
478044	1629	1997-08-07	PRIJEM	PREVOD Z UCTU	5264	20248	DUCHOD	IJ	37585598
478045	1629	1997-09-07	PRIJEM	PREVOD Z UCTU	5264	20989	DUCHOD	IJ	37585598
478046	1629	1997-10-07	PRIJEM	PREVOD Z UCTU	5264	20457	DUCHOD	IJ	37585598
478047	1629	1997-11-07	PRIJEM	PREVOD Z UCTU	5264	21838	DUCHOD	IJ	37585598
478048	1629	1997-12-07	PRIJEM	PREVOD Z UCTU	5264	24025	DUCHOD	IJ	37585598
478049	1629	1998-01-07	PRIJEM	PREVOD Z UCTU	5264	20459	DUCHOD	IJ	37585598
478050	1629	1998-02-07	PRIJEM	PREVOD Z UCTU	5264	18874	DUCHOD	IJ	37585598
478051	1629	1998-03-07	PRIJEM	PREVOD Z UCTU	5264	21049	DUCHOD	IJ	37585598
478052	1629	1998-04-07	PRIJEM	PREVOD Z UCTU	5264	19073	DUCHOD	IJ	37585598
478053	1629	1998-05-07	PRIJEM	PREVOD Z UCTU	5264	21253	DUCHOD	IJ	37585598
478054	1629	1998-06-07	PRIJEM	PREVOD Z UCTU	5264	20876	DUCHOD	IJ	37585598
478055	1629	1998-07-07	PRIJEM	PREVOD Z UCTU	5264	23060	DUCHOD	IJ	37585598
478056	1629	1998-08-07	PRIJEM	PREVOD Z UCTU	5264	25252	DUCHOD	IJ	37585598
478057	1629	1998-09-07	PRIJEM	PREVOD Z UCTU	5264	27453	DUCHOD	IJ	37585598
478058	1629	1998-10-07	PRIJEM	PREVOD Z UCTU	5264	29022	DUCHOD	IJ	37585598
478059	1629	1998-11-07	PRIJEM	PREVOD Z UCTU	5264	31239	DUCHOD	IJ	37585598
478060	1629	1998-12-07	PRIJEM	PREVOD Z UCTU	5264	33465	DUCHOD	IJ	37585598
478075	1629	1996-03-10	VYDAJ	PREVOD NA UCET	3137	23082	SIPO	WX	6837058
478076	1629	1996-04-10	VYDAJ	PREVOD NA UCET	3137	25279	SIPO	WX	6837058
478077	1629	1996-05-10	VYDAJ	PREVOD NA UCET	3137	21694	SIPO	WX	6837058
478078	1629	1996-06-10	VYDAJ	PREVOD NA UCET	3137	23261	SIPO	WX	6837058
478079	1629	1996-07-10	VYDAJ	PREVOD NA UCET	3137	14888	SIPO	WX	6837058
478080	1629	1996-08-10	VYDAJ	PREVOD NA UCET	3137	17060	SIPO	WX	6837058
478081	1629	1996-09-10	VYDAJ	PREVOD NA UCET	3137	19241	SIPO	WX	6837058
478082	1629	1996-10-10	VYDAJ	PREVOD NA UCET	3137	21431	SIPO	WX	6837058
478083	1629	1996-11-10	VYDAJ	PREVOD NA UCET	3137	23130	SIPO	WX	6837058
478084	1629	1996-12-10	VYDAJ	PREVOD NA UCET	3137	19755	SIPO	WX	6837058
478085	1629	1997-01-10	VYDAJ	PREVOD NA UCET	3137	17394	SIPO	WX	6837058
478086	1629	1997-02-10	VYDAJ	PREVOD NA UCET	3137	16535	SIPO	WX	6837058
478087	1629	1997-03-10	VYDAJ	PREVOD NA UCET	3137	13110	SIPO	WX	6837058
478088	1629	1997-04-10	VYDAJ	PREVOD NA UCET	3137	15279	SIPO	WX	6837058
478089	1629	1997-05-10	VYDAJ	PREVOD NA UCET	3137	17452	SIPO	WX	6837058
478090	1629	1997-06-10	VYDAJ	PREVOD NA UCET	3137	19635	SIPO	WX	6837058
478091	1629	1997-07-10	VYDAJ	PREVOD NA UCET	3137	14936	SIPO	WX	6837058
478092	1629	1997-08-10	VYDAJ	PREVOD NA UCET	3137	17111	SIPO	WX	6837058
478093	1629	1997-09-10	VYDAJ	PREVOD NA UCET	3137	15132	SIPO	WX	6837058
478094	1629	1997-10-10	VYDAJ	PREVOD NA UCET	3137	17320	SIPO	WX	6837058
478095	1629	1997-11-10	VYDAJ	PREVOD NA UCET	3137	18701	SIPO	WX	6837058
478096	1629	1997-12-10	VYDAJ	PREVOD NA UCET	3137	20888	SIPO	WX	6837058
478097	1629	1998-01-10	VYDAJ	PREVOD NA UCET	3137	17322	SIPO	WX	6837058
478098	1629	1998-02-10	VYDAJ	PREVOD NA UCET	3137	15737	SIPO	WX	6837058
478099	1629	1998-03-10	VYDAJ	PREVOD NA UCET	3137	17912	SIPO	WX	6837058
478100	1629	1998-04-10	VYDAJ	PREVOD NA UCET	3137	15936	SIPO	WX	6837058
478101	1629	1998-05-10	VYDAJ	PREVOD NA UCET	3137	18116	SIPO	WX	6837058
478102	1629	1998-06-10	VYDAJ	PREVOD NA UCET	3137	17739	SIPO	WX	6837058
478103	1629	1998-07-10	VYDAJ	PREVOD NA UCET	3137	19923	SIPO	WX	6837058
478104	1629	1998-08-10	VYDAJ	PREVOD NA UCET	3137	22115	SIPO	WX	6837058
478105	1629	1998-09-10	VYDAJ	PREVOD NA UCET	3137	24316	SIPO	WX	6837058
478106	1629	1998-10-10	VYDAJ	PREVOD NA UCET	3137	25885	SIPO	WX	6837058
478107	1629	1998-11-10	VYDAJ	PREVOD NA UCET	3137	28102	SIPO	WX	6837058
478108	1629	1998-12-10	VYDAJ	PREVOD NA UCET	3137	30328	SIPO	WX	6837058
478110	1629	1996-06-11	VYDAJ	VYBER	10550	12711	\N	\N	\N
478114	1629	1996-12-06	VYDAJ	VYBER	800	21308	\N	\N	\N
478115	1629	1997-12-13	VYDAJ	VYBER	1200	19688	\N	\N	\N
478116	1629	1998-12-22	VYDAJ	VYBER	350	29978	\N	\N	\N
478129	1629	1997-01-15	VYDAJ	VYBER	480	16914	\N	\N	\N
478130	1629	1997-01-25	VYDAJ	VYBER	720	14354	\N	\N	\N
478131	1629	1997-01-06	VYDAJ	VYBER	1040	15267	\N	\N	\N
478132	1629	1997-01-05	VYDAJ	VYBER	1600	16307	\N	\N	\N
478133	1629	1997-01-03	VYDAJ	VYBER	1920	17907	\N	\N	\N
478134	1629	1997-01-16	VYDAJ	VYBER	1840	15074	\N	\N	\N
478138	1629	1998-01-04	VYDAJ	VYBER	1360	15195	\N	\N	\N
478139	1629	1998-01-01	VYDAJ	VYBER	1200	18555	\N	\N	\N
478140	1629	1998-01-01	VYDAJ	VYBER	2000	16555	\N	\N	\N
478145	1629	1996-05-10	VYDAJ	VYBER	3360	24831	\N	\N	\N
478146	1629	1996-12-09	VYDAJ	VYBER	3680	22892	\N	\N	\N
478147	1629	1996-05-25	VYDAJ	VYBER	640	21054	\N	\N	\N
478148	1629	1996-05-08	VYDAJ	VYBER	1040	28191	\N	\N	\N
478150	1629	1997-09-06	VYDAJ	VYBER	1440	15725	\N	\N	\N
478151	1629	1997-02-19	VYDAJ	VYBER	2080	14455	\N	\N	\N
478152	1629	1997-07-10	VYDAJ	VYBER	3040	18073	\N	\N	\N
478153	1629	1997-06-12	VYDAJ	VYBER	3840	15795	\N	\N	\N
478154	1629	1997-10-21	VYDAJ	VYBER	800	16520	\N	\N	\N
478155	1629	1997-03-09	VYDAJ	VYBER	3520	16247	\N	\N	\N
478156	1629	1997-09-10	VYDAJ	VYBER	2720	18269	\N	\N	\N
478157	1629	1998-05-28	VYDAJ	VYBER	2560	15556	\N	\N	\N
478158	1629	1998-01-14	VYDAJ	VYBER	3760	13562	\N	\N	\N
478159	1629	1998-03-31	VYDAJ	VYBER	1040	16943	\N	\N	\N
478160	1629	1998-04-06	VYDAJ	VYBER	3120	13809	\N	\N	\N
478161	1629	1998-09-16	VYDAJ	VYBER	640	23676	\N	\N	\N
478177	1629	1996-03-31	VYDAJ	VYBER	15	23152	SLUZBY	\N	\N
478178	1629	1996-04-30	VYDAJ	VYBER	15	25367	SLUZBY	\N	\N
478179	1629	1996-05-31	VYDAJ	VYBER	15	21134	SLUZBY	\N	\N
478180	1629	1996-06-30	VYDAJ	VYBER	15	12761	SLUZBY	\N	\N
478181	1629	1996-07-31	VYDAJ	VYBER	15	14933	SLUZBY	\N	\N
478182	1629	1996-08-31	VYDAJ	VYBER	15	17114	SLUZBY	\N	\N
478183	1629	1996-09-30	VYDAJ	VYBER	15	19304	SLUZBY	\N	\N
478184	1629	1996-10-31	VYDAJ	VYBER	15	21003	SLUZBY	\N	\N
478185	1629	1996-11-30	VYDAJ	VYBER	15	22108	SLUZBY	\N	\N
478186	1629	1996-12-31	VYDAJ	VYBER	15	19827	SLUZBY	\N	\N
478187	1629	1997-01-31	VYDAJ	VYBER	15	14408	SLUZBY	\N	\N
478188	1629	1997-02-28	VYDAJ	VYBER	15	14503	SLUZBY	\N	\N
478189	1629	1997-03-31	VYDAJ	VYBER	15	13152	SLUZBY	\N	\N
478190	1629	1997-04-30	VYDAJ	VYBER	15	15325	SLUZBY	\N	\N
478191	1629	1997-05-31	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
478192	1629	1997-06-30	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
478193	1629	1997-07-31	VYDAJ	VYBER	15	14984	SLUZBY	\N	\N
478194	1629	1997-08-31	VYDAJ	VYBER	15	17165	SLUZBY	\N	\N
478195	1629	1997-09-30	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
478196	1629	1997-10-31	VYDAJ	VYBER	15	16574	SLUZBY	\N	\N
478197	1629	1997-11-30	VYDAJ	VYBER	15	18761	SLUZBY	\N	\N
478198	1629	1997-12-31	VYDAJ	VYBER	15	19755	SLUZBY	\N	\N
478199	1629	1998-01-31	VYDAJ	VYBER	15	13610	SLUZBY	\N	\N
478200	1629	1998-02-28	VYDAJ	VYBER	15	15785	SLUZBY	\N	\N
478201	1629	1998-03-31	VYDAJ	VYBER	15	16929	SLUZBY	\N	\N
478202	1629	1998-04-30	VYDAJ	VYBER	15	15989	SLUZBY	\N	\N
478203	1629	1998-05-31	VYDAJ	VYBER	15	15612	SLUZBY	\N	\N
478204	1629	1998-06-30	VYDAJ	VYBER	15	17796	SLUZBY	\N	\N
478205	1629	1998-07-31	VYDAJ	VYBER	15	19988	SLUZBY	\N	\N
478206	1629	1998-08-31	VYDAJ	VYBER	15	22189	SLUZBY	\N	\N
478207	1629	1998-09-30	VYDAJ	VYBER	15	23758	SLUZBY	\N	\N
478208	1629	1998-10-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
478209	1629	1998-11-30	VYDAJ	VYBER	15	28201	SLUZBY	\N	\N
478210	1629	1996-03-01	VYDAJ	VYBER	1200	20955	\N	\N	\N
478211	1629	1996-04-30	VYDAJ	VYBER	1400	23967	\N	\N	\N
478212	1629	1996-10-27	VYDAJ	VYBER	500	20931	\N	\N	\N
478213	1629	1996-11-26	VYDAJ	VYBER	1100	22030	\N	\N	\N
478252	1630	1993-07-28	PRIJEM	VKLAD	900	900	\N	\N	\N
478260	1630	1993-08-11	PRIJEM	PREVOD Z UCTU	5862	6762	DUCHOD	WX	42275017
478261	1630	1993-09-11	PRIJEM	PREVOD Z UCTU	5862	12624	DUCHOD	WX	42275017
478262	1630	1993-10-11	PRIJEM	PREVOD Z UCTU	5862	18486	DUCHOD	WX	42275017
478263	1630	1993-11-11	PRIJEM	PREVOD Z UCTU	5862	24348	DUCHOD	WX	42275017
478264	1630	1993-12-11	PRIJEM	PREVOD Z UCTU	5862	28029	DUCHOD	WX	42275017
478265	1630	1994-01-11	PRIJEM	PREVOD Z UCTU	5862	24685	DUCHOD	WX	42275017
478266	1630	1994-02-11	PRIJEM	PREVOD Z UCTU	5862	18587	DUCHOD	WX	42275017
478267	1630	1994-03-11	PRIJEM	PREVOD Z UCTU	5862	20914	DUCHOD	WX	42275017
478268	1630	1994-04-11	PRIJEM	PREVOD Z UCTU	5862	23250	DUCHOD	WX	42275017
478269	1630	1994-05-11	PRIJEM	PREVOD Z UCTU	5862	24795	DUCHOD	WX	42275017
478270	1630	1994-06-11	PRIJEM	PREVOD Z UCTU	5862	27147	DUCHOD	WX	42275017
478271	1630	1994-07-11	PRIJEM	PREVOD Z UCTU	5862	27708	DUCHOD	WX	42275017
478272	1630	1994-08-11	PRIJEM	PREVOD Z UCTU	5862	27970	DUCHOD	WX	42275017
478273	1630	1994-09-11	PRIJEM	PREVOD Z UCTU	5862	24349	DUCHOD	WX	42275017
478274	1630	1994-10-11	PRIJEM	PREVOD Z UCTU	5862	26699	DUCHOD	WX	42275017
478275	1630	1994-11-11	PRIJEM	PREVOD Z UCTU	5862	25855	DUCHOD	WX	42275017
478276	1630	1994-12-11	PRIJEM	PREVOD Z UCTU	5862	26461	DUCHOD	WX	42275017
478277	1630	1995-01-11	PRIJEM	PREVOD Z UCTU	5862	19473	DUCHOD	WX	42275017
478278	1630	1995-02-11	PRIJEM	PREVOD Z UCTU	5862	20282	DUCHOD	WX	42275017
478279	1630	1995-03-11	PRIJEM	PREVOD Z UCTU	5862	22615	DUCHOD	WX	42275017
478280	1630	1995-04-11	PRIJEM	PREVOD Z UCTU	5862	21911	DUCHOD	WX	42275017
478281	1630	1995-05-11	PRIJEM	PREVOD Z UCTU	5862	20429	DUCHOD	WX	42275017
478282	1630	1995-06-11	PRIJEM	PREVOD Z UCTU	5862	19637	DUCHOD	WX	42275017
478283	1630	1995-07-11	PRIJEM	PREVOD Z UCTU	5862	21968	DUCHOD	WX	42275017
478284	1630	1995-08-11	PRIJEM	PREVOD Z UCTU	5862	23908	DUCHOD	WX	42275017
478285	1630	1995-09-11	PRIJEM	PREVOD Z UCTU	5862	21991	DUCHOD	WX	42275017
478286	1630	1995-10-11	PRIJEM	PREVOD Z UCTU	5862	21044	DUCHOD	WX	42275017
478287	1630	1995-11-11	PRIJEM	PREVOD Z UCTU	5862	22980	DUCHOD	WX	42275017
478288	1630	1995-12-11	PRIJEM	PREVOD Z UCTU	5862	23122	DUCHOD	WX	42275017
478289	1630	1996-01-11	PRIJEM	PREVOD Z UCTU	5862	19599	DUCHOD	WX	42275017
478290	1630	1996-02-11	PRIJEM	PREVOD Z UCTU	5862	16127	DUCHOD	WX	42275017
478291	1630	1996-03-11	PRIJEM	PREVOD Z UCTU	5862	16036	DUCHOD	WX	42275017
478292	1630	1996-04-11	PRIJEM	PREVOD Z UCTU	5862	15245	DUCHOD	WX	42275017
478293	1630	1996-05-11	PRIJEM	PREVOD Z UCTU	5862	15051	DUCHOD	WX	42275017
478294	1630	1996-06-11	PRIJEM	PREVOD Z UCTU	5862	16561	DUCHOD	WX	42275017
478295	1630	1996-07-11	PRIJEM	PREVOD Z UCTU	5862	18879	DUCHOD	WX	42275017
478296	1630	1996-08-11	PRIJEM	PREVOD Z UCTU	5862	17897	DUCHOD	WX	42275017
478297	1630	1996-09-11	PRIJEM	PREVOD Z UCTU	5862	15820	DUCHOD	WX	42275017
478298	1630	1996-10-11	PRIJEM	PREVOD Z UCTU	5862	17334	DUCHOD	WX	42275017
478299	1630	1996-11-11	PRIJEM	PREVOD Z UCTU	5862	19655	DUCHOD	WX	42275017
478300	1630	1996-12-11	PRIJEM	PREVOD Z UCTU	5862	20385	DUCHOD	WX	42275017
478301	1630	1997-01-11	PRIJEM	PREVOD Z UCTU	5862	19007	DUCHOD	WX	42275017
478302	1630	1997-02-11	PRIJEM	PREVOD Z UCTU	5862	17095	DUCHOD	WX	42275017
478303	1630	1997-03-11	PRIJEM	PREVOD Z UCTU	5862	18714	DUCHOD	WX	42275017
478304	1630	1997-04-11	PRIJEM	PREVOD Z UCTU	5862	17350	DUCHOD	WX	42275017
478305	1630	1997-05-11	PRIJEM	PREVOD Z UCTU	5862	19671	DUCHOD	WX	42275017
478306	1630	1997-06-11	PRIJEM	PREVOD Z UCTU	5862	19501	DUCHOD	WX	42275017
478307	1630	1997-07-11	PRIJEM	PREVOD Z UCTU	5862	21830	DUCHOD	WX	42275017
478308	1630	1997-08-11	PRIJEM	PREVOD Z UCTU	5862	20469	DUCHOD	WX	42275017
478309	1630	1997-09-11	PRIJEM	PREVOD Z UCTU	5862	15003	DUCHOD	WX	42275017
478310	1630	1997-10-11	PRIJEM	PREVOD Z UCTU	5862	14915	DUCHOD	WX	42275017
478311	1630	1997-11-11	PRIJEM	PREVOD Z UCTU	5862	17024	DUCHOD	WX	42275017
478312	1630	1997-12-11	PRIJEM	PREVOD Z UCTU	5862	19341	DUCHOD	WX	42275017
478313	1630	1998-01-11	PRIJEM	PREVOD Z UCTU	5862	20629	DUCHOD	WX	42275017
478314	1630	1998-02-11	PRIJEM	PREVOD Z UCTU	5862	16437	DUCHOD	WX	42275017
478315	1630	1998-03-11	PRIJEM	PREVOD Z UCTU	5862	18751	DUCHOD	WX	42275017
478316	1630	1998-04-11	PRIJEM	PREVOD Z UCTU	5862	21077	DUCHOD	WX	42275017
478317	1630	1998-05-11	PRIJEM	PREVOD Z UCTU	5862	23412	DUCHOD	WX	42275017
478318	1630	1998-06-11	PRIJEM	PREVOD Z UCTU	5862	18257	DUCHOD	WX	42275017
478319	1630	1998-07-11	PRIJEM	PREVOD Z UCTU	5862	20583	DUCHOD	WX	42275017
478320	1630	1998-08-11	PRIJEM	PREVOD Z UCTU	5862	22916	DUCHOD	WX	42275017
478321	1630	1998-09-11	PRIJEM	PREVOD Z UCTU	5862	23019	DUCHOD	WX	42275017
478322	1630	1998-10-11	PRIJEM	PREVOD Z UCTU	5862	24804	DUCHOD	WX	42275017
478323	1630	1998-11-11	PRIJEM	PREVOD Z UCTU	5862	27153	DUCHOD	WX	42275017
478324	1630	1998-12-11	PRIJEM	PREVOD Z UCTU	5862	28864	DUCHOD	WX	42275017
478337	1630	1994-01-06	VYDAJ	PREVOD NA UCET	3595	20023	SIPO	WX	99400460
478338	1630	1994-02-06	VYDAJ	PREVOD NA UCET	3595	12725	SIPO	WX	99400460
478339	1630	1994-03-06	VYDAJ	PREVOD NA UCET	3595	15052	SIPO	WX	99400460
478340	1630	1994-04-06	VYDAJ	PREVOD NA UCET	3595	17388	SIPO	WX	99400460
478341	1630	1994-05-06	VYDAJ	PREVOD NA UCET	3595	18933	SIPO	WX	99400460
478342	1630	1994-06-06	VYDAJ	PREVOD NA UCET	3595	21285	SIPO	WX	99400460
478343	1630	1994-07-06	VYDAJ	PREVOD NA UCET	3595	21846	SIPO	WX	99400460
478344	1630	1994-08-06	VYDAJ	PREVOD NA UCET	3595	22108	SIPO	WX	99400460
478345	1630	1994-09-06	VYDAJ	PREVOD NA UCET	3595	18487	SIPO	WX	99400460
478346	1630	1994-10-06	VYDAJ	PREVOD NA UCET	3595	20837	SIPO	WX	99400460
478347	1630	1994-11-06	VYDAJ	PREVOD NA UCET	3595	19993	SIPO	WX	99400460
478348	1630	1994-12-06	VYDAJ	PREVOD NA UCET	3595	21749	SIPO	WX	99400460
478349	1630	1995-01-06	VYDAJ	PREVOD NA UCET	3595	17611	SIPO	WX	99400460
478350	1630	1995-02-06	VYDAJ	PREVOD NA UCET	3595	14420	SIPO	WX	99400460
478351	1630	1995-03-06	VYDAJ	PREVOD NA UCET	3595	16753	SIPO	WX	99400460
478352	1630	1995-04-06	VYDAJ	PREVOD NA UCET	3595	16049	SIPO	WX	99400460
478353	1630	1995-05-06	VYDAJ	PREVOD NA UCET	3595	17287	SIPO	WX	99400460
478354	1630	1995-06-06	VYDAJ	PREVOD NA UCET	3595	13775	SIPO	WX	99400460
478355	1630	1995-07-06	VYDAJ	PREVOD NA UCET	3595	16106	SIPO	WX	99400460
478356	1630	1995-08-06	VYDAJ	PREVOD NA UCET	3595	18046	SIPO	WX	99400460
478357	1630	1995-09-06	VYDAJ	PREVOD NA UCET	3595	16129	SIPO	WX	99400460
478358	1630	1995-10-06	VYDAJ	PREVOD NA UCET	3595	15182	SIPO	WX	99400460
478359	1630	1995-11-06	VYDAJ	PREVOD NA UCET	3595	17118	SIPO	WX	99400460
478360	1630	1995-12-06	VYDAJ	PREVOD NA UCET	3595	18460	SIPO	WX	99400460
478361	1630	1996-01-06	VYDAJ	PREVOD NA UCET	3595	14217	SIPO	WX	99400460
478362	1630	1996-02-06	VYDAJ	PREVOD NA UCET	3595	10265	SIPO	WX	99400460
478363	1630	1996-03-06	VYDAJ	PREVOD NA UCET	3595	10174	SIPO	WX	99400460
478364	1630	1996-04-06	VYDAJ	PREVOD NA UCET	3595	9383	SIPO	WX	99400460
478365	1630	1996-05-06	VYDAJ	PREVOD NA UCET	3595	9189	SIPO	WX	99400460
478366	1630	1996-06-06	VYDAJ	PREVOD NA UCET	3595	10699	SIPO	WX	99400460
478367	1630	1996-07-06	VYDAJ	PREVOD NA UCET	3595	13017	SIPO	WX	99400460
478368	1630	1996-08-06	VYDAJ	PREVOD NA UCET	3595	12035	SIPO	WX	99400460
478369	1630	1996-09-06	VYDAJ	PREVOD NA UCET	3595	9958	SIPO	WX	99400460
478370	1630	1996-10-06	VYDAJ	PREVOD NA UCET	3595	11472	SIPO	WX	99400460
478371	1630	1996-11-06	VYDAJ	PREVOD NA UCET	3595	13793	SIPO	WX	99400460
478372	1630	1996-12-06	VYDAJ	PREVOD NA UCET	3595	14523	SIPO	WX	99400460
478373	1630	1997-01-06	VYDAJ	PREVOD NA UCET	3595	13145	SIPO	WX	99400460
478374	1630	1997-02-06	VYDAJ	PREVOD NA UCET	3595	11233	SIPO	WX	99400460
478375	1630	1997-03-06	VYDAJ	PREVOD NA UCET	3595	13552	SIPO	WX	99400460
478376	1630	1997-04-06	VYDAJ	PREVOD NA UCET	3595	11488	SIPO	WX	99400460
478377	1630	1997-05-06	VYDAJ	PREVOD NA UCET	3595	13809	SIPO	WX	99400460
478378	1630	1997-06-06	VYDAJ	PREVOD NA UCET	3595	16139	SIPO	WX	99400460
478379	1630	1997-07-06	VYDAJ	PREVOD NA UCET	3595	15968	SIPO	WX	99400460
478380	1630	1997-08-06	VYDAJ	PREVOD NA UCET	3595	18307	SIPO	WX	99400460
478381	1630	1997-09-06	VYDAJ	PREVOD NA UCET	3595	9141	SIPO	WX	99400460
478382	1630	1997-10-06	VYDAJ	PREVOD NA UCET	3595	9053	SIPO	WX	99400460
478383	1630	1997-11-06	VYDAJ	PREVOD NA UCET	3595	11162	SIPO	WX	99400460
478384	1630	1997-12-06	VYDAJ	PREVOD NA UCET	3595	13479	SIPO	WX	99400460
478385	1630	1998-01-06	VYDAJ	PREVOD NA UCET	3595	14767	SIPO	WX	99400460
478386	1630	1998-02-06	VYDAJ	PREVOD NA UCET	3595	10575	SIPO	WX	99400460
478387	1630	1998-03-06	VYDAJ	PREVOD NA UCET	3595	12889	SIPO	WX	99400460
478388	1630	1998-04-06	VYDAJ	PREVOD NA UCET	3595	15215	SIPO	WX	99400460
478389	1630	1998-05-06	VYDAJ	PREVOD NA UCET	3595	17550	SIPO	WX	99400460
478390	1630	1998-06-06	VYDAJ	PREVOD NA UCET	3595	12395	SIPO	WX	99400460
478391	1630	1998-07-06	VYDAJ	PREVOD NA UCET	3595	14721	SIPO	WX	99400460
478392	1630	1998-08-06	VYDAJ	PREVOD NA UCET	3595	17054	SIPO	WX	99400460
478393	1630	1998-09-06	VYDAJ	PREVOD NA UCET	3595	19397	SIPO	WX	99400460
478394	1630	1998-10-06	VYDAJ	PREVOD NA UCET	3595	19502	SIPO	WX	99400460
478395	1630	1998-11-06	VYDAJ	PREVOD NA UCET	3595	21291	SIPO	WX	99400460
478396	1630	1998-12-06	VYDAJ	PREVOD NA UCET	3595	23002	SIPO	WX	99400460
478404	1630	1994-01-29	VYDAJ	VYBER	1800	16245	\N	\N	\N
478405	1630	1995-01-08	VYDAJ	VYBER	3600	14011	\N	\N	\N
478406	1630	1996-01-19	VYDAJ	VYBER	2550	13809	\N	\N	\N
478407	1630	1997-01-14	VYDAJ	VYBER	2150	16857	\N	\N	\N
478408	1630	1998-01-14	VYDAJ	VYBER	2250	15419	\N	\N	\N
478409	1630	1993-12-27	VYDAJ	VYBER	750	24179	\N	\N	\N
478410	1630	1994-12-07	VYDAJ	VYBER	1150	20599	\N	\N	\N
478411	1630	1995-12-09	VYDAJ	VYBER	1200	17260	\N	\N	\N
478412	1630	1996-12-27	VYDAJ	VYBER	750	19635	\N	\N	\N
478414	1630	1998-12-05	VYDAJ	VYBER	650	26597	\N	\N	\N
478421	1630	1994-01-20	VYDAJ	VYBER	2320	21485	\N	\N	\N
478422	1630	1994-01-24	VYDAJ	VYBER	1520	18045	\N	\N	\N
478423	1630	1994-01-22	VYDAJ	VYBER	1040	20445	\N	\N	\N
478424	1630	1994-01-15	VYDAJ	VYBER	880	23805	\N	\N	\N
478425	1630	1994-01-09	VYDAJ	VYBER	1200	18823	\N	\N	\N
478426	1630	1994-01-22	VYDAJ	VYBER	880	19565	\N	\N	\N
478427	1630	1995-01-05	VYDAJ	VYBER	880	21206	\N	\N	\N
478430	1630	1995-01-15	VYDAJ	VYBER	1120	18353	\N	\N	\N
478431	1630	1995-01-18	VYDAJ	VYBER	400	17953	\N	\N	\N
478432	1630	1995-01-08	VYDAJ	VYBER	400	13611	\N	\N	\N
478435	1630	1996-01-17	VYDAJ	VYBER	1440	16359	\N	\N	\N
478437	1630	1996-01-06	VYDAJ	VYBER	480	13737	\N	\N	\N
478438	1630	1996-01-04	VYDAJ	VYBER	1520	17812	\N	\N	\N
478440	1630	1997-01-17	VYDAJ	VYBER	1520	15337	\N	\N	\N
478441	1630	1997-01-21	VYDAJ	VYBER	560	14777	\N	\N	\N
478442	1630	1997-01-03	VYDAJ	VYBER	2160	17540	\N	\N	\N
478443	1630	1997-01-05	VYDAJ	VYBER	800	16740	\N	\N	\N
478446	1630	1998-01-01	VYDAJ	VYBER	1040	18362	\N	\N	\N
478447	1630	1998-01-11	VYDAJ	VYBER	800	17669	\N	\N	\N
478450	1630	1998-01-11	VYDAJ	VYBER	2160	18469	\N	\N	\N
478451	1630	1993-12-28	VYDAJ	VYBER	640	23539	\N	\N	\N
478457	1630	1994-12-22	VYDAJ	VYBER	2560	22001	\N	\N	\N
478458	1630	1994-04-17	VYDAJ	VYBER	800	22450	\N	\N	\N
478459	1630	1994-08-26	VYDAJ	VYBER	1680	21990	\N	\N	\N
478460	1630	1995-09-15	VYDAJ	VYBER	3280	18711	\N	\N	\N
478461	1630	1995-12-11	VYDAJ	VYBER	560	22562	\N	\N	\N
478462	1630	1995-08-31	VYDAJ	VYBER	1360	19738	\N	\N	\N
478463	1630	1995-03-12	VYDAJ	VYBER	3040	19575	\N	\N	\N
478465	1630	1995-07-22	VYDAJ	VYBER	400	21568	\N	\N	\N
478466	1630	1995-05-08	VYDAJ	VYBER	2720	14567	\N	\N	\N
478467	1630	1995-05-14	VYDAJ	VYBER	3120	17309	\N	\N	\N
478469	1630	1996-05-27	VYDAJ	VYBER	800	14251	\N	\N	\N
478470	1630	1996-09-26	VYDAJ	VYBER	800	15020	\N	\N	\N
478473	1630	1996-11-11	VYDAJ	VYBER	1600	18055	\N	\N	\N
478476	1630	1997-08-11	VYDAJ	VYBER	720	19749	\N	\N	\N
478477	1630	1997-08-26	VYDAJ	VYBER	480	19269	\N	\N	\N
478478	1630	1997-03-12	VYDAJ	VYBER	3680	15034	\N	\N	\N
478480	1630	1998-10-07	VYDAJ	VYBER	560	18942	\N	\N	\N
478481	1630	1998-12-12	VYDAJ	VYBER	1680	27184	\N	\N	\N
478482	1630	1998-09-10	VYDAJ	VYBER	2240	17157	\N	\N	\N
478495	1630	1993-12-31	VYDAJ	VYBER	15	23618	SLUZBY	\N	\N
478496	1630	1994-01-31	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
478497	1630	1994-02-28	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
478498	1630	1994-03-31	VYDAJ	VYBER	15	20983	SLUZBY	\N	\N
478499	1630	1994-04-30	VYDAJ	VYBER	15	22528	SLUZBY	\N	\N
478500	1630	1994-05-31	VYDAJ	VYBER	15	24880	SLUZBY	\N	\N
478501	1630	1994-06-30	VYDAJ	VYBER	15	25441	SLUZBY	\N	\N
478502	1630	1994-07-31	VYDAJ	VYBER	15	25703	SLUZBY	\N	\N
478503	1630	1994-08-31	VYDAJ	VYBER	15	22082	SLUZBY	\N	\N
478504	1630	1994-09-30	VYDAJ	VYBER	15	24432	SLUZBY	\N	\N
478505	1630	1994-10-31	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
478506	1630	1994-11-30	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
478507	1630	1994-12-31	VYDAJ	VYBER	15	22086	SLUZBY	\N	\N
478508	1630	1995-01-31	VYDAJ	VYBER	15	18015	SLUZBY	\N	\N
478509	1630	1995-02-28	VYDAJ	VYBER	15	20348	SLUZBY	\N	\N
478510	1630	1995-03-31	VYDAJ	VYBER	15	19644	SLUZBY	\N	\N
478511	1630	1995-04-30	VYDAJ	VYBER	15	20882	SLUZBY	\N	\N
478512	1630	1995-05-31	VYDAJ	VYBER	15	17370	SLUZBY	\N	\N
478513	1630	1995-06-30	VYDAJ	VYBER	15	19701	SLUZBY	\N	\N
478514	1630	1995-07-31	VYDAJ	VYBER	15	21641	SLUZBY	\N	\N
478515	1630	1995-08-31	VYDAJ	VYBER	15	19724	SLUZBY	\N	\N
478516	1630	1995-09-30	VYDAJ	VYBER	15	18777	SLUZBY	\N	\N
478517	1630	1995-10-31	VYDAJ	VYBER	15	20713	SLUZBY	\N	\N
478518	1630	1995-11-30	VYDAJ	VYBER	15	22055	SLUZBY	\N	\N
478519	1630	1995-12-31	VYDAJ	VYBER	15	19332	SLUZBY	\N	\N
478520	1630	1996-01-31	VYDAJ	VYBER	15	13860	SLUZBY	\N	\N
478521	1630	1996-02-29	VYDAJ	VYBER	15	13769	SLUZBY	\N	\N
478522	1630	1996-03-31	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
478523	1630	1996-04-30	VYDAJ	VYBER	15	12784	SLUZBY	\N	\N
478524	1630	1996-05-31	VYDAJ	VYBER	15	14294	SLUZBY	\N	\N
478525	1630	1996-06-30	VYDAJ	VYBER	15	16612	SLUZBY	\N	\N
478526	1630	1996-07-31	VYDAJ	VYBER	15	15630	SLUZBY	\N	\N
478527	1630	1996-08-31	VYDAJ	VYBER	15	13553	SLUZBY	\N	\N
478528	1630	1996-09-30	VYDAJ	VYBER	15	15067	SLUZBY	\N	\N
478529	1630	1996-10-31	VYDAJ	VYBER	15	17388	SLUZBY	\N	\N
478530	1630	1996-11-30	VYDAJ	VYBER	15	18118	SLUZBY	\N	\N
478531	1630	1996-12-31	VYDAJ	VYBER	15	19700	SLUZBY	\N	\N
478532	1630	1997-01-31	VYDAJ	VYBER	15	14828	SLUZBY	\N	\N
478533	1630	1997-02-28	VYDAJ	VYBER	15	17147	SLUZBY	\N	\N
478534	1630	1997-03-31	VYDAJ	VYBER	15	15083	SLUZBY	\N	\N
478535	1630	1997-04-30	VYDAJ	VYBER	15	17404	SLUZBY	\N	\N
478536	1630	1997-05-31	VYDAJ	VYBER	15	19734	SLUZBY	\N	\N
478537	1630	1997-06-30	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
478538	1630	1997-07-31	VYDAJ	VYBER	15	21902	SLUZBY	\N	\N
478539	1630	1997-08-31	VYDAJ	VYBER	15	19336	SLUZBY	\N	\N
478540	1630	1997-09-30	VYDAJ	VYBER	15	15048	SLUZBY	\N	\N
478541	1630	1997-10-31	VYDAJ	VYBER	15	14957	SLUZBY	\N	\N
478542	1630	1997-11-30	VYDAJ	VYBER	15	17074	SLUZBY	\N	\N
478543	1630	1997-12-31	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
478544	1630	1998-01-31	VYDAJ	VYBER	15	15470	SLUZBY	\N	\N
478545	1630	1998-02-28	VYDAJ	VYBER	15	16484	SLUZBY	\N	\N
478546	1630	1998-03-31	VYDAJ	VYBER	15	18810	SLUZBY	\N	\N
478547	1630	1998-04-30	VYDAJ	VYBER	15	21145	SLUZBY	\N	\N
478548	1630	1998-05-31	VYDAJ	VYBER	15	23490	SLUZBY	\N	\N
478549	1630	1998-06-30	VYDAJ	VYBER	15	18316	SLUZBY	\N	\N
478550	1630	1998-07-31	VYDAJ	VYBER	15	20649	SLUZBY	\N	\N
478551	1630	1998-08-31	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
478552	1630	1998-09-30	VYDAJ	VYBER	15	23097	SLUZBY	\N	\N
478553	1630	1998-10-31	VYDAJ	VYBER	15	24886	SLUZBY	\N	\N
478554	1630	1998-11-30	VYDAJ	VYBER	15	27247	SLUZBY	\N	\N
478555	1630	1993-11-25	VYDAJ	VYBER	2200	22148	\N	\N	\N
478556	1630	1993-12-25	VYDAJ	VYBER	3100	24929	\N	\N	\N
478557	1630	1994-06-23	VYDAJ	VYBER	1800	25347	\N	\N	\N
478558	1630	1994-07-23	VYDAJ	VYBER	2100	25608	\N	\N	\N
478559	1630	1994-08-22	VYDAJ	VYBER	4300	23670	\N	\N	\N
478560	1630	1994-10-21	VYDAJ	VYBER	3200	23499	\N	\N	\N
478561	1630	1994-11-20	VYDAJ	VYBER	600	25255	\N	\N	\N
478562	1630	1994-12-20	VYDAJ	VYBER	1900	24561	\N	\N	\N
478563	1630	1995-04-19	VYDAJ	VYBER	1100	20811	\N	\N	\N
478564	1630	1995-08-17	VYDAJ	VYBER	2900	21008	\N	\N	\N
478565	1630	1995-10-16	VYDAJ	VYBER	400	20644	\N	\N	\N
478566	1630	1995-11-15	VYDAJ	VYBER	1000	21980	\N	\N	\N
478567	1630	1995-12-15	VYDAJ	VYBER	3300	19262	\N	\N	\N
478568	1630	1996-01-14	VYDAJ	VYBER	1800	17799	\N	\N	\N
478569	1630	1996-02-13	VYDAJ	VYBER	2400	13727	\N	\N	\N
478570	1630	1996-03-14	VYDAJ	VYBER	3100	12936	\N	\N	\N
478571	1630	1996-04-13	VYDAJ	VYBER	2500	12745	\N	\N	\N
478572	1630	1996-07-12	VYDAJ	VYBER	3300	15579	\N	\N	\N
478573	1630	1996-08-11	VYDAJ	VYBER	4400	13497	\N	\N	\N
478574	1630	1997-03-09	VYDAJ	VYBER	700	12852	\N	\N	\N
478575	1630	1997-06-07	VYDAJ	VYBER	2500	13639	\N	\N	\N
478576	1630	1997-08-06	VYDAJ	VYBER	3700	14607	\N	\N	\N
478577	1630	1997-09-05	VYDAJ	VYBER	6600	12736	\N	\N	\N
478578	1630	1997-10-05	VYDAJ	VYBER	2400	12648	\N	\N	\N
478579	1630	1997-11-04	VYDAJ	VYBER	200	14757	\N	\N	\N
478580	1630	1998-02-02	VYDAJ	VYBER	1300	14170	\N	\N	\N
478581	1630	1998-06-02	VYDAJ	VYBER	7500	15990	\N	\N	\N
478644	1631	1996-09-27	PRIJEM	VKLAD	400	400	\N	\N	\N
478654	1631	1996-10-11	PRIJEM	PREVOD Z UCTU	4115	4515	DUCHOD	QR	96418112
478655	1631	1996-11-11	PRIJEM	PREVOD Z UCTU	4115	8630	DUCHOD	QR	96418112
478656	1631	1996-12-11	PRIJEM	PREVOD Z UCTU	4115	12745	DUCHOD	QR	96418112
478657	1631	1997-01-11	PRIJEM	PREVOD Z UCTU	4115	16860	DUCHOD	QR	96418112
478658	1631	1997-02-11	PRIJEM	PREVOD Z UCTU	4115	20975	DUCHOD	QR	96418112
478659	1631	1997-03-11	PRIJEM	PREVOD Z UCTU	4115	21174	DUCHOD	QR	96418112
478660	1631	1997-04-11	PRIJEM	PREVOD Z UCTU	4115	20521	DUCHOD	QR	96418112
478661	1631	1997-05-11	PRIJEM	PREVOD Z UCTU	4115	17730	DUCHOD	QR	96418112
478662	1631	1997-06-11	PRIJEM	PREVOD Z UCTU	4115	19153	DUCHOD	QR	96418112
478663	1631	1997-07-11	PRIJEM	PREVOD Z UCTU	4115	18575	DUCHOD	QR	96418112
478664	1631	1997-08-11	PRIJEM	PREVOD Z UCTU	4115	17193	DUCHOD	QR	96418112
478665	1631	1997-09-11	PRIJEM	PREVOD Z UCTU	4115	15805	DUCHOD	QR	96418112
478666	1631	1997-10-11	PRIJEM	PREVOD Z UCTU	4115	17214	DUCHOD	QR	96418112
478667	1631	1997-11-11	PRIJEM	PREVOD Z UCTU	4115	17990	DUCHOD	QR	96418112
478668	1631	1997-12-11	PRIJEM	PREVOD Z UCTU	4115	19408	DUCHOD	QR	96418112
478669	1631	1998-01-11	PRIJEM	PREVOD Z UCTU	4115	17341	DUCHOD	QR	96418112
478670	1631	1998-02-11	PRIJEM	PREVOD Z UCTU	4115	17001	DUCHOD	QR	96418112
478671	1631	1998-03-11	PRIJEM	PREVOD Z UCTU	4115	18416	DUCHOD	QR	96418112
478672	1631	1998-04-11	PRIJEM	PREVOD Z UCTU	4115	18636	DUCHOD	QR	96418112
478673	1631	1998-05-11	PRIJEM	PREVOD Z UCTU	4115	20059	DUCHOD	QR	96418112
478674	1631	1998-06-11	PRIJEM	PREVOD Z UCTU	4115	21486	DUCHOD	QR	96418112
478675	1631	1998-07-11	PRIJEM	PREVOD Z UCTU	4115	22919	DUCHOD	QR	96418112
478676	1631	1998-08-11	PRIJEM	PREVOD Z UCTU	4115	24359	DUCHOD	QR	96418112
478842	1632	1996-01-27	PRIJEM	VKLAD	32408	33408	\N	\N	\N
478677	1631	1998-09-11	PRIJEM	PREVOD Z UCTU	4115	25804	DUCHOD	QR	96418112
478678	1631	1998-10-11	PRIJEM	PREVOD Z UCTU	4115	23650	DUCHOD	QR	96418112
478679	1631	1998-11-11	PRIJEM	PREVOD Z UCTU	4115	25092	DUCHOD	QR	96418112
478680	1631	1998-12-11	PRIJEM	PREVOD Z UCTU	4115	26540	DUCHOD	QR	96418112
478694	1631	1997-02-13	VYDAJ	PREVOD NA UCET	2743	18232	SIPO	ST	78712355
478695	1631	1997-03-13	VYDAJ	PREVOD NA UCET	2743	18431	SIPO	ST	78712355
478696	1631	1997-04-13	VYDAJ	PREVOD NA UCET	2743	17778	SIPO	ST	78712355
478697	1631	1997-05-13	VYDAJ	PREVOD NA UCET	2743	14987	SIPO	ST	78712355
478698	1631	1997-06-13	VYDAJ	PREVOD NA UCET	2743	16410	SIPO	ST	78712355
478699	1631	1997-07-13	VYDAJ	PREVOD NA UCET	2743	15832	SIPO	ST	78712355
478700	1631	1997-08-13	VYDAJ	PREVOD NA UCET	2743	14450	SIPO	ST	78712355
478701	1631	1997-09-13	VYDAJ	PREVOD NA UCET	2743	13062	SIPO	ST	78712355
478702	1631	1997-10-13	VYDAJ	PREVOD NA UCET	2743	14471	SIPO	ST	78712355
478703	1631	1997-11-13	VYDAJ	PREVOD NA UCET	2743	15247	SIPO	ST	78712355
478704	1631	1997-12-13	VYDAJ	PREVOD NA UCET	2743	16665	SIPO	ST	78712355
478705	1631	1998-01-13	VYDAJ	PREVOD NA UCET	2743	14598	SIPO	ST	78712355
478706	1631	1998-02-13	VYDAJ	PREVOD NA UCET	2743	14258	SIPO	ST	78712355
478707	1631	1998-03-13	VYDAJ	PREVOD NA UCET	2743	15673	SIPO	ST	78712355
478708	1631	1998-04-13	VYDAJ	PREVOD NA UCET	2743	15893	SIPO	ST	78712355
478709	1631	1998-05-13	VYDAJ	PREVOD NA UCET	2743	17316	SIPO	ST	78712355
478710	1631	1998-06-13	VYDAJ	PREVOD NA UCET	2743	18743	SIPO	ST	78712355
478711	1631	1998-07-13	VYDAJ	PREVOD NA UCET	2743	20176	SIPO	ST	78712355
478712	1631	1998-08-13	VYDAJ	PREVOD NA UCET	2743	21616	SIPO	ST	78712355
478713	1631	1998-09-13	VYDAJ	PREVOD NA UCET	2743	21861	SIPO	ST	78712355
478714	1631	1998-10-13	VYDAJ	PREVOD NA UCET	2743	20907	SIPO	ST	78712355
478715	1631	1998-11-13	VYDAJ	PREVOD NA UCET	2743	22349	SIPO	ST	78712355
478716	1631	1998-12-13	VYDAJ	PREVOD NA UCET	2743	23797	SIPO	ST	78712355
478724	1631	1997-12-15	VYDAJ	VYBER	850	15815	\N	\N	\N
478725	1631	1998-12-18	VYDAJ	VYBER	1400	22397	\N	\N	\N
478742	1631	1998-01-13	VYDAJ	VYBER	1760	12838	\N	\N	\N
478749	1631	1997-02-16	VYDAJ	VYBER	1200	17032	\N	\N	\N
478750	1631	1997-10-31	VYDAJ	VYBER	640	13889	\N	\N	\N
478751	1631	1997-05-02	VYDAJ	VYBER	3520	13615	\N	\N	\N
478753	1631	1997-03-16	VYDAJ	VYBER	2080	16351	\N	\N	\N
478754	1631	1998-09-13	VYDAJ	VYBER	1200	24604	\N	\N	\N
478755	1631	1998-01-04	VYDAJ	VYBER	2640	13226	\N	\N	\N
478756	1631	1998-09-26	VYDAJ	VYBER	2400	19461	\N	\N	\N
478757	1631	1998-03-31	VYDAJ	VYBER	1200	14521	\N	\N	\N
478772	1631	1997-02-28	VYDAJ	VYBER	15	17059	SLUZBY	\N	\N
478773	1631	1997-03-31	VYDAJ	VYBER	15	16406	SLUZBY	\N	\N
478774	1631	1997-04-30	VYDAJ	VYBER	15	17135	SLUZBY	\N	\N
478775	1631	1997-05-31	VYDAJ	VYBER	15	15038	SLUZBY	\N	\N
478776	1631	1997-06-30	VYDAJ	VYBER	15	14460	SLUZBY	\N	\N
478777	1631	1997-07-31	VYDAJ	VYBER	15	13078	SLUZBY	\N	\N
478778	1631	1997-08-31	VYDAJ	VYBER	15	11690	SLUZBY	\N	\N
478779	1631	1997-09-30	VYDAJ	VYBER	15	13099	SLUZBY	\N	\N
478780	1631	1997-10-31	VYDAJ	VYBER	15	13875	SLUZBY	\N	\N
478781	1631	1997-11-30	VYDAJ	VYBER	15	15293	SLUZBY	\N	\N
478782	1631	1997-12-31	VYDAJ	VYBER	15	15866	SLUZBY	\N	\N
478783	1631	1998-01-31	VYDAJ	VYBER	15	12886	SLUZBY	\N	\N
478784	1631	1998-02-28	VYDAJ	VYBER	15	14301	SLUZBY	\N	\N
478785	1631	1998-03-31	VYDAJ	VYBER	15	15721	SLUZBY	\N	\N
478786	1631	1998-04-30	VYDAJ	VYBER	15	15944	SLUZBY	\N	\N
478787	1631	1998-05-31	VYDAJ	VYBER	15	17371	SLUZBY	\N	\N
478788	1631	1998-06-30	VYDAJ	VYBER	15	18804	SLUZBY	\N	\N
478789	1631	1998-07-31	VYDAJ	VYBER	15	20244	SLUZBY	\N	\N
478790	1631	1998-08-31	VYDAJ	VYBER	15	21689	SLUZBY	\N	\N
478791	1631	1998-09-30	VYDAJ	VYBER	15	19535	SLUZBY	\N	\N
478792	1631	1998-10-31	VYDAJ	VYBER	15	20977	SLUZBY	\N	\N
478793	1631	1998-11-30	VYDAJ	VYBER	15	22425	SLUZBY	\N	\N
478794	1631	1997-04-25	VYDAJ	VYBER	700	17078	\N	\N	\N
478795	1631	1997-06-24	VYDAJ	VYBER	2000	14410	\N	\N	\N
478796	1631	1997-07-24	VYDAJ	VYBER	2800	13032	\N	\N	\N
478797	1631	1997-08-23	VYDAJ	VYBER	2800	11650	\N	\N	\N
478821	1632	1996-01-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
478822	1632	1996-05-23	PRIJEM	VKLAD	5266	71451	\N	\N	\N
478823	1632	1996-06-13	PRIJEM	VKLAD	48777	109285	\N	\N	\N
478824	1632	1996-02-01	PRIJEM	VKLAD	7307	40737	\N	\N	\N
478825	1632	1996-06-02	PRIJEM	VKLAD	33949	88408	\N	\N	\N
478826	1632	1996-03-28	PRIJEM	VKLAD	25046	121886	\N	\N	\N
478827	1632	1996-07-29	PRIJEM	VKLAD	24338	98346	\N	\N	\N
478828	1632	1996-09-16	PRIJEM	VKLAD	35247	97793	\N	\N	\N
478829	1632	1996-04-19	PRIJEM	VKLAD	41469	102593	\N	\N	\N
478830	1632	1996-07-10	PRIJEM	VKLAD	12262	112358	\N	\N	\N
478831	1632	1996-05-31	PRIJEM	VKLAD	40114	111565	\N	\N	\N
478832	1632	1996-10-01	PRIJEM	VKLAD	49664	140666	\N	\N	\N
478833	1632	1996-03-19	PRIJEM	VKLAD	13059	66449	\N	\N	\N
478834	1632	1996-08-30	PRIJEM	VKLAD	43140	123291	\N	\N	\N
478835	1632	1996-09-22	PRIJEM	VKLAD	17115	114908	\N	\N	\N
478836	1632	1996-02-08	PRIJEM	VKLAD	14632	55369	\N	\N	\N
478837	1632	1996-03-22	PRIJEM	VKLAD	30391	96840	\N	\N	\N
478838	1632	1996-02-26	PRIJEM	VKLAD	42728	82497	\N	\N	\N
478839	1632	1996-12-25	PRIJEM	VKLAD	45802	74155	\N	\N	\N
478840	1632	1996-12-29	PRIJEM	VKLAD	24304	113446	\N	\N	\N
478841	1632	1996-04-30	PRIJEM	VKLAD	40841	143434	\N	\N	\N
478843	1632	1996-11-10	PRIJEM	VKLAD	48590	96783	\N	\N	\N
478844	1632	1996-06-20	PRIJEM	VKLAD	10411	99696	\N	\N	\N
478845	1632	1996-12-29	PRIJEM	VKLAD	14987	89142	\N	\N	\N
478846	1632	1996-07-26	PRIJEM	VKLAD	17387	74008	\N	\N	\N
478847	1632	1996-09-23	PRIJEM	VKLAD	27345	90653	\N	\N	\N
478848	1632	1996-11-29	PRIJEM	VKLAD	34761	131544	\N	\N	\N
478849	1632	1996-08-21	PRIJEM	VKLAD	14112	80151	\N	\N	\N
478850	1632	1996-05-16	PRIJEM	VKLAD	9199	66185	\N	\N	\N
478851	1632	1997-10-25	PRIJEM	VKLAD	12578	58815	\N	\N	\N
478852	1632	1997-08-13	PRIJEM	VKLAD	28741	84013	\N	\N	\N
478853	1632	1997-12-16	PRIJEM	VKLAD	10661	99568	\N	\N	\N
478854	1632	1997-12-10	PRIJEM	VKLAD	18451	95807	\N	\N	\N
478855	1632	1997-03-29	PRIJEM	VKLAD	25737	111197	\N	\N	\N
478856	1632	1997-05-09	PRIJEM	VKLAD	43333	96743	\N	\N	\N
478857	1632	1997-11-29	PRIJEM	VKLAD	17403	102817	\N	\N	\N
478858	1632	1997-04-11	PRIJEM	VKLAD	37868	92434	\N	\N	\N
478859	1632	1997-12-23	PRIJEM	VKLAD	9105	97124	\N	\N	\N
478860	1632	1997-10-29	PRIJEM	VKLAD	16208	75023	\N	\N	\N
478861	1632	1997-08-18	PRIJEM	VKLAD	21347	105360	\N	\N	\N
478862	1632	1997-11-22	PRIJEM	VKLAD	11008	85414	\N	\N	\N
478863	1632	1997-12-19	PRIJEM	VKLAD	16141	115709	\N	\N	\N
478864	1632	1997-06-16	PRIJEM	VKLAD	23501	85377	\N	\N	\N
478865	1632	1997-12-06	PRIJEM	VKLAD	32711	77356	\N	\N	\N
478866	1632	1997-03-04	PRIJEM	VKLAD	29827	56347	\N	\N	\N
478867	1632	1997-07-13	PRIJEM	VKLAD	19445	68201	\N	\N	\N
478868	1632	1997-03-10	PRIJEM	VKLAD	43613	85460	\N	\N	\N
478869	1632	1997-04-12	PRIJEM	VKLAD	37101	129535	\N	\N	\N
478870	1632	1997-03-30	PRIJEM	VKLAD	9797	120994	\N	\N	\N
478871	1632	1997-11-21	PRIJEM	VKLAD	23258	74406	\N	\N	\N
478872	1632	1997-12-21	PRIJEM	VKLAD	24710	88019	\N	\N	\N
478873	1632	1997-04-07	PRIJEM	VKLAD	18018	74866	\N	\N	\N
478874	1632	1998-10-18	PRIJEM	VKLAD	27781	89498	\N	\N	\N
478875	1632	1998-10-29	PRIJEM	VKLAD	34422	116420	\N	\N	\N
478876	1632	1998-06-06	PRIJEM	VKLAD	17692	82660	\N	\N	\N
478877	1632	1998-07-03	PRIJEM	VKLAD	11145	95522	\N	\N	\N
478878	1632	1998-07-02	PRIJEM	VKLAD	10893	84377	\N	\N	\N
478879	1632	1998-01-11	PRIJEM	VKLAD	19228	76874	\N	\N	\N
478880	1632	1998-03-05	PRIJEM	VKLAD	32159	71116	\N	\N	\N
478881	1632	1998-06-24	PRIJEM	VKLAD	17289	99949	\N	\N	\N
478882	1632	1998-09-18	PRIJEM	VKLAD	29672	79639	\N	\N	\N
478883	1632	1998-11-17	PRIJEM	VKLAD	39575	137556	\N	\N	\N
478884	1632	1998-01-07	PRIJEM	VKLAD	47280	113746	\N	\N	\N
478885	1632	1998-11-09	PRIJEM	VKLAD	36354	97981	\N	\N	\N
478886	1632	1998-05-09	PRIJEM	VKLAD	48018	97641	\N	\N	\N
478887	1632	1998-07-14	PRIJEM	VKLAD	40554	136076	\N	\N	\N
478924	1632	1996-12-15	VYBER	VYBER	18018	31353	\N	\N	\N
478926	1632	1996-07-20	VYBER	VYBER	4637	56621	\N	\N	\N
478927	1632	1997-01-08	VYBER	VYBER	10019	30344	\N	\N	\N
478929	1632	1997-12-05	VYBER	VYBER	22417	44645	\N	\N	\N
478930	1632	1997-07-11	VYBER	VYBER	10562	48756	\N	\N	\N
478931	1632	1998-11-01	VYBER	VYBER	4851	61627	\N	\N	\N
478936	1632	1997-01-03	VYDAJ	VYBER	23700	51763	\N	\N	\N
478937	1632	1998-01-11	VYDAJ	VYBER	16500	54074	\N	\N	\N
478938	1632	1996-12-24	VYDAJ	VYBER	3000	28353	\N	\N	\N
478939	1632	1997-12-11	VYDAJ	VYBER	6900	88907	\N	\N	\N
478940	1632	1998-12-23	VYDAJ	VYBER	7200	42072	\N	\N	\N
478949	1632	1997-01-20	VYDAJ	VYBER	1800	22544	\N	\N	\N
478950	1632	1997-01-10	VYDAJ	VYBER	3300	24344	\N	\N	\N
478952	1632	1997-01-10	VYDAJ	VYBER	2700	27644	\N	\N	\N
478953	1632	1998-01-19	VYDAJ	VYBER	2400	48374	\N	\N	\N
478954	1632	1998-01-13	VYDAJ	VYBER	3300	50774	\N	\N	\N
478955	1632	1998-01-21	VYDAJ	VYBER	8700	39674	\N	\N	\N
478956	1632	1998-01-29	VYDAJ	VYBER	4500	27074	\N	\N	\N
478957	1632	1998-01-11	VYDAJ	VYBER	6300	70574	\N	\N	\N
478958	1632	1998-01-08	VYDAJ	VYBER	5700	57646	\N	\N	\N
478960	1632	1996-04-07	VYDAJ	VYBER	10200	91324	\N	\N	\N
478962	1632	1997-08-24	VYDAJ	VYBER	11700	93660	\N	\N	\N
478963	1632	1997-05-02	VYDAJ	VYBER	5100	72410	\N	\N	\N
478964	1632	1997-10-04	VYDAJ	VYBER	13200	46237	\N	\N	\N
478965	1632	1997-05-12	VYDAJ	VYBER	4200	92543	\N	\N	\N
478966	1632	1997-11-05	VYDAJ	VYBER	8100	51148	\N	\N	\N
478967	1632	1998-12-08	VYDAJ	VYBER	8400	60972	\N	\N	\N
478968	1632	1998-12-20	VYDAJ	VYBER	11700	49272	\N	\N	\N
478969	1632	1998-10-22	VYDAJ	VYBER	7500	81998	\N	\N	\N
478970	1632	1998-01-23	VYDAJ	VYBER	8100	31574	\N	\N	\N
478971	1632	1998-08-11	VYDAJ	VYBER	6300	50189	\N	\N	\N
478972	1632	1998-05-26	VYDAJ	VYBER	6000	91641	\N	\N	\N
478976	1632	1996-03-31	VYDAJ	VYBER	30	101524	SLUZBY	\N	\N
478977	1632	1996-04-30	VYDAJ	VYBER	30	83886	SLUZBY	\N	\N
478978	1632	1996-05-31	VYDAJ	VYBER	30	111859	SLUZBY	\N	\N
478979	1632	1996-06-30	VYDAJ	VYBER	30	100096	SLUZBY	\N	\N
478980	1632	1996-07-31	VYDAJ	VYBER	30	98639	SLUZBY	\N	\N
478981	1632	1996-08-31	VYDAJ	VYBER	30	90146	SLUZBY	\N	\N
478982	1632	1996-09-30	VYDAJ	VYBER	30	91002	SLUZBY	\N	\N
478983	1632	1996-10-31	VYDAJ	VYBER	30	66993	SLUZBY	\N	\N
478984	1632	1996-11-30	VYDAJ	VYBER	30	69771	SLUZBY	\N	\N
478985	1632	1996-12-31	VYDAJ	VYBER	30	75463	SLUZBY	\N	\N
478986	1632	1997-01-31	VYDAJ	VYBER	30	22656	SLUZBY	\N	\N
478987	1632	1997-02-28	VYDAJ	VYBER	30	26520	SLUZBY	\N	\N
478988	1632	1997-03-31	VYDAJ	VYBER	30	56848	SLUZBY	\N	\N
478989	1632	1997-04-30	VYDAJ	VYBER	30	77510	SLUZBY	\N	\N
478990	1632	1997-05-31	VYDAJ	VYBER	30	92876	SLUZBY	\N	\N
478991	1632	1997-06-30	VYDAJ	VYBER	30	85718	SLUZBY	\N	\N
478992	1632	1997-07-31	VYDAJ	VYBER	30	68472	SLUZBY	\N	\N
478993	1632	1997-08-31	VYDAJ	VYBER	30	93981	SLUZBY	\N	\N
478994	1632	1997-09-30	VYDAJ	VYBER	30	65237	SLUZBY	\N	\N
478995	1632	1997-10-31	VYDAJ	VYBER	30	75248	SLUZBY	\N	\N
478996	1632	1997-11-30	VYDAJ	VYBER	30	103062	SLUZBY	\N	\N
478997	1632	1997-12-31	VYDAJ	VYBER	30	97466	SLUZBY	\N	\N
478998	1632	1998-01-31	VYDAJ	VYBER	30	27274	SLUZBY	\N	\N
478999	1632	1998-02-28	VYDAJ	VYBER	30	34357	SLUZBY	\N	\N
479000	1632	1998-03-31	VYDAJ	VYBER	30	71360	SLUZBY	\N	\N
479001	1632	1998-04-30	VYDAJ	VYBER	30	57323	SLUZBY	\N	\N
479002	1632	1998-05-31	VYDAJ	VYBER	30	91968	SLUZBY	\N	\N
479003	1632	1998-06-30	VYDAJ	VYBER	30	100284	SLUZBY	\N	\N
479004	1632	1998-07-31	VYDAJ	VYBER	30	56489	SLUZBY	\N	\N
479005	1632	1998-08-31	VYDAJ	VYBER	30	49967	SLUZBY	\N	\N
479006	1632	1998-09-30	VYDAJ	VYBER	30	61717	SLUZBY	\N	\N
479007	1632	1998-10-31	VYDAJ	VYBER	30	66478	SLUZBY	\N	\N
479008	1632	1998-11-30	VYDAJ	VYBER	30	69372	SLUZBY	\N	\N
479009	1632	1996-02-12	VYDAJ	VYBER	15600	39769	\N	\N	\N
479010	1632	1996-03-13	VYDAJ	VYBER	29300	53390	\N	\N	\N
479011	1632	1996-03-28	VYDAJ	VYBER	20700	101186	\N	\N	\N
479012	1632	1996-04-12	VYDAJ	VYBER	30200	61124	\N	\N	\N
479013	1632	1996-04-30	VYDAJ	VYBER	59900	83916	\N	\N	\N
479014	1632	1996-05-12	VYDAJ	VYBER	26900	56986	\N	\N	\N
479015	1632	1996-05-31	VYDAJ	VYBER	57400	54459	\N	\N	\N
479016	1632	1996-06-11	VYDAJ	VYBER	27900	60508	\N	\N	\N
479017	1632	1996-06-13	VYDAJ	VYBER	20000	89285	\N	\N	\N
479018	1632	1996-07-10	VYDAJ	VYBER	21000	91358	\N	\N	\N
479019	1632	1996-07-11	VYDAJ	VYBER	30100	61258	\N	\N	\N
479020	1632	1996-08-10	VYDAJ	VYBER	32600	66039	\N	\N	\N
479021	1632	1996-08-30	VYDAJ	VYBER	33500	89791	\N	\N	\N
479022	1632	1996-09-09	VYDAJ	VYBER	27600	62546	\N	\N	\N
479023	1632	1996-09-22	VYDAJ	VYBER	51600	63308	\N	\N	\N
479024	1632	1996-10-01	VYDAJ	VYBER	41200	99466	\N	\N	\N
479025	1632	1996-10-09	VYDAJ	VYBER	32800	66666	\N	\N	\N
479026	1632	1996-11-08	VYDAJ	VYBER	18800	48193	\N	\N	\N
479027	1632	1996-11-29	VYDAJ	VYBER	62100	69444	\N	\N	\N
479028	1632	1996-12-08	VYDAJ	VYBER	20400	49371	\N	\N	\N
479029	1632	1996-12-29	VYDAJ	VYBER	38200	75246	\N	\N	\N
479030	1632	1997-01-07	VYDAJ	VYBER	11400	40363	\N	\N	\N
479031	1632	1997-02-06	PRIJEM	VKLAD	3800	26456	\N	\N	\N
479032	1632	1997-03-08	VYDAJ	VYBER	14500	41847	\N	\N	\N
479033	1632	1997-03-30	VYDAJ	VYBER	64400	56594	\N	\N	\N
479034	1632	1997-04-07	VYDAJ	VYBER	20300	54566	\N	\N	\N
479035	1632	1997-04-12	VYDAJ	VYBER	52300	77235	\N	\N	\N
479036	1632	1997-05-07	VYDAJ	VYBER	19000	53410	\N	\N	\N
479037	1632	1997-06-06	VYDAJ	VYBER	31000	61876	\N	\N	\N
479038	1632	1997-07-06	VYDAJ	VYBER	26400	59318	\N	\N	\N
479039	1632	1997-08-05	VYDAJ	VYBER	13200	55272	\N	\N	\N
479040	1632	1997-09-04	VYDAJ	VYBER	29100	64881	\N	\N	\N
479041	1632	1997-10-04	VYDAJ	VYBER	5800	59437	\N	\N	\N
479042	1632	1997-11-03	VYDAJ	VYBER	16000	59248	\N	\N	\N
479043	1632	1997-12-03	VYDAJ	VYBER	36000	67062	\N	\N	\N
479044	1632	1997-12-19	VYDAJ	VYBER	52400	63309	\N	\N	\N
479045	1632	1998-01-02	VYDAJ	VYBER	31000	66466	\N	\N	\N
479046	1632	1998-01-07	VYDAJ	VYBER	50400	63346	\N	\N	\N
479047	1632	1998-02-01	PRIJEM	VKLAD	7000	34274	\N	\N	\N
479048	1632	1998-03-03	PRIJEM	VKLAD	4600	38957	\N	\N	\N
479049	1632	1998-04-02	VYDAJ	VYBER	14300	57060	\N	\N	\N
479050	1632	1998-05-02	VYDAJ	VYBER	7700	49623	\N	\N	\N
479051	1632	1998-06-01	VYDAJ	VYBER	27000	64968	\N	\N	\N
479052	1632	1998-07-01	VYDAJ	VYBER	26800	73484	\N	\N	\N
479053	1632	1998-07-14	VYDAJ	VYBER	17900	118176	\N	\N	\N
479054	1632	1998-07-31	VYDAJ	VYBER	42400	76219	\N	\N	\N
479055	1632	1998-07-31	VYDAJ	VYBER	19700	56519	\N	\N	\N
479056	1632	1998-08-30	VYDAJ	VYBER	500	49689	\N	\N	\N
479057	1632	1998-09-29	VYDAJ	VYBER	18100	61539	\N	\N	\N
479058	1632	1998-10-29	VYDAJ	VYBER	31900	66220	\N	\N	\N
479059	1632	1998-10-29	VYDAJ	VYBER	18300	98120	\N	\N	\N
479060	1632	1998-11-17	VYDAJ	VYBER	47600	89956	\N	\N	\N
479061	1632	1998-11-28	VYDAJ	VYBER	20900	69056	\N	\N	\N
479098	1633	1995-02-22	PRIJEM	VKLAD	200	200	\N	\N	\N
479101	1633	1995-03-14	PRIJEM	PREVOD Z UCTU	5153	5353	DUCHOD	QR	25691437
479102	1633	1995-04-14	PRIJEM	PREVOD Z UCTU	5153	10506	DUCHOD	QR	25691437
479103	1633	1995-05-14	PRIJEM	PREVOD Z UCTU	5153	15659	DUCHOD	QR	25691437
479104	1633	1995-06-14	PRIJEM	PREVOD Z UCTU	5153	20812	DUCHOD	QR	25691437
479105	1633	1995-07-14	PRIJEM	PREVOD Z UCTU	5153	25965	DUCHOD	QR	25691437
479106	1633	1995-08-14	PRIJEM	PREVOD Z UCTU	5153	28962	DUCHOD	QR	25691437
479107	1633	1995-09-14	PRIJEM	PREVOD Z UCTU	5153	27066	DUCHOD	QR	25691437
479108	1633	1995-10-14	PRIJEM	PREVOD Z UCTU	5153	30166	DUCHOD	QR	25691437
479109	1633	1995-11-14	PRIJEM	PREVOD Z UCTU	5153	33180	DUCHOD	QR	25691437
479110	1633	1995-12-14	PRIJEM	PREVOD Z UCTU	5153	33201	DUCHOD	QR	25691437
479111	1633	1996-01-14	PRIJEM	PREVOD Z UCTU	5153	31725	DUCHOD	QR	25691437
479112	1633	1996-02-14	PRIJEM	PREVOD Z UCTU	5153	24883	DUCHOD	QR	25691437
479113	1633	1996-03-14	PRIJEM	PREVOD Z UCTU	5153	27975	DUCHOD	QR	25691437
479114	1633	1996-04-14	PRIJEM	PREVOD Z UCTU	5153	31079	DUCHOD	QR	25691437
479115	1633	1996-05-14	PRIJEM	PREVOD Z UCTU	5153	34197	DUCHOD	QR	25691437
479197	1633	1997-06-22	VYDAJ	VYBER	10350	27559	\N	\N	\N
479116	1633	1996-06-14	PRIJEM	PREVOD Z UCTU	5153	26177	DUCHOD	QR	25691437
479117	1633	1996-07-14	PRIJEM	PREVOD Z UCTU	5153	28573	DUCHOD	QR	25691437
479118	1633	1996-08-14	PRIJEM	PREVOD Z UCTU	5153	30159	DUCHOD	QR	25691437
479119	1633	1996-09-14	PRIJEM	PREVOD Z UCTU	5153	31653	DUCHOD	QR	25691437
479120	1633	1996-10-14	PRIJEM	PREVOD Z UCTU	5153	34775	DUCHOD	QR	25691437
479121	1633	1996-11-14	PRIJEM	PREVOD Z UCTU	5153	37206	DUCHOD	QR	25691437
479122	1633	1996-12-14	PRIJEM	PREVOD Z UCTU	5153	40349	DUCHOD	QR	25691437
479123	1633	1997-01-14	PRIJEM	PREVOD Z UCTU	5153	38443	DUCHOD	QR	25691437
479124	1633	1997-02-14	PRIJEM	PREVOD Z UCTU	5153	31266	DUCHOD	QR	25691437
479125	1633	1997-03-14	PRIJEM	PREVOD Z UCTU	5153	34392	DUCHOD	QR	25691437
479126	1633	1997-04-14	PRIJEM	PREVOD Z UCTU	5153	35423	DUCHOD	QR	25691437
479127	1633	1997-05-14	PRIJEM	PREVOD Z UCTU	5153	38561	DUCHOD	QR	25691437
479128	1633	1997-06-14	PRIJEM	PREVOD Z UCTU	5153	37909	DUCHOD	QR	25691437
479129	1633	1997-07-14	PRIJEM	PREVOD Z UCTU	5153	29338	DUCHOD	QR	25691437
479130	1633	1997-08-14	PRIJEM	PREVOD Z UCTU	5153	32450	DUCHOD	QR	25691437
479131	1633	1997-09-14	PRIJEM	PREVOD Z UCTU	5153	35572	DUCHOD	QR	25691437
479132	1633	1997-10-14	PRIJEM	PREVOD Z UCTU	5153	38708	DUCHOD	QR	25691437
479133	1633	1997-11-14	PRIJEM	PREVOD Z UCTU	5153	37257	DUCHOD	QR	25691437
479134	1633	1997-12-14	PRIJEM	PREVOD Z UCTU	5153	39256	DUCHOD	QR	25691437
479135	1633	1998-01-14	PRIJEM	PREVOD Z UCTU	5153	35768	DUCHOD	QR	25691437
479136	1633	1998-02-14	PRIJEM	PREVOD Z UCTU	5153	34451	DUCHOD	QR	25691437
479137	1633	1998-03-14	PRIJEM	PREVOD Z UCTU	5153	33082	DUCHOD	QR	25691437
479138	1633	1998-04-14	PRIJEM	PREVOD Z UCTU	5153	30849	DUCHOD	QR	25691437
479139	1633	1998-05-14	PRIJEM	PREVOD Z UCTU	5153	33967	DUCHOD	QR	25691437
479140	1633	1998-06-14	PRIJEM	PREVOD Z UCTU	5153	36595	DUCHOD	QR	25691437
479141	1633	1998-07-14	PRIJEM	PREVOD Z UCTU	5153	29469	DUCHOD	QR	25691437
479142	1633	1998-08-14	PRIJEM	PREVOD Z UCTU	5153	28379	DUCHOD	QR	25691437
479143	1633	1998-09-14	PRIJEM	PREVOD Z UCTU	5153	26391	DUCHOD	QR	25691437
479144	1633	1998-10-14	PRIJEM	PREVOD Z UCTU	5153	21295	DUCHOD	QR	25691437
479145	1633	1998-11-14	PRIJEM	PREVOD Z UCTU	5153	19883	DUCHOD	QR	25691437
479146	1633	1998-12-14	PRIJEM	PREVOD Z UCTU	5153	19598	DUCHOD	QR	25691437
479154	1633	1995-08-13	VYDAJ	PREVOD NA UCET	2145	23809	SIPO	CD	27727192
479155	1633	1995-09-13	VYDAJ	PREVOD NA UCET	2145	21913	SIPO	CD	27727192
479156	1633	1995-10-13	VYDAJ	PREVOD NA UCET	2145	25013	SIPO	CD	27727192
479157	1633	1995-11-13	VYDAJ	PREVOD NA UCET	2145	28027	SIPO	CD	27727192
479158	1633	1995-12-13	VYDAJ	PREVOD NA UCET	2145	28048	SIPO	CD	27727192
479159	1633	1996-01-13	VYDAJ	PREVOD NA UCET	2145	27772	SIPO	CD	27727192
479160	1633	1996-02-13	VYDAJ	PREVOD NA UCET	2145	19730	SIPO	CD	27727192
479161	1633	1996-03-13	VYDAJ	PREVOD NA UCET	2145	22822	SIPO	CD	27727192
479162	1633	1996-04-13	VYDAJ	PREVOD NA UCET	2145	25926	SIPO	CD	27727192
479163	1633	1996-05-13	VYDAJ	PREVOD NA UCET	2145	29044	SIPO	CD	27727192
479164	1633	1996-06-13	VYDAJ	PREVOD NA UCET	2145	21024	SIPO	CD	27727192
479165	1633	1996-07-13	VYDAJ	PREVOD NA UCET	2145	23420	SIPO	CD	27727192
479166	1633	1996-08-13	VYDAJ	PREVOD NA UCET	2145	25006	SIPO	CD	27727192
479167	1633	1996-09-13	VYDAJ	PREVOD NA UCET	2145	26500	SIPO	CD	27727192
479168	1633	1996-10-13	VYDAJ	PREVOD NA UCET	2145	29622	SIPO	CD	27727192
479169	1633	1996-11-13	VYDAJ	PREVOD NA UCET	2145	32053	SIPO	CD	27727192
479170	1633	1996-12-13	VYDAJ	PREVOD NA UCET	2145	35196	SIPO	CD	27727192
479171	1633	1997-01-13	VYDAJ	PREVOD NA UCET	2145	33290	SIPO	CD	27727192
479172	1633	1997-02-13	VYDAJ	PREVOD NA UCET	2145	26113	SIPO	CD	27727192
479173	1633	1997-03-13	VYDAJ	PREVOD NA UCET	2145	29239	SIPO	CD	27727192
479174	1633	1997-04-13	VYDAJ	PREVOD NA UCET	2145	30270	SIPO	CD	27727192
479175	1633	1997-05-13	VYDAJ	PREVOD NA UCET	2145	33408	SIPO	CD	27727192
479176	1633	1997-06-13	VYDAJ	PREVOD NA UCET	2145	32756	SIPO	CD	27727192
479177	1633	1997-07-13	VYDAJ	PREVOD NA UCET	2145	24185	SIPO	CD	27727192
479178	1633	1997-08-13	VYDAJ	PREVOD NA UCET	2145	27297	SIPO	CD	27727192
479179	1633	1997-09-13	VYDAJ	PREVOD NA UCET	2145	30419	SIPO	CD	27727192
479180	1633	1997-10-13	VYDAJ	PREVOD NA UCET	2145	33555	SIPO	CD	27727192
479181	1633	1997-11-13	VYDAJ	PREVOD NA UCET	2145	32104	SIPO	CD	27727192
479182	1633	1997-12-13	VYDAJ	PREVOD NA UCET	2145	34103	SIPO	CD	27727192
479183	1633	1998-01-13	VYDAJ	PREVOD NA UCET	2145	30615	SIPO	CD	27727192
479184	1633	1998-02-13	VYDAJ	PREVOD NA UCET	2145	29298	SIPO	CD	27727192
479185	1633	1998-03-13	VYDAJ	PREVOD NA UCET	2145	27929	SIPO	CD	27727192
479186	1633	1998-04-13	VYDAJ	PREVOD NA UCET	2145	25696	SIPO	CD	27727192
479187	1633	1998-05-13	VYDAJ	PREVOD NA UCET	2145	28814	SIPO	CD	27727192
479188	1633	1998-06-13	VYDAJ	PREVOD NA UCET	2145	31442	SIPO	CD	27727192
479189	1633	1998-07-13	VYDAJ	PREVOD NA UCET	2145	24316	SIPO	CD	27727192
479190	1633	1998-08-13	VYDAJ	PREVOD NA UCET	2145	23226	SIPO	CD	27727192
479191	1633	1998-09-13	VYDAJ	PREVOD NA UCET	2145	21238	SIPO	CD	27727192
479192	1633	1998-10-13	VYDAJ	PREVOD NA UCET	2145	16142	SIPO	CD	27727192
479193	1633	1998-11-13	VYDAJ	PREVOD NA UCET	2145	14730	SIPO	CD	27727192
479194	1633	1998-12-13	VYDAJ	PREVOD NA UCET	2145	14445	SIPO	CD	27727192
479196	1633	1996-06-11	VYDAJ	VYBER	11150	23169	\N	\N	\N
479198	1633	1998-06-20	VYDAJ	VYBER	10250	26345	\N	\N	\N
479200	1633	1996-01-15	VYDAJ	VYBER	4350	27375	\N	\N	\N
479201	1633	1997-01-05	VYDAJ	VYBER	1200	36635	\N	\N	\N
479202	1633	1998-01-21	VYDAJ	VYBER	850	34918	\N	\N	\N
479203	1633	1995-12-21	VYDAJ	VYBER	1000	31561	\N	\N	\N
479204	1633	1996-12-22	VYDAJ	VYBER	500	39049	\N	\N	\N
479205	1633	1997-12-03	VYDAJ	VYBER	1150	36248	\N	\N	\N
479206	1633	1998-12-01	VYDAJ	VYBER	1400	17590	\N	\N	\N
479213	1633	1996-01-26	VYDAJ	VYBER	2240	21775	\N	\N	\N
479214	1633	1996-01-17	VYDAJ	VYBER	400	26975	\N	\N	\N
479215	1633	1996-01-06	VYDAJ	VYBER	1760	29917	\N	\N	\N
479216	1633	1996-01-13	VYDAJ	VYBER	1200	26572	\N	\N	\N
479217	1633	1996-01-19	VYDAJ	VYBER	1120	25855	\N	\N	\N
479218	1633	1996-01-24	VYDAJ	VYBER	1840	24015	\N	\N	\N
479219	1633	1997-01-25	VYDAJ	VYBER	1360	33723	\N	\N	\N
479220	1633	1997-01-18	VYDAJ	VYBER	2080	36363	\N	\N	\N
479221	1633	1997-01-28	VYDAJ	VYBER	1680	32043	\N	\N	\N
479222	1633	1997-01-24	VYDAJ	VYBER	400	35963	\N	\N	\N
479223	1633	1997-01-25	VYDAJ	VYBER	880	35083	\N	\N	\N
479224	1633	1997-01-04	VYDAJ	VYBER	1360	37835	\N	\N	\N
479225	1633	1998-01-11	VYDAJ	VYBER	1120	32760	\N	\N	\N
479226	1633	1998-01-02	VYDAJ	VYBER	1600	33880	\N	\N	\N
479227	1633	1998-01-25	VYDAJ	VYBER	2160	31318	\N	\N	\N
479228	1633	1998-01-01	VYDAJ	VYBER	560	35480	\N	\N	\N
479229	1633	1998-01-01	VYDAJ	VYBER	2320	36040	\N	\N	\N
479230	1633	1998-01-24	VYDAJ	VYBER	1440	33478	\N	\N	\N
479232	1633	1995-12-16	VYDAJ	VYBER	640	32561	\N	\N	\N
479235	1633	1995-08-27	VYDAJ	VYBER	2800	23962	\N	\N	\N
479237	1633	1996-07-08	VYDAJ	VYBER	720	25565	\N	\N	\N
479238	1633	1996-07-27	VYDAJ	VYBER	1520	27053	\N	\N	\N
479239	1633	1996-09-06	VYDAJ	VYBER	1520	28645	\N	\N	\N
479240	1633	1996-12-19	VYDAJ	VYBER	800	39549	\N	\N	\N
479241	1633	1997-07-11	VYDAJ	VYBER	1360	26330	\N	\N	\N
479242	1633	1997-01-31	VYDAJ	VYBER	3920	28258	\N	\N	\N
479243	1633	1997-12-29	VYDAJ	VYBER	1040	38216	\N	\N	\N
479244	1633	1998-11-16	VYDAJ	VYBER	960	18923	\N	\N	\N
479245	1633	1998-12-16	VYDAJ	VYBER	2080	17518	\N	\N	\N
479246	1633	1998-04-10	VYDAJ	VYBER	1760	27841	\N	\N	\N
479247	1633	1998-03-22	VYDAJ	VYBER	3600	29482	\N	\N	\N
479255	1633	1995-07-31	VYDAJ	VYBER	15	25954	SLUZBY	\N	\N
479256	1633	1995-08-31	VYDAJ	VYBER	15	24058	SLUZBY	\N	\N
479257	1633	1995-09-30	VYDAJ	VYBER	15	27158	SLUZBY	\N	\N
479258	1633	1995-10-31	VYDAJ	VYBER	15	30172	SLUZBY	\N	\N
479259	1633	1995-11-30	VYDAJ	VYBER	15	30193	SLUZBY	\N	\N
479260	1633	1995-12-31	VYDAJ	VYBER	15	31677	SLUZBY	\N	\N
479261	1633	1996-01-31	VYDAJ	VYBER	15	21875	SLUZBY	\N	\N
479262	1633	1996-02-29	VYDAJ	VYBER	15	24967	SLUZBY	\N	\N
479263	1633	1996-03-31	VYDAJ	VYBER	15	28071	SLUZBY	\N	\N
479264	1633	1996-04-30	VYDAJ	VYBER	15	31189	SLUZBY	\N	\N
479265	1633	1996-05-31	VYDAJ	VYBER	15	34319	SLUZBY	\N	\N
479266	1633	1996-06-30	VYDAJ	VYBER	15	26285	SLUZBY	\N	\N
479267	1633	1996-07-31	VYDAJ	VYBER	15	27151	SLUZBY	\N	\N
479268	1633	1996-08-31	VYDAJ	VYBER	15	30165	SLUZBY	\N	\N
479269	1633	1996-09-30	VYDAJ	VYBER	15	31767	SLUZBY	\N	\N
479270	1633	1996-10-31	VYDAJ	VYBER	15	34198	SLUZBY	\N	\N
479271	1633	1996-11-30	VYDAJ	VYBER	15	37341	SLUZBY	\N	\N
479272	1633	1996-12-31	VYDAJ	VYBER	15	39195	SLUZBY	\N	\N
479273	1633	1997-01-31	VYDAJ	VYBER	15	32178	SLUZBY	\N	\N
479274	1633	1997-02-28	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
479275	1633	1997-03-31	VYDAJ	VYBER	15	34515	SLUZBY	\N	\N
479276	1633	1997-04-30	VYDAJ	VYBER	15	35553	SLUZBY	\N	\N
479277	1633	1997-05-31	VYDAJ	VYBER	15	38701	SLUZBY	\N	\N
479278	1633	1997-06-30	VYDAJ	VYBER	15	27690	SLUZBY	\N	\N
479279	1633	1997-07-31	VYDAJ	VYBER	15	29442	SLUZBY	\N	\N
479280	1633	1997-08-31	VYDAJ	VYBER	15	32564	SLUZBY	\N	\N
479281	1633	1997-09-30	VYDAJ	VYBER	15	35700	SLUZBY	\N	\N
479282	1633	1997-10-31	VYDAJ	VYBER	15	38849	SLUZBY	\N	\N
479283	1633	1997-11-30	VYDAJ	VYBER	15	37398	SLUZBY	\N	\N
479284	1633	1997-12-31	VYDAJ	VYBER	15	38360	SLUZBY	\N	\N
479285	1633	1998-01-31	VYDAJ	VYBER	15	31443	SLUZBY	\N	\N
479286	1633	1998-02-28	VYDAJ	VYBER	15	34574	SLUZBY	\N	\N
479287	1633	1998-03-31	VYDAJ	VYBER	15	29601	SLUZBY	\N	\N
479288	1633	1998-04-30	VYDAJ	VYBER	15	30959	SLUZBY	\N	\N
479289	1633	1998-05-31	VYDAJ	VYBER	15	34087	SLUZBY	\N	\N
479290	1633	1998-06-30	VYDAJ	VYBER	15	26461	SLUZBY	\N	\N
479291	1633	1998-07-31	VYDAJ	VYBER	15	29571	SLUZBY	\N	\N
479292	1633	1998-08-31	VYDAJ	VYBER	15	28483	SLUZBY	\N	\N
479293	1633	1998-09-30	VYDAJ	VYBER	15	26487	SLUZBY	\N	\N
479294	1633	1998-10-31	VYDAJ	VYBER	15	21375	SLUZBY	\N	\N
479295	1633	1998-11-30	VYDAJ	VYBER	15	18990	SLUZBY	\N	\N
479296	1633	1995-08-21	VYDAJ	VYBER	2200	26762	\N	\N	\N
479297	1633	1995-10-20	VYDAJ	VYBER	100	30066	\N	\N	\N
479298	1633	1995-11-19	VYDAJ	VYBER	3100	30080	\N	\N	\N
479299	1633	1996-08-15	VYDAJ	VYBER	100	30059	\N	\N	\N
479300	1633	1996-10-14	VYDAJ	VYBER	700	34075	\N	\N	\N
479301	1633	1997-01-12	VYDAJ	VYBER	1200	35435	\N	\N	\N
479302	1633	1997-04-12	VYDAJ	VYBER	2100	32415	\N	\N	\N
479303	1633	1997-06-11	VYDAJ	VYBER	3800	34901	\N	\N	\N
479304	1633	1997-11-08	VYDAJ	VYBER	4600	34249	\N	\N	\N
479305	1633	1998-03-08	VYDAJ	VYBER	4500	30074	\N	\N	\N
479306	1633	1998-06-06	VYDAJ	VYBER	500	33587	\N	\N	\N
479307	1633	1998-08-05	VYDAJ	VYBER	4200	25371	\N	\N	\N
479308	1633	1998-09-04	VYDAJ	VYBER	5100	23383	\N	\N	\N
479309	1633	1998-10-04	VYDAJ	VYBER	8200	18287	\N	\N	\N
479310	1633	1998-11-03	VYDAJ	VYBER	4500	16875	\N	\N	\N
479311	1633	1998-12-03	VYDAJ	VYBER	1000	16590	\N	\N	\N
479354	1634	1994-06-04	PRIJEM	VKLAD	500	500	\N	\N	\N
479360	1634	1994-06-14	PRIJEM	VKLAD	22276	22776	\N	\N	\N
479361	1634	1994-07-14	PRIJEM	VKLAD	14851	39181	\N	\N	\N
479362	1634	1994-08-14	PRIJEM	VKLAD	14851	44966	\N	\N	\N
479363	1634	1994-09-14	PRIJEM	VKLAD	14851	51295	\N	\N	\N
479364	1634	1994-10-14	PRIJEM	VKLAD	14851	55948	\N	\N	\N
479365	1634	1994-11-14	PRIJEM	VKLAD	14851	58809	\N	\N	\N
479366	1634	1994-12-14	PRIJEM	VKLAD	22276	66911	\N	\N	\N
479367	1634	1995-01-14	PRIJEM	VKLAD	14851	60681	\N	\N	\N
479368	1634	1995-02-14	PRIJEM	VKLAD	14851	55130	\N	\N	\N
479369	1634	1995-03-14	PRIJEM	VKLAD	14851	54551	\N	\N	\N
479370	1634	1995-04-14	PRIJEM	VKLAD	14851	58409	\N	\N	\N
479371	1634	1995-05-14	PRIJEM	VKLAD	14851	59227	\N	\N	\N
479372	1634	1995-06-14	PRIJEM	VKLAD	22276	67173	\N	\N	\N
479373	1634	1995-07-14	PRIJEM	VKLAD	14851	54806	\N	\N	\N
479374	1634	1995-08-14	PRIJEM	VKLAD	14851	52128	\N	\N	\N
479375	1634	1995-09-14	PRIJEM	VKLAD	14851	46732	\N	\N	\N
479376	1634	1995-10-14	PRIJEM	VKLAD	14851	50436	\N	\N	\N
479377	1634	1995-11-14	PRIJEM	VKLAD	14851	54123	\N	\N	\N
479378	1634	1995-12-14	PRIJEM	VKLAD	22276	58047	\N	\N	\N
479379	1634	1996-01-14	PRIJEM	VKLAD	14851	50977	\N	\N	\N
479380	1634	1996-02-14	PRIJEM	VKLAD	14851	50588	\N	\N	\N
479381	1634	1996-03-14	PRIJEM	VKLAD	14851	52497	\N	\N	\N
479382	1634	1996-04-14	PRIJEM	VKLAD	14851	58019	\N	\N	\N
479383	1634	1996-05-14	PRIJEM	VKLAD	14851	59436	\N	\N	\N
479384	1634	1996-06-14	PRIJEM	VKLAD	22276	42406	\N	\N	\N
479385	1634	1996-07-14	PRIJEM	VKLAD	14851	54421	\N	\N	\N
479386	1634	1996-08-14	PRIJEM	VKLAD	14851	64133	\N	\N	\N
479387	1634	1996-09-14	PRIJEM	VKLAD	14851	63877	\N	\N	\N
479388	1634	1996-10-14	PRIJEM	VKLAD	14851	68442	\N	\N	\N
479389	1634	1996-11-14	PRIJEM	VKLAD	14851	71004	\N	\N	\N
479390	1634	1996-12-14	PRIJEM	VKLAD	22276	81904	\N	\N	\N
479391	1634	1997-01-14	PRIJEM	VKLAD	14851	70889	\N	\N	\N
479392	1634	1997-02-14	PRIJEM	VKLAD	14851	60455	\N	\N	\N
479393	1634	1997-03-14	PRIJEM	VKLAD	14851	64610	\N	\N	\N
479394	1634	1997-04-14	PRIJEM	VKLAD	14851	70080	\N	\N	\N
479395	1634	1997-05-14	PRIJEM	VKLAD	14851	72655	\N	\N	\N
479396	1634	1997-06-14	PRIJEM	VKLAD	22276	81357	\N	\N	\N
479397	1634	1997-07-14	PRIJEM	VKLAD	14851	73041	\N	\N	\N
479398	1634	1997-08-14	PRIJEM	VKLAD	14851	77225	\N	\N	\N
479399	1634	1997-09-14	PRIJEM	VKLAD	14851	77421	\N	\N	\N
479400	1634	1997-10-14	PRIJEM	VKLAD	14851	81323	\N	\N	\N
479401	1634	1997-11-14	PRIJEM	VKLAD	14851	81234	\N	\N	\N
479402	1634	1997-12-14	PRIJEM	VKLAD	22276	86465	\N	\N	\N
479403	1634	1998-01-14	PRIJEM	VKLAD	14851	78879	\N	\N	\N
479404	1634	1998-02-14	PRIJEM	VKLAD	14851	76696	\N	\N	\N
479405	1634	1998-03-14	PRIJEM	VKLAD	14851	91820	\N	\N	\N
479406	1634	1998-04-14	PRIJEM	VKLAD	14851	85868	\N	\N	\N
479407	1634	1998-05-14	PRIJEM	VKLAD	14851	83536	\N	\N	\N
479408	1634	1998-06-14	PRIJEM	VKLAD	22276	71175	\N	\N	\N
479409	1634	1998-07-14	PRIJEM	VKLAD	14851	73691	\N	\N	\N
479410	1634	1998-08-14	PRIJEM	VKLAD	14851	83224	\N	\N	\N
479411	1634	1998-09-14	PRIJEM	VKLAD	14851	86387	\N	\N	\N
479412	1634	1998-10-14	PRIJEM	VKLAD	14851	92974	\N	\N	\N
479413	1634	1998-11-14	PRIJEM	VKLAD	14851	95679	\N	\N	\N
479414	1634	1998-12-14	PRIJEM	VKLAD	22276	101618	\N	\N	\N
479416	1634	1995-06-20	VYDAJ	VYBER	13900	53273	\N	\N	\N
479417	1634	1996-06-02	VYDAJ	VYBER	26000	20130	\N	\N	\N
479418	1634	1997-06-15	VYDAJ	VYBER	9700	71657	\N	\N	\N
479419	1634	1998-06-10	VYDAJ	VYBER	20000	46699	\N	\N	\N
479420	1634	1994-12-01	VYDAJ	VYBER	2300	44635	\N	\N	\N
479421	1634	1995-12-09	VYDAJ	VYBER	2700	35771	\N	\N	\N
479422	1634	1996-12-23	VYDAJ	VYBER KARTOU	900	60404	\N	\N	0
479423	1634	1997-12-02	VYDAJ	VYBER KARTOU	600	64189	\N	\N	0
479424	1634	1998-12-18	VYDAJ	VYBER KARTOU	1500	100118	\N	\N	0
479431	1634	1995-01-24	VYDAJ	VYBER	700	57181	\N	\N	\N
479432	1634	1995-01-14	VYDAJ	VYBER	2800	57881	\N	\N	\N
479433	1634	1995-01-29	VYDAJ	VYBER	2600	52281	\N	\N	\N
479434	1634	1995-01-24	VYDAJ	VYBER	900	56281	\N	\N	\N
479435	1634	1995-01-29	VYDAJ	VYBER	700	51581	\N	\N	\N
479436	1634	1995-01-25	VYDAJ	VYBER	1400	54881	\N	\N	\N
479437	1634	1996-01-21	VYDAJ	VYBER	1700	45977	\N	\N	\N
479438	1634	1996-01-17	VYDAJ	VYBER	2200	48777	\N	\N	\N
479439	1634	1996-01-20	VYDAJ	VYBER	1100	47677	\N	\N	\N
479440	1634	1996-01-22	VYDAJ	VYBER	1600	44377	\N	\N	\N
479441	1634	1996-01-01	VYDAJ	VYBER	2100	41826	\N	\N	\N
479442	1634	1996-01-10	VYDAJ	VYBER	2600	36126	\N	\N	\N
479443	1634	1997-01-02	VYDAJ	VYBER KARTOU	2900	56038	\N	\N	0
479444	1634	1997-01-19	VYDAJ	VYBER KARTOU	2800	52689	\N	\N	0
479445	1634	1997-01-20	VYDAJ	VYBER KARTOU	2000	50689	\N	\N	0
479446	1634	1997-01-14	VYDAJ	VYBER KARTOU	2900	67989	\N	\N	0
479447	1634	1997-01-01	VYDAJ	VYBER KARTOU	1700	58938	\N	\N	0
479448	1634	1997-01-17	VYDAJ	VYBER KARTOU	2700	65289	\N	\N	0
479449	1634	1998-01-02	VYDAJ	VYBER KARTOU	2200	66228	\N	\N	0
479450	1634	1998-01-10	VYDAJ	VYBER KARTOU	800	65428	\N	\N	0
479451	1634	1998-01-11	VYDAJ	VYBER KARTOU	1400	64028	\N	\N	0
479452	1634	1998-01-23	VYDAJ	VYBER KARTOU	1700	64279	\N	\N	0
479453	1634	1998-01-30	VYDAJ	VYBER KARTOU	2600	61679	\N	\N	0
479454	1634	1998-01-19	VYDAJ	VYBER KARTOU	1900	65979	\N	\N	0
479461	1634	1994-12-25	VYDAJ	VYBER	4600	62311	\N	\N	\N
479463	1634	1995-09-02	VYDAJ	VYBER	3300	31881	\N	\N	\N
479464	1634	1995-08-18	VYDAJ	VYBER	4400	47728	\N	\N	\N
479465	1634	1995-11-27	VYDAJ	VYBER	900	40123	\N	\N	\N
479466	1634	1995-12-16	VYDAJ	VYBER	1700	56347	\N	\N	\N
479467	1634	1995-02-19	VYDAJ	VYBER	3200	51930	\N	\N	\N
479468	1634	1995-11-28	VYDAJ	VYBER	1800	38323	\N	\N	\N
479469	1634	1995-07-16	VYDAJ	VYBER	3100	51706	\N	\N	\N
479470	1634	1996-02-19	VYDAJ	VYBER	2400	48188	\N	\N	\N
479471	1634	1996-03-05	VYDAJ	VYBER	1600	37646	\N	\N	\N
479472	1634	1996-05-07	VYDAJ	VYBER	700	44585	\N	\N	\N
479473	1634	1996-02-22	VYDAJ	VYBER	3000	45188	\N	\N	\N
479474	1634	1996-09-04	VYDAJ	VYBER KARTOU	2900	49026	\N	\N	0
479475	1634	1996-02-08	VYDAJ	VYBER	900	35737	\N	\N	\N
479476	1634	1996-01-07	VYDAJ	VYBER	3100	38726	\N	\N	\N
479477	1634	1996-09-18	VYDAJ	VYBER KARTOU	600	63277	\N	\N	0
479478	1634	1997-08-24	VYDAJ	VYBER KARTOU	1500	62325	\N	\N	0
479479	1634	1997-02-10	VYDAJ	VYBER KARTOU	3800	45604	\N	\N	0
479480	1634	1997-04-16	VYDAJ	VYBER KARTOU	500	69580	\N	\N	0
479481	1634	1997-01-24	VYDAJ	VYBER KARTOU	1500	49189	\N	\N	0
479482	1634	1997-03-02	VYDAJ	VYBER	4500	49759	\N	\N	\N
479483	1634	1998-04-03	VYDAJ	VYBER KARTOU	3600	71017	\N	\N	0
479484	1634	1998-06-14	VYDAJ	VYBER KARTOU	1300	69875	\N	\N	0
479485	1634	1998-11-16	VYDAJ	VYBER KARTOU	2300	93379	\N	\N	0
479486	1634	1998-10-11	VYDAJ	VYBER KARTOU	500	78123	\N	\N	0
479487	1634	1998-11-19	VYDAJ	VYBER	4500	88879	\N	\N	\N
479498	1634	1994-10-31	VYDAJ	VYBER	15	56158	SLUZBY	\N	\N
479499	1634	1994-11-30	VYDAJ	VYBER	15	59035	SLUZBY	\N	\N
479500	1634	1994-12-31	VYDAJ	VYBER	15	45830	SLUZBY	\N	\N
479501	1634	1995-01-31	VYDAJ	VYBER	15	40279	SLUZBY	\N	\N
479502	1634	1995-02-28	VYDAJ	VYBER	15	52100	SLUZBY	\N	\N
479503	1634	1995-03-31	VYDAJ	VYBER	15	43558	SLUZBY	\N	\N
479504	1634	1995-04-30	VYDAJ	VYBER	15	44376	SLUZBY	\N	\N
479505	1634	1995-05-31	VYDAJ	VYBER	15	44897	SLUZBY	\N	\N
479506	1634	1995-06-30	VYDAJ	VYBER	15	39955	SLUZBY	\N	\N
479507	1634	1995-07-31	VYDAJ	VYBER	15	37277	SLUZBY	\N	\N
479508	1634	1995-08-31	VYDAJ	VYBER	15	35181	SLUZBY	\N	\N
479509	1634	1995-09-30	VYDAJ	VYBER	15	35585	SLUZBY	\N	\N
479510	1634	1995-10-31	VYDAJ	VYBER	15	39272	SLUZBY	\N	\N
479511	1634	1995-11-30	VYDAJ	VYBER	15	38471	SLUZBY	\N	\N
479512	1634	1995-12-31	VYDAJ	VYBER	15	43926	SLUZBY	\N	\N
479513	1634	1996-01-31	VYDAJ	VYBER	15	36637	SLUZBY	\N	\N
479514	1634	1996-02-29	VYDAJ	VYBER	15	39246	SLUZBY	\N	\N
479515	1634	1996-03-31	VYDAJ	VYBER	15	43168	SLUZBY	\N	\N
479516	1634	1996-04-30	VYDAJ	VYBER	15	45285	SLUZBY	\N	\N
479517	1634	1996-05-31	VYDAJ	VYBER	15	46130	SLUZBY	\N	\N
479518	1634	1996-06-30	VYDAJ	VYBER	15	39570	SLUZBY	\N	\N
479519	1634	1996-07-31	VYDAJ	VYBER	15	49282	SLUZBY	\N	\N
479520	1634	1996-08-31	VYDAJ	VYBER	15	51926	SLUZBY	\N	\N
479521	1634	1996-09-30	VYDAJ	VYBER	15	53591	SLUZBY	\N	\N
479522	1634	1996-10-31	VYDAJ	VYBER	15	56153	SLUZBY	\N	\N
479523	1634	1996-11-30	VYDAJ	VYBER	15	59628	SLUZBY	\N	\N
479524	1634	1996-12-31	VYDAJ	VYBER	15	60638	SLUZBY	\N	\N
479525	1634	1997-01-31	VYDAJ	VYBER	15	49404	SLUZBY	\N	\N
479526	1634	1997-02-28	VYDAJ	VYBER	15	54259	SLUZBY	\N	\N
479527	1634	1997-03-31	VYDAJ	VYBER	15	55229	SLUZBY	\N	\N
479528	1634	1997-04-30	VYDAJ	VYBER	15	57804	SLUZBY	\N	\N
479529	1634	1997-05-31	VYDAJ	VYBER	15	59081	SLUZBY	\N	\N
479530	1634	1997-06-30	VYDAJ	VYBER	15	58190	SLUZBY	\N	\N
479531	1634	1997-07-31	VYDAJ	VYBER	15	62374	SLUZBY	\N	\N
479532	1634	1997-08-31	VYDAJ	VYBER	15	62570	SLUZBY	\N	\N
479533	1634	1997-09-30	VYDAJ	VYBER	15	66472	SLUZBY	\N	\N
479534	1634	1997-10-31	VYDAJ	VYBER	15	66383	SLUZBY	\N	\N
479535	1634	1997-11-30	VYDAJ	VYBER	15	64789	SLUZBY	\N	\N
479536	1634	1997-12-31	VYDAJ	VYBER	15	68428	SLUZBY	\N	\N
479537	1634	1998-01-31	VYDAJ	VYBER	15	61945	SLUZBY	\N	\N
479538	1634	1998-02-28	VYDAJ	VYBER	15	76969	SLUZBY	\N	\N
479539	1634	1998-03-31	VYDAJ	VYBER	15	74617	SLUZBY	\N	\N
479540	1634	1998-04-30	VYDAJ	VYBER	15	68685	SLUZBY	\N	\N
479541	1634	1998-05-31	VYDAJ	VYBER	15	66699	SLUZBY	\N	\N
479542	1634	1998-06-30	VYDAJ	VYBER	15	70140	SLUZBY	\N	\N
479543	1634	1998-07-31	VYDAJ	VYBER	15	73973	SLUZBY	\N	\N
479544	1634	1998-08-31	VYDAJ	VYBER	15	83536	SLUZBY	\N	\N
479545	1634	1998-09-30	VYDAJ	VYBER	15	86723	SLUZBY	\N	\N
479546	1634	1998-10-31	VYDAJ	VYBER	15	93328	SLUZBY	\N	\N
479547	1634	1998-11-30	VYDAJ	VYBER	15	89242	SLUZBY	\N	\N
479548	1634	1994-07-04	PRIJEM	VKLAD	1500	24330	\N	\N	\N
479549	1634	1994-08-03	VYDAJ	VYBER	9200	30115	\N	\N	\N
479550	1634	1994-09-02	VYDAJ	VYBER	8700	36444	\N	\N	\N
479551	1634	1994-10-02	VYDAJ	VYBER	10400	41097	\N	\N	\N
479552	1634	1994-11-01	VYDAJ	VYBER	12200	43958	\N	\N	\N
479553	1634	1994-12-01	VYDAJ	VYBER	12100	46935	\N	\N	\N
479554	1634	1994-12-31	VYDAJ	VYBER	16700	45844	\N	\N	\N
479555	1634	1995-01-30	VYDAJ	VYBER	11500	40081	\N	\N	\N
479556	1634	1995-03-01	VYDAJ	VYBER	12400	39700	\N	\N	\N
479557	1634	1995-03-31	VYDAJ	VYBER	11200	43573	\N	\N	\N
479558	1634	1995-04-30	VYDAJ	VYBER	14200	44391	\N	\N	\N
479559	1634	1995-05-30	VYDAJ	VYBER	14500	44727	\N	\N	\N
479560	1634	1995-06-29	VYDAJ	VYBER	13500	39773	\N	\N	\N
479561	1634	1995-07-29	VYDAJ	VYBER	14600	37106	\N	\N	\N
479562	1634	1995-08-28	VYDAJ	VYBER	12700	35028	\N	\N	\N
479563	1634	1995-09-27	VYDAJ	VYBER	11300	35432	\N	\N	\N
479564	1634	1995-10-27	VYDAJ	VYBER	11300	39136	\N	\N	\N
479565	1634	1995-11-26	VYDAJ	VYBER	13100	41023	\N	\N	\N
479566	1634	1995-12-26	VYDAJ	VYBER	12600	43747	\N	\N	\N
479567	1634	1996-01-25	VYDAJ	VYBER	7900	36477	\N	\N	\N
479568	1634	1996-02-24	VYDAJ	VYBER	6100	39088	\N	\N	\N
479569	1634	1996-03-25	VYDAJ	VYBER	9500	42997	\N	\N	\N
479570	1634	1996-04-24	VYDAJ	VYBER	12900	45119	\N	\N	\N
479571	1634	1996-05-24	VYDAJ	VYBER	13500	45936	\N	\N	\N
479572	1634	1996-06-23	VYDAJ	VYBER KARTOU	3000	39406	\N	\N	0
479573	1634	1996-07-23	VYDAJ	VYBER	5300	49121	\N	\N	\N
479574	1634	1996-08-22	VYDAJ	VYBER	12400	51733	\N	\N	\N
479575	1634	1996-09-21	VYDAJ	VYBER	9900	53377	\N	\N	\N
479576	1634	1996-10-21	VYDAJ	VYBER	12500	55942	\N	\N	\N
479577	1634	1996-11-20	VYDAJ	VYBER	11600	59404	\N	\N	\N
479578	1634	1996-12-20	VYDAJ	VYBER	20600	61304	\N	\N	\N
479579	1634	1997-01-19	VYDAJ	VYBER	9800	55489	\N	\N	\N
479580	1634	1997-02-18	VYDAJ	VYBER	6400	54055	\N	\N	\N
479581	1634	1997-03-20	VYDAJ	VYBER	9600	55010	\N	\N	\N
479582	1634	1997-04-19	VYDAJ	VYBER	12000	57580	\N	\N	\N
479583	1634	1997-05-19	VYDAJ	VYBER	13800	58855	\N	\N	\N
479584	1634	1997-06-18	VYDAJ	VYBER	13700	57957	\N	\N	\N
479585	1634	1997-07-18	VYDAJ	VYBER	10900	62141	\N	\N	\N
479586	1634	1997-08-17	VYDAJ	VYBER	13400	63825	\N	\N	\N
479587	1634	1997-09-16	VYDAJ	VYBER	11200	66221	\N	\N	\N
479588	1634	1997-10-16	VYDAJ	VYBER	15200	66123	\N	\N	\N
479589	1634	1997-11-15	VYDAJ	VYBER	16700	64534	\N	\N	\N
479590	1634	1997-12-15	VYDAJ	VYBER	18300	68165	\N	\N	\N
479591	1634	1998-01-14	VYDAJ	VYBER	11000	67879	\N	\N	\N
479592	1634	1998-02-13	VYDAJ	VYBER KARTOU	100	61845	\N	\N	0
479593	1634	1998-03-15	VYDAJ	VYBER	17500	74320	\N	\N	\N
479594	1634	1998-04-14	VYDAJ	VYBER	17500	68368	\N	\N	\N
479595	1634	1998-05-14	VYDAJ	VYBER	17100	66436	\N	\N	\N
479596	1634	1998-06-13	PRIJEM	VKLAD	2200	48899	\N	\N	\N
479597	1634	1998-07-13	VYDAJ	VYBER	11300	58840	\N	\N	\N
479598	1634	1998-08-12	VYDAJ	VYBER	5600	68373	\N	\N	\N
479599	1634	1998-09-11	VYDAJ	VYBER	12000	71536	\N	\N	\N
479600	1634	1998-10-11	VYDAJ	VYBER	8100	78623	\N	\N	\N
479601	1634	1998-11-10	VYDAJ	VYBER	12500	80828	\N	\N	\N
479602	1634	1998-12-10	VYDAJ	VYBER	9900	79342	\N	\N	\N
479658	1635	1993-12-29	PRIJEM	VKLAD	900	900	\N	\N	\N
479671	1635	1994-01-14	PRIJEM	VKLAD	18068	18968	\N	\N	\N
479672	1635	1994-02-14	PRIJEM	VKLAD	18068	41549	\N	\N	\N
479673	1635	1994-03-14	PRIJEM	VKLAD	18068	49417	\N	\N	\N
479674	1635	1994-04-14	PRIJEM	VKLAD	18068	55417	\N	\N	\N
479675	1635	1994-05-14	PRIJEM	VKLAD	18068	58942	\N	\N	\N
479676	1635	1994-06-14	PRIJEM	VKLAD	27102	40516	\N	\N	\N
479677	1635	1994-07-14	PRIJEM	VKLAD	18068	39635	\N	\N	\N
479678	1635	1994-08-14	PRIJEM	VKLAD	18068	46445	\N	\N	\N
479679	1635	1994-09-14	PRIJEM	VKLAD	18068	49880	\N	\N	\N
479680	1635	1994-10-14	PRIJEM	VKLAD	18068	47737	\N	\N	\N
479681	1635	1994-11-14	PRIJEM	VKLAD	18068	43867	\N	\N	\N
479682	1635	1994-12-14	PRIJEM	VKLAD	27102	49761	\N	\N	\N
479683	1635	1995-01-14	PRIJEM	VKLAD	18068	35055	\N	\N	\N
479684	1635	1995-02-14	PRIJEM	VKLAD	18068	32695	\N	\N	\N
479685	1635	1995-03-14	PRIJEM	VKLAD	18068	40072	\N	\N	\N
479686	1635	1995-04-14	PRIJEM	VKLAD	18068	38653	\N	\N	\N
479687	1635	1995-05-14	PRIJEM	VKLAD	18068	43854	\N	\N	\N
479688	1635	1995-06-14	PRIJEM	VKLAD	27102	54306	\N	\N	\N
479689	1635	1995-07-14	PRIJEM	VKLAD	18068	47056	\N	\N	\N
479690	1635	1995-08-14	PRIJEM	VKLAD	18068	49188	\N	\N	\N
479691	1635	1995-09-14	PRIJEM	VKLAD	18068	47921	\N	\N	\N
479692	1635	1995-10-14	PRIJEM	VKLAD	18068	47348	\N	\N	\N
479693	1635	1995-11-14	PRIJEM	VKLAD	18068	49577	\N	\N	\N
479694	1635	1995-12-14	PRIJEM	VKLAD	27102	53084	\N	\N	\N
479695	1635	1996-01-14	PRIJEM	VKLAD	18068	41973	\N	\N	\N
479696	1635	1996-02-14	PRIJEM	VKLAD	18068	29757	\N	\N	\N
479697	1635	1996-03-14	PRIJEM	VKLAD	18068	40424	\N	\N	\N
479698	1635	1996-04-14	PRIJEM	VKLAD	18068	49334	\N	\N	\N
479699	1635	1996-05-14	PRIJEM	VKLAD	18068	53030	\N	\N	\N
479700	1635	1996-06-14	PRIJEM	VKLAD	27102	41752	\N	\N	\N
479701	1635	1996-07-14	PRIJEM	VKLAD	18068	48670	\N	\N	\N
479702	1635	1996-08-14	PRIJEM	VKLAD	18068	40897	\N	\N	\N
479703	1635	1996-09-14	PRIJEM	VKLAD	18068	50157	\N	\N	\N
479704	1635	1996-10-14	PRIJEM	VKLAD	18068	54593	\N	\N	\N
479705	1635	1996-11-14	PRIJEM	VKLAD	18068	50937	\N	\N	\N
479706	1635	1996-12-14	PRIJEM	VKLAD	27102	66135	\N	\N	\N
479707	1635	1997-01-14	PRIJEM	VKLAD	18068	58907	\N	\N	\N
479708	1635	1997-02-14	PRIJEM	VKLAD	18068	55508	\N	\N	\N
479709	1635	1997-03-14	PRIJEM	VKLAD	18068	63887	\N	\N	\N
479710	1635	1997-04-14	PRIJEM	VKLAD	18068	66666	\N	\N	\N
479711	1635	1997-05-14	PRIJEM	VKLAD	18068	65902	\N	\N	\N
479712	1635	1997-06-14	PRIJEM	VKLAD	27102	55156	\N	\N	\N
479713	1635	1997-07-14	PRIJEM	VKLAD	18068	61552	\N	\N	\N
479714	1635	1997-08-14	PRIJEM	VKLAD	18068	62661	\N	\N	\N
479715	1635	1997-09-14	PRIJEM	VKLAD	18068	61580	\N	\N	\N
479716	1635	1997-10-14	PRIJEM	VKLAD	18068	62497	\N	\N	\N
479717	1635	1997-11-14	PRIJEM	VKLAD	18068	58449	\N	\N	\N
479718	1635	1997-12-14	PRIJEM	VKLAD	27102	68386	\N	\N	\N
479719	1635	1998-01-14	PRIJEM	VKLAD	18068	55347	\N	\N	\N
479720	1635	1998-02-14	PRIJEM	VKLAD	18068	48085	\N	\N	\N
479721	1635	1998-03-14	PRIJEM	VKLAD	18068	45004	\N	\N	\N
479722	1635	1998-04-14	PRIJEM	VKLAD	18068	43349	\N	\N	\N
479723	1635	1998-05-14	PRIJEM	VKLAD	18068	36809	\N	\N	\N
479724	1635	1998-06-14	PRIJEM	VKLAD	27102	40219	\N	\N	\N
479725	1635	1998-07-14	PRIJEM	VKLAD	18068	32133	\N	\N	\N
479726	1635	1998-08-14	PRIJEM	VKLAD	18068	44634	\N	\N	\N
479727	1635	1998-09-14	PRIJEM	VKLAD	18068	35442	\N	\N	\N
479728	1635	1998-10-14	PRIJEM	VKLAD	18068	47954	\N	\N	\N
479729	1635	1998-11-14	PRIJEM	VKLAD	18068	31798	\N	\N	\N
479730	1635	1998-12-14	PRIJEM	VKLAD	27102	53342	\N	\N	\N
479748	1635	1994-06-10	VYDAJ	PREVOD NA UCET	5683	13414	SIPO	EF	72468793
479749	1635	1994-07-10	VYDAJ	PREVOD NA UCET	5683	21567	SIPO	EF	72468793
479750	1635	1994-08-10	VYDAJ	PREVOD NA UCET	5683	28377	SIPO	EF	72468793
479751	1635	1994-09-10	VYDAJ	PREVOD NA UCET	5683	31812	SIPO	EF	72468793
479752	1635	1994-10-10	VYDAJ	PREVOD NA UCET	5683	29669	SIPO	EF	72468793
479753	1635	1994-11-10	VYDAJ	PREVOD NA UCET	5683	25799	SIPO	EF	72468793
479754	1635	1994-12-10	VYDAJ	PREVOD NA UCET	5683	28019	SIPO	EF	72468793
479755	1635	1995-01-10	VYDAJ	PREVOD NA UCET	5683	21427	SIPO	EF	72468793
479756	1635	1995-02-10	VYDAJ	PREVOD NA UCET	5683	14627	SIPO	EF	72468793
479757	1635	1995-03-10	VYDAJ	PREVOD NA UCET	5683	22004	SIPO	EF	72468793
479758	1635	1995-04-10	VYDAJ	PREVOD NA UCET	5683	20585	SIPO	EF	72468793
479759	1635	1995-05-10	VYDAJ	PREVOD NA UCET	5683	25786	SIPO	EF	72468793
479760	1635	1995-06-10	VYDAJ	PREVOD NA UCET	5683	27204	SIPO	EF	72468793
479761	1635	1995-07-10	VYDAJ	PREVOD NA UCET	5683	30308	SIPO	EF	72468793
479762	1635	1995-08-10	VYDAJ	PREVOD NA UCET	5683	31120	SIPO	EF	72468793
479763	1635	1995-09-10	VYDAJ	PREVOD NA UCET	5683	29853	SIPO	EF	72468793
479764	1635	1995-10-10	VYDAJ	PREVOD NA UCET	5683	29280	SIPO	EF	72468793
479765	1635	1995-11-10	VYDAJ	PREVOD NA UCET	5683	31509	SIPO	EF	72468793
479766	1635	1995-12-10	VYDAJ	PREVOD NA UCET	5683	25982	SIPO	EF	72468793
479767	1635	1996-01-10	VYDAJ	PREVOD NA UCET	5683	23905	SIPO	EF	72468793
479768	1635	1996-02-10	VYDAJ	PREVOD NA UCET	5683	11689	SIPO	EF	72468793
479769	1635	1996-03-10	VYDAJ	PREVOD NA UCET	5683	22356	SIPO	EF	72468793
479770	1635	1996-04-10	VYDAJ	PREVOD NA UCET	5683	31266	SIPO	EF	72468793
479771	1635	1996-05-10	VYDAJ	PREVOD NA UCET	5683	34962	SIPO	EF	72468793
479772	1635	1996-06-10	VYDAJ	PREVOD NA UCET	5683	14650	SIPO	EF	72468793
479773	1635	1996-07-10	VYDAJ	PREVOD NA UCET	5683	30602	SIPO	EF	72468793
479774	1635	1996-08-10	VYDAJ	PREVOD NA UCET	5683	22829	SIPO	EF	72468793
479775	1635	1996-09-10	VYDAJ	PREVOD NA UCET	5683	32089	SIPO	EF	72468793
479776	1635	1996-10-10	VYDAJ	PREVOD NA UCET	5683	36525	SIPO	EF	72468793
479777	1635	1996-11-10	VYDAJ	PREVOD NA UCET	5683	36069	SIPO	EF	72468793
479778	1635	1996-12-10	VYDAJ	PREVOD NA UCET	5683	42233	SIPO	EF	72468793
479779	1635	1997-01-10	VYDAJ	PREVOD NA UCET	5683	50239	SIPO	EF	72468793
479780	1635	1997-02-10	VYDAJ	PREVOD NA UCET	5683	39840	SIPO	EF	72468793
479781	1635	1997-03-10	VYDAJ	PREVOD NA UCET	5683	50019	SIPO	EF	72468793
479782	1635	1997-04-10	VYDAJ	PREVOD NA UCET	5683	56998	SIPO	EF	72468793
479783	1635	1997-05-10	VYDAJ	PREVOD NA UCET	5683	61234	SIPO	EF	72468793
479784	1635	1997-06-10	VYDAJ	PREVOD NA UCET	5683	17754	SIPO	EF	72468793
479785	1635	1997-07-10	VYDAJ	PREVOD NA UCET	5683	49684	SIPO	EF	72468793
479786	1635	1997-08-10	VYDAJ	PREVOD NA UCET	5683	56093	SIPO	EF	72468793
479787	1635	1997-09-10	VYDAJ	PREVOD NA UCET	5683	43512	SIPO	EF	72468793
479788	1635	1997-10-10	VYDAJ	PREVOD NA UCET	5683	44429	SIPO	EF	72468793
479789	1635	1997-11-10	VYDAJ	PREVOD NA UCET	5683	40381	SIPO	EF	72468793
479790	1635	1997-12-10	VYDAJ	PREVOD NA UCET	5683	41284	SIPO	EF	72468793
479791	1635	1998-01-10	VYDAJ	PREVOD NA UCET	5683	37279	SIPO	EF	72468793
479792	1635	1998-02-10	VYDAJ	PREVOD NA UCET	5683	30017	SIPO	EF	72468793
479793	1635	1998-03-10	VYDAJ	PREVOD NA UCET	5683	26936	SIPO	EF	72468793
479794	1635	1998-04-10	VYDAJ	PREVOD NA UCET	5683	25281	SIPO	EF	72468793
479795	1635	1998-05-10	VYDAJ	PREVOD NA UCET	5683	18741	SIPO	EF	72468793
479796	1635	1998-06-10	VYDAJ	PREVOD NA UCET	5683	13117	SIPO	EF	72468793
479797	1635	1998-07-10	VYDAJ	PREVOD NA UCET	5683	14065	SIPO	EF	72468793
479798	1635	1998-08-10	VYDAJ	PREVOD NA UCET	5683	26566	SIPO	EF	72468793
479799	1635	1998-09-10	VYDAJ	PREVOD NA UCET	5683	17374	SIPO	EF	72468793
479800	1635	1998-10-10	VYDAJ	PREVOD NA UCET	5683	29886	SIPO	EF	72468793
479801	1635	1998-11-10	VYDAJ	PREVOD NA UCET	5683	13730	SIPO	EF	72468793
479802	1635	1998-12-10	VYDAJ	PREVOD NA UCET	5683	26240	SIPO	EF	72468793
479804	1635	1994-06-08	VYDAJ	VYBER	22400	19097	\N	\N	\N
479805	1635	1995-06-19	VYDAJ	VYBER	10560	43746	\N	\N	\N
479806	1635	1996-06-05	VYDAJ	VYBER	22560	20333	\N	\N	\N
479807	1635	1997-06-07	VYDAJ	VYBER	42720	23437	\N	\N	\N
479811	1635	1995-01-10	VYDAJ	VYBER	6880	27110	\N	\N	\N
479812	1635	1996-01-18	VYDAJ	VYBER	15360	26513	\N	\N	\N
479813	1635	1997-01-30	VYDAJ	VYBER	5440	46987	\N	\N	\N
479814	1635	1998-01-02	VYDAJ	VYBER	2720	59742	\N	\N	\N
479816	1635	1994-12-12	VYDAJ	VYBER	2720	25299	\N	\N	\N
479817	1635	1995-12-24	VYDAJ	VYBER	3200	35684	\N	\N	\N
479818	1635	1996-12-09	VYDAJ	VYBER	3200	47916	\N	\N	\N
479819	1635	1997-12-28	VYDAJ	VYBER	1120	62226	\N	\N	\N
479820	1635	1998-12-17	VYDAJ	VYBER	3840	49502	\N	\N	\N
479833	1635	1995-01-13	VYDAJ	VYBER	1080	16987	\N	\N	\N
479834	1635	1995-01-27	VYDAJ	VYBER	3480	25955	\N	\N	\N
479835	1635	1995-01-09	VYDAJ	VYBER	960	33990	\N	\N	\N
479836	1635	1995-01-22	VYDAJ	VYBER	1320	33735	\N	\N	\N
479837	1635	1995-01-12	VYDAJ	VYBER	3360	18067	\N	\N	\N
479838	1635	1995-01-05	VYDAJ	VYBER	2760	34950	\N	\N	\N
479839	1635	1996-01-09	VYDAJ	VYBER	960	29588	\N	\N	\N
479840	1635	1996-01-22	VYDAJ	VYBER	3120	19913	\N	\N	\N
479841	1635	1996-01-19	VYDAJ	VYBER	3480	23033	\N	\N	\N
479842	1635	1996-01-04	VYDAJ	VYBER	2520	33308	\N	\N	\N
479843	1635	1996-01-27	VYDAJ	VYBER	2640	17273	\N	\N	\N
479844	1635	1996-01-07	VYDAJ	VYBER	2760	30548	\N	\N	\N
479845	1635	1997-01-08	VYDAJ	VYBER	1680	55922	\N	\N	\N
479846	1635	1997-01-28	VYDAJ	VYBER	3000	52427	\N	\N	\N
479847	1635	1997-01-19	VYDAJ	VYBER	2880	55427	\N	\N	\N
479848	1635	1997-01-16	VYDAJ	VYBER	600	58307	\N	\N	\N
479849	1635	1997-01-07	VYDAJ	VYBER	2520	57602	\N	\N	\N
479850	1635	1997-01-06	VYDAJ	VYBER	3240	60122	\N	\N	\N
479851	1635	1998-01-02	VYDAJ	VYBER	720	59022	\N	\N	\N
479852	1635	1998-01-21	VYDAJ	VYBER	1920	51387	\N	\N	\N
479853	1635	1998-01-26	VYDAJ	VYBER	1200	50187	\N	\N	\N
479854	1635	1998-01-15	VYDAJ	VYBER	2040	53307	\N	\N	\N
479855	1635	1998-01-08	VYDAJ	VYBER	1560	42962	\N	\N	\N
479856	1635	1998-01-28	VYDAJ	VYBER	1080	49107	\N	\N	\N
479863	1635	1994-09-21	VYDAJ	VYBER	600	44600	\N	\N	\N
479864	1635	1994-06-28	VYDAJ	VYBER	4800	27116	\N	\N	\N
479866	1635	1994-10-21	VYDAJ	VYBER	5400	42337	\N	\N	\N
479867	1635	1994-09-16	VYDAJ	VYBER	4680	45200	\N	\N	\N
479868	1635	1994-12-13	VYDAJ	VYBER	2640	22659	\N	\N	\N
479869	1635	1995-07-13	VYDAJ	VYBER	1320	28988	\N	\N	\N
479870	1635	1995-01-28	VYDAJ	VYBER	5760	20195	\N	\N	\N
479871	1635	1995-03-25	VYDAJ	VYBER	5520	26152	\N	\N	\N
479872	1635	1995-12-21	VYDAJ	VYBER	600	38884	\N	\N	\N
479873	1635	1995-12-08	VYDAJ	VYBER	5160	31665	\N	\N	\N
479874	1635	1996-12-30	VYDAJ	VYBER	3000	63135	\N	\N	\N
479875	1635	1996-04-19	VYDAJ	VYBER	840	40494	\N	\N	\N
479876	1635	1996-08-10	VYDAJ	VYBER	5520	28512	\N	\N	\N
479877	1635	1996-08-16	VYDAJ	VYBER	960	37637	\N	\N	\N
479878	1635	1996-08-01	VYDAJ	VYBER	4080	34032	\N	\N	\N
479879	1635	1997-12-25	VYDAJ	VYBER	5040	63346	\N	\N	\N
479880	1635	1997-02-02	VYDAJ	VYBER	1680	45523	\N	\N	\N
479881	1635	1997-10-19	VYDAJ	VYBER	3360	59137	\N	\N	\N
479882	1635	1997-04-03	VYDAJ	VYBER	1440	62681	\N	\N	\N
479883	1635	1998-08-23	VYDAJ	VYBER	3120	41514	\N	\N	\N
479884	1635	1998-03-07	VYDAJ	VYBER	2040	46219	\N	\N	\N
479885	1635	1998-04-26	VYDAJ	VYBER	1080	42269	\N	\N	\N
479886	1635	1998-05-24	VYDAJ	VYBER	1440	35369	\N	\N	\N
479904	1635	1994-05-31	VYDAJ	VYBER	15	41497	SLUZBY	\N	\N
479905	1635	1994-06-30	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
479906	1635	1994-07-31	VYDAJ	VYBER	15	34060	SLUZBY	\N	\N
479907	1635	1994-08-31	VYDAJ	VYBER	15	37495	SLUZBY	\N	\N
479908	1635	1994-09-30	VYDAJ	VYBER	15	35352	SLUZBY	\N	\N
479909	1635	1994-10-31	VYDAJ	VYBER	15	31482	SLUZBY	\N	\N
479910	1635	1994-11-30	VYDAJ	VYBER	15	33702	SLUZBY	\N	\N
479911	1635	1994-12-31	VYDAJ	VYBER	15	37710	SLUZBY	\N	\N
479912	1635	1995-01-31	VYDAJ	VYBER	15	20310	SLUZBY	\N	\N
479913	1635	1995-02-28	VYDAJ	VYBER	15	27687	SLUZBY	\N	\N
479914	1635	1995-03-31	VYDAJ	VYBER	15	26268	SLUZBY	\N	\N
479915	1635	1995-04-30	VYDAJ	VYBER	15	31469	SLUZBY	\N	\N
479916	1635	1995-05-31	VYDAJ	VYBER	15	32887	SLUZBY	\N	\N
479917	1635	1995-06-30	VYDAJ	VYBER	15	35991	SLUZBY	\N	\N
479918	1635	1995-07-31	VYDAJ	VYBER	15	36803	SLUZBY	\N	\N
479919	1635	1995-08-31	VYDAJ	VYBER	15	35536	SLUZBY	\N	\N
479920	1635	1995-09-30	VYDAJ	VYBER	15	34963	SLUZBY	\N	\N
479921	1635	1995-10-31	VYDAJ	VYBER	15	37192	SLUZBY	\N	\N
479922	1635	1995-11-30	VYDAJ	VYBER	15	36825	SLUZBY	\N	\N
479923	1635	1995-12-31	VYDAJ	VYBER	15	35828	SLUZBY	\N	\N
479924	1635	1996-01-31	VYDAJ	VYBER	15	17372	SLUZBY	\N	\N
479925	1635	1996-02-29	VYDAJ	VYBER	15	28039	SLUZBY	\N	\N
479926	1635	1996-03-31	VYDAJ	VYBER	15	36949	SLUZBY	\N	\N
479927	1635	1996-04-30	VYDAJ	VYBER	15	40645	SLUZBY	\N	\N
479928	1635	1996-05-31	VYDAJ	VYBER	15	42893	SLUZBY	\N	\N
479929	1635	1996-06-30	VYDAJ	VYBER	15	36285	SLUZBY	\N	\N
479930	1635	1996-07-31	VYDAJ	VYBER	15	38112	SLUZBY	\N	\N
479931	1635	1996-08-31	VYDAJ	VYBER	15	37772	SLUZBY	\N	\N
479932	1635	1996-09-30	VYDAJ	VYBER	15	42208	SLUZBY	\N	\N
479933	1635	1996-10-31	VYDAJ	VYBER	15	41752	SLUZBY	\N	\N
479934	1635	1996-11-30	VYDAJ	VYBER	15	51116	SLUZBY	\N	\N
479935	1635	1996-12-31	VYDAJ	VYBER	15	63362	SLUZBY	\N	\N
479936	1635	1997-01-31	VYDAJ	VYBER	15	47203	SLUZBY	\N	\N
479937	1635	1997-02-28	VYDAJ	VYBER	15	55702	SLUZBY	\N	\N
479938	1635	1997-03-31	VYDAJ	VYBER	15	64121	SLUZBY	\N	\N
479939	1635	1997-04-30	VYDAJ	VYBER	15	66917	SLUZBY	\N	\N
479940	1635	1997-05-31	VYDAJ	VYBER	15	66157	SLUZBY	\N	\N
479941	1635	1997-06-30	VYDAJ	VYBER	15	55367	SLUZBY	\N	\N
479942	1635	1997-07-31	VYDAJ	VYBER	15	61776	SLUZBY	\N	\N
479943	1635	1997-08-31	VYDAJ	VYBER	15	62895	SLUZBY	\N	\N
479944	1635	1997-09-30	VYDAJ	VYBER	15	61812	SLUZBY	\N	\N
479945	1635	1997-10-31	VYDAJ	VYBER	15	59364	SLUZBY	\N	\N
479946	1635	1997-11-30	VYDAJ	VYBER	15	58667	SLUZBY	\N	\N
479947	1635	1997-12-31	VYDAJ	VYBER	15	62462	SLUZBY	\N	\N
479948	1635	1998-01-31	VYDAJ	VYBER	15	49300	SLUZBY	\N	\N
479949	1635	1998-02-28	VYDAJ	VYBER	15	48259	SLUZBY	\N	\N
479950	1635	1998-03-31	VYDAJ	VYBER	15	45164	SLUZBY	\N	\N
479951	1635	1998-04-30	VYDAJ	VYBER	15	42424	SLUZBY	\N	\N
479952	1635	1998-05-31	VYDAJ	VYBER	15	35500	SLUZBY	\N	\N
479953	1635	1998-06-30	VYDAJ	VYBER	15	40348	SLUZBY	\N	\N
479954	1635	1998-07-31	VYDAJ	VYBER	15	32249	SLUZBY	\N	\N
479955	1635	1998-08-31	VYDAJ	VYBER	15	41657	SLUZBY	\N	\N
479956	1635	1998-09-30	VYDAJ	VYBER	15	35569	SLUZBY	\N	\N
479957	1635	1998-10-31	VYDAJ	VYBER	15	48113	SLUZBY	\N	\N
479958	1635	1998-11-30	VYDAJ	VYBER	15	31923	SLUZBY	\N	\N
479959	1635	1994-01-28	PRIJEM	VKLAD	4500	23468	\N	\N	\N
479960	1635	1994-02-27	VYDAJ	VYBER	10300	31249	\N	\N	\N
479961	1635	1994-03-29	VYDAJ	VYBER	12200	37217	\N	\N	\N
479962	1635	1994-04-28	VYDAJ	VYBER	14700	40717	\N	\N	\N
479963	1635	1994-05-28	VYDAJ	VYBER	17600	41342	\N	\N	\N
479964	1635	1994-06-27	VYDAJ	VYBER	8600	31916	\N	\N	\N
479965	1635	1994-07-27	VYDAJ	VYBER	5700	33935	\N	\N	\N
479966	1635	1994-08-26	VYDAJ	VYBER	9100	37345	\N	\N	\N
479967	1635	1994-09-25	VYDAJ	VYBER	9400	35200	\N	\N	\N
479968	1635	1994-10-25	VYDAJ	VYBER	11000	31337	\N	\N	\N
479969	1635	1994-11-24	VYDAJ	VYBER	10300	33567	\N	\N	\N
479970	1635	1994-12-24	VYDAJ	VYBER	12200	37561	\N	\N	\N
479971	1635	1995-01-23	VYDAJ	VYBER	4300	29435	\N	\N	\N
479972	1635	1995-02-22	VYDAJ	VYBER	5100	27595	\N	\N	\N
479973	1635	1995-03-24	VYDAJ	VYBER	8400	31672	\N	\N	\N
479974	1635	1995-04-23	VYDAJ	VYBER	7300	31353	\N	\N	\N
479975	1635	1995-05-23	VYDAJ	VYBER	11100	32754	\N	\N	\N
479976	1635	1995-06-22	VYDAJ	VYBER	7900	35846	\N	\N	\N
479977	1635	1995-07-22	VYDAJ	VYBER	10400	36656	\N	\N	\N
479978	1635	1995-08-21	VYDAJ	VYBER	13800	35388	\N	\N	\N
479979	1635	1995-09-20	VYDAJ	VYBER	13100	34821	\N	\N	\N
479980	1635	1995-10-20	VYDAJ	VYBER	10300	37048	\N	\N	\N
479981	1635	1995-11-19	VYDAJ	VYBER	12900	36677	\N	\N	\N
479982	1635	1995-12-19	VYDAJ	VYBER	13600	39484	\N	\N	\N
479983	1635	1996-01-18	VYDAJ	VYBER	100	41873	\N	\N	\N
479984	1635	1996-02-17	VYDAJ	VYBER	1800	27957	\N	\N	\N
479985	1635	1996-03-18	VYDAJ	VYBER	3600	36824	\N	\N	\N
479986	1635	1996-04-17	VYDAJ	VYBER	8000	41334	\N	\N	\N
479987	1635	1996-05-17	VYDAJ	VYBER	10300	42730	\N	\N	\N
479988	1635	1996-06-16	VYDAJ	VYBER	5600	36152	\N	\N	\N
479989	1635	1996-07-16	VYDAJ	VYBER	10700	37970	\N	\N	\N
479990	1635	1996-08-15	VYDAJ	VYBER	2300	38597	\N	\N	\N
479991	1635	1996-09-14	VYDAJ	VYBER	8100	42057	\N	\N	\N
479992	1635	1996-10-14	VYDAJ	VYBER	13000	41593	\N	\N	\N
479993	1635	1996-11-13	VYDAJ	VYBER	3200	32869	\N	\N	\N
479994	1635	1996-12-13	VYDAJ	VYBER	3200	39033	\N	\N	\N
479995	1635	1997-01-12	VYDAJ	VYBER	9400	40839	\N	\N	\N
479996	1635	1997-02-11	VYDAJ	VYBER	2400	37440	\N	\N	\N
479997	1635	1997-03-13	VYDAJ	VYBER	4200	45819	\N	\N	\N
479998	1635	1997-04-12	VYDAJ	VYBER	8400	48598	\N	\N	\N
479999	1635	1997-05-12	VYDAJ	VYBER	13400	47834	\N	\N	\N
480000	1635	1997-06-11	PRIJEM	VKLAD	10300	28054	\N	\N	\N
480001	1635	1997-07-11	VYDAJ	VYBER	6200	43484	\N	\N	\N
480002	1635	1997-08-10	VYDAJ	VYBER	11500	44593	\N	\N	\N
480003	1635	1997-09-09	VYDAJ	VYBER	13700	49195	\N	\N	\N
480004	1635	1997-10-09	VYDAJ	VYBER	11700	50112	\N	\N	\N
480005	1635	1997-11-08	VYDAJ	VYBER	13300	46064	\N	\N	\N
480006	1635	1997-12-08	VYDAJ	VYBER	11700	46967	\N	\N	\N
480007	1635	1998-01-07	VYDAJ	VYBER	14500	44522	\N	\N	\N
480008	1635	1998-02-06	VYDAJ	VYBER	13600	35700	\N	\N	\N
480009	1635	1998-03-08	VYDAJ	VYBER	13600	32619	\N	\N	\N
480010	1635	1998-04-07	VYDAJ	VYBER	14200	30964	\N	\N	\N
480011	1635	1998-05-07	VYDAJ	VYBER	18000	24424	\N	\N	\N
480012	1635	1998-06-06	VYDAJ	VYBER	16700	18800	\N	\N	\N
480013	1635	1998-07-06	VYDAJ	VYBER	20600	19748	\N	\N	\N
480014	1635	1998-09-04	VYDAJ	VYBER	18600	23057	\N	\N	\N
480015	1635	1998-11-03	VYDAJ	VYBER	28700	19413	\N	\N	\N
480076	1636	1997-04-08	PRIJEM	VKLAD	900	900	\N	\N	\N
480081	1636	1997-05-08	PRIJEM	VKLAD	23310	24710	\N	\N	\N
480082	1636	1997-06-08	PRIJEM	VKLAD	34965	58380	\N	\N	\N
480083	1636	1997-07-08	PRIJEM	VKLAD	23310	61378	\N	\N	\N
480084	1636	1997-08-08	PRIJEM	VKLAD	23310	66741	\N	\N	\N
480085	1636	1997-09-08	PRIJEM	VKLAD	23310	68324	\N	\N	\N
480086	1636	1997-10-08	PRIJEM	VKLAD	23310	65105	\N	\N	\N
480087	1636	1997-11-08	PRIJEM	VKLAD	23310	60559	\N	\N	\N
480088	1636	1997-12-08	PRIJEM	VKLAD	34965	77869	\N	\N	\N
480089	1636	1998-01-08	PRIJEM	VKLAD	23310	68287	\N	\N	\N
480090	1636	1998-02-08	PRIJEM	VKLAD	23310	69388	\N	\N	\N
480091	1636	1998-03-08	PRIJEM	VKLAD	23310	71884	\N	\N	\N
480092	1636	1998-04-08	PRIJEM	VKLAD	23310	72013	\N	\N	\N
480093	1636	1998-05-08	PRIJEM	VKLAD	23310	74423	\N	\N	\N
480094	1636	1998-06-08	PRIJEM	VKLAD	34965	88015	\N	\N	\N
480095	1636	1998-07-08	PRIJEM	VKLAD	23310	83780	\N	\N	\N
480096	1636	1998-08-08	PRIJEM	VKLAD	23310	81284	\N	\N	\N
480097	1636	1998-09-08	PRIJEM	VKLAD	23310	76710	\N	\N	\N
480098	1636	1998-10-08	PRIJEM	VKLAD	23310	77041	\N	\N	\N
480099	1636	1998-11-08	PRIJEM	VKLAD	23310	77043	\N	\N	\N
480100	1636	1998-12-08	PRIJEM	VKLAD	34965	88699	\N	\N	\N
480109	1636	1997-09-11	VYDAJ	PREVOD NA UCET	4964	63360	SIPO	ST	93399142
480110	1636	1997-10-11	VYDAJ	PREVOD NA UCET	4964	60141	SIPO	ST	93399142
480111	1636	1997-11-11	VYDAJ	PREVOD NA UCET	4964	55595	SIPO	ST	93399142
480112	1636	1997-12-11	VYDAJ	PREVOD NA UCET	4964	72905	SIPO	ST	93399142
480113	1636	1998-01-11	VYDAJ	PREVOD NA UCET	4964	63323	SIPO	ST	93399142
480114	1636	1998-02-11	VYDAJ	PREVOD NA UCET	4964	64424	SIPO	ST	93399142
480115	1636	1998-03-11	VYDAJ	PREVOD NA UCET	4964	66920	SIPO	ST	93399142
480116	1636	1998-04-11	VYDAJ	PREVOD NA UCET	4964	67049	SIPO	ST	93399142
480117	1636	1998-05-11	VYDAJ	PREVOD NA UCET	4964	69459	SIPO	ST	93399142
480118	1636	1998-06-11	VYDAJ	PREVOD NA UCET	4964	83051	SIPO	ST	93399142
480119	1636	1998-07-11	VYDAJ	PREVOD NA UCET	4964	78816	SIPO	ST	93399142
480120	1636	1998-08-11	VYDAJ	PREVOD NA UCET	4964	76320	SIPO	ST	93399142
480121	1636	1998-09-11	VYDAJ	PREVOD NA UCET	4964	71746	SIPO	ST	93399142
480122	1636	1998-10-11	VYDAJ	PREVOD NA UCET	4964	72077	SIPO	ST	93399142
480123	1636	1998-11-11	VYDAJ	PREVOD NA UCET	4964	72079	SIPO	ST	93399142
480124	1636	1998-12-11	VYDAJ	PREVOD NA UCET	4964	79735	SIPO	ST	93399142
480125	1636	1997-12-18	VYDAJ	VYBER	1760	71145	\N	\N	\N
480126	1636	1998-12-09	VYDAJ	VYBER	4000	84699	\N	\N	\N
480133	1636	1998-01-06	VYDAJ	VYBER	3000	44977	\N	\N	\N
480134	1636	1998-01-01	VYDAJ	VYBER	840	70577	\N	\N	\N
480135	1636	1998-01-14	VYDAJ	VYBER	2280	61043	\N	\N	\N
480136	1636	1998-01-27	VYDAJ	VYBER	2400	58043	\N	\N	\N
480137	1636	1998-01-04	VYDAJ	VYBER	600	47977	\N	\N	\N
480138	1636	1998-01-19	VYDAJ	VYBER	600	60443	\N	\N	\N
480140	1636	1997-11-01	VYDAJ	VYBER	4440	50049	\N	\N	\N
480141	1636	1997-09-24	VYDAJ	VYBER	720	62640	\N	\N	\N
480142	1636	1997-10-16	VYDAJ	VYBER	5880	54261	\N	\N	\N
480144	1636	1998-03-28	VYDAJ	VYBER	2880	64040	\N	\N	\N
480145	1636	1998-05-14	VYDAJ	VYBER	1680	67779	\N	\N	\N
480146	1636	1998-09-01	VYDAJ	VYBER	1920	53400	\N	\N	\N
480147	1636	1998-12-24	VYDAJ	VYBER	3360	76375	\N	\N	\N
480148	1636	1998-09-12	VYDAJ	VYBER	1080	70666	\N	\N	\N
480149	1636	1998-07-29	VYDAJ	VYBER	5760	73056	\N	\N	\N
480159	1636	1997-09-30	VYDAJ	VYBER	15	62895	SLUZBY	\N	\N
480160	1636	1997-10-31	VYDAJ	VYBER	15	54489	SLUZBY	\N	\N
480161	1636	1997-11-30	VYDAJ	VYBER	15	55804	SLUZBY	\N	\N
480162	1636	1997-12-31	VYDAJ	VYBER	15	71417	SLUZBY	\N	\N
480163	1636	1998-01-31	VYDAJ	VYBER	15	58278	SLUZBY	\N	\N
480164	1636	1998-02-28	VYDAJ	VYBER	15	64674	SLUZBY	\N	\N
480165	1636	1998-03-31	VYDAJ	VYBER	15	64303	SLUZBY	\N	\N
480166	1636	1998-04-30	VYDAJ	VYBER	15	67313	SLUZBY	\N	\N
480167	1636	1998-05-31	VYDAJ	VYBER	15	68050	SLUZBY	\N	\N
480168	1636	1998-06-30	VYDAJ	VYBER	15	83370	SLUZBY	\N	\N
480169	1636	1998-07-31	VYDAJ	VYBER	15	73374	SLUZBY	\N	\N
480170	1636	1998-08-31	VYDAJ	VYBER	15	76620	SLUZBY	\N	\N
480171	1636	1998-09-30	VYDAJ	VYBER	15	70931	SLUZBY	\N	\N
480172	1636	1998-10-31	VYDAJ	VYBER	15	53733	SLUZBY	\N	\N
480173	1636	1998-11-30	VYDAJ	VYBER	15	53734	SLUZBY	\N	\N
480174	1636	1997-05-08	PRIJEM	VKLAD	500	1400	\N	\N	\N
480175	1636	1997-06-07	VYDAJ	VYBER	1300	23415	\N	\N	\N
480176	1636	1997-07-07	VYDAJ	VYBER	20500	38068	\N	\N	\N
480177	1636	1997-08-06	VYDAJ	VYBER	18200	43431	\N	\N	\N
480178	1636	1997-09-05	VYDAJ	VYBER	22000	45014	\N	\N	\N
480179	1636	1997-10-05	VYDAJ	VYBER	21100	41795	\N	\N	\N
480180	1636	1997-11-04	VYDAJ	VYBER	12800	37249	\N	\N	\N
480181	1636	1997-12-04	VYDAJ	VYBER	12900	42904	\N	\N	\N
480182	1636	1998-01-03	VYDAJ	VYBER	22000	48577	\N	\N	\N
480183	1636	1998-02-02	VYDAJ	VYBER	12200	46078	\N	\N	\N
480184	1636	1998-03-04	VYDAJ	VYBER	16100	48574	\N	\N	\N
480185	1636	1998-04-03	VYDAJ	VYBER	15600	48703	\N	\N	\N
480186	1636	1998-05-03	VYDAJ	VYBER	16200	51113	\N	\N	\N
480187	1636	1998-06-02	VYDAJ	VYBER	15000	53050	\N	\N	\N
480188	1636	1998-07-02	VYDAJ	VYBER	22900	60470	\N	\N	\N
480189	1636	1998-08-01	VYDAJ	VYBER	15400	57974	\N	\N	\N
480190	1636	1998-08-31	VYDAJ	VYBER	21300	55320	\N	\N	\N
480191	1636	1998-09-30	VYDAJ	VYBER	17200	53731	\N	\N	\N
480192	1636	1998-10-30	VYDAJ	VYBER	18600	53477	\N	\N	\N
480193	1636	1998-11-29	VYDAJ	VYBER	18600	53479	\N	\N	\N
480214	1637	1993-01-08	PRIJEM	VKLAD	500	500	\N	\N	\N
480215	1637	1993-01-13	PRIJEM	PREVOD Z UCTU	5718	6218	DUCHOD	UV	45134812
480216	1637	1993-02-13	PRIJEM	PREVOD Z UCTU	5718	11952	DUCHOD	UV	45134812
480217	1637	1993-03-13	PRIJEM	PREVOD Z UCTU	5718	17696	DUCHOD	UV	45134812
480218	1637	1993-04-13	PRIJEM	PREVOD Z UCTU	5718	23440	DUCHOD	UV	45134812
480219	1637	1993-05-13	PRIJEM	PREVOD Z UCTU	5718	29184	DUCHOD	UV	45134812
480220	1637	1993-06-13	PRIJEM	PREVOD Z UCTU	5718	24273	DUCHOD	UV	45134812
480221	1637	1993-07-13	PRIJEM	PREVOD Z UCTU	5718	24090	DUCHOD	UV	45134812
480222	1637	1993-08-13	PRIJEM	PREVOD Z UCTU	5718	19579	DUCHOD	UV	45134812
480223	1637	1993-09-13	PRIJEM	PREVOD Z UCTU	5718	22020	DUCHOD	UV	45134812
480224	1637	1993-10-13	PRIJEM	PREVOD Z UCTU	5718	24467	DUCHOD	UV	45134812
480225	1637	1993-11-13	PRIJEM	PREVOD Z UCTU	5718	26923	DUCHOD	UV	45134812
480226	1637	1993-12-13	PRIJEM	PREVOD Z UCTU	5718	26340	DUCHOD	UV	45134812
480227	1637	1994-01-13	PRIJEM	PREVOD Z UCTU	5718	28245	DUCHOD	UV	45134812
480228	1637	1994-02-13	PRIJEM	PREVOD Z UCTU	5718	23279	DUCHOD	UV	45134812
480229	1637	1994-03-13	PRIJEM	PREVOD Z UCTU	5718	25730	DUCHOD	UV	45134812
480230	1637	1994-04-13	PRIJEM	PREVOD Z UCTU	5718	25051	DUCHOD	UV	45134812
480231	1637	1994-05-13	PRIJEM	PREVOD Z UCTU	5718	25630	DUCHOD	UV	45134812
480232	1637	1994-06-13	PRIJEM	PREVOD Z UCTU	5718	26372	DUCHOD	UV	45134812
480233	1637	1994-07-13	PRIJEM	PREVOD Z UCTU	5718	19835	DUCHOD	UV	45134812
480234	1637	1994-08-13	PRIJEM	PREVOD Z UCTU	5718	22273	DUCHOD	UV	45134812
480235	1637	1994-09-13	PRIJEM	PREVOD Z UCTU	5718	21520	DUCHOD	UV	45134812
480236	1637	1994-10-13	PRIJEM	PREVOD Z UCTU	5718	18202	DUCHOD	UV	45134812
480237	1637	1994-11-13	PRIJEM	PREVOD Z UCTU	5718	20635	DUCHOD	UV	45134812
480238	1637	1994-12-13	PRIJEM	PREVOD Z UCTU	5718	22675	DUCHOD	UV	45134812
480239	1637	1995-01-13	PRIJEM	PREVOD Z UCTU	5718	20564	DUCHOD	UV	45134812
480240	1637	1995-02-13	PRIJEM	PREVOD Z UCTU	5718	18442	DUCHOD	UV	45134812
480241	1637	1995-03-13	PRIJEM	PREVOD Z UCTU	5718	20872	DUCHOD	UV	45134812
480242	1637	1995-04-13	PRIJEM	PREVOD Z UCTU	5718	23314	DUCHOD	UV	45134812
480243	1637	1995-05-13	PRIJEM	PREVOD Z UCTU	5718	24625	DUCHOD	UV	45134812
480244	1637	1995-06-13	PRIJEM	PREVOD Z UCTU	5718	27083	DUCHOD	UV	45134812
480245	1637	1995-07-13	PRIJEM	PREVOD Z UCTU	5718	24580	DUCHOD	UV	45134812
480246	1637	1995-08-13	PRIJEM	PREVOD Z UCTU	5718	25677	DUCHOD	UV	45134812
480247	1637	1995-09-13	PRIJEM	PREVOD Z UCTU	5718	28139	DUCHOD	UV	45134812
480248	1637	1995-10-13	PRIJEM	PREVOD Z UCTU	5718	29569	DUCHOD	UV	45134812
480249	1637	1995-11-13	PRIJEM	PREVOD Z UCTU	5718	29944	DUCHOD	UV	45134812
480250	1637	1995-12-13	PRIJEM	PREVOD Z UCTU	5718	32423	DUCHOD	UV	45134812
480251	1637	1996-01-13	PRIJEM	PREVOD Z UCTU	5718	22328	DUCHOD	UV	45134812
480252	1637	1996-02-13	PRIJEM	PREVOD Z UCTU	5718	20455	DUCHOD	UV	45134812
480253	1637	1996-03-13	PRIJEM	PREVOD Z UCTU	5718	22493	DUCHOD	UV	45134812
480254	1637	1996-04-13	PRIJEM	PREVOD Z UCTU	5718	18856	DUCHOD	UV	45134812
480255	1637	1996-05-13	PRIJEM	PREVOD Z UCTU	5718	19367	DUCHOD	UV	45134812
480256	1637	1996-06-13	PRIJEM	PREVOD Z UCTU	5718	21801	DUCHOD	UV	45134812
480257	1637	1996-07-13	PRIJEM	PREVOD Z UCTU	5718	17624	DUCHOD	UV	45134812
480258	1637	1996-08-13	PRIJEM	PREVOD Z UCTU	5718	20051	DUCHOD	UV	45134812
480259	1637	1996-09-13	PRIJEM	PREVOD Z UCTU	5718	22488	DUCHOD	UV	45134812
480260	1637	1996-10-13	PRIJEM	PREVOD Z UCTU	5718	24935	DUCHOD	UV	45134812
480261	1637	1996-11-13	PRIJEM	PREVOD Z UCTU	5718	27392	DUCHOD	UV	45134812
480262	1637	1996-12-13	PRIJEM	PREVOD Z UCTU	5718	29410	DUCHOD	UV	45134812
480263	1637	1997-01-13	PRIJEM	PREVOD Z UCTU	5718	25963	DUCHOD	UV	45134812
480264	1637	1997-02-13	PRIJEM	PREVOD Z UCTU	5718	18248	DUCHOD	UV	45134812
480265	1637	1997-03-13	PRIJEM	PREVOD Z UCTU	5718	20677	DUCHOD	UV	45134812
480266	1637	1997-04-13	PRIJEM	PREVOD Z UCTU	5718	23116	DUCHOD	UV	45134812
480267	1637	1997-05-13	PRIJEM	PREVOD Z UCTU	5718	25566	DUCHOD	UV	45134812
480268	1637	1997-06-13	PRIJEM	PREVOD Z UCTU	5718	25223	DUCHOD	UV	45134812
480269	1637	1997-07-13	PRIJEM	PREVOD Z UCTU	5718	22119	DUCHOD	UV	45134812
480270	1637	1997-08-13	PRIJEM	PREVOD Z UCTU	5718	24003	DUCHOD	UV	45134812
480271	1637	1997-09-13	PRIJEM	PREVOD Z UCTU	5718	26456	DUCHOD	UV	45134812
480272	1637	1997-10-13	PRIJEM	PREVOD Z UCTU	5718	26113	DUCHOD	UV	45134812
480273	1637	1997-11-13	PRIJEM	PREVOD Z UCTU	5718	28574	DUCHOD	UV	45134812
480274	1637	1997-12-13	PRIJEM	PREVOD Z UCTU	5718	31046	DUCHOD	UV	45134812
480275	1637	1998-01-13	PRIJEM	PREVOD Z UCTU	5718	32157	DUCHOD	UV	45134812
480276	1637	1998-02-13	PRIJEM	PREVOD Z UCTU	5718	22244	DUCHOD	UV	45134812
480277	1637	1998-03-13	PRIJEM	PREVOD Z UCTU	5718	24689	DUCHOD	UV	45134812
480278	1637	1998-04-13	PRIJEM	PREVOD Z UCTU	5718	27144	DUCHOD	UV	45134812
480279	1637	1998-05-13	PRIJEM	PREVOD Z UCTU	5718	28009	DUCHOD	UV	45134812
480280	1637	1998-06-13	PRIJEM	PREVOD Z UCTU	5718	28400	DUCHOD	UV	45134812
480281	1637	1998-07-13	PRIJEM	PREVOD Z UCTU	5718	23185	DUCHOD	UV	45134812
480282	1637	1998-08-13	PRIJEM	PREVOD Z UCTU	5718	25634	DUCHOD	UV	45134812
480283	1637	1998-09-13	PRIJEM	PREVOD Z UCTU	5718	28093	DUCHOD	UV	45134812
480284	1637	1998-10-13	PRIJEM	PREVOD Z UCTU	5718	30561	DUCHOD	UV	45134812
480285	1637	1998-11-13	PRIJEM	PREVOD Z UCTU	5718	33040	DUCHOD	UV	45134812
480286	1637	1998-12-13	PRIJEM	PREVOD Z UCTU	5718	35529	DUCHOD	UV	45134812
480292	1637	1993-06-09	VYDAJ	PREVOD NA UCET	774	18555	SIPO	KL	47292917
480293	1637	1993-07-09	VYDAJ	PREVOD NA UCET	774	18372	SIPO	KL	47292917
480294	1637	1993-08-09	VYDAJ	PREVOD NA UCET	774	17541	SIPO	KL	47292917
480295	1637	1993-09-09	VYDAJ	PREVOD NA UCET	774	16302	SIPO	KL	47292917
480296	1637	1993-10-09	VYDAJ	PREVOD NA UCET	774	18749	SIPO	KL	47292917
480297	1637	1993-11-09	VYDAJ	PREVOD NA UCET	774	21205	SIPO	KL	47292917
480298	1637	1993-12-09	VYDAJ	PREVOD NA UCET	774	20622	SIPO	KL	47292917
480299	1637	1994-01-09	VYDAJ	PREVOD NA UCET	774	22527	SIPO	KL	47292917
480300	1637	1994-02-09	VYDAJ	PREVOD NA UCET	774	17561	SIPO	KL	47292917
480301	1637	1994-03-09	VYDAJ	PREVOD NA UCET	774	20012	SIPO	KL	47292917
480302	1637	1994-04-09	VYDAJ	PREVOD NA UCET	774	19333	SIPO	KL	47292917
480303	1637	1994-05-09	VYDAJ	PREVOD NA UCET	774	19912	SIPO	KL	47292917
480304	1637	1994-06-09	VYDAJ	PREVOD NA UCET	774	20654	SIPO	KL	47292917
480305	1637	1994-07-09	VYDAJ	PREVOD NA UCET	774	14117	SIPO	KL	47292917
480306	1637	1994-08-09	VYDAJ	PREVOD NA UCET	774	16555	SIPO	KL	47292917
480307	1637	1994-09-09	VYDAJ	PREVOD NA UCET	774	15802	SIPO	KL	47292917
480308	1637	1994-10-09	VYDAJ	PREVOD NA UCET	774	12484	SIPO	KL	47292917
480309	1637	1994-11-09	VYDAJ	PREVOD NA UCET	774	14917	SIPO	KL	47292917
480310	1637	1994-12-09	VYDAJ	PREVOD NA UCET	774	16957	SIPO	KL	47292917
480311	1637	1995-01-09	VYDAJ	PREVOD NA UCET	774	17086	SIPO	KL	47292917
480312	1637	1995-02-09	VYDAJ	PREVOD NA UCET	774	12724	SIPO	KL	47292917
480313	1637	1995-03-09	VYDAJ	PREVOD NA UCET	774	15154	SIPO	KL	47292917
480314	1637	1995-04-09	VYDAJ	PREVOD NA UCET	774	17596	SIPO	KL	47292917
480315	1637	1995-05-09	VYDAJ	PREVOD NA UCET	774	18907	SIPO	KL	47292917
480316	1637	1995-06-09	VYDAJ	PREVOD NA UCET	774	21365	SIPO	KL	47292917
480317	1637	1995-07-09	VYDAJ	PREVOD NA UCET	774	18862	SIPO	KL	47292917
480318	1637	1995-08-09	VYDAJ	PREVOD NA UCET	774	19959	SIPO	KL	47292917
480319	1637	1995-09-09	VYDAJ	PREVOD NA UCET	774	22421	SIPO	KL	47292917
480320	1637	1995-10-09	VYDAJ	PREVOD NA UCET	774	23851	SIPO	KL	47292917
480321	1637	1995-11-09	VYDAJ	PREVOD NA UCET	774	24226	SIPO	KL	47292917
480322	1637	1995-12-09	VYDAJ	PREVOD NA UCET	774	26705	SIPO	KL	47292917
480323	1637	1996-01-09	VYDAJ	PREVOD NA UCET	774	18210	SIPO	KL	47292917
480324	1637	1996-02-09	VYDAJ	PREVOD NA UCET	774	14737	SIPO	KL	47292917
480325	1637	1996-03-09	VYDAJ	PREVOD NA UCET	774	16775	SIPO	KL	47292917
480326	1637	1996-04-09	VYDAJ	PREVOD NA UCET	774	13138	SIPO	KL	47292917
480327	1637	1996-05-09	VYDAJ	PREVOD NA UCET	774	13649	SIPO	KL	47292917
480328	1637	1996-06-09	VYDAJ	PREVOD NA UCET	774	16083	SIPO	KL	47292917
480329	1637	1996-07-09	VYDAJ	PREVOD NA UCET	774	11906	SIPO	KL	47292917
480330	1637	1996-08-09	VYDAJ	PREVOD NA UCET	774	14333	SIPO	KL	47292917
480331	1637	1996-09-09	VYDAJ	PREVOD NA UCET	774	16770	SIPO	KL	47292917
480332	1637	1996-10-09	VYDAJ	PREVOD NA UCET	774	19217	SIPO	KL	47292917
480333	1637	1996-11-09	VYDAJ	PREVOD NA UCET	774	21674	SIPO	KL	47292917
480334	1637	1996-12-09	VYDAJ	PREVOD NA UCET	774	23692	SIPO	KL	47292917
480335	1637	1997-01-09	VYDAJ	PREVOD NA UCET	774	23045	SIPO	KL	47292917
480336	1637	1997-02-09	VYDAJ	PREVOD NA UCET	774	12530	SIPO	KL	47292917
480337	1637	1997-03-09	VYDAJ	PREVOD NA UCET	774	14959	SIPO	KL	47292917
480338	1637	1997-04-09	VYDAJ	PREVOD NA UCET	774	17398	SIPO	KL	47292917
480339	1637	1997-05-09	VYDAJ	PREVOD NA UCET	774	19848	SIPO	KL	47292917
480340	1637	1997-06-09	VYDAJ	PREVOD NA UCET	774	19505	SIPO	KL	47292917
480341	1637	1997-07-09	VYDAJ	PREVOD NA UCET	774	16401	SIPO	KL	47292917
480342	1637	1997-08-09	VYDAJ	PREVOD NA UCET	774	18285	SIPO	KL	47292917
480343	1637	1997-09-09	VYDAJ	PREVOD NA UCET	774	20738	SIPO	KL	47292917
480344	1637	1997-10-09	VYDAJ	PREVOD NA UCET	774	20395	SIPO	KL	47292917
480345	1637	1997-11-09	VYDAJ	PREVOD NA UCET	774	22856	SIPO	KL	47292917
480346	1637	1997-12-09	VYDAJ	PREVOD NA UCET	774	25328	SIPO	KL	47292917
480347	1637	1998-01-09	VYDAJ	PREVOD NA UCET	774	26439	SIPO	KL	47292917
480348	1637	1998-02-09	VYDAJ	PREVOD NA UCET	774	16526	SIPO	KL	47292917
480349	1637	1998-03-09	VYDAJ	PREVOD NA UCET	774	18971	SIPO	KL	47292917
480350	1637	1998-04-09	VYDAJ	PREVOD NA UCET	774	21426	SIPO	KL	47292917
480351	1637	1998-05-09	VYDAJ	PREVOD NA UCET	774	23891	SIPO	KL	47292917
480352	1637	1998-06-09	VYDAJ	PREVOD NA UCET	774	22682	SIPO	KL	47292917
480353	1637	1998-07-09	VYDAJ	PREVOD NA UCET	774	17467	SIPO	KL	47292917
480354	1637	1998-08-09	VYDAJ	PREVOD NA UCET	774	19916	SIPO	KL	47292917
480355	1637	1998-09-09	VYDAJ	PREVOD NA UCET	774	22375	SIPO	KL	47292917
480356	1637	1998-10-09	VYDAJ	PREVOD NA UCET	774	24843	SIPO	KL	47292917
480357	1637	1998-11-09	VYDAJ	PREVOD NA UCET	774	27322	SIPO	KL	47292917
480358	1637	1998-12-09	VYDAJ	PREVOD NA UCET	774	29811	SIPO	KL	47292917
480364	1637	1993-06-08	VYDAJ	PREVOD NA UCET	2569	19329	 	GH	10736680
480365	1637	1993-07-08	VYDAJ	PREVOD NA UCET	2569	19146	 	GH	10736680
480366	1637	1993-08-08	VYDAJ	PREVOD NA UCET	2569	18315	 	GH	10736680
480367	1637	1993-09-08	VYDAJ	PREVOD NA UCET	2569	17076	 	GH	10736680
480368	1637	1993-10-08	VYDAJ	PREVOD NA UCET	2569	19523	 	GH	10736680
480369	1637	1993-11-08	VYDAJ	PREVOD NA UCET	2569	21979	 	GH	10736680
480370	1637	1993-12-08	VYDAJ	PREVOD NA UCET	2569	21396	 	GH	10736680
480371	1637	1994-01-08	VYDAJ	PREVOD NA UCET	2569	23301	 	GH	10736680
480372	1637	1994-02-08	VYDAJ	PREVOD NA UCET	2569	18335	 	GH	10736680
480373	1637	1994-03-08	VYDAJ	PREVOD NA UCET	2569	20786	 	GH	10736680
480374	1637	1994-04-08	VYDAJ	PREVOD NA UCET	2569	20107	 	GH	10736680
480375	1637	1994-05-08	VYDAJ	PREVOD NA UCET	2569	20686	 	GH	10736680
480376	1637	1994-06-08	VYDAJ	PREVOD NA UCET	2569	21428	 	GH	10736680
480377	1637	1994-07-08	VYDAJ	PREVOD NA UCET	2569	14891	 	GH	10736680
480378	1637	1994-08-08	VYDAJ	PREVOD NA UCET	2569	17329	 	GH	10736680
480379	1637	1994-09-08	VYDAJ	PREVOD NA UCET	2569	16576	 	GH	10736680
480380	1637	1994-10-08	VYDAJ	PREVOD NA UCET	2569	13258	 	GH	10736680
480381	1637	1994-11-08	VYDAJ	PREVOD NA UCET	2569	15691	 	GH	10736680
480382	1637	1994-12-08	VYDAJ	PREVOD NA UCET	2569	17731	 	GH	10736680
480383	1637	1995-01-08	VYDAJ	PREVOD NA UCET	2569	17860	 	GH	10736680
480384	1637	1995-02-08	VYDAJ	PREVOD NA UCET	2569	13498	 	GH	10736680
480385	1637	1995-03-08	VYDAJ	PREVOD NA UCET	2569	15928	 	GH	10736680
480386	1637	1995-04-08	VYDAJ	PREVOD NA UCET	2569	18370	 	GH	10736680
480387	1637	1995-05-08	VYDAJ	PREVOD NA UCET	2569	19681	 	GH	10736680
480388	1637	1995-06-08	VYDAJ	PREVOD NA UCET	2569	22139	 	GH	10736680
480389	1637	1995-07-08	VYDAJ	PREVOD NA UCET	2569	19636	 	GH	10736680
480390	1637	1995-08-08	VYDAJ	PREVOD NA UCET	2569	20733	 	GH	10736680
480391	1637	1995-09-08	VYDAJ	PREVOD NA UCET	2569	23195	 	GH	10736680
480392	1637	1995-10-08	VYDAJ	PREVOD NA UCET	2569	24625	 	GH	10736680
480393	1637	1995-11-08	VYDAJ	PREVOD NA UCET	2569	25000	 	GH	10736680
480394	1637	1995-12-08	VYDAJ	PREVOD NA UCET	2569	27479	 	GH	10736680
480395	1637	1996-01-08	VYDAJ	PREVOD NA UCET	2569	18984	 	GH	10736680
480396	1637	1996-02-08	VYDAJ	PREVOD NA UCET	2569	15511	 	GH	10736680
480397	1637	1996-03-08	VYDAJ	PREVOD NA UCET	2569	17549	 	GH	10736680
480398	1637	1996-04-08	VYDAJ	PREVOD NA UCET	2569	13912	 	GH	10736680
480399	1637	1996-05-08	VYDAJ	PREVOD NA UCET	2569	14423	 	GH	10736680
480400	1637	1996-06-08	VYDAJ	PREVOD NA UCET	2569	16857	 	GH	10736680
480401	1637	1996-07-08	VYDAJ	PREVOD NA UCET	2569	12680	 	GH	10736680
480402	1637	1996-08-08	VYDAJ	PREVOD NA UCET	2569	15107	 	GH	10736680
480403	1637	1996-09-08	VYDAJ	PREVOD NA UCET	2569	17544	 	GH	10736680
480404	1637	1996-10-08	VYDAJ	PREVOD NA UCET	2569	19991	 	GH	10736680
480405	1637	1996-11-08	VYDAJ	PREVOD NA UCET	2569	22448	 	GH	10736680
480406	1637	1996-12-08	VYDAJ	PREVOD NA UCET	2569	24466	 	GH	10736680
480407	1637	1997-01-08	VYDAJ	PREVOD NA UCET	2569	23819	 	GH	10736680
480408	1637	1997-02-08	VYDAJ	PREVOD NA UCET	2569	13304	 	GH	10736680
480409	1637	1997-03-08	VYDAJ	PREVOD NA UCET	2569	15733	 	GH	10736680
480410	1637	1997-04-08	VYDAJ	PREVOD NA UCET	2569	18172	 	GH	10736680
480411	1637	1997-05-08	VYDAJ	PREVOD NA UCET	2569	20622	 	GH	10736680
480412	1637	1997-06-08	VYDAJ	PREVOD NA UCET	2569	20279	 	GH	10736680
480413	1637	1997-07-08	VYDAJ	PREVOD NA UCET	2569	17175	 	GH	10736680
480414	1637	1997-08-08	VYDAJ	PREVOD NA UCET	2569	19059	 	GH	10736680
480415	1637	1997-09-08	VYDAJ	PREVOD NA UCET	2569	21512	 	GH	10736680
480416	1637	1997-10-08	VYDAJ	PREVOD NA UCET	2569	21169	 	GH	10736680
480417	1637	1997-11-08	VYDAJ	PREVOD NA UCET	2569	23630	 	GH	10736680
480418	1637	1997-12-08	VYDAJ	PREVOD NA UCET	2569	26102	 	GH	10736680
480419	1637	1998-01-08	VYDAJ	PREVOD NA UCET	2569	27213	 	GH	10736680
480420	1637	1998-02-08	VYDAJ	PREVOD NA UCET	2569	17300	 	GH	10736680
480421	1637	1998-03-08	VYDAJ	PREVOD NA UCET	2569	19745	 	GH	10736680
480422	1637	1998-04-08	VYDAJ	PREVOD NA UCET	2569	22200	 	GH	10736680
480423	1637	1998-05-08	VYDAJ	PREVOD NA UCET	2569	24665	 	GH	10736680
480424	1637	1998-06-08	VYDAJ	PREVOD NA UCET	2569	23456	 	GH	10736680
480425	1637	1998-07-08	VYDAJ	PREVOD NA UCET	2569	18241	 	GH	10736680
480426	1637	1998-08-08	VYDAJ	PREVOD NA UCET	2569	20690	 	GH	10736680
480427	1637	1998-09-08	VYDAJ	PREVOD NA UCET	2569	23149	 	GH	10736680
480428	1637	1998-10-08	VYDAJ	PREVOD NA UCET	2569	25617	 	GH	10736680
480429	1637	1998-11-08	VYDAJ	PREVOD NA UCET	2569	28096	 	GH	10736680
480430	1637	1998-12-08	VYDAJ	PREVOD NA UCET	2569	30585	 	GH	10736680
480431	1637	1993-06-01	VYDAJ	VYBER	7300	21898	\N	\N	\N
480432	1637	1994-06-29	VYDAJ	VYBER	9000	17372	\N	\N	\N
480434	1637	1996-06-17	VYDAJ	VYBER	4850	16951	\N	\N	\N
480435	1637	1997-06-15	VYDAJ	VYBER	5550	19673	\N	\N	\N
480436	1637	1998-06-14	VYDAJ	VYBER	6150	22250	\N	\N	\N
480438	1637	1994-01-30	VYDAJ	VYBER	1350	20815	\N	\N	\N
480440	1637	1996-01-05	VYDAJ	VYBER	1550	26833	\N	\N	\N
480442	1637	1998-01-25	VYDAJ	VYBER	4700	20257	\N	\N	\N
480443	1637	1993-12-01	VYDAJ	VYBER	750	26265	\N	\N	\N
480444	1637	1994-12-04	VYDAJ	VYBER	400	20300	\N	\N	\N
480445	1637	1995-12-28	VYDAJ	VYBER	1150	28273	\N	\N	\N
480446	1637	1996-12-01	VYDAJ	VYBER	450	27035	\N	\N	\N
480447	1637	1997-12-13	VYDAJ	VYBER	250	30796	\N	\N	\N
480448	1637	1998-12-23	VYDAJ	VYBER	1300	34229	\N	\N	\N
480455	1637	1994-01-02	VYDAJ	VYBER	560	25870	\N	\N	\N
480456	1637	1994-01-22	VYDAJ	VYBER	960	25365	\N	\N	\N
480457	1637	1994-01-23	VYDAJ	VYBER	1520	22885	\N	\N	\N
480458	1637	1994-01-23	VYDAJ	VYBER	960	24405	\N	\N	\N
480459	1637	1994-01-16	VYDAJ	VYBER	1920	26325	\N	\N	\N
480460	1637	1994-01-28	VYDAJ	VYBER	720	22165	\N	\N	\N
480461	1637	1995-01-22	VYDAJ	VYBER	400	17684	\N	\N	\N
480462	1637	1995-01-19	VYDAJ	VYBER	1920	18644	\N	\N	\N
480463	1637	1995-01-23	VYDAJ	VYBER	1680	16004	\N	\N	\N
480464	1637	1995-01-20	VYDAJ	VYBER	560	18084	\N	\N	\N
480465	1637	1995-01-01	VYDAJ	VYBER	2320	20429	\N	\N	\N
480466	1637	1995-01-10	VYDAJ	VYBER	2240	14846	\N	\N	\N
480467	1637	1996-01-13	VYDAJ	VYBER	1200	21128	\N	\N	\N
480468	1637	1996-01-05	VYDAJ	VYBER	1920	24913	\N	\N	\N
480469	1637	1996-01-26	VYDAJ	VYBER	720	18008	\N	\N	\N
480470	1637	1996-01-15	VYDAJ	VYBER	1920	19208	\N	\N	\N
480471	1637	1996-01-11	VYDAJ	VYBER	1600	16610	\N	\N	\N
480472	1637	1996-01-19	VYDAJ	VYBER	480	18728	\N	\N	\N
480475	1637	1997-01-10	VYDAJ	VYBER	560	22485	\N	\N	\N
480476	1637	1997-01-22	VYDAJ	VYBER	640	15803	\N	\N	\N
480477	1637	1997-01-07	VYDAJ	VYBER	1520	26388	\N	\N	\N
480478	1637	1997-01-12	VYDAJ	VYBER	2240	20245	\N	\N	\N
480479	1637	1998-01-13	VYDAJ	VYBER	1840	30317	\N	\N	\N
480480	1637	1998-01-02	VYDAJ	VYBER	1120	29782	\N	\N	\N
480481	1637	1998-01-30	VYDAJ	VYBER	480	19777	\N	\N	\N
480482	1637	1998-01-14	VYDAJ	VYBER	1360	28957	\N	\N	\N
480483	1637	1998-01-16	VYDAJ	VYBER	1840	26477	\N	\N	\N
480484	1637	1998-01-20	VYDAJ	VYBER	1520	24957	\N	\N	\N
480486	1637	1993-07-17	VYDAJ	VYBER	3280	20810	\N	\N	\N
480487	1637	1993-06-17	VYDAJ	VYBER	2640	21633	\N	\N	\N
480489	1637	1993-08-11	VYDAJ	VYBER	3680	13861	\N	\N	\N
480490	1637	1994-03-30	VYDAJ	VYBER	2640	23090	\N	\N	\N
480491	1637	1994-10-04	VYDAJ	VYBER	3040	15827	\N	\N	\N
480492	1637	1994-08-31	VYDAJ	VYBER	3200	19159	\N	\N	\N
480493	1637	1994-09-26	VYDAJ	VYBER	2720	18800	\N	\N	\N
480494	1637	1994-06-08	VYDAJ	VYBER	1120	23997	\N	\N	\N
480495	1637	1994-04-26	VYDAJ	VYBER	480	24571	\N	\N	\N
480496	1637	1995-06-22	VYDAJ	VYBER	1120	22123	\N	\N	\N
480497	1637	1995-08-06	VYDAJ	VYBER	1360	23302	\N	\N	\N
480498	1637	1995-06-16	VYDAJ	VYBER	3840	23243	\N	\N	\N
480499	1637	1995-05-02	VYDAJ	VYBER	1040	22250	\N	\N	\N
480500	1637	1995-09-22	VYDAJ	VYBER	1040	27099	\N	\N	\N
480501	1637	1996-04-03	VYDAJ	VYBER	2560	16481	\N	\N	\N
480502	1637	1996-04-19	VYDAJ	VYBER	1920	16936	\N	\N	\N
480503	1637	1996-06-21	VYDAJ	VYBER	1760	15191	\N	\N	\N
480504	1637	1996-02-23	VYDAJ	VYBER	400	20055	\N	\N	\N
480506	1637	1996-03-21	VYDAJ	VYBER	3520	18973	\N	\N	\N
480507	1637	1996-01-08	VYDAJ	VYBER	3360	21553	\N	\N	\N
480508	1637	1997-01-19	VYDAJ	VYBER	2080	16443	\N	\N	\N
480509	1637	1997-01-16	VYDAJ	VYBER	3680	18523	\N	\N	\N
480510	1637	1997-09-14	VYDAJ	VYBER	2800	23656	\N	\N	\N
480511	1637	1997-01-15	VYDAJ	VYBER	3760	22203	\N	\N	\N
480512	1637	1997-07-29	VYDAJ	VYBER	560	21559	\N	\N	\N
480513	1637	1997-05-26	VYDAJ	VYBER	2800	22766	\N	\N	\N
480514	1637	1998-05-11	VYDAJ	VYBER	1600	22291	\N	\N	\N
480515	1637	1998-06-06	VYDAJ	VYBER	2080	26025	\N	\N	\N
480516	1637	1998-06-21	VYDAJ	VYBER	1520	20730	\N	\N	\N
480517	1637	1998-01-15	VYDAJ	VYBER	640	28317	\N	\N	\N
480523	1637	1993-05-31	VYDAJ	VYBER	15	29198	SLUZBY	\N	\N
480524	1637	1993-06-30	VYDAJ	VYBER	15	21715	SLUZBY	\N	\N
480525	1637	1993-07-31	VYDAJ	VYBER	15	20884	SLUZBY	\N	\N
480526	1637	1993-08-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
480527	1637	1993-09-30	VYDAJ	VYBER	15	22092	SLUZBY	\N	\N
480528	1637	1993-10-31	VYDAJ	VYBER	15	24548	SLUZBY	\N	\N
480529	1637	1993-11-30	VYDAJ	VYBER	15	27015	SLUZBY	\N	\N
480530	1637	1993-12-31	VYDAJ	VYBER	15	26430	SLUZBY	\N	\N
480531	1637	1994-01-31	VYDAJ	VYBER	15	20904	SLUZBY	\N	\N
480532	1637	1994-02-28	VYDAJ	VYBER	15	23355	SLUZBY	\N	\N
480533	1637	1994-03-31	VYDAJ	VYBER	15	23176	SLUZBY	\N	\N
480534	1637	1994-04-30	VYDAJ	VYBER	15	24655	SLUZBY	\N	\N
480535	1637	1994-05-31	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
480536	1637	1994-06-30	VYDAJ	VYBER	15	17460	SLUZBY	\N	\N
480537	1637	1994-07-31	VYDAJ	VYBER	15	19898	SLUZBY	\N	\N
480538	1637	1994-08-31	VYDAJ	VYBER	15	19145	SLUZBY	\N	\N
480539	1637	1994-09-30	VYDAJ	VYBER	15	18867	SLUZBY	\N	\N
480540	1637	1994-10-31	VYDAJ	VYBER	15	18260	SLUZBY	\N	\N
480541	1637	1994-11-30	VYDAJ	VYBER	15	20700	SLUZBY	\N	\N
480542	1637	1994-12-31	VYDAJ	VYBER	15	22749	SLUZBY	\N	\N
480543	1637	1995-01-31	VYDAJ	VYBER	15	16067	SLUZBY	\N	\N
480544	1637	1995-02-28	VYDAJ	VYBER	15	18497	SLUZBY	\N	\N
480545	1637	1995-03-31	VYDAJ	VYBER	15	20939	SLUZBY	\N	\N
480546	1637	1995-04-30	VYDAJ	VYBER	15	23290	SLUZBY	\N	\N
480547	1637	1995-05-31	VYDAJ	VYBER	15	24708	SLUZBY	\N	\N
480548	1637	1995-06-30	VYDAJ	VYBER	15	22205	SLUZBY	\N	\N
480549	1637	1995-07-31	VYDAJ	VYBER	15	24662	SLUZBY	\N	\N
480550	1637	1995-08-31	VYDAJ	VYBER	15	25764	SLUZBY	\N	\N
480551	1637	1995-09-30	VYDAJ	VYBER	15	27194	SLUZBY	\N	\N
480552	1637	1995-10-31	VYDAJ	VYBER	15	27569	SLUZBY	\N	\N
480553	1637	1995-11-30	VYDAJ	VYBER	15	30048	SLUZBY	\N	\N
480554	1637	1995-12-31	VYDAJ	VYBER	15	28383	SLUZBY	\N	\N
480555	1637	1996-01-31	VYDAJ	VYBER	15	18080	SLUZBY	\N	\N
480556	1637	1996-02-29	VYDAJ	VYBER	15	20118	SLUZBY	\N	\N
480557	1637	1996-03-31	VYDAJ	VYBER	15	19041	SLUZBY	\N	\N
480558	1637	1996-04-30	VYDAJ	VYBER	15	16992	SLUZBY	\N	\N
480559	1637	1996-05-31	VYDAJ	VYBER	15	19426	SLUZBY	\N	\N
480560	1637	1996-06-30	VYDAJ	VYBER	15	15249	SLUZBY	\N	\N
480561	1637	1996-07-31	VYDAJ	VYBER	15	17676	SLUZBY	\N	\N
480562	1637	1996-08-31	VYDAJ	VYBER	15	20113	SLUZBY	\N	\N
480563	1637	1996-09-30	VYDAJ	VYBER	15	22560	SLUZBY	\N	\N
480564	1637	1996-10-31	VYDAJ	VYBER	15	25017	SLUZBY	\N	\N
480565	1637	1996-11-30	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
480566	1637	1996-12-31	VYDAJ	VYBER	15	27908	SLUZBY	\N	\N
480567	1637	1997-01-31	VYDAJ	VYBER	15	15873	SLUZBY	\N	\N
480568	1637	1997-02-28	VYDAJ	VYBER	15	18302	SLUZBY	\N	\N
480569	1637	1997-03-31	VYDAJ	VYBER	15	20741	SLUZBY	\N	\N
480570	1637	1997-04-30	VYDAJ	VYBER	15	23191	SLUZBY	\N	\N
480571	1637	1997-05-31	VYDAJ	VYBER	15	22848	SLUZBY	\N	\N
480572	1637	1997-06-30	VYDAJ	VYBER	15	19744	SLUZBY	\N	\N
480573	1637	1997-07-31	VYDAJ	VYBER	15	21628	SLUZBY	\N	\N
480574	1637	1997-08-31	VYDAJ	VYBER	15	24081	SLUZBY	\N	\N
480575	1637	1997-09-30	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
480576	1637	1997-10-31	VYDAJ	VYBER	15	26199	SLUZBY	\N	\N
480577	1637	1997-11-30	VYDAJ	VYBER	15	28671	SLUZBY	\N	\N
480578	1637	1997-12-31	VYDAJ	VYBER	15	30902	SLUZBY	\N	\N
480579	1637	1998-01-31	VYDAJ	VYBER	15	19869	SLUZBY	\N	\N
480580	1637	1998-02-28	VYDAJ	VYBER	15	22314	SLUZBY	\N	\N
480581	1637	1998-03-31	VYDAJ	VYBER	15	24769	SLUZBY	\N	\N
480582	1637	1998-04-30	VYDAJ	VYBER	15	27234	SLUZBY	\N	\N
480583	1637	1998-05-31	VYDAJ	VYBER	15	28105	SLUZBY	\N	\N
480584	1637	1998-06-30	VYDAJ	VYBER	15	20810	SLUZBY	\N	\N
480585	1637	1998-07-31	VYDAJ	VYBER	15	23259	SLUZBY	\N	\N
480586	1637	1998-08-31	VYDAJ	VYBER	15	25718	SLUZBY	\N	\N
480587	1637	1998-09-30	VYDAJ	VYBER	15	28186	SLUZBY	\N	\N
480588	1637	1998-10-31	VYDAJ	VYBER	15	30665	SLUZBY	\N	\N
480589	1637	1998-11-30	VYDAJ	VYBER	15	33154	SLUZBY	\N	\N
480590	1637	1993-12-04	VYDAJ	VYBER	2300	23965	\N	\N	\N
480591	1637	1994-04-03	VYDAJ	VYBER	500	22676	\N	\N	\N
480592	1637	1994-05-03	VYDAJ	VYBER	1400	23255	\N	\N	\N
480593	1637	1994-06-02	VYDAJ	VYBER	600	25117	\N	\N	\N
480594	1637	1995-04-28	VYDAJ	VYBER	100	23214	\N	\N	\N
480595	1637	1995-10-25	VYDAJ	VYBER	2100	27469	\N	\N	\N
480596	1637	1995-12-24	VYDAJ	VYBER	3000	29423	\N	\N	\N
480597	1637	1996-12-18	VYDAJ	VYBER	1600	27810	\N	\N	\N
480670	1638	1996-11-12	PRIJEM	VKLAD	900	900	\N	\N	\N
480671	1638	1996-11-19	PRIJEM	VKLAD	23552	24452	\N	\N	\N
480694	1638	1996-12-11	PRIJEM	VKLAD	38268	92049	\N	\N	\N
480697	1638	1996-11-29	PRIJEM	VKLAD	29280	53732	\N	\N	\N
480700	1638	1997-09-26	PRIJEM	VKLAD	38224	84679	\N	\N	\N
480701	1638	1997-04-15	PRIJEM	VKLAD	43958	77674	\N	\N	\N
480702	1638	1998-07-18	PRIJEM	VKLAD	21485	44996	\N	\N	\N
480724	1638	1997-10-14	VYDAJ	VYBER	2500	53128	\N	\N	0
480725	1638	1997-11-18	VYDAJ	VYBER	2200	38311	\N	\N	0
480726	1638	1997-12-15	VYDAJ	VYBER	3500	23012	\N	\N	0
480727	1638	1998-01-05	VYDAJ	VYBER	2500	20602	\N	\N	0
480728	1638	1998-02-12	VYDAJ	PREVOD NA UCET	2676	25001	UVER	AB	8848363
480729	1638	1998-03-12	VYDAJ	PREVOD NA UCET	2676	27749	UVER	AB	8848363
480730	1638	1998-04-12	VYDAJ	PREVOD NA UCET	2676	27206	UVER	AB	8848363
480731	1638	1998-05-12	VYDAJ	PREVOD NA UCET	2676	35167	UVER	AB	8848363
480732	1638	1998-06-12	VYDAJ	PREVOD NA UCET	2676	32237	UVER	AB	8848363
480733	1638	1998-07-12	VYDAJ	PREVOD NA UCET	2676	36111	UVER	AB	8848363
480734	1638	1998-08-12	VYDAJ	PREVOD NA UCET	2676	42494	UVER	AB	8848363
480735	1638	1998-09-12	VYDAJ	PREVOD NA UCET	2676	34567	UVER	AB	8848363
480736	1638	1998-10-12	VYDAJ	PREVOD NA UCET	2676	40972	UVER	AB	8848363
480737	1638	1998-11-12	VYDAJ	PREVOD NA UCET	2676	38880	UVER	AB	8848363
480738	1638	1998-12-12	VYDAJ	PREVOD NA UCET	2676	26889	UVER	AB	8848363
480760	1638	1997-10-10	VYDAJ	PREVOD NA UCET	9749	55628	SIPO	QR	57185012
480761	1638	1997-11-10	VYDAJ	PREVOD NA UCET	9749	40511	SIPO	QR	57185012
480762	1638	1997-12-10	VYDAJ	PREVOD NA UCET	9749	33412	SIPO	QR	57185012
480763	1638	1998-01-10	VYDAJ	PREVOD NA UCET	9749	23653	SIPO	QR	57185012
480764	1638	1998-02-10	VYDAJ	PREVOD NA UCET	9749	27677	SIPO	QR	57185012
480765	1638	1998-03-10	VYDAJ	PREVOD NA UCET	9749	30425	SIPO	QR	57185012
480766	1638	1998-04-10	VYDAJ	PREVOD NA UCET	9749	29882	SIPO	QR	57185012
480767	1638	1998-05-10	VYDAJ	PREVOD NA UCET	9749	37843	SIPO	QR	57185012
480768	1638	1998-06-10	VYDAJ	PREVOD NA UCET	9749	34913	SIPO	QR	57185012
480769	1638	1998-07-10	VYDAJ	PREVOD NA UCET	9749	38787	SIPO	QR	57185012
480770	1638	1998-08-10	VYDAJ	PREVOD NA UCET	9749	45170	SIPO	QR	57185012
480771	1638	1998-09-10	VYDAJ	PREVOD NA UCET	9749	37243	SIPO	QR	57185012
480772	1638	1998-10-10	VYDAJ	PREVOD NA UCET	9749	43648	SIPO	QR	57185012
480773	1638	1998-11-10	VYDAJ	PREVOD NA UCET	9749	41556	SIPO	QR	57185012
480774	1638	1998-12-10	VYDAJ	PREVOD NA UCET	9749	29565	SIPO	QR	57185012
480780	1638	1998-09-03	VYBER	VYBER	3152	53592	\N	\N	\N
480788	1638	1997-12-13	VYDAJ	VYBER	6900	26512	\N	\N	\N
480814	1638	1998-07-12	VYDAJ	VYBER	12600	23511	\N	\N	\N
480815	1638	1998-05-19	VYDAJ	VYBER	7200	27967	\N	\N	\N
480816	1638	1998-04-09	VYDAJ	VYBER	4800	39631	\N	\N	\N
480817	1638	1998-09-04	VYDAJ	VYBER	6600	46992	\N	\N	\N
480818	1638	1998-12-10	VYDAJ	VYBER	12600	39314	\N	\N	\N
480840	1638	1997-09-30	VYDAJ	VYBER	30	84977	SLUZBY	\N	\N
480841	1638	1997-10-31	VYDAJ	VYBER	30	53360	SLUZBY	\N	\N
480842	1638	1997-11-30	VYDAJ	VYBER	30	38461	SLUZBY	\N	\N
480843	1638	1997-12-31	VYDAJ	VYBER	30	23102	SLUZBY	\N	\N
480844	1638	1998-01-31	VYDAJ	VYBER	30	23726	SLUZBY	\N	\N
480845	1638	1998-02-28	VYDAJ	VYBER	30	25074	SLUZBY	\N	\N
480846	1638	1998-03-31	VYDAJ	VYBER	30	27831	SLUZBY	\N	\N
480847	1638	1998-04-30	VYDAJ	VYBER	30	27292	SLUZBY	\N	\N
480848	1638	1998-05-31	VYDAJ	VYBER	30	28062	SLUZBY	\N	\N
480849	1638	1998-06-30	VYDAJ	VYBER	30	32336	SLUZBY	\N	\N
480850	1638	1998-07-31	VYDAJ	VYBER	30	45119	SLUZBY	\N	\N
480851	1638	1998-08-31	VYDAJ	VYBER	30	42644	SLUZBY	\N	\N
480852	1638	1998-09-30	VYDAJ	VYBER	30	34697	SLUZBY	\N	\N
480853	1638	1998-10-31	VYDAJ	VYBER	30	41105	SLUZBY	\N	\N
480854	1638	1998-11-30	VYDAJ	VYBER	30	39014	SLUZBY	\N	\N
480855	1638	1996-12-12	VYDAJ	VYBER	33600	58449	\N	\N	\N
480856	1638	1997-01-11	VYDAJ	VYBER	19800	38885	\N	\N	\N
480857	1638	1997-02-10	VYDAJ	VYBER	8200	30929	\N	\N	\N
480858	1638	1997-03-12	PRIJEM	VKLAD	500	31673	\N	\N	\N
480859	1638	1997-04-11	PRIJEM	VKLAD	1800	33716	\N	\N	\N
480860	1638	1997-05-11	VYDAJ	VYBER	18800	59160	\N	\N	\N
480861	1638	1997-06-10	VYDAJ	VYBER	14500	44984	\N	\N	\N
480862	1638	1997-07-10	VYDAJ	VYBER	3500	41808	\N	\N	\N
480863	1638	1997-08-09	VYDAJ	VYBER	500	41631	\N	\N	\N
480864	1638	1997-09-08	PRIJEM	VKLAD	4500	46455	\N	\N	\N
480865	1638	1997-10-08	VYDAJ	VYBER	19600	65377	\N	\N	\N
480866	1638	1997-11-07	VYDAJ	VYBER	3100	50260	\N	\N	\N
480867	1638	1997-12-07	PRIJEM	VKLAD	4700	43161	\N	\N	\N
480868	1638	1998-01-06	PRIJEM	VKLAD	12800	33402	\N	\N	\N
480869	1638	1998-02-05	PRIJEM	VKLAD	13700	37426	\N	\N	\N
480870	1638	1998-03-07	PRIJEM	VKLAD	15100	40174	\N	\N	\N
480871	1638	1998-04-06	PRIJEM	VKLAD	16600	44431	\N	\N	\N
480872	1638	1998-05-06	PRIJEM	VKLAD	20300	47592	\N	\N	\N
480873	1638	1998-06-05	PRIJEM	VKLAD	16600	44662	\N	\N	\N
480874	1638	1998-07-05	PRIJEM	VKLAD	16200	48536	\N	\N	\N
480875	1638	1998-08-04	PRIJEM	VKLAD	9800	54919	\N	\N	\N
480876	1638	1998-09-03	PRIJEM	VKLAD	14100	56744	\N	\N	\N
480877	1638	1998-10-03	PRIJEM	VKLAD	18700	53397	\N	\N	\N
480878	1638	1998-11-02	PRIJEM	VKLAD	10200	51305	\N	\N	\N
480879	1638	1998-12-02	PRIJEM	VKLAD	12900	51914	\N	\N	\N
481530	1640	1995-09-01	PRIJEM	VKLAD	700	700	\N	\N	\N
481539	1640	1995-09-08	PRIJEM	VKLAD	20137	20837	\N	\N	\N
481540	1640	1995-10-08	PRIJEM	VKLAD	20137	44941	\N	\N	\N
481541	1640	1995-11-08	PRIJEM	VKLAD	20137	52040	\N	\N	\N
481542	1640	1995-12-08	PRIJEM	VKLAD	30206	66679	\N	\N	\N
481543	1640	1996-01-08	PRIJEM	VKLAD	20137	67871	\N	\N	\N
481544	1640	1996-02-08	PRIJEM	VKLAD	20137	58161	\N	\N	\N
481545	1640	1996-03-08	PRIJEM	VKLAD	20137	60893	\N	\N	\N
481546	1640	1996-04-08	PRIJEM	VKLAD	20137	55555	\N	\N	\N
481547	1640	1996-05-08	PRIJEM	VKLAD	20137	55191	\N	\N	\N
481548	1640	1996-06-08	PRIJEM	VKLAD	30206	65076	\N	\N	\N
481549	1640	1996-07-08	PRIJEM	VKLAD	20137	58833	\N	\N	\N
481550	1640	1996-08-08	PRIJEM	VKLAD	20137	57076	\N	\N	\N
481551	1640	1996-09-08	PRIJEM	VKLAD	20137	55895	\N	\N	\N
481552	1640	1996-10-08	PRIJEM	VKLAD	20137	53107	\N	\N	\N
481553	1640	1996-11-08	PRIJEM	VKLAD	20137	52830	\N	\N	\N
481554	1640	1996-12-08	PRIJEM	VKLAD	30206	57335	\N	\N	\N
481555	1640	1997-01-08	PRIJEM	VKLAD	20137	53159	\N	\N	\N
481556	1640	1997-02-08	PRIJEM	VKLAD	20137	44552	\N	\N	\N
481557	1640	1997-03-08	PRIJEM	VKLAD	20137	48733	\N	\N	\N
481558	1640	1997-04-08	PRIJEM	VKLAD	20137	53095	\N	\N	\N
481559	1640	1997-05-08	PRIJEM	VKLAD	20137	56596	\N	\N	\N
481560	1640	1997-06-08	PRIJEM	VKLAD	30206	68979	\N	\N	\N
481561	1640	1997-07-08	PRIJEM	VKLAD	20137	66620	\N	\N	\N
481562	1640	1997-08-08	PRIJEM	VKLAD	20137	64468	\N	\N	\N
481563	1640	1997-09-08	PRIJEM	VKLAD	20137	68313	\N	\N	\N
481564	1640	1997-10-08	PRIJEM	VKLAD	20137	64120	\N	\N	\N
481565	1640	1997-11-08	PRIJEM	VKLAD	20137	64837	\N	\N	\N
481566	1640	1997-12-08	PRIJEM	VKLAD	30206	69775	\N	\N	\N
481567	1640	1998-01-08	PRIJEM	VKLAD	20137	63393	\N	\N	\N
481568	1640	1998-02-08	PRIJEM	VKLAD	20137	62102	\N	\N	\N
481569	1640	1998-03-08	PRIJEM	VKLAD	20137	64528	\N	\N	\N
481570	1640	1998-04-08	PRIJEM	VKLAD	20137	70874	\N	\N	\N
481571	1640	1998-05-08	PRIJEM	VKLAD	20137	70772	\N	\N	\N
481572	1640	1998-06-08	PRIJEM	VKLAD	30206	78495	\N	\N	\N
481573	1640	1998-07-08	PRIJEM	VKLAD	20137	63125	\N	\N	\N
481574	1640	1998-08-08	PRIJEM	VKLAD	20137	63751	\N	\N	\N
481575	1640	1998-09-08	PRIJEM	VKLAD	20137	64578	\N	\N	\N
481576	1640	1998-10-08	PRIJEM	VKLAD	20137	63202	\N	\N	\N
481577	1640	1998-11-08	PRIJEM	VKLAD	20137	59614	\N	\N	\N
481578	1640	1998-12-08	PRIJEM	VKLAD	30206	63647	\N	\N	\N
481591	1640	1996-01-13	VYDAJ	PREVOD NA UCET	4783	63088	SIPO	UV	42289441
481592	1640	1996-02-13	VYDAJ	PREVOD NA UCET	4783	53378	SIPO	UV	42289441
481593	1640	1996-03-13	VYDAJ	PREVOD NA UCET	4783	56110	SIPO	UV	42289441
481594	1640	1996-04-13	VYDAJ	PREVOD NA UCET	4783	50772	SIPO	UV	42289441
481595	1640	1996-05-13	VYDAJ	PREVOD NA UCET	4783	50408	SIPO	UV	42289441
481596	1640	1996-06-13	VYDAJ	PREVOD NA UCET	4783	60293	SIPO	UV	42289441
481597	1640	1996-07-13	VYDAJ	PREVOD NA UCET	4783	54050	SIPO	UV	42289441
481598	1640	1996-08-13	VYDAJ	PREVOD NA UCET	4783	52293	SIPO	UV	42289441
481599	1640	1996-09-13	VYDAJ	PREVOD NA UCET	4783	51112	SIPO	UV	42289441
481600	1640	1996-10-13	VYDAJ	PREVOD NA UCET	4783	48324	SIPO	UV	42289441
481601	1640	1996-11-13	VYDAJ	PREVOD NA UCET	4783	48047	SIPO	UV	42289441
481602	1640	1996-12-13	VYDAJ	PREVOD NA UCET	4783	52552	SIPO	UV	42289441
481603	1640	1997-01-13	VYDAJ	PREVOD NA UCET	4783	47416	SIPO	UV	42289441
481604	1640	1997-02-13	VYDAJ	PREVOD NA UCET	4783	39769	SIPO	UV	42289441
481605	1640	1997-03-13	VYDAJ	PREVOD NA UCET	4783	43950	SIPO	UV	42289441
481606	1640	1997-04-13	VYDAJ	PREVOD NA UCET	4783	48312	SIPO	UV	42289441
481607	1640	1997-05-13	VYDAJ	PREVOD NA UCET	4783	51813	SIPO	UV	42289441
481608	1640	1997-06-13	VYDAJ	PREVOD NA UCET	4783	64196	SIPO	UV	42289441
481609	1640	1997-07-13	VYDAJ	PREVOD NA UCET	4783	61837	SIPO	UV	42289441
481610	1640	1997-08-13	VYDAJ	PREVOD NA UCET	4783	59685	SIPO	UV	42289441
481611	1640	1997-09-13	VYDAJ	PREVOD NA UCET	4783	61850	SIPO	UV	42289441
481612	1640	1997-10-13	VYDAJ	PREVOD NA UCET	4783	59337	SIPO	UV	42289441
481613	1640	1997-11-13	VYDAJ	PREVOD NA UCET	4783	60054	SIPO	UV	42289441
481614	1640	1997-12-13	VYDAJ	PREVOD NA UCET	4783	64992	SIPO	UV	42289441
481615	1640	1998-01-13	VYDAJ	PREVOD NA UCET	4783	51410	SIPO	UV	42289441
481616	1640	1998-02-13	VYDAJ	PREVOD NA UCET	4783	57319	SIPO	UV	42289441
481617	1640	1998-03-13	VYDAJ	PREVOD NA UCET	4783	59745	SIPO	UV	42289441
481618	1640	1998-04-13	VYDAJ	PREVOD NA UCET	4783	66091	SIPO	UV	42289441
481619	1640	1998-05-13	VYDAJ	PREVOD NA UCET	4783	65989	SIPO	UV	42289441
481620	1640	1998-06-13	VYDAJ	PREVOD NA UCET	4783	73712	SIPO	UV	42289441
481621	1640	1998-07-13	VYDAJ	PREVOD NA UCET	4783	58342	SIPO	UV	42289441
481622	1640	1998-08-13	VYDAJ	PREVOD NA UCET	4783	58968	SIPO	UV	42289441
481623	1640	1998-09-13	VYDAJ	PREVOD NA UCET	4783	59795	SIPO	UV	42289441
481624	1640	1998-10-13	VYDAJ	PREVOD NA UCET	4783	58419	SIPO	UV	42289441
481625	1640	1998-11-13	VYDAJ	PREVOD NA UCET	4783	54831	SIPO	UV	42289441
481626	1640	1998-12-13	VYDAJ	PREVOD NA UCET	4783	58864	SIPO	UV	42289441
481628	1640	1996-12-21	VYDAJ	VYBER	2080	50472	\N	\N	\N
481629	1640	1997-12-18	VYDAJ	VYBER	4640	60352	\N	\N	\N
481630	1640	1998-12-06	VYDAJ	VYBER	4640	33442	\N	\N	\N
481637	1640	1996-01-14	VYDAJ	VYBER	1560	58168	\N	\N	\N
481638	1640	1996-01-20	VYDAJ	VYBER	3000	52528	\N	\N	\N
481639	1640	1996-01-19	VYDAJ	VYBER	2640	55528	\N	\N	\N
481642	1640	1996-01-13	VYDAJ	VYBER	3360	59728	\N	\N	\N
481643	1640	1997-01-24	VYDAJ	VYBER	2400	26676	\N	\N	\N
481644	1640	1997-01-20	VYDAJ	VYBER	2880	44536	\N	\N	\N
481645	1640	1997-01-30	VYDAJ	VYBER	960	24276	\N	\N	\N
481646	1640	1997-01-26	VYDAJ	VYBER	1440	25236	\N	\N	\N
481647	1640	1997-01-10	VYDAJ	VYBER	960	52199	\N	\N	\N
481648	1640	1997-01-21	VYDAJ	VYBER	2760	41776	\N	\N	\N
481649	1640	1998-01-13	VYDAJ	VYBER	2280	56193	\N	\N	\N
481650	1640	1998-01-04	VYDAJ	VYBER	1680	46256	\N	\N	\N
481651	1640	1998-01-10	VYDAJ	VYBER	1440	61953	\N	\N	\N
481652	1640	1998-01-18	VYDAJ	VYBER	2040	49370	\N	\N	\N
481653	1640	1998-01-05	VYDAJ	VYBER	3000	43256	\N	\N	\N
481654	1640	1998-01-11	VYDAJ	VYBER	3480	58473	\N	\N	\N
481659	1640	1996-11-30	VYDAJ	VYBER	5880	27129	\N	\N	\N
481660	1640	1996-04-05	VYDAJ	VYBER	4080	35418	\N	\N	\N
481661	1640	1996-11-02	VYDAJ	VYBER	2880	32693	\N	\N	\N
481662	1640	1996-07-07	VYDAJ	VYBER	1680	38696	\N	\N	\N
481663	1640	1997-10-25	VYDAJ	VYBER	720	44517	\N	\N	\N
481664	1640	1997-09-13	VYDAJ	VYBER	1680	66633	\N	\N	\N
481665	1640	1997-02-16	VYDAJ	VYBER	4680	35089	\N	\N	\N
481666	1640	1997-09-23	VYDAJ	VYBER	960	43790	\N	\N	\N
481667	1640	1997-11-20	VYDAJ	VYBER	5760	39394	\N	\N	\N
481668	1640	1997-03-15	VYDAJ	VYBER	3120	40830	\N	\N	\N
481669	1640	1998-06-27	VYDAJ	VYBER	5520	42792	\N	\N	\N
481670	1640	1998-11-24	VYDAJ	VYBER	3000	37931	\N	\N	\N
481671	1640	1998-04-14	VYDAJ	VYBER	2160	63931	\N	\N	\N
481685	1640	1996-01-31	VYDAJ	VYBER	15	38024	SLUZBY	\N	\N
481686	1640	1996-02-29	VYDAJ	VYBER	15	40756	SLUZBY	\N	\N
481687	1640	1996-03-31	VYDAJ	VYBER	15	39498	SLUZBY	\N	\N
481688	1640	1996-04-30	VYDAJ	VYBER	15	35054	SLUZBY	\N	\N
481689	1640	1996-05-31	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
481690	1640	1996-06-30	VYDAJ	VYBER	15	40376	SLUZBY	\N	\N
481691	1640	1996-07-31	VYDAJ	VYBER	15	36939	SLUZBY	\N	\N
481692	1640	1996-08-31	VYDAJ	VYBER	15	35758	SLUZBY	\N	\N
481693	1640	1996-09-30	VYDAJ	VYBER	15	32970	SLUZBY	\N	\N
481694	1640	1996-10-31	VYDAJ	VYBER	15	35573	SLUZBY	\N	\N
481695	1640	1996-11-30	VYDAJ	VYBER	15	33009	SLUZBY	\N	\N
481696	1640	1996-12-31	VYDAJ	VYBER	15	33022	SLUZBY	\N	\N
481697	1640	1997-01-31	VYDAJ	VYBER	15	24415	SLUZBY	\N	\N
481698	1640	1997-02-28	VYDAJ	VYBER	15	28596	SLUZBY	\N	\N
481699	1640	1997-03-31	VYDAJ	VYBER	15	32958	SLUZBY	\N	\N
481700	1640	1997-04-30	VYDAJ	VYBER	15	36459	SLUZBY	\N	\N
481701	1640	1997-05-31	VYDAJ	VYBER	15	38773	SLUZBY	\N	\N
481702	1640	1997-06-30	VYDAJ	VYBER	15	46483	SLUZBY	\N	\N
481703	1640	1997-07-31	VYDAJ	VYBER	15	44331	SLUZBY	\N	\N
481704	1640	1997-08-31	VYDAJ	VYBER	15	48176	SLUZBY	\N	\N
481705	1640	1997-09-30	VYDAJ	VYBER	15	43983	SLUZBY	\N	\N
481706	1640	1997-10-31	VYDAJ	VYBER	15	44700	SLUZBY	\N	\N
481707	1640	1997-11-30	VYDAJ	VYBER	15	39570	SLUZBY	\N	\N
481708	1640	1997-12-31	VYDAJ	VYBER	15	47936	SLUZBY	\N	\N
481709	1640	1998-01-31	VYDAJ	VYBER	15	41965	SLUZBY	\N	\N
481710	1640	1998-02-28	VYDAJ	VYBER	15	44391	SLUZBY	\N	\N
481711	1640	1998-03-31	VYDAJ	VYBER	15	50737	SLUZBY	\N	\N
481712	1640	1998-04-30	VYDAJ	VYBER	15	50635	SLUZBY	\N	\N
481713	1640	1998-05-31	VYDAJ	VYBER	15	48290	SLUZBY	\N	\N
481714	1640	1998-06-30	VYDAJ	VYBER	15	42988	SLUZBY	\N	\N
481715	1640	1998-07-31	VYDAJ	VYBER	15	43614	SLUZBY	\N	\N
481716	1640	1998-08-31	VYDAJ	VYBER	15	44441	SLUZBY	\N	\N
481717	1640	1998-09-30	VYDAJ	VYBER	15	43065	SLUZBY	\N	\N
481718	1640	1998-10-31	VYDAJ	VYBER	15	39477	SLUZBY	\N	\N
481719	1640	1998-11-30	VYDAJ	VYBER	15	38082	SLUZBY	\N	\N
481720	1640	1995-10-01	PRIJEM	VKLAD	3900	24804	\N	\N	\N
481721	1640	1995-10-31	VYDAJ	VYBER	13200	31903	\N	\N	\N
481722	1640	1995-11-30	VYDAJ	VYBER	15700	36474	\N	\N	\N
481723	1640	1995-12-30	VYDAJ	VYBER	19100	47579	\N	\N	\N
481724	1640	1996-01-29	VYDAJ	VYBER	14700	37828	\N	\N	\N
481725	1640	1996-02-28	VYDAJ	VYBER	12800	40578	\N	\N	\N
481726	1640	1996-03-29	VYDAJ	VYBER	16800	39310	\N	\N	\N
481727	1640	1996-04-28	VYDAJ	VYBER	15900	34872	\N	\N	\N
481728	1640	1996-05-28	VYDAJ	VYBER	15700	34708	\N	\N	\N
481729	1640	1996-06-27	VYDAJ	VYBER	20100	40193	\N	\N	\N
481730	1640	1996-07-27	VYDAJ	VYBER	17300	36750	\N	\N	\N
481731	1640	1996-08-26	VYDAJ	VYBER	16700	35593	\N	\N	\N
481732	1640	1996-09-25	VYDAJ	VYBER	18300	32812	\N	\N	\N
481733	1640	1996-10-25	VYDAJ	VYBER	12900	35424	\N	\N	\N
481734	1640	1996-11-24	VYDAJ	VYBER	15200	32847	\N	\N	\N
481735	1640	1996-12-24	VYDAJ	VYBER	17600	32872	\N	\N	\N
481736	1640	1997-01-23	VYDAJ	VYBER	12700	29076	\N	\N	\N
481737	1640	1997-02-22	VYDAJ	VYBER	6600	28489	\N	\N	\N
481738	1640	1997-03-24	VYDAJ	VYBER	8000	32830	\N	\N	\N
481739	1640	1997-04-23	VYDAJ	VYBER	12000	36312	\N	\N	\N
481740	1640	1997-05-23	VYDAJ	VYBER	13200	38613	\N	\N	\N
481741	1640	1997-06-22	VYDAJ	VYBER	17900	46296	\N	\N	\N
481742	1640	1997-07-22	VYDAJ	VYBER	17700	44137	\N	\N	\N
481743	1640	1997-08-21	VYDAJ	VYBER	11700	47985	\N	\N	\N
481744	1640	1997-09-20	VYDAJ	VYBER	17100	44750	\N	\N	\N
481745	1640	1997-10-20	VYDAJ	VYBER	14100	45237	\N	\N	\N
481746	1640	1997-11-19	VYDAJ	VYBER	14900	45154	\N	\N	\N
481747	1640	1997-12-19	VYDAJ	VYBER	12600	47752	\N	\N	\N
481748	1640	1998-01-18	VYDAJ	VYBER	7600	41770	\N	\N	\N
481749	1640	1998-02-17	VYDAJ	VYBER	13100	44219	\N	\N	\N
481750	1640	1998-03-19	VYDAJ	VYBER	9200	50545	\N	\N	\N
481751	1640	1998-04-18	VYDAJ	VYBER	13500	50431	\N	\N	\N
481752	1640	1998-05-18	VYDAJ	VYBER	17900	48089	\N	\N	\N
481753	1640	1998-06-17	VYDAJ	VYBER	25400	48312	\N	\N	\N
481754	1640	1998-07-17	VYDAJ	VYBER	14900	43442	\N	\N	\N
481755	1640	1998-08-16	VYDAJ	VYBER	14700	44268	\N	\N	\N
481756	1640	1998-09-15	VYDAJ	VYBER	16900	42895	\N	\N	\N
481757	1640	1998-10-15	VYDAJ	VYBER	19100	39319	\N	\N	\N
481758	1640	1998-11-14	VYDAJ	VYBER	13900	40931	\N	\N	\N
481799	1641	1996-04-22	PRIJEM	VKLAD	900	900	\N	\N	\N
481800	1641	1996-11-08	PRIJEM	VKLAD	45814	89075	\N	\N	\N
481801	1641	1996-12-21	PRIJEM	VKLAD	16743	48104	\N	\N	\N
481802	1641	1996-08-09	PRIJEM	VKLAD	5076	42019	\N	\N	\N
481804	1641	1996-08-20	PRIJEM	VKLAD	30239	70964	\N	\N	\N
481805	1641	1996-11-13	PRIJEM	VKLAD	13544	101325	\N	\N	\N
481806	1641	1996-06-30	PRIJEM	VKLAD	39083	139041	\N	\N	\N
481807	1641	1996-05-24	PRIJEM	VKLAD	28571	60546	\N	\N	\N
481808	1641	1996-06-22	PRIJEM	VKLAD	43127	99958	\N	\N	\N
481809	1641	1996-06-03	PRIJEM	VKLAD	9173	69861	\N	\N	\N
481810	1641	1996-09-11	PRIJEM	VKLAD	41449	107530	\N	\N	\N
481812	1641	1996-06-12	PRIJEM	VKLAD	15770	85631	\N	\N	\N
481813	1641	1996-05-11	PRIJEM	VKLAD	15253	39475	\N	\N	\N
481814	1641	1996-09-26	PRIJEM	VKLAD	26783	98444	\N	\N	\N
481818	1641	1996-11-28	PRIJEM	VKLAD	13214	69439	\N	\N	\N
481821	1641	1996-12-22	PRIJEM	VKLAD	49716	97820	\N	\N	\N
481822	1641	1996-10-07	PRIJEM	VKLAD	44884	135684	\N	\N	\N
481823	1641	1996-09-08	PRIJEM	VKLAD	38064	67375	\N	\N	\N
481824	1641	1996-09-20	PRIJEM	VKLAD	14130	76760	\N	\N	\N
481825	1641	1996-04-24	PRIJEM	VKLAD	23298	24198	\N	\N	\N
481826	1641	1997-02-11	PRIJEM	VKLAD	33593	48023	\N	\N	\N
481827	1641	1997-10-23	PRIJEM	VKLAD	9513	31694	\N	\N	\N
481828	1641	1997-08-13	PRIJEM	VKLAD	43601	118279	\N	\N	\N
481829	1641	1997-02-15	PRIJEM	VKLAD	20162	68185	\N	\N	\N
481830	1641	1997-08-03	PRIJEM	VKLAD	9565	56347	\N	\N	\N
481831	1641	1997-04-25	PRIJEM	VKLAD	29911	70532	\N	\N	\N
481832	1641	1997-02-23	PRIJEM	VKLAD	16993	55378	\N	\N	\N
481833	1641	1997-01-05	PRIJEM	VKLAD	48968	144499	\N	\N	\N
481834	1641	1997-08-06	PRIJEM	VKLAD	28390	122014	\N	\N	\N
481835	1641	1997-08-25	PRIJEM	VKLAD	15516	50095	\N	\N	\N
481836	1641	1997-06-22	PRIJEM	VKLAD	33028	53889	\N	\N	\N
481837	1641	1997-08-10	PRIJEM	VKLAD	18602	75972	\N	\N	\N
481838	1641	1997-10-12	PRIJEM	VKLAD	27952	43481	\N	\N	\N
481839	1641	1997-08-04	PRIJEM	VKLAD	37277	93624	\N	\N	\N
481840	1641	1997-07-13	PRIJEM	VKLAD	10254	76949	\N	\N	\N
481841	1641	1997-04-15	PRIJEM	VKLAD	5990	67121	\N	\N	\N
481842	1641	1997-06-26	PRIJEM	VKLAD	25586	79475	\N	\N	\N
481843	1641	1997-03-28	PRIJEM	VKLAD	26223	70181	\N	\N	\N
481844	1641	1997-03-13	PRIJEM	VKLAD	47923	82358	\N	\N	\N
481845	1641	1998-01-05	PRIJEM	VKLAD	49920	67701	\N	\N	\N
481846	1641	1998-05-10	PRIJEM	VKLAD	16503	72129	\N	\N	\N
481847	1641	1998-11-08	PRIJEM	VKLAD	28119	73000	\N	\N	\N
481848	1641	1998-09-07	PRIJEM	VKLAD	41534	110147	\N	\N	\N
481849	1641	1998-08-04	PRIJEM	VKLAD	39587	134146	\N	\N	\N
481850	1641	1998-02-11	PRIJEM	VKLAD	20399	74705	\N	\N	\N
481851	1641	1998-07-23	PRIJEM	VKLAD	35283	70444	\N	\N	\N
481852	1641	1998-10-01	PRIJEM	VKLAD	34861	139330	\N	\N	\N
481853	1641	1998-11-17	PRIJEM	VKLAD	14200	51506	\N	\N	\N
481854	1641	1998-11-21	PRIJEM	VKLAD	13972	65478	\N	\N	\N
481855	1641	1998-04-25	PRIJEM	VKLAD	40939	98598	\N	\N	\N
481856	1641	1998-06-16	PRIJEM	VKLAD	27279	50082	\N	\N	\N
481857	1641	1998-04-27	PRIJEM	VKLAD	49543	148141	\N	\N	\N
481858	1641	1998-09-18	PRIJEM	VKLAD	49275	108028	\N	\N	\N
481859	1641	1998-05-23	PRIJEM	VKLAD	18568	59744	\N	\N	\N
481860	1641	1998-03-19	PRIJEM	VKLAD	5100	19129	\N	\N	\N
481861	1641	1998-08-18	PRIJEM	VKLAD	22416	96313	\N	\N	\N
481862	1641	1998-01-02	PRIJEM	VKLAD	7500	17781	\N	\N	\N
481863	1641	1998-07-29	PRIJEM	VKLAD	23913	94357	\N	\N	\N
481864	1641	1998-01-28	PRIJEM	VKLAD	20025	74188	\N	\N	\N
481865	1641	1998-04-14	PRIJEM	VKLAD	38134	57659	\N	\N	\N
481866	1641	1998-01-26	PRIJEM	VKLAD	26484	61063	\N	\N	\N
481867	1641	1998-08-30	PRIJEM	VKLAD	37484	133797	\N	\N	\N
481868	1641	1998-03-27	PRIJEM	VKLAD	31647	50776	\N	\N	\N
481869	1641	1998-01-12	PRIJEM	VKLAD	48027	90879	\N	\N	\N
481870	1641	1998-08-13	PRIJEM	VKLAD	28200	73897	\N	\N	\N
481871	1641	1998-12-20	PRIJEM	VKLAD	32059	56186	\N	\N	\N
481872	1641	1998-07-11	PRIJEM	VKLAD	19948	60961	\N	\N	\N
481873	1641	1998-05-19	PRIJEM	VKLAD	6941	41176	\N	\N	\N
481916	1641	1996-07-06	VYDAJ	PREVOD NA UCET	7532	70132	SIPO	ST	5037063
481917	1641	1996-08-06	VYDAJ	PREVOD NA UCET	7532	37366	SIPO	ST	5037063
482126	1641	1997-04-17	VYDAJ	VYBER	26500	40621	\N	\N	\N
481918	1641	1996-09-06	VYDAJ	PREVOD NA UCET	7532	29734	SIPO	ST	5037063
481919	1641	1996-10-06	VYDAJ	PREVOD NA UCET	7532	90800	SIPO	ST	5037063
481920	1641	1996-11-06	VYDAJ	PREVOD NA UCET	7532	43261	SIPO	ST	5037063
481921	1641	1996-12-06	VYDAJ	PREVOD NA UCET	7532	61755	SIPO	ST	5037063
481922	1641	1997-01-06	VYDAJ	PREVOD NA UCET	7532	85467	SIPO	ST	5037063
481923	1641	1997-02-06	VYDAJ	PREVOD NA UCET	7532	16147	SIPO	ST	5037063
481924	1641	1997-03-06	VYDAJ	PREVOD NA UCET	7532	35729	SIPO	ST	5037063
481925	1641	1997-04-06	VYDAJ	PREVOD NA UCET	7532	62848	SIPO	ST	5037063
481926	1641	1997-05-06	VYDAJ	PREVOD NA UCET	7532	62811	SIPO	ST	5037063
481927	1641	1997-06-06	VYDAJ	PREVOD NA UCET	7532	27178	SIPO	ST	5037063
481928	1641	1997-07-06	VYDAJ	PREVOD NA UCET	7532	72091	SIPO	ST	5037063
481929	1641	1997-08-06	VYDAJ	PREVOD NA UCET	7532	114482	SIPO	ST	5037063
481930	1641	1997-09-06	VYDAJ	PREVOD NA UCET	7532	42344	SIPO	ST	5037063
481931	1641	1997-10-06	VYDAJ	PREVOD NA UCET	7532	16823	SIPO	ST	5037063
481932	1641	1997-11-06	VYDAJ	PREVOD NA UCET	7532	20718	SIPO	ST	5037063
481933	1641	1997-12-06	VYDAJ	PREVOD NA UCET	7532	11964	SIPO	ST	5037063
481934	1641	1998-01-06	VYDAJ	PREVOD NA UCET	7532	59746	SIPO	ST	5037063
481935	1641	1998-02-06	VYDAJ	PREVOD NA UCET	7532	56023	SIPO	ST	5037063
481936	1641	1998-03-06	VYDAJ	PREVOD NA UCET	7532	27146	SIPO	ST	5037063
481937	1641	1998-04-06	VYDAJ	PREVOD NA UCET	7532	42919	SIPO	ST	5037063
481938	1641	1998-05-06	VYDAJ	PREVOD NA UCET	7532	55626	SIPO	ST	5037063
481939	1641	1998-06-06	VYDAJ	PREVOD NA UCET	7532	51997	SIPO	ST	5037063
481940	1641	1998-07-06	VYDAJ	PREVOD NA UCET	7532	42307	SIPO	ST	5037063
481941	1641	1998-08-06	VYDAJ	PREVOD NA UCET	7532	80791	SIPO	ST	5037063
481942	1641	1998-09-06	VYDAJ	PREVOD NA UCET	7532	68613	SIPO	ST	5037063
481943	1641	1998-10-06	VYDAJ	PREVOD NA UCET	7532	93275	SIPO	ST	5037063
481944	1641	1998-11-06	VYDAJ	PREVOD NA UCET	7532	45304	SIPO	ST	5037063
481945	1641	1998-12-06	VYDAJ	PREVOD NA UCET	7532	45121	SIPO	ST	5037063
481952	1641	1996-07-10	VYDAJ	PREVOD NA UCET	1294	68415	 	MN	57866871
481953	1641	1996-08-10	VYDAJ	PREVOD NA UCET	1294	40725	 	MN	57866871
481954	1641	1996-09-10	VYDAJ	PREVOD NA UCET	1294	66081	 	MN	57866871
481955	1641	1996-10-10	VYDAJ	PREVOD NA UCET	1294	93590	 	MN	57866871
481956	1641	1996-11-10	VYDAJ	PREVOD NA UCET	1294	87781	 	MN	57866871
481957	1641	1996-12-10	VYDAJ	PREVOD NA UCET	1294	60461	 	MN	57866871
481958	1641	1997-01-10	VYDAJ	PREVOD NA UCET	1294	79250	 	MN	57866871
481959	1641	1997-02-10	VYDAJ	PREVOD NA UCET	1294	14430	 	MN	57866871
481960	1641	1997-03-10	VYDAJ	PREVOD NA UCET	1294	34435	 	MN	57866871
481961	1641	1997-04-10	VYDAJ	PREVOD NA UCET	1294	61131	 	MN	57866871
481962	1641	1997-05-10	VYDAJ	PREVOD NA UCET	1294	61517	 	MN	57866871
481963	1641	1997-06-10	VYDAJ	PREVOD NA UCET	1294	25461	 	MN	57866871
481964	1641	1997-07-10	VYDAJ	PREVOD NA UCET	1294	66695	 	MN	57866871
481965	1641	1997-08-10	VYDAJ	PREVOD NA UCET	1294	74678	 	MN	57866871
481966	1641	1997-09-10	VYDAJ	PREVOD NA UCET	1294	41050	 	MN	57866871
481967	1641	1997-10-10	VYDAJ	PREVOD NA UCET	1294	15529	 	MN	57866871
481968	1641	1997-11-10	VYDAJ	PREVOD NA UCET	1294	19424	 	MN	57866871
481969	1641	1997-12-10	VYDAJ	PREVOD NA UCET	1294	10247	 	MN	57866871
481970	1641	1998-01-10	VYDAJ	PREVOD NA UCET	1294	48852	 	MN	57866871
481971	1641	1998-02-10	VYDAJ	PREVOD NA UCET	1294	54306	 	MN	57866871
481972	1641	1998-03-10	VYDAJ	PREVOD NA UCET	1294	25429	 	MN	57866871
481973	1641	1998-04-10	VYDAJ	PREVOD NA UCET	1294	41625	 	MN	57866871
481974	1641	1998-05-10	VYDAJ	PREVOD NA UCET	1294	70835	 	MN	57866871
481975	1641	1998-06-10	VYDAJ	PREVOD NA UCET	1294	39003	 	MN	57866871
481976	1641	1998-07-10	VYDAJ	PREVOD NA UCET	1294	41013	 	MN	57866871
481977	1641	1998-08-10	VYDAJ	PREVOD NA UCET	1294	79497	 	MN	57866871
481978	1641	1998-09-10	VYDAJ	PREVOD NA UCET	1294	58753	 	MN	57866871
481979	1641	1998-10-10	VYDAJ	PREVOD NA UCET	1294	52581	 	MN	57866871
481980	1641	1998-11-10	VYDAJ	PREVOD NA UCET	1294	37306	 	MN	57866871
481981	1641	1998-12-10	VYDAJ	PREVOD NA UCET	1294	24127	 	MN	57866871
481988	1641	1996-07-06	VYDAJ	PREVOD NA UCET	423	69709	POJISTNE	QR	14463842
481989	1641	1996-08-06	VYDAJ	PREVOD NA UCET	423	36943	POJISTNE	QR	14463842
481990	1641	1996-09-06	VYDAJ	PREVOD NA UCET	423	29311	POJISTNE	QR	14463842
481991	1641	1996-10-06	VYDAJ	PREVOD NA UCET	423	98332	POJISTNE	QR	14463842
481992	1641	1996-11-06	VYDAJ	PREVOD NA UCET	423	50793	POJISTNE	QR	14463842
481993	1641	1996-12-06	VYDAJ	PREVOD NA UCET	423	69287	POJISTNE	QR	14463842
481994	1641	1997-01-06	VYDAJ	PREVOD NA UCET	423	85044	POJISTNE	QR	14463842
481995	1641	1997-02-06	VYDAJ	PREVOD NA UCET	423	15724	POJISTNE	QR	14463842
481996	1641	1997-03-06	VYDAJ	PREVOD NA UCET	423	43261	POJISTNE	QR	14463842
481997	1641	1997-04-06	VYDAJ	PREVOD NA UCET	423	62425	POJISTNE	QR	14463842
481998	1641	1997-05-06	VYDAJ	PREVOD NA UCET	423	70343	POJISTNE	QR	14463842
481999	1641	1997-06-06	VYDAJ	PREVOD NA UCET	423	26755	POJISTNE	QR	14463842
482000	1641	1997-07-06	VYDAJ	PREVOD NA UCET	423	71668	POJISTNE	QR	14463842
482001	1641	1997-08-06	VYDAJ	PREVOD NA UCET	423	78559	POJISTNE	QR	14463842
482002	1641	1997-09-06	VYDAJ	PREVOD NA UCET	423	49876	POJISTNE	QR	14463842
482003	1641	1997-10-06	VYDAJ	PREVOD NA UCET	423	24355	POJISTNE	QR	14463842
482004	1641	1997-11-06	VYDAJ	PREVOD NA UCET	423	28250	POJISTNE	QR	14463842
482005	1641	1997-12-06	VYDAJ	PREVOD NA UCET	423	11541	POJISTNE	QR	14463842
482006	1641	1998-01-06	VYDAJ	PREVOD NA UCET	423	67278	POJISTNE	QR	14463842
482007	1641	1998-02-06	VYDAJ	PREVOD NA UCET	423	55600	POJISTNE	QR	14463842
482008	1641	1998-03-06	VYDAJ	PREVOD NA UCET	423	26723	POJISTNE	QR	14463842
482009	1641	1998-04-06	VYDAJ	PREVOD NA UCET	423	50451	POJISTNE	QR	14463842
482010	1641	1998-05-06	VYDAJ	PREVOD NA UCET	423	63158	POJISTNE	QR	14463842
482011	1641	1998-06-06	VYDAJ	PREVOD NA UCET	423	59529	POJISTNE	QR	14463842
482012	1641	1998-07-06	VYDAJ	PREVOD NA UCET	423	49839	POJISTNE	QR	14463842
482013	1641	1998-08-06	VYDAJ	PREVOD NA UCET	423	88323	POJISTNE	QR	14463842
482014	1641	1998-09-06	VYDAJ	PREVOD NA UCET	423	76145	POJISTNE	QR	14463842
482015	1641	1998-10-06	VYDAJ	PREVOD NA UCET	423	100807	POJISTNE	QR	14463842
482016	1641	1998-11-06	VYDAJ	PREVOD NA UCET	423	44881	POJISTNE	QR	14463842
482017	1641	1998-12-06	VYDAJ	PREVOD NA UCET	423	52653	POJISTNE	QR	14463842
482018	1641	1996-10-12	VYBER	VYBER	8886	84704	\N	\N	\N
482020	1641	1996-09-22	VYBER	VYBER	5099	71661	\N	\N	\N
482023	1641	1997-01-11	VYBER	VYBER	11400	65450	\N	\N	\N
482024	1641	1997-08-08	VYBER	VYBER	21189	57370	\N	\N	\N
482026	1641	1997-01-13	VYBER	VYBER	12976	52474	\N	\N	\N
482027	1641	1997-07-08	VYBER	VYBER	3679	67989	\N	\N	\N
482028	1641	1997-02-25	VYBER	VYBER	11829	43549	\N	\N	\N
482029	1641	1997-10-30	VYBER	VYBER	3112	28582	\N	\N	\N
482030	1641	1997-01-04	VYBER	VYBER	2564	95531	\N	\N	\N
482037	1641	1998-01-10	VYDAJ	VYBER	6000	42852	\N	\N	\N
482038	1641	1996-12-14	VYDAJ	VYBER	4500	55961	\N	\N	\N
482040	1641	1998-12-06	VYDAJ	VYBER	2100	43021	\N	\N	\N
482047	1641	1997-01-05	VYDAJ	VYBER	2700	141799	\N	\N	\N
482048	1641	1997-01-08	VYDAJ	VYBER	4500	80544	\N	\N	\N
482049	1641	1997-01-18	VYDAJ	VYBER	4200	23474	\N	\N	\N
482050	1641	1997-01-10	VYDAJ	VYBER	2400	76850	\N	\N	\N
482051	1641	1997-01-16	VYDAJ	VYBER	7800	44674	\N	\N	\N
482054	1641	1998-01-09	VYDAJ	VYBER	6600	50146	\N	\N	\N
482055	1641	1998-01-07	VYDAJ	VYBER	3000	56746	\N	\N	\N
482056	1641	1998-01-27	VYDAJ	VYBER	6900	54163	\N	\N	\N
482057	1641	1998-01-17	VYDAJ	VYBER	6000	34579	\N	\N	\N
482058	1641	1998-01-12	VYDAJ	VYBER	3900	86979	\N	\N	\N
482062	1641	1996-12-16	VYDAJ	VYBER	11100	44861	\N	\N	\N
482063	1641	1996-09-05	VYDAJ	VYBER	8100	37266	\N	\N	\N
482067	1641	1998-11-21	VYDAJ	VYBER	12600	52878	\N	\N	\N
482068	1641	1998-09-22	VYDAJ	VYBER	3900	104128	\N	\N	\N
482069	1641	1998-02-01	VYDAJ	VYBER	10800	63555	\N	\N	\N
482070	1641	1998-05-16	VYDAJ	VYBER	3000	34235	\N	\N	\N
482073	1641	1998-06-10	VYDAJ	VYBER	7500	40297	\N	\N	\N
482074	1641	1998-06-09	VYDAJ	VYBER	4200	47797	\N	\N	\N
482081	1641	1996-06-30	VYDAJ	VYBER	15	139364	SLUZBY	\N	\N
482082	1641	1996-07-31	VYDAJ	VYBER	15	44898	SLUZBY	\N	\N
482083	1641	1996-08-31	VYDAJ	VYBER	15	45366	SLUZBY	\N	\N
482084	1641	1996-09-30	VYDAJ	VYBER	15	98755	SLUZBY	\N	\N
482085	1641	1996-10-31	VYDAJ	VYBER	15	51216	SLUZBY	\N	\N
482086	1641	1996-11-30	VYDAJ	VYBER	15	69710	SLUZBY	\N	\N
482087	1641	1996-12-31	VYDAJ	VYBER	15	98095	SLUZBY	\N	\N
482088	1641	1997-01-31	VYDAJ	VYBER	15	23679	SLUZBY	\N	\N
482089	1641	1997-02-28	VYDAJ	VYBER	15	43684	SLUZBY	\N	\N
482090	1641	1997-03-31	VYDAJ	VYBER	15	70380	SLUZBY	\N	\N
482091	1641	1997-04-30	VYDAJ	VYBER	15	70766	SLUZBY	\N	\N
482092	1641	1997-05-31	VYDAJ	VYBER	15	34710	SLUZBY	\N	\N
482093	1641	1997-06-30	VYDAJ	VYBER	15	79623	SLUZBY	\N	\N
482094	1641	1997-07-31	VYDAJ	VYBER	15	46782	SLUZBY	\N	\N
482095	1641	1997-08-31	VYDAJ	VYBER	15	50299	SLUZBY	\N	\N
482096	1641	1997-09-30	VYDAJ	VYBER	15	24778	SLUZBY	\N	\N
482097	1641	1997-10-31	VYDAJ	VYBER	15	28673	SLUZBY	\N	\N
482098	1641	1997-11-30	VYDAJ	VYBER	15	19496	SLUZBY	\N	\N
482099	1641	1997-12-31	VYDAJ	VYBER	15	10281	SLUZBY	\N	\N
482100	1641	1998-01-31	VYDAJ	VYBER	15	74355	SLUZBY	\N	\N
482101	1641	1998-02-28	VYDAJ	VYBER	15	34678	SLUZBY	\N	\N
482102	1641	1998-03-31	VYDAJ	VYBER	15	50874	SLUZBY	\N	\N
482103	1641	1998-04-30	VYDAJ	VYBER	15	63581	SLUZBY	\N	\N
482104	1641	1998-05-31	VYDAJ	VYBER	15	59952	SLUZBY	\N	\N
482105	1641	1998-06-30	VYDAJ	VYBER	15	50262	SLUZBY	\N	\N
482106	1641	1998-07-31	VYDAJ	VYBER	15	94559	SLUZBY	\N	\N
482107	1641	1998-08-31	VYDAJ	VYBER	15	76568	SLUZBY	\N	\N
482108	1641	1998-09-30	VYDAJ	VYBER	15	104469	SLUZBY	\N	\N
482109	1641	1998-10-31	VYDAJ	VYBER	15	52836	SLUZBY	\N	\N
482110	1641	1998-11-30	VYDAJ	VYBER	15	53076	SLUZBY	\N	\N
482111	1641	1996-05-22	VYDAJ	VYBER	7500	31975	\N	\N	\N
482112	1641	1996-06-21	VYDAJ	VYBER	28800	56831	\N	\N	\N
482113	1641	1996-06-30	VYDAJ	VYBER	61700	77664	\N	\N	\N
482114	1641	1996-07-21	VYDAJ	VYBER	23800	44615	\N	\N	\N
482115	1641	1996-08-20	VYDAJ	VYBER	25800	45164	\N	\N	\N
482116	1641	1996-09-19	VYDAJ	VYBER	44900	62630	\N	\N	\N
482117	1641	1996-10-07	VYDAJ	VYBER	25500	110184	\N	\N	\N
482118	1641	1996-10-10	VYDAJ	VYBER	15300	94884	\N	\N	\N
482119	1641	1996-10-19	VYDAJ	VYBER	33800	50904	\N	\N	\N
482120	1641	1996-11-18	VYDAJ	VYBER	45100	56225	\N	\N	\N
482121	1641	1996-12-18	VYDAJ	VYBER	13500	31361	\N	\N	\N
482122	1641	1997-01-05	VYDAJ	VYBER	48800	92999	\N	\N	\N
482123	1641	1997-01-17	VYDAJ	VYBER	17000	27674	\N	\N	\N
482124	1641	1997-02-16	VYDAJ	VYBER	29800	38385	\N	\N	\N
482125	1641	1997-03-18	VYDAJ	VYBER	38400	43958	\N	\N	\N
482127	1641	1997-05-17	VYDAJ	VYBER	27000	34517	\N	\N	\N
482128	1641	1997-06-16	VYDAJ	VYBER	4600	20861	\N	\N	\N
482129	1641	1997-07-16	VYDAJ	VYBER	30400	46549	\N	\N	\N
482130	1641	1997-08-06	VYDAJ	VYBER	35500	78982	\N	\N	\N
482131	1641	1997-08-13	VYDAJ	VYBER	61900	56379	\N	\N	\N
482132	1641	1997-08-15	VYDAJ	VYBER	21800	34579	\N	\N	\N
482133	1641	1997-09-14	VYDAJ	VYBER	16400	24650	\N	\N	\N
482134	1641	1997-10-14	VYDAJ	VYBER	21300	22181	\N	\N	\N
482135	1641	1998-01-12	VYDAJ	VYBER	46400	40579	\N	\N	\N
482136	1641	1998-02-11	VYDAJ	VYBER	40200	34505	\N	\N	\N
482137	1641	1998-03-13	VYDAJ	VYBER	11400	14029	\N	\N	\N
482138	1641	1998-04-12	VYDAJ	VYBER	22100	19525	\N	\N	\N
482139	1641	1998-04-27	VYDAJ	VYBER	25300	122841	\N	\N	\N
482140	1641	1998-04-30	VYDAJ	VYBER	59500	63596	\N	\N	\N
482141	1641	1998-05-12	VYDAJ	VYBER	33600	37235	\N	\N	\N
482142	1641	1998-06-11	VYDAJ	VYBER	16200	22803	\N	\N	\N
482143	1641	1998-07-11	VYDAJ	VYBER	25800	35161	\N	\N	\N
482144	1641	1998-08-04	VYDAJ	VYBER	45400	88746	\N	\N	\N
482145	1641	1998-08-10	VYDAJ	VYBER	33800	45697	\N	\N	\N
482146	1641	1998-08-30	VYDAJ	VYBER	57600	76197	\N	\N	\N
482147	1641	1998-09-09	VYDAJ	VYBER	50100	60047	\N	\N	\N
482148	1641	1998-10-01	VYDAJ	VYBER	38100	101230	\N	\N	\N
482149	1641	1998-10-09	VYDAJ	VYBER	39400	53875	\N	\N	\N
482150	1641	1998-11-08	VYDAJ	VYBER	34400	38600	\N	\N	\N
482151	1641	1998-12-08	VYDAJ	VYBER	17600	25421	\N	\N	\N
482185	1642	1995-05-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
482191	1642	1995-06-09	PRIJEM	PREVOD Z UCTU	6432	7432	DUCHOD	WX	45791804
482192	1642	1995-07-09	PRIJEM	PREVOD Z UCTU	6432	13864	DUCHOD	WX	45791804
482193	1642	1995-08-09	PRIJEM	PREVOD Z UCTU	6432	20296	DUCHOD	WX	45791804
482194	1642	1995-09-09	PRIJEM	PREVOD Z UCTU	6432	26347	DUCHOD	WX	45791804
482195	1642	1995-10-09	PRIJEM	PREVOD Z UCTU	6432	29164	DUCHOD	WX	45791804
482196	1642	1995-11-09	PRIJEM	PREVOD Z UCTU	6432	25079	DUCHOD	WX	45791804
482197	1642	1995-12-09	PRIJEM	PREVOD Z UCTU	6432	20493	DUCHOD	WX	45791804
482198	1642	1996-01-09	PRIJEM	PREVOD Z UCTU	6432	19662	DUCHOD	WX	45791804
482199	1642	1996-02-09	PRIJEM	PREVOD Z UCTU	6432	16388	DUCHOD	WX	45791804
482200	1642	1996-03-09	PRIJEM	PREVOD Z UCTU	6432	16787	DUCHOD	WX	45791804
482201	1642	1996-04-09	PRIJEM	PREVOD Z UCTU	6432	19674	DUCHOD	WX	45791804
482202	1642	1996-05-09	PRIJEM	PREVOD Z UCTU	6432	20888	DUCHOD	WX	45791804
482203	1642	1996-06-09	PRIJEM	PREVOD Z UCTU	6432	20788	DUCHOD	WX	45791804
482204	1642	1996-07-09	PRIJEM	PREVOD Z UCTU	6432	20087	DUCHOD	WX	45791804
482205	1642	1996-08-09	PRIJEM	PREVOD Z UCTU	6432	21585	DUCHOD	WX	45791804
482206	1642	1996-09-09	PRIJEM	PREVOD Z UCTU	6432	24493	DUCHOD	WX	45791804
482207	1642	1996-10-09	PRIJEM	PREVOD Z UCTU	6432	19021	DUCHOD	WX	45791804
482208	1642	1996-11-09	PRIJEM	PREVOD Z UCTU	6432	21917	DUCHOD	WX	45791804
482209	1642	1996-12-09	PRIJEM	PREVOD Z UCTU	6432	22673	DUCHOD	WX	45791804
482210	1642	1997-01-09	PRIJEM	PREVOD Z UCTU	6432	22023	DUCHOD	WX	45791804
482211	1642	1997-02-09	PRIJEM	PREVOD Z UCTU	6432	19807	DUCHOD	WX	45791804
482212	1642	1997-03-09	PRIJEM	PREVOD Z UCTU	6432	18946	DUCHOD	WX	45791804
482213	1642	1997-04-09	PRIJEM	PREVOD Z UCTU	6432	21845	DUCHOD	WX	45791804
482214	1642	1997-05-09	PRIJEM	PREVOD Z UCTU	6432	24753	DUCHOD	WX	45791804
482215	1642	1997-06-09	PRIJEM	PREVOD Z UCTU	6432	19541	DUCHOD	WX	45791804
482216	1642	1997-07-09	PRIJEM	PREVOD Z UCTU	6432	22441	DUCHOD	WX	45791804
482217	1642	1997-08-09	PRIJEM	PREVOD Z UCTU	6432	22846	DUCHOD	WX	45791804
482218	1642	1997-09-09	PRIJEM	PREVOD Z UCTU	6432	25038	DUCHOD	WX	45791804
482219	1642	1997-10-09	PRIJEM	PREVOD Z UCTU	6432	21543	DUCHOD	WX	45791804
482220	1642	1997-11-09	PRIJEM	PREVOD Z UCTU	6432	24249	DUCHOD	WX	45791804
482221	1642	1997-12-09	PRIJEM	PREVOD Z UCTU	6432	17426	DUCHOD	WX	45791804
482222	1642	1998-01-09	PRIJEM	PREVOD Z UCTU	6432	16707	DUCHOD	WX	45791804
482223	1642	1998-02-09	PRIJEM	PREVOD Z UCTU	6432	16786	DUCHOD	WX	45791804
482224	1642	1998-03-09	PRIJEM	PREVOD Z UCTU	6432	18670	DUCHOD	WX	45791804
482225	1642	1998-04-09	PRIJEM	PREVOD Z UCTU	6432	17954	DUCHOD	WX	45791804
482226	1642	1998-05-09	PRIJEM	PREVOD Z UCTU	6432	14629	DUCHOD	WX	45791804
482227	1642	1998-06-09	PRIJEM	PREVOD Z UCTU	6432	17506	DUCHOD	WX	45791804
482228	1642	1998-07-09	PRIJEM	PREVOD Z UCTU	6432	18472	DUCHOD	WX	45791804
482229	1642	1998-08-09	PRIJEM	PREVOD Z UCTU	6432	21366	DUCHOD	WX	45791804
482230	1642	1998-09-09	PRIJEM	PREVOD Z UCTU	6432	19471	DUCHOD	WX	45791804
482231	1642	1998-10-09	PRIJEM	PREVOD Z UCTU	6432	19885	DUCHOD	WX	45791804
482232	1642	1998-11-09	PRIJEM	PREVOD Z UCTU	6432	15484	DUCHOD	WX	45791804
482233	1642	1998-12-09	PRIJEM	PREVOD Z UCTU	6432	15172	DUCHOD	WX	45791804
482244	1642	1995-11-08	VYDAJ	PREVOD NA UCET	3597	18647	SIPO	UV	27920514
482245	1642	1995-12-08	VYDAJ	PREVOD NA UCET	3597	14061	SIPO	UV	27920514
482246	1642	1996-01-08	VYDAJ	PREVOD NA UCET	3597	13230	SIPO	UV	27920514
482247	1642	1996-02-08	VYDAJ	PREVOD NA UCET	3597	9956	SIPO	UV	27920514
482248	1642	1996-03-08	VYDAJ	PREVOD NA UCET	3597	10355	SIPO	UV	27920514
482249	1642	1996-04-08	VYDAJ	PREVOD NA UCET	3597	13242	SIPO	UV	27920514
482250	1642	1996-05-08	VYDAJ	PREVOD NA UCET	3597	14456	SIPO	UV	27920514
482251	1642	1996-06-08	VYDAJ	PREVOD NA UCET	3597	14356	SIPO	UV	27920514
482252	1642	1996-07-08	VYDAJ	PREVOD NA UCET	3597	13655	SIPO	UV	27920514
482253	1642	1996-08-08	VYDAJ	PREVOD NA UCET	3597	15153	SIPO	UV	27920514
482254	1642	1996-09-08	VYDAJ	PREVOD NA UCET	3597	18061	SIPO	UV	27920514
482255	1642	1996-10-08	VYDAJ	PREVOD NA UCET	3597	12589	SIPO	UV	27920514
482256	1642	1996-11-08	VYDAJ	PREVOD NA UCET	3597	15485	SIPO	UV	27920514
482257	1642	1996-12-08	VYDAJ	PREVOD NA UCET	3597	16241	SIPO	UV	27920514
482258	1642	1997-01-08	VYDAJ	PREVOD NA UCET	3597	15591	SIPO	UV	27920514
482259	1642	1997-02-08	VYDAJ	PREVOD NA UCET	3597	13375	SIPO	UV	27920514
482260	1642	1997-03-08	VYDAJ	PREVOD NA UCET	3597	12514	SIPO	UV	27920514
482261	1642	1997-04-08	VYDAJ	PREVOD NA UCET	3597	15413	SIPO	UV	27920514
482262	1642	1997-05-08	VYDAJ	PREVOD NA UCET	3597	18321	SIPO	UV	27920514
482263	1642	1997-06-08	VYDAJ	PREVOD NA UCET	3597	13109	SIPO	UV	27920514
482264	1642	1997-07-08	VYDAJ	PREVOD NA UCET	3597	16009	SIPO	UV	27920514
482265	1642	1997-08-08	VYDAJ	PREVOD NA UCET	3597	16414	SIPO	UV	27920514
482266	1642	1997-09-08	VYDAJ	PREVOD NA UCET	3597	18606	SIPO	UV	27920514
482267	1642	1997-10-08	VYDAJ	PREVOD NA UCET	3597	15111	SIPO	UV	27920514
482268	1642	1997-11-08	VYDAJ	PREVOD NA UCET	3597	17817	SIPO	UV	27920514
482269	1642	1997-12-08	VYDAJ	PREVOD NA UCET	3597	10994	SIPO	UV	27920514
482270	1642	1998-01-08	VYDAJ	PREVOD NA UCET	3597	10275	SIPO	UV	27920514
482271	1642	1998-02-08	VYDAJ	PREVOD NA UCET	3597	10354	SIPO	UV	27920514
482272	1642	1998-03-08	VYDAJ	PREVOD NA UCET	3597	12238	SIPO	UV	27920514
482273	1642	1998-04-08	VYDAJ	PREVOD NA UCET	3597	11522	SIPO	UV	27920514
482274	1642	1998-05-08	VYDAJ	PREVOD NA UCET	3597	8197	SIPO	UV	27920514
482275	1642	1998-06-08	VYDAJ	PREVOD NA UCET	3597	11074	SIPO	UV	27920514
482276	1642	1998-07-08	VYDAJ	PREVOD NA UCET	3597	12040	SIPO	UV	27920514
482277	1642	1998-08-08	VYDAJ	PREVOD NA UCET	3597	14934	SIPO	UV	27920514
482278	1642	1998-09-08	VYDAJ	PREVOD NA UCET	3597	13039	SIPO	UV	27920514
482279	1642	1998-10-08	VYDAJ	PREVOD NA UCET	3597	13453	SIPO	UV	27920514
482280	1642	1998-11-08	VYDAJ	PREVOD NA UCET	3597	9052	SIPO	UV	27920514
482281	1642	1998-12-08	VYDAJ	PREVOD NA UCET	3597	8740	SIPO	UV	27920514
482287	1642	1996-01-05	VYDAJ	VYBER	1150	18107	\N	\N	\N
482288	1642	1997-01-08	VYDAJ	VYBER	1200	19188	\N	\N	\N
482290	1642	1995-12-10	VYDAJ	VYBER	1300	19193	\N	\N	\N
482291	1642	1996-12-03	VYDAJ	VYBER	650	19838	\N	\N	\N
482292	1642	1997-12-20	VYDAJ	VYBER	1100	13826	\N	\N	\N
482293	1642	1998-12-27	VYDAJ	VYBER	300	14872	\N	\N	\N
482300	1642	1996-01-07	VYDAJ	VYBER	800	16827	\N	\N	\N
482302	1642	1996-01-06	VYDAJ	VYBER	480	17627	\N	\N	\N
482304	1642	1996-01-14	VYDAJ	VYBER	1840	16622	\N	\N	\N
482305	1642	1996-01-09	VYDAJ	VYBER	1200	18462	\N	\N	\N
482306	1642	1997-01-06	VYDAJ	VYBER	1760	20388	\N	\N	\N
482307	1642	1997-01-13	VYDAJ	VYBER	960	21063	\N	\N	\N
482308	1642	1997-01-20	VYDAJ	VYBER	560	18423	\N	\N	\N
482309	1642	1997-01-30	VYDAJ	VYBER	880	17543	\N	\N	\N
482310	1642	1997-01-18	VYDAJ	VYBER	1440	18983	\N	\N	\N
482311	1642	1997-01-15	VYDAJ	VYBER	640	20423	\N	\N	\N
482314	1642	1998-01-18	VYDAJ	VYBER	880	13907	\N	\N	\N
482316	1642	1998-01-11	VYDAJ	VYBER	1120	15587	\N	\N	\N
482322	1642	1995-11-25	VYDAJ	VYBER	2400	17579	\N	\N	\N
482326	1642	1996-01-19	VYDAJ	VYBER	3120	13502	\N	\N	\N
482327	1642	1996-09-26	VYDAJ	VYBER	2560	16113	\N	\N	\N
482328	1642	1996-02-10	VYDAJ	VYBER	2480	13908	\N	\N	\N
482329	1642	1996-04-10	VYDAJ	VYBER	1680	17994	\N	\N	\N
482330	1642	1996-09-20	VYDAJ	VYBER	3920	18673	\N	\N	\N
482332	1642	1997-09-09	VYDAJ	VYBER	2800	22238	\N	\N	\N
482333	1642	1997-11-21	VYDAJ	VYBER	3520	14529	\N	\N	\N
482334	1642	1997-08-26	VYDAJ	VYBER	720	22126	\N	\N	\N
482335	1642	1997-03-01	VYDAJ	VYBER	3760	16111	\N	\N	\N
482336	1642	1997-02-03	VYDAJ	VYBER	640	16972	\N	\N	\N
482337	1642	1997-06-05	VYDAJ	VYBER	2320	16706	\N	\N	\N
482341	1642	1998-06-17	VYDAJ	VYBER	1920	15586	\N	\N	\N
482342	1642	1998-09-22	VYDAJ	VYBER	2480	16991	\N	\N	\N
482355	1642	1995-10-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
482356	1642	1995-11-30	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
482357	1642	1995-12-31	VYDAJ	VYBER	15	19257	SLUZBY	\N	\N
482358	1642	1996-01-31	VYDAJ	VYBER	15	13553	SLUZBY	\N	\N
482359	1642	1996-02-29	VYDAJ	VYBER	15	13952	SLUZBY	\N	\N
482360	1642	1996-03-31	VYDAJ	VYBER	15	16839	SLUZBY	\N	\N
482361	1642	1996-04-30	VYDAJ	VYBER	15	18053	SLUZBY	\N	\N
482362	1642	1996-05-31	VYDAJ	VYBER	15	17953	SLUZBY	\N	\N
482363	1642	1996-06-30	VYDAJ	VYBER	15	17252	SLUZBY	\N	\N
482364	1642	1996-07-31	VYDAJ	VYBER	15	18750	SLUZBY	\N	\N
482365	1642	1996-08-31	VYDAJ	VYBER	15	21658	SLUZBY	\N	\N
482366	1642	1996-09-30	VYDAJ	VYBER	15	16186	SLUZBY	\N	\N
482367	1642	1996-10-31	VYDAJ	VYBER	15	19082	SLUZBY	\N	\N
482368	1642	1996-11-30	VYDAJ	VYBER	15	20488	SLUZBY	\N	\N
482369	1642	1996-12-31	VYDAJ	VYBER	15	22148	SLUZBY	\N	\N
482370	1642	1997-01-31	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
482371	1642	1997-02-28	VYDAJ	VYBER	15	19871	SLUZBY	\N	\N
482372	1642	1997-03-31	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
482373	1642	1997-04-30	VYDAJ	VYBER	15	21918	SLUZBY	\N	\N
482374	1642	1997-05-31	VYDAJ	VYBER	15	19026	SLUZBY	\N	\N
482375	1642	1997-06-30	VYDAJ	VYBER	15	19606	SLUZBY	\N	\N
482376	1642	1997-07-31	VYDAJ	VYBER	15	20011	SLUZBY	\N	\N
482377	1642	1997-08-31	VYDAJ	VYBER	15	22203	SLUZBY	\N	\N
482378	1642	1997-09-30	VYDAJ	VYBER	15	18708	SLUZBY	\N	\N
482379	1642	1997-10-31	VYDAJ	VYBER	15	21414	SLUZBY	\N	\N
482380	1642	1997-11-30	VYDAJ	VYBER	15	14591	SLUZBY	\N	\N
482381	1642	1997-12-31	VYDAJ	VYBER	15	13872	SLUZBY	\N	\N
482382	1642	1998-01-31	VYDAJ	VYBER	15	13951	SLUZBY	\N	\N
482383	1642	1998-02-28	VYDAJ	VYBER	15	15835	SLUZBY	\N	\N
482384	1642	1998-03-31	VYDAJ	VYBER	15	15119	SLUZBY	\N	\N
482385	1642	1998-04-30	VYDAJ	VYBER	15	11794	SLUZBY	\N	\N
482386	1642	1998-05-31	VYDAJ	VYBER	15	14671	SLUZBY	\N	\N
482387	1642	1998-06-30	VYDAJ	VYBER	15	15637	SLUZBY	\N	\N
482388	1642	1998-07-31	VYDAJ	VYBER	15	18531	SLUZBY	\N	\N
482389	1642	1998-08-31	VYDAJ	VYBER	15	16636	SLUZBY	\N	\N
482390	1642	1998-09-30	VYDAJ	VYBER	15	17050	SLUZBY	\N	\N
482391	1642	1998-10-31	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
482392	1642	1998-11-30	VYDAJ	VYBER	15	15537	SLUZBY	\N	\N
482393	1642	1995-08-25	VYDAJ	VYBER	400	19896	\N	\N	\N
482394	1642	1995-09-24	VYDAJ	VYBER	3700	22647	\N	\N	\N
482395	1642	1995-10-24	VYDAJ	VYBER	7000	22164	\N	\N	\N
482396	1642	1995-11-23	VYDAJ	VYBER	5100	19979	\N	\N	\N
482397	1642	1996-05-21	VYDAJ	VYBER	3000	17888	\N	\N	\N
482398	1642	1996-06-20	VYDAJ	VYBER	3600	17188	\N	\N	\N
482399	1642	1996-07-20	VYDAJ	VYBER	1400	18687	\N	\N	\N
482400	1642	1996-09-18	VYDAJ	VYBER	1900	22593	\N	\N	\N
482401	1642	1996-11-17	VYDAJ	VYBER	1500	20417	\N	\N	\N
482402	1642	1996-12-17	VYDAJ	VYBER	600	22073	\N	\N	\N
482403	1642	1997-05-16	VYDAJ	VYBER	5800	18953	\N	\N	\N
482404	1642	1997-07-15	VYDAJ	VYBER	2500	19941	\N	\N	\N
482405	1642	1997-09-13	VYDAJ	VYBER	3600	18638	\N	\N	\N
482406	1642	1997-10-13	VYDAJ	VYBER	200	21343	\N	\N	\N
482407	1642	1997-11-12	VYDAJ	VYBER	6200	18049	\N	\N	\N
482408	1642	1997-12-12	VYDAJ	VYBER	2500	14926	\N	\N	\N
482409	1642	1998-01-11	VYDAJ	VYBER	800	14787	\N	\N	\N
482410	1642	1998-02-10	VYDAJ	VYBER	1000	15786	\N	\N	\N
482411	1642	1998-03-12	VYDAJ	VYBER	3600	15070	\N	\N	\N
482412	1642	1998-04-11	VYDAJ	VYBER	6200	11754	\N	\N	\N
482413	1642	1998-08-09	VYDAJ	VYBER	4800	16566	\N	\N	\N
482414	1642	1998-11-07	VYDAJ	VYBER	7300	12649	\N	\N	\N
482415	1642	1998-12-07	VYDAJ	VYBER	3200	12337	\N	\N	\N
482806	1644	1993-05-09	PRIJEM	VKLAD	400	400	\N	\N	\N
482812	1644	1993-06-06	PRIJEM	VKLAD	22959	23359	\N	\N	\N
482813	1644	1993-07-06	PRIJEM	VKLAD	15306	39643	\N	\N	\N
482814	1644	1993-08-06	PRIJEM	VKLAD	15306	47976	\N	\N	\N
482815	1644	1993-09-06	PRIJEM	VKLAD	15306	53637	\N	\N	\N
482816	1644	1993-10-06	PRIJEM	VKLAD	15306	55756	\N	\N	\N
482817	1644	1993-11-06	PRIJEM	VKLAD	15306	47439	\N	\N	\N
482818	1644	1993-12-06	PRIJEM	VKLAD	22959	57189	\N	\N	\N
482819	1644	1994-01-06	PRIJEM	VKLAD	15306	51863	\N	\N	\N
482820	1644	1994-02-06	PRIJEM	VKLAD	15306	44375	\N	\N	\N
482821	1644	1994-03-06	PRIJEM	VKLAD	15306	50241	\N	\N	\N
482822	1644	1994-04-06	PRIJEM	VKLAD	15306	49651	\N	\N	\N
482823	1644	1994-05-06	PRIJEM	VKLAD	15306	46478	\N	\N	\N
482824	1644	1994-06-06	PRIJEM	VKLAD	22959	57230	\N	\N	\N
482825	1644	1994-07-06	PRIJEM	VKLAD	15306	36662	\N	\N	\N
482826	1644	1994-08-06	PRIJEM	VKLAD	15306	44549	\N	\N	\N
482827	1644	1994-09-06	PRIJEM	VKLAD	15306	48034	\N	\N	\N
482828	1644	1994-10-06	PRIJEM	VKLAD	15306	47836	\N	\N	\N
482829	1644	1994-11-06	PRIJEM	VKLAD	15306	47140	\N	\N	\N
482830	1644	1994-12-06	PRIJEM	VKLAD	22959	44473	\N	\N	\N
482831	1644	1995-01-06	PRIJEM	VKLAD	15306	48353	\N	\N	\N
482832	1644	1995-02-06	PRIJEM	VKLAD	15306	34921	\N	\N	\N
482833	1644	1995-03-06	PRIJEM	VKLAD	15306	41359	\N	\N	\N
482834	1644	1995-04-06	PRIJEM	VKLAD	15306	43202	\N	\N	\N
482835	1644	1995-05-06	PRIJEM	VKLAD	15306	46374	\N	\N	\N
482836	1644	1995-06-06	PRIJEM	VKLAD	22959	55110	\N	\N	\N
482837	1644	1995-07-06	PRIJEM	VKLAD	15306	52621	\N	\N	\N
482838	1644	1995-08-06	PRIJEM	VKLAD	15306	51847	\N	\N	\N
482839	1644	1995-09-06	PRIJEM	VKLAD	15306	48365	\N	\N	\N
482840	1644	1995-10-06	PRIJEM	VKLAD	15306	50067	\N	\N	\N
482841	1644	1995-11-06	PRIJEM	VKLAD	15306	50761	\N	\N	\N
482842	1644	1995-12-06	PRIJEM	VKLAD	22959	53405	\N	\N	\N
482843	1644	1996-01-06	PRIJEM	VKLAD	15306	34337	\N	\N	\N
482844	1644	1996-02-06	PRIJEM	VKLAD	15306	34114	\N	\N	\N
482845	1644	1996-03-06	PRIJEM	VKLAD	15306	41645	\N	\N	\N
482846	1644	1996-04-06	PRIJEM	VKLAD	15306	46905	\N	\N	\N
482847	1644	1996-05-06	PRIJEM	VKLAD	15306	43717	\N	\N	\N
482848	1644	1996-06-06	PRIJEM	VKLAD	22959	54335	\N	\N	\N
482849	1644	1996-07-06	PRIJEM	VKLAD	15306	54433	\N	\N	\N
482850	1644	1996-08-06	PRIJEM	VKLAD	15306	53436	\N	\N	\N
482851	1644	1996-09-06	PRIJEM	VKLAD	15306	55637	\N	\N	\N
482852	1644	1996-10-06	PRIJEM	VKLAD	15306	57045	\N	\N	\N
482853	1644	1996-11-06	PRIJEM	VKLAD	15306	49366	\N	\N	\N
482854	1644	1996-12-06	PRIJEM	VKLAD	22959	60929	\N	\N	\N
482855	1644	1997-01-06	PRIJEM	VKLAD	15306	53725	\N	\N	\N
482856	1644	1997-02-06	PRIJEM	VKLAD	15306	40889	\N	\N	\N
482857	1644	1997-03-06	PRIJEM	VKLAD	15306	48367	\N	\N	\N
482858	1644	1997-04-06	PRIJEM	VKLAD	15306	50548	\N	\N	\N
482859	1644	1997-05-06	PRIJEM	VKLAD	15306	55037	\N	\N	\N
482860	1644	1997-06-06	PRIJEM	VKLAD	22959	61186	\N	\N	\N
482861	1644	1997-07-06	PRIJEM	VKLAD	15306	48962	\N	\N	\N
482862	1644	1997-08-06	PRIJEM	VKLAD	15306	49074	\N	\N	\N
482863	1644	1997-09-06	PRIJEM	VKLAD	15306	46641	\N	\N	\N
482864	1644	1997-10-06	PRIJEM	VKLAD	15306	48104	\N	\N	\N
482865	1644	1997-11-06	PRIJEM	VKLAD	15306	51777	\N	\N	\N
482866	1644	1997-12-06	PRIJEM	VKLAD	22959	57144	\N	\N	\N
482867	1644	1998-01-06	PRIJEM	VKLAD	15306	45050	\N	\N	\N
482868	1644	1998-02-06	PRIJEM	VKLAD	15306	36987	\N	\N	\N
482869	1644	1998-03-06	PRIJEM	VKLAD	15306	44577	\N	\N	\N
482870	1644	1998-04-06	PRIJEM	VKLAD	15306	48276	\N	\N	\N
482871	1644	1998-05-06	PRIJEM	VKLAD	15306	50604	\N	\N	\N
482872	1644	1998-06-06	PRIJEM	VKLAD	22959	58890	\N	\N	\N
482873	1644	1998-07-06	PRIJEM	VKLAD	15306	46026	\N	\N	\N
482874	1644	1998-08-06	PRIJEM	VKLAD	15306	51792	\N	\N	\N
482875	1644	1998-09-06	PRIJEM	VKLAD	15306	53970	\N	\N	\N
482876	1644	1998-10-06	PRIJEM	VKLAD	15306	56056	\N	\N	\N
482877	1644	1998-11-06	PRIJEM	VKLAD	15306	54522	\N	\N	\N
482878	1644	1998-12-06	PRIJEM	VKLAD	22959	62368	\N	\N	\N
482888	1644	1993-10-10	VYDAJ	PREVOD NA UCET	2534	35900	SIPO	EF	89781009
482889	1644	1993-11-10	VYDAJ	PREVOD NA UCET	2534	43883	SIPO	EF	89781009
482890	1644	1993-12-10	VYDAJ	PREVOD NA UCET	2534	53633	SIPO	EF	89781009
482891	1644	1994-01-10	VYDAJ	PREVOD NA UCET	2534	44587	SIPO	EF	89781009
482892	1644	1994-02-10	VYDAJ	PREVOD NA UCET	2534	40819	SIPO	EF	89781009
482893	1644	1994-03-10	VYDAJ	PREVOD NA UCET	2534	41405	SIPO	EF	89781009
482894	1644	1994-04-10	VYDAJ	PREVOD NA UCET	2534	46095	SIPO	EF	89781009
482895	1644	1994-05-10	VYDAJ	PREVOD NA UCET	2534	42922	SIPO	EF	89781009
482896	1644	1994-06-10	VYDAJ	PREVOD NA UCET	2534	17994	SIPO	EF	89781009
482897	1644	1994-07-10	VYDAJ	PREVOD NA UCET	2534	33106	SIPO	EF	89781009
482898	1644	1994-08-10	VYDAJ	PREVOD NA UCET	2534	40993	SIPO	EF	89781009
482899	1644	1994-09-10	VYDAJ	PREVOD NA UCET	2534	44478	SIPO	EF	89781009
482900	1644	1994-10-10	VYDAJ	PREVOD NA UCET	2534	44280	SIPO	EF	89781009
482901	1644	1994-11-10	VYDAJ	PREVOD NA UCET	2534	43584	SIPO	EF	89781009
482902	1644	1994-12-10	VYDAJ	PREVOD NA UCET	2534	40917	SIPO	EF	89781009
482903	1644	1995-01-10	VYDAJ	PREVOD NA UCET	2534	44797	SIPO	EF	89781009
482904	1644	1995-02-10	VYDAJ	PREVOD NA UCET	2534	31365	SIPO	EF	89781009
482905	1644	1995-03-10	VYDAJ	PREVOD NA UCET	2534	37803	SIPO	EF	89781009
482906	1644	1995-04-10	VYDAJ	PREVOD NA UCET	2534	39646	SIPO	EF	89781009
482907	1644	1995-05-10	VYDAJ	PREVOD NA UCET	2534	42818	SIPO	EF	89781009
482908	1644	1995-06-10	VYDAJ	PREVOD NA UCET	2534	51554	SIPO	EF	89781009
482909	1644	1995-07-10	VYDAJ	PREVOD NA UCET	2534	49065	SIPO	EF	89781009
482910	1644	1995-08-10	VYDAJ	PREVOD NA UCET	2534	48291	SIPO	EF	89781009
482911	1644	1995-09-10	VYDAJ	PREVOD NA UCET	2534	42529	SIPO	EF	89781009
482912	1644	1995-10-10	VYDAJ	PREVOD NA UCET	2534	46511	SIPO	EF	89781009
482913	1644	1995-11-10	VYDAJ	PREVOD NA UCET	2534	47205	SIPO	EF	89781009
482914	1644	1995-12-10	VYDAJ	PREVOD NA UCET	2534	49849	SIPO	EF	89781009
482915	1644	1996-01-10	VYDAJ	PREVOD NA UCET	2534	26701	SIPO	EF	89781009
482916	1644	1996-02-10	VYDAJ	PREVOD NA UCET	2534	30558	SIPO	EF	89781009
482917	1644	1996-03-10	VYDAJ	PREVOD NA UCET	2534	38089	SIPO	EF	89781009
482918	1644	1996-04-10	VYDAJ	PREVOD NA UCET	2534	43349	SIPO	EF	89781009
482919	1644	1996-05-10	VYDAJ	PREVOD NA UCET	2534	40161	SIPO	EF	89781009
482920	1644	1996-06-10	VYDAJ	PREVOD NA UCET	2534	50779	SIPO	EF	89781009
482921	1644	1996-07-10	VYDAJ	PREVOD NA UCET	2534	50877	SIPO	EF	89781009
482922	1644	1996-08-10	VYDAJ	PREVOD NA UCET	2534	49880	SIPO	EF	89781009
482923	1644	1996-09-10	VYDAJ	PREVOD NA UCET	2534	52081	SIPO	EF	89781009
482924	1644	1996-10-10	VYDAJ	PREVOD NA UCET	2534	53489	SIPO	EF	89781009
482925	1644	1996-11-10	VYDAJ	PREVOD NA UCET	2534	45810	SIPO	EF	89781009
482926	1644	1996-12-10	VYDAJ	PREVOD NA UCET	2534	57373	SIPO	EF	89781009
482927	1644	1997-01-10	VYDAJ	PREVOD NA UCET	2534	50169	SIPO	EF	89781009
482928	1644	1997-02-10	VYDAJ	PREVOD NA UCET	2534	37333	SIPO	EF	89781009
482929	1644	1997-03-10	VYDAJ	PREVOD NA UCET	2534	44811	SIPO	EF	89781009
482930	1644	1997-04-10	VYDAJ	PREVOD NA UCET	2534	46992	SIPO	EF	89781009
482931	1644	1997-05-10	VYDAJ	PREVOD NA UCET	2534	51481	SIPO	EF	89781009
482932	1644	1997-06-10	VYDAJ	PREVOD NA UCET	2534	57630	SIPO	EF	89781009
482933	1644	1997-07-10	VYDAJ	PREVOD NA UCET	2534	45406	SIPO	EF	89781009
482934	1644	1997-08-10	VYDAJ	PREVOD NA UCET	2534	45518	SIPO	EF	89781009
482935	1644	1997-09-10	VYDAJ	PREVOD NA UCET	2534	43085	SIPO	EF	89781009
482936	1644	1997-10-10	VYDAJ	PREVOD NA UCET	2534	44548	SIPO	EF	89781009
482937	1644	1997-11-10	VYDAJ	PREVOD NA UCET	2534	48221	SIPO	EF	89781009
482938	1644	1997-12-10	VYDAJ	PREVOD NA UCET	2534	53588	SIPO	EF	89781009
482939	1644	1998-01-10	VYDAJ	PREVOD NA UCET	2534	31654	SIPO	EF	89781009
482940	1644	1998-02-10	VYDAJ	PREVOD NA UCET	2534	27791	SIPO	EF	89781009
482941	1644	1998-03-10	VYDAJ	PREVOD NA UCET	2534	41021	SIPO	EF	89781009
482942	1644	1998-04-10	VYDAJ	PREVOD NA UCET	2534	44720	SIPO	EF	89781009
482943	1644	1998-05-10	VYDAJ	PREVOD NA UCET	2534	47048	SIPO	EF	89781009
482944	1644	1998-06-10	VYDAJ	PREVOD NA UCET	2534	55334	SIPO	EF	89781009
482945	1644	1998-07-10	VYDAJ	PREVOD NA UCET	2534	42470	SIPO	EF	89781009
482946	1644	1998-08-10	VYDAJ	PREVOD NA UCET	2534	48236	SIPO	EF	89781009
482947	1644	1998-09-10	VYDAJ	PREVOD NA UCET	2534	40614	SIPO	EF	89781009
482948	1644	1998-10-10	VYDAJ	PREVOD NA UCET	2534	42200	SIPO	EF	89781009
482949	1644	1998-11-10	VYDAJ	PREVOD NA UCET	2534	43266	SIPO	EF	89781009
482950	1644	1998-12-10	VYDAJ	PREVOD NA UCET	2534	45012	SIPO	EF	89781009
482960	1644	1993-10-07	VYDAJ	PREVOD NA UCET	1022	38434	 	IJ	76071583
482961	1644	1993-11-07	VYDAJ	PREVOD NA UCET	1022	46417	 	IJ	76071583
482962	1644	1993-12-07	VYDAJ	PREVOD NA UCET	1022	56167	 	IJ	76071583
482963	1644	1994-01-07	VYDAJ	PREVOD NA UCET	1022	50841	 	IJ	76071583
482964	1644	1994-02-07	VYDAJ	PREVOD NA UCET	1022	43353	 	IJ	76071583
482965	1644	1994-03-07	VYDAJ	PREVOD NA UCET	1022	43939	 	IJ	76071583
482966	1644	1994-04-07	VYDAJ	PREVOD NA UCET	1022	48629	 	IJ	76071583
482967	1644	1994-05-07	VYDAJ	PREVOD NA UCET	1022	45456	 	IJ	76071583
482968	1644	1994-06-07	VYDAJ	PREVOD NA UCET	1022	20528	 	IJ	76071583
482969	1644	1994-07-07	VYDAJ	PREVOD NA UCET	1022	35640	 	IJ	76071583
482970	1644	1994-08-07	VYDAJ	PREVOD NA UCET	1022	43527	 	IJ	76071583
482971	1644	1994-09-07	VYDAJ	PREVOD NA UCET	1022	47012	 	IJ	76071583
482972	1644	1994-10-07	VYDAJ	PREVOD NA UCET	1022	46814	 	IJ	76071583
482973	1644	1994-11-07	VYDAJ	PREVOD NA UCET	1022	46118	 	IJ	76071583
482974	1644	1994-12-07	VYDAJ	PREVOD NA UCET	1022	43451	 	IJ	76071583
482975	1644	1995-01-07	VYDAJ	PREVOD NA UCET	1022	47331	 	IJ	76071583
482976	1644	1995-02-07	VYDAJ	PREVOD NA UCET	1022	33899	 	IJ	76071583
482977	1644	1995-03-07	VYDAJ	PREVOD NA UCET	1022	40337	 	IJ	76071583
482978	1644	1995-04-07	VYDAJ	PREVOD NA UCET	1022	42180	 	IJ	76071583
482979	1644	1995-05-07	VYDAJ	PREVOD NA UCET	1022	45352	 	IJ	76071583
482980	1644	1995-06-07	VYDAJ	PREVOD NA UCET	1022	54088	 	IJ	76071583
482981	1644	1995-07-07	VYDAJ	PREVOD NA UCET	1022	51599	 	IJ	76071583
482982	1644	1995-08-07	VYDAJ	PREVOD NA UCET	1022	50825	 	IJ	76071583
482983	1644	1995-09-07	VYDAJ	PREVOD NA UCET	1022	47343	 	IJ	76071583
482984	1644	1995-10-07	VYDAJ	PREVOD NA UCET	1022	49045	 	IJ	76071583
482985	1644	1995-11-07	VYDAJ	PREVOD NA UCET	1022	49739	 	IJ	76071583
482986	1644	1995-12-07	VYDAJ	PREVOD NA UCET	1022	52383	 	IJ	76071583
482987	1644	1996-01-07	VYDAJ	PREVOD NA UCET	1022	29835	 	IJ	76071583
482988	1644	1996-02-07	VYDAJ	PREVOD NA UCET	1022	33092	 	IJ	76071583
482989	1644	1996-03-07	VYDAJ	PREVOD NA UCET	1022	40623	 	IJ	76071583
482990	1644	1996-04-07	VYDAJ	PREVOD NA UCET	1022	45883	 	IJ	76071583
482991	1644	1996-05-07	VYDAJ	PREVOD NA UCET	1022	42695	 	IJ	76071583
482992	1644	1996-06-07	VYDAJ	PREVOD NA UCET	1022	53313	 	IJ	76071583
482993	1644	1996-07-07	VYDAJ	PREVOD NA UCET	1022	53411	 	IJ	76071583
482994	1644	1996-08-07	VYDAJ	PREVOD NA UCET	1022	52414	 	IJ	76071583
482995	1644	1996-09-07	VYDAJ	PREVOD NA UCET	1022	54615	 	IJ	76071583
482996	1644	1996-10-07	VYDAJ	PREVOD NA UCET	1022	56023	 	IJ	76071583
482997	1644	1996-11-07	VYDAJ	PREVOD NA UCET	1022	48344	 	IJ	76071583
482998	1644	1996-12-07	VYDAJ	PREVOD NA UCET	1022	59907	 	IJ	76071583
482999	1644	1997-01-07	VYDAJ	PREVOD NA UCET	1022	52703	 	IJ	76071583
483000	1644	1997-02-07	VYDAJ	PREVOD NA UCET	1022	39867	 	IJ	76071583
483001	1644	1997-03-07	VYDAJ	PREVOD NA UCET	1022	47345	 	IJ	76071583
483002	1644	1997-04-07	VYDAJ	PREVOD NA UCET	1022	49526	 	IJ	76071583
483003	1644	1997-05-07	VYDAJ	PREVOD NA UCET	1022	54015	 	IJ	76071583
483004	1644	1997-06-07	VYDAJ	PREVOD NA UCET	1022	60164	 	IJ	76071583
483005	1644	1997-07-07	VYDAJ	PREVOD NA UCET	1022	47940	 	IJ	76071583
483006	1644	1997-08-07	VYDAJ	PREVOD NA UCET	1022	48052	 	IJ	76071583
483007	1644	1997-09-07	VYDAJ	PREVOD NA UCET	1022	45619	 	IJ	76071583
483008	1644	1997-10-07	VYDAJ	PREVOD NA UCET	1022	47082	 	IJ	76071583
483009	1644	1997-11-07	VYDAJ	PREVOD NA UCET	1022	50755	 	IJ	76071583
483010	1644	1997-12-07	VYDAJ	PREVOD NA UCET	1022	56122	 	IJ	76071583
483011	1644	1998-01-07	VYDAJ	PREVOD NA UCET	1022	44028	 	IJ	76071583
483012	1644	1998-02-07	VYDAJ	PREVOD NA UCET	1022	35965	 	IJ	76071583
483013	1644	1998-03-07	VYDAJ	PREVOD NA UCET	1022	43555	 	IJ	76071583
483014	1644	1998-04-07	VYDAJ	PREVOD NA UCET	1022	47254	 	IJ	76071583
483015	1644	1998-05-07	VYDAJ	PREVOD NA UCET	1022	49582	 	IJ	76071583
483016	1644	1998-06-07	VYDAJ	PREVOD NA UCET	1022	57868	 	IJ	76071583
483017	1644	1998-07-07	VYDAJ	PREVOD NA UCET	1022	45004	 	IJ	76071583
483018	1644	1998-08-07	VYDAJ	PREVOD NA UCET	1022	50770	 	IJ	76071583
483019	1644	1998-09-07	VYDAJ	PREVOD NA UCET	1022	52948	 	IJ	76071583
483020	1644	1998-10-07	VYDAJ	PREVOD NA UCET	1022	55034	 	IJ	76071583
483021	1644	1998-11-07	VYDAJ	PREVOD NA UCET	1022	53500	 	IJ	76071583
483022	1644	1998-12-07	VYDAJ	PREVOD NA UCET	1022	61346	 	IJ	76071583
483032	1644	1993-10-12	VYDAJ	PREVOD NA UCET	17	35883	POJISTNE	GH	66140669
483033	1644	1993-11-12	VYDAJ	PREVOD NA UCET	17	43866	POJISTNE	GH	66140669
483034	1644	1993-12-12	VYDAJ	PREVOD NA UCET	17	53616	POJISTNE	GH	66140669
483035	1644	1994-01-12	VYDAJ	PREVOD NA UCET	17	44570	POJISTNE	GH	66140669
483036	1644	1994-02-12	VYDAJ	PREVOD NA UCET	17	40802	POJISTNE	GH	66140669
483037	1644	1994-03-12	VYDAJ	PREVOD NA UCET	17	41388	POJISTNE	GH	66140669
483038	1644	1994-04-12	VYDAJ	PREVOD NA UCET	17	46078	POJISTNE	GH	66140669
483039	1644	1994-05-12	VYDAJ	PREVOD NA UCET	17	42905	POJISTNE	GH	66140669
483040	1644	1994-06-12	VYDAJ	PREVOD NA UCET	17	17977	POJISTNE	GH	66140669
483041	1644	1994-07-12	VYDAJ	PREVOD NA UCET	17	33089	POJISTNE	GH	66140669
483042	1644	1994-08-12	VYDAJ	PREVOD NA UCET	17	40976	POJISTNE	GH	66140669
483043	1644	1994-09-12	VYDAJ	PREVOD NA UCET	17	44461	POJISTNE	GH	66140669
483044	1644	1994-10-12	VYDAJ	PREVOD NA UCET	17	44263	POJISTNE	GH	66140669
483045	1644	1994-11-12	VYDAJ	PREVOD NA UCET	17	43567	POJISTNE	GH	66140669
483046	1644	1994-12-12	VYDAJ	PREVOD NA UCET	17	40900	POJISTNE	GH	66140669
483047	1644	1995-01-12	VYDAJ	PREVOD NA UCET	17	44060	POJISTNE	GH	66140669
483048	1644	1995-02-12	VYDAJ	PREVOD NA UCET	17	31348	POJISTNE	GH	66140669
483049	1644	1995-03-12	VYDAJ	PREVOD NA UCET	17	37786	POJISTNE	GH	66140669
483050	1644	1995-04-12	VYDAJ	PREVOD NA UCET	17	39629	POJISTNE	GH	66140669
483051	1644	1995-05-12	VYDAJ	PREVOD NA UCET	17	42801	POJISTNE	GH	66140669
483052	1644	1995-06-12	VYDAJ	PREVOD NA UCET	17	51537	POJISTNE	GH	66140669
483053	1644	1995-07-12	VYDAJ	PREVOD NA UCET	17	49048	POJISTNE	GH	66140669
483054	1644	1995-08-12	VYDAJ	PREVOD NA UCET	17	48274	POJISTNE	GH	66140669
483055	1644	1995-09-12	VYDAJ	PREVOD NA UCET	17	42512	POJISTNE	GH	66140669
483056	1644	1995-10-12	VYDAJ	PREVOD NA UCET	17	46494	POJISTNE	GH	66140669
483057	1644	1995-11-12	VYDAJ	PREVOD NA UCET	17	47188	POJISTNE	GH	66140669
483058	1644	1995-12-12	VYDAJ	PREVOD NA UCET	17	49832	POJISTNE	GH	66140669
483059	1644	1996-01-12	VYDAJ	PREVOD NA UCET	17	26684	POJISTNE	GH	66140669
483060	1644	1996-02-12	VYDAJ	PREVOD NA UCET	17	30541	POJISTNE	GH	66140669
483061	1644	1996-03-12	VYDAJ	PREVOD NA UCET	17	38072	POJISTNE	GH	66140669
483062	1644	1996-04-12	VYDAJ	PREVOD NA UCET	17	43332	POJISTNE	GH	66140669
483063	1644	1996-05-12	VYDAJ	PREVOD NA UCET	17	40144	POJISTNE	GH	66140669
483064	1644	1996-06-12	VYDAJ	PREVOD NA UCET	17	50762	POJISTNE	GH	66140669
483065	1644	1996-07-12	VYDAJ	PREVOD NA UCET	17	50860	POJISTNE	GH	66140669
483066	1644	1996-08-12	VYDAJ	PREVOD NA UCET	17	49863	POJISTNE	GH	66140669
483067	1644	1996-09-12	VYDAJ	PREVOD NA UCET	17	52064	POJISTNE	GH	66140669
483068	1644	1996-10-12	VYDAJ	PREVOD NA UCET	17	53472	POJISTNE	GH	66140669
483069	1644	1996-11-12	VYDAJ	PREVOD NA UCET	17	45793	POJISTNE	GH	66140669
483070	1644	1996-12-12	VYDAJ	PREVOD NA UCET	17	57356	POJISTNE	GH	66140669
483071	1644	1997-01-12	VYDAJ	PREVOD NA UCET	17	50152	POJISTNE	GH	66140669
483072	1644	1997-02-12	VYDAJ	PREVOD NA UCET	17	37316	POJISTNE	GH	66140669
483073	1644	1997-03-12	VYDAJ	PREVOD NA UCET	17	44794	POJISTNE	GH	66140669
483074	1644	1997-04-12	VYDAJ	PREVOD NA UCET	17	46975	POJISTNE	GH	66140669
483075	1644	1997-05-12	VYDAJ	PREVOD NA UCET	17	51464	POJISTNE	GH	66140669
483076	1644	1997-06-12	VYDAJ	PREVOD NA UCET	17	57613	POJISTNE	GH	66140669
483077	1644	1997-07-12	VYDAJ	PREVOD NA UCET	17	45389	POJISTNE	GH	66140669
483078	1644	1997-08-12	VYDAJ	PREVOD NA UCET	17	45501	POJISTNE	GH	66140669
483079	1644	1997-09-12	VYDAJ	PREVOD NA UCET	17	43068	POJISTNE	GH	66140669
483080	1644	1997-10-12	VYDAJ	PREVOD NA UCET	17	44531	POJISTNE	GH	66140669
483081	1644	1997-11-12	VYDAJ	PREVOD NA UCET	17	48204	POJISTNE	GH	66140669
483082	1644	1997-12-12	VYDAJ	PREVOD NA UCET	17	53571	POJISTNE	GH	66140669
483083	1644	1998-01-12	VYDAJ	PREVOD NA UCET	17	31637	POJISTNE	GH	66140669
483084	1644	1998-02-12	VYDAJ	PREVOD NA UCET	17	29174	POJISTNE	GH	66140669
483085	1644	1998-03-12	VYDAJ	PREVOD NA UCET	17	41004	POJISTNE	GH	66140669
483086	1644	1998-04-12	VYDAJ	PREVOD NA UCET	17	44703	POJISTNE	GH	66140669
483087	1644	1998-05-12	VYDAJ	PREVOD NA UCET	17	47031	POJISTNE	GH	66140669
483088	1644	1998-06-12	VYDAJ	PREVOD NA UCET	17	44317	POJISTNE	GH	66140669
483089	1644	1998-07-12	VYDAJ	PREVOD NA UCET	17	36353	POJISTNE	GH	66140669
483090	1644	1998-08-12	VYDAJ	PREVOD NA UCET	17	38519	POJISTNE	GH	66140669
483091	1644	1998-09-12	VYDAJ	PREVOD NA UCET	17	40597	POJISTNE	GH	66140669
483092	1644	1998-10-12	VYDAJ	PREVOD NA UCET	17	42183	POJISTNE	GH	66140669
483093	1644	1998-11-12	VYDAJ	PREVOD NA UCET	17	43249	POJISTNE	GH	66140669
483094	1644	1998-12-12	VYDAJ	PREVOD NA UCET	17	44995	POJISTNE	GH	66140669
483096	1644	1994-06-06	VYDAJ	VYBER	35680	21550	\N	\N	\N
483100	1644	1998-06-29	VYDAJ	VYBER	13760	30557	\N	\N	\N
483102	1644	1994-01-02	VYDAJ	VYBER	5440	46457	\N	\N	\N
483103	1644	1995-01-21	VYDAJ	VYBER	6560	32580	\N	\N	\N
483104	1644	1996-01-02	VYDAJ	VYBER	9280	22031	\N	\N	\N
483105	1644	1997-01-23	VYDAJ	VYBER	4800	27472	\N	\N	\N
483106	1644	1998-01-05	VYDAJ	VYBER	8320	29744	\N	\N	\N
483107	1644	1993-12-23	VYDAJ	VYBER	1920	51696	\N	\N	\N
483108	1644	1994-12-01	VYDAJ	VYBER	4320	26914	\N	\N	\N
483109	1644	1995-12-24	VYDAJ	VYBER	1280	48552	\N	\N	\N
483110	1644	1996-12-05	VYDAJ	VYBER	2880	37970	\N	\N	\N
483111	1644	1997-12-16	VYDAJ	VYBER	4160	37911	\N	\N	\N
483112	1644	1998-12-01	VYDAJ	VYBER	4000	39409	\N	\N	\N
483119	1644	1994-01-24	VYDAJ	VYBER	1080	35210	\N	\N	\N
483120	1644	1994-01-07	VYDAJ	VYBER	1320	49521	\N	\N	\N
483121	1644	1994-01-09	VYDAJ	VYBER	2400	47121	\N	\N	\N
483122	1644	1994-01-22	VYDAJ	VYBER	2400	38570	\N	\N	\N
483123	1644	1994-01-14	VYDAJ	VYBER	2160	42410	\N	\N	\N
483124	1644	1994-01-23	VYDAJ	VYBER	2280	36290	\N	\N	\N
483125	1644	1995-01-28	VYDAJ	VYBER	3240	28380	\N	\N	\N
483126	1644	1995-01-13	VYDAJ	VYBER	1800	42260	\N	\N	\N
483127	1644	1995-01-15	VYDAJ	VYBER	1680	40580	\N	\N	\N
483128	1644	1995-01-17	VYDAJ	VYBER	1440	39140	\N	\N	\N
483129	1644	1995-01-27	VYDAJ	VYBER	960	31620	\N	\N	\N
483130	1644	1995-01-12	VYDAJ	VYBER	720	44077	\N	\N	\N
483131	1644	1996-01-06	VYDAJ	VYBER	1800	32537	\N	\N	\N
483132	1644	1996-01-08	VYDAJ	VYBER	600	29235	\N	\N	\N
483133	1644	1996-01-04	VYDAJ	VYBER	3000	19031	\N	\N	\N
483134	1644	1996-01-27	VYDAJ	VYBER	1320	18724	\N	\N	\N
483135	1644	1996-01-23	VYDAJ	VYBER	960	21644	\N	\N	\N
483136	1644	1996-01-16	VYDAJ	VYBER	2760	23924	\N	\N	\N
483137	1644	1997-01-19	VYDAJ	VYBER	1800	36952	\N	\N	\N
483138	1644	1997-01-18	VYDAJ	VYBER	1440	47752	\N	\N	\N
483139	1644	1997-01-23	VYDAJ	VYBER	960	32272	\N	\N	\N
483140	1644	1997-01-17	VYDAJ	VYBER	960	49192	\N	\N	\N
483141	1644	1997-01-05	VYDAJ	VYBER	3120	38419	\N	\N	\N
483142	1644	1997-01-27	VYDAJ	VYBER	2040	25432	\N	\N	\N
483143	1644	1998-01-19	VYDAJ	VYBER	3000	23377	\N	\N	\N
483144	1644	1998-01-17	VYDAJ	VYBER	1800	26377	\N	\N	\N
483145	1644	1998-01-17	VYDAJ	VYBER	720	28177	\N	\N	\N
483146	1644	1998-01-13	VYDAJ	VYBER	3240	28897	\N	\N	\N
483147	1644	1998-01-08	VYDAJ	VYBER	2520	39708	\N	\N	\N
483148	1644	1998-01-07	VYDAJ	VYBER	1800	42228	\N	\N	\N
483155	1644	1994-03-07	VYDAJ	VYBER	5280	44961	\N	\N	\N
483156	1644	1994-01-15	VYDAJ	VYBER	1440	40970	\N	\N	\N
483157	1644	1994-05-05	VYDAJ	VYBER	3480	31172	\N	\N	\N
483158	1644	1994-12-05	VYDAJ	VYBER	5400	21514	\N	\N	\N
483159	1644	1994-03-16	VYDAJ	VYBER	1200	40188	\N	\N	\N
483160	1644	1994-07-31	VYDAJ	VYBER	1560	31643	\N	\N	\N
483161	1644	1994-03-03	VYDAJ	VYBER	720	40235	\N	\N	\N
483162	1644	1995-09-08	VYDAJ	VYBER	2280	45063	\N	\N	\N
483163	1644	1995-08-14	VYDAJ	VYBER	1080	47194	\N	\N	\N
483164	1644	1995-07-27	VYDAJ	VYBER	1680	47368	\N	\N	\N
483165	1644	1995-01-31	VYDAJ	VYBER	4800	19615	\N	\N	\N
483166	1644	1995-03-29	VYDAJ	VYBER	1320	36466	\N	\N	\N
483167	1644	1996-04-26	VYDAJ	VYBER	2160	28272	\N	\N	\N
483168	1644	1996-01-06	VYDAJ	VYBER	1680	30857	\N	\N	\N
483169	1644	1996-12-14	VYDAJ	VYBER	1200	56156	\N	\N	\N
483170	1644	1996-10-23	VYDAJ	VYBER	5280	33892	\N	\N	\N
483171	1644	1996-01-16	VYDAJ	VYBER	1320	22604	\N	\N	\N
483172	1644	1997-08-25	VYDAJ	VYBER	1800	31201	\N	\N	\N
483173	1644	1997-03-03	VYDAJ	VYBER	2280	33061	\N	\N	\N
483174	1644	1997-01-20	VYDAJ	VYBER	3720	33232	\N	\N	\N
483175	1644	1997-11-23	VYDAJ	VYBER	960	34044	\N	\N	\N
483176	1644	1997-06-20	VYDAJ	VYBER	5520	33493	\N	\N	\N
483177	1644	1997-07-17	VYDAJ	VYBER	2160	43229	\N	\N	\N
483178	1644	1998-04-12	VYDAJ	VYBER	3240	41463	\N	\N	\N
483179	1644	1998-05-15	VYDAJ	VYBER	2640	35791	\N	\N	\N
483180	1644	1998-02-09	VYDAJ	VYBER	5640	30325	\N	\N	\N
483181	1644	1998-01-24	VYDAJ	VYBER	1800	21577	\N	\N	\N
483182	1644	1998-04-17	VYDAJ	VYBER	1800	35163	\N	\N	\N
483183	1644	1998-01-09	VYDAJ	VYBER	5520	34188	\N	\N	\N
483184	1644	1998-03-26	VYDAJ	VYBER	960	32844	\N	\N	\N
483185	1644	1998-10-16	VYDAJ	VYBER	3120	39063	\N	\N	\N
483196	1644	1993-10-31	VYDAJ	VYBER	15	36033	SLUZBY	\N	\N
483197	1644	1993-11-30	VYDAJ	VYBER	15	44030	SLUZBY	\N	\N
483198	1644	1993-12-31	VYDAJ	VYBER	15	51897	SLUZBY	\N	\N
483199	1644	1994-01-31	VYDAJ	VYBER	15	35369	SLUZBY	\N	\N
483200	1644	1994-02-28	VYDAJ	VYBER	15	40955	SLUZBY	\N	\N
483201	1644	1994-03-31	VYDAJ	VYBER	15	40345	SLUZBY	\N	\N
483202	1644	1994-04-30	VYDAJ	VYBER	15	46252	SLUZBY	\N	\N
483203	1644	1994-05-31	VYDAJ	VYBER	15	43071	SLUZBY	\N	\N
483204	1644	1994-06-30	VYDAJ	VYBER	15	18056	SLUZBY	\N	\N
483205	1644	1994-07-31	VYDAJ	VYBER	15	33203	SLUZBY	\N	\N
483206	1644	1994-08-31	VYDAJ	VYBER	15	41128	SLUZBY	\N	\N
483207	1644	1994-09-30	VYDAJ	VYBER	15	44630	SLUZBY	\N	\N
483208	1644	1994-10-31	VYDAJ	VYBER	15	44434	SLUZBY	\N	\N
483209	1644	1994-11-30	VYDAJ	VYBER	15	43734	SLUZBY	\N	\N
483210	1644	1994-12-31	VYDAJ	VYBER	15	33047	SLUZBY	\N	\N
483211	1644	1995-01-31	VYDAJ	VYBER	15	24415	SLUZBY	\N	\N
483212	1644	1995-02-28	VYDAJ	VYBER	15	31453	SLUZBY	\N	\N
483213	1644	1995-03-31	VYDAJ	VYBER	15	27896	SLUZBY	\N	\N
483214	1644	1995-04-30	VYDAJ	VYBER	15	31068	SLUZBY	\N	\N
483215	1644	1995-05-31	VYDAJ	VYBER	15	32151	SLUZBY	\N	\N
483216	1644	1995-06-30	VYDAJ	VYBER	15	37315	SLUZBY	\N	\N
483217	1644	1995-07-31	VYDAJ	VYBER	15	36541	SLUZBY	\N	\N
483218	1644	1995-08-31	VYDAJ	VYBER	15	33059	SLUZBY	\N	\N
483219	1644	1995-09-30	VYDAJ	VYBER	15	34761	SLUZBY	\N	\N
483220	1644	1995-10-31	VYDAJ	VYBER	15	35455	SLUZBY	\N	\N
483221	1644	1995-11-30	VYDAJ	VYBER	15	30446	SLUZBY	\N	\N
483222	1644	1995-12-31	VYDAJ	VYBER	15	31311	SLUZBY	\N	\N
483223	1644	1996-01-31	VYDAJ	VYBER	15	18808	SLUZBY	\N	\N
483224	1644	1996-02-29	VYDAJ	VYBER	15	26339	SLUZBY	\N	\N
483225	1644	1996-03-31	VYDAJ	VYBER	15	31599	SLUZBY	\N	\N
483226	1644	1996-04-30	VYDAJ	VYBER	15	28411	SLUZBY	\N	\N
483227	1644	1996-05-31	VYDAJ	VYBER	15	31376	SLUZBY	\N	\N
483228	1644	1996-06-30	VYDAJ	VYBER	15	39127	SLUZBY	\N	\N
483229	1644	1996-07-31	VYDAJ	VYBER	15	38130	SLUZBY	\N	\N
483230	1644	1996-08-31	VYDAJ	VYBER	15	40331	SLUZBY	\N	\N
483231	1644	1996-09-30	VYDAJ	VYBER	15	41739	SLUZBY	\N	\N
483232	1644	1996-10-31	VYDAJ	VYBER	15	34060	SLUZBY	\N	\N
483233	1644	1996-11-30	VYDAJ	VYBER	15	40850	SLUZBY	\N	\N
483234	1644	1996-12-31	VYDAJ	VYBER	15	41539	SLUZBY	\N	\N
483235	1644	1997-01-31	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
483236	1644	1997-02-28	VYDAJ	VYBER	15	35341	SLUZBY	\N	\N
483237	1644	1997-03-31	VYDAJ	VYBER	15	35242	SLUZBY	\N	\N
483238	1644	1997-04-30	VYDAJ	VYBER	15	39731	SLUZBY	\N	\N
483239	1644	1997-05-31	VYDAJ	VYBER	15	38227	SLUZBY	\N	\N
483240	1644	1997-06-30	VYDAJ	VYBER	15	33656	SLUZBY	\N	\N
483241	1644	1997-07-31	VYDAJ	VYBER	15	33768	SLUZBY	\N	\N
483242	1644	1997-08-31	VYDAJ	VYBER	15	31335	SLUZBY	\N	\N
483243	1644	1997-09-30	VYDAJ	VYBER	15	32798	SLUZBY	\N	\N
483244	1644	1997-10-31	VYDAJ	VYBER	15	36471	SLUZBY	\N	\N
483245	1644	1997-11-30	VYDAJ	VYBER	15	34185	SLUZBY	\N	\N
483246	1644	1997-12-31	VYDAJ	VYBER	15	38064	SLUZBY	\N	\N
483247	1644	1998-01-31	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
483248	1644	1998-02-28	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
483249	1644	1998-03-31	VYDAJ	VYBER	15	32970	SLUZBY	\N	\N
483250	1644	1998-04-30	VYDAJ	VYBER	15	35298	SLUZBY	\N	\N
483251	1644	1998-05-31	VYDAJ	VYBER	15	35931	SLUZBY	\N	\N
483252	1644	1998-06-30	VYDAJ	VYBER	15	30720	SLUZBY	\N	\N
483253	1644	1998-07-31	VYDAJ	VYBER	15	36486	SLUZBY	\N	\N
483254	1644	1998-08-31	VYDAJ	VYBER	15	38664	SLUZBY	\N	\N
483255	1644	1998-09-30	VYDAJ	VYBER	15	40750	SLUZBY	\N	\N
483256	1644	1998-10-31	VYDAJ	VYBER	15	39216	SLUZBY	\N	\N
483257	1644	1998-11-30	VYDAJ	VYBER	15	43409	SLUZBY	\N	\N
483258	1644	1993-06-08	PRIJEM	VKLAD	900	24259	\N	\N	\N
483259	1644	1993-07-08	VYDAJ	VYBER	7100	32543	\N	\N	\N
483260	1644	1993-08-07	VYDAJ	VYBER	9800	38176	\N	\N	\N
483261	1644	1993-09-06	VYDAJ	VYBER	13400	40237	\N	\N	\N
483262	1644	1993-10-06	VYDAJ	VYBER	16300	39456	\N	\N	\N
483263	1644	1993-11-05	VYDAJ	VYBER	3900	32133	\N	\N	\N
483264	1644	1993-12-05	VYDAJ	VYBER	9800	34230	\N	\N	\N
483265	1644	1994-01-04	VYDAJ	VYBER	9900	36557	\N	\N	\N
483266	1644	1994-02-03	VYDAJ	VYBER	6300	29069	\N	\N	\N
483267	1644	1994-03-05	VYDAJ	VYBER	5300	34935	\N	\N	\N
483268	1644	1994-04-04	VYDAJ	VYBER	6000	34345	\N	\N	\N
483269	1644	1994-05-04	VYDAJ	VYBER	11600	34652	\N	\N	\N
483270	1644	1994-06-03	VYDAJ	VYBER	8800	34271	\N	\N	\N
483271	1644	1994-07-03	PRIJEM	VKLAD	3300	21356	\N	\N	\N
483272	1644	1994-08-02	VYDAJ	VYBER	2400	29243	\N	\N	\N
483273	1644	1994-09-01	VYDAJ	VYBER	8400	32728	\N	\N	\N
483274	1644	1994-10-01	VYDAJ	VYBER	12100	32530	\N	\N	\N
483275	1644	1994-10-31	VYDAJ	VYBER	12600	31834	\N	\N	\N
483276	1644	1994-11-30	VYDAJ	VYBER	12500	31234	\N	\N	\N
483277	1644	1994-12-30	VYDAJ	VYBER	8000	32900	\N	\N	\N
483278	1644	1995-01-29	VYDAJ	VYBER	4100	24280	\N	\N	\N
483279	1644	1995-02-28	VYDAJ	VYBER	5400	26053	\N	\N	\N
483280	1644	1995-03-30	VYDAJ	VYBER	8700	27766	\N	\N	\N
483281	1644	1995-04-29	VYDAJ	VYBER	8700	30929	\N	\N	\N
483282	1644	1995-05-29	VYDAJ	VYBER	10800	32001	\N	\N	\N
483283	1644	1995-06-28	VYDAJ	VYBER	14400	37137	\N	\N	\N
483284	1644	1995-07-28	VYDAJ	VYBER	11000	36368	\N	\N	\N
483285	1644	1995-08-27	VYDAJ	VYBER	14300	32894	\N	\N	\N
483286	1644	1995-09-26	VYDAJ	VYBER	7900	34612	\N	\N	\N
483287	1644	1995-10-26	VYDAJ	VYBER	11200	35294	\N	\N	\N
483288	1644	1995-11-25	VYDAJ	VYBER	16900	30288	\N	\N	\N
483289	1644	1995-12-25	VYDAJ	VYBER	17400	31152	\N	\N	\N
483290	1644	1996-01-24	VYDAJ	VYBER	1600	20044	\N	\N	\N
483291	1644	1996-02-23	VYDAJ	VYBER	4300	26241	\N	\N	\N
483292	1644	1996-03-24	VYDAJ	VYBER	6600	31472	\N	\N	\N
483293	1644	1996-04-23	VYDAJ	VYBER	12900	30432	\N	\N	\N
483294	1644	1996-05-23	VYDAJ	VYBER	8900	31244	\N	\N	\N
483295	1644	1996-06-22	VYDAJ	VYBER	11800	38962	\N	\N	\N
483296	1644	1996-07-22	VYDAJ	VYBER	12900	37960	\N	\N	\N
483297	1644	1996-08-21	VYDAJ	VYBER	9700	40163	\N	\N	\N
483298	1644	1996-09-20	VYDAJ	VYBER	10500	41564	\N	\N	\N
483299	1644	1996-10-20	VYDAJ	VYBER	14300	39172	\N	\N	\N
483300	1644	1996-11-19	VYDAJ	VYBER	5100	40693	\N	\N	\N
483301	1644	1996-12-19	VYDAJ	VYBER	14800	41356	\N	\N	\N
483302	1644	1997-01-18	VYDAJ	VYBER	9000	38752	\N	\N	\N
483303	1644	1997-02-17	VYDAJ	VYBER	2100	35216	\N	\N	\N
483304	1644	1997-03-19	VYDAJ	VYBER	9700	35094	\N	\N	\N
483305	1644	1997-04-18	VYDAJ	VYBER	7400	39575	\N	\N	\N
483306	1644	1997-05-18	VYDAJ	VYBER	13400	38064	\N	\N	\N
483307	1644	1997-06-17	VYDAJ	VYBER	18600	39013	\N	\N	\N
483308	1644	1997-07-17	VYDAJ	VYBER	9600	33629	\N	\N	\N
483309	1644	1997-08-16	VYDAJ	VYBER	12500	33001	\N	\N	\N
483310	1644	1997-09-15	VYDAJ	VYBER	10400	32668	\N	\N	\N
483311	1644	1997-10-15	VYDAJ	VYBER	8200	36331	\N	\N	\N
483312	1644	1997-11-14	VYDAJ	VYBER	13200	35004	\N	\N	\N
483313	1644	1997-12-14	VYDAJ	VYBER	11500	42071	\N	\N	\N
483314	1644	1998-01-13	PRIJEM	VKLAD	500	32137	\N	\N	\N
483315	1644	1998-02-12	PRIJEM	VKLAD	1400	29191	\N	\N	\N
483316	1644	1998-03-14	VYDAJ	VYBER	7200	33804	\N	\N	\N
483317	1644	1998-04-13	VYDAJ	VYBER	4500	36963	\N	\N	\N
483318	1644	1998-05-13	VYDAJ	VYBER	8600	38431	\N	\N	\N
483319	1644	1998-06-12	VYDAJ	VYBER	11000	44334	\N	\N	\N
483320	1644	1998-07-12	VYDAJ	VYBER	6100	36370	\N	\N	\N
483321	1644	1998-08-11	VYDAJ	VYBER	9700	38536	\N	\N	\N
483322	1644	1998-09-10	VYDAJ	VYBER	9800	43148	\N	\N	\N
483323	1644	1998-10-10	VYDAJ	VYBER	10300	44734	\N	\N	\N
483324	1644	1998-11-09	VYDAJ	VYBER	7700	45800	\N	\N	\N
483325	1644	1998-12-09	VYDAJ	VYBER	13800	47546	\N	\N	\N
483393	1645	1996-10-16	PRIJEM	VKLAD	300	300	\N	\N	\N
483404	1645	1996-11-11	PRIJEM	VKLAD	13617	13917	\N	\N	\N
483405	1645	1996-12-11	PRIJEM	VKLAD	20426	39886	\N	\N	\N
483406	1645	1997-01-11	PRIJEM	VKLAD	13617	45111	\N	\N	\N
483407	1645	1997-02-11	PRIJEM	VKLAD	13617	46863	\N	\N	\N
483408	1645	1997-03-11	PRIJEM	VKLAD	13617	47921	\N	\N	\N
483409	1645	1997-04-11	PRIJEM	VKLAD	13617	43084	\N	\N	\N
483410	1645	1997-05-11	PRIJEM	VKLAD	13617	42034	\N	\N	\N
483411	1645	1997-06-11	PRIJEM	VKLAD	20426	43386	\N	\N	\N
483412	1645	1997-07-11	PRIJEM	VKLAD	13617	44230	\N	\N	\N
483413	1645	1997-08-11	PRIJEM	VKLAD	13617	33496	\N	\N	\N
483414	1645	1997-09-11	PRIJEM	VKLAD	13617	33676	\N	\N	\N
483415	1645	1997-10-11	PRIJEM	VKLAD	13617	37420	\N	\N	\N
483416	1645	1997-11-11	PRIJEM	VKLAD	13617	41749	\N	\N	\N
483417	1645	1997-12-11	PRIJEM	VKLAD	20426	52935	\N	\N	\N
483418	1645	1998-01-11	PRIJEM	VKLAD	13617	48704	\N	\N	\N
483419	1645	1998-02-11	PRIJEM	VKLAD	13617	49431	\N	\N	\N
483420	1645	1998-03-11	PRIJEM	VKLAD	13617	53700	\N	\N	\N
483421	1645	1998-04-11	PRIJEM	VKLAD	13617	54604	\N	\N	\N
483422	1645	1998-05-11	PRIJEM	VKLAD	13617	49517	\N	\N	\N
483423	1645	1998-06-11	PRIJEM	VKLAD	20426	55650	\N	\N	\N
483424	1645	1998-07-11	PRIJEM	VKLAD	13617	43098	\N	\N	\N
483425	1645	1998-08-11	PRIJEM	VKLAD	13617	42988	\N	\N	\N
483426	1645	1998-09-11	PRIJEM	VKLAD	13617	42639	\N	\N	\N
483427	1645	1998-10-11	PRIJEM	VKLAD	13617	43797	\N	\N	\N
483428	1645	1998-11-11	PRIJEM	VKLAD	13617	45088	\N	\N	\N
483429	1645	1998-12-11	PRIJEM	VKLAD	20426	55069	\N	\N	\N
483444	1645	1997-03-11	VYDAJ	PREVOD NA UCET	9078	38843	SIPO	EF	64568751
483445	1645	1997-04-11	VYDAJ	PREVOD NA UCET	9078	34006	SIPO	EF	64568751
483446	1645	1997-05-11	VYDAJ	PREVOD NA UCET	9078	32956	SIPO	EF	64568751
483447	1645	1997-06-11	VYDAJ	PREVOD NA UCET	9078	34308	SIPO	EF	64568751
483448	1645	1997-07-11	VYDAJ	PREVOD NA UCET	9078	35152	SIPO	EF	64568751
483449	1645	1997-08-11	VYDAJ	PREVOD NA UCET	9078	24418	SIPO	EF	64568751
483450	1645	1997-09-11	VYDAJ	PREVOD NA UCET	9078	23698	SIPO	EF	64568751
483451	1645	1997-10-11	VYDAJ	PREVOD NA UCET	9078	28542	SIPO	EF	64568751
483452	1645	1997-11-11	VYDAJ	PREVOD NA UCET	9078	32671	SIPO	EF	64568751
483453	1645	1997-12-11	VYDAJ	PREVOD NA UCET	9078	43857	SIPO	EF	64568751
483454	1645	1998-01-11	VYDAJ	PREVOD NA UCET	9078	39626	SIPO	EF	64568751
483455	1645	1998-02-11	VYDAJ	PREVOD NA UCET	9078	40353	SIPO	EF	64568751
483456	1645	1998-03-11	VYDAJ	PREVOD NA UCET	9078	44622	SIPO	EF	64568751
483457	1645	1998-04-11	VYDAJ	PREVOD NA UCET	9078	45526	SIPO	EF	64568751
483458	1645	1998-05-11	VYDAJ	PREVOD NA UCET	9078	40439	SIPO	EF	64568751
483459	1645	1998-06-11	VYDAJ	PREVOD NA UCET	9078	46572	SIPO	EF	64568751
483460	1645	1998-07-11	VYDAJ	PREVOD NA UCET	9078	34020	SIPO	EF	64568751
483461	1645	1998-08-11	VYDAJ	PREVOD NA UCET	9078	33910	SIPO	EF	64568751
483462	1645	1998-09-11	VYDAJ	PREVOD NA UCET	9078	33561	SIPO	EF	64568751
483463	1645	1998-10-11	VYDAJ	PREVOD NA UCET	9078	34719	SIPO	EF	64568751
483464	1645	1998-11-11	VYDAJ	PREVOD NA UCET	9078	36010	SIPO	EF	64568751
483465	1645	1998-12-11	VYDAJ	PREVOD NA UCET	9078	45991	SIPO	EF	64568751
483468	1645	1998-06-15	VYDAJ	VYBER	11840	34732	\N	\N	\N
483471	1645	1998-01-28	VYDAJ	VYBER	6560	24786	\N	\N	\N
483473	1645	1997-12-07	VYDAJ	VYBER	3200	29609	\N	\N	\N
483474	1645	1998-12-02	VYDAJ	VYBER	4000	32143	\N	\N	\N
483487	1645	1998-01-13	VYDAJ	VYBER	1800	34706	\N	\N	\N
483488	1645	1998-01-18	VYDAJ	VYBER	2640	32066	\N	\N	\N
483489	1645	1998-01-03	VYDAJ	VYBER	2760	39567	\N	\N	\N
483490	1645	1998-01-26	VYDAJ	VYBER	720	31346	\N	\N	\N
483491	1645	1998-01-05	VYDAJ	VYBER	1080	38487	\N	\N	\N
483492	1645	1998-01-11	VYDAJ	VYBER	3120	36506	\N	\N	\N
483497	1645	1997-05-14	VYDAJ	VYBER	4920	28136	\N	\N	\N
483498	1645	1997-08-08	VYDAJ	VYBER	5040	19879	\N	\N	\N
483499	1645	1997-05-25	VYDAJ	VYBER	5280	22856	\N	\N	\N
483500	1645	1997-07-23	VYDAJ	VYBER	5640	24812	\N	\N	\N
483501	1645	1997-12-21	VYDAJ	VYBER	1680	42177	\N	\N	\N
483502	1645	1997-10-23	VYDAJ	VYBER	1320	27222	\N	\N	\N
483503	1645	1997-08-18	VYDAJ	VYBER	5640	19978	\N	\N	\N
483504	1645	1998-07-17	VYDAJ	VYBER	2280	31740	\N	\N	\N
483505	1645	1998-09-01	VYDAJ	VYBER	4680	24422	\N	\N	\N
483506	1645	1998-08-16	VYDAJ	VYBER	4920	28990	\N	\N	\N
483522	1645	1997-03-31	VYDAJ	VYBER	15	29467	SLUZBY	\N	\N
483523	1645	1997-04-30	VYDAJ	VYBER	15	28417	SLUZBY	\N	\N
483524	1645	1997-05-31	VYDAJ	VYBER	15	22960	SLUZBY	\N	\N
483525	1645	1997-06-30	VYDAJ	VYBER	15	30613	SLUZBY	\N	\N
483526	1645	1997-07-31	VYDAJ	VYBER	15	24919	SLUZBY	\N	\N
483527	1645	1997-08-31	VYDAJ	VYBER	15	20059	SLUZBY	\N	\N
483528	1645	1997-09-30	VYDAJ	VYBER	15	23803	SLUZBY	\N	\N
483529	1645	1997-10-31	VYDAJ	VYBER	15	27332	SLUZBY	\N	\N
483530	1645	1997-11-30	VYDAJ	VYBER	15	32809	SLUZBY	\N	\N
483531	1645	1997-12-31	VYDAJ	VYBER	15	42327	SLUZBY	\N	\N
483532	1645	1998-01-31	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
483533	1645	1998-02-28	VYDAJ	VYBER	15	40483	SLUZBY	\N	\N
483534	1645	1998-03-31	VYDAJ	VYBER	15	44787	SLUZBY	\N	\N
483535	1645	1998-04-30	VYDAJ	VYBER	15	45700	SLUZBY	\N	\N
483536	1645	1998-05-31	VYDAJ	VYBER	15	40624	SLUZBY	\N	\N
483537	1645	1998-06-30	VYDAJ	VYBER	15	34881	SLUZBY	\N	\N
483538	1645	1998-07-31	VYDAJ	VYBER	15	31871	SLUZBY	\N	\N
483539	1645	1998-08-31	VYDAJ	VYBER	15	29102	SLUZBY	\N	\N
483540	1645	1998-09-30	VYDAJ	VYBER	15	33680	SLUZBY	\N	\N
483541	1645	1998-10-31	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
483542	1645	1998-11-30	VYDAJ	VYBER	15	36143	SLUZBY	\N	\N
483543	1645	1996-11-15	PRIJEM	VKLAD	5500	19417	\N	\N	\N
483544	1645	1996-12-15	VYDAJ	VYBER	8500	31386	\N	\N	\N
483545	1645	1997-01-14	VYDAJ	VYBER	12000	33111	\N	\N	\N
483546	1645	1997-02-13	VYDAJ	VYBER	12700	34163	\N	\N	\N
483547	1645	1997-03-15	VYDAJ	VYBER	9500	29343	\N	\N	\N
483548	1645	1997-04-14	VYDAJ	VYBER	5700	28306	\N	\N	\N
483549	1645	1997-05-14	PRIJEM	VKLAD	100	33056	\N	\N	\N
483550	1645	1997-06-13	VYDAJ	VYBER	3800	30508	\N	\N	\N
483551	1645	1997-07-13	VYDAJ	VYBER	4700	30452	\N	\N	\N
483552	1645	1997-08-12	PRIJEM	VKLAD	1200	25618	\N	\N	\N
483553	1645	1997-09-11	VYDAJ	VYBER	900	32776	\N	\N	\N
483554	1645	1997-10-11	PRIJEM	VKLAD	200	37620	\N	\N	\N
483555	1645	1997-11-10	PRIJEM	VKLAD	800	28132	\N	\N	\N
483556	1645	1997-12-10	PRIJEM	VKLAD	2900	32509	\N	\N	\N
483557	1645	1998-01-09	VYDAJ	VYBER	3400	35087	\N	\N	\N
483558	1645	1998-02-08	PRIJEM	VKLAD	10900	35814	\N	\N	\N
483559	1645	1998-03-10	VYDAJ	VYBER	400	40083	\N	\N	\N
483560	1645	1998-04-09	VYDAJ	VYBER	3800	40987	\N	\N	\N
483561	1645	1998-05-09	VYDAJ	VYBER	9800	35900	\N	\N	\N
483562	1645	1998-06-08	VYDAJ	VYBER	5400	35224	\N	\N	\N
483563	1645	1998-07-08	VYDAJ	VYBER	5400	29481	\N	\N	\N
483564	1645	1998-08-07	VYDAJ	VYBER	2500	29371	\N	\N	\N
483565	1645	1998-09-06	PRIJEM	VKLAD	4600	29022	\N	\N	\N
483566	1645	1998-10-06	VYDAJ	VYBER	3500	30180	\N	\N	\N
483567	1645	1998-11-05	VYDAJ	VYBER	3400	31471	\N	\N	\N
483568	1645	1998-12-05	PRIJEM	VKLAD	2500	34643	\N	\N	\N
483595	1646	1996-05-27	PRIJEM	VKLAD	600	600	\N	\N	\N
483596	1646	1996-12-21	PRIJEM	VKLAD	37039	109242	\N	\N	\N
483597	1646	1996-07-23	PRIJEM	VKLAD	44230	152529	\N	\N	\N
483598	1646	1996-11-21	PRIJEM	VKLAD	6874	139504	\N	\N	\N
483599	1646	1996-11-09	PRIJEM	VKLAD	34509	70501	\N	\N	\N
483601	1646	1996-12-17	PRIJEM	VKLAD	27300	72203	\N	\N	\N
483602	1646	1996-11-21	PRIJEM	VKLAD	28578	132630	\N	\N	\N
483603	1646	1996-06-04	PRIJEM	VKLAD	41448	42048	\N	\N	\N
483605	1646	1996-07-21	PRIJEM	VKLAD	39590	111028	\N	\N	\N
483608	1646	1996-11-13	PRIJEM	VKLAD	13164	104052	\N	\N	\N
483609	1646	1996-08-06	PRIJEM	VKLAD	39724	86544	\N	\N	\N
483611	1646	1996-12-30	PRIJEM	VKLAD	43852	106894	\N	\N	\N
483612	1646	1996-06-17	PRIJEM	VKLAD	16289	58337	\N	\N	\N
483613	1646	1996-10-21	PRIJEM	VKLAD	9530	29991	\N	\N	\N
483614	1646	1996-11-11	PRIJEM	VKLAD	28038	92539	\N	\N	\N
483615	1646	1996-07-19	PRIJEM	VKLAD	31100	71438	\N	\N	\N
483616	1646	1996-07-22	PRIJEM	VKLAD	49571	108299	\N	\N	\N
483617	1646	1996-11-02	PRIJEM	VKLAD	21542	50613	\N	\N	\N
483618	1646	1997-01-29	PRIJEM	VKLAD	36017	86604	\N	\N	\N
483619	1646	1997-05-31	PRIJEM	VKLAD	34195	101459	\N	\N	\N
483620	1646	1997-09-12	PRIJEM	VKLAD	32750	97919	\N	\N	\N
483621	1646	1997-01-18	PRIJEM	VKLAD	41819	83278	\N	\N	\N
483622	1646	1997-09-05	PRIJEM	VKLAD	29585	71690	\N	\N	\N
483623	1646	1997-06-05	PRIJEM	VKLAD	42268	144040	\N	\N	\N
483624	1646	1997-03-29	PRIJEM	VKLAD	24062	62888	\N	\N	\N
483625	1646	1997-09-19	PRIJEM	VKLAD	41542	137810	\N	\N	\N
483626	1646	1997-12-20	PRIJEM	VKLAD	8319	40665	\N	\N	\N
483627	1646	1997-04-29	PRIJEM	VKLAD	41994	92754	\N	\N	\N
483628	1646	1997-08-24	PRIJEM	VKLAD	31665	62924	\N	\N	\N
483629	1646	1997-05-08	PRIJEM	VKLAD	20536	91615	\N	\N	\N
483630	1646	1998-01-25	PRIJEM	VKLAD	19001	59493	\N	\N	\N
483631	1646	1998-01-24	PRIJEM	VKLAD	18200	47392	\N	\N	\N
483632	1646	1998-11-22	PRIJEM	VKLAD	31878	70453	\N	\N	\N
483633	1646	1998-07-30	PRIJEM	VKLAD	5444	43999	\N	\N	\N
483634	1646	1998-03-17	PRIJEM	VKLAD	19222	98841	\N	\N	\N
483635	1646	1998-08-11	PRIJEM	VKLAD	45895	105282	\N	\N	\N
483636	1646	1998-05-23	PRIJEM	VKLAD	17498	67432	\N	\N	\N
483637	1646	1998-03-22	PRIJEM	VKLAD	23374	100090	\N	\N	\N
483638	1646	1998-08-02	PRIJEM	VKLAD	21734	65908	\N	\N	\N
483639	1646	1998-05-01	PRIJEM	VKLAD	33742	99221	\N	\N	\N
483640	1646	1998-09-19	PRIJEM	VKLAD	45279	98000	\N	\N	\N
483641	1646	1998-11-12	PRIJEM	VKLAD	22783	71168	\N	\N	\N
483642	1646	1998-09-30	PRIJEM	VKLAD	10827	108827	\N	\N	\N
483643	1646	1998-02-23	PRIJEM	VKLAD	20349	60385	\N	\N	\N
483644	1646	1998-03-18	PRIJEM	VKLAD	12675	111516	\N	\N	\N
483645	1646	1998-07-15	PRIJEM	VKLAD	25751	69323	\N	\N	\N
483646	1646	1998-12-12	PRIJEM	VKLAD	5243	72038	\N	\N	\N
483647	1646	1998-04-26	PRIJEM	VKLAD	39399	140969	\N	\N	\N
483648	1646	1998-02-27	PRIJEM	VKLAD	42841	103226	\N	\N	\N
483649	1646	1998-11-03	PRIJEM	VKLAD	15691	60906	\N	\N	\N
483650	1646	1998-08-20	PRIJEM	VKLAD	35679	107410	\N	\N	\N
483651	1646	1998-12-03	PRIJEM	VKLAD	7155	77816	\N	\N	\N
483652	1646	1998-04-22	PRIJEM	VKLAD	12138	74412	\N	\N	\N
483653	1646	1998-06-20	PRIJEM	VKLAD	49840	82736	\N	\N	\N
483654	1646	1998-12-20	PRIJEM	VKLAD	32283	92870	\N	\N	\N
483655	1646	1998-05-17	PRIJEM	VKLAD	14956	108334	\N	\N	\N
483656	1646	1998-05-07	PRIJEM	VKLAD	22629	115329	\N	\N	\N
483657	1646	1998-09-02	PRIJEM	VKLAD	11765	119493	\N	\N	\N
483658	1646	1998-04-24	PRIJEM	VKLAD	27158	101570	\N	\N	\N
483666	1646	1996-08-05	VYDAJ	PREVOD NA UCET	6521	46820	SIPO	ST	80997341
483667	1646	1996-09-05	VYDAJ	PREVOD NA UCET	6521	49748	SIPO	ST	80997341
483668	1646	1996-10-05	VYDAJ	PREVOD NA UCET	6521	22112	SIPO	ST	80997341
483669	1646	1996-11-05	VYDAJ	PREVOD NA UCET	6521	35992	SIPO	ST	80997341
483670	1646	1996-12-05	VYDAJ	PREVOD NA UCET	6521	51354	SIPO	ST	80997341
483671	1646	1997-01-05	VYDAJ	PREVOD NA UCET	6521	90989	SIPO	ST	80997341
483672	1646	1997-02-05	VYDAJ	PREVOD NA UCET	6521	80367	SIPO	ST	80997341
483673	1646	1997-03-05	VYDAJ	PREVOD NA UCET	6521	37277	SIPO	ST	80997341
483674	1646	1997-04-05	VYDAJ	PREVOD NA UCET	6521	56511	SIPO	ST	80997341
483675	1646	1997-05-05	VYDAJ	PREVOD NA UCET	6521	71079	SIPO	ST	80997341
483676	1646	1997-06-05	VYDAJ	PREVOD NA UCET	6521	137519	SIPO	ST	80997341
483677	1646	1997-07-05	VYDAJ	PREVOD NA UCET	6521	30877	SIPO	ST	80997341
483678	1646	1997-08-05	VYDAJ	PREVOD NA UCET	6521	21710	SIPO	ST	80997341
483679	1646	1997-09-05	VYDAJ	PREVOD NA UCET	6521	65169	SIPO	ST	80997341
483680	1646	1997-10-05	VYDAJ	PREVOD NA UCET	6521	44644	SIPO	ST	80997341
483681	1646	1997-11-05	VYDAJ	PREVOD NA UCET	6521	16603	SIPO	ST	80997341
483682	1646	1997-12-05	VYDAJ	PREVOD NA UCET	6521	20597	SIPO	ST	80997341
483683	1646	1998-01-05	VYDAJ	PREVOD NA UCET	6521	34243	SIPO	ST	80997341
483684	1646	1998-02-05	VYDAJ	PREVOD NA UCET	6521	42909	SIPO	ST	80997341
483685	1646	1998-03-05	VYDAJ	PREVOD NA UCET	6521	93264	SIPO	ST	80997341
483686	1646	1998-04-05	VYDAJ	PREVOD NA UCET	6521	93925	SIPO	ST	80997341
483687	1646	1998-05-05	VYDAJ	PREVOD NA UCET	6521	92700	SIPO	ST	80997341
483688	1646	1998-06-05	VYDAJ	PREVOD NA UCET	6521	44956	SIPO	ST	80997341
483689	1646	1998-07-05	VYDAJ	PREVOD NA UCET	6521	67954	SIPO	ST	80997341
483690	1646	1998-08-05	VYDAJ	PREVOD NA UCET	6521	59387	SIPO	ST	80997341
483691	1646	1998-09-05	VYDAJ	PREVOD NA UCET	6521	67872	SIPO	ST	80997341
483692	1646	1998-10-05	VYDAJ	PREVOD NA UCET	6521	86007	SIPO	ST	80997341
483693	1646	1998-11-05	VYDAJ	PREVOD NA UCET	6521	54385	SIPO	ST	80997341
483694	1646	1998-12-05	VYDAJ	PREVOD NA UCET	6521	71295	SIPO	ST	80997341
483702	1646	1996-08-12	VYDAJ	PREVOD NA UCET	1651	84893	 	QR	99677460
483703	1646	1996-09-12	VYDAJ	PREVOD NA UCET	1651	43597	 	QR	99677460
483704	1646	1996-10-12	VYDAJ	PREVOD NA UCET	1651	20461	 	QR	99677460
483705	1646	1996-11-12	VYDAJ	PREVOD NA UCET	1651	90888	 	QR	99677460
483706	1646	1996-12-12	VYDAJ	PREVOD NA UCET	1651	49703	 	QR	99677460
483707	1646	1997-01-12	VYDAJ	PREVOD NA UCET	1651	83938	 	QR	99677460
483708	1646	1997-02-12	VYDAJ	PREVOD NA UCET	1651	78716	 	QR	99677460
483709	1646	1997-03-12	VYDAJ	PREVOD NA UCET	1651	35626	 	QR	99677460
483710	1646	1997-04-12	VYDAJ	PREVOD NA UCET	1651	54860	 	QR	99677460
483711	1646	1997-05-12	VYDAJ	PREVOD NA UCET	1651	89964	 	QR	99677460
483712	1646	1997-06-12	VYDAJ	PREVOD NA UCET	1651	103668	 	QR	99677460
483713	1646	1997-07-12	VYDAJ	PREVOD NA UCET	1651	29226	 	QR	99677460
483714	1646	1997-08-12	VYDAJ	PREVOD NA UCET	1651	20059	 	QR	99677460
483715	1646	1997-09-12	VYDAJ	PREVOD NA UCET	1651	96268	 	QR	99677460
483716	1646	1997-10-12	VYDAJ	PREVOD NA UCET	1651	20520	 	QR	99677460
483717	1646	1997-11-12	VYDAJ	PREVOD NA UCET	1651	14952	 	QR	99677460
483718	1646	1997-12-12	VYDAJ	PREVOD NA UCET	1651	18946	 	QR	99677460
483719	1646	1998-01-12	VYDAJ	PREVOD NA UCET	1651	32592	 	QR	99677460
483720	1646	1998-02-12	VYDAJ	PREVOD NA UCET	1651	28636	 	QR	99677460
483721	1646	1998-03-12	VYDAJ	PREVOD NA UCET	1651	79619	 	QR	99677460
483722	1646	1998-04-12	VYDAJ	PREVOD NA UCET	1651	92274	 	QR	99677460
483723	1646	1998-05-12	VYDAJ	PREVOD NA UCET	1651	93378	 	QR	99677460
483724	1646	1998-06-12	VYDAJ	PREVOD NA UCET	1651	43305	 	QR	99677460
483725	1646	1998-07-12	VYDAJ	PREVOD NA UCET	1651	43572	 	QR	99677460
483726	1646	1998-08-12	VYDAJ	PREVOD NA UCET	1651	103631	 	QR	99677460
483727	1646	1998-09-12	VYDAJ	PREVOD NA UCET	1651	66221	 	QR	99677460
483728	1646	1998-10-12	VYDAJ	PREVOD NA UCET	1651	84356	 	QR	99677460
483729	1646	1998-11-12	VYDAJ	PREVOD NA UCET	1651	69517	 	QR	99677460
483730	1646	1998-12-12	VYDAJ	PREVOD NA UCET	1651	70387	 	QR	99677460
483732	1646	1996-12-30	VYBER	VYBER	9624	97270	\N	\N	\N
483733	1646	1996-09-18	VYBER	VYBER	15603	27994	\N	\N	\N
483735	1646	1997-05-02	VYBER	VYBER	15371	77600	\N	\N	\N
483736	1646	1997-09-23	VYBER	VYBER	10894	50916	\N	\N	\N
483737	1646	1997-10-10	VYBER	VYBER	22473	22171	\N	\N	\N
483738	1646	1997-01-14	VYBER	VYBER	6988	72150	\N	\N	\N
483739	1646	1997-08-29	VYBER	VYBER	20927	41997	\N	\N	\N
483740	1646	1997-01-15	VYBER	VYBER	19591	52559	\N	\N	\N
483741	1646	1997-01-19	VYBER	VYBER	4991	78287	\N	\N	\N
483742	1646	1998-11-01	VYBER	VYBER	23058	45215	\N	\N	\N
483743	1646	1998-12-29	VYBER	VYBER	6251	86619	\N	\N	\N
483744	1646	1998-03-12	VYBER	VYBER	11994	81270	\N	\N	\N
483745	1646	1998-06-02	VYBER	VYBER	16247	51477	\N	\N	\N
483746	1646	1998-11-19	VYBER	VYBER	7142	38575	\N	\N	\N
483747	1646	1998-06-15	VYBER	VYBER	16209	27096	\N	\N	\N
483748	1646	1998-06-24	VYBER	VYBER	8469	74267	\N	\N	\N
483749	1646	1998-04-28	VYBER	VYBER	20220	65149	\N	\N	\N
483751	1646	1998-07-15	VYBER	VYBER	24868	44455	\N	\N	\N
483752	1646	1998-07-09	VYBER	VYBER	22731	45223	\N	\N	\N
483754	1646	1998-02-06	VYBER	VYBER	12622	30287	\N	\N	\N
483759	1646	1997-01-16	VYDAJ	VYBER	8700	43859	\N	\N	\N
483761	1646	1996-12-12	VYDAJ	VYBER	4800	44903	\N	\N	\N
483763	1646	1998-12-06	VYDAJ	VYBER	4500	66795	\N	\N	\N
483770	1646	1997-01-17	VYDAJ	VYBER	2400	41459	\N	\N	\N
483771	1646	1997-01-20	VYDAJ	VYBER	7200	71087	\N	\N	\N
483772	1646	1997-01-21	VYDAJ	VYBER	5400	65687	\N	\N	\N
483773	1646	1997-01-13	VYDAJ	VYBER	4800	79138	\N	\N	\N
483774	1646	1997-01-28	VYDAJ	VYBER	1800	50587	\N	\N	\N
483775	1646	1997-01-09	VYDAJ	VYBER	5400	85589	\N	\N	\N
483776	1646	1998-01-20	VYDAJ	VYBER	5400	29192	\N	\N	\N
483777	1646	1998-01-29	VYDAJ	VYBER	2700	56793	\N	\N	\N
483778	1646	1998-01-30	VYDAJ	VYBER	7500	49293	\N	\N	\N
483779	1646	1998-01-24	VYDAJ	VYBER	6900	40492	\N	\N	\N
483780	1646	1998-01-12	VYDAJ	VYBER	2100	30492	\N	\N	\N
483781	1646	1998-01-16	VYDAJ	VYBER	4200	26292	\N	\N	\N
483783	1646	1996-11-03	VYDAJ	VYBER	8100	42513	\N	\N	\N
483784	1646	1996-11-10	VYDAJ	VYBER	6000	64501	\N	\N	\N
483785	1646	1996-09-09	VYDAJ	VYBER	4500	45248	\N	\N	\N
483787	1646	1997-07-23	VYDAJ	VYBER	9900	28126	\N	\N	\N
483788	1646	1997-01-22	VYDAJ	VYBER	2400	63287	\N	\N	\N
483790	1646	1997-10-26	VYDAJ	VYBER	7200	23020	\N	\N	\N
483791	1646	1997-02-27	VYDAJ	VYBER	14400	43516	\N	\N	\N
483792	1646	1998-11-14	VYDAJ	VYBER	8700	45717	\N	\N	\N
483793	1646	1998-11-10	VYDAJ	VYBER	6000	48385	\N	\N	\N
483794	1646	1998-04-19	VYDAJ	VYBER	1800	62274	\N	\N	\N
483795	1646	1998-03-03	VYDAJ	VYBER	3600	99785	\N	\N	\N
483803	1646	1996-07-31	VYDAJ	VYBER	30	53341	SLUZBY	\N	\N
483804	1646	1996-08-31	VYDAJ	VYBER	30	56269	SLUZBY	\N	\N
483805	1646	1996-09-30	VYDAJ	VYBER	30	28633	SLUZBY	\N	\N
483806	1646	1996-10-31	VYDAJ	VYBER	30	29071	SLUZBY	\N	\N
483807	1646	1996-11-30	VYDAJ	VYBER	30	57875	SLUZBY	\N	\N
483808	1646	1996-12-31	VYDAJ	VYBER	30	97510	SLUZBY	\N	\N
483809	1646	1997-01-31	VYDAJ	VYBER	30	86888	SLUZBY	\N	\N
483810	1646	1997-02-28	VYDAJ	VYBER	30	43798	SLUZBY	\N	\N
483811	1646	1997-03-31	VYDAJ	VYBER	30	63032	SLUZBY	\N	\N
483812	1646	1997-04-30	VYDAJ	VYBER	30	92971	SLUZBY	\N	\N
483813	1646	1997-05-31	VYDAJ	VYBER	30	101772	SLUZBY	\N	\N
483814	1646	1997-06-30	VYDAJ	VYBER	30	37398	SLUZBY	\N	\N
483815	1646	1997-07-31	VYDAJ	VYBER	30	28231	SLUZBY	\N	\N
483816	1646	1997-08-31	VYDAJ	VYBER	30	42105	SLUZBY	\N	\N
483817	1646	1997-09-30	VYDAJ	VYBER	30	51165	SLUZBY	\N	\N
483818	1646	1997-10-31	VYDAJ	VYBER	30	23124	SLUZBY	\N	\N
483819	1646	1997-11-30	VYDAJ	VYBER	30	27118	SLUZBY	\N	\N
483820	1646	1997-12-31	VYDAJ	VYBER	30	40764	SLUZBY	\N	\N
483821	1646	1998-01-31	VYDAJ	VYBER	30	49430	SLUZBY	\N	\N
483822	1646	1998-02-28	VYDAJ	VYBER	30	103385	SLUZBY	\N	\N
483823	1646	1998-03-31	VYDAJ	VYBER	30	100446	SLUZBY	\N	\N
483824	1646	1998-04-30	VYDAJ	VYBER	30	65479	SLUZBY	\N	\N
483825	1646	1998-05-31	VYDAJ	VYBER	30	67724	SLUZBY	\N	\N
483826	1646	1998-06-30	VYDAJ	VYBER	30	74475	SLUZBY	\N	\N
483827	1646	1998-07-31	VYDAJ	VYBER	30	44174	SLUZBY	\N	\N
483828	1646	1998-08-31	VYDAJ	VYBER	30	107728	SLUZBY	\N	\N
483829	1646	1998-09-30	VYDAJ	VYBER	30	109128	SLUZBY	\N	\N
483830	1646	1998-10-31	VYDAJ	VYBER	30	68273	SLUZBY	\N	\N
483831	1646	1998-11-30	VYDAJ	VYBER	30	70661	SLUZBY	\N	\N
483832	1646	1996-06-26	VYDAJ	VYBER	18100	40237	\N	\N	\N
483833	1646	1996-07-21	VYDAJ	VYBER	52300	58728	\N	\N	\N
483834	1646	1996-07-23	VYDAJ	VYBER	64900	87629	\N	\N	\N
483835	1646	1996-07-26	VYDAJ	VYBER	34500	53129	\N	\N	\N
483836	1646	1996-08-25	VYDAJ	VYBER	28900	55993	\N	\N	\N
483837	1646	1996-09-24	PRIJEM	VKLAD	500	28494	\N	\N	\N
483838	1646	1996-10-24	VYDAJ	VYBER	1000	28991	\N	\N	\N
483839	1646	1996-11-21	VYDAJ	VYBER	33300	106204	\N	\N	\N
483840	1646	1996-11-21	VYDAJ	VYBER	24400	81804	\N	\N	\N
483841	1646	1996-11-23	VYDAJ	VYBER	24200	57604	\N	\N	\N
483842	1646	1996-12-21	VYDAJ	VYBER	17000	92242	\N	\N	\N
483843	1646	1996-12-23	VYDAJ	VYBER	29200	63042	\N	\N	\N
483844	1646	1997-01-22	VYDAJ	VYBER	10900	52387	\N	\N	\N
483845	1646	1997-02-21	VYDAJ	VYBER	20800	57916	\N	\N	\N
483846	1646	1997-03-23	PRIJEM	VKLAD	3200	38826	\N	\N	\N
483847	1646	1997-04-22	VYDAJ	VYBER	4100	50760	\N	\N	\N
483848	1646	1997-05-22	VYDAJ	VYBER	22700	67264	\N	\N	\N
483849	1646	1997-06-05	VYDAJ	VYBER	32200	105319	\N	\N	\N
483850	1646	1997-06-12	VYDAJ	VYBER	63800	39868	\N	\N	\N
483851	1646	1997-06-21	VYDAJ	VYBER	2700	37168	\N	\N	\N
483852	1646	1997-07-21	PRIJEM	VKLAD	8800	38026	\N	\N	\N
483853	1646	1997-08-20	PRIJEM	VKLAD	11200	31259	\N	\N	\N
483854	1646	1997-09-19	VYDAJ	VYBER	60000	61810	\N	\N	\N
483855	1646	1997-09-19	VYDAJ	VYBER	16000	121810	\N	\N	\N
483856	1646	1997-10-19	PRIJEM	VKLAD	9700	30220	\N	\N	\N
483857	1646	1997-11-18	PRIJEM	VKLAD	12100	27052	\N	\N	\N
483858	1646	1997-12-18	PRIJEM	VKLAD	13400	32346	\N	\N	\N
483859	1646	1998-01-17	PRIJEM	VKLAD	8300	34592	\N	\N	\N
483860	1646	1998-02-16	PRIJEM	VKLAD	11400	40036	\N	\N	\N
483861	1646	1998-03-18	VYDAJ	VYBER	34800	76716	\N	\N	\N
483862	1646	1998-04-17	VYDAJ	VYBER	28200	64074	\N	\N	\N
483863	1646	1998-04-26	VYDAJ	VYBER	55600	85369	\N	\N	\N
483864	1646	1998-05-07	VYDAJ	VYBER	20300	95029	\N	\N	\N
483865	1646	1998-05-17	VYDAJ	VYBER	47900	60434	\N	\N	\N
483866	1646	1998-05-17	VYDAJ	VYBER	10500	49934	\N	\N	\N
483867	1646	1998-06-16	PRIJEM	VKLAD	5800	32896	\N	\N	\N
483868	1646	1998-07-16	VYDAJ	VYBER	5900	38555	\N	\N	\N
483869	1646	1998-08-15	VYDAJ	VYBER	31900	71731	\N	\N	\N
483870	1646	1998-09-02	VYDAJ	VYBER	45100	74393	\N	\N	\N
483871	1646	1998-09-14	VYDAJ	VYBER	13500	52721	\N	\N	\N
483872	1646	1998-09-30	VYDAJ	VYBER	16600	92528	\N	\N	\N
483873	1646	1998-10-14	VYDAJ	VYBER	16400	67956	\N	\N	\N
483874	1646	1998-11-13	VYDAJ	VYBER	15100	54417	\N	\N	\N
483875	1646	1998-12-13	VYDAJ	VYBER	9800	60587	\N	\N	\N
483907	1647	1997-07-09	PRIJEM	VKLAD	900	900	\N	\N	\N
483915	1647	1997-08-08	PRIJEM	VKLAD	5435	6335	\N	\N	\N
483916	1647	1997-09-08	PRIJEM	VKLAD	5435	24716	\N	\N	\N
483917	1647	1997-10-08	PRIJEM	VKLAD	5435	33544	\N	\N	\N
483918	1647	1997-11-08	PRIJEM	VKLAD	5435	38110	\N	\N	\N
483919	1647	1997-12-08	PRIJEM	VKLAD	8152	40017	\N	\N	\N
483920	1647	1998-01-08	PRIJEM	VKLAD	5435	36868	\N	\N	\N
483921	1647	1998-02-08	PRIJEM	VKLAD	5435	25595	\N	\N	\N
483922	1647	1998-03-08	PRIJEM	VKLAD	5435	24884	\N	\N	\N
483923	1647	1998-04-08	PRIJEM	VKLAD	5435	27673	\N	\N	\N
483924	1647	1998-05-08	PRIJEM	VKLAD	5435	27970	\N	\N	\N
483925	1647	1998-06-08	PRIJEM	VKLAD	8152	35187	\N	\N	\N
483926	1647	1998-07-08	PRIJEM	VKLAD	5435	36211	\N	\N	\N
483927	1647	1998-08-08	PRIJEM	VKLAD	5435	38432	\N	\N	\N
483928	1647	1998-09-08	PRIJEM	VKLAD	5435	39172	\N	\N	\N
483929	1647	1998-10-08	PRIJEM	VKLAD	5435	38915	\N	\N	\N
483930	1647	1998-11-08	PRIJEM	VKLAD	5435	42954	\N	\N	\N
483931	1647	1998-12-08	PRIJEM	VKLAD	8152	45328	\N	\N	\N
483943	1647	1997-12-13	VYDAJ	PREVOD NA UCET	2412	35794	SIPO	OP	55010729
483944	1647	1998-01-13	VYDAJ	PREVOD NA UCET	2412	33245	SIPO	OP	55010729
483945	1647	1998-02-13	VYDAJ	PREVOD NA UCET	2412	21972	SIPO	OP	55010729
483946	1647	1998-03-13	VYDAJ	PREVOD NA UCET	2412	21261	SIPO	OP	55010729
483947	1647	1998-04-13	VYDAJ	PREVOD NA UCET	2412	24050	SIPO	OP	55010729
483948	1647	1998-05-13	VYDAJ	PREVOD NA UCET	2412	24347	SIPO	OP	55010729
483949	1647	1998-06-13	VYDAJ	PREVOD NA UCET	2412	31564	SIPO	OP	55010729
483950	1647	1998-07-13	VYDAJ	PREVOD NA UCET	2412	28688	SIPO	OP	55010729
483951	1647	1998-08-13	VYDAJ	PREVOD NA UCET	2412	34809	SIPO	OP	55010729
483952	1647	1998-09-13	VYDAJ	PREVOD NA UCET	2412	35549	SIPO	OP	55010729
483953	1647	1998-10-13	VYDAJ	PREVOD NA UCET	2412	35292	SIPO	OP	55010729
483954	1647	1998-11-13	VYDAJ	PREVOD NA UCET	2412	39331	SIPO	OP	55010729
483955	1647	1998-12-13	VYDAJ	PREVOD NA UCET	2412	41705	SIPO	OP	55010729
483967	1647	1997-12-10	VYDAJ	PREVOD NA UCET	1199	38806	 	GH	78795104
483968	1647	1998-01-10	VYDAJ	PREVOD NA UCET	1199	35657	 	GH	78795104
483969	1647	1998-02-10	VYDAJ	PREVOD NA UCET	1199	24384	 	GH	78795104
483970	1647	1998-03-10	VYDAJ	PREVOD NA UCET	1199	23673	 	GH	78795104
483971	1647	1998-04-10	VYDAJ	PREVOD NA UCET	1199	26462	 	GH	78795104
483972	1647	1998-05-10	VYDAJ	PREVOD NA UCET	1199	26759	 	GH	78795104
483973	1647	1998-06-10	VYDAJ	PREVOD NA UCET	1199	33976	 	GH	78795104
483974	1647	1998-07-10	VYDAJ	PREVOD NA UCET	1199	35000	 	GH	78795104
483975	1647	1998-08-10	VYDAJ	PREVOD NA UCET	1199	37221	 	GH	78795104
483976	1647	1998-09-10	VYDAJ	PREVOD NA UCET	1199	37961	 	GH	78795104
483977	1647	1998-10-10	VYDAJ	PREVOD NA UCET	1199	37704	 	GH	78795104
483978	1647	1998-11-10	VYDAJ	PREVOD NA UCET	1199	41743	 	GH	78795104
483979	1647	1998-12-10	VYDAJ	PREVOD NA UCET	1199	44117	 	GH	78795104
483991	1647	1997-12-08	VYDAJ	PREVOD NA UCET	12	40005	POJISTNE	YZ	39877331
483992	1647	1998-01-08	VYDAJ	PREVOD NA UCET	12	36856	POJISTNE	YZ	39877331
483993	1647	1998-02-08	VYDAJ	PREVOD NA UCET	12	25583	POJISTNE	YZ	39877331
483994	1647	1998-03-08	VYDAJ	PREVOD NA UCET	12	24872	POJISTNE	YZ	39877331
483995	1647	1998-04-08	VYDAJ	PREVOD NA UCET	12	27661	POJISTNE	YZ	39877331
483996	1647	1998-05-08	VYDAJ	PREVOD NA UCET	12	27958	POJISTNE	YZ	39877331
483997	1647	1998-06-08	VYDAJ	PREVOD NA UCET	12	35175	POJISTNE	YZ	39877331
483998	1647	1998-07-08	VYDAJ	PREVOD NA UCET	12	36199	POJISTNE	YZ	39877331
483999	1647	1998-08-08	VYDAJ	PREVOD NA UCET	12	38420	POJISTNE	YZ	39877331
484000	1647	1998-09-08	VYDAJ	PREVOD NA UCET	12	39160	POJISTNE	YZ	39877331
484001	1647	1998-10-08	VYDAJ	PREVOD NA UCET	12	38903	POJISTNE	YZ	39877331
484002	1647	1998-11-08	VYDAJ	PREVOD NA UCET	12	42942	POJISTNE	YZ	39877331
484003	1647	1998-12-08	VYDAJ	PREVOD NA UCET	12	45316	POJISTNE	YZ	39877331
484004	1647	1997-12-12	VYDAJ	VYBER	600	38206	\N	\N	\N
484005	1647	1998-12-26	VYDAJ	VYBER	2900	38805	\N	\N	\N
484012	1647	1998-01-05	VYDAJ	VYBER	900	31433	\N	\N	\N
484013	1647	1998-01-25	VYDAJ	VYBER	1800	26145	\N	\N	\N
484014	1647	1998-01-13	VYDAJ	VYBER	1500	31745	\N	\N	\N
484015	1647	1998-01-24	VYDAJ	VYBER	1000	27945	\N	\N	\N
484016	1647	1998-01-22	VYDAJ	VYBER	2800	28945	\N	\N	\N
484017	1647	1998-01-27	VYDAJ	VYBER	2900	23245	\N	\N	\N
484023	1647	1998-10-15	VYDAJ	VYBER	3200	32092	\N	\N	\N
484024	1647	1998-08-03	VYDAJ	VYBER	1200	32997	\N	\N	\N
484025	1647	1998-08-29	VYDAJ	VYBER	3700	31109	\N	\N	\N
484026	1647	1998-07-29	VYDAJ	VYBER	900	27788	\N	\N	\N
484027	1647	1998-01-30	VYDAJ	VYBER	3100	20145	\N	\N	\N
484028	1647	1998-06-30	VYDAJ	VYBER	2000	29676	\N	\N	\N
484029	1647	1998-07-12	VYDAJ	VYBER	3900	31100	\N	\N	\N
484042	1647	1997-12-31	VYDAJ	VYBER	15	35933	SLUZBY	\N	\N
484043	1647	1998-01-31	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
484044	1647	1998-02-28	VYDAJ	VYBER	15	22049	SLUZBY	\N	\N
484045	1647	1998-03-31	VYDAJ	VYBER	15	21338	SLUZBY	\N	\N
484046	1647	1998-04-30	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
484047	1647	1998-05-31	VYDAJ	VYBER	15	24435	SLUZBY	\N	\N
484048	1647	1998-06-30	VYDAJ	VYBER	15	31676	SLUZBY	\N	\N
484049	1647	1998-07-31	VYDAJ	VYBER	15	27897	SLUZBY	\N	\N
484050	1647	1998-08-31	VYDAJ	VYBER	15	31237	SLUZBY	\N	\N
484051	1647	1998-09-30	VYDAJ	VYBER	15	35680	SLUZBY	\N	\N
484052	1647	1998-10-31	VYDAJ	VYBER	15	32219	SLUZBY	\N	\N
484053	1647	1998-11-30	VYDAJ	VYBER	15	39476	SLUZBY	\N	\N
484054	1647	1997-08-08	PRIJEM	VKLAD	7900	14235	\N	\N	\N
484055	1647	1997-09-07	PRIJEM	VKLAD	5000	19281	\N	\N	\N
484056	1647	1997-10-07	PRIJEM	VKLAD	3300	28109	\N	\N	\N
484057	1647	1997-11-06	VYDAJ	VYBER	1000	32675	\N	\N	\N
484058	1647	1997-12-06	VYDAJ	VYBER	6400	31865	\N	\N	\N
484059	1647	1998-01-05	VYDAJ	VYBER	3600	32333	\N	\N	\N
484060	1647	1998-02-04	VYDAJ	VYBER	100	20160	\N	\N	\N
484061	1647	1998-03-06	VYDAJ	VYBER	2600	19449	\N	\N	\N
484062	1647	1998-04-05	PRIJEM	VKLAD	900	22238	\N	\N	\N
484063	1647	1998-05-05	VYDAJ	VYBER	1600	22535	\N	\N	\N
484064	1647	1998-06-04	PRIJEM	VKLAD	2600	27035	\N	\N	\N
484065	1647	1998-07-04	PRIJEM	VKLAD	1100	30776	\N	\N	\N
484066	1647	1998-08-03	PRIJEM	VKLAD	6300	34197	\N	\N	\N
484067	1647	1998-09-02	PRIJEM	VKLAD	2500	33737	\N	\N	\N
484068	1647	1998-10-02	VYDAJ	VYBER	2200	33480	\N	\N	\N
484069	1647	1998-11-01	PRIJEM	VKLAD	5300	37519	\N	\N	\N
484070	1647	1998-12-01	VYDAJ	VYBER	2300	37176	\N	\N	\N
484088	1648	1997-08-08	PRIJEM	VKLAD	800	800	\N	\N	\N
484089	1648	1997-10-21	PRIJEM	VKLAD	40525	73669	\N	\N	\N
484090	1648	1997-10-19	PRIJEM	VKLAD	16105	33144	\N	\N	\N
484091	1648	1998-01-16	PRIJEM	VKLAD	4275	35812	\N	\N	\N
484092	1648	1998-06-21	PRIJEM	VKLAD	17347	43584	\N	\N	\N
484100	1648	1997-08-16	PRIJEM	VKLAD	300	1100	\N	\N	\N
484101	1648	1997-09-13	PRIJEM	VKLAD	300	12404	\N	\N	\N
484102	1648	1997-10-13	PRIJEM	VKLAD	300	16339	\N	\N	\N
484103	1648	1997-11-13	PRIJEM	VKLAD	300	48707	\N	\N	\N
484104	1648	1997-12-16	PRIJEM	VKLAD	300	37788	\N	\N	\N
484105	1648	1998-01-14	PRIJEM	VKLAD	300	31537	\N	\N	\N
484106	1648	1998-02-16	PRIJEM	VKLAD	300	21685	\N	\N	\N
484107	1648	1998-03-13	PRIJEM	VKLAD	300	23961	\N	\N	\N
484108	1648	1998-04-17	PRIJEM	VKLAD	300	26745	\N	\N	\N
484109	1648	1998-05-13	PRIJEM	VKLAD	300	26139	\N	\N	\N
484110	1648	1998-06-14	PRIJEM	VKLAD	300	26237	\N	\N	\N
484111	1648	1998-07-15	PRIJEM	VKLAD	300	28792	\N	\N	\N
484112	1648	1998-08-16	PRIJEM	VKLAD	300	28907	\N	\N	\N
484113	1648	1998-09-16	PRIJEM	VKLAD	300	27715	\N	\N	\N
484114	1648	1998-10-14	PRIJEM	VKLAD	300	23021	\N	\N	\N
484115	1648	1998-11-17	PRIJEM	VKLAD	300	22513	\N	\N	\N
484116	1648	1998-12-13	PRIJEM	VKLAD	300	21896	\N	\N	\N
484124	1648	1997-08-18	PRIJEM	VKLAD	700	1800	\N	\N	\N
484125	1648	1997-09-18	PRIJEM	VKLAD	700	13104	\N	\N	\N
484126	1648	1997-10-18	PRIJEM	VKLAD	700	17039	\N	\N	\N
484127	1648	1997-11-18	PRIJEM	VKLAD	700	49407	\N	\N	\N
484128	1648	1997-12-18	PRIJEM	VKLAD	700	38488	\N	\N	\N
484129	1648	1998-01-18	PRIJEM	VKLAD	700	36512	\N	\N	\N
484130	1648	1998-02-18	PRIJEM	VKLAD	700	22385	\N	\N	\N
484131	1648	1998-03-18	PRIJEM	VKLAD	700	24661	\N	\N	\N
484132	1648	1998-04-18	PRIJEM	VKLAD	700	27445	\N	\N	\N
484133	1648	1998-05-18	PRIJEM	VKLAD	700	26839	\N	\N	\N
484134	1648	1998-06-18	PRIJEM	VKLAD	700	26237	\N	\N	\N
484135	1648	1998-07-18	PRIJEM	VKLAD	700	29492	\N	\N	\N
484136	1648	1998-08-18	PRIJEM	VKLAD	700	29607	\N	\N	\N
484137	1648	1998-09-18	PRIJEM	VKLAD	700	28415	\N	\N	\N
484138	1648	1998-10-18	PRIJEM	VKLAD	700	23721	\N	\N	\N
484139	1648	1998-11-18	PRIJEM	VKLAD	700	23213	\N	\N	\N
484140	1648	1998-12-18	PRIJEM	VKLAD	700	22596	\N	\N	\N
484142	1648	1998-06-25	VYDAJ	VYBER	5300	33084	\N	\N	\N
484144	1648	1998-01-29	VYDAJ	VYBER	7000	21712	\N	\N	\N
484146	1648	1998-06-21	VYDAJ	VYBER	5200	38384	\N	\N	\N
484148	1648	1998-01-22	VYDAJ	VYBER	6400	28712	\N	\N	\N
484149	1648	1997-12-23	VYDAJ	VYBER	2100	36388	\N	\N	\N
484150	1648	1998-12-20	VYDAJ	VYBER	1700	20896	\N	\N	\N
484152	1648	1997-12-02	VYDAJ	VYBER	2250	47388	\N	\N	\N
484153	1648	1998-01-20	VYDAJ	VYBER	1400	35112	\N	\N	\N
484154	1648	1998-06-16	VYDAJ	VYBER	700	25537	\N	\N	\N
484155	1648	1998-11-21	VYDAJ	VYBER	500	22713	\N	\N	\N
484156	1648	1998-02-02	VYDAJ	VYBER	1550	20285	\N	\N	\N
484167	1648	1997-10-31	VYDAJ	VYBER	15	73807	SLUZBY	\N	\N
484168	1648	1997-11-30	VYDAJ	VYBER	15	49638	SLUZBY	\N	\N
484169	1648	1997-12-31	VYDAJ	VYBER	15	36537	SLUZBY	\N	\N
484170	1648	1998-01-31	VYDAJ	VYBER	15	21835	SLUZBY	\N	\N
484171	1648	1998-02-28	VYDAJ	VYBER	15	22461	SLUZBY	\N	\N
484172	1648	1998-03-31	VYDAJ	VYBER	15	24745	SLUZBY	\N	\N
484173	1648	1998-04-30	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
484174	1648	1998-05-31	VYDAJ	VYBER	15	26937	SLUZBY	\N	\N
484175	1648	1998-06-30	VYDAJ	VYBER	15	33192	SLUZBY	\N	\N
484176	1648	1998-07-31	VYDAJ	VYBER	15	29607	SLUZBY	\N	\N
484177	1648	1998-08-31	VYDAJ	VYBER	15	29715	SLUZBY	\N	\N
484178	1648	1998-09-30	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
484179	1648	1998-10-31	VYDAJ	VYBER	15	23813	SLUZBY	\N	\N
484180	1648	1998-11-30	VYDAJ	VYBER	15	22796	SLUZBY	\N	\N
484181	1648	1997-09-07	PRIJEM	VKLAD	10300	12104	\N	\N	\N
484182	1648	1997-10-07	PRIJEM	VKLAD	2900	16039	\N	\N	\N
484183	1648	1997-11-06	VYDAJ	VYBER	25400	48407	\N	\N	\N
484184	1648	1997-12-06	VYDAJ	VYBER	9900	37488	\N	\N	\N
484185	1648	1998-01-05	VYDAJ	VYBER	5300	31237	\N	\N	\N
484186	1648	1998-02-04	PRIJEM	VKLAD	1100	21385	\N	\N	\N
484187	1648	1998-03-06	PRIJEM	VKLAD	1200	23661	\N	\N	\N
484188	1648	1998-04-05	PRIJEM	VKLAD	1700	26445	\N	\N	\N
484189	1648	1998-05-05	VYDAJ	VYBER	1700	25839	\N	\N	\N
484190	1648	1998-06-04	VYDAJ	VYBER	1000	25937	\N	\N	\N
484191	1648	1998-07-04	VYDAJ	VYBER	4700	28492	\N	\N	\N
484192	1648	1998-08-03	VYDAJ	VYBER	1000	28607	\N	\N	\N
484193	1648	1998-09-02	VYDAJ	VYBER	2300	27415	\N	\N	\N
484194	1648	1998-10-02	VYDAJ	VYBER	5800	22721	\N	\N	\N
484195	1648	1998-11-01	VYDAJ	VYBER	1600	22213	\N	\N	\N
484196	1648	1998-12-01	VYDAJ	VYBER	1200	21596	\N	\N	\N
484214	1649	1993-01-26	PRIJEM	VKLAD	700	700	\N	\N	\N
484215	1649	1993-08-08	PRIJEM	VKLAD	18230	42121	\N	\N	\N
484216	1649	1993-05-14	PRIJEM	VKLAD	14899	35599	\N	\N	\N
484217	1649	1994-07-16	PRIJEM	VKLAD	48442	90624	\N	\N	\N
484218	1649	1994-05-25	PRIJEM	VKLAD	34074	59776	\N	\N	\N
484219	1649	1995-02-11	PRIJEM	VKLAD	10484	37307	\N	\N	\N
484220	1649	1995-03-23	PRIJEM	VKLAD	5602	33576	\N	\N	\N
484221	1649	1996-06-25	PRIJEM	VKLAD	28567	42645	\N	\N	\N
484222	1649	1996-11-22	PRIJEM	VKLAD	45371	59630	\N	\N	\N
484223	1649	1997-09-18	PRIJEM	VKLAD	47697	77860	\N	\N	\N
484224	1649	1997-08-29	PRIJEM	VKLAD	48442	64805	\N	\N	\N
484225	1649	1998-09-06	PRIJEM	VKLAD	41429	57052	\N	\N	\N
484226	1649	1998-12-26	PRIJEM	VKLAD	22801	38253	\N	\N	\N
484237	1649	1997-01-13	VYDAJ	VYBER KARTOU	2700	15976	\N	\N	0
484254	1649	1996-12-20	VYDAJ	VYBER KARTOU	500	32040	\N	\N	0
484256	1649	1998-12-28	VYDAJ	VYBER KARTOU	1900	19653	\N	\N	0
484267	1649	1995-11-13	VYDAJ	VYBER KARTOU	1100	16989	\N	\N	0
484268	1649	1995-11-17	VYDAJ	VYBER KARTOU	300	16689	\N	\N	0
484270	1649	1995-11-03	VYDAJ	VYBER KARTOU	1800	15089	\N	\N	0
484271	1649	1995-11-01	VYDAJ	VYBER KARTOU	1000	16889	\N	\N	0
484272	1649	1996-12-03	VYDAJ	VYBER KARTOU	1800	57940	\N	\N	0
484273	1649	1996-12-03	VYDAJ	VYBER KARTOU	700	57240	\N	\N	0
484279	1649	1997-09-21	VYDAJ	VYBER KARTOU	2300	75560	\N	\N	0
484282	1649	1997-09-27	VYDAJ	VYBER KARTOU	1400	74160	\N	\N	0
484313	1649	1995-02-28	VYDAJ	VYBER	15	29474	SLUZBY	\N	\N
484314	1649	1995-03-31	VYDAJ	VYBER	15	33689	SLUZBY	\N	\N
484315	1649	1995-04-30	VYDAJ	VYBER	15	30014	SLUZBY	\N	\N
484316	1649	1995-05-31	VYDAJ	VYBER	15	25724	SLUZBY	\N	\N
484317	1649	1995-06-30	VYDAJ	VYBER	15	21915	SLUZBY	\N	\N
484318	1649	1995-07-31	VYDAJ	VYBER	15	19091	SLUZBY	\N	\N
484319	1649	1995-08-31	VYDAJ	VYBER	15	19255	SLUZBY	\N	\N
484320	1649	1995-09-30	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
484321	1649	1995-10-31	VYDAJ	VYBER	15	17889	SLUZBY	\N	\N
484322	1649	1995-11-30	VYDAJ	VYBER	15	16742	SLUZBY	\N	\N
484323	1649	1995-12-31	VYDAJ	VYBER	15	16997	SLUZBY	\N	\N
484324	1649	1996-01-31	VYDAJ	VYBER	15	16052	SLUZBY	\N	\N
484325	1649	1996-02-29	VYDAJ	VYBER	15	13304	SLUZBY	\N	\N
484326	1649	1996-03-31	VYDAJ	VYBER	15	15344	SLUZBY	\N	\N
484327	1649	1996-04-30	VYDAJ	VYBER	15	14492	SLUZBY	\N	\N
484328	1649	1996-05-31	VYDAJ	VYBER	15	14478	SLUZBY	\N	\N
484329	1649	1996-06-30	VYDAJ	VYBER	15	42774	SLUZBY	\N	\N
484330	1649	1996-07-31	VYDAJ	VYBER	15	27235	SLUZBY	\N	\N
484331	1649	1996-08-31	VYDAJ	VYBER	15	14231	SLUZBY	\N	\N
484332	1649	1996-09-30	VYDAJ	VYBER	15	14274	SLUZBY	\N	\N
484333	1649	1996-10-31	VYDAJ	VYBER	15	14259	SLUZBY	\N	\N
484334	1649	1996-11-30	VYDAJ	VYBER	15	59740	SLUZBY	\N	\N
484335	1649	1996-12-31	VYDAJ	VYBER	15	32176	SLUZBY	\N	\N
484336	1649	1997-01-31	VYDAJ	VYBER	15	16053	SLUZBY	\N	\N
484337	1649	1997-02-28	VYDAJ	VYBER	15	16104	SLUZBY	\N	\N
484338	1649	1997-03-31	VYDAJ	VYBER	15	16090	SLUZBY	\N	\N
484339	1649	1997-04-30	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
484340	1649	1997-05-31	VYDAJ	VYBER	15	16194	SLUZBY	\N	\N
484341	1649	1997-06-30	VYDAJ	VYBER	15	16312	SLUZBY	\N	\N
484342	1649	1997-07-31	VYDAJ	VYBER	15	16363	SLUZBY	\N	\N
484343	1649	1997-08-31	VYDAJ	VYBER	15	64863	SLUZBY	\N	\N
484344	1649	1997-09-30	VYDAJ	VYBER	15	74433	SLUZBY	\N	\N
484345	1649	1997-10-31	VYDAJ	VYBER	15	35322	SLUZBY	\N	\N
484346	1649	1997-11-30	VYDAJ	VYBER	15	15250	SLUZBY	\N	\N
484347	1649	1997-12-31	VYDAJ	VYBER	15	15297	SLUZBY	\N	\N
484348	1649	1998-01-31	VYDAJ	VYBER	15	15282	SLUZBY	\N	\N
484349	1649	1998-02-28	VYDAJ	VYBER	15	15398	SLUZBY	\N	\N
484350	1649	1998-03-31	VYDAJ	VYBER	15	15383	SLUZBY	\N	\N
484351	1649	1998-04-30	VYDAJ	VYBER	15	15494	SLUZBY	\N	\N
484352	1649	1998-05-31	VYDAJ	VYBER	15	15479	SLUZBY	\N	\N
484353	1649	1998-06-30	VYDAJ	VYBER	15	15590	SLUZBY	\N	\N
484354	1649	1998-07-31	VYDAJ	VYBER	15	15637	SLUZBY	\N	\N
484355	1649	1998-08-31	VYDAJ	VYBER	15	15623	SLUZBY	\N	\N
484356	1649	1998-09-30	VYDAJ	VYBER	15	25968	SLUZBY	\N	\N
484357	1649	1998-10-31	VYDAJ	VYBER	15	25954	SLUZBY	\N	\N
484358	1649	1998-11-30	VYDAJ	VYBER	15	15452	SLUZBY	\N	\N
484359	1649	1993-02-25	PRIJEM	VKLAD	11000	11700	\N	\N	\N
484360	1649	1993-03-27	PRIJEM	VKLAD	5500	17200	\N	\N	\N
484361	1649	1993-04-26	PRIJEM	VKLAD	3500	20700	\N	\N	\N
484362	1649	1993-05-26	VYDAJ	VYBER	3600	31999	\N	\N	\N
484363	1649	1993-06-25	VYDAJ	VYBER	4400	27625	\N	\N	\N
484364	1649	1993-07-25	VYDAJ	VYBER	4000	23758	\N	\N	\N
484365	1649	1993-08-24	VYDAJ	VYBER	10700	31421	\N	\N	\N
484366	1649	1993-09-23	VYDAJ	VYBER	4200	27354	\N	\N	\N
484367	1649	1993-10-23	VYDAJ	VYBER	3700	23785	\N	\N	\N
484368	1649	1993-11-22	PRIJEM	VKLAD	2600	26516	\N	\N	\N
484369	1649	1993-12-22	VYDAJ	VYBER	1200	25447	\N	\N	\N
484370	1649	1994-01-21	VYDAJ	VYBER	100	25478	\N	\N	\N
484371	1649	1994-02-20	PRIJEM	VKLAD	1800	27409	\N	\N	\N
484372	1649	1994-03-22	VYDAJ	VYBER	1300	26240	\N	\N	\N
484373	1649	1994-04-21	PRIJEM	VKLAD	300	26671	\N	\N	\N
484374	1649	1994-05-21	VYDAJ	VYBER	1100	25702	\N	\N	\N
484375	1649	1994-06-20	VYDAJ	VYBER	18000	41933	\N	\N	\N
484376	1649	1994-07-20	VYDAJ	VYBER	32500	58124	\N	\N	\N
484377	1649	1994-08-19	VYDAJ	VYBER	15800	42570	\N	\N	\N
484378	1649	1994-09-18	VYDAJ	VYBER	6500	36313	\N	\N	\N
484379	1649	1994-10-18	VYDAJ	VYBER	3800	32755	\N	\N	\N
484380	1649	1994-11-17	VYDAJ	VYBER	1500	31497	\N	\N	\N
484381	1649	1994-12-17	VYDAJ	VYBER	5100	26639	\N	\N	\N
484382	1649	1995-01-16	VYDAJ	VYBER	300	26581	\N	\N	\N
484383	1649	1995-02-15	VYDAJ	VYBER	8000	29307	\N	\N	\N
484384	1649	1995-03-17	VYDAJ	VYBER KARTOU	1500	27974	\N	\N	0
484385	1649	1995-04-16	VYDAJ	VYBER KARTOU	3800	29889	\N	\N	0
484386	1649	1995-05-16	VYDAJ	VYBER	4400	25614	\N	\N	\N
484387	1649	1995-06-15	VYDAJ	VYBER KARTOU	3900	21824	\N	\N	0
484388	1649	1995-07-15	VYDAJ	VYBER KARTOU	2900	19015	\N	\N	0
484389	1649	1995-08-14	PRIJEM	VKLAD	100	19191	\N	\N	\N
484390	1649	1995-09-13	PRIJEM	VKLAD	1100	20355	\N	\N	\N
484391	1649	1995-10-13	VYDAJ	VYBER KARTOU	2600	17820	\N	\N	0
484392	1649	1995-11-12	PRIJEM	VKLAD	3000	18089	\N	\N	\N
484393	1649	1995-12-12	PRIJEM	VKLAD	200	16942	\N	\N	\N
484394	1649	1996-01-11	VYDAJ	VYBER KARTOU	1000	15997	\N	\N	0
484395	1649	1996-02-10	VYDAJ	VYBER KARTOU	2800	13252	\N	\N	0
484396	1649	1996-03-11	PRIJEM	VKLAD	2000	15304	\N	\N	\N
484397	1649	1996-04-10	VYDAJ	VYBER KARTOU	900	14444	\N	\N	0
484398	1649	1996-06-09	VYDAJ	VYBER KARTOU	400	14078	\N	\N	0
484399	1649	1996-07-09	VYDAJ	VYBER	15700	27074	\N	\N	\N
484400	1649	1996-08-08	VYDAJ	VYBER	13100	14135	\N	\N	\N
484401	1649	1996-12-06	VYDAJ	VYBER	24700	32540	\N	\N	\N
484402	1649	1997-01-05	VYDAJ	VYBER	13500	18676	\N	\N	\N
484403	1649	1997-09-02	VYDAJ	VYBER	34700	30163	\N	\N	\N
484404	1649	1997-10-02	VYDAJ	VYBER	39400	35033	\N	\N	\N
484405	1649	1997-11-01	VYDAJ	VYBER	20200	15122	\N	\N	\N
484406	1649	1998-09-27	VYDAJ	VYBER	31200	25852	\N	\N	\N
484407	1649	1998-11-26	VYDAJ	VYBER	10700	15254	\N	\N	\N
484408	1649	1998-12-26	VYDAJ	VYBER	16700	21553	\N	\N	\N
484477	1650	1997-12-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
484489	1650	1997-12-08	PRIJEM	PREVOD Z UCTU	23726	24726	\N	OP	59799480
484490	1650	1998-01-08	PRIJEM	PREVOD Z UCTU	15817	41223	\N	OP	59799480
484491	1650	1998-02-08	PRIJEM	PREVOD Z UCTU	15817	48996	\N	OP	59799480
484492	1650	1998-03-08	PRIJEM	PREVOD Z UCTU	15817	56209	\N	OP	59799480
484493	1650	1998-04-08	PRIJEM	PREVOD Z UCTU	15817	59254	\N	OP	59799480
484494	1650	1998-05-08	PRIJEM	PREVOD Z UCTU	15817	40527	\N	OP	59799480
484495	1650	1998-06-08	PRIJEM	PREVOD Z UCTU	23726	48546	\N	OP	59799480
484496	1650	1998-07-08	PRIJEM	PREVOD Z UCTU	15817	42639	\N	OP	59799480
484497	1650	1998-08-08	PRIJEM	PREVOD Z UCTU	15817	31681	\N	OP	59799480
484498	1650	1998-09-08	PRIJEM	PREVOD Z UCTU	15817	36642	\N	OP	59799480
484499	1650	1998-10-08	PRIJEM	PREVOD Z UCTU	15817	42630	\N	OP	59799480
484500	1650	1998-11-08	PRIJEM	PREVOD Z UCTU	15817	40542	\N	OP	59799480
484501	1650	1998-12-08	PRIJEM	PREVOD Z UCTU	23726	45589	\N	OP	59799480
484517	1650	1998-04-13	VYDAJ	PREVOD NA UCET	3649	55605	SIPO	IJ	90931999
484518	1650	1998-05-13	VYDAJ	PREVOD NA UCET	3649	36878	SIPO	IJ	90931999
484519	1650	1998-06-13	VYDAJ	PREVOD NA UCET	3649	44897	SIPO	IJ	90931999
484520	1650	1998-07-13	VYDAJ	PREVOD NA UCET	3649	15976	SIPO	IJ	90931999
484521	1650	1998-08-13	VYDAJ	PREVOD NA UCET	3649	28032	SIPO	IJ	90931999
484522	1650	1998-09-13	VYDAJ	PREVOD NA UCET	3649	32993	SIPO	IJ	90931999
484523	1650	1998-10-13	VYDAJ	PREVOD NA UCET	3649	38981	SIPO	IJ	90931999
484524	1650	1998-11-13	VYDAJ	PREVOD NA UCET	3649	36893	SIPO	IJ	90931999
484525	1650	1998-12-13	VYDAJ	PREVOD NA UCET	3649	41940	SIPO	IJ	90931999
484542	1650	1998-05-07	VYDAJ	PREVOD NA UCET	9100	24710	 	OP	60317361
484543	1650	1998-06-07	VYDAJ	PREVOD NA UCET	9100	24820	 	OP	60317361
484544	1650	1998-07-07	VYDAJ	PREVOD NA UCET	9100	26822	 	OP	60317361
484545	1650	1998-08-07	VYDAJ	PREVOD NA UCET	9100	15864	 	OP	60317361
484546	1650	1998-09-07	VYDAJ	PREVOD NA UCET	9100	20825	 	OP	60317361
484547	1650	1998-10-07	VYDAJ	PREVOD NA UCET	9100	26813	 	OP	60317361
484548	1650	1998-11-07	VYDAJ	PREVOD NA UCET	9100	24725	 	OP	60317361
484549	1650	1998-12-07	VYDAJ	PREVOD NA UCET	9100	21863	 	OP	60317361
484557	1650	1998-07-12	VYBER	VYBER	23014	19625	\N	\N	\N
484559	1650	1998-07-01	VYBER	VYBER	6340	38722	\N	\N	\N
484560	1650	1998-11-30	VYBER	VYBER	13368	20678	\N	\N	\N
484562	1650	1998-04-29	VYBER	VYBER	14810	39295	\N	\N	\N
484568	1650	1998-12-26	VYDAJ	VYBER	8700	33240	\N	\N	\N
484590	1650	1998-04-26	VYDAJ	VYBER	1500	54105	\N	\N	\N
484593	1650	1998-11-28	VYDAJ	VYBER	3000	33893	\N	\N	\N
484612	1650	1998-04-30	VYDAJ	VYBER	15	39510	SLUZBY	\N	\N
484613	1650	1998-05-31	VYDAJ	VYBER	15	37020	SLUZBY	\N	\N
484614	1650	1998-06-30	VYDAJ	VYBER	15	45062	SLUZBY	\N	\N
484615	1650	1998-07-31	VYDAJ	VYBER	15	16064	SLUZBY	\N	\N
484616	1650	1998-08-31	VYDAJ	VYBER	15	28125	SLUZBY	\N	\N
484617	1650	1998-09-30	VYDAJ	VYBER	15	33113	SLUZBY	\N	\N
484618	1650	1998-10-31	VYDAJ	VYBER	15	39125	SLUZBY	\N	\N
484619	1650	1998-11-30	VYDAJ	VYBER	15	20663	SLUZBY	\N	\N
484620	1650	1998-01-05	PRIJEM	VKLAD	600	25406	\N	\N	\N
484621	1650	1998-02-04	VYDAJ	VYBER	8200	33179	\N	\N	\N
484622	1650	1998-03-06	VYDAJ	VYBER	8800	40392	\N	\N	\N
484623	1650	1998-04-05	VYDAJ	VYBER	13000	43437	\N	\N	\N
484624	1650	1998-05-05	VYDAJ	VYBER	5700	33810	\N	\N	\N
484625	1650	1998-06-04	VYDAJ	VYBER	3100	33920	\N	\N	\N
484626	1650	1998-07-04	VYDAJ	VYBER	2800	35922	\N	\N	\N
484627	1650	1998-08-03	PRIJEM	VKLAD	8900	24964	\N	\N	\N
484628	1650	1998-09-02	PRIJEM	VKLAD	1800	29925	\N	\N	\N
484629	1650	1998-10-02	PRIJEM	VKLAD	2800	35913	\N	\N	\N
484630	1650	1998-11-01	VYDAJ	VYBER	5300	33825	\N	\N	\N
484631	1650	1998-12-01	PRIJEM	VKLAD	10300	30963	\N	\N	\N
484645	1651	1997-01-23	PRIJEM	VKLAD	900	900	\N	\N	\N
484646	1651	1997-01-27	PRIJEM	VKLAD	23579	24479	\N	\N	\N
484647	1651	1997-10-28	PRIJEM	VKLAD	14958	58569	\N	\N	\N
484648	1651	1998-09-09	PRIJEM	VKLAD	34175	121184	\N	\N	\N
484649	1651	1998-01-10	PRIJEM	VKLAD	8808	60486	\N	\N	\N
484650	1651	1998-12-26	PRIJEM	VKLAD	39965	78159	\N	\N	\N
484651	1651	1998-09-17	PRIJEM	VKLAD	23059	73343	\N	\N	\N
484652	1651	1998-05-20	PRIJEM	VKLAD	7500	55510	\N	\N	\N
484653	1651	1998-03-23	PRIJEM	VKLAD	39306	100870	\N	\N	\N
484654	1651	1998-06-04	PRIJEM	VKLAD	49591	105325	\N	\N	\N
484655	1651	1998-07-23	PRIJEM	VKLAD	20966	84970	\N	\N	\N
484656	1651	1998-03-30	PRIJEM	VKLAD	45127	136677	\N	\N	\N
484657	1651	1998-01-28	PRIJEM	VKLAD	31169	88755	\N	\N	\N
484658	1651	1998-02-25	PRIJEM	VKLAD	5404	73218	\N	\N	\N
484659	1651	1998-09-05	PRIJEM	VKLAD	19710	87009	\N	\N	\N
484660	1651	1998-06-17	PRIJEM	VKLAD	46704	125929	\N	\N	\N
484661	1651	1998-04-16	PRIJEM	VKLAD	26254	71045	\N	\N	\N
484662	1651	1998-07-22	PRIJEM	VKLAD	14124	64004	\N	\N	\N
484663	1651	1998-07-15	PRIJEM	VKLAD	34784	107980	\N	\N	\N
484692	1651	1998-03-24	VYBER	VYBER	9320	91550	\N	\N	\N
484693	1651	1998-05-02	VYBER	VYBER	17133	42210	\N	\N	\N
484695	1651	1998-06-12	VYDAJ	VYBER	26100	79225	\N	\N	\N
484699	1651	1998-12-09	VYDAJ	VYBER	5100	45094	\N	\N	\N
484717	1651	1998-11-27	VYDAJ	VYBER	5400	49952	\N	\N	\N
484718	1651	1998-07-17	VYDAJ	VYBER	7500	57680	\N	\N	\N
484720	1651	1998-07-20	VYDAJ	VYBER	1800	49880	\N	\N	\N
484721	1651	1998-12-20	VYDAJ	VYBER	13500	38194	\N	\N	\N
484722	1651	1998-07-20	VYDAJ	VYBER	6000	51680	\N	\N	\N
484737	1651	1998-02-28	VYDAJ	VYBER	15	73564	SLUZBY	\N	\N
484738	1651	1998-03-31	VYDAJ	VYBER	15	44791	SLUZBY	\N	\N
484739	1651	1998-04-30	VYDAJ	VYBER	15	59343	SLUZBY	\N	\N
484740	1651	1998-05-31	VYDAJ	VYBER	15	55734	SLUZBY	\N	\N
484741	1651	1998-06-30	VYDAJ	VYBER	15	73196	SLUZBY	\N	\N
484742	1651	1998-07-31	VYDAJ	VYBER	15	85261	SLUZBY	\N	\N
484743	1651	1998-08-31	VYDAJ	VYBER	15	67299	SLUZBY	\N	\N
484744	1651	1998-09-30	VYDAJ	VYBER	15	73661	SLUZBY	\N	\N
484745	1651	1998-10-31	VYDAJ	VYBER	15	63452	SLUZBY	\N	\N
484746	1651	1998-11-30	VYDAJ	VYBER	15	50194	SLUZBY	\N	\N
484747	1651	1997-02-22	VYDAJ	VYBER	2300	22196	\N	\N	\N
484748	1651	1997-03-24	PRIJEM	VKLAD	1600	23897	\N	\N	\N
484749	1651	1997-04-23	PRIJEM	VKLAD	2700	26699	\N	\N	\N
484750	1651	1997-05-23	PRIJEM	VKLAD	3400	30201	\N	\N	\N
484751	1651	1997-06-22	PRIJEM	VKLAD	2500	32803	\N	\N	\N
484752	1651	1997-07-22	PRIJEM	VKLAD	1800	34705	\N	\N	\N
484753	1651	1997-08-21	PRIJEM	VKLAD	5500	40307	\N	\N	\N
484754	1651	1997-09-20	PRIJEM	VKLAD	600	41009	\N	\N	\N
484755	1651	1997-10-20	PRIJEM	VKLAD	2500	43611	\N	\N	\N
484756	1651	1997-11-19	VYDAJ	VYBER	6000	52690	\N	\N	\N
484757	1651	1997-12-19	VYDAJ	VYBER	1500	51434	\N	\N	\N
484758	1651	1998-01-18	VYDAJ	VYBER	2900	57586	\N	\N	\N
484759	1651	1998-02-17	VYDAJ	VYBER	21200	67814	\N	\N	\N
484760	1651	1998-03-19	VYDAJ	VYBER	12000	61564	\N	\N	\N
484761	1651	1998-03-30	VYDAJ	VYBER	28700	107977	\N	\N	\N
484762	1651	1998-03-31	VYDAJ	VYBER	63500	44806	\N	\N	\N
484763	1651	1998-04-18	VYDAJ	VYBER	11900	59145	\N	\N	\N
484764	1651	1998-05-18	PRIJEM	VKLAD	5800	48010	\N	\N	\N
484765	1651	1998-06-17	VYDAJ	VYBER	32400	72929	\N	\N	\N
484766	1651	1998-06-17	VYDAJ	VYBER	20600	105329	\N	\N	\N
484767	1651	1998-07-15	VYDAJ	VYBER	46600	61380	\N	\N	\N
484768	1651	1998-07-17	PRIJEM	VKLAD	3800	65180	\N	\N	\N
484769	1651	1998-08-16	VYDAJ	VYBER	18300	66961	\N	\N	\N
484770	1651	1998-09-09	VYDAJ	VYBER	64800	56384	\N	\N	\N
484771	1651	1998-09-15	VYDAJ	VYBER	6100	50284	\N	\N	\N
484772	1651	1998-10-15	VYDAJ	VYBER	10500	63161	\N	\N	\N
484773	1651	1998-11-14	VYDAJ	VYBER	8100	55352	\N	\N	\N
484774	1651	1998-12-14	PRIJEM	VKLAD	6600	51694	\N	\N	\N
484799	1652	1993-05-20	PRIJEM	VKLAD	300	300	\N	\N	\N
484805	1652	1993-06-13	PRIJEM	PREVOD Z UCTU	6226	6526	DUCHOD	GH	3406155
484806	1652	1993-07-13	PRIJEM	PREVOD Z UCTU	6226	12752	DUCHOD	GH	3406155
484807	1652	1993-08-13	PRIJEM	PREVOD Z UCTU	6226	18978	DUCHOD	GH	3406155
484808	1652	1993-09-13	PRIJEM	PREVOD Z UCTU	6226	25204	DUCHOD	GH	3406155
484809	1652	1993-10-13	PRIJEM	PREVOD Z UCTU	6226	31430	DUCHOD	GH	3406155
484810	1652	1993-11-13	PRIJEM	PREVOD Z UCTU	6226	29373	DUCHOD	GH	3406155
484811	1652	1993-12-13	PRIJEM	PREVOD Z UCTU	6226	27773	DUCHOD	GH	3406155
484812	1652	1994-01-13	PRIJEM	PREVOD Z UCTU	6226	24747	DUCHOD	GH	3406155
484813	1652	1994-02-13	PRIJEM	PREVOD Z UCTU	6226	18123	DUCHOD	GH	3406155
484814	1652	1994-03-13	PRIJEM	PREVOD Z UCTU	6226	20983	DUCHOD	GH	3406155
484815	1652	1994-04-13	PRIJEM	PREVOD Z UCTU	6226	23855	DUCHOD	GH	3406155
484816	1652	1994-05-13	PRIJEM	PREVOD Z UCTU	6226	24499	DUCHOD	GH	3406155
484817	1652	1994-06-13	PRIJEM	PREVOD Z UCTU	6226	22900	DUCHOD	GH	3406155
484818	1652	1994-07-13	PRIJEM	PREVOD Z UCTU	6226	16413	DUCHOD	GH	3406155
484819	1652	1994-08-13	PRIJEM	PREVOD Z UCTU	6226	19266	DUCHOD	GH	3406155
484820	1652	1994-09-13	PRIJEM	PREVOD Z UCTU	6226	22131	DUCHOD	GH	3406155
484821	1652	1994-10-13	PRIJEM	PREVOD Z UCTU	6226	25008	DUCHOD	GH	3406155
484822	1652	1994-11-13	PRIJEM	PREVOD Z UCTU	6226	25256	DUCHOD	GH	3406155
484823	1652	1994-12-13	PRIJEM	PREVOD Z UCTU	6226	26746	DUCHOD	GH	3406155
484824	1652	1995-01-13	PRIJEM	PREVOD Z UCTU	6226	25961	DUCHOD	GH	3406155
484825	1652	1995-02-13	PRIJEM	PREVOD Z UCTU	6226	20945	DUCHOD	GH	3406155
484826	1652	1995-03-13	PRIJEM	PREVOD Z UCTU	6226	23815	DUCHOD	GH	3406155
484827	1652	1995-04-13	PRIJEM	PREVOD Z UCTU	6226	26699	DUCHOD	GH	3406155
484828	1652	1995-05-13	PRIJEM	PREVOD Z UCTU	6226	29595	DUCHOD	GH	3406155
484829	1652	1995-06-13	PRIJEM	PREVOD Z UCTU	6226	29003	DUCHOD	GH	3406155
484830	1652	1995-07-13	PRIJEM	PREVOD Z UCTU	6226	20705	DUCHOD	GH	3406155
484831	1652	1995-08-13	PRIJEM	PREVOD Z UCTU	6226	23576	DUCHOD	GH	3406155
484832	1652	1995-09-13	PRIJEM	PREVOD Z UCTU	6226	23959	DUCHOD	GH	3406155
484833	1652	1995-10-13	PRIJEM	PREVOD Z UCTU	6226	26843	DUCHOD	GH	3406155
484834	1652	1995-11-13	PRIJEM	PREVOD Z UCTU	6226	27098	DUCHOD	GH	3406155
484835	1652	1995-12-13	PRIJEM	PREVOD Z UCTU	6226	26143	DUCHOD	GH	3406155
484836	1652	1996-01-13	PRIJEM	PREVOD Z UCTU	6226	27316	DUCHOD	GH	3406155
484837	1652	1996-02-13	PRIJEM	PREVOD Z UCTU	6226	19723	DUCHOD	GH	3406155
484838	1652	1996-03-13	PRIJEM	PREVOD Z UCTU	6226	22589	DUCHOD	GH	3406155
484839	1652	1996-04-13	PRIJEM	PREVOD Z UCTU	6226	25467	DUCHOD	GH	3406155
484840	1652	1996-05-13	PRIJEM	PREVOD Z UCTU	6226	26158	DUCHOD	GH	3406155
484841	1652	1996-06-13	PRIJEM	PREVOD Z UCTU	6226	27451	DUCHOD	GH	3406155
484842	1652	1996-07-13	PRIJEM	PREVOD Z UCTU	6226	18426	DUCHOD	GH	3406155
484843	1652	1996-08-13	PRIJEM	PREVOD Z UCTU	6226	20087	DUCHOD	GH	3406155
484844	1652	1996-09-13	PRIJEM	PREVOD Z UCTU	6226	19154	DUCHOD	GH	3406155
484845	1652	1996-10-13	PRIJEM	PREVOD Z UCTU	6226	21119	DUCHOD	GH	3406155
484846	1652	1996-11-13	PRIJEM	PREVOD Z UCTU	6226	20289	DUCHOD	GH	3406155
484847	1652	1996-12-13	PRIJEM	PREVOD Z UCTU	6226	22263	DUCHOD	GH	3406155
484848	1652	1997-01-13	PRIJEM	PREVOD Z UCTU	6226	18560	DUCHOD	GH	3406155
484849	1652	1997-02-13	PRIJEM	PREVOD Z UCTU	6226	16112	DUCHOD	GH	3406155
484850	1652	1997-03-13	PRIJEM	PREVOD Z UCTU	6226	17262	DUCHOD	GH	3406155
484851	1652	1997-04-13	PRIJEM	PREVOD Z UCTU	6226	16217	DUCHOD	GH	3406155
484852	1652	1997-05-13	PRIJEM	PREVOD Z UCTU	6226	19068	DUCHOD	GH	3406155
484853	1652	1997-06-13	PRIJEM	PREVOD Z UCTU	6226	20230	DUCHOD	GH	3406155
484854	1652	1997-07-13	PRIJEM	PREVOD Z UCTU	6226	23098	DUCHOD	GH	3406155
484855	1652	1997-08-13	PRIJEM	PREVOD Z UCTU	6226	24196	DUCHOD	GH	3406155
484856	1652	1997-09-13	PRIJEM	PREVOD Z UCTU	6226	25779	DUCHOD	GH	3406155
484857	1652	1997-10-13	PRIJEM	PREVOD Z UCTU	6226	22165	DUCHOD	GH	3406155
484858	1652	1997-11-13	PRIJEM	PREVOD Z UCTU	6226	25040	DUCHOD	GH	3406155
484859	1652	1997-12-13	PRIJEM	PREVOD Z UCTU	6226	19121	DUCHOD	GH	3406155
484860	1652	1998-01-13	PRIJEM	PREVOD Z UCTU	6226	19502	DUCHOD	GH	3406155
484861	1652	1998-02-13	PRIJEM	PREVOD Z UCTU	6226	18708	DUCHOD	GH	3406155
484862	1652	1998-03-13	PRIJEM	PREVOD Z UCTU	6226	21568	DUCHOD	GH	3406155
484863	1652	1998-04-13	PRIJEM	PREVOD Z UCTU	6226	22921	DUCHOD	GH	3406155
484864	1652	1998-05-13	PRIJEM	PREVOD Z UCTU	6226	25800	DUCHOD	GH	3406155
484865	1652	1998-06-13	PRIJEM	PREVOD Z UCTU	6226	28690	DUCHOD	GH	3406155
484866	1652	1998-07-13	PRIJEM	PREVOD Z UCTU	6226	31592	DUCHOD	GH	3406155
484867	1652	1998-08-13	PRIJEM	PREVOD Z UCTU	6226	34506	DUCHOD	GH	3406155
484868	1652	1998-09-13	PRIJEM	PREVOD Z UCTU	6226	17806	DUCHOD	GH	3406155
484869	1652	1998-10-13	PRIJEM	PREVOD Z UCTU	6226	20662	DUCHOD	GH	3406155
484870	1652	1998-11-13	PRIJEM	PREVOD Z UCTU	6226	23531	DUCHOD	GH	3406155
484871	1652	1998-12-13	PRIJEM	PREVOD Z UCTU	6226	23124	DUCHOD	GH	3406155
484882	1652	1993-11-08	VYDAJ	PREVOD NA UCET	3422	23147	SIPO	WX	88888269
484883	1652	1993-12-08	VYDAJ	PREVOD NA UCET	3422	21547	SIPO	WX	88888269
484884	1652	1994-01-08	VYDAJ	PREVOD NA UCET	3422	19881	SIPO	WX	88888269
484885	1652	1994-02-08	VYDAJ	PREVOD NA UCET	3422	11897	SIPO	WX	88888269
484886	1652	1994-03-08	VYDAJ	PREVOD NA UCET	3422	14757	SIPO	WX	88888269
484887	1652	1994-04-08	VYDAJ	PREVOD NA UCET	3422	17629	SIPO	WX	88888269
484888	1652	1994-05-08	VYDAJ	PREVOD NA UCET	3422	18273	SIPO	WX	88888269
484889	1652	1994-06-08	VYDAJ	PREVOD NA UCET	3422	16674	SIPO	WX	88888269
484890	1652	1994-07-08	VYDAJ	PREVOD NA UCET	3422	10187	SIPO	WX	88888269
484891	1652	1994-08-08	VYDAJ	PREVOD NA UCET	3422	13040	SIPO	WX	88888269
484892	1652	1994-09-08	VYDAJ	PREVOD NA UCET	3422	15905	SIPO	WX	88888269
484893	1652	1994-10-08	VYDAJ	PREVOD NA UCET	3422	18782	SIPO	WX	88888269
484894	1652	1994-11-08	VYDAJ	PREVOD NA UCET	3422	19830	SIPO	WX	88888269
484895	1652	1994-12-08	VYDAJ	PREVOD NA UCET	3422	21020	SIPO	WX	88888269
484896	1652	1995-01-08	VYDAJ	PREVOD NA UCET	3422	21575	SIPO	WX	88888269
484897	1652	1995-02-08	VYDAJ	PREVOD NA UCET	3422	14719	SIPO	WX	88888269
484898	1652	1995-03-08	VYDAJ	PREVOD NA UCET	3422	17589	SIPO	WX	88888269
484899	1652	1995-04-08	VYDAJ	PREVOD NA UCET	3422	20473	SIPO	WX	88888269
484900	1652	1995-05-08	VYDAJ	PREVOD NA UCET	3422	23369	SIPO	WX	88888269
484901	1652	1995-06-08	VYDAJ	PREVOD NA UCET	3422	26277	SIPO	WX	88888269
484902	1652	1995-07-08	VYDAJ	PREVOD NA UCET	3422	16719	SIPO	WX	88888269
484903	1652	1995-08-08	VYDAJ	PREVOD NA UCET	3422	17350	SIPO	WX	88888269
484904	1652	1995-09-08	VYDAJ	PREVOD NA UCET	3422	17733	SIPO	WX	88888269
484905	1652	1995-10-08	VYDAJ	PREVOD NA UCET	3422	20617	SIPO	WX	88888269
484906	1652	1995-11-08	VYDAJ	PREVOD NA UCET	3422	20872	SIPO	WX	88888269
484907	1652	1995-12-08	VYDAJ	PREVOD NA UCET	3422	20167	SIPO	WX	88888269
484908	1652	1996-01-08	VYDAJ	PREVOD NA UCET	3422	21810	SIPO	WX	88888269
484909	1652	1996-02-08	VYDAJ	PREVOD NA UCET	3422	13497	SIPO	WX	88888269
484910	1652	1996-03-08	VYDAJ	PREVOD NA UCET	3422	16363	SIPO	WX	88888269
484911	1652	1996-04-08	VYDAJ	PREVOD NA UCET	3422	19241	SIPO	WX	88888269
484912	1652	1996-05-08	VYDAJ	PREVOD NA UCET	3422	19932	SIPO	WX	88888269
484913	1652	1996-06-08	VYDAJ	PREVOD NA UCET	3422	21225	SIPO	WX	88888269
484914	1652	1996-07-08	VYDAJ	PREVOD NA UCET	3422	12200	SIPO	WX	88888269
484915	1652	1996-08-08	VYDAJ	PREVOD NA UCET	3422	13861	SIPO	WX	88888269
484916	1652	1996-09-08	VYDAJ	PREVOD NA UCET	3422	12928	SIPO	WX	88888269
484917	1652	1996-10-08	VYDAJ	PREVOD NA UCET	3422	14893	SIPO	WX	88888269
484918	1652	1996-11-08	VYDAJ	PREVOD NA UCET	3422	14063	SIPO	WX	88888269
484919	1652	1996-12-08	VYDAJ	PREVOD NA UCET	3422	16037	SIPO	WX	88888269
484920	1652	1997-01-08	VYDAJ	PREVOD NA UCET	3422	12334	SIPO	WX	88888269
484921	1652	1997-02-08	VYDAJ	PREVOD NA UCET	3422	9886	SIPO	WX	88888269
484922	1652	1997-03-08	VYDAJ	PREVOD NA UCET	3422	11036	SIPO	WX	88888269
484923	1652	1997-04-08	VYDAJ	PREVOD NA UCET	3422	9991	SIPO	WX	88888269
484924	1652	1997-05-08	VYDAJ	PREVOD NA UCET	3422	12842	SIPO	WX	88888269
484925	1652	1997-06-08	VYDAJ	PREVOD NA UCET	3422	14004	SIPO	WX	88888269
484926	1652	1997-07-08	VYDAJ	PREVOD NA UCET	3422	16872	SIPO	WX	88888269
484927	1652	1997-08-08	VYDAJ	PREVOD NA UCET	3422	17970	SIPO	WX	88888269
484928	1652	1997-09-08	VYDAJ	PREVOD NA UCET	3422	19553	SIPO	WX	88888269
484929	1652	1997-10-08	VYDAJ	PREVOD NA UCET	3422	15939	SIPO	WX	88888269
484930	1652	1997-11-08	VYDAJ	PREVOD NA UCET	3422	18814	SIPO	WX	88888269
484931	1652	1997-12-08	VYDAJ	PREVOD NA UCET	3422	12895	SIPO	WX	88888269
484932	1652	1998-01-08	VYDAJ	PREVOD NA UCET	3422	13276	SIPO	WX	88888269
484933	1652	1998-02-08	VYDAJ	PREVOD NA UCET	3422	12482	SIPO	WX	88888269
484934	1652	1998-03-08	VYDAJ	PREVOD NA UCET	3422	15342	SIPO	WX	88888269
484935	1652	1998-04-08	VYDAJ	PREVOD NA UCET	3422	18215	SIPO	WX	88888269
484936	1652	1998-05-08	VYDAJ	PREVOD NA UCET	3422	19574	SIPO	WX	88888269
484937	1652	1998-06-08	VYDAJ	PREVOD NA UCET	3422	22464	SIPO	WX	88888269
484938	1652	1998-07-08	VYDAJ	PREVOD NA UCET	3422	25366	SIPO	WX	88888269
484939	1652	1998-08-08	VYDAJ	PREVOD NA UCET	3422	28280	SIPO	WX	88888269
484940	1652	1998-09-08	VYDAJ	PREVOD NA UCET	3422	11580	SIPO	WX	88888269
484941	1652	1998-10-08	VYDAJ	PREVOD NA UCET	3422	14436	SIPO	WX	88888269
484942	1652	1998-11-08	VYDAJ	PREVOD NA UCET	3422	17305	SIPO	WX	88888269
484943	1652	1998-12-08	VYDAJ	PREVOD NA UCET	3422	16898	SIPO	WX	88888269
484945	1652	1994-06-18	VYDAJ	VYBER	9350	13550	\N	\N	\N
484946	1652	1995-06-25	VYDAJ	VYBER	6400	22603	\N	\N	\N
484947	1652	1996-06-25	VYDAJ	VYBER	8550	15541	\N	\N	\N
484951	1652	1994-01-27	VYDAJ	VYBER	2300	17087	\N	\N	\N
484952	1652	1995-01-14	VYDAJ	VYBER	4700	20461	\N	\N	\N
484953	1652	1996-01-15	VYDAJ	VYBER	2550	21726	\N	\N	\N
484955	1652	1998-01-15	VYDAJ	VYBER	3650	15852	\N	\N	\N
484956	1652	1993-12-05	VYDAJ	VYBER	1100	24969	\N	\N	\N
484957	1652	1994-12-06	VYDAJ	VYBER	900	24442	\N	\N	\N
484958	1652	1995-12-12	VYDAJ	VYBER	250	19917	\N	\N	\N
484959	1652	1996-12-21	VYDAJ	VYBER	600	21663	\N	\N	\N
484960	1652	1997-12-06	VYDAJ	VYBER	900	16317	\N	\N	\N
484961	1652	1998-12-23	VYDAJ	VYBER	400	22724	\N	\N	\N
484968	1652	1994-01-11	VYDAJ	VYBER	1360	18521	\N	\N	\N
484969	1652	1994-01-27	VYDAJ	VYBER	1840	15247	\N	\N	\N
484970	1652	1994-01-16	VYDAJ	VYBER	2000	20587	\N	\N	\N
484971	1652	1994-01-15	VYDAJ	VYBER	2160	22587	\N	\N	\N
484972	1652	1994-01-06	VYDAJ	VYBER	400	23303	\N	\N	\N
484973	1652	1994-01-22	VYDAJ	VYBER	1200	19387	\N	\N	\N
484974	1652	1995-01-24	VYDAJ	VYBER	640	19181	\N	\N	\N
484975	1652	1995-01-03	VYDAJ	VYBER	720	24997	\N	\N	\N
484976	1652	1995-01-02	VYDAJ	VYBER	1120	25717	\N	\N	\N
484977	1652	1995-01-14	VYDAJ	VYBER	800	25161	\N	\N	\N
484978	1652	1995-01-23	VYDAJ	VYBER	640	19821	\N	\N	\N
484979	1652	1995-01-09	VYDAJ	VYBER	1840	19735	\N	\N	\N
484980	1652	1996-01-15	VYDAJ	VYBER	1600	20126	\N	\N	\N
484981	1652	1996-01-11	VYDAJ	VYBER	720	21090	\N	\N	\N
484982	1652	1996-01-30	VYDAJ	VYBER	1360	16846	\N	\N	\N
484983	1652	1996-01-13	VYDAJ	VYBER	1680	25636	\N	\N	\N
484984	1652	1996-01-17	VYDAJ	VYBER	640	18206	\N	\N	\N
484985	1652	1996-01-14	VYDAJ	VYBER	1360	24276	\N	\N	\N
484988	1652	1997-01-16	VYDAJ	VYBER	1200	15360	\N	\N	\N
484989	1652	1997-01-03	VYDAJ	VYBER	2080	15756	\N	\N	\N
484991	1652	1997-01-15	VYDAJ	VYBER	2000	16560	\N	\N	\N
484994	1652	1998-01-05	VYDAJ	VYBER	480	18698	\N	\N	\N
484995	1652	1998-01-06	VYDAJ	VYBER	2000	16698	\N	\N	\N
484999	1652	1993-12-30	VYDAJ	VYBER	2160	23613	\N	\N	\N
485002	1652	1994-10-28	VYDAJ	VYBER	1840	23168	\N	\N	\N
485003	1652	1994-05-30	VYDAJ	VYBER	2080	20019	\N	\N	\N
485004	1652	1994-04-30	VYDAJ	VYBER	2240	21709	\N	\N	\N
485005	1652	1994-05-15	VYDAJ	VYBER	2400	22099	\N	\N	\N
485007	1652	1995-10-30	VYDAJ	VYBER	2640	24203	\N	\N	\N
485008	1652	1995-07-09	VYDAJ	VYBER	2240	14479	\N	\N	\N
485009	1652	1995-06-30	VYDAJ	VYBER	2560	20155	\N	\N	\N
485010	1652	1995-02-01	VYDAJ	VYBER	1120	18141	\N	\N	\N
485011	1652	1995-11-25	VYDAJ	VYBER	3600	23498	\N	\N	\N
485012	1652	1996-06-21	VYDAJ	VYBER	3360	24091	\N	\N	\N
485013	1652	1996-01-17	VYDAJ	VYBER	1280	18846	\N	\N	\N
485014	1652	1997-07-27	VYDAJ	VYBER	480	22618	\N	\N	\N
485017	1652	1997-09-22	VYDAJ	VYBER	800	24979	\N	\N	\N
485019	1652	1998-04-12	VYDAJ	VYBER	800	16695	\N	\N	\N
485021	1652	1998-04-10	VYDAJ	VYBER	720	17495	\N	\N	\N
485022	1652	1998-11-15	VYDAJ	VYBER	3280	20251	\N	\N	\N
485033	1652	1993-10-31	VYDAJ	VYBER	15	26569	SLUZBY	\N	\N
485034	1652	1993-11-30	VYDAJ	VYBER	15	26069	SLUZBY	\N	\N
485035	1652	1993-12-31	VYDAJ	VYBER	15	23703	SLUZBY	\N	\N
485036	1652	1994-01-31	VYDAJ	VYBER	15	15319	SLUZBY	\N	\N
485037	1652	1994-02-28	VYDAJ	VYBER	15	18179	SLUZBY	\N	\N
485038	1652	1994-03-31	VYDAJ	VYBER	15	21051	SLUZBY	\N	\N
485039	1652	1994-04-30	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
485040	1652	1994-05-31	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
485041	1652	1994-06-30	VYDAJ	VYBER	15	13609	SLUZBY	\N	\N
485042	1652	1994-07-31	VYDAJ	VYBER	15	16462	SLUZBY	\N	\N
485043	1652	1994-08-31	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
485044	1652	1994-09-30	VYDAJ	VYBER	15	22204	SLUZBY	\N	\N
485045	1652	1994-10-31	VYDAJ	VYBER	15	23252	SLUZBY	\N	\N
485046	1652	1994-11-30	VYDAJ	VYBER	15	25342	SLUZBY	\N	\N
485047	1652	1994-12-31	VYDAJ	VYBER	15	26837	SLUZBY	\N	\N
485048	1652	1995-01-31	VYDAJ	VYBER	15	19261	SLUZBY	\N	\N
485049	1652	1995-02-28	VYDAJ	VYBER	15	21011	SLUZBY	\N	\N
485050	1652	1995-03-31	VYDAJ	VYBER	15	23895	SLUZBY	\N	\N
485051	1652	1995-04-30	VYDAJ	VYBER	15	26791	SLUZBY	\N	\N
485052	1652	1995-05-31	VYDAJ	VYBER	15	29699	SLUZBY	\N	\N
485053	1652	1995-06-30	VYDAJ	VYBER	15	20141	SLUZBY	\N	\N
485054	1652	1995-07-31	VYDAJ	VYBER	15	20772	SLUZBY	\N	\N
485055	1652	1995-08-31	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
485056	1652	1995-09-30	VYDAJ	VYBER	15	24039	SLUZBY	\N	\N
485057	1652	1995-10-31	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
485058	1652	1995-11-30	VYDAJ	VYBER	15	23589	SLUZBY	\N	\N
485059	1652	1995-12-31	VYDAJ	VYBER	15	26232	SLUZBY	\N	\N
485060	1652	1996-01-31	VYDAJ	VYBER	15	16919	SLUZBY	\N	\N
485061	1652	1996-02-29	VYDAJ	VYBER	15	19785	SLUZBY	\N	\N
485062	1652	1996-03-31	VYDAJ	VYBER	15	22663	SLUZBY	\N	\N
485063	1652	1996-04-30	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
485064	1652	1996-05-31	VYDAJ	VYBER	15	26247	SLUZBY	\N	\N
485065	1652	1996-06-30	VYDAJ	VYBER	15	15622	SLUZBY	\N	\N
485066	1652	1996-07-31	VYDAJ	VYBER	15	18483	SLUZBY	\N	\N
485067	1652	1996-08-31	VYDAJ	VYBER	15	20150	SLUZBY	\N	\N
485068	1652	1996-09-30	VYDAJ	VYBER	15	19215	SLUZBY	\N	\N
485069	1652	1996-10-31	VYDAJ	VYBER	15	21185	SLUZBY	\N	\N
485070	1652	1996-11-30	VYDAJ	VYBER	15	20359	SLUZBY	\N	\N
485071	1652	1996-12-31	VYDAJ	VYBER	15	17836	SLUZBY	\N	\N
485072	1652	1997-01-31	VYDAJ	VYBER	15	13308	SLUZBY	\N	\N
485073	1652	1997-02-28	VYDAJ	VYBER	15	16158	SLUZBY	\N	\N
485074	1652	1997-03-31	VYDAJ	VYBER	15	13413	SLUZBY	\N	\N
485075	1652	1997-04-30	VYDAJ	VYBER	15	16264	SLUZBY	\N	\N
485076	1652	1997-05-31	VYDAJ	VYBER	15	17426	SLUZBY	\N	\N
485077	1652	1997-06-30	VYDAJ	VYBER	15	20294	SLUZBY	\N	\N
485078	1652	1997-07-31	VYDAJ	VYBER	15	21392	SLUZBY	\N	\N
485079	1652	1997-08-31	VYDAJ	VYBER	15	22975	SLUZBY	\N	\N
485080	1652	1997-09-30	VYDAJ	VYBER	15	19361	SLUZBY	\N	\N
485081	1652	1997-10-31	VYDAJ	VYBER	15	22236	SLUZBY	\N	\N
485082	1652	1997-11-30	VYDAJ	VYBER	15	17217	SLUZBY	\N	\N
485083	1652	1997-12-31	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
485084	1652	1998-01-31	VYDAJ	VYBER	15	15904	SLUZBY	\N	\N
485085	1652	1998-02-28	VYDAJ	VYBER	15	18764	SLUZBY	\N	\N
485086	1652	1998-03-31	VYDAJ	VYBER	15	21637	SLUZBY	\N	\N
485087	1652	1998-04-30	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
485088	1652	1998-05-31	VYDAJ	VYBER	15	25886	SLUZBY	\N	\N
485089	1652	1998-06-30	VYDAJ	VYBER	15	28788	SLUZBY	\N	\N
485090	1652	1998-07-31	VYDAJ	VYBER	15	31702	SLUZBY	\N	\N
485091	1652	1998-08-31	VYDAJ	VYBER	15	15002	SLUZBY	\N	\N
485092	1652	1998-09-30	VYDAJ	VYBER	15	17858	SLUZBY	\N	\N
485093	1652	1998-10-31	VYDAJ	VYBER	15	20727	SLUZBY	\N	\N
485094	1652	1998-11-30	VYDAJ	VYBER	15	20320	SLUZBY	\N	\N
485095	1652	1993-10-17	VYDAJ	VYBER	4900	26530	\N	\N	\N
485096	1652	1993-11-16	VYDAJ	VYBER	3400	25973	\N	\N	\N
485097	1652	1993-12-16	VYDAJ	VYBER	2000	25773	\N	\N	\N
485098	1652	1994-11-11	VYDAJ	VYBER	800	19030	\N	\N	\N
485099	1652	1994-12-11	VYDAJ	VYBER	500	20520	\N	\N	\N
485100	1652	1995-06-09	VYDAJ	VYBER	3500	22777	\N	\N	\N
485101	1652	1995-09-07	VYDAJ	VYBER	2500	21155	\N	\N	\N
485102	1652	1996-01-05	VYDAJ	VYBER	1000	25232	\N	\N	\N
485103	1652	1996-05-04	VYDAJ	VYBER	2200	23354	\N	\N	\N
485104	1652	1996-06-03	VYDAJ	VYBER	1600	24647	\N	\N	\N
485105	1652	1996-08-02	VYDAJ	VYBER	1200	17283	\N	\N	\N
485106	1652	1996-09-01	VYDAJ	VYBER	3800	16350	\N	\N	\N
485107	1652	1996-10-01	VYDAJ	VYBER	900	18315	\N	\N	\N
485108	1652	1996-10-31	VYDAJ	VYBER	3700	17485	\N	\N	\N
485109	1652	1996-11-30	VYDAJ	VYBER	900	19459	\N	\N	\N
485110	1652	1996-12-30	VYDAJ	VYBER	3900	17763	\N	\N	\N
485111	1652	1997-01-29	VYDAJ	VYBER	2100	13260	\N	\N	\N
485112	1652	1997-02-28	VYDAJ	VYBER	1700	14458	\N	\N	\N
485113	1652	1997-03-30	VYDAJ	VYBER	3900	13362	\N	\N	\N
485114	1652	1997-05-29	VYDAJ	VYBER	1700	17368	\N	\N	\N
485115	1652	1997-07-28	VYDAJ	VYBER	1300	21318	\N	\N	\N
485116	1652	1997-08-27	VYDAJ	VYBER	1300	22896	\N	\N	\N
485117	1652	1997-09-26	VYDAJ	VYBER	5700	19279	\N	\N	\N
485118	1652	1997-11-25	VYDAJ	VYBER	7900	17140	\N	\N	\N
485119	1652	1998-08-22	VYDAJ	VYBER	19600	14906	\N	\N	\N
485183	1653	1994-09-19	PRIJEM	VKLAD	700	700	\N	\N	\N
485193	1653	1994-10-13	PRIJEM	VKLAD	24230	24930	\N	\N	\N
485194	1653	1994-11-13	PRIJEM	VKLAD	24230	46198	\N	\N	\N
485195	1653	1994-12-13	PRIJEM	VKLAD	36345	72861	\N	\N	\N
485196	1653	1995-01-13	PRIJEM	VKLAD	24230	73567	\N	\N	\N
485197	1653	1995-02-13	PRIJEM	VKLAD	24230	73902	\N	\N	\N
485198	1653	1995-03-13	PRIJEM	VKLAD	24230	69769	\N	\N	\N
485199	1653	1995-04-13	PRIJEM	VKLAD	24230	65642	\N	\N	\N
485200	1653	1995-05-13	PRIJEM	VKLAD	24230	63500	\N	\N	\N
485201	1653	1995-06-13	PRIJEM	VKLAD	36345	68442	\N	\N	\N
485202	1653	1995-07-13	PRIJEM	VKLAD	24230	65887	\N	\N	\N
485203	1653	1995-08-13	PRIJEM	VKLAD	24230	63386	\N	\N	\N
485204	1653	1995-09-13	PRIJEM	VKLAD	24230	61528	\N	\N	\N
485205	1653	1995-10-13	PRIJEM	VKLAD	24230	60863	\N	\N	\N
485206	1653	1995-11-13	PRIJEM	VKLAD	24230	60796	\N	\N	\N
485207	1653	1995-12-13	PRIJEM	VKLAD	36345	70568	\N	\N	\N
485208	1653	1996-01-13	PRIJEM	VKLAD	24230	55513	\N	\N	\N
485209	1653	1996-02-13	PRIJEM	VKLAD	24230	52323	\N	\N	\N
485210	1653	1996-03-13	PRIJEM	VKLAD	24230	57780	\N	\N	\N
485211	1653	1996-04-13	PRIJEM	VKLAD	24230	60029	\N	\N	\N
485212	1653	1996-05-13	PRIJEM	VKLAD	24230	62227	\N	\N	\N
485213	1653	1996-06-13	PRIJEM	VKLAD	36345	73651	\N	\N	\N
485214	1653	1996-07-13	PRIJEM	VKLAD	24230	55925	\N	\N	\N
485215	1653	1996-08-13	PRIJEM	VKLAD	24230	59804	\N	\N	\N
485216	1653	1996-09-13	PRIJEM	VKLAD	24230	64592	\N	\N	\N
485217	1653	1996-10-13	PRIJEM	VKLAD	24230	59759	\N	\N	\N
485218	1653	1996-11-13	PRIJEM	VKLAD	24230	63057	\N	\N	\N
485219	1653	1996-12-13	PRIJEM	VKLAD	36345	73366	\N	\N	\N
485220	1653	1997-01-13	PRIJEM	VKLAD	24230	67293	\N	\N	\N
485221	1653	1997-02-13	PRIJEM	VKLAD	24230	63203	\N	\N	\N
485222	1653	1997-03-13	PRIJEM	VKLAD	24230	64774	\N	\N	\N
485223	1653	1997-04-13	PRIJEM	VKLAD	24230	68175	\N	\N	\N
485224	1653	1997-05-13	PRIJEM	VKLAD	24230	69709	\N	\N	\N
485225	1653	1997-06-13	PRIJEM	VKLAD	36345	86950	\N	\N	\N
485226	1653	1997-07-13	PRIJEM	VKLAD	24230	71524	\N	\N	\N
485227	1653	1997-08-13	PRIJEM	VKLAD	24230	75940	\N	\N	\N
485228	1653	1997-09-13	PRIJEM	VKLAD	24230	78985	\N	\N	\N
485229	1653	1997-10-13	PRIJEM	VKLAD	24230	79564	\N	\N	\N
485230	1653	1997-11-13	PRIJEM	VKLAD	24230	80329	\N	\N	\N
485231	1653	1997-12-13	PRIJEM	VKLAD	36345	90552	\N	\N	\N
485232	1653	1998-01-13	PRIJEM	VKLAD	24230	80634	\N	\N	\N
485233	1653	1998-02-13	PRIJEM	VKLAD	24230	69612	\N	\N	\N
485234	1653	1998-03-13	PRIJEM	VKLAD	24230	70519	\N	\N	\N
485235	1653	1998-04-13	PRIJEM	VKLAD	24230	74643	\N	\N	\N
485236	1653	1998-05-13	PRIJEM	VKLAD	24230	75184	\N	\N	\N
485237	1653	1998-06-13	PRIJEM	VKLAD	36345	86543	\N	\N	\N
485238	1653	1998-07-13	PRIJEM	VKLAD	24230	76862	\N	\N	\N
485239	1653	1998-08-13	PRIJEM	VKLAD	24230	72500	\N	\N	\N
485240	1653	1998-09-13	PRIJEM	VKLAD	24230	70618	\N	\N	\N
485241	1653	1998-10-13	PRIJEM	VKLAD	24230	68226	\N	\N	\N
485242	1653	1998-11-13	PRIJEM	VKLAD	24230	64321	\N	\N	\N
485243	1653	1998-12-13	PRIJEM	VKLAD	36345	74017	\N	\N	\N
485258	1653	1995-03-06	VYDAJ	PREVOD NA UCET	4656	45539	SIPO	EF	37755870
485259	1653	1995-04-06	VYDAJ	PREVOD NA UCET	4656	41412	SIPO	EF	37755870
485260	1653	1995-05-06	VYDAJ	PREVOD NA UCET	4656	39270	SIPO	EF	37755870
485261	1653	1995-06-06	VYDAJ	PREVOD NA UCET	4656	32097	SIPO	EF	37755870
485262	1653	1995-07-06	VYDAJ	PREVOD NA UCET	4656	41657	SIPO	EF	37755870
485263	1653	1995-08-06	VYDAJ	PREVOD NA UCET	4656	41316	SIPO	EF	37755870
485264	1653	1995-09-06	VYDAJ	PREVOD NA UCET	4656	37298	SIPO	EF	37755870
485265	1653	1995-10-06	VYDAJ	PREVOD NA UCET	4656	36633	SIPO	EF	37755870
485266	1653	1995-11-06	VYDAJ	PREVOD NA UCET	4656	36566	SIPO	EF	37755870
485267	1653	1995-12-06	VYDAJ	PREVOD NA UCET	4656	38543	SIPO	EF	37755870
485268	1653	1996-01-06	VYDAJ	PREVOD NA UCET	4656	42483	SIPO	EF	37755870
485269	1653	1996-02-06	VYDAJ	PREVOD NA UCET	4656	38993	SIPO	EF	37755870
485270	1653	1996-03-06	VYDAJ	PREVOD NA UCET	4656	47850	SIPO	EF	37755870
485271	1653	1996-04-06	VYDAJ	PREVOD NA UCET	4656	52499	SIPO	EF	37755870
485272	1653	1996-05-06	VYDAJ	PREVOD NA UCET	4656	55597	SIPO	EF	37755870
485273	1653	1996-06-06	VYDAJ	PREVOD NA UCET	4656	57806	SIPO	EF	37755870
485274	1653	1996-07-06	VYDAJ	PREVOD NA UCET	4656	51815	SIPO	EF	37755870
485275	1653	1996-08-06	VYDAJ	PREVOD NA UCET	4656	48474	SIPO	EF	37755870
485276	1653	1996-09-06	VYDAJ	PREVOD NA UCET	4656	55362	SIPO	EF	37755870
485277	1653	1996-10-06	VYDAJ	PREVOD NA UCET	4656	60169	SIPO	EF	37755870
485278	1653	1996-11-06	VYDAJ	PREVOD NA UCET	4656	55327	SIPO	EF	37755870
485279	1653	1996-12-06	VYDAJ	PREVOD NA UCET	4656	54421	SIPO	EF	37755870
485280	1653	1997-01-06	VYDAJ	PREVOD NA UCET	4656	59663	SIPO	EF	37755870
485281	1653	1997-02-06	VYDAJ	PREVOD NA UCET	4656	38973	SIPO	EF	37755870
485282	1653	1997-03-06	VYDAJ	PREVOD NA UCET	4656	56244	SIPO	EF	37755870
485283	1653	1997-04-06	VYDAJ	PREVOD NA UCET	4656	43945	SIPO	EF	37755870
485284	1653	1997-05-06	VYDAJ	PREVOD NA UCET	4656	47159	SIPO	EF	37755870
485285	1653	1997-06-06	VYDAJ	PREVOD NA UCET	4656	50605	SIPO	EF	37755870
485286	1653	1997-07-06	VYDAJ	PREVOD NA UCET	4656	47294	SIPO	EF	37755870
485287	1653	1997-08-06	VYDAJ	PREVOD NA UCET	4656	51710	SIPO	EF	37755870
485288	1653	1997-09-06	VYDAJ	PREVOD NA UCET	4656	54755	SIPO	EF	37755870
485289	1653	1997-10-06	VYDAJ	PREVOD NA UCET	4656	55334	SIPO	EF	37755870
485290	1653	1997-11-06	VYDAJ	PREVOD NA UCET	4656	56099	SIPO	EF	37755870
485291	1653	1997-12-06	VYDAJ	PREVOD NA UCET	4656	54207	SIPO	EF	37755870
485292	1653	1998-01-06	VYDAJ	PREVOD NA UCET	4656	56404	SIPO	EF	37755870
485293	1653	1998-02-06	VYDAJ	PREVOD NA UCET	4656	45382	SIPO	EF	37755870
485294	1653	1998-03-06	VYDAJ	PREVOD NA UCET	4656	46289	SIPO	EF	37755870
485295	1653	1998-04-06	VYDAJ	PREVOD NA UCET	4656	50413	SIPO	EF	37755870
485296	1653	1998-05-06	VYDAJ	PREVOD NA UCET	4656	50954	SIPO	EF	37755870
485297	1653	1998-06-06	VYDAJ	PREVOD NA UCET	4656	50198	SIPO	EF	37755870
485298	1653	1998-07-06	VYDAJ	PREVOD NA UCET	4656	52632	SIPO	EF	37755870
485299	1653	1998-08-06	VYDAJ	PREVOD NA UCET	4656	48270	SIPO	EF	37755870
485300	1653	1998-09-06	VYDAJ	PREVOD NA UCET	4656	46388	SIPO	EF	37755870
485301	1653	1998-10-06	VYDAJ	PREVOD NA UCET	4656	43996	SIPO	EF	37755870
485302	1653	1998-11-06	VYDAJ	PREVOD NA UCET	4656	40091	SIPO	EF	37755870
485303	1653	1998-12-06	VYDAJ	PREVOD NA UCET	4656	37672	SIPO	EF	37755870
485306	1653	1996-06-13	VYDAJ	VYBER	17440	56211	\N	\N	\N
485307	1653	1997-06-19	VYDAJ	VYBER	23360	63590	\N	\N	\N
485311	1653	1996-01-17	VYDAJ	VYBER	8320	47193	\N	\N	\N
485312	1653	1997-01-21	VYDAJ	VYBER	12800	54493	\N	\N	\N
485313	1653	1998-01-26	VYDAJ	VYBER	6080	69154	\N	\N	\N
485315	1653	1995-12-10	VYDAJ	VYBER	4320	34223	\N	\N	\N
485316	1653	1996-12-18	VYDAJ	VYBER	4480	68886	\N	\N	\N
485317	1653	1997-12-01	VYDAJ	VYBER	2560	78063	\N	\N	\N
485318	1653	1998-12-06	VYDAJ	VYBER	3200	42328	\N	\N	\N
485324	1653	1995-08-08	VYDAJ	VYBER	2160	39156	\N	\N	\N
485325	1653	1995-05-31	VYDAJ	VYBER	4920	36768	\N	\N	\N
485326	1653	1995-07-15	VYDAJ	VYBER	600	65287	\N	\N	\N
485328	1653	1996-07-22	VYDAJ	VYBER	3000	52925	\N	\N	\N
485329	1653	1996-12-20	VYDAJ	VYBER	4800	64086	\N	\N	\N
485330	1653	1996-11-13	VYDAJ	VYBER	3480	59577	\N	\N	\N
485331	1653	1996-01-10	VYDAJ	VYBER	4200	38283	\N	\N	\N
485332	1653	1996-07-11	VYDAJ	VYBER	2520	31695	\N	\N	\N
485333	1653	1996-01-19	VYDAJ	VYBER	3720	43473	\N	\N	\N
485334	1653	1996-10-12	VYDAJ	VYBER	4440	35529	\N	\N	\N
485335	1653	1996-03-26	VYDAJ	VYBER	840	56940	\N	\N	\N
485336	1653	1996-11-22	VYDAJ	VYBER	720	58857	\N	\N	\N
485337	1653	1997-07-15	VYDAJ	VYBER	3600	67924	\N	\N	\N
485338	1653	1997-03-05	VYDAJ	VYBER	2520	60900	\N	\N	\N
485339	1653	1997-09-23	VYDAJ	VYBER	1680	77305	\N	\N	\N
485340	1653	1997-05-12	VYDAJ	VYBER	1680	45479	\N	\N	\N
485341	1653	1997-03-24	VYDAJ	VYBER	4200	60574	\N	\N	\N
485342	1653	1997-07-16	VYDAJ	VYBER	1800	66124	\N	\N	\N
485343	1653	1998-02-24	VYDAJ	VYBER	5400	64212	\N	\N	\N
485344	1653	1998-06-27	VYDAJ	VYBER	3240	83303	\N	\N	\N
485345	1653	1998-01-16	VYDAJ	VYBER	5400	75234	\N	\N	\N
485360	1653	1995-02-28	VYDAJ	VYBER	15	50195	SLUZBY	\N	\N
485361	1653	1995-03-31	VYDAJ	VYBER	15	46068	SLUZBY	\N	\N
485362	1653	1995-04-30	VYDAJ	VYBER	15	43926	SLUZBY	\N	\N
485363	1653	1995-05-31	VYDAJ	VYBER	15	36753	SLUZBY	\N	\N
485364	1653	1995-06-30	VYDAJ	VYBER	15	46313	SLUZBY	\N	\N
485365	1653	1995-07-31	VYDAJ	VYBER	15	45972	SLUZBY	\N	\N
485366	1653	1995-08-31	VYDAJ	VYBER	15	41954	SLUZBY	\N	\N
485367	1653	1995-09-30	VYDAJ	VYBER	15	41289	SLUZBY	\N	\N
485368	1653	1995-10-31	VYDAJ	VYBER	15	41222	SLUZBY	\N	\N
485369	1653	1995-11-30	VYDAJ	VYBER	15	43199	SLUZBY	\N	\N
485370	1653	1995-12-31	VYDAJ	VYBER	15	47139	SLUZBY	\N	\N
485371	1653	1996-01-31	VYDAJ	VYBER	15	43649	SLUZBY	\N	\N
485372	1653	1996-02-29	VYDAJ	VYBER	15	52506	SLUZBY	\N	\N
485373	1653	1996-03-31	VYDAJ	VYBER	15	57155	SLUZBY	\N	\N
485374	1653	1996-04-30	VYDAJ	VYBER	15	60253	SLUZBY	\N	\N
485375	1653	1996-05-31	VYDAJ	VYBER	15	62462	SLUZBY	\N	\N
485376	1653	1996-06-30	VYDAJ	VYBER	15	56471	SLUZBY	\N	\N
485377	1653	1996-07-31	VYDAJ	VYBER	15	53130	SLUZBY	\N	\N
485378	1653	1996-08-31	VYDAJ	VYBER	15	60018	SLUZBY	\N	\N
485379	1653	1996-09-30	VYDAJ	VYBER	15	64825	SLUZBY	\N	\N
485380	1653	1996-10-31	VYDAJ	VYBER	15	59983	SLUZBY	\N	\N
485381	1653	1996-11-30	VYDAJ	VYBER	15	59077	SLUZBY	\N	\N
485382	1653	1996-12-31	VYDAJ	VYBER	15	64319	SLUZBY	\N	\N
485383	1653	1997-01-31	VYDAJ	VYBER	15	54729	SLUZBY	\N	\N
485384	1653	1997-02-28	VYDAJ	VYBER	15	63420	SLUZBY	\N	\N
485385	1653	1997-03-31	VYDAJ	VYBER	15	60801	SLUZBY	\N	\N
485386	1653	1997-04-30	VYDAJ	VYBER	15	68415	SLUZBY	\N	\N
485387	1653	1997-05-31	VYDAJ	VYBER	15	69961	SLUZBY	\N	\N
485388	1653	1997-06-30	VYDAJ	VYBER	15	63850	SLUZBY	\N	\N
485389	1653	1997-07-31	VYDAJ	VYBER	15	66366	SLUZBY	\N	\N
485390	1653	1997-08-31	VYDAJ	VYBER	15	76211	SLUZBY	\N	\N
485391	1653	1997-09-30	VYDAJ	VYBER	15	77590	SLUZBY	\N	\N
485392	1653	1997-10-31	VYDAJ	VYBER	15	79855	SLUZBY	\N	\N
485393	1653	1997-11-30	VYDAJ	VYBER	15	80623	SLUZBY	\N	\N
485394	1653	1997-12-31	VYDAJ	VYBER	15	90860	SLUZBY	\N	\N
485395	1653	1998-01-31	VYDAJ	VYBER	15	69438	SLUZBY	\N	\N
485396	1653	1998-02-28	VYDAJ	VYBER	15	64445	SLUZBY	\N	\N
485397	1653	1998-03-31	VYDAJ	VYBER	15	70769	SLUZBY	\N	\N
485398	1653	1998-04-30	VYDAJ	VYBER	15	74910	SLUZBY	\N	\N
485399	1653	1998-05-31	VYDAJ	VYBER	15	54854	SLUZBY	\N	\N
485400	1653	1998-06-30	VYDAJ	VYBER	15	83588	SLUZBY	\N	\N
485401	1653	1998-07-31	VYDAJ	VYBER	15	52926	SLUZBY	\N	\N
485402	1653	1998-08-31	VYDAJ	VYBER	15	51044	SLUZBY	\N	\N
485403	1653	1998-09-30	VYDAJ	VYBER	15	48652	SLUZBY	\N	\N
485404	1653	1998-10-31	VYDAJ	VYBER	15	44747	SLUZBY	\N	\N
485405	1653	1998-11-30	VYDAJ	VYBER	15	45528	SLUZBY	\N	\N
485406	1653	1994-10-19	VYDAJ	VYBER	3000	21930	\N	\N	\N
485407	1653	1994-11-18	VYDAJ	VYBER	9800	36398	\N	\N	\N
485408	1653	1994-12-18	VYDAJ	VYBER	23700	49161	\N	\N	\N
485409	1653	1995-01-17	VYDAJ	VYBER	24100	49467	\N	\N	\N
485410	1653	1995-02-16	VYDAJ	VYBER	23900	50002	\N	\N	\N
485411	1653	1995-03-18	VYDAJ	VYBER	23900	45869	\N	\N	\N
485412	1653	1995-04-17	VYDAJ	VYBER	21900	43742	\N	\N	\N
485413	1653	1995-05-17	VYDAJ	VYBER	22000	41500	\N	\N	\N
485414	1653	1995-06-16	VYDAJ	VYBER	22300	46142	\N	\N	\N
485415	1653	1995-07-16	VYDAJ	VYBER	19500	45787	\N	\N	\N
485416	1653	1995-08-15	VYDAJ	VYBER	21600	41786	\N	\N	\N
485417	1653	1995-09-14	VYDAJ	VYBER	20400	41128	\N	\N	\N
485418	1653	1995-10-14	VYDAJ	VYBER	19800	41063	\N	\N	\N
485419	1653	1995-11-13	VYDAJ	VYBER	17800	42996	\N	\N	\N
485420	1653	1995-12-13	VYDAJ	VYBER	23600	46968	\N	\N	\N
485421	1653	1996-01-12	VYDAJ	VYBER	7000	31283	\N	\N	\N
485422	1653	1996-02-11	VYDAJ	VYBER	10900	28093	\N	\N	\N
485423	1653	1996-03-12	VYDAJ	VYBER	14300	33550	\N	\N	\N
485424	1653	1996-04-11	VYDAJ	VYBER	16700	35799	\N	\N	\N
485425	1653	1996-05-11	VYDAJ	VYBER	17600	37997	\N	\N	\N
485426	1653	1996-06-10	VYDAJ	VYBER	20500	37306	\N	\N	\N
485427	1653	1996-07-10	VYDAJ	VYBER	17600	34215	\N	\N	\N
485428	1653	1996-08-09	VYDAJ	VYBER	12900	35574	\N	\N	\N
485429	1653	1996-09-08	VYDAJ	VYBER	15000	40362	\N	\N	\N
485430	1653	1996-10-08	VYDAJ	VYBER	20200	39969	\N	\N	\N
485431	1653	1996-11-07	VYDAJ	VYBER	16500	38827	\N	\N	\N
485432	1653	1996-12-07	VYDAJ	VYBER	17400	37021	\N	\N	\N
485433	1653	1997-01-06	VYDAJ	VYBER	16600	43063	\N	\N	\N
485434	1653	1997-02-05	VYDAJ	VYBER	11100	43629	\N	\N	\N
485435	1653	1997-03-07	VYDAJ	VYBER	15700	40544	\N	\N	\N
485436	1653	1997-04-06	VYDAJ	VYBER	12200	48601	\N	\N	\N
485437	1653	1997-05-06	VYDAJ	VYBER	16600	51815	\N	\N	\N
485438	1653	1997-06-05	VYDAJ	VYBER	14700	55261	\N	\N	\N
485439	1653	1997-07-05	VYDAJ	VYBER	11900	51950	\N	\N	\N
485440	1653	1997-08-04	VYDAJ	VYBER	10000	56366	\N	\N	\N
485441	1653	1997-09-03	VYDAJ	VYBER	16800	59411	\N	\N	\N
485442	1653	1997-10-03	VYDAJ	VYBER	17600	59990	\N	\N	\N
485443	1653	1997-11-02	VYDAJ	VYBER	19100	60755	\N	\N	\N
485444	1653	1997-12-02	VYDAJ	VYBER	19200	58863	\N	\N	\N
485445	1653	1998-01-01	VYDAJ	VYBER	29800	61060	\N	\N	\N
485446	1653	1998-01-31	VYDAJ	VYBER	19400	50038	\N	\N	\N
485447	1653	1998-03-02	VYDAJ	VYBER	13500	50945	\N	\N	\N
485448	1653	1998-04-01	VYDAJ	VYBER	15700	55069	\N	\N	\N
485449	1653	1998-05-01	VYDAJ	VYBER	19300	55610	\N	\N	\N
485450	1653	1998-05-31	VYDAJ	VYBER	20600	54869	\N	\N	\N
485451	1653	1998-06-30	VYDAJ	VYBER	26300	57288	\N	\N	\N
485452	1653	1998-07-30	VYDAJ	VYBER	24200	52662	\N	\N	\N
485453	1653	1998-08-29	VYDAJ	VYBER	21700	50800	\N	\N	\N
485454	1653	1998-09-28	VYDAJ	VYBER	22200	48418	\N	\N	\N
485455	1653	1998-10-28	VYDAJ	VYBER	23700	44526	\N	\N	\N
485456	1653	1998-11-27	VYDAJ	VYBER	19000	45321	\N	\N	\N
485508	1654	1996-08-05	PRIJEM	VKLAD	600	600	\N	\N	\N
485516	1654	1996-08-09	PRIJEM	PREVOD Z UCTU	18653	19253	\N	CD	37036967
485517	1654	1996-09-09	PRIJEM	PREVOD Z UCTU	18653	37666	\N	CD	37036967
485518	1654	1996-10-09	PRIJEM	PREVOD Z UCTU	18653	44855	\N	CD	37036967
485519	1654	1996-11-09	PRIJEM	PREVOD Z UCTU	18653	52587	\N	CD	37036967
485520	1654	1996-12-09	PRIJEM	PREVOD Z UCTU	27980	64778	\N	CD	37036967
485521	1654	1997-01-09	PRIJEM	PREVOD Z UCTU	18653	43664	\N	CD	37036967
485522	1654	1997-02-09	PRIJEM	PREVOD Z UCTU	18653	39288	\N	CD	37036967
485523	1654	1997-03-09	PRIJEM	PREVOD Z UCTU	18653	51668	\N	CD	37036967
485524	1654	1997-04-09	PRIJEM	PREVOD Z UCTU	18653	46450	\N	CD	37036967
485525	1654	1997-05-09	PRIJEM	PREVOD Z UCTU	18653	42908	\N	CD	37036967
485526	1654	1997-06-09	PRIJEM	PREVOD Z UCTU	27980	55497	\N	CD	37036967
485527	1654	1997-07-09	PRIJEM	PREVOD Z UCTU	18653	43220	\N	CD	37036967
485528	1654	1997-08-09	PRIJEM	PREVOD Z UCTU	18653	47887	\N	CD	37036967
485529	1654	1997-09-09	PRIJEM	PREVOD Z UCTU	18653	40855	\N	CD	37036967
485530	1654	1997-10-09	PRIJEM	PREVOD Z UCTU	18653	50732	\N	CD	37036967
485531	1654	1997-11-09	PRIJEM	PREVOD Z UCTU	18653	66110	\N	CD	37036967
485532	1654	1997-12-09	PRIJEM	PREVOD Z UCTU	27980	83177	\N	CD	37036967
485533	1654	1998-01-09	PRIJEM	PREVOD Z UCTU	18653	78522	\N	CD	37036967
485534	1654	1998-02-09	PRIJEM	PREVOD Z UCTU	18653	59467	\N	CD	37036967
485535	1654	1998-03-09	PRIJEM	PREVOD Z UCTU	18653	68957	\N	CD	37036967
485536	1654	1998-04-09	PRIJEM	PREVOD Z UCTU	18653	79765	\N	CD	37036967
485537	1654	1998-05-09	PRIJEM	PREVOD Z UCTU	18653	72960	\N	CD	37036967
485538	1654	1998-06-09	PRIJEM	PREVOD Z UCTU	27980	87836	\N	CD	37036967
485539	1654	1998-07-09	PRIJEM	PREVOD Z UCTU	18653	71312	\N	CD	37036967
485540	1654	1998-08-09	PRIJEM	PREVOD Z UCTU	18653	81232	\N	CD	37036967
485541	1654	1998-09-09	PRIJEM	PREVOD Z UCTU	18653	68621	\N	CD	37036967
485542	1654	1998-10-09	PRIJEM	PREVOD Z UCTU	18653	82440	\N	CD	37036967
485543	1654	1998-11-09	PRIJEM	PREVOD Z UCTU	18653	96658	\N	CD	37036967
485544	1654	1998-12-09	PRIJEM	PREVOD Z UCTU	27980	108950	\N	CD	37036967
485552	1654	1997-07-04	VYBER	VYBER	7480	24567	\N	\N	\N
485553	1654	1997-05-18	VYBER	VYBER	10902	19406	\N	\N	\N
485554	1654	1997-05-07	VYBER	VYBER	12059	24255	\N	\N	\N
485555	1654	1997-08-16	VYBER	VYBER	20189	27698	\N	\N	\N
485556	1654	1997-07-17	VYBER	VYBER	15294	27926	\N	\N	\N
485557	1654	1997-03-13	VYBER	VYBER	16113	35555	\N	\N	\N
485559	1654	1997-09-05	VYBER	VYBER	13802	22202	\N	\N	\N
485561	1654	1997-01-20	VYBER	VYBER	2442	29822	\N	\N	\N
485562	1654	1997-09-14	VYBER	VYBER	18086	22769	\N	\N	\N
485563	1654	1998-07-05	VYBER	VYBER	10579	52659	\N	\N	\N
485564	1654	1998-03-05	VYBER	VYBER	7026	50304	\N	\N	\N
485565	1654	1998-09-06	VYBER	VYBER	19015	49968	\N	\N	\N
485566	1654	1998-05-21	VYBER	VYBER	5066	67894	\N	\N	\N
485568	1654	1997-06-20	VYDAJ	VYBER	17400	38097	\N	\N	\N
485569	1654	1998-06-09	VYDAJ	VYBER	21600	66236	\N	\N	\N
485571	1654	1997-01-02	VYDAJ	VYBER	20400	25411	\N	\N	\N
485572	1654	1998-01-14	VYDAJ	VYBER	24000	34722	\N	\N	\N
485573	1654	1996-12-13	VYDAJ	VYBER	3300	61478	\N	\N	\N
485574	1654	1997-12-08	VYDAJ	VYBER	2700	55197	\N	\N	\N
485575	1654	1998-12-20	VYDAJ	VYBER KARTOU	2400	44850	\N	\N	0
485582	1654	1997-01-17	VYDAJ	VYBER	8400	32264	\N	\N	\N
485583	1654	1997-01-01	VYDAJ	VYBER	8100	45811	\N	\N	\N
485584	1654	1997-01-28	VYDAJ	VYBER	1800	21122	\N	\N	\N
485585	1654	1997-01-24	VYDAJ	VYBER	6900	22922	\N	\N	\N
485586	1654	1997-01-11	VYDAJ	VYBER	3000	40664	\N	\N	\N
485588	1654	1998-01-09	VYDAJ	VYBER	8700	69822	\N	\N	\N
485589	1654	1998-01-02	VYDAJ	VYBER	8100	59869	\N	\N	\N
485590	1654	1998-01-23	VYDAJ	VYBER	3600	27522	\N	\N	\N
485591	1654	1998-01-14	VYDAJ	VYBER	4200	58722	\N	\N	\N
485592	1654	1998-01-17	VYDAJ	VYBER	3600	31122	\N	\N	\N
485593	1654	1998-01-09	VYDAJ	VYBER	6900	62922	\N	\N	\N
485598	1654	1996-12-30	VYDAJ	VYBER	1800	59678	\N	\N	\N
485600	1654	1997-03-15	VYDAJ	VYBER	2100	33455	\N	\N	\N
485601	1654	1997-07-17	VYDAJ	VYBER	6600	21326	\N	\N	\N
485602	1654	1997-01-01	VYDAJ	VYBER	6000	53911	\N	\N	\N
485603	1654	1997-05-15	VYDAJ	VYBER	4800	30308	\N	\N	\N
485604	1654	1997-05-13	VYDAJ	VYBER	7800	35108	\N	\N	\N
485605	1654	1997-10-30	VYDAJ	VYBER	2700	47332	\N	\N	\N
485606	1654	1997-12-24	VYDAJ	VYBER	8400	74777	\N	\N	\N
485607	1654	1998-12-23	VYDAJ	VYBER	4200	40650	\N	\N	\N
485608	1654	1998-07-29	VYDAJ	VYBER KARTOU	2700	62312	\N	\N	0
485609	1654	1998-05-06	VYDAJ	VYBER	6000	54307	\N	\N	\N
485610	1654	1998-04-24	VYDAJ	VYBER	12300	67465	\N	\N	\N
485623	1654	1996-12-31	VYDAJ	VYBER	15	59911	SLUZBY	\N	\N
485624	1654	1997-01-31	VYDAJ	VYBER	15	21235	SLUZBY	\N	\N
485625	1654	1997-02-28	VYDAJ	VYBER	15	39415	SLUZBY	\N	\N
485626	1654	1997-03-31	VYDAJ	VYBER	15	33597	SLUZBY	\N	\N
485627	1654	1997-04-30	VYDAJ	VYBER	15	46614	SLUZBY	\N	\N
485628	1654	1997-05-31	VYDAJ	VYBER	15	19517	SLUZBY	\N	\N
485629	1654	1997-06-30	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
485630	1654	1997-07-31	VYDAJ	VYBER	15	29234	SLUZBY	\N	\N
485631	1654	1997-08-31	VYDAJ	VYBER	15	36004	SLUZBY	\N	\N
485632	1654	1997-09-30	VYDAJ	VYBER	15	32079	SLUZBY	\N	\N
485633	1654	1997-10-31	VYDAJ	VYBER	15	47457	SLUZBY	\N	\N
485634	1654	1997-11-30	VYDAJ	VYBER	15	57897	SLUZBY	\N	\N
485635	1654	1997-12-31	VYDAJ	VYBER	15	67969	SLUZBY	\N	\N
485636	1654	1998-01-31	VYDAJ	VYBER	15	40814	SLUZBY	\N	\N
485637	1654	1998-02-28	VYDAJ	VYBER	15	57330	SLUZBY	\N	\N
485638	1654	1998-03-31	VYDAJ	VYBER	15	61112	SLUZBY	\N	\N
485639	1654	1998-04-30	VYDAJ	VYBER	15	60307	SLUZBY	\N	\N
485640	1654	1998-05-31	VYDAJ	VYBER	15	59856	SLUZBY	\N	\N
485641	1654	1998-06-30	VYDAJ	VYBER	15	63238	SLUZBY	\N	\N
485642	1654	1998-07-31	VYDAJ	VYBER	15	62579	SLUZBY	\N	\N
485643	1654	1998-08-31	VYDAJ	VYBER	15	68983	SLUZBY	\N	\N
485644	1654	1998-09-30	VYDAJ	VYBER	15	63787	SLUZBY	\N	\N
485645	1654	1998-10-31	VYDAJ	VYBER	15	78005	SLUZBY	\N	\N
485646	1654	1998-11-30	VYDAJ	VYBER	15	80970	SLUZBY	\N	\N
485647	1654	1996-09-04	VYDAJ	VYBER	300	19013	\N	\N	\N
485648	1654	1996-10-04	VYDAJ	VYBER	11600	26202	\N	\N	\N
485649	1654	1996-11-03	VYDAJ	VYBER	11100	33934	\N	\N	\N
485650	1654	1996-12-03	VYDAJ	VYBER	16000	36798	\N	\N	\N
485651	1654	1997-01-02	VYDAJ	VYBER	400	25011	\N	\N	\N
485652	1654	1997-02-01	VYDAJ	VYBER	600	20635	\N	\N	\N
485653	1654	1997-03-03	VYDAJ	VYBER	6400	33015	\N	\N	\N
485654	1654	1997-04-02	VYDAJ	VYBER	5800	27797	\N	\N	\N
485655	1654	1997-05-02	VYDAJ	VYBER	10300	36314	\N	\N	\N
485656	1654	1997-06-01	PRIJEM	VKLAD	8000	27517	\N	\N	\N
485657	1654	1997-07-01	VYDAJ	VYBER	6200	32047	\N	\N	\N
485658	1654	1997-07-31	PRIJEM	VKLAD	7800	29248	\N	\N	\N
485659	1654	1997-08-30	PRIJEM	VKLAD	8200	35898	\N	\N	\N
485660	1654	1997-09-29	PRIJEM	VKLAD	9200	31969	\N	\N	\N
485661	1654	1997-10-29	VYDAJ	VYBER	700	50032	\N	\N	\N
485662	1654	1997-11-28	VYDAJ	VYBER	8400	57710	\N	\N	\N
485663	1654	1997-12-28	VYDAJ	VYBER	7100	67677	\N	\N	\N
485664	1654	1998-01-27	PRIJEM	VKLAD	13100	40622	\N	\N	\N
485665	1654	1998-02-26	VYDAJ	VYBER	2300	57167	\N	\N	\N
485666	1654	1998-03-28	VYDAJ	VYBER	8100	60857	\N	\N	\N
485667	1654	1998-04-27	VYDAJ	VYBER	7400	60065	\N	\N	\N
485668	1654	1998-05-27	VYDAJ	VYBER	8300	59594	\N	\N	\N
485669	1654	1998-06-26	VYDAJ	VYBER KARTOU	3300	62936	\N	\N	0
485670	1654	1998-07-26	VYDAJ	VYBER	6300	65012	\N	\N	\N
485671	1654	1998-08-25	VYDAJ	VYBER	12500	68732	\N	\N	\N
485672	1654	1998-09-24	VYDAJ	VYBER	5100	63521	\N	\N	\N
485673	1654	1998-10-24	VYDAJ	VYBER	4700	77740	\N	\N	\N
485674	1654	1998-11-23	VYDAJ	VYBER	16000	80658	\N	\N	\N
485675	1654	1998-12-09	VYDAJ	VYBER	61700	47250	\N	\N	\N
485705	1655	1996-04-15	PRIJEM	VKLAD	600	600	\N	\N	\N
485710	1655	1996-05-07	PRIJEM	VKLAD	16908	17508	\N	\N	\N
485711	1655	1996-06-07	PRIJEM	VKLAD	25362	47320	\N	\N	\N
485712	1655	1996-07-07	PRIJEM	VKLAD	16908	56160	\N	\N	\N
485713	1655	1996-08-07	PRIJEM	VKLAD	16908	59439	\N	\N	\N
485714	1655	1996-09-07	PRIJEM	VKLAD	16908	55012	\N	\N	\N
485715	1655	1996-10-07	PRIJEM	VKLAD	16908	51051	\N	\N	\N
485716	1655	1996-11-07	PRIJEM	VKLAD	16908	47385	\N	\N	\N
485717	1655	1996-12-07	PRIJEM	VKLAD	25362	51987	\N	\N	\N
485718	1655	1997-01-07	PRIJEM	VKLAD	16908	42159	\N	\N	\N
485719	1655	1997-02-07	PRIJEM	VKLAD	16908	33187	\N	\N	\N
485720	1655	1997-03-07	PRIJEM	VKLAD	16908	36758	\N	\N	\N
485721	1655	1997-04-07	PRIJEM	VKLAD	16908	39337	\N	\N	\N
485722	1655	1997-05-07	PRIJEM	VKLAD	16908	37516	\N	\N	\N
485723	1655	1997-06-07	PRIJEM	VKLAD	25362	43951	\N	\N	\N
485724	1655	1997-07-07	PRIJEM	VKLAD	16908	38229	\N	\N	\N
485725	1655	1997-08-07	PRIJEM	VKLAD	16908	31946	\N	\N	\N
485726	1655	1997-09-07	PRIJEM	VKLAD	16908	35017	\N	\N	\N
485727	1655	1997-10-07	PRIJEM	VKLAD	16908	34390	\N	\N	\N
485728	1655	1997-11-07	PRIJEM	VKLAD	16908	35164	\N	\N	\N
485729	1655	1997-12-07	PRIJEM	VKLAD	25362	52819	\N	\N	\N
485730	1655	1998-01-07	PRIJEM	VKLAD	16908	47060	\N	\N	\N
485731	1655	1998-02-07	PRIJEM	VKLAD	16908	40958	\N	\N	\N
485732	1655	1998-03-07	PRIJEM	VKLAD	16908	41903	\N	\N	\N
485733	1655	1998-04-07	PRIJEM	VKLAD	16908	45535	\N	\N	\N
485734	1655	1998-05-07	PRIJEM	VKLAD	16908	45382	\N	\N	\N
485735	1655	1998-06-07	PRIJEM	VKLAD	25362	52820	\N	\N	\N
485736	1655	1998-07-07	PRIJEM	VKLAD	16908	50991	\N	\N	\N
485737	1655	1998-08-07	PRIJEM	VKLAD	16908	44948	\N	\N	\N
485738	1655	1998-09-07	PRIJEM	VKLAD	16908	49692	\N	\N	\N
485739	1655	1998-10-07	PRIJEM	VKLAD	16908	52555	\N	\N	\N
485740	1655	1998-11-07	PRIJEM	VKLAD	16908	55592	\N	\N	\N
485741	1655	1998-12-07	PRIJEM	VKLAD	25362	62575	\N	\N	\N
485750	1655	1996-09-12	VYDAJ	PREVOD NA UCET	4277	46908	SIPO	IJ	20809352
485751	1655	1996-10-12	VYDAJ	PREVOD NA UCET	4277	30347	SIPO	IJ	20809352
485752	1655	1996-11-12	VYDAJ	PREVOD NA UCET	4277	26521	SIPO	IJ	20809352
485753	1655	1996-12-12	VYDAJ	PREVOD NA UCET	4277	29463	SIPO	IJ	20809352
485754	1655	1997-01-12	VYDAJ	PREVOD NA UCET	4277	22915	SIPO	IJ	20809352
485755	1655	1997-02-12	VYDAJ	PREVOD NA UCET	4277	19783	SIPO	IJ	20809352
485756	1655	1997-03-12	VYDAJ	PREVOD NA UCET	4277	22354	SIPO	IJ	20809352
485757	1655	1997-04-12	VYDAJ	PREVOD NA UCET	4277	20533	SIPO	IJ	20809352
485758	1655	1997-05-12	VYDAJ	PREVOD NA UCET	4277	22112	SIPO	IJ	20809352
485759	1655	1997-06-12	VYDAJ	PREVOD NA UCET	4277	21247	SIPO	IJ	20809352
485760	1655	1997-07-12	VYDAJ	PREVOD NA UCET	4277	20125	SIPO	IJ	20809352
485761	1655	1997-08-12	VYDAJ	PREVOD NA UCET	4277	18042	SIPO	IJ	20809352
485762	1655	1997-09-12	VYDAJ	PREVOD NA UCET	4277	17413	SIPO	IJ	20809352
485763	1655	1997-10-12	VYDAJ	PREVOD NA UCET	4277	19786	SIPO	IJ	20809352
485764	1655	1997-11-12	VYDAJ	PREVOD NA UCET	4277	27060	SIPO	IJ	20809352
485765	1655	1997-12-12	VYDAJ	PREVOD NA UCET	4277	44715	SIPO	IJ	20809352
485766	1655	1998-01-12	VYDAJ	PREVOD NA UCET	4277	38956	SIPO	IJ	20809352
485767	1655	1998-02-12	VYDAJ	PREVOD NA UCET	4277	32854	SIPO	IJ	20809352
485768	1655	1998-03-12	VYDAJ	PREVOD NA UCET	4277	33799	SIPO	IJ	20809352
485769	1655	1998-04-12	VYDAJ	PREVOD NA UCET	4277	37431	SIPO	IJ	20809352
485770	1655	1998-05-12	VYDAJ	PREVOD NA UCET	4277	37278	SIPO	IJ	20809352
485771	1655	1998-06-12	VYDAJ	PREVOD NA UCET	4277	44716	SIPO	IJ	20809352
485772	1655	1998-07-12	VYDAJ	PREVOD NA UCET	4277	37247	SIPO	IJ	20809352
485773	1655	1998-08-12	VYDAJ	PREVOD NA UCET	4277	36844	SIPO	IJ	20809352
485774	1655	1998-09-12	VYDAJ	PREVOD NA UCET	4277	41588	SIPO	IJ	20809352
485775	1655	1998-10-12	VYDAJ	PREVOD NA UCET	4277	44451	SIPO	IJ	20809352
485776	1655	1998-11-12	VYDAJ	PREVOD NA UCET	4277	47488	SIPO	IJ	20809352
485777	1655	1998-12-12	VYDAJ	PREVOD NA UCET	4277	54471	SIPO	IJ	20809352
485786	1655	1996-09-11	VYDAJ	PREVOD NA UCET	3827	51185	 	GH	90691631
485787	1655	1996-10-11	VYDAJ	PREVOD NA UCET	3827	47224	 	GH	90691631
485788	1655	1996-11-11	VYDAJ	PREVOD NA UCET	3827	30798	 	GH	90691631
485789	1655	1996-12-11	VYDAJ	PREVOD NA UCET	3827	33740	 	GH	90691631
485790	1655	1997-01-11	VYDAJ	PREVOD NA UCET	3827	27192	 	GH	90691631
485791	1655	1997-02-11	VYDAJ	PREVOD NA UCET	3827	24060	 	GH	90691631
485792	1655	1997-03-11	VYDAJ	PREVOD NA UCET	3827	26631	 	GH	90691631
485793	1655	1997-04-11	VYDAJ	PREVOD NA UCET	3827	24810	 	GH	90691631
485794	1655	1997-05-11	VYDAJ	PREVOD NA UCET	3827	26389	 	GH	90691631
485901	1655	1997-09-07	VYDAJ	VYBER	9500	25517	\N	\N	\N
485795	1655	1997-06-11	VYDAJ	PREVOD NA UCET	3827	25524	 	GH	90691631
485796	1655	1997-07-11	VYDAJ	PREVOD NA UCET	3827	24402	 	GH	90691631
485797	1655	1997-08-11	VYDAJ	PREVOD NA UCET	3827	22319	 	GH	90691631
485798	1655	1997-09-11	VYDAJ	PREVOD NA UCET	3827	21690	 	GH	90691631
485799	1655	1997-10-11	VYDAJ	PREVOD NA UCET	3827	24063	 	GH	90691631
485800	1655	1997-11-11	VYDAJ	PREVOD NA UCET	3827	31337	 	GH	90691631
485801	1655	1997-12-11	VYDAJ	PREVOD NA UCET	3827	48992	 	GH	90691631
485802	1655	1998-01-11	VYDAJ	PREVOD NA UCET	3827	43233	 	GH	90691631
485803	1655	1998-02-11	VYDAJ	PREVOD NA UCET	3827	37131	 	GH	90691631
485804	1655	1998-03-11	VYDAJ	PREVOD NA UCET	3827	38076	 	GH	90691631
485805	1655	1998-04-11	VYDAJ	PREVOD NA UCET	3827	41708	 	GH	90691631
485806	1655	1998-05-11	VYDAJ	PREVOD NA UCET	3827	41555	 	GH	90691631
485807	1655	1998-06-11	VYDAJ	PREVOD NA UCET	3827	48993	 	GH	90691631
485808	1655	1998-07-11	VYDAJ	PREVOD NA UCET	3827	41524	 	GH	90691631
485809	1655	1998-08-11	VYDAJ	PREVOD NA UCET	3827	41121	 	GH	90691631
485810	1655	1998-09-11	VYDAJ	PREVOD NA UCET	3827	45865	 	GH	90691631
485811	1655	1998-10-11	VYDAJ	PREVOD NA UCET	3827	48728	 	GH	90691631
485812	1655	1998-11-11	VYDAJ	PREVOD NA UCET	3827	51765	 	GH	90691631
485813	1655	1998-12-11	VYDAJ	PREVOD NA UCET	3827	58748	 	GH	90691631
485814	1655	1996-12-10	VYDAJ	VYBER	4320	47667	\N	\N	\N
485815	1655	1997-12-25	VYDAJ	VYBER	960	40995	\N	\N	\N
485816	1655	1998-12-06	VYDAJ	VYBER	3360	37213	\N	\N	\N
485823	1655	1997-01-16	VYDAJ	VYBER	1200	21715	\N	\N	\N
485824	1655	1997-01-21	VYDAJ	VYBER	2520	18475	\N	\N	\N
485825	1655	1997-01-06	VYDAJ	VYBER	1080	25251	\N	\N	\N
485826	1655	1997-01-20	VYDAJ	VYBER	720	20995	\N	\N	\N
485827	1655	1997-01-09	VYDAJ	VYBER	840	41319	\N	\N	\N
485828	1655	1997-01-25	VYDAJ	VYBER	2280	16195	\N	\N	\N
485829	1655	1998-01-19	VYDAJ	VYBER	2520	33916	\N	\N	\N
485830	1655	1998-01-12	VYDAJ	VYBER	2520	36436	\N	\N	\N
485831	1655	1998-01-04	VYDAJ	VYBER	2400	38752	\N	\N	\N
485832	1655	1998-01-20	VYDAJ	VYBER	1920	31996	\N	\N	\N
485833	1655	1998-01-26	VYDAJ	VYBER	1320	30676	\N	\N	\N
485834	1655	1998-01-26	VYDAJ	VYBER	1560	29116	\N	\N	\N
485837	1655	1996-11-10	VYDAJ	VYBER	2160	45225	\N	\N	\N
485838	1655	1997-01-02	VYDAJ	VYBER	1680	27891	\N	\N	\N
485839	1655	1997-05-12	VYDAJ	VYBER	3600	18512	\N	\N	\N
485840	1655	1997-01-04	VYDAJ	VYBER	1560	26331	\N	\N	\N
485841	1655	1997-12-19	VYDAJ	VYBER	2760	41955	\N	\N	\N
485842	1655	1997-08-01	VYDAJ	VYBER	5160	15038	\N	\N	\N
485843	1655	1998-12-04	VYDAJ	VYBER	3000	40573	\N	\N	\N
485844	1655	1998-08-04	VYDAJ	VYBER	2760	28040	\N	\N	\N
485845	1655	1998-02-15	VYDAJ	VYBER	1680	31174	\N	\N	\N
485846	1655	1998-10-31	VYDAJ	VYBER	5040	39584	\N	\N	\N
485847	1655	1998-07-10	VYDAJ	VYBER	5640	45351	\N	\N	\N
485848	1655	1998-05-22	VYDAJ	VYBER	3960	33318	\N	\N	\N
485858	1655	1996-09-30	VYDAJ	VYBER	15	34143	SLUZBY	\N	\N
485859	1655	1996-10-31	VYDAJ	VYBER	15	30477	SLUZBY	\N	\N
485860	1655	1996-11-30	VYDAJ	VYBER	15	26625	SLUZBY	\N	\N
485861	1655	1996-12-31	VYDAJ	VYBER	15	29571	SLUZBY	\N	\N
485862	1655	1997-01-31	VYDAJ	VYBER	15	16279	SLUZBY	\N	\N
485863	1655	1997-02-28	VYDAJ	VYBER	15	19850	SLUZBY	\N	\N
485864	1655	1997-03-31	VYDAJ	VYBER	15	22429	SLUZBY	\N	\N
485865	1655	1997-04-30	VYDAJ	VYBER	15	20608	SLUZBY	\N	\N
485866	1655	1997-05-31	VYDAJ	VYBER	15	18589	SLUZBY	\N	\N
485867	1655	1997-06-30	VYDAJ	VYBER	15	21321	SLUZBY	\N	\N
485868	1655	1997-07-31	VYDAJ	VYBER	15	20198	SLUZBY	\N	\N
485869	1655	1997-08-31	VYDAJ	VYBER	15	18109	SLUZBY	\N	\N
485870	1655	1997-09-30	VYDAJ	VYBER	15	17482	SLUZBY	\N	\N
485871	1655	1997-10-31	VYDAJ	VYBER	15	19856	SLUZBY	\N	\N
485872	1655	1997-11-30	VYDAJ	VYBER	15	27157	SLUZBY	\N	\N
485873	1655	1997-12-31	VYDAJ	VYBER	15	41152	SLUZBY	\N	\N
485874	1655	1998-01-31	VYDAJ	VYBER	15	29250	SLUZBY	\N	\N
485875	1655	1998-02-28	VYDAJ	VYBER	15	31295	SLUZBY	\N	\N
485876	1655	1998-03-31	VYDAJ	VYBER	15	33927	SLUZBY	\N	\N
485877	1655	1998-04-30	VYDAJ	VYBER	15	37574	SLUZBY	\N	\N
485878	1655	1998-05-31	VYDAJ	VYBER	15	33458	SLUZBY	\N	\N
485879	1655	1998-06-30	VYDAJ	VYBER	15	44883	SLUZBY	\N	\N
485880	1655	1998-07-31	VYDAJ	VYBER	15	37400	SLUZBY	\N	\N
485881	1655	1998-08-31	VYDAJ	VYBER	15	36984	SLUZBY	\N	\N
485882	1655	1998-09-30	VYDAJ	VYBER	15	41747	SLUZBY	\N	\N
485883	1655	1998-10-31	VYDAJ	VYBER	15	44624	SLUZBY	\N	\N
485884	1655	1998-11-30	VYDAJ	VYBER	15	47673	SLUZBY	\N	\N
485885	1655	1996-05-15	PRIJEM	VKLAD	4400	21908	\N	\N	\N
485886	1655	1996-06-14	VYDAJ	VYBER	8200	39120	\N	\N	\N
485887	1655	1996-07-14	VYDAJ	VYBER	13800	42360	\N	\N	\N
485888	1655	1996-08-13	VYDAJ	VYBER	21500	37939	\N	\N	\N
485889	1655	1996-09-12	VYDAJ	VYBER	12900	34008	\N	\N	\N
485890	1655	1996-10-12	VYDAJ	VYBER	12600	34624	\N	\N	\N
485891	1655	1996-11-11	VYDAJ	VYBER	10600	34625	\N	\N	\N
485892	1655	1996-12-11	VYDAJ	VYBER	10100	37567	\N	\N	\N
485893	1655	1997-01-10	VYDAJ	VYBER	10300	31019	\N	\N	\N
485894	1655	1997-02-09	VYDAJ	VYBER	5300	27887	\N	\N	\N
485895	1655	1997-03-11	VYDAJ	VYBER	6300	30458	\N	\N	\N
485896	1655	1997-04-10	VYDAJ	VYBER	10700	28637	\N	\N	\N
485897	1655	1997-05-10	VYDAJ	VYBER	7300	30216	\N	\N	\N
485898	1655	1997-06-09	VYDAJ	VYBER	14600	29351	\N	\N	\N
485899	1655	1997-07-09	VYDAJ	VYBER	10000	28229	\N	\N	\N
485900	1655	1997-08-08	VYDAJ	VYBER	5800	26146	\N	\N	\N
485902	1655	1997-10-07	VYDAJ	VYBER	6500	27890	\N	\N	\N
485903	1655	1997-11-06	VYDAJ	VYBER	1600	18256	\N	\N	\N
485904	1655	1997-12-06	PRIJEM	VKLAD	300	27457	\N	\N	\N
485905	1655	1998-01-05	VYDAJ	VYBER	8600	30152	\N	\N	\N
485906	1655	1998-02-04	VYDAJ	VYBER	5200	24050	\N	\N	\N
485907	1655	1998-03-06	VYDAJ	VYBER	6300	24995	\N	\N	\N
485908	1655	1998-04-05	VYDAJ	VYBER	5300	28627	\N	\N	\N
485909	1655	1998-05-05	VYDAJ	VYBER	9100	28474	\N	\N	\N
485910	1655	1998-06-04	VYDAJ	VYBER	6000	27458	\N	\N	\N
485911	1655	1998-07-04	VYDAJ	VYBER	10800	34083	\N	\N	\N
485912	1655	1998-08-03	VYDAJ	VYBER	6600	30800	\N	\N	\N
485913	1655	1998-09-02	VYDAJ	VYBER	4200	32784	\N	\N	\N
485914	1655	1998-10-02	VYDAJ	VYBER	6100	35647	\N	\N	\N
485915	1655	1998-11-01	VYDAJ	VYBER	900	38684	\N	\N	\N
485916	1655	1998-12-01	VYDAJ	VYBER	4100	43573	\N	\N	\N
485949	1656	1997-02-01	PRIJEM	VKLAD	500	500	\N	\N	\N
485951	1656	1997-02-12	PRIJEM	PREVOD Z UCTU	23726	24226	\N	UV	85668760
485952	1656	1997-03-12	PRIJEM	PREVOD Z UCTU	23726	50013	\N	UV	85668760
485953	1656	1997-04-12	PRIJEM	PREVOD Z UCTU	23726	59210	\N	UV	85668760
485954	1656	1997-05-12	PRIJEM	PREVOD Z UCTU	23726	62168	\N	UV	85668760
485955	1656	1997-06-12	PRIJEM	PREVOD Z UCTU	35589	78412	\N	UV	85668760
485956	1656	1997-07-12	PRIJEM	PREVOD Z UCTU	23726	54094	\N	UV	85668760
485957	1656	1997-08-12	PRIJEM	PREVOD Z UCTU	23726	27215	\N	UV	85668760
485958	1656	1997-09-12	PRIJEM	PREVOD Z UCTU	23726	34716	\N	UV	85668760
485959	1656	1997-10-12	PRIJEM	PREVOD Z UCTU	23726	39231	\N	UV	85668760
485960	1656	1997-11-12	PRIJEM	PREVOD Z UCTU	23726	48675	\N	UV	85668760
485961	1656	1997-12-12	PRIJEM	PREVOD Z UCTU	35589	59313	\N	UV	85668760
485962	1656	1998-01-12	PRIJEM	PREVOD Z UCTU	23726	47703	\N	UV	85668760
485963	1656	1998-02-12	PRIJEM	PREVOD Z UCTU	23726	33860	\N	UV	85668760
485964	1656	1998-03-12	PRIJEM	PREVOD Z UCTU	23726	40980	\N	UV	85668760
485965	1656	1998-04-12	PRIJEM	PREVOD Z UCTU	23726	49928	\N	UV	85668760
485966	1656	1998-05-12	PRIJEM	PREVOD Z UCTU	23726	45706	\N	UV	85668760
485967	1656	1998-06-12	PRIJEM	PREVOD Z UCTU	35589	44128	\N	UV	85668760
485968	1656	1998-07-12	PRIJEM	PREVOD Z UCTU	23726	40760	\N	UV	85668760
485969	1656	1998-08-12	PRIJEM	PREVOD Z UCTU	23726	41403	\N	UV	85668760
485970	1656	1998-09-12	PRIJEM	PREVOD Z UCTU	23726	42740	\N	UV	85668760
485971	1656	1998-10-12	PRIJEM	PREVOD Z UCTU	23726	40800	\N	UV	85668760
485972	1656	1998-11-12	PRIJEM	PREVOD Z UCTU	23726	49344	\N	UV	85668760
485973	1656	1998-12-12	PRIJEM	PREVOD Z UCTU	35589	55885	\N	UV	85668760
485979	1656	1997-06-19	VYDAJ	VYBER	6000	69112	\N	\N	0
485980	1656	1997-06-30	VYDAJ	VYBER	3700	65681	\N	\N	0
485981	1656	1997-08-11	VYDAJ	VYBER	3200	3489	\N	\N	0
485982	1656	1997-08-26	VYDAJ	VYBER	3500	23715	\N	\N	0
485983	1656	1997-10-10	VYDAJ	VYBER	2900	15505	\N	\N	0
485984	1656	1997-11-29	VYDAJ	VYBER	2800	35675	\N	\N	0
485985	1656	1997-12-16	VYDAJ	VYBER	4300	55013	\N	\N	0
485986	1656	1998-01-21	VYDAJ	VYBER	4600	41003	\N	\N	0
485987	1656	1998-02-10	VYDAJ	VYBER	2500	10134	\N	\N	0
485988	1656	1998-03-02	VYDAJ	VYBER	4800	29367	\N	\N	0
485989	1656	1998-04-20	VYDAJ	VYBER	3800	46128	\N	\N	0
485990	1656	1998-05-09	VYDAJ	VYBER	3400	21980	\N	\N	0
485991	1656	1998-05-31	VYDAJ	VYBER	2400	24252	\N	\N	0
485992	1656	1998-07-07	VYDAJ	VYBER	4900	29147	\N	\N	0
485993	1656	1998-08-14	VYDAJ	VYBER	4500	36903	\N	\N	0
485994	1656	1998-09-20	VYDAJ	VYBER	4100	31657	\N	\N	0
485995	1656	1998-10-04	VYDAJ	VYBER	2800	29187	\N	\N	0
485996	1656	1998-11-12	VYDAJ	PREVOD NA UCET	3954	39690	UVER	IJ	73249953
485997	1656	1998-12-12	VYDAJ	PREVOD NA UCET	3954	51930	UVER	IJ	73249953
486004	1656	1997-07-08	VYDAJ	PREVOD NA UCET	12113	30368	SIPO	YZ	10182565
486005	1656	1997-08-08	VYDAJ	PREVOD NA UCET	12113	6689	SIPO	YZ	10182565
486006	1656	1997-09-08	VYDAJ	PREVOD NA UCET	12113	10990	SIPO	YZ	10182565
486007	1656	1997-10-08	VYDAJ	PREVOD NA UCET	12113	18405	SIPO	YZ	10182565
486008	1656	1997-11-08	VYDAJ	PREVOD NA UCET	12113	24949	SIPO	YZ	10182565
486009	1656	1997-12-08	VYDAJ	PREVOD NA UCET	12113	23724	SIPO	YZ	10182565
486010	1656	1998-01-08	VYDAJ	PREVOD NA UCET	12113	29977	SIPO	YZ	10182565
486011	1656	1998-02-08	VYDAJ	PREVOD NA UCET	12113	12634	SIPO	YZ	10182565
486012	1656	1998-03-08	VYDAJ	PREVOD NA UCET	12113	17254	SIPO	YZ	10182565
486013	1656	1998-04-08	VYDAJ	PREVOD NA UCET	12113	26202	SIPO	YZ	10182565
486014	1656	1998-05-08	VYDAJ	PREVOD NA UCET	12113	25380	SIPO	YZ	10182565
486015	1656	1998-06-08	VYDAJ	PREVOD NA UCET	12113	8539	SIPO	YZ	10182565
486016	1656	1998-07-08	VYDAJ	PREVOD NA UCET	12113	17034	SIPO	YZ	10182565
486017	1656	1998-08-08	VYDAJ	PREVOD NA UCET	12113	17677	SIPO	YZ	10182565
486018	1656	1998-09-08	VYDAJ	PREVOD NA UCET	12113	19014	SIPO	YZ	10182565
486019	1656	1998-10-08	VYDAJ	PREVOD NA UCET	12113	17074	SIPO	YZ	10182565
486020	1656	1998-11-08	VYDAJ	PREVOD NA UCET	12113	25618	SIPO	YZ	10182565
486021	1656	1998-12-08	VYDAJ	PREVOD NA UCET	12113	20296	SIPO	YZ	10182565
486022	1656	1997-07-26	VYBER	VYBER	17486	36608	\N	\N	\N
486025	1656	1998-09-20	VYBER	VYBER	6983	35757	\N	\N	\N
486029	1656	1997-12-18	VYDAJ	VYBER	3300	51713	\N	\N	\N
486030	1656	1998-12-30	VYDAJ	VYBER	3000	45530	\N	\N	\N
486037	1656	1998-01-08	VYDAJ	VYBER	6000	23977	\N	\N	\N
486038	1656	1998-01-29	VYDAJ	VYBER	3900	26703	\N	\N	\N
486039	1656	1998-01-22	VYDAJ	VYBER	5100	35903	\N	\N	\N
486040	1656	1998-01-18	VYDAJ	VYBER	2100	45603	\N	\N	\N
486041	1656	1998-01-29	VYDAJ	VYBER	2100	24603	\N	\N	\N
486043	1656	1997-06-14	VYDAJ	VYBER	3300	75112	\N	\N	\N
486044	1656	1997-08-01	VYDAJ	VYBER	12600	18802	\N	\N	\N
486045	1656	1997-11-26	VYDAJ	VYBER	12000	36675	\N	\N	\N
486048	1656	1997-09-21	VYDAJ	VYBER	8700	26016	\N	\N	\N
486050	1656	1998-11-12	VYDAJ	VYBER	5700	43644	\N	\N	\N
486051	1656	1998-05-28	VYDAJ	VYBER	9900	26506	\N	\N	\N
486052	1656	1998-06-17	VYDAJ	VYBER	3000	41128	\N	\N	\N
486053	1656	1998-06-04	VYDAJ	VYBER	3600	20652	\N	\N	\N
486054	1656	1998-07-31	VYDAJ	VYBER	4200	29804	\N	\N	\N
486055	1656	1998-11-13	VYDAJ	VYBER	14700	24990	\N	\N	\N
486062	1656	1997-06-30	VYDAJ	VYBER	15	69381	SLUZBY	\N	\N
486063	1656	1997-07-31	VYDAJ	VYBER	15	31402	SLUZBY	\N	\N
486064	1656	1997-08-31	VYDAJ	VYBER	15	23103	SLUZBY	\N	\N
486065	1656	1997-09-30	VYDAJ	VYBER	15	30518	SLUZBY	\N	\N
486066	1656	1997-10-31	VYDAJ	VYBER	15	37062	SLUZBY	\N	\N
486067	1656	1997-11-30	VYDAJ	VYBER	15	35837	SLUZBY	\N	\N
486068	1656	1997-12-31	VYDAJ	VYBER	15	42090	SLUZBY	\N	\N
486069	1656	1998-01-31	VYDAJ	VYBER	15	24747	SLUZBY	\N	\N
486070	1656	1998-02-28	VYDAJ	VYBER	15	34167	SLUZBY	\N	\N
486071	1656	1998-03-31	VYDAJ	VYBER	15	38315	SLUZBY	\N	\N
486072	1656	1998-04-30	VYDAJ	VYBER	15	37493	SLUZBY	\N	\N
486073	1656	1998-05-31	VYDAJ	VYBER	15	26652	SLUZBY	\N	\N
486074	1656	1998-06-30	VYDAJ	VYBER	15	34047	SLUZBY	\N	\N
486075	1656	1998-07-31	VYDAJ	VYBER	15	29790	SLUZBY	\N	\N
486076	1656	1998-08-31	VYDAJ	VYBER	15	31127	SLUZBY	\N	\N
486077	1656	1998-09-30	VYDAJ	VYBER	15	31987	SLUZBY	\N	\N
486078	1656	1998-10-31	VYDAJ	VYBER	15	37731	SLUZBY	\N	\N
486079	1656	1998-11-30	VYDAJ	VYBER	15	32409	SLUZBY	\N	\N
486080	1656	1997-03-03	PRIJEM	VKLAD	2000	26287	\N	\N	\N
486081	1656	1997-04-02	VYDAJ	VYBER	14700	35484	\N	\N	\N
486082	1656	1997-05-02	VYDAJ	VYBER	21000	38442	\N	\N	\N
486083	1656	1997-06-01	VYDAJ	VYBER	19600	42823	\N	\N	\N
486084	1656	1997-07-01	VYDAJ	VYBER	23200	42481	\N	\N	\N
486085	1656	1997-07-31	VYDAJ	VYBER	5400	31417	\N	\N	\N
486086	1656	1997-08-30	VYDAJ	VYBER	700	23015	\N	\N	\N
486087	1656	1997-09-29	PRIJEM	VKLAD	4400	30416	\N	\N	\N
486088	1656	1997-10-29	VYDAJ	VYBER	2300	36931	\N	\N	\N
486089	1656	1997-11-28	PRIJEM	VKLAD	1800	38475	\N	\N	\N
486090	1656	1997-12-28	VYDAJ	VYBER	9800	41913	\N	\N	\N
486091	1656	1998-01-27	VYDAJ	VYBER	5300	30603	\N	\N	\N
486092	1656	1998-02-26	PRIJEM	VKLAD	200	34060	\N	\N	\N
486093	1656	1998-03-28	VYDAJ	VYBER	2800	38180	\N	\N	\N
486094	1656	1998-04-27	VYDAJ	VYBER	8800	37328	\N	\N	\N
486095	1656	1998-05-27	VYDAJ	VYBER	9300	36406	\N	\N	\N
486096	1656	1998-06-26	VYDAJ	VYBER	7200	33928	\N	\N	\N
486097	1656	1998-07-26	VYDAJ	VYBER	6900	33860	\N	\N	\N
486098	1656	1998-08-25	VYDAJ	VYBER	5900	31003	\N	\N	\N
486099	1656	1998-09-24	PRIJEM	VKLAD	200	31857	\N	\N	\N
486100	1656	1998-10-24	VYDAJ	VYBER	3200	37600	\N	\N	\N
486101	1656	1998-11-23	PRIJEM	VKLAD	7300	32290	\N	\N	\N
486102	1656	1998-12-23	VYDAJ	VYBER	3400	48530	\N	\N	\N
486126	1657	1997-11-04	PRIJEM	VKLAD	300	300	\N	\N	\N
486137	1657	1997-11-10	PRIJEM	PREVOD Z UCTU	3235	3535	\N	EF	43980419
486138	1657	1997-12-10	PRIJEM	PREVOD Z UCTU	3235	6780	\N	EF	43980419
486139	1657	1998-01-10	PRIJEM	PREVOD Z UCTU	3235	10030	\N	EF	43980419
486140	1657	1998-02-10	PRIJEM	PREVOD Z UCTU	3235	13280	\N	EF	43980419
486141	1657	1998-03-10	PRIJEM	PREVOD Z UCTU	3235	16530	\N	EF	43980419
486142	1657	1998-04-10	PRIJEM	PREVOD Z UCTU	3235	17638	\N	EF	43980419
486143	1657	1998-05-10	PRIJEM	PREVOD Z UCTU	3235	18765	\N	EF	43980419
486144	1657	1998-06-10	PRIJEM	PREVOD Z UCTU	3235	19386	\N	EF	43980419
486145	1657	1998-07-10	PRIJEM	PREVOD Z UCTU	3235	20521	\N	EF	43980419
486146	1657	1998-08-10	PRIJEM	PREVOD Z UCTU	3235	21150	\N	EF	43980419
486147	1657	1998-09-10	PRIJEM	PREVOD Z UCTU	3235	22293	\N	EF	43980419
486148	1657	1998-10-10	PRIJEM	PREVOD Z UCTU	3235	23110	\N	EF	43980419
486149	1657	1998-11-10	PRIJEM	PREVOD Z UCTU	3235	24261	\N	EF	43980419
486150	1657	1998-12-10	PRIJEM	PREVOD Z UCTU	3235	25056	\N	EF	43980419
486165	1657	1998-03-12	VYDAJ	PREVOD NA UCET	2156	14374	\N	OP	7076365
486166	1657	1998-04-12	VYDAJ	PREVOD NA UCET	2156	15482	\N	OP	7076365
486167	1657	1998-05-12	VYDAJ	PREVOD NA UCET	2156	16609	\N	OP	7076365
486168	1657	1998-06-12	VYDAJ	PREVOD NA UCET	2156	17230	\N	OP	7076365
486169	1657	1998-07-12	VYDAJ	PREVOD NA UCET	2156	18365	\N	OP	7076365
486170	1657	1998-08-12	VYDAJ	PREVOD NA UCET	2156	18994	\N	OP	7076365
486171	1657	1998-09-12	VYDAJ	PREVOD NA UCET	2156	20137	\N	OP	7076365
486172	1657	1998-10-12	VYDAJ	PREVOD NA UCET	2156	20954	\N	OP	7076365
486173	1657	1998-11-12	VYDAJ	PREVOD NA UCET	2156	22105	\N	OP	7076365
486174	1657	1998-12-12	VYDAJ	PREVOD NA UCET	2156	22900	\N	OP	7076365
486180	1657	1998-12-08	VYDAJ	VYBER	360	21821	\N	\N	\N
486198	1657	1998-05-19	VYDAJ	VYBER	510	16099	\N	\N	\N
486199	1657	1998-08-09	VYDAJ	VYBER	510	17915	\N	\N	\N
486201	1657	1998-10-05	VYDAJ	VYBER	330	19875	\N	\N	\N
486217	1657	1998-03-31	VYDAJ	VYBER	15	14403	SLUZBY	\N	\N
486218	1657	1998-04-30	VYDAJ	VYBER	15	15530	SLUZBY	\N	\N
486219	1657	1998-05-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
486220	1657	1998-06-30	VYDAJ	VYBER	15	17286	SLUZBY	\N	\N
486221	1657	1998-07-31	VYDAJ	VYBER	15	18425	SLUZBY	\N	\N
486222	1657	1998-08-31	VYDAJ	VYBER	15	19058	SLUZBY	\N	\N
486223	1657	1998-09-30	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
486224	1657	1998-10-31	VYDAJ	VYBER	15	21026	SLUZBY	\N	\N
486225	1657	1998-11-30	VYDAJ	VYBER	15	22181	SLUZBY	\N	\N
486240	1658	1993-05-10	PRIJEM	VKLAD	800	800	\N	\N	\N
486246	1658	1993-06-07	PRIJEM	PREVOD Z UCTU	3184	3984	\N	KL	35297125
486247	1658	1993-07-07	PRIJEM	PREVOD Z UCTU	3184	7168	\N	KL	35297125
486248	1658	1993-08-07	PRIJEM	PREVOD Z UCTU	3184	10352	\N	KL	35297125
486249	1658	1993-09-07	PRIJEM	PREVOD Z UCTU	3184	13536	\N	KL	35297125
486250	1658	1993-10-07	PRIJEM	PREVOD Z UCTU	3184	16720	\N	KL	35297125
486251	1658	1993-11-07	PRIJEM	PREVOD Z UCTU	3184	16850	\N	KL	35297125
486252	1658	1993-12-07	PRIJEM	PREVOD Z UCTU	3184	17959	\N	KL	35297125
486253	1658	1994-01-07	PRIJEM	PREVOD Z UCTU	3184	18352	\N	KL	35297125
486254	1658	1994-02-07	PRIJEM	PREVOD Z UCTU	3184	15318	\N	KL	35297125
486255	1658	1994-03-07	PRIJEM	PREVOD Z UCTU	3184	16421	\N	KL	35297125
486256	1658	1994-04-07	PRIJEM	PREVOD Z UCTU	3184	15906	\N	KL	35297125
486257	1658	1994-05-07	PRIJEM	PREVOD Z UCTU	3184	17011	\N	KL	35297125
486258	1658	1994-06-07	PRIJEM	PREVOD Z UCTU	3184	16500	\N	KL	35297125
486259	1658	1994-07-07	PRIJEM	PREVOD Z UCTU	3184	17609	\N	KL	35297125
486260	1658	1994-08-07	PRIJEM	PREVOD Z UCTU	3184	18721	\N	KL	35297125
486261	1658	1994-09-07	PRIJEM	PREVOD Z UCTU	3184	18936	\N	KL	35297125
486262	1658	1994-10-07	PRIJEM	PREVOD Z UCTU	3184	20054	\N	KL	35297125
486263	1658	1994-11-07	PRIJEM	PREVOD Z UCTU	3184	21177	\N	KL	35297125
486264	1658	1994-12-07	PRIJEM	PREVOD Z UCTU	3184	21854	\N	KL	35297125
486265	1658	1995-01-07	PRIJEM	PREVOD Z UCTU	3184	21364	\N	KL	35297125
486266	1658	1995-02-07	PRIJEM	PREVOD Z UCTU	3184	19606	\N	KL	35297125
486267	1658	1995-03-07	PRIJEM	PREVOD Z UCTU	3184	19287	\N	KL	35297125
486268	1658	1995-04-07	PRIJEM	PREVOD Z UCTU	3184	20406	\N	KL	35297125
486269	1658	1995-05-07	PRIJEM	PREVOD Z UCTU	3184	20118	\N	KL	35297125
486270	1658	1995-06-07	PRIJEM	PREVOD Z UCTU	3184	21241	\N	KL	35297125
486271	1658	1995-07-07	PRIJEM	PREVOD Z UCTU	3184	16542	\N	KL	35297125
486272	1658	1995-08-07	PRIJEM	PREVOD Z UCTU	3184	17650	\N	KL	35297125
486273	1658	1995-09-07	PRIJEM	PREVOD Z UCTU	3184	18763	\N	KL	35297125
486274	1658	1995-10-07	PRIJEM	PREVOD Z UCTU	3184	18977	\N	KL	35297125
486275	1658	1995-11-07	PRIJEM	PREVOD Z UCTU	3184	19885	\N	KL	35297125
486276	1658	1995-12-07	PRIJEM	PREVOD Z UCTU	3184	21007	\N	KL	35297125
486277	1658	1996-01-07	PRIJEM	PREVOD Z UCTU	3184	17150	\N	KL	35297125
486278	1658	1996-02-07	PRIJEM	PREVOD Z UCTU	3184	16998	\N	KL	35297125
486279	1658	1996-03-07	PRIJEM	PREVOD Z UCTU	3184	18108	\N	KL	35297125
486280	1658	1996-04-07	PRIJEM	PREVOD Z UCTU	3184	19222	\N	KL	35297125
486281	1658	1996-05-07	PRIJEM	PREVOD Z UCTU	3184	20341	\N	KL	35297125
486282	1658	1996-06-07	PRIJEM	PREVOD Z UCTU	3184	21465	\N	KL	35297125
486283	1658	1996-07-07	PRIJEM	PREVOD Z UCTU	3184	22593	\N	KL	35297125
486284	1658	1996-08-07	PRIJEM	PREVOD Z UCTU	3184	23155	\N	KL	35297125
486285	1658	1996-09-07	PRIJEM	PREVOD Z UCTU	3184	24290	\N	KL	35297125
486286	1658	1996-10-07	PRIJEM	PREVOD Z UCTU	3184	24107	\N	KL	35297125
486287	1658	1996-11-07	PRIJEM	PREVOD Z UCTU	3184	25246	\N	KL	35297125
486288	1658	1996-12-07	PRIJEM	PREVOD Z UCTU	3184	26389	\N	KL	35297125
486289	1658	1997-01-07	PRIJEM	PREVOD Z UCTU	3184	27027	\N	KL	35297125
486290	1658	1997-02-07	PRIJEM	PREVOD Z UCTU	3184	21956	\N	KL	35297125
486291	1658	1997-03-07	PRIJEM	PREVOD Z UCTU	3184	23086	\N	KL	35297125
486292	1658	1997-04-07	PRIJEM	PREVOD Z UCTU	3184	24220	\N	KL	35297125
486293	1658	1997-05-07	PRIJEM	PREVOD Z UCTU	3184	25359	\N	KL	35297125
486294	1658	1997-06-07	PRIJEM	PREVOD Z UCTU	3184	19363	\N	KL	35297125
486295	1658	1997-07-07	PRIJEM	PREVOD Z UCTU	3184	20487	\N	KL	35297125
486296	1658	1997-08-07	PRIJEM	PREVOD Z UCTU	3184	21610	\N	KL	35297125
486297	1658	1997-09-07	PRIJEM	PREVOD Z UCTU	3184	22738	\N	KL	35297125
486298	1658	1997-10-07	PRIJEM	PREVOD Z UCTU	3184	23871	\N	KL	35297125
486299	1658	1997-11-07	PRIJEM	PREVOD Z UCTU	3184	25009	\N	KL	35297125
486300	1658	1997-12-07	PRIJEM	PREVOD Z UCTU	3184	23086	\N	KL	35297125
486301	1658	1998-01-07	PRIJEM	PREVOD Z UCTU	3184	24220	\N	KL	35297125
486302	1658	1998-02-07	PRIJEM	PREVOD Z UCTU	3184	21362	\N	KL	35297125
486303	1658	1998-03-07	PRIJEM	PREVOD Z UCTU	3184	22488	\N	KL	35297125
486304	1658	1998-04-07	PRIJEM	PREVOD Z UCTU	3184	23620	\N	KL	35297125
486305	1658	1998-05-07	PRIJEM	PREVOD Z UCTU	3184	23376	\N	KL	35297125
486306	1658	1998-06-07	PRIJEM	PREVOD Z UCTU	3184	24512	\N	KL	35297125
486307	1658	1998-07-07	PRIJEM	PREVOD Z UCTU	3184	23098	\N	KL	35297125
486308	1658	1998-08-07	PRIJEM	PREVOD Z UCTU	3184	24232	\N	KL	35297125
486309	1658	1998-09-07	PRIJEM	PREVOD Z UCTU	3184	25370	\N	KL	35297125
486310	1658	1998-10-07	PRIJEM	PREVOD Z UCTU	3184	26033	\N	KL	35297125
486311	1658	1998-11-07	PRIJEM	PREVOD Z UCTU	3184	25737	\N	KL	35297125
486312	1658	1998-12-07	PRIJEM	PREVOD Z UCTU	3184	26882	\N	KL	35297125
486322	1658	1993-10-10	VYDAJ	PREVOD NA UCET	1950	14770	\N	UV	35897404
486323	1658	1993-11-10	VYDAJ	PREVOD NA UCET	1950	14900	\N	UV	35897404
486324	1658	1993-12-10	VYDAJ	PREVOD NA UCET	1950	16009	\N	UV	35897404
486325	1658	1994-01-10	VYDAJ	PREVOD NA UCET	1950	14722	\N	UV	35897404
486326	1658	1994-02-10	VYDAJ	PREVOD NA UCET	1950	13368	\N	UV	35897404
486327	1658	1994-03-10	VYDAJ	PREVOD NA UCET	1950	14471	\N	UV	35897404
486328	1658	1994-04-10	VYDAJ	PREVOD NA UCET	1950	13956	\N	UV	35897404
486329	1658	1994-05-10	VYDAJ	PREVOD NA UCET	1950	14701	\N	UV	35897404
486330	1658	1994-06-10	VYDAJ	PREVOD NA UCET	1950	14550	\N	UV	35897404
486331	1658	1994-07-10	VYDAJ	PREVOD NA UCET	1950	15659	\N	UV	35897404
486332	1658	1994-08-10	VYDAJ	PREVOD NA UCET	1950	15871	\N	UV	35897404
486333	1658	1994-09-10	VYDAJ	PREVOD NA UCET	1950	16986	\N	UV	35897404
486334	1658	1994-10-10	VYDAJ	PREVOD NA UCET	1950	18104	\N	UV	35897404
486335	1658	1994-11-10	VYDAJ	PREVOD NA UCET	1950	19227	\N	UV	35897404
486336	1658	1994-12-10	VYDAJ	PREVOD NA UCET	1950	19904	\N	UV	35897404
486337	1658	1995-01-10	VYDAJ	PREVOD NA UCET	1950	18844	\N	UV	35897404
486338	1658	1995-02-10	VYDAJ	PREVOD NA UCET	1950	17656	\N	UV	35897404
486339	1658	1995-03-10	VYDAJ	PREVOD NA UCET	1950	17337	\N	UV	35897404
486340	1658	1995-04-10	VYDAJ	PREVOD NA UCET	1950	18456	\N	UV	35897404
486341	1658	1995-05-10	VYDAJ	PREVOD NA UCET	1950	18168	\N	UV	35897404
486342	1658	1995-06-10	VYDAJ	PREVOD NA UCET	1950	19291	\N	UV	35897404
486343	1658	1995-07-10	VYDAJ	PREVOD NA UCET	1950	14592	\N	UV	35897404
486344	1658	1995-08-10	VYDAJ	PREVOD NA UCET	1950	15700	\N	UV	35897404
486345	1658	1995-09-10	VYDAJ	PREVOD NA UCET	1950	16813	\N	UV	35897404
486346	1658	1995-10-10	VYDAJ	PREVOD NA UCET	1950	17027	\N	UV	35897404
486347	1658	1995-11-10	VYDAJ	PREVOD NA UCET	1950	17935	\N	UV	35897404
486348	1658	1995-12-10	VYDAJ	PREVOD NA UCET	1950	19057	\N	UV	35897404
486349	1658	1996-01-10	VYDAJ	PREVOD NA UCET	1950	15200	\N	UV	35897404
486350	1658	1996-02-10	VYDAJ	PREVOD NA UCET	1950	15048	\N	UV	35897404
486351	1658	1996-03-10	VYDAJ	PREVOD NA UCET	1950	16158	\N	UV	35897404
486352	1658	1996-04-10	VYDAJ	PREVOD NA UCET	1950	17272	\N	UV	35897404
486353	1658	1996-05-10	VYDAJ	PREVOD NA UCET	1950	18391	\N	UV	35897404
486354	1658	1996-06-10	VYDAJ	PREVOD NA UCET	1950	19515	\N	UV	35897404
486355	1658	1996-07-10	VYDAJ	PREVOD NA UCET	1950	20643	\N	UV	35897404
486356	1658	1996-08-10	VYDAJ	PREVOD NA UCET	1950	21205	\N	UV	35897404
486357	1658	1996-09-10	VYDAJ	PREVOD NA UCET	1950	22340	\N	UV	35897404
486358	1658	1996-10-10	VYDAJ	PREVOD NA UCET	1950	22157	\N	UV	35897404
486359	1658	1996-11-10	VYDAJ	PREVOD NA UCET	1950	23296	\N	UV	35897404
486360	1658	1996-12-10	VYDAJ	PREVOD NA UCET	1950	24439	\N	UV	35897404
486361	1658	1997-01-10	VYDAJ	PREVOD NA UCET	1950	23667	\N	UV	35897404
486362	1658	1997-02-10	VYDAJ	PREVOD NA UCET	1950	20006	\N	UV	35897404
486363	1658	1997-03-10	VYDAJ	PREVOD NA UCET	1950	21136	\N	UV	35897404
486364	1658	1997-04-10	VYDAJ	PREVOD NA UCET	1950	22270	\N	UV	35897404
486365	1658	1997-05-10	VYDAJ	PREVOD NA UCET	1950	23409	\N	UV	35897404
486366	1658	1997-06-10	VYDAJ	PREVOD NA UCET	1950	17413	\N	UV	35897404
486367	1658	1997-07-10	VYDAJ	PREVOD NA UCET	1950	18537	\N	UV	35897404
486368	1658	1997-08-10	VYDAJ	PREVOD NA UCET	1950	19660	\N	UV	35897404
486369	1658	1997-09-10	VYDAJ	PREVOD NA UCET	1950	20788	\N	UV	35897404
486370	1658	1997-10-10	VYDAJ	PREVOD NA UCET	1950	21921	\N	UV	35897404
486371	1658	1997-11-10	VYDAJ	PREVOD NA UCET	1950	21919	\N	UV	35897404
486372	1658	1997-12-10	VYDAJ	PREVOD NA UCET	1950	21136	\N	UV	35897404
486373	1658	1998-01-10	VYDAJ	PREVOD NA UCET	1950	21670	\N	UV	35897404
486374	1658	1998-02-10	VYDAJ	PREVOD NA UCET	1950	19412	\N	UV	35897404
486375	1658	1998-03-10	VYDAJ	PREVOD NA UCET	1950	20538	\N	UV	35897404
486376	1658	1998-04-10	VYDAJ	PREVOD NA UCET	1950	21670	\N	UV	35897404
486377	1658	1998-05-10	VYDAJ	PREVOD NA UCET	1950	21426	\N	UV	35897404
486378	1658	1998-06-10	VYDAJ	PREVOD NA UCET	1950	22562	\N	UV	35897404
486379	1658	1998-07-10	VYDAJ	PREVOD NA UCET	1950	21148	\N	UV	35897404
486380	1658	1998-08-10	VYDAJ	PREVOD NA UCET	1950	22282	\N	UV	35897404
486381	1658	1998-09-10	VYDAJ	PREVOD NA UCET	1950	23420	\N	UV	35897404
486382	1658	1998-10-10	VYDAJ	PREVOD NA UCET	1950	24083	\N	UV	35897404
486383	1658	1998-11-10	VYDAJ	PREVOD NA UCET	1950	23787	\N	UV	35897404
486384	1658	1998-12-10	VYDAJ	PREVOD NA UCET	1950	24932	\N	UV	35897404
486395	1658	1993-11-06	VYDAJ	PREVOD NA UCET	172	13666	\N	AB	35908234
486396	1658	1993-12-06	VYDAJ	PREVOD NA UCET	172	14775	\N	AB	35908234
486397	1658	1994-01-06	VYDAJ	PREVOD NA UCET	172	15168	\N	AB	35908234
486398	1658	1994-02-06	VYDAJ	PREVOD NA UCET	172	12134	\N	AB	35908234
486399	1658	1994-03-06	VYDAJ	PREVOD NA UCET	172	13237	\N	AB	35908234
486400	1658	1994-04-06	VYDAJ	PREVOD NA UCET	172	12722	\N	AB	35908234
486401	1658	1994-05-06	VYDAJ	PREVOD NA UCET	172	13827	\N	AB	35908234
486402	1658	1994-06-06	VYDAJ	PREVOD NA UCET	172	13316	\N	AB	35908234
486403	1658	1994-07-06	VYDAJ	PREVOD NA UCET	172	14425	\N	AB	35908234
486404	1658	1994-08-06	VYDAJ	PREVOD NA UCET	172	15537	\N	AB	35908234
486405	1658	1994-09-06	VYDAJ	PREVOD NA UCET	172	15752	\N	AB	35908234
486406	1658	1994-10-06	VYDAJ	PREVOD NA UCET	172	16870	\N	AB	35908234
486407	1658	1994-11-06	VYDAJ	PREVOD NA UCET	172	17993	\N	AB	35908234
486408	1658	1994-12-06	VYDAJ	PREVOD NA UCET	172	18670	\N	AB	35908234
486409	1658	1995-01-06	VYDAJ	PREVOD NA UCET	172	18180	\N	AB	35908234
486410	1658	1995-02-06	VYDAJ	PREVOD NA UCET	172	16422	\N	AB	35908234
486411	1658	1995-03-06	VYDAJ	PREVOD NA UCET	172	16103	\N	AB	35908234
486412	1658	1995-04-06	VYDAJ	PREVOD NA UCET	172	17222	\N	AB	35908234
486413	1658	1995-05-06	VYDAJ	PREVOD NA UCET	172	16934	\N	AB	35908234
486414	1658	1995-06-06	VYDAJ	PREVOD NA UCET	172	18057	\N	AB	35908234
486415	1658	1995-07-06	VYDAJ	PREVOD NA UCET	172	13358	\N	AB	35908234
486416	1658	1995-08-06	VYDAJ	PREVOD NA UCET	172	14466	\N	AB	35908234
486417	1658	1995-09-06	VYDAJ	PREVOD NA UCET	172	15579	\N	AB	35908234
486418	1658	1995-10-06	VYDAJ	PREVOD NA UCET	172	15793	\N	AB	35908234
486419	1658	1995-11-06	VYDAJ	PREVOD NA UCET	172	16701	\N	AB	35908234
486420	1658	1995-12-06	VYDAJ	PREVOD NA UCET	172	17823	\N	AB	35908234
486421	1658	1996-01-06	VYDAJ	PREVOD NA UCET	172	13966	\N	AB	35908234
486422	1658	1996-02-06	VYDAJ	PREVOD NA UCET	172	13814	\N	AB	35908234
486423	1658	1996-03-06	VYDAJ	PREVOD NA UCET	172	14924	\N	AB	35908234
486424	1658	1996-04-06	VYDAJ	PREVOD NA UCET	172	16038	\N	AB	35908234
486425	1658	1996-05-06	VYDAJ	PREVOD NA UCET	172	17157	\N	AB	35908234
486426	1658	1996-06-06	VYDAJ	PREVOD NA UCET	172	18281	\N	AB	35908234
486427	1658	1996-07-06	VYDAJ	PREVOD NA UCET	172	19409	\N	AB	35908234
486428	1658	1996-08-06	VYDAJ	PREVOD NA UCET	172	19971	\N	AB	35908234
486429	1658	1996-09-06	VYDAJ	PREVOD NA UCET	172	21106	\N	AB	35908234
486430	1658	1996-10-06	VYDAJ	PREVOD NA UCET	172	20923	\N	AB	35908234
486431	1658	1996-11-06	VYDAJ	PREVOD NA UCET	172	22062	\N	AB	35908234
486432	1658	1996-12-06	VYDAJ	PREVOD NA UCET	172	23205	\N	AB	35908234
486433	1658	1997-01-06	VYDAJ	PREVOD NA UCET	172	23843	\N	AB	35908234
486434	1658	1997-02-06	VYDAJ	PREVOD NA UCET	172	18772	\N	AB	35908234
486435	1658	1997-03-06	VYDAJ	PREVOD NA UCET	172	19902	\N	AB	35908234
486436	1658	1997-04-06	VYDAJ	PREVOD NA UCET	172	21036	\N	AB	35908234
486437	1658	1997-05-06	VYDAJ	PREVOD NA UCET	172	22175	\N	AB	35908234
486438	1658	1997-06-06	VYDAJ	PREVOD NA UCET	172	23319	\N	AB	35908234
486439	1658	1997-07-06	VYDAJ	PREVOD NA UCET	172	17303	\N	AB	35908234
486440	1658	1997-08-06	VYDAJ	PREVOD NA UCET	172	18426	\N	AB	35908234
486441	1658	1997-09-06	VYDAJ	PREVOD NA UCET	172	19554	\N	AB	35908234
486442	1658	1997-10-06	VYDAJ	PREVOD NA UCET	172	20687	\N	AB	35908234
486443	1658	1997-11-06	VYDAJ	PREVOD NA UCET	172	21825	\N	AB	35908234
486444	1658	1997-12-06	VYDAJ	PREVOD NA UCET	172	19902	\N	AB	35908234
486445	1658	1998-01-06	VYDAJ	PREVOD NA UCET	172	21036	\N	AB	35908234
486446	1658	1998-02-06	VYDAJ	PREVOD NA UCET	172	18178	\N	AB	35908234
486447	1658	1998-03-06	VYDAJ	PREVOD NA UCET	172	19304	\N	AB	35908234
486448	1658	1998-04-06	VYDAJ	PREVOD NA UCET	172	20436	\N	AB	35908234
486449	1658	1998-05-06	VYDAJ	PREVOD NA UCET	172	20192	\N	AB	35908234
486450	1658	1998-06-06	VYDAJ	PREVOD NA UCET	172	21328	\N	AB	35908234
486451	1658	1998-07-06	VYDAJ	PREVOD NA UCET	172	19914	\N	AB	35908234
486452	1658	1998-08-06	VYDAJ	PREVOD NA UCET	172	21048	\N	AB	35908234
486453	1658	1998-09-06	VYDAJ	PREVOD NA UCET	172	22186	\N	AB	35908234
486454	1658	1998-10-06	VYDAJ	PREVOD NA UCET	172	22849	\N	AB	35908234
486455	1658	1998-11-06	VYDAJ	PREVOD NA UCET	172	22553	\N	AB	35908234
486456	1658	1998-12-06	VYDAJ	PREVOD NA UCET	172	23698	\N	AB	35908234
486458	1658	1994-06-05	VYDAJ	VYBER	1260	13488	\N	\N	\N
486459	1658	1995-06-24	VYDAJ	VYBER	5820	13471	\N	\N	\N
486461	1658	1997-06-06	VYDAJ	VYBER	7140	16179	\N	\N	\N
486462	1658	1998-06-23	VYDAJ	VYBER	2550	20012	\N	\N	\N
486464	1658	1994-01-19	VYDAJ	VYBER	840	12802	\N	\N	\N
486465	1658	1995-01-19	VYDAJ	VYBER	990	17374	\N	\N	\N
486466	1658	1996-01-02	VYDAJ	VYBER	2340	15338	\N	\N	\N
486467	1658	1997-01-20	VYDAJ	VYBER	2430	19647	\N	\N	\N
486468	1658	1998-01-13	VYDAJ	VYBER	420	21250	\N	\N	\N
486469	1658	1993-12-13	VYDAJ	VYBER	720	15289	\N	\N	\N
486470	1658	1994-12-03	VYDAJ	VYBER	450	18842	\N	\N	\N
486471	1658	1995-12-24	VYDAJ	VYBER	150	17767	\N	\N	\N
486472	1658	1996-12-14	VYDAJ	VYBER	300	24139	\N	\N	\N
486473	1658	1997-12-05	VYDAJ	VYBER	210	20314	\N	\N	\N
486474	1658	1998-12-18	VYDAJ	VYBER	510	24422	\N	\N	\N
486481	1658	1994-01-08	VYDAJ	VYBER	870	16672	\N	\N	\N
486482	1658	1994-01-08	VYDAJ	VYBER	810	17542	\N	\N	\N
486483	1658	1994-01-18	VYDAJ	VYBER	330	14392	\N	\N	\N
486485	1658	1994-01-19	VYDAJ	VYBER	750	13642	\N	\N	\N
486486	1658	1994-01-22	VYDAJ	VYBER	540	12262	\N	\N	\N
486487	1658	1995-01-08	VYDAJ	VYBER	570	20794	\N	\N	\N
486488	1658	1995-01-03	VYDAJ	VYBER	300	18652	\N	\N	\N
486489	1658	1995-01-05	VYDAJ	VYBER	300	18352	\N	\N	\N
486490	1658	1995-01-23	VYDAJ	VYBER	840	16534	\N	\N	\N
486491	1658	1995-01-12	VYDAJ	VYBER	180	18664	\N	\N	\N
486492	1658	1995-01-13	VYDAJ	VYBER	300	18364	\N	\N	\N
486493	1658	1996-01-01	VYDAJ	VYBER	150	17678	\N	\N	\N
486494	1658	1996-01-15	VYDAJ	VYBER	360	13940	\N	\N	\N
486495	1658	1996-01-06	VYDAJ	VYBER	840	14498	\N	\N	\N
486496	1658	1996-01-06	VYDAJ	VYBER	360	14138	\N	\N	\N
486499	1658	1997-01-09	VYDAJ	VYBER	690	25617	\N	\N	\N
486500	1658	1997-01-28	VYDAJ	VYBER	240	18867	\N	\N	\N
486501	1658	1997-01-19	VYDAJ	VYBER	630	22077	\N	\N	\N
486502	1658	1997-01-08	VYDAJ	VYBER	720	26307	\N	\N	\N
486503	1658	1997-01-06	VYDAJ	VYBER	210	24015	\N	\N	\N
486504	1658	1997-01-24	VYDAJ	VYBER	540	19107	\N	\N	\N
486505	1658	1998-01-19	VYDAJ	VYBER	480	19630	\N	\N	\N
486506	1658	1998-01-20	VYDAJ	VYBER	210	19420	\N	\N	\N
486507	1658	1998-01-30	VYDAJ	VYBER	330	19090	\N	\N	\N
486508	1658	1998-01-30	VYDAJ	VYBER	810	18280	\N	\N	\N
486509	1658	1998-01-15	VYDAJ	VYBER	450	20800	\N	\N	\N
486510	1658	1998-01-18	VYDAJ	VYBER	690	20110	\N	\N	\N
486511	1658	1993-10-24	VYDAJ	VYBER	960	13810	\N	\N	\N
486518	1658	1994-03-19	VYDAJ	VYBER	300	12851	\N	\N	\N
486519	1658	1994-08-09	VYDAJ	VYBER	900	17821	\N	\N	\N
486520	1658	1994-03-17	VYDAJ	VYBER	780	13691	\N	\N	\N
486522	1658	1994-12-23	VYDAJ	VYBER	480	19424	\N	\N	\N
486523	1658	1994-03-17	VYDAJ	VYBER	540	13151	\N	\N	\N
486524	1658	1994-05-07	VYDAJ	VYBER	360	16651	\N	\N	\N
486525	1658	1995-04-19	VYDAJ	VYBER	1410	17046	\N	\N	\N
486526	1658	1995-02-26	VYDAJ	VYBER	1440	16216	\N	\N	\N
486527	1658	1995-01-01	VYDAJ	VYBER	540	18952	\N	\N	\N
486528	1658	1995-10-17	VYDAJ	VYBER	210	16817	\N	\N	\N
486529	1658	1995-09-11	VYDAJ	VYBER	900	15913	\N	\N	\N
486530	1658	1995-12-15	VYDAJ	VYBER	1140	17917	\N	\N	\N
486532	1658	1996-09-13	VYDAJ	VYBER	1320	21020	\N	\N	\N
486533	1658	1996-01-11	VYDAJ	VYBER	900	14300	\N	\N	\N
486534	1658	1996-07-29	VYDAJ	VYBER	570	20073	\N	\N	\N
486535	1658	1997-11-08	VYDAJ	VYBER	1140	23869	\N	\N	\N
486536	1658	1997-11-24	VYDAJ	VYBER	1470	20449	\N	\N	\N
486537	1658	1997-01-15	VYDAJ	VYBER	960	22707	\N	\N	\N
486538	1658	1997-12-05	VYDAJ	VYBER	240	20074	\N	\N	\N
486539	1658	1998-01-09	VYDAJ	VYBER	600	23620	\N	\N	\N
486540	1658	1998-09-22	VYDAJ	VYBER	480	22940	\N	\N	\N
486541	1658	1998-05-05	VYDAJ	VYBER	1380	20364	\N	\N	\N
486542	1658	1998-10-26	VYDAJ	VYBER	1440	22643	\N	\N	\N
486553	1658	1993-10-31	VYDAJ	VYBER	15	13838	SLUZBY	\N	\N
486554	1658	1993-11-30	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
486555	1658	1993-12-31	VYDAJ	VYBER	15	15340	SLUZBY	\N	\N
486556	1658	1994-01-31	VYDAJ	VYBER	15	12306	SLUZBY	\N	\N
486557	1658	1994-02-28	VYDAJ	VYBER	15	13409	SLUZBY	\N	\N
486558	1658	1994-03-31	VYDAJ	VYBER	15	12894	SLUZBY	\N	\N
486559	1658	1994-04-30	VYDAJ	VYBER	15	13999	SLUZBY	\N	\N
486560	1658	1994-05-31	VYDAJ	VYBER	15	14748	SLUZBY	\N	\N
486561	1658	1994-06-30	VYDAJ	VYBER	15	14597	SLUZBY	\N	\N
486562	1658	1994-07-31	VYDAJ	VYBER	15	15709	SLUZBY	\N	\N
486563	1658	1994-08-31	VYDAJ	VYBER	15	15924	SLUZBY	\N	\N
486564	1658	1994-09-30	VYDAJ	VYBER	15	17042	SLUZBY	\N	\N
486565	1658	1994-10-31	VYDAJ	VYBER	15	18165	SLUZBY	\N	\N
486566	1658	1994-11-30	VYDAJ	VYBER	15	19292	SLUZBY	\N	\N
486567	1658	1994-12-31	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
486568	1658	1995-01-31	VYDAJ	VYBER	15	16594	SLUZBY	\N	\N
486569	1658	1995-02-28	VYDAJ	VYBER	15	16275	SLUZBY	\N	\N
486570	1658	1995-03-31	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
486571	1658	1995-04-30	VYDAJ	VYBER	15	17106	SLUZBY	\N	\N
486572	1658	1995-05-31	VYDAJ	VYBER	15	18229	SLUZBY	\N	\N
486573	1658	1995-06-30	VYDAJ	VYBER	15	13530	SLUZBY	\N	\N
486574	1658	1995-07-31	VYDAJ	VYBER	15	14638	SLUZBY	\N	\N
486575	1658	1995-08-31	VYDAJ	VYBER	15	15751	SLUZBY	\N	\N
486576	1658	1995-09-30	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
486577	1658	1995-10-31	VYDAJ	VYBER	15	16873	SLUZBY	\N	\N
486578	1658	1995-11-30	VYDAJ	VYBER	15	17995	SLUZBY	\N	\N
486579	1658	1995-12-31	VYDAJ	VYBER	15	17828	SLUZBY	\N	\N
486580	1658	1996-01-31	VYDAJ	VYBER	15	13986	SLUZBY	\N	\N
486581	1658	1996-02-29	VYDAJ	VYBER	15	15096	SLUZBY	\N	\N
486582	1658	1996-03-31	VYDAJ	VYBER	15	16210	SLUZBY	\N	\N
486583	1658	1996-04-30	VYDAJ	VYBER	15	17329	SLUZBY	\N	\N
486584	1658	1996-05-31	VYDAJ	VYBER	15	18453	SLUZBY	\N	\N
486585	1658	1996-06-30	VYDAJ	VYBER	15	19581	SLUZBY	\N	\N
486586	1658	1996-07-31	VYDAJ	VYBER	15	20143	SLUZBY	\N	\N
486587	1658	1996-08-31	VYDAJ	VYBER	15	21278	SLUZBY	\N	\N
486588	1658	1996-09-30	VYDAJ	VYBER	15	21095	SLUZBY	\N	\N
486589	1658	1996-10-31	VYDAJ	VYBER	15	22234	SLUZBY	\N	\N
486590	1658	1996-11-30	VYDAJ	VYBER	15	23377	SLUZBY	\N	\N
486591	1658	1996-12-31	VYDAJ	VYBER	15	24225	SLUZBY	\N	\N
486592	1658	1997-01-31	VYDAJ	VYBER	15	18944	SLUZBY	\N	\N
486593	1658	1997-02-28	VYDAJ	VYBER	15	20074	SLUZBY	\N	\N
486594	1658	1997-03-31	VYDAJ	VYBER	15	21208	SLUZBY	\N	\N
486595	1658	1997-04-30	VYDAJ	VYBER	15	22347	SLUZBY	\N	\N
486596	1658	1997-05-31	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
486597	1658	1997-06-30	VYDAJ	VYBER	15	17475	SLUZBY	\N	\N
486598	1658	1997-07-31	VYDAJ	VYBER	15	18598	SLUZBY	\N	\N
486599	1658	1997-08-31	VYDAJ	VYBER	15	19726	SLUZBY	\N	\N
486600	1658	1997-09-30	VYDAJ	VYBER	15	20859	SLUZBY	\N	\N
486601	1658	1997-10-31	VYDAJ	VYBER	15	21997	SLUZBY	\N	\N
486602	1658	1997-11-30	VYDAJ	VYBER	15	20524	SLUZBY	\N	\N
486603	1658	1997-12-31	VYDAJ	VYBER	15	21208	SLUZBY	\N	\N
486604	1658	1998-01-31	VYDAJ	VYBER	15	18350	SLUZBY	\N	\N
486605	1658	1998-02-28	VYDAJ	VYBER	15	19476	SLUZBY	\N	\N
486606	1658	1998-03-31	VYDAJ	VYBER	15	20608	SLUZBY	\N	\N
486607	1658	1998-04-30	VYDAJ	VYBER	15	21744	SLUZBY	\N	\N
486608	1658	1998-05-31	VYDAJ	VYBER	15	21500	SLUZBY	\N	\N
486609	1658	1998-06-30	VYDAJ	VYBER	15	20086	SLUZBY	\N	\N
486610	1658	1998-07-31	VYDAJ	VYBER	15	21220	SLUZBY	\N	\N
486611	1658	1998-08-31	VYDAJ	VYBER	15	22358	SLUZBY	\N	\N
486612	1658	1998-09-30	VYDAJ	VYBER	15	23021	SLUZBY	\N	\N
486613	1658	1998-10-31	VYDAJ	VYBER	15	22725	SLUZBY	\N	\N
486614	1658	1998-11-30	VYDAJ	VYBER	15	23870	SLUZBY	\N	\N
486678	1659	1996-12-25	PRIJEM	VKLAD	400	400	\N	\N	\N
486691	1659	1997-01-10	PRIJEM	PREVOD Z UCTU	5887	6287	DUCHOD	CD	40117204
486692	1659	1997-02-10	PRIJEM	PREVOD Z UCTU	5887	12174	DUCHOD	CD	40117204
486693	1659	1997-03-10	PRIJEM	PREVOD Z UCTU	5887	18061	DUCHOD	CD	40117204
486694	1659	1997-04-10	PRIJEM	PREVOD Z UCTU	5887	23948	DUCHOD	CD	40117204
486695	1659	1997-05-10	PRIJEM	PREVOD Z UCTU	5887	29835	DUCHOD	CD	40117204
486696	1659	1997-06-10	PRIJEM	PREVOD Z UCTU	5887	26727	DUCHOD	CD	40117204
486697	1659	1997-07-10	PRIJEM	PREVOD Z UCTU	5887	18537	DUCHOD	CD	40117204
486698	1659	1997-08-10	PRIJEM	PREVOD Z UCTU	5887	21676	DUCHOD	CD	40117204
486699	1659	1997-09-10	PRIJEM	PREVOD Z UCTU	5887	24829	DUCHOD	CD	40117204
486700	1659	1997-10-10	PRIJEM	PREVOD Z UCTU	5887	27995	DUCHOD	CD	40117204
486701	1659	1997-11-10	PRIJEM	PREVOD Z UCTU	5887	27492	DUCHOD	CD	40117204
486702	1659	1997-12-10	PRIJEM	PREVOD Z UCTU	5887	30669	DUCHOD	CD	40117204
486703	1659	1998-01-10	PRIJEM	PREVOD Z UCTU	5887	32818	DUCHOD	CD	40117204
486704	1659	1998-02-10	PRIJEM	PREVOD Z UCTU	5887	27730	DUCHOD	CD	40117204
486705	1659	1998-03-10	PRIJEM	PREVOD Z UCTU	5887	30908	DUCHOD	CD	40117204
486706	1659	1998-04-10	PRIJEM	PREVOD Z UCTU	5887	34099	DUCHOD	CD	40117204
486707	1659	1998-05-10	PRIJEM	PREVOD Z UCTU	5887	35100	DUCHOD	CD	40117204
486708	1659	1998-06-10	PRIJEM	PREVOD Z UCTU	5887	34541	DUCHOD	CD	40117204
486709	1659	1998-07-10	PRIJEM	PREVOD Z UCTU	5887	30377	DUCHOD	CD	40117204
486710	1659	1998-08-10	PRIJEM	PREVOD Z UCTU	5887	33566	DUCHOD	CD	40117204
486711	1659	1998-09-10	PRIJEM	PREVOD Z UCTU	5887	36769	DUCHOD	CD	40117204
486712	1659	1998-10-10	PRIJEM	PREVOD Z UCTU	5887	39183	DUCHOD	CD	40117204
486713	1659	1998-11-10	PRIJEM	PREVOD Z UCTU	5887	40404	DUCHOD	CD	40117204
486714	1659	1998-12-10	PRIJEM	PREVOD Z UCTU	5887	43154	DUCHOD	CD	40117204
486732	1659	1997-06-07	VYDAJ	PREVOD NA UCET	2806	20840	SIPO	QR	20080882
486733	1659	1997-07-07	VYDAJ	PREVOD NA UCET	2806	12650	SIPO	QR	20080882
486734	1659	1997-08-07	VYDAJ	PREVOD NA UCET	2806	15789	SIPO	QR	20080882
486735	1659	1997-09-07	VYDAJ	PREVOD NA UCET	2806	18942	SIPO	QR	20080882
486736	1659	1997-10-07	VYDAJ	PREVOD NA UCET	2806	22108	SIPO	QR	20080882
486737	1659	1997-11-07	VYDAJ	PREVOD NA UCET	2806	21605	SIPO	QR	20080882
486738	1659	1997-12-07	VYDAJ	PREVOD NA UCET	2806	24782	SIPO	QR	20080882
486739	1659	1998-01-07	VYDAJ	PREVOD NA UCET	2806	26931	SIPO	QR	20080882
486740	1659	1998-02-07	VYDAJ	PREVOD NA UCET	2806	21843	SIPO	QR	20080882
486741	1659	1998-03-07	VYDAJ	PREVOD NA UCET	2806	25021	SIPO	QR	20080882
486742	1659	1998-04-07	VYDAJ	PREVOD NA UCET	2806	28212	SIPO	QR	20080882
486743	1659	1998-05-07	VYDAJ	PREVOD NA UCET	2806	29213	SIPO	QR	20080882
486744	1659	1998-06-07	VYDAJ	PREVOD NA UCET	2806	28654	SIPO	QR	20080882
486745	1659	1998-07-07	VYDAJ	PREVOD NA UCET	2806	24490	SIPO	QR	20080882
486746	1659	1998-08-07	VYDAJ	PREVOD NA UCET	2806	27679	SIPO	QR	20080882
486747	1659	1998-09-07	VYDAJ	PREVOD NA UCET	2806	30882	SIPO	QR	20080882
486748	1659	1998-10-07	VYDAJ	PREVOD NA UCET	2806	33296	SIPO	QR	20080882
486749	1659	1998-11-07	VYDAJ	PREVOD NA UCET	2806	34517	SIPO	QR	20080882
486750	1659	1998-12-07	VYDAJ	PREVOD NA UCET	2806	37267	SIPO	QR	20080882
486752	1659	1997-06-22	VYDAJ	VYBER	11350	15377	\N	\N	\N
486753	1659	1998-06-11	VYDAJ	VYBER	7350	27191	\N	\N	\N
486756	1659	1998-01-15	VYDAJ	VYBER	3550	27188	\N	\N	\N
486758	1659	1997-12-16	VYDAJ	VYBER	400	30269	\N	\N	\N
486759	1659	1998-12-24	VYDAJ	VYBER	550	36324	\N	\N	\N
486772	1659	1998-01-20	VYDAJ	VYBER	640	25348	\N	\N	\N
486773	1659	1998-01-30	VYDAJ	VYBER	800	24548	\N	\N	\N
486774	1659	1998-01-14	VYDAJ	VYBER	720	30738	\N	\N	\N
486775	1659	1998-01-13	VYDAJ	VYBER	1360	31458	\N	\N	\N
486776	1659	1998-01-16	VYDAJ	VYBER	1200	25988	\N	\N	\N
486777	1659	1998-01-03	VYDAJ	VYBER	640	29737	\N	\N	\N
486786	1659	1997-10-29	VYDAJ	VYBER	2080	24315	\N	\N	\N
486787	1659	1998-11-29	VYDAJ	VYBER	480	39924	\N	\N	\N
486788	1659	1998-05-17	VYDAJ	VYBER	3760	31340	\N	\N	\N
486789	1659	1998-12-16	VYDAJ	VYBER	480	36874	\N	\N	\N
486790	1659	1998-12-29	VYDAJ	VYBER	3440	32884	\N	\N	\N
486808	1659	1997-05-31	VYDAJ	VYBER	15	23646	SLUZBY	\N	\N
486809	1659	1997-06-30	VYDAJ	VYBER	15	15456	SLUZBY	\N	\N
486810	1659	1997-07-31	VYDAJ	VYBER	15	18595	SLUZBY	\N	\N
486811	1659	1997-08-31	VYDAJ	VYBER	15	21748	SLUZBY	\N	\N
486812	1659	1997-09-30	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
486813	1659	1997-10-31	VYDAJ	VYBER	15	24411	SLUZBY	\N	\N
486814	1659	1997-11-30	VYDAJ	VYBER	15	27588	SLUZBY	\N	\N
486815	1659	1997-12-31	VYDAJ	VYBER	15	30377	SLUZBY	\N	\N
486816	1659	1998-01-31	VYDAJ	VYBER	15	24649	SLUZBY	\N	\N
486817	1659	1998-02-28	VYDAJ	VYBER	15	27827	SLUZBY	\N	\N
486818	1659	1998-03-31	VYDAJ	VYBER	15	31018	SLUZBY	\N	\N
486819	1659	1998-04-30	VYDAJ	VYBER	15	32019	SLUZBY	\N	\N
486820	1659	1998-05-31	VYDAJ	VYBER	15	31460	SLUZBY	\N	\N
486821	1659	1998-06-30	VYDAJ	VYBER	15	27296	SLUZBY	\N	\N
486822	1659	1998-07-31	VYDAJ	VYBER	15	30485	SLUZBY	\N	\N
486823	1659	1998-08-31	VYDAJ	VYBER	15	33688	SLUZBY	\N	\N
486824	1659	1998-09-30	VYDAJ	VYBER	15	36102	SLUZBY	\N	\N
486825	1659	1998-10-31	VYDAJ	VYBER	15	37323	SLUZBY	\N	\N
486826	1659	1998-11-30	VYDAJ	VYBER	15	40073	SLUZBY	\N	\N
486827	1659	1997-05-24	VYDAJ	VYBER	6200	23635	\N	\N	\N
486828	1659	1997-10-21	VYDAJ	VYBER	1600	26395	\N	\N	\N
486829	1659	1998-04-19	VYDAJ	VYBER	2200	31899	\N	\N	\N
486830	1659	1998-09-16	VYDAJ	VYBER	800	35969	\N	\N	\N
486831	1659	1998-10-16	VYDAJ	VYBER	2000	37183	\N	\N	\N
486832	1659	1998-12-15	VYDAJ	VYBER	5800	37354	\N	\N	\N
486853	1660	1995-09-22	PRIJEM	VKLAD	600	600	\N	\N	\N
486855	1660	1995-12-03	PRIJEM	VKLAD	5456	40572	\N	\N	\N
486862	1660	1995-09-27	PRIJEM	VKLAD	38112	38712	\N	\N	\N
486866	1660	1995-10-24	PRIJEM	VKLAD	17605	49239	\N	\N	\N
486868	1660	1996-01-03	PRIJEM	VKLAD	44491	78546	\N	\N	\N
486869	1660	1996-08-15	PRIJEM	VKLAD	47205	63524	\N	\N	\N
486870	1660	1996-05-31	PRIJEM	VKLAD	41809	56293	\N	\N	\N
486871	1660	1996-03-08	PRIJEM	VKLAD	17291	52710	\N	\N	\N
486872	1660	1997-08-15	PRIJEM	VKLAD	24816	76840	\N	\N	\N
486873	1660	1997-03-20	PRIJEM	VKLAD	10066	48274	\N	\N	\N
486874	1660	1997-11-28	PRIJEM	VKLAD	10752	97650	\N	\N	\N
486875	1660	1997-11-06	PRIJEM	VKLAD	25288	99479	\N	\N	\N
486876	1660	1997-01-16	PRIJEM	VKLAD	28854	36284	\N	\N	\N
486877	1660	1997-11-13	PRIJEM	VKLAD	18156	80335	\N	\N	\N
486878	1660	1997-09-26	PRIJEM	VKLAD	9250	45161	\N	\N	\N
486879	1660	1997-11-18	PRIJEM	VKLAD	17963	98298	\N	\N	\N
486880	1660	1997-08-11	PRIJEM	VKLAD	18696	78224	\N	\N	\N
486881	1660	1997-07-10	PRIJEM	VKLAD	23635	94777	\N	\N	\N
486882	1660	1997-06-28	PRIJEM	VKLAD	30652	70909	\N	\N	\N
486883	1660	1997-05-28	PRIJEM	VKLAD	49434	97870	\N	\N	\N
486884	1660	1997-01-04	PRIJEM	VKLAD	21610	26830	\N	\N	\N
486885	1660	1997-04-27	PRIJEM	VKLAD	46915	76062	\N	\N	\N
486886	1660	1997-06-04	PRIJEM	VKLAD	33672	131857	\N	\N	\N
486887	1660	1997-09-10	PRIJEM	VKLAD	18122	118611	\N	\N	\N
486888	1660	1997-09-09	PRIJEM	VKLAD	23379	100489	\N	\N	\N
486889	1660	1997-04-15	PRIJEM	VKLAD	5049	35747	\N	\N	\N
486890	1660	1997-10-20	PRIJEM	VKLAD	36789	73971	\N	\N	\N
486891	1660	1997-02-27	PRIJEM	VKLAD	45338	62895	\N	\N	\N
486892	1660	1998-12-24	PRIJEM	VKLAD	21303	106590	\N	\N	\N
486893	1660	1998-01-07	PRIJEM	VKLAD	43095	90650	\N	\N	\N
486894	1660	1998-12-13	PRIJEM	VKLAD	23504	85287	\N	\N	\N
486895	1660	1998-07-15	PRIJEM	VKLAD	43236	87172	\N	\N	\N
486896	1660	1998-12-09	PRIJEM	VKLAD	27786	61783	\N	\N	\N
486897	1660	1998-02-18	PRIJEM	VKLAD	18862	49196	\N	\N	\N
486898	1660	1998-07-22	PRIJEM	VKLAD	7245	107149	\N	\N	\N
486899	1660	1998-11-19	PRIJEM	VKLAD	48471	63648	\N	\N	\N
486900	1660	1998-02-20	PRIJEM	VKLAD	44008	93204	\N	\N	\N
486901	1660	1998-06-15	PRIJEM	VKLAD	21820	48797	\N	\N	\N
486902	1660	1998-04-09	PRIJEM	VKLAD	6494	90026	\N	\N	\N
486903	1660	1998-09-22	PRIJEM	VKLAD	20309	85784	\N	\N	\N
486904	1660	1998-07-19	PRIJEM	VKLAD	47932	135104	\N	\N	\N
486905	1660	1998-09-13	PRIJEM	VKLAD	33624	65475	\N	\N	\N
486906	1660	1998-08-06	PRIJEM	VKLAD	36126	143557	\N	\N	\N
486907	1660	1998-08-20	PRIJEM	VKLAD	47628	114685	\N	\N	\N
486908	1660	1998-05-04	PRIJEM	VKLAD	29471	79206	\N	\N	\N
486909	1660	1998-06-05	PRIJEM	VKLAD	8502	30777	\N	\N	\N
486910	1660	1998-07-02	PRIJEM	VKLAD	44220	70636	\N	\N	\N
486911	1660	1998-04-06	PRIJEM	VKLAD	23136	83532	\N	\N	\N
486971	1660	1996-09-21	VYBER	VYBER	8719	3821	\N	\N	\N
486972	1660	1996-04-20	VYBER	VYBER	12776	12626	\N	\N	\N
486973	1660	1996-10-20	VYBER	VYBER	2886	4798	\N	\N	\N
486974	1660	1996-07-21	VYBER	VYBER	13791	16205	\N	\N	\N
486976	1660	1996-04-03	VYBER	VYBER	2178	34202	\N	\N	\N
486978	1660	1996-09-12	VYBER	VYBER	14481	10740	\N	\N	\N
486982	1660	1998-12-04	VYBER	VYBER	5940	57897	\N	\N	\N
486985	1660	1997-06-06	VYDAJ	VYBER	47100	64857	\N	\N	\N
486986	1660	1998-06-24	VYDAJ	VYBER	22500	26297	\N	\N	\N
486988	1660	1996-12-21	VYDAJ	VYBER	2700	5206	\N	\N	\N
486989	1660	1997-12-28	VYDAJ	VYBER	4800	54985	\N	\N	\N
486990	1660	1998-12-06	VYDAJ	VYBER KARTOU	3600	33997	\N	\N	0
487003	1660	1997-01-05	VYDAJ	VYBER	6300	16330	\N	\N	\N
487004	1660	1997-01-18	VYDAJ	VYBER	3300	30284	\N	\N	\N
487005	1660	1997-01-10	VYDAJ	VYBER	3000	11830	\N	\N	\N
487006	1660	1997-01-16	VYDAJ	VYBER	2700	33584	\N	\N	\N
487007	1660	1997-01-05	VYDAJ	VYBER	4200	22630	\N	\N	\N
487008	1660	1997-01-28	VYDAJ	VYBER	2100	28184	\N	\N	\N
487009	1660	1998-01-15	VYDAJ	VYBER	8400	49050	\N	\N	\N
487010	1660	1998-01-18	VYDAJ	VYBER KARTOU	3900	38850	\N	\N	0
487011	1660	1998-01-01	VYDAJ	VYBER KARTOU	2100	53255	\N	\N	0
487012	1660	1998-01-02	VYDAJ	VYBER KARTOU	1500	51755	\N	\N	0
487013	1660	1998-01-17	VYDAJ	VYBER	6300	42750	\N	\N	\N
487014	1660	1998-01-07	VYDAJ	VYBER	6600	84050	\N	\N	\N
487020	1660	1996-09-09	VYDAJ	VYBER	12600	25221	\N	\N	\N
487021	1660	1996-12-13	VYDAJ	VYBER	3000	4906	\N	\N	\N
487023	1660	1997-09-21	VYDAJ	VYBER	12600	35911	\N	\N	\N
487025	1660	1997-01-06	VYDAJ	VYBER	1500	14830	\N	\N	\N
487026	1660	1997-04-07	VYDAJ	VYBER	4200	44298	\N	\N	\N
487027	1660	1997-04-22	VYDAJ	VYBER	6600	29147	\N	\N	\N
487028	1660	1997-11-27	VYDAJ	VYBER	11400	86898	\N	\N	\N
487029	1660	1998-07-21	VYDAJ	VYBER KARTOU	3900	99904	\N	\N	0
487030	1660	1998-09-06	VYDAJ	VYBER	12000	31851	\N	\N	\N
487031	1660	1998-01-02	VYDAJ	VYBER	4200	47555	\N	\N	\N
487032	1660	1998-11-14	VYDAJ	VYBER	12900	15177	\N	\N	\N
487033	1660	1998-05-27	VYDAJ	VYBER	13800	33206	\N	\N	\N
487034	1660	1998-04-14	VYDAJ	VYBER	8400	49526	\N	\N	\N
487035	1660	1998-05-29	VYDAJ	VYBER	11100	22106	\N	\N	\N
487051	1660	1996-03-31	VYDAJ	VYBER	15	36380	SLUZBY	\N	\N
487052	1660	1996-04-30	VYDAJ	VYBER	15	12725	SLUZBY	\N	\N
487053	1660	1996-05-31	VYDAJ	VYBER	15	56278	SLUZBY	\N	\N
487054	1660	1996-06-30	VYDAJ	VYBER	15	39196	SLUZBY	\N	\N
487055	1660	1996-07-31	VYDAJ	VYBER	15	16319	SLUZBY	\N	\N
487056	1660	1996-08-31	VYDAJ	VYBER	15	37821	SLUZBY	\N	\N
487057	1660	1996-09-30	VYDAJ	VYBER	15	3884	SLUZBY	\N	\N
487058	1660	1996-10-31	VYDAJ	VYBER	15	4801	SLUZBY	\N	\N
487059	1660	1996-11-30	VYDAJ	VYBER	15	7906	SLUZBY	\N	\N
487060	1660	1996-12-31	VYDAJ	VYBER	15	5220	SLUZBY	\N	\N
487061	1660	1997-01-31	VYDAJ	VYBER	15	28257	SLUZBY	\N	\N
487062	1660	1997-02-28	VYDAJ	VYBER	15	63008	SLUZBY	\N	\N
487063	1660	1997-03-31	VYDAJ	VYBER	15	48498	SLUZBY	\N	\N
487064	1660	1997-04-30	VYDAJ	VYBER	15	76236	SLUZBY	\N	\N
487065	1660	1997-05-31	VYDAJ	VYBER	15	98185	SLUZBY	\N	\N
487066	1660	1997-06-30	VYDAJ	VYBER	15	71142	SLUZBY	\N	\N
487067	1660	1997-07-31	VYDAJ	VYBER	15	59528	SLUZBY	\N	\N
487068	1660	1997-08-31	VYDAJ	VYBER	15	77110	SLUZBY	\N	\N
487069	1660	1997-09-30	VYDAJ	VYBER	15	45382	SLUZBY	\N	\N
487070	1660	1997-10-31	VYDAJ	VYBER	15	74191	SLUZBY	\N	\N
487071	1660	1997-11-30	VYDAJ	VYBER	15	97985	SLUZBY	\N	\N
487072	1660	1997-12-31	VYDAJ	VYBER	15	55355	SLUZBY	\N	\N
487073	1660	1998-01-31	VYDAJ	VYBER	15	39034	SLUZBY	\N	\N
487074	1660	1998-02-28	VYDAJ	VYBER	15	93427	SLUZBY	\N	\N
487075	1660	1998-03-31	VYDAJ	VYBER	15	60396	SLUZBY	\N	\N
487076	1660	1998-04-30	VYDAJ	VYBER	15	49735	SLUZBY	\N	\N
487077	1660	1998-05-31	VYDAJ	VYBER	15	22275	SLUZBY	\N	\N
487078	1660	1998-06-30	VYDAJ	VYBER	15	26416	SLUZBY	\N	\N
487079	1660	1998-07-31	VYDAJ	VYBER	15	107431	SLUZBY	\N	\N
487080	1660	1998-08-31	VYDAJ	VYBER	15	59351	SLUZBY	\N	\N
487081	1660	1998-09-30	VYDAJ	VYBER	15	86041	SLUZBY	\N	\N
487082	1660	1998-10-31	VYDAJ	VYBER	15	49377	SLUZBY	\N	\N
487083	1660	1998-11-30	VYDAJ	VYBER	15	63837	SLUZBY	\N	\N
487084	1660	1995-10-22	VYDAJ	VYBER	7100	31634	\N	\N	\N
487085	1660	1995-11-21	VYDAJ	VYBER	14500	34911	\N	\N	\N
487086	1660	1995-12-21	VYDAJ	VYBER	6700	33872	\N	\N	\N
487087	1660	1996-01-20	VYDAJ	VYBER	29000	49546	\N	\N	\N
487088	1660	1996-02-19	VYDAJ	VYBER	14500	35212	\N	\N	\N
487089	1660	1996-03-20	VYDAJ	VYBER	16500	36210	\N	\N	\N
487090	1660	1996-04-19	VYDAJ	VYBER	8800	25402	\N	\N	\N
487091	1660	1996-05-19	PRIJEM	VKLAD	1700	14425	\N	\N	\N
487092	1660	1996-06-18	VYDAJ	VYBER	17300	38978	\N	\N	\N
487093	1660	1996-07-18	VYDAJ	VYBER	9200	29996	\N	\N	\N
487094	1660	1996-08-17	VYDAJ	VYBER	25800	37724	\N	\N	\N
487095	1660	1996-09-16	PRIJEM	VKLAD	1800	12540	\N	\N	\N
487096	1660	1996-10-16	PRIJEM	VKLAD	3800	7684	\N	\N	\N
487097	1660	1996-11-15	PRIJEM	VKLAD	3100	7901	\N	\N	\N
487098	1660	1996-12-15	PRIJEM	VKLAD	3000	7906	\N	\N	\N
487099	1660	1997-01-14	VYDAJ	VYBER	4400	7430	\N	\N	\N
487100	1660	1997-02-13	VYDAJ	VYBER	10700	17557	\N	\N	\N
487101	1660	1997-03-15	VYDAJ	VYBER	24800	38208	\N	\N	\N
487102	1660	1997-04-14	VYDAJ	VYBER	13600	30698	\N	\N	\N
487103	1660	1997-05-14	VYDAJ	VYBER	27800	48436	\N	\N	\N
487104	1660	1997-06-04	VYDAJ	VYBER	19900	111957	\N	\N	\N
487105	1660	1997-06-13	VYDAJ	VYBER	24600	40257	\N	\N	\N
487106	1660	1997-07-13	VYDAJ	VYBER	35500	59277	\N	\N	\N
487107	1660	1997-08-12	VYDAJ	VYBER	26200	52024	\N	\N	\N
487108	1660	1997-09-10	VYDAJ	VYBER	43500	75111	\N	\N	\N
487109	1660	1997-09-11	VYDAJ	VYBER	26600	48511	\N	\N	\N
487110	1660	1997-10-11	VYDAJ	VYBER	8200	37182	\N	\N	\N
487111	1660	1997-11-10	VYDAJ	VYBER	37300	62179	\N	\N	\N
487112	1660	1997-12-10	VYDAJ	VYBER	38200	59785	\N	\N	\N
487113	1660	1998-01-09	VYDAJ	VYBER	26600	57450	\N	\N	\N
487114	1660	1998-02-08	VYDAJ	VYBER	8700	30334	\N	\N	\N
487115	1660	1998-03-10	VYDAJ	VYBER	33400	60027	\N	\N	\N
487116	1660	1998-04-09	VYDAJ	VYBER	32100	57926	\N	\N	\N
487117	1660	1998-05-09	VYDAJ	VYBER	32200	47006	\N	\N	\N
487118	1660	1998-06-08	VYDAJ	VYBER KARTOU	3800	26977	\N	\N	0
487119	1660	1998-07-08	VYDAJ	VYBER	26700	43936	\N	\N	\N
487120	1660	1998-07-19	VYDAJ	VYBER	31300	103804	\N	\N	\N
487121	1660	1998-08-06	VYDAJ	VYBER	29300	114257	\N	\N	\N
487122	1660	1998-08-07	VYDAJ	VYBER	47200	67057	\N	\N	\N
487123	1660	1998-08-20	VYDAJ	VYBER	55700	58985	\N	\N	\N
487124	1660	1998-09-06	VYDAJ	VYBER	15500	43851	\N	\N	\N
487125	1660	1998-10-06	VYDAJ	VYBER	37000	49041	\N	\N	\N
487126	1660	1998-11-05	VYDAJ	VYBER	21300	28077	\N	\N	\N
487127	1660	1998-12-05	VYDAJ	VYBER	20300	37597	\N	\N	\N
487505	1662	1997-08-11	PRIJEM	VKLAD	200	200	\N	\N	\N
487513	1662	1997-08-12	PRIJEM	VKLAD	21914	22114	\N	\N	\N
487514	1662	1997-09-12	PRIJEM	VKLAD	21914	43887	\N	\N	\N
487515	1662	1997-10-12	PRIJEM	VKLAD	21914	54651	\N	\N	\N
487516	1662	1997-11-12	PRIJEM	VKLAD	21914	62677	\N	\N	\N
487517	1662	1997-12-12	PRIJEM	VKLAD	32871	77497	\N	\N	\N
487518	1662	1998-01-12	PRIJEM	VKLAD	21914	64869	\N	\N	\N
487519	1662	1998-02-12	PRIJEM	VKLAD	21914	56591	\N	\N	\N
487520	1662	1998-03-12	PRIJEM	VKLAD	21914	56583	\N	\N	\N
487521	1662	1998-04-12	PRIJEM	VKLAD	21914	55383	\N	\N	\N
487522	1662	1998-05-12	PRIJEM	VKLAD	21914	58976	\N	\N	\N
487523	1662	1998-06-12	PRIJEM	VKLAD	32871	75537	\N	\N	\N
487524	1662	1998-07-12	PRIJEM	VKLAD	21914	73283	\N	\N	\N
487525	1662	1998-08-12	PRIJEM	VKLAD	21914	68346	\N	\N	\N
487526	1662	1998-09-12	PRIJEM	VKLAD	21914	64288	\N	\N	\N
487527	1662	1998-10-12	PRIJEM	VKLAD	21914	61320	\N	\N	\N
487528	1662	1998-11-12	PRIJEM	VKLAD	21914	55138	\N	\N	\N
487529	1662	1998-12-12	PRIJEM	VKLAD	32871	58180	\N	\N	\N
487542	1662	1998-01-05	VYDAJ	PREVOD NA UCET	9626	65455	SIPO	UV	28918445
487543	1662	1998-02-05	VYDAJ	PREVOD NA UCET	9626	45577	SIPO	UV	28918445
487544	1662	1998-03-05	VYDAJ	PREVOD NA UCET	9626	47169	SIPO	UV	28918445
487545	1662	1998-04-05	VYDAJ	PREVOD NA UCET	9626	47169	SIPO	UV	28918445
487546	1662	1998-05-05	VYDAJ	PREVOD NA UCET	9626	45962	SIPO	UV	28918445
487547	1662	1998-06-05	VYDAJ	PREVOD NA UCET	9626	49566	SIPO	UV	28918445
487548	1662	1998-07-05	VYDAJ	PREVOD NA UCET	9626	62069	SIPO	UV	28918445
487549	1662	1998-08-05	VYDAJ	PREVOD NA UCET	9626	62532	SIPO	UV	28918445
487550	1662	1998-09-05	VYDAJ	PREVOD NA UCET	9626	58974	SIPO	UV	28918445
487551	1662	1998-10-05	VYDAJ	PREVOD NA UCET	9626	39406	SIPO	UV	28918445
487552	1662	1998-11-05	VYDAJ	PREVOD NA UCET	9626	33224	SIPO	UV	28918445
487553	1662	1998-12-05	VYDAJ	PREVOD NA UCET	9626	25309	SIPO	UV	28918445
487555	1662	1998-06-21	VYDAJ	VYBER	4100	71437	\N	\N	\N
487557	1662	1998-01-07	VYDAJ	VYBER	4900	60555	\N	\N	\N
487558	1662	1997-12-17	VYDAJ	VYBER	1100	76397	\N	\N	\N
487559	1662	1998-12-17	VYDAJ	VYBER KARTOU	1700	56480	\N	\N	0
487566	1662	1998-01-28	VYDAJ	VYBER	900	55669	\N	\N	\N
487567	1662	1998-01-01	VYDAJ	VYBER	1100	75581	\N	\N	\N
487568	1662	1998-01-02	VYDAJ	VYBER	500	75081	\N	\N	\N
487569	1662	1998-01-28	VYDAJ	VYBER	700	54969	\N	\N	\N
487570	1662	1998-01-17	VYDAJ	VYBER	1300	61369	\N	\N	\N
487571	1662	1998-01-12	VYDAJ	VYBER	2200	62669	\N	\N	\N
487577	1662	1998-08-01	VYDAJ	VYBER KARTOU	1400	72158	\N	\N	0
487578	1662	1998-09-09	VYDAJ	VYBER KARTOU	1300	42374	\N	\N	0
487579	1662	1998-01-23	VYDAJ	VYBER	4800	56569	\N	\N	\N
487580	1662	1998-12-05	VYDAJ	VYBER KARTOU	3300	34935	\N	\N	0
487593	1662	1997-12-31	VYDAJ	VYBER	15	76681	SLUZBY	\N	\N
487594	1662	1998-01-31	VYDAJ	VYBER	15	55203	SLUZBY	\N	\N
487595	1662	1998-02-28	VYDAJ	VYBER	15	56795	SLUZBY	\N	\N
487596	1662	1998-03-31	VYDAJ	VYBER	15	56795	SLUZBY	\N	\N
487597	1662	1998-04-30	VYDAJ	VYBER	15	55588	SLUZBY	\N	\N
487598	1662	1998-05-31	VYDAJ	VYBER	15	59192	SLUZBY	\N	\N
487599	1662	1998-06-30	VYDAJ	VYBER	15	71695	SLUZBY	\N	\N
487600	1662	1998-07-31	VYDAJ	VYBER	15	73558	SLUZBY	\N	\N
487601	1662	1998-08-31	VYDAJ	VYBER	15	68600	SLUZBY	\N	\N
487602	1662	1998-09-30	VYDAJ	VYBER	15	64532	SLUZBY	\N	\N
487603	1662	1998-10-31	VYDAJ	VYBER	15	61550	SLUZBY	\N	\N
487604	1662	1998-11-30	VYDAJ	VYBER	15	55335	SLUZBY	\N	\N
487605	1662	1997-09-10	VYDAJ	VYBER	200	21973	\N	\N	\N
487606	1662	1997-10-10	VYDAJ	VYBER	11300	32737	\N	\N	\N
487607	1662	1997-11-09	VYDAJ	VYBER	14100	40763	\N	\N	\N
487608	1662	1997-12-09	VYDAJ	VYBER	18300	44626	\N	\N	\N
487609	1662	1998-01-08	VYDAJ	VYBER	17600	42955	\N	\N	\N
487610	1662	1998-02-07	VYDAJ	VYBER	10900	34677	\N	\N	\N
487611	1662	1998-03-09	VYDAJ	VYBER	12500	34669	\N	\N	\N
487612	1662	1998-04-08	VYDAJ	VYBER	13700	33469	\N	\N	\N
487613	1662	1998-05-08	VYDAJ	VYBER	8900	37062	\N	\N	\N
487614	1662	1998-06-07	VYDAJ	VYBER	6900	42666	\N	\N	\N
487615	1662	1998-07-07	VYDAJ	VYBER	10700	51369	\N	\N	\N
487616	1662	1998-08-06	VYDAJ	VYBER	16100	46432	\N	\N	\N
487617	1662	1998-09-05	VYDAJ	VYBER	15300	43674	\N	\N	\N
487618	1662	1998-10-05	VYDAJ	VYBER	15500	49032	\N	\N	\N
487619	1662	1998-11-04	VYDAJ	VYBER	18700	42850	\N	\N	\N
487620	1662	1998-12-04	VYDAJ	VYBER	17100	38235	\N	\N	\N
487638	1663	1996-11-02	PRIJEM	VKLAD	300	300	\N	\N	\N
487649	1663	1996-11-09	PRIJEM	PREVOD Z UCTU	6366	6666	DUCHOD	IJ	25481915
487650	1663	1996-12-09	PRIJEM	PREVOD Z UCTU	6366	13052	DUCHOD	IJ	25481915
487651	1663	1997-01-09	PRIJEM	PREVOD Z UCTU	6366	19446	DUCHOD	IJ	25481915
487652	1663	1997-02-09	PRIJEM	PREVOD Z UCTU	6366	25840	DUCHOD	IJ	25481915
487653	1663	1997-03-09	PRIJEM	PREVOD Z UCTU	6366	32234	DUCHOD	IJ	25481915
487654	1663	1997-04-09	PRIJEM	PREVOD Z UCTU	6366	30492	DUCHOD	IJ	25481915
487655	1663	1997-05-09	PRIJEM	PREVOD Z UCTU	6366	32126	DUCHOD	IJ	25481915
487656	1663	1997-06-09	PRIJEM	PREVOD Z UCTU	6366	35867	DUCHOD	IJ	25481915
487657	1663	1997-07-09	PRIJEM	PREVOD Z UCTU	6366	29653	DUCHOD	IJ	25481915
487658	1663	1997-08-09	PRIJEM	PREVOD Z UCTU	6366	33483	DUCHOD	IJ	25481915
487659	1663	1997-09-09	PRIJEM	PREVOD Z UCTU	6366	34187	DUCHOD	IJ	25481915
487660	1663	1997-10-09	PRIJEM	PREVOD Z UCTU	6366	36436	DUCHOD	IJ	25481915
487661	1663	1997-11-09	PRIJEM	PREVOD Z UCTU	6366	40293	DUCHOD	IJ	25481915
487662	1663	1997-12-09	PRIJEM	PREVOD Z UCTU	6366	38706	DUCHOD	IJ	25481915
487663	1663	1998-01-09	PRIJEM	PREVOD Z UCTU	6366	41274	DUCHOD	IJ	25481915
487664	1663	1998-02-09	PRIJEM	PREVOD Z UCTU	6366	43249	DUCHOD	IJ	25481915
487665	1663	1998-03-09	PRIJEM	PREVOD Z UCTU	6366	47135	DUCHOD	IJ	25481915
487666	1663	1998-04-09	PRIJEM	PREVOD Z UCTU	6366	44930	DUCHOD	IJ	25481915
487667	1663	1998-05-09	PRIJEM	PREVOD Z UCTU	6366	48124	DUCHOD	IJ	25481915
487668	1663	1998-06-09	PRIJEM	PREVOD Z UCTU	6366	51229	DUCHOD	IJ	25481915
487669	1663	1998-07-09	PRIJEM	PREVOD Z UCTU	6366	44492	DUCHOD	IJ	25481915
487670	1663	1998-08-09	PRIJEM	PREVOD Z UCTU	6366	45882	DUCHOD	IJ	25481915
487671	1663	1998-09-09	PRIJEM	PREVOD Z UCTU	6366	49779	DUCHOD	IJ	25481915
487672	1663	1998-10-09	PRIJEM	PREVOD Z UCTU	6366	53293	DUCHOD	IJ	25481915
487673	1663	1998-11-09	PRIJEM	PREVOD Z UCTU	6366	53456	DUCHOD	IJ	25481915
487674	1663	1998-12-09	PRIJEM	PREVOD Z UCTU	6366	54070	DUCHOD	IJ	25481915
487690	1663	1997-04-05	VYDAJ	PREVOD NA UCET	2220	24126	SIPO	QR	95733749
487691	1663	1997-05-05	VYDAJ	PREVOD NA UCET	2220	26180	SIPO	QR	95733749
487692	1663	1997-06-05	VYDAJ	PREVOD NA UCET	2220	29921	SIPO	QR	95733749
487693	1663	1997-07-05	VYDAJ	PREVOD NA UCET	2220	23707	SIPO	QR	95733749
487694	1663	1997-08-05	VYDAJ	PREVOD NA UCET	2220	27117	SIPO	QR	95733749
487695	1663	1997-09-05	VYDAJ	PREVOD NA UCET	2220	27821	SIPO	QR	95733749
487696	1663	1997-10-05	VYDAJ	PREVOD NA UCET	2220	30490	SIPO	QR	95733749
487697	1663	1997-11-05	VYDAJ	PREVOD NA UCET	2220	34347	SIPO	QR	95733749
487698	1663	1997-12-05	VYDAJ	PREVOD NA UCET	2220	35720	SIPO	QR	95733749
487699	1663	1998-01-05	VYDAJ	PREVOD NA UCET	2220	35328	SIPO	QR	95733749
487700	1663	1998-02-05	VYDAJ	PREVOD NA UCET	2220	37303	SIPO	QR	95733749
487701	1663	1998-03-05	VYDAJ	PREVOD NA UCET	2220	41189	SIPO	QR	95733749
487702	1663	1998-04-05	VYDAJ	PREVOD NA UCET	2220	39464	SIPO	QR	95733749
487703	1663	1998-05-05	VYDAJ	PREVOD NA UCET	2220	42178	SIPO	QR	95733749
487704	1663	1998-06-05	VYDAJ	PREVOD NA UCET	2220	45283	SIPO	QR	95733749
487705	1663	1998-07-05	VYDAJ	PREVOD NA UCET	2220	38126	SIPO	QR	95733749
487706	1663	1998-08-05	VYDAJ	PREVOD NA UCET	2220	39936	SIPO	QR	95733749
487707	1663	1998-09-05	VYDAJ	PREVOD NA UCET	2220	43413	SIPO	QR	95733749
487708	1663	1998-10-05	VYDAJ	PREVOD NA UCET	2220	46927	SIPO	QR	95733749
487709	1663	1998-11-05	VYDAJ	PREVOD NA UCET	2220	47510	SIPO	QR	95733749
487710	1663	1998-12-05	VYDAJ	PREVOD NA UCET	2220	47704	SIPO	QR	95733749
487726	1663	1997-04-05	VYDAJ	PREVOD NA UCET	420	26346	 	IJ	38020986
487727	1663	1997-05-05	VYDAJ	PREVOD NA UCET	420	25760	 	IJ	38020986
487728	1663	1997-06-05	VYDAJ	PREVOD NA UCET	420	29501	 	IJ	38020986
487729	1663	1997-07-05	VYDAJ	PREVOD NA UCET	420	23287	 	IJ	38020986
487730	1663	1997-08-05	VYDAJ	PREVOD NA UCET	420	29337	 	IJ	38020986
487731	1663	1997-09-05	VYDAJ	PREVOD NA UCET	420	30041	 	IJ	38020986
487732	1663	1997-10-05	VYDAJ	PREVOD NA UCET	420	30070	 	IJ	38020986
487733	1663	1997-11-05	VYDAJ	PREVOD NA UCET	420	33927	 	IJ	38020986
487734	1663	1997-12-05	VYDAJ	PREVOD NA UCET	420	35300	 	IJ	38020986
487735	1663	1998-01-05	VYDAJ	PREVOD NA UCET	420	34908	 	IJ	38020986
487736	1663	1998-02-05	VYDAJ	PREVOD NA UCET	420	36883	 	IJ	38020986
487737	1663	1998-03-05	VYDAJ	PREVOD NA UCET	420	40769	 	IJ	38020986
487738	1663	1998-04-05	VYDAJ	PREVOD NA UCET	420	38564	 	IJ	38020986
487739	1663	1998-05-05	VYDAJ	PREVOD NA UCET	420	41758	 	IJ	38020986
487740	1663	1998-06-05	VYDAJ	PREVOD NA UCET	420	44863	 	IJ	38020986
487741	1663	1998-07-05	VYDAJ	PREVOD NA UCET	420	40346	 	IJ	38020986
487742	1663	1998-08-05	VYDAJ	PREVOD NA UCET	420	39516	 	IJ	38020986
487743	1663	1998-09-05	VYDAJ	PREVOD NA UCET	420	45633	 	IJ	38020986
487744	1663	1998-10-05	VYDAJ	PREVOD NA UCET	420	49147	 	IJ	38020986
487745	1663	1998-11-05	VYDAJ	PREVOD NA UCET	420	47090	 	IJ	38020986
487746	1663	1998-12-05	VYDAJ	PREVOD NA UCET	420	49924	 	IJ	38020986
487748	1663	1997-06-14	VYDAJ	VYBER	8250	27617	\N	\N	\N
487749	1663	1998-06-28	VYDAJ	VYBER	3650	43379	\N	\N	\N
487752	1663	1998-01-12	VYDAJ	VYBER	700	40574	\N	\N	\N
487754	1663	1997-12-25	VYDAJ	VYBER	1300	37406	\N	\N	\N
487755	1663	1998-12-02	VYDAJ	VYBER	750	50344	\N	\N	\N
487759	1663	1997-03-19	VYDAJ	VYBER	3120	29114	\N	\N	\N
487761	1663	1997-08-28	VYDAJ	VYBER	1440	32043	\N	\N	\N
487762	1663	1997-12-07	VYDAJ	VYBER	2960	32340	\N	\N	\N
487763	1663	1998-11-20	VYDAJ	VYBER	720	52736	\N	\N	\N
487764	1663	1998-04-05	VYDAJ	VYBER	480	38984	\N	\N	\N
487765	1663	1998-06-28	VYDAJ	VYBER	2800	40579	\N	\N	\N
487766	1663	1998-10-23	VYDAJ	VYBER	3760	49533	\N	\N	\N
487767	1663	1998-05-14	VYDAJ	VYBER	400	47724	\N	\N	\N
487768	1663	1998-11-21	VYDAJ	VYBER	1840	50896	\N	\N	\N
487769	1663	1998-03-21	VYDAJ	VYBER	3920	43215	\N	\N	\N
487785	1663	1997-03-31	VYDAJ	VYBER	15	29166	SLUZBY	\N	\N
487786	1663	1997-04-30	VYDAJ	VYBER	15	30600	SLUZBY	\N	\N
487787	1663	1997-05-31	VYDAJ	VYBER	15	32141	SLUZBY	\N	\N
487788	1663	1997-06-30	VYDAJ	VYBER	15	27727	SLUZBY	\N	\N
487789	1663	1997-07-31	VYDAJ	VYBER	15	29757	SLUZBY	\N	\N
487790	1663	1997-08-31	VYDAJ	VYBER	15	30461	SLUZBY	\N	\N
487791	1663	1997-09-30	VYDAJ	VYBER	15	32710	SLUZBY	\N	\N
487792	1663	1997-10-31	VYDAJ	VYBER	15	36567	SLUZBY	\N	\N
487793	1663	1997-11-30	VYDAJ	VYBER	15	37940	SLUZBY	\N	\N
487794	1663	1997-12-31	VYDAJ	VYBER	15	37548	SLUZBY	\N	\N
487795	1663	1998-01-31	VYDAJ	VYBER	15	39523	SLUZBY	\N	\N
487796	1663	1998-02-28	VYDAJ	VYBER	15	43409	SLUZBY	\N	\N
487797	1663	1998-03-31	VYDAJ	VYBER	15	41684	SLUZBY	\N	\N
487798	1663	1998-04-30	VYDAJ	VYBER	15	44398	SLUZBY	\N	\N
487799	1663	1998-05-31	VYDAJ	VYBER	15	47503	SLUZBY	\N	\N
487800	1663	1998-06-30	VYDAJ	VYBER	15	40766	SLUZBY	\N	\N
487801	1663	1998-07-31	VYDAJ	VYBER	15	42156	SLUZBY	\N	\N
487802	1663	1998-08-31	VYDAJ	VYBER	15	46053	SLUZBY	\N	\N
487803	1663	1998-09-30	VYDAJ	VYBER	15	49567	SLUZBY	\N	\N
487804	1663	1998-10-31	VYDAJ	VYBER	15	49730	SLUZBY	\N	\N
487805	1663	1998-11-30	VYDAJ	VYBER	15	51094	SLUZBY	\N	\N
487806	1663	1997-04-01	VYDAJ	VYBER	2400	26766	\N	\N	\N
487807	1663	1997-05-01	VYDAJ	VYBER	2200	28400	\N	\N	\N
487808	1663	1997-05-31	VYDAJ	VYBER	100	32156	\N	\N	\N
487809	1663	1997-06-30	VYDAJ	VYBER	1800	25927	\N	\N	\N
487810	1663	1997-08-29	VYDAJ	VYBER	1700	30343	\N	\N	\N
487811	1663	1997-09-28	VYDAJ	VYBER	1600	32587	\N	\N	\N
487812	1663	1997-11-27	VYDAJ	VYBER	2500	37793	\N	\N	\N
487813	1663	1998-01-26	VYDAJ	VYBER	1200	39374	\N	\N	\N
487814	1663	1998-03-27	VYDAJ	VYBER	1700	41515	\N	\N	\N
487815	1663	1998-04-26	VYDAJ	VYBER	700	44230	\N	\N	\N
487816	1663	1998-05-26	VYDAJ	VYBER	400	47324	\N	\N	\N
487817	1663	1998-06-25	VYDAJ	VYBER	4200	47029	\N	\N	\N
487818	1663	1998-07-25	VYDAJ	VYBER	2500	41992	\N	\N	\N
487819	1663	1998-09-23	VYDAJ	VYBER	400	49379	\N	\N	\N
487846	1664	1993-11-15	PRIJEM	VKLAD	500	500	\N	\N	\N
487858	1664	1993-12-09	PRIJEM	VKLAD	32990	33490	\N	\N	\N
487859	1664	1994-01-09	PRIJEM	VKLAD	21993	49746	\N	\N	\N
487860	1664	1994-02-09	PRIJEM	VKLAD	21993	60480	\N	\N	\N
487861	1664	1994-03-09	PRIJEM	VKLAD	21993	63340	\N	\N	\N
487862	1664	1994-04-09	PRIJEM	VKLAD	21993	68316	\N	\N	\N
487863	1664	1994-05-09	PRIJEM	VKLAD	21993	61229	\N	\N	\N
487864	1664	1994-06-09	PRIJEM	VKLAD	32990	67738	\N	\N	\N
487865	1664	1994-07-09	PRIJEM	VKLAD	21993	59450	\N	\N	\N
487866	1664	1994-08-09	PRIJEM	VKLAD	21993	50848	\N	\N	\N
487867	1664	1994-09-09	PRIJEM	VKLAD	21993	56136	\N	\N	\N
487868	1664	1994-10-09	PRIJEM	VKLAD	21993	55630	\N	\N	\N
487869	1664	1994-11-09	PRIJEM	VKLAD	21993	55521	\N	\N	\N
487870	1664	1994-12-09	PRIJEM	VKLAD	32990	67008	\N	\N	\N
487871	1664	1995-01-09	PRIJEM	VKLAD	21993	48519	\N	\N	\N
487872	1664	1995-02-09	PRIJEM	VKLAD	21993	44281	\N	\N	\N
487873	1664	1995-03-09	PRIJEM	VKLAD	21993	60971	\N	\N	\N
487874	1664	1995-04-09	PRIJEM	VKLAD	21993	61183	\N	\N	\N
487875	1664	1995-05-09	PRIJEM	VKLAD	21993	60541	\N	\N	\N
487876	1664	1995-06-09	PRIJEM	VKLAD	32990	55994	\N	\N	\N
487877	1664	1995-07-09	PRIJEM	VKLAD	21993	57824	\N	\N	\N
487878	1664	1995-08-09	PRIJEM	VKLAD	21993	56774	\N	\N	\N
487879	1664	1995-09-09	PRIJEM	VKLAD	21993	54319	\N	\N	\N
487880	1664	1995-10-09	PRIJEM	VKLAD	21993	55558	\N	\N	\N
487881	1664	1995-11-09	PRIJEM	VKLAD	21993	51203	\N	\N	\N
487882	1664	1995-12-09	PRIJEM	VKLAD	32990	59020	\N	\N	\N
487883	1664	1996-01-09	PRIJEM	VKLAD	21993	42259	\N	\N	\N
487884	1664	1996-02-09	PRIJEM	VKLAD	21993	43626	\N	\N	\N
487885	1664	1996-03-09	PRIJEM	VKLAD	21993	43213	\N	\N	\N
487886	1664	1996-04-09	PRIJEM	VKLAD	21993	45908	\N	\N	\N
487887	1664	1996-05-09	PRIJEM	VKLAD	21993	51111	\N	\N	\N
487888	1664	1996-06-09	PRIJEM	VKLAD	32990	62529	\N	\N	\N
487889	1664	1996-07-09	PRIJEM	VKLAD	21993	41166	\N	\N	\N
487890	1664	1996-08-09	PRIJEM	VKLAD	21993	43038	\N	\N	\N
487891	1664	1996-09-09	PRIJEM	VKLAD	21993	38425	\N	\N	\N
487892	1664	1996-10-09	PRIJEM	VKLAD	21993	37687	\N	\N	\N
487893	1664	1996-11-09	PRIJEM	VKLAD	21993	36945	\N	\N	\N
487894	1664	1996-12-09	PRIJEM	VKLAD	32990	50296	\N	\N	\N
487895	1664	1997-01-09	PRIJEM	VKLAD	21993	34186	\N	\N	\N
487896	1664	1997-02-09	PRIJEM	VKLAD	21993	47128	\N	\N	\N
487897	1664	1997-03-09	PRIJEM	VKLAD	21993	41621	\N	\N	\N
487898	1664	1997-04-09	PRIJEM	VKLAD	21993	35589	\N	\N	\N
487899	1664	1997-05-09	PRIJEM	VKLAD	21993	32233	\N	\N	\N
487900	1664	1997-06-09	PRIJEM	VKLAD	32990	57462	\N	\N	\N
487901	1664	1997-07-09	PRIJEM	VKLAD	21993	38951	\N	\N	\N
487902	1664	1997-08-09	PRIJEM	VKLAD	21993	55618	\N	\N	\N
487903	1664	1997-09-09	PRIJEM	VKLAD	21993	38226	\N	\N	\N
487904	1664	1997-10-09	PRIJEM	VKLAD	21993	54888	\N	\N	\N
487905	1664	1997-11-09	PRIJEM	VKLAD	21993	38389	\N	\N	\N
487906	1664	1997-12-09	PRIJEM	VKLAD	32990	46329	\N	\N	\N
487907	1664	1998-01-09	PRIJEM	VKLAD	21993	36887	\N	\N	\N
487908	1664	1998-02-09	PRIJEM	VKLAD	21993	35610	\N	\N	\N
487909	1664	1998-03-09	PRIJEM	VKLAD	21993	52260	\N	\N	\N
487910	1664	1998-04-09	PRIJEM	VKLAD	21993	67280	\N	\N	\N
487911	1664	1998-05-09	PRIJEM	VKLAD	21993	34706	\N	\N	\N
487912	1664	1998-06-09	PRIJEM	VKLAD	32990	62350	\N	\N	\N
487913	1664	1998-07-09	PRIJEM	VKLAD	21993	33640	\N	\N	\N
487914	1664	1998-08-09	PRIJEM	VKLAD	21993	50282	\N	\N	\N
487915	1664	1998-09-09	PRIJEM	VKLAD	21993	66994	\N	\N	\N
487916	1664	1998-10-09	PRIJEM	VKLAD	21993	37003	\N	\N	\N
487917	1664	1998-11-09	PRIJEM	VKLAD	21993	52657	\N	\N	\N
487918	1664	1998-12-09	PRIJEM	VKLAD	32990	80374	\N	\N	\N
487935	1664	1994-05-06	VYDAJ	PREVOD NA UCET	5454	39236	SIPO	UV	6438845
487936	1664	1994-06-06	VYDAJ	PREVOD NA UCET	5454	34748	SIPO	UV	6438845
487937	1664	1994-07-06	VYDAJ	PREVOD NA UCET	5454	37457	SIPO	UV	6438845
487938	1664	1994-08-06	VYDAJ	PREVOD NA UCET	5454	28855	SIPO	UV	6438845
487939	1664	1994-09-06	VYDAJ	PREVOD NA UCET	5454	34143	SIPO	UV	6438845
487940	1664	1994-10-06	VYDAJ	PREVOD NA UCET	5454	33637	SIPO	UV	6438845
487941	1664	1994-11-06	VYDAJ	PREVOD NA UCET	5454	33528	SIPO	UV	6438845
487942	1664	1994-12-06	VYDAJ	PREVOD NA UCET	5454	34018	SIPO	UV	6438845
487943	1664	1995-01-06	VYDAJ	PREVOD NA UCET	5454	37126	SIPO	UV	6438845
487944	1664	1995-02-06	VYDAJ	PREVOD NA UCET	5454	24088	SIPO	UV	6438845
487945	1664	1995-03-06	VYDAJ	PREVOD NA UCET	5454	38978	SIPO	UV	6438845
487946	1664	1995-04-06	VYDAJ	PREVOD NA UCET	5454	39190	SIPO	UV	6438845
487947	1664	1995-05-06	VYDAJ	PREVOD NA UCET	5454	38548	SIPO	UV	6438845
487948	1664	1995-06-06	VYDAJ	PREVOD NA UCET	5454	20104	SIPO	UV	6438845
487949	1664	1995-07-06	VYDAJ	PREVOD NA UCET	5454	48331	SIPO	UV	6438845
487950	1664	1995-08-06	VYDAJ	PREVOD NA UCET	5454	50081	SIPO	UV	6438845
487951	1664	1995-09-06	VYDAJ	PREVOD NA UCET	5454	47826	SIPO	UV	6438845
487952	1664	1995-10-06	VYDAJ	PREVOD NA UCET	5454	48165	SIPO	UV	6438845
487953	1664	1995-11-06	VYDAJ	PREVOD NA UCET	5454	29210	SIPO	UV	6438845
487954	1664	1995-12-06	VYDAJ	PREVOD NA UCET	5454	26030	SIPO	UV	6438845
487955	1664	1996-01-06	VYDAJ	PREVOD NA UCET	5454	22566	SIPO	UV	6438845
487956	1664	1996-02-06	VYDAJ	PREVOD NA UCET	5454	21633	SIPO	UV	6438845
487957	1664	1996-03-06	VYDAJ	PREVOD NA UCET	5454	24320	SIPO	UV	6438845
487958	1664	1996-04-06	VYDAJ	PREVOD NA UCET	5454	23915	SIPO	UV	6438845
487959	1664	1996-05-06	VYDAJ	PREVOD NA UCET	5454	29118	SIPO	UV	6438845
487960	1664	1996-06-06	VYDAJ	PREVOD NA UCET	5454	29539	SIPO	UV	6438845
487961	1664	1996-07-06	VYDAJ	PREVOD NA UCET	5454	19173	SIPO	UV	6438845
487962	1664	1996-08-06	VYDAJ	PREVOD NA UCET	5454	21045	SIPO	UV	6438845
487963	1664	1996-09-06	VYDAJ	PREVOD NA UCET	5454	16432	SIPO	UV	6438845
487964	1664	1996-10-06	VYDAJ	PREVOD NA UCET	5454	15694	SIPO	UV	6438845
487965	1664	1996-11-06	VYDAJ	PREVOD NA UCET	5454	14952	SIPO	UV	6438845
487966	1664	1996-12-06	VYDAJ	PREVOD NA UCET	5454	17306	SIPO	UV	6438845
487967	1664	1997-01-06	VYDAJ	PREVOD NA UCET	5454	12193	SIPO	UV	6438845
487968	1664	1997-02-06	VYDAJ	PREVOD NA UCET	5454	25135	SIPO	UV	6438845
487969	1664	1997-03-06	VYDAJ	PREVOD NA UCET	5454	19628	SIPO	UV	6438845
487970	1664	1997-04-06	VYDAJ	PREVOD NA UCET	5454	13596	SIPO	UV	6438845
487971	1664	1997-05-06	VYDAJ	PREVOD NA UCET	5454	10240	SIPO	UV	6438845
487972	1664	1997-06-06	VYDAJ	PREVOD NA UCET	5454	24472	SIPO	UV	6438845
487973	1664	1997-07-06	VYDAJ	PREVOD NA UCET	5454	16958	SIPO	UV	6438845
487974	1664	1997-08-06	VYDAJ	PREVOD NA UCET	5454	33625	SIPO	UV	6438845
487975	1664	1997-09-06	VYDAJ	PREVOD NA UCET	5454	16233	SIPO	UV	6438845
487976	1664	1997-10-06	VYDAJ	PREVOD NA UCET	5454	32895	SIPO	UV	6438845
487977	1664	1997-11-06	VYDAJ	PREVOD NA UCET	5454	16396	SIPO	UV	6438845
487978	1664	1997-12-06	VYDAJ	PREVOD NA UCET	5454	13339	SIPO	UV	6438845
487979	1664	1998-01-06	VYDAJ	PREVOD NA UCET	5454	14894	SIPO	UV	6438845
487980	1664	1998-02-06	VYDAJ	PREVOD NA UCET	5454	13617	SIPO	UV	6438845
487981	1664	1998-03-06	VYDAJ	PREVOD NA UCET	5454	30267	SIPO	UV	6438845
487982	1664	1998-04-06	VYDAJ	PREVOD NA UCET	5454	45287	SIPO	UV	6438845
487983	1664	1998-05-06	VYDAJ	PREVOD NA UCET	5454	12713	SIPO	UV	6438845
487984	1664	1998-06-06	VYDAJ	PREVOD NA UCET	5454	29360	SIPO	UV	6438845
487985	1664	1998-07-06	VYDAJ	PREVOD NA UCET	5454	11647	SIPO	UV	6438845
487986	1664	1998-08-06	VYDAJ	PREVOD NA UCET	5454	28289	SIPO	UV	6438845
487987	1664	1998-09-06	VYDAJ	PREVOD NA UCET	5454	45001	SIPO	UV	6438845
487988	1664	1998-10-06	VYDAJ	PREVOD NA UCET	5454	15010	SIPO	UV	6438845
487989	1664	1998-11-06	VYDAJ	PREVOD NA UCET	5454	30664	SIPO	UV	6438845
487990	1664	1998-12-06	VYDAJ	PREVOD NA UCET	5454	47384	SIPO	UV	6438845
487992	1664	1994-06-09	VYDAJ	VYBER	3600	64138	\N	\N	\N
487993	1664	1995-06-05	VYDAJ	VYBER	15700	25558	\N	\N	\N
487994	1664	1996-06-25	VYDAJ	VYBER	28000	34529	\N	\N	\N
487995	1664	1997-06-13	VYDAJ	VYBER	11400	46062	\N	\N	\N
487999	1664	1995-01-07	VYDAJ	VYBER	7800	27526	\N	\N	\N
488000	1664	1996-01-13	VYDAJ	VYBER	7200	35059	\N	\N	\N
488001	1664	1997-01-01	VYDAJ	VYBER	6600	17647	\N	\N	\N
488002	1664	1998-01-28	VYDAJ	VYBER	3400	18987	\N	\N	\N
488004	1664	1994-12-23	VYDAJ	VYBER	2700	44208	\N	\N	\N
488005	1664	1995-12-23	VYDAJ	VYBER	1700	55220	\N	\N	\N
488006	1664	1996-12-14	VYDAJ	VYBER	900	49396	\N	\N	\N
488021	1664	1995-01-06	VYDAJ	VYBER	1800	35326	\N	\N	\N
488022	1664	1995-01-03	VYDAJ	VYBER	700	42580	\N	\N	\N
488023	1664	1995-01-02	VYDAJ	VYBER	1100	43280	\N	\N	\N
488024	1664	1995-01-14	VYDAJ	VYBER	2400	30719	\N	\N	\N
488025	1664	1995-01-07	VYDAJ	VYBER	1000	26526	\N	\N	\N
488026	1664	1995-01-27	VYDAJ	VYBER	1300	29419	\N	\N	\N
488027	1664	1996-01-05	VYDAJ	VYBER	2500	28020	\N	\N	\N
488028	1664	1996-01-01	VYDAJ	VYBER	2000	49820	\N	\N	\N
488029	1664	1996-01-27	VYDAJ	VYBER	2700	30559	\N	\N	\N
488030	1664	1996-01-03	VYDAJ	VYBER	2600	47220	\N	\N	\N
488031	1664	1996-01-21	VYDAJ	VYBER	1800	33259	\N	\N	\N
488032	1664	1996-01-07	VYDAJ	VYBER	2300	20266	\N	\N	\N
488033	1664	1997-01-26	VYDAJ	VYBER	800	30486	\N	\N	\N
488036	1664	1997-01-19	VYDAJ	VYBER	2300	31286	\N	\N	\N
488037	1664	1997-01-10	VYDAJ	VYBER	600	33586	\N	\N	\N
488039	1664	1998-01-09	VYDAJ	VYBER	1000	34287	\N	\N	\N
488040	1664	1998-01-19	VYDAJ	VYBER	2300	26187	\N	\N	\N
488041	1664	1998-01-21	VYDAJ	VYBER	2300	23887	\N	\N	\N
488042	1664	1998-01-16	VYDAJ	VYBER	2600	28487	\N	\N	\N
488043	1664	1998-01-24	VYDAJ	VYBER	1500	22387	\N	\N	\N
488044	1664	1998-01-09	VYDAJ	VYBER	1600	35287	\N	\N	\N
488047	1664	1994-07-12	VYDAJ	VYBER	1900	57550	\N	\N	\N
488048	1664	1994-06-11	VYDAJ	VYBER	900	63238	\N	\N	\N
488049	1664	1994-07-28	VYDAJ	VYBER	4400	34150	\N	\N	\N
488050	1664	1994-10-17	VYDAJ	VYBER	1900	38830	\N	\N	\N
488051	1664	1994-05-17	VYDAJ	VYBER	4000	40029	\N	\N	\N
488052	1664	1994-10-03	VYDAJ	VYBER	600	39091	\N	\N	\N
488053	1664	1995-11-13	VYDAJ	VYBER	4500	46703	\N	\N	\N
488054	1664	1995-08-10	VYDAJ	VYBER	2200	54574	\N	\N	\N
488055	1664	1995-01-13	VYDAJ	VYBER	2600	33119	\N	\N	\N
488056	1664	1995-09-21	VYDAJ	VYBER	900	53419	\N	\N	\N
488057	1664	1995-12-26	VYDAJ	VYBER	3600	51620	\N	\N	\N
488058	1664	1995-07-10	VYDAJ	VYBER	2500	55324	\N	\N	\N
488059	1664	1995-08-23	VYDAJ	VYBER	1500	53074	\N	\N	\N
488060	1664	1995-06-23	VYDAJ	VYBER	2400	53594	\N	\N	\N
488061	1664	1995-12-18	VYDAJ	VYBER	2100	56920	\N	\N	\N
488062	1664	1996-04-26	VYDAJ	VYBER	500	45408	\N	\N	\N
488063	1664	1996-05-26	VYDAJ	VYBER	3100	48011	\N	\N	\N
488064	1664	1996-09-05	VYDAJ	VYBER	3800	21886	\N	\N	\N
488065	1664	1996-03-07	VYDAJ	VYBER	3100	21220	\N	\N	\N
488066	1664	1996-07-14	VYDAJ	VYBER	3700	37466	\N	\N	\N
488067	1664	1997-12-30	VYDAJ	VYBER	900	20229	\N	\N	\N
488070	1664	1997-05-14	VYDAJ	VYBER	2400	29833	\N	\N	\N
488071	1664	1998-04-20	VYDAJ	VYBER	2700	64580	\N	\N	\N
488072	1664	1998-06-13	VYDAJ	VYBER	2400	59950	\N	\N	\N
488073	1664	1998-10-13	VYDAJ	VYBER	1000	36003	\N	\N	\N
488074	1664	1998-01-11	VYDAJ	VYBER	3200	31087	\N	\N	\N
488075	1664	1998-04-02	VYDAJ	VYBER	1700	50741	\N	\N	\N
488092	1664	1994-04-30	VYDAJ	VYBER	15	44690	SLUZBY	\N	\N
488093	1664	1994-05-31	VYDAJ	VYBER	15	40202	SLUZBY	\N	\N
488094	1664	1994-06-30	VYDAJ	VYBER	15	42911	SLUZBY	\N	\N
488095	1664	1994-07-31	VYDAJ	VYBER	15	34309	SLUZBY	\N	\N
488096	1664	1994-08-31	VYDAJ	VYBER	15	39597	SLUZBY	\N	\N
488097	1664	1994-09-30	VYDAJ	VYBER	15	39691	SLUZBY	\N	\N
488098	1664	1994-10-31	VYDAJ	VYBER	15	38982	SLUZBY	\N	\N
488099	1664	1994-11-30	VYDAJ	VYBER	15	39472	SLUZBY	\N	\N
488100	1664	1994-12-31	VYDAJ	VYBER	15	44380	SLUZBY	\N	\N
488101	1664	1995-01-31	VYDAJ	VYBER	15	29542	SLUZBY	\N	\N
488102	1664	1995-02-28	VYDAJ	VYBER	15	44432	SLUZBY	\N	\N
488103	1664	1995-03-31	VYDAJ	VYBER	15	44644	SLUZBY	\N	\N
488104	1664	1995-04-30	VYDAJ	VYBER	15	44002	SLUZBY	\N	\N
488105	1664	1995-05-31	VYDAJ	VYBER	15	41258	SLUZBY	\N	\N
488106	1664	1995-06-30	VYDAJ	VYBER	15	53785	SLUZBY	\N	\N
488107	1664	1995-07-31	VYDAJ	VYBER	15	55535	SLUZBY	\N	\N
488108	1664	1995-08-31	VYDAJ	VYBER	15	53280	SLUZBY	\N	\N
488109	1664	1995-09-30	VYDAJ	VYBER	15	53619	SLUZBY	\N	\N
488110	1664	1995-10-31	VYDAJ	VYBER	15	55764	SLUZBY	\N	\N
488111	1664	1995-11-30	VYDAJ	VYBER	15	46884	SLUZBY	\N	\N
488112	1664	1995-12-31	VYDAJ	VYBER	15	51820	SLUZBY	\N	\N
488113	1664	1996-01-31	VYDAJ	VYBER	15	30687	SLUZBY	\N	\N
488114	1664	1996-02-29	VYDAJ	VYBER	15	43774	SLUZBY	\N	\N
488115	1664	1996-03-31	VYDAJ	VYBER	15	43369	SLUZBY	\N	\N
488116	1664	1996-04-30	VYDAJ	VYBER	15	45572	SLUZBY	\N	\N
488117	1664	1996-05-31	VYDAJ	VYBER	15	48193	SLUZBY	\N	\N
488118	1664	1996-06-30	VYDAJ	VYBER	15	34727	SLUZBY	\N	\N
488119	1664	1996-07-31	VYDAJ	VYBER	15	37599	SLUZBY	\N	\N
488120	1664	1996-08-31	VYDAJ	VYBER	15	43186	SLUZBY	\N	\N
488121	1664	1996-09-30	VYDAJ	VYBER	15	21148	SLUZBY	\N	\N
488122	1664	1996-10-31	VYDAJ	VYBER	15	20406	SLUZBY	\N	\N
488123	1664	1996-11-30	VYDAJ	VYBER	15	22760	SLUZBY	\N	\N
488124	1664	1996-12-31	VYDAJ	VYBER	15	24247	SLUZBY	\N	\N
488125	1664	1997-01-31	VYDAJ	VYBER	15	30589	SLUZBY	\N	\N
488126	1664	1997-02-28	VYDAJ	VYBER	15	25082	SLUZBY	\N	\N
488127	1664	1997-03-31	VYDAJ	VYBER	15	19050	SLUZBY	\N	\N
488128	1664	1997-04-30	VYDAJ	VYBER	15	15694	SLUZBY	\N	\N
488129	1664	1997-05-31	VYDAJ	VYBER	15	29926	SLUZBY	\N	\N
488130	1664	1997-06-30	VYDAJ	VYBER	15	22412	SLUZBY	\N	\N
488131	1664	1997-07-31	VYDAJ	VYBER	15	39079	SLUZBY	\N	\N
488132	1664	1997-08-31	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
488133	1664	1997-09-30	VYDAJ	VYBER	15	38349	SLUZBY	\N	\N
488134	1664	1997-10-31	VYDAJ	VYBER	15	21850	SLUZBY	\N	\N
488135	1664	1997-11-30	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
488136	1664	1997-12-31	VYDAJ	VYBER	15	20348	SLUZBY	\N	\N
488137	1664	1998-01-31	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
488138	1664	1998-02-28	VYDAJ	VYBER	15	35721	SLUZBY	\N	\N
488139	1664	1998-03-31	VYDAJ	VYBER	15	52441	SLUZBY	\N	\N
488140	1664	1998-04-30	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
488141	1664	1998-05-31	VYDAJ	VYBER	15	34814	SLUZBY	\N	\N
488142	1664	1998-06-30	VYDAJ	VYBER	15	17101	SLUZBY	\N	\N
488143	1664	1998-07-31	VYDAJ	VYBER	15	33743	SLUZBY	\N	\N
488144	1664	1998-08-31	VYDAJ	VYBER	15	50455	SLUZBY	\N	\N
488145	1664	1998-09-30	VYDAJ	VYBER	15	20464	SLUZBY	\N	\N
488146	1664	1998-10-31	VYDAJ	VYBER	15	36118	SLUZBY	\N	\N
488147	1664	1998-11-30	VYDAJ	VYBER	15	52838	SLUZBY	\N	\N
488148	1664	1993-12-15	VYDAJ	VYBER	5800	27690	\N	\N	\N
488149	1664	1994-01-14	VYDAJ	VYBER	11400	38346	\N	\N	\N
488150	1664	1994-02-13	VYDAJ	VYBER	19300	41180	\N	\N	\N
488151	1664	1994-03-15	VYDAJ	VYBER	17200	46140	\N	\N	\N
488152	1664	1994-04-14	VYDAJ	VYBER	23800	44516	\N	\N	\N
488153	1664	1994-05-14	VYDAJ	VYBER	17200	44029	\N	\N	\N
488154	1664	1994-06-13	VYDAJ	VYBER	20500	42738	\N	\N	\N
488155	1664	1994-07-13	VYDAJ	VYBER	19000	38550	\N	\N	\N
488156	1664	1994-08-12	VYDAJ	VYBER	11400	39448	\N	\N	\N
488157	1664	1994-09-11	VYDAJ	VYBER	16600	39536	\N	\N	\N
488158	1664	1994-10-11	VYDAJ	VYBER	14900	40730	\N	\N	\N
488159	1664	1994-11-10	VYDAJ	VYBER	16200	39321	\N	\N	\N
488160	1664	1994-12-10	VYDAJ	VYBER	20100	46908	\N	\N	\N
488161	1664	1995-01-09	VYDAJ	VYBER	12800	35719	\N	\N	\N
488162	1664	1995-02-08	VYDAJ	VYBER	1800	22288	\N	\N	\N
488163	1664	1995-03-10	VYDAJ	VYBER	16500	44471	\N	\N	\N
488164	1664	1995-04-09	VYDAJ	VYBER	17400	43783	\N	\N	\N
488165	1664	1995-05-09	VYDAJ	VYBER	19500	41041	\N	\N	\N
488166	1664	1995-06-08	PRIJEM	VKLAD	2900	23004	\N	\N	\N
488167	1664	1995-07-08	VYDAJ	VYBER	12500	35831	\N	\N	\N
488168	1664	1995-08-07	VYDAJ	VYBER	15300	34781	\N	\N	\N
488169	1664	1995-09-06	VYDAJ	VYBER	15500	32326	\N	\N	\N
488170	1664	1995-10-06	VYDAJ	VYBER	14600	33565	\N	\N	\N
488171	1664	1995-11-05	VYDAJ	VYBER	21100	34664	\N	\N	\N
488172	1664	1995-12-05	VYDAJ	VYBER	15400	31484	\N	\N	\N
488173	1664	1996-01-04	VYDAJ	VYBER	16700	30520	\N	\N	\N
488174	1664	1996-02-03	VYDAJ	VYBER	3600	27087	\N	\N	\N
488175	1664	1996-03-04	VYDAJ	VYBER	14000	29774	\N	\N	\N
488176	1664	1996-04-03	VYDAJ	VYBER	14000	29369	\N	\N	\N
488177	1664	1996-05-03	VYDAJ	VYBER	11000	34572	\N	\N	\N
488178	1664	1996-06-02	VYDAJ	VYBER	13200	34993	\N	\N	\N
488179	1664	1996-07-02	VYDAJ	VYBER	10100	24627	\N	\N	\N
488180	1664	1996-08-01	VYDAJ	VYBER	11100	26499	\N	\N	\N
488181	1664	1996-08-31	VYDAJ	VYBER	17500	25686	\N	\N	\N
488182	1664	1996-09-30	VYDAJ	VYBER	17400	21163	\N	\N	\N
488183	1664	1996-10-30	VYDAJ	VYBER	17400	20287	\N	\N	\N
488184	1664	1996-11-29	VYDAJ	VYBER	14300	22645	\N	\N	\N
488185	1664	1996-12-29	VYDAJ	VYBER	25300	24096	\N	\N	\N
488186	1664	1997-02-27	VYDAJ	VYBER	22200	24928	\N	\N	\N
488187	1664	1997-03-29	VYDAJ	VYBER	22700	18921	\N	\N	\N
488188	1664	1997-04-28	VYDAJ	VYBER	20000	15589	\N	\N	\N
488189	1664	1997-06-27	VYDAJ	VYBER	23800	22262	\N	\N	\N
488190	1664	1997-08-26	VYDAJ	VYBER	34100	21518	\N	\N	\N
488191	1664	1997-10-25	VYDAJ	VYBER	33200	21688	\N	\N	\N
488192	1664	1997-11-24	VYDAJ	VYBER	19700	18689	\N	\N	\N
488193	1664	1997-12-24	VYDAJ	VYBER	25200	21129	\N	\N	\N
488194	1664	1998-04-23	VYDAJ	VYBER	46600	17980	\N	\N	\N
488195	1664	1998-06-22	VYDAJ	VYBER	43000	16950	\N	\N	\N
488196	1664	1998-09-20	VYDAJ	VYBER	46700	20294	\N	\N	\N
488197	1664	1998-12-19	VYDAJ	VYBER	60300	20074	\N	\N	\N
488259	1665	1997-04-15	PRIJEM	VKLAD	800	800	\N	\N	\N
488264	1665	1997-05-11	PRIJEM	PREVOD Z UCTU	6531	7331	DUCHOD	CD	10375470
488265	1665	1997-06-11	PRIJEM	PREVOD Z UCTU	6531	13862	DUCHOD	CD	10375470
488266	1665	1997-07-11	PRIJEM	PREVOD Z UCTU	6531	20393	DUCHOD	CD	10375470
488267	1665	1997-08-11	PRIJEM	PREVOD Z UCTU	6531	26924	DUCHOD	CD	10375470
488268	1665	1997-09-11	PRIJEM	PREVOD Z UCTU	6531	28611	DUCHOD	CD	10375470
488269	1665	1997-10-11	PRIJEM	PREVOD Z UCTU	6531	26962	DUCHOD	CD	10375470
488270	1665	1997-11-11	PRIJEM	PREVOD Z UCTU	6531	26615	DUCHOD	CD	10375470
488271	1665	1997-12-11	PRIJEM	PREVOD Z UCTU	6531	25942	DUCHOD	CD	10375470
488272	1665	1998-01-11	PRIJEM	PREVOD Z UCTU	6531	21659	DUCHOD	CD	10375470
488273	1665	1998-02-11	PRIJEM	PREVOD Z UCTU	6531	21882	DUCHOD	CD	10375470
488274	1665	1998-03-11	PRIJEM	PREVOD Z UCTU	6531	24344	DUCHOD	CD	10375470
488275	1665	1998-04-11	PRIJEM	PREVOD Z UCTU	6531	21286	DUCHOD	CD	10375470
488276	1665	1998-05-11	PRIJEM	PREVOD Z UCTU	6531	26309	DUCHOD	CD	10375470
488277	1665	1998-06-11	PRIJEM	PREVOD Z UCTU	6531	31351	DUCHOD	CD	10375470
488278	1665	1998-07-11	PRIJEM	PREVOD Z UCTU	6531	22737	DUCHOD	CD	10375470
488279	1665	1998-08-11	PRIJEM	PREVOD Z UCTU	6531	27763	DUCHOD	CD	10375470
488280	1665	1998-09-11	PRIJEM	PREVOD Z UCTU	6531	32311	DUCHOD	CD	10375470
488281	1665	1998-10-11	PRIJEM	PREVOD Z UCTU	6531	37376	DUCHOD	CD	10375470
488282	1665	1998-11-11	PRIJEM	PREVOD Z UCTU	6531	35564	DUCHOD	CD	10375470
488283	1665	1998-12-11	PRIJEM	PREVOD Z UCTU	6531	33003	DUCHOD	CD	10375470
488293	1665	1997-10-07	VYDAJ	PREVOD NA UCET	1578	20911	SIPO	EF	15931928
488294	1665	1997-11-07	VYDAJ	PREVOD NA UCET	1578	20084	SIPO	EF	15931928
488295	1665	1997-12-07	VYDAJ	PREVOD NA UCET	1578	19411	SIPO	EF	15931928
488296	1665	1998-01-07	VYDAJ	PREVOD NA UCET	1578	16328	SIPO	EF	15931928
488297	1665	1998-02-07	VYDAJ	PREVOD NA UCET	1578	20151	SIPO	EF	15931928
488298	1665	1998-03-07	VYDAJ	PREVOD NA UCET	1578	17813	SIPO	EF	15931928
488299	1665	1998-04-07	VYDAJ	PREVOD NA UCET	1578	16055	SIPO	EF	15931928
488300	1665	1998-05-07	VYDAJ	PREVOD NA UCET	1578	19778	SIPO	EF	15931928
488301	1665	1998-06-07	VYDAJ	PREVOD NA UCET	1578	24820	SIPO	EF	15931928
488302	1665	1998-07-07	VYDAJ	PREVOD NA UCET	1578	16206	SIPO	EF	15931928
488303	1665	1998-08-07	VYDAJ	PREVOD NA UCET	1578	21232	SIPO	EF	15931928
488304	1665	1998-09-07	VYDAJ	PREVOD NA UCET	1578	25780	SIPO	EF	15931928
488305	1665	1998-10-07	VYDAJ	PREVOD NA UCET	1578	30845	SIPO	EF	15931928
488306	1665	1998-11-07	VYDAJ	PREVOD NA UCET	1578	29033	SIPO	EF	15931928
488307	1665	1998-12-07	VYDAJ	PREVOD NA UCET	1578	26472	SIPO	EF	15931928
488309	1665	1998-06-17	VYDAJ	VYBER	13650	17701	\N	\N	\N
488313	1665	1997-10-10	VYDAJ	VYBER	480	20431	\N	\N	\N
488315	1665	1997-10-27	VYDAJ	VYBER	1280	21582	\N	\N	\N
488318	1665	1998-11-13	VYDAJ	VYBER	1520	34044	\N	\N	\N
488319	1665	1998-03-13	VYDAJ	VYBER	1280	20364	\N	\N	\N
488320	1665	1998-11-25	VYDAJ	VYBER	2320	31724	\N	\N	\N
488321	1665	1998-04-05	VYDAJ	VYBER	2800	17633	\N	\N	\N
488322	1665	1998-02-13	VYDAJ	VYBER	2560	19322	\N	\N	\N
488332	1665	1997-09-30	VYDAJ	VYBER	15	22489	SLUZBY	\N	\N
488333	1665	1997-10-31	VYDAJ	VYBER	15	21662	SLUZBY	\N	\N
488334	1665	1997-11-30	VYDAJ	VYBER	15	20989	SLUZBY	\N	\N
488335	1665	1997-12-31	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
488336	1665	1998-01-31	VYDAJ	VYBER	15	21729	SLUZBY	\N	\N
488337	1665	1998-02-28	VYDAJ	VYBER	15	19391	SLUZBY	\N	\N
488338	1665	1998-03-31	VYDAJ	VYBER	15	20433	SLUZBY	\N	\N
488339	1665	1998-04-30	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
488340	1665	1998-05-31	VYDAJ	VYBER	15	26398	SLUZBY	\N	\N
488341	1665	1998-06-30	VYDAJ	VYBER	15	17784	SLUZBY	\N	\N
488342	1665	1998-07-31	VYDAJ	VYBER	15	22810	SLUZBY	\N	\N
488343	1665	1998-08-31	VYDAJ	VYBER	15	27858	SLUZBY	\N	\N
488344	1665	1998-09-30	VYDAJ	VYBER	15	32423	SLUZBY	\N	\N
488345	1665	1998-10-31	VYDAJ	VYBER	15	37511	SLUZBY	\N	\N
488346	1665	1998-11-30	VYDAJ	VYBER	15	31850	SLUZBY	\N	\N
488347	1665	1997-08-13	VYDAJ	VYBER	4900	22024	\N	\N	\N
488348	1665	1997-09-12	VYDAJ	VYBER	6200	22411	\N	\N	\N
488349	1665	1997-10-12	VYDAJ	VYBER	4100	22862	\N	\N	\N
488350	1665	1997-11-11	VYDAJ	VYBER	5700	20915	\N	\N	\N
488351	1665	1997-12-11	VYDAJ	VYBER	8100	17842	\N	\N	\N
488352	1665	1998-01-10	VYDAJ	VYBER	1200	15128	\N	\N	\N
488353	1665	1998-02-09	VYDAJ	VYBER	4800	15351	\N	\N	\N
488354	1665	1998-03-11	VYDAJ	VYBER	2700	21644	\N	\N	\N
488355	1665	1998-04-10	VYDAJ	VYBER	1300	14755	\N	\N	\N
488356	1665	1998-09-07	VYDAJ	VYBER	500	27358	\N	\N	\N
488357	1665	1998-11-06	VYDAJ	VYBER	6900	30611	\N	\N	\N
488358	1665	1998-12-06	VYDAJ	VYBER	3800	28050	\N	\N	\N
488376	1666	1993-10-30	PRIJEM	VKLAD	500	500	\N	\N	\N
488387	1666	1993-11-10	PRIJEM	PREVOD Z UCTU	6157	6657	DUCHOD	KL	80579667
488388	1666	1993-12-10	PRIJEM	PREVOD Z UCTU	6157	12814	DUCHOD	KL	80579667
488389	1666	1994-01-10	PRIJEM	PREVOD Z UCTU	6157	18971	DUCHOD	KL	80579667
488390	1666	1994-02-10	PRIJEM	PREVOD Z UCTU	6157	25128	DUCHOD	KL	80579667
488391	1666	1994-03-10	PRIJEM	PREVOD Z UCTU	6157	28692	DUCHOD	KL	80579667
488392	1666	1994-04-10	PRIJEM	PREVOD Z UCTU	6157	27974	DUCHOD	KL	80579667
488393	1666	1994-05-10	PRIJEM	PREVOD Z UCTU	6157	29663	DUCHOD	KL	80579667
488394	1666	1994-06-10	PRIJEM	PREVOD Z UCTU	6157	31759	DUCHOD	KL	80579667
488395	1666	1994-07-10	PRIJEM	PREVOD Z UCTU	6157	25393	DUCHOD	KL	80579667
488396	1666	1994-08-10	PRIJEM	PREVOD Z UCTU	6157	26027	DUCHOD	KL	80579667
488397	1666	1994-09-10	PRIJEM	PREVOD Z UCTU	6157	29209	DUCHOD	KL	80579667
488398	1666	1994-10-10	PRIJEM	PREVOD Z UCTU	6157	30523	DUCHOD	KL	80579667
488399	1666	1994-11-10	PRIJEM	PREVOD Z UCTU	6157	30522	DUCHOD	KL	80579667
488400	1666	1994-12-10	PRIJEM	PREVOD Z UCTU	6157	33722	DUCHOD	KL	80579667
488401	1666	1995-01-10	PRIJEM	PREVOD Z UCTU	6157	28784	DUCHOD	KL	80579667
488402	1666	1995-02-10	PRIJEM	PREVOD Z UCTU	6157	27428	DUCHOD	KL	80579667
488403	1666	1995-03-10	PRIJEM	PREVOD Z UCTU	6157	28475	DUCHOD	KL	80579667
488404	1666	1995-04-10	PRIJEM	PREVOD Z UCTU	6157	30365	DUCHOD	KL	80579667
488405	1666	1995-05-10	PRIJEM	PREVOD Z UCTU	6157	30060	DUCHOD	KL	80579667
488406	1666	1995-06-10	PRIJEM	PREVOD Z UCTU	6157	21754	DUCHOD	KL	80579667
488407	1666	1995-07-10	PRIJEM	PREVOD Z UCTU	6157	22222	DUCHOD	KL	80579667
488408	1666	1995-08-10	PRIJEM	PREVOD Z UCTU	6157	26288	DUCHOD	KL	80579667
488409	1666	1995-09-10	PRIJEM	PREVOD Z UCTU	6157	28690	DUCHOD	KL	80579667
488410	1666	1995-10-10	PRIJEM	PREVOD Z UCTU	6157	29878	DUCHOD	KL	80579667
488411	1666	1995-11-10	PRIJEM	PREVOD Z UCTU	6157	33976	DUCHOD	KL	80579667
488412	1666	1995-12-10	PRIJEM	PREVOD Z UCTU	6157	34384	DUCHOD	KL	80579667
488413	1666	1996-01-10	PRIJEM	PREVOD Z UCTU	6157	33064	DUCHOD	KL	80579667
488414	1666	1996-02-10	PRIJEM	PREVOD Z UCTU	6157	28598	DUCHOD	KL	80579667
488415	1666	1996-03-10	PRIJEM	PREVOD Z UCTU	6157	32689	DUCHOD	KL	80579667
488416	1666	1996-04-10	PRIJEM	PREVOD Z UCTU	6157	33519	DUCHOD	KL	80579667
488417	1666	1996-05-10	PRIJEM	PREVOD Z UCTU	6157	37634	DUCHOD	KL	80579667
488418	1666	1996-06-10	PRIJEM	PREVOD Z UCTU	6157	41764	DUCHOD	KL	80579667
488419	1666	1996-07-10	PRIJEM	PREVOD Z UCTU	6157	31073	DUCHOD	KL	80579667
488420	1666	1996-08-10	PRIJEM	PREVOD Z UCTU	6157	32047	DUCHOD	KL	80579667
488421	1666	1996-09-10	PRIJEM	PREVOD Z UCTU	6157	36153	DUCHOD	KL	80579667
488422	1666	1996-10-10	PRIJEM	PREVOD Z UCTU	6157	40276	DUCHOD	KL	80579667
488423	1666	1996-11-10	PRIJEM	PREVOD Z UCTU	6157	39832	DUCHOD	KL	80579667
488424	1666	1996-12-10	PRIJEM	PREVOD Z UCTU	6157	43370	DUCHOD	KL	80579667
488425	1666	1997-01-10	PRIJEM	PREVOD Z UCTU	6157	44082	DUCHOD	KL	80579667
488426	1666	1997-02-10	PRIJEM	PREVOD Z UCTU	6157	35894	DUCHOD	KL	80579667
488427	1666	1997-03-10	PRIJEM	PREVOD Z UCTU	6157	40015	DUCHOD	KL	80579667
488428	1666	1997-04-10	PRIJEM	PREVOD Z UCTU	6157	40946	DUCHOD	KL	80579667
488429	1666	1997-05-10	PRIJEM	PREVOD Z UCTU	6157	44307	DUCHOD	KL	80579667
488430	1666	1997-06-10	PRIJEM	PREVOD Z UCTU	6157	44353	DUCHOD	KL	80579667
488431	1666	1997-07-10	PRIJEM	PREVOD Z UCTU	6157	41005	DUCHOD	KL	80579667
488432	1666	1997-08-10	PRIJEM	PREVOD Z UCTU	6157	43142	DUCHOD	KL	80579667
488433	1666	1997-09-10	PRIJEM	PREVOD Z UCTU	6157	40015	DUCHOD	KL	80579667
488434	1666	1997-10-10	PRIJEM	PREVOD Z UCTU	6157	42789	DUCHOD	KL	80579667
488435	1666	1997-11-10	PRIJEM	PREVOD Z UCTU	6157	44318	DUCHOD	KL	80579667
488436	1666	1997-12-10	PRIJEM	PREVOD Z UCTU	6157	44525	DUCHOD	KL	80579667
488437	1666	1998-01-10	PRIJEM	PREVOD Z UCTU	6157	43145	DUCHOD	KL	80579667
488438	1666	1998-02-10	PRIJEM	PREVOD Z UCTU	6157	35446	DUCHOD	KL	80579667
488439	1666	1998-03-10	PRIJEM	PREVOD Z UCTU	6157	39565	DUCHOD	KL	80579667
488440	1666	1998-04-10	PRIJEM	PREVOD Z UCTU	6157	40261	DUCHOD	KL	80579667
488441	1666	1998-05-10	PRIJEM	PREVOD Z UCTU	6157	40638	DUCHOD	KL	80579667
488442	1666	1998-06-10	PRIJEM	PREVOD Z UCTU	6157	44778	DUCHOD	KL	80579667
488443	1666	1998-07-10	PRIJEM	PREVOD Z UCTU	6157	35024	DUCHOD	KL	80579667
488444	1666	1998-08-10	PRIJEM	PREVOD Z UCTU	6157	39141	DUCHOD	KL	80579667
488445	1666	1998-09-10	PRIJEM	PREVOD Z UCTU	6157	43274	DUCHOD	KL	80579667
488446	1666	1998-10-10	PRIJEM	PREVOD Z UCTU	6157	46063	DUCHOD	KL	80579667
488447	1666	1998-11-10	PRIJEM	PREVOD Z UCTU	6157	47580	DUCHOD	KL	80579667
488448	1666	1998-12-10	PRIJEM	PREVOD Z UCTU	6157	50699	DUCHOD	KL	80579667
488464	1666	1994-04-05	VYDAJ	PREVOD NA UCET	2164	21817	SIPO	AB	31104207
488465	1666	1994-05-05	VYDAJ	PREVOD NA UCET	2164	23506	SIPO	AB	31104207
488466	1666	1994-06-05	VYDAJ	PREVOD NA UCET	2164	25602	SIPO	AB	31104207
488467	1666	1994-07-05	VYDAJ	PREVOD NA UCET	2164	19236	SIPO	AB	31104207
488468	1666	1994-08-05	VYDAJ	PREVOD NA UCET	2164	19870	SIPO	AB	31104207
488469	1666	1994-09-05	VYDAJ	PREVOD NA UCET	2164	23052	SIPO	AB	31104207
488470	1666	1994-10-05	VYDAJ	PREVOD NA UCET	2164	26446	SIPO	AB	31104207
488471	1666	1994-11-05	VYDAJ	PREVOD NA UCET	2164	24365	SIPO	AB	31104207
488472	1666	1994-12-05	VYDAJ	PREVOD NA UCET	2164	27565	SIPO	AB	31104207
488473	1666	1995-01-05	VYDAJ	PREVOD NA UCET	2164	22627	SIPO	AB	31104207
488474	1666	1995-02-05	VYDAJ	PREVOD NA UCET	2164	21271	SIPO	AB	31104207
488475	1666	1995-03-05	VYDAJ	PREVOD NA UCET	2164	22318	SIPO	AB	31104207
488476	1666	1995-04-05	VYDAJ	PREVOD NA UCET	2164	24208	SIPO	AB	31104207
488477	1666	1995-05-05	VYDAJ	PREVOD NA UCET	2164	23903	SIPO	AB	31104207
488478	1666	1995-06-05	VYDAJ	PREVOD NA UCET	2164	15597	SIPO	AB	31104207
488479	1666	1995-07-05	VYDAJ	PREVOD NA UCET	2164	16065	SIPO	AB	31104207
488480	1666	1995-08-05	VYDAJ	PREVOD NA UCET	2164	20131	SIPO	AB	31104207
488481	1666	1995-09-05	VYDAJ	PREVOD NA UCET	2164	22533	SIPO	AB	31104207
488482	1666	1995-10-05	VYDAJ	PREVOD NA UCET	2164	23721	SIPO	AB	31104207
488483	1666	1995-11-05	VYDAJ	PREVOD NA UCET	2164	27819	SIPO	AB	31104207
488484	1666	1995-12-05	VYDAJ	PREVOD NA UCET	2164	28227	SIPO	AB	31104207
488485	1666	1996-01-05	VYDAJ	PREVOD NA UCET	2164	26907	SIPO	AB	31104207
488486	1666	1996-02-05	VYDAJ	PREVOD NA UCET	2164	22441	SIPO	AB	31104207
488487	1666	1996-03-05	VYDAJ	PREVOD NA UCET	2164	26532	SIPO	AB	31104207
488488	1666	1996-04-05	VYDAJ	PREVOD NA UCET	2164	30642	SIPO	AB	31104207
488489	1666	1996-05-05	VYDAJ	PREVOD NA UCET	2164	31477	SIPO	AB	31104207
488490	1666	1996-06-05	VYDAJ	PREVOD NA UCET	2164	35607	SIPO	AB	31104207
488491	1666	1996-07-05	VYDAJ	PREVOD NA UCET	2164	24916	SIPO	AB	31104207
488492	1666	1996-08-05	VYDAJ	PREVOD NA UCET	2164	25890	SIPO	AB	31104207
488493	1666	1996-09-05	VYDAJ	PREVOD NA UCET	2164	29996	SIPO	AB	31104207
488494	1666	1996-10-05	VYDAJ	PREVOD NA UCET	2164	34119	SIPO	AB	31104207
488495	1666	1996-11-05	VYDAJ	PREVOD NA UCET	2164	33675	SIPO	AB	31104207
488496	1666	1996-12-05	VYDAJ	PREVOD NA UCET	2164	37213	SIPO	AB	31104207
488497	1666	1997-01-05	VYDAJ	PREVOD NA UCET	2164	39125	SIPO	AB	31104207
488498	1666	1997-02-05	VYDAJ	PREVOD NA UCET	2164	29737	SIPO	AB	31104207
488499	1666	1997-03-05	VYDAJ	PREVOD NA UCET	2164	33858	SIPO	AB	31104207
488500	1666	1997-04-05	VYDAJ	PREVOD NA UCET	2164	34789	SIPO	AB	31104207
488501	1666	1997-05-05	VYDAJ	PREVOD NA UCET	2164	38150	SIPO	AB	31104207
488502	1666	1997-06-05	VYDAJ	PREVOD NA UCET	2164	38196	SIPO	AB	31104207
488503	1666	1997-07-05	VYDAJ	PREVOD NA UCET	2164	34848	SIPO	AB	31104207
488504	1666	1997-08-05	VYDAJ	PREVOD NA UCET	2164	36985	SIPO	AB	31104207
488505	1666	1997-09-05	VYDAJ	PREVOD NA UCET	2164	33858	SIPO	AB	31104207
488506	1666	1997-10-05	VYDAJ	PREVOD NA UCET	2164	36632	SIPO	AB	31104207
488507	1666	1997-11-05	VYDAJ	PREVOD NA UCET	2164	39661	SIPO	AB	31104207
488508	1666	1997-12-05	VYDAJ	PREVOD NA UCET	2164	42318	SIPO	AB	31104207
488509	1666	1998-01-05	VYDAJ	PREVOD NA UCET	2164	42528	SIPO	AB	31104207
488510	1666	1998-02-05	VYDAJ	PREVOD NA UCET	2164	29289	SIPO	AB	31104207
488511	1666	1998-03-05	VYDAJ	PREVOD NA UCET	2164	33408	SIPO	AB	31104207
488512	1666	1998-04-05	VYDAJ	PREVOD NA UCET	2164	34104	SIPO	AB	31104207
488513	1666	1998-05-05	VYDAJ	PREVOD NA UCET	2164	34481	SIPO	AB	31104207
488514	1666	1998-06-05	VYDAJ	PREVOD NA UCET	2164	38621	SIPO	AB	31104207
488515	1666	1998-07-05	VYDAJ	PREVOD NA UCET	2164	28867	SIPO	AB	31104207
488516	1666	1998-08-05	VYDAJ	PREVOD NA UCET	2164	32984	SIPO	AB	31104207
488517	1666	1998-09-05	VYDAJ	PREVOD NA UCET	2164	37117	SIPO	AB	31104207
488518	1666	1998-10-05	VYDAJ	PREVOD NA UCET	2164	39906	SIPO	AB	31104207
488519	1666	1998-11-05	VYDAJ	PREVOD NA UCET	2164	41423	SIPO	AB	31104207
488520	1666	1998-12-05	VYDAJ	PREVOD NA UCET	2164	44542	SIPO	AB	31104207
488522	1666	1994-06-16	VYDAJ	VYBER	10450	21309	\N	\N	\N
488523	1666	1995-06-05	VYDAJ	VYBER	8800	17761	\N	\N	\N
488524	1666	1996-06-13	VYDAJ	VYBER	14800	26964	\N	\N	\N
488525	1666	1997-06-11	VYDAJ	VYBER	5900	36853	\N	\N	\N
488526	1666	1998-06-20	VYDAJ	VYBER	12450	30888	\N	\N	\N
488528	1666	1994-12-12	VYDAJ	VYBER	1100	32622	\N	\N	\N
488529	1666	1995-12-20	VYDAJ	VYBER	550	30554	\N	\N	\N
488530	1666	1996-12-01	VYDAJ	VYBER	600	39377	\N	\N	\N
488531	1666	1997-12-07	VYDAJ	VYBER	750	41568	\N	\N	\N
488532	1666	1998-12-01	VYDAJ	VYBER	1050	46706	\N	\N	\N
488545	1666	1995-01-18	VYDAJ	VYBER	1920	25984	\N	\N	\N
488546	1666	1995-01-03	VYDAJ	VYBER	560	25591	\N	\N	\N
488547	1666	1995-01-20	VYDAJ	VYBER	720	25264	\N	\N	\N
488548	1666	1995-01-04	VYDAJ	VYBER	800	24791	\N	\N	\N
488549	1666	1995-01-10	VYDAJ	VYBER	880	27904	\N	\N	\N
488550	1666	1995-01-29	VYDAJ	VYBER	1920	23344	\N	\N	\N
488551	1666	1996-01-01	VYDAJ	VYBER	1600	29071	\N	\N	\N
488552	1666	1996-01-18	VYDAJ	VYBER	1760	25944	\N	\N	\N
488553	1666	1996-01-17	VYDAJ	VYBER	1920	27704	\N	\N	\N
488554	1666	1996-01-16	VYDAJ	VYBER	1200	29624	\N	\N	\N
488555	1666	1996-01-15	VYDAJ	VYBER	2240	30824	\N	\N	\N
488556	1666	1996-01-24	VYDAJ	VYBER	1440	24504	\N	\N	\N
488557	1666	1997-01-09	VYDAJ	VYBER	1200	37925	\N	\N	\N
488558	1666	1997-01-22	VYDAJ	VYBER	1520	32802	\N	\N	\N
488559	1666	1997-01-05	VYDAJ	VYBER	2240	41289	\N	\N	\N
488560	1666	1997-01-16	VYDAJ	VYBER	400	34322	\N	\N	\N
488561	1666	1997-01-24	VYDAJ	VYBER	1040	31762	\N	\N	\N
488562	1666	1997-01-12	VYDAJ	VYBER	1840	42242	\N	\N	\N
488563	1666	1998-01-20	VYDAJ	VYBER	1520	40105	\N	\N	\N
488564	1666	1998-01-24	VYDAJ	VYBER	1520	33865	\N	\N	\N
488565	1666	1998-01-08	VYDAJ	VYBER	2240	36988	\N	\N	\N
488566	1666	1998-01-26	VYDAJ	VYBER	480	31305	\N	\N	\N
488567	1666	1998-01-24	VYDAJ	VYBER	1280	35385	\N	\N	\N
488568	1666	1998-01-10	VYDAJ	VYBER	1520	41625	\N	\N	\N
488573	1666	1994-12-25	VYDAJ	VYBER	1440	26042	\N	\N	\N
488574	1666	1994-12-19	VYDAJ	VYBER	3040	29582	\N	\N	\N
488575	1666	1994-07-20	VYDAJ	VYBER	3440	21953	\N	\N	\N
488577	1666	1994-10-09	VYDAJ	VYBER	2080	24366	\N	\N	\N
488578	1666	1994-03-13	VYDAJ	VYBER	1600	27092	\N	\N	\N
488579	1666	1994-04-28	VYDAJ	VYBER	2400	25574	\N	\N	\N
488580	1666	1995-08-27	VYDAJ	VYBER	1680	24608	\N	\N	\N
488581	1666	1995-12-16	VYDAJ	VYBER	1280	33104	\N	\N	\N
488582	1666	1995-04-28	VYDAJ	VYBER	400	25965	\N	\N	\N
488583	1666	1995-06-10	VYDAJ	VYBER	3600	18154	\N	\N	\N
488584	1666	1995-02-28	VYDAJ	VYBER	3040	24496	\N	\N	\N
488585	1666	1996-04-08	VYDAJ	VYBER	3280	27362	\N	\N	\N
488586	1666	1996-07-11	VYDAJ	VYBER	3120	27953	\N	\N	\N
488587	1666	1996-11-03	VYDAJ	VYBER	2480	35839	\N	\N	\N
488588	1666	1997-10-27	VYDAJ	VYBER	1120	41669	\N	\N	\N
488589	1666	1997-09-10	VYDAJ	VYBER	1360	38655	\N	\N	\N
488590	1666	1997-08-16	VYDAJ	VYBER	2960	35882	\N	\N	\N
488591	1666	1997-04-23	VYDAJ	VYBER	480	40166	\N	\N	\N
488592	1666	1997-01-13	VYDAJ	VYBER	3920	38322	\N	\N	\N
488593	1666	1997-01-15	VYDAJ	VYBER	3600	34722	\N	\N	\N
488594	1666	1998-01-21	VYDAJ	VYBER	3440	36665	\N	\N	\N
488595	1666	1998-01-26	VYDAJ	VYBER	2080	31785	\N	\N	\N
488596	1666	1998-06-16	VYDAJ	VYBER	1440	43338	\N	\N	\N
488597	1666	1998-04-03	VYDAJ	VYBER	3440	36268	\N	\N	\N
488598	1666	1998-04-27	VYDAJ	VYBER	3760	36501	\N	\N	\N
488599	1666	1998-10-16	VYDAJ	VYBER	2640	43423	\N	\N	\N
488600	1666	1998-09-22	VYDAJ	VYBER	1360	41914	\N	\N	\N
488616	1666	1994-03-31	VYDAJ	VYBER	15	23981	SLUZBY	\N	\N
488617	1666	1994-04-30	VYDAJ	VYBER	15	25670	SLUZBY	\N	\N
488618	1666	1994-05-31	VYDAJ	VYBER	15	27766	SLUZBY	\N	\N
488619	1666	1994-06-30	VYDAJ	VYBER	15	21400	SLUZBY	\N	\N
488620	1666	1994-07-31	VYDAJ	VYBER	15	22034	SLUZBY	\N	\N
488621	1666	1994-08-31	VYDAJ	VYBER	15	25216	SLUZBY	\N	\N
488622	1666	1994-09-30	VYDAJ	VYBER	15	28610	SLUZBY	\N	\N
488623	1666	1994-10-31	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
488624	1666	1994-11-30	VYDAJ	VYBER	15	29729	SLUZBY	\N	\N
488625	1666	1994-12-31	VYDAJ	VYBER	15	26151	SLUZBY	\N	\N
488626	1666	1995-01-31	VYDAJ	VYBER	15	23435	SLUZBY	\N	\N
488627	1666	1995-02-28	VYDAJ	VYBER	15	24482	SLUZBY	\N	\N
488628	1666	1995-03-31	VYDAJ	VYBER	15	26372	SLUZBY	\N	\N
488629	1666	1995-04-30	VYDAJ	VYBER	15	26067	SLUZBY	\N	\N
488630	1666	1995-05-31	VYDAJ	VYBER	15	26561	SLUZBY	\N	\N
488631	1666	1995-06-30	VYDAJ	VYBER	15	18229	SLUZBY	\N	\N
488632	1666	1995-07-31	VYDAJ	VYBER	15	22295	SLUZBY	\N	\N
488633	1666	1995-08-31	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
488634	1666	1995-09-30	VYDAJ	VYBER	15	25885	SLUZBY	\N	\N
488635	1666	1995-10-31	VYDAJ	VYBER	15	29983	SLUZBY	\N	\N
488636	1666	1995-11-30	VYDAJ	VYBER	15	30391	SLUZBY	\N	\N
488637	1666	1995-12-31	VYDAJ	VYBER	15	30671	SLUZBY	\N	\N
488638	1666	1996-01-31	VYDAJ	VYBER	15	24605	SLUZBY	\N	\N
488639	1666	1996-02-29	VYDAJ	VYBER	15	28696	SLUZBY	\N	\N
488640	1666	1996-03-31	VYDAJ	VYBER	15	32806	SLUZBY	\N	\N
488641	1666	1996-04-30	VYDAJ	VYBER	15	33641	SLUZBY	\N	\N
488642	1666	1996-05-31	VYDAJ	VYBER	15	37771	SLUZBY	\N	\N
488643	1666	1996-06-30	VYDAJ	VYBER	15	27080	SLUZBY	\N	\N
488644	1666	1996-07-31	VYDAJ	VYBER	15	28054	SLUZBY	\N	\N
488645	1666	1996-08-31	VYDAJ	VYBER	15	32160	SLUZBY	\N	\N
488646	1666	1996-09-30	VYDAJ	VYBER	15	36283	SLUZBY	\N	\N
488647	1666	1996-10-31	VYDAJ	VYBER	15	38319	SLUZBY	\N	\N
488648	1666	1996-11-30	VYDAJ	VYBER	15	39977	SLUZBY	\N	\N
488649	1666	1996-12-31	VYDAJ	VYBER	15	43529	SLUZBY	\N	\N
488650	1666	1997-01-31	VYDAJ	VYBER	15	31901	SLUZBY	\N	\N
488651	1666	1997-02-28	VYDAJ	VYBER	15	36022	SLUZBY	\N	\N
488652	1666	1997-03-31	VYDAJ	VYBER	15	36953	SLUZBY	\N	\N
488653	1666	1997-04-30	VYDAJ	VYBER	15	40314	SLUZBY	\N	\N
488654	1666	1997-05-31	VYDAJ	VYBER	15	40360	SLUZBY	\N	\N
488655	1666	1997-06-30	VYDAJ	VYBER	15	37012	SLUZBY	\N	\N
488656	1666	1997-07-31	VYDAJ	VYBER	15	39149	SLUZBY	\N	\N
488657	1666	1997-08-31	VYDAJ	VYBER	15	36022	SLUZBY	\N	\N
488658	1666	1997-09-30	VYDAJ	VYBER	15	38796	SLUZBY	\N	\N
488659	1666	1997-10-31	VYDAJ	VYBER	15	41825	SLUZBY	\N	\N
488660	1666	1997-11-30	VYDAJ	VYBER	15	44482	SLUZBY	\N	\N
488661	1666	1997-12-31	VYDAJ	VYBER	15	44692	SLUZBY	\N	\N
488662	1666	1998-01-31	VYDAJ	VYBER	15	31453	SLUZBY	\N	\N
488663	1666	1998-02-28	VYDAJ	VYBER	15	35572	SLUZBY	\N	\N
488664	1666	1998-03-31	VYDAJ	VYBER	15	39708	SLUZBY	\N	\N
488665	1666	1998-04-30	VYDAJ	VYBER	15	36645	SLUZBY	\N	\N
488666	1666	1998-05-31	VYDAJ	VYBER	15	40785	SLUZBY	\N	\N
488667	1666	1998-06-30	VYDAJ	VYBER	15	31031	SLUZBY	\N	\N
488668	1666	1998-07-31	VYDAJ	VYBER	15	35148	SLUZBY	\N	\N
488669	1666	1998-08-31	VYDAJ	VYBER	15	39281	SLUZBY	\N	\N
488670	1666	1998-09-30	VYDAJ	VYBER	15	42070	SLUZBY	\N	\N
488671	1666	1998-10-31	VYDAJ	VYBER	15	43587	SLUZBY	\N	\N
488672	1666	1998-11-30	VYDAJ	VYBER	15	47756	SLUZBY	\N	\N
488673	1666	1994-02-27	VYDAJ	VYBER	2600	22528	\N	\N	\N
488674	1666	1994-03-29	VYDAJ	VYBER	3200	23892	\N	\N	\N
488675	1666	1994-05-28	VYDAJ	VYBER	2000	27663	\N	\N	\N
488676	1666	1994-08-26	VYDAJ	VYBER	900	25127	\N	\N	\N
488677	1666	1994-09-25	VYDAJ	VYBER	700	28509	\N	\N	\N
488678	1666	1994-10-25	VYDAJ	VYBER	4100	26423	\N	\N	\N
488679	1666	1994-11-24	VYDAJ	VYBER	900	29622	\N	\N	\N
488680	1666	1994-12-24	VYDAJ	VYBER	2100	27482	\N	\N	\N
488681	1666	1995-03-24	VYDAJ	VYBER	2200	26275	\N	\N	\N
488682	1666	1995-04-23	VYDAJ	VYBER	4000	26365	\N	\N	\N
488683	1666	1995-05-23	VYDAJ	VYBER	3600	26460	\N	\N	\N
488684	1666	1995-09-20	VYDAJ	VYBER	2900	25790	\N	\N	\N
488685	1666	1995-11-19	VYDAJ	VYBER	3700	30276	\N	\N	\N
488686	1666	1995-12-19	VYDAJ	VYBER	2000	31104	\N	\N	\N
488687	1666	1996-10-14	VYDAJ	VYBER	2100	38176	\N	\N	\N
488688	1666	1997-03-13	VYDAJ	VYBER	3200	36815	\N	\N	\N
488689	1666	1997-04-12	VYDAJ	VYBER	300	40646	\N	\N	\N
488690	1666	1997-05-12	VYDAJ	VYBER	4100	40207	\N	\N	\N
488691	1666	1997-06-11	VYDAJ	VYBER	1600	42753	\N	\N	\N
488692	1666	1997-07-11	VYDAJ	VYBER	2000	39005	\N	\N	\N
488693	1666	1997-08-10	VYDAJ	VYBER	4300	38842	\N	\N	\N
488694	1666	1997-11-08	VYDAJ	VYBER	1500	38161	\N	\N	\N
488695	1666	1997-12-08	VYDAJ	VYBER	3200	38368	\N	\N	\N
488696	1666	1998-01-07	VYDAJ	VYBER	3300	39228	\N	\N	\N
488756	1667	1996-08-18	PRIJEM	VKLAD	200	200	\N	\N	\N
488765	1667	1996-09-12	PRIJEM	VKLAD	4537	4737	\N	\N	\N
488766	1667	1996-10-12	PRIJEM	VKLAD	4537	17399	\N	\N	\N
488767	1667	1996-11-12	PRIJEM	VKLAD	4537	26207	\N	\N	\N
488768	1667	1996-12-12	PRIJEM	VKLAD	6806	32512	\N	\N	\N
488769	1667	1997-01-12	PRIJEM	VKLAD	4537	35867	\N	\N	\N
488770	1667	1997-02-12	PRIJEM	VKLAD	4537	24674	\N	\N	\N
488771	1667	1997-03-12	PRIJEM	VKLAD	4537	32096	\N	\N	\N
488772	1667	1997-04-12	PRIJEM	VKLAD	4537	34447	\N	\N	\N
488773	1667	1997-05-12	PRIJEM	VKLAD	4537	35304	\N	\N	\N
488774	1667	1997-06-12	PRIJEM	VKLAD	6806	36822	\N	\N	\N
488775	1667	1997-07-12	PRIJEM	VKLAD	4537	30829	\N	\N	\N
488776	1667	1997-08-12	PRIJEM	VKLAD	4537	32565	\N	\N	\N
488777	1667	1997-09-12	PRIJEM	VKLAD	4537	32043	\N	\N	\N
488778	1667	1997-10-12	PRIJEM	VKLAD	4537	29774	\N	\N	\N
488779	1667	1997-11-12	PRIJEM	VKLAD	4537	24644	\N	\N	\N
488780	1667	1997-12-12	PRIJEM	VKLAD	6806	28760	\N	\N	\N
488781	1667	1998-01-12	PRIJEM	VKLAD	4537	17056	\N	\N	\N
488782	1667	1998-02-12	PRIJEM	VKLAD	4537	18102	\N	\N	\N
488783	1667	1998-03-12	PRIJEM	VKLAD	4537	17580	\N	\N	\N
488784	1667	1998-04-12	PRIJEM	VKLAD	4537	18170	\N	\N	\N
488785	1667	1998-05-12	PRIJEM	VKLAD	4537	19747	\N	\N	\N
488786	1667	1998-06-12	PRIJEM	VKLAD	6806	18717	\N	\N	\N
488787	1667	1998-07-12	PRIJEM	VKLAD	4537	17919	\N	\N	\N
488788	1667	1998-08-12	PRIJEM	VKLAD	4537	18317	\N	\N	\N
488789	1667	1998-09-12	PRIJEM	VKLAD	4537	19915	\N	\N	\N
488790	1667	1998-10-12	PRIJEM	VKLAD	4537	23617	\N	\N	\N
488791	1667	1998-11-12	PRIJEM	VKLAD	4537	19132	\N	\N	\N
488792	1667	1998-12-12	PRIJEM	VKLAD	6806	17710	\N	\N	\N
488794	1667	1997-06-23	VYDAJ	VYBER	7040	26182	\N	\N	\N
488798	1667	1998-01-06	VYDAJ	VYBER	6240	14699	\N	\N	\N
488805	1667	1997-01-28	VYDAJ	VYBER	2640	21467	\N	\N	\N
488806	1667	1997-01-28	VYDAJ	VYBER	1440	20027	\N	\N	\N
488807	1667	1997-01-26	VYDAJ	VYBER	2520	26387	\N	\N	\N
488809	1667	1997-01-27	VYDAJ	VYBER	2280	24107	\N	\N	\N
488811	1667	1998-01-04	VYDAJ	VYBER	1920	20939	\N	\N	\N
488812	1667	1998-01-01	VYDAJ	VYBER	2640	26219	\N	\N	\N
488813	1667	1998-01-23	VYDAJ	VYBER	3480	11416	\N	\N	\N
488814	1667	1998-01-11	VYDAJ	VYBER	2880	12519	\N	\N	\N
488815	1667	1998-01-12	VYDAJ	VYBER	2160	14896	\N	\N	\N
488816	1667	1998-01-10	VYDAJ	VYBER	600	15399	\N	\N	\N
488823	1667	1997-11-02	VYDAJ	VYBER	5160	21307	\N	\N	\N
488824	1667	1997-01-26	VYDAJ	VYBER	2760	28907	\N	\N	\N
488825	1667	1997-04-06	VYDAJ	VYBER	4200	29910	\N	\N	\N
488826	1667	1997-08-15	VYDAJ	VYBER	2760	27405	\N	\N	\N
488827	1667	1997-12-09	VYDAJ	VYBER	2280	22454	\N	\N	\N
488828	1667	1998-01-03	VYDAJ	VYBER	3360	22859	\N	\N	\N
488829	1667	1998-12-10	VYDAJ	VYBER	3000	10904	\N	\N	\N
488830	1667	1998-02-14	VYDAJ	VYBER	4200	13902	\N	\N	\N
488831	1667	1998-05-07	VYDAJ	VYBER	4320	13910	\N	\N	\N
488845	1667	1997-01-31	VYDAJ	VYBER	15	20137	SLUZBY	\N	\N
488846	1667	1997-02-28	VYDAJ	VYBER	15	27559	SLUZBY	\N	\N
488847	1667	1997-03-31	VYDAJ	VYBER	15	34110	SLUZBY	\N	\N
488848	1667	1997-04-30	VYDAJ	VYBER	15	30767	SLUZBY	\N	\N
488849	1667	1997-05-31	VYDAJ	VYBER	15	30016	SLUZBY	\N	\N
488850	1667	1997-06-30	VYDAJ	VYBER	15	26292	SLUZBY	\N	\N
488851	1667	1997-07-31	VYDAJ	VYBER	15	28028	SLUZBY	\N	\N
488852	1667	1997-08-31	VYDAJ	VYBER	15	27506	SLUZBY	\N	\N
488853	1667	1997-09-30	VYDAJ	VYBER	15	25237	SLUZBY	\N	\N
488854	1667	1997-10-31	VYDAJ	VYBER	15	26467	SLUZBY	\N	\N
488855	1667	1997-11-30	VYDAJ	VYBER	15	24734	SLUZBY	\N	\N
488856	1667	1997-12-31	VYDAJ	VYBER	15	28859	SLUZBY	\N	\N
488857	1667	1998-01-31	VYDAJ	VYBER	15	11465	SLUZBY	\N	\N
488858	1667	1998-02-28	VYDAJ	VYBER	15	13943	SLUZBY	\N	\N
488859	1667	1998-03-31	VYDAJ	VYBER	15	17633	SLUZBY	\N	\N
488860	1667	1998-04-30	VYDAJ	VYBER	15	18230	SLUZBY	\N	\N
488861	1667	1998-05-31	VYDAJ	VYBER	15	19811	SLUZBY	\N	\N
488862	1667	1998-06-30	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
488863	1667	1998-07-31	VYDAJ	VYBER	15	17980	SLUZBY	\N	\N
488864	1667	1998-08-31	VYDAJ	VYBER	15	18378	SLUZBY	\N	\N
488865	1667	1998-09-30	VYDAJ	VYBER	15	19980	SLUZBY	\N	\N
488866	1667	1998-10-31	VYDAJ	VYBER	15	23695	SLUZBY	\N	\N
488867	1667	1998-11-30	VYDAJ	VYBER	15	19204	SLUZBY	\N	\N
488868	1667	1996-09-17	PRIJEM	VKLAD	8100	12837	\N	\N	\N
488869	1667	1996-10-17	PRIJEM	VKLAD	4200	21599	\N	\N	\N
488870	1667	1996-11-16	VYDAJ	VYBER	600	25607	\N	\N	\N
488871	1667	1996-12-16	VYDAJ	VYBER	1300	31212	\N	\N	\N
488872	1667	1997-01-15	VYDAJ	VYBER	4200	31667	\N	\N	\N
488873	1667	1997-02-14	PRIJEM	VKLAD	2800	27474	\N	\N	\N
488874	1667	1997-03-16	PRIJEM	VKLAD	1900	33996	\N	\N	\N
488875	1667	1997-04-15	VYDAJ	VYBER	3800	30647	\N	\N	\N
488876	1667	1997-05-15	VYDAJ	VYBER	5400	29904	\N	\N	\N
488877	1667	1997-06-14	VYDAJ	VYBER	3600	33222	\N	\N	\N
488878	1667	1997-07-14	VYDAJ	VYBER	2900	27929	\N	\N	\N
488879	1667	1997-08-13	VYDAJ	VYBER	2400	30165	\N	\N	\N
488880	1667	1997-09-12	VYDAJ	VYBER	6900	25143	\N	\N	\N
488881	1667	1997-10-12	VYDAJ	VYBER	3400	26374	\N	\N	\N
488882	1667	1997-11-11	VYDAJ	VYBER	1200	20107	\N	\N	\N
488883	1667	1997-12-11	VYDAJ	VYBER	500	21954	\N	\N	\N
488884	1667	1998-01-10	PRIJEM	VKLAD	1300	15999	\N	\N	\N
488885	1667	1998-02-09	PRIJEM	VKLAD	2100	13565	\N	\N	\N
488886	1667	1998-03-11	VYDAJ	VYBER	900	13043	\N	\N	\N
488887	1667	1998-04-10	VYDAJ	VYBER	4000	13633	\N	\N	\N
488888	1667	1998-05-10	PRIJEM	VKLAD	1300	15210	\N	\N	\N
488889	1667	1998-06-09	VYDAJ	VYBER	7900	11911	\N	\N	\N
488890	1667	1998-07-09	VYDAJ	VYBER	5400	13382	\N	\N	\N
488891	1667	1998-08-08	VYDAJ	VYBER	4200	13780	\N	\N	\N
488892	1667	1998-09-07	VYDAJ	VYBER	3000	15378	\N	\N	\N
488893	1667	1998-10-07	VYDAJ	VYBER	900	19080	\N	\N	\N
488894	1667	1998-11-06	VYDAJ	VYBER	9100	14595	\N	\N	\N
488895	1667	1998-12-06	VYDAJ	VYBER	5300	13904	\N	\N	\N
488924	1668	1997-03-07	PRIJEM	VKLAD	200	200	\N	\N	\N
488927	1668	1997-03-13	PRIJEM	PREVOD Z UCTU	4913	5113	DUCHOD	EF	81635307
488928	1668	1997-04-13	PRIJEM	PREVOD Z UCTU	4913	10039	DUCHOD	EF	81635307
488929	1668	1997-05-13	PRIJEM	PREVOD Z UCTU	4913	14973	DUCHOD	EF	81635307
488930	1668	1997-06-13	PRIJEM	PREVOD Z UCTU	4913	19908	DUCHOD	EF	81635307
488931	1668	1997-07-13	PRIJEM	PREVOD Z UCTU	4913	24842	DUCHOD	EF	81635307
488932	1668	1997-08-13	PRIJEM	PREVOD Z UCTU	4913	25389	DUCHOD	EF	81635307
488933	1668	1997-09-13	PRIJEM	PREVOD Z UCTU	4913	21514	DUCHOD	EF	81635307
488934	1668	1997-10-13	PRIJEM	PREVOD Z UCTU	4913	21225	DUCHOD	EF	81635307
488935	1668	1997-11-13	PRIJEM	PREVOD Z UCTU	4913	19932	DUCHOD	EF	81635307
488936	1668	1997-12-13	PRIJEM	PREVOD Z UCTU	4913	21035	DUCHOD	EF	81635307
488937	1668	1998-01-13	PRIJEM	PREVOD Z UCTU	4913	19838	DUCHOD	EF	81635307
488938	1668	1998-02-13	PRIJEM	PREVOD Z UCTU	4913	18838	DUCHOD	EF	81635307
488939	1668	1998-03-13	PRIJEM	PREVOD Z UCTU	4913	14037	DUCHOD	EF	81635307
488940	1668	1998-04-13	PRIJEM	PREVOD Z UCTU	4913	13117	DUCHOD	EF	81635307
488941	1668	1998-05-13	PRIJEM	PREVOD Z UCTU	4913	14791	DUCHOD	EF	81635307
488942	1668	1998-06-13	PRIJEM	PREVOD Z UCTU	4913	16474	DUCHOD	EF	81635307
488943	1668	1998-07-13	PRIJEM	PREVOD Z UCTU	4913	15518	DUCHOD	EF	81635307
488944	1668	1998-08-13	PRIJEM	PREVOD Z UCTU	4913	17203	DUCHOD	EF	81635307
488945	1668	1998-09-13	PRIJEM	PREVOD Z UCTU	4913	18896	DUCHOD	EF	81635307
488946	1668	1998-10-13	PRIJEM	PREVOD Z UCTU	4913	20595	DUCHOD	EF	81635307
488947	1668	1998-11-13	PRIJEM	PREVOD Z UCTU	4913	22301	DUCHOD	EF	81635307
488948	1668	1998-12-13	PRIJEM	PREVOD Z UCTU	4913	14610	DUCHOD	EF	81635307
488956	1668	1997-08-06	VYDAJ	PREVOD NA UCET	3275	20476	SIPO	IJ	84733837
488957	1668	1997-09-06	VYDAJ	PREVOD NA UCET	3275	16601	SIPO	IJ	84733837
488958	1668	1997-10-06	VYDAJ	PREVOD NA UCET	3275	16312	SIPO	IJ	84733837
488959	1668	1997-11-06	VYDAJ	PREVOD NA UCET	3275	15019	SIPO	IJ	84733837
488960	1668	1997-12-06	VYDAJ	PREVOD NA UCET	3275	16122	SIPO	IJ	84733837
488961	1668	1998-01-06	VYDAJ	PREVOD NA UCET	3275	14925	SIPO	IJ	84733837
488962	1668	1998-02-06	VYDAJ	PREVOD NA UCET	3275	13925	SIPO	IJ	84733837
488963	1668	1998-03-06	VYDAJ	PREVOD NA UCET	3275	9124	SIPO	IJ	84733837
488964	1668	1998-04-06	VYDAJ	PREVOD NA UCET	3275	8204	SIPO	IJ	84733837
488965	1668	1998-05-06	VYDAJ	PREVOD NA UCET	3275	9878	SIPO	IJ	84733837
488966	1668	1998-06-06	VYDAJ	PREVOD NA UCET	3275	11561	SIPO	IJ	84733837
488967	1668	1998-07-06	VYDAJ	PREVOD NA UCET	3275	10605	SIPO	IJ	84733837
488968	1668	1998-08-06	VYDAJ	PREVOD NA UCET	3275	12290	SIPO	IJ	84733837
488969	1668	1998-09-06	VYDAJ	PREVOD NA UCET	3275	13983	SIPO	IJ	84733837
488970	1668	1998-10-06	VYDAJ	PREVOD NA UCET	3275	15682	SIPO	IJ	84733837
488971	1668	1998-11-06	VYDAJ	PREVOD NA UCET	3275	17388	SIPO	IJ	84733837
488972	1668	1998-12-06	VYDAJ	PREVOD NA UCET	3275	9697	SIPO	IJ	84733837
488975	1668	1997-12-17	VYDAJ	VYBER	1300	19735	\N	\N	\N
488976	1668	1998-12-26	VYDAJ	VYBER	400	14210	\N	\N	\N
488981	1668	1998-01-24	VYDAJ	VYBER	800	19038	\N	\N	\N
488982	1668	1998-06-18	VYDAJ	VYBER	2640	13834	\N	\N	\N
488991	1668	1997-07-31	VYDAJ	VYBER	15	24851	SLUZBY	\N	\N
488992	1668	1997-08-31	VYDAJ	VYBER	15	25476	SLUZBY	\N	\N
488993	1668	1997-09-30	VYDAJ	VYBER	15	21587	SLUZBY	\N	\N
488994	1668	1997-10-31	VYDAJ	VYBER	15	21294	SLUZBY	\N	\N
488995	1668	1997-11-30	VYDAJ	VYBER	15	19997	SLUZBY	\N	\N
488996	1668	1997-12-31	VYDAJ	VYBER	15	19800	SLUZBY	\N	\N
488997	1668	1998-01-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
488998	1668	1998-02-28	VYDAJ	VYBER	15	18899	SLUZBY	\N	\N
488999	1668	1998-03-31	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
489000	1668	1998-04-30	VYDAJ	VYBER	15	13153	SLUZBY	\N	\N
489001	1668	1998-05-31	VYDAJ	VYBER	15	14836	SLUZBY	\N	\N
489002	1668	1998-06-30	VYDAJ	VYBER	15	13880	SLUZBY	\N	\N
489003	1668	1998-07-31	VYDAJ	VYBER	15	15565	SLUZBY	\N	\N
489004	1668	1998-08-31	VYDAJ	VYBER	15	17258	SLUZBY	\N	\N
489005	1668	1998-09-30	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
489006	1668	1998-10-31	VYDAJ	VYBER	15	20663	SLUZBY	\N	\N
489007	1668	1998-11-30	VYDAJ	VYBER	15	12972	SLUZBY	\N	\N
489008	1668	1997-08-04	VYDAJ	VYBER	1100	23751	\N	\N	\N
489009	1668	1997-09-03	VYDAJ	VYBER	5600	19876	\N	\N	\N
489010	1668	1997-10-03	VYDAJ	VYBER	2000	19587	\N	\N	\N
489011	1668	1997-11-02	VYDAJ	VYBER	3000	18294	\N	\N	\N
489012	1668	1997-12-02	VYDAJ	VYBER	600	19397	\N	\N	\N
489013	1668	1998-01-01	VYDAJ	VYBER	1600	18200	\N	\N	\N
489014	1668	1998-01-31	VYDAJ	VYBER	1900	17215	\N	\N	\N
489015	1668	1998-03-02	VYDAJ	VYBER	6500	12399	\N	\N	\N
489016	1668	1998-04-01	VYDAJ	VYBER	2600	11479	\N	\N	\N
489017	1668	1998-11-27	VYDAJ	VYBER	9400	12901	\N	\N	\N
489040	1669	1996-09-19	PRIJEM	VKLAD	700	700	\N	\N	\N
489050	1669	1996-10-08	PRIJEM	VKLAD	8343	9043	\N	\N	\N
489051	1669	1996-11-08	PRIJEM	VKLAD	8343	24514	\N	\N	\N
489052	1669	1996-12-08	PRIJEM	VKLAD	12514	33504	\N	\N	\N
489053	1669	1997-01-08	PRIJEM	VKLAD	8343	36848	\N	\N	\N
489054	1669	1997-02-08	PRIJEM	VKLAD	8343	39415	\N	\N	\N
489055	1669	1997-03-08	PRIJEM	VKLAD	8343	36708	\N	\N	\N
489056	1669	1997-04-08	PRIJEM	VKLAD	8343	32732	\N	\N	\N
489057	1669	1997-05-08	PRIJEM	VKLAD	8343	31846	\N	\N	\N
489058	1669	1997-06-08	PRIJEM	VKLAD	12514	33929	\N	\N	\N
489059	1669	1997-07-08	PRIJEM	VKLAD	8343	32504	\N	\N	\N
489060	1669	1997-08-08	PRIJEM	VKLAD	8343	33776	\N	\N	\N
489061	1669	1997-09-08	PRIJEM	VKLAD	8343	27261	\N	\N	\N
489062	1669	1997-10-08	PRIJEM	VKLAD	8343	27971	\N	\N	\N
489063	1669	1997-11-08	PRIJEM	VKLAD	8343	26617	\N	\N	\N
489064	1669	1997-12-08	PRIJEM	VKLAD	12514	29228	\N	\N	\N
489065	1669	1998-01-08	PRIJEM	VKLAD	8343	23044	\N	\N	\N
489066	1669	1998-02-08	PRIJEM	VKLAD	8343	19905	\N	\N	\N
489067	1669	1998-03-08	PRIJEM	VKLAD	8343	22727	\N	\N	\N
489068	1669	1998-04-08	PRIJEM	VKLAD	8343	21591	\N	\N	\N
489069	1669	1998-05-08	PRIJEM	VKLAD	8343	22716	\N	\N	\N
489070	1669	1998-06-08	PRIJEM	VKLAD	12514	27315	\N	\N	\N
489071	1669	1998-07-08	PRIJEM	VKLAD	8343	22943	\N	\N	\N
489072	1669	1998-08-08	PRIJEM	VKLAD	8343	22669	\N	\N	\N
489073	1669	1998-09-08	PRIJEM	VKLAD	8343	23112	\N	\N	\N
489074	1669	1998-10-08	PRIJEM	VKLAD	8343	18927	\N	\N	\N
489075	1669	1998-11-08	PRIJEM	VKLAD	8343	15427	\N	\N	\N
489076	1669	1998-12-08	PRIJEM	VKLAD	12514	21100	\N	\N	\N
489090	1669	1997-02-10	VYDAJ	PREVOD NA UCET	5562	33853	SIPO	UV	35302007
489091	1669	1997-03-10	VYDAJ	PREVOD NA UCET	5562	31146	SIPO	UV	35302007
489092	1669	1997-04-10	VYDAJ	PREVOD NA UCET	5562	27170	SIPO	UV	35302007
489093	1669	1997-05-10	VYDAJ	PREVOD NA UCET	5562	26284	SIPO	UV	35302007
489094	1669	1997-06-10	VYDAJ	PREVOD NA UCET	5562	28367	SIPO	UV	35302007
489095	1669	1997-07-10	VYDAJ	PREVOD NA UCET	5562	26942	SIPO	UV	35302007
489096	1669	1997-08-10	VYDAJ	PREVOD NA UCET	5562	22934	SIPO	UV	35302007
489097	1669	1997-09-10	VYDAJ	PREVOD NA UCET	5562	21699	SIPO	UV	35302007
489098	1669	1997-10-10	VYDAJ	PREVOD NA UCET	5562	22409	SIPO	UV	35302007
489099	1669	1997-11-10	VYDAJ	PREVOD NA UCET	5562	21055	SIPO	UV	35302007
489100	1669	1997-12-10	VYDAJ	PREVOD NA UCET	5562	21746	SIPO	UV	35302007
489101	1669	1998-01-10	VYDAJ	PREVOD NA UCET	5562	15322	SIPO	UV	35302007
489102	1669	1998-02-10	VYDAJ	PREVOD NA UCET	5562	14343	SIPO	UV	35302007
489103	1669	1998-03-10	VYDAJ	PREVOD NA UCET	5562	13205	SIPO	UV	35302007
489104	1669	1998-04-10	VYDAJ	PREVOD NA UCET	5562	16029	SIPO	UV	35302007
489105	1669	1998-05-10	VYDAJ	PREVOD NA UCET	5562	17154	SIPO	UV	35302007
489106	1669	1998-06-10	VYDAJ	PREVOD NA UCET	5562	21753	SIPO	UV	35302007
489107	1669	1998-07-10	VYDAJ	PREVOD NA UCET	5562	17381	SIPO	UV	35302007
489108	1669	1998-08-10	VYDAJ	PREVOD NA UCET	5562	14707	SIPO	UV	35302007
489109	1669	1998-09-10	VYDAJ	PREVOD NA UCET	5562	10550	SIPO	UV	35302007
489110	1669	1998-10-10	VYDAJ	PREVOD NA UCET	5562	7065	SIPO	UV	35302007
489111	1669	1998-11-10	VYDAJ	PREVOD NA UCET	5562	8565	SIPO	UV	35302007
489112	1669	1998-12-10	VYDAJ	PREVOD NA UCET	5562	11038	SIPO	UV	35302007
489117	1669	1997-12-08	VYDAJ	VYBER	1920	27308	\N	\N	\N
489134	1669	1998-01-08	VYDAJ	VYBER	2160	20884	\N	\N	\N
489143	1669	1997-08-08	VYDAJ	VYBER	5280	28496	\N	\N	\N
489144	1669	1997-04-21	VYDAJ	VYBER	2760	23410	\N	\N	\N
489145	1669	1997-09-27	VYDAJ	VYBER	840	19559	\N	\N	\N
489146	1669	1997-04-04	VYDAJ	VYBER	2160	24389	\N	\N	\N
489148	1669	1997-08-27	VYDAJ	VYBER	4800	18834	\N	\N	\N
489149	1669	1997-06-07	VYDAJ	VYBER	4560	21415	\N	\N	\N
489150	1669	1998-03-08	VYDAJ	VYBER	3960	18767	\N	\N	\N
489167	1669	1997-02-28	VYDAJ	VYBER	15	28365	SLUZBY	\N	\N
489168	1669	1997-03-31	VYDAJ	VYBER	15	26549	SLUZBY	\N	\N
489169	1669	1997-04-30	VYDAJ	VYBER	15	23503	SLUZBY	\N	\N
489170	1669	1997-05-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
489171	1669	1997-06-30	VYDAJ	VYBER	15	24161	SLUZBY	\N	\N
489172	1669	1997-07-31	VYDAJ	VYBER	15	25433	SLUZBY	\N	\N
489173	1669	1997-08-31	VYDAJ	VYBER	15	18918	SLUZBY	\N	\N
489174	1669	1997-09-30	VYDAJ	VYBER	15	19628	SLUZBY	\N	\N
489175	1669	1997-10-31	VYDAJ	VYBER	15	18274	SLUZBY	\N	\N
489176	1669	1997-11-30	VYDAJ	VYBER	15	16714	SLUZBY	\N	\N
489177	1669	1997-12-31	VYDAJ	VYBER	15	14701	SLUZBY	\N	\N
489178	1669	1998-01-31	VYDAJ	VYBER	15	11562	SLUZBY	\N	\N
489179	1669	1998-02-28	VYDAJ	VYBER	15	14384	SLUZBY	\N	\N
489180	1669	1998-03-31	VYDAJ	VYBER	15	13248	SLUZBY	\N	\N
489181	1669	1998-04-30	VYDAJ	VYBER	15	14373	SLUZBY	\N	\N
489182	1669	1998-05-31	VYDAJ	VYBER	15	14801	SLUZBY	\N	\N
489183	1669	1998-06-30	VYDAJ	VYBER	15	14600	SLUZBY	\N	\N
489184	1669	1998-07-31	VYDAJ	VYBER	15	14326	SLUZBY	\N	\N
489185	1669	1998-08-31	VYDAJ	VYBER	15	14769	SLUZBY	\N	\N
489186	1669	1998-09-30	VYDAJ	VYBER	15	10584	SLUZBY	\N	\N
489187	1669	1998-10-31	VYDAJ	VYBER	15	7084	SLUZBY	\N	\N
489188	1669	1998-11-30	VYDAJ	VYBER	15	8586	SLUZBY	\N	\N
489189	1669	1996-10-19	PRIJEM	VKLAD	7100	16143	\N	\N	\N
489190	1669	1996-11-18	VYDAJ	VYBER	3600	20914	\N	\N	\N
489191	1669	1996-12-18	VYDAJ	VYBER	5100	28404	\N	\N	\N
489192	1669	1997-01-17	VYDAJ	VYBER	5900	30948	\N	\N	\N
489193	1669	1997-02-16	VYDAJ	VYBER	5600	28253	\N	\N	\N
489194	1669	1997-03-18	VYDAJ	VYBER	4700	26446	\N	\N	\N
489195	1669	1997-04-17	VYDAJ	VYBER	1000	26170	\N	\N	\N
489196	1669	1997-05-17	VYDAJ	VYBER	400	25884	\N	\N	\N
489197	1669	1997-06-16	VYDAJ	VYBER	4300	24067	\N	\N	\N
489198	1669	1997-07-16	VYDAJ	VYBER	1600	25342	\N	\N	\N
489199	1669	1997-08-15	PRIJEM	VKLAD	700	23634	\N	\N	\N
489200	1669	1997-09-14	VYDAJ	VYBER	1300	20399	\N	\N	\N
489201	1669	1997-10-14	VYDAJ	VYBER	4200	18209	\N	\N	\N
489202	1669	1997-11-13	VYDAJ	VYBER	4400	16655	\N	\N	\N
489203	1669	1997-12-13	VYDAJ	VYBER	7100	14646	\N	\N	\N
489204	1669	1998-01-12	VYDAJ	VYBER	3800	11522	\N	\N	\N
489205	1669	1998-04-12	VYDAJ	VYBER	1700	14329	\N	\N	\N
489206	1669	1998-05-12	VYDAJ	VYBER	2400	14754	\N	\N	\N
489207	1669	1998-06-11	VYDAJ	VYBER	7200	14553	\N	\N	\N
489208	1669	1998-07-11	VYDAJ	VYBER	3100	14281	\N	\N	\N
489209	1669	1998-08-10	VYDAJ	VYBER	2400	20269	\N	\N	\N
489210	1669	1998-09-09	VYDAJ	VYBER	7000	16112	\N	\N	\N
489211	1669	1998-10-09	VYDAJ	VYBER	6300	12627	\N	\N	\N
489212	1669	1998-11-08	VYDAJ	VYBER	1300	14127	\N	\N	\N
489213	1669	1998-12-08	VYDAJ	VYBER	4500	16600	\N	\N	\N
489241	1670	1996-01-02	PRIJEM	VKLAD	500	500	\N	\N	\N
489242	1670	1996-01-09	PRIJEM	PREVOD Z UCTU	4088	4588	DUCHOD	AB	75157940
489243	1670	1996-02-09	PRIJEM	PREVOD Z UCTU	4088	8690	DUCHOD	AB	75157940
489244	1670	1996-03-09	PRIJEM	PREVOD Z UCTU	4088	12797	DUCHOD	AB	75157940
489245	1670	1996-04-09	PRIJEM	PREVOD Z UCTU	4088	16904	DUCHOD	AB	75157940
489246	1670	1996-05-09	PRIJEM	PREVOD Z UCTU	4088	21012	DUCHOD	AB	75157940
489247	1670	1996-06-09	PRIJEM	PREVOD Z UCTU	4088	19389	DUCHOD	AB	75157940
489248	1670	1996-07-09	PRIJEM	PREVOD Z UCTU	4088	18580	DUCHOD	AB	75157940
489249	1670	1996-08-09	PRIJEM	PREVOD Z UCTU	4088	19270	DUCHOD	AB	75157940
489250	1670	1996-09-09	PRIJEM	PREVOD Z UCTU	4088	18261	DUCHOD	AB	75157940
489251	1670	1996-10-09	PRIJEM	PREVOD Z UCTU	4088	19650	DUCHOD	AB	75157940
489252	1670	1996-11-09	PRIJEM	PREVOD Z UCTU	4088	19883	DUCHOD	AB	75157940
489253	1670	1996-12-09	PRIJEM	PREVOD Z UCTU	4088	21478	DUCHOD	AB	75157940
489254	1670	1997-01-09	PRIJEM	PREVOD Z UCTU	4088	22078	DUCHOD	AB	75157940
489255	1670	1997-02-09	PRIJEM	PREVOD Z UCTU	4088	19831	DUCHOD	AB	75157940
489256	1670	1997-03-09	PRIJEM	PREVOD Z UCTU	4088	21426	DUCHOD	AB	75157940
489257	1670	1997-04-09	PRIJEM	PREVOD Z UCTU	4088	23028	DUCHOD	AB	75157940
489258	1670	1997-05-09	PRIJEM	PREVOD Z UCTU	4088	23596	DUCHOD	AB	75157940
489259	1670	1997-06-09	PRIJEM	PREVOD Z UCTU	4088	25207	DUCHOD	AB	75157940
489260	1670	1997-07-09	PRIJEM	PREVOD Z UCTU	4088	16394	DUCHOD	AB	75157940
489261	1670	1997-08-09	PRIJEM	PREVOD Z UCTU	4088	17975	DUCHOD	AB	75157940
489262	1670	1997-09-09	PRIJEM	PREVOD Z UCTU	4088	17162	DUCHOD	AB	75157940
489263	1670	1997-10-09	PRIJEM	PREVOD Z UCTU	4088	18746	DUCHOD	AB	75157940
489264	1670	1997-11-09	PRIJEM	PREVOD Z UCTU	4088	20336	DUCHOD	AB	75157940
489265	1670	1997-12-09	PRIJEM	PREVOD Z UCTU	4088	20733	DUCHOD	AB	75157940
489266	1670	1998-01-09	PRIJEM	PREVOD Z UCTU	4088	19485	DUCHOD	AB	75157940
489267	1670	1998-02-09	PRIJEM	PREVOD Z UCTU	4088	16276	DUCHOD	AB	75157940
489268	1670	1998-03-09	PRIJEM	PREVOD Z UCTU	4088	17856	DUCHOD	AB	75157940
489269	1670	1998-04-09	PRIJEM	PREVOD Z UCTU	4088	19442	DUCHOD	AB	75157940
489270	1670	1998-05-09	PRIJEM	PREVOD Z UCTU	4088	17990	DUCHOD	AB	75157940
489271	1670	1998-06-09	PRIJEM	PREVOD Z UCTU	4088	19577	DUCHOD	AB	75157940
489272	1670	1998-07-09	PRIJEM	PREVOD Z UCTU	4088	20289	DUCHOD	AB	75157940
489273	1670	1998-08-09	PRIJEM	PREVOD Z UCTU	4088	21885	DUCHOD	AB	75157940
489274	1670	1998-09-09	PRIJEM	PREVOD Z UCTU	4088	23488	DUCHOD	AB	75157940
489275	1670	1998-10-09	PRIJEM	PREVOD Z UCTU	4088	25098	DUCHOD	AB	75157940
489276	1670	1998-11-09	PRIJEM	PREVOD Z UCTU	4088	26715	DUCHOD	AB	75157940
489277	1670	1998-12-09	PRIJEM	PREVOD Z UCTU	4088	28338	DUCHOD	AB	75157940
489283	1670	1996-06-07	VYDAJ	PREVOD NA UCET	1242	15301	SIPO	WX	84970950
489284	1670	1996-07-07	VYDAJ	PREVOD NA UCET	1242	14492	SIPO	WX	84970950
489285	1670	1996-08-07	VYDAJ	PREVOD NA UCET	1242	15182	SIPO	WX	84970950
489286	1670	1996-09-07	VYDAJ	PREVOD NA UCET	1242	14173	SIPO	WX	84970950
489287	1670	1996-10-07	VYDAJ	PREVOD NA UCET	1242	15562	SIPO	WX	84970950
489288	1670	1996-11-07	VYDAJ	PREVOD NA UCET	1242	15795	SIPO	WX	84970950
489289	1670	1996-12-07	VYDAJ	PREVOD NA UCET	1242	17390	SIPO	WX	84970950
489290	1670	1997-01-07	VYDAJ	PREVOD NA UCET	1242	17990	SIPO	WX	84970950
489291	1670	1997-02-07	VYDAJ	PREVOD NA UCET	1242	15743	SIPO	WX	84970950
489292	1670	1997-03-07	VYDAJ	PREVOD NA UCET	1242	17338	SIPO	WX	84970950
489293	1670	1997-04-07	VYDAJ	PREVOD NA UCET	1242	18940	SIPO	WX	84970950
489294	1670	1997-05-07	VYDAJ	PREVOD NA UCET	1242	20548	SIPO	WX	84970950
489295	1670	1997-06-07	VYDAJ	PREVOD NA UCET	1242	21119	SIPO	WX	84970950
489296	1670	1997-07-07	VYDAJ	PREVOD NA UCET	1242	12306	SIPO	WX	84970950
489297	1670	1997-08-07	VYDAJ	PREVOD NA UCET	1242	13887	SIPO	WX	84970950
489298	1670	1997-09-07	VYDAJ	PREVOD NA UCET	1242	13074	SIPO	WX	84970950
489299	1670	1997-10-07	VYDAJ	PREVOD NA UCET	1242	14658	SIPO	WX	84970950
489300	1670	1997-11-07	VYDAJ	PREVOD NA UCET	1242	16248	SIPO	WX	84970950
489301	1670	1997-12-07	VYDAJ	PREVOD NA UCET	1242	16645	SIPO	WX	84970950
489302	1670	1998-01-07	VYDAJ	PREVOD NA UCET	1242	15397	SIPO	WX	84970950
489303	1670	1998-02-07	VYDAJ	PREVOD NA UCET	1242	12188	SIPO	WX	84970950
489304	1670	1998-03-07	VYDAJ	PREVOD NA UCET	1242	13768	SIPO	WX	84970950
489305	1670	1998-04-07	VYDAJ	PREVOD NA UCET	1242	15354	SIPO	WX	84970950
489306	1670	1998-05-07	VYDAJ	PREVOD NA UCET	1242	13902	SIPO	WX	84970950
489307	1670	1998-06-07	VYDAJ	PREVOD NA UCET	1242	15489	SIPO	WX	84970950
489308	1670	1998-07-07	VYDAJ	PREVOD NA UCET	1242	16201	SIPO	WX	84970950
489309	1670	1998-08-07	VYDAJ	PREVOD NA UCET	1242	17797	SIPO	WX	84970950
489310	1670	1998-09-07	VYDAJ	PREVOD NA UCET	1242	19400	SIPO	WX	84970950
489311	1670	1998-10-07	VYDAJ	PREVOD NA UCET	1242	21010	SIPO	WX	84970950
489312	1670	1998-11-07	VYDAJ	PREVOD NA UCET	1242	22627	SIPO	WX	84970950
489313	1670	1998-12-07	VYDAJ	PREVOD NA UCET	1242	24250	SIPO	WX	84970950
489318	1670	1996-05-10	VYDAJ	PREVOD NA UCET	1312	19700	 	QR	66763526
489319	1670	1996-06-10	VYDAJ	PREVOD NA UCET	1312	18077	 	QR	66763526
489320	1670	1996-07-10	VYDAJ	PREVOD NA UCET	1312	17268	 	QR	66763526
489321	1670	1996-08-10	VYDAJ	PREVOD NA UCET	1312	17958	 	QR	66763526
489322	1670	1996-09-10	VYDAJ	PREVOD NA UCET	1312	16949	 	QR	66763526
489323	1670	1996-10-10	VYDAJ	PREVOD NA UCET	1312	18338	 	QR	66763526
489324	1670	1996-11-10	VYDAJ	PREVOD NA UCET	1312	18571	 	QR	66763526
489325	1670	1996-12-10	VYDAJ	PREVOD NA UCET	1312	20166	 	QR	66763526
489326	1670	1997-01-10	VYDAJ	PREVOD NA UCET	1312	20766	 	QR	66763526
489327	1670	1997-02-10	VYDAJ	PREVOD NA UCET	1312	18519	 	QR	66763526
489328	1670	1997-03-10	VYDAJ	PREVOD NA UCET	1312	20114	 	QR	66763526
489329	1670	1997-04-10	VYDAJ	PREVOD NA UCET	1312	21716	 	QR	66763526
489330	1670	1997-05-10	VYDAJ	PREVOD NA UCET	1312	22284	 	QR	66763526
489331	1670	1997-06-10	VYDAJ	PREVOD NA UCET	1312	23895	 	QR	66763526
489332	1670	1997-07-10	VYDAJ	PREVOD NA UCET	1312	15082	 	QR	66763526
489333	1670	1997-08-10	VYDAJ	PREVOD NA UCET	1312	16663	 	QR	66763526
489334	1670	1997-09-10	VYDAJ	PREVOD NA UCET	1312	15850	 	QR	66763526
489335	1670	1997-10-10	VYDAJ	PREVOD NA UCET	1312	17434	 	QR	66763526
489336	1670	1997-11-10	VYDAJ	PREVOD NA UCET	1312	19024	 	QR	66763526
489337	1670	1997-12-10	VYDAJ	PREVOD NA UCET	1312	17181	 	QR	66763526
489338	1670	1998-01-10	VYDAJ	PREVOD NA UCET	1312	18173	 	QR	66763526
489339	1670	1998-02-10	VYDAJ	PREVOD NA UCET	1312	14964	 	QR	66763526
489340	1670	1998-03-10	VYDAJ	PREVOD NA UCET	1312	16544	 	QR	66763526
489341	1670	1998-04-10	VYDAJ	PREVOD NA UCET	1312	18130	 	QR	66763526
489342	1670	1998-05-10	VYDAJ	PREVOD NA UCET	1312	16678	 	QR	66763526
489343	1670	1998-06-10	VYDAJ	PREVOD NA UCET	1312	18265	 	QR	66763526
489344	1670	1998-07-10	VYDAJ	PREVOD NA UCET	1312	18977	 	QR	66763526
489345	1670	1998-08-10	VYDAJ	PREVOD NA UCET	1312	20573	 	QR	66763526
489346	1670	1998-09-10	VYDAJ	PREVOD NA UCET	1312	22176	 	QR	66763526
489347	1670	1998-10-10	VYDAJ	PREVOD NA UCET	1312	23786	 	QR	66763526
489348	1670	1998-11-10	VYDAJ	PREVOD NA UCET	1312	25403	 	QR	66763526
489349	1670	1998-12-10	VYDAJ	PREVOD NA UCET	1312	25666	 	QR	66763526
489351	1670	1997-06-10	VYDAJ	VYBER	10400	13495	\N	\N	\N
489354	1670	1997-01-30	VYDAJ	VYBER	3850	16916	\N	\N	\N
489356	1670	1996-12-12	VYDAJ	VYBER	1000	19166	\N	\N	\N
489357	1670	1997-12-28	VYDAJ	VYBER	600	16581	\N	\N	\N
489358	1670	1998-12-20	VYDAJ	VYBER	1450	24216	\N	\N	\N
489359	1670	1996-09-06	VYDAJ	VYBER	400	15415	\N	\N	\N
489360	1670	1996-05-18	VYDAJ	VYBER	3200	16500	\N	\N	\N
489362	1670	1996-10-27	VYDAJ	VYBER	1360	16978	\N	\N	\N
489363	1670	1996-06-25	VYDAJ	VYBER	2400	15677	\N	\N	\N
489365	1670	1997-08-31	VYDAJ	VYBER	2400	14331	\N	\N	\N
489366	1670	1997-12-09	VYDAJ	VYBER	2240	18493	\N	\N	\N
489367	1670	1997-12-06	VYDAJ	VYBER	1200	17887	\N	\N	\N
489368	1670	1997-05-08	VYDAJ	VYBER	1040	19508	\N	\N	\N
489369	1670	1998-06-12	VYDAJ	VYBER	880	17385	\N	\N	\N
489371	1670	1998-01-30	VYDAJ	VYBER	1920	13373	\N	\N	\N
489372	1670	1998-12-10	VYDAJ	VYBER	1360	26978	\N	\N	\N
489373	1670	1998-01-27	VYDAJ	VYBER	2880	15293	\N	\N	\N
489374	1670	1998-04-19	VYDAJ	VYBER	3040	15090	\N	\N	\N
489380	1670	1996-05-31	VYDAJ	VYBER	15	16543	SLUZBY	\N	\N
489381	1670	1996-06-30	VYDAJ	VYBER	15	15734	SLUZBY	\N	\N
489382	1670	1996-07-31	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
489383	1670	1996-08-31	VYDAJ	VYBER	15	15815	SLUZBY	\N	\N
489384	1670	1996-09-30	VYDAJ	VYBER	15	16804	SLUZBY	\N	\N
489385	1670	1996-10-31	VYDAJ	VYBER	15	17037	SLUZBY	\N	\N
489386	1670	1996-11-30	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
489387	1670	1996-12-31	VYDAJ	VYBER	15	19232	SLUZBY	\N	\N
489388	1670	1997-01-31	VYDAJ	VYBER	15	16985	SLUZBY	\N	\N
489389	1670	1997-02-28	VYDAJ	VYBER	15	18580	SLUZBY	\N	\N
489390	1670	1997-03-31	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
489391	1670	1997-04-30	VYDAJ	VYBER	15	21790	SLUZBY	\N	\N
489392	1670	1997-05-31	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
489393	1670	1997-06-30	VYDAJ	VYBER	15	13548	SLUZBY	\N	\N
489394	1670	1997-07-31	VYDAJ	VYBER	15	15129	SLUZBY	\N	\N
489395	1670	1997-08-31	VYDAJ	VYBER	15	14316	SLUZBY	\N	\N
489396	1670	1997-09-30	VYDAJ	VYBER	15	15900	SLUZBY	\N	\N
489397	1670	1997-10-31	VYDAJ	VYBER	15	17490	SLUZBY	\N	\N
489398	1670	1997-11-30	VYDAJ	VYBER	15	19087	SLUZBY	\N	\N
489399	1670	1997-12-31	VYDAJ	VYBER	15	16639	SLUZBY	\N	\N
489400	1670	1998-01-31	VYDAJ	VYBER	15	13430	SLUZBY	\N	\N
489401	1670	1998-02-28	VYDAJ	VYBER	15	15010	SLUZBY	\N	\N
489402	1670	1998-03-31	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
489403	1670	1998-04-30	VYDAJ	VYBER	15	15144	SLUZBY	\N	\N
489404	1670	1998-05-31	VYDAJ	VYBER	15	16731	SLUZBY	\N	\N
489405	1670	1998-06-30	VYDAJ	VYBER	15	17443	SLUZBY	\N	\N
489406	1670	1998-07-31	VYDAJ	VYBER	15	19039	SLUZBY	\N	\N
489407	1670	1998-08-31	VYDAJ	VYBER	15	20642	SLUZBY	\N	\N
489408	1670	1998-09-30	VYDAJ	VYBER	15	22252	SLUZBY	\N	\N
489409	1670	1998-10-31	VYDAJ	VYBER	15	23869	SLUZBY	\N	\N
489410	1670	1998-11-30	VYDAJ	VYBER	15	25492	SLUZBY	\N	\N
489411	1670	1996-07-30	VYDAJ	VYBER	900	16368	\N	\N	\N
489412	1670	1996-08-29	VYDAJ	VYBER	2200	15758	\N	\N	\N
489413	1670	1996-09-28	VYDAJ	VYBER	200	16749	\N	\N	\N
489450	1671	1993-05-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
489455	1671	1993-05-08	PRIJEM	PREVOD Z UCTU	6567	7667	DUCHOD	YZ	99452262
489456	1671	1993-06-08	PRIJEM	PREVOD Z UCTU	6567	14259	DUCHOD	YZ	99452262
489457	1671	1993-07-08	PRIJEM	PREVOD Z UCTU	6567	20858	DUCHOD	YZ	99452262
489458	1671	1993-08-08	PRIJEM	PREVOD Z UCTU	6567	27157	DUCHOD	YZ	99452262
489459	1671	1993-09-08	PRIJEM	PREVOD Z UCTU	6567	33018	DUCHOD	YZ	99452262
489460	1671	1993-10-08	PRIJEM	PREVOD Z UCTU	6567	29075	DUCHOD	YZ	99452262
489461	1671	1993-11-08	PRIJEM	PREVOD Z UCTU	6567	32164	DUCHOD	YZ	99452262
489462	1671	1993-12-08	PRIJEM	PREVOD Z UCTU	6567	33626	DUCHOD	YZ	99452262
489463	1671	1994-01-08	PRIJEM	PREVOD Z UCTU	6567	35697	DUCHOD	YZ	99452262
489464	1671	1994-02-08	PRIJEM	PREVOD Z UCTU	6567	34173	DUCHOD	YZ	99452262
489465	1671	1994-03-08	PRIJEM	PREVOD Z UCTU	6567	28583	DUCHOD	YZ	99452262
489466	1671	1994-04-08	PRIJEM	PREVOD Z UCTU	6567	28834	DUCHOD	YZ	99452262
489467	1671	1994-05-08	PRIJEM	PREVOD Z UCTU	6567	30723	DUCHOD	YZ	99452262
489468	1671	1994-06-08	PRIJEM	PREVOD Z UCTU	6567	30680	DUCHOD	YZ	99452262
489730	1671	1995-05-31	VYDAJ	VYBER	15	23843	SLUZBY	\N	\N
489469	1671	1994-07-08	PRIJEM	PREVOD Z UCTU	6567	34336	DUCHOD	YZ	99452262
489470	1671	1994-08-08	PRIJEM	PREVOD Z UCTU	6567	33906	DUCHOD	YZ	99452262
489471	1671	1994-09-08	PRIJEM	PREVOD Z UCTU	6567	31066	DUCHOD	YZ	99452262
489472	1671	1994-10-08	PRIJEM	PREVOD Z UCTU	6567	34523	DUCHOD	YZ	99452262
489473	1671	1994-11-08	PRIJEM	PREVOD Z UCTU	6567	36394	DUCHOD	YZ	99452262
489474	1671	1994-12-08	PRIJEM	PREVOD Z UCTU	6567	33169	DUCHOD	YZ	99452262
489475	1671	1995-01-08	PRIJEM	PREVOD Z UCTU	6567	30079	DUCHOD	YZ	99452262
489476	1671	1995-02-08	PRIJEM	PREVOD Z UCTU	6567	29205	DUCHOD	YZ	99452262
489477	1671	1995-03-08	PRIJEM	PREVOD Z UCTU	6567	31154	DUCHOD	YZ	99452262
489478	1671	1995-04-08	PRIJEM	PREVOD Z UCTU	6567	30808	DUCHOD	YZ	99452262
489479	1671	1995-05-08	PRIJEM	PREVOD Z UCTU	6567	29861	DUCHOD	YZ	99452262
489480	1671	1995-06-08	PRIJEM	PREVOD Z UCTU	6567	30410	DUCHOD	YZ	99452262
489481	1671	1995-07-08	PRIJEM	PREVOD Z UCTU	6567	30361	DUCHOD	YZ	99452262
489482	1671	1995-08-08	PRIJEM	PREVOD Z UCTU	6567	25729	DUCHOD	YZ	99452262
489483	1671	1995-09-08	PRIJEM	PREVOD Z UCTU	6567	29367	DUCHOD	YZ	99452262
489484	1671	1995-10-08	PRIJEM	PREVOD Z UCTU	6567	29813	DUCHOD	YZ	99452262
489485	1671	1995-11-08	PRIJEM	PREVOD Z UCTU	6567	29860	DUCHOD	YZ	99452262
489486	1671	1995-12-08	PRIJEM	PREVOD Z UCTU	6567	32711	DUCHOD	YZ	99452262
489487	1671	1996-01-08	PRIJEM	PREVOD Z UCTU	6567	32618	DUCHOD	YZ	99452262
489488	1671	1996-02-08	PRIJEM	PREVOD Z UCTU	6567	35480	DUCHOD	YZ	99452262
489489	1671	1996-03-08	PRIJEM	PREVOD Z UCTU	6567	36351	DUCHOD	YZ	99452262
489490	1671	1996-04-08	PRIJEM	PREVOD Z UCTU	6567	37726	DUCHOD	YZ	99452262
489491	1671	1996-05-08	PRIJEM	PREVOD Z UCTU	6567	36962	DUCHOD	YZ	99452262
489492	1671	1996-06-08	PRIJEM	PREVOD Z UCTU	6567	36036	DUCHOD	YZ	99452262
489493	1671	1996-07-08	PRIJEM	PREVOD Z UCTU	6567	39713	DUCHOD	YZ	99452262
489494	1671	1996-08-08	PRIJEM	PREVOD Z UCTU	6567	38496	DUCHOD	YZ	99452262
489495	1671	1996-09-08	PRIJEM	PREVOD Z UCTU	6567	35671	DUCHOD	YZ	99452262
489496	1671	1996-10-08	PRIJEM	PREVOD Z UCTU	6567	33935	DUCHOD	YZ	99452262
489497	1671	1996-11-08	PRIJEM	PREVOD Z UCTU	6567	31832	DUCHOD	YZ	99452262
489498	1671	1996-12-08	PRIJEM	PREVOD Z UCTU	6567	32685	DUCHOD	YZ	99452262
489499	1671	1997-01-08	PRIJEM	PREVOD Z UCTU	6567	31679	DUCHOD	YZ	99452262
489500	1671	1997-02-08	PRIJEM	PREVOD Z UCTU	6567	32293	DUCHOD	YZ	99452262
489501	1671	1997-03-08	PRIJEM	PREVOD Z UCTU	6567	35954	DUCHOD	YZ	99452262
489502	1671	1997-04-08	PRIJEM	PREVOD Z UCTU	6567	37326	DUCHOD	YZ	99452262
489503	1671	1997-05-08	PRIJEM	PREVOD Z UCTU	6567	32642	DUCHOD	YZ	99452262
489504	1671	1997-06-08	PRIJEM	PREVOD Z UCTU	6567	31492	DUCHOD	YZ	99452262
489505	1671	1997-07-08	PRIJEM	PREVOD Z UCTU	6567	30338	DUCHOD	YZ	99452262
489506	1671	1997-08-08	PRIJEM	PREVOD Z UCTU	6567	30790	DUCHOD	YZ	99452262
489507	1671	1997-09-08	PRIJEM	PREVOD Z UCTU	6567	32640	DUCHOD	YZ	99452262
489508	1671	1997-10-08	PRIJEM	PREVOD Z UCTU	6567	35098	DUCHOD	YZ	99452262
489509	1671	1997-11-08	PRIJEM	PREVOD Z UCTU	6567	32452	DUCHOD	YZ	99452262
489510	1671	1997-12-08	PRIJEM	PREVOD Z UCTU	6567	32185	DUCHOD	YZ	99452262
489511	1671	1998-01-08	PRIJEM	PREVOD Z UCTU	6567	32335	DUCHOD	YZ	99452262
489512	1671	1998-02-08	PRIJEM	PREVOD Z UCTU	6567	33289	DUCHOD	YZ	99452262
489513	1671	1998-03-08	PRIJEM	PREVOD Z UCTU	6567	30635	DUCHOD	YZ	99452262
489514	1671	1998-04-08	PRIJEM	PREVOD Z UCTU	6567	31807	DUCHOD	YZ	99452262
489515	1671	1998-05-08	PRIJEM	PREVOD Z UCTU	6567	30259	DUCHOD	YZ	99452262
489516	1671	1998-06-08	PRIJEM	PREVOD Z UCTU	6567	27695	DUCHOD	YZ	99452262
489517	1671	1998-07-08	PRIJEM	PREVOD Z UCTU	6567	30074	DUCHOD	YZ	99452262
489518	1671	1998-08-08	PRIJEM	PREVOD Z UCTU	6567	25910	DUCHOD	YZ	99452262
489519	1671	1998-09-08	PRIJEM	PREVOD Z UCTU	6567	26247	DUCHOD	YZ	99452262
489520	1671	1998-10-08	PRIJEM	PREVOD Z UCTU	6567	24985	DUCHOD	YZ	99452262
489521	1671	1998-11-08	PRIJEM	PREVOD Z UCTU	6567	24820	DUCHOD	YZ	99452262
489522	1671	1998-12-08	PRIJEM	PREVOD Z UCTU	6567	23652	DUCHOD	YZ	99452262
489531	1671	1993-09-13	VYDAJ	PREVOD NA UCET	2507	30009	SIPO	AB	10778803
489532	1671	1993-10-13	VYDAJ	PREVOD NA UCET	2507	26066	SIPO	AB	10778803
489533	1671	1993-11-13	VYDAJ	PREVOD NA UCET	2507	29155	SIPO	AB	10778803
489534	1671	1993-12-13	VYDAJ	PREVOD NA UCET	2507	30617	SIPO	AB	10778803
489535	1671	1994-01-13	VYDAJ	PREVOD NA UCET	2507	32688	SIPO	AB	10778803
489536	1671	1994-02-13	VYDAJ	PREVOD NA UCET	2507	31164	SIPO	AB	10778803
489537	1671	1994-03-13	VYDAJ	PREVOD NA UCET	2507	25574	SIPO	AB	10778803
489538	1671	1994-04-13	VYDAJ	PREVOD NA UCET	2507	25825	SIPO	AB	10778803
489539	1671	1994-05-13	VYDAJ	PREVOD NA UCET	2507	27714	SIPO	AB	10778803
489540	1671	1994-06-13	VYDAJ	PREVOD NA UCET	2507	27671	SIPO	AB	10778803
489541	1671	1994-07-13	VYDAJ	PREVOD NA UCET	2507	31327	SIPO	AB	10778803
489542	1671	1994-08-13	VYDAJ	PREVOD NA UCET	2507	28577	SIPO	AB	10778803
489543	1671	1994-09-13	VYDAJ	PREVOD NA UCET	2507	28057	SIPO	AB	10778803
489544	1671	1994-10-13	VYDAJ	PREVOD NA UCET	2507	31514	SIPO	AB	10778803
489545	1671	1994-11-13	VYDAJ	PREVOD NA UCET	2507	33385	SIPO	AB	10778803
489546	1671	1994-12-13	VYDAJ	PREVOD NA UCET	2507	30160	SIPO	AB	10778803
489547	1671	1995-01-13	VYDAJ	PREVOD NA UCET	2507	27070	SIPO	AB	10778803
489548	1671	1995-02-13	VYDAJ	PREVOD NA UCET	2507	26196	SIPO	AB	10778803
489549	1671	1995-03-13	VYDAJ	PREVOD NA UCET	2507	28145	SIPO	AB	10778803
489550	1671	1995-04-13	VYDAJ	PREVOD NA UCET	2507	27799	SIPO	AB	10778803
489551	1671	1995-05-13	VYDAJ	PREVOD NA UCET	2507	26852	SIPO	AB	10778803
489552	1671	1995-06-13	VYDAJ	PREVOD NA UCET	2507	27401	SIPO	AB	10778803
489553	1671	1995-07-13	VYDAJ	PREVOD NA UCET	2507	27352	SIPO	AB	10778803
489554	1671	1995-08-13	VYDAJ	PREVOD NA UCET	2507	22720	SIPO	AB	10778803
489555	1671	1995-09-13	VYDAJ	PREVOD NA UCET	2507	26358	SIPO	AB	10778803
489556	1671	1995-10-13	VYDAJ	PREVOD NA UCET	2507	26804	SIPO	AB	10778803
489557	1671	1995-11-13	VYDAJ	PREVOD NA UCET	2507	26851	SIPO	AB	10778803
489558	1671	1995-12-13	VYDAJ	PREVOD NA UCET	2507	29702	SIPO	AB	10778803
489559	1671	1996-01-13	VYDAJ	PREVOD NA UCET	2507	29609	SIPO	AB	10778803
489560	1671	1996-02-13	VYDAJ	PREVOD NA UCET	2507	32471	SIPO	AB	10778803
489561	1671	1996-03-13	VYDAJ	PREVOD NA UCET	2507	33342	SIPO	AB	10778803
489562	1671	1996-04-13	VYDAJ	PREVOD NA UCET	2507	34717	SIPO	AB	10778803
489563	1671	1996-05-13	VYDAJ	PREVOD NA UCET	2507	33953	SIPO	AB	10778803
489564	1671	1996-06-13	VYDAJ	PREVOD NA UCET	2507	33027	SIPO	AB	10778803
489565	1671	1996-07-13	VYDAJ	PREVOD NA UCET	2507	36704	SIPO	AB	10778803
489566	1671	1996-08-13	VYDAJ	PREVOD NA UCET	2507	35487	SIPO	AB	10778803
489567	1671	1996-09-13	VYDAJ	PREVOD NA UCET	2507	32662	SIPO	AB	10778803
489568	1671	1996-10-13	VYDAJ	PREVOD NA UCET	2507	30926	SIPO	AB	10778803
489569	1671	1996-11-13	VYDAJ	PREVOD NA UCET	2507	28823	SIPO	AB	10778803
489570	1671	1996-12-13	VYDAJ	PREVOD NA UCET	2507	29676	SIPO	AB	10778803
489571	1671	1997-01-13	VYDAJ	PREVOD NA UCET	2507	28670	SIPO	AB	10778803
489572	1671	1997-02-13	VYDAJ	PREVOD NA UCET	2507	29284	SIPO	AB	10778803
489573	1671	1997-03-13	VYDAJ	PREVOD NA UCET	2507	32945	SIPO	AB	10778803
489574	1671	1997-04-13	VYDAJ	PREVOD NA UCET	2507	34317	SIPO	AB	10778803
489575	1671	1997-05-13	VYDAJ	PREVOD NA UCET	2507	29633	SIPO	AB	10778803
489576	1671	1997-06-13	VYDAJ	PREVOD NA UCET	2507	23683	SIPO	AB	10778803
489577	1671	1997-07-13	VYDAJ	PREVOD NA UCET	2507	27329	SIPO	AB	10778803
489578	1671	1997-08-13	VYDAJ	PREVOD NA UCET	2507	25981	SIPO	AB	10778803
489579	1671	1997-09-13	VYDAJ	PREVOD NA UCET	2507	28431	SIPO	AB	10778803
489580	1671	1997-10-13	VYDAJ	PREVOD NA UCET	2507	25789	SIPO	AB	10778803
489581	1671	1997-11-13	VYDAJ	PREVOD NA UCET	2507	26643	SIPO	AB	10778803
489582	1671	1997-12-13	VYDAJ	PREVOD NA UCET	2507	26776	SIPO	AB	10778803
489583	1671	1998-01-13	VYDAJ	PREVOD NA UCET	2507	26626	SIPO	AB	10778803
489584	1671	1998-02-13	VYDAJ	PREVOD NA UCET	2507	23980	SIPO	AB	10778803
489585	1671	1998-03-13	VYDAJ	PREVOD NA UCET	2507	27226	SIPO	AB	10778803
489586	1671	1998-04-13	VYDAJ	PREVOD NA UCET	2507	25998	SIPO	AB	10778803
489587	1671	1998-05-13	VYDAJ	PREVOD NA UCET	2507	21050	SIPO	AB	10778803
489588	1671	1998-06-13	VYDAJ	PREVOD NA UCET	2507	23986	SIPO	AB	10778803
489589	1671	1998-07-13	VYDAJ	PREVOD NA UCET	2507	22565	SIPO	AB	10778803
489590	1671	1998-08-13	VYDAJ	PREVOD NA UCET	2507	22901	SIPO	AB	10778803
489591	1671	1998-09-13	VYDAJ	PREVOD NA UCET	2507	23238	SIPO	AB	10778803
489592	1671	1998-10-13	VYDAJ	PREVOD NA UCET	2507	21976	SIPO	AB	10778803
489593	1671	1998-11-13	VYDAJ	PREVOD NA UCET	2507	21811	SIPO	AB	10778803
489594	1671	1998-12-13	VYDAJ	PREVOD NA UCET	2507	20643	SIPO	AB	10778803
489603	1671	1993-09-09	VYDAJ	PREVOD NA UCET	502	32516	 	YZ	17247677
489604	1671	1993-10-09	VYDAJ	PREVOD NA UCET	502	28573	 	YZ	17247677
489605	1671	1993-11-09	VYDAJ	PREVOD NA UCET	502	31662	 	YZ	17247677
489606	1671	1993-12-09	VYDAJ	PREVOD NA UCET	502	33124	 	YZ	17247677
489607	1671	1994-01-09	VYDAJ	PREVOD NA UCET	502	35195	 	YZ	17247677
489608	1671	1994-02-09	VYDAJ	PREVOD NA UCET	502	33671	 	YZ	17247677
489609	1671	1994-03-09	VYDAJ	PREVOD NA UCET	502	28081	 	YZ	17247677
489610	1671	1994-04-09	VYDAJ	PREVOD NA UCET	502	28332	 	YZ	17247677
489611	1671	1994-05-09	VYDAJ	PREVOD NA UCET	502	30221	 	YZ	17247677
489612	1671	1994-06-09	VYDAJ	PREVOD NA UCET	502	30178	 	YZ	17247677
489613	1671	1994-07-09	VYDAJ	PREVOD NA UCET	502	33834	 	YZ	17247677
489614	1671	1994-08-09	VYDAJ	PREVOD NA UCET	502	33404	 	YZ	17247677
489615	1671	1994-09-09	VYDAJ	PREVOD NA UCET	502	30564	 	YZ	17247677
489616	1671	1994-10-09	VYDAJ	PREVOD NA UCET	502	34021	 	YZ	17247677
489617	1671	1994-11-09	VYDAJ	PREVOD NA UCET	502	35892	 	YZ	17247677
489618	1671	1994-12-09	VYDAJ	PREVOD NA UCET	502	32667	 	YZ	17247677
489619	1671	1995-01-09	VYDAJ	PREVOD NA UCET	502	29577	 	YZ	17247677
489620	1671	1995-02-09	VYDAJ	PREVOD NA UCET	502	28703	 	YZ	17247677
489621	1671	1995-03-09	VYDAJ	PREVOD NA UCET	502	30652	 	YZ	17247677
489622	1671	1995-04-09	VYDAJ	PREVOD NA UCET	502	30306	 	YZ	17247677
489623	1671	1995-05-09	VYDAJ	PREVOD NA UCET	502	29359	 	YZ	17247677
489624	1671	1995-06-09	VYDAJ	PREVOD NA UCET	502	29908	 	YZ	17247677
489625	1671	1995-07-09	VYDAJ	PREVOD NA UCET	502	29859	 	YZ	17247677
489626	1671	1995-08-09	VYDAJ	PREVOD NA UCET	502	25227	 	YZ	17247677
489627	1671	1995-09-09	VYDAJ	PREVOD NA UCET	502	28865	 	YZ	17247677
489628	1671	1995-10-09	VYDAJ	PREVOD NA UCET	502	29311	 	YZ	17247677
489629	1671	1995-11-09	VYDAJ	PREVOD NA UCET	502	29358	 	YZ	17247677
489630	1671	1995-12-09	VYDAJ	PREVOD NA UCET	502	32209	 	YZ	17247677
489631	1671	1996-01-09	VYDAJ	PREVOD NA UCET	502	32116	 	YZ	17247677
489632	1671	1996-02-09	VYDAJ	PREVOD NA UCET	502	34978	 	YZ	17247677
489633	1671	1996-03-09	VYDAJ	PREVOD NA UCET	502	35849	 	YZ	17247677
489634	1671	1996-04-09	VYDAJ	PREVOD NA UCET	502	37224	 	YZ	17247677
489635	1671	1996-05-09	VYDAJ	PREVOD NA UCET	502	36460	 	YZ	17247677
489636	1671	1996-06-09	VYDAJ	PREVOD NA UCET	502	35534	 	YZ	17247677
489637	1671	1996-07-09	VYDAJ	PREVOD NA UCET	502	39211	 	YZ	17247677
489638	1671	1996-08-09	VYDAJ	PREVOD NA UCET	502	37994	 	YZ	17247677
489639	1671	1996-09-09	VYDAJ	PREVOD NA UCET	502	35169	 	YZ	17247677
489640	1671	1996-10-09	VYDAJ	PREVOD NA UCET	502	33433	 	YZ	17247677
489641	1671	1996-11-09	VYDAJ	PREVOD NA UCET	502	31330	 	YZ	17247677
489642	1671	1996-12-09	VYDAJ	PREVOD NA UCET	502	32183	 	YZ	17247677
489643	1671	1997-01-09	VYDAJ	PREVOD NA UCET	502	31177	 	YZ	17247677
489644	1671	1997-02-09	VYDAJ	PREVOD NA UCET	502	31791	 	YZ	17247677
489645	1671	1997-03-09	VYDAJ	PREVOD NA UCET	502	35452	 	YZ	17247677
489646	1671	1997-04-09	VYDAJ	PREVOD NA UCET	502	36824	 	YZ	17247677
489647	1671	1997-05-09	VYDAJ	PREVOD NA UCET	502	32140	 	YZ	17247677
489648	1671	1997-06-09	VYDAJ	PREVOD NA UCET	502	30990	 	YZ	17247677
489649	1671	1997-07-09	VYDAJ	PREVOD NA UCET	502	29836	 	YZ	17247677
489650	1671	1997-08-09	VYDAJ	PREVOD NA UCET	502	30288	 	YZ	17247677
489651	1671	1997-09-09	VYDAJ	PREVOD NA UCET	502	32138	 	YZ	17247677
489652	1671	1997-10-09	VYDAJ	PREVOD NA UCET	502	34596	 	YZ	17247677
489653	1671	1997-11-09	VYDAJ	PREVOD NA UCET	502	31950	 	YZ	17247677
489654	1671	1997-12-09	VYDAJ	PREVOD NA UCET	502	31683	 	YZ	17247677
489655	1671	1998-01-09	VYDAJ	PREVOD NA UCET	502	31833	 	YZ	17247677
489656	1671	1998-02-09	VYDAJ	PREVOD NA UCET	502	26487	 	YZ	17247677
489657	1671	1998-03-09	VYDAJ	PREVOD NA UCET	502	30133	 	YZ	17247677
489658	1671	1998-04-09	VYDAJ	PREVOD NA UCET	502	28505	 	YZ	17247677
489659	1671	1998-05-09	VYDAJ	PREVOD NA UCET	502	29757	 	YZ	17247677
489660	1671	1998-06-09	VYDAJ	PREVOD NA UCET	502	26493	 	YZ	17247677
489661	1671	1998-07-09	VYDAJ	PREVOD NA UCET	502	25072	 	YZ	17247677
489662	1671	1998-08-09	VYDAJ	PREVOD NA UCET	502	25408	 	YZ	17247677
489663	1671	1998-09-09	VYDAJ	PREVOD NA UCET	502	25745	 	YZ	17247677
489664	1671	1998-10-09	VYDAJ	PREVOD NA UCET	502	24483	 	YZ	17247677
489665	1671	1998-11-09	VYDAJ	PREVOD NA UCET	502	24318	 	YZ	17247677
489666	1671	1998-12-09	VYDAJ	PREVOD NA UCET	502	23150	 	YZ	17247677
489667	1671	1993-12-06	VYDAJ	VYBER	300	27059	\N	\N	\N
489668	1671	1994-12-23	VYDAJ	VYBER	850	29310	\N	\N	\N
489669	1671	1995-12-14	VYDAJ	VYBER	1350	28352	\N	\N	\N
489670	1671	1996-12-27	VYDAJ	VYBER	1200	25016	\N	\N	\N
489671	1671	1997-12-16	VYDAJ	VYBER	1100	25676	\N	\N	\N
489672	1671	1998-12-04	VYDAJ	VYBER	500	21385	\N	\N	\N
489673	1671	1993-09-14	VYDAJ	VYBER	2880	27129	\N	\N	\N
489675	1671	1993-10-19	VYDAJ	VYBER	560	25506	\N	\N	\N
489680	1671	1993-09-17	VYDAJ	VYBER	800	26329	\N	\N	\N
489681	1671	1993-09-27	VYDAJ	VYBER	3920	22409	\N	\N	\N
489682	1671	1994-08-20	VYDAJ	VYBER	480	28097	\N	\N	\N
489683	1671	1994-08-10	VYDAJ	VYBER	2320	31084	\N	\N	\N
489684	1671	1994-03-04	VYDAJ	VYBER	3760	22016	\N	\N	\N
489685	1671	1994-03-25	VYDAJ	VYBER	1600	23974	\N	\N	\N
489686	1671	1994-04-22	VYDAJ	VYBER	560	25265	\N	\N	\N
489687	1671	1995-08-06	VYDAJ	VYBER	560	19162	\N	\N	\N
489688	1671	1995-07-22	VYDAJ	VYBER	3360	23992	\N	\N	\N
489689	1671	1995-01-18	VYDAJ	VYBER	3120	23950	\N	\N	\N
489690	1671	1995-08-05	VYDAJ	VYBER	2560	19722	\N	\N	\N
489691	1671	1996-04-15	VYDAJ	VYBER	1440	33277	\N	\N	\N
489692	1671	1996-10-27	VYDAJ	VYBER	560	25166	\N	\N	\N
489693	1671	1996-01-19	VYDAJ	VYBER	800	28809	\N	\N	\N
489694	1671	1996-12-13	VYDAJ	VYBER	2560	27116	\N	\N	\N
489695	1671	1997-01-24	VYDAJ	VYBER	2240	25630	\N	\N	\N
489696	1671	1997-11-29	VYDAJ	VYBER	1120	25523	\N	\N	\N
489697	1671	1997-04-14	VYDAJ	VYBER	2160	32157	\N	\N	\N
489698	1671	1998-04-06	VYDAJ	VYBER	2080	25240	\N	\N	\N
489699	1671	1998-05-01	VYDAJ	VYBER	2400	23692	\N	\N	\N
489700	1671	1998-06-28	VYDAJ	VYBER	560	23426	\N	\N	\N
489710	1671	1993-09-30	VYDAJ	VYBER	15	22508	SLUZBY	\N	\N
489711	1671	1993-10-31	VYDAJ	VYBER	15	25597	SLUZBY	\N	\N
489712	1671	1993-11-30	VYDAJ	VYBER	15	29259	SLUZBY	\N	\N
489713	1671	1993-12-31	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
489714	1671	1994-01-31	VYDAJ	VYBER	15	27606	SLUZBY	\N	\N
489715	1671	1994-02-28	VYDAJ	VYBER	15	31276	SLUZBY	\N	\N
489716	1671	1994-03-31	VYDAJ	VYBER	15	24067	SLUZBY	\N	\N
489717	1671	1994-04-30	VYDAJ	VYBER	15	25356	SLUZBY	\N	\N
489718	1671	1994-05-31	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
489719	1671	1994-06-30	VYDAJ	VYBER	15	27769	SLUZBY	\N	\N
489720	1671	1994-07-31	VYDAJ	VYBER	15	27339	SLUZBY	\N	\N
489721	1671	1994-08-31	VYDAJ	VYBER	15	24499	SLUZBY	\N	\N
489722	1671	1994-09-30	VYDAJ	VYBER	15	27956	SLUZBY	\N	\N
489723	1671	1994-10-31	VYDAJ	VYBER	15	29827	SLUZBY	\N	\N
489724	1671	1994-11-30	VYDAJ	VYBER	15	26602	SLUZBY	\N	\N
489725	1671	1994-12-31	VYDAJ	VYBER	15	23512	SLUZBY	\N	\N
489726	1671	1995-01-31	VYDAJ	VYBER	15	22638	SLUZBY	\N	\N
489727	1671	1995-02-28	VYDAJ	VYBER	15	24587	SLUZBY	\N	\N
489728	1671	1995-03-31	VYDAJ	VYBER	15	24241	SLUZBY	\N	\N
489729	1671	1995-04-30	VYDAJ	VYBER	15	23294	SLUZBY	\N	\N
489731	1671	1995-06-30	VYDAJ	VYBER	15	23794	SLUZBY	\N	\N
489732	1671	1995-07-31	VYDAJ	VYBER	15	22282	SLUZBY	\N	\N
489733	1671	1995-08-31	VYDAJ	VYBER	15	22800	SLUZBY	\N	\N
489734	1671	1995-09-30	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
489735	1671	1995-10-31	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
489736	1671	1995-11-30	VYDAJ	VYBER	15	26144	SLUZBY	\N	\N
489737	1671	1995-12-31	VYDAJ	VYBER	15	26051	SLUZBY	\N	\N
489738	1671	1996-01-31	VYDAJ	VYBER	15	28913	SLUZBY	\N	\N
489739	1671	1996-02-29	VYDAJ	VYBER	15	29784	SLUZBY	\N	\N
489740	1671	1996-03-31	VYDAJ	VYBER	15	31159	SLUZBY	\N	\N
489741	1671	1996-04-30	VYDAJ	VYBER	15	30395	SLUZBY	\N	\N
489742	1671	1996-05-31	VYDAJ	VYBER	15	29469	SLUZBY	\N	\N
489743	1671	1996-06-30	VYDAJ	VYBER	15	33146	SLUZBY	\N	\N
489744	1671	1996-07-31	VYDAJ	VYBER	15	31929	SLUZBY	\N	\N
489745	1671	1996-08-31	VYDAJ	VYBER	15	29104	SLUZBY	\N	\N
489746	1671	1996-09-30	VYDAJ	VYBER	15	27368	SLUZBY	\N	\N
489747	1671	1996-10-31	VYDAJ	VYBER	15	25265	SLUZBY	\N	\N
489748	1671	1996-11-30	VYDAJ	VYBER	15	26118	SLUZBY	\N	\N
489749	1671	1996-12-31	VYDAJ	VYBER	15	25112	SLUZBY	\N	\N
489750	1671	1997-01-31	VYDAJ	VYBER	15	25726	SLUZBY	\N	\N
489751	1671	1997-02-28	VYDAJ	VYBER	15	29387	SLUZBY	\N	\N
489752	1671	1997-03-31	VYDAJ	VYBER	15	30759	SLUZBY	\N	\N
489753	1671	1997-04-30	VYDAJ	VYBER	15	26075	SLUZBY	\N	\N
489754	1671	1997-05-31	VYDAJ	VYBER	15	24925	SLUZBY	\N	\N
489755	1671	1997-06-30	VYDAJ	VYBER	15	23771	SLUZBY	\N	\N
489756	1671	1997-07-31	VYDAJ	VYBER	15	24223	SLUZBY	\N	\N
489757	1671	1997-08-31	VYDAJ	VYBER	15	26073	SLUZBY	\N	\N
489758	1671	1997-09-30	VYDAJ	VYBER	15	28531	SLUZBY	\N	\N
489759	1671	1997-10-31	VYDAJ	VYBER	15	25885	SLUZBY	\N	\N
489760	1671	1997-11-30	VYDAJ	VYBER	15	25618	SLUZBY	\N	\N
489761	1671	1997-12-31	VYDAJ	VYBER	15	25768	SLUZBY	\N	\N
489762	1671	1998-01-31	VYDAJ	VYBER	15	26722	SLUZBY	\N	\N
489763	1671	1998-02-28	VYDAJ	VYBER	15	24068	SLUZBY	\N	\N
489764	1671	1998-03-31	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
489765	1671	1998-04-30	VYDAJ	VYBER	15	26092	SLUZBY	\N	\N
489766	1671	1998-05-31	VYDAJ	VYBER	15	21128	SLUZBY	\N	\N
489767	1671	1998-06-30	VYDAJ	VYBER	15	23507	SLUZBY	\N	\N
489768	1671	1998-07-31	VYDAJ	VYBER	15	22643	SLUZBY	\N	\N
489769	1671	1998-08-31	VYDAJ	VYBER	15	22980	SLUZBY	\N	\N
489770	1671	1998-09-30	VYDAJ	VYBER	15	23318	SLUZBY	\N	\N
489771	1671	1998-10-31	VYDAJ	VYBER	15	22053	SLUZBY	\N	\N
489772	1671	1998-11-30	VYDAJ	VYBER	15	21885	SLUZBY	\N	\N
489773	1671	1993-08-03	VYDAJ	VYBER	300	20590	\N	\N	\N
489774	1671	1993-09-02	VYDAJ	VYBER	800	26451	\N	\N	\N
489775	1671	1993-12-01	VYDAJ	VYBER	1900	27359	\N	\N	\N
489776	1671	1993-12-31	VYDAJ	VYBER	1600	29130	\N	\N	\N
489777	1671	1994-01-30	VYDAJ	VYBER	5200	27488	\N	\N	\N
489778	1671	1994-03-01	VYDAJ	VYBER	5500	25776	\N	\N	\N
489779	1671	1994-03-31	VYDAJ	VYBER	1800	22267	\N	\N	\N
489780	1671	1994-04-30	VYDAJ	VYBER	1200	24156	\N	\N	\N
489781	1671	1994-05-30	VYDAJ	VYBER	3700	24014	\N	\N	\N
489782	1671	1994-07-29	VYDAJ	VYBER	4100	27227	\N	\N	\N
489783	1671	1994-08-28	VYDAJ	VYBER	3700	24397	\N	\N	\N
489784	1671	1994-09-27	VYDAJ	VYBER	200	27857	\N	\N	\N
489785	1671	1994-10-27	VYDAJ	VYBER	1800	29714	\N	\N	\N
489786	1671	1994-11-26	VYDAJ	VYBER	6900	26485	\N	\N	\N
489787	1671	1994-12-26	VYDAJ	VYBER	5900	23410	\N	\N	\N
489788	1671	1995-01-25	VYDAJ	VYBER	1400	22550	\N	\N	\N
489789	1671	1995-02-24	VYDAJ	VYBER	1700	24496	\N	\N	\N
489790	1671	1995-03-26	VYDAJ	VYBER	4000	24145	\N	\N	\N
489791	1671	1995-04-25	VYDAJ	VYBER	4600	23199	\N	\N	\N
489792	1671	1995-05-25	VYDAJ	VYBER	3100	23752	\N	\N	\N
489793	1671	1995-06-24	VYDAJ	VYBER	3700	23701	\N	\N	\N
489794	1671	1995-07-24	VYDAJ	VYBER	1800	22192	\N	\N	\N
489795	1671	1995-09-22	VYDAJ	VYBER	3200	23158	\N	\N	\N
489796	1671	1995-10-22	VYDAJ	VYBER	3600	23204	\N	\N	\N
489797	1671	1995-11-21	VYDAJ	VYBER	800	26051	\N	\N	\N
489798	1671	1995-12-21	VYDAJ	VYBER	2400	25952	\N	\N	\N
489799	1671	1996-02-19	VYDAJ	VYBER	2800	29671	\N	\N	\N
489800	1671	1996-03-20	VYDAJ	VYBER	2300	31042	\N	\N	\N
489801	1671	1996-04-19	VYDAJ	VYBER	3000	30277	\N	\N	\N
489802	1671	1996-05-19	VYDAJ	VYBER	4600	29353	\N	\N	\N
489803	1671	1996-07-18	VYDAJ	VYBER	4900	31804	\N	\N	\N
489804	1671	1996-08-17	VYDAJ	VYBER	6500	28987	\N	\N	\N
489805	1671	1996-09-16	VYDAJ	VYBER	5400	27262	\N	\N	\N
489806	1671	1996-10-16	VYDAJ	VYBER	5200	25726	\N	\N	\N
489807	1671	1996-11-15	VYDAJ	VYBER	2800	26023	\N	\N	\N
489808	1671	1996-12-15	VYDAJ	VYBER	900	26216	\N	\N	\N
489809	1671	1997-01-14	VYDAJ	VYBER	800	27870	\N	\N	\N
489810	1671	1997-03-15	VYDAJ	VYBER	2300	30645	\N	\N	\N
489811	1671	1997-04-14	VYDAJ	VYBER	6200	25957	\N	\N	\N
489812	1671	1997-05-14	VYDAJ	VYBER	4800	24833	\N	\N	\N
489813	1671	1997-06-13	VYDAJ	VYBER	4800	26190	\N	\N	\N
489814	1671	1997-07-13	VYDAJ	VYBER	3200	24129	\N	\N	\N
489815	1671	1997-08-12	VYDAJ	VYBER	1800	28488	\N	\N	\N
489816	1671	1997-09-11	VYDAJ	VYBER	1200	30938	\N	\N	\N
489817	1671	1997-10-11	VYDAJ	VYBER	6300	28296	\N	\N	\N
489818	1671	1997-11-10	VYDAJ	VYBER	2800	29150	\N	\N	\N
489819	1671	1997-12-10	VYDAJ	VYBER	2400	29283	\N	\N	\N
489820	1671	1998-01-09	VYDAJ	VYBER	2700	29133	\N	\N	\N
489821	1671	1998-02-08	VYDAJ	VYBER	6300	26989	\N	\N	\N
489822	1671	1998-03-10	VYDAJ	VYBER	400	29733	\N	\N	\N
489823	1671	1998-04-09	VYDAJ	VYBER	2800	29007	\N	\N	\N
489824	1671	1998-05-09	VYDAJ	VYBER	6200	23557	\N	\N	\N
489825	1671	1998-06-08	VYDAJ	VYBER	700	26995	\N	\N	\N
489826	1671	1998-07-08	VYDAJ	VYBER	4500	25574	\N	\N	\N
489827	1671	1998-08-07	VYDAJ	VYBER	3300	19343	\N	\N	\N
489828	1671	1998-09-06	VYDAJ	VYBER	3300	19680	\N	\N	\N
489829	1671	1998-10-06	VYDAJ	VYBER	4900	18418	\N	\N	\N
489830	1671	1998-11-05	VYDAJ	VYBER	3800	18253	\N	\N	\N
489831	1671	1998-12-05	VYDAJ	VYBER	4300	17085	\N	\N	\N
489900	1672	1996-05-08	PRIJEM	VKLAD	800	800	\N	\N	\N
489905	1672	1996-05-14	PRIJEM	VKLAD	18886	19686	\N	\N	\N
489906	1672	1996-06-14	PRIJEM	VKLAD	28329	50063	\N	\N	\N
489907	1672	1996-07-14	PRIJEM	VKLAD	18886	54402	\N	\N	\N
489908	1672	1996-08-14	PRIJEM	VKLAD	18886	59807	\N	\N	\N
489909	1672	1996-09-14	PRIJEM	VKLAD	18886	60933	\N	\N	\N
489910	1672	1996-10-14	PRIJEM	VKLAD	18886	61849	\N	\N	\N
489911	1672	1996-11-14	PRIJEM	VKLAD	18886	61063	\N	\N	\N
489912	1672	1996-12-14	PRIJEM	VKLAD	28329	68428	\N	\N	\N
489913	1672	1997-01-14	PRIJEM	VKLAD	18886	58243	\N	\N	\N
489914	1672	1997-02-14	PRIJEM	VKLAD	18886	61833	\N	\N	\N
489915	1672	1997-03-14	PRIJEM	VKLAD	18886	63936	\N	\N	\N
489916	1672	1997-04-14	PRIJEM	VKLAD	18886	61366	\N	\N	\N
489917	1672	1997-05-14	PRIJEM	VKLAD	18886	62392	\N	\N	\N
489918	1672	1997-06-14	PRIJEM	VKLAD	28329	66742	\N	\N	\N
489919	1672	1997-07-14	PRIJEM	VKLAD	18886	64739	\N	\N	\N
489920	1672	1997-08-14	PRIJEM	VKLAD	18886	53371	\N	\N	\N
489921	1672	1997-09-14	PRIJEM	VKLAD	18886	55339	\N	\N	\N
489922	1672	1997-10-14	PRIJEM	VKLAD	18886	61326	\N	\N	\N
489923	1672	1997-11-14	PRIJEM	VKLAD	18886	62832	\N	\N	\N
489924	1672	1997-12-14	PRIJEM	VKLAD	28329	65070	\N	\N	\N
489925	1672	1998-01-14	PRIJEM	VKLAD	18886	53559	\N	\N	\N
489926	1672	1998-02-14	PRIJEM	VKLAD	18886	48396	\N	\N	\N
489927	1672	1998-03-14	PRIJEM	VKLAD	18886	56930	\N	\N	\N
489928	1672	1998-04-14	PRIJEM	VKLAD	18886	57992	\N	\N	\N
489929	1672	1998-05-14	PRIJEM	VKLAD	18886	60557	\N	\N	\N
489930	1672	1998-06-14	PRIJEM	VKLAD	28329	70074	\N	\N	\N
489931	1672	1998-07-14	PRIJEM	VKLAD	18886	51921	\N	\N	\N
489932	1672	1998-08-14	PRIJEM	VKLAD	18886	58662	\N	\N	\N
489933	1672	1998-09-14	PRIJEM	VKLAD	18886	56425	\N	\N	\N
489934	1672	1998-10-14	PRIJEM	VKLAD	18886	53073	\N	\N	\N
489935	1672	1998-11-14	PRIJEM	VKLAD	18886	50602	\N	\N	\N
489936	1672	1998-12-14	PRIJEM	VKLAD	28329	56068	\N	\N	\N
489945	1672	1996-09-14	VYDAJ	PREVOD NA UCET	3898	57035	SIPO	ST	9213483
489946	1672	1996-10-14	VYDAJ	PREVOD NA UCET	3898	57951	SIPO	ST	9213483
489947	1672	1996-11-14	VYDAJ	PREVOD NA UCET	3898	57165	SIPO	ST	9213483
489948	1672	1996-12-14	VYDAJ	PREVOD NA UCET	3898	64530	SIPO	ST	9213483
489949	1672	1997-01-14	VYDAJ	PREVOD NA UCET	3898	54345	SIPO	ST	9213483
489950	1672	1997-02-14	VYDAJ	PREVOD NA UCET	3898	57935	SIPO	ST	9213483
489951	1672	1997-03-14	VYDAJ	PREVOD NA UCET	3898	60038	SIPO	ST	9213483
489952	1672	1997-04-14	VYDAJ	PREVOD NA UCET	3898	57468	SIPO	ST	9213483
489953	1672	1997-05-14	VYDAJ	PREVOD NA UCET	3898	58494	SIPO	ST	9213483
489954	1672	1997-06-14	VYDAJ	PREVOD NA UCET	3898	62844	SIPO	ST	9213483
489955	1672	1997-07-14	VYDAJ	PREVOD NA UCET	3898	60841	SIPO	ST	9213483
489956	1672	1997-08-14	VYDAJ	PREVOD NA UCET	3898	49473	SIPO	ST	9213483
489957	1672	1997-09-14	VYDAJ	PREVOD NA UCET	3898	51441	SIPO	ST	9213483
489958	1672	1997-10-14	VYDAJ	PREVOD NA UCET	3898	57428	SIPO	ST	9213483
489959	1672	1997-11-14	VYDAJ	PREVOD NA UCET	3898	58934	SIPO	ST	9213483
489960	1672	1997-12-14	VYDAJ	PREVOD NA UCET	3898	61172	SIPO	ST	9213483
489961	1672	1998-01-14	VYDAJ	PREVOD NA UCET	3898	49661	SIPO	ST	9213483
489962	1672	1998-02-14	VYDAJ	PREVOD NA UCET	3898	44498	SIPO	ST	9213483
489963	1672	1998-03-14	VYDAJ	PREVOD NA UCET	3898	53032	SIPO	ST	9213483
489964	1672	1998-04-14	VYDAJ	PREVOD NA UCET	3898	54094	SIPO	ST	9213483
489965	1672	1998-05-14	VYDAJ	PREVOD NA UCET	3898	56659	SIPO	ST	9213483
489966	1672	1998-06-14	VYDAJ	PREVOD NA UCET	3898	66176	SIPO	ST	9213483
489967	1672	1998-07-14	VYDAJ	PREVOD NA UCET	3898	48023	SIPO	ST	9213483
489968	1672	1998-08-14	VYDAJ	PREVOD NA UCET	3898	54764	SIPO	ST	9213483
489969	1672	1998-09-14	VYDAJ	PREVOD NA UCET	3898	52527	SIPO	ST	9213483
489970	1672	1998-10-14	VYDAJ	PREVOD NA UCET	3898	49175	SIPO	ST	9213483
489971	1672	1998-11-14	VYDAJ	PREVOD NA UCET	3898	46704	SIPO	ST	9213483
489972	1672	1998-12-14	VYDAJ	PREVOD NA UCET	3898	52170	SIPO	ST	9213483
489974	1672	1997-06-21	VYDAJ	VYBER	3900	58944	\N	\N	\N
489975	1672	1998-06-16	VYDAJ	VYBER	25100	41076	\N	\N	\N
489977	1672	1997-01-07	VYDAJ	VYBER	3600	44557	\N	\N	\N
489978	1672	1998-01-16	VYDAJ	VYBER	8900	40761	\N	\N	\N
489979	1672	1996-12-27	VYDAJ	VYBER	2600	61930	\N	\N	\N
489980	1672	1997-12-08	VYDAJ	VYBER	2900	36741	\N	\N	\N
489981	1672	1998-12-15	VYDAJ	VYBER	1600	50570	\N	\N	\N
489988	1672	1997-01-10	VYDAJ	VYBER	2400	41257	\N	\N	\N
489989	1672	1997-01-14	VYDAJ	VYBER	800	53545	\N	\N	\N
489990	1672	1997-01-11	VYDAJ	VYBER	1900	39357	\N	\N	\N
489991	1672	1997-01-09	VYDAJ	VYBER	900	43657	\N	\N	\N
489992	1672	1997-01-28	VYDAJ	VYBER	1500	52045	\N	\N	\N
489993	1672	1997-01-06	VYDAJ	VYBER	1300	48157	\N	\N	\N
489994	1672	1998-01-28	VYDAJ	VYBER	2100	36461	\N	\N	\N
489995	1672	1998-01-11	VYDAJ	VYBER	2200	34673	\N	\N	\N
489996	1672	1998-01-11	VYDAJ	VYBER	1700	36873	\N	\N	\N
489997	1672	1998-01-24	VYDAJ	VYBER	2200	38561	\N	\N	\N
489998	1672	1998-01-07	VYDAJ	VYBER	1100	38573	\N	\N	\N
489999	1672	1998-01-28	VYDAJ	VYBER	2800	29361	\N	\N	\N
490000	1672	1996-12-11	VYDAJ	VYBER	1100	40099	\N	\N	\N
490003	1672	1996-12-05	VYDAJ	VYBER	2300	41199	\N	\N	\N
490004	1672	1997-07-14	VYDAJ	VYBER	3800	57041	\N	\N	\N
490005	1672	1997-11-30	VYDAJ	VYBER	1000	39641	\N	\N	\N
490006	1672	1997-08-03	VYDAJ	VYBER	4500	34485	\N	\N	\N
490007	1672	1997-11-09	VYDAJ	VYBER	600	43946	\N	\N	\N
490008	1672	1997-05-16	VYDAJ	VYBER	4300	54194	\N	\N	\N
490009	1672	1997-09-21	VYDAJ	VYBER	700	50741	\N	\N	\N
490010	1672	1997-06-06	VYDAJ	VYBER	700	38413	\N	\N	\N
490011	1672	1998-12-22	VYDAJ	VYBER	4400	46170	\N	\N	\N
490012	1672	1998-08-10	VYDAJ	VYBER	1200	39776	\N	\N	\N
490013	1672	1998-10-17	VYDAJ	VYBER	4000	43575	\N	\N	\N
490014	1672	1998-08-26	VYDAJ	VYBER	1500	37364	\N	\N	\N
490015	1672	1998-06-25	VYDAJ	VYBER	1100	39976	\N	\N	\N
490016	1672	1998-11-20	VYDAJ	VYBER	2400	44304	\N	\N	\N
490017	1672	1998-10-16	VYDAJ	VYBER	1600	47575	\N	\N	\N
490027	1672	1996-09-30	VYDAJ	VYBER	15	57263	SLUZBY	\N	\N
490028	1672	1996-10-31	VYDAJ	VYBER	15	58177	SLUZBY	\N	\N
490029	1672	1996-11-30	VYDAJ	VYBER	15	57399	SLUZBY	\N	\N
490030	1672	1996-12-31	VYDAJ	VYBER	15	62157	SLUZBY	\N	\N
490031	1672	1997-01-31	VYDAJ	VYBER	15	52247	SLUZBY	\N	\N
490032	1672	1997-02-28	VYDAJ	VYBER	15	58150	SLUZBY	\N	\N
490033	1672	1997-03-31	VYDAJ	VYBER	15	60280	SLUZBY	\N	\N
490034	1672	1997-04-30	VYDAJ	VYBER	15	57706	SLUZBY	\N	\N
490035	1672	1997-05-31	VYDAJ	VYBER	15	54413	SLUZBY	\N	\N
490036	1672	1997-06-30	VYDAJ	VYBER	15	59153	SLUZBY	\N	\N
490037	1672	1997-07-31	VYDAJ	VYBER	15	57285	SLUZBY	\N	\N
490038	1672	1997-08-31	VYDAJ	VYBER	15	49653	SLUZBY	\N	\N
490039	1672	1997-09-30	VYDAJ	VYBER	15	50940	SLUZBY	\N	\N
490040	1672	1997-10-31	VYDAJ	VYBER	15	44546	SLUZBY	\N	\N
490041	1672	1997-11-30	VYDAJ	VYBER	15	40641	SLUZBY	\N	\N
490042	1672	1997-12-31	VYDAJ	VYBER	15	39673	SLUZBY	\N	\N
490043	1672	1998-01-31	VYDAJ	VYBER	15	29510	SLUZBY	\N	\N
490044	1672	1998-02-28	VYDAJ	VYBER	15	38044	SLUZBY	\N	\N
490045	1672	1998-03-31	VYDAJ	VYBER	15	39106	SLUZBY	\N	\N
490046	1672	1998-04-30	VYDAJ	VYBER	15	41671	SLUZBY	\N	\N
490047	1672	1998-05-31	VYDAJ	VYBER	15	41745	SLUZBY	\N	\N
490048	1672	1998-06-30	VYDAJ	VYBER	15	33035	SLUZBY	\N	\N
490049	1672	1998-07-31	VYDAJ	VYBER	15	40976	SLUZBY	\N	\N
490050	1672	1998-08-31	VYDAJ	VYBER	15	37539	SLUZBY	\N	\N
490051	1672	1998-09-30	VYDAJ	VYBER	15	34187	SLUZBY	\N	\N
490052	1672	1998-10-31	VYDAJ	VYBER	15	31716	SLUZBY	\N	\N
490053	1672	1998-11-30	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
490054	1672	1996-06-07	PRIJEM	VKLAD	2000	21734	\N	\N	\N
490055	1672	1996-07-07	VYDAJ	VYBER	14700	35516	\N	\N	\N
490056	1672	1996-08-06	VYDAJ	VYBER	13700	40921	\N	\N	\N
490057	1672	1996-09-05	VYDAJ	VYBER	18000	42047	\N	\N	\N
490058	1672	1996-10-05	VYDAJ	VYBER	14300	42963	\N	\N	\N
490059	1672	1996-11-04	VYDAJ	VYBER	16000	42177	\N	\N	\N
490060	1672	1996-12-04	VYDAJ	VYBER	13900	43499	\N	\N	\N
490061	1672	1997-01-03	VYDAJ	VYBER	12700	49457	\N	\N	\N
490062	1672	1997-02-02	VYDAJ	VYBER	9300	42947	\N	\N	\N
490063	1672	1997-03-04	VYDAJ	VYBER	13100	45050	\N	\N	\N
490064	1672	1997-04-03	VYDAJ	VYBER	17800	42480	\N	\N	\N
490065	1672	1997-05-03	VYDAJ	VYBER	14200	43506	\N	\N	\N
490066	1672	1997-06-02	VYDAJ	VYBER	15300	39113	\N	\N	\N
490067	1672	1997-07-02	VYDAJ	VYBER	13300	45853	\N	\N	\N
490068	1672	1997-08-01	VYDAJ	VYBER	18300	38985	\N	\N	\N
490069	1672	1997-08-31	VYDAJ	VYBER	13200	36453	\N	\N	\N
490070	1672	1997-09-30	VYDAJ	VYBER	8500	42440	\N	\N	\N
490071	1672	1997-10-30	VYDAJ	VYBER	13100	44328	\N	\N	\N
490072	1672	1997-11-29	VYDAJ	VYBER	18500	40434	\N	\N	\N
490073	1672	1997-12-29	VYDAJ	VYBER	21700	39472	\N	\N	\N
490074	1672	1998-01-28	VYDAJ	VYBER	4300	32161	\N	\N	\N
490075	1672	1998-02-27	VYDAJ	VYBER	6600	37898	\N	\N	\N
490076	1672	1998-03-29	VYDAJ	VYBER	14100	38932	\N	\N	\N
490077	1672	1998-04-28	VYDAJ	VYBER	12600	41494	\N	\N	\N
490078	1672	1998-05-28	VYDAJ	VYBER	15100	41559	\N	\N	\N
490079	1672	1998-06-27	VYDAJ	VYBER	7100	32876	\N	\N	\N
490080	1672	1998-07-27	VYDAJ	VYBER	7200	40823	\N	\N	\N
490081	1672	1998-08-26	VYDAJ	VYBER	15900	38864	\N	\N	\N
490082	1672	1998-09-25	VYDAJ	VYBER	18500	34027	\N	\N	\N
490083	1672	1998-10-25	VYDAJ	VYBER	12000	31575	\N	\N	\N
490084	1672	1998-11-24	VYDAJ	VYBER	16700	27604	\N	\N	\N
490117	1673	1993-12-08	PRIJEM	VKLAD	900	900	\N	\N	\N
490130	1673	1994-01-06	PRIJEM	PREVOD Z UCTU	4408	5308	DUCHOD	ST	695646
490131	1673	1994-02-06	PRIJEM	PREVOD Z UCTU	4408	9716	DUCHOD	ST	695646
490132	1673	1994-03-06	PRIJEM	PREVOD Z UCTU	4408	14124	DUCHOD	ST	695646
490133	1673	1994-04-06	PRIJEM	PREVOD Z UCTU	4408	18532	DUCHOD	ST	695646
490134	1673	1994-05-06	PRIJEM	PREVOD Z UCTU	4408	22940	DUCHOD	ST	695646
490135	1673	1994-06-06	PRIJEM	PREVOD Z UCTU	4408	24890	DUCHOD	ST	695646
490136	1673	1994-07-06	PRIJEM	PREVOD Z UCTU	4408	19762	DUCHOD	ST	695646
490137	1673	1994-08-06	PRIJEM	PREVOD Z UCTU	4408	21789	DUCHOD	ST	695646
490138	1673	1994-09-06	PRIJEM	PREVOD Z UCTU	4408	17098	DUCHOD	ST	695646
490139	1673	1994-10-06	PRIJEM	PREVOD Z UCTU	4408	19115	DUCHOD	ST	695646
490140	1673	1994-11-06	PRIJEM	PREVOD Z UCTU	4408	21140	DUCHOD	ST	695646
490141	1673	1994-12-06	PRIJEM	PREVOD Z UCTU	4408	18455	DUCHOD	ST	695646
490142	1673	1995-01-06	PRIJEM	PREVOD Z UCTU	4408	18158	DUCHOD	ST	695646
490143	1673	1995-02-06	PRIJEM	PREVOD Z UCTU	4408	15289	DUCHOD	ST	695646
490144	1673	1995-03-06	PRIJEM	PREVOD Z UCTU	4408	16735	DUCHOD	ST	695646
490145	1673	1995-04-06	PRIJEM	PREVOD Z UCTU	4408	15304	DUCHOD	ST	695646
490146	1673	1995-05-06	PRIJEM	PREVOD Z UCTU	4408	17313	DUCHOD	ST	695646
490147	1673	1995-06-06	PRIJEM	PREVOD Z UCTU	4408	15644	DUCHOD	ST	695646
490148	1673	1995-07-06	PRIJEM	PREVOD Z UCTU	4408	17654	DUCHOD	ST	695646
490149	1673	1995-08-06	PRIJEM	PREVOD Z UCTU	4408	19673	DUCHOD	ST	695646
490150	1673	1995-09-06	PRIJEM	PREVOD Z UCTU	4408	21399	DUCHOD	ST	695646
490151	1673	1995-10-06	PRIJEM	PREVOD Z UCTU	4408	22233	DUCHOD	ST	695646
490152	1673	1995-11-06	PRIJEM	PREVOD Z UCTU	4408	22049	DUCHOD	ST	695646
490153	1673	1995-12-06	PRIJEM	PREVOD Z UCTU	4408	22185	DUCHOD	ST	695646
490154	1673	1996-01-06	PRIJEM	PREVOD Z UCTU	4408	16648	DUCHOD	ST	695646
490155	1673	1996-02-06	PRIJEM	PREVOD Z UCTU	4408	13951	DUCHOD	ST	695646
490156	1673	1996-03-06	PRIJEM	PREVOD Z UCTU	4408	15954	DUCHOD	ST	695646
490157	1673	1996-04-06	PRIJEM	PREVOD Z UCTU	4408	14663	DUCHOD	ST	695646
490158	1673	1996-05-06	PRIJEM	PREVOD Z UCTU	4408	16669	DUCHOD	ST	695646
490159	1673	1996-06-06	PRIJEM	PREVOD Z UCTU	4408	13979	DUCHOD	ST	695646
490160	1673	1996-07-06	PRIJEM	PREVOD Z UCTU	4408	15982	DUCHOD	ST	695646
490161	1673	1996-08-06	PRIJEM	PREVOD Z UCTU	4408	16711	DUCHOD	ST	695646
490162	1673	1996-09-06	PRIJEM	PREVOD Z UCTU	4408	15422	DUCHOD	ST	695646
490163	1673	1996-10-06	PRIJEM	PREVOD Z UCTU	4408	17431	DUCHOD	ST	695646
490164	1673	1996-11-06	PRIJEM	PREVOD Z UCTU	4408	16845	DUCHOD	ST	695646
490165	1673	1996-12-06	PRIJEM	PREVOD Z UCTU	4408	14914	DUCHOD	ST	695646
490166	1673	1997-01-06	PRIJEM	PREVOD Z UCTU	4408	15870	DUCHOD	ST	695646
490167	1673	1997-02-06	PRIJEM	PREVOD Z UCTU	4408	15017	DUCHOD	ST	695646
490168	1673	1997-03-06	PRIJEM	PREVOD Z UCTU	4408	17024	DUCHOD	ST	695646
490169	1673	1997-04-06	PRIJEM	PREVOD Z UCTU	4408	16636	DUCHOD	ST	695646
490170	1673	1997-05-06	PRIJEM	PREVOD Z UCTU	4408	16410	DUCHOD	ST	695646
490171	1673	1997-06-06	PRIJEM	PREVOD Z UCTU	4408	18423	DUCHOD	ST	695646
490172	1673	1997-07-06	PRIJEM	PREVOD Z UCTU	4408	17940	DUCHOD	ST	695646
490173	1673	1997-08-06	PRIJEM	PREVOD Z UCTU	4408	16454	DUCHOD	ST	695646
490174	1673	1997-09-06	PRIJEM	PREVOD Z UCTU	4408	17866	DUCHOD	ST	695646
490175	1673	1997-10-06	PRIJEM	PREVOD Z UCTU	4408	17780	DUCHOD	ST	695646
490176	1673	1997-11-06	PRIJEM	PREVOD Z UCTU	4408	17494	DUCHOD	ST	695646
490177	1673	1997-12-06	PRIJEM	PREVOD Z UCTU	4408	16105	DUCHOD	ST	695646
490178	1673	1998-01-06	PRIJEM	PREVOD Z UCTU	4408	16145	DUCHOD	ST	695646
490179	1673	1998-02-06	PRIJEM	PREVOD Z UCTU	4408	15830	DUCHOD	ST	695646
490180	1673	1998-03-06	PRIJEM	PREVOD Z UCTU	4408	16737	DUCHOD	ST	695646
490181	1673	1998-04-06	PRIJEM	PREVOD Z UCTU	4408	17065	DUCHOD	ST	695646
490182	1673	1998-05-06	PRIJEM	PREVOD Z UCTU	4408	17878	DUCHOD	ST	695646
490183	1673	1998-06-06	PRIJEM	PREVOD Z UCTU	4408	18475	DUCHOD	ST	695646
490184	1673	1998-07-06	PRIJEM	PREVOD Z UCTU	4408	19092	DUCHOD	ST	695646
490185	1673	1998-08-06	PRIJEM	PREVOD Z UCTU	4408	18810	DUCHOD	ST	695646
490186	1673	1998-09-06	PRIJEM	PREVOD Z UCTU	4408	16723	DUCHOD	ST	695646
490187	1673	1998-10-06	PRIJEM	PREVOD Z UCTU	4408	14164	DUCHOD	ST	695646
490188	1673	1998-11-06	PRIJEM	PREVOD Z UCTU	4408	16166	DUCHOD	ST	695646
490189	1673	1998-12-06	PRIJEM	PREVOD Z UCTU	4408	18177	DUCHOD	ST	695646
490207	1673	1994-06-05	VYDAJ	PREVOD NA UCET	2447	20482	SIPO	AB	20515662
490208	1673	1994-07-05	VYDAJ	PREVOD NA UCET	2447	15354	SIPO	AB	20515662
490209	1673	1994-08-05	VYDAJ	PREVOD NA UCET	2447	17381	SIPO	AB	20515662
490210	1673	1994-09-05	VYDAJ	PREVOD NA UCET	2447	12690	SIPO	AB	20515662
490211	1673	1994-10-05	VYDAJ	PREVOD NA UCET	2447	14707	SIPO	AB	20515662
490212	1673	1994-11-05	VYDAJ	PREVOD NA UCET	2447	16732	SIPO	AB	20515662
490213	1673	1994-12-05	VYDAJ	PREVOD NA UCET	2447	14047	SIPO	AB	20515662
490214	1673	1995-01-05	VYDAJ	PREVOD NA UCET	2447	13750	SIPO	AB	20515662
490215	1673	1995-02-05	VYDAJ	PREVOD NA UCET	2447	10881	SIPO	AB	20515662
490216	1673	1995-03-05	VYDAJ	PREVOD NA UCET	2447	12327	SIPO	AB	20515662
490217	1673	1995-04-05	VYDAJ	PREVOD NA UCET	2447	10896	SIPO	AB	20515662
490218	1673	1995-05-05	VYDAJ	PREVOD NA UCET	2447	12905	SIPO	AB	20515662
490219	1673	1995-06-05	VYDAJ	PREVOD NA UCET	2447	11236	SIPO	AB	20515662
490220	1673	1995-07-05	VYDAJ	PREVOD NA UCET	2447	13246	SIPO	AB	20515662
490221	1673	1995-08-05	VYDAJ	PREVOD NA UCET	2447	15265	SIPO	AB	20515662
490222	1673	1995-09-05	VYDAJ	PREVOD NA UCET	2447	16991	SIPO	AB	20515662
490223	1673	1995-10-05	VYDAJ	PREVOD NA UCET	2447	17825	SIPO	AB	20515662
490224	1673	1995-11-05	VYDAJ	PREVOD NA UCET	2447	17641	SIPO	AB	20515662
490225	1673	1995-12-05	VYDAJ	PREVOD NA UCET	2447	17777	SIPO	AB	20515662
490226	1673	1996-01-05	VYDAJ	PREVOD NA UCET	2447	12240	SIPO	AB	20515662
490227	1673	1996-02-05	VYDAJ	PREVOD NA UCET	2447	9543	SIPO	AB	20515662
490228	1673	1996-03-05	VYDAJ	PREVOD NA UCET	2447	11546	SIPO	AB	20515662
490229	1673	1996-04-05	VYDAJ	PREVOD NA UCET	2447	10255	SIPO	AB	20515662
490230	1673	1996-05-05	VYDAJ	PREVOD NA UCET	2447	12261	SIPO	AB	20515662
490231	1673	1996-06-05	VYDAJ	PREVOD NA UCET	2447	9571	SIPO	AB	20515662
490232	1673	1996-07-05	VYDAJ	PREVOD NA UCET	2447	11574	SIPO	AB	20515662
490233	1673	1996-08-05	VYDAJ	PREVOD NA UCET	2447	12303	SIPO	AB	20515662
490234	1673	1996-09-05	VYDAJ	PREVOD NA UCET	2447	11014	SIPO	AB	20515662
490235	1673	1996-10-05	VYDAJ	PREVOD NA UCET	2447	13023	SIPO	AB	20515662
490236	1673	1996-11-05	VYDAJ	PREVOD NA UCET	2447	12437	SIPO	AB	20515662
490237	1673	1996-12-05	VYDAJ	PREVOD NA UCET	2447	10506	SIPO	AB	20515662
490238	1673	1997-01-05	VYDAJ	PREVOD NA UCET	2447	11462	SIPO	AB	20515662
490239	1673	1997-02-05	VYDAJ	PREVOD NA UCET	2447	10609	SIPO	AB	20515662
490240	1673	1997-03-05	VYDAJ	PREVOD NA UCET	2447	12616	SIPO	AB	20515662
490241	1673	1997-04-05	VYDAJ	PREVOD NA UCET	2447	12228	SIPO	AB	20515662
490242	1673	1997-05-05	VYDAJ	PREVOD NA UCET	2447	12002	SIPO	AB	20515662
490243	1673	1997-06-05	VYDAJ	PREVOD NA UCET	2447	14015	SIPO	AB	20515662
490244	1673	1997-07-05	VYDAJ	PREVOD NA UCET	2447	13532	SIPO	AB	20515662
490245	1673	1997-08-05	VYDAJ	PREVOD NA UCET	2447	12046	SIPO	AB	20515662
490246	1673	1997-09-05	VYDAJ	PREVOD NA UCET	2447	13458	SIPO	AB	20515662
490247	1673	1997-10-05	VYDAJ	PREVOD NA UCET	2447	13372	SIPO	AB	20515662
490248	1673	1997-11-05	VYDAJ	PREVOD NA UCET	2447	13086	SIPO	AB	20515662
490249	1673	1997-12-05	VYDAJ	PREVOD NA UCET	2447	11697	SIPO	AB	20515662
490250	1673	1998-01-05	VYDAJ	PREVOD NA UCET	2447	11737	SIPO	AB	20515662
490251	1673	1998-02-05	VYDAJ	PREVOD NA UCET	2447	11422	SIPO	AB	20515662
490252	1673	1998-03-05	VYDAJ	PREVOD NA UCET	2447	12329	SIPO	AB	20515662
490253	1673	1998-04-05	VYDAJ	PREVOD NA UCET	2447	12657	SIPO	AB	20515662
490254	1673	1998-05-05	VYDAJ	PREVOD NA UCET	2447	13470	SIPO	AB	20515662
490255	1673	1998-06-05	VYDAJ	PREVOD NA UCET	2447	14067	SIPO	AB	20515662
490256	1673	1998-07-05	VYDAJ	PREVOD NA UCET	2447	14684	SIPO	AB	20515662
490257	1673	1998-08-05	VYDAJ	PREVOD NA UCET	2447	14402	SIPO	AB	20515662
490258	1673	1998-09-05	VYDAJ	PREVOD NA UCET	2447	12315	SIPO	AB	20515662
490259	1673	1998-10-05	VYDAJ	PREVOD NA UCET	2447	9756	SIPO	AB	20515662
490260	1673	1998-11-05	VYDAJ	PREVOD NA UCET	2447	11758	SIPO	AB	20515662
490261	1673	1998-12-05	VYDAJ	PREVOD NA UCET	2447	13769	SIPO	AB	20515662
490263	1673	1994-12-02	VYDAJ	VYBER	950	16494	\N	\N	\N
490264	1673	1995-12-16	VYDAJ	VYBER	1450	20735	\N	\N	\N
490265	1673	1996-12-29	VYDAJ	VYBER	1050	13864	\N	\N	\N
490266	1673	1997-12-14	VYDAJ	VYBER	450	15655	\N	\N	\N
490280	1673	1995-01-20	VYDAJ	VYBER	2240	13278	\N	\N	\N
490281	1673	1995-01-18	VYDAJ	VYBER	1520	15518	\N	\N	\N
490282	1673	1995-01-04	VYDAJ	VYBER	1200	16197	\N	\N	\N
490284	1673	1995-01-07	VYDAJ	VYBER	1120	17038	\N	\N	\N
490285	1673	1995-01-02	VYDAJ	VYBER	1120	17397	\N	\N	\N
490287	1673	1996-01-04	VYDAJ	VYBER	1680	14687	\N	\N	\N
490288	1673	1996-01-06	VYDAJ	VYBER	1200	15448	\N	\N	\N
490290	1673	1996-01-07	VYDAJ	VYBER	1280	14168	\N	\N	\N
490291	1673	1996-01-04	VYDAJ	VYBER	1040	16367	\N	\N	\N
490293	1673	1997-01-06	VYDAJ	VYBER	560	15310	\N	\N	\N
490298	1673	1998-01-01	VYDAJ	VYBER	1120	14584	\N	\N	\N
490299	1673	1998-01-11	VYDAJ	VYBER	880	15265	\N	\N	\N
490300	1673	1998-01-01	VYDAJ	VYBER	400	14184	\N	\N	\N
490302	1673	1998-01-14	VYDAJ	VYBER	720	14545	\N	\N	\N
490303	1673	1998-01-16	VYDAJ	VYBER	720	13825	\N	\N	\N
490310	1673	1994-11-17	VYDAJ	VYBER	3760	17380	\N	\N	\N
490311	1673	1994-06-08	VYDAJ	VYBER	3600	20290	\N	\N	\N
490313	1673	1994-09-02	VYDAJ	VYBER	2560	15137	\N	\N	\N
490316	1673	1994-08-10	VYDAJ	VYBER	400	21389	\N	\N	\N
490317	1673	1994-08-20	VYDAJ	VYBER	3760	17629	\N	\N	\N
490318	1673	1994-06-26	VYDAJ	VYBER	2560	17730	\N	\N	\N
490319	1673	1995-05-19	VYDAJ	VYBER	3680	13633	\N	\N	\N
490320	1673	1995-03-22	VYDAJ	VYBER	480	13295	\N	\N	\N
490321	1673	1995-10-26	VYDAJ	VYBER	1120	21113	\N	\N	\N
490323	1673	1995-02-07	VYDAJ	VYBER	560	14729	\N	\N	\N
490324	1673	1995-03-19	VYDAJ	VYBER	2960	13775	\N	\N	\N
490326	1673	1996-07-18	VYDAJ	VYBER	1280	14702	\N	\N	\N
490327	1673	1996-01-08	VYDAJ	VYBER	720	13448	\N	\N	\N
490329	1673	1996-11-20	VYDAJ	VYBER	1840	15005	\N	\N	\N
490333	1673	1997-05-01	VYDAJ	VYBER	2240	14449	\N	\N	\N
490336	1673	1998-03-07	VYDAJ	VYBER	1680	15057	\N	\N	\N
490337	1673	1998-09-09	VYDAJ	VYBER	1360	15363	\N	\N	\N
490339	1673	1998-05-27	VYDAJ	VYBER	1120	16458	\N	\N	\N
490357	1673	1994-05-31	VYDAJ	VYBER	15	22929	SLUZBY	\N	\N
490358	1673	1994-06-30	VYDAJ	VYBER	15	17801	SLUZBY	\N	\N
490359	1673	1994-07-31	VYDAJ	VYBER	15	19828	SLUZBY	\N	\N
490360	1673	1994-08-31	VYDAJ	VYBER	15	17697	SLUZBY	\N	\N
490361	1673	1994-09-30	VYDAJ	VYBER	15	17154	SLUZBY	\N	\N
490362	1673	1994-10-31	VYDAJ	VYBER	15	19179	SLUZBY	\N	\N
490363	1673	1994-11-30	VYDAJ	VYBER	15	17444	SLUZBY	\N	\N
490364	1673	1994-12-31	VYDAJ	VYBER	15	18517	SLUZBY	\N	\N
490365	1673	1995-01-31	VYDAJ	VYBER	15	13328	SLUZBY	\N	\N
490366	1673	1995-02-28	VYDAJ	VYBER	15	14774	SLUZBY	\N	\N
490367	1673	1995-03-31	VYDAJ	VYBER	15	13343	SLUZBY	\N	\N
490368	1673	1995-04-30	VYDAJ	VYBER	15	15352	SLUZBY	\N	\N
490369	1673	1995-05-31	VYDAJ	VYBER	15	13683	SLUZBY	\N	\N
490370	1673	1995-06-30	VYDAJ	VYBER	15	15693	SLUZBY	\N	\N
490371	1673	1995-07-31	VYDAJ	VYBER	15	17712	SLUZBY	\N	\N
490372	1673	1995-08-31	VYDAJ	VYBER	15	19438	SLUZBY	\N	\N
490373	1673	1995-09-30	VYDAJ	VYBER	15	20272	SLUZBY	\N	\N
490374	1673	1995-10-31	VYDAJ	VYBER	15	20088	SLUZBY	\N	\N
490375	1673	1995-11-30	VYDAJ	VYBER	15	20224	SLUZBY	\N	\N
490376	1673	1995-12-31	VYDAJ	VYBER	15	17407	SLUZBY	\N	\N
490377	1673	1996-01-31	VYDAJ	VYBER	15	11990	SLUZBY	\N	\N
490378	1673	1996-02-29	VYDAJ	VYBER	15	13993	SLUZBY	\N	\N
490379	1673	1996-03-31	VYDAJ	VYBER	15	12702	SLUZBY	\N	\N
490380	1673	1996-04-30	VYDAJ	VYBER	15	14708	SLUZBY	\N	\N
490381	1673	1996-05-31	VYDAJ	VYBER	15	12018	SLUZBY	\N	\N
490382	1673	1996-06-30	VYDAJ	VYBER	15	14021	SLUZBY	\N	\N
490383	1673	1996-07-31	VYDAJ	VYBER	15	14750	SLUZBY	\N	\N
490384	1673	1996-08-31	VYDAJ	VYBER	15	13461	SLUZBY	\N	\N
490385	1673	1996-09-30	VYDAJ	VYBER	15	15470	SLUZBY	\N	\N
490386	1673	1996-10-31	VYDAJ	VYBER	15	14884	SLUZBY	\N	\N
490387	1673	1996-11-30	VYDAJ	VYBER	15	12953	SLUZBY	\N	\N
490388	1673	1996-12-31	VYDAJ	VYBER	15	13909	SLUZBY	\N	\N
490389	1673	1997-01-31	VYDAJ	VYBER	15	13056	SLUZBY	\N	\N
490390	1673	1997-02-28	VYDAJ	VYBER	15	15063	SLUZBY	\N	\N
490391	1673	1997-03-31	VYDAJ	VYBER	15	14675	SLUZBY	\N	\N
490392	1673	1997-04-30	VYDAJ	VYBER	15	16689	SLUZBY	\N	\N
490393	1673	1997-05-31	VYDAJ	VYBER	15	16462	SLUZBY	\N	\N
490394	1673	1997-06-30	VYDAJ	VYBER	15	15979	SLUZBY	\N	\N
490395	1673	1997-07-31	VYDAJ	VYBER	15	14493	SLUZBY	\N	\N
490396	1673	1997-08-31	VYDAJ	VYBER	15	15905	SLUZBY	\N	\N
490397	1673	1997-09-30	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
490398	1673	1997-10-31	VYDAJ	VYBER	15	15533	SLUZBY	\N	\N
490399	1673	1997-11-30	VYDAJ	VYBER	15	14144	SLUZBY	\N	\N
490400	1673	1997-12-31	VYDAJ	VYBER	15	15704	SLUZBY	\N	\N
490401	1673	1998-01-31	VYDAJ	VYBER	15	13869	SLUZBY	\N	\N
490402	1673	1998-02-28	VYDAJ	VYBER	15	14776	SLUZBY	\N	\N
490403	1673	1998-03-31	VYDAJ	VYBER	15	15104	SLUZBY	\N	\N
490404	1673	1998-04-30	VYDAJ	VYBER	15	15917	SLUZBY	\N	\N
490405	1673	1998-05-31	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
490406	1673	1998-06-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
490407	1673	1998-07-31	VYDAJ	VYBER	15	16849	SLUZBY	\N	\N
490408	1673	1998-08-31	VYDAJ	VYBER	15	14762	SLUZBY	\N	\N
490409	1673	1998-09-30	VYDAJ	VYBER	15	12203	SLUZBY	\N	\N
490410	1673	1998-10-31	VYDAJ	VYBER	15	14205	SLUZBY	\N	\N
490411	1673	1998-11-30	VYDAJ	VYBER	15	16216	SLUZBY	\N	\N
490412	1673	1994-06-06	VYDAJ	VYBER	1000	23890	\N	\N	\N
490413	1673	1995-08-30	VYDAJ	VYBER	300	19373	\N	\N	\N
490414	1673	1995-09-29	VYDAJ	VYBER	1200	20199	\N	\N	\N
490415	1673	1995-10-29	VYDAJ	VYBER	1100	20013	\N	\N	\N
490416	1673	1995-11-28	VYDAJ	VYBER	1900	20149	\N	\N	\N
490417	1673	1995-12-28	VYDAJ	VYBER	3400	17335	\N	\N	\N
490418	1673	1996-01-27	VYDAJ	VYBER	1500	11948	\N	\N	\N
490419	1673	1996-03-27	VYDAJ	VYBER	3300	12654	\N	\N	\N
490420	1673	1996-05-26	VYDAJ	VYBER	4700	11969	\N	\N	\N
490421	1673	1996-08-24	VYDAJ	VYBER	3300	13411	\N	\N	\N
490422	1673	1996-10-23	VYDAJ	VYBER	2600	14831	\N	\N	\N
490423	1673	1996-11-22	VYDAJ	VYBER	2100	12905	\N	\N	\N
490424	1673	1997-01-21	VYDAJ	VYBER	2300	13010	\N	\N	\N
490425	1673	1997-03-22	VYDAJ	VYBER	2400	14624	\N	\N	\N
490426	1673	1997-06-20	VYDAJ	VYBER	2500	15923	\N	\N	\N
490427	1673	1997-07-20	VYDAJ	VYBER	3500	14440	\N	\N	\N
490428	1673	1997-08-19	VYDAJ	VYBER	600	15854	\N	\N	\N
490429	1673	1997-09-18	VYDAJ	VYBER	2100	15766	\N	\N	\N
490430	1673	1997-10-18	VYDAJ	VYBER	2300	15480	\N	\N	\N
490431	1673	1997-11-17	VYDAJ	VYBER	3400	14094	\N	\N	\N
490432	1673	1998-02-15	VYDAJ	VYBER	1100	14730	\N	\N	\N
490433	1673	1998-04-16	VYDAJ	VYBER	1200	15865	\N	\N	\N
490434	1673	1998-05-16	VYDAJ	VYBER	300	17578	\N	\N	\N
490435	1673	1998-06-15	VYDAJ	VYBER	1400	17075	\N	\N	\N
490436	1673	1998-07-15	VYDAJ	VYBER	2300	16792	\N	\N	\N
490437	1673	1998-08-14	VYDAJ	VYBER	4100	14710	\N	\N	\N
490438	1673	1998-09-13	VYDAJ	VYBER	3200	12163	\N	\N	\N
490439	1673	1998-12-12	VYDAJ	VYBER	5100	13077	\N	\N	\N
490496	1674	1995-09-15	PRIJEM	VKLAD	800	800	\N	\N	\N
490506	1674	1995-10-08	PRIJEM	VKLAD	5707	6507	\N	\N	\N
490507	1674	1995-11-08	PRIJEM	VKLAD	5707	18243	\N	\N	\N
490508	1674	1995-12-08	PRIJEM	VKLAD	8560	27369	\N	\N	\N
490509	1674	1996-01-08	PRIJEM	VKLAD	5707	34078	\N	\N	\N
490510	1674	1996-02-08	PRIJEM	VKLAD	5707	37712	\N	\N	\N
490511	1674	1996-03-08	PRIJEM	VKLAD	5707	35127	\N	\N	\N
490512	1674	1996-04-08	PRIJEM	VKLAD	5707	32933	\N	\N	\N
490513	1674	1996-05-08	PRIJEM	VKLAD	5707	34239	\N	\N	\N
490514	1674	1996-06-08	PRIJEM	VKLAD	8560	32560	\N	\N	\N
490515	1674	1996-07-08	PRIJEM	VKLAD	5707	19761	\N	\N	\N
490516	1674	1996-08-08	PRIJEM	VKLAD	5707	29335	\N	\N	\N
490517	1674	1996-09-08	PRIJEM	VKLAD	5707	36041	\N	\N	\N
490518	1674	1996-10-08	PRIJEM	VKLAD	5707	37762	\N	\N	\N
490519	1674	1996-11-08	PRIJEM	VKLAD	5707	31334	\N	\N	\N
490520	1674	1996-12-08	PRIJEM	VKLAD	8560	36965	\N	\N	\N
490521	1674	1997-01-08	PRIJEM	VKLAD	5707	33547	\N	\N	\N
490522	1674	1997-02-08	PRIJEM	VKLAD	5707	31859	\N	\N	\N
490523	1674	1997-03-08	PRIJEM	VKLAD	5707	39860	\N	\N	\N
490524	1674	1997-04-08	PRIJEM	VKLAD	5707	41243	\N	\N	\N
490525	1674	1997-05-08	PRIJEM	VKLAD	5707	42752	\N	\N	\N
490526	1674	1997-06-08	PRIJEM	VKLAD	8560	48350	\N	\N	\N
490527	1674	1997-07-08	PRIJEM	VKLAD	5707	41508	\N	\N	\N
490528	1674	1997-08-08	PRIJEM	VKLAD	5707	46851	\N	\N	\N
490529	1674	1997-09-08	PRIJEM	VKLAD	5707	49514	\N	\N	\N
490530	1674	1997-10-08	PRIJEM	VKLAD	5707	50228	\N	\N	\N
490531	1674	1997-11-08	PRIJEM	VKLAD	5707	50024	\N	\N	\N
490532	1674	1997-12-08	PRIJEM	VKLAD	8560	52055	\N	\N	\N
490533	1674	1998-01-08	PRIJEM	VKLAD	5707	51019	\N	\N	\N
490534	1674	1998-02-08	PRIJEM	VKLAD	5707	42341	\N	\N	\N
490535	1674	1998-03-08	PRIJEM	VKLAD	5707	50878	\N	\N	\N
490536	1674	1998-04-08	PRIJEM	VKLAD	5707	52231	\N	\N	\N
490537	1674	1998-05-08	PRIJEM	VKLAD	5707	51218	\N	\N	\N
490538	1674	1998-06-08	PRIJEM	VKLAD	8560	53657	\N	\N	\N
490539	1674	1998-07-08	PRIJEM	VKLAD	5707	36799	\N	\N	\N
490540	1674	1998-08-08	PRIJEM	VKLAD	5707	45520	\N	\N	\N
490541	1674	1998-09-08	PRIJEM	VKLAD	5707	47779	\N	\N	\N
490542	1674	1998-10-08	PRIJEM	VKLAD	5707	48713	\N	\N	\N
490543	1674	1998-11-08	PRIJEM	VKLAD	5707	50785	\N	\N	\N
490544	1674	1998-12-08	PRIJEM	VKLAD	8560	53918	\N	\N	\N
490558	1674	1996-02-09	VYDAJ	PREVOD NA UCET	3804	33908	SIPO	WX	74642348
490559	1674	1996-03-09	VYDAJ	PREVOD NA UCET	3804	31323	SIPO	WX	74642348
490560	1674	1996-04-09	VYDAJ	PREVOD NA UCET	3804	29129	SIPO	WX	74642348
490561	1674	1996-05-09	VYDAJ	PREVOD NA UCET	3804	30435	SIPO	WX	74642348
490562	1674	1996-06-09	VYDAJ	PREVOD NA UCET	3804	28756	SIPO	WX	74642348
490563	1674	1996-07-09	VYDAJ	PREVOD NA UCET	3804	15957	SIPO	WX	74642348
490564	1674	1996-08-09	VYDAJ	PREVOD NA UCET	3804	25531	SIPO	WX	74642348
490565	1674	1996-09-09	VYDAJ	PREVOD NA UCET	3804	32237	SIPO	WX	74642348
490566	1674	1996-10-09	VYDAJ	PREVOD NA UCET	3804	29458	SIPO	WX	74642348
490567	1674	1996-11-09	VYDAJ	PREVOD NA UCET	3804	27530	SIPO	WX	74642348
490568	1674	1996-12-09	VYDAJ	PREVOD NA UCET	3804	28601	SIPO	WX	74642348
490569	1674	1997-01-09	VYDAJ	PREVOD NA UCET	3804	29743	SIPO	WX	74642348
490570	1674	1997-02-09	VYDAJ	PREVOD NA UCET	3804	28055	SIPO	WX	74642348
490571	1674	1997-03-09	VYDAJ	PREVOD NA UCET	3804	36056	SIPO	WX	74642348
490572	1674	1997-04-09	VYDAJ	PREVOD NA UCET	3804	37439	SIPO	WX	74642348
490573	1674	1997-05-09	VYDAJ	PREVOD NA UCET	3804	38948	SIPO	WX	74642348
490574	1674	1997-06-09	VYDAJ	PREVOD NA UCET	3804	34466	SIPO	WX	74642348
490575	1674	1997-07-09	VYDAJ	PREVOD NA UCET	3804	37704	SIPO	WX	74642348
490576	1674	1997-08-09	VYDAJ	PREVOD NA UCET	3804	43047	SIPO	WX	74642348
490577	1674	1997-09-09	VYDAJ	PREVOD NA UCET	3804	45710	SIPO	WX	74642348
490578	1674	1997-10-09	VYDAJ	PREVOD NA UCET	3804	46424	SIPO	WX	74642348
490579	1674	1997-11-09	VYDAJ	PREVOD NA UCET	3804	46220	SIPO	WX	74642348
490580	1674	1997-12-09	VYDAJ	PREVOD NA UCET	3804	48251	SIPO	WX	74642348
490581	1674	1998-01-09	VYDAJ	PREVOD NA UCET	3804	43375	SIPO	WX	74642348
490582	1674	1998-02-09	VYDAJ	PREVOD NA UCET	3804	38537	SIPO	WX	74642348
490583	1674	1998-03-09	VYDAJ	PREVOD NA UCET	3804	47074	SIPO	WX	74642348
490584	1674	1998-04-09	VYDAJ	PREVOD NA UCET	3804	48427	SIPO	WX	74642348
490585	1674	1998-05-09	VYDAJ	PREVOD NA UCET	3804	47414	SIPO	WX	74642348
490586	1674	1998-06-09	VYDAJ	PREVOD NA UCET	3804	49853	SIPO	WX	74642348
490587	1674	1998-07-09	VYDAJ	PREVOD NA UCET	3804	32995	SIPO	WX	74642348
490588	1674	1998-08-09	VYDAJ	PREVOD NA UCET	3804	41716	SIPO	WX	74642348
490589	1674	1998-09-09	VYDAJ	PREVOD NA UCET	3804	43975	SIPO	WX	74642348
490590	1674	1998-10-09	VYDAJ	PREVOD NA UCET	3804	44909	SIPO	WX	74642348
490591	1674	1998-11-09	VYDAJ	PREVOD NA UCET	3804	46981	SIPO	WX	74642348
490592	1674	1998-12-09	VYDAJ	PREVOD NA UCET	3804	50114	SIPO	WX	74642348
490594	1674	1996-06-27	VYDAJ	VYBER	17600	13956	\N	\N	\N
490595	1674	1997-06-09	VYDAJ	VYBER	10080	38270	\N	\N	\N
490596	1674	1998-06-28	VYDAJ	VYBER	28480	21373	\N	\N	\N
490599	1674	1997-01-04	VYDAJ	VYBER	3040	19940	\N	\N	\N
490600	1674	1998-01-16	VYDAJ	VYBER	6080	35735	\N	\N	\N
490602	1674	1996-12-24	VYDAJ	VYBER	2240	26361	\N	\N	\N
490603	1674	1997-12-21	VYDAJ	VYBER	1120	47131	\N	\N	\N
490604	1674	1998-12-19	VYDAJ	VYBER	3200	46914	\N	\N	\N
490617	1674	1997-01-03	VYDAJ	VYBER	840	25620	\N	\N	\N
490618	1674	1997-01-03	VYDAJ	VYBER	2640	22980	\N	\N	\N
490619	1674	1997-01-26	VYDAJ	VYBER	2160	22543	\N	\N	\N
490620	1674	1997-01-13	VYDAJ	VYBER	1800	25903	\N	\N	\N
490621	1674	1997-01-11	VYDAJ	VYBER	2040	27703	\N	\N	\N
490622	1674	1997-01-14	VYDAJ	VYBER	1200	24703	\N	\N	\N
490623	1674	1998-01-02	VYDAJ	VYBER	1680	45312	\N	\N	\N
490624	1674	1998-01-08	VYDAJ	VYBER	1080	47179	\N	\N	\N
490625	1674	1998-01-18	VYDAJ	VYBER	3360	31175	\N	\N	\N
490626	1674	1998-01-16	VYDAJ	VYBER	1200	34535	\N	\N	\N
490627	1674	1998-01-10	VYDAJ	VYBER	1560	41815	\N	\N	\N
490628	1674	1998-01-08	VYDAJ	VYBER	2760	48259	\N	\N	\N
490638	1674	1996-10-27	VYDAJ	VYBER	1560	27898	\N	\N	\N
490639	1674	1996-05-28	VYDAJ	VYBER	5640	23895	\N	\N	\N
490640	1674	1996-12-08	VYDAJ	VYBER	4560	32405	\N	\N	\N
490641	1674	1996-10-31	VYDAJ	VYBER	3480	24542	\N	\N	\N
490642	1674	1996-11-26	VYDAJ	VYBER	3720	23810	\N	\N	\N
490643	1674	1997-10-15	VYDAJ	VYBER	2280	44144	\N	\N	\N
490644	1674	1997-12-24	VYDAJ	VYBER	1920	45211	\N	\N	\N
490645	1674	1997-03-17	VYDAJ	VYBER	3840	32216	\N	\N	\N
490646	1674	1997-09-15	VYDAJ	VYBER	960	44750	\N	\N	\N
490647	1674	1997-04-13	VYDAJ	VYBER	4320	33119	\N	\N	\N
490648	1674	1997-02-02	VYDAJ	VYBER	5880	16752	\N	\N	\N
490649	1674	1998-03-19	VYDAJ	VYBER	1920	45154	\N	\N	\N
490650	1674	1998-07-04	VYDAJ	VYBER	2760	31092	\N	\N	\N
490651	1674	1998-01-27	VYDAJ	VYBER	4080	27095	\N	\N	\N
490652	1674	1998-09-09	VYDAJ	VYBER	4920	39055	\N	\N	\N
490667	1674	1996-02-29	VYDAJ	VYBER	15	29420	SLUZBY	\N	\N
490668	1674	1996-03-31	VYDAJ	VYBER	15	27226	SLUZBY	\N	\N
490669	1674	1996-04-30	VYDAJ	VYBER	15	28532	SLUZBY	\N	\N
490670	1674	1996-05-31	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
490671	1674	1996-06-30	VYDAJ	VYBER	15	14054	SLUZBY	\N	\N
490672	1674	1996-07-31	VYDAJ	VYBER	15	23628	SLUZBY	\N	\N
490673	1674	1996-08-31	VYDAJ	VYBER	15	30334	SLUZBY	\N	\N
490674	1674	1996-09-30	VYDAJ	VYBER	15	32055	SLUZBY	\N	\N
490675	1674	1996-10-31	VYDAJ	VYBER	15	24527	SLUZBY	\N	\N
490676	1674	1996-11-30	VYDAJ	VYBER	15	23905	SLUZBY	\N	\N
490677	1674	1996-12-31	VYDAJ	VYBER	15	26460	SLUZBY	\N	\N
490678	1674	1997-01-31	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
490679	1674	1997-02-28	VYDAJ	VYBER	15	28153	SLUZBY	\N	\N
490680	1674	1997-03-31	VYDAJ	VYBER	15	32336	SLUZBY	\N	\N
490681	1674	1997-04-30	VYDAJ	VYBER	15	33245	SLUZBY	\N	\N
490682	1674	1997-05-31	VYDAJ	VYBER	15	39090	SLUZBY	\N	\N
490683	1674	1997-06-30	VYDAJ	VYBER	15	34601	SLUZBY	\N	\N
490684	1674	1997-07-31	VYDAJ	VYBER	15	37844	SLUZBY	\N	\N
490685	1674	1997-08-31	VYDAJ	VYBER	15	43207	SLUZBY	\N	\N
490686	1674	1997-09-30	VYDAJ	VYBER	15	44921	SLUZBY	\N	\N
490687	1674	1997-10-31	VYDAJ	VYBER	15	44317	SLUZBY	\N	\N
490688	1674	1997-11-30	VYDAJ	VYBER	15	46395	SLUZBY	\N	\N
490689	1674	1997-12-31	VYDAJ	VYBER	15	45392	SLUZBY	\N	\N
490690	1674	1998-01-31	VYDAJ	VYBER	15	27234	SLUZBY	\N	\N
490691	1674	1998-02-28	VYDAJ	VYBER	15	38671	SLUZBY	\N	\N
490692	1674	1998-03-31	VYDAJ	VYBER	15	45324	SLUZBY	\N	\N
490693	1674	1998-04-30	VYDAJ	VYBER	15	48611	SLUZBY	\N	\N
490694	1674	1998-05-31	VYDAJ	VYBER	15	47597	SLUZBY	\N	\N
490695	1674	1998-06-30	VYDAJ	VYBER	15	21552	SLUZBY	\N	\N
490696	1674	1998-07-31	VYDAJ	VYBER	15	39813	SLUZBY	\N	\N
490697	1674	1998-08-31	VYDAJ	VYBER	15	42072	SLUZBY	\N	\N
490698	1674	1998-09-30	VYDAJ	VYBER	15	43006	SLUZBY	\N	\N
490699	1674	1998-10-31	VYDAJ	VYBER	15	45078	SLUZBY	\N	\N
490700	1674	1998-11-30	VYDAJ	VYBER	15	45358	SLUZBY	\N	\N
490701	1674	1995-10-15	PRIJEM	VKLAD	6000	12507	\N	\N	\N
490702	1674	1995-11-14	PRIJEM	VKLAD	500	18743	\N	\N	\N
490703	1674	1995-12-14	PRIJEM	VKLAD	900	28269	\N	\N	\N
490704	1674	1996-01-13	VYDAJ	VYBER	2200	31878	\N	\N	\N
490705	1674	1996-02-12	VYDAJ	VYBER	4600	29308	\N	\N	\N
490706	1674	1996-03-13	VYDAJ	VYBER	4200	27123	\N	\N	\N
490707	1674	1996-04-12	VYDAJ	VYBER	700	28429	\N	\N	\N
490708	1674	1996-05-12	VYDAJ	VYBER	900	29535	\N	\N	\N
490709	1674	1996-06-11	PRIJEM	VKLAD	2800	31556	\N	\N	\N
490710	1674	1996-07-11	PRIJEM	VKLAD	7600	23557	\N	\N	\N
490711	1674	1996-08-10	PRIJEM	VKLAD	4700	30231	\N	\N	\N
490712	1674	1996-09-09	VYDAJ	VYBER	300	31937	\N	\N	\N
490713	1674	1996-10-09	VYDAJ	VYBER	4500	33262	\N	\N	\N
490714	1674	1996-11-08	PRIJEM	VKLAD	1100	25627	\N	\N	\N
490715	1674	1996-12-08	PRIJEM	VKLAD	4500	28405	\N	\N	\N
490716	1674	1997-01-07	PRIJEM	VKLAD	7900	27840	\N	\N	\N
490717	1674	1997-02-06	PRIJEM	VKLAD	9400	26152	\N	\N	\N
490718	1674	1997-03-08	PRIJEM	VKLAD	6000	34153	\N	\N	\N
490719	1674	1997-04-07	PRIJEM	VKLAD	3200	35536	\N	\N	\N
490720	1674	1997-05-07	PRIJEM	VKLAD	3800	37045	\N	\N	\N
490721	1674	1997-06-06	PRIJEM	VKLAD	700	39790	\N	\N	\N
490722	1674	1997-07-06	PRIJEM	VKLAD	1200	35801	\N	\N	\N
490723	1674	1997-08-05	PRIJEM	VKLAD	3300	41144	\N	\N	\N
490724	1674	1997-09-04	PRIJEM	VKLAD	600	43807	\N	\N	\N
490725	1674	1997-10-04	VYDAJ	VYBER	400	44521	\N	\N	\N
490726	1674	1997-12-03	VYDAJ	VYBER	2900	43495	\N	\N	\N
490727	1674	1998-01-02	PRIJEM	VKLAD	1600	46992	\N	\N	\N
490728	1674	1998-02-01	PRIJEM	VKLAD	9400	36634	\N	\N	\N
490729	1674	1998-03-03	PRIJEM	VKLAD	6500	45171	\N	\N	\N
490730	1674	1998-04-02	PRIJEM	VKLAD	1200	46524	\N	\N	\N
490731	1674	1998-05-02	VYDAJ	VYBER	3100	45511	\N	\N	\N
490732	1674	1998-06-01	VYDAJ	VYBER	2500	45097	\N	\N	\N
490733	1674	1998-07-01	PRIJEM	VKLAD	12300	33852	\N	\N	\N
490734	1674	1998-07-31	PRIJEM	VKLAD	6700	39827	\N	\N	\N
490735	1674	1998-08-30	PRIJEM	VKLAD	200	41916	\N	\N	\N
490736	1674	1998-09-29	PRIJEM	VKLAD	3800	42855	\N	\N	\N
490737	1674	1998-11-28	VYDAJ	VYBER	1800	45181	\N	\N	\N
490777	1675	1993-02-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
490779	1675	1993-02-12	PRIJEM	PREVOD Z UCTU	4327	5427	DUCHOD	AB	50350195
490780	1675	1993-03-12	PRIJEM	PREVOD Z UCTU	4327	9768	DUCHOD	AB	50350195
490781	1675	1993-04-12	PRIJEM	PREVOD Z UCTU	4327	14117	DUCHOD	AB	50350195
490782	1675	1993-05-12	PRIJEM	PREVOD Z UCTU	4327	18467	DUCHOD	AB	50350195
490783	1675	1993-06-12	PRIJEM	PREVOD Z UCTU	4327	22817	DUCHOD	AB	50350195
490784	1675	1993-07-12	PRIJEM	PREVOD Z UCTU	4327	25029	DUCHOD	AB	50350195
490785	1675	1993-08-12	PRIJEM	PREVOD Z UCTU	4327	27317	DUCHOD	AB	50350195
490786	1675	1993-09-12	PRIJEM	PREVOD Z UCTU	4327	29615	DUCHOD	AB	50350195
490787	1675	1993-10-12	PRIJEM	PREVOD Z UCTU	4327	30723	DUCHOD	AB	50350195
490788	1675	1993-11-12	PRIJEM	PREVOD Z UCTU	4327	26429	DUCHOD	AB	50350195
490789	1675	1993-12-12	PRIJEM	PREVOD Z UCTU	4327	26899	DUCHOD	AB	50350195
490790	1675	1994-01-12	PRIJEM	PREVOD Z UCTU	4327	24504	DUCHOD	AB	50350195
490791	1675	1994-02-12	PRIJEM	PREVOD Z UCTU	4327	18857	DUCHOD	AB	50350195
490792	1675	1994-03-12	PRIJEM	PREVOD Z UCTU	4327	21119	DUCHOD	AB	50350195
490964	1675	1997-01-12	VYDAJ	VYBER	1840	25537	\N	\N	\N
490793	1675	1994-04-12	PRIJEM	PREVOD Z UCTU	4327	23391	DUCHOD	AB	50350195
490794	1675	1994-05-12	PRIJEM	PREVOD Z UCTU	4327	25272	DUCHOD	AB	50350195
490795	1675	1994-06-12	PRIJEM	PREVOD Z UCTU	4327	27261	DUCHOD	AB	50350195
490796	1675	1994-07-12	PRIJEM	PREVOD Z UCTU	4327	20652	DUCHOD	AB	50350195
490797	1675	1994-08-12	PRIJEM	PREVOD Z UCTU	4327	22922	DUCHOD	AB	50350195
490798	1675	1994-09-12	PRIJEM	PREVOD Z UCTU	4327	25201	DUCHOD	AB	50350195
490799	1675	1994-10-12	PRIJEM	PREVOD Z UCTU	4327	24770	DUCHOD	AB	50350195
490800	1675	1994-11-12	PRIJEM	PREVOD Z UCTU	4327	24415	DUCHOD	AB	50350195
490801	1675	1994-12-12	PRIJEM	PREVOD Z UCTU	4327	26700	DUCHOD	AB	50350195
490802	1675	1995-01-12	PRIJEM	PREVOD Z UCTU	4327	27325	DUCHOD	AB	50350195
490803	1675	1995-02-12	PRIJEM	PREVOD Z UCTU	4327	20087	DUCHOD	AB	50350195
490804	1675	1995-03-12	PRIJEM	PREVOD Z UCTU	4327	22354	DUCHOD	AB	50350195
490805	1675	1995-04-12	PRIJEM	PREVOD Z UCTU	4327	24631	DUCHOD	AB	50350195
490806	1675	1995-05-12	PRIJEM	PREVOD Z UCTU	4327	23317	DUCHOD	AB	50350195
490807	1675	1995-06-12	PRIJEM	PREVOD Z UCTU	4327	22878	DUCHOD	AB	50350195
490808	1675	1995-07-12	PRIJEM	PREVOD Z UCTU	4327	25158	DUCHOD	AB	50350195
490809	1675	1995-08-12	PRIJEM	PREVOD Z UCTU	4327	27447	DUCHOD	AB	50350195
490810	1675	1995-09-12	PRIJEM	PREVOD Z UCTU	4327	27345	DUCHOD	AB	50350195
490811	1675	1995-10-12	PRIJEM	PREVOD Z UCTU	4327	29642	DUCHOD	AB	50350195
490812	1675	1995-11-12	PRIJEM	PREVOD Z UCTU	4327	31949	DUCHOD	AB	50350195
490813	1675	1995-12-12	PRIJEM	PREVOD Z UCTU	4327	34266	DUCHOD	AB	50350195
490814	1675	1996-01-12	PRIJEM	PREVOD Z UCTU	4327	24196	DUCHOD	AB	50350195
490815	1675	1996-02-12	PRIJEM	PREVOD Z UCTU	4327	17273	DUCHOD	AB	50350195
490816	1675	1996-03-12	PRIJEM	PREVOD Z UCTU	4327	19528	DUCHOD	AB	50350195
490817	1675	1996-04-12	PRIJEM	PREVOD Z UCTU	4327	21793	DUCHOD	AB	50350195
490818	1675	1996-05-12	PRIJEM	PREVOD Z UCTU	4327	21346	DUCHOD	AB	50350195
490819	1675	1996-06-12	PRIJEM	PREVOD Z UCTU	4327	23618	DUCHOD	AB	50350195
490820	1675	1996-07-12	PRIJEM	PREVOD Z UCTU	4327	22699	DUCHOD	AB	50350195
490821	1675	1996-08-12	PRIJEM	PREVOD Z UCTU	4327	24977	DUCHOD	AB	50350195
490822	1675	1996-09-12	PRIJEM	PREVOD Z UCTU	4327	27264	DUCHOD	AB	50350195
490823	1675	1996-10-12	PRIJEM	PREVOD Z UCTU	4327	27319	DUCHOD	AB	50350195
490824	1675	1996-11-12	PRIJEM	PREVOD Z UCTU	4327	29616	DUCHOD	AB	50350195
490825	1675	1996-12-12	PRIJEM	PREVOD Z UCTU	4327	31922	DUCHOD	AB	50350195
490826	1675	1997-01-12	PRIJEM	PREVOD Z UCTU	4327	27377	DUCHOD	AB	50350195
490827	1675	1997-02-12	PRIJEM	PREVOD Z UCTU	4327	21102	DUCHOD	AB	50350195
490828	1675	1997-03-12	PRIJEM	PREVOD Z UCTU	4327	23372	DUCHOD	AB	50350195
490829	1675	1997-04-12	PRIJEM	PREVOD Z UCTU	4327	25652	DUCHOD	AB	50350195
490830	1675	1997-05-12	PRIJEM	PREVOD Z UCTU	4327	27941	DUCHOD	AB	50350195
490831	1675	1997-06-12	PRIJEM	PREVOD Z UCTU	4327	30240	DUCHOD	AB	50350195
490832	1675	1997-07-12	PRIJEM	PREVOD Z UCTU	4327	19016	DUCHOD	AB	50350195
490833	1675	1997-08-12	PRIJEM	PREVOD Z UCTU	4327	21278	DUCHOD	AB	50350195
490834	1675	1997-09-12	PRIJEM	PREVOD Z UCTU	4327	22265	DUCHOD	AB	50350195
490835	1675	1997-10-12	PRIJEM	PREVOD Z UCTU	4327	24540	DUCHOD	AB	50350195
490836	1675	1997-11-12	PRIJEM	PREVOD Z UCTU	4327	23543	DUCHOD	AB	50350195
490837	1675	1997-12-12	PRIJEM	PREVOD Z UCTU	4327	25073	DUCHOD	AB	50350195
490838	1675	1998-01-12	PRIJEM	PREVOD Z UCTU	4327	22116	DUCHOD	AB	50350195
490839	1675	1998-02-12	PRIJEM	PREVOD Z UCTU	4327	20387	DUCHOD	AB	50350195
490840	1675	1998-03-12	PRIJEM	PREVOD Z UCTU	4327	22654	DUCHOD	AB	50350195
490841	1675	1998-04-12	PRIJEM	PREVOD Z UCTU	4327	24930	DUCHOD	AB	50350195
490842	1675	1998-05-12	PRIJEM	PREVOD Z UCTU	4327	23455	DUCHOD	AB	50350195
490843	1675	1998-06-12	PRIJEM	PREVOD Z UCTU	4327	22455	DUCHOD	AB	50350195
490844	1675	1998-07-12	PRIJEM	PREVOD Z UCTU	4327	20219	DUCHOD	AB	50350195
490845	1675	1998-08-12	PRIJEM	PREVOD Z UCTU	4327	22484	DUCHOD	AB	50350195
490846	1675	1998-09-12	PRIJEM	PREVOD Z UCTU	4327	24759	DUCHOD	AB	50350195
490847	1675	1998-10-12	PRIJEM	PREVOD Z UCTU	4327	25520	DUCHOD	AB	50350195
490848	1675	1998-11-12	PRIJEM	PREVOD Z UCTU	4327	24448	DUCHOD	AB	50350195
490849	1675	1998-12-12	PRIJEM	PREVOD Z UCTU	4327	24650	DUCHOD	AB	50350195
490856	1675	1993-07-05	VYDAJ	PREVOD NA UCET	2125	20702	SIPO	GH	17588830
490857	1675	1993-08-05	VYDAJ	PREVOD NA UCET	2125	22990	SIPO	GH	17588830
490858	1675	1993-09-05	VYDAJ	PREVOD NA UCET	2125	25288	SIPO	GH	17588830
490859	1675	1993-10-05	VYDAJ	PREVOD NA UCET	2125	26396	SIPO	GH	17588830
490860	1675	1993-11-05	VYDAJ	PREVOD NA UCET	2125	22102	SIPO	GH	17588830
490861	1675	1993-12-05	VYDAJ	PREVOD NA UCET	2125	22572	SIPO	GH	17588830
490862	1675	1994-01-05	VYDAJ	PREVOD NA UCET	2125	22417	SIPO	GH	17588830
490863	1675	1994-02-05	VYDAJ	PREVOD NA UCET	2125	14530	SIPO	GH	17588830
490864	1675	1994-03-05	VYDAJ	PREVOD NA UCET	2125	16792	SIPO	GH	17588830
490865	1675	1994-04-05	VYDAJ	PREVOD NA UCET	2125	19064	SIPO	GH	17588830
490866	1675	1994-05-05	VYDAJ	PREVOD NA UCET	2125	20945	SIPO	GH	17588830
490867	1675	1994-06-05	VYDAJ	PREVOD NA UCET	2125	22934	SIPO	GH	17588830
490868	1675	1994-07-05	VYDAJ	PREVOD NA UCET	2125	16325	SIPO	GH	17588830
490869	1675	1994-08-05	VYDAJ	PREVOD NA UCET	2125	18595	SIPO	GH	17588830
490870	1675	1994-09-05	VYDAJ	PREVOD NA UCET	2125	20874	SIPO	GH	17588830
490871	1675	1994-10-05	VYDAJ	PREVOD NA UCET	2125	23163	SIPO	GH	17588830
490872	1675	1994-11-05	VYDAJ	PREVOD NA UCET	2125	20088	SIPO	GH	17588830
490873	1675	1994-12-05	VYDAJ	PREVOD NA UCET	2125	22373	SIPO	GH	17588830
490874	1675	1995-01-05	VYDAJ	PREVOD NA UCET	2125	23718	SIPO	GH	17588830
490875	1675	1995-02-05	VYDAJ	PREVOD NA UCET	2125	15760	SIPO	GH	17588830
490876	1675	1995-03-05	VYDAJ	PREVOD NA UCET	2125	18027	SIPO	GH	17588830
490877	1675	1995-04-05	VYDAJ	PREVOD NA UCET	2125	20304	SIPO	GH	17588830
490878	1675	1995-05-05	VYDAJ	PREVOD NA UCET	2125	18990	SIPO	GH	17588830
490879	1675	1995-06-05	VYDAJ	PREVOD NA UCET	2125	21271	SIPO	GH	17588830
490880	1675	1995-07-05	VYDAJ	PREVOD NA UCET	2125	20831	SIPO	GH	17588830
490881	1675	1995-08-05	VYDAJ	PREVOD NA UCET	2125	23120	SIPO	GH	17588830
490882	1675	1995-09-05	VYDAJ	PREVOD NA UCET	2125	25418	SIPO	GH	17588830
490883	1675	1995-10-05	VYDAJ	PREVOD NA UCET	2125	25315	SIPO	GH	17588830
490884	1675	1995-11-05	VYDAJ	PREVOD NA UCET	2125	27622	SIPO	GH	17588830
490885	1675	1995-12-05	VYDAJ	PREVOD NA UCET	2125	29939	SIPO	GH	17588830
490886	1675	1996-01-05	VYDAJ	PREVOD NA UCET	2125	25539	SIPO	GH	17588830
490887	1675	1996-02-05	VYDAJ	PREVOD NA UCET	2125	14306	SIPO	GH	17588830
490888	1675	1996-03-05	VYDAJ	PREVOD NA UCET	2125	15201	SIPO	GH	17588830
490889	1675	1996-04-05	VYDAJ	PREVOD NA UCET	2125	17466	SIPO	GH	17588830
490890	1675	1996-05-05	VYDAJ	PREVOD NA UCET	2125	17019	SIPO	GH	17588830
490891	1675	1996-06-05	VYDAJ	PREVOD NA UCET	2125	19291	SIPO	GH	17588830
490892	1675	1996-07-05	VYDAJ	PREVOD NA UCET	2125	21012	SIPO	GH	17588830
490893	1675	1996-08-05	VYDAJ	PREVOD NA UCET	2125	20650	SIPO	GH	17588830
490894	1675	1996-09-05	VYDAJ	PREVOD NA UCET	2125	22937	SIPO	GH	17588830
490895	1675	1996-10-05	VYDAJ	PREVOD NA UCET	2125	22992	SIPO	GH	17588830
490896	1675	1996-11-05	VYDAJ	PREVOD NA UCET	2125	25289	SIPO	GH	17588830
490897	1675	1996-12-05	VYDAJ	PREVOD NA UCET	2125	27595	SIPO	GH	17588830
490898	1675	1997-01-05	VYDAJ	PREVOD NA UCET	2125	29010	SIPO	GH	17588830
490899	1675	1997-02-05	VYDAJ	PREVOD NA UCET	2125	16775	SIPO	GH	17588830
490900	1675	1997-03-05	VYDAJ	PREVOD NA UCET	2125	19045	SIPO	GH	17588830
490901	1675	1997-04-05	VYDAJ	PREVOD NA UCET	2125	21325	SIPO	GH	17588830
490902	1675	1997-05-05	VYDAJ	PREVOD NA UCET	2125	23614	SIPO	GH	17588830
490903	1675	1997-06-05	VYDAJ	PREVOD NA UCET	2125	25913	SIPO	GH	17588830
490904	1675	1997-07-05	VYDAJ	PREVOD NA UCET	2125	14689	SIPO	GH	17588830
490905	1675	1997-08-05	VYDAJ	PREVOD NA UCET	2125	16951	SIPO	GH	17588830
490906	1675	1997-09-05	VYDAJ	PREVOD NA UCET	2125	17938	SIPO	GH	17588830
490907	1675	1997-10-05	VYDAJ	PREVOD NA UCET	2125	20213	SIPO	GH	17588830
490908	1675	1997-11-05	VYDAJ	PREVOD NA UCET	2125	19216	SIPO	GH	17588830
490909	1675	1997-12-05	VYDAJ	PREVOD NA UCET	2125	20746	SIPO	GH	17588830
490910	1675	1998-01-05	VYDAJ	PREVOD NA UCET	2125	21589	SIPO	GH	17588830
490911	1675	1998-02-05	VYDAJ	PREVOD NA UCET	2125	16060	SIPO	GH	17588830
490912	1675	1998-03-05	VYDAJ	PREVOD NA UCET	2125	18327	SIPO	GH	17588830
490913	1675	1998-04-05	VYDAJ	PREVOD NA UCET	2125	20603	SIPO	GH	17588830
490914	1675	1998-05-05	VYDAJ	PREVOD NA UCET	2125	22888	SIPO	GH	17588830
490915	1675	1998-06-05	VYDAJ	PREVOD NA UCET	2125	18128	SIPO	GH	17588830
490916	1675	1998-07-05	VYDAJ	PREVOD NA UCET	2125	15892	SIPO	GH	17588830
490917	1675	1998-08-05	VYDAJ	PREVOD NA UCET	2125	18157	SIPO	GH	17588830
490918	1675	1998-09-05	VYDAJ	PREVOD NA UCET	2125	20432	SIPO	GH	17588830
490919	1675	1998-10-05	VYDAJ	PREVOD NA UCET	2125	21193	SIPO	GH	17588830
490920	1675	1998-11-05	VYDAJ	PREVOD NA UCET	2125	20121	SIPO	GH	17588830
490921	1675	1998-12-05	VYDAJ	PREVOD NA UCET	2125	20323	SIPO	GH	17588830
490923	1675	1994-06-25	VYDAJ	VYBER	8900	18361	\N	\N	\N
490926	1675	1997-06-14	VYDAJ	VYBER	13500	16740	\N	\N	\N
490927	1675	1998-06-14	VYDAJ	VYBER	4500	17955	\N	\N	\N
490930	1675	1995-01-28	VYDAJ	VYBER	2000	17805	\N	\N	\N
490931	1675	1996-01-10	VYDAJ	VYBER	4950	19869	\N	\N	\N
490932	1675	1997-01-09	VYDAJ	VYBER	4200	24810	\N	\N	\N
490933	1675	1998-01-09	VYDAJ	VYBER	3400	18189	\N	\N	\N
490934	1675	1993-12-29	VYDAJ	VYBER	750	24449	\N	\N	\N
490935	1675	1994-12-29	VYDAJ	VYBER	950	25750	\N	\N	\N
490936	1675	1995-12-28	VYDAJ	VYBER	800	28666	\N	\N	\N
490937	1675	1996-12-23	VYDAJ	VYBER	900	31022	\N	\N	\N
490938	1675	1997-12-04	VYDAJ	VYBER	750	22871	\N	\N	\N
490939	1675	1998-12-24	VYDAJ	VYBER	1250	23400	\N	\N	\N
490946	1675	1994-01-20	VYDAJ	VYBER	1280	18104	\N	\N	\N
490947	1675	1994-01-13	VYDAJ	VYBER	1360	23144	\N	\N	\N
490948	1675	1994-01-19	VYDAJ	VYBER	2160	19384	\N	\N	\N
490949	1675	1994-01-26	VYDAJ	VYBER	640	17464	\N	\N	\N
490950	1675	1994-01-13	VYDAJ	VYBER	1600	21544	\N	\N	\N
490951	1675	1994-01-07	VYDAJ	VYBER	2240	20177	\N	\N	\N
490952	1675	1995-01-19	VYDAJ	VYBER	1600	21885	\N	\N	\N
490953	1675	1995-01-20	VYDAJ	VYBER	560	19805	\N	\N	\N
490954	1675	1995-01-13	VYDAJ	VYBER	2160	25165	\N	\N	\N
490955	1675	1995-01-09	VYDAJ	VYBER	720	22998	\N	\N	\N
490956	1675	1995-01-20	VYDAJ	VYBER	1520	20365	\N	\N	\N
490957	1675	1995-01-16	VYDAJ	VYBER	1680	23485	\N	\N	\N
490958	1675	1996-01-09	VYDAJ	VYBER	720	24819	\N	\N	\N
490959	1675	1996-01-14	VYDAJ	VYBER	1840	21476	\N	\N	\N
490961	1675	1996-01-21	VYDAJ	VYBER	1440	20036	\N	\N	\N
490962	1675	1996-01-01	VYDAJ	VYBER	1120	27664	\N	\N	\N
490963	1675	1996-01-13	VYDAJ	VYBER	880	23316	\N	\N	\N
490965	1675	1997-01-19	VYDAJ	VYBER	2080	20417	\N	\N	\N
490966	1675	1997-01-11	VYDAJ	VYBER	1760	23050	\N	\N	\N
490967	1675	1997-01-15	VYDAJ	VYBER	2000	22497	\N	\N	\N
490968	1675	1997-01-25	VYDAJ	VYBER	400	18817	\N	\N	\N
490969	1675	1997-01-12	VYDAJ	VYBER	1040	24497	\N	\N	\N
490970	1675	1998-01-15	VYDAJ	VYBER	880	21236	\N	\N	\N
490971	1675	1998-01-23	VYDAJ	VYBER	1360	19876	\N	\N	\N
490972	1675	1998-01-23	VYDAJ	VYBER	1760	18116	\N	\N	\N
490973	1675	1998-01-11	VYDAJ	VYBER	400	17789	\N	\N	\N
490976	1675	1993-10-20	VYDAJ	VYBER	2960	27763	\N	\N	\N
490977	1675	1993-11-01	VYDAJ	VYBER	1040	24227	\N	\N	\N
490978	1675	1993-11-14	VYDAJ	VYBER	720	25709	\N	\N	\N
490982	1675	1994-10-16	VYDAJ	VYBER	2640	22130	\N	\N	\N
490983	1675	1994-10-11	VYDAJ	VYBER	2720	20443	\N	\N	\N
490984	1675	1994-01-29	VYDAJ	VYBER	880	16584	\N	\N	\N
490985	1675	1995-05-01	VYDAJ	VYBER	3600	21115	\N	\N	\N
490986	1675	1995-09-06	VYDAJ	VYBER	2400	23018	\N	\N	\N
490987	1675	1995-06-08	VYDAJ	VYBER	2720	18551	\N	\N	\N
490988	1675	1995-12-27	VYDAJ	VYBER	2800	29466	\N	\N	\N
490989	1675	1996-04-28	VYDAJ	VYBER	2720	19073	\N	\N	\N
490990	1675	1996-09-27	VYDAJ	VYBER	2240	25024	\N	\N	\N
490991	1675	1996-02-05	VYDAJ	VYBER	1360	12946	\N	\N	\N
490993	1675	1996-01-25	VYDAJ	VYBER	3680	16356	\N	\N	\N
490994	1675	1996-06-27	VYDAJ	VYBER	560	23058	\N	\N	\N
490995	1675	1996-07-07	VYDAJ	VYBER	2640	18372	\N	\N	\N
490996	1675	1997-01-23	VYDAJ	VYBER	1200	19217	\N	\N	\N
490997	1675	1997-10-30	VYDAJ	VYBER	3280	21260	\N	\N	\N
490999	1675	1997-08-12	VYDAJ	VYBER	1280	19998	\N	\N	\N
491000	1675	1997-12-23	VYDAJ	VYBER	1440	23633	\N	\N	\N
491002	1675	1998-09-17	VYDAJ	VYBER	1520	23239	\N	\N	\N
491003	1675	1998-11-02	VYDAJ	VYBER	3360	22246	\N	\N	\N
491004	1675	1998-06-05	VYDAJ	VYBER	3280	20253	\N	\N	\N
491005	1675	1998-12-01	VYDAJ	VYBER	2080	22448	\N	\N	\N
491006	1675	1998-05-06	VYDAJ	VYBER	3760	19128	\N	\N	\N
491013	1675	1993-06-30	VYDAJ	VYBER	15	22827	SLUZBY	\N	\N
491014	1675	1993-07-31	VYDAJ	VYBER	15	25115	SLUZBY	\N	\N
491015	1675	1993-08-31	VYDAJ	VYBER	15	27413	SLUZBY	\N	\N
491016	1675	1993-09-30	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
491017	1675	1993-10-31	VYDAJ	VYBER	15	25267	SLUZBY	\N	\N
491018	1675	1993-11-30	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
491019	1675	1993-12-31	VYDAJ	VYBER	15	24542	SLUZBY	\N	\N
491020	1675	1994-01-31	VYDAJ	VYBER	15	16655	SLUZBY	\N	\N
491021	1675	1994-02-28	VYDAJ	VYBER	15	18917	SLUZBY	\N	\N
491022	1675	1994-03-31	VYDAJ	VYBER	15	21189	SLUZBY	\N	\N
491023	1675	1994-04-30	VYDAJ	VYBER	15	23070	SLUZBY	\N	\N
491024	1675	1994-05-31	VYDAJ	VYBER	15	25059	SLUZBY	\N	\N
491025	1675	1994-06-30	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
491026	1675	1994-07-31	VYDAJ	VYBER	15	20720	SLUZBY	\N	\N
491027	1675	1994-08-31	VYDAJ	VYBER	15	22999	SLUZBY	\N	\N
491028	1675	1994-09-30	VYDAJ	VYBER	15	25288	SLUZBY	\N	\N
491029	1675	1994-10-31	VYDAJ	VYBER	15	22213	SLUZBY	\N	\N
491030	1675	1994-11-30	VYDAJ	VYBER	15	24498	SLUZBY	\N	\N
491031	1675	1994-12-31	VYDAJ	VYBER	15	25843	SLUZBY	\N	\N
491032	1675	1995-01-31	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
491033	1675	1995-02-28	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
491034	1675	1995-03-31	VYDAJ	VYBER	15	22429	SLUZBY	\N	\N
491035	1675	1995-04-30	VYDAJ	VYBER	15	24715	SLUZBY	\N	\N
491036	1675	1995-05-31	VYDAJ	VYBER	15	23396	SLUZBY	\N	\N
491037	1675	1995-06-30	VYDAJ	VYBER	15	22956	SLUZBY	\N	\N
491038	1675	1995-07-31	VYDAJ	VYBER	15	25245	SLUZBY	\N	\N
491039	1675	1995-08-31	VYDAJ	VYBER	15	27543	SLUZBY	\N	\N
491040	1675	1995-09-30	VYDAJ	VYBER	15	27440	SLUZBY	\N	\N
491041	1675	1995-10-31	VYDAJ	VYBER	15	29747	SLUZBY	\N	\N
491042	1675	1995-11-30	VYDAJ	VYBER	15	32064	SLUZBY	\N	\N
491043	1675	1995-12-31	VYDAJ	VYBER	15	28784	SLUZBY	\N	\N
491044	1675	1996-01-31	VYDAJ	VYBER	15	16431	SLUZBY	\N	\N
491045	1675	1996-02-29	VYDAJ	VYBER	15	17326	SLUZBY	\N	\N
491046	1675	1996-03-31	VYDAJ	VYBER	15	19591	SLUZBY	\N	\N
491047	1675	1996-04-30	VYDAJ	VYBER	15	19144	SLUZBY	\N	\N
491048	1675	1996-05-31	VYDAJ	VYBER	15	21416	SLUZBY	\N	\N
491049	1675	1996-06-30	VYDAJ	VYBER	15	23137	SLUZBY	\N	\N
491050	1675	1996-07-31	VYDAJ	VYBER	15	22775	SLUZBY	\N	\N
491051	1675	1996-08-31	VYDAJ	VYBER	15	25062	SLUZBY	\N	\N
491052	1675	1996-09-30	VYDAJ	VYBER	15	25117	SLUZBY	\N	\N
491053	1675	1996-10-31	VYDAJ	VYBER	15	27414	SLUZBY	\N	\N
491054	1675	1996-11-30	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
491055	1675	1996-12-31	VYDAJ	VYBER	15	31135	SLUZBY	\N	\N
491056	1675	1997-01-31	VYDAJ	VYBER	15	18900	SLUZBY	\N	\N
491057	1675	1997-02-28	VYDAJ	VYBER	15	21170	SLUZBY	\N	\N
491058	1675	1997-03-31	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
491059	1675	1997-04-30	VYDAJ	VYBER	15	25739	SLUZBY	\N	\N
491060	1675	1997-05-31	VYDAJ	VYBER	15	28038	SLUZBY	\N	\N
491061	1675	1997-06-30	VYDAJ	VYBER	15	16814	SLUZBY	\N	\N
491062	1675	1997-07-31	VYDAJ	VYBER	15	19076	SLUZBY	\N	\N
491063	1675	1997-08-31	VYDAJ	VYBER	15	20063	SLUZBY	\N	\N
491064	1675	1997-09-30	VYDAJ	VYBER	15	22338	SLUZBY	\N	\N
491065	1675	1997-10-31	VYDAJ	VYBER	15	21341	SLUZBY	\N	\N
491066	1675	1997-11-30	VYDAJ	VYBER	15	23621	SLUZBY	\N	\N
491067	1675	1997-12-31	VYDAJ	VYBER	15	23714	SLUZBY	\N	\N
491068	1675	1998-01-31	VYDAJ	VYBER	15	18185	SLUZBY	\N	\N
491069	1675	1998-02-28	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
491070	1675	1998-03-31	VYDAJ	VYBER	15	22728	SLUZBY	\N	\N
491071	1675	1998-04-30	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
491072	1675	1998-05-31	VYDAJ	VYBER	15	23533	SLUZBY	\N	\N
491073	1675	1998-06-30	VYDAJ	VYBER	15	18017	SLUZBY	\N	\N
491074	1675	1998-07-31	VYDAJ	VYBER	15	20282	SLUZBY	\N	\N
491075	1675	1998-08-31	VYDAJ	VYBER	15	22557	SLUZBY	\N	\N
491076	1675	1998-09-30	VYDAJ	VYBER	15	23318	SLUZBY	\N	\N
491077	1675	1998-10-31	VYDAJ	VYBER	15	25606	SLUZBY	\N	\N
491078	1675	1998-11-30	VYDAJ	VYBER	15	24528	SLUZBY	\N	\N
491079	1675	1993-09-29	VYDAJ	VYBER	1200	28415	\N	\N	\N
491080	1675	1993-10-29	VYDAJ	VYBER	2600	25163	\N	\N	\N
491081	1675	1993-11-28	VYDAJ	VYBER	1100	24609	\N	\N	\N
491082	1675	1993-12-28	VYDAJ	VYBER	1700	25199	\N	\N	\N
491083	1675	1994-04-27	VYDAJ	VYBER	400	22991	\N	\N	\N
491084	1675	1994-05-27	VYDAJ	VYBER	300	24972	\N	\N	\N
491085	1675	1995-12-18	VYDAJ	VYBER	2000	32266	\N	\N	\N
491666	1677	1997-01-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
491667	1677	1997-01-11	PRIJEM	VKLAD	8944	10044	\N	\N	\N
491668	1677	1997-02-11	PRIJEM	VKLAD	8944	25416	\N	\N	\N
491669	1677	1997-03-11	PRIJEM	VKLAD	8944	31643	\N	\N	\N
491670	1677	1997-04-11	PRIJEM	VKLAD	8944	38311	\N	\N	\N
491671	1677	1997-05-11	PRIJEM	VKLAD	8944	41005	\N	\N	\N
491672	1677	1997-06-11	PRIJEM	VKLAD	13416	42268	\N	\N	\N
491673	1677	1997-07-11	PRIJEM	VKLAD	8944	39024	\N	\N	\N
491674	1677	1997-08-11	PRIJEM	VKLAD	8944	39217	\N	\N	\N
491675	1677	1997-09-11	PRIJEM	VKLAD	8944	36368	\N	\N	\N
491676	1677	1997-10-11	PRIJEM	VKLAD	8944	32801	\N	\N	\N
491677	1677	1997-11-11	PRIJEM	VKLAD	8944	34927	\N	\N	\N
491678	1677	1997-12-11	PRIJEM	VKLAD	13416	34692	\N	\N	\N
491679	1677	1998-01-11	PRIJEM	VKLAD	8944	31124	\N	\N	\N
491680	1677	1998-02-11	PRIJEM	VKLAD	8944	27819	\N	\N	\N
491681	1677	1998-03-11	PRIJEM	VKLAD	8944	33668	\N	\N	\N
491682	1677	1998-04-11	PRIJEM	VKLAD	8944	35790	\N	\N	\N
491683	1677	1998-05-11	PRIJEM	VKLAD	8944	37127	\N	\N	\N
491684	1677	1998-06-11	PRIJEM	VKLAD	13416	42228	\N	\N	\N
491685	1677	1998-07-11	PRIJEM	VKLAD	8944	28384	\N	\N	\N
491686	1677	1998-08-11	PRIJEM	VKLAD	8944	27544	\N	\N	\N
491687	1677	1998-09-11	PRIJEM	VKLAD	8944	28929	\N	\N	\N
491688	1677	1998-10-11	PRIJEM	VKLAD	8944	28638	\N	\N	\N
491689	1677	1998-11-11	PRIJEM	VKLAD	8944	28043	\N	\N	\N
491690	1677	1998-12-11	PRIJEM	VKLAD	13416	29942	\N	\N	\N
491695	1677	1997-05-11	VYDAJ	PREVOD NA UCET	5530	35475	SIPO	IJ	52726864
491696	1677	1997-06-11	VYDAJ	PREVOD NA UCET	5530	36738	SIPO	IJ	52726864
491697	1677	1997-07-11	VYDAJ	PREVOD NA UCET	5530	33494	SIPO	IJ	52726864
491698	1677	1997-08-11	VYDAJ	PREVOD NA UCET	5530	33687	SIPO	IJ	52726864
491699	1677	1997-09-11	VYDAJ	PREVOD NA UCET	5530	30838	SIPO	IJ	52726864
491700	1677	1997-10-11	VYDAJ	PREVOD NA UCET	5530	27271	SIPO	IJ	52726864
491701	1677	1997-11-11	VYDAJ	PREVOD NA UCET	5530	29397	SIPO	IJ	52726864
491702	1677	1997-12-11	VYDAJ	PREVOD NA UCET	5530	29162	SIPO	IJ	52726864
491703	1677	1998-01-11	VYDAJ	PREVOD NA UCET	5530	25594	SIPO	IJ	52726864
491704	1677	1998-02-11	VYDAJ	PREVOD NA UCET	5530	22289	SIPO	IJ	52726864
491705	1677	1998-03-11	VYDAJ	PREVOD NA UCET	5530	28138	SIPO	IJ	52726864
491706	1677	1998-04-11	VYDAJ	PREVOD NA UCET	5530	30260	SIPO	IJ	52726864
491707	1677	1998-05-11	VYDAJ	PREVOD NA UCET	5530	31597	SIPO	IJ	52726864
491708	1677	1998-06-11	VYDAJ	PREVOD NA UCET	5530	36698	SIPO	IJ	52726864
491709	1677	1998-07-11	VYDAJ	PREVOD NA UCET	5530	22854	SIPO	IJ	52726864
491710	1677	1998-08-11	VYDAJ	PREVOD NA UCET	5530	22014	SIPO	IJ	52726864
491711	1677	1998-09-11	VYDAJ	PREVOD NA UCET	5530	23399	SIPO	IJ	52726864
491712	1677	1998-10-11	VYDAJ	PREVOD NA UCET	5530	23108	SIPO	IJ	52726864
491713	1677	1998-11-11	VYDAJ	PREVOD NA UCET	5530	22513	SIPO	IJ	52726864
491714	1677	1998-12-11	VYDAJ	PREVOD NA UCET	5530	24412	SIPO	IJ	52726864
491715	1677	1997-06-16	VYDAJ	VYBER	5280	31458	\N	\N	\N
491716	1677	1998-06-14	VYDAJ	VYBER	17760	18938	\N	\N	\N
491718	1677	1998-01-27	VYDAJ	VYBER	3680	17594	\N	\N	\N
491719	1677	1997-12-07	VYDAJ	VYBER	4640	21276	\N	\N	\N
491720	1677	1998-12-03	VYDAJ	VYBER	2880	16526	\N	\N	\N
491727	1677	1998-01-28	VYDAJ	VYBER	1800	15794	\N	\N	\N
491728	1677	1998-01-05	VYDAJ	VYBER	2880	24100	\N	\N	\N
491729	1677	1998-01-18	VYDAJ	VYBER	1440	22714	\N	\N	\N
491730	1677	1998-01-13	VYDAJ	VYBER	1440	24154	\N	\N	\N
491731	1677	1998-01-19	VYDAJ	VYBER	1440	21274	\N	\N	\N
491732	1677	1998-01-09	VYDAJ	VYBER	1920	22180	\N	\N	\N
491734	1677	1997-07-20	VYDAJ	VYBER	2640	30854	\N	\N	\N
491736	1677	1997-09-21	VYDAJ	VYBER	4800	26038	\N	\N	\N
491737	1677	1997-06-03	VYDAJ	VYBER	2760	32852	\N	\N	\N
491738	1677	1998-07-27	VYDAJ	VYBER	4920	17934	\N	\N	\N
491739	1677	1998-06-18	VYDAJ	VYBER	4080	14858	\N	\N	\N
491740	1677	1998-11-01	VYDAJ	VYBER	4800	19099	\N	\N	\N
491741	1677	1998-02-20	VYDAJ	VYBER	840	21449	\N	\N	\N
491747	1677	1997-05-31	VYDAJ	VYBER	15	35612	SLUZBY	\N	\N
491748	1677	1997-06-30	VYDAJ	VYBER	15	31580	SLUZBY	\N	\N
491749	1677	1997-07-31	VYDAJ	VYBER	15	30973	SLUZBY	\N	\N
491750	1677	1997-08-31	VYDAJ	VYBER	15	33824	SLUZBY	\N	\N
491751	1677	1997-09-30	VYDAJ	VYBER	15	26157	SLUZBY	\N	\N
491752	1677	1997-10-31	VYDAJ	VYBER	15	27383	SLUZBY	\N	\N
491753	1677	1997-11-30	VYDAJ	VYBER	15	29516	SLUZBY	\N	\N
491754	1677	1997-12-31	VYDAJ	VYBER	15	29280	SLUZBY	\N	\N
491755	1677	1998-01-31	VYDAJ	VYBER	15	15875	SLUZBY	\N	\N
491756	1677	1998-02-28	VYDAJ	VYBER	15	21524	SLUZBY	\N	\N
491757	1677	1998-03-31	VYDAJ	VYBER	15	28246	SLUZBY	\N	\N
491758	1677	1998-04-30	VYDAJ	VYBER	15	30383	SLUZBY	\N	\N
491759	1677	1998-05-31	VYDAJ	VYBER	15	31712	SLUZBY	\N	\N
491760	1677	1998-06-30	VYDAJ	VYBER	15	14940	SLUZBY	\N	\N
491761	1677	1998-07-31	VYDAJ	VYBER	15	18000	SLUZBY	\N	\N
491762	1677	1998-08-31	VYDAJ	VYBER	15	22085	SLUZBY	\N	\N
491763	1677	1998-09-30	VYDAJ	VYBER	15	19694	SLUZBY	\N	\N
491764	1677	1998-10-31	VYDAJ	VYBER	15	23899	SLUZBY	\N	\N
491765	1677	1998-11-30	VYDAJ	VYBER	15	19406	SLUZBY	\N	\N
491766	1677	1997-02-07	PRIJEM	VKLAD	6400	16472	\N	\N	\N
491767	1677	1997-03-09	VYDAJ	VYBER	2800	22699	\N	\N	\N
491768	1677	1997-04-08	VYDAJ	VYBER	2400	29367	\N	\N	\N
491769	1677	1997-05-08	VYDAJ	VYBER	6400	32061	\N	\N	\N
491770	1677	1997-06-07	VYDAJ	VYBER	4000	28852	\N	\N	\N
491771	1677	1997-07-07	VYDAJ	VYBER	1500	30080	\N	\N	\N
491772	1677	1997-08-06	VYDAJ	VYBER	700	30273	\N	\N	\N
491773	1677	1997-09-05	VYDAJ	VYBER	6400	27424	\N	\N	\N
491774	1677	1997-10-05	VYDAJ	VYBER	2300	23857	\N	\N	\N
491775	1677	1997-11-04	VYDAJ	VYBER	1400	25983	\N	\N	\N
491776	1677	1997-12-04	VYDAJ	VYBER	3600	25916	\N	\N	\N
491777	1677	1998-01-03	VYDAJ	VYBER	2300	26980	\N	\N	\N
491778	1677	1998-02-02	PRIJEM	VKLAD	3000	18875	\N	\N	\N
491779	1677	1998-03-04	PRIJEM	VKLAD	3200	24724	\N	\N	\N
491780	1677	1998-04-03	VYDAJ	VYBER	1400	26846	\N	\N	\N
491781	1677	1998-05-03	VYDAJ	VYBER	2200	28183	\N	\N	\N
491782	1677	1998-06-02	VYDAJ	VYBER	2900	28812	\N	\N	\N
491783	1677	1998-07-02	PRIJEM	VKLAD	4500	19440	\N	\N	\N
491784	1677	1998-08-01	PRIJEM	VKLAD	600	18600	\N	\N	\N
491785	1677	1998-08-31	VYDAJ	VYBER	2100	19985	\N	\N	\N
491786	1677	1998-09-30	VYDAJ	VYBER	3800	19708	\N	\N	\N
491787	1677	1998-10-30	PRIJEM	VKLAD	700	23808	\N	\N	\N
491788	1677	1998-11-29	VYDAJ	VYBER	3200	19313	\N	\N	\N
491813	1678	1993-02-22	PRIJEM	VKLAD	200	200	\N	\N	\N
491816	1678	1993-03-11	PRIJEM	VKLAD	23116	23316	\N	\N	\N
491817	1678	1993-04-11	PRIJEM	VKLAD	23116	46257	\N	\N	\N
491818	1678	1993-05-11	PRIJEM	VKLAD	23116	57381	\N	\N	\N
491819	1678	1993-06-11	PRIJEM	VKLAD	34674	76307	\N	\N	\N
491820	1678	1993-07-11	PRIJEM	VKLAD	23116	74207	\N	\N	\N
491821	1678	1993-08-11	PRIJEM	VKLAD	23116	68489	\N	\N	\N
491822	1678	1993-09-11	PRIJEM	VKLAD	23116	65188	\N	\N	\N
491823	1678	1993-10-11	PRIJEM	VKLAD	23116	65477	\N	\N	\N
491824	1678	1993-11-11	PRIJEM	VKLAD	23116	63162	\N	\N	\N
491825	1678	1993-12-11	PRIJEM	VKLAD	34674	75198	\N	\N	\N
491826	1678	1994-01-11	PRIJEM	VKLAD	23116	62094	\N	\N	\N
491827	1678	1994-02-11	PRIJEM	VKLAD	23116	53256	\N	\N	\N
491828	1678	1994-03-11	PRIJEM	VKLAD	23116	59598	\N	\N	\N
491829	1678	1994-04-11	PRIJEM	VKLAD	23116	61863	\N	\N	\N
491830	1678	1994-05-11	PRIJEM	VKLAD	23116	62434	\N	\N	\N
491831	1678	1994-06-11	PRIJEM	VKLAD	34674	66761	\N	\N	\N
491832	1678	1994-07-11	PRIJEM	VKLAD	23116	65937	\N	\N	\N
491833	1678	1994-08-11	PRIJEM	VKLAD	23116	66020	\N	\N	\N
491834	1678	1994-09-11	PRIJEM	VKLAD	23116	54385	\N	\N	\N
491835	1678	1994-10-11	PRIJEM	VKLAD	23116	53927	\N	\N	\N
491836	1678	1994-11-11	PRIJEM	VKLAD	23116	60274	\N	\N	\N
491837	1678	1994-12-11	PRIJEM	VKLAD	34674	73891	\N	\N	\N
491838	1678	1995-01-11	PRIJEM	VKLAD	23116	66177	\N	\N	\N
491839	1678	1995-02-11	PRIJEM	VKLAD	23116	53942	\N	\N	\N
491840	1678	1995-03-11	PRIJEM	VKLAD	23116	60178	\N	\N	\N
491841	1678	1995-04-11	PRIJEM	VKLAD	23116	57533	\N	\N	\N
491842	1678	1995-05-11	PRIJEM	VKLAD	23116	55780	\N	\N	\N
491843	1678	1995-06-11	PRIJEM	VKLAD	34674	64278	\N	\N	\N
491844	1678	1995-07-11	PRIJEM	VKLAD	23116	65234	\N	\N	\N
491845	1678	1995-08-11	PRIJEM	VKLAD	23116	66905	\N	\N	\N
491846	1678	1995-09-11	PRIJEM	VKLAD	23116	56983	\N	\N	\N
491847	1678	1995-10-11	PRIJEM	VKLAD	23116	63578	\N	\N	\N
491848	1678	1995-11-11	PRIJEM	VKLAD	23116	68302	\N	\N	\N
491849	1678	1995-12-11	PRIJEM	VKLAD	34674	81404	\N	\N	\N
491850	1678	1996-01-11	PRIJEM	VKLAD	23116	76391	\N	\N	\N
491851	1678	1996-02-11	PRIJEM	VKLAD	23116	65464	\N	\N	\N
491852	1678	1996-03-11	PRIJEM	VKLAD	23116	66699	\N	\N	\N
491853	1678	1996-04-11	PRIJEM	VKLAD	23116	69039	\N	\N	\N
491854	1678	1996-05-11	PRIJEM	VKLAD	23116	67277	\N	\N	\N
491855	1678	1996-06-11	PRIJEM	VKLAD	34674	78174	\N	\N	\N
491856	1678	1996-07-11	PRIJEM	VKLAD	23116	62528	\N	\N	\N
491857	1678	1996-08-11	PRIJEM	VKLAD	23116	62836	\N	\N	\N
491858	1678	1996-09-11	PRIJEM	VKLAD	23116	64355	\N	\N	\N
491859	1678	1996-10-11	PRIJEM	VKLAD	23116	62484	\N	\N	\N
491860	1678	1996-11-11	PRIJEM	VKLAD	23116	58304	\N	\N	\N
491861	1678	1996-12-11	PRIJEM	VKLAD	34674	68370	\N	\N	\N
491862	1678	1997-01-11	PRIJEM	VKLAD	23116	61095	\N	\N	\N
491863	1678	1997-02-11	PRIJEM	VKLAD	23116	55876	\N	\N	\N
491864	1678	1997-03-11	PRIJEM	VKLAD	23116	54459	\N	\N	\N
491865	1678	1997-04-11	PRIJEM	VKLAD	23116	55048	\N	\N	\N
491866	1678	1997-05-11	PRIJEM	VKLAD	23116	54634	\N	\N	\N
491867	1678	1997-06-11	PRIJEM	VKLAD	34674	66180	\N	\N	\N
491868	1678	1997-07-11	PRIJEM	VKLAD	23116	48594	\N	\N	\N
491869	1678	1997-08-11	PRIJEM	VKLAD	23116	48556	\N	\N	\N
491870	1678	1997-09-11	PRIJEM	VKLAD	23116	48095	\N	\N	\N
491871	1678	1997-10-11	PRIJEM	VKLAD	23116	46428	\N	\N	\N
491872	1678	1997-11-11	PRIJEM	VKLAD	23116	46856	\N	\N	\N
491873	1678	1997-12-11	PRIJEM	VKLAD	34674	54539	\N	\N	\N
491874	1678	1998-01-11	PRIJEM	VKLAD	23116	49578	\N	\N	\N
491875	1678	1998-02-11	PRIJEM	VKLAD	23116	42300	\N	\N	\N
491876	1678	1998-03-11	PRIJEM	VKLAD	23116	43102	\N	\N	\N
491877	1678	1998-04-11	PRIJEM	VKLAD	23116	48714	\N	\N	\N
491878	1678	1998-05-11	PRIJEM	VKLAD	23116	50046	\N	\N	\N
491879	1678	1998-06-11	PRIJEM	VKLAD	34674	55339	\N	\N	\N
491880	1678	1998-07-11	PRIJEM	VKLAD	23116	49772	\N	\N	\N
491881	1678	1998-08-11	PRIJEM	VKLAD	23116	43001	\N	\N	\N
491882	1678	1998-09-11	PRIJEM	VKLAD	23116	44102	\N	\N	\N
491883	1678	1998-10-11	PRIJEM	VKLAD	23116	48211	\N	\N	\N
491884	1678	1998-11-11	PRIJEM	VKLAD	23116	51436	\N	\N	\N
491885	1678	1998-12-11	PRIJEM	VKLAD	34674	67530	\N	\N	\N
491893	1678	1993-08-09	VYDAJ	PREVOD NA UCET	2952	47151	SIPO	IJ	72718292
491894	1678	1993-09-09	VYDAJ	PREVOD NA UCET	2952	43850	SIPO	IJ	72718292
491895	1678	1993-10-09	VYDAJ	PREVOD NA UCET	2952	44139	SIPO	IJ	72718292
491896	1678	1993-11-09	VYDAJ	PREVOD NA UCET	2952	41824	SIPO	IJ	72718292
491897	1678	1993-12-09	VYDAJ	PREVOD NA UCET	2952	42302	SIPO	IJ	72718292
491898	1678	1994-01-09	VYDAJ	PREVOD NA UCET	2952	41678	SIPO	IJ	72718292
491899	1678	1994-02-09	VYDAJ	PREVOD NA UCET	2952	30140	SIPO	IJ	72718292
491900	1678	1994-03-09	VYDAJ	PREVOD NA UCET	2952	36482	SIPO	IJ	72718292
491901	1678	1994-04-09	VYDAJ	PREVOD NA UCET	2952	38747	SIPO	IJ	72718292
491902	1678	1994-05-09	VYDAJ	PREVOD NA UCET	2952	41096	SIPO	IJ	72718292
491903	1678	1994-06-09	VYDAJ	PREVOD NA UCET	2952	40365	SIPO	IJ	72718292
491904	1678	1994-07-09	VYDAJ	PREVOD NA UCET	2952	42821	SIPO	IJ	72718292
491905	1678	1994-08-09	VYDAJ	PREVOD NA UCET	2952	44682	SIPO	IJ	72718292
491906	1678	1994-09-09	VYDAJ	PREVOD NA UCET	2952	33047	SIPO	IJ	72718292
491907	1678	1994-10-09	VYDAJ	PREVOD NA UCET	2952	37089	SIPO	IJ	72718292
491908	1678	1994-11-09	VYDAJ	PREVOD NA UCET	2952	37158	SIPO	IJ	72718292
491909	1678	1994-12-09	VYDAJ	PREVOD NA UCET	2952	40995	SIPO	IJ	72718292
491910	1678	1995-01-09	VYDAJ	PREVOD NA UCET	2952	46739	SIPO	IJ	72718292
491911	1678	1995-02-09	VYDAJ	PREVOD NA UCET	2952	32604	SIPO	IJ	72718292
491912	1678	1995-03-09	VYDAJ	PREVOD NA UCET	2952	38840	SIPO	IJ	72718292
491913	1678	1995-04-09	VYDAJ	PREVOD NA UCET	2952	34417	SIPO	IJ	72718292
491914	1678	1995-05-09	VYDAJ	PREVOD NA UCET	2952	32664	SIPO	IJ	72718292
491915	1678	1995-06-09	VYDAJ	PREVOD NA UCET	2952	29604	SIPO	IJ	72718292
491916	1678	1995-07-09	VYDAJ	PREVOD NA UCET	2952	43896	SIPO	IJ	72718292
491917	1678	1995-08-09	VYDAJ	PREVOD NA UCET	2952	45567	SIPO	IJ	72718292
491918	1678	1995-09-09	VYDAJ	PREVOD NA UCET	2952	47945	SIPO	IJ	72718292
491919	1678	1995-10-09	VYDAJ	PREVOD NA UCET	2952	52462	SIPO	IJ	72718292
491920	1678	1995-11-09	VYDAJ	PREVOD NA UCET	2952	45186	SIPO	IJ	72718292
491921	1678	1995-12-09	VYDAJ	PREVOD NA UCET	2952	48508	SIPO	IJ	72718292
491922	1678	1996-01-09	VYDAJ	PREVOD NA UCET	2952	55053	SIPO	IJ	72718292
491923	1678	1996-02-09	VYDAJ	PREVOD NA UCET	2952	42348	SIPO	IJ	72718292
491924	1678	1996-03-09	VYDAJ	PREVOD NA UCET	2952	43583	SIPO	IJ	72718292
491925	1678	1996-04-09	VYDAJ	PREVOD NA UCET	2952	47701	SIPO	IJ	72718292
491926	1678	1996-05-09	VYDAJ	PREVOD NA UCET	2952	44161	SIPO	IJ	72718292
491927	1678	1996-06-09	VYDAJ	PREVOD NA UCET	2952	45278	SIPO	IJ	72718292
491928	1678	1996-07-09	VYDAJ	PREVOD NA UCET	2952	39412	SIPO	IJ	72718292
491929	1678	1996-08-09	VYDAJ	PREVOD NA UCET	2952	41498	SIPO	IJ	72718292
491930	1678	1996-09-09	VYDAJ	PREVOD NA UCET	2952	43017	SIPO	IJ	72718292
491931	1678	1996-10-09	VYDAJ	PREVOD NA UCET	2952	41146	SIPO	IJ	72718292
491932	1678	1996-11-09	VYDAJ	PREVOD NA UCET	2952	36966	SIPO	IJ	72718292
491933	1678	1996-12-09	VYDAJ	PREVOD NA UCET	2952	35474	SIPO	IJ	72718292
491934	1678	1997-01-09	VYDAJ	PREVOD NA UCET	2952	37979	SIPO	IJ	72718292
491935	1678	1997-02-09	VYDAJ	PREVOD NA UCET	2952	34538	SIPO	IJ	72718292
491936	1678	1997-03-09	VYDAJ	PREVOD NA UCET	2952	31343	SIPO	IJ	72718292
491937	1678	1997-04-09	VYDAJ	PREVOD NA UCET	2952	33710	SIPO	IJ	72718292
491938	1678	1997-05-09	VYDAJ	PREVOD NA UCET	2952	33296	SIPO	IJ	72718292
491939	1678	1997-06-09	VYDAJ	PREVOD NA UCET	2952	31506	SIPO	IJ	72718292
491940	1678	1997-07-09	VYDAJ	PREVOD NA UCET	2952	25478	SIPO	IJ	72718292
491941	1678	1997-08-09	VYDAJ	PREVOD NA UCET	2952	25440	SIPO	IJ	72718292
491942	1678	1997-09-09	VYDAJ	PREVOD NA UCET	2952	26757	SIPO	IJ	72718292
491943	1678	1997-10-09	VYDAJ	PREVOD NA UCET	2952	23312	SIPO	IJ	72718292
491944	1678	1997-11-09	VYDAJ	PREVOD NA UCET	2952	23740	SIPO	IJ	72718292
491945	1678	1997-12-09	VYDAJ	PREVOD NA UCET	2952	19865	SIPO	IJ	72718292
491946	1678	1998-01-09	VYDAJ	PREVOD NA UCET	2952	26462	SIPO	IJ	72718292
491947	1678	1998-02-09	VYDAJ	PREVOD NA UCET	2952	20962	SIPO	IJ	72718292
491948	1678	1998-03-09	VYDAJ	PREVOD NA UCET	2952	19986	SIPO	IJ	72718292
491949	1678	1998-04-09	VYDAJ	PREVOD NA UCET	2952	25598	SIPO	IJ	72718292
491950	1678	1998-05-09	VYDAJ	PREVOD NA UCET	2952	26930	SIPO	IJ	72718292
491951	1678	1998-06-09	VYDAJ	PREVOD NA UCET	2952	22443	SIPO	IJ	72718292
491952	1678	1998-07-09	VYDAJ	PREVOD NA UCET	2952	26656	SIPO	IJ	72718292
491953	1678	1998-08-09	VYDAJ	PREVOD NA UCET	2952	19885	SIPO	IJ	72718292
491954	1678	1998-09-09	VYDAJ	PREVOD NA UCET	2952	20986	SIPO	IJ	72718292
491955	1678	1998-10-09	VYDAJ	PREVOD NA UCET	2952	26295	SIPO	IJ	72718292
491956	1678	1998-11-09	VYDAJ	PREVOD NA UCET	2952	30098	SIPO	IJ	72718292
491957	1678	1998-12-09	VYDAJ	PREVOD NA UCET	2952	34634	SIPO	IJ	72718292
491965	1678	1993-08-09	VYDAJ	PREVOD NA UCET	1778	45373	 	OP	54732525
491966	1678	1993-09-09	VYDAJ	PREVOD NA UCET	1778	42072	 	OP	54732525
491967	1678	1993-10-09	VYDAJ	PREVOD NA UCET	1778	42361	 	OP	54732525
491968	1678	1993-11-09	VYDAJ	PREVOD NA UCET	1778	40046	 	OP	54732525
491969	1678	1993-12-09	VYDAJ	PREVOD NA UCET	1778	40524	 	OP	54732525
491970	1678	1994-01-09	VYDAJ	PREVOD NA UCET	1778	44630	 	OP	54732525
491971	1678	1994-02-09	VYDAJ	PREVOD NA UCET	1778	33092	 	OP	54732525
491972	1678	1994-03-09	VYDAJ	PREVOD NA UCET	1778	39434	 	OP	54732525
491973	1678	1994-04-09	VYDAJ	PREVOD NA UCET	1778	41699	 	OP	54732525
491974	1678	1994-05-09	VYDAJ	PREVOD NA UCET	1778	39318	 	OP	54732525
491975	1678	1994-06-09	VYDAJ	PREVOD NA UCET	1778	32087	 	OP	54732525
491976	1678	1994-07-09	VYDAJ	PREVOD NA UCET	1778	45773	 	OP	54732525
491977	1678	1994-08-09	VYDAJ	PREVOD NA UCET	1778	42904	 	OP	54732525
491978	1678	1994-09-09	VYDAJ	PREVOD NA UCET	1778	31269	 	OP	54732525
491979	1678	1994-10-09	VYDAJ	PREVOD NA UCET	1778	30811	 	OP	54732525
491980	1678	1994-11-09	VYDAJ	PREVOD NA UCET	1778	40110	 	OP	54732525
491981	1678	1994-12-09	VYDAJ	PREVOD NA UCET	1778	39217	 	OP	54732525
491982	1678	1995-01-09	VYDAJ	PREVOD NA UCET	1778	43061	 	OP	54732525
491983	1678	1995-02-09	VYDAJ	PREVOD NA UCET	1778	30826	 	OP	54732525
491984	1678	1995-03-09	VYDAJ	PREVOD NA UCET	1778	37062	 	OP	54732525
491985	1678	1995-04-09	VYDAJ	PREVOD NA UCET	1778	37369	 	OP	54732525
491986	1678	1995-05-09	VYDAJ	PREVOD NA UCET	1778	35616	 	OP	54732525
491987	1678	1995-06-09	VYDAJ	PREVOD NA UCET	1778	32556	 	OP	54732525
491988	1678	1995-07-09	VYDAJ	PREVOD NA UCET	1778	42118	 	OP	54732525
491989	1678	1995-08-09	VYDAJ	PREVOD NA UCET	1778	43789	 	OP	54732525
491990	1678	1995-09-09	VYDAJ	PREVOD NA UCET	1778	41467	 	OP	54732525
491991	1678	1995-10-09	VYDAJ	PREVOD NA UCET	1778	55414	 	OP	54732525
491992	1678	1995-11-09	VYDAJ	PREVOD NA UCET	1778	48138	 	OP	54732525
491993	1678	1995-12-09	VYDAJ	PREVOD NA UCET	1778	46730	 	OP	54732525
491994	1678	1996-01-09	VYDAJ	PREVOD NA UCET	1778	53275	 	OP	54732525
491995	1678	1996-02-09	VYDAJ	PREVOD NA UCET	1778	45300	 	OP	54732525
491996	1678	1996-03-09	VYDAJ	PREVOD NA UCET	1778	46535	 	OP	54732525
491997	1678	1996-04-09	VYDAJ	PREVOD NA UCET	1778	45923	 	OP	54732525
491998	1678	1996-05-09	VYDAJ	PREVOD NA UCET	1778	47113	 	OP	54732525
491999	1678	1996-06-09	VYDAJ	PREVOD NA UCET	1778	43500	 	OP	54732525
492000	1678	1996-07-09	VYDAJ	PREVOD NA UCET	1778	42364	 	OP	54732525
492001	1678	1996-08-09	VYDAJ	PREVOD NA UCET	1778	39720	 	OP	54732525
492002	1678	1996-09-09	VYDAJ	PREVOD NA UCET	1778	41239	 	OP	54732525
492003	1678	1996-10-09	VYDAJ	PREVOD NA UCET	1778	39368	 	OP	54732525
492004	1678	1996-11-09	VYDAJ	PREVOD NA UCET	1778	35188	 	OP	54732525
492005	1678	1996-12-09	VYDAJ	PREVOD NA UCET	1778	33696	 	OP	54732525
492006	1678	1997-01-09	VYDAJ	PREVOD NA UCET	1778	40931	 	OP	54732525
492007	1678	1997-02-09	VYDAJ	PREVOD NA UCET	1778	32760	 	OP	54732525
492008	1678	1997-03-09	VYDAJ	PREVOD NA UCET	1778	34295	 	OP	54732525
492009	1678	1997-04-09	VYDAJ	PREVOD NA UCET	1778	31932	 	OP	54732525
492010	1678	1997-05-09	VYDAJ	PREVOD NA UCET	1778	31518	 	OP	54732525
492011	1678	1997-06-09	VYDAJ	PREVOD NA UCET	1778	34458	 	OP	54732525
492012	1678	1997-07-09	VYDAJ	PREVOD NA UCET	1778	28430	 	OP	54732525
492013	1678	1997-08-09	VYDAJ	PREVOD NA UCET	1778	28392	 	OP	54732525
492014	1678	1997-09-09	VYDAJ	PREVOD NA UCET	1778	24979	 	OP	54732525
492015	1678	1997-10-09	VYDAJ	PREVOD NA UCET	1778	26264	 	OP	54732525
492016	1678	1997-11-09	VYDAJ	PREVOD NA UCET	1778	26692	 	OP	54732525
492017	1678	1997-12-09	VYDAJ	PREVOD NA UCET	1778	22817	 	OP	54732525
492018	1678	1998-01-09	VYDAJ	PREVOD NA UCET	1778	29414	 	OP	54732525
492019	1678	1998-02-09	VYDAJ	PREVOD NA UCET	1778	19184	 	OP	54732525
492020	1678	1998-03-09	VYDAJ	PREVOD NA UCET	1778	22938	 	OP	54732525
492021	1678	1998-04-09	VYDAJ	PREVOD NA UCET	1778	28550	 	OP	54732525
492022	1678	1998-05-09	VYDAJ	PREVOD NA UCET	1778	29882	 	OP	54732525
492023	1678	1998-06-09	VYDAJ	PREVOD NA UCET	1778	20665	 	OP	54732525
492024	1678	1998-07-09	VYDAJ	PREVOD NA UCET	1778	29608	 	OP	54732525
492025	1678	1998-08-09	VYDAJ	PREVOD NA UCET	1778	22837	 	OP	54732525
492026	1678	1998-09-09	VYDAJ	PREVOD NA UCET	1778	23938	 	OP	54732525
492027	1678	1998-10-09	VYDAJ	PREVOD NA UCET	1778	29247	 	OP	54732525
492028	1678	1998-11-09	VYDAJ	PREVOD NA UCET	1778	28320	 	OP	54732525
492029	1678	1998-12-09	VYDAJ	PREVOD NA UCET	1778	32856	 	OP	54732525
492031	1678	1994-06-09	VYDAJ	VYBER	6500	33865	\N	\N	\N
492032	1678	1995-06-06	VYDAJ	VYBER	5500	34334	\N	\N	\N
492033	1678	1996-06-12	VYDAJ	VYBER	7100	71074	\N	\N	\N
492034	1678	1997-06-28	VYDAJ	VYBER	17200	48980	\N	\N	\N
492035	1678	1998-06-19	VYDAJ	VYBER	4000	51339	\N	\N	\N
492036	1678	1993-12-30	VYDAJ	VYBER	800	47498	\N	\N	\N
492037	1678	1994-12-30	VYDAJ	VYBER	2200	50891	\N	\N	\N
492038	1678	1995-12-08	VYDAJ	VYBER	800	67760	\N	\N	\N
492039	1678	1996-12-20	VYDAJ	VYBER	500	63870	\N	\N	\N
492040	1678	1997-12-23	VYDAJ	VYBER	1100	53439	\N	\N	\N
492041	1678	1998-12-19	VYDAJ	VYBER KARTOU	1300	66230	\N	\N	0
492048	1678	1994-01-19	VYDAJ	VYBER	2700	37994	\N	\N	\N
492049	1678	1994-01-03	VYDAJ	VYBER	1300	46408	\N	\N	\N
492050	1678	1994-01-10	VYDAJ	VYBER	2700	38978	\N	\N	\N
492051	1678	1994-01-23	VYDAJ	VYBER	1800	36194	\N	\N	\N
492052	1678	1994-01-15	VYDAJ	VYBER	1000	61094	\N	\N	\N
492053	1678	1994-01-18	VYDAJ	VYBER	2700	58394	\N	\N	\N
492054	1678	1995-01-22	VYDAJ	VYBER	1600	42977	\N	\N	\N
492055	1678	1995-01-27	VYDAJ	VYBER	1700	41277	\N	\N	\N
492056	1678	1995-01-03	VYDAJ	VYBER	1400	49691	\N	\N	\N
492057	1678	1995-01-17	VYDAJ	VYBER	1500	44577	\N	\N	\N
492058	1678	1995-01-28	VYDAJ	VYBER	2000	39277	\N	\N	\N
492059	1678	1995-01-09	VYDAJ	VYBER	1900	44839	\N	\N	\N
492060	1678	1996-01-30	VYDAJ	VYBER	2200	63791	\N	\N	\N
492061	1678	1996-01-24	VYDAJ	VYBER	2400	68991	\N	\N	\N
492062	1678	1996-01-27	VYDAJ	VYBER	900	68091	\N	\N	\N
492063	1678	1996-01-06	VYDAJ	VYBER	1000	80705	\N	\N	\N
492064	1678	1996-01-23	VYDAJ	VYBER	800	71391	\N	\N	\N
492065	1678	1996-01-28	VYDAJ	VYBER	2100	65991	\N	\N	\N
492066	1678	1997-01-01	VYDAJ	VYBER	2600	61509	\N	\N	\N
492067	1678	1997-01-22	VYDAJ	VYBER	2600	52195	\N	\N	\N
492068	1678	1997-01-20	VYDAJ	VYBER	2400	54795	\N	\N	\N
492069	1678	1997-01-24	VYDAJ	VYBER	2800	49395	\N	\N	\N
492070	1678	1997-01-15	VYDAJ	VYBER	2300	57195	\N	\N	\N
492071	1678	1997-01-13	VYDAJ	VYBER	1600	59495	\N	\N	\N
492072	1678	1998-01-28	VYDAJ	VYBER	1500	23778	\N	\N	\N
492073	1678	1998-01-25	VYDAJ	VYBER	1200	40978	\N	\N	\N
492074	1678	1998-01-23	VYDAJ	VYBER	2700	42178	\N	\N	\N
492075	1678	1998-01-28	VYDAJ	VYBER	600	25278	\N	\N	\N
492076	1678	1998-01-13	VYDAJ	VYBER	2600	46978	\N	\N	\N
492077	1678	1998-01-23	VYDAJ	VYBER	2100	44878	\N	\N	\N
492082	1678	1993-12-20	VYDAJ	VYBER	1300	48298	\N	\N	\N
492083	1678	1994-08-11	VYDAJ	VYBER	2400	63620	\N	\N	\N
492084	1678	1994-09-09	VYDAJ	VYBER	2200	35999	\N	\N	\N
492085	1678	1994-10-09	VYDAJ	VYBER	4500	32589	\N	\N	\N
492086	1678	1994-01-24	VYDAJ	VYBER	1500	34694	\N	\N	\N
492087	1678	1994-11-18	VYDAJ	VYBER	2700	43774	\N	\N	\N
492088	1678	1994-08-23	VYDAJ	VYBER	4500	38620	\N	\N	\N
492089	1678	1994-09-03	VYDAJ	VYBER	600	38199	\N	\N	\N
492090	1678	1995-04-05	VYDAJ	VYBER	1100	41947	\N	\N	\N
492091	1678	1995-03-29	VYDAJ	VYBER	1100	42878	\N	\N	\N
492092	1678	1995-04-08	VYDAJ	VYBER	2800	39147	\N	\N	\N
492093	1678	1995-09-09	VYDAJ	VYBER	4700	43245	\N	\N	\N
492094	1678	1995-01-29	VYDAJ	VYBER	3900	35377	\N	\N	\N
492095	1678	1995-05-03	VYDAJ	VYBER	3700	37394	\N	\N	\N
492096	1678	1996-04-17	VYDAJ	VYBER	2400	66639	\N	\N	\N
492097	1678	1996-10-12	VYDAJ	VYBER	1800	60684	\N	\N	\N
492098	1678	1996-04-19	VYDAJ	VYBER	3900	62739	\N	\N	\N
492099	1678	1996-12-17	VYDAJ	VYBER	4000	64370	\N	\N	\N
492100	1678	1996-07-04	VYDAJ	VYBER	4100	62642	\N	\N	\N
492101	1678	1996-06-30	VYDAJ	VYBER	4600	66742	\N	\N	\N
492102	1678	1996-07-12	VYDAJ	VYBER	4400	58128	\N	\N	\N
492103	1678	1996-01-22	VYDAJ	VYBER	4200	72191	\N	\N	\N
492104	1678	1997-09-27	VYDAJ	VYBER	4900	43195	\N	\N	\N
492105	1678	1997-02-17	VYDAJ	VYBER	1500	54376	\N	\N	\N
492106	1678	1997-04-15	VYDAJ	VYBER	1900	53148	\N	\N	\N
492107	1678	1998-02-17	VYDAJ	VYBER	2500	39800	\N	\N	\N
492108	1678	1998-07-30	VYDAJ	VYBER	3600	25272	\N	\N	\N
492110	1678	1998-05-31	VYDAJ	VYBER	4400	25395	\N	\N	\N
492111	1678	1998-05-28	VYDAJ	VYBER	2600	29646	\N	\N	\N
492112	1678	1998-10-10	VYDAJ	VYBER KARTOU	1200	25095	\N	\N	0
492113	1678	1998-06-26	VYDAJ	VYBER	2000	31239	\N	\N	\N
492114	1678	1998-07-31	VYDAJ	VYBER	800	24629	\N	\N	\N
492122	1678	1993-07-31	VYDAJ	VYBER	15	50103	SLUZBY	\N	\N
492123	1678	1993-08-31	VYDAJ	VYBER	15	46802	SLUZBY	\N	\N
492124	1678	1993-09-30	VYDAJ	VYBER	15	47091	SLUZBY	\N	\N
492125	1678	1993-10-31	VYDAJ	VYBER	15	44776	SLUZBY	\N	\N
492126	1678	1993-11-30	VYDAJ	VYBER	15	45254	SLUZBY	\N	\N
492127	1678	1993-12-31	VYDAJ	VYBER	15	47708	SLUZBY	\N	\N
492128	1678	1994-01-31	VYDAJ	VYBER	15	34870	SLUZBY	\N	\N
492129	1678	1994-02-28	VYDAJ	VYBER	15	41212	SLUZBY	\N	\N
492130	1678	1994-03-31	VYDAJ	VYBER	15	43477	SLUZBY	\N	\N
492131	1678	1994-04-30	VYDAJ	VYBER	15	44048	SLUZBY	\N	\N
492132	1678	1994-05-31	VYDAJ	VYBER	15	43317	SLUZBY	\N	\N
492133	1678	1994-06-30	VYDAJ	VYBER	15	47551	SLUZBY	\N	\N
492134	1678	1994-07-31	VYDAJ	VYBER	15	47634	SLUZBY	\N	\N
492135	1678	1994-08-31	VYDAJ	VYBER	15	38799	SLUZBY	\N	\N
492136	1678	1994-09-30	VYDAJ	VYBER	15	40041	SLUZBY	\N	\N
492137	1678	1994-10-31	VYDAJ	VYBER	15	41888	SLUZBY	\N	\N
492138	1678	1994-11-30	VYDAJ	VYBER	15	43947	SLUZBY	\N	\N
492139	1678	1994-12-31	VYDAJ	VYBER	15	51091	SLUZBY	\N	\N
492140	1678	1995-01-31	VYDAJ	VYBER	15	35556	SLUZBY	\N	\N
492141	1678	1995-02-28	VYDAJ	VYBER	15	41792	SLUZBY	\N	\N
492142	1678	1995-03-31	VYDAJ	VYBER	15	43047	SLUZBY	\N	\N
492143	1678	1995-04-30	VYDAJ	VYBER	15	41094	SLUZBY	\N	\N
492144	1678	1995-05-31	VYDAJ	VYBER	15	39834	SLUZBY	\N	\N
492145	1678	1995-06-30	VYDAJ	VYBER	15	46848	SLUZBY	\N	\N
492146	1678	1995-07-31	VYDAJ	VYBER	15	48519	SLUZBY	\N	\N
492147	1678	1995-08-31	VYDAJ	VYBER	15	50897	SLUZBY	\N	\N
492148	1678	1995-09-30	VYDAJ	VYBER	15	57192	SLUZBY	\N	\N
492149	1678	1995-10-31	VYDAJ	VYBER	15	63816	SLUZBY	\N	\N
492150	1678	1995-11-30	VYDAJ	VYBER	15	68560	SLUZBY	\N	\N
492151	1678	1995-12-31	VYDAJ	VYBER	15	81705	SLUZBY	\N	\N
492152	1678	1996-01-31	VYDAJ	VYBER	15	64078	SLUZBY	\N	\N
492153	1678	1996-02-29	VYDAJ	VYBER	15	65713	SLUZBY	\N	\N
492154	1678	1996-03-31	VYDAJ	VYBER	15	66953	SLUZBY	\N	\N
492155	1678	1996-04-30	VYDAJ	VYBER	15	62991	SLUZBY	\N	\N
492156	1678	1996-05-31	VYDAJ	VYBER	15	67530	SLUZBY	\N	\N
492157	1678	1996-06-30	VYDAJ	VYBER	15	71342	SLUZBY	\N	\N
492158	1678	1996-07-31	VYDAJ	VYBER	15	58350	SLUZBY	\N	\N
492159	1678	1996-08-31	VYDAJ	VYBER	15	63069	SLUZBY	\N	\N
492160	1678	1996-09-30	VYDAJ	VYBER	15	64598	SLUZBY	\N	\N
492161	1678	1996-10-31	VYDAJ	VYBER	15	60918	SLUZBY	\N	\N
492162	1678	1996-11-30	VYDAJ	VYBER	15	58526	SLUZBY	\N	\N
492163	1678	1996-12-31	VYDAJ	VYBER	15	64109	SLUZBY	\N	\N
492164	1678	1997-01-31	VYDAJ	VYBER	15	49590	SLUZBY	\N	\N
492165	1678	1997-02-28	VYDAJ	VYBER	15	54573	SLUZBY	\N	\N
492166	1678	1997-03-31	VYDAJ	VYBER	15	54662	SLUZBY	\N	\N
492167	1678	1997-04-30	VYDAJ	VYBER	15	53348	SLUZBY	\N	\N
492168	1678	1997-05-31	VYDAJ	VYBER	15	54836	SLUZBY	\N	\N
492169	1678	1997-06-30	VYDAJ	VYBER	15	49208	SLUZBY	\N	\N
492170	1678	1997-07-31	VYDAJ	VYBER	15	30170	SLUZBY	\N	\N
492171	1678	1997-08-31	VYDAJ	VYBER	15	29709	SLUZBY	\N	\N
492172	1678	1997-09-30	VYDAJ	VYBER	15	28042	SLUZBY	\N	\N
492173	1678	1997-10-31	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
492174	1678	1997-11-30	VYDAJ	VYBER	15	24595	SLUZBY	\N	\N
492175	1678	1997-12-31	VYDAJ	VYBER	15	31192	SLUZBY	\N	\N
492176	1678	1998-01-31	VYDAJ	VYBER	15	23914	SLUZBY	\N	\N
492177	1678	1998-02-28	VYDAJ	VYBER	15	24716	SLUZBY	\N	\N
492178	1678	1998-03-31	VYDAJ	VYBER	15	30328	SLUZBY	\N	\N
492179	1678	1998-04-30	VYDAJ	VYBER	15	31660	SLUZBY	\N	\N
492180	1678	1998-05-31	VYDAJ	VYBER	15	29795	SLUZBY	\N	\N
492181	1678	1998-06-30	VYDAJ	VYBER	15	31386	SLUZBY	\N	\N
492182	1678	1998-07-31	VYDAJ	VYBER	15	24615	SLUZBY	\N	\N
492183	1678	1998-08-31	VYDAJ	VYBER	15	25716	SLUZBY	\N	\N
492184	1678	1998-09-30	VYDAJ	VYBER	15	31025	SLUZBY	\N	\N
492185	1678	1998-10-31	VYDAJ	VYBER	15	33050	SLUZBY	\N	\N
492186	1678	1998-11-30	VYDAJ	VYBER	15	37586	SLUZBY	\N	\N
492187	1678	1993-03-24	VYDAJ	VYBER	200	23116	\N	\N	\N
492188	1678	1993-04-23	VYDAJ	VYBER	12100	34157	\N	\N	\N
492189	1678	1993-05-23	VYDAJ	VYBER	15900	41481	\N	\N	\N
492190	1678	1993-06-22	VYDAJ	VYBER	25400	50907	\N	\N	\N
492191	1678	1993-07-22	VYDAJ	VYBER	24300	49907	\N	\N	\N
492192	1678	1993-08-21	VYDAJ	VYBER	21900	46589	\N	\N	\N
492193	1678	1993-09-20	VYDAJ	VYBER	18300	46888	\N	\N	\N
492194	1678	1993-10-20	VYDAJ	VYBER	20900	44577	\N	\N	\N
492195	1678	1993-11-19	VYDAJ	VYBER	18100	45062	\N	\N	\N
492196	1678	1993-12-19	VYDAJ	VYBER	25600	49598	\N	\N	\N
492197	1678	1994-01-18	VYDAJ	VYBER	17700	40694	\N	\N	\N
492198	1678	1994-02-17	VYDAJ	VYBER	12200	41056	\N	\N	\N
492199	1678	1994-03-19	VYDAJ	VYBER	16300	43298	\N	\N	\N
492200	1678	1994-04-18	VYDAJ	VYBER	18000	43863	\N	\N	\N
492201	1678	1994-05-18	VYDAJ	VYBER	19300	43134	\N	\N	\N
492202	1678	1994-06-17	VYDAJ	VYBER	19400	47361	\N	\N	\N
492203	1678	1994-07-17	VYDAJ	VYBER	18500	47437	\N	\N	\N
492204	1678	1994-08-16	VYDAJ	VYBER	20500	43120	\N	\N	\N
492205	1678	1994-09-15	VYDAJ	VYBER	14500	39885	\N	\N	\N
492206	1678	1994-10-15	VYDAJ	VYBER	12200	41727	\N	\N	\N
492207	1678	1994-11-14	VYDAJ	VYBER	13800	46474	\N	\N	\N
492208	1678	1994-12-14	VYDAJ	VYBER	20800	53091	\N	\N	\N
492209	1678	1995-01-13	VYDAJ	VYBER	20100	46077	\N	\N	\N
492210	1678	1995-02-12	VYDAJ	VYBER	12300	41642	\N	\N	\N
492211	1678	1995-03-14	VYDAJ	VYBER	16200	43978	\N	\N	\N
492212	1678	1995-04-13	VYDAJ	VYBER	16600	40933	\N	\N	\N
492213	1678	1995-05-13	VYDAJ	VYBER	16100	39680	\N	\N	\N
492214	1678	1995-06-12	VYDAJ	VYBER	17600	46678	\N	\N	\N
492215	1678	1995-07-12	VYDAJ	VYBER	16900	48334	\N	\N	\N
492216	1678	1995-08-11	VYDAJ	VYBER	16200	50705	\N	\N	\N
492217	1678	1995-09-10	VYDAJ	VYBER	7600	33867	\N	\N	\N
492218	1678	1995-10-10	VYDAJ	VYBER	12000	40462	\N	\N	\N
492219	1678	1995-11-09	VYDAJ	VYBER	13900	49916	\N	\N	\N
492220	1678	1995-12-09	VYDAJ	VYBER	16300	51460	\N	\N	\N
492221	1678	1996-01-08	VYDAJ	VYBER	22700	58005	\N	\N	\N
492222	1678	1996-02-07	VYDAJ	VYBER	17000	47078	\N	\N	\N
492223	1678	1996-03-08	VYDAJ	VYBER	17400	48313	\N	\N	\N
492224	1678	1996-04-07	VYDAJ	VYBER	16300	50653	\N	\N	\N
492225	1678	1996-05-07	VYDAJ	VYBER	14100	48891	\N	\N	\N
492226	1678	1996-06-06	VYDAJ	VYBER	19300	48230	\N	\N	\N
492227	1678	1996-07-06	VYDAJ	VYBER	18500	44142	\N	\N	\N
492228	1678	1996-08-05	VYDAJ	VYBER	13900	44450	\N	\N	\N
492229	1678	1996-09-04	VYDAJ	VYBER	17100	45969	\N	\N	\N
492230	1678	1996-10-04	VYDAJ	VYBER	20500	44098	\N	\N	\N
492231	1678	1996-11-03	VYDAJ	VYBER	21000	39918	\N	\N	\N
492232	1678	1996-12-03	VYDAJ	VYBER	20100	38426	\N	\N	\N
492233	1678	1997-01-02	VYDAJ	VYBER	18800	42709	\N	\N	\N
492234	1678	1997-02-01	VYDAJ	VYBER	12100	37490	\N	\N	\N
492235	1678	1997-03-03	VYDAJ	VYBER	18500	36073	\N	\N	\N
492236	1678	1997-04-02	VYDAJ	VYBER	18000	36662	\N	\N	\N
492237	1678	1997-05-02	VYDAJ	VYBER	17100	36248	\N	\N	\N
492238	1678	1997-06-01	VYDAJ	VYBER	18600	36236	\N	\N	\N
492239	1678	1997-07-01	VYDAJ	VYBER	19000	30208	\N	\N	\N
492240	1678	1997-07-31	VYDAJ	VYBER	18600	30184	\N	\N	\N
492241	1678	1997-08-30	VYDAJ	VYBER	19000	29556	\N	\N	\N
492242	1678	1997-09-29	VYDAJ	VYBER	15300	27895	\N	\N	\N
492243	1678	1997-10-29	VYDAJ	VYBER	18100	28328	\N	\N	\N
492244	1678	1997-11-28	VYDAJ	VYBER	22400	24456	\N	\N	\N
492245	1678	1997-12-28	VYDAJ	VYBER	22400	31039	\N	\N	\N
492246	1678	1998-01-27	VYDAJ	VYBER	15100	25878	\N	\N	\N
492247	1678	1998-02-26	VYDAJ	VYBER	15200	24600	\N	\N	\N
492248	1678	1998-03-28	VYDAJ	VYBER	12900	30202	\N	\N	\N
492249	1678	1998-04-27	VYDAJ	VYBER	17200	31514	\N	\N	\N
492250	1678	1998-05-27	VYDAJ	VYBER	17800	32246	\N	\N	\N
492251	1678	1998-06-26	VYDAJ	VYBER	18100	33239	\N	\N	\N
492252	1678	1998-07-26	VYDAJ	VYBER	20900	28872	\N	\N	\N
492253	1678	1998-08-25	VYDAJ	VYBER	17400	25601	\N	\N	\N
492254	1678	1998-09-24	VYDAJ	VYBER	13200	30902	\N	\N	\N
492255	1678	1998-10-24	VYDAJ	VYBER	15300	32911	\N	\N	\N
492256	1678	1998-11-23	VYDAJ	VYBER	14000	37436	\N	\N	\N
492327	1679	1996-09-05	PRIJEM	VKLAD	1100	14563	\N	\N	\N
492336	1679	1996-09-05	PRIJEM	VKLAD	13463	13463	\N	\N	\N
492337	1679	1996-10-05	PRIJEM	VKLAD	13463	28075	\N	\N	\N
492338	1679	1996-11-05	PRIJEM	VKLAD	13463	40941	\N	\N	\N
492339	1679	1996-12-05	PRIJEM	VKLAD	20195	52998	\N	\N	\N
492340	1679	1997-01-05	PRIJEM	VKLAD	13463	53575	\N	\N	\N
492341	1679	1997-02-05	PRIJEM	VKLAD	13463	51337	\N	\N	\N
492342	1679	1997-03-05	PRIJEM	VKLAD	13463	50295	\N	\N	\N
492343	1679	1997-04-05	PRIJEM	VKLAD	13463	48060	\N	\N	\N
492344	1679	1997-05-05	PRIJEM	VKLAD	13463	48498	\N	\N	\N
492345	1679	1997-06-05	PRIJEM	VKLAD	20195	57875	\N	\N	\N
492346	1679	1997-07-05	PRIJEM	VKLAD	13463	54457	\N	\N	\N
492347	1679	1997-08-05	PRIJEM	VKLAD	13463	56431	\N	\N	\N
492348	1679	1997-09-05	PRIJEM	VKLAD	13463	60911	\N	\N	\N
492349	1679	1997-10-05	PRIJEM	VKLAD	13463	61693	\N	\N	\N
492350	1679	1997-11-05	PRIJEM	VKLAD	13463	58687	\N	\N	\N
492351	1679	1997-12-05	PRIJEM	VKLAD	20195	56866	\N	\N	\N
492352	1679	1998-01-05	PRIJEM	VKLAD	13463	53658	\N	\N	\N
492353	1679	1998-02-05	PRIJEM	VKLAD	13463	52523	\N	\N	\N
492354	1679	1998-03-05	PRIJEM	VKLAD	13463	53964	\N	\N	\N
492355	1679	1998-04-05	PRIJEM	VKLAD	13463	57013	\N	\N	\N
492356	1679	1998-05-05	PRIJEM	VKLAD	13463	52771	\N	\N	\N
492357	1679	1998-06-05	PRIJEM	VKLAD	20195	61304	\N	\N	\N
492358	1679	1998-07-05	PRIJEM	VKLAD	13463	48906	\N	\N	\N
492359	1679	1998-08-05	PRIJEM	VKLAD	13463	50348	\N	\N	\N
492360	1679	1998-09-05	PRIJEM	VKLAD	13463	52679	\N	\N	\N
492361	1679	1998-10-05	PRIJEM	VKLAD	13463	52719	\N	\N	\N
492362	1679	1998-11-05	PRIJEM	VKLAD	13463	55675	\N	\N	\N
492363	1679	1998-12-05	PRIJEM	VKLAD	20195	67861	\N	\N	\N
492376	1679	1997-01-13	VYDAJ	PREVOD NA UCET	5087	48488	SIPO	ST	49590080
492377	1679	1997-02-13	VYDAJ	PREVOD NA UCET	5087	46250	SIPO	ST	49590080
492378	1679	1997-03-13	VYDAJ	PREVOD NA UCET	5087	45208	SIPO	ST	49590080
492379	1679	1997-04-13	VYDAJ	PREVOD NA UCET	5087	42973	SIPO	ST	49590080
492380	1679	1997-05-13	VYDAJ	PREVOD NA UCET	5087	43411	SIPO	ST	49590080
492381	1679	1997-06-13	VYDAJ	PREVOD NA UCET	5087	52788	SIPO	ST	49590080
492382	1679	1997-07-13	VYDAJ	PREVOD NA UCET	5087	49370	SIPO	ST	49590080
492383	1679	1997-08-13	VYDAJ	PREVOD NA UCET	5087	51344	SIPO	ST	49590080
492384	1679	1997-09-13	VYDAJ	PREVOD NA UCET	5087	55824	SIPO	ST	49590080
492385	1679	1997-10-13	VYDAJ	PREVOD NA UCET	5087	56606	SIPO	ST	49590080
492386	1679	1997-11-13	VYDAJ	PREVOD NA UCET	5087	53600	SIPO	ST	49590080
492387	1679	1997-12-13	VYDAJ	PREVOD NA UCET	5087	51779	SIPO	ST	49590080
492388	1679	1998-01-13	VYDAJ	PREVOD NA UCET	5087	45451	SIPO	ST	49590080
492389	1679	1998-02-13	VYDAJ	PREVOD NA UCET	5087	47436	SIPO	ST	49590080
492390	1679	1998-03-13	VYDAJ	PREVOD NA UCET	5087	48877	SIPO	ST	49590080
492391	1679	1998-04-13	VYDAJ	PREVOD NA UCET	5087	51926	SIPO	ST	49590080
492392	1679	1998-05-13	VYDAJ	PREVOD NA UCET	5087	47684	SIPO	ST	49590080
492393	1679	1998-06-13	VYDAJ	PREVOD NA UCET	5087	56217	SIPO	ST	49590080
492394	1679	1998-07-13	VYDAJ	PREVOD NA UCET	5087	43819	SIPO	ST	49590080
492395	1679	1998-08-13	VYDAJ	PREVOD NA UCET	5087	45261	SIPO	ST	49590080
492396	1679	1998-09-13	VYDAJ	PREVOD NA UCET	5087	47592	SIPO	ST	49590080
492397	1679	1998-10-13	VYDAJ	PREVOD NA UCET	5087	47632	SIPO	ST	49590080
492398	1679	1998-11-13	VYDAJ	PREVOD NA UCET	5087	50588	SIPO	ST	49590080
492399	1679	1998-12-13	VYDAJ	PREVOD NA UCET	5087	62774	SIPO	ST	49590080
492401	1679	1997-12-27	VYDAJ	VYBER	1440	50339	\N	\N	\N
492402	1679	1998-12-23	VYDAJ	VYBER	1440	61334	\N	\N	\N
492411	1679	1997-01-17	VYDAJ	VYBER	960	45008	\N	\N	\N
492412	1679	1997-01-25	VYDAJ	VYBER	840	44168	\N	\N	\N
492413	1679	1997-01-25	VYDAJ	VYBER	1680	42488	\N	\N	\N
492414	1679	1997-01-15	VYDAJ	VYBER	2520	45968	\N	\N	\N
492415	1679	1998-01-10	VYDAJ	VYBER	3120	50538	\N	\N	\N
492416	1679	1998-01-04	VYDAJ	VYBER	2040	40195	\N	\N	\N
492417	1679	1998-01-25	VYDAJ	VYBER	2640	38491	\N	\N	\N
492418	1679	1998-01-19	VYDAJ	VYBER	1200	41131	\N	\N	\N
492419	1679	1998-01-14	VYDAJ	VYBER	2160	42331	\N	\N	\N
492420	1679	1998-01-14	VYDAJ	VYBER	960	44491	\N	\N	\N
492425	1679	1997-10-17	VYDAJ	VYBER	4080	52526	\N	\N	\N
492426	1679	1997-08-31	VYDAJ	VYBER	1800	49748	\N	\N	\N
492427	1679	1997-12-01	VYDAJ	VYBER	5520	36671	\N	\N	\N
492428	1679	1997-04-21	VYDAJ	VYBER	4800	38173	\N	\N	\N
492429	1679	1997-03-15	VYDAJ	VYBER	4680	40528	\N	\N	\N
492430	1679	1998-07-04	VYDAJ	VYBER	5760	35443	\N	\N	\N
492431	1679	1998-12-30	VYDAJ	VYBER	840	50194	\N	\N	\N
492432	1679	1998-05-23	VYDAJ	VYBER	1440	46244	\N	\N	\N
492433	1679	1998-10-04	VYDAJ	VYBER	2400	39256	\N	\N	\N
492447	1679	1997-01-31	VYDAJ	VYBER	15	42674	SLUZBY	\N	\N
492448	1679	1997-02-28	VYDAJ	VYBER	15	46432	SLUZBY	\N	\N
492449	1679	1997-03-31	VYDAJ	VYBER	15	40697	SLUZBY	\N	\N
492450	1679	1997-04-30	VYDAJ	VYBER	15	38335	SLUZBY	\N	\N
492451	1679	1997-05-31	VYDAJ	VYBER	15	43580	SLUZBY	\N	\N
492452	1679	1997-06-30	VYDAJ	VYBER	15	52994	SLUZBY	\N	\N
492453	1679	1997-07-31	VYDAJ	VYBER	15	49568	SLUZBY	\N	\N
492454	1679	1997-08-31	VYDAJ	VYBER	15	51548	SLUZBY	\N	\N
492455	1679	1997-09-30	VYDAJ	VYBER	15	56030	SLUZBY	\N	\N
492456	1679	1997-10-31	VYDAJ	VYBER	15	45224	SLUZBY	\N	\N
492457	1679	1997-11-30	VYDAJ	VYBER	15	42191	SLUZBY	\N	\N
492458	1679	1997-12-31	VYDAJ	VYBER	15	42235	SLUZBY	\N	\N
492459	1679	1998-01-31	VYDAJ	VYBER	15	39060	SLUZBY	\N	\N
492460	1679	1998-02-28	VYDAJ	VYBER	15	40501	SLUZBY	\N	\N
492461	1679	1998-03-31	VYDAJ	VYBER	15	43550	SLUZBY	\N	\N
492462	1679	1998-04-30	VYDAJ	VYBER	15	39308	SLUZBY	\N	\N
492463	1679	1998-05-31	VYDAJ	VYBER	15	41110	SLUZBY	\N	\N
492464	1679	1998-06-30	VYDAJ	VYBER	15	41203	SLUZBY	\N	\N
492465	1679	1998-07-31	VYDAJ	VYBER	15	36885	SLUZBY	\N	\N
492466	1679	1998-08-31	VYDAJ	VYBER	15	39216	SLUZBY	\N	\N
492467	1679	1998-09-30	VYDAJ	VYBER	15	41656	SLUZBY	\N	\N
492468	1679	1998-10-31	VYDAJ	VYBER	15	42212	SLUZBY	\N	\N
492469	1679	1998-11-30	VYDAJ	VYBER	15	47666	SLUZBY	\N	\N
492470	1679	1996-10-05	VYDAJ	VYBER	1600	26475	\N	\N	\N
492471	1679	1996-11-04	PRIJEM	VKLAD	900	27478	\N	\N	\N
492472	1679	1996-12-04	VYDAJ	VYBER	8300	32804	\N	\N	\N
492473	1679	1997-01-03	VYDAJ	VYBER	13100	40112	\N	\N	\N
492474	1679	1997-02-02	VYDAJ	VYBER	4800	37874	\N	\N	\N
492475	1679	1997-03-04	VYDAJ	VYBER	9600	36832	\N	\N	\N
492476	1679	1997-04-03	VYDAJ	VYBER	6100	34597	\N	\N	\N
492477	1679	1997-05-03	VYDAJ	VYBER	3300	35035	\N	\N	\N
492478	1679	1997-06-02	VYDAJ	VYBER	5900	37680	\N	\N	\N
492479	1679	1997-07-02	VYDAJ	VYBER	12000	40994	\N	\N	\N
492480	1679	1997-08-01	VYDAJ	VYBER	6600	42968	\N	\N	\N
492481	1679	1997-08-31	VYDAJ	VYBER	2300	47448	\N	\N	\N
492482	1679	1997-09-30	VYDAJ	VYBER	7800	48230	\N	\N	\N
492483	1679	1997-10-30	VYDAJ	VYBER	7500	45026	\N	\N	\N
492484	1679	1997-11-29	VYDAJ	VYBER	11600	42000	\N	\N	\N
492485	1679	1997-12-29	VYDAJ	VYBER	8300	42039	\N	\N	\N
492486	1679	1998-01-28	PRIJEM	VKLAD	400	38891	\N	\N	\N
492487	1679	1998-02-27	VYDAJ	VYBER	7100	40336	\N	\N	\N
492488	1679	1998-03-29	VYDAJ	VYBER	5500	43377	\N	\N	\N
492489	1679	1998-04-28	VYDAJ	VYBER	12800	39126	\N	\N	\N
492490	1679	1998-05-28	VYDAJ	VYBER	5300	40944	\N	\N	\N
492491	1679	1998-06-27	VYDAJ	VYBER	15200	41017	\N	\N	\N
492492	1679	1998-07-27	VYDAJ	VYBER	7100	36719	\N	\N	\N
492493	1679	1998-08-26	VYDAJ	VYBER	6200	39061	\N	\N	\N
492494	1679	1998-09-25	VYDAJ	VYBER	6100	41492	\N	\N	\N
492495	1679	1998-10-25	VYDAJ	VYBER	5600	42032	\N	\N	\N
492496	1679	1998-11-24	VYDAJ	VYBER	3100	47488	\N	\N	\N
492497	1679	1998-12-24	VYDAJ	VYBER	10300	51034	\N	\N	\N
492526	1680	1993-12-10	PRIJEM	VKLAD	300	300	\N	\N	\N
492538	1680	1993-12-13	PRIJEM	VKLAD	29128	29428	\N	\N	\N
492539	1680	1994-01-13	PRIJEM	VKLAD	19419	44622	\N	\N	\N
492540	1680	1994-02-13	PRIJEM	VKLAD	19419	51903	\N	\N	\N
492541	1680	1994-03-13	PRIJEM	VKLAD	19419	59625	\N	\N	\N
492542	1680	1994-04-13	PRIJEM	VKLAD	19419	62580	\N	\N	\N
492543	1680	1994-05-13	PRIJEM	VKLAD	19419	62085	\N	\N	\N
492544	1680	1994-06-13	PRIJEM	VKLAD	29128	69893	\N	\N	\N
492545	1680	1994-07-13	PRIJEM	VKLAD	19419	53784	\N	\N	\N
492546	1680	1994-08-13	PRIJEM	VKLAD	19419	58639	\N	\N	\N
492547	1680	1994-09-13	PRIJEM	VKLAD	19419	61013	\N	\N	\N
492548	1680	1994-10-13	PRIJEM	VKLAD	19419	57996	\N	\N	\N
492549	1680	1994-11-13	PRIJEM	VKLAD	19419	55671	\N	\N	\N
492550	1680	1994-12-13	PRIJEM	VKLAD	29128	64437	\N	\N	\N
492551	1680	1995-01-13	PRIJEM	VKLAD	19419	53917	\N	\N	\N
492552	1680	1995-02-13	PRIJEM	VKLAD	19419	48871	\N	\N	\N
492553	1680	1995-03-13	PRIJEM	VKLAD	19419	56202	\N	\N	\N
492554	1680	1995-04-13	PRIJEM	VKLAD	19419	52667	\N	\N	\N
492555	1680	1995-05-13	PRIJEM	VKLAD	19419	52316	\N	\N	\N
492556	1680	1995-06-13	PRIJEM	VKLAD	29128	56471	\N	\N	\N
492557	1680	1995-07-13	PRIJEM	VKLAD	19419	54925	\N	\N	\N
492558	1680	1995-08-13	PRIJEM	VKLAD	19419	53082	\N	\N	\N
492559	1680	1995-09-13	PRIJEM	VKLAD	19419	50733	\N	\N	\N
492560	1680	1995-10-13	PRIJEM	VKLAD	19419	47862	\N	\N	\N
492561	1680	1995-11-13	PRIJEM	VKLAD	19419	48187	\N	\N	\N
492562	1680	1995-12-13	PRIJEM	VKLAD	29128	57917	\N	\N	\N
492563	1680	1996-01-13	PRIJEM	VKLAD	19419	43060	\N	\N	\N
492564	1680	1996-02-13	PRIJEM	VKLAD	19419	44465	\N	\N	\N
492565	1680	1996-03-13	PRIJEM	VKLAD	19419	51473	\N	\N	\N
492566	1680	1996-04-13	PRIJEM	VKLAD	19419	53006	\N	\N	\N
492567	1680	1996-05-13	PRIJEM	VKLAD	19419	53247	\N	\N	\N
492568	1680	1996-06-13	PRIJEM	VKLAD	29128	62697	\N	\N	\N
492569	1680	1996-07-13	PRIJEM	VKLAD	19419	51038	\N	\N	\N
492570	1680	1996-08-13	PRIJEM	VKLAD	19419	51668	\N	\N	\N
492571	1680	1996-09-13	PRIJEM	VKLAD	19419	55201	\N	\N	\N
492572	1680	1996-10-13	PRIJEM	VKLAD	19419	55345	\N	\N	\N
492573	1680	1996-11-13	PRIJEM	VKLAD	19419	57391	\N	\N	\N
492574	1680	1996-12-13	PRIJEM	VKLAD	29128	67754	\N	\N	\N
492575	1680	1997-01-13	PRIJEM	VKLAD	19419	59529	\N	\N	\N
492576	1680	1997-02-13	PRIJEM	VKLAD	19419	51081	\N	\N	\N
492577	1680	1997-03-13	PRIJEM	VKLAD	19419	53806	\N	\N	\N
492578	1680	1997-04-13	PRIJEM	VKLAD	19419	59046	\N	\N	\N
492579	1680	1997-05-13	PRIJEM	VKLAD	19419	60002	\N	\N	\N
492580	1680	1997-06-13	PRIJEM	VKLAD	29128	68468	\N	\N	\N
492581	1680	1997-07-13	PRIJEM	VKLAD	19419	50312	\N	\N	\N
492582	1680	1997-08-13	PRIJEM	VKLAD	19419	54032	\N	\N	\N
492583	1680	1997-09-13	PRIJEM	VKLAD	19419	60471	\N	\N	\N
492584	1680	1997-10-13	PRIJEM	VKLAD	19419	58826	\N	\N	\N
492585	1680	1997-11-13	PRIJEM	VKLAD	19419	57374	\N	\N	\N
492586	1680	1997-12-13	PRIJEM	VKLAD	29128	71035	\N	\N	\N
492587	1680	1998-01-13	PRIJEM	VKLAD	19419	61901	\N	\N	\N
492588	1680	1998-02-13	PRIJEM	VKLAD	19419	57746	\N	\N	\N
492589	1680	1998-03-13	PRIJEM	VKLAD	19419	63294	\N	\N	\N
492590	1680	1998-04-13	PRIJEM	VKLAD	19419	66262	\N	\N	\N
492591	1680	1998-05-13	PRIJEM	VKLAD	19419	66036	\N	\N	\N
492592	1680	1998-06-13	PRIJEM	VKLAD	29128	58814	\N	\N	\N
492593	1680	1998-07-13	PRIJEM	VKLAD	19419	62760	\N	\N	\N
492594	1680	1998-08-13	PRIJEM	VKLAD	19419	58209	\N	\N	\N
492595	1680	1998-09-13	PRIJEM	VKLAD	19419	54146	\N	\N	\N
492596	1680	1998-10-13	PRIJEM	VKLAD	19419	62582	\N	\N	\N
492597	1680	1998-11-13	PRIJEM	VKLAD	19419	62734	\N	\N	\N
492598	1680	1998-12-13	PRIJEM	VKLAD	29128	76309	\N	\N	\N
492615	1680	1994-05-05	VYDAJ	PREVOD NA UCET	5955	56866	SIPO	QR	16704351
492616	1680	1994-06-05	VYDAJ	PREVOD NA UCET	5955	56365	SIPO	QR	16704351
492617	1680	1994-07-05	VYDAJ	PREVOD NA UCET	5955	41065	SIPO	QR	16704351
492618	1680	1994-08-05	VYDAJ	PREVOD NA UCET	5955	48020	SIPO	QR	16704351
492619	1680	1994-09-05	VYDAJ	PREVOD NA UCET	5955	52894	SIPO	QR	16704351
492620	1680	1994-10-05	VYDAJ	PREVOD NA UCET	5955	55277	SIPO	QR	16704351
492621	1680	1994-11-05	VYDAJ	PREVOD NA UCET	5955	38152	SIPO	QR	16704351
492622	1680	1994-12-05	VYDAJ	PREVOD NA UCET	5955	35309	SIPO	QR	16704351
492623	1680	1995-01-05	VYDAJ	PREVOD NA UCET	5955	40398	SIPO	QR	16704351
492624	1680	1995-02-05	VYDAJ	PREVOD NA UCET	5955	30852	SIPO	QR	16704351
492625	1680	1995-03-05	VYDAJ	PREVOD NA UCET	5955	43083	SIPO	QR	16704351
492626	1680	1995-04-05	VYDAJ	PREVOD NA UCET	5955	33248	SIPO	QR	16704351
492627	1680	1995-05-05	VYDAJ	PREVOD NA UCET	5955	32897	SIPO	QR	16704351
492628	1680	1995-06-05	VYDAJ	PREVOD NA UCET	5955	32843	SIPO	QR	16704351
492629	1680	1995-07-05	VYDAJ	PREVOD NA UCET	5955	35506	SIPO	QR	16704351
492630	1680	1995-08-05	VYDAJ	PREVOD NA UCET	5955	33663	SIPO	QR	16704351
492631	1680	1995-09-05	VYDAJ	PREVOD NA UCET	5955	31314	SIPO	QR	16704351
492632	1680	1995-10-05	VYDAJ	PREVOD NA UCET	5955	28443	SIPO	QR	16704351
492633	1680	1995-11-05	VYDAJ	PREVOD NA UCET	5955	28768	SIPO	QR	16704351
492634	1680	1995-12-05	VYDAJ	PREVOD NA UCET	5955	28789	SIPO	QR	16704351
492635	1680	1996-01-05	VYDAJ	PREVOD NA UCET	5955	34441	SIPO	QR	16704351
492636	1680	1996-02-05	VYDAJ	PREVOD NA UCET	5955	25046	SIPO	QR	16704351
492637	1680	1996-03-05	VYDAJ	PREVOD NA UCET	5955	32054	SIPO	QR	16704351
492638	1680	1996-04-05	VYDAJ	PREVOD NA UCET	5955	33587	SIPO	QR	16704351
492639	1680	1996-05-05	VYDAJ	PREVOD NA UCET	5955	33828	SIPO	QR	16704351
492640	1680	1996-06-05	VYDAJ	PREVOD NA UCET	5955	33569	SIPO	QR	16704351
492641	1680	1996-07-05	VYDAJ	PREVOD NA UCET	5955	31619	SIPO	QR	16704351
492642	1680	1996-08-05	VYDAJ	PREVOD NA UCET	5955	32249	SIPO	QR	16704351
492643	1680	1996-09-05	VYDAJ	PREVOD NA UCET	5955	35782	SIPO	QR	16704351
492644	1680	1996-10-05	VYDAJ	PREVOD NA UCET	5955	35926	SIPO	QR	16704351
492645	1680	1996-11-05	VYDAJ	PREVOD NA UCET	5955	37972	SIPO	QR	16704351
492646	1680	1996-12-05	VYDAJ	PREVOD NA UCET	5955	41126	SIPO	QR	16704351
492647	1680	1997-01-05	VYDAJ	PREVOD NA UCET	5955	47210	SIPO	QR	16704351
492648	1680	1997-02-05	VYDAJ	PREVOD NA UCET	5955	31662	SIPO	QR	16704351
492649	1680	1997-03-05	VYDAJ	PREVOD NA UCET	5955	34387	SIPO	QR	16704351
492650	1680	1997-04-05	VYDAJ	PREVOD NA UCET	5955	39627	SIPO	QR	16704351
492651	1680	1997-05-05	VYDAJ	PREVOD NA UCET	5955	40583	SIPO	QR	16704351
492652	1680	1997-06-05	VYDAJ	PREVOD NA UCET	5955	39340	SIPO	QR	16704351
492653	1680	1997-07-05	VYDAJ	PREVOD NA UCET	5955	30893	SIPO	QR	16704351
492654	1680	1997-08-05	VYDAJ	PREVOD NA UCET	5955	34613	SIPO	QR	16704351
492655	1680	1997-09-05	VYDAJ	PREVOD NA UCET	5955	41052	SIPO	QR	16704351
492656	1680	1997-10-05	VYDAJ	PREVOD NA UCET	5955	39407	SIPO	QR	16704351
492657	1680	1997-11-05	VYDAJ	PREVOD NA UCET	5955	37955	SIPO	QR	16704351
492658	1680	1997-12-05	VYDAJ	PREVOD NA UCET	5955	41907	SIPO	QR	16704351
492659	1680	1998-01-05	VYDAJ	PREVOD NA UCET	5955	43682	SIPO	QR	16704351
492660	1680	1998-02-05	VYDAJ	PREVOD NA UCET	5955	38327	SIPO	QR	16704351
492661	1680	1998-03-05	VYDAJ	PREVOD NA UCET	5955	43875	SIPO	QR	16704351
492662	1680	1998-04-05	VYDAJ	PREVOD NA UCET	5955	46843	SIPO	QR	16704351
492663	1680	1998-05-05	VYDAJ	PREVOD NA UCET	5955	46617	SIPO	QR	16704351
492664	1680	1998-06-05	VYDAJ	PREVOD NA UCET	5955	44686	SIPO	QR	16704351
492665	1680	1998-07-05	VYDAJ	PREVOD NA UCET	5955	43341	SIPO	QR	16704351
492666	1680	1998-08-05	VYDAJ	PREVOD NA UCET	5955	38790	SIPO	QR	16704351
492667	1680	1998-09-05	VYDAJ	PREVOD NA UCET	5955	39227	SIPO	QR	16704351
492668	1680	1998-10-05	VYDAJ	PREVOD NA UCET	5955	43163	SIPO	QR	16704351
492669	1680	1998-11-05	VYDAJ	PREVOD NA UCET	5955	43315	SIPO	QR	16704351
492670	1680	1998-12-05	VYDAJ	PREVOD NA UCET	5955	47181	SIPO	QR	16704351
492672	1680	1994-06-24	VYDAJ	VYBER	19700	50193	\N	\N	\N
492673	1680	1995-06-10	VYDAJ	VYBER	5500	27343	\N	\N	\N
492674	1680	1996-06-17	VYDAJ	VYBER	10900	51797	\N	\N	\N
492675	1680	1997-06-19	VYDAJ	VYBER	24600	43868	\N	\N	\N
492676	1680	1998-06-09	VYDAJ	VYBER	15000	29686	\N	\N	\N
492679	1680	1995-01-25	VYDAJ	VYBER	1300	49717	\N	\N	\N
492680	1680	1996-01-09	VYDAJ	VYBER	7800	23641	\N	\N	\N
492681	1680	1997-01-07	VYDAJ	VYBER	1800	45410	\N	\N	\N
492682	1680	1998-01-10	VYDAJ	VYBER	1200	42482	\N	\N	\N
492684	1680	1994-12-03	VYDAJ	VYBER	1500	51564	\N	\N	\N
492685	1680	1995-12-14	VYDAJ	VYBER	1900	56017	\N	\N	\N
492686	1680	1996-12-09	VYDAJ	VYBER	2500	38626	\N	\N	\N
492687	1680	1997-12-14	VYDAJ	VYBER	2600	68435	\N	\N	\N
492688	1680	1998-12-04	VYDAJ	VYBER	2700	53136	\N	\N	\N
492701	1680	1995-01-15	VYDAJ	VYBER	1200	52717	\N	\N	\N
492702	1680	1995-01-12	VYDAJ	VYBER	2700	34498	\N	\N	\N
492703	1680	1995-01-10	VYDAJ	VYBER	1900	37198	\N	\N	\N
492704	1680	1995-01-18	VYDAJ	VYBER	1700	51017	\N	\N	\N
492705	1680	1995-01-01	VYDAJ	VYBER	1400	63253	\N	\N	\N
492706	1680	1995-01-07	VYDAJ	VYBER	1300	39098	\N	\N	\N
492707	1680	1996-01-15	VYDAJ	VYBER	600	42460	\N	\N	\N
492708	1680	1996-01-06	VYDAJ	VYBER	2200	31441	\N	\N	\N
492709	1680	1996-01-05	VYDAJ	VYBER	800	33641	\N	\N	\N
492710	1680	1996-01-30	VYDAJ	VYBER	2800	33160	\N	\N	\N
492711	1680	1996-01-30	VYDAJ	VYBER	2300	30860	\N	\N	\N
492712	1680	1996-01-27	VYDAJ	VYBER	700	41760	\N	\N	\N
492713	1680	1997-01-11	VYDAJ	VYBER	2900	42510	\N	\N	\N
492714	1680	1997-01-30	VYDAJ	VYBER	2200	37429	\N	\N	\N
492715	1680	1997-01-19	VYDAJ	VYBER	900	54029	\N	\N	\N
492716	1680	1997-01-26	VYDAJ	VYBER	2300	42429	\N	\N	\N
492717	1680	1997-01-12	VYDAJ	VYBER	2400	40110	\N	\N	\N
492718	1680	1997-01-29	VYDAJ	VYBER	2800	39629	\N	\N	\N
492719	1680	1998-01-20	VYDAJ	VYBER	2500	46901	\N	\N	\N
492720	1680	1998-01-28	VYDAJ	VYBER	1000	44101	\N	\N	\N
492721	1680	1998-01-22	VYDAJ	VYBER	1800	45101	\N	\N	\N
492722	1680	1998-01-14	VYDAJ	VYBER	1900	60001	\N	\N	\N
492723	1680	1998-01-15	VYDAJ	VYBER	1300	58701	\N	\N	\N
492724	1680	1998-01-03	VYDAJ	VYBER	600	49637	\N	\N	\N
492729	1680	1994-11-07	VYDAJ	VYBER	1900	36252	\N	\N	\N
492730	1680	1994-11-20	VYDAJ	VYBER	2800	52871	\N	\N	\N
492732	1680	1994-06-27	VYDAJ	VYBER	3400	46793	\N	\N	\N
492733	1680	1994-11-01	VYDAJ	VYBER	3400	54807	\N	\N	\N
492734	1680	1995-02-10	VYDAJ	VYBER	1400	29452	\N	\N	\N
492735	1680	1995-11-18	VYDAJ	VYBER	2700	45487	\N	\N	\N
492736	1680	1995-09-15	VYDAJ	VYBER	4500	46233	\N	\N	\N
492737	1680	1996-03-19	VYDAJ	VYBER	2300	49173	\N	\N	\N
492738	1680	1997-07-21	VYDAJ	VYBER	2200	48112	\N	\N	\N
492739	1680	1997-10-31	VYDAJ	VYBER	3000	43910	\N	\N	\N
492740	1680	1997-10-16	VYDAJ	VYBER	2200	56626	\N	\N	\N
492741	1680	1997-12-21	VYDAJ	VYBER	2600	50035	\N	\N	\N
492742	1680	1997-09-27	VYDAJ	VYBER	2200	45171	\N	\N	\N
492743	1680	1997-01-17	VYDAJ	VYBER	4600	54929	\N	\N	\N
492744	1680	1998-09-08	VYDAJ	VYBER	4500	34727	\N	\N	\N
492745	1680	1998-12-14	VYDAJ	VYBER	4300	72009	\N	\N	\N
492746	1680	1998-07-19	VYDAJ	VYBER	4900	44560	\N	\N	\N
492763	1680	1994-04-30	VYDAJ	VYBER	15	62821	SLUZBY	\N	\N
492764	1680	1994-05-31	VYDAJ	VYBER	15	62320	SLUZBY	\N	\N
492765	1680	1994-06-30	VYDAJ	VYBER	15	47020	SLUZBY	\N	\N
492766	1680	1994-07-31	VYDAJ	VYBER	15	53975	SLUZBY	\N	\N
492767	1680	1994-08-31	VYDAJ	VYBER	15	58849	SLUZBY	\N	\N
492768	1680	1994-09-30	VYDAJ	VYBER	15	61232	SLUZBY	\N	\N
492769	1680	1994-10-31	VYDAJ	VYBER	15	58207	SLUZBY	\N	\N
492770	1680	1994-11-30	VYDAJ	VYBER	15	53064	SLUZBY	\N	\N
492771	1680	1994-12-31	VYDAJ	VYBER	15	64653	SLUZBY	\N	\N
492772	1680	1995-01-31	VYDAJ	VYBER	15	49907	SLUZBY	\N	\N
492773	1680	1995-02-28	VYDAJ	VYBER	15	49038	SLUZBY	\N	\N
492774	1680	1995-03-31	VYDAJ	VYBER	15	56403	SLUZBY	\N	\N
492775	1680	1995-04-30	VYDAJ	VYBER	15	52852	SLUZBY	\N	\N
492776	1680	1995-05-31	VYDAJ	VYBER	15	52498	SLUZBY	\N	\N
492777	1680	1995-06-30	VYDAJ	VYBER	15	56661	SLUZBY	\N	\N
492778	1680	1995-07-31	VYDAJ	VYBER	15	55118	SLUZBY	\N	\N
492779	1680	1995-08-31	VYDAJ	VYBER	15	53269	SLUZBY	\N	\N
492780	1680	1995-09-30	VYDAJ	VYBER	15	46398	SLUZBY	\N	\N
492781	1680	1995-10-31	VYDAJ	VYBER	15	34723	SLUZBY	\N	\N
492782	1680	1995-11-30	VYDAJ	VYBER	15	34744	SLUZBY	\N	\N
492783	1680	1995-12-31	VYDAJ	VYBER	15	40396	SLUZBY	\N	\N
492784	1680	1996-01-31	VYDAJ	VYBER	15	31001	SLUZBY	\N	\N
492785	1680	1996-02-29	VYDAJ	VYBER	15	38009	SLUZBY	\N	\N
492786	1680	1996-03-31	VYDAJ	VYBER	15	39542	SLUZBY	\N	\N
492787	1680	1996-04-30	VYDAJ	VYBER	15	39783	SLUZBY	\N	\N
492788	1680	1996-05-31	VYDAJ	VYBER	15	39524	SLUZBY	\N	\N
492789	1680	1996-06-30	VYDAJ	VYBER	15	37574	SLUZBY	\N	\N
492790	1680	1996-07-31	VYDAJ	VYBER	15	38204	SLUZBY	\N	\N
492791	1680	1996-08-31	VYDAJ	VYBER	15	41737	SLUZBY	\N	\N
492792	1680	1996-09-30	VYDAJ	VYBER	15	41881	SLUZBY	\N	\N
492793	1680	1996-10-31	VYDAJ	VYBER	15	43927	SLUZBY	\N	\N
492794	1680	1996-11-30	VYDAJ	VYBER	15	47081	SLUZBY	\N	\N
492795	1680	1996-12-31	VYDAJ	VYBER	15	53165	SLUZBY	\N	\N
492796	1680	1997-01-31	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
492797	1680	1997-02-28	VYDAJ	VYBER	15	40342	SLUZBY	\N	\N
492798	1680	1997-03-31	VYDAJ	VYBER	15	45582	SLUZBY	\N	\N
492799	1680	1997-04-30	VYDAJ	VYBER	15	46538	SLUZBY	\N	\N
492800	1680	1997-05-31	VYDAJ	VYBER	15	45295	SLUZBY	\N	\N
492801	1680	1997-06-30	VYDAJ	VYBER	15	36848	SLUZBY	\N	\N
492802	1680	1997-07-31	VYDAJ	VYBER	15	40568	SLUZBY	\N	\N
492803	1680	1997-08-31	VYDAJ	VYBER	15	47007	SLUZBY	\N	\N
492804	1680	1997-09-30	VYDAJ	VYBER	15	45362	SLUZBY	\N	\N
492805	1680	1997-10-31	VYDAJ	VYBER	15	46910	SLUZBY	\N	\N
492806	1680	1997-11-30	VYDAJ	VYBER	15	47862	SLUZBY	\N	\N
492807	1680	1997-12-31	VYDAJ	VYBER	15	50237	SLUZBY	\N	\N
492808	1680	1998-01-31	VYDAJ	VYBER	15	44282	SLUZBY	\N	\N
492809	1680	1998-02-28	VYDAJ	VYBER	15	49830	SLUZBY	\N	\N
492810	1680	1998-03-31	VYDAJ	VYBER	15	52798	SLUZBY	\N	\N
492811	1680	1998-04-30	VYDAJ	VYBER	15	52572	SLUZBY	\N	\N
492812	1680	1998-05-31	VYDAJ	VYBER	15	50641	SLUZBY	\N	\N
492813	1680	1998-06-30	VYDAJ	VYBER	15	49296	SLUZBY	\N	\N
492814	1680	1998-07-31	VYDAJ	VYBER	15	44745	SLUZBY	\N	\N
492815	1680	1998-08-31	VYDAJ	VYBER	15	45182	SLUZBY	\N	\N
492816	1680	1998-09-30	VYDAJ	VYBER	15	49118	SLUZBY	\N	\N
492817	1680	1998-10-31	VYDAJ	VYBER	15	49270	SLUZBY	\N	\N
492818	1680	1998-11-30	VYDAJ	VYBER	15	55836	SLUZBY	\N	\N
492819	1680	1994-01-09	VYDAJ	VYBER	4300	25203	\N	\N	\N
492820	1680	1994-02-08	VYDAJ	VYBER	12300	32484	\N	\N	\N
492821	1680	1994-03-10	VYDAJ	VYBER	11900	40206	\N	\N	\N
492822	1680	1994-04-09	VYDAJ	VYBER	16700	43161	\N	\N	\N
492823	1680	1994-05-09	VYDAJ	VYBER	14200	42666	\N	\N	\N
492824	1680	1994-06-08	VYDAJ	VYBER	15600	40765	\N	\N	\N
492825	1680	1994-07-08	VYDAJ	VYBER	6700	34365	\N	\N	\N
492826	1680	1994-08-07	VYDAJ	VYBER	8800	39220	\N	\N	\N
492827	1680	1994-09-06	VYDAJ	VYBER	11300	41594	\N	\N	\N
492828	1680	1994-10-06	VYDAJ	VYBER	16700	38577	\N	\N	\N
492829	1680	1994-11-05	VYDAJ	VYBER	10700	44107	\N	\N	\N
492830	1680	1994-12-05	VYDAJ	VYBER	10300	41264	\N	\N	\N
492831	1680	1995-01-04	VYDAJ	VYBER	16900	46353	\N	\N	\N
492832	1680	1995-02-03	VYDAJ	VYBER	13100	36807	\N	\N	\N
492833	1680	1995-03-05	VYDAJ	VYBER	6300	36783	\N	\N	\N
492834	1680	1995-04-04	VYDAJ	VYBER	17200	39203	\N	\N	\N
492835	1680	1995-05-04	VYDAJ	VYBER	14000	38852	\N	\N	\N
492836	1680	1995-06-03	VYDAJ	VYBER	13700	38798	\N	\N	\N
492837	1680	1995-07-03	VYDAJ	VYBER	15200	41461	\N	\N	\N
492838	1680	1995-08-02	VYDAJ	VYBER	15500	39618	\N	\N	\N
492839	1680	1995-09-01	VYDAJ	VYBER	16000	37269	\N	\N	\N
492840	1680	1995-10-01	VYDAJ	VYBER	12000	34398	\N	\N	\N
492841	1680	1995-10-31	VYDAJ	VYBER	13300	34738	\N	\N	\N
492842	1680	1995-11-30	VYDAJ	VYBER	10900	34758	\N	\N	\N
492843	1680	1995-12-30	VYDAJ	VYBER	15800	40217	\N	\N	\N
492844	1680	1996-01-29	VYDAJ	VYBER	5800	35960	\N	\N	\N
492845	1680	1996-02-28	VYDAJ	VYBER	6600	37865	\N	\N	\N
492846	1680	1996-03-29	VYDAJ	VYBER	9800	39373	\N	\N	\N
492847	1680	1996-04-28	VYDAJ	VYBER	13400	39606	\N	\N	\N
492848	1680	1996-05-28	VYDAJ	VYBER	13900	39347	\N	\N	\N
492849	1680	1996-06-27	VYDAJ	VYBER	14400	37397	\N	\N	\N
492850	1680	1996-07-27	VYDAJ	VYBER	13000	38038	\N	\N	\N
492851	1680	1996-08-26	VYDAJ	VYBER	10100	41568	\N	\N	\N
492852	1680	1996-09-25	VYDAJ	VYBER	13500	41701	\N	\N	\N
492853	1680	1996-10-25	VYDAJ	VYBER	11600	43745	\N	\N	\N
492854	1680	1996-11-24	VYDAJ	VYBER	10500	46891	\N	\N	\N
492855	1680	1996-12-24	VYDAJ	VYBER	14800	52954	\N	\N	\N
492856	1680	1997-01-23	VYDAJ	VYBER	9300	44729	\N	\N	\N
492857	1680	1997-02-22	VYDAJ	VYBER	10900	40181	\N	\N	\N
492858	1680	1997-03-24	VYDAJ	VYBER	8400	45406	\N	\N	\N
492859	1680	1997-04-23	VYDAJ	VYBER	12700	46346	\N	\N	\N
492860	1680	1997-05-23	VYDAJ	VYBER	14900	45102	\N	\N	\N
492861	1680	1997-06-22	VYDAJ	VYBER	7200	36668	\N	\N	\N
492862	1680	1997-07-22	VYDAJ	VYBER	7700	40412	\N	\N	\N
492863	1680	1997-08-21	VYDAJ	VYBER	7200	46832	\N	\N	\N
492864	1680	1997-09-20	VYDAJ	VYBER	13100	47371	\N	\N	\N
492865	1680	1997-10-20	VYDAJ	VYBER	9900	46726	\N	\N	\N
492866	1680	1997-11-19	VYDAJ	VYBER	9700	47674	\N	\N	\N
492867	1680	1997-12-19	VYDAJ	VYBER	15800	52635	\N	\N	\N
492868	1680	1998-01-18	VYDAJ	VYBER	9300	49401	\N	\N	\N
492869	1680	1998-02-17	VYDAJ	VYBER	8100	49646	\N	\N	\N
492870	1680	1998-03-19	VYDAJ	VYBER	10700	52594	\N	\N	\N
492871	1680	1998-04-18	VYDAJ	VYBER	13900	52362	\N	\N	\N
492872	1680	1998-05-18	VYDAJ	VYBER	15600	50436	\N	\N	\N
492873	1680	1998-06-17	VYDAJ	VYBER	9700	49114	\N	\N	\N
492874	1680	1998-07-17	VYDAJ	VYBER	13300	49460	\N	\N	\N
492875	1680	1998-08-16	VYDAJ	VYBER	13200	45009	\N	\N	\N
492876	1680	1998-09-15	VYDAJ	VYBER	5200	48946	\N	\N	\N
492877	1680	1998-10-15	VYDAJ	VYBER	13500	49082	\N	\N	\N
492878	1680	1998-11-14	VYDAJ	VYBER	7100	55634	\N	\N	\N
492940	1681	1997-07-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
492947	1681	1997-07-12	PRIJEM	VKLAD	22620	23720	\N	\N	\N
492948	1681	1997-08-12	PRIJEM	VKLAD	22620	47904	\N	\N	\N
492949	1681	1997-09-12	PRIJEM	VKLAD	22620	57788	\N	\N	\N
492950	1681	1997-10-12	PRIJEM	VKLAD	22620	61533	\N	\N	\N
492951	1681	1997-11-12	PRIJEM	VKLAD	22620	66004	\N	\N	\N
492952	1681	1997-12-12	PRIJEM	VKLAD	33930	75180	\N	\N	\N
492953	1681	1998-01-12	PRIJEM	VKLAD	22620	60853	\N	\N	\N
492954	1681	1998-02-12	PRIJEM	VKLAD	22620	51691	\N	\N	\N
492955	1681	1998-03-12	PRIJEM	VKLAD	22620	51687	\N	\N	\N
492956	1681	1998-04-12	PRIJEM	VKLAD	22620	51079	\N	\N	\N
492957	1681	1998-05-12	PRIJEM	VKLAD	22620	49969	\N	\N	\N
492958	1681	1998-06-12	PRIJEM	VKLAD	33930	62063	\N	\N	\N
492959	1681	1998-07-12	PRIJEM	VKLAD	22620	54279	\N	\N	\N
492960	1681	1998-08-12	PRIJEM	VKLAD	22620	54689	\N	\N	\N
492961	1681	1998-09-12	PRIJEM	VKLAD	22620	53993	\N	\N	\N
492962	1681	1998-10-12	PRIJEM	VKLAD	22620	56495	\N	\N	\N
492963	1681	1998-11-12	PRIJEM	VKLAD	22620	55904	\N	\N	\N
492964	1681	1998-12-12	PRIJEM	VKLAD	33930	69116	\N	\N	\N
492975	1681	1997-11-14	VYDAJ	PREVOD NA UCET	8550	57448	SIPO	UV	8172750
492976	1681	1997-12-14	VYDAJ	PREVOD NA UCET	8550	66624	SIPO	UV	8172750
492977	1681	1998-01-14	VYDAJ	PREVOD NA UCET	8550	51597	SIPO	UV	8172750
492978	1681	1998-02-14	VYDAJ	PREVOD NA UCET	8550	43135	SIPO	UV	8172750
492979	1681	1998-03-14	VYDAJ	PREVOD NA UCET	8550	43131	SIPO	UV	8172750
492980	1681	1998-04-14	VYDAJ	PREVOD NA UCET	8550	42523	SIPO	UV	8172750
492981	1681	1998-05-14	VYDAJ	PREVOD NA UCET	8550	41413	SIPO	UV	8172750
492982	1681	1998-06-14	VYDAJ	PREVOD NA UCET	8550	53507	SIPO	UV	8172750
492983	1681	1998-07-14	VYDAJ	PREVOD NA UCET	8550	45723	SIPO	UV	8172750
492984	1681	1998-08-14	VYDAJ	PREVOD NA UCET	8550	46133	SIPO	UV	8172750
492985	1681	1998-09-14	VYDAJ	PREVOD NA UCET	8550	45437	SIPO	UV	8172750
492986	1681	1998-10-14	VYDAJ	PREVOD NA UCET	8550	47939	SIPO	UV	8172750
492987	1681	1998-11-14	VYDAJ	PREVOD NA UCET	8550	47348	SIPO	UV	8172750
492988	1681	1998-12-14	VYDAJ	PREVOD NA UCET	8550	60560	SIPO	UV	8172750
492999	1681	1997-11-13	VYDAJ	PREVOD NA UCET	6	65998	 	AB	76300596
493000	1681	1997-12-13	VYDAJ	PREVOD NA UCET	6	75174	 	AB	76300596
493001	1681	1998-01-13	VYDAJ	PREVOD NA UCET	6	60847	 	AB	76300596
493002	1681	1998-02-13	VYDAJ	PREVOD NA UCET	6	51685	 	AB	76300596
493003	1681	1998-03-13	VYDAJ	PREVOD NA UCET	6	51681	 	AB	76300596
493004	1681	1998-04-13	VYDAJ	PREVOD NA UCET	6	51073	 	AB	76300596
493005	1681	1998-05-13	VYDAJ	PREVOD NA UCET	6	49963	 	AB	76300596
493006	1681	1998-06-13	VYDAJ	PREVOD NA UCET	6	62057	 	AB	76300596
493007	1681	1998-07-13	VYDAJ	PREVOD NA UCET	6	54273	 	AB	76300596
493008	1681	1998-08-13	VYDAJ	PREVOD NA UCET	6	54683	 	AB	76300596
493009	1681	1998-09-13	VYDAJ	PREVOD NA UCET	6	53987	 	AB	76300596
493010	1681	1998-10-13	VYDAJ	PREVOD NA UCET	6	56489	 	AB	76300596
493011	1681	1998-11-13	VYDAJ	PREVOD NA UCET	6	55898	 	AB	76300596
493012	1681	1998-12-13	VYDAJ	PREVOD NA UCET	6	69110	 	AB	76300596
493024	1681	1997-12-08	VYDAJ	PREVOD NA UCET	1032	56650	POJISTNE	YZ	66121870
493025	1681	1998-01-08	VYDAJ	PREVOD NA UCET	1032	38233	POJISTNE	YZ	66121870
493026	1681	1998-02-08	VYDAJ	PREVOD NA UCET	1032	29071	POJISTNE	YZ	66121870
493027	1681	1998-03-08	VYDAJ	PREVOD NA UCET	1032	40167	POJISTNE	YZ	66121870
493028	1681	1998-04-08	VYDAJ	PREVOD NA UCET	1032	28459	POJISTNE	YZ	66121870
493029	1681	1998-05-08	VYDAJ	PREVOD NA UCET	1032	27349	POJISTNE	YZ	66121870
493030	1681	1998-06-08	VYDAJ	PREVOD NA UCET	1032	28133	POJISTNE	YZ	66121870
493031	1681	1998-07-08	VYDAJ	PREVOD NA UCET	1032	31659	POJISTNE	YZ	66121870
493032	1681	1998-08-08	VYDAJ	PREVOD NA UCET	1032	32069	POJISTNE	YZ	66121870
493033	1681	1998-09-08	VYDAJ	PREVOD NA UCET	1032	31373	POJISTNE	YZ	66121870
493034	1681	1998-10-08	VYDAJ	PREVOD NA UCET	1032	33875	POJISTNE	YZ	66121870
493035	1681	1998-11-08	VYDAJ	PREVOD NA UCET	1032	33284	POJISTNE	YZ	66121870
493036	1681	1998-12-08	VYDAJ	PREVOD NA UCET	1032	35186	POJISTNE	YZ	66121870
493037	1681	1997-12-21	VYDAJ	VYBER	1400	65224	\N	\N	\N
493038	1681	1998-12-20	VYDAJ	VYBER	500	60060	\N	\N	\N
493045	1681	1998-01-20	VYDAJ	VYBER	1100	49997	\N	\N	\N
493046	1681	1998-01-07	VYDAJ	VYBER	1900	59565	\N	\N	\N
493047	1681	1998-01-20	VYDAJ	VYBER	500	51097	\N	\N	\N
493048	1681	1998-01-14	VYDAJ	VYBER	700	60147	\N	\N	\N
493049	1681	1998-01-03	VYDAJ	VYBER	700	64765	\N	\N	\N
493050	1681	1998-01-21	VYDAJ	VYBER	2300	47697	\N	\N	\N
493056	1681	1998-12-21	VYDAJ	VYBER	4800	55260	\N	\N	\N
493057	1681	1998-11-03	VYDAJ	VYBER	4600	43516	\N	\N	\N
493058	1681	1998-01-07	VYDAJ	VYBER	3300	61465	\N	\N	\N
493059	1681	1998-05-06	VYDAJ	VYBER	3600	39081	\N	\N	\N
493060	1681	1998-12-06	VYDAJ	VYBER	2500	36218	\N	\N	\N
493061	1681	1998-03-08	VYDAJ	VYBER	2100	41199	\N	\N	\N
493062	1681	1998-11-15	VYDAJ	VYBER	2200	45148	\N	\N	\N
493074	1681	1997-11-30	VYDAJ	VYBER	15	57682	SLUZBY	\N	\N
493075	1681	1997-12-31	VYDAJ	VYBER	15	65465	SLUZBY	\N	\N
493076	1681	1998-01-31	VYDAJ	VYBER	15	47903	SLUZBY	\N	\N
493077	1681	1998-02-28	VYDAJ	VYBER	15	43299	SLUZBY	\N	\N
493078	1681	1998-03-31	VYDAJ	VYBER	15	43291	SLUZBY	\N	\N
493079	1681	1998-04-30	VYDAJ	VYBER	15	42681	SLUZBY	\N	\N
493080	1681	1998-05-31	VYDAJ	VYBER	15	41565	SLUZBY	\N	\N
493081	1681	1998-06-30	VYDAJ	VYBER	15	53691	SLUZBY	\N	\N
493082	1681	1998-07-31	VYDAJ	VYBER	15	45901	SLUZBY	\N	\N
493083	1681	1998-08-31	VYDAJ	VYBER	15	46305	SLUZBY	\N	\N
493084	1681	1998-09-30	VYDAJ	VYBER	15	45607	SLUZBY	\N	\N
493085	1681	1998-10-31	VYDAJ	VYBER	15	48116	SLUZBY	\N	\N
493086	1681	1998-11-30	VYDAJ	VYBER	15	45318	SLUZBY	\N	\N
493087	1681	1997-08-10	PRIJEM	VKLAD	1500	25284	\N	\N	\N
493088	1681	1997-09-09	VYDAJ	VYBER	12900	35168	\N	\N	\N
493089	1681	1997-10-09	VYDAJ	VYBER	19100	38913	\N	\N	\N
493090	1681	1997-11-08	VYDAJ	VYBER	18400	43384	\N	\N	\N
493091	1681	1997-12-08	VYDAJ	VYBER	15400	41250	\N	\N	\N
493092	1681	1998-01-07	VYDAJ	VYBER	20300	39265	\N	\N	\N
493093	1681	1998-02-06	VYDAJ	VYBER	17800	30103	\N	\N	\N
493094	1681	1998-03-08	VYDAJ	VYBER	11100	29067	\N	\N	\N
493095	1681	1998-04-07	VYDAJ	VYBER	13800	29491	\N	\N	\N
493096	1681	1998-05-07	VYDAJ	VYBER	10700	28381	\N	\N	\N
493097	1681	1998-06-06	VYDAJ	VYBER	12400	29165	\N	\N	\N
493098	1681	1998-07-06	VYDAJ	VYBER	21000	32691	\N	\N	\N
493099	1681	1998-08-05	VYDAJ	VYBER	12800	33101	\N	\N	\N
493100	1681	1998-09-04	VYDAJ	VYBER	13900	32405	\N	\N	\N
493101	1681	1998-10-04	VYDAJ	VYBER	10700	34907	\N	\N	\N
493102	1681	1998-11-03	VYDAJ	VYBER	9200	34316	\N	\N	\N
493103	1681	1998-12-03	VYDAJ	VYBER	6600	38718	\N	\N	\N
493122	1682	1995-12-22	PRIJEM	VKLAD	900	900	\N	\N	\N
493125	1682	1996-10-30	PRIJEM	VKLAD	17155	42551	\N	\N	\N
493126	1682	1996-12-11	PRIJEM	VKLAD	24859	52051	\N	\N	\N
493127	1682	1997-07-21	PRIJEM	VKLAD	26851	78956	\N	\N	\N
493128	1682	1997-06-21	PRIJEM	VKLAD	38645	71438	\N	\N	\N
493129	1682	1998-05-13	PRIJEM	VKLAD	17637	60015	\N	\N	\N
493130	1682	1998-08-03	PRIJEM	VKLAD	4121	48803	\N	\N	\N
493143	1682	1996-01-17	PRIJEM	VKLAD	1700	2600	\N	\N	\N
493144	1682	1996-02-14	PRIJEM	VKLAD	1700	15020	\N	\N	\N
493145	1682	1996-03-17	PRIJEM	VKLAD	1700	19582	\N	\N	\N
493146	1682	1996-04-15	PRIJEM	VKLAD	1700	21859	\N	\N	\N
493147	1682	1996-05-16	PRIJEM	VKLAD	1700	21743	\N	\N	\N
493148	1682	1996-06-14	PRIJEM	VKLAD	1700	24315	\N	\N	\N
493149	1682	1996-07-17	PRIJEM	VKLAD	1700	22192	\N	\N	\N
493150	1682	1996-08-14	PRIJEM	VKLAD	1700	24368	\N	\N	\N
493151	1682	1996-09-16	PRIJEM	VKLAD	1700	25801	\N	\N	\N
493152	1682	1996-10-17	PRIJEM	VKLAD	1700	29896	\N	\N	\N
493153	1682	1996-11-14	PRIJEM	VKLAD	1700	43052	\N	\N	\N
493154	1682	1996-12-16	PRIJEM	VKLAD	1700	53751	\N	\N	\N
493155	1682	1997-01-14	PRIJEM	VKLAD	1700	28999	\N	\N	\N
493156	1682	1997-02-17	PRIJEM	VKLAD	1700	30915	\N	\N	\N
493157	1682	1997-03-13	PRIJEM	VKLAD	1700	32719	\N	\N	\N
493158	1682	1997-04-16	PRIJEM	VKLAD	1700	30078	\N	\N	\N
493159	1682	1997-05-14	PRIJEM	VKLAD	1700	31886	\N	\N	\N
493160	1682	1997-06-17	PRIJEM	VKLAD	1700	32793	\N	\N	\N
493161	1682	1997-07-13	PRIJEM	VKLAD	1700	73305	\N	\N	\N
493162	1682	1997-08-14	PRIJEM	VKLAD	1700	53232	\N	\N	\N
493163	1682	1997-09-15	PRIJEM	VKLAD	1700	42880	\N	\N	\N
493164	1682	1997-10-16	PRIJEM	VKLAD	1700	41461	\N	\N	\N
493165	1682	1997-11-13	PRIJEM	VKLAD	1700	38264	\N	\N	\N
493166	1682	1997-12-16	PRIJEM	VKLAD	1700	41709	\N	\N	\N
493167	1682	1998-01-16	PRIJEM	VKLAD	1700	39058	\N	\N	\N
493168	1682	1998-02-16	PRIJEM	VKLAD	1700	37355	\N	\N	\N
493169	1682	1998-03-16	PRIJEM	VKLAD	1700	36495	\N	\N	\N
493170	1682	1998-04-14	PRIJEM	VKLAD	1700	39733	\N	\N	\N
493171	1682	1998-05-13	PRIJEM	VKLAD	1700	61715	\N	\N	\N
493172	1682	1998-06-16	PRIJEM	VKLAD	1700	45718	\N	\N	\N
493173	1682	1998-07-16	PRIJEM	VKLAD	1700	44509	\N	\N	\N
493174	1682	1998-08-16	PRIJEM	VKLAD	1700	49503	\N	\N	\N
493175	1682	1998-09-14	PRIJEM	VKLAD	1700	44236	\N	\N	\N
493176	1682	1998-10-14	PRIJEM	VKLAD	1700	41614	\N	\N	\N
493177	1682	1998-11-16	PRIJEM	VKLAD	1700	43475	\N	\N	\N
493178	1682	1998-12-16	PRIJEM	VKLAD	1700	38633	\N	\N	\N
493182	1682	1998-06-04	VYDAJ	VYBER	20400	40318	\N	\N	\N
493185	1682	1997-01-09	VYDAJ	VYBER	7700	30399	\N	\N	\N
493186	1682	1998-01-29	VYDAJ	VYBER	1300	36608	\N	\N	\N
493188	1682	1996-12-04	VYDAJ	VYBER	2800	28692	\N	\N	\N
493189	1682	1997-12-02	VYDAJ	VYBER	2100	36309	\N	\N	\N
493190	1682	1998-12-14	VYDAJ	VYBER	1000	36933	\N	\N	\N
493203	1682	1997-01-11	VYDAJ	VYBER	1050	29349	\N	\N	\N
493204	1682	1997-01-30	VYDAJ	VYBER	1400	26499	\N	\N	\N
493205	1682	1997-01-17	VYDAJ	VYBER	850	28649	\N	\N	\N
493206	1682	1997-01-25	VYDAJ	VYBER	750	27899	\N	\N	\N
493207	1682	1997-01-12	VYDAJ	VYBER	1300	28049	\N	\N	\N
493208	1682	1997-01-13	VYDAJ	VYBER	750	27299	\N	\N	\N
493209	1682	1998-01-09	VYDAJ	VYBER	850	38058	\N	\N	\N
493210	1682	1998-01-28	VYDAJ	VYBER	650	37908	\N	\N	\N
493211	1682	1998-01-26	VYDAJ	VYBER	500	38558	\N	\N	\N
493212	1682	1998-01-15	VYDAJ	VYBER	1450	37358	\N	\N	\N
493213	1682	1998-01-14	VYDAJ	VYBER	750	38808	\N	\N	\N
493214	1682	1998-01-04	VYDAJ	VYBER	1100	38908	\N	\N	\N
493221	1682	1996-06-17	VYDAJ	VYBER	1100	23215	\N	\N	\N
493222	1682	1996-07-16	VYDAJ	VYBER	300	20492	\N	\N	\N
493223	1682	1996-11-04	VYDAJ	VYBER	1300	41352	\N	\N	\N
493224	1682	1996-09-08	VYDAJ	VYBER	450	24101	\N	\N	\N
493225	1682	1996-12-08	VYDAJ	VYBER	1500	27192	\N	\N	\N
493226	1682	1997-10-19	VYDAJ	VYBER	1950	39511	\N	\N	\N
493227	1682	1997-08-04	VYDAJ	VYBER	2200	77032	\N	\N	\N
493228	1682	1997-03-31	VYDAJ	VYBER	2450	25978	\N	\N	\N
493229	1682	1997-08-23	VYDAJ	VYBER	900	52332	\N	\N	\N
493230	1682	1997-01-05	VYDAJ	VYBER	2300	38099	\N	\N	\N
493231	1682	1997-12-16	VYDAJ	VYBER	1850	39859	\N	\N	\N
493232	1682	1997-10-30	VYDAJ	VYBER	1100	38411	\N	\N	\N
493233	1682	1997-09-26	VYDAJ	VYBER	2300	40580	\N	\N	\N
493234	1682	1998-11-28	VYDAJ	VYBER	2200	41275	\N	\N	\N
493235	1682	1998-05-20	VYDAJ	VYBER	1200	60515	\N	\N	\N
493236	1682	1998-09-14	VYDAJ	VYBER	900	43336	\N	\N	\N
493237	1682	1998-03-15	VYDAJ	VYBER	800	34795	\N	\N	\N
493238	1682	1998-08-18	VYDAJ	VYBER	550	48953	\N	\N	\N
493256	1682	1996-05-31	VYDAJ	VYBER	15	22615	SLUZBY	\N	\N
493257	1682	1996-06-30	VYDAJ	VYBER	15	20792	SLUZBY	\N	\N
493258	1682	1996-07-31	VYDAJ	VYBER	15	22668	SLUZBY	\N	\N
493259	1682	1996-08-31	VYDAJ	VYBER	15	24551	SLUZBY	\N	\N
493260	1682	1996-09-30	VYDAJ	VYBER	15	28196	SLUZBY	\N	\N
493261	1682	1996-10-31	VYDAJ	VYBER	15	42652	SLUZBY	\N	\N
493262	1682	1996-11-30	VYDAJ	VYBER	15	31492	SLUZBY	\N	\N
493263	1682	1996-12-31	VYDAJ	VYBER	15	40399	SLUZBY	\N	\N
493264	1682	1997-01-31	VYDAJ	VYBER	15	26615	SLUZBY	\N	\N
493265	1682	1997-02-28	VYDAJ	VYBER	15	31019	SLUZBY	\N	\N
493266	1682	1997-03-31	VYDAJ	VYBER	15	28428	SLUZBY	\N	\N
493267	1682	1997-04-30	VYDAJ	VYBER	15	30186	SLUZBY	\N	\N
493268	1682	1997-05-31	VYDAJ	VYBER	15	28793	SLUZBY	\N	\N
493269	1682	1997-06-30	VYDAJ	VYBER	15	71605	SLUZBY	\N	\N
493270	1682	1997-07-31	VYDAJ	VYBER	15	79232	SLUZBY	\N	\N
493271	1682	1997-08-31	VYDAJ	VYBER	15	52580	SLUZBY	\N	\N
493272	1682	1997-09-30	VYDAJ	VYBER	15	40761	SLUZBY	\N	\N
493273	1682	1997-10-31	VYDAJ	VYBER	15	38564	SLUZBY	\N	\N
493274	1682	1997-11-30	VYDAJ	VYBER	15	38409	SLUZBY	\N	\N
493275	1682	1997-12-31	VYDAJ	VYBER	15	40008	SLUZBY	\N	\N
493276	1682	1998-01-31	VYDAJ	VYBER	15	36755	SLUZBY	\N	\N
493277	1682	1998-02-28	VYDAJ	VYBER	15	37495	SLUZBY	\N	\N
493278	1682	1998-03-31	VYDAJ	VYBER	15	36633	SLUZBY	\N	\N
493279	1682	1998-04-30	VYDAJ	VYBER	15	39878	SLUZBY	\N	\N
493280	1682	1998-05-31	VYDAJ	VYBER	15	60718	SLUZBY	\N	\N
493281	1682	1998-06-30	VYDAJ	VYBER	15	45909	SLUZBY	\N	\N
493282	1682	1998-07-31	VYDAJ	VYBER	15	44682	SLUZBY	\N	\N
493283	1682	1998-08-31	VYDAJ	VYBER	15	49136	SLUZBY	\N	\N
493284	1682	1998-09-30	VYDAJ	VYBER	15	43514	SLUZBY	\N	\N
493285	1682	1998-10-31	VYDAJ	VYBER	15	41775	SLUZBY	\N	\N
493286	1682	1998-11-30	VYDAJ	VYBER	15	41433	SLUZBY	\N	\N
493287	1682	1996-01-21	PRIJEM	VKLAD	10700	13300	\N	\N	\N
493288	1682	1996-02-20	PRIJEM	VKLAD	2800	17820	\N	\N	\N
493289	1682	1996-03-21	PRIJEM	VKLAD	500	20082	\N	\N	\N
493290	1682	1996-04-20	VYDAJ	VYBER	1900	19959	\N	\N	\N
493291	1682	1996-05-20	PRIJEM	VKLAD	800	22543	\N	\N	\N
493292	1682	1996-06-19	VYDAJ	VYBER	2500	20715	\N	\N	\N
493293	1682	1996-07-19	PRIJEM	VKLAD	400	22592	\N	\N	\N
493294	1682	1996-08-18	PRIJEM	VKLAD	100	24468	\N	\N	\N
493295	1682	1996-09-17	PRIJEM	VKLAD	2300	28101	\N	\N	\N
493296	1682	1996-10-17	VYDAJ	VYBER	4500	25396	\N	\N	\N
493297	1682	1996-11-16	VYDAJ	VYBER	11700	31352	\N	\N	\N
493298	1682	1996-12-16	VYDAJ	VYBER	13500	40251	\N	\N	\N
493299	1682	1997-01-15	PRIJEM	VKLAD	500	29499	\N	\N	\N
493300	1682	1997-02-14	PRIJEM	VKLAD	2600	29215	\N	\N	\N
493301	1682	1997-03-16	VYDAJ	VYBER	4400	28319	\N	\N	\N
493302	1682	1997-04-15	PRIJEM	VKLAD	2400	28378	\N	\N	\N
493303	1682	1997-05-15	VYDAJ	VYBER	3200	28686	\N	\N	\N
493304	1682	1997-06-14	PRIJEM	VKLAD	2300	31093	\N	\N	\N
493305	1682	1997-07-14	VYDAJ	VYBER	21200	52105	\N	\N	\N
493306	1682	1997-08-13	VYDAJ	VYBER	25500	51532	\N	\N	\N
493307	1682	1997-09-12	VYDAJ	VYBER	11400	41180	\N	\N	\N
493308	1682	1997-10-12	VYDAJ	VYBER	1000	39761	\N	\N	\N
493309	1682	1997-11-11	VYDAJ	VYBER	2000	36564	\N	\N	\N
493310	1682	1997-12-11	PRIJEM	VKLAD	3700	40009	\N	\N	\N
493311	1682	1998-01-10	PRIJEM	VKLAD	1500	39558	\N	\N	\N
493312	1682	1998-02-09	VYDAJ	VYBER	1100	35655	\N	\N	\N
493313	1682	1998-03-11	VYDAJ	VYBER	1900	35595	\N	\N	\N
493314	1682	1998-04-10	PRIJEM	VKLAD	1400	38033	\N	\N	\N
493315	1682	1998-05-10	PRIJEM	VKLAD	2500	42378	\N	\N	\N
493316	1682	1998-06-09	PRIJEM	VKLAD	3700	44018	\N	\N	\N
493317	1682	1998-07-09	VYDAJ	VYBER	3100	42809	\N	\N	\N
493318	1682	1998-08-08	VYDAJ	VYBER	1000	47803	\N	\N	\N
493319	1682	1998-09-07	VYDAJ	VYBER	6600	42536	\N	\N	\N
493320	1682	1998-10-07	VYDAJ	VYBER	3600	39914	\N	\N	\N
493321	1682	1998-12-06	VYDAJ	VYBER	3500	37933	\N	\N	\N
493358	1683	1996-11-01	PRIJEM	VKLAD	900	900	\N	\N	\N
493369	1683	1996-11-08	PRIJEM	VKLAD	10134	11034	\N	\N	\N
493370	1683	1996-12-08	PRIJEM	VKLAD	15201	33070	\N	\N	\N
493371	1683	1997-01-08	PRIJEM	VKLAD	10134	42021	\N	\N	\N
493372	1683	1997-02-08	PRIJEM	VKLAD	10134	44289	\N	\N	\N
493373	1683	1997-03-08	PRIJEM	VKLAD	10134	44464	\N	\N	\N
493374	1683	1997-04-08	PRIJEM	VKLAD	10134	41027	\N	\N	\N
493375	1683	1997-05-08	PRIJEM	VKLAD	10134	42181	\N	\N	\N
493376	1683	1997-06-08	PRIJEM	VKLAD	15201	46147	\N	\N	\N
493377	1683	1997-07-08	PRIJEM	VKLAD	10134	27594	\N	\N	\N
493378	1683	1997-08-08	PRIJEM	VKLAD	10134	34792	\N	\N	\N
493379	1683	1997-09-08	PRIJEM	VKLAD	10134	33277	\N	\N	\N
493380	1683	1997-10-08	PRIJEM	VKLAD	10134	37499	\N	\N	\N
493381	1683	1997-11-08	PRIJEM	VKLAD	10134	38334	\N	\N	\N
493382	1683	1997-12-08	PRIJEM	VKLAD	15201	43042	\N	\N	\N
493383	1683	1998-01-08	PRIJEM	VKLAD	10134	36848	\N	\N	\N
493384	1683	1998-02-08	PRIJEM	VKLAD	10134	23497	\N	\N	\N
493385	1683	1998-03-08	PRIJEM	VKLAD	10134	30378	\N	\N	\N
493386	1683	1998-04-08	PRIJEM	VKLAD	10134	28504	\N	\N	\N
493387	1683	1998-05-08	PRIJEM	VKLAD	10134	27736	\N	\N	\N
493388	1683	1998-06-08	PRIJEM	VKLAD	15201	33698	\N	\N	\N
493389	1683	1998-07-08	PRIJEM	VKLAD	10134	20290	\N	\N	\N
493390	1683	1998-08-08	PRIJEM	VKLAD	10134	25357	\N	\N	\N
493391	1683	1998-09-08	PRIJEM	VKLAD	10134	30238	\N	\N	\N
493392	1683	1998-10-08	PRIJEM	VKLAD	10134	37950	\N	\N	\N
493393	1683	1998-11-08	PRIJEM	VKLAD	10134	35981	\N	\N	\N
493394	1683	1998-12-08	PRIJEM	VKLAD	15201	40056	\N	\N	\N
493409	1683	1997-03-11	VYDAJ	PREVOD NA UCET	1342	42777	SIPO	WX	63649123
493410	1683	1997-04-11	VYDAJ	PREVOD NA UCET	1342	39685	SIPO	WX	63649123
493411	1683	1997-05-11	VYDAJ	PREVOD NA UCET	1342	40839	SIPO	WX	63649123
493412	1683	1997-06-11	VYDAJ	PREVOD NA UCET	1342	15820	SIPO	WX	63649123
493413	1683	1997-07-11	VYDAJ	PREVOD NA UCET	1342	25907	SIPO	WX	63649123
493414	1683	1997-08-11	VYDAJ	PREVOD NA UCET	1342	33105	SIPO	WX	63649123
493415	1683	1997-09-11	VYDAJ	PREVOD NA UCET	1342	31935	SIPO	WX	63649123
493416	1683	1997-10-11	VYDAJ	PREVOD NA UCET	1342	36157	SIPO	WX	63649123
493417	1683	1997-11-11	VYDAJ	PREVOD NA UCET	1342	36647	SIPO	WX	63649123
493418	1683	1997-12-11	VYDAJ	PREVOD NA UCET	1342	41700	SIPO	WX	63649123
493419	1683	1998-01-11	VYDAJ	PREVOD NA UCET	1342	35506	SIPO	WX	63649123
493420	1683	1998-02-11	VYDAJ	PREVOD NA UCET	1342	21810	SIPO	WX	63649123
493421	1683	1998-03-11	VYDAJ	PREVOD NA UCET	1342	28691	SIPO	WX	63649123
493422	1683	1998-04-11	VYDAJ	PREVOD NA UCET	1342	26817	SIPO	WX	63649123
493423	1683	1998-05-11	VYDAJ	PREVOD NA UCET	1342	26049	SIPO	WX	63649123
493424	1683	1998-06-11	VYDAJ	PREVOD NA UCET	1342	32356	SIPO	WX	63649123
493425	1683	1998-07-11	VYDAJ	PREVOD NA UCET	1342	18603	SIPO	WX	63649123
493426	1683	1998-08-11	VYDAJ	PREVOD NA UCET	1342	18870	SIPO	WX	63649123
493427	1683	1998-09-11	VYDAJ	PREVOD NA UCET	1342	28551	SIPO	WX	63649123
493428	1683	1998-10-11	VYDAJ	PREVOD NA UCET	1342	36608	SIPO	WX	63649123
493429	1683	1998-11-11	VYDAJ	PREVOD NA UCET	1342	34639	SIPO	WX	63649123
493430	1683	1998-12-11	VYDAJ	PREVOD NA UCET	1342	38714	SIPO	WX	63649123
493446	1683	1997-04-05	VYDAJ	PREVOD NA UCET	3239	30893	 	UV	73280399
493447	1683	1997-05-05	VYDAJ	PREVOD NA UCET	3239	32047	 	UV	73280399
493448	1683	1997-06-05	VYDAJ	PREVOD NA UCET	3239	30946	 	UV	73280399
493449	1683	1997-07-05	VYDAJ	PREVOD NA UCET	3239	17460	 	UV	73280399
493450	1683	1997-08-05	VYDAJ	PREVOD NA UCET	3239	24658	 	UV	73280399
493451	1683	1997-09-05	VYDAJ	PREVOD NA UCET	3239	23143	 	UV	73280399
493452	1683	1997-10-05	VYDAJ	PREVOD NA UCET	3239	27365	 	UV	73280399
493453	1683	1997-11-05	VYDAJ	PREVOD NA UCET	3239	28200	 	UV	73280399
493454	1683	1997-12-05	VYDAJ	PREVOD NA UCET	3239	27841	 	UV	73280399
493455	1683	1998-01-05	VYDAJ	PREVOD NA UCET	3239	26714	 	UV	73280399
493456	1683	1998-02-05	VYDAJ	PREVOD NA UCET	3239	13363	 	UV	73280399
493457	1683	1998-03-05	VYDAJ	PREVOD NA UCET	3239	20244	 	UV	73280399
493458	1683	1998-04-05	VYDAJ	PREVOD NA UCET	3239	18370	 	UV	73280399
493459	1683	1998-05-05	VYDAJ	PREVOD NA UCET	3239	17602	 	UV	73280399
493460	1683	1998-06-05	VYDAJ	PREVOD NA UCET	3239	18497	 	UV	73280399
493461	1683	1998-07-05	VYDAJ	PREVOD NA UCET	3239	10156	 	UV	73280399
493462	1683	1998-08-05	VYDAJ	PREVOD NA UCET	3239	15223	 	UV	73280399
493463	1683	1998-09-05	VYDAJ	PREVOD NA UCET	3239	20104	 	UV	73280399
493464	1683	1998-10-05	VYDAJ	PREVOD NA UCET	3239	27816	 	UV	73280399
493465	1683	1998-11-05	VYDAJ	PREVOD NA UCET	3239	25847	 	UV	73280399
493466	1683	1998-12-05	VYDAJ	PREVOD NA UCET	3239	29175	 	UV	73280399
493481	1683	1997-03-11	VYDAJ	PREVOD NA UCET	345	44119	POJISTNE	MN	25822711
493482	1683	1997-04-11	VYDAJ	PREVOD NA UCET	345	39340	POJISTNE	MN	25822711
493483	1683	1997-05-11	VYDAJ	PREVOD NA UCET	345	40494	POJISTNE	MN	25822711
493484	1683	1997-06-11	VYDAJ	PREVOD NA UCET	345	17162	POJISTNE	MN	25822711
493485	1683	1997-07-11	VYDAJ	PREVOD NA UCET	345	27249	POJISTNE	MN	25822711
493486	1683	1997-08-11	VYDAJ	PREVOD NA UCET	345	34447	POJISTNE	MN	25822711
493487	1683	1997-09-11	VYDAJ	PREVOD NA UCET	345	31590	POJISTNE	MN	25822711
493488	1683	1997-10-11	VYDAJ	PREVOD NA UCET	345	35812	POJISTNE	MN	25822711
493489	1683	1997-11-11	VYDAJ	PREVOD NA UCET	345	37989	POJISTNE	MN	25822711
493490	1683	1997-12-11	VYDAJ	PREVOD NA UCET	345	41355	POJISTNE	MN	25822711
493491	1683	1998-01-11	VYDAJ	PREVOD NA UCET	345	35161	POJISTNE	MN	25822711
493492	1683	1998-02-11	VYDAJ	PREVOD NA UCET	345	23152	POJISTNE	MN	25822711
493493	1683	1998-03-11	VYDAJ	PREVOD NA UCET	345	30033	POJISTNE	MN	25822711
493494	1683	1998-04-11	VYDAJ	PREVOD NA UCET	345	28159	POJISTNE	MN	25822711
493495	1683	1998-05-11	VYDAJ	PREVOD NA UCET	345	27391	POJISTNE	MN	25822711
493496	1683	1998-06-11	VYDAJ	PREVOD NA UCET	345	32011	POJISTNE	MN	25822711
493497	1683	1998-07-11	VYDAJ	PREVOD NA UCET	345	19945	POJISTNE	MN	25822711
493498	1683	1998-08-11	VYDAJ	PREVOD NA UCET	345	20212	POJISTNE	MN	25822711
493499	1683	1998-09-11	VYDAJ	PREVOD NA UCET	345	29893	POJISTNE	MN	25822711
493500	1683	1998-10-11	VYDAJ	PREVOD NA UCET	345	36263	POJISTNE	MN	25822711
493501	1683	1998-11-11	VYDAJ	PREVOD NA UCET	345	34294	POJISTNE	MN	25822711
493502	1683	1998-12-11	VYDAJ	PREVOD NA UCET	345	38369	POJISTNE	MN	25822711
493504	1683	1997-06-10	VYDAJ	VYBER	28640	17507	\N	\N	\N
493505	1683	1998-06-12	VYDAJ	VYBER	18080	13931	\N	\N	\N
493508	1683	1998-01-12	VYDAJ	VYBER	13280	21881	\N	\N	\N
493510	1683	1997-12-12	VYDAJ	VYBER	1440	39915	\N	\N	\N
493511	1683	1998-12-07	VYDAJ	VYBER	4320	24855	\N	\N	\N
493524	1683	1998-01-03	VYDAJ	VYBER	2400	29953	\N	\N	\N
493526	1683	1998-01-29	VYDAJ	VYBER	2280	16521	\N	\N	\N
493527	1683	1998-01-16	VYDAJ	VYBER	1320	20561	\N	\N	\N
493528	1683	1998-01-17	VYDAJ	VYBER	3000	17561	\N	\N	\N
493529	1683	1998-01-18	VYDAJ	VYBER	2160	15401	\N	\N	\N
493535	1683	1997-05-28	VYDAJ	VYBER	4920	34134	\N	\N	\N
493538	1683	1997-09-04	VYDAJ	VYBER	3840	26382	\N	\N	\N
493539	1683	1997-05-27	VYDAJ	VYBER	1440	39054	\N	\N	\N
493540	1683	1998-08-08	VYDAJ	VYBER	4800	20557	\N	\N	\N
493542	1683	1998-04-12	VYDAJ	VYBER	2280	24537	\N	\N	\N
493543	1683	1998-07-04	VYDAJ	VYBER	3000	13395	\N	\N	\N
493544	1683	1998-04-26	VYDAJ	VYBER	4680	20757	\N	\N	\N
493545	1683	1998-03-30	VYDAJ	VYBER	1080	21511	\N	\N	\N
493561	1683	1997-03-31	VYDAJ	VYBER	15	42932	SLUZBY	\N	\N
493562	1683	1997-04-30	VYDAJ	VYBER	15	39486	SLUZBY	\N	\N
493563	1683	1997-05-31	VYDAJ	VYBER	15	34185	SLUZBY	\N	\N
493564	1683	1997-06-30	VYDAJ	VYBER	15	20699	SLUZBY	\N	\N
493565	1683	1997-07-31	VYDAJ	VYBER	15	27897	SLUZBY	\N	\N
493566	1683	1997-08-31	VYDAJ	VYBER	15	30222	SLUZBY	\N	\N
493567	1683	1997-09-30	VYDAJ	VYBER	15	30604	SLUZBY	\N	\N
493568	1683	1997-10-31	VYDAJ	VYBER	15	31439	SLUZBY	\N	\N
493569	1683	1997-11-30	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
493570	1683	1997-12-31	VYDAJ	VYBER	15	32353	SLUZBY	\N	\N
493571	1683	1998-01-31	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
493572	1683	1998-02-28	VYDAJ	VYBER	15	23483	SLUZBY	\N	\N
493573	1683	1998-03-31	VYDAJ	VYBER	15	21609	SLUZBY	\N	\N
493574	1683	1998-04-30	VYDAJ	VYBER	15	20841	SLUZBY	\N	\N
493575	1683	1998-05-31	VYDAJ	VYBER	15	21736	SLUZBY	\N	\N
493576	1683	1998-06-30	VYDAJ	VYBER	15	16395	SLUZBY	\N	\N
493577	1683	1998-07-31	VYDAJ	VYBER	15	18462	SLUZBY	\N	\N
493578	1683	1998-08-31	VYDAJ	VYBER	15	23343	SLUZBY	\N	\N
493579	1683	1998-09-30	VYDAJ	VYBER	15	31055	SLUZBY	\N	\N
493580	1683	1998-10-31	VYDAJ	VYBER	15	29086	SLUZBY	\N	\N
493581	1683	1998-11-30	VYDAJ	VYBER	15	32414	SLUZBY	\N	\N
493582	1683	1996-12-01	PRIJEM	VKLAD	6800	17869	\N	\N	\N
493583	1683	1996-12-31	VYDAJ	VYBER	1300	31887	\N	\N	\N
493584	1683	1997-01-30	VYDAJ	VYBER	8000	34021	\N	\N	\N
493585	1683	1997-03-01	VYDAJ	VYBER	10100	34330	\N	\N	\N
493586	1683	1997-03-31	VYDAJ	VYBER	8800	34132	\N	\N	\N
493587	1683	1997-04-30	VYDAJ	VYBER	4200	35286	\N	\N	\N
493588	1683	1997-05-30	VYDAJ	VYBER	100	34034	\N	\N	\N
493589	1683	1997-06-29	PRIJEM	VKLAD	4800	20620	\N	\N	\N
493590	1683	1997-07-29	PRIJEM	VKLAD	1900	27807	\N	\N	\N
493591	1683	1997-08-28	VYDAJ	VYBER	3000	30105	\N	\N	\N
493592	1683	1997-09-27	VYDAJ	VYBER	1100	30490	\N	\N	\N
493593	1683	1997-10-27	VYDAJ	VYBER	4500	31312	\N	\N	\N
493594	1683	1997-11-26	VYDAJ	VYBER	5700	30947	\N	\N	\N
493595	1683	1997-12-26	VYDAJ	VYBER	7700	32215	\N	\N	\N
493596	1683	1998-01-25	PRIJEM	VKLAD	3400	18801	\N	\N	\N
493597	1683	1998-02-24	PRIJEM	VKLAD	1600	23410	\N	\N	\N
493598	1683	1998-03-26	VYDAJ	VYBER	6100	22591	\N	\N	\N
493599	1683	1998-04-25	PRIJEM	VKLAD	900	25437	\N	\N	\N
493600	1683	1998-05-25	VYDAJ	VYBER	4400	21649	\N	\N	\N
493601	1683	1998-06-24	PRIJEM	VKLAD	2400	16331	\N	\N	\N
493602	1683	1998-07-24	VYDAJ	VYBER	200	18403	\N	\N	\N
493603	1683	1998-08-23	PRIJEM	VKLAD	4400	23270	\N	\N	\N
493604	1683	1998-09-22	PRIJEM	VKLAD	2400	30951	\N	\N	\N
493605	1683	1998-10-22	VYDAJ	VYBER	7300	28963	\N	\N	\N
493606	1683	1998-11-21	VYDAJ	VYBER	2000	32294	\N	\N	\N
493633	1684	1993-07-10	PRIJEM	VKLAD	200	200	\N	\N	\N
493637	1684	1993-11-16	PRIJEM	VKLAD	9517	49831	\N	\N	\N
493638	1684	1993-12-19	PRIJEM	VKLAD	22916	61301	\N	\N	\N
493639	1684	1993-11-04	PRIJEM	VKLAD	41214	59114	\N	\N	\N
493640	1684	1994-09-07	PRIJEM	VKLAD	44059	90515	\N	\N	\N
493641	1684	1994-08-20	PRIJEM	VKLAD	37054	120334	\N	\N	\N
493642	1684	1994-10-07	PRIJEM	VKLAD	29091	82065	\N	\N	\N
493643	1684	1994-08-31	PRIJEM	VKLAD	25587	107286	\N	\N	\N
493644	1684	1994-08-08	PRIJEM	VKLAD	45082	95880	\N	\N	\N
493645	1684	1994-03-01	PRIJEM	VKLAD	27326	106790	\N	\N	\N
493646	1684	1994-11-24	PRIJEM	VKLAD	41071	93745	\N	\N	\N
493647	1684	1994-02-23	PRIJEM	VKLAD	39232	124688	\N	\N	\N
493648	1684	1994-06-03	PRIJEM	VKLAD	40317	70322	\N	\N	\N
493649	1684	1994-02-02	PRIJEM	VKLAD	6277	50861	\N	\N	\N
493650	1684	1994-02-14	PRIJEM	VKLAD	48195	85456	\N	\N	\N
493651	1684	1994-03-18	PRIJEM	VKLAD	27461	67658	\N	\N	\N
493652	1684	1994-07-16	PRIJEM	VKLAD	16337	75381	\N	\N	\N
493653	1684	1994-12-18	PRIJEM	VKLAD	33079	93548	\N	\N	\N
493654	1684	1994-06-07	PRIJEM	VKLAD	43016	91638	\N	\N	\N
493655	1684	1995-11-18	PRIJEM	VKLAD	42300	78830	\N	\N	\N
493656	1684	1995-08-12	PRIJEM	VKLAD	35429	91359	\N	\N	\N
493657	1684	1995-06-07	PRIJEM	VKLAD	18512	49023	\N	\N	\N
493658	1684	1995-08-03	PRIJEM	VKLAD	23069	55930	\N	\N	\N
493659	1684	1995-08-31	PRIJEM	VKLAD	12845	75304	\N	\N	\N
493660	1684	1996-01-21	PRIJEM	VKLAD	42944	74575	\N	\N	\N
493661	1684	1996-09-06	PRIJEM	VKLAD	20091	61555	\N	\N	\N
493662	1684	1996-02-14	PRIJEM	VKLAD	16531	51450	\N	\N	\N
493663	1684	1996-07-16	PRIJEM	VKLAD	26029	82074	\N	\N	\N
493664	1684	1996-02-22	PRIJEM	VKLAD	12867	64317	\N	\N	\N
493665	1684	1996-07-05	PRIJEM	VKLAD	19089	56045	\N	\N	\N
493666	1684	1996-09-30	PRIJEM	VKLAD	49741	88521	\N	\N	\N
493667	1684	1996-11-08	PRIJEM	VKLAD	30001	104038	\N	\N	\N
493668	1684	1996-12-07	PRIJEM	VKLAD	49362	115402	\N	\N	\N
493669	1684	1996-03-11	PRIJEM	VKLAD	39269	87122	\N	\N	\N
493670	1684	1996-11-02	PRIJEM	VKLAD	21873	74037	\N	\N	\N
493671	1684	1997-09-01	PRIJEM	VKLAD	21497	68335	\N	\N	\N
493672	1684	1997-03-21	PRIJEM	VKLAD	38848	75581	\N	\N	\N
493673	1684	1998-05-18	PRIJEM	VKLAD	15655	87787	\N	\N	\N
493674	1684	1998-12-06	PRIJEM	VKLAD	31982	66738	\N	\N	\N
493675	1684	1998-05-13	PRIJEM	VKLAD	11025	73360	\N	\N	\N
493676	1684	1998-09-27	PRIJEM	VKLAD	43771	109847	\N	\N	\N
493677	1684	1998-01-20	PRIJEM	VKLAD	13265	68797	\N	\N	\N
493678	1684	1998-09-30	PRIJEM	VKLAD	29155	139002	\N	\N	\N
493679	1684	1998-07-02	PRIJEM	VKLAD	18677	52553	\N	\N	\N
493680	1684	1998-02-12	PRIJEM	VKLAD	5462	77073	\N	\N	\N
493681	1684	1998-10-01	PRIJEM	VKLAD	8839	101324	\N	\N	\N
493682	1684	1998-10-31	PRIJEM	VKLAD	37525	133170	\N	\N	\N
493683	1684	1998-05-05	PRIJEM	VKLAD	32873	62335	\N	\N	\N
493684	1684	1998-05-13	PRIJEM	VKLAD	33072	106432	\N	\N	\N
493685	1684	1998-01-27	PRIJEM	VKLAD	30961	92097	\N	\N	\N
493686	1684	1998-07-15	PRIJEM	VKLAD	44368	85891	\N	\N	\N
493687	1684	1998-01-08	PRIJEM	VKLAD	29112	69492	\N	\N	\N
493688	1684	1998-09-06	PRIJEM	VKLAD	41104	97676	\N	\N	\N
493689	1684	1998-10-23	PRIJEM	VKLAD	30173	95297	\N	\N	\N
493690	1684	1998-01-12	PRIJEM	VKLAD	9540	66432	\N	\N	\N
493765	1684	1994-03-07	VYBER	VYBER	7793	53097	\N	\N	\N
493766	1684	1994-05-04	VYBER	VYBER	6939	34703	\N	\N	\N
493768	1684	1995-12-19	VYBER	VYBER	17213	34273	\N	\N	\N
493770	1684	1996-09-17	VYBER	VYBER	22547	39008	\N	\N	\N
493771	1684	1998-03-04	VYBER	VYBER	12668	32917	\N	\N	\N
493772	1684	1998-07-07	VYBER	VYBER	10430	42123	\N	\N	\N
493774	1684	1998-06-18	VYBER	VYBER	22741	33675	\N	\N	\N
493775	1684	1998-02-19	VYBER	VYBER	14804	45369	\N	\N	\N
493776	1684	1998-01-23	VYBER	VYBER	7661	61136	\N	\N	\N
493777	1684	1998-09-05	VYBER	VYBER	4472	56572	\N	\N	\N
493786	1684	1994-12-07	VYDAJ	VYBER	1500	60469	\N	\N	\N
493787	1684	1995-12-14	VYDAJ	VYBER	2400	51486	\N	\N	\N
493788	1684	1996-12-04	VYDAJ	VYBER	3900	66040	\N	\N	\N
493789	1684	1997-12-04	VYDAJ	VYBER	8100	42819	\N	\N	\N
493790	1684	1998-12-05	VYDAJ	VYBER	6600	34756	\N	\N	\N
493803	1684	1995-01-10	VYDAJ	VYBER	1500	46959	\N	\N	\N
493804	1684	1995-01-29	VYDAJ	VYBER	3900	31659	\N	\N	\N
493805	1684	1995-01-03	VYDAJ	VYBER	7500	48459	\N	\N	\N
493806	1684	1995-01-18	VYDAJ	VYBER	7200	35559	\N	\N	\N
493807	1684	1995-01-11	VYDAJ	VYBER	4200	42759	\N	\N	\N
493808	1684	1995-01-01	VYDAJ	VYBER	5400	88459	\N	\N	\N
493809	1684	1996-01-29	VYDAJ	VYBER	2400	43475	\N	\N	\N
493810	1684	1996-01-29	VYDAJ	VYBER	8700	34775	\N	\N	\N
493811	1684	1996-01-25	VYDAJ	VYBER	6300	62275	\N	\N	\N
493812	1684	1996-01-25	VYDAJ	VYBER	6000	68575	\N	\N	\N
493813	1684	1996-01-20	VYDAJ	VYBER	1800	31631	\N	\N	\N
493814	1684	1996-01-28	VYDAJ	VYBER	3000	45875	\N	\N	\N
493815	1684	1997-01-06	VYDAJ	VYBER	3000	47718	\N	\N	\N
493816	1684	1997-01-14	VYDAJ	VYBER	6600	34518	\N	\N	\N
493817	1684	1997-01-17	VYDAJ	VYBER	8100	26418	\N	\N	\N
493818	1684	1997-01-09	VYDAJ	VYBER	6600	41118	\N	\N	\N
493819	1684	1997-01-29	VYDAJ	VYBER	2100	29318	\N	\N	\N
493821	1684	1998-01-15	VYDAJ	VYBER	8100	55532	\N	\N	\N
493822	1684	1998-01-28	VYDAJ	VYBER	6300	85797	\N	\N	\N
493823	1684	1998-01-08	VYDAJ	VYBER	4200	65292	\N	\N	\N
493824	1684	1998-01-09	VYDAJ	VYBER	8400	56892	\N	\N	\N
493825	1684	1998-01-29	VYDAJ	VYBER	6900	78897	\N	\N	\N
493826	1684	1998-01-30	VYDAJ	VYBER	7500	71397	\N	\N	\N
493830	1684	1994-08-13	VYDAJ	VYBER	12600	83280	\N	\N	\N
493831	1684	1994-03-02	VYDAJ	VYBER	11400	60890	\N	\N	\N
493832	1684	1994-03-22	VYDAJ	VYBER	13500	54158	\N	\N	\N
493833	1684	1994-08-29	VYDAJ	VYBER	13200	81334	\N	\N	\N
493834	1684	1994-09-30	VYDAJ	VYBER	12600	78304	\N	\N	\N
493835	1684	1995-07-23	VYDAJ	VYBER	8400	33221	\N	\N	\N
493836	1684	1995-10-04	VYDAJ	VYBER	14100	42138	\N	\N	\N
493837	1684	1995-11-22	VYDAJ	VYBER	6600	72230	\N	\N	\N
493839	1684	1996-05-01	VYDAJ	VYBER	8700	39426	\N	\N	\N
493840	1684	1996-10-14	VYDAJ	VYBER	11700	74691	\N	\N	\N
493842	1684	1996-10-13	VYDAJ	VYBER	2100	86391	\N	\N	\N
493843	1684	1996-05-02	VYDAJ	VYBER	7200	32226	\N	\N	\N
493844	1684	1997-07-19	VYDAJ	VYBER	10500	42643	\N	\N	\N
493845	1684	1997-12-22	VYDAJ	VYBER	7500	40219	\N	\N	\N
493846	1684	1998-11-23	VYDAJ	VYBER	3600	40940	\N	\N	\N
493847	1684	1998-12-28	VYDAJ	VYBER	4200	39038	\N	\N	\N
493848	1684	1998-04-21	VYDAJ	VYBER	6600	29354	\N	\N	\N
493849	1684	1998-05-29	VYDAJ	VYBER	13800	73987	\N	\N	\N
493851	1684	1998-04-05	VYDAJ	VYBER	4200	33154	\N	\N	\N
493867	1684	1994-02-28	VYDAJ	VYBER	30	79464	SLUZBY	\N	\N
493868	1684	1994-03-31	VYDAJ	VYBER	30	54347	SLUZBY	\N	\N
493869	1684	1994-04-30	VYDAJ	VYBER	30	41642	SLUZBY	\N	\N
493870	1684	1994-05-31	VYDAJ	VYBER	30	30005	SLUZBY	\N	\N
493871	1684	1994-06-30	VYDAJ	VYBER	30	91944	SLUZBY	\N	\N
493872	1684	1994-07-31	VYDAJ	VYBER	30	75698	SLUZBY	\N	\N
493873	1684	1994-08-31	VYDAJ	VYBER	30	107256	SLUZBY	\N	\N
493874	1684	1994-09-30	VYDAJ	VYBER	30	78274	SLUZBY	\N	\N
493875	1684	1994-10-31	VYDAJ	VYBER	30	82374	SLUZBY	\N	\N
493876	1684	1994-11-30	VYDAJ	VYBER	30	94069	SLUZBY	\N	\N
493877	1684	1994-12-31	VYDAJ	VYBER	30	93859	SLUZBY	\N	\N
493878	1684	1995-01-31	VYDAJ	VYBER	30	31810	SLUZBY	\N	\N
493879	1684	1995-02-28	VYDAJ	VYBER	30	31109	SLUZBY	\N	\N
493880	1684	1995-03-31	VYDAJ	VYBER	30	31008	SLUZBY	\N	\N
493881	1684	1995-04-30	VYDAJ	VYBER	30	32407	SLUZBY	\N	\N
493882	1684	1995-05-31	VYDAJ	VYBER	30	30511	SLUZBY	\N	\N
493883	1684	1995-06-30	VYDAJ	VYBER	30	41621	SLUZBY	\N	\N
493884	1684	1995-07-31	VYDAJ	VYBER	30	32861	SLUZBY	\N	\N
493885	1684	1995-08-31	VYDAJ	VYBER	30	75558	SLUZBY	\N	\N
493886	1684	1995-09-30	VYDAJ	VYBER	30	56238	SLUZBY	\N	\N
493887	1684	1995-10-31	VYDAJ	VYBER	30	36530	SLUZBY	\N	\N
493888	1684	1995-11-30	VYDAJ	VYBER	30	53886	SLUZBY	\N	\N
493889	1684	1995-12-31	VYDAJ	VYBER	30	33431	SLUZBY	\N	\N
493890	1684	1996-01-31	VYDAJ	VYBER	30	34919	SLUZBY	\N	\N
493891	1684	1996-02-29	VYDAJ	VYBER	30	47853	SLUZBY	\N	\N
493892	1684	1996-03-31	VYDAJ	VYBER	30	62101	SLUZBY	\N	\N
493893	1684	1996-04-30	VYDAJ	VYBER	30	48126	SLUZBY	\N	\N
493894	1684	1996-05-31	VYDAJ	VYBER	30	36635	SLUZBY	\N	\N
493895	1684	1996-06-30	VYDAJ	VYBER	30	36956	SLUZBY	\N	\N
493896	1684	1996-07-31	VYDAJ	VYBER	30	56064	SLUZBY	\N	\N
493897	1684	1996-08-31	VYDAJ	VYBER	30	41464	SLUZBY	\N	\N
493898	1684	1996-09-30	VYDAJ	VYBER	30	88491	SLUZBY	\N	\N
493899	1684	1996-10-31	VYDAJ	VYBER	30	52164	SLUZBY	\N	\N
493900	1684	1996-11-30	VYDAJ	VYBER	30	69940	SLUZBY	\N	\N
493901	1684	1996-12-31	VYDAJ	VYBER	30	50718	SLUZBY	\N	\N
493902	1684	1997-01-31	VYDAJ	VYBER	30	29442	SLUZBY	\N	\N
493903	1684	1997-02-28	VYDAJ	VYBER	30	36733	SLUZBY	\N	\N
493904	1684	1997-03-31	VYDAJ	VYBER	30	55929	SLUZBY	\N	\N
493905	1684	1997-04-30	VYDAJ	VYBER	30	47728	SLUZBY	\N	\N
493906	1684	1997-05-31	VYDAJ	VYBER	30	44093	SLUZBY	\N	\N
493907	1684	1997-06-30	VYDAJ	VYBER	30	45243	SLUZBY	\N	\N
493908	1684	1997-07-31	VYDAJ	VYBER	30	42793	SLUZBY	\N	\N
493909	1684	1997-08-31	VYDAJ	VYBER	30	46838	SLUZBY	\N	\N
493910	1684	1997-09-30	VYDAJ	VYBER	30	58319	SLUZBY	\N	\N
493911	1684	1997-10-31	VYDAJ	VYBER	30	54527	SLUZBY	\N	\N
493912	1684	1997-11-30	VYDAJ	VYBER	30	50919	SLUZBY	\N	\N
493913	1684	1997-12-31	VYDAJ	VYBER	30	40380	SLUZBY	\N	\N
493914	1684	1998-01-31	VYDAJ	VYBER	30	71611	SLUZBY	\N	\N
493915	1684	1998-02-28	VYDAJ	VYBER	30	45585	SLUZBY	\N	\N
493916	1684	1998-03-31	VYDAJ	VYBER	30	37354	SLUZBY	\N	\N
493917	1684	1998-04-30	VYDAJ	VYBER	30	29462	SLUZBY	\N	\N
493918	1684	1998-05-31	VYDAJ	VYBER	30	74216	SLUZBY	\N	\N
493919	1684	1998-06-30	VYDAJ	VYBER	30	33876	SLUZBY	\N	\N
493920	1684	1998-07-31	VYDAJ	VYBER	30	86124	SLUZBY	\N	\N
493921	1684	1998-08-31	VYDAJ	VYBER	30	61044	SLUZBY	\N	\N
493922	1684	1998-09-30	VYDAJ	VYBER	30	92485	SLUZBY	\N	\N
493923	1684	1998-10-31	VYDAJ	VYBER	30	133140	SLUZBY	\N	\N
493924	1684	1998-11-30	VYDAJ	VYBER	30	41356	SLUZBY	\N	\N
493925	1684	1993-09-08	PRIJEM	VKLAD	12200	12400	\N	\N	\N
493926	1684	1993-10-08	PRIJEM	VKLAD	5500	17900	\N	\N	\N
493927	1684	1993-11-07	VYDAJ	VYBER	18800	40314	\N	\N	\N
493928	1684	1993-12-07	VYDAJ	VYBER	11600	38385	\N	\N	\N
493929	1684	1994-01-06	VYDAJ	VYBER	17200	44329	\N	\N	\N
493930	1684	1994-02-05	VYDAJ	VYBER	13600	37261	\N	\N	\N
493931	1684	1994-02-23	VYDAJ	VYBER	45500	79188	\N	\N	\N
493932	1684	1994-03-01	VYDAJ	VYBER	34500	72290	\N	\N	\N
493933	1684	1994-03-07	VYDAJ	VYBER	12900	40197	\N	\N	\N
493934	1684	1994-04-06	VYDAJ	VYBER	12900	41447	\N	\N	\N
493935	1684	1994-05-06	VYDAJ	VYBER	4800	29903	\N	\N	\N
493936	1684	1994-06-05	VYDAJ	VYBER	21700	48622	\N	\N	\N
493937	1684	1994-07-05	VYDAJ	VYBER	32900	59044	\N	\N	\N
493938	1684	1994-08-04	VYDAJ	VYBER	24900	50798	\N	\N	\N
493939	1684	1994-08-20	VYDAJ	VYBER	25800	94534	\N	\N	\N
493940	1684	1994-08-31	VYDAJ	VYBER	37100	70156	\N	\N	\N
493941	1684	1994-09-03	VYDAJ	VYBER	23700	46456	\N	\N	\N
493942	1684	1994-10-03	VYDAJ	VYBER	25300	52974	\N	\N	\N
493943	1684	1994-11-02	VYDAJ	VYBER	29700	52674	\N	\N	\N
493944	1684	1994-12-02	VYDAJ	VYBER	32100	61969	\N	\N	\N
493945	1684	1995-01-01	VYDAJ	VYBER	32500	55959	\N	\N	\N
493946	1684	1995-01-31	VYDAJ	VYBER	800	31010	\N	\N	\N
493947	1684	1995-03-02	VYDAJ	VYBER	200	30909	\N	\N	\N
493948	1684	1995-04-01	PRIJEM	VKLAD	1300	32308	\N	\N	\N
493949	1684	1995-05-01	VYDAJ	VYBER	600	31807	\N	\N	\N
493950	1684	1995-05-31	VYDAJ	VYBER	1400	30541	\N	\N	\N
493951	1684	1995-06-30	VYDAJ	VYBER	7500	41651	\N	\N	\N
493952	1684	1995-07-30	VYDAJ	VYBER	500	32721	\N	\N	\N
493953	1684	1995-08-29	VYDAJ	VYBER	28900	62459	\N	\N	\N
493954	1684	1995-09-28	VYDAJ	VYBER	19600	55958	\N	\N	\N
493955	1684	1995-10-28	VYDAJ	VYBER	5800	36338	\N	\N	\N
493956	1684	1995-11-27	VYDAJ	VYBER	18500	53730	\N	\N	\N
493957	1684	1995-12-27	VYDAJ	VYBER	1000	33273	\N	\N	\N
493958	1684	1996-01-26	VYDAJ	VYBER	13400	48875	\N	\N	\N
493959	1684	1996-02-25	VYDAJ	VYBER	16600	47717	\N	\N	\N
493960	1684	1996-03-26	VYDAJ	VYBER	25200	61922	\N	\N	\N
493961	1684	1996-04-25	VYDAJ	VYBER	14200	47901	\N	\N	\N
493962	1684	1996-05-25	PRIJEM	VKLAD	4300	36526	\N	\N	\N
493963	1684	1996-06-24	PRIJEM	VKLAD	200	36835	\N	\N	\N
493964	1684	1996-07-24	VYDAJ	VYBER	26200	55874	\N	\N	\N
493965	1684	1996-08-23	VYDAJ	VYBER	14800	41264	\N	\N	\N
493966	1684	1996-09-22	VYDAJ	VYBER	400	38608	\N	\N	\N
493967	1684	1996-10-22	VYDAJ	VYBER	22800	51891	\N	\N	\N
493968	1684	1996-11-21	VYDAJ	VYBER	34400	69638	\N	\N	\N
493969	1684	1996-12-07	VYDAJ	VYBER	54000	61402	\N	\N	\N
493970	1684	1996-12-21	VYDAJ	VYBER	11000	50402	\N	\N	\N
493971	1684	1997-01-20	PRIJEM	VKLAD	5000	31418	\N	\N	\N
493972	1684	1997-02-19	PRIJEM	VKLAD	7200	36642	\N	\N	\N
493973	1684	1997-03-21	VYDAJ	VYBER	19800	55781	\N	\N	\N
493974	1684	1997-04-20	VYDAJ	VYBER	8400	47529	\N	\N	\N
493975	1684	1997-05-20	VYDAJ	VYBER	3800	43928	\N	\N	\N
493976	1684	1997-06-19	PRIJEM	VKLAD	1000	45093	\N	\N	\N
493977	1684	1997-07-19	PRIJEM	VKLAD	7900	53143	\N	\N	\N
493978	1684	1997-08-18	PRIJEM	VKLAD	3900	46693	\N	\N	\N
493979	1684	1997-09-17	VYDAJ	VYBER	10200	58135	\N	\N	\N
493980	1684	1997-10-17	VYDAJ	VYBER	4000	54319	\N	\N	\N
493981	1684	1997-11-16	VYDAJ	VYBER	3800	50727	\N	\N	\N
493982	1684	1997-12-16	PRIJEM	VKLAD	4900	47719	\N	\N	\N
493983	1684	1998-01-15	VYDAJ	VYBER	2800	63632	\N	\N	\N
493984	1684	1998-02-14	VYDAJ	VYBER	16900	60173	\N	\N	\N
493985	1684	1998-03-16	PRIJEM	VKLAD	4300	37217	\N	\N	\N
493986	1684	1998-04-15	PRIJEM	VKLAD	2800	35954	\N	\N	\N
493987	1684	1998-05-15	VYDAJ	VYBER	34300	72132	\N	\N	\N
493988	1684	1998-06-14	VYDAJ	VYBER	17800	56416	\N	\N	\N
493989	1684	1998-07-14	VYDAJ	VYBER	600	41523	\N	\N	\N
493990	1684	1998-08-13	VYDAJ	VYBER	25400	60724	\N	\N	\N
493991	1684	1998-09-12	VYDAJ	VYBER	31600	66076	\N	\N	\N
493992	1684	1998-09-30	VYDAJ	VYBER	46800	92515	\N	\N	\N
493993	1684	1998-10-12	VYDAJ	VYBER	36200	65124	\N	\N	\N
493994	1684	1998-10-31	VYDAJ	VYBER	61700	71440	\N	\N	\N
493995	1684	1998-11-11	VYDAJ	VYBER	26900	44540	\N	\N	\N
493996	1684	1998-12-11	VYDAJ	VYBER	23500	43238	\N	\N	\N
494059	1685	1995-12-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
494076	1685	1995-12-23	PRIJEM	VKLAD	24327	25427	\N	\N	\N
494081	1685	1996-11-28	PRIJEM	VKLAD	35427	55292	\N	\N	\N
494082	1685	1996-09-09	PRIJEM	VKLAD	17149	31159	\N	\N	\N
494083	1685	1996-03-27	PRIJEM	VKLAD	43733	70444	\N	\N	\N
494084	1685	1996-03-31	PRIJEM	VKLAD	45259	115940	\N	\N	\N
494085	1685	1996-09-23	PRIJEM	VKLAD	11892	35083	\N	\N	\N
494086	1685	1996-01-28	PRIJEM	VKLAD	30207	54065	\N	\N	\N
494087	1685	1996-10-08	PRIJEM	VKLAD	25073	106950	\N	\N	\N
494088	1685	1996-10-05	PRIJEM	VKLAD	46638	81877	\N	\N	\N
494089	1685	1997-08-07	PRIJEM	VKLAD	39346	44390	\N	\N	\N
494090	1685	1997-10-19	PRIJEM	VKLAD	6886	46910	\N	\N	\N
494091	1685	1997-02-26	PRIJEM	VKLAD	25325	34781	\N	\N	\N
494092	1685	1997-10-06	PRIJEM	VKLAD	38929	47992	\N	\N	\N
494093	1685	1997-05-27	PRIJEM	VKLAD	27740	47134	\N	\N	\N
494094	1685	1997-01-25	PRIJEM	VKLAD	6890	17372	\N	\N	\N
494095	1685	1997-11-21	PRIJEM	VKLAD	20476	37852	\N	\N	\N
494096	1685	1997-04-25	PRIJEM	VKLAD	41386	49877	\N	\N	\N
494097	1685	1998-06-02	PRIJEM	VKLAD	36049	38661	\N	\N	\N
494098	1685	1998-07-12	PRIJEM	VKLAD	37525	47117	\N	\N	\N
494099	1685	1998-08-25	PRIJEM	VKLAD	22604	49245	\N	\N	\N
494100	1685	1998-06-03	PRIJEM	VKLAD	17006	55667	\N	\N	\N
494101	1685	1998-11-25	PRIJEM	VKLAD	22270	23896	\N	\N	\N
494102	1685	1998-08-08	PRIJEM	VKLAD	7958	34609	\N	\N	\N
494123	1685	1996-09-09	VYDAJ	PREVOD NA UCET	7968	23191	SIPO	ST	17528325
494124	1685	1996-10-09	VYDAJ	PREVOD NA UCET	7968	56382	SIPO	ST	17528325
494125	1685	1996-11-09	VYDAJ	PREVOD NA UCET	7968	19865	SIPO	ST	17528325
494126	1685	1996-12-09	VYDAJ	PREVOD NA UCET	7968	26027	SIPO	ST	17528325
494127	1685	1997-01-09	VYDAJ	PREVOD NA UCET	7968	10482	SIPO	ST	17528325
494128	1685	1997-02-09	VYDAJ	PREVOD NA UCET	7968	9456	SIPO	ST	17528325
494129	1685	1997-03-09	VYDAJ	PREVOD NA UCET	7968	16382	SIPO	ST	17528325
494130	1685	1997-04-09	VYDAJ	PREVOD NA UCET	7968	8491	SIPO	ST	17528325
494131	1685	1997-05-09	VYDAJ	PREVOD NA UCET	7968	19394	SIPO	ST	17528325
494132	1685	1997-06-09	VYDAJ	PREVOD NA UCET	7968	19387	SIPO	ST	17528325
494133	1685	1997-07-09	VYDAJ	PREVOD NA UCET	7968	5019	SIPO	ST	17528325
494134	1685	1997-08-09	VYDAJ	PREVOD NA UCET	7968	36422	SIPO	ST	17528325
494135	1685	1997-09-09	VYDAJ	PREVOD NA UCET	7968	9022	SIPO	ST	17528325
494136	1685	1997-10-09	VYDAJ	PREVOD NA UCET	7968	40024	SIPO	ST	17528325
494137	1685	1997-11-09	VYDAJ	PREVOD NA UCET	7968	17376	SIPO	ST	17528325
494138	1685	1997-12-09	VYDAJ	PREVOD NA UCET	7968	10506	SIPO	ST	17528325
494139	1685	1998-01-09	VYDAJ	PREVOD NA UCET	7968	2599	SIPO	ST	17528325
494144	1685	1998-06-09	VYDAJ	PREVOD NA UCET	7968	47699	SIPO	ST	17528325
494145	1685	1998-07-09	VYDAJ	PREVOD NA UCET	7968	9592	SIPO	ST	17528325
494146	1685	1998-08-09	VYDAJ	PREVOD NA UCET	7968	26641	SIPO	ST	17528325
494147	1685	1998-09-09	VYDAJ	PREVOD NA UCET	7968	23790	SIPO	ST	17528325
494148	1685	1998-10-09	VYDAJ	PREVOD NA UCET	7968	9535	SIPO	ST	17528325
494149	1685	1998-11-09	VYDAJ	PREVOD NA UCET	7968	1626	SIPO	ST	17528325
494150	1685	1998-12-09	VYDAJ	PREVOD NA UCET	7968	5962	SIPO	ST	17528325
494158	1685	1996-10-30	VYBER	VYBER	9348	34355	\N	\N	\N
494159	1685	1996-10-11	VYBER	VYBER	2163	54219	\N	\N	\N
494168	1685	1996-10-15	VYBER	VYBER	10516	43703	\N	\N	\N
494173	1685	1998-06-19	VYDAJ	VYBER	19500	28199	\N	\N	\N
494179	1685	1996-12-21	VYDAJ	VYBER KARTOU	3900	22127	\N	\N	0
494214	1685	1997-08-12	VYDAJ	VYBER	14100	22322	\N	\N	\N
494242	1685	1996-09-30	VYDAJ	VYBER	15	35239	SLUZBY	\N	\N
494243	1685	1996-10-31	VYDAJ	VYBER	15	34533	SLUZBY	\N	\N
494244	1685	1996-11-30	VYDAJ	VYBER	15	55395	SLUZBY	\N	\N
494245	1685	1996-12-31	VYDAJ	VYBER	15	22250	SLUZBY	\N	\N
494246	1685	1997-01-31	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
494247	1685	1997-02-28	VYDAJ	VYBER	15	34850	SLUZBY	\N	\N
494248	1685	1997-03-31	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
494249	1685	1997-04-30	VYDAJ	VYBER	15	49962	SLUZBY	\N	\N
494250	1685	1997-05-31	VYDAJ	VYBER	15	47255	SLUZBY	\N	\N
494251	1685	1997-06-30	VYDAJ	VYBER	15	19487	SLUZBY	\N	\N
494252	1685	1997-07-31	VYDAJ	VYBER	15	5044	SLUZBY	\N	\N
494253	1685	1997-08-31	VYDAJ	VYBER	15	22390	SLUZBY	\N	\N
494254	1685	1997-09-30	VYDAJ	VYBER	15	9063	SLUZBY	\N	\N
494255	1685	1997-10-31	VYDAJ	VYBER	15	47044	SLUZBY	\N	\N
494256	1685	1997-11-30	VYDAJ	VYBER	15	37974	SLUZBY	\N	\N
494257	1685	1997-12-31	VYDAJ	VYBER	15	10567	SLUZBY	\N	\N
494258	1685	1998-01-31	VYDAJ	VYBER	15	2630	SLUZBY	\N	\N
494259	1685	1998-02-28	VYDAJ	VYBER	15	2629	SLUZBY	\N	\N
494260	1685	1998-03-31	VYDAJ	VYBER	15	2614	SLUZBY	\N	\N
494261	1685	1998-04-30	VYDAJ	VYBER	15	2627	SLUZBY	\N	\N
494262	1685	1998-05-31	VYDAJ	VYBER	15	2612	SLUZBY	\N	\N
494263	1685	1998-06-30	VYDAJ	VYBER	15	17560	SLUZBY	\N	\N
494264	1685	1998-07-31	VYDAJ	VYBER	15	26651	SLUZBY	\N	\N
494265	1685	1998-08-31	VYDAJ	VYBER	15	31758	SLUZBY	\N	\N
494266	1685	1998-09-30	VYDAJ	VYBER	15	17503	SLUZBY	\N	\N
494267	1685	1998-10-31	VYDAJ	VYBER	15	9594	SLUZBY	\N	\N
494268	1685	1998-11-30	VYDAJ	VYBER	15	13930	SLUZBY	\N	\N
494269	1685	1996-01-12	VYDAJ	VYBER	1600	23858	\N	\N	\N
494270	1685	1996-02-11	VYDAJ	VYBER	16600	37586	\N	\N	\N
494271	1685	1996-03-12	VYDAJ	VYBER	11100	26711	\N	\N	\N
494272	1685	1996-03-31	VYDAJ	VYBER	40600	75340	\N	\N	\N
494273	1685	1996-04-11	VYDAJ	VYBER	27000	48340	\N	\N	\N
494274	1685	1996-05-11	VYDAJ	VYBER	17400	31254	\N	\N	\N
494275	1685	1996-06-10	VYDAJ	VYBER	7700	23868	\N	\N	\N
494276	1685	1996-07-10	VYDAJ	VYBER	7100	17082	\N	\N	\N
494277	1685	1996-08-09	VYDAJ	VYBER KARTOU	200	17196	\N	\N	0
494278	1685	1996-09-08	VYDAJ	VYBER KARTOU	3500	14010	\N	\N	0
494279	1685	1996-10-08	VYDAJ	VYBER	42600	64350	\N	\N	\N
494280	1685	1996-11-07	VYDAJ	VYBER	6700	27833	\N	\N	\N
494281	1685	1996-12-07	VYDAJ	VYBER	21400	33995	\N	\N	\N
494282	1685	1997-01-06	VYDAJ	VYBER KARTOU	3800	18450	\N	\N	0
494283	1685	1997-03-07	VYDAJ	VYBER	10500	24350	\N	\N	\N
494284	1685	1997-05-06	VYDAJ	VYBER	22600	27362	\N	\N	\N
494285	1685	1997-06-05	VYDAJ	VYBER	19900	27355	\N	\N	\N
494286	1685	1997-07-05	VYDAJ	VYBER	6500	12987	\N	\N	\N
494287	1685	1997-09-03	VYDAJ	VYBER	5400	16990	\N	\N	\N
494288	1685	1997-11-02	VYDAJ	VYBER	21700	25344	\N	\N	\N
494289	1685	1997-12-02	VYDAJ	VYBER	19500	18474	\N	\N	\N
494290	1685	1998-06-30	VYDAJ	VYBER	10800	17574	\N	\N	\N
494291	1685	1998-07-30	VYDAJ	VYBER	20600	26517	\N	\N	\N
494292	1685	1998-08-29	VYDAJ	VYBER	17600	31645	\N	\N	\N
494293	1685	1998-09-28	VYDAJ	VYBER	6400	17390	\N	\N	\N
494294	1685	1998-11-27	VYDAJ	VYBER	10000	13896	\N	\N	\N
494333	1686	1993-11-18	PRIJEM	VKLAD	900	900	\N	\N	\N
494345	1686	1993-12-10	PRIJEM	VKLAD	6204	7104	\N	\N	\N
494346	1686	1994-01-10	PRIJEM	VKLAD	4136	18667	\N	\N	\N
494347	1686	1994-02-10	PRIJEM	VKLAD	4136	27481	\N	\N	\N
494348	1686	1994-03-10	PRIJEM	VKLAD	4136	30921	\N	\N	\N
494349	1686	1994-04-10	PRIJEM	VKLAD	4136	31169	\N	\N	\N
494350	1686	1994-05-10	PRIJEM	VKLAD	4136	29447	\N	\N	\N
494351	1686	1994-06-10	PRIJEM	VKLAD	6204	25444	\N	\N	\N
494352	1686	1994-07-10	PRIJEM	VKLAD	4136	28607	\N	\N	\N
494353	1686	1994-08-10	PRIJEM	VKLAD	4136	28646	\N	\N	\N
494354	1686	1994-09-10	PRIJEM	VKLAD	4136	29020	\N	\N	\N
494355	1686	1994-10-10	PRIJEM	VKLAD	4136	31199	\N	\N	\N
494356	1686	1994-11-10	PRIJEM	VKLAD	4136	29944	\N	\N	\N
494357	1686	1994-12-10	PRIJEM	VKLAD	6204	27967	\N	\N	\N
494358	1686	1995-01-10	PRIJEM	VKLAD	4136	28340	\N	\N	\N
494359	1686	1995-02-10	PRIJEM	VKLAD	4136	19281	\N	\N	\N
494360	1686	1995-03-10	PRIJEM	VKLAD	4136	25731	\N	\N	\N
494361	1686	1995-04-10	PRIJEM	VKLAD	4136	28598	\N	\N	\N
494362	1686	1995-05-10	PRIJEM	VKLAD	4136	31979	\N	\N	\N
494363	1686	1995-06-10	PRIJEM	VKLAD	6204	33112	\N	\N	\N
494364	1686	1995-07-10	PRIJEM	VKLAD	4136	19720	\N	\N	\N
494365	1686	1995-08-10	PRIJEM	VKLAD	4136	23868	\N	\N	\N
494366	1686	1995-09-10	PRIJEM	VKLAD	4136	28626	\N	\N	\N
494367	1686	1995-10-10	PRIJEM	VKLAD	4136	32998	\N	\N	\N
494368	1686	1995-11-10	PRIJEM	VKLAD	4136	38589	\N	\N	\N
494369	1686	1995-12-10	PRIJEM	VKLAD	6204	38528	\N	\N	\N
494370	1686	1996-01-10	PRIJEM	VKLAD	4136	39704	\N	\N	\N
494371	1686	1996-02-10	PRIJEM	VKLAD	4136	27813	\N	\N	\N
494372	1686	1996-03-10	PRIJEM	VKLAD	4136	32778	\N	\N	\N
494373	1686	1996-04-10	PRIJEM	VKLAD	4136	37467	\N	\N	\N
494374	1686	1996-05-10	PRIJEM	VKLAD	4136	39875	\N	\N	\N
494375	1686	1996-06-10	PRIJEM	VKLAD	6204	40264	\N	\N	\N
494376	1686	1996-07-10	PRIJEM	VKLAD	4136	40588	\N	\N	\N
494377	1686	1996-08-10	PRIJEM	VKLAD	4136	40514	\N	\N	\N
494378	1686	1996-09-10	PRIJEM	VKLAD	4136	42721	\N	\N	\N
494379	1686	1996-10-10	PRIJEM	VKLAD	4136	41351	\N	\N	\N
494380	1686	1996-11-10	PRIJEM	VKLAD	4136	41480	\N	\N	\N
494381	1686	1996-12-10	PRIJEM	VKLAD	6204	42377	\N	\N	\N
494382	1686	1997-01-10	PRIJEM	VKLAD	4136	39099	\N	\N	\N
494383	1686	1997-02-10	PRIJEM	VKLAD	4136	32025	\N	\N	\N
494384	1686	1997-03-10	PRIJEM	VKLAD	4136	40814	\N	\N	\N
494385	1686	1997-04-10	PRIJEM	VKLAD	4136	46932	\N	\N	\N
494386	1686	1997-05-10	PRIJEM	VKLAD	4136	51178	\N	\N	\N
494387	1686	1997-06-10	PRIJEM	VKLAD	6204	38912	\N	\N	\N
494388	1686	1997-07-10	PRIJEM	VKLAD	4136	45345	\N	\N	\N
494389	1686	1997-08-10	PRIJEM	VKLAD	4136	48389	\N	\N	\N
494390	1686	1997-09-10	PRIJEM	VKLAD	4136	46464	\N	\N	\N
494391	1686	1997-10-10	PRIJEM	VKLAD	4136	50574	\N	\N	\N
494392	1686	1997-11-10	PRIJEM	VKLAD	4136	53541	\N	\N	\N
494393	1686	1997-12-10	PRIJEM	VKLAD	6204	49224	\N	\N	\N
494394	1686	1998-01-10	PRIJEM	VKLAD	4136	41322	\N	\N	\N
494395	1686	1998-02-10	PRIJEM	VKLAD	4136	38961	\N	\N	\N
494396	1686	1998-03-10	PRIJEM	VKLAD	4136	43353	\N	\N	\N
494397	1686	1998-04-10	PRIJEM	VKLAD	4136	44887	\N	\N	\N
494398	1686	1998-05-10	PRIJEM	VKLAD	4136	46128	\N	\N	\N
494399	1686	1998-06-10	PRIJEM	VKLAD	6204	36940	\N	\N	\N
494400	1686	1998-07-10	PRIJEM	VKLAD	4136	40257	\N	\N	\N
494401	1686	1998-08-10	PRIJEM	VKLAD	4136	40199	\N	\N	\N
494402	1686	1998-09-10	PRIJEM	VKLAD	4136	44626	\N	\N	\N
494403	1686	1998-10-10	PRIJEM	VKLAD	4136	43240	\N	\N	\N
494404	1686	1998-11-10	PRIJEM	VKLAD	4136	43133	\N	\N	\N
494405	1686	1998-12-10	PRIJEM	VKLAD	6204	50238	\N	\N	\N
494421	1686	1994-04-11	VYDAJ	PREVOD NA UCET	1532	29637	SIPO	UV	27540904
494422	1686	1994-05-11	VYDAJ	PREVOD NA UCET	1532	27915	SIPO	UV	27540904
494423	1686	1994-06-11	VYDAJ	PREVOD NA UCET	1532	23912	SIPO	UV	27540904
494424	1686	1994-07-11	VYDAJ	PREVOD NA UCET	1532	27075	SIPO	UV	27540904
494425	1686	1994-08-11	VYDAJ	PREVOD NA UCET	1532	27114	SIPO	UV	27540904
494426	1686	1994-09-11	VYDAJ	PREVOD NA UCET	1532	27488	SIPO	UV	27540904
494427	1686	1994-10-11	VYDAJ	PREVOD NA UCET	1532	29667	SIPO	UV	27540904
494428	1686	1994-11-11	VYDAJ	PREVOD NA UCET	1532	28412	SIPO	UV	27540904
494429	1686	1994-12-11	VYDAJ	PREVOD NA UCET	1532	26435	SIPO	UV	27540904
494430	1686	1995-01-11	VYDAJ	PREVOD NA UCET	1532	26808	SIPO	UV	27540904
494431	1686	1995-02-11	VYDAJ	PREVOD NA UCET	1532	22749	SIPO	UV	27540904
494432	1686	1995-03-11	VYDAJ	PREVOD NA UCET	1532	24199	SIPO	UV	27540904
494433	1686	1995-04-11	VYDAJ	PREVOD NA UCET	1532	27066	SIPO	UV	27540904
494434	1686	1995-05-11	VYDAJ	PREVOD NA UCET	1532	30447	SIPO	UV	27540904
494435	1686	1995-06-11	VYDAJ	PREVOD NA UCET	1532	32380	SIPO	UV	27540904
494436	1686	1995-07-11	VYDAJ	PREVOD NA UCET	1532	21488	SIPO	UV	27540904
494437	1686	1995-08-11	VYDAJ	PREVOD NA UCET	1532	23136	SIPO	UV	27540904
494438	1686	1995-09-11	VYDAJ	PREVOD NA UCET	1532	27094	SIPO	UV	27540904
494439	1686	1995-10-11	VYDAJ	PREVOD NA UCET	1532	31466	SIPO	UV	27540904
494440	1686	1995-11-11	VYDAJ	PREVOD NA UCET	1532	37057	SIPO	UV	27540904
494441	1686	1995-12-11	VYDAJ	PREVOD NA UCET	1532	36996	SIPO	UV	27540904
494442	1686	1996-01-11	VYDAJ	PREVOD NA UCET	1532	36732	SIPO	UV	27540904
494443	1686	1996-02-11	VYDAJ	PREVOD NA UCET	1532	26281	SIPO	UV	27540904
494444	1686	1996-03-11	VYDAJ	PREVOD NA UCET	1532	31246	SIPO	UV	27540904
494445	1686	1996-04-11	VYDAJ	PREVOD NA UCET	1532	35935	SIPO	UV	27540904
494446	1686	1996-05-11	VYDAJ	PREVOD NA UCET	1532	38343	SIPO	UV	27540904
494447	1686	1996-06-11	VYDAJ	PREVOD NA UCET	1532	38732	SIPO	UV	27540904
494448	1686	1996-07-11	VYDAJ	PREVOD NA UCET	1532	39056	SIPO	UV	27540904
494449	1686	1996-08-11	VYDAJ	PREVOD NA UCET	1532	38262	SIPO	UV	27540904
494450	1686	1996-09-11	VYDAJ	PREVOD NA UCET	1532	41189	SIPO	UV	27540904
494451	1686	1996-10-11	VYDAJ	PREVOD NA UCET	1532	39819	SIPO	UV	27540904
494452	1686	1996-11-11	VYDAJ	PREVOD NA UCET	1532	39948	SIPO	UV	27540904
494453	1686	1996-12-11	VYDAJ	PREVOD NA UCET	1532	40845	SIPO	UV	27540904
494454	1686	1997-01-11	VYDAJ	PREVOD NA UCET	1532	34087	SIPO	UV	27540904
494455	1686	1997-02-11	VYDAJ	PREVOD NA UCET	1532	30493	SIPO	UV	27540904
494456	1686	1997-03-11	VYDAJ	PREVOD NA UCET	1532	39282	SIPO	UV	27540904
494457	1686	1997-04-11	VYDAJ	PREVOD NA UCET	1532	45400	SIPO	UV	27540904
494458	1686	1997-05-11	VYDAJ	PREVOD NA UCET	1532	49646	SIPO	UV	27540904
494459	1686	1997-06-11	VYDAJ	PREVOD NA UCET	1532	37380	SIPO	UV	27540904
494460	1686	1997-07-11	VYDAJ	PREVOD NA UCET	1532	43813	SIPO	UV	27540904
494461	1686	1997-08-11	VYDAJ	PREVOD NA UCET	1532	46857	SIPO	UV	27540904
494462	1686	1997-09-11	VYDAJ	PREVOD NA UCET	1532	44932	SIPO	UV	27540904
494463	1686	1997-10-11	VYDAJ	PREVOD NA UCET	1532	49042	SIPO	UV	27540904
494464	1686	1997-11-11	VYDAJ	PREVOD NA UCET	1532	52009	SIPO	UV	27540904
494465	1686	1997-12-11	VYDAJ	PREVOD NA UCET	1532	47692	SIPO	UV	27540904
494466	1686	1998-01-11	VYDAJ	PREVOD NA UCET	1532	39790	SIPO	UV	27540904
494467	1686	1998-02-11	VYDAJ	PREVOD NA UCET	1532	34309	SIPO	UV	27540904
494468	1686	1998-03-11	VYDAJ	PREVOD NA UCET	1532	41821	SIPO	UV	27540904
494469	1686	1998-04-11	VYDAJ	PREVOD NA UCET	1532	43355	SIPO	UV	27540904
494470	1686	1998-05-11	VYDAJ	PREVOD NA UCET	1532	44596	SIPO	UV	27540904
494471	1686	1998-06-11	VYDAJ	PREVOD NA UCET	1532	35408	SIPO	UV	27540904
494472	1686	1998-07-11	VYDAJ	PREVOD NA UCET	1532	38725	SIPO	UV	27540904
494473	1686	1998-08-11	VYDAJ	PREVOD NA UCET	1532	38667	SIPO	UV	27540904
494474	1686	1998-09-11	VYDAJ	PREVOD NA UCET	1532	43094	SIPO	UV	27540904
494475	1686	1998-10-11	VYDAJ	PREVOD NA UCET	1532	41708	SIPO	UV	27540904
494476	1686	1998-11-11	VYDAJ	PREVOD NA UCET	1532	41601	SIPO	UV	27540904
494477	1686	1998-12-11	VYDAJ	PREVOD NA UCET	1532	48706	SIPO	UV	27540904
494494	1686	1994-05-08	VYDAJ	PREVOD NA UCET	1225	25311	 	YZ	74546420
494495	1686	1994-06-08	VYDAJ	PREVOD NA UCET	1225	19240	 	YZ	74546420
494496	1686	1994-07-08	VYDAJ	PREVOD NA UCET	1225	24471	 	YZ	74546420
494497	1686	1994-08-08	VYDAJ	PREVOD NA UCET	1225	24510	 	YZ	74546420
494498	1686	1994-09-08	VYDAJ	PREVOD NA UCET	1225	24884	 	YZ	74546420
494499	1686	1994-10-08	VYDAJ	PREVOD NA UCET	1225	27063	 	YZ	74546420
494500	1686	1994-11-08	VYDAJ	PREVOD NA UCET	1225	25808	 	YZ	74546420
494501	1686	1994-12-08	VYDAJ	PREVOD NA UCET	1225	21763	 	YZ	74546420
494502	1686	1995-01-08	VYDAJ	PREVOD NA UCET	1225	24204	 	YZ	74546420
494503	1686	1995-02-08	VYDAJ	PREVOD NA UCET	1225	15145	 	YZ	74546420
494504	1686	1995-03-08	VYDAJ	PREVOD NA UCET	1225	21595	 	YZ	74546420
494505	1686	1995-04-08	VYDAJ	PREVOD NA UCET	1225	24462	 	YZ	74546420
494506	1686	1995-05-08	VYDAJ	PREVOD NA UCET	1225	27843	 	YZ	74546420
494507	1686	1995-06-08	VYDAJ	PREVOD NA UCET	1225	26908	 	YZ	74546420
494508	1686	1995-07-08	VYDAJ	PREVOD NA UCET	1225	15584	 	YZ	74546420
494509	1686	1995-08-08	VYDAJ	PREVOD NA UCET	1225	19732	 	YZ	74546420
494510	1686	1995-09-08	VYDAJ	PREVOD NA UCET	1225	21990	 	YZ	74546420
494511	1686	1995-10-08	VYDAJ	PREVOD NA UCET	1225	25962	 	YZ	74546420
494512	1686	1995-11-08	VYDAJ	PREVOD NA UCET	1225	34453	 	YZ	74546420
494513	1686	1995-12-08	VYDAJ	PREVOD NA UCET	1225	32324	 	YZ	74546420
494514	1686	1996-01-08	VYDAJ	PREVOD NA UCET	1225	35568	 	YZ	74546420
494515	1686	1996-02-08	VYDAJ	PREVOD NA UCET	1225	23677	 	YZ	74546420
494516	1686	1996-03-08	VYDAJ	PREVOD NA UCET	1225	28642	 	YZ	74546420
494517	1686	1996-04-08	VYDAJ	PREVOD NA UCET	1225	33331	 	YZ	74546420
494518	1686	1996-05-08	VYDAJ	PREVOD NA UCET	1225	35739	 	YZ	74546420
494519	1686	1996-06-08	VYDAJ	PREVOD NA UCET	1225	34060	 	YZ	74546420
494520	1686	1996-07-08	VYDAJ	PREVOD NA UCET	1225	36452	 	YZ	74546420
494521	1686	1996-08-08	VYDAJ	PREVOD NA UCET	1225	36378	 	YZ	74546420
494522	1686	1996-09-08	VYDAJ	PREVOD NA UCET	1225	38585	 	YZ	74546420
494523	1686	1996-10-08	VYDAJ	PREVOD NA UCET	1225	39735	 	YZ	74546420
494524	1686	1996-11-08	VYDAJ	PREVOD NA UCET	1225	37344	 	YZ	74546420
494525	1686	1996-12-08	VYDAJ	PREVOD NA UCET	1225	36173	 	YZ	74546420
494526	1686	1997-01-08	VYDAJ	PREVOD NA UCET	1225	34963	 	YZ	74546420
494527	1686	1997-02-08	VYDAJ	PREVOD NA UCET	1225	27889	 	YZ	74546420
494528	1686	1997-03-08	VYDAJ	PREVOD NA UCET	1225	36678	 	YZ	74546420
494529	1686	1997-04-08	VYDAJ	PREVOD NA UCET	1225	42796	 	YZ	74546420
494530	1686	1997-05-08	VYDAJ	PREVOD NA UCET	1225	47042	 	YZ	74546420
494531	1686	1997-06-08	VYDAJ	PREVOD NA UCET	1225	32708	 	YZ	74546420
494532	1686	1997-07-08	VYDAJ	PREVOD NA UCET	1225	41209	 	YZ	74546420
494533	1686	1997-08-08	VYDAJ	PREVOD NA UCET	1225	44253	 	YZ	74546420
494534	1686	1997-09-08	VYDAJ	PREVOD NA UCET	1225	42328	 	YZ	74546420
494535	1686	1997-10-08	VYDAJ	PREVOD NA UCET	1225	47278	 	YZ	74546420
494536	1686	1997-11-08	VYDAJ	PREVOD NA UCET	1225	49405	 	YZ	74546420
494537	1686	1997-12-08	VYDAJ	PREVOD NA UCET	1225	43980	 	YZ	74546420
494538	1686	1998-01-08	VYDAJ	PREVOD NA UCET	1225	37186	 	YZ	74546420
494539	1686	1998-02-08	VYDAJ	PREVOD NA UCET	1225	34825	 	YZ	74546420
494540	1686	1998-03-08	VYDAJ	PREVOD NA UCET	1225	39217	 	YZ	74546420
494541	1686	1998-04-08	VYDAJ	PREVOD NA UCET	1225	40751	 	YZ	74546420
494542	1686	1998-05-08	VYDAJ	PREVOD NA UCET	1225	41992	 	YZ	74546420
494543	1686	1998-06-08	VYDAJ	PREVOD NA UCET	1225	30736	 	YZ	74546420
494544	1686	1998-07-08	VYDAJ	PREVOD NA UCET	1225	36121	 	YZ	74546420
494545	1686	1998-08-08	VYDAJ	PREVOD NA UCET	1225	36063	 	YZ	74546420
494546	1686	1998-09-08	VYDAJ	PREVOD NA UCET	1225	40490	 	YZ	74546420
494547	1686	1998-10-08	VYDAJ	PREVOD NA UCET	1225	39104	 	YZ	74546420
494548	1686	1998-11-08	VYDAJ	PREVOD NA UCET	1225	38997	 	YZ	74546420
494549	1686	1998-12-08	VYDAJ	PREVOD NA UCET	1225	44034	 	YZ	74546420
494552	1686	1995-06-27	VYDAJ	VYBER	13760	16700	\N	\N	\N
494554	1686	1997-06-01	VYDAJ	VYBER	19200	33933	\N	\N	\N
494555	1686	1998-06-07	VYDAJ	VYBER	10400	31961	\N	\N	\N
494559	1686	1996-01-23	VYDAJ	VYBER	2880	21012	\N	\N	\N
494560	1686	1997-01-25	VYDAJ	VYBER	8000	17807	\N	\N	\N
494561	1686	1998-01-04	VYDAJ	VYBER	2560	38411	\N	\N	\N
494563	1686	1994-12-16	VYDAJ	VYBER	1600	26535	\N	\N	\N
494564	1686	1995-12-08	VYDAJ	VYBER	3840	33549	\N	\N	\N
494565	1686	1996-12-14	VYDAJ	VYBER	4000	36845	\N	\N	\N
494566	1686	1997-12-09	VYDAJ	VYBER	960	43020	\N	\N	\N
494567	1686	1998-12-13	VYDAJ	VYBER	1920	46786	\N	\N	\N
494580	1686	1995-01-28	VYDAJ	VYBER	1320	18808	\N	\N	\N
494581	1686	1995-01-30	VYDAJ	VYBER	2520	16288	\N	\N	\N
494582	1686	1995-01-11	VYDAJ	VYBER	840	25968	\N	\N	\N
494583	1686	1995-01-15	VYDAJ	VYBER	3360	23008	\N	\N	\N
494584	1686	1995-01-18	VYDAJ	VYBER	2040	20968	\N	\N	\N
494585	1686	1995-01-18	VYDAJ	VYBER	840	20128	\N	\N	\N
494586	1686	1996-01-23	VYDAJ	VYBER	3240	23892	\N	\N	\N
494587	1686	1996-01-18	VYDAJ	VYBER	3240	30012	\N	\N	\N
494588	1686	1996-01-19	VYDAJ	VYBER	2880	27132	\N	\N	\N
494589	1686	1996-01-16	VYDAJ	VYBER	3480	33252	\N	\N	\N
494590	1686	1996-01-28	VYDAJ	VYBER	2520	18492	\N	\N	\N
494591	1686	1996-01-10	VYDAJ	VYBER	1440	38264	\N	\N	\N
494592	1686	1997-01-19	VYDAJ	VYBER	1680	25807	\N	\N	\N
494593	1686	1997-01-11	VYDAJ	VYBER	3480	35619	\N	\N	\N
494594	1686	1997-01-17	VYDAJ	VYBER	1680	27487	\N	\N	\N
494595	1686	1997-01-06	VYDAJ	VYBER	1800	36188	\N	\N	\N
494596	1686	1997-01-15	VYDAJ	VYBER	2280	31807	\N	\N	\N
494597	1686	1997-01-17	VYDAJ	VYBER	2640	29167	\N	\N	\N
494598	1686	1998-01-30	VYDAJ	VYBER	840	35910	\N	\N	\N
494599	1686	1998-01-23	VYDAJ	VYBER	3360	32950	\N	\N	\N
494600	1686	1998-01-01	VYDAJ	VYBER	3120	42651	\N	\N	\N
494601	1686	1998-01-02	VYDAJ	VYBER	1680	40971	\N	\N	\N
494602	1686	1998-01-17	VYDAJ	VYBER	2160	36310	\N	\N	\N
494603	1686	1998-01-13	VYDAJ	VYBER	1320	38470	\N	\N	\N
494607	1686	1994-11-05	VYDAJ	VYBER	2040	27033	\N	\N	\N
494608	1686	1994-07-31	VYDAJ	VYBER	3240	25750	\N	\N	\N
494610	1686	1994-12-02	VYDAJ	VYBER	2520	22988	\N	\N	\N
494611	1686	1994-05-27	VYDAJ	VYBER	3840	20375	\N	\N	\N
494613	1686	1995-06-26	VYDAJ	VYBER	1920	30460	\N	\N	\N
494614	1686	1995-05-21	VYDAJ	VYBER	1920	28027	\N	\N	\N
494615	1686	1995-07-16	VYDAJ	VYBER	600	20888	\N	\N	\N
494616	1686	1995-11-16	VYDAJ	VYBER	600	36457	\N	\N	\N
494617	1686	1995-12-28	VYDAJ	VYBER	1440	35556	\N	\N	\N
494618	1686	1995-01-01	VYDAJ	VYBER	1200	25429	\N	\N	\N
494619	1686	1996-08-11	VYDAJ	VYBER	720	39794	\N	\N	\N
494620	1686	1996-10-09	VYDAJ	VYBER	2520	37215	\N	\N	\N
494621	1686	1996-09-19	VYDAJ	VYBER	1680	39509	\N	\N	\N
494622	1686	1997-10-09	VYDAJ	VYBER	840	46438	\N	\N	\N
494623	1686	1997-12-02	VYDAJ	VYBER	2400	45205	\N	\N	\N
494624	1686	1997-08-28	VYDAJ	VYBER	2280	44577	\N	\N	\N
494625	1686	1998-02-10	VYDAJ	VYBER	3120	35841	\N	\N	\N
494626	1686	1998-08-02	VYDAJ	VYBER	2880	37288	\N	\N	\N
494627	1686	1998-10-28	VYDAJ	VYBER	2040	40068	\N	\N	\N
494628	1686	1998-09-20	VYDAJ	VYBER	4320	38774	\N	\N	\N
494645	1686	1994-04-30	VYDAJ	VYBER	15	26536	SLUZBY	\N	\N
494646	1686	1994-05-31	VYDAJ	VYBER	15	20465	SLUZBY	\N	\N
494647	1686	1994-06-30	VYDAJ	VYBER	15	25696	SLUZBY	\N	\N
494648	1686	1994-07-31	VYDAJ	VYBER	15	25735	SLUZBY	\N	\N
494649	1686	1994-08-31	VYDAJ	VYBER	15	26109	SLUZBY	\N	\N
494650	1686	1994-09-30	VYDAJ	VYBER	15	28288	SLUZBY	\N	\N
494651	1686	1994-10-31	VYDAJ	VYBER	15	29073	SLUZBY	\N	\N
494652	1686	1994-11-30	VYDAJ	VYBER	15	25508	SLUZBY	\N	\N
494653	1686	1994-12-31	VYDAJ	VYBER	15	26629	SLUZBY	\N	\N
494654	1686	1995-01-31	VYDAJ	VYBER	15	16370	SLUZBY	\N	\N
494655	1686	1995-02-28	VYDAJ	VYBER	15	22820	SLUZBY	\N	\N
494656	1686	1995-03-31	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
494657	1686	1995-04-30	VYDAJ	VYBER	15	29068	SLUZBY	\N	\N
494658	1686	1995-05-31	VYDAJ	VYBER	15	28133	SLUZBY	\N	\N
494659	1686	1995-06-30	VYDAJ	VYBER	15	16809	SLUZBY	\N	\N
494660	1686	1995-07-31	VYDAJ	VYBER	15	20957	SLUZBY	\N	\N
494661	1686	1995-08-31	VYDAJ	VYBER	15	23215	SLUZBY	\N	\N
494662	1686	1995-09-30	VYDAJ	VYBER	15	27187	SLUZBY	\N	\N
494663	1686	1995-10-31	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
494664	1686	1995-11-30	VYDAJ	VYBER	15	36589	SLUZBY	\N	\N
494665	1686	1995-12-31	VYDAJ	VYBER	15	35693	SLUZBY	\N	\N
494666	1686	1996-01-31	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
494667	1686	1996-02-29	VYDAJ	VYBER	15	26367	SLUZBY	\N	\N
494668	1686	1996-03-31	VYDAJ	VYBER	15	31356	SLUZBY	\N	\N
494669	1686	1996-04-30	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
494670	1686	1996-05-31	VYDAJ	VYBER	15	38485	SLUZBY	\N	\N
494671	1686	1996-06-30	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
494672	1686	1996-07-31	VYDAJ	VYBER	15	39203	SLUZBY	\N	\N
494673	1686	1996-08-31	VYDAJ	VYBER	15	38410	SLUZBY	\N	\N
494674	1686	1996-09-30	VYDAJ	VYBER	15	39660	SLUZBY	\N	\N
494675	1686	1996-10-31	VYDAJ	VYBER	15	39969	SLUZBY	\N	\N
494676	1686	1996-11-30	VYDAJ	VYBER	15	40098	SLUZBY	\N	\N
494677	1686	1996-12-31	VYDAJ	VYBER	15	36988	SLUZBY	\N	\N
494678	1686	1997-01-31	VYDAJ	VYBER	15	29114	SLUZBY	\N	\N
494679	1686	1997-02-28	VYDAJ	VYBER	15	30603	SLUZBY	\N	\N
494680	1686	1997-03-31	VYDAJ	VYBER	15	39421	SLUZBY	\N	\N
494681	1686	1997-04-30	VYDAJ	VYBER	15	45567	SLUZBY	\N	\N
494682	1686	1997-05-31	VYDAJ	VYBER	15	53133	SLUZBY	\N	\N
494683	1686	1997-06-30	VYDAJ	VYBER	15	42434	SLUZBY	\N	\N
494684	1686	1997-07-31	VYDAJ	VYBER	15	45478	SLUZBY	\N	\N
494685	1686	1997-08-31	VYDAJ	VYBER	15	43553	SLUZBY	\N	\N
494686	1686	1997-09-30	VYDAJ	VYBER	15	48503	SLUZBY	\N	\N
494687	1686	1997-10-31	VYDAJ	VYBER	15	50630	SLUZBY	\N	\N
494688	1686	1997-11-30	VYDAJ	VYBER	15	47605	SLUZBY	\N	\N
494689	1686	1997-12-31	VYDAJ	VYBER	15	45771	SLUZBY	\N	\N
494690	1686	1998-01-31	VYDAJ	VYBER	15	36050	SLUZBY	\N	\N
494691	1686	1998-02-28	VYDAJ	VYBER	15	40442	SLUZBY	\N	\N
494692	1686	1998-03-31	VYDAJ	VYBER	15	41976	SLUZBY	\N	\N
494693	1686	1998-04-30	VYDAJ	VYBER	15	43217	SLUZBY	\N	\N
494694	1686	1998-05-31	VYDAJ	VYBER	15	42361	SLUZBY	\N	\N
494695	1686	1998-06-30	VYDAJ	VYBER	15	37346	SLUZBY	\N	\N
494696	1686	1998-07-31	VYDAJ	VYBER	15	40168	SLUZBY	\N	\N
494697	1686	1998-08-31	VYDAJ	VYBER	15	41715	SLUZBY	\N	\N
494698	1686	1998-09-30	VYDAJ	VYBER	15	40329	SLUZBY	\N	\N
494699	1686	1998-10-31	VYDAJ	VYBER	15	40222	SLUZBY	\N	\N
494700	1686	1998-11-30	VYDAJ	VYBER	15	45259	SLUZBY	\N	\N
494701	1686	1993-12-18	PRIJEM	VKLAD	7400	14504	\N	\N	\N
494702	1686	1994-01-17	PRIJEM	VKLAD	4600	23267	\N	\N	\N
494703	1686	1994-02-16	VYDAJ	VYBER	800	26681	\N	\N	\N
494704	1686	1994-03-18	VYDAJ	VYBER	4000	26921	\N	\N	\N
494705	1686	1994-04-17	VYDAJ	VYBER	3200	26437	\N	\N	\N
494706	1686	1994-05-17	VYDAJ	VYBER	3700	24215	\N	\N	\N
494707	1686	1994-06-16	PRIJEM	VKLAD	1700	25612	\N	\N	\N
494708	1686	1994-07-16	PRIJEM	VKLAD	1800	28875	\N	\N	\N
494709	1686	1994-08-15	VYDAJ	VYBER	1100	26014	\N	\N	\N
494710	1686	1994-09-14	PRIJEM	VKLAD	700	28188	\N	\N	\N
494711	1686	1994-10-14	VYDAJ	VYBER	700	28967	\N	\N	\N
494712	1686	1994-11-13	VYDAJ	VYBER	3000	25412	\N	\N	\N
494713	1686	1994-12-13	PRIJEM	VKLAD	1700	28135	\N	\N	\N
494714	1686	1995-01-12	PRIJEM	VKLAD	400	26368	\N	\N	\N
494715	1686	1995-02-11	PRIJEM	VKLAD	5000	24281	\N	\N	\N
494716	1686	1995-03-13	PRIJEM	VKLAD	1400	25599	\N	\N	\N
494717	1686	1995-04-12	PRIJEM	VKLAD	1900	28966	\N	\N	\N
494718	1686	1995-05-12	VYDAJ	VYBER	500	29947	\N	\N	\N
494719	1686	1995-06-11	PRIJEM	VKLAD	800	33912	\N	\N	\N
494720	1686	1995-07-11	PRIJEM	VKLAD	3300	23020	\N	\N	\N
494721	1686	1995-08-10	PRIJEM	VKLAD	800	24668	\N	\N	\N
494722	1686	1995-09-09	PRIJEM	VKLAD	2500	24490	\N	\N	\N
494723	1686	1995-10-09	PRIJEM	VKLAD	2900	28862	\N	\N	\N
494724	1686	1995-11-08	PRIJEM	VKLAD	4100	35678	\N	\N	\N
494725	1686	1995-12-08	PRIJEM	VKLAD	800	37389	\N	\N	\N
494726	1686	1996-01-07	PRIJEM	VKLAD	1100	36793	\N	\N	\N
494727	1686	1996-02-06	PRIJEM	VKLAD	6300	24902	\N	\N	\N
494728	1686	1996-03-07	PRIJEM	VKLAD	3500	29867	\N	\N	\N
494729	1686	1996-04-06	PRIJEM	VKLAD	3200	34556	\N	\N	\N
494730	1686	1996-05-06	PRIJEM	VKLAD	900	36964	\N	\N	\N
494731	1686	1996-06-05	VYDAJ	VYBER	3200	35285	\N	\N	\N
494732	1686	1996-07-05	VYDAJ	VYBER	1200	37677	\N	\N	\N
494733	1686	1996-08-04	VYDAJ	VYBER	1600	37603	\N	\N	\N
494734	1686	1996-09-03	PRIJEM	VKLAD	1400	39810	\N	\N	\N
494735	1686	1996-10-03	PRIJEM	VKLAD	1300	40960	\N	\N	\N
494736	1686	1996-11-02	VYDAJ	VYBER	1400	38569	\N	\N	\N
494737	1686	1996-12-02	VYDAJ	VYBER	2700	37398	\N	\N	\N
494738	1686	1997-01-01	PRIJEM	VKLAD	1000	37988	\N	\N	\N
494739	1686	1997-01-31	PRIJEM	VKLAD	11200	29007	\N	\N	\N
494740	1686	1997-03-02	PRIJEM	VKLAD	7300	37903	\N	\N	\N
494741	1686	1997-04-01	PRIJEM	VKLAD	4600	44021	\N	\N	\N
494742	1686	1997-05-01	PRIJEM	VKLAD	2700	48267	\N	\N	\N
494743	1686	1997-05-31	PRIJEM	VKLAD	3300	53147	\N	\N	\N
494744	1686	1997-06-30	PRIJEM	VKLAD	4900	42280	\N	\N	\N
494745	1686	1997-07-30	PRIJEM	VKLAD	1500	45313	\N	\N	\N
494746	1686	1997-08-29	VYDAJ	VYBER	1200	43377	\N	\N	\N
494747	1686	1997-09-28	PRIJEM	VKLAD	3400	48332	\N	\N	\N
494748	1686	1997-10-28	PRIJEM	VKLAD	1400	50442	\N	\N	\N
494749	1686	1997-11-27	VYDAJ	VYBER	4600	47409	\N	\N	\N
494750	1686	1997-12-27	VYDAJ	VYBER	2100	45592	\N	\N	\N
494751	1686	1998-01-26	PRIJEM	VKLAD	3800	36750	\N	\N	\N
494752	1686	1998-02-25	PRIJEM	VKLAD	6000	40309	\N	\N	\N
494753	1686	1998-04-26	VYDAJ	VYBER	300	43055	\N	\N	\N
494754	1686	1998-05-26	VYDAJ	VYBER	2400	42196	\N	\N	\N
494755	1686	1998-06-25	PRIJEM	VKLAD	1800	37208	\N	\N	\N
494756	1686	1998-07-25	PRIJEM	VKLAD	1300	40025	\N	\N	\N
494757	1686	1998-08-24	PRIJEM	VKLAD	2900	41567	\N	\N	\N
494758	1686	1998-09-23	PRIJEM	VKLAD	1400	40174	\N	\N	\N
494759	1686	1998-10-23	PRIJEM	VKLAD	400	42108	\N	\N	\N
494760	1686	1998-11-22	PRIJEM	VKLAD	3500	45101	\N	\N	\N
494822	1687	1997-04-18	PRIJEM	VKLAD	200	200	\N	\N	\N
494827	1687	1997-05-09	PRIJEM	PREVOD Z UCTU	4260	4460	DUCHOD	MN	75231045
494828	1687	1997-06-09	PRIJEM	PREVOD Z UCTU	4260	8720	DUCHOD	MN	75231045
494829	1687	1997-07-09	PRIJEM	PREVOD Z UCTU	4260	12980	DUCHOD	MN	75231045
494830	1687	1997-08-09	PRIJEM	PREVOD Z UCTU	4260	17240	DUCHOD	MN	75231045
494831	1687	1997-09-09	PRIJEM	PREVOD Z UCTU	4260	18731	DUCHOD	MN	75231045
494832	1687	1997-10-09	PRIJEM	PREVOD Z UCTU	4260	18135	DUCHOD	MN	75231045
494833	1687	1997-11-09	PRIJEM	PREVOD Z UCTU	4260	13834	DUCHOD	MN	75231045
494834	1687	1997-12-09	PRIJEM	PREVOD Z UCTU	4260	18134	DUCHOD	MN	75231045
494835	1687	1998-01-09	PRIJEM	PREVOD Z UCTU	4260	17354	DUCHOD	MN	75231045
494836	1687	1998-02-09	PRIJEM	PREVOD Z UCTU	4260	9668	DUCHOD	MN	75231045
494837	1687	1998-03-09	PRIJEM	PREVOD Z UCTU	4260	12750	DUCHOD	MN	75231045
494838	1687	1998-04-09	PRIJEM	PREVOD Z UCTU	4260	14714	DUCHOD	MN	75231045
494839	1687	1998-05-09	PRIJEM	PREVOD Z UCTU	4260	15910	DUCHOD	MN	75231045
494840	1687	1998-06-09	PRIJEM	PREVOD Z UCTU	4260	5318	DUCHOD	MN	75231045
494841	1687	1998-07-09	PRIJEM	PREVOD Z UCTU	4260	6294	DUCHOD	MN	75231045
494842	1687	1998-08-09	PRIJEM	PREVOD Z UCTU	4260	9362	DUCHOD	MN	75231045
494843	1687	1998-09-09	PRIJEM	PREVOD Z UCTU	4260	13643	DUCHOD	MN	75231045
494844	1687	1998-10-09	PRIJEM	PREVOD Z UCTU	4260	16434	DUCHOD	MN	75231045
494845	1687	1998-11-09	PRIJEM	PREVOD Z UCTU	4260	13389	DUCHOD	MN	75231045
494846	1687	1998-12-09	PRIJEM	PREVOD Z UCTU	4260	16387	DUCHOD	MN	75231045
494856	1687	1997-10-10	VYDAJ	VYBER	1400	16735	SIPO	\N	0
494857	1687	1997-11-05	VYDAJ	VYBER	1500	9574	SIPO	\N	0
494858	1687	1997-12-13	VYDAJ	VYBER	1400	16734	SIPO	\N	0
494859	1687	1998-01-10	VYDAJ	VYBER	1400	13794	SIPO	\N	0
494860	1687	1998-02-03	VYDAJ	VYBER	1300	5408	SIPO	\N	0
494861	1687	1998-02-28	VYDAJ	VYBER	1200	8505	SIPO	\N	0
494862	1687	1998-04-11	VYDAJ	VYBER	1700	13014	SIPO	\N	0
494863	1687	1998-05-02	VYDAJ	VYBER	1400	11650	SIPO	\N	0
494864	1687	1998-06-15	VYDAJ	VYBER	1600	3718	SIPO	\N	0
494865	1687	1998-07-05	VYDAJ	VYBER	1700	2034	SIPO	\N	0
494866	1687	1998-08-02	VYDAJ	VYBER	1200	5102	SIPO	\N	0
494867	1687	1998-09-14	VYDAJ	VYBER	1500	12143	SIPO	\N	0
494868	1687	1998-10-11	VYDAJ	VYBER	1600	13534	SIPO	\N	0
494869	1687	1998-11-02	VYDAJ	VYBER	1800	9129	SIPO	\N	0
494870	1687	1998-12-03	VYDAJ	VYBER	1300	12127	SIPO	\N	0
494872	1687	1998-06-01	VYDAJ	VYBER	14500	1058	\N	\N	\N
494874	1687	1998-01-21	VYDAJ	VYBER	2000	10834	\N	\N	\N
494875	1687	1997-12-23	VYDAJ	VYBER	650	16084	\N	\N	\N
494876	1687	1998-12-09	VYDAJ	VYBER	800	15587	\N	\N	\N
494883	1687	1998-01-12	VYDAJ	VYBER	960	12834	\N	\N	\N
494884	1687	1998-01-01	VYDAJ	VYBER	2160	13974	\N	\N	\N
494885	1687	1998-01-25	VYDAJ	VYBER	2160	6674	\N	\N	\N
494886	1687	1998-01-10	VYDAJ	VYBER	2160	15194	\N	\N	\N
494887	1687	1998-01-06	VYDAJ	VYBER	880	13094	\N	\N	\N
494888	1687	1998-01-23	VYDAJ	VYBER	2000	8834	\N	\N	\N
494892	1687	1998-10-17	VYDAJ	VYBER	2640	10894	\N	\N	\N
494893	1687	1998-03-19	VYDAJ	VYBER	2320	10430	\N	\N	\N
494894	1687	1998-05-19	VYDAJ	VYBER	400	15510	\N	\N	\N
494904	1687	1997-09-30	VYDAJ	VYBER	15	13875	SLUZBY	\N	\N
494905	1687	1997-10-31	VYDAJ	VYBER	15	11074	SLUZBY	\N	\N
494906	1687	1997-11-30	VYDAJ	VYBER	15	13874	SLUZBY	\N	\N
494907	1687	1997-12-31	VYDAJ	VYBER	15	16134	SLUZBY	\N	\N
494908	1687	1998-01-31	VYDAJ	VYBER	15	6708	SLUZBY	\N	\N
494909	1687	1998-02-28	VYDAJ	VYBER	15	8490	SLUZBY	\N	\N
494910	1687	1998-03-31	VYDAJ	VYBER	15	10454	SLUZBY	\N	\N
494911	1687	1998-04-30	VYDAJ	VYBER	15	13050	SLUZBY	\N	\N
494912	1687	1998-05-31	VYDAJ	VYBER	15	15558	SLUZBY	\N	\N
494913	1687	1998-06-30	VYDAJ	VYBER	15	3734	SLUZBY	\N	\N
494914	1687	1998-07-31	VYDAJ	VYBER	15	6302	SLUZBY	\N	\N
494915	1687	1998-08-31	VYDAJ	VYBER	15	9383	SLUZBY	\N	\N
494916	1687	1998-09-30	VYDAJ	VYBER	15	12174	SLUZBY	\N	\N
494917	1687	1998-10-31	VYDAJ	VYBER	15	10929	SLUZBY	\N	\N
494918	1687	1998-11-30	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
494919	1687	1997-08-16	VYDAJ	VYBER	2800	14440	\N	\N	\N
494920	1687	1997-09-15	VYDAJ	VYBER	4900	13831	\N	\N	\N
494921	1687	1997-10-15	VYDAJ	VYBER	5700	11035	\N	\N	\N
494922	1687	1998-10-10	VYDAJ	VYBER	1300	15134	\N	\N	\N
494941	1688	1993-02-27	PRIJEM	VKLAD	800	800	\N	\N	\N
494944	1688	1993-03-09	PRIJEM	PREVOD Z UCTU	5439	6239	DUCHOD	QR	99495708
494945	1688	1993-04-09	PRIJEM	PREVOD Z UCTU	5439	11678	DUCHOD	QR	99495708
494946	1688	1993-05-09	PRIJEM	PREVOD Z UCTU	5439	17117	DUCHOD	QR	99495708
494947	1688	1993-06-09	PRIJEM	PREVOD Z UCTU	5439	22556	DUCHOD	QR	99495708
494948	1688	1993-07-09	PRIJEM	PREVOD Z UCTU	5439	27995	DUCHOD	QR	99495708
494949	1688	1993-08-09	PRIJEM	PREVOD Z UCTU	5439	28511	DUCHOD	QR	99495708
494950	1688	1993-09-09	PRIJEM	PREVOD Z UCTU	5439	27220	DUCHOD	QR	99495708
494951	1688	1993-10-09	PRIJEM	PREVOD Z UCTU	5439	27767	DUCHOD	QR	99495708
494952	1688	1993-11-09	PRIJEM	PREVOD Z UCTU	5439	30415	DUCHOD	QR	99495708
494953	1688	1993-12-09	PRIJEM	PREVOD Z UCTU	5439	29709	DUCHOD	QR	99495708
494954	1688	1994-01-09	PRIJEM	PREVOD Z UCTU	5439	31403	DUCHOD	QR	99495708
494955	1688	1994-02-09	PRIJEM	PREVOD Z UCTU	5439	28960	DUCHOD	QR	99495708
494956	1688	1994-03-09	PRIJEM	PREVOD Z UCTU	5439	29650	DUCHOD	QR	99495708
494957	1688	1994-04-09	PRIJEM	PREVOD Z UCTU	5439	28059	DUCHOD	QR	99495708
494958	1688	1994-05-09	PRIJEM	PREVOD Z UCTU	5439	28245	DUCHOD	QR	99495708
494959	1688	1994-06-09	PRIJEM	PREVOD Z UCTU	5439	27930	DUCHOD	QR	99495708
494960	1688	1994-07-09	PRIJEM	PREVOD Z UCTU	5439	23293	DUCHOD	QR	99495708
494961	1688	1994-08-09	PRIJEM	PREVOD Z UCTU	5439	24559	DUCHOD	QR	99495708
494962	1688	1994-09-09	PRIJEM	PREVOD Z UCTU	5439	27733	DUCHOD	QR	99495708
494963	1688	1994-10-09	PRIJEM	PREVOD Z UCTU	5439	25812	DUCHOD	QR	99495708
494964	1688	1994-11-09	PRIJEM	PREVOD Z UCTU	5439	23523	DUCHOD	QR	99495708
494965	1688	1994-12-09	PRIJEM	PREVOD Z UCTU	5439	21606	DUCHOD	QR	99495708
494966	1688	1995-01-09	PRIJEM	PREVOD Z UCTU	5439	22184	DUCHOD	QR	99495708
494967	1688	1995-02-09	PRIJEM	PREVOD Z UCTU	5439	24847	DUCHOD	QR	99495708
494968	1688	1995-03-09	PRIJEM	PREVOD Z UCTU	5439	24415	DUCHOD	QR	99495708
494969	1688	1995-04-09	PRIJEM	PREVOD Z UCTU	5439	26186	DUCHOD	QR	99495708
494970	1688	1995-05-09	PRIJEM	PREVOD Z UCTU	5439	21438	DUCHOD	QR	99495708
494971	1688	1995-06-09	PRIJEM	PREVOD Z UCTU	5439	24698	DUCHOD	QR	99495708
494972	1688	1995-07-09	PRIJEM	PREVOD Z UCTU	5439	20224	DUCHOD	QR	99495708
494973	1688	1995-08-09	PRIJEM	PREVOD Z UCTU	5439	22582	DUCHOD	QR	99495708
494974	1688	1995-09-09	PRIJEM	PREVOD Z UCTU	5439	22541	DUCHOD	QR	99495708
494975	1688	1995-10-09	PRIJEM	PREVOD Z UCTU	5439	25405	DUCHOD	QR	99495708
494976	1688	1995-11-09	PRIJEM	PREVOD Z UCTU	5439	24093	DUCHOD	QR	99495708
494977	1688	1995-12-09	PRIJEM	PREVOD Z UCTU	5439	24157	DUCHOD	QR	99495708
494978	1688	1996-01-09	PRIJEM	PREVOD Z UCTU	5439	25926	DUCHOD	QR	99495708
494979	1688	1996-02-09	PRIJEM	PREVOD Z UCTU	5439	24755	DUCHOD	QR	99495708
494980	1688	1996-03-09	PRIJEM	PREVOD Z UCTU	5439	27728	DUCHOD	QR	99495708
494981	1688	1996-04-09	PRIJEM	PREVOD Z UCTU	5439	27406	DUCHOD	QR	99495708
494982	1688	1996-05-09	PRIJEM	PREVOD Z UCTU	5439	24675	DUCHOD	QR	99495708
494983	1688	1996-06-09	PRIJEM	PREVOD Z UCTU	5439	17088	DUCHOD	QR	99495708
494984	1688	1996-07-09	PRIJEM	PREVOD Z UCTU	5439	17153	DUCHOD	QR	99495708
494985	1688	1996-08-09	PRIJEM	PREVOD Z UCTU	5439	19194	DUCHOD	QR	99495708
494986	1688	1996-09-09	PRIJEM	PREVOD Z UCTU	5439	20125	DUCHOD	QR	99495708
494987	1688	1996-10-09	PRIJEM	PREVOD Z UCTU	5439	23382	DUCHOD	QR	99495708
494988	1688	1996-11-09	PRIJEM	PREVOD Z UCTU	5439	22508	DUCHOD	QR	99495708
494989	1688	1996-12-09	PRIJEM	PREVOD Z UCTU	5439	23674	DUCHOD	QR	99495708
494990	1688	1997-01-09	PRIJEM	PREVOD Z UCTU	5439	22045	DUCHOD	QR	99495708
494991	1688	1997-02-09	PRIJEM	PREVOD Z UCTU	5439	18739	DUCHOD	QR	99495708
494992	1688	1997-03-09	PRIJEM	PREVOD Z UCTU	5439	18548	DUCHOD	QR	99495708
494993	1688	1997-04-09	PRIJEM	PREVOD Z UCTU	5439	18118	DUCHOD	QR	99495708
494994	1688	1997-05-09	PRIJEM	PREVOD Z UCTU	5439	17683	DUCHOD	QR	99495708
494995	1688	1997-06-09	PRIJEM	PREVOD Z UCTU	5439	20327	DUCHOD	QR	99495708
494996	1688	1997-07-09	PRIJEM	PREVOD Z UCTU	5439	22482	DUCHOD	QR	99495708
494997	1688	1997-08-09	PRIJEM	PREVOD Z UCTU	5439	24866	DUCHOD	QR	99495708
494998	1688	1997-09-09	PRIJEM	PREVOD Z UCTU	5439	25640	DUCHOD	QR	99495708
494999	1688	1997-10-09	PRIJEM	PREVOD Z UCTU	5439	25919	DUCHOD	QR	99495708
495000	1688	1997-11-09	PRIJEM	PREVOD Z UCTU	5439	22200	DUCHOD	QR	99495708
495001	1688	1997-12-09	PRIJEM	PREVOD Z UCTU	5439	20068	DUCHOD	QR	99495708
495002	1688	1998-01-09	PRIJEM	PREVOD Z UCTU	5439	18225	DUCHOD	QR	99495708
495003	1688	1998-02-09	PRIJEM	PREVOD Z UCTU	5439	16129	DUCHOD	QR	99495708
495004	1688	1998-03-09	PRIJEM	PREVOD Z UCTU	5439	19369	DUCHOD	QR	99495708
495005	1688	1998-04-09	PRIJEM	PREVOD Z UCTU	5439	22619	DUCHOD	QR	99495708
495006	1688	1998-05-09	PRIJEM	PREVOD Z UCTU	5439	25583	DUCHOD	QR	99495708
495007	1688	1998-06-09	PRIJEM	PREVOD Z UCTU	5439	26259	DUCHOD	QR	99495708
495008	1688	1998-07-09	PRIJEM	PREVOD Z UCTU	5439	24554	DUCHOD	QR	99495708
495009	1688	1998-08-09	PRIJEM	PREVOD Z UCTU	5439	27226	DUCHOD	QR	99495708
495010	1688	1998-09-09	PRIJEM	PREVOD Z UCTU	5439	29948	DUCHOD	QR	99495708
495011	1688	1998-10-09	PRIJEM	PREVOD Z UCTU	5439	30997	DUCHOD	QR	99495708
495012	1688	1998-11-09	PRIJEM	PREVOD Z UCTU	5439	34295	DUCHOD	QR	99495708
495013	1688	1998-12-09	PRIJEM	PREVOD Z UCTU	5439	36243	DUCHOD	QR	99495708
495021	1688	1993-08-08	VYDAJ	PREVOD NA UCET	2249	23072	SIPO	OP	80142312
495022	1688	1993-09-08	VYDAJ	PREVOD NA UCET	2249	21781	SIPO	OP	80142312
495023	1688	1993-10-08	VYDAJ	PREVOD NA UCET	2249	22328	SIPO	OP	80142312
495024	1688	1993-11-08	VYDAJ	PREVOD NA UCET	2249	24976	SIPO	OP	80142312
495025	1688	1993-12-08	VYDAJ	PREVOD NA UCET	2249	24270	SIPO	OP	80142312
495026	1688	1994-01-08	VYDAJ	PREVOD NA UCET	2249	25964	SIPO	OP	80142312
495027	1688	1994-02-08	VYDAJ	PREVOD NA UCET	2249	23521	SIPO	OP	80142312
495028	1688	1994-03-08	VYDAJ	PREVOD NA UCET	2249	24211	SIPO	OP	80142312
495029	1688	1994-04-08	VYDAJ	PREVOD NA UCET	2249	22620	SIPO	OP	80142312
495030	1688	1994-05-08	VYDAJ	PREVOD NA UCET	2249	22806	SIPO	OP	80142312
495031	1688	1994-06-08	VYDAJ	PREVOD NA UCET	2249	22491	SIPO	OP	80142312
495032	1688	1994-07-08	VYDAJ	PREVOD NA UCET	2249	17854	SIPO	OP	80142312
495033	1688	1994-08-08	VYDAJ	PREVOD NA UCET	2249	19120	SIPO	OP	80142312
495034	1688	1994-09-08	VYDAJ	PREVOD NA UCET	2249	22294	SIPO	OP	80142312
495035	1688	1994-10-08	VYDAJ	PREVOD NA UCET	2249	20373	SIPO	OP	80142312
495036	1688	1994-11-08	VYDAJ	PREVOD NA UCET	2249	18084	SIPO	OP	80142312
495037	1688	1994-12-08	VYDAJ	PREVOD NA UCET	2249	16167	SIPO	OP	80142312
495038	1688	1995-01-08	VYDAJ	PREVOD NA UCET	2249	16745	SIPO	OP	80142312
495039	1688	1995-02-08	VYDAJ	PREVOD NA UCET	2249	19408	SIPO	OP	80142312
495040	1688	1995-03-08	VYDAJ	PREVOD NA UCET	2249	18976	SIPO	OP	80142312
495041	1688	1995-04-08	VYDAJ	PREVOD NA UCET	2249	20747	SIPO	OP	80142312
495042	1688	1995-05-08	VYDAJ	PREVOD NA UCET	2249	15999	SIPO	OP	80142312
495043	1688	1995-06-08	VYDAJ	PREVOD NA UCET	2249	19259	SIPO	OP	80142312
495044	1688	1995-07-08	VYDAJ	PREVOD NA UCET	2249	14785	SIPO	OP	80142312
495045	1688	1995-08-08	VYDAJ	PREVOD NA UCET	2249	17143	SIPO	OP	80142312
495046	1688	1995-09-08	VYDAJ	PREVOD NA UCET	2249	17102	SIPO	OP	80142312
495047	1688	1995-10-08	VYDAJ	PREVOD NA UCET	2249	19966	SIPO	OP	80142312
495048	1688	1995-11-08	VYDAJ	PREVOD NA UCET	2249	18654	SIPO	OP	80142312
495049	1688	1995-12-08	VYDAJ	PREVOD NA UCET	2249	18718	SIPO	OP	80142312
495050	1688	1996-01-08	VYDAJ	PREVOD NA UCET	2249	20487	SIPO	OP	80142312
495051	1688	1996-02-08	VYDAJ	PREVOD NA UCET	2249	19316	SIPO	OP	80142312
495052	1688	1996-03-08	VYDAJ	PREVOD NA UCET	2249	22289	SIPO	OP	80142312
495053	1688	1996-04-08	VYDAJ	PREVOD NA UCET	2249	21967	SIPO	OP	80142312
495054	1688	1996-05-08	VYDAJ	PREVOD NA UCET	2249	19236	SIPO	OP	80142312
495055	1688	1996-06-08	VYDAJ	PREVOD NA UCET	2249	11649	SIPO	OP	80142312
495056	1688	1996-07-08	VYDAJ	PREVOD NA UCET	2249	11714	SIPO	OP	80142312
495057	1688	1996-08-08	VYDAJ	PREVOD NA UCET	2249	13755	SIPO	OP	80142312
495058	1688	1996-09-08	VYDAJ	PREVOD NA UCET	2249	17006	SIPO	OP	80142312
495059	1688	1996-10-08	VYDAJ	PREVOD NA UCET	2249	17943	SIPO	OP	80142312
495060	1688	1996-11-08	VYDAJ	PREVOD NA UCET	2249	17069	SIPO	OP	80142312
495061	1688	1996-12-08	VYDAJ	PREVOD NA UCET	2249	19135	SIPO	OP	80142312
495062	1688	1997-01-08	VYDAJ	PREVOD NA UCET	2249	16606	SIPO	OP	80142312
495063	1688	1997-02-08	VYDAJ	PREVOD NA UCET	2249	13300	SIPO	OP	80142312
495064	1688	1997-03-08	VYDAJ	PREVOD NA UCET	2249	13109	SIPO	OP	80142312
495065	1688	1997-04-08	VYDAJ	PREVOD NA UCET	2249	12679	SIPO	OP	80142312
495066	1688	1997-05-08	VYDAJ	PREVOD NA UCET	2249	12244	SIPO	OP	80142312
495067	1688	1997-06-08	VYDAJ	PREVOD NA UCET	2249	14888	SIPO	OP	80142312
495068	1688	1997-07-08	VYDAJ	PREVOD NA UCET	2249	17043	SIPO	OP	80142312
495069	1688	1997-08-08	VYDAJ	PREVOD NA UCET	2249	19427	SIPO	OP	80142312
495070	1688	1997-09-08	VYDAJ	PREVOD NA UCET	2249	20201	SIPO	OP	80142312
495071	1688	1997-10-08	VYDAJ	PREVOD NA UCET	2249	20480	SIPO	OP	80142312
495072	1688	1997-11-08	VYDAJ	PREVOD NA UCET	2249	16761	SIPO	OP	80142312
495073	1688	1997-12-08	VYDAJ	PREVOD NA UCET	2249	14629	SIPO	OP	80142312
495074	1688	1998-01-08	VYDAJ	PREVOD NA UCET	2249	12786	SIPO	OP	80142312
495075	1688	1998-02-08	VYDAJ	PREVOD NA UCET	2249	10690	SIPO	OP	80142312
495076	1688	1998-03-08	VYDAJ	PREVOD NA UCET	2249	13930	SIPO	OP	80142312
495077	1688	1998-04-08	VYDAJ	PREVOD NA UCET	2249	17180	SIPO	OP	80142312
495078	1688	1998-05-08	VYDAJ	PREVOD NA UCET	2249	20144	SIPO	OP	80142312
495079	1688	1998-06-08	VYDAJ	PREVOD NA UCET	2249	20820	SIPO	OP	80142312
495080	1688	1998-07-08	VYDAJ	PREVOD NA UCET	2249	19115	SIPO	OP	80142312
495081	1688	1998-08-08	VYDAJ	PREVOD NA UCET	2249	21787	SIPO	OP	80142312
495082	1688	1998-09-08	VYDAJ	PREVOD NA UCET	2249	24509	SIPO	OP	80142312
495083	1688	1998-10-08	VYDAJ	PREVOD NA UCET	2249	25558	SIPO	OP	80142312
495084	1688	1998-11-08	VYDAJ	PREVOD NA UCET	2249	28856	SIPO	OP	80142312
495085	1688	1998-12-08	VYDAJ	PREVOD NA UCET	2249	30804	SIPO	OP	80142312
495087	1688	1994-06-19	VYDAJ	VYBER	3750	20820	\N	\N	\N
495089	1688	1996-06-03	VYDAJ	VYBER	6850	13898	\N	\N	\N
495092	1688	1993-12-26	VYDAJ	VYBER	300	28109	\N	\N	\N
495093	1688	1994-12-01	VYDAJ	VYBER	900	18416	\N	\N	\N
495094	1688	1995-12-22	VYDAJ	VYBER	400	22657	\N	\N	\N
495095	1688	1996-12-06	VYDAJ	VYBER	1200	21384	\N	\N	\N
495096	1688	1997-12-17	VYDAJ	VYBER	800	19268	\N	\N	\N
495097	1688	1998-12-30	VYDAJ	VYBER	300	34043	\N	\N	\N
495099	1688	1993-09-03	VYDAJ	VYBER	2480	24030	\N	\N	\N
495100	1688	1993-10-04	VYDAJ	VYBER	1840	24577	\N	\N	\N
495102	1688	1993-10-15	VYDAJ	VYBER	640	27127	\N	\N	\N
495103	1688	1993-07-26	VYDAJ	VYBER	480	27515	\N	\N	\N
495104	1688	1994-10-22	VYDAJ	VYBER	960	20252	\N	\N	\N
495105	1688	1994-01-30	VYDAJ	VYBER	1040	25663	\N	\N	\N
495106	1688	1994-12-20	VYDAJ	VYBER	2480	18926	\N	\N	\N
495107	1688	1994-06-14	VYDAJ	VYBER	3360	24570	\N	\N	\N
495108	1688	1994-03-16	VYDAJ	VYBER	480	29170	\N	\N	\N
495109	1688	1994-11-20	VYDAJ	VYBER	2880	19243	\N	\N	\N
495110	1688	1995-04-28	VYDAJ	VYBER	3920	18166	\N	\N	\N
495111	1688	1995-10-19	VYDAJ	VYBER	2880	20825	\N	\N	\N
495112	1688	1995-07-04	VYDAJ	VYBER	3440	17034	\N	\N	\N
495113	1688	1995-08-05	VYDAJ	VYBER	400	19392	\N	\N	\N
495114	1688	1996-01-16	VYDAJ	VYBER	2640	21486	\N	\N	\N
495115	1688	1996-09-08	VYDAJ	VYBER	2320	14686	\N	\N	\N
495116	1688	1996-10-25	VYDAJ	VYBER	2240	21142	\N	\N	\N
495117	1688	1996-07-21	VYDAJ	VYBER	1200	15953	\N	\N	\N
495118	1688	1996-06-30	VYDAJ	VYBER	2080	13978	\N	\N	\N
495120	1688	1997-03-06	VYDAJ	VYBER	3440	15358	\N	\N	\N
495121	1688	1997-01-23	VYDAJ	VYBER	3920	15485	\N	\N	\N
495122	1688	1997-01-11	VYDAJ	VYBER	2640	19405	\N	\N	\N
495123	1688	1997-04-29	VYDAJ	VYBER	3680	14438	\N	\N	\N
495124	1688	1997-08-03	VYDAJ	VYBER	880	21676	\N	\N	\N
495125	1688	1997-03-09	VYDAJ	VYBER	3680	14868	\N	\N	\N
495126	1688	1998-11-14	VYDAJ	VYBER	1360	32935	\N	\N	\N
495127	1688	1998-01-10	VYDAJ	VYBER	1840	16385	\N	\N	\N
495128	1688	1998-08-23	VYDAJ	VYBER	560	26666	\N	\N	\N
495129	1688	1998-06-20	VYDAJ	VYBER	3680	22579	\N	\N	\N
495130	1688	1998-09-14	VYDAJ	VYBER	2240	27708	\N	\N	\N
495138	1688	1993-07-31	VYDAJ	VYBER	15	25321	SLUZBY	\N	\N
495139	1688	1993-08-31	VYDAJ	VYBER	15	26510	SLUZBY	\N	\N
495140	1688	1993-09-30	VYDAJ	VYBER	15	26417	SLUZBY	\N	\N
495141	1688	1993-10-31	VYDAJ	VYBER	15	27225	SLUZBY	\N	\N
495142	1688	1993-11-30	VYDAJ	VYBER	15	26519	SLUZBY	\N	\N
495143	1688	1993-12-31	VYDAJ	VYBER	15	28213	SLUZBY	\N	\N
495144	1688	1994-01-31	VYDAJ	VYBER	15	25770	SLUZBY	\N	\N
495145	1688	1994-02-28	VYDAJ	VYBER	15	26460	SLUZBY	\N	\N
495146	1688	1994-03-31	VYDAJ	VYBER	15	24869	SLUZBY	\N	\N
495147	1688	1994-04-30	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
495148	1688	1994-05-31	VYDAJ	VYBER	15	24740	SLUZBY	\N	\N
495149	1688	1994-06-30	VYDAJ	VYBER	15	20103	SLUZBY	\N	\N
495150	1688	1994-07-31	VYDAJ	VYBER	15	21369	SLUZBY	\N	\N
495151	1688	1994-08-31	VYDAJ	VYBER	15	24543	SLUZBY	\N	\N
495152	1688	1994-09-30	VYDAJ	VYBER	15	22622	SLUZBY	\N	\N
495153	1688	1994-10-31	VYDAJ	VYBER	15	20333	SLUZBY	\N	\N
495154	1688	1994-11-30	VYDAJ	VYBER	15	19316	SLUZBY	\N	\N
495155	1688	1994-12-31	VYDAJ	VYBER	15	18994	SLUZBY	\N	\N
495156	1688	1995-01-31	VYDAJ	VYBER	15	21657	SLUZBY	\N	\N
495157	1688	1995-02-28	VYDAJ	VYBER	15	21225	SLUZBY	\N	\N
495158	1688	1995-03-31	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
495159	1688	1995-04-30	VYDAJ	VYBER	15	18248	SLUZBY	\N	\N
495160	1688	1995-05-31	VYDAJ	VYBER	15	21508	SLUZBY	\N	\N
495161	1688	1995-06-30	VYDAJ	VYBER	15	20474	SLUZBY	\N	\N
495162	1688	1995-07-31	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
495163	1688	1995-08-31	VYDAJ	VYBER	15	19351	SLUZBY	\N	\N
495164	1688	1995-09-30	VYDAJ	VYBER	15	22215	SLUZBY	\N	\N
495165	1688	1995-10-31	VYDAJ	VYBER	15	20903	SLUZBY	\N	\N
495166	1688	1995-11-30	VYDAJ	VYBER	15	20967	SLUZBY	\N	\N
495167	1688	1995-12-31	VYDAJ	VYBER	15	22736	SLUZBY	\N	\N
495168	1688	1996-01-31	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
495169	1688	1996-02-29	VYDAJ	VYBER	15	24538	SLUZBY	\N	\N
495170	1688	1996-03-31	VYDAJ	VYBER	15	24216	SLUZBY	\N	\N
495171	1688	1996-04-30	VYDAJ	VYBER	15	21485	SLUZBY	\N	\N
495172	1688	1996-05-31	VYDAJ	VYBER	15	20748	SLUZBY	\N	\N
495173	1688	1996-06-30	VYDAJ	VYBER	15	13963	SLUZBY	\N	\N
495174	1688	1996-07-31	VYDAJ	VYBER	15	16004	SLUZBY	\N	\N
495175	1688	1996-08-31	VYDAJ	VYBER	15	19255	SLUZBY	\N	\N
495176	1688	1996-09-30	VYDAJ	VYBER	15	20192	SLUZBY	\N	\N
495177	1688	1996-10-31	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
495178	1688	1996-11-30	VYDAJ	VYBER	15	22584	SLUZBY	\N	\N
495179	1688	1996-12-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
495180	1688	1997-01-31	VYDAJ	VYBER	15	15549	SLUZBY	\N	\N
495181	1688	1997-02-28	VYDAJ	VYBER	15	18798	SLUZBY	\N	\N
495182	1688	1997-03-31	VYDAJ	VYBER	15	14928	SLUZBY	\N	\N
495183	1688	1997-04-30	VYDAJ	VYBER	15	14493	SLUZBY	\N	\N
495184	1688	1997-05-31	VYDAJ	VYBER	15	17737	SLUZBY	\N	\N
495185	1688	1997-06-30	VYDAJ	VYBER	15	20392	SLUZBY	\N	\N
495186	1688	1997-07-31	VYDAJ	VYBER	15	22556	SLUZBY	\N	\N
495187	1688	1997-08-31	VYDAJ	VYBER	15	24950	SLUZBY	\N	\N
495188	1688	1997-09-30	VYDAJ	VYBER	15	25729	SLUZBY	\N	\N
495189	1688	1997-10-31	VYDAJ	VYBER	15	26010	SLUZBY	\N	\N
495190	1688	1997-11-30	VYDAJ	VYBER	15	22278	SLUZBY	\N	\N
495191	1688	1997-12-31	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
495192	1688	1998-01-31	VYDAJ	VYBER	15	16439	SLUZBY	\N	\N
495193	1688	1998-02-28	VYDAJ	VYBER	15	16179	SLUZBY	\N	\N
495194	1688	1998-03-31	VYDAJ	VYBER	15	19429	SLUZBY	\N	\N
495195	1688	1998-04-30	VYDAJ	VYBER	15	22693	SLUZBY	\N	\N
495196	1688	1998-05-31	VYDAJ	VYBER	15	25669	SLUZBY	\N	\N
495197	1688	1998-06-30	VYDAJ	VYBER	15	22664	SLUZBY	\N	\N
495198	1688	1998-07-31	VYDAJ	VYBER	15	24036	SLUZBY	\N	\N
495199	1688	1998-08-31	VYDAJ	VYBER	15	26758	SLUZBY	\N	\N
495200	1688	1998-09-30	VYDAJ	VYBER	15	27807	SLUZBY	\N	\N
495201	1688	1998-10-31	VYDAJ	VYBER	15	31105	SLUZBY	\N	\N
495202	1688	1998-11-30	VYDAJ	VYBER	15	33053	SLUZBY	\N	\N
495203	1688	1993-07-27	VYDAJ	VYBER	2200	25315	\N	\N	\N
495204	1688	1993-08-26	VYDAJ	VYBER	2100	26411	\N	\N	\N
495205	1688	1993-09-25	VYDAJ	VYBER	900	26320	\N	\N	\N
495206	1688	1993-11-24	VYDAJ	VYBER	4000	26415	\N	\N	\N
495207	1688	1993-12-24	VYDAJ	VYBER	1300	28409	\N	\N	\N
495208	1688	1994-01-23	VYDAJ	VYBER	4700	26703	\N	\N	\N
495209	1688	1994-02-22	VYDAJ	VYBER	2600	26360	\N	\N	\N
495210	1688	1994-03-24	VYDAJ	VYBER	4400	24770	\N	\N	\N
495211	1688	1994-04-23	VYDAJ	VYBER	3100	24959	\N	\N	\N
495212	1688	1994-05-23	VYDAJ	VYBER	3600	24645	\N	\N	\N
495213	1688	1994-06-22	VYDAJ	VYBER	800	20020	\N	\N	\N
495214	1688	1994-07-22	VYDAJ	VYBER	2000	21293	\N	\N	\N
495215	1688	1994-08-21	VYDAJ	VYBER	100	24459	\N	\N	\N
495216	1688	1994-09-20	VYDAJ	VYBER	5200	22533	\N	\N	\N
495217	1688	1994-10-20	VYDAJ	VYBER	4600	21212	\N	\N	\N
495218	1688	1994-11-19	VYDAJ	VYBER	1400	22123	\N	\N	\N
495219	1688	1994-12-19	VYDAJ	VYBER	200	21406	\N	\N	\N
495220	1688	1995-01-18	VYDAJ	VYBER	600	21584	\N	\N	\N
495221	1688	1995-02-17	VYDAJ	VYBER	3700	21147	\N	\N	\N
495222	1688	1995-03-19	VYDAJ	VYBER	1500	22915	\N	\N	\N
495223	1688	1995-04-18	VYDAJ	VYBER	4100	22086	\N	\N	\N
495224	1688	1995-06-17	VYDAJ	VYBER	4300	20398	\N	\N	\N
495225	1688	1995-07-17	VYDAJ	VYBER	500	19724	\N	\N	\N
495226	1688	1995-08-16	VYDAJ	VYBER	3300	19282	\N	\N	\N
495227	1688	1995-09-15	VYDAJ	VYBER	400	22141	\N	\N	\N
495228	1688	1995-10-15	VYDAJ	VYBER	1700	23705	\N	\N	\N
495229	1688	1995-11-14	VYDAJ	VYBER	3200	20893	\N	\N	\N
495230	1688	1995-12-14	VYDAJ	VYBER	1100	23057	\N	\N	\N
495231	1688	1996-01-13	VYDAJ	VYBER	1800	24126	\N	\N	\N
495232	1688	1996-02-12	VYDAJ	VYBER	300	24455	\N	\N	\N
495233	1688	1996-03-13	VYDAJ	VYBER	3600	24128	\N	\N	\N
495234	1688	1996-04-12	VYDAJ	VYBER	6000	21406	\N	\N	\N
495235	1688	1996-05-12	VYDAJ	VYBER	4000	20675	\N	\N	\N
495236	1688	1996-06-11	VYDAJ	VYBER	1100	15988	\N	\N	\N
495237	1688	1996-11-08	VYDAJ	VYBER	1900	19318	\N	\N	\N
495238	1688	1996-12-08	VYDAJ	VYBER	900	18235	\N	\N	\N
495239	1688	1997-01-07	VYDAJ	VYBER	4900	18855	\N	\N	\N
495240	1688	1997-06-06	VYDAJ	VYBER	600	17137	\N	\N	\N
495241	1688	1997-07-06	VYDAJ	VYBER	1100	19292	\N	\N	\N
495242	1688	1997-09-04	VYDAJ	VYBER	2500	22450	\N	\N	\N
495243	1688	1997-10-04	VYDAJ	VYBER	3000	22729	\N	\N	\N
495244	1688	1997-11-03	VYDAJ	VYBER	7000	19010	\N	\N	\N
495245	1688	1997-12-03	VYDAJ	VYBER	5400	16878	\N	\N	\N
495246	1688	1998-01-02	VYDAJ	VYBER	4300	15035	\N	\N	\N
495247	1688	1998-02-01	VYDAJ	VYBER	3500	12939	\N	\N	\N
495248	1688	1998-05-02	VYDAJ	VYBER	300	22393	\N	\N	\N
495249	1688	1998-06-01	VYDAJ	VYBER	2600	23069	\N	\N	\N
495250	1688	1998-07-01	VYDAJ	VYBER	1300	21364	\N	\N	\N
495251	1688	1998-07-31	VYDAJ	VYBER	600	24051	\N	\N	\N
495252	1688	1998-12-28	VYDAJ	VYBER	1900	34343	\N	\N	\N
495319	1689	1993-09-07	PRIJEM	VKLAD	700	700	\N	\N	\N
495329	1689	1993-10-06	PRIJEM	PREVOD Z UCTU	5058	5758	DUCHOD	QR	55909562
495330	1689	1993-11-06	PRIJEM	PREVOD Z UCTU	5058	10816	DUCHOD	QR	55909562
495331	1689	1993-12-06	PRIJEM	PREVOD Z UCTU	5058	15874	DUCHOD	QR	55909562
495332	1689	1994-01-06	PRIJEM	PREVOD Z UCTU	5058	20932	DUCHOD	QR	55909562
495333	1689	1994-02-06	PRIJEM	PREVOD Z UCTU	5058	25990	DUCHOD	QR	55909562
495334	1689	1994-03-06	PRIJEM	PREVOD Z UCTU	5058	28973	DUCHOD	QR	55909562
495335	1689	1994-04-06	PRIJEM	PREVOD Z UCTU	5058	28771	DUCHOD	QR	55909562
495336	1689	1994-05-06	PRIJEM	PREVOD Z UCTU	5058	30494	DUCHOD	QR	55909562
495337	1689	1994-06-06	PRIJEM	PREVOD Z UCTU	5058	32528	DUCHOD	QR	55909562
495338	1689	1994-07-06	PRIJEM	PREVOD Z UCTU	5058	27718	DUCHOD	QR	55909562
495339	1689	1994-08-06	PRIJEM	PREVOD Z UCTU	5058	25299	DUCHOD	QR	55909562
495340	1689	1994-09-06	PRIJEM	PREVOD Z UCTU	5058	26252	DUCHOD	QR	55909562
495341	1689	1994-10-06	PRIJEM	PREVOD Z UCTU	5058	26246	DUCHOD	QR	55909562
495342	1689	1994-11-06	PRIJEM	PREVOD Z UCTU	5058	27661	DUCHOD	QR	55909562
495343	1689	1994-12-06	PRIJEM	PREVOD Z UCTU	5058	26683	DUCHOD	QR	55909562
495344	1689	1995-01-06	PRIJEM	PREVOD Z UCTU	5058	24142	DUCHOD	QR	55909562
495345	1689	1995-02-06	PRIJEM	PREVOD Z UCTU	5058	18724	DUCHOD	QR	55909562
495346	1689	1995-03-06	PRIJEM	PREVOD Z UCTU	5058	21705	DUCHOD	QR	55909562
495347	1689	1995-04-06	PRIJEM	PREVOD Z UCTU	5058	23235	DUCHOD	QR	55909562
495348	1689	1995-05-06	PRIJEM	PREVOD Z UCTU	5058	25514	DUCHOD	QR	55909562
495349	1689	1995-06-06	PRIJEM	PREVOD Z UCTU	5058	27123	DUCHOD	QR	55909562
495350	1689	1995-07-06	PRIJEM	PREVOD Z UCTU	5058	22926	DUCHOD	QR	55909562
495351	1689	1995-08-06	PRIJEM	PREVOD Z UCTU	5058	25364	DUCHOD	QR	55909562
495352	1689	1995-09-06	PRIJEM	PREVOD Z UCTU	5058	22749	DUCHOD	QR	55909562
495353	1689	1995-10-06	PRIJEM	PREVOD Z UCTU	5058	22345	DUCHOD	QR	55909562
495354	1689	1995-11-06	PRIJEM	PREVOD Z UCTU	5058	20838	DUCHOD	QR	55909562
495355	1689	1995-12-06	PRIJEM	PREVOD Z UCTU	5058	22626	DUCHOD	QR	55909562
495356	1689	1996-01-06	PRIJEM	PREVOD Z UCTU	5058	20869	DUCHOD	QR	55909562
495357	1689	1996-02-06	PRIJEM	PREVOD Z UCTU	5058	16968	DUCHOD	QR	55909562
495358	1689	1996-03-06	PRIJEM	PREVOD Z UCTU	5058	19941	DUCHOD	QR	55909562
495359	1689	1996-04-06	PRIJEM	PREVOD Z UCTU	5058	17922	DUCHOD	QR	55909562
495360	1689	1996-05-06	PRIJEM	PREVOD Z UCTU	5058	18497	DUCHOD	QR	55909562
495361	1689	1996-06-06	PRIJEM	PREVOD Z UCTU	5058	16671	DUCHOD	QR	55909562
495362	1689	1996-07-06	PRIJEM	PREVOD Z UCTU	5058	18342	DUCHOD	QR	55909562
495363	1689	1996-08-06	PRIJEM	PREVOD Z UCTU	5058	18917	DUCHOD	QR	55909562
495364	1689	1996-09-06	PRIJEM	PREVOD Z UCTU	5058	21898	DUCHOD	QR	55909562
495365	1689	1996-10-06	PRIJEM	PREVOD Z UCTU	5058	22288	DUCHOD	QR	55909562
495366	1689	1996-11-06	PRIJEM	PREVOD Z UCTU	5058	19051	DUCHOD	QR	55909562
495367	1689	1996-12-06	PRIJEM	PREVOD Z UCTU	5058	20330	DUCHOD	QR	55909562
495368	1689	1997-01-06	PRIJEM	PREVOD Z UCTU	5058	18858	DUCHOD	QR	55909562
495369	1689	1997-02-06	PRIJEM	PREVOD Z UCTU	5058	16727	DUCHOD	QR	55909562
495370	1689	1997-03-06	PRIJEM	PREVOD Z UCTU	5058	19699	DUCHOD	QR	55909562
495371	1689	1997-04-06	PRIJEM	PREVOD Z UCTU	5058	22683	DUCHOD	QR	55909562
495372	1689	1997-05-06	PRIJEM	PREVOD Z UCTU	5058	23355	DUCHOD	QR	55909562
495373	1689	1997-06-06	PRIJEM	PREVOD Z UCTU	5058	24672	DUCHOD	QR	55909562
495374	1689	1997-07-06	PRIJEM	PREVOD Z UCTU	5058	24218	DUCHOD	QR	55909562
495375	1689	1997-08-06	PRIJEM	PREVOD Z UCTU	5058	17803	DUCHOD	QR	55909562
495376	1689	1997-09-06	PRIJEM	PREVOD Z UCTU	5058	20779	DUCHOD	QR	55909562
495377	1689	1997-10-06	PRIJEM	PREVOD Z UCTU	5058	17855	DUCHOD	QR	55909562
495378	1689	1997-11-06	PRIJEM	PREVOD Z UCTU	5058	20831	DUCHOD	QR	55909562
495379	1689	1997-12-06	PRIJEM	PREVOD Z UCTU	5058	22617	DUCHOD	QR	55909562
495380	1689	1998-01-06	PRIJEM	PREVOD Z UCTU	5058	20805	DUCHOD	QR	55909562
495381	1689	1998-02-06	PRIJEM	PREVOD Z UCTU	5058	20657	DUCHOD	QR	55909562
495382	1689	1998-03-06	PRIJEM	PREVOD Z UCTU	5058	17730	DUCHOD	QR	55909562
495383	1689	1998-04-06	PRIJEM	PREVOD Z UCTU	5058	20705	DUCHOD	QR	55909562
495384	1689	1998-05-06	PRIJEM	PREVOD Z UCTU	5058	21206	DUCHOD	QR	55909562
495385	1689	1998-06-06	PRIJEM	PREVOD Z UCTU	5058	24196	DUCHOD	QR	55909562
495386	1689	1998-07-06	PRIJEM	PREVOD Z UCTU	5058	24443	DUCHOD	QR	55909562
495387	1689	1998-08-06	PRIJEM	PREVOD Z UCTU	5058	21531	DUCHOD	QR	55909562
495388	1689	1998-09-06	PRIJEM	PREVOD Z UCTU	5058	21012	DUCHOD	QR	55909562
495389	1689	1998-10-06	PRIJEM	PREVOD Z UCTU	5058	18084	DUCHOD	QR	55909562
495390	1689	1998-11-06	PRIJEM	PREVOD Z UCTU	5058	20660	DUCHOD	QR	55909562
495391	1689	1998-12-06	PRIJEM	PREVOD Z UCTU	5058	19440	DUCHOD	QR	55909562
495405	1689	1994-02-10	VYDAJ	PREVOD NA UCET	2128	23862	SIPO	MN	89019840
495406	1689	1994-03-10	VYDAJ	PREVOD NA UCET	2128	25545	SIPO	MN	89019840
495407	1689	1994-04-10	VYDAJ	PREVOD NA UCET	2128	26643	SIPO	MN	89019840
495408	1689	1994-05-10	VYDAJ	PREVOD NA UCET	2128	28366	SIPO	MN	89019840
495409	1689	1994-06-10	VYDAJ	PREVOD NA UCET	2128	30400	SIPO	MN	89019840
495410	1689	1994-07-10	VYDAJ	PREVOD NA UCET	2128	25590	SIPO	MN	89019840
495411	1689	1994-08-10	VYDAJ	PREVOD NA UCET	2128	23171	SIPO	MN	89019840
495412	1689	1994-09-10	VYDAJ	PREVOD NA UCET	2128	24124	SIPO	MN	89019840
495413	1689	1994-10-10	VYDAJ	PREVOD NA UCET	2128	24118	SIPO	MN	89019840
495414	1689	1994-11-10	VYDAJ	PREVOD NA UCET	2128	25533	SIPO	MN	89019840
495415	1689	1994-12-10	VYDAJ	PREVOD NA UCET	2128	24555	SIPO	MN	89019840
495416	1689	1995-01-10	VYDAJ	PREVOD NA UCET	2128	16654	SIPO	MN	89019840
495417	1689	1995-02-10	VYDAJ	PREVOD NA UCET	2128	16596	SIPO	MN	89019840
495418	1689	1995-03-10	VYDAJ	PREVOD NA UCET	2128	18217	SIPO	MN	89019840
495419	1689	1995-04-10	VYDAJ	PREVOD NA UCET	2128	21107	SIPO	MN	89019840
495420	1689	1995-05-10	VYDAJ	PREVOD NA UCET	2128	23386	SIPO	MN	89019840
495421	1689	1995-06-10	VYDAJ	PREVOD NA UCET	2128	24995	SIPO	MN	89019840
495422	1689	1995-07-10	VYDAJ	PREVOD NA UCET	2128	20798	SIPO	MN	89019840
495423	1689	1995-08-10	VYDAJ	PREVOD NA UCET	2128	23236	SIPO	MN	89019840
495424	1689	1995-09-10	VYDAJ	PREVOD NA UCET	2128	20621	SIPO	MN	89019840
495425	1689	1995-10-10	VYDAJ	PREVOD NA UCET	2128	20217	SIPO	MN	89019840
495574	1689	1994-05-31	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
495426	1689	1995-11-10	VYDAJ	PREVOD NA UCET	2128	18710	SIPO	MN	89019840
495427	1689	1995-12-10	VYDAJ	PREVOD NA UCET	2128	20498	SIPO	MN	89019840
495428	1689	1996-01-10	VYDAJ	PREVOD NA UCET	2128	16901	SIPO	MN	89019840
495429	1689	1996-02-10	VYDAJ	PREVOD NA UCET	2128	14840	SIPO	MN	89019840
495430	1689	1996-03-10	VYDAJ	PREVOD NA UCET	2128	17813	SIPO	MN	89019840
495431	1689	1996-04-10	VYDAJ	PREVOD NA UCET	2128	15794	SIPO	MN	89019840
495432	1689	1996-05-10	VYDAJ	PREVOD NA UCET	2128	16369	SIPO	MN	89019840
495433	1689	1996-06-10	VYDAJ	PREVOD NA UCET	2128	14543	SIPO	MN	89019840
495434	1689	1996-07-10	VYDAJ	PREVOD NA UCET	2128	16214	SIPO	MN	89019840
495435	1689	1996-08-10	VYDAJ	PREVOD NA UCET	2128	16789	SIPO	MN	89019840
495436	1689	1996-09-10	VYDAJ	PREVOD NA UCET	2128	19770	SIPO	MN	89019840
495437	1689	1996-10-10	VYDAJ	PREVOD NA UCET	2128	20160	SIPO	MN	89019840
495438	1689	1996-11-10	VYDAJ	PREVOD NA UCET	2128	16923	SIPO	MN	89019840
495439	1689	1996-12-10	VYDAJ	PREVOD NA UCET	2128	16952	SIPO	MN	89019840
495440	1689	1997-01-10	VYDAJ	PREVOD NA UCET	2128	16730	SIPO	MN	89019840
495441	1689	1997-02-10	VYDAJ	PREVOD NA UCET	2128	14599	SIPO	MN	89019840
495442	1689	1997-03-10	VYDAJ	PREVOD NA UCET	2128	17571	SIPO	MN	89019840
495443	1689	1997-04-10	VYDAJ	PREVOD NA UCET	2128	20555	SIPO	MN	89019840
495444	1689	1997-05-10	VYDAJ	PREVOD NA UCET	2128	21227	SIPO	MN	89019840
495445	1689	1997-06-10	VYDAJ	PREVOD NA UCET	2128	22544	SIPO	MN	89019840
495446	1689	1997-07-10	VYDAJ	PREVOD NA UCET	2128	22090	SIPO	MN	89019840
495447	1689	1997-08-10	VYDAJ	PREVOD NA UCET	2128	15675	SIPO	MN	89019840
495448	1689	1997-09-10	VYDAJ	PREVOD NA UCET	2128	18651	SIPO	MN	89019840
495449	1689	1997-10-10	VYDAJ	PREVOD NA UCET	2128	15727	SIPO	MN	89019840
495450	1689	1997-11-10	VYDAJ	PREVOD NA UCET	2128	17503	SIPO	MN	89019840
495451	1689	1997-12-10	VYDAJ	PREVOD NA UCET	2128	18249	SIPO	MN	89019840
495452	1689	1998-01-10	VYDAJ	PREVOD NA UCET	2128	16027	SIPO	MN	89019840
495453	1689	1998-02-10	VYDAJ	PREVOD NA UCET	2128	18529	SIPO	MN	89019840
495454	1689	1998-03-10	VYDAJ	PREVOD NA UCET	2128	15602	SIPO	MN	89019840
495455	1689	1998-04-10	VYDAJ	PREVOD NA UCET	2128	16097	SIPO	MN	89019840
495456	1689	1998-05-10	VYDAJ	PREVOD NA UCET	2128	19078	SIPO	MN	89019840
495457	1689	1998-06-10	VYDAJ	PREVOD NA UCET	2128	22068	SIPO	MN	89019840
495458	1689	1998-07-10	VYDAJ	PREVOD NA UCET	2128	22315	SIPO	MN	89019840
495459	1689	1998-08-10	VYDAJ	PREVOD NA UCET	2128	19403	SIPO	MN	89019840
495460	1689	1998-09-10	VYDAJ	PREVOD NA UCET	2128	18884	SIPO	MN	89019840
495461	1689	1998-10-10	VYDAJ	PREVOD NA UCET	2128	15956	SIPO	MN	89019840
495462	1689	1998-11-10	VYDAJ	PREVOD NA UCET	2128	14332	SIPO	MN	89019840
495463	1689	1998-12-10	VYDAJ	PREVOD NA UCET	2128	13312	SIPO	MN	89019840
495465	1689	1994-06-29	VYDAJ	VYBER	5950	24450	\N	\N	\N
495466	1689	1995-06-18	VYDAJ	VYBER	7200	17795	\N	\N	\N
495468	1689	1997-06-14	VYDAJ	VYBER	3450	19094	\N	\N	\N
495469	1689	1998-06-18	VYDAJ	VYBER	2750	19318	\N	\N	\N
495474	1689	1997-01-11	VYDAJ	VYBER	2700	14030	\N	\N	\N
495475	1689	1998-01-06	VYDAJ	VYBER	2650	18155	\N	\N	\N
495477	1689	1994-12-10	VYDAJ	VYBER	800	23755	\N	\N	\N
495478	1689	1995-12-20	VYDAJ	VYBER	650	19848	\N	\N	\N
495479	1689	1996-12-09	VYDAJ	VYBER	1250	19080	\N	\N	\N
495480	1689	1997-12-08	VYDAJ	VYBER	800	21817	\N	\N	\N
495494	1689	1995-01-06	VYDAJ	VYBER	2080	22062	\N	\N	\N
495495	1689	1995-01-18	VYDAJ	VYBER	880	13614	\N	\N	\N
495496	1689	1995-01-12	VYDAJ	VYBER	2160	14494	\N	\N	\N
495497	1689	1995-01-10	VYDAJ	VYBER	480	18782	\N	\N	\N
495498	1689	1995-01-03	VYDAJ	VYBER	1360	19084	\N	\N	\N
495499	1689	1995-01-07	VYDAJ	VYBER	1120	19262	\N	\N	\N
495500	1689	1996-01-24	VYDAJ	VYBER	1600	13861	\N	\N	\N
495501	1689	1996-01-07	VYDAJ	VYBER	1840	19029	\N	\N	\N
495502	1689	1996-01-11	VYDAJ	VYBER	1440	15461	\N	\N	\N
495503	1689	1996-01-04	VYDAJ	VYBER	480	16211	\N	\N	\N
495515	1689	1998-01-20	VYDAJ	VYBER	480	15547	\N	\N	\N
495516	1689	1998-01-04	VYDAJ	VYBER	1520	15747	\N	\N	\N
495525	1689	1994-07-28	VYDAJ	VYBER	2720	22870	\N	\N	\N
495526	1689	1994-03-18	VYDAJ	VYBER	480	25065	\N	\N	\N
495527	1689	1994-08-05	VYDAJ	VYBER	2720	20241	\N	\N	\N
495528	1689	1994-09-25	VYDAJ	VYBER	2320	21804	\N	\N	\N
495529	1689	1994-08-28	VYDAJ	VYBER	560	22611	\N	\N	\N
495531	1689	1994-03-19	VYDAJ	VYBER	1440	23625	\N	\N	\N
495532	1689	1995-12-28	VYDAJ	VYBER	720	16628	\N	\N	\N
495533	1689	1995-08-18	VYDAJ	VYBER	2320	20916	\N	\N	\N
495534	1689	1995-04-25	VYDAJ	VYBER	720	20387	\N	\N	\N
495535	1689	1995-03-07	VYDAJ	VYBER	1360	20345	\N	\N	\N
495536	1689	1995-01-06	VYDAJ	VYBER	1680	20382	\N	\N	\N
495537	1689	1995-08-05	VYDAJ	VYBER	560	20306	\N	\N	\N
495539	1689	1996-01-05	VYDAJ	VYBER	400	15811	\N	\N	\N
495540	1689	1996-07-21	VYDAJ	VYBER	2400	13814	\N	\N	\N
495542	1689	1996-10-13	VYDAJ	VYBER	2320	17840	\N	\N	\N
495544	1689	1997-12-08	VYDAJ	VYBER	1440	20377	\N	\N	\N
495546	1689	1997-05-20	VYDAJ	VYBER	1680	19547	\N	\N	\N
495547	1689	1997-04-22	VYDAJ	VYBER	1840	18235	\N	\N	\N
495548	1689	1997-04-11	VYDAJ	VYBER	480	20075	\N	\N	\N
495550	1689	1997-12-20	VYDAJ	VYBER	1040	17209	\N	\N	\N
495551	1689	1997-11-09	VYDAJ	VYBER	1200	19631	\N	\N	\N
495553	1689	1998-04-07	VYDAJ	VYBER	2480	18225	\N	\N	\N
495554	1689	1998-10-16	VYDAJ	VYBER	400	15556	\N	\N	\N
495571	1689	1994-02-28	VYDAJ	VYBER	15	23915	SLUZBY	\N	\N
495572	1689	1994-03-31	VYDAJ	VYBER	15	23713	SLUZBY	\N	\N
495573	1689	1994-04-30	VYDAJ	VYBER	15	26736	SLUZBY	\N	\N
495575	1689	1994-06-30	VYDAJ	VYBER	15	24560	SLUZBY	\N	\N
495576	1689	1994-07-31	VYDAJ	VYBER	15	22961	SLUZBY	\N	\N
495577	1689	1994-08-31	VYDAJ	VYBER	15	22694	SLUZBY	\N	\N
495578	1689	1994-09-30	VYDAJ	VYBER	15	21888	SLUZBY	\N	\N
495579	1689	1994-10-31	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
495580	1689	1994-11-30	VYDAJ	VYBER	15	25625	SLUZBY	\N	\N
495581	1689	1994-12-31	VYDAJ	VYBER	15	20444	SLUZBY	\N	\N
495582	1689	1995-01-31	VYDAJ	VYBER	15	13666	SLUZBY	\N	\N
495583	1689	1995-02-28	VYDAJ	VYBER	15	16647	SLUZBY	\N	\N
495584	1689	1995-03-31	VYDAJ	VYBER	15	18177	SLUZBY	\N	\N
495585	1689	1995-04-30	VYDAJ	VYBER	15	20456	SLUZBY	\N	\N
495586	1689	1995-05-31	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
495587	1689	1995-06-30	VYDAJ	VYBER	15	17868	SLUZBY	\N	\N
495588	1689	1995-07-31	VYDAJ	VYBER	15	20866	SLUZBY	\N	\N
495589	1689	1995-08-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
495590	1689	1995-09-30	VYDAJ	VYBER	15	17287	SLUZBY	\N	\N
495591	1689	1995-10-31	VYDAJ	VYBER	15	15780	SLUZBY	\N	\N
495592	1689	1995-11-30	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
495593	1689	1995-12-31	VYDAJ	VYBER	15	16691	SLUZBY	\N	\N
495594	1689	1996-01-31	VYDAJ	VYBER	15	11910	SLUZBY	\N	\N
495595	1689	1996-02-29	VYDAJ	VYBER	15	14883	SLUZBY	\N	\N
495596	1689	1996-03-31	VYDAJ	VYBER	15	12864	SLUZBY	\N	\N
495597	1689	1996-04-30	VYDAJ	VYBER	15	13439	SLUZBY	\N	\N
495598	1689	1996-05-31	VYDAJ	VYBER	15	11613	SLUZBY	\N	\N
495599	1689	1996-06-30	VYDAJ	VYBER	15	13284	SLUZBY	\N	\N
495600	1689	1996-07-31	VYDAJ	VYBER	15	13859	SLUZBY	\N	\N
495601	1689	1996-08-31	VYDAJ	VYBER	15	16840	SLUZBY	\N	\N
495602	1689	1996-09-30	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
495603	1689	1996-10-31	VYDAJ	VYBER	15	13993	SLUZBY	\N	\N
495604	1689	1996-11-30	VYDAJ	VYBER	15	15272	SLUZBY	\N	\N
495605	1689	1996-12-31	VYDAJ	VYBER	15	13800	SLUZBY	\N	\N
495606	1689	1997-01-31	VYDAJ	VYBER	15	11669	SLUZBY	\N	\N
495607	1689	1997-02-28	VYDAJ	VYBER	15	14641	SLUZBY	\N	\N
495608	1689	1997-03-31	VYDAJ	VYBER	15	17625	SLUZBY	\N	\N
495609	1689	1997-04-30	VYDAJ	VYBER	15	18297	SLUZBY	\N	\N
495610	1689	1997-05-31	VYDAJ	VYBER	15	19614	SLUZBY	\N	\N
495611	1689	1997-06-30	VYDAJ	VYBER	15	19160	SLUZBY	\N	\N
495612	1689	1997-07-31	VYDAJ	VYBER	15	12745	SLUZBY	\N	\N
495613	1689	1997-08-31	VYDAJ	VYBER	15	15721	SLUZBY	\N	\N
495614	1689	1997-09-30	VYDAJ	VYBER	15	12797	SLUZBY	\N	\N
495615	1689	1997-10-31	VYDAJ	VYBER	15	15773	SLUZBY	\N	\N
495616	1689	1997-11-30	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
495617	1689	1997-12-31	VYDAJ	VYBER	15	17267	SLUZBY	\N	\N
495618	1689	1998-01-31	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
495619	1689	1998-02-28	VYDAJ	VYBER	15	12672	SLUZBY	\N	\N
495620	1689	1998-03-31	VYDAJ	VYBER	15	15647	SLUZBY	\N	\N
495621	1689	1998-04-30	VYDAJ	VYBER	15	16148	SLUZBY	\N	\N
495622	1689	1998-05-31	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
495623	1689	1998-06-30	VYDAJ	VYBER	15	19385	SLUZBY	\N	\N
495624	1689	1998-07-31	VYDAJ	VYBER	15	16473	SLUZBY	\N	\N
495625	1689	1998-08-31	VYDAJ	VYBER	15	15954	SLUZBY	\N	\N
495626	1689	1998-09-30	VYDAJ	VYBER	15	13026	SLUZBY	\N	\N
495627	1689	1998-10-31	VYDAJ	VYBER	15	15602	SLUZBY	\N	\N
495628	1689	1998-11-30	VYDAJ	VYBER	15	14382	SLUZBY	\N	\N
495629	1689	1994-03-06	VYDAJ	VYBER	1300	27673	\N	\N	\N
495630	1689	1994-05-05	VYDAJ	VYBER	1300	25436	\N	\N	\N
495631	1689	1994-06-04	VYDAJ	VYBER	1000	27470	\N	\N	\N
495632	1689	1994-07-04	VYDAJ	VYBER	1900	22660	\N	\N	\N
495633	1689	1994-09-02	VYDAJ	VYBER	1500	21194	\N	\N	\N
495634	1689	1994-10-02	VYDAJ	VYBER	700	21188	\N	\N	\N
495635	1689	1994-11-01	VYDAJ	VYBER	1600	22603	\N	\N	\N
495636	1689	1994-12-01	VYDAJ	VYBER	4000	21625	\N	\N	\N
495637	1689	1994-12-31	VYDAJ	VYBER	3400	20459	\N	\N	\N
495638	1689	1995-03-31	VYDAJ	VYBER	100	18192	\N	\N	\N
495639	1689	1995-05-30	VYDAJ	VYBER	1400	21986	\N	\N	\N
495640	1689	1995-08-28	VYDAJ	VYBER	3300	17616	\N	\N	\N
495641	1689	1995-09-27	VYDAJ	VYBER	3400	17221	\N	\N	\N
495642	1689	1995-10-27	VYDAJ	VYBER	4500	15717	\N	\N	\N
495643	1689	1995-11-26	VYDAJ	VYBER	1200	17510	\N	\N	\N
495644	1689	1995-12-26	VYDAJ	VYBER	2500	17348	\N	\N	\N
495645	1689	1996-01-25	VYDAJ	VYBER	2000	11861	\N	\N	\N
495646	1689	1996-03-25	VYDAJ	VYBER	5000	12813	\N	\N	\N
495647	1689	1996-04-24	VYDAJ	VYBER	2400	13394	\N	\N	\N
495648	1689	1996-05-24	VYDAJ	VYBER	4800	11569	\N	\N	\N
495649	1689	1996-06-23	VYDAJ	VYBER	1300	13243	\N	\N	\N
495650	1689	1996-09-21	VYDAJ	VYBER	2600	17170	\N	\N	\N
495651	1689	1996-10-21	VYDAJ	VYBER	3900	13940	\N	\N	\N
495652	1689	1996-11-20	VYDAJ	VYBER	1700	15223	\N	\N	\N
495653	1689	1996-12-20	VYDAJ	VYBER	3200	13752	\N	\N	\N
495654	1689	1997-01-19	VYDAJ	VYBER	2400	11630	\N	\N	\N
495655	1689	1997-07-18	VYDAJ	VYBER	9400	12690	\N	\N	\N
495656	1689	1997-09-16	VYDAJ	VYBER	5900	12751	\N	\N	\N
495657	1689	1998-02-13	VYDAJ	VYBER	5900	12629	\N	\N	\N
495658	1689	1998-07-13	VYDAJ	VYBER	5900	16415	\N	\N	\N
495659	1689	1998-08-12	VYDAJ	VYBER	3500	15903	\N	\N	\N
495660	1689	1998-09-11	VYDAJ	VYBER	5900	12984	\N	\N	\N
495661	1689	1998-11-10	VYDAJ	VYBER	4200	16460	\N	\N	\N
495662	1689	1998-12-10	VYDAJ	VYBER	4000	15440	\N	\N	\N
495722	1690	1995-10-07	PRIJEM	VKLAD	500	7236	\N	\N	\N
495732	1690	1995-10-07	PRIJEM	PREVOD Z UCTU	6736	6736	DUCHOD	KL	65835118
495733	1690	1995-11-07	PRIJEM	PREVOD Z UCTU	6736	13996	DUCHOD	KL	65835118
495734	1690	1995-12-07	PRIJEM	PREVOD Z UCTU	6736	20763	DUCHOD	KL	65835118
495735	1690	1996-01-07	PRIJEM	PREVOD Z UCTU	6736	27529	DUCHOD	KL	65835118
495736	1690	1996-02-07	PRIJEM	PREVOD Z UCTU	6736	32895	DUCHOD	KL	65835118
495737	1690	1996-03-07	PRIJEM	PREVOD Z UCTU	6736	32206	DUCHOD	KL	65835118
495738	1690	1996-04-07	PRIJEM	PREVOD Z UCTU	6736	34437	DUCHOD	KL	65835118
495739	1690	1996-05-07	PRIJEM	PREVOD Z UCTU	6736	36779	DUCHOD	KL	65835118
495740	1690	1996-06-07	PRIJEM	PREVOD Z UCTU	6736	35129	DUCHOD	KL	65835118
495741	1690	1996-07-07	PRIJEM	PREVOD Z UCTU	6736	26799	DUCHOD	KL	65835118
495742	1690	1996-08-07	PRIJEM	PREVOD Z UCTU	6736	29502	DUCHOD	KL	65835118
495743	1690	1996-09-07	PRIJEM	PREVOD Z UCTU	6736	33016	DUCHOD	KL	65835118
495744	1690	1996-10-07	PRIJEM	PREVOD Z UCTU	6736	33144	DUCHOD	KL	65835118
495745	1690	1996-11-07	PRIJEM	PREVOD Z UCTU	6736	36681	DUCHOD	KL	65835118
495746	1690	1996-12-07	PRIJEM	PREVOD Z UCTU	6736	36625	DUCHOD	KL	65835118
495747	1690	1997-01-07	PRIJEM	PREVOD Z UCTU	6736	29209	DUCHOD	KL	65835118
495748	1690	1997-02-07	PRIJEM	PREVOD Z UCTU	6736	22935	DUCHOD	KL	65835118
495749	1690	1997-03-07	PRIJEM	PREVOD Z UCTU	6736	26321	DUCHOD	KL	65835118
495750	1690	1997-04-07	PRIJEM	PREVOD Z UCTU	6736	29821	DUCHOD	KL	65835118
495751	1690	1997-05-07	PRIJEM	PREVOD Z UCTU	6736	27929	DUCHOD	KL	65835118
495752	1690	1997-06-07	PRIJEM	PREVOD Z UCTU	6736	26534	DUCHOD	KL	65835118
495753	1690	1997-07-07	PRIJEM	PREVOD Z UCTU	6736	22827	DUCHOD	KL	65835118
495754	1690	1997-08-07	PRIJEM	PREVOD Z UCTU	6736	22712	DUCHOD	KL	65835118
495755	1690	1997-09-07	PRIJEM	PREVOD Z UCTU	6736	25484	DUCHOD	KL	65835118
495756	1690	1997-10-07	PRIJEM	PREVOD Z UCTU	6736	26262	DUCHOD	KL	65835118
495757	1690	1997-11-07	PRIJEM	PREVOD Z UCTU	6736	27360	DUCHOD	KL	65835118
495758	1690	1997-12-07	PRIJEM	PREVOD Z UCTU	6736	26561	DUCHOD	KL	65835118
495759	1690	1998-01-07	PRIJEM	PREVOD Z UCTU	6736	22627	DUCHOD	KL	65835118
495760	1690	1998-02-07	PRIJEM	PREVOD Z UCTU	6736	20903	DUCHOD	KL	65835118
495761	1690	1998-03-07	PRIJEM	PREVOD Z UCTU	6736	24380	DUCHOD	KL	65835118
495762	1690	1998-04-07	PRIJEM	PREVOD Z UCTU	6736	27872	DUCHOD	KL	65835118
495763	1690	1998-05-07	PRIJEM	PREVOD Z UCTU	6736	31379	DUCHOD	KL	65835118
495764	1690	1998-06-07	PRIJEM	PREVOD Z UCTU	6736	34900	DUCHOD	KL	65835118
495765	1690	1998-07-07	PRIJEM	PREVOD Z UCTU	6736	25751	DUCHOD	KL	65835118
495766	1690	1998-08-07	PRIJEM	PREVOD Z UCTU	6736	29249	DUCHOD	KL	65835118
495767	1690	1998-09-07	PRIJEM	PREVOD Z UCTU	6736	27555	DUCHOD	KL	65835118
495768	1690	1998-10-07	PRIJEM	PREVOD Z UCTU	6736	31067	DUCHOD	KL	65835118
495769	1690	1998-11-07	PRIJEM	PREVOD Z UCTU	6736	34587	DUCHOD	KL	65835118
495770	1690	1998-12-07	PRIJEM	PREVOD Z UCTU	6736	36039	DUCHOD	KL	65835118
495784	1690	1996-02-13	VYDAJ	PREVOD NA UCET	3311	28384	SIPO	YZ	11582345
495785	1690	1996-03-13	VYDAJ	PREVOD NA UCET	3311	28895	SIPO	YZ	11582345
495786	1690	1996-04-13	VYDAJ	PREVOD NA UCET	3311	31126	SIPO	YZ	11582345
495787	1690	1996-05-13	VYDAJ	PREVOD NA UCET	3311	33468	SIPO	YZ	11582345
495788	1690	1996-06-13	VYDAJ	PREVOD NA UCET	3311	31818	SIPO	YZ	11582345
495789	1690	1996-07-13	VYDAJ	PREVOD NA UCET	3311	22688	SIPO	YZ	11582345
495790	1690	1996-08-13	VYDAJ	PREVOD NA UCET	3311	26191	SIPO	YZ	11582345
495791	1690	1996-09-13	VYDAJ	PREVOD NA UCET	3311	29705	SIPO	YZ	11582345
495792	1690	1996-10-13	VYDAJ	PREVOD NA UCET	3311	29833	SIPO	YZ	11582345
495793	1690	1996-11-13	VYDAJ	PREVOD NA UCET	3311	33370	SIPO	YZ	11582345
495794	1690	1996-12-13	VYDAJ	PREVOD NA UCET	3311	33314	SIPO	YZ	11582345
495795	1690	1997-01-13	VYDAJ	PREVOD NA UCET	3311	24218	SIPO	YZ	11582345
495796	1690	1997-02-13	VYDAJ	PREVOD NA UCET	3311	19624	SIPO	YZ	11582345
495797	1690	1997-03-13	VYDAJ	PREVOD NA UCET	3311	23010	SIPO	YZ	11582345
495798	1690	1997-04-13	VYDAJ	PREVOD NA UCET	3311	23310	SIPO	YZ	11582345
495799	1690	1997-05-13	VYDAJ	PREVOD NA UCET	3311	24618	SIPO	YZ	11582345
495800	1690	1997-06-13	VYDAJ	PREVOD NA UCET	3311	23223	SIPO	YZ	11582345
495801	1690	1997-07-13	VYDAJ	PREVOD NA UCET	3311	19516	SIPO	YZ	11582345
495802	1690	1997-08-13	VYDAJ	PREVOD NA UCET	3311	19401	SIPO	YZ	11582345
495803	1690	1997-09-13	VYDAJ	PREVOD NA UCET	3311	22173	SIPO	YZ	11582345
495804	1690	1997-10-13	VYDAJ	PREVOD NA UCET	3311	22951	SIPO	YZ	11582345
495805	1690	1997-11-13	VYDAJ	PREVOD NA UCET	3311	24049	SIPO	YZ	11582345
495806	1690	1997-12-13	VYDAJ	PREVOD NA UCET	3311	23250	SIPO	YZ	11582345
495807	1690	1998-01-13	VYDAJ	PREVOD NA UCET	3311	15476	SIPO	YZ	11582345
495808	1690	1998-02-13	VYDAJ	PREVOD NA UCET	3311	17592	SIPO	YZ	11582345
495809	1690	1998-03-13	VYDAJ	PREVOD NA UCET	3311	21069	SIPO	YZ	11582345
495810	1690	1998-04-13	VYDAJ	PREVOD NA UCET	3311	24561	SIPO	YZ	11582345
495811	1690	1998-05-13	VYDAJ	PREVOD NA UCET	3311	28068	SIPO	YZ	11582345
495812	1690	1998-06-13	VYDAJ	PREVOD NA UCET	3311	18939	SIPO	YZ	11582345
495813	1690	1998-07-13	VYDAJ	PREVOD NA UCET	3311	22440	SIPO	YZ	11582345
495814	1690	1998-08-13	VYDAJ	PREVOD NA UCET	3311	25938	SIPO	YZ	11582345
495815	1690	1998-09-13	VYDAJ	PREVOD NA UCET	3311	24244	SIPO	YZ	11582345
495816	1690	1998-10-13	VYDAJ	PREVOD NA UCET	3311	27756	SIPO	YZ	11582345
495817	1690	1998-11-13	VYDAJ	PREVOD NA UCET	3311	29196	SIPO	YZ	11582345
495818	1690	1998-12-13	VYDAJ	PREVOD NA UCET	3311	32728	SIPO	YZ	11582345
495820	1690	1996-06-13	VYDAJ	VYBER	11450	20368	\N	\N	\N
495821	1690	1997-06-16	VYDAJ	VYBER	2800	20423	\N	\N	\N
495822	1690	1998-06-10	VYDAJ	VYBER	12650	22250	\N	\N	\N
495825	1690	1997-01-06	VYDAJ	VYBER	2350	22473	\N	\N	\N
495828	1690	1996-12-14	VYDAJ	VYBER	250	33064	\N	\N	\N
495829	1690	1997-12-29	VYDAJ	VYBER	250	17900	\N	\N	\N
495830	1690	1998-12-21	VYDAJ	VYBER	700	32028	\N	\N	\N
495843	1690	1997-01-05	VYDAJ	VYBER	880	26183	\N	\N	\N
495844	1690	1997-01-22	VYDAJ	VYBER	720	18218	\N	\N	\N
495845	1690	1997-01-17	VYDAJ	VYBER	400	23818	\N	\N	\N
495846	1690	1997-01-28	VYDAJ	VYBER	800	17418	\N	\N	\N
495847	1690	1997-01-05	VYDAJ	VYBER	1360	24823	\N	\N	\N
495848	1690	1997-01-11	VYDAJ	VYBER	1680	27529	\N	\N	\N
495850	1690	1998-01-08	VYDAJ	VYBER	2080	20547	\N	\N	\N
495851	1690	1998-01-13	VYDAJ	VYBER	1360	14116	\N	\N	\N
495852	1690	1998-01-03	VYDAJ	VYBER	720	15891	\N	\N	\N
495854	1690	1998-01-01	VYDAJ	VYBER	1360	16611	\N	\N	\N
495858	1690	1996-02-10	VYDAJ	VYBER	1200	31695	\N	\N	\N
495859	1690	1996-02-17	VYDAJ	VYBER	1600	26784	\N	\N	\N
495860	1690	1996-06-14	VYDAJ	VYBER	400	19968	\N	\N	\N
495862	1690	1996-07-10	VYDAJ	VYBER	800	25999	\N	\N	\N
495863	1690	1996-12-24	VYDAJ	VYBER	3120	29944	\N	\N	\N
495864	1690	1997-04-11	VYDAJ	VYBER	3200	26621	\N	\N	\N
495865	1690	1997-01-19	VYDAJ	VYBER	3680	20138	\N	\N	\N
495866	1690	1997-01-21	VYDAJ	VYBER	1200	18938	\N	\N	\N
495867	1690	1997-09-06	VYDAJ	VYBER	720	18748	\N	\N	\N
495868	1690	1997-09-17	VYDAJ	VYBER	1920	20253	\N	\N	\N
495869	1690	1997-08-05	VYDAJ	VYBER	1200	15976	\N	\N	\N
495870	1690	1997-09-23	VYDAJ	VYBER	800	19453	\N	\N	\N
495871	1690	1998-08-16	VYDAJ	VYBER	2800	23138	\N	\N	\N
495872	1690	1998-09-01	VYDAJ	VYBER	2400	20819	\N	\N	\N
495873	1690	1998-01-08	VYDAJ	VYBER	1760	18787	\N	\N	\N
495875	1690	1998-11-08	VYDAJ	VYBER	2080	32507	\N	\N	\N
495890	1690	1996-02-29	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
495891	1690	1996-03-31	VYDAJ	VYBER	15	29001	SLUZBY	\N	\N
495892	1690	1996-04-30	VYDAJ	VYBER	15	31243	SLUZBY	\N	\N
495893	1690	1996-05-31	VYDAJ	VYBER	15	33593	SLUZBY	\N	\N
495894	1690	1996-06-30	VYDAJ	VYBER	15	20063	SLUZBY	\N	\N
495895	1690	1996-07-31	VYDAJ	VYBER	15	22766	SLUZBY	\N	\N
495896	1690	1996-08-31	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
495897	1690	1996-09-30	VYDAJ	VYBER	15	29808	SLUZBY	\N	\N
495898	1690	1996-10-31	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
495899	1690	1996-11-30	VYDAJ	VYBER	15	33489	SLUZBY	\N	\N
495900	1690	1996-12-31	VYDAJ	VYBER	15	27063	SLUZBY	\N	\N
495901	1690	1997-01-31	VYDAJ	VYBER	15	16199	SLUZBY	\N	\N
495902	1690	1997-02-28	VYDAJ	VYBER	15	19685	SLUZBY	\N	\N
495903	1690	1997-03-31	VYDAJ	VYBER	15	23085	SLUZBY	\N	\N
495904	1690	1997-04-30	VYDAJ	VYBER	15	21193	SLUZBY	\N	\N
495905	1690	1997-05-31	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
495906	1690	1997-06-30	VYDAJ	VYBER	15	16091	SLUZBY	\N	\N
495907	1690	1997-07-31	VYDAJ	VYBER	15	17176	SLUZBY	\N	\N
495908	1690	1997-08-31	VYDAJ	VYBER	15	19468	SLUZBY	\N	\N
495909	1690	1997-09-30	VYDAJ	VYBER	15	19526	SLUZBY	\N	\N
495910	1690	1997-10-31	VYDAJ	VYBER	15	20624	SLUZBY	\N	\N
495911	1690	1997-11-30	VYDAJ	VYBER	15	19825	SLUZBY	\N	\N
495912	1690	1997-12-31	VYDAJ	VYBER	15	17971	SLUZBY	\N	\N
495913	1690	1998-01-31	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
495914	1690	1998-02-28	VYDAJ	VYBER	15	17644	SLUZBY	\N	\N
495915	1690	1998-03-31	VYDAJ	VYBER	15	21136	SLUZBY	\N	\N
495916	1690	1998-04-30	VYDAJ	VYBER	15	24643	SLUZBY	\N	\N
495917	1690	1998-05-31	VYDAJ	VYBER	15	28164	SLUZBY	\N	\N
495918	1690	1998-06-30	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
495919	1690	1998-07-31	VYDAJ	VYBER	15	22513	SLUZBY	\N	\N
495920	1690	1998-08-31	VYDAJ	VYBER	15	23219	SLUZBY	\N	\N
495921	1690	1998-09-30	VYDAJ	VYBER	15	24331	SLUZBY	\N	\N
495922	1690	1998-10-31	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
495923	1690	1998-11-30	VYDAJ	VYBER	15	29303	SLUZBY	\N	\N
495924	1690	1996-02-04	VYDAJ	VYBER	1400	26159	\N	\N	\N
495925	1690	1996-03-05	VYDAJ	VYBER	1400	25470	\N	\N	\N
495926	1690	1996-04-04	VYDAJ	VYBER	1300	27701	\N	\N	\N
495927	1690	1996-05-04	VYDAJ	VYBER	1200	30043	\N	\N	\N
495928	1690	1996-06-03	VYDAJ	VYBER	5200	28393	\N	\N	\N
495929	1690	1996-10-01	VYDAJ	VYBER	3400	26408	\N	\N	\N
495930	1690	1996-11-30	VYDAJ	VYBER	3600	29889	\N	\N	\N
495931	1690	1996-12-30	VYDAJ	VYBER	3000	26944	\N	\N	\N
495932	1690	1997-01-29	VYDAJ	VYBER	1300	16118	\N	\N	\N
495933	1690	1997-02-28	VYDAJ	VYBER	100	19585	\N	\N	\N
495934	1690	1997-04-29	VYDAJ	VYBER	2200	21110	\N	\N	\N
495935	1690	1997-05-29	VYDAJ	VYBER	4900	19718	\N	\N	\N
495936	1690	1997-06-28	VYDAJ	VYBER	4400	16023	\N	\N	\N
495937	1690	1997-07-28	VYDAJ	VYBER	2400	17116	\N	\N	\N
495938	1690	1997-10-26	VYDAJ	VYBER	2400	20551	\N	\N	\N
495939	1690	1997-11-25	VYDAJ	VYBER	4300	19749	\N	\N	\N
495940	1690	1997-12-25	VYDAJ	VYBER	5100	18150	\N	\N	\N
495980	1691	1995-11-08	PRIJEM	VKLAD	400	400	\N	\N	\N
495991	1691	1995-11-11	PRIJEM	PREVOD Z UCTU	2901	3301	\N	IJ	72301327
495992	1691	1995-12-11	PRIJEM	PREVOD Z UCTU	2901	6211	\N	IJ	72301327
495993	1691	1996-01-11	PRIJEM	PREVOD Z UCTU	2901	9126	\N	IJ	72301327
495994	1691	1996-02-11	PRIJEM	PREVOD Z UCTU	2901	12041	\N	IJ	72301327
495995	1691	1996-03-11	PRIJEM	PREVOD Z UCTU	2901	14955	\N	IJ	72301327
495996	1691	1996-04-11	PRIJEM	PREVOD Z UCTU	2901	15923	\N	IJ	72301327
495997	1691	1996-05-11	PRIJEM	PREVOD Z UCTU	2901	16940	\N	IJ	72301327
495998	1691	1996-06-11	PRIJEM	PREVOD Z UCTU	2901	16460	\N	IJ	72301327
495999	1691	1996-07-11	PRIJEM	PREVOD Z UCTU	2901	17480	\N	IJ	72301327
496000	1691	1996-08-11	PRIJEM	PREVOD Z UCTU	2901	17604	\N	IJ	72301327
496001	1691	1996-09-11	PRIJEM	PREVOD Z UCTU	2901	17426	\N	IJ	72301327
496002	1691	1996-10-11	PRIJEM	PREVOD Z UCTU	2901	18449	\N	IJ	72301327
496003	1691	1996-11-11	PRIJEM	PREVOD Z UCTU	2901	19476	\N	IJ	72301327
496004	1691	1996-12-11	PRIJEM	PREVOD Z UCTU	2901	20508	\N	IJ	72301327
496005	1691	1997-01-11	PRIJEM	PREVOD Z UCTU	2901	18873	\N	IJ	72301327
496006	1691	1997-02-11	PRIJEM	PREVOD Z UCTU	2901	15635	\N	IJ	72301327
496007	1691	1997-03-11	PRIJEM	PREVOD Z UCTU	2901	16650	\N	IJ	72301327
496008	1691	1997-04-11	PRIJEM	PREVOD Z UCTU	2901	16709	\N	IJ	72301327
496009	1691	1997-05-11	PRIJEM	PREVOD Z UCTU	2901	16018	\N	IJ	72301327
496010	1691	1997-06-11	PRIJEM	PREVOD Z UCTU	2901	16496	\N	IJ	72301327
496011	1691	1997-07-11	PRIJEM	PREVOD Z UCTU	2901	17515	\N	IJ	72301327
496012	1691	1997-08-11	PRIJEM	PREVOD Z UCTU	2901	18539	\N	IJ	72301327
496013	1691	1997-09-11	PRIJEM	PREVOD Z UCTU	2901	19566	\N	IJ	72301327
496014	1691	1997-10-11	PRIJEM	PREVOD Z UCTU	2901	20598	\N	IJ	72301327
496015	1691	1997-11-11	PRIJEM	PREVOD Z UCTU	2901	21634	\N	IJ	72301327
496016	1691	1997-12-11	PRIJEM	PREVOD Z UCTU	2901	22675	\N	IJ	72301327
496017	1691	1998-01-11	PRIJEM	PREVOD Z UCTU	2901	21829	\N	IJ	72301327
496018	1691	1998-02-11	PRIJEM	PREVOD Z UCTU	2901	18152	\N	IJ	72301327
496019	1691	1998-03-11	PRIJEM	PREVOD Z UCTU	2901	18098	\N	IJ	72301327
496020	1691	1998-04-11	PRIJEM	PREVOD Z UCTU	2901	18163	\N	IJ	72301327
496021	1691	1998-05-11	PRIJEM	PREVOD Z UCTU	2901	19189	\N	IJ	72301327
496022	1691	1998-06-11	PRIJEM	PREVOD Z UCTU	2901	18899	\N	IJ	72301327
496023	1691	1998-07-11	PRIJEM	PREVOD Z UCTU	2901	19927	\N	IJ	72301327
496024	1691	1998-08-11	PRIJEM	PREVOD Z UCTU	2901	20960	\N	IJ	72301327
496025	1691	1998-09-11	PRIJEM	PREVOD Z UCTU	2901	21998	\N	IJ	72301327
496026	1691	1998-10-11	PRIJEM	PREVOD Z UCTU	2901	23040	\N	IJ	72301327
496027	1691	1998-11-11	PRIJEM	PREVOD Z UCTU	2901	23126	\N	IJ	72301327
496028	1691	1998-12-11	PRIJEM	PREVOD Z UCTU	2901	24172	\N	IJ	72301327
496044	1691	1996-04-09	VYDAJ	PREVOD NA UCET	720	13022	SIPO	EF	22764325
496045	1691	1996-05-09	VYDAJ	PREVOD NA UCET	720	14039	SIPO	EF	22764325
496046	1691	1996-06-09	VYDAJ	PREVOD NA UCET	720	14519	SIPO	EF	22764325
496047	1691	1996-07-09	VYDAJ	PREVOD NA UCET	720	14579	SIPO	EF	22764325
496048	1691	1996-08-09	VYDAJ	PREVOD NA UCET	720	14703	SIPO	EF	22764325
496049	1691	1996-09-09	VYDAJ	PREVOD NA UCET	720	14525	SIPO	EF	22764325
496050	1691	1996-10-09	VYDAJ	PREVOD NA UCET	720	15548	SIPO	EF	22764325
496051	1691	1996-11-09	VYDAJ	PREVOD NA UCET	720	16575	SIPO	EF	22764325
496052	1691	1996-12-09	VYDAJ	PREVOD NA UCET	720	17607	SIPO	EF	22764325
496053	1691	1997-01-09	VYDAJ	PREVOD NA UCET	720	16842	SIPO	EF	22764325
496054	1691	1997-02-09	VYDAJ	PREVOD NA UCET	720	12734	SIPO	EF	22764325
496055	1691	1997-03-09	VYDAJ	PREVOD NA UCET	720	13749	SIPO	EF	22764325
496056	1691	1997-04-09	VYDAJ	PREVOD NA UCET	720	13808	SIPO	EF	22764325
496057	1691	1997-05-09	VYDAJ	PREVOD NA UCET	720	13117	SIPO	EF	22764325
496058	1691	1997-06-09	VYDAJ	PREVOD NA UCET	720	13595	SIPO	EF	22764325
496059	1691	1997-07-09	VYDAJ	PREVOD NA UCET	720	14614	SIPO	EF	22764325
496060	1691	1997-08-09	VYDAJ	PREVOD NA UCET	720	15638	SIPO	EF	22764325
496061	1691	1997-09-09	VYDAJ	PREVOD NA UCET	720	16665	SIPO	EF	22764325
496062	1691	1997-10-09	VYDAJ	PREVOD NA UCET	720	17697	SIPO	EF	22764325
496063	1691	1997-11-09	VYDAJ	PREVOD NA UCET	720	18733	SIPO	EF	22764325
496064	1691	1997-12-09	VYDAJ	PREVOD NA UCET	720	19774	SIPO	EF	22764325
496065	1691	1998-01-09	VYDAJ	PREVOD NA UCET	720	18928	SIPO	EF	22764325
496066	1691	1998-02-09	VYDAJ	PREVOD NA UCET	720	15251	SIPO	EF	22764325
496067	1691	1998-03-09	VYDAJ	PREVOD NA UCET	720	15197	SIPO	EF	22764325
496068	1691	1998-04-09	VYDAJ	PREVOD NA UCET	720	15262	SIPO	EF	22764325
496069	1691	1998-05-09	VYDAJ	PREVOD NA UCET	720	16288	SIPO	EF	22764325
496070	1691	1998-06-09	VYDAJ	PREVOD NA UCET	720	15998	SIPO	EF	22764325
496071	1691	1998-07-09	VYDAJ	PREVOD NA UCET	720	17026	SIPO	EF	22764325
496072	1691	1998-08-09	VYDAJ	PREVOD NA UCET	720	18059	SIPO	EF	22764325
496073	1691	1998-09-09	VYDAJ	PREVOD NA UCET	720	19097	SIPO	EF	22764325
496074	1691	1998-10-09	VYDAJ	PREVOD NA UCET	720	20139	SIPO	EF	22764325
496075	1691	1998-11-09	VYDAJ	PREVOD NA UCET	720	20225	SIPO	EF	22764325
496076	1691	1998-12-09	VYDAJ	PREVOD NA UCET	720	21271	SIPO	EF	22764325
496092	1691	1996-04-05	VYDAJ	PREVOD NA UCET	1214	13742	 	QR	60282856
496093	1691	1996-05-05	VYDAJ	PREVOD NA UCET	1214	14759	 	QR	60282856
496094	1691	1996-06-05	VYDAJ	PREVOD NA UCET	1214	15239	 	QR	60282856
496095	1691	1996-07-05	VYDAJ	PREVOD NA UCET	1214	15299	 	QR	60282856
496096	1691	1996-08-05	VYDAJ	PREVOD NA UCET	1214	15423	 	QR	60282856
496097	1691	1996-09-05	VYDAJ	PREVOD NA UCET	1214	15245	 	QR	60282856
496098	1691	1996-10-05	VYDAJ	PREVOD NA UCET	1214	16268	 	QR	60282856
496099	1691	1996-11-05	VYDAJ	PREVOD NA UCET	1214	17295	 	QR	60282856
496100	1691	1996-12-05	VYDAJ	PREVOD NA UCET	1214	18327	 	QR	60282856
496101	1691	1997-01-05	VYDAJ	PREVOD NA UCET	1214	17562	 	QR	60282856
496102	1691	1997-02-05	VYDAJ	PREVOD NA UCET	1214	13454	 	QR	60282856
496103	1691	1997-03-05	VYDAJ	PREVOD NA UCET	1214	14469	 	QR	60282856
496104	1691	1997-04-05	VYDAJ	PREVOD NA UCET	1214	14528	 	QR	60282856
496105	1691	1997-05-05	VYDAJ	PREVOD NA UCET	1214	13837	 	QR	60282856
496106	1691	1997-06-05	VYDAJ	PREVOD NA UCET	1214	14315	 	QR	60282856
496107	1691	1997-07-05	VYDAJ	PREVOD NA UCET	1214	15334	 	QR	60282856
496108	1691	1997-08-05	VYDAJ	PREVOD NA UCET	1214	16358	 	QR	60282856
496109	1691	1997-09-05	VYDAJ	PREVOD NA UCET	1214	17385	 	QR	60282856
496110	1691	1997-10-05	VYDAJ	PREVOD NA UCET	1214	18417	 	QR	60282856
496111	1691	1997-11-05	VYDAJ	PREVOD NA UCET	1214	19453	 	QR	60282856
496112	1691	1997-12-05	VYDAJ	PREVOD NA UCET	1214	20494	 	QR	60282856
496113	1691	1998-01-05	VYDAJ	PREVOD NA UCET	1214	20668	 	QR	60282856
496114	1691	1998-02-05	VYDAJ	PREVOD NA UCET	1214	15971	 	QR	60282856
496115	1691	1998-03-05	VYDAJ	PREVOD NA UCET	1214	15917	 	QR	60282856
496116	1691	1998-04-05	VYDAJ	PREVOD NA UCET	1214	15982	 	QR	60282856
496117	1691	1998-05-05	VYDAJ	PREVOD NA UCET	1214	17008	 	QR	60282856
496118	1691	1998-06-05	VYDAJ	PREVOD NA UCET	1214	16718	 	QR	60282856
496119	1691	1998-07-05	VYDAJ	PREVOD NA UCET	1214	17746	 	QR	60282856
496120	1691	1998-08-05	VYDAJ	PREVOD NA UCET	1214	18779	 	QR	60282856
496121	1691	1998-09-05	VYDAJ	PREVOD NA UCET	1214	19817	 	QR	60282856
496122	1691	1998-10-05	VYDAJ	PREVOD NA UCET	1214	20859	 	QR	60282856
496123	1691	1998-11-05	VYDAJ	PREVOD NA UCET	1214	20945	 	QR	60282856
496124	1691	1998-12-05	VYDAJ	PREVOD NA UCET	1214	21991	 	QR	60282856
496131	1691	1997-01-12	VYDAJ	VYBER	1740	17133	\N	\N	\N
496132	1691	1998-01-14	VYDAJ	VYBER	2400	18739	\N	\N	\N
496134	1691	1996-12-25	VYDAJ	VYBER	720	19788	\N	\N	\N
496135	1691	1997-12-30	VYDAJ	VYBER	870	21805	\N	\N	\N
496136	1691	1998-12-22	VYDAJ	VYBER	180	23992	\N	\N	\N
496149	1691	1997-01-21	VYDAJ	VYBER	360	15543	\N	\N	\N
496150	1691	1997-01-04	VYDAJ	VYBER	690	18776	\N	\N	\N
496151	1691	1997-01-10	VYDAJ	VYBER	870	15972	\N	\N	\N
496152	1691	1997-01-03	VYDAJ	VYBER	390	19466	\N	\N	\N
496153	1691	1997-01-18	VYDAJ	VYBER	750	15903	\N	\N	\N
496154	1691	1997-01-14	VYDAJ	VYBER	480	16653	\N	\N	\N
496155	1691	1998-01-24	VYDAJ	VYBER	840	17899	\N	\N	\N
496156	1691	1998-01-06	VYDAJ	VYBER	450	20218	\N	\N	\N
496157	1691	1998-01-27	VYDAJ	VYBER	270	17119	\N	\N	\N
496158	1691	1998-01-08	VYDAJ	VYBER	570	19648	\N	\N	\N
496159	1691	1998-01-25	VYDAJ	VYBER	510	17389	\N	\N	\N
496160	1691	1998-01-13	VYDAJ	VYBER	690	21139	\N	\N	\N
496168	1691	1996-07-30	VYDAJ	VYBER	900	16580	\N	\N	\N
496169	1691	1996-05-17	VYDAJ	VYBER	540	16400	\N	\N	\N
496170	1691	1996-08-22	VYDAJ	VYBER	1200	16404	\N	\N	\N
496171	1691	1996-06-10	VYDAJ	VYBER	960	13559	\N	\N	\N
496172	1691	1997-04-11	VYDAJ	VYBER	270	16439	\N	\N	\N
496173	1691	1997-03-25	VYDAJ	VYBER	960	15690	\N	\N	\N
496174	1691	1997-05-31	VYDAJ	VYBER	540	15529	\N	\N	\N
496175	1691	1997-04-29	VYDAJ	VYBER	1440	14999	\N	\N	\N
496176	1691	1997-01-27	VYDAJ	VYBER	930	14613	\N	\N	\N
496177	1691	1998-11-03	VYDAJ	VYBER	960	22159	\N	\N	\N
496178	1691	1998-04-02	VYDAJ	VYBER	960	17196	\N	\N	\N
496179	1691	1998-06-04	VYDAJ	VYBER	600	17932	\N	\N	\N
496180	1691	1998-02-28	VYDAJ	VYBER	1080	17131	\N	\N	\N
496181	1691	1998-05-30	VYDAJ	VYBER	720	18469	\N	\N	\N
496197	1691	1996-03-31	VYDAJ	VYBER	15	14956	SLUZBY	\N	\N
496198	1691	1996-04-30	VYDAJ	VYBER	15	15973	SLUZBY	\N	\N
496199	1691	1996-05-31	VYDAJ	VYBER	15	16453	SLUZBY	\N	\N
496200	1691	1996-06-30	VYDAJ	VYBER	15	16513	SLUZBY	\N	\N
496201	1691	1996-07-31	VYDAJ	VYBER	15	16637	SLUZBY	\N	\N
496202	1691	1996-08-31	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
496203	1691	1996-09-30	VYDAJ	VYBER	15	17482	SLUZBY	\N	\N
496204	1691	1996-10-31	VYDAJ	VYBER	15	18509	SLUZBY	\N	\N
496205	1691	1996-11-30	VYDAJ	VYBER	15	19541	SLUZBY	\N	\N
496206	1691	1996-12-31	VYDAJ	VYBER	15	19856	SLUZBY	\N	\N
496207	1691	1997-01-31	VYDAJ	VYBER	15	14668	SLUZBY	\N	\N
496208	1691	1997-02-28	VYDAJ	VYBER	15	15683	SLUZBY	\N	\N
496209	1691	1997-03-31	VYDAJ	VYBER	15	15742	SLUZBY	\N	\N
496210	1691	1997-04-30	VYDAJ	VYBER	15	15051	SLUZBY	\N	\N
496211	1691	1997-05-31	VYDAJ	VYBER	15	16069	SLUZBY	\N	\N
496212	1691	1997-06-30	VYDAJ	VYBER	15	16548	SLUZBY	\N	\N
496213	1691	1997-07-31	VYDAJ	VYBER	15	17572	SLUZBY	\N	\N
496214	1691	1997-08-31	VYDAJ	VYBER	15	18599	SLUZBY	\N	\N
496215	1691	1997-09-30	VYDAJ	VYBER	15	19631	SLUZBY	\N	\N
496216	1691	1997-10-31	VYDAJ	VYBER	15	20667	SLUZBY	\N	\N
496217	1691	1997-11-30	VYDAJ	VYBER	15	21708	SLUZBY	\N	\N
496218	1691	1997-12-31	VYDAJ	VYBER	15	21882	SLUZBY	\N	\N
496219	1691	1998-01-31	VYDAJ	VYBER	15	17185	SLUZBY	\N	\N
496220	1691	1998-02-28	VYDAJ	VYBER	15	18211	SLUZBY	\N	\N
496221	1691	1998-03-31	VYDAJ	VYBER	15	18156	SLUZBY	\N	\N
496222	1691	1998-04-30	VYDAJ	VYBER	15	18222	SLUZBY	\N	\N
496223	1691	1998-05-31	VYDAJ	VYBER	15	18532	SLUZBY	\N	\N
496224	1691	1998-06-30	VYDAJ	VYBER	15	18960	SLUZBY	\N	\N
496225	1691	1998-07-31	VYDAJ	VYBER	15	19993	SLUZBY	\N	\N
496226	1691	1998-08-31	VYDAJ	VYBER	15	21031	SLUZBY	\N	\N
496227	1691	1998-09-30	VYDAJ	VYBER	15	22073	SLUZBY	\N	\N
496228	1691	1998-10-31	VYDAJ	VYBER	15	23119	SLUZBY	\N	\N
496229	1691	1998-11-30	VYDAJ	VYBER	15	23205	SLUZBY	\N	\N
496268	1692	1995-03-29	PRIJEM	VKLAD	500	500	\N	\N	\N
496269	1692	1995-04-11	PRIJEM	VKLAD	40677	41177	\N	\N	\N
496271	1692	1995-11-04	PRIJEM	VKLAD	14631	38026	\N	\N	\N
496273	1692	1995-06-18	PRIJEM	VKLAD	42762	70993	\N	\N	\N
496275	1692	1995-11-18	PRIJEM	VKLAD	35942	73968	\N	\N	\N
496276	1692	1996-07-29	PRIJEM	VKLAD	11950	41645	\N	\N	\N
496277	1692	1996-01-03	PRIJEM	VKLAD	26065	48046	\N	\N	\N
496278	1692	1996-12-12	PRIJEM	VKLAD	35866	42902	\N	\N	\N
496279	1692	1996-07-07	PRIJEM	VKLAD	36460	45195	\N	\N	\N
496280	1692	1996-12-13	PRIJEM	VKLAD	40767	68594	\N	\N	\N
496281	1692	1996-03-30	PRIJEM	VKLAD	47634	60233	\N	\N	\N
496282	1692	1996-10-06	PRIJEM	VKLAD	24898	41411	\N	\N	\N
496283	1692	1997-09-19	PRIJEM	VKLAD	46928	56939	\N	\N	\N
496284	1692	1997-10-04	PRIJEM	VKLAD	13151	54514	\N	\N	\N
496285	1692	1997-03-27	PRIJEM	VKLAD	41441	56557	\N	\N	\N
496286	1692	1997-11-23	PRIJEM	VKLAD	24086	56887	\N	\N	\N
496287	1692	1997-10-07	PRIJEM	VKLAD	7689	62203	\N	\N	\N
496288	1692	1997-06-21	PRIJEM	VKLAD	15832	55239	\N	\N	\N
496289	1692	1997-02-19	PRIJEM	VKLAD	27996	37522	\N	\N	\N
496290	1692	1997-07-12	PRIJEM	VKLAD	14924	60142	\N	\N	\N
496291	1692	1997-05-11	PRIJEM	VKLAD	31799	73584	\N	\N	\N
496292	1692	1997-11-04	PRIJEM	VKLAD	21925	61901	\N	\N	\N
496293	1692	1997-01-13	PRIJEM	VKLAD	29790	56000	\N	\N	\N
496294	1692	1997-06-10	PRIJEM	VKLAD	48692	68207	\N	\N	\N
496295	1692	1997-12-26	PRIJEM	VKLAD	44308	72867	\N	\N	\N
496296	1692	1997-05-08	PRIJEM	VKLAD	31891	41785	\N	\N	\N
496357	1692	1995-12-31	VYDAJ	VYBER	10900	21981	SIPO	\N	0
496358	1692	1996-02-13	VYDAJ	VYBER	7700	11339	SIPO	\N	0
496359	1692	1996-03-14	VYDAJ	VYBER	10100	4399	SIPO	\N	0
496360	1692	1996-04-13	VYDAJ	VYBER	10800	49489	SIPO	\N	0
496361	1692	1996-05-02	VYDAJ	VYBER	9700	20489	SIPO	\N	0
496362	1692	1996-06-12	VYDAJ	VYBER	7900	8681	SIPO	\N	0
496363	1692	1996-07-11	VYDAJ	VYBER	9200	35995	SIPO	\N	0
496364	1692	1996-08-06	VYDAJ	VYBER	7500	34239	SIPO	\N	0
496365	1692	1996-08-28	VYDAJ	VYBER	11200	14539	SIPO	\N	0
496366	1692	1996-10-15	VYDAJ	VYBER	7200	34211	SIPO	\N	0
496367	1692	1996-11-09	VYDAJ	VYBER	11700	6975	SIPO	\N	0
496369	1692	1996-12-29	VYDAJ	VYBER	9000	29094	SIPO	\N	0
496370	1692	1997-02-05	VYDAJ	VYBER	11500	9526	SIPO	\N	0
496371	1692	1997-02-27	VYDAJ	VYBER	11100	26422	SIPO	\N	0
496372	1692	1997-04-09	VYDAJ	VYBER	8200	29597	SIPO	\N	0
496373	1692	1997-04-26	VYDAJ	VYBER	11500	9797	SIPO	\N	0
496374	1692	1997-06-05	VYDAJ	VYBER	10400	19515	SIPO	\N	0
496375	1692	1997-06-27	VYDAJ	VYBER	7200	48039	SIPO	\N	0
496376	1692	1997-08-15	VYDAJ	VYBER	8200	25804	SIPO	\N	0
496377	1692	1997-09-13	VYDAJ	VYBER	9300	10011	SIPO	\N	0
496378	1692	1997-09-29	VYDAJ	VYBER	8500	48439	SIPO	\N	0
496379	1692	1997-11-11	VYDAJ	VYBER	11300	50601	SIPO	\N	0
496380	1692	1997-12-01	VYDAJ	VYBER	8800	48250	SIPO	\N	0
496381	1692	1998-01-13	VYDAJ	VYBER	11300	31338	SIPO	\N	0
496382	1692	1998-02-04	VYDAJ	VYBER	10000	12188	SIPO	\N	0
496383	1692	1998-02-27	VYDAJ	VYBER	11700	6488	SIPO	\N	0
496384	1692	1998-04-01	VYDAJ	VYBER	7200	4163	SIPO	\N	0
496385	1692	1998-05-02	VYDAJ	VYBER	10000	4704	SIPO	\N	0
496387	1692	1998-07-03	VYDAJ	VYBER	10200	3153	SIPO	\N	0
496388	1692	1998-08-10	VYDAJ	VYBER	10600	2893	SIPO	\N	0
496391	1692	1998-10-30	VYDAJ	VYBER	7400	5129	SIPO	\N	0
496403	1692	1996-12-12	VYBER	VYBER	15075	27827	\N	\N	\N
496405	1692	1997-12-10	VYBER	VYBER	4591	42159	\N	\N	\N
496406	1692	1997-03-27	VYBER	VYBER	15266	41291	\N	\N	\N
496407	1692	1997-01-14	VYBER	VYBER	19870	36130	\N	\N	\N
496408	1692	1997-05-27	VYBER	VYBER	8498	29786	\N	\N	\N
496419	1692	1996-12-28	VYDAJ	VYBER	1500	38094	\N	\N	\N
496420	1692	1997-12-04	VYDAJ	VYBER	1500	46750	\N	\N	\N
496429	1692	1996-01-10	VYDAJ	VYBER	7200	30646	\N	\N	\N
496430	1692	1996-01-04	VYDAJ	VYBER	5700	42346	\N	\N	\N
496431	1692	1996-01-14	VYDAJ	VYBER	7200	23446	\N	\N	\N
496433	1692	1996-01-06	VYDAJ	VYBER	4500	37846	\N	\N	\N
496437	1692	1997-01-17	VYDAJ	VYBER	6300	20930	\N	\N	\N
496438	1692	1997-01-05	VYDAJ	VYBER	3000	26210	\N	\N	\N
496441	1692	1998-01-15	VYDAJ	VYBER	1500	29838	\N	\N	\N
496442	1692	1998-01-16	VYDAJ	VYBER	7800	22038	\N	\N	\N
496443	1692	1998-01-08	VYDAJ	VYBER	3300	59238	\N	\N	\N
496444	1692	1998-01-12	VYDAJ	VYBER	3300	55938	\N	\N	\N
496451	1692	1996-04-26	VYDAJ	VYBER	1500	29989	\N	\N	\N
496454	1692	1996-10-16	VYDAJ	VYBER	9000	25211	\N	\N	\N
496456	1692	1997-04-01	VYDAJ	VYBER	3600	37797	\N	\N	\N
496457	1692	1997-09-29	VYDAJ	VYBER	7200	41239	\N	\N	\N
496458	1692	1997-07-01	VYDAJ	VYBER	3000	45218	\N	\N	\N
496462	1692	1998-01-06	VYDAJ	VYBER	10500	62538	\N	\N	\N
496477	1692	1996-01-31	VYDAJ	VYBER	15	19039	SLUZBY	\N	\N
496478	1692	1996-02-29	VYDAJ	VYBER	15	14499	SLUZBY	\N	\N
496479	1692	1996-03-31	VYDAJ	VYBER	15	60289	SLUZBY	\N	\N
496480	1692	1996-04-30	VYDAJ	VYBER	15	30189	SLUZBY	\N	\N
496481	1692	1996-05-31	VYDAJ	VYBER	15	16581	SLUZBY	\N	\N
496482	1692	1996-06-30	VYDAJ	VYBER	15	8735	SLUZBY	\N	\N
496483	1692	1996-07-31	VYDAJ	VYBER	15	41739	SLUZBY	\N	\N
496484	1692	1996-08-31	VYDAJ	VYBER	15	14666	SLUZBY	\N	\N
496485	1692	1996-09-30	VYDAJ	VYBER	15	16513	SLUZBY	\N	\N
496486	1692	1996-10-31	VYDAJ	VYBER	15	18675	SLUZBY	\N	\N
496487	1692	1996-11-30	VYDAJ	VYBER	15	7036	SLUZBY	\N	\N
496488	1692	1996-12-31	VYDAJ	VYBER	15	29210	SLUZBY	\N	\N
496489	1692	1997-01-31	VYDAJ	VYBER	15	21026	SLUZBY	\N	\N
496490	1692	1997-02-28	VYDAJ	VYBER	15	26516	SLUZBY	\N	\N
496491	1692	1997-03-31	VYDAJ	VYBER	15	41397	SLUZBY	\N	\N
496492	1692	1997-04-30	VYDAJ	VYBER	15	9894	SLUZBY	\N	\N
496493	1692	1997-05-31	VYDAJ	VYBER	15	29915	SLUZBY	\N	\N
496494	1692	1997-06-30	VYDAJ	VYBER	15	48218	SLUZBY	\N	\N
496495	1692	1997-07-31	VYDAJ	VYBER	15	34004	SLUZBY	\N	\N
496496	1692	1997-08-31	VYDAJ	VYBER	15	19311	SLUZBY	\N	\N
496497	1692	1997-09-30	VYDAJ	VYBER	15	41363	SLUZBY	\N	\N
496498	1692	1997-10-31	VYDAJ	VYBER	15	39976	SLUZBY	\N	\N
496499	1692	1997-11-30	VYDAJ	VYBER	15	57050	SLUZBY	\N	\N
496500	1692	1997-12-31	VYDAJ	VYBER	15	73038	SLUZBY	\N	\N
496501	1692	1998-01-31	VYDAJ	VYBER	15	22188	SLUZBY	\N	\N
496502	1692	1998-02-28	VYDAJ	VYBER	15	6551	SLUZBY	\N	\N
496503	1692	1998-03-31	VYDAJ	VYBER	15	11363	SLUZBY	\N	\N
496504	1692	1998-04-30	VYDAJ	VYBER	15	14704	SLUZBY	\N	\N
496505	1692	1998-05-31	VYDAJ	VYBER	15	4748	SLUZBY	\N	\N
496506	1692	1998-06-30	VYDAJ	VYBER	15	13353	SLUZBY	\N	\N
496507	1692	1998-07-31	VYDAJ	VYBER	15	13493	SLUZBY	\N	\N
496508	1692	1998-08-31	VYDAJ	VYBER	15	2932	SLUZBY	\N	\N
496509	1692	1998-09-30	VYDAJ	VYBER	15	2929	SLUZBY	\N	\N
496510	1692	1998-10-31	VYDAJ	VYBER	15	5126	SLUZBY	\N	\N
496511	1692	1998-11-30	VYDAJ	VYBER	15	5131	SLUZBY	\N	\N
496512	1692	1995-04-28	VYDAJ	VYBER	7500	33677	\N	\N	\N
496513	1692	1995-05-28	VYDAJ	VYBER	5600	28091	\N	\N	\N
496514	1692	1995-06-27	VYDAJ	VYBER	25700	45293	\N	\N	\N
496515	1692	1995-07-27	VYDAJ	VYBER	9000	36440	\N	\N	\N
496516	1692	1995-08-26	VYDAJ	VYBER	6500	30129	\N	\N	\N
496517	1692	1995-09-25	VYDAJ	VYBER	3600	26718	\N	\N	\N
496518	1692	1995-10-25	VYDAJ	VYBER	3700	23206	\N	\N	\N
496519	1692	1995-11-24	VYDAJ	VYBER	25800	48168	\N	\N	\N
496520	1692	1995-12-24	VYDAJ	VYBER	15700	32683	\N	\N	\N
496521	1692	1996-01-23	VYDAJ	VYBER	4500	18946	\N	\N	\N
496522	1692	1996-02-22	PRIJEM	VKLAD	3100	14439	\N	\N	\N
496523	1692	1996-03-23	PRIJEM	VKLAD	8200	12599	\N	\N	\N
496524	1692	1996-04-22	VYDAJ	VYBER	18000	31489	\N	\N	\N
496525	1692	1996-05-22	VYDAJ	VYBER	4000	16489	\N	\N	\N
496526	1692	1996-07-21	VYDAJ	VYBER	6300	29695	\N	\N	\N
496527	1692	1996-08-20	VYDAJ	VYBER	8500	25739	\N	\N	\N
496528	1692	1996-09-19	PRIJEM	VKLAD	1800	16466	\N	\N	\N
496529	1692	1996-10-19	VYDAJ	VYBER	6600	18611	\N	\N	\N
496530	1692	1996-12-18	VYDAJ	VYBER	29000	39594	\N	\N	\N
496531	1692	1997-01-17	VYDAJ	VYBER	8900	27230	\N	\N	\N
496532	1692	1997-03-18	VYDAJ	VYBER	11400	15116	\N	\N	\N
496533	1692	1997-04-17	VYDAJ	VYBER	8300	21297	\N	\N	\N
496534	1692	1997-05-17	VYDAJ	VYBER	35300	38284	\N	\N	\N
496535	1692	1997-06-16	VYDAJ	VYBER	28800	39407	\N	\N	\N
496536	1692	1997-07-16	VYDAJ	VYBER	26300	33842	\N	\N	\N
496537	1692	1997-08-15	VYDAJ	VYBER	6600	19204	\N	\N	\N
496538	1692	1997-10-14	VYDAJ	VYBER	22400	39803	\N	\N	\N
496539	1692	1997-11-13	VYDAJ	VYBER	17800	32801	\N	\N	\N
496540	1692	1997-12-13	VYDAJ	VYBER	13600	28559	\N	\N	\N
496541	1692	1998-01-12	VYDAJ	VYBER	13300	42638	\N	\N	\N
496542	1692	1998-02-11	PRIJEM	VKLAD	6000	18188	\N	\N	\N
496543	1692	1998-03-13	PRIJEM	VKLAD	4800	11351	\N	\N	\N
496544	1692	1998-04-12	PRIJEM	VKLAD	10500	14663	\N	\N	\N
496545	1692	1998-06-11	PRIJEM	VKLAD	8600	13348	\N	\N	\N
496546	1692	1998-07-11	PRIJEM	VKLAD	10300	13453	\N	\N	\N
496547	1692	1998-10-09	PRIJEM	VKLAD	9600	12529	\N	\N	\N
496548	1692	1998-12-08	PRIJEM	VKLAD	13500	18631	\N	\N	\N
496596	1693	1997-04-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
496598	1693	1997-09-08	PRIJEM	VKLAD	29270	81468	\N	\N	\N
496599	1693	1997-12-07	PRIJEM	VKLAD	14374	61194	\N	\N	\N
496601	1693	1997-06-19	PRIJEM	VKLAD	44947	54947	\N	\N	\N
496602	1693	1997-11-06	PRIJEM	VKLAD	17863	81921	\N	\N	\N
496604	1693	1997-11-02	PRIJEM	VKLAD	18244	71637	\N	\N	\N
496605	1693	1997-12-30	PRIJEM	VKLAD	16899	34107	\N	\N	\N
496607	1693	1997-10-04	PRIJEM	VKLAD	38835	90079	\N	\N	\N
496608	1693	1997-09-04	PRIJEM	VKLAD	27521	52198	\N	\N	\N
496612	1693	1998-03-28	PRIJEM	VKLAD	47162	79679	\N	\N	\N
496613	1693	1998-10-28	PRIJEM	VKLAD	16950	35140	\N	\N	\N
496614	1693	1998-04-23	PRIJEM	VKLAD	45862	95675	\N	\N	\N
496615	1693	1998-11-29	PRIJEM	VKLAD	20916	65497	\N	\N	\N
496616	1693	1998-03-16	PRIJEM	VKLAD	42557	45217	\N	\N	\N
496617	1693	1998-11-15	PRIJEM	VKLAD	45160	69022	\N	\N	\N
496618	1693	1998-12-11	PRIJEM	VKLAD	26626	92211	\N	\N	\N
496619	1693	1998-07-07	PRIJEM	VKLAD	44715	65253	\N	\N	\N
496620	1693	1998-06-13	PRIJEM	VKLAD	49016	74021	\N	\N	\N
496621	1693	1998-09-14	PRIJEM	VKLAD	33725	41462	\N	\N	\N
496656	1693	1997-11-11	VYDAJ	PREVOD NA UCET	11276	70645	SIPO	AB	38757246
496657	1693	1997-12-11	VYDAJ	PREVOD NA UCET	11276	49918	SIPO	AB	38757246
496658	1693	1998-01-11	VYDAJ	PREVOD NA UCET	11276	12803	SIPO	AB	38757246
496659	1693	1998-02-11	VYDAJ	PREVOD NA UCET	11276	2704	SIPO	AB	38757246
496661	1693	1998-04-11	VYDAJ	PREVOD NA UCET	11276	49813	SIPO	AB	38757246
496662	1693	1998-05-11	VYDAJ	PREVOD NA UCET	11276	46862	SIPO	AB	38757246
496663	1693	1998-06-11	VYDAJ	PREVOD NA UCET	11276	25005	SIPO	AB	38757246
496664	1693	1998-07-11	VYDAJ	PREVOD NA UCET	11276	53977	SIPO	AB	38757246
496665	1693	1998-08-11	VYDAJ	PREVOD NA UCET	11276	23390	SIPO	AB	38757246
496666	1693	1998-09-11	VYDAJ	PREVOD NA UCET	11276	7737	SIPO	AB	38757246
496667	1693	1998-10-11	VYDAJ	PREVOD NA UCET	11276	16190	SIPO	AB	38757246
496668	1693	1998-11-11	VYDAJ	PREVOD NA UCET	11276	23862	SIPO	AB	38757246
496669	1693	1998-12-11	VYDAJ	PREVOD NA UCET	11276	80935	SIPO	AB	38757246
496676	1693	1997-11-03	VYBER	VYBER	7579	64058	\N	\N	\N
496682	1693	1997-12-17	VYBER	VYBER	10210	32208	\N	\N	\N
496684	1693	1998-12-17	VYBER	VYBER	8077	72858	\N	\N	\N
496689	1693	1998-11-16	VYBER	VYBER	3241	65781	\N	\N	\N
496690	1693	1998-10-07	VYBER	VYBER	2111	27466	\N	\N	\N
496691	1693	1998-01-05	VYBER	VYBER	7373	26779	\N	\N	\N
496693	1693	1998-06-18	VYBER	VYBER	15571	58450	\N	\N	\N
496695	1693	1998-04-03	VYBER	VYBER	18555	61089	\N	\N	\N
496701	1693	1997-12-13	VYDAJ	VYBER	7500	42418	\N	\N	\N
496702	1693	1998-12-24	VYDAJ	VYBER	6900	43158	\N	\N	\N
496713	1693	1998-01-06	VYDAJ	VYBER	2700	24079	\N	\N	\N
496715	1693	1997-12-20	VYDAJ	VYBER	13200	19008	\N	\N	\N
496718	1693	1998-06-24	VYDAJ	VYBER	8400	31250	\N	\N	\N
496721	1693	1998-07-06	VYDAJ	VYBER	10800	20538	\N	\N	\N
496733	1693	1997-11-30	VYDAJ	VYBER	100	46820	SLUZBY	\N	\N
496734	1693	1997-12-31	VYDAJ	VYBER	100	34152	SLUZBY	\N	\N
496735	1693	1998-01-31	VYDAJ	VYBER	100	13980	SLUZBY	\N	\N
496736	1693	1998-02-28	VYDAJ	VYBER	100	2660	SLUZBY	\N	\N
496737	1693	1998-03-31	VYDAJ	VYBER	100	79644	SLUZBY	\N	\N
496738	1693	1998-04-30	VYDAJ	VYBER	100	58138	SLUZBY	\N	\N
496739	1693	1998-05-31	VYDAJ	VYBER	100	36281	SLUZBY	\N	\N
496740	1693	1998-06-30	VYDAJ	VYBER	100	31338	SLUZBY	\N	\N
496741	1693	1998-07-31	VYDAJ	VYBER	100	34666	SLUZBY	\N	\N
496742	1693	1998-08-31	VYDAJ	VYBER	100	19013	SLUZBY	\N	\N
496743	1693	1998-09-30	VYDAJ	VYBER	100	29577	SLUZBY	\N	\N
496744	1693	1998-10-31	VYDAJ	VYBER	100	35138	SLUZBY	\N	\N
496745	1693	1998-11-30	VYDAJ	VYBER	100	65585	SLUZBY	\N	\N
496746	1693	1997-05-29	PRIJEM	VKLAD	8900	10000	\N	\N	\N
496747	1693	1997-06-28	VYDAJ	VYBER	17200	37747	\N	\N	\N
496748	1693	1997-07-28	VYDAJ	VYBER	8600	29163	\N	\N	\N
496749	1693	1997-08-27	VYDAJ	VYBER	4800	24520	\N	\N	\N
496750	1693	1997-09-26	VYDAJ	VYBER	30500	50968	\N	\N	\N
496751	1693	1997-10-26	VYDAJ	VYBER	36900	53179	\N	\N	\N
496752	1693	1997-11-25	VYDAJ	VYBER	24000	46645	\N	\N	\N
496753	1693	1997-12-25	VYDAJ	VYBER	1800	17208	\N	\N	\N
496754	1693	1998-01-24	PRIJEM	VKLAD	1200	14003	\N	\N	\N
496755	1693	1998-03-25	VYDAJ	VYBER	12700	32517	\N	\N	\N
496756	1693	1998-04-24	VYDAJ	VYBER	37700	57975	\N	\N	\N
496757	1693	1998-05-24	VYDAJ	VYBER	10700	36162	\N	\N	\N
496758	1693	1998-06-23	VYDAJ	VYBER	18800	39650	\N	\N	\N
496759	1693	1998-07-23	VYDAJ	VYBER	19400	34577	\N	\N	\N
496760	1693	1998-08-22	VYDAJ	VYBER	4400	18990	\N	\N	\N
496761	1693	1998-09-21	VYDAJ	VYBER	11900	29562	\N	\N	\N
496762	1693	1998-10-21	PRIJEM	VKLAD	2000	18190	\N	\N	\N
496763	1693	1998-11-20	VYDAJ	VYBER	21200	44581	\N	\N	\N
496764	1693	1998-12-20	VYDAJ	VYBER	22800	50058	\N	\N	\N
496784	1694	1993-08-29	PRIJEM	VKLAD	500	500	\N	\N	\N
496785	1694	1993-11-06	PRIJEM	VKLAD	34247	76334	\N	\N	\N
496788	1694	1993-11-26	PRIJEM	VKLAD	39343	115677	\N	\N	\N
496789	1694	1993-11-28	PRIJEM	VKLAD	44826	93003	\N	\N	\N
496791	1694	1993-10-16	PRIJEM	VKLAD	48364	61864	\N	\N	\N
496792	1694	1994-05-11	PRIJEM	VKLAD	38822	109302	\N	\N	\N
496793	1694	1994-05-04	PRIJEM	VKLAD	48043	70480	\N	\N	\N
496794	1694	1994-09-28	PRIJEM	VKLAD	21044	102296	\N	\N	\N
496795	1694	1994-02-12	PRIJEM	VKLAD	25697	69976	\N	\N	\N
496796	1694	1994-08-19	PRIJEM	VKLAD	23857	81110	\N	\N	\N
496797	1694	1994-04-08	PRIJEM	VKLAD	41367	81086	\N	\N	\N
496798	1694	1994-04-15	PRIJEM	VKLAD	33080	114166	\N	\N	\N
496799	1694	1994-09-27	PRIJEM	VKLAD	18055	81252	\N	\N	\N
496800	1694	1994-11-03	PRIJEM	VKLAD	36336	106846	\N	\N	\N
496801	1694	1994-05-26	PRIJEM	VKLAD	29974	101576	\N	\N	\N
496802	1694	1994-09-15	PRIJEM	VKLAD	32187	95197	\N	\N	\N
496803	1694	1994-07-18	PRIJEM	VKLAD	24822	126427	\N	\N	\N
496804	1694	1994-03-16	PRIJEM	VKLAD	5530	44480	\N	\N	\N
496805	1694	1994-09-04	PRIJEM	VKLAD	7293	63010	\N	\N	\N
496806	1694	1994-06-13	PRIJEM	VKLAD	49235	108651	\N	\N	\N
496807	1694	1994-07-05	PRIJEM	VKLAD	8843	125952	\N	\N	\N
496808	1694	1994-07-05	PRIJEM	VKLAD	47036	117109	\N	\N	\N
496809	1694	1994-03-28	PRIJEM	VKLAD	23708	59888	\N	\N	\N
496810	1694	1994-10-11	PRIJEM	VKLAD	42674	145243	\N	\N	\N
496811	1694	1995-09-02	PRIJEM	VKLAD	7616	117829	\N	\N	\N
496812	1694	1995-07-14	PRIJEM	VKLAD	33417	81024	\N	\N	\N
496813	1694	1995-02-18	PRIJEM	VKLAD	46700	121508	\N	\N	\N
496814	1694	1995-08-19	PRIJEM	VKLAD	18420	93945	\N	\N	\N
496815	1694	1995-07-30	PRIJEM	VKLAD	31017	96622	\N	\N	\N
496816	1694	1995-07-23	PRIJEM	VKLAD	5881	65605	\N	\N	\N
496817	1694	1995-03-26	PRIJEM	VKLAD	40617	101524	\N	\N	\N
496818	1694	1995-06-19	PRIJEM	VKLAD	24367	80892	\N	\N	\N
496819	1694	1995-08-22	PRIJEM	VKLAD	45730	114075	\N	\N	\N
496820	1694	1995-05-27	PRIJEM	VKLAD	14070	73094	\N	\N	\N
496821	1694	1995-05-18	PRIJEM	VKLAD	31220	120924	\N	\N	\N
496822	1694	1995-08-23	PRIJEM	VKLAD	46889	109764	\N	\N	\N
496823	1694	1995-12-28	PRIJEM	VKLAD	42287	88395	\N	\N	\N
496824	1694	1995-04-02	PRIJEM	VKLAD	17753	119564	\N	\N	\N
496825	1694	1995-03-19	PRIJEM	VKLAD	16421	84307	\N	\N	\N
496826	1694	1995-12-02	PRIJEM	VKLAD	22202	66908	\N	\N	\N
496827	1694	1995-05-27	PRIJEM	VKLAD	31607	104701	\N	\N	\N
496828	1694	1995-01-19	PRIJEM	VKLAD	25213	60596	\N	\N	\N
496829	1694	1995-04-07	PRIJEM	VKLAD	25774	130238	\N	\N	\N
496830	1694	1995-01-26	PRIJEM	VKLAD	36283	69379	\N	\N	\N
496831	1694	1995-10-15	PRIJEM	VKLAD	22502	95674	\N	\N	\N
496832	1694	1995-01-07	PRIJEM	VKLAD	25750	46183	\N	\N	\N
496833	1694	1995-06-16	PRIJEM	VKLAD	7972	56525	\N	\N	\N
496834	1694	1995-05-15	PRIJEM	VKLAD	32377	89704	\N	\N	\N
496835	1694	1995-09-12	PRIJEM	VKLAD	44172	106201	\N	\N	\N
496836	1694	1995-02-15	PRIJEM	VKLAD	12178	74808	\N	\N	\N
496837	1694	1995-08-06	PRIJEM	VKLAD	33350	130225	\N	\N	\N
496838	1694	1996-08-20	PRIJEM	VKLAD	10477	21074	\N	\N	\N
496839	1694	1996-12-17	PRIJEM	VKLAD	42404	85998	\N	\N	\N
496840	1694	1996-12-01	PRIJEM	VKLAD	32991	56094	\N	\N	\N
496841	1694	1996-04-30	PRIJEM	VKLAD	45009	72913	\N	\N	\N
496842	1694	1996-09-29	PRIJEM	VKLAD	11286	27126	\N	\N	\N
496843	1694	1997-07-08	PRIJEM	VKLAD	21547	74870	\N	\N	\N
496844	1694	1997-06-04	PRIJEM	VKLAD	23185	82246	\N	\N	\N
496845	1694	1997-04-03	PRIJEM	VKLAD	16671	80404	\N	\N	\N
496846	1694	1997-03-26	PRIJEM	VKLAD	14217	71373	\N	\N	\N
496847	1694	1997-02-01	PRIJEM	VKLAD	25195	51651	\N	\N	\N
496848	1694	1997-09-07	PRIJEM	VKLAD	39015	101091	\N	\N	\N
496849	1694	1997-10-23	PRIJEM	VKLAD	6077	47041	\N	\N	\N
496850	1694	1997-02-04	PRIJEM	VKLAD	26322	77973	\N	\N	\N
496851	1694	1997-05-16	PRIJEM	VKLAD	21151	119395	\N	\N	\N
496852	1694	1997-01-18	PRIJEM	VKLAD	20768	62953	\N	\N	\N
496853	1694	1997-03-06	PRIJEM	VKLAD	5205	35365	\N	\N	\N
496854	1694	1997-05-11	PRIJEM	VKLAD	48570	98244	\N	\N	\N
496855	1694	1997-09-06	PRIJEM	VKLAD	42308	62076	\N	\N	\N
496856	1694	1997-04-10	PRIJEM	VKLAD	39483	119887	\N	\N	\N
496857	1694	1997-03-22	PRIJEM	VKLAD	23391	57156	\N	\N	\N
496858	1694	1998-09-01	PRIJEM	VKLAD	46419	66301	\N	\N	\N
496859	1694	1998-04-14	PRIJEM	VKLAD	8880	109163	\N	\N	\N
496860	1694	1998-10-09	PRIJEM	VKLAD	5770	46425	\N	\N	\N
496861	1694	1998-01-21	PRIJEM	VKLAD	42965	99046	\N	\N	\N
496862	1694	1998-04-07	PRIJEM	VKLAD	41858	81686	\N	\N	\N
496863	1694	1998-05-23	PRIJEM	VKLAD	46628	94566	\N	\N	\N
496864	1694	1998-06-16	PRIJEM	VKLAD	19653	67404	\N	\N	\N
496865	1694	1998-09-29	PRIJEM	VKLAD	25222	64923	\N	\N	\N
496866	1694	1998-01-30	PRIJEM	VKLAD	37958	132804	\N	\N	\N
496867	1694	1998-04-11	PRIJEM	VKLAD	18597	100283	\N	\N	\N
496868	1694	1998-02-28	PRIJEM	VKLAD	11048	75673	\N	\N	\N
496869	1694	1998-11-06	PRIJEM	VKLAD	25866	44942	\N	\N	\N
496870	1694	1998-03-01	PRIJEM	VKLAD	26565	102208	\N	\N	\N
496871	1694	1998-04-29	PRIJEM	VKLAD	31419	140582	\N	\N	\N
496872	1694	1998-05-24	PRIJEM	VKLAD	39654	134220	\N	\N	\N
496873	1694	1998-01-19	PRIJEM	VKLAD	42193	56081	\N	\N	\N
496880	1694	1994-12-07	VYBER	VYBER	3602	52548	\N	\N	\N
496881	1694	1994-06-08	VYBER	VYBER	8087	59416	\N	\N	\N
496882	1694	1994-04-25	VYBER	VYBER	16718	14748	\N	\N	\N
496883	1694	1994-03-31	VYBER	VYBER	4311	55750	\N	\N	\N
496884	1694	1994-02-16	VYBER	VYBER	13380	47296	\N	\N	\N
496886	1694	1994-04-05	VYBER	VYBER	16001	39719	\N	\N	\N
496887	1694	1994-07-16	VYBER	VYBER	7047	101605	\N	\N	\N
496888	1694	1994-12-26	VYBER	VYBER	5687	32561	\N	\N	\N
496889	1694	1995-11-10	VYBER	VYBER	19659	50695	\N	\N	\N
496890	1694	1996-07-01	VYBER	VYBER	2877	27332	\N	\N	\N
496891	1694	1996-08-17	VYBER	VYBER	14180	10597	\N	\N	\N
496892	1694	1996-07-04	VYBER	VYBER	12609	14723	\N	\N	\N
496893	1694	1996-06-03	VYBER	VYBER	23343	18591	\N	\N	\N
496894	1694	1996-03-20	VYBER	VYBER	10275	34437	\N	\N	\N
496895	1694	1996-11-10	VYBER	VYBER	21126	11427	\N	\N	\N
496896	1694	1996-08-11	VYBER	VYBER	21420	9477	\N	\N	\N
496897	1694	1996-05-24	VYBER	VYBER	10310	41724	\N	\N	\N
496898	1694	1996-05-11	VYBER	VYBER	4949	67934	\N	\N	\N
496899	1694	1996-09-14	VYBER	VYBER	14902	15840	\N	\N	\N
496900	1694	1996-03-22	VYBER	VYBER	18794	8463	\N	\N	\N
496901	1694	1996-03-20	VYBER	VYBER	7180	27257	\N	\N	\N
496904	1694	1997-08-07	VYBER	VYBER	20709	35858	\N	\N	\N
496905	1694	1997-06-26	VYBER	VYBER	5328	53118	\N	\N	\N
496906	1694	1997-08-10	VYBER	VYBER	13175	19683	\N	\N	\N
496907	1694	1997-10-08	VYBER	VYBER	8740	40964	\N	\N	\N
496908	1694	1997-01-31	VYBER	VYBER	17793	26486	\N	\N	\N
496909	1694	1997-03-01	VYBER	VYBER	22504	30160	\N	\N	\N
496911	1694	1998-06-21	VYBER	VYBER	8435	24469	\N	\N	\N
496914	1694	1995-06-01	VYDAJ	VYBER	56400	48553	\N	\N	\N
496917	1694	1998-06-16	VYDAJ	VYBER	34500	32904	\N	\N	\N
496920	1694	1995-01-21	VYDAJ	VYBER	15000	39096	\N	\N	\N
496921	1694	1996-01-03	VYDAJ	VYBER	14400	67583	\N	\N	\N
496922	1694	1997-01-04	VYDAJ	VYBER	3600	66085	\N	\N	\N
496923	1694	1998-01-02	VYDAJ	VYBER	3000	27688	\N	\N	\N
496925	1694	1994-12-20	VYDAJ	VYBER	8700	43848	\N	\N	\N
496926	1694	1995-12-24	VYDAJ	VYBER	8700	46108	\N	\N	\N
496927	1694	1996-12-16	VYDAJ	VYBER	1800	43594	\N	\N	\N
496928	1694	1997-12-25	VYDAJ	VYBER	1500	30570	\N	\N	\N
496942	1694	1995-01-11	VYDAJ	VYBER	4200	35383	\N	\N	\N
496943	1694	1995-01-22	VYDAJ	VYBER	6000	33096	\N	\N	\N
496944	1694	1995-01-09	VYDAJ	VYBER	6600	39583	\N	\N	\N
496945	1694	1995-01-06	VYDAJ	VYBER	4200	20433	\N	\N	\N
496946	1694	1995-01-20	VYDAJ	VYBER	3600	56996	\N	\N	\N
496947	1694	1995-01-05	VYDAJ	VYBER	8100	24633	\N	\N	\N
496948	1694	1996-01-13	VYDAJ	VYBER	3300	64283	\N	\N	\N
496949	1694	1996-01-14	VYDAJ	VYBER	1500	62783	\N	\N	\N
496950	1694	1996-01-19	VYDAJ	VYBER	5100	41983	\N	\N	\N
496951	1694	1996-01-02	VYDAJ	VYBER	6600	81983	\N	\N	\N
496952	1694	1996-01-25	VYDAJ	VYBER	3300	38683	\N	\N	\N
496953	1694	1996-01-16	VYDAJ	VYBER	7500	55283	\N	\N	\N
496954	1694	1997-01-03	VYDAJ	VYBER	3000	69685	\N	\N	\N
496955	1694	1997-01-12	VYDAJ	VYBER	2700	47285	\N	\N	\N
496956	1694	1997-01-29	VYDAJ	VYBER	2400	44053	\N	\N	\N
496957	1694	1997-01-24	VYDAJ	VYBER	7800	55153	\N	\N	\N
496958	1694	1997-01-25	VYDAJ	VYBER	8700	46453	\N	\N	\N
496959	1694	1997-01-13	VYDAJ	VYBER	5100	42185	\N	\N	\N
496960	1694	1998-01-17	VYDAJ	VYBER	6900	13888	\N	\N	\N
496961	1694	1998-01-27	VYDAJ	VYBER	4200	94846	\N	\N	\N
496962	1694	1998-01-05	VYDAJ	VYBER	2700	24988	\N	\N	\N
496963	1694	1998-01-30	VYDAJ	VYBER	2400	130404	\N	\N	\N
496964	1694	1998-01-03	VYDAJ	VYBER	2100	25588	\N	\N	\N
496965	1694	1998-01-14	VYDAJ	VYBER	4200	20788	\N	\N	\N
496972	1694	1994-04-22	VYDAJ	VYBER	12000	43166	\N	\N	\N
496973	1694	1994-02-14	VYDAJ	VYBER	9300	60676	\N	\N	\N
496974	1694	1994-11-13	VYDAJ	VYBER	11700	76946	\N	\N	\N
496976	1694	1994-05-12	VYDAJ	VYBER	14400	71602	\N	\N	\N
496977	1694	1994-04-23	VYDAJ	VYBER	11700	31466	\N	\N	\N
496978	1694	1995-10-11	VYDAJ	VYBER	1800	73172	\N	\N	\N
496979	1694	1995-07-12	VYDAJ	VYBER	13200	47607	\N	\N	\N
496980	1694	1995-03-08	VYDAJ	VYBER	1800	67886	\N	\N	\N
496981	1694	1995-02-05	VYDAJ	VYBER	6900	62630	\N	\N	\N
496982	1694	1996-12-21	VYDAJ	VYBER	13500	72498	\N	\N	\N
496983	1694	1996-05-14	VYDAJ	VYBER	12300	55634	\N	\N	\N
496984	1694	1996-06-20	VYDAJ	VYBER	3600	30091	\N	\N	\N
496986	1694	1997-02-08	VYDAJ	VYBER	6600	71373	\N	\N	\N
496987	1694	1997-03-28	VYDAJ	VYBER	7800	63573	\N	\N	\N
496988	1694	1998-05-11	VYDAJ	VYBER	14100	47938	\N	\N	\N
496989	1694	1998-10-17	VYDAJ	VYBER	12000	34425	\N	\N	\N
496990	1694	1998-12-04	VYDAJ	VYBER	12300	9784	\N	\N	\N
496991	1694	1998-05-31	VYDAJ	VYBER	9900	79751	\N	\N	\N
497006	1694	1994-02-28	VYDAJ	VYBER	30	38950	SLUZBY	\N	\N
497007	1694	1994-03-31	VYDAJ	VYBER	30	55720	SLUZBY	\N	\N
497008	1694	1994-04-30	VYDAJ	VYBER	30	22437	SLUZBY	\N	\N
497009	1694	1994-05-31	VYDAJ	VYBER	30	67503	SLUZBY	\N	\N
497010	1694	1994-06-30	VYDAJ	VYBER	30	70073	SLUZBY	\N	\N
497011	1694	1994-07-31	VYDAJ	VYBER	30	57253	SLUZBY	\N	\N
497012	1694	1994-08-31	VYDAJ	VYBER	30	55717	SLUZBY	\N	\N
497013	1694	1994-09-30	VYDAJ	VYBER	30	102569	SLUZBY	\N	\N
497014	1694	1994-10-31	VYDAJ	VYBER	30	70510	SLUZBY	\N	\N
497015	1694	1994-11-30	VYDAJ	VYBER	30	56150	SLUZBY	\N	\N
497016	1694	1994-12-31	VYDAJ	VYBER	30	32733	SLUZBY	\N	\N
497017	1694	1995-01-31	VYDAJ	VYBER	30	69530	SLUZBY	\N	\N
497018	1694	1995-02-28	VYDAJ	VYBER	30	69686	SLUZBY	\N	\N
497019	1694	1995-03-31	VYDAJ	VYBER	30	101811	SLUZBY	\N	\N
497020	1694	1995-04-30	VYDAJ	VYBER	30	57327	SLUZBY	\N	\N
497021	1694	1995-05-31	VYDAJ	VYBER	30	104953	SLUZBY	\N	\N
497022	1694	1995-06-30	VYDAJ	VYBER	30	60807	SLUZBY	\N	\N
497023	1694	1995-07-31	VYDAJ	VYBER	30	96875	SLUZBY	\N	\N
497024	1694	1995-08-31	VYDAJ	VYBER	30	110213	SLUZBY	\N	\N
497025	1694	1995-09-30	VYDAJ	VYBER	30	74972	SLUZBY	\N	\N
497026	1694	1995-10-31	VYDAJ	VYBER	30	70354	SLUZBY	\N	\N
497027	1694	1995-11-30	VYDAJ	VYBER	30	44706	SLUZBY	\N	\N
497028	1694	1995-12-31	VYDAJ	VYBER	30	88583	SLUZBY	\N	\N
497029	1694	1996-01-31	VYDAJ	VYBER	30	38881	SLUZBY	\N	\N
497030	1694	1996-02-29	VYDAJ	VYBER	30	44012	SLUZBY	\N	\N
497031	1694	1996-03-31	VYDAJ	VYBER	30	8562	SLUZBY	\N	\N
497032	1694	1996-04-30	VYDAJ	VYBER	30	72883	SLUZBY	\N	\N
497033	1694	1996-05-31	VYDAJ	VYBER	30	41934	SLUZBY	\N	\N
497034	1694	1996-06-30	VYDAJ	VYBER	30	30209	SLUZBY	\N	\N
497035	1694	1996-07-31	VYDAJ	VYBER	30	30897	SLUZBY	\N	\N
497036	1694	1996-08-31	VYDAJ	VYBER	30	21142	SLUZBY	\N	\N
497037	1694	1996-09-30	VYDAJ	VYBER	30	27172	SLUZBY	\N	\N
497038	1694	1996-10-31	VYDAJ	VYBER	30	32553	SLUZBY	\N	\N
497039	1694	1996-11-30	VYDAJ	VYBER	30	23103	SLUZBY	\N	\N
497040	1694	1996-12-31	VYDAJ	VYBER	30	72685	SLUZBY	\N	\N
497041	1694	1997-01-31	VYDAJ	VYBER	30	26456	SLUZBY	\N	\N
497042	1694	1997-02-28	VYDAJ	VYBER	30	52664	SLUZBY	\N	\N
497043	1694	1997-03-31	VYDAJ	VYBER	30	63733	SLUZBY	\N	\N
497044	1694	1997-04-30	VYDAJ	VYBER	30	63774	SLUZBY	\N	\N
497045	1694	1997-05-31	VYDAJ	VYBER	30	59061	SLUZBY	\N	\N
497046	1694	1997-06-30	VYDAJ	VYBER	30	53323	SLUZBY	\N	\N
497047	1694	1997-07-31	VYDAJ	VYBER	30	56567	SLUZBY	\N	\N
497048	1694	1997-08-31	VYDAJ	VYBER	30	19768	SLUZBY	\N	\N
497049	1694	1997-09-30	VYDAJ	VYBER	30	69204	SLUZBY	\N	\N
497050	1694	1997-10-31	VYDAJ	VYBER	30	47210	SLUZBY	\N	\N
497051	1694	1997-11-30	VYDAJ	VYBER	30	38670	SLUZBY	\N	\N
497052	1694	1997-12-31	VYDAJ	VYBER	30	30688	SLUZBY	\N	\N
497053	1694	1998-01-31	VYDAJ	VYBER	30	106990	SLUZBY	\N	\N
497054	1694	1998-02-28	VYDAJ	VYBER	30	75643	SLUZBY	\N	\N
497055	1694	1998-03-31	VYDAJ	VYBER	30	59128	SLUZBY	\N	\N
497056	1694	1998-04-30	VYDAJ	VYBER	30	104938	SLUZBY	\N	\N
497057	1694	1998-05-31	VYDAJ	VYBER	30	89651	SLUZBY	\N	\N
497058	1694	1998-06-30	VYDAJ	VYBER	30	24679	SLUZBY	\N	\N
497059	1694	1998-07-31	VYDAJ	VYBER	30	18343	SLUZBY	\N	\N
497060	1694	1998-08-31	VYDAJ	VYBER	30	19882	SLUZBY	\N	\N
497061	1694	1998-09-30	VYDAJ	VYBER	30	65055	SLUZBY	\N	\N
497062	1694	1998-10-31	VYDAJ	VYBER	30	34576	SLUZBY	\N	\N
497063	1694	1998-11-30	VYDAJ	VYBER	30	45084	SLUZBY	\N	\N
497064	1694	1993-09-28	PRIJEM	VKLAD	13000	13500	\N	\N	\N
497065	1694	1993-10-28	VYDAJ	VYBER	19800	42064	\N	\N	\N
497066	1694	1993-11-26	VYDAJ	VYBER	46700	68977	\N	\N	\N
497067	1694	1993-11-27	VYDAJ	VYBER	20800	48177	\N	\N	\N
497068	1694	1993-12-27	VYDAJ	VYBER	33200	60004	\N	\N	\N
497069	1694	1994-01-26	VYDAJ	VYBER	16500	43891	\N	\N	\N
497070	1694	1994-02-25	VYDAJ	VYBER	8600	38696	\N	\N	\N
497071	1694	1994-03-27	VYDAJ	VYBER	8300	36180	\N	\N	\N
497072	1694	1994-04-15	VYDAJ	VYBER	59000	55166	\N	\N	\N
497073	1694	1994-04-26	PRIJEM	VKLAD	7500	22248	\N	\N	\N
497074	1694	1994-05-11	VYDAJ	VYBER	23300	86002	\N	\N	\N
497075	1694	1994-05-26	VYDAJ	VYBER	34300	67276	\N	\N	\N
497076	1694	1994-06-25	VYDAJ	VYBER	38900	69751	\N	\N	\N
497077	1694	1994-07-05	VYDAJ	VYBER	17300	108652	\N	\N	\N
497078	1694	1994-07-18	VYDAJ	VYBER	44800	81627	\N	\N	\N
497079	1694	1994-07-25	VYDAJ	VYBER	24700	56927	\N	\N	\N
497080	1694	1994-08-24	VYDAJ	VYBER	25600	55510	\N	\N	\N
497081	1694	1994-09-23	VYDAJ	VYBER	32000	63197	\N	\N	\N
497082	1694	1994-10-11	VYDAJ	VYBER	37000	108243	\N	\N	\N
497083	1694	1994-10-23	VYDAJ	VYBER	38100	70143	\N	\N	\N
497084	1694	1994-11-03	VYDAJ	VYBER	18200	88646	\N	\N	\N
497085	1694	1994-11-22	VYDAJ	VYBER	21100	55846	\N	\N	\N
497086	1694	1994-12-22	VYDAJ	VYBER	5600	38248	\N	\N	\N
497087	1694	1995-01-21	VYDAJ	VYBER	2900	54096	\N	\N	\N
497088	1694	1995-02-18	VYDAJ	VYBER	21200	100308	\N	\N	\N
497089	1694	1995-02-20	VYDAJ	VYBER	30900	69408	\N	\N	\N
497090	1694	1995-03-22	VYDAJ	VYBER	23400	60907	\N	\N	\N
497091	1694	1995-04-02	VYDAJ	VYBER	15100	104464	\N	\N	\N
497092	1694	1995-04-07	VYDAJ	VYBER	54200	76038	\N	\N	\N
497093	1694	1995-04-21	VYDAJ	VYBER	19100	56938	\N	\N	\N
497094	1694	1995-05-18	VYDAJ	VYBER	38000	82924	\N	\N	\N
497095	1694	1995-05-21	VYDAJ	VYBER	23900	59024	\N	\N	\N
497096	1694	1995-06-20	VYDAJ	VYBER	20400	60492	\N	\N	\N
497097	1694	1995-07-20	VYDAJ	VYBER	21300	59724	\N	\N	\N
497098	1694	1995-08-06	VYDAJ	VYBER	54700	75525	\N	\N	\N
497099	1694	1995-08-19	VYDAJ	VYBER	25600	68345	\N	\N	\N
497100	1694	1995-08-22	VYDAJ	VYBER	51200	62875	\N	\N	\N
497101	1694	1995-09-02	VYDAJ	VYBER	55800	62029	\N	\N	\N
497102	1694	1995-09-18	VYDAJ	VYBER	31600	74601	\N	\N	\N
497103	1694	1995-10-18	VYDAJ	VYBER	25600	70074	\N	\N	\N
497104	1694	1995-11-17	VYDAJ	VYBER	6200	44495	\N	\N	\N
497105	1694	1995-12-17	VYDAJ	VYBER	12100	54808	\N	\N	\N
497106	1694	1996-01-16	VYDAJ	VYBER	8200	47083	\N	\N	\N
497107	1694	1996-02-15	PRIJEM	VKLAD	5000	43881	\N	\N	\N
497108	1694	1996-03-16	PRIJEM	VKLAD	700	44712	\N	\N	\N
497109	1694	1996-04-15	PRIJEM	VKLAD	19300	27862	\N	\N	\N
497110	1694	1996-05-15	VYDAJ	VYBER	3600	52034	\N	\N	\N
497111	1694	1996-06-14	PRIJEM	VKLAD	15100	33691	\N	\N	\N
497112	1694	1996-07-14	PRIJEM	VKLAD	16100	30823	\N	\N	\N
497113	1694	1996-08-13	PRIJEM	VKLAD	15300	24777	\N	\N	\N
497114	1694	1996-09-12	PRIJEM	VKLAD	9600	30742	\N	\N	\N
497115	1694	1996-10-12	PRIJEM	VKLAD	5300	32472	\N	\N	\N
497116	1694	1996-11-11	PRIJEM	VKLAD	11600	23027	\N	\N	\N
497117	1694	1996-12-11	VYDAJ	VYBER	10700	45394	\N	\N	\N
497118	1694	1997-01-10	VYDAJ	VYBER	16100	49985	\N	\N	\N
497119	1694	1997-02-09	VYDAJ	VYBER	18900	52473	\N	\N	\N
497120	1694	1997-03-11	VYDAJ	VYBER	1600	33765	\N	\N	\N
497121	1694	1997-04-10	VYDAJ	VYBER	27600	63387	\N	\N	\N
497122	1694	1997-04-10	VYDAJ	VYBER	28900	90987	\N	\N	\N
497123	1694	1997-05-10	VYDAJ	VYBER	14100	49674	\N	\N	\N
497124	1694	1997-05-16	VYDAJ	VYBER	60700	58695	\N	\N	\N
497125	1694	1997-06-09	VYDAJ	VYBER	23800	58446	\N	\N	\N
497126	1694	1997-07-09	VYDAJ	VYBER	18500	56370	\N	\N	\N
497127	1694	1997-08-08	VYDAJ	VYBER	3000	32858	\N	\N	\N
497128	1694	1997-09-07	VYDAJ	VYBER	32200	68891	\N	\N	\N
497129	1694	1997-10-07	VYDAJ	VYBER	19500	49704	\N	\N	\N
497130	1694	1997-11-06	VYDAJ	VYBER	8700	38510	\N	\N	\N
497131	1694	1997-12-06	VYDAJ	VYBER	6600	32070	\N	\N	\N
497132	1694	1998-01-05	PRIJEM	VKLAD	2100	27688	\N	\N	\N
497133	1694	1998-01-30	VYDAJ	VYBER	23600	106804	\N	\N	\N
497134	1694	1998-02-04	VYDAJ	VYBER	42800	64190	\N	\N	\N
497135	1694	1998-03-06	VYDAJ	VYBER	43300	58908	\N	\N	\N
497136	1694	1998-04-05	VYDAJ	VYBER	19300	39828	\N	\N	\N
497137	1694	1998-04-29	VYDAJ	VYBER	36000	104582	\N	\N	\N
497138	1694	1998-05-05	VYDAJ	VYBER	42900	62038	\N	\N	\N
497139	1694	1998-05-24	VYDAJ	VYBER	44900	89320	\N	\N	\N
497140	1694	1998-06-04	VYDAJ	VYBER	32000	47751	\N	\N	\N
497141	1694	1998-07-04	VYDAJ	VYBER	6400	18279	\N	\N	\N
497142	1694	1998-08-03	PRIJEM	VKLAD	1500	19843	\N	\N	\N
497143	1694	1998-09-02	VYDAJ	VYBER	26600	39701	\N	\N	\N
497144	1694	1998-10-02	VYDAJ	VYBER	24400	40655	\N	\N	\N
497145	1694	1998-11-01	VYDAJ	VYBER	15500	19076	\N	\N	\N
497146	1694	1998-12-01	VYDAJ	VYBER	23000	22084	\N	\N	\N
497211	1695	1993-01-03	PRIJEM	VKLAD	200	200	\N	\N	\N
497212	1695	1993-01-08	PRIJEM	VKLAD	11832	12032	\N	\N	\N
497213	1695	1994-01-25	PRIJEM	VKLAD	38408	136840	\N	\N	\N
497214	1695	1994-01-13	PRIJEM	VKLAD	35473	102538	\N	\N	\N
497215	1695	1994-07-22	PRIJEM	VKLAD	30817	111834	\N	\N	\N
497216	1695	1994-12-13	PRIJEM	VKLAD	27293	48038	\N	\N	\N
497217	1695	1994-03-20	PRIJEM	VKLAD	48452	106625	\N	\N	\N
497218	1695	1994-08-13	PRIJEM	VKLAD	17281	30644	\N	\N	\N
497219	1695	1994-12-13	PRIJEM	VKLAD	14797	62835	\N	\N	\N
497220	1695	1994-11-18	PRIJEM	VKLAD	42410	107794	\N	\N	\N
497221	1695	1994-01-09	PRIJEM	VKLAD	43221	67065	\N	\N	\N
497222	1695	1994-08-30	PRIJEM	VKLAD	48639	84402	\N	\N	\N
497223	1695	1994-04-16	PRIJEM	VKLAD	12999	45770	\N	\N	\N
497224	1695	1994-04-30	PRIJEM	VKLAD	35060	69030	\N	\N	\N
497225	1695	1994-09-24	PRIJEM	VKLAD	11573	81454	\N	\N	\N
497226	1695	1994-05-09	PRIJEM	VKLAD	29285	83837	\N	\N	\N
497227	1695	1994-03-24	PRIJEM	VKLAD	23072	85297	\N	\N	\N
497228	1695	1994-03-14	PRIJEM	VKLAD	29085	58173	\N	\N	\N
497229	1695	1994-07-16	PRIJEM	VKLAD	33073	112317	\N	\N	\N
497230	1695	1994-06-15	PRIJEM	VKLAD	45285	67390	\N	\N	\N
497231	1695	1994-08-15	PRIJEM	VKLAD	9619	40263	\N	\N	\N
497232	1695	1994-03-25	PRIJEM	VKLAD	20902	106199	\N	\N	\N
497233	1695	1994-02-04	PRIJEM	VKLAD	30485	77973	\N	\N	\N
497234	1695	1994-10-19	PRIJEM	VKLAD	31535	56899	\N	\N	\N
497235	1695	1994-01-15	PRIJEM	VKLAD	16694	119232	\N	\N	\N
497236	1695	1994-06-29	PRIJEM	VKLAD	47008	93698	\N	\N	\N
497237	1695	1994-12-29	PRIJEM	VKLAD	17280	62415	\N	\N	\N
497238	1695	1994-10-25	PRIJEM	VKLAD	19258	76157	\N	\N	\N
497239	1695	1994-03-30	PRIJEM	VKLAD	10307	47206	\N	\N	\N
497240	1695	1994-11-17	PRIJEM	VKLAD	26478	65384	\N	\N	\N
497241	1695	1995-05-30	PRIJEM	VKLAD	18632	58766	\N	\N	\N
497242	1695	1995-09-08	PRIJEM	VKLAD	49938	71051	\N	\N	\N
497243	1695	1995-01-29	PRIJEM	VKLAD	36833	58778	\N	\N	\N
497244	1695	1995-04-03	PRIJEM	VKLAD	32626	124526	\N	\N	\N
497245	1695	1995-05-07	PRIJEM	VKLAD	5937	24229	\N	\N	\N
497246	1695	1995-03-30	PRIJEM	VKLAD	23792	59204	\N	\N	\N
497247	1695	1995-03-20	PRIJEM	VKLAD	9508	32612	\N	\N	\N
497248	1695	1995-09-14	PRIJEM	VKLAD	38643	109694	\N	\N	\N
497249	1695	1995-03-30	PRIJEM	VKLAD	32543	91747	\N	\N	\N
497250	1695	1995-10-29	PRIJEM	VKLAD	15265	53214	\N	\N	\N
497251	1695	1995-04-07	PRIJEM	VKLAD	40920	91688	\N	\N	\N
497252	1695	1995-04-10	PRIJEM	VKLAD	34695	126383	\N	\N	\N
497253	1695	1995-05-09	PRIJEM	VKLAD	27105	51334	\N	\N	\N
497254	1695	1995-09-30	PRIJEM	VKLAD	12252	58502	\N	\N	\N
497255	1695	1995-12-28	PRIJEM	VKLAD	22106	60139	\N	\N	\N
497256	1695	1995-11-01	PRIJEM	VKLAD	30117	83539	\N	\N	\N
497257	1695	1996-01-10	PRIJEM	VKLAD	30744	70084	\N	\N	\N
497258	1695	1996-02-16	PRIJEM	VKLAD	8432	26612	\N	\N	\N
497259	1695	1996-12-23	PRIJEM	VKLAD	7366	105571	\N	\N	\N
497260	1695	1996-07-15	PRIJEM	VKLAD	17952	73371	\N	\N	\N
497261	1695	1996-03-17	PRIJEM	VKLAD	47365	123165	\N	\N	\N
497262	1695	1996-07-10	PRIJEM	VKLAD	11815	27672	\N	\N	\N
497263	1695	1996-04-13	PRIJEM	VKLAD	26962	94631	\N	\N	\N
497264	1695	1996-10-18	PRIJEM	VKLAD	6625	46685	\N	\N	\N
497265	1695	1996-03-05	PRIJEM	VKLAD	11209	97491	\N	\N	\N
497266	1695	1996-10-05	PRIJEM	VKLAD	8481	35918	\N	\N	\N
497267	1695	1996-03-01	PRIJEM	VKLAD	15632	86282	\N	\N	\N
497268	1695	1996-07-15	PRIJEM	VKLAD	27747	55419	\N	\N	\N
497269	1695	1996-12-20	PRIJEM	VKLAD	49123	98205	\N	\N	\N
497270	1695	1996-03-24	PRIJEM	VKLAD	15063	82028	\N	\N	\N
497271	1695	1996-02-23	PRIJEM	VKLAD	33076	70488	\N	\N	\N
497272	1695	1997-12-04	PRIJEM	VKLAD	24525	87211	\N	\N	\N
497273	1695	1997-09-22	PRIJEM	VKLAD	37232	145583	\N	\N	\N
497274	1695	1997-11-13	PRIJEM	VKLAD	5803	62449	\N	\N	\N
497275	1695	1997-05-20	PRIJEM	VKLAD	8244	80121	\N	\N	\N
497276	1695	1997-07-31	PRIJEM	VKLAD	10451	99473	\N	\N	\N
497277	1695	1997-12-25	PRIJEM	VKLAD	9927	101398	\N	\N	\N
497278	1695	1997-07-30	PRIJEM	VKLAD	24297	88751	\N	\N	\N
497279	1695	1997-03-21	PRIJEM	VKLAD	32879	118370	\N	\N	\N
497280	1695	1997-03-08	PRIJEM	VKLAD	35854	99191	\N	\N	\N
497281	1695	1997-03-02	PRIJEM	VKLAD	46824	77995	\N	\N	\N
497282	1695	1997-04-01	PRIJEM	VKLAD	25766	96096	\N	\N	\N
497283	1695	1997-08-17	PRIJEM	VKLAD	40691	135440	\N	\N	\N
497284	1695	1997-02-09	PRIJEM	VKLAD	12514	42674	\N	\N	\N
497285	1695	1997-09-13	PRIJEM	VKLAD	28940	108351	\N	\N	\N
497286	1695	1997-10-09	PRIJEM	VKLAD	19372	92148	\N	\N	\N
497287	1695	1997-08-12	PRIJEM	VKLAD	24144	94749	\N	\N	\N
497288	1695	1997-05-21	PRIJEM	VKLAD	7602	87723	\N	\N	\N
497289	1695	1997-10-15	PRIJEM	VKLAD	20811	112959	\N	\N	\N
497290	1695	1997-12-05	PRIJEM	VKLAD	45918	133129	\N	\N	\N
497291	1695	1998-10-20	PRIJEM	VKLAD	13774	106166	\N	\N	\N
497292	1695	1998-05-26	PRIJEM	VKLAD	12927	98334	\N	\N	\N
497293	1695	1998-05-05	PRIJEM	VKLAD	45345	116224	\N	\N	\N
497294	1695	1998-07-15	PRIJEM	VKLAD	45019	145277	\N	\N	\N
497295	1695	1998-04-21	PRIJEM	VKLAD	45739	144207	\N	\N	\N
497296	1695	1998-10-07	PRIJEM	VKLAD	17645	125329	\N	\N	\N
497297	1695	1998-06-05	PRIJEM	VKLAD	16133	96440	\N	\N	\N
497298	1695	1998-04-28	PRIJEM	VKLAD	37034	141441	\N	\N	\N
497299	1695	1998-05-30	PRIJEM	VKLAD	18219	116553	\N	\N	\N
497300	1695	1998-02-14	PRIJEM	VKLAD	34031	104897	\N	\N	\N
497301	1695	1998-03-09	PRIJEM	VKLAD	20215	105448	\N	\N	\N
497302	1695	1998-03-06	PRIJEM	VKLAD	43234	134391	\N	\N	\N
497303	1695	1998-06-06	PRIJEM	VKLAD	24136	159676	\N	\N	\N
497304	1695	1998-03-19	PRIJEM	VKLAD	43387	148835	\N	\N	\N
497305	1695	1998-05-02	PRIJEM	VKLAD	24304	122979	\N	\N	\N
497306	1695	1998-07-29	PRIJEM	VKLAD	34020	140597	\N	\N	\N
497307	1695	1998-08-13	PRIJEM	VKLAD	22117	118833	\N	\N	\N
497308	1695	1998-05-12	PRIJEM	VKLAD	33341	132007	\N	\N	\N
497309	1695	1998-10-16	PRIJEM	VKLAD	7063	92392	\N	\N	\N
497310	1695	1998-10-25	PRIJEM	VKLAD	42374	148540	\N	\N	\N
497324	1695	1994-02-06	VYDAJ	PREVOD NA UCET	14658	63315	SIPO	AB	53282368
497325	1695	1994-03-06	VYDAJ	PREVOD NA UCET	14658	29088	SIPO	AB	53282368
497326	1695	1994-04-06	VYDAJ	PREVOD NA UCET	14658	32771	SIPO	AB	53282368
497327	1695	1994-05-06	VYDAJ	PREVOD NA UCET	14658	54552	SIPO	AB	53282368
497328	1695	1994-06-06	VYDAJ	PREVOD NA UCET	14658	22105	SIPO	AB	53282368
497329	1695	1994-07-06	VYDAJ	PREVOD NA UCET	14658	79244	SIPO	AB	53282368
497330	1695	1994-08-06	VYDAJ	PREVOD NA UCET	14658	13363	SIPO	AB	53282368
497331	1695	1994-09-06	VYDAJ	PREVOD NA UCET	14658	69881	SIPO	AB	53282368
497332	1695	1994-10-06	VYDAJ	PREVOD NA UCET	14658	40709	SIPO	AB	53282368
497333	1695	1994-11-06	VYDAJ	PREVOD NA UCET	14658	38906	SIPO	AB	53282368
497334	1695	1994-12-06	VYDAJ	PREVOD NA UCET	14658	20745	SIPO	AB	53282368
497335	1695	1995-01-06	VYDAJ	PREVOD NA UCET	14658	44345	SIPO	AB	53282368
497336	1695	1995-02-06	VYDAJ	PREVOD NA UCET	14658	37076	SIPO	AB	53282368
497337	1695	1995-03-06	VYDAJ	PREVOD NA UCET	14658	23104	SIPO	AB	53282368
497338	1695	1995-04-06	VYDAJ	PREVOD NA UCET	14658	50768	SIPO	AB	53282368
497339	1695	1995-05-06	VYDAJ	PREVOD NA UCET	14658	18292	SIPO	AB	53282368
497340	1695	1995-06-06	VYDAJ	PREVOD NA UCET	14658	44269	SIPO	AB	53282368
497341	1695	1995-07-06	VYDAJ	PREVOD NA UCET	14658	31925	SIPO	AB	53282368
497342	1695	1995-08-06	VYDAJ	PREVOD NA UCET	14658	22733	SIPO	AB	53282368
497343	1695	1995-09-06	VYDAJ	PREVOD NA UCET	14658	21113	SIPO	AB	53282368
497344	1695	1995-10-06	VYDAJ	PREVOD NA UCET	14658	43830	SIPO	AB	53282368
497345	1695	1995-11-06	VYDAJ	PREVOD NA UCET	14658	68881	SIPO	AB	53282368
497346	1695	1995-12-06	VYDAJ	PREVOD NA UCET	14658	25333	SIPO	AB	53282368
497347	1695	1996-01-06	VYDAJ	PREVOD NA UCET	14658	39340	SIPO	AB	53282368
497348	1695	1996-02-06	VYDAJ	PREVOD NA UCET	14658	18180	SIPO	AB	53282368
497349	1695	1996-03-06	VYDAJ	PREVOD NA UCET	14658	75800	SIPO	AB	53282368
497350	1695	1996-04-06	VYDAJ	PREVOD NA UCET	14658	67669	SIPO	AB	53282368
497351	1695	1996-05-06	VYDAJ	PREVOD NA UCET	14658	43981	SIPO	AB	53282368
497352	1695	1996-06-06	VYDAJ	PREVOD NA UCET	14658	24484	SIPO	AB	53282368
497353	1695	1996-07-06	VYDAJ	PREVOD NA UCET	14658	15857	SIPO	AB	53282368
497354	1695	1996-08-06	VYDAJ	PREVOD NA UCET	14658	51203	SIPO	AB	53282368
497355	1695	1996-09-06	VYDAJ	PREVOD NA UCET	14658	20089	SIPO	AB	53282368
497356	1695	1996-10-06	VYDAJ	PREVOD NA UCET	14658	21260	SIPO	AB	53282368
497357	1695	1996-11-06	VYDAJ	PREVOD NA UCET	14658	32161	SIPO	AB	53282368
497358	1695	1996-12-06	VYDAJ	PREVOD NA UCET	14658	32982	SIPO	AB	53282368
497359	1695	1997-01-06	VYDAJ	PREVOD NA UCET	14658	65373	SIPO	AB	53282368
497360	1695	1997-02-06	VYDAJ	PREVOD NA UCET	14658	30160	SIPO	AB	53282368
497361	1695	1997-03-06	VYDAJ	PREVOD NA UCET	14658	63337	SIPO	AB	53282368
497362	1695	1997-04-06	VYDAJ	PREVOD NA UCET	14658	81438	SIPO	AB	53282368
497363	1695	1997-05-06	VYDAJ	PREVOD NA UCET	14658	60877	SIPO	AB	53282368
497364	1695	1997-06-06	VYDAJ	PREVOD NA UCET	14658	37077	SIPO	AB	53282368
497365	1695	1997-07-06	VYDAJ	PREVOD NA UCET	14658	45654	SIPO	AB	53282368
497366	1695	1997-08-06	VYDAJ	PREVOD NA UCET	14658	77615	SIPO	AB	53282368
497367	1695	1997-09-06	VYDAJ	PREVOD NA UCET	14658	64511	SIPO	AB	53282368
497368	1695	1997-10-06	VYDAJ	PREVOD NA UCET	14658	67276	SIPO	AB	53282368
497369	1695	1997-11-06	VYDAJ	PREVOD NA UCET	14658	41195	SIPO	AB	53282368
497370	1695	1997-12-06	VYDAJ	PREVOD NA UCET	14658	99271	SIPO	AB	53282368
497371	1695	1998-01-06	VYDAJ	PREVOD NA UCET	14658	84704	SIPO	AB	53282368
497372	1695	1998-02-06	VYDAJ	PREVOD NA UCET	14658	79866	SIPO	AB	53282368
497373	1695	1998-03-06	VYDAJ	PREVOD NA UCET	14658	60833	SIPO	AB	53282368
497374	1695	1998-04-06	VYDAJ	PREVOD NA UCET	14658	82668	SIPO	AB	53282368
497375	1695	1998-05-06	VYDAJ	PREVOD NA UCET	14658	74466	SIPO	AB	53282368
497376	1695	1998-06-06	VYDAJ	PREVOD NA UCET	14658	145018	SIPO	AB	53282368
497377	1695	1998-07-06	VYDAJ	PREVOD NA UCET	14658	100258	SIPO	AB	53282368
497378	1695	1998-08-06	VYDAJ	PREVOD NA UCET	14658	96716	SIPO	AB	53282368
497379	1695	1998-09-06	VYDAJ	PREVOD NA UCET	14658	104707	SIPO	AB	53282368
497380	1695	1998-10-06	VYDAJ	PREVOD NA UCET	14658	107684	SIPO	AB	53282368
497381	1695	1998-11-06	VYDAJ	PREVOD NA UCET	14658	107585	SIPO	AB	53282368
497382	1695	1998-12-06	VYDAJ	PREVOD NA UCET	14658	112150	SIPO	AB	53282368
497387	1695	1994-10-17	VYBER	VYBER	15345	25364	\N	\N	\N
497388	1695	1994-06-02	VYBER	VYBER	20879	36763	\N	\N	\N
497389	1695	1994-08-05	VYBER	VYBER	14533	28021	\N	\N	\N
497390	1695	1995-04-10	VYBER	VYBER	21534	104849	\N	\N	\N
497393	1695	1995-11-10	VYBER	VYBER	11750	57131	\N	\N	\N
497394	1695	1995-10-27	VYBER	VYBER	8181	37949	\N	\N	\N
497395	1695	1995-04-15	VYBER	VYBER	2459	42690	\N	\N	\N
497397	1695	1995-11-12	VYBER	VYBER	22416	34715	\N	\N	\N
497398	1695	1996-09-16	VYBER	VYBER	13966	27323	\N	\N	\N
497399	1695	1996-05-27	VYBER	VYBER	10425	38956	\N	\N	\N
497400	1695	1996-03-05	VYBER	VYBER	7033	90458	\N	\N	\N
497402	1695	1996-01-18	VYBER	VYBER	18940	47044	\N	\N	\N
497403	1695	1996-08-27	VYBER	VYBER	22778	34525	\N	\N	\N
497404	1695	1996-06-30	VYBER	VYBER	10517	30530	\N	\N	\N
497407	1695	1997-08-03	VYBER	VYBER	7185	92273	\N	\N	\N
497408	1695	1997-11-11	VYBER	VYBER	15049	56646	\N	\N	\N
497409	1695	1997-08-09	VYBER	VYBER	24310	53305	\N	\N	\N
497410	1695	1997-03-29	VYBER	VYBER	2525	70045	\N	\N	\N
497411	1695	1997-02-16	VYBER	VYBER	21751	31023	\N	\N	\N
497412	1695	1998-10-02	VYBER	VYBER	5278	99842	\N	\N	\N
497417	1695	1997-06-04	VYDAJ	VYBER	36300	51735	\N	\N	\N
497420	1695	1994-12-15	VYDAJ	VYBER	2100	60735	\N	\N	\N
497422	1695	1996-12-26	VYDAJ	VYBER	6300	89371	\N	\N	\N
497423	1695	1997-12-11	VYDAJ	VYBER	6900	91471	\N	\N	\N
497424	1695	1998-12-20	VYDAJ	VYBER KARTOU	5700	106450	\N	\N	0
497432	1695	1994-01-30	VYDAJ	VYBER	7500	47240	\N	\N	\N
497437	1695	1995-01-06	VYDAJ	VYBER	1500	42845	\N	\N	\N
497438	1695	1995-01-15	VYDAJ	VYBER	8100	34745	\N	\N	\N
497439	1695	1995-01-03	VYDAJ	VYBER	3600	59003	\N	\N	\N
497440	1695	1995-01-26	VYDAJ	VYBER	1800	21945	\N	\N	\N
497441	1695	1995-01-25	VYDAJ	VYBER	8700	23745	\N	\N	\N
497442	1695	1995-01-29	VYDAJ	VYBER	7200	51578	\N	\N	\N
497443	1695	1996-01-12	VYDAJ	VYBER	2400	63784	\N	\N	\N
497444	1695	1996-01-22	VYDAJ	VYBER	4200	34144	\N	\N	\N
497445	1695	1996-01-11	VYDAJ	VYBER	3900	66184	\N	\N	\N
497446	1695	1996-01-18	VYDAJ	VYBER	8700	38344	\N	\N	\N
497447	1695	1996-01-23	VYDAJ	VYBER	1500	32644	\N	\N	\N
497448	1695	1996-01-02	VYDAJ	VYBER	6300	53998	\N	\N	\N
497449	1695	1997-01-24	VYDAJ	VYBER	3000	47273	\N	\N	\N
497450	1695	1997-01-22	VYDAJ	VYBER	7800	57773	\N	\N	\N
497451	1695	1997-01-03	VYDAJ	VYBER	5100	84531	\N	\N	\N
497452	1695	1997-01-23	VYDAJ	VYBER	7500	50273	\N	\N	\N
497453	1695	1997-01-30	VYDAJ	VYBER	2700	44573	\N	\N	\N
497454	1695	1997-01-04	VYDAJ	VYBER	4500	80031	\N	\N	\N
497455	1695	1998-01-11	VYDAJ	VYBER	7200	84704	\N	\N	\N
497456	1695	1998-01-18	VYDAJ	VYBER	4200	72404	\N	\N	\N
497457	1695	1998-01-06	VYDAJ	VYBER	6300	78404	\N	\N	\N
497458	1695	1998-01-16	VYDAJ	VYBER	5100	76604	\N	\N	\N
497459	1695	1998-01-02	VYDAJ	VYBER	2400	99362	\N	\N	\N
497460	1695	1998-01-12	VYDAJ	VYBER	3000	81704	\N	\N	\N
497465	1695	1994-11-21	VYDAJ	VYBER	10200	58894	\N	\N	\N
497466	1695	1994-11-24	VYDAJ	VYBER	14100	44794	\N	\N	\N
497468	1695	1994-07-30	VYDAJ	VYBER	9300	42234	\N	\N	\N
497469	1695	1995-01-19	VYDAJ	VYBER	3900	30845	\N	\N	\N
497470	1695	1995-04-03	VYDAJ	VYBER	10200	114326	\N	\N	\N
497471	1695	1995-05-17	VYDAJ	VYBER	8700	42634	\N	\N	\N
497472	1695	1995-04-15	VYDAJ	VYBER	12300	30390	\N	\N	\N
497473	1695	1996-05-05	VYDAJ	VYBER	8400	58639	\N	\N	\N
497474	1695	1996-04-24	VYDAJ	VYBER	4500	66731	\N	\N	\N
497475	1695	1996-12-23	VYDAJ	VYBER	9900	95671	\N	\N	\N
497476	1695	1997-07-22	VYDAJ	VYBER	2100	64454	\N	\N	\N
497477	1695	1998-03-05	VYDAJ	VYBER	14100	91157	\N	\N	\N
497478	1695	1998-02-09	VYDAJ	VYBER	9000	70866	\N	\N	\N
497479	1695	1998-03-21	VYDAJ	VYBER	5100	96935	\N	\N	\N
497480	1695	1998-01-29	VYDAJ	VYBER	4500	67904	\N	\N	\N
497494	1695	1994-01-31	VYDAJ	VYBER	15	47488	SLUZBY	\N	\N
497495	1695	1994-02-28	VYDAJ	VYBER	15	43746	SLUZBY	\N	\N
497496	1695	1994-03-31	VYDAJ	VYBER	15	47429	SLUZBY	\N	\N
497497	1695	1994-04-30	VYDAJ	VYBER	15	69210	SLUZBY	\N	\N
497498	1695	1994-05-31	VYDAJ	VYBER	15	57642	SLUZBY	\N	\N
497499	1695	1994-06-30	VYDAJ	VYBER	15	93902	SLUZBY	\N	\N
497500	1695	1994-07-31	VYDAJ	VYBER	15	42554	SLUZBY	\N	\N
497501	1695	1994-08-31	VYDAJ	VYBER	15	84539	SLUZBY	\N	\N
497502	1695	1994-09-30	VYDAJ	VYBER	15	55367	SLUZBY	\N	\N
497503	1695	1994-10-31	VYDAJ	VYBER	15	53564	SLUZBY	\N	\N
497504	1695	1994-11-30	VYDAJ	VYBER	15	35403	SLUZBY	\N	\N
497505	1695	1994-12-31	VYDAJ	VYBER	15	62603	SLUZBY	\N	\N
497506	1695	1995-01-31	VYDAJ	VYBER	15	51734	SLUZBY	\N	\N
497507	1695	1995-02-28	VYDAJ	VYBER	15	37762	SLUZBY	\N	\N
497508	1695	1995-03-31	VYDAJ	VYBER	15	91900	SLUZBY	\N	\N
497509	1695	1995-04-30	VYDAJ	VYBER	15	32950	SLUZBY	\N	\N
497510	1695	1995-05-31	VYDAJ	VYBER	15	58927	SLUZBY	\N	\N
497511	1695	1995-06-30	VYDAJ	VYBER	15	46583	SLUZBY	\N	\N
497512	1695	1995-07-31	VYDAJ	VYBER	15	37391	SLUZBY	\N	\N
497513	1695	1995-08-31	VYDAJ	VYBER	15	35771	SLUZBY	\N	\N
497514	1695	1995-09-30	VYDAJ	VYBER	15	58488	SLUZBY	\N	\N
497515	1695	1995-10-31	VYDAJ	VYBER	15	53422	SLUZBY	\N	\N
497516	1695	1995-11-30	VYDAJ	VYBER	15	39991	SLUZBY	\N	\N
497517	1695	1995-12-31	VYDAJ	VYBER	15	60298	SLUZBY	\N	\N
497518	1695	1996-01-31	VYDAJ	VYBER	15	32838	SLUZBY	\N	\N
497519	1695	1996-02-29	VYDAJ	VYBER	15	70650	SLUZBY	\N	\N
497520	1695	1996-03-31	VYDAJ	VYBER	15	82327	SLUZBY	\N	\N
497521	1695	1996-04-30	VYDAJ	VYBER	15	67039	SLUZBY	\N	\N
497522	1695	1996-05-31	VYDAJ	VYBER	15	39142	SLUZBY	\N	\N
497523	1695	1996-06-30	VYDAJ	VYBER	15	30515	SLUZBY	\N	\N
497524	1695	1996-07-31	VYDAJ	VYBER	15	65861	SLUZBY	\N	\N
497525	1695	1996-08-31	VYDAJ	VYBER	15	34747	SLUZBY	\N	\N
497526	1695	1996-09-30	VYDAJ	VYBER	15	27437	SLUZBY	\N	\N
497527	1695	1996-10-31	VYDAJ	VYBER	15	46819	SLUZBY	\N	\N
497528	1695	1996-11-30	VYDAJ	VYBER	15	47640	SLUZBY	\N	\N
497529	1695	1996-12-31	VYDAJ	VYBER	15	89631	SLUZBY	\N	\N
497530	1695	1997-01-31	VYDAJ	VYBER	15	44818	SLUZBY	\N	\N
497531	1695	1997-02-28	VYDAJ	VYBER	15	31171	SLUZBY	\N	\N
497532	1695	1997-03-31	VYDAJ	VYBER	15	70330	SLUZBY	\N	\N
497533	1695	1997-04-30	VYDAJ	VYBER	15	75535	SLUZBY	\N	\N
497534	1695	1997-05-31	VYDAJ	VYBER	15	88035	SLUZBY	\N	\N
497535	1695	1997-06-30	VYDAJ	VYBER	15	60312	SLUZBY	\N	\N
497536	1695	1997-07-31	VYDAJ	VYBER	15	99458	SLUZBY	\N	\N
497537	1695	1997-08-31	VYDAJ	VYBER	15	79169	SLUZBY	\N	\N
497538	1695	1997-09-30	VYDAJ	VYBER	15	81934	SLUZBY	\N	\N
497539	1695	1997-10-31	VYDAJ	VYBER	15	55853	SLUZBY	\N	\N
497540	1695	1997-11-30	VYDAJ	VYBER	15	62686	SLUZBY	\N	\N
497541	1695	1997-12-31	VYDAJ	VYBER	15	101762	SLUZBY	\N	\N
497542	1695	1998-01-31	VYDAJ	VYBER	15	68224	SLUZBY	\N	\N
497543	1695	1998-02-28	VYDAJ	VYBER	15	105257	SLUZBY	\N	\N
497544	1695	1998-03-31	VYDAJ	VYBER	15	97326	SLUZBY	\N	\N
497545	1695	1998-04-30	VYDAJ	VYBER	15	98675	SLUZBY	\N	\N
497546	1695	1998-05-31	VYDAJ	VYBER	15	80307	SLUZBY	\N	\N
497547	1695	1998-06-30	VYDAJ	VYBER	15	85116	SLUZBY	\N	\N
497548	1695	1998-07-31	VYDAJ	VYBER	15	90574	SLUZBY	\N	\N
497549	1695	1998-08-31	VYDAJ	VYBER	15	101765	SLUZBY	\N	\N
497550	1695	1998-09-30	VYDAJ	VYBER	15	105120	SLUZBY	\N	\N
497551	1695	1998-10-31	VYDAJ	VYBER	15	102243	SLUZBY	\N	\N
497552	1695	1998-11-30	VYDAJ	VYBER	15	108008	SLUZBY	\N	\N
497553	1695	1993-02-02	PRIJEM	VKLAD	7500	19571	\N	\N	\N
497554	1695	1993-03-04	PRIJEM	VKLAD	5200	24821	\N	\N	\N
497555	1695	1993-04-03	PRIJEM	VKLAD	500	25371	\N	\N	\N
497556	1695	1993-05-03	PRIJEM	VKLAD	900	26321	\N	\N	\N
497557	1695	1993-06-02	VYDAJ	VYBER	1100	25271	\N	\N	\N
497558	1695	1993-07-02	VYDAJ	VYBER	400	24922	\N	\N	\N
497559	1695	1993-08-01	PRIJEM	VKLAD	300	25272	\N	\N	\N
497560	1695	1993-08-31	VYDAJ	VYBER	100	25224	\N	\N	\N
497561	1695	1993-09-30	VYDAJ	VYBER	2900	22429	\N	\N	\N
497562	1695	1993-10-30	PRIJEM	VKLAD	1100	23529	\N	\N	\N
497563	1695	1993-11-29	PRIJEM	VKLAD	600	24234	\N	\N	\N
497564	1695	1993-12-29	VYDAJ	VYBER	600	23739	\N	\N	\N
497565	1695	1994-01-15	VYDAJ	VYBER	20800	98432	\N	\N	\N
497566	1695	1994-01-25	VYDAJ	VYBER	51600	85240	\N	\N	\N
497567	1695	1994-01-28	VYDAJ	VYBER	30500	54740	\N	\N	\N
497568	1695	1994-02-27	VYDAJ	VYBER	19800	43515	\N	\N	\N
497569	1695	1994-03-20	VYDAJ	VYBER	44400	62225	\N	\N	\N
497570	1695	1994-03-25	VYDAJ	VYBER	53800	52399	\N	\N	\N
497571	1695	1994-03-29	VYDAJ	VYBER	15500	36899	\N	\N	\N
497572	1695	1994-04-28	VYDAJ	VYBER	11800	33970	\N	\N	\N
497573	1695	1994-05-28	VYDAJ	VYBER	26500	57337	\N	\N	\N
497574	1695	1994-06-27	VYDAJ	VYBER	20700	46690	\N	\N	\N
497575	1695	1994-07-16	VYDAJ	VYBER	31300	81017	\N	\N	\N
497576	1695	1994-07-22	VYDAJ	VYBER	40400	71434	\N	\N	\N
497577	1695	1994-07-27	VYDAJ	VYBER	19900	51534	\N	\N	\N
497578	1695	1994-08-26	VYDAJ	VYBER	4500	35763	\N	\N	\N
497579	1695	1994-09-25	VYDAJ	VYBER	26400	55054	\N	\N	\N
497580	1695	1994-10-25	VYDAJ	VYBER	22800	53357	\N	\N	\N
497581	1695	1994-11-18	VYDAJ	VYBER	38700	69094	\N	\N	\N
497582	1695	1994-11-24	VYDAJ	VYBER	9600	35194	\N	\N	\N
497583	1695	1994-12-24	VYDAJ	VYBER	15600	45135	\N	\N	\N
497584	1695	1995-01-23	PRIJEM	VKLAD	1600	32445	\N	\N	\N
497585	1695	1995-02-22	PRIJEM	VKLAD	500	37576	\N	\N	\N
497586	1695	1995-03-24	PRIJEM	VKLAD	2800	35412	\N	\N	\N
497587	1695	1995-04-03	VYDAJ	VYBER	48900	65426	\N	\N	\N
497588	1695	1995-04-10	VYDAJ	VYBER	59700	45149	\N	\N	\N
497589	1695	1995-04-23	PRIJEM	VKLAD	2300	32690	\N	\N	\N
497590	1695	1995-05-23	VYDAJ	VYBER	2500	40134	\N	\N	\N
497591	1695	1995-06-22	PRIJEM	VKLAD	2100	46369	\N	\N	\N
497592	1695	1995-07-22	PRIJEM	VKLAD	5300	37225	\N	\N	\N
497593	1695	1995-08-21	PRIJEM	VKLAD	12900	35633	\N	\N	\N
497594	1695	1995-09-14	VYDAJ	VYBER	61500	48194	\N	\N	\N
497595	1695	1995-09-20	VYDAJ	VYBER	2200	45994	\N	\N	\N
497596	1695	1995-10-20	PRIJEM	VKLAD	2300	46130	\N	\N	\N
497597	1695	1995-11-19	PRIJEM	VKLAD	5100	39815	\N	\N	\N
497598	1695	1995-12-19	PRIJEM	VKLAD	12700	38033	\N	\N	\N
497599	1695	1996-01-18	PRIJEM	VKLAD	2200	65984	\N	\N	\N
497600	1695	1996-02-17	PRIJEM	VKLAD	10800	37412	\N	\N	\N
497601	1695	1996-03-17	VYDAJ	VYBER	38300	84865	\N	\N	\N
497602	1695	1996-03-18	VYDAJ	VYBER	17900	66965	\N	\N	\N
497603	1695	1996-04-17	VYDAJ	VYBER	23400	71231	\N	\N	\N
497604	1695	1996-05-17	PRIJEM	VKLAD	5400	49381	\N	\N	\N
497605	1695	1996-06-16	PRIJEM	VKLAD	16400	40884	\N	\N	\N
497606	1695	1996-07-16	VYDAJ	VYBER	7700	65671	\N	\N	\N
497607	1695	1996-08-15	PRIJEM	VKLAD	6100	57303	\N	\N	\N
497608	1695	1996-09-14	PRIJEM	VKLAD	21200	41289	\N	\N	\N
497609	1695	1996-10-14	PRIJEM	VKLAD	18800	40060	\N	\N	\N
497610	1695	1996-11-13	PRIJEM	VKLAD	15300	47461	\N	\N	\N
497611	1695	1996-12-13	PRIJEM	VKLAD	16100	49082	\N	\N	\N
497612	1695	1997-01-12	PRIJEM	VKLAD	200	65573	\N	\N	\N
497613	1695	1997-02-11	PRIJEM	VKLAD	10100	52774	\N	\N	\N
497614	1695	1997-03-13	VYDAJ	VYBER	13700	85491	\N	\N	\N
497615	1695	1997-03-21	VYDAJ	VYBER	45800	72570	\N	\N	\N
497616	1695	1997-04-12	VYDAJ	VYBER	6200	75238	\N	\N	\N
497617	1695	1997-05-12	PRIJEM	VKLAD	11000	71877	\N	\N	\N
497618	1695	1997-06-11	PRIJEM	VKLAD	23000	60077	\N	\N	\N
497619	1695	1997-07-11	PRIJEM	VKLAD	20900	66554	\N	\N	\N
497620	1695	1997-08-10	PRIJEM	VKLAD	17300	70605	\N	\N	\N
497621	1695	1997-08-17	VYDAJ	VYBER	56600	78840	\N	\N	\N
497622	1695	1997-09-09	PRIJEM	VKLAD	14900	79411	\N	\N	\N
497623	1695	1997-09-22	VYDAJ	VYBER	64000	81583	\N	\N	\N
497624	1695	1997-10-09	PRIJEM	VKLAD	5500	72776	\N	\N	\N
497625	1695	1997-10-15	VYDAJ	VYBER	57500	55459	\N	\N	\N
497626	1695	1997-11-08	PRIJEM	VKLAD	30500	71695	\N	\N	\N
497627	1695	1997-12-05	VYDAJ	VYBER	19200	113929	\N	\N	\N
497628	1695	1997-12-08	VYDAJ	VYBER	900	98371	\N	\N	\N
497629	1695	1998-01-07	PRIJEM	VKLAD	13500	91904	\N	\N	\N
497630	1695	1998-02-06	PRIJEM	VKLAD	26300	94524	\N	\N	\N
497631	1695	1998-03-06	VYDAJ	VYBER	58900	75491	\N	\N	\N
497632	1695	1998-03-08	PRIJEM	VKLAD	24400	85233	\N	\N	\N
497633	1695	1998-03-19	VYDAJ	VYBER	46800	102035	\N	\N	\N
497634	1695	1998-04-07	PRIJEM	VKLAD	15800	98468	\N	\N	\N
497635	1695	1998-04-21	VYDAJ	VYBER	39800	104407	\N	\N	\N
497636	1695	1998-04-28	VYDAJ	VYBER	43200	98241	\N	\N	\N
497637	1695	1998-05-02	VYDAJ	VYBER	52100	70879	\N	\N	\N
497638	1695	1998-05-05	VYDAJ	VYBER	27100	89124	\N	\N	\N
497639	1695	1998-05-07	PRIJEM	VKLAD	24200	98666	\N	\N	\N
497640	1695	1998-05-12	VYDAJ	VYBER	46600	85407	\N	\N	\N
497641	1695	1998-05-30	VYDAJ	VYBER	36700	79853	\N	\N	\N
497642	1695	1998-06-06	VYDAJ	VYBER	60400	84618	\N	\N	\N
497643	1695	1998-06-06	PRIJEM	VKLAD	39100	135540	\N	\N	\N
497644	1695	1998-07-06	PRIJEM	VKLAD	29800	114916	\N	\N	\N
497645	1695	1998-07-15	VYDAJ	VYBER	38700	106577	\N	\N	\N
497646	1695	1998-07-29	VYDAJ	VYBER	16500	124097	\N	\N	\N
497647	1695	1998-07-31	VYDAJ	VYBER	34000	90588	\N	\N	\N
497648	1695	1998-08-05	PRIJEM	VKLAD	20800	111374	\N	\N	\N
497649	1695	1998-08-13	VYDAJ	VYBER	17500	101333	\N	\N	\N
497650	1695	1998-09-04	PRIJEM	VKLAD	17600	119365	\N	\N	\N
497651	1695	1998-10-04	PRIJEM	VKLAD	22500	122342	\N	\N	\N
497652	1695	1998-10-07	VYDAJ	VYBER	40000	85329	\N	\N	\N
497653	1695	1998-10-25	VYDAJ	VYBER	28400	120140	\N	\N	\N
497654	1695	1998-10-31	VYDAJ	VYBER	18300	102257	\N	\N	\N
497655	1695	1998-11-03	PRIJEM	VKLAD	20000	122243	\N	\N	\N
497656	1695	1998-12-03	PRIJEM	VKLAD	18800	126808	\N	\N	\N
497729	1696	1995-06-09	PRIJEM	VKLAD	600	600	\N	\N	\N
497735	1696	1995-06-13	PRIJEM	PREVOD Z UCTU	3239	3839	\N	WX	24274111
497736	1696	1995-07-13	PRIJEM	PREVOD Z UCTU	3239	7088	\N	WX	24274111
497737	1696	1995-08-13	PRIJEM	PREVOD Z UCTU	3239	10343	\N	WX	24274111
497738	1696	1995-09-13	PRIJEM	PREVOD Z UCTU	3239	13598	\N	WX	24274111
497739	1696	1995-10-13	PRIJEM	PREVOD Z UCTU	3239	16853	\N	WX	24274111
497740	1696	1995-11-13	PRIJEM	PREVOD Z UCTU	3239	17261	\N	WX	24274111
497741	1696	1995-12-13	PRIJEM	PREVOD Z UCTU	3239	17826	\N	WX	24274111
497742	1696	1996-01-13	PRIJEM	PREVOD Z UCTU	3239	16832	\N	WX	24274111
497743	1696	1996-02-13	PRIJEM	PREVOD Z UCTU	3239	14572	\N	WX	24274111
497744	1696	1996-03-13	PRIJEM	PREVOD Z UCTU	3239	14897	\N	WX	24274111
497745	1696	1996-04-13	PRIJEM	PREVOD Z UCTU	3239	16021	\N	WX	24274111
497746	1696	1996-05-13	PRIJEM	PREVOD Z UCTU	3239	17151	\N	WX	24274111
497747	1696	1996-06-13	PRIJEM	PREVOD Z UCTU	3239	17686	\N	WX	24274111
497748	1696	1996-07-13	PRIJEM	PREVOD Z UCTU	3239	14860	\N	WX	24274111
497749	1696	1996-08-13	PRIJEM	PREVOD Z UCTU	3239	15986	\N	WX	24274111
497750	1696	1996-09-13	PRIJEM	PREVOD Z UCTU	3239	15823	\N	WX	24274111
497751	1696	1996-10-13	PRIJEM	PREVOD Z UCTU	3239	16953	\N	WX	24274111
497752	1696	1996-11-13	PRIJEM	PREVOD Z UCTU	3239	17276	\N	WX	24274111
497753	1696	1996-12-13	PRIJEM	PREVOD Z UCTU	3239	18412	\N	WX	24274111
497754	1696	1997-01-13	PRIJEM	PREVOD Z UCTU	3239	16371	\N	WX	24274111
497755	1696	1997-02-13	PRIJEM	PREVOD Z UCTU	3239	14890	\N	WX	24274111
497756	1696	1997-03-13	PRIJEM	PREVOD Z UCTU	3239	16016	\N	WX	24274111
497757	1696	1997-04-13	PRIJEM	PREVOD Z UCTU	3239	16846	\N	WX	24274111
497758	1696	1997-05-13	PRIJEM	PREVOD Z UCTU	3239	17979	\N	WX	24274111
497759	1696	1997-06-13	PRIJEM	PREVOD Z UCTU	3239	18787	\N	WX	24274111
497760	1696	1997-07-13	PRIJEM	PREVOD Z UCTU	3239	19929	\N	WX	24274111
497761	1696	1997-08-13	PRIJEM	PREVOD Z UCTU	3239	20144	\N	WX	24274111
497762	1696	1997-09-13	PRIJEM	PREVOD Z UCTU	3239	21291	\N	WX	24274111
497763	1696	1997-10-13	PRIJEM	PREVOD Z UCTU	3239	22443	\N	WX	24274111
497764	1696	1997-11-13	PRIJEM	PREVOD Z UCTU	3239	23299	\N	WX	24274111
497765	1696	1997-12-13	PRIJEM	PREVOD Z UCTU	3239	23109	\N	WX	24274111
497766	1696	1998-01-13	PRIJEM	PREVOD Z UCTU	3239	19498	\N	WX	24274111
497767	1696	1998-02-13	PRIJEM	PREVOD Z UCTU	3239	17880	\N	WX	24274111
497768	1696	1998-03-13	PRIJEM	PREVOD Z UCTU	3239	19018	\N	WX	24274111
497769	1696	1998-04-13	PRIJEM	PREVOD Z UCTU	3239	20160	\N	WX	24274111
497770	1696	1998-05-13	PRIJEM	PREVOD Z UCTU	3239	21307	\N	WX	24274111
497771	1696	1998-06-13	PRIJEM	PREVOD Z UCTU	3239	21106	\N	WX	24274111
497772	1696	1998-07-13	PRIJEM	PREVOD Z UCTU	3239	20967	\N	WX	24274111
497773	1696	1998-08-13	PRIJEM	PREVOD Z UCTU	3239	21187	\N	WX	24274111
497774	1696	1998-09-13	PRIJEM	PREVOD Z UCTU	3239	22338	\N	WX	24274111
497775	1696	1998-10-13	PRIJEM	PREVOD Z UCTU	3239	22744	\N	WX	24274111
497776	1696	1998-11-13	PRIJEM	PREVOD Z UCTU	3239	23031	\N	WX	24274111
497777	1696	1998-12-13	PRIJEM	PREVOD Z UCTU	3239	23709	\N	WX	24274111
497788	1696	1995-11-06	VYDAJ	PREVOD NA UCET	2159	14022	SIPO	QR	41205018
497789	1696	1995-12-06	VYDAJ	PREVOD NA UCET	2159	14587	SIPO	QR	41205018
497790	1696	1996-01-06	VYDAJ	PREVOD NA UCET	2159	15273	SIPO	QR	41205018
497791	1696	1996-02-06	VYDAJ	PREVOD NA UCET	2159	11333	SIPO	QR	41205018
497792	1696	1996-03-06	VYDAJ	PREVOD NA UCET	2159	11658	SIPO	QR	41205018
497793	1696	1996-04-06	VYDAJ	PREVOD NA UCET	2159	12782	SIPO	QR	41205018
497794	1696	1996-05-06	VYDAJ	PREVOD NA UCET	2159	13912	SIPO	QR	41205018
497795	1696	1996-06-06	VYDAJ	PREVOD NA UCET	2159	14447	SIPO	QR	41205018
497796	1696	1996-07-06	VYDAJ	PREVOD NA UCET	2159	11621	SIPO	QR	41205018
497797	1696	1996-08-06	VYDAJ	PREVOD NA UCET	2159	12747	SIPO	QR	41205018
497798	1696	1996-09-06	VYDAJ	PREVOD NA UCET	2159	12584	SIPO	QR	41205018
497799	1696	1996-10-06	VYDAJ	PREVOD NA UCET	2159	13714	SIPO	QR	41205018
497800	1696	1996-11-06	VYDAJ	PREVOD NA UCET	2159	14037	SIPO	QR	41205018
497801	1696	1996-12-06	VYDAJ	PREVOD NA UCET	2159	15173	SIPO	QR	41205018
497802	1696	1997-01-06	VYDAJ	PREVOD NA UCET	2159	13792	SIPO	QR	41205018
497803	1696	1997-02-06	VYDAJ	PREVOD NA UCET	2159	11651	SIPO	QR	41205018
497804	1696	1997-03-06	VYDAJ	PREVOD NA UCET	2159	12777	SIPO	QR	41205018
497805	1696	1997-04-06	VYDAJ	PREVOD NA UCET	2159	13607	SIPO	QR	41205018
497806	1696	1997-05-06	VYDAJ	PREVOD NA UCET	2159	14740	SIPO	QR	41205018
497807	1696	1997-06-06	VYDAJ	PREVOD NA UCET	2159	15548	SIPO	QR	41205018
497808	1696	1997-07-06	VYDAJ	PREVOD NA UCET	2159	16690	SIPO	QR	41205018
497809	1696	1997-08-06	VYDAJ	PREVOD NA UCET	2159	16905	SIPO	QR	41205018
497810	1696	1997-09-06	VYDAJ	PREVOD NA UCET	2159	18052	SIPO	QR	41205018
497811	1696	1997-10-06	VYDAJ	PREVOD NA UCET	2159	19204	SIPO	QR	41205018
497812	1696	1997-11-06	VYDAJ	PREVOD NA UCET	2159	20060	SIPO	QR	41205018
497813	1696	1997-12-06	VYDAJ	PREVOD NA UCET	2159	19870	SIPO	QR	41205018
497814	1696	1998-01-06	VYDAJ	PREVOD NA UCET	2159	17129	SIPO	QR	41205018
497815	1696	1998-02-06	VYDAJ	PREVOD NA UCET	2159	14641	SIPO	QR	41205018
497816	1696	1998-03-06	VYDAJ	PREVOD NA UCET	2159	15779	SIPO	QR	41205018
497817	1696	1998-04-06	VYDAJ	PREVOD NA UCET	2159	16921	SIPO	QR	41205018
497818	1696	1998-05-06	VYDAJ	PREVOD NA UCET	2159	18068	SIPO	QR	41205018
497819	1696	1998-06-06	VYDAJ	PREVOD NA UCET	2159	17867	SIPO	QR	41205018
497820	1696	1998-07-06	VYDAJ	PREVOD NA UCET	2159	19018	SIPO	QR	41205018
497821	1696	1998-08-06	VYDAJ	PREVOD NA UCET	2159	17948	SIPO	QR	41205018
497822	1696	1998-09-06	VYDAJ	PREVOD NA UCET	2159	19099	SIPO	QR	41205018
497823	1696	1998-10-06	VYDAJ	PREVOD NA UCET	2159	20255	SIPO	QR	41205018
497824	1696	1998-11-06	VYDAJ	PREVOD NA UCET	2159	20662	SIPO	QR	41205018
497825	1696	1998-12-06	VYDAJ	PREVOD NA UCET	2159	20470	SIPO	QR	41205018
497827	1696	1996-06-26	VYDAJ	VYBER	3960	13726	\N	\N	\N
497831	1696	1996-01-13	VYDAJ	VYBER	1860	14972	\N	\N	\N
497832	1696	1997-01-01	VYDAJ	VYBER	1200	16641	\N	\N	\N
497833	1696	1998-01-22	VYDAJ	VYBER	1590	17908	\N	\N	\N
497834	1696	1995-12-06	VYDAJ	VYBER	240	16746	\N	\N	\N
497835	1696	1996-12-22	VYDAJ	VYBER	630	17782	\N	\N	\N
497836	1696	1997-12-30	VYDAJ	VYBER	720	22389	\N	\N	\N
497837	1696	1998-12-02	VYDAJ	VYBER	480	22629	\N	\N	\N
497844	1696	1996-01-10	VYDAJ	VYBER	210	14013	\N	\N	\N
497845	1696	1996-01-08	VYDAJ	VYBER	180	15093	\N	\N	\N
497846	1696	1996-01-03	VYDAJ	VYBER	450	17432	\N	\N	\N
497847	1696	1996-01-08	VYDAJ	VYBER	870	14223	\N	\N	\N
497848	1696	1996-01-11	VYDAJ	VYBER	420	13593	\N	\N	\N
497849	1696	1996-01-23	VYDAJ	VYBER	780	14192	\N	\N	\N
497850	1696	1997-01-02	VYDAJ	VYBER	690	15951	\N	\N	\N
497851	1696	1997-01-29	VYDAJ	VYBER	750	14571	\N	\N	\N
497852	1696	1997-01-10	VYDAJ	VYBER	180	13612	\N	\N	\N
497853	1696	1997-01-15	VYDAJ	VYBER	270	16101	\N	\N	\N
497854	1696	1997-01-29	VYDAJ	VYBER	780	15321	\N	\N	\N
497855	1696	1997-01-11	VYDAJ	VYBER	480	13132	\N	\N	\N
497856	1696	1998-01-27	VYDAJ	VYBER	510	16738	\N	\N	\N
497857	1696	1998-01-02	VYDAJ	VYBER	630	21238	\N	\N	\N
497858	1696	1998-01-01	VYDAJ	VYBER	600	21868	\N	\N	\N
497859	1696	1998-01-04	VYDAJ	VYBER	750	19288	\N	\N	\N
497860	1696	1998-01-12	VYDAJ	VYBER	870	16259	\N	\N	\N
497861	1696	1998-01-26	VYDAJ	VYBER	660	17248	\N	\N	\N
497862	1696	1995-10-22	VYDAJ	VYBER	690	16163	\N	\N	\N
497866	1696	1995-11-24	VYDAJ	VYBER	330	16931	\N	\N	\N
497868	1696	1996-01-30	VYDAJ	VYBER	750	13442	\N	\N	\N
497869	1696	1996-10-23	VYDAJ	VYBER	180	16773	\N	\N	\N
497870	1696	1996-05-24	VYDAJ	VYBER	600	16551	\N	\N	\N
497871	1696	1996-08-18	VYDAJ	VYBER	1290	14696	\N	\N	\N
497872	1696	1996-10-27	VYDAJ	VYBER	630	16143	\N	\N	\N
497874	1696	1997-07-22	VYDAJ	VYBER	930	18999	\N	\N	\N
497875	1696	1997-01-29	VYDAJ	VYBER	810	13761	\N	\N	\N
497876	1696	1997-11-27	VYDAJ	VYBER	1350	21949	\N	\N	\N
497877	1696	1997-05-16	VYDAJ	VYBER	330	17649	\N	\N	\N
497878	1696	1997-03-26	VYDAJ	VYBER	300	15716	\N	\N	\N
497879	1696	1997-10-15	VYDAJ	VYBER	300	22143	\N	\N	\N
497880	1696	1998-07-28	VYDAJ	VYBER	930	20037	\N	\N	\N
497881	1696	1998-11-07	VYDAJ	VYBER	870	19792	\N	\N	\N
497882	1696	1998-01-04	VYDAJ	VYBER	1200	20038	\N	\N	\N
497883	1696	1998-07-08	VYDAJ	VYBER	1290	17728	\N	\N	\N
497884	1696	1998-10-08	VYDAJ	VYBER	750	19505	\N	\N	\N
497885	1696	1998-05-16	VYDAJ	VYBER	1350	19957	\N	\N	\N
497896	1696	1995-10-31	VYDAJ	VYBER	15	16181	SLUZBY	\N	\N
497897	1696	1995-11-30	VYDAJ	VYBER	15	16986	SLUZBY	\N	\N
497898	1696	1995-12-31	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
497899	1696	1996-01-31	VYDAJ	VYBER	15	13492	SLUZBY	\N	\N
497900	1696	1996-02-29	VYDAJ	VYBER	15	14617	SLUZBY	\N	\N
497901	1696	1996-03-31	VYDAJ	VYBER	15	14941	SLUZBY	\N	\N
497902	1696	1996-04-30	VYDAJ	VYBER	15	16071	SLUZBY	\N	\N
497903	1696	1996-05-31	VYDAJ	VYBER	15	16606	SLUZBY	\N	\N
497904	1696	1996-06-30	VYDAJ	VYBER	15	13780	SLUZBY	\N	\N
497905	1696	1996-07-31	VYDAJ	VYBER	15	14906	SLUZBY	\N	\N
497906	1696	1996-08-31	VYDAJ	VYBER	15	14743	SLUZBY	\N	\N
497907	1696	1996-09-30	VYDAJ	VYBER	15	15873	SLUZBY	\N	\N
497908	1696	1996-10-31	VYDAJ	VYBER	15	16196	SLUZBY	\N	\N
497909	1696	1996-11-30	VYDAJ	VYBER	15	17332	SLUZBY	\N	\N
497910	1696	1996-12-31	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
497911	1696	1997-01-31	VYDAJ	VYBER	15	13810	SLUZBY	\N	\N
497912	1696	1997-02-28	VYDAJ	VYBER	15	14936	SLUZBY	\N	\N
497913	1696	1997-03-31	VYDAJ	VYBER	15	15766	SLUZBY	\N	\N
497914	1696	1997-04-30	VYDAJ	VYBER	15	16899	SLUZBY	\N	\N
497915	1696	1997-05-31	VYDAJ	VYBER	15	17707	SLUZBY	\N	\N
497916	1696	1997-06-30	VYDAJ	VYBER	15	18849	SLUZBY	\N	\N
497917	1696	1997-07-31	VYDAJ	VYBER	15	19064	SLUZBY	\N	\N
497918	1696	1997-08-31	VYDAJ	VYBER	15	20211	SLUZBY	\N	\N
497919	1696	1997-09-30	VYDAJ	VYBER	15	21363	SLUZBY	\N	\N
497920	1696	1997-10-31	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
497921	1696	1997-11-30	VYDAJ	VYBER	15	22029	SLUZBY	\N	\N
497922	1696	1997-12-31	VYDAJ	VYBER	15	22468	SLUZBY	\N	\N
497923	1696	1998-01-31	VYDAJ	VYBER	15	16800	SLUZBY	\N	\N
497924	1696	1998-02-28	VYDAJ	VYBER	15	17938	SLUZBY	\N	\N
497925	1696	1998-03-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
497926	1696	1998-04-30	VYDAJ	VYBER	15	20227	SLUZBY	\N	\N
497927	1696	1998-05-31	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
497928	1696	1998-06-30	VYDAJ	VYBER	15	21177	SLUZBY	\N	\N
497929	1696	1998-07-31	VYDAJ	VYBER	15	20107	SLUZBY	\N	\N
497930	1696	1998-08-31	VYDAJ	VYBER	15	21258	SLUZBY	\N	\N
497931	1696	1998-09-30	VYDAJ	VYBER	15	22414	SLUZBY	\N	\N
497932	1696	1998-10-31	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
497933	1696	1998-11-30	VYDAJ	VYBER	15	23109	SLUZBY	\N	\N
497934	1696	1996-03-05	VYDAJ	VYBER	800	13817	\N	\N	\N
497978	1697	1997-05-17	PRIJEM	VKLAD	800	800	\N	\N	\N
497984	1697	1997-06-12	PRIJEM	PREVOD Z UCTU	3332	4132	\N	UV	45188421
497985	1697	1997-07-12	PRIJEM	PREVOD Z UCTU	3332	7464	\N	UV	45188421
497986	1697	1997-08-12	PRIJEM	PREVOD Z UCTU	3332	10796	\N	UV	45188421
497987	1697	1997-09-12	PRIJEM	PREVOD Z UCTU	3332	14128	\N	UV	45188421
497988	1697	1997-10-12	PRIJEM	PREVOD Z UCTU	3332	17460	\N	UV	45188421
497989	1697	1997-11-12	PRIJEM	PREVOD Z UCTU	3332	18559	\N	UV	45188421
497990	1697	1997-12-12	PRIJEM	PREVOD Z UCTU	3332	18980	\N	UV	45188421
497991	1697	1998-01-12	PRIJEM	PREVOD Z UCTU	3332	17335	\N	UV	45188421
497992	1697	1998-02-12	PRIJEM	PREVOD Z UCTU	3332	16702	\N	UV	45188421
497993	1697	1998-03-12	PRIJEM	PREVOD Z UCTU	3332	17865	\N	UV	45188421
497994	1697	1998-04-12	PRIJEM	PREVOD Z UCTU	3332	19034	\N	UV	45188421
497995	1697	1998-05-12	PRIJEM	PREVOD Z UCTU	3332	19967	\N	UV	45188421
497996	1697	1998-06-12	PRIJEM	PREVOD Z UCTU	3332	20945	\N	UV	45188421
497997	1697	1998-07-12	PRIJEM	PREVOD Z UCTU	3332	18521	\N	UV	45188421
497998	1697	1998-08-12	PRIJEM	PREVOD Z UCTU	3332	17493	\N	UV	45188421
497999	1697	1998-09-12	PRIJEM	PREVOD Z UCTU	3332	18662	\N	UV	45188421
498000	1697	1998-10-12	PRIJEM	PREVOD Z UCTU	3332	19834	\N	UV	45188421
498001	1697	1998-11-12	PRIJEM	PREVOD Z UCTU	3332	21011	\N	UV	45188421
498002	1697	1998-12-12	PRIJEM	PREVOD Z UCTU	3332	16873	\N	UV	45188421
498013	1697	1997-11-06	VYDAJ	PREVOD NA UCET	408	17040	SIPO	QR	38106852
498014	1697	1997-12-06	VYDAJ	PREVOD NA UCET	408	18211	SIPO	QR	38106852
498015	1697	1998-01-06	VYDAJ	PREVOD NA UCET	408	17556	SIPO	QR	38106852
498016	1697	1998-02-06	VYDAJ	PREVOD NA UCET	408	15183	SIPO	QR	38106852
498017	1697	1998-03-06	VYDAJ	PREVOD NA UCET	408	16346	SIPO	QR	38106852
498018	1697	1998-04-06	VYDAJ	PREVOD NA UCET	408	17515	SIPO	QR	38106852
498019	1697	1998-05-06	VYDAJ	PREVOD NA UCET	408	18448	SIPO	QR	38106852
498020	1697	1998-06-06	VYDAJ	PREVOD NA UCET	408	19626	SIPO	QR	38106852
498021	1697	1998-07-06	VYDAJ	PREVOD NA UCET	408	17002	SIPO	QR	38106852
498022	1697	1998-08-06	VYDAJ	PREVOD NA UCET	408	18174	SIPO	QR	38106852
498023	1697	1998-09-06	VYDAJ	PREVOD NA UCET	408	17143	SIPO	QR	38106852
498024	1697	1998-10-06	VYDAJ	PREVOD NA UCET	408	18315	SIPO	QR	38106852
498025	1697	1998-11-06	VYDAJ	PREVOD NA UCET	408	19492	SIPO	QR	38106852
498026	1697	1998-12-06	VYDAJ	PREVOD NA UCET	408	20254	SIPO	QR	38106852
498037	1697	1997-11-11	VYDAJ	PREVOD NA UCET	1778	15227	 	AB	30674797
498038	1697	1997-12-11	VYDAJ	PREVOD NA UCET	1778	15648	 	AB	30674797
498039	1697	1998-01-11	VYDAJ	PREVOD NA UCET	1778	14003	 	AB	30674797
498040	1697	1998-02-11	VYDAJ	PREVOD NA UCET	1778	13370	 	AB	30674797
498041	1697	1998-03-11	VYDAJ	PREVOD NA UCET	1778	14533	 	AB	30674797
498042	1697	1998-04-11	VYDAJ	PREVOD NA UCET	1778	15702	 	AB	30674797
498043	1697	1998-05-11	VYDAJ	PREVOD NA UCET	1778	16635	 	AB	30674797
498044	1697	1998-06-11	VYDAJ	PREVOD NA UCET	1778	17813	 	AB	30674797
498045	1697	1998-07-11	VYDAJ	PREVOD NA UCET	1778	15189	 	AB	30674797
498046	1697	1998-08-11	VYDAJ	PREVOD NA UCET	1778	14161	 	AB	30674797
498047	1697	1998-09-11	VYDAJ	PREVOD NA UCET	1778	15330	 	AB	30674797
498048	1697	1998-10-11	VYDAJ	PREVOD NA UCET	1778	16502	 	AB	30674797
498049	1697	1998-11-11	VYDAJ	PREVOD NA UCET	1778	17679	 	AB	30674797
498050	1697	1998-12-11	VYDAJ	PREVOD NA UCET	1778	13541	 	AB	30674797
498061	1697	1997-11-09	VYDAJ	PREVOD NA UCET	35	17005	POJISTNE	CD	36977207
498062	1697	1997-12-09	VYDAJ	PREVOD NA UCET	35	18176	POJISTNE	CD	36977207
498063	1697	1998-01-09	VYDAJ	PREVOD NA UCET	35	17521	POJISTNE	CD	36977207
498064	1697	1998-02-09	VYDAJ	PREVOD NA UCET	35	15148	POJISTNE	CD	36977207
498065	1697	1998-03-09	VYDAJ	PREVOD NA UCET	35	16311	POJISTNE	CD	36977207
498066	1697	1998-04-09	VYDAJ	PREVOD NA UCET	35	17480	POJISTNE	CD	36977207
498067	1697	1998-05-09	VYDAJ	PREVOD NA UCET	35	18413	POJISTNE	CD	36977207
498068	1697	1998-06-09	VYDAJ	PREVOD NA UCET	35	19591	POJISTNE	CD	36977207
498069	1697	1998-07-09	VYDAJ	PREVOD NA UCET	35	16967	POJISTNE	CD	36977207
498070	1697	1998-08-09	VYDAJ	PREVOD NA UCET	35	18139	POJISTNE	CD	36977207
498071	1697	1998-09-09	VYDAJ	PREVOD NA UCET	35	17108	POJISTNE	CD	36977207
498072	1697	1998-10-09	VYDAJ	PREVOD NA UCET	35	18280	POJISTNE	CD	36977207
498073	1697	1998-11-09	VYDAJ	PREVOD NA UCET	35	19457	POJISTNE	CD	36977207
498074	1697	1998-12-09	VYDAJ	PREVOD NA UCET	35	15319	POJISTNE	CD	36977207
498076	1697	1998-06-18	VYDAJ	VYBER	2610	18335	\N	\N	\N
498077	1697	1997-12-10	VYDAJ	VYBER	750	17426	\N	\N	\N
498078	1697	1998-12-04	VYDAJ	VYBER	420	20662	\N	\N	\N
498085	1697	1998-01-27	VYDAJ	VYBER	660	15535	\N	\N	\N
498086	1697	1998-01-27	VYDAJ	VYBER	690	16195	\N	\N	\N
498087	1697	1998-01-16	VYDAJ	VYBER	450	16885	\N	\N	\N
498088	1697	1998-01-11	VYDAJ	VYBER	690	16831	\N	\N	\N
498089	1697	1998-01-01	VYDAJ	VYBER	750	18294	\N	\N	\N
498090	1697	1998-01-01	VYDAJ	VYBER	330	17964	\N	\N	\N
498095	1697	1998-04-21	VYDAJ	VYBER	240	18794	\N	\N	\N
498096	1697	1998-06-25	VYDAJ	VYBER	990	17345	\N	\N	\N
498097	1697	1998-01-11	VYDAJ	VYBER	1050	15781	\N	\N	\N
498108	1697	1997-10-31	VYDAJ	VYBER	15	17448	SLUZBY	\N	\N
498109	1697	1997-11-30	VYDAJ	VYBER	15	18619	SLUZBY	\N	\N
498110	1697	1997-12-31	VYDAJ	VYBER	15	19044	SLUZBY	\N	\N
498111	1697	1998-01-31	VYDAJ	VYBER	15	15591	SLUZBY	\N	\N
498112	1697	1998-02-28	VYDAJ	VYBER	15	16754	SLUZBY	\N	\N
498113	1697	1998-03-31	VYDAJ	VYBER	15	17923	SLUZBY	\N	\N
498114	1697	1998-04-30	VYDAJ	VYBER	15	18856	SLUZBY	\N	\N
498115	1697	1998-05-31	VYDAJ	VYBER	15	20034	SLUZBY	\N	\N
498116	1697	1998-06-30	VYDAJ	VYBER	15	17410	SLUZBY	\N	\N
498117	1697	1998-07-31	VYDAJ	VYBER	15	18582	SLUZBY	\N	\N
498118	1697	1998-08-31	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
498119	1697	1998-09-30	VYDAJ	VYBER	15	18723	SLUZBY	\N	\N
498120	1697	1998-10-31	VYDAJ	VYBER	15	19900	SLUZBY	\N	\N
498121	1697	1998-11-30	VYDAJ	VYBER	15	21082	SLUZBY	\N	\N
498122	1697	1998-06-11	VYDAJ	VYBER	200	17613	\N	\N	\N
498123	1697	1998-08-10	VYDAJ	VYBER	2200	15939	\N	\N	\N
498124	1697	1998-12-08	VYDAJ	VYBER	4900	15354	\N	\N	\N
498140	1698	1996-03-14	PRIJEM	VKLAD	800	800	\N	\N	\N
498144	1698	1996-04-06	PRIJEM	VKLAD	19227	20027	\N	\N	\N
498145	1698	1996-05-06	PRIJEM	VKLAD	19227	39104	\N	\N	\N
498146	1698	1996-06-06	PRIJEM	VKLAD	28840	63263	\N	\N	\N
498147	1698	1996-07-06	PRIJEM	VKLAD	19227	66467	\N	\N	\N
498148	1698	1996-08-06	PRIJEM	VKLAD	19227	68896	\N	\N	\N
498149	1698	1996-09-06	PRIJEM	VKLAD	19227	58715	\N	\N	\N
498150	1698	1996-10-06	PRIJEM	VKLAD	19227	49568	\N	\N	\N
498151	1698	1996-11-06	PRIJEM	VKLAD	19227	54041	\N	\N	\N
498152	1698	1996-12-06	PRIJEM	VKLAD	28840	59275	\N	\N	\N
498153	1698	1997-01-06	PRIJEM	VKLAD	19227	57658	\N	\N	\N
498154	1698	1997-02-06	PRIJEM	VKLAD	19227	48682	\N	\N	\N
498155	1698	1997-03-06	PRIJEM	VKLAD	19227	54454	\N	\N	\N
498156	1698	1997-04-06	PRIJEM	VKLAD	19227	57242	\N	\N	\N
498157	1698	1997-05-06	PRIJEM	VKLAD	19227	60445	\N	\N	\N
498158	1698	1997-06-06	PRIJEM	VKLAD	28840	71669	\N	\N	\N
498159	1698	1997-07-06	PRIJEM	VKLAD	19227	62928	\N	\N	\N
498160	1698	1997-08-06	PRIJEM	VKLAD	19227	61036	\N	\N	\N
498161	1698	1997-09-06	PRIJEM	VKLAD	19227	54925	\N	\N	\N
498162	1698	1997-10-06	PRIJEM	VKLAD	19227	59625	\N	\N	\N
498163	1698	1997-11-06	PRIJEM	VKLAD	19227	58251	\N	\N	\N
498164	1698	1997-12-06	PRIJEM	VKLAD	28840	65088	\N	\N	\N
498165	1698	1998-01-06	PRIJEM	VKLAD	19227	59770	\N	\N	\N
498166	1698	1998-02-06	PRIJEM	VKLAD	19227	59441	\N	\N	\N
498167	1698	1998-03-06	PRIJEM	VKLAD	19227	60064	\N	\N	\N
498168	1698	1998-04-06	PRIJEM	VKLAD	19227	67287	\N	\N	\N
498169	1698	1998-05-06	PRIJEM	VKLAD	19227	70344	\N	\N	\N
498170	1698	1998-06-06	PRIJEM	VKLAD	28840	78139	\N	\N	\N
498171	1698	1998-07-06	PRIJEM	VKLAD	19227	70110	\N	\N	\N
498172	1698	1998-08-06	PRIJEM	VKLAD	19227	64687	\N	\N	\N
498173	1698	1998-09-06	PRIJEM	VKLAD	19227	62034	\N	\N	\N
498174	1698	1998-10-06	PRIJEM	VKLAD	19227	62375	\N	\N	\N
498175	1698	1998-11-06	PRIJEM	VKLAD	19227	60862	\N	\N	\N
498176	1698	1998-12-06	PRIJEM	VKLAD	28840	70596	\N	\N	\N
498184	1698	1996-08-06	VYDAJ	PREVOD NA UCET	9642	59254	SIPO	UV	6397009
498185	1698	1996-09-06	VYDAJ	PREVOD NA UCET	9642	49073	SIPO	UV	6397009
498186	1698	1996-10-06	VYDAJ	PREVOD NA UCET	9642	39926	SIPO	UV	6397009
498187	1698	1996-11-06	VYDAJ	PREVOD NA UCET	9642	44399	SIPO	UV	6397009
498188	1698	1996-12-06	VYDAJ	PREVOD NA UCET	9642	49633	SIPO	UV	6397009
498189	1698	1997-01-06	VYDAJ	PREVOD NA UCET	9642	48016	SIPO	UV	6397009
498190	1698	1997-02-06	VYDAJ	PREVOD NA UCET	9642	39040	SIPO	UV	6397009
498191	1698	1997-03-06	VYDAJ	PREVOD NA UCET	9642	44812	SIPO	UV	6397009
498192	1698	1997-04-06	VYDAJ	PREVOD NA UCET	9642	47600	SIPO	UV	6397009
498193	1698	1997-05-06	VYDAJ	PREVOD NA UCET	9642	50803	SIPO	UV	6397009
498194	1698	1997-06-06	VYDAJ	PREVOD NA UCET	9642	62027	SIPO	UV	6397009
498195	1698	1997-07-06	VYDAJ	PREVOD NA UCET	9642	53286	SIPO	UV	6397009
498196	1698	1997-08-06	VYDAJ	PREVOD NA UCET	9642	51394	SIPO	UV	6397009
498197	1698	1997-09-06	VYDAJ	PREVOD NA UCET	9642	45283	SIPO	UV	6397009
498198	1698	1997-10-06	VYDAJ	PREVOD NA UCET	9642	49983	SIPO	UV	6397009
498199	1698	1997-11-06	VYDAJ	PREVOD NA UCET	9642	48609	SIPO	UV	6397009
498200	1698	1997-12-06	VYDAJ	PREVOD NA UCET	9642	55446	SIPO	UV	6397009
498201	1698	1998-01-06	VYDAJ	PREVOD NA UCET	9642	50128	SIPO	UV	6397009
498202	1698	1998-02-06	VYDAJ	PREVOD NA UCET	9642	49799	SIPO	UV	6397009
498203	1698	1998-03-06	VYDAJ	PREVOD NA UCET	9642	50422	SIPO	UV	6397009
498204	1698	1998-04-06	VYDAJ	PREVOD NA UCET	9642	57645	SIPO	UV	6397009
498205	1698	1998-05-06	VYDAJ	PREVOD NA UCET	9642	60702	SIPO	UV	6397009
498206	1698	1998-06-06	VYDAJ	PREVOD NA UCET	9642	68497	SIPO	UV	6397009
498207	1698	1998-07-06	VYDAJ	PREVOD NA UCET	9642	60468	SIPO	UV	6397009
498208	1698	1998-08-06	VYDAJ	PREVOD NA UCET	9642	55045	SIPO	UV	6397009
498209	1698	1998-09-06	VYDAJ	PREVOD NA UCET	9642	52392	SIPO	UV	6397009
498210	1698	1998-10-06	VYDAJ	PREVOD NA UCET	9642	52733	SIPO	UV	6397009
498211	1698	1998-11-06	VYDAJ	PREVOD NA UCET	9642	51220	SIPO	UV	6397009
498212	1698	1998-12-06	VYDAJ	PREVOD NA UCET	9642	60954	SIPO	UV	6397009
498220	1698	1996-08-12	VYDAJ	PREVOD NA UCET	3943	39311	UVER	CD	30528074
498221	1698	1996-09-12	VYDAJ	PREVOD NA UCET	3943	33930	UVER	CD	30528074
498222	1698	1996-10-12	VYDAJ	PREVOD NA UCET	3943	34683	UVER	CD	30528074
498223	1698	1996-11-12	VYDAJ	PREVOD NA UCET	3943	36656	UVER	CD	30528074
498224	1698	1996-12-12	VYDAJ	PREVOD NA UCET	3943	41990	UVER	CD	30528074
498225	1698	1997-01-12	VYDAJ	PREVOD NA UCET	3943	39513	UVER	CD	30528074
498226	1698	1997-02-12	VYDAJ	PREVOD NA UCET	3943	35097	UVER	CD	30528074
498227	1698	1997-03-12	VYDAJ	PREVOD NA UCET	3943	37869	UVER	CD	30528074
498228	1698	1997-04-12	VYDAJ	PREVOD NA UCET	3943	41057	UVER	CD	30528074
498229	1698	1997-05-12	VYDAJ	PREVOD NA UCET	3943	42660	UVER	CD	30528074
498230	1698	1997-06-12	VYDAJ	PREVOD NA UCET	3943	46284	UVER	CD	30528074
498231	1698	1997-07-12	VYDAJ	PREVOD NA UCET	3943	41643	UVER	CD	30528074
498232	1698	1997-08-12	VYDAJ	PREVOD NA UCET	3943	39051	UVER	CD	30528074
498233	1698	1997-09-12	VYDAJ	PREVOD NA UCET	3943	41340	UVER	CD	30528074
498234	1698	1997-10-12	VYDAJ	PREVOD NA UCET	3943	46040	UVER	CD	30528074
498235	1698	1997-11-12	VYDAJ	PREVOD NA UCET	3943	44666	UVER	CD	30528074
498236	1698	1997-12-12	VYDAJ	PREVOD NA UCET	3943	49823	UVER	CD	30528074
498237	1698	1998-01-12	VYDAJ	PREVOD NA UCET	3943	43425	UVER	CD	30528074
498238	1698	1998-02-12	VYDAJ	PREVOD NA UCET	3943	45856	UVER	CD	30528074
498239	1698	1998-03-12	VYDAJ	PREVOD NA UCET	3943	46479	UVER	CD	30528074
498240	1698	1998-04-12	VYDAJ	PREVOD NA UCET	3943	53702	UVER	CD	30528074
498241	1698	1998-05-12	VYDAJ	PREVOD NA UCET	3943	56759	UVER	CD	30528074
498242	1698	1998-06-12	VYDAJ	PREVOD NA UCET	3943	64554	UVER	CD	30528074
498243	1698	1998-07-12	VYDAJ	PREVOD NA UCET	3943	56525	UVER	CD	30528074
498244	1698	1998-08-12	VYDAJ	PREVOD NA UCET	3943	51102	UVER	CD	30528074
498245	1698	1998-09-12	VYDAJ	PREVOD NA UCET	3943	48449	UVER	CD	30528074
498246	1698	1998-10-12	VYDAJ	PREVOD NA UCET	3943	48790	UVER	CD	30528074
498247	1698	1998-11-12	VYDAJ	PREVOD NA UCET	3943	47277	UVER	CD	30528074
498248	1698	1998-12-12	VYDAJ	PREVOD NA UCET	3943	57011	UVER	CD	30528074
498249	1698	1996-12-09	VYDAJ	VYBER	3200	45933	\N	\N	\N
498250	1698	1997-12-15	VYDAJ	VYBER	3520	46303	\N	\N	\N
498251	1698	1998-12-14	VYDAJ	VYBER	2560	54451	\N	\N	\N
498258	1698	1997-01-17	VYDAJ	VYBER	3000	36513	\N	\N	\N
498259	1698	1997-01-05	VYDAJ	VYBER	3120	38431	\N	\N	\N
498260	1698	1997-01-08	VYDAJ	VYBER	3360	44656	\N	\N	\N
498261	1698	1997-01-26	VYDAJ	VYBER	3360	29313	\N	\N	\N
498262	1698	1997-01-17	VYDAJ	VYBER	1560	34953	\N	\N	\N
498263	1698	1997-01-21	VYDAJ	VYBER	2280	32673	\N	\N	\N
498264	1698	1998-01-20	VYDAJ	VYBER	3360	36825	\N	\N	\N
498265	1698	1998-01-04	VYDAJ	VYBER	2640	40543	\N	\N	\N
498266	1698	1998-01-15	VYDAJ	VYBER	1680	41745	\N	\N	\N
498267	1698	1998-01-28	VYDAJ	VYBER	1080	35745	\N	\N	\N
498268	1698	1998-01-20	VYDAJ	VYBER	1560	40185	\N	\N	\N
498269	1698	1998-01-11	VYDAJ	VYBER	2760	47368	\N	\N	\N
498271	1698	1996-12-13	VYDAJ	VYBER	600	41390	\N	\N	\N
498273	1698	1996-11-28	VYDAJ	VYBER	5640	31016	\N	\N	\N
498274	1698	1996-09-13	VYDAJ	VYBER	3720	30210	\N	\N	\N
498275	1698	1996-11-30	VYDAJ	VYBER	720	30435	\N	\N	\N
498279	1698	1997-11-16	VYDAJ	VYBER	3840	40826	\N	\N	\N
498280	1698	1997-11-17	VYDAJ	VYBER	3240	37586	\N	\N	\N
498281	1698	1997-06-21	VYDAJ	VYBER	2760	43524	\N	\N	\N
498282	1698	1997-08-12	VYDAJ	VYBER	1920	37131	\N	\N	\N
498283	1698	1997-12-11	VYDAJ	VYBER	1680	53766	\N	\N	\N
498284	1698	1998-06-30	VYDAJ	VYBER	3360	59883	\N	\N	\N
498285	1698	1998-10-24	VYDAJ	VYBER	3840	44950	\N	\N	\N
498286	1698	1998-06-28	VYDAJ	VYBER	1560	62994	\N	\N	\N
498287	1698	1998-05-25	VYDAJ	VYBER	2880	53879	\N	\N	\N
498296	1698	1996-08-31	VYDAJ	VYBER	15	39488	SLUZBY	\N	\N
498297	1698	1996-09-30	VYDAJ	VYBER	15	30341	SLUZBY	\N	\N
498298	1698	1996-10-31	VYDAJ	VYBER	15	34814	SLUZBY	\N	\N
498299	1698	1996-11-30	VYDAJ	VYBER	15	31155	SLUZBY	\N	\N
498300	1698	1996-12-31	VYDAJ	VYBER	15	41551	SLUZBY	\N	\N
498301	1698	1997-01-31	VYDAJ	VYBER	15	29455	SLUZBY	\N	\N
498302	1698	1997-02-28	VYDAJ	VYBER	15	35227	SLUZBY	\N	\N
498303	1698	1997-03-31	VYDAJ	VYBER	15	38015	SLUZBY	\N	\N
498304	1698	1997-04-30	VYDAJ	VYBER	15	41218	SLUZBY	\N	\N
498305	1698	1997-05-31	VYDAJ	VYBER	15	42829	SLUZBY	\N	\N
498306	1698	1997-06-30	VYDAJ	VYBER	15	43701	SLUZBY	\N	\N
498307	1698	1997-07-31	VYDAJ	VYBER	15	41809	SLUZBY	\N	\N
498308	1698	1997-08-31	VYDAJ	VYBER	15	37298	SLUZBY	\N	\N
498309	1698	1997-09-30	VYDAJ	VYBER	15	41498	SLUZBY	\N	\N
498310	1698	1997-10-31	VYDAJ	VYBER	15	46224	SLUZBY	\N	\N
498311	1698	1997-11-30	VYDAJ	VYBER	15	37748	SLUZBY	\N	\N
498312	1698	1997-12-31	VYDAJ	VYBER	15	46483	SLUZBY	\N	\N
498313	1698	1998-01-31	VYDAJ	VYBER	15	35914	SLUZBY	\N	\N
498314	1698	1998-02-28	VYDAJ	VYBER	15	46037	SLUZBY	\N	\N
498315	1698	1998-03-31	VYDAJ	VYBER	15	46660	SLUZBY	\N	\N
498316	1698	1998-04-30	VYDAJ	VYBER	15	53917	SLUZBY	\N	\N
498317	1698	1998-05-31	VYDAJ	VYBER	15	54099	SLUZBY	\N	\N
498318	1698	1998-06-30	VYDAJ	VYBER	15	63243	SLUZBY	\N	\N
498319	1698	1998-07-31	VYDAJ	VYBER	15	56760	SLUZBY	\N	\N
498320	1698	1998-08-31	VYDAJ	VYBER	15	51307	SLUZBY	\N	\N
498321	1698	1998-09-30	VYDAJ	VYBER	15	48648	SLUZBY	\N	\N
498322	1698	1998-10-31	VYDAJ	VYBER	15	41635	SLUZBY	\N	\N
498323	1698	1998-11-30	VYDAJ	VYBER	15	41756	SLUZBY	\N	\N
498324	1698	1996-04-13	VYDAJ	VYBER	200	19827	\N	\N	\N
498325	1698	1996-05-13	VYDAJ	VYBER	4800	34304	\N	\N	\N
498326	1698	1996-06-12	VYDAJ	VYBER	16200	47063	\N	\N	\N
498327	1698	1996-07-12	VYDAJ	VYBER	17000	49467	\N	\N	\N
498328	1698	1996-08-11	VYDAJ	VYBER	16000	43254	\N	\N	\N
498329	1698	1996-09-10	VYDAJ	VYBER	11200	37873	\N	\N	\N
498330	1698	1996-10-10	VYDAJ	VYBER	1300	38626	\N	\N	\N
498331	1698	1996-11-09	VYDAJ	VYBER	3800	40599	\N	\N	\N
498332	1698	1996-12-09	VYDAJ	VYBER	500	49133	\N	\N	\N
498333	1698	1997-01-08	VYDAJ	VYBER	1200	43456	\N	\N	\N
498334	1698	1997-03-09	VYDAJ	VYBER	3000	41812	\N	\N	\N
498335	1698	1997-04-08	VYDAJ	VYBER	2600	45000	\N	\N	\N
498336	1698	1997-05-08	VYDAJ	VYBER	4200	46603	\N	\N	\N
498337	1698	1997-06-07	VYDAJ	VYBER	11800	50227	\N	\N	\N
498338	1698	1997-07-07	VYDAJ	VYBER	7700	45586	\N	\N	\N
498339	1698	1997-08-06	VYDAJ	VYBER	8400	42994	\N	\N	\N
498340	1698	1997-09-05	VYDAJ	VYBER	1600	35698	\N	\N	\N
498341	1698	1997-10-05	VYDAJ	VYBER	1100	40398	\N	\N	\N
498342	1698	1997-11-04	VYDAJ	VYBER	7200	39024	\N	\N	\N
498343	1698	1997-12-04	VYDAJ	VYBER	1500	36248	\N	\N	\N
498344	1698	1998-01-03	VYDAJ	VYBER	3300	43183	\N	\N	\N
498345	1698	1998-02-02	PRIJEM	VKLAD	4300	40214	\N	\N	\N
498346	1698	1998-03-04	VYDAJ	VYBER	5200	40837	\N	\N	\N
498347	1698	1998-04-03	PRIJEM	VKLAD	1400	48060	\N	\N	\N
498348	1698	1998-05-03	VYDAJ	VYBER	2800	51117	\N	\N	\N
498349	1698	1998-06-02	VYDAJ	VYBER	4800	49299	\N	\N	\N
498350	1698	1998-07-02	VYDAJ	VYBER	9000	50883	\N	\N	\N
498351	1698	1998-08-01	VYDAJ	VYBER	11300	45460	\N	\N	\N
498352	1698	1998-08-31	VYDAJ	VYBER	8500	42807	\N	\N	\N
498353	1698	1998-09-30	VYDAJ	VYBER	5500	43148	\N	\N	\N
498354	1698	1998-10-30	VYDAJ	VYBER	3500	41450	\N	\N	\N
498355	1698	1998-11-29	VYDAJ	VYBER	5700	41577	\N	\N	\N
498389	1699	1993-01-14	PRIJEM	VKLAD	800	800	\N	\N	\N
498391	1699	1993-02-05	PRIJEM	PREVOD Z UCTU	5224	6024	DUCHOD	CD	94008880
498392	1699	1993-03-05	PRIJEM	PREVOD Z UCTU	5224	11248	DUCHOD	CD	94008880
498393	1699	1993-04-05	PRIJEM	PREVOD Z UCTU	5224	16472	DUCHOD	CD	94008880
498394	1699	1993-05-05	PRIJEM	PREVOD Z UCTU	5224	21696	DUCHOD	CD	94008880
498395	1699	1993-06-05	PRIJEM	PREVOD Z UCTU	5224	26920	DUCHOD	CD	94008880
498396	1699	1993-07-05	PRIJEM	PREVOD Z UCTU	5224	27213	DUCHOD	CD	94008880
498397	1699	1993-08-05	PRIJEM	PREVOD Z UCTU	5224	29041	DUCHOD	CD	94008880
498398	1699	1993-09-05	PRIJEM	PREVOD Z UCTU	5224	27037	DUCHOD	CD	94008880
498399	1699	1993-10-05	PRIJEM	PREVOD Z UCTU	5224	24945	DUCHOD	CD	94008880
498400	1699	1993-11-05	PRIJEM	PREVOD Z UCTU	5224	25767	DUCHOD	CD	94008880
498401	1699	1993-12-05	PRIJEM	PREVOD Z UCTU	5224	27087	DUCHOD	CD	94008880
498402	1699	1994-01-05	PRIJEM	PREVOD Z UCTU	5224	27012	DUCHOD	CD	94008880
498403	1699	1994-02-05	PRIJEM	PREVOD Z UCTU	5224	18076	DUCHOD	CD	94008880
498404	1699	1994-03-05	PRIJEM	PREVOD Z UCTU	5224	19867	DUCHOD	CD	94008880
498405	1699	1994-04-05	PRIJEM	PREVOD Z UCTU	5224	21664	DUCHOD	CD	94008880
498406	1699	1994-05-05	PRIJEM	PREVOD Z UCTU	5224	21785	DUCHOD	CD	94008880
498407	1699	1994-06-05	PRIJEM	PREVOD Z UCTU	5224	23590	DUCHOD	CD	94008880
498408	1699	1994-07-05	PRIJEM	PREVOD Z UCTU	5224	22494	DUCHOD	CD	94008880
498409	1699	1994-08-05	PRIJEM	PREVOD Z UCTU	5224	19677	DUCHOD	CD	94008880
498410	1699	1994-09-05	PRIJEM	PREVOD Z UCTU	5224	18756	DUCHOD	CD	94008880
498411	1699	1994-10-05	PRIJEM	PREVOD Z UCTU	5224	20550	DUCHOD	CD	94008880
498412	1699	1994-11-05	PRIJEM	PREVOD Z UCTU	5224	22350	DUCHOD	CD	94008880
498413	1699	1994-12-05	PRIJEM	PREVOD Z UCTU	5224	23656	DUCHOD	CD	94008880
498414	1699	1995-01-05	PRIJEM	PREVOD Z UCTU	5224	19552	DUCHOD	CD	94008880
498415	1699	1995-02-05	PRIJEM	PREVOD Z UCTU	5224	18940	DUCHOD	CD	94008880
498416	1699	1995-03-05	PRIJEM	PREVOD Z UCTU	5224	20734	DUCHOD	CD	94008880
498417	1699	1995-04-05	PRIJEM	PREVOD Z UCTU	5224	22335	DUCHOD	CD	94008880
498418	1699	1995-05-05	PRIJEM	PREVOD Z UCTU	5224	24143	DUCHOD	CD	94008880
498419	1699	1995-06-05	PRIJEM	PREVOD Z UCTU	5224	24357	DUCHOD	CD	94008880
498420	1699	1995-07-05	PRIJEM	PREVOD Z UCTU	5224	24074	DUCHOD	CD	94008880
498421	1699	1995-08-05	PRIJEM	PREVOD Z UCTU	5224	22290	DUCHOD	CD	94008880
498422	1699	1995-09-05	PRIJEM	PREVOD Z UCTU	5224	21693	DUCHOD	CD	94008880
498423	1699	1995-10-05	PRIJEM	PREVOD Z UCTU	5224	18753	DUCHOD	CD	94008880
498424	1699	1995-11-05	PRIJEM	PREVOD Z UCTU	5224	19346	DUCHOD	CD	94008880
498425	1699	1995-12-05	PRIJEM	PREVOD Z UCTU	5224	21141	DUCHOD	CD	94008880
498426	1699	1996-01-05	PRIJEM	PREVOD Z UCTU	5224	19630	DUCHOD	CD	94008880
498427	1699	1996-02-05	PRIJEM	PREVOD Z UCTU	5224	19420	DUCHOD	CD	94008880
498428	1699	1996-03-05	PRIJEM	PREVOD Z UCTU	5224	17414	DUCHOD	CD	94008880
498429	1699	1996-04-05	PRIJEM	PREVOD Z UCTU	5224	17800	DUCHOD	CD	94008880
498430	1699	1996-05-05	PRIJEM	PREVOD Z UCTU	5224	17987	DUCHOD	CD	94008880
498431	1699	1996-06-05	PRIJEM	PREVOD Z UCTU	5224	19776	DUCHOD	CD	94008880
498432	1699	1996-07-05	PRIJEM	PREVOD Z UCTU	5224	16004	DUCHOD	CD	94008880
498433	1699	1996-08-05	PRIJEM	PREVOD Z UCTU	5224	17785	DUCHOD	CD	94008880
498434	1699	1996-09-05	PRIJEM	PREVOD Z UCTU	5224	19572	DUCHOD	CD	94008880
498435	1699	1996-10-05	PRIJEM	PREVOD Z UCTU	5224	19040	DUCHOD	CD	94008880
498436	1699	1996-11-05	PRIJEM	PREVOD Z UCTU	5224	20833	DUCHOD	CD	94008880
498437	1699	1996-12-05	PRIJEM	PREVOD Z UCTU	5224	22634	DUCHOD	CD	94008880
498438	1699	1997-01-05	PRIJEM	PREVOD Z UCTU	5224	19946	DUCHOD	CD	94008880
498439	1699	1997-02-05	PRIJEM	PREVOD Z UCTU	5224	19899	DUCHOD	CD	94008880
498440	1699	1997-03-05	PRIJEM	PREVOD Z UCTU	5224	20814	DUCHOD	CD	94008880
498441	1699	1997-04-05	PRIJEM	PREVOD Z UCTU	5224	22614	DUCHOD	CD	94008880
498442	1699	1997-05-05	PRIJEM	PREVOD Z UCTU	5224	20897	DUCHOD	CD	94008880
498443	1699	1997-06-05	PRIJEM	PREVOD Z UCTU	5224	21257	DUCHOD	CD	94008880
498444	1699	1997-07-05	PRIJEM	PREVOD Z UCTU	5224	23059	DUCHOD	CD	94008880
498445	1699	1997-08-05	PRIJEM	PREVOD Z UCTU	5224	22868	DUCHOD	CD	94008880
498446	1699	1997-09-05	PRIJEM	PREVOD Z UCTU	5224	24678	DUCHOD	CD	94008880
498447	1699	1997-10-05	PRIJEM	PREVOD Z UCTU	5224	26093	DUCHOD	CD	94008880
498448	1699	1997-11-05	PRIJEM	PREVOD Z UCTU	5224	27915	DUCHOD	CD	94008880
498449	1699	1997-12-05	PRIJEM	PREVOD Z UCTU	5224	28463	DUCHOD	CD	94008880
498450	1699	1998-01-05	PRIJEM	PREVOD Z UCTU	5224	22192	DUCHOD	CD	94008880
498451	1699	1998-02-05	PRIJEM	PREVOD Z UCTU	5224	19916	DUCHOD	CD	94008880
498452	1699	1998-03-05	PRIJEM	PREVOD Z UCTU	5224	21712	DUCHOD	CD	94008880
498453	1699	1998-04-05	PRIJEM	PREVOD Z UCTU	5224	23515	DUCHOD	CD	94008880
498454	1699	1998-05-05	PRIJEM	PREVOD Z UCTU	5224	25325	DUCHOD	CD	94008880
498455	1699	1998-06-05	PRIJEM	PREVOD Z UCTU	5224	27144	DUCHOD	CD	94008880
498456	1699	1998-07-05	PRIJEM	PREVOD Z UCTU	5224	24410	DUCHOD	CD	94008880
498457	1699	1998-08-05	PRIJEM	PREVOD Z UCTU	5224	25585	DUCHOD	CD	94008880
498458	1699	1998-09-05	PRIJEM	PREVOD Z UCTU	5224	27404	DUCHOD	CD	94008880
498459	1699	1998-10-05	PRIJEM	PREVOD Z UCTU	5224	29231	DUCHOD	CD	94008880
498460	1699	1998-11-05	PRIJEM	PREVOD Z UCTU	5224	28823	DUCHOD	CD	94008880
498461	1699	1998-12-05	PRIJEM	PREVOD Z UCTU	5224	30656	DUCHOD	CD	94008880
498467	1699	1993-06-11	VYDAJ	PREVOD NA UCET	3463	23438	SIPO	IJ	62475007
498468	1699	1993-07-11	VYDAJ	PREVOD NA UCET	3463	23731	SIPO	IJ	62475007
498469	1699	1993-08-11	VYDAJ	PREVOD NA UCET	3463	25559	SIPO	IJ	62475007
498470	1699	1993-09-11	VYDAJ	PREVOD NA UCET	3463	23555	SIPO	IJ	62475007
498471	1699	1993-10-11	VYDAJ	PREVOD NA UCET	3463	21263	SIPO	IJ	62475007
498472	1699	1993-11-11	VYDAJ	PREVOD NA UCET	3463	21785	SIPO	IJ	62475007
498473	1699	1993-12-11	VYDAJ	PREVOD NA UCET	3463	22905	SIPO	IJ	62475007
498474	1699	1994-01-11	VYDAJ	PREVOD NA UCET	3463	15440	SIPO	IJ	62475007
498475	1699	1994-02-11	VYDAJ	PREVOD NA UCET	3463	14594	SIPO	IJ	62475007
498476	1699	1994-03-11	VYDAJ	PREVOD NA UCET	3463	16385	SIPO	IJ	62475007
498477	1699	1994-04-11	VYDAJ	PREVOD NA UCET	3463	18182	SIPO	IJ	62475007
498478	1699	1994-05-11	VYDAJ	PREVOD NA UCET	3463	18303	SIPO	IJ	62475007
498479	1699	1994-06-11	VYDAJ	PREVOD NA UCET	3463	17208	SIPO	IJ	62475007
498480	1699	1994-07-11	VYDAJ	PREVOD NA UCET	3463	17512	SIPO	IJ	62475007
498481	1699	1994-08-11	VYDAJ	PREVOD NA UCET	3463	16195	SIPO	IJ	62475007
498482	1699	1994-09-11	VYDAJ	PREVOD NA UCET	3463	15274	SIPO	IJ	62475007
498483	1699	1994-10-11	VYDAJ	PREVOD NA UCET	3463	17068	SIPO	IJ	62475007
498484	1699	1994-11-11	VYDAJ	PREVOD NA UCET	3463	18368	SIPO	IJ	62475007
498485	1699	1994-12-11	VYDAJ	PREVOD NA UCET	3463	17874	SIPO	IJ	62475007
498486	1699	1995-01-11	VYDAJ	PREVOD NA UCET	3463	13670	SIPO	IJ	62475007
498487	1699	1995-02-11	VYDAJ	PREVOD NA UCET	3463	15458	SIPO	IJ	62475007
498488	1699	1995-03-11	VYDAJ	PREVOD NA UCET	3463	17252	SIPO	IJ	62475007
498489	1699	1995-04-11	VYDAJ	PREVOD NA UCET	3463	18853	SIPO	IJ	62475007
498490	1699	1995-05-11	VYDAJ	PREVOD NA UCET	3463	20661	SIPO	IJ	62475007
498491	1699	1995-06-11	VYDAJ	PREVOD NA UCET	3463	20875	SIPO	IJ	62475007
498492	1699	1995-07-11	VYDAJ	PREVOD NA UCET	3463	20592	SIPO	IJ	62475007
498493	1699	1995-08-11	VYDAJ	PREVOD NA UCET	3463	18808	SIPO	IJ	62475007
498494	1699	1995-09-11	VYDAJ	PREVOD NA UCET	3463	18211	SIPO	IJ	62475007
498495	1699	1995-10-11	VYDAJ	PREVOD NA UCET	3463	15271	SIPO	IJ	62475007
498496	1699	1995-11-11	VYDAJ	PREVOD NA UCET	3463	15864	SIPO	IJ	62475007
498497	1699	1995-12-11	VYDAJ	PREVOD NA UCET	3463	17659	SIPO	IJ	62475007
498498	1699	1996-01-11	VYDAJ	PREVOD NA UCET	3463	14148	SIPO	IJ	62475007
498499	1699	1996-02-11	VYDAJ	PREVOD NA UCET	3463	15938	SIPO	IJ	62475007
498500	1699	1996-03-11	VYDAJ	PREVOD NA UCET	3463	13932	SIPO	IJ	62475007
498501	1699	1996-04-11	VYDAJ	PREVOD NA UCET	3463	14318	SIPO	IJ	62475007
498502	1699	1996-05-11	VYDAJ	PREVOD NA UCET	3463	14505	SIPO	IJ	62475007
498503	1699	1996-06-11	VYDAJ	PREVOD NA UCET	3463	10744	SIPO	IJ	62475007
498504	1699	1996-07-11	VYDAJ	PREVOD NA UCET	3463	12522	SIPO	IJ	62475007
498505	1699	1996-08-11	VYDAJ	PREVOD NA UCET	3463	14303	SIPO	IJ	62475007
498506	1699	1996-09-11	VYDAJ	PREVOD NA UCET	3463	13770	SIPO	IJ	62475007
498507	1699	1996-10-11	VYDAJ	PREVOD NA UCET	3463	15558	SIPO	IJ	62475007
498508	1699	1996-11-11	VYDAJ	PREVOD NA UCET	3463	17351	SIPO	IJ	62475007
498509	1699	1996-12-11	VYDAJ	PREVOD NA UCET	3463	19152	SIPO	IJ	62475007
498510	1699	1997-01-11	VYDAJ	PREVOD NA UCET	3463	16464	SIPO	IJ	62475007
498511	1699	1997-02-11	VYDAJ	PREVOD NA UCET	3463	16417	SIPO	IJ	62475007
498512	1699	1997-03-11	VYDAJ	PREVOD NA UCET	3463	17332	SIPO	IJ	62475007
498513	1699	1997-04-11	VYDAJ	PREVOD NA UCET	3463	19132	SIPO	IJ	62475007
498514	1699	1997-05-11	VYDAJ	PREVOD NA UCET	3463	17415	SIPO	IJ	62475007
498515	1699	1997-06-11	VYDAJ	PREVOD NA UCET	3463	17775	SIPO	IJ	62475007
498516	1699	1997-07-11	VYDAJ	PREVOD NA UCET	3463	19577	SIPO	IJ	62475007
498517	1699	1997-08-11	VYDAJ	PREVOD NA UCET	3463	19386	SIPO	IJ	62475007
498518	1699	1997-09-11	VYDAJ	PREVOD NA UCET	3463	21196	SIPO	IJ	62475007
498519	1699	1997-10-11	VYDAJ	PREVOD NA UCET	3463	22611	SIPO	IJ	62475007
498520	1699	1997-11-11	VYDAJ	PREVOD NA UCET	3463	24433	SIPO	IJ	62475007
498521	1699	1997-12-11	VYDAJ	PREVOD NA UCET	3463	24231	SIPO	IJ	62475007
498522	1699	1998-01-11	VYDAJ	PREVOD NA UCET	3463	14630	SIPO	IJ	62475007
498523	1699	1998-02-11	VYDAJ	PREVOD NA UCET	3463	16434	SIPO	IJ	62475007
498524	1699	1998-03-11	VYDAJ	PREVOD NA UCET	3463	18230	SIPO	IJ	62475007
498525	1699	1998-04-11	VYDAJ	PREVOD NA UCET	3463	20033	SIPO	IJ	62475007
498526	1699	1998-05-11	VYDAJ	PREVOD NA UCET	3463	21843	SIPO	IJ	62475007
498527	1699	1998-06-11	VYDAJ	PREVOD NA UCET	3463	23662	SIPO	IJ	62475007
498528	1699	1998-07-11	VYDAJ	PREVOD NA UCET	3463	20928	SIPO	IJ	62475007
498529	1699	1998-08-11	VYDAJ	PREVOD NA UCET	3463	22103	SIPO	IJ	62475007
498530	1699	1998-09-11	VYDAJ	PREVOD NA UCET	3463	23922	SIPO	IJ	62475007
498531	1699	1998-10-11	VYDAJ	PREVOD NA UCET	3463	25749	SIPO	IJ	62475007
498532	1699	1998-11-11	VYDAJ	PREVOD NA UCET	3463	25341	SIPO	IJ	62475007
498533	1699	1998-12-11	VYDAJ	PREVOD NA UCET	3463	27174	SIPO	IJ	62475007
498539	1699	1993-06-05	VYDAJ	PREVOD NA UCET	19	26901	 	EF	2504826
498540	1699	1993-07-05	VYDAJ	PREVOD NA UCET	19	27194	 	EF	2504826
498541	1699	1993-08-05	VYDAJ	PREVOD NA UCET	19	29022	 	EF	2504826
498542	1699	1993-09-05	VYDAJ	PREVOD NA UCET	19	27018	 	EF	2504826
498543	1699	1993-10-05	VYDAJ	PREVOD NA UCET	19	24926	 	EF	2504826
498544	1699	1993-11-05	VYDAJ	PREVOD NA UCET	19	25748	 	EF	2504826
498545	1699	1993-12-05	VYDAJ	PREVOD NA UCET	19	27068	 	EF	2504826
498546	1699	1994-01-05	VYDAJ	PREVOD NA UCET	19	25153	 	EF	2504826
498547	1699	1994-02-05	VYDAJ	PREVOD NA UCET	19	18057	 	EF	2504826
498548	1699	1994-03-05	VYDAJ	PREVOD NA UCET	19	19848	 	EF	2504826
498549	1699	1994-04-05	VYDAJ	PREVOD NA UCET	19	21645	 	EF	2504826
498550	1699	1994-05-05	VYDAJ	PREVOD NA UCET	19	21766	 	EF	2504826
498551	1699	1994-06-05	VYDAJ	PREVOD NA UCET	19	23571	 	EF	2504826
498552	1699	1994-07-05	VYDAJ	PREVOD NA UCET	19	22475	 	EF	2504826
498553	1699	1994-08-05	VYDAJ	PREVOD NA UCET	19	19658	 	EF	2504826
498554	1699	1994-09-05	VYDAJ	PREVOD NA UCET	19	18737	 	EF	2504826
498555	1699	1994-10-05	VYDAJ	PREVOD NA UCET	19	20531	 	EF	2504826
498556	1699	1994-11-05	VYDAJ	PREVOD NA UCET	19	22331	 	EF	2504826
498557	1699	1994-12-05	VYDAJ	PREVOD NA UCET	19	21837	 	EF	2504826
498558	1699	1995-01-05	VYDAJ	PREVOD NA UCET	19	19533	 	EF	2504826
498559	1699	1995-02-05	VYDAJ	PREVOD NA UCET	19	18921	 	EF	2504826
498560	1699	1995-03-05	VYDAJ	PREVOD NA UCET	19	20715	 	EF	2504826
498561	1699	1995-04-05	VYDAJ	PREVOD NA UCET	19	22316	 	EF	2504826
498562	1699	1995-05-05	VYDAJ	PREVOD NA UCET	19	24124	 	EF	2504826
498563	1699	1995-06-05	VYDAJ	PREVOD NA UCET	19	24338	 	EF	2504826
498564	1699	1995-07-05	VYDAJ	PREVOD NA UCET	19	24055	 	EF	2504826
498565	1699	1995-08-05	VYDAJ	PREVOD NA UCET	19	22271	 	EF	2504826
498566	1699	1995-09-05	VYDAJ	PREVOD NA UCET	19	21674	 	EF	2504826
498567	1699	1995-10-05	VYDAJ	PREVOD NA UCET	19	18734	 	EF	2504826
498568	1699	1995-11-05	VYDAJ	PREVOD NA UCET	19	19327	 	EF	2504826
498569	1699	1995-12-05	VYDAJ	PREVOD NA UCET	19	21122	 	EF	2504826
498570	1699	1996-01-05	VYDAJ	PREVOD NA UCET	19	18971	 	EF	2504826
498571	1699	1996-02-05	VYDAJ	PREVOD NA UCET	19	19401	 	EF	2504826
498572	1699	1996-03-05	VYDAJ	PREVOD NA UCET	19	17395	 	EF	2504826
498573	1699	1996-04-05	VYDAJ	PREVOD NA UCET	19	17781	 	EF	2504826
498574	1699	1996-05-05	VYDAJ	PREVOD NA UCET	19	17968	 	EF	2504826
498575	1699	1996-06-05	VYDAJ	PREVOD NA UCET	19	19757	 	EF	2504826
498576	1699	1996-07-05	VYDAJ	PREVOD NA UCET	19	15985	 	EF	2504826
498577	1699	1996-08-05	VYDAJ	PREVOD NA UCET	19	17766	 	EF	2504826
498578	1699	1996-09-05	VYDAJ	PREVOD NA UCET	19	19553	 	EF	2504826
498579	1699	1996-10-05	VYDAJ	PREVOD NA UCET	19	19021	 	EF	2504826
498580	1699	1996-11-05	VYDAJ	PREVOD NA UCET	19	20814	 	EF	2504826
498581	1699	1996-12-05	VYDAJ	PREVOD NA UCET	19	22615	 	EF	2504826
498582	1699	1997-01-05	VYDAJ	PREVOD NA UCET	19	19927	 	EF	2504826
498583	1699	1997-02-05	VYDAJ	PREVOD NA UCET	19	19880	 	EF	2504826
498584	1699	1997-03-05	VYDAJ	PREVOD NA UCET	19	20795	 	EF	2504826
498585	1699	1997-04-05	VYDAJ	PREVOD NA UCET	19	22595	 	EF	2504826
498586	1699	1997-05-05	VYDAJ	PREVOD NA UCET	19	20878	 	EF	2504826
498587	1699	1997-06-05	VYDAJ	PREVOD NA UCET	19	21238	 	EF	2504826
498588	1699	1997-07-05	VYDAJ	PREVOD NA UCET	19	23040	 	EF	2504826
498589	1699	1997-08-05	VYDAJ	PREVOD NA UCET	19	22849	 	EF	2504826
498590	1699	1997-09-05	VYDAJ	PREVOD NA UCET	19	24659	 	EF	2504826
498591	1699	1997-10-05	VYDAJ	PREVOD NA UCET	19	26074	 	EF	2504826
498592	1699	1997-11-05	VYDAJ	PREVOD NA UCET	19	27896	 	EF	2504826
498593	1699	1997-12-05	VYDAJ	PREVOD NA UCET	19	28444	 	EF	2504826
498594	1699	1998-01-05	VYDAJ	PREVOD NA UCET	19	22173	 	EF	2504826
498595	1699	1998-02-05	VYDAJ	PREVOD NA UCET	19	19897	 	EF	2504826
498596	1699	1998-03-05	VYDAJ	PREVOD NA UCET	19	21693	 	EF	2504826
498597	1699	1998-04-05	VYDAJ	PREVOD NA UCET	19	23496	 	EF	2504826
498598	1699	1998-05-05	VYDAJ	PREVOD NA UCET	19	25306	 	EF	2504826
498599	1699	1998-06-05	VYDAJ	PREVOD NA UCET	19	27125	 	EF	2504826
498600	1699	1998-07-05	VYDAJ	PREVOD NA UCET	19	24391	 	EF	2504826
498601	1699	1998-08-05	VYDAJ	PREVOD NA UCET	19	25566	 	EF	2504826
498602	1699	1998-09-05	VYDAJ	PREVOD NA UCET	19	27385	 	EF	2504826
498603	1699	1998-10-05	VYDAJ	PREVOD NA UCET	19	29212	 	EF	2504826
498604	1699	1998-11-05	VYDAJ	PREVOD NA UCET	19	28804	 	EF	2504826
498605	1699	1998-12-05	VYDAJ	PREVOD NA UCET	19	30637	 	EF	2504826
498609	1699	1996-06-07	VYDAJ	VYBER	5550	14207	\N	\N	\N
498611	1699	1998-06-17	VYDAJ	VYBER	4550	19112	\N	\N	\N
498613	1699	1994-01-09	VYDAJ	VYBER	1050	18903	\N	\N	\N
498615	1699	1996-01-04	VYDAJ	VYBER	1400	14406	\N	\N	\N
498617	1699	1998-01-01	VYDAJ	VYBER	4550	19768	\N	\N	\N
498618	1699	1993-12-28	VYDAJ	VYBER	1200	21705	\N	\N	\N
498619	1699	1994-12-08	VYDAJ	VYBER	500	21337	\N	\N	\N
498620	1699	1995-12-12	VYDAJ	VYBER	1350	16309	\N	\N	\N
498621	1699	1996-12-22	VYDAJ	VYBER	1050	18102	\N	\N	\N
498622	1699	1997-12-09	VYDAJ	VYBER	750	27694	\N	\N	\N
498623	1699	1998-12-27	VYDAJ	VYBER	1000	26174	\N	\N	\N
498630	1699	1994-01-05	VYDAJ	VYBER	1840	25172	\N	\N	\N
498631	1699	1994-01-14	VYDAJ	VYBER	2080	13360	\N	\N	\N
498632	1699	1994-01-28	VYDAJ	VYBER	560	12800	\N	\N	\N
498633	1699	1994-01-07	VYDAJ	VYBER	1280	19953	\N	\N	\N
498636	1699	1995-01-08	VYDAJ	VYBER	1040	18493	\N	\N	\N
498637	1699	1995-01-11	VYDAJ	VYBER	1360	17133	\N	\N	\N
498643	1699	1996-01-07	VYDAJ	VYBER	480	18491	\N	\N	\N
498644	1699	1996-01-05	VYDAJ	VYBER	640	18990	\N	\N	\N
498647	1699	1996-01-08	VYDAJ	VYBER	880	17611	\N	\N	\N
498650	1699	1997-01-14	VYDAJ	VYBER	1840	14624	\N	\N	\N
498654	1699	1998-01-03	VYDAJ	VYBER	1120	16968	\N	\N	\N
498656	1699	1998-01-06	VYDAJ	VYBER	1440	20733	\N	\N	\N
498657	1699	1998-01-09	VYDAJ	VYBER	2080	18653	\N	\N	\N
498658	1699	1998-01-11	VYDAJ	VYBER	560	18093	\N	\N	\N
498659	1699	1998-01-03	VYDAJ	VYBER	1680	18088	\N	\N	\N
498660	1699	1993-09-04	VYDAJ	VYBER	3840	21813	\N	\N	\N
498661	1699	1993-10-22	VYDAJ	VYBER	800	20463	\N	\N	\N
498662	1699	1993-06-20	VYDAJ	VYBER	1520	21918	\N	\N	\N
498663	1699	1993-09-29	VYDAJ	VYBER	480	19635	\N	\N	\N
498664	1699	1993-09-28	VYDAJ	VYBER	3440	20115	\N	\N	\N
498665	1699	1994-12-13	VYDAJ	VYBER	3600	14274	\N	\N	\N
498666	1699	1994-08-03	VYDAJ	VYBER	3120	14453	\N	\N	\N
498667	1699	1994-01-06	VYDAJ	VYBER	3920	21233	\N	\N	\N
498668	1699	1994-04-13	VYDAJ	VYBER	1680	16502	\N	\N	\N
498669	1699	1994-09-02	VYDAJ	VYBER	2720	13532	\N	\N	\N
498670	1699	1995-09-12	VYDAJ	VYBER	1840	16371	\N	\N	\N
498672	1699	1995-08-12	VYDAJ	VYBER	2400	16408	\N	\N	\N
498676	1699	1996-09-07	VYDAJ	VYBER	2320	17233	\N	\N	\N
498677	1699	1996-01-02	VYDAJ	VYBER	560	15806	\N	\N	\N
498680	1699	1996-12-24	VYDAJ	VYBER	3440	14662	\N	\N	\N
498683	1699	1997-09-22	VYDAJ	VYBER	400	20796	\N	\N	\N
498685	1699	1997-02-21	VYDAJ	VYBER	880	15537	\N	\N	\N
498686	1699	1997-04-20	VYDAJ	VYBER	3520	15612	\N	\N	\N
498687	1699	1997-05-31	VYDAJ	VYBER	1440	16048	\N	\N	\N
498688	1699	1997-11-21	VYDAJ	VYBER	1280	23153	\N	\N	\N
498689	1699	1997-08-02	VYDAJ	VYBER	2000	17644	\N	\N	\N
498690	1699	1998-08-01	VYDAJ	VYBER	640	20361	\N	\N	\N
498691	1699	1998-11-02	VYDAJ	VYBER	1040	23599	\N	\N	\N
498692	1699	1998-10-24	VYDAJ	VYBER	1200	24549	\N	\N	\N
498699	1699	1993-06-30	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
498700	1699	1993-07-31	VYDAJ	VYBER	15	23817	SLUZBY	\N	\N
498701	1699	1993-08-31	VYDAJ	VYBER	15	25653	SLUZBY	\N	\N
498702	1699	1993-09-30	VYDAJ	VYBER	15	19721	SLUZBY	\N	\N
498703	1699	1993-10-31	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
498704	1699	1993-11-30	VYDAJ	VYBER	15	21863	SLUZBY	\N	\N
498705	1699	1993-12-31	VYDAJ	VYBER	15	21788	SLUZBY	\N	\N
498706	1699	1994-01-31	VYDAJ	VYBER	15	12852	SLUZBY	\N	\N
498707	1699	1994-02-28	VYDAJ	VYBER	15	14643	SLUZBY	\N	\N
498708	1699	1994-03-31	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
498709	1699	1994-04-30	VYDAJ	VYBER	15	16561	SLUZBY	\N	\N
498710	1699	1994-05-31	VYDAJ	VYBER	15	18366	SLUZBY	\N	\N
498711	1699	1994-06-30	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
498712	1699	1994-07-31	VYDAJ	VYBER	15	17573	SLUZBY	\N	\N
498713	1699	1994-08-31	VYDAJ	VYBER	15	16252	SLUZBY	\N	\N
498714	1699	1994-09-30	VYDAJ	VYBER	15	15326	SLUZBY	\N	\N
498715	1699	1994-10-31	VYDAJ	VYBER	15	17126	SLUZBY	\N	\N
498716	1699	1994-11-30	VYDAJ	VYBER	15	18432	SLUZBY	\N	\N
498717	1699	1994-12-31	VYDAJ	VYBER	15	14328	SLUZBY	\N	\N
498718	1699	1995-01-31	VYDAJ	VYBER	15	13716	SLUZBY	\N	\N
498719	1699	1995-02-28	VYDAJ	VYBER	15	15510	SLUZBY	\N	\N
498720	1699	1995-03-31	VYDAJ	VYBER	15	17311	SLUZBY	\N	\N
498721	1699	1995-04-30	VYDAJ	VYBER	15	18919	SLUZBY	\N	\N
498722	1699	1995-05-31	VYDAJ	VYBER	15	20733	SLUZBY	\N	\N
498723	1699	1995-06-30	VYDAJ	VYBER	15	20950	SLUZBY	\N	\N
498724	1699	1995-07-31	VYDAJ	VYBER	15	20666	SLUZBY	\N	\N
498725	1699	1995-08-31	VYDAJ	VYBER	15	16469	SLUZBY	\N	\N
498726	1699	1995-09-30	VYDAJ	VYBER	15	16429	SLUZBY	\N	\N
498727	1699	1995-10-31	VYDAJ	VYBER	15	15322	SLUZBY	\N	\N
498728	1699	1995-11-30	VYDAJ	VYBER	15	15917	SLUZBY	\N	\N
498729	1699	1995-12-31	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
498730	1699	1996-01-31	VYDAJ	VYBER	15	14196	SLUZBY	\N	\N
498731	1699	1996-02-29	VYDAJ	VYBER	15	12190	SLUZBY	\N	\N
498732	1699	1996-03-31	VYDAJ	VYBER	15	12576	SLUZBY	\N	\N
498733	1699	1996-04-30	VYDAJ	VYBER	15	12763	SLUZBY	\N	\N
498734	1699	1996-05-31	VYDAJ	VYBER	15	14552	SLUZBY	\N	\N
498735	1699	1996-06-30	VYDAJ	VYBER	15	10780	SLUZBY	\N	\N
498736	1699	1996-07-31	VYDAJ	VYBER	15	12561	SLUZBY	\N	\N
498737	1699	1996-08-31	VYDAJ	VYBER	15	14348	SLUZBY	\N	\N
498738	1699	1996-09-30	VYDAJ	VYBER	15	13816	SLUZBY	\N	\N
498739	1699	1996-10-31	VYDAJ	VYBER	15	15609	SLUZBY	\N	\N
498740	1699	1996-11-30	VYDAJ	VYBER	15	17410	SLUZBY	\N	\N
498741	1699	1996-12-31	VYDAJ	VYBER	15	14722	SLUZBY	\N	\N
498742	1699	1997-01-31	VYDAJ	VYBER	15	14675	SLUZBY	\N	\N
498743	1699	1997-02-28	VYDAJ	VYBER	15	15590	SLUZBY	\N	\N
498744	1699	1997-03-31	VYDAJ	VYBER	15	17390	SLUZBY	\N	\N
498745	1699	1997-04-30	VYDAJ	VYBER	15	15673	SLUZBY	\N	\N
498746	1699	1997-05-31	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
498747	1699	1997-06-30	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
498748	1699	1997-07-31	VYDAJ	VYBER	15	19644	SLUZBY	\N	\N
498749	1699	1997-08-31	VYDAJ	VYBER	15	19454	SLUZBY	\N	\N
498750	1699	1997-09-30	VYDAJ	VYBER	15	20869	SLUZBY	\N	\N
498751	1699	1997-10-31	VYDAJ	VYBER	15	22691	SLUZBY	\N	\N
498752	1699	1997-11-30	VYDAJ	VYBER	15	23239	SLUZBY	\N	\N
498753	1699	1997-12-31	VYDAJ	VYBER	15	24318	SLUZBY	\N	\N
498754	1699	1998-01-31	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
498755	1699	1998-02-28	VYDAJ	VYBER	15	16488	SLUZBY	\N	\N
498756	1699	1998-03-31	VYDAJ	VYBER	15	18291	SLUZBY	\N	\N
498757	1699	1998-04-30	VYDAJ	VYBER	15	20101	SLUZBY	\N	\N
498758	1699	1998-05-31	VYDAJ	VYBER	15	21920	SLUZBY	\N	\N
498759	1699	1998-06-30	VYDAJ	VYBER	15	19186	SLUZBY	\N	\N
498760	1699	1998-07-31	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
498761	1699	1998-08-31	VYDAJ	VYBER	15	22180	SLUZBY	\N	\N
498762	1699	1998-09-30	VYDAJ	VYBER	15	24007	SLUZBY	\N	\N
498763	1699	1998-10-31	VYDAJ	VYBER	15	24639	SLUZBY	\N	\N
498764	1699	1998-11-30	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
498765	1699	1993-10-11	VYDAJ	VYBER	200	24726	\N	\N	\N
498766	1699	1993-11-10	VYDAJ	VYBER	500	25248	\N	\N	\N
498767	1699	1993-12-10	VYDAJ	VYBER	700	26368	\N	\N	\N
498768	1699	1994-06-08	VYDAJ	VYBER	2900	20671	\N	\N	\N
498769	1699	1994-07-08	VYDAJ	VYBER	1500	20975	\N	\N	\N
498770	1699	1994-11-05	VYDAJ	VYBER	500	21831	\N	\N	\N
498771	1699	1994-12-05	VYDAJ	VYBER	1800	21856	\N	\N	\N
498772	1699	1995-04-04	VYDAJ	VYBER	200	17111	\N	\N	\N
498773	1699	1995-06-03	VYDAJ	VYBER	1600	19133	\N	\N	\N
498774	1699	1995-07-03	VYDAJ	VYBER	2100	18850	\N	\N	\N
498775	1699	1995-08-02	VYDAJ	VYBER	3600	17066	\N	\N	\N
498776	1699	1995-10-01	VYDAJ	VYBER	2900	13529	\N	\N	\N
498777	1699	1995-10-31	VYDAJ	VYBER	1200	14122	\N	\N	\N
498778	1699	1996-02-28	VYDAJ	VYBER	3800	12138	\N	\N	\N
498779	1699	1996-03-29	VYDAJ	VYBER	1400	12532	\N	\N	\N
498780	1699	1996-04-28	VYDAJ	VYBER	1600	12718	\N	\N	\N
498848	1700	1995-11-18	PRIJEM	VKLAD	900	900	\N	\N	\N
498860	1700	1995-12-10	PRIJEM	VKLAD	34419	35319	\N	\N	\N
498861	1700	1996-01-10	PRIJEM	VKLAD	22946	50517	\N	\N	\N
498862	1700	1996-02-10	PRIJEM	VKLAD	22946	55888	\N	\N	\N
498863	1700	1996-03-10	PRIJEM	VKLAD	22946	63186	\N	\N	\N
498864	1700	1996-04-10	PRIJEM	VKLAD	22946	66906	\N	\N	\N
498865	1700	1996-05-10	PRIJEM	VKLAD	22946	61116	\N	\N	\N
498866	1700	1996-06-10	PRIJEM	VKLAD	34419	74259	\N	\N	\N
498867	1700	1996-07-10	PRIJEM	VKLAD	22946	44132	\N	\N	\N
498868	1700	1996-08-10	PRIJEM	VKLAD	22946	53847	\N	\N	\N
498869	1700	1996-09-10	PRIJEM	VKLAD	22946	57388	\N	\N	\N
498870	1700	1996-10-10	PRIJEM	VKLAD	22946	59646	\N	\N	\N
498871	1700	1996-11-10	PRIJEM	VKLAD	22946	65414	\N	\N	\N
498872	1700	1996-12-10	PRIJEM	VKLAD	34419	74958	\N	\N	\N
498873	1700	1997-01-10	PRIJEM	VKLAD	22946	66214	\N	\N	\N
498874	1700	1997-02-10	PRIJEM	VKLAD	22946	61807	\N	\N	\N
498875	1700	1997-03-10	PRIJEM	VKLAD	22946	61461	\N	\N	\N
498876	1700	1997-04-10	PRIJEM	VKLAD	22946	63325	\N	\N	\N
498877	1700	1997-05-10	PRIJEM	VKLAD	22946	62688	\N	\N	\N
498878	1700	1997-06-10	PRIJEM	VKLAD	34419	73120	\N	\N	\N
498879	1700	1997-07-10	PRIJEM	VKLAD	22946	59543	\N	\N	\N
498880	1700	1997-08-10	PRIJEM	VKLAD	22946	52439	\N	\N	\N
498881	1700	1997-09-10	PRIJEM	VKLAD	22946	57210	\N	\N	\N
498882	1700	1997-10-10	PRIJEM	VKLAD	22946	58804	\N	\N	\N
498883	1700	1997-11-10	PRIJEM	VKLAD	22946	59507	\N	\N	\N
498884	1700	1997-12-10	PRIJEM	VKLAD	34419	71077	\N	\N	\N
498885	1700	1998-01-10	PRIJEM	VKLAD	22946	63776	\N	\N	\N
498886	1700	1998-02-10	PRIJEM	VKLAD	22946	54668	\N	\N	\N
498887	1700	1998-03-10	PRIJEM	VKLAD	22946	61752	\N	\N	\N
498888	1700	1998-04-10	PRIJEM	VKLAD	22946	65259	\N	\N	\N
498889	1700	1998-05-10	PRIJEM	VKLAD	22946	70084	\N	\N	\N
498890	1700	1998-06-10	PRIJEM	VKLAD	34419	84102	\N	\N	\N
498891	1700	1998-07-10	PRIJEM	VKLAD	22946	69450	\N	\N	\N
498892	1700	1998-08-10	PRIJEM	VKLAD	22946	72892	\N	\N	\N
498893	1700	1998-09-10	PRIJEM	VKLAD	22946	75147	\N	\N	\N
498894	1700	1998-10-10	PRIJEM	VKLAD	22946	73012	\N	\N	\N
498895	1700	1998-11-10	PRIJEM	VKLAD	22946	79474	\N	\N	\N
498896	1700	1998-12-10	PRIJEM	VKLAD	34419	93627	\N	\N	\N
498913	1700	1996-05-07	VYDAJ	PREVOD NA UCET	6765	38170	SIPO	AB	93968033
498914	1700	1996-06-07	VYDAJ	PREVOD NA UCET	6765	39840	SIPO	AB	93968033
498915	1700	1996-07-07	VYDAJ	PREVOD NA UCET	6765	21186	SIPO	AB	93968033
498916	1700	1996-08-07	VYDAJ	PREVOD NA UCET	6765	30901	SIPO	AB	93968033
498917	1700	1996-09-07	VYDAJ	PREVOD NA UCET	6765	34442	SIPO	AB	93968033
498918	1700	1996-10-07	VYDAJ	PREVOD NA UCET	6765	36700	SIPO	AB	93968033
498919	1700	1996-11-07	VYDAJ	PREVOD NA UCET	6765	42468	SIPO	AB	93968033
498920	1700	1996-12-07	VYDAJ	PREVOD NA UCET	6765	40539	SIPO	AB	93968033
498921	1700	1997-01-07	VYDAJ	PREVOD NA UCET	6765	44948	SIPO	AB	93968033
498922	1700	1997-02-07	VYDAJ	PREVOD NA UCET	6765	38861	SIPO	AB	93968033
498923	1700	1997-03-07	VYDAJ	PREVOD NA UCET	6765	38515	SIPO	AB	93968033
498924	1700	1997-04-07	VYDAJ	PREVOD NA UCET	6765	40379	SIPO	AB	93968033
498925	1700	1997-05-07	VYDAJ	PREVOD NA UCET	6765	39742	SIPO	AB	93968033
498926	1700	1997-06-07	VYDAJ	PREVOD NA UCET	6765	38701	SIPO	AB	93968033
498927	1700	1997-07-07	VYDAJ	PREVOD NA UCET	6765	41637	SIPO	AB	93968033
498928	1700	1997-08-07	VYDAJ	PREVOD NA UCET	6765	36393	SIPO	AB	93968033
498929	1700	1997-09-07	VYDAJ	PREVOD NA UCET	6765	45864	SIPO	AB	93968033
498930	1700	1997-10-07	VYDAJ	PREVOD NA UCET	6765	50658	SIPO	AB	93968033
498931	1700	1997-11-07	VYDAJ	PREVOD NA UCET	6765	36561	SIPO	AB	93968033
498932	1700	1997-12-07	VYDAJ	PREVOD NA UCET	6765	52958	SIPO	AB	93968033
498933	1700	1998-01-07	VYDAJ	PREVOD NA UCET	6765	40830	SIPO	AB	93968033
498934	1700	1998-02-07	VYDAJ	PREVOD NA UCET	6765	31722	SIPO	AB	93968033
498935	1700	1998-03-07	VYDAJ	PREVOD NA UCET	6765	48106	SIPO	AB	93968033
498936	1700	1998-04-07	VYDAJ	PREVOD NA UCET	6765	42313	SIPO	AB	93968033
498937	1700	1998-05-07	VYDAJ	PREVOD NA UCET	6765	47138	SIPO	AB	93968033
498938	1700	1998-06-07	VYDAJ	PREVOD NA UCET	6765	49683	SIPO	AB	93968033
498939	1700	1998-07-07	VYDAJ	PREVOD NA UCET	6765	46504	SIPO	AB	93968033
498940	1700	1998-08-07	VYDAJ	PREVOD NA UCET	6765	49946	SIPO	AB	93968033
498941	1700	1998-09-07	VYDAJ	PREVOD NA UCET	6765	52201	SIPO	AB	93968033
498942	1700	1998-10-07	VYDAJ	PREVOD NA UCET	6765	50066	SIPO	AB	93968033
498943	1700	1998-11-07	VYDAJ	PREVOD NA UCET	6765	56528	SIPO	AB	93968033
498944	1700	1998-12-07	VYDAJ	PREVOD NA UCET	6765	59208	SIPO	AB	93968033
498946	1700	1996-06-20	VYDAJ	VYBER	18880	29579	\N	\N	\N
498948	1700	1998-06-26	VYDAJ	VYBER	13280	65782	\N	\N	\N
498961	1700	1997-01-09	VYDAJ	VYBER	1680	43268	\N	\N	\N
498962	1700	1997-01-27	VYDAJ	VYBER	2640	45434	\N	\N	\N
498963	1700	1997-01-07	VYDAJ	VYBER	1080	51713	\N	\N	\N
498964	1700	1997-01-12	VYDAJ	VYBER	840	48074	\N	\N	\N
498965	1700	1997-01-04	VYDAJ	VYBER	1080	52793	\N	\N	\N
498966	1700	1997-01-04	VYDAJ	VYBER	3000	53873	\N	\N	\N
498967	1700	1998-01-06	VYDAJ	VYBER	1440	64495	\N	\N	\N
498968	1700	1998-01-27	VYDAJ	VYBER	3000	56456	\N	\N	\N
498969	1700	1998-01-30	VYDAJ	VYBER	1200	54656	\N	\N	\N
498970	1700	1998-01-28	VYDAJ	VYBER	600	55856	\N	\N	\N
498971	1700	1998-01-16	VYDAJ	VYBER	1320	59456	\N	\N	\N
498972	1700	1998-01-14	VYDAJ	VYBER	3000	60776	\N	\N	\N
498977	1700	1996-09-18	VYDAJ	VYBER	2040	46048	\N	\N	\N
498979	1700	1996-08-20	VYDAJ	VYBER	1200	41047	\N	\N	\N
498981	1700	1996-06-21	VYDAJ	VYBER	1800	27779	\N	\N	\N
498982	1700	1996-09-30	VYDAJ	VYBER	2760	43480	\N	\N	\N
498983	1700	1996-04-10	VYDAJ	VYBER	2760	64146	\N	\N	\N
498984	1700	1997-10-10	VYDAJ	VYBER	5280	53524	\N	\N	\N
498985	1700	1997-07-07	VYDAJ	VYBER	5040	36597	\N	\N	\N
498986	1700	1997-10-13	VYDAJ	VYBER	1800	51724	\N	\N	\N
498987	1700	1998-01-05	VYDAJ	VYBER	5400	65935	\N	\N	\N
498988	1700	1998-08-25	VYDAJ	VYBER KARTOU	2000	70892	\N	\N	0
498989	1700	1998-06-14	VYDAJ	VYBER	5040	79062	\N	\N	\N
499006	1700	1996-04-30	VYDAJ	VYBER	15	44935	SLUZBY	\N	\N
499007	1700	1996-05-31	VYDAJ	VYBER	15	46605	SLUZBY	\N	\N
499008	1700	1996-06-30	VYDAJ	VYBER	15	27951	SLUZBY	\N	\N
499009	1700	1996-07-31	VYDAJ	VYBER	15	37666	SLUZBY	\N	\N
499010	1700	1996-08-31	VYDAJ	VYBER	15	41207	SLUZBY	\N	\N
499011	1700	1996-09-30	VYDAJ	VYBER	15	43465	SLUZBY	\N	\N
499012	1700	1996-10-31	VYDAJ	VYBER	15	49233	SLUZBY	\N	\N
499013	1700	1996-11-30	VYDAJ	VYBER	15	47304	SLUZBY	\N	\N
499014	1700	1996-12-31	VYDAJ	VYBER	15	56873	SLUZBY	\N	\N
499015	1700	1997-01-31	VYDAJ	VYBER	15	45626	SLUZBY	\N	\N
499016	1700	1997-02-28	VYDAJ	VYBER	15	45280	SLUZBY	\N	\N
499017	1700	1997-03-31	VYDAJ	VYBER	15	47144	SLUZBY	\N	\N
499018	1700	1997-04-30	VYDAJ	VYBER	15	46507	SLUZBY	\N	\N
499019	1700	1997-05-31	VYDAJ	VYBER	15	45466	SLUZBY	\N	\N
499020	1700	1997-06-30	VYDAJ	VYBER	15	48402	SLUZBY	\N	\N
499021	1700	1997-07-31	VYDAJ	VYBER	15	43158	SLUZBY	\N	\N
499022	1700	1997-08-31	VYDAJ	VYBER	15	52629	SLUZBY	\N	\N
499023	1700	1997-09-30	VYDAJ	VYBER	15	57423	SLUZBY	\N	\N
499024	1700	1997-10-31	VYDAJ	VYBER	15	51926	SLUZBY	\N	\N
499025	1700	1997-11-30	VYDAJ	VYBER	15	59723	SLUZBY	\N	\N
499026	1700	1997-12-31	VYDAJ	VYBER	15	71335	SLUZBY	\N	\N
499027	1700	1998-01-31	VYDAJ	VYBER	15	54887	SLUZBY	\N	\N
499028	1700	1998-02-28	VYDAJ	VYBER	15	54871	SLUZBY	\N	\N
499029	1700	1998-03-31	VYDAJ	VYBER	15	61978	SLUZBY	\N	\N
499030	1700	1998-04-30	VYDAJ	VYBER	15	65503	SLUZBY	\N	\N
499031	1700	1998-05-31	VYDAJ	VYBER	15	70348	SLUZBY	\N	\N
499032	1700	1998-06-30	VYDAJ	VYBER	15	66069	SLUZBY	\N	\N
499033	1700	1998-07-31	VYDAJ	VYBER	15	69711	SLUZBY	\N	\N
499034	1700	1998-08-31	VYDAJ	VYBER	15	71166	SLUZBY	\N	\N
499035	1700	1998-09-30	VYDAJ	VYBER	15	75431	SLUZBY	\N	\N
499036	1700	1998-10-31	VYDAJ	VYBER	15	73293	SLUZBY	\N	\N
499037	1700	1998-11-30	VYDAJ	VYBER	15	79773	SLUZBY	\N	\N
499038	1700	1995-12-18	VYDAJ	VYBER	7800	27519	\N	\N	\N
499039	1700	1996-01-17	VYDAJ	VYBER	17700	32817	\N	\N	\N
499040	1700	1996-02-16	VYDAJ	VYBER	15800	40088	\N	\N	\N
499041	1700	1996-03-17	VYDAJ	VYBER	19400	43786	\N	\N	\N
499042	1700	1996-04-16	VYDAJ	VYBER	19400	44746	\N	\N	\N
499043	1700	1996-05-16	VYDAJ	VYBER	14700	46416	\N	\N	\N
499044	1700	1996-06-15	VYDAJ	VYBER	25800	48459	\N	\N	\N
499045	1700	1996-07-15	VYDAJ	VYBER	6600	37532	\N	\N	\N
499046	1700	1996-08-14	VYDAJ	VYBER	11600	42247	\N	\N	\N
499047	1700	1996-09-13	VYDAJ	VYBER	9300	48088	\N	\N	\N
499048	1700	1996-10-13	VYDAJ	VYBER	10600	49046	\N	\N	\N
499049	1700	1996-11-12	VYDAJ	VYBER	18300	47114	\N	\N	\N
499050	1700	1996-12-12	VYDAJ	VYBER	18300	56658	\N	\N	\N
499051	1700	1997-01-11	VYDAJ	VYBER	17300	48914	\N	\N	\N
499052	1700	1997-02-10	VYDAJ	VYBER	16700	45107	\N	\N	\N
499053	1700	1997-03-12	VYDAJ	VYBER	14500	46961	\N	\N	\N
499054	1700	1997-04-11	VYDAJ	VYBER	17000	46325	\N	\N	\N
499055	1700	1997-05-11	VYDAJ	VYBER	17400	45288	\N	\N	\N
499056	1700	1997-06-10	VYDAJ	VYBER	24900	48220	\N	\N	\N
499057	1700	1997-07-10	VYDAJ	VYBER	16600	42943	\N	\N	\N
499058	1700	1997-08-09	VYDAJ	VYBER	6900	29493	\N	\N	\N
499059	1700	1997-09-08	VYDAJ	VYBER	11600	34264	\N	\N	\N
499060	1700	1997-10-08	VYDAJ	VYBER	14800	35858	\N	\N	\N
499061	1700	1997-11-07	VYDAJ	VYBER	8600	43326	\N	\N	\N
499062	1700	1997-12-07	VYDAJ	VYBER	16300	36658	\N	\N	\N
499063	1700	1998-01-06	VYDAJ	VYBER	16900	47595	\N	\N	\N
499064	1700	1998-02-05	VYDAJ	VYBER	16400	38487	\N	\N	\N
499065	1700	1998-03-07	VYDAJ	VYBER	9300	38806	\N	\N	\N
499066	1700	1998-04-06	VYDAJ	VYBER	12900	49078	\N	\N	\N
499067	1700	1998-05-06	VYDAJ	VYBER	11600	53903	\N	\N	\N
499068	1700	1998-06-05	VYDAJ	VYBER	13900	56448	\N	\N	\N
499069	1700	1998-07-05	VYDAJ	VYBER	12800	53269	\N	\N	\N
499070	1700	1998-08-04	VYDAJ	VYBER	13000	56711	\N	\N	\N
499071	1700	1998-09-03	VYDAJ	VYBER	12200	58966	\N	\N	\N
499072	1700	1998-10-03	VYDAJ	VYBER	18600	56831	\N	\N	\N
499073	1700	1998-11-02	VYDAJ	VYBER	10000	63293	\N	\N	\N
499074	1700	1998-12-02	VYDAJ	VYBER	13800	65973	\N	\N	\N
499112	1701	1993-08-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
499113	1701	1993-11-06	PRIJEM	VKLAD	14857	74517	\N	\N	\N
499114	1701	1993-08-25	PRIJEM	VKLAD	27113	28213	\N	\N	\N
499116	1701	1993-10-11	PRIJEM	VKLAD	12819	66920	\N	\N	\N
499118	1701	1993-10-04	PRIJEM	VKLAD	46975	131901	\N	\N	\N
499121	1701	1993-09-24	PRIJEM	VKLAD	30693	55833	\N	\N	\N
499123	1701	1993-11-12	PRIJEM	VKLAD	6004	48850	\N	\N	\N
499125	1701	1993-09-30	PRIJEM	VKLAD	28945	84778	\N	\N	\N
499126	1701	1994-10-16	PRIJEM	VKLAD	18777	76781	\N	\N	\N
499127	1701	1994-12-22	PRIJEM	VKLAD	21533	115304	\N	\N	\N
499128	1701	1994-02-21	PRIJEM	VKLAD	42526	75790	\N	\N	\N
499129	1701	1994-08-31	PRIJEM	VKLAD	39654	99118	\N	\N	\N
499130	1701	1994-03-16	PRIJEM	VKLAD	20015	55828	\N	\N	\N
499131	1701	1994-02-02	PRIJEM	VKLAD	11627	82735	\N	\N	\N
499132	1701	1994-10-12	PRIJEM	VKLAD	33918	58004	\N	\N	\N
499133	1701	1994-01-31	PRIJEM	VKLAD	12148	37343	\N	\N	\N
499134	1701	1994-12-27	PRIJEM	VKLAD	42150	124454	\N	\N	\N
499135	1701	1994-05-03	PRIJEM	VKLAD	28071	93961	\N	\N	\N
499136	1701	1994-08-27	PRIJEM	VKLAD	22004	59248	\N	\N	\N
499137	1701	1994-11-27	PRIJEM	VKLAD	40667	61737	\N	\N	\N
499138	1701	1994-12-14	PRIJEM	VKLAD	35545	67571	\N	\N	\N
499139	1701	1994-12-29	PRIJEM	VKLAD	29141	110495	\N	\N	\N
499140	1701	1994-04-21	PRIJEM	VKLAD	36249	65698	\N	\N	\N
499141	1701	1994-12-15	PRIJEM	VKLAD	30400	93771	\N	\N	\N
499142	1701	1994-06-28	PRIJEM	VKLAD	46893	74816	\N	\N	\N
499143	1701	1994-07-23	PRIJEM	VKLAD	30064	68093	\N	\N	\N
499144	1701	1994-01-31	PRIJEM	VKLAD	33696	71039	\N	\N	\N
499145	1701	1994-07-04	PRIJEM	VKLAD	44737	119700	\N	\N	\N
499146	1701	1994-01-22	PRIJEM	VKLAD	16713	29995	\N	\N	\N
499147	1701	1994-03-18	PRIJEM	VKLAD	35519	91347	\N	\N	\N
499148	1701	1994-09-10	PRIJEM	VKLAD	11468	51035	\N	\N	\N
499149	1701	1995-06-26	PRIJEM	VKLAD	40360	69643	\N	\N	\N
499150	1701	1995-04-09	PRIJEM	VKLAD	36795	50020	\N	\N	\N
499151	1701	1995-07-16	PRIJEM	VKLAD	20283	57525	\N	\N	\N
499152	1701	1995-05-16	PRIJEM	VKLAD	34277	54980	\N	\N	\N
499153	1701	1995-01-25	PRIJEM	VKLAD	26206	47158	\N	\N	\N
499154	1701	1996-01-16	PRIJEM	VKLAD	26013	31749	\N	\N	\N
499155	1701	1996-10-20	PRIJEM	VKLAD	6861	57681	\N	\N	\N
499156	1701	1996-03-13	PRIJEM	VKLAD	24833	88292	\N	\N	\N
499157	1701	1996-04-18	PRIJEM	VKLAD	32129	79604	\N	\N	\N
499158	1701	1996-08-13	PRIJEM	VKLAD	35178	48103	\N	\N	\N
499159	1701	1996-10-28	PRIJEM	VKLAD	16616	50774	\N	\N	\N
499160	1701	1996-01-19	PRIJEM	VKLAD	43062	70311	\N	\N	\N
499161	1701	1996-09-19	PRIJEM	VKLAD	20101	41341	\N	\N	\N
499162	1701	1996-01-24	PRIJEM	VKLAD	7127	66338	\N	\N	\N
499163	1701	1996-09-22	PRIJEM	VKLAD	35963	77304	\N	\N	\N
499164	1701	1996-01-27	PRIJEM	VKLAD	8398	74736	\N	\N	\N
499165	1701	1996-03-04	PRIJEM	VKLAD	34068	71030	\N	\N	\N
499166	1701	1996-08-02	PRIJEM	VKLAD	6307	20496	\N	\N	\N
499167	1701	1996-05-02	PRIJEM	VKLAD	14913	62351	\N	\N	\N
499168	1701	1996-10-01	PRIJEM	VKLAD	10951	58391	\N	\N	\N
499169	1701	1996-02-04	PRIJEM	VKLAD	30017	67146	\N	\N	\N
499170	1701	1997-08-20	PRIJEM	VKLAD	9103	53330	\N	\N	\N
499171	1701	1997-01-13	PRIJEM	VKLAD	41631	64467	\N	\N	\N
499172	1701	1997-03-25	PRIJEM	VKLAD	29149	86759	\N	\N	\N
499173	1701	1997-11-11	PRIJEM	VKLAD	27214	95336	\N	\N	\N
499174	1701	1997-02-06	PRIJEM	VKLAD	35916	80212	\N	\N	\N
499175	1701	1997-04-25	PRIJEM	VKLAD	11764	61606	\N	\N	\N
499176	1701	1997-06-19	PRIJEM	VKLAD	19673	62792	\N	\N	\N
499177	1701	1997-05-30	PRIJEM	VKLAD	25826	56829	\N	\N	\N
499178	1701	1997-09-06	PRIJEM	VKLAD	13448	46690	\N	\N	\N
499179	1701	1997-07-10	PRIJEM	VKLAD	34773	75658	\N	\N	\N
499180	1701	1997-03-19	PRIJEM	VKLAD	48730	88910	\N	\N	\N
499181	1701	1997-12-11	PRIJEM	VKLAD	35137	121656	\N	\N	\N
499182	1701	1997-10-29	PRIJEM	VKLAD	32424	85372	\N	\N	\N
499183	1701	1997-09-22	PRIJEM	VKLAD	27183	60666	\N	\N	\N
499184	1701	1997-01-20	PRIJEM	VKLAD	40053	91020	\N	\N	\N
499185	1701	1997-09-24	PRIJEM	VKLAD	43742	95408	\N	\N	\N
499186	1701	1997-11-17	PRIJEM	VKLAD	35210	122975	\N	\N	\N
499187	1701	1997-01-01	PRIJEM	VKLAD	10285	34307	\N	\N	\N
499188	1701	1997-09-17	PRIJEM	VKLAD	5264	44383	\N	\N	\N
499189	1701	1997-04-18	PRIJEM	VKLAD	21254	76342	\N	\N	\N
499190	1701	1997-07-28	PRIJEM	VKLAD	18311	76276	\N	\N	\N
499191	1701	1997-12-11	PRIJEM	VKLAD	42637	86519	\N	\N	\N
499192	1701	1997-07-22	PRIJEM	VKLAD	21378	66365	\N	\N	\N
499193	1701	1997-12-03	PRIJEM	VKLAD	30800	66954	\N	\N	\N
499194	1701	1998-04-12	PRIJEM	VKLAD	28910	32442	\N	\N	\N
499195	1701	1998-07-08	PRIJEM	VKLAD	12779	37757	\N	\N	\N
499196	1701	1998-06-24	PRIJEM	VKLAD	9154	34192	\N	\N	\N
499278	1701	1993-10-11	VYDAJ	PREVOD NA UCET	7571	59349	SIPO	MN	99692040
499279	1701	1993-11-11	VYDAJ	PREVOD NA UCET	7571	42846	SIPO	MN	99692040
499280	1701	1993-12-11	VYDAJ	PREVOD NA UCET	7571	16292	SIPO	MN	99692040
499281	1701	1994-01-11	VYDAJ	PREVOD NA UCET	7571	13282	SIPO	MN	99692040
499282	1701	1994-02-11	VYDAJ	PREVOD NA UCET	7571	46464	SIPO	MN	99692040
499283	1701	1994-03-11	VYDAJ	PREVOD NA UCET	7571	35813	SIPO	MN	99692040
499284	1701	1994-04-11	VYDAJ	PREVOD NA UCET	7571	29449	SIPO	MN	99692040
499285	1701	1994-05-11	VYDAJ	PREVOD NA UCET	7571	50790	SIPO	MN	99692040
499286	1701	1994-06-11	VYDAJ	PREVOD NA UCET	7571	30611	SIPO	MN	99692040
499287	1701	1994-07-11	VYDAJ	PREVOD NA UCET	7571	38029	SIPO	MN	99692040
499288	1701	1994-08-11	VYDAJ	PREVOD NA UCET	7571	37244	SIPO	MN	99692040
499289	1701	1994-09-11	VYDAJ	PREVOD NA UCET	7571	43464	SIPO	MN	99692040
499290	1701	1994-10-11	VYDAJ	PREVOD NA UCET	7571	24086	SIPO	MN	99692040
499291	1701	1994-11-11	VYDAJ	PREVOD NA UCET	7571	30370	SIPO	MN	99692040
499292	1701	1994-12-11	VYDAJ	PREVOD NA UCET	7571	32026	SIPO	MN	99692040
499293	1701	1995-01-11	VYDAJ	PREVOD NA UCET	7571	32052	SIPO	MN	99692040
499294	1701	1995-02-11	VYDAJ	PREVOD NA UCET	7571	14807	SIPO	MN	99692040
499295	1701	1995-03-11	VYDAJ	PREVOD NA UCET	7571	7898	SIPO	MN	99692040
499296	1701	1995-04-11	VYDAJ	PREVOD NA UCET	7571	42449	SIPO	MN	99692040
499297	1701	1995-05-11	VYDAJ	PREVOD NA UCET	7571	20703	SIPO	MN	99692040
499298	1701	1995-06-11	VYDAJ	PREVOD NA UCET	7571	29283	SIPO	MN	99692040
499299	1701	1995-07-11	VYDAJ	PREVOD NA UCET	7571	37242	SIPO	MN	99692040
499300	1701	1995-08-11	VYDAJ	PREVOD NA UCET	7571	27269	SIPO	MN	99692040
499301	1701	1995-09-11	VYDAJ	PREVOD NA UCET	7571	12523	SIPO	MN	99692040
499302	1701	1995-10-11	VYDAJ	PREVOD NA UCET	7571	5919	SIPO	MN	99692040
499304	1701	1995-12-11	VYDAJ	PREVOD NA UCET	7571	5698	SIPO	MN	99692040
499306	1701	1996-02-11	VYDAJ	PREVOD NA UCET	7571	59575	SIPO	MN	99692040
499307	1701	1996-03-11	VYDAJ	PREVOD NA UCET	7571	63459	SIPO	MN	99692040
499308	1701	1996-04-11	VYDAJ	PREVOD NA UCET	7571	47475	SIPO	MN	99692040
499309	1701	1996-05-11	VYDAJ	PREVOD NA UCET	7571	54780	SIPO	MN	99692040
499310	1701	1996-06-11	VYDAJ	PREVOD NA UCET	7571	27595	SIPO	MN	99692040
499311	1701	1996-07-11	VYDAJ	PREVOD NA UCET	7571	11530	SIPO	MN	99692040
499312	1701	1996-08-11	VYDAJ	PREVOD NA UCET	7571	12925	SIPO	MN	99692040
499313	1701	1996-09-11	VYDAJ	PREVOD NA UCET	7571	21240	SIPO	MN	99692040
499314	1701	1996-10-11	VYDAJ	PREVOD NA UCET	7571	50820	SIPO	MN	99692040
499315	1701	1996-11-11	VYDAJ	PREVOD NA UCET	7571	30475	SIPO	MN	99692040
499316	1701	1996-12-11	VYDAJ	PREVOD NA UCET	7571	20036	SIPO	MN	99692040
499317	1701	1997-01-11	VYDAJ	PREVOD NA UCET	7571	22836	SIPO	MN	99692040
499318	1701	1997-02-11	VYDAJ	PREVOD NA UCET	7571	72641	SIPO	MN	99692040
499319	1701	1997-03-11	VYDAJ	PREVOD NA UCET	7571	40180	SIPO	MN	99692040
499320	1701	1997-04-11	VYDAJ	PREVOD NA UCET	7571	55088	SIPO	MN	99692040
499321	1701	1997-05-11	VYDAJ	PREVOD NA UCET	7571	38803	SIPO	MN	99692040
499322	1701	1997-06-11	VYDAJ	PREVOD NA UCET	7571	49419	SIPO	MN	99692040
499323	1701	1997-07-11	VYDAJ	PREVOD NA UCET	7571	68087	SIPO	MN	99692040
499324	1701	1997-08-11	VYDAJ	PREVOD NA UCET	7571	68927	SIPO	MN	99692040
499325	1701	1997-09-11	VYDAJ	PREVOD NA UCET	7571	39119	SIPO	MN	99692040
499326	1701	1997-10-11	VYDAJ	PREVOD NA UCET	7571	88048	SIPO	MN	99692040
499327	1701	1997-11-11	VYDAJ	PREVOD NA UCET	7571	87765	SIPO	MN	99692040
499328	1701	1997-12-11	VYDAJ	PREVOD NA UCET	7571	95685	SIPO	MN	99692040
499329	1701	1998-01-11	VYDAJ	PREVOD NA UCET	7571	18508	SIPO	MN	99692040
499330	1701	1998-02-11	VYDAJ	PREVOD NA UCET	7571	11018	SIPO	MN	99692040
499331	1701	1998-03-11	VYDAJ	PREVOD NA UCET	7571	3505	SIPO	MN	99692040
499333	1701	1998-05-11	VYDAJ	PREVOD NA UCET	7571	20818	SIPO	MN	99692040
499334	1701	1998-06-11	VYDAJ	PREVOD NA UCET	7571	16938	SIPO	MN	99692040
499335	1701	1998-07-11	VYDAJ	PREVOD NA UCET	7571	30186	SIPO	MN	99692040
499336	1701	1998-08-11	VYDAJ	PREVOD NA UCET	7571	26523	SIPO	MN	99692040
499337	1701	1998-09-11	VYDAJ	PREVOD NA UCET	7571	18861	SIPO	MN	99692040
499338	1701	1998-10-11	VYDAJ	PREVOD NA UCET	7571	18479	SIPO	MN	99692040
499339	1701	1998-11-11	VYDAJ	PREVOD NA UCET	7571	18998	SIPO	MN	99692040
499340	1701	1998-12-11	VYDAJ	PREVOD NA UCET	7571	18316	SIPO	MN	99692040
499349	1701	1993-11-18	VYBER	VYBER	22238	22112	\N	\N	\N
499356	1701	1994-03-27	VYBER	VYBER	22394	63853	\N	\N	\N
499357	1701	1994-04-05	VYBER	VYBER	13291	50820	\N	\N	\N
499358	1701	1994-06-03	VYBER	VYBER	2721	48282	\N	\N	\N
499359	1701	1994-11-07	VYBER	VYBER	9372	37941	\N	\N	\N
499361	1701	1994-06-20	VYBER	VYBER	2688	27923	\N	\N	\N
499362	1701	1994-09-08	VYBER	VYBER	11717	39567	\N	\N	\N
499363	1701	1994-09-02	VYBER	VYBER	18120	80984	\N	\N	\N
499364	1701	1994-02-26	VYBER	VYBER	11537	64253	\N	\N	\N
499366	1701	1995-01-27	VYBER	VYBER	15993	29065	\N	\N	\N
499371	1701	1996-10-20	VYBER	VYBER	10923	46758	\N	\N	\N
499372	1701	1997-10-29	VYBER	VYBER	17556	67816	\N	\N	\N
499374	1701	1997-08-29	VYBER	VYBER	10458	42872	\N	\N	\N
499375	1701	1997-12-06	VYBER	VYBER	23072	43882	\N	\N	\N
499376	1701	1997-04-11	VYBER	VYBER	24339	62659	\N	\N	\N
499377	1701	1997-11-21	VYBER	VYBER	2952	35923	\N	\N	\N
499378	1701	1997-09-01	VYBER	VYBER	9885	33242	\N	\N	\N
499379	1701	1997-04-30	VYBER	VYBER	15505	46389	\N	\N	\N
499390	1701	1996-01-19	VYDAJ	VYBER	11100	59211	\N	\N	\N
499391	1701	1997-01-19	VYDAJ	VYBER	13500	50967	\N	\N	\N
499394	1701	1994-12-29	VYDAJ	VYBER	4200	68695	\N	\N	\N
499396	1701	1996-12-07	VYDAJ	VYBER	2700	27607	\N	\N	\N
499397	1701	1997-12-28	VYDAJ	VYBER	4200	36385	\N	\N	\N
499406	1701	1994-01-25	VYDAJ	VYBER	3300	26695	\N	\N	\N
499408	1701	1994-01-28	VYDAJ	VYBER	1500	25195	\N	\N	\N
499412	1701	1995-01-29	VYDAJ	VYBER	4200	24865	\N	\N	\N
499413	1701	1995-01-01	VYDAJ	VYBER	8400	60623	\N	\N	\N
499414	1701	1995-01-25	VYDAJ	VYBER	2100	45058	\N	\N	\N
499415	1701	1995-01-12	VYDAJ	VYBER	7500	24552	\N	\N	\N
499416	1701	1995-01-13	VYDAJ	VYBER	3600	20952	\N	\N	\N
499417	1701	1996-01-18	VYDAJ	VYBER	4500	27249	\N	\N	\N
499419	1701	1996-01-27	VYDAJ	VYBER	3600	71136	\N	\N	\N
499421	1701	1996-01-28	VYDAJ	VYBER	6600	37036	\N	\N	\N
499423	1701	1997-01-02	VYDAJ	VYBER	1800	32507	\N	\N	\N
499424	1701	1997-01-21	VYDAJ	VYBER	2100	88920	\N	\N	\N
499425	1701	1997-01-28	VYDAJ	VYBER	6000	44120	\N	\N	\N
499426	1701	1997-01-04	VYDAJ	VYBER	2100	30407	\N	\N	\N
499428	1701	1997-01-27	VYDAJ	VYBER	5400	50120	\N	\N	\N
499429	1701	1998-01-10	VYDAJ	VYBER	2700	26079	\N	\N	\N
499433	1701	1998-01-02	VYDAJ	VYBER	7800	28779	\N	\N	\N
499436	1701	1993-11-12	VYDAJ	VYBER	4500	44350	\N	\N	\N
499442	1701	1994-03-19	VYDAJ	VYBER	5100	86247	\N	\N	\N
499443	1701	1994-10-02	VYDAJ	VYBER	6300	37357	\N	\N	\N
499444	1701	1994-11-18	VYDAJ	VYBER	9300	21070	\N	\N	\N
499445	1701	1994-12-14	VYDAJ	VYBER	4200	63371	\N	\N	\N
499446	1701	1994-02-20	VYDAJ	VYBER	13200	33264	\N	\N	\N
499449	1701	1995-07-20	VYDAJ	VYBER	6000	51525	\N	\N	\N
499453	1701	1996-06-18	VYDAJ	VYBER	3600	23995	\N	\N	\N
499455	1701	1996-08-24	VYDAJ	VYBER	6300	28703	\N	\N	\N
499456	1701	1996-04-24	VYDAJ	VYBER	4200	75404	\N	\N	\N
499458	1701	1996-10-29	VYDAJ	VYBER	12900	37874	\N	\N	\N
499459	1701	1997-09-23	VYDAJ	VYBER	9000	51666	\N	\N	\N
499460	1701	1997-12-26	VYDAJ	VYBER	12600	40585	\N	\N	\N
499461	1701	1997-07-24	VYDAJ	VYBER	8400	57965	\N	\N	\N
499462	1701	1997-11-19	VYDAJ	VYBER	7500	38875	\N	\N	\N
499463	1701	1997-06-18	VYDAJ	VYBER	6300	43119	\N	\N	\N
499465	1701	1998-08-22	VYDAJ	VYBER	4800	26323	\N	\N	\N
499468	1701	1998-06-25	VYDAJ	VYBER	9300	24892	\N	\N	\N
499479	1701	1993-10-31	VYDAJ	VYBER	15	59660	SLUZBY	\N	\N
499480	1701	1993-11-30	VYDAJ	VYBER	15	22263	SLUZBY	\N	\N
499481	1701	1993-12-31	VYDAJ	VYBER	15	16353	SLUZBY	\N	\N
499482	1701	1994-01-31	VYDAJ	VYBER	15	71108	SLUZBY	\N	\N
499483	1701	1994-02-28	VYDAJ	VYBER	15	64484	SLUZBY	\N	\N
499484	1701	1994-03-31	VYDAJ	VYBER	15	64111	SLUZBY	\N	\N
499485	1701	1994-04-30	VYDAJ	VYBER	15	65890	SLUZBY	\N	\N
499486	1701	1994-05-31	VYDAJ	VYBER	15	51003	SLUZBY	\N	\N
499487	1701	1994-06-30	VYDAJ	VYBER	15	74963	SLUZBY	\N	\N
499488	1701	1994-07-31	VYDAJ	VYBER	15	68315	SLUZBY	\N	\N
499489	1701	1994-08-31	VYDAJ	VYBER	15	99104	SLUZBY	\N	\N
499490	1701	1994-09-30	VYDAJ	VYBER	15	43657	SLUZBY	\N	\N
499491	1701	1994-10-31	VYDAJ	VYBER	15	77013	SLUZBY	\N	\N
499492	1701	1994-11-30	VYDAJ	VYBER	15	61897	SLUZBY	\N	\N
499493	1701	1994-12-31	VYDAJ	VYBER	15	69023	SLUZBY	\N	\N
499494	1701	1995-01-31	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
499495	1701	1995-02-28	VYDAJ	VYBER	15	14869	SLUZBY	\N	\N
499496	1701	1995-03-31	VYDAJ	VYBER	15	7925	SLUZBY	\N	\N
499497	1701	1995-04-30	VYDAJ	VYBER	15	42574	SLUZBY	\N	\N
499498	1701	1995-05-31	VYDAJ	VYBER	15	55154	SLUZBY	\N	\N
499499	1701	1995-06-30	VYDAJ	VYBER	15	69813	SLUZBY	\N	\N
499500	1701	1995-07-31	VYDAJ	VYBER	15	34840	SLUZBY	\N	\N
499501	1701	1995-08-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
499502	1701	1995-09-30	VYDAJ	VYBER	15	13490	SLUZBY	\N	\N
499503	1701	1995-10-31	VYDAJ	VYBER	15	5958	SLUZBY	\N	\N
499504	1701	1995-11-30	VYDAJ	VYBER	15	13269	SLUZBY	\N	\N
499505	1701	1995-12-31	VYDAJ	VYBER	15	5736	SLUZBY	\N	\N
499506	1701	1996-01-31	VYDAJ	VYBER	15	37129	SLUZBY	\N	\N
499507	1701	1996-02-29	VYDAJ	VYBER	15	36962	SLUZBY	\N	\N
499508	1701	1996-03-31	VYDAJ	VYBER	15	55046	SLUZBY	\N	\N
499509	1701	1996-04-30	VYDAJ	VYBER	15	47438	SLUZBY	\N	\N
499510	1701	1996-05-31	VYDAJ	VYBER	15	35166	SLUZBY	\N	\N
499511	1701	1996-06-30	VYDAJ	VYBER	15	19101	SLUZBY	\N	\N
499512	1701	1996-07-31	VYDAJ	VYBER	15	14189	SLUZBY	\N	\N
499513	1701	1996-08-31	VYDAJ	VYBER	15	28811	SLUZBY	\N	\N
499514	1701	1996-09-30	VYDAJ	VYBER	15	47440	SLUZBY	\N	\N
499515	1701	1996-10-31	VYDAJ	VYBER	15	38046	SLUZBY	\N	\N
499516	1701	1996-11-30	VYDAJ	VYBER	15	30307	SLUZBY	\N	\N
499517	1701	1996-12-31	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
499518	1701	1997-01-31	VYDAJ	VYBER	15	44296	SLUZBY	\N	\N
499519	1701	1997-02-28	VYDAJ	VYBER	15	47751	SLUZBY	\N	\N
499520	1701	1997-03-31	VYDAJ	VYBER	15	86998	SLUZBY	\N	\N
499521	1701	1997-04-30	VYDAJ	VYBER	15	46374	SLUZBY	\N	\N
499522	1701	1997-05-31	VYDAJ	VYBER	15	56990	SLUZBY	\N	\N
499523	1701	1997-06-30	VYDAJ	VYBER	15	40885	SLUZBY	\N	\N
499524	1701	1997-07-31	VYDAJ	VYBER	15	76498	SLUZBY	\N	\N
499525	1701	1997-08-31	VYDAJ	VYBER	15	43127	SLUZBY	\N	\N
499526	1701	1997-09-30	VYDAJ	VYBER	15	95619	SLUZBY	\N	\N
499527	1701	1997-10-31	VYDAJ	VYBER	15	68122	SLUZBY	\N	\N
499528	1701	1997-11-30	VYDAJ	VYBER	15	36154	SLUZBY	\N	\N
499529	1701	1997-12-31	VYDAJ	VYBER	15	36579	SLUZBY	\N	\N
499530	1701	1998-01-31	VYDAJ	VYBER	15	18589	SLUZBY	\N	\N
499531	1701	1998-02-28	VYDAJ	VYBER	15	11076	SLUZBY	\N	\N
499532	1701	1998-03-31	VYDAJ	VYBER	15	3532	SLUZBY	\N	\N
499533	1701	1998-04-30	VYDAJ	VYBER	15	28389	SLUZBY	\N	\N
499534	1701	1998-05-31	VYDAJ	VYBER	15	24509	SLUZBY	\N	\N
499535	1701	1998-06-30	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
499536	1701	1998-07-31	VYDAJ	VYBER	15	34094	SLUZBY	\N	\N
499537	1701	1998-08-31	VYDAJ	VYBER	15	26432	SLUZBY	\N	\N
499538	1701	1998-09-30	VYDAJ	VYBER	15	26050	SLUZBY	\N	\N
499539	1701	1998-10-31	VYDAJ	VYBER	15	26569	SLUZBY	\N	\N
499540	1701	1998-11-30	VYDAJ	VYBER	15	25887	SLUZBY	\N	\N
499541	1701	1993-09-09	VYDAJ	VYBER	3100	25140	\N	\N	\N
499542	1701	1993-10-04	VYDAJ	VYBER	44800	87101	\N	\N	\N
499543	1701	1993-10-09	VYDAJ	VYBER	33000	54101	\N	\N	\N
499544	1701	1993-11-08	VYDAJ	VYBER	24100	50417	\N	\N	\N
499545	1701	1993-12-08	PRIJEM	VKLAD	1600	23863	\N	\N	\N
499546	1701	1994-01-07	PRIJEM	VKLAD	4500	20853	\N	\N	\N
499547	1701	1994-02-06	VYDAJ	VYBER	28700	54035	\N	\N	\N
499548	1701	1994-03-08	VYDAJ	VYBER	21100	43384	\N	\N	\N
499549	1701	1994-04-07	VYDAJ	VYBER	13800	37020	\N	\N	\N
499550	1701	1994-05-07	VYDAJ	VYBER	35600	58361	\N	\N	\N
499551	1701	1994-06-06	VYDAJ	VYBER	10100	38182	\N	\N	\N
499552	1701	1994-07-04	VYDAJ	VYBER	51600	68100	\N	\N	\N
499553	1701	1994-07-06	VYDAJ	VYBER	22500	45600	\N	\N	\N
499554	1701	1994-08-05	VYDAJ	VYBER	23500	44815	\N	\N	\N
499555	1701	1994-09-04	VYDAJ	VYBER	29700	51284	\N	\N	\N
499556	1701	1994-10-04	VYDAJ	VYBER	5700	31657	\N	\N	\N
499557	1701	1994-11-03	VYDAJ	VYBER	29700	47313	\N	\N	\N
499558	1701	1994-12-03	VYDAJ	VYBER	22300	39597	\N	\N	\N
499559	1701	1994-12-22	VYDAJ	VYBER	33000	82304	\N	\N	\N
499560	1701	1994-12-27	VYDAJ	VYBER	43100	81354	\N	\N	\N
499561	1701	1994-12-29	VYDAJ	VYBER	37600	72895	\N	\N	\N
499562	1701	1995-01-02	VYDAJ	VYBER	21000	39623	\N	\N	\N
499563	1701	1995-02-01	VYDAJ	VYBER	2600	22378	\N	\N	\N
499564	1701	1995-03-03	PRIJEM	VKLAD	600	15469	\N	\N	\N
499565	1701	1995-04-02	PRIJEM	VKLAD	5300	13225	\N	\N	\N
499566	1701	1995-05-02	VYDAJ	VYBER	14300	28274	\N	\N	\N
499567	1701	1995-06-01	VYDAJ	VYBER	18300	36854	\N	\N	\N
499568	1701	1995-07-01	VYDAJ	VYBER	25000	44813	\N	\N	\N
499569	1701	1995-07-31	VYDAJ	VYBER	16900	34855	\N	\N	\N
499570	1701	1995-08-30	VYDAJ	VYBER	7300	19969	\N	\N	\N
499571	1701	1995-09-29	PRIJEM	VKLAD	900	13423	\N	\N	\N
499572	1701	1995-11-28	PRIJEM	VKLAD	7300	13258	\N	\N	\N
499573	1701	1996-01-27	VYDAJ	VYBER	27500	43636	\N	\N	\N
499574	1701	1996-02-26	VYDAJ	VYBER	22800	36775	\N	\N	\N
499575	1701	1996-03-27	VYDAJ	VYBER	33500	54792	\N	\N	\N
499576	1701	1996-04-26	VYDAJ	VYBER	28200	47204	\N	\N	\N
499577	1701	1996-05-26	VYDAJ	VYBER	19800	34980	\N	\N	\N
499578	1701	1996-06-25	VYDAJ	VYBER	5000	18995	\N	\N	\N
499579	1701	1996-07-25	PRIJEM	VKLAD	2600	14130	\N	\N	\N
499580	1701	1996-08-24	VYDAJ	VYBER	13100	35003	\N	\N	\N
499581	1701	1996-09-23	VYDAJ	VYBER	30000	47304	\N	\N	\N
499582	1701	1996-10-23	VYDAJ	VYBER	12600	34158	\N	\N	\N
499583	1701	1996-11-22	VYDAJ	VYBER	300	30175	\N	\N	\N
499584	1701	1996-12-22	PRIJEM	VKLAD	3900	23936	\N	\N	\N
499585	1701	1997-01-21	VYDAJ	VYBER	33400	55520	\N	\N	\N
499586	1701	1997-02-20	VYDAJ	VYBER	25100	47541	\N	\N	\N
499587	1701	1997-03-22	VYDAJ	VYBER	31300	57610	\N	\N	\N
499588	1701	1997-04-21	VYDAJ	VYBER	26500	49842	\N	\N	\N
499589	1701	1997-05-21	VYDAJ	VYBER	7800	31003	\N	\N	\N
499590	1701	1997-06-20	VYDAJ	VYBER	22100	40692	\N	\N	\N
499591	1701	1997-07-20	VYDAJ	VYBER	23100	44987	\N	\N	\N
499592	1701	1997-08-19	VYDAJ	VYBER	24700	44227	\N	\N	\N
499593	1701	1997-09-18	VYDAJ	VYBER	10900	33483	\N	\N	\N
499594	1701	1997-10-18	VYDAJ	VYBER	35100	52948	\N	\N	\N
499595	1701	1997-11-17	VYDAJ	VYBER	48500	74475	\N	\N	\N
499596	1701	1997-11-17	VYDAJ	VYBER	28100	46375	\N	\N	\N
499597	1701	1997-12-11	VYDAJ	VYBER	18400	103256	\N	\N	\N
499598	1701	1997-12-17	VYDAJ	VYBER	42500	53185	\N	\N	\N
499599	1701	1998-04-16	VYDAJ	VYBER	4100	28342	\N	\N	\N
499600	1701	1998-05-16	PRIJEM	VKLAD	3600	24418	\N	\N	\N
499601	1701	1998-06-15	PRIJEM	VKLAD	8100	25038	\N	\N	\N
499602	1701	1998-07-15	PRIJEM	VKLAD	3800	33986	\N	\N	\N
499603	1701	1998-08-14	PRIJEM	VKLAD	4600	31123	\N	\N	\N
499604	1701	1998-09-13	PRIJEM	VKLAD	7100	25961	\N	\N	\N
499605	1701	1998-10-13	PRIJEM	VKLAD	8000	26479	\N	\N	\N
499606	1701	1998-11-12	PRIJEM	VKLAD	6800	25798	\N	\N	\N
499673	1702	1995-02-27	PRIJEM	VKLAD	500	500	\N	\N	\N
499676	1702	1995-03-11	PRIJEM	VKLAD	8134	8634	\N	\N	\N
499677	1702	1995-04-11	PRIJEM	VKLAD	8134	22874	\N	\N	\N
499678	1702	1995-05-11	PRIJEM	VKLAD	8134	34474	\N	\N	\N
499679	1702	1995-06-11	PRIJEM	VKLAD	12201	41086	\N	\N	\N
499680	1702	1995-07-11	PRIJEM	VKLAD	8134	42443	\N	\N	\N
499681	1702	1995-08-11	PRIJEM	VKLAD	8134	34716	\N	\N	\N
499682	1702	1995-09-11	PRIJEM	VKLAD	8134	32983	\N	\N	\N
499683	1702	1995-10-11	PRIJEM	VKLAD	8134	29437	\N	\N	\N
499684	1702	1995-11-11	PRIJEM	VKLAD	8134	26983	\N	\N	\N
499685	1702	1995-12-11	PRIJEM	VKLAD	12201	30588	\N	\N	\N
499686	1702	1996-01-11	PRIJEM	VKLAD	8134	24630	\N	\N	\N
499687	1702	1996-02-11	PRIJEM	VKLAD	8134	17950	\N	\N	\N
499688	1702	1996-03-11	PRIJEM	VKLAD	8134	21750	\N	\N	\N
499689	1702	1996-04-11	PRIJEM	VKLAD	8134	22068	\N	\N	\N
499690	1702	1996-05-11	PRIJEM	VKLAD	8134	22483	\N	\N	\N
499691	1702	1996-06-11	PRIJEM	VKLAD	12201	30971	\N	\N	\N
499692	1702	1996-07-11	PRIJEM	VKLAD	8134	28712	\N	\N	\N
499693	1702	1996-08-11	PRIJEM	VKLAD	8134	32257	\N	\N	\N
499694	1702	1996-09-11	PRIJEM	VKLAD	8134	31710	\N	\N	\N
499695	1702	1996-10-11	PRIJEM	VKLAD	8134	31161	\N	\N	\N
499696	1702	1996-11-11	PRIJEM	VKLAD	8134	32512	\N	\N	\N
499697	1702	1996-12-11	PRIJEM	VKLAD	12201	36633	\N	\N	\N
499698	1702	1997-01-11	PRIJEM	VKLAD	8134	23590	\N	\N	\N
499699	1702	1997-02-11	PRIJEM	VKLAD	8134	24422	\N	\N	\N
499700	1702	1997-03-11	PRIJEM	VKLAD	8134	32359	\N	\N	\N
499701	1702	1997-04-11	PRIJEM	VKLAD	8134	25904	\N	\N	\N
499702	1702	1997-05-11	PRIJEM	VKLAD	8134	28034	\N	\N	\N
499703	1702	1997-06-11	PRIJEM	VKLAD	12201	33739	\N	\N	\N
499704	1702	1997-07-11	PRIJEM	VKLAD	8134	25481	\N	\N	\N
499705	1702	1997-08-11	PRIJEM	VKLAD	8134	29613	\N	\N	\N
499706	1702	1997-09-11	PRIJEM	VKLAD	8134	30255	\N	\N	\N
499707	1702	1997-10-11	PRIJEM	VKLAD	8134	26491	\N	\N	\N
499708	1702	1997-11-11	PRIJEM	VKLAD	8134	33736	\N	\N	\N
499709	1702	1997-12-11	PRIJEM	VKLAD	12201	37258	\N	\N	\N
499710	1702	1998-01-11	PRIJEM	VKLAD	8134	25524	\N	\N	\N
499711	1702	1998-02-11	PRIJEM	VKLAD	8134	30875	\N	\N	\N
499712	1702	1998-03-11	PRIJEM	VKLAD	8134	35228	\N	\N	\N
499713	1702	1998-04-11	PRIJEM	VKLAD	8134	30993	\N	\N	\N
499714	1702	1998-05-11	PRIJEM	VKLAD	8134	31139	\N	\N	\N
499715	1702	1998-06-11	PRIJEM	VKLAD	12201	38360	\N	\N	\N
499716	1702	1998-07-11	PRIJEM	VKLAD	8134	22225	\N	\N	\N
499717	1702	1998-08-11	PRIJEM	VKLAD	8134	27841	\N	\N	\N
499718	1702	1998-09-11	PRIJEM	VKLAD	8134	28874	\N	\N	\N
499719	1702	1998-10-11	PRIJEM	VKLAD	8134	25916	\N	\N	\N
499720	1702	1998-11-11	PRIJEM	VKLAD	8134	22854	\N	\N	\N
499721	1702	1998-12-11	PRIJEM	VKLAD	12201	28947	\N	\N	\N
499729	1702	1995-08-08	VYDAJ	PREVOD NA UCET	4689	26582	SIPO	QR	43392902
499730	1702	1995-09-08	VYDAJ	PREVOD NA UCET	4689	24849	SIPO	QR	43392902
499731	1702	1995-10-08	VYDAJ	PREVOD NA UCET	4689	21303	SIPO	QR	43392902
499732	1702	1995-11-08	VYDAJ	PREVOD NA UCET	4689	22949	SIPO	QR	43392902
499733	1702	1995-12-08	VYDAJ	PREVOD NA UCET	4689	18387	SIPO	QR	43392902
499734	1702	1996-01-08	VYDAJ	PREVOD NA UCET	4689	16496	SIPO	QR	43392902
499735	1702	1996-02-08	VYDAJ	PREVOD NA UCET	4689	9816	SIPO	QR	43392902
499736	1702	1996-03-08	VYDAJ	PREVOD NA UCET	4689	13616	SIPO	QR	43392902
499737	1702	1996-04-08	VYDAJ	PREVOD NA UCET	4689	13934	SIPO	QR	43392902
499738	1702	1996-05-08	VYDAJ	PREVOD NA UCET	4689	14349	SIPO	QR	43392902
499739	1702	1996-06-08	VYDAJ	PREVOD NA UCET	4689	18770	SIPO	QR	43392902
499740	1702	1996-07-08	VYDAJ	PREVOD NA UCET	4689	20578	SIPO	QR	43392902
499741	1702	1996-08-08	VYDAJ	PREVOD NA UCET	4689	24123	SIPO	QR	43392902
499742	1702	1996-09-08	VYDAJ	PREVOD NA UCET	4689	23576	SIPO	QR	43392902
499743	1702	1996-10-08	VYDAJ	PREVOD NA UCET	4689	23027	SIPO	QR	43392902
499744	1702	1996-11-08	VYDAJ	PREVOD NA UCET	4689	24378	SIPO	QR	43392902
499745	1702	1996-12-08	VYDAJ	PREVOD NA UCET	4689	24432	SIPO	QR	43392902
499746	1702	1997-01-08	VYDAJ	PREVOD NA UCET	4689	15456	SIPO	QR	43392902
499747	1702	1997-02-08	VYDAJ	PREVOD NA UCET	4689	16288	SIPO	QR	43392902
499748	1702	1997-03-08	VYDAJ	PREVOD NA UCET	4689	24225	SIPO	QR	43392902
499749	1702	1997-04-08	VYDAJ	PREVOD NA UCET	4689	17770	SIPO	QR	43392902
499750	1702	1997-05-08	VYDAJ	PREVOD NA UCET	4689	19900	SIPO	QR	43392902
499751	1702	1997-06-08	VYDAJ	PREVOD NA UCET	4689	21538	SIPO	QR	43392902
499752	1702	1997-07-08	VYDAJ	PREVOD NA UCET	4689	17347	SIPO	QR	43392902
499753	1702	1997-08-08	VYDAJ	PREVOD NA UCET	4689	21479	SIPO	QR	43392902
499754	1702	1997-09-08	VYDAJ	PREVOD NA UCET	4689	22121	SIPO	QR	43392902
499755	1702	1997-10-08	VYDAJ	PREVOD NA UCET	4689	18357	SIPO	QR	43392902
499756	1702	1997-11-08	VYDAJ	PREVOD NA UCET	4689	25602	SIPO	QR	43392902
499757	1702	1997-12-08	VYDAJ	PREVOD NA UCET	4689	25057	SIPO	QR	43392902
499758	1702	1998-01-08	VYDAJ	PREVOD NA UCET	4689	26590	SIPO	QR	43392902
499759	1702	1998-02-08	VYDAJ	PREVOD NA UCET	4689	22741	SIPO	QR	43392902
499760	1702	1998-03-08	VYDAJ	PREVOD NA UCET	4689	29094	SIPO	QR	43392902
499761	1702	1998-04-08	VYDAJ	PREVOD NA UCET	4689	22859	SIPO	QR	43392902
499762	1702	1998-05-08	VYDAJ	PREVOD NA UCET	4689	23005	SIPO	QR	43392902
499763	1702	1998-06-08	VYDAJ	PREVOD NA UCET	4689	26159	SIPO	QR	43392902
499764	1702	1998-07-08	VYDAJ	PREVOD NA UCET	4689	14091	SIPO	QR	43392902
499765	1702	1998-08-08	VYDAJ	PREVOD NA UCET	4689	15607	SIPO	QR	43392902
499766	1702	1998-09-08	VYDAJ	PREVOD NA UCET	4689	19940	SIPO	QR	43392902
499767	1702	1998-10-08	VYDAJ	PREVOD NA UCET	4689	24282	SIPO	QR	43392902
499768	1702	1998-11-08	VYDAJ	PREVOD NA UCET	4689	14720	SIPO	QR	43392902
499769	1702	1998-12-08	VYDAJ	PREVOD NA UCET	4689	16746	SIPO	QR	43392902
499772	1702	1997-06-26	VYDAJ	VYBER	4200	21939	\N	\N	\N
499773	1702	1998-06-26	VYDAJ	VYBER	8800	18660	\N	\N	\N
499775	1702	1996-01-28	VYDAJ	VYBER	6300	15730	\N	\N	\N
499777	1702	1998-01-10	VYDAJ	VYBER	6300	17390	\N	\N	\N
499778	1702	1995-12-29	VYDAJ	VYBER	1400	24588	\N	\N	\N
499779	1702	1996-12-29	VYDAJ	VYBER	2400	26933	\N	\N	\N
499780	1702	1997-12-22	VYDAJ	VYBER	1100	33458	\N	\N	\N
499781	1702	1998-12-14	VYDAJ	VYBER	1600	27347	\N	\N	\N
499788	1702	1996-01-01	VYDAJ	VYBER	800	23885	\N	\N	\N
499789	1702	1996-01-07	VYDAJ	VYBER	800	21185	\N	\N	\N
499790	1702	1996-01-02	VYDAJ	VYBER	1900	21985	\N	\N	\N
499791	1702	1996-01-16	VYDAJ	VYBER	1100	23530	\N	\N	\N
499792	1702	1996-01-23	VYDAJ	VYBER	500	22030	\N	\N	\N
499793	1702	1996-01-30	VYDAJ	VYBER	1300	14430	\N	\N	\N
499794	1702	1997-01-02	VYDAJ	VYBER	2600	24445	\N	\N	\N
499795	1702	1997-01-03	VYDAJ	VYBER	1500	22945	\N	\N	\N
499796	1702	1997-01-27	VYDAJ	VYBER	2300	24890	\N	\N	\N
499797	1702	1997-01-12	VYDAJ	VYBER	1700	21890	\N	\N	\N
499798	1702	1997-01-08	VYDAJ	VYBER	1500	20145	\N	\N	\N
499799	1702	1997-01-05	VYDAJ	VYBER	1300	21645	\N	\N	\N
499800	1702	1998-01-18	VYDAJ	VYBER	1500	29724	\N	\N	\N
499801	1702	1998-01-09	VYDAJ	VYBER	1700	24890	\N	\N	\N
499802	1702	1998-01-10	VYDAJ	VYBER	1200	23690	\N	\N	\N
499803	1702	1998-01-19	VYDAJ	VYBER	1900	27824	\N	\N	\N
499804	1702	1998-01-20	VYDAJ	VYBER	500	27324	\N	\N	\N
499805	1702	1998-01-06	VYDAJ	VYBER	2300	31279	\N	\N	\N
499807	1702	1995-09-19	VYDAJ	VYBER	3600	29383	\N	\N	\N
499808	1702	1995-08-06	VYDAJ	VYBER	3600	31271	\N	\N	\N
499809	1702	1995-08-13	VYDAJ	VYBER	600	34116	\N	\N	\N
499813	1702	1995-11-09	VYDAJ	VYBER	4100	18849	\N	\N	\N
499815	1702	1996-11-11	VYDAJ	VYBER	1100	31412	\N	\N	\N
499816	1702	1996-04-06	VYDAJ	VYBER	4300	18623	\N	\N	\N
499817	1702	1996-08-19	VYDAJ	VYBER	2700	29557	\N	\N	\N
499818	1702	1997-02-08	VYDAJ	VYBER	4000	20977	\N	\N	\N
499819	1702	1997-03-30	VYDAJ	VYBER	2700	22359	\N	\N	\N
499820	1702	1997-07-15	VYDAJ	VYBER	1800	23681	\N	\N	\N
499821	1702	1997-03-14	VYDAJ	VYBER	4100	28259	\N	\N	\N
499822	1702	1997-09-20	VYDAJ	VYBER	3400	22955	\N	\N	\N
499823	1702	1997-03-28	VYDAJ	VYBER	1000	25059	\N	\N	\N
499824	1702	1998-12-02	VYDAJ	VYBER	1100	21335	\N	\N	\N
499825	1702	1998-04-05	VYDAJ	VYBER	4300	27548	\N	\N	\N
499826	1702	1998-11-29	VYDAJ	VYBER	500	22354	\N	\N	\N
499827	1702	1998-03-10	VYDAJ	VYBER	2000	27094	\N	\N	\N
499828	1702	1998-08-28	VYDAJ	VYBER	3300	24541	\N	\N	\N
499836	1702	1995-07-31	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
499837	1702	1995-08-31	VYDAJ	VYBER	15	29538	SLUZBY	\N	\N
499838	1702	1995-09-30	VYDAJ	VYBER	15	25992	SLUZBY	\N	\N
499839	1702	1995-10-31	VYDAJ	VYBER	15	27638	SLUZBY	\N	\N
499840	1702	1995-11-30	VYDAJ	VYBER	15	23076	SLUZBY	\N	\N
499841	1702	1995-12-31	VYDAJ	VYBER	15	24685	SLUZBY	\N	\N
499842	1702	1996-01-31	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
499843	1702	1996-02-29	VYDAJ	VYBER	15	18305	SLUZBY	\N	\N
499844	1702	1996-03-31	VYDAJ	VYBER	15	22923	SLUZBY	\N	\N
499845	1702	1996-04-30	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
499846	1702	1996-05-31	VYDAJ	VYBER	15	23459	SLUZBY	\N	\N
499847	1702	1996-06-30	VYDAJ	VYBER	15	25267	SLUZBY	\N	\N
499848	1702	1996-07-31	VYDAJ	VYBER	15	28812	SLUZBY	\N	\N
499849	1702	1996-08-31	VYDAJ	VYBER	15	28265	SLUZBY	\N	\N
499850	1702	1996-09-30	VYDAJ	VYBER	15	27716	SLUZBY	\N	\N
499851	1702	1996-10-31	VYDAJ	VYBER	15	29067	SLUZBY	\N	\N
499852	1702	1996-11-30	VYDAJ	VYBER	15	29121	SLUZBY	\N	\N
499853	1702	1996-12-31	VYDAJ	VYBER	15	27045	SLUZBY	\N	\N
499854	1702	1997-01-31	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
499855	1702	1997-02-28	VYDAJ	VYBER	15	28914	SLUZBY	\N	\N
499856	1702	1997-03-31	VYDAJ	VYBER	15	22459	SLUZBY	\N	\N
499857	1702	1997-04-30	VYDAJ	VYBER	15	24589	SLUZBY	\N	\N
499858	1702	1997-05-31	VYDAJ	VYBER	15	26227	SLUZBY	\N	\N
499859	1702	1997-06-30	VYDAJ	VYBER	15	22036	SLUZBY	\N	\N
499860	1702	1997-07-31	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
499861	1702	1997-08-31	VYDAJ	VYBER	15	26810	SLUZBY	\N	\N
499862	1702	1997-09-30	VYDAJ	VYBER	15	23046	SLUZBY	\N	\N
499863	1702	1997-10-31	VYDAJ	VYBER	15	30291	SLUZBY	\N	\N
499864	1702	1997-11-30	VYDAJ	VYBER	15	29746	SLUZBY	\N	\N
499865	1702	1997-12-31	VYDAJ	VYBER	15	33579	SLUZBY	\N	\N
499866	1702	1998-01-31	VYDAJ	VYBER	15	27430	SLUZBY	\N	\N
499867	1702	1998-02-28	VYDAJ	VYBER	15	33783	SLUZBY	\N	\N
499868	1702	1998-03-31	VYDAJ	VYBER	15	31848	SLUZBY	\N	\N
499869	1702	1998-04-30	VYDAJ	VYBER	15	27694	SLUZBY	\N	\N
499870	1702	1998-05-31	VYDAJ	VYBER	15	30848	SLUZBY	\N	\N
499871	1702	1998-06-30	VYDAJ	VYBER	15	18780	SLUZBY	\N	\N
499872	1702	1998-07-31	VYDAJ	VYBER	15	20296	SLUZBY	\N	\N
499873	1702	1998-08-31	VYDAJ	VYBER	15	24629	SLUZBY	\N	\N
499874	1702	1998-09-30	VYDAJ	VYBER	15	28971	SLUZBY	\N	\N
499875	1702	1998-10-31	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
499876	1702	1998-11-30	VYDAJ	VYBER	15	22435	SLUZBY	\N	\N
499877	1702	1995-03-29	PRIJEM	VKLAD	6100	14734	\N	\N	\N
499878	1702	1995-04-28	PRIJEM	VKLAD	3400	26274	\N	\N	\N
499879	1702	1995-05-28	VYDAJ	VYBER	5700	28774	\N	\N	\N
499880	1702	1995-06-27	VYDAJ	VYBER	6900	34186	\N	\N	\N
499881	1702	1995-07-27	VYDAJ	VYBER	7700	34743	\N	\N	\N
499882	1702	1995-08-26	VYDAJ	VYBER	4700	29416	\N	\N	\N
499883	1702	1995-09-25	VYDAJ	VYBER	3500	25883	\N	\N	\N
499884	1702	1995-10-25	VYDAJ	VYBER	1900	27537	\N	\N	\N
499885	1702	1995-11-24	VYDAJ	VYBER	4000	22983	\N	\N	\N
499886	1702	1995-12-24	VYDAJ	VYBER	4600	25988	\N	\N	\N
499887	1702	1996-01-23	VYDAJ	VYBER	1000	22530	\N	\N	\N
499888	1702	1996-02-22	PRIJEM	VKLAD	300	18250	\N	\N	\N
499889	1702	1996-03-23	PRIJEM	VKLAD	1100	22850	\N	\N	\N
499890	1702	1996-04-22	VYDAJ	VYBER	3100	18968	\N	\N	\N
499891	1702	1996-05-22	PRIJEM	VKLAD	900	23383	\N	\N	\N
499892	1702	1996-06-21	VYDAJ	VYBER	5800	25171	\N	\N	\N
499893	1702	1996-08-20	VYDAJ	VYBER	1400	28157	\N	\N	\N
499894	1702	1996-09-19	VYDAJ	VYBER	4100	27610	\N	\N	\N
499895	1702	1996-10-19	VYDAJ	VYBER	2200	28961	\N	\N	\N
499896	1702	1996-11-18	VYDAJ	VYBER	2400	29012	\N	\N	\N
499897	1702	1996-12-18	VYDAJ	VYBER	7300	29333	\N	\N	\N
499898	1702	1997-01-17	PRIJEM	VKLAD	5300	27190	\N	\N	\N
499899	1702	1997-02-16	PRIJEM	VKLAD	4400	28822	\N	\N	\N
499900	1702	1997-03-18	VYDAJ	VYBER	2200	26059	\N	\N	\N
499901	1702	1997-04-17	VYDAJ	VYBER	1400	24504	\N	\N	\N
499902	1702	1997-05-17	VYDAJ	VYBER	1900	26134	\N	\N	\N
499903	1702	1997-06-16	VYDAJ	VYBER	7600	26139	\N	\N	\N
499904	1702	1997-07-16	PRIJEM	VKLAD	2400	26081	\N	\N	\N
499905	1702	1997-08-15	VYDAJ	VYBER	2900	26713	\N	\N	\N
499906	1702	1997-09-14	VYDAJ	VYBER	3900	26355	\N	\N	\N
499907	1702	1997-10-14	PRIJEM	VKLAD	3700	30191	\N	\N	\N
499908	1702	1997-11-13	VYDAJ	VYBER	4100	29636	\N	\N	\N
499909	1702	1997-12-13	VYDAJ	VYBER	2700	34558	\N	\N	\N
499910	1702	1998-01-12	PRIJEM	VKLAD	5700	31224	\N	\N	\N
499911	1702	1998-02-11	PRIJEM	VKLAD	2800	33675	\N	\N	\N
499912	1702	1998-03-13	VYDAJ	VYBER	3500	31728	\N	\N	\N
499913	1702	1998-04-12	VYDAJ	VYBER	3400	27593	\N	\N	\N
499914	1702	1998-05-12	VYDAJ	VYBER	400	30739	\N	\N	\N
499915	1702	1998-06-11	VYDAJ	VYBER	10900	27460	\N	\N	\N
499916	1702	1998-07-11	VYDAJ	VYBER	2000	20225	\N	\N	\N
499917	1702	1998-08-10	PRIJEM	VKLAD	4100	19707	\N	\N	\N
499918	1702	1998-09-09	PRIJEM	VKLAD	800	20740	\N	\N	\N
499919	1702	1998-10-09	VYDAJ	VYBER	6500	17782	\N	\N	\N
499920	1702	1998-11-08	VYDAJ	VYBER	6600	19409	\N	\N	\N
499921	1702	1998-12-08	PRIJEM	VKLAD	100	21435	\N	\N	\N
499968	1703	1997-11-02	PRIJEM	VKLAD	700	700	\N	\N	\N
499979	1703	1997-11-07	PRIJEM	PREVOD Z UCTU	5641	6341	DUCHOD	CD	10410821
499980	1703	1997-12-07	PRIJEM	PREVOD Z UCTU	5641	12003	DUCHOD	CD	10410821
499981	1703	1998-01-07	PRIJEM	PREVOD Z UCTU	5641	17671	DUCHOD	CD	10410821
499982	1703	1998-02-07	PRIJEM	PREVOD Z UCTU	5641	23338	DUCHOD	CD	10410821
499983	1703	1998-03-07	PRIJEM	PREVOD Z UCTU	5641	29005	DUCHOD	CD	10410821
499984	1703	1998-04-07	PRIJEM	PREVOD Z UCTU	5641	30007	DUCHOD	CD	10410821
499985	1703	1998-05-07	PRIJEM	PREVOD Z UCTU	5641	28273	DUCHOD	CD	10410821
499986	1703	1998-06-07	PRIJEM	PREVOD Z UCTU	5641	27561	DUCHOD	CD	10410821
499987	1703	1998-07-07	PRIJEM	PREVOD Z UCTU	5641	22877	DUCHOD	CD	10410821
499988	1703	1998-08-07	PRIJEM	PREVOD Z UCTU	5641	25043	DUCHOD	CD	10410821
499989	1703	1998-09-07	PRIJEM	PREVOD Z UCTU	5641	26618	DUCHOD	CD	10410821
499990	1703	1998-10-07	PRIJEM	PREVOD Z UCTU	5641	27399	DUCHOD	CD	10410821
499991	1703	1998-11-07	PRIJEM	PREVOD Z UCTU	5641	25977	DUCHOD	CD	10410821
499992	1703	1998-12-07	PRIJEM	PREVOD Z UCTU	5641	27605	DUCHOD	CD	10410821
500008	1703	1998-04-05	VYDAJ	PREVOD NA UCET	3554	24366	SIPO	CD	73302203
500009	1703	1998-05-05	VYDAJ	PREVOD NA UCET	3554	22632	SIPO	CD	73302203
500010	1703	1998-06-05	VYDAJ	PREVOD NA UCET	3554	21920	SIPO	CD	73302203
500011	1703	1998-07-05	VYDAJ	PREVOD NA UCET	3554	17236	SIPO	CD	73302203
500012	1703	1998-08-05	VYDAJ	PREVOD NA UCET	3554	19402	SIPO	CD	73302203
500013	1703	1998-09-05	VYDAJ	PREVOD NA UCET	3554	20977	SIPO	CD	73302203
500014	1703	1998-10-05	VYDAJ	PREVOD NA UCET	3554	21758	SIPO	CD	73302203
500015	1703	1998-11-05	VYDAJ	PREVOD NA UCET	3554	20336	SIPO	CD	73302203
500016	1703	1998-12-05	VYDAJ	PREVOD NA UCET	3554	21964	SIPO	CD	73302203
500018	1703	1998-06-10	VYDAJ	VYBER	6850	20711	\N	\N	\N
500022	1703	1998-12-04	VYDAJ	VYBER	350	25518	\N	\N	\N
500040	1703	1998-12-24	VYDAJ	VYBER	2000	23685	\N	\N	\N
500041	1703	1998-12-12	VYDAJ	VYBER	1920	25685	\N	\N	\N
500042	1703	1998-04-11	VYDAJ	VYBER	560	26087	\N	\N	\N
500045	1703	1998-04-11	VYDAJ	VYBER	3360	26647	\N	\N	\N
500046	1703	1998-10-18	VYDAJ	VYBER	3600	23799	\N	\N	\N
500062	1703	1998-03-31	VYDAJ	VYBER	15	29020	SLUZBY	\N	\N
500063	1703	1998-04-30	VYDAJ	VYBER	15	26186	SLUZBY	\N	\N
500064	1703	1998-05-31	VYDAJ	VYBER	15	25474	SLUZBY	\N	\N
500065	1703	1998-06-30	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
500066	1703	1998-07-31	VYDAJ	VYBER	15	22956	SLUZBY	\N	\N
500067	1703	1998-08-31	VYDAJ	VYBER	15	24531	SLUZBY	\N	\N
500068	1703	1998-09-30	VYDAJ	VYBER	15	25312	SLUZBY	\N	\N
500069	1703	1998-10-31	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
500070	1703	1998-11-30	VYDAJ	VYBER	15	25868	SLUZBY	\N	\N
500071	1703	1998-04-01	VYDAJ	VYBER	1100	27920	\N	\N	\N
500072	1703	1998-05-31	VYDAJ	VYBER	2900	25489	\N	\N	\N
500073	1703	1998-08-29	VYDAJ	VYBER	600	24443	\N	\N	\N
500074	1703	1998-09-28	VYDAJ	VYBER	1400	25218	\N	\N	\N
500075	1703	1998-11-27	VYDAJ	VYBER	200	25777	\N	\N	\N
500090	1704	1995-09-22	PRIJEM	VKLAD	300	300	\N	\N	\N
500100	1704	1995-10-06	PRIJEM	PREVOD Z UCTU	6923	7223	DUCHOD	MN	7631910
500101	1704	1995-11-06	PRIJEM	PREVOD Z UCTU	6923	14146	DUCHOD	MN	7631910
500102	1704	1995-12-06	PRIJEM	PREVOD Z UCTU	6923	21069	DUCHOD	MN	7631910
500103	1704	1996-01-06	PRIJEM	PREVOD Z UCTU	6923	25820	DUCHOD	MN	7631910
500104	1704	1996-02-06	PRIJEM	PREVOD Z UCTU	6923	27925	DUCHOD	MN	7631910
500105	1704	1996-03-06	PRIJEM	PREVOD Z UCTU	6923	30745	DUCHOD	MN	7631910
500106	1704	1996-04-06	PRIJEM	PREVOD Z UCTU	6923	25745	DUCHOD	MN	7631910
500107	1704	1996-05-06	PRIJEM	PREVOD Z UCTU	6923	24457	DUCHOD	MN	7631910
500108	1704	1996-06-06	PRIJEM	PREVOD Z UCTU	6923	22960	DUCHOD	MN	7631910
500109	1704	1996-07-06	PRIJEM	PREVOD Z UCTU	6923	21356	DUCHOD	MN	7631910
500110	1704	1996-08-06	PRIJEM	PREVOD Z UCTU	6923	22647	DUCHOD	MN	7631910
500111	1704	1996-09-06	PRIJEM	PREVOD Z UCTU	6923	21236	DUCHOD	MN	7631910
500112	1704	1996-10-06	PRIJEM	PREVOD Z UCTU	6923	21524	DUCHOD	MN	7631910
500113	1704	1996-11-06	PRIJEM	PREVOD Z UCTU	6923	25219	DUCHOD	MN	7631910
500114	1704	1996-12-06	PRIJEM	PREVOD Z UCTU	6923	23799	DUCHOD	MN	7631910
500115	1704	1997-01-06	PRIJEM	PREVOD Z UCTU	6923	25171	DUCHOD	MN	7631910
500116	1704	1997-02-06	PRIJEM	PREVOD Z UCTU	6923	26927	DUCHOD	MN	7631910
500117	1704	1997-03-06	PRIJEM	PREVOD Z UCTU	6923	28439	DUCHOD	MN	7631910
500118	1704	1997-04-06	PRIJEM	PREVOD Z UCTU	6923	26049	DUCHOD	MN	7631910
500119	1704	1997-05-06	PRIJEM	PREVOD Z UCTU	6923	28761	DUCHOD	MN	7631910
500120	1704	1997-06-06	PRIJEM	PREVOD Z UCTU	6923	28276	DUCHOD	MN	7631910
500121	1704	1997-07-06	PRIJEM	PREVOD Z UCTU	6923	23272	DUCHOD	MN	7631910
500122	1704	1997-08-06	PRIJEM	PREVOD Z UCTU	6923	22348	DUCHOD	MN	7631910
500123	1704	1997-09-06	PRIJEM	PREVOD Z UCTU	6923	22400	DUCHOD	MN	7631910
500124	1704	1997-10-06	PRIJEM	PREVOD Z UCTU	6923	23652	DUCHOD	MN	7631910
500125	1704	1997-11-06	PRIJEM	PREVOD Z UCTU	6923	21640	DUCHOD	MN	7631910
500126	1704	1997-12-06	PRIJEM	PREVOD Z UCTU	6923	22828	DUCHOD	MN	7631910
500127	1704	1998-01-06	PRIJEM	PREVOD Z UCTU	6923	25476	DUCHOD	MN	7631910
500128	1704	1998-02-06	PRIJEM	PREVOD Z UCTU	6923	27231	DUCHOD	MN	7631910
500129	1704	1998-03-06	PRIJEM	PREVOD Z UCTU	6923	25133	DUCHOD	MN	7631910
500130	1704	1998-04-06	PRIJEM	PREVOD Z UCTU	6923	28843	DUCHOD	MN	7631910
500131	1704	1998-05-06	PRIJEM	PREVOD Z UCTU	6923	30606	DUCHOD	MN	7631910
500132	1704	1998-06-06	PRIJEM	PREVOD Z UCTU	6923	29324	DUCHOD	MN	7631910
500133	1704	1998-07-06	PRIJEM	PREVOD Z UCTU	6923	20989	DUCHOD	MN	7631910
500134	1704	1998-08-06	PRIJEM	PREVOD Z UCTU	6923	22075	DUCHOD	MN	7631910
500135	1704	1998-09-06	PRIJEM	PREVOD Z UCTU	6923	19453	DUCHOD	MN	7631910
500136	1704	1998-10-06	PRIJEM	PREVOD Z UCTU	6923	23139	DUCHOD	MN	7631910
500137	1704	1998-11-06	PRIJEM	PREVOD Z UCTU	6923	21033	DUCHOD	MN	7631910
500138	1704	1998-12-06	PRIJEM	PREVOD Z UCTU	6923	22530	DUCHOD	MN	7631910
500152	1704	1996-02-09	VYDAJ	PREVOD NA UCET	3285	24640	SIPO	KL	36175376
500153	1704	1996-03-09	VYDAJ	PREVOD NA UCET	3285	27460	SIPO	KL	36175376
500154	1704	1996-04-09	VYDAJ	PREVOD NA UCET	3285	22460	SIPO	KL	36175376
500155	1704	1996-05-09	VYDAJ	PREVOD NA UCET	3285	21172	SIPO	KL	36175376
500156	1704	1996-06-09	VYDAJ	PREVOD NA UCET	3285	19675	SIPO	KL	36175376
500157	1704	1996-07-09	VYDAJ	PREVOD NA UCET	3285	18071	SIPO	KL	36175376
500158	1704	1996-08-09	VYDAJ	PREVOD NA UCET	3285	19362	SIPO	KL	36175376
500159	1704	1996-09-09	VYDAJ	PREVOD NA UCET	3285	17951	SIPO	KL	36175376
500160	1704	1996-10-09	VYDAJ	PREVOD NA UCET	3285	18239	SIPO	KL	36175376
500161	1704	1996-11-09	VYDAJ	PREVOD NA UCET	3285	21934	SIPO	KL	36175376
500162	1704	1996-12-09	VYDAJ	PREVOD NA UCET	3285	20514	SIPO	KL	36175376
500163	1704	1997-01-09	VYDAJ	PREVOD NA UCET	3285	19936	SIPO	KL	36175376
500164	1704	1997-02-09	VYDAJ	PREVOD NA UCET	3285	23642	SIPO	KL	36175376
500165	1704	1997-03-09	VYDAJ	PREVOD NA UCET	3285	25154	SIPO	KL	36175376
500166	1704	1997-04-09	VYDAJ	PREVOD NA UCET	3285	22764	SIPO	KL	36175376
500167	1704	1997-05-09	VYDAJ	PREVOD NA UCET	3285	25476	SIPO	KL	36175376
500168	1704	1997-06-09	VYDAJ	PREVOD NA UCET	3285	24991	SIPO	KL	36175376
500169	1704	1997-07-09	VYDAJ	PREVOD NA UCET	3285	19987	SIPO	KL	36175376
500170	1704	1997-08-09	VYDAJ	PREVOD NA UCET	3285	19063	SIPO	KL	36175376
500171	1704	1997-09-09	VYDAJ	PREVOD NA UCET	3285	19115	SIPO	KL	36175376
500172	1704	1997-10-09	VYDAJ	PREVOD NA UCET	3285	20367	SIPO	KL	36175376
500173	1704	1997-11-09	VYDAJ	PREVOD NA UCET	3285	18355	SIPO	KL	36175376
500174	1704	1997-12-09	VYDAJ	PREVOD NA UCET	3285	19543	SIPO	KL	36175376
500175	1704	1998-01-09	VYDAJ	PREVOD NA UCET	3285	22191	SIPO	KL	36175376
500176	1704	1998-02-09	VYDAJ	PREVOD NA UCET	3285	18146	SIPO	KL	36175376
500177	1704	1998-03-09	VYDAJ	PREVOD NA UCET	3285	21848	SIPO	KL	36175376
500178	1704	1998-04-09	VYDAJ	PREVOD NA UCET	3285	25558	SIPO	KL	36175376
500179	1704	1998-05-09	VYDAJ	PREVOD NA UCET	3285	22321	SIPO	KL	36175376
500180	1704	1998-06-09	VYDAJ	PREVOD NA UCET	3285	18759	SIPO	KL	36175376
500181	1704	1998-07-09	VYDAJ	PREVOD NA UCET	3285	15104	SIPO	KL	36175376
500182	1704	1998-08-09	VYDAJ	PREVOD NA UCET	3285	12490	SIPO	KL	36175376
500183	1704	1998-09-09	VYDAJ	PREVOD NA UCET	3285	16168	SIPO	KL	36175376
500184	1704	1998-10-09	VYDAJ	PREVOD NA UCET	3285	16554	SIPO	KL	36175376
500185	1704	1998-11-09	VYDAJ	PREVOD NA UCET	3285	17748	SIPO	KL	36175376
500186	1704	1998-12-09	VYDAJ	PREVOD NA UCET	3285	18895	SIPO	KL	36175376
500189	1704	1997-06-19	VYDAJ	VYBER	2950	17641	\N	\N	\N
500190	1704	1998-06-16	VYDAJ	VYBER	4750	14009	\N	\N	\N
500193	1704	1997-01-07	VYDAJ	VYBER	1950	23221	\N	\N	\N
500194	1704	1998-01-10	VYDAJ	VYBER	1950	20241	\N	\N	\N
500196	1704	1996-12-26	VYDAJ	VYBER	1250	18184	\N	\N	\N
500197	1704	1997-12-14	VYDAJ	VYBER	650	18493	\N	\N	\N
500198	1704	1998-12-06	VYDAJ	VYBER	350	22180	\N	\N	\N
500202	1704	1996-03-18	VYDAJ	VYBER	3920	21460	\N	\N	\N
500203	1704	1996-04-25	VYDAJ	VYBER	3600	17460	\N	\N	\N
500204	1704	1996-06-05	VYDAJ	VYBER	2400	16037	\N	\N	\N
500205	1704	1996-03-14	VYDAJ	VYBER	2080	25380	\N	\N	\N
500206	1704	1996-04-03	VYDAJ	VYBER	1920	18822	\N	\N	\N
500207	1704	1996-11-20	VYDAJ	VYBER	1520	16814	\N	\N	\N
500208	1704	1996-12-14	VYDAJ	VYBER	480	20034	\N	\N	\N
500210	1704	1997-06-24	VYDAJ	VYBER	1360	16281	\N	\N	\N
500211	1704	1997-08-23	VYDAJ	VYBER	1840	15423	\N	\N	\N
500212	1704	1997-09-09	VYDAJ	VYBER	1440	17675	\N	\N	\N
500214	1704	1997-07-24	VYDAJ	VYBER	3520	15367	\N	\N	\N
500215	1704	1998-04-24	VYDAJ	VYBER	1760	23598	\N	\N	\N
500216	1704	1998-06-07	VYDAJ	VYBER	1280	28044	\N	\N	\N
500232	1704	1996-02-29	VYDAJ	VYBER	15	23822	SLUZBY	\N	\N
500233	1704	1996-03-31	VYDAJ	VYBER	15	20742	SLUZBY	\N	\N
500234	1704	1996-04-30	VYDAJ	VYBER	15	17534	SLUZBY	\N	\N
500235	1704	1996-05-31	VYDAJ	VYBER	15	18437	SLUZBY	\N	\N
500236	1704	1996-06-30	VYDAJ	VYBER	15	14433	SLUZBY	\N	\N
500237	1704	1996-07-31	VYDAJ	VYBER	15	15724	SLUZBY	\N	\N
500238	1704	1996-08-31	VYDAJ	VYBER	15	14313	SLUZBY	\N	\N
500239	1704	1996-09-30	VYDAJ	VYBER	15	14601	SLUZBY	\N	\N
500240	1704	1996-10-31	VYDAJ	VYBER	15	18296	SLUZBY	\N	\N
500241	1704	1996-11-30	VYDAJ	VYBER	15	16876	SLUZBY	\N	\N
500242	1704	1996-12-31	VYDAJ	VYBER	15	18248	SLUZBY	\N	\N
500243	1704	1997-01-31	VYDAJ	VYBER	15	20004	SLUZBY	\N	\N
500244	1704	1997-02-28	VYDAJ	VYBER	15	21516	SLUZBY	\N	\N
500245	1704	1997-03-31	VYDAJ	VYBER	15	19126	SLUZBY	\N	\N
500246	1704	1997-04-30	VYDAJ	VYBER	15	21838	SLUZBY	\N	\N
500247	1704	1997-05-31	VYDAJ	VYBER	15	21353	SLUZBY	\N	\N
500248	1704	1997-06-30	VYDAJ	VYBER	15	16349	SLUZBY	\N	\N
500249	1704	1997-07-31	VYDAJ	VYBER	15	15425	SLUZBY	\N	\N
500250	1704	1997-08-31	VYDAJ	VYBER	15	15477	SLUZBY	\N	\N
500251	1704	1997-09-30	VYDAJ	VYBER	15	16729	SLUZBY	\N	\N
500252	1704	1997-10-31	VYDAJ	VYBER	15	14717	SLUZBY	\N	\N
500253	1704	1997-11-30	VYDAJ	VYBER	15	15905	SLUZBY	\N	\N
500254	1704	1997-12-31	VYDAJ	VYBER	15	18553	SLUZBY	\N	\N
500255	1704	1998-01-31	VYDAJ	VYBER	15	20308	SLUZBY	\N	\N
500256	1704	1998-02-28	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
500257	1704	1998-03-31	VYDAJ	VYBER	15	21920	SLUZBY	\N	\N
500258	1704	1998-04-30	VYDAJ	VYBER	15	23683	SLUZBY	\N	\N
500259	1704	1998-05-31	VYDAJ	VYBER	15	22401	SLUZBY	\N	\N
500260	1704	1998-06-30	VYDAJ	VYBER	15	14066	SLUZBY	\N	\N
500261	1704	1998-07-31	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
500262	1704	1998-08-31	VYDAJ	VYBER	15	12530	SLUZBY	\N	\N
500263	1704	1998-09-30	VYDAJ	VYBER	15	16216	SLUZBY	\N	\N
500264	1704	1998-10-31	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
500265	1704	1998-11-30	VYDAJ	VYBER	15	17807	SLUZBY	\N	\N
500266	1704	1995-12-21	VYDAJ	VYBER	2200	18869	\N	\N	\N
500267	1704	1996-01-20	VYDAJ	VYBER	4900	20920	\N	\N	\N
500268	1704	1996-02-19	VYDAJ	VYBER	900	23740	\N	\N	\N
500269	1704	1996-03-20	VYDAJ	VYBER	800	20660	\N	\N	\N
500270	1704	1996-04-19	VYDAJ	VYBER	1400	21060	\N	\N	\N
500271	1704	1996-05-19	VYDAJ	VYBER	2800	18372	\N	\N	\N
500272	1704	1996-06-18	VYDAJ	VYBER	5300	14375	\N	\N	\N
500273	1704	1996-07-18	VYDAJ	VYBER	2400	15671	\N	\N	\N
500274	1704	1996-08-17	VYDAJ	VYBER	5100	14262	\N	\N	\N
500275	1704	1996-09-16	VYDAJ	VYBER	3400	14551	\N	\N	\N
500276	1704	1996-11-15	VYDAJ	VYBER	3600	18334	\N	\N	\N
500277	1704	1996-12-15	VYDAJ	VYBER	600	19434	\N	\N	\N
500278	1704	1997-02-13	VYDAJ	VYBER	2200	21442	\N	\N	\N
500279	1704	1997-03-15	VYDAJ	VYBER	6100	19054	\N	\N	\N
500280	1704	1997-04-14	VYDAJ	VYBER	1000	21764	\N	\N	\N
500281	1704	1997-05-14	VYDAJ	VYBER	4200	21276	\N	\N	\N
500282	1704	1997-06-13	VYDAJ	VYBER	4400	20591	\N	\N	\N
500283	1704	1997-07-13	VYDAJ	VYBER	1100	18887	\N	\N	\N
500284	1704	1997-08-12	VYDAJ	VYBER	1800	17263	\N	\N	\N
500285	1704	1997-09-11	VYDAJ	VYBER	1000	16675	\N	\N	\N
500286	1704	1997-10-11	VYDAJ	VYBER	5700	14667	\N	\N	\N
500287	1704	1997-11-10	VYDAJ	VYBER	2500	15855	\N	\N	\N
500288	1704	1997-12-10	VYDAJ	VYBER	400	19143	\N	\N	\N
500289	1704	1998-02-08	VYDAJ	VYBER	5800	21431	\N	\N	\N
500290	1704	1998-04-09	VYDAJ	VYBER	200	25358	\N	\N	\N
500291	1704	1998-05-09	VYDAJ	VYBER	5000	25606	\N	\N	\N
500292	1704	1998-06-08	VYDAJ	VYBER	6000	22044	\N	\N	\N
500293	1704	1998-07-08	VYDAJ	VYBER	2600	18389	\N	\N	\N
500294	1704	1998-08-07	VYDAJ	VYBER	6300	15775	\N	\N	\N
500295	1704	1998-10-06	VYDAJ	VYBER	3300	19839	\N	\N	\N
500296	1704	1998-11-05	VYDAJ	VYBER	2500	14110	\N	\N	\N
500297	1704	1998-12-05	VYDAJ	VYBER	2200	15607	\N	\N	\N
500335	1705	1993-09-15	PRIJEM	VKLAD	400	400	\N	\N	\N
500345	1705	1993-10-08	PRIJEM	VKLAD	15037	15437	\N	\N	\N
500346	1705	1993-11-08	PRIJEM	VKLAD	15037	35621	\N	\N	\N
500347	1705	1993-12-08	PRIJEM	VKLAD	22556	52785	\N	\N	\N
500348	1705	1994-01-08	PRIJEM	VKLAD	15037	52464	\N	\N	\N
500349	1705	1994-02-08	PRIJEM	VKLAD	15037	51454	\N	\N	\N
500350	1705	1994-03-08	PRIJEM	VKLAD	15037	48719	\N	\N	\N
500351	1705	1994-04-08	PRIJEM	VKLAD	15037	47544	\N	\N	\N
500352	1705	1994-05-08	PRIJEM	VKLAD	15037	50909	\N	\N	\N
500353	1705	1994-06-08	PRIJEM	VKLAD	22556	57361	\N	\N	\N
500354	1705	1994-07-08	PRIJEM	VKLAD	15037	33818	\N	\N	\N
500355	1705	1994-08-08	PRIJEM	VKLAD	15037	43442	\N	\N	\N
500356	1705	1994-09-08	PRIJEM	VKLAD	15037	43983	\N	\N	\N
500357	1705	1994-10-08	PRIJEM	VKLAD	15037	43524	\N	\N	\N
500358	1705	1994-11-08	PRIJEM	VKLAD	15037	45871	\N	\N	\N
500359	1705	1994-12-08	PRIJEM	VKLAD	22556	50431	\N	\N	\N
500360	1705	1995-01-08	PRIJEM	VKLAD	15037	40340	\N	\N	\N
500361	1705	1995-02-08	PRIJEM	VKLAD	15037	42080	\N	\N	\N
500362	1705	1995-03-08	PRIJEM	VKLAD	15037	51747	\N	\N	\N
500363	1705	1995-04-08	PRIJEM	VKLAD	15037	48813	\N	\N	\N
500364	1705	1995-05-08	PRIJEM	VKLAD	15037	42565	\N	\N	\N
500365	1705	1995-06-08	PRIJEM	VKLAD	22556	43173	\N	\N	\N
500366	1705	1995-07-08	PRIJEM	VKLAD	15037	44337	\N	\N	\N
500367	1705	1995-08-08	PRIJEM	VKLAD	15037	43248	\N	\N	\N
500368	1705	1995-09-08	PRIJEM	VKLAD	15037	42424	\N	\N	\N
500369	1705	1995-10-08	PRIJEM	VKLAD	15037	42402	\N	\N	\N
500370	1705	1995-11-08	PRIJEM	VKLAD	15037	42579	\N	\N	\N
500371	1705	1995-12-08	PRIJEM	VKLAD	22556	53275	\N	\N	\N
500372	1705	1996-01-08	PRIJEM	VKLAD	15037	49822	\N	\N	\N
500373	1705	1996-02-08	PRIJEM	VKLAD	15037	43863	\N	\N	\N
500374	1705	1996-03-08	PRIJEM	VKLAD	15037	40848	\N	\N	\N
500375	1705	1996-04-08	PRIJEM	VKLAD	15037	38621	\N	\N	\N
500376	1705	1996-05-08	PRIJEM	VKLAD	15037	37784	\N	\N	\N
500377	1705	1996-06-08	PRIJEM	VKLAD	22556	46860	\N	\N	\N
500378	1705	1996-07-08	PRIJEM	VKLAD	15037	39586	\N	\N	\N
500379	1705	1996-08-08	PRIJEM	VKLAD	15037	37855	\N	\N	\N
500380	1705	1996-09-08	PRIJEM	VKLAD	15037	37209	\N	\N	\N
500381	1705	1996-10-08	PRIJEM	VKLAD	15037	40544	\N	\N	\N
500382	1705	1996-11-08	PRIJEM	VKLAD	15037	41491	\N	\N	\N
500383	1705	1996-12-08	PRIJEM	VKLAD	22556	49360	\N	\N	\N
500384	1705	1997-01-08	PRIJEM	VKLAD	15037	40227	\N	\N	\N
500385	1705	1997-02-08	PRIJEM	VKLAD	15037	40970	\N	\N	\N
500386	1705	1997-03-08	PRIJEM	VKLAD	15037	39416	\N	\N	\N
500387	1705	1997-04-08	PRIJEM	VKLAD	15037	35670	\N	\N	\N
500388	1705	1997-05-08	PRIJEM	VKLAD	15037	37035	\N	\N	\N
500389	1705	1997-06-08	PRIJEM	VKLAD	22556	44683	\N	\N	\N
500390	1705	1997-07-08	PRIJEM	VKLAD	15037	30985	\N	\N	\N
500391	1705	1997-08-08	PRIJEM	VKLAD	15037	31499	\N	\N	\N
500392	1705	1997-09-08	PRIJEM	VKLAD	15037	32203	\N	\N	\N
500393	1705	1997-10-08	PRIJEM	VKLAD	15037	29206	\N	\N	\N
500394	1705	1997-11-08	PRIJEM	VKLAD	15037	35081	\N	\N	\N
500395	1705	1997-12-08	PRIJEM	VKLAD	22556	52226	\N	\N	\N
500396	1705	1998-01-08	PRIJEM	VKLAD	15037	32253	\N	\N	\N
500397	1705	1998-02-08	PRIJEM	VKLAD	15037	41868	\N	\N	\N
500398	1705	1998-03-08	PRIJEM	VKLAD	15037	51521	\N	\N	\N
500399	1705	1998-04-08	PRIJEM	VKLAD	15037	61216	\N	\N	\N
500400	1705	1998-05-08	PRIJEM	VKLAD	15037	36108	\N	\N	\N
500401	1705	1998-06-08	PRIJEM	VKLAD	22556	53257	\N	\N	\N
500402	1705	1998-07-08	PRIJEM	VKLAD	15037	55579	\N	\N	\N
500403	1705	1998-08-08	PRIJEM	VKLAD	15037	65290	\N	\N	\N
500404	1705	1998-09-08	PRIJEM	VKLAD	15037	63140	\N	\N	\N
500405	1705	1998-10-08	PRIJEM	VKLAD	15037	37824	\N	\N	\N
500406	1705	1998-11-08	PRIJEM	VKLAD	15037	44940	\N	\N	\N
500407	1705	1998-12-08	PRIJEM	VKLAD	22556	59414	\N	\N	\N
500421	1705	1994-02-12	VYDAJ	PREVOD NA UCET	5502	45952	SIPO	KL	33791291
500422	1705	1994-03-12	VYDAJ	PREVOD NA UCET	5502	39377	SIPO	KL	33791291
500423	1705	1994-04-12	VYDAJ	PREVOD NA UCET	5502	42042	SIPO	KL	33791291
500424	1705	1994-05-12	VYDAJ	PREVOD NA UCET	5502	45407	SIPO	KL	33791291
500425	1705	1994-06-12	VYDAJ	PREVOD NA UCET	5502	18699	SIPO	KL	33791291
500426	1705	1994-07-12	VYDAJ	PREVOD NA UCET	5502	28316	SIPO	KL	33791291
500427	1705	1994-08-12	VYDAJ	PREVOD NA UCET	5502	28840	SIPO	KL	33791291
500428	1705	1994-09-12	VYDAJ	PREVOD NA UCET	5502	28381	SIPO	KL	33791291
500429	1705	1994-10-12	VYDAJ	PREVOD NA UCET	5502	30722	SIPO	KL	33791291
500430	1705	1994-11-12	VYDAJ	PREVOD NA UCET	5502	27769	SIPO	KL	33791291
500431	1705	1994-12-12	VYDAJ	PREVOD NA UCET	5502	33229	SIPO	KL	33791291
500432	1705	1995-01-12	VYDAJ	PREVOD NA UCET	5502	27338	SIPO	KL	33791291
500433	1705	1995-02-12	VYDAJ	PREVOD NA UCET	5502	36578	SIPO	KL	33791291
500434	1705	1995-03-12	VYDAJ	PREVOD NA UCET	5502	33645	SIPO	KL	33791291
500435	1705	1995-04-12	VYDAJ	PREVOD NA UCET	5502	27411	SIPO	KL	33791291
500436	1705	1995-05-12	VYDAJ	PREVOD NA UCET	5502	26463	SIPO	KL	33791291
500437	1705	1995-06-12	VYDAJ	PREVOD NA UCET	5502	37671	SIPO	KL	33791291
500438	1705	1995-07-12	VYDAJ	PREVOD NA UCET	5502	38835	SIPO	KL	33791291
500439	1705	1995-08-12	VYDAJ	PREVOD NA UCET	5502	37746	SIPO	KL	33791291
500440	1705	1995-09-12	VYDAJ	PREVOD NA UCET	5502	36922	SIPO	KL	33791291
500441	1705	1995-10-12	VYDAJ	PREVOD NA UCET	5502	36900	SIPO	KL	33791291
500442	1705	1995-11-12	VYDAJ	PREVOD NA UCET	5502	37077	SIPO	KL	33791291
500443	1705	1995-12-12	VYDAJ	PREVOD NA UCET	5502	47773	SIPO	KL	33791291
500444	1705	1996-01-12	VYDAJ	PREVOD NA UCET	5502	44320	SIPO	KL	33791291
500445	1705	1996-02-12	VYDAJ	PREVOD NA UCET	5502	38361	SIPO	KL	33791291
500446	1705	1996-03-12	VYDAJ	PREVOD NA UCET	5502	35346	SIPO	KL	33791291
500447	1705	1996-04-12	VYDAJ	PREVOD NA UCET	5502	33119	SIPO	KL	33791291
500448	1705	1996-05-12	VYDAJ	PREVOD NA UCET	5502	32282	SIPO	KL	33791291
500449	1705	1996-06-12	VYDAJ	PREVOD NA UCET	5502	41358	SIPO	KL	33791291
500450	1705	1996-07-12	VYDAJ	PREVOD NA UCET	5502	34084	SIPO	KL	33791291
500451	1705	1996-08-12	VYDAJ	PREVOD NA UCET	5502	32353	SIPO	KL	33791291
500452	1705	1996-09-12	VYDAJ	PREVOD NA UCET	5502	31707	SIPO	KL	33791291
500453	1705	1996-10-12	VYDAJ	PREVOD NA UCET	5502	35042	SIPO	KL	33791291
500454	1705	1996-11-12	VYDAJ	PREVOD NA UCET	5502	35989	SIPO	KL	33791291
500455	1705	1996-12-12	VYDAJ	PREVOD NA UCET	5502	43858	SIPO	KL	33791291
500456	1705	1997-01-12	VYDAJ	PREVOD NA UCET	5502	34725	SIPO	KL	33791291
500457	1705	1997-02-12	VYDAJ	PREVOD NA UCET	5502	35468	SIPO	KL	33791291
500458	1705	1997-03-12	VYDAJ	PREVOD NA UCET	5502	33914	SIPO	KL	33791291
500459	1705	1997-04-12	VYDAJ	PREVOD NA UCET	5502	30168	SIPO	KL	33791291
500460	1705	1997-05-12	VYDAJ	PREVOD NA UCET	5502	31533	SIPO	KL	33791291
500461	1705	1997-06-12	VYDAJ	PREVOD NA UCET	5502	39181	SIPO	KL	33791291
500462	1705	1997-07-12	VYDAJ	PREVOD NA UCET	5502	25483	SIPO	KL	33791291
500463	1705	1997-08-12	VYDAJ	PREVOD NA UCET	5502	25997	SIPO	KL	33791291
500464	1705	1997-09-12	VYDAJ	PREVOD NA UCET	5502	26701	SIPO	KL	33791291
500465	1705	1997-10-12	VYDAJ	PREVOD NA UCET	5502	23704	SIPO	KL	33791291
500466	1705	1997-11-12	VYDAJ	PREVOD NA UCET	5502	29579	SIPO	KL	33791291
500467	1705	1997-12-12	VYDAJ	PREVOD NA UCET	5502	46724	SIPO	KL	33791291
500468	1705	1998-01-12	VYDAJ	PREVOD NA UCET	5502	26751	SIPO	KL	33791291
500469	1705	1998-02-12	VYDAJ	PREVOD NA UCET	5502	36366	SIPO	KL	33791291
500470	1705	1998-03-12	VYDAJ	PREVOD NA UCET	5502	46019	SIPO	KL	33791291
500471	1705	1998-04-12	VYDAJ	PREVOD NA UCET	5502	55714	SIPO	KL	33791291
500472	1705	1998-05-12	VYDAJ	PREVOD NA UCET	5502	30606	SIPO	KL	33791291
500473	1705	1998-06-12	VYDAJ	PREVOD NA UCET	5502	47755	SIPO	KL	33791291
500474	1705	1998-07-12	VYDAJ	PREVOD NA UCET	5502	50077	SIPO	KL	33791291
500475	1705	1998-08-12	VYDAJ	PREVOD NA UCET	5502	59788	SIPO	KL	33791291
500476	1705	1998-09-12	VYDAJ	PREVOD NA UCET	5502	57638	SIPO	KL	33791291
500477	1705	1998-10-12	VYDAJ	PREVOD NA UCET	5502	32322	SIPO	KL	33791291
500478	1705	1998-11-12	VYDAJ	PREVOD NA UCET	5502	39438	SIPO	KL	33791291
500479	1705	1998-12-12	VYDAJ	PREVOD NA UCET	5502	53912	SIPO	KL	33791291
500481	1705	1994-06-10	VYDAJ	VYBER	42560	14801	\N	\N	\N
500485	1705	1998-06-23	VYDAJ	VYBER	7360	40395	\N	\N	\N
500487	1705	1994-12-17	VYDAJ	VYBER	2880	30349	\N	\N	\N
500488	1705	1995-12-20	VYDAJ	VYBER	2560	45213	\N	\N	\N
500489	1705	1996-12-30	VYDAJ	VYBER	1600	25058	\N	\N	\N
500490	1705	1997-12-15	VYDAJ	VYBER	4320	42404	\N	\N	\N
500491	1705	1998-12-04	VYDAJ	VYBER	2720	36859	\N	\N	\N
500495	1705	1994-03-08	VYDAJ	VYBER	3840	44879	\N	\N	\N
500496	1705	1994-05-27	VYDAJ	VYBER	2640	34667	\N	\N	\N
500497	1705	1995-01-07	VYDAJ	VYBER	5160	25303	\N	\N	\N
500498	1705	1995-07-16	VYDAJ	VYBER	5760	33075	\N	\N	\N
500499	1705	1995-05-16	VYDAJ	VYBER	5040	21423	\N	\N	\N
500500	1705	1996-01-14	VYDAJ	VYBER	2400	41920	\N	\N	\N
500501	1705	1996-07-07	VYDAJ	VYBER	3960	24549	\N	\N	\N
500502	1705	1996-08-29	VYDAJ	VYBER	600	31753	\N	\N	\N
500503	1705	1996-01-24	VYDAJ	VYBER	1560	40360	\N	\N	\N
500504	1705	1997-07-03	VYDAJ	VYBER	3840	15948	\N	\N	\N
500506	1705	1997-03-19	VYDAJ	VYBER	4080	29834	\N	\N	\N
500507	1705	1997-10-18	VYDAJ	VYBER	3720	19984	\N	\N	\N
500508	1705	1997-04-28	VYDAJ	VYBER	1560	21908	\N	\N	\N
500509	1705	1998-08-16	VYDAJ	VYBER	4080	55708	\N	\N	\N
500510	1705	1998-08-19	VYDAJ	VYBER	2280	53428	\N	\N	\N
500511	1705	1998-08-20	VYDAJ	VYBER	5520	47908	\N	\N	\N
500512	1705	1998-10-21	VYDAJ	VYBER	1080	31242	\N	\N	\N
500513	1705	1998-11-03	VYDAJ	VYBER	1440	29903	\N	\N	\N
500528	1705	1994-02-28	VYDAJ	VYBER	15	33682	SLUZBY	\N	\N
500529	1705	1994-03-31	VYDAJ	VYBER	15	32507	SLUZBY	\N	\N
500530	1705	1994-04-30	VYDAJ	VYBER	15	35872	SLUZBY	\N	\N
500531	1705	1994-05-31	VYDAJ	VYBER	15	34805	SLUZBY	\N	\N
500532	1705	1994-06-30	VYDAJ	VYBER	15	18781	SLUZBY	\N	\N
500533	1705	1994-07-31	VYDAJ	VYBER	15	28405	SLUZBY	\N	\N
500534	1705	1994-08-31	VYDAJ	VYBER	15	28946	SLUZBY	\N	\N
500535	1705	1994-09-30	VYDAJ	VYBER	15	28487	SLUZBY	\N	\N
500536	1705	1994-10-31	VYDAJ	VYBER	15	30834	SLUZBY	\N	\N
500537	1705	1994-11-30	VYDAJ	VYBER	15	27876	SLUZBY	\N	\N
500538	1705	1994-12-31	VYDAJ	VYBER	15	30463	SLUZBY	\N	\N
500539	1705	1995-01-31	VYDAJ	VYBER	15	27443	SLUZBY	\N	\N
500540	1705	1995-02-28	VYDAJ	VYBER	15	36710	SLUZBY	\N	\N
500541	1705	1995-03-31	VYDAJ	VYBER	15	33776	SLUZBY	\N	\N
500542	1705	1995-04-30	VYDAJ	VYBER	15	27528	SLUZBY	\N	\N
500543	1705	1995-05-31	VYDAJ	VYBER	15	21517	SLUZBY	\N	\N
500544	1705	1995-06-30	VYDAJ	VYBER	15	37800	SLUZBY	\N	\N
500545	1705	1995-07-31	VYDAJ	VYBER	15	33211	SLUZBY	\N	\N
500546	1705	1995-08-31	VYDAJ	VYBER	15	37887	SLUZBY	\N	\N
500547	1705	1995-09-30	VYDAJ	VYBER	15	37065	SLUZBY	\N	\N
500548	1705	1995-10-31	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
500549	1705	1995-11-30	VYDAJ	VYBER	15	37219	SLUZBY	\N	\N
500550	1705	1995-12-31	VYDAJ	VYBER	15	45385	SLUZBY	\N	\N
500551	1705	1996-01-31	VYDAJ	VYBER	15	40526	SLUZBY	\N	\N
500552	1705	1996-02-29	VYDAJ	VYBER	15	38511	SLUZBY	\N	\N
500553	1705	1996-03-31	VYDAJ	VYBER	15	35484	SLUZBY	\N	\N
500554	1705	1996-04-30	VYDAJ	VYBER	15	33247	SLUZBY	\N	\N
500555	1705	1996-05-31	VYDAJ	VYBER	15	32404	SLUZBY	\N	\N
500556	1705	1996-06-30	VYDAJ	VYBER	15	41509	SLUZBY	\N	\N
500557	1705	1996-07-31	VYDAJ	VYBER	15	34218	SLUZBY	\N	\N
500558	1705	1996-08-31	VYDAJ	VYBER	15	22172	SLUZBY	\N	\N
500559	1705	1996-09-30	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
500560	1705	1996-10-31	VYDAJ	VYBER	15	26454	SLUZBY	\N	\N
500561	1705	1996-11-30	VYDAJ	VYBER	15	26805	SLUZBY	\N	\N
500562	1705	1996-12-31	VYDAJ	VYBER	15	25190	SLUZBY	\N	\N
500563	1705	1997-01-31	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
500564	1705	1997-02-28	VYDAJ	VYBER	15	24379	SLUZBY	\N	\N
500565	1705	1997-03-31	VYDAJ	VYBER	15	20633	SLUZBY	\N	\N
500566	1705	1997-04-30	VYDAJ	VYBER	15	21998	SLUZBY	\N	\N
500567	1705	1997-05-31	VYDAJ	VYBER	15	22127	SLUZBY	\N	\N
500568	1705	1997-06-30	VYDAJ	VYBER	15	19788	SLUZBY	\N	\N
500569	1705	1997-07-31	VYDAJ	VYBER	15	16462	SLUZBY	\N	\N
500570	1705	1997-08-31	VYDAJ	VYBER	15	17166	SLUZBY	\N	\N
500571	1705	1997-09-30	VYDAJ	VYBER	15	14169	SLUZBY	\N	\N
500572	1705	1997-10-31	VYDAJ	VYBER	15	20044	SLUZBY	\N	\N
500573	1705	1997-11-30	VYDAJ	VYBER	15	29671	SLUZBY	\N	\N
500574	1705	1997-12-31	VYDAJ	VYBER	15	17216	SLUZBY	\N	\N
500575	1705	1998-01-31	VYDAJ	VYBER	15	26831	SLUZBY	\N	\N
500576	1705	1998-02-28	VYDAJ	VYBER	15	36484	SLUZBY	\N	\N
500577	1705	1998-03-31	VYDAJ	VYBER	15	46179	SLUZBY	\N	\N
500578	1705	1998-04-30	VYDAJ	VYBER	15	21071	SLUZBY	\N	\N
500579	1705	1998-05-31	VYDAJ	VYBER	15	30701	SLUZBY	\N	\N
500580	1705	1998-06-30	VYDAJ	VYBER	15	40542	SLUZBY	\N	\N
500581	1705	1998-07-31	VYDAJ	VYBER	15	50253	SLUZBY	\N	\N
500582	1705	1998-08-31	VYDAJ	VYBER	15	48103	SLUZBY	\N	\N
500583	1705	1998-09-30	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
500584	1705	1998-10-31	VYDAJ	VYBER	15	31343	SLUZBY	\N	\N
500585	1705	1998-11-30	VYDAJ	VYBER	15	39579	SLUZBY	\N	\N
500586	1705	1993-10-15	PRIJEM	VKLAD	5100	20537	\N	\N	\N
500587	1705	1993-11-14	VYDAJ	VYBER	5500	30121	\N	\N	\N
500588	1705	1993-12-14	VYDAJ	VYBER	15500	37285	\N	\N	\N
500589	1705	1994-01-13	VYDAJ	VYBER	16200	36264	\N	\N	\N
500590	1705	1994-02-12	VYDAJ	VYBER	12400	33552	\N	\N	\N
500591	1705	1994-03-14	VYDAJ	VYBER	7000	32377	\N	\N	\N
500592	1705	1994-04-13	VYDAJ	VYBER	6300	35742	\N	\N	\N
500593	1705	1994-05-13	VYDAJ	VYBER	8100	37307	\N	\N	\N
500594	1705	1994-06-12	PRIJEM	VKLAD	9400	24201	\N	\N	\N
500595	1705	1994-08-11	VYDAJ	VYBER	9100	34342	\N	\N	\N
500596	1705	1994-09-10	VYDAJ	VYBER	10100	33883	\N	\N	\N
500597	1705	1994-10-10	VYDAJ	VYBER	7300	36224	\N	\N	\N
500598	1705	1994-11-09	VYDAJ	VYBER	12600	33271	\N	\N	\N
500599	1705	1994-12-09	VYDAJ	VYBER	11700	38731	\N	\N	\N
500600	1705	1995-01-08	VYDAJ	VYBER	7500	32840	\N	\N	\N
500601	1705	1995-02-07	VYDAJ	VYBER	400	27043	\N	\N	\N
500602	1705	1995-03-09	VYDAJ	VYBER	12600	39147	\N	\N	\N
500603	1705	1995-04-08	VYDAJ	VYBER	15900	32913	\N	\N	\N
500604	1705	1995-05-08	VYDAJ	VYBER	10600	31965	\N	\N	\N
500605	1705	1995-06-07	VYDAJ	VYBER	900	20617	\N	\N	\N
500606	1705	1995-07-07	VYDAJ	VYBER	8500	29300	\N	\N	\N
500607	1705	1995-08-06	VYDAJ	VYBER	5000	28211	\N	\N	\N
500608	1705	1995-09-05	VYDAJ	VYBER	10500	27387	\N	\N	\N
500609	1705	1995-10-05	VYDAJ	VYBER	9700	27365	\N	\N	\N
500610	1705	1995-11-04	VYDAJ	VYBER	9500	27542	\N	\N	\N
500611	1705	1995-12-04	VYDAJ	VYBER	6500	30719	\N	\N	\N
500612	1705	1996-01-03	VYDAJ	VYBER	10600	34785	\N	\N	\N
500613	1705	1996-02-02	VYDAJ	VYBER	11700	28826	\N	\N	\N
500614	1705	1996-03-03	VYDAJ	VYBER	12700	25811	\N	\N	\N
500615	1705	1996-04-02	VYDAJ	VYBER	11900	23584	\N	\N	\N
500616	1705	1996-05-02	VYDAJ	VYBER	10500	22747	\N	\N	\N
500617	1705	1996-06-01	VYDAJ	VYBER	8100	24304	\N	\N	\N
500618	1705	1996-07-01	VYDAJ	VYBER	13000	28509	\N	\N	\N
500619	1705	1996-07-31	VYDAJ	VYBER	11400	22818	\N	\N	\N
500620	1705	1996-08-30	VYDAJ	VYBER	9700	22053	\N	\N	\N
500621	1705	1996-09-29	VYDAJ	VYBER	6300	25407	\N	\N	\N
500622	1705	1996-10-29	VYDAJ	VYBER	8700	26342	\N	\N	\N
500623	1705	1996-11-28	VYDAJ	VYBER	9300	26689	\N	\N	\N
500624	1705	1996-12-28	VYDAJ	VYBER	17200	26658	\N	\N	\N
500625	1705	1997-01-27	VYDAJ	VYBER	8900	25825	\N	\N	\N
500626	1705	1997-02-26	VYDAJ	VYBER	11200	24268	\N	\N	\N
500627	1705	1997-03-28	VYDAJ	VYBER	9300	20534	\N	\N	\N
500628	1705	1997-04-27	VYDAJ	VYBER	6700	23468	\N	\N	\N
500629	1705	1997-05-27	VYDAJ	VYBER	9500	22033	\N	\N	\N
500630	1705	1997-06-26	VYDAJ	VYBER	19500	19681	\N	\N	\N
500631	1705	1997-07-26	VYDAJ	VYBER	9100	16383	\N	\N	\N
500632	1705	1997-08-25	VYDAJ	VYBER	8900	17097	\N	\N	\N
500633	1705	1997-09-24	VYDAJ	VYBER	12600	14101	\N	\N	\N
500634	1705	1997-12-23	VYDAJ	VYBER	25300	17104	\N	\N	\N
500635	1705	1998-04-22	VYDAJ	VYBER	34800	20914	\N	\N	\N
500636	1705	1998-09-19	VYDAJ	VYBER	35000	22638	\N	\N	\N
500700	1706	1995-01-05	PRIJEM	VKLAD	700	700	\N	\N	\N
500701	1706	1995-01-12	PRIJEM	PREVOD Z UCTU	3087	3787	\N	YZ	21461117
500702	1706	1995-02-12	PRIJEM	PREVOD Z UCTU	3087	17384	\N	YZ	21461117
500703	1706	1995-03-12	PRIJEM	PREVOD Z UCTU	3087	21721	\N	YZ	21461117
500704	1706	1995-04-12	PRIJEM	PREVOD Z UCTU	3087	27692	\N	YZ	21461117
500705	1706	1995-05-12	PRIJEM	PREVOD Z UCTU	3087	30586	\N	YZ	21461117
500706	1706	1995-06-12	PRIJEM	PREVOD Z UCTU	3087	22323	\N	YZ	21461117
500707	1706	1995-07-12	PRIJEM	PREVOD Z UCTU	3087	25725	\N	YZ	21461117
500708	1706	1995-08-12	PRIJEM	PREVOD Z UCTU	3087	24541	\N	YZ	21461117
500709	1706	1995-09-12	PRIJEM	PREVOD Z UCTU	3087	26058	\N	YZ	21461117
500710	1706	1995-10-12	PRIJEM	PREVOD Z UCTU	3087	29178	\N	YZ	21461117
500711	1706	1995-11-12	PRIJEM	PREVOD Z UCTU	3087	30610	\N	YZ	21461117
500712	1706	1995-12-12	PRIJEM	PREVOD Z UCTU	3087	29149	\N	YZ	21461117
500713	1706	1996-01-12	PRIJEM	PREVOD Z UCTU	3087	32325	\N	YZ	21461117
500714	1706	1996-02-12	PRIJEM	PREVOD Z UCTU	3087	35428	\N	YZ	21461117
500715	1706	1996-03-12	PRIJEM	PREVOD Z UCTU	3087	35229	\N	YZ	21461117
500716	1706	1996-04-12	PRIJEM	PREVOD Z UCTU	3087	35389	\N	YZ	21461117
500717	1706	1996-05-12	PRIJEM	PREVOD Z UCTU	3087	37119	\N	YZ	21461117
500718	1706	1996-06-12	PRIJEM	PREVOD Z UCTU	3087	34885	\N	YZ	21461117
500719	1706	1996-07-12	PRIJEM	PREVOD Z UCTU	3087	33111	\N	YZ	21461117
500720	1706	1996-08-12	PRIJEM	PREVOD Z UCTU	3087	34662	\N	YZ	21461117
500721	1706	1996-09-12	PRIJEM	PREVOD Z UCTU	3087	36800	\N	YZ	21461117
500722	1706	1996-10-12	PRIJEM	PREVOD Z UCTU	3087	39967	\N	YZ	21461117
500723	1706	1996-11-12	PRIJEM	PREVOD Z UCTU	3087	42948	\N	YZ	21461117
500724	1706	1996-12-12	PRIJEM	PREVOD Z UCTU	3087	42789	\N	YZ	21461117
500725	1706	1997-01-12	PRIJEM	PREVOD Z UCTU	3087	45274	\N	YZ	21461117
500726	1706	1997-02-12	PRIJEM	PREVOD Z UCTU	3087	45837	\N	YZ	21461117
500727	1706	1997-03-12	PRIJEM	PREVOD Z UCTU	3087	46040	\N	YZ	21461117
500728	1706	1997-04-12	PRIJEM	PREVOD Z UCTU	3087	51148	\N	YZ	21461117
500729	1706	1997-05-12	PRIJEM	PREVOD Z UCTU	3087	53474	\N	YZ	21461117
500730	1706	1997-06-12	PRIJEM	PREVOD Z UCTU	3087	49745	\N	YZ	21461117
500731	1706	1997-07-12	PRIJEM	PREVOD Z UCTU	3087	47888	\N	YZ	21461117
500732	1706	1997-08-12	PRIJEM	PREVOD Z UCTU	3087	52203	\N	YZ	21461117
500733	1706	1997-09-12	PRIJEM	PREVOD Z UCTU	3087	54064	\N	YZ	21461117
500734	1706	1997-10-12	PRIJEM	PREVOD Z UCTU	3087	56903	\N	YZ	21461117
500735	1706	1997-11-12	PRIJEM	PREVOD Z UCTU	3087	59414	\N	YZ	21461117
500736	1706	1997-12-12	PRIJEM	PREVOD Z UCTU	3087	62327	\N	YZ	21461117
500737	1706	1998-01-12	PRIJEM	PREVOD Z UCTU	3087	60920	\N	YZ	21461117
500738	1706	1998-02-12	PRIJEM	PREVOD Z UCTU	3087	56942	\N	YZ	21461117
500739	1706	1998-03-12	PRIJEM	PREVOD Z UCTU	3087	58232	\N	YZ	21461117
500740	1706	1998-04-12	PRIJEM	PREVOD Z UCTU	3087	59768	\N	YZ	21461117
500741	1706	1998-05-12	PRIJEM	PREVOD Z UCTU	3087	62331	\N	YZ	21461117
500742	1706	1998-06-12	PRIJEM	PREVOD Z UCTU	3087	61498	\N	YZ	21461117
500743	1706	1998-07-12	PRIJEM	PREVOD Z UCTU	3087	54205	\N	YZ	21461117
500744	1706	1998-08-12	PRIJEM	PREVOD Z UCTU	3087	55642	\N	YZ	21461117
500745	1706	1998-09-12	PRIJEM	PREVOD Z UCTU	3087	53879	\N	YZ	21461117
500746	1706	1998-10-12	PRIJEM	PREVOD Z UCTU	3087	52208	\N	YZ	21461117
500747	1706	1998-11-12	PRIJEM	PREVOD Z UCTU	3087	53116	\N	YZ	21461117
500748	1706	1998-12-12	PRIJEM	PREVOD Z UCTU	3087	53708	\N	YZ	21461117
500754	1706	1995-06-10	VYDAJ	PREVOD NA UCET	2058	19236	SIPO	QR	67938715
500755	1706	1995-07-10	VYDAJ	PREVOD NA UCET	2058	22638	SIPO	QR	67938715
500756	1706	1995-08-10	VYDAJ	PREVOD NA UCET	2058	21454	SIPO	QR	67938715
500757	1706	1995-09-10	VYDAJ	PREVOD NA UCET	2058	22971	SIPO	QR	67938715
500758	1706	1995-10-10	VYDAJ	PREVOD NA UCET	2058	26091	SIPO	QR	67938715
500759	1706	1995-11-10	VYDAJ	PREVOD NA UCET	2058	27523	SIPO	QR	67938715
500760	1706	1995-12-10	VYDAJ	PREVOD NA UCET	2058	26062	SIPO	QR	67938715
500761	1706	1996-01-10	VYDAJ	PREVOD NA UCET	2058	29238	SIPO	QR	67938715
500762	1706	1996-02-10	VYDAJ	PREVOD NA UCET	2058	32341	SIPO	QR	67938715
500763	1706	1996-03-10	VYDAJ	PREVOD NA UCET	2058	32142	SIPO	QR	67938715
500764	1706	1996-04-10	VYDAJ	PREVOD NA UCET	2058	32302	SIPO	QR	67938715
500765	1706	1996-05-10	VYDAJ	PREVOD NA UCET	2058	34032	SIPO	QR	67938715
500766	1706	1996-06-10	VYDAJ	PREVOD NA UCET	2058	31798	SIPO	QR	67938715
500767	1706	1996-07-10	VYDAJ	PREVOD NA UCET	2058	30024	SIPO	QR	67938715
500768	1706	1996-08-10	VYDAJ	PREVOD NA UCET	2058	31575	SIPO	QR	67938715
500769	1706	1996-09-10	VYDAJ	PREVOD NA UCET	2058	33713	SIPO	QR	67938715
500770	1706	1996-10-10	VYDAJ	PREVOD NA UCET	2058	36880	SIPO	QR	67938715
500771	1706	1996-11-10	VYDAJ	PREVOD NA UCET	2058	39861	SIPO	QR	67938715
500772	1706	1996-12-10	VYDAJ	PREVOD NA UCET	2058	39702	SIPO	QR	67938715
500773	1706	1997-01-10	VYDAJ	PREVOD NA UCET	2058	42187	SIPO	QR	67938715
500774	1706	1997-02-10	VYDAJ	PREVOD NA UCET	2058	42750	SIPO	QR	67938715
500775	1706	1997-03-10	VYDAJ	PREVOD NA UCET	2058	42953	SIPO	QR	67938715
500776	1706	1997-04-10	VYDAJ	PREVOD NA UCET	2058	48061	SIPO	QR	67938715
500777	1706	1997-05-10	VYDAJ	PREVOD NA UCET	2058	50387	SIPO	QR	67938715
500778	1706	1997-06-10	VYDAJ	PREVOD NA UCET	2058	46658	SIPO	QR	67938715
500779	1706	1997-07-10	VYDAJ	PREVOD NA UCET	2058	44801	SIPO	QR	67938715
500780	1706	1997-08-10	VYDAJ	PREVOD NA UCET	2058	49116	SIPO	QR	67938715
500781	1706	1997-09-10	VYDAJ	PREVOD NA UCET	2058	50977	SIPO	QR	67938715
500782	1706	1997-10-10	VYDAJ	PREVOD NA UCET	2058	53816	SIPO	QR	67938715
500783	1706	1997-11-10	VYDAJ	PREVOD NA UCET	2058	56327	SIPO	QR	67938715
500784	1706	1997-12-10	VYDAJ	PREVOD NA UCET	2058	59240	SIPO	QR	67938715
500785	1706	1998-01-10	VYDAJ	PREVOD NA UCET	2058	57833	SIPO	QR	67938715
500786	1706	1998-02-10	VYDAJ	PREVOD NA UCET	2058	53855	SIPO	QR	67938715
500787	1706	1998-03-10	VYDAJ	PREVOD NA UCET	2058	56105	SIPO	QR	67938715
500788	1706	1998-04-10	VYDAJ	PREVOD NA UCET	2058	56681	SIPO	QR	67938715
500789	1706	1998-05-10	VYDAJ	PREVOD NA UCET	2058	59244	SIPO	QR	67938715
500790	1706	1998-06-10	VYDAJ	PREVOD NA UCET	2058	58411	SIPO	QR	67938715
500791	1706	1998-07-10	VYDAJ	PREVOD NA UCET	2058	51118	SIPO	QR	67938715
500792	1706	1998-08-10	VYDAJ	PREVOD NA UCET	2058	52555	SIPO	QR	67938715
500793	1706	1998-09-10	VYDAJ	PREVOD NA UCET	2058	50792	SIPO	QR	67938715
500794	1706	1998-10-10	VYDAJ	PREVOD NA UCET	2058	49121	SIPO	QR	67938715
500795	1706	1998-11-10	VYDAJ	PREVOD NA UCET	2058	50029	SIPO	QR	67938715
500796	1706	1998-12-10	VYDAJ	PREVOD NA UCET	2058	50861	SIPO	QR	67938715
500797	1706	1995-06-09	VYDAJ	VYBER	4170	21294	\N	\N	\N
500798	1706	1996-06-24	VYDAJ	VYBER	1890	32995	\N	\N	\N
500799	1706	1997-06-12	VYDAJ	VYBER	3360	46385	\N	\N	\N
500800	1706	1998-06-24	VYDAJ	VYBER	6450	52948	\N	\N	\N
500802	1706	1996-01-15	VYDAJ	VYBER	630	31035	\N	\N	\N
500803	1706	1997-01-02	VYDAJ	VYBER	1800	45355	\N	\N	\N
500804	1706	1998-01-05	VYDAJ	VYBER	2670	60701	\N	\N	\N
500805	1706	1995-12-14	VYDAJ	VYBER	270	28879	\N	\N	\N
500806	1706	1996-12-06	VYDAJ	VYBER	750	41760	\N	\N	\N
500807	1706	1997-12-05	VYDAJ	VYBER	750	61298	\N	\N	\N
500808	1706	1998-12-10	VYDAJ	VYBER	240	50621	\N	\N	\N
500815	1706	1996-01-17	VYDAJ	VYBER	390	30645	\N	\N	\N
500816	1706	1996-01-17	VYDAJ	VYBER	180	30465	\N	\N	\N
500817	1706	1996-01-05	VYDAJ	VYBER	480	31296	\N	\N	\N
500818	1706	1996-01-14	VYDAJ	VYBER	660	31665	\N	\N	\N
500819	1706	1996-01-27	VYDAJ	VYBER	390	29385	\N	\N	\N
500820	1706	1996-01-23	VYDAJ	VYBER	690	29775	\N	\N	\N
500821	1706	1997-01-22	VYDAJ	VYBER	480	44794	\N	\N	\N
500822	1706	1997-01-05	VYDAJ	VYBER	600	44755	\N	\N	\N
500823	1706	1997-01-24	VYDAJ	VYBER	420	46674	\N	\N	\N
500824	1706	1997-01-25	VYDAJ	VYBER	360	45834	\N	\N	\N
500825	1706	1997-01-08	VYDAJ	VYBER	510	44245	\N	\N	\N
500826	1706	1997-01-24	VYDAJ	VYBER	480	46194	\N	\N	\N
500827	1706	1998-01-21	VYDAJ	VYBER	540	57810	\N	\N	\N
500828	1706	1998-01-25	VYDAJ	VYBER	780	57030	\N	\N	\N
500829	1706	1998-01-10	VYDAJ	VYBER	810	59891	\N	\N	\N
500830	1706	1998-01-18	VYDAJ	VYBER	870	60050	\N	\N	\N
500831	1706	1998-01-28	VYDAJ	VYBER	540	55680	\N	\N	\N
500832	1706	1998-01-26	VYDAJ	VYBER	810	56220	\N	\N	\N
500834	1706	1995-06-18	VYDAJ	VYBER	1110	21213	\N	\N	\N
500835	1706	1995-05-26	VYDAJ	VYBER	930	29656	\N	\N	\N
500836	1706	1995-12-17	VYDAJ	VYBER	510	28369	\N	\N	\N
500837	1706	1995-08-31	VYDAJ	VYBER	900	23729	\N	\N	\N
500838	1706	1996-06-29	VYDAJ	VYBER	240	31955	\N	\N	\N
500839	1706	1996-09-10	VYDAJ	VYBER	720	35771	\N	\N	\N
500840	1706	1996-03-04	VYDAJ	VYBER	1260	34200	\N	\N	\N
500841	1706	1996-05-05	VYDAJ	VYBER	330	36090	\N	\N	\N
500842	1706	1997-06-01	VYDAJ	VYBER	1260	48716	\N	\N	\N
500843	1706	1997-08-25	VYDAJ	VYBER	270	52833	\N	\N	\N
500844	1706	1997-07-10	VYDAJ	VYBER	510	46859	\N	\N	\N
500845	1706	1997-02-06	VYDAJ	VYBER	1200	44808	\N	\N	\N
500846	1706	1997-10-27	VYDAJ	VYBER	540	58163	\N	\N	\N
500847	1706	1998-03-11	VYDAJ	VYBER	960	55145	\N	\N	\N
500848	1706	1998-03-21	VYDAJ	VYBER	1320	58512	\N	\N	\N
500849	1706	1998-10-31	VYDAJ	VYBER	420	52087	\N	\N	\N
500855	1706	1995-05-31	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
500856	1706	1995-06-30	VYDAJ	VYBER	15	21296	SLUZBY	\N	\N
500857	1706	1995-07-31	VYDAJ	VYBER	15	25812	SLUZBY	\N	\N
500858	1706	1995-08-31	VYDAJ	VYBER	15	24629	SLUZBY	\N	\N
500859	1706	1995-09-30	VYDAJ	VYBER	15	26149	SLUZBY	\N	\N
500860	1706	1995-10-31	VYDAJ	VYBER	15	29281	SLUZBY	\N	\N
500861	1706	1995-11-30	VYDAJ	VYBER	15	30720	SLUZBY	\N	\N
500862	1706	1995-12-31	VYDAJ	VYBER	15	31776	SLUZBY	\N	\N
500863	1706	1996-01-31	VYDAJ	VYBER	15	34399	SLUZBY	\N	\N
500864	1706	1996-02-29	VYDAJ	VYBER	15	35460	SLUZBY	\N	\N
500865	1706	1996-03-31	VYDAJ	VYBER	15	34360	SLUZBY	\N	\N
500866	1706	1996-04-30	VYDAJ	VYBER	15	36420	SLUZBY	\N	\N
500867	1706	1996-05-31	VYDAJ	VYBER	15	33856	SLUZBY	\N	\N
500868	1706	1996-06-30	VYDAJ	VYBER	15	32082	SLUZBY	\N	\N
500869	1706	1996-07-31	VYDAJ	VYBER	15	33633	SLUZBY	\N	\N
500870	1706	1996-08-31	VYDAJ	VYBER	15	36491	SLUZBY	\N	\N
500871	1706	1996-09-30	VYDAJ	VYBER	15	38938	SLUZBY	\N	\N
500872	1706	1996-10-31	VYDAJ	VYBER	15	41919	SLUZBY	\N	\N
500873	1706	1996-11-30	VYDAJ	VYBER	15	42510	SLUZBY	\N	\N
500874	1706	1996-12-31	VYDAJ	VYBER	15	47155	SLUZBY	\N	\N
500875	1706	1997-01-31	VYDAJ	VYBER	15	46008	SLUZBY	\N	\N
500876	1706	1997-02-28	VYDAJ	VYBER	15	45011	SLUZBY	\N	\N
500877	1706	1997-03-31	VYDAJ	VYBER	15	50119	SLUZBY	\N	\N
500878	1706	1997-04-30	VYDAJ	VYBER	15	52445	SLUZBY	\N	\N
500879	1706	1997-05-31	VYDAJ	VYBER	15	49976	SLUZBY	\N	\N
500880	1706	1997-06-30	VYDAJ	VYBER	15	47369	SLUZBY	\N	\N
500881	1706	1997-07-31	VYDAJ	VYBER	15	51174	SLUZBY	\N	\N
500882	1706	1997-08-31	VYDAJ	VYBER	15	53035	SLUZBY	\N	\N
500883	1706	1997-09-30	VYDAJ	VYBER	15	55874	SLUZBY	\N	\N
500884	1706	1997-10-31	VYDAJ	VYBER	15	58385	SLUZBY	\N	\N
500885	1706	1997-11-30	VYDAJ	VYBER	15	62048	SLUZBY	\N	\N
500886	1706	1997-12-31	VYDAJ	VYBER	15	63371	SLUZBY	\N	\N
500887	1706	1998-01-31	VYDAJ	VYBER	15	55913	SLUZBY	\N	\N
500888	1706	1998-02-28	VYDAJ	VYBER	15	58163	SLUZBY	\N	\N
500889	1706	1998-03-31	VYDAJ	VYBER	15	58739	SLUZBY	\N	\N
500890	1706	1998-04-30	VYDAJ	VYBER	15	61302	SLUZBY	\N	\N
500891	1706	1998-05-31	VYDAJ	VYBER	15	60469	SLUZBY	\N	\N
500892	1706	1998-06-30	VYDAJ	VYBER	15	53176	SLUZBY	\N	\N
500893	1706	1998-07-31	VYDAJ	VYBER	15	54613	SLUZBY	\N	\N
500894	1706	1998-08-31	VYDAJ	VYBER	15	52850	SLUZBY	\N	\N
500895	1706	1998-09-30	VYDAJ	VYBER	15	51179	SLUZBY	\N	\N
500896	1706	1998-10-31	VYDAJ	VYBER	15	52507	SLUZBY	\N	\N
500897	1706	1998-11-30	VYDAJ	VYBER	15	52919	SLUZBY	\N	\N
500898	1706	1995-02-04	PRIJEM	VKLAD	10500	14297	\N	\N	\N
500899	1706	1995-03-06	PRIJEM	VKLAD	1200	18634	\N	\N	\N
500900	1706	1995-04-05	PRIJEM	VKLAD	2800	24605	\N	\N	\N
500901	1706	1995-05-05	VYDAJ	VYBER	300	27499	\N	\N	\N
500902	1706	1995-06-04	VYDAJ	VYBER	4300	25464	\N	\N	\N
500903	1706	1995-07-04	PRIJEM	VKLAD	3400	24696	\N	\N	\N
500904	1706	1995-08-03	VYDAJ	VYBER	2300	23512	\N	\N	\N
500905	1706	1995-09-02	PRIJEM	VKLAD	1300	25029	\N	\N	\N
500906	1706	1995-10-02	PRIJEM	VKLAD	2000	28149	\N	\N	\N
500907	1706	1995-11-01	PRIJEM	VKLAD	300	29581	\N	\N	\N
500908	1706	1995-12-01	VYDAJ	VYBER	2600	28120	\N	\N	\N
500909	1706	1995-12-31	PRIJEM	VKLAD	3300	31669	\N	\N	\N
500910	1706	1996-01-30	PRIJEM	VKLAD	4900	34285	\N	\N	\N
500911	1706	1996-02-29	VYDAJ	VYBER	100	35474	\N	\N	\N
500912	1706	1996-03-30	VYDAJ	VYBER	1000	34229	\N	\N	\N
500913	1706	1996-04-29	PRIJEM	VKLAD	900	36289	\N	\N	\N
500914	1706	1996-05-29	VYDAJ	VYBER	3400	33719	\N	\N	\N
500915	1706	1996-06-28	VYDAJ	VYBER	800	32195	\N	\N	\N
500916	1706	1996-07-28	PRIJEM	VKLAD	400	33511	\N	\N	\N
500917	1706	1996-08-27	PRIJEM	VKLAD	1700	36362	\N	\N	\N
500918	1706	1996-09-26	PRIJEM	VKLAD	2000	38800	\N	\N	\N
500919	1706	1996-10-26	PRIJEM	VKLAD	1800	41767	\N	\N	\N
500920	1706	1996-11-25	VYDAJ	VYBER	600	42348	\N	\N	\N
500921	1706	1996-12-25	PRIJEM	VKLAD	4200	46989	\N	\N	\N
500922	1706	1997-01-24	PRIJEM	VKLAD	2300	47094	\N	\N	\N
500923	1706	1997-02-23	VYDAJ	VYBER	1000	44837	\N	\N	\N
500924	1706	1997-03-25	PRIJEM	VKLAD	3900	49940	\N	\N	\N
500925	1706	1997-04-24	PRIJEM	VKLAD	1100	52248	\N	\N	\N
500926	1706	1997-05-24	VYDAJ	VYBER	3700	49774	\N	\N	\N
500927	1706	1997-06-23	PRIJEM	VKLAD	800	47185	\N	\N	\N
500928	1706	1997-07-23	PRIJEM	VKLAD	3100	50988	\N	\N	\N
500929	1706	1997-08-22	PRIJEM	VKLAD	900	53103	\N	\N	\N
500930	1706	1997-09-21	PRIJEM	VKLAD	1600	55664	\N	\N	\N
500931	1706	1997-10-21	PRIJEM	VKLAD	1800	58703	\N	\N	\N
500932	1706	1997-11-20	PRIJEM	VKLAD	2400	61814	\N	\N	\N
500933	1706	1997-12-20	PRIJEM	VKLAD	800	63127	\N	\N	\N
500934	1706	1998-01-19	VYDAJ	VYBER	1700	58350	\N	\N	\N
500935	1706	1998-02-18	PRIJEM	VKLAD	1000	57942	\N	\N	\N
500936	1706	1998-03-20	PRIJEM	VKLAD	1600	59832	\N	\N	\N
500937	1706	1998-04-19	PRIJEM	VKLAD	1300	61068	\N	\N	\N
500938	1706	1998-05-19	VYDAJ	VYBER	2100	60231	\N	\N	\N
500939	1706	1998-06-18	VYDAJ	VYBER	2100	59398	\N	\N	\N
500940	1706	1998-07-18	PRIJEM	VKLAD	200	54405	\N	\N	\N
500941	1706	1998-08-17	VYDAJ	VYBER	3000	52642	\N	\N	\N
500942	1706	1998-09-16	VYDAJ	VYBER	2900	50979	\N	\N	\N
500943	1706	1998-10-16	PRIJEM	VKLAD	100	52308	\N	\N	\N
500944	1706	1998-11-15	VYDAJ	VYBER	400	52716	\N	\N	\N
500993	1707	1997-01-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
500995	1707	1997-02-07	PRIJEM	PREVOD Z UCTU	11969	12969	\N	EF	13743371
500996	1707	1997-03-07	PRIJEM	PREVOD Z UCTU	11969	30585	\N	EF	13743371
500997	1707	1997-04-07	PRIJEM	PREVOD Z UCTU	11969	39252	\N	EF	13743371
500998	1707	1997-05-07	PRIJEM	PREVOD Z UCTU	11969	43244	\N	EF	13743371
500999	1707	1997-06-07	PRIJEM	PREVOD Z UCTU	17954	49328	\N	EF	13743371
501000	1707	1997-07-07	PRIJEM	PREVOD Z UCTU	11969	25735	\N	EF	13743371
501001	1707	1997-08-07	PRIJEM	PREVOD Z UCTU	11969	25719	\N	EF	13743371
501002	1707	1997-09-07	PRIJEM	PREVOD Z UCTU	11969	24300	\N	EF	13743371
501003	1707	1997-10-07	PRIJEM	PREVOD Z UCTU	11969	21973	\N	EF	13743371
501004	1707	1997-11-07	PRIJEM	PREVOD Z UCTU	11969	22545	\N	EF	13743371
501005	1707	1997-12-07	PRIJEM	PREVOD Z UCTU	17954	25795	\N	EF	13743371
501006	1707	1998-01-07	PRIJEM	PREVOD Z UCTU	11969	20259	\N	EF	13743371
501007	1707	1998-02-07	PRIJEM	PREVOD Z UCTU	11969	20826	\N	EF	13743371
501008	1707	1998-03-07	PRIJEM	PREVOD Z UCTU	11969	19096	\N	EF	13743371
501009	1707	1998-04-07	PRIJEM	PREVOD Z UCTU	11969	19757	\N	EF	13743371
501010	1707	1998-05-07	PRIJEM	PREVOD Z UCTU	11969	18115	\N	EF	13743371
501011	1707	1998-06-07	PRIJEM	PREVOD Z UCTU	17954	21949	\N	EF	13743371
501012	1707	1998-07-07	PRIJEM	PREVOD Z UCTU	11969	26114	\N	EF	13743371
501013	1707	1998-08-07	PRIJEM	PREVOD Z UCTU	11969	17387	\N	EF	13743371
501014	1707	1998-09-07	PRIJEM	PREVOD Z UCTU	11969	21544	\N	EF	13743371
501015	1707	1998-10-07	PRIJEM	PREVOD Z UCTU	11969	25717	\N	EF	13743371
501016	1707	1998-11-07	PRIJEM	PREVOD Z UCTU	11969	29909	\N	EF	13743371
501017	1707	1998-12-07	PRIJEM	PREVOD Z UCTU	17954	30802	\N	EF	13743371
501047	1707	1997-06-14	VYDAJ	PREVOD NA UCET	7830	13698	SIPO	KL	16216141
501048	1707	1997-07-14	VYDAJ	PREVOD NA UCET	7830	13705	SIPO	KL	16216141
501049	1707	1997-08-14	VYDAJ	PREVOD NA UCET	7830	12289	SIPO	KL	16216141
501050	1707	1997-09-14	VYDAJ	PREVOD NA UCET	7830	9970	SIPO	KL	16216141
501051	1707	1997-10-14	VYDAJ	PREVOD NA UCET	7830	10543	SIPO	KL	16216141
501052	1707	1997-11-14	VYDAJ	PREVOD NA UCET	7830	7815	SIPO	KL	16216141
501053	1707	1997-12-14	VYDAJ	PREVOD NA UCET	7830	8265	SIPO	KL	16216141
501054	1707	1998-01-14	VYDAJ	PREVOD NA UCET	7830	8829	SIPO	KL	16216141
501055	1707	1998-02-14	VYDAJ	PREVOD NA UCET	7830	7096	SIPO	KL	16216141
501056	1707	1998-03-14	VYDAJ	PREVOD NA UCET	7830	7766	SIPO	KL	16216141
501057	1707	1998-04-14	VYDAJ	PREVOD NA UCET	7830	6127	SIPO	KL	16216141
501058	1707	1998-05-14	VYDAJ	PREVOD NA UCET	7830	3985	SIPO	KL	16216141
501059	1707	1998-06-14	VYDAJ	PREVOD NA UCET	7830	14119	SIPO	KL	16216141
501060	1707	1998-07-14	VYDAJ	PREVOD NA UCET	7830	5384	SIPO	KL	16216141
501061	1707	1998-08-14	VYDAJ	PREVOD NA UCET	7830	9557	SIPO	KL	16216141
501062	1707	1998-09-14	VYDAJ	PREVOD NA UCET	7830	13714	SIPO	KL	16216141
501063	1707	1998-10-14	VYDAJ	PREVOD NA UCET	7830	17887	SIPO	KL	16216141
501064	1707	1998-11-14	VYDAJ	PREVOD NA UCET	7830	22079	SIPO	KL	16216141
501065	1707	1998-12-14	VYDAJ	PREVOD NA UCET	7830	22972	SIPO	KL	16216141
501077	1707	1997-06-08	VYDAJ	VYBER	23400	25928	\N	\N	\N
501081	1707	1997-12-09	VYDAJ	VYBER	6000	19795	\N	\N	\N
501099	1707	1997-06-10	VYDAJ	VYBER	1800	24128	\N	\N	\N
501113	1707	1997-06-30	VYDAJ	VYBER	15	13766	SLUZBY	\N	\N
501114	1707	1997-07-31	VYDAJ	VYBER	15	13750	SLUZBY	\N	\N
501115	1707	1997-08-31	VYDAJ	VYBER	15	12331	SLUZBY	\N	\N
501116	1707	1997-09-30	VYDAJ	VYBER	15	10004	SLUZBY	\N	\N
501117	1707	1997-10-31	VYDAJ	VYBER	15	10576	SLUZBY	\N	\N
501118	1707	1997-11-30	VYDAJ	VYBER	15	7841	SLUZBY	\N	\N
501119	1707	1997-12-31	VYDAJ	VYBER	15	8290	SLUZBY	\N	\N
501120	1707	1998-01-31	VYDAJ	VYBER	15	8857	SLUZBY	\N	\N
501121	1707	1998-02-28	VYDAJ	VYBER	15	7127	SLUZBY	\N	\N
501122	1707	1998-03-31	VYDAJ	VYBER	15	7788	SLUZBY	\N	\N
501123	1707	1998-04-30	VYDAJ	VYBER	15	6146	SLUZBY	\N	\N
501124	1707	1998-05-31	VYDAJ	VYBER	15	3995	SLUZBY	\N	\N
501125	1707	1998-06-30	VYDAJ	VYBER	15	14145	SLUZBY	\N	\N
501126	1707	1998-07-31	VYDAJ	VYBER	15	5418	SLUZBY	\N	\N
501127	1707	1998-08-31	VYDAJ	VYBER	15	9575	SLUZBY	\N	\N
501128	1707	1998-09-30	VYDAJ	VYBER	15	13748	SLUZBY	\N	\N
501129	1707	1998-10-31	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
501130	1707	1998-11-30	VYDAJ	VYBER	15	22148	SLUZBY	\N	\N
501131	1707	1997-02-12	PRIJEM	VKLAD	5600	18569	\N	\N	\N
501132	1707	1997-03-14	VYDAJ	VYBER	3400	27185	\N	\N	\N
501133	1707	1997-04-13	VYDAJ	VYBER	8100	31152	\N	\N	\N
501134	1707	1997-05-13	VYDAJ	VYBER	12000	31244	\N	\N	\N
501135	1707	1997-06-12	VYDAJ	VYBER	2600	21528	\N	\N	\N
501136	1707	1997-07-12	VYDAJ	VYBER	4200	21535	\N	\N	\N
501137	1707	1997-08-11	VYDAJ	VYBER	5600	20119	\N	\N	\N
501138	1707	1997-09-10	VYDAJ	VYBER	6500	17800	\N	\N	\N
501139	1707	1997-10-10	VYDAJ	VYBER	3600	18373	\N	\N	\N
501140	1707	1997-11-09	VYDAJ	VYBER	6900	15645	\N	\N	\N
501141	1707	1997-12-09	VYDAJ	VYBER	3700	16095	\N	\N	\N
501142	1707	1998-01-08	VYDAJ	VYBER	3600	16659	\N	\N	\N
501143	1707	1998-02-07	VYDAJ	VYBER	5900	14926	\N	\N	\N
501144	1707	1998-03-09	VYDAJ	VYBER	3500	15596	\N	\N	\N
501145	1707	1998-04-08	VYDAJ	VYBER	5800	13957	\N	\N	\N
501146	1707	1998-05-08	VYDAJ	VYBER	6300	11815	\N	\N	\N
501147	1707	1998-07-07	VYDAJ	VYBER	12900	13214	\N	\N	\N
501148	1707	1998-12-04	VYDAJ	VYBER	9300	12848	\N	\N	\N
501172	1708	1994-11-21	PRIJEM	VKLAD	700	700	\N	\N	\N
501184	1708	1994-12-10	PRIJEM	VKLAD	21633	22333	\N	\N	\N
501185	1708	1995-01-10	PRIJEM	VKLAD	14422	36988	\N	\N	\N
501186	1708	1995-02-10	PRIJEM	VKLAD	14422	45217	\N	\N	\N
501187	1708	1995-03-10	PRIJEM	VKLAD	14422	47170	\N	\N	\N
501188	1708	1995-04-10	PRIJEM	VKLAD	14422	49231	\N	\N	\N
501189	1708	1995-05-10	PRIJEM	VKLAD	14422	43828	\N	\N	\N
501190	1708	1995-06-10	PRIJEM	VKLAD	21633	48620	\N	\N	\N
501191	1708	1995-07-10	PRIJEM	VKLAD	14422	44303	\N	\N	\N
501192	1708	1995-08-10	PRIJEM	VKLAD	14422	42386	\N	\N	\N
501193	1708	1995-09-10	PRIJEM	VKLAD	14422	42766	\N	\N	\N
501194	1708	1995-10-10	PRIJEM	VKLAD	14422	43145	\N	\N	\N
501195	1708	1995-11-10	PRIJEM	VKLAD	14422	39415	\N	\N	\N
501196	1708	1995-12-10	PRIJEM	VKLAD	21633	48795	\N	\N	\N
501197	1708	1996-01-10	PRIJEM	VKLAD	14422	42774	\N	\N	\N
501198	1708	1996-02-10	PRIJEM	VKLAD	14422	28630	\N	\N	\N
501199	1708	1996-03-10	PRIJEM	VKLAD	14422	32861	\N	\N	\N
501200	1708	1996-04-10	PRIJEM	VKLAD	14422	35401	\N	\N	\N
501201	1708	1996-05-10	PRIJEM	VKLAD	14422	38060	\N	\N	\N
501202	1708	1996-06-10	PRIJEM	VKLAD	21633	47742	\N	\N	\N
501203	1708	1996-07-10	PRIJEM	VKLAD	14422	40407	\N	\N	\N
501204	1708	1996-08-10	PRIJEM	VKLAD	14422	34155	\N	\N	\N
501205	1708	1996-09-10	PRIJEM	VKLAD	14422	35394	\N	\N	\N
501206	1708	1996-10-10	PRIJEM	VKLAD	14422	32732	\N	\N	\N
501207	1708	1996-11-10	PRIJEM	VKLAD	14422	31459	\N	\N	\N
501208	1708	1996-12-10	PRIJEM	VKLAD	21633	36793	\N	\N	\N
501209	1708	1997-01-10	PRIJEM	VKLAD	14422	28011	\N	\N	\N
501210	1708	1997-02-10	PRIJEM	VKLAD	14422	29030	\N	\N	\N
501211	1708	1997-03-10	PRIJEM	VKLAD	14422	30854	\N	\N	\N
501212	1708	1997-04-10	PRIJEM	VKLAD	14422	22058	\N	\N	\N
501213	1708	1997-05-10	PRIJEM	VKLAD	14422	28662	\N	\N	\N
501214	1708	1997-06-10	PRIJEM	VKLAD	21633	38492	\N	\N	\N
501215	1708	1997-07-10	PRIJEM	VKLAD	14422	40444	\N	\N	\N
501216	1708	1997-08-10	PRIJEM	VKLAD	14422	47123	\N	\N	\N
501217	1708	1997-09-10	PRIJEM	VKLAD	14422	31729	\N	\N	\N
501218	1708	1997-10-10	PRIJEM	VKLAD	14422	38399	\N	\N	\N
501219	1708	1997-11-10	PRIJEM	VKLAD	14422	29171	\N	\N	\N
501220	1708	1997-12-10	PRIJEM	VKLAD	21633	41133	\N	\N	\N
501221	1708	1998-01-10	PRIJEM	VKLAD	14422	29108	\N	\N	\N
501222	1708	1998-02-10	PRIJEM	VKLAD	14422	30437	\N	\N	\N
501223	1708	1998-03-10	PRIJEM	VKLAD	14422	33173	\N	\N	\N
501224	1708	1998-04-10	PRIJEM	VKLAD	14422	39825	\N	\N	\N
501225	1708	1998-05-10	PRIJEM	VKLAD	14422	27393	\N	\N	\N
501226	1708	1998-06-10	PRIJEM	VKLAD	21633	41248	\N	\N	\N
501227	1708	1998-07-10	PRIJEM	VKLAD	14422	47922	\N	\N	\N
501228	1708	1998-08-10	PRIJEM	VKLAD	14422	30631	\N	\N	\N
501229	1708	1998-09-10	PRIJEM	VKLAD	14422	37299	\N	\N	\N
501230	1708	1998-10-10	PRIJEM	VKLAD	14422	42662	\N	\N	\N
501231	1708	1998-11-10	PRIJEM	VKLAD	14422	49349	\N	\N	\N
501232	1708	1998-12-10	PRIJEM	VKLAD	21633	37572	\N	\N	\N
501248	1708	1995-04-14	VYDAJ	PREVOD NA UCET	4519	41373	SIPO	IJ	89942037
501249	1708	1995-05-14	VYDAJ	PREVOD NA UCET	4519	35970	SIPO	IJ	89942037
501250	1708	1995-06-14	VYDAJ	PREVOD NA UCET	4519	37362	SIPO	IJ	89942037
501251	1708	1995-07-14	VYDAJ	PREVOD NA UCET	4519	36445	SIPO	IJ	89942037
501252	1708	1995-08-14	VYDAJ	PREVOD NA UCET	4519	34528	SIPO	IJ	89942037
501253	1708	1995-09-14	VYDAJ	PREVOD NA UCET	4519	34908	SIPO	IJ	89942037
501254	1708	1995-10-14	VYDAJ	PREVOD NA UCET	4519	35287	SIPO	IJ	89942037
501255	1708	1995-11-14	VYDAJ	PREVOD NA UCET	4519	31557	SIPO	IJ	89942037
501256	1708	1995-12-14	VYDAJ	PREVOD NA UCET	4519	38937	SIPO	IJ	89942037
501257	1708	1996-01-14	VYDAJ	PREVOD NA UCET	4519	29416	SIPO	IJ	89942037
501258	1708	1996-02-14	VYDAJ	PREVOD NA UCET	4519	21772	SIPO	IJ	89942037
501259	1708	1996-03-14	VYDAJ	PREVOD NA UCET	4519	25003	SIPO	IJ	89942037
501260	1708	1996-04-14	VYDAJ	PREVOD NA UCET	4519	23543	SIPO	IJ	89942037
501261	1708	1996-05-14	VYDAJ	PREVOD NA UCET	4519	30202	SIPO	IJ	89942037
501262	1708	1996-06-14	VYDAJ	PREVOD NA UCET	4519	25884	SIPO	IJ	89942037
501263	1708	1996-07-14	VYDAJ	PREVOD NA UCET	4519	19649	SIPO	IJ	89942037
501264	1708	1996-08-14	VYDAJ	PREVOD NA UCET	4519	20897	SIPO	IJ	89942037
501265	1708	1996-09-14	VYDAJ	PREVOD NA UCET	4519	20136	SIPO	IJ	89942037
501266	1708	1996-10-14	VYDAJ	PREVOD NA UCET	4519	16974	SIPO	IJ	89942037
501267	1708	1996-11-14	VYDAJ	PREVOD NA UCET	4519	15101	SIPO	IJ	89942037
501268	1708	1996-12-14	VYDAJ	PREVOD NA UCET	4519	13535	SIPO	IJ	89942037
501269	1708	1997-01-14	VYDAJ	PREVOD NA UCET	4519	19153	SIPO	IJ	89942037
501270	1708	1997-02-14	VYDAJ	PREVOD NA UCET	4519	20672	SIPO	IJ	89942037
501271	1708	1997-03-14	VYDAJ	PREVOD NA UCET	4519	7596	SIPO	IJ	89942037
501272	1708	1997-04-14	VYDAJ	PREVOD NA UCET	4519	14200	SIPO	IJ	89942037
501273	1708	1997-05-14	VYDAJ	PREVOD NA UCET	4519	16804	SIPO	IJ	89942037
501274	1708	1997-06-14	VYDAJ	PREVOD NA UCET	4519	30634	SIPO	IJ	89942037
501275	1708	1997-07-14	VYDAJ	PREVOD NA UCET	4519	32586	SIPO	IJ	89942037
501276	1708	1997-08-14	VYDAJ	PREVOD NA UCET	4519	39265	SIPO	IJ	89942037
501277	1708	1997-09-14	VYDAJ	PREVOD NA UCET	4519	23871	SIPO	IJ	89942037
501278	1708	1997-10-14	VYDAJ	PREVOD NA UCET	4519	30541	SIPO	IJ	89942037
501279	1708	1997-11-14	VYDAJ	PREVOD NA UCET	4519	21313	SIPO	IJ	89942037
501280	1708	1997-12-14	VYDAJ	PREVOD NA UCET	4519	33275	SIPO	IJ	89942037
501281	1708	1998-01-14	VYDAJ	PREVOD NA UCET	4519	19050	SIPO	IJ	89942037
501282	1708	1998-02-14	VYDAJ	PREVOD NA UCET	4519	22579	SIPO	IJ	89942037
501283	1708	1998-03-14	VYDAJ	PREVOD NA UCET	4519	25315	SIPO	IJ	89942037
501284	1708	1998-04-14	VYDAJ	PREVOD NA UCET	4519	29167	SIPO	IJ	89942037
501285	1708	1998-05-14	VYDAJ	PREVOD NA UCET	4519	19535	SIPO	IJ	89942037
501286	1708	1998-06-14	VYDAJ	PREVOD NA UCET	4519	33390	SIPO	IJ	89942037
501287	1708	1998-07-14	VYDAJ	PREVOD NA UCET	4519	40064	SIPO	IJ	89942037
501288	1708	1998-08-14	VYDAJ	PREVOD NA UCET	4519	22773	SIPO	IJ	89942037
501289	1708	1998-09-14	VYDAJ	PREVOD NA UCET	4519	29441	SIPO	IJ	89942037
501290	1708	1998-10-14	VYDAJ	PREVOD NA UCET	4519	34804	SIPO	IJ	89942037
501291	1708	1998-11-14	VYDAJ	PREVOD NA UCET	4519	41491	SIPO	IJ	89942037
501292	1708	1998-12-14	VYDAJ	PREVOD NA UCET	4519	29714	SIPO	IJ	89942037
501308	1708	1995-04-10	VYDAJ	PREVOD NA UCET	3339	45892	 	WX	62805408
501309	1708	1995-05-10	VYDAJ	PREVOD NA UCET	3339	40489	 	WX	62805408
501310	1708	1995-06-10	VYDAJ	PREVOD NA UCET	3339	45281	 	WX	62805408
501311	1708	1995-07-10	VYDAJ	PREVOD NA UCET	3339	40964	 	WX	62805408
501312	1708	1995-08-10	VYDAJ	PREVOD NA UCET	3339	39047	 	WX	62805408
501313	1708	1995-09-10	VYDAJ	PREVOD NA UCET	3339	39427	 	WX	62805408
501314	1708	1995-10-10	VYDAJ	PREVOD NA UCET	3339	39806	 	WX	62805408
501315	1708	1995-11-10	VYDAJ	PREVOD NA UCET	3339	36076	 	WX	62805408
501316	1708	1995-12-10	VYDAJ	PREVOD NA UCET	3339	45456	 	WX	62805408
501317	1708	1996-01-10	VYDAJ	PREVOD NA UCET	3339	39435	 	WX	62805408
501318	1708	1996-02-10	VYDAJ	PREVOD NA UCET	3339	25291	 	WX	62805408
501319	1708	1996-03-10	VYDAJ	PREVOD NA UCET	3339	29522	 	WX	62805408
501320	1708	1996-04-10	VYDAJ	PREVOD NA UCET	3339	32062	 	WX	62805408
501321	1708	1996-05-10	VYDAJ	PREVOD NA UCET	3339	34721	 	WX	62805408
501322	1708	1996-06-10	VYDAJ	PREVOD NA UCET	3339	44403	 	WX	62805408
501323	1708	1996-07-10	VYDAJ	PREVOD NA UCET	3339	37068	 	WX	62805408
501324	1708	1996-08-10	VYDAJ	PREVOD NA UCET	3339	30816	 	WX	62805408
501325	1708	1996-09-10	VYDAJ	PREVOD NA UCET	3339	32055	 	WX	62805408
501326	1708	1996-10-10	VYDAJ	PREVOD NA UCET	3339	29393	 	WX	62805408
501327	1708	1996-11-10	VYDAJ	PREVOD NA UCET	3339	28120	 	WX	62805408
501328	1708	1996-12-10	VYDAJ	PREVOD NA UCET	3339	33454	 	WX	62805408
501329	1708	1997-01-10	VYDAJ	PREVOD NA UCET	3339	24672	 	WX	62805408
501330	1708	1997-02-10	VYDAJ	PREVOD NA UCET	3339	25691	 	WX	62805408
501331	1708	1997-03-10	VYDAJ	PREVOD NA UCET	3339	27515	 	WX	62805408
501332	1708	1997-04-10	VYDAJ	PREVOD NA UCET	3339	18719	 	WX	62805408
501333	1708	1997-05-10	VYDAJ	PREVOD NA UCET	3339	25323	 	WX	62805408
501334	1708	1997-06-10	VYDAJ	PREVOD NA UCET	3339	35153	 	WX	62805408
501335	1708	1997-07-10	VYDAJ	PREVOD NA UCET	3339	37105	 	WX	62805408
501336	1708	1997-08-10	VYDAJ	PREVOD NA UCET	3339	43784	 	WX	62805408
501337	1708	1997-09-10	VYDAJ	PREVOD NA UCET	3339	28390	 	WX	62805408
501338	1708	1997-10-10	VYDAJ	PREVOD NA UCET	3339	35060	 	WX	62805408
501339	1708	1997-11-10	VYDAJ	PREVOD NA UCET	3339	25832	 	WX	62805408
501340	1708	1997-12-10	VYDAJ	PREVOD NA UCET	3339	37794	 	WX	62805408
501341	1708	1998-01-10	VYDAJ	PREVOD NA UCET	3339	24169	 	WX	62805408
501342	1708	1998-02-10	VYDAJ	PREVOD NA UCET	3339	27098	 	WX	62805408
501343	1708	1998-03-10	VYDAJ	PREVOD NA UCET	3339	29834	 	WX	62805408
501344	1708	1998-04-10	VYDAJ	PREVOD NA UCET	3339	36486	 	WX	62805408
501345	1708	1998-05-10	VYDAJ	PREVOD NA UCET	3339	24054	 	WX	62805408
501346	1708	1998-06-10	VYDAJ	PREVOD NA UCET	3339	37909	 	WX	62805408
501347	1708	1998-07-10	VYDAJ	PREVOD NA UCET	3339	44583	 	WX	62805408
501348	1708	1998-08-10	VYDAJ	PREVOD NA UCET	3339	27292	 	WX	62805408
501349	1708	1998-09-10	VYDAJ	PREVOD NA UCET	3339	33960	 	WX	62805408
501350	1708	1998-10-10	VYDAJ	PREVOD NA UCET	3339	39323	 	WX	62805408
501351	1708	1998-11-10	VYDAJ	PREVOD NA UCET	3339	46010	 	WX	62805408
501352	1708	1998-12-10	VYDAJ	PREVOD NA UCET	3339	34233	 	WX	62805408
501356	1708	1997-06-16	VYDAJ	VYBER	4700	25934	\N	\N	\N
501360	1708	1996-01-19	VYDAJ	VYBER	3700	23716	\N	\N	\N
501364	1708	1995-12-08	VYDAJ	VYBER	900	27162	\N	\N	\N
501366	1708	1997-12-02	VYDAJ	VYBER	1900	19500	\N	\N	\N
501367	1708	1998-12-05	VYDAJ	VYBER	600	15939	\N	\N	\N
501380	1708	1996-01-23	VYDAJ	VYBER	2300	21416	\N	\N	\N
501381	1708	1996-01-24	VYDAJ	VYBER	1200	20216	\N	\N	\N
501382	1708	1996-01-30	VYDAJ	VYBER	2700	14116	\N	\N	\N
501383	1708	1996-01-11	VYDAJ	VYBER	2600	36835	\N	\N	\N
501384	1708	1996-01-26	VYDAJ	VYBER	2000	18216	\N	\N	\N
501385	1708	1996-01-28	VYDAJ	VYBER	1400	16816	\N	\N	\N
501387	1708	1997-01-24	VYDAJ	VYBER	1900	14553	\N	\N	\N
501388	1708	1997-01-22	VYDAJ	VYBER	2700	16453	\N	\N	\N
501389	1708	1997-01-12	VYDAJ	VYBER	1000	23672	\N	\N	\N
501392	1708	1998-01-26	VYDAJ	VYBER	1000	16450	\N	\N	\N
501393	1708	1998-01-30	VYDAJ	VYBER	500	15950	\N	\N	\N
501394	1708	1998-01-10	VYDAJ	VYBER	1600	27508	\N	\N	\N
501395	1708	1998-01-14	VYDAJ	VYBER	1600	17450	\N	\N	\N
501396	1708	1998-01-04	VYDAJ	VYBER	800	16386	\N	\N	\N
501397	1708	1998-01-07	VYDAJ	VYBER	1700	14686	\N	\N	\N
501406	1708	1995-06-11	VYDAJ	VYBER	3400	41881	\N	\N	\N
501407	1708	1995-12-13	VYDAJ	VYBER	2000	43456	\N	\N	\N
501408	1708	1995-08-02	VYDAJ	VYBER	1700	27964	\N	\N	\N
501409	1708	1996-10-05	VYDAJ	VYBER	1900	18310	\N	\N	\N
501410	1708	1996-02-27	VYDAJ	VYBER	3400	18372	\N	\N	\N
501411	1708	1996-07-13	VYDAJ	VYBER	3800	33268	\N	\N	\N
501412	1708	1996-01-13	VYDAJ	VYBER	2900	33935	\N	\N	\N
501414	1708	1997-02-12	VYDAJ	VYBER	500	25191	\N	\N	\N
501415	1708	1997-05-12	VYDAJ	VYBER	4000	21323	\N	\N	\N
501416	1708	1997-02-19	VYDAJ	VYBER	4300	16372	\N	\N	\N
501417	1708	1998-03-05	VYDAJ	VYBER	3900	18751	\N	\N	\N
501418	1708	1998-01-12	VYDAJ	VYBER	600	23569	\N	\N	\N
501419	1708	1998-09-25	VYDAJ	VYBER	1300	28141	\N	\N	\N
501420	1708	1998-04-11	VYDAJ	VYBER	2800	33686	\N	\N	\N
501437	1708	1995-04-30	VYDAJ	VYBER	15	29406	SLUZBY	\N	\N
501438	1708	1995-05-31	VYDAJ	VYBER	15	26987	SLUZBY	\N	\N
501439	1708	1995-06-30	VYDAJ	VYBER	15	29881	SLUZBY	\N	\N
501440	1708	1995-07-31	VYDAJ	VYBER	15	29664	SLUZBY	\N	\N
501441	1708	1995-08-31	VYDAJ	VYBER	15	28344	SLUZBY	\N	\N
501442	1708	1995-09-30	VYDAJ	VYBER	15	28723	SLUZBY	\N	\N
501443	1708	1995-10-31	VYDAJ	VYBER	15	24993	SLUZBY	\N	\N
501444	1708	1995-11-30	VYDAJ	VYBER	15	28062	SLUZBY	\N	\N
501445	1708	1995-12-31	VYDAJ	VYBER	15	28352	SLUZBY	\N	\N
501446	1708	1996-01-31	VYDAJ	VYBER	15	14208	SLUZBY	\N	\N
501447	1708	1996-02-29	VYDAJ	VYBER	15	18439	SLUZBY	\N	\N
501448	1708	1996-03-31	VYDAJ	VYBER	15	20979	SLUZBY	\N	\N
501449	1708	1996-04-30	VYDAJ	VYBER	15	23638	SLUZBY	\N	\N
501450	1708	1996-05-31	VYDAJ	VYBER	15	26109	SLUZBY	\N	\N
501451	1708	1996-06-30	VYDAJ	VYBER	15	25985	SLUZBY	\N	\N
501452	1708	1996-07-31	VYDAJ	VYBER	15	19733	SLUZBY	\N	\N
501453	1708	1996-08-31	VYDAJ	VYBER	15	20972	SLUZBY	\N	\N
501454	1708	1996-09-30	VYDAJ	VYBER	15	20210	SLUZBY	\N	\N
501455	1708	1996-10-31	VYDAJ	VYBER	15	17037	SLUZBY	\N	\N
501456	1708	1996-11-30	VYDAJ	VYBER	15	15160	SLUZBY	\N	\N
501457	1708	1996-12-31	VYDAJ	VYBER	15	13589	SLUZBY	\N	\N
501458	1708	1997-01-31	VYDAJ	VYBER	15	14608	SLUZBY	\N	\N
501459	1708	1997-02-28	VYDAJ	VYBER	15	16432	SLUZBY	\N	\N
501460	1708	1997-03-31	VYDAJ	VYBER	15	7636	SLUZBY	\N	\N
501461	1708	1997-04-30	VYDAJ	VYBER	15	14240	SLUZBY	\N	\N
501462	1708	1997-05-31	VYDAJ	VYBER	15	16859	SLUZBY	\N	\N
501463	1708	1997-06-30	VYDAJ	VYBER	15	26022	SLUZBY	\N	\N
501464	1708	1997-07-31	VYDAJ	VYBER	15	32701	SLUZBY	\N	\N
501465	1708	1997-08-31	VYDAJ	VYBER	15	39407	SLUZBY	\N	\N
501466	1708	1997-09-30	VYDAJ	VYBER	15	23977	SLUZBY	\N	\N
501467	1708	1997-10-31	VYDAJ	VYBER	15	30649	SLUZBY	\N	\N
501468	1708	1997-11-30	VYDAJ	VYBER	15	21400	SLUZBY	\N	\N
501469	1708	1997-12-31	VYDAJ	VYBER	15	33386	SLUZBY	\N	\N
501470	1708	1998-01-31	VYDAJ	VYBER	15	16015	SLUZBY	\N	\N
501471	1708	1998-02-28	VYDAJ	VYBER	15	22651	SLUZBY	\N	\N
501472	1708	1998-03-31	VYDAJ	VYBER	15	25403	SLUZBY	\N	\N
501473	1708	1998-04-30	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
501474	1708	1998-05-31	VYDAJ	VYBER	15	19615	SLUZBY	\N	\N
501475	1708	1998-06-30	VYDAJ	VYBER	15	33500	SLUZBY	\N	\N
501476	1708	1998-07-31	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
501477	1708	1998-08-31	VYDAJ	VYBER	15	22877	SLUZBY	\N	\N
501478	1708	1998-09-30	VYDAJ	VYBER	15	28240	SLUZBY	\N	\N
501479	1708	1998-10-31	VYDAJ	VYBER	15	34927	SLUZBY	\N	\N
501480	1708	1998-11-30	VYDAJ	VYBER	15	16539	SLUZBY	\N	\N
501481	1708	1994-12-21	PRIJEM	VKLAD	200	22533	\N	\N	\N
501482	1708	1995-01-20	VYDAJ	VYBER	6300	30688	\N	\N	\N
501483	1708	1995-02-19	VYDAJ	VYBER	12600	32617	\N	\N	\N
501484	1708	1995-03-21	VYDAJ	VYBER	12500	34670	\N	\N	\N
501485	1708	1995-04-20	VYDAJ	VYBER	12100	29273	\N	\N	\N
501486	1708	1995-05-20	VYDAJ	VYBER	9100	26870	\N	\N	\N
501487	1708	1995-06-19	VYDAJ	VYBER	7600	29762	\N	\N	\N
501488	1708	1995-07-19	VYDAJ	VYBER	6900	29545	\N	\N	\N
501489	1708	1995-08-18	VYDAJ	VYBER	6300	28228	\N	\N	\N
501490	1708	1995-09-17	VYDAJ	VYBER	6300	28608	\N	\N	\N
501491	1708	1995-10-17	VYDAJ	VYBER	10400	24887	\N	\N	\N
501492	1708	1995-11-16	VYDAJ	VYBER	3600	27957	\N	\N	\N
501493	1708	1995-12-16	VYDAJ	VYBER	10700	28237	\N	\N	\N
501494	1708	1996-01-15	VYDAJ	VYBER	2000	27416	\N	\N	\N
501495	1708	1996-02-14	PRIJEM	VKLAD	1000	26291	\N	\N	\N
501496	1708	1996-03-15	VYDAJ	VYBER	4100	20903	\N	\N	\N
501497	1708	1996-04-14	VYDAJ	VYBER	4000	28062	\N	\N	\N
501498	1708	1996-05-14	VYDAJ	VYBER	4200	26002	\N	\N	\N
501499	1708	1996-06-13	VYDAJ	VYBER	14000	30403	\N	\N	\N
501500	1708	1996-07-13	VYDAJ	VYBER	9100	24168	\N	\N	\N
501501	1708	1996-08-12	VYDAJ	VYBER	5400	25416	\N	\N	\N
501502	1708	1996-09-11	VYDAJ	VYBER	7400	24655	\N	\N	\N
501503	1708	1996-10-11	VYDAJ	VYBER	7900	21493	\N	\N	\N
501504	1708	1996-11-10	VYDAJ	VYBER	8500	19620	\N	\N	\N
501505	1708	1996-12-10	VYDAJ	VYBER	15400	18054	\N	\N	\N
501506	1708	1997-03-10	VYDAJ	VYBER	15400	12115	\N	\N	\N
501507	1708	1997-09-06	VYDAJ	VYBER	22100	17307	\N	\N	\N
501508	1708	1997-11-05	VYDAJ	VYBER	15900	14749	\N	\N	\N
501509	1708	1998-01-04	VYDAJ	VYBER	16200	17186	\N	\N	\N
501510	1708	1998-05-04	VYDAJ	VYBER	16300	12971	\N	\N	\N
501511	1708	1998-08-02	VYDAJ	VYBER	24000	16209	\N	\N	\N
501512	1708	1998-11-30	VYDAJ	VYBER	25100	16553	\N	\N	\N
501562	1709	1996-04-23	PRIJEM	VKLAD	400	400	\N	\N	\N
501567	1709	1996-05-14	PRIJEM	VKLAD	18069	18469	\N	\N	\N
501568	1709	1996-06-14	PRIJEM	VKLAD	27104	49700	\N	\N	\N
501569	1709	1996-07-14	PRIJEM	VKLAD	18069	56583	\N	\N	\N
501570	1709	1996-08-14	PRIJEM	VKLAD	18069	60918	\N	\N	\N
501571	1709	1996-09-14	PRIJEM	VKLAD	18069	60664	\N	\N	\N
501572	1709	1996-10-14	PRIJEM	VKLAD	18069	58670	\N	\N	\N
501573	1709	1996-11-14	PRIJEM	VKLAD	18069	59293	\N	\N	\N
501574	1709	1996-12-14	PRIJEM	VKLAD	27104	66290	\N	\N	\N
501575	1709	1997-01-14	PRIJEM	VKLAD	18069	59625	\N	\N	\N
501576	1709	1997-02-14	PRIJEM	VKLAD	18069	49789	\N	\N	\N
501577	1709	1997-03-14	PRIJEM	VKLAD	18069	57882	\N	\N	\N
501578	1709	1997-04-14	PRIJEM	VKLAD	18069	64009	\N	\N	\N
501579	1709	1997-05-14	PRIJEM	VKLAD	18069	68357	\N	\N	\N
501580	1709	1997-06-14	PRIJEM	VKLAD	27104	78452	\N	\N	\N
501581	1709	1997-07-14	PRIJEM	VKLAD	18069	53808	\N	\N	\N
501582	1709	1997-08-14	PRIJEM	VKLAD	18069	61620	\N	\N	\N
501583	1709	1997-09-14	PRIJEM	VKLAD	18069	62651	\N	\N	\N
501584	1709	1997-10-14	PRIJEM	VKLAD	18069	68895	\N	\N	\N
501585	1709	1997-11-14	PRIJEM	VKLAD	18069	65743	\N	\N	\N
501586	1709	1997-12-14	PRIJEM	VKLAD	27104	75129	\N	\N	\N
501587	1709	1998-01-14	PRIJEM	VKLAD	18069	65328	\N	\N	\N
501588	1709	1998-02-14	PRIJEM	VKLAD	18069	61905	\N	\N	\N
501589	1709	1998-03-14	PRIJEM	VKLAD	18069	76965	\N	\N	\N
501590	1709	1998-04-14	PRIJEM	VKLAD	18069	68748	\N	\N	\N
501591	1709	1998-05-14	PRIJEM	VKLAD	18069	70745	\N	\N	\N
501592	1709	1998-06-14	PRIJEM	VKLAD	27104	77793	\N	\N	\N
501593	1709	1998-07-14	PRIJEM	VKLAD	18069	55390	\N	\N	\N
501594	1709	1998-08-14	PRIJEM	VKLAD	18069	64719	\N	\N	\N
501595	1709	1998-09-14	PRIJEM	VKLAD	18069	68196	\N	\N	\N
501596	1709	1998-10-14	PRIJEM	VKLAD	18069	67591	\N	\N	\N
501597	1709	1998-11-14	PRIJEM	VKLAD	18069	70091	\N	\N	\N
501598	1709	1998-12-14	PRIJEM	VKLAD	27104	82933	\N	\N	\N
501608	1709	1996-10-11	VYDAJ	PREVOD NA UCET	3227	40601	SIPO	MN	20695013
501609	1709	1996-11-11	VYDAJ	PREVOD NA UCET	3227	41224	SIPO	MN	20695013
501610	1709	1996-12-11	VYDAJ	PREVOD NA UCET	3227	39186	SIPO	MN	20695013
501611	1709	1997-01-11	VYDAJ	PREVOD NA UCET	3227	41556	SIPO	MN	20695013
501612	1709	1997-02-11	VYDAJ	PREVOD NA UCET	3227	31720	SIPO	MN	20695013
501613	1709	1997-03-11	VYDAJ	PREVOD NA UCET	3227	39813	SIPO	MN	20695013
501614	1709	1997-04-11	VYDAJ	PREVOD NA UCET	3227	45940	SIPO	MN	20695013
501615	1709	1997-05-11	VYDAJ	PREVOD NA UCET	3227	50288	SIPO	MN	20695013
501616	1709	1997-06-11	VYDAJ	PREVOD NA UCET	3227	51348	SIPO	MN	20695013
501617	1709	1997-07-11	VYDAJ	PREVOD NA UCET	3227	35739	SIPO	MN	20695013
501618	1709	1997-08-11	VYDAJ	PREVOD NA UCET	3227	43551	SIPO	MN	20695013
501619	1709	1997-09-11	VYDAJ	PREVOD NA UCET	3227	44582	SIPO	MN	20695013
501620	1709	1997-10-11	VYDAJ	PREVOD NA UCET	3227	50826	SIPO	MN	20695013
501621	1709	1997-11-11	VYDAJ	PREVOD NA UCET	3227	47674	SIPO	MN	20695013
501622	1709	1997-12-11	VYDAJ	PREVOD NA UCET	3227	48025	SIPO	MN	20695013
501623	1709	1998-01-11	VYDAJ	PREVOD NA UCET	3227	47559	SIPO	MN	20695013
501624	1709	1998-02-11	VYDAJ	PREVOD NA UCET	3227	46936	SIPO	MN	20695013
501625	1709	1998-03-11	VYDAJ	PREVOD NA UCET	3227	58896	SIPO	MN	20695013
501626	1709	1998-04-11	VYDAJ	PREVOD NA UCET	3227	56079	SIPO	MN	20695013
501627	1709	1998-05-11	VYDAJ	PREVOD NA UCET	3227	65776	SIPO	MN	20695013
501628	1709	1998-06-11	VYDAJ	PREVOD NA UCET	3227	66189	SIPO	MN	20695013
501629	1709	1998-07-11	VYDAJ	PREVOD NA UCET	3227	37021	SIPO	MN	20695013
501630	1709	1998-08-11	VYDAJ	PREVOD NA UCET	3227	46650	SIPO	MN	20695013
501631	1709	1998-09-11	VYDAJ	PREVOD NA UCET	3227	50127	SIPO	MN	20695013
501632	1709	1998-10-11	VYDAJ	PREVOD NA UCET	3227	49522	SIPO	MN	20695013
501633	1709	1998-11-11	VYDAJ	PREVOD NA UCET	3227	52022	SIPO	MN	20695013
501634	1709	1998-12-11	VYDAJ	PREVOD NA UCET	3227	55829	SIPO	MN	20695013
501636	1709	1997-06-14	VYDAJ	VYBER	31680	46772	\N	\N	\N
501637	1709	1998-06-17	VYDAJ	VYBER	37760	40033	\N	\N	\N
501639	1709	1997-01-16	VYDAJ	VYBER	13760	44425	\N	\N	\N
501640	1709	1998-01-21	VYDAJ	VYBER	7680	52848	\N	\N	\N
501641	1709	1996-12-06	VYDAJ	VYBER	1760	42413	\N	\N	\N
501642	1709	1997-12-08	VYDAJ	VYBER KARTOU	3500	51252	\N	\N	0
501643	1709	1998-12-21	VYDAJ	VYBER KARTOU	2600	75173	\N	\N	0
501650	1709	1997-01-20	VYDAJ	VYBER	2160	38865	\N	\N	\N
501651	1709	1997-01-02	VYDAJ	VYBER	2760	47423	\N	\N	\N
501652	1709	1997-01-28	VYDAJ	VYBER	1080	34785	\N	\N	\N
501653	1709	1997-01-05	VYDAJ	VYBER	2640	44783	\N	\N	\N
501654	1709	1997-01-14	VYDAJ	VYBER	1440	58185	\N	\N	\N
501655	1709	1997-01-22	VYDAJ	VYBER	3000	35865	\N	\N	\N
501656	1709	1998-01-14	VYDAJ	VYBER KARTOU	3000	62328	\N	\N	0
501657	1709	1998-01-20	VYDAJ	VYBER KARTOU	1800	60528	\N	\N	0
501658	1709	1998-01-10	VYDAJ	VYBER KARTOU	1400	53386	\N	\N	0
501659	1709	1998-01-05	VYDAJ	VYBER KARTOU	3100	54786	\N	\N	0
501660	1709	1998-01-27	VYDAJ	VYBER KARTOU	2200	49948	\N	\N	0
501661	1709	1998-01-10	VYDAJ	VYBER KARTOU	2600	50786	\N	\N	0
501668	1709	1997-10-23	VYDAJ	VYBER KARTOU	1900	50695	\N	\N	0
501669	1709	1997-11-28	VYDAJ	VYBER KARTOU	1600	54543	\N	\N	0
501670	1709	1997-08-26	VYDAJ	VYBER KARTOU	2300	47620	\N	\N	0
501671	1709	1997-09-27	VYDAJ	VYBER KARTOU	1400	53851	\N	\N	0
501672	1709	1997-07-09	VYDAJ	VYBER KARTOU	1300	38966	\N	\N	0
501673	1709	1998-04-10	VYDAJ	VYBER KARTOU	2400	59306	\N	\N	0
501674	1709	1998-12-21	VYDAJ	VYBER	5160	77773	\N	\N	\N
501675	1709	1998-01-21	VYDAJ	VYBER KARTOU	700	52148	\N	\N	0
501676	1709	1998-05-20	VYDAJ	VYBER KARTOU	1600	69145	\N	\N	0
501677	1709	1998-09-16	VYDAJ	VYBER KARTOU	1400	66796	\N	\N	0
501687	1709	1996-09-30	VYDAJ	VYBER	15	43828	SLUZBY	\N	\N
501688	1709	1996-10-31	VYDAJ	VYBER	15	44451	SLUZBY	\N	\N
501689	1709	1996-11-30	VYDAJ	VYBER	15	44173	SLUZBY	\N	\N
501690	1709	1996-12-31	VYDAJ	VYBER	15	50183	SLUZBY	\N	\N
501691	1709	1997-01-31	VYDAJ	VYBER	15	34947	SLUZBY	\N	\N
501692	1709	1997-02-28	VYDAJ	VYBER	15	43040	SLUZBY	\N	\N
501693	1709	1997-03-31	VYDAJ	VYBER	15	49167	SLUZBY	\N	\N
501694	1709	1997-04-30	VYDAJ	VYBER	15	53515	SLUZBY	\N	\N
501695	1709	1997-05-31	VYDAJ	VYBER	15	54575	SLUZBY	\N	\N
501696	1709	1997-06-30	VYDAJ	VYBER	15	40266	SLUZBY	\N	\N
501697	1709	1997-07-31	VYDAJ	VYBER	15	46778	SLUZBY	\N	\N
501698	1709	1997-08-31	VYDAJ	VYBER	15	47809	SLUZBY	\N	\N
501699	1709	1997-09-30	VYDAJ	VYBER	15	54053	SLUZBY	\N	\N
501700	1709	1997-10-31	VYDAJ	VYBER	15	50901	SLUZBY	\N	\N
501701	1709	1997-11-30	VYDAJ	VYBER	15	54752	SLUZBY	\N	\N
501702	1709	1997-12-31	VYDAJ	VYBER	15	57886	SLUZBY	\N	\N
501703	1709	1998-01-31	VYDAJ	VYBER	15	50163	SLUZBY	\N	\N
501704	1709	1998-02-28	VYDAJ	VYBER	15	62123	SLUZBY	\N	\N
501705	1709	1998-03-31	VYDAJ	VYBER	15	61706	SLUZBY	\N	\N
501706	1709	1998-04-30	VYDAJ	VYBER	15	69003	SLUZBY	\N	\N
501707	1709	1998-05-31	VYDAJ	VYBER	15	69416	SLUZBY	\N	\N
501708	1709	1998-06-30	VYDAJ	VYBER	15	40248	SLUZBY	\N	\N
501709	1709	1998-07-31	VYDAJ	VYBER	15	55577	SLUZBY	\N	\N
501710	1709	1998-08-31	VYDAJ	VYBER	15	64954	SLUZBY	\N	\N
501711	1709	1998-09-30	VYDAJ	VYBER	15	67049	SLUZBY	\N	\N
501712	1709	1998-10-31	VYDAJ	VYBER	15	67849	SLUZBY	\N	\N
501713	1709	1998-11-30	VYDAJ	VYBER	15	70356	SLUZBY	\N	\N
501714	1709	1996-05-23	PRIJEM	VKLAD	4100	22569	\N	\N	\N
501715	1709	1996-06-22	VYDAJ	VYBER	11300	38400	\N	\N	\N
501716	1709	1996-07-22	VYDAJ	VYBER	13900	42683	\N	\N	\N
501717	1709	1996-08-21	VYDAJ	VYBER	18500	42418	\N	\N	\N
501718	1709	1996-09-20	VYDAJ	VYBER	17000	43664	\N	\N	\N
501719	1709	1996-10-20	VYDAJ	VYBER	14400	44270	\N	\N	\N
501720	1709	1996-11-19	VYDAJ	VYBER	15300	43993	\N	\N	\N
501721	1709	1996-12-19	VYDAJ	VYBER	16300	49990	\N	\N	\N
501722	1709	1997-01-18	VYDAJ	VYBER	3400	41025	\N	\N	\N
501723	1709	1997-02-17	VYDAJ	VYBER	6900	42889	\N	\N	\N
501724	1709	1997-03-19	VYDAJ	VYBER	8900	48982	\N	\N	\N
501725	1709	1997-04-18	VYDAJ	VYBER	10700	53309	\N	\N	\N
501726	1709	1997-05-18	VYDAJ	VYBER	14000	54357	\N	\N	\N
501727	1709	1997-06-17	VYDAJ	VYBER	6700	40072	\N	\N	\N
501728	1709	1997-07-17	VYDAJ	VYBER	7200	46608	\N	\N	\N
501729	1709	1997-08-16	VYDAJ	VYBER	11700	49920	\N	\N	\N
501730	1709	1997-09-15	VYDAJ	VYBER	7400	55251	\N	\N	\N
501731	1709	1997-10-15	VYDAJ	VYBER	16300	52595	\N	\N	\N
501732	1709	1997-11-14	VYDAJ	VYBER	9600	56143	\N	\N	\N
501733	1709	1997-12-14	VYDAJ	VYBER	17500	57629	\N	\N	\N
501734	1709	1998-01-13	VYDAJ	VYBER KARTOU	300	47259	\N	\N	0
501735	1709	1998-02-12	VYDAJ	VYBER KARTOU	3100	43836	\N	\N	0
501736	1709	1998-03-14	VYDAJ	VYBER	15500	61465	\N	\N	\N
501737	1709	1998-04-13	VYDAJ	VYBER	5400	50679	\N	\N	\N
501738	1709	1998-05-13	VYDAJ	VYBER	13100	52676	\N	\N	\N
501739	1709	1998-06-12	VYDAJ	VYBER	15500	50689	\N	\N	\N
501740	1709	1998-07-12	PRIJEM	VKLAD	300	37321	\N	\N	\N
501741	1709	1998-08-11	VYDAJ	VYBER	5700	49877	\N	\N	\N
501742	1709	1998-09-10	VYDAJ	VYBER	11600	53354	\N	\N	\N
501743	1709	1998-10-10	VYDAJ	VYBER	14300	52749	\N	\N	\N
501744	1709	1998-11-09	VYDAJ	VYBER	12600	55249	\N	\N	\N
501745	1709	1998-12-09	VYDAJ	VYBER	11300	59056	\N	\N	\N
501778	1710	1997-05-25	PRIJEM	VKLAD	900	900	\N	\N	\N
501784	1710	1997-06-10	PRIJEM	PREVOD Z UCTU	6885	7785	DUCHOD	YZ	79778361
501785	1710	1997-07-10	PRIJEM	PREVOD Z UCTU	6885	14670	DUCHOD	YZ	79778361
501786	1710	1997-08-10	PRIJEM	PREVOD Z UCTU	6885	21555	DUCHOD	YZ	79778361
501787	1710	1997-09-10	PRIJEM	PREVOD Z UCTU	6885	28440	DUCHOD	YZ	79778361
501788	1710	1997-10-10	PRIJEM	PREVOD Z UCTU	6885	34259	DUCHOD	YZ	79778361
501789	1710	1997-11-10	PRIJEM	PREVOD Z UCTU	6885	33975	DUCHOD	YZ	79778361
501790	1710	1997-12-10	PRIJEM	PREVOD Z UCTU	6885	38910	DUCHOD	YZ	79778361
501791	1710	1998-01-10	PRIJEM	PREVOD Z UCTU	6885	38307	DUCHOD	YZ	79778361
501792	1710	1998-02-10	PRIJEM	PREVOD Z UCTU	6885	33344	DUCHOD	YZ	79778361
501793	1710	1998-03-10	PRIJEM	PREVOD Z UCTU	6885	36352	DUCHOD	YZ	79778361
501794	1710	1998-04-10	PRIJEM	PREVOD Z UCTU	6885	41297	DUCHOD	YZ	79778361
501795	1710	1998-05-10	PRIJEM	PREVOD Z UCTU	6885	41956	DUCHOD	YZ	79778361
501796	1710	1998-06-10	PRIJEM	PREVOD Z UCTU	6885	40677	DUCHOD	YZ	79778361
501797	1710	1998-07-10	PRIJEM	PREVOD Z UCTU	6885	33239	DUCHOD	YZ	79778361
501798	1710	1998-08-10	PRIJEM	PREVOD Z UCTU	6885	37470	DUCHOD	YZ	79778361
501799	1710	1998-09-10	PRIJEM	PREVOD Z UCTU	6885	41217	DUCHOD	YZ	79778361
501800	1710	1998-10-10	PRIJEM	PREVOD Z UCTU	6885	45982	DUCHOD	YZ	79778361
501801	1710	1998-11-10	PRIJEM	PREVOD Z UCTU	6885	50867	DUCHOD	YZ	79778361
501802	1710	1998-12-10	PRIJEM	PREVOD Z UCTU	6885	50243	DUCHOD	YZ	79778361
501813	1710	1997-11-05	VYDAJ	PREVOD NA UCET	2071	27090	SIPO	ST	17466086
501814	1710	1997-12-05	VYDAJ	PREVOD NA UCET	2071	32025	SIPO	ST	17466086
501815	1710	1998-01-05	VYDAJ	PREVOD NA UCET	2071	31422	SIPO	ST	17466086
501816	1710	1998-02-05	VYDAJ	PREVOD NA UCET	2071	26459	SIPO	ST	17466086
501817	1710	1998-03-05	VYDAJ	PREVOD NA UCET	2071	29467	SIPO	ST	17466086
501818	1710	1998-04-05	VYDAJ	PREVOD NA UCET	2071	34412	SIPO	ST	17466086
501819	1710	1998-05-05	VYDAJ	PREVOD NA UCET	2071	35071	SIPO	ST	17466086
501820	1710	1998-06-05	VYDAJ	PREVOD NA UCET	2071	33792	SIPO	ST	17466086
501821	1710	1998-07-05	VYDAJ	PREVOD NA UCET	2071	26354	SIPO	ST	17466086
501822	1710	1998-08-05	VYDAJ	PREVOD NA UCET	2071	30585	SIPO	ST	17466086
501823	1710	1998-09-05	VYDAJ	PREVOD NA UCET	2071	34332	SIPO	ST	17466086
501824	1710	1998-10-05	VYDAJ	PREVOD NA UCET	2071	39097	SIPO	ST	17466086
501825	1710	1998-11-05	VYDAJ	PREVOD NA UCET	2071	43982	SIPO	ST	17466086
501826	1710	1998-12-05	VYDAJ	PREVOD NA UCET	2071	43358	SIPO	ST	17466086
501828	1710	1998-06-22	VYDAJ	VYBER	5500	28297	\N	\N	\N
501830	1710	1998-01-20	VYDAJ	VYBER	3500	31527	\N	\N	\N
501831	1710	1997-12-15	VYDAJ	VYBER	450	38460	\N	\N	\N
501832	1710	1998-12-17	VYDAJ	VYBER	500	49743	\N	\N	\N
501839	1710	1998-01-20	VYDAJ	VYBER	1200	30327	\N	\N	\N
501840	1710	1998-01-24	VYDAJ	VYBER	1440	28887	\N	\N	\N
501841	1710	1998-01-17	VYDAJ	VYBER	1200	36307	\N	\N	\N
501842	1710	1998-01-19	VYDAJ	VYBER	1280	35027	\N	\N	\N
501843	1710	1998-01-15	VYDAJ	VYBER	800	37507	\N	\N	\N
501844	1710	1998-01-24	VYDAJ	VYBER	480	28407	\N	\N	\N
501852	1710	1998-11-24	VYDAJ	VYBER	2720	45247	\N	\N	\N
501853	1710	1998-06-14	VYDAJ	VYBER	3920	36757	\N	\N	\N
501854	1710	1998-02-15	VYDAJ	VYBER	1920	31424	\N	\N	\N
501855	1710	1998-05-31	VYDAJ	VYBER	1840	35877	\N	\N	\N
501856	1710	1998-06-21	VYDAJ	VYBER	2960	33797	\N	\N	\N
501867	1710	1997-10-31	VYDAJ	VYBER	15	29161	SLUZBY	\N	\N
501868	1710	1997-11-30	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
501869	1710	1997-12-31	VYDAJ	VYBER	15	33493	SLUZBY	\N	\N
501870	1710	1998-01-31	VYDAJ	VYBER	15	28530	SLUZBY	\N	\N
501871	1710	1998-02-28	VYDAJ	VYBER	15	31538	SLUZBY	\N	\N
501872	1710	1998-03-31	VYDAJ	VYBER	15	36483	SLUZBY	\N	\N
501873	1710	1998-04-30	VYDAJ	VYBER	15	37142	SLUZBY	\N	\N
501874	1710	1998-05-31	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
501875	1710	1998-06-30	VYDAJ	VYBER	15	28425	SLUZBY	\N	\N
501876	1710	1998-07-31	VYDAJ	VYBER	15	32656	SLUZBY	\N	\N
501877	1710	1998-08-31	VYDAJ	VYBER	15	36403	SLUZBY	\N	\N
501878	1710	1998-09-30	VYDAJ	VYBER	15	41168	SLUZBY	\N	\N
501879	1710	1998-10-31	VYDAJ	VYBER	15	46053	SLUZBY	\N	\N
501880	1710	1998-11-30	VYDAJ	VYBER	15	45429	SLUZBY	\N	\N
501881	1710	1997-09-22	VYDAJ	VYBER	1100	27340	\N	\N	\N
501882	1710	1997-10-22	VYDAJ	VYBER	5200	29059	\N	\N	\N
501883	1710	1997-12-21	VYDAJ	VYBER	5100	33360	\N	\N	\N
501884	1710	1998-04-20	VYDAJ	VYBER	4300	36997	\N	\N	\N
501885	1710	1998-05-20	VYDAJ	VYBER	4400	37556	\N	\N	\N
501886	1710	1998-07-19	VYDAJ	VYBER	700	32539	\N	\N	\N
501887	1710	1998-08-18	VYDAJ	VYBER	1200	36270	\N	\N	\N
501888	1710	1998-09-17	VYDAJ	VYBER	200	41017	\N	\N	\N
501889	1710	1998-10-17	VYDAJ	VYBER	100	45882	\N	\N	\N
501890	1710	1998-11-16	VYDAJ	VYBER	2900	47967	\N	\N	\N
501907	1711	1996-01-05	PRIJEM	VKLAD	200	200	\N	\N	\N
501908	1711	1996-01-08	PRIJEM	PREVOD Z UCTU	3795	3995	\N	AB	76187556
501909	1711	1996-02-08	PRIJEM	PREVOD Z UCTU	3795	15603	\N	AB	76187556
501910	1711	1996-03-08	PRIJEM	PREVOD Z UCTU	3795	20851	\N	AB	76187556
501911	1711	1996-04-08	PRIJEM	PREVOD Z UCTU	3795	26228	\N	AB	76187556
501912	1711	1996-05-08	PRIJEM	PREVOD Z UCTU	3795	28627	\N	AB	76187556
501913	1711	1996-06-08	PRIJEM	PREVOD Z UCTU	3795	26659	\N	AB	76187556
501914	1711	1996-07-08	PRIJEM	PREVOD Z UCTU	3795	23810	\N	AB	76187556
501915	1711	1996-08-08	PRIJEM	PREVOD Z UCTU	3795	26652	\N	AB	76187556
501916	1711	1996-09-08	PRIJEM	PREVOD Z UCTU	3795	26904	\N	AB	76187556
501917	1711	1996-10-08	PRIJEM	PREVOD Z UCTU	3795	28758	\N	AB	76187556
501918	1711	1996-11-08	PRIJEM	PREVOD Z UCTU	3795	27018	\N	AB	76187556
501919	1711	1996-12-08	PRIJEM	PREVOD Z UCTU	3795	25371	\N	AB	76187556
501920	1711	1997-01-08	PRIJEM	PREVOD Z UCTU	3795	24975	\N	AB	76187556
501921	1711	1997-02-08	PRIJEM	PREVOD Z UCTU	3795	28151	\N	AB	76187556
501922	1711	1997-03-08	PRIJEM	PREVOD Z UCTU	3795	28209	\N	AB	76187556
501923	1711	1997-04-08	PRIJEM	PREVOD Z UCTU	3795	26133	\N	AB	76187556
501924	1711	1997-05-08	PRIJEM	PREVOD Z UCTU	3795	23882	\N	AB	76187556
501925	1711	1997-06-08	PRIJEM	PREVOD Z UCTU	3795	24122	\N	AB	76187556
501926	1711	1997-07-08	PRIJEM	PREVOD Z UCTU	3795	20339	\N	AB	76187556
501927	1711	1997-08-08	PRIJEM	PREVOD Z UCTU	3795	20143	\N	AB	76187556
501928	1711	1997-09-08	PRIJEM	PREVOD Z UCTU	3795	21668	\N	AB	76187556
501929	1711	1997-10-08	PRIJEM	PREVOD Z UCTU	3795	21399	\N	AB	76187556
501930	1711	1997-11-08	PRIJEM	PREVOD Z UCTU	3795	25260	\N	AB	76187556
501931	1711	1997-12-08	PRIJEM	PREVOD Z UCTU	3795	25004	\N	AB	76187556
501932	1711	1998-01-08	PRIJEM	PREVOD Z UCTU	3795	25568	\N	AB	76187556
501933	1711	1998-02-08	PRIJEM	PREVOD Z UCTU	3795	28005	\N	AB	76187556
501934	1711	1998-03-08	PRIJEM	PREVOD Z UCTU	3795	25326	\N	AB	76187556
501935	1711	1998-04-08	PRIJEM	PREVOD Z UCTU	3795	27573	\N	AB	76187556
501936	1711	1998-05-08	PRIJEM	PREVOD Z UCTU	3795	31031	\N	AB	76187556
501937	1711	1998-06-08	PRIJEM	PREVOD Z UCTU	3795	31888	\N	AB	76187556
501938	1711	1998-07-08	PRIJEM	PREVOD Z UCTU	3795	28893	\N	AB	76187556
501939	1711	1998-08-08	PRIJEM	PREVOD Z UCTU	3795	32757	\N	AB	76187556
501940	1711	1998-09-08	PRIJEM	PREVOD Z UCTU	3795	32832	\N	AB	76187556
501941	1711	1998-10-08	PRIJEM	PREVOD Z UCTU	3795	31906	\N	AB	76187556
501942	1711	1998-11-08	PRIJEM	PREVOD Z UCTU	3795	27371	\N	AB	76187556
501943	1711	1998-12-08	PRIJEM	PREVOD Z UCTU	3795	28446	\N	AB	76187556
501948	1711	1996-05-13	VYDAJ	PREVOD NA UCET	183	26286	SIPO	KL	38527757
501949	1711	1996-06-13	VYDAJ	PREVOD NA UCET	183	24318	SIPO	KL	38527757
501950	1711	1996-07-13	VYDAJ	PREVOD NA UCET	183	21469	SIPO	KL	38527757
501951	1711	1996-08-13	VYDAJ	PREVOD NA UCET	183	24311	SIPO	KL	38527757
501952	1711	1996-09-13	VYDAJ	PREVOD NA UCET	183	24563	SIPO	KL	38527757
501953	1711	1996-10-13	VYDAJ	PREVOD NA UCET	183	26417	SIPO	KL	38527757
501954	1711	1996-11-13	VYDAJ	PREVOD NA UCET	183	24677	SIPO	KL	38527757
501955	1711	1996-12-13	VYDAJ	PREVOD NA UCET	183	23030	SIPO	KL	38527757
501956	1711	1997-01-13	VYDAJ	PREVOD NA UCET	183	22634	SIPO	KL	38527757
501957	1711	1997-02-13	VYDAJ	PREVOD NA UCET	183	25810	SIPO	KL	38527757
501958	1711	1997-03-13	VYDAJ	PREVOD NA UCET	183	24488	SIPO	KL	38527757
501959	1711	1997-04-13	VYDAJ	PREVOD NA UCET	183	23792	SIPO	KL	38527757
501960	1711	1997-05-13	VYDAJ	PREVOD NA UCET	183	21541	SIPO	KL	38527757
501961	1711	1997-06-13	VYDAJ	PREVOD NA UCET	183	17221	SIPO	KL	38527757
501962	1711	1997-07-13	VYDAJ	PREVOD NA UCET	183	17998	SIPO	KL	38527757
501963	1711	1997-08-13	VYDAJ	PREVOD NA UCET	183	17802	SIPO	KL	38527757
501964	1711	1997-09-13	VYDAJ	PREVOD NA UCET	183	19327	SIPO	KL	38527757
501965	1711	1997-10-13	VYDAJ	PREVOD NA UCET	183	18818	SIPO	KL	38527757
501966	1711	1997-11-13	VYDAJ	PREVOD NA UCET	183	22919	SIPO	KL	38527757
501967	1711	1997-12-13	VYDAJ	PREVOD NA UCET	183	22663	SIPO	KL	38527757
501968	1711	1998-01-13	VYDAJ	PREVOD NA UCET	183	23227	SIPO	KL	38527757
501969	1711	1998-02-13	VYDAJ	PREVOD NA UCET	183	24434	SIPO	KL	38527757
501970	1711	1998-03-13	VYDAJ	PREVOD NA UCET	183	22985	SIPO	KL	38527757
501971	1711	1998-04-13	VYDAJ	PREVOD NA UCET	183	25232	SIPO	KL	38527757
501972	1711	1998-05-13	VYDAJ	PREVOD NA UCET	183	27580	SIPO	KL	38527757
501973	1711	1998-06-13	VYDAJ	PREVOD NA UCET	183	29367	SIPO	KL	38527757
501974	1711	1998-07-13	VYDAJ	PREVOD NA UCET	183	26552	SIPO	KL	38527757
501975	1711	1998-08-13	VYDAJ	PREVOD NA UCET	183	30416	SIPO	KL	38527757
501976	1711	1998-09-13	VYDAJ	PREVOD NA UCET	183	30491	SIPO	KL	38527757
501977	1711	1998-10-13	VYDAJ	PREVOD NA UCET	183	29565	SIPO	KL	38527757
501978	1711	1998-11-13	VYDAJ	PREVOD NA UCET	183	25030	SIPO	KL	38527757
501979	1711	1998-12-13	VYDAJ	PREVOD NA UCET	183	26105	SIPO	KL	38527757
501985	1711	1996-06-06	VYDAJ	PREVOD NA UCET	188	22864	 	KL	75510221
501986	1711	1996-07-06	VYDAJ	PREVOD NA UCET	188	20015	 	KL	75510221
501987	1711	1996-08-06	VYDAJ	PREVOD NA UCET	188	22857	 	KL	75510221
501988	1711	1996-09-06	VYDAJ	PREVOD NA UCET	188	23109	 	KL	75510221
501989	1711	1996-10-06	VYDAJ	PREVOD NA UCET	188	24963	 	KL	75510221
501990	1711	1996-11-06	VYDAJ	PREVOD NA UCET	188	23223	 	KL	75510221
501991	1711	1996-12-06	VYDAJ	PREVOD NA UCET	188	21576	 	KL	75510221
501992	1711	1997-01-06	VYDAJ	PREVOD NA UCET	188	21180	 	KL	75510221
501993	1711	1997-02-06	VYDAJ	PREVOD NA UCET	188	24356	 	KL	75510221
501994	1711	1997-03-06	VYDAJ	PREVOD NA UCET	188	24414	 	KL	75510221
501995	1711	1997-04-06	VYDAJ	PREVOD NA UCET	188	22338	 	KL	75510221
501996	1711	1997-05-06	VYDAJ	PREVOD NA UCET	188	20087	 	KL	75510221
501997	1711	1997-06-06	VYDAJ	PREVOD NA UCET	188	20327	 	KL	75510221
501998	1711	1997-07-06	VYDAJ	PREVOD NA UCET	188	16544	 	KL	75510221
501999	1711	1997-08-06	VYDAJ	PREVOD NA UCET	188	16348	 	KL	75510221
502000	1711	1997-09-06	VYDAJ	PREVOD NA UCET	188	17873	 	KL	75510221
502001	1711	1997-10-06	VYDAJ	PREVOD NA UCET	188	17604	 	KL	75510221
502002	1711	1997-11-06	VYDAJ	PREVOD NA UCET	188	21465	 	KL	75510221
502003	1711	1997-12-06	VYDAJ	PREVOD NA UCET	188	21209	 	KL	75510221
502004	1711	1998-01-06	VYDAJ	PREVOD NA UCET	188	21773	 	KL	75510221
502005	1711	1998-02-06	VYDAJ	PREVOD NA UCET	188	24210	 	KL	75510221
502006	1711	1998-03-06	VYDAJ	PREVOD NA UCET	188	21531	 	KL	75510221
502007	1711	1998-04-06	VYDAJ	PREVOD NA UCET	188	23778	 	KL	75510221
502008	1711	1998-05-06	VYDAJ	PREVOD NA UCET	188	27236	 	KL	75510221
502009	1711	1998-06-06	VYDAJ	PREVOD NA UCET	188	28093	 	KL	75510221
502010	1711	1998-07-06	VYDAJ	PREVOD NA UCET	188	25098	 	KL	75510221
502011	1711	1998-08-06	VYDAJ	PREVOD NA UCET	188	28962	 	KL	75510221
502012	1711	1998-09-06	VYDAJ	PREVOD NA UCET	188	29037	 	KL	75510221
502013	1711	1998-10-06	VYDAJ	PREVOD NA UCET	188	28111	 	KL	75510221
502014	1711	1998-11-06	VYDAJ	PREVOD NA UCET	188	23576	 	KL	75510221
502015	1711	1998-12-06	VYDAJ	PREVOD NA UCET	188	24651	 	KL	75510221
502020	1711	1996-05-10	VYDAJ	PREVOD NA UCET	2158	26469	POJISTNE	CD	58891451
502021	1711	1996-06-10	VYDAJ	PREVOD NA UCET	2158	24501	POJISTNE	CD	58891451
502022	1711	1996-07-10	VYDAJ	PREVOD NA UCET	2158	21652	POJISTNE	CD	58891451
502023	1711	1996-08-10	VYDAJ	PREVOD NA UCET	2158	24494	POJISTNE	CD	58891451
502024	1711	1996-09-10	VYDAJ	PREVOD NA UCET	2158	24746	POJISTNE	CD	58891451
502025	1711	1996-10-10	VYDAJ	PREVOD NA UCET	2158	26600	POJISTNE	CD	58891451
502026	1711	1996-11-10	VYDAJ	PREVOD NA UCET	2158	24860	POJISTNE	CD	58891451
502027	1711	1996-12-10	VYDAJ	PREVOD NA UCET	2158	23213	POJISTNE	CD	58891451
502028	1711	1997-01-10	VYDAJ	PREVOD NA UCET	2158	22817	POJISTNE	CD	58891451
502029	1711	1997-02-10	VYDAJ	PREVOD NA UCET	2158	25993	POJISTNE	CD	58891451
502030	1711	1997-03-10	VYDAJ	PREVOD NA UCET	2158	26051	POJISTNE	CD	58891451
502031	1711	1997-04-10	VYDAJ	PREVOD NA UCET	2158	23975	POJISTNE	CD	58891451
502032	1711	1997-05-10	VYDAJ	PREVOD NA UCET	2158	21724	POJISTNE	CD	58891451
502033	1711	1997-06-10	VYDAJ	PREVOD NA UCET	2158	17404	POJISTNE	CD	58891451
502034	1711	1997-07-10	VYDAJ	PREVOD NA UCET	2158	18181	POJISTNE	CD	58891451
502035	1711	1997-08-10	VYDAJ	PREVOD NA UCET	2158	17985	POJISTNE	CD	58891451
502036	1711	1997-09-10	VYDAJ	PREVOD NA UCET	2158	19510	POJISTNE	CD	58891451
502037	1711	1997-10-10	VYDAJ	PREVOD NA UCET	2158	19241	POJISTNE	CD	58891451
502038	1711	1997-11-10	VYDAJ	PREVOD NA UCET	2158	23102	POJISTNE	CD	58891451
502039	1711	1997-12-10	VYDAJ	PREVOD NA UCET	2158	22846	POJISTNE	CD	58891451
502040	1711	1998-01-10	VYDAJ	PREVOD NA UCET	2158	23410	POJISTNE	CD	58891451
502041	1711	1998-02-10	VYDAJ	PREVOD NA UCET	2158	24617	POJISTNE	CD	58891451
502042	1711	1998-03-10	VYDAJ	PREVOD NA UCET	2158	23168	POJISTNE	CD	58891451
502043	1711	1998-04-10	VYDAJ	PREVOD NA UCET	2158	25415	POJISTNE	CD	58891451
502044	1711	1998-05-10	VYDAJ	PREVOD NA UCET	2158	28873	POJISTNE	CD	58891451
502045	1711	1998-06-10	VYDAJ	PREVOD NA UCET	2158	29550	POJISTNE	CD	58891451
502046	1711	1998-07-10	VYDAJ	PREVOD NA UCET	2158	26735	POJISTNE	CD	58891451
502047	1711	1998-08-10	VYDAJ	PREVOD NA UCET	2158	30599	POJISTNE	CD	58891451
502048	1711	1998-09-10	VYDAJ	PREVOD NA UCET	2158	30674	POJISTNE	CD	58891451
502049	1711	1998-10-10	VYDAJ	PREVOD NA UCET	2158	29748	POJISTNE	CD	58891451
502050	1711	1998-11-10	VYDAJ	PREVOD NA UCET	2158	25213	POJISTNE	CD	58891451
502051	1711	1998-12-10	VYDAJ	PREVOD NA UCET	2158	26288	POJISTNE	CD	58891451
502052	1711	1996-06-03	VYDAJ	VYBER	5730	23052	\N	\N	\N
502053	1711	1997-06-09	VYDAJ	VYBER	4560	19562	\N	\N	\N
502054	1711	1998-06-20	VYDAJ	VYBER	6540	21387	\N	\N	\N
502056	1711	1997-01-28	VYDAJ	VYBER	1170	21464	\N	\N	\N
502057	1711	1998-01-15	VYDAJ	VYBER	1410	21817	\N	\N	\N
502058	1711	1996-12-13	VYDAJ	VYBER	630	22400	\N	\N	\N
502059	1711	1997-12-28	VYDAJ	VYBER	330	21883	\N	\N	\N
502060	1711	1998-12-15	VYDAJ	VYBER	480	25625	\N	\N	\N
502061	1711	1996-06-20	VYDAJ	VYBER	1200	23118	\N	\N	\N
502062	1711	1996-11-05	VYDAJ	VYBER	300	23411	\N	\N	\N
502064	1711	1996-12-15	VYDAJ	VYBER	510	21890	\N	\N	\N
502067	1711	1997-03-12	VYDAJ	VYBER	1380	24671	\N	\N	\N
502068	1711	1997-07-19	VYDAJ	VYBER	720	17278	\N	\N	\N
502069	1711	1997-10-22	VYDAJ	VYBER	930	17888	\N	\N	\N
502070	1711	1997-06-28	VYDAJ	VYBER	450	16771	\N	\N	\N
502071	1711	1997-10-11	VYDAJ	VYBER	240	19001	\N	\N	\N
502072	1711	1997-12-20	VYDAJ	VYBER	1050	21613	\N	\N	\N
502073	1711	1997-03-31	VYDAJ	VYBER	150	22541	\N	\N	\N
502074	1711	1998-02-09	VYDAJ	VYBER	1230	26775	\N	\N	\N
502075	1711	1998-05-10	VYDAJ	VYBER	1110	27763	\N	\N	\N
502076	1711	1998-06-18	VYDAJ	VYBER	1440	27927	\N	\N	\N
502077	1711	1998-12-04	VYDAJ	VYBER	780	24839	\N	\N	\N
502078	1711	1998-06-10	VYDAJ	VYBER	180	31708	\N	\N	\N
502084	1711	1996-05-31	VYDAJ	VYBER	15	26382	SLUZBY	\N	\N
502085	1711	1996-06-30	VYDAJ	VYBER	15	23203	SLUZBY	\N	\N
502086	1711	1996-07-31	VYDAJ	VYBER	15	21545	SLUZBY	\N	\N
502087	1711	1996-08-31	VYDAJ	VYBER	15	24397	SLUZBY	\N	\N
502088	1711	1996-09-30	VYDAJ	VYBER	15	24651	SLUZBY	\N	\N
502089	1711	1996-10-31	VYDAJ	VYBER	15	23711	SLUZBY	\N	\N
502090	1711	1996-11-30	VYDAJ	VYBER	15	24764	SLUZBY	\N	\N
502091	1711	1996-12-31	VYDAJ	VYBER	15	21368	SLUZBY	\N	\N
502092	1711	1997-01-31	VYDAJ	VYBER	15	24544	SLUZBY	\N	\N
502093	1711	1997-02-28	VYDAJ	VYBER	15	25902	SLUZBY	\N	\N
502094	1711	1997-03-31	VYDAJ	VYBER	15	22526	SLUZBY	\N	\N
502095	1711	1997-04-30	VYDAJ	VYBER	15	20275	SLUZBY	\N	\N
502096	1711	1997-05-31	VYDAJ	VYBER	15	20515	SLUZBY	\N	\N
502097	1711	1997-06-30	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
502098	1711	1997-07-31	VYDAJ	VYBER	15	16536	SLUZBY	\N	\N
502099	1711	1997-08-31	VYDAJ	VYBER	15	18061	SLUZBY	\N	\N
502100	1711	1997-09-30	VYDAJ	VYBER	15	17792	SLUZBY	\N	\N
502101	1711	1997-10-31	VYDAJ	VYBER	15	21653	SLUZBY	\N	\N
502102	1711	1997-11-30	VYDAJ	VYBER	15	21397	SLUZBY	\N	\N
502103	1711	1997-12-31	VYDAJ	VYBER	15	21961	SLUZBY	\N	\N
502104	1711	1998-01-31	VYDAJ	VYBER	15	24398	SLUZBY	\N	\N
502105	1711	1998-02-28	VYDAJ	VYBER	15	21719	SLUZBY	\N	\N
502106	1711	1998-03-31	VYDAJ	VYBER	15	23966	SLUZBY	\N	\N
502107	1711	1998-04-30	VYDAJ	VYBER	15	27424	SLUZBY	\N	\N
502108	1711	1998-05-31	VYDAJ	VYBER	15	28281	SLUZBY	\N	\N
502109	1711	1998-06-30	VYDAJ	VYBER	15	25286	SLUZBY	\N	\N
502110	1711	1998-07-31	VYDAJ	VYBER	15	29150	SLUZBY	\N	\N
502111	1711	1998-08-31	VYDAJ	VYBER	15	29225	SLUZBY	\N	\N
502112	1711	1998-09-30	VYDAJ	VYBER	15	28299	SLUZBY	\N	\N
502113	1711	1998-10-31	VYDAJ	VYBER	15	23764	SLUZBY	\N	\N
502114	1711	1998-11-30	VYDAJ	VYBER	15	25619	SLUZBY	\N	\N
502115	1711	1996-02-04	PRIJEM	VKLAD	7800	11808	\N	\N	\N
502116	1711	1996-03-05	PRIJEM	VKLAD	1400	17056	\N	\N	\N
502117	1711	1996-04-04	PRIJEM	VKLAD	1500	22433	\N	\N	\N
502118	1711	1996-05-04	VYDAJ	VYBER	1500	24832	\N	\N	\N
502119	1711	1996-06-03	PRIJEM	VKLAD	2400	28782	\N	\N	\N
502120	1711	1996-07-03	VYDAJ	VYBER	3000	20203	\N	\N	\N
502121	1711	1996-08-02	PRIJEM	VKLAD	1500	23045	\N	\N	\N
502122	1711	1996-09-01	VYDAJ	VYBER	1100	23297	\N	\N	\N
502123	1711	1996-10-01	PRIJEM	VKLAD	500	25151	\N	\N	\N
502124	1711	1996-10-31	VYDAJ	VYBER	2800	23725	\N	\N	\N
502125	1711	1996-11-30	VYDAJ	VYBER	3000	21764	\N	\N	\N
502126	1711	1996-12-30	VYDAJ	VYBER	600	21290	\N	\N	\N
502127	1711	1997-01-29	PRIJEM	VKLAD	3000	24464	\N	\N	\N
502128	1711	1997-02-28	VYDAJ	VYBER	1300	24602	\N	\N	\N
502129	1711	1997-03-30	VYDAJ	VYBER	1900	22588	\N	\N	\N
502130	1711	1997-04-29	VYDAJ	VYBER	3600	20192	\N	\N	\N
502131	1711	1997-05-29	VYDAJ	VYBER	1100	20441	\N	\N	\N
502132	1711	1997-06-28	VYDAJ	VYBER	100	16671	\N	\N	\N
502133	1711	1997-07-28	VYDAJ	VYBER	800	16478	\N	\N	\N
502134	1711	1997-08-27	PRIJEM	VKLAD	200	18002	\N	\N	\N
502135	1711	1997-09-26	VYDAJ	VYBER	1600	17727	\N	\N	\N
502136	1711	1997-10-26	PRIJEM	VKLAD	3700	21588	\N	\N	\N
502137	1711	1997-11-25	VYDAJ	VYBER	1600	21319	\N	\N	\N
502138	1711	1997-12-25	PRIJEM	VKLAD	600	22213	\N	\N	\N
502139	1711	1998-01-24	PRIJEM	VKLAD	2500	24317	\N	\N	\N
502140	1711	1998-02-23	VYDAJ	VYBER	2800	21634	\N	\N	\N
502141	1711	1998-03-25	PRIJEM	VKLAD	900	23885	\N	\N	\N
502142	1711	1998-04-24	PRIJEM	VKLAD	2100	27332	\N	\N	\N
502143	1711	1998-05-24	PRIJEM	VKLAD	600	28180	\N	\N	\N
502144	1711	1998-06-23	PRIJEM	VKLAD	3800	25187	\N	\N	\N
502145	1711	1998-07-23	PRIJEM	VKLAD	2500	29052	\N	\N	\N
502146	1711	1998-08-22	VYDAJ	VYBER	1300	29116	\N	\N	\N
502147	1711	1998-09-21	VYDAJ	VYBER	2300	28191	\N	\N	\N
502148	1711	1998-10-21	VYDAJ	VYBER	5900	23665	\N	\N	\N
502149	1711	1998-11-20	PRIJEM	VKLAD	500	25530	\N	\N	\N
502186	1712	1996-11-25	PRIJEM	VKLAD	200	200	\N	\N	\N
502198	1712	1996-12-05	PRIJEM	PREVOD Z UCTU	6104	6304	DUCHOD	WX	29697436
502199	1712	1997-01-05	PRIJEM	PREVOD Z UCTU	6104	12408	DUCHOD	WX	29697436
502200	1712	1997-02-05	PRIJEM	PREVOD Z UCTU	6104	18512	DUCHOD	WX	29697436
502201	1712	1997-03-05	PRIJEM	PREVOD Z UCTU	6104	24616	DUCHOD	WX	29697436
502202	1712	1997-04-05	PRIJEM	PREVOD Z UCTU	6104	30720	DUCHOD	WX	29697436
502203	1712	1997-05-05	PRIJEM	PREVOD Z UCTU	6104	31977	DUCHOD	WX	29697436
502204	1712	1997-06-05	PRIJEM	PREVOD Z UCTU	6104	32559	DUCHOD	WX	29697436
502205	1712	1997-07-05	PRIJEM	PREVOD Z UCTU	6104	23134	DUCHOD	WX	29697436
502206	1712	1997-08-05	PRIJEM	PREVOD Z UCTU	6104	24238	DUCHOD	WX	29697436
502207	1712	1997-09-05	PRIJEM	PREVOD Z UCTU	6104	28792	DUCHOD	WX	29697436
502208	1712	1997-10-05	PRIJEM	PREVOD Z UCTU	6104	31984	DUCHOD	WX	29697436
502209	1712	1997-11-05	PRIJEM	PREVOD Z UCTU	6104	34166	DUCHOD	WX	29697436
502210	1712	1997-12-05	PRIJEM	PREVOD Z UCTU	6104	36258	DUCHOD	WX	29697436
502211	1712	1998-01-05	PRIJEM	PREVOD Z UCTU	6104	38701	DUCHOD	WX	29697436
502212	1712	1998-02-05	PRIJEM	PREVOD Z UCTU	6104	26130	DUCHOD	WX	29697436
502213	1712	1998-03-05	PRIJEM	PREVOD Z UCTU	6104	30691	DUCHOD	WX	29697436
502214	1712	1998-04-05	PRIJEM	PREVOD Z UCTU	6104	35272	DUCHOD	WX	29697436
502215	1712	1998-05-05	PRIJEM	PREVOD Z UCTU	6104	36907	DUCHOD	WX	29697436
502216	1712	1998-06-05	PRIJEM	PREVOD Z UCTU	6104	37833	DUCHOD	WX	29697436
502217	1712	1998-07-05	PRIJEM	PREVOD Z UCTU	6104	26196	DUCHOD	WX	29697436
502218	1712	1998-08-05	PRIJEM	PREVOD Z UCTU	6104	30758	DUCHOD	WX	29697436
502219	1712	1998-09-05	PRIJEM	PREVOD Z UCTU	6104	35339	DUCHOD	WX	29697436
502220	1712	1998-10-05	PRIJEM	PREVOD Z UCTU	6104	39939	DUCHOD	WX	29697436
502221	1712	1998-11-05	PRIJEM	PREVOD Z UCTU	6104	43155	DUCHOD	WX	29697436
502222	1712	1998-12-05	PRIJEM	PREVOD Z UCTU	6104	45220	DUCHOD	WX	29697436
502238	1712	1997-04-07	VYDAJ	PREVOD NA UCET	1626	29094	SIPO	WX	3848445
502239	1712	1997-05-07	VYDAJ	PREVOD NA UCET	1626	30351	SIPO	WX	3848445
502240	1712	1997-06-07	VYDAJ	PREVOD NA UCET	1626	30933	SIPO	WX	3848445
502241	1712	1997-07-07	VYDAJ	PREVOD NA UCET	1626	21508	SIPO	WX	3848445
502242	1712	1997-08-07	VYDAJ	PREVOD NA UCET	1626	22612	SIPO	WX	3848445
502243	1712	1997-09-07	VYDAJ	PREVOD NA UCET	1626	27166	SIPO	WX	3848445
502244	1712	1997-10-07	VYDAJ	PREVOD NA UCET	1626	30358	SIPO	WX	3848445
502245	1712	1997-11-07	VYDAJ	PREVOD NA UCET	1626	32540	SIPO	WX	3848445
502246	1712	1997-12-07	VYDAJ	PREVOD NA UCET	1626	34632	SIPO	WX	3848445
502247	1712	1998-01-07	VYDAJ	PREVOD NA UCET	1626	35395	SIPO	WX	3848445
502248	1712	1998-02-07	VYDAJ	PREVOD NA UCET	1626	24504	SIPO	WX	3848445
502249	1712	1998-03-07	VYDAJ	PREVOD NA UCET	1626	29065	SIPO	WX	3848445
502250	1712	1998-04-07	VYDAJ	PREVOD NA UCET	1626	33646	SIPO	WX	3848445
502251	1712	1998-05-07	VYDAJ	PREVOD NA UCET	1626	35281	SIPO	WX	3848445
502252	1712	1998-06-07	VYDAJ	PREVOD NA UCET	1626	23207	SIPO	WX	3848445
502253	1712	1998-07-07	VYDAJ	PREVOD NA UCET	1626	24570	SIPO	WX	3848445
502254	1712	1998-08-07	VYDAJ	PREVOD NA UCET	1626	29132	SIPO	WX	3848445
502255	1712	1998-09-07	VYDAJ	PREVOD NA UCET	1626	33713	SIPO	WX	3848445
502256	1712	1998-10-07	VYDAJ	PREVOD NA UCET	1626	38313	SIPO	WX	3848445
502257	1712	1998-11-07	VYDAJ	PREVOD NA UCET	1626	41529	SIPO	WX	3848445
502258	1712	1998-12-07	VYDAJ	PREVOD NA UCET	1626	43594	SIPO	WX	3848445
502260	1712	1997-06-18	VYDAJ	VYBER	10950	19983	\N	\N	\N
502261	1712	1998-06-06	VYDAJ	VYBER	13000	24833	\N	\N	\N
502264	1712	1998-01-25	VYDAJ	VYBER	4850	28865	\N	\N	\N
502266	1712	1997-12-20	VYDAJ	VYBER	400	34232	\N	\N	\N
502267	1712	1998-12-18	VYDAJ	VYBER	500	39834	\N	\N	\N
502280	1712	1998-01-05	VYDAJ	VYBER	1680	37021	\N	\N	\N
502281	1712	1998-01-19	VYDAJ	VYBER	1680	33715	\N	\N	\N
502282	1712	1998-01-30	VYDAJ	VYBER	2320	19905	\N	\N	\N
502283	1712	1998-01-25	VYDAJ	VYBER	2160	26705	\N	\N	\N
502284	1712	1998-01-04	VYDAJ	VYBER	1760	32597	\N	\N	\N
502285	1712	1998-01-28	VYDAJ	VYBER	1760	22225	\N	\N	\N
502294	1712	1997-07-21	VYDAJ	VYBER	3440	18068	\N	\N	\N
502295	1712	1997-09-25	VYDAJ	VYBER	1280	25786	\N	\N	\N
502296	1712	1997-06-21	VYDAJ	VYBER	3040	16943	\N	\N	\N
502299	1712	1998-12-14	VYDAJ	VYBER	1360	42234	\N	\N	\N
502300	1712	1998-04-20	VYDAJ	VYBER	2960	30686	\N	\N	\N
502301	1712	1998-06-24	VYDAJ	VYBER	3200	20007	\N	\N	\N
502302	1712	1998-05-31	VYDAJ	VYBER	3680	31744	\N	\N	\N
502303	1712	1998-11-10	VYDAJ	VYBER	2560	38969	\N	\N	\N
502304	1712	1998-01-27	VYDAJ	VYBER	2720	23985	\N	\N	\N
502321	1712	1997-04-30	VYDAJ	VYBER	15	25873	SLUZBY	\N	\N
502322	1712	1997-05-31	VYDAJ	VYBER	15	26455	SLUZBY	\N	\N
502323	1712	1997-06-30	VYDAJ	VYBER	15	17030	SLUZBY	\N	\N
502324	1712	1997-07-31	VYDAJ	VYBER	15	18134	SLUZBY	\N	\N
502325	1712	1997-08-31	VYDAJ	VYBER	15	22688	SLUZBY	\N	\N
502326	1712	1997-09-30	VYDAJ	VYBER	15	25880	SLUZBY	\N	\N
502327	1712	1997-10-31	VYDAJ	VYBER	15	28062	SLUZBY	\N	\N
502328	1712	1997-11-30	VYDAJ	VYBER	15	30154	SLUZBY	\N	\N
502329	1712	1997-12-31	VYDAJ	VYBER	15	34357	SLUZBY	\N	\N
502330	1712	1998-01-31	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
502331	1712	1998-02-28	VYDAJ	VYBER	15	24587	SLUZBY	\N	\N
502332	1712	1998-03-31	VYDAJ	VYBER	15	29168	SLUZBY	\N	\N
502333	1712	1998-04-30	VYDAJ	VYBER	15	30803	SLUZBY	\N	\N
502334	1712	1998-05-31	VYDAJ	VYBER	15	31729	SLUZBY	\N	\N
502335	1712	1998-06-30	VYDAJ	VYBER	15	20092	SLUZBY	\N	\N
502336	1712	1998-07-31	VYDAJ	VYBER	15	24654	SLUZBY	\N	\N
502337	1712	1998-08-31	VYDAJ	VYBER	15	29235	SLUZBY	\N	\N
502338	1712	1998-09-30	VYDAJ	VYBER	15	33835	SLUZBY	\N	\N
502339	1712	1998-10-31	VYDAJ	VYBER	15	37051	SLUZBY	\N	\N
502340	1712	1998-11-30	VYDAJ	VYBER	15	39116	SLUZBY	\N	\N
502341	1712	1997-04-24	VYDAJ	VYBER	3300	25794	\N	\N	\N
502342	1712	1997-05-24	VYDAJ	VYBER	4000	26351	\N	\N	\N
502343	1712	1997-09-21	VYDAJ	VYBER	100	27066	\N	\N	\N
502344	1712	1997-10-21	VYDAJ	VYBER	2400	27958	\N	\N	\N
502345	1712	1997-11-20	VYDAJ	VYBER	2500	30040	\N	\N	\N
502346	1712	1998-10-16	VYDAJ	VYBER	1400	36913	\N	\N	\N
502347	1712	1998-12-15	VYDAJ	VYBER	1900	40334	\N	\N	\N
502369	1713	1993-03-03	PRIJEM	VKLAD	700	700	\N	\N	\N
502370	1713	1993-09-28	PRIJEM	VKLAD	46315	97435	\N	\N	\N
502371	1713	1993-09-21	PRIJEM	VKLAD	25142	52020	\N	\N	\N
502372	1713	1994-03-02	PRIJEM	VKLAD	45958	67381	\N	\N	\N
502373	1713	1994-03-14	PRIJEM	VKLAD	47641	115022	\N	\N	\N
502374	1713	1995-05-01	PRIJEM	VKLAD	47846	68998	\N	\N	\N
502375	1713	1995-09-21	PRIJEM	VKLAD	35214	51829	\N	\N	\N
502376	1713	1996-05-27	PRIJEM	VKLAD	7273	20636	\N	\N	\N
502377	1713	1996-05-28	PRIJEM	VKLAD	23524	44160	\N	\N	\N
502378	1713	1997-12-17	PRIJEM	VKLAD	11209	28610	\N	\N	\N
502379	1713	1997-02-15	PRIJEM	VKLAD	33280	49443	\N	\N	\N
502380	1713	1998-07-12	PRIJEM	VKLAD	12042	28350	\N	\N	\N
502381	1713	1998-03-02	PRIJEM	VKLAD	25991	42645	\N	\N	\N
502384	1713	1993-03-16	PRIJEM	VKLAD	700	1400	\N	\N	\N
502385	1713	1993-04-16	PRIJEM	VKLAD	700	13103	\N	\N	\N
502386	1713	1993-05-15	PRIJEM	VKLAD	700	19833	\N	\N	\N
502387	1713	1993-06-17	PRIJEM	VKLAD	700	24503	\N	\N	\N
502388	1713	1993-07-13	PRIJEM	VKLAD	700	24095	\N	\N	\N
502389	1713	1993-08-16	PRIJEM	VKLAD	700	27282	\N	\N	\N
502390	1713	1993-09-15	PRIJEM	VKLAD	700	26878	\N	\N	\N
502391	1713	1993-10-14	PRIJEM	VKLAD	700	62473	\N	\N	\N
502392	1713	1993-11-17	PRIJEM	VKLAD	700	45009	\N	\N	\N
502393	1713	1993-12-13	PRIJEM	VKLAD	700	37476	\N	\N	\N
502394	1713	1994-01-17	PRIJEM	VKLAD	700	29313	\N	\N	\N
502395	1713	1994-02-15	PRIJEM	VKLAD	700	19758	\N	\N	\N
502396	1713	1994-03-15	PRIJEM	VKLAD	700	78822	\N	\N	\N
502397	1713	1994-04-15	PRIJEM	VKLAD	700	54822	\N	\N	\N
502398	1713	1994-05-13	PRIJEM	VKLAD	700	40076	\N	\N	\N
502399	1713	1994-06-16	PRIJEM	VKLAD	700	28025	\N	\N	\N
502400	1713	1994-07-16	PRIJEM	VKLAD	700	24483	\N	\N	\N
502401	1713	1994-08-16	PRIJEM	VKLAD	700	26572	\N	\N	\N
502402	1713	1994-09-13	PRIJEM	VKLAD	700	27915	\N	\N	\N
502403	1713	1994-10-17	PRIJEM	VKLAD	700	27313	\N	\N	\N
502404	1713	1994-11-17	PRIJEM	VKLAD	700	24906	\N	\N	\N
502405	1713	1994-12-14	PRIJEM	VKLAD	700	25695	\N	\N	\N
502406	1713	1995-01-14	PRIJEM	VKLAD	700	14687	\N	\N	\N
502407	1713	1995-02-17	PRIJEM	VKLAD	700	18993	\N	\N	\N
502408	1713	1995-03-16	PRIJEM	VKLAD	700	21857	\N	\N	\N
502409	1713	1995-04-16	PRIJEM	VKLAD	700	20980	\N	\N	\N
502410	1713	1995-05-14	PRIJEM	VKLAD	700	69698	\N	\N	\N
502411	1713	1995-06-14	PRIJEM	VKLAD	700	22358	\N	\N	\N
502412	1713	1995-07-17	PRIJEM	VKLAD	700	22479	\N	\N	\N
502413	1713	1995-08-15	PRIJEM	VKLAD	700	20351	\N	\N	\N
502414	1713	1995-09-13	PRIJEM	VKLAD	700	18615	\N	\N	\N
502415	1713	1995-10-16	PRIJEM	VKLAD	700	51985	\N	\N	\N
502416	1713	1995-11-15	PRIJEM	VKLAD	700	34955	\N	\N	\N
502417	1713	1995-12-16	PRIJEM	VKLAD	700	23868	\N	\N	\N
502418	1713	1996-01-16	PRIJEM	VKLAD	700	14940	\N	\N	\N
502419	1713	1996-02-15	PRIJEM	VKLAD	700	14934	\N	\N	\N
502420	1713	1996-03-14	PRIJEM	VKLAD	700	13174	\N	\N	\N
502421	1713	1996-04-16	PRIJEM	VKLAD	700	15916	\N	\N	\N
502422	1713	1996-05-14	PRIJEM	VKLAD	700	15563	\N	\N	\N
502423	1713	1996-06-14	PRIJEM	VKLAD	700	44670	\N	\N	\N
502424	1713	1996-07-17	PRIJEM	VKLAD	700	15394	\N	\N	\N
502425	1713	1996-08-15	PRIJEM	VKLAD	700	16147	\N	\N	\N
502426	1713	1996-09-15	PRIJEM	VKLAD	700	13295	\N	\N	\N
502427	1713	1996-10-17	PRIJEM	VKLAD	700	14040	\N	\N	\N
502428	1713	1996-11-14	PRIJEM	VKLAD	700	14779	\N	\N	\N
502429	1713	1996-12-13	PRIJEM	VKLAD	700	15521	\N	\N	\N
502430	1713	1997-01-15	PRIJEM	VKLAD	700	15417	\N	\N	\N
502431	1713	1997-02-14	PRIJEM	VKLAD	700	16163	\N	\N	\N
502432	1713	1997-03-13	PRIJEM	VKLAD	700	23362	\N	\N	\N
502433	1713	1997-04-15	PRIJEM	VKLAD	700	22384	\N	\N	\N
502434	1713	1997-05-14	PRIJEM	VKLAD	700	23157	\N	\N	\N
502435	1713	1997-06-16	PRIJEM	VKLAD	700	23684	\N	\N	\N
502436	1713	1997-07-13	PRIJEM	VKLAD	700	24465	\N	\N	\N
502437	1713	1997-08-14	PRIJEM	VKLAD	700	23146	\N	\N	\N
502438	1713	1997-09-13	PRIJEM	VKLAD	700	23923	\N	\N	\N
502439	1713	1997-10-14	PRIJEM	VKLAD	700	22451	\N	\N	\N
502440	1713	1997-11-15	PRIJEM	VKLAD	700	23224	\N	\N	\N
502441	1713	1997-12-17	PRIJEM	VKLAD	700	17401	\N	\N	\N
502442	1713	1998-01-16	PRIJEM	VKLAD	700	16300	\N	\N	\N
502443	1713	1998-02-14	PRIJEM	VKLAD	700	16605	\N	\N	\N
502444	1713	1998-03-13	PRIJEM	VKLAD	700	23145	\N	\N	\N
502445	1713	1998-04-17	PRIJEM	VKLAD	700	20718	\N	\N	\N
502446	1713	1998-05-16	PRIJEM	VKLAD	700	17992	\N	\N	\N
502447	1713	1998-06-14	PRIJEM	VKLAD	700	18155	\N	\N	\N
502448	1713	1998-07-14	PRIJEM	VKLAD	700	29050	\N	\N	\N
502449	1713	1998-08-16	PRIJEM	VKLAD	700	16531	\N	\N	\N
502450	1713	1998-09-13	PRIJEM	VKLAD	700	17307	\N	\N	\N
502451	1713	1998-10-17	PRIJEM	VKLAD	700	18058	\N	\N	\N
502452	1713	1998-11-17	PRIJEM	VKLAD	700	18812	\N	\N	\N
502453	1713	1998-12-15	PRIJEM	VKLAD	700	17269	\N	\N	\N
502455	1713	1994-06-08	VYDAJ	VYBER	4400	27325	\N	\N	\N
502457	1713	1996-06-24	VYDAJ	VYBER	6000	17370	\N	\N	\N
502461	1713	1994-01-23	VYDAJ	VYBER	5400	16713	\N	\N	\N
502465	1713	1998-01-01	VYDAJ	VYBER	7300	21400	\N	\N	\N
502468	1713	1995-06-03	VYDAJ	VYBER	25300	21658	\N	\N	\N
502469	1713	1996-06-15	VYDAJ	VYBER	6500	23370	\N	\N	\N
502473	1713	1994-01-22	VYDAJ	VYBER	5600	22113	\N	\N	\N
502474	1713	1995-01-06	VYDAJ	VYBER	7800	14637	\N	\N	\N
502478	1713	1993-12-13	VYDAJ	VYBER	1900	35076	\N	\N	\N
502479	1713	1994-12-03	VYDAJ	VYBER	2000	24995	\N	\N	\N
502480	1713	1995-12-05	VYDAJ	VYBER	2800	23168	\N	\N	\N
502481	1713	1996-12-28	VYDAJ	VYBER	600	14921	\N	\N	\N
502483	1713	1998-12-11	VYDAJ	VYBER	2000	16569	\N	\N	\N
502490	1713	1994-01-28	VYDAJ	VYBER	1250	18963	\N	\N	\N
502491	1713	1994-01-18	VYDAJ	VYBER	300	29013	\N	\N	\N
502492	1713	1994-01-20	VYDAJ	VYBER	1300	27713	\N	\N	\N
502493	1713	1994-01-14	VYDAJ	VYBER	950	28613	\N	\N	\N
502494	1713	1994-01-07	VYDAJ	VYBER	850	30563	\N	\N	\N
502495	1713	1994-01-10	VYDAJ	VYBER	1000	29563	\N	\N	\N
502498	1713	1995-01-26	VYDAJ	VYBER	650	18237	\N	\N	\N
502499	1713	1995-01-04	VYDAJ	VYBER	1150	22437	\N	\N	\N
502500	1713	1995-01-15	VYDAJ	VYBER	900	13787	\N	\N	\N
502501	1713	1995-01-06	VYDAJ	VYBER	650	13987	\N	\N	\N
502502	1713	1996-01-03	VYDAJ	VYBER	300	15040	\N	\N	\N
502504	1713	1996-01-06	VYDAJ	VYBER	800	14240	\N	\N	\N
502505	1713	1996-01-19	VYDAJ	VYBER	550	14190	\N	\N	\N
502506	1713	1996-01-18	VYDAJ	VYBER	1000	14740	\N	\N	\N
502511	1713	1997-01-09	VYDAJ	VYBER	250	14717	\N	\N	\N
502515	1713	1998-01-19	VYDAJ	VYBER	450	15850	\N	\N	\N
502517	1713	1998-01-04	VYDAJ	VYBER	600	20800	\N	\N	\N
502521	1713	1993-09-22	VYDAJ	VYBER	900	51120	\N	\N	\N
502525	1713	1993-12-13	VYDAJ	VYBER	500	36976	\N	\N	\N
502526	1713	1994-08-17	VYDAJ	VYBER	2150	24422	\N	\N	\N
502527	1713	1994-07-01	VYDAJ	VYBER	1350	23783	\N	\N	\N
502528	1713	1994-05-12	VYDAJ	VYBER	1400	39376	\N	\N	\N
502529	1713	1994-05-10	VYDAJ	VYBER	950	40776	\N	\N	\N
502530	1713	1995-10-25	VYDAJ	VYBER	300	34085	\N	\N	\N
502531	1713	1995-11-24	VYDAJ	VYBER	1000	25855	\N	\N	\N
502532	1713	1995-10-01	VYDAJ	VYBER	650	51285	\N	\N	\N
502533	1713	1995-04-02	VYDAJ	VYBER	650	20280	\N	\N	\N
502536	1713	1996-06-10	VYDAJ	VYBER	250	43970	\N	\N	\N
502537	1713	1997-03-29	VYDAJ	VYBER	900	21562	\N	\N	\N
502538	1713	1997-06-14	VYDAJ	VYBER	250	22984	\N	\N	\N
502539	1713	1997-07-28	VYDAJ	VYBER	2100	22365	\N	\N	\N
502540	1713	1997-03-24	VYDAJ	VYBER	900	22462	\N	\N	\N
502541	1713	1997-09-26	VYDAJ	VYBER	2250	21673	\N	\N	\N
502542	1713	1998-12-07	VYDAJ	VYBER	300	18569	\N	\N	\N
502546	1713	1998-06-16	VYDAJ	VYBER	1900	16255	\N	\N	\N
502555	1713	1993-07-31	VYDAJ	VYBER	15	26582	SLUZBY	\N	\N
502556	1713	1993-08-31	VYDAJ	VYBER	15	26178	SLUZBY	\N	\N
502557	1713	1993-09-30	VYDAJ	VYBER	15	61773	SLUZBY	\N	\N
502558	1713	1993-10-31	VYDAJ	VYBER	15	44309	SLUZBY	\N	\N
502559	1713	1993-11-30	VYDAJ	VYBER	15	36776	SLUZBY	\N	\N
502560	1713	1993-12-31	VYDAJ	VYBER	15	31413	SLUZBY	\N	\N
502561	1713	1994-01-31	VYDAJ	VYBER	15	19058	SLUZBY	\N	\N
502562	1713	1994-02-28	VYDAJ	VYBER	15	21423	SLUZBY	\N	\N
502563	1713	1994-03-31	VYDAJ	VYBER	15	54122	SLUZBY	\N	\N
502564	1713	1994-04-30	VYDAJ	VYBER	15	41726	SLUZBY	\N	\N
502565	1713	1994-05-31	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
502566	1713	1994-06-30	VYDAJ	VYBER	15	25133	SLUZBY	\N	\N
502567	1713	1994-07-31	VYDAJ	VYBER	15	25872	SLUZBY	\N	\N
502568	1713	1994-08-31	VYDAJ	VYBER	15	27215	SLUZBY	\N	\N
502569	1713	1994-09-30	VYDAJ	VYBER	15	26613	SLUZBY	\N	\N
502570	1713	1994-10-31	VYDAJ	VYBER	15	24206	SLUZBY	\N	\N
502571	1713	1994-11-30	VYDAJ	VYBER	15	26995	SLUZBY	\N	\N
502572	1713	1994-12-31	VYDAJ	VYBER	15	23587	SLUZBY	\N	\N
502573	1713	1995-01-31	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
502574	1713	1995-02-28	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
502575	1713	1995-03-31	VYDAJ	VYBER	15	20930	SLUZBY	\N	\N
502576	1713	1995-04-30	VYDAJ	VYBER	15	21152	SLUZBY	\N	\N
502577	1713	1995-05-31	VYDAJ	VYBER	15	46958	SLUZBY	\N	\N
502578	1713	1995-06-30	VYDAJ	VYBER	15	21779	SLUZBY	\N	\N
502579	1713	1995-07-31	VYDAJ	VYBER	15	19651	SLUZBY	\N	\N
502580	1713	1995-08-31	VYDAJ	VYBER	15	17915	SLUZBY	\N	\N
502581	1713	1995-09-30	VYDAJ	VYBER	15	51935	SLUZBY	\N	\N
502582	1713	1995-10-31	VYDAJ	VYBER	15	34255	SLUZBY	\N	\N
502583	1713	1995-11-30	VYDAJ	VYBER	15	25968	SLUZBY	\N	\N
502584	1713	1995-12-31	VYDAJ	VYBER	15	15340	SLUZBY	\N	\N
502585	1713	1996-01-31	VYDAJ	VYBER	15	14234	SLUZBY	\N	\N
502586	1713	1996-02-29	VYDAJ	VYBER	15	12474	SLUZBY	\N	\N
502587	1713	1996-03-31	VYDAJ	VYBER	15	15216	SLUZBY	\N	\N
502588	1713	1996-04-30	VYDAJ	VYBER	15	14863	SLUZBY	\N	\N
502589	1713	1996-05-31	VYDAJ	VYBER	15	44220	SLUZBY	\N	\N
502590	1713	1996-06-30	VYDAJ	VYBER	15	17494	SLUZBY	\N	\N
502591	1713	1996-07-31	VYDAJ	VYBER	15	15447	SLUZBY	\N	\N
502592	1713	1996-08-31	VYDAJ	VYBER	15	16195	SLUZBY	\N	\N
502593	1713	1996-09-30	VYDAJ	VYBER	15	13340	SLUZBY	\N	\N
502594	1713	1996-10-31	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
502595	1713	1996-11-30	VYDAJ	VYBER	15	14821	SLUZBY	\N	\N
502596	1713	1996-12-31	VYDAJ	VYBER	15	14967	SLUZBY	\N	\N
502597	1713	1997-01-31	VYDAJ	VYBER	15	15463	SLUZBY	\N	\N
502598	1713	1997-02-28	VYDAJ	VYBER	15	49562	SLUZBY	\N	\N
502599	1713	1997-03-31	VYDAJ	VYBER	15	21684	SLUZBY	\N	\N
502600	1713	1997-04-30	VYDAJ	VYBER	15	22457	SLUZBY	\N	\N
502601	1713	1997-05-31	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
502602	1713	1997-06-30	VYDAJ	VYBER	15	23765	SLUZBY	\N	\N
502603	1713	1997-07-31	VYDAJ	VYBER	15	22446	SLUZBY	\N	\N
502604	1713	1997-08-31	VYDAJ	VYBER	15	23223	SLUZBY	\N	\N
502605	1713	1997-09-30	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
502606	1713	1997-10-31	VYDAJ	VYBER	15	22524	SLUZBY	\N	\N
502607	1713	1997-11-30	VYDAJ	VYBER	15	23301	SLUZBY	\N	\N
502608	1713	1997-12-31	VYDAJ	VYBER	15	28700	SLUZBY	\N	\N
502609	1713	1998-01-31	VYDAJ	VYBER	15	15905	SLUZBY	\N	\N
502610	1713	1998-02-28	VYDAJ	VYBER	15	16654	SLUZBY	\N	\N
502611	1713	1998-03-31	VYDAJ	VYBER	15	23218	SLUZBY	\N	\N
502612	1713	1998-04-30	VYDAJ	VYBER	15	20792	SLUZBY	\N	\N
502613	1713	1998-05-31	VYDAJ	VYBER	15	18055	SLUZBY	\N	\N
502614	1713	1998-06-30	VYDAJ	VYBER	15	16308	SLUZBY	\N	\N
502615	1713	1998-07-31	VYDAJ	VYBER	15	29131	SLUZBY	\N	\N
502616	1713	1998-08-31	VYDAJ	VYBER	15	16607	SLUZBY	\N	\N
502617	1713	1998-09-30	VYDAJ	VYBER	15	17358	SLUZBY	\N	\N
502618	1713	1998-10-31	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
502619	1713	1998-11-30	VYDAJ	VYBER	15	18869	SLUZBY	\N	\N
502620	1713	1993-04-02	PRIJEM	VKLAD	11000	12403	\N	\N	\N
502621	1713	1993-05-02	PRIJEM	VKLAD	6000	19133	\N	\N	\N
502622	1713	1993-06-01	PRIJEM	VKLAD	3900	23803	\N	\N	\N
502623	1713	1993-07-01	VYDAJ	VYBER	1200	23395	\N	\N	\N
502624	1713	1993-07-31	PRIJEM	VKLAD	2400	26596	\N	\N	\N
502625	1713	1993-08-30	VYDAJ	VYBER	1200	26082	\N	\N	\N
502626	1713	1993-09-29	VYDAJ	VYBER	35800	61635	\N	\N	\N
502627	1713	1993-10-29	VYDAJ	VYBER	18400	44073	\N	\N	\N
502628	1713	1993-11-28	VYDAJ	VYBER	8400	36609	\N	\N	\N
502629	1713	1993-12-28	VYDAJ	VYBER	3800	31276	\N	\N	\N
502630	1713	1994-01-27	PRIJEM	VKLAD	3500	20213	\N	\N	\N
502631	1713	1994-02-26	PRIJEM	VKLAD	1600	21358	\N	\N	\N
502632	1713	1994-03-14	VYDAJ	VYBER	36900	78122	\N	\N	\N
502633	1713	1994-03-28	VYDAJ	VYBER	24900	53922	\N	\N	\N
502634	1713	1994-04-27	VYDAJ	VYBER	13300	41522	\N	\N	\N
502635	1713	1994-05-27	VYDAJ	VYBER	8500	31576	\N	\N	\N
502636	1713	1994-06-26	VYDAJ	VYBER	3000	25025	\N	\N	\N
502637	1713	1994-07-26	PRIJEM	VKLAD	1300	25783	\N	\N	\N
502638	1713	1994-08-25	PRIJEM	VKLAD	2700	27122	\N	\N	\N
502639	1713	1994-09-24	VYDAJ	VYBER	1400	26515	\N	\N	\N
502640	1713	1994-10-24	VYDAJ	VYBER	3200	24113	\N	\N	\N
502641	1713	1994-11-23	PRIJEM	VKLAD	2000	26906	\N	\N	\N
502642	1713	1994-12-23	VYDAJ	VYBER	2200	23495	\N	\N	\N
502643	1713	1995-01-22	PRIJEM	VKLAD	5100	18887	\N	\N	\N
502644	1713	1995-02-21	PRIJEM	VKLAD	2100	21093	\N	\N	\N
502645	1713	1995-03-23	VYDAJ	VYBER	1000	20857	\N	\N	\N
502646	1713	1995-04-22	PRIJEM	VKLAD	100	21080	\N	\N	\N
502647	1713	1995-05-22	VYDAJ	VYBER	22900	46798	\N	\N	\N
502648	1713	1995-06-21	VYDAJ	VYBER	700	21658	\N	\N	\N
502649	1713	1995-07-21	VYDAJ	VYBER	2900	19579	\N	\N	\N
502650	1713	1995-08-20	VYDAJ	VYBER	2500	17851	\N	\N	\N
502651	1713	1995-09-19	VYDAJ	VYBER	2000	16615	\N	\N	\N
502652	1713	1995-10-19	VYDAJ	VYBER	17600	34385	\N	\N	\N
502653	1713	1995-11-18	VYDAJ	VYBER	8100	26855	\N	\N	\N
502654	1713	1995-12-18	VYDAJ	VYBER	8600	15268	\N	\N	\N
502655	1713	1996-01-17	PRIJEM	VKLAD	800	15740	\N	\N	\N
502656	1713	1996-02-16	VYDAJ	VYBER	2500	12434	\N	\N	\N
502657	1713	1996-03-17	PRIJEM	VKLAD	2000	15174	\N	\N	\N
502658	1713	1996-04-16	VYDAJ	VYBER	1100	14816	\N	\N	\N
502659	1713	1996-05-16	VYDAJ	VYBER	2200	13363	\N	\N	\N
502660	1713	1996-06-15	VYDAJ	VYBER	14800	29870	\N	\N	\N
502661	1713	1996-07-15	VYDAJ	VYBER	2800	14694	\N	\N	\N
502662	1713	1996-09-13	VYDAJ	VYBER	3600	12595	\N	\N	\N
502663	1713	1997-03-12	VYDAJ	VYBER	26900	22662	\N	\N	\N
502664	1713	1997-12-07	VYDAJ	VYBER	6600	16701	\N	\N	\N
502665	1713	1998-01-06	VYDAJ	VYBER	5200	15600	\N	\N	\N
502666	1713	1998-03-07	VYDAJ	VYBER	20200	22445	\N	\N	\N
502667	1713	1998-04-06	VYDAJ	VYBER	3200	20018	\N	\N	\N
502668	1713	1998-05-06	VYDAJ	VYBER	3500	17292	\N	\N	\N
502669	1713	1998-06-05	VYDAJ	VYBER	600	17455	\N	\N	\N
502670	1713	1998-08-04	VYDAJ	VYBER	13300	15831	\N	\N	\N
502741	1714	1994-09-08	PRIJEM	VKLAD	900	900	\N	\N	\N
502751	1714	1994-10-06	PRIJEM	PREVOD Z UCTU	4951	5851	DUCHOD	UV	26536172
502752	1714	1994-11-06	PRIJEM	PREVOD Z UCTU	4951	10802	DUCHOD	UV	26536172
502753	1714	1994-12-06	PRIJEM	PREVOD Z UCTU	4951	15753	DUCHOD	UV	26536172
502754	1714	1995-01-06	PRIJEM	PREVOD Z UCTU	4951	20704	DUCHOD	UV	26536172
502755	1714	1995-02-06	PRIJEM	PREVOD Z UCTU	4951	25155	DUCHOD	UV	26536172
502756	1714	1995-03-06	PRIJEM	PREVOD Z UCTU	4951	27141	DUCHOD	UV	26536172
502757	1714	1995-04-06	PRIJEM	PREVOD Z UCTU	4951	28648	DUCHOD	UV	26536172
502758	1714	1995-05-06	PRIJEM	PREVOD Z UCTU	4951	28155	DUCHOD	UV	26536172
502759	1714	1995-06-06	PRIJEM	PREVOD Z UCTU	4951	24857	DUCHOD	UV	26536172
502760	1714	1995-07-06	PRIJEM	PREVOD Z UCTU	4951	22124	DUCHOD	UV	26536172
502761	1714	1995-08-06	PRIJEM	PREVOD Z UCTU	4951	22349	DUCHOD	UV	26536172
502762	1714	1995-09-06	PRIJEM	PREVOD Z UCTU	4951	24339	DUCHOD	UV	26536172
502763	1714	1995-10-06	PRIJEM	PREVOD Z UCTU	4951	22607	DUCHOD	UV	26536172
502764	1714	1995-11-06	PRIJEM	PREVOD Z UCTU	4951	23598	DUCHOD	UV	26536172
502765	1714	1995-12-06	PRIJEM	PREVOD Z UCTU	4951	21233	DUCHOD	UV	26536172
502766	1714	1996-01-06	PRIJEM	PREVOD Z UCTU	4951	21298	DUCHOD	UV	26536172
502767	1714	1996-02-06	PRIJEM	PREVOD Z UCTU	4951	18954	DUCHOD	UV	26536172
502768	1714	1996-03-06	PRIJEM	PREVOD Z UCTU	4951	20926	DUCHOD	UV	26536172
502769	1714	1996-04-06	PRIJEM	PREVOD Z UCTU	4951	21626	DUCHOD	UV	26536172
502770	1714	1996-05-06	PRIJEM	PREVOD Z UCTU	4951	23609	DUCHOD	UV	26536172
502771	1714	1996-06-06	PRIJEM	PREVOD Z UCTU	4951	24559	DUCHOD	UV	26536172
502772	1714	1996-07-06	PRIJEM	PREVOD Z UCTU	4951	24550	DUCHOD	UV	26536172
502773	1714	1996-08-06	PRIJEM	PREVOD Z UCTU	4951	26545	DUCHOD	UV	26536172
502774	1714	1996-09-06	PRIJEM	PREVOD Z UCTU	4951	26305	DUCHOD	UV	26536172
502775	1714	1996-10-06	PRIJEM	PREVOD Z UCTU	4951	25263	DUCHOD	UV	26536172
502776	1714	1996-11-06	PRIJEM	PREVOD Z UCTU	4951	25176	DUCHOD	UV	26536172
502777	1714	1996-12-06	PRIJEM	PREVOD Z UCTU	4951	26473	DUCHOD	UV	26536172
502778	1714	1997-01-06	PRIJEM	PREVOD Z UCTU	4951	23269	DUCHOD	UV	26536172
502779	1714	1997-02-06	PRIJEM	PREVOD Z UCTU	4951	20770	DUCHOD	UV	26536172
502780	1714	1997-03-06	PRIJEM	PREVOD Z UCTU	4951	22749	DUCHOD	UV	26536172
502781	1714	1997-04-06	PRIJEM	PREVOD Z UCTU	4951	24437	DUCHOD	UV	26536172
502782	1714	1997-05-06	PRIJEM	PREVOD Z UCTU	4951	26432	DUCHOD	UV	26536172
502783	1714	1997-06-06	PRIJEM	PREVOD Z UCTU	4951	24990	DUCHOD	UV	26536172
502784	1714	1997-07-06	PRIJEM	PREVOD Z UCTU	4951	26987	DUCHOD	UV	26536172
502785	1714	1997-08-06	PRIJEM	PREVOD Z UCTU	4951	24672	DUCHOD	UV	26536172
502786	1714	1997-09-06	PRIJEM	PREVOD Z UCTU	4951	26673	DUCHOD	UV	26536172
502787	1714	1997-10-06	PRIJEM	PREVOD Z UCTU	4951	28677	DUCHOD	UV	26536172
502788	1714	1997-11-06	PRIJEM	PREVOD Z UCTU	4951	30689	DUCHOD	UV	26536172
502789	1714	1997-12-06	PRIJEM	PREVOD Z UCTU	4951	31459	DUCHOD	UV	26536172
502790	1714	1998-01-06	PRIJEM	PREVOD Z UCTU	4951	29803	DUCHOD	UV	26536172
502791	1714	1998-02-06	PRIJEM	PREVOD Z UCTU	4951	21326	DUCHOD	UV	26536172
502792	1714	1998-03-06	PRIJEM	PREVOD Z UCTU	4951	23307	DUCHOD	UV	26536172
502793	1714	1998-04-06	PRIJEM	PREVOD Z UCTU	4951	25297	DUCHOD	UV	26536172
502794	1714	1998-05-06	PRIJEM	PREVOD Z UCTU	4951	26014	DUCHOD	UV	26536172
502795	1714	1998-06-06	PRIJEM	PREVOD Z UCTU	4951	28014	DUCHOD	UV	26536172
502796	1714	1998-07-06	PRIJEM	PREVOD Z UCTU	4951	30024	DUCHOD	UV	26536172
502797	1714	1998-08-06	PRIJEM	PREVOD Z UCTU	4951	28356	DUCHOD	UV	26536172
502798	1714	1998-09-06	PRIJEM	PREVOD Z UCTU	4951	30366	DUCHOD	UV	26536172
502799	1714	1998-10-06	PRIJEM	PREVOD Z UCTU	4951	32385	DUCHOD	UV	26536172
502800	1714	1998-11-06	PRIJEM	PREVOD Z UCTU	4951	34412	DUCHOD	UV	26536172
502801	1714	1998-12-06	PRIJEM	PREVOD Z UCTU	4951	36447	DUCHOD	UV	26536172
502815	1714	1995-02-10	VYDAJ	PREVOD NA UCET	3028	22127	SIPO	MN	79335272
502816	1714	1995-03-10	VYDAJ	PREVOD NA UCET	3028	23613	SIPO	MN	79335272
502817	1714	1995-04-10	VYDAJ	PREVOD NA UCET	3028	23120	SIPO	MN	79335272
502818	1714	1995-05-10	VYDAJ	PREVOD NA UCET	3028	21227	SIPO	MN	79335272
502819	1714	1995-06-10	VYDAJ	PREVOD NA UCET	3028	17909	SIPO	MN	79335272
502820	1714	1995-07-10	VYDAJ	PREVOD NA UCET	3028	17816	SIPO	MN	79335272
502821	1714	1995-08-10	VYDAJ	PREVOD NA UCET	3028	19321	SIPO	MN	79335272
502822	1714	1995-09-10	VYDAJ	PREVOD NA UCET	3028	21311	SIPO	MN	79335272
502823	1714	1995-10-10	VYDAJ	PREVOD NA UCET	3028	19579	SIPO	MN	79335272
502824	1714	1995-11-10	VYDAJ	PREVOD NA UCET	3028	20570	SIPO	MN	79335272
502825	1714	1995-12-10	VYDAJ	PREVOD NA UCET	3028	18205	SIPO	MN	79335272
502826	1714	1996-01-10	VYDAJ	PREVOD NA UCET	3028	16350	SIPO	MN	79335272
502827	1714	1996-02-10	VYDAJ	PREVOD NA UCET	3028	15926	SIPO	MN	79335272
502828	1714	1996-03-10	VYDAJ	PREVOD NA UCET	3028	17898	SIPO	MN	79335272
502829	1714	1996-04-10	VYDAJ	PREVOD NA UCET	3028	18598	SIPO	MN	79335272
502830	1714	1996-05-10	VYDAJ	PREVOD NA UCET	3028	20581	SIPO	MN	79335272
502831	1714	1996-06-10	VYDAJ	PREVOD NA UCET	3028	19531	SIPO	MN	79335272
502832	1714	1996-07-10	VYDAJ	PREVOD NA UCET	3028	21522	SIPO	MN	79335272
502833	1714	1996-08-10	VYDAJ	PREVOD NA UCET	3028	23517	SIPO	MN	79335272
502834	1714	1996-09-10	VYDAJ	PREVOD NA UCET	3028	23277	SIPO	MN	79335272
502835	1714	1996-10-10	VYDAJ	PREVOD NA UCET	3028	22235	SIPO	MN	79335272
502836	1714	1996-11-10	VYDAJ	PREVOD NA UCET	3028	22148	SIPO	MN	79335272
502837	1714	1996-12-10	VYDAJ	PREVOD NA UCET	3028	23445	SIPO	MN	79335272
502838	1714	1997-01-10	VYDAJ	PREVOD NA UCET	3028	18081	SIPO	MN	79335272
502839	1714	1997-02-10	VYDAJ	PREVOD NA UCET	3028	17742	SIPO	MN	79335272
502840	1714	1997-03-10	VYDAJ	PREVOD NA UCET	3028	19721	SIPO	MN	79335272
502841	1714	1997-04-10	VYDAJ	PREVOD NA UCET	3028	21409	SIPO	MN	79335272
502842	1714	1997-05-10	VYDAJ	PREVOD NA UCET	3028	23404	SIPO	MN	79335272
502843	1714	1997-06-10	VYDAJ	PREVOD NA UCET	3028	21962	SIPO	MN	79335272
502844	1714	1997-07-10	VYDAJ	PREVOD NA UCET	3028	22999	SIPO	MN	79335272
502845	1714	1997-08-10	VYDAJ	PREVOD NA UCET	3028	21644	SIPO	MN	79335272
502846	1714	1997-09-10	VYDAJ	PREVOD NA UCET	3028	23645	SIPO	MN	79335272
502847	1714	1997-10-10	VYDAJ	PREVOD NA UCET	3028	25649	SIPO	MN	79335272
502848	1714	1997-11-10	VYDAJ	PREVOD NA UCET	3028	27661	SIPO	MN	79335272
502849	1714	1997-12-10	VYDAJ	PREVOD NA UCET	3028	28431	SIPO	MN	79335272
502850	1714	1998-01-10	VYDAJ	PREVOD NA UCET	3028	26775	SIPO	MN	79335272
502851	1714	1998-02-10	VYDAJ	PREVOD NA UCET	3028	18298	SIPO	MN	79335272
502852	1714	1998-03-10	VYDAJ	PREVOD NA UCET	3028	20279	SIPO	MN	79335272
502853	1714	1998-04-10	VYDAJ	PREVOD NA UCET	3028	20989	SIPO	MN	79335272
502854	1714	1998-05-10	VYDAJ	PREVOD NA UCET	3028	22986	SIPO	MN	79335272
502855	1714	1998-06-10	VYDAJ	PREVOD NA UCET	3028	24986	SIPO	MN	79335272
502856	1714	1998-07-10	VYDAJ	PREVOD NA UCET	3028	26996	SIPO	MN	79335272
502857	1714	1998-08-10	VYDAJ	PREVOD NA UCET	3028	25328	SIPO	MN	79335272
502858	1714	1998-09-10	VYDAJ	PREVOD NA UCET	3028	27338	SIPO	MN	79335272
502859	1714	1998-10-10	VYDAJ	PREVOD NA UCET	3028	29357	SIPO	MN	79335272
502860	1714	1998-11-10	VYDAJ	PREVOD NA UCET	3028	31384	SIPO	MN	79335272
502861	1714	1998-12-10	VYDAJ	PREVOD NA UCET	3028	30779	SIPO	MN	79335272
502863	1714	1995-12-05	VYDAJ	VYBER	600	16282	\N	\N	\N
502864	1714	1996-12-18	VYDAJ	VYBER	1200	20245	\N	\N	\N
502865	1714	1997-12-02	VYDAJ	VYBER	950	26508	\N	\N	\N
502866	1714	1998-12-21	VYDAJ	VYBER	400	30379	\N	\N	\N
502880	1714	1996-01-02	VYDAJ	VYBER	1120	16347	\N	\N	\N
502881	1714	1996-01-01	VYDAJ	VYBER	400	17867	\N	\N	\N
502882	1714	1996-01-25	VYDAJ	VYBER	1440	13950	\N	\N	\N
502883	1714	1996-01-23	VYDAJ	VYBER	960	15390	\N	\N	\N
502884	1714	1996-01-07	VYDAJ	VYBER	1920	19378	\N	\N	\N
502885	1714	1997-01-19	VYDAJ	VYBER	560	15761	\N	\N	\N
502886	1714	1997-01-08	VYDAJ	VYBER	1680	21109	\N	\N	\N
502887	1714	1997-01-02	VYDAJ	VYBER	400	19918	\N	\N	\N
502888	1714	1997-01-07	VYDAJ	VYBER	480	22789	\N	\N	\N
502889	1714	1997-01-15	VYDAJ	VYBER	1760	16321	\N	\N	\N
502890	1714	1997-01-03	VYDAJ	VYBER	1600	18318	\N	\N	\N
502891	1714	1998-01-28	VYDAJ	VYBER	2160	16295	\N	\N	\N
502892	1714	1998-01-26	VYDAJ	VYBER	1520	18455	\N	\N	\N
502893	1714	1998-01-11	VYDAJ	VYBER	480	26295	\N	\N	\N
502894	1714	1998-01-14	VYDAJ	VYBER	2080	24215	\N	\N	\N
502895	1714	1998-01-25	VYDAJ	VYBER	2240	19975	\N	\N	\N
502896	1714	1998-01-23	VYDAJ	VYBER	1360	22215	\N	\N	\N
502901	1714	1995-06-07	VYDAJ	VYBER	3920	20937	\N	\N	\N
502902	1714	1995-11-30	VYDAJ	VYBER	3760	16882	\N	\N	\N
502903	1714	1995-07-09	VYDAJ	VYBER	1280	20844	\N	\N	\N
502904	1714	1995-09-15	VYDAJ	VYBER	2720	18591	\N	\N	\N
502905	1714	1995-08-01	VYDAJ	VYBER	480	17398	\N	\N	\N
502907	1714	1996-09-19	VYDAJ	VYBER	3040	20237	\N	\N	\N
502908	1714	1996-08-19	VYDAJ	VYBER	2240	21277	\N	\N	\N
502909	1714	1996-10-12	VYDAJ	VYBER	2080	20155	\N	\N	\N
502910	1714	1996-06-07	VYDAJ	VYBER	2000	22559	\N	\N	\N
502911	1714	1996-05-18	VYDAJ	VYBER	1040	19541	\N	\N	\N
502912	1714	1996-03-27	VYDAJ	VYBER	1280	16618	\N	\N	\N
502913	1714	1996-12-11	VYDAJ	VYBER	2000	21445	\N	\N	\N
502914	1714	1997-12-26	VYDAJ	VYBER	3680	24751	\N	\N	\N
502915	1714	1997-07-06	VYDAJ	VYBER	960	26027	\N	\N	\N
502916	1714	1997-08-02	VYDAJ	VYBER	3360	19721	\N	\N	\N
502917	1714	1997-05-22	VYDAJ	VYBER	3440	19964	\N	\N	\N
502918	1714	1998-01-15	VYDAJ	VYBER	640	23575	\N	\N	\N
502919	1714	1998-04-06	VYDAJ	VYBER	1280	24017	\N	\N	\N
502920	1714	1998-12-09	VYDAJ	VYBER	2640	33807	\N	\N	\N
502921	1714	1998-07-21	VYDAJ	VYBER	3680	23316	\N	\N	\N
502936	1714	1995-02-28	VYDAJ	VYBER	15	22190	SLUZBY	\N	\N
502937	1714	1995-03-31	VYDAJ	VYBER	15	23697	SLUZBY	\N	\N
502938	1714	1995-04-30	VYDAJ	VYBER	15	23204	SLUZBY	\N	\N
502939	1714	1995-05-31	VYDAJ	VYBER	15	21306	SLUZBY	\N	\N
502940	1714	1995-06-30	VYDAJ	VYBER	15	17973	SLUZBY	\N	\N
502941	1714	1995-07-31	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
502942	1714	1995-08-31	VYDAJ	VYBER	15	19388	SLUZBY	\N	\N
502943	1714	1995-09-30	VYDAJ	VYBER	15	18656	SLUZBY	\N	\N
502944	1714	1995-10-31	VYDAJ	VYBER	15	19647	SLUZBY	\N	\N
502945	1714	1995-11-30	VYDAJ	VYBER	15	20642	SLUZBY	\N	\N
502946	1714	1995-12-31	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
502947	1714	1996-01-31	VYDAJ	VYBER	15	14003	SLUZBY	\N	\N
502948	1714	1996-02-29	VYDAJ	VYBER	15	15975	SLUZBY	\N	\N
502949	1714	1996-03-31	VYDAJ	VYBER	15	16675	SLUZBY	\N	\N
502950	1714	1996-04-30	VYDAJ	VYBER	15	18658	SLUZBY	\N	\N
502951	1714	1996-05-31	VYDAJ	VYBER	15	19608	SLUZBY	\N	\N
502952	1714	1996-06-30	VYDAJ	VYBER	15	19599	SLUZBY	\N	\N
502953	1714	1996-07-31	VYDAJ	VYBER	15	21594	SLUZBY	\N	\N
502954	1714	1996-08-31	VYDAJ	VYBER	15	21354	SLUZBY	\N	\N
502955	1714	1996-09-30	VYDAJ	VYBER	15	20312	SLUZBY	\N	\N
502956	1714	1996-10-31	VYDAJ	VYBER	15	20225	SLUZBY	\N	\N
502957	1714	1996-11-30	VYDAJ	VYBER	15	21522	SLUZBY	\N	\N
502958	1714	1996-12-31	VYDAJ	VYBER	15	20318	SLUZBY	\N	\N
502959	1714	1997-01-31	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
502960	1714	1997-02-28	VYDAJ	VYBER	15	17798	SLUZBY	\N	\N
502961	1714	1997-03-31	VYDAJ	VYBER	15	19486	SLUZBY	\N	\N
502962	1714	1997-04-30	VYDAJ	VYBER	15	21481	SLUZBY	\N	\N
502963	1714	1997-05-31	VYDAJ	VYBER	15	20039	SLUZBY	\N	\N
502964	1714	1997-06-30	VYDAJ	VYBER	15	22036	SLUZBY	\N	\N
502965	1714	1997-07-31	VYDAJ	VYBER	15	23081	SLUZBY	\N	\N
502966	1714	1997-08-31	VYDAJ	VYBER	15	21722	SLUZBY	\N	\N
502967	1714	1997-09-30	VYDAJ	VYBER	15	23726	SLUZBY	\N	\N
502968	1714	1997-10-31	VYDAJ	VYBER	15	25738	SLUZBY	\N	\N
502969	1714	1997-11-30	VYDAJ	VYBER	15	27458	SLUZBY	\N	\N
502970	1714	1997-12-31	VYDAJ	VYBER	15	24852	SLUZBY	\N	\N
502971	1714	1998-01-31	VYDAJ	VYBER	15	16375	SLUZBY	\N	\N
502972	1714	1998-02-28	VYDAJ	VYBER	15	18356	SLUZBY	\N	\N
502973	1714	1998-03-31	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
502974	1714	1998-04-30	VYDAJ	VYBER	15	21063	SLUZBY	\N	\N
502975	1714	1998-05-31	VYDAJ	VYBER	15	23063	SLUZBY	\N	\N
502976	1714	1998-06-30	VYDAJ	VYBER	15	25073	SLUZBY	\N	\N
502977	1714	1998-07-31	VYDAJ	VYBER	15	23405	SLUZBY	\N	\N
502978	1714	1998-08-31	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
502979	1714	1998-09-30	VYDAJ	VYBER	15	27434	SLUZBY	\N	\N
502980	1714	1998-10-31	VYDAJ	VYBER	15	29461	SLUZBY	\N	\N
502981	1714	1998-11-30	VYDAJ	VYBER	15	31496	SLUZBY	\N	\N
502982	1714	1995-02-05	VYDAJ	VYBER	500	20204	\N	\N	\N
502983	1714	1995-03-07	VYDAJ	VYBER	500	26641	\N	\N	\N
502984	1714	1995-04-06	VYDAJ	VYBER	2500	26148	\N	\N	\N
502985	1714	1995-05-06	VYDAJ	VYBER	3900	24255	\N	\N	\N
502986	1714	1995-06-05	VYDAJ	VYBER	1400	19906	\N	\N	\N
502987	1714	1995-07-05	VYDAJ	VYBER	800	17173	\N	\N	\N
502988	1714	1995-10-03	VYDAJ	VYBER	1000	17656	\N	\N	\N
502989	1714	1995-11-02	VYDAJ	VYBER	1000	18647	\N	\N	\N
502990	1714	1996-01-01	VYDAJ	VYBER	400	17467	\N	\N	\N
502991	1714	1996-11-26	VYDAJ	VYBER	700	21448	\N	\N	\N
502992	1714	1997-03-26	VYDAJ	VYBER	300	19421	\N	\N	\N
502993	1714	1997-11-21	VYDAJ	VYBER	300	27361	\N	\N	\N
503041	1715	1996-05-26	PRIJEM	VKLAD	600	600	\N	\N	\N
503042	1715	1996-08-29	PRIJEM	VKLAD	36170	93053	\N	\N	\N
503043	1715	1996-08-05	PRIJEM	VKLAD	44078	112383	\N	\N	\N
503044	1715	1996-09-27	PRIJEM	VKLAD	18228	79878	\N	\N	\N
503046	1715	1996-07-23	PRIJEM	VKLAD	46241	123503	\N	\N	\N
503047	1715	1996-06-19	PRIJEM	VKLAD	48095	48695	\N	\N	\N
503048	1715	1996-07-14	PRIJEM	VKLAD	39836	77262	\N	\N	\N
503049	1715	1996-11-18	PRIJEM	VKLAD	33450	74223	\N	\N	\N
503050	1715	1996-12-30	PRIJEM	VKLAD	25031	86060	\N	\N	\N
503052	1715	1996-10-04	PRIJEM	VKLAD	5565	85792	\N	\N	\N
503054	1715	1996-12-11	PRIJEM	VKLAD	25473	56905	\N	\N	\N
503055	1715	1996-12-14	PRIJEM	VKLAD	40924	97829	\N	\N	\N
503058	1715	1997-09-03	PRIJEM	VKLAD	22540	28125	\N	\N	\N
503059	1715	1997-06-15	PRIJEM	VKLAD	13685	47834	\N	\N	\N
503060	1715	1997-09-15	PRIJEM	VKLAD	23953	94551	\N	\N	\N
503061	1715	1997-10-06	PRIJEM	VKLAD	48572	74885	\N	\N	\N
503062	1715	1997-09-11	PRIJEM	VKLAD	42473	70598	\N	\N	\N
503063	1715	1997-06-12	PRIJEM	VKLAD	31057	34149	\N	\N	\N
503064	1715	1997-11-09	PRIJEM	VKLAD	27072	111461	\N	\N	\N
503065	1715	1997-01-21	PRIJEM	VKLAD	47507	112835	\N	\N	\N
503066	1715	1997-10-22	PRIJEM	VKLAD	40671	96696	\N	\N	\N
503067	1715	1997-10-10	PRIJEM	VKLAD	39840	114725	\N	\N	\N
503068	1715	1997-10-31	PRIJEM	VKLAD	16157	108879	\N	\N	\N
503069	1715	1997-10-24	PRIJEM	VKLAD	39665	136361	\N	\N	\N
503070	1715	1997-05-29	PRIJEM	VKLAD	18649	40504	\N	\N	\N
503071	1715	1998-06-03	PRIJEM	VKLAD	6665	9523	\N	\N	\N
503072	1715	1998-01-03	PRIJEM	VKLAD	47719	77412	\N	\N	\N
503073	1715	1996-09-19	VYBER	VYBER	2203	91150	\N	\N	\N
503074	1715	1996-10-31	VYBER	VYBER	15908	40788	\N	\N	\N
503075	1715	1996-12-06	VYBER	VYBER	17857	31432	\N	\N	\N
503078	1715	1997-09-16	VYBER	VYBER	18307	76244	\N	\N	\N
503079	1715	1997-10-26	VYBER	VYBER	11739	92722	\N	\N	\N
503080	1715	1997-09-21	VYBER	VYBER	24154	26190	\N	\N	\N
503081	1715	1997-08-24	VYBER	VYBER	9081	5544	\N	\N	\N
503082	1715	1997-07-28	VYBER	VYBER	8641	16516	\N	\N	\N
503083	1715	1997-12-02	VYBER	VYBER	14169	40328	\N	\N	\N
503087	1715	1998-05-25	VYBER	VYBER	19490	2832	\N	\N	\N
503088	1715	1998-10-15	VYBER	VYBER	17206	3677	\N	\N	\N
503093	1715	1998-03-09	VYBER	VYBER	17611	3708	\N	\N	\N
503094	1715	1998-12-13	VYBER	VYBER	11380	1813	\N	\N	\N
503096	1715	1998-08-08	VYBER	VYBER	9858	19570	\N	\N	\N
503098	1715	1997-06-11	VYDAJ	VYBER	24600	3092	\N	\N	\N
503101	1715	1997-01-30	VYDAJ	VYBER	23400	10135	\N	\N	\N
503102	1715	1998-01-17	VYDAJ	VYBER	13800	32812	\N	\N	\N
503103	1715	1996-12-14	VYDAJ	VYBER	5400	92429	\N	\N	\N
503104	1715	1997-12-23	VYDAJ	VYBER	5400	29528	\N	\N	\N
503112	1715	1997-01-15	VYDAJ	VYBER	6600	67428	\N	\N	\N
503113	1715	1997-01-11	VYDAJ	VYBER	4500	74028	\N	\N	\N
503114	1715	1997-01-15	VYDAJ	VYBER	2100	65328	\N	\N	\N
503115	1715	1997-01-24	VYDAJ	VYBER	8100	50935	\N	\N	\N
503116	1715	1997-01-25	VYDAJ	VYBER	7500	43435	\N	\N	\N
503117	1715	1997-01-07	VYDAJ	VYBER	7800	78528	\N	\N	\N
503118	1715	1998-01-24	VYDAJ	VYBER	6600	14812	\N	\N	\N
503119	1715	1998-01-19	VYDAJ	VYBER	3000	29812	\N	\N	\N
503120	1715	1998-01-10	VYDAJ	VYBER	2700	60012	\N	\N	\N
503121	1715	1998-01-21	VYDAJ	VYBER	8400	21412	\N	\N	\N
503122	1715	1998-01-03	VYDAJ	VYBER	6600	70812	\N	\N	\N
503123	1715	1998-01-09	VYDAJ	VYBER	8100	62712	\N	\N	\N
503126	1715	1997-08-02	VYDAJ	VYBER	9900	6725	\N	\N	\N
503128	1715	1997-01-26	VYDAJ	VYBER	9900	33535	\N	\N	\N
503129	1715	1997-05-29	VYDAJ	VYBER	12900	27604	\N	\N	\N
503130	1715	1998-04-24	VYDAJ	VYBER	11400	12272	\N	\N	\N
503131	1715	1998-08-13	VYDAJ	VYBER	8700	10870	\N	\N	\N
503132	1715	1998-11-25	VYDAJ	VYBER	13800	1595	\N	\N	\N
503133	1715	1998-09-02	VYDAJ	VYBER	12000	-954	\N	\N	\N
503134	1715	1998-12-05	VYDAJ	VYBER	1800	-207	\N	\N	\N
503135	1715	1998-08-24	VYDAJ	VYBER	11700	10970	\N	\N	\N
503136	1715	1998-02-23	VYDAJ	VYBER	4800	21266	\N	\N	\N
503145	1715	1996-08-31	VYDAJ	VYBER	15	93353	SLUZBY	\N	\N
503146	1715	1996-09-30	VYDAJ	VYBER	15	80227	SLUZBY	\N	\N
503147	1715	1996-10-31	VYDAJ	VYBER	15	40773	SLUZBY	\N	\N
503148	1715	1996-11-30	VYDAJ	VYBER	15	49289	SLUZBY	\N	\N
503149	1715	1996-12-31	VYDAJ	VYBER	15	86328	SLUZBY	\N	\N
503150	1715	1997-01-31	VYDAJ	VYBER	15	10388	SLUZBY	\N	\N
503151	1715	1997-02-28	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
503152	1715	1997-03-31	VYDAJ	VYBER	15	22077	SLUZBY	\N	\N
503153	1715	1997-04-30	VYDAJ	VYBER	15	24355	SLUZBY	\N	\N
503154	1715	1997-05-31	VYDAJ	VYBER	15	27692	SLUZBY	\N	\N
503155	1715	1997-06-30	VYDAJ	VYBER	15	31657	SLUZBY	\N	\N
503156	1715	1997-07-31	VYDAJ	VYBER	15	16625	SLUZBY	\N	\N
503157	1715	1997-08-31	VYDAJ	VYBER	15	5585	SLUZBY	\N	\N
503158	1715	1997-09-30	VYDAJ	VYBER	15	26313	SLUZBY	\N	\N
503159	1715	1997-10-31	VYDAJ	VYBER	15	109189	SLUZBY	\N	\N
503160	1715	1997-11-30	VYDAJ	VYBER	15	54497	SLUZBY	\N	\N
503161	1715	1997-12-31	VYDAJ	VYBER	15	29693	SLUZBY	\N	\N
503162	1715	1998-01-31	VYDAJ	VYBER	15	14966	SLUZBY	\N	\N
503163	1715	1998-02-28	VYDAJ	VYBER	15	21319	SLUZBY	\N	\N
503164	1715	1998-03-31	VYDAJ	VYBER	15	16872	SLUZBY	\N	\N
503165	1715	1998-04-30	VYDAJ	VYBER	15	12322	SLUZBY	\N	\N
503166	1715	1998-05-31	VYDAJ	VYBER	15	2858	SLUZBY	\N	\N
503167	1715	1998-06-30	VYDAJ	VYBER	15	20358	SLUZBY	\N	\N
503168	1715	1998-07-31	VYDAJ	VYBER	15	29428	SLUZBY	\N	\N
503169	1715	1998-08-31	VYDAJ	VYBER	15	11046	SLUZBY	\N	\N
503170	1715	1998-09-30	VYDAJ	VYBER	15	13983	SLUZBY	\N	\N
503171	1715	1998-10-31	VYDAJ	VYBER	15	3695	SLUZBY	\N	\N
503172	1715	1998-11-30	VYDAJ	VYBER	15	1593	SLUZBY	\N	\N
503173	1715	1996-06-25	VYDAJ	VYBER	11300	37395	\N	\N	\N
503174	1715	1996-07-23	VYDAJ	VYBER	20800	102703	\N	\N	\N
503175	1715	1996-07-25	VYDAJ	VYBER	34600	68103	\N	\N	\N
503176	1715	1996-08-05	VYDAJ	VYBER	33400	78983	\N	\N	\N
503177	1715	1996-08-24	VYDAJ	VYBER	22100	56883	\N	\N	\N
503178	1715	1996-09-23	VYDAJ	VYBER	29500	61650	\N	\N	\N
503179	1715	1996-10-23	VYDAJ	VYBER	29400	56392	\N	\N	\N
503180	1715	1996-11-22	VYDAJ	VYBER	25100	49123	\N	\N	\N
503181	1715	1996-12-22	VYDAJ	VYBER	31400	61029	\N	\N	\N
503182	1715	1997-01-21	VYDAJ	VYBER	23400	59035	\N	\N	\N
503183	1715	1997-01-21	VYDAJ	VYBER	30400	82435	\N	\N	\N
503184	1715	1997-02-20	PRIJEM	VKLAD	7200	17588	\N	\N	\N
503185	1715	1997-03-22	PRIJEM	VKLAD	4400	22018	\N	\N	\N
503186	1715	1997-04-21	PRIJEM	VKLAD	2200	24277	\N	\N	\N
503187	1715	1997-05-21	VYDAJ	VYBER	2500	21855	\N	\N	\N
503188	1715	1997-06-20	VYDAJ	VYBER	16300	31534	\N	\N	\N
503189	1715	1997-07-20	VYDAJ	VYBER	6500	25157	\N	\N	\N
503190	1715	1997-08-19	PRIJEM	VKLAD	7900	14625	\N	\N	\N
503191	1715	1997-09-18	VYDAJ	VYBER	25900	50344	\N	\N	\N
503192	1715	1997-10-10	VYDAJ	VYBER	24600	90125	\N	\N	\N
503193	1715	1997-10-18	VYDAJ	VYBER	34100	56025	\N	\N	\N
503194	1715	1997-10-24	VYDAJ	VYBER	31900	104461	\N	\N	\N
503195	1715	1997-10-31	VYDAJ	VYBER	24800	84389	\N	\N	\N
503196	1715	1997-11-09	VYDAJ	VYBER	28200	83261	\N	\N	\N
503197	1715	1997-11-17	VYDAJ	VYBER	29100	54161	\N	\N	\N
503198	1715	1997-12-17	VYDAJ	VYBER	5400	34928	\N	\N	\N
503199	1715	1998-01-16	VYDAJ	VYBER	13400	46612	\N	\N	\N
503200	1715	1998-02-15	PRIJEM	VKLAD	11100	26066	\N	\N	\N
503201	1715	1998-03-17	PRIJEM	VKLAD	13100	16808	\N	\N	\N
503202	1715	1998-04-16	PRIJEM	VKLAD	6800	23672	\N	\N	\N
503203	1715	1998-05-16	PRIJEM	VKLAD	10000	22322	\N	\N	\N
503204	1715	1998-06-15	PRIJEM	VKLAD	10800	20323	\N	\N	\N
503205	1715	1998-07-15	PRIJEM	VKLAD	9000	29358	\N	\N	\N
503206	1715	1998-08-14	PRIJEM	VKLAD	11800	22670	\N	\N	\N
503207	1715	1998-09-13	PRIJEM	VKLAD	14900	13946	\N	\N	\N
503208	1715	1998-10-13	PRIJEM	VKLAD	6900	20883	\N	\N	\N
503209	1715	1998-11-12	PRIJEM	VKLAD	11700	15395	\N	\N	\N
503210	1715	1998-12-12	PRIJEM	VKLAD	13400	13193	\N	\N	\N
503246	1716	1996-05-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
503251	1716	1996-05-09	PRIJEM	VKLAD	14728	15828	\N	\N	\N
503252	1716	1996-06-09	PRIJEM	VKLAD	22092	42569	\N	\N	\N
503253	1716	1996-07-09	PRIJEM	VKLAD	14728	48845	\N	\N	\N
503254	1716	1996-08-09	PRIJEM	VKLAD	14728	51468	\N	\N	\N
503255	1716	1996-09-09	PRIJEM	VKLAD	14728	50649	\N	\N	\N
503256	1716	1996-10-09	PRIJEM	VKLAD	14728	43309	\N	\N	\N
503257	1716	1996-11-09	PRIJEM	VKLAD	14728	43378	\N	\N	\N
503258	1716	1996-12-09	PRIJEM	VKLAD	22092	45409	\N	\N	\N
503259	1716	1997-01-09	PRIJEM	VKLAD	14728	41274	\N	\N	\N
503260	1716	1997-02-09	PRIJEM	VKLAD	14728	25864	\N	\N	\N
503261	1716	1997-03-09	PRIJEM	VKLAD	14728	25958	\N	\N	\N
503262	1716	1997-04-09	PRIJEM	VKLAD	14728	26652	\N	\N	\N
503263	1716	1997-05-09	PRIJEM	VKLAD	14728	28850	\N	\N	\N
503264	1716	1997-06-09	PRIJEM	VKLAD	22092	34018	\N	\N	\N
503265	1716	1997-07-09	PRIJEM	VKLAD	14728	35236	\N	\N	\N
503266	1716	1997-08-09	PRIJEM	VKLAD	14728	29919	\N	\N	\N
503267	1716	1997-09-09	PRIJEM	VKLAD	14728	28424	\N	\N	\N
503268	1716	1997-10-09	PRIJEM	VKLAD	14728	27023	\N	\N	\N
503269	1716	1997-11-09	PRIJEM	VKLAD	14728	26715	\N	\N	\N
503270	1716	1997-12-09	PRIJEM	VKLAD	22092	35472	\N	\N	\N
503271	1716	1998-01-09	PRIJEM	VKLAD	14728	36591	\N	\N	\N
503272	1716	1998-02-09	PRIJEM	VKLAD	14728	29100	\N	\N	\N
503273	1716	1998-03-09	PRIJEM	VKLAD	14728	31101	\N	\N	\N
503274	1716	1998-04-09	PRIJEM	VKLAD	14728	30109	\N	\N	\N
503275	1716	1998-05-09	PRIJEM	VKLAD	14728	26708	\N	\N	\N
503276	1716	1998-06-09	PRIJEM	VKLAD	22092	40302	\N	\N	\N
503277	1716	1998-07-09	PRIJEM	VKLAD	14728	28658	\N	\N	\N
503278	1716	1998-08-09	PRIJEM	VKLAD	14728	38868	\N	\N	\N
503279	1716	1998-09-09	PRIJEM	VKLAD	14728	26485	\N	\N	\N
503280	1716	1998-10-09	PRIJEM	VKLAD	14728	35482	\N	\N	\N
503281	1716	1998-11-09	PRIJEM	VKLAD	14728	42712	\N	\N	\N
503282	1716	1998-12-09	PRIJEM	VKLAD	22092	33296	\N	\N	\N
503292	1716	1996-10-06	VYDAJ	PREVOD NA UCET	3575	28581	SIPO	OP	39169329
503293	1716	1996-11-06	VYDAJ	PREVOD NA UCET	3575	28650	SIPO	OP	39169329
503294	1716	1996-12-06	VYDAJ	PREVOD NA UCET	3575	23317	SIPO	OP	39169329
503295	1716	1997-01-06	VYDAJ	PREVOD NA UCET	3575	26546	SIPO	OP	39169329
503296	1716	1997-02-06	VYDAJ	PREVOD NA UCET	3575	11136	SIPO	OP	39169329
503297	1716	1997-03-06	VYDAJ	PREVOD NA UCET	3575	11230	SIPO	OP	39169329
503298	1716	1997-04-06	VYDAJ	PREVOD NA UCET	3575	11924	SIPO	OP	39169329
503299	1716	1997-05-06	VYDAJ	PREVOD NA UCET	3575	14122	SIPO	OP	39169329
503300	1716	1997-06-06	VYDAJ	PREVOD NA UCET	3575	11926	SIPO	OP	39169329
503301	1716	1997-07-06	VYDAJ	PREVOD NA UCET	3575	20508	SIPO	OP	39169329
503302	1716	1997-08-06	VYDAJ	PREVOD NA UCET	3575	15191	SIPO	OP	39169329
503303	1716	1997-09-06	VYDAJ	PREVOD NA UCET	3575	13696	SIPO	OP	39169329
503304	1716	1997-10-06	VYDAJ	PREVOD NA UCET	3575	12295	SIPO	OP	39169329
503305	1716	1997-11-06	VYDAJ	PREVOD NA UCET	3575	11987	SIPO	OP	39169329
503306	1716	1997-12-06	VYDAJ	PREVOD NA UCET	3575	13380	SIPO	OP	39169329
503307	1716	1998-01-06	VYDAJ	PREVOD NA UCET	3575	21863	SIPO	OP	39169329
503308	1716	1998-02-06	VYDAJ	PREVOD NA UCET	3575	14372	SIPO	OP	39169329
503309	1716	1998-03-06	VYDAJ	PREVOD NA UCET	3575	16373	SIPO	OP	39169329
503310	1716	1998-04-06	VYDAJ	PREVOD NA UCET	3575	15381	SIPO	OP	39169329
503311	1716	1998-05-06	VYDAJ	PREVOD NA UCET	3575	11980	SIPO	OP	39169329
503312	1716	1998-06-06	VYDAJ	PREVOD NA UCET	3575	18210	SIPO	OP	39169329
503313	1716	1998-07-06	VYDAJ	PREVOD NA UCET	3575	13930	SIPO	OP	39169329
503314	1716	1998-08-06	VYDAJ	PREVOD NA UCET	3575	24140	SIPO	OP	39169329
503315	1716	1998-09-06	VYDAJ	PREVOD NA UCET	3575	11757	SIPO	OP	39169329
503316	1716	1998-10-06	VYDAJ	PREVOD NA UCET	3575	20754	SIPO	OP	39169329
503317	1716	1998-11-06	VYDAJ	PREVOD NA UCET	3575	27984	SIPO	OP	39169329
503318	1716	1998-12-06	VYDAJ	PREVOD NA UCET	3575	11204	SIPO	OP	39169329
503327	1716	1996-09-13	VYDAJ	PREVOD NA UCET	1032	49617	 	ST	972009
503328	1716	1996-10-13	VYDAJ	PREVOD NA UCET	1032	42277	 	ST	972009
503329	1716	1996-11-13	VYDAJ	PREVOD NA UCET	1032	42346	 	ST	972009
503330	1716	1996-12-13	VYDAJ	PREVOD NA UCET	1032	44377	 	ST	972009
503331	1716	1997-01-13	VYDAJ	PREVOD NA UCET	1032	40242	 	ST	972009
503332	1716	1997-02-13	VYDAJ	PREVOD NA UCET	1032	24832	 	ST	972009
503333	1716	1997-03-13	VYDAJ	PREVOD NA UCET	1032	24926	 	ST	972009
503334	1716	1997-04-13	VYDAJ	PREVOD NA UCET	1032	25620	 	ST	972009
503335	1716	1997-05-13	VYDAJ	PREVOD NA UCET	1032	27818	 	ST	972009
503336	1716	1997-06-13	VYDAJ	PREVOD NA UCET	1032	32986	 	ST	972009
503337	1716	1997-07-13	VYDAJ	PREVOD NA UCET	1032	34204	 	ST	972009
503338	1716	1997-08-13	VYDAJ	PREVOD NA UCET	1032	28887	 	ST	972009
503339	1716	1997-09-13	VYDAJ	PREVOD NA UCET	1032	27392	 	ST	972009
503340	1716	1997-10-13	VYDAJ	PREVOD NA UCET	1032	25991	 	ST	972009
503341	1716	1997-11-13	VYDAJ	PREVOD NA UCET	1032	25683	 	ST	972009
503342	1716	1997-12-13	VYDAJ	PREVOD NA UCET	1032	34440	 	ST	972009
503343	1716	1998-01-13	VYDAJ	PREVOD NA UCET	1032	35559	 	ST	972009
503344	1716	1998-02-13	VYDAJ	PREVOD NA UCET	1032	28068	 	ST	972009
503345	1716	1998-03-13	VYDAJ	PREVOD NA UCET	1032	30069	 	ST	972009
503346	1716	1998-04-13	VYDAJ	PREVOD NA UCET	1032	29077	 	ST	972009
503347	1716	1998-05-13	VYDAJ	PREVOD NA UCET	1032	21716	 	ST	972009
503348	1716	1998-06-13	VYDAJ	PREVOD NA UCET	1032	35910	 	ST	972009
503349	1716	1998-07-13	VYDAJ	PREVOD NA UCET	1032	27626	 	ST	972009
503350	1716	1998-08-13	VYDAJ	PREVOD NA UCET	1032	37836	 	ST	972009
503351	1716	1998-09-13	VYDAJ	PREVOD NA UCET	1032	24253	 	ST	972009
503352	1716	1998-10-13	VYDAJ	PREVOD NA UCET	1032	31450	 	ST	972009
503353	1716	1998-11-13	VYDAJ	PREVOD NA UCET	1032	41680	 	ST	972009
503354	1716	1998-12-13	VYDAJ	PREVOD NA UCET	1032	32264	 	ST	972009
503359	1716	1997-01-19	VYDAJ	VYBER	15840	24402	\N	\N	\N
503360	1716	1998-01-29	VYDAJ	VYBER	9120	17839	\N	\N	\N
503361	1716	1996-12-01	VYDAJ	VYBER	1280	30012	\N	\N	\N
503362	1716	1997-12-20	VYDAJ	VYBER	3200	31240	\N	\N	\N
503364	1716	1996-12-03	VYDAJ	VYBER	3120	26892	\N	\N	\N
503366	1716	1996-09-21	VYDAJ	VYBER	5160	44457	\N	\N	\N
503369	1716	1996-10-01	VYDAJ	VYBER	3360	32156	\N	\N	\N
503372	1716	1997-07-19	VYDAJ	VYBER	3240	30964	\N	\N	\N
503374	1716	1998-09-10	VYDAJ	VYBER	1200	25285	\N	\N	\N
503375	1716	1998-06-11	VYDAJ	VYBER	3360	36942	\N	\N	\N
503376	1716	1998-10-09	VYDAJ	VYBER	3000	32482	\N	\N	\N
503377	1716	1998-05-09	VYDAJ	VYBER	3960	22748	\N	\N	\N
503387	1716	1996-09-30	VYDAJ	VYBER	15	35516	SLUZBY	\N	\N
503388	1716	1996-10-31	VYDAJ	VYBER	15	32225	SLUZBY	\N	\N
503389	1716	1996-11-30	VYDAJ	VYBER	15	31292	SLUZBY	\N	\N
503390	1716	1996-12-31	VYDAJ	VYBER	15	30121	SLUZBY	\N	\N
503391	1716	1997-01-31	VYDAJ	VYBER	15	14711	SLUZBY	\N	\N
503392	1716	1997-02-28	VYDAJ	VYBER	15	14805	SLUZBY	\N	\N
503393	1716	1997-03-31	VYDAJ	VYBER	15	15499	SLUZBY	\N	\N
503394	1716	1997-04-30	VYDAJ	VYBER	15	17697	SLUZBY	\N	\N
503395	1716	1997-05-31	VYDAJ	VYBER	15	15501	SLUZBY	\N	\N
503396	1716	1997-06-30	VYDAJ	VYBER	15	24083	SLUZBY	\N	\N
503397	1716	1997-07-31	VYDAJ	VYBER	15	18766	SLUZBY	\N	\N
503398	1716	1997-08-31	VYDAJ	VYBER	15	17271	SLUZBY	\N	\N
503399	1716	1997-09-30	VYDAJ	VYBER	15	15870	SLUZBY	\N	\N
503400	1716	1997-10-31	VYDAJ	VYBER	15	15562	SLUZBY	\N	\N
503401	1716	1997-11-30	VYDAJ	VYBER	15	16955	SLUZBY	\N	\N
503402	1716	1997-12-31	VYDAJ	VYBER	15	25438	SLUZBY	\N	\N
503403	1716	1998-01-31	VYDAJ	VYBER	15	17947	SLUZBY	\N	\N
503404	1716	1998-02-28	VYDAJ	VYBER	15	19948	SLUZBY	\N	\N
503405	1716	1998-03-31	VYDAJ	VYBER	15	18956	SLUZBY	\N	\N
503406	1716	1998-04-30	VYDAJ	VYBER	15	15555	SLUZBY	\N	\N
503407	1716	1998-05-31	VYDAJ	VYBER	15	21785	SLUZBY	\N	\N
503408	1716	1998-06-30	VYDAJ	VYBER	15	17505	SLUZBY	\N	\N
503409	1716	1998-07-31	VYDAJ	VYBER	15	27715	SLUZBY	\N	\N
503410	1716	1998-08-31	VYDAJ	VYBER	15	15332	SLUZBY	\N	\N
503411	1716	1998-09-30	VYDAJ	VYBER	15	24329	SLUZBY	\N	\N
503412	1716	1998-10-31	VYDAJ	VYBER	15	31559	SLUZBY	\N	\N
503413	1716	1998-11-30	VYDAJ	VYBER	15	14779	SLUZBY	\N	\N
503414	1716	1996-06-01	PRIJEM	VKLAD	4600	20477	\N	\N	\N
503415	1716	1996-07-01	VYDAJ	VYBER	8600	34117	\N	\N	\N
503416	1716	1996-07-31	VYDAJ	VYBER	12300	36740	\N	\N	\N
503417	1716	1996-08-30	VYDAJ	VYBER	15700	35768	\N	\N	\N
503418	1716	1996-09-29	VYDAJ	VYBER	9100	35357	\N	\N	\N
503419	1716	1996-10-29	VYDAJ	VYBER	10200	32077	\N	\N	\N
503420	1716	1996-11-28	VYDAJ	VYBER	11200	31146	\N	\N	\N
503421	1716	1996-12-28	VYDAJ	VYBER	14400	29977	\N	\N	\N
503422	1716	1997-01-27	VYDAJ	VYBER	9800	14602	\N	\N	\N
503423	1716	1997-02-26	VYDAJ	VYBER	10100	14732	\N	\N	\N
503424	1716	1997-03-28	VYDAJ	VYBER	9500	15426	\N	\N	\N
503425	1716	1997-04-27	VYDAJ	VYBER	8000	17620	\N	\N	\N
503426	1716	1997-05-27	VYDAJ	VYBER	12400	15418	\N	\N	\N
503427	1716	1997-06-26	VYDAJ	VYBER	9000	23986	\N	\N	\N
503428	1716	1997-07-26	VYDAJ	VYBER	12300	18664	\N	\N	\N
503429	1716	1997-08-25	VYDAJ	VYBER	11700	17187	\N	\N	\N
503430	1716	1997-09-24	VYDAJ	VYBER	11600	15792	\N	\N	\N
503431	1716	1997-10-24	VYDAJ	VYBER	10500	15491	\N	\N	\N
503432	1716	1997-11-23	VYDAJ	VYBER	8800	16883	\N	\N	\N
503433	1716	1997-12-23	VYDAJ	VYBER	5900	25340	\N	\N	\N
503434	1716	1998-01-22	VYDAJ	VYBER	8600	26959	\N	\N	\N
503435	1716	1998-02-21	VYDAJ	VYBER	8200	19868	\N	\N	\N
503436	1716	1998-03-23	VYDAJ	VYBER	11200	18869	\N	\N	\N
503437	1716	1998-04-22	VYDAJ	VYBER	13600	15477	\N	\N	\N
503438	1716	1998-06-21	VYDAJ	VYBER	18500	17410	\N	\N	\N
503439	1716	1998-08-20	VYDAJ	VYBER	22600	15236	\N	\N	\N
503440	1716	1998-11-18	VYDAJ	VYBER	27000	14680	\N	\N	\N
503473	1717	1997-12-02	PRIJEM	VKLAD	900	900	\N	\N	\N
503485	1717	1997-12-13	PRIJEM	PREVOD Z UCTU	6558	7458	DUCHOD	YZ	24717146
503486	1717	1998-01-13	PRIJEM	PREVOD Z UCTU	6558	14035	DUCHOD	YZ	24717146
503487	1717	1998-02-13	PRIJEM	PREVOD Z UCTU	6558	20624	DUCHOD	YZ	24717146
503488	1717	1998-03-13	PRIJEM	PREVOD Z UCTU	6558	27213	DUCHOD	YZ	24717146
503489	1717	1998-04-13	PRIJEM	PREVOD Z UCTU	6558	30202	DUCHOD	YZ	24717146
503490	1717	1998-05-13	PRIJEM	PREVOD Z UCTU	6558	20973	DUCHOD	YZ	24717146
503491	1717	1998-06-13	PRIJEM	PREVOD Z UCTU	6558	20106	DUCHOD	YZ	24717146
503492	1717	1998-07-13	PRIJEM	PREVOD Z UCTU	6558	17331	DUCHOD	YZ	24717146
503493	1717	1998-08-13	PRIJEM	PREVOD Z UCTU	6558	19598	DUCHOD	YZ	24717146
503494	1717	1998-09-13	PRIJEM	PREVOD Z UCTU	6558	23717	DUCHOD	YZ	24717146
503495	1717	1998-10-13	PRIJEM	PREVOD Z UCTU	6558	16147	DUCHOD	YZ	24717146
503496	1717	1998-11-13	PRIJEM	PREVOD Z UCTU	6558	20251	DUCHOD	YZ	24717146
503497	1717	1998-12-13	PRIJEM	PREVOD Z UCTU	6558	24372	DUCHOD	YZ	24717146
503514	1717	1998-05-07	VYDAJ	PREVOD NA UCET	2500	18015	SIPO	ST	11458802
503515	1717	1998-06-07	VYDAJ	PREVOD NA UCET	2500	13548	SIPO	ST	11458802
503516	1717	1998-07-07	VYDAJ	PREVOD NA UCET	2500	10773	SIPO	ST	11458802
503517	1717	1998-08-07	VYDAJ	PREVOD NA UCET	2500	13040	SIPO	ST	11458802
503518	1717	1998-09-07	VYDAJ	PREVOD NA UCET	2500	17159	SIPO	ST	11458802
503519	1717	1998-10-07	VYDAJ	PREVOD NA UCET	2500	9589	SIPO	ST	11458802
503520	1717	1998-11-07	VYDAJ	PREVOD NA UCET	2500	13693	SIPO	ST	11458802
503521	1717	1998-12-07	VYDAJ	PREVOD NA UCET	2500	17814	SIPO	ST	11458802
503523	1717	1998-06-27	VYDAJ	VYBER	6900	13206	\N	\N	\N
503527	1717	1998-12-18	VYDAJ	VYBER	550	23822	\N	\N	\N
503546	1717	1998-04-30	VYDAJ	VYBER	2560	27730	\N	\N	\N
503547	1717	1998-05-10	VYDAJ	VYBER	3600	14415	\N	\N	\N
503548	1717	1998-07-27	VYDAJ	VYBER	1840	15491	\N	\N	\N
503566	1717	1998-04-30	VYDAJ	VYBER	15	27715	SLUZBY	\N	\N
503567	1717	1998-05-31	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
503568	1717	1998-06-30	VYDAJ	VYBER	15	13273	SLUZBY	\N	\N
503569	1717	1998-07-31	VYDAJ	VYBER	15	15540	SLUZBY	\N	\N
503570	1717	1998-08-31	VYDAJ	VYBER	15	19659	SLUZBY	\N	\N
503571	1717	1998-09-30	VYDAJ	VYBER	15	12089	SLUZBY	\N	\N
503572	1717	1998-10-31	VYDAJ	VYBER	15	16193	SLUZBY	\N	\N
503573	1717	1998-11-30	VYDAJ	VYBER	15	20314	SLUZBY	\N	\N
503574	1717	1998-04-01	VYDAJ	VYBER	3600	23644	\N	\N	\N
503575	1717	1998-05-01	VYDAJ	VYBER	7200	20515	\N	\N	\N
503576	1717	1998-05-31	VYDAJ	VYBER	5000	16048	\N	\N	\N
503577	1717	1998-09-28	VYDAJ	VYBER	11700	12017	\N	\N	\N
503591	1718	1997-09-23	PRIJEM	VKLAD	300	300	\N	\N	\N
503601	1718	1997-10-13	PRIJEM	PREVOD Z UCTU	43928	44228	\N	ST	89547556
503602	1718	1997-11-13	PRIJEM	PREVOD Z UCTU	43928	81501	\N	ST	89547556
503603	1718	1997-12-13	PRIJEM	PREVOD Z UCTU	65892	126478	\N	ST	89547556
503604	1718	1998-01-13	PRIJEM	PREVOD Z UCTU	43928	102181	\N	ST	89547556
503605	1718	1998-02-13	PRIJEM	PREVOD Z UCTU	43928	114769	\N	ST	89547556
503606	1718	1998-03-13	PRIJEM	PREVOD Z UCTU	43928	69173	\N	ST	89547556
503607	1718	1998-04-13	PRIJEM	PREVOD Z UCTU	43928	78356	\N	ST	89547556
503608	1718	1998-05-13	PRIJEM	PREVOD Z UCTU	43928	88571	\N	ST	89547556
503609	1718	1998-06-13	PRIJEM	PREVOD Z UCTU	65892	108779	\N	ST	89547556
503610	1718	1998-07-13	PRIJEM	PREVOD Z UCTU	43928	85031	\N	ST	89547556
503611	1718	1998-08-13	PRIJEM	PREVOD Z UCTU	43928	90264	\N	ST	89547556
503612	1718	1998-09-13	PRIJEM	PREVOD Z UCTU	43928	88544	\N	ST	89547556
503613	1718	1998-10-13	PRIJEM	PREVOD Z UCTU	43928	81122	\N	ST	89547556
503614	1718	1998-11-13	PRIJEM	PREVOD Z UCTU	43928	89582	\N	ST	89547556
503615	1718	1998-12-13	PRIJEM	PREVOD Z UCTU	65892	112017	\N	ST	89547556
503630	1718	1998-03-10	VYDAJ	VYBER	6000	27345	\N	\N	0
503631	1718	1998-04-12	VYDAJ	VYBER	6200	34428	\N	\N	0
503632	1718	1998-05-25	VYDAJ	VYBER	6500	62671	\N	\N	0
503633	1718	1998-06-07	VYDAJ	VYBER	5600	57343	\N	\N	0
503634	1718	1998-07-04	VYDAJ	VYBER	7000	55559	\N	\N	0
503635	1718	1998-08-11	VYDAJ	VYBER	5400	46336	\N	\N	0
503636	1718	1998-09-12	VYDAJ	PREVOD NA UCET	7178	44616	UVER	CD	9266335
503637	1718	1998-10-12	VYDAJ	PREVOD NA UCET	7178	37194	UVER	CD	9266335
503638	1718	1998-11-12	VYDAJ	PREVOD NA UCET	7178	45654	UVER	CD	9266335
503639	1718	1998-12-12	VYDAJ	PREVOD NA UCET	7178	46125	UVER	CD	9266335
503654	1718	1998-03-09	VYDAJ	PREVOD NA UCET	14456	33345	SIPO	AB	69613939
503655	1718	1998-04-09	VYDAJ	PREVOD NA UCET	14456	40628	SIPO	AB	69613939
503656	1718	1998-05-09	VYDAJ	PREVOD NA UCET	14456	44643	SIPO	AB	69613939
503657	1718	1998-06-09	VYDAJ	PREVOD NA UCET	14456	42887	SIPO	AB	69613939
503658	1718	1998-07-09	VYDAJ	PREVOD NA UCET	14456	41103	SIPO	AB	69613939
503659	1718	1998-08-09	VYDAJ	PREVOD NA UCET	14456	51736	SIPO	AB	69613939
503660	1718	1998-09-09	VYDAJ	PREVOD NA UCET	14456	51794	SIPO	AB	69613939
503661	1718	1998-10-09	VYDAJ	PREVOD NA UCET	14456	44372	SIPO	AB	69613939
503662	1718	1998-11-09	VYDAJ	PREVOD NA UCET	14456	52832	SIPO	AB	69613939
503663	1718	1998-12-09	VYDAJ	PREVOD NA UCET	14456	55403	SIPO	AB	69613939
503678	1718	1998-12-11	VYDAJ	VYBER	2100	53303	\N	\N	\N
503696	1718	1998-10-04	VYDAJ	VYBER	12900	58828	\N	\N	\N
503697	1718	1998-03-11	VYDAJ	VYBER	2100	25245	\N	\N	\N
503698	1718	1998-09-09	VYDAJ	VYBER	6600	66250	\N	\N	\N
503699	1718	1998-11-15	VYDAJ	VYBER	4200	85382	\N	\N	\N
503714	1718	1998-02-28	VYDAJ	VYBER	15	47801	SLUZBY	\N	\N
503715	1718	1998-03-31	VYDAJ	VYBER	15	55084	SLUZBY	\N	\N
503716	1718	1998-04-30	VYDAJ	VYBER	15	59099	SLUZBY	\N	\N
503717	1718	1998-05-31	VYDAJ	VYBER	15	62943	SLUZBY	\N	\N
503718	1718	1998-06-30	VYDAJ	VYBER	15	62559	SLUZBY	\N	\N
503719	1718	1998-07-31	VYDAJ	VYBER	15	66192	SLUZBY	\N	\N
503720	1718	1998-08-31	VYDAJ	VYBER	15	72850	SLUZBY	\N	\N
503721	1718	1998-09-30	VYDAJ	VYBER	15	71728	SLUZBY	\N	\N
503722	1718	1998-10-31	VYDAJ	VYBER	15	67288	SLUZBY	\N	\N
503723	1718	1998-11-30	VYDAJ	VYBER	15	69859	SLUZBY	\N	\N
503724	1718	1997-10-23	VYDAJ	VYBER	6700	37528	\N	\N	\N
503725	1718	1997-11-22	VYDAJ	VYBER	21100	60401	\N	\N	\N
503726	1718	1997-12-13	VYDAJ	VYBER	44300	82178	\N	\N	\N
503727	1718	1997-12-22	VYDAJ	VYBER	24200	57978	\N	\N	\N
503728	1718	1998-01-21	VYDAJ	VYBER	31600	70581	\N	\N	\N
503729	1718	1998-02-13	VYDAJ	VYBER	60600	54169	\N	\N	\N
503730	1718	1998-02-20	VYDAJ	VYBER	6600	47569	\N	\N	\N
503731	1718	1998-03-22	VYDAJ	VYBER	14300	54873	\N	\N	\N
503732	1718	1998-04-21	VYDAJ	VYBER	19500	58856	\N	\N	\N
503733	1718	1998-05-21	VYDAJ	VYBER	19400	69171	\N	\N	\N
503734	1718	1998-06-13	VYDAJ	VYBER	27400	81379	\N	\N	\N
503735	1718	1998-06-20	VYDAJ	VYBER	19100	62279	\N	\N	\N
503736	1718	1998-07-20	VYDAJ	VYBER	19100	65931	\N	\N	\N
503737	1718	1998-08-19	VYDAJ	VYBER	17700	72564	\N	\N	\N
503738	1718	1998-09-18	VYDAJ	VYBER	17100	71444	\N	\N	\N
503739	1718	1998-10-18	VYDAJ	VYBER	14100	67022	\N	\N	\N
503740	1718	1998-11-17	VYDAJ	VYBER	15800	69582	\N	\N	\N
503756	1719	1993-09-06	PRIJEM	VKLAD	600	600	\N	\N	\N
503765	1719	1993-09-07	PRIJEM	PREVOD Z UCTU	4152	4752	DUCHOD	IJ	25589144
503766	1719	1993-10-07	PRIJEM	PREVOD Z UCTU	4152	8920	DUCHOD	IJ	25589144
503767	1719	1993-11-07	PRIJEM	PREVOD Z UCTU	4152	13092	DUCHOD	IJ	25589144
503768	1719	1993-12-07	PRIJEM	PREVOD Z UCTU	4152	17263	DUCHOD	IJ	25589144
503769	1719	1994-01-07	PRIJEM	PREVOD Z UCTU	4152	21435	DUCHOD	IJ	25589144
503770	1719	1994-02-07	PRIJEM	PREVOD Z UCTU	4152	19906	DUCHOD	IJ	25589144
503771	1719	1994-03-07	PRIJEM	PREVOD Z UCTU	4152	21344	DUCHOD	IJ	25589144
503772	1719	1994-04-07	PRIJEM	PREVOD Z UCTU	4152	22789	DUCHOD	IJ	25589144
503773	1719	1994-05-07	PRIJEM	PREVOD Z UCTU	4152	24240	DUCHOD	IJ	25589144
503774	1719	1994-06-07	PRIJEM	PREVOD Z UCTU	4152	25697	DUCHOD	IJ	25589144
503775	1719	1994-07-07	PRIJEM	PREVOD Z UCTU	4152	20547	DUCHOD	IJ	25589144
503776	1719	1994-08-07	PRIJEM	PREVOD Z UCTU	4152	21988	DUCHOD	IJ	25589144
503777	1719	1994-09-07	PRIJEM	PREVOD Z UCTU	4152	18391	DUCHOD	IJ	25589144
503778	1719	1994-10-07	PRIJEM	PREVOD Z UCTU	4152	16947	DUCHOD	IJ	25589144
503779	1719	1994-11-07	PRIJEM	PREVOD Z UCTU	4152	18378	DUCHOD	IJ	25589144
503780	1719	1994-12-07	PRIJEM	PREVOD Z UCTU	4152	17004	DUCHOD	IJ	25589144
503781	1719	1995-01-07	PRIJEM	PREVOD Z UCTU	4152	18430	DUCHOD	IJ	25589144
503782	1719	1995-02-07	PRIJEM	PREVOD Z UCTU	4152	18210	DUCHOD	IJ	25589144
503783	1719	1995-03-07	PRIJEM	PREVOD Z UCTU	4152	19160	DUCHOD	IJ	25589144
503784	1719	1995-04-07	PRIJEM	PREVOD Z UCTU	4152	20596	DUCHOD	IJ	25589144
503785	1719	1995-05-07	PRIJEM	PREVOD Z UCTU	4152	22037	DUCHOD	IJ	25589144
503786	1719	1995-06-07	PRIJEM	PREVOD Z UCTU	4152	23484	DUCHOD	IJ	25589144
503787	1719	1995-07-07	PRIJEM	PREVOD Z UCTU	4152	24938	DUCHOD	IJ	25589144
503788	1719	1995-08-07	PRIJEM	PREVOD Z UCTU	4152	26397	DUCHOD	IJ	25589144
503789	1719	1995-09-07	PRIJEM	PREVOD Z UCTU	4152	26422	DUCHOD	IJ	25589144
503790	1719	1995-10-07	PRIJEM	PREVOD Z UCTU	4152	22915	DUCHOD	IJ	25589144
503791	1719	1995-11-07	PRIJEM	PREVOD Z UCTU	4152	24366	DUCHOD	IJ	25589144
503792	1719	1995-12-07	PRIJEM	PREVOD Z UCTU	4152	22053	DUCHOD	IJ	25589144
503793	1719	1996-01-07	PRIJEM	PREVOD Z UCTU	4152	23501	DUCHOD	IJ	25589144
503794	1719	1996-02-07	PRIJEM	PREVOD Z UCTU	4152	23952	DUCHOD	IJ	25589144
503795	1719	1996-03-07	PRIJEM	PREVOD Z UCTU	4152	25407	DUCHOD	IJ	25589144
503796	1719	1996-04-07	PRIJEM	PREVOD Z UCTU	4152	26868	DUCHOD	IJ	25589144
503797	1719	1996-05-07	PRIJEM	PREVOD Z UCTU	4152	28336	DUCHOD	IJ	25589144
503798	1719	1996-06-07	PRIJEM	PREVOD Z UCTU	4152	29809	DUCHOD	IJ	25589144
503799	1719	1996-07-07	PRIJEM	PREVOD Z UCTU	4152	24943	DUCHOD	IJ	25589144
503800	1719	1996-08-07	PRIJEM	PREVOD Z UCTU	4152	24801	DUCHOD	IJ	25589144
503801	1719	1996-09-07	PRIJEM	PREVOD Z UCTU	4152	26259	DUCHOD	IJ	25589144
503802	1719	1996-10-07	PRIJEM	PREVOD Z UCTU	4152	27163	DUCHOD	IJ	25589144
503803	1719	1996-11-07	PRIJEM	PREVOD Z UCTU	4152	28632	DUCHOD	IJ	25589144
503804	1719	1996-12-07	PRIJEM	PREVOD Z UCTU	4152	30106	DUCHOD	IJ	25589144
503805	1719	1997-01-07	PRIJEM	PREVOD Z UCTU	4152	31587	DUCHOD	IJ	25589144
503806	1719	1997-02-07	PRIJEM	PREVOD Z UCTU	4152	31452	DUCHOD	IJ	25589144
503807	1719	1997-03-07	PRIJEM	PREVOD Z UCTU	4152	32937	DUCHOD	IJ	25589144
503808	1719	1997-04-07	PRIJEM	PREVOD Z UCTU	4152	30261	DUCHOD	IJ	25589144
503809	1719	1997-05-07	PRIJEM	PREVOD Z UCTU	4152	31742	DUCHOD	IJ	25589144
503810	1719	1997-06-07	PRIJEM	PREVOD Z UCTU	4152	31067	DUCHOD	IJ	25589144
503811	1719	1997-07-07	PRIJEM	PREVOD Z UCTU	4152	28994	DUCHOD	IJ	25589144
503812	1719	1997-08-07	PRIJEM	PREVOD Z UCTU	4152	26865	DUCHOD	IJ	25589144
503813	1719	1997-09-07	PRIJEM	PREVOD Z UCTU	4152	28331	DUCHOD	IJ	25589144
503814	1719	1997-10-07	PRIJEM	PREVOD Z UCTU	4152	26515	DUCHOD	IJ	25589144
503815	1719	1997-11-07	PRIJEM	PREVOD Z UCTU	4152	27980	DUCHOD	IJ	25589144
503816	1719	1997-12-07	PRIJEM	PREVOD Z UCTU	4152	28251	DUCHOD	IJ	25589144
503817	1719	1998-01-07	PRIJEM	PREVOD Z UCTU	4152	27167	DUCHOD	IJ	25589144
503818	1719	1998-02-07	PRIJEM	PREVOD Z UCTU	4152	24432	DUCHOD	IJ	25589144
503819	1719	1998-03-07	PRIJEM	PREVOD Z UCTU	4152	25887	DUCHOD	IJ	25589144
503820	1719	1998-04-07	PRIJEM	PREVOD Z UCTU	4152	27349	DUCHOD	IJ	25589144
503821	1719	1998-05-07	PRIJEM	PREVOD Z UCTU	4152	28817	DUCHOD	IJ	25589144
503822	1719	1998-06-07	PRIJEM	PREVOD Z UCTU	4152	30292	DUCHOD	IJ	25589144
503823	1719	1998-07-07	PRIJEM	PREVOD Z UCTU	4152	23915	DUCHOD	IJ	25589144
503824	1719	1998-08-07	PRIJEM	PREVOD Z UCTU	4152	23926	DUCHOD	IJ	25589144
503825	1719	1998-09-07	PRIJEM	PREVOD Z UCTU	4152	23053	DUCHOD	IJ	25589144
503826	1719	1998-10-07	PRIJEM	PREVOD Z UCTU	4152	23942	DUCHOD	IJ	25589144
503827	1719	1998-11-07	PRIJEM	PREVOD Z UCTU	4152	25395	DUCHOD	IJ	25589144
503828	1719	1998-12-07	PRIJEM	PREVOD Z UCTU	4152	26855	DUCHOD	IJ	25589144
503841	1719	1994-01-12	VYDAJ	PREVOD NA UCET	2768	18667	SIPO	UV	80013709
503842	1719	1994-02-12	VYDAJ	PREVOD NA UCET	2768	17138	SIPO	UV	80013709
503843	1719	1994-03-12	VYDAJ	PREVOD NA UCET	2768	18576	SIPO	UV	80013709
503844	1719	1994-04-12	VYDAJ	PREVOD NA UCET	2768	20021	SIPO	UV	80013709
503845	1719	1994-05-12	VYDAJ	PREVOD NA UCET	2768	21472	SIPO	UV	80013709
503846	1719	1994-06-12	VYDAJ	PREVOD NA UCET	2768	22929	SIPO	UV	80013709
503847	1719	1994-07-12	VYDAJ	PREVOD NA UCET	2768	17779	SIPO	UV	80013709
503848	1719	1994-08-12	VYDAJ	PREVOD NA UCET	2768	19220	SIPO	UV	80013709
503849	1719	1994-09-12	VYDAJ	PREVOD NA UCET	2768	15623	SIPO	UV	80013709
503850	1719	1994-10-12	VYDAJ	PREVOD NA UCET	2768	14179	SIPO	UV	80013709
503851	1719	1994-11-12	VYDAJ	PREVOD NA UCET	2768	12810	SIPO	UV	80013709
503852	1719	1994-12-12	VYDAJ	PREVOD NA UCET	2768	14236	SIPO	UV	80013709
503853	1719	1995-01-12	VYDAJ	PREVOD NA UCET	2768	14012	SIPO	UV	80013709
503854	1719	1995-02-12	VYDAJ	PREVOD NA UCET	2768	15442	SIPO	UV	80013709
503855	1719	1995-03-12	VYDAJ	PREVOD NA UCET	2768	16392	SIPO	UV	80013709
503856	1719	1995-04-12	VYDAJ	PREVOD NA UCET	2768	17828	SIPO	UV	80013709
503857	1719	1995-05-12	VYDAJ	PREVOD NA UCET	2768	19269	SIPO	UV	80013709
503858	1719	1995-06-12	VYDAJ	PREVOD NA UCET	2768	20716	SIPO	UV	80013709
503859	1719	1995-07-12	VYDAJ	PREVOD NA UCET	2768	22170	SIPO	UV	80013709
503860	1719	1995-08-12	VYDAJ	PREVOD NA UCET	2768	23629	SIPO	UV	80013709
503861	1719	1995-09-12	VYDAJ	PREVOD NA UCET	2768	18694	SIPO	UV	80013709
503862	1719	1995-10-12	VYDAJ	PREVOD NA UCET	2768	20147	SIPO	UV	80013709
503863	1719	1995-11-12	VYDAJ	PREVOD NA UCET	2768	17838	SIPO	UV	80013709
503864	1719	1995-12-12	VYDAJ	PREVOD NA UCET	2768	19285	SIPO	UV	80013709
503865	1719	1996-01-12	VYDAJ	PREVOD NA UCET	2768	20733	SIPO	UV	80013709
503866	1719	1996-02-12	VYDAJ	PREVOD NA UCET	2768	21184	SIPO	UV	80013709
503867	1719	1996-03-12	VYDAJ	PREVOD NA UCET	2768	22639	SIPO	UV	80013709
503868	1719	1996-04-12	VYDAJ	PREVOD NA UCET	2768	24100	SIPO	UV	80013709
503869	1719	1996-05-12	VYDAJ	PREVOD NA UCET	2768	25568	SIPO	UV	80013709
503870	1719	1996-06-12	VYDAJ	PREVOD NA UCET	2768	23991	SIPO	UV	80013709
503871	1719	1996-07-12	VYDAJ	PREVOD NA UCET	2768	22175	SIPO	UV	80013709
503872	1719	1996-08-12	VYDAJ	PREVOD NA UCET	2768	22033	SIPO	UV	80013709
503873	1719	1996-09-12	VYDAJ	PREVOD NA UCET	2768	23491	SIPO	UV	80013709
503874	1719	1996-10-12	VYDAJ	PREVOD NA UCET	2768	24395	SIPO	UV	80013709
503875	1719	1996-11-12	VYDAJ	PREVOD NA UCET	2768	25864	SIPO	UV	80013709
503876	1719	1996-12-12	VYDAJ	PREVOD NA UCET	2768	27338	SIPO	UV	80013709
503877	1719	1997-01-12	VYDAJ	PREVOD NA UCET	2768	28819	SIPO	UV	80013709
503878	1719	1997-02-12	VYDAJ	PREVOD NA UCET	2768	28684	SIPO	UV	80013709
503879	1719	1997-03-12	VYDAJ	PREVOD NA UCET	2768	30169	SIPO	UV	80013709
503880	1719	1997-04-12	VYDAJ	PREVOD NA UCET	2768	27493	SIPO	UV	80013709
503881	1719	1997-05-12	VYDAJ	PREVOD NA UCET	2768	28974	SIPO	UV	80013709
503882	1719	1997-06-12	VYDAJ	PREVOD NA UCET	2768	28299	SIPO	UV	80013709
503883	1719	1997-07-12	VYDAJ	PREVOD NA UCET	2768	26226	SIPO	UV	80013709
503884	1719	1997-08-12	VYDAJ	PREVOD NA UCET	2768	24097	SIPO	UV	80013709
503885	1719	1997-09-12	VYDAJ	PREVOD NA UCET	2768	22283	SIPO	UV	80013709
503886	1719	1997-10-12	VYDAJ	PREVOD NA UCET	2768	23747	SIPO	UV	80013709
503887	1719	1997-11-12	VYDAJ	PREVOD NA UCET	2768	25212	SIPO	UV	80013709
503888	1719	1997-12-12	VYDAJ	PREVOD NA UCET	2768	25483	SIPO	UV	80013709
503889	1719	1998-01-12	VYDAJ	PREVOD NA UCET	2768	24399	SIPO	UV	80013709
503890	1719	1998-02-12	VYDAJ	PREVOD NA UCET	2768	21664	SIPO	UV	80013709
503891	1719	1998-03-12	VYDAJ	PREVOD NA UCET	2768	23119	SIPO	UV	80013709
503892	1719	1998-04-12	VYDAJ	PREVOD NA UCET	2768	24581	SIPO	UV	80013709
503893	1719	1998-05-12	VYDAJ	PREVOD NA UCET	2768	26049	SIPO	UV	80013709
503894	1719	1998-06-12	VYDAJ	PREVOD NA UCET	2768	27524	SIPO	UV	80013709
503895	1719	1998-07-12	VYDAJ	PREVOD NA UCET	2768	19707	SIPO	UV	80013709
503896	1719	1998-08-12	VYDAJ	PREVOD NA UCET	2768	21158	SIPO	UV	80013709
503897	1719	1998-09-12	VYDAJ	PREVOD NA UCET	2768	20285	SIPO	UV	80013709
503898	1719	1998-10-12	VYDAJ	PREVOD NA UCET	2768	21174	SIPO	UV	80013709
503899	1719	1998-11-12	VYDAJ	PREVOD NA UCET	2768	22627	SIPO	UV	80013709
503900	1719	1998-12-12	VYDAJ	PREVOD NA UCET	2768	24087	SIPO	UV	80013709
503902	1719	1994-06-17	VYDAJ	VYBER	6600	16329	\N	\N	\N
503904	1719	1996-06-09	VYDAJ	VYBER	3050	26759	\N	\N	\N
503905	1719	1997-06-18	VYDAJ	VYBER	3550	24749	\N	\N	\N
503906	1719	1998-06-25	VYDAJ	VYBER	7850	19674	\N	\N	\N
503908	1719	1994-01-17	VYDAJ	VYBER	2950	15717	\N	\N	\N
503909	1719	1995-01-09	VYDAJ	VYBER	1650	16780	\N	\N	\N
503910	1719	1996-01-18	VYDAJ	VYBER	1000	19733	\N	\N	\N
503911	1719	1997-01-29	VYDAJ	VYBER	900	27199	\N	\N	\N
503912	1719	1998-01-18	VYDAJ	VYBER	4200	20199	\N	\N	\N
503917	1719	1994-08-23	VYDAJ	VYBER	3920	15300	\N	\N	\N
503919	1719	1994-09-01	VYDAJ	VYBER	1120	14239	\N	\N	\N
503920	1719	1994-10-01	VYDAJ	VYBER	2880	12795	\N	\N	\N
503921	1719	1994-11-09	VYDAJ	VYBER	2800	15578	\N	\N	\N
503923	1719	1995-02-16	VYDAJ	VYBER	480	14962	\N	\N	\N
503924	1719	1995-09-08	VYDAJ	VYBER	1040	25382	\N	\N	\N
503925	1719	1995-09-10	VYDAJ	VYBER	3920	21462	\N	\N	\N
503926	1719	1995-11-09	VYDAJ	VYBER	3760	20606	\N	\N	\N
503927	1719	1995-08-26	VYDAJ	VYBER	1440	22189	\N	\N	\N
503928	1719	1996-06-12	VYDAJ	VYBER	2000	21991	\N	\N	\N
503929	1719	1996-06-15	VYDAJ	VYBER	1280	20711	\N	\N	\N
503930	1719	1996-07-25	VYDAJ	VYBER	1600	20575	\N	\N	\N
503931	1719	1996-09-29	VYDAJ	VYBER	560	22931	\N	\N	\N
503932	1719	1997-01-20	VYDAJ	VYBER	720	28099	\N	\N	\N
503933	1719	1997-03-15	VYDAJ	VYBER	3040	27129	\N	\N	\N
503934	1719	1997-03-21	VYDAJ	VYBER	1120	26009	\N	\N	\N
503935	1719	1997-12-01	VYDAJ	VYBER	1200	24099	\N	\N	\N
503936	1719	1997-07-21	VYDAJ	VYBER	3600	22626	\N	\N	\N
503937	1719	1997-09-09	VYDAJ	VYBER	3280	25051	\N	\N	\N
503938	1719	1997-05-24	VYDAJ	VYBER	2160	26814	\N	\N	\N
503939	1719	1998-08-13	VYDAJ	VYBER	2320	18838	\N	\N	\N
503940	1719	1998-07-09	VYDAJ	VYBER	1440	22475	\N	\N	\N
503941	1719	1998-01-05	VYDAJ	VYBER	2560	23015	\N	\N	\N
503942	1719	1998-09-15	VYDAJ	VYBER	560	19725	\N	\N	\N
503957	1719	1994-01-31	VYDAJ	VYBER	15	15754	SLUZBY	\N	\N
503958	1719	1994-02-28	VYDAJ	VYBER	15	17192	SLUZBY	\N	\N
503959	1719	1994-03-31	VYDAJ	VYBER	15	18637	SLUZBY	\N	\N
503960	1719	1994-04-30	VYDAJ	VYBER	15	20088	SLUZBY	\N	\N
503961	1719	1994-05-31	VYDAJ	VYBER	15	21545	SLUZBY	\N	\N
503962	1719	1994-06-30	VYDAJ	VYBER	15	16395	SLUZBY	\N	\N
503963	1719	1994-07-31	VYDAJ	VYBER	15	17836	SLUZBY	\N	\N
503964	1719	1994-08-31	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
503965	1719	1994-09-30	VYDAJ	VYBER	15	15675	SLUZBY	\N	\N
503966	1719	1994-10-31	VYDAJ	VYBER	15	14226	SLUZBY	\N	\N
503967	1719	1994-11-30	VYDAJ	VYBER	15	12852	SLUZBY	\N	\N
503968	1719	1994-12-31	VYDAJ	VYBER	15	14278	SLUZBY	\N	\N
503969	1719	1995-01-31	VYDAJ	VYBER	15	14058	SLUZBY	\N	\N
503970	1719	1995-02-28	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
503971	1719	1995-03-31	VYDAJ	VYBER	15	16444	SLUZBY	\N	\N
503972	1719	1995-04-30	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
503973	1719	1995-05-31	VYDAJ	VYBER	15	19332	SLUZBY	\N	\N
503974	1719	1995-06-30	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
503975	1719	1995-07-31	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
503976	1719	1995-08-31	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
503977	1719	1995-09-30	VYDAJ	VYBER	15	18763	SLUZBY	\N	\N
503978	1719	1995-10-31	VYDAJ	VYBER	15	20214	SLUZBY	\N	\N
503979	1719	1995-11-30	VYDAJ	VYBER	15	17901	SLUZBY	\N	\N
503980	1719	1995-12-31	VYDAJ	VYBER	15	19349	SLUZBY	\N	\N
503981	1719	1996-01-31	VYDAJ	VYBER	15	19800	SLUZBY	\N	\N
503982	1719	1996-02-29	VYDAJ	VYBER	15	21255	SLUZBY	\N	\N
503983	1719	1996-03-31	VYDAJ	VYBER	15	22716	SLUZBY	\N	\N
503984	1719	1996-04-30	VYDAJ	VYBER	15	24184	SLUZBY	\N	\N
503985	1719	1996-05-31	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
503986	1719	1996-06-30	VYDAJ	VYBER	15	20791	SLUZBY	\N	\N
503987	1719	1996-07-31	VYDAJ	VYBER	15	20649	SLUZBY	\N	\N
503988	1719	1996-08-31	VYDAJ	VYBER	15	22107	SLUZBY	\N	\N
503989	1719	1996-09-30	VYDAJ	VYBER	15	23011	SLUZBY	\N	\N
503990	1719	1996-10-31	VYDAJ	VYBER	15	24480	SLUZBY	\N	\N
503991	1719	1996-11-30	VYDAJ	VYBER	15	25954	SLUZBY	\N	\N
503992	1719	1996-12-31	VYDAJ	VYBER	15	27435	SLUZBY	\N	\N
503993	1719	1997-01-31	VYDAJ	VYBER	15	27300	SLUZBY	\N	\N
503994	1719	1997-02-28	VYDAJ	VYBER	15	28785	SLUZBY	\N	\N
503995	1719	1997-03-31	VYDAJ	VYBER	15	26109	SLUZBY	\N	\N
503996	1719	1997-04-30	VYDAJ	VYBER	15	27590	SLUZBY	\N	\N
503997	1719	1997-05-31	VYDAJ	VYBER	15	26915	SLUZBY	\N	\N
503998	1719	1997-06-30	VYDAJ	VYBER	15	24842	SLUZBY	\N	\N
503999	1719	1997-07-31	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
504000	1719	1997-08-31	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
504001	1719	1997-09-30	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
504002	1719	1997-10-31	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
504003	1719	1997-11-30	VYDAJ	VYBER	15	25299	SLUZBY	\N	\N
504004	1719	1997-12-31	VYDAJ	VYBER	15	25575	SLUZBY	\N	\N
504005	1719	1998-01-31	VYDAJ	VYBER	15	20280	SLUZBY	\N	\N
504006	1719	1998-02-28	VYDAJ	VYBER	15	21735	SLUZBY	\N	\N
504007	1719	1998-03-31	VYDAJ	VYBER	15	23197	SLUZBY	\N	\N
504008	1719	1998-04-30	VYDAJ	VYBER	15	24665	SLUZBY	\N	\N
504009	1719	1998-05-31	VYDAJ	VYBER	15	26140	SLUZBY	\N	\N
504010	1719	1998-06-30	VYDAJ	VYBER	15	19763	SLUZBY	\N	\N
504011	1719	1998-07-31	VYDAJ	VYBER	15	19774	SLUZBY	\N	\N
504012	1719	1998-08-31	VYDAJ	VYBER	15	18901	SLUZBY	\N	\N
504013	1719	1998-09-30	VYDAJ	VYBER	15	19790	SLUZBY	\N	\N
504014	1719	1998-10-31	VYDAJ	VYBER	15	21243	SLUZBY	\N	\N
504015	1719	1998-11-30	VYDAJ	VYBER	15	22703	SLUZBY	\N	\N
504080	1720	1995-05-16	PRIJEM	VKLAD	300	300	\N	\N	\N
504178	1720	1995-06-15	PRIJEM	VKLAD	10400	10700	\N	\N	\N
504179	1720	1995-07-15	PRIJEM	VKLAD	5000	15700	\N	\N	\N
504180	1720	1995-08-14	PRIJEM	VKLAD	3100	18800	\N	\N	\N
504181	1720	1995-09-13	PRIJEM	VKLAD	1000	19800	\N	\N	\N
504182	1720	1995-10-13	PRIJEM	VKLAD	1700	21500	\N	\N	\N
504183	1720	1995-11-12	PRIJEM	VKLAD	900	22400	\N	\N	\N
504184	1720	1995-12-12	VYDAJ	VYBER	2700	19700	\N	\N	\N
504185	1720	1996-01-11	VYDAJ	VYBER	100	19600	\N	\N	\N
504186	1720	1996-02-10	VYDAJ	VYBER	200	19400	\N	\N	\N
504187	1720	1996-03-11	VYDAJ	VYBER	300	19100	\N	\N	\N
504188	1720	1996-04-10	VYDAJ	VYBER	200	18900	\N	\N	\N
504189	1720	1996-05-10	VYDAJ	VYBER	3300	15600	\N	\N	\N
504190	1720	1996-06-09	VYDAJ	VYBER	1400	14200	\N	\N	\N
504191	1720	1996-08-08	VYDAJ	VYBER	2300	11900	\N	\N	\N
504192	1720	1996-09-07	VYDAJ	VYBER	500	11400	\N	\N	\N
504193	1721	1993-03-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
504347	1721	1993-04-24	PRIJEM	VKLAD	9400	10500	\N	\N	\N
504348	1721	1993-05-24	PRIJEM	VKLAD	4300	14800	\N	\N	\N
504349	1721	1993-06-23	PRIJEM	VKLAD	3000	17800	\N	\N	\N
504350	1721	1993-07-23	PRIJEM	VKLAD	3200	21000	\N	\N	\N
504351	1721	1993-08-22	PRIJEM	VKLAD	100	21100	\N	\N	\N
504352	1721	1993-09-21	VYDAJ	VYBER	400	20700	\N	\N	\N
504353	1721	1993-10-21	PRIJEM	VKLAD	900	21600	\N	\N	\N
504354	1721	1993-11-20	PRIJEM	VKLAD	400	22000	\N	\N	\N
504355	1721	1993-12-20	PRIJEM	VKLAD	2200	24200	\N	\N	\N
504356	1721	1994-01-19	PRIJEM	VKLAD	2200	26400	\N	\N	\N
504357	1721	1994-02-18	VYDAJ	VYBER	3400	23000	\N	\N	\N
504358	1721	1994-03-20	VYDAJ	VYBER	200	22800	\N	\N	\N
504359	1721	1994-04-19	VYDAJ	VYBER	1800	21000	\N	\N	\N
504360	1721	1994-05-19	VYDAJ	VYBER	900	20100	\N	\N	\N
504361	1721	1994-06-18	PRIJEM	VKLAD	100	20200	\N	\N	\N
504362	1721	1994-07-18	PRIJEM	VKLAD	400	20600	\N	\N	\N
504363	1721	1994-08-17	VYDAJ	VYBER	300	20300	\N	\N	\N
504364	1721	1994-09-16	PRIJEM	VKLAD	3100	23400	\N	\N	\N
504365	1721	1994-10-16	VYDAJ	VYBER	900	22500	\N	\N	\N
504366	1721	1994-11-15	PRIJEM	VKLAD	500	23000	\N	\N	\N
504367	1721	1994-12-15	VYDAJ	VYBER	2600	20400	\N	\N	\N
504368	1721	1995-01-14	PRIJEM	VKLAD	400	20800	\N	\N	\N
504369	1721	1995-02-13	PRIJEM	VKLAD	1800	22600	\N	\N	\N
504370	1721	1995-03-15	VYDAJ	VYBER	2400	20200	\N	\N	\N
504371	1721	1995-04-14	PRIJEM	VKLAD	900	21100	\N	\N	\N
504372	1721	1995-05-14	PRIJEM	VKLAD	700	21800	\N	\N	\N
504373	1721	1995-06-13	VYDAJ	VYBER	2000	19800	\N	\N	\N
504374	1721	1995-07-13	VYDAJ	VYBER	700	19100	\N	\N	\N
504375	1721	1995-08-12	VYDAJ	VYBER	2400	16700	\N	\N	\N
504376	1721	1995-09-11	VYDAJ	VYBER	100	16600	\N	\N	\N
504377	1721	1995-10-11	PRIJEM	VKLAD	3700	20300	\N	\N	\N
504378	1721	1995-11-10	PRIJEM	VKLAD	1100	21400	\N	\N	\N
504379	1721	1995-12-10	VYDAJ	VYBER	600	20800	\N	\N	\N
504380	1721	1996-01-09	PRIJEM	VKLAD	1200	22000	\N	\N	\N
504381	1721	1996-02-08	VYDAJ	VYBER	400	21600	\N	\N	\N
504382	1721	1996-03-09	VYDAJ	VYBER	200	21400	\N	\N	\N
504383	1721	1996-04-08	VYDAJ	VYBER	2700	18700	\N	\N	\N
504384	1721	1996-05-08	VYDAJ	VYBER	300	18400	\N	\N	\N
504385	1721	1996-06-07	VYDAJ	VYBER	400	18000	\N	\N	\N
504386	1721	1996-07-07	PRIJEM	VKLAD	600	18600	\N	\N	\N
504387	1721	1996-08-06	VYDAJ	VYBER	2900	15700	\N	\N	\N
504388	1721	1996-09-05	PRIJEM	VKLAD	2200	17900	\N	\N	\N
504389	1721	1996-10-05	PRIJEM	VKLAD	2400	20300	\N	\N	\N
504390	1721	1996-11-04	PRIJEM	VKLAD	100	20400	\N	\N	\N
504391	1721	1996-12-04	PRIJEM	VKLAD	1200	21600	\N	\N	\N
504392	1721	1997-01-03	VYDAJ	VYBER	500	21100	\N	\N	\N
504393	1721	1997-02-02	VYDAJ	VYBER	2800	18300	\N	\N	\N
504394	1721	1997-03-04	PRIJEM	VKLAD	600	18900	\N	\N	\N
504395	1721	1997-04-03	VYDAJ	VYBER	1100	17800	\N	\N	\N
504396	1721	1997-05-03	PRIJEM	VKLAD	1200	19000	\N	\N	\N
504397	1721	1997-06-02	VYDAJ	VYBER	4700	14300	\N	\N	\N
504398	1721	1997-07-02	VYDAJ	VYBER	1600	12700	\N	\N	\N
504399	1721	1997-08-01	PRIJEM	VKLAD	1400	14100	\N	\N	\N
504400	1721	1997-09-30	PRIJEM	VKLAD	400	14500	\N	\N	\N
504401	1721	1997-10-30	PRIJEM	VKLAD	100	14600	\N	\N	\N
504402	1721	1997-11-29	VYDAJ	VYBER	2400	12200	\N	\N	\N
504403	1721	1997-12-29	PRIJEM	VKLAD	100	12300	\N	\N	\N
504404	1721	1998-01-28	VYDAJ	VYBER	2500	9800	\N	\N	\N
504405	1721	1998-02-27	PRIJEM	VKLAD	3000	12800	\N	\N	\N
504406	1721	1998-03-29	PRIJEM	VKLAD	3100	15900	\N	\N	\N
504407	1721	1998-04-28	PRIJEM	VKLAD	200	16100	\N	\N	\N
504408	1721	1998-05-28	PRIJEM	VKLAD	2600	18700	\N	\N	\N
504409	1721	1998-06-27	PRIJEM	VKLAD	6200	24900	\N	\N	\N
504410	1721	1998-07-27	PRIJEM	VKLAD	2600	27500	\N	\N	\N
504411	1721	1998-08-26	PRIJEM	VKLAD	100	27600	\N	\N	\N
504412	1721	1998-09-25	PRIJEM	VKLAD	6700	34300	\N	\N	\N
504413	1721	1998-10-25	PRIJEM	VKLAD	5900	40200	\N	\N	\N
504414	1721	1998-11-24	VYDAJ	VYBER	1500	38700	\N	\N	\N
504415	1722	1996-03-11	PRIJEM	VKLAD	800	800	\N	\N	\N
504418	1722	1996-03-12	PRIJEM	VKLAD	21052	21852	\N	\N	\N
504419	1722	1996-04-12	PRIJEM	VKLAD	21052	45363	\N	\N	\N
504420	1722	1996-05-12	PRIJEM	VKLAD	21052	57868	\N	\N	\N
504421	1722	1996-06-12	PRIJEM	VKLAD	31578	75569	\N	\N	\N
504422	1722	1996-07-12	PRIJEM	VKLAD	21052	71508	\N	\N	\N
504423	1722	1996-08-12	PRIJEM	VKLAD	21052	65678	\N	\N	\N
504424	1722	1996-09-12	PRIJEM	VKLAD	21052	62512	\N	\N	\N
504425	1722	1996-10-12	PRIJEM	VKLAD	21052	58237	\N	\N	\N
504426	1722	1996-11-12	PRIJEM	VKLAD	21052	57645	\N	\N	\N
504427	1722	1996-12-12	PRIJEM	VKLAD	31578	67871	\N	\N	\N
504428	1722	1997-01-12	PRIJEM	VKLAD	21052	58551	\N	\N	\N
504429	1722	1997-02-12	PRIJEM	VKLAD	21052	49057	\N	\N	\N
504430	1722	1997-03-12	PRIJEM	VKLAD	21052	49540	\N	\N	\N
504431	1722	1997-04-12	PRIJEM	VKLAD	21052	49682	\N	\N	\N
504432	1722	1997-05-12	PRIJEM	VKLAD	21052	51066	\N	\N	\N
504433	1722	1997-06-12	PRIJEM	VKLAD	31578	57118	\N	\N	\N
504434	1722	1997-07-12	PRIJEM	VKLAD	21052	57387	\N	\N	\N
504435	1722	1997-08-12	PRIJEM	VKLAD	21052	56381	\N	\N	\N
504436	1722	1997-09-12	PRIJEM	VKLAD	21052	60771	\N	\N	\N
504437	1722	1997-10-12	PRIJEM	VKLAD	21052	60778	\N	\N	\N
504438	1722	1997-11-12	PRIJEM	VKLAD	21052	61691	\N	\N	\N
504439	1722	1997-12-12	PRIJEM	VKLAD	31578	67970	\N	\N	\N
504440	1722	1998-01-12	PRIJEM	VKLAD	21052	55254	\N	\N	\N
504441	1722	1998-02-12	PRIJEM	VKLAD	21052	43806	\N	\N	\N
504442	1722	1998-03-12	PRIJEM	VKLAD	21052	54066	\N	\N	\N
504443	1722	1998-04-12	PRIJEM	VKLAD	21052	56731	\N	\N	\N
504444	1722	1998-05-12	PRIJEM	VKLAD	21052	63105	\N	\N	\N
504445	1722	1998-06-12	PRIJEM	VKLAD	31578	74930	\N	\N	\N
504446	1722	1998-07-12	PRIJEM	VKLAD	21052	49925	\N	\N	\N
504447	1722	1998-08-12	PRIJEM	VKLAD	21052	55068	\N	\N	\N
504448	1722	1998-09-12	PRIJEM	VKLAD	21052	60030	\N	\N	\N
504449	1722	1998-10-12	PRIJEM	VKLAD	21052	57971	\N	\N	\N
504450	1722	1998-11-12	PRIJEM	VKLAD	21052	61449	\N	\N	\N
504451	1722	1998-12-12	PRIJEM	VKLAD	31578	65356	\N	\N	\N
504459	1722	1996-08-10	VYDAJ	PREVOD NA UCET	4472	44626	SIPO	EF	3686994
504460	1722	1996-09-10	VYDAJ	PREVOD NA UCET	4472	41460	SIPO	EF	3686994
504461	1722	1996-10-10	VYDAJ	PREVOD NA UCET	4472	37185	SIPO	EF	3686994
504462	1722	1996-11-10	VYDAJ	PREVOD NA UCET	4472	36593	SIPO	EF	3686994
504463	1722	1996-12-10	VYDAJ	PREVOD NA UCET	4472	36293	SIPO	EF	3686994
504464	1722	1997-01-10	VYDAJ	PREVOD NA UCET	4472	37499	SIPO	EF	3686994
504465	1722	1997-02-10	VYDAJ	PREVOD NA UCET	4472	28005	SIPO	EF	3686994
504466	1722	1997-03-10	VYDAJ	PREVOD NA UCET	4472	28488	SIPO	EF	3686994
504467	1722	1997-04-10	VYDAJ	PREVOD NA UCET	4472	32950	SIPO	EF	3686994
504468	1722	1997-05-10	VYDAJ	PREVOD NA UCET	4472	30014	SIPO	EF	3686994
504469	1722	1997-06-10	VYDAJ	PREVOD NA UCET	4472	25540	SIPO	EF	3686994
504470	1722	1997-07-10	VYDAJ	PREVOD NA UCET	4472	36335	SIPO	EF	3686994
504471	1722	1997-08-10	VYDAJ	PREVOD NA UCET	4472	35329	SIPO	EF	3686994
504472	1722	1997-09-10	VYDAJ	PREVOD NA UCET	4472	39719	SIPO	EF	3686994
504473	1722	1997-10-10	VYDAJ	PREVOD NA UCET	4472	39726	SIPO	EF	3686994
504474	1722	1997-11-10	VYDAJ	PREVOD NA UCET	4472	40639	SIPO	EF	3686994
504475	1722	1997-12-10	VYDAJ	PREVOD NA UCET	4472	36392	SIPO	EF	3686994
504476	1722	1998-01-10	VYDAJ	PREVOD NA UCET	4472	34202	SIPO	EF	3686994
504477	1722	1998-02-10	VYDAJ	PREVOD NA UCET	4472	22754	SIPO	EF	3686994
504478	1722	1998-03-10	VYDAJ	PREVOD NA UCET	4472	33014	SIPO	EF	3686994
504479	1722	1998-04-10	VYDAJ	PREVOD NA UCET	4472	35679	SIPO	EF	3686994
504480	1722	1998-05-10	VYDAJ	PREVOD NA UCET	4472	42053	SIPO	EF	3686994
504481	1722	1998-06-10	VYDAJ	PREVOD NA UCET	4472	43352	SIPO	EF	3686994
504482	1722	1998-07-10	VYDAJ	PREVOD NA UCET	4472	28873	SIPO	EF	3686994
504483	1722	1998-08-10	VYDAJ	PREVOD NA UCET	4472	34016	SIPO	EF	3686994
504484	1722	1998-09-10	VYDAJ	PREVOD NA UCET	4472	38978	SIPO	EF	3686994
504485	1722	1998-10-10	VYDAJ	PREVOD NA UCET	4472	41959	SIPO	EF	3686994
504486	1722	1998-11-10	VYDAJ	PREVOD NA UCET	4472	40397	SIPO	EF	3686994
504487	1722	1998-12-10	VYDAJ	PREVOD NA UCET	4472	38418	SIPO	EF	3686994
504489	1722	1997-06-03	VYDAJ	VYBER	18240	33012	\N	\N	\N
504490	1722	1998-06-17	VYDAJ	VYBER	40960	33970	\N	\N	\N
504492	1722	1997-01-25	VYDAJ	VYBER	10400	43591	\N	\N	\N
504493	1722	1998-01-14	VYDAJ	VYBER	11200	44054	\N	\N	\N
504494	1722	1996-12-28	VYDAJ	VYBER	1280	62991	\N	\N	\N
504495	1722	1997-12-02	VYDAJ	VYBER	1120	40864	\N	\N	\N
504496	1722	1998-12-11	VYDAJ	VYBER	4640	33778	\N	\N	\N
504503	1722	1997-01-30	VYDAJ	VYBER	3360	38671	\N	\N	\N
504504	1722	1997-01-30	VYDAJ	VYBER	840	42031	\N	\N	\N
504505	1722	1997-01-09	VYDAJ	VYBER	2160	41971	\N	\N	\N
504506	1722	1997-01-17	VYDAJ	VYBER	1320	53991	\N	\N	\N
504507	1722	1997-01-16	VYDAJ	VYBER	3240	55311	\N	\N	\N
504508	1722	1997-01-26	VYDAJ	VYBER	720	42871	\N	\N	\N
504509	1722	1998-01-02	VYDAJ	VYBER	1080	41314	\N	\N	\N
504510	1722	1998-01-02	VYDAJ	VYBER	1320	42394	\N	\N	\N
504511	1722	1998-01-03	VYDAJ	VYBER	1920	39394	\N	\N	\N
504512	1722	1998-01-04	VYDAJ	VYBER	720	38674	\N	\N	\N
504513	1722	1998-01-24	VYDAJ	VYBER	3360	37694	\N	\N	\N
504514	1722	1998-01-20	VYDAJ	VYBER	3000	41054	\N	\N	\N
504515	1722	1996-12-18	VYDAJ	VYBER	3600	64271	\N	\N	\N
504521	1722	1996-08-06	VYDAJ	VYBER	4800	66998	\N	\N	\N
504522	1722	1997-12-22	VYDAJ	VYBER	1680	66290	\N	\N	\N
504523	1722	1997-04-27	VYDAJ	VYBER	4080	45602	\N	\N	\N
504524	1722	1997-02-16	VYDAJ	VYBER	3360	45697	\N	\N	\N
504525	1722	1997-07-25	VYDAJ	VYBER	1560	53187	\N	\N	\N
504526	1722	1997-04-11	VYDAJ	VYBER	4320	28630	\N	\N	\N
504527	1722	1997-11-22	VYDAJ	VYBER	1440	60251	\N	\N	\N
504528	1722	1997-07-22	VYDAJ	VYBER	2640	54747	\N	\N	\N
504529	1722	1998-03-05	VYDAJ	VYBER	960	37486	\N	\N	\N
504530	1722	1998-02-07	VYDAJ	VYBER	720	27226	\N	\N	\N
504531	1722	1998-10-11	VYDAJ	VYBER	5040	36919	\N	\N	\N
504532	1722	1998-11-22	VYDAJ	VYBER	960	60489	\N	\N	\N
504540	1722	1996-07-31	VYDAJ	VYBER	15	71798	SLUZBY	\N	\N
504541	1722	1996-08-31	VYDAJ	VYBER	15	65932	SLUZBY	\N	\N
504542	1722	1996-09-30	VYDAJ	VYBER	15	62757	SLUZBY	\N	\N
504543	1722	1996-10-31	VYDAJ	VYBER	15	58465	SLUZBY	\N	\N
504544	1722	1996-11-30	VYDAJ	VYBER	15	57865	SLUZBY	\N	\N
504545	1722	1996-12-31	VYDAJ	VYBER	15	63231	SLUZBY	\N	\N
504546	1722	1997-01-31	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
504547	1722	1997-02-28	VYDAJ	VYBER	15	45860	SLUZBY	\N	\N
504548	1722	1997-03-31	VYDAJ	VYBER	15	49722	SLUZBY	\N	\N
504549	1722	1997-04-30	VYDAJ	VYBER	15	45786	SLUZBY	\N	\N
504550	1722	1997-05-31	VYDAJ	VYBER	15	51252	SLUZBY	\N	\N
504551	1722	1997-06-30	VYDAJ	VYBER	15	57307	SLUZBY	\N	\N
504552	1722	1997-07-31	VYDAJ	VYBER	15	53401	SLUZBY	\N	\N
504553	1722	1997-08-31	VYDAJ	VYBER	15	56591	SLUZBY	\N	\N
504554	1722	1997-09-30	VYDAJ	VYBER	15	60998	SLUZBY	\N	\N
504555	1722	1997-10-31	VYDAJ	VYBER	15	61011	SLUZBY	\N	\N
504556	1722	1997-11-30	VYDAJ	VYBER	15	60484	SLUZBY	\N	\N
504557	1722	1997-12-31	VYDAJ	VYBER	15	66514	SLUZBY	\N	\N
504558	1722	1998-01-31	VYDAJ	VYBER	15	27946	SLUZBY	\N	\N
504559	1722	1998-02-28	VYDAJ	VYBER	15	43946	SLUZBY	\N	\N
504560	1722	1998-03-31	VYDAJ	VYBER	15	54251	SLUZBY	\N	\N
504561	1722	1998-04-30	VYDAJ	VYBER	15	46525	SLUZBY	\N	\N
504562	1722	1998-05-31	VYDAJ	VYBER	15	47824	SLUZBY	\N	\N
504563	1722	1998-06-30	VYDAJ	VYBER	15	33345	SLUZBY	\N	\N
504564	1722	1998-07-31	VYDAJ	VYBER	15	38488	SLUZBY	\N	\N
504565	1722	1998-08-31	VYDAJ	VYBER	15	43450	SLUZBY	\N	\N
504566	1722	1998-09-30	VYDAJ	VYBER	15	46431	SLUZBY	\N	\N
504567	1722	1998-10-31	VYDAJ	VYBER	15	44869	SLUZBY	\N	\N
504568	1722	1998-11-30	VYDAJ	VYBER	15	42890	SLUZBY	\N	\N
504569	1722	1996-04-10	PRIJEM	VKLAD	2400	24311	\N	\N	\N
504570	1722	1996-05-10	VYDAJ	VYBER	8700	36816	\N	\N	\N
504571	1722	1996-06-09	VYDAJ	VYBER	14100	43991	\N	\N	\N
504572	1722	1996-07-09	VYDAJ	VYBER	25400	50456	\N	\N	\N
504573	1722	1996-08-08	VYDAJ	VYBER	17900	49098	\N	\N	\N
504574	1722	1996-09-07	VYDAJ	VYBER	20000	45932	\N	\N	\N
504575	1722	1996-10-07	VYDAJ	VYBER	21100	41657	\N	\N	\N
504576	1722	1996-11-06	VYDAJ	VYBER	17400	41065	\N	\N	\N
504577	1722	1996-12-06	VYDAJ	VYBER	17100	40765	\N	\N	\N
504578	1722	1997-01-05	VYDAJ	VYBER	19100	44131	\N	\N	\N
504579	1722	1997-02-04	VYDAJ	VYBER	6400	32477	\N	\N	\N
504580	1722	1997-03-06	VYDAJ	VYBER	12900	32960	\N	\N	\N
504581	1722	1997-04-05	VYDAJ	VYBER	12300	37422	\N	\N	\N
504582	1722	1997-05-05	VYDAJ	VYBER	11300	34486	\N	\N	\N
504583	1722	1997-06-04	VYDAJ	VYBER	3000	30012	\N	\N	\N
504584	1722	1997-07-04	VYDAJ	VYBER	16500	40807	\N	\N	\N
504585	1722	1997-08-03	VYDAJ	VYBER	13600	39801	\N	\N	\N
504586	1722	1997-09-02	VYDAJ	VYBER	12400	44191	\N	\N	\N
504587	1722	1997-10-02	VYDAJ	VYBER	16800	44198	\N	\N	\N
504588	1722	1997-11-01	VYDAJ	VYBER	15900	45111	\N	\N	\N
504589	1722	1997-12-01	VYDAJ	VYBER	18500	41984	\N	\N	\N
504590	1722	1997-12-31	VYDAJ	VYBER	22800	43714	\N	\N	\N
504591	1722	1998-01-30	VYDAJ	VYBER	9900	27794	\N	\N	\N
504592	1722	1998-03-01	VYDAJ	VYBER	5500	38446	\N	\N	\N
504593	1722	1998-03-31	VYDAJ	VYBER	14100	40151	\N	\N	\N
504594	1722	1998-04-30	VYDAJ	VYBER	10400	46540	\N	\N	\N
504595	1722	1998-05-30	VYDAJ	VYBER	15500	47605	\N	\N	\N
504596	1722	1998-06-29	VYDAJ	VYBER	800	33170	\N	\N	\N
504597	1722	1998-07-29	VYDAJ	VYBER	11600	38325	\N	\N	\N
504598	1722	1998-08-28	VYDAJ	VYBER	11800	43268	\N	\N	\N
504599	1722	1998-09-27	VYDAJ	VYBER	13800	46230	\N	\N	\N
504600	1722	1998-10-27	VYDAJ	VYBER	13300	44671	\N	\N	\N
504601	1722	1998-11-26	VYDAJ	VYBER	17800	42689	\N	\N	\N
504636	1723	1997-11-04	PRIJEM	VKLAD	600	600	\N	\N	\N
504647	1723	1997-11-05	PRIJEM	VKLAD	22550	23150	\N	\N	\N
504648	1723	1997-12-05	PRIJEM	VKLAD	33825	54659	\N	\N	\N
504649	1723	1998-01-05	PRIJEM	VKLAD	22550	60519	\N	\N	\N
504650	1723	1998-02-05	PRIJEM	VKLAD	22550	62918	\N	\N	\N
504651	1723	1998-03-05	PRIJEM	VKLAD	22550	68729	\N	\N	\N
504652	1723	1998-04-05	PRIJEM	VKLAD	22550	64838	\N	\N	\N
504653	1723	1998-05-05	PRIJEM	VKLAD	22550	63930	\N	\N	\N
504654	1723	1998-06-05	PRIJEM	VKLAD	33825	73989	\N	\N	\N
504655	1723	1998-07-05	PRIJEM	VKLAD	22550	65993	\N	\N	\N
504656	1723	1998-08-05	PRIJEM	VKLAD	22550	69187	\N	\N	\N
504657	1723	1998-09-05	PRIJEM	VKLAD	22550	70493	\N	\N	\N
504658	1723	1998-10-05	PRIJEM	VKLAD	22550	71405	\N	\N	\N
504659	1723	1998-11-05	PRIJEM	VKLAD	22550	67711	\N	\N	\N
504660	1723	1998-12-05	PRIJEM	VKLAD	33825	79777	\N	\N	\N
504675	1723	1998-03-05	VYDAJ	PREVOD NA UCET	1092	67637	SIPO	AB	25436383
504676	1723	1998-04-05	VYDAJ	PREVOD NA UCET	1092	63738	SIPO	AB	25436383
504677	1723	1998-05-05	VYDAJ	PREVOD NA UCET	1092	62830	SIPO	AB	25436383
504678	1723	1998-06-05	VYDAJ	PREVOD NA UCET	1092	72897	SIPO	AB	25436383
504679	1723	1998-07-05	VYDAJ	PREVOD NA UCET	1092	64893	SIPO	AB	25436383
504680	1723	1998-08-05	VYDAJ	PREVOD NA UCET	1092	68087	SIPO	AB	25436383
504681	1723	1998-09-05	VYDAJ	PREVOD NA UCET	1092	69393	SIPO	AB	25436383
504682	1723	1998-10-05	VYDAJ	PREVOD NA UCET	1092	70305	SIPO	AB	25436383
504683	1723	1998-11-05	VYDAJ	PREVOD NA UCET	1092	66611	SIPO	AB	25436383
504684	1723	1998-12-05	VYDAJ	PREVOD NA UCET	1092	78685	SIPO	AB	25436383
504699	1723	1998-03-06	VYDAJ	PREVOD NA UCET	3904	63725	 	YZ	10030848
504700	1723	1998-04-06	VYDAJ	PREVOD NA UCET	3904	59834	 	YZ	10030848
504701	1723	1998-05-06	VYDAJ	PREVOD NA UCET	3904	58926	 	YZ	10030848
504702	1723	1998-06-06	VYDAJ	PREVOD NA UCET	3904	68985	 	YZ	10030848
504703	1723	1998-07-06	VYDAJ	PREVOD NA UCET	3904	60989	 	YZ	10030848
504704	1723	1998-08-06	VYDAJ	PREVOD NA UCET	3904	64183	 	YZ	10030848
504705	1723	1998-09-06	VYDAJ	PREVOD NA UCET	3904	65489	 	YZ	10030848
504706	1723	1998-10-06	VYDAJ	PREVOD NA UCET	3904	66401	 	YZ	10030848
504707	1723	1998-11-06	VYDAJ	PREVOD NA UCET	3904	62707	 	YZ	10030848
504708	1723	1998-12-06	VYDAJ	PREVOD NA UCET	3904	74773	 	YZ	10030848
504723	1723	1998-03-12	VYDAJ	PREVOD NA UCET	4676	59049	POJISTNE	GH	36498862
504724	1723	1998-04-12	VYDAJ	PREVOD NA UCET	4676	55158	POJISTNE	GH	36498862
504725	1723	1998-05-12	VYDAJ	PREVOD NA UCET	4676	54250	POJISTNE	GH	36498862
504726	1723	1998-06-12	VYDAJ	PREVOD NA UCET	4676	52629	POJISTNE	GH	36498862
504727	1723	1998-07-12	VYDAJ	PREVOD NA UCET	4676	56313	POJISTNE	GH	36498862
504728	1723	1998-08-12	VYDAJ	PREVOD NA UCET	4676	59507	POJISTNE	GH	36498862
504729	1723	1998-09-12	VYDAJ	PREVOD NA UCET	4676	60813	POJISTNE	GH	36498862
504730	1723	1998-10-12	VYDAJ	PREVOD NA UCET	4676	61725	POJISTNE	GH	36498862
504731	1723	1998-11-12	VYDAJ	PREVOD NA UCET	4676	58031	POJISTNE	GH	36498862
504732	1723	1998-12-12	VYDAJ	PREVOD NA UCET	4676	70097	POJISTNE	GH	36498862
504747	1723	1998-03-05	VYDAJ	PREVOD NA UCET	8	67629	 	ST	47622954
504748	1723	1998-04-05	VYDAJ	PREVOD NA UCET	8	64830	 	ST	47622954
504749	1723	1998-05-05	VYDAJ	PREVOD NA UCET	8	63922	 	ST	47622954
504750	1723	1998-06-05	VYDAJ	PREVOD NA UCET	8	72889	 	ST	47622954
504751	1723	1998-07-05	VYDAJ	PREVOD NA UCET	8	65985	 	ST	47622954
504752	1723	1998-08-05	VYDAJ	PREVOD NA UCET	8	69179	 	ST	47622954
504753	1723	1998-09-05	VYDAJ	PREVOD NA UCET	8	70485	 	ST	47622954
504754	1723	1998-10-05	VYDAJ	PREVOD NA UCET	8	71397	 	ST	47622954
504755	1723	1998-11-05	VYDAJ	PREVOD NA UCET	8	67703	 	ST	47622954
504756	1723	1998-12-05	VYDAJ	PREVOD NA UCET	8	78677	 	ST	47622954
504758	1723	1998-06-08	VYDAJ	VYBER	11680	57305	\N	\N	\N
504760	1723	1998-12-15	VYDAJ	VYBER	3680	66417	\N	\N	\N
504765	1723	1998-05-22	VYDAJ	VYBER	2400	51850	\N	\N	\N
504781	1723	1998-03-31	VYDAJ	VYBER	15	59288	SLUZBY	\N	\N
504782	1723	1998-04-30	VYDAJ	VYBER	15	55380	SLUZBY	\N	\N
504783	1723	1998-05-31	VYDAJ	VYBER	15	52064	SLUZBY	\N	\N
504784	1723	1998-06-30	VYDAJ	VYBER	15	52843	SLUZBY	\N	\N
504785	1723	1998-07-31	VYDAJ	VYBER	15	56537	SLUZBY	\N	\N
504786	1723	1998-08-31	VYDAJ	VYBER	15	59743	SLUZBY	\N	\N
504787	1723	1998-09-30	VYDAJ	VYBER	15	61055	SLUZBY	\N	\N
504788	1723	1998-10-31	VYDAJ	VYBER	15	45161	SLUZBY	\N	\N
504789	1723	1998-11-30	VYDAJ	VYBER	15	45952	SLUZBY	\N	\N
504790	1723	1997-12-04	VYDAJ	VYBER	2400	20834	\N	\N	\N
504791	1723	1998-01-03	VYDAJ	VYBER	16900	37969	\N	\N	\N
504792	1723	1998-02-02	VYDAJ	VYBER	20400	40368	\N	\N	\N
504793	1723	1998-03-04	VYDAJ	VYBER	17000	46179	\N	\N	\N
504794	1723	1998-04-03	VYDAJ	VYBER	17000	42288	\N	\N	\N
504795	1723	1998-05-03	VYDAJ	VYBER	14000	41380	\N	\N	\N
504796	1723	1998-06-02	VYDAJ	VYBER	11900	40164	\N	\N	\N
504797	1723	1998-07-02	VYDAJ	VYBER	9400	43443	\N	\N	\N
504798	1723	1998-08-01	VYDAJ	VYBER	9900	46637	\N	\N	\N
504799	1723	1998-08-31	VYDAJ	VYBER	11800	47943	\N	\N	\N
504800	1723	1998-09-30	VYDAJ	VYBER	12200	48855	\N	\N	\N
504801	1723	1998-10-30	VYDAJ	VYBER	16800	44925	\N	\N	\N
504802	1723	1998-11-29	VYDAJ	VYBER	12300	45731	\N	\N	\N
504817	1724	1997-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
504823	1724	1997-06-14	PRIJEM	PREVOD Z UCTU	6592	7692	DUCHOD	OP	50139147
504824	1724	1997-07-14	PRIJEM	PREVOD Z UCTU	6592	14302	DUCHOD	OP	50139147
504825	1724	1997-08-14	PRIJEM	PREVOD Z UCTU	6592	20926	DUCHOD	OP	50139147
504826	1724	1997-09-14	PRIJEM	PREVOD Z UCTU	6592	23650	DUCHOD	OP	50139147
504827	1724	1997-10-14	PRIJEM	PREVOD Z UCTU	6592	27512	DUCHOD	OP	50139147
504828	1724	1997-11-14	PRIJEM	PREVOD Z UCTU	6592	31193	DUCHOD	OP	50139147
504829	1724	1997-12-14	PRIJEM	PREVOD Z UCTU	6592	29938	DUCHOD	OP	50139147
504830	1724	1998-01-14	PRIJEM	PREVOD Z UCTU	6592	30922	DUCHOD	OP	50139147
504831	1724	1998-02-14	PRIJEM	PREVOD Z UCTU	6592	30773	DUCHOD	OP	50139147
504832	1724	1998-03-14	PRIJEM	PREVOD Z UCTU	6592	31465	DUCHOD	OP	50139147
504833	1724	1998-04-14	PRIJEM	PREVOD Z UCTU	6592	32362	DUCHOD	OP	50139147
504834	1724	1998-05-14	PRIJEM	PREVOD Z UCTU	6592	33162	DUCHOD	OP	50139147
504835	1724	1998-06-14	PRIJEM	PREVOD Z UCTU	6592	31248	DUCHOD	OP	50139147
504836	1724	1998-07-14	PRIJEM	PREVOD Z UCTU	6592	22431	DUCHOD	OP	50139147
504837	1724	1998-08-14	PRIJEM	PREVOD Z UCTU	6592	24189	DUCHOD	OP	50139147
504838	1724	1998-09-14	PRIJEM	PREVOD Z UCTU	6592	28457	DUCHOD	OP	50139147
504839	1724	1998-10-14	PRIJEM	PREVOD Z UCTU	6592	24897	DUCHOD	OP	50139147
504840	1724	1998-11-14	PRIJEM	PREVOD Z UCTU	6592	20764	DUCHOD	OP	50139147
504841	1724	1998-12-14	PRIJEM	PREVOD Z UCTU	6592	21213	DUCHOD	OP	50139147
504852	1724	1997-11-09	VYDAJ	PREVOD NA UCET	1604	24601	SIPO	QR	97682117
504853	1724	1997-12-09	VYDAJ	PREVOD NA UCET	1604	23346	SIPO	QR	97682117
504854	1724	1998-01-09	VYDAJ	PREVOD NA UCET	1604	26490	SIPO	QR	97682117
504855	1724	1998-02-09	VYDAJ	PREVOD NA UCET	1604	24181	SIPO	QR	97682117
504856	1724	1998-03-09	VYDAJ	PREVOD NA UCET	1604	24873	SIPO	QR	97682117
504857	1724	1998-04-09	VYDAJ	PREVOD NA UCET	1604	25770	SIPO	QR	97682117
504858	1724	1998-05-09	VYDAJ	PREVOD NA UCET	1604	26570	SIPO	QR	97682117
504859	1724	1998-06-09	VYDAJ	PREVOD NA UCET	1604	24656	SIPO	QR	97682117
504860	1724	1998-07-09	VYDAJ	PREVOD NA UCET	1604	15839	SIPO	QR	97682117
504861	1724	1998-08-09	VYDAJ	PREVOD NA UCET	1604	17597	SIPO	QR	97682117
504862	1724	1998-09-09	VYDAJ	PREVOD NA UCET	1604	21865	SIPO	QR	97682117
504863	1724	1998-10-09	VYDAJ	PREVOD NA UCET	1604	18305	SIPO	QR	97682117
504864	1724	1998-11-09	VYDAJ	PREVOD NA UCET	1604	14172	SIPO	QR	97682117
504865	1724	1998-12-09	VYDAJ	PREVOD NA UCET	1604	14621	SIPO	QR	97682117
504867	1724	1998-06-22	VYDAJ	VYBER	13900	17348	\N	\N	\N
504869	1724	1998-01-02	VYDAJ	VYBER	1150	28894	\N	\N	\N
504870	1724	1997-12-07	VYDAJ	VYBER	1050	24950	\N	\N	\N
504871	1724	1998-12-29	VYDAJ	VYBER	1100	20113	\N	\N	\N
504878	1724	1998-01-18	VYDAJ	VYBER	720	29722	\N	\N	\N
504879	1724	1998-01-05	VYDAJ	VYBER	400	28094	\N	\N	\N
504880	1724	1998-01-18	VYDAJ	VYBER	480	30442	\N	\N	\N
504881	1724	1998-01-30	VYDAJ	VYBER	1200	27082	\N	\N	\N
504882	1724	1998-01-10	VYDAJ	VYBER	2160	24330	\N	\N	\N
504883	1724	1998-01-23	VYDAJ	VYBER	1440	28282	\N	\N	\N
504889	1724	1998-03-21	VYDAJ	VYBER	2000	29465	\N	\N	\N
504890	1724	1998-09-18	VYDAJ	VYBER	1600	26857	\N	\N	\N
504891	1724	1998-10-01	VYDAJ	VYBER	1280	21029	\N	\N	\N
504892	1724	1998-09-30	VYDAJ	VYBER	800	22309	\N	\N	\N
504893	1724	1998-09-20	VYDAJ	VYBER	1040	25817	\N	\N	\N
504894	1724	1998-10-08	VYDAJ	VYBER	1120	19909	\N	\N	\N
504895	1724	1998-05-28	VYDAJ	VYBER	720	32442	\N	\N	\N
504906	1724	1997-10-31	VYDAJ	VYBER	15	27605	SLUZBY	\N	\N
504907	1724	1997-11-30	VYDAJ	VYBER	15	31300	SLUZBY	\N	\N
504908	1724	1997-12-31	VYDAJ	VYBER	15	30044	SLUZBY	\N	\N
504909	1724	1998-01-31	VYDAJ	VYBER	15	27185	SLUZBY	\N	\N
504910	1724	1998-02-28	VYDAJ	VYBER	15	30877	SLUZBY	\N	\N
504911	1724	1998-03-31	VYDAJ	VYBER	15	29574	SLUZBY	\N	\N
504912	1724	1998-04-30	VYDAJ	VYBER	15	32474	SLUZBY	\N	\N
504913	1724	1998-05-31	VYDAJ	VYBER	15	32560	SLUZBY	\N	\N
504914	1724	1998-06-30	VYDAJ	VYBER	15	17443	SLUZBY	\N	\N
504915	1724	1998-07-31	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
504916	1724	1998-08-31	VYDAJ	VYBER	15	24269	SLUZBY	\N	\N
504917	1724	1998-09-30	VYDAJ	VYBER	15	23109	SLUZBY	\N	\N
504918	1724	1998-10-31	VYDAJ	VYBER	15	15776	SLUZBY	\N	\N
504919	1724	1998-11-30	VYDAJ	VYBER	15	16225	SLUZBY	\N	\N
504920	1724	1997-09-05	VYDAJ	VYBER	3900	17058	\N	\N	\N
504921	1724	1997-10-05	VYDAJ	VYBER	2800	20920	\N	\N	\N
504922	1724	1997-11-04	VYDAJ	VYBER	1400	26205	\N	\N	\N
504923	1724	1997-12-04	VYDAJ	VYBER	5300	26000	\N	\N	\N
504924	1724	1998-01-03	VYDAJ	VYBER	400	28494	\N	\N	\N
504925	1724	1998-02-02	VYDAJ	VYBER	1400	25785	\N	\N	\N
504926	1724	1998-03-04	VYDAJ	VYBER	4400	26477	\N	\N	\N
504927	1724	1998-04-03	VYDAJ	VYBER	2200	27374	\N	\N	\N
504928	1724	1998-05-03	VYDAJ	VYBER	4300	28174	\N	\N	\N
504929	1724	1998-06-02	VYDAJ	VYBER	6300	26260	\N	\N	\N
504930	1724	1998-08-01	VYDAJ	VYBER	3300	19201	\N	\N	\N
504931	1724	1998-08-31	VYDAJ	VYBER	800	23469	\N	\N	\N
504932	1724	1998-09-30	VYDAJ	VYBER	2800	23123	\N	\N	\N
504933	1724	1998-10-30	VYDAJ	VYBER	9200	15697	\N	\N	\N
504934	1724	1998-11-29	VYDAJ	VYBER	4600	16164	\N	\N	\N
504954	1725	1995-07-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
504961	1725	1995-07-10	PRIJEM	PREVOD Z UCTU	47870	48970	\N	QR	16868681
504962	1725	1995-08-10	PRIJEM	PREVOD Z UCTU	47870	82585	\N	QR	16868681
504963	1725	1995-09-10	PRIJEM	PREVOD Z UCTU	47870	100658	\N	QR	16868681
504964	1725	1995-10-10	PRIJEM	PREVOD Z UCTU	47870	106225	\N	QR	16868681
504965	1725	1995-11-10	PRIJEM	PREVOD Z UCTU	47870	84622	\N	QR	16868681
504966	1725	1995-12-10	PRIJEM	PREVOD Z UCTU	71805	107010	\N	QR	16868681
504967	1725	1996-01-10	PRIJEM	PREVOD Z UCTU	47870	69534	\N	QR	16868681
504968	1725	1996-02-10	PRIJEM	PREVOD Z UCTU	47870	66360	\N	QR	16868681
504969	1725	1996-03-10	PRIJEM	PREVOD Z UCTU	47870	86695	\N	QR	16868681
504970	1725	1996-04-10	PRIJEM	PREVOD Z UCTU	47870	102858	\N	QR	16868681
504971	1725	1996-05-10	PRIJEM	PREVOD Z UCTU	47870	104692	\N	QR	16868681
504972	1725	1996-06-10	PRIJEM	PREVOD Z UCTU	71805	125307	\N	QR	16868681
504973	1725	1996-07-10	PRIJEM	PREVOD Z UCTU	47870	108699	\N	QR	16868681
504974	1725	1996-08-10	PRIJEM	PREVOD Z UCTU	47870	81637	\N	QR	16868681
504975	1725	1996-09-10	PRIJEM	PREVOD Z UCTU	47870	81683	\N	QR	16868681
504976	1725	1996-10-10	PRIJEM	PREVOD Z UCTU	47870	96472	\N	QR	16868681
504977	1725	1996-11-10	PRIJEM	PREVOD Z UCTU	47870	109962	\N	QR	16868681
504978	1725	1996-12-10	PRIJEM	PREVOD Z UCTU	71805	132892	\N	QR	16868681
504979	1725	1997-01-10	PRIJEM	PREVOD Z UCTU	47870	101715	\N	QR	16868681
504980	1725	1997-02-10	PRIJEM	PREVOD Z UCTU	47870	78882	\N	QR	16868681
504981	1725	1997-03-10	PRIJEM	PREVOD Z UCTU	47870	102204	\N	QR	16868681
504982	1725	1997-04-10	PRIJEM	PREVOD Z UCTU	47870	106511	\N	QR	16868681
504983	1725	1997-05-10	PRIJEM	PREVOD Z UCTU	47870	117936	\N	QR	16868681
504984	1725	1997-06-10	PRIJEM	PREVOD Z UCTU	71805	136073	\N	QR	16868681
504985	1725	1997-07-10	PRIJEM	PREVOD Z UCTU	47870	95943	\N	QR	16868681
504986	1725	1997-08-10	PRIJEM	PREVOD Z UCTU	47870	106626	\N	QR	16868681
504987	1725	1997-09-10	PRIJEM	PREVOD Z UCTU	47870	98943	\N	QR	16868681
504988	1725	1997-10-10	PRIJEM	PREVOD Z UCTU	47870	114347	\N	QR	16868681
504989	1725	1997-11-10	PRIJEM	PREVOD Z UCTU	47870	112052	\N	QR	16868681
504990	1725	1997-12-10	PRIJEM	PREVOD Z UCTU	71805	130473	\N	QR	16868681
504991	1725	1998-01-10	PRIJEM	PREVOD Z UCTU	47870	89182	\N	QR	16868681
504992	1725	1998-02-10	PRIJEM	PREVOD Z UCTU	47870	74212	\N	QR	16868681
504993	1725	1998-03-10	PRIJEM	PREVOD Z UCTU	47870	74321	\N	QR	16868681
504994	1725	1998-04-10	PRIJEM	PREVOD Z UCTU	47870	95218	\N	QR	16868681
504995	1725	1998-05-10	PRIJEM	PREVOD Z UCTU	47870	85433	\N	QR	16868681
504996	1725	1998-06-10	PRIJEM	PREVOD Z UCTU	71805	98557	\N	QR	16868681
504997	1725	1998-07-10	PRIJEM	PREVOD Z UCTU	47870	90585	\N	QR	16868681
504998	1725	1998-08-10	PRIJEM	PREVOD Z UCTU	47870	105159	\N	QR	16868681
504999	1725	1998-09-10	PRIJEM	PREVOD Z UCTU	47870	107638	\N	QR	16868681
505000	1725	1998-10-10	PRIJEM	PREVOD Z UCTU	47870	79438	\N	QR	16868681
505001	1725	1998-11-10	PRIJEM	PREVOD Z UCTU	47870	78070	\N	QR	16868681
505002	1725	1998-12-10	PRIJEM	PREVOD Z UCTU	71805	104150	\N	QR	16868681
505005	1725	1995-11-12	VYBER	VYBER	24455	60167	\N	\N	\N
505008	1725	1995-12-29	VYBER	VYBER	13337	38073	\N	\N	\N
505011	1725	1995-11-18	VYBER	VYBER	11553	48614	\N	\N	\N
505017	1725	1996-08-11	VYBER	VYBER	3283	78354	\N	\N	\N
505018	1725	1996-05-13	VYBER	VYBER	23773	80919	\N	\N	\N
505019	1725	1996-08-29	VYBER	VYBER	14416	41238	\N	\N	\N
505020	1725	1996-07-11	VYBER	VYBER	14825	74274	\N	\N	\N
505021	1725	1996-09-25	VYBER	VYBER	9549	66734	\N	\N	\N
505022	1725	1996-11-20	VYBER	VYBER	7959	102003	\N	\N	\N
505023	1725	1996-02-17	VYBER	VYBER	4187	62173	\N	\N	\N
505024	1725	1996-09-07	VYBER	VYBER	7595	33813	\N	\N	\N
505025	1725	1996-08-03	VYBER	VYBER	17989	33767	\N	\N	\N
505026	1725	1996-04-12	VYBER	VYBER	9550	93308	\N	\N	\N
505027	1725	1996-12-18	VYBER	VYBER	16194	79698	\N	\N	\N
505029	1725	1998-09-27	VYBER	VYBER	23212	31439	\N	\N	\N
505030	1725	1998-12-04	VYBER	VYBER	2428	32345	\N	\N	\N
505031	1725	1998-01-26	VYBER	VYBER	5463	31619	\N	\N	\N
505034	1725	1998-11-08	VYBER	VYBER	21612	30200	\N	\N	\N
505035	1725	1998-09-19	VYBER	VYBER	14987	54651	\N	\N	\N
505036	1725	1998-04-18	VYBER	VYBER	4622	90596	\N	\N	\N
505037	1725	1998-05-28	VYBER	VYBER	21205	26628	\N	\N	\N
505038	1725	1998-03-04	VYBER	VYBER	20705	26451	\N	\N	\N
505039	1725	1998-08-15	VYBER	VYBER	14035	91124	\N	\N	\N
505040	1725	1998-12-18	VYBER	VYBER	14950	32200	\N	\N	\N
505043	1725	1997-06-20	VYDAJ	VYBER	29400	71773	\N	\N	\N
505044	1725	1998-06-14	VYDAJ	VYBER	25200	73357	\N	\N	\N
505046	1725	1996-01-12	VYDAJ	VYBER	17100	52434	\N	\N	\N
505047	1725	1997-01-27	VYDAJ	VYBER	10500	30815	\N	\N	\N
505048	1725	1998-01-23	VYDAJ	VYBER	4500	44282	\N	\N	\N
505049	1725	1995-12-24	VYDAJ	VYBER	1500	51410	\N	\N	\N
505050	1725	1996-12-03	VYDAJ	VYBER	5700	61087	\N	\N	\N
505051	1725	1997-12-28	VYDAJ	VYBER	6000	43273	\N	\N	\N
505052	1725	1998-12-29	VYDAJ	VYBER	5100	27100	\N	\N	\N
505060	1725	1996-01-25	VYDAJ	VYBER	7500	36534	\N	\N	\N
505061	1725	1996-01-27	VYDAJ	VYBER	4800	25434	\N	\N	\N
505062	1725	1996-01-15	VYDAJ	VYBER	8400	44034	\N	\N	\N
505063	1725	1996-01-26	VYDAJ	VYBER	6300	30234	\N	\N	\N
505064	1725	1996-01-27	VYDAJ	VYBER	4800	20634	\N	\N	\N
505065	1725	1997-01-25	VYDAJ	VYBER	6900	51215	\N	\N	\N
505066	1725	1997-01-09	VYDAJ	VYBER	2400	53845	\N	\N	\N
505067	1725	1997-01-27	VYDAJ	VYBER	4200	41315	\N	\N	\N
505068	1725	1997-01-22	VYDAJ	VYBER	5400	94515	\N	\N	\N
505069	1725	1997-01-25	VYDAJ	VYBER	5700	45515	\N	\N	\N
505070	1725	1997-01-10	VYDAJ	VYBER	1800	99915	\N	\N	\N
505072	1725	1998-01-23	VYDAJ	VYBER	6900	48782	\N	\N	\N
505073	1725	1998-01-01	VYDAJ	VYBER	2100	41312	\N	\N	\N
505074	1725	1998-01-25	VYDAJ	VYBER	7200	37082	\N	\N	\N
505075	1725	1998-01-27	VYDAJ	VYBER	5400	26219	\N	\N	\N
505076	1725	1998-01-18	VYDAJ	VYBER	6600	55682	\N	\N	\N
505082	1725	1996-01-04	VYDAJ	VYBER	7500	21664	\N	\N	\N
505083	1725	1996-10-24	VYDAJ	VYBER	1500	94972	\N	\N	\N
505084	1725	1996-03-04	VYDAJ	VYBER	2700	38825	\N	\N	\N
505085	1725	1996-09-17	VYDAJ	VYBER	5400	76283	\N	\N	\N
505086	1725	1997-08-17	VYDAJ	VYBER	8400	83526	\N	\N	\N
505087	1725	1997-08-16	VYDAJ	VYBER	14700	91926	\N	\N	\N
505088	1725	1997-06-26	VYDAJ	VYBER	2700	47873	\N	\N	\N
505089	1725	1997-03-30	VYDAJ	VYBER	9000	58504	\N	\N	\N
505090	1725	1997-08-19	VYDAJ	VYBER	10200	73326	\N	\N	\N
505091	1725	1998-12-16	VYDAJ	VYBER	14400	47150	\N	\N	\N
505092	1725	1998-05-11	VYDAJ	VYBER	5100	80333	\N	\N	\N
505093	1725	1998-11-23	VYDAJ	VYBER	8700	34670	\N	\N	\N
505094	1725	1998-05-06	VYDAJ	VYBER	13500	37563	\N	\N	\N
505097	1725	1998-11-22	VYDAJ	VYBER	5700	43370	\N	\N	\N
505109	1725	1995-11-30	VYDAJ	VYBER	100	35205	SLUZBY	\N	\N
505110	1725	1995-12-31	VYDAJ	VYBER	100	29164	SLUZBY	\N	\N
505111	1725	1996-01-31	VYDAJ	VYBER	100	18490	SLUZBY	\N	\N
505112	1725	1996-02-29	VYDAJ	VYBER	100	41525	SLUZBY	\N	\N
505113	1725	1996-03-31	VYDAJ	VYBER	100	54988	SLUZBY	\N	\N
505114	1725	1996-04-30	VYDAJ	VYBER	100	56822	SLUZBY	\N	\N
505115	1725	1996-05-31	VYDAJ	VYBER	100	53502	SLUZBY	\N	\N
505116	1725	1996-06-30	VYDAJ	VYBER	100	60829	SLUZBY	\N	\N
505117	1725	1996-07-31	VYDAJ	VYBER	100	51756	SLUZBY	\N	\N
505118	1725	1996-08-31	VYDAJ	VYBER	100	41408	SLUZBY	\N	\N
505119	1725	1996-09-30	VYDAJ	VYBER	100	48602	SLUZBY	\N	\N
505120	1725	1996-10-31	VYDAJ	VYBER	100	62092	SLUZBY	\N	\N
505121	1725	1996-11-30	VYDAJ	VYBER	100	66787	SLUZBY	\N	\N
505122	1725	1996-12-31	VYDAJ	VYBER	100	56245	SLUZBY	\N	\N
505123	1725	1997-01-31	VYDAJ	VYBER	100	31012	SLUZBY	\N	\N
505124	1725	1997-02-28	VYDAJ	VYBER	100	54334	SLUZBY	\N	\N
505125	1725	1997-03-31	VYDAJ	VYBER	100	58641	SLUZBY	\N	\N
505126	1725	1997-04-30	VYDAJ	VYBER	100	70066	SLUZBY	\N	\N
505127	1725	1997-05-31	VYDAJ	VYBER	100	64268	SLUZBY	\N	\N
505128	1725	1997-06-30	VYDAJ	VYBER	100	48073	SLUZBY	\N	\N
505129	1725	1997-07-31	VYDAJ	VYBER	100	58756	SLUZBY	\N	\N
505130	1725	1997-08-31	VYDAJ	VYBER	100	51073	SLUZBY	\N	\N
505131	1725	1997-09-30	VYDAJ	VYBER	100	66477	SLUZBY	\N	\N
505132	1725	1997-10-31	VYDAJ	VYBER	100	64182	SLUZBY	\N	\N
505133	1725	1997-11-30	VYDAJ	VYBER	100	58668	SLUZBY	\N	\N
505134	1725	1997-12-31	VYDAJ	VYBER	100	43412	SLUZBY	\N	\N
505135	1725	1998-01-31	VYDAJ	VYBER	100	26342	SLUZBY	\N	\N
505136	1725	1998-02-28	VYDAJ	VYBER	100	47156	SLUZBY	\N	\N
505137	1725	1998-03-31	VYDAJ	VYBER	100	47348	SLUZBY	\N	\N
505138	1725	1998-04-30	VYDAJ	VYBER	100	51063	SLUZBY	\N	\N
505139	1725	1998-05-31	VYDAJ	VYBER	100	26752	SLUZBY	\N	\N
505140	1725	1998-06-30	VYDAJ	VYBER	100	42715	SLUZBY	\N	\N
505141	1725	1998-07-31	VYDAJ	VYBER	100	57289	SLUZBY	\N	\N
505142	1725	1998-08-31	VYDAJ	VYBER	100	59768	SLUZBY	\N	\N
505143	1725	1998-09-30	VYDAJ	VYBER	100	31568	SLUZBY	\N	\N
505144	1725	1998-10-31	VYDAJ	VYBER	100	51812	SLUZBY	\N	\N
505145	1725	1998-11-30	VYDAJ	VYBER	100	34773	SLUZBY	\N	\N
505146	1725	1995-08-02	VYDAJ	VYBER	14400	34715	\N	\N	\N
505147	1725	1995-09-01	VYDAJ	VYBER	30100	52788	\N	\N	\N
505148	1725	1995-10-01	VYDAJ	VYBER	42700	58355	\N	\N	\N
505149	1725	1995-10-10	VYDAJ	VYBER	48700	57525	\N	\N	\N
505150	1725	1995-10-31	VYDAJ	VYBER	21200	36752	\N	\N	\N
505151	1725	1995-11-30	VYDAJ	VYBER	13500	35305	\N	\N	\N
505152	1725	1995-12-10	VYDAJ	VYBER	54100	52910	\N	\N	\N
505153	1725	1995-12-30	VYDAJ	VYBER	9100	28973	\N	\N	\N
505154	1725	1996-01-29	VYDAJ	VYBER	2200	18434	\N	\N	\N
505155	1725	1996-02-28	VYDAJ	VYBER	20700	41473	\N	\N	\N
505156	1725	1996-03-29	VYDAJ	VYBER	31900	54795	\N	\N	\N
505157	1725	1996-04-28	VYDAJ	VYBER	36700	56608	\N	\N	\N
505158	1725	1996-05-28	VYDAJ	VYBER	27600	53319	\N	\N	\N
505159	1725	1996-06-10	VYDAJ	VYBER	30900	94407	\N	\N	\N
505160	1725	1996-06-27	VYDAJ	VYBER	33800	60607	\N	\N	\N
505161	1725	1996-07-10	VYDAJ	VYBER	19600	89099	\N	\N	\N
505162	1725	1996-07-27	VYDAJ	VYBER	22700	51574	\N	\N	\N
505163	1725	1996-08-26	VYDAJ	VYBER	22700	55654	\N	\N	\N
505164	1725	1996-09-25	VYDAJ	VYBER	18300	48434	\N	\N	\N
505165	1725	1996-10-25	VYDAJ	VYBER	33000	61972	\N	\N	\N
505166	1725	1996-11-24	VYDAJ	VYBER	35400	66603	\N	\N	\N
505167	1725	1996-12-10	VYDAJ	VYBER	37000	95892	\N	\N	\N
505168	1725	1996-12-24	VYDAJ	VYBER	23700	55998	\N	\N	\N
505169	1725	1997-01-23	VYDAJ	VYBER	36400	58115	\N	\N	\N
505170	1725	1997-02-22	VYDAJ	VYBER	24600	54282	\N	\N	\N
505171	1725	1997-03-24	VYDAJ	VYBER	34700	67504	\N	\N	\N
505172	1725	1997-04-23	VYDAJ	VYBER	36600	69911	\N	\N	\N
505173	1725	1997-05-10	VYDAJ	VYBER	20000	97936	\N	\N	\N
505174	1725	1997-05-23	VYDAJ	VYBER	33900	64036	\N	\N	\N
505175	1725	1997-06-10	VYDAJ	VYBER	34900	101173	\N	\N	\N
505176	1725	1997-06-22	VYDAJ	VYBER	21200	50573	\N	\N	\N
505177	1725	1997-07-22	VYDAJ	VYBER	37300	58643	\N	\N	\N
505178	1725	1997-08-21	VYDAJ	VYBER	22400	50926	\N	\N	\N
505179	1725	1997-09-20	VYDAJ	VYBER	32600	66343	\N	\N	\N
505180	1725	1997-10-10	VYDAJ	VYBER	19000	95347	\N	\N	\N
505181	1725	1997-10-20	VYDAJ	VYBER	31400	63947	\N	\N	\N
505182	1725	1997-11-10	VYDAJ	VYBER	22000	90052	\N	\N	\N
505183	1725	1997-11-19	VYDAJ	VYBER	31600	58452	\N	\N	\N
505184	1725	1997-12-10	VYDAJ	VYBER	58100	72373	\N	\N	\N
505185	1725	1997-12-19	VYDAJ	VYBER	23100	49273	\N	\N	\N
505186	1725	1998-01-18	VYDAJ	VYBER	26900	62282	\N	\N	\N
505187	1725	1998-02-17	VYDAJ	VYBER	27100	47112	\N	\N	\N
505188	1725	1998-03-19	VYDAJ	VYBER	27100	47221	\N	\N	\N
505189	1725	1998-04-18	VYDAJ	VYBER	39700	50896	\N	\N	\N
505190	1725	1998-05-18	VYDAJ	VYBER	32500	47833	\N	\N	\N
505191	1725	1998-06-17	VYDAJ	VYBER	30700	42657	\N	\N	\N
505192	1725	1998-07-17	VYDAJ	VYBER	33400	57185	\N	\N	\N
505193	1725	1998-08-16	VYDAJ	VYBER	31500	59624	\N	\N	\N
505194	1725	1998-09-15	VYDAJ	VYBER	38000	69638	\N	\N	\N
505195	1725	1998-10-15	VYDAJ	VYBER	27700	51738	\N	\N	\N
505196	1725	1998-11-14	VYDAJ	VYBER	29000	49070	\N	\N	\N
505197	1725	1998-12-14	VYDAJ	VYBER	42600	61550	\N	\N	\N
505240	1726	1993-01-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
505241	1726	1993-01-13	PRIJEM	VKLAD	13967	14967	\N	\N	\N
505242	1726	1993-02-13	PRIJEM	VKLAD	13967	34972	\N	\N	\N
505243	1726	1993-03-13	PRIJEM	VKLAD	13967	45849	\N	\N	\N
505244	1726	1993-04-13	PRIJEM	VKLAD	13967	48390	\N	\N	\N
505245	1726	1993-05-13	PRIJEM	VKLAD	13967	51754	\N	\N	\N
505246	1726	1993-06-13	PRIJEM	VKLAD	20950	50991	\N	\N	\N
505247	1726	1993-07-13	PRIJEM	VKLAD	13967	28941	\N	\N	\N
505248	1726	1993-08-13	PRIJEM	VKLAD	13967	33187	\N	\N	\N
505249	1726	1993-09-13	PRIJEM	VKLAD	13967	37556	\N	\N	\N
505250	1726	1993-10-13	PRIJEM	VKLAD	13967	36950	\N	\N	\N
505251	1726	1993-11-13	PRIJEM	VKLAD	13967	36434	\N	\N	\N
505252	1726	1993-12-13	PRIJEM	VKLAD	20950	47097	\N	\N	\N
505253	1726	1994-01-13	PRIJEM	VKLAD	13967	41083	\N	\N	\N
505254	1726	1994-02-13	PRIJEM	VKLAD	13967	26594	\N	\N	\N
505255	1726	1994-03-13	PRIJEM	VKLAD	13967	33932	\N	\N	\N
505256	1726	1994-04-13	PRIJEM	VKLAD	13967	35900	\N	\N	\N
505257	1726	1994-05-13	PRIJEM	VKLAD	13967	38677	\N	\N	\N
505258	1726	1994-06-13	PRIJEM	VKLAD	20950	43445	\N	\N	\N
505259	1726	1994-07-13	PRIJEM	VKLAD	13967	29555	\N	\N	\N
505260	1726	1994-08-13	PRIJEM	VKLAD	13967	29704	\N	\N	\N
505261	1726	1994-09-13	PRIJEM	VKLAD	13967	33653	\N	\N	\N
505262	1726	1994-10-13	PRIJEM	VKLAD	13967	37619	\N	\N	\N
505263	1726	1994-11-13	PRIJEM	VKLAD	13967	38699	\N	\N	\N
505264	1726	1994-12-13	PRIJEM	VKLAD	20950	41522	\N	\N	\N
505265	1726	1995-01-13	PRIJEM	VKLAD	13967	28484	\N	\N	\N
505266	1726	1995-02-13	PRIJEM	VKLAD	13967	29207	\N	\N	\N
505267	1726	1995-03-13	PRIJEM	VKLAD	13967	30750	\N	\N	\N
505268	1726	1995-04-13	PRIJEM	VKLAD	13967	36004	\N	\N	\N
505269	1726	1995-05-13	PRIJEM	VKLAD	13967	31772	\N	\N	\N
505270	1726	1995-06-13	PRIJEM	VKLAD	20950	39708	\N	\N	\N
505271	1726	1995-07-13	PRIJEM	VKLAD	13967	38679	\N	\N	\N
505272	1726	1995-08-13	PRIJEM	VKLAD	13967	29934	\N	\N	\N
505273	1726	1995-09-13	PRIJEM	VKLAD	13967	32480	\N	\N	\N
505274	1726	1995-10-13	PRIJEM	VKLAD	13967	34535	\N	\N	\N
505275	1726	1995-11-13	PRIJEM	VKLAD	13967	35396	\N	\N	\N
505276	1726	1995-12-13	PRIJEM	VKLAD	20950	43744	\N	\N	\N
505277	1726	1996-01-13	PRIJEM	VKLAD	13967	25640	\N	\N	\N
505278	1726	1996-02-13	PRIJEM	VKLAD	13967	22645	\N	\N	\N
505279	1726	1996-03-13	PRIJEM	VKLAD	13967	27261	\N	\N	\N
505280	1726	1996-04-13	PRIJEM	VKLAD	13967	23703	\N	\N	\N
505281	1726	1996-05-13	PRIJEM	VKLAD	13967	23505	\N	\N	\N
505282	1726	1996-06-13	PRIJEM	VKLAD	20950	35494	\N	\N	\N
505283	1726	1996-07-13	PRIJEM	VKLAD	13967	28511	\N	\N	\N
505284	1726	1996-08-13	PRIJEM	VKLAD	13967	24023	\N	\N	\N
505285	1726	1996-09-13	PRIJEM	VKLAD	13967	33257	\N	\N	\N
505286	1726	1996-10-13	PRIJEM	VKLAD	13967	33606	\N	\N	\N
505287	1726	1996-11-13	PRIJEM	VKLAD	13967	36663	\N	\N	\N
505288	1726	1996-12-13	PRIJEM	VKLAD	20950	43607	\N	\N	\N
505289	1726	1997-01-13	PRIJEM	VKLAD	13967	30869	\N	\N	\N
505290	1726	1997-02-13	PRIJEM	VKLAD	13967	29106	\N	\N	\N
505291	1726	1997-03-13	PRIJEM	VKLAD	13967	36446	\N	\N	\N
505292	1726	1997-04-13	PRIJEM	VKLAD	13967	38724	\N	\N	\N
505293	1726	1997-05-13	PRIJEM	VKLAD	13967	43112	\N	\N	\N
505294	1726	1997-06-13	PRIJEM	VKLAD	20950	48406	\N	\N	\N
505295	1726	1997-07-13	PRIJEM	VKLAD	13967	39732	\N	\N	\N
505296	1726	1997-08-13	PRIJEM	VKLAD	13967	36339	\N	\N	\N
505297	1726	1997-09-13	PRIJEM	VKLAD	13967	33230	\N	\N	\N
505298	1726	1997-10-13	PRIJEM	VKLAD	13967	34705	\N	\N	\N
505299	1726	1997-11-13	PRIJEM	VKLAD	13967	34682	\N	\N	\N
505300	1726	1997-12-13	PRIJEM	VKLAD	20950	35815	\N	\N	\N
505301	1726	1998-01-13	PRIJEM	VKLAD	13967	29626	\N	\N	\N
505302	1726	1998-02-13	PRIJEM	VKLAD	13967	24637	\N	\N	\N
505303	1726	1998-03-13	PRIJEM	VKLAD	13967	31964	\N	\N	\N
505304	1726	1998-04-13	PRIJEM	VKLAD	13967	35957	\N	\N	\N
505305	1726	1998-05-13	PRIJEM	VKLAD	13967	28232	\N	\N	\N
505306	1726	1998-06-13	PRIJEM	VKLAD	20950	30270	\N	\N	\N
505307	1726	1998-07-13	PRIJEM	VKLAD	13967	37618	\N	\N	\N
505308	1726	1998-08-13	PRIJEM	VKLAD	13967	41032	\N	\N	\N
505309	1726	1998-09-13	PRIJEM	VKLAD	13967	28128	\N	\N	\N
505310	1726	1998-10-13	PRIJEM	VKLAD	13967	35481	\N	\N	\N
505311	1726	1998-11-13	PRIJEM	VKLAD	13967	24853	\N	\N	\N
505312	1726	1998-12-13	PRIJEM	VKLAD	20950	34132	\N	\N	\N
505318	1726	1993-06-12	VYDAJ	PREVOD NA UCET	4438	30041	SIPO	AB	99886172
505319	1726	1993-07-12	VYDAJ	PREVOD NA UCET	4438	14974	SIPO	AB	99886172
505320	1726	1993-08-12	VYDAJ	PREVOD NA UCET	4438	19220	SIPO	AB	99886172
505321	1726	1993-09-12	VYDAJ	PREVOD NA UCET	4438	23589	SIPO	AB	99886172
505322	1726	1993-10-12	VYDAJ	PREVOD NA UCET	4438	22983	SIPO	AB	99886172
505323	1726	1993-11-12	VYDAJ	PREVOD NA UCET	4438	22467	SIPO	AB	99886172
505324	1726	1993-12-12	VYDAJ	PREVOD NA UCET	4438	26147	SIPO	AB	99886172
505325	1726	1994-01-12	VYDAJ	PREVOD NA UCET	4438	27116	SIPO	AB	99886172
505326	1726	1994-02-12	VYDAJ	PREVOD NA UCET	4438	12627	SIPO	AB	99886172
505327	1726	1994-03-12	VYDAJ	PREVOD NA UCET	4438	19965	SIPO	AB	99886172
505328	1726	1994-04-12	VYDAJ	PREVOD NA UCET	4438	21933	SIPO	AB	99886172
505329	1726	1994-05-12	VYDAJ	PREVOD NA UCET	4438	24710	SIPO	AB	99886172
505330	1726	1994-06-12	VYDAJ	PREVOD NA UCET	4438	22495	SIPO	AB	99886172
505331	1726	1994-07-12	VYDAJ	PREVOD NA UCET	4438	15588	SIPO	AB	99886172
505332	1726	1994-08-12	VYDAJ	PREVOD NA UCET	4438	15737	SIPO	AB	99886172
505333	1726	1994-09-12	VYDAJ	PREVOD NA UCET	4438	19686	SIPO	AB	99886172
505334	1726	1994-10-12	VYDAJ	PREVOD NA UCET	4438	23652	SIPO	AB	99886172
505335	1726	1994-11-12	VYDAJ	PREVOD NA UCET	4438	24732	SIPO	AB	99886172
505336	1726	1994-12-12	VYDAJ	PREVOD NA UCET	4438	20572	SIPO	AB	99886172
505337	1726	1995-01-12	VYDAJ	PREVOD NA UCET	4438	14517	SIPO	AB	99886172
505338	1726	1995-02-12	VYDAJ	PREVOD NA UCET	4438	15240	SIPO	AB	99886172
505339	1726	1995-03-12	VYDAJ	PREVOD NA UCET	4438	16783	SIPO	AB	99886172
505340	1726	1995-04-12	VYDAJ	PREVOD NA UCET	4438	22037	SIPO	AB	99886172
505341	1726	1995-05-12	VYDAJ	PREVOD NA UCET	4438	17805	SIPO	AB	99886172
505342	1726	1995-06-12	VYDAJ	PREVOD NA UCET	4438	18758	SIPO	AB	99886172
505343	1726	1995-07-12	VYDAJ	PREVOD NA UCET	4438	24712	SIPO	AB	99886172
505344	1726	1995-08-12	VYDAJ	PREVOD NA UCET	4438	15967	SIPO	AB	99886172
505345	1726	1995-09-12	VYDAJ	PREVOD NA UCET	4438	18513	SIPO	AB	99886172
505346	1726	1995-10-12	VYDAJ	PREVOD NA UCET	4438	20568	SIPO	AB	99886172
505347	1726	1995-11-12	VYDAJ	PREVOD NA UCET	4438	21429	SIPO	AB	99886172
505348	1726	1995-12-12	VYDAJ	PREVOD NA UCET	4438	22794	SIPO	AB	99886172
505349	1726	1996-01-12	VYDAJ	PREVOD NA UCET	4438	11673	SIPO	AB	99886172
505350	1726	1996-02-12	VYDAJ	PREVOD NA UCET	4438	8678	SIPO	AB	99886172
505351	1726	1996-03-12	VYDAJ	PREVOD NA UCET	4438	13294	SIPO	AB	99886172
505352	1726	1996-04-12	VYDAJ	PREVOD NA UCET	4438	9736	SIPO	AB	99886172
505353	1726	1996-05-12	VYDAJ	PREVOD NA UCET	4438	9538	SIPO	AB	99886172
505354	1726	1996-06-12	VYDAJ	PREVOD NA UCET	4438	14544	SIPO	AB	99886172
505355	1726	1996-07-12	VYDAJ	PREVOD NA UCET	4438	14544	SIPO	AB	99886172
505356	1726	1996-08-12	VYDAJ	PREVOD NA UCET	4438	10056	SIPO	AB	99886172
505357	1726	1996-09-12	VYDAJ	PREVOD NA UCET	4438	19290	SIPO	AB	99886172
505358	1726	1996-10-12	VYDAJ	PREVOD NA UCET	4438	19639	SIPO	AB	99886172
505359	1726	1996-11-12	VYDAJ	PREVOD NA UCET	4438	22696	SIPO	AB	99886172
505360	1726	1996-12-12	VYDAJ	PREVOD NA UCET	4438	22657	SIPO	AB	99886172
505361	1726	1997-01-12	VYDAJ	PREVOD NA UCET	4438	18102	SIPO	AB	99886172
505362	1726	1997-02-12	VYDAJ	PREVOD NA UCET	4438	15139	SIPO	AB	99886172
505363	1726	1997-03-12	VYDAJ	PREVOD NA UCET	4438	22479	SIPO	AB	99886172
505364	1726	1997-04-12	VYDAJ	PREVOD NA UCET	4438	25057	SIPO	AB	99886172
505365	1726	1997-05-12	VYDAJ	PREVOD NA UCET	4438	32145	SIPO	AB	99886172
505366	1726	1997-06-12	VYDAJ	PREVOD NA UCET	4438	27456	SIPO	AB	99886172
505367	1726	1997-07-12	VYDAJ	PREVOD NA UCET	4438	25765	SIPO	AB	99886172
505368	1726	1997-08-12	VYDAJ	PREVOD NA UCET	4438	22372	SIPO	AB	99886172
505369	1726	1997-09-12	VYDAJ	PREVOD NA UCET	4438	19263	SIPO	AB	99886172
505370	1726	1997-10-12	VYDAJ	PREVOD NA UCET	4438	20738	SIPO	AB	99886172
505371	1726	1997-11-12	VYDAJ	PREVOD NA UCET	4438	20715	SIPO	AB	99886172
505372	1726	1997-12-12	VYDAJ	PREVOD NA UCET	4438	14865	SIPO	AB	99886172
505373	1726	1998-01-12	VYDAJ	PREVOD NA UCET	4438	15659	SIPO	AB	99886172
505374	1726	1998-02-12	VYDAJ	PREVOD NA UCET	4438	10670	SIPO	AB	99886172
505375	1726	1998-03-12	VYDAJ	PREVOD NA UCET	4438	17997	SIPO	AB	99886172
505376	1726	1998-04-12	VYDAJ	PREVOD NA UCET	4438	21990	SIPO	AB	99886172
505377	1726	1998-05-12	VYDAJ	PREVOD NA UCET	4438	14265	SIPO	AB	99886172
505378	1726	1998-06-12	VYDAJ	PREVOD NA UCET	4438	9320	SIPO	AB	99886172
505379	1726	1998-07-12	VYDAJ	PREVOD NA UCET	4438	23651	SIPO	AB	99886172
505380	1726	1998-08-12	VYDAJ	PREVOD NA UCET	4438	27065	SIPO	AB	99886172
505381	1726	1998-09-12	VYDAJ	PREVOD NA UCET	4438	14161	SIPO	AB	99886172
505382	1726	1998-10-12	VYDAJ	PREVOD NA UCET	4438	21514	SIPO	AB	99886172
505383	1726	1998-11-12	VYDAJ	PREVOD NA UCET	4438	10886	SIPO	AB	99886172
505384	1726	1998-12-12	VYDAJ	PREVOD NA UCET	4438	13182	SIPO	AB	99886172
505390	1726	1993-06-07	VYDAJ	PREVOD NA UCET	2082	34553	 	OP	61997002
505391	1726	1993-07-07	VYDAJ	PREVOD NA UCET	2082	19486	 	OP	61997002
505392	1726	1993-08-07	VYDAJ	PREVOD NA UCET	2082	23732	 	OP	61997002
505393	1726	1993-09-07	VYDAJ	PREVOD NA UCET	2082	28101	 	OP	61997002
505394	1726	1993-10-07	VYDAJ	PREVOD NA UCET	2082	29175	 	OP	61997002
505395	1726	1993-11-07	VYDAJ	PREVOD NA UCET	2082	26979	 	OP	61997002
505396	1726	1993-12-07	VYDAJ	PREVOD NA UCET	2082	30659	 	OP	61997002
505397	1726	1994-01-07	VYDAJ	PREVOD NA UCET	2082	34388	 	OP	61997002
505398	1726	1994-02-07	VYDAJ	PREVOD NA UCET	2082	17139	 	OP	61997002
505399	1726	1994-03-07	VYDAJ	PREVOD NA UCET	2082	24477	 	OP	61997002
505400	1726	1994-04-07	VYDAJ	PREVOD NA UCET	2082	26445	 	OP	61997002
505401	1726	1994-05-07	VYDAJ	PREVOD NA UCET	2082	29222	 	OP	61997002
505402	1726	1994-06-07	VYDAJ	PREVOD NA UCET	2082	27007	 	OP	61997002
505403	1726	1994-07-07	VYDAJ	PREVOD NA UCET	2082	20100	 	OP	61997002
505404	1726	1994-08-07	VYDAJ	PREVOD NA UCET	2082	20249	 	OP	61997002
505405	1726	1994-09-07	VYDAJ	PREVOD NA UCET	2082	24198	 	OP	61997002
505406	1726	1994-10-07	VYDAJ	PREVOD NA UCET	2082	28164	 	OP	61997002
505407	1726	1994-11-07	VYDAJ	PREVOD NA UCET	2082	29244	 	OP	61997002
505408	1726	1994-12-07	VYDAJ	PREVOD NA UCET	2082	26524	 	OP	61997002
505409	1726	1995-01-07	VYDAJ	PREVOD NA UCET	2082	22269	 	OP	61997002
505410	1726	1995-02-07	VYDAJ	PREVOD NA UCET	2082	19752	 	OP	61997002
505411	1726	1995-03-07	VYDAJ	PREVOD NA UCET	2082	21295	 	OP	61997002
505412	1726	1995-04-07	VYDAJ	PREVOD NA UCET	2082	26549	 	OP	61997002
505413	1726	1995-05-07	VYDAJ	PREVOD NA UCET	2082	22317	 	OP	61997002
505414	1726	1995-06-07	VYDAJ	PREVOD NA UCET	2082	23270	 	OP	61997002
505415	1726	1995-07-07	VYDAJ	PREVOD NA UCET	2082	29224	 	OP	61997002
505416	1726	1995-08-07	VYDAJ	PREVOD NA UCET	2082	20479	 	OP	61997002
505417	1726	1995-09-07	VYDAJ	PREVOD NA UCET	2082	23025	 	OP	61997002
505418	1726	1995-10-07	VYDAJ	PREVOD NA UCET	2082	25080	 	OP	61997002
505419	1726	1995-11-07	VYDAJ	PREVOD NA UCET	2082	25941	 	OP	61997002
505420	1726	1995-12-07	VYDAJ	PREVOD NA UCET	2082	27306	 	OP	61997002
505421	1726	1996-01-07	VYDAJ	PREVOD NA UCET	2082	16185	 	OP	61997002
505422	1726	1996-02-07	VYDAJ	PREVOD NA UCET	2082	13190	 	OP	61997002
505423	1726	1996-03-07	VYDAJ	PREVOD NA UCET	2082	17806	 	OP	61997002
505424	1726	1996-04-07	VYDAJ	PREVOD NA UCET	2082	14248	 	OP	61997002
505425	1726	1996-05-07	VYDAJ	PREVOD NA UCET	2082	14050	 	OP	61997002
505426	1726	1996-06-07	VYDAJ	PREVOD NA UCET	2082	19056	 	OP	61997002
505427	1726	1996-07-07	VYDAJ	PREVOD NA UCET	2082	19056	 	OP	61997002
505428	1726	1996-08-07	VYDAJ	PREVOD NA UCET	2082	14568	 	OP	61997002
505429	1726	1996-09-07	VYDAJ	PREVOD NA UCET	2082	23802	 	OP	61997002
505430	1726	1996-10-07	VYDAJ	PREVOD NA UCET	2082	24151	 	OP	61997002
505431	1726	1996-11-07	VYDAJ	PREVOD NA UCET	2082	27208	 	OP	61997002
505432	1726	1996-12-07	VYDAJ	PREVOD NA UCET	2082	27169	 	OP	61997002
505433	1726	1997-01-07	VYDAJ	PREVOD NA UCET	2082	23934	 	OP	61997002
505434	1726	1997-02-07	VYDAJ	PREVOD NA UCET	2082	15451	 	OP	61997002
505435	1726	1997-03-07	VYDAJ	PREVOD NA UCET	2082	26991	 	OP	61997002
505436	1726	1997-04-07	VYDAJ	PREVOD NA UCET	2082	29569	 	OP	61997002
505437	1726	1997-05-07	VYDAJ	PREVOD NA UCET	2082	36657	 	OP	61997002
505438	1726	1997-06-07	VYDAJ	PREVOD NA UCET	2082	41068	 	OP	61997002
505439	1726	1997-07-07	VYDAJ	PREVOD NA UCET	2082	41577	 	OP	61997002
505440	1726	1997-08-07	VYDAJ	PREVOD NA UCET	2082	37684	 	OP	61997002
505441	1726	1997-09-07	VYDAJ	PREVOD NA UCET	2082	34275	 	OP	61997002
505442	1726	1997-10-07	VYDAJ	PREVOD NA UCET	2082	31150	 	OP	61997002
505443	1726	1997-11-07	VYDAJ	PREVOD NA UCET	2082	32627	 	OP	61997002
505444	1726	1997-12-07	VYDAJ	PREVOD NA UCET	2082	28877	 	OP	61997002
505445	1726	1998-01-07	VYDAJ	PREVOD NA UCET	2082	29971	 	OP	61997002
505446	1726	1998-02-07	VYDAJ	PREVOD NA UCET	2082	15182	 	OP	61997002
505447	1726	1998-03-07	VYDAJ	PREVOD NA UCET	2082	22509	 	OP	61997002
505448	1726	1998-04-07	VYDAJ	PREVOD NA UCET	2082	26502	 	OP	61997002
505449	1726	1998-05-07	VYDAJ	PREVOD NA UCET	2082	33877	 	OP	61997002
505450	1726	1998-06-07	VYDAJ	PREVOD NA UCET	2082	13832	 	OP	61997002
505451	1726	1998-07-07	VYDAJ	PREVOD NA UCET	2082	28163	 	OP	61997002
505452	1726	1998-08-07	VYDAJ	PREVOD NA UCET	2082	31577	 	OP	61997002
505453	1726	1998-09-07	VYDAJ	PREVOD NA UCET	2082	18673	 	OP	61997002
505454	1726	1998-10-07	VYDAJ	PREVOD NA UCET	2082	26026	 	OP	61997002
505455	1726	1998-11-07	VYDAJ	PREVOD NA UCET	2082	15398	 	OP	61997002
505456	1726	1998-12-07	VYDAJ	PREVOD NA UCET	2082	17694	 	OP	61997002
505462	1726	1993-06-08	VYDAJ	PREVOD NA UCET	74	34479	POJISTNE	EF	89946835
505463	1726	1993-07-08	VYDAJ	PREVOD NA UCET	74	19412	POJISTNE	EF	89946835
505464	1726	1993-08-08	VYDAJ	PREVOD NA UCET	74	23658	POJISTNE	EF	89946835
505465	1726	1993-09-08	VYDAJ	PREVOD NA UCET	74	28027	POJISTNE	EF	89946835
505466	1726	1993-10-08	VYDAJ	PREVOD NA UCET	74	29101	POJISTNE	EF	89946835
505467	1726	1993-11-08	VYDAJ	PREVOD NA UCET	74	26905	POJISTNE	EF	89946835
505468	1726	1993-12-08	VYDAJ	PREVOD NA UCET	74	30585	POJISTNE	EF	89946835
505469	1726	1994-01-08	VYDAJ	PREVOD NA UCET	74	31554	POJISTNE	EF	89946835
505470	1726	1994-02-08	VYDAJ	PREVOD NA UCET	74	17065	POJISTNE	EF	89946835
505471	1726	1994-03-08	VYDAJ	PREVOD NA UCET	74	24403	POJISTNE	EF	89946835
505472	1726	1994-04-08	VYDAJ	PREVOD NA UCET	74	26371	POJISTNE	EF	89946835
505473	1726	1994-05-08	VYDAJ	PREVOD NA UCET	74	29148	POJISTNE	EF	89946835
505474	1726	1994-06-08	VYDAJ	PREVOD NA UCET	74	26933	POJISTNE	EF	89946835
505475	1726	1994-07-08	VYDAJ	PREVOD NA UCET	74	20026	POJISTNE	EF	89946835
505476	1726	1994-08-08	VYDAJ	PREVOD NA UCET	74	20175	POJISTNE	EF	89946835
505477	1726	1994-09-08	VYDAJ	PREVOD NA UCET	74	24124	POJISTNE	EF	89946835
505478	1726	1994-10-08	VYDAJ	PREVOD NA UCET	74	28090	POJISTNE	EF	89946835
505479	1726	1994-11-08	VYDAJ	PREVOD NA UCET	74	29170	POJISTNE	EF	89946835
505480	1726	1994-12-08	VYDAJ	PREVOD NA UCET	74	26450	POJISTNE	EF	89946835
505481	1726	1995-01-08	VYDAJ	PREVOD NA UCET	74	22195	POJISTNE	EF	89946835
505482	1726	1995-02-08	VYDAJ	PREVOD NA UCET	74	19678	POJISTNE	EF	89946835
505483	1726	1995-03-08	VYDAJ	PREVOD NA UCET	74	21221	POJISTNE	EF	89946835
505484	1726	1995-04-08	VYDAJ	PREVOD NA UCET	74	26475	POJISTNE	EF	89946835
505485	1726	1995-05-08	VYDAJ	PREVOD NA UCET	74	22243	POJISTNE	EF	89946835
505486	1726	1995-06-08	VYDAJ	PREVOD NA UCET	74	23196	POJISTNE	EF	89946835
505487	1726	1995-07-08	VYDAJ	PREVOD NA UCET	74	29150	POJISTNE	EF	89946835
505488	1726	1995-08-08	VYDAJ	PREVOD NA UCET	74	20405	POJISTNE	EF	89946835
505489	1726	1995-09-08	VYDAJ	PREVOD NA UCET	74	22951	POJISTNE	EF	89946835
505490	1726	1995-10-08	VYDAJ	PREVOD NA UCET	74	25006	POJISTNE	EF	89946835
505491	1726	1995-11-08	VYDAJ	PREVOD NA UCET	74	25867	POJISTNE	EF	89946835
505492	1726	1995-12-08	VYDAJ	PREVOD NA UCET	74	27232	POJISTNE	EF	89946835
505493	1726	1996-01-08	VYDAJ	PREVOD NA UCET	74	16111	POJISTNE	EF	89946835
505494	1726	1996-02-08	VYDAJ	PREVOD NA UCET	74	13116	POJISTNE	EF	89946835
505495	1726	1996-03-08	VYDAJ	PREVOD NA UCET	74	17732	POJISTNE	EF	89946835
505496	1726	1996-04-08	VYDAJ	PREVOD NA UCET	74	14174	POJISTNE	EF	89946835
505497	1726	1996-05-08	VYDAJ	PREVOD NA UCET	74	13976	POJISTNE	EF	89946835
505689	1726	1993-11-30	VYDAJ	VYBER	15	32856	SLUZBY	\N	\N
505498	1726	1996-06-08	VYDAJ	PREVOD NA UCET	74	18982	POJISTNE	EF	89946835
505499	1726	1996-07-08	VYDAJ	PREVOD NA UCET	74	18982	POJISTNE	EF	89946835
505500	1726	1996-08-08	VYDAJ	PREVOD NA UCET	74	14494	POJISTNE	EF	89946835
505501	1726	1996-09-08	VYDAJ	PREVOD NA UCET	74	23728	POJISTNE	EF	89946835
505502	1726	1996-10-08	VYDAJ	PREVOD NA UCET	74	24077	POJISTNE	EF	89946835
505503	1726	1996-11-08	VYDAJ	PREVOD NA UCET	74	27134	POJISTNE	EF	89946835
505504	1726	1996-12-08	VYDAJ	PREVOD NA UCET	74	27095	POJISTNE	EF	89946835
505505	1726	1997-01-08	VYDAJ	PREVOD NA UCET	74	23860	POJISTNE	EF	89946835
505506	1726	1997-02-08	VYDAJ	PREVOD NA UCET	74	15377	POJISTNE	EF	89946835
505507	1726	1997-03-08	VYDAJ	PREVOD NA UCET	74	26917	POJISTNE	EF	89946835
505508	1726	1997-04-08	VYDAJ	PREVOD NA UCET	74	29495	POJISTNE	EF	89946835
505509	1726	1997-05-08	VYDAJ	PREVOD NA UCET	74	36583	POJISTNE	EF	89946835
505510	1726	1997-06-08	VYDAJ	PREVOD NA UCET	74	40994	POJISTNE	EF	89946835
505511	1726	1997-07-08	VYDAJ	PREVOD NA UCET	74	41503	POJISTNE	EF	89946835
505512	1726	1997-08-08	VYDAJ	PREVOD NA UCET	74	37610	POJISTNE	EF	89946835
505513	1726	1997-09-08	VYDAJ	PREVOD NA UCET	74	34201	POJISTNE	EF	89946835
505514	1726	1997-10-08	VYDAJ	PREVOD NA UCET	74	31076	POJISTNE	EF	89946835
505515	1726	1997-11-08	VYDAJ	PREVOD NA UCET	74	32553	POJISTNE	EF	89946835
505516	1726	1997-12-08	VYDAJ	PREVOD NA UCET	74	19303	POJISTNE	EF	89946835
505517	1726	1998-01-08	VYDAJ	PREVOD NA UCET	74	20097	POJISTNE	EF	89946835
505518	1726	1998-02-08	VYDAJ	PREVOD NA UCET	74	15108	POJISTNE	EF	89946835
505519	1726	1998-03-08	VYDAJ	PREVOD NA UCET	74	22435	POJISTNE	EF	89946835
505520	1726	1998-04-08	VYDAJ	PREVOD NA UCET	74	26428	POJISTNE	EF	89946835
505521	1726	1998-05-08	VYDAJ	PREVOD NA UCET	74	18703	POJISTNE	EF	89946835
505522	1726	1998-06-08	VYDAJ	PREVOD NA UCET	74	13758	POJISTNE	EF	89946835
505523	1726	1998-07-08	VYDAJ	PREVOD NA UCET	74	28089	POJISTNE	EF	89946835
505524	1726	1998-08-08	VYDAJ	PREVOD NA UCET	74	31503	POJISTNE	EF	89946835
505525	1726	1998-09-08	VYDAJ	PREVOD NA UCET	74	18599	POJISTNE	EF	89946835
505526	1726	1998-10-08	VYDAJ	PREVOD NA UCET	74	25952	POJISTNE	EF	89946835
505527	1726	1998-11-08	VYDAJ	PREVOD NA UCET	74	15324	POJISTNE	EF	89946835
505528	1726	1998-12-08	VYDAJ	PREVOD NA UCET	74	17620	POJISTNE	EF	89946835
505534	1726	1993-06-05	VYDAJ	PREVOD NA UCET	115	36635	 	UV	65941238
505535	1726	1993-07-05	VYDAJ	PREVOD NA UCET	115	21568	 	UV	65941238
505536	1726	1993-08-05	VYDAJ	PREVOD NA UCET	115	25814	 	UV	65941238
505537	1726	1993-09-05	VYDAJ	PREVOD NA UCET	115	30183	 	UV	65941238
505538	1726	1993-10-05	VYDAJ	PREVOD NA UCET	115	31257	 	UV	65941238
505539	1726	1993-11-05	VYDAJ	PREVOD NA UCET	115	29061	 	UV	65941238
505540	1726	1993-12-05	VYDAJ	PREVOD NA UCET	115	32741	 	UV	65941238
505541	1726	1994-01-05	VYDAJ	PREVOD NA UCET	115	36470	 	UV	65941238
505542	1726	1994-02-05	VYDAJ	PREVOD NA UCET	115	19221	 	UV	65941238
505543	1726	1994-03-05	VYDAJ	PREVOD NA UCET	115	26559	 	UV	65941238
505544	1726	1994-04-05	VYDAJ	PREVOD NA UCET	115	28527	 	UV	65941238
505545	1726	1994-05-05	VYDAJ	PREVOD NA UCET	115	31304	 	UV	65941238
505546	1726	1994-06-05	VYDAJ	PREVOD NA UCET	115	29089	 	UV	65941238
505547	1726	1994-07-05	VYDAJ	PREVOD NA UCET	115	22182	 	UV	65941238
505548	1726	1994-08-05	VYDAJ	PREVOD NA UCET	115	22331	 	UV	65941238
505549	1726	1994-09-05	VYDAJ	PREVOD NA UCET	115	26280	 	UV	65941238
505550	1726	1994-10-05	VYDAJ	PREVOD NA UCET	115	30246	 	UV	65941238
505551	1726	1994-11-05	VYDAJ	PREVOD NA UCET	115	31326	 	UV	65941238
505552	1726	1994-12-05	VYDAJ	PREVOD NA UCET	115	28606	 	UV	65941238
505553	1726	1995-01-05	VYDAJ	PREVOD NA UCET	115	24351	 	UV	65941238
505554	1726	1995-02-05	VYDAJ	PREVOD NA UCET	115	21834	 	UV	65941238
505555	1726	1995-03-05	VYDAJ	PREVOD NA UCET	115	23377	 	UV	65941238
505556	1726	1995-04-05	VYDAJ	PREVOD NA UCET	115	28631	 	UV	65941238
505557	1726	1995-05-05	VYDAJ	PREVOD NA UCET	115	24399	 	UV	65941238
505558	1726	1995-06-05	VYDAJ	PREVOD NA UCET	115	25352	 	UV	65941238
505559	1726	1995-07-05	VYDAJ	PREVOD NA UCET	115	31306	 	UV	65941238
505560	1726	1995-08-05	VYDAJ	PREVOD NA UCET	115	22561	 	UV	65941238
505561	1726	1995-09-05	VYDAJ	PREVOD NA UCET	115	25107	 	UV	65941238
505562	1726	1995-10-05	VYDAJ	PREVOD NA UCET	115	27162	 	UV	65941238
505563	1726	1995-11-05	VYDAJ	PREVOD NA UCET	115	28023	 	UV	65941238
505564	1726	1995-12-05	VYDAJ	PREVOD NA UCET	115	29388	 	UV	65941238
505565	1726	1996-01-05	VYDAJ	PREVOD NA UCET	115	18267	 	UV	65941238
505566	1726	1996-02-05	VYDAJ	PREVOD NA UCET	115	15272	 	UV	65941238
505567	1726	1996-03-05	VYDAJ	PREVOD NA UCET	115	19888	 	UV	65941238
505568	1726	1996-04-05	VYDAJ	PREVOD NA UCET	115	16330	 	UV	65941238
505569	1726	1996-05-05	VYDAJ	PREVOD NA UCET	115	16132	 	UV	65941238
505570	1726	1996-06-05	VYDAJ	PREVOD NA UCET	115	21138	 	UV	65941238
505571	1726	1996-07-05	VYDAJ	PREVOD NA UCET	115	21138	 	UV	65941238
505572	1726	1996-08-05	VYDAJ	PREVOD NA UCET	115	21930	 	UV	65941238
505573	1726	1996-09-05	VYDAJ	PREVOD NA UCET	115	25884	 	UV	65941238
505574	1726	1996-10-05	VYDAJ	PREVOD NA UCET	115	26233	 	UV	65941238
505575	1726	1996-11-05	VYDAJ	PREVOD NA UCET	115	29290	 	UV	65941238
505576	1726	1996-12-05	VYDAJ	PREVOD NA UCET	115	29251	 	UV	65941238
505577	1726	1997-01-05	VYDAJ	PREVOD NA UCET	115	29136	 	UV	65941238
505578	1726	1997-02-05	VYDAJ	PREVOD NA UCET	115	17533	 	UV	65941238
505579	1726	1997-03-05	VYDAJ	PREVOD NA UCET	115	29073	 	UV	65941238
505580	1726	1997-04-05	VYDAJ	PREVOD NA UCET	115	31651	 	UV	65941238
505581	1726	1997-05-05	VYDAJ	PREVOD NA UCET	115	38739	 	UV	65941238
505582	1726	1997-06-05	VYDAJ	PREVOD NA UCET	115	43150	 	UV	65941238
505583	1726	1997-07-05	VYDAJ	PREVOD NA UCET	115	43659	 	UV	65941238
505584	1726	1997-08-05	VYDAJ	PREVOD NA UCET	115	39766	 	UV	65941238
505585	1726	1997-09-05	VYDAJ	PREVOD NA UCET	115	36357	 	UV	65941238
505586	1726	1997-10-05	VYDAJ	PREVOD NA UCET	115	33232	 	UV	65941238
505587	1726	1997-11-05	VYDAJ	PREVOD NA UCET	115	34709	 	UV	65941238
505588	1726	1997-12-05	VYDAJ	PREVOD NA UCET	115	30959	 	UV	65941238
505589	1726	1998-01-05	VYDAJ	PREVOD NA UCET	115	33253	 	UV	65941238
505590	1726	1998-02-05	VYDAJ	PREVOD NA UCET	115	17264	 	UV	65941238
505591	1726	1998-03-05	VYDAJ	PREVOD NA UCET	115	24591	 	UV	65941238
505592	1726	1998-04-05	VYDAJ	PREVOD NA UCET	115	28584	 	UV	65941238
505593	1726	1998-05-05	VYDAJ	PREVOD NA UCET	115	35959	 	UV	65941238
505594	1726	1998-06-05	VYDAJ	PREVOD NA UCET	115	28214	 	UV	65941238
505595	1726	1998-07-05	VYDAJ	PREVOD NA UCET	115	30245	 	UV	65941238
505596	1726	1998-08-05	VYDAJ	PREVOD NA UCET	115	33659	 	UV	65941238
505597	1726	1998-09-05	VYDAJ	PREVOD NA UCET	115	20755	 	UV	65941238
505598	1726	1998-10-05	VYDAJ	PREVOD NA UCET	115	28108	 	UV	65941238
505599	1726	1998-11-05	VYDAJ	PREVOD NA UCET	115	17480	 	UV	65941238
505600	1726	1998-12-05	VYDAJ	PREVOD NA UCET	115	19776	 	UV	65941238
505601	1726	1993-06-21	VYDAJ	VYBER	31840	19151	\N	\N	\N
505602	1726	1994-06-17	VYDAJ	VYBER	25440	18005	\N	\N	\N
505604	1726	1996-06-16	VYDAJ	VYBER	12320	23174	\N	\N	\N
505605	1726	1997-06-27	VYDAJ	VYBER	4800	43606	\N	\N	\N
505608	1726	1994-01-18	VYDAJ	VYBER	9920	31163	\N	\N	\N
505609	1726	1995-01-02	VYDAJ	VYBER	8480	24466	\N	\N	\N
505610	1726	1996-01-04	VYDAJ	VYBER	11520	18382	\N	\N	\N
505611	1726	1997-01-30	VYDAJ	VYBER	9600	17549	\N	\N	\N
505612	1726	1998-01-13	VYDAJ	VYBER	10400	19226	\N	\N	\N
505613	1726	1993-12-22	VYDAJ	VYBER	4160	42937	\N	\N	\N
505614	1726	1994-12-10	VYDAJ	VYBER	1440	25010	\N	\N	\N
505615	1726	1995-12-22	VYDAJ	VYBER	2560	29784	\N	\N	\N
505616	1726	1996-12-24	VYDAJ	VYBER	1280	29127	\N	\N	\N
505617	1726	1997-12-21	VYDAJ	VYBER	1120	34695	\N	\N	\N
505625	1726	1994-01-20	VYDAJ	VYBER	3240	27923	\N	\N	\N
505626	1726	1994-01-07	VYDAJ	VYBER	2760	31628	\N	\N	\N
505627	1726	1994-01-23	VYDAJ	VYBER	2160	22883	\N	\N	\N
505628	1726	1994-01-24	VYDAJ	VYBER	1680	21203	\N	\N	\N
505629	1726	1994-01-22	VYDAJ	VYBER	2880	25043	\N	\N	\N
505630	1726	1994-01-30	VYDAJ	VYBER	2760	21743	\N	\N	\N
505632	1726	1995-01-17	VYDAJ	VYBER	600	24644	\N	\N	\N
505633	1726	1995-01-15	VYDAJ	VYBER	3240	25244	\N	\N	\N
505634	1726	1995-01-21	VYDAJ	VYBER	2280	21164	\N	\N	\N
505635	1726	1995-01-20	VYDAJ	VYBER	1200	23444	\N	\N	\N
505636	1726	1995-01-10	VYDAJ	VYBER	3240	18955	\N	\N	\N
505638	1726	1996-01-14	VYDAJ	VYBER	2880	22760	\N	\N	\N
505640	1726	1996-01-25	VYDAJ	VYBER	2520	15320	\N	\N	\N
505641	1726	1996-01-21	VYDAJ	VYBER	2520	20120	\N	\N	\N
505642	1726	1996-01-23	VYDAJ	VYBER	2280	17840	\N	\N	\N
505643	1726	1997-01-06	VYDAJ	VYBER	3120	26016	\N	\N	\N
505644	1726	1997-01-11	VYDAJ	VYBER	3480	20380	\N	\N	\N
505645	1726	1997-01-25	VYDAJ	VYBER	720	30149	\N	\N	\N
505646	1726	1997-01-27	VYDAJ	VYBER	3000	27149	\N	\N	\N
505647	1726	1997-01-12	VYDAJ	VYBER	2040	22540	\N	\N	\N
505648	1726	1997-01-12	VYDAJ	VYBER	1200	16902	\N	\N	\N
505649	1726	1998-01-26	VYDAJ	VYBER	1320	17306	\N	\N	\N
505650	1726	1998-01-16	VYDAJ	VYBER	600	18626	\N	\N	\N
505651	1726	1998-01-06	VYDAJ	VYBER	1200	32053	\N	\N	\N
505654	1726	1998-01-03	VYDAJ	VYBER	1440	33368	\N	\N	\N
505656	1726	1993-06-26	VYDAJ	VYBER	4800	14351	\N	\N	\N
505657	1726	1993-10-08	VYDAJ	VYBER	1680	27421	\N	\N	\N
505658	1726	1993-09-16	VYDAJ	VYBER	5400	32156	\N	\N	\N
505660	1726	1994-01-30	VYDAJ	VYBER	2520	19223	\N	\N	\N
505661	1726	1994-07-25	VYDAJ	VYBER	2280	27275	\N	\N	\N
505662	1726	1994-07-31	VYDAJ	VYBER	3120	22460	\N	\N	\N
505663	1726	1995-04-28	VYDAJ	VYBER	3600	24404	\N	\N	\N
505664	1726	1995-07-31	VYDAJ	VYBER	5520	22690	\N	\N	\N
505665	1726	1996-01-19	VYDAJ	VYBER	1920	22640	\N	\N	\N
505667	1726	1996-05-25	VYDAJ	VYBER	1920	21185	\N	\N	\N
505668	1726	1996-03-19	VYDAJ	VYBER	5880	16381	\N	\N	\N
505669	1726	1996-07-15	VYDAJ	VYBER	3840	24671	\N	\N	\N
505670	1726	1996-05-04	VYDAJ	VYBER	5520	16247	\N	\N	\N
505671	1726	1996-08-05	VYDAJ	VYBER	5280	16650	\N	\N	\N
505672	1726	1997-11-16	VYDAJ	VYBER	3720	30962	\N	\N	\N
505673	1726	1997-12-07	VYDAJ	VYBER	3600	25277	\N	\N	\N
505674	1726	1998-03-21	VYDAJ	VYBER	3360	28604	\N	\N	\N
505675	1726	1998-11-28	VYDAJ	VYBER	5040	19813	\N	\N	\N
505676	1726	1998-07-19	VYDAJ	VYBER	3960	33658	\N	\N	\N
505683	1726	1993-05-31	VYDAJ	VYBER	15	51950	SLUZBY	\N	\N
505684	1726	1993-06-30	VYDAJ	VYBER	15	14483	SLUZBY	\N	\N
505685	1726	1993-07-31	VYDAJ	VYBER	15	29029	SLUZBY	\N	\N
505686	1726	1993-08-31	VYDAJ	VYBER	15	30298	SLUZBY	\N	\N
505687	1726	1993-09-30	VYDAJ	VYBER	15	32272	SLUZBY	\N	\N
505688	1726	1993-10-31	VYDAJ	VYBER	15	29176	SLUZBY	\N	\N
505690	1726	1993-12-31	VYDAJ	VYBER	15	36585	SLUZBY	\N	\N
505691	1726	1994-01-31	VYDAJ	VYBER	15	19336	SLUZBY	\N	\N
505692	1726	1994-02-28	VYDAJ	VYBER	15	26674	SLUZBY	\N	\N
505693	1726	1994-03-31	VYDAJ	VYBER	15	28642	SLUZBY	\N	\N
505694	1726	1994-04-30	VYDAJ	VYBER	15	31419	SLUZBY	\N	\N
505695	1726	1994-05-31	VYDAJ	VYBER	15	29204	SLUZBY	\N	\N
505696	1726	1994-06-30	VYDAJ	VYBER	15	22297	SLUZBY	\N	\N
505697	1726	1994-07-31	VYDAJ	VYBER	15	22446	SLUZBY	\N	\N
505698	1726	1994-08-31	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
505699	1726	1994-09-30	VYDAJ	VYBER	15	30361	SLUZBY	\N	\N
505700	1726	1994-10-31	VYDAJ	VYBER	15	31441	SLUZBY	\N	\N
505701	1726	1994-11-30	VYDAJ	VYBER	15	28721	SLUZBY	\N	\N
505702	1726	1994-12-31	VYDAJ	VYBER	15	32946	SLUZBY	\N	\N
505703	1726	1995-01-31	VYDAJ	VYBER	15	21949	SLUZBY	\N	\N
505704	1726	1995-02-28	VYDAJ	VYBER	15	23492	SLUZBY	\N	\N
505705	1726	1995-03-31	VYDAJ	VYBER	15	28746	SLUZBY	\N	\N
505706	1726	1995-04-30	VYDAJ	VYBER	15	24514	SLUZBY	\N	\N
505707	1726	1995-05-31	VYDAJ	VYBER	15	25467	SLUZBY	\N	\N
505708	1726	1995-06-30	VYDAJ	VYBER	15	31421	SLUZBY	\N	\N
505709	1726	1995-07-31	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
505710	1726	1995-08-31	VYDAJ	VYBER	15	25222	SLUZBY	\N	\N
505711	1726	1995-09-30	VYDAJ	VYBER	15	27277	SLUZBY	\N	\N
505712	1726	1995-10-31	VYDAJ	VYBER	15	28138	SLUZBY	\N	\N
505713	1726	1995-11-30	VYDAJ	VYBER	15	29503	SLUZBY	\N	\N
505714	1726	1995-12-31	VYDAJ	VYBER	15	29902	SLUZBY	\N	\N
505715	1726	1996-01-31	VYDAJ	VYBER	15	15387	SLUZBY	\N	\N
505716	1726	1996-02-29	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
505717	1726	1996-03-31	VYDAJ	VYBER	15	16445	SLUZBY	\N	\N
505718	1726	1996-04-30	VYDAJ	VYBER	15	21767	SLUZBY	\N	\N
505719	1726	1996-05-31	VYDAJ	VYBER	15	21253	SLUZBY	\N	\N
505720	1726	1996-06-30	VYDAJ	VYBER	15	21253	SLUZBY	\N	\N
505721	1726	1996-07-31	VYDAJ	VYBER	15	22045	SLUZBY	\N	\N
505722	1726	1996-08-31	VYDAJ	VYBER	15	25999	SLUZBY	\N	\N
505723	1726	1996-09-30	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
505724	1726	1996-10-31	VYDAJ	VYBER	15	29405	SLUZBY	\N	\N
505725	1726	1996-11-30	VYDAJ	VYBER	15	29366	SLUZBY	\N	\N
505726	1726	1996-12-31	VYDAJ	VYBER	15	29251	SLUZBY	\N	\N
505727	1726	1997-01-31	VYDAJ	VYBER	15	17648	SLUZBY	\N	\N
505728	1726	1997-02-28	VYDAJ	VYBER	15	29188	SLUZBY	\N	\N
505729	1726	1997-03-31	VYDAJ	VYBER	15	31766	SLUZBY	\N	\N
505730	1726	1997-04-30	VYDAJ	VYBER	15	38854	SLUZBY	\N	\N
505731	1726	1997-05-31	VYDAJ	VYBER	15	43265	SLUZBY	\N	\N
505732	1726	1997-06-30	VYDAJ	VYBER	15	43774	SLUZBY	\N	\N
505733	1726	1997-07-31	VYDAJ	VYBER	15	39881	SLUZBY	\N	\N
505734	1726	1997-08-31	VYDAJ	VYBER	15	36472	SLUZBY	\N	\N
505735	1726	1997-09-30	VYDAJ	VYBER	15	33347	SLUZBY	\N	\N
505736	1726	1997-10-31	VYDAJ	VYBER	15	34824	SLUZBY	\N	\N
505737	1726	1997-11-30	VYDAJ	VYBER	15	31074	SLUZBY	\N	\N
505738	1726	1997-12-31	VYDAJ	VYBER	15	34808	SLUZBY	\N	\N
505739	1726	1998-01-31	VYDAJ	VYBER	15	17379	SLUZBY	\N	\N
505740	1726	1998-02-28	VYDAJ	VYBER	15	24706	SLUZBY	\N	\N
505741	1726	1998-03-31	VYDAJ	VYBER	15	28699	SLUZBY	\N	\N
505742	1726	1998-04-30	VYDAJ	VYBER	15	36074	SLUZBY	\N	\N
505743	1726	1998-05-31	VYDAJ	VYBER	15	28329	SLUZBY	\N	\N
505744	1726	1998-06-30	VYDAJ	VYBER	15	30360	SLUZBY	\N	\N
505745	1726	1998-07-31	VYDAJ	VYBER	15	33774	SLUZBY	\N	\N
505746	1726	1998-08-31	VYDAJ	VYBER	15	41170	SLUZBY	\N	\N
505747	1726	1998-09-30	VYDAJ	VYBER	15	28223	SLUZBY	\N	\N
505748	1726	1998-10-31	VYDAJ	VYBER	15	35595	SLUZBY	\N	\N
505749	1726	1998-11-30	VYDAJ	VYBER	15	19891	SLUZBY	\N	\N
505750	1726	1993-02-02	PRIJEM	VKLAD	6000	21005	\N	\N	\N
505751	1726	1993-03-04	VYDAJ	VYBER	3200	31882	\N	\N	\N
505752	1726	1993-04-03	VYDAJ	VYBER	11600	34423	\N	\N	\N
505753	1726	1993-05-03	VYDAJ	VYBER	10800	37787	\N	\N	\N
505754	1726	1993-06-02	VYDAJ	VYBER	15200	36750	\N	\N	\N
505755	1726	1993-07-02	PRIJEM	VKLAD	7200	21683	\N	\N	\N
505756	1726	1993-08-01	VYDAJ	VYBER	3100	25929	\N	\N	\N
505757	1726	1993-08-31	VYDAJ	VYBER	3000	30313	\N	\N	\N
505758	1726	1993-09-30	VYDAJ	VYBER	900	31372	\N	\N	\N
505759	1726	1993-10-30	VYDAJ	VYBER	7900	29050	\N	\N	\N
505760	1726	1993-11-29	VYDAJ	VYBER	3700	32734	\N	\N	\N
505761	1726	1993-12-29	VYDAJ	VYBER	6500	36437	\N	\N	\N
505762	1726	1994-01-28	PRIJEM	VKLAD	3300	24503	\N	\N	\N
505763	1726	1994-03-29	VYDAJ	VYBER	5400	28532	\N	\N	\N
505764	1726	1994-04-28	VYDAJ	VYBER	4600	31300	\N	\N	\N
505765	1726	1994-05-28	VYDAJ	VYBER	9600	29077	\N	\N	\N
505766	1726	1994-06-27	PRIJEM	VKLAD	4200	22205	\N	\N	\N
505767	1726	1994-07-27	VYDAJ	VYBER	1800	25475	\N	\N	\N
505768	1726	1994-08-26	VYDAJ	VYBER	3400	26304	\N	\N	\N
505769	1726	1994-09-25	VYDAJ	VYBER	3400	30253	\N	\N	\N
505770	1726	1994-10-25	VYDAJ	VYBER	6300	31319	\N	\N	\N
505771	1726	1994-11-24	VYDAJ	VYBER	10100	28599	\N	\N	\N
505772	1726	1994-12-24	VYDAJ	VYBER	8700	32822	\N	\N	\N
505773	1726	1995-01-23	PRIJEM	VKLAD	700	21864	\N	\N	\N
505774	1726	1995-02-22	VYDAJ	VYBER	5800	23407	\N	\N	\N
505775	1726	1995-03-24	VYDAJ	VYBER	2100	28650	\N	\N	\N
505776	1726	1995-04-23	VYDAJ	VYBER	8000	28004	\N	\N	\N
505777	1726	1995-05-23	VYDAJ	VYBER	6400	25372	\N	\N	\N
505778	1726	1995-06-22	VYDAJ	VYBER	8400	31308	\N	\N	\N
505779	1726	1995-07-22	VYDAJ	VYBER	10600	28079	\N	\N	\N
505780	1726	1995-08-21	VYDAJ	VYBER	4800	25134	\N	\N	\N
505781	1726	1995-09-20	VYDAJ	VYBER	5300	27180	\N	\N	\N
505782	1726	1995-10-20	VYDAJ	VYBER	6500	28035	\N	\N	\N
505783	1726	1995-11-19	VYDAJ	VYBER	6000	29396	\N	\N	\N
505784	1726	1995-12-19	VYDAJ	VYBER	11400	32344	\N	\N	\N
505785	1726	1996-01-18	PRIJEM	VKLAD	1800	24560	\N	\N	\N
505786	1726	1996-02-17	VYDAJ	VYBER	2700	19945	\N	\N	\N
505787	1726	1996-03-18	VYDAJ	VYBER	5000	22261	\N	\N	\N
505788	1726	1996-04-17	VYDAJ	VYBER	2000	21703	\N	\N	\N
505789	1726	1996-05-17	VYDAJ	VYBER	400	23105	\N	\N	\N
505790	1726	1996-06-16	VYDAJ	VYBER	2000	21174	\N	\N	\N
505791	1726	1996-07-16	VYDAJ	VYBER	2700	21971	\N	\N	\N
505792	1726	1996-08-15	PRIJEM	VKLAD	1900	25923	\N	\N	\N
505793	1726	1996-09-14	VYDAJ	VYBER	7000	26257	\N	\N	\N
505794	1726	1996-10-14	VYDAJ	VYBER	4300	29306	\N	\N	\N
505795	1726	1996-11-13	VYDAJ	VYBER	7400	29263	\N	\N	\N
505796	1726	1996-12-13	VYDAJ	VYBER	13200	30407	\N	\N	\N
505797	1726	1997-01-12	PRIJEM	VKLAD	4200	24580	\N	\N	\N
505798	1726	1997-02-11	PRIJEM	VKLAD	4200	19577	\N	\N	\N
505799	1726	1997-03-13	VYDAJ	VYBER	4800	31646	\N	\N	\N
505800	1726	1997-04-12	VYDAJ	VYBER	300	24757	\N	\N	\N
505801	1726	1997-05-12	VYDAJ	VYBER	3000	29145	\N	\N	\N
505802	1726	1997-06-11	VYDAJ	VYBER	9100	31894	\N	\N	\N
505803	1726	1997-07-11	VYDAJ	VYBER	11300	30203	\N	\N	\N
505804	1726	1997-08-10	VYDAJ	VYBER	10800	26810	\N	\N	\N
505805	1726	1997-09-09	VYDAJ	VYBER	10500	23701	\N	\N	\N
505806	1726	1997-10-09	VYDAJ	VYBER	5900	25176	\N	\N	\N
505807	1726	1997-11-08	VYDAJ	VYBER	7400	25153	\N	\N	\N
505808	1726	1997-12-08	VYDAJ	VYBER	5900	19377	\N	\N	\N
505809	1726	1998-01-07	VYDAJ	VYBER	9800	20171	\N	\N	\N
505810	1726	1998-05-07	VYDAJ	VYBER	15100	18777	\N	\N	\N
505811	1726	1998-06-06	VYDAJ	VYBER	12300	15914	\N	\N	\N
505812	1726	1998-09-04	VYDAJ	VYBER	20300	20870	\N	\N	\N
505813	1726	1998-11-03	VYDAJ	VYBER	18000	17595	\N	\N	\N
505886	1727	1997-10-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
505897	1727	1997-11-11	PRIJEM	VKLAD	24784	25784	\N	\N	\N
505898	1727	1997-12-11	PRIJEM	VKLAD	37176	61460	\N	\N	\N
505899	1727	1998-01-11	PRIJEM	VKLAD	24784	64718	\N	\N	\N
505900	1727	1998-02-11	PRIJEM	VKLAD	24784	62067	\N	\N	\N
505901	1727	1998-03-11	PRIJEM	VKLAD	24784	63713	\N	\N	\N
505902	1727	1998-04-11	PRIJEM	VKLAD	24784	56128	\N	\N	\N
505903	1727	1998-05-11	PRIJEM	VKLAD	24784	55499	\N	\N	\N
505904	1727	1998-06-11	PRIJEM	VKLAD	37176	62057	\N	\N	\N
505905	1727	1998-07-11	PRIJEM	VKLAD	24784	52441	\N	\N	\N
505906	1727	1998-08-11	PRIJEM	VKLAD	24784	47107	\N	\N	\N
505907	1727	1998-09-11	PRIJEM	VKLAD	24784	45944	\N	\N	\N
505908	1727	1998-10-11	PRIJEM	VKLAD	24784	41805	\N	\N	\N
505909	1727	1998-11-11	PRIJEM	VKLAD	24784	39615	\N	\N	\N
505910	1727	1998-12-11	PRIJEM	VKLAD	37176	49909	\N	\N	\N
505925	1727	1998-03-12	VYDAJ	PREVOD NA UCET	1794	60826	SIPO	QR	62198191
505926	1727	1998-04-12	VYDAJ	PREVOD NA UCET	1794	54334	SIPO	QR	62198191
505927	1727	1998-05-12	VYDAJ	PREVOD NA UCET	1794	53705	SIPO	QR	62198191
505928	1727	1998-06-12	VYDAJ	PREVOD NA UCET	1794	60263	SIPO	QR	62198191
505929	1727	1998-07-12	VYDAJ	PREVOD NA UCET	1794	50647	SIPO	QR	62198191
505930	1727	1998-08-12	VYDAJ	PREVOD NA UCET	1794	45313	SIPO	QR	62198191
505931	1727	1998-09-12	VYDAJ	PREVOD NA UCET	1794	44150	SIPO	QR	62198191
505932	1727	1998-10-12	VYDAJ	PREVOD NA UCET	1794	40011	SIPO	QR	62198191
505933	1727	1998-11-12	VYDAJ	PREVOD NA UCET	1794	36728	SIPO	QR	62198191
505934	1727	1998-12-12	VYDAJ	PREVOD NA UCET	1794	48115	SIPO	QR	62198191
505949	1727	1998-03-12	VYDAJ	PREVOD NA UCET	1093	62620	 	EF	22698265
505950	1727	1998-04-12	VYDAJ	PREVOD NA UCET	1093	53241	 	EF	22698265
505951	1727	1998-05-12	VYDAJ	PREVOD NA UCET	1093	52612	 	EF	22698265
505952	1727	1998-06-12	VYDAJ	PREVOD NA UCET	1093	59170	 	EF	22698265
505953	1727	1998-07-12	VYDAJ	PREVOD NA UCET	1093	49554	 	EF	22698265
505954	1727	1998-08-12	VYDAJ	PREVOD NA UCET	1093	44220	 	EF	22698265
505955	1727	1998-09-12	VYDAJ	PREVOD NA UCET	1093	43057	 	EF	22698265
505956	1727	1998-10-12	VYDAJ	PREVOD NA UCET	1093	38918	 	EF	22698265
505957	1727	1998-11-12	VYDAJ	PREVOD NA UCET	1093	38522	 	EF	22698265
505958	1727	1998-12-12	VYDAJ	PREVOD NA UCET	1093	47022	 	EF	22698265
505973	1727	1998-03-14	VYDAJ	PREVOD NA UCET	3723	57103	POJISTNE	ST	4687321
505974	1727	1998-04-14	VYDAJ	PREVOD NA UCET	3723	49518	POJISTNE	ST	4687321
505975	1727	1998-05-14	VYDAJ	PREVOD NA UCET	3723	48889	POJISTNE	ST	4687321
505976	1727	1998-06-14	VYDAJ	PREVOD NA UCET	3723	55447	POJISTNE	ST	4687321
505977	1727	1998-07-14	VYDAJ	PREVOD NA UCET	3723	45831	POJISTNE	ST	4687321
505978	1727	1998-08-14	VYDAJ	PREVOD NA UCET	3723	40497	POJISTNE	ST	4687321
505979	1727	1998-09-14	VYDAJ	PREVOD NA UCET	3723	39334	POJISTNE	ST	4687321
505980	1727	1998-10-14	VYDAJ	PREVOD NA UCET	3723	35195	POJISTNE	ST	4687321
505981	1727	1998-11-14	VYDAJ	PREVOD NA UCET	3723	33005	POJISTNE	ST	4687321
505982	1727	1998-12-14	VYDAJ	PREVOD NA UCET	3723	43299	POJISTNE	ST	4687321
505988	1727	1998-12-23	VYDAJ	VYBER	1440	41859	\N	\N	\N
505991	1727	1998-09-15	VYDAJ	VYBER	2760	36574	\N	\N	\N
505992	1727	1998-03-16	VYDAJ	VYBER	5280	51823	\N	\N	\N
506011	1727	1998-03-31	VYDAJ	VYBER	15	52044	SLUZBY	\N	\N
506012	1727	1998-04-30	VYDAJ	VYBER	15	49715	SLUZBY	\N	\N
506013	1727	1998-05-31	VYDAJ	VYBER	15	49081	SLUZBY	\N	\N
506014	1727	1998-06-30	VYDAJ	VYBER	15	55657	SLUZBY	\N	\N
506015	1727	1998-07-31	VYDAJ	VYBER	15	46023	SLUZBY	\N	\N
506016	1727	1998-08-31	VYDAJ	VYBER	15	40660	SLUZBY	\N	\N
506017	1727	1998-09-30	VYDAJ	VYBER	15	36721	SLUZBY	\N	\N
506018	1727	1998-10-31	VYDAJ	VYBER	15	35331	SLUZBY	\N	\N
506019	1727	1998-11-30	VYDAJ	VYBER	15	33133	SLUZBY	\N	\N
506020	1727	1997-12-10	VYDAJ	VYBER	1500	24284	\N	\N	\N
506021	1727	1998-01-09	VYDAJ	VYBER	21700	39934	\N	\N	\N
506022	1727	1998-02-08	VYDAJ	VYBER	27700	37283	\N	\N	\N
506023	1727	1998-03-10	VYDAJ	VYBER	23400	38929	\N	\N	\N
506024	1727	1998-04-09	VYDAJ	VYBER	20700	31344	\N	\N	\N
506025	1727	1998-05-09	VYDAJ	VYBER	19000	30715	\N	\N	\N
506026	1727	1998-06-08	VYDAJ	VYBER	24200	24881	\N	\N	\N
506027	1727	1998-07-08	VYDAJ	VYBER	28000	27657	\N	\N	\N
506028	1727	1998-08-07	VYDAJ	VYBER	23700	22323	\N	\N	\N
506029	1727	1998-09-06	VYDAJ	VYBER	19500	21160	\N	\N	\N
506030	1727	1998-10-06	VYDAJ	VYBER	19700	17021	\N	\N	\N
506031	1727	1998-11-05	VYDAJ	VYBER	20500	14831	\N	\N	\N
506032	1727	1998-12-05	VYDAJ	VYBER	20400	12733	\N	\N	\N
506046	1728	1995-06-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
506053	1728	1995-07-06	PRIJEM	VKLAD	8461	9461	\N	\N	\N
506054	1728	1995-08-06	PRIJEM	VKLAD	8461	26444	\N	\N	\N
506055	1728	1995-09-06	PRIJEM	VKLAD	8461	32588	\N	\N	\N
506056	1728	1995-10-06	PRIJEM	VKLAD	8461	34552	\N	\N	\N
506057	1728	1995-11-06	PRIJEM	VKLAD	8461	35322	\N	\N	\N
506058	1728	1995-12-06	PRIJEM	VKLAD	12692	39460	\N	\N	\N
506059	1728	1996-01-06	PRIJEM	VKLAD	8461	30863	\N	\N	\N
506060	1728	1996-02-06	PRIJEM	VKLAD	8461	24437	\N	\N	\N
506061	1728	1996-03-06	PRIJEM	VKLAD	8461	24021	\N	\N	\N
506062	1728	1996-04-06	PRIJEM	VKLAD	8461	28088	\N	\N	\N
506063	1728	1996-05-06	PRIJEM	VKLAD	8461	29366	\N	\N	\N
506064	1728	1996-06-06	PRIJEM	VKLAD	12692	31059	\N	\N	\N
506065	1728	1996-07-06	PRIJEM	VKLAD	8461	24520	\N	\N	\N
506066	1728	1996-08-06	PRIJEM	VKLAD	8461	26886	\N	\N	\N
506067	1728	1996-09-06	PRIJEM	VKLAD	8461	22910	\N	\N	\N
506068	1728	1996-10-06	PRIJEM	VKLAD	8461	21183	\N	\N	\N
506069	1728	1996-11-06	PRIJEM	VKLAD	8461	20127	\N	\N	\N
506070	1728	1996-12-06	PRIJEM	VKLAD	12692	23598	\N	\N	\N
506071	1728	1997-01-06	PRIJEM	VKLAD	8461	20539	\N	\N	\N
506072	1728	1997-02-06	PRIJEM	VKLAD	8461	19526	\N	\N	\N
506073	1728	1997-03-06	PRIJEM	VKLAD	8461	23073	\N	\N	\N
506074	1728	1997-04-06	PRIJEM	VKLAD	8461	23634	\N	\N	\N
506075	1728	1997-05-06	PRIJEM	VKLAD	8461	25038	\N	\N	\N
506076	1728	1997-06-06	PRIJEM	VKLAD	12692	32839	\N	\N	\N
506077	1728	1997-07-06	PRIJEM	VKLAD	8461	18790	\N	\N	\N
506078	1728	1997-08-06	PRIJEM	VKLAD	8461	22334	\N	\N	\N
506079	1728	1997-09-06	PRIJEM	VKLAD	8461	15466	\N	\N	\N
506080	1728	1997-10-06	PRIJEM	VKLAD	8461	18996	\N	\N	\N
506081	1728	1997-11-06	PRIJEM	VKLAD	8461	14821	\N	\N	\N
506082	1728	1997-12-06	PRIJEM	VKLAD	12692	22579	\N	\N	\N
506083	1728	1998-01-06	PRIJEM	VKLAD	8461	17713	\N	\N	\N
506084	1728	1998-02-06	PRIJEM	VKLAD	8461	16041	\N	\N	\N
506085	1728	1998-03-06	PRIJEM	VKLAD	8461	19982	\N	\N	\N
506086	1728	1998-04-06	PRIJEM	VKLAD	8461	19523	\N	\N	\N
506087	1728	1998-05-06	PRIJEM	VKLAD	8461	16454	\N	\N	\N
506088	1728	1998-06-06	PRIJEM	VKLAD	12692	24346	\N	\N	\N
506089	1728	1998-07-06	PRIJEM	VKLAD	8461	23401	\N	\N	\N
506090	1728	1998-08-06	PRIJEM	VKLAD	8461	26162	\N	\N	\N
506091	1728	1998-09-06	PRIJEM	VKLAD	8461	33743	\N	\N	\N
506092	1728	1998-10-06	PRIJEM	VKLAD	8461	39354	\N	\N	\N
506093	1728	1998-11-06	PRIJEM	VKLAD	8461	47389	\N	\N	\N
506094	1728	1998-12-06	PRIJEM	VKLAD	12692	51348	\N	\N	\N
506105	1728	1995-11-13	VYDAJ	PREVOD NA UCET	4954	30368	SIPO	OP	84701668
506106	1728	1995-12-13	VYDAJ	PREVOD NA UCET	4954	32106	SIPO	OP	84701668
506107	1728	1996-01-13	VYDAJ	PREVOD NA UCET	4954	24949	SIPO	OP	84701668
506108	1728	1996-02-13	VYDAJ	PREVOD NA UCET	4954	19483	SIPO	OP	84701668
506109	1728	1996-03-13	VYDAJ	PREVOD NA UCET	4954	19067	SIPO	OP	84701668
506110	1728	1996-04-13	VYDAJ	PREVOD NA UCET	4954	23134	SIPO	OP	84701668
506111	1728	1996-05-13	VYDAJ	PREVOD NA UCET	4954	24412	SIPO	OP	84701668
506112	1728	1996-06-13	VYDAJ	PREVOD NA UCET	4954	12505	SIPO	OP	84701668
506113	1728	1996-07-13	VYDAJ	PREVOD NA UCET	4954	19566	SIPO	OP	84701668
506114	1728	1996-08-13	VYDAJ	PREVOD NA UCET	4954	21932	SIPO	OP	84701668
506115	1728	1996-09-13	VYDAJ	PREVOD NA UCET	4954	17956	SIPO	OP	84701668
506116	1728	1996-10-13	VYDAJ	PREVOD NA UCET	4954	14429	SIPO	OP	84701668
506117	1728	1996-11-13	VYDAJ	PREVOD NA UCET	4954	15173	SIPO	OP	84701668
506118	1728	1996-12-13	VYDAJ	PREVOD NA UCET	4954	18644	SIPO	OP	84701668
506119	1728	1997-01-13	VYDAJ	PREVOD NA UCET	4954	11025	SIPO	OP	84701668
506120	1728	1997-02-13	VYDAJ	PREVOD NA UCET	4954	14572	SIPO	OP	84701668
506121	1728	1997-03-13	VYDAJ	PREVOD NA UCET	4954	15119	SIPO	OP	84701668
506122	1728	1997-04-13	VYDAJ	PREVOD NA UCET	4954	16520	SIPO	OP	84701668
506123	1728	1997-05-13	VYDAJ	PREVOD NA UCET	4954	20084	SIPO	OP	84701668
506124	1728	1997-06-13	VYDAJ	PREVOD NA UCET	4954	10285	SIPO	OP	84701668
506125	1728	1997-07-13	VYDAJ	PREVOD NA UCET	4954	13836	SIPO	OP	84701668
506126	1728	1997-08-13	VYDAJ	PREVOD NA UCET	4954	6980	SIPO	OP	84701668
506127	1728	1997-09-13	VYDAJ	PREVOD NA UCET	4954	10512	SIPO	OP	84701668
506128	1728	1997-10-13	VYDAJ	PREVOD NA UCET	4954	6342	SIPO	OP	84701668
506129	1728	1997-11-13	VYDAJ	PREVOD NA UCET	4954	9867	SIPO	OP	84701668
506130	1728	1997-12-13	VYDAJ	PREVOD NA UCET	4954	9225	SIPO	OP	84701668
506131	1728	1998-01-13	VYDAJ	PREVOD NA UCET	4954	7559	SIPO	OP	84701668
506132	1728	1998-02-13	VYDAJ	PREVOD NA UCET	4954	11487	SIPO	OP	84701668
506133	1728	1998-03-13	VYDAJ	PREVOD NA UCET	4954	11028	SIPO	OP	84701668
506134	1728	1998-04-13	VYDAJ	PREVOD NA UCET	4954	7969	SIPO	OP	84701668
506135	1728	1998-05-13	VYDAJ	PREVOD NA UCET	4954	11620	SIPO	OP	84701668
506136	1728	1998-06-13	VYDAJ	PREVOD NA UCET	4954	14892	SIPO	OP	84701668
506137	1728	1998-07-13	VYDAJ	PREVOD NA UCET	4954	15647	SIPO	OP	84701668
506138	1728	1998-08-13	VYDAJ	PREVOD NA UCET	4954	21208	SIPO	OP	84701668
506139	1728	1998-09-13	VYDAJ	PREVOD NA UCET	4954	28789	SIPO	OP	84701668
506140	1728	1998-10-13	VYDAJ	PREVOD NA UCET	4954	34400	SIPO	OP	84701668
506141	1728	1998-11-13	VYDAJ	PREVOD NA UCET	4954	42435	SIPO	OP	84701668
506142	1728	1998-12-13	VYDAJ	PREVOD NA UCET	4954	46394	SIPO	OP	84701668
506144	1728	1996-06-13	VYDAJ	VYBER	13600	17459	\N	\N	\N
506147	1728	1995-12-07	VYDAJ	VYBER	2400	37060	\N	\N	\N
506150	1728	1998-12-01	VYDAJ	VYBER	2240	40356	\N	\N	\N
506157	1728	1996-01-28	VYDAJ	VYBER	1920	17569	\N	\N	\N
506158	1728	1996-01-29	VYDAJ	VYBER	1680	15889	\N	\N	\N
506159	1728	1996-01-05	VYDAJ	VYBER	1320	22402	\N	\N	\N
506160	1728	1996-01-01	VYDAJ	VYBER	720	29602	\N	\N	\N
506161	1728	1996-01-20	VYDAJ	VYBER	3360	19489	\N	\N	\N
506162	1728	1996-01-13	VYDAJ	VYBER	960	29903	\N	\N	\N
506165	1728	1997-01-06	VYDAJ	VYBER	2040	18499	\N	\N	\N
506166	1728	1997-01-12	VYDAJ	VYBER	1800	15979	\N	\N	\N
506168	1728	1997-01-11	VYDAJ	VYBER	720	17779	\N	\N	\N
506177	1728	1996-01-05	VYDAJ	VYBER	5880	23722	\N	\N	\N
506178	1728	1996-09-19	VYDAJ	VYBER	720	14236	\N	\N	\N
506179	1728	1996-02-24	VYDAJ	VYBER	4440	15503	\N	\N	\N
506180	1728	1996-05-24	VYDAJ	VYBER	5520	18292	\N	\N	\N
506181	1728	1996-09-29	VYDAJ	VYBER	1560	12676	\N	\N	\N
506182	1728	1996-08-20	VYDAJ	VYBER	5640	14392	\N	\N	\N
506183	1728	1996-02-17	VYDAJ	VYBER	3840	15643	\N	\N	\N
506184	1728	1996-10-12	VYDAJ	VYBER	1800	19383	\N	\N	\N
506185	1728	1997-03-06	VYDAJ	VYBER	960	22113	\N	\N	\N
506187	1728	1997-04-06	VYDAJ	VYBER	2160	21474	\N	\N	\N
506189	1728	1997-03-11	VYDAJ	VYBER	2040	20073	\N	\N	\N
506190	1728	1998-12-13	VYDAJ	VYBER	2640	43754	\N	\N	\N
506192	1728	1998-05-07	VYDAJ	VYBER	1680	14774	\N	\N	\N
506204	1728	1995-11-30	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
506205	1728	1995-12-31	VYDAJ	VYBER	15	30322	SLUZBY	\N	\N
506206	1728	1996-01-31	VYDAJ	VYBER	15	15976	SLUZBY	\N	\N
506207	1728	1996-02-29	VYDAJ	VYBER	15	15560	SLUZBY	\N	\N
506208	1728	1996-03-31	VYDAJ	VYBER	15	19627	SLUZBY	\N	\N
506209	1728	1996-04-30	VYDAJ	VYBER	15	20905	SLUZBY	\N	\N
506210	1728	1996-05-31	VYDAJ	VYBER	15	18367	SLUZBY	\N	\N
506211	1728	1996-06-30	VYDAJ	VYBER	15	16059	SLUZBY	\N	\N
506212	1728	1996-07-31	VYDAJ	VYBER	15	18425	SLUZBY	\N	\N
506213	1728	1996-08-31	VYDAJ	VYBER	15	14449	SLUZBY	\N	\N
506214	1728	1996-09-30	VYDAJ	VYBER	15	12722	SLUZBY	\N	\N
506215	1728	1996-10-31	VYDAJ	VYBER	15	11666	SLUZBY	\N	\N
506216	1728	1996-11-30	VYDAJ	VYBER	15	10906	SLUZBY	\N	\N
506217	1728	1996-12-31	VYDAJ	VYBER	15	12078	SLUZBY	\N	\N
506218	1728	1997-01-31	VYDAJ	VYBER	15	11065	SLUZBY	\N	\N
506219	1728	1997-02-28	VYDAJ	VYBER	15	14612	SLUZBY	\N	\N
506220	1728	1997-03-31	VYDAJ	VYBER	15	15173	SLUZBY	\N	\N
506221	1728	1997-04-30	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
506222	1728	1997-05-31	VYDAJ	VYBER	15	20147	SLUZBY	\N	\N
506223	1728	1997-06-30	VYDAJ	VYBER	15	10329	SLUZBY	\N	\N
506224	1728	1997-07-31	VYDAJ	VYBER	15	13873	SLUZBY	\N	\N
506225	1728	1997-08-31	VYDAJ	VYBER	15	7005	SLUZBY	\N	\N
506226	1728	1997-09-30	VYDAJ	VYBER	15	10535	SLUZBY	\N	\N
506227	1728	1997-10-31	VYDAJ	VYBER	15	6360	SLUZBY	\N	\N
506228	1728	1997-11-30	VYDAJ	VYBER	15	9887	SLUZBY	\N	\N
506229	1728	1997-12-31	VYDAJ	VYBER	15	9252	SLUZBY	\N	\N
506230	1728	1998-01-31	VYDAJ	VYBER	15	7580	SLUZBY	\N	\N
506231	1728	1998-02-28	VYDAJ	VYBER	15	11521	SLUZBY	\N	\N
506232	1728	1998-03-31	VYDAJ	VYBER	15	11062	SLUZBY	\N	\N
506233	1728	1998-04-30	VYDAJ	VYBER	15	7993	SLUZBY	\N	\N
506234	1728	1998-05-31	VYDAJ	VYBER	15	11654	SLUZBY	\N	\N
506235	1728	1998-06-30	VYDAJ	VYBER	15	14940	SLUZBY	\N	\N
506236	1728	1998-07-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
506237	1728	1998-08-31	VYDAJ	VYBER	15	21282	SLUZBY	\N	\N
506238	1728	1998-09-30	VYDAJ	VYBER	15	28893	SLUZBY	\N	\N
506239	1728	1998-10-31	VYDAJ	VYBER	15	34528	SLUZBY	\N	\N
506240	1728	1998-11-30	VYDAJ	VYBER	15	42596	SLUZBY	\N	\N
506241	1728	1995-07-23	PRIJEM	VKLAD	8500	17961	\N	\N	\N
506242	1728	1995-08-22	VYDAJ	VYBER	2400	24044	\N	\N	\N
506243	1728	1995-09-21	VYDAJ	VYBER	6600	25988	\N	\N	\N
506244	1728	1995-10-21	VYDAJ	VYBER	7800	26752	\N	\N	\N
506245	1728	1995-11-20	VYDAJ	VYBER	3700	26668	\N	\N	\N
506246	1728	1995-12-20	VYDAJ	VYBER	1900	30206	\N	\N	\N
506247	1728	1996-01-19	VYDAJ	VYBER	2100	22849	\N	\N	\N
506248	1728	1996-02-18	PRIJEM	VKLAD	4300	19943	\N	\N	\N
506249	1728	1996-03-19	PRIJEM	VKLAD	500	19567	\N	\N	\N
506250	1728	1996-04-18	VYDAJ	VYBER	2300	20834	\N	\N	\N
506251	1728	1996-05-18	VYDAJ	VYBER	600	23812	\N	\N	\N
506252	1728	1996-06-17	PRIJEM	VKLAD	3500	16005	\N	\N	\N
506253	1728	1996-07-17	VYDAJ	VYBER	1200	18366	\N	\N	\N
506254	1728	1996-08-16	VYDAJ	VYBER	1900	20032	\N	\N	\N
506255	1728	1996-09-15	VYDAJ	VYBER	3000	14956	\N	\N	\N
506256	1728	1996-10-15	VYDAJ	VYBER	2800	11629	\N	\N	\N
506257	1728	1996-11-14	VYDAJ	VYBER	4300	10873	\N	\N	\N
506258	1728	1996-12-14	VYDAJ	VYBER	6600	12044	\N	\N	\N
506259	1728	1997-06-12	VYDAJ	VYBER	17600	15239	\N	\N	\N
506260	1728	1997-08-11	VYDAJ	VYBER	10400	11934	\N	\N	\N
506261	1728	1997-10-10	VYDAJ	VYBER	7700	11296	\N	\N	\N
506262	1728	1997-12-09	VYDAJ	VYBER	8400	14179	\N	\N	\N
506263	1728	1998-01-08	VYDAJ	VYBER	5200	12513	\N	\N	\N
506264	1728	1998-02-07	PRIJEM	VKLAD	400	16441	\N	\N	\N
506265	1728	1998-03-09	VYDAJ	VYBER	4000	15982	\N	\N	\N
506266	1728	1998-04-08	VYDAJ	VYBER	6600	12923	\N	\N	\N
506267	1728	1998-05-08	PRIJEM	VKLAD	1800	16574	\N	\N	\N
506268	1728	1998-06-07	VYDAJ	VYBER	4500	19846	\N	\N	\N
506269	1728	1998-07-07	VYDAJ	VYBER	2800	20601	\N	\N	\N
506270	1728	1998-08-06	PRIJEM	VKLAD	2000	17701	\N	\N	\N
506271	1728	1998-09-05	PRIJEM	VKLAD	4000	25282	\N	\N	\N
506272	1728	1998-10-05	PRIJEM	VKLAD	2000	30893	\N	\N	\N
506273	1728	1998-11-04	PRIJEM	VKLAD	4400	38928	\N	\N	\N
506274	1728	1998-12-04	VYDAJ	VYBER	1700	38656	\N	\N	\N
506317	1729	1997-09-08	PRIJEM	VKLAD	900	900	\N	\N	\N
506326	1729	1997-09-09	PRIJEM	VKLAD	9832	10732	\N	\N	\N
506327	1729	1997-10-09	PRIJEM	VKLAD	9832	26197	\N	\N	\N
506328	1729	1997-11-09	PRIJEM	VKLAD	9832	38821	\N	\N	\N
506329	1729	1997-12-09	PRIJEM	VKLAD	14748	44317	\N	\N	\N
506330	1729	1998-01-09	PRIJEM	VKLAD	9832	43028	\N	\N	\N
506331	1729	1998-02-09	PRIJEM	VKLAD	9832	37601	\N	\N	\N
506332	1729	1998-03-09	PRIJEM	VKLAD	9832	38015	\N	\N	\N
506333	1729	1998-04-09	PRIJEM	VKLAD	9832	36234	\N	\N	\N
506334	1729	1998-05-09	PRIJEM	VKLAD	9832	37046	\N	\N	\N
506335	1729	1998-06-09	PRIJEM	VKLAD	14748	46475	\N	\N	\N
506336	1729	1998-07-09	PRIJEM	VKLAD	9832	40113	\N	\N	\N
506337	1729	1998-08-09	PRIJEM	VKLAD	9832	39834	\N	\N	\N
506338	1729	1998-09-09	PRIJEM	VKLAD	9832	37658	\N	\N	\N
506339	1729	1998-10-09	PRIJEM	VKLAD	9832	38074	\N	\N	\N
506340	1729	1998-11-09	PRIJEM	VKLAD	9832	35690	\N	\N	\N
506341	1729	1998-12-09	PRIJEM	VKLAD	14748	44414	\N	\N	\N
506355	1729	1998-02-05	VYDAJ	PREVOD NA UCET	6554	30469	SIPO	YZ	10198331
506356	1729	1998-03-05	VYDAJ	PREVOD NA UCET	6554	31183	SIPO	YZ	10198331
506357	1729	1998-04-05	VYDAJ	PREVOD NA UCET	6554	31602	SIPO	YZ	10198331
506358	1729	1998-05-05	VYDAJ	PREVOD NA UCET	6554	29814	SIPO	YZ	10198331
506359	1729	1998-06-05	VYDAJ	PREVOD NA UCET	6554	31727	SIPO	YZ	10198331
506360	1729	1998-07-05	VYDAJ	PREVOD NA UCET	6554	30281	SIPO	YZ	10198331
506361	1729	1998-08-05	VYDAJ	PREVOD NA UCET	6554	30002	SIPO	YZ	10198331
506362	1729	1998-09-05	VYDAJ	PREVOD NA UCET	6554	27826	SIPO	YZ	10198331
506363	1729	1998-10-05	VYDAJ	PREVOD NA UCET	6554	28242	SIPO	YZ	10198331
506364	1729	1998-11-05	VYDAJ	PREVOD NA UCET	6554	25858	SIPO	YZ	10198331
506365	1729	1998-12-05	VYDAJ	PREVOD NA UCET	6554	29666	SIPO	YZ	10198331
506367	1729	1998-06-14	VYDAJ	VYBER	10880	35595	\N	\N	\N
506369	1729	1998-01-24	VYDAJ	VYBER	2560	37708	\N	\N	\N
506371	1729	1998-12-27	VYDAJ	VYBER	4000	40414	\N	\N	\N
506379	1729	1998-01-21	VYDAJ	VYBER	960	40268	\N	\N	\N
506381	1729	1998-01-24	VYDAJ	VYBER	840	36868	\N	\N	\N
506383	1729	1998-01-10	VYDAJ	VYBER	1800	41228	\N	\N	\N
506394	1729	1998-06-25	VYDAJ	VYBER	4200	31395	\N	\N	\N
506408	1729	1998-01-31	VYDAJ	VYBER	15	37023	SLUZBY	\N	\N
506409	1729	1998-02-28	VYDAJ	VYBER	15	37737	SLUZBY	\N	\N
506410	1729	1998-03-31	VYDAJ	VYBER	15	38156	SLUZBY	\N	\N
506411	1729	1998-04-30	VYDAJ	VYBER	15	36368	SLUZBY	\N	\N
506412	1729	1998-05-31	VYDAJ	VYBER	15	37181	SLUZBY	\N	\N
506413	1729	1998-06-30	VYDAJ	VYBER	15	31535	SLUZBY	\N	\N
506414	1729	1998-07-31	VYDAJ	VYBER	15	40256	SLUZBY	\N	\N
506415	1729	1998-08-31	VYDAJ	VYBER	15	39980	SLUZBY	\N	\N
506416	1729	1998-09-30	VYDAJ	VYBER	15	37796	SLUZBY	\N	\N
506417	1729	1998-10-31	VYDAJ	VYBER	15	38212	SLUZBY	\N	\N
506418	1729	1998-11-30	VYDAJ	VYBER	15	35820	SLUZBY	\N	\N
506419	1729	1997-10-08	PRIJEM	VKLAD	5600	16365	\N	\N	\N
506420	1729	1997-11-07	PRIJEM	VKLAD	2700	28989	\N	\N	\N
506421	1729	1997-12-07	VYDAJ	VYBER	9400	29569	\N	\N	\N
506422	1729	1998-01-06	VYDAJ	VYBER	11300	33196	\N	\N	\N
506423	1729	1998-02-05	VYDAJ	VYBER	2700	27769	\N	\N	\N
506424	1729	1998-03-07	VYDAJ	VYBER	3000	28183	\N	\N	\N
506425	1729	1998-04-06	VYDAJ	VYBER	5200	26402	\N	\N	\N
506426	1729	1998-05-06	VYDAJ	VYBER	2600	27214	\N	\N	\N
506427	1729	1998-06-05	PRIJEM	VKLAD	1100	38281	\N	\N	\N
506428	1729	1998-07-05	PRIJEM	VKLAD	5300	36835	\N	\N	\N
506429	1729	1998-08-04	VYDAJ	VYBER	3700	36556	\N	\N	\N
506430	1729	1998-09-03	VYDAJ	VYBER	5600	34380	\N	\N	\N
506431	1729	1998-10-03	VYDAJ	VYBER	3000	34796	\N	\N	\N
506432	1729	1998-11-02	VYDAJ	VYBER	5800	32412	\N	\N	\N
506433	1729	1998-12-02	PRIJEM	VKLAD	400	36220	\N	\N	\N
506450	1730	1993-01-09	PRIJEM	VKLAD	900	900	\N	\N	\N
506452	1730	1993-02-06	PRIJEM	PREVOD Z UCTU	6689	7589	DUCHOD	ST	43294817
506453	1730	1993-03-06	PRIJEM	PREVOD Z UCTU	6689	14278	DUCHOD	ST	43294817
506454	1730	1993-04-06	PRIJEM	PREVOD Z UCTU	6689	20967	DUCHOD	ST	43294817
506455	1730	1993-05-06	PRIJEM	PREVOD Z UCTU	6689	27319	DUCHOD	ST	43294817
506456	1730	1993-06-06	PRIJEM	PREVOD Z UCTU	6689	33914	DUCHOD	ST	43294817
506457	1730	1993-07-06	PRIJEM	PREVOD Z UCTU	6689	25104	DUCHOD	ST	43294817
506458	1730	1993-08-06	PRIJEM	PREVOD Z UCTU	6689	29891	DUCHOD	ST	43294817
506459	1730	1993-09-06	PRIJEM	PREVOD Z UCTU	6689	30888	DUCHOD	ST	43294817
506460	1730	1993-10-06	PRIJEM	PREVOD Z UCTU	6689	29604	DUCHOD	ST	43294817
506461	1730	1993-11-06	PRIJEM	PREVOD Z UCTU	6689	33012	DUCHOD	ST	43294817
506462	1730	1993-12-06	PRIJEM	PREVOD Z UCTU	6689	30568	DUCHOD	ST	43294817
506463	1730	1994-01-06	PRIJEM	PREVOD Z UCTU	6689	34534	DUCHOD	ST	43294817
506464	1730	1994-02-06	PRIJEM	PREVOD Z UCTU	6689	30802	DUCHOD	ST	43294817
506465	1730	1994-03-06	PRIJEM	PREVOD Z UCTU	6689	31518	DUCHOD	ST	43294817
506466	1730	1994-04-06	PRIJEM	PREVOD Z UCTU	6689	32538	DUCHOD	ST	43294817
506467	1730	1994-05-06	PRIJEM	PREVOD Z UCTU	6689	32702	DUCHOD	ST	43294817
506468	1730	1994-06-06	PRIJEM	PREVOD Z UCTU	6689	33762	DUCHOD	ST	43294817
506469	1730	1994-07-06	PRIJEM	PREVOD Z UCTU	6689	26166	DUCHOD	ST	43294817
506470	1730	1994-08-06	PRIJEM	PREVOD Z UCTU	6689	23673	DUCHOD	ST	43294817
506471	1730	1994-09-06	PRIJEM	PREVOD Z UCTU	6689	28453	DUCHOD	ST	43294817
506472	1730	1994-10-06	PRIJEM	PREVOD Z UCTU	6689	33253	DUCHOD	ST	43294817
506473	1730	1994-11-06	PRIJEM	PREVOD Z UCTU	6689	33073	DUCHOD	ST	43294817
506474	1730	1994-12-06	PRIJEM	PREVOD Z UCTU	6689	36699	DUCHOD	ST	43294817
506475	1730	1995-01-06	PRIJEM	PREVOD Z UCTU	6689	36437	DUCHOD	ST	43294817
506476	1730	1995-02-06	PRIJEM	PREVOD Z UCTU	6689	30766	DUCHOD	ST	43294817
506477	1730	1995-03-06	PRIJEM	PREVOD Z UCTU	6689	34782	DUCHOD	ST	43294817
506478	1730	1995-04-06	PRIJEM	PREVOD Z UCTU	6689	33848	DUCHOD	ST	43294817
506479	1730	1995-05-06	PRIJEM	PREVOD Z UCTU	6689	37175	DUCHOD	ST	43294817
506480	1730	1995-06-06	PRIJEM	PREVOD Z UCTU	6689	40511	DUCHOD	ST	43294817
506481	1730	1995-07-06	PRIJEM	PREVOD Z UCTU	6689	33796	DUCHOD	ST	43294817
506482	1730	1995-08-06	PRIJEM	PREVOD Z UCTU	6689	35817	DUCHOD	ST	43294817
506483	1730	1995-09-06	PRIJEM	PREVOD Z UCTU	6689	36845	DUCHOD	ST	43294817
506484	1730	1995-10-06	PRIJEM	PREVOD Z UCTU	6689	37178	DUCHOD	ST	43294817
506485	1730	1995-11-06	PRIJEM	PREVOD Z UCTU	6689	39595	DUCHOD	ST	43294817
506486	1730	1995-12-06	PRIJEM	PREVOD Z UCTU	6689	40599	DUCHOD	ST	43294817
506487	1730	1996-01-06	PRIJEM	PREVOD Z UCTU	6689	42046	DUCHOD	ST	43294817
506488	1730	1996-02-06	PRIJEM	PREVOD Z UCTU	6689	36850	DUCHOD	ST	43294817
506489	1730	1996-03-06	PRIJEM	PREVOD Z UCTU	6689	41690	DUCHOD	ST	43294817
506490	1730	1996-04-06	PRIJEM	PREVOD Z UCTU	6689	46544	DUCHOD	ST	43294817
506491	1730	1996-05-06	PRIJEM	PREVOD Z UCTU	6689	46570	DUCHOD	ST	43294817
506492	1730	1996-06-06	PRIJEM	PREVOD Z UCTU	6689	48942	DUCHOD	ST	43294817
506493	1730	1996-07-06	PRIJEM	PREVOD Z UCTU	6689	43202	DUCHOD	ST	43294817
506494	1730	1996-08-06	PRIJEM	PREVOD Z UCTU	6689	48063	DUCHOD	ST	43294817
506495	1730	1996-09-06	PRIJEM	PREVOD Z UCTU	6689	52943	DUCHOD	ST	43294817
506496	1730	1996-10-06	PRIJEM	PREVOD Z UCTU	6689	51215	DUCHOD	ST	43294817
506497	1730	1996-11-06	PRIJEM	PREVOD Z UCTU	6689	56109	DUCHOD	ST	43294817
506498	1730	1996-12-06	PRIJEM	PREVOD Z UCTU	6689	55753	DUCHOD	ST	43294817
506499	1730	1997-01-06	PRIJEM	PREVOD Z UCTU	6689	53302	DUCHOD	ST	43294817
506500	1730	1997-02-06	PRIJEM	PREVOD Z UCTU	6689	54597	DUCHOD	ST	43294817
506501	1730	1997-03-06	PRIJEM	PREVOD Z UCTU	6689	51570	DUCHOD	ST	43294817
506502	1730	1997-04-06	PRIJEM	PREVOD Z UCTU	6689	52537	DUCHOD	ST	43294817
506503	1730	1997-05-06	PRIJEM	PREVOD Z UCTU	6689	52326	DUCHOD	ST	43294817
506504	1730	1997-06-06	PRIJEM	PREVOD Z UCTU	6689	51660	DUCHOD	ST	43294817
506505	1730	1997-07-06	PRIJEM	PREVOD Z UCTU	6689	41343	DUCHOD	ST	43294817
506506	1730	1997-08-06	PRIJEM	PREVOD Z UCTU	6689	43072	DUCHOD	ST	43294817
506507	1730	1997-09-06	PRIJEM	PREVOD Z UCTU	6689	44968	DUCHOD	ST	43294817
506508	1730	1997-10-06	PRIJEM	PREVOD Z UCTU	6689	49834	DUCHOD	ST	43294817
506509	1730	1997-11-06	PRIJEM	PREVOD Z UCTU	6689	54720	DUCHOD	ST	43294817
506510	1730	1997-12-06	PRIJEM	PREVOD Z UCTU	6689	57522	DUCHOD	ST	43294817
506511	1730	1998-01-06	PRIJEM	PREVOD Z UCTU	6689	58130	DUCHOD	ST	43294817
506512	1730	1998-02-06	PRIJEM	PREVOD Z UCTU	6689	61080	DUCHOD	ST	43294817
506513	1730	1998-03-06	PRIJEM	PREVOD Z UCTU	6689	60706	DUCHOD	ST	43294817
506514	1730	1998-04-06	PRIJEM	PREVOD Z UCTU	6689	64996	DUCHOD	ST	43294817
506515	1730	1998-05-06	PRIJEM	PREVOD Z UCTU	6689	69945	DUCHOD	ST	43294817
506516	1730	1998-06-06	PRIJEM	PREVOD Z UCTU	6689	74914	DUCHOD	ST	43294817
506517	1730	1998-07-06	PRIJEM	PREVOD Z UCTU	6689	65008	DUCHOD	ST	43294817
506518	1730	1998-08-06	PRIJEM	PREVOD Z UCTU	6689	66247	DUCHOD	ST	43294817
506519	1730	1998-09-06	PRIJEM	PREVOD Z UCTU	6689	68894	DUCHOD	ST	43294817
506520	1730	1998-10-06	PRIJEM	PREVOD Z UCTU	6689	70233	DUCHOD	ST	43294817
506521	1730	1998-11-06	PRIJEM	PREVOD Z UCTU	6689	70952	DUCHOD	ST	43294817
506522	1730	1998-12-06	PRIJEM	PREVOD Z UCTU	6689	72616	DUCHOD	ST	43294817
506528	1730	1993-06-11	VYDAJ	PREVOD NA UCET	1978	24836	SIPO	WX	42885518
506529	1730	1993-07-11	VYDAJ	PREVOD NA UCET	1978	23126	SIPO	WX	42885518
506530	1730	1993-08-11	VYDAJ	PREVOD NA UCET	1978	24113	SIPO	WX	42885518
506531	1730	1993-09-11	VYDAJ	PREVOD NA UCET	1978	24110	SIPO	WX	42885518
506532	1730	1993-10-11	VYDAJ	PREVOD NA UCET	1978	27126	SIPO	WX	42885518
506533	1730	1993-11-11	VYDAJ	PREVOD NA UCET	1978	31034	SIPO	WX	42885518
506534	1730	1993-12-11	VYDAJ	PREVOD NA UCET	1978	28590	SIPO	WX	42885518
506535	1730	1994-01-11	VYDAJ	PREVOD NA UCET	1978	32556	SIPO	WX	42885518
506536	1730	1994-02-11	VYDAJ	PREVOD NA UCET	1978	28824	SIPO	WX	42885518
506537	1730	1994-03-11	VYDAJ	PREVOD NA UCET	1978	29540	SIPO	WX	42885518
506538	1730	1994-04-11	VYDAJ	PREVOD NA UCET	1978	30560	SIPO	WX	42885518
506539	1730	1994-05-11	VYDAJ	PREVOD NA UCET	1978	30724	SIPO	WX	42885518
506540	1730	1994-06-11	VYDAJ	PREVOD NA UCET	1978	31784	SIPO	WX	42885518
506541	1730	1994-07-11	VYDAJ	PREVOD NA UCET	1978	24188	SIPO	WX	42885518
506542	1730	1994-08-11	VYDAJ	PREVOD NA UCET	1978	21695	SIPO	WX	42885518
506543	1730	1994-09-11	VYDAJ	PREVOD NA UCET	1978	26475	SIPO	WX	42885518
506544	1730	1994-10-11	VYDAJ	PREVOD NA UCET	1978	31275	SIPO	WX	42885518
506545	1730	1994-11-11	VYDAJ	PREVOD NA UCET	1978	31095	SIPO	WX	42885518
506546	1730	1994-12-11	VYDAJ	PREVOD NA UCET	1978	34721	SIPO	WX	42885518
506547	1730	1995-01-11	VYDAJ	PREVOD NA UCET	1978	34459	SIPO	WX	42885518
506548	1730	1995-02-11	VYDAJ	PREVOD NA UCET	1978	28788	SIPO	WX	42885518
506549	1730	1995-03-11	VYDAJ	PREVOD NA UCET	1978	32804	SIPO	WX	42885518
506550	1730	1995-04-11	VYDAJ	PREVOD NA UCET	1978	31870	SIPO	WX	42885518
506551	1730	1995-05-11	VYDAJ	PREVOD NA UCET	1978	35197	SIPO	WX	42885518
506552	1730	1995-06-11	VYDAJ	PREVOD NA UCET	1978	38533	SIPO	WX	42885518
506553	1730	1995-07-11	VYDAJ	PREVOD NA UCET	1978	31818	SIPO	WX	42885518
506554	1730	1995-08-11	VYDAJ	PREVOD NA UCET	1978	33839	SIPO	WX	42885518
506555	1730	1995-09-11	VYDAJ	PREVOD NA UCET	1978	34867	SIPO	WX	42885518
506556	1730	1995-10-11	VYDAJ	PREVOD NA UCET	1978	35200	SIPO	WX	42885518
506557	1730	1995-11-11	VYDAJ	PREVOD NA UCET	1978	37617	SIPO	WX	42885518
506558	1730	1995-12-11	VYDAJ	PREVOD NA UCET	1978	38621	SIPO	WX	42885518
506559	1730	1996-01-11	VYDAJ	PREVOD NA UCET	1978	40068	SIPO	WX	42885518
506560	1730	1996-02-11	VYDAJ	PREVOD NA UCET	1978	34872	SIPO	WX	42885518
506561	1730	1996-03-11	VYDAJ	PREVOD NA UCET	1978	39712	SIPO	WX	42885518
506562	1730	1996-04-11	VYDAJ	PREVOD NA UCET	1978	41926	SIPO	WX	42885518
506563	1730	1996-05-11	VYDAJ	PREVOD NA UCET	1978	44592	SIPO	WX	42885518
506564	1730	1996-06-11	VYDAJ	PREVOD NA UCET	1978	46964	SIPO	WX	42885518
506565	1730	1996-07-11	VYDAJ	PREVOD NA UCET	1978	41224	SIPO	WX	42885518
506566	1730	1996-08-11	VYDAJ	PREVOD NA UCET	1978	46085	SIPO	WX	42885518
506567	1730	1996-09-11	VYDAJ	PREVOD NA UCET	1978	50965	SIPO	WX	42885518
506568	1730	1996-10-11	VYDAJ	PREVOD NA UCET	1978	49237	SIPO	WX	42885518
506569	1730	1996-11-11	VYDAJ	PREVOD NA UCET	1978	54131	SIPO	WX	42885518
506570	1730	1996-12-11	VYDAJ	PREVOD NA UCET	1978	53775	SIPO	WX	42885518
506571	1730	1997-01-11	VYDAJ	PREVOD NA UCET	1978	49524	SIPO	WX	42885518
506572	1730	1997-02-11	VYDAJ	PREVOD NA UCET	1978	50299	SIPO	WX	42885518
506573	1730	1997-03-11	VYDAJ	PREVOD NA UCET	1978	49592	SIPO	WX	42885518
506574	1730	1997-04-11	VYDAJ	PREVOD NA UCET	1978	50559	SIPO	WX	42885518
506575	1730	1997-05-11	VYDAJ	PREVOD NA UCET	1978	50348	SIPO	WX	42885518
506576	1730	1997-06-11	VYDAJ	PREVOD NA UCET	1978	49682	SIPO	WX	42885518
506577	1730	1997-07-11	VYDAJ	PREVOD NA UCET	1978	39365	SIPO	WX	42885518
506578	1730	1997-08-11	VYDAJ	PREVOD NA UCET	1978	41094	SIPO	WX	42885518
506579	1730	1997-09-11	VYDAJ	PREVOD NA UCET	1978	42990	SIPO	WX	42885518
506580	1730	1997-10-11	VYDAJ	PREVOD NA UCET	1978	47856	SIPO	WX	42885518
506581	1730	1997-11-11	VYDAJ	PREVOD NA UCET	1978	52742	SIPO	WX	42885518
506582	1730	1997-12-11	VYDAJ	PREVOD NA UCET	1978	55544	SIPO	WX	42885518
506583	1730	1998-01-11	VYDAJ	PREVOD NA UCET	1978	56152	SIPO	WX	42885518
506584	1730	1998-02-11	VYDAJ	PREVOD NA UCET	1978	59102	SIPO	WX	42885518
506585	1730	1998-03-11	VYDAJ	PREVOD NA UCET	1978	58728	SIPO	WX	42885518
506586	1730	1998-04-11	VYDAJ	PREVOD NA UCET	1978	63018	SIPO	WX	42885518
506587	1730	1998-05-11	VYDAJ	PREVOD NA UCET	1978	67967	SIPO	WX	42885518
506588	1730	1998-06-11	VYDAJ	PREVOD NA UCET	1978	58086	SIPO	WX	42885518
506589	1730	1998-07-11	VYDAJ	PREVOD NA UCET	1978	63030	SIPO	WX	42885518
506590	1730	1998-08-11	VYDAJ	PREVOD NA UCET	1978	61969	SIPO	WX	42885518
506591	1730	1998-09-11	VYDAJ	PREVOD NA UCET	1978	66416	SIPO	WX	42885518
506592	1730	1998-10-11	VYDAJ	PREVOD NA UCET	1978	65055	SIPO	WX	42885518
506593	1730	1998-11-11	VYDAJ	PREVOD NA UCET	1978	65674	SIPO	WX	42885518
506594	1730	1998-12-11	VYDAJ	PREVOD NA UCET	1978	67438	SIPO	WX	42885518
506595	1730	1993-06-17	VYDAJ	VYBER	6500	18336	\N	\N	\N
506596	1730	1994-06-26	VYDAJ	VYBER	11450	20334	\N	\N	\N
506597	1730	1995-06-22	VYDAJ	VYBER	11550	26983	\N	\N	\N
506598	1730	1996-06-14	VYDAJ	VYBER	9400	37564	\N	\N	\N
506599	1730	1997-06-16	VYDAJ	VYBER	11750	37932	\N	\N	\N
506600	1730	1998-06-07	VYDAJ	VYBER	14850	60064	\N	\N	\N
506602	1730	1994-01-13	VYDAJ	VYBER	4750	27806	\N	\N	\N
506603	1730	1995-01-22	VYDAJ	VYBER	1400	33059	\N	\N	\N
506604	1730	1996-01-21	VYDAJ	VYBER	2200	35628	\N	\N	\N
506605	1730	1997-01-09	VYDAJ	VYBER	1000	52302	\N	\N	\N
506606	1730	1998-01-30	VYDAJ	VYBER	650	55302	\N	\N	\N
506607	1730	1993-12-23	VYDAJ	VYBER	250	28340	\N	\N	\N
506608	1730	1994-12-01	VYDAJ	VYBER	500	30010	\N	\N	\N
506609	1730	1995-12-25	VYDAJ	VYBER	700	35221	\N	\N	\N
506610	1730	1996-12-15	VYDAJ	VYBER	1150	52625	\N	\N	\N
506611	1730	1997-12-24	VYDAJ	VYBER	300	51244	\N	\N	\N
506612	1730	1998-12-30	VYDAJ	VYBER	550	66888	\N	\N	\N
506613	1730	1993-11-15	VYDAJ	VYBER	3760	27274	\N	\N	\N
506615	1730	1993-09-19	VYDAJ	VYBER	1280	22830	\N	\N	\N
506616	1730	1994-05-24	VYDAJ	VYBER	3760	26964	\N	\N	\N
506617	1730	1994-07-20	VYDAJ	VYBER	3920	20268	\N	\N	\N
506618	1730	1994-02-25	VYDAJ	VYBER	1600	27224	\N	\N	\N
506619	1730	1994-05-04	VYDAJ	VYBER	3200	26913	\N	\N	\N
506620	1730	1994-07-01	VYDAJ	VYBER	960	19477	\N	\N	\N
506621	1730	1994-04-27	VYDAJ	VYBER	560	30000	\N	\N	\N
506622	1730	1994-07-26	VYDAJ	VYBER	3360	16908	\N	\N	\N
506623	1730	1995-10-23	VYDAJ	VYBER	2320	32880	\N	\N	\N
506624	1730	1995-11-29	VYDAJ	VYBER	3360	33777	\N	\N	\N
506625	1730	1995-09-30	VYDAJ	VYBER	3200	30489	\N	\N	\N
506626	1730	1995-04-02	VYDAJ	VYBER	960	27159	\N	\N	\N
506627	1730	1995-11-19	VYDAJ	VYBER	480	37137	\N	\N	\N
506628	1730	1995-02-03	VYDAJ	VYBER	3200	24077	\N	\N	\N
506629	1730	1996-02-02	VYDAJ	VYBER	2000	30161	\N	\N	\N
506630	1730	1996-09-23	VYDAJ	VYBER	3920	44345	\N	\N	\N
506631	1730	1996-04-09	VYDAJ	VYBER	2640	43904	\N	\N	\N
506632	1730	1996-01-15	VYDAJ	VYBER	2240	37828	\N	\N	\N
506633	1730	1996-11-18	VYDAJ	VYBER	2560	51571	\N	\N	\N
506634	1730	1997-08-25	VYDAJ	VYBER	2960	38134	\N	\N	\N
506635	1730	1997-03-17	VYDAJ	VYBER	2320	47272	\N	\N	\N
506636	1730	1997-06-22	VYDAJ	VYBER	2720	35212	\N	\N	\N
506637	1730	1997-02-07	VYDAJ	VYBER	2320	52277	\N	\N	\N
506638	1730	1997-07-26	VYDAJ	VYBER	3120	36245	\N	\N	\N
506639	1730	1997-06-04	VYDAJ	VYBER	3360	44971	\N	\N	\N
506640	1730	1997-06-28	VYDAJ	VYBER	720	34492	\N	\N	\N
506641	1730	1997-01-10	VYDAJ	VYBER	800	51502	\N	\N	\N
506642	1730	1998-03-12	VYDAJ	VYBER	640	58088	\N	\N	\N
506643	1730	1998-09-20	VYDAJ	VYBER	3120	63296	\N	\N	\N
506644	1730	1998-02-21	VYDAJ	VYBER	1200	53802	\N	\N	\N
506645	1730	1998-10-14	VYDAJ	VYBER	1040	64015	\N	\N	\N
506646	1730	1998-02-02	VYDAJ	VYBER	1120	54391	\N	\N	\N
506653	1730	1993-06-30	VYDAJ	VYBER	15	18415	SLUZBY	\N	\N
506654	1730	1993-07-31	VYDAJ	VYBER	15	23202	SLUZBY	\N	\N
506655	1730	1993-08-31	VYDAJ	VYBER	15	24199	SLUZBY	\N	\N
506656	1730	1993-09-30	VYDAJ	VYBER	15	22915	SLUZBY	\N	\N
506657	1730	1993-10-31	VYDAJ	VYBER	15	27223	SLUZBY	\N	\N
506658	1730	1993-11-30	VYDAJ	VYBER	15	27379	SLUZBY	\N	\N
506659	1730	1993-12-31	VYDAJ	VYBER	15	28445	SLUZBY	\N	\N
506660	1730	1994-01-31	VYDAJ	VYBER	15	27913	SLUZBY	\N	\N
506661	1730	1994-02-28	VYDAJ	VYBER	15	27329	SLUZBY	\N	\N
506662	1730	1994-03-31	VYDAJ	VYBER	15	29649	SLUZBY	\N	\N
506663	1730	1994-04-30	VYDAJ	VYBER	15	30113	SLUZBY	\N	\N
506664	1730	1994-05-31	VYDAJ	VYBER	15	27073	SLUZBY	\N	\N
506665	1730	1994-06-30	VYDAJ	VYBER	15	20437	SLUZBY	\N	\N
506666	1730	1994-07-31	VYDAJ	VYBER	15	16984	SLUZBY	\N	\N
506667	1730	1994-08-31	VYDAJ	VYBER	15	21764	SLUZBY	\N	\N
506668	1730	1994-09-30	VYDAJ	VYBER	15	26564	SLUZBY	\N	\N
506669	1730	1994-10-31	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
506670	1730	1994-11-30	VYDAJ	VYBER	15	30510	SLUZBY	\N	\N
506671	1730	1994-12-31	VYDAJ	VYBER	15	29748	SLUZBY	\N	\N
506672	1730	1995-01-31	VYDAJ	VYBER	15	27277	SLUZBY	\N	\N
506673	1730	1995-02-28	VYDAJ	VYBER	15	28893	SLUZBY	\N	\N
506674	1730	1995-03-31	VYDAJ	VYBER	15	28119	SLUZBY	\N	\N
506675	1730	1995-04-30	VYDAJ	VYBER	15	30486	SLUZBY	\N	\N
506676	1730	1995-05-31	VYDAJ	VYBER	15	33822	SLUZBY	\N	\N
506677	1730	1995-06-30	VYDAJ	VYBER	15	27107	SLUZBY	\N	\N
506678	1730	1995-07-31	VYDAJ	VYBER	15	29128	SLUZBY	\N	\N
506679	1730	1995-08-31	VYDAJ	VYBER	15	30156	SLUZBY	\N	\N
506680	1730	1995-09-30	VYDAJ	VYBER	15	33689	SLUZBY	\N	\N
506681	1730	1995-10-31	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
506682	1730	1995-11-30	VYDAJ	VYBER	15	33910	SLUZBY	\N	\N
506683	1730	1995-12-31	VYDAJ	VYBER	15	35357	SLUZBY	\N	\N
506684	1730	1996-01-31	VYDAJ	VYBER	15	32161	SLUZBY	\N	\N
506685	1730	1996-02-29	VYDAJ	VYBER	15	35001	SLUZBY	\N	\N
506686	1730	1996-03-31	VYDAJ	VYBER	15	39855	SLUZBY	\N	\N
506687	1730	1996-04-30	VYDAJ	VYBER	15	39881	SLUZBY	\N	\N
506688	1730	1996-05-31	VYDAJ	VYBER	15	42253	SLUZBY	\N	\N
506689	1730	1996-06-30	VYDAJ	VYBER	15	36513	SLUZBY	\N	\N
506690	1730	1996-07-31	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
506691	1730	1996-08-31	VYDAJ	VYBER	15	46254	SLUZBY	\N	\N
506692	1730	1996-09-30	VYDAJ	VYBER	15	44526	SLUZBY	\N	\N
506693	1730	1996-10-31	VYDAJ	VYBER	15	49420	SLUZBY	\N	\N
506694	1730	1996-11-30	VYDAJ	VYBER	15	49064	SLUZBY	\N	\N
506695	1730	1996-12-31	VYDAJ	VYBER	15	46613	SLUZBY	\N	\N
506696	1730	1997-01-31	VYDAJ	VYBER	15	47908	SLUZBY	\N	\N
506697	1730	1997-02-28	VYDAJ	VYBER	15	44881	SLUZBY	\N	\N
506698	1730	1997-03-31	VYDAJ	VYBER	15	45848	SLUZBY	\N	\N
506699	1730	1997-04-30	VYDAJ	VYBER	15	45637	SLUZBY	\N	\N
506700	1730	1997-05-31	VYDAJ	VYBER	15	48331	SLUZBY	\N	\N
506701	1730	1997-06-30	VYDAJ	VYBER	15	34654	SLUZBY	\N	\N
506702	1730	1997-07-31	VYDAJ	VYBER	15	36383	SLUZBY	\N	\N
506703	1730	1997-08-31	VYDAJ	VYBER	15	38279	SLUZBY	\N	\N
506704	1730	1997-09-30	VYDAJ	VYBER	15	43145	SLUZBY	\N	\N
506705	1730	1997-10-31	VYDAJ	VYBER	15	48031	SLUZBY	\N	\N
506706	1730	1997-11-30	VYDAJ	VYBER	15	50833	SLUZBY	\N	\N
506707	1730	1997-12-31	VYDAJ	VYBER	15	51441	SLUZBY	\N	\N
506708	1730	1998-01-31	VYDAJ	VYBER	15	55511	SLUZBY	\N	\N
506709	1730	1998-02-28	VYDAJ	VYBER	15	54017	SLUZBY	\N	\N
506710	1730	1998-03-31	VYDAJ	VYBER	15	58307	SLUZBY	\N	\N
506711	1730	1998-04-30	VYDAJ	VYBER	15	63256	SLUZBY	\N	\N
506712	1730	1998-05-31	VYDAJ	VYBER	15	68225	SLUZBY	\N	\N
506713	1730	1998-06-30	VYDAJ	VYBER	15	58319	SLUZBY	\N	\N
506714	1730	1998-07-31	VYDAJ	VYBER	15	59558	SLUZBY	\N	\N
506715	1730	1998-08-31	VYDAJ	VYBER	15	62205	SLUZBY	\N	\N
506716	1730	1998-09-30	VYDAJ	VYBER	15	63544	SLUZBY	\N	\N
506717	1730	1998-10-31	VYDAJ	VYBER	15	64263	SLUZBY	\N	\N
506718	1730	1998-11-30	VYDAJ	VYBER	15	65927	SLUZBY	\N	\N
506719	1730	1993-04-09	VYDAJ	VYBER	400	20567	\N	\N	\N
506720	1730	1993-05-09	VYDAJ	VYBER	200	27119	\N	\N	\N
506721	1730	1993-06-08	VYDAJ	VYBER	7100	26814	\N	\N	\N
506722	1730	1993-08-07	VYDAJ	VYBER	3800	26091	\N	\N	\N
506723	1730	1993-09-06	VYDAJ	VYBER	4800	26088	\N	\N	\N
506724	1730	1993-10-06	VYDAJ	VYBER	500	29104	\N	\N	\N
506725	1730	1993-11-05	VYDAJ	VYBER	900	26323	\N	\N	\N
506726	1730	1993-12-05	VYDAJ	VYBER	3500	23879	\N	\N	\N
506727	1730	1994-01-04	VYDAJ	VYBER	600	27845	\N	\N	\N
506728	1730	1994-02-03	VYDAJ	VYBER	3800	24113	\N	\N	\N
506729	1730	1994-03-05	VYDAJ	VYBER	2500	24829	\N	\N	\N
506730	1730	1994-04-04	VYDAJ	VYBER	3800	25849	\N	\N	\N
506731	1730	1994-05-04	VYDAJ	VYBER	900	26013	\N	\N	\N
506732	1730	1994-10-31	VYDAJ	VYBER	5000	26384	\N	\N	\N
506733	1730	1994-11-30	VYDAJ	VYBER	700	30525	\N	\N	\N
506734	1730	1994-12-30	VYDAJ	VYBER	5100	29621	\N	\N	\N
506735	1730	1995-01-29	VYDAJ	VYBER	5900	27159	\N	\N	\N
506736	1730	1995-02-28	VYDAJ	VYBER	800	28093	\N	\N	\N
506737	1730	1995-03-30	VYDAJ	VYBER	4800	28004	\N	\N	\N
506738	1730	1995-04-29	VYDAJ	VYBER	1500	30370	\N	\N	\N
506739	1730	1995-05-29	VYDAJ	VYBER	1500	33697	\N	\N	\N
506740	1730	1995-07-28	VYDAJ	VYBER	2800	29018	\N	\N	\N
506741	1730	1995-08-27	VYDAJ	VYBER	3800	30039	\N	\N	\N
506742	1730	1995-09-26	VYDAJ	VYBER	1300	33567	\N	\N	\N
506743	1730	1995-10-26	VYDAJ	VYBER	100	32780	\N	\N	\N
506744	1730	1995-12-25	VYDAJ	VYBER	2700	35921	\N	\N	\N
506745	1730	1996-01-24	VYDAJ	VYBER	3600	32028	\N	\N	\N
506746	1730	1996-04-23	VYDAJ	VYBER	2200	39726	\N	\N	\N
506747	1730	1996-05-23	VYDAJ	VYBER	2500	42092	\N	\N	\N
506748	1730	1996-06-22	VYDAJ	VYBER	1200	36364	\N	\N	\N
506749	1730	1996-09-20	VYDAJ	VYBER	2700	48265	\N	\N	\N
506750	1730	1996-11-19	VYDAJ	VYBER	2700	48871	\N	\N	\N
506751	1730	1996-12-19	VYDAJ	VYBER	6200	46425	\N	\N	\N
506752	1730	1997-01-18	VYDAJ	VYBER	1800	47724	\N	\N	\N
506753	1730	1997-02-17	VYDAJ	VYBER	5600	44699	\N	\N	\N
506754	1730	1997-03-19	VYDAJ	VYBER	1600	45672	\N	\N	\N
506755	1730	1997-04-18	VYDAJ	VYBER	5100	45459	\N	\N	\N
506756	1730	1997-05-18	VYDAJ	VYBER	2200	48148	\N	\N	\N
506757	1730	1997-11-14	VYDAJ	VYBER	2100	50642	\N	\N	\N
506758	1730	1997-12-14	VYDAJ	VYBER	4000	51544	\N	\N	\N
506759	1730	1998-01-13	VYDAJ	VYBER	200	55952	\N	\N	\N
506760	1730	1998-02-12	VYDAJ	VYBER	4100	55002	\N	\N	\N
506761	1730	1998-07-12	VYDAJ	VYBER	3700	59330	\N	\N	\N
506762	1730	1998-08-11	VYDAJ	VYBER	2300	63947	\N	\N	\N
506763	1730	1998-09-10	VYDAJ	VYBER	500	68394	\N	\N	\N
506764	1730	1998-10-10	VYDAJ	VYBER	3200	67033	\N	\N	\N
506765	1730	1998-11-09	VYDAJ	VYBER	3300	67652	\N	\N	\N
506766	1730	1998-12-09	VYDAJ	VYBER	3200	69416	\N	\N	\N
506836	1731	1993-01-14	PRIJEM	VKLAD	200	200	\N	\N	\N
506838	1731	1993-02-11	PRIJEM	PREVOD Z UCTU	4758	4958	DUCHOD	GH	89825009
506839	1731	1993-03-11	PRIJEM	PREVOD Z UCTU	4758	9716	DUCHOD	GH	89825009
506840	1731	1993-04-11	PRIJEM	PREVOD Z UCTU	4758	14474	DUCHOD	GH	89825009
506841	1731	1993-05-11	PRIJEM	PREVOD Z UCTU	4758	19232	DUCHOD	GH	89825009
506842	1731	1993-06-11	PRIJEM	PREVOD Z UCTU	4758	23990	DUCHOD	GH	89825009
506843	1731	1993-07-11	PRIJEM	PREVOD Z UCTU	4758	17269	DUCHOD	GH	89825009
506844	1731	1993-08-11	PRIJEM	PREVOD Z UCTU	4758	18799	DUCHOD	GH	89825009
506845	1731	1993-09-11	PRIJEM	PREVOD Z UCTU	4758	20975	DUCHOD	GH	89825009
506846	1731	1993-10-11	PRIJEM	PREVOD Z UCTU	4758	22360	DUCHOD	GH	89825009
506847	1731	1993-11-11	PRIJEM	PREVOD Z UCTU	4758	17511	DUCHOD	GH	89825009
506848	1731	1993-12-11	PRIJEM	PREVOD Z UCTU	4758	19691	DUCHOD	GH	89825009
506849	1731	1994-01-11	PRIJEM	PREVOD Z UCTU	4758	19109	DUCHOD	GH	89825009
506850	1731	1994-02-11	PRIJEM	PREVOD Z UCTU	4758	17183	DUCHOD	GH	89825009
506851	1731	1994-03-11	PRIJEM	PREVOD Z UCTU	4758	17590	DUCHOD	GH	89825009
506852	1731	1994-04-11	PRIJEM	PREVOD Z UCTU	4758	19761	DUCHOD	GH	89825009
506853	1731	1994-05-11	PRIJEM	PREVOD Z UCTU	4758	21941	DUCHOD	GH	89825009
506854	1731	1994-06-11	PRIJEM	PREVOD Z UCTU	4758	21488	DUCHOD	GH	89825009
506855	1731	1994-07-11	PRIJEM	PREVOD Z UCTU	4758	23675	DUCHOD	GH	89825009
506856	1731	1994-08-11	PRIJEM	PREVOD Z UCTU	4758	21872	DUCHOD	GH	89825009
506857	1731	1994-09-11	PRIJEM	PREVOD Z UCTU	4758	24067	DUCHOD	GH	89825009
506858	1731	1994-10-11	PRIJEM	PREVOD Z UCTU	4758	26265	DUCHOD	GH	89825009
506859	1731	1994-11-11	PRIJEM	PREVOD Z UCTU	4758	28472	DUCHOD	GH	89825009
506860	1731	1994-12-11	PRIJEM	PREVOD Z UCTU	4758	29588	DUCHOD	GH	89825009
506861	1731	1995-01-11	PRIJEM	PREVOD Z UCTU	4758	29412	DUCHOD	GH	89825009
506862	1731	1995-02-11	PRIJEM	PREVOD Z UCTU	4758	22380	DUCHOD	GH	89825009
506863	1731	1995-03-11	PRIJEM	PREVOD Z UCTU	4758	24571	DUCHOD	GH	89825009
506864	1731	1995-04-11	PRIJEM	PREVOD Z UCTU	4758	26771	DUCHOD	GH	89825009
506865	1731	1995-05-11	PRIJEM	PREVOD Z UCTU	4758	25452	DUCHOD	GH	89825009
506866	1731	1995-06-11	PRIJEM	PREVOD Z UCTU	4758	19005	DUCHOD	GH	89825009
506867	1731	1995-07-11	PRIJEM	PREVOD Z UCTU	4758	21196	DUCHOD	GH	89825009
506868	1731	1995-08-11	PRIJEM	PREVOD Z UCTU	4758	23381	DUCHOD	GH	89825009
506869	1731	1995-09-11	PRIJEM	PREVOD Z UCTU	4758	25576	DUCHOD	GH	89825009
506870	1731	1995-10-11	PRIJEM	PREVOD Z UCTU	4758	27780	DUCHOD	GH	89825009
506871	1731	1995-11-11	PRIJEM	PREVOD Z UCTU	4758	27750	DUCHOD	GH	89825009
506872	1731	1995-12-11	PRIJEM	PREVOD Z UCTU	4758	29963	DUCHOD	GH	89825009
506873	1731	1996-01-11	PRIJEM	PREVOD Z UCTU	4758	22912	DUCHOD	GH	89825009
506874	1731	1996-02-11	PRIJEM	PREVOD Z UCTU	4758	19405	DUCHOD	GH	89825009
506875	1731	1996-03-11	PRIJEM	PREVOD Z UCTU	4758	21583	DUCHOD	GH	89825009
506876	1731	1996-04-11	PRIJEM	PREVOD Z UCTU	4758	23770	DUCHOD	GH	89825009
506877	1731	1996-05-11	PRIJEM	PREVOD Z UCTU	4758	22763	DUCHOD	GH	89825009
506878	1731	1996-06-11	PRIJEM	PREVOD Z UCTU	4758	24955	DUCHOD	GH	89825009
506879	1731	1996-07-11	PRIJEM	PREVOD Z UCTU	4758	23869	DUCHOD	GH	89825009
506880	1731	1996-08-11	PRIJEM	PREVOD Z UCTU	4758	26066	DUCHOD	GH	89825009
506881	1731	1996-09-11	PRIJEM	PREVOD Z UCTU	4758	23708	DUCHOD	GH	89825009
506882	1731	1996-10-11	PRIJEM	PREVOD Z UCTU	4758	25908	DUCHOD	GH	89825009
506883	1731	1996-11-11	PRIJEM	PREVOD Z UCTU	4758	28113	DUCHOD	GH	89825009
506884	1731	1996-12-11	PRIJEM	PREVOD Z UCTU	4758	30327	DUCHOD	GH	89825009
506885	1731	1997-01-11	PRIJEM	PREVOD Z UCTU	4758	26208	DUCHOD	GH	89825009
506886	1731	1997-02-11	PRIJEM	PREVOD Z UCTU	4758	20656	DUCHOD	GH	89825009
506887	1731	1997-03-11	PRIJEM	PREVOD Z UCTU	4758	20514	DUCHOD	GH	89825009
506888	1731	1997-04-11	PRIJEM	PREVOD Z UCTU	4758	21255	DUCHOD	GH	89825009
506889	1731	1997-05-11	PRIJEM	PREVOD Z UCTU	4758	22319	DUCHOD	GH	89825009
506890	1731	1997-06-11	PRIJEM	PREVOD Z UCTU	4758	24510	DUCHOD	GH	89825009
506891	1731	1997-07-11	PRIJEM	PREVOD Z UCTU	4758	26709	DUCHOD	GH	89825009
506892	1731	1997-08-11	PRIJEM	PREVOD Z UCTU	4758	28916	DUCHOD	GH	89825009
506893	1731	1997-09-11	PRIJEM	PREVOD Z UCTU	4758	31133	DUCHOD	GH	89825009
506894	1731	1997-10-11	PRIJEM	PREVOD Z UCTU	4758	33359	DUCHOD	GH	89825009
506895	1731	1997-11-11	PRIJEM	PREVOD Z UCTU	4758	35594	DUCHOD	GH	89825009
506896	1731	1997-12-11	PRIJEM	PREVOD Z UCTU	4758	37838	DUCHOD	GH	89825009
506897	1731	1998-01-11	PRIJEM	PREVOD Z UCTU	4758	27230	DUCHOD	GH	89825009
506898	1731	1998-02-11	PRIJEM	PREVOD Z UCTU	4758	22831	DUCHOD	GH	89825009
506899	1731	1998-03-11	PRIJEM	PREVOD Z UCTU	4758	25022	DUCHOD	GH	89825009
506900	1731	1998-04-11	PRIJEM	PREVOD Z UCTU	4758	27222	DUCHOD	GH	89825009
506901	1731	1998-05-11	PRIJEM	PREVOD Z UCTU	4758	28550	DUCHOD	GH	89825009
506902	1731	1998-06-11	PRIJEM	PREVOD Z UCTU	4758	30764	DUCHOD	GH	89825009
506903	1731	1998-07-11	PRIJEM	PREVOD Z UCTU	4758	27275	DUCHOD	GH	89825009
506904	1731	1998-08-11	PRIJEM	PREVOD Z UCTU	4758	25561	DUCHOD	GH	89825009
506905	1731	1998-09-11	PRIJEM	PREVOD Z UCTU	4758	25919	DUCHOD	GH	89825009
506906	1731	1998-10-11	PRIJEM	PREVOD Z UCTU	4758	28122	DUCHOD	GH	89825009
506907	1731	1998-11-11	PRIJEM	PREVOD Z UCTU	4758	30334	DUCHOD	GH	89825009
506908	1731	1998-12-11	PRIJEM	PREVOD Z UCTU	4758	31905	DUCHOD	GH	89825009
506914	1731	1993-06-14	VYDAJ	PREVOD NA UCET	2631	20759	SIPO	QR	29816907
506915	1731	1993-07-14	VYDAJ	PREVOD NA UCET	2631	14638	SIPO	QR	29816907
506916	1731	1993-08-14	VYDAJ	PREVOD NA UCET	2631	16168	SIPO	QR	29816907
506917	1731	1993-09-14	VYDAJ	PREVOD NA UCET	2631	17544	SIPO	QR	29816907
506918	1731	1993-10-14	VYDAJ	PREVOD NA UCET	2631	18929	SIPO	QR	29816907
506919	1731	1993-11-14	VYDAJ	PREVOD NA UCET	2631	14880	SIPO	QR	29816907
506920	1731	1993-12-14	VYDAJ	PREVOD NA UCET	2631	17060	SIPO	QR	29816907
506921	1731	1994-01-14	VYDAJ	PREVOD NA UCET	2631	14238	SIPO	QR	29816907
506922	1731	1994-02-14	VYDAJ	PREVOD NA UCET	2631	14552	SIPO	QR	29816907
506923	1731	1994-03-14	VYDAJ	PREVOD NA UCET	2631	14959	SIPO	QR	29816907
506924	1731	1994-04-14	VYDAJ	PREVOD NA UCET	2631	17130	SIPO	QR	29816907
506925	1731	1994-05-14	VYDAJ	PREVOD NA UCET	2631	19310	SIPO	QR	29816907
506926	1731	1994-06-14	VYDAJ	PREVOD NA UCET	2631	18857	SIPO	QR	29816907
506927	1731	1994-07-14	VYDAJ	PREVOD NA UCET	2631	21044	SIPO	QR	29816907
506928	1731	1994-08-14	VYDAJ	PREVOD NA UCET	2631	19241	SIPO	QR	29816907
506929	1731	1994-09-14	VYDAJ	PREVOD NA UCET	2631	21436	SIPO	QR	29816907
506930	1731	1994-10-14	VYDAJ	PREVOD NA UCET	2631	23634	SIPO	QR	29816907
506931	1731	1994-11-14	VYDAJ	PREVOD NA UCET	2631	25841	SIPO	QR	29816907
506932	1731	1994-12-14	VYDAJ	PREVOD NA UCET	2631	26957	SIPO	QR	29816907
506933	1731	1995-01-14	VYDAJ	PREVOD NA UCET	2631	26781	SIPO	QR	29816907
506934	1731	1995-02-14	VYDAJ	PREVOD NA UCET	2631	19749	SIPO	QR	29816907
506935	1731	1995-03-14	VYDAJ	PREVOD NA UCET	2631	21940	SIPO	QR	29816907
506936	1731	1995-04-14	VYDAJ	PREVOD NA UCET	2631	24140	SIPO	QR	29816907
506937	1731	1995-05-14	VYDAJ	PREVOD NA UCET	2631	22821	SIPO	QR	29816907
506938	1731	1995-06-14	VYDAJ	PREVOD NA UCET	2631	16374	SIPO	QR	29816907
506939	1731	1995-07-14	VYDAJ	PREVOD NA UCET	2631	18565	SIPO	QR	29816907
506940	1731	1995-08-14	VYDAJ	PREVOD NA UCET	2631	20750	SIPO	QR	29816907
506941	1731	1995-09-14	VYDAJ	PREVOD NA UCET	2631	22945	SIPO	QR	29816907
506942	1731	1995-10-14	VYDAJ	PREVOD NA UCET	2631	25149	SIPO	QR	29816907
506943	1731	1995-11-14	VYDAJ	PREVOD NA UCET	2631	25119	SIPO	QR	29816907
506944	1731	1995-12-14	VYDAJ	PREVOD NA UCET	2631	27332	SIPO	QR	29816907
506945	1731	1996-01-14	VYDAJ	PREVOD NA UCET	2631	20281	SIPO	QR	29816907
506946	1731	1996-02-14	VYDAJ	PREVOD NA UCET	2631	16774	SIPO	QR	29816907
506947	1731	1996-03-14	VYDAJ	PREVOD NA UCET	2631	18952	SIPO	QR	29816907
506948	1731	1996-04-14	VYDAJ	PREVOD NA UCET	2631	21139	SIPO	QR	29816907
506949	1731	1996-05-14	VYDAJ	PREVOD NA UCET	2631	20132	SIPO	QR	29816907
506950	1731	1996-06-14	VYDAJ	PREVOD NA UCET	2631	22324	SIPO	QR	29816907
506951	1731	1996-07-14	VYDAJ	PREVOD NA UCET	2631	21238	SIPO	QR	29816907
506952	1731	1996-08-14	VYDAJ	PREVOD NA UCET	2631	23435	SIPO	QR	29816907
506953	1731	1996-09-14	VYDAJ	PREVOD NA UCET	2631	21077	SIPO	QR	29816907
506954	1731	1996-10-14	VYDAJ	PREVOD NA UCET	2631	23277	SIPO	QR	29816907
506955	1731	1996-11-14	VYDAJ	PREVOD NA UCET	2631	25482	SIPO	QR	29816907
506956	1731	1996-12-14	VYDAJ	PREVOD NA UCET	2631	27696	SIPO	QR	29816907
506957	1731	1997-01-14	VYDAJ	PREVOD NA UCET	2631	23577	SIPO	QR	29816907
506958	1731	1997-02-14	VYDAJ	PREVOD NA UCET	2631	18025	SIPO	QR	29816907
506959	1731	1997-03-14	VYDAJ	PREVOD NA UCET	2631	17883	SIPO	QR	29816907
506960	1731	1997-04-14	VYDAJ	PREVOD NA UCET	2631	18624	SIPO	QR	29816907
506961	1731	1997-05-14	VYDAJ	PREVOD NA UCET	2631	19688	SIPO	QR	29816907
506962	1731	1997-06-14	VYDAJ	PREVOD NA UCET	2631	21879	SIPO	QR	29816907
506963	1731	1997-07-14	VYDAJ	PREVOD NA UCET	2631	24078	SIPO	QR	29816907
506964	1731	1997-08-14	VYDAJ	PREVOD NA UCET	2631	26285	SIPO	QR	29816907
506965	1731	1997-09-14	VYDAJ	PREVOD NA UCET	2631	28502	SIPO	QR	29816907
506966	1731	1997-10-14	VYDAJ	PREVOD NA UCET	2631	30728	SIPO	QR	29816907
506967	1731	1997-11-14	VYDAJ	PREVOD NA UCET	2631	32963	SIPO	QR	29816907
506968	1731	1997-12-14	VYDAJ	PREVOD NA UCET	2631	35207	SIPO	QR	29816907
506969	1731	1998-01-14	VYDAJ	PREVOD NA UCET	2631	24599	SIPO	QR	29816907
506970	1731	1998-02-14	VYDAJ	PREVOD NA UCET	2631	20200	SIPO	QR	29816907
506971	1731	1998-03-14	VYDAJ	PREVOD NA UCET	2631	22391	SIPO	QR	29816907
506972	1731	1998-04-14	VYDAJ	PREVOD NA UCET	2631	24591	SIPO	QR	29816907
506973	1731	1998-05-14	VYDAJ	PREVOD NA UCET	2631	25919	SIPO	QR	29816907
506974	1731	1998-06-14	VYDAJ	PREVOD NA UCET	2631	28133	SIPO	QR	29816907
506975	1731	1998-07-14	VYDAJ	PREVOD NA UCET	2631	24644	SIPO	QR	29816907
506976	1731	1998-08-14	VYDAJ	PREVOD NA UCET	2631	21090	SIPO	QR	29816907
506977	1731	1998-09-14	VYDAJ	PREVOD NA UCET	2631	23288	SIPO	QR	29816907
506978	1731	1998-10-14	VYDAJ	PREVOD NA UCET	2631	25491	SIPO	QR	29816907
506979	1731	1998-11-14	VYDAJ	PREVOD NA UCET	2631	27703	SIPO	QR	29816907
506980	1731	1998-12-14	VYDAJ	PREVOD NA UCET	2631	29274	SIPO	QR	29816907
506981	1731	1993-06-16	VYDAJ	VYBER	6350	14409	\N	\N	\N
506983	1731	1995-06-09	VYDAJ	VYBER	8650	14247	\N	\N	\N
506986	1731	1998-06-15	VYDAJ	VYBER	5700	22433	\N	\N	\N
506988	1731	1994-01-19	VYDAJ	VYBER	900	13338	\N	\N	\N
506989	1731	1995-01-19	VYDAJ	VYBER	4200	20421	\N	\N	\N
506990	1731	1996-01-22	VYDAJ	VYBER	4100	14581	\N	\N	\N
506991	1731	1997-01-28	VYDAJ	VYBER	4800	17017	\N	\N	\N
506992	1731	1998-01-15	VYDAJ	VYBER	4600	19999	\N	\N	\N
506993	1731	1993-12-16	VYDAJ	VYBER	1000	16060	\N	\N	\N
506994	1731	1994-12-03	VYDAJ	VYBER	1100	24830	\N	\N	\N
506995	1731	1995-12-15	VYDAJ	VYBER	1350	25982	\N	\N	\N
506996	1731	1996-12-25	VYDAJ	VYBER	1300	26396	\N	\N	\N
506997	1731	1997-12-24	VYDAJ	VYBER	850	29157	\N	\N	\N
506998	1731	1998-12-09	VYDAJ	VYBER	250	27147	\N	\N	\N
507007	1731	1994-01-14	VYDAJ	VYBER	560	16869	\N	\N	\N
507008	1731	1994-01-21	VYDAJ	VYBER	960	12378	\N	\N	\N
507009	1731	1994-01-12	VYDAJ	VYBER	1680	17429	\N	\N	\N
507010	1731	1994-01-09	VYDAJ	VYBER	1760	14351	\N	\N	\N
507011	1731	1995-01-22	VYDAJ	VYBER	2240	18181	\N	\N	\N
507012	1731	1995-01-15	VYDAJ	VYBER	1040	25741	\N	\N	\N
507013	1731	1995-01-28	VYDAJ	VYBER	640	17541	\N	\N	\N
507014	1731	1995-01-03	VYDAJ	VYBER	2000	25054	\N	\N	\N
507015	1731	1995-01-18	VYDAJ	VYBER	1120	24621	\N	\N	\N
507016	1731	1995-01-05	VYDAJ	VYBER	400	24654	\N	\N	\N
507017	1731	1996-01-01	VYDAJ	VYBER	1440	24634	\N	\N	\N
507018	1731	1996-01-06	VYDAJ	VYBER	2160	22474	\N	\N	\N
507019	1731	1996-01-20	VYDAJ	VYBER	1600	18681	\N	\N	\N
507020	1731	1996-01-07	VYDAJ	VYBER	2320	20154	\N	\N	\N
507022	1731	1996-01-10	VYDAJ	VYBER	2000	18154	\N	\N	\N
507023	1731	1997-01-09	VYDAJ	VYBER	480	22730	\N	\N	\N
507024	1731	1997-01-06	VYDAJ	VYBER	1600	23210	\N	\N	\N
507025	1731	1997-01-23	VYDAJ	VYBER	1760	21817	\N	\N	\N
507026	1731	1997-01-10	VYDAJ	VYBER	1280	21450	\N	\N	\N
507027	1731	1997-01-05	VYDAJ	VYBER	1680	24810	\N	\N	\N
507028	1731	1997-01-28	VYDAJ	VYBER	1200	15817	\N	\N	\N
507029	1731	1998-01-09	VYDAJ	VYBER	1200	22472	\N	\N	\N
507030	1731	1998-01-21	VYDAJ	VYBER	720	17999	\N	\N	\N
507031	1731	1998-01-21	VYDAJ	VYBER	1280	18719	\N	\N	\N
507032	1731	1998-01-05	VYDAJ	VYBER	1760	24312	\N	\N	\N
507033	1731	1998-01-07	VYDAJ	VYBER	640	23672	\N	\N	\N
507034	1731	1998-01-01	VYDAJ	VYBER	960	26072	\N	\N	\N
507035	1731	1993-11-09	VYDAJ	VYBER	2320	16673	\N	\N	\N
507036	1731	1993-11-10	VYDAJ	VYBER	3920	12753	\N	\N	\N
507038	1731	1993-07-31	VYDAJ	VYBER	640	14055	\N	\N	\N
507039	1731	1993-06-22	VYDAJ	VYBER	1920	12489	\N	\N	\N
507043	1731	1994-08-10	VYDAJ	VYBER	3600	17114	\N	\N	\N
507044	1731	1994-05-27	VYDAJ	VYBER	2640	16670	\N	\N	\N
507045	1731	1994-08-05	VYDAJ	VYBER	400	20714	\N	\N	\N
507047	1731	1994-02-22	VYDAJ	VYBER	1760	12792	\N	\N	\N
507048	1731	1995-04-15	VYDAJ	VYBER	3520	20620	\N	\N	\N
507049	1731	1995-10-24	VYDAJ	VYBER	2240	22909	\N	\N	\N
507050	1731	1996-04-25	VYDAJ	VYBER	3200	17939	\N	\N	\N
507051	1731	1996-06-17	VYDAJ	VYBER	3280	19044	\N	\N	\N
507052	1731	1996-09-02	VYDAJ	VYBER	2080	18950	\N	\N	\N
507053	1731	1996-08-22	VYDAJ	VYBER	2480	20955	\N	\N	\N
507054	1731	1997-12-22	VYDAJ	VYBER	2240	30007	\N	\N	\N
507055	1731	1997-12-18	VYDAJ	VYBER	2960	32247	\N	\N	\N
507056	1731	1997-04-16	VYDAJ	VYBER	720	17904	\N	\N	\N
507057	1731	1997-03-30	VYDAJ	VYBER	1440	16443	\N	\N	\N
507058	1731	1997-05-10	VYDAJ	VYBER	400	17561	\N	\N	\N
507059	1731	1997-12-27	VYDAJ	VYBER	2240	26917	\N	\N	\N
507060	1731	1997-02-17	VYDAJ	VYBER	2320	15705	\N	\N	\N
507061	1731	1998-08-12	VYDAJ	VYBER	1840	23721	\N	\N	\N
507062	1731	1998-11-16	VYDAJ	VYBER	400	27303	\N	\N	\N
507063	1731	1998-04-25	VYDAJ	VYBER	880	23711	\N	\N	\N
507064	1731	1998-07-26	VYDAJ	VYBER	2080	20724	\N	\N	\N
507065	1731	1998-07-24	VYDAJ	VYBER	1840	22804	\N	\N	\N
507072	1731	1993-06-30	VYDAJ	VYBER	15	12511	SLUZBY	\N	\N
507073	1731	1993-07-31	VYDAJ	VYBER	15	14041	SLUZBY	\N	\N
507074	1731	1993-08-31	VYDAJ	VYBER	15	16217	SLUZBY	\N	\N
507075	1731	1993-09-30	VYDAJ	VYBER	15	17602	SLUZBY	\N	\N
507076	1731	1993-10-31	VYDAJ	VYBER	15	18993	SLUZBY	\N	\N
507077	1731	1993-11-30	VYDAJ	VYBER	15	14933	SLUZBY	\N	\N
507078	1731	1993-12-31	VYDAJ	VYBER	15	16111	SLUZBY	\N	\N
507079	1731	1994-01-31	VYDAJ	VYBER	15	12425	SLUZBY	\N	\N
507080	1731	1994-02-28	VYDAJ	VYBER	15	12832	SLUZBY	\N	\N
507081	1731	1994-03-31	VYDAJ	VYBER	15	15003	SLUZBY	\N	\N
507082	1731	1994-04-30	VYDAJ	VYBER	15	17183	SLUZBY	\N	\N
507083	1731	1994-05-31	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
507084	1731	1994-06-30	VYDAJ	VYBER	15	18917	SLUZBY	\N	\N
507085	1731	1994-07-31	VYDAJ	VYBER	15	21114	SLUZBY	\N	\N
507086	1731	1994-08-31	VYDAJ	VYBER	15	19309	SLUZBY	\N	\N
507087	1731	1994-09-30	VYDAJ	VYBER	15	21507	SLUZBY	\N	\N
507088	1731	1994-10-31	VYDAJ	VYBER	15	23714	SLUZBY	\N	\N
507089	1731	1994-11-30	VYDAJ	VYBER	15	25930	SLUZBY	\N	\N
507090	1731	1994-12-31	VYDAJ	VYBER	15	27054	SLUZBY	\N	\N
507091	1731	1995-01-31	VYDAJ	VYBER	15	17622	SLUZBY	\N	\N
507092	1731	1995-02-28	VYDAJ	VYBER	15	19813	SLUZBY	\N	\N
507093	1731	1995-03-31	VYDAJ	VYBER	15	22013	SLUZBY	\N	\N
507094	1731	1995-04-30	VYDAJ	VYBER	15	20694	SLUZBY	\N	\N
507095	1731	1995-05-31	VYDAJ	VYBER	15	22897	SLUZBY	\N	\N
507096	1731	1995-06-30	VYDAJ	VYBER	15	16438	SLUZBY	\N	\N
507097	1731	1995-07-31	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
507098	1731	1995-08-31	VYDAJ	VYBER	15	20818	SLUZBY	\N	\N
507099	1731	1995-09-30	VYDAJ	VYBER	15	23022	SLUZBY	\N	\N
507100	1731	1995-10-31	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
507101	1731	1995-11-30	VYDAJ	VYBER	15	25205	SLUZBY	\N	\N
507102	1731	1995-12-31	VYDAJ	VYBER	15	26074	SLUZBY	\N	\N
507103	1731	1996-01-31	VYDAJ	VYBER	15	14647	SLUZBY	\N	\N
507104	1731	1996-02-29	VYDAJ	VYBER	15	16825	SLUZBY	\N	\N
507105	1731	1996-03-31	VYDAJ	VYBER	15	19012	SLUZBY	\N	\N
507106	1731	1996-04-30	VYDAJ	VYBER	15	18005	SLUZBY	\N	\N
507107	1731	1996-05-31	VYDAJ	VYBER	15	20197	SLUZBY	\N	\N
507108	1731	1996-06-30	VYDAJ	VYBER	15	19111	SLUZBY	\N	\N
507109	1731	1996-07-31	VYDAJ	VYBER	15	21308	SLUZBY	\N	\N
507110	1731	1996-08-31	VYDAJ	VYBER	15	21030	SLUZBY	\N	\N
507111	1731	1996-09-30	VYDAJ	VYBER	15	21150	SLUZBY	\N	\N
507112	1731	1996-10-31	VYDAJ	VYBER	15	23355	SLUZBY	\N	\N
507113	1731	1996-11-30	VYDAJ	VYBER	15	25569	SLUZBY	\N	\N
507114	1731	1996-12-31	VYDAJ	VYBER	15	26490	SLUZBY	\N	\N
507115	1731	1997-01-31	VYDAJ	VYBER	15	15898	SLUZBY	\N	\N
507116	1731	1997-02-28	VYDAJ	VYBER	15	15756	SLUZBY	\N	\N
507117	1731	1997-03-31	VYDAJ	VYBER	15	16497	SLUZBY	\N	\N
507118	1731	1997-04-30	VYDAJ	VYBER	15	17961	SLUZBY	\N	\N
507119	1731	1997-05-31	VYDAJ	VYBER	15	19752	SLUZBY	\N	\N
507120	1731	1997-06-30	VYDAJ	VYBER	15	21951	SLUZBY	\N	\N
507121	1731	1997-07-31	VYDAJ	VYBER	15	24158	SLUZBY	\N	\N
507122	1731	1997-08-31	VYDAJ	VYBER	15	26375	SLUZBY	\N	\N
507123	1731	1997-09-30	VYDAJ	VYBER	15	28601	SLUZBY	\N	\N
507124	1731	1997-10-31	VYDAJ	VYBER	15	30836	SLUZBY	\N	\N
507125	1731	1997-11-30	VYDAJ	VYBER	15	33080	SLUZBY	\N	\N
507126	1731	1997-12-31	VYDAJ	VYBER	15	27032	SLUZBY	\N	\N
507127	1731	1998-01-31	VYDAJ	VYBER	15	18073	SLUZBY	\N	\N
507128	1731	1998-02-28	VYDAJ	VYBER	15	20264	SLUZBY	\N	\N
507129	1731	1998-03-31	VYDAJ	VYBER	15	22464	SLUZBY	\N	\N
507130	1731	1998-04-30	VYDAJ	VYBER	15	23792	SLUZBY	\N	\N
507131	1731	1998-05-31	VYDAJ	VYBER	15	26006	SLUZBY	\N	\N
507132	1731	1998-06-30	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
507133	1731	1998-07-31	VYDAJ	VYBER	15	20803	SLUZBY	\N	\N
507134	1731	1998-08-31	VYDAJ	VYBER	15	21161	SLUZBY	\N	\N
507135	1731	1998-09-30	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
507136	1731	1998-10-31	VYDAJ	VYBER	15	25576	SLUZBY	\N	\N
507137	1731	1998-11-30	VYDAJ	VYBER	15	27397	SLUZBY	\N	\N
507138	1731	1993-06-13	VYDAJ	VYBER	600	23390	\N	\N	\N
507139	1731	1993-09-11	VYDAJ	VYBER	800	20175	\N	\N	\N
507140	1731	1993-10-11	VYDAJ	VYBER	800	21560	\N	\N	\N
507208	1732	1996-02-20	PRIJEM	VKLAD	400	400	\N	\N	\N
507211	1732	1996-03-09	PRIJEM	VKLAD	22154	22554	\N	\N	\N
507212	1732	1996-04-09	PRIJEM	VKLAD	22154	45943	\N	\N	\N
507213	1732	1996-05-09	PRIJEM	VKLAD	22154	59817	\N	\N	\N
507214	1732	1996-06-09	PRIJEM	VKLAD	33231	74410	\N	\N	\N
507215	1732	1996-07-09	PRIJEM	VKLAD	22154	74053	\N	\N	\N
507216	1732	1996-08-09	PRIJEM	VKLAD	22154	67360	\N	\N	\N
507217	1732	1996-09-09	PRIJEM	VKLAD	22154	59774	\N	\N	\N
507218	1732	1996-10-09	PRIJEM	VKLAD	22154	59568	\N	\N	\N
507219	1732	1996-11-09	PRIJEM	VKLAD	22154	52849	\N	\N	\N
507220	1732	1996-12-09	PRIJEM	VKLAD	33231	63288	\N	\N	\N
507221	1732	1997-01-09	PRIJEM	VKLAD	22154	57371	\N	\N	\N
507222	1732	1997-02-09	PRIJEM	VKLAD	22154	53142	\N	\N	\N
507223	1732	1997-03-09	PRIJEM	VKLAD	22154	49897	\N	\N	\N
507224	1732	1997-04-09	PRIJEM	VKLAD	22154	51952	\N	\N	\N
507225	1732	1997-05-09	PRIJEM	VKLAD	22154	54817	\N	\N	\N
507226	1732	1997-06-09	PRIJEM	VKLAD	33231	65663	\N	\N	\N
507227	1732	1997-07-09	PRIJEM	VKLAD	22154	45732	\N	\N	\N
507228	1732	1997-08-09	PRIJEM	VKLAD	22154	50974	\N	\N	\N
507229	1732	1997-09-09	PRIJEM	VKLAD	22154	56839	\N	\N	\N
507230	1732	1997-10-09	PRIJEM	VKLAD	22154	63532	\N	\N	\N
507231	1732	1997-11-09	PRIJEM	VKLAD	22154	66740	\N	\N	\N
507232	1732	1997-12-09	PRIJEM	VKLAD	33231	75322	\N	\N	\N
507233	1732	1998-01-09	PRIJEM	VKLAD	22154	69054	\N	\N	\N
507234	1732	1998-02-09	PRIJEM	VKLAD	22154	70377	\N	\N	\N
507235	1732	1998-03-09	PRIJEM	VKLAD	22154	72840	\N	\N	\N
507236	1732	1998-04-09	PRIJEM	VKLAD	22154	76286	\N	\N	\N
507237	1732	1998-05-09	PRIJEM	VKLAD	22154	75232	\N	\N	\N
507238	1732	1998-06-09	PRIJEM	VKLAD	33231	85955	\N	\N	\N
507239	1732	1998-07-09	PRIJEM	VKLAD	22154	72920	\N	\N	\N
507240	1732	1998-08-09	PRIJEM	VKLAD	22154	81796	\N	\N	\N
507241	1732	1998-09-09	PRIJEM	VKLAD	22154	90508	\N	\N	\N
507242	1732	1998-10-09	PRIJEM	VKLAD	22154	96960	\N	\N	\N
507243	1732	1998-11-09	PRIJEM	VKLAD	22154	103641	\N	\N	\N
507244	1732	1998-12-09	PRIJEM	VKLAD	33231	118028	\N	\N	\N
507252	1732	1996-08-06	VYDAJ	PREVOD NA UCET	8050	45206	SIPO	WX	69793838
507253	1732	1996-09-06	VYDAJ	PREVOD NA UCET	8050	37620	SIPO	WX	69793838
507254	1732	1996-10-06	VYDAJ	PREVOD NA UCET	8050	37414	SIPO	WX	69793838
507255	1732	1996-11-06	VYDAJ	PREVOD NA UCET	8050	30695	SIPO	WX	69793838
507256	1732	1996-12-06	VYDAJ	PREVOD NA UCET	8050	30057	SIPO	WX	69793838
507257	1732	1997-01-06	VYDAJ	PREVOD NA UCET	8050	35217	SIPO	WX	69793838
507258	1732	1997-02-06	VYDAJ	PREVOD NA UCET	8050	30988	SIPO	WX	69793838
507259	1732	1997-03-06	VYDAJ	PREVOD NA UCET	8050	27743	SIPO	WX	69793838
507260	1732	1997-04-06	VYDAJ	PREVOD NA UCET	8050	29798	SIPO	WX	69793838
507261	1732	1997-05-06	VYDAJ	PREVOD NA UCET	8050	32663	SIPO	WX	69793838
507262	1732	1997-06-06	VYDAJ	PREVOD NA UCET	8050	32432	SIPO	WX	69793838
507263	1732	1997-07-06	VYDAJ	PREVOD NA UCET	8050	23578	SIPO	WX	69793838
507264	1732	1997-08-06	VYDAJ	PREVOD NA UCET	8050	28820	SIPO	WX	69793838
507265	1732	1997-09-06	VYDAJ	PREVOD NA UCET	8050	34685	SIPO	WX	69793838
507266	1732	1997-10-06	VYDAJ	PREVOD NA UCET	8050	41378	SIPO	WX	69793838
507267	1732	1997-11-06	VYDAJ	PREVOD NA UCET	8050	44586	SIPO	WX	69793838
507268	1732	1997-12-06	VYDAJ	PREVOD NA UCET	8050	42091	SIPO	WX	69793838
507269	1732	1998-01-06	VYDAJ	PREVOD NA UCET	8050	46900	SIPO	WX	69793838
507270	1732	1998-02-06	VYDAJ	PREVOD NA UCET	8050	48223	SIPO	WX	69793838
507271	1732	1998-03-06	VYDAJ	PREVOD NA UCET	8050	50686	SIPO	WX	69793838
507272	1732	1998-04-06	VYDAJ	PREVOD NA UCET	8050	54132	SIPO	WX	69793838
507273	1732	1998-05-06	VYDAJ	PREVOD NA UCET	8050	53078	SIPO	WX	69793838
507274	1732	1998-06-06	VYDAJ	PREVOD NA UCET	8050	52724	SIPO	WX	69793838
507275	1732	1998-07-06	VYDAJ	PREVOD NA UCET	8050	50766	SIPO	WX	69793838
507276	1732	1998-08-06	VYDAJ	PREVOD NA UCET	8050	59242	SIPO	WX	69793838
507277	1732	1998-09-06	VYDAJ	PREVOD NA UCET	8050	74054	SIPO	WX	69793838
507278	1732	1998-10-06	VYDAJ	PREVOD NA UCET	8050	82806	SIPO	WX	69793838
507279	1732	1998-11-06	VYDAJ	PREVOD NA UCET	8050	81487	SIPO	WX	69793838
507280	1732	1998-12-06	VYDAJ	PREVOD NA UCET	8050	95997	SIPO	WX	69793838
507282	1732	1997-06-21	VYDAJ	VYBER	15100	31463	\N	\N	\N
507283	1732	1998-06-17	VYDAJ	VYBER	11100	60955	\N	\N	\N
507285	1732	1997-01-19	VYDAJ	VYBER KARTOU	1400	38871	\N	\N	0
507286	1732	1998-01-04	VYDAJ	VYBER	4800	54950	\N	\N	\N
507287	1732	1996-12-15	VYDAJ	VYBER	1400	61888	\N	\N	\N
507288	1732	1997-12-19	VYDAJ	VYBER KARTOU	1100	59522	\N	\N	0
507289	1732	1998-12-20	VYDAJ	VYBER KARTOU	2100	64528	\N	\N	0
507292	1732	1996-10-09	VYDAJ	VYBER	4900	54668	\N	\N	\N
507293	1732	1997-03-14	VYDAJ	VYBER KARTOU	4000	45897	\N	\N	0
507294	1732	1997-08-14	VYDAJ	VYBER KARTOU	3200	42574	\N	\N	0
507295	1732	1997-09-25	VYDAJ	VYBER KARTOU	1100	49239	\N	\N	0
507296	1732	1998-05-18	VYDAJ	VYBER KARTOU	2300	60532	\N	\N	0
507297	1732	1998-12-12	VYDAJ	VYBER KARTOU	2800	66628	\N	\N	0
507298	1732	1998-06-18	VYDAJ	VYBER KARTOU	2400	58555	\N	\N	0
507306	1732	1996-07-31	VYDAJ	VYBER	15	53256	SLUZBY	\N	\N
507307	1732	1996-08-31	VYDAJ	VYBER	15	45670	SLUZBY	\N	\N
507308	1732	1996-09-30	VYDAJ	VYBER	15	45464	SLUZBY	\N	\N
507309	1732	1996-10-31	VYDAJ	VYBER	15	38745	SLUZBY	\N	\N
507310	1732	1996-11-30	VYDAJ	VYBER	15	38107	SLUZBY	\N	\N
507311	1732	1996-12-31	VYDAJ	VYBER	15	43267	SLUZBY	\N	\N
507312	1732	1997-01-31	VYDAJ	VYBER	15	39038	SLUZBY	\N	\N
507313	1732	1997-02-28	VYDAJ	VYBER	15	35793	SLUZBY	\N	\N
507314	1732	1997-03-31	VYDAJ	VYBER	15	37848	SLUZBY	\N	\N
507315	1732	1997-04-30	VYDAJ	VYBER	15	40713	SLUZBY	\N	\N
507316	1732	1997-05-31	VYDAJ	VYBER	15	40482	SLUZBY	\N	\N
507317	1732	1997-06-30	VYDAJ	VYBER	15	31628	SLUZBY	\N	\N
507318	1732	1997-07-31	VYDAJ	VYBER	15	36870	SLUZBY	\N	\N
507319	1732	1997-08-31	VYDAJ	VYBER	15	42735	SLUZBY	\N	\N
507320	1732	1997-09-30	VYDAJ	VYBER	15	49428	SLUZBY	\N	\N
507321	1732	1997-10-31	VYDAJ	VYBER	15	52636	SLUZBY	\N	\N
507322	1732	1997-11-30	VYDAJ	VYBER	15	50141	SLUZBY	\N	\N
507323	1732	1997-12-31	VYDAJ	VYBER	15	59750	SLUZBY	\N	\N
507324	1732	1998-01-31	VYDAJ	VYBER	15	56273	SLUZBY	\N	\N
507325	1732	1998-02-28	VYDAJ	VYBER	15	58736	SLUZBY	\N	\N
507326	1732	1998-03-31	VYDAJ	VYBER	15	62182	SLUZBY	\N	\N
507327	1732	1998-04-30	VYDAJ	VYBER	15	61128	SLUZBY	\N	\N
507328	1732	1998-05-31	VYDAJ	VYBER	15	60774	SLUZBY	\N	\N
507329	1732	1998-06-30	VYDAJ	VYBER	15	58816	SLUZBY	\N	\N
507330	1732	1998-07-31	VYDAJ	VYBER	15	67292	SLUZBY	\N	\N
507331	1732	1998-08-31	VYDAJ	VYBER	15	82104	SLUZBY	\N	\N
507332	1732	1998-09-30	VYDAJ	VYBER	15	90856	SLUZBY	\N	\N
507333	1732	1998-10-31	VYDAJ	VYBER	15	97337	SLUZBY	\N	\N
507334	1732	1998-11-30	VYDAJ	VYBER	15	104047	SLUZBY	\N	\N
507335	1732	1996-03-21	PRIJEM	VKLAD	1200	23754	\N	\N	\N
507336	1732	1996-04-20	VYDAJ	VYBER	8400	37543	\N	\N	\N
507337	1732	1996-05-20	VYDAJ	VYBER	18800	41017	\N	\N	\N
507338	1732	1996-06-19	VYDAJ	VYBER	22700	51710	\N	\N	\N
507339	1732	1996-07-19	VYDAJ	VYBER	21000	53053	\N	\N	\N
507340	1732	1996-08-18	VYDAJ	VYBER	21900	45460	\N	\N	\N
507341	1732	1996-09-17	VYDAJ	VYBER	14500	45274	\N	\N	\N
507342	1732	1996-10-17	VYDAJ	VYBER	16100	38568	\N	\N	\N
507343	1732	1996-11-16	VYDAJ	VYBER	14900	37949	\N	\N	\N
507344	1732	1996-12-16	VYDAJ	VYBER	18800	43088	\N	\N	\N
507345	1732	1997-01-15	VYDAJ	VYBER	17100	40271	\N	\N	\N
507346	1732	1997-02-14	VYDAJ	VYBER	17500	35642	\N	\N	\N
507347	1732	1997-03-16	VYDAJ	VYBER	8200	37697	\N	\N	\N
507348	1732	1997-04-15	VYDAJ	VYBER	11400	40552	\N	\N	\N
507349	1732	1997-05-15	VYDAJ	VYBER	14500	40317	\N	\N	\N
507350	1732	1997-06-14	VYDAJ	VYBER	19100	46563	\N	\N	\N
507351	1732	1997-07-14	VYDAJ	VYBER	9000	36732	\N	\N	\N
507352	1732	1997-08-13	VYDAJ	VYBER	5200	45774	\N	\N	\N
507353	1732	1997-09-12	VYDAJ	VYBER	6500	50339	\N	\N	\N
507354	1732	1997-10-12	VYDAJ	VYBER	11100	52432	\N	\N	\N
507355	1732	1997-11-11	VYDAJ	VYBER	16800	49940	\N	\N	\N
507356	1732	1997-12-11	VYDAJ	VYBER	14700	60622	\N	\N	\N
507357	1732	1998-01-10	VYDAJ	VYBER	13000	56054	\N	\N	\N
507358	1732	1998-02-09	VYDAJ	VYBER	11900	58477	\N	\N	\N
507359	1732	1998-03-11	VYDAJ	VYBER	10900	61940	\N	\N	\N
507360	1732	1998-04-10	VYDAJ	VYBER	15400	60886	\N	\N	\N
507361	1732	1998-05-10	VYDAJ	VYBER	12400	62832	\N	\N	\N
507362	1732	1998-06-09	VYDAJ	VYBER	13900	72055	\N	\N	\N
507363	1732	1998-07-09	VYDAJ	VYBER	5900	67020	\N	\N	\N
507364	1732	1998-08-08	PRIJEM	VKLAD	400	59642	\N	\N	\N
507365	1732	1998-09-07	VYDAJ	VYBER	5700	68354	\N	\N	\N
507366	1732	1998-10-07	VYDAJ	VYBER	8000	74806	\N	\N	\N
507367	1732	1998-11-06	VYDAJ	VYBER	7800	89537	\N	\N	\N
507368	1732	1998-12-06	VYDAJ	VYBER	11200	84797	\N	\N	\N
507369	1732	1998-12-09	VYDAJ	VYBER	48600	69428	\N	\N	\N
507404	1733	1996-04-20	PRIJEM	VKLAD	900	900	\N	\N	\N
507405	1733	1996-06-21	PRIJEM	VKLAD	44401	64701	\N	\N	\N
507406	1733	1997-01-12	PRIJEM	VKLAD	31283	91811	\N	\N	\N
507407	1733	1997-05-27	PRIJEM	VKLAD	49474	130294	\N	\N	\N
507408	1733	1997-08-15	PRIJEM	VKLAD	38745	62305	\N	\N	\N
507409	1733	1997-01-02	PRIJEM	VKLAD	14619	26427	\N	\N	\N
507410	1733	1997-09-22	PRIJEM	VKLAD	21877	48892	\N	\N	\N
507411	1733	1997-05-09	PRIJEM	VKLAD	14260	99326	\N	\N	\N
507412	1733	1997-07-03	PRIJEM	VKLAD	31767	48088	\N	\N	\N
507413	1733	1997-12-26	PRIJEM	VKLAD	41326	80230	\N	\N	\N
507414	1733	1997-11-20	PRIJEM	VKLAD	32887	49043	\N	\N	\N
507415	1733	1997-05-31	PRIJEM	VKLAD	29197	126791	\N	\N	\N
507416	1733	1997-07-14	PRIJEM	VKLAD	38799	81079	\N	\N	\N
507417	1733	1997-09-04	PRIJEM	VKLAD	38038	88655	\N	\N	\N
507418	1733	1997-01-11	PRIJEM	VKLAD	34101	60528	\N	\N	\N
507419	1733	1997-03-18	PRIJEM	VKLAD	47373	71373	\N	\N	\N
507420	1733	1997-05-09	PRIJEM	VKLAD	42637	85066	\N	\N	\N
507421	1733	1997-11-21	PRIJEM	VKLAD	29914	78957	\N	\N	\N
507422	1733	1997-07-23	PRIJEM	VKLAD	26947	64926	\N	\N	\N
507423	1733	1997-05-21	PRIJEM	VKLAD	36641	91159	\N	\N	\N
507424	1733	1997-09-30	PRIJEM	VKLAD	23968	72860	\N	\N	\N
507425	1733	1998-05-18	PRIJEM	VKLAD	37356	62961	\N	\N	\N
507426	1733	1998-12-07	PRIJEM	VKLAD	17057	27168	\N	\N	\N
507427	1733	1998-07-13	PRIJEM	VKLAD	9594	27824	\N	\N	\N
507428	1733	1998-06-30	PRIJEM	VKLAD	11911	43153	\N	\N	\N
507429	1733	1998-04-03	PRIJEM	VKLAD	5666	40534	\N	\N	\N
507430	1733	1998-01-30	PRIJEM	VKLAD	43026	65200	\N	\N	\N
507431	1733	1998-02-21	PRIJEM	VKLAD	28903	59111	\N	\N	\N
507432	1733	1998-08-18	PRIJEM	VKLAD	11011	22442	\N	\N	\N
507433	1733	1998-04-05	PRIJEM	VKLAD	45415	72449	\N	\N	\N
507434	1733	1998-05-30	PRIJEM	VKLAD	21480	84441	\N	\N	\N
507435	1733	1998-09-05	PRIJEM	VKLAD	21357	89314	\N	\N	\N
507436	1733	1998-09-02	PRIJEM	VKLAD	45443	67957	\N	\N	\N
507488	1733	1997-04-10	VYDAJ	PREVOD NA UCET	5808	65811	SIPO	UV	57563334
507489	1733	1997-05-10	VYDAJ	PREVOD NA UCET	5808	93518	SIPO	UV	57563334
507490	1733	1997-06-10	VYDAJ	PREVOD NA UCET	5808	17130	SIPO	UV	57563334
507491	1733	1997-07-10	VYDAJ	PREVOD NA UCET	5808	42280	SIPO	UV	57563334
507492	1733	1997-08-10	VYDAJ	PREVOD NA UCET	5808	35260	SIPO	UV	57563334
507493	1733	1997-09-10	VYDAJ	PREVOD NA UCET	5808	71015	SIPO	UV	57563334
507494	1733	1997-10-10	VYDAJ	PREVOD NA UCET	5808	67232	SIPO	UV	57563334
507495	1733	1997-11-10	VYDAJ	PREVOD NA UCET	5808	19956	SIPO	UV	57563334
507496	1733	1997-12-10	VYDAJ	PREVOD NA UCET	5808	71204	SIPO	UV	57563334
507497	1733	1998-01-10	VYDAJ	PREVOD NA UCET	5808	39174	SIPO	UV	57563334
507498	1733	1998-02-10	VYDAJ	PREVOD NA UCET	5808	33944	SIPO	UV	57563334
507499	1733	1998-03-10	VYDAJ	PREVOD NA UCET	5808	53498	SIPO	UV	57563334
507500	1733	1998-04-10	VYDAJ	PREVOD NA UCET	5808	40241	SIPO	UV	57563334
507501	1733	1998-05-10	VYDAJ	PREVOD NA UCET	5808	25605	SIPO	UV	57563334
507502	1733	1998-06-10	VYDAJ	PREVOD NA UCET	5808	40618	SIPO	UV	57563334
507503	1733	1998-07-10	VYDAJ	PREVOD NA UCET	5808	18230	SIPO	UV	57563334
507504	1733	1998-08-10	VYDAJ	PREVOD NA UCET	5808	11431	SIPO	UV	57563334
507505	1733	1998-09-10	VYDAJ	PREVOD NA UCET	5808	43806	SIPO	UV	57563334
507506	1733	1998-10-10	VYDAJ	PREVOD NA UCET	5808	23968	SIPO	UV	57563334
507507	1733	1998-11-10	VYDAJ	PREVOD NA UCET	5808	10068	SIPO	UV	57563334
507508	1733	1998-12-10	VYDAJ	PREVOD NA UCET	5808	21360	SIPO	UV	57563334
507523	1733	1997-08-28	VYBER	VYBER	11896	50409	\N	\N	\N
507524	1733	1997-09-10	VYBER	VYBER	11832	76823	\N	\N	\N
507525	1733	1997-05-21	VYBER	VYBER	10339	80820	\N	\N	\N
507526	1733	1997-06-09	VYBER	VYBER	23165	22938	\N	\N	\N
507527	1733	1997-10-27	VYBER	VYBER	18466	25566	\N	\N	\N
507528	1733	1998-02-16	VYBER	VYBER	3736	30208	\N	\N	\N
507530	1733	1998-06-27	VYBER	VYBER	9596	31022	\N	\N	\N
507532	1733	1998-01-04	VYBER	VYBER	5478	58482	\N	\N	\N
507540	1733	1997-12-26	VYDAJ	VYBER	8400	71830	\N	\N	\N
507555	1733	1998-01-07	VYDAJ	VYBER	7500	48882	\N	\N	\N
507556	1733	1998-01-01	VYDAJ	VYBER	8100	63960	\N	\N	\N
507557	1733	1998-01-18	VYDAJ	VYBER	3000	22174	\N	\N	\N
507558	1733	1998-01-09	VYDAJ	VYBER	3900	44982	\N	\N	\N
507559	1733	1998-01-07	VYDAJ	VYBER	2100	56382	\N	\N	\N
507565	1733	1997-09-17	VYDAJ	VYBER	14400	27015	\N	\N	\N
507566	1733	1997-08-06	VYDAJ	VYBER	13500	41068	\N	\N	\N
507568	1733	1997-11-22	VYDAJ	VYBER	2100	76857	\N	\N	\N
507569	1733	1997-07-25	VYDAJ	VYBER	10500	54426	\N	\N	\N
507570	1733	1997-07-14	VYDAJ	VYBER	14100	37979	\N	\N	\N
507571	1733	1998-04-04	VYDAJ	VYBER	13500	27034	\N	\N	\N
507574	1733	1998-04-02	VYDAJ	VYBER	2700	34868	\N	\N	\N
507590	1733	1997-03-31	VYDAJ	VYBER	15	71619	SLUZBY	\N	\N
507591	1733	1997-04-30	VYDAJ	VYBER	15	42429	SLUZBY	\N	\N
507592	1733	1997-05-31	VYDAJ	VYBER	15	46103	SLUZBY	\N	\N
507593	1733	1997-06-30	VYDAJ	VYBER	15	16321	SLUZBY	\N	\N
507594	1733	1997-07-31	VYDAJ	VYBER	15	54568	SLUZBY	\N	\N
507595	1733	1997-08-31	VYDAJ	VYBER	15	50617	SLUZBY	\N	\N
507596	1733	1997-09-30	VYDAJ	VYBER	15	73040	SLUZBY	\N	\N
507597	1733	1997-10-31	VYDAJ	VYBER	15	25764	SLUZBY	\N	\N
507598	1733	1997-11-30	VYDAJ	VYBER	15	77012	SLUZBY	\N	\N
507599	1733	1997-12-31	VYDAJ	VYBER	15	72060	SLUZBY	\N	\N
507600	1733	1998-01-31	VYDAJ	VYBER	15	65352	SLUZBY	\N	\N
507601	1733	1998-02-28	VYDAJ	VYBER	15	59306	SLUZBY	\N	\N
507602	1733	1998-03-31	VYDAJ	VYBER	15	37568	SLUZBY	\N	\N
507603	1733	1998-04-30	VYDAJ	VYBER	15	40413	SLUZBY	\N	\N
507604	1733	1998-05-31	VYDAJ	VYBER	15	84626	SLUZBY	\N	\N
507605	1733	1998-06-30	VYDAJ	VYBER	15	43138	SLUZBY	\N	\N
507606	1733	1998-07-31	VYDAJ	VYBER	15	27939	SLUZBY	\N	\N
507607	1733	1998-08-31	VYDAJ	VYBER	15	22514	SLUZBY	\N	\N
507608	1733	1998-09-30	VYDAJ	VYBER	15	43976	SLUZBY	\N	\N
507609	1733	1998-10-31	VYDAJ	VYBER	15	24076	SLUZBY	\N	\N
507610	1733	1998-11-30	VYDAJ	VYBER	15	10111	SLUZBY	\N	\N
507611	1733	1996-05-20	PRIJEM	VKLAD	10700	11600	\N	\N	\N
507612	1733	1996-06-19	PRIJEM	VKLAD	8700	20300	\N	\N	\N
507613	1733	1996-07-19	VYDAJ	VYBER	18200	46591	\N	\N	\N
507614	1733	1996-08-18	VYDAJ	VYBER	14500	32360	\N	\N	\N
507615	1733	1996-09-17	VYDAJ	VYBER	8800	23830	\N	\N	\N
507616	1733	1996-10-17	VYDAJ	VYBER	6200	17900	\N	\N	\N
507617	1733	1996-11-16	VYDAJ	VYBER	5500	12669	\N	\N	\N
507618	1733	1996-12-16	VYDAJ	VYBER	1400	11539	\N	\N	\N
507619	1733	1997-01-15	VYDAJ	VYBER	36600	55211	\N	\N	\N
507620	1733	1997-02-14	VYDAJ	VYBER	20700	34770	\N	\N	\N
507621	1733	1997-03-16	VYDAJ	VYBER	11000	24000	\N	\N	\N
507622	1733	1997-04-15	VYDAJ	VYBER	23600	42211	\N	\N	\N
507623	1733	1997-05-15	VYDAJ	VYBER	39000	54518	\N	\N	\N
507624	1733	1997-05-27	VYDAJ	VYBER	32700	97594	\N	\N	\N
507625	1733	1997-05-31	VYDAJ	VYBER	19100	108017	\N	\N	\N
507626	1733	1997-05-31	VYDAJ	VYBER	61900	46117	\N	\N	\N
507627	1733	1997-06-14	VYDAJ	VYBER	1000	16130	\N	\N	\N
507628	1733	1997-07-14	VYDAJ	VYBER	29000	52079	\N	\N	\N
507629	1733	1997-08-13	VYDAJ	VYBER	11700	23560	\N	\N	\N
507630	1733	1997-09-12	VYDAJ	VYBER	29600	41415	\N	\N	\N
507631	1733	1997-10-12	VYDAJ	VYBER	23200	44032	\N	\N	\N
507632	1733	1997-11-11	VYDAJ	VYBER	3800	16156	\N	\N	\N
507633	1733	1997-12-11	VYDAJ	VYBER	32300	38904	\N	\N	\N
507634	1733	1998-01-10	VYDAJ	VYBER	14000	25174	\N	\N	\N
507635	1733	1998-02-09	VYDAJ	VYBER	25600	39752	\N	\N	\N
507636	1733	1998-03-11	VYDAJ	VYBER	16100	37398	\N	\N	\N
507637	1733	1998-04-10	VYDAJ	VYBER	26400	46049	\N	\N	\N
507638	1733	1998-05-10	VYDAJ	VYBER	9000	31413	\N	\N	\N
507639	1733	1998-06-09	VYDAJ	VYBER	38200	46426	\N	\N	\N
507640	1733	1998-07-09	VYDAJ	VYBER	19100	24038	\N	\N	\N
507641	1733	1998-08-08	VYDAJ	VYBER	10700	17239	\N	\N	\N
507642	1733	1998-09-07	VYDAJ	VYBER	39700	49614	\N	\N	\N
507643	1733	1998-10-07	VYDAJ	VYBER	14200	29776	\N	\N	\N
507644	1733	1998-11-06	VYDAJ	VYBER	8200	15876	\N	\N	\N
507676	1734	1997-04-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
507680	1734	1997-04-12	PRIJEM	VKLAD	23715	24715	\N	\N	\N
507681	1734	1997-05-12	PRIJEM	VKLAD	23715	50495	\N	\N	\N
507682	1734	1997-06-12	PRIJEM	VKLAD	35572	74240	\N	\N	\N
507683	1734	1997-07-12	PRIJEM	VKLAD	23715	76628	\N	\N	\N
507684	1734	1997-08-12	PRIJEM	VKLAD	23715	78858	\N	\N	\N
507685	1734	1997-09-12	PRIJEM	VKLAD	23715	70190	\N	\N	\N
507686	1734	1997-10-12	PRIJEM	VKLAD	23715	62530	\N	\N	\N
507687	1734	1997-11-12	PRIJEM	VKLAD	23715	65114	\N	\N	\N
507688	1734	1997-12-12	PRIJEM	VKLAD	35572	76070	\N	\N	\N
507689	1734	1998-01-12	PRIJEM	VKLAD	23715	51258	\N	\N	\N
507690	1734	1998-02-12	PRIJEM	VKLAD	23715	54891	\N	\N	\N
507691	1734	1998-03-12	PRIJEM	VKLAD	23715	65530	\N	\N	\N
507692	1734	1998-04-12	PRIJEM	VKLAD	23715	73019	\N	\N	\N
507693	1734	1998-05-12	PRIJEM	VKLAD	23715	70138	\N	\N	\N
507694	1734	1998-06-12	PRIJEM	VKLAD	35572	86317	\N	\N	\N
507695	1734	1998-07-12	PRIJEM	VKLAD	23715	72324	\N	\N	\N
507696	1734	1998-08-12	PRIJEM	VKLAD	23715	73454	\N	\N	\N
507697	1734	1998-09-12	PRIJEM	VKLAD	23715	74390	\N	\N	\N
507698	1734	1998-10-12	PRIJEM	VKLAD	23715	73129	\N	\N	\N
507699	1734	1998-11-12	PRIJEM	VKLAD	23715	73067	\N	\N	\N
507700	1734	1998-12-12	PRIJEM	VKLAD	35572	83459	\N	\N	\N
507708	1734	1997-08-13	VYDAJ	PREVOD NA UCET	9431	69427	SIPO	UV	77629792
507709	1734	1997-09-13	VYDAJ	PREVOD NA UCET	9431	60759	SIPO	UV	77629792
507710	1734	1997-10-13	VYDAJ	PREVOD NA UCET	9431	53099	SIPO	UV	77629792
507711	1734	1997-11-13	VYDAJ	PREVOD NA UCET	9431	55683	SIPO	UV	77629792
507712	1734	1997-12-13	VYDAJ	PREVOD NA UCET	9431	66639	SIPO	UV	77629792
507713	1734	1998-01-13	VYDAJ	PREVOD NA UCET	9431	41827	SIPO	UV	77629792
507714	1734	1998-02-13	VYDAJ	PREVOD NA UCET	9431	45460	SIPO	UV	77629792
507715	1734	1998-03-13	VYDAJ	PREVOD NA UCET	9431	56099	SIPO	UV	77629792
507716	1734	1998-04-13	VYDAJ	PREVOD NA UCET	9431	63588	SIPO	UV	77629792
507717	1734	1998-05-13	VYDAJ	PREVOD NA UCET	9431	60707	SIPO	UV	77629792
507718	1734	1998-06-13	VYDAJ	PREVOD NA UCET	9431	76886	SIPO	UV	77629792
507719	1734	1998-07-13	VYDAJ	PREVOD NA UCET	9431	62893	SIPO	UV	77629792
507720	1734	1998-08-13	VYDAJ	PREVOD NA UCET	9431	64023	SIPO	UV	77629792
507721	1734	1998-09-13	VYDAJ	PREVOD NA UCET	9431	64959	SIPO	UV	77629792
507722	1734	1998-10-13	VYDAJ	PREVOD NA UCET	9431	63698	SIPO	UV	77629792
507723	1734	1998-11-13	VYDAJ	PREVOD NA UCET	9431	63636	SIPO	UV	77629792
507724	1734	1998-12-13	VYDAJ	PREVOD NA UCET	9431	74028	SIPO	UV	77629792
507726	1734	1998-06-24	VYDAJ	VYBER	14240	61646	\N	\N	\N
507728	1734	1998-01-06	VYDAJ	VYBER	14240	27543	\N	\N	\N
507729	1734	1997-12-21	VYDAJ	VYBER KARTOU	2600	64039	\N	\N	0
507730	1734	1998-12-30	VYDAJ	VYBER KARTOU	2600	71428	\N	\N	0
507737	1734	1998-01-14	VYDAJ	VYBER KARTOU	1900	39927	\N	\N	0
507738	1734	1998-01-20	VYDAJ	VYBER KARTOU	800	39127	\N	\N	0
507739	1734	1998-01-21	VYDAJ	VYBER KARTOU	1200	37927	\N	\N	0
507740	1734	1998-01-01	VYDAJ	VYBER KARTOU	3200	59883	\N	\N	0
507741	1734	1998-01-04	VYDAJ	VYBER KARTOU	3500	56383	\N	\N	0
507742	1734	1998-01-22	VYDAJ	VYBER KARTOU	2500	35427	\N	\N	0
507744	1734	1997-12-24	VYDAJ	VYBER KARTOU	1200	62839	\N	\N	0
507746	1734	1997-09-28	VYDAJ	VYBER	5040	55719	\N	\N	\N
507747	1734	1997-08-18	VYDAJ	VYBER	5520	63907	\N	\N	\N
507748	1734	1997-10-06	VYDAJ	VYBER	2640	53315	\N	\N	\N
507750	1734	1997-08-19	VYDAJ	VYBER	4800	59107	\N	\N	\N
507751	1734	1998-04-19	VYDAJ	VYBER KARTOU	3100	60488	\N	\N	0
507752	1734	1998-06-19	VYDAJ	VYBER KARTOU	1000	75886	\N	\N	0
507753	1734	1998-12-02	VYDAJ	VYBER KARTOU	4000	47887	\N	\N	0
507754	1734	1998-05-13	VYDAJ	VYBER KARTOU	2500	58207	\N	\N	0
507755	1734	1998-02-04	VYDAJ	VYBER KARTOU	1300	31176	\N	\N	0
507764	1734	1997-08-31	VYDAJ	VYBER	15	59375	SLUZBY	\N	\N
507765	1734	1997-09-30	VYDAJ	VYBER	15	55955	SLUZBY	\N	\N
507766	1734	1997-10-31	VYDAJ	VYBER	15	53299	SLUZBY	\N	\N
507767	1734	1997-11-30	VYDAJ	VYBER	15	55898	SLUZBY	\N	\N
507768	1734	1997-12-31	VYDAJ	VYBER	15	63083	SLUZBY	\N	\N
507769	1734	1998-01-31	VYDAJ	VYBER	15	35576	SLUZBY	\N	\N
507770	1734	1998-02-28	VYDAJ	VYBER	15	45615	SLUZBY	\N	\N
507771	1734	1998-03-31	VYDAJ	VYBER	15	56304	SLUZBY	\N	\N
507772	1734	1998-04-30	VYDAJ	VYBER	15	60723	SLUZBY	\N	\N
507773	1734	1998-05-31	VYDAJ	VYBER	15	58445	SLUZBY	\N	\N
507774	1734	1998-06-30	VYDAJ	VYBER	15	61909	SLUZBY	\N	\N
507775	1734	1998-07-31	VYDAJ	VYBER	15	63139	SLUZBY	\N	\N
507776	1734	1998-08-31	VYDAJ	VYBER	15	64275	SLUZBY	\N	\N
507777	1734	1998-09-30	VYDAJ	VYBER	15	65214	SLUZBY	\N	\N
507778	1734	1998-10-31	VYDAJ	VYBER	15	63952	SLUZBY	\N	\N
507779	1734	1998-11-30	VYDAJ	VYBER	15	63887	SLUZBY	\N	\N
507780	1734	1997-05-10	PRIJEM	VKLAD	2000	26780	\N	\N	\N
507781	1734	1997-06-09	VYDAJ	VYBER	12000	38668	\N	\N	\N
507782	1734	1997-07-09	VYDAJ	VYBER	21600	52913	\N	\N	\N
507783	1734	1997-08-08	VYDAJ	VYBER	21800	55143	\N	\N	\N
507784	1734	1997-09-07	VYDAJ	VYBER	12900	46475	\N	\N	\N
507785	1734	1997-10-07	VYDAJ	VYBER	14500	38815	\N	\N	\N
507786	1734	1997-11-06	VYDAJ	VYBER	11900	41399	\N	\N	\N
507787	1734	1997-12-06	VYDAJ	VYBER	15400	40498	\N	\N	\N
507788	1734	1998-01-05	VYDAJ	VYBER	14600	41783	\N	\N	\N
507789	1734	1998-02-04	VYDAJ	VYBER KARTOU	3100	32476	\N	\N	0
507790	1734	1998-03-06	VYDAJ	VYBER KARTOU	3800	41815	\N	\N	0
507791	1734	1998-04-05	VYDAJ	VYBER	7000	49304	\N	\N	\N
507792	1734	1998-05-05	VYDAJ	VYBER	14300	46423	\N	\N	\N
507793	1734	1998-06-04	VYDAJ	VYBER	7700	50745	\N	\N	\N
507794	1734	1998-07-04	VYDAJ	VYBER	13300	48609	\N	\N	\N
507795	1734	1998-08-03	VYDAJ	VYBER	13400	49739	\N	\N	\N
507796	1734	1998-09-02	VYDAJ	VYBER	13600	50675	\N	\N	\N
507797	1734	1998-10-02	VYDAJ	VYBER	15800	49414	\N	\N	\N
507798	1734	1998-11-01	VYDAJ	VYBER	14600	49352	\N	\N	\N
507799	1734	1998-12-01	VYDAJ	VYBER	12000	51887	\N	\N	\N
507821	1735	1996-12-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
507903	1735	1997-01-03	PRIJEM	VKLAD	14400	15500	\N	\N	\N
507904	1735	1997-02-02	PRIJEM	VKLAD	4700	20200	\N	\N	\N
507905	1735	1997-03-04	PRIJEM	VKLAD	3800	24000	\N	\N	\N
507906	1735	1997-04-03	VYDAJ	VYBER	2400	21600	\N	\N	\N
507907	1735	1997-05-03	VYDAJ	VYBER	2600	19000	\N	\N	\N
507908	1735	1997-06-02	VYDAJ	VYBER	2400	16600	\N	\N	\N
507909	1735	1997-07-02	PRIJEM	VKLAD	800	17400	\N	\N	\N
507910	1735	1997-08-01	VYDAJ	VYBER	3100	14300	\N	\N	\N
507911	1735	1997-08-31	VYDAJ	VYBER	300	14002	\N	\N	\N
507912	1735	1997-10-30	VYDAJ	VYBER	2300	11702	\N	\N	\N
507913	1735	1997-11-29	VYDAJ	VYBER	300	11460	\N	\N	\N
507914	1735	1998-01-28	PRIJEM	VKLAD	1000	12519	\N	\N	\N
507915	1735	1998-02-27	VYDAJ	VYBER	2200	10377	\N	\N	\N
507916	1735	1998-03-29	VYDAJ	VYBER	900	9535	\N	\N	\N
507922	1736	1997-02-26	PRIJEM	VKLAD	900	900	\N	\N	\N
507925	1736	1997-03-06	PRIJEM	PREVOD Z UCTU	6075	6975	DUCHOD	QR	47982800
507926	1736	1997-04-06	PRIJEM	PREVOD Z UCTU	6075	13050	DUCHOD	QR	47982800
507927	1736	1997-05-06	PRIJEM	PREVOD Z UCTU	6075	19125	DUCHOD	QR	47982800
507928	1736	1997-06-06	PRIJEM	PREVOD Z UCTU	6075	25200	DUCHOD	QR	47982800
507929	1736	1997-07-06	PRIJEM	PREVOD Z UCTU	6075	31275	DUCHOD	QR	47982800
507930	1736	1997-08-06	PRIJEM	PREVOD Z UCTU	6075	30570	DUCHOD	QR	47982800
507931	1736	1997-09-06	PRIJEM	PREVOD Z UCTU	6075	33088	DUCHOD	QR	47982800
507932	1736	1997-10-06	PRIJEM	PREVOD Z UCTU	6075	35615	DUCHOD	QR	47982800
507933	1736	1997-11-06	PRIJEM	PREVOD Z UCTU	6075	38141	DUCHOD	QR	47982800
507934	1736	1997-12-06	PRIJEM	PREVOD Z UCTU	6075	40689	DUCHOD	QR	47982800
507935	1736	1998-01-06	PRIJEM	PREVOD Z UCTU	6075	41232	DUCHOD	QR	47982800
507936	1736	1998-02-06	PRIJEM	PREVOD Z UCTU	6075	30964	DUCHOD	QR	47982800
507937	1736	1998-03-06	PRIJEM	PREVOD Z UCTU	6075	33482	DUCHOD	QR	47982800
507938	1736	1998-04-06	PRIJEM	PREVOD Z UCTU	6075	36011	DUCHOD	QR	47982800
507939	1736	1998-05-06	PRIJEM	PREVOD Z UCTU	6075	38539	DUCHOD	QR	47982800
507940	1736	1998-06-06	PRIJEM	PREVOD Z UCTU	6075	28439	DUCHOD	QR	47982800
507941	1736	1998-07-06	PRIJEM	PREVOD Z UCTU	6075	29741	DUCHOD	QR	47982800
507942	1736	1998-08-06	PRIJEM	PREVOD Z UCTU	6075	32254	DUCHOD	QR	47982800
507943	1736	1998-09-06	PRIJEM	PREVOD Z UCTU	6075	30917	DUCHOD	QR	47982800
507944	1736	1998-10-06	PRIJEM	PREVOD Z UCTU	6075	30700	DUCHOD	QR	47982800
507945	1736	1998-11-06	PRIJEM	PREVOD Z UCTU	6075	30556	DUCHOD	QR	47982800
507946	1736	1998-12-06	PRIJEM	PREVOD Z UCTU	6075	26912	DUCHOD	QR	47982800
507953	1736	1997-07-06	VYDAJ	PREVOD NA UCET	3666	27609	SIPO	MN	76685434
507954	1736	1997-08-06	VYDAJ	PREVOD NA UCET	3666	26904	SIPO	MN	76685434
507955	1736	1997-09-06	VYDAJ	PREVOD NA UCET	3666	29422	SIPO	MN	76685434
507956	1736	1997-10-06	VYDAJ	PREVOD NA UCET	3666	31949	SIPO	MN	76685434
507957	1736	1997-11-06	VYDAJ	PREVOD NA UCET	3666	34475	SIPO	MN	76685434
507958	1736	1997-12-06	VYDAJ	PREVOD NA UCET	3666	37023	SIPO	MN	76685434
507959	1736	1998-01-06	VYDAJ	PREVOD NA UCET	3666	37566	SIPO	MN	76685434
507960	1736	1998-02-06	VYDAJ	PREVOD NA UCET	3666	27298	SIPO	MN	76685434
507961	1736	1998-03-06	VYDAJ	PREVOD NA UCET	3666	29816	SIPO	MN	76685434
507962	1736	1998-04-06	VYDAJ	PREVOD NA UCET	3666	32345	SIPO	MN	76685434
507963	1736	1998-05-06	VYDAJ	PREVOD NA UCET	3666	34873	SIPO	MN	76685434
507964	1736	1998-06-06	VYDAJ	PREVOD NA UCET	3666	24773	SIPO	MN	76685434
507965	1736	1998-07-06	VYDAJ	PREVOD NA UCET	3666	26075	SIPO	MN	76685434
507966	1736	1998-08-06	VYDAJ	PREVOD NA UCET	3666	28588	SIPO	MN	76685434
507967	1736	1998-09-06	VYDAJ	PREVOD NA UCET	3666	27251	SIPO	MN	76685434
507968	1736	1998-10-06	VYDAJ	PREVOD NA UCET	3666	27034	SIPO	MN	76685434
507969	1736	1998-11-06	VYDAJ	PREVOD NA UCET	3666	26890	SIPO	MN	76685434
507970	1736	1998-12-06	VYDAJ	PREVOD NA UCET	3666	23246	SIPO	MN	76685434
507972	1736	1998-06-04	VYDAJ	VYBER	12650	22364	\N	\N	\N
507974	1736	1998-01-16	VYDAJ	VYBER	3200	32526	\N	\N	\N
507975	1736	1997-12-24	VYDAJ	VYBER	1450	35013	\N	\N	\N
507976	1736	1998-12-05	VYDAJ	VYBER	300	20837	\N	\N	\N
507983	1736	1998-01-27	VYDAJ	VYBER	1360	26846	\N	\N	\N
507984	1736	1998-01-26	VYDAJ	VYBER	400	28206	\N	\N	\N
507985	1736	1998-01-18	VYDAJ	VYBER	2320	30206	\N	\N	\N
507986	1736	1998-01-13	VYDAJ	VYBER	1440	35726	\N	\N	\N
507987	1736	1998-01-11	VYDAJ	VYBER	400	37166	\N	\N	\N
507988	1736	1998-01-30	VYDAJ	VYBER	2080	24766	\N	\N	\N
507993	1736	1997-07-23	VYDAJ	VYBER	3200	24409	\N	\N	\N
507994	1736	1997-12-23	VYDAJ	VYBER	560	36463	\N	\N	\N
507995	1736	1998-11-17	VYDAJ	VYBER	2640	24250	\N	\N	\N
507996	1736	1998-10-07	VYDAJ	VYBER	2640	24394	\N	\N	\N
507997	1736	1998-09-22	VYDAJ	VYBER	2720	24531	\N	\N	\N
507998	1736	1998-01-23	VYDAJ	VYBER	1600	28606	\N	\N	\N
507999	1736	1998-11-24	VYDAJ	VYBER	3200	21050	\N	\N	\N
508000	1736	1998-08-16	VYDAJ	VYBER	3840	24748	\N	\N	\N
508001	1736	1998-06-14	VYDAJ	VYBER	1200	23573	\N	\N	\N
508009	1736	1997-07-31	VYDAJ	VYBER	15	24495	SLUZBY	\N	\N
508010	1736	1997-08-31	VYDAJ	VYBER	15	27013	SLUZBY	\N	\N
508011	1736	1997-09-30	VYDAJ	VYBER	15	29540	SLUZBY	\N	\N
508012	1736	1997-10-31	VYDAJ	VYBER	15	32066	SLUZBY	\N	\N
508013	1736	1997-11-30	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
508014	1736	1997-12-31	VYDAJ	VYBER	15	35157	SLUZBY	\N	\N
508015	1736	1998-01-31	VYDAJ	VYBER	15	24889	SLUZBY	\N	\N
508016	1736	1998-02-28	VYDAJ	VYBER	15	27407	SLUZBY	\N	\N
508017	1736	1998-03-31	VYDAJ	VYBER	15	29936	SLUZBY	\N	\N
508018	1736	1998-04-30	VYDAJ	VYBER	15	32464	SLUZBY	\N	\N
508019	1736	1998-05-31	VYDAJ	VYBER	15	35014	SLUZBY	\N	\N
508020	1736	1998-06-30	VYDAJ	VYBER	15	23666	SLUZBY	\N	\N
508021	1736	1998-07-31	VYDAJ	VYBER	15	26179	SLUZBY	\N	\N
508022	1736	1998-08-31	VYDAJ	VYBER	15	24842	SLUZBY	\N	\N
508023	1736	1998-09-30	VYDAJ	VYBER	15	24625	SLUZBY	\N	\N
508024	1736	1998-10-31	VYDAJ	VYBER	15	24481	SLUZBY	\N	\N
508025	1736	1998-11-30	VYDAJ	VYBER	15	21137	SLUZBY	\N	\N
508044	1737	1996-02-13	PRIJEM	VKLAD	600	600	\N	\N	\N
508047	1737	1996-03-13	PRIJEM	VKLAD	12252	12852	\N	\N	\N
508048	1737	1996-04-13	PRIJEM	VKLAD	12252	29345	\N	\N	\N
508049	1737	1996-05-13	PRIJEM	VKLAD	12252	38299	\N	\N	\N
508050	1737	1996-06-13	PRIJEM	VKLAD	18378	43095	\N	\N	\N
508051	1737	1996-07-13	PRIJEM	VKLAD	12252	47501	\N	\N	\N
508052	1737	1996-08-13	PRIJEM	VKLAD	12252	43027	\N	\N	\N
508053	1737	1996-09-13	PRIJEM	VKLAD	12252	39936	\N	\N	\N
508054	1737	1996-10-13	PRIJEM	VKLAD	12252	42699	\N	\N	\N
508055	1737	1996-11-13	PRIJEM	VKLAD	12252	42973	\N	\N	\N
508056	1737	1996-12-13	PRIJEM	VKLAD	18378	48136	\N	\N	\N
508057	1737	1997-01-13	PRIJEM	VKLAD	12252	46026	\N	\N	\N
508058	1737	1997-02-13	PRIJEM	VKLAD	12252	43918	\N	\N	\N
508059	1737	1997-03-13	PRIJEM	VKLAD	12252	46998	\N	\N	\N
508060	1737	1997-04-13	PRIJEM	VKLAD	12252	47589	\N	\N	\N
508061	1737	1997-05-13	PRIJEM	VKLAD	12252	49283	\N	\N	\N
508062	1737	1997-06-13	PRIJEM	VKLAD	18378	56410	\N	\N	\N
508063	1737	1997-07-13	PRIJEM	VKLAD	12252	48987	\N	\N	\N
508064	1737	1997-08-13	PRIJEM	VKLAD	12252	40142	\N	\N	\N
508065	1737	1997-09-13	PRIJEM	VKLAD	12252	37147	\N	\N	\N
508066	1737	1997-10-13	PRIJEM	VKLAD	12252	37798	\N	\N	\N
508067	1737	1997-11-13	PRIJEM	VKLAD	12252	36651	\N	\N	\N
508068	1737	1997-12-13	PRIJEM	VKLAD	18378	45426	\N	\N	\N
508069	1737	1998-01-13	PRIJEM	VKLAD	12252	41052	\N	\N	\N
508070	1737	1998-02-13	PRIJEM	VKLAD	12252	40619	\N	\N	\N
508071	1737	1998-03-13	PRIJEM	VKLAD	12252	41683	\N	\N	\N
508072	1737	1998-04-13	PRIJEM	VKLAD	12252	38652	\N	\N	\N
508073	1737	1998-05-13	PRIJEM	VKLAD	12252	39710	\N	\N	\N
508074	1737	1998-06-13	PRIJEM	VKLAD	18378	44796	\N	\N	\N
508075	1737	1998-07-13	PRIJEM	VKLAD	12252	32791	\N	\N	\N
508076	1737	1998-08-13	PRIJEM	VKLAD	12252	34913	\N	\N	\N
508077	1737	1998-09-13	PRIJEM	VKLAD	12252	35651	\N	\N	\N
508078	1737	1998-10-13	PRIJEM	VKLAD	12252	39188	\N	\N	\N
508079	1737	1998-11-13	PRIJEM	VKLAD	12252	39756	\N	\N	\N
508080	1737	1998-12-13	PRIJEM	VKLAD	18378	47073	\N	\N	\N
508088	1737	1996-08-08	VYDAJ	PREVOD NA UCET	3103	31675	SIPO	GH	66021996
508089	1737	1996-09-08	VYDAJ	PREVOD NA UCET	3103	30184	SIPO	GH	66021996
508090	1737	1996-10-08	VYDAJ	PREVOD NA UCET	3103	34647	SIPO	GH	66021996
508091	1737	1996-11-08	VYDAJ	PREVOD NA UCET	3103	37421	SIPO	GH	66021996
508092	1737	1996-12-08	VYDAJ	PREVOD NA UCET	3103	37698	SIPO	GH	66021996
508093	1737	1997-01-08	VYDAJ	PREVOD NA UCET	3103	42874	SIPO	GH	66021996
508094	1737	1997-02-08	VYDAJ	PREVOD NA UCET	3103	31666	SIPO	GH	66021996
508095	1737	1997-03-08	VYDAJ	PREVOD NA UCET	3103	38646	SIPO	GH	66021996
508096	1737	1997-04-08	VYDAJ	PREVOD NA UCET	3103	41737	SIPO	GH	66021996
508097	1737	1997-05-08	VYDAJ	PREVOD NA UCET	3103	37031	SIPO	GH	66021996
508098	1737	1997-06-08	VYDAJ	PREVOD NA UCET	3103	38032	SIPO	GH	66021996
508099	1737	1997-07-08	VYDAJ	PREVOD NA UCET	3103	36735	SIPO	GH	66021996
508100	1737	1997-08-08	VYDAJ	PREVOD NA UCET	3103	31970	SIPO	GH	66021996
508101	1737	1997-09-08	VYDAJ	PREVOD NA UCET	3103	24895	SIPO	GH	66021996
508102	1737	1997-10-08	VYDAJ	PREVOD NA UCET	3103	25546	SIPO	GH	66021996
508103	1737	1997-11-08	VYDAJ	PREVOD NA UCET	3103	24399	SIPO	GH	66021996
508104	1737	1997-12-08	VYDAJ	PREVOD NA UCET	3103	27048	SIPO	GH	66021996
508105	1737	1998-01-08	VYDAJ	PREVOD NA UCET	3103	28800	SIPO	GH	66021996
508106	1737	1998-02-08	VYDAJ	PREVOD NA UCET	3103	28367	SIPO	GH	66021996
508107	1737	1998-03-08	VYDAJ	PREVOD NA UCET	3103	29431	SIPO	GH	66021996
508108	1737	1998-04-08	VYDAJ	PREVOD NA UCET	3103	26400	SIPO	GH	66021996
508109	1737	1998-05-08	VYDAJ	PREVOD NA UCET	3103	27458	SIPO	GH	66021996
508110	1737	1998-06-08	VYDAJ	PREVOD NA UCET	3103	26418	SIPO	GH	66021996
508111	1737	1998-07-08	VYDAJ	PREVOD NA UCET	3103	20539	SIPO	GH	66021996
508112	1737	1998-08-08	VYDAJ	PREVOD NA UCET	3103	22661	SIPO	GH	66021996
508113	1737	1998-09-08	VYDAJ	PREVOD NA UCET	3103	23399	SIPO	GH	66021996
508114	1737	1998-10-08	VYDAJ	PREVOD NA UCET	3103	26936	SIPO	GH	66021996
508115	1737	1998-11-08	VYDAJ	PREVOD NA UCET	3103	27504	SIPO	GH	66021996
508116	1737	1998-12-08	VYDAJ	PREVOD NA UCET	3103	28695	SIPO	GH	66021996
508124	1737	1996-08-07	VYDAJ	PREVOD NA UCET	2329	34778	 	QR	67832314
508125	1737	1996-09-07	VYDAJ	PREVOD NA UCET	2329	33287	 	QR	67832314
508126	1737	1996-10-07	VYDAJ	PREVOD NA UCET	2329	37750	 	QR	67832314
508127	1737	1996-11-07	VYDAJ	PREVOD NA UCET	2329	40524	 	QR	67832314
508128	1737	1996-12-07	VYDAJ	PREVOD NA UCET	2329	40801	 	QR	67832314
508129	1737	1997-01-07	VYDAJ	PREVOD NA UCET	2329	45977	 	QR	67832314
508130	1737	1997-02-07	VYDAJ	PREVOD NA UCET	2329	34769	 	QR	67832314
508131	1737	1997-03-07	VYDAJ	PREVOD NA UCET	2329	41749	 	QR	67832314
508132	1737	1997-04-07	VYDAJ	PREVOD NA UCET	2329	44840	 	QR	67832314
508133	1737	1997-05-07	VYDAJ	PREVOD NA UCET	2329	45434	 	QR	67832314
508134	1737	1997-06-07	VYDAJ	PREVOD NA UCET	2329	47135	 	QR	67832314
508135	1737	1997-07-07	VYDAJ	PREVOD NA UCET	2329	39838	 	QR	67832314
508136	1737	1997-08-07	VYDAJ	PREVOD NA UCET	2329	35073	 	QR	67832314
508137	1737	1997-09-07	VYDAJ	PREVOD NA UCET	2329	27998	 	QR	67832314
508138	1737	1997-10-07	VYDAJ	PREVOD NA UCET	2329	28649	 	QR	67832314
508139	1737	1997-11-07	VYDAJ	PREVOD NA UCET	2329	27502	 	QR	67832314
508140	1737	1997-12-07	VYDAJ	PREVOD NA UCET	2329	30151	 	QR	67832314
508141	1737	1998-01-07	VYDAJ	PREVOD NA UCET	2329	31903	 	QR	67832314
508142	1737	1998-02-07	VYDAJ	PREVOD NA UCET	2329	31470	 	QR	67832314
508143	1737	1998-03-07	VYDAJ	PREVOD NA UCET	2329	32534	 	QR	67832314
508144	1737	1998-04-07	VYDAJ	PREVOD NA UCET	2329	29503	 	QR	67832314
508145	1737	1998-05-07	VYDAJ	PREVOD NA UCET	2329	30561	 	QR	67832314
508146	1737	1998-06-07	VYDAJ	PREVOD NA UCET	2329	29521	 	QR	67832314
508147	1737	1998-07-07	VYDAJ	PREVOD NA UCET	2329	23642	 	QR	67832314
508148	1737	1998-08-07	VYDAJ	PREVOD NA UCET	2329	25764	 	QR	67832314
508149	1737	1998-09-07	VYDAJ	PREVOD NA UCET	2329	26502	 	QR	67832314
508150	1737	1998-10-07	VYDAJ	PREVOD NA UCET	2329	30039	 	QR	67832314
508151	1737	1998-11-07	VYDAJ	PREVOD NA UCET	2329	30607	 	QR	67832314
508152	1737	1998-12-07	VYDAJ	PREVOD NA UCET	2329	31798	 	QR	67832314
508154	1737	1997-06-28	VYDAJ	VYBER	10240	46170	\N	\N	\N
508155	1737	1998-06-14	VYDAJ	VYBER	24320	20476	\N	\N	\N
508156	1737	1996-12-10	VYDAJ	VYBER	1440	29758	\N	\N	\N
508157	1737	1997-12-15	VYDAJ	VYBER	3040	42386	\N	\N	\N
508158	1737	1998-12-20	VYDAJ	VYBER	2720	44353	\N	\N	\N
508159	1737	1996-08-04	VYDAJ	VYBER	1560	41187	\N	\N	\N
508160	1737	1996-08-14	VYDAJ	VYBER	2640	40387	\N	\N	\N
508161	1737	1996-07-16	VYDAJ	VYBER	4920	42581	\N	\N	\N
508162	1737	1996-09-05	VYDAJ	VYBER	4920	35616	\N	\N	\N
508164	1737	1996-08-04	VYDAJ	VYBER	4080	37107	\N	\N	\N
508165	1737	1997-08-30	VYDAJ	VYBER	2760	37382	\N	\N	\N
508166	1737	1997-07-28	VYDAJ	VYBER	5760	43227	\N	\N	\N
508167	1737	1997-02-06	VYDAJ	VYBER	3000	43198	\N	\N	\N
508168	1737	1997-08-09	VYDAJ	VYBER	4080	27890	\N	\N	\N
508169	1737	1998-10-25	VYDAJ	VYBER	5880	33308	\N	\N	\N
508170	1737	1998-11-13	VYDAJ	VYBER	960	38796	\N	\N	\N
508178	1737	1996-07-31	VYDAJ	VYBER	15	42747	SLUZBY	\N	\N
508179	1737	1996-08-31	VYDAJ	VYBER	15	40536	SLUZBY	\N	\N
508180	1737	1996-09-30	VYDAJ	VYBER	15	40079	SLUZBY	\N	\N
508181	1737	1996-10-31	VYDAJ	VYBER	15	42853	SLUZBY	\N	\N
508182	1737	1996-11-30	VYDAJ	VYBER	15	43130	SLUZBY	\N	\N
508183	1737	1996-12-31	VYDAJ	VYBER	15	48306	SLUZBY	\N	\N
508184	1737	1997-01-31	VYDAJ	VYBER	15	46198	SLUZBY	\N	\N
508185	1737	1997-02-28	VYDAJ	VYBER	15	44078	SLUZBY	\N	\N
508186	1737	1997-03-31	VYDAJ	VYBER	15	47169	SLUZBY	\N	\N
508187	1737	1997-04-30	VYDAJ	VYBER	15	47763	SLUZBY	\N	\N
508188	1737	1997-05-31	VYDAJ	VYBER	15	49464	SLUZBY	\N	\N
508189	1737	1997-06-30	VYDAJ	VYBER	15	46367	SLUZBY	\N	\N
508190	1737	1997-07-31	VYDAJ	VYBER	15	43402	SLUZBY	\N	\N
508191	1737	1997-08-31	VYDAJ	VYBER	15	37527	SLUZBY	\N	\N
508192	1737	1997-09-30	VYDAJ	VYBER	15	37278	SLUZBY	\N	\N
508193	1737	1997-10-31	VYDAJ	VYBER	15	37931	SLUZBY	\N	\N
508194	1737	1997-11-30	VYDAJ	VYBER	15	36780	SLUZBY	\N	\N
508195	1737	1997-12-31	VYDAJ	VYBER	15	42532	SLUZBY	\N	\N
508196	1737	1998-01-31	VYDAJ	VYBER	15	41199	SLUZBY	\N	\N
508197	1737	1998-02-28	VYDAJ	VYBER	15	40763	SLUZBY	\N	\N
508198	1737	1998-03-31	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
508199	1737	1998-04-30	VYDAJ	VYBER	15	38790	SLUZBY	\N	\N
508200	1737	1998-05-31	VYDAJ	VYBER	15	39850	SLUZBY	\N	\N
508201	1737	1998-06-30	VYDAJ	VYBER	15	20571	SLUZBY	\N	\N
508202	1737	1998-07-31	VYDAJ	VYBER	15	32893	SLUZBY	\N	\N
508203	1737	1998-08-31	VYDAJ	VYBER	15	28831	SLUZBY	\N	\N
508204	1737	1998-09-30	VYDAJ	VYBER	15	35768	SLUZBY	\N	\N
508205	1737	1998-10-31	VYDAJ	VYBER	15	32936	SLUZBY	\N	\N
508206	1737	1998-11-30	VYDAJ	VYBER	15	34127	SLUZBY	\N	\N
508207	1737	1996-03-14	PRIJEM	VKLAD	4200	17052	\N	\N	\N
508208	1737	1996-04-13	VYDAJ	VYBER	3400	25945	\N	\N	\N
508209	1737	1996-05-13	VYDAJ	VYBER	10500	27799	\N	\N	\N
508210	1737	1996-06-12	VYDAJ	VYBER	3200	24717	\N	\N	\N
508211	1737	1996-07-12	VYDAJ	VYBER	8000	35249	\N	\N	\N
508212	1737	1996-08-11	VYDAJ	VYBER	900	30775	\N	\N	\N
508213	1737	1996-09-10	VYDAJ	VYBER	2500	27684	\N	\N	\N
508214	1737	1996-10-10	VYDAJ	VYBER	4200	30447	\N	\N	\N
508215	1737	1996-11-09	VYDAJ	VYBER	6700	30721	\N	\N	\N
508216	1737	1996-12-09	VYDAJ	VYBER	6500	31198	\N	\N	\N
508217	1737	1997-01-08	VYDAJ	VYBER	9100	33774	\N	\N	\N
508218	1737	1997-02-07	VYDAJ	VYBER	6100	37098	\N	\N	\N
508219	1737	1997-03-09	VYDAJ	VYBER	3900	34746	\N	\N	\N
508220	1737	1997-04-08	VYDAJ	VYBER	6400	35337	\N	\N	\N
508221	1737	1997-05-08	VYDAJ	VYBER	5300	40134	\N	\N	\N
508222	1737	1997-06-07	VYDAJ	VYBER	6000	41135	\N	\N	\N
508223	1737	1997-07-07	VYDAJ	VYBER	4200	42167	\N	\N	\N
508224	1737	1997-08-06	VYDAJ	VYBER	6000	37402	\N	\N	\N
508225	1737	1997-09-05	VYDAJ	VYBER	7200	30327	\N	\N	\N
508226	1737	1997-10-05	VYDAJ	VYBER	6300	30978	\N	\N	\N
508227	1737	1997-11-04	VYDAJ	VYBER	8100	29831	\N	\N	\N
508228	1737	1997-12-04	VYDAJ	VYBER	4300	32480	\N	\N	\N
508229	1737	1998-01-03	VYDAJ	VYBER	8300	34232	\N	\N	\N
508230	1737	1998-02-02	VYDAJ	VYBER	7400	33799	\N	\N	\N
508231	1737	1998-03-04	VYDAJ	VYBER	5900	34863	\N	\N	\N
508232	1737	1998-04-03	VYDAJ	VYBER	10000	31832	\N	\N	\N
508233	1737	1998-05-03	VYDAJ	VYBER	5900	32890	\N	\N	\N
508234	1737	1998-06-02	VYDAJ	VYBER	8000	31850	\N	\N	\N
508235	1737	1998-07-02	PRIJEM	VKLAD	5400	25971	\N	\N	\N
508236	1737	1998-08-01	VYDAJ	VYBER	4800	28093	\N	\N	\N
508237	1737	1998-08-31	VYDAJ	VYBER	6200	28846	\N	\N	\N
508238	1737	1998-09-30	VYDAJ	VYBER	3400	32368	\N	\N	\N
508239	1737	1998-10-30	VYDAJ	VYBER	500	32808	\N	\N	\N
508240	1737	1998-11-29	VYDAJ	VYBER	4800	33996	\N	\N	\N
508275	1738	1996-08-06	PRIJEM	VKLAD	400	400	\N	\N	\N
508283	1738	1996-08-06	PRIJEM	PREVOD Z UCTU	2997	3397	\N	YZ	59372121
508284	1738	1996-09-06	PRIJEM	PREVOD Z UCTU	2997	6395	\N	YZ	59372121
508285	1738	1996-10-06	PRIJEM	PREVOD Z UCTU	2997	9394	\N	YZ	59372121
508286	1738	1996-11-06	PRIJEM	PREVOD Z UCTU	2997	12393	\N	YZ	59372121
508287	1738	1996-12-06	PRIJEM	PREVOD Z UCTU	2997	15391	\N	YZ	59372121
508288	1738	1997-01-06	PRIJEM	PREVOD Z UCTU	2997	15602	\N	YZ	59372121
508289	1738	1997-02-06	PRIJEM	PREVOD Z UCTU	2997	15260	\N	YZ	59372121
508290	1738	1997-03-06	PRIJEM	PREVOD Z UCTU	2997	16298	\N	YZ	59372121
508291	1738	1997-04-06	PRIJEM	PREVOD Z UCTU	2997	17341	\N	YZ	59372121
508292	1738	1997-05-06	PRIJEM	PREVOD Z UCTU	2997	14888	\N	YZ	59372121
508293	1738	1997-06-06	PRIJEM	PREVOD Z UCTU	2997	13630	\N	YZ	59372121
508294	1738	1997-07-06	PRIJEM	PREVOD Z UCTU	2997	14665	\N	YZ	59372121
508295	1738	1997-08-06	PRIJEM	PREVOD Z UCTU	2997	14350	\N	YZ	59372121
508296	1738	1997-09-06	PRIJEM	PREVOD Z UCTU	2997	15384	\N	YZ	59372121
508297	1738	1997-10-06	PRIJEM	PREVOD Z UCTU	2997	16423	\N	YZ	59372121
508298	1738	1997-11-06	PRIJEM	PREVOD Z UCTU	2997	16535	\N	YZ	59372121
508299	1738	1997-12-06	PRIJEM	PREVOD Z UCTU	2997	16748	\N	YZ	59372121
508300	1738	1998-01-06	PRIJEM	PREVOD Z UCTU	2997	15812	\N	YZ	59372121
508301	1738	1998-02-06	PRIJEM	PREVOD Z UCTU	2997	15864	\N	YZ	59372121
508302	1738	1998-03-06	PRIJEM	PREVOD Z UCTU	2997	16105	\N	YZ	59372121
508303	1738	1998-04-06	PRIJEM	PREVOD Z UCTU	2997	14345	\N	YZ	59372121
508304	1738	1998-05-06	PRIJEM	PREVOD Z UCTU	2997	15380	\N	YZ	59372121
508305	1738	1998-06-06	PRIJEM	PREVOD Z UCTU	2997	15618	\N	YZ	59372121
508306	1738	1998-07-06	PRIJEM	PREVOD Z UCTU	2997	16658	\N	YZ	59372121
508307	1738	1998-08-06	PRIJEM	PREVOD Z UCTU	2997	17702	\N	YZ	59372121
508308	1738	1998-09-06	PRIJEM	PREVOD Z UCTU	2997	18750	\N	YZ	59372121
508309	1738	1998-10-06	PRIJEM	PREVOD Z UCTU	2997	13998	\N	YZ	59372121
508310	1738	1998-11-06	PRIJEM	PREVOD Z UCTU	2997	15031	\N	YZ	59372121
508311	1738	1998-12-06	PRIJEM	PREVOD Z UCTU	2997	15067	\N	YZ	59372121
508323	1738	1996-12-12	VYDAJ	PREVOD NA UCET	1998	13393	\N	MN	79240321
508324	1738	1997-01-12	VYDAJ	PREVOD NA UCET	1998	12224	\N	MN	79240321
508325	1738	1997-02-12	VYDAJ	PREVOD NA UCET	1998	13262	\N	MN	79240321
508326	1738	1997-03-12	VYDAJ	PREVOD NA UCET	1998	14300	\N	MN	79240321
508327	1738	1997-04-12	VYDAJ	PREVOD NA UCET	1998	15343	\N	MN	79240321
508328	1738	1997-05-12	VYDAJ	PREVOD NA UCET	1998	12890	\N	MN	79240321
508329	1738	1997-06-12	VYDAJ	PREVOD NA UCET	1998	11632	\N	MN	79240321
508330	1738	1997-07-12	VYDAJ	PREVOD NA UCET	1998	11317	\N	MN	79240321
508331	1738	1997-08-12	VYDAJ	PREVOD NA UCET	1998	12352	\N	MN	79240321
508332	1738	1997-09-12	VYDAJ	PREVOD NA UCET	1998	13386	\N	MN	79240321
508333	1738	1997-10-12	VYDAJ	PREVOD NA UCET	1998	13495	\N	MN	79240321
508334	1738	1997-11-12	VYDAJ	PREVOD NA UCET	1998	14537	\N	MN	79240321
508335	1738	1997-12-12	VYDAJ	PREVOD NA UCET	1998	14750	\N	MN	79240321
508336	1738	1998-01-12	VYDAJ	PREVOD NA UCET	1998	13274	\N	MN	79240321
508337	1738	1998-02-12	VYDAJ	PREVOD NA UCET	1998	13866	\N	MN	79240321
508338	1738	1998-03-12	VYDAJ	PREVOD NA UCET	1998	14107	\N	MN	79240321
508339	1738	1998-04-12	VYDAJ	PREVOD NA UCET	1998	12347	\N	MN	79240321
508340	1738	1998-05-12	VYDAJ	PREVOD NA UCET	1998	13382	\N	MN	79240321
508341	1738	1998-06-12	VYDAJ	PREVOD NA UCET	1998	13620	\N	MN	79240321
508342	1738	1998-07-12	VYDAJ	PREVOD NA UCET	1998	14660	\N	MN	79240321
508343	1738	1998-08-12	VYDAJ	PREVOD NA UCET	1998	15704	\N	MN	79240321
508344	1738	1998-09-12	VYDAJ	PREVOD NA UCET	1998	16752	\N	MN	79240321
508345	1738	1998-10-12	VYDAJ	PREVOD NA UCET	1998	12000	\N	MN	79240321
508346	1738	1998-11-12	VYDAJ	PREVOD NA UCET	1998	13033	\N	MN	79240321
508347	1738	1998-12-12	VYDAJ	PREVOD NA UCET	1998	13069	\N	MN	79240321
508354	1738	1996-12-17	VYDAJ	VYBER	330	13063	\N	\N	\N
508355	1738	1997-12-20	VYDAJ	VYBER	450	14300	\N	\N	\N
508363	1738	1997-01-11	VYDAJ	VYBER	180	14222	\N	\N	\N
508364	1738	1997-01-09	VYDAJ	VYBER	480	14402	\N	\N	\N
508367	1738	1997-01-08	VYDAJ	VYBER	720	14882	\N	\N	\N
508369	1738	1998-01-02	VYDAJ	VYBER	810	13535	\N	\N	\N
508370	1738	1998-01-28	VYDAJ	VYBER	450	12824	\N	\N	\N
508372	1738	1998-01-09	VYDAJ	VYBER	540	15272	\N	\N	\N
508374	1738	1998-01-05	VYDAJ	VYBER	720	12815	\N	\N	\N
508379	1738	1997-01-03	VYDAJ	VYBER	480	12605	\N	\N	\N
508380	1738	1997-10-08	VYDAJ	VYBER	930	15493	\N	\N	\N
508381	1738	1997-07-06	VYDAJ	VYBER	300	14365	\N	\N	\N
508382	1738	1997-07-11	VYDAJ	VYBER	1050	13315	\N	\N	\N
508383	1738	1997-11-30	VYDAJ	VYBER	330	13766	\N	\N	\N
508398	1738	1996-12-31	VYDAJ	VYBER	15	13085	SLUZBY	\N	\N
508399	1738	1997-01-31	VYDAJ	VYBER	15	12263	SLUZBY	\N	\N
508400	1738	1997-02-28	VYDAJ	VYBER	15	13301	SLUZBY	\N	\N
508401	1738	1997-03-31	VYDAJ	VYBER	15	14344	SLUZBY	\N	\N
508402	1738	1997-04-30	VYDAJ	VYBER	15	15391	SLUZBY	\N	\N
508403	1738	1997-05-31	VYDAJ	VYBER	15	12933	SLUZBY	\N	\N
508404	1738	1997-06-30	VYDAJ	VYBER	15	11668	SLUZBY	\N	\N
508405	1738	1997-07-31	VYDAJ	VYBER	15	11353	SLUZBY	\N	\N
508406	1738	1997-08-31	VYDAJ	VYBER	15	12387	SLUZBY	\N	\N
508407	1738	1997-09-30	VYDAJ	VYBER	15	13426	SLUZBY	\N	\N
508408	1738	1997-10-31	VYDAJ	VYBER	15	13538	SLUZBY	\N	\N
508409	1738	1997-11-30	VYDAJ	VYBER	15	13751	SLUZBY	\N	\N
508410	1738	1997-12-31	VYDAJ	VYBER	15	14345	SLUZBY	\N	\N
508411	1738	1998-01-31	VYDAJ	VYBER	15	12867	SLUZBY	\N	\N
508412	1738	1998-02-28	VYDAJ	VYBER	15	13108	SLUZBY	\N	\N
508413	1738	1998-03-31	VYDAJ	VYBER	15	11348	SLUZBY	\N	\N
508414	1738	1998-04-30	VYDAJ	VYBER	15	12383	SLUZBY	\N	\N
508415	1738	1998-05-31	VYDAJ	VYBER	15	12621	SLUZBY	\N	\N
508416	1738	1998-06-30	VYDAJ	VYBER	15	13661	SLUZBY	\N	\N
508417	1738	1998-07-31	VYDAJ	VYBER	15	14705	SLUZBY	\N	\N
508418	1738	1998-08-31	VYDAJ	VYBER	15	15753	SLUZBY	\N	\N
508419	1738	1998-09-30	VYDAJ	VYBER	15	11001	SLUZBY	\N	\N
508420	1738	1998-10-31	VYDAJ	VYBER	15	12034	SLUZBY	\N	\N
508421	1738	1998-11-30	VYDAJ	VYBER	15	12070	SLUZBY	\N	\N
508422	1738	1997-05-03	VYDAJ	VYBER	3500	11891	\N	\N	\N
508423	1738	1997-06-02	VYDAJ	VYBER	2300	10633	\N	\N	\N
508424	1738	1997-11-29	VYDAJ	VYBER	500	14037	\N	\N	\N
508425	1738	1998-02-27	VYDAJ	VYBER	800	13066	\N	\N	\N
508426	1738	1998-03-29	VYDAJ	VYBER	2800	11307	\N	\N	\N
508427	1738	1998-05-28	VYDAJ	VYBER	800	12582	\N	\N	\N
508428	1738	1998-09-25	VYDAJ	VYBER	5800	10952	\N	\N	\N
508429	1738	1998-11-24	VYDAJ	VYBER	1000	12033	\N	\N	\N
508459	1739	1996-07-08	PRIJEM	VKLAD	700	700	\N	\N	\N
508466	1739	1996-07-10	PRIJEM	VKLAD	21336	22036	\N	\N	\N
508467	1739	1996-08-10	PRIJEM	VKLAD	21336	45637	\N	\N	\N
508468	1739	1996-09-10	PRIJEM	VKLAD	21336	57635	\N	\N	\N
508469	1739	1996-10-10	PRIJEM	VKLAD	21336	62096	\N	\N	\N
508470	1739	1996-11-10	PRIJEM	VKLAD	21336	62685	\N	\N	\N
508471	1739	1996-12-10	PRIJEM	VKLAD	32004	68756	\N	\N	\N
508472	1739	1997-01-10	PRIJEM	VKLAD	21336	53068	\N	\N	\N
508473	1739	1997-02-10	PRIJEM	VKLAD	21336	47217	\N	\N	\N
508474	1739	1997-03-10	PRIJEM	VKLAD	21336	51343	\N	\N	\N
508475	1739	1997-04-10	PRIJEM	VKLAD	21336	42883	\N	\N	\N
508476	1739	1997-05-10	PRIJEM	VKLAD	21336	39494	\N	\N	\N
508477	1739	1997-06-10	PRIJEM	VKLAD	32004	51554	\N	\N	\N
508478	1739	1997-07-10	PRIJEM	VKLAD	21336	41566	\N	\N	\N
508479	1739	1997-08-10	PRIJEM	VKLAD	21336	40464	\N	\N	\N
508480	1739	1997-09-10	PRIJEM	VKLAD	21336	41560	\N	\N	\N
508481	1739	1997-10-10	PRIJEM	VKLAD	21336	44960	\N	\N	\N
508482	1739	1997-11-10	PRIJEM	VKLAD	21336	41165	\N	\N	\N
508483	1739	1997-12-10	PRIJEM	VKLAD	32004	54844	\N	\N	\N
508484	1739	1998-01-10	PRIJEM	VKLAD	21336	47579	\N	\N	\N
508485	1739	1998-02-10	PRIJEM	VKLAD	21336	39784	\N	\N	\N
508486	1739	1998-03-10	PRIJEM	VKLAD	21336	38175	\N	\N	\N
508487	1739	1998-04-10	PRIJEM	VKLAD	21336	35459	\N	\N	\N
508488	1739	1998-05-10	PRIJEM	VKLAD	21336	33329	\N	\N	\N
508489	1739	1998-06-10	PRIJEM	VKLAD	32004	47660	\N	\N	\N
508490	1739	1998-07-10	PRIJEM	VKLAD	21336	42866	\N	\N	\N
508491	1739	1998-08-10	PRIJEM	VKLAD	21336	44067	\N	\N	\N
508492	1739	1998-09-10	PRIJEM	VKLAD	21336	40165	\N	\N	\N
508493	1739	1998-10-10	PRIJEM	VKLAD	21336	32548	\N	\N	\N
508494	1739	1998-11-10	PRIJEM	VKLAD	21336	38007	\N	\N	\N
508495	1739	1998-12-10	PRIJEM	VKLAD	32004	48951	\N	\N	\N
508507	1739	1996-12-05	VYDAJ	PREVOD NA UCET	9979	50352	SIPO	GH	76534843
508508	1739	1997-01-05	VYDAJ	PREVOD NA UCET	9979	31732	SIPO	GH	76534843
508509	1739	1997-02-05	VYDAJ	PREVOD NA UCET	9979	25881	SIPO	GH	76534843
508510	1739	1997-03-05	VYDAJ	PREVOD NA UCET	9979	37407	SIPO	GH	76534843
508511	1739	1997-04-05	VYDAJ	PREVOD NA UCET	9979	21547	SIPO	GH	76534843
508512	1739	1997-05-05	VYDAJ	PREVOD NA UCET	9979	18158	SIPO	GH	76534843
508513	1739	1997-06-05	VYDAJ	PREVOD NA UCET	9979	19550	SIPO	GH	76534843
508514	1739	1997-07-05	VYDAJ	PREVOD NA UCET	9979	20230	SIPO	GH	76534843
508515	1739	1997-08-05	VYDAJ	PREVOD NA UCET	9979	19128	SIPO	GH	76534843
508516	1739	1997-09-05	VYDAJ	PREVOD NA UCET	9979	20224	SIPO	GH	76534843
508517	1739	1997-10-05	VYDAJ	PREVOD NA UCET	9979	23624	SIPO	GH	76534843
508518	1739	1997-11-05	VYDAJ	PREVOD NA UCET	9979	19829	SIPO	GH	76534843
508519	1739	1997-12-05	VYDAJ	PREVOD NA UCET	9979	22840	SIPO	GH	76534843
508520	1739	1998-01-05	VYDAJ	PREVOD NA UCET	9979	26243	SIPO	GH	76534843
508521	1739	1998-02-05	VYDAJ	PREVOD NA UCET	9979	18448	SIPO	GH	76534843
508522	1739	1998-03-05	VYDAJ	PREVOD NA UCET	9979	16839	SIPO	GH	76534843
508523	1739	1998-04-05	VYDAJ	PREVOD NA UCET	9979	14123	SIPO	GH	76534843
508524	1739	1998-05-05	VYDAJ	PREVOD NA UCET	9979	11993	SIPO	GH	76534843
508525	1739	1998-06-05	VYDAJ	PREVOD NA UCET	9979	15656	SIPO	GH	76534843
508526	1739	1998-07-05	VYDAJ	PREVOD NA UCET	9979	21530	SIPO	GH	76534843
508527	1739	1998-08-05	VYDAJ	PREVOD NA UCET	9979	22731	SIPO	GH	76534843
508528	1739	1998-09-05	VYDAJ	PREVOD NA UCET	9979	18829	SIPO	GH	76534843
508529	1739	1998-10-05	VYDAJ	PREVOD NA UCET	9979	11212	SIPO	GH	76534843
508530	1739	1998-11-05	VYDAJ	PREVOD NA UCET	9979	16671	SIPO	GH	76534843
508531	1739	1998-12-05	VYDAJ	PREVOD NA UCET	9979	16947	SIPO	GH	76534843
508533	1739	1997-06-22	VYDAJ	VYBER	13300	38254	\N	\N	\N
508536	1739	1997-01-13	VYDAJ	VYBER	1500	51568	\N	\N	\N
508537	1739	1998-01-17	VYDAJ	VYBER	8600	38979	\N	\N	\N
508538	1739	1996-12-01	VYDAJ	VYBER	2600	60331	\N	\N	\N
508539	1739	1997-12-21	VYDAJ	VYBER	2700	52144	\N	\N	\N
508540	1739	1998-12-19	VYDAJ	VYBER	2800	46151	\N	\N	\N
508543	1739	1996-12-23	VYDAJ	VYBER	1400	67356	\N	\N	\N
508545	1739	1997-05-03	VYDAJ	VYBER	2900	40137	\N	\N	\N
508546	1739	1997-10-21	VYDAJ	VYBER	2800	40260	\N	\N	\N
508547	1739	1997-10-14	VYDAJ	VYBER	1900	43060	\N	\N	\N
508548	1739	1997-01-01	VYDAJ	VYBER	2000	65611	\N	\N	\N
508549	1739	1997-07-27	VYDAJ	VYBER	1800	39766	\N	\N	\N
508550	1739	1998-09-30	VYDAJ	VYBER	3700	21206	\N	\N	\N
508551	1739	1998-02-28	VYDAJ	VYBER	1300	26818	\N	\N	\N
508552	1739	1998-04-15	VYDAJ	VYBER	1000	34459	\N	\N	\N
508554	1739	1998-08-22	VYDAJ	VYBER	4100	39967	\N	\N	\N
508566	1739	1996-11-30	VYDAJ	VYBER	15	62931	SLUZBY	\N	\N
508567	1739	1996-12-31	VYDAJ	VYBER	15	67611	SLUZBY	\N	\N
508568	1739	1997-01-31	VYDAJ	VYBER	15	51760	SLUZBY	\N	\N
508569	1739	1997-02-28	VYDAJ	VYBER	15	47386	SLUZBY	\N	\N
508570	1739	1997-03-31	VYDAJ	VYBER	15	51526	SLUZBY	\N	\N
508571	1739	1997-04-30	VYDAJ	VYBER	15	43037	SLUZBY	\N	\N
508572	1739	1997-05-31	VYDAJ	VYBER	15	39629	SLUZBY	\N	\N
508573	1739	1997-06-30	VYDAJ	VYBER	15	38409	SLUZBY	\N	\N
508574	1739	1997-07-31	VYDAJ	VYBER	15	39907	SLUZBY	\N	\N
508575	1739	1997-08-31	VYDAJ	VYBER	15	40603	SLUZBY	\N	\N
508576	1739	1997-09-30	VYDAJ	VYBER	15	41703	SLUZBY	\N	\N
508577	1739	1997-10-31	VYDAJ	VYBER	15	40408	SLUZBY	\N	\N
508578	1739	1997-11-30	VYDAJ	VYBER	15	41319	SLUZBY	\N	\N
508579	1739	1997-12-31	VYDAJ	VYBER	15	36222	SLUZBY	\N	\N
508580	1739	1998-01-31	VYDAJ	VYBER	15	28427	SLUZBY	\N	\N
508581	1739	1998-02-28	VYDAJ	VYBER	15	39918	SLUZBY	\N	\N
508582	1739	1998-03-31	VYDAJ	VYBER	15	24102	SLUZBY	\N	\N
508583	1739	1998-04-30	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
508584	1739	1998-05-31	VYDAJ	VYBER	15	25635	SLUZBY	\N	\N
508585	1739	1998-06-30	VYDAJ	VYBER	15	31509	SLUZBY	\N	\N
508586	1739	1998-07-31	VYDAJ	VYBER	15	32710	SLUZBY	\N	\N
508587	1739	1998-08-31	VYDAJ	VYBER	15	28808	SLUZBY	\N	\N
508588	1739	1998-09-30	VYDAJ	VYBER	15	21191	SLUZBY	\N	\N
508589	1739	1998-10-31	VYDAJ	VYBER	15	26650	SLUZBY	\N	\N
508590	1739	1998-11-30	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
508591	1739	1996-08-07	PRIJEM	VKLAD	2200	24301	\N	\N	\N
508592	1739	1996-09-06	VYDAJ	VYBER	9500	36299	\N	\N	\N
508593	1739	1996-10-06	VYDAJ	VYBER	17100	40760	\N	\N	\N
508594	1739	1996-11-05	VYDAJ	VYBER	21000	41349	\N	\N	\N
508595	1739	1996-12-05	VYDAJ	VYBER	13600	36752	\N	\N	\N
508596	1739	1997-01-04	VYDAJ	VYBER	23900	41711	\N	\N	\N
508597	1739	1997-02-03	VYDAJ	VYBER	15900	35860	\N	\N	\N
508598	1739	1997-03-05	VYDAJ	VYBER	7400	30007	\N	\N	\N
508599	1739	1997-04-04	VYDAJ	VYBER	20000	31526	\N	\N	\N
508600	1739	1997-05-04	VYDAJ	VYBER	12000	28137	\N	\N	\N
508601	1739	1997-06-03	VYDAJ	VYBER	10100	29529	\N	\N	\N
508602	1739	1997-07-03	VYDAJ	VYBER	8200	30209	\N	\N	\N
508603	1739	1997-08-02	VYDAJ	VYBER	10800	29107	\N	\N	\N
508604	1739	1997-09-01	VYDAJ	VYBER	10400	30203	\N	\N	\N
508605	1739	1997-10-01	VYDAJ	VYBER	8100	33603	\N	\N	\N
508606	1739	1997-10-31	VYDAJ	VYBER	10600	29808	\N	\N	\N
508607	1739	1997-11-30	VYDAJ	VYBER	8500	32819	\N	\N	\N
508608	1739	1997-12-30	VYDAJ	VYBER	16100	36044	\N	\N	\N
508609	1739	1998-01-29	VYDAJ	VYBER	10700	28279	\N	\N	\N
508610	1739	1998-02-28	VYDAJ	VYBER	11800	28118	\N	\N	\N
508611	1739	1998-03-30	VYDAJ	VYBER	14200	23975	\N	\N	\N
508612	1739	1998-04-29	VYDAJ	VYBER	12600	21859	\N	\N	\N
508613	1739	1998-05-29	VYDAJ	VYBER	7800	25529	\N	\N	\N
508614	1739	1998-06-28	VYDAJ	VYBER	16300	31360	\N	\N	\N
508615	1739	1998-07-28	VYDAJ	VYBER	10300	32566	\N	\N	\N
508616	1739	1998-08-27	VYDAJ	VYBER	11300	28667	\N	\N	\N
508617	1739	1998-09-26	VYDAJ	VYBER	15400	24765	\N	\N	\N
508618	1739	1998-10-26	VYDAJ	VYBER	6000	26548	\N	\N	\N
508619	1739	1998-11-25	VYDAJ	VYBER	11200	26807	\N	\N	\N
508650	1740	1997-03-13	PRIJEM	VKLAD	600	600	\N	\N	\N
508654	1740	1997-04-10	PRIJEM	PREVOD Z UCTU	4070	4670	DUCHOD	YZ	86887627
508655	1740	1997-05-10	PRIJEM	PREVOD Z UCTU	4070	8740	DUCHOD	YZ	86887627
508656	1740	1997-06-10	PRIJEM	PREVOD Z UCTU	4070	12810	DUCHOD	YZ	86887627
508657	1740	1997-07-10	PRIJEM	PREVOD Z UCTU	4070	16880	DUCHOD	YZ	86887627
508658	1740	1997-08-10	PRIJEM	PREVOD Z UCTU	4070	20950	DUCHOD	YZ	86887627
508659	1740	1997-09-10	PRIJEM	PREVOD Z UCTU	4070	16122	DUCHOD	YZ	86887627
508660	1740	1997-10-10	PRIJEM	PREVOD Z UCTU	4070	13848	DUCHOD	YZ	86887627
508661	1740	1997-11-10	PRIJEM	PREVOD Z UCTU	4070	15246	DUCHOD	YZ	86887627
508662	1740	1997-12-10	PRIJEM	PREVOD Z UCTU	4070	16650	DUCHOD	YZ	86887627
508663	1740	1998-01-10	PRIJEM	PREVOD Z UCTU	4070	15210	DUCHOD	YZ	86887627
508664	1740	1998-02-10	PRIJEM	PREVOD Z UCTU	4070	14007	DUCHOD	YZ	86887627
508665	1740	1998-03-10	PRIJEM	PREVOD Z UCTU	4070	15406	DUCHOD	YZ	86887627
508666	1740	1998-04-10	PRIJEM	PREVOD Z UCTU	4070	16811	DUCHOD	YZ	86887627
508667	1740	1998-05-10	PRIJEM	PREVOD Z UCTU	4070	17222	DUCHOD	YZ	86887627
508668	1740	1998-06-10	PRIJEM	PREVOD Z UCTU	4070	14545	DUCHOD	YZ	86887627
508669	1740	1998-07-10	PRIJEM	PREVOD Z UCTU	4070	15946	DUCHOD	YZ	86887627
508670	1740	1998-08-10	PRIJEM	PREVOD Z UCTU	4070	16153	DUCHOD	YZ	86887627
508671	1740	1998-09-10	PRIJEM	PREVOD Z UCTU	4070	17081	DUCHOD	YZ	86887627
508672	1740	1998-10-10	PRIJEM	PREVOD Z UCTU	4070	17492	DUCHOD	YZ	86887627
508673	1740	1998-11-10	PRIJEM	PREVOD Z UCTU	4070	18906	DUCHOD	YZ	86887627
508674	1740	1998-12-10	PRIJEM	PREVOD Z UCTU	4070	14607	DUCHOD	YZ	86887627
508683	1740	1997-09-08	VYDAJ	PREVOD NA UCET	2713	12052	SIPO	WX	75491714
508684	1740	1997-10-08	VYDAJ	PREVOD NA UCET	2713	9778	SIPO	WX	75491714
508685	1740	1997-11-08	VYDAJ	PREVOD NA UCET	2713	11176	SIPO	WX	75491714
508686	1740	1997-12-08	VYDAJ	PREVOD NA UCET	2713	12580	SIPO	WX	75491714
508687	1740	1998-01-08	VYDAJ	PREVOD NA UCET	2713	11140	SIPO	WX	75491714
508688	1740	1998-02-08	VYDAJ	PREVOD NA UCET	2713	9937	SIPO	WX	75491714
508689	1740	1998-03-08	VYDAJ	PREVOD NA UCET	2713	11336	SIPO	WX	75491714
508690	1740	1998-04-08	VYDAJ	PREVOD NA UCET	2713	12741	SIPO	WX	75491714
508691	1740	1998-05-08	VYDAJ	PREVOD NA UCET	2713	13152	SIPO	WX	75491714
508692	1740	1998-06-08	VYDAJ	PREVOD NA UCET	2713	10475	SIPO	WX	75491714
508693	1740	1998-07-08	VYDAJ	PREVOD NA UCET	2713	11876	SIPO	WX	75491714
508694	1740	1998-08-08	VYDAJ	PREVOD NA UCET	2713	12083	SIPO	WX	75491714
508695	1740	1998-09-08	VYDAJ	PREVOD NA UCET	2713	13011	SIPO	WX	75491714
508696	1740	1998-10-08	VYDAJ	PREVOD NA UCET	2713	13422	SIPO	WX	75491714
508697	1740	1998-11-08	VYDAJ	PREVOD NA UCET	2713	14836	SIPO	WX	75491714
508698	1740	1998-12-08	VYDAJ	PREVOD NA UCET	2713	10537	SIPO	WX	75491714
508702	1740	1998-01-10	VYDAJ	VYBER	2600	12610	\N	\N	\N
508703	1740	1997-12-28	VYDAJ	VYBER	850	15800	\N	\N	\N
508704	1740	1998-12-02	VYDAJ	VYBER	1150	13250	\N	\N	\N
508713	1740	1998-01-07	VYDAJ	VYBER	2000	13853	\N	\N	\N
508718	1740	1997-08-19	VYDAJ	VYBER	3520	14730	\N	\N	\N
508720	1740	1997-09-27	VYDAJ	VYBER	3680	12442	\N	\N	\N
508721	1740	1997-08-14	VYDAJ	VYBER	2400	18250	\N	\N	\N
508722	1740	1998-08-06	VYDAJ	VYBER	1200	14796	\N	\N	\N
508723	1740	1998-05-14	VYDAJ	VYBER	2880	13142	\N	\N	\N
508724	1740	1998-08-20	VYDAJ	VYBER	480	15673	\N	\N	\N
508725	1740	1998-05-12	VYDAJ	VYBER	1200	16022	\N	\N	\N
508727	1740	1998-11-13	VYDAJ	VYBER	1600	17306	\N	\N	\N
508728	1740	1998-11-21	VYDAJ	VYBER	2960	14346	\N	\N	\N
508738	1740	1997-08-31	VYDAJ	VYBER	15	14765	SLUZBY	\N	\N
508739	1740	1997-09-30	VYDAJ	VYBER	15	12491	SLUZBY	\N	\N
508740	1740	1997-10-31	VYDAJ	VYBER	15	13889	SLUZBY	\N	\N
508741	1740	1997-11-30	VYDAJ	VYBER	15	15293	SLUZBY	\N	\N
508742	1740	1997-12-31	VYDAJ	VYBER	15	15853	SLUZBY	\N	\N
508743	1740	1998-01-31	VYDAJ	VYBER	15	12650	SLUZBY	\N	\N
508744	1740	1998-02-28	VYDAJ	VYBER	15	14049	SLUZBY	\N	\N
508745	1740	1998-03-31	VYDAJ	VYBER	15	15454	SLUZBY	\N	\N
508746	1740	1998-04-30	VYDAJ	VYBER	15	16865	SLUZBY	\N	\N
508747	1740	1998-05-31	VYDAJ	VYBER	15	13188	SLUZBY	\N	\N
508748	1740	1998-06-30	VYDAJ	VYBER	15	14589	SLUZBY	\N	\N
508749	1740	1998-07-31	VYDAJ	VYBER	15	15996	SLUZBY	\N	\N
508750	1740	1998-08-31	VYDAJ	VYBER	15	15724	SLUZBY	\N	\N
508751	1740	1998-09-30	VYDAJ	VYBER	15	17135	SLUZBY	\N	\N
508752	1740	1998-10-31	VYDAJ	VYBER	15	17549	SLUZBY	\N	\N
508753	1740	1998-11-30	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
508754	1740	1997-08-10	VYDAJ	VYBER	300	20650	\N	\N	\N
508755	1740	1998-05-07	VYDAJ	VYBER	1000	15865	\N	\N	\N
508756	1740	1998-10-04	VYDAJ	VYBER	1000	16135	\N	\N	\N
508774	1741	1995-05-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
508780	1741	1995-06-07	PRIJEM	PREVOD Z UCTU	4785	5885	DUCHOD	KL	25180655
508781	1741	1995-07-07	PRIJEM	PREVOD Z UCTU	4785	10670	DUCHOD	KL	25180655
508782	1741	1995-08-07	PRIJEM	PREVOD Z UCTU	4785	15455	DUCHOD	KL	25180655
508783	1741	1995-09-07	PRIJEM	PREVOD Z UCTU	4785	20240	DUCHOD	KL	25180655
508784	1741	1995-10-07	PRIJEM	PREVOD Z UCTU	4785	25025	DUCHOD	KL	25180655
508785	1741	1995-11-07	PRIJEM	PREVOD Z UCTU	4785	25699	DUCHOD	KL	25180655
508786	1741	1995-12-07	PRIJEM	PREVOD Z UCTU	4785	28201	DUCHOD	KL	25180655
508787	1741	1996-01-07	PRIJEM	PREVOD Z UCTU	4785	26354	DUCHOD	KL	25180655
508788	1741	1996-02-07	PRIJEM	PREVOD Z UCTU	4785	18466	DUCHOD	KL	25180655
508789	1741	1996-03-07	PRIJEM	PREVOD Z UCTU	4785	20934	DUCHOD	KL	25180655
508790	1741	1996-04-07	PRIJEM	PREVOD Z UCTU	4785	19973	DUCHOD	KL	25180655
508791	1741	1996-05-07	PRIJEM	PREVOD Z UCTU	4785	22453	DUCHOD	KL	25180655
508792	1741	1996-06-07	PRIJEM	PREVOD Z UCTU	4785	24938	DUCHOD	KL	25180655
508793	1741	1996-07-07	PRIJEM	PREVOD Z UCTU	4785	18157	DUCHOD	KL	25180655
508794	1741	1996-08-07	PRIJEM	PREVOD Z UCTU	4785	20624	DUCHOD	KL	25180655
508795	1741	1996-09-07	PRIJEM	PREVOD Z UCTU	4785	23102	DUCHOD	KL	25180655
508796	1741	1996-10-07	PRIJEM	PREVOD Z UCTU	4785	25590	DUCHOD	KL	25180655
508797	1741	1996-11-07	PRIJEM	PREVOD Z UCTU	4785	28089	DUCHOD	KL	25180655
508798	1741	1996-12-07	PRIJEM	PREVOD Z UCTU	4785	29074	DUCHOD	KL	25180655
508799	1741	1997-01-07	PRIJEM	PREVOD Z UCTU	4785	29716	DUCHOD	KL	25180655
508800	1741	1997-02-07	PRIJEM	PREVOD Z UCTU	4785	24841	DUCHOD	KL	25180655
508801	1741	1997-03-07	PRIJEM	PREVOD Z UCTU	4785	26696	DUCHOD	KL	25180655
508802	1741	1997-04-07	PRIJEM	PREVOD Z UCTU	4785	29201	DUCHOD	KL	25180655
508803	1741	1997-05-07	PRIJEM	PREVOD Z UCTU	4785	31714	DUCHOD	KL	25180655
508804	1741	1997-06-07	PRIJEM	PREVOD Z UCTU	4785	34238	DUCHOD	KL	25180655
508805	1741	1997-07-07	PRIJEM	PREVOD Z UCTU	4785	21952	DUCHOD	KL	25180655
508806	1741	1997-08-07	PRIJEM	PREVOD Z UCTU	4785	24438	DUCHOD	KL	25180655
508807	1741	1997-09-07	PRIJEM	PREVOD Z UCTU	4785	26932	DUCHOD	KL	25180655
508808	1741	1997-10-07	PRIJEM	PREVOD Z UCTU	4785	26075	DUCHOD	KL	25180655
508809	1741	1997-11-07	PRIJEM	PREVOD Z UCTU	4785	28580	DUCHOD	KL	25180655
508810	1741	1997-12-07	PRIJEM	PREVOD Z UCTU	4785	31090	DUCHOD	KL	25180655
508811	1741	1998-01-07	PRIJEM	PREVOD Z UCTU	4785	25878	DUCHOD	KL	25180655
508812	1741	1998-02-07	PRIJEM	PREVOD Z UCTU	4785	22853	DUCHOD	KL	25180655
508813	1741	1998-03-07	PRIJEM	PREVOD Z UCTU	4785	21660	DUCHOD	KL	25180655
508814	1741	1998-04-07	PRIJEM	PREVOD Z UCTU	4785	21106	DUCHOD	KL	25180655
508815	1741	1998-05-07	PRIJEM	PREVOD Z UCTU	4785	23589	DUCHOD	KL	25180655
508816	1741	1998-06-07	PRIJEM	PREVOD Z UCTU	4785	26078	DUCHOD	KL	25180655
508817	1741	1998-07-07	PRIJEM	PREVOD Z UCTU	4785	27218	DUCHOD	KL	25180655
508818	1741	1998-08-07	PRIJEM	PREVOD Z UCTU	4785	29722	DUCHOD	KL	25180655
508819	1741	1998-09-07	PRIJEM	PREVOD Z UCTU	4785	32237	DUCHOD	KL	25180655
508820	1741	1998-10-07	PRIJEM	PREVOD Z UCTU	4785	34763	DUCHOD	KL	25180655
508821	1741	1998-11-07	PRIJEM	PREVOD Z UCTU	4785	37299	DUCHOD	KL	25180655
508822	1741	1998-12-07	PRIJEM	PREVOD Z UCTU	4785	39845	DUCHOD	KL	25180655
508832	1741	1995-10-09	VYDAJ	PREVOD NA UCET	2366	22659	SIPO	IJ	79026174
508833	1741	1995-11-09	VYDAJ	PREVOD NA UCET	2366	23333	SIPO	IJ	79026174
508834	1741	1995-12-09	VYDAJ	PREVOD NA UCET	2366	25835	SIPO	IJ	79026174
508835	1741	1996-01-09	VYDAJ	PREVOD NA UCET	2366	23988	SIPO	IJ	79026174
508836	1741	1996-02-09	VYDAJ	PREVOD NA UCET	2366	16100	SIPO	IJ	79026174
508837	1741	1996-03-09	VYDAJ	PREVOD NA UCET	2366	18568	SIPO	IJ	79026174
508838	1741	1996-04-09	VYDAJ	PREVOD NA UCET	2366	17607	SIPO	IJ	79026174
508839	1741	1996-05-09	VYDAJ	PREVOD NA UCET	2366	20087	SIPO	IJ	79026174
508840	1741	1996-06-09	VYDAJ	PREVOD NA UCET	2366	22572	SIPO	IJ	79026174
508841	1741	1996-07-09	VYDAJ	PREVOD NA UCET	2366	15791	SIPO	IJ	79026174
508842	1741	1996-08-09	VYDAJ	PREVOD NA UCET	2366	18258	SIPO	IJ	79026174
508843	1741	1996-09-09	VYDAJ	PREVOD NA UCET	2366	20736	SIPO	IJ	79026174
508844	1741	1996-10-09	VYDAJ	PREVOD NA UCET	2366	23224	SIPO	IJ	79026174
508845	1741	1996-11-09	VYDAJ	PREVOD NA UCET	2366	25723	SIPO	IJ	79026174
508846	1741	1996-12-09	VYDAJ	PREVOD NA UCET	2366	26708	SIPO	IJ	79026174
508847	1741	1997-01-09	VYDAJ	PREVOD NA UCET	2366	26550	SIPO	IJ	79026174
508848	1741	1997-02-09	VYDAJ	PREVOD NA UCET	2366	22475	SIPO	IJ	79026174
508849	1741	1997-03-09	VYDAJ	PREVOD NA UCET	2366	24330	SIPO	IJ	79026174
508850	1741	1997-04-09	VYDAJ	PREVOD NA UCET	2366	26835	SIPO	IJ	79026174
508851	1741	1997-05-09	VYDAJ	PREVOD NA UCET	2366	29348	SIPO	IJ	79026174
508852	1741	1997-06-09	VYDAJ	PREVOD NA UCET	2366	31872	SIPO	IJ	79026174
508853	1741	1997-07-09	VYDAJ	PREVOD NA UCET	2366	19586	SIPO	IJ	79026174
508854	1741	1997-08-09	VYDAJ	PREVOD NA UCET	2366	22072	SIPO	IJ	79026174
508855	1741	1997-09-09	VYDAJ	PREVOD NA UCET	2366	24566	SIPO	IJ	79026174
508856	1741	1997-10-09	VYDAJ	PREVOD NA UCET	2366	23709	SIPO	IJ	79026174
508857	1741	1997-11-09	VYDAJ	PREVOD NA UCET	2366	26214	SIPO	IJ	79026174
508858	1741	1997-12-09	VYDAJ	PREVOD NA UCET	2366	28724	SIPO	IJ	79026174
508859	1741	1998-01-09	VYDAJ	PREVOD NA UCET	2366	23512	SIPO	IJ	79026174
508860	1741	1998-02-09	VYDAJ	PREVOD NA UCET	2366	20487	SIPO	IJ	79026174
508861	1741	1998-03-09	VYDAJ	PREVOD NA UCET	2366	19294	SIPO	IJ	79026174
508862	1741	1998-04-09	VYDAJ	PREVOD NA UCET	2366	18740	SIPO	IJ	79026174
508863	1741	1998-05-09	VYDAJ	PREVOD NA UCET	2366	21223	SIPO	IJ	79026174
508864	1741	1998-06-09	VYDAJ	PREVOD NA UCET	2366	23712	SIPO	IJ	79026174
508865	1741	1998-07-09	VYDAJ	PREVOD NA UCET	2366	24852	SIPO	IJ	79026174
508866	1741	1998-08-09	VYDAJ	PREVOD NA UCET	2366	27356	SIPO	IJ	79026174
508867	1741	1998-09-09	VYDAJ	PREVOD NA UCET	2366	29871	SIPO	IJ	79026174
508868	1741	1998-10-09	VYDAJ	PREVOD NA UCET	2366	32397	SIPO	IJ	79026174
508869	1741	1998-11-09	VYDAJ	PREVOD NA UCET	2366	34933	SIPO	IJ	79026174
508870	1741	1998-12-09	VYDAJ	PREVOD NA UCET	2366	37479	SIPO	IJ	79026174
508872	1741	1996-06-10	VYDAJ	VYBER	9250	13322	\N	\N	\N
508873	1741	1997-06-19	VYDAJ	VYBER	12400	19472	\N	\N	\N
508876	1741	1996-01-11	VYDAJ	VYBER	2450	21538	\N	\N	\N
508877	1741	1997-01-17	VYDAJ	VYBER	2100	24050	\N	\N	\N
508878	1741	1998-01-02	VYDAJ	VYBER	4500	23173	\N	\N	\N
508879	1741	1995-12-10	VYDAJ	VYBER	1150	24685	\N	\N	\N
508880	1741	1996-12-14	VYDAJ	VYBER	350	26358	\N	\N	\N
508881	1741	1997-12-14	VYDAJ	VYBER	1150	27574	\N	\N	\N
508882	1741	1998-12-22	VYDAJ	VYBER	900	33459	\N	\N	\N
508889	1741	1996-01-06	VYDAJ	VYBER	1840	21569	\N	\N	\N
508890	1741	1996-01-17	VYDAJ	VYBER	1120	17138	\N	\N	\N
508891	1741	1996-01-12	VYDAJ	VYBER	1280	20258	\N	\N	\N
508892	1741	1996-01-13	VYDAJ	VYBER	2000	18258	\N	\N	\N
508893	1741	1996-01-20	VYDAJ	VYBER	1680	15458	\N	\N	\N
508894	1741	1996-01-23	VYDAJ	VYBER	1840	13618	\N	\N	\N
508895	1741	1997-01-20	VYDAJ	VYBER	1440	21970	\N	\N	\N
508896	1741	1997-01-08	VYDAJ	VYBER	800	28916	\N	\N	\N
508897	1741	1997-01-04	VYDAJ	VYBER	1520	24931	\N	\N	\N
508898	1741	1997-01-10	VYDAJ	VYBER	400	26150	\N	\N	\N
508899	1741	1997-01-18	VYDAJ	VYBER	640	23410	\N	\N	\N
508900	1741	1997-01-28	VYDAJ	VYBER	2000	19970	\N	\N	\N
508901	1741	1998-01-03	VYDAJ	VYBER	2080	21093	\N	\N	\N
508902	1741	1998-01-15	VYDAJ	VYBER	1040	21912	\N	\N	\N
508903	1741	1998-01-15	VYDAJ	VYBER	2320	19592	\N	\N	\N
508904	1741	1998-01-10	VYDAJ	VYBER	560	22952	\N	\N	\N
508905	1741	1998-01-25	VYDAJ	VYBER	800	18792	\N	\N	\N
508906	1741	1998-01-29	VYDAJ	VYBER	800	17992	\N	\N	\N
508908	1741	1995-12-12	VYDAJ	VYBER	1360	23325	\N	\N	\N
508912	1741	1996-04-06	VYDAJ	VYBER	3440	15188	\N	\N	\N
508913	1741	1996-11-13	VYDAJ	VYBER	1520	24203	\N	\N	\N
508914	1741	1997-03-04	VYDAJ	VYBER	640	21911	\N	\N	\N
508915	1741	1997-10-05	VYDAJ	VYBER	3360	21290	\N	\N	\N
508916	1741	1997-07-06	VYDAJ	VYBER	2400	17167	\N	\N	\N
508917	1741	1998-06-30	VYDAJ	VYBER	1360	22447	\N	\N	\N
508918	1741	1998-03-02	VYDAJ	VYBER	3680	16875	\N	\N	\N
508919	1741	1998-12-20	VYDAJ	VYBER	2080	34359	\N	\N	\N
508920	1741	1998-04-01	VYDAJ	VYBER	3040	16321	\N	\N	\N
508921	1741	1998-12-11	VYDAJ	VYBER	1040	36439	\N	\N	\N
508932	1741	1995-10-31	VYDAJ	VYBER	15	22714	SLUZBY	\N	\N
508933	1741	1995-11-30	VYDAJ	VYBER	15	23416	SLUZBY	\N	\N
508934	1741	1995-12-31	VYDAJ	VYBER	15	23409	SLUZBY	\N	\N
508935	1741	1996-01-31	VYDAJ	VYBER	15	13681	SLUZBY	\N	\N
508936	1741	1996-02-29	VYDAJ	VYBER	15	16149	SLUZBY	\N	\N
508937	1741	1996-03-31	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
508938	1741	1996-04-30	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
508939	1741	1996-05-31	VYDAJ	VYBER	15	20153	SLUZBY	\N	\N
508940	1741	1996-06-30	VYDAJ	VYBER	15	13372	SLUZBY	\N	\N
508941	1741	1996-07-31	VYDAJ	VYBER	15	15839	SLUZBY	\N	\N
508942	1741	1996-08-31	VYDAJ	VYBER	15	18317	SLUZBY	\N	\N
508943	1741	1996-09-30	VYDAJ	VYBER	15	20805	SLUZBY	\N	\N
508944	1741	1996-10-31	VYDAJ	VYBER	15	23304	SLUZBY	\N	\N
508945	1741	1996-11-30	VYDAJ	VYBER	15	24289	SLUZBY	\N	\N
508946	1741	1996-12-31	VYDAJ	VYBER	15	26451	SLUZBY	\N	\N
508947	1741	1997-01-31	VYDAJ	VYBER	15	20056	SLUZBY	\N	\N
508948	1741	1997-02-28	VYDAJ	VYBER	15	22551	SLUZBY	\N	\N
508949	1741	1997-03-31	VYDAJ	VYBER	15	24416	SLUZBY	\N	\N
508950	1741	1997-04-30	VYDAJ	VYBER	15	26929	SLUZBY	\N	\N
508951	1741	1997-05-31	VYDAJ	VYBER	15	29453	SLUZBY	\N	\N
508952	1741	1997-06-30	VYDAJ	VYBER	15	19567	SLUZBY	\N	\N
508953	1741	1997-07-31	VYDAJ	VYBER	15	19653	SLUZBY	\N	\N
508954	1741	1997-08-31	VYDAJ	VYBER	15	22147	SLUZBY	\N	\N
508955	1741	1997-09-30	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
508956	1741	1997-10-31	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
508957	1741	1997-11-30	VYDAJ	VYBER	15	26305	SLUZBY	\N	\N
508958	1741	1997-12-31	VYDAJ	VYBER	15	27673	SLUZBY	\N	\N
508959	1741	1998-01-31	VYDAJ	VYBER	15	18068	SLUZBY	\N	\N
508960	1741	1998-02-28	VYDAJ	VYBER	15	20555	SLUZBY	\N	\N
508961	1741	1998-03-31	VYDAJ	VYBER	15	19361	SLUZBY	\N	\N
508962	1741	1998-04-30	VYDAJ	VYBER	15	18804	SLUZBY	\N	\N
508963	1741	1998-05-31	VYDAJ	VYBER	15	21293	SLUZBY	\N	\N
508964	1741	1998-06-30	VYDAJ	VYBER	15	22433	SLUZBY	\N	\N
508965	1741	1998-07-31	VYDAJ	VYBER	15	24937	SLUZBY	\N	\N
508966	1741	1998-08-31	VYDAJ	VYBER	15	27452	SLUZBY	\N	\N
508967	1741	1998-09-30	VYDAJ	VYBER	15	29978	SLUZBY	\N	\N
508968	1741	1998-10-31	VYDAJ	VYBER	15	32514	SLUZBY	\N	\N
508969	1741	1998-11-30	VYDAJ	VYBER	15	35060	SLUZBY	\N	\N
508970	1741	1995-11-06	VYDAJ	VYBER	1800	20914	\N	\N	\N
509010	1742	1995-10-08	PRIJEM	VKLAD	800	800	\N	\N	\N
509021	1742	1995-11-06	PRIJEM	VKLAD	23418	24218	\N	\N	\N
509022	1742	1995-12-06	PRIJEM	VKLAD	35127	59727	\N	\N	\N
509023	1742	1996-01-06	PRIJEM	VKLAD	23418	65204	\N	\N	\N
509024	1742	1996-02-06	PRIJEM	VKLAD	23418	54801	\N	\N	\N
509025	1742	1996-03-06	PRIJEM	VKLAD	23418	78440	\N	\N	\N
509026	1742	1996-04-06	PRIJEM	VKLAD	23418	48185	\N	\N	\N
509027	1742	1996-05-06	PRIJEM	VKLAD	23418	58633	\N	\N	\N
509028	1742	1996-06-06	PRIJEM	VKLAD	35127	75852	\N	\N	\N
509029	1742	1996-07-06	PRIJEM	VKLAD	23418	46783	\N	\N	\N
509030	1742	1996-08-06	PRIJEM	VKLAD	23418	61127	\N	\N	\N
509031	1742	1996-09-06	PRIJEM	VKLAD	23418	65033	\N	\N	\N
509032	1742	1996-10-06	PRIJEM	VKLAD	23418	67774	\N	\N	\N
509033	1742	1996-11-06	PRIJEM	VKLAD	23418	69616	\N	\N	\N
509034	1742	1996-12-06	PRIJEM	VKLAD	35127	78994	\N	\N	\N
509035	1742	1997-01-06	PRIJEM	VKLAD	23418	72199	\N	\N	\N
509036	1742	1997-02-06	PRIJEM	VKLAD	23418	62611	\N	\N	\N
509037	1742	1997-03-06	PRIJEM	VKLAD	23418	66818	\N	\N	\N
509038	1742	1997-04-06	PRIJEM	VKLAD	23418	63129	\N	\N	\N
509039	1742	1997-05-06	PRIJEM	VKLAD	23418	64913	\N	\N	\N
509040	1742	1997-06-06	PRIJEM	VKLAD	35127	78635	\N	\N	\N
509041	1742	1997-07-06	PRIJEM	VKLAD	23418	71362	\N	\N	\N
509042	1742	1997-08-06	PRIJEM	VKLAD	23418	70899	\N	\N	\N
509043	1742	1997-09-06	PRIJEM	VKLAD	23418	66428	\N	\N	\N
509044	1742	1997-10-06	PRIJEM	VKLAD	23418	60759	\N	\N	\N
509045	1742	1997-11-06	PRIJEM	VKLAD	23418	59258	\N	\N	\N
509046	1742	1997-12-06	PRIJEM	VKLAD	35127	73949	\N	\N	\N
509047	1742	1998-01-06	PRIJEM	VKLAD	23418	63473	\N	\N	\N
509048	1742	1998-02-06	PRIJEM	VKLAD	23418	42808	\N	\N	\N
509049	1742	1998-03-06	PRIJEM	VKLAD	23418	51323	\N	\N	\N
509050	1742	1998-04-06	PRIJEM	VKLAD	23418	48575	\N	\N	\N
509051	1742	1998-05-06	PRIJEM	VKLAD	23418	51510	\N	\N	\N
509052	1742	1998-06-06	PRIJEM	VKLAD	35127	57128	\N	\N	\N
509053	1742	1998-07-06	PRIJEM	VKLAD	23418	46128	\N	\N	\N
509054	1742	1998-08-06	PRIJEM	VKLAD	23418	49959	\N	\N	\N
509055	1742	1998-09-06	PRIJEM	VKLAD	23418	49288	\N	\N	\N
509056	1742	1998-10-06	PRIJEM	VKLAD	23418	46268	\N	\N	\N
509057	1742	1998-11-06	PRIJEM	VKLAD	23418	47590	\N	\N	\N
509058	1742	1998-12-06	PRIJEM	VKLAD	35127	60024	\N	\N	\N
509073	1742	1996-03-06	VYDAJ	PREVOD NA UCET	3827	45413	SIPO	IJ	12537497
509074	1742	1996-04-06	VYDAJ	PREVOD NA UCET	3827	44358	SIPO	IJ	12537497
509075	1742	1996-05-06	VYDAJ	PREVOD NA UCET	3827	54806	SIPO	IJ	12537497
509076	1742	1996-06-06	VYDAJ	PREVOD NA UCET	3827	72025	SIPO	IJ	12537497
509077	1742	1996-07-06	VYDAJ	PREVOD NA UCET	3827	42956	SIPO	IJ	12537497
509078	1742	1996-08-06	VYDAJ	PREVOD NA UCET	3827	57300	SIPO	IJ	12537497
509079	1742	1996-09-06	VYDAJ	PREVOD NA UCET	3827	61206	SIPO	IJ	12537497
509080	1742	1996-10-06	VYDAJ	PREVOD NA UCET	3827	63947	SIPO	IJ	12537497
509081	1742	1996-11-06	VYDAJ	PREVOD NA UCET	3827	65789	SIPO	IJ	12537497
509082	1742	1996-12-06	VYDAJ	PREVOD NA UCET	3827	75167	SIPO	IJ	12537497
509083	1742	1997-01-06	VYDAJ	PREVOD NA UCET	3827	68372	SIPO	IJ	12537497
509084	1742	1997-02-06	VYDAJ	PREVOD NA UCET	3827	58784	SIPO	IJ	12537497
509085	1742	1997-03-06	VYDAJ	PREVOD NA UCET	3827	62991	SIPO	IJ	12537497
509086	1742	1997-04-06	VYDAJ	PREVOD NA UCET	3827	59302	SIPO	IJ	12537497
509087	1742	1997-05-06	VYDAJ	PREVOD NA UCET	3827	61086	SIPO	IJ	12537497
509088	1742	1997-06-06	VYDAJ	PREVOD NA UCET	3827	74808	SIPO	IJ	12537497
509089	1742	1997-07-06	VYDAJ	PREVOD NA UCET	3827	67535	SIPO	IJ	12537497
509090	1742	1997-08-06	VYDAJ	PREVOD NA UCET	3827	67072	SIPO	IJ	12537497
509091	1742	1997-09-06	VYDAJ	PREVOD NA UCET	3827	62601	SIPO	IJ	12537497
509092	1742	1997-10-06	VYDAJ	PREVOD NA UCET	3827	56932	SIPO	IJ	12537497
509093	1742	1997-11-06	VYDAJ	PREVOD NA UCET	3827	55431	SIPO	IJ	12537497
509094	1742	1997-12-06	VYDAJ	PREVOD NA UCET	3827	70122	SIPO	IJ	12537497
509095	1742	1998-01-06	VYDAJ	PREVOD NA UCET	3827	59646	SIPO	IJ	12537497
509096	1742	1998-02-06	VYDAJ	PREVOD NA UCET	3827	38981	SIPO	IJ	12537497
509097	1742	1998-03-06	VYDAJ	PREVOD NA UCET	3827	47496	SIPO	IJ	12537497
509098	1742	1998-04-06	VYDAJ	PREVOD NA UCET	3827	44748	SIPO	IJ	12537497
509099	1742	1998-05-06	VYDAJ	PREVOD NA UCET	3827	47683	SIPO	IJ	12537497
509100	1742	1998-06-06	VYDAJ	PREVOD NA UCET	3827	53301	SIPO	IJ	12537497
509101	1742	1998-07-06	VYDAJ	PREVOD NA UCET	3827	42301	SIPO	IJ	12537497
509102	1742	1998-08-06	VYDAJ	PREVOD NA UCET	3827	46132	SIPO	IJ	12537497
509103	1742	1998-09-06	VYDAJ	PREVOD NA UCET	3827	45461	SIPO	IJ	12537497
509104	1742	1998-10-06	VYDAJ	PREVOD NA UCET	3827	42441	SIPO	IJ	12537497
509105	1742	1998-11-06	VYDAJ	PREVOD NA UCET	3827	43763	SIPO	IJ	12537497
509106	1742	1998-12-06	VYDAJ	PREVOD NA UCET	3827	56197	SIPO	IJ	12537497
509108	1742	1996-06-13	VYDAJ	VYBER	46880	25145	\N	\N	\N
509109	1742	1997-06-13	VYDAJ	VYBER	6720	68088	\N	\N	\N
509110	1742	1998-06-16	VYDAJ	VYBER	7200	46101	\N	\N	\N
509113	1742	1997-01-09	VYDAJ	VYBER	8160	60212	\N	\N	\N
509114	1742	1998-01-16	VYDAJ	VYBER	11680	42806	\N	\N	\N
509116	1742	1996-12-03	VYDAJ	VYBER	1280	43867	\N	\N	\N
509117	1742	1997-12-11	VYDAJ	VYBER	800	69322	\N	\N	\N
509118	1742	1998-12-07	VYDAJ	VYBER	2880	53317	\N	\N	\N
509131	1742	1997-01-14	VYDAJ	VYBER	1320	56012	\N	\N	\N
509132	1742	1997-01-14	VYDAJ	VYBER	2040	53972	\N	\N	\N
509133	1742	1997-01-02	VYDAJ	VYBER	2880	48781	\N	\N	\N
509134	1742	1997-01-30	VYDAJ	VYBER	1800	52172	\N	\N	\N
509135	1742	1997-01-13	VYDAJ	VYBER	2280	57332	\N	\N	\N
509136	1742	1997-01-09	VYDAJ	VYBER	600	59612	\N	\N	\N
509137	1742	1998-01-23	VYDAJ	VYBER	3000	39806	\N	\N	\N
509138	1742	1998-01-28	VYDAJ	VYBER	840	24966	\N	\N	\N
509139	1742	1998-01-29	VYDAJ	VYBER	1680	23286	\N	\N	\N
509140	1742	1998-01-30	VYDAJ	VYBER	1680	19206	\N	\N	\N
509141	1742	1998-01-16	VYDAJ	VYBER	3240	54486	\N	\N	\N
509142	1742	1998-01-15	VYDAJ	VYBER	1920	57726	\N	\N	\N
509149	1742	1996-04-04	VYDAJ	VYBER	5880	26967	\N	\N	\N
509150	1742	1996-03-08	VYDAJ	VYBER	5040	40373	\N	\N	\N
509152	1742	1996-07-02	VYDAJ	VYBER	5640	19665	\N	\N	\N
509154	1742	1996-03-30	VYDAJ	VYBER	2640	32693	\N	\N	\N
509156	1742	1996-03-16	VYDAJ	VYBER	5040	35333	\N	\N	\N
509157	1742	1996-04-18	VYDAJ	VYBER	2400	41958	\N	\N	\N
509158	1742	1997-04-09	VYDAJ	VYBER	5520	53782	\N	\N	\N
509159	1742	1997-10-03	VYDAJ	VYBER	3480	37341	\N	\N	\N
509160	1742	1997-03-25	VYDAJ	VYBER	5520	57471	\N	\N	\N
509162	1742	1998-01-25	VYDAJ	VYBER	4200	35606	\N	\N	\N
509163	1742	1998-06-24	VYDAJ	VYBER	2760	43341	\N	\N	\N
509164	1742	1998-05-15	VYDAJ	VYBER	5520	42163	\N	\N	\N
509165	1742	1998-09-19	VYDAJ	VYBER	5040	40421	\N	\N	\N
509166	1742	1998-01-29	VYDAJ	VYBER	2400	20886	\N	\N	\N
509167	1742	1998-12-29	VYDAJ	VYBER	600	30317	\N	\N	\N
509183	1742	1996-03-31	VYDAJ	VYBER	15	32847	SLUZBY	\N	\N
509184	1742	1996-04-30	VYDAJ	VYBER	15	42115	SLUZBY	\N	\N
509185	1742	1996-05-31	VYDAJ	VYBER	15	55025	SLUZBY	\N	\N
509186	1742	1996-06-30	VYDAJ	VYBER	15	25305	SLUZBY	\N	\N
509187	1742	1996-07-31	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
509188	1742	1996-08-31	VYDAJ	VYBER	15	57515	SLUZBY	\N	\N
509189	1742	1996-09-30	VYDAJ	VYBER	15	61456	SLUZBY	\N	\N
509190	1742	1996-10-31	VYDAJ	VYBER	15	64198	SLUZBY	\N	\N
509191	1742	1996-11-30	VYDAJ	VYBER	15	66047	SLUZBY	\N	\N
509192	1742	1996-12-31	VYDAJ	VYBER	15	51661	SLUZBY	\N	\N
509193	1742	1997-01-31	VYDAJ	VYBER	15	39193	SLUZBY	\N	\N
509194	1742	1997-02-28	VYDAJ	VYBER	15	59000	SLUZBY	\N	\N
509195	1742	1997-03-31	VYDAJ	VYBER	15	57711	SLUZBY	\N	\N
509196	1742	1997-04-30	VYDAJ	VYBER	15	53995	SLUZBY	\N	\N
509197	1742	1997-05-31	VYDAJ	VYBER	15	43508	SLUZBY	\N	\N
509198	1742	1997-06-30	VYDAJ	VYBER	15	47944	SLUZBY	\N	\N
509199	1742	1997-07-31	VYDAJ	VYBER	15	47481	SLUZBY	\N	\N
509200	1742	1997-08-31	VYDAJ	VYBER	15	43010	SLUZBY	\N	\N
509201	1742	1997-09-30	VYDAJ	VYBER	15	40821	SLUZBY	\N	\N
509202	1742	1997-10-31	VYDAJ	VYBER	15	35840	SLUZBY	\N	\N
509203	1742	1997-11-30	VYDAJ	VYBER	15	38822	SLUZBY	\N	\N
509204	1742	1997-12-31	VYDAJ	VYBER	15	40055	SLUZBY	\N	\N
509205	1742	1998-01-31	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
509206	1742	1998-02-28	VYDAJ	VYBER	15	27905	SLUZBY	\N	\N
509207	1742	1998-03-31	VYDAJ	VYBER	15	25157	SLUZBY	\N	\N
509208	1742	1998-04-30	VYDAJ	VYBER	15	28092	SLUZBY	\N	\N
509209	1742	1998-05-31	VYDAJ	VYBER	15	22001	SLUZBY	\N	\N
509210	1742	1998-06-30	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
509211	1742	1998-07-31	VYDAJ	VYBER	15	26541	SLUZBY	\N	\N
509212	1742	1998-08-31	VYDAJ	VYBER	15	25870	SLUZBY	\N	\N
509213	1742	1998-09-30	VYDAJ	VYBER	15	22850	SLUZBY	\N	\N
509214	1742	1998-10-31	VYDAJ	VYBER	15	24172	SLUZBY	\N	\N
509215	1742	1998-11-30	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
509216	1742	1995-11-07	PRIJEM	VKLAD	300	24518	\N	\N	\N
509217	1742	1995-12-07	VYDAJ	VYBER	18100	41627	\N	\N	\N
509218	1742	1996-01-06	VYDAJ	VYBER	22000	43204	\N	\N	\N
509219	1742	1996-02-05	VYDAJ	VYBER	12000	31383	\N	\N	\N
509220	1742	1996-03-06	VYDAJ	VYBER	29200	49240	\N	\N	\N
509221	1742	1996-04-05	VYDAJ	VYBER	2200	24767	\N	\N	\N
509222	1742	1996-05-05	VYDAJ	VYBER	6900	35215	\N	\N	\N
509223	1742	1996-06-04	VYDAJ	VYBER	14300	40725	\N	\N	\N
509224	1742	1996-07-04	PRIJEM	VKLAD	3700	23365	\N	\N	\N
509225	1742	1996-08-03	VYDAJ	VYBER	5400	37709	\N	\N	\N
509226	1742	1996-09-02	VYDAJ	VYBER	15900	41615	\N	\N	\N
509227	1742	1996-10-02	VYDAJ	VYBER	17100	44356	\N	\N	\N
509228	1742	1996-11-01	VYDAJ	VYBER	18000	46198	\N	\N	\N
509229	1742	1996-12-01	VYDAJ	VYBER	20900	45147	\N	\N	\N
509230	1742	1996-12-31	VYDAJ	VYBER	23800	51675	\N	\N	\N
509231	1742	1997-01-30	VYDAJ	VYBER	13200	38972	\N	\N	\N
509232	1742	1997-03-01	VYDAJ	VYBER	15600	43400	\N	\N	\N
509233	1742	1997-03-31	VYDAJ	VYBER	18000	39711	\N	\N	\N
509234	1742	1997-04-30	VYDAJ	VYBER	12500	41495	\N	\N	\N
509235	1742	1997-05-30	VYDAJ	VYBER	17800	43286	\N	\N	\N
509236	1742	1997-06-29	VYDAJ	VYBER	20400	47688	\N	\N	\N
509237	1742	1997-07-29	VYDAJ	VYBER	20300	47235	\N	\N	\N
509238	1742	1997-08-28	VYDAJ	VYBER	24300	42772	\N	\N	\N
509239	1742	1997-09-27	VYDAJ	VYBER	22000	40601	\N	\N	\N
509240	1742	1997-10-27	VYDAJ	VYBER	21300	35632	\N	\N	\N
509241	1742	1997-11-26	VYDAJ	VYBER	16800	38631	\N	\N	\N
509242	1742	1997-12-26	VYDAJ	VYBER	29500	39822	\N	\N	\N
509243	1742	1998-01-25	VYDAJ	VYBER	9800	25806	\N	\N	\N
509244	1742	1998-02-24	VYDAJ	VYBER	11200	27781	\N	\N	\N
509245	1742	1998-03-26	VYDAJ	VYBER	22500	24996	\N	\N	\N
509246	1742	1998-04-25	VYDAJ	VYBER	16800	27948	\N	\N	\N
509247	1742	1998-05-25	VYDAJ	VYBER	20300	21863	\N	\N	\N
509248	1742	1998-06-24	VYDAJ	VYBER	20800	22541	\N	\N	\N
509249	1742	1998-07-24	VYDAJ	VYBER	15900	26401	\N	\N	\N
509250	1742	1998-08-23	VYDAJ	VYBER	20400	25732	\N	\N	\N
509251	1742	1998-09-22	VYDAJ	VYBER	17700	22721	\N	\N	\N
509252	1742	1998-10-22	VYDAJ	VYBER	18400	24041	\N	\N	\N
509253	1742	1998-11-21	VYDAJ	VYBER	19000	24763	\N	\N	\N
509254	1742	1998-12-21	VYDAJ	VYBER	22400	30917	\N	\N	\N
509293	1743	1993-06-04	PRIJEM	VKLAD	800	800	\N	\N	\N
509299	1743	1993-06-13	PRIJEM	PREVOD Z UCTU	4260	5060	DUCHOD	ST	62864976
509300	1743	1993-07-13	PRIJEM	PREVOD Z UCTU	4260	9333	DUCHOD	ST	62864976
509301	1743	1993-08-13	PRIJEM	PREVOD Z UCTU	4260	13614	DUCHOD	ST	62864976
509302	1743	1993-09-13	PRIJEM	PREVOD Z UCTU	4260	17895	DUCHOD	ST	62864976
509467	1743	1997-06-09	VYDAJ	VYBER	1680	35924	\N	\N	\N
509303	1743	1993-10-13	PRIJEM	PREVOD Z UCTU	4260	22176	DUCHOD	ST	62864976
509304	1743	1993-11-13	PRIJEM	PREVOD Z UCTU	4260	21224	DUCHOD	ST	62864976
509305	1743	1993-12-13	PRIJEM	PREVOD Z UCTU	4260	22076	DUCHOD	ST	62864976
509306	1743	1994-01-13	PRIJEM	PREVOD Z UCTU	4260	24132	DUCHOD	ST	62864976
509307	1743	1994-02-13	PRIJEM	PREVOD Z UCTU	4260	21815	DUCHOD	ST	62864976
509308	1743	1994-03-13	PRIJEM	PREVOD Z UCTU	4260	23872	DUCHOD	ST	62864976
509309	1743	1994-04-13	PRIJEM	PREVOD Z UCTU	4260	25935	DUCHOD	ST	62864976
509310	1743	1994-05-13	PRIJEM	PREVOD Z UCTU	4260	24486	DUCHOD	ST	62864976
509311	1743	1994-06-13	PRIJEM	PREVOD Z UCTU	4260	23275	DUCHOD	ST	62864976
509312	1743	1994-07-13	PRIJEM	PREVOD Z UCTU	4260	25340	DUCHOD	ST	62864976
509313	1743	1994-08-13	PRIJEM	PREVOD Z UCTU	4260	26849	DUCHOD	ST	62864976
509314	1743	1994-09-13	PRIJEM	PREVOD Z UCTU	4260	28924	DUCHOD	ST	62864976
509315	1743	1994-10-13	PRIJEM	PREVOD Z UCTU	4260	30507	DUCHOD	ST	62864976
509316	1743	1994-11-13	PRIJEM	PREVOD Z UCTU	4260	32097	DUCHOD	ST	62864976
509317	1743	1994-12-13	PRIJEM	PREVOD Z UCTU	4260	31242	DUCHOD	ST	62864976
509318	1743	1995-01-13	PRIJEM	PREVOD Z UCTU	4260	31334	DUCHOD	ST	62864976
509319	1743	1995-02-13	PRIJEM	PREVOD Z UCTU	4260	29962	DUCHOD	ST	62864976
509320	1743	1995-03-13	PRIJEM	PREVOD Z UCTU	4260	31328	DUCHOD	ST	62864976
509321	1743	1995-04-13	PRIJEM	PREVOD Z UCTU	4260	28618	DUCHOD	ST	62864976
509322	1743	1995-05-13	PRIJEM	PREVOD Z UCTU	4260	28157	DUCHOD	ST	62864976
509323	1743	1995-06-13	PRIJEM	PREVOD Z UCTU	4260	28536	DUCHOD	ST	62864976
509324	1743	1995-07-13	PRIJEM	PREVOD Z UCTU	4260	27656	DUCHOD	ST	62864976
509325	1743	1995-08-13	PRIJEM	PREVOD Z UCTU	4260	27652	DUCHOD	ST	62864976
509326	1743	1995-09-13	PRIJEM	PREVOD Z UCTU	4260	29730	DUCHOD	ST	62864976
509327	1743	1995-10-13	PRIJEM	PREVOD Z UCTU	4260	29313	DUCHOD	ST	62864976
509328	1743	1995-11-13	PRIJEM	PREVOD Z UCTU	4260	31398	DUCHOD	ST	62864976
509329	1743	1995-12-13	PRIJEM	PREVOD Z UCTU	4260	32991	DUCHOD	ST	62864976
509330	1743	1996-01-13	PRIJEM	PREVOD Z UCTU	4260	32887	DUCHOD	ST	62864976
509331	1743	1996-02-13	PRIJEM	PREVOD Z UCTU	4260	31782	DUCHOD	ST	62864976
509332	1743	1996-03-13	PRIJEM	PREVOD Z UCTU	4260	32996	DUCHOD	ST	62864976
509333	1743	1996-04-13	PRIJEM	PREVOD Z UCTU	4260	35097	DUCHOD	ST	62864976
509334	1743	1996-05-13	PRIJEM	PREVOD Z UCTU	4260	37005	DUCHOD	ST	62864976
509335	1743	1996-06-13	PRIJEM	PREVOD Z UCTU	4260	36077	DUCHOD	ST	62864976
509336	1743	1996-07-13	PRIJEM	PREVOD Z UCTU	4260	38190	DUCHOD	ST	62864976
509337	1743	1996-08-13	PRIJEM	PREVOD Z UCTU	4260	34341	DUCHOD	ST	62864976
509338	1743	1996-09-13	PRIJEM	PREVOD Z UCTU	4260	32739	DUCHOD	ST	62864976
509339	1743	1996-10-13	PRIJEM	PREVOD Z UCTU	4260	31832	DUCHOD	ST	62864976
509340	1743	1996-11-13	PRIJEM	PREVOD Z UCTU	4260	30719	DUCHOD	ST	62864976
509341	1743	1996-12-13	PRIJEM	PREVOD Z UCTU	4260	30705	DUCHOD	ST	62864976
509342	1743	1997-01-13	PRIJEM	PREVOD Z UCTU	4260	31693	DUCHOD	ST	62864976
509343	1743	1997-02-13	PRIJEM	PREVOD Z UCTU	4260	32586	DUCHOD	ST	62864976
509344	1743	1997-03-13	PRIJEM	PREVOD Z UCTU	4260	34683	DUCHOD	ST	62864976
509345	1743	1997-04-13	PRIJEM	PREVOD Z UCTU	4260	36789	DUCHOD	ST	62864976
509346	1743	1997-05-13	PRIJEM	PREVOD Z UCTU	4260	38904	DUCHOD	ST	62864976
509347	1743	1997-06-13	PRIJEM	PREVOD Z UCTU	4260	37905	DUCHOD	ST	62864976
509348	1743	1997-07-13	PRIJEM	PREVOD Z UCTU	4260	37059	DUCHOD	ST	62864976
509349	1743	1997-08-13	PRIJEM	PREVOD Z UCTU	4260	39175	DUCHOD	ST	62864976
509350	1743	1997-09-13	PRIJEM	PREVOD Z UCTU	4260	41299	DUCHOD	ST	62864976
509351	1743	1997-10-13	PRIJEM	PREVOD Z UCTU	4260	41592	DUCHOD	ST	62864976
509352	1743	1997-11-13	PRIJEM	PREVOD Z UCTU	4260	38729	DUCHOD	ST	62864976
509353	1743	1997-12-13	PRIJEM	PREVOD Z UCTU	4260	38657	DUCHOD	ST	62864976
509354	1743	1998-01-13	PRIJEM	PREVOD Z UCTU	4260	37030	DUCHOD	ST	62864976
509355	1743	1998-02-13	PRIJEM	PREVOD Z UCTU	4260	39149	DUCHOD	ST	62864976
509356	1743	1998-03-13	PRIJEM	PREVOD Z UCTU	4260	40873	DUCHOD	ST	62864976
509357	1743	1998-04-13	PRIJEM	PREVOD Z UCTU	4260	41079	DUCHOD	ST	62864976
509358	1743	1998-05-13	PRIJEM	PREVOD Z UCTU	4260	43211	DUCHOD	ST	62864976
509359	1743	1998-06-13	PRIJEM	PREVOD Z UCTU	4260	45351	DUCHOD	ST	62864976
509360	1743	1998-07-13	PRIJEM	PREVOD Z UCTU	4260	44053	DUCHOD	ST	62864976
509361	1743	1998-08-13	PRIJEM	PREVOD Z UCTU	4260	46197	DUCHOD	ST	62864976
509362	1743	1998-09-13	PRIJEM	PREVOD Z UCTU	4260	48349	DUCHOD	ST	62864976
509363	1743	1998-10-13	PRIJEM	PREVOD Z UCTU	4260	49310	DUCHOD	ST	62864976
509364	1743	1998-11-13	PRIJEM	PREVOD Z UCTU	4260	50515	DUCHOD	ST	62864976
509365	1743	1998-12-13	PRIJEM	PREVOD Z UCTU	4260	51485	DUCHOD	ST	62864976
509376	1743	1993-11-11	VYDAJ	PREVOD NA UCET	2279	16964	SIPO	EF	61555409
509377	1743	1993-12-11	VYDAJ	PREVOD NA UCET	2279	17816	SIPO	EF	61555409
509378	1743	1994-01-11	VYDAJ	PREVOD NA UCET	2279	19872	SIPO	EF	61555409
509379	1743	1994-02-11	VYDAJ	PREVOD NA UCET	2279	17555	SIPO	EF	61555409
509380	1743	1994-03-11	VYDAJ	PREVOD NA UCET	2279	19612	SIPO	EF	61555409
509381	1743	1994-04-11	VYDAJ	PREVOD NA UCET	2279	21675	SIPO	EF	61555409
509382	1743	1994-05-11	VYDAJ	PREVOD NA UCET	2279	20226	SIPO	EF	61555409
509468	1743	1998-09-28	VYDAJ	VYBER	720	47629	\N	\N	\N
509383	1743	1994-06-11	VYDAJ	PREVOD NA UCET	2279	22295	SIPO	EF	61555409
509384	1743	1994-07-11	VYDAJ	PREVOD NA UCET	2279	21080	SIPO	EF	61555409
509385	1743	1994-08-11	VYDAJ	PREVOD NA UCET	2279	23149	SIPO	EF	61555409
509386	1743	1994-09-11	VYDAJ	PREVOD NA UCET	2279	24664	SIPO	EF	61555409
509387	1743	1994-10-11	VYDAJ	PREVOD NA UCET	2279	26247	SIPO	EF	61555409
509388	1743	1994-11-11	VYDAJ	PREVOD NA UCET	2279	27837	SIPO	EF	61555409
509389	1743	1994-12-11	VYDAJ	PREVOD NA UCET	2279	26982	SIPO	EF	61555409
509390	1743	1995-01-11	VYDAJ	PREVOD NA UCET	2279	27074	SIPO	EF	61555409
509391	1743	1995-02-11	VYDAJ	PREVOD NA UCET	2279	25702	SIPO	EF	61555409
509392	1743	1995-03-11	VYDAJ	PREVOD NA UCET	2279	27068	SIPO	EF	61555409
509393	1743	1995-04-11	VYDAJ	PREVOD NA UCET	2279	24358	SIPO	EF	61555409
509394	1743	1995-05-11	VYDAJ	PREVOD NA UCET	2279	23897	SIPO	EF	61555409
509395	1743	1995-06-11	VYDAJ	PREVOD NA UCET	2279	24276	SIPO	EF	61555409
509396	1743	1995-07-11	VYDAJ	PREVOD NA UCET	2279	23396	SIPO	EF	61555409
509397	1743	1995-08-11	VYDAJ	PREVOD NA UCET	2279	23392	SIPO	EF	61555409
509398	1743	1995-09-11	VYDAJ	PREVOD NA UCET	2279	25470	SIPO	EF	61555409
509399	1743	1995-10-11	VYDAJ	PREVOD NA UCET	2279	25053	SIPO	EF	61555409
509400	1743	1995-11-11	VYDAJ	PREVOD NA UCET	2279	27138	SIPO	EF	61555409
509401	1743	1995-12-11	VYDAJ	PREVOD NA UCET	2279	28731	SIPO	EF	61555409
509402	1743	1996-01-11	VYDAJ	PREVOD NA UCET	2279	28627	SIPO	EF	61555409
509403	1743	1996-02-11	VYDAJ	PREVOD NA UCET	2279	27522	SIPO	EF	61555409
509404	1743	1996-03-11	VYDAJ	PREVOD NA UCET	2279	28736	SIPO	EF	61555409
509405	1743	1996-04-11	VYDAJ	PREVOD NA UCET	2279	30837	SIPO	EF	61555409
509406	1743	1996-05-11	VYDAJ	PREVOD NA UCET	2279	32745	SIPO	EF	61555409
509407	1743	1996-06-11	VYDAJ	PREVOD NA UCET	2279	32617	SIPO	EF	61555409
509408	1743	1996-07-11	VYDAJ	PREVOD NA UCET	2279	33930	SIPO	EF	61555409
509409	1743	1996-08-11	VYDAJ	PREVOD NA UCET	2279	30081	SIPO	EF	61555409
509410	1743	1996-09-11	VYDAJ	PREVOD NA UCET	2279	28479	SIPO	EF	61555409
509411	1743	1996-10-11	VYDAJ	PREVOD NA UCET	2279	27572	SIPO	EF	61555409
509412	1743	1996-11-11	VYDAJ	PREVOD NA UCET	2279	26459	SIPO	EF	61555409
509413	1743	1996-12-11	VYDAJ	PREVOD NA UCET	2279	26445	SIPO	EF	61555409
509414	1743	1997-01-11	VYDAJ	PREVOD NA UCET	2279	27433	SIPO	EF	61555409
509415	1743	1997-02-11	VYDAJ	PREVOD NA UCET	2279	28326	SIPO	EF	61555409
509416	1743	1997-03-11	VYDAJ	PREVOD NA UCET	2279	30423	SIPO	EF	61555409
509417	1743	1997-04-11	VYDAJ	PREVOD NA UCET	2279	32529	SIPO	EF	61555409
509418	1743	1997-05-11	VYDAJ	PREVOD NA UCET	2279	34644	SIPO	EF	61555409
509419	1743	1997-06-11	VYDAJ	PREVOD NA UCET	2279	33645	SIPO	EF	61555409
509420	1743	1997-07-11	VYDAJ	PREVOD NA UCET	2279	32799	SIPO	EF	61555409
509421	1743	1997-08-11	VYDAJ	PREVOD NA UCET	2279	34915	SIPO	EF	61555409
509422	1743	1997-09-11	VYDAJ	PREVOD NA UCET	2279	37039	SIPO	EF	61555409
509423	1743	1997-10-11	VYDAJ	PREVOD NA UCET	2279	37332	SIPO	EF	61555409
509424	1743	1997-11-11	VYDAJ	PREVOD NA UCET	2279	34469	SIPO	EF	61555409
509425	1743	1997-12-11	VYDAJ	PREVOD NA UCET	2279	34397	SIPO	EF	61555409
509426	1743	1998-01-11	VYDAJ	PREVOD NA UCET	2279	32770	SIPO	EF	61555409
509427	1743	1998-02-11	VYDAJ	PREVOD NA UCET	2279	34889	SIPO	EF	61555409
509428	1743	1998-03-11	VYDAJ	PREVOD NA UCET	2279	36613	SIPO	EF	61555409
509429	1743	1998-04-11	VYDAJ	PREVOD NA UCET	2279	36819	SIPO	EF	61555409
509430	1743	1998-05-11	VYDAJ	PREVOD NA UCET	2279	38951	SIPO	EF	61555409
509431	1743	1998-06-11	VYDAJ	PREVOD NA UCET	2279	41091	SIPO	EF	61555409
509432	1743	1998-07-11	VYDAJ	PREVOD NA UCET	2279	39793	SIPO	EF	61555409
509433	1743	1998-08-11	VYDAJ	PREVOD NA UCET	2279	41937	SIPO	EF	61555409
509434	1743	1998-09-11	VYDAJ	PREVOD NA UCET	2279	44089	SIPO	EF	61555409
509435	1743	1998-10-11	VYDAJ	PREVOD NA UCET	2279	45050	SIPO	EF	61555409
509436	1743	1998-11-11	VYDAJ	PREVOD NA UCET	2279	46255	SIPO	EF	61555409
509437	1743	1998-12-11	VYDAJ	PREVOD NA UCET	2279	47225	SIPO	EF	61555409
509438	1743	1993-12-01	VYDAJ	VYBER	1200	20095	\N	\N	\N
509439	1743	1994-12-01	VYDAJ	VYBER	550	29261	\N	\N	\N
509440	1743	1995-12-17	VYDAJ	VYBER	1300	31691	\N	\N	\N
509441	1743	1996-12-24	VYDAJ	VYBER	1100	29605	\N	\N	\N
509442	1743	1997-12-14	VYDAJ	VYBER	550	38107	\N	\N	\N
509443	1743	1998-12-08	VYDAJ	VYBER	1200	49504	\N	\N	\N
509444	1743	1993-10-21	VYDAJ	VYBER	2960	19216	\N	\N	\N
509448	1743	1994-06-12	VYDAJ	VYBER	3280	19015	\N	\N	\N
509449	1743	1994-05-02	VYDAJ	VYBER	2320	22505	\N	\N	\N
509450	1743	1994-02-01	VYDAJ	VYBER	2480	19834	\N	\N	\N
509451	1743	1994-08-12	VYDAJ	VYBER	560	22589	\N	\N	\N
509452	1743	1995-07-26	VYDAJ	VYBER	2080	25576	\N	\N	\N
509453	1743	1995-06-26	VYDAJ	VYBER	2960	25576	\N	\N	\N
509454	1743	1995-02-15	VYDAJ	VYBER	720	29242	\N	\N	\N
509455	1743	1995-04-02	VYDAJ	VYBER	1440	26637	\N	\N	\N
509456	1743	1995-03-24	VYDAJ	VYBER	960	30368	\N	\N	\N
509457	1743	1995-04-18	VYDAJ	VYBER	2240	26378	\N	\N	\N
509458	1743	1995-01-13	VYDAJ	VYBER	1760	29574	\N	\N	\N
509459	1743	1996-08-07	VYDAJ	VYBER	560	32360	\N	\N	\N
509460	1743	1996-05-16	VYDAJ	VYBER	2240	34765	\N	\N	\N
509461	1743	1996-06-12	VYDAJ	VYBER	800	31817	\N	\N	\N
509462	1743	1996-03-04	VYDAJ	VYBER	880	31015	\N	\N	\N
509463	1743	1997-10-03	VYDAJ	VYBER	1840	39611	\N	\N	\N
509464	1743	1997-06-14	VYDAJ	VYBER	2960	34945	\N	\N	\N
509465	1743	1997-05-19	VYDAJ	VYBER	1440	37464	\N	\N	\N
509466	1743	1997-01-21	VYDAJ	VYBER	1200	30493	\N	\N	\N
509469	1743	1998-12-29	VYDAJ	VYBER	2480	49005	\N	\N	\N
509470	1743	1998-06-15	VYDAJ	VYBER	3440	41911	\N	\N	\N
509471	1743	1998-03-16	VYDAJ	VYBER	1920	38953	\N	\N	\N
509472	1743	1998-10-29	VYDAJ	VYBER	960	48350	\N	\N	\N
509473	1743	1998-09-30	VYDAJ	VYBER	480	47344	\N	\N	\N
509484	1743	1993-10-31	VYDAJ	VYBER	15	19243	SLUZBY	\N	\N
509485	1743	1993-11-30	VYDAJ	VYBER	15	21295	SLUZBY	\N	\N
509486	1743	1993-12-31	VYDAJ	VYBER	15	22151	SLUZBY	\N	\N
509487	1743	1994-01-31	VYDAJ	VYBER	15	22314	SLUZBY	\N	\N
509488	1743	1994-02-28	VYDAJ	VYBER	15	21891	SLUZBY	\N	\N
509489	1743	1994-03-31	VYDAJ	VYBER	15	23954	SLUZBY	\N	\N
509490	1743	1994-04-30	VYDAJ	VYBER	15	26025	SLUZBY	\N	\N
509491	1743	1994-05-31	VYDAJ	VYBER	15	24574	SLUZBY	\N	\N
509492	1743	1994-06-30	VYDAJ	VYBER	15	23359	SLUZBY	\N	\N
509493	1743	1994-07-31	VYDAJ	VYBER	15	25428	SLUZBY	\N	\N
509494	1743	1994-08-31	VYDAJ	VYBER	15	26943	SLUZBY	\N	\N
509495	1743	1994-09-30	VYDAJ	VYBER	15	28526	SLUZBY	\N	\N
509496	1743	1994-10-31	VYDAJ	VYBER	15	30116	SLUZBY	\N	\N
509497	1743	1994-11-30	VYDAJ	VYBER	15	29811	SLUZBY	\N	\N
509498	1743	1994-12-31	VYDAJ	VYBER	15	29353	SLUZBY	\N	\N
509499	1743	1995-01-31	VYDAJ	VYBER	15	27981	SLUZBY	\N	\N
509500	1743	1995-02-28	VYDAJ	VYBER	15	29347	SLUZBY	\N	\N
509501	1743	1995-03-31	VYDAJ	VYBER	15	28077	SLUZBY	\N	\N
509502	1743	1995-04-30	VYDAJ	VYBER	15	26176	SLUZBY	\N	\N
509503	1743	1995-05-31	VYDAJ	VYBER	15	26555	SLUZBY	\N	\N
509504	1743	1995-06-30	VYDAJ	VYBER	15	25675	SLUZBY	\N	\N
509505	1743	1995-07-31	VYDAJ	VYBER	15	25671	SLUZBY	\N	\N
509506	1743	1995-08-31	VYDAJ	VYBER	15	27749	SLUZBY	\N	\N
509507	1743	1995-09-30	VYDAJ	VYBER	15	27332	SLUZBY	\N	\N
509508	1743	1995-10-31	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
509509	1743	1995-11-30	VYDAJ	VYBER	15	31010	SLUZBY	\N	\N
509510	1743	1995-12-31	VYDAJ	VYBER	15	30906	SLUZBY	\N	\N
509511	1743	1996-01-31	VYDAJ	VYBER	15	29801	SLUZBY	\N	\N
509512	1743	1996-02-29	VYDAJ	VYBER	15	31895	SLUZBY	\N	\N
509513	1743	1996-03-31	VYDAJ	VYBER	15	33116	SLUZBY	\N	\N
509514	1743	1996-04-30	VYDAJ	VYBER	15	35024	SLUZBY	\N	\N
509515	1743	1996-05-31	VYDAJ	VYBER	15	34896	SLUZBY	\N	\N
509516	1743	1996-06-30	VYDAJ	VYBER	15	36209	SLUZBY	\N	\N
509517	1743	1996-07-31	VYDAJ	VYBER	15	32920	SLUZBY	\N	\N
509518	1743	1996-08-31	VYDAJ	VYBER	15	30758	SLUZBY	\N	\N
509519	1743	1996-09-30	VYDAJ	VYBER	15	29851	SLUZBY	\N	\N
509520	1743	1996-10-31	VYDAJ	VYBER	15	28738	SLUZBY	\N	\N
509521	1743	1996-11-30	VYDAJ	VYBER	15	28724	SLUZBY	\N	\N
509522	1743	1996-12-31	VYDAJ	VYBER	15	29712	SLUZBY	\N	\N
509523	1743	1997-01-31	VYDAJ	VYBER	15	30605	SLUZBY	\N	\N
509524	1743	1997-02-28	VYDAJ	VYBER	15	32702	SLUZBY	\N	\N
509525	1743	1997-03-31	VYDAJ	VYBER	15	34808	SLUZBY	\N	\N
509526	1743	1997-04-30	VYDAJ	VYBER	15	36923	SLUZBY	\N	\N
509527	1743	1997-05-31	VYDAJ	VYBER	15	37604	SLUZBY	\N	\N
509528	1743	1997-06-30	VYDAJ	VYBER	15	35078	SLUZBY	\N	\N
509529	1743	1997-07-31	VYDAJ	VYBER	15	37194	SLUZBY	\N	\N
509530	1743	1997-08-31	VYDAJ	VYBER	15	39318	SLUZBY	\N	\N
509531	1743	1997-09-30	VYDAJ	VYBER	15	41451	SLUZBY	\N	\N
509532	1743	1997-10-31	VYDAJ	VYBER	15	41748	SLUZBY	\N	\N
509533	1743	1997-11-30	VYDAJ	VYBER	15	38876	SLUZBY	\N	\N
509534	1743	1997-12-31	VYDAJ	VYBER	15	38249	SLUZBY	\N	\N
509535	1743	1998-01-31	VYDAJ	VYBER	15	37168	SLUZBY	\N	\N
509536	1743	1998-02-28	VYDAJ	VYBER	15	39292	SLUZBY	\N	\N
509537	1743	1998-03-31	VYDAJ	VYBER	15	39098	SLUZBY	\N	\N
509538	1743	1998-04-30	VYDAJ	VYBER	15	41230	SLUZBY	\N	\N
509539	1743	1998-05-31	VYDAJ	VYBER	15	43370	SLUZBY	\N	\N
509540	1743	1998-06-30	VYDAJ	VYBER	15	42072	SLUZBY	\N	\N
509541	1743	1998-07-31	VYDAJ	VYBER	15	44216	SLUZBY	\N	\N
509542	1743	1998-08-31	VYDAJ	VYBER	15	46368	SLUZBY	\N	\N
509543	1743	1998-09-30	VYDAJ	VYBER	15	47329	SLUZBY	\N	\N
509544	1743	1998-10-31	VYDAJ	VYBER	15	48534	SLUZBY	\N	\N
509545	1743	1998-11-30	VYDAJ	VYBER	15	50704	SLUZBY	\N	\N
509546	1743	1994-01-30	VYDAJ	VYBER	1900	22232	\N	\N	\N
509547	1743	1994-04-30	VYDAJ	VYBER	1200	24825	\N	\N	\N
509548	1743	1994-09-27	VYDAJ	VYBER	500	28424	\N	\N	\N
509549	1743	1994-10-27	VYDAJ	VYBER	500	30007	\N	\N	\N
509550	1743	1994-11-26	VYDAJ	VYBER	2400	29697	\N	\N	\N
509551	1743	1994-12-26	VYDAJ	VYBER	2000	29242	\N	\N	\N
509552	1743	1995-01-25	VYDAJ	VYBER	1700	27874	\N	\N	\N
509553	1743	1995-03-26	VYDAJ	VYBER	2400	27968	\N	\N	\N
509554	1743	1995-04-25	VYDAJ	VYBER	300	26078	\N	\N	\N
509555	1743	1995-05-25	VYDAJ	VYBER	1700	26457	\N	\N	\N
509556	1743	1995-09-22	VYDAJ	VYBER	2500	27230	\N	\N	\N
509557	1743	1995-11-21	VYDAJ	VYBER	500	30898	\N	\N	\N
509558	1743	1995-12-21	VYDAJ	VYBER	900	30791	\N	\N	\N
509559	1743	1996-01-20	VYDAJ	VYBER	3200	29687	\N	\N	\N
509560	1743	1996-04-19	VYDAJ	VYBER	200	34897	\N	\N	\N
509561	1743	1996-07-18	VYDAJ	VYBER	5400	32790	\N	\N	\N
509562	1743	1996-08-17	VYDAJ	VYBER	3700	30641	\N	\N	\N
509563	1743	1996-09-16	VYDAJ	VYBER	3000	29739	\N	\N	\N
509564	1743	1996-10-16	VYDAJ	VYBER	3200	28632	\N	\N	\N
509565	1743	1996-11-15	VYDAJ	VYBER	2100	28619	\N	\N	\N
509566	1743	1997-11-10	VYDAJ	VYBER	5000	36748	\N	\N	\N
509567	1743	1997-12-10	VYDAJ	VYBER	2200	36676	\N	\N	\N
509568	1743	1998-01-09	VYDAJ	VYBER	3200	35049	\N	\N	\N
509569	1743	1998-03-10	VYDAJ	VYBER	400	38892	\N	\N	\N
509637	1744	1996-02-07	PRIJEM	VKLAD	600	600	\N	\N	\N
509639	1744	1996-02-09	PRIJEM	PREVOD Z UCTU	5648	6248	DUCHOD	QR	9499472
509640	1744	1996-03-09	PRIJEM	PREVOD Z UCTU	5648	11915	DUCHOD	QR	9499472
509641	1744	1996-04-09	PRIJEM	PREVOD Z UCTU	5648	17589	DUCHOD	QR	9499472
509642	1744	1996-05-09	PRIJEM	PREVOD Z UCTU	5648	23263	DUCHOD	QR	9499472
509643	1744	1996-06-09	PRIJEM	PREVOD Z UCTU	5648	26637	DUCHOD	QR	9499472
509644	1744	1996-07-09	PRIJEM	PREVOD Z UCTU	5648	15628	DUCHOD	QR	9499472
509645	1744	1996-08-09	PRIJEM	PREVOD Z UCTU	5648	18007	DUCHOD	QR	9499472
509646	1744	1996-09-09	PRIJEM	PREVOD Z UCTU	5648	20396	DUCHOD	QR	9499472
509647	1744	1996-10-09	PRIJEM	PREVOD Z UCTU	5648	21673	DUCHOD	QR	9499472
509648	1744	1996-11-09	PRIJEM	PREVOD Z UCTU	5648	24078	DUCHOD	QR	9499472
509649	1744	1996-12-09	PRIJEM	PREVOD Z UCTU	5648	22567	DUCHOD	QR	9499472
509650	1744	1997-01-09	PRIJEM	PREVOD Z UCTU	5648	18645	DUCHOD	QR	9499472
509651	1744	1997-02-09	PRIJEM	PREVOD Z UCTU	5648	15903	DUCHOD	QR	9499472
509652	1744	1997-03-09	PRIJEM	PREVOD Z UCTU	5648	18283	DUCHOD	QR	9499472
509653	1744	1997-04-09	PRIJEM	PREVOD Z UCTU	5648	20673	DUCHOD	QR	9499472
509654	1744	1997-05-09	PRIJEM	PREVOD Z UCTU	5648	23073	DUCHOD	QR	9499472
509655	1744	1997-06-09	PRIJEM	PREVOD Z UCTU	5648	21962	DUCHOD	QR	9499472
509656	1744	1997-07-09	PRIJEM	PREVOD Z UCTU	5648	24368	DUCHOD	QR	9499472
509657	1744	1997-08-09	PRIJEM	PREVOD Z UCTU	5648	23823	DUCHOD	QR	9499472
509658	1744	1997-09-09	PRIJEM	PREVOD Z UCTU	5648	25356	DUCHOD	QR	9499472
509659	1744	1997-10-09	PRIJEM	PREVOD Z UCTU	5648	27775	DUCHOD	QR	9499472
509660	1744	1997-11-09	PRIJEM	PREVOD Z UCTU	5648	30205	DUCHOD	QR	9499472
509661	1744	1997-12-09	PRIJEM	PREVOD Z UCTU	5648	30304	DUCHOD	QR	9499472
509662	1744	1998-01-09	PRIJEM	PREVOD Z UCTU	5648	30344	DUCHOD	QR	9499472
509663	1744	1998-02-09	PRIJEM	PREVOD Z UCTU	5648	19712	DUCHOD	QR	9499472
509664	1744	1998-03-09	PRIJEM	PREVOD Z UCTU	5648	22107	DUCHOD	QR	9499472
509665	1744	1998-04-09	PRIJEM	PREVOD Z UCTU	5648	23071	DUCHOD	QR	9499472
509666	1744	1998-05-09	PRIJEM	PREVOD Z UCTU	5648	25481	DUCHOD	QR	9499472
509667	1744	1998-06-09	PRIJEM	PREVOD Z UCTU	5648	27900	DUCHOD	QR	9499472
509668	1744	1998-07-09	PRIJEM	PREVOD Z UCTU	5648	20009	DUCHOD	QR	9499472
509669	1744	1998-08-09	PRIJEM	PREVOD Z UCTU	5648	22405	DUCHOD	QR	9499472
509670	1744	1998-09-09	PRIJEM	PREVOD Z UCTU	5648	21684	DUCHOD	QR	9499472
509671	1744	1998-10-09	PRIJEM	PREVOD Z UCTU	5648	24087	DUCHOD	QR	9499472
509672	1744	1998-11-09	PRIJEM	PREVOD Z UCTU	5648	26501	DUCHOD	QR	9499472
509673	1744	1998-12-09	PRIJEM	PREVOD Z UCTU	5648	27023	DUCHOD	QR	9499472
509680	1744	1996-07-05	VYDAJ	PREVOD NA UCET	3317	9980	SIPO	KL	26504409
509681	1744	1996-08-05	VYDAJ	PREVOD NA UCET	3317	12359	SIPO	KL	26504409
509682	1744	1996-09-05	VYDAJ	PREVOD NA UCET	3317	14748	SIPO	KL	26504409
509683	1744	1996-10-05	VYDAJ	PREVOD NA UCET	3317	16025	SIPO	KL	26504409
509684	1744	1996-11-05	VYDAJ	PREVOD NA UCET	3317	18430	SIPO	KL	26504409
509685	1744	1996-12-05	VYDAJ	PREVOD NA UCET	3317	16919	SIPO	KL	26504409
509686	1744	1997-01-05	VYDAJ	PREVOD NA UCET	3317	12997	SIPO	KL	26504409
509687	1744	1997-02-05	VYDAJ	PREVOD NA UCET	3317	10255	SIPO	KL	26504409
509688	1744	1997-03-05	VYDAJ	PREVOD NA UCET	3317	12635	SIPO	KL	26504409
509689	1744	1997-04-05	VYDAJ	PREVOD NA UCET	3317	15025	SIPO	KL	26504409
509690	1744	1997-05-05	VYDAJ	PREVOD NA UCET	3317	17425	SIPO	KL	26504409
509691	1744	1997-06-05	VYDAJ	PREVOD NA UCET	3317	18714	SIPO	KL	26504409
509692	1744	1997-07-05	VYDAJ	PREVOD NA UCET	3317	18720	SIPO	KL	26504409
509693	1744	1997-08-05	VYDAJ	PREVOD NA UCET	3317	18175	SIPO	KL	26504409
509694	1744	1997-09-05	VYDAJ	PREVOD NA UCET	3317	19708	SIPO	KL	26504409
509695	1744	1997-10-05	VYDAJ	PREVOD NA UCET	3317	22127	SIPO	KL	26504409
509696	1744	1997-11-05	VYDAJ	PREVOD NA UCET	3317	24557	SIPO	KL	26504409
509697	1744	1997-12-05	VYDAJ	PREVOD NA UCET	3317	26496	SIPO	KL	26504409
509698	1744	1998-01-05	VYDAJ	PREVOD NA UCET	3317	25896	SIPO	KL	26504409
509699	1744	1998-02-05	VYDAJ	PREVOD NA UCET	3317	14064	SIPO	KL	26504409
509700	1744	1998-03-05	VYDAJ	PREVOD NA UCET	3317	16459	SIPO	KL	26504409
509701	1744	1998-04-05	VYDAJ	PREVOD NA UCET	3317	17423	SIPO	KL	26504409
509702	1744	1998-05-05	VYDAJ	PREVOD NA UCET	3317	19833	SIPO	KL	26504409
509703	1744	1998-06-05	VYDAJ	PREVOD NA UCET	3317	22252	SIPO	KL	26504409
509704	1744	1998-07-05	VYDAJ	PREVOD NA UCET	3317	14361	SIPO	KL	26504409
509705	1744	1998-08-05	VYDAJ	PREVOD NA UCET	3317	16757	SIPO	KL	26504409
509706	1744	1998-09-05	VYDAJ	PREVOD NA UCET	3317	16036	SIPO	KL	26504409
509707	1744	1998-10-05	VYDAJ	PREVOD NA UCET	3317	18439	SIPO	KL	26504409
509708	1744	1998-11-05	VYDAJ	PREVOD NA UCET	3317	20853	SIPO	KL	26504409
509709	1744	1998-12-05	VYDAJ	PREVOD NA UCET	3317	22475	SIPO	KL	26504409
509710	1744	1996-06-23	VYDAJ	VYBER	11400	15237	\N	\N	\N
509712	1744	1998-06-16	VYDAJ	VYBER	10300	17600	\N	\N	\N
509715	1744	1998-01-17	VYDAJ	VYBER	3850	19454	\N	\N	\N
509716	1744	1996-12-21	VYDAJ	VYBER	450	22117	\N	\N	\N
509717	1744	1997-12-05	VYDAJ	VYBER	500	29813	\N	\N	\N
509718	1744	1998-12-08	VYDAJ	VYBER	1100	21375	\N	\N	\N
509725	1744	1997-01-11	VYDAJ	VYBER	2320	16325	\N	\N	\N
509726	1744	1997-01-13	VYDAJ	VYBER	1920	14405	\N	\N	\N
509727	1744	1997-01-04	VYDAJ	VYBER	960	16314	\N	\N	\N
509728	1744	1997-01-02	VYDAJ	VYBER	1120	21074	\N	\N	\N
509729	1744	1997-01-26	VYDAJ	VYBER	880	13525	\N	\N	\N
509730	1744	1997-01-03	VYDAJ	VYBER	1600	17274	\N	\N	\N
509731	1744	1998-01-12	VYDAJ	VYBER	2320	24504	\N	\N	\N
509732	1744	1998-01-16	VYDAJ	VYBER	640	23864	\N	\N	\N
509733	1744	1998-01-10	VYDAJ	VYBER	480	26824	\N	\N	\N
509734	1744	1998-01-17	VYDAJ	VYBER	560	23304	\N	\N	\N
509735	1744	1998-01-07	VYDAJ	VYBER	1200	24696	\N	\N	\N
509736	1744	1998-01-28	VYDAJ	VYBER	2160	17294	\N	\N	\N
509737	1744	1996-11-23	VYDAJ	VYBER	3920	20158	\N	\N	\N
509739	1744	1996-06-26	VYDAJ	VYBER	2000	13237	\N	\N	\N
509741	1744	1996-09-25	VYDAJ	VYBER	1120	19276	\N	\N	\N
509743	1744	1997-12-08	VYDAJ	VYBER	1840	24656	\N	\N	\N
509744	1744	1997-08-31	VYDAJ	VYBER	880	23039	\N	\N	\N
509745	1744	1997-06-07	VYDAJ	VYBER	2400	16314	\N	\N	\N
509746	1744	1997-12-24	VYDAJ	VYBER	1200	29104	\N	\N	\N
509747	1744	1997-05-21	VYDAJ	VYBER	1120	21953	\N	\N	\N
509748	1744	1997-08-03	VYDAJ	VYBER	2960	21492	\N	\N	\N
509749	1744	1998-01-09	VYDAJ	VYBER	3040	27304	\N	\N	\N
509750	1744	1998-12-12	VYDAJ	VYBER	2960	24063	\N	\N	\N
509751	1744	1998-11-15	VYDAJ	VYBER	800	25701	\N	\N	\N
509752	1744	1998-03-22	VYDAJ	VYBER	1440	20667	\N	\N	\N
509753	1744	1998-08-12	VYDAJ	VYBER	3120	19285	\N	\N	\N
509760	1744	1996-06-30	VYDAJ	VYBER	15	13297	SLUZBY	\N	\N
509761	1744	1996-07-31	VYDAJ	VYBER	15	15676	SLUZBY	\N	\N
509762	1744	1996-08-31	VYDAJ	VYBER	15	18065	SLUZBY	\N	\N
509763	1744	1996-09-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
509764	1744	1996-10-31	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
509765	1744	1996-11-30	VYDAJ	VYBER	15	20236	SLUZBY	\N	\N
509766	1744	1996-12-31	VYDAJ	VYBER	15	22194	SLUZBY	\N	\N
509767	1744	1997-01-31	VYDAJ	VYBER	15	13572	SLUZBY	\N	\N
509768	1744	1997-02-28	VYDAJ	VYBER	15	15952	SLUZBY	\N	\N
509769	1744	1997-03-31	VYDAJ	VYBER	15	18342	SLUZBY	\N	\N
509770	1744	1997-04-30	VYDAJ	VYBER	15	20742	SLUZBY	\N	\N
509771	1744	1997-05-31	VYDAJ	VYBER	15	22031	SLUZBY	\N	\N
509772	1744	1997-06-30	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
509773	1744	1997-07-31	VYDAJ	VYBER	15	24452	SLUZBY	\N	\N
509774	1744	1997-08-31	VYDAJ	VYBER	15	23025	SLUZBY	\N	\N
509775	1744	1997-09-30	VYDAJ	VYBER	15	25444	SLUZBY	\N	\N
509776	1744	1997-10-31	VYDAJ	VYBER	15	27874	SLUZBY	\N	\N
509777	1744	1997-11-30	VYDAJ	VYBER	15	30313	SLUZBY	\N	\N
509778	1744	1997-12-31	VYDAJ	VYBER	15	29213	SLUZBY	\N	\N
509779	1744	1998-01-31	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
509780	1744	1998-02-28	VYDAJ	VYBER	15	19776	SLUZBY	\N	\N
509781	1744	1998-03-31	VYDAJ	VYBER	15	20740	SLUZBY	\N	\N
509782	1744	1998-04-30	VYDAJ	VYBER	15	23150	SLUZBY	\N	\N
509783	1744	1998-05-31	VYDAJ	VYBER	15	25569	SLUZBY	\N	\N
509784	1744	1998-06-30	VYDAJ	VYBER	15	17678	SLUZBY	\N	\N
509785	1744	1998-07-31	VYDAJ	VYBER	15	20074	SLUZBY	\N	\N
509786	1744	1998-08-31	VYDAJ	VYBER	15	19353	SLUZBY	\N	\N
509787	1744	1998-09-30	VYDAJ	VYBER	15	21756	SLUZBY	\N	\N
509788	1744	1998-10-31	VYDAJ	VYBER	15	24170	SLUZBY	\N	\N
509789	1744	1998-11-30	VYDAJ	VYBER	15	25792	SLUZBY	\N	\N
509790	1744	1996-06-06	VYDAJ	VYBER	2300	20989	\N	\N	\N
509791	1744	1997-01-02	VYDAJ	VYBER	2200	18874	\N	\N	\N
509827	1745	1996-10-19	PRIJEM	VKLAD	500	500	\N	\N	\N
509831	1745	1997-05-31	PRIJEM	VKLAD	9008	40097	\N	\N	\N
509832	1745	1997-04-16	PRIJEM	VKLAD	20341	51667	\N	\N	\N
509833	1745	1997-06-06	PRIJEM	VKLAD	47334	116086	\N	\N	\N
509834	1745	1997-06-04	PRIJEM	VKLAD	42738	93352	\N	\N	\N
509835	1745	1997-08-25	PRIJEM	VKLAD	46077	97699	\N	\N	\N
509836	1745	1997-08-07	PRIJEM	VKLAD	5953	72822	\N	\N	\N
509837	1745	1997-01-06	PRIJEM	VKLAD	25816	48116	\N	\N	\N
509838	1745	1997-11-27	PRIJEM	VKLAD	10833	87035	\N	\N	\N
509839	1745	1997-12-14	PRIJEM	VKLAD	44792	111806	\N	\N	\N
509840	1745	1997-11-03	PRIJEM	VKLAD	47173	125602	\N	\N	\N
509841	1745	1997-07-13	PRIJEM	VKLAD	16800	69421	\N	\N	\N
509842	1745	1997-07-25	PRIJEM	VKLAD	19737	66658	\N	\N	\N
509843	1745	1997-10-27	PRIJEM	VKLAD	35324	78186	\N	\N	\N
509844	1745	1997-06-02	PRIJEM	VKLAD	10517	50614	\N	\N	\N
509845	1745	1998-02-28	PRIJEM	VKLAD	30740	63424	\N	\N	\N
509846	1745	1998-11-03	PRIJEM	VKLAD	36583	85301	\N	\N	\N
509847	1745	1998-08-17	PRIJEM	VKLAD	8146	95305	\N	\N	\N
509848	1745	1998-01-18	PRIJEM	VKLAD	35490	70409	\N	\N	\N
509849	1745	1998-08-16	PRIJEM	VKLAD	18628	87159	\N	\N	\N
509850	1745	1998-05-05	PRIJEM	VKLAD	42749	91944	\N	\N	\N
509851	1745	1998-01-06	PRIJEM	VKLAD	20265	80370	\N	\N	\N
509852	1745	1998-07-25	PRIJEM	VKLAD	24197	96103	\N	\N	\N
509853	1745	1998-06-24	PRIJEM	VKLAD	48700	109524	\N	\N	\N
509854	1745	1998-01-06	PRIJEM	VKLAD	13740	60105	\N	\N	\N
509855	1745	1998-11-12	PRIJEM	VKLAD	32217	96918	\N	\N	\N
509856	1745	1998-05-31	PRIJEM	VKLAD	24059	120849	\N	\N	\N
509857	1745	1998-10-01	PRIJEM	VKLAD	23070	72629	\N	\N	\N
509858	1745	1998-02-04	PRIJEM	VKLAD	13563	41545	\N	\N	\N
509859	1745	1998-04-12	PRIJEM	VKLAD	35060	114196	\N	\N	\N
509860	1745	1998-06-18	PRIJEM	VKLAD	44590	65024	\N	\N	\N
509861	1745	1998-03-26	PRIJEM	VKLAD	27365	78874	\N	\N	\N
509862	1745	1998-09-13	PRIJEM	VKLAD	47864	108852	\N	\N	\N
509863	1745	1998-05-13	PRIJEM	VKLAD	34616	96460	\N	\N	\N
509877	1745	1998-01-07	VYBER	VYBER	21751	58619	\N	\N	\N
509878	1745	1998-11-12	VYBER	VYBER	3139	93779	\N	\N	\N
509880	1745	1997-06-05	VYDAJ	VYBER	24600	68752	\N	\N	\N
509881	1745	1998-06-08	VYDAJ	VYBER	44100	-166	\N	\N	\N
509884	1745	1998-01-21	VYDAJ	VYBER	25800	42209	\N	\N	\N
509886	1745	1997-12-10	VYDAJ	VYBER KARTOU	2700	84714	\N	\N	0
509887	1745	1998-12-30	VYDAJ	VYBER	4800	61902	\N	\N	\N
509900	1745	1998-01-16	VYDAJ	VYBER KARTOU	3900	34919	\N	\N	0
509901	1745	1998-01-21	VYDAJ	VYBER KARTOU	2400	68009	\N	\N	0
509902	1745	1998-01-24	VYDAJ	VYBER	6600	31409	\N	\N	\N
509903	1745	1998-01-08	VYDAJ	VYBER	6300	52319	\N	\N	\N
509904	1745	1998-01-13	VYDAJ	VYBER	7200	38819	\N	\N	\N
509905	1745	1998-01-30	VYDAJ	VYBER KARTOU	3600	27809	\N	\N	0
509912	1745	1997-10-17	VYDAJ	VYBER	10800	42862	\N	\N	\N
509913	1745	1997-12-23	VYDAJ	VYBER	7800	46106	\N	\N	\N
509914	1745	1997-12-18	VYDAJ	VYBER	5700	53906	\N	\N	\N
509917	1745	1998-06-04	VYDAJ	VYBER	14100	43934	\N	\N	\N
509918	1745	1998-02-14	VYDAJ	VYBER	12600	32545	\N	\N	\N
509919	1745	1998-10-08	VYDAJ	VYBER	9900	62729	\N	\N	\N
509920	1745	1998-06-23	VYDAJ	VYBER	4200	60824	\N	\N	\N
509921	1745	1998-01-24	VYDAJ	VYBER	4200	38009	\N	\N	\N
509940	1745	1997-06-30	VYDAJ	VYBER	15	52621	SLUZBY	\N	\N
509941	1745	1997-07-31	VYDAJ	VYBER	15	66869	SLUZBY	\N	\N
509942	1745	1997-08-31	VYDAJ	VYBER	15	97972	SLUZBY	\N	\N
509943	1745	1997-09-30	VYDAJ	VYBER	15	68662	SLUZBY	\N	\N
509944	1745	1997-10-31	VYDAJ	VYBER	15	78429	SLUZBY	\N	\N
509945	1745	1997-11-30	VYDAJ	VYBER	15	87414	SLUZBY	\N	\N
509946	1745	1997-12-31	VYDAJ	VYBER	15	46365	SLUZBY	\N	\N
509947	1745	1998-01-31	VYDAJ	VYBER	15	27982	SLUZBY	\N	\N
509948	1745	1998-02-28	VYDAJ	VYBER	15	63409	SLUZBY	\N	\N
509949	1745	1998-03-31	VYDAJ	VYBER	15	79136	SLUZBY	\N	\N
509950	1745	1998-04-30	VYDAJ	VYBER	15	49195	SLUZBY	\N	\N
509951	1745	1998-05-31	VYDAJ	VYBER	15	120834	SLUZBY	\N	\N
509952	1745	1998-06-30	VYDAJ	VYBER	15	109806	SLUZBY	\N	\N
509953	1745	1998-07-31	VYDAJ	VYBER	15	96531	SLUZBY	\N	\N
509954	1745	1998-08-31	VYDAJ	VYBER	15	95688	SLUZBY	\N	\N
509955	1745	1998-09-30	VYDAJ	VYBER	15	49559	SLUZBY	\N	\N
509956	1745	1998-10-31	VYDAJ	VYBER	15	48718	SLUZBY	\N	\N
509957	1745	1998-11-30	VYDAJ	VYBER	15	94102	SLUZBY	\N	\N
509958	1745	1996-11-18	PRIJEM	VKLAD	15000	15500	\N	\N	\N
509959	1745	1996-12-18	PRIJEM	VKLAD	6800	22300	\N	\N	\N
509960	1745	1997-01-17	VYDAJ	VYBER	8500	39616	\N	\N	\N
509961	1745	1997-02-16	VYDAJ	VYBER	4200	35496	\N	\N	\N
509962	1745	1997-03-18	VYDAJ	VYBER	4500	31161	\N	\N	\N
509963	1745	1997-04-17	VYDAJ	VYBER	13400	38267	\N	\N	\N
509964	1745	1997-05-17	VYDAJ	VYBER	7500	30929	\N	\N	\N
509965	1745	1997-06-06	VYDAJ	VYBER	43300	72786	\N	\N	\N
509966	1745	1997-06-16	VYDAJ	VYBER	20400	52386	\N	\N	\N
509967	1745	1997-07-16	VYDAJ	VYBER	22500	46921	\N	\N	\N
509968	1745	1997-08-15	VYDAJ	VYBER	21200	51622	\N	\N	\N
509969	1745	1997-09-14	VYDAJ	VYBER	29700	68272	\N	\N	\N
509970	1745	1997-10-14	VYDAJ	VYBER	15000	53662	\N	\N	\N
509971	1745	1997-11-03	VYDAJ	VYBER	18400	107202	\N	\N	\N
509972	1745	1997-11-13	VYDAJ	VYBER	31000	76202	\N	\N	\N
509973	1745	1997-12-13	VYDAJ	VYBER	17700	67014	\N	\N	\N
509974	1745	1997-12-14	VYDAJ	VYBER	52200	59606	\N	\N	\N
509975	1745	1998-01-12	VYDAJ	VYBER	6300	46019	\N	\N	\N
509976	1745	1998-02-11	PRIJEM	VKLAD	3600	45145	\N	\N	\N
509977	1745	1998-03-13	VYDAJ	VYBER	11900	51509	\N	\N	\N
509978	1745	1998-04-12	VYDAJ	VYBER	48900	65296	\N	\N	\N
509979	1745	1998-04-12	VYDAJ	VYBER	16500	48796	\N	\N	\N
509980	1745	1998-05-12	VYDAJ	VYBER	30100	61844	\N	\N	\N
509981	1745	1998-05-31	VYDAJ	VYBER	62800	58034	\N	\N	\N
509982	1745	1998-06-11	PRIJEM	VKLAD	20600	20434	\N	\N	\N
509983	1745	1998-07-11	VYDAJ	VYBER	37900	71906	\N	\N	\N
509984	1745	1998-08-10	VYDAJ	VYBER	28000	68531	\N	\N	\N
509985	1745	1998-09-09	VYDAJ	VYBER	34700	60988	\N	\N	\N
509986	1745	1998-09-13	VYDAJ	VYBER	59700	49152	\N	\N	\N
509987	1745	1998-10-09	VYDAJ	VYBER	14200	48529	\N	\N	\N
509988	1745	1998-11-08	VYDAJ	VYBER	20600	64701	\N	\N	\N
509989	1745	1998-12-08	VYDAJ	VYBER	27400	66702	\N	\N	\N
510015	1746	1997-03-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
510019	1746	1997-04-05	PRIJEM	VKLAD	19159	20259	\N	\N	\N
510020	1746	1997-05-05	PRIJEM	VKLAD	19159	38675	\N	\N	\N
510021	1746	1997-06-05	PRIJEM	VKLAD	28738	59226	\N	\N	\N
510022	1746	1997-07-05	PRIJEM	VKLAD	19159	62150	\N	\N	\N
510023	1746	1997-08-05	PRIJEM	VKLAD	19159	63692	\N	\N	\N
510024	1746	1997-09-05	PRIJEM	VKLAD	19159	64028	\N	\N	\N
510025	1746	1997-10-05	PRIJEM	VKLAD	19159	69678	\N	\N	\N
510026	1746	1997-11-05	PRIJEM	VKLAD	19159	73545	\N	\N	\N
510027	1746	1997-12-05	PRIJEM	VKLAD	28738	88416	\N	\N	\N
510028	1746	1998-01-05	PRIJEM	VKLAD	19159	87442	\N	\N	\N
510029	1746	1998-02-05	PRIJEM	VKLAD	19159	73437	\N	\N	\N
510030	1746	1998-03-05	PRIJEM	VKLAD	19159	92872	\N	\N	\N
510031	1746	1998-04-05	PRIJEM	VKLAD	19159	96036	\N	\N	\N
510032	1746	1998-05-05	PRIJEM	VKLAD	19159	102367	\N	\N	\N
510033	1746	1998-06-05	PRIJEM	VKLAD	28738	101141	\N	\N	\N
510034	1746	1998-07-05	PRIJEM	VKLAD	19159	93953	\N	\N	\N
510035	1746	1998-08-05	PRIJEM	VKLAD	19159	99581	\N	\N	\N
510036	1746	1998-09-05	PRIJEM	VKLAD	19159	98237	\N	\N	\N
510037	1746	1998-10-05	PRIJEM	VKLAD	19159	99791	\N	\N	\N
510038	1746	1998-11-05	PRIJEM	VKLAD	19159	100043	\N	\N	\N
510039	1746	1998-12-05	PRIJEM	VKLAD	28738	111881	\N	\N	\N
510041	1746	1998-06-17	VYDAJ	VYBER	22500	78641	\N	\N	\N
510043	1746	1998-01-20	VYDAJ	VYBER	8200	54942	\N	\N	\N
510044	1746	1997-12-03	VYDAJ	VYBER	1000	59678	\N	\N	\N
510045	1746	1998-12-26	VYDAJ	VYBER	800	53681	\N	\N	\N
510052	1746	1998-01-21	VYDAJ	VYBER	2500	50742	\N	\N	\N
510053	1746	1998-01-08	VYDAJ	VYBER	2600	68642	\N	\N	\N
510054	1746	1998-01-21	VYDAJ	VYBER	2400	48342	\N	\N	\N
510055	1746	1998-01-20	VYDAJ	VYBER	1700	53242	\N	\N	\N
510056	1746	1998-01-12	VYDAJ	VYBER	2900	65742	\N	\N	\N
510057	1746	1998-01-14	VYDAJ	VYBER	2600	63142	\N	\N	\N
510059	1746	1997-08-30	VYDAJ	VYBER	2000	44692	\N	\N	\N
510064	1746	1998-12-18	VYDAJ	VYBER	4200	54481	\N	\N	\N
510065	1746	1998-10-12	VYDAJ	VYBER	2400	97391	\N	\N	\N
510066	1746	1998-03-15	VYDAJ	VYBER	1700	76572	\N	\N	\N
510067	1746	1998-05-06	VYDAJ	VYBER	1900	84167	\N	\N	\N
510076	1746	1997-08-31	VYDAJ	VYBER	15	44869	SLUZBY	\N	\N
510077	1746	1997-09-30	VYDAJ	VYBER	15	50519	SLUZBY	\N	\N
510078	1746	1997-10-31	VYDAJ	VYBER	15	54386	SLUZBY	\N	\N
510079	1746	1997-11-30	VYDAJ	VYBER	15	60678	SLUZBY	\N	\N
510080	1746	1997-12-31	VYDAJ	VYBER	15	68283	SLUZBY	\N	\N
510081	1746	1998-01-31	VYDAJ	VYBER	15	48578	SLUZBY	\N	\N
510082	1746	1998-02-28	VYDAJ	VYBER	15	73713	SLUZBY	\N	\N
510083	1746	1998-03-31	VYDAJ	VYBER	15	76877	SLUZBY	\N	\N
510084	1746	1998-04-30	VYDAJ	VYBER	15	83208	SLUZBY	\N	\N
510085	1746	1998-05-31	VYDAJ	VYBER	15	84503	SLUZBY	\N	\N
510086	1746	1998-06-30	VYDAJ	VYBER	15	78994	SLUZBY	\N	\N
510087	1746	1998-07-31	VYDAJ	VYBER	15	94322	SLUZBY	\N	\N
510088	1746	1998-08-31	VYDAJ	VYBER	15	99978	SLUZBY	\N	\N
510089	1746	1998-09-30	VYDAJ	VYBER	15	98632	SLUZBY	\N	\N
510090	1746	1998-10-31	VYDAJ	VYBER	15	97784	SLUZBY	\N	\N
510091	1746	1998-11-30	VYDAJ	VYBER	15	100443	SLUZBY	\N	\N
510092	1746	1997-04-10	VYDAJ	VYBER	800	19459	\N	\N	\N
510093	1746	1997-05-10	VYDAJ	VYBER	8300	30375	\N	\N	\N
510094	1746	1997-06-09	VYDAJ	VYBER	16400	42826	\N	\N	\N
510095	1746	1997-07-09	VYDAJ	VYBER	17800	44350	\N	\N	\N
510096	1746	1997-08-08	VYDAJ	VYBER	17000	46692	\N	\N	\N
510097	1746	1997-09-07	VYDAJ	VYBER	13700	50328	\N	\N	\N
510098	1746	1997-10-07	VYDAJ	VYBER	15500	54178	\N	\N	\N
510099	1746	1997-11-06	VYDAJ	VYBER	13100	60445	\N	\N	\N
510100	1746	1997-12-06	VYDAJ	VYBER	20400	68016	\N	\N	\N
510101	1746	1998-01-05	VYDAJ	VYBER	16200	71242	\N	\N	\N
510102	1746	1998-02-04	PRIJEM	VKLAD	5700	54278	\N	\N	\N
510103	1746	1998-03-06	VYDAJ	VYBER	14600	78272	\N	\N	\N
510104	1746	1998-04-05	VYDAJ	VYBER	13200	82836	\N	\N	\N
510105	1746	1998-05-05	VYDAJ	VYBER	16300	86067	\N	\N	\N
510106	1746	1998-06-04	VYDAJ	VYBER	12100	72403	\N	\N	\N
510107	1746	1998-07-04	VYDAJ	VYBER	4200	74794	\N	\N	\N
510108	1746	1998-08-03	VYDAJ	VYBER	13900	80422	\N	\N	\N
510109	1746	1998-09-02	VYDAJ	VYBER	20900	79078	\N	\N	\N
510110	1746	1998-10-02	VYDAJ	VYBER	18000	80632	\N	\N	\N
510111	1746	1998-11-01	VYDAJ	VYBER	16900	80884	\N	\N	\N
510112	1746	1998-12-01	VYDAJ	VYBER	17300	83143	\N	\N	\N
510113	1746	1998-12-05	VYDAJ	VYBER	53200	58681	\N	\N	\N
510135	1747	1997-08-14	PRIJEM	VKLAD	600	600	\N	\N	\N
510144	1747	1997-09-11	PRIJEM	PREVOD Z UCTU	2984	3584	\N	YZ	7963633
510145	1747	1997-10-11	PRIJEM	PREVOD Z UCTU	2984	6568	\N	YZ	7963633
510146	1747	1997-11-11	PRIJEM	PREVOD Z UCTU	2984	9552	\N	YZ	7963633
510147	1747	1997-12-11	PRIJEM	PREVOD Z UCTU	2984	12536	\N	YZ	7963633
510148	1747	1998-01-11	PRIJEM	PREVOD Z UCTU	2984	15520	\N	YZ	7963633
510149	1747	1998-02-11	PRIJEM	PREVOD Z UCTU	2984	13678	\N	YZ	7963633
510150	1747	1998-03-11	PRIJEM	PREVOD Z UCTU	2984	14713	\N	YZ	7963633
510151	1747	1998-04-11	PRIJEM	PREVOD Z UCTU	2984	14280	\N	YZ	7963633
510152	1747	1998-05-11	PRIJEM	PREVOD Z UCTU	2984	14957	\N	YZ	7963633
510153	1747	1998-06-11	PRIJEM	PREVOD Z UCTU	2984	15097	\N	YZ	7963633
510154	1747	1998-07-11	PRIJEM	PREVOD Z UCTU	2984	16139	\N	YZ	7963633
510155	1747	1998-08-11	PRIJEM	PREVOD Z UCTU	2984	17184	\N	YZ	7963633
510156	1747	1998-09-11	PRIJEM	PREVOD Z UCTU	2984	18234	\N	YZ	7963633
510157	1747	1998-10-11	PRIJEM	PREVOD Z UCTU	2984	18958	\N	YZ	7963633
510158	1747	1998-11-11	PRIJEM	PREVOD Z UCTU	2984	20016	\N	YZ	7963633
510159	1747	1998-12-11	PRIJEM	PREVOD Z UCTU	2984	21077	\N	YZ	7963633
510173	1747	1998-02-06	VYDAJ	PREVOD NA UCET	871	10694	SIPO	MN	87503873
510174	1747	1998-03-06	VYDAJ	PREVOD NA UCET	871	11729	SIPO	MN	87503873
510175	1747	1998-04-06	VYDAJ	PREVOD NA UCET	871	12414	SIPO	MN	87503873
510176	1747	1998-05-06	VYDAJ	PREVOD NA UCET	871	13091	SIPO	MN	87503873
510177	1747	1998-06-06	VYDAJ	PREVOD NA UCET	871	13231	SIPO	MN	87503873
510178	1747	1998-07-06	VYDAJ	PREVOD NA UCET	871	14273	SIPO	MN	87503873
510179	1747	1998-08-06	VYDAJ	PREVOD NA UCET	871	14200	SIPO	MN	87503873
510180	1747	1998-09-06	VYDAJ	PREVOD NA UCET	871	15250	SIPO	MN	87503873
510181	1747	1998-10-06	VYDAJ	PREVOD NA UCET	871	17422	SIPO	MN	87503873
510182	1747	1998-11-06	VYDAJ	PREVOD NA UCET	871	18150	SIPO	MN	87503873
510183	1747	1998-12-06	VYDAJ	PREVOD NA UCET	871	18093	SIPO	MN	87503873
510197	1747	1998-02-06	VYDAJ	PREVOD NA UCET	1118	11565	 	MN	40159267
510198	1747	1998-03-06	VYDAJ	PREVOD NA UCET	1118	12600	 	MN	40159267
510199	1747	1998-04-06	VYDAJ	PREVOD NA UCET	1118	11296	 	MN	40159267
510200	1747	1998-05-06	VYDAJ	PREVOD NA UCET	1118	11973	 	MN	40159267
510201	1747	1998-06-06	VYDAJ	PREVOD NA UCET	1118	12113	 	MN	40159267
510202	1747	1998-07-06	VYDAJ	PREVOD NA UCET	1118	13155	 	MN	40159267
510203	1747	1998-08-06	VYDAJ	PREVOD NA UCET	1118	15071	 	MN	40159267
510204	1747	1998-09-06	VYDAJ	PREVOD NA UCET	1118	16121	 	MN	40159267
510205	1747	1998-10-06	VYDAJ	PREVOD NA UCET	1118	16304	 	MN	40159267
510206	1747	1998-11-06	VYDAJ	PREVOD NA UCET	1118	17032	 	MN	40159267
510207	1747	1998-12-06	VYDAJ	PREVOD NA UCET	1118	18964	 	MN	40159267
510216	1747	1998-01-16	VYDAJ	VYBER	480	12930	\N	\N	\N
510219	1747	1998-01-15	VYDAJ	VYBER	210	13410	\N	\N	\N
510220	1747	1998-01-17	VYDAJ	VYBER	270	12660	\N	\N	\N
510227	1747	1998-10-06	VYDAJ	VYBER	330	15974	\N	\N	\N
510228	1747	1998-06-04	VYDAJ	VYBER	900	14102	\N	\N	\N
510229	1747	1998-04-29	VYDAJ	VYBER	360	13920	\N	\N	\N
510230	1747	1998-04-05	VYDAJ	VYBER	570	13285	\N	\N	\N
510244	1747	1998-01-31	VYDAJ	VYBER	15	12683	SLUZBY	\N	\N
510245	1747	1998-02-28	VYDAJ	VYBER	15	13718	SLUZBY	\N	\N
510246	1747	1998-03-31	VYDAJ	VYBER	15	13855	SLUZBY	\N	\N
510247	1747	1998-04-30	VYDAJ	VYBER	15	13962	SLUZBY	\N	\N
510248	1747	1998-05-31	VYDAJ	VYBER	15	15002	SLUZBY	\N	\N
510249	1747	1998-06-30	VYDAJ	VYBER	15	15144	SLUZBY	\N	\N
510250	1747	1998-07-31	VYDAJ	VYBER	15	16189	SLUZBY	\N	\N
510251	1747	1998-08-31	VYDAJ	VYBER	15	17239	SLUZBY	\N	\N
510252	1747	1998-09-30	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
510253	1747	1998-10-31	VYDAJ	VYBER	15	19021	SLUZBY	\N	\N
510254	1747	1998-11-30	VYDAJ	VYBER	15	20082	SLUZBY	\N	\N
510255	1747	1998-01-11	VYDAJ	VYBER	1900	13620	\N	\N	\N
510256	1747	1998-03-12	VYDAJ	VYBER	900	13813	\N	\N	\N
510918	1749	1995-10-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
510929	1749	1995-11-06	PRIJEM	PREVOD Z UCTU	45608	46608	\N	YZ	14763498
510930	1749	1995-12-06	PRIJEM	PREVOD Z UCTU	68412	103107	\N	YZ	14763498
510931	1749	1996-01-06	PRIJEM	PREVOD Z UCTU	45608	110435	\N	YZ	14763498
510932	1749	1996-02-06	PRIJEM	PREVOD Z UCTU	45608	87145	\N	YZ	14763498
510933	1749	1996-03-06	PRIJEM	PREVOD Z UCTU	45608	102467	\N	YZ	14763498
510934	1749	1996-04-06	PRIJEM	PREVOD Z UCTU	45608	89757	\N	YZ	14763498
510935	1749	1996-05-06	PRIJEM	PREVOD Z UCTU	45608	84020	\N	YZ	14763498
510936	1749	1996-06-06	PRIJEM	PREVOD Z UCTU	68412	117751	\N	YZ	14763498
510937	1749	1996-07-06	PRIJEM	PREVOD Z UCTU	45608	95706	\N	YZ	14763498
510938	1749	1996-08-06	PRIJEM	PREVOD Z UCTU	45608	99646	\N	YZ	14763498
510939	1749	1996-09-06	PRIJEM	PREVOD Z UCTU	45608	97285	\N	YZ	14763498
510940	1749	1996-10-06	PRIJEM	PREVOD Z UCTU	45608	81615	\N	YZ	14763498
510941	1749	1996-11-06	PRIJEM	PREVOD Z UCTU	45608	78673	\N	YZ	14763498
510942	1749	1996-12-06	PRIJEM	PREVOD Z UCTU	68412	111365	\N	YZ	14763498
510943	1749	1997-01-06	PRIJEM	PREVOD Z UCTU	45608	74519	\N	YZ	14763498
510944	1749	1997-02-06	PRIJEM	PREVOD Z UCTU	45608	69475	\N	YZ	14763498
510945	1749	1997-03-06	PRIJEM	PREVOD Z UCTU	45608	85069	\N	YZ	14763498
510946	1749	1997-04-06	PRIJEM	PREVOD Z UCTU	45608	90368	\N	YZ	14763498
510947	1749	1997-05-06	PRIJEM	PREVOD Z UCTU	45608	88667	\N	YZ	14763498
510948	1749	1997-06-06	PRIJEM	PREVOD Z UCTU	68412	105795	\N	YZ	14763498
510949	1749	1997-07-06	PRIJEM	PREVOD Z UCTU	45608	102468	\N	YZ	14763498
510950	1749	1997-08-06	PRIJEM	PREVOD Z UCTU	45608	108169	\N	YZ	14763498
510951	1749	1997-09-06	PRIJEM	PREVOD Z UCTU	45608	73398	\N	YZ	14763498
510952	1749	1997-10-06	PRIJEM	PREVOD Z UCTU	45608	92865	\N	YZ	14763498
510953	1749	1997-11-06	PRIJEM	PREVOD Z UCTU	45608	103311	\N	YZ	14763498
510954	1749	1997-12-06	PRIJEM	PREVOD Z UCTU	68412	129615	\N	YZ	14763498
510955	1749	1998-01-06	PRIJEM	PREVOD Z UCTU	45608	87940	\N	YZ	14763498
510956	1749	1998-02-06	PRIJEM	PREVOD Z UCTU	45608	87321	\N	YZ	14763498
510957	1749	1998-03-06	PRIJEM	PREVOD Z UCTU	45608	87467	\N	YZ	14763498
510958	1749	1998-04-06	PRIJEM	PREVOD Z UCTU	45608	100769	\N	YZ	14763498
510959	1749	1998-05-06	PRIJEM	PREVOD Z UCTU	45608	102248	\N	YZ	14763498
510960	1749	1998-06-06	PRIJEM	PREVOD Z UCTU	68412	136332	\N	YZ	14763498
510961	1749	1998-07-06	PRIJEM	PREVOD Z UCTU	45608	102746	\N	YZ	14763498
510962	1749	1998-08-06	PRIJEM	PREVOD Z UCTU	45608	89866	\N	YZ	14763498
510963	1749	1998-09-06	PRIJEM	PREVOD Z UCTU	45608	100465	\N	YZ	14763498
510964	1749	1998-10-06	PRIJEM	PREVOD Z UCTU	45608	110446	\N	YZ	14763498
510965	1749	1998-11-06	PRIJEM	PREVOD Z UCTU	45608	111099	\N	YZ	14763498
510966	1749	1998-12-06	PRIJEM	PREVOD Z UCTU	68412	130201	\N	YZ	14763498
511029	1749	1996-03-09	VYDAJ	PREVOD NA UCET	9678	92789	SIPO	MN	42665183
511030	1749	1996-04-09	VYDAJ	PREVOD NA UCET	9678	80079	SIPO	MN	42665183
511031	1749	1996-05-09	VYDAJ	PREVOD NA UCET	9678	69450	SIPO	MN	42665183
511032	1749	1996-06-09	VYDAJ	PREVOD NA UCET	9678	74773	SIPO	MN	42665183
511033	1749	1996-07-09	VYDAJ	PREVOD NA UCET	9678	86028	SIPO	MN	42665183
511034	1749	1996-08-09	VYDAJ	PREVOD NA UCET	9678	57468	SIPO	MN	42665183
511035	1749	1996-09-09	VYDAJ	PREVOD NA UCET	9678	53907	SIPO	MN	42665183
511036	1749	1996-10-09	VYDAJ	PREVOD NA UCET	9678	39512	SIPO	MN	42665183
511037	1749	1996-11-09	VYDAJ	PREVOD NA UCET	9678	42795	SIPO	MN	42665183
511038	1749	1996-12-09	VYDAJ	PREVOD NA UCET	9678	31487	SIPO	MN	42665183
511039	1749	1997-01-09	VYDAJ	PREVOD NA UCET	9678	40141	SIPO	MN	42665183
511040	1749	1997-02-09	VYDAJ	PREVOD NA UCET	9678	59797	SIPO	MN	42665183
511041	1749	1997-03-09	VYDAJ	PREVOD NA UCET	9678	44591	SIPO	MN	42665183
511042	1749	1997-04-09	VYDAJ	PREVOD NA UCET	9678	48890	SIPO	MN	42665183
511043	1749	1997-05-09	VYDAJ	PREVOD NA UCET	9678	46789	SIPO	MN	42665183
511044	1749	1997-06-09	VYDAJ	PREVOD NA UCET	9678	96117	SIPO	MN	42665183
511045	1749	1997-07-09	VYDAJ	PREVOD NA UCET	9678	92790	SIPO	MN	42665183
511046	1749	1997-08-09	VYDAJ	PREVOD NA UCET	9678	51791	SIPO	MN	42665183
511047	1749	1997-09-09	VYDAJ	PREVOD NA UCET	9678	63720	SIPO	MN	42665183
511048	1749	1997-10-09	VYDAJ	PREVOD NA UCET	9678	83187	SIPO	MN	42665183
511049	1749	1997-11-09	VYDAJ	PREVOD NA UCET	9678	93633	SIPO	MN	42665183
511050	1749	1997-12-09	VYDAJ	PREVOD NA UCET	9678	69737	SIPO	MN	42665183
511051	1749	1998-01-09	VYDAJ	PREVOD NA UCET	9678	69862	SIPO	MN	42665183
511052	1749	1998-02-09	VYDAJ	PREVOD NA UCET	9678	77643	SIPO	MN	42665183
511053	1749	1998-03-09	VYDAJ	PREVOD NA UCET	9678	77789	SIPO	MN	42665183
511054	1749	1998-04-09	VYDAJ	PREVOD NA UCET	9678	91091	SIPO	MN	42665183
511055	1749	1998-05-09	VYDAJ	PREVOD NA UCET	9678	92570	SIPO	MN	42665183
511056	1749	1998-06-09	VYDAJ	PREVOD NA UCET	9678	93554	SIPO	MN	42665183
511057	1749	1998-07-09	VYDAJ	PREVOD NA UCET	9678	93068	SIPO	MN	42665183
511058	1749	1998-08-09	VYDAJ	PREVOD NA UCET	9678	80188	SIPO	MN	42665183
511059	1749	1998-09-09	VYDAJ	PREVOD NA UCET	9678	90787	SIPO	MN	42665183
511060	1749	1998-10-09	VYDAJ	PREVOD NA UCET	9678	100768	SIPO	MN	42665183
511061	1749	1998-11-09	VYDAJ	PREVOD NA UCET	9678	63621	SIPO	MN	42665183
511062	1749	1998-12-09	VYDAJ	PREVOD NA UCET	9678	98223	SIPO	MN	42665183
511065	1749	1996-10-06	VYBER	VYBER	8625	72990	\N	\N	\N
511066	1749	1996-05-08	VYBER	VYBER	4892	79128	\N	\N	\N
511067	1749	1996-10-05	VYBER	VYBER	18109	36007	\N	\N	\N
511068	1749	1996-04-01	VYBER	VYBER	17890	44149	\N	\N	\N
511069	1749	1996-04-16	VYBER	VYBER	12871	38208	\N	\N	\N
511071	1749	1997-02-25	VYBER	VYBER	19032	39265	\N	\N	\N
511072	1749	1997-04-10	VYBER	VYBER	6004	42886	\N	\N	\N
511073	1749	1998-12-17	VYBER	VYBER	21239	76984	\N	\N	\N
511074	1749	1998-08-21	VYBER	VYBER	16674	63514	\N	\N	\N
511075	1749	1998-07-10	VYBER	VYBER	24965	68103	\N	\N	\N
511076	1749	1998-04-14	VYBER	VYBER	3458	87633	\N	\N	\N
511077	1749	1998-09-26	VYBER	VYBER	14254	75033	\N	\N	\N
511078	1749	1998-08-29	VYBER	VYBER	7108	56406	\N	\N	\N
511079	1749	1998-02-24	VYBER	VYBER	4570	73073	\N	\N	\N
511080	1749	1998-10-16	VYBER	VYBER	20190	80578	\N	\N	\N
511081	1749	1998-03-04	VYBER	VYBER	12392	41859	\N	\N	\N
511082	1749	1998-07-11	VYBER	VYBER	21367	46736	\N	\N	\N
511085	1749	1997-06-22	VYDAJ	VYBER	10200	85917	\N	\N	\N
511088	1749	1996-12-13	VYDAJ	VYBER	2700	28787	\N	\N	\N
511089	1749	1997-12-08	VYDAJ	VYBER	1500	79415	\N	\N	\N
511090	1749	1998-12-24	VYDAJ	VYBER	6600	70384	\N	\N	\N
511104	1749	1997-01-16	VYDAJ	VYBER	8100	29341	\N	\N	\N
511106	1749	1997-01-10	VYDAJ	VYBER	2700	37441	\N	\N	\N
511107	1749	1997-01-23	VYDAJ	VYBER	6600	22741	\N	\N	\N
511109	1749	1998-01-06	VYDAJ	VYBER	2400	85540	\N	\N	\N
511110	1749	1998-01-04	VYDAJ	VYBER	5100	42332	\N	\N	\N
511111	1749	1998-01-17	VYDAJ	VYBER	6000	60562	\N	\N	\N
511112	1749	1998-01-16	VYDAJ	VYBER	3300	66562	\N	\N	\N
511113	1749	1998-01-07	VYDAJ	VYBER	6000	79540	\N	\N	\N
511114	1749	1998-01-28	VYDAJ	VYBER	5700	54862	\N	\N	\N
511118	1749	1996-10-10	VYDAJ	VYBER	6600	32912	\N	\N	\N
511119	1749	1996-08-17	VYDAJ	VYBER	6000	51468	\N	\N	\N
511121	1749	1997-10-20	VYDAJ	VYBER	3600	79587	\N	\N	\N
511122	1749	1997-08-13	VYDAJ	VYBER	12900	38891	\N	\N	\N
511123	1749	1997-08-31	VYDAJ	VYBER	13800	25290	\N	\N	\N
511124	1749	1997-02-13	VYDAJ	VYBER	1500	58297	\N	\N	\N
511125	1749	1998-05-18	VYDAJ	VYBER	4500	88070	\N	\N	\N
511126	1749	1998-07-04	VYDAJ	VYBER	11700	57138	\N	\N	\N
511127	1749	1998-04-14	VYDAJ	VYBER	14700	72933	\N	\N	\N
511128	1749	1998-07-26	VYDAJ	VYBER	4800	41936	\N	\N	\N
511129	1749	1998-03-10	VYDAJ	VYBER	9600	68189	\N	\N	\N
511130	1749	1998-04-17	VYDAJ	VYBER	3900	69033	\N	\N	\N
511131	1749	1998-09-23	VYDAJ	VYBER KARTOU	1500	89287	\N	\N	0
511147	1749	1996-03-31	VYDAJ	VYBER	15	62039	SLUZBY	\N	\N
511148	1749	1996-04-30	VYDAJ	VYBER	15	38412	SLUZBY	\N	\N
511149	1749	1996-05-31	VYDAJ	VYBER	15	49339	SLUZBY	\N	\N
511150	1749	1996-06-30	VYDAJ	VYBER	15	50098	SLUZBY	\N	\N
511151	1749	1996-07-31	VYDAJ	VYBER	15	54038	SLUZBY	\N	\N
511152	1749	1996-08-31	VYDAJ	VYBER	15	51677	SLUZBY	\N	\N
511153	1749	1996-09-30	VYDAJ	VYBER	15	54116	SLUZBY	\N	\N
511154	1749	1996-10-31	VYDAJ	VYBER	15	33065	SLUZBY	\N	\N
511155	1749	1996-11-30	VYDAJ	VYBER	15	42953	SLUZBY	\N	\N
511156	1749	1996-12-31	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
511157	1749	1997-01-31	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
511158	1749	1997-02-28	VYDAJ	VYBER	15	39461	SLUZBY	\N	\N
511159	1749	1997-03-31	VYDAJ	VYBER	15	44760	SLUZBY	\N	\N
511160	1749	1997-04-30	VYDAJ	VYBER	15	43059	SLUZBY	\N	\N
511161	1749	1997-05-31	VYDAJ	VYBER	15	46983	SLUZBY	\N	\N
511162	1749	1997-06-30	VYDAJ	VYBER	15	86260	SLUZBY	\N	\N
511163	1749	1997-07-31	VYDAJ	VYBER	15	93161	SLUZBY	\N	\N
511164	1749	1997-08-31	VYDAJ	VYBER	15	39090	SLUZBY	\N	\N
511165	1749	1997-09-30	VYDAJ	VYBER	15	63957	SLUZBY	\N	\N
511166	1749	1997-10-31	VYDAJ	VYBER	15	79903	SLUZBY	\N	\N
511167	1749	1997-11-30	VYDAJ	VYBER	15	94003	SLUZBY	\N	\N
511168	1749	1997-12-31	VYDAJ	VYBER	15	70032	SLUZBY	\N	\N
511169	1749	1998-01-31	VYDAJ	VYBER	15	55113	SLUZBY	\N	\N
511170	1749	1998-02-28	VYDAJ	VYBER	15	73351	SLUZBY	\N	\N
511171	1749	1998-03-31	VYDAJ	VYBER	15	68461	SLUZBY	\N	\N
511172	1749	1998-04-30	VYDAJ	VYBER	15	69340	SLUZBY	\N	\N
511173	1749	1998-05-31	VYDAJ	VYBER	15	88420	SLUZBY	\N	\N
511174	1749	1998-06-30	VYDAJ	VYBER	15	68838	SLUZBY	\N	\N
511175	1749	1998-07-31	VYDAJ	VYBER	15	44258	SLUZBY	\N	\N
511176	1749	1998-08-31	VYDAJ	VYBER	15	54857	SLUZBY	\N	\N
511177	1749	1998-09-30	VYDAJ	VYBER	15	64838	SLUZBY	\N	\N
511178	1749	1998-10-31	VYDAJ	VYBER	15	65491	SLUZBY	\N	\N
511179	1749	1998-11-30	VYDAJ	VYBER	15	61789	SLUZBY	\N	\N
511180	1749	1995-11-13	VYDAJ	VYBER	12000	34608	\N	\N	\N
511181	1749	1995-12-13	VYDAJ	VYBER	38500	64607	\N	\N	\N
511182	1749	1996-01-06	VYDAJ	VYBER	51900	58535	\N	\N	\N
511183	1749	1996-01-12	VYDAJ	VYBER	17200	41335	\N	\N	\N
511184	1749	1996-02-11	VYDAJ	VYBER	30500	56645	\N	\N	\N
511185	1749	1996-03-12	VYDAJ	VYBER	31000	61789	\N	\N	\N
511186	1749	1996-04-11	VYDAJ	VYBER	29000	51079	\N	\N	\N
511187	1749	1996-05-11	VYDAJ	VYBER	20300	49150	\N	\N	\N
511188	1749	1996-06-06	VYDAJ	VYBER	33300	84451	\N	\N	\N
511189	1749	1996-06-10	VYDAJ	VYBER	24900	49873	\N	\N	\N
511190	1749	1996-07-10	VYDAJ	VYBER	32200	53828	\N	\N	\N
511191	1749	1996-08-09	VYDAJ	VYBER	32500	67146	\N	\N	\N
511192	1749	1996-09-08	VYDAJ	VYBER	33700	63585	\N	\N	\N
511193	1749	1996-10-08	VYDAJ	VYBER	23800	49190	\N	\N	\N
511194	1749	1996-11-07	VYDAJ	VYBER	26200	52473	\N	\N	\N
511195	1749	1996-12-06	VYDAJ	VYBER	49400	61965	\N	\N	\N
511196	1749	1996-12-07	VYDAJ	VYBER	20800	41165	\N	\N	\N
511197	1749	1997-01-06	VYDAJ	VYBER	24700	49819	\N	\N	\N
511198	1749	1997-02-05	PRIJEM	VKLAD	1000	23867	\N	\N	\N
511199	1749	1997-03-07	VYDAJ	VYBER	30800	54269	\N	\N	\N
511200	1749	1997-04-06	VYDAJ	VYBER	31800	58568	\N	\N	\N
511201	1749	1997-05-06	VYDAJ	VYBER	32200	56467	\N	\N	\N
511202	1749	1997-06-05	VYDAJ	VYBER	9600	37383	\N	\N	\N
511203	1749	1997-07-05	VYDAJ	VYBER	29400	56860	\N	\N	\N
511204	1749	1997-08-04	VYDAJ	VYBER	30600	62561	\N	\N	\N
511205	1749	1997-08-06	VYDAJ	VYBER	46700	61469	\N	\N	\N
511206	1749	1997-09-03	PRIJEM	VKLAD	2500	27790	\N	\N	\N
511207	1749	1997-10-03	VYDAJ	VYBER	16700	47257	\N	\N	\N
511208	1749	1997-11-02	VYDAJ	VYBER	22200	57703	\N	\N	\N
511209	1749	1997-12-02	VYDAJ	VYBER	32800	61203	\N	\N	\N
511210	1749	1997-12-06	VYDAJ	VYBER	48700	80915	\N	\N	\N
511211	1749	1998-01-01	VYDAJ	VYBER	22600	47432	\N	\N	\N
511212	1749	1998-01-31	VYDAJ	VYBER	13400	41713	\N	\N	\N
511213	1749	1998-03-02	VYDAJ	VYBER	19100	54251	\N	\N	\N
511214	1749	1998-04-01	VYDAJ	VYBER	13300	55161	\N	\N	\N
511215	1749	1998-05-01	VYDAJ	VYBER	12700	56640	\N	\N	\N
511216	1749	1998-05-31	VYDAJ	VYBER	20500	67920	\N	\N	\N
511217	1749	1998-06-06	VYDAJ	VYBER	33100	103232	\N	\N	\N
511218	1749	1998-06-30	VYDAJ	VYBER	25100	68853	\N	\N	\N
511219	1749	1998-07-30	PRIJEM	VKLAD	2100	44036	\N	\N	\N
511220	1749	1998-08-29	VYDAJ	VYBER	1800	54606	\N	\N	\N
511221	1749	1998-09-28	VYDAJ	VYBER	10500	64533	\N	\N	\N
511222	1749	1998-10-28	VYDAJ	VYBER	15400	65178	\N	\N	\N
511223	1749	1998-11-06	VYDAJ	VYBER	37800	73299	\N	\N	\N
511224	1749	1998-11-27	VYDAJ	VYBER KARTOU	2100	61521	\N	\N	0
511225	1749	1998-12-06	VYDAJ	VYBER	22300	107901	\N	\N	\N
511264	1750	1993-01-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
511266	1750	1993-02-11	PRIJEM	VKLAD	24863	25963	\N	\N	\N
511267	1750	1993-03-11	PRIJEM	VKLAD	24863	48340	\N	\N	\N
511268	1750	1993-04-11	PRIJEM	VKLAD	24863	63211	\N	\N	\N
511269	1750	1993-05-11	PRIJEM	VKLAD	24863	70838	\N	\N	\N
511270	1750	1993-06-11	PRIJEM	VKLAD	37294	85425	\N	\N	\N
511271	1750	1993-07-11	PRIJEM	VKLAD	24863	68781	\N	\N	\N
511272	1750	1993-08-11	PRIJEM	VKLAD	24863	65516	\N	\N	\N
511273	1750	1993-09-11	PRIJEM	VKLAD	24863	61134	\N	\N	\N
511274	1750	1993-10-11	PRIJEM	VKLAD	24863	60036	\N	\N	\N
511275	1750	1993-11-11	PRIJEM	VKLAD	24863	58032	\N	\N	\N
511276	1750	1993-12-11	PRIJEM	VKLAD	37294	72454	\N	\N	\N
511277	1750	1994-01-11	PRIJEM	VKLAD	24863	60873	\N	\N	\N
511278	1750	1994-02-11	PRIJEM	VKLAD	24863	46643	\N	\N	\N
511279	1750	1994-03-11	PRIJEM	VKLAD	24863	54591	\N	\N	\N
511280	1750	1994-04-11	PRIJEM	VKLAD	24863	55971	\N	\N	\N
511281	1750	1994-05-11	PRIJEM	VKLAD	24863	60659	\N	\N	\N
511282	1750	1994-06-11	PRIJEM	VKLAD	37294	75690	\N	\N	\N
511283	1750	1994-07-11	PRIJEM	VKLAD	24863	66116	\N	\N	\N
511284	1750	1994-08-11	PRIJEM	VKLAD	24863	59929	\N	\N	\N
511285	1750	1994-09-11	PRIJEM	VKLAD	24863	60218	\N	\N	\N
511286	1750	1994-10-11	PRIJEM	VKLAD	24863	63012	\N	\N	\N
511287	1750	1994-11-11	PRIJEM	VKLAD	24863	64213	\N	\N	\N
511288	1750	1994-12-11	PRIJEM	VKLAD	37294	63532	\N	\N	\N
511289	1750	1995-01-11	PRIJEM	VKLAD	24863	59115	\N	\N	\N
511290	1750	1995-02-11	PRIJEM	VKLAD	24863	49470	\N	\N	\N
511291	1750	1995-03-11	PRIJEM	VKLAD	24863	51314	\N	\N	\N
511292	1750	1995-04-11	PRIJEM	VKLAD	24863	56774	\N	\N	\N
511293	1750	1995-05-11	PRIJEM	VKLAD	24863	58446	\N	\N	\N
511294	1750	1995-06-11	PRIJEM	VKLAD	37294	49958	\N	\N	\N
511295	1750	1995-07-11	PRIJEM	VKLAD	24863	57618	\N	\N	\N
511296	1750	1995-08-11	PRIJEM	VKLAD	24863	62199	\N	\N	\N
511297	1750	1995-09-11	PRIJEM	VKLAD	24863	64592	\N	\N	\N
511298	1750	1995-10-11	PRIJEM	VKLAD	24863	61482	\N	\N	\N
511299	1750	1995-11-11	PRIJEM	VKLAD	24863	64973	\N	\N	\N
511300	1750	1995-12-11	PRIJEM	VKLAD	37294	78501	\N	\N	\N
511301	1750	1996-01-11	PRIJEM	VKLAD	24863	61321	\N	\N	\N
511302	1750	1996-02-11	PRIJEM	VKLAD	24863	61912	\N	\N	\N
511303	1750	1996-03-11	PRIJEM	VKLAD	24863	75530	\N	\N	\N
511304	1750	1996-04-11	PRIJEM	VKLAD	24863	69958	\N	\N	\N
511305	1750	1996-05-11	PRIJEM	VKLAD	24863	74800	\N	\N	\N
511306	1750	1996-06-11	PRIJEM	VKLAD	37294	92912	\N	\N	\N
511307	1750	1996-07-11	PRIJEM	VKLAD	24863	78444	\N	\N	\N
511308	1750	1996-08-11	PRIJEM	VKLAD	24863	77851	\N	\N	\N
511309	1750	1996-09-11	PRIJEM	VKLAD	24863	81955	\N	\N	\N
511310	1750	1996-10-11	PRIJEM	VKLAD	24863	84471	\N	\N	\N
511311	1750	1996-11-11	PRIJEM	VKLAD	24863	85699	\N	\N	\N
511312	1750	1996-12-11	PRIJEM	VKLAD	37294	97060	\N	\N	\N
511313	1750	1997-01-11	PRIJEM	VKLAD	24863	86518	\N	\N	\N
511314	1750	1997-02-11	PRIJEM	VKLAD	24863	84242	\N	\N	\N
511315	1750	1997-03-11	PRIJEM	VKLAD	24863	87164	\N	\N	\N
511316	1750	1997-04-11	PRIJEM	VKLAD	24863	92697	\N	\N	\N
511317	1750	1997-05-11	PRIJEM	VKLAD	24863	96055	\N	\N	\N
511318	1750	1997-06-11	PRIJEM	VKLAD	37294	93060	\N	\N	\N
511319	1750	1997-07-11	PRIJEM	VKLAD	24863	98227	\N	\N	\N
511320	1750	1997-08-11	PRIJEM	VKLAD	24863	100609	\N	\N	\N
511321	1750	1997-09-11	PRIJEM	VKLAD	24863	103191	\N	\N	\N
511322	1750	1997-10-11	PRIJEM	VKLAD	24863	105291	\N	\N	\N
511323	1750	1997-11-11	PRIJEM	VKLAD	24863	105804	\N	\N	\N
511324	1750	1997-12-11	PRIJEM	VKLAD	37294	117246	\N	\N	\N
511325	1750	1998-01-11	PRIJEM	VKLAD	24863	68813	\N	\N	\N
511326	1750	1998-02-11	PRIJEM	VKLAD	24863	82359	\N	\N	\N
511327	1750	1998-03-11	PRIJEM	VKLAD	24863	94461	\N	\N	\N
511328	1750	1998-04-11	PRIJEM	VKLAD	24863	104216	\N	\N	\N
511329	1750	1998-05-11	PRIJEM	VKLAD	24863	108008	\N	\N	\N
511330	1750	1998-06-11	PRIJEM	VKLAD	37294	123146	\N	\N	\N
511331	1750	1998-07-11	PRIJEM	VKLAD	24863	91982	\N	\N	\N
511332	1750	1998-08-11	PRIJEM	VKLAD	24863	105925	\N	\N	\N
511333	1750	1998-09-11	PRIJEM	VKLAD	24863	117425	\N	\N	\N
511334	1750	1998-10-11	PRIJEM	VKLAD	24863	93807	\N	\N	\N
511335	1750	1998-11-11	PRIJEM	VKLAD	24863	110357	\N	\N	\N
511336	1750	1998-12-11	PRIJEM	VKLAD	37294	131102	\N	\N	\N
511342	1750	1993-06-12	VYDAJ	PREVOD NA UCET	4028	81397	SIPO	MN	37446361
511343	1750	1993-07-12	VYDAJ	PREVOD NA UCET	4028	64753	SIPO	MN	37446361
511344	1750	1993-08-12	VYDAJ	PREVOD NA UCET	4028	61488	SIPO	MN	37446361
511345	1750	1993-09-12	VYDAJ	PREVOD NA UCET	4028	57106	SIPO	MN	37446361
511346	1750	1993-10-12	VYDAJ	PREVOD NA UCET	4028	56008	SIPO	MN	37446361
511347	1750	1993-11-12	VYDAJ	PREVOD NA UCET	4028	54004	SIPO	MN	37446361
511348	1750	1993-12-12	VYDAJ	PREVOD NA UCET	4028	68426	SIPO	MN	37446361
511349	1750	1994-01-12	VYDAJ	PREVOD NA UCET	4028	56845	SIPO	MN	37446361
511350	1750	1994-02-12	VYDAJ	PREVOD NA UCET	4028	42615	SIPO	MN	37446361
511351	1750	1994-03-12	VYDAJ	PREVOD NA UCET	4028	50563	SIPO	MN	37446361
511352	1750	1994-04-12	VYDAJ	PREVOD NA UCET	4028	51943	SIPO	MN	37446361
511353	1750	1994-05-12	VYDAJ	PREVOD NA UCET	4028	56631	SIPO	MN	37446361
511354	1750	1994-06-12	VYDAJ	PREVOD NA UCET	4028	71662	SIPO	MN	37446361
511355	1750	1994-07-12	VYDAJ	PREVOD NA UCET	4028	62088	SIPO	MN	37446361
511356	1750	1994-08-12	VYDAJ	PREVOD NA UCET	4028	55901	SIPO	MN	37446361
511357	1750	1994-09-12	VYDAJ	PREVOD NA UCET	4028	56190	SIPO	MN	37446361
511358	1750	1994-10-12	VYDAJ	PREVOD NA UCET	4028	58984	SIPO	MN	37446361
511359	1750	1994-11-12	VYDAJ	PREVOD NA UCET	4028	60185	SIPO	MN	37446361
511360	1750	1994-12-12	VYDAJ	PREVOD NA UCET	4028	59504	SIPO	MN	37446361
511361	1750	1995-01-12	VYDAJ	PREVOD NA UCET	4028	44687	SIPO	MN	37446361
511362	1750	1995-02-12	VYDAJ	PREVOD NA UCET	4028	45442	SIPO	MN	37446361
511363	1750	1995-03-12	VYDAJ	PREVOD NA UCET	4028	47286	SIPO	MN	37446361
511364	1750	1995-04-12	VYDAJ	PREVOD NA UCET	4028	52746	SIPO	MN	37446361
511365	1750	1995-05-12	VYDAJ	PREVOD NA UCET	4028	54418	SIPO	MN	37446361
511366	1750	1995-06-12	VYDAJ	PREVOD NA UCET	4028	45930	SIPO	MN	37446361
511367	1750	1995-07-12	VYDAJ	PREVOD NA UCET	4028	53590	SIPO	MN	37446361
511368	1750	1995-08-12	VYDAJ	PREVOD NA UCET	4028	58171	SIPO	MN	37446361
511369	1750	1995-09-12	VYDAJ	PREVOD NA UCET	4028	60564	SIPO	MN	37446361
511370	1750	1995-10-12	VYDAJ	PREVOD NA UCET	4028	57454	SIPO	MN	37446361
511371	1750	1995-11-12	VYDAJ	PREVOD NA UCET	4028	60945	SIPO	MN	37446361
511372	1750	1995-12-12	VYDAJ	PREVOD NA UCET	4028	74473	SIPO	MN	37446361
511373	1750	1996-01-12	VYDAJ	PREVOD NA UCET	4028	47593	SIPO	MN	37446361
511374	1750	1996-02-12	VYDAJ	PREVOD NA UCET	4028	57884	SIPO	MN	37446361
511375	1750	1996-03-12	VYDAJ	PREVOD NA UCET	4028	51402	SIPO	MN	37446361
511376	1750	1996-04-12	VYDAJ	PREVOD NA UCET	4028	62230	SIPO	MN	37446361
511377	1750	1996-05-12	VYDAJ	PREVOD NA UCET	4028	70772	SIPO	MN	37446361
511378	1750	1996-06-12	VYDAJ	PREVOD NA UCET	4028	88884	SIPO	MN	37446361
511379	1750	1996-07-12	VYDAJ	PREVOD NA UCET	4028	74416	SIPO	MN	37446361
511380	1750	1996-08-12	VYDAJ	PREVOD NA UCET	4028	73823	SIPO	MN	37446361
511381	1750	1996-09-12	VYDAJ	PREVOD NA UCET	4028	77927	SIPO	MN	37446361
511382	1750	1996-10-12	VYDAJ	PREVOD NA UCET	4028	80443	SIPO	MN	37446361
511383	1750	1996-11-12	VYDAJ	PREVOD NA UCET	4028	81671	SIPO	MN	37446361
511384	1750	1996-12-12	VYDAJ	PREVOD NA UCET	4028	93032	SIPO	MN	37446361
511385	1750	1997-01-12	VYDAJ	PREVOD NA UCET	4028	82490	SIPO	MN	37446361
511386	1750	1997-02-12	VYDAJ	PREVOD NA UCET	4028	80214	SIPO	MN	37446361
511387	1750	1997-03-12	VYDAJ	PREVOD NA UCET	4028	83136	SIPO	MN	37446361
511388	1750	1997-04-12	VYDAJ	PREVOD NA UCET	4028	88669	SIPO	MN	37446361
511389	1750	1997-05-12	VYDAJ	PREVOD NA UCET	4028	92027	SIPO	MN	37446361
511390	1750	1997-06-12	VYDAJ	PREVOD NA UCET	4028	89032	SIPO	MN	37446361
511391	1750	1997-07-12	VYDAJ	PREVOD NA UCET	4028	94199	SIPO	MN	37446361
511392	1750	1997-08-12	VYDAJ	PREVOD NA UCET	4028	96581	SIPO	MN	37446361
511393	1750	1997-09-12	VYDAJ	PREVOD NA UCET	4028	99163	SIPO	MN	37446361
511394	1750	1997-10-12	VYDAJ	PREVOD NA UCET	4028	101263	SIPO	MN	37446361
511395	1750	1997-11-12	VYDAJ	PREVOD NA UCET	4028	101776	SIPO	MN	37446361
511396	1750	1997-12-12	VYDAJ	PREVOD NA UCET	4028	50018	SIPO	MN	37446361
511397	1750	1998-01-12	VYDAJ	PREVOD NA UCET	4028	64785	SIPO	MN	37446361
511398	1750	1998-02-12	VYDAJ	PREVOD NA UCET	4028	78331	SIPO	MN	37446361
511399	1750	1998-03-12	VYDAJ	PREVOD NA UCET	4028	90433	SIPO	MN	37446361
511400	1750	1998-04-12	VYDAJ	PREVOD NA UCET	4028	100188	SIPO	MN	37446361
511401	1750	1998-05-12	VYDAJ	PREVOD NA UCET	4028	103980	SIPO	MN	37446361
511402	1750	1998-06-12	VYDAJ	PREVOD NA UCET	4028	80318	SIPO	MN	37446361
511403	1750	1998-07-12	VYDAJ	PREVOD NA UCET	4028	87954	SIPO	MN	37446361
511404	1750	1998-08-12	VYDAJ	PREVOD NA UCET	4028	101897	SIPO	MN	37446361
511405	1750	1998-09-12	VYDAJ	PREVOD NA UCET	4028	48497	SIPO	MN	37446361
511406	1750	1998-10-12	VYDAJ	PREVOD NA UCET	4028	89779	SIPO	MN	37446361
511407	1750	1998-11-12	VYDAJ	PREVOD NA UCET	4028	106329	SIPO	MN	37446361
511408	1750	1998-12-12	VYDAJ	PREVOD NA UCET	4028	87774	SIPO	MN	37446361
511415	1750	1993-07-09	VYDAJ	PREVOD NA UCET	5517	43918	 	OP	16547310
511416	1750	1993-08-09	VYDAJ	PREVOD NA UCET	5517	40653	 	OP	16547310
511417	1750	1993-09-09	VYDAJ	PREVOD NA UCET	5517	36271	 	OP	16547310
511418	1750	1993-10-09	VYDAJ	PREVOD NA UCET	5517	35173	 	OP	16547310
511419	1750	1993-11-09	VYDAJ	PREVOD NA UCET	5517	33169	 	OP	16547310
511420	1750	1993-12-09	VYDAJ	PREVOD NA UCET	5517	35160	 	OP	16547310
511421	1750	1994-01-09	VYDAJ	PREVOD NA UCET	5517	36010	 	OP	16547310
511422	1750	1994-02-09	VYDAJ	PREVOD NA UCET	5517	21780	 	OP	16547310
511423	1750	1994-03-09	VYDAJ	PREVOD NA UCET	5517	29728	 	OP	16547310
511424	1750	1994-04-09	VYDAJ	PREVOD NA UCET	5517	31108	 	OP	16547310
511425	1750	1994-05-09	VYDAJ	PREVOD NA UCET	5517	35796	 	OP	16547310
511426	1750	1994-06-09	VYDAJ	PREVOD NA UCET	5517	38396	 	OP	16547310
511427	1750	1994-07-09	VYDAJ	PREVOD NA UCET	5517	41253	 	OP	16547310
511428	1750	1994-08-09	VYDAJ	PREVOD NA UCET	5517	35066	 	OP	16547310
511429	1750	1994-09-09	VYDAJ	PREVOD NA UCET	5517	35355	 	OP	16547310
511430	1750	1994-10-09	VYDAJ	PREVOD NA UCET	5517	38149	 	OP	16547310
511431	1750	1994-11-09	VYDAJ	PREVOD NA UCET	5517	39350	 	OP	16547310
511432	1750	1994-12-09	VYDAJ	PREVOD NA UCET	5517	26238	 	OP	16547310
511433	1750	1995-01-09	VYDAJ	PREVOD NA UCET	5517	34252	 	OP	16547310
511434	1750	1995-02-09	VYDAJ	PREVOD NA UCET	5517	24607	 	OP	16547310
511435	1750	1995-03-09	VYDAJ	PREVOD NA UCET	5517	26451	 	OP	16547310
511436	1750	1995-04-09	VYDAJ	PREVOD NA UCET	5517	31911	 	OP	16547310
511437	1750	1995-05-09	VYDAJ	PREVOD NA UCET	5517	33583	 	OP	16547310
511438	1750	1995-06-09	VYDAJ	PREVOD NA UCET	5517	12664	 	OP	16547310
511439	1750	1995-07-09	VYDAJ	PREVOD NA UCET	5517	32755	 	OP	16547310
511440	1750	1995-08-09	VYDAJ	PREVOD NA UCET	5517	37336	 	OP	16547310
511441	1750	1995-09-09	VYDAJ	PREVOD NA UCET	5517	39729	 	OP	16547310
511442	1750	1995-10-09	VYDAJ	PREVOD NA UCET	5517	36619	 	OP	16547310
511443	1750	1995-11-09	VYDAJ	PREVOD NA UCET	5517	40110	 	OP	16547310
511444	1750	1995-12-09	VYDAJ	PREVOD NA UCET	5517	41207	 	OP	16547310
511445	1750	1996-01-09	VYDAJ	PREVOD NA UCET	5517	36458	 	OP	16547310
511446	1750	1996-02-09	VYDAJ	PREVOD NA UCET	5517	35049	 	OP	16547310
511447	1750	1996-03-09	VYDAJ	PREVOD NA UCET	5517	50667	 	OP	16547310
511448	1750	1996-04-09	VYDAJ	PREVOD NA UCET	5517	46095	 	OP	16547310
511449	1750	1996-05-09	VYDAJ	PREVOD NA UCET	5517	55037	 	OP	16547310
511450	1750	1996-06-09	VYDAJ	PREVOD NA UCET	5517	65518	 	OP	16547310
511451	1750	1996-07-09	VYDAJ	PREVOD NA UCET	5517	66681	 	OP	16547310
511452	1750	1996-08-09	VYDAJ	PREVOD NA UCET	5517	52988	 	OP	16547310
511453	1750	1996-09-09	VYDAJ	PREVOD NA UCET	5517	57092	 	OP	16547310
511454	1750	1996-10-09	VYDAJ	PREVOD NA UCET	5517	59608	 	OP	16547310
511455	1750	1996-11-09	VYDAJ	PREVOD NA UCET	5517	60836	 	OP	16547310
511456	1750	1996-12-09	VYDAJ	PREVOD NA UCET	5517	59766	 	OP	16547310
511457	1750	1997-01-09	VYDAJ	PREVOD NA UCET	5517	61655	 	OP	16547310
511458	1750	1997-02-09	VYDAJ	PREVOD NA UCET	5517	59379	 	OP	16547310
511459	1750	1997-03-09	VYDAJ	PREVOD NA UCET	5517	62301	 	OP	16547310
511460	1750	1997-04-09	VYDAJ	PREVOD NA UCET	5517	67834	 	OP	16547310
511461	1750	1997-05-09	VYDAJ	PREVOD NA UCET	5517	71192	 	OP	16547310
511462	1750	1997-06-09	VYDAJ	PREVOD NA UCET	5517	55766	 	OP	16547310
511463	1750	1997-07-09	VYDAJ	PREVOD NA UCET	5517	73364	 	OP	16547310
511464	1750	1997-08-09	VYDAJ	PREVOD NA UCET	5517	75746	 	OP	16547310
511465	1750	1997-09-09	VYDAJ	PREVOD NA UCET	5517	78328	 	OP	16547310
511466	1750	1997-10-09	VYDAJ	PREVOD NA UCET	5517	80428	 	OP	16547310
511467	1750	1997-11-09	VYDAJ	PREVOD NA UCET	5517	80941	 	OP	16547310
511468	1750	1997-12-09	VYDAJ	PREVOD NA UCET	5517	79952	 	OP	16547310
511469	1750	1998-01-09	VYDAJ	PREVOD NA UCET	5517	47050	 	OP	16547310
511470	1750	1998-02-09	VYDAJ	PREVOD NA UCET	5517	57496	 	OP	16547310
511471	1750	1998-03-09	VYDAJ	PREVOD NA UCET	5517	69598	 	OP	16547310
511472	1750	1998-04-09	VYDAJ	PREVOD NA UCET	5517	79353	 	OP	16547310
511473	1750	1998-05-09	VYDAJ	PREVOD NA UCET	5517	83145	 	OP	16547310
511474	1750	1998-06-09	VYDAJ	PREVOD NA UCET	5517	85852	 	OP	16547310
511475	1750	1998-07-09	VYDAJ	PREVOD NA UCET	5517	67119	 	OP	16547310
511476	1750	1998-08-09	VYDAJ	PREVOD NA UCET	5517	81062	 	OP	16547310
511477	1750	1998-09-09	VYDAJ	PREVOD NA UCET	5517	92562	 	OP	16547310
511478	1750	1998-10-09	VYDAJ	PREVOD NA UCET	5517	68944	 	OP	16547310
511479	1750	1998-11-09	VYDAJ	PREVOD NA UCET	5517	85494	 	OP	16547310
511480	1750	1998-12-09	VYDAJ	PREVOD NA UCET	5517	93808	 	OP	16547310
511481	1750	1993-06-15	VYDAJ	VYBER	6400	74997	\N	\N	\N
511483	1750	1995-06-08	VYDAJ	VYBER	18700	20681	\N	\N	\N
511484	1750	1996-06-25	VYDAJ	VYBER	17000	71884	\N	\N	\N
511485	1750	1997-06-09	VYDAJ	VYBER	20900	61283	\N	\N	\N
511486	1750	1998-06-25	VYDAJ	VYBER	25800	54518	\N	\N	\N
511488	1750	1994-01-19	VYDAJ	VYBER	8400	42045	\N	\N	\N
511489	1750	1995-01-11	VYDAJ	VYBER	7500	48715	\N	\N	\N
511490	1750	1996-01-04	VYDAJ	VYBER	3300	47175	\N	\N	\N
511491	1750	1997-01-26	VYDAJ	VYBER	2000	74090	\N	\N	\N
511492	1750	1998-01-14	VYDAJ	VYBER KARTOU	2800	59385	\N	\N	0
511493	1750	1993-12-21	VYDAJ	VYBER	2300	66126	\N	\N	\N
511494	1750	1994-12-06	VYDAJ	VYBER	2700	31755	\N	\N	\N
511495	1750	1995-12-19	VYDAJ	VYBER	2700	52973	\N	\N	\N
511496	1750	1996-12-23	VYDAJ	VYBER	2700	89232	\N	\N	\N
511497	1750	1997-12-03	VYDAJ	VYBER KARTOU	1800	85469	\N	\N	0
511498	1750	1998-12-04	VYDAJ	VYBER KARTOU	2200	99325	\N	\N	0
511505	1750	1994-01-24	VYDAJ	VYBER	2400	30845	\N	\N	\N
511506	1750	1994-01-01	VYDAJ	VYBER	1500	41527	\N	\N	\N
511507	1750	1994-01-01	VYDAJ	VYBER	1800	43027	\N	\N	\N
511508	1750	1994-01-27	VYDAJ	VYBER	2100	27145	\N	\N	\N
511509	1750	1994-01-25	VYDAJ	VYBER	1600	29245	\N	\N	\N
511510	1750	1994-01-13	VYDAJ	VYBER	1900	54945	\N	\N	\N
511511	1750	1995-01-24	VYDAJ	VYBER	900	30687	\N	\N	\N
511512	1750	1995-01-23	VYDAJ	VYBER	1400	31587	\N	\N	\N
511513	1750	1995-01-11	VYDAJ	VYBER	2900	56215	\N	\N	\N
511514	1750	1995-01-26	VYDAJ	VYBER	700	29987	\N	\N	\N
511515	1750	1995-01-08	VYDAJ	VYBER	1400	39769	\N	\N	\N
511516	1750	1995-01-14	VYDAJ	VYBER	1300	43387	\N	\N	\N
511517	1750	1996-01-19	VYDAJ	VYBER	2400	43093	\N	\N	\N
511518	1750	1996-01-01	VYDAJ	VYBER	2700	50475	\N	\N	\N
511519	1750	1996-01-29	VYDAJ	VYBER	1500	40393	\N	\N	\N
511520	1750	1996-01-28	VYDAJ	VYBER	1200	41893	\N	\N	\N
511521	1750	1996-01-19	VYDAJ	VYBER	2100	45493	\N	\N	\N
511522	1750	1996-01-04	VYDAJ	VYBER	1600	45575	\N	\N	\N
511523	1750	1997-01-15	VYDAJ	VYBER	1200	81290	\N	\N	\N
511524	1750	1997-01-23	VYDAJ	VYBER	2900	76090	\N	\N	\N
511525	1750	1997-01-22	VYDAJ	VYBER	1300	78990	\N	\N	\N
511526	1750	1997-01-08	VYDAJ	VYBER	1000	67172	\N	\N	\N
511527	1750	1997-01-02	VYDAJ	VYBER	600	88972	\N	\N	\N
511528	1750	1997-01-21	VYDAJ	VYBER	1000	80290	\N	\N	\N
511529	1750	1998-01-02	VYDAJ	VYBER KARTOU	2800	56467	\N	\N	0
511530	1750	1998-01-02	VYDAJ	VYBER KARTOU	900	59267	\N	\N	0
511531	1750	1998-01-28	VYDAJ	VYBER KARTOU	1600	57785	\N	\N	0
511532	1750	1998-01-08	VYDAJ	VYBER KARTOU	2200	52567	\N	\N	0
511533	1750	1998-01-06	VYDAJ	VYBER KARTOU	1700	54767	\N	\N	0
511534	1750	1998-01-01	VYDAJ	VYBER KARTOU	1000	60167	\N	\N	0
511538	1750	1993-06-15	VYDAJ	VYBER	4400	70597	\N	\N	\N
511540	1750	1994-12-28	VYDAJ	VYBER	3100	41004	\N	\N	\N
511541	1750	1994-11-26	VYDAJ	VYBER	4200	34285	\N	\N	\N
511542	1750	1994-11-18	VYDAJ	VYBER	3100	38485	\N	\N	\N
511543	1750	1994-01-14	VYDAJ	VYBER	4500	50445	\N	\N	\N
511544	1750	1994-06-20	VYDAJ	VYBER	4500	67162	\N	\N	\N
511545	1750	1994-07-20	VYDAJ	VYBER	4500	40388	\N	\N	\N
511546	1750	1994-04-09	VYDAJ	VYBER	3900	36625	\N	\N	\N
511547	1750	1995-02-22	VYDAJ	VYBER	3000	31842	\N	\N	\N
511548	1750	1995-09-17	VYDAJ	VYBER	1700	41964	\N	\N	\N
511549	1750	1995-09-17	VYDAJ	VYBER	4400	43664	\N	\N	\N
511550	1750	1995-06-09	VYDAJ	VYBER	2500	18181	\N	\N	\N
511551	1750	1995-05-23	VYDAJ	VYBER	4700	39218	\N	\N	\N
511552	1750	1996-12-15	VYDAJ	VYBER	1100	91932	\N	\N	\N
511553	1750	1996-11-19	VYDAJ	VYBER	2900	78771	\N	\N	\N
511554	1750	1996-02-29	VYDAJ	VYBER	1900	56184	\N	\N	\N
511555	1750	1996-01-05	VYDAJ	VYBER	3600	41975	\N	\N	\N
511556	1750	1996-04-12	VYDAJ	VYBER	3700	66258	\N	\N	\N
511557	1750	1996-04-15	VYDAJ	VYBER	1900	60330	\N	\N	\N
511558	1750	1997-12-18	VYDAJ	VYBER KARTOU	500	49518	\N	\N	0
511559	1750	1997-08-13	VYDAJ	VYBER	4400	92181	\N	\N	\N
511560	1750	1997-11-06	VYDAJ	VYBER	4500	86458	\N	\N	\N
511561	1750	1997-03-03	VYDAJ	VYBER	4700	75818	\N	\N	\N
511562	1750	1998-01-14	VYDAJ	VYBER KARTOU	2600	62185	\N	\N	0
511563	1750	1998-08-04	VYDAJ	VYBER KARTOU	2400	86579	\N	\N	0
511564	1750	1998-05-12	VYDAJ	VYBER KARTOU	2100	101880	\N	\N	0
511565	1750	1998-01-09	VYDAJ	VYBER KARTOU	3100	43950	\N	\N	0
511572	1750	1993-06-30	VYDAJ	VYBER	15	49435	SLUZBY	\N	\N
511573	1750	1993-07-31	VYDAJ	VYBER	15	46170	SLUZBY	\N	\N
511574	1750	1993-08-31	VYDAJ	VYBER	15	41788	SLUZBY	\N	\N
511575	1750	1993-09-30	VYDAJ	VYBER	15	40690	SLUZBY	\N	\N
511576	1750	1993-10-31	VYDAJ	VYBER	15	38686	SLUZBY	\N	\N
511577	1750	1993-11-30	VYDAJ	VYBER	15	40677	SLUZBY	\N	\N
511578	1750	1993-12-31	VYDAJ	VYBER	15	44827	SLUZBY	\N	\N
511579	1750	1994-01-31	VYDAJ	VYBER	15	27297	SLUZBY	\N	\N
511580	1750	1994-02-28	VYDAJ	VYBER	15	35245	SLUZBY	\N	\N
511581	1750	1994-03-31	VYDAJ	VYBER	15	40525	SLUZBY	\N	\N
511582	1750	1994-04-30	VYDAJ	VYBER	15	41313	SLUZBY	\N	\N
511583	1750	1994-05-31	VYDAJ	VYBER	15	43913	SLUZBY	\N	\N
511584	1750	1994-06-30	VYDAJ	VYBER	15	46770	SLUZBY	\N	\N
511585	1750	1994-07-31	VYDAJ	VYBER	15	40583	SLUZBY	\N	\N
511586	1750	1994-08-31	VYDAJ	VYBER	15	40872	SLUZBY	\N	\N
511587	1750	1994-09-30	VYDAJ	VYBER	15	43666	SLUZBY	\N	\N
511588	1750	1994-10-31	VYDAJ	VYBER	15	44867	SLUZBY	\N	\N
511589	1750	1994-11-30	VYDAJ	VYBER	15	34455	SLUZBY	\N	\N
511590	1750	1994-12-31	VYDAJ	VYBER	15	41169	SLUZBY	\N	\N
511591	1750	1995-01-31	VYDAJ	VYBER	15	30124	SLUZBY	\N	\N
511592	1750	1995-02-28	VYDAJ	VYBER	15	31968	SLUZBY	\N	\N
511593	1750	1995-03-31	VYDAJ	VYBER	15	37428	SLUZBY	\N	\N
511594	1750	1995-04-30	VYDAJ	VYBER	15	39100	SLUZBY	\N	\N
511595	1750	1995-05-31	VYDAJ	VYBER	15	39381	SLUZBY	\N	\N
511596	1750	1995-06-30	VYDAJ	VYBER	15	38272	SLUZBY	\N	\N
511597	1750	1995-07-31	VYDAJ	VYBER	15	42853	SLUZBY	\N	\N
511598	1750	1995-08-31	VYDAJ	VYBER	15	45246	SLUZBY	\N	\N
511599	1750	1995-09-30	VYDAJ	VYBER	15	42136	SLUZBY	\N	\N
511600	1750	1995-10-31	VYDAJ	VYBER	15	45627	SLUZBY	\N	\N
511601	1750	1995-11-30	VYDAJ	VYBER	15	46724	SLUZBY	\N	\N
511602	1750	1995-12-31	VYDAJ	VYBER	15	53175	SLUZBY	\N	\N
511603	1750	1996-01-31	VYDAJ	VYBER	15	40566	SLUZBY	\N	\N
511604	1750	1996-02-29	VYDAJ	VYBER	15	58084	SLUZBY	\N	\N
511605	1750	1996-03-31	VYDAJ	VYBER	15	51612	SLUZBY	\N	\N
511606	1750	1996-04-30	VYDAJ	VYBER	15	60554	SLUZBY	\N	\N
511607	1750	1996-05-31	VYDAJ	VYBER	15	71035	SLUZBY	\N	\N
511608	1750	1996-06-30	VYDAJ	VYBER	15	72198	SLUZBY	\N	\N
511609	1750	1996-07-31	VYDAJ	VYBER	15	74705	SLUZBY	\N	\N
511610	1750	1996-08-31	VYDAJ	VYBER	15	74109	SLUZBY	\N	\N
511611	1750	1996-09-30	VYDAJ	VYBER	15	78225	SLUZBY	\N	\N
511612	1750	1996-10-31	VYDAJ	VYBER	15	80753	SLUZBY	\N	\N
511613	1750	1996-11-30	VYDAJ	VYBER	15	79083	SLUZBY	\N	\N
511614	1750	1996-12-31	VYDAJ	VYBER	15	89572	SLUZBY	\N	\N
511615	1750	1997-01-31	VYDAJ	VYBER	15	74396	SLUZBY	\N	\N
511616	1750	1997-02-28	VYDAJ	VYBER	15	80518	SLUZBY	\N	\N
511617	1750	1997-03-31	VYDAJ	VYBER	15	83451	SLUZBY	\N	\N
511618	1750	1997-04-30	VYDAJ	VYBER	15	89009	SLUZBY	\N	\N
511619	1750	1997-05-31	VYDAJ	VYBER	15	92383	SLUZBY	\N	\N
511620	1750	1997-06-30	VYDAJ	VYBER	15	89381	SLUZBY	\N	\N
511621	1750	1997-07-31	VYDAJ	VYBER	15	94563	SLUZBY	\N	\N
511622	1750	1997-08-31	VYDAJ	VYBER	15	92545	SLUZBY	\N	\N
511623	1750	1997-09-30	VYDAJ	VYBER	15	99545	SLUZBY	\N	\N
511624	1750	1997-10-31	VYDAJ	VYBER	15	101658	SLUZBY	\N	\N
511625	1750	1997-11-30	VYDAJ	VYBER	15	102169	SLUZBY	\N	\N
511626	1750	1997-12-31	VYDAJ	VYBER	15	61167	SLUZBY	\N	\N
511627	1750	1998-01-31	VYDAJ	VYBER	15	63013	SLUZBY	\N	\N
511628	1750	1998-02-28	VYDAJ	VYBER	15	78615	SLUZBY	\N	\N
511629	1750	1998-03-31	VYDAJ	VYBER	15	84870	SLUZBY	\N	\N
511630	1750	1998-04-30	VYDAJ	VYBER	15	88662	SLUZBY	\N	\N
511631	1750	1998-05-31	VYDAJ	VYBER	15	91369	SLUZBY	\N	\N
511632	1750	1998-06-30	VYDAJ	VYBER	15	72636	SLUZBY	\N	\N
511633	1750	1998-07-31	VYDAJ	VYBER	15	88979	SLUZBY	\N	\N
511634	1750	1998-08-31	VYDAJ	VYBER	15	98079	SLUZBY	\N	\N
511635	1750	1998-09-30	VYDAJ	VYBER	15	74461	SLUZBY	\N	\N
511636	1750	1998-10-31	VYDAJ	VYBER	15	91011	SLUZBY	\N	\N
511637	1750	1998-11-30	VYDAJ	VYBER	15	101525	SLUZBY	\N	\N
511638	1750	1993-02-25	VYDAJ	VYBER	2500	23463	\N	\N	\N
511639	1750	1993-03-27	VYDAJ	VYBER	10100	38240	\N	\N	\N
511640	1750	1993-04-26	VYDAJ	VYBER	17400	45811	\N	\N	\N
511641	1750	1993-05-26	VYDAJ	VYBER	22900	47938	\N	\N	\N
511642	1750	1993-06-25	VYDAJ	VYBER	21400	49197	\N	\N	\N
511643	1750	1993-07-25	VYDAJ	VYBER	18800	45953	\N	\N	\N
511644	1750	1993-08-24	VYDAJ	VYBER	19900	41588	\N	\N	\N
511645	1750	1993-09-23	VYDAJ	VYBER	16600	40506	\N	\N	\N
511646	1750	1993-10-23	VYDAJ	VYBER	17500	38508	\N	\N	\N
511647	1750	1993-11-22	VYDAJ	VYBER	13500	40504	\N	\N	\N
511648	1750	1993-12-22	VYDAJ	VYBER	21500	44626	\N	\N	\N
511649	1750	1994-01-21	VYDAJ	VYBER	8800	33245	\N	\N	\N
511650	1750	1994-02-20	VYDAJ	VYBER	7500	35115	\N	\N	\N
511651	1750	1994-03-22	VYDAJ	VYBER	10200	40363	\N	\N	\N
511652	1750	1994-04-21	VYDAJ	VYBER	10800	41143	\N	\N	\N
511653	1750	1994-05-21	VYDAJ	VYBER	12900	43731	\N	\N	\N
511654	1750	1994-06-20	VYDAJ	VYBER	20600	46562	\N	\N	\N
511655	1750	1994-07-20	VYDAJ	VYBER	17200	44888	\N	\N	\N
511656	1750	1994-08-19	VYDAJ	VYBER	15200	40701	\N	\N	\N
511657	1750	1994-09-18	VYDAJ	VYBER	12700	43490	\N	\N	\N
511658	1750	1994-10-18	VYDAJ	VYBER	14300	44684	\N	\N	\N
511659	1750	1994-11-17	VYDAJ	VYBER	18600	41585	\N	\N	\N
511660	1750	1994-12-17	VYDAJ	VYBER	15400	44104	\N	\N	\N
511661	1750	1995-01-16	VYDAJ	VYBER	10400	32987	\N	\N	\N
511662	1750	1995-02-15	VYDAJ	VYBER	10600	34842	\N	\N	\N
511663	1750	1995-03-17	VYDAJ	VYBER	10000	37286	\N	\N	\N
511664	1750	1995-04-16	VYDAJ	VYBER	13800	38946	\N	\N	\N
511665	1750	1995-05-16	VYDAJ	VYBER	10500	43918	\N	\N	\N
511666	1750	1995-06-15	VYDAJ	VYBER	7800	38130	\N	\N	\N
511667	1750	1995-07-15	VYDAJ	VYBER	10900	42690	\N	\N	\N
511668	1750	1995-08-14	VYDAJ	VYBER	13100	45071	\N	\N	\N
511669	1750	1995-09-13	VYDAJ	VYBER	12500	48064	\N	\N	\N
511670	1750	1995-10-13	VYDAJ	VYBER	12000	45454	\N	\N	\N
511671	1750	1995-11-12	VYDAJ	VYBER	14400	46545	\N	\N	\N
511672	1750	1995-12-12	VYDAJ	VYBER	18800	55673	\N	\N	\N
511673	1750	1996-01-11	VYDAJ	VYBER	9700	51621	\N	\N	\N
511674	1750	1996-02-10	PRIJEM	VKLAD	2000	37049	\N	\N	\N
511675	1750	1996-03-11	VYDAJ	VYBER	20100	55430	\N	\N	\N
511676	1750	1996-04-10	VYDAJ	VYBER	1000	45095	\N	\N	\N
511677	1750	1996-05-10	VYDAJ	VYBER	5100	49937	\N	\N	\N
511678	1750	1996-06-09	VYDAJ	VYBER	9900	55618	\N	\N	\N
511679	1750	1996-07-09	VYDAJ	VYBER	13100	53581	\N	\N	\N
511680	1750	1996-08-08	VYDAJ	VYBER	16200	58505	\N	\N	\N
511681	1750	1996-09-07	VYDAJ	VYBER	11500	62609	\N	\N	\N
511682	1750	1996-10-07	VYDAJ	VYBER	13100	65125	\N	\N	\N
511683	1750	1996-11-06	VYDAJ	VYBER	14400	66353	\N	\N	\N
511684	1750	1996-12-06	VYDAJ	VYBER	13800	65283	\N	\N	\N
511685	1750	1997-01-05	VYDAJ	VYBER	20800	68172	\N	\N	\N
511686	1750	1997-02-04	VYDAJ	VYBER	9500	64896	\N	\N	\N
511687	1750	1997-03-06	VYDAJ	VYBER	8000	67818	\N	\N	\N
511688	1750	1997-04-05	VYDAJ	VYBER	10100	73351	\N	\N	\N
511689	1750	1997-05-05	VYDAJ	VYBER	12300	76709	\N	\N	\N
511690	1750	1997-06-04	VYDAJ	VYBER	10200	82183	\N	\N	\N
511691	1750	1997-07-04	VYDAJ	VYBER	10500	78881	\N	\N	\N
511692	1750	1997-08-03	VYDAJ	VYBER	13300	81263	\N	\N	\N
511693	1750	1997-09-02	VYDAJ	VYBER	8700	83845	\N	\N	\N
511694	1750	1997-10-02	VYDAJ	VYBER	13600	85945	\N	\N	\N
511695	1750	1997-11-01	VYDAJ	VYBER	10700	90958	\N	\N	\N
511696	1750	1997-12-01	VYDAJ	VYBER	14900	87269	\N	\N	\N
511697	1750	1997-12-11	VYDAJ	VYBER	63200	54046	\N	\N	\N
511698	1750	1997-12-31	PRIJEM	VKLAD	11400	61181	\N	\N	\N
511699	1750	1998-01-30	PRIJEM	VKLAD	5000	62785	\N	\N	\N
511700	1750	1998-03-01	VYDAJ	VYBER KARTOU	3500	75115	\N	\N	0
511701	1750	1998-03-31	VYDAJ	VYBER KARTOU	5900	84885	\N	\N	0
511702	1750	1998-04-30	VYDAJ	VYBER	11900	88677	\N	\N	\N
511703	1750	1998-05-30	VYDAJ	VYBER	10900	90980	\N	\N	\N
511704	1750	1998-06-11	VYDAJ	VYBER	38800	84346	\N	\N	\N
511705	1750	1998-06-29	PRIJEM	VKLAD	17800	72318	\N	\N	\N
511706	1750	1998-07-29	PRIJEM	VKLAD	700	88654	\N	\N	\N
511707	1750	1998-08-28	VYDAJ	VYBER KARTOU	4200	97697	\N	\N	0
511708	1750	1998-09-11	VYDAJ	VYBER	64900	52525	\N	\N	\N
511709	1750	1998-09-27	PRIJEM	VKLAD	25700	74197	\N	\N	\N
511710	1750	1998-10-27	PRIJEM	VKLAD	900	90679	\N	\N	\N
511711	1750	1998-11-26	VYDAJ	VYBER KARTOU	5200	101129	\N	\N	0
511712	1750	1998-12-11	VYDAJ	VYBER	39300	91802	\N	\N	\N
511784	1751	1996-10-04	PRIJEM	VKLAD	700	700	\N	\N	\N
511786	1751	1996-10-22	PRIJEM	VKLAD	2030	4330	\N	\N	\N
511787	1751	1997-11-01	PRIJEM	VKLAD	27890	52026	\N	\N	\N
511788	1751	1997-06-26	PRIJEM	VKLAD	22519	48944	\N	\N	\N
511789	1751	1998-06-13	PRIJEM	VKLAD	15156	32081	\N	\N	\N
511790	1751	1998-10-25	PRIJEM	VKLAD	5712	41530	\N	\N	\N
511800	1751	1996-10-17	PRIJEM	VKLAD	1600	2300	\N	\N	\N
511801	1751	1996-11-15	PRIJEM	VKLAD	1600	17737	\N	\N	\N
511802	1751	1996-12-13	PRIJEM	VKLAD	1600	25785	\N	\N	\N
511803	1751	1997-01-15	PRIJEM	VKLAD	1600	32380	\N	\N	\N
511804	1751	1997-02-17	PRIJEM	VKLAD	1600	29768	\N	\N	\N
511805	1751	1997-03-14	PRIJEM	VKLAD	1600	34556	\N	\N	\N
511806	1751	1997-04-14	PRIJEM	VKLAD	1600	32978	\N	\N	\N
511807	1751	1997-05-16	PRIJEM	VKLAD	1600	32103	\N	\N	\N
511808	1751	1997-06-16	PRIJEM	VKLAD	1600	36325	\N	\N	\N
511809	1751	1997-07-13	PRIJEM	VKLAD	1600	44868	\N	\N	\N
511810	1751	1997-08-14	PRIJEM	VKLAD	1600	39693	\N	\N	\N
511811	1751	1997-09-16	PRIJEM	VKLAD	1600	36653	\N	\N	\N
511812	1751	1997-10-13	PRIJEM	VKLAD	1600	30432	\N	\N	\N
511813	1751	1997-11-15	PRIJEM	VKLAD	1600	53626	\N	\N	\N
511814	1751	1997-12-17	PRIJEM	VKLAD	1600	36970	\N	\N	\N
511815	1751	1998-01-17	PRIJEM	VKLAD	1600	26906	\N	\N	\N
511816	1751	1998-02-17	PRIJEM	VKLAD	1600	23855	\N	\N	\N
511817	1751	1998-03-14	PRIJEM	VKLAD	1600	29142	\N	\N	\N
511818	1751	1998-04-15	PRIJEM	VKLAD	1600	31393	\N	\N	\N
511819	1751	1998-05-14	PRIJEM	VKLAD	1600	33308	\N	\N	\N
511820	1751	1998-06-17	PRIJEM	VKLAD	1600	33681	\N	\N	\N
511821	1751	1998-07-13	PRIJEM	VKLAD	1600	30699	\N	\N	\N
511822	1751	1998-08-13	PRIJEM	VKLAD	1600	32206	\N	\N	\N
511823	1751	1998-09-13	PRIJEM	VKLAD	1600	29065	\N	\N	\N
511824	1751	1998-10-15	PRIJEM	VKLAD	1600	32618	\N	\N	\N
511825	1751	1998-11-17	PRIJEM	VKLAD	1600	43256	\N	\N	\N
511826	1751	1998-12-16	PRIJEM	VKLAD	1600	37611	\N	\N	\N
511828	1751	1997-06-17	VYDAJ	VYBER	9900	26425	\N	\N	\N
511829	1751	1998-06-09	VYDAJ	VYBER	14800	16925	\N	\N	\N
511831	1751	1997-01-18	VYDAJ	VYBER	8000	22680	\N	\N	\N
511832	1751	1998-01-14	VYDAJ	VYBER	1300	26506	\N	\N	\N
511837	1751	1997-12-11	VYDAJ	VYBER	1500	35370	\N	\N	\N
511838	1751	1998-12-11	VYDAJ	VYBER	2500	36011	\N	\N	\N
511847	1751	1997-01-26	VYDAJ	VYBER	850	20980	\N	\N	\N
511848	1751	1997-01-15	VYDAJ	VYBER	350	32030	\N	\N	\N
511849	1751	1997-01-18	VYDAJ	VYBER	850	21830	\N	\N	\N
511850	1751	1997-01-17	VYDAJ	VYBER	1350	30680	\N	\N	\N
511851	1751	1998-01-01	VYDAJ	VYBER	250	30156	\N	\N	\N
511852	1751	1998-01-02	VYDAJ	VYBER	1300	28856	\N	\N	\N
511853	1751	1998-01-16	VYDAJ	VYBER	1200	25306	\N	\N	\N
511854	1751	1998-01-23	VYDAJ	VYBER	700	26206	\N	\N	\N
511855	1751	1998-01-23	VYDAJ	VYBER	300	25906	\N	\N	\N
511856	1751	1998-01-08	VYDAJ	VYBER	1050	27806	\N	\N	\N
511863	1751	1997-07-15	VYDAJ	VYBER	1700	43168	\N	\N	\N
511864	1751	1997-09-22	VYDAJ	VYBER	1950	34703	\N	\N	\N
511865	1751	1997-07-31	VYDAJ	VYBER	950	42408	\N	\N	\N
511866	1751	1998-02-08	VYDAJ	VYBER	2100	24705	\N	\N	\N
511867	1751	1998-04-02	VYDAJ	VYBER	1050	29793	\N	\N	\N
511868	1751	1998-08-17	VYDAJ	VYBER	1900	30306	\N	\N	\N
511869	1751	1998-08-23	VYDAJ	VYBER	2150	28156	\N	\N	\N
511870	1751	1998-02-09	VYDAJ	VYBER	2450	22255	\N	\N	\N
511871	1751	1998-02-20	VYDAJ	VYBER	1100	22755	\N	\N	\N
511872	1751	1998-08-26	VYDAJ	VYBER	800	27356	\N	\N	\N
511873	1751	1998-09-30	VYDAJ	VYBER	450	31018	\N	\N	\N
511887	1751	1997-01-31	VYDAJ	VYBER	15	21068	SLUZBY	\N	\N
511888	1751	1997-02-28	VYDAJ	VYBER	15	29856	SLUZBY	\N	\N
511889	1751	1997-03-31	VYDAJ	VYBER	15	34678	SLUZBY	\N	\N
511890	1751	1997-04-30	VYDAJ	VYBER	15	33103	SLUZBY	\N	\N
511891	1751	1997-05-31	VYDAJ	VYBER	15	32225	SLUZBY	\N	\N
511892	1751	1997-06-30	VYDAJ	VYBER	15	49068	SLUZBY	\N	\N
511893	1751	1997-07-31	VYDAJ	VYBER	15	42393	SLUZBY	\N	\N
511894	1751	1997-08-31	VYDAJ	VYBER	15	35053	SLUZBY	\N	\N
511895	1751	1997-09-30	VYDAJ	VYBER	15	28832	SLUZBY	\N	\N
511896	1751	1997-10-31	VYDAJ	VYBER	15	24136	SLUZBY	\N	\N
511897	1751	1997-11-30	VYDAJ	VYBER	15	36870	SLUZBY	\N	\N
511898	1751	1997-12-31	VYDAJ	VYBER	15	30406	SLUZBY	\N	\N
511899	1751	1998-01-31	VYDAJ	VYBER	15	26805	SLUZBY	\N	\N
511900	1751	1998-02-28	VYDAJ	VYBER	15	27542	SLUZBY	\N	\N
511901	1751	1998-03-31	VYDAJ	VYBER	15	30843	SLUZBY	\N	\N
511902	1751	1998-04-30	VYDAJ	VYBER	15	31708	SLUZBY	\N	\N
511903	1751	1998-05-31	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
511904	1751	1998-06-30	VYDAJ	VYBER	15	29099	SLUZBY	\N	\N
511905	1751	1998-07-31	VYDAJ	VYBER	15	30606	SLUZBY	\N	\N
511906	1751	1998-08-31	VYDAJ	VYBER	15	27465	SLUZBY	\N	\N
511907	1751	1998-09-30	VYDAJ	VYBER	15	31468	SLUZBY	\N	\N
511908	1751	1998-10-31	VYDAJ	VYBER	15	41656	SLUZBY	\N	\N
511909	1751	1998-11-30	VYDAJ	VYBER	15	38511	SLUZBY	\N	\N
511910	1751	1996-11-03	PRIJEM	VKLAD	11800	16137	\N	\N	\N
511911	1751	1996-12-03	PRIJEM	VKLAD	6400	24185	\N	\N	\N
511912	1751	1997-01-02	PRIJEM	VKLAD	4900	30780	\N	\N	\N
511913	1751	1997-02-01	PRIJEM	VKLAD	7100	28168	\N	\N	\N
511914	1751	1997-03-03	PRIJEM	VKLAD	3100	32956	\N	\N	\N
511915	1751	1997-04-02	VYDAJ	VYBER	3300	31378	\N	\N	\N
511916	1751	1997-05-02	VYDAJ	VYBER	2600	30503	\N	\N	\N
511917	1751	1997-06-01	PRIJEM	VKLAD	2500	34725	\N	\N	\N
511918	1751	1997-07-01	VYDAJ	VYBER	5800	43268	\N	\N	\N
511919	1751	1997-07-31	VYDAJ	VYBER	4300	38093	\N	\N	\N
511920	1751	1997-08-30	VYDAJ	VYBER	4800	34893	\N	\N	\N
511921	1751	1997-09-29	VYDAJ	VYBER	6000	28703	\N	\N	\N
511922	1751	1997-10-29	VYDAJ	VYBER	6400	24032	\N	\N	\N
511923	1751	1997-11-28	VYDAJ	VYBER	16900	36726	\N	\N	\N
511924	1751	1997-12-28	VYDAJ	VYBER	6700	30270	\N	\N	\N
511925	1751	1998-01-27	PRIJEM	VKLAD	800	26706	\N	\N	\N
511926	1751	1998-02-26	PRIJEM	VKLAD	4700	27455	\N	\N	\N
511927	1751	1998-03-28	PRIJEM	VKLAD	1600	30742	\N	\N	\N
511928	1751	1998-04-27	PRIJEM	VKLAD	200	31593	\N	\N	\N
511929	1751	1998-05-27	VYDAJ	VYBER	1700	31608	\N	\N	\N
511930	1751	1998-06-26	VYDAJ	VYBER	4700	28981	\N	\N	\N
511931	1751	1998-07-26	VYDAJ	VYBER	200	30499	\N	\N	\N
511932	1751	1998-09-24	PRIJEM	VKLAD	2300	31365	\N	\N	\N
511933	1751	1998-10-24	PRIJEM	VKLAD	3200	35818	\N	\N	\N
511934	1751	1998-11-23	VYDAJ	VYBER	4900	38356	\N	\N	\N
511962	1752	1996-05-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
511967	1752	1996-05-14	PRIJEM	VKLAD	17102	18202	\N	\N	\N
511968	1752	1996-06-14	PRIJEM	VKLAD	25653	48099	\N	\N	\N
511969	1752	1996-07-14	PRIJEM	VKLAD	17102	50548	\N	\N	\N
511970	1752	1996-08-14	PRIJEM	VKLAD	17102	53956	\N	\N	\N
511971	1752	1996-09-14	PRIJEM	VKLAD	17102	58877	\N	\N	\N
511972	1752	1996-10-14	PRIJEM	VKLAD	17102	60901	\N	\N	\N
511973	1752	1996-11-14	PRIJEM	VKLAD	17102	61439	\N	\N	\N
511974	1752	1996-12-14	PRIJEM	VKLAD	25653	72292	\N	\N	\N
511975	1752	1997-01-14	PRIJEM	VKLAD	17102	68139	\N	\N	\N
511976	1752	1997-02-14	PRIJEM	VKLAD	17102	64094	\N	\N	\N
511977	1752	1997-03-14	PRIJEM	VKLAD	17102	64934	\N	\N	\N
511978	1752	1997-04-14	PRIJEM	VKLAD	17102	67791	\N	\N	\N
511979	1752	1997-05-14	PRIJEM	VKLAD	17102	64856	\N	\N	\N
511980	1752	1997-06-14	PRIJEM	VKLAD	25653	63470	\N	\N	\N
511981	1752	1997-07-14	PRIJEM	VKLAD	17102	61279	\N	\N	\N
511982	1752	1997-08-14	PRIJEM	VKLAD	17102	52946	\N	\N	\N
511983	1752	1997-09-14	PRIJEM	VKLAD	17102	47669	\N	\N	\N
511984	1752	1997-10-14	PRIJEM	VKLAD	17102	51286	\N	\N	\N
511985	1752	1997-11-14	PRIJEM	VKLAD	17102	55253	\N	\N	\N
511986	1752	1997-12-14	PRIJEM	VKLAD	25653	67550	\N	\N	\N
511987	1752	1998-01-14	PRIJEM	VKLAD	17102	58267	\N	\N	\N
511988	1752	1998-02-14	PRIJEM	VKLAD	17102	54582	\N	\N	\N
511989	1752	1998-03-14	PRIJEM	VKLAD	17102	58470	\N	\N	\N
511990	1752	1998-04-14	PRIJEM	VKLAD	17102	59129	\N	\N	\N
511991	1752	1998-05-14	PRIJEM	VKLAD	17102	62928	\N	\N	\N
511992	1752	1998-06-14	PRIJEM	VKLAD	25653	51938	\N	\N	\N
511993	1752	1998-07-14	PRIJEM	VKLAD	17102	56632	\N	\N	\N
511994	1752	1998-08-14	PRIJEM	VKLAD	17102	61601	\N	\N	\N
511995	1752	1998-09-14	PRIJEM	VKLAD	17102	64975	\N	\N	\N
511996	1752	1998-10-14	PRIJEM	VKLAD	17102	65861	\N	\N	\N
511997	1752	1998-11-14	PRIJEM	VKLAD	17102	64748	\N	\N	\N
511998	1752	1998-12-14	PRIJEM	VKLAD	25653	69845	\N	\N	\N
512000	1752	1997-06-01	VYDAJ	VYBER	13600	51517	\N	\N	\N
512001	1752	1998-06-07	VYDAJ	VYBER	24320	26285	\N	\N	\N
512002	1752	1996-12-18	VYDAJ	VYBER	1920	70372	\N	\N	\N
512003	1752	1997-12-17	VYDAJ	VYBER	4320	63230	\N	\N	\N
512004	1752	1998-12-04	VYDAJ	VYBER	4640	44192	\N	\N	\N
512011	1752	1997-01-26	VYDAJ	VYBER	1920	63579	\N	\N	\N
512012	1752	1997-01-17	VYDAJ	VYBER	2640	65499	\N	\N	\N
512013	1752	1997-01-01	VYDAJ	VYBER	2880	67737	\N	\N	\N
512014	1752	1997-01-28	VYDAJ	VYBER	3360	57819	\N	\N	\N
512015	1752	1997-01-27	VYDAJ	VYBER	2400	61179	\N	\N	\N
512016	1752	1997-01-29	VYDAJ	VYBER	1560	56259	\N	\N	\N
512017	1752	1998-01-10	VYDAJ	VYBER	720	42365	\N	\N	\N
512018	1752	1998-01-21	VYDAJ	VYBER	840	56227	\N	\N	\N
512019	1752	1998-01-29	VYDAJ	VYBER	1200	42927	\N	\N	\N
512020	1752	1998-01-17	VYDAJ	VYBER	1200	57067	\N	\N	\N
512021	1752	1998-01-12	VYDAJ	VYBER	1200	41165	\N	\N	\N
512022	1752	1998-01-06	VYDAJ	VYBER	2640	43085	\N	\N	\N
512024	1752	1996-12-04	VYDAJ	VYBER	3840	46639	\N	\N	\N
512025	1752	1997-09-13	VYDAJ	VYBER	4080	30567	\N	\N	\N
512026	1752	1997-08-09	VYDAJ	VYBER	5880	35844	\N	\N	\N
512027	1752	1997-09-24	VYDAJ	VYBER	4440	43229	\N	\N	\N
512028	1752	1998-07-20	VYDAJ	VYBER KARTOU	1600	55032	\N	\N	0
512029	1752	1998-02-05	VYDAJ	VYBER	5640	37480	\N	\N	\N
512030	1752	1998-06-28	VYDAJ	VYBER KARTOU	3800	39338	\N	\N	0
512031	1752	1998-04-05	VYDAJ	VYBER	1200	42027	\N	\N	\N
512041	1752	1996-09-30	VYDAJ	VYBER	15	59099	SLUZBY	\N	\N
512042	1752	1996-10-31	VYDAJ	VYBER	15	61137	SLUZBY	\N	\N
512043	1752	1996-11-30	VYDAJ	VYBER	15	61679	SLUZBY	\N	\N
512044	1752	1996-12-31	VYDAJ	VYBER	15	70617	SLUZBY	\N	\N
512045	1752	1997-01-31	VYDAJ	VYBER	15	56492	SLUZBY	\N	\N
512046	1752	1997-02-28	VYDAJ	VYBER	15	64332	SLUZBY	\N	\N
512047	1752	1997-03-31	VYDAJ	VYBER	15	65189	SLUZBY	\N	\N
512048	1752	1997-04-30	VYDAJ	VYBER	15	68054	SLUZBY	\N	\N
512049	1752	1997-05-31	VYDAJ	VYBER	15	65117	SLUZBY	\N	\N
512050	1752	1997-06-30	VYDAJ	VYBER	15	63677	SLUZBY	\N	\N
512051	1752	1997-07-31	VYDAJ	VYBER	15	61524	SLUZBY	\N	\N
512052	1752	1997-08-31	VYDAJ	VYBER	15	53147	SLUZBY	\N	\N
512053	1752	1997-09-30	VYDAJ	VYBER	15	43384	SLUZBY	\N	\N
512054	1752	1997-10-31	VYDAJ	VYBER	15	38151	SLUZBY	\N	\N
512055	1752	1997-11-30	VYDAJ	VYBER	15	41897	SLUZBY	\N	\N
512056	1752	1997-12-31	VYDAJ	VYBER	15	45725	SLUZBY	\N	\N
512057	1752	1998-01-31	VYDAJ	VYBER	15	43120	SLUZBY	\N	\N
512058	1752	1998-02-28	VYDAJ	VYBER	15	41368	SLUZBY	\N	\N
512059	1752	1998-03-31	VYDAJ	VYBER	15	43227	SLUZBY	\N	\N
512060	1752	1998-04-30	VYDAJ	VYBER	15	45826	SLUZBY	\N	\N
512061	1752	1998-05-31	VYDAJ	VYBER	15	50605	SLUZBY	\N	\N
512062	1752	1998-06-30	VYDAJ	VYBER	15	39530	SLUZBY	\N	\N
512063	1752	1998-07-31	VYDAJ	VYBER	15	44499	SLUZBY	\N	\N
512064	1752	1998-08-31	VYDAJ	VYBER	15	47873	SLUZBY	\N	\N
512065	1752	1998-09-30	VYDAJ	VYBER	15	48759	SLUZBY	\N	\N
512066	1752	1998-10-31	VYDAJ	VYBER	15	47646	SLUZBY	\N	\N
512067	1752	1998-11-30	VYDAJ	VYBER	15	48832	SLUZBY	\N	\N
512068	1752	1996-06-07	PRIJEM	VKLAD	4200	22446	\N	\N	\N
512069	1752	1996-07-07	VYDAJ	VYBER	14800	33446	\N	\N	\N
512070	1752	1996-08-06	VYDAJ	VYBER	13900	36854	\N	\N	\N
512071	1752	1996-09-05	VYDAJ	VYBER	12400	41775	\N	\N	\N
512072	1752	1996-10-05	VYDAJ	VYBER	15300	43799	\N	\N	\N
512073	1752	1996-11-04	VYDAJ	VYBER	16800	44337	\N	\N	\N
512074	1752	1996-12-04	VYDAJ	VYBER	11200	50479	\N	\N	\N
512075	1752	1997-01-03	VYDAJ	VYBER	16700	51037	\N	\N	\N
512076	1752	1997-02-02	VYDAJ	VYBER	9500	46992	\N	\N	\N
512077	1752	1997-03-04	VYDAJ	VYBER	16500	47832	\N	\N	\N
512078	1752	1997-04-03	VYDAJ	VYBER	14500	50689	\N	\N	\N
512079	1752	1997-05-03	VYDAJ	VYBER	20300	47754	\N	\N	\N
512080	1752	1997-06-02	VYDAJ	VYBER	13700	37817	\N	\N	\N
512081	1752	1997-07-02	VYDAJ	VYBER	19500	44177	\N	\N	\N
512082	1752	1997-08-01	VYDAJ	VYBER	19800	41724	\N	\N	\N
512083	1752	1997-08-31	VYDAJ	VYBER	18500	34647	\N	\N	\N
512084	1752	1997-09-30	VYDAJ	VYBER	9200	34184	\N	\N	\N
512085	1752	1997-10-30	VYDAJ	VYBER	13300	37986	\N	\N	\N
512086	1752	1997-11-29	VYDAJ	VYBER	13500	41753	\N	\N	\N
512087	1752	1997-12-29	VYDAJ	VYBER	17700	45530	\N	\N	\N
512088	1752	1998-01-28	VYDAJ	VYBER	12100	44127	\N	\N	\N
512089	1752	1998-02-27	VYDAJ	VYBER	13400	41182	\N	\N	\N
512090	1752	1998-03-29	VYDAJ	VYBER	15400	43070	\N	\N	\N
512091	1752	1998-04-28	VYDAJ	VYBER	13500	45629	\N	\N	\N
512092	1752	1998-05-28	VYDAJ	VYBER	12500	50428	\N	\N	\N
512093	1752	1998-06-27	VYDAJ	VYBER	8800	43138	\N	\N	\N
512094	1752	1998-07-27	VYDAJ	VYBER	10700	44332	\N	\N	\N
512095	1752	1998-08-26	VYDAJ	VYBER	13900	47701	\N	\N	\N
512096	1752	1998-09-25	VYDAJ	VYBER	16400	48575	\N	\N	\N
512097	1752	1998-10-25	VYDAJ	VYBER	18400	47461	\N	\N	\N
512098	1752	1998-11-24	VYDAJ	VYBER	16100	48648	\N	\N	\N
512131	1753	1997-06-14	PRIJEM	VKLAD	900	900	\N	\N	\N
512132	1753	1997-09-05	PRIJEM	VKLAD	18971	42771	\N	\N	\N
512133	1753	1997-09-15	PRIJEM	VKLAD	35455	72826	\N	\N	\N
512134	1753	1998-01-04	PRIJEM	VKLAD	46428	86342	\N	\N	\N
512135	1753	1998-07-21	PRIJEM	VKLAD	36777	91854	\N	\N	\N
512180	1753	1997-07-14	PRIJEM	VKLAD	13000	13900	\N	\N	\N
512181	1753	1997-08-13	PRIJEM	VKLAD	9900	23800	\N	\N	\N
512182	1753	1997-09-12	VYDAJ	VYBER	5400	37371	\N	\N	\N
512183	1753	1997-10-12	VYDAJ	VYBER	21700	51303	\N	\N	\N
512184	1753	1997-11-11	VYDAJ	VYBER	7000	44607	\N	\N	\N
512185	1753	1997-12-11	VYDAJ	VYBER	5300	39610	\N	\N	\N
512186	1753	1998-01-10	VYDAJ	VYBER	25500	60842	\N	\N	\N
512187	1753	1998-02-09	VYDAJ	VYBER	14000	47110	\N	\N	\N
512188	1753	1998-03-11	VYDAJ	VYBER	300	47063	\N	\N	\N
512189	1753	1998-04-10	VYDAJ	VYBER	1600	45717	\N	\N	\N
512190	1753	1998-05-10	PRIJEM	VKLAD	800	46770	\N	\N	\N
512191	1753	1998-06-09	PRIJEM	VKLAD	4500	51524	\N	\N	\N
512192	1753	1998-07-09	PRIJEM	VKLAD	3300	55077	\N	\N	\N
512193	1753	1998-08-08	VYDAJ	VYBER	21600	70554	\N	\N	\N
512194	1753	1998-09-07	VYDAJ	VYBER	10000	60936	\N	\N	\N
512195	1753	1998-10-07	VYDAJ	VYBER KARTOU	3800	57519	\N	\N	0
512196	1753	1998-11-06	VYDAJ	VYBER KARTOU	4900	53001	\N	\N	0
512197	1753	1998-12-06	VYDAJ	VYBER KARTOU	4500	48884	\N	\N	0
512213	1754	1996-12-01	PRIJEM	VKLAD	200	200	\N	\N	\N
512218	1754	1996-12-04	PRIJEM	VKLAD	38492	38692	\N	\N	\N
512226	1754	1996-12-05	PRIJEM	VKLAD	32332	71024	\N	\N	\N
512242	1754	1997-10-31	PRIJEM	VKLAD	5851	51068	\N	\N	\N
512243	1754	1997-04-08	PRIJEM	VKLAD	28291	95521	\N	\N	\N
512244	1754	1997-04-09	PRIJEM	VKLAD	7464	102985	\N	\N	\N
512245	1754	1997-09-18	PRIJEM	VKLAD	42393	140087	\N	\N	\N
512246	1754	1997-01-22	PRIJEM	VKLAD	40625	91509	\N	\N	\N
512247	1754	1997-07-29	PRIJEM	VKLAD	37030	124348	\N	\N	\N
512248	1754	1997-08-02	PRIJEM	VKLAD	48011	108955	\N	\N	\N
512249	1754	1997-06-05	PRIJEM	VKLAD	19410	54659	\N	\N	\N
512250	1754	1997-03-19	PRIJEM	VKLAD	32633	90576	\N	\N	\N
512251	1754	1997-08-26	PRIJEM	VKLAD	44777	107500	\N	\N	\N
512252	1754	1997-06-25	PRIJEM	VKLAD	24796	95245	\N	\N	\N
512253	1754	1997-04-04	PRIJEM	VKLAD	8983	67230	\N	\N	\N
512254	1754	1997-07-27	PRIJEM	VKLAD	15296	87318	\N	\N	\N
512255	1754	1997-12-12	PRIJEM	VKLAD	37318	105357	\N	\N	\N
512256	1754	1997-12-26	PRIJEM	VKLAD	34874	131831	\N	\N	\N
512257	1754	1997-06-20	PRIJEM	VKLAD	29590	70449	\N	\N	\N
512258	1754	1997-07-16	PRIJEM	VKLAD	19923	72022	\N	\N	\N
512259	1754	1997-03-05	PRIJEM	VKLAD	26451	75992	\N	\N	\N
512260	1754	1997-07-09	PRIJEM	VKLAD	49438	113499	\N	\N	\N
512261	1754	1997-11-06	PRIJEM	VKLAD	46976	98030	\N	\N	\N
512262	1754	1997-03-05	PRIJEM	VKLAD	8218	49541	\N	\N	\N
512263	1754	1997-10-21	PRIJEM	VKLAD	27491	77312	\N	\N	\N
512264	1754	1997-05-24	PRIJEM	VKLAD	26322	60137	\N	\N	\N
512265	1754	1997-03-13	PRIJEM	VKLAD	41651	117643	\N	\N	\N
512266	1754	1997-09-02	PRIJEM	VKLAD	29771	104594	\N	\N	\N
512267	1754	1997-08-05	PRIJEM	VKLAD	36768	111923	\N	\N	\N
512268	1754	1998-08-02	PRIJEM	VKLAD	18917	107164	\N	\N	\N
512269	1754	1998-04-28	PRIJEM	VKLAD	42241	99157	\N	\N	\N
512270	1754	1998-02-03	PRIJEM	VKLAD	43905	80003	\N	\N	\N
512271	1754	1998-09-13	PRIJEM	VKLAD	7170	73915	\N	\N	\N
512272	1754	1998-12-20	PRIJEM	VKLAD	43640	107884	\N	\N	\N
512273	1754	1998-11-24	PRIJEM	VKLAD	8152	70545	\N	\N	\N
512274	1754	1998-03-26	PRIJEM	VKLAD	37737	96591	\N	\N	\N
512275	1754	1998-08-02	PRIJEM	VKLAD	47332	88247	\N	\N	\N
512276	1754	1998-07-10	PRIJEM	VKLAD	6127	49041	\N	\N	\N
512277	1754	1998-03-29	PRIJEM	VKLAD	39713	113504	\N	\N	\N
512278	1754	1998-10-11	PRIJEM	VKLAD	44447	109921	\N	\N	\N
512290	1754	1997-04-29	VYBER	VYBER	5134	97851	\N	\N	\N
512291	1754	1997-10-30	VYBER	VYBER	3628	44943	\N	\N	\N
512292	1754	1997-10-22	VYBER	VYBER	19341	57971	\N	\N	\N
512294	1754	1997-10-07	VYBER	VYBER	22051	49821	\N	\N	\N
512295	1754	1998-06-15	VYBER	VYBER	23656	44691	\N	\N	\N
512296	1754	1998-03-29	VYBER	VYBER	4550	108954	\N	\N	\N
512297	1754	1998-12-20	VYBER	VYBER	13457	94427	\N	\N	\N
512298	1754	1998-12-23	VYBER	VYBER	7875	58852	\N	\N	\N
512300	1754	1997-06-06	VYDAJ	VYBER	13800	40859	\N	\N	\N
512304	1754	1998-01-09	VYDAJ	VYBER	14100	51413	\N	\N	\N
512306	1754	1997-12-24	VYDAJ	VYBER	8400	96957	\N	\N	\N
512307	1754	1998-12-10	VYDAJ	VYBER	6600	64244	\N	\N	\N
512320	1754	1998-01-12	VYDAJ	VYBER	7500	36113	\N	\N	\N
512321	1754	1998-01-12	VYDAJ	VYBER	5700	43613	\N	\N	\N
512322	1754	1998-01-03	VYDAJ	VYBER	1800	73913	\N	\N	\N
512323	1754	1998-01-21	VYDAJ	VYBER	5100	31013	\N	\N	\N
512324	1754	1998-01-10	VYDAJ	VYBER	2100	49313	\N	\N	\N
512325	1754	1998-01-06	VYDAJ	VYBER	8400	65513	\N	\N	\N
512331	1754	1997-09-02	VYDAJ	VYBER	6900	97694	\N	\N	\N
512332	1754	1997-07-14	VYDAJ	VYBER	11100	52099	\N	\N	\N
512333	1754	1997-06-02	VYDAJ	VYBER	9000	35249	\N	\N	\N
512334	1754	1997-07-11	VYDAJ	VYBER	14700	63199	\N	\N	\N
512335	1754	1997-05-17	VYDAJ	VYBER	13800	33815	\N	\N	\N
512336	1754	1997-05-07	VYDAJ	VYBER	14700	47615	\N	\N	\N
512337	1754	1998-08-29	VYDAJ	VYBER	10200	66364	\N	\N	\N
512338	1754	1998-07-30	VYDAJ	VYBER KARTOU	3300	40741	\N	\N	0
512339	1754	1998-06-28	VYDAJ	VYBER KARTOU	3600	42691	\N	\N	0
512340	1754	1998-07-24	VYDAJ	VYBER	14100	44041	\N	\N	\N
512341	1754	1998-06-13	VYDAJ	VYBER	3300	68347	\N	\N	\N
512357	1754	1997-03-31	VYDAJ	VYBER	15	90847	SLUZBY	\N	\N
512358	1754	1997-04-30	VYDAJ	VYBER	15	62315	SLUZBY	\N	\N
512359	1754	1997-05-31	VYDAJ	VYBER	15	44249	SLUZBY	\N	\N
512360	1754	1997-06-30	VYDAJ	VYBER	15	64061	SLUZBY	\N	\N
512361	1754	1997-07-31	VYDAJ	VYBER	15	60944	SLUZBY	\N	\N
512362	1754	1997-08-31	VYDAJ	VYBER	15	74823	SLUZBY	\N	\N
512363	1754	1997-09-30	VYDAJ	VYBER	15	71872	SLUZBY	\N	\N
512364	1754	1997-10-31	VYDAJ	VYBER	15	51054	SLUZBY	\N	\N
512365	1754	1997-11-30	VYDAJ	VYBER	15	68039	SLUZBY	\N	\N
512366	1754	1997-12-31	VYDAJ	VYBER	15	75713	SLUZBY	\N	\N
512367	1754	1998-01-31	VYDAJ	VYBER	15	36098	SLUZBY	\N	\N
512368	1754	1998-02-28	VYDAJ	VYBER	15	58854	SLUZBY	\N	\N
512369	1754	1998-03-31	VYDAJ	VYBER	15	72016	SLUZBY	\N	\N
512370	1754	1998-04-30	VYDAJ	VYBER	15	99452	SLUZBY	\N	\N
512371	1754	1998-05-31	VYDAJ	VYBER	15	71647	SLUZBY	\N	\N
512372	1754	1998-06-30	VYDAJ	VYBER	15	42914	SLUZBY	\N	\N
512373	1754	1998-07-31	VYDAJ	VYBER	15	40915	SLUZBY	\N	\N
512374	1754	1998-08-31	VYDAJ	VYBER	15	66745	SLUZBY	\N	\N
512375	1754	1998-09-30	VYDAJ	VYBER	15	65474	SLUZBY	\N	\N
512376	1754	1998-10-31	VYDAJ	VYBER	15	77393	SLUZBY	\N	\N
512377	1754	1998-11-30	VYDAJ	VYBER	15	70844	SLUZBY	\N	\N
512378	1754	1996-12-31	VYDAJ	VYBER	20400	50884	\N	\N	\N
512379	1754	1997-01-30	VYDAJ	VYBER	32800	58709	\N	\N	\N
512380	1754	1997-03-01	VYDAJ	VYBER	17600	41323	\N	\N	\N
512381	1754	1997-03-13	VYDAJ	VYBER	59700	57943	\N	\N	\N
512382	1754	1997-03-31	VYDAJ	VYBER	32600	58247	\N	\N	\N
512383	1754	1997-04-30	VYDAJ	VYBER	35900	62330	\N	\N	\N
512384	1754	1997-05-30	VYDAJ	VYBER	16100	44037	\N	\N	\N
512385	1754	1997-06-29	VYDAJ	VYBER	31400	63845	\N	\N	\N
512386	1754	1997-07-09	VYDAJ	VYBER	35600	77899	\N	\N	\N
512387	1754	1997-07-29	VYDAJ	VYBER	38000	60648	\N	\N	\N
512388	1754	1997-07-29	VYDAJ	VYBER	25700	98648	\N	\N	\N
512389	1754	1997-08-02	VYDAJ	VYBER	33800	75155	\N	\N	\N
512390	1754	1997-08-05	VYDAJ	VYBER	49200	62723	\N	\N	\N
512391	1754	1997-08-28	VYDAJ	VYBER	33100	74400	\N	\N	\N
512392	1754	1997-09-18	VYDAJ	VYBER	33300	106787	\N	\N	\N
512393	1754	1997-09-27	VYDAJ	VYBER	35300	71487	\N	\N	\N
512394	1754	1997-10-27	VYDAJ	VYBER	9400	48571	\N	\N	\N
512395	1754	1997-11-26	VYDAJ	VYBER	30200	67830	\N	\N	\N
512396	1754	1997-12-26	VYDAJ	VYBER	19000	75431	\N	\N	\N
512397	1754	1997-12-26	VYDAJ	VYBER	37400	94431	\N	\N	\N
512398	1754	1998-01-25	PRIJEM	VKLAD	4900	35913	\N	\N	\N
512399	1754	1998-02-24	VYDAJ	VYBER	21300	58703	\N	\N	\N
512400	1754	1998-03-26	VYDAJ	VYBER	22800	73791	\N	\N	\N
512401	1754	1998-03-29	VYDAJ	VYBER	37200	71754	\N	\N	\N
512402	1754	1998-04-25	VYDAJ	VYBER	15100	56916	\N	\N	\N
512403	1754	1998-05-25	VYDAJ	VYBER	28200	71252	\N	\N	\N
512404	1754	1998-06-24	PRIJEM	VKLAD	1600	46291	\N	\N	\N
512405	1754	1998-07-24	PRIJEM	VKLAD	9100	58141	\N	\N	\N
512406	1754	1998-08-23	VYDAJ	VYBER	30600	76564	\N	\N	\N
512407	1754	1998-09-22	VYDAJ	VYBER	8700	65215	\N	\N	\N
512408	1754	1998-10-22	VYDAJ	VYBER	32800	77121	\N	\N	\N
512409	1754	1998-11-21	VYDAJ	VYBER	15000	62393	\N	\N	\N
512410	1754	1998-12-21	VYDAJ	VYBER	27700	66727	\N	\N	\N
513153	1756	1995-10-26	PRIJEM	VKLAD	900	900	\N	\N	\N
513164	1756	1995-11-11	PRIJEM	VKLAD	18391	19291	\N	\N	\N
513165	1756	1995-12-11	PRIJEM	VKLAD	27586	51497	\N	\N	\N
513166	1756	1996-01-11	PRIJEM	VKLAD	18391	56901	\N	\N	\N
513167	1756	1996-02-11	PRIJEM	VKLAD	18391	59455	\N	\N	\N
513168	1756	1996-03-11	PRIJEM	VKLAD	18391	58916	\N	\N	\N
513169	1756	1996-04-11	PRIJEM	VKLAD	18391	54655	\N	\N	\N
513170	1756	1996-05-11	PRIJEM	VKLAD	18391	49921	\N	\N	\N
513171	1756	1996-06-11	PRIJEM	VKLAD	27586	65470	\N	\N	\N
513172	1756	1996-07-11	PRIJEM	VKLAD	18391	50434	\N	\N	\N
513173	1756	1996-08-11	PRIJEM	VKLAD	18391	55988	\N	\N	\N
513174	1756	1996-09-11	PRIJEM	VKLAD	18391	58761	\N	\N	\N
513175	1756	1996-10-11	PRIJEM	VKLAD	18391	64047	\N	\N	\N
513176	1756	1996-11-11	PRIJEM	VKLAD	18391	64548	\N	\N	\N
513177	1756	1996-12-11	PRIJEM	VKLAD	27586	70342	\N	\N	\N
513178	1756	1997-01-11	PRIJEM	VKLAD	18391	64343	\N	\N	\N
513179	1756	1997-02-11	PRIJEM	VKLAD	18391	58536	\N	\N	\N
513180	1756	1997-03-11	PRIJEM	VKLAD	18391	61314	\N	\N	\N
513181	1756	1997-04-11	PRIJEM	VKLAD	18391	65907	\N	\N	\N
513182	1756	1997-05-11	PRIJEM	VKLAD	18391	72523	\N	\N	\N
513183	1756	1997-06-11	PRIJEM	VKLAD	27586	80047	\N	\N	\N
513184	1756	1997-07-11	PRIJEM	VKLAD	18391	69084	\N	\N	\N
513185	1756	1997-08-11	PRIJEM	VKLAD	18391	68598	\N	\N	\N
513186	1756	1997-09-11	PRIJEM	VKLAD	18391	67809	\N	\N	\N
513187	1756	1997-10-11	PRIJEM	VKLAD	18391	64715	\N	\N	\N
513188	1756	1997-11-11	PRIJEM	VKLAD	18391	59908	\N	\N	\N
513189	1756	1997-12-11	PRIJEM	VKLAD	27586	66369	\N	\N	\N
513190	1756	1998-01-11	PRIJEM	VKLAD	18391	56645	\N	\N	\N
513191	1756	1998-02-11	PRIJEM	VKLAD	18391	55116	\N	\N	\N
513192	1756	1998-03-11	PRIJEM	VKLAD	18391	64492	\N	\N	\N
513193	1756	1998-04-11	PRIJEM	VKLAD	18391	66189	\N	\N	\N
513194	1756	1998-05-11	PRIJEM	VKLAD	18391	66184	\N	\N	\N
513195	1756	1998-06-11	PRIJEM	VKLAD	27586	80287	\N	\N	\N
513196	1756	1998-07-11	PRIJEM	VKLAD	18391	69905	\N	\N	\N
513197	1756	1998-08-11	PRIJEM	VKLAD	18391	72622	\N	\N	\N
513198	1756	1998-09-11	PRIJEM	VKLAD	18391	68774	\N	\N	\N
513199	1756	1998-10-11	PRIJEM	VKLAD	18391	72112	\N	\N	\N
513200	1756	1998-11-11	PRIJEM	VKLAD	18391	72374	\N	\N	\N
513201	1756	1998-12-11	PRIJEM	VKLAD	27586	83231	\N	\N	\N
513217	1756	1996-04-08	VYDAJ	PREVOD NA UCET	6307	36264	SIPO	GH	88401656
513218	1756	1996-05-08	VYDAJ	PREVOD NA UCET	6307	31530	SIPO	GH	88401656
513219	1756	1996-06-08	VYDAJ	PREVOD NA UCET	6307	37884	SIPO	GH	88401656
513220	1756	1996-07-08	VYDAJ	PREVOD NA UCET	6307	32043	SIPO	GH	88401656
513221	1756	1996-08-08	VYDAJ	PREVOD NA UCET	6307	37597	SIPO	GH	88401656
513222	1756	1996-09-08	VYDAJ	PREVOD NA UCET	6307	40370	SIPO	GH	88401656
513223	1756	1996-10-08	VYDAJ	PREVOD NA UCET	6307	45656	SIPO	GH	88401656
513224	1756	1996-11-08	VYDAJ	PREVOD NA UCET	6307	46157	SIPO	GH	88401656
513225	1756	1996-12-08	VYDAJ	PREVOD NA UCET	6307	42756	SIPO	GH	88401656
513226	1756	1997-01-08	VYDAJ	PREVOD NA UCET	6307	45952	SIPO	GH	88401656
513227	1756	1997-02-08	VYDAJ	PREVOD NA UCET	6307	40145	SIPO	GH	88401656
513228	1756	1997-03-08	VYDAJ	PREVOD NA UCET	6307	42923	SIPO	GH	88401656
513229	1756	1997-04-08	VYDAJ	PREVOD NA UCET	6307	47516	SIPO	GH	88401656
513230	1756	1997-05-08	VYDAJ	PREVOD NA UCET	6307	54132	SIPO	GH	88401656
513231	1756	1997-06-08	VYDAJ	PREVOD NA UCET	6307	52461	SIPO	GH	88401656
513232	1756	1997-07-08	VYDAJ	PREVOD NA UCET	6307	50693	SIPO	GH	88401656
513233	1756	1997-08-08	VYDAJ	PREVOD NA UCET	6307	50207	SIPO	GH	88401656
513234	1756	1997-09-08	VYDAJ	PREVOD NA UCET	6307	49418	SIPO	GH	88401656
513235	1756	1997-10-08	VYDAJ	PREVOD NA UCET	6307	48924	SIPO	GH	88401656
513236	1756	1997-11-08	VYDAJ	PREVOD NA UCET	6307	41517	SIPO	GH	88401656
513237	1756	1997-12-08	VYDAJ	PREVOD NA UCET	6307	38783	SIPO	GH	88401656
513238	1756	1998-01-08	VYDAJ	PREVOD NA UCET	6307	38254	SIPO	GH	88401656
513239	1756	1998-02-08	VYDAJ	PREVOD NA UCET	6307	41625	SIPO	GH	88401656
513240	1756	1998-03-08	VYDAJ	PREVOD NA UCET	6307	46101	SIPO	GH	88401656
513241	1756	1998-04-08	VYDAJ	PREVOD NA UCET	6307	47798	SIPO	GH	88401656
513242	1756	1998-05-08	VYDAJ	PREVOD NA UCET	6307	47793	SIPO	GH	88401656
513243	1756	1998-06-08	VYDAJ	PREVOD NA UCET	6307	52701	SIPO	GH	88401656
513244	1756	1998-07-08	VYDAJ	PREVOD NA UCET	6307	51514	SIPO	GH	88401656
513245	1756	1998-08-08	VYDAJ	PREVOD NA UCET	6307	54231	SIPO	GH	88401656
513246	1756	1998-09-08	VYDAJ	PREVOD NA UCET	6307	52083	SIPO	GH	88401656
513247	1756	1998-10-08	VYDAJ	PREVOD NA UCET	6307	62721	SIPO	GH	88401656
513248	1756	1998-11-08	VYDAJ	PREVOD NA UCET	6307	63783	SIPO	GH	88401656
513249	1756	1998-12-08	VYDAJ	PREVOD NA UCET	6307	66345	SIPO	GH	88401656
513251	1756	1996-06-18	VYDAJ	VYBER	25900	39570	\N	\N	\N
513252	1756	1997-06-28	VYDAJ	VYBER	6200	56747	\N	\N	\N
513253	1756	1998-06-16	VYDAJ	VYBER	7800	57587	\N	\N	\N
513255	1756	1996-12-07	VYDAJ	VYBER	2100	49063	\N	\N	\N
513256	1756	1997-12-28	VYDAJ	VYBER	1100	49269	\N	\N	\N
513257	1756	1998-12-22	VYDAJ	VYBER KARTOU	2600	79231	\N	\N	0
513270	1756	1997-01-30	VYDAJ	VYBER	1200	46243	\N	\N	\N
513271	1756	1997-01-17	VYDAJ	VYBER	1400	62943	\N	\N	\N
513272	1756	1997-01-28	VYDAJ	VYBER	2400	47443	\N	\N	\N
513273	1756	1997-01-18	VYDAJ	VYBER	2100	50643	\N	\N	\N
513274	1756	1997-01-20	VYDAJ	VYBER	800	49843	\N	\N	\N
513275	1756	1997-01-18	VYDAJ	VYBER	700	62243	\N	\N	\N
513276	1756	1998-01-06	VYDAJ	VYBER	1600	47261	\N	\N	\N
513277	1756	1998-01-23	VYDAJ	VYBER	1600	47745	\N	\N	\N
513278	1756	1998-01-17	VYDAJ	VYBER	1300	49345	\N	\N	\N
513279	1756	1998-01-15	VYDAJ	VYBER	1700	50645	\N	\N	\N
513280	1756	1998-01-04	VYDAJ	VYBER	600	48861	\N	\N	\N
513281	1756	1998-01-06	VYDAJ	VYBER	2700	44561	\N	\N	\N
513289	1756	1996-04-13	VYDAJ	VYBER	600	54055	\N	\N	\N
513290	1756	1996-04-30	VYDAJ	VYBER	4900	37837	\N	\N	\N
513292	1756	1997-10-10	VYDAJ	VYBER	2600	46324	\N	\N	\N
513293	1756	1997-12-13	VYDAJ	VYBER	4100	62269	\N	\N	\N
513294	1756	1997-03-14	VYDAJ	VYBER	3400	57914	\N	\N	\N
513295	1756	1997-10-28	VYDAJ	VYBER	4400	47615	\N	\N	\N
513296	1756	1998-11-07	VYDAJ	VYBER KARTOU	1500	70090	\N	\N	0
513297	1756	1998-04-05	VYDAJ	VYBER	800	54105	\N	\N	\N
513298	1756	1998-11-01	VYDAJ	VYBER	800	71590	\N	\N	\N
513299	1756	1998-02-09	VYDAJ	VYBER	4900	36725	\N	\N	\N
513300	1756	1998-12-16	VYDAJ	VYBER KARTOU	1400	81831	\N	\N	0
513316	1756	1996-03-31	VYDAJ	VYBER	15	42571	SLUZBY	\N	\N
513317	1756	1996-04-30	VYDAJ	VYBER	15	42737	SLUZBY	\N	\N
513318	1756	1996-05-31	VYDAJ	VYBER	15	44191	SLUZBY	\N	\N
513319	1756	1996-06-30	VYDAJ	VYBER	15	38350	SLUZBY	\N	\N
513320	1756	1996-07-31	VYDAJ	VYBER	15	43904	SLUZBY	\N	\N
513321	1756	1996-08-31	VYDAJ	VYBER	15	46677	SLUZBY	\N	\N
513322	1756	1996-09-30	VYDAJ	VYBER	15	51963	SLUZBY	\N	\N
513323	1756	1996-10-31	VYDAJ	VYBER	15	52464	SLUZBY	\N	\N
513324	1756	1996-11-30	VYDAJ	VYBER	15	51163	SLUZBY	\N	\N
513325	1756	1996-12-31	VYDAJ	VYBER	15	52259	SLUZBY	\N	\N
513326	1756	1997-01-31	VYDAJ	VYBER	15	46452	SLUZBY	\N	\N
513327	1756	1997-02-28	VYDAJ	VYBER	15	49230	SLUZBY	\N	\N
513328	1756	1997-03-31	VYDAJ	VYBER	15	53823	SLUZBY	\N	\N
513329	1756	1997-04-30	VYDAJ	VYBER	15	60439	SLUZBY	\N	\N
513330	1756	1997-05-31	VYDAJ	VYBER	15	58768	SLUZBY	\N	\N
513331	1756	1997-06-30	VYDAJ	VYBER	15	57000	SLUZBY	\N	\N
513332	1756	1997-07-31	VYDAJ	VYBER	15	56514	SLUZBY	\N	\N
513333	1756	1997-08-31	VYDAJ	VYBER	15	55725	SLUZBY	\N	\N
513334	1756	1997-09-30	VYDAJ	VYBER	15	55231	SLUZBY	\N	\N
513335	1756	1997-10-31	VYDAJ	VYBER	15	47824	SLUZBY	\N	\N
513336	1756	1997-11-30	VYDAJ	VYBER	15	45090	SLUZBY	\N	\N
513337	1756	1997-12-31	VYDAJ	VYBER	15	49461	SLUZBY	\N	\N
513338	1756	1998-01-31	VYDAJ	VYBER	15	47932	SLUZBY	\N	\N
513339	1756	1998-02-28	VYDAJ	VYBER	15	52408	SLUZBY	\N	\N
513340	1756	1998-03-31	VYDAJ	VYBER	15	54905	SLUZBY	\N	\N
513341	1756	1998-04-30	VYDAJ	VYBER	15	54100	SLUZBY	\N	\N
513342	1756	1998-05-31	VYDAJ	VYBER	15	59008	SLUZBY	\N	\N
513343	1756	1998-06-30	VYDAJ	VYBER	15	57821	SLUZBY	\N	\N
513344	1756	1998-07-31	VYDAJ	VYBER	15	60538	SLUZBY	\N	\N
513345	1756	1998-08-31	VYDAJ	VYBER	15	58390	SLUZBY	\N	\N
513346	1756	1998-09-30	VYDAJ	VYBER	15	69028	SLUZBY	\N	\N
513347	1756	1998-10-31	VYDAJ	VYBER	15	72390	SLUZBY	\N	\N
513348	1756	1998-11-30	VYDAJ	VYBER	15	72652	SLUZBY	\N	\N
513349	1756	1995-11-25	PRIJEM	VKLAD	4600	23891	\N	\N	\N
513350	1756	1995-12-25	VYDAJ	VYBER	13100	38397	\N	\N	\N
513351	1756	1996-01-24	VYDAJ	VYBER	16000	40901	\N	\N	\N
513352	1756	1996-02-23	VYDAJ	VYBER	19100	40355	\N	\N	\N
513353	1756	1996-03-24	VYDAJ	VYBER	16500	42416	\N	\N	\N
513354	1756	1996-04-23	VYDAJ	VYBER	11500	42555	\N	\N	\N
513355	1756	1996-05-23	VYDAJ	VYBER	5900	44021	\N	\N	\N
513356	1756	1996-06-22	VYDAJ	VYBER	1400	38170	\N	\N	\N
513357	1756	1996-07-22	VYDAJ	VYBER	6700	43734	\N	\N	\N
513358	1756	1996-08-21	VYDAJ	VYBER	9500	46488	\N	\N	\N
513359	1756	1996-09-20	VYDAJ	VYBER	7000	51761	\N	\N	\N
513360	1756	1996-10-20	VYDAJ	VYBER	11800	52247	\N	\N	\N
513361	1756	1996-11-19	VYDAJ	VYBER	13600	50948	\N	\N	\N
513362	1756	1996-12-19	VYDAJ	VYBER	18300	52042	\N	\N	\N
513363	1756	1997-01-18	VYDAJ	VYBER	9500	52743	\N	\N	\N
513364	1756	1997-02-17	VYDAJ	VYBER	9500	49036	\N	\N	\N
513365	1756	1997-03-19	VYDAJ	VYBER	4300	53614	\N	\N	\N
513366	1756	1997-04-18	VYDAJ	VYBER	5700	60207	\N	\N	\N
513367	1756	1997-05-18	VYDAJ	VYBER	14000	58523	\N	\N	\N
513368	1756	1997-06-17	VYDAJ	VYBER	17100	62947	\N	\N	\N
513369	1756	1997-07-17	VYDAJ	VYBER	12800	56284	\N	\N	\N
513370	1756	1997-08-16	VYDAJ	VYBER	13100	55498	\N	\N	\N
513371	1756	1997-09-15	VYDAJ	VYBER	12800	55009	\N	\N	\N
513372	1756	1997-10-15	VYDAJ	VYBER	12700	52015	\N	\N	\N
513373	1756	1997-11-14	VYDAJ	VYBER	15000	44908	\N	\N	\N
513374	1756	1997-12-14	VYDAJ	VYBER	11900	50369	\N	\N	\N
513375	1756	1998-01-13	VYDAJ	VYBER	4300	52345	\N	\N	\N
513376	1756	1998-02-12	VYDAJ	VYBER	2900	52216	\N	\N	\N
513377	1756	1998-03-14	VYDAJ	VYBER	9800	54692	\N	\N	\N
513378	1756	1998-04-13	VYDAJ	VYBER	12300	53889	\N	\N	\N
513379	1756	1998-05-13	VYDAJ	VYBER	7400	58784	\N	\N	\N
513380	1756	1998-06-12	VYDAJ	VYBER	14900	65387	\N	\N	\N
513381	1756	1998-07-12	VYDAJ	VYBER	9600	60305	\N	\N	\N
513382	1756	1998-08-11	VYDAJ	VYBER	14500	58122	\N	\N	\N
513383	1756	1998-09-10	VYDAJ	VYBER	1700	50383	\N	\N	\N
513384	1756	1998-10-10	VYDAJ	VYBER	9000	53721	\N	\N	\N
513385	1756	1998-11-09	VYDAJ	VYBER	9800	53983	\N	\N	\N
513386	1756	1998-12-09	VYDAJ	VYBER	10700	55645	\N	\N	\N
513425	1757	1995-03-27	PRIJEM	VKLAD	200	200	\N	\N	\N
513429	1757	1995-04-08	PRIJEM	PREVOD Z UCTU	44101	44301	\N	UV	36027544
513430	1757	1995-05-08	PRIJEM	PREVOD Z UCTU	44101	81128	\N	UV	36027544
513431	1757	1995-06-08	PRIJEM	PREVOD Z UCTU	66152	119047	\N	UV	36027544
513432	1757	1995-07-08	PRIJEM	PREVOD Z UCTU	44101	94128	\N	UV	36027544
513433	1757	1995-08-08	PRIJEM	PREVOD Z UCTU	44101	103345	\N	UV	36027544
513434	1757	1995-09-08	PRIJEM	PREVOD Z UCTU	44101	101079	\N	UV	36027544
513435	1757	1995-10-08	PRIJEM	PREVOD Z UCTU	44101	108311	\N	UV	36027544
513436	1757	1995-11-08	PRIJEM	PREVOD Z UCTU	44101	92241	\N	UV	36027544
513437	1757	1995-12-08	PRIJEM	PREVOD Z UCTU	66152	122449	\N	UV	36027544
513438	1757	1996-01-08	PRIJEM	PREVOD Z UCTU	44101	69461	\N	UV	36027544
513439	1757	1996-02-08	PRIJEM	PREVOD Z UCTU	44101	68834	\N	UV	36027544
513440	1757	1996-03-08	PRIJEM	PREVOD Z UCTU	44101	82352	\N	UV	36027544
513441	1757	1996-04-08	PRIJEM	PREVOD Z UCTU	44101	94815	\N	UV	36027544
513442	1757	1996-05-08	PRIJEM	PREVOD Z UCTU	44101	105929	\N	UV	36027544
513443	1757	1996-06-08	PRIJEM	PREVOD Z UCTU	66152	92234	\N	UV	36027544
513444	1757	1996-07-08	PRIJEM	PREVOD Z UCTU	44101	106832	\N	UV	36027544
513445	1757	1996-08-08	PRIJEM	PREVOD Z UCTU	44101	83115	\N	UV	36027544
513446	1757	1996-09-08	PRIJEM	PREVOD Z UCTU	44101	99431	\N	UV	36027544
513447	1757	1996-10-08	PRIJEM	PREVOD Z UCTU	44101	103158	\N	UV	36027544
513448	1757	1996-11-08	PRIJEM	PREVOD Z UCTU	44101	78898	\N	UV	36027544
513449	1757	1996-12-08	PRIJEM	PREVOD Z UCTU	66152	115075	\N	UV	36027544
513450	1757	1997-01-08	PRIJEM	PREVOD Z UCTU	44101	84323	\N	UV	36027544
513451	1757	1997-02-08	PRIJEM	PREVOD Z UCTU	44101	72407	\N	UV	36027544
513452	1757	1997-03-08	PRIJEM	PREVOD Z UCTU	44101	90952	\N	UV	36027544
513453	1757	1997-04-08	PRIJEM	PREVOD Z UCTU	44101	100653	\N	UV	36027544
513454	1757	1997-05-08	PRIJEM	PREVOD Z UCTU	44101	100083	\N	UV	36027544
513455	1757	1997-06-08	PRIJEM	PREVOD Z UCTU	66152	131906	\N	UV	36027544
513456	1757	1997-07-08	PRIJEM	PREVOD Z UCTU	44101	70906	\N	UV	36027544
513457	1757	1997-08-08	PRIJEM	PREVOD Z UCTU	44101	69252	\N	UV	36027544
513458	1757	1997-09-08	PRIJEM	PREVOD Z UCTU	44101	99763	\N	UV	36027544
513459	1757	1997-10-08	PRIJEM	PREVOD Z UCTU	44101	86554	\N	UV	36027544
513460	1757	1997-11-08	PRIJEM	PREVOD Z UCTU	44101	84359	\N	UV	36027544
513461	1757	1997-12-08	PRIJEM	PREVOD Z UCTU	66152	122089	\N	UV	36027544
513462	1757	1998-01-08	PRIJEM	PREVOD Z UCTU	44101	87862	\N	UV	36027544
513581	1757	1997-07-31	VYDAJ	VYBER	15	39251	SLUZBY	\N	\N
513463	1757	1998-02-08	PRIJEM	PREVOD Z UCTU	44101	68634	\N	UV	36027544
513464	1757	1998-03-08	PRIJEM	PREVOD Z UCTU	44101	70619	\N	UV	36027544
513465	1757	1998-04-08	PRIJEM	PREVOD Z UCTU	44101	88381	\N	UV	36027544
513466	1757	1998-05-08	PRIJEM	PREVOD Z UCTU	44101	81106	\N	UV	36027544
513467	1757	1998-06-08	PRIJEM	PREVOD Z UCTU	66152	126764	\N	UV	36027544
513468	1757	1998-07-08	PRIJEM	PREVOD Z UCTU	44101	96986	\N	UV	36027544
513469	1757	1998-08-08	PRIJEM	PREVOD Z UCTU	44101	81960	\N	UV	36027544
513470	1757	1998-09-08	PRIJEM	PREVOD Z UCTU	44101	77206	\N	UV	36027544
513471	1757	1998-10-08	PRIJEM	PREVOD Z UCTU	44101	98878	\N	UV	36027544
513472	1757	1998-11-08	PRIJEM	PREVOD Z UCTU	44101	106150	\N	UV	36027544
513473	1757	1998-12-08	PRIJEM	PREVOD Z UCTU	66152	121852	\N	UV	36027544
513475	1757	1996-11-01	VYBER	VYBER	18285	34797	\N	\N	\N
513476	1757	1997-10-02	VYBER	VYBER	24355	42453	\N	\N	\N
513477	1757	1997-12-18	VYBER	VYBER	2939	53150	\N	\N	\N
513478	1757	1997-10-13	VYBER	VYBER	19800	40054	\N	\N	\N
513480	1757	1997-11-26	VYBER	VYBER	5829	55730	\N	\N	\N
513482	1757	1998-10-09	VYBER	VYBER	5088	93790	\N	\N	\N
513483	1757	1998-04-16	VYBER	VYBER	22860	36821	\N	\N	\N
513484	1757	1998-11-16	VYBER	VYBER	24312	81838	\N	\N	\N
513485	1757	1998-12-16	VYBER	VYBER	2364	59288	\N	\N	\N
513486	1757	1998-07-24	VYBER	VYBER	7240	37683	\N	\N	\N
513487	1757	1998-02-15	VYBER	VYBER	21227	26407	\N	\N	\N
513488	1757	1998-01-09	VYBER	VYBER	4607	58281	\N	\N	\N
513491	1757	1998-01-08	VYBER	VYBER	24974	62888	\N	\N	\N
513492	1757	1998-07-11	VYBER	VYBER	19663	44923	\N	\N	\N
513493	1757	1998-08-08	VYBER	VYBER	23461	58499	\N	\N	\N
513495	1757	1996-06-04	VYDAJ	VYBER	42600	26082	\N	\N	\N
513496	1757	1997-06-17	VYDAJ	VYBER	32700	26606	\N	\N	\N
513499	1757	1996-01-21	VYDAJ	VYBER	11400	34461	\N	\N	\N
513500	1757	1997-01-12	VYDAJ	VYBER	14400	69923	\N	\N	\N
513502	1757	1995-12-25	VYDAJ	VYBER	3600	30249	\N	\N	\N
513503	1757	1996-12-23	VYDAJ	VYBER	6000	50475	\N	\N	\N
513504	1757	1997-12-19	VYDAJ	VYBER	5100	48050	\N	\N	\N
513505	1757	1998-12-27	VYDAJ	VYBER	4800	54488	\N	\N	\N
513512	1757	1996-01-18	VYDAJ	VYBER	5100	56261	\N	\N	\N
513513	1757	1996-01-29	VYDAJ	VYBER	8400	24561	\N	\N	\N
513514	1757	1996-01-04	VYDAJ	VYBER	5100	25360	\N	\N	\N
513515	1757	1996-01-28	VYDAJ	VYBER	1500	32961	\N	\N	\N
513516	1757	1996-01-14	VYDAJ	VYBER	3300	61361	\N	\N	\N
513517	1757	1996-01-08	VYDAJ	VYBER	4800	64661	\N	\N	\N
513518	1757	1997-01-23	VYDAJ	VYBER	4200	33823	\N	\N	\N
513519	1757	1997-01-01	VYDAJ	VYBER	7200	40222	\N	\N	\N
513520	1757	1997-01-01	VYDAJ	VYBER	3300	47422	\N	\N	\N
513521	1757	1997-01-27	VYDAJ	VYBER	5700	28123	\N	\N	\N
513523	1757	1997-01-17	VYDAJ	VYBER	7800	38023	\N	\N	\N
513524	1757	1998-01-13	VYDAJ	VYBER	8700	38181	\N	\N	\N
513525	1757	1998-01-01	VYDAJ	VYBER	4500	43761	\N	\N	\N
513526	1757	1998-01-29	VYDAJ	VYBER	4200	24381	\N	\N	\N
513527	1757	1998-01-13	VYDAJ	VYBER	6900	31281	\N	\N	\N
513528	1757	1998-01-23	VYDAJ	VYBER	2700	28581	\N	\N	\N
513531	1757	1995-11-09	VYDAJ	VYBER	11100	81141	\N	\N	\N
513532	1757	1995-08-27	VYDAJ	VYBER	10800	56745	\N	\N	\N
513533	1757	1995-12-24	VYDAJ	VYBER	12900	33849	\N	\N	\N
513536	1757	1995-10-28	VYDAJ	VYBER	11100	47811	\N	\N	\N
513537	1757	1996-09-26	VYDAJ	VYBER	3300	58831	\N	\N	\N
513538	1757	1996-10-21	VYDAJ	VYBER	9000	52858	\N	\N	\N
513539	1757	1996-02-18	VYDAJ	VYBER	13800	55034	\N	\N	\N
513540	1757	1996-08-11	VYDAJ	VYBER	4800	78315	\N	\N	\N
513541	1757	1997-08-07	VYDAJ	VYBER	14100	25151	\N	\N	\N
513542	1757	1997-07-12	VYDAJ	VYBER	14400	56506	\N	\N	\N
513543	1757	1997-04-25	VYDAJ	VYBER	7500	55753	\N	\N	\N
513544	1757	1997-07-29	VYDAJ	VYBER	5700	39106	\N	\N	\N
513545	1757	1997-05-09	VYDAJ	VYBER	5400	94683	\N	\N	\N
513546	1757	1998-12-15	VYDAJ	VYBER	5400	61652	\N	\N	\N
513547	1757	1998-04-06	VYDAJ	VYBER	6300	44280	\N	\N	\N
513548	1757	1998-12-29	VYDAJ	VYBER	9900	44588	\N	\N	\N
513549	1757	1998-12-12	VYDAJ	VYBER	9000	67052	\N	\N	\N
513558	1757	1995-08-31	VYDAJ	VYBER	15	56978	SLUZBY	\N	\N
513559	1757	1995-09-30	VYDAJ	VYBER	15	64210	SLUZBY	\N	\N
513560	1757	1995-10-31	VYDAJ	VYBER	15	48140	SLUZBY	\N	\N
513561	1757	1995-11-30	VYDAJ	VYBER	15	56297	SLUZBY	\N	\N
513562	1757	1995-12-31	VYDAJ	VYBER	15	30460	SLUZBY	\N	\N
513563	1757	1996-01-31	VYDAJ	VYBER	15	24733	SLUZBY	\N	\N
513564	1757	1996-02-29	VYDAJ	VYBER	15	38251	SLUZBY	\N	\N
513565	1757	1996-03-31	VYDAJ	VYBER	15	50714	SLUZBY	\N	\N
513566	1757	1996-04-30	VYDAJ	VYBER	15	61828	SLUZBY	\N	\N
513567	1757	1996-05-31	VYDAJ	VYBER	15	68682	SLUZBY	\N	\N
513568	1757	1996-06-30	VYDAJ	VYBER	15	62731	SLUZBY	\N	\N
513569	1757	1996-07-31	VYDAJ	VYBER	15	39014	SLUZBY	\N	\N
513570	1757	1996-08-31	VYDAJ	VYBER	15	55330	SLUZBY	\N	\N
513571	1757	1996-09-30	VYDAJ	VYBER	15	59057	SLUZBY	\N	\N
513572	1757	1996-10-31	VYDAJ	VYBER	15	53082	SLUZBY	\N	\N
513573	1757	1996-11-30	VYDAJ	VYBER	15	48923	SLUZBY	\N	\N
513574	1757	1996-12-31	VYDAJ	VYBER	15	50722	SLUZBY	\N	\N
513575	1757	1997-01-31	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
513576	1757	1997-02-28	VYDAJ	VYBER	15	46851	SLUZBY	\N	\N
513577	1757	1997-03-31	VYDAJ	VYBER	15	56552	SLUZBY	\N	\N
513578	1757	1997-04-30	VYDAJ	VYBER	15	55982	SLUZBY	\N	\N
513579	1757	1997-05-31	VYDAJ	VYBER	15	65754	SLUZBY	\N	\N
513580	1757	1997-06-30	VYDAJ	VYBER	15	26805	SLUZBY	\N	\N
513582	1757	1997-08-31	VYDAJ	VYBER	15	55662	SLUZBY	\N	\N
513583	1757	1997-09-30	VYDAJ	VYBER	15	66808	SLUZBY	\N	\N
513584	1757	1997-10-31	VYDAJ	VYBER	15	40258	SLUZBY	\N	\N
513585	1757	1997-11-30	VYDAJ	VYBER	15	55937	SLUZBY	\N	\N
513586	1757	1997-12-31	VYDAJ	VYBER	15	48261	SLUZBY	\N	\N
513587	1757	1998-01-31	VYDAJ	VYBER	15	24533	SLUZBY	\N	\N
513588	1757	1998-02-28	VYDAJ	VYBER	15	26518	SLUZBY	\N	\N
513589	1757	1998-03-31	VYDAJ	VYBER	15	50580	SLUZBY	\N	\N
513590	1757	1998-04-30	VYDAJ	VYBER	15	37005	SLUZBY	\N	\N
513591	1757	1998-05-31	VYDAJ	VYBER	15	60612	SLUZBY	\N	\N
513592	1757	1998-06-30	VYDAJ	VYBER	15	52885	SLUZBY	\N	\N
513593	1757	1998-07-31	VYDAJ	VYBER	15	37859	SLUZBY	\N	\N
513594	1757	1998-08-31	VYDAJ	VYBER	15	43705	SLUZBY	\N	\N
513595	1757	1998-09-30	VYDAJ	VYBER	15	77477	SLUZBY	\N	\N
513596	1757	1998-10-31	VYDAJ	VYBER	15	94149	SLUZBY	\N	\N
513597	1757	1998-11-30	VYDAJ	VYBER	15	82200	SLUZBY	\N	\N
513598	1757	1995-04-26	VYDAJ	VYBER	7300	37001	\N	\N	\N
513599	1757	1995-05-26	VYDAJ	VYBER	28400	52728	\N	\N	\N
513600	1757	1995-06-08	VYDAJ	VYBER	39500	79547	\N	\N	\N
513601	1757	1995-06-25	VYDAJ	VYBER	29800	49747	\N	\N	\N
513602	1757	1995-07-25	VYDAJ	VYBER	35100	59028	\N	\N	\N
513603	1757	1995-08-24	VYDAJ	VYBER	35800	67545	\N	\N	\N
513604	1757	1995-09-23	VYDAJ	VYBER	37100	63979	\N	\N	\N
513605	1757	1995-10-08	VYDAJ	VYBER	22100	86211	\N	\N	\N
513606	1757	1995-10-23	VYDAJ	VYBER	27300	58911	\N	\N	\N
513607	1757	1995-11-22	VYDAJ	VYBER	25100	56041	\N	\N	\N
513608	1757	1995-12-08	VYDAJ	VYBER	54500	67949	\N	\N	\N
513609	1757	1995-12-22	VYDAJ	VYBER	21200	46749	\N	\N	\N
513610	1757	1996-01-21	VYDAJ	VYBER	10400	45861	\N	\N	\N
513611	1757	1996-02-20	VYDAJ	VYBER	16900	38134	\N	\N	\N
513612	1757	1996-03-21	VYDAJ	VYBER	31800	50552	\N	\N	\N
513613	1757	1996-04-20	VYDAJ	VYBER	33200	61615	\N	\N	\N
513614	1757	1996-05-20	VYDAJ	VYBER	37500	68429	\N	\N	\N
513615	1757	1996-06-19	VYDAJ	VYBER	29800	62434	\N	\N	\N
513616	1757	1996-07-08	VYDAJ	VYBER	59600	47232	\N	\N	\N
513617	1757	1996-07-19	VYDAJ	VYBER	8400	38832	\N	\N	\N
513618	1757	1996-08-18	VYDAJ	VYBER	23200	55115	\N	\N	\N
513619	1757	1996-09-17	VYDAJ	VYBER	37300	62131	\N	\N	\N
513620	1757	1996-10-17	VYDAJ	VYBER	41300	61858	\N	\N	\N
513621	1757	1996-11-16	VYDAJ	VYBER	30200	48698	\N	\N	\N
513622	1757	1996-12-08	VYDAJ	VYBER	20900	94175	\N	\N	\N
513623	1757	1996-12-16	VYDAJ	VYBER	37700	56475	\N	\N	\N
513624	1757	1997-01-15	VYDAJ	VYBER	24100	45823	\N	\N	\N
513625	1757	1997-02-14	VYDAJ	VYBER	25700	46707	\N	\N	\N
513626	1757	1997-03-16	VYDAJ	VYBER	34600	56352	\N	\N	\N
513627	1757	1997-04-15	VYDAJ	VYBER	37400	63253	\N	\N	\N
513628	1757	1997-05-15	VYDAJ	VYBER	29200	65483	\N	\N	\N
513629	1757	1997-06-08	VYDAJ	VYBER	43100	88806	\N	\N	\N
513630	1757	1997-06-14	VYDAJ	VYBER	29500	59306	\N	\N	\N
513631	1757	1997-07-14	VYDAJ	VYBER	11700	44806	\N	\N	\N
513632	1757	1997-08-13	VYDAJ	VYBER	13800	55452	\N	\N	\N
513633	1757	1997-09-12	VYDAJ	VYBER	33200	66563	\N	\N	\N
513634	1757	1997-10-12	VYDAJ	VYBER	26700	59854	\N	\N	\N
513635	1757	1997-11-11	VYDAJ	VYBER	22800	61559	\N	\N	\N
513636	1757	1997-12-08	VYDAJ	VYBER	44600	77489	\N	\N	\N
513637	1757	1997-12-11	VYDAJ	VYBER	21400	56089	\N	\N	\N
513638	1757	1998-01-10	VYDAJ	VYBER	11400	46881	\N	\N	\N
513639	1757	1998-02-09	VYDAJ	VYBER	21000	47634	\N	\N	\N
513640	1757	1998-03-11	VYDAJ	VYBER	20200	50419	\N	\N	\N
513641	1757	1998-04-10	VYDAJ	VYBER	28700	59681	\N	\N	\N
513642	1757	1998-05-10	VYDAJ	VYBER	20700	60406	\N	\N	\N
513643	1757	1998-06-08	VYDAJ	VYBER	57300	69464	\N	\N	\N
513644	1757	1998-06-09	VYDAJ	VYBER	16800	52664	\N	\N	\N
513645	1757	1998-07-09	VYDAJ	VYBER	32400	64586	\N	\N	\N
513646	1757	1998-08-08	VYDAJ	VYBER	15000	43499	\N	\N	\N
513647	1757	1998-09-07	VYDAJ	VYBER	10600	33105	\N	\N	\N
513648	1757	1998-10-07	VYDAJ	VYBER	22700	54777	\N	\N	\N
513649	1757	1998-11-06	VYDAJ	VYBER	32100	62049	\N	\N	\N
513650	1757	1998-12-06	VYDAJ	VYBER	26500	55700	\N	\N	\N
513651	1757	1998-12-08	VYDAJ	VYBER	45800	76052	\N	\N	\N
513697	1758	1996-07-08	PRIJEM	VKLAD	700	700	\N	\N	\N
513705	1758	1996-08-07	PRIJEM	PREVOD Z UCTU	22358	23058	\N	AB	91368162
513706	1758	1996-09-07	PRIJEM	PREVOD Z UCTU	22358	45607	\N	AB	91368162
513707	1758	1996-10-07	PRIJEM	PREVOD Z UCTU	22358	58339	\N	AB	91368162
513708	1758	1996-11-07	PRIJEM	PREVOD Z UCTU	22358	64630	\N	AB	91368162
513709	1758	1996-12-07	PRIJEM	PREVOD Z UCTU	33537	78931	\N	AB	91368162
513710	1758	1997-01-07	PRIJEM	PREVOD Z UCTU	22358	59497	\N	AB	91368162
513711	1758	1997-02-07	PRIJEM	PREVOD Z UCTU	22358	48521	\N	AB	91368162
513712	1758	1997-03-07	PRIJEM	PREVOD Z UCTU	22358	52482	\N	AB	91368162
513713	1758	1997-04-07	PRIJEM	PREVOD Z UCTU	22358	57165	\N	AB	91368162
513714	1758	1997-05-07	PRIJEM	PREVOD Z UCTU	22358	63595	\N	AB	91368162
513715	1758	1997-06-07	PRIJEM	PREVOD Z UCTU	33537	75116	\N	AB	91368162
513716	1758	1997-07-07	PRIJEM	PREVOD Z UCTU	22358	63817	\N	AB	91368162
513717	1758	1997-08-07	PRIJEM	PREVOD Z UCTU	22358	60519	\N	AB	91368162
513718	1758	1997-09-07	PRIJEM	PREVOD Z UCTU	22358	71134	\N	AB	91368162
513719	1758	1997-10-07	PRIJEM	PREVOD Z UCTU	22358	74292	\N	AB	91368162
513720	1758	1997-11-07	PRIJEM	PREVOD Z UCTU	22358	79307	\N	AB	91368162
513721	1758	1997-12-07	PRIJEM	PREVOD Z UCTU	33537	94475	\N	AB	91368162
513722	1758	1998-01-07	PRIJEM	PREVOD Z UCTU	22358	68143	\N	AB	91368162
513723	1758	1998-02-07	PRIJEM	PREVOD Z UCTU	22358	49305	\N	AB	91368162
513724	1758	1998-03-07	PRIJEM	PREVOD Z UCTU	22358	65688	\N	AB	91368162
513725	1758	1998-04-07	PRIJEM	PREVOD Z UCTU	22358	84323	\N	AB	91368162
513726	1758	1998-05-07	PRIJEM	PREVOD Z UCTU	22358	98835	\N	AB	91368162
513727	1758	1998-06-07	PRIJEM	PREVOD Z UCTU	33537	100117	\N	AB	91368162
513728	1758	1998-07-07	PRIJEM	PREVOD Z UCTU	22358	48804	\N	AB	91368162
513729	1758	1998-08-07	PRIJEM	PREVOD Z UCTU	22358	72059	\N	AB	91368162
513730	1758	1998-09-07	PRIJEM	PREVOD Z UCTU	22358	79486	\N	AB	91368162
513731	1758	1998-10-07	PRIJEM	PREVOD Z UCTU	22358	79899	\N	AB	91368162
513732	1758	1998-11-07	PRIJEM	PREVOD Z UCTU	22358	84063	\N	AB	91368162
513733	1758	1998-12-07	PRIJEM	PREVOD Z UCTU	33537	100439	\N	AB	91368162
513745	1758	1996-12-11	VYDAJ	PREVOD NA UCET	9384	68047	SIPO	IJ	45051741
513746	1758	1997-01-11	VYDAJ	PREVOD NA UCET	9384	16821	SIPO	IJ	45051741
513747	1758	1997-02-11	VYDAJ	PREVOD NA UCET	9384	39137	SIPO	IJ	45051741
513748	1758	1997-03-11	VYDAJ	PREVOD NA UCET	9384	43098	SIPO	IJ	45051741
513749	1758	1997-04-11	VYDAJ	PREVOD NA UCET	9384	47781	SIPO	IJ	45051741
513750	1758	1997-05-11	VYDAJ	PREVOD NA UCET	9384	54211	SIPO	IJ	45051741
513751	1758	1997-06-11	VYDAJ	PREVOD NA UCET	9384	46532	SIPO	IJ	45051741
513752	1758	1997-07-11	VYDAJ	PREVOD NA UCET	9384	46033	SIPO	IJ	45051741
513753	1758	1997-08-11	VYDAJ	PREVOD NA UCET	9384	51135	SIPO	IJ	45051741
513754	1758	1997-09-11	VYDAJ	PREVOD NA UCET	9384	61750	SIPO	IJ	45051741
513755	1758	1997-10-11	VYDAJ	PREVOD NA UCET	9384	64908	SIPO	IJ	45051741
513756	1758	1997-11-11	VYDAJ	PREVOD NA UCET	9384	69923	SIPO	IJ	45051741
513757	1758	1997-12-11	VYDAJ	PREVOD NA UCET	9384	85091	SIPO	IJ	45051741
513758	1758	1998-01-11	VYDAJ	PREVOD NA UCET	9384	44659	SIPO	IJ	45051741
513759	1758	1998-02-11	VYDAJ	PREVOD NA UCET	9384	39921	SIPO	IJ	45051741
513760	1758	1998-03-11	VYDAJ	PREVOD NA UCET	9384	56304	SIPO	IJ	45051741
513761	1758	1998-04-11	VYDAJ	PREVOD NA UCET	9384	74939	SIPO	IJ	45051741
513762	1758	1998-05-11	VYDAJ	PREVOD NA UCET	9384	89451	SIPO	IJ	45051741
513763	1758	1998-06-11	VYDAJ	PREVOD NA UCET	9384	28033	SIPO	IJ	45051741
513764	1758	1998-07-11	VYDAJ	PREVOD NA UCET	9384	39420	SIPO	IJ	45051741
513765	1758	1998-08-11	VYDAJ	PREVOD NA UCET	9384	50075	SIPO	IJ	45051741
513766	1758	1998-09-11	VYDAJ	PREVOD NA UCET	9384	70102	SIPO	IJ	45051741
513767	1758	1998-10-11	VYDAJ	PREVOD NA UCET	9384	61515	SIPO	IJ	45051741
513768	1758	1998-11-11	VYDAJ	PREVOD NA UCET	9384	71679	SIPO	IJ	45051741
513769	1758	1998-12-11	VYDAJ	PREVOD NA UCET	9384	91055	SIPO	IJ	45051741
513782	1758	1997-01-05	VYDAJ	PREVOD NA UCET	355	42839	 	ST	56174659
513783	1758	1997-02-05	VYDAJ	PREVOD NA UCET	355	26163	 	ST	56174659
513784	1758	1997-03-05	VYDAJ	PREVOD NA UCET	355	30124	 	ST	56174659
513785	1758	1997-04-05	VYDAJ	PREVOD NA UCET	355	34807	 	ST	56174659
513786	1758	1997-05-05	VYDAJ	PREVOD NA UCET	355	41237	 	ST	56174659
513787	1758	1997-06-05	VYDAJ	PREVOD NA UCET	355	41579	 	ST	56174659
513788	1758	1997-07-05	VYDAJ	PREVOD NA UCET	355	41459	 	ST	56174659
513789	1758	1997-08-05	VYDAJ	PREVOD NA UCET	355	38161	 	ST	56174659
513790	1758	1997-09-05	VYDAJ	PREVOD NA UCET	355	48776	 	ST	56174659
513791	1758	1997-10-05	VYDAJ	PREVOD NA UCET	355	51934	 	ST	56174659
513792	1758	1997-11-05	VYDAJ	PREVOD NA UCET	355	56949	 	ST	56174659
513793	1758	1997-12-05	VYDAJ	PREVOD NA UCET	355	60938	 	ST	56174659
513794	1758	1998-01-05	VYDAJ	PREVOD NA UCET	355	45785	 	ST	56174659
513795	1758	1998-02-05	VYDAJ	PREVOD NA UCET	355	26947	 	ST	56174659
513796	1758	1998-03-05	VYDAJ	PREVOD NA UCET	355	43330	 	ST	56174659
513797	1758	1998-04-05	VYDAJ	PREVOD NA UCET	355	61965	 	ST	56174659
513798	1758	1998-05-05	VYDAJ	PREVOD NA UCET	355	76477	 	ST	56174659
513799	1758	1998-06-05	VYDAJ	PREVOD NA UCET	355	66580	 	ST	56174659
513800	1758	1998-07-05	VYDAJ	PREVOD NA UCET	355	26446	 	ST	56174659
513801	1758	1998-08-05	VYDAJ	PREVOD NA UCET	355	49701	 	ST	56174659
513802	1758	1998-09-05	VYDAJ	PREVOD NA UCET	355	57128	 	ST	56174659
513803	1758	1998-10-05	VYDAJ	PREVOD NA UCET	355	57541	 	ST	56174659
513804	1758	1998-11-05	VYDAJ	PREVOD NA UCET	355	61705	 	ST	56174659
513805	1758	1998-12-05	VYDAJ	PREVOD NA UCET	355	66902	 	ST	56174659
513811	1758	1997-01-03	VYBER	VYBER	5225	56194	\N	\N	\N
513812	1758	1997-10-30	VYBER	VYBER	2458	62450	\N	\N	\N
513813	1758	1997-01-09	VYBER	VYBER	19694	26205	\N	\N	\N
513814	1758	1997-01-08	VYBER	VYBER	13598	45899	\N	\N	\N
513815	1758	1997-12-30	VYBER	VYBER	14268	67523	\N	\N	\N
513816	1758	1997-05-15	VYBER	VYBER	2563	45048	\N	\N	\N
513817	1758	1997-04-14	VYBER	VYBER	2068	45713	\N	\N	\N
513818	1758	1997-03-03	VYBER	VYBER	9795	29479	\N	\N	\N
513819	1758	1998-02-15	VYBER	VYBER	15563	24358	\N	\N	\N
513821	1758	1998-06-29	VYBER	VYBER	20797	26636	\N	\N	\N
513823	1758	1998-10-04	VYBER	VYBER	5060	57896	\N	\N	\N
513824	1758	1998-02-03	VYBER	VYBER	19324	27302	\N	\N	\N
513826	1758	1998-05-12	VYBER	VYBER	10838	78613	\N	\N	\N
513827	1758	1998-07-26	VYBER	VYBER	7711	31709	\N	\N	\N
513829	1758	1997-06-07	VYDAJ	VYBER	19200	55916	\N	\N	\N
513830	1758	1998-06-10	VYDAJ	VYBER	62700	37417	\N	\N	\N
513833	1758	1998-01-10	VYDAJ	VYBER	14100	54043	\N	\N	\N
513834	1758	1996-12-09	VYDAJ	VYBER	1500	77431	\N	\N	\N
513835	1758	1997-12-25	VYDAJ	VYBER	3300	81791	\N	\N	\N
513836	1758	1998-12-20	VYDAJ	VYBER	8100	82955	\N	\N	\N
513844	1758	1997-01-05	VYDAJ	VYBER	5700	37139	\N	\N	\N
513848	1758	1997-01-02	VYDAJ	VYBER	6900	61419	\N	\N	\N
513849	1758	1998-01-04	VYDAJ	VYBER	8100	46140	\N	\N	\N
513850	1758	1998-01-12	VYDAJ	VYBER	5700	38959	\N	\N	\N
513851	1758	1998-01-04	VYDAJ	VYBER	3000	54240	\N	\N	\N
513852	1758	1998-01-01	VYDAJ	VYBER	6600	57240	\N	\N	\N
513853	1758	1998-01-27	VYDAJ	VYBER	7800	25159	\N	\N	\N
513854	1758	1998-01-18	VYDAJ	VYBER	6000	32959	\N	\N	\N
513862	1758	1997-08-04	VYDAJ	VYBER	3000	38516	\N	\N	\N
513863	1758	1997-07-09	VYDAJ	VYBER	8400	55417	\N	\N	\N
513864	1758	1997-05-13	VYDAJ	VYBER	6600	47611	\N	\N	\N
513866	1758	1998-08-10	VYDAJ	VYBER	12600	59459	\N	\N	\N
513867	1758	1998-09-15	VYDAJ	VYBER	6600	63502	\N	\N	\N
513868	1758	1998-11-10	VYDAJ	VYBER	3000	81063	\N	\N	\N
513869	1758	1998-09-19	VYDAJ	VYBER	2700	60802	\N	\N	\N
513870	1758	1998-06-03	VYDAJ	VYBER	9300	66935	\N	\N	\N
513871	1758	1998-10-07	VYDAJ	VYBER	9000	70899	\N	\N	\N
513872	1758	1998-06-19	VYDAJ	VYBER	6000	22033	\N	\N	\N
513885	1758	1996-12-31	VYDAJ	VYBER	15	68319	SLUZBY	\N	\N
513886	1758	1997-01-31	VYDAJ	VYBER	15	16918	SLUZBY	\N	\N
513887	1758	1997-02-28	VYDAJ	VYBER	15	39274	SLUZBY	\N	\N
513888	1758	1997-03-31	VYDAJ	VYBER	15	43262	SLUZBY	\N	\N
513889	1758	1997-04-30	VYDAJ	VYBER	15	45892	SLUZBY	\N	\N
513890	1758	1997-05-31	VYDAJ	VYBER	15	45234	SLUZBY	\N	\N
513891	1758	1997-06-30	VYDAJ	VYBER	15	46714	SLUZBY	\N	\N
513892	1758	1997-07-31	VYDAJ	VYBER	15	46216	SLUZBY	\N	\N
513893	1758	1997-08-31	VYDAJ	VYBER	15	51331	SLUZBY	\N	\N
513894	1758	1997-09-30	VYDAJ	VYBER	15	61989	SLUZBY	\N	\N
513895	1758	1997-10-31	VYDAJ	VYBER	15	57304	SLUZBY	\N	\N
513896	1758	1997-11-30	VYDAJ	VYBER	15	70193	SLUZBY	\N	\N
513897	1758	1997-12-31	VYDAJ	VYBER	15	63840	SLUZBY	\N	\N
513898	1758	1998-01-31	VYDAJ	VYBER	15	46626	SLUZBY	\N	\N
513899	1758	1998-02-28	VYDAJ	VYBER	15	43685	SLUZBY	\N	\N
513900	1758	1998-03-31	VYDAJ	VYBER	15	62320	SLUZBY	\N	\N
513901	1758	1998-04-30	VYDAJ	VYBER	15	76832	SLUZBY	\N	\N
513902	1758	1998-05-31	VYDAJ	VYBER	15	76235	SLUZBY	\N	\N
513903	1758	1998-06-30	VYDAJ	VYBER	15	26801	SLUZBY	\N	\N
513904	1758	1998-07-31	VYDAJ	VYBER	15	50056	SLUZBY	\N	\N
513905	1758	1998-08-31	VYDAJ	VYBER	15	57483	SLUZBY	\N	\N
513906	1758	1998-09-30	VYDAJ	VYBER	15	62956	SLUZBY	\N	\N
513907	1758	1998-10-31	VYDAJ	VYBER	15	62060	SLUZBY	\N	\N
513908	1758	1998-11-30	VYDAJ	VYBER	15	67257	SLUZBY	\N	\N
513909	1758	1996-08-07	PRIJEM	VKLAD	3900	26958	\N	\N	\N
513910	1758	1996-09-06	VYDAJ	VYBER	3800	23249	\N	\N	\N
513911	1758	1996-10-06	VYDAJ	VYBER	9800	35981	\N	\N	\N
513912	1758	1996-11-05	VYDAJ	VYBER	16300	42272	\N	\N	\N
513913	1758	1996-12-05	VYDAJ	VYBER	19500	45394	\N	\N	\N
513914	1758	1997-01-04	VYDAJ	VYBER	13000	43194	\N	\N	\N
513915	1758	1997-02-03	PRIJEM	VKLAD	9600	26518	\N	\N	\N
513916	1758	1997-03-05	PRIJEM	VKLAD	1000	30479	\N	\N	\N
513917	1758	1997-04-04	VYDAJ	VYBER	8100	35162	\N	\N	\N
513918	1758	1997-05-04	VYDAJ	VYBER	4300	41592	\N	\N	\N
513919	1758	1997-06-03	VYDAJ	VYBER	3300	41934	\N	\N	\N
513920	1758	1997-07-03	VYDAJ	VYBER	4900	41814	\N	\N	\N
513921	1758	1997-08-02	VYDAJ	VYBER	4700	41516	\N	\N	\N
513922	1758	1997-09-01	VYDAJ	VYBER	2200	49131	\N	\N	\N
513923	1758	1997-10-01	VYDAJ	VYBER	9700	52289	\N	\N	\N
513924	1758	1997-10-31	VYDAJ	VYBER	5400	57319	\N	\N	\N
513925	1758	1997-11-30	VYDAJ	VYBER	8900	61293	\N	\N	\N
513926	1758	1997-12-30	VYDAJ	VYBER	4000	63523	\N	\N	\N
513927	1758	1998-01-29	PRIJEM	VKLAD	21300	46459	\N	\N	\N
513928	1758	1998-02-28	PRIJEM	VKLAD	19200	43558	\N	\N	\N
513929	1758	1998-03-30	PRIJEM	VKLAD	5800	62104	\N	\N	\N
513930	1758	1998-04-29	PRIJEM	VKLAD	1600	76539	\N	\N	\N
513931	1758	1998-05-29	VYDAJ	VYBER	2700	75913	\N	\N	\N
513932	1758	1998-06-28	PRIJEM	VKLAD	25400	47433	\N	\N	\N
513933	1758	1998-07-28	PRIJEM	VKLAD	18200	49909	\N	\N	\N
513934	1758	1998-08-27	PRIJEM	VKLAD	7200	57275	\N	\N	\N
513935	1758	1998-09-26	PRIJEM	VKLAD	1900	62702	\N	\N	\N
513936	1758	1998-10-26	PRIJEM	VKLAD	300	61815	\N	\N	\N
513937	1758	1998-11-25	VYDAJ	VYBER	4700	66979	\N	\N	\N
513967	1759	1996-01-25	PRIJEM	VKLAD	300	300	\N	\N	\N
513969	1759	1996-02-11	PRIJEM	VKLAD	9988	10288	\N	\N	\N
513970	1759	1996-03-11	PRIJEM	VKLAD	9988	24989	\N	\N	\N
513971	1759	1996-04-11	PRIJEM	VKLAD	9988	33848	\N	\N	\N
513972	1759	1996-05-11	PRIJEM	VKLAD	9988	35637	\N	\N	\N
513973	1759	1996-06-11	PRIJEM	VKLAD	14982	39223	\N	\N	\N
513974	1759	1996-07-11	PRIJEM	VKLAD	9988	30818	\N	\N	\N
513975	1759	1996-08-11	PRIJEM	VKLAD	9988	24853	\N	\N	\N
513976	1759	1996-09-11	PRIJEM	VKLAD	9988	26894	\N	\N	\N
513977	1759	1996-10-11	PRIJEM	VKLAD	9988	22133	\N	\N	\N
513978	1759	1996-11-11	PRIJEM	VKLAD	9988	19017	\N	\N	\N
513979	1759	1996-12-11	PRIJEM	VKLAD	14982	25826	\N	\N	\N
513980	1759	1997-01-11	PRIJEM	VKLAD	9988	24420	\N	\N	\N
513981	1759	1997-02-11	PRIJEM	VKLAD	9988	18861	\N	\N	\N
513982	1759	1997-03-11	PRIJEM	VKLAD	9988	22978	\N	\N	\N
513983	1759	1997-04-11	PRIJEM	VKLAD	9988	19601	\N	\N	\N
513984	1759	1997-05-11	PRIJEM	VKLAD	9988	18513	\N	\N	\N
513985	1759	1997-06-11	PRIJEM	VKLAD	14982	24116	\N	\N	\N
513986	1759	1997-07-11	PRIJEM	VKLAD	9988	17325	\N	\N	\N
513987	1759	1997-08-11	PRIJEM	VKLAD	9988	22440	\N	\N	\N
513988	1759	1997-09-11	PRIJEM	VKLAD	9988	19257	\N	\N	\N
513989	1759	1997-10-11	PRIJEM	VKLAD	9988	17562	\N	\N	\N
513990	1759	1997-11-11	PRIJEM	VKLAD	9988	23878	\N	\N	\N
513991	1759	1997-12-11	PRIJEM	VKLAD	14982	35213	\N	\N	\N
513992	1759	1998-01-11	PRIJEM	VKLAD	9988	21130	\N	\N	\N
513993	1759	1998-02-11	PRIJEM	VKLAD	9988	20726	\N	\N	\N
513994	1759	1998-03-11	PRIJEM	VKLAD	9988	27054	\N	\N	\N
513995	1759	1998-04-11	PRIJEM	VKLAD	9988	33409	\N	\N	\N
513996	1759	1998-05-11	PRIJEM	VKLAD	9988	18940	\N	\N	\N
513997	1759	1998-06-11	PRIJEM	VKLAD	14982	26653	\N	\N	\N
513998	1759	1998-07-11	PRIJEM	VKLAD	9988	27236	\N	\N	\N
513999	1759	1998-08-11	PRIJEM	VKLAD	9988	33592	\N	\N	\N
514000	1759	1998-09-11	PRIJEM	VKLAD	9988	39974	\N	\N	\N
514001	1759	1998-10-11	PRIJEM	VKLAD	9988	46382	\N	\N	\N
514002	1759	1998-11-11	PRIJEM	VKLAD	9988	51017	\N	\N	\N
514003	1759	1998-12-11	PRIJEM	VKLAD	14982	62465	\N	\N	\N
514010	1759	1996-07-06	VYDAJ	PREVOD NA UCET	1856	22696	SIPO	EF	39091742
514011	1759	1996-08-06	VYDAJ	PREVOD NA UCET	1856	17691	SIPO	EF	39091742
514012	1759	1996-09-06	VYDAJ	PREVOD NA UCET	1856	18772	SIPO	EF	39091742
514013	1759	1996-10-06	VYDAJ	PREVOD NA UCET	1856	14011	SIPO	EF	39091742
514014	1759	1996-11-06	VYDAJ	PREVOD NA UCET	1856	10895	SIPO	EF	39091742
514015	1759	1996-12-06	VYDAJ	PREVOD NA UCET	1856	12710	SIPO	EF	39091742
514016	1759	1997-01-06	VYDAJ	PREVOD NA UCET	1856	18338	SIPO	EF	39091742
514017	1759	1997-02-06	VYDAJ	PREVOD NA UCET	1856	10739	SIPO	EF	39091742
514018	1759	1997-03-06	VYDAJ	PREVOD NA UCET	1856	14856	SIPO	EF	39091742
514019	1759	1997-04-06	VYDAJ	PREVOD NA UCET	1856	11479	SIPO	EF	39091742
514020	1759	1997-05-06	VYDAJ	PREVOD NA UCET	1856	10391	SIPO	EF	39091742
514021	1759	1997-06-06	VYDAJ	PREVOD NA UCET	1856	11000	SIPO	EF	39091742
514022	1759	1997-07-06	VYDAJ	PREVOD NA UCET	1856	9203	SIPO	EF	39091742
514023	1759	1997-08-06	VYDAJ	PREVOD NA UCET	1856	15518	SIPO	EF	39091742
514024	1759	1997-09-06	VYDAJ	PREVOD NA UCET	1856	11135	SIPO	EF	39091742
514025	1759	1997-10-06	VYDAJ	PREVOD NA UCET	1856	9440	SIPO	EF	39091742
514026	1759	1997-11-06	VYDAJ	PREVOD NA UCET	1856	15756	SIPO	EF	39091742
514027	1759	1997-12-06	VYDAJ	PREVOD NA UCET	1856	22097	SIPO	EF	39091742
514028	1759	1998-01-06	VYDAJ	PREVOD NA UCET	1856	13728	SIPO	EF	39091742
514029	1759	1998-02-06	VYDAJ	PREVOD NA UCET	1856	12604	SIPO	EF	39091742
514030	1759	1998-03-06	VYDAJ	PREVOD NA UCET	1856	18932	SIPO	EF	39091742
514031	1759	1998-04-06	VYDAJ	PREVOD NA UCET	1856	25287	SIPO	EF	39091742
514032	1759	1998-05-06	VYDAJ	PREVOD NA UCET	1856	10818	SIPO	EF	39091742
514033	1759	1998-06-06	VYDAJ	PREVOD NA UCET	1856	13537	SIPO	EF	39091742
514034	1759	1998-07-06	VYDAJ	PREVOD NA UCET	1856	19114	SIPO	EF	39091742
514035	1759	1998-08-06	VYDAJ	PREVOD NA UCET	1856	25470	SIPO	EF	39091742
514036	1759	1998-09-06	VYDAJ	PREVOD NA UCET	1856	31852	SIPO	EF	39091742
514037	1759	1998-10-06	VYDAJ	PREVOD NA UCET	1856	38260	SIPO	EF	39091742
514038	1759	1998-11-06	VYDAJ	PREVOD NA UCET	1856	42895	SIPO	EF	39091742
514039	1759	1998-12-06	VYDAJ	PREVOD NA UCET	1856	49349	SIPO	EF	39091742
514046	1759	1996-07-10	VYDAJ	PREVOD NA UCET	1866	20830	 	WX	8029026
514047	1759	1996-08-10	VYDAJ	PREVOD NA UCET	1866	15825	 	WX	8029026
514048	1759	1996-09-10	VYDAJ	PREVOD NA UCET	1866	16906	 	WX	8029026
514049	1759	1996-10-10	VYDAJ	PREVOD NA UCET	1866	12145	 	WX	8029026
514050	1759	1996-11-10	VYDAJ	PREVOD NA UCET	1866	9029	 	WX	8029026
514051	1759	1996-12-10	VYDAJ	PREVOD NA UCET	1866	10844	 	WX	8029026
514052	1759	1997-01-10	VYDAJ	PREVOD NA UCET	1866	14432	 	WX	8029026
514053	1759	1997-02-10	VYDAJ	PREVOD NA UCET	1866	8873	 	WX	8029026
514054	1759	1997-03-10	VYDAJ	PREVOD NA UCET	1866	12990	 	WX	8029026
514055	1759	1997-04-10	VYDAJ	PREVOD NA UCET	1866	9613	 	WX	8029026
514056	1759	1997-05-10	VYDAJ	PREVOD NA UCET	1866	8525	 	WX	8029026
514057	1759	1997-06-10	VYDAJ	PREVOD NA UCET	1866	9134	 	WX	8029026
514058	1759	1997-07-10	VYDAJ	PREVOD NA UCET	1866	7337	 	WX	8029026
514059	1759	1997-08-10	VYDAJ	PREVOD NA UCET	1866	12452	 	WX	8029026
514060	1759	1997-09-10	VYDAJ	PREVOD NA UCET	1866	9269	 	WX	8029026
514061	1759	1997-10-10	VYDAJ	PREVOD NA UCET	1866	7574	 	WX	8029026
514062	1759	1997-11-10	VYDAJ	PREVOD NA UCET	1866	13890	 	WX	8029026
514063	1759	1997-12-10	VYDAJ	PREVOD NA UCET	1866	20231	 	WX	8029026
514064	1759	1998-01-10	VYDAJ	PREVOD NA UCET	1866	11142	 	WX	8029026
514065	1759	1998-02-10	VYDAJ	PREVOD NA UCET	1866	10738	 	WX	8029026
514066	1759	1998-03-10	VYDAJ	PREVOD NA UCET	1866	17066	 	WX	8029026
514067	1759	1998-04-10	VYDAJ	PREVOD NA UCET	1866	23421	 	WX	8029026
514068	1759	1998-05-10	VYDAJ	PREVOD NA UCET	1866	8952	 	WX	8029026
514069	1759	1998-06-10	VYDAJ	PREVOD NA UCET	1866	11671	 	WX	8029026
514070	1759	1998-07-10	VYDAJ	PREVOD NA UCET	1866	17248	 	WX	8029026
514071	1759	1998-08-10	VYDAJ	PREVOD NA UCET	1866	23604	 	WX	8029026
514072	1759	1998-09-10	VYDAJ	PREVOD NA UCET	1866	29986	 	WX	8029026
514073	1759	1998-10-10	VYDAJ	PREVOD NA UCET	1866	36394	 	WX	8029026
514074	1759	1998-11-10	VYDAJ	PREVOD NA UCET	1866	41029	 	WX	8029026
514075	1759	1998-12-10	VYDAJ	PREVOD NA UCET	1866	47483	 	WX	8029026
514077	1759	1997-06-14	VYDAJ	VYBER	4800	19316	\N	\N	\N
514088	1759	1997-01-21	VYDAJ	VYBER	2760	13860	\N	\N	\N
514089	1759	1997-01-11	VYDAJ	VYBER	2040	22380	\N	\N	\N
514091	1759	1997-01-06	VYDAJ	VYBER	2040	16298	\N	\N	\N
514092	1759	1997-01-19	VYDAJ	VYBER	1800	16620	\N	\N	\N
514093	1759	1997-01-23	VYDAJ	VYBER	1320	12540	\N	\N	\N
514094	1759	1998-01-19	VYDAJ	VYBER	1800	14410	\N	\N	\N
514095	1759	1998-01-13	VYDAJ	VYBER	1560	18010	\N	\N	\N
514096	1759	1998-01-07	VYDAJ	VYBER	720	13008	\N	\N	\N
514097	1759	1998-01-11	VYDAJ	VYBER	1560	19570	\N	\N	\N
514098	1759	1998-01-19	VYDAJ	VYBER	1800	16210	\N	\N	\N
514100	1759	1996-10-30	VYDAJ	VYBER	2640	12693	\N	\N	\N
514101	1759	1996-06-22	VYDAJ	VYBER	960	38263	\N	\N	\N
514102	1759	1996-08-10	VYDAJ	VYBER	960	14865	\N	\N	\N
514103	1759	1996-07-20	VYDAJ	VYBER	5160	25658	\N	\N	\N
514104	1759	1997-08-06	VYDAJ	VYBER	1200	14318	\N	\N	\N
514105	1759	1997-01-16	VYDAJ	VYBER	5760	16620	\N	\N	\N
514108	1759	1997-03-19	VYDAJ	VYBER	2040	20938	\N	\N	\N
514109	1759	1997-03-25	VYDAJ	VYBER	1560	13278	\N	\N	\N
514110	1759	1998-06-27	VYDAJ	VYBER	2880	23173	\N	\N	\N
514111	1759	1998-06-11	VYDAJ	VYBER	600	26053	\N	\N	\N
514112	1759	1998-06-04	VYDAJ	VYBER	2160	15393	\N	\N	\N
514113	1759	1998-10-29	VYDAJ	VYBER	1800	44582	\N	\N	\N
514114	1759	1998-07-05	VYDAJ	VYBER	2280	20970	\N	\N	\N
514115	1759	1998-05-21	VYDAJ	VYBER	1440	17500	\N	\N	\N
514122	1759	1996-06-30	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
514123	1759	1996-07-31	VYDAJ	VYBER	15	19547	SLUZBY	\N	\N
514124	1759	1996-08-31	VYDAJ	VYBER	15	20628	SLUZBY	\N	\N
514125	1759	1996-09-30	VYDAJ	VYBER	15	15867	SLUZBY	\N	\N
514126	1759	1996-10-31	VYDAJ	VYBER	15	12751	SLUZBY	\N	\N
514127	1759	1996-11-30	VYDAJ	VYBER	15	14566	SLUZBY	\N	\N
514128	1759	1996-12-31	VYDAJ	VYBER	15	20194	SLUZBY	\N	\N
514129	1759	1997-01-31	VYDAJ	VYBER	15	12595	SLUZBY	\N	\N
514130	1759	1997-02-28	VYDAJ	VYBER	15	16712	SLUZBY	\N	\N
514131	1759	1997-03-31	VYDAJ	VYBER	15	13335	SLUZBY	\N	\N
514132	1759	1997-04-30	VYDAJ	VYBER	15	12247	SLUZBY	\N	\N
514133	1759	1997-05-31	VYDAJ	VYBER	15	12856	SLUZBY	\N	\N
514134	1759	1997-06-30	VYDAJ	VYBER	15	11059	SLUZBY	\N	\N
514135	1759	1997-07-31	VYDAJ	VYBER	15	17374	SLUZBY	\N	\N
514136	1759	1997-08-31	VYDAJ	VYBER	15	12991	SLUZBY	\N	\N
514137	1759	1997-09-30	VYDAJ	VYBER	15	11296	SLUZBY	\N	\N
514138	1759	1997-10-31	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
514139	1759	1997-11-30	VYDAJ	VYBER	15	23953	SLUZBY	\N	\N
514140	1759	1997-12-31	VYDAJ	VYBER	15	15584	SLUZBY	\N	\N
514141	1759	1998-01-31	VYDAJ	VYBER	15	14460	SLUZBY	\N	\N
514142	1759	1998-02-28	VYDAJ	VYBER	15	20788	SLUZBY	\N	\N
514143	1759	1998-03-31	VYDAJ	VYBER	15	27143	SLUZBY	\N	\N
514144	1759	1998-04-30	VYDAJ	VYBER	15	12674	SLUZBY	\N	\N
514145	1759	1998-05-31	VYDAJ	VYBER	15	17553	SLUZBY	\N	\N
514146	1759	1998-06-30	VYDAJ	VYBER	15	23250	SLUZBY	\N	\N
514147	1759	1998-07-31	VYDAJ	VYBER	15	27326	SLUZBY	\N	\N
514148	1759	1998-08-31	VYDAJ	VYBER	15	33708	SLUZBY	\N	\N
514149	1759	1998-09-30	VYDAJ	VYBER	15	40116	SLUZBY	\N	\N
514150	1759	1998-10-31	VYDAJ	VYBER	15	44751	SLUZBY	\N	\N
514151	1759	1998-11-30	VYDAJ	VYBER	15	51205	SLUZBY	\N	\N
514152	1759	1996-02-24	PRIJEM	VKLAD	4700	14988	\N	\N	\N
514153	1759	1996-03-25	VYDAJ	VYBER	1200	23789	\N	\N	\N
514154	1759	1996-04-24	VYDAJ	VYBER	8300	25548	\N	\N	\N
514155	1759	1996-05-24	VYDAJ	VYBER	11500	24137	\N	\N	\N
514156	1759	1996-06-23	VYDAJ	VYBER	13800	24463	\N	\N	\N
514157	1759	1996-07-23	VYDAJ	VYBER	6200	19458	\N	\N	\N
514158	1759	1996-08-22	VYDAJ	VYBER	4300	20553	\N	\N	\N
514159	1759	1996-09-21	VYDAJ	VYBER	11100	15794	\N	\N	\N
514160	1759	1996-10-21	VYDAJ	VYBER	6800	15333	\N	\N	\N
514161	1759	1996-11-20	VYDAJ	VYBER	4500	14517	\N	\N	\N
514162	1759	1996-12-20	VYDAJ	VYBER	5700	20126	\N	\N	\N
514163	1759	1997-01-19	PRIJEM	VKLAD	1800	18420	\N	\N	\N
514164	1759	1997-02-18	VYDAJ	VYBER	2200	16661	\N	\N	\N
514165	1759	1997-03-20	VYDAJ	VYBER	6100	14838	\N	\N	\N
514166	1759	1997-04-19	VYDAJ	VYBER	7400	12201	\N	\N	\N
514167	1759	1997-05-19	VYDAJ	VYBER	5700	12813	\N	\N	\N
514168	1759	1997-06-18	VYDAJ	VYBER	8300	11016	\N	\N	\N
514169	1759	1997-08-17	VYDAJ	VYBER	9500	12940	\N	\N	\N
514170	1759	1997-09-16	VYDAJ	VYBER	8000	11257	\N	\N	\N
514171	1759	1997-12-15	VYDAJ	VYBER	19700	15513	\N	\N	\N
514172	1759	1998-04-14	VYDAJ	VYBER	20800	12609	\N	\N	\N
514208	1760	1995-11-11	PRIJEM	VKLAD	600	600	\N	\N	\N
514220	1760	1995-12-06	PRIJEM	PREVOD Z UCTU	4871	5471	DUCHOD	IJ	75526982
514221	1760	1996-01-06	PRIJEM	PREVOD Z UCTU	4871	10342	DUCHOD	IJ	75526982
514222	1760	1996-02-06	PRIJEM	PREVOD Z UCTU	4871	15213	DUCHOD	IJ	75526982
514223	1760	1996-03-06	PRIJEM	PREVOD Z UCTU	4871	20084	DUCHOD	IJ	75526982
514224	1760	1996-04-06	PRIJEM	PREVOD Z UCTU	4871	24955	DUCHOD	IJ	75526982
514225	1760	1996-05-06	PRIJEM	PREVOD Z UCTU	4871	28181	DUCHOD	IJ	75526982
514226	1760	1996-06-06	PRIJEM	PREVOD Z UCTU	4871	23687	DUCHOD	IJ	75526982
514227	1760	1996-07-06	PRIJEM	PREVOD Z UCTU	4871	25489	DUCHOD	IJ	75526982
514228	1760	1996-08-06	PRIJEM	PREVOD Z UCTU	4871	28093	DUCHOD	IJ	75526982
514229	1760	1996-09-06	PRIJEM	PREVOD Z UCTU	4871	31349	DUCHOD	IJ	75526982
514230	1760	1996-10-06	PRIJEM	PREVOD Z UCTU	4871	34619	DUCHOD	IJ	75526982
514231	1760	1996-11-06	PRIJEM	PREVOD Z UCTU	4871	37021	DUCHOD	IJ	75526982
514232	1760	1996-12-06	PRIJEM	PREVOD Z UCTU	4871	37350	DUCHOD	IJ	75526982
514233	1760	1997-01-06	PRIJEM	PREVOD Z UCTU	4871	37914	DUCHOD	IJ	75526982
514234	1760	1997-02-06	PRIJEM	PREVOD Z UCTU	4871	33811	DUCHOD	IJ	75526982
514235	1760	1997-03-06	PRIJEM	PREVOD Z UCTU	4871	35651	DUCHOD	IJ	75526982
514236	1760	1997-04-06	PRIJEM	PREVOD Z UCTU	4871	37577	DUCHOD	IJ	75526982
514237	1760	1997-05-06	PRIJEM	PREVOD Z UCTU	4871	39670	DUCHOD	IJ	75526982
514238	1760	1997-06-06	PRIJEM	PREVOD Z UCTU	4871	42974	DUCHOD	IJ	75526982
514239	1760	1997-07-06	PRIJEM	PREVOD Z UCTU	4871	44691	DUCHOD	IJ	75526982
514240	1760	1997-08-06	PRIJEM	PREVOD Z UCTU	4871	42976	DUCHOD	IJ	75526982
514241	1760	1997-09-06	PRIJEM	PREVOD Z UCTU	4871	46297	DUCHOD	IJ	75526982
514242	1760	1997-10-06	PRIJEM	PREVOD Z UCTU	4871	45784	DUCHOD	IJ	75526982
514243	1760	1997-11-06	PRIJEM	PREVOD Z UCTU	4871	49113	DUCHOD	IJ	75526982
514244	1760	1997-12-06	PRIJEM	PREVOD Z UCTU	4871	52456	DUCHOD	IJ	75526982
514245	1760	1998-01-06	PRIJEM	PREVOD Z UCTU	4871	53132	DUCHOD	IJ	75526982
514246	1760	1998-02-06	PRIJEM	PREVOD Z UCTU	4871	45671	DUCHOD	IJ	75526982
514247	1760	1998-03-06	PRIJEM	PREVOD Z UCTU	4871	49000	DUCHOD	IJ	75526982
514248	1760	1998-04-06	PRIJEM	PREVOD Z UCTU	4871	48455	DUCHOD	IJ	75526982
514249	1760	1998-05-06	PRIJEM	PREVOD Z UCTU	4871	51797	DUCHOD	IJ	75526982
514250	1760	1998-06-06	PRIJEM	PREVOD Z UCTU	4871	55151	DUCHOD	IJ	75526982
514251	1760	1998-07-06	PRIJEM	PREVOD Z UCTU	4871	45214	DUCHOD	IJ	75526982
514252	1760	1998-08-06	PRIJEM	PREVOD Z UCTU	4871	48540	DUCHOD	IJ	75526982
514253	1760	1998-09-06	PRIJEM	PREVOD Z UCTU	4871	48068	DUCHOD	IJ	75526982
514254	1760	1998-10-06	PRIJEM	PREVOD Z UCTU	4871	51406	DUCHOD	IJ	75526982
514255	1760	1998-11-06	PRIJEM	PREVOD Z UCTU	4871	51551	DUCHOD	IJ	75526982
514256	1760	1998-12-06	PRIJEM	PREVOD Z UCTU	4871	54303	DUCHOD	IJ	75526982
514272	1760	1996-04-13	VYDAJ	PREVOD NA UCET	1458	23246	SIPO	GH	58458250
514273	1760	1996-05-13	VYDAJ	PREVOD NA UCET	1458	26472	SIPO	GH	58458250
514274	1760	1996-06-13	VYDAJ	PREVOD NA UCET	1458	21978	SIPO	GH	58458250
514275	1760	1996-07-13	VYDAJ	PREVOD NA UCET	1458	23780	SIPO	GH	58458250
514276	1760	1996-08-13	VYDAJ	PREVOD NA UCET	1458	26384	SIPO	GH	58458250
514277	1760	1996-09-13	VYDAJ	PREVOD NA UCET	1458	29640	SIPO	GH	58458250
514278	1760	1996-10-13	VYDAJ	PREVOD NA UCET	1458	32910	SIPO	GH	58458250
514279	1760	1996-11-13	VYDAJ	PREVOD NA UCET	1458	35312	SIPO	GH	58458250
514280	1760	1996-12-13	VYDAJ	PREVOD NA UCET	1458	35641	SIPO	GH	58458250
514281	1760	1997-01-13	VYDAJ	PREVOD NA UCET	1458	35645	SIPO	GH	58458250
514282	1760	1997-02-13	VYDAJ	PREVOD NA UCET	1458	32102	SIPO	GH	58458250
514283	1760	1997-03-13	VYDAJ	PREVOD NA UCET	1458	33942	SIPO	GH	58458250
514284	1760	1997-04-13	VYDAJ	PREVOD NA UCET	1458	35868	SIPO	GH	58458250
514285	1760	1997-05-13	VYDAJ	PREVOD NA UCET	1458	37961	SIPO	GH	58458250
514286	1760	1997-06-13	VYDAJ	PREVOD NA UCET	1458	41265	SIPO	GH	58458250
514287	1760	1997-07-13	VYDAJ	PREVOD NA UCET	1458	42982	SIPO	GH	58458250
514288	1760	1997-08-13	VYDAJ	PREVOD NA UCET	1458	41267	SIPO	GH	58458250
514289	1760	1997-09-13	VYDAJ	PREVOD NA UCET	1458	44588	SIPO	GH	58458250
514290	1760	1997-10-13	VYDAJ	PREVOD NA UCET	1458	44075	SIPO	GH	58458250
514291	1760	1997-11-13	VYDAJ	PREVOD NA UCET	1458	47404	SIPO	GH	58458250
514292	1760	1997-12-13	VYDAJ	PREVOD NA UCET	1458	50747	SIPO	GH	58458250
514293	1760	1998-01-13	VYDAJ	PREVOD NA UCET	1458	47663	SIPO	GH	58458250
514294	1760	1998-02-13	VYDAJ	PREVOD NA UCET	1458	43962	SIPO	GH	58458250
514295	1760	1998-03-13	VYDAJ	PREVOD NA UCET	1458	45211	SIPO	GH	58458250
514296	1760	1998-04-13	VYDAJ	PREVOD NA UCET	1458	46746	SIPO	GH	58458250
514297	1760	1998-05-13	VYDAJ	PREVOD NA UCET	1458	50088	SIPO	GH	58458250
514298	1760	1998-06-13	VYDAJ	PREVOD NA UCET	1458	53442	SIPO	GH	58458250
514299	1760	1998-07-13	VYDAJ	PREVOD NA UCET	1458	43505	SIPO	GH	58458250
514300	1760	1998-08-13	VYDAJ	PREVOD NA UCET	1458	43031	SIPO	GH	58458250
514301	1760	1998-09-13	VYDAJ	PREVOD NA UCET	1458	46359	SIPO	GH	58458250
514302	1760	1998-10-13	VYDAJ	PREVOD NA UCET	1458	49697	SIPO	GH	58458250
514303	1760	1998-11-13	VYDAJ	PREVOD NA UCET	1458	49842	SIPO	GH	58458250
514304	1760	1998-12-13	VYDAJ	PREVOD NA UCET	1458	52594	SIPO	GH	58458250
514320	1760	1996-04-07	VYDAJ	PREVOD NA UCET	251	24704	 	WX	63081288
514321	1760	1996-05-07	VYDAJ	PREVOD NA UCET	251	27930	 	WX	63081288
514322	1760	1996-06-07	VYDAJ	PREVOD NA UCET	251	23436	 	WX	63081288
514323	1760	1996-07-07	VYDAJ	PREVOD NA UCET	251	25238	 	WX	63081288
514324	1760	1996-08-07	VYDAJ	PREVOD NA UCET	251	27842	 	WX	63081288
514325	1760	1996-09-07	VYDAJ	PREVOD NA UCET	251	31098	 	WX	63081288
514326	1760	1996-10-07	VYDAJ	PREVOD NA UCET	251	34368	 	WX	63081288
514327	1760	1996-11-07	VYDAJ	PREVOD NA UCET	251	36770	 	WX	63081288
514328	1760	1996-12-07	VYDAJ	PREVOD NA UCET	251	37099	 	WX	63081288
514329	1760	1997-01-07	VYDAJ	PREVOD NA UCET	251	37663	 	WX	63081288
514330	1760	1997-02-07	VYDAJ	PREVOD NA UCET	251	33560	 	WX	63081288
514331	1760	1997-03-07	VYDAJ	PREVOD NA UCET	251	35400	 	WX	63081288
514332	1760	1997-04-07	VYDAJ	PREVOD NA UCET	251	37326	 	WX	63081288
514333	1760	1997-05-07	VYDAJ	PREVOD NA UCET	251	39419	 	WX	63081288
514334	1760	1997-06-07	VYDAJ	PREVOD NA UCET	251	42723	 	WX	63081288
514335	1760	1997-07-07	VYDAJ	PREVOD NA UCET	251	44440	 	WX	63081288
514336	1760	1997-08-07	VYDAJ	PREVOD NA UCET	251	42725	 	WX	63081288
514337	1760	1997-09-07	VYDAJ	PREVOD NA UCET	251	46046	 	WX	63081288
514338	1760	1997-10-07	VYDAJ	PREVOD NA UCET	251	45533	 	WX	63081288
514339	1760	1997-11-07	VYDAJ	PREVOD NA UCET	251	48862	 	WX	63081288
514340	1760	1997-12-07	VYDAJ	PREVOD NA UCET	251	52205	 	WX	63081288
514341	1760	1998-01-07	VYDAJ	PREVOD NA UCET	251	51121	 	WX	63081288
514342	1760	1998-02-07	VYDAJ	PREVOD NA UCET	251	45420	 	WX	63081288
514343	1760	1998-03-07	VYDAJ	PREVOD NA UCET	251	48749	 	WX	63081288
514344	1760	1998-04-07	VYDAJ	PREVOD NA UCET	251	48204	 	WX	63081288
514345	1760	1998-05-07	VYDAJ	PREVOD NA UCET	251	51546	 	WX	63081288
514346	1760	1998-06-07	VYDAJ	PREVOD NA UCET	251	54900	 	WX	63081288
514347	1760	1998-07-07	VYDAJ	PREVOD NA UCET	251	44963	 	WX	63081288
514348	1760	1998-08-07	VYDAJ	PREVOD NA UCET	251	48289	 	WX	63081288
514349	1760	1998-09-07	VYDAJ	PREVOD NA UCET	251	47817	 	WX	63081288
514350	1760	1998-10-07	VYDAJ	PREVOD NA UCET	251	51155	 	WX	63081288
514351	1760	1998-11-07	VYDAJ	PREVOD NA UCET	251	51300	 	WX	63081288
514352	1760	1998-12-07	VYDAJ	PREVOD NA UCET	251	54052	 	WX	63081288
514354	1760	1996-06-04	VYDAJ	VYBER	7350	18816	\N	\N	\N
514355	1760	1997-06-29	VYDAJ	VYBER	1600	39665	\N	\N	\N
514356	1760	1998-06-29	VYDAJ	VYBER	12600	40142	\N	\N	\N
514359	1760	1997-01-22	VYDAJ	VYBER	3550	29455	\N	\N	\N
514360	1760	1998-01-20	VYDAJ	VYBER	4400	42703	\N	\N	\N
514362	1760	1996-12-19	VYDAJ	VYBER	250	35391	\N	\N	\N
514363	1760	1997-12-13	VYDAJ	VYBER	600	50147	\N	\N	\N
514364	1760	1998-12-20	VYDAJ	VYBER KARTOU	1000	51594	\N	\N	0
514377	1760	1997-01-27	VYDAJ	VYBER	640	28815	\N	\N	\N
514378	1760	1997-01-05	VYDAJ	VYBER	400	33043	\N	\N	\N
514379	1760	1997-01-05	VYDAJ	VYBER	2080	33443	\N	\N	\N
514380	1760	1997-01-10	VYDAJ	VYBER	560	37103	\N	\N	\N
514381	1760	1997-01-19	VYDAJ	VYBER	480	33005	\N	\N	\N
514382	1760	1997-01-17	VYDAJ	VYBER	2160	33485	\N	\N	\N
514383	1760	1998-01-03	VYDAJ	VYBER	2080	48261	\N	\N	\N
514384	1760	1998-01-15	VYDAJ	VYBER	560	47103	\N	\N	\N
514385	1760	1998-01-10	VYDAJ	VYBER	2000	49121	\N	\N	\N
514386	1760	1998-01-21	VYDAJ	VYBER	1200	41503	\N	\N	\N
514387	1760	1998-01-06	VYDAJ	VYBER	1760	51372	\N	\N	\N
514388	1760	1998-01-29	VYDAJ	VYBER	880	40623	\N	\N	\N
514396	1760	1996-10-24	VYDAJ	VYBER	880	32030	\N	\N	\N
514397	1760	1996-11-22	VYDAJ	VYBER	2960	32352	\N	\N	\N
514398	1760	1996-07-16	VYDAJ	VYBER	640	23140	\N	\N	\N
514399	1760	1996-05-20	VYDAJ	VYBER	400	26072	\N	\N	\N
514400	1760	1996-06-27	VYDAJ	VYBER	1440	20538	\N	\N	\N
514402	1760	1997-09-22	VYDAJ	VYBER	3840	40748	\N	\N	\N
514403	1760	1997-03-19	VYDAJ	VYBER	1360	32582	\N	\N	\N
514404	1760	1997-03-04	VYDAJ	VYBER	1440	30780	\N	\N	\N
514405	1760	1997-08-05	VYDAJ	VYBER	2320	38105	\N	\N	\N
514406	1760	1997-08-03	VYDAJ	VYBER	2720	40425	\N	\N	\N
514407	1760	1997-04-14	VYDAJ	VYBER	1200	34668	\N	\N	\N
514408	1760	1998-08-09	VYDAJ	VYBER KARTOU	3800	44489	\N	\N	0
514409	1760	1998-10-15	VYDAJ	VYBER KARTOU	3200	46497	\N	\N	0
514410	1760	1998-12-04	VYDAJ	VYBER KARTOU	600	49432	\N	\N	0
514411	1760	1998-04-02	VYDAJ	VYBER KARTOU	1800	43584	\N	\N	0
514412	1760	1998-06-16	VYDAJ	VYBER KARTOU	700	52742	\N	\N	0
514413	1760	1998-03-07	VYDAJ	VYBER	2080	46669	\N	\N	\N
514430	1760	1996-04-30	VYDAJ	VYBER	15	23310	SLUZBY	\N	\N
514431	1760	1996-05-31	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
514432	1760	1996-06-30	VYDAJ	VYBER	15	20618	SLUZBY	\N	\N
514433	1760	1996-07-31	VYDAJ	VYBER	15	23222	SLUZBY	\N	\N
514434	1760	1996-08-31	VYDAJ	VYBER	15	26478	SLUZBY	\N	\N
514435	1760	1996-09-30	VYDAJ	VYBER	15	29748	SLUZBY	\N	\N
514436	1760	1996-10-31	VYDAJ	VYBER	15	32150	SLUZBY	\N	\N
514437	1760	1996-11-30	VYDAJ	VYBER	15	32479	SLUZBY	\N	\N
514438	1760	1996-12-31	VYDAJ	VYBER	15	35523	SLUZBY	\N	\N
514439	1760	1997-01-31	VYDAJ	VYBER	15	28940	SLUZBY	\N	\N
514440	1760	1997-02-28	VYDAJ	VYBER	15	32220	SLUZBY	\N	\N
514441	1760	1997-03-31	VYDAJ	VYBER	15	32706	SLUZBY	\N	\N
514442	1760	1997-04-30	VYDAJ	VYBER	15	34799	SLUZBY	\N	\N
514443	1760	1997-05-31	VYDAJ	VYBER	15	38103	SLUZBY	\N	\N
514444	1760	1997-06-30	VYDAJ	VYBER	15	39820	SLUZBY	\N	\N
514445	1760	1997-07-31	VYDAJ	VYBER	15	43145	SLUZBY	\N	\N
514446	1760	1997-08-31	VYDAJ	VYBER	15	41426	SLUZBY	\N	\N
514447	1760	1997-09-30	VYDAJ	VYBER	15	40913	SLUZBY	\N	\N
514448	1760	1997-10-31	VYDAJ	VYBER	15	44242	SLUZBY	\N	\N
514449	1760	1997-11-30	VYDAJ	VYBER	15	47585	SLUZBY	\N	\N
514450	1760	1997-12-31	VYDAJ	VYBER	15	50341	SLUZBY	\N	\N
514451	1760	1998-01-31	VYDAJ	VYBER	15	40800	SLUZBY	\N	\N
514452	1760	1998-02-28	VYDAJ	VYBER	15	44129	SLUZBY	\N	\N
514453	1760	1998-03-31	VYDAJ	VYBER	15	45384	SLUZBY	\N	\N
514454	1760	1998-04-30	VYDAJ	VYBER	15	46926	SLUZBY	\N	\N
514455	1760	1998-05-31	VYDAJ	VYBER	15	50280	SLUZBY	\N	\N
514456	1760	1998-06-30	VYDAJ	VYBER	15	40343	SLUZBY	\N	\N
514457	1760	1998-07-31	VYDAJ	VYBER	15	43669	SLUZBY	\N	\N
514458	1760	1998-08-31	VYDAJ	VYBER	15	43197	SLUZBY	\N	\N
514459	1760	1998-09-30	VYDAJ	VYBER	15	46535	SLUZBY	\N	\N
514460	1760	1998-10-31	VYDAJ	VYBER	15	46680	SLUZBY	\N	\N
514461	1760	1998-11-30	VYDAJ	VYBER	15	50032	SLUZBY	\N	\N
514495	1761	1993-08-24	PRIJEM	VKLAD	700	700	\N	\N	\N
514504	1761	1993-09-06	PRIJEM	PREVOD Z UCTU	10124	10824	\N	GH	98249238
514505	1761	1993-10-06	PRIJEM	PREVOD Z UCTU	10124	26566	\N	GH	98249238
514506	1761	1993-11-06	PRIJEM	PREVOD Z UCTU	10124	33467	\N	GH	98249238
514507	1761	1993-12-06	PRIJEM	PREVOD Z UCTU	15186	44457	\N	GH	98249238
514508	1761	1994-01-06	PRIJEM	PREVOD Z UCTU	10124	45912	\N	GH	98249238
514509	1761	1994-02-06	PRIJEM	PREVOD Z UCTU	10124	28869	\N	GH	98249238
514510	1761	1994-03-06	PRIJEM	PREVOD Z UCTU	10124	28910	\N	GH	98249238
514511	1761	1994-04-06	PRIJEM	PREVOD Z UCTU	10124	30408	\N	GH	98249238
514512	1761	1994-05-06	PRIJEM	PREVOD Z UCTU	10124	32663	\N	GH	98249238
514513	1761	1994-06-06	PRIJEM	PREVOD Z UCTU	15186	39088	\N	GH	98249238
514514	1761	1994-07-06	PRIJEM	PREVOD Z UCTU	10124	32030	\N	GH	98249238
514515	1761	1994-08-06	PRIJEM	PREVOD Z UCTU	10124	35894	\N	GH	98249238
514516	1761	1994-09-06	PRIJEM	PREVOD Z UCTU	10124	35466	\N	GH	98249238
514517	1761	1994-10-06	PRIJEM	PREVOD Z UCTU	10124	32160	\N	GH	98249238
514518	1761	1994-11-06	PRIJEM	PREVOD Z UCTU	10124	35023	\N	GH	98249238
514519	1761	1994-12-06	PRIJEM	PREVOD Z UCTU	15186	41757	\N	GH	98249238
514520	1761	1995-01-06	PRIJEM	PREVOD Z UCTU	10124	33232	\N	GH	98249238
514521	1761	1995-02-06	PRIJEM	PREVOD Z UCTU	10124	29586	\N	GH	98249238
514522	1761	1995-03-06	PRIJEM	PREVOD Z UCTU	10124	33039	\N	GH	98249238
514523	1761	1995-04-06	PRIJEM	PREVOD Z UCTU	10124	32899	\N	GH	98249238
514524	1761	1995-05-06	PRIJEM	PREVOD Z UCTU	10124	37668	\N	GH	98249238
514525	1761	1995-06-06	PRIJEM	PREVOD Z UCTU	15186	41406	\N	GH	98249238
514526	1761	1995-07-06	PRIJEM	PREVOD Z UCTU	10124	39991	\N	GH	98249238
514527	1761	1995-08-06	PRIJEM	PREVOD Z UCTU	10124	39679	\N	GH	98249238
514528	1761	1995-09-06	PRIJEM	PREVOD Z UCTU	10124	40568	\N	GH	98249238
514529	1761	1995-10-06	PRIJEM	PREVOD Z UCTU	10124	31649	\N	GH	98249238
514530	1761	1995-11-06	PRIJEM	PREVOD Z UCTU	10124	35727	\N	GH	98249238
514531	1761	1995-12-06	PRIJEM	PREVOD Z UCTU	15186	44268	\N	GH	98249238
514532	1761	1996-01-06	PRIJEM	PREVOD Z UCTU	10124	31288	\N	GH	98249238
514533	1761	1996-02-06	PRIJEM	PREVOD Z UCTU	10124	27131	\N	GH	98249238
514534	1761	1996-03-06	PRIJEM	PREVOD Z UCTU	10124	30975	\N	GH	98249238
514535	1761	1996-04-06	PRIJEM	PREVOD Z UCTU	10124	35235	\N	GH	98249238
514536	1761	1996-05-06	PRIJEM	PREVOD Z UCTU	10124	33301	\N	GH	98249238
514537	1761	1996-06-06	PRIJEM	PREVOD Z UCTU	15186	42540	\N	GH	98249238
514538	1761	1996-07-06	PRIJEM	PREVOD Z UCTU	10124	36285	\N	GH	98249238
514539	1761	1996-08-06	PRIJEM	PREVOD Z UCTU	10124	42074	\N	GH	98249238
514540	1761	1996-09-06	PRIJEM	PREVOD Z UCTU	10124	43876	\N	GH	98249238
514541	1761	1996-10-06	PRIJEM	PREVOD Z UCTU	10124	37179	\N	GH	98249238
514542	1761	1996-11-06	PRIJEM	PREVOD Z UCTU	10124	40072	\N	GH	98249238
514543	1761	1996-12-06	PRIJEM	PREVOD Z UCTU	15186	39305	\N	GH	98249238
514544	1761	1997-01-06	PRIJEM	PREVOD Z UCTU	10124	41809	\N	GH	98249238
514545	1761	1997-02-06	PRIJEM	PREVOD Z UCTU	10124	39252	\N	GH	98249238
514546	1761	1997-03-06	PRIJEM	PREVOD Z UCTU	10124	42741	\N	GH	98249238
514547	1761	1997-04-06	PRIJEM	PREVOD Z UCTU	10124	40858	\N	GH	98249238
514548	1761	1997-05-06	PRIJEM	PREVOD Z UCTU	10124	46156	\N	GH	98249238
514549	1761	1997-06-06	PRIJEM	PREVOD Z UCTU	15186	56143	\N	GH	98249238
514550	1761	1997-07-06	PRIJEM	PREVOD Z UCTU	10124	41732	\N	GH	98249238
514551	1761	1997-08-06	PRIJEM	PREVOD Z UCTU	10124	38216	\N	GH	98249238
514552	1761	1997-09-06	PRIJEM	PREVOD Z UCTU	10124	43404	\N	GH	98249238
514553	1761	1997-10-06	PRIJEM	PREVOD Z UCTU	10124	34660	\N	GH	98249238
514554	1761	1997-11-06	PRIJEM	PREVOD Z UCTU	10124	39433	\N	GH	98249238
514555	1761	1997-12-06	PRIJEM	PREVOD Z UCTU	15186	52487	\N	GH	98249238
514556	1761	1998-01-06	PRIJEM	PREVOD Z UCTU	10124	40270	\N	GH	98249238
514557	1761	1998-02-06	PRIJEM	PREVOD Z UCTU	10124	39044	\N	GH	98249238
514558	1761	1998-03-06	PRIJEM	PREVOD Z UCTU	10124	35519	\N	GH	98249238
514559	1761	1998-04-06	PRIJEM	PREVOD Z UCTU	10124	41295	\N	GH	98249238
514560	1761	1998-05-06	PRIJEM	PREVOD Z UCTU	10124	43355	\N	GH	98249238
514561	1761	1998-06-06	PRIJEM	PREVOD Z UCTU	15186	49615	\N	GH	98249238
514562	1761	1998-07-06	PRIJEM	PREVOD Z UCTU	10124	48442	\N	GH	98249238
514563	1761	1998-08-06	PRIJEM	PREVOD Z UCTU	10124	44368	\N	GH	98249238
514564	1761	1998-09-06	PRIJEM	PREVOD Z UCTU	10124	36006	\N	GH	98249238
514565	1761	1998-10-06	PRIJEM	PREVOD Z UCTU	10124	33042	\N	GH	98249238
514566	1761	1998-11-06	PRIJEM	PREVOD Z UCTU	10124	33163	\N	GH	98249238
514567	1761	1998-12-06	PRIJEM	PREVOD Z UCTU	15186	42804	\N	GH	98249238
514580	1761	1994-01-11	VYDAJ	PREVOD NA UCET	3048	36870	SIPO	AB	93704944
514581	1761	1994-02-11	VYDAJ	PREVOD NA UCET	3048	21027	SIPO	AB	93704944
514582	1761	1994-03-11	VYDAJ	PREVOD NA UCET	3048	25568	SIPO	AB	93704944
514583	1761	1994-04-11	VYDAJ	PREVOD NA UCET	3048	27066	SIPO	AB	93704944
514584	1761	1994-05-11	VYDAJ	PREVOD NA UCET	3048	29321	SIPO	AB	93704944
514585	1761	1994-06-11	VYDAJ	PREVOD NA UCET	3048	19340	SIPO	AB	93704944
514586	1761	1994-07-11	VYDAJ	PREVOD NA UCET	3048	28688	SIPO	AB	93704944
514587	1761	1994-08-11	VYDAJ	PREVOD NA UCET	3048	32552	SIPO	AB	93704944
514588	1761	1994-09-11	VYDAJ	PREVOD NA UCET	3048	26357	SIPO	AB	93704944
514589	1761	1994-10-11	VYDAJ	PREVOD NA UCET	3048	28818	SIPO	AB	93704944
514590	1761	1994-11-11	VYDAJ	PREVOD NA UCET	3048	31681	SIPO	AB	93704944
514591	1761	1994-12-11	VYDAJ	PREVOD NA UCET	3048	38415	SIPO	AB	93704944
514592	1761	1995-01-11	VYDAJ	PREVOD NA UCET	3048	29890	SIPO	AB	93704944
514593	1761	1995-02-11	VYDAJ	PREVOD NA UCET	3048	26244	SIPO	AB	93704944
514594	1761	1995-03-11	VYDAJ	PREVOD NA UCET	3048	29697	SIPO	AB	93704944
514595	1761	1995-04-11	VYDAJ	PREVOD NA UCET	3048	29557	SIPO	AB	93704944
514596	1761	1995-05-11	VYDAJ	PREVOD NA UCET	3048	34326	SIPO	AB	93704944
514597	1761	1995-06-11	VYDAJ	PREVOD NA UCET	3048	38064	SIPO	AB	93704944
514598	1761	1995-07-11	VYDAJ	PREVOD NA UCET	3048	36649	SIPO	AB	93704944
514599	1761	1995-08-11	VYDAJ	PREVOD NA UCET	3048	36337	SIPO	AB	93704944
514600	1761	1995-09-11	VYDAJ	PREVOD NA UCET	3048	37226	SIPO	AB	93704944
514601	1761	1995-10-11	VYDAJ	PREVOD NA UCET	3048	28307	SIPO	AB	93704944
514602	1761	1995-11-11	VYDAJ	PREVOD NA UCET	3048	32385	SIPO	AB	93704944
514603	1761	1995-12-11	VYDAJ	PREVOD NA UCET	3048	40926	SIPO	AB	93704944
514604	1761	1996-01-11	VYDAJ	PREVOD NA UCET	3048	26946	SIPO	AB	93704944
514605	1761	1996-02-11	VYDAJ	PREVOD NA UCET	3048	24189	SIPO	AB	93704944
514606	1761	1996-03-11	VYDAJ	PREVOD NA UCET	3048	28433	SIPO	AB	93704944
514607	1761	1996-04-11	VYDAJ	PREVOD NA UCET	3048	28793	SIPO	AB	93704944
514608	1761	1996-05-11	VYDAJ	PREVOD NA UCET	3048	30659	SIPO	AB	93704944
514609	1761	1996-06-11	VYDAJ	PREVOD NA UCET	3048	33398	SIPO	AB	93704944
514610	1761	1996-07-11	VYDAJ	PREVOD NA UCET	3048	35243	SIPO	AB	93704944
514611	1761	1996-08-11	VYDAJ	PREVOD NA UCET	3048	37032	SIPO	AB	93704944
514612	1761	1996-09-11	VYDAJ	PREVOD NA UCET	3048	36934	SIPO	AB	93704944
514613	1761	1996-10-11	VYDAJ	PREVOD NA UCET	3048	33237	SIPO	AB	93704944
514614	1761	1996-11-11	VYDAJ	PREVOD NA UCET	3048	36730	SIPO	AB	93704944
514615	1761	1996-12-11	VYDAJ	PREVOD NA UCET	3048	34263	SIPO	AB	93704944
514616	1761	1997-01-11	VYDAJ	PREVOD NA UCET	3048	19867	SIPO	AB	93704944
514617	1761	1997-02-11	VYDAJ	PREVOD NA UCET	3048	35910	SIPO	AB	93704944
514618	1761	1997-03-11	VYDAJ	PREVOD NA UCET	3048	39599	SIPO	AB	93704944
514619	1761	1997-04-11	VYDAJ	PREVOD NA UCET	3048	37516	SIPO	AB	93704944
514620	1761	1997-05-11	VYDAJ	PREVOD NA UCET	3048	42814	SIPO	AB	93704944
514621	1761	1997-06-11	VYDAJ	PREVOD NA UCET	3048	52801	SIPO	AB	93704944
514622	1761	1997-07-11	VYDAJ	PREVOD NA UCET	3048	38390	SIPO	AB	93704944
514623	1761	1997-08-11	VYDAJ	PREVOD NA UCET	3048	34874	SIPO	AB	93704944
514624	1761	1997-09-11	VYDAJ	PREVOD NA UCET	3048	40062	SIPO	AB	93704944
514625	1761	1997-10-11	VYDAJ	PREVOD NA UCET	3048	31318	SIPO	AB	93704944
514626	1761	1997-11-11	VYDAJ	PREVOD NA UCET	3048	36091	SIPO	AB	93704944
514627	1761	1997-12-11	VYDAJ	PREVOD NA UCET	3048	49145	SIPO	AB	93704944
514628	1761	1998-01-11	VYDAJ	PREVOD NA UCET	3048	29428	SIPO	AB	93704944
514629	1761	1998-02-11	VYDAJ	PREVOD NA UCET	3048	20133	SIPO	AB	93704944
514630	1761	1998-03-11	VYDAJ	PREVOD NA UCET	3048	32177	SIPO	AB	93704944
514631	1761	1998-04-11	VYDAJ	PREVOD NA UCET	3048	27244	SIPO	AB	93704944
514632	1761	1998-05-11	VYDAJ	PREVOD NA UCET	3048	35914	SIPO	AB	93704944
514633	1761	1998-06-11	VYDAJ	PREVOD NA UCET	3048	46273	SIPO	AB	93704944
514634	1761	1998-07-11	VYDAJ	PREVOD NA UCET	3048	45100	SIPO	AB	93704944
514635	1761	1998-08-11	VYDAJ	PREVOD NA UCET	3048	24882	SIPO	AB	93704944
514636	1761	1998-09-11	VYDAJ	PREVOD NA UCET	3048	32664	SIPO	AB	93704944
514637	1761	1998-10-11	VYDAJ	PREVOD NA UCET	3048	29700	SIPO	AB	93704944
514638	1761	1998-11-11	VYDAJ	PREVOD NA UCET	3048	29821	SIPO	AB	93704944
514639	1761	1998-12-11	VYDAJ	PREVOD NA UCET	3048	39462	SIPO	AB	93704944
514652	1761	1994-01-13	VYDAJ	PREVOD NA UCET	3407	33463	 	EF	69640517
514653	1761	1994-02-13	VYDAJ	PREVOD NA UCET	3407	17620	 	EF	69640517
514654	1761	1994-03-13	VYDAJ	PREVOD NA UCET	3407	22161	 	EF	69640517
514655	1761	1994-04-13	VYDAJ	PREVOD NA UCET	3407	23659	 	EF	69640517
514656	1761	1994-05-13	VYDAJ	PREVOD NA UCET	3407	25914	 	EF	69640517
514657	1761	1994-06-13	VYDAJ	PREVOD NA UCET	3407	15933	 	EF	69640517
514658	1761	1994-07-13	VYDAJ	PREVOD NA UCET	3407	25281	 	EF	69640517
514659	1761	1994-08-13	VYDAJ	PREVOD NA UCET	3407	29145	 	EF	69640517
514660	1761	1994-09-13	VYDAJ	PREVOD NA UCET	3407	22950	 	EF	69640517
514661	1761	1994-10-13	VYDAJ	PREVOD NA UCET	3407	25411	 	EF	69640517
514662	1761	1994-11-13	VYDAJ	PREVOD NA UCET	3407	28274	 	EF	69640517
514663	1761	1994-12-13	VYDAJ	PREVOD NA UCET	3407	35008	 	EF	69640517
514664	1761	1995-01-13	VYDAJ	PREVOD NA UCET	3407	23483	 	EF	69640517
514665	1761	1995-02-13	VYDAJ	PREVOD NA UCET	3407	22837	 	EF	69640517
514666	1761	1995-03-13	VYDAJ	PREVOD NA UCET	3407	26290	 	EF	69640517
514667	1761	1995-04-13	VYDAJ	PREVOD NA UCET	3407	26150	 	EF	69640517
514668	1761	1995-05-13	VYDAJ	PREVOD NA UCET	3407	30919	 	EF	69640517
514669	1761	1995-06-13	VYDAJ	PREVOD NA UCET	3407	34657	 	EF	69640517
514670	1761	1995-07-13	VYDAJ	PREVOD NA UCET	3407	33242	 	EF	69640517
514671	1761	1995-08-13	VYDAJ	PREVOD NA UCET	3407	32930	 	EF	69640517
514672	1761	1995-09-13	VYDAJ	PREVOD NA UCET	3407	34019	 	EF	69640517
514673	1761	1995-10-13	VYDAJ	PREVOD NA UCET	3407	28500	 	EF	69640517
514674	1761	1995-11-13	VYDAJ	PREVOD NA UCET	3407	28978	 	EF	69640517
514675	1761	1995-12-13	VYDAJ	PREVOD NA UCET	3407	34819	 	EF	69640517
514676	1761	1996-01-13	VYDAJ	PREVOD NA UCET	3407	16939	 	EF	69640517
514677	1761	1996-02-13	VYDAJ	PREVOD NA UCET	3407	20782	 	EF	69640517
514678	1761	1996-03-13	VYDAJ	PREVOD NA UCET	3407	25026	 	EF	69640517
514679	1761	1996-04-13	VYDAJ	PREVOD NA UCET	3407	25386	 	EF	69640517
514680	1761	1996-05-13	VYDAJ	PREVOD NA UCET	3407	27252	 	EF	69640517
514681	1761	1996-06-13	VYDAJ	PREVOD NA UCET	3407	29991	 	EF	69640517
514682	1761	1996-07-13	VYDAJ	PREVOD NA UCET	3407	31836	 	EF	69640517
514683	1761	1996-08-13	VYDAJ	PREVOD NA UCET	3407	33625	 	EF	69640517
514684	1761	1996-09-13	VYDAJ	PREVOD NA UCET	3407	33527	 	EF	69640517
514685	1761	1996-10-13	VYDAJ	PREVOD NA UCET	3407	29830	 	EF	69640517
514686	1761	1996-11-13	VYDAJ	PREVOD NA UCET	3407	24023	 	EF	69640517
514687	1761	1996-12-13	VYDAJ	PREVOD NA UCET	3407	30856	 	EF	69640517
514688	1761	1997-01-13	VYDAJ	PREVOD NA UCET	3407	16460	 	EF	69640517
514689	1761	1997-02-13	VYDAJ	PREVOD NA UCET	3407	32503	 	EF	69640517
514690	1761	1997-03-13	VYDAJ	PREVOD NA UCET	3407	36192	 	EF	69640517
514691	1761	1997-04-13	VYDAJ	PREVOD NA UCET	3407	34109	 	EF	69640517
514692	1761	1997-05-13	VYDAJ	PREVOD NA UCET	3407	39407	 	EF	69640517
514693	1761	1997-06-13	VYDAJ	PREVOD NA UCET	3407	19994	 	EF	69640517
514694	1761	1997-07-13	VYDAJ	PREVOD NA UCET	3407	34983	 	EF	69640517
514695	1761	1997-08-13	VYDAJ	PREVOD NA UCET	3407	31467	 	EF	69640517
514696	1761	1997-09-13	VYDAJ	PREVOD NA UCET	3407	36655	 	EF	69640517
514697	1761	1997-10-13	VYDAJ	PREVOD NA UCET	3407	21823	 	EF	69640517
514698	1761	1997-11-13	VYDAJ	PREVOD NA UCET	3407	32684	 	EF	69640517
514699	1761	1997-12-13	VYDAJ	PREVOD NA UCET	3407	45738	 	EF	69640517
514700	1761	1998-01-13	VYDAJ	PREVOD NA UCET	3407	26021	 	EF	69640517
514701	1761	1998-02-13	VYDAJ	PREVOD NA UCET	3407	16726	 	EF	69640517
514702	1761	1998-03-13	VYDAJ	PREVOD NA UCET	3407	28770	 	EF	69640517
514703	1761	1998-04-13	VYDAJ	PREVOD NA UCET	3407	23837	 	EF	69640517
514704	1761	1998-05-13	VYDAJ	PREVOD NA UCET	3407	32507	 	EF	69640517
514705	1761	1998-06-13	VYDAJ	PREVOD NA UCET	3407	42866	 	EF	69640517
514706	1761	1998-07-13	VYDAJ	PREVOD NA UCET	3407	41693	 	EF	69640517
514707	1761	1998-08-13	VYDAJ	PREVOD NA UCET	3407	19675	 	EF	69640517
514708	1761	1998-09-13	VYDAJ	PREVOD NA UCET	3407	29257	 	EF	69640517
514709	1761	1998-10-13	VYDAJ	PREVOD NA UCET	3407	26293	 	EF	69640517
514710	1761	1998-11-13	VYDAJ	PREVOD NA UCET	3407	26414	 	EF	69640517
514711	1761	1998-12-13	VYDAJ	PREVOD NA UCET	3407	36055	 	EF	69640517
514724	1761	1994-01-10	VYDAJ	PREVOD NA UCET	294	39918	POJISTNE	ST	75990485
514725	1761	1994-02-10	VYDAJ	PREVOD NA UCET	294	24075	POJISTNE	ST	75990485
514726	1761	1994-03-10	VYDAJ	PREVOD NA UCET	294	28616	POJISTNE	ST	75990485
514727	1761	1994-04-10	VYDAJ	PREVOD NA UCET	294	30114	POJISTNE	ST	75990485
514728	1761	1994-05-10	VYDAJ	PREVOD NA UCET	294	32369	POJISTNE	ST	75990485
514729	1761	1994-06-10	VYDAJ	PREVOD NA UCET	294	22388	POJISTNE	ST	75990485
514730	1761	1994-07-10	VYDAJ	PREVOD NA UCET	294	31736	POJISTNE	ST	75990485
514731	1761	1994-08-10	VYDAJ	PREVOD NA UCET	294	35600	POJISTNE	ST	75990485
514732	1761	1994-09-10	VYDAJ	PREVOD NA UCET	294	29405	POJISTNE	ST	75990485
514733	1761	1994-10-10	VYDAJ	PREVOD NA UCET	294	31866	POJISTNE	ST	75990485
514734	1761	1994-11-10	VYDAJ	PREVOD NA UCET	294	34729	POJISTNE	ST	75990485
514735	1761	1994-12-10	VYDAJ	PREVOD NA UCET	294	41463	POJISTNE	ST	75990485
514736	1761	1995-01-10	VYDAJ	PREVOD NA UCET	294	32938	POJISTNE	ST	75990485
514737	1761	1995-02-10	VYDAJ	PREVOD NA UCET	294	29292	POJISTNE	ST	75990485
514738	1761	1995-03-10	VYDAJ	PREVOD NA UCET	294	32745	POJISTNE	ST	75990485
514739	1761	1995-04-10	VYDAJ	PREVOD NA UCET	294	32605	POJISTNE	ST	75990485
514740	1761	1995-05-10	VYDAJ	PREVOD NA UCET	294	37374	POJISTNE	ST	75990485
514741	1761	1995-06-10	VYDAJ	PREVOD NA UCET	294	41112	POJISTNE	ST	75990485
514742	1761	1995-07-10	VYDAJ	PREVOD NA UCET	294	39697	POJISTNE	ST	75990485
514743	1761	1995-08-10	VYDAJ	PREVOD NA UCET	294	39385	POJISTNE	ST	75990485
514744	1761	1995-09-10	VYDAJ	PREVOD NA UCET	294	40274	POJISTNE	ST	75990485
514745	1761	1995-10-10	VYDAJ	PREVOD NA UCET	294	31355	POJISTNE	ST	75990485
514746	1761	1995-11-10	VYDAJ	PREVOD NA UCET	294	35433	POJISTNE	ST	75990485
514747	1761	1995-12-10	VYDAJ	PREVOD NA UCET	294	43974	POJISTNE	ST	75990485
514748	1761	1996-01-10	VYDAJ	PREVOD NA UCET	294	21694	POJISTNE	ST	75990485
514749	1761	1996-02-10	VYDAJ	PREVOD NA UCET	294	27237	POJISTNE	ST	75990485
514750	1761	1996-03-10	VYDAJ	PREVOD NA UCET	294	30681	POJISTNE	ST	75990485
514751	1761	1996-04-10	VYDAJ	PREVOD NA UCET	294	31841	POJISTNE	ST	75990485
514752	1761	1996-05-10	VYDAJ	PREVOD NA UCET	294	33707	POJISTNE	ST	75990485
514753	1761	1996-06-10	VYDAJ	PREVOD NA UCET	294	36446	POJISTNE	ST	75990485
514754	1761	1996-07-10	VYDAJ	PREVOD NA UCET	294	38291	POJISTNE	ST	75990485
514755	1761	1996-08-10	VYDAJ	PREVOD NA UCET	294	40080	POJISTNE	ST	75990485
514756	1761	1996-09-10	VYDAJ	PREVOD NA UCET	294	39982	POJISTNE	ST	75990485
514757	1761	1996-10-10	VYDAJ	PREVOD NA UCET	294	36285	POJISTNE	ST	75990485
514758	1761	1996-11-10	VYDAJ	PREVOD NA UCET	294	39778	POJISTNE	ST	75990485
514759	1761	1996-12-10	VYDAJ	PREVOD NA UCET	294	37311	POJISTNE	ST	75990485
514760	1761	1997-01-10	VYDAJ	PREVOD NA UCET	294	22915	POJISTNE	ST	75990485
514761	1761	1997-02-10	VYDAJ	PREVOD NA UCET	294	38958	POJISTNE	ST	75990485
514762	1761	1997-03-10	VYDAJ	PREVOD NA UCET	294	42647	POJISTNE	ST	75990485
514763	1761	1997-04-10	VYDAJ	PREVOD NA UCET	294	40564	POJISTNE	ST	75990485
514764	1761	1997-05-10	VYDAJ	PREVOD NA UCET	294	45862	POJISTNE	ST	75990485
514765	1761	1997-06-10	VYDAJ	PREVOD NA UCET	294	55849	POJISTNE	ST	75990485
514766	1761	1997-07-10	VYDAJ	PREVOD NA UCET	294	41438	POJISTNE	ST	75990485
514767	1761	1997-08-10	VYDAJ	PREVOD NA UCET	294	37922	POJISTNE	ST	75990485
514768	1761	1997-09-10	VYDAJ	PREVOD NA UCET	294	43110	POJISTNE	ST	75990485
514769	1761	1997-10-10	VYDAJ	PREVOD NA UCET	294	34366	POJISTNE	ST	75990485
514770	1761	1997-11-10	VYDAJ	PREVOD NA UCET	294	39139	POJISTNE	ST	75990485
514771	1761	1997-12-10	VYDAJ	PREVOD NA UCET	294	52193	POJISTNE	ST	75990485
514772	1761	1998-01-10	VYDAJ	PREVOD NA UCET	294	32476	POJISTNE	ST	75990485
514773	1761	1998-02-10	VYDAJ	PREVOD NA UCET	294	23181	POJISTNE	ST	75990485
514774	1761	1998-03-10	VYDAJ	PREVOD NA UCET	294	35225	POJISTNE	ST	75990485
514775	1761	1998-04-10	VYDAJ	PREVOD NA UCET	294	30292	POJISTNE	ST	75990485
514776	1761	1998-05-10	VYDAJ	PREVOD NA UCET	294	38962	POJISTNE	ST	75990485
514777	1761	1998-06-10	VYDAJ	PREVOD NA UCET	294	49321	POJISTNE	ST	75990485
514778	1761	1998-07-10	VYDAJ	PREVOD NA UCET	294	48148	POJISTNE	ST	75990485
514779	1761	1998-08-10	VYDAJ	PREVOD NA UCET	294	27930	POJISTNE	ST	75990485
514780	1761	1998-09-10	VYDAJ	PREVOD NA UCET	294	35712	POJISTNE	ST	75990485
514781	1761	1998-10-10	VYDAJ	PREVOD NA UCET	294	32748	POJISTNE	ST	75990485
514782	1761	1998-11-10	VYDAJ	PREVOD NA UCET	294	32869	POJISTNE	ST	75990485
514783	1761	1998-12-10	VYDAJ	PREVOD NA UCET	294	42510	POJISTNE	ST	75990485
514798	1761	1994-01-17	VYBER	VYBER	4420	19743	\N	\N	\N
514802	1761	1994-06-10	VYBER	VYBER	16406	22682	\N	\N	\N
514803	1761	1994-09-07	VYBER	VYBER	5767	29699	\N	\N	\N
514809	1761	1994-03-28	VYBER	VYBER	2452	20209	\N	\N	\N
514814	1761	1996-06-29	VYBER	VYBER	3938	26053	\N	\N	\N
514816	1761	1996-05-02	VYBER	VYBER	2301	23177	\N	\N	\N
514819	1761	1996-12-18	VYBER	VYBER	3478	27378	\N	\N	\N
514822	1761	1996-01-02	VYBER	VYBER	6280	28664	\N	\N	\N
514826	1761	1997-03-17	VYBER	VYBER	14766	21426	\N	\N	\N
514829	1761	1997-10-12	VYBER	VYBER	6088	25230	\N	\N	\N
514831	1761	1997-12-21	VYBER	VYBER	21133	24605	\N	\N	\N
514832	1761	1997-10-03	VYBER	VYBER	3130	24536	\N	\N	\N
514837	1761	1998-05-09	VYBER	VYBER	4099	39256	\N	\N	\N
514842	1761	1998-09-25	VYBER	VYBER	4236	25021	\N	\N	\N
514843	1761	1998-11-04	VYBER	VYBER	11249	23039	\N	\N	\N
514845	1761	1998-02-08	VYBER	VYBER	15569	23475	\N	\N	\N
514846	1761	1998-08-07	VYBER	VYBER	16144	28224	\N	\N	\N
514847	1761	1998-08-30	VYBER	VYBER	3179	25796	\N	\N	\N
514848	1761	1998-04-08	VYBER	VYBER	10709	30586	\N	\N	\N
514854	1761	1997-06-11	VYDAJ	VYBER	29400	23401	\N	\N	\N
514868	1761	1994-01-24	VYDAJ	VYBER	4500	18643	\N	\N	\N
514869	1761	1994-01-16	VYDAJ	VYBER	7200	24163	\N	\N	\N
514870	1761	1994-01-16	VYDAJ	VYBER	2100	31363	\N	\N	\N
514871	1761	1994-01-08	VYDAJ	VYBER	5700	40212	\N	\N	\N
514872	1761	1994-01-20	VYDAJ	VYBER	1500	18243	\N	\N	\N
514875	1761	1995-01-21	VYDAJ	VYBER	3000	19383	\N	\N	\N
514878	1761	1995-01-12	VYDAJ	VYBER	3000	26890	\N	\N	\N
514881	1761	1996-01-13	VYDAJ	VYBER	6600	20346	\N	\N	\N
514882	1761	1996-01-02	VYDAJ	VYBER	1800	26864	\N	\N	\N
514887	1761	1997-01-10	VYDAJ	VYBER	4800	23209	\N	\N	\N
514895	1761	1998-01-19	VYDAJ	VYBER	3000	23021	\N	\N	\N
514896	1761	1998-01-02	VYDAJ	VYBER	1800	30146	\N	\N	\N
514897	1761	1998-01-08	VYDAJ	VYBER	7500	32770	\N	\N	\N
514904	1761	1994-12-20	VYDAJ	VYBER	4800	23008	\N	\N	\N
514905	1761	1994-02-24	VYDAJ	VYBER	2700	18720	\N	\N	\N
514908	1761	1994-02-09	VYDAJ	VYBER	4500	24369	\N	\N	\N
514909	1761	1995-09-21	VYDAJ	VYBER	12600	21419	\N	\N	\N
514910	1761	1995-10-31	VYDAJ	VYBER	3000	25618	\N	\N	\N
514913	1761	1996-10-09	VYDAJ	VYBER	1800	36579	\N	\N	\N
514914	1761	1996-01-03	VYDAJ	VYBER	5700	21164	\N	\N	\N
514915	1761	1996-10-04	VYDAJ	VYBER	6600	27055	\N	\N	\N
514916	1761	1996-11-12	VYDAJ	VYBER	9300	27430	\N	\N	\N
514917	1761	1996-01-06	VYDAJ	VYBER	9300	21988	\N	\N	\N
514918	1761	1997-07-23	VYDAJ	VYBER	13500	21483	\N	\N	\N
514919	1761	1997-09-16	VYDAJ	VYBER	13500	23155	\N	\N	\N
514921	1761	1997-01-06	VYDAJ	VYBER	13800	28009	\N	\N	\N
514925	1761	1998-05-31	VYDAJ	VYBER	1500	34429	\N	\N	\N
514926	1761	1998-09-28	VYDAJ	VYBER	4500	22821	\N	\N	\N
514927	1761	1998-08-12	VYDAJ	VYBER	1800	23082	\N	\N	\N
514942	1761	1994-01-31	VYDAJ	VYBER	15	18745	SLUZBY	\N	\N
514943	1761	1994-02-28	VYDAJ	VYBER	15	18786	SLUZBY	\N	\N
514944	1761	1994-03-31	VYDAJ	VYBER	15	20284	SLUZBY	\N	\N
514945	1761	1994-04-30	VYDAJ	VYBER	15	22539	SLUZBY	\N	\N
514946	1761	1994-05-31	VYDAJ	VYBER	15	23902	SLUZBY	\N	\N
514947	1761	1994-06-30	VYDAJ	VYBER	15	21906	SLUZBY	\N	\N
514948	1761	1994-07-31	VYDAJ	VYBER	15	25770	SLUZBY	\N	\N
514949	1761	1994-08-31	VYDAJ	VYBER	15	25342	SLUZBY	\N	\N
514950	1761	1994-09-30	VYDAJ	VYBER	15	22036	SLUZBY	\N	\N
514951	1761	1994-10-31	VYDAJ	VYBER	15	24899	SLUZBY	\N	\N
514952	1761	1994-11-30	VYDAJ	VYBER	15	26571	SLUZBY	\N	\N
514953	1761	1994-12-31	VYDAJ	VYBER	15	23108	SLUZBY	\N	\N
514954	1761	1995-01-31	VYDAJ	VYBER	15	19462	SLUZBY	\N	\N
514955	1761	1995-02-28	VYDAJ	VYBER	15	22915	SLUZBY	\N	\N
514956	1761	1995-03-31	VYDAJ	VYBER	15	22775	SLUZBY	\N	\N
514957	1761	1995-04-30	VYDAJ	VYBER	15	27544	SLUZBY	\N	\N
514958	1761	1995-05-31	VYDAJ	VYBER	15	26220	SLUZBY	\N	\N
514959	1761	1995-06-30	VYDAJ	VYBER	15	29867	SLUZBY	\N	\N
514960	1761	1995-07-31	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
514961	1761	1995-08-31	VYDAJ	VYBER	15	30444	SLUZBY	\N	\N
514962	1761	1995-09-30	VYDAJ	VYBER	15	21525	SLUZBY	\N	\N
514963	1761	1995-10-31	VYDAJ	VYBER	15	25603	SLUZBY	\N	\N
514964	1761	1995-11-30	VYDAJ	VYBER	15	29082	SLUZBY	\N	\N
514965	1761	1995-12-31	VYDAJ	VYBER	15	34944	SLUZBY	\N	\N
514966	1761	1996-01-31	VYDAJ	VYBER	15	17007	SLUZBY	\N	\N
514967	1761	1996-02-29	VYDAJ	VYBER	15	20851	SLUZBY	\N	\N
514968	1761	1996-03-31	VYDAJ	VYBER	15	25111	SLUZBY	\N	\N
514969	1761	1996-04-30	VYDAJ	VYBER	15	25478	SLUZBY	\N	\N
514970	1761	1996-05-31	VYDAJ	VYBER	15	27354	SLUZBY	\N	\N
514971	1761	1996-06-30	VYDAJ	VYBER	15	26161	SLUZBY	\N	\N
514972	1761	1996-07-31	VYDAJ	VYBER	15	31950	SLUZBY	\N	\N
514973	1761	1996-08-31	VYDAJ	VYBER	15	33752	SLUZBY	\N	\N
514974	1761	1996-09-30	VYDAJ	VYBER	15	33655	SLUZBY	\N	\N
514975	1761	1996-10-31	VYDAJ	VYBER	15	29948	SLUZBY	\N	\N
514976	1761	1996-11-30	VYDAJ	VYBER	15	24119	SLUZBY	\N	\N
514977	1761	1996-12-31	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
514978	1761	1997-01-31	VYDAJ	VYBER	15	16528	SLUZBY	\N	\N
514979	1761	1997-02-28	VYDAJ	VYBER	15	32617	SLUZBY	\N	\N
514980	1761	1997-03-31	VYDAJ	VYBER	15	21534	SLUZBY	\N	\N
514981	1761	1997-04-30	VYDAJ	VYBER	15	34232	SLUZBY	\N	\N
514982	1761	1997-05-31	VYDAJ	VYBER	15	39557	SLUZBY	\N	\N
514983	1761	1997-06-30	VYDAJ	VYBER	15	20108	SLUZBY	\N	\N
514984	1761	1997-07-31	VYDAJ	VYBER	15	21592	SLUZBY	\N	\N
514985	1761	1997-08-31	VYDAJ	VYBER	15	31580	SLUZBY	\N	\N
514986	1761	1997-09-30	VYDAJ	VYBER	15	23266	SLUZBY	\N	\N
514987	1761	1997-10-31	VYDAJ	VYBER	15	21909	SLUZBY	\N	\N
514988	1761	1997-11-30	VYDAJ	VYBER	15	32801	SLUZBY	\N	\N
514989	1761	1997-12-31	VYDAJ	VYBER	15	31946	SLUZBY	\N	\N
514990	1761	1998-01-31	VYDAJ	VYBER	15	28920	SLUZBY	\N	\N
514991	1761	1998-02-28	VYDAJ	VYBER	15	16795	SLUZBY	\N	\N
514992	1761	1998-03-31	VYDAJ	VYBER	15	31171	SLUZBY	\N	\N
514993	1761	1998-04-30	VYDAJ	VYBER	15	33231	SLUZBY	\N	\N
514994	1761	1998-05-31	VYDAJ	VYBER	15	35929	SLUZBY	\N	\N
514995	1761	1998-06-30	VYDAJ	VYBER	15	38318	SLUZBY	\N	\N
514996	1761	1998-07-31	VYDAJ	VYBER	15	34244	SLUZBY	\N	\N
514997	1761	1998-08-31	VYDAJ	VYBER	15	25882	SLUZBY	\N	\N
514998	1761	1998-09-30	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
514999	1761	1998-10-31	VYDAJ	VYBER	15	34288	SLUZBY	\N	\N
515000	1761	1998-11-30	VYDAJ	VYBER	15	27618	SLUZBY	\N	\N
515001	1761	1993-09-23	PRIJEM	VKLAD	5600	16424	\N	\N	\N
515002	1761	1993-10-23	VYDAJ	VYBER	3300	23266	\N	\N	\N
515003	1761	1993-11-22	VYDAJ	VYBER	4300	29167	\N	\N	\N
515004	1761	1993-12-22	VYDAJ	VYBER	8800	35657	\N	\N	\N
515005	1761	1994-01-21	PRIJEM	VKLAD	4900	23143	\N	\N	\N
515006	1761	1994-02-20	PRIJEM	VKLAD	3800	21420	\N	\N	\N
515007	1761	1994-03-22	PRIJEM	VKLAD	500	22661	\N	\N	\N
515008	1761	1994-04-21	VYDAJ	VYBER	1200	22459	\N	\N	\N
515009	1761	1994-05-21	VYDAJ	VYBER	2100	23814	\N	\N	\N
515010	1761	1994-06-20	PRIJEM	VKLAD	5900	21833	\N	\N	\N
515011	1761	1994-07-20	PRIJEM	VKLAD	400	25681	\N	\N	\N
515012	1761	1994-08-19	VYDAJ	VYBER	3900	25245	\N	\N	\N
515013	1761	1994-09-18	VYDAJ	VYBER	1000	21950	\N	\N	\N
515014	1761	1994-10-18	VYDAJ	VYBER	600	24811	\N	\N	\N
515015	1761	1994-11-17	VYDAJ	VYBER	1800	26474	\N	\N	\N
515016	1761	1994-12-17	VYDAJ	VYBER	7200	27808	\N	\N	\N
515017	1761	1995-01-16	VYDAJ	VYBER	1100	22383	\N	\N	\N
515018	1761	1995-03-17	VYDAJ	VYBER	3600	22690	\N	\N	\N
515019	1761	1995-04-16	PRIJEM	VKLAD	1300	27450	\N	\N	\N
515020	1761	1995-05-16	VYDAJ	VYBER	4800	26119	\N	\N	\N
515021	1761	1995-06-15	VYDAJ	VYBER	4900	29757	\N	\N	\N
515022	1761	1995-07-15	VYDAJ	VYBER	3800	29442	\N	\N	\N
515023	1761	1995-08-14	VYDAJ	VYBER	2600	30330	\N	\N	\N
515024	1761	1995-09-13	PRIJEM	VKLAD	200	37426	\N	\N	\N
515025	1761	1995-10-13	PRIJEM	VKLAD	3600	31907	\N	\N	\N
515026	1761	1995-12-12	VYDAJ	VYBER	2700	38226	\N	\N	\N
515027	1761	1996-01-11	PRIJEM	VKLAD	8300	29994	\N	\N	\N
515028	1761	1996-02-10	PRIJEM	VKLAD	400	27531	\N	\N	\N
515029	1761	1996-03-11	PRIJEM	VKLAD	800	31481	\N	\N	\N
515030	1761	1996-04-10	VYDAJ	VYBER	3100	32135	\N	\N	\N
515031	1761	1996-05-10	PRIJEM	VKLAD	700	34001	\N	\N	\N
515032	1761	1996-06-09	VYDAJ	VYBER	5800	36740	\N	\N	\N
515033	1761	1996-07-09	PRIJEM	VKLAD	2300	38585	\N	\N	\N
515034	1761	1996-08-08	VYDAJ	VYBER	1700	40374	\N	\N	\N
515035	1761	1996-09-07	VYDAJ	VYBER	3600	40276	\N	\N	\N
515036	1761	1996-10-07	PRIJEM	VKLAD	1200	38379	\N	\N	\N
515037	1761	1996-12-06	VYDAJ	VYBER	1700	37605	\N	\N	\N
515038	1761	1997-01-05	PRIJEM	VKLAD	4200	31685	\N	\N	\N
515039	1761	1997-02-04	PRIJEM	VKLAD	12600	29128	\N	\N	\N
515040	1761	1997-03-06	PRIJEM	VKLAD	200	42941	\N	\N	\N
515041	1761	1997-04-05	PRIJEM	VKLAD	9200	30734	\N	\N	\N
515042	1761	1997-05-05	PRIJEM	VKLAD	1800	36032	\N	\N	\N
515043	1761	1997-06-04	PRIJEM	VKLAD	1400	40957	\N	\N	\N
515044	1761	1997-07-04	PRIJEM	VKLAD	11500	31608	\N	\N	\N
515045	1761	1997-08-03	PRIJEM	VKLAD	6500	28092	\N	\N	\N
515046	1761	1997-09-02	PRIJEM	VKLAD	1700	33280	\N	\N	\N
515047	1761	1997-10-02	PRIJEM	VKLAD	4400	27666	\N	\N	\N
515048	1761	1997-11-01	PRIJEM	VKLAD	7400	29309	\N	\N	\N
515049	1761	1997-12-01	PRIJEM	VKLAD	4500	37301	\N	\N	\N
515050	1761	1997-12-31	PRIJEM	VKLAD	7200	31960	\N	\N	\N
515051	1761	1998-01-30	PRIJEM	VKLAD	5800	28821	\N	\N	\N
515052	1761	1998-03-01	PRIJEM	VKLAD	8600	25395	\N	\N	\N
515053	1761	1998-03-31	PRIJEM	VKLAD	2300	31070	\N	\N	\N
515054	1761	1998-04-30	PRIJEM	VKLAD	9300	33137	\N	\N	\N
515055	1761	1998-05-30	PRIJEM	VKLAD	3300	35807	\N	\N	\N
515056	1761	1998-06-29	VYDAJ	VYBER	4700	38166	\N	\N	\N
515057	1761	1998-07-29	VYDAJ	VYBER	7600	34093	\N	\N	\N
515058	1761	1998-08-28	PRIJEM	VKLAD	9300	28975	\N	\N	\N
515059	1761	1998-09-27	PRIJEM	VKLAD	2300	27321	\N	\N	\N
515060	1761	1998-10-27	PRIJEM	VKLAD	7900	34193	\N	\N	\N
515061	1761	1998-11-26	PRIJEM	VKLAD	1100	27514	\N	\N	\N
515126	1762	1993-12-11	PRIJEM	VKLAD	600	600	\N	\N	\N
515139	1762	1994-01-11	PRIJEM	VKLAD	18908	30708	\N	\N	\N
515140	1762	1994-02-11	PRIJEM	VKLAD	18908	48403	\N	\N	\N
515141	1762	1994-03-11	PRIJEM	VKLAD	18908	67486	\N	\N	\N
515142	1762	1994-04-11	PRIJEM	VKLAD	18908	54483	\N	\N	\N
515143	1762	1994-05-11	PRIJEM	VKLAD	18908	56303	\N	\N	\N
515144	1762	1994-06-11	PRIJEM	VKLAD	28362	56905	\N	\N	\N
515145	1762	1994-07-11	PRIJEM	VKLAD	18908	39365	\N	\N	\N
515146	1762	1994-08-11	PRIJEM	VKLAD	18908	49537	\N	\N	\N
515147	1762	1994-09-11	PRIJEM	VKLAD	18908	42558	\N	\N	\N
515148	1762	1994-10-11	PRIJEM	VKLAD	18908	44138	\N	\N	\N
515149	1762	1994-11-11	PRIJEM	VKLAD	18908	48129	\N	\N	\N
515150	1762	1994-12-11	PRIJEM	VKLAD	28362	54046	\N	\N	\N
515151	1762	1995-01-11	PRIJEM	VKLAD	18908	42301	\N	\N	\N
515152	1762	1995-02-11	PRIJEM	VKLAD	18908	34172	\N	\N	\N
515153	1762	1995-03-11	PRIJEM	VKLAD	18908	44604	\N	\N	\N
515154	1762	1995-04-11	PRIJEM	VKLAD	18908	47209	\N	\N	\N
515155	1762	1995-05-11	PRIJEM	VKLAD	18908	47890	\N	\N	\N
515156	1762	1995-06-11	PRIJEM	VKLAD	28362	58545	\N	\N	\N
515157	1762	1995-07-11	PRIJEM	VKLAD	18908	39608	\N	\N	\N
515158	1762	1995-08-11	PRIJEM	VKLAD	18908	48051	\N	\N	\N
515159	1762	1995-09-11	PRIJEM	VKLAD	18908	49832	\N	\N	\N
515160	1762	1995-10-11	PRIJEM	VKLAD	18908	44323	\N	\N	\N
515161	1762	1995-11-11	PRIJEM	VKLAD	18908	46192	\N	\N	\N
515162	1762	1995-12-11	PRIJEM	VKLAD	28362	56403	\N	\N	\N
515163	1762	1996-01-11	PRIJEM	VKLAD	18908	50609	\N	\N	\N
515164	1762	1996-02-11	PRIJEM	VKLAD	18908	42985	\N	\N	\N
515165	1762	1996-03-11	PRIJEM	VKLAD	18908	37770	\N	\N	\N
515166	1762	1996-04-11	PRIJEM	VKLAD	18908	38308	\N	\N	\N
515167	1762	1996-05-11	PRIJEM	VKLAD	18908	34711	\N	\N	\N
515168	1762	1996-06-11	PRIJEM	VKLAD	28362	44647	\N	\N	\N
515169	1762	1996-07-11	PRIJEM	VKLAD	18908	41897	\N	\N	\N
515170	1762	1996-08-11	PRIJEM	VKLAD	18908	36747	\N	\N	\N
515171	1762	1996-09-11	PRIJEM	VKLAD	18908	36276	\N	\N	\N
515172	1762	1996-10-11	PRIJEM	VKLAD	18908	36004	\N	\N	\N
515173	1762	1996-11-11	PRIJEM	VKLAD	18908	33828	\N	\N	\N
515174	1762	1996-12-11	PRIJEM	VKLAD	28362	42397	\N	\N	\N
515175	1762	1997-01-11	PRIJEM	VKLAD	18908	32526	\N	\N	\N
515176	1762	1997-02-11	PRIJEM	VKLAD	18908	35435	\N	\N	\N
515177	1762	1997-03-11	PRIJEM	VKLAD	18908	35857	\N	\N	\N
515178	1762	1997-04-11	PRIJEM	VKLAD	18908	35462	\N	\N	\N
515179	1762	1997-05-11	PRIJEM	VKLAD	18908	35025	\N	\N	\N
515180	1762	1997-06-11	PRIJEM	VKLAD	28362	47001	\N	\N	\N
515181	1762	1997-07-11	PRIJEM	VKLAD	18908	43252	\N	\N	\N
515182	1762	1997-08-11	PRIJEM	VKLAD	18908	42044	\N	\N	\N
515183	1762	1997-09-11	PRIJEM	VKLAD	18908	39587	\N	\N	\N
515184	1762	1997-10-11	PRIJEM	VKLAD	18908	34916	\N	\N	\N
515185	1762	1997-11-11	PRIJEM	VKLAD	18908	40840	\N	\N	\N
515186	1762	1997-12-11	PRIJEM	VKLAD	28362	43122	\N	\N	\N
515187	1762	1998-01-11	PRIJEM	VKLAD	18908	34343	\N	\N	\N
515188	1762	1998-02-11	PRIJEM	VKLAD	18908	36058	\N	\N	\N
515189	1762	1998-03-11	PRIJEM	VKLAD	18908	41025	\N	\N	\N
515190	1762	1998-04-11	PRIJEM	VKLAD	18908	35856	\N	\N	\N
515191	1762	1998-05-11	PRIJEM	VKLAD	18908	35972	\N	\N	\N
515192	1762	1998-06-11	PRIJEM	VKLAD	28362	37431	\N	\N	\N
515193	1762	1998-07-11	PRIJEM	VKLAD	18908	33544	\N	\N	\N
515194	1762	1998-08-11	PRIJEM	VKLAD	18908	43735	\N	\N	\N
515195	1762	1998-09-11	PRIJEM	VKLAD	18908	33861	\N	\N	\N
515196	1762	1998-10-11	PRIJEM	VKLAD	18908	37590	\N	\N	\N
515197	1762	1998-11-11	PRIJEM	VKLAD	18908	50444	\N	\N	\N
515198	1762	1998-12-11	PRIJEM	VKLAD	28362	66484	\N	\N	\N
515216	1762	1994-06-05	VYDAJ	PREVOD NA UCET	853	50167	SIPO	CD	73894780
515217	1762	1994-07-05	VYDAJ	PREVOD NA UCET	853	27281	SIPO	CD	73894780
515218	1762	1994-08-05	VYDAJ	PREVOD NA UCET	853	32753	SIPO	CD	73894780
515219	1762	1994-09-05	VYDAJ	PREVOD NA UCET	853	33974	SIPO	CD	73894780
515220	1762	1994-10-05	VYDAJ	PREVOD NA UCET	853	41854	SIPO	CD	73894780
515221	1762	1994-11-05	VYDAJ	PREVOD NA UCET	853	43445	SIPO	CD	73894780
515222	1762	1994-12-05	VYDAJ	PREVOD NA UCET	853	44208	SIPO	CD	73894780
515223	1762	1995-01-05	VYDAJ	PREVOD NA UCET	853	37237	SIPO	CD	73894780
515224	1762	1995-02-05	VYDAJ	PREVOD NA UCET	853	20588	SIPO	CD	73894780
515225	1762	1995-03-05	VYDAJ	PREVOD NA UCET	853	33420	SIPO	CD	73894780
515226	1762	1995-04-05	VYDAJ	PREVOD NA UCET	853	33625	SIPO	CD	73894780
515227	1762	1995-05-05	VYDAJ	PREVOD NA UCET	853	34306	SIPO	CD	73894780
515228	1762	1995-06-05	VYDAJ	PREVOD NA UCET	853	35507	SIPO	CD	73894780
515229	1762	1995-07-05	VYDAJ	PREVOD NA UCET	853	26024	SIPO	CD	73894780
515230	1762	1995-08-05	VYDAJ	PREVOD NA UCET	853	34467	SIPO	CD	73894780
515231	1762	1995-09-05	VYDAJ	PREVOD NA UCET	853	36248	SIPO	CD	73894780
515232	1762	1995-10-05	VYDAJ	PREVOD NA UCET	853	30739	SIPO	CD	73894780
515233	1762	1995-11-05	VYDAJ	PREVOD NA UCET	853	32608	SIPO	CD	73894780
515234	1762	1995-12-05	VYDAJ	PREVOD NA UCET	853	33365	SIPO	CD	73894780
515235	1762	1996-01-05	VYDAJ	PREVOD NA UCET	853	37025	SIPO	CD	73894780
515236	1762	1996-02-05	VYDAJ	PREVOD NA UCET	853	29401	SIPO	CD	73894780
515237	1762	1996-03-05	VYDAJ	PREVOD NA UCET	853	24186	SIPO	CD	73894780
515238	1762	1996-04-05	VYDAJ	PREVOD NA UCET	853	24724	SIPO	CD	73894780
515239	1762	1996-05-05	VYDAJ	PREVOD NA UCET	853	21127	SIPO	CD	73894780
515240	1762	1996-06-05	VYDAJ	PREVOD NA UCET	853	21609	SIPO	CD	73894780
515241	1762	1996-07-05	VYDAJ	PREVOD NA UCET	853	28313	SIPO	CD	73894780
515242	1762	1996-08-05	VYDAJ	PREVOD NA UCET	853	23163	SIPO	CD	73894780
515243	1762	1996-09-05	VYDAJ	PREVOD NA UCET	853	22692	SIPO	CD	73894780
515244	1762	1996-10-05	VYDAJ	PREVOD NA UCET	853	22420	SIPO	CD	73894780
515245	1762	1996-11-05	VYDAJ	PREVOD NA UCET	853	20244	SIPO	CD	73894780
515246	1762	1996-12-05	VYDAJ	PREVOD NA UCET	853	19359	SIPO	CD	73894780
515247	1762	1997-01-05	VYDAJ	PREVOD NA UCET	853	18942	SIPO	CD	73894780
515248	1762	1997-02-05	VYDAJ	PREVOD NA UCET	853	21851	SIPO	CD	73894780
515249	1762	1997-03-05	VYDAJ	PREVOD NA UCET	853	22273	SIPO	CD	73894780
515250	1762	1997-04-05	VYDAJ	PREVOD NA UCET	853	21878	SIPO	CD	73894780
515251	1762	1997-05-05	VYDAJ	PREVOD NA UCET	853	21441	SIPO	CD	73894780
515252	1762	1997-06-05	VYDAJ	PREVOD NA UCET	853	23963	SIPO	CD	73894780
515253	1762	1997-07-05	VYDAJ	PREVOD NA UCET	853	29668	SIPO	CD	73894780
515254	1762	1997-08-05	VYDAJ	PREVOD NA UCET	853	28460	SIPO	CD	73894780
515255	1762	1997-09-05	VYDAJ	PREVOD NA UCET	853	26003	SIPO	CD	73894780
515256	1762	1997-10-05	VYDAJ	PREVOD NA UCET	853	21332	SIPO	CD	73894780
515257	1762	1997-11-05	VYDAJ	PREVOD NA UCET	853	27256	SIPO	CD	73894780
515258	1762	1997-12-05	VYDAJ	PREVOD NA UCET	853	20084	SIPO	CD	73894780
515259	1762	1998-01-05	VYDAJ	PREVOD NA UCET	853	20759	SIPO	CD	73894780
515260	1762	1998-02-05	VYDAJ	PREVOD NA UCET	853	22474	SIPO	CD	73894780
515261	1762	1998-03-05	VYDAJ	PREVOD NA UCET	853	27441	SIPO	CD	73894780
515262	1762	1998-04-05	VYDAJ	PREVOD NA UCET	853	22272	SIPO	CD	73894780
515263	1762	1998-05-05	VYDAJ	PREVOD NA UCET	853	22388	SIPO	CD	73894780
515264	1762	1998-06-05	VYDAJ	PREVOD NA UCET	853	19693	SIPO	CD	73894780
515265	1762	1998-07-05	VYDAJ	PREVOD NA UCET	853	24560	SIPO	CD	73894780
515266	1762	1998-08-05	VYDAJ	PREVOD NA UCET	853	30151	SIPO	CD	73894780
515267	1762	1998-09-05	VYDAJ	PREVOD NA UCET	853	20277	SIPO	CD	73894780
515268	1762	1998-10-05	VYDAJ	PREVOD NA UCET	853	33106	SIPO	CD	73894780
515269	1762	1998-11-05	VYDAJ	PREVOD NA UCET	853	36860	SIPO	CD	73894780
515270	1762	1998-12-05	VYDAJ	PREVOD NA UCET	853	43446	SIPO	CD	73894780
515288	1762	1994-06-06	VYDAJ	PREVOD NA UCET	3352	46815	 	QR	49858301
515289	1762	1994-07-06	VYDAJ	PREVOD NA UCET	3352	23929	 	QR	49858301
515290	1762	1994-08-06	VYDAJ	PREVOD NA UCET	3352	29401	 	QR	49858301
515291	1762	1994-09-06	VYDAJ	PREVOD NA UCET	3352	30622	 	QR	49858301
515292	1762	1994-10-06	VYDAJ	PREVOD NA UCET	3352	38502	 	QR	49858301
515293	1762	1994-11-06	VYDAJ	PREVOD NA UCET	3352	40093	 	QR	49858301
515294	1762	1994-12-06	VYDAJ	PREVOD NA UCET	3352	40856	 	QR	49858301
515295	1762	1995-01-06	VYDAJ	PREVOD NA UCET	3352	33885	 	QR	49858301
515296	1762	1995-02-06	VYDAJ	PREVOD NA UCET	3352	17236	 	QR	49858301
515297	1762	1995-03-06	VYDAJ	PREVOD NA UCET	3352	27668	 	QR	49858301
515298	1762	1995-04-06	VYDAJ	PREVOD NA UCET	3352	30273	 	QR	49858301
515299	1762	1995-05-06	VYDAJ	PREVOD NA UCET	3352	30954	 	QR	49858301
515300	1762	1995-06-06	VYDAJ	PREVOD NA UCET	3352	32155	 	QR	49858301
515301	1762	1995-07-06	VYDAJ	PREVOD NA UCET	3352	22672	 	QR	49858301
515302	1762	1995-08-06	VYDAJ	PREVOD NA UCET	3352	31115	 	QR	49858301
515303	1762	1995-09-06	VYDAJ	PREVOD NA UCET	3352	32896	 	QR	49858301
515304	1762	1995-10-06	VYDAJ	PREVOD NA UCET	3352	27387	 	QR	49858301
515305	1762	1995-11-06	VYDAJ	PREVOD NA UCET	3352	29256	 	QR	49858301
515306	1762	1995-12-06	VYDAJ	PREVOD NA UCET	3352	30013	 	QR	49858301
515307	1762	1996-01-06	VYDAJ	PREVOD NA UCET	3352	33673	 	QR	49858301
515308	1762	1996-02-06	VYDAJ	PREVOD NA UCET	3352	26049	 	QR	49858301
515309	1762	1996-03-06	VYDAJ	PREVOD NA UCET	3352	20834	 	QR	49858301
515310	1762	1996-04-06	VYDAJ	PREVOD NA UCET	3352	21372	 	QR	49858301
515311	1762	1996-05-06	VYDAJ	PREVOD NA UCET	3352	17775	 	QR	49858301
515312	1762	1996-06-06	VYDAJ	PREVOD NA UCET	3352	18257	 	QR	49858301
515313	1762	1996-07-06	VYDAJ	PREVOD NA UCET	3352	24961	 	QR	49858301
515314	1762	1996-08-06	VYDAJ	PREVOD NA UCET	3352	19811	 	QR	49858301
515315	1762	1996-09-06	VYDAJ	PREVOD NA UCET	3352	19340	 	QR	49858301
515316	1762	1996-10-06	VYDAJ	PREVOD NA UCET	3352	19068	 	QR	49858301
515317	1762	1996-11-06	VYDAJ	PREVOD NA UCET	3352	16892	 	QR	49858301
515318	1762	1996-12-06	VYDAJ	PREVOD NA UCET	3352	16007	 	QR	49858301
515319	1762	1997-01-06	VYDAJ	PREVOD NA UCET	3352	15590	 	QR	49858301
515320	1762	1997-02-06	VYDAJ	PREVOD NA UCET	3352	18499	 	QR	49858301
515321	1762	1997-03-06	VYDAJ	PREVOD NA UCET	3352	18921	 	QR	49858301
515322	1762	1997-04-06	VYDAJ	PREVOD NA UCET	3352	18526	 	QR	49858301
515323	1762	1997-05-06	VYDAJ	PREVOD NA UCET	3352	18089	 	QR	49858301
515324	1762	1997-06-06	VYDAJ	PREVOD NA UCET	3352	20611	 	QR	49858301
515325	1762	1997-07-06	VYDAJ	PREVOD NA UCET	3352	26316	 	QR	49858301
515326	1762	1997-08-06	VYDAJ	PREVOD NA UCET	3352	25108	 	QR	49858301
515327	1762	1997-09-06	VYDAJ	PREVOD NA UCET	3352	22651	 	QR	49858301
515328	1762	1997-10-06	VYDAJ	PREVOD NA UCET	3352	17980	 	QR	49858301
515329	1762	1997-11-06	VYDAJ	PREVOD NA UCET	3352	23904	 	QR	49858301
515330	1762	1997-12-06	VYDAJ	PREVOD NA UCET	3352	16732	 	QR	49858301
515331	1762	1998-01-06	VYDAJ	PREVOD NA UCET	3352	17407	 	QR	49858301
515332	1762	1998-02-06	VYDAJ	PREVOD NA UCET	3352	19122	 	QR	49858301
515333	1762	1998-03-06	VYDAJ	PREVOD NA UCET	3352	24089	 	QR	49858301
515334	1762	1998-04-06	VYDAJ	PREVOD NA UCET	3352	18920	 	QR	49858301
515335	1762	1998-05-06	VYDAJ	PREVOD NA UCET	3352	19036	 	QR	49858301
515336	1762	1998-06-06	VYDAJ	PREVOD NA UCET	3352	16341	 	QR	49858301
515337	1762	1998-07-06	VYDAJ	PREVOD NA UCET	3352	21208	 	QR	49858301
515338	1762	1998-08-06	VYDAJ	PREVOD NA UCET	3352	26799	 	QR	49858301
515339	1762	1998-09-06	VYDAJ	PREVOD NA UCET	3352	16925	 	QR	49858301
515340	1762	1998-10-06	VYDAJ	PREVOD NA UCET	3352	29754	 	QR	49858301
515341	1762	1998-11-06	VYDAJ	PREVOD NA UCET	3352	33508	 	QR	49858301
515342	1762	1998-12-06	VYDAJ	PREVOD NA UCET	3352	40094	 	QR	49858301
515360	1762	1994-06-10	VYDAJ	PREVOD NA UCET	1972	28543	POJISTNE	MN	87955689
515361	1762	1994-07-10	VYDAJ	PREVOD NA UCET	1972	20457	POJISTNE	MN	87955689
515362	1762	1994-08-10	VYDAJ	PREVOD NA UCET	1972	30629	POJISTNE	MN	87955689
515363	1762	1994-09-10	VYDAJ	PREVOD NA UCET	1972	23650	POJISTNE	MN	87955689
515364	1762	1994-10-10	VYDAJ	PREVOD NA UCET	1972	25230	POJISTNE	MN	87955689
515365	1762	1994-11-10	VYDAJ	PREVOD NA UCET	1972	29221	POJISTNE	MN	87955689
515366	1762	1994-12-10	VYDAJ	PREVOD NA UCET	1972	25684	POJISTNE	MN	87955689
515367	1762	1995-01-10	VYDAJ	PREVOD NA UCET	1972	31913	POJISTNE	MN	87955689
515368	1762	1995-02-10	VYDAJ	PREVOD NA UCET	1972	15264	POJISTNE	MN	87955689
515369	1762	1995-03-10	VYDAJ	PREVOD NA UCET	1972	25696	POJISTNE	MN	87955689
515370	1762	1995-04-10	VYDAJ	PREVOD NA UCET	1972	28301	POJISTNE	MN	87955689
515371	1762	1995-05-10	VYDAJ	PREVOD NA UCET	1972	28982	POJISTNE	MN	87955689
515372	1762	1995-06-10	VYDAJ	PREVOD NA UCET	1972	30183	POJISTNE	MN	87955689
515373	1762	1995-07-10	VYDAJ	PREVOD NA UCET	1972	20700	POJISTNE	MN	87955689
515374	1762	1995-08-10	VYDAJ	PREVOD NA UCET	1972	29143	POJISTNE	MN	87955689
515375	1762	1995-09-10	VYDAJ	PREVOD NA UCET	1972	30924	POJISTNE	MN	87955689
515376	1762	1995-10-10	VYDAJ	PREVOD NA UCET	1972	25415	POJISTNE	MN	87955689
515377	1762	1995-11-10	VYDAJ	PREVOD NA UCET	1972	27284	POJISTNE	MN	87955689
515378	1762	1995-12-10	VYDAJ	PREVOD NA UCET	1972	28041	POJISTNE	MN	87955689
515379	1762	1996-01-10	VYDAJ	PREVOD NA UCET	1972	31701	POJISTNE	MN	87955689
515380	1762	1996-02-10	VYDAJ	PREVOD NA UCET	1972	24077	POJISTNE	MN	87955689
515381	1762	1996-03-10	VYDAJ	PREVOD NA UCET	1972	18862	POJISTNE	MN	87955689
515382	1762	1996-04-10	VYDAJ	PREVOD NA UCET	1972	19400	POJISTNE	MN	87955689
515383	1762	1996-05-10	VYDAJ	PREVOD NA UCET	1972	15803	POJISTNE	MN	87955689
515384	1762	1996-06-10	VYDAJ	PREVOD NA UCET	1972	16285	POJISTNE	MN	87955689
515385	1762	1996-07-10	VYDAJ	PREVOD NA UCET	1972	22989	POJISTNE	MN	87955689
515386	1762	1996-08-10	VYDAJ	PREVOD NA UCET	1972	17839	POJISTNE	MN	87955689
515387	1762	1996-09-10	VYDAJ	PREVOD NA UCET	1972	17368	POJISTNE	MN	87955689
515388	1762	1996-10-10	VYDAJ	PREVOD NA UCET	1972	17096	POJISTNE	MN	87955689
515389	1762	1996-11-10	VYDAJ	PREVOD NA UCET	1972	14920	POJISTNE	MN	87955689
515390	1762	1996-12-10	VYDAJ	PREVOD NA UCET	1972	14035	POJISTNE	MN	87955689
515391	1762	1997-01-10	VYDAJ	PREVOD NA UCET	1972	13618	POJISTNE	MN	87955689
515392	1762	1997-02-10	VYDAJ	PREVOD NA UCET	1972	16527	POJISTNE	MN	87955689
515393	1762	1997-03-10	VYDAJ	PREVOD NA UCET	1972	16949	POJISTNE	MN	87955689
515394	1762	1997-04-10	VYDAJ	PREVOD NA UCET	1972	16554	POJISTNE	MN	87955689
515395	1762	1997-05-10	VYDAJ	PREVOD NA UCET	1972	16117	POJISTNE	MN	87955689
515396	1762	1997-06-10	VYDAJ	PREVOD NA UCET	1972	18639	POJISTNE	MN	87955689
515397	1762	1997-07-10	VYDAJ	PREVOD NA UCET	1972	24344	POJISTNE	MN	87955689
515398	1762	1997-08-10	VYDAJ	PREVOD NA UCET	1972	23136	POJISTNE	MN	87955689
515399	1762	1997-09-10	VYDAJ	PREVOD NA UCET	1972	20679	POJISTNE	MN	87955689
515400	1762	1997-10-10	VYDAJ	PREVOD NA UCET	1972	16008	POJISTNE	MN	87955689
515401	1762	1997-11-10	VYDAJ	PREVOD NA UCET	1972	21932	POJISTNE	MN	87955689
515402	1762	1997-12-10	VYDAJ	PREVOD NA UCET	1972	14760	POJISTNE	MN	87955689
515403	1762	1998-01-10	VYDAJ	PREVOD NA UCET	1972	15435	POJISTNE	MN	87955689
515404	1762	1998-02-10	VYDAJ	PREVOD NA UCET	1972	17150	POJISTNE	MN	87955689
515405	1762	1998-03-10	VYDAJ	PREVOD NA UCET	1972	22117	POJISTNE	MN	87955689
515406	1762	1998-04-10	VYDAJ	PREVOD NA UCET	1972	16948	POJISTNE	MN	87955689
515407	1762	1998-05-10	VYDAJ	PREVOD NA UCET	1972	17064	POJISTNE	MN	87955689
515408	1762	1998-06-10	VYDAJ	PREVOD NA UCET	1972	9069	POJISTNE	MN	87955689
515409	1762	1998-07-10	VYDAJ	PREVOD NA UCET	1972	19236	POJISTNE	MN	87955689
515410	1762	1998-08-10	VYDAJ	PREVOD NA UCET	1972	24827	POJISTNE	MN	87955689
515411	1762	1998-09-10	VYDAJ	PREVOD NA UCET	1972	14953	POJISTNE	MN	87955689
515412	1762	1998-10-10	VYDAJ	PREVOD NA UCET	1972	18682	POJISTNE	MN	87955689
515413	1762	1998-11-10	VYDAJ	PREVOD NA UCET	1972	31536	POJISTNE	MN	87955689
515414	1762	1998-12-10	VYDAJ	PREVOD NA UCET	1972	38122	POJISTNE	MN	87955689
515431	1762	1994-05-11	VYDAJ	VYBER	5500	50803	\N	\N	0
515432	1762	1994-06-07	VYDAJ	VYBER	4800	42015	\N	\N	0
515433	1762	1994-07-10	VYDAJ	VYBER	4300	22429	\N	\N	0
515434	1762	1994-08-16	VYDAJ	VYBER	8000	41537	\N	\N	0
515435	1762	1994-09-02	VYDAJ	VYBER	5300	34827	\N	\N	0
515436	1762	1994-10-09	VYDAJ	VYBER	8300	27202	\N	\N	0
515437	1762	1994-11-06	VYDAJ	VYBER	6200	31193	\N	\N	0
515438	1762	1994-12-08	VYDAJ	VYBER	6300	27656	\N	\N	0
515439	1762	1995-01-15	VYDAJ	VYBER	5500	34161	\N	\N	0
515440	1762	1995-01-28	VYDAJ	VYBER	8900	16621	\N	\N	0
515441	1762	1995-03-13	VYDAJ	VYBER	7600	37004	\N	\N	0
515442	1762	1995-04-20	VYDAJ	VYBER	6100	41109	\N	\N	0
515443	1762	1995-05-12	VYDAJ	PREVOD NA UCET	6893	40997	UVER	QR	76073628
515444	1762	1995-06-12	VYDAJ	PREVOD NA UCET	6893	17092	UVER	QR	76073628
515445	1762	1995-07-12	VYDAJ	PREVOD NA UCET	6893	32715	UVER	QR	76073628
515446	1762	1995-08-12	VYDAJ	PREVOD NA UCET	6893	41158	UVER	QR	76073628
515447	1762	1995-09-12	VYDAJ	PREVOD NA UCET	6893	42939	UVER	QR	76073628
515448	1762	1995-10-12	VYDAJ	PREVOD NA UCET	6893	37430	UVER	QR	76073628
515449	1762	1995-11-12	VYDAJ	PREVOD NA UCET	6893	39299	UVER	QR	76073628
515450	1762	1995-12-12	VYDAJ	PREVOD NA UCET	6893	49510	UVER	QR	76073628
515451	1762	1996-01-12	VYDAJ	PREVOD NA UCET	6893	43716	UVER	QR	76073628
515452	1762	1996-02-12	VYDAJ	PREVOD NA UCET	6893	36092	UVER	QR	76073628
515453	1762	1996-03-12	VYDAJ	PREVOD NA UCET	6893	30877	UVER	QR	76073628
515454	1762	1996-04-12	VYDAJ	PREVOD NA UCET	6893	31415	UVER	QR	76073628
515455	1762	1996-05-12	VYDAJ	PREVOD NA UCET	6893	27818	UVER	QR	76073628
515456	1762	1996-06-12	VYDAJ	PREVOD NA UCET	6893	37754	UVER	QR	76073628
515457	1762	1996-07-12	VYDAJ	PREVOD NA UCET	6893	35004	UVER	QR	76073628
515458	1762	1996-08-12	VYDAJ	PREVOD NA UCET	6893	29854	UVER	QR	76073628
515459	1762	1996-09-12	VYDAJ	PREVOD NA UCET	6893	29383	UVER	QR	76073628
515460	1762	1996-10-12	VYDAJ	PREVOD NA UCET	6893	29111	UVER	QR	76073628
515461	1762	1996-11-12	VYDAJ	PREVOD NA UCET	6893	26935	UVER	QR	76073628
515462	1762	1996-12-12	VYDAJ	PREVOD NA UCET	6893	35504	UVER	QR	76073628
515463	1762	1997-01-12	VYDAJ	PREVOD NA UCET	6893	25633	UVER	QR	76073628
515464	1762	1997-02-12	VYDAJ	PREVOD NA UCET	6893	28542	UVER	QR	76073628
515465	1762	1997-03-12	VYDAJ	PREVOD NA UCET	6893	28964	UVER	QR	76073628
515466	1762	1997-04-12	VYDAJ	PREVOD NA UCET	6893	28569	UVER	QR	76073628
515467	1762	1997-05-12	VYDAJ	PREVOD NA UCET	6893	28132	UVER	QR	76073628
515468	1762	1997-06-12	VYDAJ	PREVOD NA UCET	6893	40108	UVER	QR	76073628
515469	1762	1997-07-12	VYDAJ	PREVOD NA UCET	6893	36359	UVER	QR	76073628
515470	1762	1997-08-12	VYDAJ	PREVOD NA UCET	6893	35151	UVER	QR	76073628
515471	1762	1997-09-12	VYDAJ	PREVOD NA UCET	6893	32694	UVER	QR	76073628
515472	1762	1997-10-12	VYDAJ	PREVOD NA UCET	6893	28023	UVER	QR	76073628
515473	1762	1997-11-12	VYDAJ	PREVOD NA UCET	6893	33947	UVER	QR	76073628
515474	1762	1997-12-12	VYDAJ	PREVOD NA UCET	6893	36229	UVER	QR	76073628
515475	1762	1998-01-12	VYDAJ	PREVOD NA UCET	6893	27450	UVER	QR	76073628
515476	1762	1998-02-12	VYDAJ	PREVOD NA UCET	6893	29165	UVER	QR	76073628
515477	1762	1998-03-12	VYDAJ	PREVOD NA UCET	6893	34132	UVER	QR	76073628
515478	1762	1998-04-12	VYDAJ	PREVOD NA UCET	6893	28963	UVER	QR	76073628
515479	1762	1998-05-12	VYDAJ	VYBER	7400	28572	\N	\N	0
515480	1762	1998-06-07	VYDAJ	VYBER	5300	11041	\N	\N	0
515481	1762	1998-07-10	VYDAJ	VYBER	4600	14636	\N	\N	0
515482	1762	1998-08-13	VYDAJ	VYBER	7100	36635	\N	\N	0
515483	1762	1998-08-28	VYDAJ	VYBER	4100	21035	\N	\N	0
515484	1762	1998-10-09	VYDAJ	VYBER	9100	20654	\N	\N	0
515485	1762	1998-11-19	VYDAJ	VYBER	6300	44144	\N	\N	0
515486	1762	1998-12-14	VYDAJ	VYBER	5800	60684	\N	\N	0
515488	1762	1994-06-27	VYDAJ	VYBER	28960	27945	\N	\N	\N
515489	1762	1995-06-11	VYDAJ	VYBER	34560	23985	\N	\N	\N
515494	1762	1994-12-21	VYDAJ	VYBER	3360	50686	\N	\N	\N
515495	1762	1995-12-05	VYDAJ	VYBER	1120	34218	\N	\N	\N
515511	1762	1995-01-10	VYDAJ	VYBER	2880	29033	\N	\N	\N
515512	1762	1995-01-03	VYDAJ	VYBER	1440	43790	\N	\N	\N
515513	1762	1995-01-01	VYDAJ	VYBER	720	45230	\N	\N	\N
515514	1762	1995-01-13	VYDAJ	VYBER	2640	39661	\N	\N	\N
515515	1762	1995-01-23	VYDAJ	VYBER	2520	26841	\N	\N	\N
515516	1762	1995-01-25	VYDAJ	VYBER	1320	25521	\N	\N	\N
515517	1762	1996-01-19	VYDAJ	VYBER	2400	37236	\N	\N	\N
515518	1762	1996-01-30	VYDAJ	VYBER	2400	31716	\N	\N	\N
515519	1762	1996-01-14	VYDAJ	VYBER	1920	39636	\N	\N	\N
515520	1762	1996-01-29	VYDAJ	VYBER	1920	34116	\N	\N	\N
515521	1762	1996-01-12	VYDAJ	VYBER	2160	41556	\N	\N	\N
515522	1762	1996-01-29	VYDAJ	VYBER	1200	36036	\N	\N	\N
515527	1762	1997-01-15	VYDAJ	VYBER	3000	22633	\N	\N	\N
515530	1762	1998-01-24	VYDAJ	VYBER	2040	23250	\N	\N	\N
515533	1762	1998-01-18	VYDAJ	VYBER	2160	25290	\N	\N	\N
515540	1762	1994-11-22	VYDAJ	VYBER	1080	47049	\N	\N	\N
515541	1762	1994-08-30	VYDAJ	VYBER	1560	39977	\N	\N	\N
515543	1762	1994-11-28	VYDAJ	VYBER	2160	44889	\N	\N	\N
515544	1762	1994-07-18	VYDAJ	VYBER	5880	33485	\N	\N	\N
515545	1762	1995-09-29	VYDAJ	VYBER	5400	37539	\N	\N	\N
515546	1762	1995-03-31	VYDAJ	VYBER	3960	33178	\N	\N	\N
515547	1762	1995-01-22	VYDAJ	VYBER	4800	29361	\N	\N	\N
515548	1762	1995-01-10	VYDAJ	VYBER	5640	23393	\N	\N	\N
515549	1762	1995-05-20	VYDAJ	VYBER	2880	38117	\N	\N	\N
515550	1762	1995-10-02	VYDAJ	VYBER	3000	34692	\N	\N	\N
515551	1762	1995-01-01	VYDAJ	VYBER	4920	45950	\N	\N	\N
515552	1762	1996-07-29	VYDAJ	VYBER	1200	23904	\N	\N	\N
515553	1762	1996-05-17	VYDAJ	VYBER	1440	26378	\N	\N	\N
515554	1762	1996-02-12	VYDAJ	VYBER	5760	30332	\N	\N	\N
515555	1762	1996-04-15	VYDAJ	VYBER	2520	24095	\N	\N	\N
515557	1762	1996-04-14	VYDAJ	VYBER	4800	26615	\N	\N	\N
515559	1762	1997-04-03	VYDAJ	VYBER	1920	22731	\N	\N	\N
515560	1762	1997-07-31	VYDAJ	VYBER	2160	29328	\N	\N	\N
515561	1762	1997-04-27	VYDAJ	VYBER	3960	22209	\N	\N	\N
515565	1762	1998-03-04	VYDAJ	VYBER	960	28294	\N	\N	\N
515566	1762	1998-07-21	VYDAJ	VYBER	2640	30904	\N	\N	\N
515585	1762	1994-05-31	VYDAJ	VYBER	15	51020	SLUZBY	\N	\N
515586	1762	1994-06-30	VYDAJ	VYBER	15	28134	SLUZBY	\N	\N
515587	1762	1994-07-31	VYDAJ	VYBER	15	33606	SLUZBY	\N	\N
515588	1762	1994-08-31	VYDAJ	VYBER	15	40127	SLUZBY	\N	\N
515589	1762	1994-09-30	VYDAJ	VYBER	15	42707	SLUZBY	\N	\N
515590	1762	1994-10-31	VYDAJ	VYBER	15	44298	SLUZBY	\N	\N
515591	1762	1994-11-30	VYDAJ	VYBER	15	45061	SLUZBY	\N	\N
515592	1762	1994-12-31	VYDAJ	VYBER	15	50870	SLUZBY	\N	\N
515593	1762	1995-01-31	VYDAJ	VYBER	15	16741	SLUZBY	\N	\N
515594	1762	1995-02-28	VYDAJ	VYBER	15	34273	SLUZBY	\N	\N
515595	1762	1995-03-31	VYDAJ	VYBER	15	37138	SLUZBY	\N	\N
515596	1762	1995-04-30	VYDAJ	VYBER	15	41259	SLUZBY	\N	\N
515597	1762	1995-05-31	VYDAJ	VYBER	15	38260	SLUZBY	\N	\N
515598	1762	1995-06-30	VYDAJ	VYBER	15	17177	SLUZBY	\N	\N
515599	1762	1995-07-31	VYDAJ	VYBER	15	32820	SLUZBY	\N	\N
515600	1762	1995-08-31	VYDAJ	VYBER	15	41301	SLUZBY	\N	\N
515601	1762	1995-09-30	VYDAJ	VYBER	15	37692	SLUZBY	\N	\N
515602	1762	1995-10-31	VYDAJ	VYBER	15	37561	SLUZBY	\N	\N
515603	1762	1995-11-30	VYDAJ	VYBER	15	39438	SLUZBY	\N	\N
515604	1762	1995-12-31	VYDAJ	VYBER	15	37878	SLUZBY	\N	\N
515605	1762	1996-01-31	VYDAJ	VYBER	15	30254	SLUZBY	\N	\N
515606	1762	1996-02-29	VYDAJ	VYBER	15	25039	SLUZBY	\N	\N
515607	1762	1996-03-31	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
515608	1762	1996-04-30	VYDAJ	VYBER	15	21980	SLUZBY	\N	\N
515609	1762	1996-05-31	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
515610	1762	1996-06-30	VYDAJ	VYBER	15	29166	SLUZBY	\N	\N
515611	1762	1996-07-31	VYDAJ	VYBER	15	24016	SLUZBY	\N	\N
515612	1762	1996-08-31	VYDAJ	VYBER	15	23545	SLUZBY	\N	\N
515613	1762	1996-09-30	VYDAJ	VYBER	15	23273	SLUZBY	\N	\N
515614	1762	1996-10-31	VYDAJ	VYBER	15	21097	SLUZBY	\N	\N
515615	1762	1996-11-30	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
515616	1762	1996-12-31	VYDAJ	VYBER	15	19795	SLUZBY	\N	\N
515617	1762	1997-01-31	VYDAJ	VYBER	15	22704	SLUZBY	\N	\N
515618	1762	1997-02-28	VYDAJ	VYBER	15	23126	SLUZBY	\N	\N
515619	1762	1997-03-31	VYDAJ	VYBER	15	24651	SLUZBY	\N	\N
515620	1762	1997-04-30	VYDAJ	VYBER	15	22294	SLUZBY	\N	\N
515621	1762	1997-05-31	VYDAJ	VYBER	15	24816	SLUZBY	\N	\N
515622	1762	1997-06-30	VYDAJ	VYBER	15	30521	SLUZBY	\N	\N
515623	1762	1997-07-31	VYDAJ	VYBER	15	29313	SLUZBY	\N	\N
515624	1762	1997-08-31	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
515625	1762	1997-09-30	VYDAJ	VYBER	15	22185	SLUZBY	\N	\N
515626	1762	1997-10-31	VYDAJ	VYBER	15	28109	SLUZBY	\N	\N
515627	1762	1997-11-30	VYDAJ	VYBER	15	20937	SLUZBY	\N	\N
515628	1762	1997-12-31	VYDAJ	VYBER	15	21612	SLUZBY	\N	\N
515629	1762	1998-01-31	VYDAJ	VYBER	15	23327	SLUZBY	\N	\N
515630	1762	1998-02-28	VYDAJ	VYBER	15	29254	SLUZBY	\N	\N
515631	1762	1998-03-31	VYDAJ	VYBER	15	23125	SLUZBY	\N	\N
515632	1762	1998-04-30	VYDAJ	VYBER	15	23241	SLUZBY	\N	\N
515633	1762	1998-05-31	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
515634	1762	1998-06-30	VYDAJ	VYBER	15	25413	SLUZBY	\N	\N
515635	1762	1998-07-31	VYDAJ	VYBER	15	31004	SLUZBY	\N	\N
515636	1762	1998-08-31	VYDAJ	VYBER	15	21130	SLUZBY	\N	\N
515637	1762	1998-09-30	VYDAJ	VYBER	15	33959	SLUZBY	\N	\N
515638	1762	1998-10-31	VYDAJ	VYBER	15	37713	SLUZBY	\N	\N
515639	1762	1998-11-30	VYDAJ	VYBER	15	44299	SLUZBY	\N	\N
515640	1762	1994-01-10	PRIJEM	VKLAD	11200	11800	\N	\N	\N
515641	1762	1994-02-09	VYDAJ	VYBER	1300	29495	\N	\N	\N
515642	1762	1994-03-11	VYDAJ	VYBER	23600	43886	\N	\N	\N
515643	1762	1994-04-10	VYDAJ	VYBER	8500	35575	\N	\N	\N
515644	1762	1994-05-10	VYDAJ	VYBER	17300	37395	\N	\N	\N
515645	1762	1994-06-09	VYDAJ	VYBER	11500	30515	\N	\N	\N
515646	1762	1994-07-09	PRIJEM	VKLAD	2800	26729	\N	\N	\N
515647	1762	1994-08-08	PRIJEM	VKLAD	3200	32601	\N	\N	\N
515648	1762	1994-09-07	VYDAJ	VYBER	5000	25622	\N	\N	\N
515649	1762	1994-10-07	VYDAJ	VYBER	3000	35502	\N	\N	\N
515650	1762	1994-11-06	VYDAJ	VYBER	2700	37393	\N	\N	\N
515651	1762	1994-12-06	VYDAJ	VYBER	6900	33956	\N	\N	\N
515652	1762	1995-01-05	VYDAJ	VYBER	5700	38090	\N	\N	\N
515653	1762	1995-02-04	PRIJEM	VKLAD	4700	21441	\N	\N	\N
515654	1762	1995-03-06	VYDAJ	VYBER	2400	31020	\N	\N	\N
515655	1762	1995-04-05	PRIJEM	VKLAD	1300	34478	\N	\N	\N
515656	1762	1995-05-05	VYDAJ	VYBER	6100	35159	\N	\N	\N
515657	1762	1995-06-04	VYDAJ	VYBER	1900	36360	\N	\N	\N
515658	1762	1995-07-04	PRIJEM	VKLAD	9700	26877	\N	\N	\N
515659	1762	1995-08-03	PRIJEM	VKLAD	2500	35320	\N	\N	\N
515660	1762	1995-09-02	VYDAJ	VYBER	4200	37101	\N	\N	\N
515661	1762	1995-10-02	VYDAJ	VYBER	3100	31592	\N	\N	\N
515662	1762	1995-11-01	VYDAJ	VYBER	4100	33461	\N	\N	\N
515663	1762	1995-12-01	VYDAJ	VYBER	4100	35338	\N	\N	\N
515664	1762	1995-12-31	VYDAJ	VYBER	11800	37892	\N	\N	\N
515665	1762	1996-01-30	VYDAJ	VYBER	1600	30116	\N	\N	\N
515666	1762	1996-02-29	VYDAJ	VYBER	5400	25054	\N	\N	\N
515667	1762	1996-03-30	VYDAJ	VYBER	5400	25477	\N	\N	\N
515668	1762	1996-04-29	VYDAJ	VYBER	2200	21895	\N	\N	\N
515669	1762	1996-05-29	VYDAJ	VYBER	4000	22378	\N	\N	\N
515670	1762	1996-06-28	VYDAJ	VYBER	8700	29054	\N	\N	\N
515671	1762	1996-07-28	VYDAJ	VYBER	9900	25104	\N	\N	\N
515672	1762	1996-08-27	VYDAJ	VYBER	6400	23454	\N	\N	\N
515673	1762	1996-09-26	VYDAJ	VYBER	6200	23183	\N	\N	\N
515674	1762	1996-10-26	VYDAJ	VYBER	8100	21011	\N	\N	\N
515675	1762	1996-11-25	VYDAJ	VYBER	6800	20135	\N	\N	\N
515676	1762	1996-12-25	VYDAJ	VYBER	15800	19704	\N	\N	\N
515677	1762	1997-02-23	VYDAJ	VYBER	5500	23042	\N	\N	\N
515678	1762	1997-03-25	VYDAJ	VYBER	4400	24564	\N	\N	\N
515679	1762	1997-04-24	VYDAJ	VYBER	2400	26169	\N	\N	\N
515680	1762	1997-05-24	VYDAJ	VYBER	3400	24732	\N	\N	\N
515681	1762	1997-06-23	VYDAJ	VYBER	9700	30408	\N	\N	\N
515682	1762	1997-07-23	VYDAJ	VYBER	5000	31359	\N	\N	\N
515683	1762	1997-08-22	VYDAJ	VYBER	8400	26751	\N	\N	\N
515684	1762	1997-09-21	VYDAJ	VYBER	10600	22094	\N	\N	\N
515685	1762	1997-11-20	VYDAJ	VYBER	13100	20847	\N	\N	\N
515686	1762	1997-12-20	VYDAJ	VYBER	14700	21529	\N	\N	\N
515687	1762	1998-03-20	VYDAJ	VYBER	11100	23032	\N	\N	\N
515688	1762	1998-04-19	VYDAJ	VYBER	5800	23163	\N	\N	\N
515689	1762	1998-05-19	VYDAJ	VYBER	8100	20472	\N	\N	\N
515690	1762	1998-06-18	VYDAJ	VYBER	12100	25331	\N	\N	\N
515691	1762	1998-08-17	VYDAJ	VYBER	11500	25135	\N	\N	\N
515692	1762	1998-12-15	VYDAJ	VYBER	31500	29184	\N	\N	\N
515753	1763	1996-03-06	PRIJEM	VKLAD	600	600	\N	\N	\N
515756	1763	1996-03-09	PRIJEM	VKLAD	22782	23382	\N	\N	\N
515757	1763	1996-04-09	PRIJEM	VKLAD	22782	49136	\N	\N	\N
515758	1763	1996-05-09	PRIJEM	VKLAD	22782	57994	\N	\N	\N
515759	1763	1996-06-09	PRIJEM	VKLAD	34173	75300	\N	\N	\N
515760	1763	1996-07-09	PRIJEM	VKLAD	22782	73776	\N	\N	\N
515761	1763	1996-08-09	PRIJEM	VKLAD	22782	64167	\N	\N	\N
515762	1763	1996-09-09	PRIJEM	VKLAD	22782	63018	\N	\N	\N
515763	1763	1996-10-09	PRIJEM	VKLAD	22782	59113	\N	\N	\N
515764	1763	1996-11-09	PRIJEM	VKLAD	22782	57796	\N	\N	\N
515765	1763	1996-12-09	PRIJEM	VKLAD	34173	71195	\N	\N	\N
515766	1763	1997-01-09	PRIJEM	VKLAD	22782	55487	\N	\N	\N
515767	1763	1997-02-09	PRIJEM	VKLAD	22782	56847	\N	\N	\N
515768	1763	1997-03-09	PRIJEM	VKLAD	22782	59645	\N	\N	\N
515769	1763	1997-04-09	PRIJEM	VKLAD	22782	62765	\N	\N	\N
515770	1763	1997-05-09	PRIJEM	VKLAD	22782	57574	\N	\N	\N
515771	1763	1997-06-09	PRIJEM	VKLAD	34173	70664	\N	\N	\N
515772	1763	1997-07-09	PRIJEM	VKLAD	22782	49137	\N	\N	\N
515773	1763	1997-08-09	PRIJEM	VKLAD	22782	52700	\N	\N	\N
515774	1763	1997-09-09	PRIJEM	VKLAD	22782	53875	\N	\N	\N
515775	1763	1997-10-09	PRIJEM	VKLAD	22782	51052	\N	\N	\N
515776	1763	1997-11-09	PRIJEM	VKLAD	22782	46776	\N	\N	\N
515777	1763	1997-12-09	PRIJEM	VKLAD	34173	58315	\N	\N	\N
515778	1763	1998-01-09	PRIJEM	VKLAD	22782	55597	\N	\N	\N
515779	1763	1998-02-09	PRIJEM	VKLAD	22782	39032	\N	\N	\N
515780	1763	1998-03-09	PRIJEM	VKLAD	22782	49155	\N	\N	\N
515781	1763	1998-04-09	PRIJEM	VKLAD	22782	53511	\N	\N	\N
515782	1763	1998-05-09	PRIJEM	VKLAD	22782	56886	\N	\N	\N
515783	1763	1998-06-09	PRIJEM	VKLAD	34173	67761	\N	\N	\N
515784	1763	1998-07-09	PRIJEM	VKLAD	22782	64074	\N	\N	\N
515785	1763	1998-08-09	PRIJEM	VKLAD	22782	57677	\N	\N	\N
515786	1763	1998-09-09	PRIJEM	VKLAD	22782	51120	\N	\N	\N
515787	1763	1998-10-09	PRIJEM	VKLAD	22782	53182	\N	\N	\N
515788	1763	1998-11-09	PRIJEM	VKLAD	22782	52243	\N	\N	\N
515789	1763	1998-12-09	PRIJEM	VKLAD	34173	65994	\N	\N	\N
515797	1763	1996-08-07	VYDAJ	PREVOD NA UCET	1146	46924	SIPO	UV	70918726
515798	1763	1996-09-07	VYDAJ	PREVOD NA UCET	1146	45775	SIPO	UV	70918726
515799	1763	1996-10-07	VYDAJ	PREVOD NA UCET	1146	41870	SIPO	UV	70918726
515800	1763	1996-11-07	VYDAJ	PREVOD NA UCET	1146	40553	SIPO	UV	70918726
515801	1763	1996-12-07	VYDAJ	PREVOD NA UCET	1146	42561	SIPO	UV	70918726
515802	1763	1997-01-07	VYDAJ	PREVOD NA UCET	1146	39924	SIPO	UV	70918726
515803	1763	1997-02-07	VYDAJ	PREVOD NA UCET	1146	39604	SIPO	UV	70918726
515804	1763	1997-03-07	VYDAJ	PREVOD NA UCET	1146	42402	SIPO	UV	70918726
515805	1763	1997-04-07	VYDAJ	PREVOD NA UCET	1146	45522	SIPO	UV	70918726
515806	1763	1997-05-07	VYDAJ	PREVOD NA UCET	1146	40331	SIPO	UV	70918726
515807	1763	1997-06-07	VYDAJ	PREVOD NA UCET	1146	42030	SIPO	UV	70918726
515808	1763	1997-07-07	VYDAJ	PREVOD NA UCET	1146	31894	SIPO	UV	70918726
515809	1763	1997-08-07	VYDAJ	PREVOD NA UCET	1146	35457	SIPO	UV	70918726
515810	1763	1997-09-07	VYDAJ	PREVOD NA UCET	1146	36632	SIPO	UV	70918726
515811	1763	1997-10-07	VYDAJ	PREVOD NA UCET	1146	33809	SIPO	UV	70918726
515812	1763	1997-11-07	VYDAJ	PREVOD NA UCET	1146	29533	SIPO	UV	70918726
515813	1763	1997-12-07	VYDAJ	PREVOD NA UCET	1146	29681	SIPO	UV	70918726
515814	1763	1998-01-07	VYDAJ	PREVOD NA UCET	1146	38354	SIPO	UV	70918726
515815	1763	1998-02-07	VYDAJ	PREVOD NA UCET	1146	25029	SIPO	UV	70918726
515816	1763	1998-03-07	VYDAJ	PREVOD NA UCET	1146	31912	SIPO	UV	70918726
515817	1763	1998-04-07	VYDAJ	PREVOD NA UCET	1146	36268	SIPO	UV	70918726
515818	1763	1998-05-07	VYDAJ	PREVOD NA UCET	1146	39643	SIPO	UV	70918726
515819	1763	1998-06-07	VYDAJ	PREVOD NA UCET	1146	39127	SIPO	UV	70918726
515820	1763	1998-07-07	VYDAJ	PREVOD NA UCET	1146	46831	SIPO	UV	70918726
515821	1763	1998-08-07	VYDAJ	PREVOD NA UCET	1146	40434	SIPO	UV	70918726
515822	1763	1998-09-07	VYDAJ	PREVOD NA UCET	1146	33877	SIPO	UV	70918726
515823	1763	1998-10-07	VYDAJ	PREVOD NA UCET	1146	35939	SIPO	UV	70918726
515824	1763	1998-11-07	VYDAJ	PREVOD NA UCET	1146	35000	SIPO	UV	70918726
515825	1763	1998-12-07	VYDAJ	PREVOD NA UCET	1146	37360	SIPO	UV	70918726
515833	1763	1996-08-08	VYDAJ	PREVOD NA UCET	5539	41385	 	QR	52545648
515834	1763	1996-09-08	VYDAJ	PREVOD NA UCET	5539	40236	 	QR	52545648
515835	1763	1996-10-08	VYDAJ	PREVOD NA UCET	5539	36331	 	QR	52545648
515836	1763	1996-11-08	VYDAJ	PREVOD NA UCET	5539	35014	 	QR	52545648
515837	1763	1996-12-08	VYDAJ	PREVOD NA UCET	5539	37022	 	QR	52545648
515838	1763	1997-01-08	VYDAJ	PREVOD NA UCET	5539	32705	 	QR	52545648
515839	1763	1997-02-08	VYDAJ	PREVOD NA UCET	5539	34065	 	QR	52545648
515840	1763	1997-03-08	VYDAJ	PREVOD NA UCET	5539	36863	 	QR	52545648
515841	1763	1997-04-08	VYDAJ	PREVOD NA UCET	5539	39983	 	QR	52545648
515842	1763	1997-05-08	VYDAJ	PREVOD NA UCET	5539	34792	 	QR	52545648
515843	1763	1997-06-08	VYDAJ	PREVOD NA UCET	5539	36491	 	QR	52545648
515844	1763	1997-07-08	VYDAJ	PREVOD NA UCET	5539	26355	 	QR	52545648
515845	1763	1997-08-08	VYDAJ	PREVOD NA UCET	5539	29918	 	QR	52545648
515846	1763	1997-09-08	VYDAJ	PREVOD NA UCET	5539	31093	 	QR	52545648
515847	1763	1997-10-08	VYDAJ	PREVOD NA UCET	5539	28270	 	QR	52545648
515848	1763	1997-11-08	VYDAJ	PREVOD NA UCET	5539	23994	 	QR	52545648
515849	1763	1997-12-08	VYDAJ	PREVOD NA UCET	5539	24142	 	QR	52545648
515850	1763	1998-01-08	VYDAJ	PREVOD NA UCET	5539	32815	 	QR	52545648
515851	1763	1998-02-08	VYDAJ	PREVOD NA UCET	5539	19490	 	QR	52545648
515852	1763	1998-03-08	VYDAJ	PREVOD NA UCET	5539	26373	 	QR	52545648
515853	1763	1998-04-08	VYDAJ	PREVOD NA UCET	5539	30729	 	QR	52545648
515854	1763	1998-05-08	VYDAJ	PREVOD NA UCET	5539	34104	 	QR	52545648
515855	1763	1998-06-08	VYDAJ	PREVOD NA UCET	5539	33588	 	QR	52545648
515856	1763	1998-07-08	VYDAJ	PREVOD NA UCET	5539	41292	 	QR	52545648
515857	1763	1998-08-08	VYDAJ	PREVOD NA UCET	5539	34895	 	QR	52545648
515858	1763	1998-09-08	VYDAJ	PREVOD NA UCET	5539	28338	 	QR	52545648
515859	1763	1998-10-08	VYDAJ	PREVOD NA UCET	5539	30400	 	QR	52545648
515860	1763	1998-11-08	VYDAJ	PREVOD NA UCET	5539	29461	 	QR	52545648
515861	1763	1998-12-08	VYDAJ	PREVOD NA UCET	5539	31821	 	QR	52545648
515863	1763	1997-06-14	VYDAJ	VYBER	29600	41064	\N	\N	\N
515866	1763	1997-01-05	VYDAJ	VYBER	4480	41070	\N	\N	\N
515867	1763	1998-01-22	VYDAJ	VYBER	15520	32877	\N	\N	\N
515868	1763	1996-12-20	VYDAJ	VYBER	3680	67515	\N	\N	\N
515869	1763	1997-12-06	VYDAJ	VYBER	2400	30827	\N	\N	\N
515870	1763	1998-12-19	VYDAJ	VYBER KARTOU	2600	63394	\N	\N	0
515877	1763	1997-01-10	VYDAJ	VYBER	1560	50567	\N	\N	\N
515878	1763	1997-01-27	VYDAJ	VYBER	840	43967	\N	\N	\N
515879	1763	1997-01-10	VYDAJ	VYBER	2640	52127	\N	\N	\N
515880	1763	1997-01-10	VYDAJ	VYBER	720	54767	\N	\N	\N
515881	1763	1997-01-01	VYDAJ	VYBER	1920	45550	\N	\N	\N
515882	1763	1997-01-07	VYDAJ	VYBER	1680	38244	\N	\N	\N
515883	1763	1998-01-15	VYDAJ	VYBER	1800	50797	\N	\N	\N
515884	1763	1998-01-25	VYDAJ	VYBER	1560	26017	\N	\N	\N
515885	1763	1998-01-04	VYDAJ	VYBER	2400	39500	\N	\N	\N
515886	1763	1998-01-12	VYDAJ	VYBER	3000	52597	\N	\N	\N
515887	1763	1998-01-17	VYDAJ	VYBER	840	49957	\N	\N	\N
515888	1763	1998-01-17	VYDAJ	VYBER	1560	48397	\N	\N	\N
515889	1763	1996-09-24	VYDAJ	VYBER	5040	57978	\N	\N	\N
515890	1763	1996-07-29	VYDAJ	VYBER	1800	71976	\N	\N	\N
515891	1763	1996-11-01	VYDAJ	VYBER	5040	41699	\N	\N	\N
515893	1763	1997-01-24	VYDAJ	VYBER	5760	44807	\N	\N	\N
515894	1763	1997-10-30	VYDAJ	VYBER	2640	30512	\N	\N	\N
515895	1763	1997-04-17	VYDAJ	VYBER	3120	59645	\N	\N	\N
515896	1763	1997-02-27	VYDAJ	VYBER	4200	52647	\N	\N	\N
515897	1763	1998-02-08	VYDAJ	VYBER	3240	16250	\N	\N	\N
515898	1763	1998-08-01	VYDAJ	VYBER	960	41580	\N	\N	\N
515899	1763	1998-09-07	VYDAJ	VYBER	5640	35023	\N	\N	\N
515900	1763	1998-07-14	VYDAJ	VYBER	2040	62034	\N	\N	\N
515901	1763	1998-03-23	VYDAJ	VYBER	4800	44355	\N	\N	\N
515909	1763	1996-07-31	VYDAJ	VYBER	15	72270	SLUZBY	\N	\N
515910	1763	1996-08-31	VYDAJ	VYBER	15	64421	SLUZBY	\N	\N
515911	1763	1996-09-30	VYDAJ	VYBER	15	58216	SLUZBY	\N	\N
515912	1763	1996-10-31	VYDAJ	VYBER	15	59339	SLUZBY	\N	\N
515913	1763	1996-11-30	VYDAJ	VYBER	15	58007	SLUZBY	\N	\N
515914	1763	1996-12-31	VYDAJ	VYBER	15	67770	SLUZBY	\N	\N
515915	1763	1997-01-31	VYDAJ	VYBER	15	40750	SLUZBY	\N	\N
515916	1763	1997-02-28	VYDAJ	VYBER	15	52848	SLUZBY	\N	\N
515917	1763	1997-03-31	VYDAJ	VYBER	15	59868	SLUZBY	\N	\N
515918	1763	1997-04-30	VYDAJ	VYBER	15	41477	SLUZBY	\N	\N
515919	1763	1997-05-31	VYDAJ	VYBER	15	43176	SLUZBY	\N	\N
515920	1763	1997-06-30	VYDAJ	VYBER	15	33040	SLUZBY	\N	\N
515921	1763	1997-07-31	VYDAJ	VYBER	15	36603	SLUZBY	\N	\N
515922	1763	1997-08-31	VYDAJ	VYBER	15	37778	SLUZBY	\N	\N
515923	1763	1997-09-30	VYDAJ	VYBER	15	34955	SLUZBY	\N	\N
515924	1763	1997-10-31	VYDAJ	VYBER	15	30679	SLUZBY	\N	\N
515925	1763	1997-11-30	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
515926	1763	1997-12-31	VYDAJ	VYBER	15	41900	SLUZBY	\N	\N
515927	1763	1998-01-31	VYDAJ	VYBER	15	26175	SLUZBY	\N	\N
515928	1763	1998-02-28	VYDAJ	VYBER	15	33058	SLUZBY	\N	\N
515929	1763	1998-03-31	VYDAJ	VYBER	15	37414	SLUZBY	\N	\N
515930	1763	1998-04-30	VYDAJ	VYBER	15	40789	SLUZBY	\N	\N
515931	1763	1998-05-31	VYDAJ	VYBER	15	40273	SLUZBY	\N	\N
515932	1763	1998-06-30	VYDAJ	VYBER	15	47977	SLUZBY	\N	\N
515933	1763	1998-07-31	VYDAJ	VYBER	15	42540	SLUZBY	\N	\N
515934	1763	1998-08-31	VYDAJ	VYBER	15	40663	SLUZBY	\N	\N
515935	1763	1998-09-30	VYDAJ	VYBER	15	37085	SLUZBY	\N	\N
515936	1763	1998-10-31	VYDAJ	VYBER	15	36146	SLUZBY	\N	\N
515937	1763	1998-11-30	VYDAJ	VYBER	15	38506	SLUZBY	\N	\N
515938	1763	1996-04-05	PRIJEM	VKLAD	2900	26354	\N	\N	\N
515939	1763	1996-05-05	VYDAJ	VYBER	14100	35212	\N	\N	\N
515940	1763	1996-06-04	VYDAJ	VYBER	17100	41127	\N	\N	\N
515941	1763	1996-07-04	VYDAJ	VYBER	24600	50994	\N	\N	\N
515942	1763	1996-08-03	VYDAJ	VYBER	24200	48070	\N	\N	\N
515943	1763	1996-09-02	VYDAJ	VYBER	17500	46921	\N	\N	\N
515944	1763	1996-10-02	VYDAJ	VYBER	15200	43016	\N	\N	\N
515945	1763	1996-11-01	VYDAJ	VYBER	12600	46739	\N	\N	\N
515946	1763	1996-12-01	VYDAJ	VYBER	14300	43707	\N	\N	\N
515947	1763	1996-12-31	VYDAJ	VYBER	20300	47470	\N	\N	\N
515948	1763	1997-01-30	VYDAJ	VYBER	3400	40567	\N	\N	\N
515949	1763	1997-03-01	VYDAJ	VYBER	9300	43548	\N	\N	\N
515950	1763	1997-03-31	VYDAJ	VYBER	13200	46668	\N	\N	\N
515951	1763	1997-04-30	VYDAJ	VYBER	18400	41491	\N	\N	\N
515952	1763	1997-05-30	VYDAJ	VYBER	14600	42974	\N	\N	\N
515953	1763	1997-06-29	VYDAJ	VYBER	8200	32864	\N	\N	\N
515954	1763	1997-07-29	VYDAJ	VYBER	12700	36437	\N	\N	\N
515955	1763	1997-08-28	VYDAJ	VYBER	15100	37600	\N	\N	\N
515956	1763	1997-09-27	VYDAJ	VYBER	19100	34775	\N	\N	\N
515957	1763	1997-10-27	VYDAJ	VYBER	17900	33152	\N	\N	\N
515958	1763	1997-11-26	VYDAJ	VYBER	13700	33076	\N	\N	\N
515959	1763	1997-12-26	VYDAJ	VYBER	16600	41715	\N	\N	\N
515960	1763	1998-01-25	VYDAJ	VYBER	5300	27577	\N	\N	\N
515961	1763	1998-02-24	VYDAJ	VYBER	6100	32932	\N	\N	\N
515962	1763	1998-03-26	VYDAJ	VYBER	7100	37255	\N	\N	\N
515963	1763	1998-04-25	VYDAJ	VYBER	12900	40611	\N	\N	\N
515964	1763	1998-05-25	VYDAJ	VYBER	16800	40086	\N	\N	\N
515965	1763	1998-06-24	VYDAJ	VYBER	20000	47761	\N	\N	\N
515966	1763	1998-07-24	VYDAJ	VYBER	19700	42334	\N	\N	\N
515967	1763	1998-08-23	VYDAJ	VYBER	17200	40477	\N	\N	\N
515968	1763	1998-09-22	VYDAJ	VYBER	14200	36920	\N	\N	\N
515969	1763	1998-10-22	VYDAJ	VYBER	17200	35982	\N	\N	\N
515970	1763	1998-11-21	VYDAJ	VYBER	13900	38343	\N	\N	\N
516005	1764	1997-09-04	PRIJEM	VKLAD	900	900	\N	\N	\N
516014	1764	1997-09-08	PRIJEM	VKLAD	11548	12448	\N	\N	\N
516015	1764	1997-10-08	PRIJEM	VKLAD	11548	32536	\N	\N	\N
516016	1764	1997-11-08	PRIJEM	VKLAD	11548	38300	\N	\N	\N
516017	1764	1997-12-08	PRIJEM	VKLAD	17322	48976	\N	\N	\N
516018	1764	1998-01-08	PRIJEM	VKLAD	11548	47618	\N	\N	\N
516019	1764	1998-02-08	PRIJEM	VKLAD	11548	33338	\N	\N	\N
516020	1764	1998-03-08	PRIJEM	VKLAD	11548	39114	\N	\N	\N
516021	1764	1998-04-08	PRIJEM	VKLAD	11548	45013	\N	\N	\N
516022	1764	1998-05-08	PRIJEM	VKLAD	11548	49952	\N	\N	\N
516023	1764	1998-06-08	PRIJEM	VKLAD	17322	55288	\N	\N	\N
516024	1764	1998-07-08	PRIJEM	VKLAD	11548	49932	\N	\N	\N
516025	1764	1998-08-08	PRIJEM	VKLAD	11548	53274	\N	\N	\N
516026	1764	1998-09-08	PRIJEM	VKLAD	11548	59246	\N	\N	\N
516027	1764	1998-10-08	PRIJEM	VKLAD	11548	57826	\N	\N	\N
516028	1764	1998-11-08	PRIJEM	VKLAD	11548	60001	\N	\N	\N
516029	1764	1998-12-08	PRIJEM	VKLAD	17322	66057	\N	\N	\N
516042	1764	1998-01-08	VYDAJ	PREVOD NA UCET	5270	42348	SIPO	CD	31592887
516043	1764	1998-02-08	VYDAJ	PREVOD NA UCET	5270	28068	SIPO	CD	31592887
516044	1764	1998-03-08	VYDAJ	PREVOD NA UCET	5270	33844	SIPO	CD	31592887
516045	1764	1998-04-08	VYDAJ	PREVOD NA UCET	5270	39743	SIPO	CD	31592887
516046	1764	1998-05-08	VYDAJ	PREVOD NA UCET	5270	44682	SIPO	CD	31592887
516047	1764	1998-06-08	VYDAJ	PREVOD NA UCET	5270	43118	SIPO	CD	31592887
516048	1764	1998-07-08	VYDAJ	PREVOD NA UCET	5270	44662	SIPO	CD	31592887
516049	1764	1998-08-08	VYDAJ	PREVOD NA UCET	5270	48004	SIPO	CD	31592887
516050	1764	1998-09-08	VYDAJ	PREVOD NA UCET	5270	53976	SIPO	CD	31592887
516051	1764	1998-10-08	VYDAJ	PREVOD NA UCET	5270	52556	SIPO	CD	31592887
516052	1764	1998-11-08	VYDAJ	PREVOD NA UCET	5270	54731	SIPO	CD	31592887
516053	1764	1998-12-08	VYDAJ	PREVOD NA UCET	5270	60787	SIPO	CD	31592887
516055	1764	1998-06-08	VYDAJ	VYBER	6900	48388	\N	\N	\N
516057	1764	1998-01-19	VYDAJ	VYBER	4800	33548	\N	\N	\N
516059	1764	1998-12-14	VYDAJ	VYBER KARTOU	1100	59687	\N	\N	0
516066	1764	1998-01-16	VYDAJ	VYBER	1100	38348	\N	\N	\N
516067	1764	1998-01-29	VYDAJ	VYBER	2000	24848	\N	\N	\N
516068	1764	1998-01-20	VYDAJ	VYBER	1800	31748	\N	\N	\N
516069	1764	1998-01-26	VYDAJ	VYBER	2500	26848	\N	\N	\N
516070	1764	1998-01-13	VYDAJ	VYBER	1500	40848	\N	\N	\N
516075	1764	1998-01-22	VYDAJ	VYBER	2400	29348	\N	\N	\N
516076	1764	1998-01-15	VYDAJ	VYBER	1400	39448	\N	\N	\N
516077	1764	1998-07-01	VYDAJ	VYBER	4200	39084	\N	\N	\N
516078	1764	1998-07-26	VYDAJ	VYBER	3600	41062	\N	\N	\N
516079	1764	1998-02-22	VYDAJ	VYBER	700	27368	\N	\N	\N
516093	1764	1998-01-31	VYDAJ	VYBER	15	24990	SLUZBY	\N	\N
516094	1764	1998-02-28	VYDAJ	VYBER	15	27466	SLUZBY	\N	\N
516095	1764	1998-03-31	VYDAJ	VYBER	15	33965	SLUZBY	\N	\N
516096	1764	1998-04-30	VYDAJ	VYBER	15	39904	SLUZBY	\N	\N
516097	1764	1998-05-31	VYDAJ	VYBER	15	44866	SLUZBY	\N	\N
516098	1764	1998-06-30	VYDAJ	VYBER	15	43284	SLUZBY	\N	\N
516099	1764	1998-07-31	VYDAJ	VYBER	15	41726	SLUZBY	\N	\N
516100	1764	1998-08-31	VYDAJ	VYBER	15	47698	SLUZBY	\N	\N
516101	1764	1998-09-30	VYDAJ	VYBER	15	46278	SLUZBY	\N	\N
516102	1764	1998-10-31	VYDAJ	VYBER	15	48453	SLUZBY	\N	\N
516103	1764	1998-11-30	VYDAJ	VYBER	15	48735	SLUZBY	\N	\N
516104	1764	1997-10-04	PRIJEM	VKLAD	8500	20988	\N	\N	\N
516105	1764	1997-11-03	VYDAJ	VYBER	5900	26752	\N	\N	\N
516106	1764	1997-12-03	VYDAJ	VYBER	6800	31654	\N	\N	\N
516107	1764	1998-01-02	VYDAJ	VYBER	13100	36070	\N	\N	\N
516108	1764	1998-02-01	VYDAJ	VYBER	3200	21790	\N	\N	\N
516109	1764	1998-03-03	PRIJEM	VKLAD	100	27566	\N	\N	\N
516110	1764	1998-04-02	VYDAJ	VYBER	500	33465	\N	\N	\N
516111	1764	1998-05-02	VYDAJ	VYBER	1500	38404	\N	\N	\N
516112	1764	1998-06-01	VYDAJ	VYBER	6900	37966	\N	\N	\N
516113	1764	1998-07-01	VYDAJ	VYBER	700	38384	\N	\N	\N
516114	1764	1998-07-31	PRIJEM	VKLAD	500	41562	\N	\N	\N
516115	1764	1998-08-30	VYDAJ	VYBER	500	47504	\N	\N	\N
516116	1764	1998-09-29	VYDAJ	VYBER	7900	46076	\N	\N	\N
516117	1764	1998-10-29	VYDAJ	VYBER	4300	48256	\N	\N	\N
516118	1764	1998-11-28	VYDAJ	VYBER	6200	48531	\N	\N	\N
516135	1765	1996-07-21	PRIJEM	VKLAD	400	400	\N	\N	\N
516143	1765	1996-08-09	PRIJEM	PREVOD Z UCTU	5242	5642	DUCHOD	EF	51231449
516144	1765	1996-09-09	PRIJEM	PREVOD Z UCTU	5242	10884	DUCHOD	EF	51231449
516145	1765	1996-10-09	PRIJEM	PREVOD Z UCTU	5242	16126	DUCHOD	EF	51231449
516146	1765	1996-11-09	PRIJEM	PREVOD Z UCTU	5242	21368	DUCHOD	EF	51231449
516147	1765	1996-12-09	PRIJEM	PREVOD Z UCTU	5242	25747	DUCHOD	EF	51231449
516148	1765	1997-01-09	PRIJEM	PREVOD Z UCTU	5242	17670	DUCHOD	EF	51231449
516149	1765	1997-02-09	PRIJEM	PREVOD Z UCTU	5242	17428	DUCHOD	EF	51231449
516150	1765	1997-03-09	PRIJEM	PREVOD Z UCTU	5242	20704	DUCHOD	EF	51231449
516151	1765	1997-04-09	PRIJEM	PREVOD Z UCTU	5242	23993	DUCHOD	EF	51231449
516152	1765	1997-05-09	PRIJEM	PREVOD Z UCTU	5242	23089	DUCHOD	EF	51231449
516153	1765	1997-06-09	PRIJEM	PREVOD Z UCTU	5242	20797	DUCHOD	EF	51231449
516154	1765	1997-07-09	PRIJEM	PREVOD Z UCTU	5242	18476	DUCHOD	EF	51231449
516155	1765	1997-08-09	PRIJEM	PREVOD Z UCTU	5242	21756	DUCHOD	EF	51231449
516156	1765	1997-09-09	PRIJEM	PREVOD Z UCTU	5242	22846	DUCHOD	EF	51231449
516157	1765	1997-10-09	PRIJEM	PREVOD Z UCTU	5242	23438	DUCHOD	EF	51231449
516158	1765	1997-11-09	PRIJEM	PREVOD Z UCTU	5242	20386	DUCHOD	EF	51231449
516159	1765	1997-12-09	PRIJEM	PREVOD Z UCTU	5242	18466	DUCHOD	EF	51231449
516160	1765	1998-01-09	PRIJEM	PREVOD Z UCTU	5242	16836	DUCHOD	EF	51231449
516161	1765	1998-02-09	PRIJEM	PREVOD Z UCTU	5242	17062	DUCHOD	EF	51231449
516162	1765	1998-03-09	PRIJEM	PREVOD Z UCTU	5242	18331	DUCHOD	EF	51231449
516163	1765	1998-04-09	PRIJEM	PREVOD Z UCTU	5242	21611	DUCHOD	EF	51231449
516164	1765	1998-05-09	PRIJEM	PREVOD Z UCTU	5242	21865	DUCHOD	EF	51231449
516165	1765	1998-06-09	PRIJEM	PREVOD Z UCTU	5242	21392	DUCHOD	EF	51231449
516166	1765	1998-07-09	PRIJEM	PREVOD Z UCTU	5242	19377	DUCHOD	EF	51231449
516167	1765	1998-08-09	PRIJEM	PREVOD Z UCTU	5242	22662	DUCHOD	EF	51231449
516168	1765	1998-09-09	PRIJEM	PREVOD Z UCTU	5242	25258	DUCHOD	EF	51231449
516169	1765	1998-10-09	PRIJEM	PREVOD Z UCTU	5242	21549	DUCHOD	EF	51231449
516170	1765	1998-11-09	PRIJEM	PREVOD Z UCTU	5242	19459	DUCHOD	EF	51231449
516171	1765	1998-12-09	PRIJEM	PREVOD Z UCTU	5242	21899	DUCHOD	EF	51231449
516183	1765	1996-12-11	VYDAJ	PREVOD NA UCET	2011	23736	SIPO	EF	89295994
516184	1765	1997-01-11	VYDAJ	PREVOD NA UCET	2011	15659	SIPO	EF	89295994
516185	1765	1997-02-11	VYDAJ	PREVOD NA UCET	2011	15417	SIPO	EF	89295994
516186	1765	1997-03-11	VYDAJ	PREVOD NA UCET	2011	18693	SIPO	EF	89295994
516187	1765	1997-04-11	VYDAJ	PREVOD NA UCET	2011	21982	SIPO	EF	89295994
516188	1765	1997-05-11	VYDAJ	PREVOD NA UCET	2011	21078	SIPO	EF	89295994
516189	1765	1997-06-11	VYDAJ	PREVOD NA UCET	2011	18786	SIPO	EF	89295994
516190	1765	1997-07-11	VYDAJ	PREVOD NA UCET	2011	16465	SIPO	EF	89295994
516191	1765	1997-08-11	VYDAJ	PREVOD NA UCET	2011	19745	SIPO	EF	89295994
516192	1765	1997-09-11	VYDAJ	PREVOD NA UCET	2011	20835	SIPO	EF	89295994
516193	1765	1997-10-11	VYDAJ	PREVOD NA UCET	2011	21427	SIPO	EF	89295994
516194	1765	1997-11-11	VYDAJ	PREVOD NA UCET	2011	18375	SIPO	EF	89295994
516195	1765	1997-12-11	VYDAJ	PREVOD NA UCET	2011	16455	SIPO	EF	89295994
516196	1765	1998-01-11	VYDAJ	PREVOD NA UCET	2011	11785	SIPO	EF	89295994
516197	1765	1998-02-11	VYDAJ	PREVOD NA UCET	2011	15051	SIPO	EF	89295994
516198	1765	1998-03-11	VYDAJ	PREVOD NA UCET	2011	16320	SIPO	EF	89295994
516199	1765	1998-04-11	VYDAJ	PREVOD NA UCET	2011	19600	SIPO	EF	89295994
516200	1765	1998-05-11	VYDAJ	PREVOD NA UCET	2011	16094	SIPO	EF	89295994
516201	1765	1998-06-11	VYDAJ	PREVOD NA UCET	2011	19381	SIPO	EF	89295994
516202	1765	1998-07-11	VYDAJ	PREVOD NA UCET	2011	17366	SIPO	EF	89295994
516203	1765	1998-08-11	VYDAJ	PREVOD NA UCET	2011	19951	SIPO	EF	89295994
516204	1765	1998-09-11	VYDAJ	PREVOD NA UCET	2011	16247	SIPO	EF	89295994
516205	1765	1998-10-11	VYDAJ	PREVOD NA UCET	2011	18638	SIPO	EF	89295994
516206	1765	1998-11-11	VYDAJ	PREVOD NA UCET	2011	17448	SIPO	EF	89295994
516207	1765	1998-12-11	VYDAJ	PREVOD NA UCET	2011	19888	SIPO	EF	89295994
516209	1765	1997-06-16	VYDAJ	VYBER	5600	13186	\N	\N	\N
516210	1765	1998-06-21	VYDAJ	VYBER	5200	14081	\N	\N	\N
516212	1765	1997-01-03	VYDAJ	VYBER	4400	15308	\N	\N	\N
516213	1765	1998-01-09	VYDAJ	VYBER	2000	13796	\N	\N	\N
516215	1765	1997-12-03	VYDAJ	VYBER	600	13224	\N	\N	\N
516216	1765	1998-12-07	VYDAJ	VYBER	850	16657	\N	\N	\N
516223	1765	1997-01-03	VYDAJ	VYBER	1040	14268	\N	\N	\N
516224	1765	1997-01-18	VYDAJ	VYBER	1840	12139	\N	\N	\N
516225	1765	1997-01-18	VYDAJ	VYBER	800	13979	\N	\N	\N
516226	1765	1997-01-06	VYDAJ	VYBER	1840	12428	\N	\N	\N
516228	1765	1997-01-14	VYDAJ	VYBER	880	14779	\N	\N	\N
516233	1765	1998-01-09	VYDAJ	VYBER	1040	15796	\N	\N	\N
516241	1765	1997-11-02	VYDAJ	VYBER	1040	15144	\N	\N	\N
516242	1765	1997-05-11	VYDAJ	VYBER	3680	17398	\N	\N	\N
516243	1765	1997-12-11	VYDAJ	VYBER	2800	13655	\N	\N	\N
516244	1765	1998-11-01	VYDAJ	VYBER	3440	14217	\N	\N	\N
516246	1765	1998-02-12	VYDAJ	VYBER	800	13051	\N	\N	\N
516247	1765	1998-05-04	VYDAJ	VYBER	3040	16623	\N	\N	\N
516248	1765	1998-05-09	VYDAJ	VYBER	3760	18105	\N	\N	\N
516249	1765	1998-10-23	VYDAJ	VYBER	1040	17598	\N	\N	\N
516262	1765	1996-12-31	VYDAJ	VYBER	15	19708	SLUZBY	\N	\N
516263	1765	1997-01-31	VYDAJ	VYBER	15	12186	SLUZBY	\N	\N
516264	1765	1997-02-28	VYDAJ	VYBER	15	15462	SLUZBY	\N	\N
516265	1765	1997-03-31	VYDAJ	VYBER	15	18751	SLUZBY	\N	\N
516266	1765	1997-04-30	VYDAJ	VYBER	15	17847	SLUZBY	\N	\N
516267	1765	1997-05-31	VYDAJ	VYBER	15	15555	SLUZBY	\N	\N
516268	1765	1997-06-30	VYDAJ	VYBER	15	13234	SLUZBY	\N	\N
516269	1765	1997-07-31	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
516270	1765	1997-08-31	VYDAJ	VYBER	15	17604	SLUZBY	\N	\N
516271	1765	1997-09-30	VYDAJ	VYBER	15	18196	SLUZBY	\N	\N
516272	1765	1997-10-31	VYDAJ	VYBER	15	16184	SLUZBY	\N	\N
516273	1765	1997-11-30	VYDAJ	VYBER	15	13824	SLUZBY	\N	\N
516274	1765	1997-12-31	VYDAJ	VYBER	15	11594	SLUZBY	\N	\N
516275	1765	1998-01-31	VYDAJ	VYBER	15	11820	SLUZBY	\N	\N
516276	1765	1998-02-28	VYDAJ	VYBER	15	13089	SLUZBY	\N	\N
516277	1765	1998-03-31	VYDAJ	VYBER	15	16369	SLUZBY	\N	\N
516278	1765	1998-04-30	VYDAJ	VYBER	15	19663	SLUZBY	\N	\N
516279	1765	1998-05-31	VYDAJ	VYBER	15	16150	SLUZBY	\N	\N
516280	1765	1998-06-30	VYDAJ	VYBER	15	14135	SLUZBY	\N	\N
516281	1765	1998-07-31	VYDAJ	VYBER	15	17420	SLUZBY	\N	\N
516282	1765	1998-08-31	VYDAJ	VYBER	15	20016	SLUZBY	\N	\N
516283	1765	1998-09-30	VYDAJ	VYBER	15	16307	SLUZBY	\N	\N
516284	1765	1998-10-31	VYDAJ	VYBER	15	17657	SLUZBY	\N	\N
516285	1765	1998-11-30	VYDAJ	VYBER	15	17507	SLUZBY	\N	\N
516286	1765	1996-11-18	VYDAJ	VYBER	900	20468	\N	\N	\N
516287	1765	1996-12-18	VYDAJ	VYBER	4100	19636	\N	\N	\N
516288	1765	1997-04-17	VYDAJ	VYBER	4200	17782	\N	\N	\N
516289	1765	1997-05-17	VYDAJ	VYBER	1900	15498	\N	\N	\N
516290	1765	1997-08-15	VYDAJ	VYBER	2200	17545	\N	\N	\N
516291	1765	1997-09-14	VYDAJ	VYBER	2700	18135	\N	\N	\N
516292	1765	1997-10-14	VYDAJ	VYBER	5300	16127	\N	\N	\N
516293	1765	1997-11-13	VYDAJ	VYBER	4600	13775	\N	\N	\N
516294	1765	1997-12-13	VYDAJ	VYBER	2100	11555	\N	\N	\N
516295	1765	1998-02-11	VYDAJ	VYBER	1200	13851	\N	\N	\N
516296	1765	1998-06-11	VYDAJ	VYBER	100	19281	\N	\N	\N
516297	1765	1998-08-10	VYDAJ	VYBER	700	21962	\N	\N	\N
516298	1765	1998-09-09	VYDAJ	VYBER	7000	18258	\N	\N	\N
516299	1765	1998-10-09	VYDAJ	VYBER	900	20649	\N	\N	\N
516326	1766	1994-09-03	PRIJEM	VKLAD	500	500	\N	\N	\N
516335	1766	1994-09-13	PRIJEM	VKLAD	19608	20108	\N	\N	\N
516336	1766	1994-10-13	PRIJEM	VKLAD	19608	41166	\N	\N	\N
516337	1766	1994-11-13	PRIJEM	VKLAD	19608	52012	\N	\N	\N
516338	1766	1994-12-13	PRIJEM	VKLAD	29412	69123	\N	\N	\N
516339	1766	1995-01-13	PRIJEM	VKLAD	19608	68991	\N	\N	\N
516340	1766	1995-02-13	PRIJEM	VKLAD	19608	51127	\N	\N	\N
516341	1766	1995-03-13	PRIJEM	VKLAD	19608	50471	\N	\N	\N
516342	1766	1995-04-13	PRIJEM	VKLAD	19608	49637	\N	\N	\N
516343	1766	1995-05-13	PRIJEM	VKLAD	19608	49583	\N	\N	\N
516344	1766	1995-06-13	PRIJEM	VKLAD	29412	62533	\N	\N	\N
516345	1766	1995-07-13	PRIJEM	VKLAD	19608	55685	\N	\N	\N
516346	1766	1995-08-13	PRIJEM	VKLAD	19608	52945	\N	\N	\N
516347	1766	1995-09-13	PRIJEM	VKLAD	19608	51792	\N	\N	\N
516348	1766	1995-10-13	PRIJEM	VKLAD	19608	49827	\N	\N	\N
516349	1766	1995-11-13	PRIJEM	VKLAD	19608	51479	\N	\N	\N
516350	1766	1995-12-13	PRIJEM	VKLAD	29412	58182	\N	\N	\N
516351	1766	1996-01-13	PRIJEM	VKLAD	19608	32454	\N	\N	\N
516352	1766	1996-02-13	PRIJEM	VKLAD	19608	37836	\N	\N	\N
516353	1766	1996-03-13	PRIJEM	VKLAD	19608	42918	\N	\N	\N
516354	1766	1996-04-13	PRIJEM	VKLAD	19608	42119	\N	\N	\N
516355	1766	1996-05-13	PRIJEM	VKLAD	19608	43118	\N	\N	\N
516356	1766	1996-06-13	PRIJEM	VKLAD	29412	48523	\N	\N	\N
516357	1766	1996-07-13	PRIJEM	VKLAD	19608	45427	\N	\N	\N
516358	1766	1996-08-13	PRIJEM	VKLAD	19608	35589	\N	\N	\N
516359	1766	1996-09-13	PRIJEM	VKLAD	19608	38057	\N	\N	\N
516360	1766	1996-10-13	PRIJEM	VKLAD	19608	38331	\N	\N	\N
516361	1766	1996-11-13	PRIJEM	VKLAD	19608	30360	\N	\N	\N
516362	1766	1996-12-13	PRIJEM	VKLAD	29412	43309	\N	\N	\N
516363	1766	1997-01-13	PRIJEM	VKLAD	19608	36879	\N	\N	\N
516364	1766	1997-02-13	PRIJEM	VKLAD	19608	31532	\N	\N	\N
516365	1766	1997-03-13	PRIJEM	VKLAD	19608	35980	\N	\N	\N
516366	1766	1997-04-13	PRIJEM	VKLAD	19608	33838	\N	\N	\N
516367	1766	1997-05-13	PRIJEM	VKLAD	19608	34591	\N	\N	\N
516368	1766	1997-06-13	PRIJEM	VKLAD	29412	46753	\N	\N	\N
516369	1766	1997-07-13	PRIJEM	VKLAD	19608	34284	\N	\N	\N
516370	1766	1997-08-13	PRIJEM	VKLAD	19608	36139	\N	\N	\N
516371	1766	1997-09-13	PRIJEM	VKLAD	19608	29164	\N	\N	\N
516372	1766	1997-10-13	PRIJEM	VKLAD	19608	35602	\N	\N	\N
516373	1766	1997-11-13	PRIJEM	VKLAD	19608	39563	\N	\N	\N
516374	1766	1997-12-13	PRIJEM	VKLAD	29412	47438	\N	\N	\N
516375	1766	1998-01-13	PRIJEM	VKLAD	19608	36016	\N	\N	\N
516376	1766	1998-02-13	PRIJEM	VKLAD	19608	30087	\N	\N	\N
516377	1766	1998-03-13	PRIJEM	VKLAD	19608	37729	\N	\N	\N
516378	1766	1998-04-13	PRIJEM	VKLAD	19608	37689	\N	\N	\N
516379	1766	1998-05-13	PRIJEM	VKLAD	19608	35242	\N	\N	\N
516380	1766	1998-06-13	PRIJEM	VKLAD	29412	39074	\N	\N	\N
516381	1766	1998-07-13	PRIJEM	VKLAD	19608	34613	\N	\N	\N
516382	1766	1998-08-13	PRIJEM	VKLAD	19608	29417	\N	\N	\N
516383	1766	1998-09-13	PRIJEM	VKLAD	19608	35567	\N	\N	\N
516384	1766	1998-10-13	PRIJEM	VKLAD	19608	35660	\N	\N	\N
516385	1766	1998-11-13	PRIJEM	VKLAD	19608	38855	\N	\N	\N
516386	1766	1998-12-13	PRIJEM	VKLAD	29412	47961	\N	\N	\N
516400	1766	1995-02-08	VYDAJ	PREVOD NA UCET	4353	31862	SIPO	KL	85209738
516401	1766	1995-03-08	VYDAJ	PREVOD NA UCET	4353	31306	SIPO	KL	85209738
516402	1766	1995-04-08	VYDAJ	PREVOD NA UCET	4353	30072	SIPO	KL	85209738
516403	1766	1995-05-08	VYDAJ	PREVOD NA UCET	4353	30018	SIPO	KL	85209738
516404	1766	1995-06-08	VYDAJ	PREVOD NA UCET	4353	33164	SIPO	KL	85209738
516405	1766	1995-07-08	VYDAJ	PREVOD NA UCET	4353	36120	SIPO	KL	85209738
516406	1766	1995-08-08	VYDAJ	PREVOD NA UCET	4353	33380	SIPO	KL	85209738
516407	1766	1995-09-08	VYDAJ	PREVOD NA UCET	4353	32227	SIPO	KL	85209738
516408	1766	1995-10-08	VYDAJ	PREVOD NA UCET	4353	30762	SIPO	KL	85209738
516409	1766	1995-11-08	VYDAJ	PREVOD NA UCET	4353	31914	SIPO	KL	85209738
516410	1766	1995-12-08	VYDAJ	PREVOD NA UCET	4353	30233	SIPO	KL	85209738
516411	1766	1996-01-08	VYDAJ	PREVOD NA UCET	4353	30269	SIPO	KL	85209738
516412	1766	1996-02-08	VYDAJ	PREVOD NA UCET	4353	18271	SIPO	KL	85209738
516413	1766	1996-03-08	VYDAJ	PREVOD NA UCET	4353	23353	SIPO	KL	85209738
516414	1766	1996-04-08	VYDAJ	PREVOD NA UCET	4353	22554	SIPO	KL	85209738
516415	1766	1996-05-08	VYDAJ	PREVOD NA UCET	4353	25253	SIPO	KL	85209738
516416	1766	1996-06-08	VYDAJ	PREVOD NA UCET	4353	19454	SIPO	KL	85209738
516417	1766	1996-07-08	VYDAJ	PREVOD NA UCET	4353	26363	SIPO	KL	85209738
516418	1766	1996-08-08	VYDAJ	PREVOD NA UCET	4353	16525	SIPO	KL	85209738
516419	1766	1996-09-08	VYDAJ	PREVOD NA UCET	4353	18993	SIPO	KL	85209738
516420	1766	1996-10-08	VYDAJ	PREVOD NA UCET	4353	19267	SIPO	KL	85209738
516421	1766	1996-11-08	VYDAJ	PREVOD NA UCET	4353	11296	SIPO	KL	85209738
516422	1766	1996-12-08	VYDAJ	PREVOD NA UCET	4353	14441	SIPO	KL	85209738
516423	1766	1997-01-08	VYDAJ	PREVOD NA UCET	4353	20315	SIPO	KL	85209738
516424	1766	1997-02-08	VYDAJ	PREVOD NA UCET	4353	12468	SIPO	KL	85209738
516425	1766	1997-03-08	VYDAJ	PREVOD NA UCET	4353	16916	SIPO	KL	85209738
516426	1766	1997-04-08	VYDAJ	PREVOD NA UCET	4353	14774	SIPO	KL	85209738
516427	1766	1997-05-08	VYDAJ	PREVOD NA UCET	4353	15527	SIPO	KL	85209738
516428	1766	1997-06-08	VYDAJ	PREVOD NA UCET	4353	17885	SIPO	KL	85209738
516429	1766	1997-07-08	VYDAJ	PREVOD NA UCET	4353	15220	SIPO	KL	85209738
516430	1766	1997-08-08	VYDAJ	PREVOD NA UCET	4353	17075	SIPO	KL	85209738
516431	1766	1997-09-08	VYDAJ	PREVOD NA UCET	4353	10100	SIPO	KL	85209738
516432	1766	1997-10-08	VYDAJ	PREVOD NA UCET	4353	16538	SIPO	KL	85209738
516433	1766	1997-11-08	VYDAJ	PREVOD NA UCET	4353	20499	SIPO	KL	85209738
516434	1766	1997-12-08	VYDAJ	PREVOD NA UCET	4353	22570	SIPO	KL	85209738
516435	1766	1998-01-08	VYDAJ	PREVOD NA UCET	4353	16952	SIPO	KL	85209738
516436	1766	1998-02-08	VYDAJ	PREVOD NA UCET	4353	11023	SIPO	KL	85209738
516437	1766	1998-03-08	VYDAJ	PREVOD NA UCET	4353	18665	SIPO	KL	85209738
516438	1766	1998-04-08	VYDAJ	PREVOD NA UCET	4353	18625	SIPO	KL	85209738
516439	1766	1998-05-08	VYDAJ	PREVOD NA UCET	4353	16178	SIPO	KL	85209738
516440	1766	1998-06-08	VYDAJ	PREVOD NA UCET	4353	10206	SIPO	KL	85209738
516441	1766	1998-07-08	VYDAJ	PREVOD NA UCET	4353	15549	SIPO	KL	85209738
516442	1766	1998-08-08	VYDAJ	PREVOD NA UCET	4353	10353	SIPO	KL	85209738
516443	1766	1998-09-08	VYDAJ	PREVOD NA UCET	4353	14203	SIPO	KL	85209738
516444	1766	1998-10-08	VYDAJ	PREVOD NA UCET	4353	28876	SIPO	KL	85209738
516445	1766	1998-11-08	VYDAJ	PREVOD NA UCET	4353	28991	SIPO	KL	85209738
516446	1766	1998-12-08	VYDAJ	PREVOD NA UCET	4353	32193	SIPO	KL	85209738
516460	1766	1995-02-09	VYDAJ	PREVOD NA UCET	43	31819	 	EF	6482232
516461	1766	1995-03-09	VYDAJ	PREVOD NA UCET	43	31263	 	EF	6482232
516462	1766	1995-04-09	VYDAJ	PREVOD NA UCET	43	30029	 	EF	6482232
516463	1766	1995-05-09	VYDAJ	PREVOD NA UCET	43	29975	 	EF	6482232
516464	1766	1995-06-09	VYDAJ	PREVOD NA UCET	43	33121	 	EF	6482232
516465	1766	1995-07-09	VYDAJ	PREVOD NA UCET	43	36077	 	EF	6482232
516466	1766	1995-08-09	VYDAJ	PREVOD NA UCET	43	33337	 	EF	6482232
516467	1766	1995-09-09	VYDAJ	PREVOD NA UCET	43	32184	 	EF	6482232
516468	1766	1995-10-09	VYDAJ	PREVOD NA UCET	43	30219	 	EF	6482232
516469	1766	1995-11-09	VYDAJ	PREVOD NA UCET	43	31871	 	EF	6482232
516470	1766	1995-12-09	VYDAJ	PREVOD NA UCET	43	30190	 	EF	6482232
516471	1766	1996-01-09	VYDAJ	PREVOD NA UCET	43	12846	 	EF	6482232
516472	1766	1996-02-09	VYDAJ	PREVOD NA UCET	43	18228	 	EF	6482232
516473	1766	1996-03-09	VYDAJ	PREVOD NA UCET	43	23310	 	EF	6482232
516474	1766	1996-04-09	VYDAJ	PREVOD NA UCET	43	22511	 	EF	6482232
516475	1766	1996-05-09	VYDAJ	PREVOD NA UCET	43	25210	 	EF	6482232
516476	1766	1996-06-09	VYDAJ	PREVOD NA UCET	43	19111	 	EF	6482232
516477	1766	1996-07-09	VYDAJ	PREVOD NA UCET	43	26320	 	EF	6482232
516478	1766	1996-08-09	VYDAJ	PREVOD NA UCET	43	16482	 	EF	6482232
516479	1766	1996-09-09	VYDAJ	PREVOD NA UCET	43	18950	 	EF	6482232
516480	1766	1996-10-09	VYDAJ	PREVOD NA UCET	43	19224	 	EF	6482232
516481	1766	1996-11-09	VYDAJ	PREVOD NA UCET	43	11253	 	EF	6482232
516482	1766	1996-12-09	VYDAJ	PREVOD NA UCET	43	14398	 	EF	6482232
516483	1766	1997-01-09	VYDAJ	PREVOD NA UCET	43	20272	 	EF	6482232
516484	1766	1997-02-09	VYDAJ	PREVOD NA UCET	43	12425	 	EF	6482232
516485	1766	1997-03-09	VYDAJ	PREVOD NA UCET	43	16873	 	EF	6482232
516486	1766	1997-04-09	VYDAJ	PREVOD NA UCET	43	14731	 	EF	6482232
516487	1766	1997-05-09	VYDAJ	PREVOD NA UCET	43	15484	 	EF	6482232
516488	1766	1997-06-09	VYDAJ	PREVOD NA UCET	43	17842	 	EF	6482232
516489	1766	1997-07-09	VYDAJ	PREVOD NA UCET	43	15177	 	EF	6482232
516490	1766	1997-08-09	VYDAJ	PREVOD NA UCET	43	17032	 	EF	6482232
516491	1766	1997-09-09	VYDAJ	PREVOD NA UCET	43	10057	 	EF	6482232
516492	1766	1997-10-09	VYDAJ	PREVOD NA UCET	43	16495	 	EF	6482232
516493	1766	1997-11-09	VYDAJ	PREVOD NA UCET	43	20456	 	EF	6482232
516494	1766	1997-12-09	VYDAJ	PREVOD NA UCET	43	18527	 	EF	6482232
516495	1766	1998-01-09	VYDAJ	PREVOD NA UCET	43	16909	 	EF	6482232
516496	1766	1998-02-09	VYDAJ	PREVOD NA UCET	43	10980	 	EF	6482232
516497	1766	1998-03-09	VYDAJ	PREVOD NA UCET	43	18622	 	EF	6482232
516498	1766	1998-04-09	VYDAJ	PREVOD NA UCET	43	18582	 	EF	6482232
516499	1766	1998-05-09	VYDAJ	PREVOD NA UCET	43	16135	 	EF	6482232
516500	1766	1998-06-09	VYDAJ	PREVOD NA UCET	43	10163	 	EF	6482232
516501	1766	1998-07-09	VYDAJ	PREVOD NA UCET	43	15506	 	EF	6482232
516502	1766	1998-08-09	VYDAJ	PREVOD NA UCET	43	10310	 	EF	6482232
516503	1766	1998-09-09	VYDAJ	PREVOD NA UCET	43	14160	 	EF	6482232
516504	1766	1998-10-09	VYDAJ	PREVOD NA UCET	43	28833	 	EF	6482232
516505	1766	1998-11-09	VYDAJ	PREVOD NA UCET	43	28948	 	EF	6482232
516506	1766	1998-12-09	VYDAJ	PREVOD NA UCET	43	32150	 	EF	6482232
516520	1766	1995-02-06	VYDAJ	PREVOD NA UCET	49	38605	POJISTNE	YZ	88636147
516521	1766	1995-03-06	VYDAJ	PREVOD NA UCET	49	38049	POJISTNE	YZ	88636147
516522	1766	1995-04-06	VYDAJ	PREVOD NA UCET	49	36815	POJISTNE	YZ	88636147
516523	1766	1995-05-06	VYDAJ	PREVOD NA UCET	49	36761	POJISTNE	YZ	88636147
516524	1766	1995-06-06	VYDAJ	PREVOD NA UCET	49	39907	POJISTNE	YZ	88636147
516525	1766	1995-07-06	VYDAJ	PREVOD NA UCET	49	42863	POJISTNE	YZ	88636147
516526	1766	1995-08-06	VYDAJ	PREVOD NA UCET	49	40123	POJISTNE	YZ	88636147
516527	1766	1995-09-06	VYDAJ	PREVOD NA UCET	49	38970	POJISTNE	YZ	88636147
516528	1766	1995-10-06	VYDAJ	PREVOD NA UCET	49	37505	POJISTNE	YZ	88636147
516529	1766	1995-11-06	VYDAJ	PREVOD NA UCET	49	38657	POJISTNE	YZ	88636147
516530	1766	1995-12-06	VYDAJ	PREVOD NA UCET	49	39696	POJISTNE	YZ	88636147
516531	1766	1996-01-06	VYDAJ	PREVOD NA UCET	49	37012	POJISTNE	YZ	88636147
516532	1766	1996-02-06	VYDAJ	PREVOD NA UCET	49	25014	POJISTNE	YZ	88636147
516533	1766	1996-03-06	VYDAJ	PREVOD NA UCET	49	30096	POJISTNE	YZ	88636147
516534	1766	1996-04-06	VYDAJ	PREVOD NA UCET	49	29297	POJISTNE	YZ	88636147
516535	1766	1996-05-06	VYDAJ	PREVOD NA UCET	49	32496	POJISTNE	YZ	88636147
516536	1766	1996-06-06	VYDAJ	PREVOD NA UCET	49	26197	POJISTNE	YZ	88636147
516537	1766	1996-07-06	VYDAJ	PREVOD NA UCET	49	33106	POJISTNE	YZ	88636147
516538	1766	1996-08-06	VYDAJ	PREVOD NA UCET	49	23268	POJISTNE	YZ	88636147
516539	1766	1996-09-06	VYDAJ	PREVOD NA UCET	49	25736	POJISTNE	YZ	88636147
516540	1766	1996-10-06	VYDAJ	PREVOD NA UCET	49	26010	POJISTNE	YZ	88636147
516541	1766	1996-11-06	VYDAJ	PREVOD NA UCET	49	18039	POJISTNE	YZ	88636147
516542	1766	1996-12-06	VYDAJ	PREVOD NA UCET	49	21184	POJISTNE	YZ	88636147
516543	1766	1997-01-06	VYDAJ	PREVOD NA UCET	49	27058	POJISTNE	YZ	88636147
516544	1766	1997-02-06	VYDAJ	PREVOD NA UCET	49	19211	POJISTNE	YZ	88636147
516545	1766	1997-03-06	VYDAJ	PREVOD NA UCET	49	23659	POJISTNE	YZ	88636147
516546	1766	1997-04-06	VYDAJ	PREVOD NA UCET	49	21517	POJISTNE	YZ	88636147
516547	1766	1997-05-06	VYDAJ	PREVOD NA UCET	49	22270	POJISTNE	YZ	88636147
516548	1766	1997-06-06	VYDAJ	PREVOD NA UCET	49	24628	POJISTNE	YZ	88636147
516549	1766	1997-07-06	VYDAJ	PREVOD NA UCET	49	21963	POJISTNE	YZ	88636147
516550	1766	1997-08-06	VYDAJ	PREVOD NA UCET	49	23818	POJISTNE	YZ	88636147
516551	1766	1997-09-06	VYDAJ	PREVOD NA UCET	49	16843	POJISTNE	YZ	88636147
516552	1766	1997-10-06	VYDAJ	PREVOD NA UCET	49	23281	POJISTNE	YZ	88636147
516553	1766	1997-11-06	VYDAJ	PREVOD NA UCET	49	27242	POJISTNE	YZ	88636147
516554	1766	1997-12-06	VYDAJ	PREVOD NA UCET	49	29313	POJISTNE	YZ	88636147
516555	1766	1998-01-06	VYDAJ	PREVOD NA UCET	49	25895	POJISTNE	YZ	88636147
516556	1766	1998-02-06	VYDAJ	PREVOD NA UCET	49	17766	POJISTNE	YZ	88636147
516557	1766	1998-03-06	VYDAJ	PREVOD NA UCET	49	25408	POJISTNE	YZ	88636147
516558	1766	1998-04-06	VYDAJ	PREVOD NA UCET	49	25368	POJISTNE	YZ	88636147
516559	1766	1998-05-06	VYDAJ	PREVOD NA UCET	49	22921	POJISTNE	YZ	88636147
516560	1766	1998-06-06	VYDAJ	PREVOD NA UCET	49	22469	POJISTNE	YZ	88636147
516561	1766	1998-07-06	VYDAJ	PREVOD NA UCET	49	22292	POJISTNE	YZ	88636147
516562	1766	1998-08-06	VYDAJ	PREVOD NA UCET	49	17096	POJISTNE	YZ	88636147
516563	1766	1998-09-06	VYDAJ	PREVOD NA UCET	49	20946	POJISTNE	YZ	88636147
516564	1766	1998-10-06	VYDAJ	PREVOD NA UCET	49	35619	POJISTNE	YZ	88636147
516565	1766	1998-11-06	VYDAJ	PREVOD NA UCET	49	35734	POJISTNE	YZ	88636147
516566	1766	1998-12-06	VYDAJ	PREVOD NA UCET	49	38936	POJISTNE	YZ	88636147
516580	1766	1995-02-07	VYDAJ	PREVOD NA UCET	2390	36215	 	OP	41643542
516581	1766	1995-03-07	VYDAJ	PREVOD NA UCET	2390	35659	 	OP	41643542
516582	1766	1995-04-07	VYDAJ	PREVOD NA UCET	2390	34425	 	OP	41643542
516583	1766	1995-05-07	VYDAJ	PREVOD NA UCET	2390	34371	 	OP	41643542
516584	1766	1995-06-07	VYDAJ	PREVOD NA UCET	2390	37517	 	OP	41643542
516585	1766	1995-07-07	VYDAJ	PREVOD NA UCET	2390	40473	 	OP	41643542
516586	1766	1995-08-07	VYDAJ	PREVOD NA UCET	2390	37733	 	OP	41643542
516587	1766	1995-09-07	VYDAJ	PREVOD NA UCET	2390	36580	 	OP	41643542
516588	1766	1995-10-07	VYDAJ	PREVOD NA UCET	2390	35115	 	OP	41643542
516589	1766	1995-11-07	VYDAJ	PREVOD NA UCET	2390	36267	 	OP	41643542
516590	1766	1995-12-07	VYDAJ	PREVOD NA UCET	2390	34586	 	OP	41643542
516591	1766	1996-01-07	VYDAJ	PREVOD NA UCET	2390	34622	 	OP	41643542
516592	1766	1996-02-07	VYDAJ	PREVOD NA UCET	2390	22624	 	OP	41643542
516593	1766	1996-03-07	VYDAJ	PREVOD NA UCET	2390	27706	 	OP	41643542
516594	1766	1996-04-07	VYDAJ	PREVOD NA UCET	2390	26907	 	OP	41643542
516595	1766	1996-05-07	VYDAJ	PREVOD NA UCET	2390	29606	 	OP	41643542
516596	1766	1996-06-07	VYDAJ	PREVOD NA UCET	2390	23807	 	OP	41643542
516597	1766	1996-07-07	VYDAJ	PREVOD NA UCET	2390	30716	 	OP	41643542
516598	1766	1996-08-07	VYDAJ	PREVOD NA UCET	2390	20878	 	OP	41643542
516599	1766	1996-09-07	VYDAJ	PREVOD NA UCET	2390	23346	 	OP	41643542
516600	1766	1996-10-07	VYDAJ	PREVOD NA UCET	2390	23620	 	OP	41643542
516601	1766	1996-11-07	VYDAJ	PREVOD NA UCET	2390	15649	 	OP	41643542
516602	1766	1996-12-07	VYDAJ	PREVOD NA UCET	2390	18794	 	OP	41643542
516603	1766	1997-01-07	VYDAJ	PREVOD NA UCET	2390	24668	 	OP	41643542
516604	1766	1997-02-07	VYDAJ	PREVOD NA UCET	2390	16821	 	OP	41643542
516605	1766	1997-03-07	VYDAJ	PREVOD NA UCET	2390	21269	 	OP	41643542
516606	1766	1997-04-07	VYDAJ	PREVOD NA UCET	2390	19127	 	OP	41643542
516607	1766	1997-05-07	VYDAJ	PREVOD NA UCET	2390	19880	 	OP	41643542
516608	1766	1997-06-07	VYDAJ	PREVOD NA UCET	2390	22238	 	OP	41643542
516609	1766	1997-07-07	VYDAJ	PREVOD NA UCET	2390	19573	 	OP	41643542
516610	1766	1997-08-07	VYDAJ	PREVOD NA UCET	2390	21428	 	OP	41643542
516611	1766	1997-09-07	VYDAJ	PREVOD NA UCET	2390	14453	 	OP	41643542
516612	1766	1997-10-07	VYDAJ	PREVOD NA UCET	2390	20891	 	OP	41643542
516613	1766	1997-11-07	VYDAJ	PREVOD NA UCET	2390	24852	 	OP	41643542
516614	1766	1997-12-07	VYDAJ	PREVOD NA UCET	2390	26923	 	OP	41643542
516615	1766	1998-01-07	VYDAJ	PREVOD NA UCET	2390	21305	 	OP	41643542
516616	1766	1998-02-07	VYDAJ	PREVOD NA UCET	2390	15376	 	OP	41643542
516617	1766	1998-03-07	VYDAJ	PREVOD NA UCET	2390	23018	 	OP	41643542
516618	1766	1998-04-07	VYDAJ	PREVOD NA UCET	2390	22978	 	OP	41643542
516619	1766	1998-05-07	VYDAJ	PREVOD NA UCET	2390	20531	 	OP	41643542
516620	1766	1998-06-07	VYDAJ	PREVOD NA UCET	2390	14559	 	OP	41643542
516621	1766	1998-07-07	VYDAJ	PREVOD NA UCET	2390	19902	 	OP	41643542
516622	1766	1998-08-07	VYDAJ	PREVOD NA UCET	2390	14706	 	OP	41643542
516623	1766	1998-09-07	VYDAJ	PREVOD NA UCET	2390	18556	 	OP	41643542
516624	1766	1998-10-07	VYDAJ	PREVOD NA UCET	2390	33229	 	OP	41643542
516625	1766	1998-11-07	VYDAJ	PREVOD NA UCET	2390	33344	 	OP	41643542
516626	1766	1998-12-07	VYDAJ	PREVOD NA UCET	2390	36546	 	OP	41643542
516640	1766	1995-02-10	VYDAJ	VYBER	300	31519	\N	\N	0
516641	1766	1995-03-11	VYDAJ	VYBER	400	30863	\N	\N	0
516642	1766	1995-03-31	VYDAJ	VYBER	400	47244	\N	\N	0
516643	1766	1995-04-26	VYDAJ	VYBER	400	49237	\N	\N	0
516644	1766	1995-06-01	VYDAJ	VYBER	500	39956	\N	\N	0
516645	1766	1995-06-25	VYDAJ	VYBER	300	62233	\N	\N	0
516646	1766	1995-08-16	VYDAJ	VYBER	400	52545	\N	\N	0
516647	1766	1995-09-15	VYDAJ	VYBER	400	51392	\N	\N	0
516648	1766	1995-10-09	VYDAJ	VYBER	500	30262	\N	\N	0
516649	1766	1995-11-19	VYDAJ	VYBER	600	50879	\N	\N	0
516650	1766	1995-12-10	VYDAJ	VYBER	700	29490	\N	\N	0
516651	1766	1995-12-27	VYDAJ	VYBER	500	57682	\N	\N	0
516652	1766	1996-02-25	VYDAJ	VYBER	500	30336	\N	\N	0
516653	1766	1996-02-26	VYDAJ	VYBER	300	30036	\N	\N	0
516654	1766	1996-04-03	VYDAJ	VYBER	400	29346	\N	\N	0
516655	1766	1996-05-07	VYDAJ	VYBER	500	31996	\N	\N	0
516656	1766	1996-06-09	VYDAJ	VYBER	300	19154	\N	\N	0
516657	1766	1996-07-12	VYDAJ	PREVOD NA UCET	501	25819	UVER	CD	41536575
516658	1766	1996-08-12	VYDAJ	PREVOD NA UCET	501	15981	UVER	CD	41536575
516659	1766	1996-09-12	VYDAJ	PREVOD NA UCET	501	18449	UVER	CD	41536575
516660	1766	1996-10-12	VYDAJ	PREVOD NA UCET	501	18723	UVER	CD	41536575
516661	1766	1996-11-12	VYDAJ	PREVOD NA UCET	501	10752	UVER	CD	41536575
516662	1766	1996-12-12	VYDAJ	PREVOD NA UCET	501	13897	UVER	CD	41536575
516663	1766	1997-01-12	VYDAJ	PREVOD NA UCET	501	17271	UVER	CD	41536575
516664	1766	1997-02-12	VYDAJ	PREVOD NA UCET	501	11924	UVER	CD	41536575
516665	1766	1997-03-12	VYDAJ	PREVOD NA UCET	501	16372	UVER	CD	41536575
516666	1766	1997-04-12	VYDAJ	PREVOD NA UCET	501	14230	UVER	CD	41536575
516667	1766	1997-05-12	VYDAJ	PREVOD NA UCET	501	14983	UVER	CD	41536575
516668	1766	1997-06-12	VYDAJ	PREVOD NA UCET	501	17341	UVER	CD	41536575
516669	1766	1997-07-12	VYDAJ	PREVOD NA UCET	501	14676	UVER	CD	41536575
516670	1766	1997-08-12	VYDAJ	PREVOD NA UCET	501	16531	UVER	CD	41536575
516671	1766	1997-09-12	VYDAJ	PREVOD NA UCET	501	9556	UVER	CD	41536575
516672	1766	1997-10-12	VYDAJ	PREVOD NA UCET	501	15994	UVER	CD	41536575
516673	1766	1997-11-12	VYDAJ	PREVOD NA UCET	501	19955	UVER	CD	41536575
516674	1766	1997-12-12	VYDAJ	PREVOD NA UCET	501	18026	UVER	CD	41536575
516675	1766	1998-01-12	VYDAJ	PREVOD NA UCET	501	16408	UVER	CD	41536575
516676	1766	1998-02-12	VYDAJ	PREVOD NA UCET	501	10479	UVER	CD	41536575
516677	1766	1998-03-12	VYDAJ	PREVOD NA UCET	501	18121	UVER	CD	41536575
516678	1766	1998-04-12	VYDAJ	PREVOD NA UCET	501	18081	UVER	CD	41536575
516679	1766	1998-05-12	VYDAJ	PREVOD NA UCET	501	15634	UVER	CD	41536575
516680	1766	1998-06-12	VYDAJ	PREVOD NA UCET	501	9662	UVER	CD	41536575
516681	1766	1998-07-12	VYDAJ	PREVOD NA UCET	501	15005	UVER	CD	41536575
516682	1766	1998-08-12	VYDAJ	PREVOD NA UCET	501	9809	UVER	CD	41536575
516683	1766	1998-09-12	VYDAJ	PREVOD NA UCET	501	15959	UVER	CD	41536575
516684	1766	1998-10-12	VYDAJ	PREVOD NA UCET	501	16052	UVER	CD	41536575
516685	1766	1998-11-12	VYDAJ	PREVOD NA UCET	501	19247	UVER	CD	41536575
516686	1766	1998-12-12	VYDAJ	PREVOD NA UCET	501	18549	UVER	CD	41536575
516688	1766	1995-06-28	VYDAJ	VYBER	6720	55513	\N	\N	\N
516690	1766	1997-06-13	VYDAJ	VYBER	17120	29633	\N	\N	\N
516693	1766	1995-01-18	VYDAJ	VYBER	12800	55111	\N	\N	\N
516694	1766	1996-01-08	VYDAJ	VYBER	15680	14589	\N	\N	\N
516695	1766	1997-01-13	VYDAJ	VYBER	4800	32079	\N	\N	\N
516696	1766	1998-01-05	VYDAJ	VYBER KARTOU	3400	25944	\N	\N	0
516698	1766	1995-12-07	VYDAJ	VYBER	2720	36976	\N	\N	\N
516699	1766	1996-12-19	VYDAJ	VYBER KARTOU	3800	39509	\N	\N	0
516700	1766	1997-12-18	VYDAJ	VYBER KARTOU	2900	29238	\N	\N	0
516701	1766	1998-12-22	VYDAJ	VYBER KARTOU	2400	45561	\N	\N	0
516711	1766	1995-01-28	VYDAJ	VYBER	3240	50311	\N	\N	\N
516712	1766	1995-01-28	VYDAJ	VYBER	1560	53551	\N	\N	\N
516713	1766	1995-01-13	VYDAJ	VYBER	1080	67911	\N	\N	\N
516715	1766	1996-01-05	VYDAJ	VYBER KARTOU	2900	37061	\N	\N	0
516716	1766	1996-01-08	VYDAJ	VYBER KARTOU	1700	12889	\N	\N	0
516717	1766	1996-01-23	VYDAJ	VYBER KARTOU	2300	30154	\N	\N	0
516718	1766	1996-01-28	VYDAJ	VYBER KARTOU	3200	24954	\N	\N	0
516719	1766	1996-01-02	VYDAJ	VYBER KARTOU	700	39961	\N	\N	0
516720	1766	1997-01-15	VYDAJ	VYBER KARTOU	700	31379	\N	\N	0
516721	1766	1997-01-15	VYDAJ	VYBER KARTOU	2000	29379	\N	\N	0
516722	1766	1997-01-09	VYDAJ	VYBER KARTOU	2500	17772	\N	\N	0
516723	1766	1997-01-20	VYDAJ	VYBER KARTOU	2000	19179	\N	\N	0
516724	1766	1997-01-19	VYDAJ	VYBER KARTOU	3200	25579	\N	\N	0
516727	1766	1998-01-15	VYDAJ	VYBER KARTOU	1000	35016	\N	\N	0
516731	1766	1998-01-07	VYDAJ	VYBER KARTOU	2200	23695	\N	\N	0
516737	1766	1995-10-14	VYDAJ	VYBER	1080	48747	\N	\N	\N
516738	1766	1995-12-11	VYDAJ	VYBER	720	28770	\N	\N	\N
516739	1766	1995-03-31	VYDAJ	VYBER	2280	44964	\N	\N	\N
516740	1766	1995-03-16	VYDAJ	VYBER	3000	47471	\N	\N	\N
516741	1766	1995-09-15	VYDAJ	VYBER	3600	47792	\N	\N	\N
516742	1766	1996-07-27	VYDAJ	VYBER	5040	26387	\N	\N	\N
516743	1766	1996-10-30	VYDAJ	VYBER	5640	17991	\N	\N	\N
516744	1766	1996-06-04	VYDAJ	VYBER KARTOU	3000	26246	\N	\N	0
516745	1766	1996-07-30	VYDAJ	VYBER KARTOU	3200	23187	\N	\N	0
516747	1766	1996-05-10	VYDAJ	VYBER KARTOU	1700	23510	\N	\N	0
516748	1766	1997-01-17	VYDAJ	VYBER KARTOU	600	28779	\N	\N	0
516749	1766	1997-08-20	VYDAJ	VYBER	4320	16819	\N	\N	\N
516750	1766	1997-11-14	VYDAJ	VYBER KARTOU	2800	36763	\N	\N	0
516751	1766	1997-06-13	VYDAJ	VYBER KARTOU	700	28933	\N	\N	0
516752	1766	1997-12-08	VYDAJ	VYBER KARTOU	4000	18570	\N	\N	0
516754	1766	1998-10-10	VYDAJ	VYBER	5280	23553	\N	\N	\N
516755	1766	1998-01-19	VYDAJ	VYBER	5280	17736	\N	\N	\N
516756	1766	1998-06-06	VYDAJ	VYBER	5520	16949	\N	\N	\N
516758	1766	1998-07-31	VYDAJ	VYBER	5640	17159	\N	\N	\N
516772	1766	1995-01-31	VYDAJ	VYBER	15	38654	SLUZBY	\N	\N
516773	1766	1995-02-28	VYDAJ	VYBER	15	51298	SLUZBY	\N	\N
516774	1766	1995-03-31	VYDAJ	VYBER	15	47644	SLUZBY	\N	\N
516775	1766	1995-04-30	VYDAJ	VYBER	15	49410	SLUZBY	\N	\N
516776	1766	1995-05-31	VYDAJ	VYBER	15	40456	SLUZBY	\N	\N
516777	1766	1995-06-30	VYDAJ	VYBER	15	42912	SLUZBY	\N	\N
516778	1766	1995-07-31	VYDAJ	VYBER	15	40172	SLUZBY	\N	\N
516779	1766	1995-08-31	VYDAJ	VYBER	15	39019	SLUZBY	\N	\N
516780	1766	1995-09-30	VYDAJ	VYBER	15	37554	SLUZBY	\N	\N
516781	1766	1995-10-31	VYDAJ	VYBER	15	38706	SLUZBY	\N	\N
516782	1766	1995-11-30	VYDAJ	VYBER	15	39745	SLUZBY	\N	\N
516783	1766	1995-12-31	VYDAJ	VYBER	15	40661	SLUZBY	\N	\N
516784	1766	1996-01-31	VYDAJ	VYBER	15	25063	SLUZBY	\N	\N
516785	1766	1996-02-29	VYDAJ	VYBER	15	30145	SLUZBY	\N	\N
516786	1766	1996-03-31	VYDAJ	VYBER	15	29746	SLUZBY	\N	\N
516787	1766	1996-04-30	VYDAJ	VYBER	15	32545	SLUZBY	\N	\N
516788	1766	1996-05-31	VYDAJ	VYBER	15	29246	SLUZBY	\N	\N
516789	1766	1996-06-30	VYDAJ	VYBER	15	33155	SLUZBY	\N	\N
516790	1766	1996-07-31	VYDAJ	VYBER	15	23317	SLUZBY	\N	\N
516791	1766	1996-08-31	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
516792	1766	1996-09-30	VYDAJ	VYBER	15	26059	SLUZBY	\N	\N
516793	1766	1996-10-31	VYDAJ	VYBER	15	18088	SLUZBY	\N	\N
516794	1766	1996-11-30	VYDAJ	VYBER	15	21233	SLUZBY	\N	\N
516795	1766	1996-12-31	VYDAJ	VYBER	15	27107	SLUZBY	\N	\N
516796	1766	1997-01-31	VYDAJ	VYBER	15	19260	SLUZBY	\N	\N
516797	1766	1997-02-28	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
516798	1766	1997-03-31	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
516799	1766	1997-04-30	VYDAJ	VYBER	15	22319	SLUZBY	\N	\N
516800	1766	1997-05-31	VYDAJ	VYBER	15	24677	SLUZBY	\N	\N
516801	1766	1997-06-30	VYDAJ	VYBER	15	22012	SLUZBY	\N	\N
516802	1766	1997-07-31	VYDAJ	VYBER	15	23867	SLUZBY	\N	\N
516803	1766	1997-08-31	VYDAJ	VYBER	15	16892	SLUZBY	\N	\N
516804	1766	1997-09-30	VYDAJ	VYBER	15	23330	SLUZBY	\N	\N
516805	1766	1997-10-31	VYDAJ	VYBER	15	27291	SLUZBY	\N	\N
516806	1766	1997-11-30	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
516807	1766	1997-12-31	VYDAJ	VYBER	15	29344	SLUZBY	\N	\N
516808	1766	1998-01-31	VYDAJ	VYBER	15	17815	SLUZBY	\N	\N
516809	1766	1998-02-28	VYDAJ	VYBER	15	25457	SLUZBY	\N	\N
516810	1766	1998-03-31	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
516811	1766	1998-04-30	VYDAJ	VYBER	15	22970	SLUZBY	\N	\N
516812	1766	1998-05-31	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
516813	1766	1998-06-30	VYDAJ	VYBER	15	22341	SLUZBY	\N	\N
516814	1766	1998-07-31	VYDAJ	VYBER	15	17145	SLUZBY	\N	\N
516815	1766	1998-08-31	VYDAJ	VYBER	15	20995	SLUZBY	\N	\N
516816	1766	1998-09-30	VYDAJ	VYBER	15	35668	SLUZBY	\N	\N
516817	1766	1998-10-31	VYDAJ	VYBER	15	35783	SLUZBY	\N	\N
516818	1766	1998-11-30	VYDAJ	VYBER	15	38985	SLUZBY	\N	\N
516819	1766	1994-10-03	PRIJEM	VKLAD	1400	21558	\N	\N	\N
516820	1766	1994-11-02	VYDAJ	VYBER	8900	32404	\N	\N	\N
516821	1766	1994-12-02	VYDAJ	VYBER	12500	39711	\N	\N	\N
516822	1766	1995-01-01	VYDAJ	VYBER	20000	49383	\N	\N	\N
516823	1766	1995-01-31	VYDAJ	VYBER	11900	38669	\N	\N	\N
516824	1766	1995-03-02	VYDAJ	VYBER	13200	38098	\N	\N	\N
516825	1766	1995-04-01	VYDAJ	VYBER	8100	36864	\N	\N	\N
516826	1766	1995-05-01	VYDAJ	VYBER	12600	36810	\N	\N	\N
516827	1766	1995-05-31	VYDAJ	VYBER	9300	40471	\N	\N	\N
516828	1766	1995-06-30	VYDAJ	VYBER	12800	42927	\N	\N	\N
516829	1766	1995-07-30	VYDAJ	VYBER	15700	39985	\N	\N	\N
516830	1766	1995-08-29	VYDAJ	VYBER	13700	38845	\N	\N	\N
516831	1766	1995-09-28	VYDAJ	VYBER	10400	37392	\N	\N	\N
516832	1766	1995-10-28	VYDAJ	VYBER	10200	38547	\N	\N	\N
516833	1766	1995-11-27	VYDAJ	VYBER	11300	39579	\N	\N	\N
516834	1766	1995-12-27	VYDAJ	VYBER	17200	40482	\N	\N	\N
516835	1766	1996-01-26	VYDAJ	VYBER KARTOU	2000	28154	\N	\N	0
516836	1766	1996-02-25	VYDAJ	VYBER	7000	30836	\N	\N	\N
516837	1766	1996-03-26	VYDAJ	VYBER	13300	29618	\N	\N	\N
516838	1766	1996-04-25	VYDAJ	VYBER	9700	32419	\N	\N	\N
516839	1766	1996-05-25	VYDAJ	VYBER	14000	29118	\N	\N	\N
516840	1766	1996-06-24	VYDAJ	VYBER	15500	33023	\N	\N	\N
516841	1766	1996-07-24	VYDAJ	VYBER	14000	31427	\N	\N	\N
516842	1766	1996-08-23	VYDAJ	VYBER	9900	25689	\N	\N	\N
516843	1766	1996-09-22	VYDAJ	VYBER	12100	25957	\N	\N	\N
516844	1766	1996-10-22	VYDAJ	VYBER	14700	23631	\N	\N	\N
516845	1766	1996-11-21	VYDAJ	VYBER	9200	21160	\N	\N	\N
516846	1766	1996-12-21	VYDAJ	VYBER	12500	27009	\N	\N	\N
516847	1766	1997-01-20	VYDAJ	VYBER	4400	21179	\N	\N	\N
516848	1766	1997-02-19	VYDAJ	VYBER	7900	23632	\N	\N	\N
516849	1766	1997-03-21	VYDAJ	VYBER	14500	21480	\N	\N	\N
516850	1766	1997-04-20	VYDAJ	VYBER	11600	22238	\N	\N	\N
516851	1766	1997-05-20	VYDAJ	VYBER	10000	24591	\N	\N	\N
516852	1766	1997-06-19	VYDAJ	VYBER	7000	21933	\N	\N	\N
516853	1766	1997-07-19	VYDAJ	VYBER	10500	23784	\N	\N	\N
516854	1766	1997-08-18	VYDAJ	VYBER	15000	21139	\N	\N	\N
516855	1766	1997-09-17	VYDAJ	VYBER	5900	23264	\N	\N	\N
516856	1766	1997-10-17	VYDAJ	VYBER	8400	27202	\N	\N	\N
516857	1766	1997-11-16	VYDAJ	VYBER	7500	29263	\N	\N	\N
516858	1766	1997-12-16	VYDAJ	VYBER	15300	32138	\N	\N	\N
516859	1766	1998-01-15	VYDAJ	VYBER	12000	23016	\N	\N	\N
516860	1766	1998-02-14	VYDAJ	VYBER	4700	25387	\N	\N	\N
516861	1766	1998-03-16	VYDAJ	VYBER	12400	25329	\N	\N	\N
516862	1766	1998-04-15	VYDAJ	VYBER	14800	22889	\N	\N	\N
516863	1766	1998-05-15	VYDAJ	VYBER	12800	22442	\N	\N	\N
516864	1766	1998-06-14	VYDAJ	VYBER	16800	22274	\N	\N	\N
516865	1766	1998-07-14	VYDAJ	VYBER	11900	22713	\N	\N	\N
516866	1766	1998-08-13	VYDAJ	VYBER	8500	20917	\N	\N	\N
516867	1766	1998-09-12	PRIJEM	VKLAD	2300	16460	\N	\N	\N
516868	1766	1998-10-12	VYDAJ	VYBER	7000	16553	\N	\N	\N
516869	1766	1998-11-11	VYDAJ	VYBER	9200	19748	\N	\N	\N
516870	1766	1998-12-11	VYDAJ	VYBER	13100	19050	\N	\N	\N
516923	1767	1993-10-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
516934	1767	1993-11-06	PRIJEM	VKLAD	19285	20385	\N	\N	\N
516935	1767	1993-12-06	PRIJEM	VKLAD	28928	51050	\N	\N	\N
516936	1767	1994-01-06	PRIJEM	VKLAD	19285	56353	\N	\N	\N
516937	1767	1994-02-06	PRIJEM	VKLAD	19285	58095	\N	\N	\N
516938	1767	1994-03-06	PRIJEM	VKLAD	19285	59644	\N	\N	\N
516939	1767	1994-04-06	PRIJEM	VKLAD	19285	56970	\N	\N	\N
516940	1767	1994-05-06	PRIJEM	VKLAD	19285	56186	\N	\N	\N
516941	1767	1994-06-06	PRIJEM	VKLAD	28928	69250	\N	\N	\N
516942	1767	1994-07-06	PRIJEM	VKLAD	19285	39520	\N	\N	\N
516943	1767	1994-08-06	PRIJEM	VKLAD	19285	47679	\N	\N	\N
516944	1767	1994-09-06	PRIJEM	VKLAD	19285	54168	\N	\N	\N
516945	1767	1994-10-06	PRIJEM	VKLAD	19285	55672	\N	\N	\N
516946	1767	1994-11-06	PRIJEM	VKLAD	19285	57583	\N	\N	\N
516947	1767	1994-12-06	PRIJEM	VKLAD	28928	64977	\N	\N	\N
516948	1767	1995-01-06	PRIJEM	VKLAD	19285	44758	\N	\N	\N
516949	1767	1995-02-06	PRIJEM	VKLAD	19285	51248	\N	\N	\N
516950	1767	1995-03-06	PRIJEM	VKLAD	19285	54539	\N	\N	\N
516951	1767	1995-04-06	PRIJEM	VKLAD	19285	55145	\N	\N	\N
516952	1767	1995-05-06	PRIJEM	VKLAD	19285	59155	\N	\N	\N
516953	1767	1995-06-06	PRIJEM	VKLAD	28928	68815	\N	\N	\N
516954	1767	1995-07-06	PRIJEM	VKLAD	19285	65655	\N	\N	\N
516955	1767	1995-08-06	PRIJEM	VKLAD	19285	60889	\N	\N	\N
516956	1767	1995-09-06	PRIJEM	VKLAD	19285	58502	\N	\N	\N
516957	1767	1995-10-06	PRIJEM	VKLAD	19285	50991	\N	\N	\N
516958	1767	1995-11-06	PRIJEM	VKLAD	19285	48317	\N	\N	\N
516959	1767	1995-12-06	PRIJEM	VKLAD	28928	51918	\N	\N	\N
516960	1767	1996-01-06	PRIJEM	VKLAD	19285	54759	\N	\N	\N
516961	1767	1996-02-06	PRIJEM	VKLAD	19285	55057	\N	\N	\N
516962	1767	1996-03-06	PRIJEM	VKLAD	19285	55049	\N	\N	\N
516963	1767	1996-04-06	PRIJEM	VKLAD	19285	55743	\N	\N	\N
516964	1767	1996-05-06	PRIJEM	VKLAD	19285	54634	\N	\N	\N
516965	1767	1996-06-06	PRIJEM	VKLAD	28928	62261	\N	\N	\N
516966	1767	1996-07-06	PRIJEM	VKLAD	19285	54196	\N	\N	\N
516967	1767	1996-08-06	PRIJEM	VKLAD	19285	50670	\N	\N	\N
516968	1767	1996-09-06	PRIJEM	VKLAD	19285	59996	\N	\N	\N
516969	1767	1996-10-06	PRIJEM	VKLAD	19285	67364	\N	\N	\N
516970	1767	1996-11-06	PRIJEM	VKLAD	19285	73063	\N	\N	\N
516971	1767	1996-12-06	PRIJEM	VKLAD	28928	86730	\N	\N	\N
516972	1767	1997-01-06	PRIJEM	VKLAD	19285	73121	\N	\N	\N
516973	1767	1997-02-06	PRIJEM	VKLAD	19285	75049	\N	\N	\N
516974	1767	1997-03-06	PRIJEM	VKLAD	19285	75184	\N	\N	\N
516975	1767	1997-04-06	PRIJEM	VKLAD	19285	73321	\N	\N	\N
516976	1767	1997-05-06	PRIJEM	VKLAD	19285	67551	\N	\N	\N
516977	1767	1997-06-06	PRIJEM	VKLAD	28928	76502	\N	\N	\N
516978	1767	1997-07-06	PRIJEM	VKLAD	19285	47186	\N	\N	\N
516979	1767	1997-08-06	PRIJEM	VKLAD	19285	51573	\N	\N	\N
516980	1767	1997-09-06	PRIJEM	VKLAD	19285	54372	\N	\N	\N
516981	1767	1997-10-06	PRIJEM	VKLAD	19285	57399	\N	\N	\N
516982	1767	1997-11-06	PRIJEM	VKLAD	19285	60098	\N	\N	\N
516983	1767	1997-12-06	PRIJEM	VKLAD	28928	72911	\N	\N	\N
516984	1767	1998-01-06	PRIJEM	VKLAD	19285	68312	\N	\N	\N
516985	1767	1998-02-06	PRIJEM	VKLAD	19285	62847	\N	\N	\N
516986	1767	1998-03-06	PRIJEM	VKLAD	19285	61942	\N	\N	\N
516987	1767	1998-04-06	PRIJEM	VKLAD	19285	59230	\N	\N	\N
516988	1767	1998-05-06	PRIJEM	VKLAD	19285	61573	\N	\N	\N
516989	1767	1998-06-06	PRIJEM	VKLAD	28928	70666	\N	\N	\N
516990	1767	1998-07-06	PRIJEM	VKLAD	19285	45206	\N	\N	\N
516991	1767	1998-08-06	PRIJEM	VKLAD	19285	55294	\N	\N	\N
516992	1767	1998-09-06	PRIJEM	VKLAD	19285	59919	\N	\N	\N
516993	1767	1998-10-06	PRIJEM	VKLAD	19285	60556	\N	\N	\N
516994	1767	1998-11-06	PRIJEM	VKLAD	19285	67302	\N	\N	\N
516995	1767	1998-12-06	PRIJEM	VKLAD	28928	78613	\N	\N	\N
517010	1767	1994-03-14	VYDAJ	PREVOD NA UCET	2266	54815	SIPO	ST	54714965
517011	1767	1994-04-14	VYDAJ	PREVOD NA UCET	2266	52141	SIPO	ST	54714965
517012	1767	1994-05-14	VYDAJ	PREVOD NA UCET	2266	51357	SIPO	ST	54714965
517013	1767	1994-06-14	VYDAJ	PREVOD NA UCET	2266	64421	SIPO	ST	54714965
517014	1767	1994-07-14	VYDAJ	PREVOD NA UCET	2266	34691	SIPO	ST	54714965
517015	1767	1994-08-14	VYDAJ	PREVOD NA UCET	2266	42850	SIPO	ST	54714965
517016	1767	1994-09-14	VYDAJ	PREVOD NA UCET	2266	49339	SIPO	ST	54714965
517017	1767	1994-10-14	VYDAJ	PREVOD NA UCET	2266	50843	SIPO	ST	54714965
517018	1767	1994-11-14	VYDAJ	PREVOD NA UCET	2266	35894	SIPO	ST	54714965
517019	1767	1994-12-14	VYDAJ	PREVOD NA UCET	2266	44148	SIPO	ST	54714965
517020	1767	1995-01-14	VYDAJ	PREVOD NA UCET	2266	31829	SIPO	ST	54714965
517021	1767	1995-02-14	VYDAJ	PREVOD NA UCET	2266	35119	SIPO	ST	54714965
517022	1767	1995-03-14	VYDAJ	PREVOD NA UCET	2266	35710	SIPO	ST	54714965
517023	1767	1995-04-14	VYDAJ	PREVOD NA UCET	2266	39716	SIPO	ST	54714965
517024	1767	1995-05-14	VYDAJ	PREVOD NA UCET	2266	39726	SIPO	ST	54714965
517025	1767	1995-06-14	VYDAJ	PREVOD NA UCET	2266	46186	SIPO	ST	54714965
517026	1767	1995-07-14	VYDAJ	PREVOD NA UCET	2266	41426	SIPO	ST	54714965
517027	1767	1995-08-14	VYDAJ	PREVOD NA UCET	2266	39060	SIPO	ST	54714965
517028	1767	1995-09-14	VYDAJ	PREVOD NA UCET	2266	36373	SIPO	ST	54714965
517029	1767	1995-10-14	VYDAJ	PREVOD NA UCET	2266	34662	SIPO	ST	54714965
517030	1767	1995-11-14	VYDAJ	PREVOD NA UCET	2266	32188	SIPO	ST	54714965
517031	1767	1995-12-14	VYDAJ	PREVOD NA UCET	2266	37089	SIPO	ST	54714965
517032	1767	1996-01-14	VYDAJ	PREVOD NA UCET	2266	35630	SIPO	ST	54714965
517033	1767	1996-02-14	VYDAJ	PREVOD NA UCET	2266	35628	SIPO	ST	54714965
517034	1767	1996-03-14	VYDAJ	PREVOD NA UCET	2266	36320	SIPO	ST	54714965
517035	1767	1996-04-14	VYDAJ	PREVOD NA UCET	2266	35214	SIPO	ST	54714965
517036	1767	1996-05-14	VYDAJ	PREVOD NA UCET	2266	33205	SIPO	ST	54714965
517037	1767	1996-06-14	VYDAJ	PREVOD NA UCET	2266	40632	SIPO	ST	54714965
517038	1767	1996-07-14	VYDAJ	PREVOD NA UCET	2266	37267	SIPO	ST	54714965
517039	1767	1996-08-14	VYDAJ	PREVOD NA UCET	2266	45841	SIPO	ST	54714965
517040	1767	1996-09-14	VYDAJ	PREVOD NA UCET	2266	55167	SIPO	ST	54714965
517041	1767	1996-10-14	VYDAJ	PREVOD NA UCET	2266	62535	SIPO	ST	54714965
517042	1767	1996-11-14	VYDAJ	PREVOD NA UCET	2266	68234	SIPO	ST	54714965
517043	1767	1996-12-14	VYDAJ	PREVOD NA UCET	2266	81901	SIPO	ST	54714965
517044	1767	1997-01-14	VYDAJ	PREVOD NA UCET	2266	68292	SIPO	ST	54714965
517045	1767	1997-02-14	VYDAJ	PREVOD NA UCET	2266	70220	SIPO	ST	54714965
517046	1767	1997-03-14	VYDAJ	PREVOD NA UCET	2266	70355	SIPO	ST	54714965
517047	1767	1997-04-14	VYDAJ	PREVOD NA UCET	2266	68492	SIPO	ST	54714965
517048	1767	1997-05-14	VYDAJ	PREVOD NA UCET	2266	62722	SIPO	ST	54714965
517049	1767	1997-06-14	VYDAJ	PREVOD NA UCET	2266	26073	SIPO	ST	54714965
517050	1767	1997-07-14	VYDAJ	PREVOD NA UCET	2266	42357	SIPO	ST	54714965
517051	1767	1997-08-14	VYDAJ	PREVOD NA UCET	2266	44104	SIPO	ST	54714965
517052	1767	1997-09-14	VYDAJ	PREVOD NA UCET	2266	49543	SIPO	ST	54714965
517053	1767	1997-10-14	VYDAJ	PREVOD NA UCET	2266	52570	SIPO	ST	54714965
517054	1767	1997-11-14	VYDAJ	PREVOD NA UCET	2266	55269	SIPO	ST	54714965
517055	1767	1997-12-14	VYDAJ	PREVOD NA UCET	2266	68082	SIPO	ST	54714965
517056	1767	1998-01-14	VYDAJ	PREVOD NA UCET	2266	61323	SIPO	ST	54714965
517057	1767	1998-02-14	VYDAJ	PREVOD NA UCET	2266	58018	SIPO	ST	54714965
517058	1767	1998-03-14	VYDAJ	PREVOD NA UCET	2266	57113	SIPO	ST	54714965
517059	1767	1998-04-14	VYDAJ	PREVOD NA UCET	2266	54401	SIPO	ST	54714965
517060	1767	1998-05-14	VYDAJ	PREVOD NA UCET	2266	56744	SIPO	ST	54714965
517061	1767	1998-06-14	VYDAJ	PREVOD NA UCET	2266	25197	SIPO	ST	54714965
517062	1767	1998-07-14	VYDAJ	PREVOD NA UCET	2266	40377	SIPO	ST	54714965
517063	1767	1998-08-14	VYDAJ	PREVOD NA UCET	2266	50465	SIPO	ST	54714965
517064	1767	1998-09-14	VYDAJ	PREVOD NA UCET	2266	53890	SIPO	ST	54714965
517065	1767	1998-10-14	VYDAJ	PREVOD NA UCET	2266	55727	SIPO	ST	54714965
517066	1767	1998-11-14	VYDAJ	PREVOD NA UCET	2266	62473	SIPO	ST	54714965
517067	1767	1998-12-14	VYDAJ	PREVOD NA UCET	2266	73784	SIPO	ST	54714965
517082	1767	1994-03-09	VYDAJ	PREVOD NA UCET	1523	58121	 	KL	65165352
517083	1767	1994-04-09	VYDAJ	PREVOD NA UCET	1523	55447	 	KL	65165352
517084	1767	1994-05-09	VYDAJ	PREVOD NA UCET	1523	54663	 	KL	65165352
517085	1767	1994-06-09	VYDAJ	PREVOD NA UCET	1523	67727	 	KL	65165352
517086	1767	1994-07-09	VYDAJ	PREVOD NA UCET	1523	37997	 	KL	65165352
517087	1767	1994-08-09	VYDAJ	PREVOD NA UCET	1523	46156	 	KL	65165352
517088	1767	1994-09-09	VYDAJ	PREVOD NA UCET	1523	52645	 	KL	65165352
517089	1767	1994-10-09	VYDAJ	PREVOD NA UCET	1523	54149	 	KL	65165352
517090	1767	1994-11-09	VYDAJ	PREVOD NA UCET	1523	56060	 	KL	65165352
517091	1767	1994-12-09	VYDAJ	PREVOD NA UCET	1523	63454	 	KL	65165352
517092	1767	1995-01-09	VYDAJ	PREVOD NA UCET	1523	43235	 	KL	65165352
517093	1767	1995-02-09	VYDAJ	PREVOD NA UCET	1523	49725	 	KL	65165352
517094	1767	1995-03-09	VYDAJ	PREVOD NA UCET	1523	53016	 	KL	65165352
517095	1767	1995-04-09	VYDAJ	PREVOD NA UCET	1523	53622	 	KL	65165352
517096	1767	1995-05-09	VYDAJ	PREVOD NA UCET	1523	57632	 	KL	65165352
517097	1767	1995-06-09	VYDAJ	PREVOD NA UCET	1523	67292	 	KL	65165352
517098	1767	1995-07-09	VYDAJ	PREVOD NA UCET	1523	64132	 	KL	65165352
517099	1767	1995-08-09	VYDAJ	PREVOD NA UCET	1523	59366	 	KL	65165352
517100	1767	1995-09-09	VYDAJ	PREVOD NA UCET	1523	56979	 	KL	65165352
517101	1767	1995-10-09	VYDAJ	PREVOD NA UCET	1523	49468	 	KL	65165352
517102	1767	1995-11-09	VYDAJ	PREVOD NA UCET	1523	46794	 	KL	65165352
517103	1767	1995-12-09	VYDAJ	PREVOD NA UCET	1523	50395	 	KL	65165352
517104	1767	1996-01-09	VYDAJ	PREVOD NA UCET	1523	38936	 	KL	65165352
517105	1767	1996-02-09	VYDAJ	PREVOD NA UCET	1523	38934	 	KL	65165352
517106	1767	1996-03-09	VYDAJ	PREVOD NA UCET	1523	39626	 	KL	65165352
517107	1767	1996-04-09	VYDAJ	PREVOD NA UCET	1523	38520	 	KL	65165352
517108	1767	1996-05-09	VYDAJ	PREVOD NA UCET	1523	36511	 	KL	65165352
517109	1767	1996-06-09	VYDAJ	PREVOD NA UCET	1523	43938	 	KL	65165352
517110	1767	1996-07-09	VYDAJ	PREVOD NA UCET	1523	40573	 	KL	65165352
517111	1767	1996-08-09	VYDAJ	PREVOD NA UCET	1523	49147	 	KL	65165352
517112	1767	1996-09-09	VYDAJ	PREVOD NA UCET	1523	58473	 	KL	65165352
517113	1767	1996-10-09	VYDAJ	PREVOD NA UCET	1523	65841	 	KL	65165352
517114	1767	1996-11-09	VYDAJ	PREVOD NA UCET	1523	71540	 	KL	65165352
517115	1767	1996-12-09	VYDAJ	PREVOD NA UCET	1523	85207	 	KL	65165352
517116	1767	1997-01-09	VYDAJ	PREVOD NA UCET	1523	71598	 	KL	65165352
517117	1767	1997-02-09	VYDAJ	PREVOD NA UCET	1523	73526	 	KL	65165352
517118	1767	1997-03-09	VYDAJ	PREVOD NA UCET	1523	73661	 	KL	65165352
517119	1767	1997-04-09	VYDAJ	PREVOD NA UCET	1523	71798	 	KL	65165352
517120	1767	1997-05-09	VYDAJ	PREVOD NA UCET	1523	66028	 	KL	65165352
517121	1767	1997-06-09	VYDAJ	PREVOD NA UCET	1523	29379	 	KL	65165352
517122	1767	1997-07-09	VYDAJ	PREVOD NA UCET	1523	45663	 	KL	65165352
517123	1767	1997-08-09	VYDAJ	PREVOD NA UCET	1523	50050	 	KL	65165352
517124	1767	1997-09-09	VYDAJ	PREVOD NA UCET	1523	52849	 	KL	65165352
517125	1767	1997-10-09	VYDAJ	PREVOD NA UCET	1523	55876	 	KL	65165352
517126	1767	1997-11-09	VYDAJ	PREVOD NA UCET	1523	58575	 	KL	65165352
517127	1767	1997-12-09	VYDAJ	PREVOD NA UCET	1523	71388	 	KL	65165352
517128	1767	1998-01-09	VYDAJ	PREVOD NA UCET	1523	64629	 	KL	65165352
517129	1767	1998-02-09	VYDAJ	PREVOD NA UCET	1523	61324	 	KL	65165352
517130	1767	1998-03-09	VYDAJ	PREVOD NA UCET	1523	60419	 	KL	65165352
517131	1767	1998-04-09	VYDAJ	PREVOD NA UCET	1523	57707	 	KL	65165352
517132	1767	1998-05-09	VYDAJ	PREVOD NA UCET	1523	60050	 	KL	65165352
517133	1767	1998-06-09	VYDAJ	PREVOD NA UCET	1523	69143	 	KL	65165352
517134	1767	1998-07-09	VYDAJ	PREVOD NA UCET	1523	43683	 	KL	65165352
517135	1767	1998-08-09	VYDAJ	PREVOD NA UCET	1523	53771	 	KL	65165352
517136	1767	1998-09-09	VYDAJ	PREVOD NA UCET	1523	58396	 	KL	65165352
517137	1767	1998-10-09	VYDAJ	PREVOD NA UCET	1523	59033	 	KL	65165352
517138	1767	1998-11-09	VYDAJ	PREVOD NA UCET	1523	65779	 	KL	65165352
517139	1767	1998-12-09	VYDAJ	PREVOD NA UCET	1523	77090	 	KL	65165352
517154	1767	1994-03-12	VYDAJ	PREVOD NA UCET	1040	57081	POJISTNE	IJ	83130889
517155	1767	1994-04-12	VYDAJ	PREVOD NA UCET	1040	54407	POJISTNE	IJ	83130889
517156	1767	1994-05-12	VYDAJ	PREVOD NA UCET	1040	53623	POJISTNE	IJ	83130889
517157	1767	1994-06-12	VYDAJ	PREVOD NA UCET	1040	66687	POJISTNE	IJ	83130889
517158	1767	1994-07-12	VYDAJ	PREVOD NA UCET	1040	36957	POJISTNE	IJ	83130889
517159	1767	1994-08-12	VYDAJ	PREVOD NA UCET	1040	45116	POJISTNE	IJ	83130889
517160	1767	1994-09-12	VYDAJ	PREVOD NA UCET	1040	51605	POJISTNE	IJ	83130889
517161	1767	1994-10-12	VYDAJ	PREVOD NA UCET	1040	53109	POJISTNE	IJ	83130889
517162	1767	1994-11-12	VYDAJ	PREVOD NA UCET	1040	55020	POJISTNE	IJ	83130889
517163	1767	1994-12-12	VYDAJ	PREVOD NA UCET	1040	62414	POJISTNE	IJ	83130889
517164	1767	1995-01-12	VYDAJ	PREVOD NA UCET	1040	42195	POJISTNE	IJ	83130889
517165	1767	1995-02-12	VYDAJ	PREVOD NA UCET	1040	37385	POJISTNE	IJ	83130889
517166	1767	1995-03-12	VYDAJ	PREVOD NA UCET	1040	51976	POJISTNE	IJ	83130889
517167	1767	1995-04-12	VYDAJ	PREVOD NA UCET	1040	52582	POJISTNE	IJ	83130889
517168	1767	1995-05-12	VYDAJ	PREVOD NA UCET	1040	56592	POJISTNE	IJ	83130889
517169	1767	1995-06-12	VYDAJ	PREVOD NA UCET	1040	66252	POJISTNE	IJ	83130889
517170	1767	1995-07-12	VYDAJ	PREVOD NA UCET	1040	63092	POJISTNE	IJ	83130889
517171	1767	1995-08-12	VYDAJ	PREVOD NA UCET	1040	41326	POJISTNE	IJ	83130889
517172	1767	1995-09-12	VYDAJ	PREVOD NA UCET	1040	38639	POJISTNE	IJ	83130889
517173	1767	1995-10-12	VYDAJ	PREVOD NA UCET	1040	36928	POJISTNE	IJ	83130889
517174	1767	1995-11-12	VYDAJ	PREVOD NA UCET	1040	34454	POJISTNE	IJ	83130889
517175	1767	1995-12-12	VYDAJ	PREVOD NA UCET	1040	39355	POJISTNE	IJ	83130889
517176	1767	1996-01-12	VYDAJ	PREVOD NA UCET	1040	37896	POJISTNE	IJ	83130889
517177	1767	1996-02-12	VYDAJ	PREVOD NA UCET	1040	37894	POJISTNE	IJ	83130889
517178	1767	1996-03-12	VYDAJ	PREVOD NA UCET	1040	38586	POJISTNE	IJ	83130889
517179	1767	1996-04-12	VYDAJ	PREVOD NA UCET	1040	37480	POJISTNE	IJ	83130889
517180	1767	1996-05-12	VYDAJ	PREVOD NA UCET	1040	35471	POJISTNE	IJ	83130889
517181	1767	1996-06-12	VYDAJ	PREVOD NA UCET	1040	42898	POJISTNE	IJ	83130889
517182	1767	1996-07-12	VYDAJ	PREVOD NA UCET	1040	39533	POJISTNE	IJ	83130889
517183	1767	1996-08-12	VYDAJ	PREVOD NA UCET	1040	48107	POJISTNE	IJ	83130889
517184	1767	1996-09-12	VYDAJ	PREVOD NA UCET	1040	57433	POJISTNE	IJ	83130889
517185	1767	1996-10-12	VYDAJ	PREVOD NA UCET	1040	64801	POJISTNE	IJ	83130889
517186	1767	1996-11-12	VYDAJ	PREVOD NA UCET	1040	70500	POJISTNE	IJ	83130889
517187	1767	1996-12-12	VYDAJ	PREVOD NA UCET	1040	84167	POJISTNE	IJ	83130889
517188	1767	1997-01-12	VYDAJ	PREVOD NA UCET	1040	70558	POJISTNE	IJ	83130889
517189	1767	1997-02-12	VYDAJ	PREVOD NA UCET	1040	72486	POJISTNE	IJ	83130889
517190	1767	1997-03-12	VYDAJ	PREVOD NA UCET	1040	72621	POJISTNE	IJ	83130889
517191	1767	1997-04-12	VYDAJ	PREVOD NA UCET	1040	70758	POJISTNE	IJ	83130889
517192	1767	1997-05-12	VYDAJ	PREVOD NA UCET	1040	64988	POJISTNE	IJ	83130889
517193	1767	1997-06-12	VYDAJ	PREVOD NA UCET	1040	28339	POJISTNE	IJ	83130889
517194	1767	1997-07-12	VYDAJ	PREVOD NA UCET	1040	44623	POJISTNE	IJ	83130889
517195	1767	1997-08-12	VYDAJ	PREVOD NA UCET	1040	46370	POJISTNE	IJ	83130889
517196	1767	1997-09-12	VYDAJ	PREVOD NA UCET	1040	51809	POJISTNE	IJ	83130889
517197	1767	1997-10-12	VYDAJ	PREVOD NA UCET	1040	54836	POJISTNE	IJ	83130889
517198	1767	1997-11-12	VYDAJ	PREVOD NA UCET	1040	57535	POJISTNE	IJ	83130889
517199	1767	1997-12-12	VYDAJ	PREVOD NA UCET	1040	70348	POJISTNE	IJ	83130889
517200	1767	1998-01-12	VYDAJ	PREVOD NA UCET	1040	63589	POJISTNE	IJ	83130889
517201	1767	1998-02-12	VYDAJ	PREVOD NA UCET	1040	60284	POJISTNE	IJ	83130889
517202	1767	1998-03-12	VYDAJ	PREVOD NA UCET	1040	59379	POJISTNE	IJ	83130889
517203	1767	1998-04-12	VYDAJ	PREVOD NA UCET	1040	56667	POJISTNE	IJ	83130889
517204	1767	1998-05-12	VYDAJ	PREVOD NA UCET	1040	59010	POJISTNE	IJ	83130889
517205	1767	1998-06-12	VYDAJ	PREVOD NA UCET	1040	27463	POJISTNE	IJ	83130889
517206	1767	1998-07-12	VYDAJ	PREVOD NA UCET	1040	42643	POJISTNE	IJ	83130889
517207	1767	1998-08-12	VYDAJ	PREVOD NA UCET	1040	52731	POJISTNE	IJ	83130889
517208	1767	1998-09-12	VYDAJ	PREVOD NA UCET	1040	57356	POJISTNE	IJ	83130889
517209	1767	1998-10-12	VYDAJ	PREVOD NA UCET	1040	57993	POJISTNE	IJ	83130889
517210	1767	1998-11-12	VYDAJ	PREVOD NA UCET	1040	64739	POJISTNE	IJ	83130889
517211	1767	1998-12-12	VYDAJ	PREVOD NA UCET	1040	76050	POJISTNE	IJ	83130889
517213	1767	1994-06-26	VYDAJ	VYBER	24960	20061	\N	\N	\N
517216	1767	1997-06-07	VYDAJ	VYBER	43200	30902	\N	\N	\N
517217	1767	1998-06-12	VYDAJ	VYBER	40640	28503	\N	\N	\N
517220	1767	1995-01-03	VYDAJ	VYBER	13120	25473	\N	\N	\N
517221	1767	1996-01-05	VYDAJ	VYBER	1760	35474	\N	\N	\N
517222	1767	1997-01-04	VYDAJ	VYBER	5120	53836	\N	\N	\N
517223	1767	1998-01-19	VYDAJ	VYBER	2880	58443	\N	\N	\N
517225	1767	1994-12-16	VYDAJ	VYBER	3680	40468	\N	\N	\N
517226	1767	1995-12-03	VYDAJ	VYBER	4640	22990	\N	\N	\N
517227	1767	1996-12-16	VYDAJ	VYBER	2560	79341	\N	\N	\N
517228	1767	1997-12-01	VYDAJ	VYBER	2080	43983	\N	\N	\N
517229	1767	1998-12-26	VYDAJ	VYBER	4320	47864	\N	\N	\N
517232	1767	1994-11-13	VYDAJ	VYBER	5760	49260	\N	\N	\N
517235	1767	1994-12-29	VYDAJ	VYBER	2040	38428	\N	\N	\N
517237	1767	1995-11-01	VYDAJ	VYBER	5760	29032	\N	\N	\N
517238	1767	1995-09-15	VYDAJ	VYBER	4800	31573	\N	\N	\N
517239	1767	1995-11-21	VYDAJ	VYBER	4680	27508	\N	\N	\N
517240	1767	1996-07-01	VYDAJ	VYBER	5880	34911	\N	\N	\N
517241	1767	1996-07-18	VYDAJ	VYBER	4320	32947	\N	\N	\N
517242	1767	1996-05-08	VYDAJ	VYBER	1800	38034	\N	\N	\N
517243	1767	1997-08-01	VYDAJ	VYBER	3120	32288	\N	\N	\N
517244	1767	1997-10-26	VYDAJ	VYBER	2040	50530	\N	\N	\N
517245	1767	1997-08-25	VYDAJ	VYBER	1080	43024	\N	\N	\N
517246	1767	1997-06-06	VYDAJ	VYBER	2400	74102	\N	\N	\N
517247	1767	1997-08-10	VYDAJ	VYBER	2640	47410	\N	\N	\N
517248	1767	1998-01-06	VYDAJ	VYBER	2160	66152	\N	\N	\N
517249	1767	1998-09-12	VYDAJ	VYBER	1200	56156	\N	\N	\N
517250	1767	1998-02-21	VYDAJ	VYBER	3360	54658	\N	\N	\N
517251	1767	1998-03-20	VYDAJ	VYBER	4560	52553	\N	\N	\N
517267	1767	1994-03-31	VYDAJ	VYBER	15	37685	SLUZBY	\N	\N
517268	1767	1994-04-30	VYDAJ	VYBER	15	36901	SLUZBY	\N	\N
517269	1767	1994-05-31	VYDAJ	VYBER	15	40322	SLUZBY	\N	\N
517270	1767	1994-06-30	VYDAJ	VYBER	15	20235	SLUZBY	\N	\N
517271	1767	1994-07-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
517272	1767	1994-08-31	VYDAJ	VYBER	15	34883	SLUZBY	\N	\N
517273	1767	1994-09-30	VYDAJ	VYBER	15	36387	SLUZBY	\N	\N
517274	1767	1994-10-31	VYDAJ	VYBER	15	38298	SLUZBY	\N	\N
517275	1767	1994-11-30	VYDAJ	VYBER	15	36049	SLUZBY	\N	\N
517276	1767	1994-12-31	VYDAJ	VYBER	15	38593	SLUZBY	\N	\N
517277	1767	1995-01-31	VYDAJ	VYBER	15	31963	SLUZBY	\N	\N
517278	1767	1995-02-28	VYDAJ	VYBER	15	35254	SLUZBY	\N	\N
517279	1767	1995-03-31	VYDAJ	VYBER	15	35860	SLUZBY	\N	\N
517280	1767	1995-04-30	VYDAJ	VYBER	15	39870	SLUZBY	\N	\N
517281	1767	1995-05-31	VYDAJ	VYBER	15	39887	SLUZBY	\N	\N
517282	1767	1995-06-30	VYDAJ	VYBER	15	46370	SLUZBY	\N	\N
517283	1767	1995-07-31	VYDAJ	VYBER	15	41604	SLUZBY	\N	\N
517284	1767	1995-08-31	VYDAJ	VYBER	15	39217	SLUZBY	\N	\N
517285	1767	1995-09-30	VYDAJ	VYBER	15	31706	SLUZBY	\N	\N
517286	1767	1995-10-31	VYDAJ	VYBER	15	34792	SLUZBY	\N	\N
517287	1767	1995-11-30	VYDAJ	VYBER	15	27630	SLUZBY	\N	\N
517288	1767	1995-12-31	VYDAJ	VYBER	15	37234	SLUZBY	\N	\N
517289	1767	1996-01-31	VYDAJ	VYBER	15	35772	SLUZBY	\N	\N
517290	1767	1996-02-29	VYDAJ	VYBER	15	35764	SLUZBY	\N	\N
517291	1767	1996-03-31	VYDAJ	VYBER	15	36458	SLUZBY	\N	\N
517292	1767	1996-04-30	VYDAJ	VYBER	15	35349	SLUZBY	\N	\N
517293	1767	1996-05-31	VYDAJ	VYBER	15	33333	SLUZBY	\N	\N
517294	1767	1996-06-30	VYDAJ	VYBER	15	40791	SLUZBY	\N	\N
517295	1767	1996-07-31	VYDAJ	VYBER	15	33085	SLUZBY	\N	\N
517296	1767	1996-08-31	VYDAJ	VYBER	15	46011	SLUZBY	\N	\N
517297	1767	1996-09-30	VYDAJ	VYBER	15	55379	SLUZBY	\N	\N
517298	1767	1996-10-31	VYDAJ	VYBER	15	62778	SLUZBY	\N	\N
517299	1767	1996-11-30	VYDAJ	VYBER	15	68502	SLUZBY	\N	\N
517300	1767	1996-12-31	VYDAJ	VYBER	15	79656	SLUZBY	\N	\N
517301	1767	1997-01-31	VYDAJ	VYBER	15	68564	SLUZBY	\N	\N
517302	1767	1997-02-28	VYDAJ	VYBER	15	70499	SLUZBY	\N	\N
517303	1767	1997-03-31	VYDAJ	VYBER	15	70636	SLUZBY	\N	\N
517304	1767	1997-04-30	VYDAJ	VYBER	15	68766	SLUZBY	\N	\N
517305	1767	1997-05-31	VYDAJ	VYBER	15	62974	SLUZBY	\N	\N
517306	1767	1997-06-30	VYDAJ	VYBER	15	26201	SLUZBY	\N	\N
517307	1767	1997-07-31	VYDAJ	VYBER	15	35408	SLUZBY	\N	\N
517308	1767	1997-08-31	VYDAJ	VYBER	15	35087	SLUZBY	\N	\N
517309	1767	1997-09-30	VYDAJ	VYBER	15	38114	SLUZBY	\N	\N
517310	1767	1997-10-31	VYDAJ	VYBER	15	40813	SLUZBY	\N	\N
517311	1767	1997-11-30	VYDAJ	VYBER	15	46063	SLUZBY	\N	\N
517312	1767	1997-12-31	VYDAJ	VYBER	15	49027	SLUZBY	\N	\N
517313	1767	1998-01-31	VYDAJ	VYBER	15	43562	SLUZBY	\N	\N
517314	1767	1998-02-28	VYDAJ	VYBER	15	42657	SLUZBY	\N	\N
517315	1767	1998-03-31	VYDAJ	VYBER	15	39945	SLUZBY	\N	\N
517316	1767	1998-04-30	VYDAJ	VYBER	15	42288	SLUZBY	\N	\N
517317	1767	1998-05-31	VYDAJ	VYBER	15	41738	SLUZBY	\N	\N
517318	1767	1998-06-30	VYDAJ	VYBER	15	25921	SLUZBY	\N	\N
517319	1767	1998-07-31	VYDAJ	VYBER	15	36009	SLUZBY	\N	\N
517320	1767	1998-08-31	VYDAJ	VYBER	15	40634	SLUZBY	\N	\N
517321	1767	1998-09-30	VYDAJ	VYBER	15	41271	SLUZBY	\N	\N
517322	1767	1998-10-31	VYDAJ	VYBER	15	48017	SLUZBY	\N	\N
517323	1767	1998-11-30	VYDAJ	VYBER	15	49685	SLUZBY	\N	\N
517324	1767	1993-11-19	PRIJEM	VKLAD	1700	22085	\N	\N	\N
517325	1767	1993-12-19	VYDAJ	VYBER	14100	36950	\N	\N	\N
517326	1767	1994-01-18	VYDAJ	VYBER	17700	38653	\N	\N	\N
517327	1767	1994-02-17	VYDAJ	VYBER	17900	40195	\N	\N	\N
517328	1767	1994-03-19	VYDAJ	VYBER	17300	37515	\N	\N	\N
517329	1767	1994-04-18	VYDAJ	VYBER	15400	36741	\N	\N	\N
517330	1767	1994-05-18	VYDAJ	VYBER	11200	40157	\N	\N	\N
517331	1767	1994-06-17	VYDAJ	VYBER	19400	45021	\N	\N	\N
517332	1767	1994-07-17	VYDAJ	VYBER	6400	28291	\N	\N	\N
517333	1767	1994-08-16	VYDAJ	VYBER	8100	34750	\N	\N	\N
517334	1767	1994-09-15	VYDAJ	VYBER	13100	36239	\N	\N	\N
517335	1767	1994-10-15	VYDAJ	VYBER	12700	38143	\N	\N	\N
517336	1767	1994-11-14	VYDAJ	VYBER	11100	38160	\N	\N	\N
517337	1767	1994-12-14	VYDAJ	VYBER	16000	46414	\N	\N	\N
517338	1767	1995-01-13	VYDAJ	VYBER	8100	34095	\N	\N	\N
517339	1767	1995-02-12	VYDAJ	VYBER	11300	38425	\N	\N	\N
517340	1767	1995-03-14	VYDAJ	VYBER	14000	37976	\N	\N	\N
517341	1767	1995-04-13	VYDAJ	VYBER	10600	41982	\N	\N	\N
517342	1767	1995-05-13	VYDAJ	VYBER	14600	41992	\N	\N	\N
517343	1767	1995-06-12	VYDAJ	VYBER	17800	48452	\N	\N	\N
517344	1767	1995-07-12	VYDAJ	VYBER	19400	43692	\N	\N	\N
517345	1767	1995-08-11	VYDAJ	VYBER	17000	42366	\N	\N	\N
517346	1767	1995-09-10	VYDAJ	VYBER	17300	39679	\N	\N	\N
517347	1767	1995-10-10	VYDAJ	VYBER	11500	37968	\N	\N	\N
517348	1767	1995-11-09	VYDAJ	VYBER	11300	35494	\N	\N	\N
517349	1767	1995-12-09	VYDAJ	VYBER	10000	40395	\N	\N	\N
517350	1767	1996-01-08	VYDAJ	VYBER	14300	40459	\N	\N	\N
517351	1767	1996-02-07	VYDAJ	VYBER	14600	40457	\N	\N	\N
517352	1767	1996-03-08	VYDAJ	VYBER	13900	41149	\N	\N	\N
517353	1767	1996-04-07	VYDAJ	VYBER	15700	40043	\N	\N	\N
517354	1767	1996-05-07	VYDAJ	VYBER	14800	39834	\N	\N	\N
517355	1767	1996-06-06	VYDAJ	VYBER	16800	45461	\N	\N	\N
517356	1767	1996-07-06	VYDAJ	VYBER	12100	42096	\N	\N	\N
517357	1767	1996-08-05	VYDAJ	VYBER	1700	31385	\N	\N	\N
517358	1767	1996-09-04	VYDAJ	VYBER	5300	40711	\N	\N	\N
517359	1767	1996-10-04	VYDAJ	VYBER	7300	48079	\N	\N	\N
517360	1767	1996-11-03	VYDAJ	VYBER	9000	53778	\N	\N	\N
517361	1767	1996-12-03	VYDAJ	VYBER	10700	57802	\N	\N	\N
517362	1767	1997-01-02	VYDAJ	VYBER	20700	58956	\N	\N	\N
517363	1767	1997-02-01	VYDAJ	VYBER	12800	55764	\N	\N	\N
517364	1767	1997-03-03	VYDAJ	VYBER	14600	55899	\N	\N	\N
517365	1767	1997-04-02	VYDAJ	VYBER	16600	54036	\N	\N	\N
517366	1767	1997-05-02	VYDAJ	VYBER	20500	48266	\N	\N	\N
517367	1767	1997-06-01	VYDAJ	VYBER	15400	47574	\N	\N	\N
517368	1767	1997-07-01	PRIJEM	VKLAD	1700	27901	\N	\N	\N
517369	1767	1997-07-31	VYDAJ	VYBER	7100	35423	\N	\N	\N
517370	1767	1997-08-30	VYDAJ	VYBER	8100	34924	\N	\N	\N
517371	1767	1997-09-29	VYDAJ	VYBER	11600	37943	\N	\N	\N
517372	1767	1997-10-29	VYDAJ	VYBER	9900	40630	\N	\N	\N
517373	1767	1997-11-28	VYDAJ	VYBER	9400	45869	\N	\N	\N
517374	1767	1997-12-28	VYDAJ	VYBER	19300	48782	\N	\N	\N
517375	1767	1998-01-27	VYDAJ	VYBER	15100	43343	\N	\N	\N
517376	1767	1998-02-26	VYDAJ	VYBER	12200	42458	\N	\N	\N
517377	1767	1998-03-28	VYDAJ	VYBER	12800	39753	\N	\N	\N
517378	1767	1998-04-27	VYDAJ	VYBER	12300	42101	\N	\N	\N
517379	1767	1998-05-27	VYDAJ	VYBER	15200	41544	\N	\N	\N
517380	1767	1998-06-26	PRIJEM	VKLAD	600	25797	\N	\N	\N
517381	1767	1998-07-26	VYDAJ	VYBER	4500	35877	\N	\N	\N
517382	1767	1998-08-25	VYDAJ	VYBER	10000	40465	\N	\N	\N
517383	1767	1998-09-24	VYDAJ	VYBER	12800	41090	\N	\N	\N
517384	1767	1998-10-24	VYDAJ	VYBER	7900	47827	\N	\N	\N
517385	1767	1998-11-23	VYDAJ	VYBER	13000	49473	\N	\N	\N
517386	1767	1998-12-23	VYDAJ	VYBER	21600	52184	\N	\N	\N
517449	1768	1993-12-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
517462	1768	1994-01-05	PRIJEM	VKLAD	11448	12548	\N	\N	\N
517463	1768	1994-02-05	PRIJEM	VKLAD	11448	29728	\N	\N	\N
517464	1768	1994-03-05	PRIJEM	VKLAD	11448	36263	\N	\N	\N
517465	1768	1994-04-05	PRIJEM	VKLAD	11448	42023	\N	\N	\N
517466	1768	1994-05-05	PRIJEM	VKLAD	11448	47006	\N	\N	\N
517467	1768	1994-06-05	PRIJEM	VKLAD	17172	51770	\N	\N	\N
517468	1768	1994-07-05	PRIJEM	VKLAD	11448	40355	\N	\N	\N
517469	1768	1994-08-05	PRIJEM	VKLAD	11448	37686	\N	\N	\N
517470	1768	1994-09-05	PRIJEM	VKLAD	11448	45165	\N	\N	\N
517471	1768	1994-10-05	PRIJEM	VKLAD	11448	46942	\N	\N	\N
517472	1768	1994-11-05	PRIJEM	VKLAD	11448	50932	\N	\N	\N
517473	1768	1994-12-05	PRIJEM	VKLAD	17172	55074	\N	\N	\N
517474	1768	1995-01-05	PRIJEM	VKLAD	11448	48789	\N	\N	\N
517475	1768	1995-02-05	PRIJEM	VKLAD	11448	25481	\N	\N	\N
517476	1768	1995-03-05	PRIJEM	VKLAD	11448	40409	\N	\N	\N
517477	1768	1995-04-05	PRIJEM	VKLAD	11448	45775	\N	\N	\N
517478	1768	1995-05-05	PRIJEM	VKLAD	11448	50061	\N	\N	\N
517479	1768	1995-06-05	PRIJEM	VKLAD	17172	57583	\N	\N	\N
517480	1768	1995-07-05	PRIJEM	VKLAD	11448	25843	\N	\N	\N
517481	1768	1995-08-05	PRIJEM	VKLAD	11448	42478	\N	\N	\N
517482	1768	1995-09-05	PRIJEM	VKLAD	11448	44019	\N	\N	\N
517483	1768	1995-10-05	PRIJEM	VKLAD	11448	50505	\N	\N	\N
517484	1768	1995-11-05	PRIJEM	VKLAD	11448	53910	\N	\N	\N
517485	1768	1995-12-05	PRIJEM	VKLAD	17172	61448	\N	\N	\N
517486	1768	1996-01-05	PRIJEM	VKLAD	11448	48322	\N	\N	\N
517487	1768	1996-02-05	PRIJEM	VKLAD	11448	33884	\N	\N	\N
517488	1768	1996-03-05	PRIJEM	VKLAD	11448	45647	\N	\N	\N
517489	1768	1996-04-05	PRIJEM	VKLAD	11448	52342	\N	\N	\N
517490	1768	1996-05-05	PRIJEM	VKLAD	11448	55856	\N	\N	\N
517491	1768	1996-06-05	PRIJEM	VKLAD	17172	33017	\N	\N	\N
517492	1768	1996-07-05	PRIJEM	VKLAD	11448	38016	\N	\N	\N
517493	1768	1996-08-05	PRIJEM	VKLAD	11448	48695	\N	\N	\N
517494	1768	1996-09-05	PRIJEM	VKLAD	11448	55506	\N	\N	\N
517495	1768	1996-10-05	PRIJEM	VKLAD	11448	56562	\N	\N	\N
517496	1768	1996-11-05	PRIJEM	VKLAD	11448	53688	\N	\N	\N
517497	1768	1996-12-05	PRIJEM	VKLAD	17172	58155	\N	\N	\N
517498	1768	1997-01-05	PRIJEM	VKLAD	11448	58161	\N	\N	\N
517499	1768	1997-02-05	PRIJEM	VKLAD	11448	50133	\N	\N	\N
517500	1768	1997-03-05	PRIJEM	VKLAD	11448	53387	\N	\N	\N
517501	1768	1997-04-05	PRIJEM	VKLAD	11448	56937	\N	\N	\N
517502	1768	1997-05-05	PRIJEM	VKLAD	11448	57704	\N	\N	\N
517503	1768	1997-06-05	PRIJEM	VKLAD	17172	60536	\N	\N	\N
517504	1768	1997-07-05	PRIJEM	VKLAD	11448	41539	\N	\N	\N
517505	1768	1997-08-05	PRIJEM	VKLAD	11448	50436	\N	\N	\N
517506	1768	1997-09-05	PRIJEM	VKLAD	11448	54472	\N	\N	\N
517507	1768	1997-10-05	PRIJEM	VKLAD	11448	55582	\N	\N	\N
517508	1768	1997-11-05	PRIJEM	VKLAD	11448	56183	\N	\N	\N
517509	1768	1997-12-05	PRIJEM	VKLAD	17172	64025	\N	\N	\N
517510	1768	1998-01-05	PRIJEM	VKLAD	11448	61980	\N	\N	\N
517511	1768	1998-02-05	PRIJEM	VKLAD	11448	47765	\N	\N	\N
517512	1768	1998-03-05	PRIJEM	VKLAD	11448	56849	\N	\N	\N
517513	1768	1998-04-05	PRIJEM	VKLAD	11448	57569	\N	\N	\N
517514	1768	1998-05-05	PRIJEM	VKLAD	11448	57991	\N	\N	\N
517515	1768	1998-06-05	PRIJEM	VKLAD	17172	57761	\N	\N	\N
517516	1768	1998-07-05	PRIJEM	VKLAD	11448	57119	\N	\N	\N
517517	1768	1998-08-05	PRIJEM	VKLAD	11448	57583	\N	\N	\N
517518	1768	1998-09-05	PRIJEM	VKLAD	11448	61743	\N	\N	\N
517519	1768	1998-10-05	PRIJEM	VKLAD	11448	59480	\N	\N	\N
517520	1768	1998-11-05	PRIJEM	VKLAD	11448	61824	\N	\N	\N
517521	1768	1998-12-05	PRIJEM	VKLAD	17172	68287	\N	\N	\N
517523	1768	1994-06-12	VYDAJ	VYBER	19680	32090	\N	\N	\N
517524	1768	1995-06-19	VYDAJ	VYBER	28000	14283	\N	\N	\N
517525	1768	1996-06-04	VYDAJ	VYBER	28480	15845	\N	\N	\N
517526	1768	1997-06-23	VYDAJ	VYBER	32640	27896	\N	\N	\N
517527	1768	1998-06-02	VYDAJ	VYBER	8480	40589	\N	\N	\N
517530	1768	1995-01-28	VYDAJ	VYBER	14400	13909	\N	\N	\N
517531	1768	1996-01-16	VYDAJ	VYBER	9440	24002	\N	\N	\N
517532	1768	1997-01-07	VYDAJ	VYBER	3520	51401	\N	\N	\N
517533	1768	1998-01-28	VYDAJ	VYBER	12160	40200	\N	\N	\N
517535	1768	1994-12-25	VYDAJ	VYBER	3680	37194	\N	\N	\N
517536	1768	1995-12-26	VYDAJ	VYBER	3200	40548	\N	\N	\N
517537	1768	1996-12-13	VYDAJ	VYBER	1120	57035	\N	\N	\N
517538	1768	1997-12-25	VYDAJ	VYBER	3680	60345	\N	\N	\N
517539	1768	1998-12-25	VYDAJ	VYBER	2720	51367	\N	\N	\N
517552	1768	1995-01-17	VYDAJ	VYBER	1680	31189	\N	\N	\N
517553	1768	1995-01-21	VYDAJ	VYBER	1440	28309	\N	\N	\N
517554	1768	1995-01-13	VYDAJ	VYBER	1800	43989	\N	\N	\N
517555	1768	1995-01-16	VYDAJ	VYBER	3120	32869	\N	\N	\N
517556	1768	1995-01-20	VYDAJ	VYBER	1440	29749	\N	\N	\N
517557	1768	1995-01-06	VYDAJ	VYBER	3000	45789	\N	\N	\N
517558	1768	1996-01-14	VYDAJ	VYBER	720	33442	\N	\N	\N
517559	1768	1996-01-22	VYDAJ	VYBER	1680	22322	\N	\N	\N
517560	1768	1996-01-09	VYDAJ	VYBER	3480	35962	\N	\N	\N
517561	1768	1996-01-13	VYDAJ	VYBER	1800	34162	\N	\N	\N
517562	1768	1996-01-01	VYDAJ	VYBER	3120	37594	\N	\N	\N
517563	1768	1996-01-06	VYDAJ	VYBER	1080	47242	\N	\N	\N
517564	1768	1997-01-25	VYDAJ	VYBER	1920	43001	\N	\N	\N
517565	1768	1997-01-14	VYDAJ	VYBER	2160	49241	\N	\N	\N
517566	1768	1997-01-22	VYDAJ	VYBER	960	44921	\N	\N	\N
517567	1768	1997-01-01	VYDAJ	VYBER	840	56413	\N	\N	\N
517568	1768	1997-01-05	VYDAJ	VYBER	3240	54921	\N	\N	\N
517569	1768	1997-01-16	VYDAJ	VYBER	3360	45881	\N	\N	\N
517570	1768	1998-01-29	VYDAJ	VYBER	2280	36120	\N	\N	\N
517571	1768	1998-01-23	VYDAJ	VYBER	1680	46860	\N	\N	\N
517572	1768	1998-01-09	VYDAJ	VYBER	1080	58140	\N	\N	\N
517573	1768	1998-01-19	VYDAJ	VYBER	960	54300	\N	\N	\N
517574	1768	1998-01-12	VYDAJ	VYBER	2880	55260	\N	\N	\N
517575	1768	1998-01-29	VYDAJ	VYBER	1800	38400	\N	\N	\N
517581	1768	1994-08-04	VYDAJ	VYBER	5400	26238	\N	\N	\N
517582	1768	1994-07-13	VYDAJ	VYBER	1320	39035	\N	\N	\N
517583	1768	1994-11-26	VYDAJ	VYBER	2880	37752	\N	\N	\N
517584	1768	1994-08-03	VYDAJ	VYBER	2520	31638	\N	\N	\N
517585	1768	1994-05-18	VYDAJ	VYBER	3240	43766	\N	\N	\N
517586	1768	1995-08-31	VYDAJ	VYBER	5640	32585	\N	\N	\N
517587	1768	1995-02-26	VYDAJ	VYBER	600	28881	\N	\N	\N
517588	1768	1996-06-13	VYDAJ	VYBER	5760	26457	\N	\N	\N
517589	1768	1996-11-10	VYDAJ	VYBER	1800	51888	\N	\N	\N
517590	1768	1996-01-01	VYDAJ	VYBER	720	36874	\N	\N	\N
517591	1768	1996-11-25	VYDAJ	VYBER	4800	47088	\N	\N	\N
517592	1768	1997-10-28	VYDAJ	VYBER	1200	51142	\N	\N	\N
517593	1768	1997-10-06	VYDAJ	VYBER	3240	52342	\N	\N	\N
517594	1768	1997-05-26	VYDAJ	VYBER	4560	53144	\N	\N	\N
517595	1768	1997-08-29	VYDAJ	VYBER	600	49836	\N	\N	\N
517596	1768	1997-02-25	VYDAJ	VYBER	4680	45453	\N	\N	\N
517597	1768	1998-01-08	VYDAJ	VYBER	2760	59220	\N	\N	\N
517598	1768	1998-10-12	VYDAJ	VYBER	4200	55280	\N	\N	\N
517599	1768	1998-01-23	VYDAJ	VYBER	5760	48540	\N	\N	\N
517600	1768	1998-08-02	VYDAJ	VYBER	4560	46135	\N	\N	\N
517618	1768	1994-05-31	VYDAJ	VYBER	15	34598	SLUZBY	\N	\N
517619	1768	1994-06-30	VYDAJ	VYBER	15	28907	SLUZBY	\N	\N
517620	1768	1994-07-31	VYDAJ	VYBER	15	34158	SLUZBY	\N	\N
517621	1768	1994-08-31	VYDAJ	VYBER	15	33717	SLUZBY	\N	\N
517622	1768	1994-09-30	VYDAJ	VYBER	15	35494	SLUZBY	\N	\N
517623	1768	1994-10-31	VYDAJ	VYBER	15	39484	SLUZBY	\N	\N
517624	1768	1994-11-30	VYDAJ	VYBER	15	37902	SLUZBY	\N	\N
517625	1768	1994-12-31	VYDAJ	VYBER	15	37341	SLUZBY	\N	\N
517626	1768	1995-01-31	VYDAJ	VYBER	15	14033	SLUZBY	\N	\N
517627	1768	1995-02-28	VYDAJ	VYBER	15	28961	SLUZBY	\N	\N
517628	1768	1995-03-31	VYDAJ	VYBER	15	34327	SLUZBY	\N	\N
517629	1768	1995-04-30	VYDAJ	VYBER	15	38613	SLUZBY	\N	\N
517630	1768	1995-05-31	VYDAJ	VYBER	15	40411	SLUZBY	\N	\N
517631	1768	1995-06-30	VYDAJ	VYBER	15	14395	SLUZBY	\N	\N
517632	1768	1995-07-31	VYDAJ	VYBER	15	31030	SLUZBY	\N	\N
517633	1768	1995-08-31	VYDAJ	VYBER	15	32571	SLUZBY	\N	\N
517634	1768	1995-09-30	VYDAJ	VYBER	15	39057	SLUZBY	\N	\N
517635	1768	1995-10-31	VYDAJ	VYBER	15	42462	SLUZBY	\N	\N
517636	1768	1995-11-30	VYDAJ	VYBER	15	44276	SLUZBY	\N	\N
517637	1768	1995-12-31	VYDAJ	VYBER	15	40714	SLUZBY	\N	\N
517638	1768	1996-01-31	VYDAJ	VYBER	15	22436	SLUZBY	\N	\N
517639	1768	1996-02-29	VYDAJ	VYBER	15	34199	SLUZBY	\N	\N
517640	1768	1996-03-31	VYDAJ	VYBER	15	40894	SLUZBY	\N	\N
517641	1768	1996-04-30	VYDAJ	VYBER	15	44408	SLUZBY	\N	\N
517642	1768	1996-05-31	VYDAJ	VYBER	15	44325	SLUZBY	\N	\N
517643	1768	1996-06-30	VYDAJ	VYBER	15	26568	SLUZBY	\N	\N
517644	1768	1996-07-31	VYDAJ	VYBER	15	37247	SLUZBY	\N	\N
517645	1768	1996-08-31	VYDAJ	VYBER	15	44058	SLUZBY	\N	\N
517646	1768	1996-09-30	VYDAJ	VYBER	15	45114	SLUZBY	\N	\N
517647	1768	1996-10-31	VYDAJ	VYBER	15	47140	SLUZBY	\N	\N
517648	1768	1996-11-30	VYDAJ	VYBER	15	47283	SLUZBY	\N	\N
517649	1768	1996-12-31	VYDAJ	VYBER	15	57253	SLUZBY	\N	\N
517650	1768	1997-01-31	VYDAJ	VYBER	15	43185	SLUZBY	\N	\N
517651	1768	1997-02-28	VYDAJ	VYBER	15	45639	SLUZBY	\N	\N
517652	1768	1997-03-31	VYDAJ	VYBER	15	53589	SLUZBY	\N	\N
517653	1768	1997-04-30	VYDAJ	VYBER	15	57156	SLUZBY	\N	\N
517654	1768	1997-05-31	VYDAJ	VYBER	15	53364	SLUZBY	\N	\N
517655	1768	1997-06-30	VYDAJ	VYBER	15	28091	SLUZBY	\N	\N
517656	1768	1997-07-31	VYDAJ	VYBER	15	41688	SLUZBY	\N	\N
517657	1768	1997-08-31	VYDAJ	VYBER	15	43024	SLUZBY	\N	\N
517658	1768	1997-09-30	VYDAJ	VYBER	15	44134	SLUZBY	\N	\N
517659	1768	1997-10-31	VYDAJ	VYBER	15	44735	SLUZBY	\N	\N
517660	1768	1997-11-30	VYDAJ	VYBER	15	46853	SLUZBY	\N	\N
517661	1768	1997-12-31	VYDAJ	VYBER	15	50532	SLUZBY	\N	\N
517662	1768	1998-01-31	VYDAJ	VYBER	15	36317	SLUZBY	\N	\N
517663	1768	1998-02-28	VYDAJ	VYBER	15	45401	SLUZBY	\N	\N
517664	1768	1998-03-31	VYDAJ	VYBER	15	46121	SLUZBY	\N	\N
517665	1768	1998-04-30	VYDAJ	VYBER	15	46543	SLUZBY	\N	\N
517666	1768	1998-05-31	VYDAJ	VYBER	15	49069	SLUZBY	\N	\N
517667	1768	1998-06-30	VYDAJ	VYBER	15	45671	SLUZBY	\N	\N
517668	1768	1998-07-31	VYDAJ	VYBER	15	50695	SLUZBY	\N	\N
517669	1768	1998-08-31	VYDAJ	VYBER	15	50295	SLUZBY	\N	\N
517670	1768	1998-09-30	VYDAJ	VYBER	15	48032	SLUZBY	\N	\N
517671	1768	1998-10-31	VYDAJ	VYBER	15	50376	SLUZBY	\N	\N
517672	1768	1998-11-30	VYDAJ	VYBER	15	51115	SLUZBY	\N	\N
517673	1768	1994-01-19	PRIJEM	VKLAD	5700	18248	\N	\N	\N
517674	1768	1994-02-18	VYDAJ	VYBER	5000	24728	\N	\N	\N
517675	1768	1994-03-20	VYDAJ	VYBER	5800	30463	\N	\N	\N
517676	1768	1994-04-19	VYDAJ	VYBER	6600	35423	\N	\N	\N
517677	1768	1994-05-19	VYDAJ	VYBER	9300	34466	\N	\N	\N
517678	1768	1994-06-18	VYDAJ	VYBER	3300	28790	\N	\N	\N
517679	1768	1994-07-18	VYDAJ	VYBER	5000	34035	\N	\N	\N
517680	1768	1994-08-17	VYDAJ	VYBER	4100	33586	\N	\N	\N
517681	1768	1994-09-16	VYDAJ	VYBER	9800	35365	\N	\N	\N
517682	1768	1994-10-16	VYDAJ	VYBER	7600	39342	\N	\N	\N
517683	1768	1994-11-15	VYDAJ	VYBER	10300	40632	\N	\N	\N
517684	1768	1994-12-15	VYDAJ	VYBER	14200	40874	\N	\N	\N
517685	1768	1995-01-14	VYDAJ	VYBER	8000	35989	\N	\N	\N
517686	1768	1995-02-13	PRIJEM	VKLAD	4000	29481	\N	\N	\N
517687	1768	1995-03-15	VYDAJ	VYBER	6200	34209	\N	\N	\N
517688	1768	1995-04-14	VYDAJ	VYBER	7300	38475	\N	\N	\N
517689	1768	1995-05-14	VYDAJ	VYBER	9800	40261	\N	\N	\N
517690	1768	1995-06-13	VYDAJ	VYBER	15300	42283	\N	\N	\N
517691	1768	1995-07-13	PRIJEM	VKLAD	5100	30943	\N	\N	\N
517692	1768	1995-08-12	VYDAJ	VYBER	4400	38078	\N	\N	\N
517693	1768	1995-09-11	VYDAJ	VYBER	5100	38919	\N	\N	\N
517694	1768	1995-10-11	VYDAJ	VYBER	8200	42305	\N	\N	\N
517695	1768	1995-11-10	VYDAJ	VYBER	9800	44110	\N	\N	\N
517696	1768	1995-12-10	VYDAJ	VYBER	17700	43748	\N	\N	\N
517697	1768	1996-01-09	VYDAJ	VYBER	7800	39442	\N	\N	\N
517698	1768	1996-02-08	PRIJEM	VKLAD	200	34084	\N	\N	\N
517699	1768	1996-03-09	VYDAJ	VYBER	4900	40747	\N	\N	\N
517700	1768	1996-04-08	VYDAJ	VYBER	8100	44242	\N	\N	\N
517701	1768	1996-05-08	VYDAJ	VYBER	11700	44156	\N	\N	\N
517702	1768	1996-06-07	VYDAJ	VYBER	800	32217	\N	\N	\N
517703	1768	1996-07-07	VYDAJ	VYBER	900	37116	\N	\N	\N
517704	1768	1996-08-06	VYDAJ	VYBER	4800	43895	\N	\N	\N
517705	1768	1996-09-05	VYDAJ	VYBER	10600	44906	\N	\N	\N
517706	1768	1996-10-05	VYDAJ	VYBER	9600	46962	\N	\N	\N
517707	1768	1996-11-04	VYDAJ	VYBER	4900	42240	\N	\N	\N
517708	1768	1996-12-04	VYDAJ	VYBER	6300	40983	\N	\N	\N
517709	1768	1997-01-03	VYDAJ	VYBER	9700	46713	\N	\N	\N
517710	1768	1997-02-02	VYDAJ	VYBER	4500	38685	\N	\N	\N
517711	1768	1997-03-04	VYDAJ	VYBER	3700	41939	\N	\N	\N
517712	1768	1997-04-03	VYDAJ	VYBER	8100	45489	\N	\N	\N
517713	1768	1997-05-03	VYDAJ	VYBER	10900	46256	\N	\N	\N
517714	1768	1997-06-02	VYDAJ	VYBER	10000	43364	\N	\N	\N
517715	1768	1997-07-02	PRIJEM	VKLAD	2000	30091	\N	\N	\N
517716	1768	1997-08-01	VYDAJ	VYBER	2700	38988	\N	\N	\N
517717	1768	1997-08-31	VYDAJ	VYBER	7000	43038	\N	\N	\N
517718	1768	1997-09-30	VYDAJ	VYBER	10500	44149	\N	\N	\N
517719	1768	1997-10-30	VYDAJ	VYBER	6600	44542	\N	\N	\N
517720	1768	1997-11-29	VYDAJ	VYBER	9500	46683	\N	\N	\N
517721	1768	1997-12-29	VYDAJ	VYBER	10000	50345	\N	\N	\N
517722	1768	1998-01-28	PRIJEM	VKLAD	5500	52360	\N	\N	\N
517723	1768	1998-02-27	VYDAJ	VYBER	2500	45265	\N	\N	\N
517724	1768	1998-03-29	VYDAJ	VYBER	10900	45949	\N	\N	\N
517725	1768	1998-04-28	VYDAJ	VYBER	11200	46369	\N	\N	\N
517726	1768	1998-05-28	VYDAJ	VYBER	9100	48891	\N	\N	\N
517727	1768	1998-06-27	VYDAJ	VYBER	12300	45461	\N	\N	\N
517728	1768	1998-07-27	VYDAJ	VYBER	6600	50519	\N	\N	\N
517729	1768	1998-08-26	VYDAJ	VYBER	7500	50083	\N	\N	\N
517730	1768	1998-09-25	VYDAJ	VYBER	13900	47843	\N	\N	\N
517731	1768	1998-10-25	VYDAJ	VYBER	5100	50180	\N	\N	\N
517732	1768	1998-11-24	VYDAJ	VYBER	10900	50924	\N	\N	\N
517733	1768	1998-12-24	VYDAJ	VYBER	14200	54087	\N	\N	\N
517794	1769	1995-01-25	PRIJEM	VKLAD	200	200	\N	\N	\N
517796	1769	1995-02-08	PRIJEM	VKLAD	4967	5167	\N	\N	\N
517797	1769	1995-03-08	PRIJEM	VKLAD	4967	19645	\N	\N	\N
517798	1769	1995-04-08	PRIJEM	VKLAD	4967	25278	\N	\N	\N
517799	1769	1995-05-08	PRIJEM	VKLAD	4967	27431	\N	\N	\N
517800	1769	1995-06-08	PRIJEM	VKLAD	7450	30975	\N	\N	\N
517801	1769	1995-07-08	PRIJEM	VKLAD	4967	19460	\N	\N	\N
517802	1769	1995-08-08	PRIJEM	VKLAD	4967	23977	\N	\N	\N
517803	1769	1995-09-08	PRIJEM	VKLAD	4967	28915	\N	\N	\N
517804	1769	1995-10-08	PRIJEM	VKLAD	4967	29676	\N	\N	\N
517805	1769	1995-11-08	PRIJEM	VKLAD	4967	32234	\N	\N	\N
517806	1769	1995-12-08	PRIJEM	VKLAD	7450	35284	\N	\N	\N
517807	1769	1996-01-08	PRIJEM	VKLAD	4967	20314	\N	\N	\N
517808	1769	1996-02-08	PRIJEM	VKLAD	4967	30967	\N	\N	\N
517809	1769	1996-03-08	PRIJEM	VKLAD	4967	29648	\N	\N	\N
517810	1769	1996-04-08	PRIJEM	VKLAD	4967	34811	\N	\N	\N
517811	1769	1996-05-08	PRIJEM	VKLAD	4967	38193	\N	\N	\N
517812	1769	1996-06-08	PRIJEM	VKLAD	7450	20871	\N	\N	\N
517813	1769	1996-07-08	PRIJEM	VKLAD	4967	29730	\N	\N	\N
517814	1769	1996-08-08	PRIJEM	VKLAD	4967	34543	\N	\N	\N
517815	1769	1996-09-08	PRIJEM	VKLAD	4967	36622	\N	\N	\N
517816	1769	1996-10-08	PRIJEM	VKLAD	4967	39612	\N	\N	\N
517817	1769	1996-11-08	PRIJEM	VKLAD	4967	37164	\N	\N	\N
517818	1769	1996-12-08	PRIJEM	VKLAD	7450	39533	\N	\N	\N
517819	1769	1997-01-08	PRIJEM	VKLAD	4967	33406	\N	\N	\N
517820	1769	1997-02-08	PRIJEM	VKLAD	4967	32484	\N	\N	\N
517821	1769	1997-03-08	PRIJEM	VKLAD	4967	30005	\N	\N	\N
517822	1769	1997-04-08	PRIJEM	VKLAD	4967	33970	\N	\N	\N
517823	1769	1997-05-08	PRIJEM	VKLAD	4967	35647	\N	\N	\N
517824	1769	1997-06-08	PRIJEM	VKLAD	7450	21924	\N	\N	\N
517825	1769	1997-07-08	PRIJEM	VKLAD	4967	23265	\N	\N	\N
517826	1769	1997-08-08	PRIJEM	VKLAD	4967	19187	\N	\N	\N
517827	1769	1997-09-08	PRIJEM	VKLAD	4967	23209	\N	\N	\N
517828	1769	1997-10-08	PRIJEM	VKLAD	4967	21632	\N	\N	\N
517829	1769	1997-11-08	PRIJEM	VKLAD	4967	20229	\N	\N	\N
517830	1769	1997-12-08	PRIJEM	VKLAD	7450	20122	\N	\N	\N
517831	1769	1998-01-08	PRIJEM	VKLAD	4967	21139	\N	\N	\N
517832	1769	1998-02-08	PRIJEM	VKLAD	4967	16350	\N	\N	\N
517833	1769	1998-03-08	PRIJEM	VKLAD	4967	17363	\N	\N	\N
517834	1769	1998-04-08	PRIJEM	VKLAD	4967	15744	\N	\N	\N
517835	1769	1998-05-08	PRIJEM	VKLAD	4967	20154	\N	\N	\N
517836	1769	1998-06-08	PRIJEM	VKLAD	7450	19077	\N	\N	\N
517837	1769	1998-07-08	PRIJEM	VKLAD	4967	12176	\N	\N	\N
517838	1769	1998-08-08	PRIJEM	VKLAD	4967	14954	\N	\N	\N
517839	1769	1998-09-08	PRIJEM	VKLAD	4967	17659	\N	\N	\N
517840	1769	1998-10-08	PRIJEM	VKLAD	4967	19780	\N	\N	\N
517841	1769	1998-11-08	PRIJEM	VKLAD	4967	18212	\N	\N	\N
517842	1769	1998-12-08	PRIJEM	VKLAD	7450	21583	\N	\N	\N
517843	1769	1995-06-16	VYDAJ	VYBER	22240	8735	\N	\N	\N
517844	1769	1996-06-05	VYDAJ	VYBER	20640	13421	\N	\N	\N
517845	1769	1997-06-07	VYDAJ	VYBER	14080	14474	\N	\N	\N
517846	1769	1998-06-18	VYDAJ	VYBER	9600	7177	\N	\N	\N
517848	1769	1996-01-01	VYDAJ	VYBER	11840	15347	\N	\N	\N
517849	1769	1997-01-05	VYDAJ	VYBER	6240	28439	\N	\N	\N
517850	1769	1998-01-25	VYDAJ	VYBER	3200	11339	\N	\N	\N
517851	1769	1995-12-23	VYDAJ	VYBER	3200	27084	\N	\N	\N
517852	1769	1996-12-28	VYDAJ	VYBER	1280	34553	\N	\N	\N
517853	1769	1997-12-04	VYDAJ	VYBER	800	12672	\N	\N	\N
517854	1769	1998-12-27	VYDAJ	VYBER	3200	18383	\N	\N	\N
517855	1769	1995-09-09	VYDAJ	VYBER	600	28315	\N	\N	\N
517857	1769	1995-12-16	VYDAJ	VYBER	4200	31084	\N	\N	\N
517858	1769	1996-07-08	VYDAJ	VYBER	1920	27810	\N	\N	\N
517859	1769	1996-07-30	VYDAJ	VYBER	840	29470	\N	\N	\N
517860	1769	1996-02-22	VYDAJ	VYBER	5280	24587	\N	\N	\N
517861	1769	1996-05-31	VYDAJ	VYBER	2160	34061	\N	\N	\N
517862	1769	1996-10-22	VYDAJ	VYBER	1440	32072	\N	\N	\N
517863	1769	1997-07-22	VYDAJ	VYBER	4200	14165	\N	\N	\N
517864	1769	1997-02-17	VYDAJ	VYBER	840	24944	\N	\N	\N
517865	1769	1997-10-09	VYDAJ	VYBER	3720	17912	\N	\N	\N
517866	1769	1998-07-09	VYDAJ	VYBER	3600	5976	\N	\N	\N
517867	1769	1998-05-31	VYDAJ	VYBER	5880	11642	\N	\N	\N
517868	1769	1998-03-14	VYDAJ	VYBER	4920	10743	\N	\N	\N
517869	1769	1998-12-03	VYDAJ	VYBER	840	17433	\N	\N	\N
517876	1769	1995-06-30	VYDAJ	VYBER	15	14493	SLUZBY	\N	\N
517877	1769	1995-07-31	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
517878	1769	1995-08-31	VYDAJ	VYBER	15	23948	SLUZBY	\N	\N
517879	1769	1995-09-30	VYDAJ	VYBER	15	24709	SLUZBY	\N	\N
517880	1769	1995-10-31	VYDAJ	VYBER	15	27267	SLUZBY	\N	\N
517881	1769	1995-11-30	VYDAJ	VYBER	15	27834	SLUZBY	\N	\N
517882	1769	1995-12-31	VYDAJ	VYBER	15	27187	SLUZBY	\N	\N
517883	1769	1996-01-31	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
517884	1769	1996-02-29	VYDAJ	VYBER	15	24681	SLUZBY	\N	\N
517885	1769	1996-03-31	VYDAJ	VYBER	15	29844	SLUZBY	\N	\N
517886	1769	1996-04-30	VYDAJ	VYBER	15	33226	SLUZBY	\N	\N
517887	1769	1996-05-31	VYDAJ	VYBER	15	36221	SLUZBY	\N	\N
517888	1769	1996-06-30	VYDAJ	VYBER	15	24763	SLUZBY	\N	\N
517889	1769	1996-07-31	VYDAJ	VYBER	15	29576	SLUZBY	\N	\N
517890	1769	1996-08-31	VYDAJ	VYBER	15	31655	SLUZBY	\N	\N
517891	1769	1996-09-30	VYDAJ	VYBER	15	34645	SLUZBY	\N	\N
517892	1769	1996-10-31	VYDAJ	VYBER	15	32197	SLUZBY	\N	\N
517893	1769	1996-11-30	VYDAJ	VYBER	15	32083	SLUZBY	\N	\N
517894	1769	1996-12-31	VYDAJ	VYBER	15	34679	SLUZBY	\N	\N
517895	1769	1997-01-31	VYDAJ	VYBER	15	27517	SLUZBY	\N	\N
517896	1769	1997-02-28	VYDAJ	VYBER	15	25038	SLUZBY	\N	\N
517897	1769	1997-03-31	VYDAJ	VYBER	15	29003	SLUZBY	\N	\N
517898	1769	1997-04-30	VYDAJ	VYBER	15	30680	SLUZBY	\N	\N
517899	1769	1997-05-31	VYDAJ	VYBER	15	28554	SLUZBY	\N	\N
517900	1769	1997-06-30	VYDAJ	VYBER	15	18298	SLUZBY	\N	\N
517901	1769	1997-07-31	VYDAJ	VYBER	15	14220	SLUZBY	\N	\N
517902	1769	1997-08-31	VYDAJ	VYBER	15	18242	SLUZBY	\N	\N
517903	1769	1997-09-30	VYDAJ	VYBER	15	16665	SLUZBY	\N	\N
517904	1769	1997-10-31	VYDAJ	VYBER	15	15262	SLUZBY	\N	\N
517905	1769	1997-11-30	VYDAJ	VYBER	15	13472	SLUZBY	\N	\N
517906	1769	1997-12-31	VYDAJ	VYBER	15	16172	SLUZBY	\N	\N
517907	1769	1998-01-31	VYDAJ	VYBER	15	11383	SLUZBY	\N	\N
517908	1769	1998-02-28	VYDAJ	VYBER	15	12396	SLUZBY	\N	\N
517909	1769	1998-03-31	VYDAJ	VYBER	15	10777	SLUZBY	\N	\N
517910	1769	1998-04-30	VYDAJ	VYBER	15	15187	SLUZBY	\N	\N
517911	1769	1998-05-31	VYDAJ	VYBER	15	11627	SLUZBY	\N	\N
517912	1769	1998-06-30	VYDAJ	VYBER	15	7209	SLUZBY	\N	\N
517913	1769	1998-07-31	VYDAJ	VYBER	15	5987	SLUZBY	\N	\N
517914	1769	1998-08-31	VYDAJ	VYBER	15	14992	SLUZBY	\N	\N
517915	1769	1998-09-30	VYDAJ	VYBER	15	17713	SLUZBY	\N	\N
517916	1769	1998-10-31	VYDAJ	VYBER	15	19845	SLUZBY	\N	\N
517917	1769	1998-11-30	VYDAJ	VYBER	15	18273	SLUZBY	\N	\N
517918	1769	1995-02-24	PRIJEM	VKLAD	9500	14667	\N	\N	\N
517919	1769	1995-03-26	PRIJEM	VKLAD	600	20245	\N	\N	\N
517920	1769	1995-04-25	VYDAJ	VYBER	2900	22378	\N	\N	\N
517921	1769	1995-05-25	VYDAJ	VYBER	4000	23431	\N	\N	\N
517922	1769	1995-06-24	PRIJEM	VKLAD	5700	14435	\N	\N	\N
517923	1769	1995-07-24	VYDAJ	VYBER	500	18960	\N	\N	\N
517924	1769	1995-08-23	VYDAJ	VYBER	100	23877	\N	\N	\N
517925	1769	1995-09-22	VYDAJ	VYBER	3700	24615	\N	\N	\N
517926	1769	1995-10-22	VYDAJ	VYBER	2500	27176	\N	\N	\N
517927	1769	1995-11-21	VYDAJ	VYBER	4500	27734	\N	\N	\N
517928	1769	1995-12-21	VYDAJ	VYBER	800	30284	\N	\N	\N
517929	1769	1996-01-20	PRIJEM	VKLAD	5600	25914	\N	\N	\N
517930	1769	1996-02-19	VYDAJ	VYBER	1100	29867	\N	\N	\N
517931	1769	1996-03-20	PRIJEM	VKLAD	100	29748	\N	\N	\N
517932	1769	1996-04-19	VYDAJ	VYBER	1700	33111	\N	\N	\N
517933	1769	1996-05-19	VYDAJ	VYBER	2100	36093	\N	\N	\N
517934	1769	1996-06-18	PRIJEM	VKLAD	3800	24671	\N	\N	\N
517935	1769	1996-07-18	PRIJEM	VKLAD	2500	30310	\N	\N	\N
517936	1769	1996-08-17	VYDAJ	VYBER	3000	31543	\N	\N	\N
517937	1769	1996-09-16	VYDAJ	VYBER	2100	34522	\N	\N	\N
517938	1769	1996-10-16	VYDAJ	VYBER	6100	33512	\N	\N	\N
517939	1769	1996-11-15	VYDAJ	VYBER	5200	31964	\N	\N	\N
517940	1769	1996-12-15	VYDAJ	VYBER	3700	35833	\N	\N	\N
517941	1769	1997-01-14	VYDAJ	VYBER	6000	27406	\N	\N	\N
517942	1769	1997-02-13	VYDAJ	VYBER	6700	25784	\N	\N	\N
517943	1769	1997-03-15	VYDAJ	VYBER	1100	28905	\N	\N	\N
517944	1769	1997-04-14	VYDAJ	VYBER	3400	30570	\N	\N	\N
517945	1769	1997-05-14	VYDAJ	VYBER	7200	28447	\N	\N	\N
517946	1769	1997-06-13	VYDAJ	VYBER	3700	18224	\N	\N	\N
517947	1769	1997-07-13	VYDAJ	VYBER	4900	18365	\N	\N	\N
517948	1769	1997-08-12	VYDAJ	VYBER	1000	18187	\N	\N	\N
517949	1769	1997-09-11	VYDAJ	VYBER	6600	16609	\N	\N	\N
517950	1769	1997-10-11	VYDAJ	VYBER	2700	15212	\N	\N	\N
517951	1769	1997-11-10	VYDAJ	VYBER	6800	13429	\N	\N	\N
517952	1769	1997-12-10	VYDAJ	VYBER	4000	16122	\N	\N	\N
517953	1769	1998-01-09	VYDAJ	VYBER	6600	14539	\N	\N	\N
517954	1769	1998-02-08	VYDAJ	VYBER	4000	12350	\N	\N	\N
517955	1769	1998-03-10	VYDAJ	VYBER	1700	15663	\N	\N	\N
517956	1769	1998-04-09	VYDAJ	VYBER	600	15144	\N	\N	\N
517957	1769	1998-05-09	VYDAJ	VYBER	2700	17454	\N	\N	\N
517958	1769	1998-06-08	VYDAJ	VYBER	2300	16777	\N	\N	\N
517959	1769	1998-07-08	VYDAJ	VYBER	2600	9576	\N	\N	\N
517960	1769	1998-08-07	PRIJEM	VKLAD	4000	9987	\N	\N	\N
517961	1769	1998-09-06	VYDAJ	VYBER	2300	12692	\N	\N	\N
517962	1769	1998-10-06	VYDAJ	VYBER	2900	14813	\N	\N	\N
517963	1769	1998-11-05	VYDAJ	VYBER	6600	13245	\N	\N	\N
517964	1769	1998-12-05	VYDAJ	VYBER	3300	14133	\N	\N	\N
518012	1770	1994-02-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
518014	1770	1994-02-10	PRIJEM	VKLAD	21017	22017	\N	\N	\N
518015	1770	1994-03-10	PRIJEM	VKLAD	21017	43096	\N	\N	\N
518016	1770	1994-04-10	PRIJEM	VKLAD	21017	50142	\N	\N	\N
518017	1770	1994-05-10	PRIJEM	VKLAD	21017	57148	\N	\N	\N
518018	1770	1994-06-10	PRIJEM	VKLAD	31526	70904	\N	\N	\N
518019	1770	1994-07-10	PRIJEM	VKLAD	21017	60723	\N	\N	\N
518020	1770	1994-08-10	PRIJEM	VKLAD	21017	62628	\N	\N	\N
518021	1770	1994-09-10	PRIJEM	VKLAD	21017	60730	\N	\N	\N
518022	1770	1994-10-10	PRIJEM	VKLAD	21017	61516	\N	\N	\N
518023	1770	1994-11-10	PRIJEM	VKLAD	21017	61710	\N	\N	\N
518024	1770	1994-12-10	PRIJEM	VKLAD	31526	72213	\N	\N	\N
518025	1770	1995-01-10	PRIJEM	VKLAD	21017	64942	\N	\N	\N
518026	1770	1995-02-10	PRIJEM	VKLAD	21017	51213	\N	\N	\N
518027	1770	1995-03-10	PRIJEM	VKLAD	21017	60058	\N	\N	\N
518028	1770	1995-04-10	PRIJEM	VKLAD	21017	60234	\N	\N	\N
518029	1770	1995-05-10	PRIJEM	VKLAD	21017	60520	\N	\N	\N
518030	1770	1995-06-10	PRIJEM	VKLAD	31526	71618	\N	\N	\N
518031	1770	1995-07-10	PRIJEM	VKLAD	21017	56898	\N	\N	\N
518032	1770	1995-08-10	PRIJEM	VKLAD	21017	61068	\N	\N	\N
518033	1770	1995-09-10	PRIJEM	VKLAD	21017	62757	\N	\N	\N
518034	1770	1995-10-10	PRIJEM	VKLAD	21017	59853	\N	\N	\N
518035	1770	1995-11-10	PRIJEM	VKLAD	21017	62538	\N	\N	\N
518036	1770	1995-12-10	PRIJEM	VKLAD	31526	75353	\N	\N	\N
518037	1770	1996-01-10	PRIJEM	VKLAD	21017	68384	\N	\N	\N
518038	1770	1996-02-10	PRIJEM	VKLAD	21017	59183	\N	\N	\N
518039	1770	1996-03-10	PRIJEM	VKLAD	21017	61850	\N	\N	\N
518040	1770	1996-04-10	PRIJEM	VKLAD	21017	65339	\N	\N	\N
518041	1770	1996-05-10	PRIJEM	VKLAD	21017	65641	\N	\N	\N
518042	1770	1996-06-10	PRIJEM	VKLAD	31526	79754	\N	\N	\N
518043	1770	1996-07-10	PRIJEM	VKLAD	21017	60389	\N	\N	\N
518044	1770	1996-08-10	PRIJEM	VKLAD	21017	62973	\N	\N	\N
518045	1770	1996-09-10	PRIJEM	VKLAD	21017	73465	\N	\N	\N
518046	1770	1996-10-10	PRIJEM	VKLAD	21017	72995	\N	\N	\N
518047	1770	1996-11-10	PRIJEM	VKLAD	21017	77020	\N	\N	\N
518048	1770	1996-12-10	PRIJEM	VKLAD	31526	85671	\N	\N	\N
518049	1770	1997-01-10	PRIJEM	VKLAD	21017	78629	\N	\N	\N
518050	1770	1997-02-10	PRIJEM	VKLAD	21017	70360	\N	\N	\N
518051	1770	1997-03-10	PRIJEM	VKLAD	21017	74676	\N	\N	\N
518052	1770	1997-04-10	PRIJEM	VKLAD	21017	80012	\N	\N	\N
518053	1770	1997-05-10	PRIJEM	VKLAD	21017	76861	\N	\N	\N
518054	1770	1997-06-10	PRIJEM	VKLAD	31526	59498	\N	\N	\N
518055	1770	1997-07-10	PRIJEM	VKLAD	21017	71571	\N	\N	\N
518056	1770	1997-08-10	PRIJEM	VKLAD	21017	76892	\N	\N	\N
518057	1770	1997-09-10	PRIJEM	VKLAD	21017	76325	\N	\N	\N
518058	1770	1997-10-10	PRIJEM	VKLAD	21017	74655	\N	\N	\N
518059	1770	1997-11-10	PRIJEM	VKLAD	21017	77081	\N	\N	\N
518060	1770	1997-12-10	PRIJEM	VKLAD	31526	88123	\N	\N	\N
518061	1770	1998-01-10	PRIJEM	VKLAD	21017	80976	\N	\N	\N
518062	1770	1998-02-10	PRIJEM	VKLAD	21017	70502	\N	\N	\N
518063	1770	1998-03-10	PRIJEM	VKLAD	21017	71404	\N	\N	\N
518064	1770	1998-04-10	PRIJEM	VKLAD	21017	64399	\N	\N	\N
518065	1770	1998-05-10	PRIJEM	VKLAD	21017	62371	\N	\N	\N
518066	1770	1998-06-10	PRIJEM	VKLAD	31526	73448	\N	\N	\N
518067	1770	1998-07-10	PRIJEM	VKLAD	21017	56709	\N	\N	\N
518068	1770	1998-08-10	PRIJEM	VKLAD	21017	52843	\N	\N	\N
518069	1770	1998-09-10	PRIJEM	VKLAD	21017	44957	\N	\N	\N
518070	1770	1998-10-10	PRIJEM	VKLAD	21017	49756	\N	\N	\N
518071	1770	1998-11-10	PRIJEM	VKLAD	21017	49072	\N	\N	\N
518072	1770	1998-12-10	PRIJEM	VKLAD	31526	66300	\N	\N	\N
518079	1770	1994-07-05	VYDAJ	PREVOD NA UCET	8351	58706	SIPO	EF	27800739
518080	1770	1994-08-05	VYDAJ	PREVOD NA UCET	8351	52611	SIPO	EF	27800739
518081	1770	1994-09-05	VYDAJ	PREVOD NA UCET	8351	54513	SIPO	EF	27800739
518082	1770	1994-10-05	VYDAJ	PREVOD NA UCET	8351	49599	SIPO	EF	27800739
518083	1770	1994-11-05	VYDAJ	PREVOD NA UCET	8351	40693	SIPO	EF	27800739
518084	1770	1994-12-05	VYDAJ	PREVOD NA UCET	8351	40687	SIPO	EF	27800739
518085	1770	1995-01-05	VYDAJ	PREVOD NA UCET	8351	43925	SIPO	EF	27800739
518086	1770	1995-02-05	VYDAJ	PREVOD NA UCET	8351	30196	SIPO	EF	27800739
518087	1770	1995-03-05	VYDAJ	PREVOD NA UCET	8351	43041	SIPO	EF	27800739
518088	1770	1995-04-05	VYDAJ	PREVOD NA UCET	8351	39217	SIPO	EF	27800739
518089	1770	1995-05-05	VYDAJ	PREVOD NA UCET	8351	39503	SIPO	EF	27800739
518090	1770	1995-06-05	VYDAJ	PREVOD NA UCET	8351	40092	SIPO	EF	27800739
518091	1770	1995-07-05	VYDAJ	PREVOD NA UCET	8351	35881	SIPO	EF	27800739
518092	1770	1995-08-05	VYDAJ	PREVOD NA UCET	8351	40051	SIPO	EF	27800739
518093	1770	1995-09-05	VYDAJ	PREVOD NA UCET	8351	41740	SIPO	EF	27800739
518094	1770	1995-10-05	VYDAJ	PREVOD NA UCET	8351	38836	SIPO	EF	27800739
518095	1770	1995-11-05	VYDAJ	PREVOD NA UCET	8351	41521	SIPO	EF	27800739
518096	1770	1995-12-05	VYDAJ	PREVOD NA UCET	8351	43827	SIPO	EF	27800739
518097	1770	1996-01-05	VYDAJ	PREVOD NA UCET	8351	47367	SIPO	EF	27800739
518098	1770	1996-02-05	VYDAJ	PREVOD NA UCET	8351	38166	SIPO	EF	27800739
518099	1770	1996-03-05	VYDAJ	PREVOD NA UCET	8351	40833	SIPO	EF	27800739
518100	1770	1996-04-05	VYDAJ	PREVOD NA UCET	8351	44322	SIPO	EF	27800739
518101	1770	1996-05-05	VYDAJ	PREVOD NA UCET	8351	44624	SIPO	EF	27800739
518102	1770	1996-06-05	VYDAJ	PREVOD NA UCET	8351	48228	SIPO	EF	27800739
518103	1770	1996-07-05	VYDAJ	PREVOD NA UCET	8351	43272	SIPO	EF	27800739
518104	1770	1996-08-05	VYDAJ	PREVOD NA UCET	8351	45456	SIPO	EF	27800739
518105	1770	1996-09-05	VYDAJ	PREVOD NA UCET	8351	52448	SIPO	EF	27800739
518106	1770	1996-10-05	VYDAJ	PREVOD NA UCET	8351	51978	SIPO	EF	27800739
518107	1770	1996-11-05	VYDAJ	PREVOD NA UCET	8351	56003	SIPO	EF	27800739
518108	1770	1996-12-05	VYDAJ	PREVOD NA UCET	8351	56345	SIPO	EF	27800739
518109	1770	1997-01-05	VYDAJ	PREVOD NA UCET	8351	59812	SIPO	EF	27800739
518110	1770	1997-02-05	VYDAJ	PREVOD NA UCET	8351	49343	SIPO	EF	27800739
518111	1770	1997-03-05	VYDAJ	PREVOD NA UCET	8351	53659	SIPO	EF	27800739
518112	1770	1997-04-05	VYDAJ	PREVOD NA UCET	8351	58995	SIPO	EF	27800739
518113	1770	1997-05-05	VYDAJ	PREVOD NA UCET	8351	55844	SIPO	EF	27800739
518114	1770	1997-06-05	VYDAJ	PREVOD NA UCET	8351	27972	SIPO	EF	27800739
518115	1770	1997-07-05	VYDAJ	PREVOD NA UCET	8351	50554	SIPO	EF	27800739
518116	1770	1997-08-05	VYDAJ	PREVOD NA UCET	8351	55875	SIPO	EF	27800739
518117	1770	1997-09-05	VYDAJ	PREVOD NA UCET	8351	55308	SIPO	EF	27800739
518118	1770	1997-10-05	VYDAJ	PREVOD NA UCET	8351	53638	SIPO	EF	27800739
518119	1770	1997-11-05	VYDAJ	PREVOD NA UCET	8351	56064	SIPO	EF	27800739
518120	1770	1997-12-05	VYDAJ	PREVOD NA UCET	8351	56597	SIPO	EF	27800739
518121	1770	1998-01-05	VYDAJ	PREVOD NA UCET	8351	61759	SIPO	EF	27800739
518122	1770	1998-02-05	VYDAJ	PREVOD NA UCET	8351	49485	SIPO	EF	27800739
518123	1770	1998-03-05	VYDAJ	PREVOD NA UCET	8351	50387	SIPO	EF	27800739
518124	1770	1998-04-05	VYDAJ	PREVOD NA UCET	8351	43382	SIPO	EF	27800739
518125	1770	1998-05-05	VYDAJ	PREVOD NA UCET	8351	41354	SIPO	EF	27800739
518126	1770	1998-06-05	VYDAJ	PREVOD NA UCET	8351	41922	SIPO	EF	27800739
518127	1770	1998-07-05	VYDAJ	PREVOD NA UCET	8351	35692	SIPO	EF	27800739
518128	1770	1998-08-05	VYDAJ	PREVOD NA UCET	8351	31826	SIPO	EF	27800739
518129	1770	1998-09-05	VYDAJ	PREVOD NA UCET	8351	23940	SIPO	EF	27800739
518130	1770	1998-10-05	VYDAJ	PREVOD NA UCET	8351	28739	SIPO	EF	27800739
518131	1770	1998-11-05	VYDAJ	PREVOD NA UCET	8351	28055	SIPO	EF	27800739
518132	1770	1998-12-05	VYDAJ	PREVOD NA UCET	8351	36474	SIPO	EF	27800739
518133	1770	1994-06-13	VYDAJ	VYBER	4100	66804	\N	\N	\N
518134	1770	1995-06-17	VYDAJ	VYBER	21400	50218	\N	\N	\N
518135	1770	1996-06-28	VYDAJ	VYBER	13600	51354	\N	\N	\N
518136	1770	1997-06-02	VYDAJ	VYBER	22200	36323	\N	\N	\N
518137	1770	1998-06-13	VYDAJ	VYBER	15300	58148	\N	\N	\N
518139	1770	1995-01-19	VYDAJ	VYBER	6200	48442	\N	\N	\N
518140	1770	1996-01-25	VYDAJ	VYBER	5400	58184	\N	\N	\N
518141	1770	1997-01-15	VYDAJ	VYBER	4500	73429	\N	\N	\N
518142	1770	1998-01-13	VYDAJ	VYBER	4000	75576	\N	\N	\N
518143	1770	1994-12-20	VYDAJ	VYBER	1200	71013	\N	\N	\N
518144	1770	1995-12-24	VYDAJ	VYBER	1400	73953	\N	\N	\N
518145	1770	1996-12-07	VYDAJ	VYBER	1300	55045	\N	\N	\N
518146	1770	1997-12-15	VYDAJ	VYBER	2500	85623	\N	\N	\N
518147	1770	1998-12-20	VYDAJ	VYBER KARTOU	2000	50200	\N	\N	0
518154	1770	1995-01-16	VYDAJ	VYBER	1900	58442	\N	\N	\N
518155	1770	1995-01-24	VYDAJ	VYBER	1300	47142	\N	\N	\N
518156	1770	1995-01-29	VYDAJ	VYBER	2600	44542	\N	\N	\N
518157	1770	1995-01-11	VYDAJ	VYBER	1200	63742	\N	\N	\N
518158	1770	1995-01-15	VYDAJ	VYBER	800	60342	\N	\N	\N
518159	1770	1995-01-13	VYDAJ	VYBER	2600	61142	\N	\N	\N
518160	1770	1996-01-13	VYDAJ	VYBER	2700	63584	\N	\N	\N
518161	1770	1996-01-13	VYDAJ	VYBER	2100	66284	\N	\N	\N
518162	1770	1996-01-28	VYDAJ	VYBER	500	57684	\N	\N	\N
518163	1770	1996-01-05	VYDAJ	VYBER	2600	55718	\N	\N	\N
518164	1770	1996-01-28	VYDAJ	VYBER	800	56884	\N	\N	\N
518165	1770	1996-01-30	VYDAJ	VYBER	700	46284	\N	\N	\N
518166	1770	1997-01-15	VYDAJ	VYBER	800	72629	\N	\N	\N
518167	1770	1997-01-09	VYDAJ	VYBER	2200	57612	\N	\N	\N
518168	1770	1997-01-12	VYDAJ	VYBER	700	77929	\N	\N	\N
518169	1770	1997-01-30	VYDAJ	VYBER	800	57429	\N	\N	\N
518170	1770	1997-01-20	VYDAJ	VYBER	1000	69429	\N	\N	\N
518171	1770	1997-01-16	VYDAJ	VYBER	2200	70429	\N	\N	\N
518172	1770	1998-01-24	VYDAJ	VYBER	1200	60076	\N	\N	\N
518173	1770	1998-01-28	VYDAJ	VYBER	1600	58476	\N	\N	\N
518174	1770	1998-01-29	VYDAJ	VYBER	900	57576	\N	\N	\N
518175	1770	1998-01-09	VYDAJ	VYBER	1800	59959	\N	\N	\N
518176	1770	1998-01-16	VYDAJ	VYBER	2400	73176	\N	\N	\N
518177	1770	1998-01-11	VYDAJ	VYBER	1400	79576	\N	\N	\N
518178	1770	1994-12-02	VYDAJ	VYBER	2900	59038	\N	\N	\N
518181	1770	1994-09-11	VYDAJ	VYBER	3000	57730	\N	\N	\N
518182	1770	1995-09-29	VYDAJ	VYBER	4900	57857	\N	\N	\N
518183	1770	1995-03-14	VYDAJ	VYBER	3800	56258	\N	\N	\N
518184	1770	1995-01-16	VYDAJ	VYBER	3800	54642	\N	\N	\N
518185	1770	1995-01-04	VYDAJ	VYBER	4500	52276	\N	\N	\N
518186	1770	1996-02-11	VYDAJ	VYBER	4200	54983	\N	\N	\N
518187	1770	1996-06-03	VYDAJ	VYBER	2200	56579	\N	\N	\N
518188	1770	1996-10-02	VYDAJ	VYBER	1800	60329	\N	\N	\N
518189	1770	1996-07-09	VYDAJ	VYBER	3900	39372	\N	\N	\N
518190	1770	1996-08-05	VYDAJ	VYBER	3500	41956	\N	\N	\N
518191	1770	1996-12-09	VYDAJ	VYBER	900	54145	\N	\N	\N
518192	1770	1997-05-22	VYDAJ	VYBER	3700	70161	\N	\N	\N
518193	1770	1997-01-27	VYDAJ	VYBER	3900	58229	\N	\N	\N
518194	1770	1997-05-18	VYDAJ	VYBER	3000	73861	\N	\N	\N
518195	1770	1997-09-25	VYDAJ	VYBER	2500	61725	\N	\N	\N
518196	1770	1998-03-20	VYDAJ	VYBER	4300	51504	\N	\N	\N
518197	1770	1998-11-02	VYDAJ	VYBER KARTOU	3800	36406	\N	\N	0
518198	1770	1998-08-27	VYDAJ	VYBER	4700	32143	\N	\N	\N
518199	1770	1998-12-06	VYDAJ	VYBER KARTOU	1700	34774	\N	\N	0
518200	1770	1998-08-24	VYDAJ	VYBER KARTOU	2300	36843	\N	\N	0
518201	1770	1998-06-23	VYDAJ	VYBER	4600	43848	\N	\N	\N
518202	1770	1998-08-13	VYDAJ	VYBER KARTOU	3300	49543	\N	\N	0
518209	1770	1994-06-30	VYDAJ	VYBER	15	67057	SLUZBY	\N	\N
518210	1770	1994-07-31	VYDAJ	VYBER	15	60962	SLUZBY	\N	\N
518211	1770	1994-08-31	VYDAJ	VYBER	15	62864	SLUZBY	\N	\N
518212	1770	1994-09-30	VYDAJ	VYBER	15	57950	SLUZBY	\N	\N
518213	1770	1994-10-31	VYDAJ	VYBER	15	61744	SLUZBY	\N	\N
518214	1770	1994-11-30	VYDAJ	VYBER	15	61938	SLUZBY	\N	\N
518215	1770	1994-12-31	VYDAJ	VYBER	15	71276	SLUZBY	\N	\N
518216	1770	1995-01-31	VYDAJ	VYBER	15	44747	SLUZBY	\N	\N
518217	1770	1995-02-28	VYDAJ	VYBER	15	51392	SLUZBY	\N	\N
518218	1770	1995-03-31	VYDAJ	VYBER	15	56468	SLUZBY	\N	\N
518219	1770	1995-04-30	VYDAJ	VYBER	15	60454	SLUZBY	\N	\N
518220	1770	1995-05-31	VYDAJ	VYBER	15	60743	SLUZBY	\N	\N
518221	1770	1995-06-30	VYDAJ	VYBER	15	50432	SLUZBY	\N	\N
518222	1770	1995-07-31	VYDAJ	VYBER	15	57102	SLUZBY	\N	\N
518223	1770	1995-08-31	VYDAJ	VYBER	15	61291	SLUZBY	\N	\N
518224	1770	1995-09-30	VYDAJ	VYBER	15	58087	SLUZBY	\N	\N
518225	1770	1995-10-31	VYDAJ	VYBER	15	60072	SLUZBY	\N	\N
518226	1770	1995-11-30	VYDAJ	VYBER	15	52178	SLUZBY	\N	\N
518227	1770	1995-12-31	VYDAJ	VYBER	15	58318	SLUZBY	\N	\N
518228	1770	1996-01-31	VYDAJ	VYBER	15	46517	SLUZBY	\N	\N
518229	1770	1996-02-29	VYDAJ	VYBER	15	49184	SLUZBY	\N	\N
518230	1770	1996-03-31	VYDAJ	VYBER	15	52673	SLUZBY	\N	\N
518231	1770	1996-04-30	VYDAJ	VYBER	15	52975	SLUZBY	\N	\N
518232	1770	1996-05-31	VYDAJ	VYBER	15	58779	SLUZBY	\N	\N
518233	1770	1996-06-30	VYDAJ	VYBER	15	51623	SLUZBY	\N	\N
518234	1770	1996-07-31	VYDAJ	VYBER	15	53807	SLUZBY	\N	\N
518235	1770	1996-08-31	VYDAJ	VYBER	15	60799	SLUZBY	\N	\N
518236	1770	1996-09-30	VYDAJ	VYBER	15	62129	SLUZBY	\N	\N
518237	1770	1996-10-31	VYDAJ	VYBER	15	64354	SLUZBY	\N	\N
518238	1770	1996-11-30	VYDAJ	VYBER	15	64696	SLUZBY	\N	\N
518239	1770	1996-12-31	VYDAJ	VYBER	15	68163	SLUZBY	\N	\N
518240	1770	1997-01-31	VYDAJ	VYBER	15	57694	SLUZBY	\N	\N
518241	1770	1997-02-28	VYDAJ	VYBER	15	62010	SLUZBY	\N	\N
518242	1770	1997-03-31	VYDAJ	VYBER	15	67346	SLUZBY	\N	\N
518243	1770	1997-04-30	VYDAJ	VYBER	15	64195	SLUZBY	\N	\N
518244	1770	1997-05-31	VYDAJ	VYBER	15	58523	SLUZBY	\N	\N
518245	1770	1997-06-30	VYDAJ	VYBER	15	58905	SLUZBY	\N	\N
518246	1770	1997-07-31	VYDAJ	VYBER	15	64226	SLUZBY	\N	\N
518247	1770	1997-08-31	VYDAJ	VYBER	15	63659	SLUZBY	\N	\N
518248	1770	1997-09-30	VYDAJ	VYBER	15	61989	SLUZBY	\N	\N
518249	1770	1997-10-31	VYDAJ	VYBER	15	64415	SLUZBY	\N	\N
518250	1770	1997-11-30	VYDAJ	VYBER	15	64948	SLUZBY	\N	\N
518251	1770	1997-12-31	VYDAJ	VYBER	15	70110	SLUZBY	\N	\N
518252	1770	1998-01-31	VYDAJ	VYBER	15	57836	SLUZBY	\N	\N
518253	1770	1998-02-28	VYDAJ	VYBER	15	58738	SLUZBY	\N	\N
518254	1770	1998-03-31	VYDAJ	VYBER	15	51733	SLUZBY	\N	\N
518255	1770	1998-04-30	VYDAJ	VYBER	15	49705	SLUZBY	\N	\N
518256	1770	1998-05-31	VYDAJ	VYBER	15	50273	SLUZBY	\N	\N
518257	1770	1998-06-30	VYDAJ	VYBER	15	44043	SLUZBY	\N	\N
518258	1770	1998-07-31	VYDAJ	VYBER	15	40177	SLUZBY	\N	\N
518259	1770	1998-08-31	VYDAJ	VYBER	15	32291	SLUZBY	\N	\N
518260	1770	1998-09-30	VYDAJ	VYBER	15	37090	SLUZBY	\N	\N
518261	1770	1998-10-31	VYDAJ	VYBER	15	40206	SLUZBY	\N	\N
518262	1770	1998-11-30	VYDAJ	VYBER	15	44825	SLUZBY	\N	\N
518263	1770	1994-03-10	VYDAJ	VYBER	8700	34396	\N	\N	\N
518264	1770	1994-04-09	VYDAJ	VYBER	5400	29125	\N	\N	\N
518265	1770	1994-05-09	VYDAJ	VYBER	14200	36131	\N	\N	\N
518266	1770	1994-06-08	VYDAJ	VYBER	18000	39378	\N	\N	\N
518267	1770	1994-07-08	VYDAJ	VYBER	19000	39706	\N	\N	\N
518268	1770	1994-08-07	VYDAJ	VYBER	11000	41611	\N	\N	\N
518269	1770	1994-09-06	VYDAJ	VYBER	14800	39713	\N	\N	\N
518270	1770	1994-10-06	VYDAJ	VYBER	9100	40499	\N	\N	\N
518271	1770	1994-11-05	VYDAJ	VYBER	12700	49044	\N	\N	\N
518272	1770	1994-12-05	VYDAJ	VYBER	10000	49038	\N	\N	\N
518273	1770	1995-01-04	VYDAJ	VYBER	14500	56776	\N	\N	\N
518274	1770	1995-02-03	VYDAJ	VYBER	6200	38547	\N	\N	\N
518275	1770	1995-03-05	VYDAJ	VYBER	4000	39041	\N	\N	\N
518276	1770	1995-04-04	VYDAJ	VYBER	8900	47568	\N	\N	\N
518277	1770	1995-05-04	VYDAJ	VYBER	12600	47854	\N	\N	\N
518278	1770	1995-06-03	VYDAJ	VYBER	12300	48443	\N	\N	\N
518279	1770	1995-07-03	VYDAJ	VYBER	6200	44232	\N	\N	\N
518280	1770	1995-08-02	VYDAJ	VYBER	8700	48402	\N	\N	\N
518281	1770	1995-09-01	VYDAJ	VYBER	11200	50091	\N	\N	\N
518282	1770	1995-10-01	VYDAJ	VYBER	10900	47187	\N	\N	\N
518283	1770	1995-10-31	VYDAJ	VYBER	10200	49872	\N	\N	\N
518284	1770	1995-11-30	VYDAJ	VYBER	10600	52193	\N	\N	\N
518285	1770	1995-12-30	VYDAJ	VYBER	15900	58053	\N	\N	\N
518286	1770	1996-01-29	VYDAJ	VYBER	9900	46984	\N	\N	\N
518287	1770	1996-02-28	VYDAJ	VYBER	6000	48983	\N	\N	\N
518288	1770	1996-03-29	VYDAJ	VYBER	9400	52450	\N	\N	\N
518289	1770	1996-04-28	VYDAJ	VYBER	12600	52739	\N	\N	\N
518290	1770	1996-05-28	VYDAJ	VYBER	7100	58541	\N	\N	\N
518291	1770	1996-06-27	VYDAJ	VYBER	14800	64954	\N	\N	\N
518292	1770	1996-07-27	VYDAJ	VYBER	6800	53589	\N	\N	\N
518293	1770	1996-08-26	VYDAJ	VYBER	2400	60573	\N	\N	\N
518294	1770	1996-09-25	VYDAJ	VYBER	11600	61865	\N	\N	\N
518295	1770	1996-10-25	VYDAJ	VYBER	8900	64095	\N	\N	\N
518296	1770	1996-11-24	VYDAJ	VYBER	12600	64420	\N	\N	\N
518297	1770	1996-12-24	VYDAJ	VYBER	17800	67871	\N	\N	\N
518298	1770	1997-01-23	VYDAJ	VYBER	7300	62129	\N	\N	\N
518299	1770	1997-02-22	VYDAJ	VYBER	8600	61760	\N	\N	\N
518300	1770	1997-03-24	VYDAJ	VYBER	7600	67076	\N	\N	\N
518301	1770	1997-04-23	VYDAJ	VYBER	16100	63912	\N	\N	\N
518302	1770	1997-05-23	VYDAJ	VYBER	11900	58261	\N	\N	\N
518303	1770	1997-06-22	VYDAJ	VYBER	800	58698	\N	\N	\N
518304	1770	1997-07-22	VYDAJ	VYBER	7600	63971	\N	\N	\N
518305	1770	1997-08-21	VYDAJ	VYBER	13500	63392	\N	\N	\N
518306	1770	1997-09-20	VYDAJ	VYBER	12100	64225	\N	\N	\N
518307	1770	1997-10-20	VYDAJ	VYBER	10500	64155	\N	\N	\N
518308	1770	1997-11-19	VYDAJ	VYBER	12400	64681	\N	\N	\N
518309	1770	1997-12-19	VYDAJ	VYBER	15800	69823	\N	\N	\N
518310	1770	1998-01-18	VYDAJ	VYBER	11900	61276	\N	\N	\N
518311	1770	1998-02-17	VYDAJ	VYBER	12000	58502	\N	\N	\N
518312	1770	1998-03-19	VYDAJ	VYBER	15600	55804	\N	\N	\N
518313	1770	1998-04-18	VYDAJ	VYBER	14900	49499	\N	\N	\N
518314	1770	1998-05-18	VYDAJ	VYBER	12300	50071	\N	\N	\N
518315	1770	1998-06-17	VYDAJ	VYBER	9700	48448	\N	\N	\N
518316	1770	1998-07-17	VYDAJ	VYBER	16700	40009	\N	\N	\N
518317	1770	1998-08-16	VYDAJ	VYBER	10400	39143	\N	\N	\N
518318	1770	1998-09-15	VYDAJ	VYBER	8000	36957	\N	\N	\N
518319	1770	1998-10-15	VYDAJ	VYBER	9700	40056	\N	\N	\N
518320	1770	1998-11-14	VYDAJ	VYBER	4400	44672	\N	\N	\N
518321	1770	1998-12-14	VYDAJ	VYBER	14100	52200	\N	\N	\N
518381	1771	1993-03-28	PRIJEM	VKLAD	500	500	\N	\N	\N
518385	1771	1993-04-11	PRIJEM	VKLAD	4579	5079	\N	\N	\N
518386	1771	1993-05-11	PRIJEM	VKLAD	4579	19066	\N	\N	\N
518387	1771	1993-06-11	PRIJEM	VKLAD	6868	28699	\N	\N	\N
518388	1771	1993-07-11	PRIJEM	VKLAD	4579	30172	\N	\N	\N
518389	1771	1993-08-11	PRIJEM	VKLAD	4579	32759	\N	\N	\N
518390	1771	1993-09-11	PRIJEM	VKLAD	4579	19281	\N	\N	\N
518391	1771	1993-10-11	PRIJEM	VKLAD	4579	22256	\N	\N	\N
518392	1771	1993-11-11	PRIJEM	VKLAD	4579	26855	\N	\N	\N
518393	1771	1993-12-11	PRIJEM	VKLAD	6868	26452	\N	\N	\N
518394	1771	1994-01-11	PRIJEM	VKLAD	4579	26965	\N	\N	\N
518395	1771	1994-02-11	PRIJEM	VKLAD	4579	21767	\N	\N	\N
518396	1771	1994-03-11	PRIJEM	VKLAD	4579	26659	\N	\N	\N
518397	1771	1994-04-11	PRIJEM	VKLAD	4579	25371	\N	\N	\N
518398	1771	1994-05-11	PRIJEM	VKLAD	4579	28576	\N	\N	\N
518399	1771	1994-06-11	PRIJEM	VKLAD	6868	26983	\N	\N	\N
518400	1771	1994-07-11	PRIJEM	VKLAD	4579	28404	\N	\N	\N
518401	1771	1994-08-11	PRIJEM	VKLAD	4579	30421	\N	\N	\N
518402	1771	1994-09-11	PRIJEM	VKLAD	4579	32447	\N	\N	\N
518403	1771	1994-10-11	PRIJEM	VKLAD	4579	29574	\N	\N	\N
518404	1771	1994-11-11	PRIJEM	VKLAD	4579	30296	\N	\N	\N
518405	1771	1994-12-11	PRIJEM	VKLAD	6868	32709	\N	\N	\N
518406	1771	1995-01-11	PRIJEM	VKLAD	4579	32540	\N	\N	\N
518407	1771	1995-02-11	PRIJEM	VKLAD	4579	17458	\N	\N	\N
518408	1771	1995-03-11	PRIJEM	VKLAD	4579	21941	\N	\N	\N
518409	1771	1995-04-11	PRIJEM	VKLAD	4579	25734	\N	\N	\N
518410	1771	1995-05-11	PRIJEM	VKLAD	4579	26346	\N	\N	\N
518411	1771	1995-06-11	PRIJEM	VKLAD	6868	33556	\N	\N	\N
518412	1771	1995-07-11	PRIJEM	VKLAD	4579	19872	\N	\N	\N
518413	1771	1995-08-11	PRIJEM	VKLAD	4579	30473	\N	\N	\N
518414	1771	1995-09-11	PRIJEM	VKLAD	4579	33804	\N	\N	\N
518415	1771	1995-10-11	PRIJEM	VKLAD	4579	37049	\N	\N	\N
518416	1771	1995-11-11	PRIJEM	VKLAD	4579	39904	\N	\N	\N
518417	1771	1995-12-11	PRIJEM	VKLAD	6868	40048	\N	\N	\N
518418	1771	1996-01-11	PRIJEM	VKLAD	4579	27693	\N	\N	\N
518419	1771	1996-02-11	PRIJEM	VKLAD	4579	20799	\N	\N	\N
518420	1771	1996-03-11	PRIJEM	VKLAD	4579	26791	\N	\N	\N
518421	1771	1996-04-11	PRIJEM	VKLAD	4579	28796	\N	\N	\N
518422	1771	1996-05-11	PRIJEM	VKLAD	4579	30406	\N	\N	\N
518423	1771	1996-06-11	PRIJEM	VKLAD	6868	33327	\N	\N	\N
518424	1771	1996-07-11	PRIJEM	VKLAD	4579	32254	\N	\N	\N
518425	1771	1996-08-11	PRIJEM	VKLAD	4579	27474	\N	\N	\N
518426	1771	1996-09-11	PRIJEM	VKLAD	4579	31296	\N	\N	\N
518427	1771	1996-10-11	PRIJEM	VKLAD	4579	34728	\N	\N	\N
518428	1771	1996-11-11	PRIJEM	VKLAD	4579	36474	\N	\N	\N
518429	1771	1996-12-11	PRIJEM	VKLAD	6868	40811	\N	\N	\N
518430	1771	1997-01-11	PRIJEM	VKLAD	4579	34474	\N	\N	\N
518431	1771	1997-02-11	PRIJEM	VKLAD	4579	34613	\N	\N	\N
518432	1771	1997-03-11	PRIJEM	VKLAD	4579	40058	\N	\N	\N
518433	1771	1997-04-11	PRIJEM	VKLAD	4579	39824	\N	\N	\N
518434	1771	1997-05-11	PRIJEM	VKLAD	4579	41587	\N	\N	\N
518435	1771	1997-06-11	PRIJEM	VKLAD	6868	42853	\N	\N	\N
518436	1771	1997-07-11	PRIJEM	VKLAD	4579	31222	\N	\N	\N
518437	1771	1997-08-11	PRIJEM	VKLAD	4579	35340	\N	\N	\N
518438	1771	1997-09-11	PRIJEM	VKLAD	4579	32069	\N	\N	\N
518439	1771	1997-10-11	PRIJEM	VKLAD	4579	29508	\N	\N	\N
518440	1771	1997-11-11	PRIJEM	VKLAD	4579	27032	\N	\N	\N
518441	1771	1997-12-11	PRIJEM	VKLAD	6868	26442	\N	\N	\N
518442	1771	1998-01-11	PRIJEM	VKLAD	4579	26047	\N	\N	\N
518443	1771	1998-02-11	PRIJEM	VKLAD	4579	25949	\N	\N	\N
518444	1771	1998-03-11	PRIJEM	VKLAD	4579	25049	\N	\N	\N
518445	1771	1998-04-11	PRIJEM	VKLAD	4579	31254	\N	\N	\N
518446	1771	1998-05-11	PRIJEM	VKLAD	4579	36473	\N	\N	\N
518447	1771	1998-06-11	PRIJEM	VKLAD	6868	30111	\N	\N	\N
518448	1771	1998-07-11	PRIJEM	VKLAD	4579	31442	\N	\N	\N
518449	1771	1998-08-11	PRIJEM	VKLAD	4579	34065	\N	\N	\N
518450	1771	1998-09-11	PRIJEM	VKLAD	4579	37402	\N	\N	\N
518451	1771	1998-10-11	PRIJEM	VKLAD	4579	37758	\N	\N	\N
518452	1771	1998-11-11	PRIJEM	VKLAD	4579	33904	\N	\N	\N
518453	1771	1998-12-11	PRIJEM	VKLAD	6868	26324	\N	\N	\N
518461	1771	1993-08-11	VYDAJ	PREVOD NA UCET	3052	29707	SIPO	GH	38500511
518462	1771	1993-09-11	VYDAJ	PREVOD NA UCET	3052	16229	SIPO	GH	38500511
518463	1771	1993-10-11	VYDAJ	PREVOD NA UCET	3052	19204	SIPO	GH	38500511
518464	1771	1993-11-11	VYDAJ	PREVOD NA UCET	3052	23803	SIPO	GH	38500511
518465	1771	1993-12-11	VYDAJ	PREVOD NA UCET	3052	23400	SIPO	GH	38500511
518466	1771	1994-01-11	VYDAJ	PREVOD NA UCET	3052	22013	SIPO	GH	38500511
518467	1771	1994-02-11	VYDAJ	PREVOD NA UCET	3052	18715	SIPO	GH	38500511
518468	1771	1994-03-11	VYDAJ	PREVOD NA UCET	3052	23607	SIPO	GH	38500511
518469	1771	1994-04-11	VYDAJ	PREVOD NA UCET	3052	22319	SIPO	GH	38500511
518470	1771	1994-05-11	VYDAJ	PREVOD NA UCET	3052	25524	SIPO	GH	38500511
518471	1771	1994-06-11	VYDAJ	PREVOD NA UCET	3052	23931	SIPO	GH	38500511
518472	1771	1994-07-11	VYDAJ	PREVOD NA UCET	3052	25352	SIPO	GH	38500511
518473	1771	1994-08-11	VYDAJ	PREVOD NA UCET	3052	27369	SIPO	GH	38500511
518474	1771	1994-09-11	VYDAJ	PREVOD NA UCET	3052	29395	SIPO	GH	38500511
518475	1771	1994-10-11	VYDAJ	PREVOD NA UCET	3052	26522	SIPO	GH	38500511
518476	1771	1994-11-11	VYDAJ	PREVOD NA UCET	3052	27244	SIPO	GH	38500511
518477	1771	1994-12-11	VYDAJ	PREVOD NA UCET	3052	29657	SIPO	GH	38500511
518478	1771	1995-01-11	VYDAJ	PREVOD NA UCET	3052	29488	SIPO	GH	38500511
518479	1771	1995-02-11	VYDAJ	PREVOD NA UCET	3052	14406	SIPO	GH	38500511
518480	1771	1995-03-11	VYDAJ	PREVOD NA UCET	3052	18889	SIPO	GH	38500511
518481	1771	1995-04-11	VYDAJ	PREVOD NA UCET	3052	22682	SIPO	GH	38500511
518482	1771	1995-05-11	VYDAJ	PREVOD NA UCET	3052	23294	SIPO	GH	38500511
518483	1771	1995-06-11	VYDAJ	PREVOD NA UCET	3052	30504	SIPO	GH	38500511
518484	1771	1995-07-11	VYDAJ	PREVOD NA UCET	3052	16820	SIPO	GH	38500511
518485	1771	1995-08-11	VYDAJ	PREVOD NA UCET	3052	27421	SIPO	GH	38500511
518486	1771	1995-09-11	VYDAJ	PREVOD NA UCET	3052	30752	SIPO	GH	38500511
518487	1771	1995-10-11	VYDAJ	PREVOD NA UCET	3052	33997	SIPO	GH	38500511
518488	1771	1995-11-11	VYDAJ	PREVOD NA UCET	3052	36852	SIPO	GH	38500511
518489	1771	1995-12-11	VYDAJ	PREVOD NA UCET	3052	36996	SIPO	GH	38500511
518490	1771	1996-01-11	VYDAJ	PREVOD NA UCET	3052	24641	SIPO	GH	38500511
518491	1771	1996-02-11	VYDAJ	PREVOD NA UCET	3052	22147	SIPO	GH	38500511
518492	1771	1996-03-11	VYDAJ	PREVOD NA UCET	3052	23739	SIPO	GH	38500511
518493	1771	1996-04-11	VYDAJ	PREVOD NA UCET	3052	25744	SIPO	GH	38500511
518494	1771	1996-05-11	VYDAJ	PREVOD NA UCET	3052	26054	SIPO	GH	38500511
518495	1771	1996-06-11	VYDAJ	PREVOD NA UCET	3052	30275	SIPO	GH	38500511
518496	1771	1996-07-11	VYDAJ	PREVOD NA UCET	3052	29202	SIPO	GH	38500511
518497	1771	1996-08-11	VYDAJ	PREVOD NA UCET	3052	24422	SIPO	GH	38500511
518498	1771	1996-09-11	VYDAJ	PREVOD NA UCET	3052	28244	SIPO	GH	38500511
518499	1771	1996-10-11	VYDAJ	PREVOD NA UCET	3052	31676	SIPO	GH	38500511
518500	1771	1996-11-11	VYDAJ	PREVOD NA UCET	3052	33422	SIPO	GH	38500511
518501	1771	1996-12-11	VYDAJ	PREVOD NA UCET	3052	37759	SIPO	GH	38500511
518502	1771	1997-01-11	VYDAJ	PREVOD NA UCET	3052	31422	SIPO	GH	38500511
518503	1771	1997-02-11	VYDAJ	PREVOD NA UCET	3052	31561	SIPO	GH	38500511
518504	1771	1997-03-11	VYDAJ	PREVOD NA UCET	3052	37006	SIPO	GH	38500511
518505	1771	1997-04-11	VYDAJ	PREVOD NA UCET	3052	36772	SIPO	GH	38500511
518506	1771	1997-05-11	VYDAJ	PREVOD NA UCET	3052	38535	SIPO	GH	38500511
518507	1771	1997-06-11	VYDAJ	PREVOD NA UCET	3052	39801	SIPO	GH	38500511
518508	1771	1997-07-11	VYDAJ	PREVOD NA UCET	3052	28170	SIPO	GH	38500511
518509	1771	1997-08-11	VYDAJ	PREVOD NA UCET	3052	32288	SIPO	GH	38500511
518510	1771	1997-09-11	VYDAJ	PREVOD NA UCET	3052	29017	SIPO	GH	38500511
518511	1771	1997-10-11	VYDAJ	PREVOD NA UCET	3052	26456	SIPO	GH	38500511
518512	1771	1997-11-11	VYDAJ	PREVOD NA UCET	3052	23980	SIPO	GH	38500511
518513	1771	1997-12-11	VYDAJ	PREVOD NA UCET	3052	23390	SIPO	GH	38500511
518514	1771	1998-01-11	VYDAJ	PREVOD NA UCET	3052	22995	SIPO	GH	38500511
518515	1771	1998-02-11	VYDAJ	PREVOD NA UCET	3052	22897	SIPO	GH	38500511
518516	1771	1998-03-11	VYDAJ	PREVOD NA UCET	3052	21997	SIPO	GH	38500511
518517	1771	1998-04-11	VYDAJ	PREVOD NA UCET	3052	28202	SIPO	GH	38500511
518518	1771	1998-05-11	VYDAJ	PREVOD NA UCET	3052	33421	SIPO	GH	38500511
518519	1771	1998-06-11	VYDAJ	PREVOD NA UCET	3052	27059	SIPO	GH	38500511
518520	1771	1998-07-11	VYDAJ	PREVOD NA UCET	3052	28390	SIPO	GH	38500511
518521	1771	1998-08-11	VYDAJ	PREVOD NA UCET	3052	31013	SIPO	GH	38500511
518522	1771	1998-09-11	VYDAJ	PREVOD NA UCET	3052	34350	SIPO	GH	38500511
518523	1771	1998-10-11	VYDAJ	PREVOD NA UCET	3052	34706	SIPO	GH	38500511
518524	1771	1998-11-11	VYDAJ	PREVOD NA UCET	3052	30852	SIPO	GH	38500511
518525	1771	1998-12-11	VYDAJ	PREVOD NA UCET	3052	23272	SIPO	GH	38500511
518527	1771	1994-06-21	VYDAJ	VYBER	4600	23731	\N	\N	\N
518528	1771	1995-06-22	VYDAJ	VYBER	14500	15204	\N	\N	\N
518530	1771	1997-06-28	VYDAJ	VYBER	13400	26401	\N	\N	\N
518531	1771	1998-06-06	VYDAJ	VYBER	10100	23243	\N	\N	\N
518534	1771	1995-01-27	VYDAJ	VYBER	7300	17288	\N	\N	\N
518535	1771	1996-01-14	VYDAJ	VYBER	3100	22841	\N	\N	\N
518536	1771	1997-01-10	VYDAJ	VYBER	4400	29895	\N	\N	\N
518538	1771	1993-12-06	VYDAJ	VYBER	2400	19584	\N	\N	\N
518539	1771	1994-12-15	VYDAJ	VYBER	1100	26157	\N	\N	\N
518540	1771	1995-12-25	VYDAJ	VYBER	2800	29196	\N	\N	\N
518541	1771	1996-12-06	VYDAJ	VYBER	1900	31643	\N	\N	\N
518542	1771	1997-12-22	VYDAJ	VYBER	2800	20590	\N	\N	\N
518543	1771	1998-12-25	VYDAJ	VYBER	1200	22072	\N	\N	\N
518550	1771	1994-01-30	VYDAJ	VYBER	2900	17113	\N	\N	\N
518551	1771	1994-01-11	VYDAJ	VYBER	1900	25065	\N	\N	\N
518552	1771	1994-01-05	VYDAJ	VYBER	900	22886	\N	\N	\N
518553	1771	1994-01-10	VYDAJ	VYBER	500	22386	\N	\N	\N
518554	1771	1994-01-19	VYDAJ	VYBER	1300	18813	\N	\N	\N
518555	1771	1994-01-15	VYDAJ	VYBER	500	20113	\N	\N	\N
518556	1771	1995-01-27	VYDAJ	VYBER	2300	14988	\N	\N	\N
518557	1771	1995-01-30	VYDAJ	VYBER	600	12788	\N	\N	\N
518558	1771	1995-01-15	VYDAJ	VYBER	2000	27488	\N	\N	\N
518559	1771	1995-01-01	VYDAJ	VYBER	2200	27961	\N	\N	\N
518560	1771	1995-01-18	VYDAJ	VYBER	2300	24588	\N	\N	\N
518561	1771	1995-01-28	VYDAJ	VYBER	1600	13388	\N	\N	\N
518562	1771	1996-01-27	VYDAJ	VYBER	2700	16841	\N	\N	\N
518563	1771	1996-01-24	VYDAJ	VYBER	1000	21841	\N	\N	\N
518564	1771	1996-01-27	VYDAJ	VYBER	700	16141	\N	\N	\N
518565	1771	1996-01-05	VYDAJ	VYBER	2300	23114	\N	\N	\N
518566	1771	1996-01-01	VYDAJ	VYBER	2000	27314	\N	\N	\N
518567	1771	1996-01-04	VYDAJ	VYBER	1900	25414	\N	\N	\N
518568	1771	1997-01-16	VYDAJ	VYBER	1600	29022	\N	\N	\N
518569	1771	1997-01-12	VYDAJ	VYBER	800	30622	\N	\N	\N
518570	1771	1997-01-09	VYDAJ	VYBER	700	34295	\N	\N	\N
518571	1771	1997-01-07	VYDAJ	VYBER	2700	34995	\N	\N	\N
518572	1771	1997-01-26	VYDAJ	VYBER	1700	26422	\N	\N	\N
518573	1771	1997-01-18	VYDAJ	VYBER	900	28122	\N	\N	\N
518574	1771	1998-01-01	VYDAJ	VYBER	800	24268	\N	\N	\N
518575	1771	1998-01-25	VYDAJ	VYBER	2300	17395	\N	\N	\N
518576	1771	1998-01-09	VYDAJ	VYBER	2000	22268	\N	\N	\N
518577	1771	1998-01-10	VYDAJ	VYBER	800	21468	\N	\N	\N
518578	1771	1998-01-27	VYDAJ	VYBER	1200	16195	\N	\N	\N
518579	1771	1998-01-18	VYDAJ	VYBER	2400	20595	\N	\N	\N
518580	1771	1993-08-19	VYDAJ	VYBER	4000	25707	\N	\N	\N
518582	1771	1993-08-31	VYDAJ	VYBER	3300	14702	\N	\N	\N
518585	1771	1993-08-28	VYDAJ	VYBER	4000	20007	\N	\N	\N
518586	1771	1993-09-17	VYDAJ	VYBER	3600	12629	\N	\N	\N
518587	1771	1993-08-28	VYDAJ	VYBER	2100	17907	\N	\N	\N
518588	1771	1994-12-13	VYDAJ	VYBER	700	28957	\N	\N	\N
518589	1771	1994-01-14	VYDAJ	VYBER	1400	20613	\N	\N	\N
518590	1771	1994-08-07	VYDAJ	VYBER	500	25842	\N	\N	\N
518591	1771	1994-09-24	VYDAJ	VYBER	3000	24895	\N	\N	\N
518592	1771	1994-03-27	VYDAJ	VYBER	3400	20707	\N	\N	\N
518593	1771	1994-06-01	VYDAJ	VYBER	3200	20115	\N	\N	\N
518594	1771	1994-12-14	VYDAJ	VYBER	1700	27257	\N	\N	\N
518595	1771	1995-04-30	VYDAJ	VYBER	3500	21767	\N	\N	\N
518596	1771	1995-02-24	VYDAJ	VYBER	4900	17306	\N	\N	\N
518597	1771	1995-09-06	VYDAJ	VYBER	1300	29225	\N	\N	\N
518598	1771	1996-03-12	VYDAJ	VYBER	1000	22739	\N	\N	\N
518599	1771	1996-06-13	VYDAJ	VYBER	1300	28975	\N	\N	\N
518600	1771	1996-06-22	VYDAJ	VYBER	800	28175	\N	\N	\N
518601	1771	1996-01-26	VYDAJ	VYBER	2300	19541	\N	\N	\N
518602	1771	1996-07-13	VYDAJ	VYBER	4500	24702	\N	\N	\N
518603	1771	1997-02-07	VYDAJ	VYBER	500	30034	\N	\N	\N
518604	1771	1997-08-17	VYDAJ	VYBER	3500	28788	\N	\N	\N
518605	1771	1997-09-30	VYDAJ	VYBER	900	28229	\N	\N	\N
518606	1771	1997-07-15	VYDAJ	VYBER	4000	24170	\N	\N	\N
518607	1771	1997-04-01	VYDAJ	VYBER	900	36245	\N	\N	\N
518608	1771	1998-12-09	VYDAJ	VYBER	3100	19456	\N	\N	\N
518609	1771	1998-12-09	VYDAJ	VYBER	1800	22556	\N	\N	\N
518610	1771	1998-01-24	VYDAJ	VYBER	900	19695	\N	\N	\N
518611	1771	1998-02-23	VYDAJ	VYBER	3700	19197	\N	\N	\N
518612	1771	1998-07-16	VYDAJ	VYBER	2800	25590	\N	\N	\N
518613	1771	1998-10-13	VYDAJ	VYBER	1400	33306	\N	\N	\N
518622	1771	1993-08-31	VYDAJ	VYBER	15	18002	SLUZBY	\N	\N
518623	1771	1993-09-30	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
518624	1771	1993-10-31	VYDAJ	VYBER	15	22276	SLUZBY	\N	\N
518625	1771	1993-11-30	VYDAJ	VYBER	15	21984	SLUZBY	\N	\N
518626	1771	1993-12-31	VYDAJ	VYBER	15	23786	SLUZBY	\N	\N
518627	1771	1994-01-31	VYDAJ	VYBER	15	17188	SLUZBY	\N	\N
518628	1771	1994-02-28	VYDAJ	VYBER	15	22080	SLUZBY	\N	\N
518629	1771	1994-03-31	VYDAJ	VYBER	15	20792	SLUZBY	\N	\N
518630	1771	1994-04-30	VYDAJ	VYBER	15	23997	SLUZBY	\N	\N
518631	1771	1994-05-31	VYDAJ	VYBER	15	23315	SLUZBY	\N	\N
518632	1771	1994-06-30	VYDAJ	VYBER	15	23825	SLUZBY	\N	\N
518633	1771	1994-07-31	VYDAJ	VYBER	15	26342	SLUZBY	\N	\N
518634	1771	1994-08-31	VYDAJ	VYBER	15	27868	SLUZBY	\N	\N
518635	1771	1994-09-30	VYDAJ	VYBER	15	24995	SLUZBY	\N	\N
518636	1771	1994-10-31	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
518637	1771	1994-11-30	VYDAJ	VYBER	15	25841	SLUZBY	\N	\N
518638	1771	1994-12-31	VYDAJ	VYBER	15	30161	SLUZBY	\N	\N
518639	1771	1995-01-31	VYDAJ	VYBER	15	12879	SLUZBY	\N	\N
518640	1771	1995-02-28	VYDAJ	VYBER	15	17362	SLUZBY	\N	\N
518641	1771	1995-03-31	VYDAJ	VYBER	15	21155	SLUZBY	\N	\N
518642	1771	1995-04-30	VYDAJ	VYBER	15	25267	SLUZBY	\N	\N
518643	1771	1995-05-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
518644	1771	1995-06-30	VYDAJ	VYBER	15	15293	SLUZBY	\N	\N
518645	1771	1995-07-31	VYDAJ	VYBER	15	25894	SLUZBY	\N	\N
518646	1771	1995-08-31	VYDAJ	VYBER	15	30525	SLUZBY	\N	\N
518647	1771	1995-09-30	VYDAJ	VYBER	15	32470	SLUZBY	\N	\N
518648	1771	1995-10-31	VYDAJ	VYBER	15	35325	SLUZBY	\N	\N
518649	1771	1995-11-30	VYDAJ	VYBER	15	33180	SLUZBY	\N	\N
518650	1771	1995-12-31	VYDAJ	VYBER	15	29314	SLUZBY	\N	\N
518651	1771	1996-01-31	VYDAJ	VYBER	15	16220	SLUZBY	\N	\N
518652	1771	1996-02-29	VYDAJ	VYBER	15	22212	SLUZBY	\N	\N
518653	1771	1996-03-31	VYDAJ	VYBER	15	22317	SLUZBY	\N	\N
518654	1771	1996-04-30	VYDAJ	VYBER	15	25827	SLUZBY	\N	\N
518655	1771	1996-05-31	VYDAJ	VYBER	15	26159	SLUZBY	\N	\N
518656	1771	1996-06-30	VYDAJ	VYBER	15	28275	SLUZBY	\N	\N
518657	1771	1996-07-31	VYDAJ	VYBER	15	24795	SLUZBY	\N	\N
518658	1771	1996-08-31	VYDAJ	VYBER	15	24517	SLUZBY	\N	\N
518659	1771	1996-09-30	VYDAJ	VYBER	15	28349	SLUZBY	\N	\N
518660	1771	1996-10-31	VYDAJ	VYBER	15	31795	SLUZBY	\N	\N
518661	1771	1996-11-30	VYDAJ	VYBER	15	33543	SLUZBY	\N	\N
518662	1771	1996-12-31	VYDAJ	VYBER	15	37895	SLUZBY	\N	\N
518663	1771	1997-01-31	VYDAJ	VYBER	15	26534	SLUZBY	\N	\N
518664	1771	1997-02-28	VYDAJ	VYBER	15	31679	SLUZBY	\N	\N
518665	1771	1997-03-31	VYDAJ	VYBER	15	37145	SLUZBY	\N	\N
518666	1771	1997-04-30	VYDAJ	VYBER	15	36908	SLUZBY	\N	\N
518667	1771	1997-05-31	VYDAJ	VYBER	15	38685	SLUZBY	\N	\N
518668	1771	1997-06-30	VYDAJ	VYBER	15	26543	SLUZBY	\N	\N
518669	1771	1997-07-31	VYDAJ	VYBER	15	24261	SLUZBY	\N	\N
518670	1771	1997-08-31	VYDAJ	VYBER	15	28890	SLUZBY	\N	\N
518671	1771	1997-09-30	VYDAJ	VYBER	15	29129	SLUZBY	\N	\N
518672	1771	1997-10-31	VYDAJ	VYBER	15	26553	SLUZBY	\N	\N
518673	1771	1997-11-30	VYDAJ	VYBER	15	24074	SLUZBY	\N	\N
518674	1771	1997-12-31	VYDAJ	VYBER	15	20668	SLUZBY	\N	\N
518675	1771	1998-01-31	VYDAJ	VYBER	15	21370	SLUZBY	\N	\N
518676	1771	1998-02-28	VYDAJ	VYBER	15	19270	SLUZBY	\N	\N
518677	1771	1998-03-31	VYDAJ	VYBER	15	22075	SLUZBY	\N	\N
518678	1771	1998-04-30	VYDAJ	VYBER	15	28294	SLUZBY	\N	\N
518679	1771	1998-05-31	VYDAJ	VYBER	15	33343	SLUZBY	\N	\N
518680	1771	1998-06-30	VYDAJ	VYBER	15	26863	SLUZBY	\N	\N
518681	1771	1998-07-31	VYDAJ	VYBER	15	29486	SLUZBY	\N	\N
518682	1771	1998-08-31	VYDAJ	VYBER	15	32823	SLUZBY	\N	\N
518683	1771	1998-09-30	VYDAJ	VYBER	15	33179	SLUZBY	\N	\N
518684	1771	1998-10-31	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
518685	1771	1998-11-30	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
518686	1771	1993-04-27	PRIJEM	VKLAD	9400	14479	\N	\N	\N
518687	1771	1993-05-27	PRIJEM	VKLAD	2700	21766	\N	\N	\N
518688	1771	1993-06-26	VYDAJ	VYBER	3200	25499	\N	\N	\N
518689	1771	1993-07-26	VYDAJ	VYBER	2100	28072	\N	\N	\N
518690	1771	1993-08-25	VYDAJ	VYBER	1700	24007	\N	\N	\N
518691	1771	1993-09-24	PRIJEM	VKLAD	5000	17629	\N	\N	\N
518692	1771	1993-10-24	PRIJEM	VKLAD	3000	22204	\N	\N	\N
518693	1771	1993-11-23	VYDAJ	VYBER	1900	21903	\N	\N	\N
518694	1771	1993-12-23	PRIJEM	VKLAD	300	23700	\N	\N	\N
518695	1771	1994-01-22	PRIJEM	VKLAD	1200	20013	\N	\N	\N
518696	1771	1994-02-21	PRIJEM	VKLAD	3300	22015	\N	\N	\N
518697	1771	1994-03-23	PRIJEM	VKLAD	500	24107	\N	\N	\N
518698	1771	1994-04-22	PRIJEM	VKLAD	1600	23919	\N	\N	\N
518699	1771	1994-05-22	VYDAJ	VYBER	2300	23224	\N	\N	\N
518700	1771	1994-06-21	PRIJEM	VKLAD	4400	28331	\N	\N	\N
518701	1771	1994-07-21	PRIJEM	VKLAD	900	26252	\N	\N	\N
518702	1771	1994-08-20	PRIJEM	VKLAD	400	27769	\N	\N	\N
518703	1771	1994-09-19	VYDAJ	VYBER	1500	27895	\N	\N	\N
518704	1771	1994-10-19	VYDAJ	VYBER	900	25622	\N	\N	\N
518705	1771	1994-11-18	VYDAJ	VYBER	1500	25744	\N	\N	\N
518706	1771	1994-12-18	PRIJEM	VKLAD	3900	30057	\N	\N	\N
518707	1771	1995-01-17	VYDAJ	VYBER	600	26888	\N	\N	\N
518708	1771	1995-02-16	PRIJEM	VKLAD	7800	22206	\N	\N	\N
518709	1771	1995-03-18	PRIJEM	VKLAD	2200	21089	\N	\N	\N
518710	1771	1995-04-17	PRIJEM	VKLAD	2500	25182	\N	\N	\N
518711	1771	1995-05-17	PRIJEM	VKLAD	3300	26594	\N	\N	\N
518712	1771	1995-06-16	VYDAJ	VYBER	800	29704	\N	\N	\N
518713	1771	1995-07-16	PRIJEM	VKLAD	9000	25820	\N	\N	\N
518714	1771	1995-08-15	PRIJEM	VKLAD	3000	30421	\N	\N	\N
518715	1771	1995-09-14	PRIJEM	VKLAD	1600	32352	\N	\N	\N
518716	1771	1995-10-14	PRIJEM	VKLAD	1200	35197	\N	\N	\N
518717	1771	1995-11-13	VYDAJ	VYBER	3800	33052	\N	\N	\N
518718	1771	1995-12-13	VYDAJ	VYBER	5000	31996	\N	\N	\N
518719	1771	1996-01-12	PRIJEM	VKLAD	1300	25941	\N	\N	\N
518720	1771	1996-02-11	PRIJEM	VKLAD	4400	25199	\N	\N	\N
518721	1771	1996-03-12	VYDAJ	VYBER	500	22239	\N	\N	\N
518722	1771	1996-04-11	PRIJEM	VKLAD	1900	24217	\N	\N	\N
518723	1771	1996-05-11	VYDAJ	VYBER	1300	29106	\N	\N	\N
518724	1771	1996-06-10	PRIJEM	VKLAD	300	26459	\N	\N	\N
518725	1771	1996-07-10	VYDAJ	VYBER	600	27675	\N	\N	\N
518726	1771	1996-08-09	VYDAJ	VYBER	1900	22895	\N	\N	\N
518727	1771	1996-09-08	PRIJEM	VKLAD	2200	26717	\N	\N	\N
518728	1771	1996-10-08	PRIJEM	VKLAD	1800	30149	\N	\N	\N
518729	1771	1996-11-07	PRIJEM	VKLAD	100	31895	\N	\N	\N
518730	1771	1996-12-07	PRIJEM	VKLAD	2300	33943	\N	\N	\N
518731	1771	1997-01-06	VYDAJ	VYBER	200	37695	\N	\N	\N
518732	1771	1997-02-05	PRIJEM	VKLAD	4000	30534	\N	\N	\N
518733	1771	1997-03-07	PRIJEM	VKLAD	3800	35479	\N	\N	\N
518734	1771	1997-04-06	VYDAJ	VYBER	1000	35245	\N	\N	\N
518735	1771	1997-05-06	PRIJEM	VKLAD	100	37008	\N	\N	\N
518736	1771	1997-06-05	VYDAJ	VYBER	2700	35985	\N	\N	\N
518737	1771	1997-07-05	PRIJEM	VKLAD	100	26643	\N	\N	\N
518738	1771	1997-08-04	PRIJEM	VKLAD	6500	30761	\N	\N	\N
518739	1771	1997-09-03	VYDAJ	VYBER	1400	27490	\N	\N	\N
518740	1771	1997-10-03	VYDAJ	VYBER	3300	24929	\N	\N	\N
518741	1771	1997-11-02	VYDAJ	VYBER	4100	22453	\N	\N	\N
518742	1771	1997-12-02	VYDAJ	VYBER	4500	19574	\N	\N	\N
518743	1771	1998-01-01	PRIJEM	VKLAD	4400	25068	\N	\N	\N
518744	1771	1998-01-31	PRIJEM	VKLAD	5100	21385	\N	\N	\N
518745	1771	1998-03-02	PRIJEM	VKLAD	1200	20470	\N	\N	\N
518746	1771	1998-04-01	PRIJEM	VKLAD	4600	26675	\N	\N	\N
518747	1771	1998-05-01	PRIJEM	VKLAD	3600	31894	\N	\N	\N
518748	1771	1998-05-31	VYDAJ	VYBER	200	33358	\N	\N	\N
518749	1771	1998-06-30	VYDAJ	VYBER	300	26878	\N	\N	\N
518750	1771	1998-07-30	PRIJEM	VKLAD	3800	29390	\N	\N	\N
518751	1771	1998-08-29	PRIJEM	VKLAD	1700	32713	\N	\N	\N
518752	1771	1998-09-28	VYDAJ	VYBER	1300	33050	\N	\N	\N
518753	1771	1998-10-28	VYDAJ	VYBER	4100	29206	\N	\N	\N
518754	1771	1998-11-27	VYDAJ	VYBER	6600	24252	\N	\N	\N
518824	1772	1995-02-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
518827	1772	1995-03-08	PRIJEM	PREVOD Z UCTU	48199	49299	\N	AB	73132377
518828	1772	1995-04-08	PRIJEM	PREVOD Z UCTU	48199	86449	\N	AB	73132377
518829	1772	1995-05-08	PRIJEM	PREVOD Z UCTU	48199	104532	\N	AB	73132377
518830	1772	1995-06-08	PRIJEM	PREVOD Z UCTU	72298	139881	\N	AB	73132377
518831	1772	1995-07-08	PRIJEM	PREVOD Z UCTU	48199	103493	\N	AB	73132377
518832	1772	1995-08-08	PRIJEM	PREVOD Z UCTU	48199	90287	\N	AB	73132377
518833	1772	1995-09-08	PRIJEM	PREVOD Z UCTU	48199	81065	\N	AB	73132377
518834	1772	1995-10-08	PRIJEM	PREVOD Z UCTU	48199	89316	\N	AB	73132377
518835	1772	1995-11-08	PRIJEM	PREVOD Z UCTU	48199	86798	\N	AB	73132377
518836	1772	1995-12-08	PRIJEM	PREVOD Z UCTU	72298	114156	\N	AB	73132377
518837	1772	1996-01-08	PRIJEM	PREVOD Z UCTU	48199	73306	\N	AB	73132377
518838	1772	1996-02-08	PRIJEM	PREVOD Z UCTU	48199	75031	\N	AB	73132377
518839	1772	1996-03-08	PRIJEM	PREVOD Z UCTU	48199	93618	\N	AB	73132377
518840	1772	1996-04-08	PRIJEM	PREVOD Z UCTU	48199	99197	\N	AB	73132377
518841	1772	1996-05-08	PRIJEM	PREVOD Z UCTU	48199	103519	\N	AB	73132377
518842	1772	1996-06-08	PRIJEM	PREVOD Z UCTU	72298	96375	\N	AB	73132377
518843	1772	1996-07-08	PRIJEM	PREVOD Z UCTU	48199	82580	\N	AB	73132377
518844	1772	1996-08-08	PRIJEM	PREVOD Z UCTU	48199	72152	\N	AB	73132377
518845	1772	1996-09-08	PRIJEM	PREVOD Z UCTU	48199	77967	\N	AB	73132377
518846	1772	1996-10-08	PRIJEM	PREVOD Z UCTU	48199	95995	\N	AB	73132377
518847	1772	1996-11-08	PRIJEM	PREVOD Z UCTU	48199	89222	\N	AB	73132377
518848	1772	1996-12-08	PRIJEM	PREVOD Z UCTU	72298	118892	\N	AB	73132377
518849	1772	1997-01-08	PRIJEM	PREVOD Z UCTU	48199	79966	\N	AB	73132377
518850	1772	1997-02-08	PRIJEM	PREVOD Z UCTU	48199	93902	\N	AB	73132377
518851	1772	1997-03-08	PRIJEM	PREVOD Z UCTU	48199	103168	\N	AB	73132377
518852	1772	1997-04-08	PRIJEM	PREVOD Z UCTU	48199	108484	\N	AB	73132377
518853	1772	1997-05-08	PRIJEM	PREVOD Z UCTU	48199	112806	\N	AB	73132377
518854	1772	1997-06-08	PRIJEM	PREVOD Z UCTU	72298	134717	\N	AB	73132377
518855	1772	1997-07-08	PRIJEM	PREVOD Z UCTU	48199	88174	\N	AB	73132377
518856	1772	1997-08-08	PRIJEM	PREVOD Z UCTU	48199	102345	\N	AB	73132377
518857	1772	1997-09-08	PRIJEM	PREVOD Z UCTU	48199	98432	\N	AB	73132377
518858	1772	1997-10-08	PRIJEM	PREVOD Z UCTU	48199	118480	\N	AB	73132377
518859	1772	1997-11-08	PRIJEM	PREVOD Z UCTU	48199	108501	\N	AB	73132377
518860	1772	1997-12-08	PRIJEM	PREVOD Z UCTU	72298	143910	\N	AB	73132377
518861	1772	1998-01-08	PRIJEM	PREVOD Z UCTU	48199	131102	\N	AB	73132377
518862	1772	1998-02-08	PRIJEM	PREVOD Z UCTU	48199	103345	\N	AB	73132377
518863	1772	1998-03-08	PRIJEM	PREVOD Z UCTU	48199	123440	\N	AB	73132377
518864	1772	1998-04-08	PRIJEM	PREVOD Z UCTU	48199	117366	\N	AB	73132377
518865	1772	1998-05-08	PRIJEM	PREVOD Z UCTU	48199	114955	\N	AB	73132377
518866	1772	1998-06-08	PRIJEM	PREVOD Z UCTU	72298	135267	\N	AB	73132377
518867	1772	1998-07-08	PRIJEM	PREVOD Z UCTU	48199	122183	\N	AB	73132377
518868	1772	1998-08-08	PRIJEM	PREVOD Z UCTU	48199	124893	\N	AB	73132377
518869	1772	1998-09-08	PRIJEM	PREVOD Z UCTU	48199	88258	\N	AB	73132377
518870	1772	1998-10-08	PRIJEM	PREVOD Z UCTU	48199	92534	\N	AB	73132377
518871	1772	1998-11-08	PRIJEM	PREVOD Z UCTU	48199	110539	\N	AB	73132377
518872	1772	1998-12-08	PRIJEM	PREVOD Z UCTU	72298	151677	\N	AB	73132377
518879	1772	1995-06-28	VYDAJ	VYBER	5300	54981	\N	\N	0
518880	1772	1995-08-22	VYDAJ	VYBER	4600	39784	\N	\N	0
518881	1772	1995-09-03	VYDAJ	VYBER	7100	32866	\N	\N	0
518882	1772	1995-10-13	VYDAJ	VYBER	6700	70622	\N	\N	0
518883	1772	1995-11-07	VYDAJ	VYBER	6000	38599	\N	\N	0
518884	1772	1995-12-08	VYDAJ	VYBER	3800	75356	\N	\N	0
518885	1772	1996-01-04	VYDAJ	VYBER	3900	25107	\N	\N	0
518886	1772	1996-01-30	VYDAJ	VYBER	4400	30898	\N	\N	0
518887	1772	1996-03-06	VYDAJ	VYBER	6000	45419	\N	\N	0
518888	1772	1996-04-12	VYDAJ	PREVOD NA UCET	5633	93564	UVER	WX	51707452
518889	1772	1996-05-12	VYDAJ	PREVOD NA UCET	5633	81146	UVER	WX	51707452
518890	1772	1996-06-12	VYDAJ	PREVOD NA UCET	5633	90742	UVER	WX	51707452
518891	1772	1996-07-12	VYDAJ	PREVOD NA UCET	5633	64953	UVER	WX	51707452
518892	1772	1996-08-12	VYDAJ	PREVOD NA UCET	5633	48334	UVER	WX	51707452
518893	1772	1996-09-12	VYDAJ	PREVOD NA UCET	5633	57940	UVER	WX	51707452
518894	1772	1996-10-12	VYDAJ	PREVOD NA UCET	5633	55168	UVER	WX	51707452
518895	1772	1996-11-12	VYDAJ	PREVOD NA UCET	5633	64089	UVER	WX	51707452
518896	1772	1996-12-12	VYDAJ	PREVOD NA UCET	5633	45430	UVER	WX	51707452
518897	1772	1997-01-12	VYDAJ	PREVOD NA UCET	5633	60233	UVER	WX	51707452
518898	1772	1997-02-12	VYDAJ	PREVOD NA UCET	5633	54775	UVER	WX	51707452
518899	1772	1997-03-12	VYDAJ	PREVOD NA UCET	5633	72035	UVER	WX	51707452
518900	1772	1997-04-12	VYDAJ	PREVOD NA UCET	5633	64357	UVER	WX	51707452
518901	1772	1997-05-12	VYDAJ	PREVOD NA UCET	5633	74173	UVER	WX	51707452
518902	1772	1997-06-12	VYDAJ	PREVOD NA UCET	5633	48090	UVER	WX	51707452
518903	1772	1997-07-12	VYDAJ	PREVOD NA UCET	5633	53947	UVER	WX	51707452
518904	1772	1997-08-12	VYDAJ	PREVOD NA UCET	5633	62218	UVER	WX	51707452
518905	1772	1997-09-12	VYDAJ	PREVOD NA UCET	5633	92799	UVER	WX	51707452
518906	1772	1997-10-12	VYDAJ	PREVOD NA UCET	5633	65353	UVER	WX	51707452
518907	1772	1997-11-12	VYDAJ	PREVOD NA UCET	5633	90874	UVER	WX	51707452
518908	1772	1997-12-12	VYDAJ	PREVOD NA UCET	5633	104383	UVER	WX	51707452
518909	1772	1998-01-12	VYDAJ	PREVOD NA UCET	5633	68169	UVER	WX	51707452
518910	1772	1998-02-12	VYDAJ	PREVOD NA UCET	5633	97712	UVER	WX	51707452
518911	1772	1998-03-12	VYDAJ	PREVOD NA UCET	5633	90407	UVER	WX	51707452
518912	1772	1998-04-12	VYDAJ	PREVOD NA UCET	5633	73139	UVER	WX	51707452
518913	1772	1998-05-12	VYDAJ	PREVOD NA UCET	5633	91140	UVER	WX	51707452
518914	1772	1998-06-12	VYDAJ	PREVOD NA UCET	5633	100434	UVER	WX	51707452
518915	1772	1998-07-12	VYDAJ	PREVOD NA UCET	5633	94950	UVER	WX	51707452
518916	1772	1998-08-12	VYDAJ	PREVOD NA UCET	5633	63266	UVER	WX	51707452
518917	1772	1998-09-12	VYDAJ	PREVOD NA UCET	5633	70631	UVER	WX	51707452
518918	1772	1998-10-12	VYDAJ	PREVOD NA UCET	5633	86901	UVER	WX	51707452
518919	1772	1998-11-12	VYDAJ	PREVOD NA UCET	5633	92912	UVER	WX	51707452
518920	1772	1998-12-12	VYDAJ	PREVOD NA UCET	5633	90244	UVER	WX	51707452
518927	1772	1995-07-12	VYDAJ	PREVOD NA UCET	11994	71599	SIPO	IJ	88971179
518928	1772	1995-08-12	VYDAJ	PREVOD NA UCET	11994	78293	SIPO	IJ	88971179
518929	1772	1995-09-12	VYDAJ	PREVOD NA UCET	11994	45641	SIPO	IJ	88971179
518930	1772	1995-10-12	VYDAJ	PREVOD NA UCET	11994	77322	SIPO	IJ	88971179
518931	1772	1995-11-12	VYDAJ	PREVOD NA UCET	11994	74804	SIPO	IJ	88971179
518932	1772	1995-12-12	VYDAJ	PREVOD NA UCET	11994	58921	SIPO	IJ	88971179
518933	1772	1996-01-12	VYDAJ	PREVOD NA UCET	11994	61312	SIPO	IJ	88971179
518934	1772	1996-02-12	VYDAJ	PREVOD NA UCET	11994	63037	SIPO	IJ	88971179
518935	1772	1996-03-12	VYDAJ	PREVOD NA UCET	11994	81624	SIPO	IJ	88971179
518936	1772	1996-04-12	VYDAJ	PREVOD NA UCET	11994	81570	SIPO	IJ	88971179
518937	1772	1996-05-12	VYDAJ	PREVOD NA UCET	11994	69152	SIPO	IJ	88971179
518938	1772	1996-06-12	VYDAJ	PREVOD NA UCET	11994	78748	SIPO	IJ	88971179
518939	1772	1996-07-12	VYDAJ	PREVOD NA UCET	11994	70586	SIPO	IJ	88971179
518940	1772	1996-08-12	VYDAJ	PREVOD NA UCET	11994	36340	SIPO	IJ	88971179
518941	1772	1996-09-12	VYDAJ	PREVOD NA UCET	11994	65973	SIPO	IJ	88971179
518942	1772	1996-10-12	VYDAJ	PREVOD NA UCET	11994	60801	SIPO	IJ	88971179
518943	1772	1996-11-12	VYDAJ	PREVOD NA UCET	11994	52095	SIPO	IJ	88971179
518944	1772	1996-12-12	VYDAJ	PREVOD NA UCET	11994	33436	SIPO	IJ	88971179
518945	1772	1997-01-12	VYDAJ	PREVOD NA UCET	11994	48239	SIPO	IJ	88971179
518946	1772	1997-02-12	VYDAJ	PREVOD NA UCET	11994	60408	SIPO	IJ	88971179
518947	1772	1997-03-12	VYDAJ	PREVOD NA UCET	11994	60041	SIPO	IJ	88971179
518948	1772	1997-04-12	VYDAJ	PREVOD NA UCET	11994	69990	SIPO	IJ	88971179
518949	1772	1997-05-12	VYDAJ	PREVOD NA UCET	11994	62179	SIPO	IJ	88971179
518950	1772	1997-06-12	VYDAJ	PREVOD NA UCET	11994	53723	SIPO	IJ	88971179
518951	1772	1997-07-12	VYDAJ	PREVOD NA UCET	11994	59580	SIPO	IJ	88971179
518952	1772	1997-08-12	VYDAJ	PREVOD NA UCET	11994	67851	SIPO	IJ	88971179
518953	1772	1997-09-12	VYDAJ	PREVOD NA UCET	11994	80805	SIPO	IJ	88971179
518954	1772	1997-10-12	VYDAJ	PREVOD NA UCET	11994	70986	SIPO	IJ	88971179
518955	1772	1997-11-12	VYDAJ	PREVOD NA UCET	11994	96507	SIPO	IJ	88971179
518956	1772	1997-12-12	VYDAJ	PREVOD NA UCET	11994	110016	SIPO	IJ	88971179
518957	1772	1998-01-12	VYDAJ	PREVOD NA UCET	11994	56175	SIPO	IJ	88971179
518958	1772	1998-02-12	VYDAJ	PREVOD NA UCET	11994	85718	SIPO	IJ	88971179
518959	1772	1998-03-12	VYDAJ	PREVOD NA UCET	11994	78413	SIPO	IJ	88971179
518960	1772	1998-04-12	VYDAJ	PREVOD NA UCET	11994	78772	SIPO	IJ	88971179
518961	1772	1998-05-12	VYDAJ	PREVOD NA UCET	11994	79146	SIPO	IJ	88971179
518962	1772	1998-06-12	VYDAJ	PREVOD NA UCET	11994	88440	SIPO	IJ	88971179
518963	1772	1998-07-12	VYDAJ	PREVOD NA UCET	11994	82956	SIPO	IJ	88971179
518964	1772	1998-08-12	VYDAJ	PREVOD NA UCET	11994	68899	SIPO	IJ	88971179
518965	1772	1998-09-12	VYDAJ	PREVOD NA UCET	11994	76264	SIPO	IJ	88971179
518966	1772	1998-10-12	VYDAJ	PREVOD NA UCET	11994	74907	SIPO	IJ	88971179
518967	1772	1998-11-12	VYDAJ	PREVOD NA UCET	11994	98545	SIPO	IJ	88971179
518968	1772	1998-12-12	VYDAJ	PREVOD NA UCET	11994	78250	SIPO	IJ	88971179
518969	1772	1995-08-21	VYBER	VYBER	15509	44384	\N	\N	\N
518970	1772	1995-12-03	VYBER	VYBER	9515	41858	\N	\N	\N
518971	1772	1995-12-25	VYBER	VYBER	15185	28836	\N	\N	\N
518976	1772	1995-07-19	VYBER	VYBER	23519	48080	\N	\N	\N
518977	1772	1995-11-21	VYBER	VYBER	4647	51157	\N	\N	\N
518979	1772	1995-09-12	VYBER	VYBER	23430	57635	\N	\N	\N
518980	1772	1995-12-09	VYBER	VYBER	4441	70915	\N	\N	\N
518982	1772	1996-09-19	VYBER	VYBER	3500	47640	\N	\N	\N
518983	1772	1996-08-17	VYBER	VYBER	9985	29655	\N	\N	\N
518984	1772	1996-03-31	VYBER	VYBER	13174	51028	\N	\N	\N
518985	1772	1996-05-11	VYBER	VYBER	16740	86779	\N	\N	\N
518986	1772	1996-08-09	VYBER	VYBER	18185	53967	\N	\N	\N
518988	1772	1996-05-27	VYBER	VYBER	12442	34677	\N	\N	\N
518989	1772	1996-05-13	VYBER	VYBER	13233	55919	\N	\N	\N
518990	1772	1996-01-21	VYBER	VYBER	14314	35298	\N	\N	\N
518991	1772	1996-02-07	VYBER	VYBER	4220	26832	\N	\N	\N
518992	1772	1996-07-21	VYBER	VYBER	22427	28326	\N	\N	\N
518993	1772	1996-05-03	VYBER	VYBER	6273	55320	\N	\N	\N
518994	1772	1996-06-24	VYBER	VYBER	23211	34237	\N	\N	\N
518995	1772	1996-12-09	VYBER	VYBER	15129	53763	\N	\N	\N
518996	1772	1997-06-30	VYBER	VYBER	8321	40005	\N	\N	\N
518997	1772	1998-09-30	VYBER	VYBER	19055	44037	\N	\N	\N
518998	1772	1998-11-23	VYBER	VYBER	4162	88750	\N	\N	\N
518999	1772	1998-11-05	VYBER	VYBER	5415	62340	\N	\N	\N
519000	1772	1998-05-05	VYBER	VYBER	3780	69656	\N	\N	\N
519001	1772	1998-09-05	VYBER	VYBER	22387	40059	\N	\N	\N
519002	1772	1998-05-12	VYBER	VYBER	18182	96773	\N	\N	\N
519003	1772	1998-10-04	VYBER	VYBER	10872	44335	\N	\N	\N
519004	1772	1995-12-17	VYDAJ	VYBER	7200	51721	\N	\N	\N
519005	1772	1996-12-24	VYDAJ	VYBER	1800	31636	\N	\N	\N
519006	1772	1997-12-06	VYDAJ	VYBER	8100	83112	\N	\N	\N
519007	1772	1998-12-29	VYDAJ	VYBER	2100	76150	\N	\N	\N
519009	1772	1995-10-30	VYDAJ	VYBER	1800	44422	\N	\N	\N
519011	1772	1995-10-25	VYDAJ	VYBER	3000	46222	\N	\N	\N
519012	1772	1996-08-04	VYDAJ	VYBER	4500	23953	\N	\N	\N
519013	1772	1996-11-04	VYDAJ	VYBER	14400	41023	\N	\N	\N
519014	1772	1996-10-08	VYDAJ	VYBER	5400	90595	\N	\N	\N
519016	1772	1996-04-18	VYDAJ	VYBER	1500	61370	\N	\N	\N
519017	1772	1996-09-12	VYDAJ	VYBER	2400	63573	\N	\N	\N
519018	1772	1996-11-20	VYDAJ	VYBER	5700	46395	\N	\N	\N
519019	1772	1996-05-29	VYDAJ	VYBER	10800	23877	\N	\N	\N
519020	1772	1997-01-21	VYDAJ	VYBER	2700	45539	\N	\N	\N
519021	1772	1997-10-17	VYDAJ	VYBER	7200	58153	\N	\N	\N
519022	1772	1997-08-30	VYDAJ	VYBER	7200	41818	\N	\N	\N
519023	1772	1997-08-17	VYDAJ	VYBER	13200	49018	\N	\N	\N
519024	1772	1997-05-09	VYDAJ	VYBER	8400	104406	\N	\N	\N
519025	1772	1998-04-04	VYDAJ	VYBER	6600	72167	\N	\N	\N
519026	1772	1998-09-14	VYDAJ	VYBER	7800	62831	\N	\N	\N
519027	1772	1998-10-23	VYDAJ	VYBER	3000	71907	\N	\N	\N
519028	1772	1998-01-20	VYDAJ	VYBER	9300	46875	\N	\N	\N
519029	1772	1998-05-26	VYDAJ	VYBER	7200	71946	\N	\N	\N
519030	1772	1998-10-25	VYDAJ	VYBER	6000	65907	\N	\N	\N
519038	1772	1995-07-31	VYDAJ	VYBER	30	42088	SLUZBY	\N	\N
519039	1772	1995-08-31	VYDAJ	VYBER	30	39966	SLUZBY	\N	\N
519040	1772	1995-09-30	VYDAJ	VYBER	30	41117	SLUZBY	\N	\N
519041	1772	1995-10-31	VYDAJ	VYBER	30	44599	SLUZBY	\N	\N
519042	1772	1995-11-30	VYDAJ	VYBER	30	51373	SLUZBY	\N	\N
519043	1772	1995-12-31	VYDAJ	VYBER	30	29007	SLUZBY	\N	\N
519044	1772	1996-01-31	VYDAJ	VYBER	30	31052	SLUZBY	\N	\N
519045	1772	1996-02-29	VYDAJ	VYBER	30	51419	SLUZBY	\N	\N
519046	1772	1996-03-31	VYDAJ	VYBER	30	50998	SLUZBY	\N	\N
519047	1772	1996-04-30	VYDAJ	VYBER	30	61593	SLUZBY	\N	\N
519048	1772	1996-05-31	VYDAJ	VYBER	30	24077	SLUZBY	\N	\N
519049	1772	1996-06-30	VYDAJ	VYBER	30	34381	SLUZBY	\N	\N
519050	1772	1996-07-31	VYDAJ	VYBER	30	28453	SLUZBY	\N	\N
519051	1772	1996-08-31	VYDAJ	VYBER	30	29768	SLUZBY	\N	\N
519052	1772	1996-09-30	VYDAJ	VYBER	30	47796	SLUZBY	\N	\N
519053	1772	1996-10-31	VYDAJ	VYBER	30	55423	SLUZBY	\N	\N
519054	1772	1996-11-30	VYDAJ	VYBER	30	46594	SLUZBY	\N	\N
519055	1772	1996-12-31	VYDAJ	VYBER	30	31767	SLUZBY	\N	\N
519056	1772	1997-01-31	VYDAJ	VYBER	30	45703	SLUZBY	\N	\N
519057	1772	1997-02-28	VYDAJ	VYBER	30	54969	SLUZBY	\N	\N
519058	1772	1997-03-31	VYDAJ	VYBER	30	60285	SLUZBY	\N	\N
519059	1772	1997-04-30	VYDAJ	VYBER	30	64607	SLUZBY	\N	\N
519060	1772	1997-05-31	VYDAJ	VYBER	30	62419	SLUZBY	\N	\N
519061	1772	1997-06-30	VYDAJ	VYBER	30	39975	SLUZBY	\N	\N
519062	1772	1997-07-31	VYDAJ	VYBER	30	54146	SLUZBY	\N	\N
519063	1772	1997-08-31	VYDAJ	VYBER	30	42033	SLUZBY	\N	\N
519064	1772	1997-09-30	VYDAJ	VYBER	30	81081	SLUZBY	\N	\N
519065	1772	1997-10-31	VYDAJ	VYBER	30	58402	SLUZBY	\N	\N
519066	1772	1997-11-30	VYDAJ	VYBER	30	91212	SLUZBY	\N	\N
519067	1772	1997-12-31	VYDAJ	VYBER	30	104803	SLUZBY	\N	\N
519068	1772	1998-01-31	VYDAJ	VYBER	30	47146	SLUZBY	\N	\N
519069	1772	1998-02-28	VYDAJ	VYBER	30	86041	SLUZBY	\N	\N
519070	1772	1998-03-31	VYDAJ	VYBER	30	78767	SLUZBY	\N	\N
519071	1772	1998-04-30	VYDAJ	VYBER	30	73436	SLUZBY	\N	\N
519072	1772	1998-05-31	VYDAJ	VYBER	30	72269	SLUZBY	\N	\N
519073	1772	1998-06-30	VYDAJ	VYBER	30	88784	SLUZBY	\N	\N
519074	1772	1998-07-31	VYDAJ	VYBER	30	83294	SLUZBY	\N	\N
519075	1772	1998-08-31	VYDAJ	VYBER	30	63546	SLUZBY	\N	\N
519076	1772	1998-09-30	VYDAJ	VYBER	30	44007	SLUZBY	\N	\N
519077	1772	1998-10-31	VYDAJ	VYBER	30	66155	SLUZBY	\N	\N
519078	1772	1998-11-30	VYDAJ	VYBER	30	89079	SLUZBY	\N	\N
519079	1772	1995-03-22	VYDAJ	VYBER	11100	38199	\N	\N	\N
519080	1772	1995-04-21	VYDAJ	VYBER	30300	56149	\N	\N	\N
519081	1772	1995-05-21	VYDAJ	VYBER	37200	67332	\N	\N	\N
519082	1772	1995-06-08	VYDAJ	VYBER	45200	94681	\N	\N	\N
519083	1772	1995-06-20	VYDAJ	VYBER	34400	60281	\N	\N	\N
519084	1772	1995-07-08	VYDAJ	VYBER	19900	83593	\N	\N	\N
519085	1772	1995-07-20	VYDAJ	VYBER	6200	41880	\N	\N	\N
519086	1772	1995-08-19	VYDAJ	VYBER	18400	59893	\N	\N	\N
519087	1772	1995-09-18	VYDAJ	VYBER	4700	40941	\N	\N	\N
519088	1772	1995-10-18	VYDAJ	VYBER	21400	49222	\N	\N	\N
519089	1772	1995-11-17	VYDAJ	VYBER	19000	55804	\N	\N	\N
519090	1772	1995-12-08	VYDAJ	VYBER	35000	79156	\N	\N	\N
519091	1772	1995-12-17	VYDAJ	VYBER	7700	44021	\N	\N	\N
519092	1772	1996-01-16	VYDAJ	VYBER	11700	49612	\N	\N	\N
519093	1772	1996-02-15	VYDAJ	VYBER	11800	51237	\N	\N	\N
519094	1772	1996-03-16	VYDAJ	VYBER	17700	63924	\N	\N	\N
519095	1772	1996-04-15	VYDAJ	VYBER	18700	62870	\N	\N	\N
519096	1772	1996-05-15	VYDAJ	VYBER	8800	47119	\N	\N	\N
519097	1772	1996-06-14	VYDAJ	VYBER	21300	57448	\N	\N	\N
519098	1772	1996-07-14	VYDAJ	VYBER	14200	50753	\N	\N	\N
519099	1772	1996-08-13	PRIJEM	VKLAD	3300	39640	\N	\N	\N
519100	1772	1996-09-12	VYDAJ	VYBER	6800	51140	\N	\N	\N
519101	1772	1996-10-12	VYDAJ	VYBER	17800	72795	\N	\N	\N
519102	1772	1996-11-11	VYDAJ	VYBER	19500	69722	\N	\N	\N
519103	1772	1996-12-08	VYDAJ	VYBER	50000	68892	\N	\N	\N
519104	1772	1996-12-11	VYDAJ	VYBER	2700	51063	\N	\N	\N
519105	1772	1997-01-10	VYDAJ	VYBER	14100	65866	\N	\N	\N
519106	1772	1997-02-09	VYDAJ	VYBER	21500	72402	\N	\N	\N
519107	1772	1997-03-11	VYDAJ	VYBER	25500	77668	\N	\N	\N
519108	1772	1997-04-10	VYDAJ	VYBER	26500	81984	\N	\N	\N
519109	1772	1997-05-10	VYDAJ	VYBER	24600	79806	\N	\N	\N
519110	1772	1997-06-08	VYDAJ	VYBER	62400	72317	\N	\N	\N
519111	1772	1997-06-09	VYDAJ	VYBER	6600	65717	\N	\N	\N
519112	1772	1997-07-09	VYDAJ	VYBER	16600	71574	\N	\N	\N
519113	1772	1997-08-08	VYDAJ	VYBER	22500	79845	\N	\N	\N
519114	1772	1997-09-07	PRIJEM	VKLAD	8200	50233	\N	\N	\N
519115	1772	1997-10-07	VYDAJ	VYBER	10800	70281	\N	\N	\N
519116	1772	1997-10-08	VYDAJ	VYBER	35500	82980	\N	\N	\N
519117	1772	1997-11-06	PRIJEM	VKLAD	1900	60302	\N	\N	\N
519118	1772	1997-12-06	VYDAJ	VYBER	11500	71612	\N	\N	\N
519119	1772	1997-12-08	VYDAJ	VYBER	21900	122010	\N	\N	\N
519120	1772	1998-01-05	VYDAJ	VYBER	21900	82903	\N	\N	\N
519121	1772	1998-01-08	VYDAJ	VYBER	57300	73802	\N	\N	\N
519122	1772	1998-02-04	PRIJEM	VKLAD	8000	55146	\N	\N	\N
519123	1772	1998-03-06	VYDAJ	VYBER	10800	75241	\N	\N	\N
519124	1772	1998-03-08	VYDAJ	VYBER	27400	96040	\N	\N	\N
519125	1772	1998-04-05	VYDAJ	VYBER	3000	69167	\N	\N	\N
519126	1772	1998-04-08	VYDAJ	VYBER	26600	90766	\N	\N	\N
519127	1772	1998-05-05	VYDAJ	VYBER	2900	66756	\N	\N	\N
519128	1772	1998-06-04	VYDAJ	VYBER	9300	62969	\N	\N	\N
519129	1772	1998-06-08	VYDAJ	VYBER	29200	106067	\N	\N	\N
519130	1772	1998-07-04	VYDAJ	VYBER	14800	73984	\N	\N	\N
519131	1772	1998-07-08	VYDAJ	VYBER	21600	100583	\N	\N	\N
519132	1772	1998-08-03	VYDAJ	VYBER	6600	76694	\N	\N	\N
519133	1772	1998-08-08	VYDAJ	VYBER	44000	80893	\N	\N	\N
519134	1772	1998-09-02	VYDAJ	VYBER	1100	62446	\N	\N	\N
519135	1772	1998-10-02	PRIJEM	VKLAD	11200	55207	\N	\N	\N
519136	1772	1998-11-01	PRIJEM	VKLAD	1600	67755	\N	\N	\N
519137	1772	1998-12-01	VYDAJ	VYBER	9700	79379	\N	\N	\N
519138	1772	1998-12-08	VYDAJ	VYBER	55800	95877	\N	\N	\N
519185	1773	1993-04-19	PRIJEM	VKLAD	300	300	\N	\N	\N
519190	1773	1993-05-14	PRIJEM	PREVOD Z UCTU	4316	4616	DUCHOD	CD	77385341
519191	1773	1993-06-14	PRIJEM	PREVOD Z UCTU	4316	8932	DUCHOD	CD	77385341
519192	1773	1993-07-14	PRIJEM	PREVOD Z UCTU	4316	13248	DUCHOD	CD	77385341
519193	1773	1993-08-14	PRIJEM	PREVOD Z UCTU	4316	17564	DUCHOD	CD	77385341
519194	1773	1993-09-14	PRIJEM	PREVOD Z UCTU	4316	21880	DUCHOD	CD	77385341
519195	1773	1993-10-14	PRIJEM	PREVOD Z UCTU	4316	23307	DUCHOD	CD	77385341
519196	1773	1993-11-14	PRIJEM	PREVOD Z UCTU	4316	24826	DUCHOD	CD	77385341
519197	1773	1993-12-14	PRIJEM	PREVOD Z UCTU	4316	24192	DUCHOD	CD	77385341
519198	1773	1994-01-14	PRIJEM	PREVOD Z UCTU	4316	18947	DUCHOD	CD	77385341
519199	1773	1994-02-14	PRIJEM	PREVOD Z UCTU	4316	16128	DUCHOD	CD	77385341
519200	1773	1994-03-14	PRIJEM	PREVOD Z UCTU	4316	17617	DUCHOD	CD	77385341
519201	1773	1994-04-14	PRIJEM	PREVOD Z UCTU	4316	15753	DUCHOD	CD	77385341
519202	1773	1994-05-14	PRIJEM	PREVOD Z UCTU	4316	17244	DUCHOD	CD	77385341
519203	1773	1994-06-14	PRIJEM	PREVOD Z UCTU	4316	16178	DUCHOD	CD	77385341
519204	1773	1994-07-14	PRIJEM	PREVOD Z UCTU	4316	15266	DUCHOD	CD	77385341
519205	1773	1994-08-14	PRIJEM	PREVOD Z UCTU	4316	16751	DUCHOD	CD	77385341
519206	1773	1994-09-14	PRIJEM	PREVOD Z UCTU	4316	18243	DUCHOD	CD	77385341
519207	1773	1994-10-14	PRIJEM	PREVOD Z UCTU	4316	19741	DUCHOD	CD	77385341
519208	1773	1994-11-14	PRIJEM	PREVOD Z UCTU	4316	20203	DUCHOD	CD	77385341
519209	1773	1994-12-14	PRIJEM	PREVOD Z UCTU	4316	21709	DUCHOD	CD	77385341
519210	1773	1995-01-14	PRIJEM	PREVOD Z UCTU	4316	16341	DUCHOD	CD	77385341
519211	1773	1995-02-14	PRIJEM	PREVOD Z UCTU	4316	14823	DUCHOD	CD	77385341
519212	1773	1995-03-14	PRIJEM	PREVOD Z UCTU	4316	16306	DUCHOD	CD	77385341
519213	1773	1995-04-14	PRIJEM	PREVOD Z UCTU	4316	17796	DUCHOD	CD	77385341
519214	1773	1995-05-14	PRIJEM	PREVOD Z UCTU	4316	18892	DUCHOD	CD	77385341
519215	1773	1995-06-14	PRIJEM	PREVOD Z UCTU	4316	20392	DUCHOD	CD	77385341
519216	1773	1995-07-14	PRIJEM	PREVOD Z UCTU	4316	21898	DUCHOD	CD	77385341
519217	1773	1995-08-14	PRIJEM	PREVOD Z UCTU	4316	20911	DUCHOD	CD	77385341
519218	1773	1995-09-14	PRIJEM	PREVOD Z UCTU	4316	20423	DUCHOD	CD	77385341
519219	1773	1995-10-14	PRIJEM	PREVOD Z UCTU	4316	14030	DUCHOD	CD	77385341
519220	1773	1995-11-14	PRIJEM	PREVOD Z UCTU	4316	14413	DUCHOD	CD	77385341
519221	1773	1995-12-14	PRIJEM	PREVOD Z UCTU	4316	14596	DUCHOD	CD	77385341
519222	1773	1996-01-14	PRIJEM	PREVOD Z UCTU	4316	15519	DUCHOD	CD	77385341
519223	1773	1996-02-14	PRIJEM	PREVOD Z UCTU	4316	14921	DUCHOD	CD	77385341
519224	1773	1996-03-14	PRIJEM	PREVOD Z UCTU	4316	14005	DUCHOD	CD	77385341
519225	1773	1996-04-14	PRIJEM	PREVOD Z UCTU	4316	15487	DUCHOD	CD	77385341
519226	1773	1996-05-14	PRIJEM	PREVOD Z UCTU	4316	13273	DUCHOD	CD	77385341
519227	1773	1996-06-14	PRIJEM	PREVOD Z UCTU	4316	13954	DUCHOD	CD	77385341
519228	1773	1996-07-14	PRIJEM	PREVOD Z UCTU	4316	15434	DUCHOD	CD	77385341
519229	1773	1996-08-14	PRIJEM	PREVOD Z UCTU	4316	13619	DUCHOD	CD	77385341
519230	1773	1996-09-14	PRIJEM	PREVOD Z UCTU	4316	15101	DUCHOD	CD	77385341
519231	1773	1996-10-14	PRIJEM	PREVOD Z UCTU	4316	15685	DUCHOD	CD	77385341
519232	1773	1996-11-14	PRIJEM	PREVOD Z UCTU	4316	17172	DUCHOD	CD	77385341
519233	1773	1996-12-14	PRIJEM	PREVOD Z UCTU	4316	18664	DUCHOD	CD	77385341
519234	1773	1997-01-14	PRIJEM	PREVOD Z UCTU	4316	15922	DUCHOD	CD	77385341
519235	1773	1997-02-14	PRIJEM	PREVOD Z UCTU	4316	15829	DUCHOD	CD	77385341
519236	1773	1997-03-14	PRIJEM	PREVOD Z UCTU	4316	14514	DUCHOD	CD	77385341
519237	1773	1997-04-14	PRIJEM	PREVOD Z UCTU	4316	15996	DUCHOD	CD	77385341
519238	1773	1997-05-14	PRIJEM	PREVOD Z UCTU	4316	17483	DUCHOD	CD	77385341
519239	1773	1997-06-14	PRIJEM	PREVOD Z UCTU	4316	18977	DUCHOD	CD	77385341
519240	1773	1997-07-14	PRIJEM	PREVOD Z UCTU	4316	16875	DUCHOD	CD	77385341
519241	1773	1997-08-14	PRIJEM	PREVOD Z UCTU	4316	15564	DUCHOD	CD	77385341
519242	1773	1997-09-14	PRIJEM	PREVOD Z UCTU	4316	17049	DUCHOD	CD	77385341
519243	1773	1997-10-14	PRIJEM	PREVOD Z UCTU	4316	16239	DUCHOD	CD	77385341
519244	1773	1997-11-14	PRIJEM	PREVOD Z UCTU	4316	15225	DUCHOD	CD	77385341
519245	1773	1997-12-14	PRIJEM	PREVOD Z UCTU	4316	16708	DUCHOD	CD	77385341
519246	1773	1998-01-14	PRIJEM	PREVOD Z UCTU	4316	16438	DUCHOD	CD	77385341
519247	1773	1998-02-14	PRIJEM	PREVOD Z UCTU	4316	17048	DUCHOD	CD	77385341
519248	1773	1998-03-14	PRIJEM	PREVOD Z UCTU	4316	18539	DUCHOD	CD	77385341
519249	1773	1998-04-14	PRIJEM	PREVOD Z UCTU	4316	15331	DUCHOD	CD	77385341
519250	1773	1998-05-14	PRIJEM	PREVOD Z UCTU	4316	16815	DUCHOD	CD	77385341
519251	1773	1998-06-14	PRIJEM	PREVOD Z UCTU	4316	18306	DUCHOD	CD	77385341
519252	1773	1998-07-14	PRIJEM	PREVOD Z UCTU	4316	19401	DUCHOD	CD	77385341
519253	1773	1998-08-14	PRIJEM	PREVOD Z UCTU	4316	19100	DUCHOD	CD	77385341
519254	1773	1998-09-14	PRIJEM	PREVOD Z UCTU	4316	16836	DUCHOD	CD	77385341
519255	1773	1998-10-14	PRIJEM	PREVOD Z UCTU	4316	18326	DUCHOD	CD	77385341
519256	1773	1998-11-14	PRIJEM	PREVOD Z UCTU	4316	19521	DUCHOD	CD	77385341
519257	1773	1998-12-14	PRIJEM	PREVOD Z UCTU	4316	17216	DUCHOD	CD	77385341
519267	1773	1993-10-12	VYDAJ	PREVOD NA UCET	2877	18991	SIPO	ST	35383325
519268	1773	1993-11-12	VYDAJ	PREVOD NA UCET	2877	20510	SIPO	ST	35383325
519269	1773	1993-12-12	VYDAJ	PREVOD NA UCET	2877	19876	SIPO	ST	35383325
519270	1773	1994-01-12	VYDAJ	PREVOD NA UCET	2877	14631	SIPO	ST	35383325
519271	1773	1994-02-12	VYDAJ	PREVOD NA UCET	2877	11812	SIPO	ST	35383325
519272	1773	1994-03-12	VYDAJ	PREVOD NA UCET	2877	13301	SIPO	ST	35383325
519273	1773	1994-04-12	VYDAJ	PREVOD NA UCET	2877	11437	SIPO	ST	35383325
519274	1773	1994-05-12	VYDAJ	PREVOD NA UCET	2877	12928	SIPO	ST	35383325
519275	1773	1994-06-12	VYDAJ	PREVOD NA UCET	2877	11862	SIPO	ST	35383325
519276	1773	1994-07-12	VYDAJ	PREVOD NA UCET	2877	10950	SIPO	ST	35383325
519277	1773	1994-08-12	VYDAJ	PREVOD NA UCET	2877	12435	SIPO	ST	35383325
519278	1773	1994-09-12	VYDAJ	PREVOD NA UCET	2877	13927	SIPO	ST	35383325
519279	1773	1994-10-12	VYDAJ	PREVOD NA UCET	2877	15425	SIPO	ST	35383325
519280	1773	1994-11-12	VYDAJ	PREVOD NA UCET	2877	15887	SIPO	ST	35383325
519281	1773	1994-12-12	VYDAJ	PREVOD NA UCET	2877	17393	SIPO	ST	35383325
519282	1773	1995-01-12	VYDAJ	PREVOD NA UCET	2877	12025	SIPO	ST	35383325
519283	1773	1995-02-12	VYDAJ	PREVOD NA UCET	2877	10507	SIPO	ST	35383325
519284	1773	1995-03-12	VYDAJ	PREVOD NA UCET	2877	11990	SIPO	ST	35383325
519285	1773	1995-04-12	VYDAJ	PREVOD NA UCET	2877	13480	SIPO	ST	35383325
519286	1773	1995-05-12	VYDAJ	PREVOD NA UCET	2877	14576	SIPO	ST	35383325
519287	1773	1995-06-12	VYDAJ	PREVOD NA UCET	2877	16076	SIPO	ST	35383325
519288	1773	1995-07-12	VYDAJ	PREVOD NA UCET	2877	17582	SIPO	ST	35383325
519289	1773	1995-08-12	VYDAJ	PREVOD NA UCET	2877	16595	SIPO	ST	35383325
519290	1773	1995-09-12	VYDAJ	PREVOD NA UCET	2877	16107	SIPO	ST	35383325
519291	1773	1995-10-12	VYDAJ	PREVOD NA UCET	2877	9714	SIPO	ST	35383325
519292	1773	1995-11-12	VYDAJ	PREVOD NA UCET	2877	10097	SIPO	ST	35383325
519293	1773	1995-12-12	VYDAJ	PREVOD NA UCET	2877	10280	SIPO	ST	35383325
519294	1773	1996-01-12	VYDAJ	PREVOD NA UCET	2877	11203	SIPO	ST	35383325
519295	1773	1996-02-12	VYDAJ	PREVOD NA UCET	2877	10605	SIPO	ST	35383325
519296	1773	1996-03-12	VYDAJ	PREVOD NA UCET	2877	9689	SIPO	ST	35383325
519297	1773	1996-04-12	VYDAJ	PREVOD NA UCET	2877	11171	SIPO	ST	35383325
519298	1773	1996-05-12	VYDAJ	PREVOD NA UCET	2877	8957	SIPO	ST	35383325
519299	1773	1996-06-12	VYDAJ	PREVOD NA UCET	2877	9638	SIPO	ST	35383325
519300	1773	1996-07-12	VYDAJ	PREVOD NA UCET	2877	11118	SIPO	ST	35383325
519301	1773	1996-08-12	VYDAJ	PREVOD NA UCET	2877	9303	SIPO	ST	35383325
519302	1773	1996-09-12	VYDAJ	PREVOD NA UCET	2877	10785	SIPO	ST	35383325
519303	1773	1996-10-12	VYDAJ	PREVOD NA UCET	2877	11369	SIPO	ST	35383325
519304	1773	1996-11-12	VYDAJ	PREVOD NA UCET	2877	12856	SIPO	ST	35383325
519305	1773	1996-12-12	VYDAJ	PREVOD NA UCET	2877	14348	SIPO	ST	35383325
519306	1773	1997-01-12	VYDAJ	PREVOD NA UCET	2877	11606	SIPO	ST	35383325
519307	1773	1997-02-12	VYDAJ	PREVOD NA UCET	2877	11513	SIPO	ST	35383325
519308	1773	1997-03-12	VYDAJ	PREVOD NA UCET	2877	10198	SIPO	ST	35383325
519309	1773	1997-04-12	VYDAJ	PREVOD NA UCET	2877	11680	SIPO	ST	35383325
519310	1773	1997-05-12	VYDAJ	PREVOD NA UCET	2877	13167	SIPO	ST	35383325
519311	1773	1997-06-12	VYDAJ	PREVOD NA UCET	2877	14661	SIPO	ST	35383325
519312	1773	1997-07-12	VYDAJ	PREVOD NA UCET	2877	12559	SIPO	ST	35383325
519313	1773	1997-08-12	VYDAJ	PREVOD NA UCET	2877	11248	SIPO	ST	35383325
519314	1773	1997-09-12	VYDAJ	PREVOD NA UCET	2877	12733	SIPO	ST	35383325
519315	1773	1997-10-12	VYDAJ	PREVOD NA UCET	2877	11923	SIPO	ST	35383325
519316	1773	1997-11-12	VYDAJ	PREVOD NA UCET	2877	10909	SIPO	ST	35383325
519317	1773	1997-12-12	VYDAJ	PREVOD NA UCET	2877	12392	SIPO	ST	35383325
519318	1773	1998-01-12	VYDAJ	PREVOD NA UCET	2877	13242	SIPO	ST	35383325
519319	1773	1998-02-12	VYDAJ	PREVOD NA UCET	2877	12732	SIPO	ST	35383325
519320	1773	1998-03-12	VYDAJ	PREVOD NA UCET	2877	14223	SIPO	ST	35383325
519321	1773	1998-04-12	VYDAJ	PREVOD NA UCET	2877	11015	SIPO	ST	35383325
519322	1773	1998-05-12	VYDAJ	PREVOD NA UCET	2877	12499	SIPO	ST	35383325
519323	1773	1998-06-12	VYDAJ	PREVOD NA UCET	2877	13990	SIPO	ST	35383325
519324	1773	1998-07-12	VYDAJ	PREVOD NA UCET	2877	15085	SIPO	ST	35383325
519325	1773	1998-08-12	VYDAJ	PREVOD NA UCET	2877	14784	SIPO	ST	35383325
519326	1773	1998-09-12	VYDAJ	PREVOD NA UCET	2877	12520	SIPO	ST	35383325
519327	1773	1998-10-12	VYDAJ	PREVOD NA UCET	2877	14010	SIPO	ST	35383325
519328	1773	1998-11-12	VYDAJ	PREVOD NA UCET	2877	15205	SIPO	ST	35383325
519329	1773	1998-12-12	VYDAJ	PREVOD NA UCET	2877	12900	SIPO	ST	35383325
519337	1773	1994-01-12	VYDAJ	VYBER	3650	17508	\N	\N	\N
519338	1773	1995-01-17	VYDAJ	VYBER	1250	15091	\N	\N	\N
519340	1773	1997-01-19	VYDAJ	VYBER	1100	14822	\N	\N	\N
519348	1773	1994-01-21	VYDAJ	VYBER	1920	16387	\N	\N	\N
519349	1773	1994-01-16	VYDAJ	VYBER	640	18307	\N	\N	\N
519350	1773	1994-01-02	VYDAJ	VYBER	1760	22518	\N	\N	\N
519351	1773	1994-01-12	VYDAJ	VYBER	720	21158	\N	\N	\N
519352	1773	1994-01-21	VYDAJ	VYBER	960	15427	\N	\N	\N
519353	1773	1994-01-02	VYDAJ	VYBER	640	21878	\N	\N	\N
519354	1773	1995-01-08	VYDAJ	VYBER	2160	18262	\N	\N	\N
519355	1773	1995-01-06	VYDAJ	VYBER	1360	20422	\N	\N	\N
519357	1773	1995-01-10	VYDAJ	VYBER	1840	16422	\N	\N	\N
519358	1773	1995-01-24	VYDAJ	VYBER	1760	13331	\N	\N	\N
519359	1773	1995-01-11	VYDAJ	VYBER	1520	14902	\N	\N	\N
519360	1773	1996-01-10	VYDAJ	VYBER	560	14080	\N	\N	\N
519362	1773	1996-01-15	VYDAJ	VYBER	1680	13839	\N	\N	\N
519368	1773	1997-01-23	VYDAJ	VYBER	480	14342	\N	\N	\N
519371	1773	1997-01-01	VYDAJ	VYBER	2000	14483	\N	\N	\N
519372	1773	1998-01-22	VYDAJ	VYBER	880	15558	\N	\N	\N
519374	1773	1998-01-02	VYDAJ	VYBER	640	16119	\N	\N	\N
519376	1773	1998-01-12	VYDAJ	VYBER	1120	12122	\N	\N	\N
519380	1773	1993-12-11	VYDAJ	VYBER	2160	22753	\N	\N	\N
519381	1773	1994-06-08	VYDAJ	VYBER	2560	14739	\N	\N	\N
519382	1773	1994-10-17	VYDAJ	VYBER	1040	18701	\N	\N	\N
519383	1773	1994-02-10	VYDAJ	VYBER	800	14689	\N	\N	\N
519385	1773	1994-06-18	VYDAJ	VYBER	2400	13778	\N	\N	\N
519386	1773	1994-04-09	VYDAJ	VYBER	3360	14314	\N	\N	\N
519387	1773	1995-09-06	VYDAJ	VYBER	2000	18984	\N	\N	\N
519388	1773	1995-09-20	VYDAJ	VYBER	960	19463	\N	\N	\N
519389	1773	1995-09-20	VYDAJ	VYBER	3840	15623	\N	\N	\N
519395	1773	1996-12-28	VYDAJ	VYBER	2240	16424	\N	\N	\N
519398	1773	1997-06-27	VYDAJ	VYBER	1600	17377	\N	\N	\N
519405	1773	1998-08-25	VYDAJ	VYBER	3760	15340	\N	\N	\N
519406	1773	1998-06-16	VYDAJ	VYBER	400	17906	\N	\N	\N
519416	1773	1993-09-30	VYDAJ	VYBER	15	21868	SLUZBY	\N	\N
519417	1773	1993-10-31	VYDAJ	VYBER	15	23387	SLUZBY	\N	\N
519418	1773	1993-11-30	VYDAJ	VYBER	15	24913	SLUZBY	\N	\N
519419	1773	1993-12-31	VYDAJ	VYBER	15	24278	SLUZBY	\N	\N
519420	1773	1994-01-31	VYDAJ	VYBER	15	15489	SLUZBY	\N	\N
519421	1773	1994-02-28	VYDAJ	VYBER	15	16178	SLUZBY	\N	\N
519422	1773	1994-03-31	VYDAJ	VYBER	15	17674	SLUZBY	\N	\N
519423	1773	1994-04-30	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
519424	1773	1994-05-31	VYDAJ	VYBER	15	17299	SLUZBY	\N	\N
519425	1773	1994-06-30	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
519426	1773	1994-07-31	VYDAJ	VYBER	15	15312	SLUZBY	\N	\N
519427	1773	1994-08-31	VYDAJ	VYBER	15	16804	SLUZBY	\N	\N
519428	1773	1994-09-30	VYDAJ	VYBER	15	18302	SLUZBY	\N	\N
519429	1773	1994-10-31	VYDAJ	VYBER	15	18764	SLUZBY	\N	\N
519430	1773	1994-11-30	VYDAJ	VYBER	15	20270	SLUZBY	\N	\N
519431	1773	1994-12-31	VYDAJ	VYBER	15	21782	SLUZBY	\N	\N
519432	1773	1995-01-31	VYDAJ	VYBER	15	13384	SLUZBY	\N	\N
519433	1773	1995-02-28	VYDAJ	VYBER	15	14867	SLUZBY	\N	\N
519434	1773	1995-03-31	VYDAJ	VYBER	15	16357	SLUZBY	\N	\N
519435	1773	1995-04-30	VYDAJ	VYBER	15	17853	SLUZBY	\N	\N
519436	1773	1995-05-31	VYDAJ	VYBER	15	18953	SLUZBY	\N	\N
519437	1773	1995-06-30	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
519438	1773	1995-07-31	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
519439	1773	1995-08-31	VYDAJ	VYBER	15	20984	SLUZBY	\N	\N
519440	1773	1995-09-30	VYDAJ	VYBER	15	15691	SLUZBY	\N	\N
519441	1773	1995-10-31	VYDAJ	VYBER	15	14074	SLUZBY	\N	\N
519442	1773	1995-11-30	VYDAJ	VYBER	15	14457	SLUZBY	\N	\N
519443	1773	1995-12-31	VYDAJ	VYBER	15	14640	SLUZBY	\N	\N
519444	1773	1996-01-31	VYDAJ	VYBER	15	13882	SLUZBY	\N	\N
519445	1773	1996-02-29	VYDAJ	VYBER	15	14966	SLUZBY	\N	\N
519446	1773	1996-03-31	VYDAJ	VYBER	15	14048	SLUZBY	\N	\N
519447	1773	1996-04-30	VYDAJ	VYBER	15	15534	SLUZBY	\N	\N
519448	1773	1996-05-31	VYDAJ	VYBER	15	13315	SLUZBY	\N	\N
519449	1773	1996-06-30	VYDAJ	VYBER	15	13995	SLUZBY	\N	\N
519450	1773	1996-07-31	VYDAJ	VYBER	15	15480	SLUZBY	\N	\N
519451	1773	1996-08-31	VYDAJ	VYBER	15	13662	SLUZBY	\N	\N
519452	1773	1996-09-30	VYDAJ	VYBER	15	14246	SLUZBY	\N	\N
519453	1773	1996-10-31	VYDAJ	VYBER	15	15733	SLUZBY	\N	\N
519454	1773	1996-11-30	VYDAJ	VYBER	15	17225	SLUZBY	\N	\N
519455	1773	1996-12-31	VYDAJ	VYBER	15	16483	SLUZBY	\N	\N
519456	1773	1997-01-31	VYDAJ	VYBER	15	14390	SLUZBY	\N	\N
519457	1773	1997-02-28	VYDAJ	VYBER	15	13075	SLUZBY	\N	\N
519458	1773	1997-03-31	VYDAJ	VYBER	15	14557	SLUZBY	\N	\N
519459	1773	1997-04-30	VYDAJ	VYBER	15	16044	SLUZBY	\N	\N
519460	1773	1997-05-31	VYDAJ	VYBER	15	17538	SLUZBY	\N	\N
519461	1773	1997-06-30	VYDAJ	VYBER	15	15436	SLUZBY	\N	\N
519462	1773	1997-07-31	VYDAJ	VYBER	15	14125	SLUZBY	\N	\N
519463	1773	1997-08-31	VYDAJ	VYBER	15	15610	SLUZBY	\N	\N
519464	1773	1997-09-30	VYDAJ	VYBER	15	14800	SLUZBY	\N	\N
519465	1773	1997-10-31	VYDAJ	VYBER	15	13786	SLUZBY	\N	\N
519466	1773	1997-11-30	VYDAJ	VYBER	15	15269	SLUZBY	\N	\N
519467	1773	1997-12-31	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
519468	1773	1998-01-31	VYDAJ	VYBER	15	15609	SLUZBY	\N	\N
519469	1773	1998-02-28	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
519470	1773	1998-03-31	VYDAJ	VYBER	15	13892	SLUZBY	\N	\N
519471	1773	1998-04-30	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
519472	1773	1998-05-31	VYDAJ	VYBER	15	16867	SLUZBY	\N	\N
519473	1773	1998-06-30	VYDAJ	VYBER	15	17962	SLUZBY	\N	\N
519474	1773	1998-07-31	VYDAJ	VYBER	15	17661	SLUZBY	\N	\N
519475	1773	1998-08-31	VYDAJ	VYBER	15	15397	SLUZBY	\N	\N
519476	1773	1998-09-30	VYDAJ	VYBER	15	16887	SLUZBY	\N	\N
519477	1773	1998-10-31	VYDAJ	VYBER	15	18082	SLUZBY	\N	\N
519478	1773	1998-11-30	VYDAJ	VYBER	15	15777	SLUZBY	\N	\N
519479	1773	1995-05-09	VYDAJ	VYBER	400	17453	\N	\N	\N
519480	1773	1995-08-07	VYDAJ	VYBER	2500	19472	\N	\N	\N
519481	1773	1995-10-06	VYDAJ	VYBER	3100	12591	\N	\N	\N
519482	1773	1995-11-05	VYDAJ	VYBER	1100	12974	\N	\N	\N
519483	1773	1995-12-05	VYDAJ	VYBER	1300	13157	\N	\N	\N
519484	1773	1996-02-03	VYDAJ	VYBER	400	13482	\N	\N	\N
519485	1773	1996-03-04	VYDAJ	VYBER	2400	12566	\N	\N	\N
519486	1773	1996-05-03	VYDAJ	VYBER	3700	11834	\N	\N	\N
519487	1773	1996-06-02	VYDAJ	VYBER	800	12515	\N	\N	\N
519488	1773	1996-08-01	VYDAJ	VYBER	3300	12180	\N	\N	\N
519489	1773	1996-09-30	VYDAJ	VYBER	900	14261	\N	\N	\N
519490	1773	1997-02-27	VYDAJ	VYBER	2800	13029	\N	\N	\N
519491	1773	1997-06-27	VYDAJ	VYBER	2000	15377	\N	\N	\N
519492	1773	1997-07-27	VYDAJ	VYBER	2800	14075	\N	\N	\N
519493	1773	1997-09-25	VYDAJ	VYBER	2300	14749	\N	\N	\N
519494	1773	1997-10-25	VYDAJ	VYBER	2500	13739	\N	\N	\N
519495	1773	1998-03-24	VYDAJ	VYBER	4700	13839	\N	\N	\N
519496	1773	1998-07-22	VYDAJ	VYBER	1800	17601	\N	\N	\N
519497	1773	1998-10-20	VYDAJ	VYBER	300	18026	\N	\N	\N
519498	1773	1998-11-19	VYDAJ	VYBER	3800	15721	\N	\N	\N
519563	1774	1996-09-10	PRIJEM	VKLAD	300	300	\N	\N	\N
519572	1774	1996-09-12	PRIJEM	PREVOD Z UCTU	3255	3555	\N	EF	99007290
519573	1774	1996-10-12	PRIJEM	PREVOD Z UCTU	3255	6819	\N	EF	99007290
519574	1774	1996-11-12	PRIJEM	PREVOD Z UCTU	3255	10089	\N	EF	99007290
519575	1774	1996-12-12	PRIJEM	PREVOD Z UCTU	3255	13359	\N	EF	99007290
519576	1774	1997-01-12	PRIJEM	PREVOD Z UCTU	3255	16629	\N	EF	99007290
519577	1774	1997-02-12	PRIJEM	PREVOD Z UCTU	3255	14984	\N	EF	99007290
519578	1774	1997-03-12	PRIJEM	PREVOD Z UCTU	3255	14555	\N	EF	99007290
519579	1774	1997-04-12	PRIJEM	PREVOD Z UCTU	3255	14964	\N	EF	99007290
519580	1774	1997-05-12	PRIJEM	PREVOD Z UCTU	3255	16093	\N	EF	99007290
519581	1774	1997-06-12	PRIJEM	PREVOD Z UCTU	3255	17229	\N	EF	99007290
519582	1774	1997-07-12	PRIJEM	PREVOD Z UCTU	3255	17710	\N	EF	99007290
519583	1774	1997-08-12	PRIJEM	PREVOD Z UCTU	3255	18851	\N	EF	99007290
519584	1774	1997-09-12	PRIJEM	PREVOD Z UCTU	3255	19998	\N	EF	99007290
519585	1774	1997-10-12	PRIJEM	PREVOD Z UCTU	3255	17850	\N	EF	99007290
519586	1774	1997-11-12	PRIJEM	PREVOD Z UCTU	3255	18996	\N	EF	99007290
519587	1774	1997-12-12	PRIJEM	PREVOD Z UCTU	3255	20044	\N	EF	99007290
519588	1774	1998-01-12	PRIJEM	PREVOD Z UCTU	3255	19304	\N	EF	99007290
519589	1774	1998-02-12	PRIJEM	PREVOD Z UCTU	3255	15285	\N	EF	99007290
519590	1774	1998-03-12	PRIJEM	PREVOD Z UCTU	3255	14917	\N	EF	99007290
519591	1774	1998-04-12	PRIJEM	PREVOD Z UCTU	3255	16046	\N	EF	99007290
519592	1774	1998-05-12	PRIJEM	PREVOD Z UCTU	3255	16102	\N	EF	99007290
519593	1774	1998-06-12	PRIJEM	PREVOD Z UCTU	3255	17026	\N	EF	99007290
519594	1774	1998-07-12	PRIJEM	PREVOD Z UCTU	3255	18164	\N	EF	99007290
519595	1774	1998-08-12	PRIJEM	PREVOD Z UCTU	3255	17174	\N	EF	99007290
519596	1774	1998-09-12	PRIJEM	PREVOD Z UCTU	3255	16513	\N	EF	99007290
519597	1774	1998-10-12	PRIJEM	PREVOD Z UCTU	3255	17350	\N	EF	99007290
519598	1774	1998-11-12	PRIJEM	PREVOD Z UCTU	3255	18491	\N	EF	99007290
519599	1774	1998-12-12	PRIJEM	PREVOD Z UCTU	3255	19007	\N	EF	99007290
519613	1774	1997-02-05	VYDAJ	PREVOD NA UCET	2170	11729	\N	AB	60821378
519614	1774	1997-03-05	VYDAJ	PREVOD NA UCET	2170	11300	\N	AB	60821378
519615	1774	1997-04-05	VYDAJ	PREVOD NA UCET	2170	11709	\N	AB	60821378
519616	1774	1997-05-05	VYDAJ	PREVOD NA UCET	2170	12838	\N	AB	60821378
519617	1774	1997-06-05	VYDAJ	PREVOD NA UCET	2170	13974	\N	AB	60821378
519618	1774	1997-07-05	VYDAJ	PREVOD NA UCET	2170	15115	\N	AB	60821378
519619	1774	1997-08-05	VYDAJ	PREVOD NA UCET	2170	15596	\N	AB	60821378
519620	1774	1997-09-05	VYDAJ	PREVOD NA UCET	2170	16743	\N	AB	60821378
519621	1774	1997-10-05	VYDAJ	PREVOD NA UCET	2170	17895	\N	AB	60821378
519622	1774	1997-11-05	VYDAJ	PREVOD NA UCET	2170	15741	\N	AB	60821378
519623	1774	1997-12-05	VYDAJ	PREVOD NA UCET	2170	16789	\N	AB	60821378
519624	1774	1998-01-05	VYDAJ	PREVOD NA UCET	2170	17129	\N	AB	60821378
519625	1774	1998-02-05	VYDAJ	PREVOD NA UCET	2170	12030	\N	AB	60821378
519626	1774	1998-03-05	VYDAJ	PREVOD NA UCET	2170	11662	\N	AB	60821378
519627	1774	1998-04-05	VYDAJ	PREVOD NA UCET	2170	12791	\N	AB	60821378
519628	1774	1998-05-05	VYDAJ	PREVOD NA UCET	2170	12847	\N	AB	60821378
519629	1774	1998-06-05	VYDAJ	PREVOD NA UCET	2170	13771	\N	AB	60821378
519630	1774	1998-07-05	VYDAJ	PREVOD NA UCET	2170	14909	\N	AB	60821378
519631	1774	1998-08-05	VYDAJ	PREVOD NA UCET	2170	14609	\N	AB	60821378
519632	1774	1998-09-05	VYDAJ	PREVOD NA UCET	2170	13258	\N	AB	60821378
519633	1774	1998-10-05	VYDAJ	PREVOD NA UCET	2170	14095	\N	AB	60821378
519634	1774	1998-11-05	VYDAJ	PREVOD NA UCET	2170	15236	\N	AB	60821378
519635	1774	1998-12-05	VYDAJ	PREVOD NA UCET	2170	16382	\N	AB	60821378
519641	1774	1998-01-25	VYDAJ	VYBER	1770	14594	\N	\N	\N
519643	1774	1997-12-12	VYDAJ	VYBER	810	19234	\N	\N	\N
519644	1774	1998-12-22	VYDAJ	VYBER	630	17927	\N	\N	\N
519651	1774	1997-01-28	VYDAJ	VYBER	630	13869	\N	\N	\N
519653	1774	1997-01-20	VYDAJ	VYBER	630	14499	\N	\N	\N
519655	1774	1997-01-12	VYDAJ	VYBER	690	15939	\N	\N	\N
519656	1774	1997-01-12	VYDAJ	VYBER	810	15129	\N	\N	\N
519657	1774	1998-01-15	VYDAJ	VYBER	510	18224	\N	\N	\N
519658	1774	1998-01-13	VYDAJ	VYBER	570	18734	\N	\N	\N
519659	1774	1998-01-07	VYDAJ	VYBER	360	16049	\N	\N	\N
519660	1774	1998-01-18	VYDAJ	VYBER	870	17354	\N	\N	\N
519661	1774	1998-01-05	VYDAJ	VYBER	720	16409	\N	\N	\N
519662	1774	1998-01-27	VYDAJ	VYBER	450	14144	\N	\N	\N
519670	1774	1997-02-27	VYDAJ	VYBER	960	14024	\N	\N	\N
519671	1774	1997-02-28	VYDAJ	VYBER	600	13484	\N	\N	\N
519672	1774	1997-07-06	VYDAJ	VYBER	660	14455	\N	\N	\N
519673	1774	1997-04-02	VYDAJ	VYBER	720	13879	\N	\N	\N
519674	1774	1998-06-04	VYDAJ	VYBER	210	15941	\N	\N	\N
519675	1774	1998-05-04	VYDAJ	VYBER	1080	15017	\N	\N	\N
519676	1774	1998-12-07	VYDAJ	VYBER	630	15752	\N	\N	\N
519678	1774	1998-07-13	VYDAJ	VYBER	1440	16724	\N	\N	\N
519679	1774	1998-12-13	VYDAJ	VYBER	450	18557	\N	\N	\N
519680	1774	1998-08-05	VYDAJ	VYBER	690	13919	\N	\N	\N
519681	1774	1998-01-21	VYDAJ	VYBER	990	16364	\N	\N	\N
519695	1774	1997-01-31	VYDAJ	VYBER	15	13899	SLUZBY	\N	\N
519696	1774	1997-02-28	VYDAJ	VYBER	15	13470	SLUZBY	\N	\N
519697	1774	1997-03-31	VYDAJ	VYBER	15	14599	SLUZBY	\N	\N
519698	1774	1997-04-30	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
519699	1774	1997-05-31	VYDAJ	VYBER	15	16144	SLUZBY	\N	\N
519700	1774	1997-06-30	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
519701	1774	1997-07-31	VYDAJ	VYBER	15	17766	SLUZBY	\N	\N
519702	1774	1997-08-31	VYDAJ	VYBER	15	18913	SLUZBY	\N	\N
519703	1774	1997-09-30	VYDAJ	VYBER	15	20065	SLUZBY	\N	\N
519704	1774	1997-10-31	VYDAJ	VYBER	15	17911	SLUZBY	\N	\N
519705	1774	1997-11-30	VYDAJ	VYBER	15	19059	SLUZBY	\N	\N
519706	1774	1997-12-31	VYDAJ	VYBER	15	19299	SLUZBY	\N	\N
519707	1774	1998-01-31	VYDAJ	VYBER	15	14200	SLUZBY	\N	\N
519708	1774	1998-02-28	VYDAJ	VYBER	15	15332	SLUZBY	\N	\N
519709	1774	1998-03-31	VYDAJ	VYBER	15	14961	SLUZBY	\N	\N
519710	1774	1998-04-30	VYDAJ	VYBER	15	16097	SLUZBY	\N	\N
519711	1774	1998-05-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
519712	1774	1998-06-30	VYDAJ	VYBER	15	17079	SLUZBY	\N	\N
519713	1774	1998-07-31	VYDAJ	VYBER	15	16779	SLUZBY	\N	\N
519714	1774	1998-08-31	VYDAJ	VYBER	15	15428	SLUZBY	\N	\N
519715	1774	1998-09-30	VYDAJ	VYBER	15	16565	SLUZBY	\N	\N
519716	1774	1998-10-31	VYDAJ	VYBER	15	17406	SLUZBY	\N	\N
519717	1774	1998-11-30	VYDAJ	VYBER	15	18552	SLUZBY	\N	\N
519718	1774	1997-10-05	VYDAJ	VYBER	3300	14595	\N	\N	\N
519719	1774	1997-12-04	VYDAJ	VYBER	100	18959	\N	\N	\N
519720	1774	1998-03-04	VYDAJ	VYBER	1500	13832	\N	\N	\N
519721	1774	1998-08-31	VYDAJ	VYBER	1800	15443	\N	\N	\N
519722	1774	1998-09-30	VYDAJ	VYBER	300	16265	\N	\N	\N
519751	1775	1993-02-27	PRIJEM	VKLAD	900	900	\N	\N	\N
519754	1775	1993-03-07	PRIJEM	PREVOD Z UCTU	6932	7832	DUCHOD	WX	16577571
519755	1775	1993-04-07	PRIJEM	PREVOD Z UCTU	6932	14764	DUCHOD	WX	16577571
519756	1775	1993-05-07	PRIJEM	PREVOD Z UCTU	6932	21696	DUCHOD	WX	16577571
519757	1775	1993-06-07	PRIJEM	PREVOD Z UCTU	6932	28628	DUCHOD	WX	16577571
519758	1775	1993-07-07	PRIJEM	PREVOD Z UCTU	6932	33375	DUCHOD	WX	16577571
519759	1775	1993-08-07	PRIJEM	PREVOD Z UCTU	6932	30140	DUCHOD	WX	16577571
519760	1775	1993-09-07	PRIJEM	PREVOD Z UCTU	6932	32235	DUCHOD	WX	16577571
519761	1775	1993-10-07	PRIJEM	PREVOD Z UCTU	6932	34338	DUCHOD	WX	16577571
519762	1775	1993-11-07	PRIJEM	PREVOD Z UCTU	6932	31945	DUCHOD	WX	16577571
519763	1775	1993-12-07	PRIJEM	PREVOD Z UCTU	6932	29137	DUCHOD	WX	16577571
519764	1775	1994-01-07	PRIJEM	PREVOD Z UCTU	6932	28455	DUCHOD	WX	16577571
519765	1775	1994-02-07	PRIJEM	PREVOD Z UCTU	6932	24974	DUCHOD	WX	16577571
519766	1775	1994-03-07	PRIJEM	PREVOD Z UCTU	6932	27145	DUCHOD	WX	16577571
519767	1775	1994-04-07	PRIJEM	PREVOD Z UCTU	6932	30227	DUCHOD	WX	16577571
519768	1775	1994-05-07	PRIJEM	PREVOD Z UCTU	6932	31881	DUCHOD	WX	16577571
519769	1775	1994-06-07	PRIJEM	PREVOD Z UCTU	6932	31278	DUCHOD	WX	16577571
519770	1775	1994-07-07	PRIJEM	PREVOD Z UCTU	6932	31674	DUCHOD	WX	16577571
519771	1775	1994-08-07	PRIJEM	PREVOD Z UCTU	6932	32771	DUCHOD	WX	16577571
519772	1775	1994-09-07	PRIJEM	PREVOD Z UCTU	6932	30627	DUCHOD	WX	16577571
519773	1775	1994-10-07	PRIJEM	PREVOD Z UCTU	6932	32120	DUCHOD	WX	16577571
519774	1775	1994-11-07	PRIJEM	PREVOD Z UCTU	6932	34921	DUCHOD	WX	16577571
519775	1775	1994-12-07	PRIJEM	PREVOD Z UCTU	6932	31624	DUCHOD	WX	16577571
519776	1775	1995-01-07	PRIJEM	PREVOD Z UCTU	6932	31619	DUCHOD	WX	16577571
519777	1775	1995-02-07	PRIJEM	PREVOD Z UCTU	6932	21378	DUCHOD	WX	16577571
519778	1775	1995-03-07	PRIJEM	PREVOD Z UCTU	6932	26037	DUCHOD	WX	16577571
519779	1775	1995-04-07	PRIJEM	PREVOD Z UCTU	6932	30715	DUCHOD	WX	16577571
519780	1775	1995-05-07	PRIJEM	PREVOD Z UCTU	6932	34011	DUCHOD	WX	16577571
519781	1775	1995-06-07	PRIJEM	PREVOD Z UCTU	6932	35818	DUCHOD	WX	16577571
519782	1775	1995-07-07	PRIJEM	PREVOD Z UCTU	6932	34926	DUCHOD	WX	16577571
519783	1775	1995-08-07	PRIJEM	PREVOD Z UCTU	6932	29025	DUCHOD	WX	16577571
519784	1775	1995-09-07	PRIJEM	PREVOD Z UCTU	6932	32816	DUCHOD	WX	16577571
519785	1775	1995-10-07	PRIJEM	PREVOD Z UCTU	6932	32373	DUCHOD	WX	16577571
519786	1775	1995-11-07	PRIJEM	PREVOD Z UCTU	6932	25536	DUCHOD	WX	16577571
519787	1775	1995-12-07	PRIJEM	PREVOD Z UCTU	6932	28107	DUCHOD	WX	16577571
519788	1775	1996-01-07	PRIJEM	PREVOD Z UCTU	6932	25783	DUCHOD	WX	16577571
519789	1775	1996-02-07	PRIJEM	PREVOD Z UCTU	6932	21483	DUCHOD	WX	16577571
519790	1775	1996-03-07	PRIJEM	PREVOD Z UCTU	6932	19530	DUCHOD	WX	16577571
519791	1775	1996-04-07	PRIJEM	PREVOD Z UCTU	6932	18726	DUCHOD	WX	16577571
519792	1775	1996-05-07	PRIJEM	PREVOD Z UCTU	6932	23374	DUCHOD	WX	16577571
519793	1775	1996-06-07	PRIJEM	PREVOD Z UCTU	6932	21428	DUCHOD	WX	16577571
519794	1775	1996-07-07	PRIJEM	PREVOD Z UCTU	6932	22477	DUCHOD	WX	16577571
519795	1775	1996-08-07	PRIJEM	PREVOD Z UCTU	6932	23430	DUCHOD	WX	16577571
519796	1775	1996-09-07	PRIJEM	PREVOD Z UCTU	6932	22380	DUCHOD	WX	16577571
519797	1775	1996-10-07	PRIJEM	PREVOD Z UCTU	6932	20121	DUCHOD	WX	16577571
519798	1775	1996-11-07	PRIJEM	PREVOD Z UCTU	6932	18154	DUCHOD	WX	16577571
519799	1775	1996-12-07	PRIJEM	PREVOD Z UCTU	6932	20111	DUCHOD	WX	16577571
519800	1775	1997-01-07	PRIJEM	PREVOD Z UCTU	6932	19254	DUCHOD	WX	16577571
519801	1775	1997-02-07	PRIJEM	PREVOD Z UCTU	6932	19414	DUCHOD	WX	16577571
519802	1775	1997-03-07	PRIJEM	PREVOD Z UCTU	6932	24063	DUCHOD	WX	16577571
519803	1775	1997-04-07	PRIJEM	PREVOD Z UCTU	6932	21211	DUCHOD	WX	16577571
519804	1775	1997-05-07	PRIJEM	PREVOD Z UCTU	6932	19949	DUCHOD	WX	16577571
519805	1775	1997-06-07	PRIJEM	PREVOD Z UCTU	6932	18982	DUCHOD	WX	16577571
519806	1775	1997-07-07	PRIJEM	PREVOD Z UCTU	6932	23630	DUCHOD	WX	16577571
519807	1775	1997-08-07	PRIJEM	PREVOD Z UCTU	6932	22697	DUCHOD	WX	16577571
519808	1775	1997-09-07	PRIJEM	PREVOD Z UCTU	6932	20061	DUCHOD	WX	16577571
519809	1775	1997-10-07	PRIJEM	PREVOD Z UCTU	6932	21718	DUCHOD	WX	16577571
519810	1775	1997-11-07	PRIJEM	PREVOD Z UCTU	6932	24178	DUCHOD	WX	16577571
519811	1775	1997-12-07	PRIJEM	PREVOD Z UCTU	6932	24848	DUCHOD	WX	16577571
519812	1775	1998-01-07	PRIJEM	PREVOD Z UCTU	6932	23120	DUCHOD	WX	16577571
519813	1775	1998-02-07	PRIJEM	PREVOD Z UCTU	6932	19329	DUCHOD	WX	16577571
519814	1775	1998-03-07	PRIJEM	PREVOD Z UCTU	6932	17906	DUCHOD	WX	16577571
519815	1775	1998-04-07	PRIJEM	PREVOD Z UCTU	6932	22550	DUCHOD	WX	16577571
519816	1775	1998-05-07	PRIJEM	PREVOD Z UCTU	6932	27212	DUCHOD	WX	16577571
519817	1775	1998-06-07	PRIJEM	PREVOD Z UCTU	6932	21350	DUCHOD	WX	16577571
519818	1775	1998-07-07	PRIJEM	PREVOD Z UCTU	6932	26013	DUCHOD	WX	16577571
519819	1775	1998-08-07	PRIJEM	PREVOD Z UCTU	6932	30689	DUCHOD	WX	16577571
519820	1775	1998-09-07	PRIJEM	PREVOD Z UCTU	6932	35384	DUCHOD	WX	16577571
519821	1775	1998-10-07	PRIJEM	PREVOD Z UCTU	6932	20193	DUCHOD	WX	16577571
519822	1775	1998-11-07	PRIJEM	PREVOD Z UCTU	6932	22040	DUCHOD	WX	16577571
519823	1775	1998-12-07	PRIJEM	PREVOD Z UCTU	6932	22856	DUCHOD	WX	16577571
519831	1775	1993-08-06	VYDAJ	PREVOD NA UCET	2343	23208	SIPO	QR	25300705
519832	1775	1993-09-06	VYDAJ	PREVOD NA UCET	2343	25303	SIPO	QR	25300705
519833	1775	1993-10-06	VYDAJ	PREVOD NA UCET	2343	27406	SIPO	QR	25300705
519834	1775	1993-11-06	VYDAJ	PREVOD NA UCET	2343	25013	SIPO	QR	25300705
519835	1775	1993-12-06	VYDAJ	PREVOD NA UCET	2343	22205	SIPO	QR	25300705
519836	1775	1994-01-06	VYDAJ	PREVOD NA UCET	2343	21523	SIPO	QR	25300705
519837	1775	1994-02-06	VYDAJ	PREVOD NA UCET	2343	18042	SIPO	QR	25300705
519838	1775	1994-03-06	VYDAJ	PREVOD NA UCET	2343	20213	SIPO	QR	25300705
519839	1775	1994-04-06	VYDAJ	PREVOD NA UCET	2343	23295	SIPO	QR	25300705
519840	1775	1994-05-06	VYDAJ	PREVOD NA UCET	2343	24949	SIPO	QR	25300705
519841	1775	1994-06-06	VYDAJ	PREVOD NA UCET	2343	24346	SIPO	QR	25300705
519842	1775	1994-07-06	VYDAJ	PREVOD NA UCET	2343	24742	SIPO	QR	25300705
519843	1775	1994-08-06	VYDAJ	PREVOD NA UCET	2343	25839	SIPO	QR	25300705
519844	1775	1994-09-06	VYDAJ	PREVOD NA UCET	2343	23695	SIPO	QR	25300705
519845	1775	1994-10-06	VYDAJ	PREVOD NA UCET	2343	25188	SIPO	QR	25300705
519846	1775	1994-11-06	VYDAJ	PREVOD NA UCET	2343	27989	SIPO	QR	25300705
519847	1775	1994-12-06	VYDAJ	PREVOD NA UCET	2343	24692	SIPO	QR	25300705
519848	1775	1995-01-06	VYDAJ	PREVOD NA UCET	2343	24687	SIPO	QR	25300705
519849	1775	1995-02-06	VYDAJ	PREVOD NA UCET	2343	14446	SIPO	QR	25300705
519850	1775	1995-03-06	VYDAJ	PREVOD NA UCET	2343	19105	SIPO	QR	25300705
519851	1775	1995-04-06	VYDAJ	PREVOD NA UCET	2343	23783	SIPO	QR	25300705
519852	1775	1995-05-06	VYDAJ	PREVOD NA UCET	2343	27079	SIPO	QR	25300705
519853	1775	1995-06-06	VYDAJ	PREVOD NA UCET	2343	28886	SIPO	QR	25300705
519854	1775	1995-07-06	VYDAJ	PREVOD NA UCET	2343	27994	SIPO	QR	25300705
519855	1775	1995-08-06	VYDAJ	PREVOD NA UCET	2343	22093	SIPO	QR	25300705
519856	1775	1995-09-06	VYDAJ	PREVOD NA UCET	2343	25884	SIPO	QR	25300705
519857	1775	1995-10-06	VYDAJ	PREVOD NA UCET	2343	25441	SIPO	QR	25300705
519858	1775	1995-11-06	VYDAJ	PREVOD NA UCET	2343	18604	SIPO	QR	25300705
519859	1775	1995-12-06	VYDAJ	PREVOD NA UCET	2343	21175	SIPO	QR	25300705
519860	1775	1996-01-06	VYDAJ	PREVOD NA UCET	2343	18851	SIPO	QR	25300705
519861	1775	1996-02-06	VYDAJ	PREVOD NA UCET	2343	14551	SIPO	QR	25300705
519862	1775	1996-03-06	VYDAJ	PREVOD NA UCET	2343	12598	SIPO	QR	25300705
519863	1775	1996-04-06	VYDAJ	PREVOD NA UCET	2343	11794	SIPO	QR	25300705
519864	1775	1996-05-06	VYDAJ	PREVOD NA UCET	2343	16442	SIPO	QR	25300705
519865	1775	1996-06-06	VYDAJ	PREVOD NA UCET	2343	14496	SIPO	QR	25300705
519866	1775	1996-07-06	VYDAJ	PREVOD NA UCET	2343	15545	SIPO	QR	25300705
519867	1775	1996-08-06	VYDAJ	PREVOD NA UCET	2343	16498	SIPO	QR	25300705
519868	1775	1996-09-06	VYDAJ	PREVOD NA UCET	2343	15448	SIPO	QR	25300705
519869	1775	1996-10-06	VYDAJ	PREVOD NA UCET	2343	13189	SIPO	QR	25300705
519870	1775	1996-11-06	VYDAJ	PREVOD NA UCET	2343	11222	SIPO	QR	25300705
519871	1775	1996-12-06	VYDAJ	PREVOD NA UCET	2343	13179	SIPO	QR	25300705
519872	1775	1997-01-06	VYDAJ	PREVOD NA UCET	2343	12322	SIPO	QR	25300705
519873	1775	1997-02-06	VYDAJ	PREVOD NA UCET	2343	12482	SIPO	QR	25300705
519874	1775	1997-03-06	VYDAJ	PREVOD NA UCET	2343	17131	SIPO	QR	25300705
519875	1775	1997-04-06	VYDAJ	PREVOD NA UCET	2343	14279	SIPO	QR	25300705
519876	1775	1997-05-06	VYDAJ	PREVOD NA UCET	2343	13017	SIPO	QR	25300705
519877	1775	1997-06-06	VYDAJ	PREVOD NA UCET	2343	12050	SIPO	QR	25300705
519878	1775	1997-07-06	VYDAJ	PREVOD NA UCET	2343	16698	SIPO	QR	25300705
519879	1775	1997-08-06	VYDAJ	PREVOD NA UCET	2343	15765	SIPO	QR	25300705
519880	1775	1997-09-06	VYDAJ	PREVOD NA UCET	2343	13129	SIPO	QR	25300705
519881	1775	1997-10-06	VYDAJ	PREVOD NA UCET	2343	14786	SIPO	QR	25300705
519882	1775	1997-11-06	VYDAJ	PREVOD NA UCET	2343	17246	SIPO	QR	25300705
519883	1775	1997-12-06	VYDAJ	PREVOD NA UCET	2343	17916	SIPO	QR	25300705
519884	1775	1998-01-06	VYDAJ	PREVOD NA UCET	2343	16188	SIPO	QR	25300705
519885	1775	1998-02-06	VYDAJ	PREVOD NA UCET	2343	12397	SIPO	QR	25300705
519886	1775	1998-03-06	VYDAJ	PREVOD NA UCET	2343	10974	SIPO	QR	25300705
519887	1775	1998-04-06	VYDAJ	PREVOD NA UCET	2343	15618	SIPO	QR	25300705
519888	1775	1998-05-06	VYDAJ	PREVOD NA UCET	2343	20280	SIPO	QR	25300705
519889	1775	1998-06-06	VYDAJ	PREVOD NA UCET	2343	14418	SIPO	QR	25300705
519890	1775	1998-07-06	VYDAJ	PREVOD NA UCET	2343	19081	SIPO	QR	25300705
519891	1775	1998-08-06	VYDAJ	PREVOD NA UCET	2343	23757	SIPO	QR	25300705
519892	1775	1998-09-06	VYDAJ	PREVOD NA UCET	2343	28452	SIPO	QR	25300705
519893	1775	1998-10-06	VYDAJ	PREVOD NA UCET	2343	13261	SIPO	QR	25300705
519894	1775	1998-11-06	VYDAJ	PREVOD NA UCET	2343	15108	SIPO	QR	25300705
519895	1775	1998-12-06	VYDAJ	PREVOD NA UCET	2343	15924	SIPO	QR	25300705
519896	1775	1993-12-26	VYDAJ	VYBER	550	25687	\N	\N	\N
519897	1775	1994-12-26	VYDAJ	VYBER	1200	26924	\N	\N	\N
519898	1775	1995-12-14	VYDAJ	VYBER	250	27857	\N	\N	\N
519900	1775	1997-12-20	VYDAJ	VYBER	1400	23448	\N	\N	\N
519901	1775	1998-12-12	VYDAJ	VYBER	900	21956	\N	\N	\N
519908	1775	1994-01-18	VYDAJ	VYBER	720	24695	\N	\N	\N
519909	1775	1994-01-25	VYDAJ	VYBER	1520	22055	\N	\N	\N
519910	1775	1994-01-12	VYDAJ	VYBER	1440	27015	\N	\N	\N
519911	1775	1994-01-12	VYDAJ	VYBER	1600	25415	\N	\N	\N
519912	1775	1994-01-03	VYDAJ	VYBER	1920	23866	\N	\N	\N
519913	1775	1994-01-22	VYDAJ	VYBER	1120	23575	\N	\N	\N
519914	1775	1995-01-16	VYDAJ	VYBER	880	30739	\N	\N	\N
519915	1775	1995-01-21	VYDAJ	VYBER	2320	19979	\N	\N	\N
519916	1775	1995-01-20	VYDAJ	VYBER	1440	24299	\N	\N	\N
519917	1775	1995-01-25	VYDAJ	VYBER	2320	16699	\N	\N	\N
519918	1775	1995-01-21	VYDAJ	VYBER	2000	22299	\N	\N	\N
519919	1775	1995-01-24	VYDAJ	VYBER	960	19019	\N	\N	\N
519920	1775	1996-01-10	VYDAJ	VYBER	1360	22183	\N	\N	\N
519921	1775	1996-01-12	VYDAJ	VYBER	1200	20983	\N	\N	\N
519922	1775	1996-01-10	VYDAJ	VYBER	2240	23543	\N	\N	\N
519923	1775	1996-01-17	VYDAJ	VYBER	2000	18983	\N	\N	\N
519924	1775	1996-01-02	VYDAJ	VYBER	1600	21194	\N	\N	\N
519925	1775	1996-01-01	VYDAJ	VYBER	1760	22794	\N	\N	\N
519927	1775	1997-01-15	VYDAJ	VYBER	2080	15174	\N	\N	\N
519928	1775	1997-01-24	VYDAJ	VYBER	400	14774	\N	\N	\N
519931	1775	1997-01-03	VYDAJ	VYBER	1280	14665	\N	\N	\N
519932	1775	1998-01-11	VYDAJ	VYBER	1600	21520	\N	\N	\N
519933	1775	1998-01-15	VYDAJ	VYBER	2320	17360	\N	\N	\N
519934	1775	1998-01-17	VYDAJ	VYBER	2080	15280	\N	\N	\N
519935	1775	1998-01-14	VYDAJ	VYBER	1840	19680	\N	\N	\N
519938	1775	1993-11-15	VYDAJ	VYBER	3200	28745	\N	\N	\N
519939	1775	1993-08-01	VYDAJ	VYBER	1920	25551	\N	\N	\N
519941	1775	1993-12-22	VYDAJ	VYBER	2000	27137	\N	\N	\N
519944	1775	1994-08-10	VYDAJ	VYBER	1040	31731	\N	\N	\N
519945	1775	1994-01-31	VYDAJ	VYBER	880	20399	\N	\N	\N
519946	1775	1994-01-28	VYDAJ	VYBER	880	21175	\N	\N	\N
519947	1775	1994-04-27	VYDAJ	VYBER	1040	27187	\N	\N	\N
519948	1775	1995-10-06	VYDAJ	VYBER	1280	27784	\N	\N	\N
519949	1775	1995-10-18	VYDAJ	VYBER	1600	23973	\N	\N	\N
519950	1775	1995-08-01	VYDAJ	VYBER	2400	24436	\N	\N	\N
519951	1775	1995-09-12	VYDAJ	VYBER	560	32256	\N	\N	\N
519952	1775	1995-10-22	VYDAJ	VYBER	3120	20853	\N	\N	\N
519953	1775	1996-03-10	VYDAJ	VYBER	3040	16490	\N	\N	\N
519954	1775	1996-12-08	VYDAJ	VYBER	1120	15891	\N	\N	\N
519955	1775	1996-05-25	VYDAJ	VYBER	3200	16774	\N	\N	\N
519956	1775	1996-11-20	VYDAJ	VYBER	480	15474	\N	\N	\N
519957	1775	1996-02-02	VYDAJ	VYBER	2160	16894	\N	\N	\N
519959	1775	1996-02-20	VYDAJ	VYBER	3600	14883	\N	\N	\N
519961	1775	1997-03-16	VYDAJ	VYBER	880	17283	\N	\N	\N
519962	1775	1997-08-13	VYDAJ	VYBER	800	21897	\N	\N	\N
519963	1775	1997-04-01	VYDAJ	VYBER	720	16622	\N	\N	\N
519965	1775	1998-05-07	VYDAJ	VYBER	1040	26172	\N	\N	\N
519966	1775	1998-02-10	VYDAJ	VYBER	2800	16529	\N	\N	\N
519967	1775	1998-12-02	VYDAJ	VYBER	2720	18267	\N	\N	\N
519968	1775	1998-11-16	VYDAJ	VYBER	1120	20920	\N	\N	\N
519969	1775	1998-10-18	VYDAJ	VYBER	2800	17393	\N	\N	\N
519970	1775	1998-02-12	VYDAJ	VYBER	1360	15169	\N	\N	\N
519978	1775	1993-07-31	VYDAJ	VYBER	15	27471	SLUZBY	\N	\N
519979	1775	1993-08-31	VYDAJ	VYBER	15	27646	SLUZBY	\N	\N
519980	1775	1993-09-30	VYDAJ	VYBER	15	29749	SLUZBY	\N	\N
519981	1775	1993-10-31	VYDAJ	VYBER	15	27356	SLUZBY	\N	\N
519982	1775	1993-11-30	VYDAJ	VYBER	15	24548	SLUZBY	\N	\N
519983	1775	1993-12-31	VYDAJ	VYBER	15	25786	SLUZBY	\N	\N
519984	1775	1994-01-31	VYDAJ	VYBER	15	20385	SLUZBY	\N	\N
519985	1775	1994-02-28	VYDAJ	VYBER	15	22556	SLUZBY	\N	\N
519986	1775	1994-03-31	VYDAJ	VYBER	15	25638	SLUZBY	\N	\N
519987	1775	1994-04-30	VYDAJ	VYBER	15	27292	SLUZBY	\N	\N
519988	1775	1994-05-31	VYDAJ	VYBER	15	26689	SLUZBY	\N	\N
519989	1775	1994-06-30	VYDAJ	VYBER	15	27085	SLUZBY	\N	\N
519990	1775	1994-07-31	VYDAJ	VYBER	15	28182	SLUZBY	\N	\N
519991	1775	1994-08-31	VYDAJ	VYBER	15	26038	SLUZBY	\N	\N
519992	1775	1994-09-30	VYDAJ	VYBER	15	27531	SLUZBY	\N	\N
519993	1775	1994-10-31	VYDAJ	VYBER	15	30332	SLUZBY	\N	\N
519994	1775	1994-11-30	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
519995	1775	1994-12-31	VYDAJ	VYBER	15	27030	SLUZBY	\N	\N
519996	1775	1995-01-31	VYDAJ	VYBER	15	16789	SLUZBY	\N	\N
519997	1775	1995-02-28	VYDAJ	VYBER	15	21448	SLUZBY	\N	\N
519998	1775	1995-03-31	VYDAJ	VYBER	15	26126	SLUZBY	\N	\N
519999	1775	1995-04-30	VYDAJ	VYBER	15	29422	SLUZBY	\N	\N
520000	1775	1995-05-31	VYDAJ	VYBER	15	31229	SLUZBY	\N	\N
520001	1775	1995-06-30	VYDAJ	VYBER	15	30337	SLUZBY	\N	\N
520002	1775	1995-07-31	VYDAJ	VYBER	15	26836	SLUZBY	\N	\N
520003	1775	1995-08-31	VYDAJ	VYBER	15	28227	SLUZBY	\N	\N
520004	1775	1995-09-30	VYDAJ	VYBER	15	29064	SLUZBY	\N	\N
520005	1775	1995-10-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
520006	1775	1995-11-30	VYDAJ	VYBER	15	23518	SLUZBY	\N	\N
520007	1775	1995-12-31	VYDAJ	VYBER	15	24554	SLUZBY	\N	\N
520008	1775	1996-01-31	VYDAJ	VYBER	15	19054	SLUZBY	\N	\N
520009	1775	1996-02-29	VYDAJ	VYBER	15	14941	SLUZBY	\N	\N
520010	1775	1996-03-31	VYDAJ	VYBER	15	14137	SLUZBY	\N	\N
520011	1775	1996-04-30	VYDAJ	VYBER	15	18785	SLUZBY	\N	\N
520012	1775	1996-05-31	VYDAJ	VYBER	15	16839	SLUZBY	\N	\N
520013	1775	1996-06-30	VYDAJ	VYBER	15	17888	SLUZBY	\N	\N
520014	1775	1996-07-31	VYDAJ	VYBER	15	18841	SLUZBY	\N	\N
520015	1775	1996-08-31	VYDAJ	VYBER	15	17791	SLUZBY	\N	\N
520016	1775	1996-09-30	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
520017	1775	1996-10-31	VYDAJ	VYBER	15	13565	SLUZBY	\N	\N
520018	1775	1996-11-30	VYDAJ	VYBER	15	15522	SLUZBY	\N	\N
520019	1775	1996-12-31	VYDAJ	VYBER	15	15945	SLUZBY	\N	\N
520020	1775	1997-01-31	VYDAJ	VYBER	15	14825	SLUZBY	\N	\N
520021	1775	1997-02-28	VYDAJ	VYBER	15	19474	SLUZBY	\N	\N
520022	1775	1997-03-31	VYDAJ	VYBER	15	17342	SLUZBY	\N	\N
520023	1775	1997-04-30	VYDAJ	VYBER	15	15360	SLUZBY	\N	\N
520024	1775	1997-05-31	VYDAJ	VYBER	15	14393	SLUZBY	\N	\N
520025	1775	1997-06-30	VYDAJ	VYBER	15	19041	SLUZBY	\N	\N
520026	1775	1997-07-31	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
520027	1775	1997-08-31	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
520028	1775	1997-09-30	VYDAJ	VYBER	15	20129	SLUZBY	\N	\N
520029	1775	1997-10-31	VYDAJ	VYBER	15	21789	SLUZBY	\N	\N
520030	1775	1997-11-30	VYDAJ	VYBER	15	24259	SLUZBY	\N	\N
520031	1775	1997-12-31	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
520032	1775	1998-01-31	VYDAJ	VYBER	15	15340	SLUZBY	\N	\N
520033	1775	1998-02-28	VYDAJ	VYBER	15	15217	SLUZBY	\N	\N
520034	1775	1998-03-31	VYDAJ	VYBER	15	17961	SLUZBY	\N	\N
520035	1775	1998-04-30	VYDAJ	VYBER	15	22623	SLUZBY	\N	\N
520036	1775	1998-05-31	VYDAJ	VYBER	15	26261	SLUZBY	\N	\N
520037	1775	1998-06-30	VYDAJ	VYBER	15	21424	SLUZBY	\N	\N
520038	1775	1998-07-31	VYDAJ	VYBER	15	26100	SLUZBY	\N	\N
520039	1775	1998-08-31	VYDAJ	VYBER	15	30795	SLUZBY	\N	\N
520040	1775	1998-09-30	VYDAJ	VYBER	15	15604	SLUZBY	\N	\N
520041	1775	1998-10-31	VYDAJ	VYBER	15	17451	SLUZBY	\N	\N
520042	1775	1998-11-30	VYDAJ	VYBER	15	20987	SLUZBY	\N	\N
520043	1775	1993-06-27	VYDAJ	VYBER	2200	26428	\N	\N	\N
520044	1775	1993-07-27	VYDAJ	VYBER	6000	27375	\N	\N	\N
520045	1775	1993-08-26	VYDAJ	VYBER	2600	27540	\N	\N	\N
520046	1775	1993-09-25	VYDAJ	VYBER	2600	29635	\N	\N	\N
520047	1775	1993-10-25	VYDAJ	VYBER	7100	27238	\N	\N	\N
520048	1775	1993-11-24	VYDAJ	VYBER	4300	24445	\N	\N	\N
520049	1775	1993-12-24	VYDAJ	VYBER	900	26237	\N	\N	\N
520050	1775	1994-02-22	VYDAJ	VYBER	2500	22474	\N	\N	\N
520051	1775	1994-03-24	VYDAJ	VYBER	1600	25545	\N	\N	\N
520052	1775	1994-04-23	VYDAJ	VYBER	2000	28227	\N	\N	\N
520053	1775	1994-05-23	VYDAJ	VYBER	5300	26581	\N	\N	\N
520054	1775	1994-06-22	VYDAJ	VYBER	4300	26978	\N	\N	\N
520055	1775	1994-07-22	VYDAJ	VYBER	3600	28074	\N	\N	\N
520056	1775	1994-08-21	VYDAJ	VYBER	5800	25931	\N	\N	\N
520057	1775	1994-09-20	VYDAJ	VYBER	3200	27427	\N	\N	\N
520058	1775	1994-10-20	VYDAJ	VYBER	1900	30220	\N	\N	\N
520059	1775	1994-11-19	VYDAJ	VYBER	8000	26921	\N	\N	\N
520060	1775	1994-12-19	VYDAJ	VYBER	3500	28124	\N	\N	\N
520061	1775	1995-01-18	VYDAJ	VYBER	5000	25739	\N	\N	\N
520062	1775	1995-04-18	VYDAJ	VYBER	1400	29315	\N	\N	\N
520063	1775	1995-05-18	VYDAJ	VYBER	2900	31111	\N	\N	\N
520064	1775	1995-06-17	VYDAJ	VYBER	5600	30218	\N	\N	\N
520065	1775	1995-07-17	VYDAJ	VYBER	8200	26726	\N	\N	\N
520066	1775	1995-08-16	VYDAJ	VYBER	900	28125	\N	\N	\N
520067	1775	1995-09-15	VYDAJ	VYBER	3300	28956	\N	\N	\N
520068	1775	1995-10-15	VYDAJ	VYBER	6800	25573	\N	\N	\N
520069	1775	1995-11-14	VYDAJ	VYBER	2100	23436	\N	\N	\N
520070	1775	1995-12-14	VYDAJ	VYBER	3400	24457	\N	\N	\N
520071	1775	1996-02-12	VYDAJ	VYBER	3000	18483	\N	\N	\N
520072	1775	1996-03-13	VYDAJ	VYBER	2400	14090	\N	\N	\N
520073	1775	1996-05-12	VYDAJ	VYBER	3400	19974	\N	\N	\N
520074	1775	1996-06-11	VYDAJ	VYBER	3600	17828	\N	\N	\N
520075	1775	1996-07-11	VYDAJ	VYBER	3700	18777	\N	\N	\N
520076	1775	1996-08-10	VYDAJ	VYBER	5700	17730	\N	\N	\N
520077	1775	1996-09-09	VYDAJ	VYBER	6900	15480	\N	\N	\N
520078	1775	1996-10-09	VYDAJ	VYBER	6600	13521	\N	\N	\N
520079	1775	1996-11-08	VYDAJ	VYBER	2200	15954	\N	\N	\N
520080	1775	1996-12-08	VYDAJ	VYBER	3100	17011	\N	\N	\N
520081	1775	1997-01-07	VYDAJ	VYBER	2000	17254	\N	\N	\N
520082	1775	1997-03-08	VYDAJ	VYBER	5900	18163	\N	\N	\N
520083	1775	1997-04-07	VYDAJ	VYBER	5900	15311	\N	\N	\N
520084	1775	1997-05-07	VYDAJ	VYBER	5600	14349	\N	\N	\N
520085	1775	1997-08-05	VYDAJ	VYBER	5600	18108	\N	\N	\N
520086	1775	1997-09-04	VYDAJ	VYBER	6500	15472	\N	\N	\N
520087	1775	1997-10-04	VYDAJ	VYBER	3000	17129	\N	\N	\N
520088	1775	1997-11-03	VYDAJ	VYBER	2200	19589	\N	\N	\N
520089	1775	1997-12-03	VYDAJ	VYBER	4000	20259	\N	\N	\N
520090	1775	1998-01-02	VYDAJ	VYBER	5000	18531	\N	\N	\N
520091	1775	1998-02-01	VYDAJ	VYBER	600	14740	\N	\N	\N
520092	1775	1998-03-03	VYDAJ	VYBER	1900	13317	\N	\N	\N
520093	1775	1998-06-01	VYDAJ	VYBER	9500	16761	\N	\N	\N
520094	1775	1998-09-29	VYDAJ	VYBER	19900	15484	\N	\N	\N
520162	1776	1997-07-27	PRIJEM	VKLAD	400	400	\N	\N	\N
520170	1776	1997-08-07	PRIJEM	VKLAD	13669	14069	\N	\N	\N
520171	1776	1997-09-07	PRIJEM	VKLAD	13669	32453	\N	\N	\N
520172	1776	1997-10-07	PRIJEM	VKLAD	13669	40907	\N	\N	\N
520173	1776	1997-11-07	PRIJEM	VKLAD	13669	51299	\N	\N	\N
520174	1776	1997-12-07	PRIJEM	VKLAD	20504	62263	\N	\N	\N
520175	1776	1998-01-07	PRIJEM	VKLAD	13669	49820	\N	\N	\N
520176	1776	1998-02-07	PRIJEM	VKLAD	13669	37422	\N	\N	\N
520177	1776	1998-03-07	PRIJEM	VKLAD	13669	40010	\N	\N	\N
520178	1776	1998-04-07	PRIJEM	VKLAD	13669	43910	\N	\N	\N
520179	1776	1998-05-07	PRIJEM	VKLAD	13669	44219	\N	\N	\N
520180	1776	1998-06-07	PRIJEM	VKLAD	20504	52565	\N	\N	\N
520181	1776	1998-07-07	PRIJEM	VKLAD	13669	50602	\N	\N	\N
520182	1776	1998-08-07	PRIJEM	VKLAD	13669	50737	\N	\N	\N
520183	1776	1998-09-07	PRIJEM	VKLAD	13669	48869	\N	\N	\N
520184	1776	1998-10-07	PRIJEM	VKLAD	13669	48997	\N	\N	\N
520185	1776	1998-11-07	PRIJEM	VKLAD	13669	48020	\N	\N	\N
520186	1776	1998-12-07	PRIJEM	VKLAD	20504	55779	\N	\N	\N
520199	1776	1998-01-06	VYDAJ	PREVOD NA UCET	5710	36151	SIPO	YZ	86032962
520200	1776	1998-02-06	VYDAJ	PREVOD NA UCET	5710	23753	SIPO	YZ	86032962
520201	1776	1998-03-06	VYDAJ	PREVOD NA UCET	5710	26341	SIPO	YZ	86032962
520202	1776	1998-04-06	VYDAJ	PREVOD NA UCET	5710	30241	SIPO	YZ	86032962
520203	1776	1998-05-06	VYDAJ	PREVOD NA UCET	5710	30550	SIPO	YZ	86032962
520204	1776	1998-06-06	VYDAJ	PREVOD NA UCET	5710	32061	SIPO	YZ	86032962
520205	1776	1998-07-06	VYDAJ	PREVOD NA UCET	5710	36933	SIPO	YZ	86032962
520206	1776	1998-08-06	VYDAJ	PREVOD NA UCET	5710	37068	SIPO	YZ	86032962
520207	1776	1998-09-06	VYDAJ	PREVOD NA UCET	5710	35200	SIPO	YZ	86032962
520208	1776	1998-10-06	VYDAJ	PREVOD NA UCET	5710	35328	SIPO	YZ	86032962
520209	1776	1998-11-06	VYDAJ	PREVOD NA UCET	5710	34351	SIPO	YZ	86032962
520210	1776	1998-12-06	VYDAJ	PREVOD NA UCET	5710	35275	SIPO	YZ	86032962
520222	1776	1997-12-09	VYDAJ	VYBER	1900	60363	\N	\N	0
520223	1776	1998-01-16	VYDAJ	VYBER	1000	35020	\N	\N	0
520224	1776	1998-02-21	VYDAJ	VYBER	1900	35522	\N	\N	0
520225	1776	1998-03-07	VYDAJ	VYBER	1200	38810	\N	\N	0
520226	1776	1998-04-09	VYDAJ	VYBER	1200	42710	\N	\N	0
520227	1776	1998-05-10	VYDAJ	VYBER	1700	42519	\N	\N	0
520228	1776	1998-06-12	VYDAJ	PREVOD NA UCET	1800	50765	UVER	WX	80855452
520229	1776	1998-07-12	VYDAJ	PREVOD NA UCET	1800	48802	UVER	WX	80855452
520230	1776	1998-08-12	VYDAJ	PREVOD NA UCET	1800	48937	UVER	WX	80855452
520231	1776	1998-09-12	VYDAJ	PREVOD NA UCET	1800	47069	UVER	WX	80855452
520232	1776	1998-10-12	VYDAJ	PREVOD NA UCET	1800	45997	UVER	WX	80855452
520233	1776	1998-11-12	VYDAJ	PREVOD NA UCET	1800	46220	UVER	WX	80855452
520234	1776	1998-12-12	VYDAJ	PREVOD NA UCET	1800	52879	UVER	WX	80855452
520238	1776	1998-01-13	VYDAJ	VYBER	8700	38120	\N	\N	\N
520239	1776	1997-12-25	VYDAJ	VYBER	1100	42263	\N	\N	\N
520240	1776	1998-12-21	VYDAJ	VYBER	2600	39579	\N	\N	\N
520247	1776	1998-01-30	VYDAJ	VYBER	2400	29320	\N	\N	\N
520248	1776	1998-01-02	VYDAJ	VYBER	600	41861	\N	\N	\N
520249	1776	1998-01-20	VYDAJ	VYBER	2800	32220	\N	\N	\N
520250	1776	1998-01-12	VYDAJ	VYBER	1000	46820	\N	\N	\N
520251	1776	1998-01-12	VYDAJ	VYBER	2000	47820	\N	\N	\N
520252	1776	1998-01-13	VYDAJ	VYBER	2100	36020	\N	\N	\N
520258	1776	1998-10-03	VYDAJ	VYBER	500	41038	\N	\N	\N
520259	1776	1998-06-25	VYDAJ	VYBER	2200	42465	\N	\N	\N
520260	1776	1998-12-07	VYDAJ	VYBER	1100	54679	\N	\N	\N
520261	1776	1998-10-11	VYDAJ	VYBER	1200	47797	\N	\N	\N
520262	1776	1998-12-12	VYDAJ	VYBER	2100	50779	\N	\N	\N
520275	1776	1997-12-31	VYDAJ	VYBER	15	42461	SLUZBY	\N	\N
520276	1776	1998-01-31	VYDAJ	VYBER	15	29463	SLUZBY	\N	\N
520277	1776	1998-02-28	VYDAJ	VYBER	15	32051	SLUZBY	\N	\N
520278	1776	1998-03-31	VYDAJ	VYBER	15	35951	SLUZBY	\N	\N
520279	1776	1998-04-30	VYDAJ	VYBER	15	36260	SLUZBY	\N	\N
520280	1776	1998-05-31	VYDAJ	VYBER	15	37771	SLUZBY	\N	\N
520281	1776	1998-06-30	VYDAJ	VYBER	15	42643	SLUZBY	\N	\N
520282	1776	1998-07-31	VYDAJ	VYBER	15	42778	SLUZBY	\N	\N
520283	1776	1998-08-31	VYDAJ	VYBER	15	40910	SLUZBY	\N	\N
520284	1776	1998-09-30	VYDAJ	VYBER	15	41538	SLUZBY	\N	\N
520285	1776	1998-10-31	VYDAJ	VYBER	15	40061	SLUZBY	\N	\N
520286	1776	1998-11-30	VYDAJ	VYBER	15	40985	SLUZBY	\N	\N
520287	1776	1997-08-26	PRIJEM	VKLAD	4700	18769	\N	\N	\N
520288	1776	1997-09-25	VYDAJ	VYBER	5300	27153	\N	\N	\N
520289	1776	1997-10-25	VYDAJ	VYBER	3400	37507	\N	\N	\N
520290	1776	1997-11-24	VYDAJ	VYBER	9700	41599	\N	\N	\N
520291	1776	1997-12-24	VYDAJ	VYBER	17000	43363	\N	\N	\N
520292	1776	1998-01-23	VYDAJ	VYBER	500	31720	\N	\N	\N
520293	1776	1998-02-22	VYDAJ	VYBER	3600	31922	\N	\N	\N
520294	1776	1998-03-24	VYDAJ	VYBER	3000	35810	\N	\N	\N
520295	1776	1998-04-23	VYDAJ	VYBER	6600	36110	\N	\N	\N
520296	1776	1998-05-23	VYDAJ	VYBER	4900	37619	\N	\N	\N
520297	1776	1998-06-22	VYDAJ	VYBER	6100	44665	\N	\N	\N
520298	1776	1998-07-22	VYDAJ	VYBER	6200	42602	\N	\N	\N
520299	1776	1998-08-21	VYDAJ	VYBER	8200	40737	\N	\N	\N
520300	1776	1998-09-20	VYDAJ	VYBER	5700	41369	\N	\N	\N
520301	1776	1998-10-20	VYDAJ	VYBER	6100	39897	\N	\N	\N
520302	1776	1998-11-19	VYDAJ	VYBER	5400	40820	\N	\N	\N
520303	1776	1998-12-19	VYDAJ	VYBER	8600	42179	\N	\N	\N
520321	1777	1996-10-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
520332	1777	1996-11-07	PRIJEM	VKLAD	22224	23224	\N	\N	\N
520333	1777	1996-12-07	PRIJEM	VKLAD	33336	59139	\N	\N	\N
520334	1777	1997-01-07	PRIJEM	VKLAD	22224	67630	\N	\N	\N
520335	1777	1997-02-07	PRIJEM	VKLAD	22224	69850	\N	\N	\N
520336	1777	1997-03-07	PRIJEM	VKLAD	22224	71276	\N	\N	\N
520337	1777	1997-04-07	PRIJEM	VKLAD	22224	69175	\N	\N	\N
520338	1777	1997-05-07	PRIJEM	VKLAD	22224	68667	\N	\N	\N
520339	1777	1997-06-07	PRIJEM	VKLAD	33336	74963	\N	\N	\N
520340	1777	1997-07-07	PRIJEM	VKLAD	22224	50396	\N	\N	\N
520341	1777	1997-08-07	PRIJEM	VKLAD	22224	60450	\N	\N	\N
520342	1777	1997-09-07	PRIJEM	VKLAD	22224	70168	\N	\N	\N
520343	1777	1997-10-07	PRIJEM	VKLAD	22224	74329	\N	\N	\N
520344	1777	1997-11-07	PRIJEM	VKLAD	22224	78313	\N	\N	\N
520345	1777	1997-12-07	PRIJEM	VKLAD	33336	88225	\N	\N	\N
520346	1777	1998-01-07	PRIJEM	VKLAD	22224	82657	\N	\N	\N
520347	1777	1998-02-07	PRIJEM	VKLAD	22224	74967	\N	\N	\N
520348	1777	1998-03-07	PRIJEM	VKLAD	22224	74249	\N	\N	\N
520349	1777	1998-04-07	PRIJEM	VKLAD	22224	73038	\N	\N	\N
520350	1777	1998-05-07	PRIJEM	VKLAD	22224	66522	\N	\N	\N
520351	1777	1998-06-07	PRIJEM	VKLAD	33336	75795	\N	\N	\N
520352	1777	1998-07-07	PRIJEM	VKLAD	22224	57757	\N	\N	\N
520353	1777	1998-08-07	PRIJEM	VKLAD	22224	55660	\N	\N	\N
520354	1777	1998-09-07	PRIJEM	VKLAD	22224	58765	\N	\N	\N
520355	1777	1998-10-07	PRIJEM	VKLAD	22224	62067	\N	\N	\N
520356	1777	1998-11-07	PRIJEM	VKLAD	22224	67986	\N	\N	\N
520357	1777	1998-12-07	PRIJEM	VKLAD	33336	82039	\N	\N	\N
520372	1777	1997-03-07	VYDAJ	PREVOD NA UCET	1240	70036	SIPO	YZ	22132706
520373	1777	1997-04-07	VYDAJ	PREVOD NA UCET	1240	67935	SIPO	YZ	22132706
520374	1777	1997-05-07	VYDAJ	PREVOD NA UCET	1240	67427	SIPO	YZ	22132706
520375	1777	1997-06-07	VYDAJ	PREVOD NA UCET	1240	73723	SIPO	YZ	22132706
520376	1777	1997-07-07	VYDAJ	PREVOD NA UCET	1240	43056	SIPO	YZ	22132706
520377	1777	1997-08-07	VYDAJ	PREVOD NA UCET	1240	59210	SIPO	YZ	22132706
520378	1777	1997-09-07	VYDAJ	PREVOD NA UCET	1240	68928	SIPO	YZ	22132706
520379	1777	1997-10-07	VYDAJ	PREVOD NA UCET	1240	73089	SIPO	YZ	22132706
520380	1777	1997-11-07	VYDAJ	PREVOD NA UCET	1240	77073	SIPO	YZ	22132706
520381	1777	1997-12-07	VYDAJ	PREVOD NA UCET	1240	86985	SIPO	YZ	22132706
520382	1777	1998-01-07	VYDAJ	PREVOD NA UCET	1240	81417	SIPO	YZ	22132706
520383	1777	1998-02-07	VYDAJ	PREVOD NA UCET	1240	73727	SIPO	YZ	22132706
520384	1777	1998-03-07	VYDAJ	PREVOD NA UCET	1240	73009	SIPO	YZ	22132706
520385	1777	1998-04-07	VYDAJ	PREVOD NA UCET	1240	71798	SIPO	YZ	22132706
520386	1777	1998-05-07	VYDAJ	PREVOD NA UCET	1240	65282	SIPO	YZ	22132706
520387	1777	1998-06-07	VYDAJ	PREVOD NA UCET	1240	74555	SIPO	YZ	22132706
520388	1777	1998-07-07	VYDAJ	PREVOD NA UCET	1240	52417	SIPO	YZ	22132706
520389	1777	1998-08-07	VYDAJ	PREVOD NA UCET	1240	54420	SIPO	YZ	22132706
520390	1777	1998-09-07	VYDAJ	PREVOD NA UCET	1240	57525	SIPO	YZ	22132706
520391	1777	1998-10-07	VYDAJ	PREVOD NA UCET	1240	60827	SIPO	YZ	22132706
520392	1777	1998-11-07	VYDAJ	PREVOD NA UCET	1240	66746	SIPO	YZ	22132706
520393	1777	1998-12-07	VYDAJ	PREVOD NA UCET	1240	80799	SIPO	YZ	22132706
520408	1777	1997-03-10	VYDAJ	PREVOD NA UCET	1418	48418	 	AB	64771890
520409	1777	1997-04-10	VYDAJ	PREVOD NA UCET	1418	47917	 	AB	64771890
520410	1777	1997-05-10	VYDAJ	PREVOD NA UCET	1418	45509	 	AB	64771890
520411	1777	1997-06-10	VYDAJ	PREVOD NA UCET	1418	51105	 	AB	64771890
520412	1777	1997-07-10	VYDAJ	PREVOD NA UCET	1418	41638	 	AB	64771890
520413	1777	1997-08-10	VYDAJ	PREVOD NA UCET	1418	57792	 	AB	64771890
520414	1777	1997-09-10	VYDAJ	PREVOD NA UCET	1418	67510	 	AB	64771890
520415	1777	1997-10-10	VYDAJ	PREVOD NA UCET	1418	71671	 	AB	64771890
520416	1777	1997-11-10	VYDAJ	PREVOD NA UCET	1418	75655	 	AB	64771890
520417	1777	1997-12-10	VYDAJ	PREVOD NA UCET	1418	85567	 	AB	64771890
520418	1777	1998-01-10	VYDAJ	PREVOD NA UCET	1418	79999	 	AB	64771890
520419	1777	1998-02-10	VYDAJ	PREVOD NA UCET	1418	72309	 	AB	64771890
520420	1777	1998-03-10	VYDAJ	PREVOD NA UCET	1418	71591	 	AB	64771890
520421	1777	1998-04-10	VYDAJ	PREVOD NA UCET	1418	70380	 	AB	64771890
520422	1777	1998-05-10	VYDAJ	PREVOD NA UCET	1418	63864	 	AB	64771890
520423	1777	1998-06-10	VYDAJ	PREVOD NA UCET	1418	73137	 	AB	64771890
520424	1777	1998-07-10	VYDAJ	PREVOD NA UCET	1418	50999	 	AB	64771890
520425	1777	1998-08-10	VYDAJ	PREVOD NA UCET	1418	53002	 	AB	64771890
520426	1777	1998-09-10	VYDAJ	PREVOD NA UCET	1418	56107	 	AB	64771890
520427	1777	1998-10-10	VYDAJ	PREVOD NA UCET	1418	59409	 	AB	64771890
520428	1777	1998-11-10	VYDAJ	PREVOD NA UCET	1418	65328	 	AB	64771890
520429	1777	1998-12-10	VYDAJ	PREVOD NA UCET	1418	79381	 	AB	64771890
520444	1777	1997-03-12	VYDAJ	PREVOD NA UCET	1657	46761	POJISTNE	AB	96171360
520445	1777	1997-04-12	VYDAJ	PREVOD NA UCET	1657	46260	POJISTNE	AB	96171360
520446	1777	1997-05-12	VYDAJ	PREVOD NA UCET	1657	43852	POJISTNE	AB	96171360
520447	1777	1997-06-12	VYDAJ	PREVOD NA UCET	1657	28048	POJISTNE	AB	96171360
520448	1777	1997-07-12	VYDAJ	PREVOD NA UCET	1657	39981	POJISTNE	AB	96171360
520449	1777	1997-08-12	VYDAJ	PREVOD NA UCET	1657	56135	POJISTNE	AB	96171360
520450	1777	1997-09-12	VYDAJ	PREVOD NA UCET	1657	65853	POJISTNE	AB	96171360
520451	1777	1997-10-12	VYDAJ	PREVOD NA UCET	1657	70014	POJISTNE	AB	96171360
520452	1777	1997-11-12	VYDAJ	PREVOD NA UCET	1657	73998	POJISTNE	AB	96171360
520453	1777	1997-12-12	VYDAJ	PREVOD NA UCET	1657	83910	POJISTNE	AB	96171360
520454	1777	1998-01-12	VYDAJ	PREVOD NA UCET	1657	78342	POJISTNE	AB	96171360
520455	1777	1998-02-12	VYDAJ	PREVOD NA UCET	1657	70652	POJISTNE	AB	96171360
520456	1777	1998-03-12	VYDAJ	PREVOD NA UCET	1657	69934	POJISTNE	AB	96171360
520457	1777	1998-04-12	VYDAJ	PREVOD NA UCET	1657	68723	POJISTNE	AB	96171360
520458	1777	1998-05-12	VYDAJ	PREVOD NA UCET	1657	62207	POJISTNE	AB	96171360
520459	1777	1998-06-12	VYDAJ	PREVOD NA UCET	1657	71480	POJISTNE	AB	96171360
520460	1777	1998-07-12	VYDAJ	PREVOD NA UCET	1657	49342	POJISTNE	AB	96171360
520461	1777	1998-08-12	VYDAJ	PREVOD NA UCET	1657	51345	POJISTNE	AB	96171360
520462	1777	1998-09-12	VYDAJ	PREVOD NA UCET	1657	54450	POJISTNE	AB	96171360
520463	1777	1998-10-12	VYDAJ	PREVOD NA UCET	1657	57752	POJISTNE	AB	96171360
520464	1777	1998-11-12	VYDAJ	PREVOD NA UCET	1657	63671	POJISTNE	AB	96171360
520465	1777	1998-12-12	VYDAJ	PREVOD NA UCET	1657	77724	POJISTNE	AB	96171360
520467	1777	1997-06-10	VYDAJ	VYBER	21400	29705	\N	\N	\N
520468	1777	1998-06-24	VYDAJ	VYBER	14000	53080	\N	\N	\N
520471	1777	1998-01-30	VYDAJ	VYBER	7300	61442	\N	\N	\N
520473	1777	1997-12-28	VYDAJ	VYBER	2500	77510	\N	\N	\N
520474	1777	1998-12-15	VYDAJ	VYBER KARTOU	1000	76724	\N	\N	0
520487	1777	1998-01-25	VYDAJ	VYBER	2900	73042	\N	\N	\N
520488	1777	1998-01-27	VYDAJ	VYBER	2400	70142	\N	\N	\N
520489	1777	1998-01-13	VYDAJ	VYBER	700	77642	\N	\N	\N
520490	1777	1998-01-14	VYDAJ	VYBER	1700	75942	\N	\N	\N
520491	1777	1998-01-29	VYDAJ	VYBER	1400	68742	\N	\N	\N
520492	1777	1998-01-25	VYDAJ	VYBER	500	72542	\N	\N	\N
520497	1777	1997-12-23	VYDAJ	VYBER	3900	80010	\N	\N	\N
520498	1777	1997-10-29	VYDAJ	VYBER	1900	68114	\N	\N	\N
520500	1777	1997-09-01	VYDAJ	VYBER	3300	53044	\N	\N	\N
520501	1777	1997-05-12	VYDAJ	VYBER	2400	41452	\N	\N	\N
520502	1777	1998-07-24	VYDAJ	VYBER	2000	47342	\N	\N	\N
520503	1777	1998-06-14	VYDAJ	VYBER	4400	67080	\N	\N	\N
520504	1777	1998-09-20	VYDAJ	VYBER	2400	52050	\N	\N	\N
520505	1777	1998-07-07	VYDAJ	VYBER	4100	53657	\N	\N	\N
520506	1777	1998-11-17	VYDAJ	VYBER KARTOU	800	62871	\N	\N	0
520522	1777	1997-03-31	VYDAJ	VYBER	15	46951	SLUZBY	\N	\N
520523	1777	1997-04-30	VYDAJ	VYBER	15	46443	SLUZBY	\N	\N
520524	1777	1997-05-31	VYDAJ	VYBER	15	41627	SLUZBY	\N	\N
520525	1777	1997-06-30	VYDAJ	VYBER	15	28172	SLUZBY	\N	\N
520526	1777	1997-07-31	VYDAJ	VYBER	15	40126	SLUZBY	\N	\N
520527	1777	1997-08-31	VYDAJ	VYBER	15	56344	SLUZBY	\N	\N
520528	1777	1997-09-30	VYDAJ	VYBER	15	66105	SLUZBY	\N	\N
520529	1777	1997-10-31	VYDAJ	VYBER	15	68389	SLUZBY	\N	\N
520530	1777	1997-11-30	VYDAJ	VYBER	15	74289	SLUZBY	\N	\N
520531	1777	1997-12-31	VYDAJ	VYBER	15	77833	SLUZBY	\N	\N
520532	1777	1998-01-31	VYDAJ	VYBER	15	61743	SLUZBY	\N	\N
520533	1777	1998-02-28	VYDAJ	VYBER	15	70925	SLUZBY	\N	\N
520534	1777	1998-03-31	VYDAJ	VYBER	15	70214	SLUZBY	\N	\N
520535	1777	1998-04-30	VYDAJ	VYBER	15	68998	SLUZBY	\N	\N
520536	1777	1998-05-31	VYDAJ	VYBER	15	62459	SLUZBY	\N	\N
520537	1777	1998-06-30	VYDAJ	VYBER	15	53333	SLUZBY	\N	\N
520538	1777	1998-07-31	VYDAJ	VYBER	15	47536	SLUZBY	\N	\N
520539	1777	1998-08-31	VYDAJ	VYBER	15	36541	SLUZBY	\N	\N
520540	1777	1998-09-30	VYDAJ	VYBER	15	52243	SLUZBY	\N	\N
520541	1777	1998-10-31	VYDAJ	VYBER	15	45762	SLUZBY	\N	\N
520542	1777	1998-11-30	VYDAJ	VYBER	15	48703	SLUZBY	\N	\N
520543	1777	1996-11-09	PRIJEM	VKLAD	2500	25724	\N	\N	\N
520544	1777	1996-12-09	VYDAJ	VYBER	13900	45239	\N	\N	\N
520545	1777	1997-01-08	VYDAJ	VYBER	20200	47430	\N	\N	\N
520546	1777	1997-02-07	VYDAJ	VYBER	21000	48850	\N	\N	\N
520547	1777	1997-03-09	VYDAJ	VYBER	20200	49836	\N	\N	\N
520548	1777	1997-04-08	VYDAJ	VYBER	18600	49335	\N	\N	\N
520549	1777	1997-05-08	VYDAJ	VYBER	20500	46927	\N	\N	\N
520550	1777	1997-06-07	VYDAJ	VYBER	21200	52523	\N	\N	\N
520551	1777	1997-07-07	VYDAJ	VYBER	6100	44296	\N	\N	\N
520552	1777	1997-08-06	VYDAJ	VYBER	1900	38226	\N	\N	\N
520553	1777	1997-09-05	VYDAJ	VYBER	5100	47944	\N	\N	\N
520554	1777	1997-10-05	VYDAJ	VYBER	14000	52105	\N	\N	\N
520555	1777	1997-11-04	VYDAJ	VYBER	12300	56089	\N	\N	\N
520556	1777	1997-12-04	VYDAJ	VYBER	19400	54889	\N	\N	\N
520557	1777	1998-01-03	VYDAJ	VYBER	17400	60433	\N	\N	\N
520558	1777	1998-02-02	VYDAJ	VYBER	9000	52743	\N	\N	\N
520559	1777	1998-03-04	VYDAJ	VYBER	18900	52025	\N	\N	\N
520560	1777	1998-04-03	VYDAJ	VYBER	19400	50814	\N	\N	\N
520561	1777	1998-05-03	VYDAJ	VYBER	24700	44298	\N	\N	\N
520562	1777	1998-06-02	VYDAJ	VYBER	20000	42459	\N	\N	\N
520563	1777	1998-07-02	VYDAJ	VYBER	17800	35533	\N	\N	\N
520564	1777	1998-08-01	VYDAJ	VYBER	14100	33436	\N	\N	\N
520565	1777	1998-08-31	VYDAJ	VYBER	15000	36555	\N	\N	\N
520566	1777	1998-09-30	VYDAJ	VYBER	12400	39843	\N	\N	\N
520567	1777	1998-10-30	VYDAJ	VYBER	12200	45552	\N	\N	\N
520568	1777	1998-11-29	VYDAJ	VYBER	14400	48471	\N	\N	\N
520595	1778	1995-02-25	PRIJEM	VKLAD	900	900	\N	\N	\N
520598	1778	1995-03-10	PRIJEM	VKLAD	15642	16542	\N	\N	\N
520599	1778	1995-04-10	PRIJEM	VKLAD	15642	34797	\N	\N	\N
520600	1778	1995-05-10	PRIJEM	VKLAD	15642	46026	\N	\N	\N
520601	1778	1995-06-10	PRIJEM	VKLAD	23463	56518	\N	\N	\N
520602	1778	1995-07-10	PRIJEM	VKLAD	15642	57304	\N	\N	\N
520603	1778	1995-08-10	PRIJEM	VKLAD	15642	47551	\N	\N	\N
520604	1778	1995-09-10	PRIJEM	VKLAD	15642	46360	\N	\N	\N
520605	1778	1995-10-10	PRIJEM	VKLAD	15642	49523	\N	\N	\N
520606	1778	1995-11-10	PRIJEM	VKLAD	15642	51598	\N	\N	\N
520607	1778	1995-12-10	PRIJEM	VKLAD	23463	55927	\N	\N	\N
520608	1778	1996-01-10	PRIJEM	VKLAD	15642	48288	\N	\N	\N
520609	1778	1996-02-10	PRIJEM	VKLAD	15642	42321	\N	\N	\N
520610	1778	1996-03-10	PRIJEM	VKLAD	15642	41626	\N	\N	\N
520611	1778	1996-04-10	PRIJEM	VKLAD	15642	44951	\N	\N	\N
520612	1778	1996-05-10	PRIJEM	VKLAD	15642	49006	\N	\N	\N
520613	1778	1996-06-10	PRIJEM	VKLAD	23463	42668	\N	\N	\N
520614	1778	1996-07-10	PRIJEM	VKLAD	15642	46615	\N	\N	\N
520615	1778	1996-08-10	PRIJEM	VKLAD	15642	48672	\N	\N	\N
520616	1778	1996-09-10	PRIJEM	VKLAD	15642	49033	\N	\N	\N
520617	1778	1996-10-10	PRIJEM	VKLAD	15642	50396	\N	\N	\N
520618	1778	1996-11-10	PRIJEM	VKLAD	15642	52465	\N	\N	\N
520619	1778	1996-12-10	PRIJEM	VKLAD	23463	60659	\N	\N	\N
520620	1778	1997-01-10	PRIJEM	VKLAD	15642	53369	\N	\N	\N
520621	1778	1997-02-10	PRIJEM	VKLAD	15642	45362	\N	\N	\N
520622	1778	1997-03-10	PRIJEM	VKLAD	15642	49302	\N	\N	\N
520623	1778	1997-04-10	PRIJEM	VKLAD	15642	53955	\N	\N	\N
520624	1778	1997-05-10	PRIJEM	VKLAD	15642	58141	\N	\N	\N
520625	1778	1997-06-10	PRIJEM	VKLAD	23463	52958	\N	\N	\N
520626	1778	1997-07-10	PRIJEM	VKLAD	15642	55136	\N	\N	\N
520627	1778	1997-08-10	PRIJEM	VKLAD	15642	55157	\N	\N	\N
520628	1778	1997-09-10	PRIJEM	VKLAD	15642	59848	\N	\N	\N
520629	1778	1997-10-10	PRIJEM	VKLAD	15642	54560	\N	\N	\N
520630	1778	1997-11-10	PRIJEM	VKLAD	15642	56743	\N	\N	\N
520631	1778	1997-12-10	PRIJEM	VKLAD	23463	66450	\N	\N	\N
520632	1778	1998-01-10	PRIJEM	VKLAD	15642	62600	\N	\N	\N
520633	1778	1998-02-10	PRIJEM	VKLAD	15642	53045	\N	\N	\N
520634	1778	1998-03-10	PRIJEM	VKLAD	15642	65429	\N	\N	\N
520635	1778	1998-04-10	PRIJEM	VKLAD	15642	63103	\N	\N	\N
520636	1778	1998-05-10	PRIJEM	VKLAD	15642	67443	\N	\N	\N
520637	1778	1998-06-10	PRIJEM	VKLAD	23463	71395	\N	\N	\N
520638	1778	1998-07-10	PRIJEM	VKLAD	15642	54976	\N	\N	\N
520639	1778	1998-08-10	PRIJEM	VKLAD	15642	58788	\N	\N	\N
520640	1778	1998-09-10	PRIJEM	VKLAD	15642	58614	\N	\N	\N
520641	1778	1998-10-10	PRIJEM	VKLAD	15642	62744	\N	\N	\N
520642	1778	1998-11-10	PRIJEM	VKLAD	15642	66881	\N	\N	\N
520643	1778	1998-12-10	PRIJEM	VKLAD	23463	74359	\N	\N	\N
520651	1778	1995-08-08	VYDAJ	PREVOD NA UCET	3432	31909	SIPO	YZ	55264913
520652	1778	1995-09-08	VYDAJ	PREVOD NA UCET	3432	30718	SIPO	YZ	55264913
520653	1778	1995-10-08	VYDAJ	PREVOD NA UCET	3432	33881	SIPO	YZ	55264913
520654	1778	1995-11-08	VYDAJ	PREVOD NA UCET	3432	35956	SIPO	YZ	55264913
520655	1778	1995-12-08	VYDAJ	PREVOD NA UCET	3432	32464	SIPO	YZ	55264913
520656	1778	1996-01-08	VYDAJ	PREVOD NA UCET	3432	32646	SIPO	YZ	55264913
520657	1778	1996-02-08	VYDAJ	PREVOD NA UCET	3432	26679	SIPO	YZ	55264913
520658	1778	1996-03-08	VYDAJ	PREVOD NA UCET	3432	25984	SIPO	YZ	55264913
520659	1778	1996-04-08	VYDAJ	PREVOD NA UCET	3432	29309	SIPO	YZ	55264913
520660	1778	1996-05-08	VYDAJ	PREVOD NA UCET	3432	33364	SIPO	YZ	55264913
520661	1778	1996-06-08	VYDAJ	PREVOD NA UCET	3432	31525	SIPO	YZ	55264913
520662	1778	1996-07-08	VYDAJ	PREVOD NA UCET	3432	30973	SIPO	YZ	55264913
520663	1778	1996-08-08	VYDAJ	PREVOD NA UCET	3432	33030	SIPO	YZ	55264913
520664	1778	1996-09-08	VYDAJ	PREVOD NA UCET	3432	33391	SIPO	YZ	55264913
520665	1778	1996-10-08	VYDAJ	PREVOD NA UCET	3432	34754	SIPO	YZ	55264913
520666	1778	1996-11-08	VYDAJ	PREVOD NA UCET	3432	36823	SIPO	YZ	55264913
520667	1778	1996-12-08	VYDAJ	PREVOD NA UCET	3432	37196	SIPO	YZ	55264913
520668	1778	1997-01-08	VYDAJ	PREVOD NA UCET	3432	37727	SIPO	YZ	55264913
520669	1778	1997-02-08	VYDAJ	PREVOD NA UCET	3432	29720	SIPO	YZ	55264913
520670	1778	1997-03-08	VYDAJ	PREVOD NA UCET	3432	33660	SIPO	YZ	55264913
520671	1778	1997-04-08	VYDAJ	PREVOD NA UCET	3432	38313	SIPO	YZ	55264913
520672	1778	1997-05-08	VYDAJ	PREVOD NA UCET	3432	42499	SIPO	YZ	55264913
520673	1778	1997-06-08	VYDAJ	PREVOD NA UCET	3432	29495	SIPO	YZ	55264913
520674	1778	1997-07-08	VYDAJ	PREVOD NA UCET	3432	39494	SIPO	YZ	55264913
520675	1778	1997-08-08	VYDAJ	PREVOD NA UCET	3432	39515	SIPO	YZ	55264913
520676	1778	1997-09-08	VYDAJ	PREVOD NA UCET	3432	44206	SIPO	YZ	55264913
520677	1778	1997-10-08	VYDAJ	PREVOD NA UCET	3432	38918	SIPO	YZ	55264913
520678	1778	1997-11-08	VYDAJ	PREVOD NA UCET	3432	41101	SIPO	YZ	55264913
520679	1778	1997-12-08	VYDAJ	PREVOD NA UCET	3432	42987	SIPO	YZ	55264913
520680	1778	1998-01-08	VYDAJ	PREVOD NA UCET	3432	49238	SIPO	YZ	55264913
520681	1778	1998-02-08	VYDAJ	PREVOD NA UCET	3432	25903	SIPO	YZ	55264913
520682	1778	1998-03-08	VYDAJ	PREVOD NA UCET	3432	49787	SIPO	YZ	55264913
520683	1778	1998-04-08	VYDAJ	PREVOD NA UCET	3432	47461	SIPO	YZ	55264913
520684	1778	1998-05-08	VYDAJ	PREVOD NA UCET	3432	51801	SIPO	YZ	55264913
520685	1778	1998-06-08	VYDAJ	PREVOD NA UCET	3432	54432	SIPO	YZ	55264913
520686	1778	1998-07-08	VYDAJ	PREVOD NA UCET	3432	43834	SIPO	YZ	55264913
520687	1778	1998-08-08	VYDAJ	PREVOD NA UCET	3432	43146	SIPO	YZ	55264913
520688	1778	1998-09-08	VYDAJ	PREVOD NA UCET	3432	42972	SIPO	YZ	55264913
520689	1778	1998-10-08	VYDAJ	PREVOD NA UCET	3432	47102	SIPO	YZ	55264913
520690	1778	1998-11-08	VYDAJ	PREVOD NA UCET	3432	51239	SIPO	YZ	55264913
520691	1778	1998-12-08	VYDAJ	PREVOD NA UCET	3432	50896	SIPO	YZ	55264913
520693	1778	1996-06-09	VYDAJ	VYBER	12320	19205	\N	\N	\N
520694	1778	1997-06-03	VYDAJ	VYBER	13600	32927	\N	\N	\N
520695	1778	1998-06-10	VYDAJ	VYBER	24320	47075	\N	\N	\N
520697	1778	1996-01-27	VYDAJ	VYBER	3680	29968	\N	\N	\N
520698	1778	1997-01-15	VYDAJ	VYBER	9120	44249	\N	\N	\N
520699	1778	1998-01-13	VYDAJ	VYBER	9600	37180	\N	\N	\N
520700	1778	1995-12-20	VYDAJ	VYBER	800	55127	\N	\N	\N
520701	1778	1996-12-20	VYDAJ	VYBER	2080	44579	\N	\N	\N
520702	1778	1997-12-30	VYDAJ	VYBER	1280	52470	\N	\N	\N
520703	1778	1998-12-01	VYDAJ	VYBER KARTOU	1900	65228	\N	\N	0
520710	1778	1996-01-06	VYDAJ	VYBER	1320	36078	\N	\N	\N
520711	1778	1996-01-18	VYDAJ	VYBER	1560	39048	\N	\N	\N
520712	1778	1996-01-04	VYDAJ	VYBER	1800	37398	\N	\N	\N
520713	1778	1996-01-16	VYDAJ	VYBER	2040	43608	\N	\N	\N
520714	1778	1996-01-11	VYDAJ	VYBER	2640	45648	\N	\N	\N
520715	1778	1996-01-18	VYDAJ	VYBER	3000	40608	\N	\N	\N
520716	1778	1997-01-26	VYDAJ	VYBER	2160	34069	\N	\N	\N
520717	1778	1997-01-24	VYDAJ	VYBER	2400	38749	\N	\N	\N
520718	1778	1997-01-25	VYDAJ	VYBER	2520	36229	\N	\N	\N
520719	1778	1997-01-27	VYDAJ	VYBER	1080	32989	\N	\N	\N
520720	1778	1997-01-07	VYDAJ	VYBER	840	41159	\N	\N	\N
520721	1778	1997-01-04	VYDAJ	VYBER	2760	41999	\N	\N	\N
520722	1778	1998-01-12	VYDAJ	VYBER	3480	49540	\N	\N	\N
520723	1778	1998-01-23	VYDAJ	VYBER	1920	34660	\N	\N	\N
520724	1778	1998-01-24	VYDAJ	VYBER	2880	31780	\N	\N	\N
520725	1778	1998-01-10	VYDAJ	VYBER	2880	59720	\N	\N	\N
520726	1778	1998-01-12	VYDAJ	VYBER	2760	46780	\N	\N	\N
520727	1778	1998-01-21	VYDAJ	VYBER	600	36580	\N	\N	\N
520728	1778	1995-08-04	VYDAJ	VYBER	4320	35341	\N	\N	\N
520729	1778	1995-11-13	VYDAJ	VYBER	5760	45838	\N	\N	\N
520731	1778	1995-08-31	VYDAJ	VYBER	2160	34165	\N	\N	\N
520733	1778	1996-03-22	VYDAJ	VYBER	1920	32606	\N	\N	\N
520734	1778	1996-10-15	VYDAJ	VYBER	1200	49196	\N	\N	\N
520735	1778	1996-03-05	VYDAJ	VYBER	5640	29416	\N	\N	\N
520736	1778	1996-08-20	VYDAJ	VYBER	1200	36672	\N	\N	\N
520737	1778	1997-02-17	VYDAJ	VYBER	2640	41622	\N	\N	\N
520738	1778	1997-03-19	VYDAJ	VYBER	2520	41582	\N	\N	\N
520739	1778	1997-08-30	VYDAJ	VYBER	600	47457	\N	\N	\N
520740	1778	1997-07-16	VYDAJ	VYBER	4560	42776	\N	\N	\N
520741	1778	1997-10-04	VYDAJ	VYBER	4080	42350	\N	\N	\N
520742	1778	1997-03-05	VYDAJ	VYBER	4680	37092	\N	\N	\N
520743	1778	1998-10-21	VYDAJ	VYBER	5400	56344	\N	\N	\N
520744	1778	1998-01-28	VYDAJ	VYBER KARTOU	2600	29180	\N	\N	0
520745	1778	1998-03-18	VYDAJ	VYBER	4440	50689	\N	\N	\N
520746	1778	1998-08-23	VYDAJ	VYBER	4200	54588	\N	\N	\N
520747	1778	1998-10-10	VYDAJ	VYBER KARTOU	1000	61744	\N	\N	0
520748	1778	1998-01-08	VYDAJ	VYBER	2280	46958	\N	\N	\N
520756	1778	1995-07-31	VYDAJ	VYBER	15	39661	SLUZBY	\N	\N
520757	1778	1995-08-31	VYDAJ	VYBER	15	34150	SLUZBY	\N	\N
520758	1778	1995-09-30	VYDAJ	VYBER	15	37313	SLUZBY	\N	\N
520759	1778	1995-10-31	VYDAJ	VYBER	15	39388	SLUZBY	\N	\N
520760	1778	1995-11-30	VYDAJ	VYBER	15	35896	SLUZBY	\N	\N
520761	1778	1995-12-31	VYDAJ	VYBER	15	39198	SLUZBY	\N	\N
520762	1778	1996-01-31	VYDAJ	VYBER	15	30111	SLUZBY	\N	\N
520763	1778	1996-02-29	VYDAJ	VYBER	15	35056	SLUZBY	\N	\N
520764	1778	1996-03-31	VYDAJ	VYBER	15	32741	SLUZBY	\N	\N
520765	1778	1996-04-30	VYDAJ	VYBER	15	36796	SLUZBY	\N	\N
520766	1778	1996-05-31	VYDAJ	VYBER	15	34957	SLUZBY	\N	\N
520767	1778	1996-06-30	VYDAJ	VYBER	15	34405	SLUZBY	\N	\N
520768	1778	1996-07-31	VYDAJ	VYBER	15	36462	SLUZBY	\N	\N
520769	1778	1996-08-31	VYDAJ	VYBER	15	36823	SLUZBY	\N	\N
520770	1778	1996-09-30	VYDAJ	VYBER	15	38186	SLUZBY	\N	\N
520771	1778	1996-10-31	VYDAJ	VYBER	15	40255	SLUZBY	\N	\N
520772	1778	1996-11-30	VYDAJ	VYBER	15	40628	SLUZBY	\N	\N
520773	1778	1996-12-31	VYDAJ	VYBER	15	44759	SLUZBY	\N	\N
520774	1778	1997-01-31	VYDAJ	VYBER	15	33152	SLUZBY	\N	\N
520775	1778	1997-02-28	VYDAJ	VYBER	15	41772	SLUZBY	\N	\N
520776	1778	1997-03-31	VYDAJ	VYBER	15	41745	SLUZBY	\N	\N
520777	1778	1997-04-30	VYDAJ	VYBER	15	45931	SLUZBY	\N	\N
520778	1778	1997-05-31	VYDAJ	VYBER	15	46527	SLUZBY	\N	\N
520779	1778	1997-06-30	VYDAJ	VYBER	15	42926	SLUZBY	\N	\N
520780	1778	1997-07-31	VYDAJ	VYBER	15	42947	SLUZBY	\N	\N
520781	1778	1997-08-31	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
520782	1778	1997-09-30	VYDAJ	VYBER	15	46430	SLUZBY	\N	\N
520783	1778	1997-10-31	VYDAJ	VYBER	15	44533	SLUZBY	\N	\N
520784	1778	1997-11-30	VYDAJ	VYBER	15	46419	SLUZBY	\N	\N
520785	1778	1997-12-31	VYDAJ	VYBER	15	52670	SLUZBY	\N	\N
520786	1778	1998-01-31	VYDAJ	VYBER	15	29335	SLUZBY	\N	\N
520787	1778	1998-02-28	VYDAJ	VYBER	15	53219	SLUZBY	\N	\N
520788	1778	1998-03-31	VYDAJ	VYBER	15	50893	SLUZBY	\N	\N
520789	1778	1998-04-30	VYDAJ	VYBER	15	55233	SLUZBY	\N	\N
520790	1778	1998-05-31	VYDAJ	VYBER	15	57864	SLUZBY	\N	\N
520791	1778	1998-06-30	VYDAJ	VYBER	15	47266	SLUZBY	\N	\N
520792	1778	1998-07-31	VYDAJ	VYBER	15	55178	SLUZBY	\N	\N
520793	1778	1998-08-31	VYDAJ	VYBER	15	54804	SLUZBY	\N	\N
520794	1778	1998-09-30	VYDAJ	VYBER	15	58834	SLUZBY	\N	\N
520795	1778	1998-10-31	VYDAJ	VYBER	15	56571	SLUZBY	\N	\N
520796	1778	1998-11-30	VYDAJ	VYBER	15	67128	SLUZBY	\N	\N
520797	1778	1995-03-27	PRIJEM	VKLAD	2600	19142	\N	\N	\N
520798	1778	1995-04-26	VYDAJ	VYBER	4500	30297	\N	\N	\N
520799	1778	1995-05-26	VYDAJ	VYBER	13100	32926	\N	\N	\N
520800	1778	1995-06-25	VYDAJ	VYBER	15000	41518	\N	\N	\N
520801	1778	1995-07-25	VYDAJ	VYBER	17800	39504	\N	\N	\N
520802	1778	1995-08-24	VYDAJ	VYBER	11400	36151	\N	\N	\N
520803	1778	1995-09-23	VYDAJ	VYBER	9200	37160	\N	\N	\N
520804	1778	1995-10-23	VYDAJ	VYBER	10300	39223	\N	\N	\N
520805	1778	1995-11-22	VYDAJ	VYBER	10100	35738	\N	\N	\N
520806	1778	1995-12-22	VYDAJ	VYBER	16100	39027	\N	\N	\N
520807	1778	1996-01-21	VYDAJ	VYBER	5400	33648	\N	\N	\N
520808	1778	1996-02-20	VYDAJ	VYBER	7400	34921	\N	\N	\N
520809	1778	1996-03-21	VYDAJ	VYBER	7100	34526	\N	\N	\N
520810	1778	1996-04-20	VYDAJ	VYBER	8300	36651	\N	\N	\N
520811	1778	1996-05-20	VYDAJ	VYBER	14200	34806	\N	\N	\N
520812	1778	1996-06-19	VYDAJ	VYBER	8400	34268	\N	\N	\N
520813	1778	1996-07-19	VYDAJ	VYBER	10300	36315	\N	\N	\N
520814	1778	1996-08-18	VYDAJ	VYBER	10800	37872	\N	\N	\N
520815	1778	1996-09-17	VYDAJ	VYBER	11000	38033	\N	\N	\N
520816	1778	1996-10-17	VYDAJ	VYBER	9100	40096	\N	\N	\N
520817	1778	1996-11-16	VYDAJ	VYBER	12000	40465	\N	\N	\N
520818	1778	1996-12-16	VYDAJ	VYBER	14000	46659	\N	\N	\N
520819	1778	1997-01-15	VYDAJ	VYBER	3100	41149	\N	\N	\N
520820	1778	1997-02-14	VYDAJ	VYBER	1100	44262	\N	\N	\N
520821	1778	1997-03-16	VYDAJ	VYBER	5200	44102	\N	\N	\N
520822	1778	1997-04-15	VYDAJ	VYBER	8200	45755	\N	\N	\N
520823	1778	1997-05-15	VYDAJ	VYBER	11800	46341	\N	\N	\N
520824	1778	1997-06-14	VYDAJ	VYBER	10200	42758	\N	\N	\N
520825	1778	1997-07-14	VYDAJ	VYBER	7800	47336	\N	\N	\N
520826	1778	1997-08-13	VYDAJ	VYBER	7100	48057	\N	\N	\N
520827	1778	1997-09-12	VYDAJ	VYBER	13600	46248	\N	\N	\N
520828	1778	1997-10-12	VYDAJ	VYBER	10200	44360	\N	\N	\N
520829	1778	1997-11-11	VYDAJ	VYBER	10500	46243	\N	\N	\N
520830	1778	1997-12-11	VYDAJ	VYBER	12700	53750	\N	\N	\N
520831	1778	1998-01-10	VYDAJ	VYBER	6700	53020	\N	\N	\N
520832	1778	1998-02-09	PRIJEM	VKLAD	11500	37403	\N	\N	\N
520833	1778	1998-03-11	VYDAJ	VYBER	10300	55129	\N	\N	\N
520834	1778	1998-04-10	VYDAJ	VYBER	8100	55003	\N	\N	\N
520835	1778	1998-05-10	VYDAJ	VYBER	9800	57643	\N	\N	\N
520836	1778	1998-06-09	VYDAJ	VYBER	6500	47932	\N	\N	\N
520837	1778	1998-07-09	VYDAJ	VYBER	4500	39334	\N	\N	\N
520838	1778	1998-08-08	VYDAJ	VYBER	8600	46578	\N	\N	\N
520839	1778	1998-09-07	VYDAJ	VYBER	8400	46404	\N	\N	\N
520840	1778	1998-10-07	VYDAJ	VYBER	8300	50534	\N	\N	\N
520841	1778	1998-11-06	VYDAJ	VYBER KARTOU	1900	54671	\N	\N	0
520842	1778	1998-12-06	VYDAJ	VYBER	10900	54328	\N	\N	\N
520889	1779	1993-08-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
520898	1779	1993-09-10	PRIJEM	VKLAD	23825	24825	\N	\N	\N
520899	1779	1993-10-10	PRIJEM	VKLAD	23825	48207	\N	\N	\N
520900	1779	1993-11-10	PRIJEM	VKLAD	23825	60062	\N	\N	\N
520901	1779	1993-12-10	PRIJEM	VKLAD	35738	79068	\N	\N	\N
520902	1779	1994-01-10	PRIJEM	VKLAD	23825	77700	\N	\N	\N
520903	1779	1994-02-10	PRIJEM	VKLAD	23825	54681	\N	\N	\N
520904	1779	1994-03-10	PRIJEM	VKLAD	23825	54429	\N	\N	\N
520905	1779	1994-04-10	PRIJEM	VKLAD	23825	62089	\N	\N	\N
520906	1779	1994-05-10	PRIJEM	VKLAD	23825	66467	\N	\N	\N
520907	1779	1994-06-10	PRIJEM	VKLAD	35738	75584	\N	\N	\N
520908	1779	1994-07-10	PRIJEM	VKLAD	23825	52366	\N	\N	\N
520909	1779	1994-08-10	PRIJEM	VKLAD	23825	60915	\N	\N	\N
520910	1779	1994-09-10	PRIJEM	VKLAD	23825	56583	\N	\N	\N
520911	1779	1994-10-10	PRIJEM	VKLAD	23825	60075	\N	\N	\N
520912	1779	1994-11-10	PRIJEM	VKLAD	23825	68099	\N	\N	\N
520913	1779	1994-12-10	PRIJEM	VKLAD	35738	84366	\N	\N	\N
520914	1779	1995-01-10	PRIJEM	VKLAD	23825	73876	\N	\N	\N
520915	1779	1995-02-10	PRIJEM	VKLAD	23825	69347	\N	\N	\N
520916	1779	1995-03-10	PRIJEM	VKLAD	23825	67479	\N	\N	\N
520917	1779	1995-04-10	PRIJEM	VKLAD	23825	74831	\N	\N	\N
520918	1779	1995-05-10	PRIJEM	VKLAD	23825	77212	\N	\N	\N
520919	1779	1995-06-10	PRIJEM	VKLAD	35738	91221	\N	\N	\N
520920	1779	1995-07-10	PRIJEM	VKLAD	23825	78927	\N	\N	\N
520921	1779	1995-08-10	PRIJEM	VKLAD	23825	82927	\N	\N	\N
520922	1779	1995-09-10	PRIJEM	VKLAD	23825	83343	\N	\N	\N
520923	1779	1995-10-10	PRIJEM	VKLAD	23825	85360	\N	\N	\N
520924	1779	1995-11-10	PRIJEM	VKLAD	23825	82684	\N	\N	\N
520925	1779	1995-12-10	PRIJEM	VKLAD	35738	95915	\N	\N	\N
520926	1779	1996-01-10	PRIJEM	VKLAD	23825	87757	\N	\N	\N
520927	1779	1996-02-10	PRIJEM	VKLAD	23825	80179	\N	\N	\N
520928	1779	1996-03-10	PRIJEM	VKLAD	23825	78780	\N	\N	\N
520929	1779	1996-04-10	PRIJEM	VKLAD	23825	79275	\N	\N	\N
520930	1779	1996-05-10	PRIJEM	VKLAD	23825	83376	\N	\N	\N
520931	1779	1996-06-10	PRIJEM	VKLAD	35738	97406	\N	\N	\N
520932	1779	1996-07-10	PRIJEM	VKLAD	23825	81869	\N	\N	\N
520933	1779	1996-08-10	PRIJEM	VKLAD	23825	86167	\N	\N	\N
520934	1779	1996-09-10	PRIJEM	VKLAD	23825	87576	\N	\N	\N
520935	1779	1996-10-10	PRIJEM	VKLAD	23825	86991	\N	\N	\N
520936	1779	1996-11-10	PRIJEM	VKLAD	23825	91803	\N	\N	\N
520937	1779	1996-12-10	PRIJEM	VKLAD	35738	102043	\N	\N	\N
520938	1779	1997-01-10	PRIJEM	VKLAD	23825	94898	\N	\N	\N
520939	1779	1997-02-10	PRIJEM	VKLAD	23825	91430	\N	\N	\N
520940	1779	1997-03-10	PRIJEM	VKLAD	23825	93856	\N	\N	\N
520941	1779	1997-04-10	PRIJEM	VKLAD	23825	93982	\N	\N	\N
520942	1779	1997-05-10	PRIJEM	VKLAD	23825	96518	\N	\N	\N
520943	1779	1997-06-10	PRIJEM	VKLAD	35738	108475	\N	\N	\N
520944	1779	1997-07-10	PRIJEM	VKLAD	23825	88806	\N	\N	\N
520945	1779	1997-08-10	PRIJEM	VKLAD	23825	91421	\N	\N	\N
520946	1779	1997-09-10	PRIJEM	VKLAD	23825	94146	\N	\N	\N
520947	1779	1997-10-10	PRIJEM	VKLAD	23825	99377	\N	\N	\N
520948	1779	1997-11-10	PRIJEM	VKLAD	23825	103628	\N	\N	\N
520949	1779	1997-12-10	PRIJEM	VKLAD	35738	120309	\N	\N	\N
520950	1779	1998-01-10	PRIJEM	VKLAD	23825	102984	\N	\N	\N
520951	1779	1998-02-10	PRIJEM	VKLAD	23825	106446	\N	\N	\N
520952	1779	1998-03-10	PRIJEM	VKLAD	23825	113025	\N	\N	\N
520953	1779	1998-04-10	PRIJEM	VKLAD	23825	89394	\N	\N	\N
520954	1779	1998-05-10	PRIJEM	VKLAD	23825	106516	\N	\N	\N
520955	1779	1998-06-10	PRIJEM	VKLAD	35738	130716	\N	\N	\N
520956	1779	1998-07-10	PRIJEM	VKLAD	23825	112808	\N	\N	\N
520957	1779	1998-08-10	PRIJEM	VKLAD	23825	117704	\N	\N	\N
520958	1779	1998-09-10	PRIJEM	VKLAD	23825	121319	\N	\N	\N
520959	1779	1998-10-10	PRIJEM	VKLAD	23825	117313	\N	\N	\N
520960	1779	1998-11-10	PRIJEM	VKLAD	23825	104955	\N	\N	\N
520961	1779	1998-12-10	PRIJEM	VKLAD	35738	124937	\N	\N	\N
520974	1779	1994-01-12	VYDAJ	PREVOD NA UCET	3023	72716	SIPO	KL	92837720
520975	1779	1994-02-12	VYDAJ	PREVOD NA UCET	3023	36497	SIPO	KL	92837720
520976	1779	1994-03-12	VYDAJ	PREVOD NA UCET	3023	51345	SIPO	KL	92837720
520977	1779	1994-04-12	VYDAJ	PREVOD NA UCET	3023	43705	SIPO	KL	92837720
520978	1779	1994-05-12	VYDAJ	PREVOD NA UCET	3023	63383	SIPO	KL	92837720
520979	1779	1994-06-12	VYDAJ	PREVOD NA UCET	3023	47000	SIPO	KL	92837720
520980	1779	1994-07-12	VYDAJ	PREVOD NA UCET	3023	38182	SIPO	KL	92837720
520981	1779	1994-08-12	VYDAJ	PREVOD NA UCET	3023	41331	SIPO	KL	92837720
520982	1779	1994-09-12	VYDAJ	PREVOD NA UCET	3023	49899	SIPO	KL	92837720
520983	1779	1994-10-12	VYDAJ	PREVOD NA UCET	3023	56991	SIPO	KL	92837720
520984	1779	1994-11-12	VYDAJ	PREVOD NA UCET	3023	65015	SIPO	KL	92837720
520985	1779	1994-12-12	VYDAJ	PREVOD NA UCET	3023	81282	SIPO	KL	92837720
520986	1779	1995-01-12	VYDAJ	PREVOD NA UCET	3023	70792	SIPO	KL	92837720
520987	1779	1995-02-12	VYDAJ	PREVOD NA UCET	3023	61563	SIPO	KL	92837720
520988	1779	1995-03-12	VYDAJ	PREVOD NA UCET	3023	64395	SIPO	KL	92837720
520989	1779	1995-04-12	VYDAJ	PREVOD NA UCET	3023	71747	SIPO	KL	92837720
520990	1779	1995-05-12	VYDAJ	PREVOD NA UCET	3023	74128	SIPO	KL	92837720
520991	1779	1995-06-12	VYDAJ	PREVOD NA UCET	3023	73737	SIPO	KL	92837720
520992	1779	1995-07-12	VYDAJ	PREVOD NA UCET	3023	75843	SIPO	KL	92837720
520993	1779	1995-08-12	VYDAJ	PREVOD NA UCET	3023	79843	SIPO	KL	92837720
520994	1779	1995-09-12	VYDAJ	PREVOD NA UCET	3023	80259	SIPO	KL	92837720
520995	1779	1995-10-12	VYDAJ	PREVOD NA UCET	3023	82276	SIPO	KL	92837720
520996	1779	1995-11-12	VYDAJ	PREVOD NA UCET	3023	79600	SIPO	KL	92837720
520997	1779	1995-12-12	VYDAJ	PREVOD NA UCET	3023	92831	SIPO	KL	92837720
520998	1779	1996-01-12	VYDAJ	PREVOD NA UCET	3023	83473	SIPO	KL	92837720
520999	1779	1996-02-12	VYDAJ	PREVOD NA UCET	3023	77095	SIPO	KL	92837720
521000	1779	1996-03-12	VYDAJ	PREVOD NA UCET	3023	75696	SIPO	KL	92837720
521001	1779	1996-04-12	VYDAJ	PREVOD NA UCET	3023	76191	SIPO	KL	92837720
521002	1779	1996-05-12	VYDAJ	PREVOD NA UCET	3023	80292	SIPO	KL	92837720
521003	1779	1996-06-12	VYDAJ	PREVOD NA UCET	3023	94322	SIPO	KL	92837720
521004	1779	1996-07-12	VYDAJ	PREVOD NA UCET	3023	78785	SIPO	KL	92837720
521005	1779	1996-08-12	VYDAJ	PREVOD NA UCET	3023	83083	SIPO	KL	92837720
521006	1779	1996-09-12	VYDAJ	PREVOD NA UCET	3023	84492	SIPO	KL	92837720
521007	1779	1996-10-12	VYDAJ	PREVOD NA UCET	3023	83907	SIPO	KL	92837720
521008	1779	1996-11-12	VYDAJ	PREVOD NA UCET	3023	87719	SIPO	KL	92837720
521009	1779	1996-12-12	VYDAJ	PREVOD NA UCET	3023	98959	SIPO	KL	92837720
521010	1779	1997-01-12	VYDAJ	PREVOD NA UCET	3023	91814	SIPO	KL	92837720
521011	1779	1997-02-12	VYDAJ	PREVOD NA UCET	3023	88346	SIPO	KL	92837720
521012	1779	1997-03-12	VYDAJ	PREVOD NA UCET	3023	90772	SIPO	KL	92837720
521013	1779	1997-04-12	VYDAJ	PREVOD NA UCET	3023	90898	SIPO	KL	92837720
521014	1779	1997-05-12	VYDAJ	PREVOD NA UCET	3023	93434	SIPO	KL	92837720
521015	1779	1997-06-12	VYDAJ	PREVOD NA UCET	3023	105391	SIPO	KL	92837720
521016	1779	1997-07-12	VYDAJ	PREVOD NA UCET	3023	85722	SIPO	KL	92837720
521017	1779	1997-08-12	VYDAJ	PREVOD NA UCET	3023	88337	SIPO	KL	92837720
521018	1779	1997-09-12	VYDAJ	PREVOD NA UCET	3023	91062	SIPO	KL	92837720
521019	1779	1997-10-12	VYDAJ	PREVOD NA UCET	3023	96293	SIPO	KL	92837720
521020	1779	1997-11-12	VYDAJ	PREVOD NA UCET	3023	100544	SIPO	KL	92837720
521021	1779	1997-12-12	VYDAJ	PREVOD NA UCET	3023	98625	SIPO	KL	92837720
521022	1779	1998-01-12	VYDAJ	PREVOD NA UCET	3023	99900	SIPO	KL	92837720
521023	1779	1998-02-12	VYDAJ	PREVOD NA UCET	3023	103362	SIPO	KL	92837720
521024	1779	1998-03-12	VYDAJ	PREVOD NA UCET	3023	48641	SIPO	KL	92837720
521025	1779	1998-04-12	VYDAJ	PREVOD NA UCET	3023	86310	SIPO	KL	92837720
521026	1779	1998-05-12	VYDAJ	PREVOD NA UCET	3023	103432	SIPO	KL	92837720
521027	1779	1998-06-12	VYDAJ	PREVOD NA UCET	3023	109132	SIPO	KL	92837720
521028	1779	1998-07-12	VYDAJ	PREVOD NA UCET	3023	106624	SIPO	KL	92837720
521029	1779	1998-08-12	VYDAJ	PREVOD NA UCET	3023	114620	SIPO	KL	92837720
521030	1779	1998-09-12	VYDAJ	PREVOD NA UCET	3023	96235	SIPO	KL	92837720
521031	1779	1998-10-12	VYDAJ	PREVOD NA UCET	3023	78029	SIPO	KL	92837720
521032	1779	1998-11-12	VYDAJ	PREVOD NA UCET	3023	101871	SIPO	KL	92837720
521033	1779	1998-12-12	VYDAJ	PREVOD NA UCET	3023	74253	SIPO	KL	92837720
521047	1779	1994-02-06	VYDAJ	PREVOD NA UCET	1230	30856	 	EF	47371226
521048	1779	1994-03-06	VYDAJ	PREVOD NA UCET	1230	30604	 	EF	47371226
521049	1779	1994-04-06	VYDAJ	PREVOD NA UCET	1230	38264	 	EF	47371226
521050	1779	1994-05-06	VYDAJ	PREVOD NA UCET	1230	42642	 	EF	47371226
521051	1779	1994-06-06	VYDAJ	PREVOD NA UCET	1230	39846	 	EF	47371226
521052	1779	1994-07-06	VYDAJ	PREVOD NA UCET	1230	28541	 	EF	47371226
521053	1779	1994-08-06	VYDAJ	PREVOD NA UCET	1230	37090	 	EF	47371226
521054	1779	1994-09-06	VYDAJ	PREVOD NA UCET	1230	40258	 	EF	47371226
521055	1779	1994-10-06	VYDAJ	PREVOD NA UCET	1230	48250	 	EF	47371226
521056	1779	1994-11-06	VYDAJ	PREVOD NA UCET	1230	55974	 	EF	47371226
521057	1779	1994-12-06	VYDAJ	PREVOD NA UCET	1230	64028	 	EF	47371226
521058	1779	1995-01-06	VYDAJ	PREVOD NA UCET	1230	77251	 	EF	47371226
521059	1779	1995-02-06	VYDAJ	PREVOD NA UCET	1230	55822	 	EF	47371226
521060	1779	1995-03-06	VYDAJ	PREVOD NA UCET	1230	55754	 	EF	47371226
521061	1779	1995-04-06	VYDAJ	PREVOD NA UCET	1230	63406	 	EF	47371226
521062	1779	1995-05-06	VYDAJ	PREVOD NA UCET	1230	70787	 	EF	47371226
521063	1779	1995-06-06	VYDAJ	PREVOD NA UCET	1230	73183	 	EF	47371226
521064	1779	1995-07-06	VYDAJ	PREVOD NA UCET	1230	55102	 	EF	47371226
521065	1779	1995-08-06	VYDAJ	PREVOD NA UCET	1230	59102	 	EF	47371226
521066	1779	1995-09-06	VYDAJ	PREVOD NA UCET	1230	59518	 	EF	47371226
521067	1779	1995-10-06	VYDAJ	PREVOD NA UCET	1230	61535	 	EF	47371226
521068	1779	1995-11-06	VYDAJ	PREVOD NA UCET	1230	58859	 	EF	47371226
521069	1779	1995-12-06	VYDAJ	PREVOD NA UCET	1230	60177	 	EF	47371226
521070	1779	1996-01-06	VYDAJ	PREVOD NA UCET	1230	63932	 	EF	47371226
521071	1779	1996-02-06	VYDAJ	PREVOD NA UCET	1230	56354	 	EF	47371226
521072	1779	1996-03-06	VYDAJ	PREVOD NA UCET	1230	54955	 	EF	47371226
521073	1779	1996-04-06	VYDAJ	PREVOD NA UCET	1230	55450	 	EF	47371226
521074	1779	1996-05-06	VYDAJ	PREVOD NA UCET	1230	59551	 	EF	47371226
521075	1779	1996-06-06	VYDAJ	PREVOD NA UCET	1230	61668	 	EF	47371226
521076	1779	1996-07-06	VYDAJ	PREVOD NA UCET	1230	58044	 	EF	47371226
521077	1779	1996-08-06	VYDAJ	PREVOD NA UCET	1230	62342	 	EF	47371226
521078	1779	1996-09-06	VYDAJ	PREVOD NA UCET	1230	63751	 	EF	47371226
521079	1779	1996-10-06	VYDAJ	PREVOD NA UCET	1230	63166	 	EF	47371226
521080	1779	1996-11-06	VYDAJ	PREVOD NA UCET	1230	67978	 	EF	47371226
521081	1779	1996-12-06	VYDAJ	PREVOD NA UCET	1230	66305	 	EF	47371226
521082	1779	1997-01-06	VYDAJ	PREVOD NA UCET	1230	71073	 	EF	47371226
521083	1779	1997-02-06	VYDAJ	PREVOD NA UCET	1230	67605	 	EF	47371226
521084	1779	1997-03-06	VYDAJ	PREVOD NA UCET	1230	70031	 	EF	47371226
521085	1779	1997-04-06	VYDAJ	PREVOD NA UCET	1230	70157	 	EF	47371226
521086	1779	1997-05-06	VYDAJ	PREVOD NA UCET	1230	72693	 	EF	47371226
521087	1779	1997-06-06	VYDAJ	PREVOD NA UCET	1230	72737	 	EF	47371226
521088	1779	1997-07-06	VYDAJ	PREVOD NA UCET	1230	64981	 	EF	47371226
521089	1779	1997-08-06	VYDAJ	PREVOD NA UCET	1230	67596	 	EF	47371226
521090	1779	1997-09-06	VYDAJ	PREVOD NA UCET	1230	70321	 	EF	47371226
521091	1779	1997-10-06	VYDAJ	PREVOD NA UCET	1230	75552	 	EF	47371226
521092	1779	1997-11-06	VYDAJ	PREVOD NA UCET	1230	79803	 	EF	47371226
521093	1779	1997-12-06	VYDAJ	PREVOD NA UCET	1230	84571	 	EF	47371226
521094	1779	1998-01-06	VYDAJ	PREVOD NA UCET	1230	79959	 	EF	47371226
521095	1779	1998-02-06	VYDAJ	PREVOD NA UCET	1230	82621	 	EF	47371226
521096	1779	1998-03-06	VYDAJ	PREVOD NA UCET	1230	89200	 	EF	47371226
521097	1779	1998-04-06	VYDAJ	PREVOD NA UCET	1230	65569	 	EF	47371226
521098	1779	1998-05-06	VYDAJ	PREVOD NA UCET	1230	82691	 	EF	47371226
521099	1779	1998-06-06	VYDAJ	PREVOD NA UCET	1230	94978	 	EF	47371226
521100	1779	1998-07-06	VYDAJ	PREVOD NA UCET	1230	88983	 	EF	47371226
521101	1779	1998-08-06	VYDAJ	PREVOD NA UCET	1230	93879	 	EF	47371226
521102	1779	1998-09-06	VYDAJ	PREVOD NA UCET	1230	97494	 	EF	47371226
521103	1779	1998-10-06	VYDAJ	PREVOD NA UCET	1230	93488	 	EF	47371226
521104	1779	1998-11-06	VYDAJ	PREVOD NA UCET	1230	81130	 	EF	47371226
521105	1779	1998-12-06	VYDAJ	PREVOD NA UCET	1230	89199	 	EF	47371226
521118	1779	1994-01-11	VYDAJ	PREVOD NA UCET	61	75739	POJISTNE	IJ	7877719
521119	1779	1994-02-11	VYDAJ	PREVOD NA UCET	61	54620	POJISTNE	IJ	7877719
521120	1779	1994-03-11	VYDAJ	PREVOD NA UCET	61	54368	POJISTNE	IJ	7877719
521121	1779	1994-04-11	VYDAJ	PREVOD NA UCET	61	62028	POJISTNE	IJ	7877719
521122	1779	1994-05-11	VYDAJ	PREVOD NA UCET	61	66406	POJISTNE	IJ	7877719
521123	1779	1994-06-11	VYDAJ	PREVOD NA UCET	61	50023	POJISTNE	IJ	7877719
521124	1779	1994-07-11	VYDAJ	PREVOD NA UCET	61	52305	POJISTNE	IJ	7877719
521125	1779	1994-08-11	VYDAJ	PREVOD NA UCET	61	44354	POJISTNE	IJ	7877719
521126	1779	1994-09-11	VYDAJ	PREVOD NA UCET	61	52922	POJISTNE	IJ	7877719
521127	1779	1994-10-11	VYDAJ	PREVOD NA UCET	61	60014	POJISTNE	IJ	7877719
521128	1779	1994-11-11	VYDAJ	PREVOD NA UCET	61	68038	POJISTNE	IJ	7877719
521129	1779	1994-12-11	VYDAJ	PREVOD NA UCET	61	84305	POJISTNE	IJ	7877719
521130	1779	1995-01-11	VYDAJ	PREVOD NA UCET	61	73815	POJISTNE	IJ	7877719
521131	1779	1995-02-11	VYDAJ	PREVOD NA UCET	61	69286	POJISTNE	IJ	7877719
521132	1779	1995-03-11	VYDAJ	PREVOD NA UCET	61	67418	POJISTNE	IJ	7877719
521133	1779	1995-04-11	VYDAJ	PREVOD NA UCET	61	74770	POJISTNE	IJ	7877719
521134	1779	1995-05-11	VYDAJ	PREVOD NA UCET	61	77151	POJISTNE	IJ	7877719
521135	1779	1995-06-11	VYDAJ	PREVOD NA UCET	61	76760	POJISTNE	IJ	7877719
521136	1779	1995-07-11	VYDAJ	PREVOD NA UCET	61	78866	POJISTNE	IJ	7877719
521137	1779	1995-08-11	VYDAJ	PREVOD NA UCET	61	82866	POJISTNE	IJ	7877719
521138	1779	1995-09-11	VYDAJ	PREVOD NA UCET	61	83282	POJISTNE	IJ	7877719
521139	1779	1995-10-11	VYDAJ	PREVOD NA UCET	61	85299	POJISTNE	IJ	7877719
521140	1779	1995-11-11	VYDAJ	PREVOD NA UCET	61	82623	POJISTNE	IJ	7877719
521141	1779	1995-12-11	VYDAJ	PREVOD NA UCET	61	95854	POJISTNE	IJ	7877719
521142	1779	1996-01-11	VYDAJ	PREVOD NA UCET	61	86496	POJISTNE	IJ	7877719
521143	1779	1996-02-11	VYDAJ	PREVOD NA UCET	61	80118	POJISTNE	IJ	7877719
521144	1779	1996-03-11	VYDAJ	PREVOD NA UCET	61	78719	POJISTNE	IJ	7877719
521145	1779	1996-04-11	VYDAJ	PREVOD NA UCET	61	79214	POJISTNE	IJ	7877719
521146	1779	1996-05-11	VYDAJ	PREVOD NA UCET	61	83315	POJISTNE	IJ	7877719
521147	1779	1996-06-11	VYDAJ	PREVOD NA UCET	61	97345	POJISTNE	IJ	7877719
521148	1779	1996-07-11	VYDAJ	PREVOD NA UCET	61	81808	POJISTNE	IJ	7877719
521149	1779	1996-08-11	VYDAJ	PREVOD NA UCET	61	86106	POJISTNE	IJ	7877719
521150	1779	1996-09-11	VYDAJ	PREVOD NA UCET	61	87515	POJISTNE	IJ	7877719
521151	1779	1996-10-11	VYDAJ	PREVOD NA UCET	61	86930	POJISTNE	IJ	7877719
521152	1779	1996-11-11	VYDAJ	PREVOD NA UCET	61	90742	POJISTNE	IJ	7877719
521256	1779	1997-08-03	VYDAJ	VYBER	4400	68826	\N	\N	\N
521153	1779	1996-12-11	VYDAJ	PREVOD NA UCET	61	101982	POJISTNE	IJ	7877719
521154	1779	1997-01-11	VYDAJ	PREVOD NA UCET	61	94837	POJISTNE	IJ	7877719
521155	1779	1997-02-11	VYDAJ	PREVOD NA UCET	61	91369	POJISTNE	IJ	7877719
521156	1779	1997-03-11	VYDAJ	PREVOD NA UCET	61	93795	POJISTNE	IJ	7877719
521157	1779	1997-04-11	VYDAJ	PREVOD NA UCET	61	93921	POJISTNE	IJ	7877719
521158	1779	1997-05-11	VYDAJ	PREVOD NA UCET	61	96457	POJISTNE	IJ	7877719
521159	1779	1997-06-11	VYDAJ	PREVOD NA UCET	61	108414	POJISTNE	IJ	7877719
521160	1779	1997-07-11	VYDAJ	PREVOD NA UCET	61	88745	POJISTNE	IJ	7877719
521161	1779	1997-08-11	VYDAJ	PREVOD NA UCET	61	91360	POJISTNE	IJ	7877719
521162	1779	1997-09-11	VYDAJ	PREVOD NA UCET	61	94085	POJISTNE	IJ	7877719
521163	1779	1997-10-11	VYDAJ	PREVOD NA UCET	61	99316	POJISTNE	IJ	7877719
521164	1779	1997-11-11	VYDAJ	PREVOD NA UCET	61	103567	POJISTNE	IJ	7877719
521165	1779	1997-12-11	VYDAJ	PREVOD NA UCET	61	101648	POJISTNE	IJ	7877719
521166	1779	1998-01-11	VYDAJ	PREVOD NA UCET	61	102923	POJISTNE	IJ	7877719
521167	1779	1998-02-11	VYDAJ	PREVOD NA UCET	61	106385	POJISTNE	IJ	7877719
521168	1779	1998-03-11	VYDAJ	PREVOD NA UCET	61	51664	POJISTNE	IJ	7877719
521169	1779	1998-04-11	VYDAJ	PREVOD NA UCET	61	89333	POJISTNE	IJ	7877719
521170	1779	1998-05-11	VYDAJ	PREVOD NA UCET	61	106455	POJISTNE	IJ	7877719
521171	1779	1998-06-11	VYDAJ	PREVOD NA UCET	61	112155	POJISTNE	IJ	7877719
521172	1779	1998-07-11	VYDAJ	PREVOD NA UCET	61	109647	POJISTNE	IJ	7877719
521173	1779	1998-08-11	VYDAJ	PREVOD NA UCET	61	117643	POJISTNE	IJ	7877719
521174	1779	1998-09-11	VYDAJ	PREVOD NA UCET	61	99258	POJISTNE	IJ	7877719
521175	1779	1998-10-11	VYDAJ	PREVOD NA UCET	61	81052	POJISTNE	IJ	7877719
521176	1779	1998-11-11	VYDAJ	PREVOD NA UCET	61	104894	POJISTNE	IJ	7877719
521177	1779	1998-12-11	VYDAJ	PREVOD NA UCET	61	77276	POJISTNE	IJ	7877719
521179	1779	1994-06-28	VYDAJ	VYBER	17400	29600	\N	\N	\N
521180	1779	1995-06-10	VYDAJ	VYBER	14400	76821	\N	\N	\N
521181	1779	1996-06-29	VYDAJ	VYBER	6900	83222	\N	\N	\N
521182	1779	1997-06-17	VYDAJ	VYBER	25500	79891	\N	\N	\N
521183	1779	1998-06-14	VYDAJ	VYBER	9700	99432	\N	\N	\N
521185	1779	1994-01-13	VYDAJ	VYBER	6200	41816	\N	\N	\N
521186	1779	1995-01-24	VYDAJ	VYBER	9300	56792	\N	\N	\N
521187	1779	1996-01-19	VYDAJ	VYBER	6900	76573	\N	\N	\N
521188	1779	1997-01-24	VYDAJ	VYBER	2300	86014	\N	\N	\N
521189	1779	1998-01-27	VYDAJ	VYBER	1000	83500	\N	\N	\N
521191	1779	1994-12-24	VYDAJ	VYBER	1900	79382	\N	\N	\N
521192	1779	1995-12-15	VYDAJ	VYBER	2900	89931	\N	\N	\N
521193	1779	1996-12-04	VYDAJ	VYBER	2200	67535	\N	\N	\N
521194	1779	1997-12-29	VYDAJ	VYBER	800	86625	\N	\N	\N
521195	1779	1998-12-26	VYDAJ	VYBER KARTOU	2800	78353	\N	\N	0
521202	1779	1994-01-15	VYDAJ	VYBER	1700	37816	\N	\N	\N
521203	1779	1994-01-10	VYDAJ	VYBER	1900	75800	\N	\N	\N
521204	1779	1994-01-28	VYDAJ	VYBER	2200	31916	\N	\N	\N
521206	1779	1994-01-13	VYDAJ	VYBER	2300	39516	\N	\N	\N
521207	1779	1994-01-18	VYDAJ	VYBER	600	37216	\N	\N	\N
521208	1779	1995-01-13	VYDAJ	VYBER	1200	69592	\N	\N	\N
521209	1779	1995-01-22	VYDAJ	VYBER	1500	66092	\N	\N	\N
521210	1779	1995-01-07	VYDAJ	VYBER	2100	50751	\N	\N	\N
521211	1779	1995-01-17	VYDAJ	VYBER	2000	67592	\N	\N	\N
521212	1779	1995-01-09	VYDAJ	VYBER	700	50051	\N	\N	\N
521213	1779	1995-01-01	VYDAJ	VYBER	1200	78481	\N	\N	\N
521214	1779	1996-01-30	VYDAJ	VYBER	1300	70973	\N	\N	\N
521215	1779	1996-01-23	VYDAJ	VYBER	1800	74773	\N	\N	\N
521216	1779	1996-01-10	VYDAJ	VYBER	600	86557	\N	\N	\N
521217	1779	1996-01-30	VYDAJ	VYBER	900	72273	\N	\N	\N
521218	1779	1996-01-10	VYDAJ	VYBER	600	87157	\N	\N	\N
521219	1779	1996-01-28	VYDAJ	VYBER	1600	73173	\N	\N	\N
521220	1779	1997-01-04	VYDAJ	VYBER	1500	74503	\N	\N	\N
521221	1779	1997-01-05	VYDAJ	VYBER	2200	72303	\N	\N	\N
521222	1779	1997-01-28	VYDAJ	VYBER	2400	68514	\N	\N	\N
521223	1779	1997-01-16	VYDAJ	VYBER	2100	89714	\N	\N	\N
521224	1779	1997-01-19	VYDAJ	VYBER	1400	88314	\N	\N	\N
521225	1779	1997-01-01	VYDAJ	VYBER	1900	76003	\N	\N	\N
521226	1779	1998-01-04	VYDAJ	VYBER	1900	85089	\N	\N	\N
521227	1779	1998-01-05	VYDAJ	VYBER	2600	82489	\N	\N	\N
521228	1779	1998-01-19	VYDAJ	VYBER	1700	95400	\N	\N	\N
521229	1779	1998-01-14	VYDAJ	VYBER	2800	97100	\N	\N	\N
521230	1779	1998-01-09	VYDAJ	VYBER	800	79159	\N	\N	\N
521231	1779	1998-01-06	VYDAJ	VYBER	1300	81189	\N	\N	\N
521238	1779	1994-09-26	VYDAJ	VYBER	600	49299	\N	\N	\N
521239	1779	1994-09-10	VYDAJ	VYBER	3600	52983	\N	\N	\N
521240	1779	1994-05-21	VYDAJ	VYBER	3700	40883	\N	\N	\N
521241	1779	1994-03-02	VYDAJ	VYBER	4800	31834	\N	\N	\N
521242	1779	1994-01-27	VYDAJ	VYBER	3100	34116	\N	\N	\N
521243	1779	1995-02-12	VYDAJ	VYBER	4700	64586	\N	\N	\N
521244	1779	1995-12-02	VYDAJ	VYBER	2600	77307	\N	\N	\N
521245	1779	1995-09-27	VYDAJ	VYBER	3700	76559	\N	\N	\N
521246	1779	1995-02-14	VYDAJ	VYBER	4800	56763	\N	\N	\N
521247	1779	1995-11-03	VYDAJ	VYBER	1600	80989	\N	\N	\N
521248	1779	1995-12-02	VYDAJ	VYBER	1600	75707	\N	\N	\N
521249	1779	1996-06-26	VYDAJ	VYBER	4200	90122	\N	\N	\N
521250	1779	1996-07-01	VYDAJ	VYBER	4500	59274	\N	\N	\N
521251	1779	1996-08-25	VYDAJ	VYBER	1500	81583	\N	\N	\N
521252	1779	1996-11-10	VYDAJ	VYBER	1000	90803	\N	\N	\N
521253	1779	1996-09-29	VYDAJ	VYBER	4100	64092	\N	\N	\N
521254	1779	1996-03-04	VYDAJ	VYBER	3900	56185	\N	\N	\N
521255	1779	1997-07-26	VYDAJ	VYBER	1200	72922	\N	\N	\N
521257	1779	1997-08-30	VYDAJ	VYBER	4200	71237	\N	\N	\N
521258	1779	1997-03-14	VYDAJ	VYBER	4800	85972	\N	\N	\N
521259	1779	1998-10-11	VYDAJ	VYBER	1700	81113	\N	\N	\N
521260	1779	1998-02-24	VYDAJ	VYBER	1600	90062	\N	\N	\N
521261	1779	1998-11-22	VYDAJ	VYBER	3500	90071	\N	\N	\N
521262	1779	1998-07-10	VYDAJ	VYBER	3100	109708	\N	\N	\N
521276	1779	1994-01-31	VYDAJ	VYBER	15	32086	SLUZBY	\N	\N
521277	1779	1994-02-28	VYDAJ	VYBER	15	36634	SLUZBY	\N	\N
521278	1779	1994-03-31	VYDAJ	VYBER	15	39494	SLUZBY	\N	\N
521279	1779	1994-04-30	VYDAJ	VYBER	15	43872	SLUZBY	\N	\N
521280	1779	1994-05-31	VYDAJ	VYBER	15	41076	SLUZBY	\N	\N
521281	1779	1994-06-30	VYDAJ	VYBER	15	29771	SLUZBY	\N	\N
521282	1779	1994-07-31	VYDAJ	VYBER	15	38320	SLUZBY	\N	\N
521283	1779	1994-08-31	VYDAJ	VYBER	15	41488	SLUZBY	\N	\N
521284	1779	1994-09-30	VYDAJ	VYBER	15	49480	SLUZBY	\N	\N
521285	1779	1994-10-31	VYDAJ	VYBER	15	57204	SLUZBY	\N	\N
521286	1779	1994-11-30	VYDAJ	VYBER	15	65258	SLUZBY	\N	\N
521287	1779	1994-12-31	VYDAJ	VYBER	15	79681	SLUZBY	\N	\N
521288	1779	1995-01-31	VYDAJ	VYBER	15	57052	SLUZBY	\N	\N
521289	1779	1995-02-28	VYDAJ	VYBER	15	56984	SLUZBY	\N	\N
521290	1779	1995-03-31	VYDAJ	VYBER	15	64636	SLUZBY	\N	\N
521291	1779	1995-04-30	VYDAJ	VYBER	15	72017	SLUZBY	\N	\N
521292	1779	1995-05-31	VYDAJ	VYBER	15	74413	SLUZBY	\N	\N
521293	1779	1995-06-30	VYDAJ	VYBER	15	74032	SLUZBY	\N	\N
521294	1779	1995-07-31	VYDAJ	VYBER	15	76132	SLUZBY	\N	\N
521295	1779	1995-08-31	VYDAJ	VYBER	15	80148	SLUZBY	\N	\N
521296	1779	1995-09-30	VYDAJ	VYBER	15	76865	SLUZBY	\N	\N
521297	1779	1995-10-31	VYDAJ	VYBER	15	82589	SLUZBY	\N	\N
521298	1779	1995-11-30	VYDAJ	VYBER	15	79907	SLUZBY	\N	\N
521299	1779	1995-12-31	VYDAJ	VYBER	15	90262	SLUZBY	\N	\N
521300	1779	1996-01-31	VYDAJ	VYBER	15	71284	SLUZBY	\N	\N
521301	1779	1996-02-29	VYDAJ	VYBER	15	77385	SLUZBY	\N	\N
521302	1779	1996-03-31	VYDAJ	VYBER	15	75980	SLUZBY	\N	\N
521303	1779	1996-04-30	VYDAJ	VYBER	15	76481	SLUZBY	\N	\N
521304	1779	1996-05-31	VYDAJ	VYBER	15	80598	SLUZBY	\N	\N
521305	1779	1996-06-30	VYDAJ	VYBER	15	63774	SLUZBY	\N	\N
521306	1779	1996-07-31	VYDAJ	VYBER	15	63572	SLUZBY	\N	\N
521307	1779	1996-08-31	VYDAJ	VYBER	15	64981	SLUZBY	\N	\N
521308	1779	1996-09-30	VYDAJ	VYBER	15	64396	SLUZBY	\N	\N
521309	1779	1996-10-31	VYDAJ	VYBER	15	69208	SLUZBY	\N	\N
521310	1779	1996-11-30	VYDAJ	VYBER	15	69735	SLUZBY	\N	\N
521311	1779	1996-12-31	VYDAJ	VYBER	15	77903	SLUZBY	\N	\N
521312	1779	1997-01-31	VYDAJ	VYBER	15	68835	SLUZBY	\N	\N
521313	1779	1997-02-28	VYDAJ	VYBER	15	71261	SLUZBY	\N	\N
521314	1779	1997-03-31	VYDAJ	VYBER	15	71387	SLUZBY	\N	\N
521315	1779	1997-04-30	VYDAJ	VYBER	15	73923	SLUZBY	\N	\N
521316	1779	1997-05-31	VYDAJ	VYBER	15	73967	SLUZBY	\N	\N
521317	1779	1997-06-30	VYDAJ	VYBER	15	66211	SLUZBY	\N	\N
521318	1779	1997-07-31	VYDAJ	VYBER	15	73226	SLUZBY	\N	\N
521319	1779	1997-08-31	VYDAJ	VYBER	15	71551	SLUZBY	\N	\N
521320	1779	1997-09-30	VYDAJ	VYBER	15	76782	SLUZBY	\N	\N
521321	1779	1997-10-31	VYDAJ	VYBER	15	81033	SLUZBY	\N	\N
521322	1779	1997-11-30	VYDAJ	VYBER	15	85801	SLUZBY	\N	\N
521323	1779	1997-12-31	VYDAJ	VYBER	15	86989	SLUZBY	\N	\N
521324	1779	1998-01-31	VYDAJ	VYBER	15	83851	SLUZBY	\N	\N
521325	1779	1998-02-28	VYDAJ	VYBER	15	90430	SLUZBY	\N	\N
521326	1779	1998-03-31	VYDAJ	VYBER	15	66799	SLUZBY	\N	\N
521327	1779	1998-04-30	VYDAJ	VYBER	15	83921	SLUZBY	\N	\N
521328	1779	1998-05-31	VYDAJ	VYBER	15	96208	SLUZBY	\N	\N
521329	1779	1998-06-30	VYDAJ	VYBER	15	90213	SLUZBY	\N	\N
521330	1779	1998-07-31	VYDAJ	VYBER	15	95109	SLUZBY	\N	\N
521331	1779	1998-08-31	VYDAJ	VYBER	15	98724	SLUZBY	\N	\N
521332	1779	1998-09-30	VYDAJ	VYBER	15	94718	SLUZBY	\N	\N
521333	1779	1998-10-31	VYDAJ	VYBER	15	82360	SLUZBY	\N	\N
521334	1779	1998-11-30	VYDAJ	VYBER	15	90429	SLUZBY	\N	\N
521335	1779	1993-09-14	VYDAJ	VYBER	500	24325	\N	\N	\N
521336	1779	1993-10-14	VYDAJ	VYBER	12100	36107	\N	\N	\N
521337	1779	1993-11-13	VYDAJ	VYBER	16900	43162	\N	\N	\N
521338	1779	1993-12-13	VYDAJ	VYBER	25400	53668	\N	\N	\N
521339	1779	1994-01-12	VYDAJ	VYBER	24700	48016	\N	\N	\N
521340	1779	1994-02-11	VYDAJ	VYBER	15100	39520	\N	\N	\N
521341	1779	1994-03-13	VYDAJ	VYBER	12000	39345	\N	\N	\N
521342	1779	1994-04-12	VYDAJ	VYBER	15300	46728	\N	\N	\N
521343	1779	1994-05-12	VYDAJ	VYBER	18800	44583	\N	\N	\N
521344	1779	1994-06-11	VYDAJ	VYBER	25500	50084	\N	\N	\N
521345	1779	1994-07-11	VYDAJ	VYBER	11100	41205	\N	\N	\N
521346	1779	1994-08-10	VYDAJ	VYBER	16500	44415	\N	\N	\N
521347	1779	1994-09-09	VYDAJ	VYBER	7500	32758	\N	\N	\N
521348	1779	1994-10-09	VYDAJ	VYBER	12000	36250	\N	\N	\N
521349	1779	1994-11-08	VYDAJ	VYBER	11700	44274	\N	\N	\N
521350	1779	1994-12-08	VYDAJ	VYBER	15400	48628	\N	\N	\N
521351	1779	1995-01-07	VYDAJ	VYBER	24400	52851	\N	\N	\N
521352	1779	1995-02-06	VYDAJ	VYBER	10300	45522	\N	\N	\N
521353	1779	1995-03-08	VYDAJ	VYBER	12100	43654	\N	\N	\N
521354	1779	1995-04-07	VYDAJ	VYBER	12400	51006	\N	\N	\N
521355	1779	1995-05-07	VYDAJ	VYBER	17400	53387	\N	\N	\N
521356	1779	1995-06-06	VYDAJ	VYBER	17700	55483	\N	\N	\N
521357	1779	1995-07-06	VYDAJ	VYBER	17700	56332	\N	\N	\N
521358	1779	1995-08-05	VYDAJ	VYBER	15800	60332	\N	\N	\N
521359	1779	1995-09-04	VYDAJ	VYBER	19400	60748	\N	\N	\N
521360	1779	1995-10-04	VYDAJ	VYBER	14100	62765	\N	\N	\N
521361	1779	1995-11-03	VYDAJ	VYBER	20900	60089	\N	\N	\N
521362	1779	1995-12-03	VYDAJ	VYBER	14300	61407	\N	\N	\N
521363	1779	1996-01-02	VYDAJ	VYBER	25100	65162	\N	\N	\N
521364	1779	1996-02-01	VYDAJ	VYBER	13700	57584	\N	\N	\N
521365	1779	1996-03-02	VYDAJ	VYBER	17300	60085	\N	\N	\N
521366	1779	1996-04-01	VYDAJ	VYBER	19300	56680	\N	\N	\N
521367	1779	1996-05-01	VYDAJ	VYBER	15700	60781	\N	\N	\N
521368	1779	1996-05-31	VYDAJ	VYBER	17700	62898	\N	\N	\N
521369	1779	1996-06-30	VYDAJ	VYBER	19800	63789	\N	\N	\N
521370	1779	1996-07-30	VYDAJ	VYBER	15500	63285	\N	\N	\N
521371	1779	1996-08-29	VYDAJ	VYBER	16900	64683	\N	\N	\N
521372	1779	1996-09-28	VYDAJ	VYBER	16300	68192	\N	\N	\N
521373	1779	1996-10-28	VYDAJ	VYBER	15000	68907	\N	\N	\N
521374	1779	1996-11-27	VYDAJ	VYBER	18300	69419	\N	\N	\N
521375	1779	1996-12-27	VYDAJ	VYBER	21400	77559	\N	\N	\N
521376	1779	1997-01-26	VYDAJ	VYBER	15100	70914	\N	\N	\N
521377	1779	1997-02-25	VYDAJ	VYBER	17400	70946	\N	\N	\N
521378	1779	1997-03-27	VYDAJ	VYBER	14900	71072	\N	\N	\N
521379	1779	1997-04-26	VYDAJ	VYBER	17300	73598	\N	\N	\N
521380	1779	1997-05-26	VYDAJ	VYBER	19800	73634	\N	\N	\N
521381	1779	1997-06-25	VYDAJ	VYBER	14000	65891	\N	\N	\N
521382	1779	1997-07-25	VYDAJ	VYBER	11600	74122	\N	\N	\N
521383	1779	1997-08-24	VYDAJ	VYBER	12900	75437	\N	\N	\N
521384	1779	1997-09-23	VYDAJ	VYBER	14600	76462	\N	\N	\N
521385	1779	1997-10-23	VYDAJ	VYBER	15600	80693	\N	\N	\N
521386	1779	1997-11-22	VYDAJ	VYBER	15100	85444	\N	\N	\N
521387	1779	1997-12-10	VYDAJ	VYBER	18600	101709	\N	\N	\N
521388	1779	1997-12-22	VYDAJ	VYBER	11200	87425	\N	\N	\N
521389	1779	1998-01-21	VYDAJ	VYBER	10900	84500	\N	\N	\N
521390	1779	1998-02-20	VYDAJ	VYBER	11700	91662	\N	\N	\N
521391	1779	1998-03-10	VYDAJ	VYBER	61300	51725	\N	\N	\N
521392	1779	1998-03-22	PRIJEM	VKLAD	17900	66541	\N	\N	\N
521393	1779	1998-04-21	VYDAJ	VYBER	2700	83610	\N	\N	\N
521394	1779	1998-05-21	VYDAJ	VYBER	7600	95832	\N	\N	\N
521395	1779	1998-06-10	VYDAJ	VYBER	18500	112216	\N	\N	\N
521396	1779	1998-06-20	VYDAJ	VYBER	9600	89832	\N	\N	\N
521397	1779	1998-07-20	VYDAJ	VYBER	11900	94724	\N	\N	\N
521398	1779	1998-08-19	VYDAJ	VYBER	16300	98320	\N	\N	\N
521399	1779	1998-09-10	VYDAJ	VYBER	22000	99319	\N	\N	\N
521400	1779	1998-09-18	VYDAJ	VYBER	1900	94335	\N	\N	\N
521401	1779	1998-10-10	VYDAJ	VYBER	34500	82813	\N	\N	\N
521402	1779	1998-10-18	PRIJEM	VKLAD	4000	82029	\N	\N	\N
521403	1779	1998-11-17	VYDAJ	VYBER	8300	93571	\N	\N	\N
521404	1779	1998-12-10	VYDAJ	VYBER	47600	77337	\N	\N	\N
521405	1779	1998-12-17	PRIJEM	VKLAD	6900	81153	\N	\N	\N
521470	1780	1993-04-02	PRIJEM	VKLAD	900	900	\N	\N	\N
521474	1780	1993-04-05	PRIJEM	VKLAD	24999	25899	\N	\N	\N
521475	1780	1993-05-05	PRIJEM	VKLAD	24999	50792	\N	\N	\N
521476	1780	1993-06-05	PRIJEM	VKLAD	37498	74388	\N	\N	\N
521477	1780	1993-07-05	PRIJEM	VKLAD	24999	76684	\N	\N	\N
521478	1780	1993-08-05	PRIJEM	VKLAD	24999	76498	\N	\N	\N
521479	1780	1993-09-05	PRIJEM	VKLAD	24999	74627	\N	\N	\N
521480	1780	1993-10-05	PRIJEM	VKLAD	24999	70548	\N	\N	\N
521481	1780	1993-11-05	PRIJEM	VKLAD	24999	69651	\N	\N	\N
521482	1780	1993-12-05	PRIJEM	VKLAD	37498	79328	\N	\N	\N
521483	1780	1994-01-05	PRIJEM	VKLAD	24999	72945	\N	\N	\N
521484	1780	1994-02-05	PRIJEM	VKLAD	24999	64531	\N	\N	\N
521485	1780	1994-03-05	PRIJEM	VKLAD	24999	70409	\N	\N	\N
521486	1780	1994-04-05	PRIJEM	VKLAD	24999	70208	\N	\N	\N
521487	1780	1994-05-05	PRIJEM	VKLAD	24999	71907	\N	\N	\N
521488	1780	1994-06-05	PRIJEM	VKLAD	37498	81369	\N	\N	\N
521489	1780	1994-07-05	PRIJEM	VKLAD	24999	68793	\N	\N	\N
521490	1780	1994-08-05	PRIJEM	VKLAD	24999	71182	\N	\N	\N
521491	1780	1994-09-05	PRIJEM	VKLAD	24999	73974	\N	\N	\N
521492	1780	1994-10-05	PRIJEM	VKLAD	24999	76582	\N	\N	\N
521493	1780	1994-11-05	PRIJEM	VKLAD	24999	77697	\N	\N	\N
521494	1780	1994-12-05	PRIJEM	VKLAD	37498	85014	\N	\N	\N
521495	1780	1995-01-05	PRIJEM	VKLAD	24999	82218	\N	\N	\N
521496	1780	1995-02-05	PRIJEM	VKLAD	24999	60840	\N	\N	\N
521497	1780	1995-03-05	PRIJEM	VKLAD	24999	67711	\N	\N	\N
521498	1780	1995-04-05	PRIJEM	VKLAD	24999	76796	\N	\N	\N
521499	1780	1995-05-05	PRIJEM	VKLAD	24999	74942	\N	\N	\N
521500	1780	1995-06-05	PRIJEM	VKLAD	37498	88142	\N	\N	\N
521501	1780	1995-07-05	PRIJEM	VKLAD	24999	67530	\N	\N	\N
521502	1780	1995-08-05	PRIJEM	VKLAD	24999	74407	\N	\N	\N
521503	1780	1995-09-05	PRIJEM	VKLAD	24999	80411	\N	\N	\N
521504	1780	1995-10-05	PRIJEM	VKLAD	24999	83433	\N	\N	\N
521505	1780	1995-11-05	PRIJEM	VKLAD	24999	78914	\N	\N	\N
521506	1780	1995-12-05	PRIJEM	VKLAD	37498	92907	\N	\N	\N
521507	1780	1996-01-05	PRIJEM	VKLAD	24999	78592	\N	\N	\N
521508	1780	1996-02-05	PRIJEM	VKLAD	24999	77304	\N	\N	\N
521509	1780	1996-03-05	PRIJEM	VKLAD	24999	82811	\N	\N	\N
521510	1780	1996-04-05	PRIJEM	VKLAD	24999	89144	\N	\N	\N
521511	1780	1996-05-05	PRIJEM	VKLAD	24999	88889	\N	\N	\N
521512	1780	1996-06-05	PRIJEM	VKLAD	37498	105740	\N	\N	\N
521513	1780	1996-07-05	PRIJEM	VKLAD	24999	68063	\N	\N	\N
521514	1780	1996-08-05	PRIJEM	VKLAD	24999	83451	\N	\N	\N
521515	1780	1996-09-05	PRIJEM	VKLAD	24999	89680	\N	\N	\N
521516	1780	1996-10-05	PRIJEM	VKLAD	24999	90660	\N	\N	\N
521517	1780	1996-11-05	PRIJEM	VKLAD	24999	97218	\N	\N	\N
521518	1780	1996-12-05	PRIJEM	VKLAD	37498	110484	\N	\N	\N
521519	1780	1997-01-05	PRIJEM	VKLAD	24999	104794	\N	\N	\N
521520	1780	1997-02-05	PRIJEM	VKLAD	24999	84574	\N	\N	\N
521521	1780	1997-03-05	PRIJEM	VKLAD	24999	98521	\N	\N	\N
521522	1780	1997-04-05	PRIJEM	VKLAD	24999	102000	\N	\N	\N
521523	1780	1997-05-05	PRIJEM	VKLAD	24999	101246	\N	\N	\N
521524	1780	1997-06-05	PRIJEM	VKLAD	37498	119038	\N	\N	\N
521525	1780	1997-07-05	PRIJEM	VKLAD	24999	72010	\N	\N	\N
521526	1780	1997-08-05	PRIJEM	VKLAD	24999	95937	\N	\N	\N
521527	1780	1997-09-05	PRIJEM	VKLAD	24999	108225	\N	\N	\N
521528	1780	1997-10-05	PRIJEM	VKLAD	24999	113044	\N	\N	\N
521529	1780	1997-11-05	PRIJEM	VKLAD	24999	118486	\N	\N	\N
521530	1780	1997-12-05	PRIJEM	VKLAD	37498	134435	\N	\N	\N
521531	1780	1998-01-05	PRIJEM	VKLAD	24999	89796	\N	\N	\N
521532	1780	1998-02-05	PRIJEM	VKLAD	24999	90051	\N	\N	\N
521533	1780	1998-03-05	PRIJEM	VKLAD	24999	103624	\N	\N	\N
521534	1780	1998-04-05	PRIJEM	VKLAD	24999	109629	\N	\N	\N
521535	1780	1998-05-05	PRIJEM	VKLAD	24999	119464	\N	\N	\N
521536	1780	1998-06-05	PRIJEM	VKLAD	37498	133409	\N	\N	\N
521537	1780	1998-07-05	PRIJEM	VKLAD	24999	100484	\N	\N	\N
521538	1780	1998-08-05	PRIJEM	VKLAD	24999	114295	\N	\N	\N
521539	1780	1998-09-05	PRIJEM	VKLAD	24999	123885	\N	\N	\N
521540	1780	1998-10-05	PRIJEM	VKLAD	24999	117920	\N	\N	\N
521541	1780	1998-11-05	PRIJEM	VKLAD	24999	137726	\N	\N	\N
521542	1780	1998-12-05	PRIJEM	VKLAD	37498	129816	\N	\N	\N
521550	1780	1993-08-07	VYDAJ	PREVOD NA UCET	5429	71069	SIPO	UV	76511865
521551	1780	1993-09-07	VYDAJ	PREVOD NA UCET	5429	69198	SIPO	UV	76511865
521552	1780	1993-10-07	VYDAJ	PREVOD NA UCET	5429	65119	SIPO	UV	76511865
521553	1780	1993-11-07	VYDAJ	PREVOD NA UCET	5429	64222	SIPO	UV	76511865
521554	1780	1993-12-07	VYDAJ	PREVOD NA UCET	5429	73899	SIPO	UV	76511865
521555	1780	1994-01-07	VYDAJ	PREVOD NA UCET	5429	67516	SIPO	UV	76511865
521556	1780	1994-02-07	VYDAJ	PREVOD NA UCET	5429	59102	SIPO	UV	76511865
521557	1780	1994-03-07	VYDAJ	PREVOD NA UCET	5429	64980	SIPO	UV	76511865
521558	1780	1994-04-07	VYDAJ	PREVOD NA UCET	5429	64779	SIPO	UV	76511865
521559	1780	1994-05-07	VYDAJ	PREVOD NA UCET	5429	66478	SIPO	UV	76511865
521560	1780	1994-06-07	VYDAJ	PREVOD NA UCET	5429	75940	SIPO	UV	76511865
521561	1780	1994-07-07	VYDAJ	PREVOD NA UCET	5429	63364	SIPO	UV	76511865
521562	1780	1994-08-07	VYDAJ	PREVOD NA UCET	5429	65753	SIPO	UV	76511865
521563	1780	1994-09-07	VYDAJ	PREVOD NA UCET	5429	68545	SIPO	UV	76511865
521564	1780	1994-10-07	VYDAJ	PREVOD NA UCET	5429	71153	SIPO	UV	76511865
521565	1780	1994-11-07	VYDAJ	PREVOD NA UCET	5429	72268	SIPO	UV	76511865
521566	1780	1994-12-07	VYDAJ	PREVOD NA UCET	5429	79585	SIPO	UV	76511865
521567	1780	1995-01-07	VYDAJ	PREVOD NA UCET	5429	76789	SIPO	UV	76511865
521568	1780	1995-02-07	VYDAJ	PREVOD NA UCET	5429	55411	SIPO	UV	76511865
521569	1780	1995-03-07	VYDAJ	PREVOD NA UCET	5429	62282	SIPO	UV	76511865
521570	1780	1995-04-07	VYDAJ	PREVOD NA UCET	5429	71367	SIPO	UV	76511865
521571	1780	1995-05-07	VYDAJ	PREVOD NA UCET	5429	69513	SIPO	UV	76511865
521572	1780	1995-06-07	VYDAJ	PREVOD NA UCET	5429	47353	SIPO	UV	76511865
521573	1780	1995-07-07	VYDAJ	PREVOD NA UCET	5429	62101	SIPO	UV	76511865
521574	1780	1995-08-07	VYDAJ	PREVOD NA UCET	5429	68978	SIPO	UV	76511865
521575	1780	1995-09-07	VYDAJ	PREVOD NA UCET	5429	74982	SIPO	UV	76511865
521576	1780	1995-10-07	VYDAJ	PREVOD NA UCET	5429	78004	SIPO	UV	76511865
521577	1780	1995-11-07	VYDAJ	PREVOD NA UCET	5429	73485	SIPO	UV	76511865
521578	1780	1995-12-07	VYDAJ	PREVOD NA UCET	5429	87478	SIPO	UV	76511865
521579	1780	1996-01-07	VYDAJ	PREVOD NA UCET	5429	69363	SIPO	UV	76511865
521580	1780	1996-02-07	VYDAJ	PREVOD NA UCET	5429	71875	SIPO	UV	76511865
521581	1780	1996-03-07	VYDAJ	PREVOD NA UCET	5429	77382	SIPO	UV	76511865
521582	1780	1996-04-07	VYDAJ	PREVOD NA UCET	5429	83715	SIPO	UV	76511865
521583	1780	1996-05-07	VYDAJ	PREVOD NA UCET	5429	83460	SIPO	UV	76511865
521584	1780	1996-06-07	VYDAJ	PREVOD NA UCET	5429	100311	SIPO	UV	76511865
521585	1780	1996-07-07	VYDAJ	PREVOD NA UCET	5429	62634	SIPO	UV	76511865
521586	1780	1996-08-07	VYDAJ	PREVOD NA UCET	5429	78022	SIPO	UV	76511865
521587	1780	1996-09-07	VYDAJ	PREVOD NA UCET	5429	84251	SIPO	UV	76511865
521588	1780	1996-10-07	VYDAJ	PREVOD NA UCET	5429	85231	SIPO	UV	76511865
521589	1780	1996-11-07	VYDAJ	PREVOD NA UCET	5429	91789	SIPO	UV	76511865
521590	1780	1996-12-07	VYDAJ	PREVOD NA UCET	5429	103755	SIPO	UV	76511865
521591	1780	1997-01-07	VYDAJ	PREVOD NA UCET	5429	99365	SIPO	UV	76511865
521592	1780	1997-02-07	VYDAJ	PREVOD NA UCET	5429	79145	SIPO	UV	76511865
521593	1780	1997-03-07	VYDAJ	PREVOD NA UCET	5429	93092	SIPO	UV	76511865
521594	1780	1997-04-07	VYDAJ	PREVOD NA UCET	5429	96571	SIPO	UV	76511865
521595	1780	1997-05-07	VYDAJ	PREVOD NA UCET	5429	95817	SIPO	UV	76511865
521596	1780	1997-06-07	VYDAJ	PREVOD NA UCET	5429	56609	SIPO	UV	76511865
521597	1780	1997-07-07	VYDAJ	PREVOD NA UCET	5429	66581	SIPO	UV	76511865
521598	1780	1997-08-07	VYDAJ	PREVOD NA UCET	5429	90508	SIPO	UV	76511865
521599	1780	1997-09-07	VYDAJ	PREVOD NA UCET	5429	98796	SIPO	UV	76511865
521600	1780	1997-10-07	VYDAJ	PREVOD NA UCET	5429	106915	SIPO	UV	76511865
521601	1780	1997-11-07	VYDAJ	PREVOD NA UCET	5429	113057	SIPO	UV	76511865
521602	1780	1997-12-07	VYDAJ	PREVOD NA UCET	5429	102006	SIPO	UV	76511865
521603	1780	1998-01-07	VYDAJ	PREVOD NA UCET	5429	75367	SIPO	UV	76511865
521604	1780	1998-02-07	VYDAJ	PREVOD NA UCET	5429	78322	SIPO	UV	76511865
521605	1780	1998-03-07	VYDAJ	PREVOD NA UCET	5429	98195	SIPO	UV	76511865
521606	1780	1998-04-07	VYDAJ	PREVOD NA UCET	5429	94100	SIPO	UV	76511865
521607	1780	1998-05-07	VYDAJ	PREVOD NA UCET	5429	95535	SIPO	UV	76511865
521608	1780	1998-06-07	VYDAJ	PREVOD NA UCET	5429	87480	SIPO	UV	76511865
521609	1780	1998-07-07	VYDAJ	PREVOD NA UCET	5429	88055	SIPO	UV	76511865
521610	1780	1998-08-07	VYDAJ	PREVOD NA UCET	5429	108866	SIPO	UV	76511865
521611	1780	1998-09-07	VYDAJ	PREVOD NA UCET	5429	88456	SIPO	UV	76511865
521612	1780	1998-10-07	VYDAJ	PREVOD NA UCET	5429	112491	SIPO	UV	76511865
521613	1780	1998-11-07	VYDAJ	PREVOD NA UCET	5429	77697	SIPO	UV	76511865
521614	1780	1998-12-07	VYDAJ	PREVOD NA UCET	5429	97287	SIPO	UV	76511865
521616	1780	1994-06-13	VYDAJ	VYBER	16480	59460	\N	\N	\N
521617	1780	1995-06-07	VYDAJ	VYBER	35360	52782	\N	\N	\N
521618	1780	1996-06-21	VYDAJ	VYBER	32320	42791	\N	\N	\N
521619	1780	1997-06-15	VYDAJ	VYBER	12320	50289	\N	\N	\N
521620	1780	1998-06-13	VYDAJ	VYBER	12320	75160	\N	\N	\N
521622	1780	1994-01-19	VYDAJ	VYBER	9760	52836	\N	\N	\N
521623	1780	1995-01-10	VYDAJ	VYBER	12320	61469	\N	\N	\N
521624	1780	1996-01-04	VYDAJ	VYBER	9760	53593	\N	\N	\N
521625	1780	1997-01-19	VYDAJ	VYBER	15680	61085	\N	\N	\N
521626	1780	1998-01-01	VYDAJ	VYBER	13600	64797	\N	\N	\N
521627	1780	1993-12-03	VYDAJ	VYBER	3520	41830	\N	\N	\N
521628	1780	1994-12-14	VYDAJ	VYBER	1440	78145	\N	\N	\N
521629	1780	1995-12-15	VYDAJ	VYBER KARTOU	2900	84578	\N	\N	0
521630	1780	1996-12-05	VYDAJ	VYBER KARTOU	1300	109184	\N	\N	0
521631	1780	1997-12-12	VYDAJ	VYBER	4320	83686	\N	\N	\N
521632	1780	1998-12-24	VYDAJ	VYBER KARTOU	1100	96187	\N	\N	0
521639	1780	1994-01-04	VYDAJ	VYBER	1920	47946	\N	\N	\N
521640	1780	1994-01-10	VYDAJ	VYBER	1200	64636	\N	\N	\N
521641	1780	1994-01-24	VYDAJ	VYBER	2520	47916	\N	\N	\N
521642	1780	1994-01-09	VYDAJ	VYBER	1680	65836	\N	\N	\N
521643	1780	1994-01-12	VYDAJ	VYBER	2040	62596	\N	\N	\N
521644	1780	1994-01-24	VYDAJ	VYBER	2400	50436	\N	\N	\N
521645	1780	1995-01-08	VYDAJ	VYBER	3000	73789	\N	\N	\N
521646	1780	1995-01-25	VYDAJ	VYBER	2640	41389	\N	\N	\N
521647	1780	1995-01-30	VYDAJ	VYBER	3000	35629	\N	\N	\N
521648	1780	1995-01-15	VYDAJ	VYBER	2160	59309	\N	\N	\N
521649	1780	1995-01-28	VYDAJ	VYBER	2760	38629	\N	\N	\N
521650	1780	1995-01-20	VYDAJ	VYBER	3480	55829	\N	\N	\N
521651	1780	1996-01-19	VYDAJ	VYBER KARTOU	700	58363	\N	\N	0
521652	1780	1996-01-13	VYDAJ	VYBER KARTOU	1000	67563	\N	\N	0
521653	1780	1996-01-21	VYDAJ	VYBER KARTOU	3400	54963	\N	\N	0
521654	1780	1996-01-13	VYDAJ	VYBER KARTOU	800	68563	\N	\N	0
521655	1780	1996-01-27	VYDAJ	VYBER KARTOU	2900	52063	\N	\N	0
521656	1780	1996-01-15	VYDAJ	VYBER KARTOU	1600	65963	\N	\N	0
521657	1780	1997-01-13	VYDAJ	VYBER KARTOU	1400	80365	\N	\N	0
521658	1780	1997-01-25	VYDAJ	VYBER KARTOU	700	60385	\N	\N	0
521659	1780	1997-01-17	VYDAJ	VYBER KARTOU	1400	76765	\N	\N	0
521660	1780	1997-01-29	VYDAJ	VYBER KARTOU	1100	59285	\N	\N	0
521661	1780	1997-01-14	VYDAJ	VYBER KARTOU	2200	78165	\N	\N	0
521662	1780	1997-01-10	VYDAJ	VYBER KARTOU	1100	98265	\N	\N	0
521663	1780	1998-01-06	VYDAJ	VYBER KARTOU	3200	80796	\N	\N	0
521664	1780	1998-01-28	VYDAJ	VYBER KARTOU	1900	68667	\N	\N	0
521665	1780	1998-01-06	VYDAJ	VYBER KARTOU	2600	83996	\N	\N	0
521666	1780	1998-01-12	VYDAJ	VYBER KARTOU	2900	72467	\N	\N	0
521667	1780	1998-01-21	VYDAJ	VYBER KARTOU	1900	70567	\N	\N	0
521668	1780	1998-01-30	VYDAJ	VYBER KARTOU	1000	67667	\N	\N	0
521671	1780	1994-06-01	VYDAJ	VYBER	2640	43871	\N	\N	\N
521672	1780	1994-12-04	VYDAJ	VYBER	5400	47516	\N	\N	\N
521673	1780	1994-08-12	VYDAJ	VYBER	3000	62753	\N	\N	\N
521674	1780	1994-11-24	VYDAJ	VYBER	1800	52668	\N	\N	\N
521675	1780	1995-02-18	VYDAJ	VYBER	3480	51931	\N	\N	\N
521676	1780	1995-05-17	VYDAJ	VYBER	1200	68313	\N	\N	\N
521677	1780	1995-10-20	VYDAJ	VYBER	4440	53664	\N	\N	\N
521678	1780	1995-04-14	VYDAJ	VYBER	2880	68487	\N	\N	\N
521679	1780	1995-11-24	VYDAJ	VYBER	4920	55165	\N	\N	\N
521680	1780	1995-04-28	VYDAJ	VYBER	1080	49707	\N	\N	\N
521681	1780	1996-04-21	VYDAJ	VYBER KARTOU	3200	63615	\N	\N	0
521682	1780	1996-08-15	VYDAJ	VYBER KARTOU	2500	64422	\N	\N	0
521683	1780	1996-09-14	VYDAJ	VYBER	5160	65391	\N	\N	\N
521684	1780	1996-01-07	VYDAJ	VYBER KARTOU	3800	74792	\N	\N	0
521685	1780	1996-12-24	VYDAJ	VYBER KARTOU	4000	79455	\N	\N	0
521686	1780	1997-03-10	VYDAJ	VYBER KARTOU	1900	91192	\N	\N	0
521687	1780	1997-04-21	VYDAJ	VYBER	4440	75931	\N	\N	\N
521688	1780	1997-10-05	VYDAJ	VYBER KARTOU	700	112344	\N	\N	0
521689	1780	1997-06-30	VYDAJ	VYBER KARTOU	3500	47011	\N	\N	0
521690	1780	1997-12-18	VYDAJ	VYBER	5640	78046	\N	\N	\N
521691	1780	1997-09-05	VYDAJ	VYBER KARTOU	4000	104225	\N	\N	0
521692	1780	1998-02-03	VYDAJ	VYBER KARTOU	2900	65052	\N	\N	0
521693	1780	1998-03-29	VYDAJ	VYBER KARTOU	3400	84295	\N	\N	0
521694	1780	1998-08-28	VYDAJ	VYBER KARTOU	3100	105766	\N	\N	0
521695	1780	1998-10-01	VYDAJ	VYBER KARTOU	2400	86421	\N	\N	0
521704	1780	1993-08-31	VYDAJ	VYBER	15	49628	SLUZBY	\N	\N
521705	1780	1993-09-30	VYDAJ	VYBER	15	45549	SLUZBY	\N	\N
521706	1780	1993-10-31	VYDAJ	VYBER	15	44652	SLUZBY	\N	\N
521707	1780	1993-11-30	VYDAJ	VYBER	15	45350	SLUZBY	\N	\N
521708	1780	1993-12-31	VYDAJ	VYBER	15	49866	SLUZBY	\N	\N
521709	1780	1994-01-31	VYDAJ	VYBER	15	39532	SLUZBY	\N	\N
521710	1780	1994-02-28	VYDAJ	VYBER	15	45410	SLUZBY	\N	\N
521711	1780	1994-03-31	VYDAJ	VYBER	15	45209	SLUZBY	\N	\N
521712	1780	1994-04-30	VYDAJ	VYBER	15	46908	SLUZBY	\N	\N
521713	1780	1994-05-31	VYDAJ	VYBER	15	46511	SLUZBY	\N	\N
521714	1780	1994-06-30	VYDAJ	VYBER	15	43794	SLUZBY	\N	\N
521715	1780	1994-07-31	VYDAJ	VYBER	15	46183	SLUZBY	\N	\N
521716	1780	1994-08-31	VYDAJ	VYBER	15	48975	SLUZBY	\N	\N
521717	1780	1994-09-30	VYDAJ	VYBER	15	51583	SLUZBY	\N	\N
521718	1780	1994-10-31	VYDAJ	VYBER	15	52698	SLUZBY	\N	\N
521719	1780	1994-11-30	VYDAJ	VYBER	15	52916	SLUZBY	\N	\N
521720	1780	1994-12-31	VYDAJ	VYBER	15	57219	SLUZBY	\N	\N
521721	1780	1995-01-31	VYDAJ	VYBER	15	35841	SLUZBY	\N	\N
521722	1780	1995-02-28	VYDAJ	VYBER	15	42712	SLUZBY	\N	\N
521723	1780	1995-03-31	VYDAJ	VYBER	15	51797	SLUZBY	\N	\N
521724	1780	1995-04-30	VYDAJ	VYBER	15	49943	SLUZBY	\N	\N
521725	1780	1995-05-31	VYDAJ	VYBER	15	50644	SLUZBY	\N	\N
521726	1780	1995-06-30	VYDAJ	VYBER	15	42531	SLUZBY	\N	\N
521727	1780	1995-07-31	VYDAJ	VYBER	15	49408	SLUZBY	\N	\N
521728	1780	1995-08-31	VYDAJ	VYBER	15	55412	SLUZBY	\N	\N
521729	1780	1995-09-30	VYDAJ	VYBER	15	58434	SLUZBY	\N	\N
521730	1780	1995-10-31	VYDAJ	VYBER	15	53915	SLUZBY	\N	\N
521731	1780	1995-11-30	VYDAJ	VYBER	15	55409	SLUZBY	\N	\N
521732	1780	1995-12-31	VYDAJ	VYBER	15	63353	SLUZBY	\N	\N
521733	1780	1996-01-31	VYDAJ	VYBER	15	52305	SLUZBY	\N	\N
521734	1780	1996-02-29	VYDAJ	VYBER	15	57812	SLUZBY	\N	\N
521735	1780	1996-03-31	VYDAJ	VYBER	15	64145	SLUZBY	\N	\N
521736	1780	1996-04-30	VYDAJ	VYBER	15	63890	SLUZBY	\N	\N
521737	1780	1996-05-31	VYDAJ	VYBER	15	68242	SLUZBY	\N	\N
521738	1780	1996-06-30	VYDAJ	VYBER	15	43064	SLUZBY	\N	\N
521739	1780	1996-07-31	VYDAJ	VYBER	15	58452	SLUZBY	\N	\N
521740	1780	1996-08-31	VYDAJ	VYBER	15	64681	SLUZBY	\N	\N
521741	1780	1996-09-30	VYDAJ	VYBER	15	65661	SLUZBY	\N	\N
521742	1780	1996-10-31	VYDAJ	VYBER	15	72219	SLUZBY	\N	\N
521743	1780	1996-11-30	VYDAJ	VYBER	15	72986	SLUZBY	\N	\N
521744	1780	1996-12-31	VYDAJ	VYBER	15	79795	SLUZBY	\N	\N
521745	1780	1997-01-31	VYDAJ	VYBER	15	59575	SLUZBY	\N	\N
521746	1780	1997-02-28	VYDAJ	VYBER	15	73522	SLUZBY	\N	\N
521747	1780	1997-03-31	VYDAJ	VYBER	15	77001	SLUZBY	\N	\N
521748	1780	1997-04-30	VYDAJ	VYBER	15	76247	SLUZBY	\N	\N
521749	1780	1997-05-31	VYDAJ	VYBER	15	81540	SLUZBY	\N	\N
521750	1780	1997-06-30	VYDAJ	VYBER	15	50511	SLUZBY	\N	\N
521751	1780	1997-07-31	VYDAJ	VYBER	15	70938	SLUZBY	\N	\N
521752	1780	1997-08-31	VYDAJ	VYBER	15	83226	SLUZBY	\N	\N
521753	1780	1997-09-30	VYDAJ	VYBER	15	88045	SLUZBY	\N	\N
521754	1780	1997-10-31	VYDAJ	VYBER	15	93487	SLUZBY	\N	\N
521755	1780	1997-11-30	VYDAJ	VYBER	15	96937	SLUZBY	\N	\N
521756	1780	1997-12-31	VYDAJ	VYBER	15	78397	SLUZBY	\N	\N
521757	1780	1998-01-31	VYDAJ	VYBER	15	67952	SLUZBY	\N	\N
521758	1780	1998-02-28	VYDAJ	VYBER	15	78625	SLUZBY	\N	\N
521759	1780	1998-03-31	VYDAJ	VYBER	15	84630	SLUZBY	\N	\N
521760	1780	1998-04-30	VYDAJ	VYBER	15	94465	SLUZBY	\N	\N
521761	1780	1998-05-31	VYDAJ	VYBER	15	95911	SLUZBY	\N	\N
521762	1780	1998-06-30	VYDAJ	VYBER	15	75485	SLUZBY	\N	\N
521763	1780	1998-07-31	VYDAJ	VYBER	15	88396	SLUZBY	\N	\N
521764	1780	1998-08-31	VYDAJ	VYBER	15	106186	SLUZBY	\N	\N
521765	1780	1998-09-30	VYDAJ	VYBER	15	88821	SLUZBY	\N	\N
521766	1780	1998-10-31	VYDAJ	VYBER	15	112927	SLUZBY	\N	\N
521767	1780	1998-11-30	VYDAJ	VYBER	15	78018	SLUZBY	\N	\N
521768	1780	1993-05-02	VYDAJ	VYBER	200	25793	\N	\N	\N
521769	1780	1993-06-01	VYDAJ	VYBER	14100	36890	\N	\N	\N
521770	1780	1993-07-01	VYDAJ	VYBER	23000	51685	\N	\N	\N
521771	1780	1993-07-31	VYDAJ	VYBER	25500	51499	\N	\N	\N
521772	1780	1993-08-30	VYDAJ	VYBER	21700	49369	\N	\N	\N
521773	1780	1993-09-29	VYDAJ	VYBER	23900	45298	\N	\N	\N
521774	1780	1993-10-29	VYDAJ	VYBER	20700	44419	\N	\N	\N
521775	1780	1993-11-28	VYDAJ	VYBER	19100	45122	\N	\N	\N
521776	1780	1993-12-28	VYDAJ	VYBER	24300	49599	\N	\N	\N
521777	1780	1994-01-27	VYDAJ	VYBER	8600	39316	\N	\N	\N
521778	1780	1994-02-26	VYDAJ	VYBER	13900	45202	\N	\N	\N
521779	1780	1994-03-28	VYDAJ	VYBER	20000	44980	\N	\N	\N
521780	1780	1994-04-27	VYDAJ	VYBER	18100	46679	\N	\N	\N
521781	1780	1994-05-27	VYDAJ	VYBER	20200	46278	\N	\N	\N
521782	1780	1994-06-26	VYDAJ	VYBER	15900	43560	\N	\N	\N
521783	1780	1994-07-26	VYDAJ	VYBER	17400	45964	\N	\N	\N
521784	1780	1994-08-25	VYDAJ	VYBER	14000	48753	\N	\N	\N
521785	1780	1994-09-24	VYDAJ	VYBER	17200	51345	\N	\N	\N
521786	1780	1994-10-24	VYDAJ	VYBER	18700	52453	\N	\N	\N
521787	1780	1994-11-23	VYDAJ	VYBER	17800	54468	\N	\N	\N
521788	1780	1994-12-23	VYDAJ	VYBER	21200	56945	\N	\N	\N
521789	1780	1995-01-22	VYDAJ	VYBER	11800	44029	\N	\N	\N
521790	1780	1995-02-21	VYDAJ	VYBER	9400	42531	\N	\N	\N
521791	1780	1995-03-23	VYDAJ	VYBER	10700	51582	\N	\N	\N
521792	1780	1995-04-22	VYDAJ	VYBER	17700	50787	\N	\N	\N
521793	1780	1995-05-22	VYDAJ	VYBER	17900	50413	\N	\N	\N
521794	1780	1995-06-21	VYDAJ	VYBER	5000	42353	\N	\N	\N
521795	1780	1995-07-21	VYDAJ	VYBER	12900	49201	\N	\N	\N
521796	1780	1995-08-20	VYDAJ	VYBER	13800	55178	\N	\N	\N
521797	1780	1995-09-19	VYDAJ	VYBER	16800	58182	\N	\N	\N
521798	1780	1995-10-19	VYDAJ	VYBER	19900	58104	\N	\N	\N
521799	1780	1995-11-18	VYDAJ	VYBER	13400	60085	\N	\N	\N
521800	1780	1995-12-18	VYDAJ	VYBER	21500	63078	\N	\N	\N
521801	1780	1996-01-17	VYDAJ	VYBER	6900	59063	\N	\N	\N
521802	1780	1996-02-16	VYDAJ	VYBER	14300	57575	\N	\N	\N
521803	1780	1996-03-17	VYDAJ	VYBER	13500	63882	\N	\N	\N
521804	1780	1996-04-16	VYDAJ	VYBER	16900	66815	\N	\N	\N
521805	1780	1996-05-16	VYDAJ	VYBER	15500	67960	\N	\N	\N
521806	1780	1996-06-15	VYDAJ	VYBER	25200	75111	\N	\N	\N
521807	1780	1996-07-15	VYDAJ	VYBER	4400	58234	\N	\N	\N
521808	1780	1996-08-14	VYDAJ	VYBER	11100	66922	\N	\N	\N
521809	1780	1996-09-13	VYDAJ	VYBER	13700	70551	\N	\N	\N
521810	1780	1996-10-13	VYDAJ	VYBER	13300	71931	\N	\N	\N
521811	1780	1996-11-12	VYDAJ	VYBER	19100	72689	\N	\N	\N
521812	1780	1996-12-12	VYDAJ	VYBER	20300	83455	\N	\N	\N
521813	1780	1997-01-11	VYDAJ	VYBER	16500	81765	\N	\N	\N
521814	1780	1997-02-10	VYDAJ	VYBER	5900	73245	\N	\N	\N
521815	1780	1997-03-12	VYDAJ	VYBER	14500	76692	\N	\N	\N
521816	1780	1997-04-11	VYDAJ	VYBER	16200	80371	\N	\N	\N
521817	1780	1997-05-11	VYDAJ	VYBER	14600	81217	\N	\N	\N
521818	1780	1997-06-05	VYDAJ	VYBER	57000	62038	\N	\N	\N
521819	1780	1997-06-10	PRIJEM	VKLAD	6000	62609	\N	\N	\N
521820	1780	1997-07-10	PRIJEM	VKLAD	4100	70681	\N	\N	\N
521821	1780	1997-08-09	VYDAJ	VYBER	7600	82908	\N	\N	\N
521822	1780	1997-09-08	VYDAJ	VYBER	11100	87696	\N	\N	\N
521823	1780	1997-10-08	VYDAJ	VYBER	13800	93115	\N	\N	\N
521824	1780	1997-11-07	VYDAJ	VYBER	16500	96557	\N	\N	\N
521825	1780	1997-12-05	VYDAJ	VYBER	27000	107435	\N	\N	\N
521826	1780	1997-12-07	VYDAJ	VYBER	14000	88006	\N	\N	\N
521827	1780	1998-01-06	VYDAJ	VYBER KARTOU	3200	86596	\N	\N	0
521828	1780	1998-02-05	VYDAJ	VYBER	6300	83751	\N	\N	\N
521829	1780	1998-03-07	VYDAJ	VYBER	10500	87695	\N	\N	\N
521830	1780	1998-04-06	VYDAJ	VYBER	10100	99529	\N	\N	\N
521831	1780	1998-05-06	VYDAJ	VYBER	18500	100964	\N	\N	\N
521832	1780	1998-06-05	VYDAJ	VYBER	25500	92909	\N	\N	\N
521833	1780	1998-06-05	VYDAJ	VYBER	15000	118409	\N	\N	\N
521834	1780	1998-07-05	VYDAJ	VYBER	7000	93484	\N	\N	\N
521835	1780	1998-08-04	PRIJEM	VKLAD	900	89296	\N	\N	\N
521836	1780	1998-09-03	VYDAJ	VYBER	7300	98886	\N	\N	\N
521837	1780	1998-09-05	VYDAJ	VYBER	30000	93885	\N	\N	\N
521838	1780	1998-10-03	PRIJEM	VKLAD	6500	92921	\N	\N	\N
521839	1780	1998-11-02	VYDAJ	VYBER KARTOU	200	112727	\N	\N	0
521840	1780	1998-11-05	VYDAJ	VYBER	54600	83126	\N	\N	\N
521841	1780	1998-12-02	PRIJEM	VKLAD	14300	92318	\N	\N	\N
521842	1780	1998-12-05	VYDAJ	VYBER	27100	102716	\N	\N	\N
521912	1781	1996-06-23	PRIJEM	VKLAD	400	400	\N	\N	\N
521914	1781	1996-12-21	PRIJEM	VKLAD	6592	28980	\N	\N	\N
521915	1781	1997-06-25	PRIJEM	VKLAD	37936	59893	\N	\N	\N
521916	1781	1997-08-10	PRIJEM	VKLAD	13808	53392	\N	\N	\N
521917	1781	1998-02-14	PRIJEM	VKLAD	40649	67680	\N	\N	\N
521918	1781	1998-10-03	PRIJEM	VKLAD	6186	40789	\N	\N	\N
521925	1781	1996-07-13	PRIJEM	VKLAD	1900	2300	\N	\N	\N
521926	1781	1996-08-16	PRIJEM	VKLAD	1900	13214	\N	\N	\N
521927	1781	1996-09-15	PRIJEM	VKLAD	1900	16966	\N	\N	\N
521928	1781	1996-10-15	PRIJEM	VKLAD	1900	19432	\N	\N	\N
521929	1781	1996-11-13	PRIJEM	VKLAD	1900	23611	\N	\N	\N
521930	1781	1996-12-14	PRIJEM	VKLAD	1900	24588	\N	\N	\N
521931	1781	1997-01-17	PRIJEM	VKLAD	1900	20918	\N	\N	\N
521932	1781	1997-02-14	PRIJEM	VKLAD	1900	14085	\N	\N	\N
521933	1781	1997-03-17	PRIJEM	VKLAD	1900	16576	\N	\N	\N
521934	1781	1997-04-15	PRIJEM	VKLAD	1900	17625	\N	\N	\N
521935	1781	1997-05-17	PRIJEM	VKLAD	1900	18985	\N	\N	\N
521936	1781	1997-06-17	PRIJEM	VKLAD	1900	24757	\N	\N	\N
521937	1781	1997-07-17	PRIJEM	VKLAD	1900	56200	\N	\N	\N
521938	1781	1997-08-14	PRIJEM	VKLAD	1900	55292	\N	\N	\N
521939	1781	1997-09-14	PRIJEM	VKLAD	1900	41501	\N	\N	\N
521940	1781	1997-10-13	PRIJEM	VKLAD	1900	34045	\N	\N	\N
521941	1781	1997-11-13	PRIJEM	VKLAD	1900	28556	\N	\N	\N
521942	1781	1997-12-16	PRIJEM	VKLAD	1900	28553	\N	\N	\N
521943	1781	1998-01-15	PRIJEM	VKLAD	1900	24403	\N	\N	\N
521944	1781	1998-02-16	PRIJEM	VKLAD	1900	69580	\N	\N	\N
521945	1781	1998-03-16	PRIJEM	VKLAD	1900	50608	\N	\N	\N
521946	1781	1998-04-15	PRIJEM	VKLAD	1900	42940	\N	\N	\N
521947	1781	1998-05-16	PRIJEM	VKLAD	1900	40919	\N	\N	\N
521948	1781	1998-06-14	PRIJEM	VKLAD	1900	24530	\N	\N	\N
521949	1781	1998-07-14	PRIJEM	VKLAD	1900	29221	\N	\N	\N
521950	1781	1998-08-17	PRIJEM	VKLAD	1900	33610	\N	\N	\N
521951	1781	1998-09-13	PRIJEM	VKLAD	1900	35325	\N	\N	\N
521952	1781	1998-10-17	PRIJEM	VKLAD	1900	34289	\N	\N	\N
521953	1781	1998-11-15	PRIJEM	VKLAD	1900	33916	\N	\N	\N
521954	1781	1998-12-17	PRIJEM	VKLAD	1900	32143	\N	\N	\N
521956	1781	1997-06-27	VYDAJ	VYBER	5700	54193	\N	\N	\N
521957	1781	1998-06-25	VYDAJ	VYBER	5700	18830	\N	\N	\N
521959	1781	1997-01-22	VYDAJ	VYBER	5400	13218	\N	\N	\N
521960	1781	1998-01-02	VYDAJ	VYBER	6100	22553	\N	\N	\N
521963	1781	1998-06-02	VYDAJ	VYBER	24600	16480	\N	\N	\N
521965	1781	1997-01-11	VYDAJ	VYBER	4700	19018	\N	\N	\N
521967	1781	1996-12-27	VYDAJ	VYBER	1300	27680	\N	\N	\N
521968	1781	1997-12-11	VYDAJ	VYBER	2100	24753	\N	\N	\N
521969	1781	1998-12-29	VYDAJ	VYBER	1800	30343	\N	\N	\N
521976	1781	1997-01-25	VYDAJ	VYBER	1100	12118	\N	\N	\N
521977	1781	1997-01-06	VYDAJ	VYBER	1400	26118	\N	\N	\N
521978	1781	1997-01-02	VYDAJ	VYBER	250	27518	\N	\N	\N
521979	1781	1997-01-22	VYDAJ	VYBER	1350	18618	\N	\N	\N
521982	1781	1998-01-16	VYDAJ	VYBER	1400	21803	\N	\N	\N
521983	1781	1998-01-06	VYDAJ	VYBER	900	21653	\N	\N	\N
521984	1781	1998-01-24	VYDAJ	VYBER	700	20503	\N	\N	\N
521985	1781	1998-01-16	VYDAJ	VYBER	600	21203	\N	\N	\N
521986	1781	1998-01-15	VYDAJ	VYBER	1200	23203	\N	\N	\N
521987	1781	1998-01-11	VYDAJ	VYBER	750	20903	\N	\N	\N
521995	1781	1997-05-05	VYDAJ	VYBER	2200	17085	\N	\N	\N
521996	1781	1997-02-14	VYDAJ	VYBER	850	13235	\N	\N	\N
521997	1781	1997-09-03	VYDAJ	VYBER	1450	39601	\N	\N	\N
521998	1781	1997-10-07	VYDAJ	VYBER	1900	32145	\N	\N	\N
521999	1781	1997-09-29	VYDAJ	VYBER	1300	33901	\N	\N	\N
522000	1781	1997-04-08	VYDAJ	VYBER	800	15725	\N	\N	\N
522001	1781	1997-01-19	VYDAJ	VYBER	550	20368	\N	\N	\N
522002	1781	1997-01-09	VYDAJ	VYBER	2400	23718	\N	\N	\N
522003	1781	1997-05-26	VYDAJ	VYBER	400	22785	\N	\N	\N
522004	1781	1998-06-08	VYDAJ	VYBER	1750	14730	\N	\N	\N
522005	1781	1998-01-13	VYDAJ	VYBER	2100	18803	\N	\N	\N
522006	1781	1998-02-23	VYDAJ	VYBER	1250	68330	\N	\N	\N
522007	1781	1998-01-28	VYDAJ	VYBER	450	20053	\N	\N	\N
522008	1781	1998-09-16	VYDAJ	VYBER	850	34475	\N	\N	\N
522020	1781	1996-11-30	VYDAJ	VYBER	15	22688	SLUZBY	\N	\N
522021	1781	1996-12-31	VYDAJ	VYBER	15	27768	SLUZBY	\N	\N
522022	1781	1997-01-31	VYDAJ	VYBER	15	12185	SLUZBY	\N	\N
522023	1781	1997-02-28	VYDAJ	VYBER	15	14676	SLUZBY	\N	\N
522024	1781	1997-03-31	VYDAJ	VYBER	15	16525	SLUZBY	\N	\N
522025	1781	1997-04-30	VYDAJ	VYBER	15	19285	SLUZBY	\N	\N
522026	1781	1997-05-31	VYDAJ	VYBER	15	22857	SLUZBY	\N	\N
522027	1781	1997-06-30	VYDAJ	VYBER	15	54300	SLUZBY	\N	\N
522028	1781	1997-07-31	VYDAJ	VYBER	15	39584	SLUZBY	\N	\N
522029	1781	1997-08-31	VYDAJ	VYBER	15	41051	SLUZBY	\N	\N
522030	1781	1997-09-30	VYDAJ	VYBER	15	34045	SLUZBY	\N	\N
522031	1781	1997-10-31	VYDAJ	VYBER	15	26656	SLUZBY	\N	\N
522032	1781	1997-11-30	VYDAJ	VYBER	15	26853	SLUZBY	\N	\N
522033	1781	1997-12-31	VYDAJ	VYBER	15	28653	SLUZBY	\N	\N
522034	1781	1998-01-31	VYDAJ	VYBER	15	20131	SLUZBY	\N	\N
522035	1781	1998-02-28	VYDAJ	VYBER	15	68508	SLUZBY	\N	\N
522036	1781	1998-03-31	VYDAJ	VYBER	15	50840	SLUZBY	\N	\N
522037	1781	1998-04-30	VYDAJ	VYBER	15	43119	SLUZBY	\N	\N
522038	1781	1998-05-31	VYDAJ	VYBER	15	41080	SLUZBY	\N	\N
522039	1781	1998-06-30	VYDAJ	VYBER	15	18921	SLUZBY	\N	\N
522040	1781	1998-07-31	VYDAJ	VYBER	15	29310	SLUZBY	\N	\N
522041	1781	1998-08-31	VYDAJ	VYBER	15	33725	SLUZBY	\N	\N
522042	1781	1998-09-30	VYDAJ	VYBER	15	34603	SLUZBY	\N	\N
522043	1781	1998-10-31	VYDAJ	VYBER	15	34416	SLUZBY	\N	\N
522044	1781	1998-11-30	VYDAJ	VYBER	15	34043	SLUZBY	\N	\N
522045	1781	1996-07-23	PRIJEM	VKLAD	9000	11300	\N	\N	\N
522046	1781	1996-08-22	PRIJEM	VKLAD	1800	15014	\N	\N	\N
522047	1781	1996-09-21	PRIJEM	VKLAD	500	17466	\N	\N	\N
522048	1781	1996-10-21	PRIJEM	VKLAD	2200	21632	\N	\N	\N
522049	1781	1996-11-20	VYDAJ	VYBER	1000	22611	\N	\N	\N
522050	1781	1996-12-20	VYDAJ	VYBER	2200	22388	\N	\N	\N
522051	1781	1997-01-19	VYDAJ	VYBER	400	19968	\N	\N	\N
522052	1781	1997-02-18	PRIJEM	VKLAD	1400	14635	\N	\N	\N
522053	1781	1997-03-20	VYDAJ	VYBER	100	16476	\N	\N	\N
522054	1781	1997-04-19	PRIJEM	VKLAD	1600	19225	\N	\N	\N
522055	1781	1997-05-19	PRIJEM	VKLAD	4200	23185	\N	\N	\N
522056	1781	1997-06-18	VYDAJ	VYBER	2800	21957	\N	\N	\N
522057	1781	1997-07-18	VYDAJ	VYBER	16800	39400	\N	\N	\N
522058	1781	1997-08-17	VYDAJ	VYBER	14400	40892	\N	\N	\N
522059	1781	1997-09-16	VYDAJ	VYBER	6300	35201	\N	\N	\N
522060	1781	1997-10-16	VYDAJ	VYBER	7500	26545	\N	\N	\N
522061	1781	1997-11-15	VYDAJ	VYBER	1800	26756	\N	\N	\N
522062	1781	1997-12-15	PRIJEM	VKLAD	1900	26653	\N	\N	\N
522063	1781	1998-01-14	PRIJEM	VKLAD	3700	22503	\N	\N	\N
522064	1781	1998-02-13	PRIJEM	VKLAD	6900	27031	\N	\N	\N
522065	1781	1998-03-15	VYDAJ	VYBER	19800	48708	\N	\N	\N
522066	1781	1998-04-14	VYDAJ	VYBER	9800	41040	\N	\N	\N
522067	1781	1998-05-14	VYDAJ	VYBER	4100	39019	\N	\N	\N
522068	1781	1998-06-13	PRIJEM	VKLAD	7900	22630	\N	\N	\N
522069	1781	1998-07-13	PRIJEM	VKLAD	8400	27321	\N	\N	\N
522070	1781	1998-08-12	PRIJEM	VKLAD	2400	31710	\N	\N	\N
522071	1781	1998-09-11	VYDAJ	VYBER	300	33425	\N	\N	\N
522072	1781	1998-10-11	VYDAJ	VYBER	8400	32389	\N	\N	\N
522073	1781	1998-11-10	VYDAJ	VYBER	2400	32016	\N	\N	\N
522074	1781	1998-12-10	VYDAJ	VYBER	3800	30243	\N	\N	\N
522105	1782	1993-05-12	PRIJEM	VKLAD	700	700	\N	\N	\N
522111	1782	1993-06-10	PRIJEM	PREVOD Z UCTU	6542	7242	DUCHOD	OP	80882119
522112	1782	1993-07-10	PRIJEM	PREVOD Z UCTU	6542	13784	DUCHOD	OP	80882119
522113	1782	1993-08-10	PRIJEM	PREVOD Z UCTU	6542	20326	DUCHOD	OP	80882119
522114	1782	1993-09-10	PRIJEM	PREVOD Z UCTU	6542	26868	DUCHOD	OP	80882119
522115	1782	1993-10-10	PRIJEM	PREVOD Z UCTU	6542	32910	DUCHOD	OP	80882119
522116	1782	1993-11-10	PRIJEM	PREVOD Z UCTU	6542	31775	DUCHOD	OP	80882119
522117	1782	1993-12-10	PRIJEM	PREVOD Z UCTU	6542	30491	DUCHOD	OP	80882119
522118	1782	1994-01-10	PRIJEM	PREVOD Z UCTU	6542	29622	DUCHOD	OP	80882119
522119	1782	1994-02-10	PRIJEM	PREVOD Z UCTU	6542	27978	DUCHOD	OP	80882119
522120	1782	1994-03-10	PRIJEM	PREVOD Z UCTU	6542	29773	DUCHOD	OP	80882119
522121	1782	1994-04-10	PRIJEM	PREVOD Z UCTU	6542	29892	DUCHOD	OP	80882119
522122	1782	1994-05-10	PRIJEM	PREVOD Z UCTU	6542	31635	DUCHOD	OP	80882119
522123	1782	1994-06-10	PRIJEM	PREVOD Z UCTU	6542	32448	DUCHOD	OP	80882119
522124	1782	1994-07-10	PRIJEM	PREVOD Z UCTU	6542	26962	DUCHOD	OP	80882119
522125	1782	1994-08-10	PRIJEM	PREVOD Z UCTU	6542	30353	DUCHOD	OP	80882119
522126	1782	1994-09-10	PRIJEM	PREVOD Z UCTU	6542	31158	DUCHOD	OP	80882119
522127	1782	1994-10-10	PRIJEM	PREVOD Z UCTU	6542	32670	DUCHOD	OP	80882119
522128	1782	1994-11-10	PRIJEM	PREVOD Z UCTU	6542	32688	DUCHOD	OP	80882119
522129	1782	1994-12-10	PRIJEM	PREVOD Z UCTU	6542	30827	DUCHOD	OP	80882119
522130	1782	1995-01-10	PRIJEM	PREVOD Z UCTU	6542	29691	DUCHOD	OP	80882119
522131	1782	1995-02-10	PRIJEM	PREVOD Z UCTU	6542	24756	DUCHOD	OP	80882119
522132	1782	1995-03-10	PRIJEM	PREVOD Z UCTU	6542	24207	DUCHOD	OP	80882119
522133	1782	1995-04-10	PRIJEM	PREVOD Z UCTU	6542	27586	DUCHOD	OP	80882119
522134	1782	1995-05-10	PRIJEM	PREVOD Z UCTU	6542	30979	DUCHOD	OP	80882119
522135	1782	1995-06-10	PRIJEM	PREVOD Z UCTU	6542	31565	DUCHOD	OP	80882119
522136	1782	1995-07-10	PRIJEM	PREVOD Z UCTU	6542	34977	DUCHOD	OP	80882119
522137	1782	1995-08-10	PRIJEM	PREVOD Z UCTU	6542	34712	DUCHOD	OP	80882119
522138	1782	1995-09-10	PRIJEM	PREVOD Z UCTU	6542	37634	DUCHOD	OP	80882119
522139	1782	1995-10-10	PRIJEM	PREVOD Z UCTU	6542	39229	DUCHOD	OP	80882119
522140	1782	1995-11-10	PRIJEM	PREVOD Z UCTU	6542	39792	DUCHOD	OP	80882119
522141	1782	1995-12-10	PRIJEM	PREVOD Z UCTU	6542	39746	DUCHOD	OP	80882119
522142	1782	1996-01-10	PRIJEM	PREVOD Z UCTU	6542	39030	DUCHOD	OP	80882119
522143	1782	1996-02-10	PRIJEM	PREVOD Z UCTU	6542	35100	DUCHOD	OP	80882119
522144	1782	1996-03-10	PRIJEM	PREVOD Z UCTU	6542	38524	DUCHOD	OP	80882119
522145	1782	1996-04-10	PRIJEM	PREVOD Z UCTU	6542	41962	DUCHOD	OP	80882119
522146	1782	1996-05-10	PRIJEM	PREVOD Z UCTU	6542	41373	DUCHOD	OP	80882119
522147	1782	1996-06-10	PRIJEM	PREVOD Z UCTU	6542	44826	DUCHOD	OP	80882119
522148	1782	1996-07-10	PRIJEM	PREVOD Z UCTU	6542	41415	DUCHOD	OP	80882119
522149	1782	1996-08-10	PRIJEM	PREVOD Z UCTU	6542	44867	DUCHOD	OP	80882119
522150	1782	1996-09-10	PRIJEM	PREVOD Z UCTU	6542	48331	DUCHOD	OP	80882119
522151	1782	1996-10-10	PRIJEM	PREVOD Z UCTU	6542	50047	DUCHOD	OP	80882119
522152	1782	1996-11-10	PRIJEM	PREVOD Z UCTU	6542	50733	DUCHOD	OP	80882119
522153	1782	1996-12-10	PRIJEM	PREVOD Z UCTU	6542	47256	DUCHOD	OP	80882119
522154	1782	1997-01-10	PRIJEM	PREVOD Z UCTU	6542	47649	DUCHOD	OP	80882119
522155	1782	1997-02-10	PRIJEM	PREVOD Z UCTU	6542	44405	DUCHOD	OP	80882119
522156	1782	1997-03-10	PRIJEM	PREVOD Z UCTU	6542	44830	DUCHOD	OP	80882119
522157	1782	1997-04-10	PRIJEM	PREVOD Z UCTU	6542	48298	DUCHOD	OP	80882119
522158	1782	1997-05-10	PRIJEM	PREVOD Z UCTU	6542	49135	DUCHOD	OP	80882119
522159	1782	1997-06-10	PRIJEM	PREVOD Z UCTU	6542	48866	DUCHOD	OP	80882119
522160	1782	1997-07-10	PRIJEM	PREVOD Z UCTU	6542	52352	DUCHOD	OP	80882119
522161	1782	1997-08-10	PRIJEM	PREVOD Z UCTU	6542	53121	DUCHOD	OP	80882119
522162	1782	1997-09-10	PRIJEM	PREVOD Z UCTU	6542	56619	DUCHOD	OP	80882119
522163	1782	1997-10-10	PRIJEM	PREVOD Z UCTU	6542	60131	DUCHOD	OP	80882119
522164	1782	1997-11-10	PRIJEM	PREVOD Z UCTU	6542	63657	DUCHOD	OP	80882119
522165	1782	1997-12-10	PRIJEM	PREVOD Z UCTU	6542	67199	DUCHOD	OP	80882119
522166	1782	1998-01-10	PRIJEM	PREVOD Z UCTU	6542	68704	DUCHOD	OP	80882119
522167	1782	1998-02-10	PRIJEM	PREVOD Z UCTU	6542	68502	DUCHOD	OP	80882119
522168	1782	1998-03-10	PRIJEM	PREVOD Z UCTU	6542	72063	DUCHOD	OP	80882119
522169	1782	1998-04-10	PRIJEM	PREVOD Z UCTU	6542	71879	DUCHOD	OP	80882119
522170	1782	1998-05-10	PRIJEM	PREVOD Z UCTU	6542	75459	DUCHOD	OP	80882119
522171	1782	1998-06-10	PRIJEM	PREVOD Z UCTU	6542	77929	DUCHOD	OP	80882119
522172	1782	1998-07-10	PRIJEM	PREVOD Z UCTU	6542	73673	DUCHOD	OP	80882119
522173	1782	1998-08-10	PRIJEM	PREVOD Z UCTU	6542	76055	DUCHOD	OP	80882119
522174	1782	1998-09-10	PRIJEM	PREVOD Z UCTU	6542	79647	DUCHOD	OP	80882119
522175	1782	1998-10-10	PRIJEM	PREVOD Z UCTU	6542	83253	DUCHOD	OP	80882119
522176	1782	1998-11-10	PRIJEM	PREVOD Z UCTU	6542	86875	DUCHOD	OP	80882119
522177	1782	1998-12-10	PRIJEM	PREVOD Z UCTU	6542	84137	DUCHOD	OP	80882119
522187	1782	1993-10-11	VYDAJ	PREVOD NA UCET	3231	29679	SIPO	EF	99716561
522188	1782	1993-11-11	VYDAJ	PREVOD NA UCET	3231	28544	SIPO	EF	99716561
522189	1782	1993-12-11	VYDAJ	PREVOD NA UCET	3231	27260	SIPO	EF	99716561
522190	1782	1994-01-11	VYDAJ	PREVOD NA UCET	3231	26391	SIPO	EF	99716561
522191	1782	1994-02-11	VYDAJ	PREVOD NA UCET	3231	24747	SIPO	EF	99716561
522192	1782	1994-03-11	VYDAJ	PREVOD NA UCET	3231	26542	SIPO	EF	99716561
522193	1782	1994-04-11	VYDAJ	PREVOD NA UCET	3231	26661	SIPO	EF	99716561
522194	1782	1994-05-11	VYDAJ	PREVOD NA UCET	3231	28404	SIPO	EF	99716561
522195	1782	1994-06-11	VYDAJ	PREVOD NA UCET	3231	29217	SIPO	EF	99716561
522196	1782	1994-07-11	VYDAJ	PREVOD NA UCET	3231	23731	SIPO	EF	99716561
522197	1782	1994-08-11	VYDAJ	PREVOD NA UCET	3231	27122	SIPO	EF	99716561
522198	1782	1994-09-11	VYDAJ	PREVOD NA UCET	3231	27927	SIPO	EF	99716561
522199	1782	1994-10-11	VYDAJ	PREVOD NA UCET	3231	29439	SIPO	EF	99716561
522200	1782	1994-11-11	VYDAJ	PREVOD NA UCET	3231	29457	SIPO	EF	99716561
522201	1782	1994-12-11	VYDAJ	PREVOD NA UCET	3231	24636	SIPO	EF	99716561
522202	1782	1995-01-11	VYDAJ	PREVOD NA UCET	3231	26460	SIPO	EF	99716561
522203	1782	1995-02-11	VYDAJ	PREVOD NA UCET	3231	17605	SIPO	EF	99716561
522204	1782	1995-03-11	VYDAJ	PREVOD NA UCET	3231	20976	SIPO	EF	99716561
522205	1782	1995-04-11	VYDAJ	PREVOD NA UCET	3231	24355	SIPO	EF	99716561
522206	1782	1995-05-11	VYDAJ	PREVOD NA UCET	3231	27748	SIPO	EF	99716561
522207	1782	1995-06-11	VYDAJ	PREVOD NA UCET	3231	28334	SIPO	EF	99716561
522208	1782	1995-07-11	VYDAJ	PREVOD NA UCET	3231	28066	SIPO	EF	99716561
522209	1782	1995-08-11	VYDAJ	PREVOD NA UCET	3231	31481	SIPO	EF	99716561
522210	1782	1995-09-11	VYDAJ	PREVOD NA UCET	3231	34403	SIPO	EF	99716561
522211	1782	1995-10-11	VYDAJ	PREVOD NA UCET	3231	35998	SIPO	EF	99716561
522212	1782	1995-11-11	VYDAJ	PREVOD NA UCET	3231	36561	SIPO	EF	99716561
522213	1782	1995-12-11	VYDAJ	PREVOD NA UCET	3231	36515	SIPO	EF	99716561
522214	1782	1996-01-11	VYDAJ	PREVOD NA UCET	3231	35799	SIPO	EF	99716561
522215	1782	1996-02-11	VYDAJ	PREVOD NA UCET	3231	31869	SIPO	EF	99716561
522216	1782	1996-03-11	VYDAJ	PREVOD NA UCET	3231	35293	SIPO	EF	99716561
522217	1782	1996-04-11	VYDAJ	PREVOD NA UCET	3231	38731	SIPO	EF	99716561
522218	1782	1996-05-11	VYDAJ	PREVOD NA UCET	3231	38142	SIPO	EF	99716561
522219	1782	1996-06-11	VYDAJ	PREVOD NA UCET	3231	41595	SIPO	EF	99716561
522220	1782	1996-07-11	VYDAJ	PREVOD NA UCET	3231	38184	SIPO	EF	99716561
522221	1782	1996-08-11	VYDAJ	PREVOD NA UCET	3231	41636	SIPO	EF	99716561
522222	1782	1996-09-11	VYDAJ	PREVOD NA UCET	3231	45100	SIPO	EF	99716561
522223	1782	1996-10-11	VYDAJ	PREVOD NA UCET	3231	46816	SIPO	EF	99716561
522224	1782	1996-11-11	VYDAJ	PREVOD NA UCET	3231	44222	SIPO	EF	99716561
522225	1782	1996-12-11	VYDAJ	PREVOD NA UCET	3231	44025	SIPO	EF	99716561
522226	1782	1997-01-11	VYDAJ	PREVOD NA UCET	3231	43618	SIPO	EF	99716561
522227	1782	1997-02-11	VYDAJ	PREVOD NA UCET	3231	41174	SIPO	EF	99716561
522228	1782	1997-03-11	VYDAJ	PREVOD NA UCET	3231	41599	SIPO	EF	99716561
522229	1782	1997-04-11	VYDAJ	PREVOD NA UCET	3231	45067	SIPO	EF	99716561
522230	1782	1997-05-11	VYDAJ	PREVOD NA UCET	3231	45904	SIPO	EF	99716561
522231	1782	1997-06-11	VYDAJ	PREVOD NA UCET	3231	45635	SIPO	EF	99716561
522232	1782	1997-07-11	VYDAJ	PREVOD NA UCET	3231	49121	SIPO	EF	99716561
522233	1782	1997-08-11	VYDAJ	PREVOD NA UCET	3231	49890	SIPO	EF	99716561
522234	1782	1997-09-11	VYDAJ	PREVOD NA UCET	3231	53388	SIPO	EF	99716561
522235	1782	1997-10-11	VYDAJ	PREVOD NA UCET	3231	56900	SIPO	EF	99716561
522236	1782	1997-11-11	VYDAJ	PREVOD NA UCET	3231	60426	SIPO	EF	99716561
522237	1782	1997-12-11	VYDAJ	PREVOD NA UCET	3231	63968	SIPO	EF	99716561
522238	1782	1998-01-11	VYDAJ	PREVOD NA UCET	3231	65473	SIPO	EF	99716561
522239	1782	1998-02-11	VYDAJ	PREVOD NA UCET	3231	65271	SIPO	EF	99716561
522240	1782	1998-03-11	VYDAJ	PREVOD NA UCET	3231	68832	SIPO	EF	99716561
522241	1782	1998-04-11	VYDAJ	PREVOD NA UCET	3231	68648	SIPO	EF	99716561
522242	1782	1998-05-11	VYDAJ	PREVOD NA UCET	3231	72228	SIPO	EF	99716561
522243	1782	1998-06-11	VYDAJ	PREVOD NA UCET	3231	74698	SIPO	EF	99716561
522244	1782	1998-07-11	VYDAJ	PREVOD NA UCET	3231	70442	SIPO	EF	99716561
522245	1782	1998-08-11	VYDAJ	PREVOD NA UCET	3231	72824	SIPO	EF	99716561
522246	1782	1998-09-11	VYDAJ	PREVOD NA UCET	3231	76416	SIPO	EF	99716561
522247	1782	1998-10-11	VYDAJ	PREVOD NA UCET	3231	80022	SIPO	EF	99716561
522248	1782	1998-11-11	VYDAJ	PREVOD NA UCET	3231	83644	SIPO	EF	99716561
522249	1782	1998-12-11	VYDAJ	PREVOD NA UCET	3231	80906	SIPO	EF	99716561
522251	1782	1994-06-28	VYDAJ	VYBER	8900	20317	\N	\N	\N
522253	1782	1996-06-24	VYDAJ	VYBER	5750	35845	\N	\N	\N
522254	1782	1997-06-09	VYDAJ	VYBER	3750	42324	\N	\N	\N
522255	1782	1998-06-15	VYDAJ	VYBER	5200	69498	\N	\N	\N
522256	1782	1993-12-03	VYDAJ	VYBER	800	27849	\N	\N	\N
522257	1782	1994-12-30	VYDAJ	VYBER	300	24336	\N	\N	\N
522258	1782	1995-12-07	VYDAJ	VYBER	850	33204	\N	\N	\N
522259	1782	1996-12-22	VYDAJ	VYBER	600	43425	\N	\N	\N
522260	1782	1997-12-16	VYDAJ	VYBER	450	63518	\N	\N	\N
522261	1782	1998-12-07	VYDAJ	VYBER	1050	77595	\N	\N	\N
522268	1782	1994-01-02	VYDAJ	VYBER	1280	26080	\N	\N	\N
522269	1782	1994-01-17	VYDAJ	VYBER	880	22951	\N	\N	\N
522270	1782	1994-01-19	VYDAJ	VYBER	400	22551	\N	\N	\N
522271	1782	1994-01-15	VYDAJ	VYBER	560	23831	\N	\N	\N
522272	1782	1994-01-12	VYDAJ	VYBER	2000	24391	\N	\N	\N
522273	1782	1994-01-28	VYDAJ	VYBER	1200	21351	\N	\N	\N
522274	1782	1995-01-12	VYDAJ	VYBER	1520	24940	\N	\N	\N
522275	1782	1995-01-15	VYDAJ	VYBER	2080	20460	\N	\N	\N
522276	1782	1995-01-04	VYDAJ	VYBER	1280	23149	\N	\N	\N
522277	1782	1995-01-14	VYDAJ	VYBER	2000	22540	\N	\N	\N
522278	1782	1995-01-22	VYDAJ	VYBER	640	18140	\N	\N	\N
522279	1782	1995-01-16	VYDAJ	VYBER	1680	18780	\N	\N	\N
522280	1782	1996-01-20	VYDAJ	VYBER	1840	30679	\N	\N	\N
522281	1782	1996-01-03	VYDAJ	VYBER	1680	32968	\N	\N	\N
522282	1782	1996-01-17	VYDAJ	VYBER	1280	32519	\N	\N	\N
522283	1782	1996-01-20	VYDAJ	VYBER	2240	28439	\N	\N	\N
522284	1782	1996-01-07	VYDAJ	VYBER	480	32488	\N	\N	\N
522285	1782	1996-01-17	VYDAJ	VYBER	2000	33799	\N	\N	\N
522286	1782	1997-01-30	VYDAJ	VYBER	1920	39458	\N	\N	\N
522287	1782	1997-01-30	VYDAJ	VYBER	640	41378	\N	\N	\N
522288	1782	1997-01-09	VYDAJ	VYBER	1280	41107	\N	\N	\N
522289	1782	1997-01-02	VYDAJ	VYBER	1200	42387	\N	\N	\N
522290	1782	1997-01-16	VYDAJ	VYBER	400	43218	\N	\N	\N
522291	1782	1997-01-11	VYDAJ	VYBER	800	46849	\N	\N	\N
522292	1782	1998-01-02	VYDAJ	VYBER	400	62162	\N	\N	\N
522293	1782	1998-01-19	VYDAJ	VYBER	800	64673	\N	\N	\N
522294	1782	1998-01-21	VYDAJ	VYBER	1520	63153	\N	\N	\N
522295	1782	1998-01-22	VYDAJ	VYBER	400	61713	\N	\N	\N
522296	1782	1998-01-01	VYDAJ	VYBER	1200	62562	\N	\N	\N
522297	1782	1998-01-22	VYDAJ	VYBER	1040	62113	\N	\N	\N
522299	1782	1993-11-01	VYDAJ	VYBER	1120	28633	\N	\N	\N
522302	1782	1994-12-08	VYDAJ	VYBER	2640	24285	\N	\N	\N
522303	1782	1994-04-30	VYDAJ	VYBER	960	25793	\N	\N	\N
522304	1782	1994-03-19	VYDAJ	VYBER	3280	23262	\N	\N	\N
522305	1782	1994-12-07	VYDAJ	VYBER	2240	26925	\N	\N	\N
522306	1782	1994-12-10	VYDAJ	VYBER	2960	27867	\N	\N	\N
522307	1782	1995-12-20	VYDAJ	VYBER	2000	34515	\N	\N	\N
522308	1782	1995-07-10	VYDAJ	VYBER	3680	31297	\N	\N	\N
522309	1782	1995-02-10	VYDAJ	VYBER	3920	20836	\N	\N	\N
522310	1782	1995-10-11	VYDAJ	VYBER	1680	34318	\N	\N	\N
522311	1782	1995-01-13	VYDAJ	VYBER	400	24540	\N	\N	\N
522312	1782	1995-10-01	VYDAJ	VYBER	1840	32687	\N	\N	\N
522313	1782	1995-05-22	VYDAJ	VYBER	1120	26628	\N	\N	\N
522314	1782	1995-12-07	VYDAJ	VYBER	2640	34054	\N	\N	\N
522315	1782	1996-09-19	VYDAJ	VYBER	1760	43340	\N	\N	\N
522316	1782	1996-11-10	VYDAJ	VYBER	3280	47453	\N	\N	\N
522317	1782	1996-11-30	VYDAJ	VYBER	3680	40728	\N	\N	\N
522318	1782	1996-07-05	VYDAJ	VYBER	1120	34873	\N	\N	\N
522319	1782	1996-11-08	VYDAJ	VYBER	2800	44191	\N	\N	\N
522320	1782	1996-04-28	VYDAJ	VYBER	480	36451	\N	\N	\N
522321	1782	1996-05-08	VYDAJ	VYBER	1760	34831	\N	\N	\N
522322	1782	1997-02-07	VYDAJ	VYBER	1760	37863	\N	\N	\N
522323	1782	1997-04-28	VYDAJ	VYBER	2640	42427	\N	\N	\N
522324	1782	1997-01-19	VYDAJ	VYBER	1200	42018	\N	\N	\N
522325	1782	1997-07-16	VYDAJ	VYBER	2720	46401	\N	\N	\N
522326	1782	1997-03-09	VYDAJ	VYBER	3040	38288	\N	\N	\N
522327	1782	1998-04-02	VYDAJ	VYBER	3760	65337	\N	\N	\N
522328	1782	1998-06-19	VYDAJ	VYBER	2640	66858	\N	\N	\N
522329	1782	1998-12-03	VYDAJ	VYBER	3520	78645	\N	\N	\N
522330	1782	1998-07-31	VYDAJ	VYBER	1200	69513	\N	\N	\N
522331	1782	1998-05-30	VYDAJ	VYBER	1120	71108	\N	\N	\N
522342	1782	1993-10-31	VYDAJ	VYBER	15	29753	SLUZBY	\N	\N
522343	1782	1993-11-30	VYDAJ	VYBER	15	28649	SLUZBY	\N	\N
522344	1782	1993-12-31	VYDAJ	VYBER	15	27360	SLUZBY	\N	\N
522345	1782	1994-01-31	VYDAJ	VYBER	15	21436	SLUZBY	\N	\N
522346	1782	1994-02-28	VYDAJ	VYBER	15	24831	SLUZBY	\N	\N
522347	1782	1994-03-31	VYDAJ	VYBER	15	23350	SLUZBY	\N	\N
522348	1782	1994-04-30	VYDAJ	VYBER	15	26753	SLUZBY	\N	\N
522349	1782	1994-05-31	VYDAJ	VYBER	15	28506	SLUZBY	\N	\N
522350	1782	1994-06-30	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
522351	1782	1994-07-31	VYDAJ	VYBER	15	23811	SLUZBY	\N	\N
522352	1782	1994-08-31	VYDAJ	VYBER	15	27216	SLUZBY	\N	\N
522353	1782	1994-09-30	VYDAJ	VYBER	15	28028	SLUZBY	\N	\N
522354	1782	1994-10-31	VYDAJ	VYBER	15	29546	SLUZBY	\N	\N
522355	1782	1994-11-30	VYDAJ	VYBER	15	29565	SLUZBY	\N	\N
522356	1782	1994-12-31	VYDAJ	VYBER	15	24429	SLUZBY	\N	\N
522357	1782	1995-01-31	VYDAJ	VYBER	15	18214	SLUZBY	\N	\N
522358	1782	1995-02-28	VYDAJ	VYBER	15	17665	SLUZBY	\N	\N
522359	1782	1995-03-31	VYDAJ	VYBER	15	21044	SLUZBY	\N	\N
522360	1782	1995-04-30	VYDAJ	VYBER	15	24437	SLUZBY	\N	\N
522361	1782	1995-05-31	VYDAJ	VYBER	15	26723	SLUZBY	\N	\N
522362	1782	1995-06-30	VYDAJ	VYBER	15	28435	SLUZBY	\N	\N
522363	1782	1995-07-31	VYDAJ	VYBER	15	28170	SLUZBY	\N	\N
522364	1782	1995-08-31	VYDAJ	VYBER	15	31092	SLUZBY	\N	\N
522365	1782	1995-09-30	VYDAJ	VYBER	15	34527	SLUZBY	\N	\N
522366	1782	1995-10-31	VYDAJ	VYBER	15	33250	SLUZBY	\N	\N
522367	1782	1995-11-30	VYDAJ	VYBER	15	36694	SLUZBY	\N	\N
522368	1782	1995-12-31	VYDAJ	VYBER	15	34648	SLUZBY	\N	\N
522369	1782	1996-01-31	VYDAJ	VYBER	15	28558	SLUZBY	\N	\N
522370	1782	1996-02-29	VYDAJ	VYBER	15	31982	SLUZBY	\N	\N
522371	1782	1996-03-31	VYDAJ	VYBER	15	35420	SLUZBY	\N	\N
522372	1782	1996-04-30	VYDAJ	VYBER	15	36591	SLUZBY	\N	\N
522373	1782	1996-05-31	VYDAJ	VYBER	15	38284	SLUZBY	\N	\N
522374	1782	1996-06-30	VYDAJ	VYBER	15	35993	SLUZBY	\N	\N
522375	1782	1996-07-31	VYDAJ	VYBER	15	38325	SLUZBY	\N	\N
522376	1782	1996-08-31	VYDAJ	VYBER	15	41789	SLUZBY	\N	\N
522377	1782	1996-09-30	VYDAJ	VYBER	15	43505	SLUZBY	\N	\N
522378	1782	1996-10-31	VYDAJ	VYBER	15	46991	SLUZBY	\N	\N
522379	1782	1996-11-30	VYDAJ	VYBER	15	40714	SLUZBY	\N	\N
522380	1782	1996-12-31	VYDAJ	VYBER	15	43587	SLUZBY	\N	\N
522381	1782	1997-01-31	VYDAJ	VYBER	15	39623	SLUZBY	\N	\N
522382	1782	1997-02-28	VYDAJ	VYBER	15	41328	SLUZBY	\N	\N
522383	1782	1997-03-31	VYDAJ	VYBER	15	41756	SLUZBY	\N	\N
522384	1782	1997-04-30	VYDAJ	VYBER	15	42593	SLUZBY	\N	\N
522385	1782	1997-05-31	VYDAJ	VYBER	15	46074	SLUZBY	\N	\N
522386	1782	1997-06-30	VYDAJ	VYBER	15	45810	SLUZBY	\N	\N
522387	1782	1997-07-31	VYDAJ	VYBER	15	46579	SLUZBY	\N	\N
522388	1782	1997-08-31	VYDAJ	VYBER	15	50077	SLUZBY	\N	\N
522389	1782	1997-09-30	VYDAJ	VYBER	15	53589	SLUZBY	\N	\N
522390	1782	1997-10-31	VYDAJ	VYBER	15	57115	SLUZBY	\N	\N
522391	1782	1997-11-30	VYDAJ	VYBER	15	60657	SLUZBY	\N	\N
522392	1782	1997-12-31	VYDAJ	VYBER	15	63762	SLUZBY	\N	\N
522393	1782	1998-01-31	VYDAJ	VYBER	15	61960	SLUZBY	\N	\N
522394	1782	1998-02-28	VYDAJ	VYBER	15	65521	SLUZBY	\N	\N
522395	1782	1998-03-31	VYDAJ	VYBER	15	69097	SLUZBY	\N	\N
522396	1782	1998-04-30	VYDAJ	VYBER	15	68917	SLUZBY	\N	\N
522397	1782	1998-05-31	VYDAJ	VYBER	15	71387	SLUZBY	\N	\N
522398	1782	1998-06-30	VYDAJ	VYBER	15	67131	SLUZBY	\N	\N
522399	1782	1998-07-31	VYDAJ	VYBER	15	70713	SLUZBY	\N	\N
522400	1782	1998-08-31	VYDAJ	VYBER	15	73105	SLUZBY	\N	\N
522401	1782	1998-09-30	VYDAJ	VYBER	15	76711	SLUZBY	\N	\N
522402	1782	1998-10-31	VYDAJ	VYBER	15	80333	SLUZBY	\N	\N
522403	1782	1998-11-30	VYDAJ	VYBER	15	82165	SLUZBY	\N	\N
522404	1782	1993-10-09	VYDAJ	VYBER	500	26368	\N	\N	\N
522405	1782	1993-11-08	VYDAJ	VYBER	3400	25233	\N	\N	\N
522406	1782	1993-12-08	VYDAJ	VYBER	3900	23949	\N	\N	\N
522407	1782	1994-01-07	VYDAJ	VYBER	3000	23080	\N	\N	\N
522408	1782	1994-03-08	VYDAJ	VYBER	1600	23231	\N	\N	\N
522409	1782	1994-05-07	VYDAJ	VYBER	700	25093	\N	\N	\N
522410	1782	1994-06-06	VYDAJ	VYBER	2600	25906	\N	\N	\N
522411	1782	1994-09-04	VYDAJ	VYBER	2600	24616	\N	\N	\N
522412	1782	1994-10-04	VYDAJ	VYBER	1900	26128	\N	\N	\N
522413	1782	1994-11-03	VYDAJ	VYBER	3400	26146	\N	\N	\N
522414	1782	1994-12-03	VYDAJ	VYBER	400	29165	\N	\N	\N
522415	1782	1995-06-01	VYDAJ	VYBER	1700	25023	\N	\N	\N
522416	1782	1995-08-30	VYDAJ	VYBER	500	30981	\N	\N	\N
522417	1782	1995-10-29	VYDAJ	VYBER	1200	33118	\N	\N	\N
522418	1782	1996-04-26	VYDAJ	VYBER	1800	36931	\N	\N	\N
522419	1782	1998-11-12	VYDAJ	VYBER	1800	81844	\N	\N	\N
522483	1783	1997-09-11	PRIJEM	VKLAD	900	900	\N	\N	\N
522493	1783	1997-10-06	PRIJEM	VKLAD	9005	9905	\N	\N	\N
522494	1783	1997-11-06	PRIJEM	VKLAD	9005	23752	\N	\N	\N
522495	1783	1997-12-06	PRIJEM	VKLAD	13508	38650	\N	\N	\N
522496	1783	1998-01-06	PRIJEM	VKLAD	9005	40378	\N	\N	\N
522497	1783	1998-02-06	PRIJEM	VKLAD	9005	38608	\N	\N	\N
522498	1783	1998-03-06	PRIJEM	VKLAD	9005	31461	\N	\N	\N
522499	1783	1998-04-06	PRIJEM	VKLAD	9005	26227	\N	\N	\N
522500	1783	1998-05-06	PRIJEM	VKLAD	9005	27956	\N	\N	\N
522501	1783	1998-06-06	PRIJEM	VKLAD	13508	31473	\N	\N	\N
522502	1783	1998-07-06	PRIJEM	VKLAD	9005	28950	\N	\N	\N
522503	1783	1998-08-06	PRIJEM	VKLAD	9005	31330	\N	\N	\N
522504	1783	1998-09-06	PRIJEM	VKLAD	9005	31514	\N	\N	\N
522505	1783	1998-10-06	PRIJEM	VKLAD	9005	32203	\N	\N	\N
522506	1783	1998-11-06	PRIJEM	VKLAD	9005	36796	\N	\N	\N
522507	1783	1998-12-06	PRIJEM	VKLAD	13508	47570	\N	\N	\N
522521	1783	1998-02-11	VYDAJ	PREVOD NA UCET	6003	24405	SIPO	EF	7060194
522522	1783	1998-03-11	VYDAJ	PREVOD NA UCET	6003	17158	SIPO	EF	7060194
522523	1783	1998-04-11	VYDAJ	PREVOD NA UCET	6003	21524	SIPO	EF	7060194
522524	1783	1998-05-11	VYDAJ	PREVOD NA UCET	6003	22453	SIPO	EF	7060194
522525	1783	1998-06-11	VYDAJ	PREVOD NA UCET	6003	19870	SIPO	EF	7060194
522526	1783	1998-07-11	VYDAJ	PREVOD NA UCET	6003	22247	SIPO	EF	7060194
522527	1783	1998-08-11	VYDAJ	PREVOD NA UCET	6003	22427	SIPO	EF	7060194
522528	1783	1998-09-11	VYDAJ	PREVOD NA UCET	6003	23111	SIPO	EF	7060194
522529	1783	1998-10-11	VYDAJ	PREVOD NA UCET	6003	24300	SIPO	EF	7060194
522530	1783	1998-11-11	VYDAJ	PREVOD NA UCET	6003	30793	SIPO	EF	7060194
522531	1783	1998-12-11	VYDAJ	PREVOD NA UCET	6003	41567	SIPO	EF	7060194
522537	1783	1998-12-29	VYDAJ	VYBER	1440	40127	\N	\N	\N
522552	1783	1998-11-17	VYDAJ	VYBER	2040	28753	\N	\N	\N
522553	1783	1998-04-15	VYDAJ	VYBER	2640	18884	\N	\N	\N
522554	1783	1998-06-03	VYDAJ	VYBER	2280	17966	\N	\N	\N
522555	1783	1998-02-17	VYDAJ	VYBER	2040	22365	\N	\N	\N
522556	1783	1998-05-21	VYDAJ	VYBER	2280	20173	\N	\N	\N
522571	1783	1998-02-28	VYDAJ	VYBER	15	22456	SLUZBY	\N	\N
522572	1783	1998-03-31	VYDAJ	VYBER	15	17222	SLUZBY	\N	\N
522573	1783	1998-04-30	VYDAJ	VYBER	15	18951	SLUZBY	\N	\N
522574	1783	1998-05-31	VYDAJ	VYBER	15	20246	SLUZBY	\N	\N
522575	1783	1998-06-30	VYDAJ	VYBER	15	19945	SLUZBY	\N	\N
522576	1783	1998-07-31	VYDAJ	VYBER	15	22325	SLUZBY	\N	\N
522577	1783	1998-08-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
522578	1783	1998-09-30	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
522579	1783	1998-10-31	VYDAJ	VYBER	15	24391	SLUZBY	\N	\N
522580	1783	1998-11-30	VYDAJ	VYBER	15	28862	SLUZBY	\N	\N
522581	1783	1997-10-11	PRIJEM	VKLAD	4800	14705	\N	\N	\N
522582	1783	1997-11-10	PRIJEM	VKLAD	1300	25052	\N	\N	\N
522583	1783	1997-12-10	VYDAJ	VYBER	7400	31250	\N	\N	\N
522584	1783	1998-01-09	VYDAJ	VYBER	10900	29478	\N	\N	\N
522585	1783	1998-02-08	VYDAJ	VYBER	8200	30408	\N	\N	\N
522586	1783	1998-03-10	VYDAJ	VYBER	8300	23161	\N	\N	\N
522587	1783	1998-04-09	PRIJEM	VKLAD	1300	27527	\N	\N	\N
522588	1783	1998-05-09	PRIJEM	VKLAD	500	28456	\N	\N	\N
522589	1783	1998-06-08	VYDAJ	VYBER	5600	25873	\N	\N	\N
522590	1783	1998-07-08	VYDAJ	VYBER	700	28250	\N	\N	\N
522591	1783	1998-08-07	VYDAJ	VYBER	2900	28430	\N	\N	\N
522592	1783	1998-09-06	VYDAJ	VYBER	2400	29114	\N	\N	\N
522593	1783	1998-10-06	VYDAJ	VYBER	1900	30303	\N	\N	\N
522594	1783	1998-11-05	PRIJEM	VKLAD	3400	27791	\N	\N	\N
522595	1783	1998-12-05	PRIJEM	VKLAD	5200	34062	\N	\N	\N
522611	1784	1993-05-08	PRIJEM	VKLAD	400	400	\N	\N	\N
522616	1784	1993-05-14	PRIJEM	PREVOD Z UCTU	6686	7086	DUCHOD	ST	9070069
522617	1784	1993-06-14	PRIJEM	PREVOD Z UCTU	6686	13789	DUCHOD	ST	9070069
522618	1784	1993-07-14	PRIJEM	PREVOD Z UCTU	6686	20505	DUCHOD	ST	9070069
522619	1784	1993-08-14	PRIJEM	PREVOD Z UCTU	6686	26420	DUCHOD	ST	9070069
522620	1784	1993-09-14	PRIJEM	PREVOD Z UCTU	6686	32683	DUCHOD	ST	9070069
522621	1784	1993-10-14	PRIJEM	PREVOD Z UCTU	6686	30633	DUCHOD	ST	9070069
522622	1784	1993-11-14	PRIJEM	PREVOD Z UCTU	6686	32646	DUCHOD	ST	9070069
522623	1784	1993-12-14	PRIJEM	PREVOD Z UCTU	6686	32265	DUCHOD	ST	9070069
522624	1784	1994-01-14	PRIJEM	PREVOD Z UCTU	6686	22265	DUCHOD	ST	9070069
522625	1784	1994-02-14	PRIJEM	PREVOD Z UCTU	6686	19954	DUCHOD	ST	9070069
522626	1784	1994-03-14	PRIJEM	PREVOD Z UCTU	6686	23393	DUCHOD	ST	9070069
522627	1784	1994-04-14	PRIJEM	PREVOD Z UCTU	6686	28369	DUCHOD	ST	9070069
522628	1784	1994-05-14	PRIJEM	PREVOD Z UCTU	6686	30964	DUCHOD	ST	9070069
522629	1784	1994-06-14	PRIJEM	PREVOD Z UCTU	6686	29355	DUCHOD	ST	9070069
522630	1784	1994-07-14	PRIJEM	PREVOD Z UCTU	6686	26448	DUCHOD	ST	9070069
522631	1784	1994-08-14	PRIJEM	PREVOD Z UCTU	6686	30936	DUCHOD	ST	9070069
522632	1784	1994-09-14	PRIJEM	PREVOD Z UCTU	6686	33043	DUCHOD	ST	9070069
522633	1784	1994-10-14	PRIJEM	PREVOD Z UCTU	6686	33658	DUCHOD	ST	9070069
522634	1784	1994-11-14	PRIJEM	PREVOD Z UCTU	6686	33782	DUCHOD	ST	9070069
522635	1784	1994-12-14	PRIJEM	PREVOD Z UCTU	6686	34499	DUCHOD	ST	9070069
522636	1784	1995-01-14	PRIJEM	PREVOD Z UCTU	6686	25528	DUCHOD	ST	9070069
522637	1784	1995-02-14	PRIJEM	PREVOD Z UCTU	6686	26351	DUCHOD	ST	9070069
522638	1784	1995-03-14	PRIJEM	PREVOD Z UCTU	6686	29657	DUCHOD	ST	9070069
522639	1784	1995-04-14	PRIJEM	PREVOD Z UCTU	6686	32417	DUCHOD	ST	9070069
522640	1784	1995-05-14	PRIJEM	PREVOD Z UCTU	6686	36028	DUCHOD	ST	9070069
522641	1784	1995-06-14	PRIJEM	PREVOD Z UCTU	6686	28302	DUCHOD	ST	9070069
522642	1784	1995-07-14	PRIJEM	PREVOD Z UCTU	6686	33308	DUCHOD	ST	9070069
522643	1784	1995-08-14	PRIJEM	PREVOD Z UCTU	6686	37323	DUCHOD	ST	9070069
522644	1784	1995-09-14	PRIJEM	PREVOD Z UCTU	6686	35951	DUCHOD	ST	9070069
522645	1784	1995-10-14	PRIJEM	PREVOD Z UCTU	6686	33171	DUCHOD	ST	9070069
522646	1784	1995-11-14	PRIJEM	PREVOD Z UCTU	6686	32381	DUCHOD	ST	9070069
522647	1784	1995-12-14	PRIJEM	PREVOD Z UCTU	6686	34190	DUCHOD	ST	9070069
522648	1784	1996-01-14	PRIJEM	PREVOD Z UCTU	6686	33965	DUCHOD	ST	9070069
522649	1784	1996-02-14	PRIJEM	PREVOD Z UCTU	6686	23291	DUCHOD	ST	9070069
522650	1784	1996-03-14	PRIJEM	PREVOD Z UCTU	6686	26665	DUCHOD	ST	9070069
522651	1784	1996-04-14	PRIJEM	PREVOD Z UCTU	6686	31655	DUCHOD	ST	9070069
522652	1784	1996-05-14	PRIJEM	PREVOD Z UCTU	6686	29855	DUCHOD	ST	9070069
522653	1784	1996-06-14	PRIJEM	PREVOD Z UCTU	6686	25549	DUCHOD	ST	9070069
522654	1784	1996-07-14	PRIJEM	PREVOD Z UCTU	6686	27433	DUCHOD	ST	9070069
522655	1784	1996-08-14	PRIJEM	PREVOD Z UCTU	6686	24653	DUCHOD	ST	9070069
522656	1784	1996-09-14	PRIJEM	PREVOD Z UCTU	6686	26628	DUCHOD	ST	9070069
522657	1784	1996-10-14	PRIJEM	PREVOD Z UCTU	6686	22640	DUCHOD	ST	9070069
522658	1784	1996-11-14	PRIJEM	PREVOD Z UCTU	6686	22484	DUCHOD	ST	9070069
522659	1784	1996-12-14	PRIJEM	PREVOD Z UCTU	6686	19139	DUCHOD	ST	9070069
522660	1784	1997-01-14	PRIJEM	PREVOD Z UCTU	6686	20014	DUCHOD	ST	9070069
522661	1784	1997-02-14	PRIJEM	PREVOD Z UCTU	6686	18082	DUCHOD	ST	9070069
522662	1784	1997-03-14	PRIJEM	PREVOD Z UCTU	6686	19225	DUCHOD	ST	9070069
522663	1784	1997-04-14	PRIJEM	PREVOD Z UCTU	6686	20901	DUCHOD	ST	9070069
522664	1784	1997-05-14	PRIJEM	PREVOD Z UCTU	6686	25869	DUCHOD	ST	9070069
522665	1784	1997-06-14	PRIJEM	PREVOD Z UCTU	6686	20231	DUCHOD	ST	9070069
522666	1784	1997-07-14	PRIJEM	PREVOD Z UCTU	6686	25191	DUCHOD	ST	9070069
522667	1784	1997-08-14	PRIJEM	PREVOD Z UCTU	6686	21353	DUCHOD	ST	9070069
522668	1784	1997-09-14	PRIJEM	PREVOD Z UCTU	6686	26318	DUCHOD	ST	9070069
522669	1784	1997-10-14	PRIJEM	PREVOD Z UCTU	6686	20778	DUCHOD	ST	9070069
522670	1784	1997-11-14	PRIJEM	PREVOD Z UCTU	6686	25740	DUCHOD	ST	9070069
522671	1784	1997-12-14	PRIJEM	PREVOD Z UCTU	6686	28002	DUCHOD	ST	9070069
522672	1784	1998-01-14	PRIJEM	PREVOD Z UCTU	6686	27599	DUCHOD	ST	9070069
522673	1784	1998-02-14	PRIJEM	PREVOD Z UCTU	6686	27310	DUCHOD	ST	9070069
522674	1784	1998-03-14	PRIJEM	PREVOD Z UCTU	6686	32298	DUCHOD	ST	9070069
522675	1784	1998-04-14	PRIJEM	PREVOD Z UCTU	6686	37308	DUCHOD	ST	9070069
522676	1784	1998-05-14	PRIJEM	PREVOD Z UCTU	6686	41218	DUCHOD	ST	9070069
522677	1784	1998-06-14	PRIJEM	PREVOD Z UCTU	6686	35954	DUCHOD	ST	9070069
522678	1784	1998-07-14	PRIJEM	PREVOD Z UCTU	6686	37950	DUCHOD	ST	9070069
522679	1784	1998-08-14	PRIJEM	PREVOD Z UCTU	6686	42987	DUCHOD	ST	9070069
522680	1784	1998-09-14	PRIJEM	PREVOD Z UCTU	6686	20041	DUCHOD	ST	9070069
522681	1784	1998-10-14	PRIJEM	PREVOD Z UCTU	6686	25045	DUCHOD	ST	9070069
522682	1784	1998-11-14	PRIJEM	PREVOD Z UCTU	6686	30024	DUCHOD	ST	9070069
522683	1784	1998-12-14	PRIJEM	PREVOD Z UCTU	6686	35023	DUCHOD	ST	9070069
522693	1784	1993-10-13	VYDAJ	PREVOD NA UCET	1785	23947	SIPO	EF	14724040
522694	1784	1993-11-13	VYDAJ	PREVOD NA UCET	1785	25960	SIPO	EF	14724040
522695	1784	1993-12-13	VYDAJ	PREVOD NA UCET	1785	25579	SIPO	EF	14724040
522696	1784	1994-01-13	VYDAJ	PREVOD NA UCET	1785	15579	SIPO	EF	14724040
522697	1784	1994-02-13	VYDAJ	PREVOD NA UCET	1785	13268	SIPO	EF	14724040
522698	1784	1994-03-13	VYDAJ	PREVOD NA UCET	1785	16707	SIPO	EF	14724040
522699	1784	1994-04-13	VYDAJ	PREVOD NA UCET	1785	21683	SIPO	EF	14724040
522700	1784	1994-05-13	VYDAJ	PREVOD NA UCET	1785	24278	SIPO	EF	14724040
522701	1784	1994-06-13	VYDAJ	PREVOD NA UCET	1785	22669	SIPO	EF	14724040
522702	1784	1994-07-13	VYDAJ	PREVOD NA UCET	1785	19762	SIPO	EF	14724040
522703	1784	1994-08-13	VYDAJ	PREVOD NA UCET	1785	24250	SIPO	EF	14724040
522704	1784	1994-09-13	VYDAJ	PREVOD NA UCET	1785	26357	SIPO	EF	14724040
522705	1784	1994-10-13	VYDAJ	PREVOD NA UCET	1785	26972	SIPO	EF	14724040
522706	1784	1994-11-13	VYDAJ	PREVOD NA UCET	1785	27096	SIPO	EF	14724040
522707	1784	1994-12-13	VYDAJ	PREVOD NA UCET	1785	27813	SIPO	EF	14724040
522708	1784	1995-01-13	VYDAJ	PREVOD NA UCET	1785	18842	SIPO	EF	14724040
522709	1784	1995-02-13	VYDAJ	PREVOD NA UCET	1785	19665	SIPO	EF	14724040
522710	1784	1995-03-13	VYDAJ	PREVOD NA UCET	1785	22971	SIPO	EF	14724040
522711	1784	1995-04-13	VYDAJ	PREVOD NA UCET	1785	25731	SIPO	EF	14724040
522712	1784	1995-05-13	VYDAJ	PREVOD NA UCET	1785	29342	SIPO	EF	14724040
522713	1784	1995-06-13	VYDAJ	PREVOD NA UCET	1785	21616	SIPO	EF	14724040
522714	1784	1995-07-13	VYDAJ	PREVOD NA UCET	1785	26622	SIPO	EF	14724040
522715	1784	1995-08-13	VYDAJ	PREVOD NA UCET	1785	30637	SIPO	EF	14724040
522716	1784	1995-09-13	VYDAJ	PREVOD NA UCET	1785	29265	SIPO	EF	14724040
522717	1784	1995-10-13	VYDAJ	PREVOD NA UCET	1785	26485	SIPO	EF	14724040
522718	1784	1995-11-13	VYDAJ	PREVOD NA UCET	1785	25695	SIPO	EF	14724040
522719	1784	1995-12-13	VYDAJ	PREVOD NA UCET	1785	27504	SIPO	EF	14724040
522720	1784	1996-01-13	VYDAJ	PREVOD NA UCET	1785	27279	SIPO	EF	14724040
522721	1784	1996-02-13	VYDAJ	PREVOD NA UCET	1785	16605	SIPO	EF	14724040
522722	1784	1996-03-13	VYDAJ	PREVOD NA UCET	1785	19979	SIPO	EF	14724040
522723	1784	1996-04-13	VYDAJ	PREVOD NA UCET	1785	24969	SIPO	EF	14724040
522724	1784	1996-05-13	VYDAJ	PREVOD NA UCET	1785	23169	SIPO	EF	14724040
522725	1784	1996-06-13	VYDAJ	PREVOD NA UCET	1785	18863	SIPO	EF	14724040
522726	1784	1996-07-13	VYDAJ	PREVOD NA UCET	1785	20747	SIPO	EF	14724040
522727	1784	1996-08-13	VYDAJ	PREVOD NA UCET	1785	17967	SIPO	EF	14724040
522728	1784	1996-09-13	VYDAJ	PREVOD NA UCET	1785	19942	SIPO	EF	14724040
522729	1784	1996-10-13	VYDAJ	PREVOD NA UCET	1785	15954	SIPO	EF	14724040
522730	1784	1996-11-13	VYDAJ	PREVOD NA UCET	1785	15798	SIPO	EF	14724040
522731	1784	1996-12-13	VYDAJ	PREVOD NA UCET	1785	12453	SIPO	EF	14724040
522732	1784	1997-01-13	VYDAJ	PREVOD NA UCET	1785	13328	SIPO	EF	14724040
522733	1784	1997-02-13	VYDAJ	PREVOD NA UCET	1785	11396	SIPO	EF	14724040
522734	1784	1997-03-13	VYDAJ	PREVOD NA UCET	1785	12539	SIPO	EF	14724040
522735	1784	1997-04-13	VYDAJ	PREVOD NA UCET	1785	14215	SIPO	EF	14724040
522736	1784	1997-05-13	VYDAJ	PREVOD NA UCET	1785	19183	SIPO	EF	14724040
522737	1784	1997-06-13	VYDAJ	PREVOD NA UCET	1785	13545	SIPO	EF	14724040
522738	1784	1997-07-13	VYDAJ	PREVOD NA UCET	1785	18505	SIPO	EF	14724040
522739	1784	1997-08-13	VYDAJ	PREVOD NA UCET	1785	14667	SIPO	EF	14724040
522740	1784	1997-09-13	VYDAJ	PREVOD NA UCET	1785	19632	SIPO	EF	14724040
522741	1784	1997-10-13	VYDAJ	PREVOD NA UCET	1785	14092	SIPO	EF	14724040
522742	1784	1997-11-13	VYDAJ	PREVOD NA UCET	1785	19054	SIPO	EF	14724040
522743	1784	1997-12-13	VYDAJ	PREVOD NA UCET	1785	21316	SIPO	EF	14724040
522744	1784	1998-01-13	VYDAJ	PREVOD NA UCET	1785	20913	SIPO	EF	14724040
522745	1784	1998-02-13	VYDAJ	PREVOD NA UCET	1785	20624	SIPO	EF	14724040
522746	1784	1998-03-13	VYDAJ	PREVOD NA UCET	1785	25612	SIPO	EF	14724040
522747	1784	1998-04-13	VYDAJ	PREVOD NA UCET	1785	30622	SIPO	EF	14724040
522748	1784	1998-05-13	VYDAJ	PREVOD NA UCET	1785	34532	SIPO	EF	14724040
522749	1784	1998-06-13	VYDAJ	PREVOD NA UCET	1785	29268	SIPO	EF	14724040
522750	1784	1998-07-13	VYDAJ	PREVOD NA UCET	1785	31264	SIPO	EF	14724040
522751	1784	1998-08-13	VYDAJ	PREVOD NA UCET	1785	36301	SIPO	EF	14724040
522752	1784	1998-09-13	VYDAJ	PREVOD NA UCET	1785	13355	SIPO	EF	14724040
522753	1784	1998-10-13	VYDAJ	PREVOD NA UCET	1785	18359	SIPO	EF	14724040
522754	1784	1998-11-13	VYDAJ	PREVOD NA UCET	1785	23338	SIPO	EF	14724040
522755	1784	1998-12-13	VYDAJ	PREVOD NA UCET	1785	28337	SIPO	EF	14724040
522757	1784	1994-06-17	VYDAJ	VYBER	7900	21455	\N	\N	\N
522758	1784	1995-06-04	VYDAJ	VYBER	6450	23401	\N	\N	\N
522759	1784	1996-06-02	VYDAJ	VYBER	3700	20648	\N	\N	\N
522761	1784	1998-06-07	VYDAJ	VYBER	8550	32813	\N	\N	\N
522763	1784	1994-01-09	VYDAJ	VYBER	3100	20724	\N	\N	\N
522764	1784	1995-01-02	VYDAJ	VYBER	4850	26627	\N	\N	\N
522765	1784	1996-01-18	VYDAJ	VYBER	4950	24695	\N	\N	\N
522767	1784	1998-01-11	VYDAJ	VYBER	2600	22698	\N	\N	\N
522774	1784	1994-01-04	VYDAJ	VYBER	960	25424	\N	\N	\N
522775	1784	1994-01-22	VYDAJ	VYBER	2080	14985	\N	\N	\N
522776	1784	1994-01-06	VYDAJ	VYBER	1600	23824	\N	\N	\N
522777	1784	1994-01-14	VYDAJ	VYBER	2000	20265	\N	\N	\N
522778	1784	1994-01-16	VYDAJ	VYBER	1760	17065	\N	\N	\N
522779	1784	1994-01-13	VYDAJ	VYBER	1520	17364	\N	\N	\N
522780	1784	1995-01-20	VYDAJ	VYBER	1200	23288	\N	\N	\N
522781	1784	1995-01-19	VYDAJ	VYBER	1040	24488	\N	\N	\N
522782	1784	1995-01-05	VYDAJ	VYBER	1200	24067	\N	\N	\N
522783	1784	1995-01-07	VYDAJ	VYBER	1760	22307	\N	\N	\N
522784	1784	1995-01-09	VYDAJ	VYBER	1680	20627	\N	\N	\N
522785	1784	1995-01-21	VYDAJ	VYBER	1920	21368	\N	\N	\N
522786	1784	1996-01-11	VYDAJ	VYBER	1440	29064	\N	\N	\N
522787	1784	1996-01-25	VYDAJ	VYBER	2160	20535	\N	\N	\N
522788	1784	1996-01-27	VYDAJ	VYBER	2240	18295	\N	\N	\N
522789	1784	1996-01-17	VYDAJ	VYBER	1040	29645	\N	\N	\N
522790	1784	1996-01-14	VYDAJ	VYBER	1920	32045	\N	\N	\N
522791	1784	1996-01-16	VYDAJ	VYBER	1360	30685	\N	\N	\N
522792	1784	1997-01-16	VYDAJ	VYBER	1760	15934	\N	\N	\N
522794	1784	1997-01-14	VYDAJ	VYBER	2320	17694	\N	\N	\N
522796	1784	1997-01-04	VYDAJ	VYBER	2000	15113	\N	\N	\N
522798	1784	1998-01-11	VYDAJ	VYBER	1680	25298	\N	\N	\N
522799	1784	1998-01-05	VYDAJ	VYBER	1120	26978	\N	\N	\N
522800	1784	1998-01-29	VYDAJ	VYBER	400	22319	\N	\N	\N
522801	1784	1998-01-23	VYDAJ	VYBER	1920	25679	\N	\N	\N
522802	1784	1998-01-24	VYDAJ	VYBER	1120	22719	\N	\N	\N
522803	1784	1998-01-24	VYDAJ	VYBER	1840	23839	\N	\N	\N
522805	1784	1993-09-26	VYDAJ	VYBER	1760	30923	\N	\N	\N
522808	1784	1994-01-16	VYDAJ	VYBER	1440	18825	\N	\N	\N
522809	1784	1994-12-23	VYDAJ	VYBER	1040	33459	\N	\N	\N
522810	1784	1994-01-13	VYDAJ	VYBER	1840	18884	\N	\N	\N
522811	1784	1994-06-11	VYDAJ	VYBER	3920	24454	\N	\N	\N
522812	1784	1994-02-24	VYDAJ	VYBER	1520	18434	\N	\N	\N
522813	1784	1995-03-04	VYDAJ	VYBER	1680	24756	\N	\N	\N
522814	1784	1995-01-03	VYDAJ	VYBER	1360	25267	\N	\N	\N
522815	1784	1995-03-14	VYDAJ	VYBER	960	28697	\N	\N	\N
522816	1784	1995-03-22	VYDAJ	VYBER	1280	27417	\N	\N	\N
522817	1784	1996-07-23	VYDAJ	VYBER	2560	19673	\N	\N	\N
522818	1784	1996-12-30	VYDAJ	VYBER	2080	17059	\N	\N	\N
522819	1784	1996-03-07	VYDAJ	VYBER	1600	21764	\N	\N	\N
522820	1784	1996-10-27	VYDAJ	VYBER	1920	17520	\N	\N	\N
522821	1784	1996-09-19	VYDAJ	VYBER	560	17668	\N	\N	\N
522822	1784	1997-12-03	VYDAJ	VYBER	2720	23101	\N	\N	\N
522824	1784	1997-04-10	VYDAJ	VYBER	640	16000	\N	\N	\N
522826	1784	1997-03-31	VYDAJ	VYBER	2640	16640	\N	\N	\N
522827	1784	1998-12-30	VYDAJ	VYBER	3120	31903	\N	\N	\N
522828	1784	1998-04-27	VYDAJ	VYBER	1120	36188	\N	\N	\N
522829	1784	1998-07-03	VYDAJ	VYBER	3040	33049	\N	\N	\N
522830	1784	1998-06-09	VYDAJ	VYBER	1760	31053	\N	\N	\N
522840	1784	1993-09-30	VYDAJ	VYBER	15	31032	SLUZBY	\N	\N
522841	1784	1993-10-31	VYDAJ	VYBER	15	30745	SLUZBY	\N	\N
522842	1784	1993-11-30	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
522843	1784	1993-12-31	VYDAJ	VYBER	15	32384	SLUZBY	\N	\N
522844	1784	1994-01-31	VYDAJ	VYBER	15	15053	SLUZBY	\N	\N
522845	1784	1994-02-28	VYDAJ	VYBER	15	18492	SLUZBY	\N	\N
522846	1784	1994-03-31	VYDAJ	VYBER	15	23468	SLUZBY	\N	\N
522847	1784	1994-04-30	VYDAJ	VYBER	15	28463	SLUZBY	\N	\N
522848	1784	1994-05-31	VYDAJ	VYBER	15	31074	SLUZBY	\N	\N
522849	1784	1994-06-30	VYDAJ	VYBER	15	21547	SLUZBY	\N	\N
522850	1784	1994-07-31	VYDAJ	VYBER	15	26535	SLUZBY	\N	\N
522851	1784	1994-08-31	VYDAJ	VYBER	15	31042	SLUZBY	\N	\N
522852	1784	1994-09-30	VYDAJ	VYBER	15	33157	SLUZBY	\N	\N
522853	1784	1994-10-31	VYDAJ	VYBER	15	28881	SLUZBY	\N	\N
522854	1784	1994-11-30	VYDAJ	VYBER	15	29598	SLUZBY	\N	\N
522855	1784	1994-12-31	VYDAJ	VYBER	15	31477	SLUZBY	\N	\N
522856	1784	1995-01-31	VYDAJ	VYBER	15	21450	SLUZBY	\N	\N
522857	1784	1995-02-28	VYDAJ	VYBER	15	26436	SLUZBY	\N	\N
522858	1784	1995-03-31	VYDAJ	VYBER	15	27516	SLUZBY	\N	\N
522859	1784	1995-04-30	VYDAJ	VYBER	15	31127	SLUZBY	\N	\N
522860	1784	1995-05-31	VYDAJ	VYBER	15	29851	SLUZBY	\N	\N
522861	1784	1995-06-30	VYDAJ	VYBER	15	28407	SLUZBY	\N	\N
522862	1784	1995-07-31	VYDAJ	VYBER	15	32422	SLUZBY	\N	\N
522863	1784	1995-08-31	VYDAJ	VYBER	15	31050	SLUZBY	\N	\N
522864	1784	1995-09-30	VYDAJ	VYBER	15	28270	SLUZBY	\N	\N
522865	1784	1995-10-31	VYDAJ	VYBER	15	27480	SLUZBY	\N	\N
522866	1784	1995-11-30	VYDAJ	VYBER	15	29289	SLUZBY	\N	\N
522867	1784	1995-12-31	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
522868	1784	1996-01-31	VYDAJ	VYBER	15	18390	SLUZBY	\N	\N
522869	1784	1996-02-29	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
522870	1784	1996-03-31	VYDAJ	VYBER	15	26754	SLUZBY	\N	\N
522871	1784	1996-04-30	VYDAJ	VYBER	15	24954	SLUZBY	\N	\N
522872	1784	1996-05-31	VYDAJ	VYBER	15	24348	SLUZBY	\N	\N
522873	1784	1996-06-30	VYDAJ	VYBER	15	22532	SLUZBY	\N	\N
522874	1784	1996-07-31	VYDAJ	VYBER	15	19752	SLUZBY	\N	\N
522875	1784	1996-08-31	VYDAJ	VYBER	15	21727	SLUZBY	\N	\N
522876	1784	1996-09-30	VYDAJ	VYBER	15	17739	SLUZBY	\N	\N
522877	1784	1996-10-31	VYDAJ	VYBER	15	17583	SLUZBY	\N	\N
522878	1784	1996-11-30	VYDAJ	VYBER	15	14238	SLUZBY	\N	\N
522879	1784	1996-12-31	VYDAJ	VYBER	15	17113	SLUZBY	\N	\N
522880	1784	1997-01-31	VYDAJ	VYBER	15	13181	SLUZBY	\N	\N
522881	1784	1997-02-28	VYDAJ	VYBER	15	14324	SLUZBY	\N	\N
522882	1784	1997-03-31	VYDAJ	VYBER	15	19280	SLUZBY	\N	\N
522883	1784	1997-04-30	VYDAJ	VYBER	15	20968	SLUZBY	\N	\N
522884	1784	1997-05-31	VYDAJ	VYBER	15	15330	SLUZBY	\N	\N
522885	1784	1997-06-30	VYDAJ	VYBER	15	20290	SLUZBY	\N	\N
522886	1784	1997-07-31	VYDAJ	VYBER	15	16452	SLUZBY	\N	\N
522887	1784	1997-08-31	VYDAJ	VYBER	15	21417	SLUZBY	\N	\N
522888	1784	1997-09-30	VYDAJ	VYBER	15	15877	SLUZBY	\N	\N
522889	1784	1997-10-31	VYDAJ	VYBER	15	20839	SLUZBY	\N	\N
522890	1784	1997-11-30	VYDAJ	VYBER	15	25821	SLUZBY	\N	\N
522891	1784	1997-12-31	VYDAJ	VYBER	15	28098	SLUZBY	\N	\N
522892	1784	1998-01-31	VYDAJ	VYBER	15	22409	SLUZBY	\N	\N
522893	1784	1998-02-28	VYDAJ	VYBER	15	27397	SLUZBY	\N	\N
522894	1784	1998-03-31	VYDAJ	VYBER	15	32407	SLUZBY	\N	\N
522895	1784	1998-04-30	VYDAJ	VYBER	15	36317	SLUZBY	\N	\N
522896	1784	1998-05-31	VYDAJ	VYBER	15	41363	SLUZBY	\N	\N
522897	1784	1998-06-30	VYDAJ	VYBER	15	36089	SLUZBY	\N	\N
522898	1784	1998-07-31	VYDAJ	VYBER	15	38086	SLUZBY	\N	\N
522899	1784	1998-08-31	VYDAJ	VYBER	15	43140	SLUZBY	\N	\N
522900	1784	1998-09-30	VYDAJ	VYBER	15	20144	SLUZBY	\N	\N
522901	1784	1998-10-31	VYDAJ	VYBER	15	25123	SLUZBY	\N	\N
522902	1784	1998-11-30	VYDAJ	VYBER	15	30122	SLUZBY	\N	\N
522903	1784	1993-08-06	VYDAJ	VYBER	800	19734	\N	\N	\N
522904	1784	1993-09-05	VYDAJ	VYBER	500	25997	\N	\N	\N
522905	1784	1993-10-05	VYDAJ	VYBER	5300	25732	\N	\N	\N
522906	1784	1993-11-04	VYDAJ	VYBER	3000	27745	\N	\N	\N
522907	1784	1993-12-04	VYDAJ	VYBER	5400	27364	\N	\N	\N
522908	1784	1994-01-03	VYDAJ	VYBER	6000	26384	\N	\N	\N
522909	1784	1994-05-03	VYDAJ	VYBER	2400	26063	\N	\N	\N
522910	1784	1994-06-02	VYDAJ	VYBER	2700	28374	\N	\N	\N
522911	1784	1994-08-01	VYDAJ	VYBER	500	26035	\N	\N	\N
522912	1784	1994-08-31	VYDAJ	VYBER	2900	28142	\N	\N	\N
522913	1784	1994-09-30	VYDAJ	VYBER	4400	28757	\N	\N	\N
522914	1784	1994-10-30	VYDAJ	VYBER	4900	28758	\N	\N	\N
522915	1784	1994-11-29	VYDAJ	VYBER	4300	29482	\N	\N	\N
522916	1784	1994-12-29	VYDAJ	VYBER	2100	31359	\N	\N	\N
522917	1784	1995-04-28	VYDAJ	VYBER	1400	31017	\N	\N	\N
522918	1784	1995-05-28	VYDAJ	VYBER	6300	29728	\N	\N	\N
522919	1784	1995-07-27	VYDAJ	VYBER	1000	32308	\N	\N	\N
522920	1784	1995-08-26	VYDAJ	VYBER	6400	30923	\N	\N	\N
522921	1784	1995-09-25	VYDAJ	VYBER	7800	28151	\N	\N	\N
522922	1784	1995-10-25	VYDAJ	VYBER	5800	27371	\N	\N	\N
522923	1784	1995-11-24	VYDAJ	VYBER	3200	29181	\N	\N	\N
522924	1784	1995-12-24	VYDAJ	VYBER	3800	30390	\N	\N	\N
522925	1784	1996-01-23	VYDAJ	VYBER	2000	22695	\N	\N	\N
522926	1784	1996-04-22	VYDAJ	VYBER	6800	24855	\N	\N	\N
522927	1784	1996-05-22	VYDAJ	VYBER	5600	24255	\N	\N	\N
522928	1784	1996-06-21	VYDAJ	VYBER	3100	22449	\N	\N	\N
522929	1784	1996-07-21	VYDAJ	VYBER	5200	22233	\N	\N	\N
522930	1784	1996-08-20	VYDAJ	VYBER	3000	21653	\N	\N	\N
522931	1784	1996-09-19	VYDAJ	VYBER	8400	18228	\N	\N	\N
522932	1784	1996-10-19	VYDAJ	VYBER	3200	19440	\N	\N	\N
522933	1784	1996-11-18	VYDAJ	VYBER	8300	14184	\N	\N	\N
522934	1784	1997-01-17	VYDAJ	VYBER	2800	13134	\N	\N	\N
522935	1784	1997-02-16	VYDAJ	VYBER	3800	14282	\N	\N	\N
522936	1784	1997-05-17	VYDAJ	VYBER	10600	15269	\N	\N	\N
522937	1784	1997-07-16	VYDAJ	VYBER	8800	16391	\N	\N	\N
522938	1784	1997-09-14	VYDAJ	VYBER	10500	15818	\N	\N	\N
522939	1784	1998-09-09	VYDAJ	VYBER	28000	15140	\N	\N	\N
523008	1785	1996-10-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
523019	1785	1996-11-14	PRIJEM	PREVOD Z UCTU	4892	5992	DUCHOD	UV	56481081
523020	1785	1996-12-14	PRIJEM	PREVOD Z UCTU	4892	10884	DUCHOD	UV	56481081
523021	1785	1997-01-14	PRIJEM	PREVOD Z UCTU	4892	15776	DUCHOD	UV	56481081
523022	1785	1997-02-14	PRIJEM	PREVOD Z UCTU	4892	20668	DUCHOD	UV	56481081
523023	1785	1997-03-14	PRIJEM	PREVOD Z UCTU	4892	25281	DUCHOD	UV	56481081
523024	1785	1997-04-14	PRIJEM	PREVOD Z UCTU	4892	26425	DUCHOD	UV	56481081
523025	1785	1997-05-14	PRIJEM	PREVOD Z UCTU	4892	28984	DUCHOD	UV	56481081
523026	1785	1997-06-14	PRIJEM	PREVOD Z UCTU	4892	21249	DUCHOD	UV	56481081
523027	1785	1997-07-14	PRIJEM	PREVOD Z UCTU	4892	22092	DUCHOD	UV	56481081
523028	1785	1997-08-14	PRIJEM	PREVOD Z UCTU	4892	23732	DUCHOD	UV	56481081
523029	1785	1997-09-14	PRIJEM	PREVOD Z UCTU	4892	25679	DUCHOD	UV	56481081
523030	1785	1997-10-14	PRIJEM	PREVOD Z UCTU	4892	24250	DUCHOD	UV	56481081
523031	1785	1997-11-14	PRIJEM	PREVOD Z UCTU	4892	27502	DUCHOD	UV	56481081
523032	1785	1997-12-14	PRIJEM	PREVOD Z UCTU	4892	26812	DUCHOD	UV	56481081
523033	1785	1998-01-14	PRIJEM	PREVOD Z UCTU	4892	23464	DUCHOD	UV	56481081
523034	1785	1998-02-14	PRIJEM	PREVOD Z UCTU	4892	19667	DUCHOD	UV	56481081
523035	1785	1998-03-14	PRIJEM	PREVOD Z UCTU	4892	22898	DUCHOD	UV	56481081
523036	1785	1998-04-14	PRIJEM	PREVOD Z UCTU	4892	26143	DUCHOD	UV	56481081
523037	1785	1998-05-14	PRIJEM	PREVOD Z UCTU	4892	23418	DUCHOD	UV	56481081
523038	1785	1998-06-14	PRIJEM	PREVOD Z UCTU	4892	26669	DUCHOD	UV	56481081
523039	1785	1998-07-14	PRIJEM	PREVOD Z UCTU	4892	25122	DUCHOD	UV	56481081
523040	1785	1998-08-14	PRIJEM	PREVOD Z UCTU	4892	28376	DUCHOD	UV	56481081
523041	1785	1998-09-14	PRIJEM	PREVOD Z UCTU	4892	28918	DUCHOD	UV	56481081
523042	1785	1998-10-14	PRIJEM	PREVOD Z UCTU	4892	32188	DUCHOD	UV	56481081
523043	1785	1998-11-14	PRIJEM	PREVOD Z UCTU	4892	35471	DUCHOD	UV	56481081
523044	1785	1998-12-14	PRIJEM	PREVOD Z UCTU	4892	38019	DUCHOD	UV	56481081
523060	1785	1997-04-10	VYDAJ	PREVOD NA UCET	1722	21533	SIPO	IJ	39795231
523061	1785	1997-05-10	VYDAJ	PREVOD NA UCET	1722	24092	SIPO	IJ	39795231
523062	1785	1997-06-10	VYDAJ	PREVOD NA UCET	1722	16357	SIPO	IJ	39795231
523063	1785	1997-07-10	VYDAJ	PREVOD NA UCET	1722	17200	SIPO	IJ	39795231
523064	1785	1997-08-10	VYDAJ	PREVOD NA UCET	1722	18840	SIPO	IJ	39795231
523065	1785	1997-09-10	VYDAJ	PREVOD NA UCET	1722	20787	SIPO	IJ	39795231
523066	1785	1997-10-10	VYDAJ	PREVOD NA UCET	1722	19358	SIPO	IJ	39795231
523067	1785	1997-11-10	VYDAJ	PREVOD NA UCET	1722	22610	SIPO	IJ	39795231
523068	1785	1997-12-10	VYDAJ	PREVOD NA UCET	1722	23370	SIPO	IJ	39795231
523069	1785	1998-01-10	VYDAJ	PREVOD NA UCET	1722	21322	SIPO	IJ	39795231
523070	1785	1998-02-10	VYDAJ	PREVOD NA UCET	1722	14775	SIPO	IJ	39795231
523071	1785	1998-03-10	VYDAJ	PREVOD NA UCET	1722	18006	SIPO	IJ	39795231
523072	1785	1998-04-10	VYDAJ	PREVOD NA UCET	1722	21251	SIPO	IJ	39795231
523073	1785	1998-05-10	VYDAJ	PREVOD NA UCET	1722	18526	SIPO	IJ	39795231
523074	1785	1998-06-10	VYDAJ	PREVOD NA UCET	1722	21777	SIPO	IJ	39795231
523075	1785	1998-07-10	VYDAJ	PREVOD NA UCET	1722	20230	SIPO	IJ	39795231
523076	1785	1998-08-10	VYDAJ	PREVOD NA UCET	1722	23484	SIPO	IJ	39795231
523077	1785	1998-09-10	VYDAJ	PREVOD NA UCET	1722	24026	SIPO	IJ	39795231
523078	1785	1998-10-10	VYDAJ	PREVOD NA UCET	1722	27296	SIPO	IJ	39795231
523079	1785	1998-11-10	VYDAJ	PREVOD NA UCET	1722	30579	SIPO	IJ	39795231
523080	1785	1998-12-10	VYDAJ	PREVOD NA UCET	1722	33127	SIPO	IJ	39795231
523082	1785	1997-06-06	VYDAJ	VYBER	6900	18079	\N	\N	\N
523086	1785	1998-01-11	VYDAJ	VYBER	2750	18572	\N	\N	\N
523088	1785	1997-12-13	VYDAJ	VYBER	1450	21920	\N	\N	\N
523089	1785	1998-12-07	VYDAJ	VYBER	750	34849	\N	\N	\N
523102	1785	1998-01-18	VYDAJ	VYBER	2000	20104	\N	\N	\N
523103	1785	1998-01-03	VYDAJ	VYBER	1040	25364	\N	\N	\N
523104	1785	1998-01-07	VYDAJ	VYBER	2320	23044	\N	\N	\N
523105	1785	1998-01-16	VYDAJ	VYBER	1360	22104	\N	\N	\N
523106	1785	1998-01-24	VYDAJ	VYBER	2320	17784	\N	\N	\N
523107	1785	1998-01-26	VYDAJ	VYBER	1360	16424	\N	\N	\N
523116	1785	1997-10-06	VYDAJ	VYBER	1280	21080	\N	\N	\N
523119	1785	1998-06-25	VYDAJ	VYBER	1040	21869	\N	\N	\N
523120	1785	1998-06-18	VYDAJ	VYBER	3760	22909	\N	\N	\N
523121	1785	1998-08-15	VYDAJ	VYBER	1520	26856	\N	\N	\N
523122	1785	1998-05-07	VYDAJ	VYBER	3680	20248	\N	\N	\N
523138	1785	1997-03-31	VYDAJ	VYBER	15	23255	SLUZBY	\N	\N
523139	1785	1997-04-30	VYDAJ	VYBER	15	25814	SLUZBY	\N	\N
523140	1785	1997-05-31	VYDAJ	VYBER	15	24979	SLUZBY	\N	\N
523141	1785	1997-06-30	VYDAJ	VYBER	15	18922	SLUZBY	\N	\N
523142	1785	1997-07-31	VYDAJ	VYBER	15	20562	SLUZBY	\N	\N
523143	1785	1997-08-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
523144	1785	1997-09-30	VYDAJ	VYBER	15	22360	SLUZBY	\N	\N
523145	1785	1997-10-31	VYDAJ	VYBER	15	24332	SLUZBY	\N	\N
523146	1785	1997-11-30	VYDAJ	VYBER	15	25092	SLUZBY	\N	\N
523147	1785	1997-12-31	VYDAJ	VYBER	15	26404	SLUZBY	\N	\N
523148	1785	1998-01-31	VYDAJ	VYBER	15	16497	SLUZBY	\N	\N
523149	1785	1998-02-28	VYDAJ	VYBER	15	19728	SLUZBY	\N	\N
523150	1785	1998-03-31	VYDAJ	VYBER	15	22973	SLUZBY	\N	\N
523151	1785	1998-04-30	VYDAJ	VYBER	15	23928	SLUZBY	\N	\N
523152	1785	1998-05-31	VYDAJ	VYBER	15	23499	SLUZBY	\N	\N
523153	1785	1998-06-30	VYDAJ	VYBER	15	21952	SLUZBY	\N	\N
523154	1785	1998-07-31	VYDAJ	VYBER	15	25206	SLUZBY	\N	\N
523155	1785	1998-08-31	VYDAJ	VYBER	15	25748	SLUZBY	\N	\N
523156	1785	1998-09-30	VYDAJ	VYBER	15	29018	SLUZBY	\N	\N
523157	1785	1998-10-31	VYDAJ	VYBER	15	32301	SLUZBY	\N	\N
523158	1785	1998-11-30	VYDAJ	VYBER	15	35599	SLUZBY	\N	\N
523159	1785	1997-02-22	VYDAJ	VYBER	300	20368	\N	\N	\N
523160	1785	1997-03-24	VYDAJ	VYBER	2100	23181	\N	\N	\N
523161	1785	1997-04-23	VYDAJ	VYBER	700	25725	\N	\N	\N
523162	1785	1997-05-23	VYDAJ	VYBER	4100	24884	\N	\N	\N
523163	1785	1997-06-22	VYDAJ	VYBER	2400	18849	\N	\N	\N
523164	1785	1997-07-22	VYDAJ	VYBER	1600	20492	\N	\N	\N
523165	1785	1997-08-21	VYDAJ	VYBER	1300	22432	\N	\N	\N
523166	1785	1997-09-20	VYDAJ	VYBER	3400	22279	\N	\N	\N
523167	1785	1997-11-19	VYDAJ	VYBER	2500	25002	\N	\N	\N
523168	1785	1997-12-19	VYDAJ	VYBER	500	26312	\N	\N	\N
523169	1785	1998-04-18	VYDAJ	VYBER	2300	23843	\N	\N	\N
523170	1785	1998-08-16	VYDAJ	VYBER	1200	25656	\N	\N	\N
523194	1786	1993-05-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
523200	1786	1993-06-09	PRIJEM	VKLAD	26811	27811	\N	\N	\N
523201	1786	1993-07-09	PRIJEM	VKLAD	17874	42008	\N	\N	\N
523202	1786	1993-08-09	PRIJEM	VKLAD	17874	53395	\N	\N	\N
523203	1786	1993-09-09	PRIJEM	VKLAD	17874	56821	\N	\N	\N
523204	1786	1993-10-09	PRIJEM	VKLAD	17874	56456	\N	\N	\N
523205	1786	1993-11-09	PRIJEM	VKLAD	17874	51463	\N	\N	\N
523206	1786	1993-12-09	PRIJEM	VKLAD	26811	49944	\N	\N	\N
523207	1786	1994-01-09	PRIJEM	VKLAD	17874	43054	\N	\N	\N
523208	1786	1994-02-09	PRIJEM	VKLAD	17874	36139	\N	\N	\N
523209	1786	1994-03-09	PRIJEM	VKLAD	17874	38010	\N	\N	\N
523210	1786	1994-04-09	PRIJEM	VKLAD	17874	39488	\N	\N	\N
523211	1786	1994-05-09	PRIJEM	VKLAD	17874	36389	\N	\N	\N
523212	1786	1994-06-09	PRIJEM	VKLAD	26811	49200	\N	\N	\N
523213	1786	1994-07-09	PRIJEM	VKLAD	17874	48410	\N	\N	\N
523214	1786	1994-08-09	PRIJEM	VKLAD	17874	45222	\N	\N	\N
523215	1786	1994-09-09	PRIJEM	VKLAD	17874	43922	\N	\N	\N
523216	1786	1994-10-09	PRIJEM	VKLAD	17874	43617	\N	\N	\N
523217	1786	1994-11-09	PRIJEM	VKLAD	17874	43712	\N	\N	\N
523218	1786	1994-12-09	PRIJEM	VKLAD	26811	47142	\N	\N	\N
523219	1786	1995-01-09	PRIJEM	VKLAD	17874	41305	\N	\N	\N
523220	1786	1995-02-09	PRIJEM	VKLAD	17874	25373	\N	\N	\N
523221	1786	1995-03-09	PRIJEM	VKLAD	17874	34809	\N	\N	\N
523222	1786	1995-04-09	PRIJEM	VKLAD	17874	41881	\N	\N	\N
523223	1786	1995-05-09	PRIJEM	VKLAD	17874	46777	\N	\N	\N
523224	1786	1995-06-09	PRIJEM	VKLAD	26811	56520	\N	\N	\N
523225	1786	1995-07-09	PRIJEM	VKLAD	17874	48218	\N	\N	\N
523226	1786	1995-08-09	PRIJEM	VKLAD	17874	50934	\N	\N	\N
523227	1786	1995-09-09	PRIJEM	VKLAD	17874	47726	\N	\N	\N
523228	1786	1995-10-09	PRIJEM	VKLAD	17874	51742	\N	\N	\N
523229	1786	1995-11-09	PRIJEM	VKLAD	17874	54413	\N	\N	\N
523230	1786	1995-12-09	PRIJEM	VKLAD	26811	65788	\N	\N	\N
523231	1786	1996-01-09	PRIJEM	VKLAD	17874	50166	\N	\N	\N
523232	1786	1996-02-09	PRIJEM	VKLAD	17874	51984	\N	\N	\N
523233	1786	1996-03-09	PRIJEM	VKLAD	17874	57018	\N	\N	\N
523234	1786	1996-04-09	PRIJEM	VKLAD	17874	58950	\N	\N	\N
523235	1786	1996-05-09	PRIJEM	VKLAD	17874	60025	\N	\N	\N
523236	1786	1996-06-09	PRIJEM	VKLAD	26811	71611	\N	\N	\N
523237	1786	1996-07-09	PRIJEM	VKLAD	17874	67215	\N	\N	\N
523238	1786	1996-08-09	PRIJEM	VKLAD	17874	61761	\N	\N	\N
523239	1786	1996-09-09	PRIJEM	VKLAD	17874	63357	\N	\N	\N
523240	1786	1996-10-09	PRIJEM	VKLAD	17874	59717	\N	\N	\N
523241	1786	1996-11-09	PRIJEM	VKLAD	17874	62941	\N	\N	\N
523242	1786	1996-12-09	PRIJEM	VKLAD	26811	77074	\N	\N	\N
523243	1786	1997-01-09	PRIJEM	VKLAD	17874	63192	\N	\N	\N
523244	1786	1997-02-09	PRIJEM	VKLAD	17874	59262	\N	\N	\N
523245	1786	1997-03-09	PRIJEM	VKLAD	17874	64830	\N	\N	\N
523246	1786	1997-04-09	PRIJEM	VKLAD	17874	70732	\N	\N	\N
523247	1786	1997-05-09	PRIJEM	VKLAD	17874	76157	\N	\N	\N
523248	1786	1997-06-09	PRIJEM	VKLAD	26811	86043	\N	\N	\N
523249	1786	1997-07-09	PRIJEM	VKLAD	17874	57794	\N	\N	\N
523250	1786	1997-08-09	PRIJEM	VKLAD	17874	70354	\N	\N	\N
523251	1786	1997-09-09	PRIJEM	VKLAD	17874	78071	\N	\N	\N
523252	1786	1997-10-09	PRIJEM	VKLAD	17874	83725	\N	\N	\N
523253	1786	1997-11-09	PRIJEM	VKLAD	17874	85203	\N	\N	\N
523254	1786	1997-12-09	PRIJEM	VKLAD	26811	91021	\N	\N	\N
523255	1786	1998-01-09	PRIJEM	VKLAD	17874	84717	\N	\N	\N
523256	1786	1998-02-09	PRIJEM	VKLAD	17874	70784	\N	\N	\N
523257	1786	1998-03-09	PRIJEM	VKLAD	17874	76204	\N	\N	\N
523258	1786	1998-04-09	PRIJEM	VKLAD	17874	78247	\N	\N	\N
523259	1786	1998-05-09	PRIJEM	VKLAD	17874	75396	\N	\N	\N
523260	1786	1998-06-09	PRIJEM	VKLAD	26811	85370	\N	\N	\N
523261	1786	1998-07-09	PRIJEM	VKLAD	17874	60414	\N	\N	\N
523262	1786	1998-08-09	PRIJEM	VKLAD	17874	71313	\N	\N	\N
523263	1786	1998-09-09	PRIJEM	VKLAD	17874	82137	\N	\N	\N
523264	1786	1998-10-09	PRIJEM	VKLAD	17874	82998	\N	\N	\N
523265	1786	1998-11-09	PRIJEM	VKLAD	17874	78156	\N	\N	\N
523266	1786	1998-12-09	PRIJEM	VKLAD	26811	81836	\N	\N	\N
523277	1786	1993-11-08	VYDAJ	PREVOD NA UCET	8818	33589	SIPO	QR	45089298
523278	1786	1993-12-08	VYDAJ	PREVOD NA UCET	8818	23133	SIPO	QR	45089298
523279	1786	1994-01-08	VYDAJ	PREVOD NA UCET	8818	26500	SIPO	QR	45089298
523280	1786	1994-02-08	VYDAJ	PREVOD NA UCET	8818	18265	SIPO	QR	45089298
523281	1786	1994-03-08	VYDAJ	PREVOD NA UCET	8818	20136	SIPO	QR	45089298
523282	1786	1994-04-08	VYDAJ	PREVOD NA UCET	8818	21614	SIPO	QR	45089298
523283	1786	1994-05-08	VYDAJ	PREVOD NA UCET	8818	18515	SIPO	QR	45089298
523284	1786	1994-06-08	VYDAJ	PREVOD NA UCET	8818	22389	SIPO	QR	45089298
523285	1786	1994-07-08	VYDAJ	PREVOD NA UCET	8818	30536	SIPO	QR	45089298
523286	1786	1994-08-08	VYDAJ	PREVOD NA UCET	8818	27348	SIPO	QR	45089298
523287	1786	1994-09-08	VYDAJ	PREVOD NA UCET	8818	26048	SIPO	QR	45089298
523288	1786	1994-10-08	VYDAJ	PREVOD NA UCET	8818	25743	SIPO	QR	45089298
523289	1786	1994-11-08	VYDAJ	PREVOD NA UCET	8818	25838	SIPO	QR	45089298
523290	1786	1994-12-08	VYDAJ	PREVOD NA UCET	8818	20331	SIPO	QR	45089298
523291	1786	1995-01-08	VYDAJ	PREVOD NA UCET	8818	23431	SIPO	QR	45089298
523292	1786	1995-02-08	VYDAJ	PREVOD NA UCET	8818	7499	SIPO	QR	45089298
523293	1786	1995-03-08	VYDAJ	PREVOD NA UCET	8818	16935	SIPO	QR	45089298
523294	1786	1995-04-08	VYDAJ	PREVOD NA UCET	8818	24007	SIPO	QR	45089298
523295	1786	1995-05-08	VYDAJ	PREVOD NA UCET	8818	28903	SIPO	QR	45089298
523296	1786	1995-06-08	VYDAJ	PREVOD NA UCET	8818	29709	SIPO	QR	45089298
523297	1786	1995-07-08	VYDAJ	PREVOD NA UCET	8818	30344	SIPO	QR	45089298
523298	1786	1995-08-08	VYDAJ	PREVOD NA UCET	8818	33060	SIPO	QR	45089298
523299	1786	1995-09-08	VYDAJ	PREVOD NA UCET	8818	29852	SIPO	QR	45089298
523300	1786	1995-10-08	VYDAJ	PREVOD NA UCET	8818	33868	SIPO	QR	45089298
523301	1786	1995-11-08	VYDAJ	PREVOD NA UCET	8818	36539	SIPO	QR	45089298
523302	1786	1995-12-08	VYDAJ	PREVOD NA UCET	8818	38977	SIPO	QR	45089298
523303	1786	1996-01-08	VYDAJ	PREVOD NA UCET	8818	32292	SIPO	QR	45089298
523304	1786	1996-02-08	VYDAJ	PREVOD NA UCET	8818	34110	SIPO	QR	45089298
523305	1786	1996-03-08	VYDAJ	PREVOD NA UCET	8818	39144	SIPO	QR	45089298
523306	1786	1996-04-08	VYDAJ	PREVOD NA UCET	8818	41076	SIPO	QR	45089298
523307	1786	1996-05-08	VYDAJ	PREVOD NA UCET	8818	42151	SIPO	QR	45089298
523308	1786	1996-06-08	VYDAJ	PREVOD NA UCET	8818	44800	SIPO	QR	45089298
523309	1786	1996-07-08	VYDAJ	PREVOD NA UCET	8818	49341	SIPO	QR	45089298
523310	1786	1996-08-08	VYDAJ	PREVOD NA UCET	8818	43887	SIPO	QR	45089298
523311	1786	1996-09-08	VYDAJ	PREVOD NA UCET	8818	45483	SIPO	QR	45089298
523312	1786	1996-10-08	VYDAJ	PREVOD NA UCET	8818	41843	SIPO	QR	45089298
523313	1786	1996-11-08	VYDAJ	PREVOD NA UCET	8818	45067	SIPO	QR	45089298
523314	1786	1996-12-08	VYDAJ	PREVOD NA UCET	8818	50263	SIPO	QR	45089298
523315	1786	1997-01-08	VYDAJ	PREVOD NA UCET	8818	45318	SIPO	QR	45089298
523316	1786	1997-02-08	VYDAJ	PREVOD NA UCET	8818	41388	SIPO	QR	45089298
523317	1786	1997-03-08	VYDAJ	PREVOD NA UCET	8818	46956	SIPO	QR	45089298
523318	1786	1997-04-08	VYDAJ	PREVOD NA UCET	8818	52858	SIPO	QR	45089298
523319	1786	1997-05-08	VYDAJ	PREVOD NA UCET	8818	58283	SIPO	QR	45089298
523320	1786	1997-06-08	VYDAJ	PREVOD NA UCET	8818	59232	SIPO	QR	45089298
523321	1786	1997-07-08	VYDAJ	PREVOD NA UCET	8818	39920	SIPO	QR	45089298
523322	1786	1997-08-08	VYDAJ	PREVOD NA UCET	8818	52480	SIPO	QR	45089298
523323	1786	1997-09-08	VYDAJ	PREVOD NA UCET	8818	60197	SIPO	QR	45089298
523324	1786	1997-10-08	VYDAJ	PREVOD NA UCET	8818	65851	SIPO	QR	45089298
523325	1786	1997-11-08	VYDAJ	PREVOD NA UCET	8818	67329	SIPO	QR	45089298
523326	1786	1997-12-08	VYDAJ	PREVOD NA UCET	8818	64210	SIPO	QR	45089298
523327	1786	1998-01-08	VYDAJ	PREVOD NA UCET	8818	66843	SIPO	QR	45089298
523328	1786	1998-02-08	VYDAJ	PREVOD NA UCET	8818	52910	SIPO	QR	45089298
523329	1786	1998-03-08	VYDAJ	PREVOD NA UCET	8818	58330	SIPO	QR	45089298
523330	1786	1998-04-08	VYDAJ	PREVOD NA UCET	8818	60373	SIPO	QR	45089298
523331	1786	1998-05-08	VYDAJ	PREVOD NA UCET	8818	57522	SIPO	QR	45089298
523332	1786	1998-06-08	VYDAJ	PREVOD NA UCET	8818	58559	SIPO	QR	45089298
523333	1786	1998-07-08	VYDAJ	PREVOD NA UCET	8818	42540	SIPO	QR	45089298
523334	1786	1998-08-08	VYDAJ	PREVOD NA UCET	8818	53439	SIPO	QR	45089298
523335	1786	1998-09-08	VYDAJ	PREVOD NA UCET	8818	64263	SIPO	QR	45089298
523336	1786	1998-10-08	VYDAJ	PREVOD NA UCET	8818	65124	SIPO	QR	45089298
523337	1786	1998-11-08	VYDAJ	PREVOD NA UCET	8818	60282	SIPO	QR	45089298
523338	1786	1998-12-08	VYDAJ	PREVOD NA UCET	8818	55025	SIPO	QR	45089298
523341	1786	1995-06-17	VYDAJ	VYBER	6720	39000	\N	\N	\N
523342	1786	1996-06-22	VYDAJ	VYBER	5920	65691	\N	\N	\N
523343	1786	1997-06-29	VYDAJ	VYBER	45920	40123	\N	\N	\N
523344	1786	1998-06-12	VYDAJ	VYBER	34080	51290	\N	\N	\N
523346	1786	1994-01-12	VYDAJ	VYBER	5600	36614	\N	\N	\N
523347	1786	1995-01-02	VYDAJ	VYBER	4640	35249	\N	\N	\N
523348	1786	1996-01-06	VYDAJ	VYBER	6720	41950	\N	\N	\N
523349	1786	1997-01-29	VYDAJ	VYBER	14240	44872	\N	\N	\N
523350	1786	1998-01-16	VYDAJ	VYBER	6880	77237	\N	\N	\N
523351	1786	1993-12-12	VYDAJ	VYBER	3840	46104	\N	\N	\N
523352	1786	1994-12-06	VYDAJ	VYBER	1600	29149	\N	\N	\N
523353	1786	1995-12-28	VYDAJ	VYBER	2720	50268	\N	\N	\N
523354	1786	1996-12-20	VYDAJ	VYBER	3520	73554	\N	\N	\N
523355	1786	1997-12-07	VYDAJ	VYBER KARTOU	3800	73028	\N	\N	0
523356	1786	1998-12-24	VYDAJ	VYBER KARTOU	2400	79436	\N	\N	0
523363	1786	1994-01-18	VYDAJ	VYBER	1680	34934	\N	\N	\N
523364	1786	1994-01-27	VYDAJ	VYBER	1920	30314	\N	\N	\N
523365	1786	1994-01-06	VYDAJ	VYBER	2040	35318	\N	\N	\N
523366	1786	1994-01-29	VYDAJ	VYBER	3360	26954	\N	\N	\N
523367	1786	1994-01-10	VYDAJ	VYBER	840	42214	\N	\N	\N
523368	1786	1994-01-08	VYDAJ	VYBER	1320	25180	\N	\N	\N
523369	1786	1995-01-13	VYDAJ	VYBER	2520	38785	\N	\N	\N
523370	1786	1995-01-05	VYDAJ	VYBER	3000	32249	\N	\N	\N
523371	1786	1995-01-22	VYDAJ	VYBER	1920	24965	\N	\N	\N
523372	1786	1995-01-18	VYDAJ	VYBER	3000	26885	\N	\N	\N
523373	1786	1995-01-30	VYDAJ	VYBER	3480	16205	\N	\N	\N
523374	1786	1995-01-18	VYDAJ	VYBER	3000	29885	\N	\N	\N
523375	1786	1996-01-19	VYDAJ	VYBER	1800	47666	\N	\N	\N
523376	1786	1996-01-29	VYDAJ	VYBER	1560	45266	\N	\N	\N
523377	1786	1996-01-30	VYDAJ	VYBER	2520	42746	\N	\N	\N
523378	1786	1996-01-08	VYDAJ	VYBER	840	41110	\N	\N	\N
523379	1786	1996-01-02	VYDAJ	VYBER	1800	48670	\N	\N	\N
523380	1786	1996-01-28	VYDAJ	VYBER	840	46826	\N	\N	\N
523381	1786	1997-01-03	VYDAJ	VYBER	2400	68196	\N	\N	\N
523382	1786	1997-01-25	VYDAJ	VYBER	1320	61872	\N	\N	\N
523383	1786	1997-01-27	VYDAJ	VYBER	720	60192	\N	\N	\N
523384	1786	1997-01-26	VYDAJ	VYBER	960	60912	\N	\N	\N
523385	1786	1997-01-28	VYDAJ	VYBER	1080	59112	\N	\N	\N
523386	1786	1997-01-01	VYDAJ	VYBER	3240	70596	\N	\N	\N
523387	1786	1998-01-05	VYDAJ	VYBER KARTOU	1800	75661	\N	\N	0
523388	1786	1998-01-17	VYDAJ	VYBER KARTOU	2600	74637	\N	\N	0
523389	1786	1998-01-19	VYDAJ	VYBER KARTOU	1800	72837	\N	\N	0
523390	1786	1998-01-11	VYDAJ	VYBER KARTOU	600	84117	\N	\N	0
523391	1786	1998-01-22	VYDAJ	VYBER KARTOU	2800	70037	\N	\N	0
523392	1786	1998-01-22	VYDAJ	VYBER KARTOU	2600	67437	\N	\N	0
523397	1786	1993-12-07	VYDAJ	VYBER	5280	31951	\N	\N	\N
523398	1786	1993-11-16	VYDAJ	VYBER	2400	49063	\N	\N	\N
523399	1786	1994-11-28	VYDAJ	VYBER	4200	30612	\N	\N	\N
523400	1786	1994-04-26	VYDAJ	VYBER	4080	27208	\N	\N	\N
523401	1786	1995-08-16	VYDAJ	VYBER	1920	38514	\N	\N	\N
523402	1786	1995-01-27	VYDAJ	VYBER	5280	19685	\N	\N	\N
523403	1786	1995-11-07	VYDAJ	VYBER	960	45357	\N	\N	\N
523404	1786	1996-06-26	VYDAJ	VYBER	5880	59811	\N	\N	\N
523405	1786	1996-04-02	VYDAJ	VYBER	1920	49894	\N	\N	\N
523406	1786	1996-10-03	VYDAJ	VYBER	4440	59161	\N	\N	\N
523407	1786	1996-10-21	VYDAJ	VYBER	960	58757	\N	\N	\N
523408	1786	1996-07-24	VYDAJ	VYBER	3960	63255	\N	\N	\N
523409	1786	1997-01-05	VYDAJ	VYBER	2160	54136	\N	\N	\N
523410	1786	1998-07-03	VYDAJ	VYBER	5160	51358	\N	\N	\N
523411	1786	1998-07-23	VYDAJ	VYBER	5280	55134	\N	\N	\N
523412	1786	1998-12-04	VYDAJ	VYBER KARTOU	2900	67243	\N	\N	0
523413	1786	1998-10-15	VYDAJ	VYBER KARTOU	1800	81198	\N	\N	0
523414	1786	1998-12-05	VYDAJ	VYBER KARTOU	3400	63843	\N	\N	0
523425	1786	1993-10-31	VYDAJ	VYBER	15	42407	SLUZBY	\N	\N
523426	1786	1993-11-30	VYDAJ	VYBER	15	37231	SLUZBY	\N	\N
523427	1786	1993-12-31	VYDAJ	VYBER	15	37358	SLUZBY	\N	\N
523428	1786	1994-01-31	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
523429	1786	1994-02-28	VYDAJ	VYBER	15	28954	SLUZBY	\N	\N
523430	1786	1994-03-31	VYDAJ	VYBER	15	30432	SLUZBY	\N	\N
523431	1786	1994-04-30	VYDAJ	VYBER	15	27333	SLUZBY	\N	\N
523432	1786	1994-05-31	VYDAJ	VYBER	15	31207	SLUZBY	\N	\N
523433	1786	1994-06-30	VYDAJ	VYBER	15	39354	SLUZBY	\N	\N
523434	1786	1994-07-31	VYDAJ	VYBER	15	36166	SLUZBY	\N	\N
523435	1786	1994-08-31	VYDAJ	VYBER	15	34866	SLUZBY	\N	\N
523436	1786	1994-09-30	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
523437	1786	1994-10-31	VYDAJ	VYBER	15	34656	SLUZBY	\N	\N
523438	1786	1994-11-30	VYDAJ	VYBER	15	30749	SLUZBY	\N	\N
523439	1786	1994-12-31	VYDAJ	VYBER	15	39889	SLUZBY	\N	\N
523440	1786	1995-01-31	VYDAJ	VYBER	15	16317	SLUZBY	\N	\N
523441	1786	1995-02-28	VYDAJ	VYBER	15	25753	SLUZBY	\N	\N
523442	1786	1995-03-31	VYDAJ	VYBER	15	32825	SLUZBY	\N	\N
523443	1786	1995-04-30	VYDAJ	VYBER	15	37721	SLUZBY	\N	\N
523444	1786	1995-05-31	VYDAJ	VYBER	15	38527	SLUZBY	\N	\N
523445	1786	1995-06-30	VYDAJ	VYBER	15	39162	SLUZBY	\N	\N
523446	1786	1995-07-31	VYDAJ	VYBER	15	41878	SLUZBY	\N	\N
523447	1786	1995-08-31	VYDAJ	VYBER	15	38670	SLUZBY	\N	\N
523448	1786	1995-09-30	VYDAJ	VYBER	15	42686	SLUZBY	\N	\N
523449	1786	1995-10-31	VYDAJ	VYBER	15	46317	SLUZBY	\N	\N
523450	1786	1995-11-30	VYDAJ	VYBER	15	47795	SLUZBY	\N	\N
523451	1786	1995-12-31	VYDAJ	VYBER	15	50470	SLUZBY	\N	\N
523452	1786	1996-01-31	VYDAJ	VYBER	15	42928	SLUZBY	\N	\N
523453	1786	1996-02-29	VYDAJ	VYBER	15	47962	SLUZBY	\N	\N
523454	1786	1996-03-31	VYDAJ	VYBER	15	51814	SLUZBY	\N	\N
523455	1786	1996-04-30	VYDAJ	VYBER	15	50969	SLUZBY	\N	\N
523456	1786	1996-05-31	VYDAJ	VYBER	15	50218	SLUZBY	\N	\N
523457	1786	1996-06-30	VYDAJ	VYBER	15	60059	SLUZBY	\N	\N
523458	1786	1996-07-31	VYDAJ	VYBER	15	63505	SLUZBY	\N	\N
523459	1786	1996-08-31	VYDAJ	VYBER	15	62001	SLUZBY	\N	\N
523460	1786	1996-09-30	VYDAJ	VYBER	15	63601	SLUZBY	\N	\N
523461	1786	1996-10-31	VYDAJ	VYBER	15	58985	SLUZBY	\N	\N
523462	1786	1996-11-30	VYDAJ	VYBER	15	63181	SLUZBY	\N	\N
523463	1786	1996-12-31	VYDAJ	VYBER	15	73836	SLUZBY	\N	\N
523464	1786	1997-01-31	VYDAJ	VYBER	15	45106	SLUZBY	\N	\N
523465	1786	1997-02-28	VYDAJ	VYBER	15	59474	SLUZBY	\N	\N
523466	1786	1997-03-31	VYDAJ	VYBER	15	65076	SLUZBY	\N	\N
523467	1786	1997-04-30	VYDAJ	VYBER	15	71001	SLUZBY	\N	\N
523468	1786	1997-05-31	VYDAJ	VYBER	15	76450	SLUZBY	\N	\N
523469	1786	1997-06-30	VYDAJ	VYBER	15	40438	SLUZBY	\N	\N
523470	1786	1997-07-31	VYDAJ	VYBER	15	57998	SLUZBY	\N	\N
523471	1786	1997-08-31	VYDAJ	VYBER	15	70615	SLUZBY	\N	\N
523472	1786	1997-09-30	VYDAJ	VYBER	15	78369	SLUZBY	\N	\N
523473	1786	1997-10-31	VYDAJ	VYBER	15	76147	SLUZBY	\N	\N
523474	1786	1997-11-30	VYDAJ	VYBER	15	85528	SLUZBY	\N	\N
523475	1786	1997-12-31	VYDAJ	VYBER	15	77461	SLUZBY	\N	\N
523476	1786	1998-01-31	VYDAJ	VYBER	15	61728	SLUZBY	\N	\N
523477	1786	1998-02-28	VYDAJ	VYBER	15	67148	SLUZBY	\N	\N
523478	1786	1998-03-31	VYDAJ	VYBER	15	69191	SLUZBY	\N	\N
523479	1786	1998-04-30	VYDAJ	VYBER	15	66340	SLUZBY	\N	\N
523480	1786	1998-05-31	VYDAJ	VYBER	15	67377	SLUZBY	\N	\N
523481	1786	1998-06-30	VYDAJ	VYBER	15	56518	SLUZBY	\N	\N
523482	1786	1998-07-31	VYDAJ	VYBER	15	62257	SLUZBY	\N	\N
523483	1786	1998-08-31	VYDAJ	VYBER	15	73081	SLUZBY	\N	\N
523484	1786	1998-09-30	VYDAJ	VYBER	15	73942	SLUZBY	\N	\N
523485	1786	1998-10-31	VYDAJ	VYBER	15	69100	SLUZBY	\N	\N
523486	1786	1998-11-30	VYDAJ	VYBER	15	70143	SLUZBY	\N	\N
523487	1786	1993-06-24	VYDAJ	VYBER	3700	24111	\N	\N	\N
523488	1786	1993-07-24	VYDAJ	VYBER	6600	35408	\N	\N	\N
523489	1786	1993-08-23	VYDAJ	VYBER	14600	38795	\N	\N	\N
523490	1786	1993-09-22	VYDAJ	VYBER	18400	38421	\N	\N	\N
523491	1786	1993-10-22	VYDAJ	VYBER	14200	42256	\N	\N	\N
523492	1786	1993-11-21	VYDAJ	VYBER	12000	37063	\N	\N	\N
523493	1786	1993-12-21	VYDAJ	VYBER	8900	37204	\N	\N	\N
523494	1786	1994-01-20	VYDAJ	VYBER	2700	32234	\N	\N	\N
523495	1786	1994-02-19	VYDAJ	VYBER	7300	28839	\N	\N	\N
523496	1786	1994-03-21	VYDAJ	VYBER	7700	30310	\N	\N	\N
523497	1786	1994-04-20	VYDAJ	VYBER	8200	31288	\N	\N	\N
523498	1786	1994-05-20	VYDAJ	VYBER	5300	31089	\N	\N	\N
523499	1786	1994-06-19	VYDAJ	VYBER	10000	39200	\N	\N	\N
523500	1786	1994-07-19	VYDAJ	VYBER	12400	36010	\N	\N	\N
523501	1786	1994-08-18	VYDAJ	VYBER	10500	34722	\N	\N	\N
523502	1786	1994-09-17	VYDAJ	VYBER	9500	34422	\N	\N	\N
523503	1786	1994-10-17	VYDAJ	VYBER	9100	34517	\N	\N	\N
523504	1786	1994-11-16	VYDAJ	VYBER	8900	34812	\N	\N	\N
523505	1786	1994-12-16	VYDAJ	VYBER	7400	39742	\N	\N	\N
523506	1786	1995-01-15	VYDAJ	VYBER	5900	32885	\N	\N	\N
523507	1786	1995-02-14	PRIJEM	VKLAD	300	25673	\N	\N	\N
523508	1786	1995-03-16	VYDAJ	VYBER	2100	32709	\N	\N	\N
523509	1786	1995-04-15	VYDAJ	VYBER	4300	37581	\N	\N	\N
523510	1786	1995-05-15	VYDAJ	VYBER	8400	38377	\N	\N	\N
523511	1786	1995-06-14	VYDAJ	VYBER	10800	45720	\N	\N	\N
523512	1786	1995-07-14	VYDAJ	VYBER	6500	41718	\N	\N	\N
523513	1786	1995-08-13	VYDAJ	VYBER	10500	40434	\N	\N	\N
523514	1786	1995-09-12	VYDAJ	VYBER	5200	42526	\N	\N	\N
523515	1786	1995-10-12	VYDAJ	VYBER	5600	46142	\N	\N	\N
523516	1786	1995-11-11	VYDAJ	VYBER	6800	47613	\N	\N	\N
523517	1786	1995-12-11	VYDAJ	VYBER	12800	52988	\N	\N	\N
523518	1786	1996-01-10	VYDAJ	VYBER	700	49466	\N	\N	\N
523519	1786	1996-02-09	VYDAJ	VYBER	4200	47784	\N	\N	\N
523520	1786	1996-03-10	VYDAJ	VYBER	5400	51618	\N	\N	\N
523521	1786	1996-04-09	VYDAJ	VYBER	8200	50750	\N	\N	\N
523522	1786	1996-05-09	VYDAJ	VYBER	10000	50025	\N	\N	\N
523523	1786	1996-06-08	PRIJEM	VKLAD	3400	53618	\N	\N	\N
523524	1786	1996-07-08	VYDAJ	VYBER	1900	58159	\N	\N	\N
523525	1786	1996-08-07	VYDAJ	VYBER	10800	52705	\N	\N	\N
523526	1786	1996-09-06	VYDAJ	VYBER	7700	54301	\N	\N	\N
523527	1786	1996-10-06	VYDAJ	VYBER	8500	50661	\N	\N	\N
523528	1786	1996-11-05	VYDAJ	VYBER	5100	53885	\N	\N	\N
523529	1786	1996-12-05	VYDAJ	VYBER	4100	59081	\N	\N	\N
523530	1786	1997-01-04	VYDAJ	VYBER	11900	56296	\N	\N	\N
523531	1786	1997-02-03	PRIJEM	VKLAD	5100	50206	\N	\N	\N
523532	1786	1997-03-05	VYDAJ	VYBER	3700	55774	\N	\N	\N
523533	1786	1997-04-04	VYDAJ	VYBER	3400	61676	\N	\N	\N
523534	1786	1997-05-04	VYDAJ	VYBER	3900	67101	\N	\N	\N
523535	1786	1997-06-03	VYDAJ	VYBER	8400	68050	\N	\N	\N
523536	1786	1997-07-03	PRIJEM	VKLAD	8300	48738	\N	\N	\N
523537	1786	1997-08-02	PRIJEM	VKLAD	3300	61298	\N	\N	\N
523538	1786	1997-09-01	VYDAJ	VYBER	1600	69015	\N	\N	\N
523539	1786	1997-10-01	VYDAJ	VYBER KARTOU	3700	74669	\N	\N	0
523540	1786	1997-10-31	VYDAJ	VYBER	7900	76162	\N	\N	\N
523541	1786	1997-11-30	VYDAJ	VYBER	8700	76828	\N	\N	\N
523542	1786	1997-12-30	VYDAJ	VYBER	13900	77121	\N	\N	\N
523543	1786	1998-01-29	VYDAJ	VYBER	6000	61437	\N	\N	\N
523544	1786	1998-02-28	VYDAJ	VYBER KARTOU	3900	67163	\N	\N	0
523545	1786	1998-03-30	VYDAJ	VYBER	7300	68904	\N	\N	\N
523546	1786	1998-04-29	VYDAJ	VYBER	12200	66047	\N	\N	\N
523547	1786	1998-05-29	VYDAJ	VYBER	8300	67096	\N	\N	\N
523548	1786	1998-06-28	PRIJEM	VKLAD	5000	56290	\N	\N	\N
523549	1786	1998-07-28	PRIJEM	VKLAD	6900	62034	\N	\N	\N
523550	1786	1998-08-27	PRIJEM	VKLAD	1500	72813	\N	\N	\N
523551	1786	1998-09-26	VYDAJ	VYBER	8500	73637	\N	\N	\N
523552	1786	1998-10-26	VYDAJ	VYBER	12400	68798	\N	\N	\N
523553	1786	1998-11-25	VYDAJ	VYBER	8300	69856	\N	\N	\N
523621	1787	1993-03-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
523624	1787	1993-07-08	PRIJEM	VKLAD	42248	62348	\N	\N	\N
523625	1787	1994-06-10	PRIJEM	VKLAD	10272	43909	\N	\N	\N
523626	1787	1994-08-11	PRIJEM	VKLAD	21232	116845	\N	\N	\N
523627	1787	1994-09-26	PRIJEM	VKLAD	39719	124865	\N	\N	\N
523628	1787	1994-09-18	PRIJEM	VKLAD	47303	104614	\N	\N	\N
523629	1787	1994-07-12	PRIJEM	VKLAD	13784	73503	\N	\N	\N
523630	1787	1994-08-31	PRIJEM	VKLAD	33719	56273	\N	\N	\N
523631	1787	1994-09-13	PRIJEM	VKLAD	25061	81011	\N	\N	\N
523632	1787	1994-08-07	PRIJEM	VKLAD	31966	136813	\N	\N	\N
523633	1787	1994-07-21	PRIJEM	VKLAD	25039	73542	\N	\N	\N
523634	1787	1994-04-23	PRIJEM	VKLAD	38553	86607	\N	\N	\N
523635	1787	1994-05-13	PRIJEM	VKLAD	10423	58370	\N	\N	\N
523636	1787	1994-06-17	PRIJEM	VKLAD	6965	58906	\N	\N	\N
523637	1787	1994-03-27	PRIJEM	VKLAD	40719	80030	\N	\N	\N
523638	1787	1994-01-12	PRIJEM	VKLAD	5871	30446	\N	\N	\N
523639	1787	1994-02-23	PRIJEM	VKLAD	42057	83113	\N	\N	\N
523640	1787	1994-01-15	PRIJEM	VKLAD	28572	92430	\N	\N	\N
523641	1787	1994-04-24	PRIJEM	VKLAD	27272	113879	\N	\N	\N
523642	1787	1994-06-19	PRIJEM	VKLAD	38705	97611	\N	\N	\N
523643	1787	1994-09-23	PRIJEM	VKLAD	12232	116846	\N	\N	\N
523644	1787	1994-06-24	PRIJEM	VKLAD	27198	122409	\N	\N	\N
523645	1787	1994-01-13	PRIJEM	VKLAD	33412	63858	\N	\N	\N
523646	1787	1994-11-17	PRIJEM	VKLAD	35474	64816	\N	\N	\N
523647	1787	1994-07-23	PRIJEM	VKLAD	41730	107872	\N	\N	\N
523648	1787	1994-10-22	PRIJEM	VKLAD	9898	39661	\N	\N	\N
523649	1787	1994-09-03	PRIJEM	VKLAD	32618	88861	\N	\N	\N
523650	1787	1994-09-09	PRIJEM	VKLAD	27489	113150	\N	\N	\N
523651	1787	1994-05-09	PRIJEM	VKLAD	7353	60780	\N	\N	\N
523652	1787	1994-06-13	PRIJEM	VKLAD	37865	73741	\N	\N	\N
523653	1787	1995-05-14	PRIJEM	VKLAD	5562	35443	\N	\N	\N
523654	1787	1995-03-18	PRIJEM	VKLAD	47695	117505	\N	\N	\N
523655	1787	1995-06-03	PRIJEM	VKLAD	31355	136245	\N	\N	\N
523656	1787	1995-05-26	PRIJEM	VKLAD	36922	112489	\N	\N	\N
523657	1787	1995-05-18	PRIJEM	VKLAD	43224	75567	\N	\N	\N
523658	1787	1995-03-16	PRIJEM	VKLAD	43219	69810	\N	\N	\N
523659	1787	1995-06-12	PRIJEM	VKLAD	5170	68815	\N	\N	\N
523660	1787	1995-03-01	PRIJEM	VKLAD	18215	56540	\N	\N	\N
523661	1787	1995-02-02	PRIJEM	VKLAD	27487	53647	\N	\N	\N
523662	1787	1995-01-14	PRIJEM	VKLAD	15188	49061	\N	\N	\N
523663	1787	1995-10-10	PRIJEM	VKLAD	10280	46367	\N	\N	\N
523664	1787	1995-09-12	PRIJEM	VKLAD	40697	64507	\N	\N	\N
523665	1787	1995-01-04	PRIJEM	VKLAD	18228	41873	\N	\N	\N
523666	1787	1995-04-12	PRIJEM	VKLAD	7482	38716	\N	\N	\N
523667	1787	1995-07-31	PRIJEM	VKLAD	36600	81276	\N	\N	\N
523668	1787	1995-07-22	PRIJEM	VKLAD	13599	44490	\N	\N	\N
523669	1787	1995-02-06	PRIJEM	VKLAD	8524	62171	\N	\N	\N
523670	1787	1995-08-02	PRIJEM	VKLAD	47810	129056	\N	\N	\N
523671	1787	1995-09-27	PRIJEM	VKLAD	18498	74705	\N	\N	\N
523672	1787	1995-08-11	PRIJEM	VKLAD	21228	88784	\N	\N	\N
523673	1787	1996-09-02	PRIJEM	VKLAD	17390	90892	\N	\N	\N
523674	1787	1996-09-18	PRIJEM	VKLAD	13407	83877	\N	\N	\N
523675	1787	1996-07-25	PRIJEM	VKLAD	19850	102070	\N	\N	\N
523676	1787	1996-07-30	PRIJEM	VKLAD	30911	106128	\N	\N	\N
523677	1787	1996-08-11	PRIJEM	VKLAD	45651	85627	\N	\N	\N
523678	1787	1996-07-11	PRIJEM	VKLAD	22587	47837	\N	\N	\N
523679	1787	1996-12-17	PRIJEM	VKLAD	10927	84627	\N	\N	\N
523680	1787	1996-01-25	PRIJEM	VKLAD	26760	51552	\N	\N	\N
523681	1787	1996-04-23	PRIJEM	VKLAD	18710	30336	\N	\N	\N
523682	1787	1996-07-26	PRIJEM	VKLAD	8847	110917	\N	\N	\N
523683	1787	1996-02-04	PRIJEM	VKLAD	10884	74050	\N	\N	\N
523684	1787	1996-02-02	PRIJEM	VKLAD	13939	63166	\N	\N	\N
523685	1787	1996-12-11	PRIJEM	VKLAD	16392	73700	\N	\N	\N
523686	1787	1996-06-11	PRIJEM	VKLAD	15627	34869	\N	\N	\N
523687	1787	1996-05-25	PRIJEM	VKLAD	5681	27469	\N	\N	\N
523688	1787	1996-07-24	PRIJEM	VKLAD	46083	82220	\N	\N	\N
523689	1787	1996-11-01	PRIJEM	VKLAD	26415	50856	\N	\N	\N
523690	1787	1996-01-11	PRIJEM	VKLAD	22383	30392	\N	\N	\N
523691	1787	1996-09-13	PRIJEM	VKLAD	35418	70470	\N	\N	\N
523692	1787	1996-12-06	PRIJEM	VKLAD	34093	45421	\N	\N	\N
523693	1787	1996-12-10	PRIJEM	VKLAD	11887	57308	\N	\N	\N
523694	1787	1997-09-15	PRIJEM	VKLAD	47694	47126	\N	\N	\N
523695	1787	1997-09-30	PRIJEM	VKLAD	37457	59883	\N	\N	\N
523696	1787	1997-06-02	PRIJEM	VKLAD	34418	34286	\N	\N	\N
523697	1787	1997-09-30	PRIJEM	VKLAD	21362	81245	\N	\N	\N
523698	1787	1998-07-25	PRIJEM	VKLAD	45816	48837	\N	\N	\N
523699	1787	1998-09-11	PRIJEM	VKLAD	22641	35544	\N	\N	\N
523700	1787	1998-11-02	PRIJEM	VKLAD	43563	45877	\N	\N	\N
523715	1787	1994-03-12	VYDAJ	PREVOD NA UCET	8033	71911	UVER	EF	8468449
523716	1787	1994-04-12	VYDAJ	PREVOD NA UCET	8033	72254	UVER	EF	8468449
523717	1787	1994-05-12	VYDAJ	PREVOD NA UCET	8033	47947	UVER	EF	8468449
523718	1787	1994-06-12	VYDAJ	PREVOD NA UCET	8033	35876	UVER	EF	8468449
523719	1787	1994-07-22	VYDAJ	VYBER	7400	66142	\N	\N	0
523720	1787	1994-08-26	VYDAJ	VYBER	9100	22245	\N	\N	0
523721	1787	1994-09-11	VYDAJ	VYBER	5800	55950	\N	\N	0
523722	1787	1994-10-13	VYDAJ	VYBER	11300	58563	\N	\N	0
523723	1787	1994-10-31	VYDAJ	VYBER	7400	32472	\N	\N	0
523724	1787	1994-12-14	VYDAJ	VYBER	7700	43481	\N	\N	0
523725	1787	1995-01-17	VYDAJ	VYBER	5500	36361	\N	\N	0
523726	1787	1995-02-16	VYDAJ	VYBER	6500	38171	\N	\N	0
523727	1787	1995-03-11	VYDAJ	VYBER	10400	23491	\N	\N	0
523728	1787	1995-04-07	VYDAJ	VYBER	10300	66474	\N	\N	0
523729	1787	1995-05-28	VYDAJ	VYBER	7800	104689	\N	\N	0
523730	1787	1995-06-18	VYDAJ	VYBER	10100	58715	\N	\N	0
523731	1787	1995-07-09	VYDAJ	VYBER	9900	49091	\N	\N	0
523732	1787	1995-08-20	VYDAJ	VYBER	10800	46273	\N	\N	0
523733	1787	1995-09-20	VYDAJ	VYBER	8300	56207	\N	\N	0
523734	1787	1995-10-09	VYDAJ	VYBER	7500	36087	\N	\N	0
523735	1787	1995-11-19	VYDAJ	VYBER	6700	17646	\N	\N	0
523736	1787	1995-12-05	VYDAJ	VYBER	9100	4307	\N	\N	0
523737	1787	1996-01-16	VYDAJ	VYBER	5600	24792	\N	\N	0
523738	1787	1996-02-12	VYDAJ	VYBER	10100	32128	\N	\N	0
523739	1787	1996-03-25	VYDAJ	VYBER	6200	16353	\N	\N	0
523740	1787	1996-04-19	VYDAJ	VYBER	7600	11626	\N	\N	0
523741	1787	1996-05-27	VYDAJ	VYBER	8700	18769	\N	\N	0
523742	1787	1996-06-22	VYDAJ	VYBER	7200	27669	\N	\N	0
523743	1787	1996-07-11	VYDAJ	VYBER	11700	36137	\N	\N	0
523744	1787	1996-08-20	VYDAJ	VYBER	8200	77427	\N	\N	0
523745	1787	1996-09-04	VYDAJ	VYBER	7700	35052	\N	\N	0
523746	1787	1996-09-27	VYDAJ	VYBER	11100	72777	\N	\N	0
523747	1787	1996-11-07	VYDAJ	VYBER	7500	21466	\N	\N	0
523748	1787	1996-12-19	VYDAJ	VYBER	7100	72727	\N	\N	0
523749	1787	1997-01-09	VYDAJ	VYBER	6100	30943	\N	\N	0
523750	1787	1997-01-27	VYDAJ	VYBER	11200	11543	\N	\N	0
523754	1787	1997-06-09	VYDAJ	VYBER	4700	25886	\N	\N	0
523755	1787	1997-06-29	VYDAJ	VYBER	9500	11286	\N	\N	0
523758	1787	1997-09-29	VYDAJ	VYBER	7500	22426	\N	\N	0
523759	1787	1997-11-19	VYDAJ	VYBER	7700	11217	\N	\N	0
523768	1787	1998-08-06	VYDAJ	VYBER	8900	36322	\N	\N	0
523769	1787	1998-09-12	VYDAJ	VYBER	9500	26044	\N	\N	0
523770	1787	1998-10-15	VYDAJ	VYBER	9200	7198	\N	\N	0
523771	1787	1998-11-28	VYDAJ	VYBER	6300	19777	\N	\N	0
523772	1787	1998-12-27	VYDAJ	VYBER	9700	5835	\N	\N	0
523787	1787	1994-03-01	VYDAJ	VYBER	3400	79944	SIPO	\N	0
523788	1787	1994-04-16	VYDAJ	VYBER	3300	68954	SIPO	\N	0
523789	1787	1994-05-10	VYDAJ	VYBER	4800	55980	SIPO	\N	0
523790	1787	1994-06-02	VYDAJ	VYBER	3500	33637	SIPO	\N	0
523791	1787	1994-07-12	VYDAJ	VYBER	4500	69003	SIPO	\N	0
523792	1787	1994-08-04	VYDAJ	VYBER	3300	104847	SIPO	\N	0
523793	1787	1994-09-08	VYDAJ	VYBER	3200	85661	SIPO	\N	0
523794	1787	1994-10-02	VYDAJ	VYBER	4700	69863	SIPO	\N	0
523795	1787	1994-11-10	VYDAJ	VYBER	3900	28542	SIPO	\N	0
523796	1787	1994-12-08	VYDAJ	VYBER	3400	61581	SIPO	\N	0
523797	1787	1994-12-28	VYDAJ	VYBER	3500	26781	SIPO	\N	0
523798	1787	1995-02-16	VYDAJ	VYBER	3100	44671	SIPO	\N	0
523799	1787	1995-03-14	VYDAJ	VYBER	3100	26591	SIPO	\N	0
523800	1787	1995-04-11	VYDAJ	VYBER	3500	41634	SIPO	\N	0
523801	1787	1995-05-15	VYDAJ	VYBER	3100	32343	SIPO	\N	0
523802	1787	1995-06-08	VYDAJ	VYBER	4000	96545	SIPO	\N	0
523803	1787	1995-07-14	VYDAJ	VYBER	3900	30891	SIPO	\N	0
523804	1787	1995-08-13	VYDAJ	VYBER	4600	80884	SIPO	\N	0
523805	1787	1995-08-29	VYDAJ	VYBER	4100	29934	SIPO	\N	0
523806	1787	1995-10-07	VYDAJ	VYBER	4600	70287	SIPO	\N	0
523807	1787	1995-11-05	VYDAJ	VYBER	4900	23946	SIPO	\N	0
523808	1787	1995-11-29	VYDAJ	VYBER	4300	13346	SIPO	\N	0
523809	1787	1996-01-10	VYDAJ	VYBER	4400	8009	SIPO	\N	0
523810	1787	1996-02-06	VYDAJ	VYBER	5000	42228	SIPO	\N	0
523811	1787	1996-03-14	VYDAJ	VYBER	3300	22553	SIPO	\N	0
523812	1787	1996-04-10	VYDAJ	VYBER	3500	19226	SIPO	\N	0
523813	1787	1996-05-14	VYDAJ	VYBER	4400	21788	SIPO	\N	0
523814	1787	1996-06-04	VYDAJ	VYBER	3200	19242	SIPO	\N	0
523815	1787	1996-07-09	VYDAJ	VYBER	3200	25250	SIPO	\N	0
523816	1787	1996-08-10	VYDAJ	VYBER	3600	39976	SIPO	\N	0
523817	1787	1996-08-29	VYDAJ	VYBER	4200	73227	SIPO	\N	0
523818	1787	1996-10-07	VYDAJ	VYBER	4100	38718	SIPO	\N	0
523819	1787	1996-11-13	VYDAJ	VYBER	4800	16666	SIPO	\N	0
523820	1787	1996-12-01	VYDAJ	VYBER	3300	11328	SIPO	\N	0
523821	1787	1997-01-11	VYDAJ	VYBER	4600	26343	SIPO	\N	0
523822	1787	1997-02-03	VYDAJ	VYBER	4700	3655	SIPO	\N	0
523823	1787	1997-03-12	VYDAJ	VYBER	3700	-45	SIPO	\N	0
523826	1787	1997-06-08	VYDAJ	VYBER	3700	30586	SIPO	\N	0
523827	1787	1997-07-07	VYDAJ	VYBER	3900	7422	SIPO	\N	0
523828	1787	1997-08-08	VYDAJ	VYBER	4500	2935	SIPO	\N	0
523829	1787	1997-09-03	VYDAJ	VYBER	3500	-568	SIPO	\N	0
523830	1787	1997-10-14	VYDAJ	VYBER	3500	77815	SIPO	\N	0
523831	1787	1997-10-31	VYDAJ	VYBER	3300	40650	SIPO	\N	0
523832	1787	1997-12-01	VYDAJ	VYBER	3300	8012	SIPO	\N	0
523833	1787	1998-01-07	VYDAJ	VYBER	4900	3125	SIPO	\N	0
523840	1787	1998-08-04	VYDAJ	VYBER	3600	45222	SIPO	\N	0
523841	1787	1998-09-10	VYDAJ	VYBER	3400	12903	SIPO	\N	0
523842	1787	1998-10-10	VYDAJ	VYBER	3600	16398	SIPO	\N	0
523843	1787	1998-10-28	VYDAJ	VYBER	4900	2298	SIPO	\N	0
523844	1787	1998-12-02	VYDAJ	VYBER	4300	15535	SIPO	\N	0
523859	1787	1995-01-30	VYBER	VYBER	3781	26047	\N	\N	\N
523860	1787	1995-01-21	VYBER	VYBER	3533	32828	\N	\N	\N
523861	1787	1995-08-23	VYBER	VYBER	12239	34034	\N	\N	\N
523863	1787	1995-03-22	VYBER	VYBER	22279	76526	\N	\N	\N
523864	1787	1995-10-11	VYBER	VYBER	13166	33201	\N	\N	\N
523865	1787	1995-04-08	VYBER	VYBER	21340	45134	\N	\N	\N
523868	1787	1995-08-19	VYBER	VYBER	23811	57073	\N	\N	\N
523870	1787	1995-03-01	VYBER	VYBER	22649	33891	\N	\N	\N
523872	1787	1996-02-04	VYBER	VYBER	4422	69628	\N	\N	\N
523875	1787	1996-09-02	VYBER	VYBER	20940	69952	\N	\N	\N
523877	1787	1996-08-07	VYBER	VYBER	3543	43576	\N	\N	\N
523878	1787	1996-11-01	VYBER	VYBER	7290	43566	\N	\N	\N
523892	1787	1997-11-01	VYBER	VYBER	21703	18917	\N	\N	\N
523900	1787	1998-08-12	VYBER	VYBER	8806	27516	\N	\N	\N
523905	1787	1994-12-16	VYDAJ	VYBER	1500	41981	\N	\N	\N
523907	1787	1996-12-18	VYDAJ	VYBER	4800	79827	\N	\N	\N
523922	1787	1995-01-16	VYDAJ	VYBER	4500	41861	\N	\N	\N
523923	1787	1995-01-05	VYDAJ	VYBER	4500	37373	\N	\N	\N
523925	1787	1995-01-16	VYDAJ	VYBER	2700	46361	\N	\N	\N
523926	1787	1995-01-03	VYDAJ	VYBER	3300	23645	\N	\N	\N
523927	1787	1995-01-26	VYDAJ	VYBER	1500	29828	\N	\N	\N
523932	1787	1996-01-29	VYDAJ	VYBER	2400	49152	\N	\N	\N
523935	1787	1997-01-07	VYDAJ	VYBER	8400	37043	\N	\N	\N
523938	1787	1997-01-16	VYDAJ	VYBER	3600	22743	\N	\N	\N
523949	1787	1994-10-14	VYDAJ	VYBER	14700	29763	\N	\N	\N
523950	1787	1994-03-26	VYDAJ	VYBER	8100	39311	\N	\N	\N
523951	1787	1994-06-22	VYDAJ	VYBER	2400	95211	\N	\N	\N
523952	1787	1994-08-26	VYDAJ	VYBER	13800	31345	\N	\N	\N
523953	1787	1994-12-22	VYDAJ	VYBER	11700	30281	\N	\N	\N
523954	1787	1994-07-17	VYDAJ	VYBER	3900	48503	\N	\N	\N
523955	1787	1994-05-26	VYDAJ	VYBER	6000	36970	\N	\N	\N
523956	1787	1995-10-24	VYDAJ	VYBER	4500	28701	\N	\N	\N
523957	1787	1995-01-24	VYDAJ	VYBER	1500	31328	\N	\N	\N
523958	1787	1995-08-13	VYDAJ	VYBER	3300	85484	\N	\N	\N
523959	1787	1995-10-08	VYDAJ	VYBER	4500	65787	\N	\N	\N
523960	1787	1995-04-29	VYDAJ	VYBER	12000	26716	\N	\N	\N
523963	1787	1996-10-15	VYDAJ	VYBER	14400	24318	\N	\N	\N
523968	1787	1997-06-28	VYDAJ	VYBER	2700	23186	\N	\N	\N
523981	1787	1998-11-08	VYDAJ	VYBER	13800	32077	\N	\N	\N
523996	1787	1994-02-28	VYDAJ	VYBER	30	83344	SLUZBY	\N	\N
523997	1787	1994-03-31	VYDAJ	VYBER	30	80288	SLUZBY	\N	\N
523998	1787	1994-04-30	VYDAJ	VYBER	30	53427	SLUZBY	\N	\N
523999	1787	1994-05-31	VYDAJ	VYBER	30	37137	SLUZBY	\N	\N
524000	1787	1994-06-30	VYDAJ	VYBER	30	59719	SLUZBY	\N	\N
524001	1787	1994-07-31	VYDAJ	VYBER	30	108147	SLUZBY	\N	\N
524002	1787	1994-08-31	VYDAJ	VYBER	30	56243	SLUZBY	\N	\N
524003	1787	1994-09-30	VYDAJ	VYBER	30	74563	SLUZBY	\N	\N
524004	1787	1994-10-31	VYDAJ	VYBER	30	32442	SLUZBY	\N	\N
524005	1787	1994-11-30	VYDAJ	VYBER	30	64981	SLUZBY	\N	\N
524006	1787	1994-12-31	VYDAJ	VYBER	30	26945	SLUZBY	\N	\N
524007	1787	1995-01-31	VYDAJ	VYBER	30	26160	SLUZBY	\N	\N
524008	1787	1995-02-28	VYDAJ	VYBER	30	38325	SLUZBY	\N	\N
524009	1787	1995-03-31	VYDAJ	VYBER	30	76774	SLUZBY	\N	\N
524010	1787	1995-04-30	VYDAJ	VYBER	30	26881	SLUZBY	\N	\N
524011	1787	1995-05-31	VYDAJ	VYBER	30	104890	SLUZBY	\N	\N
524012	1787	1995-06-30	VYDAJ	VYBER	30	58991	SLUZBY	\N	\N
524013	1787	1995-07-31	VYDAJ	VYBER	30	81246	SLUZBY	\N	\N
524014	1787	1995-08-31	VYDAJ	VYBER	30	30210	SLUZBY	\N	\N
524015	1787	1995-09-30	VYDAJ	VYBER	30	74887	SLUZBY	\N	\N
524016	1787	1995-10-31	VYDAJ	VYBER	30	28846	SLUZBY	\N	\N
524017	1787	1995-11-30	VYDAJ	VYBER	30	13407	SLUZBY	\N	\N
524018	1787	1995-12-31	VYDAJ	VYBER	30	6809	SLUZBY	\N	\N
524019	1787	1996-01-31	VYDAJ	VYBER	30	49227	SLUZBY	\N	\N
524020	1787	1996-02-29	VYDAJ	VYBER	30	32253	SLUZBY	\N	\N
524021	1787	1996-03-31	VYDAJ	VYBER	30	16426	SLUZBY	\N	\N
524022	1787	1996-04-30	VYDAJ	VYBER	30	30388	SLUZBY	\N	\N
524023	1787	1996-05-31	VYDAJ	VYBER	30	18842	SLUZBY	\N	\N
524024	1787	1996-06-30	VYDAJ	VYBER	30	27750	SLUZBY	\N	\N
524025	1787	1996-07-31	VYDAJ	VYBER	30	72119	SLUZBY	\N	\N
524026	1787	1996-08-31	VYDAJ	VYBER	30	73502	SLUZBY	\N	\N
524027	1787	1996-09-30	VYDAJ	VYBER	30	73018	SLUZBY	\N	\N
524028	1787	1996-10-31	VYDAJ	VYBER	30	24441	SLUZBY	\N	\N
524029	1787	1996-11-30	VYDAJ	VYBER	30	16728	SLUZBY	\N	\N
524030	1787	1996-12-31	VYDAJ	VYBER	30	45443	SLUZBY	\N	\N
524031	1787	1997-01-31	VYDAJ	VYBER	30	8355	SLUZBY	\N	\N
524032	1787	1997-02-28	VYDAJ	VYBER	30	3655	SLUZBY	\N	\N
524033	1787	1997-03-31	VYDAJ	VYBER	30	-63	SLUZBY	\N	\N
524034	1787	1997-04-30	VYDAJ	VYBER	30	-93	SLUZBY	\N	\N
524035	1787	1997-05-31	VYDAJ	VYBER	30	-132	SLUZBY	\N	\N
524036	1787	1997-06-30	VYDAJ	VYBER	30	11322	SLUZBY	\N	\N
524037	1787	1997-07-31	VYDAJ	VYBER	30	7435	SLUZBY	\N	\N
524038	1787	1997-08-31	VYDAJ	VYBER	30	2932	SLUZBY	\N	\N
524039	1787	1997-09-30	VYDAJ	VYBER	30	81315	SLUZBY	\N	\N
524040	1787	1997-10-31	VYDAJ	VYBER	30	40620	SLUZBY	\N	\N
524041	1787	1997-11-30	VYDAJ	VYBER	30	11312	SLUZBY	\N	\N
524042	1787	1997-12-31	VYDAJ	VYBER	30	8025	SLUZBY	\N	\N
524043	1787	1998-01-31	VYDAJ	VYBER	30	3124	SLUZBY	\N	\N
524044	1787	1998-02-28	VYDAJ	VYBER	30	3104	SLUZBY	\N	\N
524045	1787	1998-03-31	VYDAJ	VYBER	30	3074	SLUZBY	\N	\N
524046	1787	1998-04-30	VYDAJ	VYBER	30	3062	SLUZBY	\N	\N
524047	1787	1998-05-31	VYDAJ	VYBER	30	3032	SLUZBY	\N	\N
524048	1787	1998-06-30	VYDAJ	VYBER	30	3021	SLUZBY	\N	\N
524049	1787	1998-07-31	VYDAJ	VYBER	30	48822	SLUZBY	\N	\N
524050	1787	1998-08-31	VYDAJ	VYBER	30	16303	SLUZBY	\N	\N
524051	1787	1998-09-30	VYDAJ	VYBER	30	19998	SLUZBY	\N	\N
524052	1787	1998-10-31	VYDAJ	VYBER	30	2314	SLUZBY	\N	\N
524053	1787	1998-11-30	VYDAJ	VYBER	30	19835	SLUZBY	\N	\N
524054	1787	1993-04-21	PRIJEM	VKLAD	9900	11000	\N	\N	\N
524055	1787	1993-05-21	PRIJEM	VKLAD	5800	16800	\N	\N	\N
524056	1787	1993-06-20	PRIJEM	VKLAD	3300	20100	\N	\N	\N
524057	1787	1993-07-20	VYDAJ	VYBER	16600	45748	\N	\N	\N
524058	1787	1993-08-19	VYDAJ	VYBER	12400	33422	\N	\N	\N
524059	1787	1993-09-18	VYDAJ	VYBER	3300	30312	\N	\N	\N
524060	1787	1993-10-18	VYDAJ	VYBER	800	29703	\N	\N	\N
524061	1787	1993-11-17	VYDAJ	VYBER	4800	25094	\N	\N	\N
524062	1787	1993-12-17	VYDAJ	VYBER	900	24384	\N	\N	\N
524063	1787	1994-01-16	VYDAJ	VYBER	35400	57030	\N	\N	\N
524064	1787	1994-02-15	VYDAJ	VYBER	16200	41056	\N	\N	\N
524065	1787	1994-03-17	VYDAJ	VYBER	24500	47411	\N	\N	\N
524066	1787	1994-04-16	VYDAJ	VYBER	20900	48054	\N	\N	\N
524067	1787	1994-04-24	VYDAJ	VYBER	60700	53179	\N	\N	\N
524068	1787	1994-05-16	VYDAJ	VYBER	15400	42970	\N	\N	\N
524069	1787	1994-06-15	VYDAJ	VYBER	21800	51941	\N	\N	\N
524070	1787	1994-06-24	VYDAJ	VYBER	62900	59509	\N	\N	\N
524071	1787	1994-07-15	VYDAJ	VYBER	16600	52403	\N	\N	\N
524072	1787	1994-08-07	VYDAJ	VYBER	41200	95613	\N	\N	\N
524073	1787	1994-08-11	VYDAJ	VYBER	64700	52145	\N	\N	\N
524074	1787	1994-08-14	VYDAJ	VYBER	7000	45145	\N	\N	\N
524075	1787	1994-09-09	VYDAJ	VYBER	51400	61750	\N	\N	\N
524076	1787	1994-09-13	VYDAJ	VYBER	23700	57311	\N	\N	\N
524077	1787	1994-09-23	VYDAJ	VYBER	31700	85146	\N	\N	\N
524078	1787	1994-09-26	VYDAJ	VYBER	50600	74265	\N	\N	\N
524079	1787	1994-10-13	VYDAJ	VYBER	14100	44463	\N	\N	\N
524080	1787	1994-11-12	PRIJEM	VKLAD	800	29342	\N	\N	\N
524081	1787	1994-12-12	VYDAJ	VYBER	10400	51181	\N	\N	\N
524082	1787	1995-01-11	VYDAJ	VYBER	3500	33873	\N	\N	\N
524083	1787	1995-02-10	VYDAJ	VYBER	14400	47771	\N	\N	\N
524084	1787	1995-03-12	PRIJEM	VKLAD	6200	29691	\N	\N	\N
524085	1787	1995-03-18	VYDAJ	VYBER	18700	98805	\N	\N	\N
524086	1787	1995-04-11	VYDAJ	VYBER	10400	31234	\N	\N	\N
524087	1787	1995-05-11	PRIJEM	VKLAD	3000	29881	\N	\N	\N
524088	1787	1995-06-03	VYDAJ	VYBER	35700	100545	\N	\N	\N
524089	1787	1995-06-10	VYDAJ	VYBER	32900	63645	\N	\N	\N
524090	1787	1995-07-10	VYDAJ	VYBER	14300	34791	\N	\N	\N
524091	1787	1995-08-02	VYDAJ	VYBER	16500	112556	\N	\N	\N
524092	1787	1995-08-09	VYDAJ	VYBER	45000	67556	\N	\N	\N
524093	1787	1995-09-08	VYDAJ	VYBER	6400	23810	\N	\N	\N
524094	1787	1995-10-08	VYDAJ	VYBER	22200	43587	\N	\N	\N
524095	1787	1995-11-07	PRIJEM	VKLAD	400	24346	\N	\N	\N
524096	1787	1995-12-07	PRIJEM	VKLAD	2500	6807	\N	\N	\N
524097	1787	1996-01-06	PRIJEM	VKLAD	5600	12409	\N	\N	\N
524098	1787	1996-02-05	VYDAJ	VYBER	22400	47228	\N	\N	\N
524099	1787	1996-03-06	VYDAJ	VYBER	6400	25853	\N	\N	\N
524100	1787	1996-04-05	PRIJEM	VKLAD	6300	22726	\N	\N	\N
524101	1787	1996-05-05	VYDAJ	VYBER	4200	26188	\N	\N	\N
524102	1787	1996-06-04	PRIJEM	VKLAD	3600	22442	\N	\N	\N
524103	1787	1996-07-04	PRIJEM	VKLAD	700	28450	\N	\N	\N
524104	1787	1996-07-26	VYDAJ	VYBER	35700	75217	\N	\N	\N
524105	1787	1996-07-30	VYDAJ	VYBER	34200	71928	\N	\N	\N
524106	1787	1996-08-03	VYDAJ	VYBER	25000	47119	\N	\N	\N
524107	1787	1996-09-02	VYDAJ	VYBER	27200	42752	\N	\N	\N
524108	1787	1996-10-02	VYDAJ	VYBER	30200	42818	\N	\N	\N
524109	1787	1996-11-01	VYDAJ	VYBER	14600	28966	\N	\N	\N
524110	1787	1996-12-01	VYDAJ	VYBER	2100	14628	\N	\N	\N
524111	1787	1996-12-31	VYDAJ	VYBER	27500	45473	\N	\N	\N
524112	1787	1997-01-30	VYDAJ	VYBER	3300	8243	\N	\N	\N
524113	1787	1997-06-29	VYDAJ	VYBER	2400	20786	\N	\N	\N
524114	1787	1997-09-27	VYDAJ	VYBER	17200	29926	\N	\N	\N
524115	1787	1997-10-27	VYDAJ	VYBER	34100	43715	\N	\N	\N
524116	1787	1998-08-23	VYDAJ	VYBER	11300	16216	\N	\N	\N
524117	1787	1998-09-22	VYDAJ	VYBER	6100	19944	\N	\N	\N
524118	1787	1998-11-21	VYDAJ	VYBER	6000	26077	\N	\N	\N
524191	1788	1994-01-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
524192	1788	1994-09-11	PRIJEM	VKLAD	8685	31377	\N	\N	\N
524193	1788	1994-10-14	PRIJEM	VKLAD	18383	47361	\N	\N	\N
524194	1788	1995-11-14	PRIJEM	VKLAD	32365	48735	\N	\N	\N
524195	1788	1995-06-23	PRIJEM	VKLAD	2498	15635	\N	\N	\N
524196	1788	1996-11-23	PRIJEM	VKLAD	36337	56338	\N	\N	\N
524197	1788	1996-01-05	PRIJEM	VKLAD	16612	32677	\N	\N	\N
524198	1788	1997-07-26	PRIJEM	VKLAD	16666	38007	\N	\N	\N
524199	1788	1997-09-13	PRIJEM	VKLAD	7313	46200	\N	\N	\N
524200	1788	1998-10-12	PRIJEM	VKLAD	2651	56804	\N	\N	\N
524201	1788	1998-10-09	PRIJEM	VKLAD	28299	54153	\N	\N	\N
524202	1788	1994-01-15	PRIJEM	VKLAD	1500	2600	\N	\N	\N
524203	1788	1994-02-16	PRIJEM	VKLAD	1500	14206	\N	\N	\N
524204	1788	1994-03-15	PRIJEM	VKLAD	1500	19939	\N	\N	\N
524205	1788	1994-04-15	PRIJEM	VKLAD	1500	24112	\N	\N	\N
524206	1788	1994-05-16	PRIJEM	VKLAD	1500	23304	\N	\N	\N
524207	1788	1994-06-13	PRIJEM	VKLAD	1500	25188	\N	\N	\N
524208	1788	1994-07-16	PRIJEM	VKLAD	1500	19159	\N	\N	\N
524209	1788	1994-08-16	PRIJEM	VKLAD	1500	22619	\N	\N	\N
524210	1788	1994-09-16	PRIJEM	VKLAD	1500	32877	\N	\N	\N
524211	1788	1994-10-15	PRIJEM	VKLAD	1500	48861	\N	\N	\N
524212	1788	1994-11-13	PRIJEM	VKLAD	1500	36367	\N	\N	\N
524213	1788	1994-12-17	PRIJEM	VKLAD	1500	26066	\N	\N	\N
524214	1788	1995-01-16	PRIJEM	VKLAD	1500	24675	\N	\N	\N
524215	1788	1995-02-16	PRIJEM	VKLAD	1500	21053	\N	\N	\N
524216	1788	1995-03-13	PRIJEM	VKLAD	1500	23620	\N	\N	\N
524217	1788	1995-04-16	PRIJEM	VKLAD	1500	21597	\N	\N	\N
524218	1788	1995-05-16	PRIJEM	VKLAD	1500	21966	\N	\N	\N
524219	1788	1995-06-13	PRIJEM	VKLAD	1500	25137	\N	\N	\N
524220	1788	1995-07-15	PRIJEM	VKLAD	1500	19013	\N	\N	\N
524221	1788	1995-08-15	PRIJEM	VKLAD	1500	21677	\N	\N	\N
524222	1788	1995-09-17	PRIJEM	VKLAD	1500	21746	\N	\N	\N
524223	1788	1995-10-14	PRIJEM	VKLAD	1500	19013	\N	\N	\N
524224	1788	1995-11-14	PRIJEM	VKLAD	1500	50235	\N	\N	\N
524225	1788	1995-12-17	PRIJEM	VKLAD	1500	34552	\N	\N	\N
524226	1788	1996-01-13	PRIJEM	VKLAD	1500	34177	\N	\N	\N
524227	1788	1996-02-16	PRIJEM	VKLAD	1500	16268	\N	\N	\N
524228	1788	1996-03-15	PRIJEM	VKLAD	1500	16515	\N	\N	\N
524229	1788	1996-04-13	PRIJEM	VKLAD	1500	18062	\N	\N	\N
524230	1788	1996-05-17	PRIJEM	VKLAD	1500	17866	\N	\N	\N
524231	1788	1996-06-16	PRIJEM	VKLAD	1500	15524	\N	\N	\N
524232	1788	1996-07-14	PRIJEM	VKLAD	1500	17075	\N	\N	\N
524233	1788	1996-08-17	PRIJEM	VKLAD	1500	17824	\N	\N	\N
524234	1788	1996-09-13	PRIJEM	VKLAD	1500	17982	\N	\N	\N
524235	1788	1996-10-15	PRIJEM	VKLAD	1500	19541	\N	\N	\N
524236	1788	1996-11-14	PRIJEM	VKLAD	1500	20001	\N	\N	\N
524237	1788	1996-12-14	PRIJEM	VKLAD	1500	54745	\N	\N	\N
524238	1788	1997-01-14	PRIJEM	VKLAD	1500	15858	\N	\N	\N
524239	1788	1997-02-17	PRIJEM	VKLAD	1500	15610	\N	\N	\N
524240	1788	1997-03-16	PRIJEM	VKLAD	1500	17154	\N	\N	\N
524241	1788	1997-04-14	PRIJEM	VKLAD	1500	18703	\N	\N	\N
524242	1788	1997-05-15	PRIJEM	VKLAD	1500	20259	\N	\N	\N
524243	1788	1997-06-13	PRIJEM	VKLAD	1500	21822	\N	\N	\N
524244	1788	1997-07-16	PRIJEM	VKLAD	1500	21341	\N	\N	\N
524245	1788	1997-08-13	PRIJEM	VKLAD	1500	39594	\N	\N	\N
524246	1788	1997-09-16	PRIJEM	VKLAD	1500	14100	\N	\N	\N
524247	1788	1997-10-14	PRIJEM	VKLAD	1500	15691	\N	\N	\N
524248	1788	1997-11-16	PRIJEM	VKLAD	1500	17234	\N	\N	\N
524249	1788	1997-12-15	PRIJEM	VKLAD	1500	16733	\N	\N	\N
524250	1788	1998-01-17	PRIJEM	VKLAD	1500	16530	\N	\N	\N
524251	1788	1998-02-13	PRIJEM	VKLAD	1500	17229	\N	\N	\N
524252	1788	1998-03-15	PRIJEM	VKLAD	1500	18779	\N	\N	\N
524253	1788	1998-04-13	PRIJEM	VKLAD	1500	18234	\N	\N	\N
524254	1788	1998-05-13	PRIJEM	VKLAD	1500	19795	\N	\N	\N
524255	1788	1998-06-15	PRIJEM	VKLAD	1500	21055	\N	\N	\N
524256	1788	1998-07-17	PRIJEM	VKLAD	1500	22620	\N	\N	\N
524257	1788	1998-08-14	PRIJEM	VKLAD	1500	24192	\N	\N	\N
524258	1788	1998-09-14	PRIJEM	VKLAD	1500	25769	\N	\N	\N
524259	1788	1998-10-14	PRIJEM	VKLAD	1500	58304	\N	\N	\N
524260	1788	1998-11-15	PRIJEM	VKLAD	1500	58081	\N	\N	\N
524261	1788	1998-12-17	PRIJEM	VKLAD	1500	59307	\N	\N	\N
524262	1788	1994-06-17	VYDAJ	VYBER	8500	16688	\N	\N	\N
524269	1788	1996-01-04	VYDAJ	VYBER	3400	16065	\N	\N	\N
524273	1788	1995-06-13	VYDAJ	VYBER	12000	13137	\N	\N	\N
524278	1788	1995-01-16	VYDAJ	VYBER	5200	19475	\N	\N	\N
524279	1788	1996-01-14	VYDAJ	VYBER	7100	27077	\N	\N	\N
524280	1788	1997-01-05	VYDAJ	VYBER	6900	17008	\N	\N	\N
524282	1788	1994-12-19	VYDAJ	VYBER	1300	24766	\N	\N	\N
524283	1788	1995-12-30	VYDAJ	VYBER	2400	21052	\N	\N	\N
524284	1788	1996-12-09	VYDAJ	VYBER	2700	53245	\N	\N	\N
524286	1788	1998-12-03	VYDAJ	VYBER	500	57807	\N	\N	\N
524293	1788	1995-01-15	VYDAJ	VYBER	250	23175	\N	\N	\N
524294	1788	1995-01-13	VYDAJ	VYBER	1100	23675	\N	\N	\N
524295	1788	1995-01-28	VYDAJ	VYBER	950	17875	\N	\N	\N
524296	1788	1995-01-04	VYDAJ	VYBER	600	24775	\N	\N	\N
524297	1788	1995-01-18	VYDAJ	VYBER	650	18825	\N	\N	\N
524298	1788	1995-01-14	VYDAJ	VYBER	250	23425	\N	\N	\N
524299	1788	1996-01-24	VYDAJ	VYBER	650	25027	\N	\N	\N
524300	1788	1996-01-28	VYDAJ	VYBER	1450	14677	\N	\N	\N
524301	1788	1996-01-02	VYDAJ	VYBER	1400	19765	\N	\N	\N
524302	1788	1996-01-03	VYDAJ	VYBER	300	19465	\N	\N	\N
524303	1788	1996-01-15	VYDAJ	VYBER	650	26427	\N	\N	\N
524304	1788	1996-01-20	VYDAJ	VYBER	750	25677	\N	\N	\N
524306	1788	1997-01-23	VYDAJ	VYBER	600	14058	\N	\N	\N
524307	1788	1997-01-08	VYDAJ	VYBER	1450	14358	\N	\N	\N
524308	1788	1997-01-18	VYDAJ	VYBER	650	15208	\N	\N	\N
524309	1788	1997-01-06	VYDAJ	VYBER	1200	15808	\N	\N	\N
524311	1788	1998-01-01	VYDAJ	VYBER	450	16330	\N	\N	\N
524313	1788	1998-01-07	VYDAJ	VYBER	1300	15030	\N	\N	\N
524316	1788	1998-01-19	VYDAJ	VYBER	850	15680	\N	\N	\N
524317	1788	1994-11-14	VYDAJ	VYBER	2400	33967	\N	\N	\N
524319	1788	1994-10-15	VYDAJ	VYBER	2450	46411	\N	\N	\N
524321	1788	1994-12-13	VYDAJ	VYBER	2450	24566	\N	\N	\N
524322	1788	1995-07-03	VYDAJ	VYBER	900	17513	\N	\N	\N
524323	1788	1995-02-25	VYDAJ	VYBER	1700	19353	\N	\N	\N
524324	1788	1995-06-28	VYDAJ	VYBER	800	18335	\N	\N	\N
524325	1788	1996-08-01	VYDAJ	VYBER	800	16324	\N	\N	\N
524326	1788	1996-05-25	VYDAJ	VYBER	1750	16116	\N	\N	\N
524327	1788	1996-11-06	VYDAJ	VYBER	1100	18501	\N	\N	\N
524328	1788	1996-12-07	VYDAJ	VYBER	500	55945	\N	\N	\N
524330	1788	1996-05-16	VYDAJ	VYBER	1750	16366	\N	\N	\N
524331	1788	1996-06-09	VYDAJ	VYBER	2150	14024	\N	\N	\N
524332	1788	1996-09-10	VYDAJ	VYBER	1400	16482	\N	\N	\N
524333	1788	1997-01-05	VYDAJ	VYBER	2400	23908	\N	\N	\N
524335	1788	1997-08-28	VYDAJ	VYBER	850	38744	\N	\N	\N
524336	1788	1997-11-29	VYDAJ	VYBER	2050	15184	\N	\N	\N
524337	1788	1997-07-05	VYDAJ	VYBER	2050	19841	\N	\N	\N
524339	1788	1997-01-22	VYDAJ	VYBER	550	14658	\N	\N	\N
524340	1788	1998-05-25	VYDAJ	VYBER	300	19495	\N	\N	\N
524341	1788	1998-11-11	VYDAJ	VYBER	1900	56581	\N	\N	\N
524343	1788	1998-04-04	VYDAJ	VYBER	2100	16734	\N	\N	\N
524350	1788	1994-05-31	VYDAJ	VYBER	15	23388	SLUZBY	\N	\N
524351	1788	1994-06-30	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
524352	1788	1994-07-31	VYDAJ	VYBER	15	19219	SLUZBY	\N	\N
524353	1788	1994-08-31	VYDAJ	VYBER	15	22692	SLUZBY	\N	\N
524354	1788	1994-09-30	VYDAJ	VYBER	15	32978	SLUZBY	\N	\N
524355	1788	1994-10-31	VYDAJ	VYBER	15	46567	SLUZBY	\N	\N
524356	1788	1994-11-30	VYDAJ	VYBER	15	34116	SLUZBY	\N	\N
524357	1788	1994-12-31	VYDAJ	VYBER	15	25375	SLUZBY	\N	\N
524358	1788	1995-01-31	VYDAJ	VYBER	15	19553	SLUZBY	\N	\N
524359	1788	1995-02-28	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
524360	1788	1995-03-31	VYDAJ	VYBER	15	20097	SLUZBY	\N	\N
524361	1788	1995-04-30	VYDAJ	VYBER	15	20466	SLUZBY	\N	\N
524362	1788	1995-05-31	VYDAJ	VYBER	15	23637	SLUZBY	\N	\N
524363	1788	1995-06-30	VYDAJ	VYBER	15	18413	SLUZBY	\N	\N
524364	1788	1995-07-31	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
524365	1788	1995-08-31	VYDAJ	VYBER	15	20246	SLUZBY	\N	\N
524366	1788	1995-09-30	VYDAJ	VYBER	15	17513	SLUZBY	\N	\N
524367	1788	1995-10-31	VYDAJ	VYBER	15	16370	SLUZBY	\N	\N
524368	1788	1995-11-30	VYDAJ	VYBER	15	33052	SLUZBY	\N	\N
524369	1788	1995-12-31	VYDAJ	VYBER	15	21165	SLUZBY	\N	\N
524370	1788	1996-01-31	VYDAJ	VYBER	15	14768	SLUZBY	\N	\N
524371	1788	1996-02-29	VYDAJ	VYBER	15	15015	SLUZBY	\N	\N
524372	1788	1996-03-31	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
524373	1788	1996-04-30	VYDAJ	VYBER	15	18116	SLUZBY	\N	\N
524374	1788	1996-05-31	VYDAJ	VYBER	15	16174	SLUZBY	\N	\N
524375	1788	1996-06-30	VYDAJ	VYBER	15	15575	SLUZBY	\N	\N
524376	1788	1996-07-31	VYDAJ	VYBER	15	17124	SLUZBY	\N	\N
524377	1788	1996-08-31	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
524378	1788	1996-09-30	VYDAJ	VYBER	15	18041	SLUZBY	\N	\N
524379	1788	1996-10-31	VYDAJ	VYBER	15	19601	SLUZBY	\N	\N
524380	1788	1996-11-30	VYDAJ	VYBER	15	56445	SLUZBY	\N	\N
524381	1788	1996-12-31	VYDAJ	VYBER	15	26308	SLUZBY	\N	\N
524382	1788	1997-01-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
524383	1788	1997-02-28	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
524384	1788	1997-03-31	VYDAJ	VYBER	15	17203	SLUZBY	\N	\N
524385	1788	1997-04-30	VYDAJ	VYBER	15	18759	SLUZBY	\N	\N
524386	1788	1997-05-31	VYDAJ	VYBER	15	20322	SLUZBY	\N	\N
524387	1788	1997-06-30	VYDAJ	VYBER	15	21891	SLUZBY	\N	\N
524388	1788	1997-07-31	VYDAJ	VYBER	15	38094	SLUZBY	\N	\N
524389	1788	1997-08-31	VYDAJ	VYBER	15	38887	SLUZBY	\N	\N
524390	1788	1997-09-30	VYDAJ	VYBER	15	14191	SLUZBY	\N	\N
524391	1788	1997-10-31	VYDAJ	VYBER	15	15734	SLUZBY	\N	\N
524392	1788	1997-11-30	VYDAJ	VYBER	15	15233	SLUZBY	\N	\N
524393	1788	1997-12-31	VYDAJ	VYBER	15	16780	SLUZBY	\N	\N
524394	1788	1998-01-31	VYDAJ	VYBER	15	15729	SLUZBY	\N	\N
524395	1788	1998-02-28	VYDAJ	VYBER	15	17279	SLUZBY	\N	\N
524396	1788	1998-03-31	VYDAJ	VYBER	15	18834	SLUZBY	\N	\N
524397	1788	1998-04-30	VYDAJ	VYBER	15	18295	SLUZBY	\N	\N
524398	1788	1998-05-31	VYDAJ	VYBER	15	19555	SLUZBY	\N	\N
524399	1788	1998-06-30	VYDAJ	VYBER	15	21120	SLUZBY	\N	\N
524400	1788	1998-07-31	VYDAJ	VYBER	15	22692	SLUZBY	\N	\N
524401	1788	1998-08-31	VYDAJ	VYBER	15	24269	SLUZBY	\N	\N
524402	1788	1998-09-30	VYDAJ	VYBER	15	25854	SLUZBY	\N	\N
524403	1788	1998-10-31	VYDAJ	VYBER	15	58481	SLUZBY	\N	\N
524404	1788	1998-11-30	VYDAJ	VYBER	15	58307	SLUZBY	\N	\N
524405	1788	1994-02-03	PRIJEM	VKLAD	10100	12706	\N	\N	\N
524406	1788	1994-03-05	PRIJEM	VKLAD	4200	18439	\N	\N	\N
524407	1788	1994-04-04	PRIJEM	VKLAD	2600	22612	\N	\N	\N
524408	1788	1994-05-04	VYDAJ	VYBER	2400	21804	\N	\N	\N
524409	1788	1994-06-03	PRIJEM	VKLAD	300	23688	\N	\N	\N
524410	1788	1994-07-03	PRIJEM	VKLAD	900	17659	\N	\N	\N
524411	1788	1994-08-02	PRIJEM	VKLAD	1900	21119	\N	\N	\N
524412	1788	1994-10-01	VYDAJ	VYBER	4000	28978	\N	\N	\N
524413	1788	1994-10-31	VYDAJ	VYBER	11700	34867	\N	\N	\N
524414	1788	1994-11-30	VYDAJ	VYBER	7100	27016	\N	\N	\N
524415	1788	1994-12-30	PRIJEM	VKLAD	500	25266	\N	\N	\N
524416	1788	1995-01-29	PRIJEM	VKLAD	1600	19475	\N	\N	\N
524417	1788	1995-02-28	PRIJEM	VKLAD	2700	22053	\N	\N	\N
524418	1788	1995-03-30	VYDAJ	VYBER	3600	20020	\N	\N	\N
524419	1788	1995-04-29	VYDAJ	VYBER	1200	20397	\N	\N	\N
524420	1788	1995-05-29	PRIJEM	VKLAD	1600	23566	\N	\N	\N
524421	1788	1995-06-28	PRIJEM	VKLAD	3500	19135	\N	\N	\N
524422	1788	1995-07-28	PRIJEM	VKLAD	1100	20113	\N	\N	\N
524423	1788	1995-08-27	VYDAJ	VYBER	1500	20177	\N	\N	\N
524424	1788	1995-09-26	VYDAJ	VYBER	4300	17446	\N	\N	\N
524425	1788	1995-10-26	VYDAJ	VYBER	2700	16313	\N	\N	\N
524426	1788	1995-11-25	VYDAJ	VYBER	17300	32935	\N	\N	\N
524427	1788	1995-12-25	VYDAJ	VYBER	11100	23452	\N	\N	\N
524428	1788	1996-01-24	VYDAJ	VYBER	8900	16127	\N	\N	\N
524429	1788	1996-02-23	VYDAJ	VYBER	1300	14968	\N	\N	\N
524430	1788	1996-12-19	VYDAJ	VYBER	28600	26145	\N	\N	\N
524431	1788	1997-09-15	VYDAJ	VYBER	33600	12600	\N	\N	\N
524492	1789	1993-10-23	PRIJEM	VKLAD	400	400	\N	\N	\N
524643	1789	1993-11-22	PRIJEM	VKLAD	12800	13200	\N	\N	\N
524644	1789	1993-12-22	PRIJEM	VKLAD	7800	21000	\N	\N	\N
524645	1789	1994-01-21	PRIJEM	VKLAD	1400	22400	\N	\N	\N
524646	1789	1994-02-20	PRIJEM	VKLAD	1300	23700	\N	\N	\N
524647	1789	1994-03-22	VYDAJ	VYBER	300	23400	\N	\N	\N
524648	1789	1994-04-21	VYDAJ	VYBER	600	22800	\N	\N	\N
524649	1789	1994-05-21	PRIJEM	VKLAD	300	23100	\N	\N	\N
524650	1789	1994-06-20	PRIJEM	VKLAD	2900	26000	\N	\N	\N
524651	1789	1994-07-20	VYDAJ	VYBER	300	25700	\N	\N	\N
524652	1789	1994-08-19	PRIJEM	VKLAD	1400	27100	\N	\N	\N
524653	1789	1994-09-18	VYDAJ	VYBER	500	26600	\N	\N	\N
524654	1789	1994-11-17	VYDAJ	VYBER	1300	25300	\N	\N	\N
524655	1789	1994-12-17	PRIJEM	VKLAD	1900	27200	\N	\N	\N
524656	1789	1995-01-16	VYDAJ	VYBER	2000	25200	\N	\N	\N
524657	1789	1995-02-15	PRIJEM	VKLAD	2500	27700	\N	\N	\N
524658	1789	1995-03-17	PRIJEM	VKLAD	400	28100	\N	\N	\N
524659	1789	1995-04-16	VYDAJ	VYBER	2000	26100	\N	\N	\N
524660	1789	1995-05-16	PRIJEM	VKLAD	3300	29400	\N	\N	\N
524661	1789	1995-06-15	VYDAJ	VYBER	1100	28300	\N	\N	\N
524662	1789	1995-07-15	PRIJEM	VKLAD	1700	30000	\N	\N	\N
524663	1789	1995-08-14	PRIJEM	VKLAD	1300	31300	\N	\N	\N
524664	1789	1995-09-13	PRIJEM	VKLAD	600	31900	\N	\N	\N
524665	1789	1995-10-13	PRIJEM	VKLAD	1500	33400	\N	\N	\N
524666	1789	1995-11-12	VYDAJ	VYBER	3300	30100	\N	\N	\N
524667	1789	1995-12-12	VYDAJ	VYBER	600	29500	\N	\N	\N
524668	1789	1996-01-11	PRIJEM	VKLAD	4600	34100	\N	\N	\N
524669	1789	1996-02-10	PRIJEM	VKLAD	1000	35100	\N	\N	\N
524670	1789	1996-03-11	PRIJEM	VKLAD	1500	36600	\N	\N	\N
524671	1789	1996-04-10	PRIJEM	VKLAD	800	37400	\N	\N	\N
524672	1789	1996-05-10	VYDAJ	VYBER	900	36500	\N	\N	\N
524673	1789	1996-06-09	VYDAJ	VYBER	2000	34500	\N	\N	\N
524674	1789	1996-07-09	PRIJEM	VKLAD	2900	37400	\N	\N	\N
524675	1789	1996-08-08	VYDAJ	VYBER	1200	36200	\N	\N	\N
524676	1789	1996-09-07	PRIJEM	VKLAD	100	36300	\N	\N	\N
524677	1789	1996-10-07	PRIJEM	VKLAD	2100	38400	\N	\N	\N
524678	1789	1996-11-06	PRIJEM	VKLAD	4500	42900	\N	\N	\N
524679	1789	1996-12-06	PRIJEM	VKLAD	5100	48000	\N	\N	\N
524680	1789	1997-01-05	PRIJEM	VKLAD	300	48300	\N	\N	\N
524681	1789	1997-02-04	PRIJEM	VKLAD	2000	50300	\N	\N	\N
524682	1789	1997-03-06	PRIJEM	VKLAD	3300	53600	\N	\N	\N
524683	1789	1997-04-05	VYDAJ	VYBER	100	53500	\N	\N	\N
524684	1789	1997-05-05	VYDAJ	VYBER	500	53000	\N	\N	\N
524685	1789	1997-06-04	PRIJEM	VKLAD	2100	55100	\N	\N	\N
524686	1789	1997-07-04	PRIJEM	VKLAD	5500	60600	\N	\N	\N
524687	1789	1997-08-03	PRIJEM	VKLAD	3500	64100	\N	\N	\N
524688	1789	1997-09-02	PRIJEM	VKLAD	500	64600	\N	\N	\N
524689	1789	1997-10-02	PRIJEM	VKLAD	3400	68000	\N	\N	\N
524690	1789	1997-11-01	PRIJEM	VKLAD	3800	71800	\N	\N	\N
524691	1789	1997-12-01	PRIJEM	VKLAD	200	72000	\N	\N	\N
524692	1789	1997-12-31	VYDAJ	VYBER	900	71110	\N	\N	\N
524693	1789	1998-01-30	VYDAJ	VYBER	3400	67710	\N	\N	\N
524694	1789	1998-03-01	VYDAJ	VYBER	2700	65338	\N	\N	\N
524695	1789	1998-03-31	VYDAJ	VYBER	2300	63333	\N	\N	\N
524696	1789	1998-04-30	VYDAJ	VYBER	5500	58097	\N	\N	\N
524697	1789	1998-05-30	VYDAJ	VYBER	700	57397	\N	\N	\N
524698	1789	1998-06-29	PRIJEM	VKLAD	300	57961	\N	\N	\N
524699	1789	1998-07-29	PRIJEM	VKLAD	1100	59325	\N	\N	\N
524700	1789	1998-08-28	VYDAJ	VYBER KARTOU	3500	56088	\N	\N	0
524701	1789	1998-09-27	PRIJEM	VKLAD	500	56852	\N	\N	\N
524702	1789	1998-10-27	PRIJEM	VKLAD	1100	58216	\N	\N	\N
524703	1789	1998-11-26	VYDAJ	VYBER	5100	53380	\N	\N	\N
524704	1789	1998-12-26	VYDAJ	VYBER KARTOU	500	53144	\N	\N	0
524716	1790	1997-09-08	PRIJEM	VKLAD	600	600	\N	\N	\N
524725	1790	1997-09-09	PRIJEM	VKLAD	11395	11995	\N	\N	\N
524726	1790	1997-10-09	PRIJEM	VKLAD	11395	30627	\N	\N	\N
524727	1790	1997-11-09	PRIJEM	VKLAD	11395	42529	\N	\N	\N
524728	1790	1997-12-09	PRIJEM	VKLAD	17093	53786	\N	\N	\N
524729	1790	1998-01-09	PRIJEM	VKLAD	11395	56393	\N	\N	\N
524730	1790	1998-02-09	PRIJEM	VKLAD	11395	47442	\N	\N	\N
524731	1790	1998-03-09	PRIJEM	VKLAD	11395	48471	\N	\N	\N
524732	1790	1998-04-09	PRIJEM	VKLAD	11395	47706	\N	\N	\N
524733	1790	1998-05-09	PRIJEM	VKLAD	11395	42135	\N	\N	\N
524734	1790	1998-06-09	PRIJEM	VKLAD	17093	50446	\N	\N	\N
524735	1790	1998-07-09	PRIJEM	VKLAD	11395	46097	\N	\N	\N
524736	1790	1998-08-09	PRIJEM	VKLAD	11395	42123	\N	\N	\N
524737	1790	1998-09-09	PRIJEM	VKLAD	11395	45328	\N	\N	\N
524738	1790	1998-10-09	PRIJEM	VKLAD	11395	50348	\N	\N	\N
524739	1790	1998-11-09	PRIJEM	VKLAD	11395	51886	\N	\N	\N
524740	1790	1998-12-09	PRIJEM	VKLAD	17093	55192	\N	\N	\N
524753	1790	1998-01-10	VYDAJ	PREVOD NA UCET	2096	52497	SIPO	KL	20001995
524754	1790	1998-02-10	VYDAJ	PREVOD NA UCET	2096	45346	SIPO	KL	20001995
524755	1790	1998-03-10	VYDAJ	PREVOD NA UCET	2096	46375	SIPO	KL	20001995
524756	1790	1998-04-10	VYDAJ	PREVOD NA UCET	2096	45610	SIPO	KL	20001995
524757	1790	1998-05-10	VYDAJ	PREVOD NA UCET	2096	40039	SIPO	KL	20001995
524758	1790	1998-06-10	VYDAJ	PREVOD NA UCET	2096	48350	SIPO	KL	20001995
524759	1790	1998-07-10	VYDAJ	PREVOD NA UCET	2096	44001	SIPO	KL	20001995
524760	1790	1998-08-10	VYDAJ	PREVOD NA UCET	2096	40027	SIPO	KL	20001995
524761	1790	1998-09-10	VYDAJ	PREVOD NA UCET	2096	43232	SIPO	KL	20001995
524762	1790	1998-10-10	VYDAJ	PREVOD NA UCET	2096	48252	SIPO	KL	20001995
524763	1790	1998-11-10	VYDAJ	PREVOD NA UCET	2096	49790	SIPO	KL	20001995
524764	1790	1998-12-10	VYDAJ	PREVOD NA UCET	2096	53096	SIPO	KL	20001995
524777	1790	1998-01-13	VYDAJ	PREVOD NA UCET	1935	48762	 	ST	2797884
524778	1790	1998-02-13	VYDAJ	PREVOD NA UCET	1935	43411	 	ST	2797884
524779	1790	1998-03-13	VYDAJ	PREVOD NA UCET	1935	44440	 	ST	2797884
524780	1790	1998-04-13	VYDAJ	PREVOD NA UCET	1935	43675	 	ST	2797884
524781	1790	1998-05-13	VYDAJ	PREVOD NA UCET	1935	38104	 	ST	2797884
524782	1790	1998-06-13	VYDAJ	PREVOD NA UCET	1935	42935	 	ST	2797884
524783	1790	1998-07-13	VYDAJ	PREVOD NA UCET	1935	42066	 	ST	2797884
524784	1790	1998-08-13	VYDAJ	PREVOD NA UCET	1935	38092	 	ST	2797884
524785	1790	1998-09-13	VYDAJ	PREVOD NA UCET	1935	41297	 	ST	2797884
524786	1790	1998-10-13	VYDAJ	PREVOD NA UCET	1935	46317	 	ST	2797884
524787	1790	1998-11-13	VYDAJ	PREVOD NA UCET	1935	47855	 	ST	2797884
524788	1790	1998-12-13	VYDAJ	PREVOD NA UCET	1935	51161	 	ST	2797884
524792	1790	1998-12-04	VYDAJ	VYBER	4640	38099	\N	\N	\N
524799	1790	1998-01-10	VYDAJ	VYBER	1800	54593	\N	\N	\N
524800	1790	1998-01-18	VYDAJ	VYBER	2640	46122	\N	\N	\N
524801	1790	1998-01-30	VYDAJ	VYBER	1320	40962	\N	\N	\N
524802	1790	1998-01-12	VYDAJ	VYBER	1800	50697	\N	\N	\N
524803	1790	1998-01-20	VYDAJ	VYBER	960	42282	\N	\N	\N
524804	1790	1998-01-19	VYDAJ	VYBER	2880	43242	\N	\N	\N
524810	1790	1998-06-13	VYDAJ	VYBER	3480	44870	\N	\N	\N
524811	1790	1998-08-01	VYDAJ	VYBER	5280	35628	\N	\N	\N
524812	1790	1998-07-28	VYDAJ	VYBER	1320	40746	\N	\N	\N
524813	1790	1998-04-18	VYDAJ	VYBER	2400	41275	\N	\N	\N
524827	1790	1998-01-31	VYDAJ	VYBER	15	41147	SLUZBY	\N	\N
524828	1790	1998-02-28	VYDAJ	VYBER	15	43576	SLUZBY	\N	\N
524829	1790	1998-03-31	VYDAJ	VYBER	15	44611	SLUZBY	\N	\N
524830	1790	1998-04-30	VYDAJ	VYBER	15	41440	SLUZBY	\N	\N
524831	1790	1998-05-31	VYDAJ	VYBER	15	38253	SLUZBY	\N	\N
524832	1790	1998-06-30	VYDAJ	VYBER	15	43102	SLUZBY	\N	\N
524833	1790	1998-07-31	VYDAJ	VYBER	15	40908	SLUZBY	\N	\N
524834	1790	1998-08-31	VYDAJ	VYBER	15	38233	SLUZBY	\N	\N
524835	1790	1998-09-30	VYDAJ	VYBER	15	41453	SLUZBY	\N	\N
524836	1790	1998-10-31	VYDAJ	VYBER	15	46491	SLUZBY	\N	\N
524837	1790	1998-11-30	VYDAJ	VYBER	15	48039	SLUZBY	\N	\N
524838	1790	1997-10-08	PRIJEM	VKLAD	7200	19232	\N	\N	\N
524839	1790	1997-11-07	PRIJEM	VKLAD	400	31134	\N	\N	\N
524840	1790	1997-12-07	VYDAJ	VYBER	6000	36693	\N	\N	\N
524841	1790	1998-01-06	VYDAJ	VYBER	9000	44998	\N	\N	\N
524842	1790	1998-02-05	VYDAJ	VYBER	5100	36047	\N	\N	\N
524843	1790	1998-03-07	VYDAJ	VYBER	6500	37076	\N	\N	\N
524844	1790	1998-04-06	VYDAJ	VYBER	8300	36311	\N	\N	\N
524845	1790	1998-05-06	VYDAJ	VYBER	10700	30740	\N	\N	\N
524846	1790	1998-06-05	VYDAJ	VYBER	4900	33353	\N	\N	\N
524847	1790	1998-07-05	VYDAJ	VYBER	8400	34702	\N	\N	\N
524848	1790	1998-08-04	VYDAJ	VYBER	4900	30728	\N	\N	\N
524849	1790	1998-09-03	VYDAJ	VYBER	4300	33933	\N	\N	\N
524850	1790	1998-10-03	VYDAJ	VYBER	2500	38953	\N	\N	\N
524851	1790	1998-11-02	VYDAJ	VYBER	6000	40491	\N	\N	\N
524852	1790	1998-12-02	VYDAJ	VYBER	5300	42739	\N	\N	\N
524869	1791	1996-02-03	PRIJEM	VKLAD	300	300	\N	\N	\N
524871	1791	1996-02-07	PRIJEM	VKLAD	13049	13349	\N	\N	\N
524872	1791	1996-03-07	PRIJEM	VKLAD	13049	32542	\N	\N	\N
524873	1791	1996-04-07	PRIJEM	VKLAD	13049	40011	\N	\N	\N
524874	1791	1996-05-07	PRIJEM	VKLAD	13049	45321	\N	\N	\N
524875	1791	1996-06-07	PRIJEM	VKLAD	19574	52479	\N	\N	\N
524876	1791	1996-07-07	PRIJEM	VKLAD	13049	43213	\N	\N	\N
524877	1791	1996-08-07	PRIJEM	VKLAD	13049	43861	\N	\N	\N
524878	1791	1996-09-07	PRIJEM	VKLAD	13049	46997	\N	\N	\N
524879	1791	1996-10-07	PRIJEM	VKLAD	13049	47330	\N	\N	\N
524880	1791	1996-11-07	PRIJEM	VKLAD	13049	50465	\N	\N	\N
524881	1791	1996-12-07	PRIJEM	VKLAD	19574	59937	\N	\N	\N
524882	1791	1997-01-07	PRIJEM	VKLAD	13049	48697	\N	\N	\N
524883	1791	1997-02-07	PRIJEM	VKLAD	13049	46036	\N	\N	\N
524884	1791	1997-03-07	PRIJEM	VKLAD	13049	51665	\N	\N	\N
524885	1791	1997-04-07	PRIJEM	VKLAD	13049	54617	\N	\N	\N
524886	1791	1997-05-07	PRIJEM	VKLAD	13049	55281	\N	\N	\N
524887	1791	1997-06-07	PRIJEM	VKLAD	19574	48088	\N	\N	\N
524888	1791	1997-07-07	PRIJEM	VKLAD	13049	53441	\N	\N	\N
524889	1791	1997-08-07	PRIJEM	VKLAD	13049	55739	\N	\N	\N
524890	1791	1997-09-07	PRIJEM	VKLAD	13049	53904	\N	\N	\N
524891	1791	1997-10-07	PRIJEM	VKLAD	13049	53060	\N	\N	\N
524892	1791	1997-11-07	PRIJEM	VKLAD	13049	56717	\N	\N	\N
524893	1791	1997-12-07	PRIJEM	VKLAD	19574	63510	\N	\N	\N
524894	1791	1998-01-07	PRIJEM	VKLAD	13049	59794	\N	\N	\N
524895	1791	1998-02-07	PRIJEM	VKLAD	13049	47215	\N	\N	\N
524896	1791	1998-03-07	PRIJEM	VKLAD	13049	54550	\N	\N	\N
524897	1791	1998-04-07	PRIJEM	VKLAD	13049	52263	\N	\N	\N
524898	1791	1998-05-07	PRIJEM	VKLAD	13049	49813	\N	\N	\N
524899	1791	1998-06-07	PRIJEM	VKLAD	19574	55574	\N	\N	\N
524900	1791	1998-07-07	PRIJEM	VKLAD	13049	53721	\N	\N	\N
524901	1791	1998-08-07	PRIJEM	VKLAD	13049	47408	\N	\N	\N
524902	1791	1998-09-07	PRIJEM	VKLAD	13049	45636	\N	\N	\N
524903	1791	1998-10-07	PRIJEM	VKLAD	13049	45569	\N	\N	\N
524904	1791	1998-11-07	PRIJEM	VKLAD	13049	38475	\N	\N	\N
524905	1791	1998-12-07	PRIJEM	VKLAD	19574	42282	\N	\N	\N
524911	1791	1996-06-14	VYDAJ	PREVOD NA UCET	6956	45523	SIPO	ST	62828624
524912	1791	1996-07-14	VYDAJ	PREVOD NA UCET	6956	33377	SIPO	ST	62828624
524913	1791	1996-08-14	VYDAJ	PREVOD NA UCET	6956	36905	SIPO	ST	62828624
524914	1791	1996-09-14	VYDAJ	PREVOD NA UCET	6956	40041	SIPO	ST	62828624
524915	1791	1996-10-14	VYDAJ	PREVOD NA UCET	6956	40374	SIPO	ST	62828624
524916	1791	1996-11-14	VYDAJ	PREVOD NA UCET	6956	43509	SIPO	ST	62828624
524917	1791	1996-12-14	VYDAJ	PREVOD NA UCET	6956	52981	SIPO	ST	62828624
524918	1791	1997-01-14	VYDAJ	PREVOD NA UCET	6956	38741	SIPO	ST	62828624
524919	1791	1997-02-14	VYDAJ	PREVOD NA UCET	6956	39080	SIPO	ST	62828624
524920	1791	1997-03-14	VYDAJ	PREVOD NA UCET	6956	44709	SIPO	ST	62828624
524921	1791	1997-04-14	VYDAJ	PREVOD NA UCET	6956	47661	SIPO	ST	62828624
524922	1791	1997-05-14	VYDAJ	PREVOD NA UCET	6956	48325	SIPO	ST	62828624
524923	1791	1997-06-14	VYDAJ	PREVOD NA UCET	6956	41132	SIPO	ST	62828624
524924	1791	1997-07-14	VYDAJ	PREVOD NA UCET	6956	46485	SIPO	ST	62828624
524925	1791	1997-08-14	VYDAJ	PREVOD NA UCET	6956	48783	SIPO	ST	62828624
524926	1791	1997-09-14	VYDAJ	PREVOD NA UCET	6956	46948	SIPO	ST	62828624
524927	1791	1997-10-14	VYDAJ	PREVOD NA UCET	6956	46104	SIPO	ST	62828624
524928	1791	1997-11-14	VYDAJ	PREVOD NA UCET	6956	49761	SIPO	ST	62828624
524929	1791	1997-12-14	VYDAJ	PREVOD NA UCET	6956	56554	SIPO	ST	62828624
524930	1791	1998-01-14	VYDAJ	PREVOD NA UCET	6956	50438	SIPO	ST	62828624
524931	1791	1998-02-14	VYDAJ	PREVOD NA UCET	6956	40259	SIPO	ST	62828624
524932	1791	1998-03-14	VYDAJ	PREVOD NA UCET	6956	47594	SIPO	ST	62828624
524933	1791	1998-04-14	VYDAJ	PREVOD NA UCET	6956	45307	SIPO	ST	62828624
524934	1791	1998-05-14	VYDAJ	PREVOD NA UCET	6956	42857	SIPO	ST	62828624
524935	1791	1998-06-14	VYDAJ	PREVOD NA UCET	6956	48618	SIPO	ST	62828624
524936	1791	1998-07-14	VYDAJ	PREVOD NA UCET	6956	46765	SIPO	ST	62828624
524937	1791	1998-08-14	VYDAJ	PREVOD NA UCET	6956	40452	SIPO	ST	62828624
524938	1791	1998-09-14	VYDAJ	PREVOD NA UCET	6956	38680	SIPO	ST	62828624
524939	1791	1998-10-14	VYDAJ	PREVOD NA UCET	6956	38613	SIPO	ST	62828624
524940	1791	1998-11-14	VYDAJ	PREVOD NA UCET	6956	31519	SIPO	ST	62828624
524941	1791	1998-12-14	VYDAJ	PREVOD NA UCET	6956	35326	SIPO	ST	62828624
524943	1791	1997-06-05	VYDAJ	VYBER	10240	28514	\N	\N	\N
524946	1791	1997-01-24	VYDAJ	VYBER	3040	32341	\N	\N	\N
524947	1791	1998-01-28	VYDAJ	VYBER	9120	33978	\N	\N	\N
524948	1791	1996-12-15	VYDAJ	VYBER	4160	48821	\N	\N	\N
524949	1791	1997-12-26	VYDAJ	VYBER	4320	48834	\N	\N	\N
524950	1791	1998-12-28	VYDAJ	VYBER	4160	24166	\N	\N	\N
524957	1791	1997-01-27	VYDAJ	VYBER	600	31741	\N	\N	\N
524958	1791	1997-01-10	VYDAJ	VYBER	1200	45697	\N	\N	\N
524959	1791	1997-01-21	VYDAJ	VYBER	3360	35381	\N	\N	\N
524960	1791	1997-01-08	VYDAJ	VYBER	1800	46897	\N	\N	\N
524961	1791	1997-01-05	VYDAJ	VYBER	2520	35648	\N	\N	\N
524962	1791	1997-01-03	VYDAJ	VYBER	1440	38168	\N	\N	\N
524963	1791	1998-01-17	VYDAJ	VYBER	720	49718	\N	\N	\N
524964	1791	1998-01-25	VYDAJ	VYBER	2400	43098	\N	\N	\N
524965	1791	1998-01-10	VYDAJ	VYBER	1320	57394	\N	\N	\N
524966	1791	1998-01-23	VYDAJ	VYBER	2520	47198	\N	\N	\N
524967	1791	1998-01-09	VYDAJ	VYBER	1080	58714	\N	\N	\N
524968	1791	1998-01-03	VYDAJ	VYBER	2280	46745	\N	\N	\N
524970	1791	1996-07-03	VYDAJ	VYBER	4440	30164	\N	\N	\N
524973	1791	1996-07-12	VYDAJ	VYBER	2880	40333	\N	\N	\N
524974	1791	1996-12-21	VYDAJ	VYBER	3480	45341	\N	\N	\N
524975	1791	1997-05-14	VYDAJ	VYBER	4560	43765	\N	\N	\N
524976	1791	1997-07-24	VYDAJ	VYBER	960	45525	\N	\N	\N
524977	1791	1997-05-27	VYDAJ	VYBER	5880	37885	\N	\N	\N
524978	1791	1998-07-30	VYDAJ	VYBER	2160	34205	\N	\N	\N
524979	1791	1998-04-23	VYDAJ	VYBER	4200	36607	\N	\N	\N
524980	1791	1998-10-14	VYDAJ	VYBER	2400	36213	\N	\N	\N
524981	1791	1998-09-03	VYDAJ	VYBER	3000	32587	\N	\N	\N
524982	1791	1998-03-19	VYDAJ	VYBER	3840	43754	\N	\N	\N
524989	1791	1996-06-30	VYDAJ	VYBER	15	45704	SLUZBY	\N	\N
524990	1791	1996-07-31	VYDAJ	VYBER	15	33512	SLUZBY	\N	\N
524991	1791	1996-08-31	VYDAJ	VYBER	15	37048	SLUZBY	\N	\N
524992	1791	1996-09-30	VYDAJ	VYBER	15	40181	SLUZBY	\N	\N
524993	1791	1996-10-31	VYDAJ	VYBER	15	37416	SLUZBY	\N	\N
524994	1791	1996-11-30	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
524995	1791	1996-12-31	VYDAJ	VYBER	15	39608	SLUZBY	\N	\N
524996	1791	1997-01-31	VYDAJ	VYBER	15	32987	SLUZBY	\N	\N
524997	1791	1997-02-28	VYDAJ	VYBER	15	38616	SLUZBY	\N	\N
524998	1791	1997-03-31	VYDAJ	VYBER	15	41568	SLUZBY	\N	\N
524999	1791	1997-04-30	VYDAJ	VYBER	15	42232	SLUZBY	\N	\N
525000	1791	1997-05-31	VYDAJ	VYBER	15	38754	SLUZBY	\N	\N
525001	1791	1997-06-30	VYDAJ	VYBER	15	40392	SLUZBY	\N	\N
525002	1791	1997-07-31	VYDAJ	VYBER	15	42690	SLUZBY	\N	\N
525003	1791	1997-08-31	VYDAJ	VYBER	15	40855	SLUZBY	\N	\N
525004	1791	1997-09-30	VYDAJ	VYBER	15	40011	SLUZBY	\N	\N
525005	1791	1997-10-31	VYDAJ	VYBER	15	43668	SLUZBY	\N	\N
525006	1791	1997-11-30	VYDAJ	VYBER	15	43936	SLUZBY	\N	\N
525007	1791	1997-12-31	VYDAJ	VYBER	15	49025	SLUZBY	\N	\N
525008	1791	1998-01-31	VYDAJ	VYBER	15	34166	SLUZBY	\N	\N
525009	1791	1998-02-28	VYDAJ	VYBER	15	41501	SLUZBY	\N	\N
525010	1791	1998-03-31	VYDAJ	VYBER	15	39214	SLUZBY	\N	\N
525011	1791	1998-04-30	VYDAJ	VYBER	15	36764	SLUZBY	\N	\N
525012	1791	1998-05-31	VYDAJ	VYBER	15	36001	SLUZBY	\N	\N
525013	1791	1998-06-30	VYDAJ	VYBER	15	40672	SLUZBY	\N	\N
525014	1791	1998-07-31	VYDAJ	VYBER	15	34359	SLUZBY	\N	\N
525015	1791	1998-08-31	VYDAJ	VYBER	15	35587	SLUZBY	\N	\N
525016	1791	1998-09-30	VYDAJ	VYBER	15	32520	SLUZBY	\N	\N
525017	1791	1998-10-31	VYDAJ	VYBER	15	25426	SLUZBY	\N	\N
525018	1791	1998-11-30	VYDAJ	VYBER	15	22708	SLUZBY	\N	\N
525019	1791	1996-03-04	PRIJEM	VKLAD	6100	19493	\N	\N	\N
525020	1791	1996-04-03	VYDAJ	VYBER	5700	26962	\N	\N	\N
525021	1791	1996-05-03	VYDAJ	VYBER	7900	32272	\N	\N	\N
525022	1791	1996-06-02	VYDAJ	VYBER	12600	32905	\N	\N	\N
525023	1791	1996-07-02	VYDAJ	VYBER	11100	34604	\N	\N	\N
525024	1791	1996-08-01	VYDAJ	VYBER	2700	30812	\N	\N	\N
525025	1791	1996-08-31	VYDAJ	VYBER	3100	33948	\N	\N	\N
525026	1791	1996-09-30	VYDAJ	VYBER	5900	34281	\N	\N	\N
525027	1791	1996-10-30	VYDAJ	VYBER	3100	37274	\N	\N	\N
525028	1791	1996-11-29	VYDAJ	VYBER	3300	40209	\N	\N	\N
525029	1791	1996-12-29	VYDAJ	VYBER	5900	39441	\N	\N	\N
525030	1791	1997-01-28	PRIJEM	VKLAD	1100	32841	\N	\N	\N
525031	1791	1997-02-27	VYDAJ	VYBER	600	38480	\N	\N	\N
525032	1791	1997-03-29	VYDAJ	VYBER	3300	41409	\N	\N	\N
525033	1791	1997-04-28	VYDAJ	VYBER	5600	42061	\N	\N	\N
525034	1791	1997-05-28	PRIJEM	VKLAD	700	38585	\N	\N	\N
525035	1791	1997-06-27	VYDAJ	VYBER	900	40232	\N	\N	\N
525036	1791	1997-07-27	VYDAJ	VYBER	3000	42525	\N	\N	\N
525037	1791	1997-08-26	VYDAJ	VYBER	8100	40683	\N	\N	\N
525038	1791	1997-09-25	VYDAJ	VYBER	7100	39848	\N	\N	\N
525039	1791	1997-10-25	VYDAJ	VYBER	2600	43504	\N	\N	\N
525040	1791	1997-11-24	VYDAJ	VYBER	6000	43761	\N	\N	\N
525041	1791	1997-12-24	VYDAJ	VYBER	3400	53154	\N	\N	\N
525042	1791	1998-01-23	VYDAJ	VYBER	1700	45498	\N	\N	\N
525043	1791	1998-02-22	PRIJEM	VKLAD	1100	41359	\N	\N	\N
525044	1791	1998-03-24	VYDAJ	VYBER	4700	39054	\N	\N	\N
525045	1791	1998-04-23	VYDAJ	VYBER	4500	40807	\N	\N	\N
525046	1791	1998-05-23	VYDAJ	VYBER	7000	35857	\N	\N	\N
525047	1791	1998-06-22	VYDAJ	VYBER	8100	40518	\N	\N	\N
525048	1791	1998-07-22	VYDAJ	VYBER	10400	36365	\N	\N	\N
525049	1791	1998-08-21	VYDAJ	VYBER	5000	35452	\N	\N	\N
525050	1791	1998-09-20	VYDAJ	VYBER	6300	32380	\N	\N	\N
525051	1791	1998-10-20	VYDAJ	VYBER	10900	25313	\N	\N	\N
525052	1791	1998-11-19	VYDAJ	VYBER	8900	22619	\N	\N	\N
525053	1791	1998-12-19	VYDAJ	VYBER	7000	28326	\N	\N	\N
525089	1792	1993-12-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
525102	1792	1994-01-12	PRIJEM	PREVOD Z UCTU	6151	7151	DUCHOD	ST	78620892
525103	1792	1994-02-12	PRIJEM	PREVOD Z UCTU	6151	13302	DUCHOD	ST	78620892
525104	1792	1994-03-12	PRIJEM	PREVOD Z UCTU	6151	19453	DUCHOD	ST	78620892
525105	1792	1994-04-12	PRIJEM	PREVOD Z UCTU	6151	25604	DUCHOD	ST	78620892
525106	1792	1994-05-12	PRIJEM	PREVOD Z UCTU	6151	29106	DUCHOD	ST	78620892
525107	1792	1994-06-12	PRIJEM	PREVOD Z UCTU	6151	32436	DUCHOD	ST	78620892
525108	1792	1994-07-12	PRIJEM	PREVOD Z UCTU	6151	19707	DUCHOD	ST	78620892
525109	1792	1994-08-12	PRIJEM	PREVOD Z UCTU	6151	24200	DUCHOD	ST	78620892
525110	1792	1994-09-12	PRIJEM	PREVOD Z UCTU	6151	28716	DUCHOD	ST	78620892
525111	1792	1994-10-12	PRIJEM	PREVOD Z UCTU	6151	32367	DUCHOD	ST	78620892
525112	1792	1994-11-12	PRIJEM	PREVOD Z UCTU	6151	29705	DUCHOD	ST	78620892
525113	1792	1994-12-12	PRIJEM	PREVOD Z UCTU	6151	30776	DUCHOD	ST	78620892
525114	1792	1995-01-12	PRIJEM	PREVOD Z UCTU	6151	29360	DUCHOD	ST	78620892
525115	1792	1995-02-12	PRIJEM	PREVOD Z UCTU	6151	25129	DUCHOD	ST	78620892
525116	1792	1995-03-12	PRIJEM	PREVOD Z UCTU	6151	29049	DUCHOD	ST	78620892
525117	1792	1995-04-12	PRIJEM	PREVOD Z UCTU	6151	25522	DUCHOD	ST	78620892
525118	1792	1995-05-12	PRIJEM	PREVOD Z UCTU	6151	30045	DUCHOD	ST	78620892
525119	1792	1995-06-12	PRIJEM	PREVOD Z UCTU	6151	28281	DUCHOD	ST	78620892
525120	1792	1995-07-12	PRIJEM	PREVOD Z UCTU	6151	19847	DUCHOD	ST	78620892
525121	1792	1995-08-12	PRIJEM	PREVOD Z UCTU	6151	23740	DUCHOD	ST	78620892
525122	1792	1995-09-12	PRIJEM	PREVOD Z UCTU	6151	25551	DUCHOD	ST	78620892
525123	1792	1995-10-12	PRIJEM	PREVOD Z UCTU	6151	27476	DUCHOD	ST	78620892
525124	1792	1995-11-12	PRIJEM	PREVOD Z UCTU	6151	28524	DUCHOD	ST	78620892
525125	1792	1995-12-12	PRIJEM	PREVOD Z UCTU	6151	26858	DUCHOD	ST	78620892
525126	1792	1996-01-12	PRIJEM	PREVOD Z UCTU	6151	24659	DUCHOD	ST	78620892
525127	1792	1996-02-12	PRIJEM	PREVOD Z UCTU	6151	20202	DUCHOD	ST	78620892
525128	1792	1996-03-12	PRIJEM	PREVOD Z UCTU	6151	22997	DUCHOD	ST	78620892
525129	1792	1996-04-12	PRIJEM	PREVOD Z UCTU	6151	27305	DUCHOD	ST	78620892
525130	1792	1996-05-12	PRIJEM	PREVOD Z UCTU	6151	25930	DUCHOD	ST	78620892
525131	1792	1996-06-12	PRIJEM	PREVOD Z UCTU	6151	20511	DUCHOD	ST	78620892
525132	1792	1996-07-12	PRIJEM	PREVOD Z UCTU	6151	21251	DUCHOD	ST	78620892
525133	1792	1996-08-12	PRIJEM	PREVOD Z UCTU	6151	21754	DUCHOD	ST	78620892
525134	1792	1996-09-12	PRIJEM	PREVOD Z UCTU	6151	18862	DUCHOD	ST	78620892
525135	1792	1996-10-12	PRIJEM	PREVOD Z UCTU	6151	19366	DUCHOD	ST	78620892
525136	1792	1996-11-12	PRIJEM	PREVOD Z UCTU	6151	18998	DUCHOD	ST	78620892
525137	1792	1996-12-12	PRIJEM	PREVOD Z UCTU	6151	18705	DUCHOD	ST	78620892
525138	1792	1997-01-12	PRIJEM	PREVOD Z UCTU	6151	20873	DUCHOD	ST	78620892
525139	1792	1997-02-12	PRIJEM	PREVOD Z UCTU	6151	20458	DUCHOD	ST	78620892
525140	1792	1997-03-12	PRIJEM	PREVOD Z UCTU	6151	24956	DUCHOD	ST	78620892
525141	1792	1997-04-12	PRIJEM	PREVOD Z UCTU	6151	21068	DUCHOD	ST	78620892
525142	1792	1997-05-12	PRIJEM	PREVOD Z UCTU	6151	23889	DUCHOD	ST	78620892
525143	1792	1997-06-12	PRIJEM	PREVOD Z UCTU	6151	27121	DUCHOD	ST	78620892
525144	1792	1997-07-12	PRIJEM	PREVOD Z UCTU	6151	24230	DUCHOD	ST	78620892
525145	1792	1997-08-12	PRIJEM	PREVOD Z UCTU	6151	19139	DUCHOD	ST	78620892
525146	1792	1997-09-12	PRIJEM	PREVOD Z UCTU	6151	23628	DUCHOD	ST	78620892
525147	1792	1997-10-12	PRIJEM	PREVOD Z UCTU	6151	23033	DUCHOD	ST	78620892
525148	1792	1997-11-12	PRIJEM	PREVOD Z UCTU	6151	23769	DUCHOD	ST	78620892
525149	1792	1997-12-12	PRIJEM	PREVOD Z UCTU	6151	27050	DUCHOD	ST	78620892
525150	1792	1998-01-12	PRIJEM	PREVOD Z UCTU	6151	21664	DUCHOD	ST	78620892
525151	1792	1998-02-12	PRIJEM	PREVOD Z UCTU	6151	21199	DUCHOD	ST	78620892
525152	1792	1998-03-12	PRIJEM	PREVOD Z UCTU	6151	24580	DUCHOD	ST	78620892
525153	1792	1998-04-12	PRIJEM	PREVOD Z UCTU	6151	18985	DUCHOD	ST	78620892
525154	1792	1998-05-12	PRIJEM	PREVOD Z UCTU	6151	23477	DUCHOD	ST	78620892
525155	1792	1998-06-12	PRIJEM	PREVOD Z UCTU	6151	27988	DUCHOD	ST	78620892
525156	1792	1998-07-12	PRIJEM	PREVOD Z UCTU	6151	19899	DUCHOD	ST	78620892
525157	1792	1998-08-12	PRIJEM	PREVOD Z UCTU	6151	24396	DUCHOD	ST	78620892
525158	1792	1998-09-12	PRIJEM	PREVOD Z UCTU	6151	26423	DUCHOD	ST	78620892
525159	1792	1998-10-12	PRIJEM	PREVOD Z UCTU	6151	28626	DUCHOD	ST	78620892
525160	1792	1998-11-12	PRIJEM	PREVOD Z UCTU	6151	33158	DUCHOD	ST	78620892
525161	1792	1998-12-12	PRIJEM	PREVOD Z UCTU	6151	33938	DUCHOD	ST	78620892
525178	1792	1994-05-12	VYDAJ	PREVOD NA UCET	1712	27394	SIPO	IJ	49249744
525179	1792	1994-06-12	VYDAJ	PREVOD NA UCET	1712	30724	SIPO	IJ	49249744
525180	1792	1994-07-12	VYDAJ	PREVOD NA UCET	1712	17995	SIPO	IJ	49249744
525181	1792	1994-08-12	VYDAJ	PREVOD NA UCET	1712	22488	SIPO	IJ	49249744
525182	1792	1994-09-12	VYDAJ	PREVOD NA UCET	1712	26604	SIPO	IJ	49249744
525183	1792	1994-10-12	VYDAJ	PREVOD NA UCET	1712	27855	SIPO	IJ	49249744
525184	1792	1994-11-12	VYDAJ	PREVOD NA UCET	1712	27993	SIPO	IJ	49249744
525185	1792	1994-12-12	VYDAJ	PREVOD NA UCET	1712	29064	SIPO	IJ	49249744
525186	1792	1995-01-12	VYDAJ	PREVOD NA UCET	1712	27648	SIPO	IJ	49249744
525187	1792	1995-02-12	VYDAJ	PREVOD NA UCET	1712	23417	SIPO	IJ	49249744
525188	1792	1995-03-12	VYDAJ	PREVOD NA UCET	1712	27337	SIPO	IJ	49249744
525189	1792	1995-04-12	VYDAJ	PREVOD NA UCET	1712	23810	SIPO	IJ	49249744
525190	1792	1995-05-12	VYDAJ	PREVOD NA UCET	1712	28333	SIPO	IJ	49249744
525191	1792	1995-06-12	VYDAJ	PREVOD NA UCET	1712	26569	SIPO	IJ	49249744
525192	1792	1995-07-12	VYDAJ	PREVOD NA UCET	1712	18135	SIPO	IJ	49249744
525193	1792	1995-08-12	VYDAJ	PREVOD NA UCET	1712	22028	SIPO	IJ	49249744
525194	1792	1995-09-12	VYDAJ	PREVOD NA UCET	1712	23839	SIPO	IJ	49249744
525195	1792	1995-10-12	VYDAJ	PREVOD NA UCET	1712	25764	SIPO	IJ	49249744
525196	1792	1995-11-12	VYDAJ	PREVOD NA UCET	1712	26812	SIPO	IJ	49249744
525197	1792	1995-12-12	VYDAJ	PREVOD NA UCET	1712	25146	SIPO	IJ	49249744
525198	1792	1996-01-12	VYDAJ	PREVOD NA UCET	1712	22947	SIPO	IJ	49249744
525199	1792	1996-02-12	VYDAJ	PREVOD NA UCET	1712	18490	SIPO	IJ	49249744
525200	1792	1996-03-12	VYDAJ	PREVOD NA UCET	1712	21285	SIPO	IJ	49249744
525201	1792	1996-04-12	VYDAJ	PREVOD NA UCET	1712	25593	SIPO	IJ	49249744
525202	1792	1996-05-12	VYDAJ	PREVOD NA UCET	1712	24218	SIPO	IJ	49249744
525203	1792	1996-06-12	VYDAJ	PREVOD NA UCET	1712	18799	SIPO	IJ	49249744
525204	1792	1996-07-12	VYDAJ	PREVOD NA UCET	1712	19539	SIPO	IJ	49249744
525205	1792	1996-08-12	VYDAJ	PREVOD NA UCET	1712	20042	SIPO	IJ	49249744
525206	1792	1996-09-12	VYDAJ	PREVOD NA UCET	1712	17150	SIPO	IJ	49249744
525207	1792	1996-10-12	VYDAJ	PREVOD NA UCET	1712	17654	SIPO	IJ	49249744
525208	1792	1996-11-12	VYDAJ	PREVOD NA UCET	1712	17286	SIPO	IJ	49249744
525209	1792	1996-12-12	VYDAJ	PREVOD NA UCET	1712	16993	SIPO	IJ	49249744
525210	1792	1997-01-12	VYDAJ	PREVOD NA UCET	1712	19161	SIPO	IJ	49249744
525211	1792	1997-02-12	VYDAJ	PREVOD NA UCET	1712	18746	SIPO	IJ	49249744
525212	1792	1997-03-12	VYDAJ	PREVOD NA UCET	1712	23244	SIPO	IJ	49249744
525213	1792	1997-04-12	VYDAJ	PREVOD NA UCET	1712	19356	SIPO	IJ	49249744
525214	1792	1997-05-12	VYDAJ	PREVOD NA UCET	1712	22177	SIPO	IJ	49249744
525215	1792	1997-06-12	VYDAJ	PREVOD NA UCET	1712	25409	SIPO	IJ	49249744
525216	1792	1997-07-12	VYDAJ	PREVOD NA UCET	1712	22518	SIPO	IJ	49249744
525217	1792	1997-08-12	VYDAJ	PREVOD NA UCET	1712	17427	SIPO	IJ	49249744
525218	1792	1997-09-12	VYDAJ	PREVOD NA UCET	1712	21916	SIPO	IJ	49249744
525219	1792	1997-10-12	VYDAJ	PREVOD NA UCET	1712	21321	SIPO	IJ	49249744
525220	1792	1997-11-12	VYDAJ	PREVOD NA UCET	1712	22057	SIPO	IJ	49249744
525221	1792	1997-12-12	VYDAJ	PREVOD NA UCET	1712	25338	SIPO	IJ	49249744
525222	1792	1998-01-12	VYDAJ	PREVOD NA UCET	1712	19952	SIPO	IJ	49249744
525223	1792	1998-02-12	VYDAJ	PREVOD NA UCET	1712	19487	SIPO	IJ	49249744
525224	1792	1998-03-12	VYDAJ	PREVOD NA UCET	1712	22868	SIPO	IJ	49249744
525225	1792	1998-04-12	VYDAJ	PREVOD NA UCET	1712	17273	SIPO	IJ	49249744
525226	1792	1998-05-12	VYDAJ	PREVOD NA UCET	1712	21765	SIPO	IJ	49249744
525227	1792	1998-06-12	VYDAJ	PREVOD NA UCET	1712	26276	SIPO	IJ	49249744
525228	1792	1998-07-12	VYDAJ	PREVOD NA UCET	1712	18187	SIPO	IJ	49249744
525229	1792	1998-08-12	VYDAJ	PREVOD NA UCET	1712	22684	SIPO	IJ	49249744
525230	1792	1998-09-12	VYDAJ	PREVOD NA UCET	1712	24711	SIPO	IJ	49249744
525231	1792	1998-10-12	VYDAJ	PREVOD NA UCET	1712	26914	SIPO	IJ	49249744
525232	1792	1998-11-12	VYDAJ	PREVOD NA UCET	1712	31446	SIPO	IJ	49249744
525233	1792	1998-12-12	VYDAJ	PREVOD NA UCET	1712	32226	SIPO	IJ	49249744
525235	1792	1994-06-23	VYDAJ	VYBER	13150	13474	\N	\N	\N
525236	1792	1995-06-18	VYDAJ	VYBER	12950	13619	\N	\N	\N
525237	1792	1996-06-07	VYDAJ	VYBER	5850	14360	\N	\N	\N
525238	1792	1997-06-16	VYDAJ	VYBER	7400	18009	\N	\N	\N
525242	1792	1995-01-08	VYDAJ	VYBER	1800	26409	\N	\N	\N
525244	1792	1997-01-29	VYDAJ	VYBER	1150	14251	\N	\N	\N
525247	1792	1994-12-03	VYDAJ	VYBER	350	27745	\N	\N	\N
525248	1792	1995-12-28	VYDAJ	VYBER	1350	23796	\N	\N	\N
525250	1792	1997-12-11	VYDAJ	VYBER	750	20899	\N	\N	\N
525251	1792	1998-12-06	VYDAJ	VYBER	650	27787	\N	\N	\N
525264	1792	1995-01-19	VYDAJ	VYBER	640	25008	\N	\N	\N
525265	1792	1995-01-03	VYDAJ	VYBER	960	28209	\N	\N	\N
525266	1792	1995-01-23	VYDAJ	VYBER	2320	22688	\N	\N	\N
525267	1792	1995-01-30	VYDAJ	VYBER	720	19888	\N	\N	\N
525268	1792	1995-01-18	VYDAJ	VYBER	2000	25648	\N	\N	\N
525269	1792	1995-01-24	VYDAJ	VYBER	2080	20608	\N	\N	\N
525271	1792	1996-01-28	VYDAJ	VYBER	1840	13987	\N	\N	\N
525272	1792	1996-01-17	VYDAJ	VYBER	2080	20067	\N	\N	\N
525273	1792	1996-01-25	VYDAJ	VYBER	960	15827	\N	\N	\N
525274	1792	1996-01-01	VYDAJ	VYBER	1280	22608	\N	\N	\N
525275	1792	1996-01-12	VYDAJ	VYBER	800	22147	\N	\N	\N
525276	1792	1997-01-12	VYDAJ	VYBER	560	18601	\N	\N	\N
525279	1792	1997-01-15	VYDAJ	VYBER	1280	17321	\N	\N	\N
525280	1792	1997-01-26	VYDAJ	VYBER	1920	15401	\N	\N	\N
525281	1792	1997-01-04	VYDAJ	VYBER	2320	14722	\N	\N	\N
525283	1792	1998-01-30	VYDAJ	VYBER	480	14992	\N	\N	\N
525284	1792	1998-01-28	VYDAJ	VYBER	640	15472	\N	\N	\N
525286	1792	1998-01-23	VYDAJ	VYBER	1840	18112	\N	\N	\N
525287	1792	1998-01-26	VYDAJ	VYBER	2000	16112	\N	\N	\N
525292	1792	1994-12-10	VYDAJ	VYBER	1120	26625	\N	\N	\N
525293	1792	1994-09-24	VYDAJ	VYBER	480	26124	\N	\N	\N
525297	1792	1995-03-31	VYDAJ	VYBER	2720	24725	\N	\N	\N
525298	1792	1995-04-10	VYDAJ	VYBER	3040	21671	\N	\N	\N
525299	1792	1995-10-15	VYDAJ	VYBER	480	25284	\N	\N	\N
525300	1792	1996-10-23	VYDAJ	VYBER	3760	13894	\N	\N	\N
525301	1792	1996-08-05	VYDAJ	VYBER	800	15603	\N	\N	\N
525302	1792	1996-11-20	VYDAJ	VYBER	880	16406	\N	\N	\N
525303	1792	1996-01-21	VYDAJ	VYBER	3280	16787	\N	\N	\N
525304	1792	1996-06-20	VYDAJ	VYBER	3760	15039	\N	\N	\N
525305	1792	1997-06-09	VYDAJ	VYBER	1280	20970	\N	\N	\N
525306	1792	1997-11-26	VYDAJ	VYBER	480	21577	\N	\N	\N
525307	1792	1997-05-02	VYDAJ	VYBER	1680	17738	\N	\N	\N
525308	1792	1997-10-13	VYDAJ	VYBER	3760	17561	\N	\N	\N
525310	1792	1998-12-02	VYDAJ	VYBER	3120	28437	\N	\N	\N
525311	1792	1998-10-09	VYDAJ	VYBER	2320	22475	\N	\N	\N
525312	1792	1998-02-28	VYDAJ	VYBER	1120	18443	\N	\N	\N
525313	1792	1998-08-19	VYDAJ	VYBER	2480	20204	\N	\N	\N
525332	1792	1994-05-31	VYDAJ	VYBER	15	26285	SLUZBY	\N	\N
525333	1792	1994-06-30	VYDAJ	VYBER	15	13556	SLUZBY	\N	\N
525334	1792	1994-07-31	VYDAJ	VYBER	15	18049	SLUZBY	\N	\N
525335	1792	1994-08-31	VYDAJ	VYBER	15	22565	SLUZBY	\N	\N
525336	1792	1994-09-30	VYDAJ	VYBER	15	26216	SLUZBY	\N	\N
525337	1792	1994-10-31	VYDAJ	VYBER	15	27954	SLUZBY	\N	\N
525338	1792	1994-11-30	VYDAJ	VYBER	15	28095	SLUZBY	\N	\N
525339	1792	1994-12-31	VYDAJ	VYBER	15	29169	SLUZBY	\N	\N
525340	1792	1995-01-31	VYDAJ	VYBER	15	19978	SLUZBY	\N	\N
525341	1792	1995-02-28	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
525342	1792	1995-03-31	VYDAJ	VYBER	15	24711	SLUZBY	\N	\N
525343	1792	1995-04-30	VYDAJ	VYBER	15	23894	SLUZBY	\N	\N
525344	1792	1995-05-31	VYDAJ	VYBER	15	28430	SLUZBY	\N	\N
525345	1792	1995-06-30	VYDAJ	VYBER	15	13696	SLUZBY	\N	\N
525346	1792	1995-07-31	VYDAJ	VYBER	15	18189	SLUZBY	\N	\N
525347	1792	1995-08-31	VYDAJ	VYBER	15	22100	SLUZBY	\N	\N
525348	1792	1995-09-30	VYDAJ	VYBER	15	23925	SLUZBY	\N	\N
525349	1792	1995-10-31	VYDAJ	VYBER	15	25373	SLUZBY	\N	\N
525350	1792	1995-11-30	VYDAJ	VYBER	15	26907	SLUZBY	\N	\N
525351	1792	1995-12-31	VYDAJ	VYBER	15	23888	SLUZBY	\N	\N
525352	1792	1996-01-31	VYDAJ	VYBER	15	14051	SLUZBY	\N	\N
525353	1792	1996-02-29	VYDAJ	VYBER	15	18546	SLUZBY	\N	\N
525354	1792	1996-03-31	VYDAJ	VYBER	15	21354	SLUZBY	\N	\N
525355	1792	1996-04-30	VYDAJ	VYBER	15	25679	SLUZBY	\N	\N
525356	1792	1996-05-31	VYDAJ	VYBER	15	24310	SLUZBY	\N	\N
525357	1792	1996-06-30	VYDAJ	VYBER	15	15100	SLUZBY	\N	\N
525358	1792	1996-07-31	VYDAJ	VYBER	15	19603	SLUZBY	\N	\N
525359	1792	1996-08-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
525360	1792	1996-09-30	VYDAJ	VYBER	15	17215	SLUZBY	\N	\N
525361	1792	1996-10-31	VYDAJ	VYBER	15	13947	SLUZBY	\N	\N
525362	1792	1996-11-30	VYDAJ	VYBER	15	12554	SLUZBY	\N	\N
525363	1792	1996-12-31	VYDAJ	VYBER	15	17042	SLUZBY	\N	\N
525364	1792	1997-01-31	VYDAJ	VYBER	15	14307	SLUZBY	\N	\N
525365	1792	1997-02-28	VYDAJ	VYBER	15	18805	SLUZBY	\N	\N
525366	1792	1997-03-31	VYDAJ	VYBER	15	14917	SLUZBY	\N	\N
525367	1792	1997-04-30	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
525368	1792	1997-05-31	VYDAJ	VYBER	15	22250	SLUZBY	\N	\N
525369	1792	1997-06-30	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
525370	1792	1997-07-31	VYDAJ	VYBER	15	12988	SLUZBY	\N	\N
525371	1792	1997-08-31	VYDAJ	VYBER	15	17477	SLUZBY	\N	\N
525372	1792	1997-09-30	VYDAJ	VYBER	15	16882	SLUZBY	\N	\N
525373	1792	1997-10-31	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
525374	1792	1997-11-30	VYDAJ	VYBER	15	21649	SLUZBY	\N	\N
525375	1792	1997-12-31	VYDAJ	VYBER	15	15513	SLUZBY	\N	\N
525376	1792	1998-01-31	VYDAJ	VYBER	15	15048	SLUZBY	\N	\N
525377	1792	1998-02-28	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
525378	1792	1998-03-31	VYDAJ	VYBER	15	12834	SLUZBY	\N	\N
525379	1792	1998-04-30	VYDAJ	VYBER	15	17326	SLUZBY	\N	\N
525380	1792	1998-05-31	VYDAJ	VYBER	15	21837	SLUZBY	\N	\N
525381	1792	1998-06-30	VYDAJ	VYBER	15	13748	SLUZBY	\N	\N
525382	1792	1998-07-31	VYDAJ	VYBER	15	18245	SLUZBY	\N	\N
525383	1792	1998-08-31	VYDAJ	VYBER	15	20272	SLUZBY	\N	\N
525384	1792	1998-09-30	VYDAJ	VYBER	15	24795	SLUZBY	\N	\N
525385	1792	1998-10-31	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
525386	1792	1998-11-30	VYDAJ	VYBER	15	31557	SLUZBY	\N	\N
525387	1792	1994-04-15	VYDAJ	VYBER	2700	22904	\N	\N	\N
525388	1792	1994-05-15	VYDAJ	VYBER	1200	26194	\N	\N	\N
525389	1792	1994-06-14	VYDAJ	VYBER	4100	26624	\N	\N	\N
525390	1792	1994-09-12	VYDAJ	VYBER	400	28316	\N	\N	\N
525391	1792	1994-10-12	VYDAJ	VYBER	2800	29567	\N	\N	\N
525392	1792	1994-11-11	VYDAJ	VYBER	4400	23554	\N	\N	\N
525393	1792	1994-12-11	VYDAJ	VYBER	2000	24625	\N	\N	\N
525394	1792	1995-01-10	VYDAJ	VYBER	3200	23209	\N	\N	\N
525395	1792	1995-02-09	VYDAJ	VYBER	1000	18978	\N	\N	\N
525396	1792	1995-03-11	VYDAJ	VYBER	600	22898	\N	\N	\N
525397	1792	1995-04-10	VYDAJ	VYBER	2300	19371	\N	\N	\N
525398	1792	1995-06-09	VYDAJ	VYBER	6300	22130	\N	\N	\N
525399	1792	1995-08-08	VYDAJ	VYBER	600	17589	\N	\N	\N
525400	1792	1995-09-07	VYDAJ	VYBER	2700	19400	\N	\N	\N
525401	1792	1995-10-07	VYDAJ	VYBER	2600	21325	\N	\N	\N
525402	1792	1995-11-06	VYDAJ	VYBER	3000	22373	\N	\N	\N
525403	1792	1995-12-06	VYDAJ	VYBER	6200	20707	\N	\N	\N
525404	1792	1996-01-05	VYDAJ	VYBER	4100	18508	\N	\N	\N
525405	1792	1996-03-05	VYDAJ	VYBER	1700	16846	\N	\N	\N
525406	1792	1996-04-04	VYDAJ	VYBER	200	21154	\N	\N	\N
525407	1792	1996-05-04	VYDAJ	VYBER	5900	19779	\N	\N	\N
525408	1792	1996-06-03	VYDAJ	VYBER	4100	20210	\N	\N	\N
525409	1792	1996-08-02	VYDAJ	VYBER	3200	16403	\N	\N	\N
525410	1792	1996-09-01	VYDAJ	VYBER	7400	12711	\N	\N	\N
525411	1792	1996-10-01	VYDAJ	VYBER	4000	13215	\N	\N	\N
525412	1792	1996-10-31	VYDAJ	VYBER	1100	12847	\N	\N	\N
525413	1792	1996-11-30	VYDAJ	VYBER	3900	12568	\N	\N	\N
525414	1792	1997-03-30	VYDAJ	VYBER	8400	14844	\N	\N	\N
525415	1792	1997-07-28	VYDAJ	VYBER	9600	12918	\N	\N	\N
525416	1792	1997-09-26	VYDAJ	VYBER	5100	16816	\N	\N	\N
525417	1792	1997-12-25	VYDAJ	VYBER	9900	15438	\N	\N	\N
525418	1792	1998-03-25	VYDAJ	VYBER	10100	12768	\N	\N	\N
525419	1792	1998-06-23	VYDAJ	VYBER	12600	13676	\N	\N	\N
525477	1793	1995-06-10	PRIJEM	VKLAD	200	200	\N	\N	\N
525483	1793	1995-06-13	PRIJEM	VKLAD	18652	18852	\N	\N	\N
525484	1793	1995-07-13	PRIJEM	VKLAD	12435	33434	\N	\N	\N
525485	1793	1995-08-13	PRIJEM	VKLAD	12435	42385	\N	\N	\N
525486	1793	1995-09-13	PRIJEM	VKLAD	12435	47182	\N	\N	\N
525487	1793	1995-10-13	PRIJEM	VKLAD	12435	47406	\N	\N	\N
525488	1793	1995-11-13	PRIJEM	VKLAD	12435	39541	\N	\N	\N
525489	1793	1995-12-13	PRIJEM	VKLAD	18652	45759	\N	\N	\N
525490	1793	1996-01-13	PRIJEM	VKLAD	12435	39069	\N	\N	\N
525491	1793	1996-02-13	PRIJEM	VKLAD	12435	31651	\N	\N	\N
525492	1793	1996-03-13	PRIJEM	VKLAD	12435	29109	\N	\N	\N
525493	1793	1996-04-13	PRIJEM	VKLAD	12435	33063	\N	\N	\N
525494	1793	1996-05-13	PRIJEM	VKLAD	12435	35028	\N	\N	\N
525495	1793	1996-06-13	PRIJEM	VKLAD	18652	40121	\N	\N	\N
525496	1793	1996-07-13	PRIJEM	VKLAD	12435	25171	\N	\N	\N
525497	1793	1996-08-13	PRIJEM	VKLAD	12435	28003	\N	\N	\N
525498	1793	1996-09-13	PRIJEM	VKLAD	12435	29548	\N	\N	\N
525499	1793	1996-10-13	PRIJEM	VKLAD	12435	32401	\N	\N	\N
525500	1793	1996-11-13	PRIJEM	VKLAD	12435	32064	\N	\N	\N
525501	1793	1996-12-13	PRIJEM	VKLAD	18652	38647	\N	\N	\N
525502	1793	1997-01-13	PRIJEM	VKLAD	12435	28121	\N	\N	\N
525503	1793	1997-02-13	PRIJEM	VKLAD	12435	27659	\N	\N	\N
525504	1793	1997-03-13	PRIJEM	VKLAD	12435	29900	\N	\N	\N
525505	1793	1997-04-13	PRIJEM	VKLAD	12435	32848	\N	\N	\N
525506	1793	1997-05-13	PRIJEM	VKLAD	12435	36010	\N	\N	\N
525507	1793	1997-06-13	PRIJEM	VKLAD	18652	41609	\N	\N	\N
525508	1793	1997-07-13	PRIJEM	VKLAD	12435	35387	\N	\N	\N
525509	1793	1997-08-13	PRIJEM	VKLAD	12435	40659	\N	\N	\N
525510	1793	1997-09-13	PRIJEM	VKLAD	12435	44853	\N	\N	\N
525511	1793	1997-10-13	PRIJEM	VKLAD	12435	46862	\N	\N	\N
525512	1793	1997-11-13	PRIJEM	VKLAD	12435	46578	\N	\N	\N
525513	1793	1997-12-13	PRIJEM	VKLAD	18652	47410	\N	\N	\N
525514	1793	1998-01-13	PRIJEM	VKLAD	12435	43621	\N	\N	\N
525515	1793	1998-02-13	PRIJEM	VKLAD	12435	46326	\N	\N	\N
525516	1793	1998-03-13	PRIJEM	VKLAD	12435	47942	\N	\N	\N
525517	1793	1998-04-13	PRIJEM	VKLAD	12435	49167	\N	\N	\N
525518	1793	1998-05-13	PRIJEM	VKLAD	12435	55295	\N	\N	\N
525519	1793	1998-06-13	PRIJEM	VKLAD	18652	46362	\N	\N	\N
525520	1793	1998-07-13	PRIJEM	VKLAD	12435	45681	\N	\N	\N
525521	1793	1998-08-13	PRIJEM	VKLAD	12435	46497	\N	\N	\N
525522	1793	1998-09-13	PRIJEM	VKLAD	12435	41407	\N	\N	\N
525523	1793	1998-10-13	PRIJEM	VKLAD	12435	44098	\N	\N	\N
525524	1793	1998-11-13	PRIJEM	VKLAD	12435	46701	\N	\N	\N
525525	1793	1998-12-13	PRIJEM	VKLAD	18652	50522	\N	\N	\N
525536	1793	1995-11-09	VYDAJ	PREVOD NA UCET	5182	27106	SIPO	IJ	77564143
525537	1793	1995-12-09	VYDAJ	PREVOD NA UCET	5182	27107	SIPO	IJ	77564143
525538	1793	1996-01-09	VYDAJ	PREVOD NA UCET	5182	28134	SIPO	IJ	77564143
525539	1793	1996-02-09	VYDAJ	PREVOD NA UCET	5182	19216	SIPO	IJ	77564143
525540	1793	1996-03-09	VYDAJ	PREVOD NA UCET	5182	16674	SIPO	IJ	77564143
525541	1793	1996-04-09	VYDAJ	PREVOD NA UCET	5182	20628	SIPO	IJ	77564143
525542	1793	1996-05-09	VYDAJ	PREVOD NA UCET	5182	22593	SIPO	IJ	77564143
525543	1793	1996-06-09	VYDAJ	PREVOD NA UCET	5182	21469	SIPO	IJ	77564143
525544	1793	1996-07-09	VYDAJ	PREVOD NA UCET	5182	12736	SIPO	IJ	77564143
525545	1793	1996-08-09	VYDAJ	PREVOD NA UCET	5182	15568	SIPO	IJ	77564143
525546	1793	1996-09-09	VYDAJ	PREVOD NA UCET	5182	17113	SIPO	IJ	77564143
525547	1793	1996-10-09	VYDAJ	PREVOD NA UCET	5182	19966	SIPO	IJ	77564143
525548	1793	1996-11-09	VYDAJ	PREVOD NA UCET	5182	19629	SIPO	IJ	77564143
525549	1793	1996-12-09	VYDAJ	PREVOD NA UCET	5182	19995	SIPO	IJ	77564143
525550	1793	1997-01-09	VYDAJ	PREVOD NA UCET	5182	16286	SIPO	IJ	77564143
525551	1793	1997-02-09	VYDAJ	PREVOD NA UCET	5182	15224	SIPO	IJ	77564143
525552	1793	1997-03-09	VYDAJ	PREVOD NA UCET	5182	17465	SIPO	IJ	77564143
525553	1793	1997-04-09	VYDAJ	PREVOD NA UCET	5182	20413	SIPO	IJ	77564143
525554	1793	1997-05-09	VYDAJ	PREVOD NA UCET	5182	23575	SIPO	IJ	77564143
525555	1793	1997-06-09	VYDAJ	PREVOD NA UCET	5182	22957	SIPO	IJ	77564143
525556	1793	1997-07-09	VYDAJ	PREVOD NA UCET	5182	22952	SIPO	IJ	77564143
525557	1793	1997-08-09	VYDAJ	PREVOD NA UCET	5182	28224	SIPO	IJ	77564143
525558	1793	1997-09-09	VYDAJ	PREVOD NA UCET	5182	32418	SIPO	IJ	77564143
525559	1793	1997-10-09	VYDAJ	PREVOD NA UCET	5182	34427	SIPO	IJ	77564143
525560	1793	1997-11-09	VYDAJ	PREVOD NA UCET	5182	34143	SIPO	IJ	77564143
525561	1793	1997-12-09	VYDAJ	PREVOD NA UCET	5182	28758	SIPO	IJ	77564143
525562	1793	1998-01-09	VYDAJ	PREVOD NA UCET	5182	34486	SIPO	IJ	77564143
525563	1793	1998-02-09	VYDAJ	PREVOD NA UCET	5182	33891	SIPO	IJ	77564143
525564	1793	1998-03-09	VYDAJ	PREVOD NA UCET	5182	39707	SIPO	IJ	77564143
525565	1793	1998-04-09	VYDAJ	PREVOD NA UCET	5182	36732	SIPO	IJ	77564143
525566	1793	1998-05-09	VYDAJ	PREVOD NA UCET	5182	42860	SIPO	IJ	77564143
525567	1793	1998-06-09	VYDAJ	PREVOD NA UCET	5182	27710	SIPO	IJ	77564143
525568	1793	1998-07-09	VYDAJ	PREVOD NA UCET	5182	33246	SIPO	IJ	77564143
525569	1793	1998-08-09	VYDAJ	PREVOD NA UCET	5182	34062	SIPO	IJ	77564143
525570	1793	1998-09-09	VYDAJ	PREVOD NA UCET	5182	28972	SIPO	IJ	77564143
525571	1793	1998-10-09	VYDAJ	PREVOD NA UCET	5182	31663	SIPO	IJ	77564143
525572	1793	1998-11-09	VYDAJ	PREVOD NA UCET	5182	34266	SIPO	IJ	77564143
525573	1793	1998-12-09	VYDAJ	PREVOD NA UCET	5182	32370	SIPO	IJ	77564143
525623	1793	1996-06-16	VYDAJ	VYBER	19000	21121	\N	\N	\N
525624	1793	1997-06-23	VYDAJ	VYBER	9300	32309	\N	\N	\N
525625	1793	1998-06-04	VYDAJ	VYBER	15400	32892	\N	\N	\N
525626	1793	1995-12-22	VYDAJ	VYBER	1700	44059	\N	\N	\N
525627	1793	1996-12-25	VYDAJ	VYBER	1600	33647	\N	\N	\N
525628	1793	1997-12-04	VYDAJ	VYBER	1000	38640	\N	\N	\N
525629	1793	1998-12-12	VYDAJ	VYBER	500	31870	\N	\N	\N
525636	1793	1996-01-17	VYDAJ	VYBER	1200	33269	\N	\N	\N
525637	1793	1996-01-16	VYDAJ	VYBER	1400	34469	\N	\N	\N
525638	1793	1996-01-13	VYDAJ	VYBER	1900	35869	\N	\N	\N
525639	1793	1996-01-28	VYDAJ	VYBER	2600	30169	\N	\N	\N
525640	1793	1996-01-22	VYDAJ	VYBER	500	32769	\N	\N	\N
525641	1793	1996-01-13	VYDAJ	VYBER	1300	37769	\N	\N	\N
525642	1793	1997-01-06	VYDAJ	VYBER	2700	21468	\N	\N	\N
525643	1793	1997-01-12	VYDAJ	VYBER	600	15686	\N	\N	\N
525644	1793	1997-01-23	VYDAJ	VYBER	600	25521	\N	\N	\N
525645	1793	1997-01-18	VYDAJ	VYBER	1500	26621	\N	\N	\N
525646	1793	1997-01-18	VYDAJ	VYBER	500	26121	\N	\N	\N
525647	1793	1997-01-25	VYDAJ	VYBER	800	24721	\N	\N	\N
525648	1793	1998-01-10	VYDAJ	VYBER	500	33986	\N	\N	\N
525649	1793	1998-01-27	VYDAJ	VYBER	2300	38921	\N	\N	\N
525650	1793	1998-01-15	VYDAJ	VYBER	2500	41121	\N	\N	\N
525651	1793	1998-01-11	VYDAJ	VYBER	2800	31186	\N	\N	\N
525652	1793	1998-01-05	VYDAJ	VYBER	900	42268	\N	\N	\N
525653	1793	1998-01-07	VYDAJ	VYBER	2600	39668	\N	\N	\N
525654	1793	1995-11-03	VYDAJ	VYBER	4700	42888	\N	\N	\N
525661	1793	1996-03-08	VYDAJ	VYBER	3400	21856	\N	\N	\N
525662	1793	1996-02-04	VYDAJ	VYBER	600	29698	\N	\N	\N
525663	1793	1996-01-12	VYDAJ	VYBER	1500	26634	\N	\N	\N
525664	1793	1996-01-06	VYDAJ	VYBER	900	33316	\N	\N	\N
525665	1793	1996-12-29	VYDAJ	VYBER	1400	32247	\N	\N	\N
525666	1793	1996-12-22	VYDAJ	VYBER	3400	35247	\N	\N	\N
525667	1793	1997-03-21	VYDAJ	VYBER	3700	26200	\N	\N	\N
525668	1793	1997-01-25	VYDAJ	VYBER	3200	21521	\N	\N	\N
525669	1793	1997-06-07	VYDAJ	VYBER	3300	28139	\N	\N	\N
525670	1793	1997-10-13	VYDAJ	VYBER	2200	44662	\N	\N	\N
525671	1793	1997-12-07	VYDAJ	VYBER	4700	33940	\N	\N	\N
525672	1793	1998-08-31	VYDAJ	VYBER	2700	34169	\N	\N	\N
525673	1793	1998-07-08	VYDAJ	VYBER	4800	38428	\N	\N	\N
525674	1793	1998-08-02	VYDAJ	VYBER	4900	39244	\N	\N	\N
525675	1793	1998-08-27	VYDAJ	VYBER	1900	36697	\N	\N	\N
525676	1793	1998-11-18	VYDAJ	VYBER	4700	42001	\N	\N	\N
525677	1793	1998-03-11	VYDAJ	VYBER	4200	35507	\N	\N	\N
525678	1793	1998-05-27	VYDAJ	VYBER	3000	48095	\N	\N	\N
525689	1793	1995-10-31	VYDAJ	VYBER	15	47588	SLUZBY	\N	\N
525690	1793	1995-11-30	VYDAJ	VYBER	15	39689	SLUZBY	\N	\N
525691	1793	1995-12-31	VYDAJ	VYBER	15	44216	SLUZBY	\N	\N
525692	1793	1996-01-31	VYDAJ	VYBER	15	30298	SLUZBY	\N	\N
525693	1793	1996-02-29	VYDAJ	VYBER	15	31756	SLUZBY	\N	\N
525694	1793	1996-03-31	VYDAJ	VYBER	15	29210	SLUZBY	\N	\N
525695	1793	1996-04-30	VYDAJ	VYBER	15	33175	SLUZBY	\N	\N
525696	1793	1996-05-31	VYDAJ	VYBER	15	35151	SLUZBY	\N	\N
525697	1793	1996-06-30	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
525698	1793	1996-07-31	VYDAJ	VYBER	15	25250	SLUZBY	\N	\N
525699	1793	1996-08-31	VYDAJ	VYBER	15	28095	SLUZBY	\N	\N
525700	1793	1996-09-30	VYDAJ	VYBER	15	29648	SLUZBY	\N	\N
525701	1793	1996-10-31	VYDAJ	VYBER	15	32511	SLUZBY	\N	\N
525702	1793	1996-11-30	VYDAJ	VYBER	15	32177	SLUZBY	\N	\N
525703	1793	1996-12-31	VYDAJ	VYBER	15	32368	SLUZBY	\N	\N
525704	1793	1997-01-31	VYDAJ	VYBER	15	20406	SLUZBY	\N	\N
525705	1793	1997-02-28	VYDAJ	VYBER	15	27747	SLUZBY	\N	\N
525706	1793	1997-03-31	VYDAJ	VYBER	15	25595	SLUZBY	\N	\N
525707	1793	1997-04-30	VYDAJ	VYBER	15	32957	SLUZBY	\N	\N
525708	1793	1997-05-31	VYDAJ	VYBER	15	31439	SLUZBY	\N	\N
525709	1793	1997-06-30	VYDAJ	VYBER	15	28134	SLUZBY	\N	\N
525710	1793	1997-07-31	VYDAJ	VYBER	15	33406	SLUZBY	\N	\N
525711	1793	1997-08-31	VYDAJ	VYBER	15	37600	SLUZBY	\N	\N
525712	1793	1997-09-30	VYDAJ	VYBER	15	39609	SLUZBY	\N	\N
525713	1793	1997-10-31	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
525714	1793	1997-11-30	VYDAJ	VYBER	15	39640	SLUZBY	\N	\N
525715	1793	1997-12-31	VYDAJ	VYBER	15	43168	SLUZBY	\N	\N
525716	1793	1998-01-31	VYDAJ	VYBER	15	39073	SLUZBY	\N	\N
525717	1793	1998-02-28	VYDAJ	VYBER	15	44889	SLUZBY	\N	\N
525718	1793	1998-03-31	VYDAJ	VYBER	15	41914	SLUZBY	\N	\N
525719	1793	1998-04-30	VYDAJ	VYBER	15	48042	SLUZBY	\N	\N
525720	1793	1998-05-31	VYDAJ	VYBER	15	48292	SLUZBY	\N	\N
525721	1793	1998-06-30	VYDAJ	VYBER	15	43228	SLUZBY	\N	\N
525722	1793	1998-07-31	VYDAJ	VYBER	15	44144	SLUZBY	\N	\N
525723	1793	1998-08-31	VYDAJ	VYBER	15	34154	SLUZBY	\N	\N
525724	1793	1998-09-30	VYDAJ	VYBER	15	36845	SLUZBY	\N	\N
525725	1793	1998-10-31	VYDAJ	VYBER	15	39448	SLUZBY	\N	\N
525726	1793	1998-11-30	VYDAJ	VYBER	15	37552	SLUZBY	\N	\N
525727	1793	1995-07-10	PRIJEM	VKLAD	2100	20999	\N	\N	\N
525728	1793	1995-08-09	VYDAJ	VYBER	3600	29950	\N	\N	\N
525729	1793	1995-09-08	VYDAJ	VYBER	7800	34747	\N	\N	\N
525730	1793	1995-10-08	VYDAJ	VYBER	12400	34971	\N	\N	\N
525731	1793	1995-11-07	VYDAJ	VYBER	10600	32288	\N	\N	\N
525732	1793	1995-12-07	VYDAJ	VYBER	7400	32289	\N	\N	\N
525733	1793	1996-01-06	VYDAJ	VYBER	10000	34216	\N	\N	\N
525734	1793	1996-02-05	VYDAJ	VYBER	5300	24398	\N	\N	\N
525735	1793	1996-03-06	VYDAJ	VYBER	6500	25256	\N	\N	\N
525736	1793	1996-04-05	VYDAJ	VYBER	3400	25810	\N	\N	\N
525737	1793	1996-05-05	VYDAJ	VYBER	5400	27775	\N	\N	\N
525738	1793	1996-06-04	VYDAJ	VYBER	8500	26651	\N	\N	\N
525739	1793	1996-07-04	VYDAJ	VYBER	3300	17918	\N	\N	\N
525740	1793	1996-08-03	VYDAJ	VYBER	4500	20750	\N	\N	\N
525741	1793	1996-09-02	VYDAJ	VYBER	5800	22295	\N	\N	\N
525742	1793	1996-10-02	VYDAJ	VYBER	4500	25148	\N	\N	\N
525743	1793	1996-11-01	VYDAJ	VYBER	7700	24811	\N	\N	\N
525744	1793	1996-12-01	VYDAJ	VYBER	7000	25177	\N	\N	\N
525745	1793	1996-12-31	VYDAJ	VYBER	8200	24168	\N	\N	\N
525746	1793	1997-01-30	VYDAJ	VYBER	1200	20321	\N	\N	\N
525747	1793	1997-03-01	VYDAJ	VYBER	5100	22647	\N	\N	\N
525748	1793	1997-03-31	VYDAJ	VYBER	700	25609	\N	\N	\N
525749	1793	1997-04-30	VYDAJ	VYBER	4200	28757	\N	\N	\N
525750	1793	1997-05-30	VYDAJ	VYBER	4700	31310	\N	\N	\N
525751	1793	1997-06-29	VYDAJ	VYBER	4300	28009	\N	\N	\N
525752	1793	1997-07-29	VYDAJ	VYBER	2100	33287	\N	\N	\N
525753	1793	1997-08-28	VYDAJ	VYBER	3200	37459	\N	\N	\N
525754	1793	1997-09-27	VYDAJ	VYBER	5400	39453	\N	\N	\N
525755	1793	1997-10-27	VYDAJ	VYBER	5500	39162	\N	\N	\N
525756	1793	1997-11-26	VYDAJ	VYBER	7100	39478	\N	\N	\N
525757	1793	1997-12-26	VYDAJ	VYBER	4400	43010	\N	\N	\N
525758	1793	1998-01-25	PRIJEM	VKLAD	100	41221	\N	\N	\N
525759	1793	1998-02-24	VYDAJ	VYBER	1600	44726	\N	\N	\N
525760	1793	1998-03-26	VYDAJ	VYBER	6200	41742	\N	\N	\N
525761	1793	1998-04-25	VYDAJ	VYBER	1300	47867	\N	\N	\N
525762	1793	1998-05-25	VYDAJ	VYBER	4200	51095	\N	\N	\N
525763	1793	1998-06-24	VYDAJ	VYBER	3300	43062	\N	\N	\N
525764	1793	1998-07-24	VYDAJ	VYBER	1700	43981	\N	\N	\N
525765	1793	1998-08-23	VYDAJ	VYBER	7900	38597	\N	\N	\N
525766	1793	1998-09-22	VYDAJ	VYBER	4700	36707	\N	\N	\N
525767	1793	1998-10-22	VYDAJ	VYBER	4800	39298	\N	\N	\N
525768	1793	1998-11-21	VYDAJ	VYBER	4600	37401	\N	\N	\N
525812	1794	1997-07-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
525820	1794	1997-08-08	PRIJEM	VKLAD	7504	8504	\N	\N	\N
525821	1794	1997-09-08	PRIJEM	VKLAD	7504	24331	\N	\N	\N
525822	1794	1997-10-08	PRIJEM	VKLAD	7504	30113	\N	\N	\N
525823	1794	1997-11-08	PRIJEM	VKLAD	7504	34517	\N	\N	\N
525824	1794	1997-12-08	PRIJEM	VKLAD	11256	39287	\N	\N	\N
525825	1794	1998-01-08	PRIJEM	VKLAD	7504	28965	\N	\N	\N
525826	1794	1998-02-08	PRIJEM	VKLAD	7504	18390	\N	\N	\N
525827	1794	1998-03-08	PRIJEM	VKLAD	7504	21442	\N	\N	\N
525828	1794	1998-04-08	PRIJEM	VKLAD	7504	20298	\N	\N	\N
525829	1794	1998-05-08	PRIJEM	VKLAD	7504	21453	\N	\N	\N
525830	1794	1998-06-08	PRIJEM	VKLAD	11256	21957	\N	\N	\N
525831	1794	1998-07-08	PRIJEM	VKLAD	7504	24518	\N	\N	\N
525832	1794	1998-08-08	PRIJEM	VKLAD	7504	21282	\N	\N	\N
525833	1794	1998-09-08	PRIJEM	VKLAD	7504	16128	\N	\N	\N
525834	1794	1998-10-08	PRIJEM	VKLAD	7504	18669	\N	\N	\N
525835	1794	1998-11-08	PRIJEM	VKLAD	7504	18573	\N	\N	\N
525836	1794	1998-12-08	PRIJEM	VKLAD	11256	24875	\N	\N	\N
525848	1794	1997-12-10	VYDAJ	PREVOD NA UCET	2867	36420	SIPO	ST	3015161
525849	1794	1998-01-10	VYDAJ	PREVOD NA UCET	2867	24058	SIPO	ST	3015161
525850	1794	1998-02-10	VYDAJ	PREVOD NA UCET	2867	15523	SIPO	ST	3015161
525851	1794	1998-03-10	VYDAJ	PREVOD NA UCET	2867	18575	SIPO	ST	3015161
525852	1794	1998-04-10	VYDAJ	PREVOD NA UCET	2867	17431	SIPO	ST	3015161
525853	1794	1998-05-10	VYDAJ	PREVOD NA UCET	2867	18586	SIPO	ST	3015161
525854	1794	1998-06-10	VYDAJ	PREVOD NA UCET	2867	19090	SIPO	ST	3015161
525855	1794	1998-07-10	VYDAJ	PREVOD NA UCET	2867	21651	SIPO	ST	3015161
525856	1794	1998-08-10	VYDAJ	PREVOD NA UCET	2867	18415	SIPO	ST	3015161
525857	1794	1998-09-10	VYDAJ	PREVOD NA UCET	2867	13261	SIPO	ST	3015161
525858	1794	1998-10-10	VYDAJ	PREVOD NA UCET	2867	13162	SIPO	ST	3015161
525859	1794	1998-11-10	VYDAJ	PREVOD NA UCET	2867	15706	SIPO	ST	3015161
525860	1794	1998-12-10	VYDAJ	PREVOD NA UCET	2867	20728	SIPO	ST	3015161
525873	1794	1998-01-07	VYDAJ	PREVOD NA UCET	1890	21461	 	MN	76406907
525874	1794	1998-02-07	VYDAJ	PREVOD NA UCET	1890	10886	 	MN	76406907
525875	1794	1998-03-07	VYDAJ	PREVOD NA UCET	1890	13938	 	MN	76406907
525876	1794	1998-04-07	VYDAJ	PREVOD NA UCET	1890	12794	 	MN	76406907
525877	1794	1998-05-07	VYDAJ	PREVOD NA UCET	1890	13949	 	MN	76406907
525878	1794	1998-06-07	VYDAJ	PREVOD NA UCET	1890	10701	 	MN	76406907
525879	1794	1998-07-07	VYDAJ	PREVOD NA UCET	1890	17014	 	MN	76406907
525880	1794	1998-08-07	VYDAJ	PREVOD NA UCET	1890	13778	 	MN	76406907
525881	1794	1998-09-07	VYDAJ	PREVOD NA UCET	1890	8624	 	MN	76406907
525882	1794	1998-10-07	VYDAJ	PREVOD NA UCET	1890	11165	 	MN	76406907
525883	1794	1998-11-07	VYDAJ	PREVOD NA UCET	1890	11069	 	MN	76406907
525884	1794	1998-12-07	VYDAJ	PREVOD NA UCET	1890	13619	 	MN	76406907
525896	1794	1997-12-13	VYDAJ	PREVOD NA UCET	198	36222	POJISTNE	CD	95064234
525897	1794	1998-01-13	VYDAJ	PREVOD NA UCET	198	13620	POJISTNE	CD	95064234
525898	1794	1998-02-13	VYDAJ	PREVOD NA UCET	198	15325	POJISTNE	CD	95064234
525899	1794	1998-03-13	VYDAJ	PREVOD NA UCET	198	18377	POJISTNE	CD	95064234
525900	1794	1998-04-13	VYDAJ	PREVOD NA UCET	198	17233	POJISTNE	CD	95064234
525901	1794	1998-05-13	VYDAJ	PREVOD NA UCET	198	18388	POJISTNE	CD	95064234
525902	1794	1998-06-13	VYDAJ	PREVOD NA UCET	198	18892	POJISTNE	CD	95064234
525903	1794	1998-07-13	VYDAJ	PREVOD NA UCET	198	21453	POJISTNE	CD	95064234
525904	1794	1998-08-13	VYDAJ	PREVOD NA UCET	198	18217	POJISTNE	CD	95064234
525905	1794	1998-09-13	VYDAJ	PREVOD NA UCET	198	13063	POJISTNE	CD	95064234
525906	1794	1998-10-13	VYDAJ	PREVOD NA UCET	198	12964	POJISTNE	CD	95064234
525907	1794	1998-11-13	VYDAJ	PREVOD NA UCET	198	15508	POJISTNE	CD	95064234
525908	1794	1998-12-13	VYDAJ	PREVOD NA UCET	198	20530	POJISTNE	CD	95064234
525920	1794	1997-12-14	VYDAJ	PREVOD NA UCET	47	36175	 	IJ	75616937
525921	1794	1998-01-14	VYDAJ	PREVOD NA UCET	47	13573	 	IJ	75616937
525922	1794	1998-02-14	VYDAJ	PREVOD NA UCET	47	15278	 	IJ	75616937
525923	1794	1998-03-14	VYDAJ	PREVOD NA UCET	47	18330	 	IJ	75616937
525924	1794	1998-04-14	VYDAJ	PREVOD NA UCET	47	17186	 	IJ	75616937
525925	1794	1998-05-14	VYDAJ	PREVOD NA UCET	47	18341	 	IJ	75616937
525926	1794	1998-06-14	VYDAJ	PREVOD NA UCET	47	18845	 	IJ	75616937
525927	1794	1998-07-14	VYDAJ	PREVOD NA UCET	47	21406	 	IJ	75616937
525928	1794	1998-08-14	VYDAJ	PREVOD NA UCET	47	18170	 	IJ	75616937
525929	1794	1998-09-14	VYDAJ	PREVOD NA UCET	47	13016	 	IJ	75616937
525930	1794	1998-10-14	VYDAJ	PREVOD NA UCET	47	12917	 	IJ	75616937
525931	1794	1998-11-14	VYDAJ	PREVOD NA UCET	47	15461	 	IJ	75616937
525932	1794	1998-12-14	VYDAJ	PREVOD NA UCET	47	20483	 	IJ	75616937
525936	1794	1998-01-10	VYDAJ	VYBER	10240	13818	\N	\N	\N
525937	1794	1997-12-28	VYDAJ	VYBER	1760	29115	\N	\N	\N
525938	1794	1998-12-08	VYDAJ	VYBER	1280	23595	\N	\N	\N
525945	1794	1998-01-23	VYDAJ	VYBER	600	16673	\N	\N	\N
525946	1794	1998-01-08	VYDAJ	VYBER	2040	26925	\N	\N	\N
525947	1794	1998-01-04	VYDAJ	VYBER	2880	26351	\N	\N	\N
525948	1794	1998-01-06	VYDAJ	VYBER	3000	23351	\N	\N	\N
525950	1794	1998-01-26	VYDAJ	VYBER	2400	14273	\N	\N	\N
525958	1794	1998-10-10	VYDAJ	VYBER	2640	16029	\N	\N	\N
525959	1794	1998-02-04	VYDAJ	VYBER	1560	12776	\N	\N	\N
525973	1794	1997-12-31	VYDAJ	VYBER	15	29231	SLUZBY	\N	\N
525974	1794	1998-01-31	VYDAJ	VYBER	15	14336	SLUZBY	\N	\N
525975	1794	1998-02-28	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
525976	1794	1998-03-31	VYDAJ	VYBER	15	14684	SLUZBY	\N	\N
525977	1794	1998-04-30	VYDAJ	VYBER	15	15839	SLUZBY	\N	\N
525978	1794	1998-05-31	VYDAJ	VYBER	15	12591	SLUZBY	\N	\N
525979	1794	1998-06-30	VYDAJ	VYBER	15	18904	SLUZBY	\N	\N
525980	1794	1998-07-31	VYDAJ	VYBER	15	15668	SLUZBY	\N	\N
525981	1794	1998-08-31	VYDAJ	VYBER	15	10514	SLUZBY	\N	\N
525982	1794	1998-09-30	VYDAJ	VYBER	15	13055	SLUZBY	\N	\N
525983	1794	1998-10-31	VYDAJ	VYBER	15	12959	SLUZBY	\N	\N
525984	1794	1998-11-30	VYDAJ	VYBER	15	15509	SLUZBY	\N	\N
525985	1794	1997-08-22	PRIJEM	VKLAD	8300	16804	\N	\N	\N
525986	1794	1997-09-21	VYDAJ	VYBER	1800	22531	\N	\N	\N
525987	1794	1997-10-21	VYDAJ	VYBER	3200	26913	\N	\N	\N
525988	1794	1997-11-20	VYDAJ	VYBER	6600	27917	\N	\N	\N
525989	1794	1997-12-20	VYDAJ	VYBER	5300	30875	\N	\N	\N
525990	1794	1998-01-19	PRIJEM	VKLAD	3700	17273	\N	\N	\N
525991	1794	1998-02-18	PRIJEM	VKLAD	500	15778	\N	\N	\N
525992	1794	1998-03-20	VYDAJ	VYBER	3700	14630	\N	\N	\N
525993	1794	1998-04-19	VYDAJ	VYBER	1400	15786	\N	\N	\N
525994	1794	1998-05-19	VYDAJ	VYBER	5800	12541	\N	\N	\N
525995	1794	1998-07-18	VYDAJ	VYBER	5800	15606	\N	\N	\N
525996	1794	1998-08-17	VYDAJ	VYBER	7700	10470	\N	\N	\N
526014	1795	1997-08-21	PRIJEM	VKLAD	500	500	\N	\N	\N
526023	1795	1997-09-08	PRIJEM	VKLAD	19370	19870	\N	\N	\N
526024	1795	1997-10-08	PRIJEM	VKLAD	19370	42776	\N	\N	\N
526025	1795	1997-11-08	PRIJEM	VKLAD	19370	52759	\N	\N	\N
526026	1795	1997-12-08	PRIJEM	VKLAD	29055	68563	\N	\N	\N
526027	1795	1998-01-08	PRIJEM	VKLAD	19370	65008	\N	\N	\N
526028	1795	1998-02-08	PRIJEM	VKLAD	19370	58468	\N	\N	\N
526029	1795	1998-03-08	PRIJEM	VKLAD	19370	57447	\N	\N	\N
526030	1795	1998-04-08	PRIJEM	VKLAD	19370	58730	\N	\N	\N
526031	1795	1998-05-08	PRIJEM	VKLAD	19370	51827	\N	\N	\N
526032	1795	1998-06-08	PRIJEM	VKLAD	29055	62469	\N	\N	\N
526033	1795	1998-07-08	PRIJEM	VKLAD	19370	62353	\N	\N	\N
526034	1795	1998-08-08	PRIJEM	VKLAD	19370	59233	\N	\N	\N
526035	1795	1998-09-08	PRIJEM	VKLAD	19370	63836	\N	\N	\N
526036	1795	1998-10-08	PRIJEM	VKLAD	19370	65438	\N	\N	\N
526037	1795	1998-11-08	PRIJEM	VKLAD	19370	67610	\N	\N	\N
526038	1795	1998-12-08	PRIJEM	VKLAD	29055	77313	\N	\N	\N
526051	1795	1998-01-11	VYDAJ	PREVOD NA UCET	3850	61158	SIPO	MN	78194093
526052	1795	1998-02-11	VYDAJ	PREVOD NA UCET	3850	54618	SIPO	MN	78194093
526053	1795	1998-03-11	VYDAJ	PREVOD NA UCET	3850	53597	SIPO	MN	78194093
526054	1795	1998-04-11	VYDAJ	PREVOD NA UCET	3850	54880	SIPO	MN	78194093
526055	1795	1998-05-11	VYDAJ	PREVOD NA UCET	3850	47977	SIPO	MN	78194093
526056	1795	1998-06-11	VYDAJ	PREVOD NA UCET	3850	58619	SIPO	MN	78194093
526057	1795	1998-07-11	VYDAJ	PREVOD NA UCET	3850	58503	SIPO	MN	78194093
526058	1795	1998-08-11	VYDAJ	PREVOD NA UCET	3850	55383	SIPO	MN	78194093
526059	1795	1998-09-11	VYDAJ	PREVOD NA UCET	3850	59986	SIPO	MN	78194093
526060	1795	1998-10-11	VYDAJ	PREVOD NA UCET	3850	59548	SIPO	MN	78194093
526061	1795	1998-11-11	VYDAJ	PREVOD NA UCET	3850	63760	SIPO	MN	78194093
526062	1795	1998-12-11	VYDAJ	PREVOD NA UCET	3850	73463	SIPO	MN	78194093
526068	1795	1998-12-27	VYDAJ	VYBER	4320	57143	\N	\N	\N
526075	1795	1998-05-26	VYDAJ	VYBER	2280	33277	\N	\N	\N
526076	1795	1998-02-15	VYDAJ	VYBER	4200	50418	\N	\N	\N
526077	1795	1998-08-03	VYDAJ	VYBER	4560	39863	\N	\N	\N
526078	1795	1998-10-10	VYDAJ	VYBER	2040	63398	\N	\N	\N
526079	1795	1998-01-24	VYDAJ	VYBER	4440	38918	\N	\N	\N
526080	1795	1998-04-25	VYDAJ	VYBER	5880	32300	\N	\N	\N
526081	1795	1998-05-18	VYDAJ	VYBER	840	35557	\N	\N	\N
526082	1795	1998-05-13	VYDAJ	VYBER	4080	43897	\N	\N	\N
526083	1795	1998-07-19	VYDAJ	VYBER	1560	44243	\N	\N	\N
526084	1795	1998-11-22	VYDAJ	VYBER	5400	48060	\N	\N	\N
526098	1795	1998-01-31	VYDAJ	VYBER	15	39098	SLUZBY	\N	\N
526099	1795	1998-02-28	VYDAJ	VYBER	15	38077	SLUZBY	\N	\N
526100	1795	1998-03-31	VYDAJ	VYBER	15	39360	SLUZBY	\N	\N
526101	1795	1998-04-30	VYDAJ	VYBER	15	32457	SLUZBY	\N	\N
526102	1795	1998-05-31	VYDAJ	VYBER	15	33414	SLUZBY	\N	\N
526103	1795	1998-06-30	VYDAJ	VYBER	15	42983	SLUZBY	\N	\N
526104	1795	1998-07-31	VYDAJ	VYBER	15	44423	SLUZBY	\N	\N
526105	1795	1998-08-31	VYDAJ	VYBER	15	44466	SLUZBY	\N	\N
526106	1795	1998-09-30	VYDAJ	VYBER	15	46068	SLUZBY	\N	\N
526107	1795	1998-10-31	VYDAJ	VYBER	15	48240	SLUZBY	\N	\N
526108	1795	1998-11-30	VYDAJ	VYBER	15	48258	SLUZBY	\N	\N
526109	1795	1997-09-20	PRIJEM	VKLAD	3500	23370	\N	\N	\N
526110	1795	1997-10-20	VYDAJ	VYBER	9500	33276	\N	\N	\N
526111	1795	1997-11-19	VYDAJ	VYBER	13400	39359	\N	\N	\N
526112	1795	1997-12-19	VYDAJ	VYBER	23100	45463	\N	\N	\N
526113	1795	1998-01-18	VYDAJ	VYBER	17800	43358	\N	\N	\N
526114	1795	1998-02-17	VYDAJ	VYBER	12500	37918	\N	\N	\N
526115	1795	1998-03-19	VYDAJ	VYBER	14400	39197	\N	\N	\N
526116	1795	1998-04-18	VYDAJ	VYBER	16700	38180	\N	\N	\N
526117	1795	1998-05-18	VYDAJ	VYBER	7500	36397	\N	\N	\N
526118	1795	1998-06-17	VYDAJ	VYBER	15800	42819	\N	\N	\N
526119	1795	1998-07-17	VYDAJ	VYBER	12700	45803	\N	\N	\N
526120	1795	1998-08-16	VYDAJ	VYBER	11100	44283	\N	\N	\N
526121	1795	1998-09-15	VYDAJ	VYBER	14100	45886	\N	\N	\N
526122	1795	1998-10-15	VYDAJ	VYBER	11500	48048	\N	\N	\N
526123	1795	1998-11-14	VYDAJ	VYBER	10300	53460	\N	\N	\N
526124	1795	1998-12-14	VYDAJ	VYBER	12000	61463	\N	\N	\N
526141	1796	1995-10-14	PRIJEM	VKLAD	400	400	\N	\N	\N
526152	1796	1995-11-13	PRIJEM	VKLAD	20010	20410	\N	\N	\N
526153	1796	1995-12-13	PRIJEM	VKLAD	30015	49676	\N	\N	\N
526154	1796	1996-01-13	PRIJEM	VKLAD	20010	48046	\N	\N	\N
526155	1796	1996-02-13	PRIJEM	VKLAD	20010	56159	\N	\N	\N
526156	1796	1996-03-13	PRIJEM	VKLAD	20010	58388	\N	\N	\N
526157	1796	1996-04-13	PRIJEM	VKLAD	20010	58479	\N	\N	\N
526158	1796	1996-05-13	PRIJEM	VKLAD	20010	57404	\N	\N	\N
526159	1796	1996-06-13	PRIJEM	VKLAD	30015	71490	\N	\N	\N
526160	1796	1996-07-13	PRIJEM	VKLAD	20010	56905	\N	\N	\N
526161	1796	1996-08-13	PRIJEM	VKLAD	20010	59639	\N	\N	\N
526162	1796	1996-09-13	PRIJEM	VKLAD	20010	58079	\N	\N	\N
526163	1796	1996-10-13	PRIJEM	VKLAD	20010	61363	\N	\N	\N
526164	1796	1996-11-13	PRIJEM	VKLAD	20010	56019	\N	\N	\N
526165	1796	1996-12-13	PRIJEM	VKLAD	30015	63134	\N	\N	\N
526166	1796	1997-01-13	PRIJEM	VKLAD	20010	55693	\N	\N	\N
526167	1796	1997-02-13	PRIJEM	VKLAD	20010	53905	\N	\N	\N
526168	1796	1997-03-13	PRIJEM	VKLAD	20010	55803	\N	\N	\N
526169	1796	1997-04-13	PRIJEM	VKLAD	20010	53433	\N	\N	\N
526170	1796	1997-05-13	PRIJEM	VKLAD	20010	54602	\N	\N	\N
526171	1796	1997-06-13	PRIJEM	VKLAD	30015	69333	\N	\N	\N
526172	1796	1997-07-13	PRIJEM	VKLAD	20010	58666	\N	\N	\N
526173	1796	1997-08-13	PRIJEM	VKLAD	20010	57054	\N	\N	\N
526174	1796	1997-09-13	PRIJEM	VKLAD	20010	56970	\N	\N	\N
526175	1796	1997-10-13	PRIJEM	VKLAD	20010	58948	\N	\N	\N
526176	1796	1997-11-13	PRIJEM	VKLAD	20010	58736	\N	\N	\N
526177	1796	1997-12-13	PRIJEM	VKLAD	30015	66951	\N	\N	\N
526178	1796	1998-01-13	PRIJEM	VKLAD	20010	45471	\N	\N	\N
526179	1796	1998-02-13	PRIJEM	VKLAD	20010	40676	\N	\N	\N
526180	1796	1998-03-13	PRIJEM	VKLAD	20010	48077	\N	\N	\N
526181	1796	1998-04-13	PRIJEM	VKLAD	20010	52910	\N	\N	\N
526182	1796	1998-05-13	PRIJEM	VKLAD	20010	55266	\N	\N	\N
526183	1796	1998-06-13	PRIJEM	VKLAD	30015	64940	\N	\N	\N
526184	1796	1998-07-13	PRIJEM	VKLAD	20010	43523	\N	\N	\N
526185	1796	1998-08-13	PRIJEM	VKLAD	20010	42723	\N	\N	\N
526186	1796	1998-09-13	PRIJEM	VKLAD	20010	42710	\N	\N	\N
526187	1796	1998-10-13	PRIJEM	VKLAD	20010	44597	\N	\N	\N
526188	1796	1998-11-13	PRIJEM	VKLAD	20010	48824	\N	\N	\N
526189	1796	1998-12-13	PRIJEM	VKLAD	30015	59938	\N	\N	\N
526204	1796	1996-03-13	VYDAJ	PREVOD NA UCET	1809	56579	SIPO	UV	5695713
526205	1796	1996-04-13	VYDAJ	PREVOD NA UCET	1809	56670	SIPO	UV	5695713
526206	1796	1996-05-13	VYDAJ	PREVOD NA UCET	1809	55595	SIPO	UV	5695713
526207	1796	1996-06-13	VYDAJ	PREVOD NA UCET	1809	69681	SIPO	UV	5695713
526208	1796	1996-07-13	VYDAJ	PREVOD NA UCET	1809	55096	SIPO	UV	5695713
526209	1796	1996-08-13	VYDAJ	PREVOD NA UCET	1809	57830	SIPO	UV	5695713
526210	1796	1996-09-13	VYDAJ	PREVOD NA UCET	1809	56270	SIPO	UV	5695713
526211	1796	1996-10-13	VYDAJ	PREVOD NA UCET	1809	59554	SIPO	UV	5695713
526212	1796	1996-11-13	VYDAJ	PREVOD NA UCET	1809	54210	SIPO	UV	5695713
526213	1796	1996-12-13	VYDAJ	PREVOD NA UCET	1809	61325	SIPO	UV	5695713
526214	1796	1997-01-13	VYDAJ	PREVOD NA UCET	1809	53884	SIPO	UV	5695713
526215	1796	1997-02-13	VYDAJ	PREVOD NA UCET	1809	52096	SIPO	UV	5695713
526216	1796	1997-03-13	VYDAJ	PREVOD NA UCET	1809	53994	SIPO	UV	5695713
526217	1796	1997-04-13	VYDAJ	PREVOD NA UCET	1809	51624	SIPO	UV	5695713
526218	1796	1997-05-13	VYDAJ	PREVOD NA UCET	1809	52793	SIPO	UV	5695713
526219	1796	1997-06-13	VYDAJ	PREVOD NA UCET	1809	67524	SIPO	UV	5695713
526220	1796	1997-07-13	VYDAJ	PREVOD NA UCET	1809	56857	SIPO	UV	5695713
526221	1796	1997-08-13	VYDAJ	PREVOD NA UCET	1809	55245	SIPO	UV	5695713
526222	1796	1997-09-13	VYDAJ	PREVOD NA UCET	1809	55161	SIPO	UV	5695713
526223	1796	1997-10-13	VYDAJ	PREVOD NA UCET	1809	57139	SIPO	UV	5695713
526224	1796	1997-11-13	VYDAJ	PREVOD NA UCET	1809	56927	SIPO	UV	5695713
526225	1796	1997-12-13	VYDAJ	PREVOD NA UCET	1809	65142	SIPO	UV	5695713
526226	1796	1998-01-13	VYDAJ	PREVOD NA UCET	1809	43662	SIPO	UV	5695713
526227	1796	1998-02-13	VYDAJ	PREVOD NA UCET	1809	38867	SIPO	UV	5695713
526228	1796	1998-03-13	VYDAJ	PREVOD NA UCET	1809	46268	SIPO	UV	5695713
526229	1796	1998-04-13	VYDAJ	PREVOD NA UCET	1809	51101	SIPO	UV	5695713
526230	1796	1998-05-13	VYDAJ	PREVOD NA UCET	1809	53457	SIPO	UV	5695713
526231	1796	1998-06-13	VYDAJ	PREVOD NA UCET	1809	63131	SIPO	UV	5695713
526232	1796	1998-07-13	VYDAJ	PREVOD NA UCET	1809	41714	SIPO	UV	5695713
526233	1796	1998-08-13	VYDAJ	PREVOD NA UCET	1809	40914	SIPO	UV	5695713
526234	1796	1998-09-13	VYDAJ	PREVOD NA UCET	1809	40901	SIPO	UV	5695713
526235	1796	1998-10-13	VYDAJ	PREVOD NA UCET	1809	42788	SIPO	UV	5695713
526236	1796	1998-11-13	VYDAJ	PREVOD NA UCET	1809	47015	SIPO	UV	5695713
526237	1796	1998-12-13	VYDAJ	PREVOD NA UCET	1809	54609	SIPO	UV	5695713
526252	1796	1996-03-14	VYDAJ	PREVOD NA UCET	1228	55351	 	AB	33720845
526253	1796	1996-04-14	VYDAJ	PREVOD NA UCET	1228	55442	 	AB	33720845
526378	1796	1997-07-31	VYDAJ	VYBER	15	49944	SLUZBY	\N	\N
526254	1796	1996-05-14	VYDAJ	PREVOD NA UCET	1228	54367	 	AB	33720845
526255	1796	1996-06-14	VYDAJ	PREVOD NA UCET	1228	68453	 	AB	33720845
526256	1796	1996-07-14	VYDAJ	PREVOD NA UCET	1228	51828	 	AB	33720845
526257	1796	1996-08-14	VYDAJ	PREVOD NA UCET	1228	56602	 	AB	33720845
526258	1796	1996-09-14	VYDAJ	PREVOD NA UCET	1228	55042	 	AB	33720845
526259	1796	1996-10-14	VYDAJ	PREVOD NA UCET	1228	58326	 	AB	33720845
526260	1796	1996-11-14	VYDAJ	PREVOD NA UCET	1228	52982	 	AB	33720845
526261	1796	1996-12-14	VYDAJ	PREVOD NA UCET	1228	60097	 	AB	33720845
526262	1796	1997-01-14	VYDAJ	PREVOD NA UCET	1228	52656	 	AB	33720845
526263	1796	1997-02-14	VYDAJ	PREVOD NA UCET	1228	50868	 	AB	33720845
526264	1796	1997-03-14	VYDAJ	PREVOD NA UCET	1228	52766	 	AB	33720845
526265	1796	1997-04-14	VYDAJ	PREVOD NA UCET	1228	50396	 	AB	33720845
526266	1796	1997-05-14	VYDAJ	PREVOD NA UCET	1228	51565	 	AB	33720845
526267	1796	1997-06-14	VYDAJ	PREVOD NA UCET	1228	66296	 	AB	33720845
526268	1796	1997-07-14	VYDAJ	PREVOD NA UCET	1228	55629	 	AB	33720845
526269	1796	1997-08-14	VYDAJ	PREVOD NA UCET	1228	54017	 	AB	33720845
526270	1796	1997-09-14	VYDAJ	PREVOD NA UCET	1228	53933	 	AB	33720845
526271	1796	1997-10-14	VYDAJ	PREVOD NA UCET	1228	55911	 	AB	33720845
526272	1796	1997-11-14	VYDAJ	PREVOD NA UCET	1228	55699	 	AB	33720845
526273	1796	1997-12-14	VYDAJ	PREVOD NA UCET	1228	63914	 	AB	33720845
526274	1796	1998-01-14	VYDAJ	PREVOD NA UCET	1228	42434	 	AB	33720845
526275	1796	1998-02-14	VYDAJ	PREVOD NA UCET	1228	37639	 	AB	33720845
526276	1796	1998-03-14	VYDAJ	PREVOD NA UCET	1228	45040	 	AB	33720845
526277	1796	1998-04-14	VYDAJ	PREVOD NA UCET	1228	49873	 	AB	33720845
526278	1796	1998-05-14	VYDAJ	PREVOD NA UCET	1228	52229	 	AB	33720845
526279	1796	1998-06-14	VYDAJ	PREVOD NA UCET	1228	61903	 	AB	33720845
526280	1796	1998-07-14	VYDAJ	PREVOD NA UCET	1228	40486	 	AB	33720845
526281	1796	1998-08-14	VYDAJ	PREVOD NA UCET	1228	39686	 	AB	33720845
526282	1796	1998-09-14	VYDAJ	PREVOD NA UCET	1228	39673	 	AB	33720845
526283	1796	1998-10-14	VYDAJ	PREVOD NA UCET	1228	41560	 	AB	33720845
526284	1796	1998-11-14	VYDAJ	PREVOD NA UCET	1228	45787	 	AB	33720845
526285	1796	1998-12-14	VYDAJ	PREVOD NA UCET	1228	53381	 	AB	33720845
526287	1796	1996-06-29	VYDAJ	VYBER	13440	51053	\N	\N	\N
526288	1796	1997-06-18	VYDAJ	VYBER	17440	48856	\N	\N	\N
526289	1796	1998-06-29	VYDAJ	VYBER	18080	43823	\N	\N	\N
526292	1796	1997-01-20	VYDAJ	VYBER	2240	47896	\N	\N	\N
526293	1796	1998-01-03	VYDAJ	VYBER	10400	31941	\N	\N	\N
526295	1796	1996-12-08	VYDAJ	VYBER	2560	33119	\N	\N	\N
526296	1796	1997-12-09	VYDAJ	VYBER	2080	36936	\N	\N	\N
526297	1796	1998-12-13	VYDAJ	VYBER	3520	56418	\N	\N	\N
526310	1796	1997-01-24	VYDAJ	VYBER	1800	44416	\N	\N	\N
526311	1796	1997-01-20	VYDAJ	VYBER	1680	46216	\N	\N	\N
526312	1796	1997-01-04	VYDAJ	VYBER	1200	54183	\N	\N	\N
526313	1796	1997-01-16	VYDAJ	VYBER	2520	50136	\N	\N	\N
526314	1796	1997-01-05	VYDAJ	VYBER	2880	51303	\N	\N	\N
526315	1796	1997-01-11	VYDAJ	VYBER	2520	35683	\N	\N	\N
526316	1796	1998-01-27	VYDAJ	VYBER	3360	32954	\N	\N	\N
526317	1796	1998-01-30	VYDAJ	VYBER	3000	29954	\N	\N	\N
526318	1796	1998-01-07	VYDAJ	VYBER	3480	25461	\N	\N	\N
526319	1796	1998-01-21	VYDAJ	VYBER	2760	36314	\N	\N	\N
526320	1796	1998-01-15	VYDAJ	VYBER	3360	39074	\N	\N	\N
526321	1796	1998-01-04	VYDAJ	VYBER	3000	28941	\N	\N	\N
526329	1796	1996-11-08	VYDAJ	VYBER	5160	36009	\N	\N	\N
526330	1796	1996-07-13	VYDAJ	VYBER	2040	53056	\N	\N	\N
526331	1796	1996-08-21	VYDAJ	VYBER	4440	52162	\N	\N	\N
526332	1796	1996-06-28	VYDAJ	VYBER	3960	64493	\N	\N	\N
526333	1796	1996-04-23	VYDAJ	VYBER	3960	51482	\N	\N	\N
526334	1796	1996-12-03	VYDAJ	VYBER	2400	50779	\N	\N	\N
526335	1796	1996-11-03	VYDAJ	VYBER	5280	53269	\N	\N	\N
526336	1796	1996-12-28	VYDAJ	VYBER	4920	55177	\N	\N	\N
526337	1796	1997-02-28	VYDAJ	VYBER	3360	47708	\N	\N	\N
526338	1796	1997-07-18	VYDAJ	VYBER	5880	49749	\N	\N	\N
526339	1796	1997-04-20	VYDAJ	VYBER	2880	47516	\N	\N	\N
526340	1796	1997-04-01	VYDAJ	VYBER	5040	47923	\N	\N	\N
526341	1796	1997-05-14	VYDAJ	VYBER	3240	48325	\N	\N	\N
526342	1796	1997-09-11	VYDAJ	VYBER	3960	36960	\N	\N	\N
526343	1796	1998-02-01	VYDAJ	VYBER	5520	20666	\N	\N	\N
526344	1796	1998-11-25	VYDAJ	VYBER	3000	42787	\N	\N	\N
526345	1796	1998-10-16	VYDAJ	VYBER	5160	36400	\N	\N	\N
526346	1796	1998-07-04	VYDAJ	VYBER	4200	23513	\N	\N	\N
526362	1796	1996-03-31	VYDAJ	VYBER	15	55569	SLUZBY	\N	\N
526363	1796	1996-04-30	VYDAJ	VYBER	15	51694	SLUZBY	\N	\N
526364	1796	1996-05-31	VYDAJ	VYBER	15	54575	SLUZBY	\N	\N
526365	1796	1996-06-30	VYDAJ	VYBER	15	51295	SLUZBY	\N	\N
526366	1796	1996-07-31	VYDAJ	VYBER	15	52029	SLUZBY	\N	\N
526367	1796	1996-08-31	VYDAJ	VYBER	15	52369	SLUZBY	\N	\N
526368	1796	1996-09-30	VYDAJ	VYBER	15	55253	SLUZBY	\N	\N
526369	1796	1996-10-31	VYDAJ	VYBER	15	58549	SLUZBY	\N	\N
526370	1796	1996-11-30	VYDAJ	VYBER	15	53179	SLUZBY	\N	\N
526371	1796	1996-12-31	VYDAJ	VYBER	15	55383	SLUZBY	\N	\N
526372	1796	1997-01-31	VYDAJ	VYBER	15	44595	SLUZBY	\N	\N
526373	1796	1997-02-28	VYDAJ	VYBER	15	47693	SLUZBY	\N	\N
526374	1796	1997-03-31	VYDAJ	VYBER	15	52963	SLUZBY	\N	\N
526375	1796	1997-04-30	VYDAJ	VYBER	15	47692	SLUZBY	\N	\N
526376	1796	1997-05-31	VYDAJ	VYBER	15	48518	SLUZBY	\N	\N
526377	1796	1997-06-30	VYDAJ	VYBER	15	49056	SLUZBY	\N	\N
526379	1796	1997-08-31	VYDAJ	VYBER	15	54220	SLUZBY	\N	\N
526380	1796	1997-09-30	VYDAJ	VYBER	15	54138	SLUZBY	\N	\N
526381	1796	1997-10-31	VYDAJ	VYBER	15	56126	SLUZBY	\N	\N
526382	1796	1997-11-30	VYDAJ	VYBER	15	55916	SLUZBY	\N	\N
526383	1796	1997-12-31	VYDAJ	VYBER	15	64141	SLUZBY	\N	\N
526384	1796	1998-01-31	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
526385	1796	1998-02-28	VYDAJ	VYBER	15	37767	SLUZBY	\N	\N
526386	1796	1998-03-31	VYDAJ	VYBER	15	45200	SLUZBY	\N	\N
526387	1796	1998-04-30	VYDAJ	VYBER	15	50056	SLUZBY	\N	\N
526388	1796	1998-05-31	VYDAJ	VYBER	15	34925	SLUZBY	\N	\N
526389	1796	1998-06-30	VYDAJ	VYBER	15	27713	SLUZBY	\N	\N
526390	1796	1998-07-31	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
526391	1796	1998-08-31	VYDAJ	VYBER	15	22700	SLUZBY	\N	\N
526392	1796	1998-09-30	VYDAJ	VYBER	15	24587	SLUZBY	\N	\N
526393	1796	1998-10-31	VYDAJ	VYBER	15	28814	SLUZBY	\N	\N
526394	1796	1998-11-30	VYDAJ	VYBER	15	29923	SLUZBY	\N	\N
526395	1796	1995-11-13	VYDAJ	VYBER	800	19610	\N	\N	\N
526396	1796	1995-12-13	VYDAJ	VYBER	14200	35476	\N	\N	\N
526397	1796	1996-01-12	VYDAJ	VYBER	7600	28036	\N	\N	\N
526398	1796	1996-02-11	VYDAJ	VYBER	12100	36149	\N	\N	\N
526399	1796	1996-03-12	VYDAJ	VYBER	18000	38378	\N	\N	\N
526400	1796	1996-04-11	VYDAJ	VYBER	17100	38469	\N	\N	\N
526401	1796	1996-05-11	VYDAJ	VYBER	14300	37394	\N	\N	\N
526402	1796	1996-06-10	VYDAJ	VYBER	13100	41475	\N	\N	\N
526403	1796	1996-07-10	VYDAJ	VYBER	14400	36895	\N	\N	\N
526404	1796	1996-08-09	VYDAJ	VYBER	12400	39629	\N	\N	\N
526405	1796	1996-09-08	VYDAJ	VYBER	14300	38069	\N	\N	\N
526406	1796	1996-10-08	VYDAJ	VYBER	13900	41353	\N	\N	\N
526407	1796	1996-11-07	VYDAJ	VYBER	12100	41169	\N	\N	\N
526408	1796	1996-12-07	VYDAJ	VYBER	15100	35679	\N	\N	\N
526409	1796	1997-01-06	VYDAJ	VYBER	13100	38203	\N	\N	\N
526410	1796	1997-02-05	VYDAJ	VYBER	10700	33895	\N	\N	\N
526411	1796	1997-03-07	VYDAJ	VYBER	11900	35793	\N	\N	\N
526412	1796	1997-04-06	VYDAJ	VYBER	14500	33423	\N	\N	\N
526413	1796	1997-05-06	VYDAJ	VYBER	13100	34592	\N	\N	\N
526414	1796	1997-06-05	VYDAJ	VYBER	9200	39318	\N	\N	\N
526415	1796	1997-07-05	VYDAJ	VYBER	10400	38656	\N	\N	\N
526416	1796	1997-08-04	VYDAJ	VYBER	12900	37044	\N	\N	\N
526417	1796	1997-09-03	VYDAJ	VYBER	13300	40920	\N	\N	\N
526418	1796	1997-10-03	VYDAJ	VYBER	15200	38938	\N	\N	\N
526419	1796	1997-11-02	VYDAJ	VYBER	17400	38726	\N	\N	\N
526420	1796	1997-12-02	VYDAJ	VYBER	16900	39016	\N	\N	\N
526421	1796	1998-01-01	VYDAJ	VYBER	21800	42341	\N	\N	\N
526422	1796	1998-01-31	VYDAJ	VYBER	3900	26186	\N	\N	\N
526423	1796	1998-03-02	VYDAJ	VYBER	9700	28067	\N	\N	\N
526424	1796	1998-04-01	VYDAJ	VYBER	12300	32900	\N	\N	\N
526425	1796	1998-05-01	VYDAJ	VYBER	14800	35256	\N	\N	\N
526426	1796	1998-05-31	VYDAJ	VYBER	17500	34940	\N	\N	\N
526427	1796	1998-06-30	VYDAJ	VYBER	16300	27727	\N	\N	\N
526428	1796	1998-07-30	VYDAJ	VYBER	17900	22586	\N	\N	\N
526429	1796	1998-08-29	VYDAJ	VYBER	17100	22586	\N	\N	\N
526430	1796	1998-09-28	VYDAJ	VYBER	15200	24473	\N	\N	\N
526431	1796	1998-10-28	VYDAJ	VYBER	7700	28700	\N	\N	\N
526432	1796	1998-11-27	VYDAJ	VYBER	13000	29787	\N	\N	\N
526471	1797	1994-08-01	PRIJEM	VKLAD	500	500	\N	\N	\N
526479	1797	1994-08-06	PRIJEM	VKLAD	15135	15635	\N	\N	\N
526480	1797	1994-09-06	PRIJEM	VKLAD	15135	36125	\N	\N	\N
526481	1797	1994-10-06	PRIJEM	VKLAD	15135	42949	\N	\N	\N
526482	1797	1994-11-06	PRIJEM	VKLAD	15135	47401	\N	\N	\N
526483	1797	1994-12-06	PRIJEM	VKLAD	22703	58238	\N	\N	\N
526484	1797	1995-01-06	PRIJEM	VKLAD	15135	48358	\N	\N	\N
526485	1797	1995-02-06	PRIJEM	VKLAD	15135	42316	\N	\N	\N
526486	1797	1995-03-06	PRIJEM	VKLAD	15135	44628	\N	\N	\N
526487	1797	1995-04-06	PRIJEM	VKLAD	15135	48648	\N	\N	\N
526488	1797	1995-05-06	PRIJEM	VKLAD	15135	47686	\N	\N	\N
526489	1797	1995-06-06	PRIJEM	VKLAD	22703	57501	\N	\N	\N
526490	1797	1995-07-06	PRIJEM	VKLAD	15135	31034	\N	\N	\N
526491	1797	1995-08-06	PRIJEM	VKLAD	15135	39199	\N	\N	\N
526492	1797	1995-09-06	PRIJEM	VKLAD	15135	46500	\N	\N	\N
526493	1797	1995-10-06	PRIJEM	VKLAD	15135	53631	\N	\N	\N
526494	1797	1995-11-06	PRIJEM	VKLAD	15135	53224	\N	\N	\N
526495	1797	1995-12-06	PRIJEM	VKLAD	22703	62446	\N	\N	\N
526496	1797	1996-01-06	PRIJEM	VKLAD	15135	57283	\N	\N	\N
526497	1797	1996-02-06	PRIJEM	VKLAD	15135	53723	\N	\N	\N
526498	1797	1996-03-06	PRIJEM	VKLAD	15135	59981	\N	\N	\N
526499	1797	1996-04-06	PRIJEM	VKLAD	15135	62660	\N	\N	\N
526500	1797	1996-05-06	PRIJEM	VKLAD	15135	64749	\N	\N	\N
526501	1797	1996-06-06	PRIJEM	VKLAD	22703	71090	\N	\N	\N
526502	1797	1996-07-06	PRIJEM	VKLAD	15135	66602	\N	\N	\N
526503	1797	1996-08-06	PRIJEM	VKLAD	15135	58432	\N	\N	\N
526504	1797	1996-09-06	PRIJEM	VKLAD	15135	62808	\N	\N	\N
526505	1797	1996-10-06	PRIJEM	VKLAD	15135	58754	\N	\N	\N
526506	1797	1996-11-06	PRIJEM	VKLAD	15135	60726	\N	\N	\N
526507	1797	1996-12-06	PRIJEM	VKLAD	22703	67111	\N	\N	\N
526508	1797	1997-01-06	PRIJEM	VKLAD	15135	62938	\N	\N	\N
526509	1797	1997-02-06	PRIJEM	VKLAD	15135	57762	\N	\N	\N
526510	1797	1997-03-06	PRIJEM	VKLAD	15135	63534	\N	\N	\N
526511	1797	1997-04-06	PRIJEM	VKLAD	15135	66527	\N	\N	\N
526512	1797	1997-05-06	PRIJEM	VKLAD	15135	70030	\N	\N	\N
526513	1797	1997-06-06	PRIJEM	VKLAD	22703	79913	\N	\N	\N
526514	1797	1997-07-06	PRIJEM	VKLAD	15135	34028	\N	\N	\N
526515	1797	1997-08-06	PRIJEM	VKLAD	15135	51929	\N	\N	\N
526516	1797	1997-09-06	PRIJEM	VKLAD	15135	61885	\N	\N	\N
526517	1797	1997-10-06	PRIJEM	VKLAD	15135	69880	\N	\N	\N
526518	1797	1997-11-06	PRIJEM	VKLAD	15135	73298	\N	\N	\N
526519	1797	1997-12-06	PRIJEM	VKLAD	22703	85296	\N	\N	\N
526520	1797	1998-01-06	PRIJEM	VKLAD	15135	71201	\N	\N	\N
526521	1797	1998-02-06	PRIJEM	VKLAD	15135	63310	\N	\N	\N
526522	1797	1998-03-06	PRIJEM	VKLAD	15135	68513	\N	\N	\N
526523	1797	1998-04-06	PRIJEM	VKLAD	15135	72270	\N	\N	\N
526524	1797	1998-05-06	PRIJEM	VKLAD	15135	74090	\N	\N	\N
526525	1797	1998-06-06	PRIJEM	VKLAD	22703	81378	\N	\N	\N
526526	1797	1998-07-06	PRIJEM	VKLAD	15135	73745	\N	\N	\N
526527	1797	1998-08-06	PRIJEM	VKLAD	15135	74886	\N	\N	\N
526528	1797	1998-09-06	PRIJEM	VKLAD	15135	69394	\N	\N	\N
526529	1797	1998-10-06	PRIJEM	VKLAD	15135	63990	\N	\N	\N
526530	1797	1998-11-06	PRIJEM	VKLAD	15135	66075	\N	\N	\N
526531	1797	1998-12-06	PRIJEM	VKLAD	22703	76735	\N	\N	\N
526543	1797	1994-12-11	VYDAJ	PREVOD NA UCET	3835	50388	SIPO	CD	18348533
526544	1797	1995-01-11	VYDAJ	PREVOD NA UCET	3835	40508	SIPO	CD	18348533
526545	1797	1995-02-11	VYDAJ	PREVOD NA UCET	3835	34466	SIPO	CD	18348533
526546	1797	1995-03-11	VYDAJ	PREVOD NA UCET	3835	36778	SIPO	CD	18348533
526547	1797	1995-04-11	VYDAJ	PREVOD NA UCET	3835	40798	SIPO	CD	18348533
526548	1797	1995-05-11	VYDAJ	PREVOD NA UCET	3835	39836	SIPO	CD	18348533
526549	1797	1995-06-11	VYDAJ	PREVOD NA UCET	3835	8051	SIPO	CD	18348533
526550	1797	1995-07-11	VYDAJ	PREVOD NA UCET	3835	23184	SIPO	CD	18348533
526551	1797	1995-08-11	VYDAJ	PREVOD NA UCET	3835	31349	SIPO	CD	18348533
526552	1797	1995-09-11	VYDAJ	PREVOD NA UCET	3835	38650	SIPO	CD	18348533
526553	1797	1995-10-11	VYDAJ	PREVOD NA UCET	3835	45781	SIPO	CD	18348533
526554	1797	1995-11-11	VYDAJ	PREVOD NA UCET	3835	45374	SIPO	CD	18348533
526555	1797	1995-12-11	VYDAJ	PREVOD NA UCET	3835	54596	SIPO	CD	18348533
526556	1797	1996-01-11	VYDAJ	PREVOD NA UCET	3835	40313	SIPO	CD	18348533
526557	1797	1996-02-11	VYDAJ	PREVOD NA UCET	3835	45873	SIPO	CD	18348533
526558	1797	1996-03-11	VYDAJ	PREVOD NA UCET	3835	52131	SIPO	CD	18348533
526559	1797	1996-04-11	VYDAJ	PREVOD NA UCET	3835	54810	SIPO	CD	18348533
526560	1797	1996-05-11	VYDAJ	PREVOD NA UCET	3835	56899	SIPO	CD	18348533
526561	1797	1996-06-11	VYDAJ	PREVOD NA UCET	3835	63240	SIPO	CD	18348533
526562	1797	1996-07-11	VYDAJ	PREVOD NA UCET	3835	57432	SIPO	CD	18348533
526563	1797	1996-08-11	VYDAJ	PREVOD NA UCET	3835	50582	SIPO	CD	18348533
526564	1797	1996-09-11	VYDAJ	PREVOD NA UCET	3835	54958	SIPO	CD	18348533
526565	1797	1996-10-11	VYDAJ	PREVOD NA UCET	3835	50904	SIPO	CD	18348533
526566	1797	1996-11-11	VYDAJ	PREVOD NA UCET	3835	52876	SIPO	CD	18348533
526567	1797	1996-12-11	VYDAJ	PREVOD NA UCET	3835	59261	SIPO	CD	18348533
526568	1797	1997-01-11	VYDAJ	PREVOD NA UCET	3835	47248	SIPO	CD	18348533
526569	1797	1997-02-11	VYDAJ	PREVOD NA UCET	3835	49912	SIPO	CD	18348533
526570	1797	1997-03-11	VYDAJ	PREVOD NA UCET	3835	55684	SIPO	CD	18348533
526571	1797	1997-04-11	VYDAJ	PREVOD NA UCET	3835	58677	SIPO	CD	18348533
526572	1797	1997-05-11	VYDAJ	PREVOD NA UCET	3835	62180	SIPO	CD	18348533
526573	1797	1997-06-11	VYDAJ	PREVOD NA UCET	3835	72063	SIPO	CD	18348533
526574	1797	1997-07-11	VYDAJ	PREVOD NA UCET	3835	26178	SIPO	CD	18348533
526575	1797	1997-08-11	VYDAJ	PREVOD NA UCET	3835	44079	SIPO	CD	18348533
526576	1797	1997-09-11	VYDAJ	PREVOD NA UCET	3835	54035	SIPO	CD	18348533
526577	1797	1997-10-11	VYDAJ	PREVOD NA UCET	3835	62030	SIPO	CD	18348533
526578	1797	1997-11-11	VYDAJ	PREVOD NA UCET	3835	65448	SIPO	CD	18348533
526579	1797	1997-12-11	VYDAJ	PREVOD NA UCET	3835	77446	SIPO	CD	18348533
526580	1797	1998-01-11	VYDAJ	PREVOD NA UCET	3835	63351	SIPO	CD	18348533
526581	1797	1998-02-11	VYDAJ	PREVOD NA UCET	3835	53160	SIPO	CD	18348533
526582	1797	1998-03-11	VYDAJ	PREVOD NA UCET	3835	60663	SIPO	CD	18348533
526583	1797	1998-04-11	VYDAJ	PREVOD NA UCET	3835	64420	SIPO	CD	18348533
526584	1797	1998-05-11	VYDAJ	PREVOD NA UCET	3835	66240	SIPO	CD	18348533
526585	1797	1998-06-11	VYDAJ	PREVOD NA UCET	3835	73528	SIPO	CD	18348533
526586	1797	1998-07-11	VYDAJ	PREVOD NA UCET	3835	65895	SIPO	CD	18348533
526587	1797	1998-08-11	VYDAJ	PREVOD NA UCET	3835	54036	SIPO	CD	18348533
526588	1797	1998-09-11	VYDAJ	PREVOD NA UCET	3835	52844	SIPO	CD	18348533
526589	1797	1998-10-11	VYDAJ	PREVOD NA UCET	3835	50740	SIPO	CD	18348533
526590	1797	1998-11-11	VYDAJ	PREVOD NA UCET	3835	53825	SIPO	CD	18348533
526591	1797	1998-12-11	VYDAJ	PREVOD NA UCET	3835	59785	SIPO	CD	18348533
526603	1797	1994-12-06	VYDAJ	PREVOD NA UCET	4015	54223	 	ST	92369353
526604	1797	1995-01-06	VYDAJ	PREVOD NA UCET	4015	44343	 	ST	92369353
526605	1797	1995-02-06	VYDAJ	PREVOD NA UCET	4015	38301	 	ST	92369353
526606	1797	1995-03-06	VYDAJ	PREVOD NA UCET	4015	40613	 	ST	92369353
526607	1797	1995-04-06	VYDAJ	PREVOD NA UCET	4015	44633	 	ST	92369353
526608	1797	1995-05-06	VYDAJ	PREVOD NA UCET	4015	43671	 	ST	92369353
526609	1797	1995-06-06	VYDAJ	PREVOD NA UCET	4015	11886	 	ST	92369353
526610	1797	1995-07-06	VYDAJ	PREVOD NA UCET	4015	27019	 	ST	92369353
526611	1797	1995-08-06	VYDAJ	PREVOD NA UCET	4015	35184	 	ST	92369353
526612	1797	1995-09-06	VYDAJ	PREVOD NA UCET	4015	42485	 	ST	92369353
526613	1797	1995-10-06	VYDAJ	PREVOD NA UCET	4015	49616	 	ST	92369353
526614	1797	1995-11-06	VYDAJ	PREVOD NA UCET	4015	49209	 	ST	92369353
526615	1797	1995-12-06	VYDAJ	PREVOD NA UCET	4015	58431	 	ST	92369353
526616	1797	1996-01-06	VYDAJ	PREVOD NA UCET	4015	53268	 	ST	92369353
526617	1797	1996-02-06	VYDAJ	PREVOD NA UCET	4015	49708	 	ST	92369353
526618	1797	1996-03-06	VYDAJ	PREVOD NA UCET	4015	55966	 	ST	92369353
526619	1797	1996-04-06	VYDAJ	PREVOD NA UCET	4015	58645	 	ST	92369353
526620	1797	1996-05-06	VYDAJ	PREVOD NA UCET	4015	60734	 	ST	92369353
526621	1797	1996-06-06	VYDAJ	PREVOD NA UCET	4015	67075	 	ST	92369353
526622	1797	1996-07-06	VYDAJ	PREVOD NA UCET	4015	61267	 	ST	92369353
526623	1797	1996-08-06	VYDAJ	PREVOD NA UCET	4015	54417	 	ST	92369353
526624	1797	1996-09-06	VYDAJ	PREVOD NA UCET	4015	58793	 	ST	92369353
526625	1797	1996-10-06	VYDAJ	PREVOD NA UCET	4015	54739	 	ST	92369353
526626	1797	1996-11-06	VYDAJ	PREVOD NA UCET	4015	56711	 	ST	92369353
526627	1797	1996-12-06	VYDAJ	PREVOD NA UCET	4015	63096	 	ST	92369353
526628	1797	1997-01-06	VYDAJ	PREVOD NA UCET	4015	58923	 	ST	92369353
526629	1797	1997-02-06	VYDAJ	PREVOD NA UCET	4015	53747	 	ST	92369353
526630	1797	1997-03-06	VYDAJ	PREVOD NA UCET	4015	59519	 	ST	92369353
526631	1797	1997-04-06	VYDAJ	PREVOD NA UCET	4015	62512	 	ST	92369353
526632	1797	1997-05-06	VYDAJ	PREVOD NA UCET	4015	66015	 	ST	92369353
526633	1797	1997-06-06	VYDAJ	PREVOD NA UCET	4015	75898	 	ST	92369353
526634	1797	1997-07-06	VYDAJ	PREVOD NA UCET	4015	30013	 	ST	92369353
526635	1797	1997-08-06	VYDAJ	PREVOD NA UCET	4015	47914	 	ST	92369353
526636	1797	1997-09-06	VYDAJ	PREVOD NA UCET	4015	57870	 	ST	92369353
526637	1797	1997-10-06	VYDAJ	PREVOD NA UCET	4015	65865	 	ST	92369353
526638	1797	1997-11-06	VYDAJ	PREVOD NA UCET	4015	69283	 	ST	92369353
526639	1797	1997-12-06	VYDAJ	PREVOD NA UCET	4015	81281	 	ST	92369353
526640	1797	1998-01-06	VYDAJ	PREVOD NA UCET	4015	67186	 	ST	92369353
526641	1797	1998-02-06	VYDAJ	PREVOD NA UCET	4015	59295	 	ST	92369353
526642	1797	1998-03-06	VYDAJ	PREVOD NA UCET	4015	64498	 	ST	92369353
526643	1797	1998-04-06	VYDAJ	PREVOD NA UCET	4015	68255	 	ST	92369353
526644	1797	1998-05-06	VYDAJ	PREVOD NA UCET	4015	70075	 	ST	92369353
526645	1797	1998-06-06	VYDAJ	PREVOD NA UCET	4015	77363	 	ST	92369353
526646	1797	1998-07-06	VYDAJ	PREVOD NA UCET	4015	69730	 	ST	92369353
526647	1797	1998-08-06	VYDAJ	PREVOD NA UCET	4015	70871	 	ST	92369353
526648	1797	1998-09-06	VYDAJ	PREVOD NA UCET	4015	65379	 	ST	92369353
526649	1797	1998-10-06	VYDAJ	PREVOD NA UCET	4015	59975	 	ST	92369353
526650	1797	1998-11-06	VYDAJ	PREVOD NA UCET	4015	62060	 	ST	92369353
526651	1797	1998-12-06	VYDAJ	PREVOD NA UCET	4015	72720	 	ST	92369353
526653	1797	1995-06-06	VYDAJ	VYBER	41600	15901	\N	\N	\N
526655	1797	1997-06-20	VYDAJ	VYBER	44160	18703	\N	\N	\N
526658	1797	1995-01-17	VYDAJ	VYBER	10560	29948	\N	\N	\N
526659	1797	1996-01-07	VYDAJ	VYBER	9120	44148	\N	\N	\N
526660	1797	1997-01-10	VYDAJ	VYBER	7840	51083	\N	\N	\N
526661	1797	1998-01-23	VYDAJ	VYBER	13600	47951	\N	\N	\N
526662	1797	1994-12-15	VYDAJ	VYBER	3520	46868	\N	\N	\N
526663	1797	1995-12-23	VYDAJ	VYBER	4000	50596	\N	\N	\N
526664	1797	1996-12-19	VYDAJ	VYBER	2560	47601	\N	\N	\N
526665	1797	1997-12-30	VYDAJ	VYBER	1920	55806	\N	\N	\N
526666	1797	1998-12-24	VYDAJ	VYBER KARTOU	1900	57885	\N	\N	0
526670	1797	1995-10-20	VYDAJ	VYBER	1560	44221	\N	\N	\N
526671	1797	1995-01-03	VYDAJ	VYBER	1320	33223	\N	\N	\N
526672	1797	1995-05-20	VYDAJ	VYBER	2880	36956	\N	\N	\N
526673	1797	1995-12-29	VYDAJ	VYBER	2040	41956	\N	\N	\N
526674	1797	1996-07-23	VYDAJ	VYBER	3840	43092	\N	\N	\N
526675	1797	1996-01-14	VYDAJ	VYBER	1080	39233	\N	\N	\N
526676	1797	1996-05-13	VYDAJ	VYBER	1920	54979	\N	\N	\N
526677	1797	1996-09-29	VYDAJ	VYBER	4440	43418	\N	\N	\N
526678	1797	1996-07-06	VYDAJ	VYBER	1320	65282	\N	\N	\N
526679	1797	1996-11-23	VYDAJ	VYBER	3360	44216	\N	\N	\N
526681	1797	1997-12-25	VYDAJ	VYBER	3000	60246	\N	\N	\N
526682	1797	1997-12-26	VYDAJ	VYBER	2520	57726	\N	\N	\N
526683	1797	1998-10-05	VYDAJ	VYBER	4200	48855	\N	\N	\N
526684	1797	1998-04-03	VYDAJ	VYBER	2160	57135	\N	\N	\N
526697	1797	1994-12-31	VYDAJ	VYBER	15	34543	SLUZBY	\N	\N
526698	1797	1995-01-31	VYDAJ	VYBER	15	27181	SLUZBY	\N	\N
526699	1797	1995-02-28	VYDAJ	VYBER	15	29493	SLUZBY	\N	\N
526700	1797	1995-03-31	VYDAJ	VYBER	15	33513	SLUZBY	\N	\N
526701	1797	1995-04-30	VYDAJ	VYBER	15	32551	SLUZBY	\N	\N
526702	1797	1995-05-31	VYDAJ	VYBER	15	34799	SLUZBY	\N	\N
526703	1797	1995-06-30	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
526704	1797	1995-07-31	VYDAJ	VYBER	15	24064	SLUZBY	\N	\N
526705	1797	1995-08-31	VYDAJ	VYBER	15	31365	SLUZBY	\N	\N
526706	1797	1995-09-30	VYDAJ	VYBER	15	38496	SLUZBY	\N	\N
526707	1797	1995-10-31	VYDAJ	VYBER	15	38089	SLUZBY	\N	\N
526708	1797	1995-11-30	VYDAJ	VYBER	15	39743	SLUZBY	\N	\N
526709	1797	1995-12-31	VYDAJ	VYBER	15	42148	SLUZBY	\N	\N
526710	1797	1996-01-31	VYDAJ	VYBER	15	38588	SLUZBY	\N	\N
526711	1797	1996-02-29	VYDAJ	VYBER	15	44846	SLUZBY	\N	\N
526712	1797	1996-03-31	VYDAJ	VYBER	15	47525	SLUZBY	\N	\N
526713	1797	1996-04-30	VYDAJ	VYBER	15	49614	SLUZBY	\N	\N
526714	1797	1996-05-31	VYDAJ	VYBER	15	48387	SLUZBY	\N	\N
526715	1797	1996-06-30	VYDAJ	VYBER	15	51467	SLUZBY	\N	\N
526716	1797	1996-07-31	VYDAJ	VYBER	15	43297	SLUZBY	\N	\N
526717	1797	1996-08-31	VYDAJ	VYBER	15	47673	SLUZBY	\N	\N
526718	1797	1996-09-30	VYDAJ	VYBER	15	43619	SLUZBY	\N	\N
526719	1797	1996-10-31	VYDAJ	VYBER	15	45591	SLUZBY	\N	\N
526720	1797	1996-11-30	VYDAJ	VYBER	15	44408	SLUZBY	\N	\N
526721	1797	1996-12-31	VYDAJ	VYBER	15	47803	SLUZBY	\N	\N
526722	1797	1997-01-31	VYDAJ	VYBER	15	42627	SLUZBY	\N	\N
526723	1797	1997-02-28	VYDAJ	VYBER	15	48399	SLUZBY	\N	\N
526724	1797	1997-03-31	VYDAJ	VYBER	15	51392	SLUZBY	\N	\N
526725	1797	1997-04-30	VYDAJ	VYBER	15	54895	SLUZBY	\N	\N
526726	1797	1997-05-31	VYDAJ	VYBER	15	57211	SLUZBY	\N	\N
526727	1797	1997-06-30	VYDAJ	VYBER	15	18893	SLUZBY	\N	\N
526728	1797	1997-07-31	VYDAJ	VYBER	15	36794	SLUZBY	\N	\N
526729	1797	1997-08-31	VYDAJ	VYBER	15	46750	SLUZBY	\N	\N
526730	1797	1997-09-30	VYDAJ	VYBER	15	54745	SLUZBY	\N	\N
526731	1797	1997-10-31	VYDAJ	VYBER	15	58163	SLUZBY	\N	\N
526732	1797	1997-11-30	VYDAJ	VYBER	15	62594	SLUZBY	\N	\N
526733	1797	1997-12-31	VYDAJ	VYBER	15	56066	SLUZBY	\N	\N
526734	1797	1998-01-31	VYDAJ	VYBER	15	48175	SLUZBY	\N	\N
526735	1797	1998-02-28	VYDAJ	VYBER	15	53378	SLUZBY	\N	\N
526736	1797	1998-03-31	VYDAJ	VYBER	15	59295	SLUZBY	\N	\N
526737	1797	1998-04-30	VYDAJ	VYBER	15	58955	SLUZBY	\N	\N
526738	1797	1998-05-31	VYDAJ	VYBER	15	58676	SLUZBY	\N	\N
526739	1797	1998-06-30	VYDAJ	VYBER	15	58610	SLUZBY	\N	\N
526740	1797	1998-07-31	VYDAJ	VYBER	15	59751	SLUZBY	\N	\N
526741	1797	1998-08-31	VYDAJ	VYBER	15	54259	SLUZBY	\N	\N
526742	1797	1998-09-30	VYDAJ	VYBER	15	53055	SLUZBY	\N	\N
526743	1797	1998-10-31	VYDAJ	VYBER	15	50940	SLUZBY	\N	\N
526744	1797	1998-11-30	VYDAJ	VYBER	15	54032	SLUZBY	\N	\N
526745	1797	1994-08-31	PRIJEM	VKLAD	5300	20990	\N	\N	\N
526746	1797	1994-09-30	VYDAJ	VYBER	8400	27814	\N	\N	\N
526747	1797	1994-10-30	VYDAJ	VYBER	10800	32149	\N	\N	\N
526748	1797	1994-11-29	VYDAJ	VYBER	12000	35401	\N	\N	\N
526749	1797	1994-12-29	VYDAJ	VYBER	12500	34368	\N	\N	\N
526750	1797	1995-01-28	VYDAJ	VYBER	2900	27048	\N	\N	\N
526751	1797	1995-02-27	VYDAJ	VYBER	5100	29366	\N	\N	\N
526752	1797	1995-03-29	VYDAJ	VYBER	3400	33378	\N	\N	\N
526753	1797	1995-04-28	VYDAJ	VYBER	8400	32398	\N	\N	\N
526754	1797	1995-05-28	VYDAJ	VYBER	2300	34656	\N	\N	\N
526755	1797	1995-06-27	PRIJEM	VKLAD	7800	15851	\N	\N	\N
526756	1797	1995-07-27	PRIJEM	VKLAD	800	23984	\N	\N	\N
526757	1797	1995-08-26	VYDAJ	VYBER	100	31249	\N	\N	\N
526758	1797	1995-09-25	VYDAJ	VYBER	300	38350	\N	\N	\N
526759	1797	1995-10-25	VYDAJ	VYBER	6300	37921	\N	\N	\N
526760	1797	1995-11-24	VYDAJ	VYBER	5800	39574	\N	\N	\N
526761	1797	1995-12-24	VYDAJ	VYBER	6600	43996	\N	\N	\N
526762	1797	1996-01-23	VYDAJ	VYBER	800	38433	\N	\N	\N
526763	1797	1996-02-22	VYDAJ	VYBER	1200	44673	\N	\N	\N
526764	1797	1996-03-23	VYDAJ	VYBER	4800	47331	\N	\N	\N
526765	1797	1996-04-22	VYDAJ	VYBER	5400	49410	\N	\N	\N
526766	1797	1996-05-22	VYDAJ	VYBER	6800	48179	\N	\N	\N
526767	1797	1996-06-21	VYDAJ	VYBER	12000	51240	\N	\N	\N
526768	1797	1996-07-21	VYDAJ	VYBER	10500	46932	\N	\N	\N
526769	1797	1996-08-20	VYDAJ	VYBER	3100	47482	\N	\N	\N
526770	1797	1996-09-19	VYDAJ	VYBER	7100	47858	\N	\N	\N
526771	1797	1996-10-19	VYDAJ	VYBER	5500	45404	\N	\N	\N
526772	1797	1996-11-18	VYDAJ	VYBER	5300	47576	\N	\N	\N
526773	1797	1996-12-18	VYDAJ	VYBER	9100	50161	\N	\N	\N
526774	1797	1997-01-17	VYDAJ	VYBER	4800	42448	\N	\N	\N
526775	1797	1997-02-16	VYDAJ	VYBER	1700	48212	\N	\N	\N
526776	1797	1997-03-18	VYDAJ	VYBER	4500	51184	\N	\N	\N
526777	1797	1997-04-17	VYDAJ	VYBER	4000	54677	\N	\N	\N
526778	1797	1997-05-17	VYDAJ	VYBER	5200	56980	\N	\N	\N
526779	1797	1997-06-16	VYDAJ	VYBER	9200	62863	\N	\N	\N
526780	1797	1997-07-16	PRIJEM	VKLAD	10500	36678	\N	\N	\N
526781	1797	1997-08-15	PRIJEM	VKLAD	2500	46579	\N	\N	\N
526782	1797	1997-09-14	PRIJEM	VKLAD	500	54535	\N	\N	\N
526783	1797	1997-10-14	VYDAJ	VYBER	4100	57930	\N	\N	\N
526784	1797	1997-11-13	VYDAJ	VYBER	3100	62348	\N	\N	\N
526785	1797	1997-12-13	VYDAJ	VYBER	14200	63246	\N	\N	\N
526786	1797	1998-01-12	VYDAJ	VYBER	1800	61551	\N	\N	\N
526787	1797	1998-02-11	VYDAJ	VYBER	2300	56995	\N	\N	\N
526788	1797	1998-03-13	VYDAJ	VYBER	1600	59063	\N	\N	\N
526789	1797	1998-04-12	VYDAJ	VYBER	5700	58720	\N	\N	\N
526790	1797	1998-05-12	VYDAJ	VYBER	7800	58440	\N	\N	\N
526791	1797	1998-06-11	VYDAJ	VYBER	15200	58328	\N	\N	\N
526792	1797	1998-07-11	VYDAJ	VYBER	6400	59495	\N	\N	\N
526793	1797	1998-08-10	VYDAJ	VYBER	13000	57871	\N	\N	\N
526794	1797	1998-09-09	VYDAJ	VYBER	8700	56679	\N	\N	\N
526795	1797	1998-10-09	VYDAJ	VYBER	5400	54575	\N	\N	\N
526796	1797	1998-11-08	VYDAJ	VYBER	4400	57660	\N	\N	\N
526797	1797	1998-12-08	VYDAJ	VYBER	9100	63620	\N	\N	\N
526851	1798	1997-11-28	PRIJEM	VKLAD	800	800	\N	\N	\N
526863	1798	1997-12-13	PRIJEM	VKLAD	31732	32532	\N	\N	\N
526864	1798	1998-01-13	PRIJEM	VKLAD	21155	49902	\N	\N	\N
526865	1798	1998-02-13	PRIJEM	VKLAD	21155	57682	\N	\N	\N
526866	1798	1998-03-13	PRIJEM	VKLAD	21155	64392	\N	\N	\N
526867	1798	1998-04-13	PRIJEM	VKLAD	21155	68829	\N	\N	\N
526868	1798	1998-05-13	PRIJEM	VKLAD	21155	63664	\N	\N	\N
526869	1798	1998-06-13	PRIJEM	VKLAD	31732	72709	\N	\N	\N
526870	1798	1998-07-13	PRIJEM	VKLAD	21155	30692	\N	\N	\N
526871	1798	1998-08-13	PRIJEM	VKLAD	21155	50537	\N	\N	\N
526872	1798	1998-09-13	PRIJEM	VKLAD	21155	59957	\N	\N	\N
526873	1798	1998-10-13	PRIJEM	VKLAD	21155	65811	\N	\N	\N
526874	1798	1998-11-13	PRIJEM	VKLAD	21155	64784	\N	\N	\N
526875	1798	1998-12-13	PRIJEM	VKLAD	31732	79936	\N	\N	\N
526892	1798	1998-05-11	VYDAJ	PREVOD NA UCET	2602	42509	SIPO	AB	9787851
526893	1798	1998-06-11	VYDAJ	PREVOD NA UCET	2602	40977	SIPO	AB	9787851
526894	1798	1998-07-11	VYDAJ	PREVOD NA UCET	2602	9537	SIPO	AB	9787851
526895	1798	1998-08-11	VYDAJ	PREVOD NA UCET	2602	29382	SIPO	AB	9787851
526896	1798	1998-09-11	VYDAJ	PREVOD NA UCET	2602	38802	SIPO	AB	9787851
526897	1798	1998-10-11	VYDAJ	PREVOD NA UCET	2602	44656	SIPO	AB	9787851
526898	1798	1998-11-11	VYDAJ	PREVOD NA UCET	2602	45429	SIPO	AB	9787851
526899	1798	1998-12-11	VYDAJ	PREVOD NA UCET	2602	48204	SIPO	AB	9787851
526916	1798	1998-05-07	VYDAJ	PREVOD NA UCET	1687	49427	 	MN	65253668
526917	1798	1998-06-07	VYDAJ	PREVOD NA UCET	1687	47895	 	MN	65253668
526918	1798	1998-07-07	VYDAJ	PREVOD NA UCET	1687	16455	 	MN	65253668
526919	1798	1998-08-07	VYDAJ	PREVOD NA UCET	1687	36300	 	MN	65253668
526920	1798	1998-09-07	VYDAJ	PREVOD NA UCET	1687	45720	 	MN	65253668
526921	1798	1998-10-07	VYDAJ	PREVOD NA UCET	1687	51574	 	MN	65253668
526922	1798	1998-11-07	VYDAJ	PREVOD NA UCET	1687	52347	 	MN	65253668
526923	1798	1998-12-07	VYDAJ	PREVOD NA UCET	1687	55122	 	MN	65253668
526940	1798	1998-05-10	VYDAJ	PREVOD NA UCET	4316	45111	POJISTNE	YZ	15383804
526941	1798	1998-06-10	VYDAJ	PREVOD NA UCET	4316	43579	POJISTNE	YZ	15383804
526942	1798	1998-07-10	VYDAJ	PREVOD NA UCET	4316	12139	POJISTNE	YZ	15383804
526943	1798	1998-08-10	VYDAJ	PREVOD NA UCET	4316	31984	POJISTNE	YZ	15383804
526944	1798	1998-09-10	VYDAJ	PREVOD NA UCET	4316	41404	POJISTNE	YZ	15383804
526945	1798	1998-10-10	VYDAJ	PREVOD NA UCET	4316	47258	POJISTNE	YZ	15383804
526946	1798	1998-11-10	VYDAJ	PREVOD NA UCET	4316	48031	POJISTNE	YZ	15383804
526947	1798	1998-12-10	VYDAJ	PREVOD NA UCET	4316	50806	POJISTNE	YZ	15383804
526949	1798	1998-06-27	VYDAJ	VYBER	36480	17929	\N	\N	\N
526953	1798	1998-12-25	VYDAJ	VYBER	1440	60396	\N	\N	\N
526970	1798	1998-11-12	VYDAJ	VYBER	1800	43629	\N	\N	\N
526971	1798	1998-06-17	VYDAJ	VYBER	600	72109	\N	\N	\N
526989	1798	1998-04-30	VYDAJ	VYBER	15	51114	SLUZBY	\N	\N
526990	1798	1998-05-31	VYDAJ	VYBER	15	49582	SLUZBY	\N	\N
526991	1798	1998-06-30	VYDAJ	VYBER	15	18142	SLUZBY	\N	\N
526992	1798	1998-07-31	VYDAJ	VYBER	15	37987	SLUZBY	\N	\N
526993	1798	1998-08-31	VYDAJ	VYBER	15	47407	SLUZBY	\N	\N
526994	1798	1998-09-30	VYDAJ	VYBER	15	53261	SLUZBY	\N	\N
526995	1798	1998-10-31	VYDAJ	VYBER	15	54034	SLUZBY	\N	\N
526996	1798	1998-11-30	VYDAJ	VYBER	15	56809	SLUZBY	\N	\N
526997	1798	1997-12-28	VYDAJ	VYBER	3800	28732	\N	\N	\N
526998	1798	1998-01-27	VYDAJ	VYBER	13500	36402	\N	\N	\N
526999	1798	1998-02-26	VYDAJ	VYBER	14600	43082	\N	\N	\N
527000	1798	1998-03-28	VYDAJ	VYBER	16900	47492	\N	\N	\N
527001	1798	1998-04-27	VYDAJ	VYBER	17900	50929	\N	\N	\N
527002	1798	1998-05-27	VYDAJ	VYBER	14300	49364	\N	\N	\N
527003	1798	1998-06-26	VYDAJ	VYBER	17700	54409	\N	\N	\N
527004	1798	1998-07-26	PRIJEM	VKLAD	7200	37892	\N	\N	\N
527005	1798	1998-08-25	VYDAJ	VYBER	3300	47237	\N	\N	\N
527006	1798	1998-09-24	VYDAJ	VYBER	6900	53057	\N	\N	\N
527007	1798	1998-10-24	VYDAJ	VYBER	12000	53811	\N	\N	\N
527008	1798	1998-11-23	VYDAJ	VYBER	8200	56584	\N	\N	\N
527009	1798	1998-12-23	VYDAJ	VYBER	18100	61836	\N	\N	\N
527023	1799	1996-09-13	PRIJEM	VKLAD	600	600	\N	\N	\N
527032	1799	1996-09-13	PRIJEM	PREVOD Z UCTU	5101	5701	DUCHOD	WX	14614099
527033	1799	1996-10-13	PRIJEM	PREVOD Z UCTU	5101	10804	DUCHOD	WX	14614099
527034	1799	1996-11-13	PRIJEM	PREVOD Z UCTU	5101	15907	DUCHOD	WX	14614099
527035	1799	1996-12-13	PRIJEM	PREVOD Z UCTU	5101	21011	DUCHOD	WX	14614099
527036	1799	1997-01-13	PRIJEM	PREVOD Z UCTU	5101	24614	DUCHOD	WX	14614099
527037	1799	1997-02-13	PRIJEM	PREVOD Z UCTU	5101	15646	DUCHOD	WX	14614099
527038	1799	1997-03-13	PRIJEM	PREVOD Z UCTU	5101	18280	DUCHOD	WX	14614099
527039	1799	1997-04-13	PRIJEM	PREVOD Z UCTU	5101	19884	DUCHOD	WX	14614099
527040	1799	1997-05-13	PRIJEM	PREVOD Z UCTU	5101	21495	DUCHOD	WX	14614099
527041	1799	1997-06-13	PRIJEM	PREVOD Z UCTU	5101	24155	DUCHOD	WX	14614099
527042	1799	1997-07-13	PRIJEM	PREVOD Z UCTU	5101	18562	DUCHOD	WX	14614099
527043	1799	1997-08-13	PRIJEM	PREVOD Z UCTU	5101	21208	DUCHOD	WX	14614099
527044	1799	1997-09-13	PRIJEM	PREVOD Z UCTU	5101	20104	DUCHOD	WX	14614099
527045	1799	1997-10-13	PRIJEM	PREVOD Z UCTU	5101	22756	DUCHOD	WX	14614099
527046	1799	1997-11-13	PRIJEM	PREVOD Z UCTU	5101	25420	DUCHOD	WX	14614099
527047	1799	1997-12-13	PRIJEM	PREVOD Z UCTU	5101	26304	DUCHOD	WX	14614099
527048	1799	1998-01-13	PRIJEM	PREVOD Z UCTU	5101	20422	DUCHOD	WX	14614099
527049	1799	1998-02-13	PRIJEM	PREVOD Z UCTU	5101	18215	DUCHOD	WX	14614099
527050	1799	1998-03-13	PRIJEM	PREVOD Z UCTU	5101	20859	DUCHOD	WX	14614099
527051	1799	1998-04-13	PRIJEM	PREVOD Z UCTU	5101	23515	DUCHOD	WX	14614099
527052	1799	1998-05-13	PRIJEM	PREVOD Z UCTU	5101	26181	DUCHOD	WX	14614099
527053	1799	1998-06-13	PRIJEM	PREVOD Z UCTU	5101	28858	DUCHOD	WX	14614099
527054	1799	1998-07-13	PRIJEM	PREVOD Z UCTU	5101	20686	DUCHOD	WX	14614099
527055	1799	1998-08-13	PRIJEM	PREVOD Z UCTU	5101	21341	DUCHOD	WX	14614099
527056	1799	1998-09-13	PRIJEM	PREVOD Z UCTU	5101	23998	DUCHOD	WX	14614099
527057	1799	1998-10-13	PRIJEM	PREVOD Z UCTU	5101	26667	DUCHOD	WX	14614099
527058	1799	1998-11-13	PRIJEM	PREVOD Z UCTU	5101	26218	DUCHOD	WX	14614099
527059	1799	1998-12-13	PRIJEM	PREVOD Z UCTU	5101	27845	DUCHOD	WX	14614099
527073	1799	1997-02-08	VYDAJ	PREVOD NA UCET	2514	10545	SIPO	MN	72883474
527074	1799	1997-03-08	VYDAJ	PREVOD NA UCET	2514	13179	SIPO	MN	72883474
527075	1799	1997-04-08	VYDAJ	PREVOD NA UCET	2514	14783	SIPO	MN	72883474
527076	1799	1997-05-08	VYDAJ	PREVOD NA UCET	2514	17434	SIPO	MN	72883474
527077	1799	1997-06-08	VYDAJ	PREVOD NA UCET	2514	19054	SIPO	MN	72883474
527078	1799	1997-07-08	VYDAJ	PREVOD NA UCET	2514	13461	SIPO	MN	72883474
527079	1799	1997-08-08	VYDAJ	PREVOD NA UCET	2514	16107	SIPO	MN	72883474
527080	1799	1997-09-08	VYDAJ	PREVOD NA UCET	2514	15003	SIPO	MN	72883474
527081	1799	1997-10-08	VYDAJ	PREVOD NA UCET	2514	17655	SIPO	MN	72883474
527082	1799	1997-11-08	VYDAJ	PREVOD NA UCET	2514	20319	SIPO	MN	72883474
527083	1799	1997-12-08	VYDAJ	PREVOD NA UCET	2514	21843	SIPO	MN	72883474
527084	1799	1998-01-08	VYDAJ	PREVOD NA UCET	2514	17801	SIPO	MN	72883474
527085	1799	1998-02-08	VYDAJ	PREVOD NA UCET	2514	13114	SIPO	MN	72883474
527086	1799	1998-03-08	VYDAJ	PREVOD NA UCET	2514	15758	SIPO	MN	72883474
527087	1799	1998-04-08	VYDAJ	PREVOD NA UCET	2514	18414	SIPO	MN	72883474
527088	1799	1998-05-08	VYDAJ	PREVOD NA UCET	2514	21080	SIPO	MN	72883474
527089	1799	1998-06-08	VYDAJ	PREVOD NA UCET	2514	23757	SIPO	MN	72883474
527090	1799	1998-07-08	VYDAJ	PREVOD NA UCET	2514	15585	SIPO	MN	72883474
527091	1799	1998-08-08	VYDAJ	PREVOD NA UCET	2514	16240	SIPO	MN	72883474
527092	1799	1998-09-08	VYDAJ	PREVOD NA UCET	2514	18897	SIPO	MN	72883474
527093	1799	1998-10-08	VYDAJ	PREVOD NA UCET	2514	21566	SIPO	MN	72883474
527094	1799	1998-11-08	VYDAJ	PREVOD NA UCET	2514	21117	SIPO	MN	72883474
527095	1799	1998-12-08	VYDAJ	PREVOD NA UCET	2514	23794	SIPO	MN	72883474
527097	1799	1997-06-21	VYDAJ	VYBER	8250	15905	\N	\N	\N
527098	1799	1998-06-24	VYDAJ	VYBER	10850	18008	\N	\N	\N
527100	1799	1997-01-28	VYDAJ	VYBER	4150	15344	\N	\N	\N
527101	1799	1998-01-25	VYDAJ	VYBER	700	17802	\N	\N	\N
527103	1799	1997-12-04	VYDAJ	VYBER	1150	24357	\N	\N	\N
527104	1799	1998-12-09	VYDAJ	VYBER	1050	22744	\N	\N	\N
527111	1799	1997-01-13	VYDAJ	VYBER	2240	22374	\N	\N	\N
527113	1799	1997-01-29	VYDAJ	VYBER	2320	13024	\N	\N	\N
527115	1799	1997-01-15	VYDAJ	VYBER	1840	20534	\N	\N	\N
527116	1799	1997-01-25	VYDAJ	VYBER	1040	19494	\N	\N	\N
527117	1799	1998-01-30	VYDAJ	VYBER	2240	15562	\N	\N	\N
527118	1799	1998-01-02	VYDAJ	VYBER	2240	21515	\N	\N	\N
527119	1799	1998-01-07	VYDAJ	VYBER	1200	20315	\N	\N	\N
527120	1799	1998-01-10	VYDAJ	VYBER	1200	16601	\N	\N	\N
527121	1799	1998-01-20	VYDAJ	VYBER	1920	18502	\N	\N	\N
527122	1799	1998-01-12	VYDAJ	VYBER	1280	15321	\N	\N	\N
527131	1799	1997-12-12	VYDAJ	VYBER	640	21203	\N	\N	\N
527132	1799	1997-05-12	VYDAJ	VYBER	1040	16394	\N	\N	\N
527133	1799	1997-12-30	VYDAJ	VYBER	2640	23664	\N	\N	\N
527134	1799	1997-08-30	VYDAJ	VYBER	3760	17448	\N	\N	\N
527135	1799	1997-03-30	VYDAJ	VYBER	1040	17240	\N	\N	\N
527136	1799	1998-10-13	VYDAJ	VYBER	3120	23547	\N	\N	\N
527137	1799	1998-12-26	VYDAJ	VYBER	2480	25365	\N	\N	\N
527138	1799	1998-08-03	VYDAJ	VYBER	2000	18754	\N	\N	\N
527152	1799	1997-01-31	VYDAJ	VYBER	15	13059	SLUZBY	\N	\N
527153	1799	1997-02-28	VYDAJ	VYBER	15	15693	SLUZBY	\N	\N
527154	1799	1997-03-31	VYDAJ	VYBER	15	17297	SLUZBY	\N	\N
527155	1799	1997-04-30	VYDAJ	VYBER	15	19948	SLUZBY	\N	\N
527156	1799	1997-05-31	VYDAJ	VYBER	15	21568	SLUZBY	\N	\N
527157	1799	1997-06-30	VYDAJ	VYBER	15	15975	SLUZBY	\N	\N
527158	1799	1997-07-31	VYDAJ	VYBER	15	18621	SLUZBY	\N	\N
527159	1799	1997-08-31	VYDAJ	VYBER	15	17517	SLUZBY	\N	\N
527160	1799	1997-09-30	VYDAJ	VYBER	15	20169	SLUZBY	\N	\N
527161	1799	1997-10-31	VYDAJ	VYBER	15	22833	SLUZBY	\N	\N
527162	1799	1997-11-30	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
527163	1799	1997-12-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
527164	1799	1998-01-31	VYDAJ	VYBER	15	15628	SLUZBY	\N	\N
527165	1799	1998-02-28	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
527166	1799	1998-03-31	VYDAJ	VYBER	15	20928	SLUZBY	\N	\N
527167	1799	1998-04-30	VYDAJ	VYBER	15	23594	SLUZBY	\N	\N
527168	1799	1998-05-31	VYDAJ	VYBER	15	26271	SLUZBY	\N	\N
527169	1799	1998-06-30	VYDAJ	VYBER	15	18099	SLUZBY	\N	\N
527170	1799	1998-07-31	VYDAJ	VYBER	15	20754	SLUZBY	\N	\N
527171	1799	1998-08-31	VYDAJ	VYBER	15	21411	SLUZBY	\N	\N
527172	1799	1998-09-30	VYDAJ	VYBER	15	24080	SLUZBY	\N	\N
527173	1799	1998-10-31	VYDAJ	VYBER	15	23631	SLUZBY	\N	\N
527174	1799	1998-11-30	VYDAJ	VYBER	15	26308	SLUZBY	\N	\N
527175	1799	1997-01-11	VYDAJ	VYBER	1500	19513	\N	\N	\N
527204	1800	1996-03-14	PRIJEM	VKLAD	400	400	\N	\N	\N
527208	1800	1996-04-07	PRIJEM	VKLAD	19373	19773	\N	\N	\N
527209	1800	1996-05-07	PRIJEM	VKLAD	19373	39596	\N	\N	\N
527210	1800	1996-06-07	PRIJEM	VKLAD	29060	59065	\N	\N	\N
527211	1800	1996-07-07	PRIJEM	VKLAD	19373	60492	\N	\N	\N
527212	1800	1996-08-07	PRIJEM	VKLAD	19373	58229	\N	\N	\N
527213	1800	1996-09-07	PRIJEM	VKLAD	19373	56803	\N	\N	\N
527214	1800	1996-10-07	PRIJEM	VKLAD	19373	55871	\N	\N	\N
527215	1800	1996-11-07	PRIJEM	VKLAD	19373	51391	\N	\N	\N
527216	1800	1996-12-07	PRIJEM	VKLAD	29060	54652	\N	\N	\N
527217	1800	1997-01-07	PRIJEM	VKLAD	19373	50070	\N	\N	\N
527218	1800	1997-02-07	PRIJEM	VKLAD	19373	37721	\N	\N	\N
527219	1800	1997-03-07	PRIJEM	VKLAD	19373	40023	\N	\N	\N
527220	1800	1997-04-07	PRIJEM	VKLAD	19373	41427	\N	\N	\N
527221	1800	1997-05-07	PRIJEM	VKLAD	19373	44542	\N	\N	\N
527222	1800	1997-06-07	PRIJEM	VKLAD	29060	55852	\N	\N	\N
527223	1800	1997-07-07	PRIJEM	VKLAD	19373	54911	\N	\N	\N
527224	1800	1997-08-07	PRIJEM	VKLAD	19373	44977	\N	\N	\N
527225	1800	1997-09-07	PRIJEM	VKLAD	19373	44649	\N	\N	\N
527226	1800	1997-10-07	PRIJEM	VKLAD	19373	46222	\N	\N	\N
527227	1800	1997-11-07	PRIJEM	VKLAD	19373	45000	\N	\N	\N
527228	1800	1997-12-07	PRIJEM	VKLAD	29060	54861	\N	\N	\N
527229	1800	1998-01-07	PRIJEM	VKLAD	19373	49484	\N	\N	\N
527230	1800	1998-02-07	PRIJEM	VKLAD	19373	37753	\N	\N	\N
527231	1800	1998-03-07	PRIJEM	VKLAD	19373	36995	\N	\N	\N
527232	1800	1998-04-07	PRIJEM	VKLAD	19373	42736	\N	\N	\N
527233	1800	1998-05-07	PRIJEM	VKLAD	19373	45796	\N	\N	\N
527234	1800	1998-06-07	PRIJEM	VKLAD	29060	58157	\N	\N	\N
527235	1800	1998-07-07	PRIJEM	VKLAD	19373	54275	\N	\N	\N
527236	1800	1998-08-07	PRIJEM	VKLAD	19373	53491	\N	\N	\N
527237	1800	1998-09-07	PRIJEM	VKLAD	19373	54036	\N	\N	\N
527238	1800	1998-10-07	PRIJEM	VKLAD	19373	57130	\N	\N	\N
527239	1800	1998-11-07	PRIJEM	VKLAD	19373	55605	\N	\N	\N
527240	1800	1998-12-07	PRIJEM	VKLAD	29060	67390	\N	\N	\N
527248	1800	1996-08-10	VYDAJ	PREVOD NA UCET	5103	51483	SIPO	KL	54079008
527249	1800	1996-09-10	VYDAJ	PREVOD NA UCET	5103	50057	SIPO	KL	54079008
527250	1800	1996-10-10	VYDAJ	PREVOD NA UCET	5103	49125	SIPO	KL	54079008
527251	1800	1996-11-10	VYDAJ	PREVOD NA UCET	5103	28845	SIPO	KL	54079008
527252	1800	1996-12-10	VYDAJ	PREVOD NA UCET	5103	34106	SIPO	KL	54079008
527253	1800	1997-01-10	VYDAJ	PREVOD NA UCET	5103	29064	SIPO	KL	54079008
527254	1800	1997-02-10	VYDAJ	PREVOD NA UCET	5103	20575	SIPO	KL	54079008
527255	1800	1997-03-10	VYDAJ	PREVOD NA UCET	5103	21977	SIPO	KL	54079008
527256	1800	1997-04-10	VYDAJ	PREVOD NA UCET	5103	25081	SIPO	KL	54079008
527257	1800	1997-05-10	VYDAJ	PREVOD NA UCET	5103	26696	SIPO	KL	54079008
527258	1800	1997-06-10	VYDAJ	PREVOD NA UCET	5103	35406	SIPO	KL	54079008
527259	1800	1997-07-10	VYDAJ	PREVOD NA UCET	5103	35465	SIPO	KL	54079008
527260	1800	1997-08-10	VYDAJ	PREVOD NA UCET	5103	38231	SIPO	KL	54079008
527261	1800	1997-09-10	VYDAJ	PREVOD NA UCET	5103	37903	SIPO	KL	54079008
527262	1800	1997-10-10	VYDAJ	PREVOD NA UCET	5103	39476	SIPO	KL	54079008
527263	1800	1997-11-10	VYDAJ	PREVOD NA UCET	5103	38254	SIPO	KL	54079008
527264	1800	1997-12-10	VYDAJ	PREVOD NA UCET	5103	48115	SIPO	KL	54079008
527265	1800	1998-01-10	VYDAJ	PREVOD NA UCET	5103	39858	SIPO	KL	54079008
527266	1800	1998-02-10	VYDAJ	PREVOD NA UCET	5103	31007	SIPO	KL	54079008
527267	1800	1998-03-10	VYDAJ	PREVOD NA UCET	5103	30249	SIPO	KL	54079008
527268	1800	1998-04-10	VYDAJ	PREVOD NA UCET	5103	35990	SIPO	KL	54079008
527269	1800	1998-05-10	VYDAJ	PREVOD NA UCET	5103	39050	SIPO	KL	54079008
527270	1800	1998-06-10	VYDAJ	PREVOD NA UCET	5103	51411	SIPO	KL	54079008
527271	1800	1998-07-10	VYDAJ	PREVOD NA UCET	5103	47529	SIPO	KL	54079008
527272	1800	1998-08-10	VYDAJ	PREVOD NA UCET	5103	46745	SIPO	KL	54079008
527273	1800	1998-09-10	VYDAJ	PREVOD NA UCET	5103	47290	SIPO	KL	54079008
527274	1800	1998-10-10	VYDAJ	PREVOD NA UCET	5103	50384	SIPO	KL	54079008
527275	1800	1998-11-10	VYDAJ	PREVOD NA UCET	5103	48859	SIPO	KL	54079008
527276	1800	1998-12-10	VYDAJ	PREVOD NA UCET	5103	60644	SIPO	KL	54079008
527284	1800	1996-08-09	VYDAJ	PREVOD NA UCET	1643	56586	 	EF	27750283
527285	1800	1996-09-09	VYDAJ	PREVOD NA UCET	1643	55160	 	EF	27750283
527286	1800	1996-10-09	VYDAJ	PREVOD NA UCET	1643	54228	 	EF	27750283
527287	1800	1996-11-09	VYDAJ	PREVOD NA UCET	1643	49748	 	EF	27750283
527288	1800	1996-12-09	VYDAJ	PREVOD NA UCET	1643	53009	 	EF	27750283
527289	1800	1997-01-09	VYDAJ	PREVOD NA UCET	1643	34167	 	EF	27750283
527290	1800	1997-02-09	VYDAJ	PREVOD NA UCET	1643	25678	 	EF	27750283
527291	1800	1997-03-09	VYDAJ	PREVOD NA UCET	1643	27080	 	EF	27750283
527292	1800	1997-04-09	VYDAJ	PREVOD NA UCET	1643	30184	 	EF	27750283
527293	1800	1997-05-09	VYDAJ	PREVOD NA UCET	1643	31799	 	EF	27750283
527294	1800	1997-06-09	VYDAJ	PREVOD NA UCET	1643	40509	 	EF	27750283
527295	1800	1997-07-09	VYDAJ	PREVOD NA UCET	1643	40568	 	EF	27750283
527296	1800	1997-08-09	VYDAJ	PREVOD NA UCET	1643	43334	 	EF	27750283
527297	1800	1997-09-09	VYDAJ	PREVOD NA UCET	1643	43006	 	EF	27750283
527298	1800	1997-10-09	VYDAJ	PREVOD NA UCET	1643	44579	 	EF	27750283
527299	1800	1997-11-09	VYDAJ	PREVOD NA UCET	1643	43357	 	EF	27750283
527300	1800	1997-12-09	VYDAJ	PREVOD NA UCET	1643	53218	 	EF	27750283
527301	1800	1998-01-09	VYDAJ	PREVOD NA UCET	1643	47841	 	EF	27750283
527302	1800	1998-02-09	VYDAJ	PREVOD NA UCET	1643	36110	 	EF	27750283
527303	1800	1998-03-09	VYDAJ	PREVOD NA UCET	1643	35352	 	EF	27750283
527304	1800	1998-04-09	VYDAJ	PREVOD NA UCET	1643	41093	 	EF	27750283
527305	1800	1998-05-09	VYDAJ	PREVOD NA UCET	1643	44153	 	EF	27750283
527306	1800	1998-06-09	VYDAJ	PREVOD NA UCET	1643	56514	 	EF	27750283
527307	1800	1998-07-09	VYDAJ	PREVOD NA UCET	1643	52632	 	EF	27750283
527308	1800	1998-08-09	VYDAJ	PREVOD NA UCET	1643	51848	 	EF	27750283
527309	1800	1998-09-09	VYDAJ	PREVOD NA UCET	1643	52393	 	EF	27750283
527310	1800	1998-10-09	VYDAJ	PREVOD NA UCET	1643	55487	 	EF	27750283
527311	1800	1998-11-09	VYDAJ	PREVOD NA UCET	1643	53962	 	EF	27750283
527312	1800	1998-12-09	VYDAJ	PREVOD NA UCET	1643	65747	 	EF	27750283
527313	1800	1996-12-11	VYDAJ	VYBER	3520	30586	\N	\N	\N
527314	1800	1997-12-24	VYDAJ	VYBER	4480	43635	\N	\N	\N
527315	1800	1998-12-04	VYDAJ	VYBER	800	38331	\N	\N	\N
527322	1800	1997-01-17	VYDAJ	VYBER	2760	20064	\N	\N	\N
527323	1800	1997-01-16	VYDAJ	VYBER	960	22824	\N	\N	\N
527324	1800	1997-01-12	VYDAJ	VYBER	2280	26784	\N	\N	\N
527325	1800	1997-01-13	VYDAJ	VYBER	3000	23784	\N	\N	\N
527326	1800	1997-01-19	VYDAJ	VYBER	1800	18264	\N	\N	\N
527327	1800	1997-01-08	VYDAJ	VYBER	960	35810	\N	\N	\N
527328	1800	1998-01-06	VYDAJ	VYBER	1800	30111	\N	\N	\N
527329	1800	1998-01-29	VYDAJ	VYBER	3240	29538	\N	\N	\N
527330	1800	1998-01-16	VYDAJ	VYBER	2640	36138	\N	\N	\N
527331	1800	1998-01-19	VYDAJ	VYBER	600	35538	\N	\N	\N
527332	1800	1998-01-09	VYDAJ	VYBER	2880	44961	\N	\N	\N
527333	1800	1998-01-22	VYDAJ	VYBER	2760	32778	\N	\N	\N
527334	1800	1996-11-26	VYDAJ	VYBER	3360	25485	\N	\N	\N
527339	1800	1996-10-20	VYDAJ	VYBER	5040	31885	\N	\N	\N
527340	1800	1998-10-16	VYDAJ	VYBER	4920	45464	\N	\N	\N
527341	1800	1998-08-24	VYDAJ	VYBER	3360	43385	\N	\N	\N
527342	1800	1998-01-10	VYDAJ	VYBER	1080	38778	\N	\N	\N
527351	1800	1996-08-31	VYDAJ	VYBER	15	37430	SLUZBY	\N	\N
527352	1800	1996-09-30	VYDAJ	VYBER	15	36498	SLUZBY	\N	\N
527353	1800	1996-10-31	VYDAJ	VYBER	15	32018	SLUZBY	\N	\N
527354	1800	1996-11-30	VYDAJ	VYBER	15	25592	SLUZBY	\N	\N
527355	1800	1996-12-31	VYDAJ	VYBER	15	30697	SLUZBY	\N	\N
527356	1800	1997-01-31	VYDAJ	VYBER	15	18348	SLUZBY	\N	\N
527357	1800	1997-02-28	VYDAJ	VYBER	15	20650	SLUZBY	\N	\N
527358	1800	1997-03-31	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
527359	1800	1997-04-30	VYDAJ	VYBER	15	25169	SLUZBY	\N	\N
527360	1800	1997-05-31	VYDAJ	VYBER	15	26793	SLUZBY	\N	\N
527361	1800	1997-06-30	VYDAJ	VYBER	15	35538	SLUZBY	\N	\N
527362	1800	1997-07-31	VYDAJ	VYBER	15	35604	SLUZBY	\N	\N
527363	1800	1997-08-31	VYDAJ	VYBER	15	38376	SLUZBY	\N	\N
527364	1800	1997-09-30	VYDAJ	VYBER	15	38049	SLUZBY	\N	\N
527365	1800	1997-10-31	VYDAJ	VYBER	15	39627	SLUZBY	\N	\N
527366	1800	1997-11-30	VYDAJ	VYBER	15	38402	SLUZBY	\N	\N
527367	1800	1997-12-31	VYDAJ	VYBER	15	43811	SLUZBY	\N	\N
527368	1800	1998-01-31	VYDAJ	VYBER	15	29680	SLUZBY	\N	\N
527369	1800	1998-02-28	VYDAJ	VYBER	15	31122	SLUZBY	\N	\N
527370	1800	1998-03-31	VYDAJ	VYBER	15	30363	SLUZBY	\N	\N
527371	1800	1998-04-30	VYDAJ	VYBER	15	36123	SLUZBY	\N	\N
527372	1800	1998-05-31	VYDAJ	VYBER	15	39198	SLUZBY	\N	\N
527373	1800	1998-06-30	VYDAJ	VYBER	15	51602	SLUZBY	\N	\N
527374	1800	1998-07-31	VYDAJ	VYBER	15	47718	SLUZBY	\N	\N
527375	1800	1998-08-31	VYDAJ	VYBER	15	34663	SLUZBY	\N	\N
527376	1800	1998-09-30	VYDAJ	VYBER	15	37757	SLUZBY	\N	\N
527377	1800	1998-10-31	VYDAJ	VYBER	15	36232	SLUZBY	\N	\N
527378	1800	1998-11-30	VYDAJ	VYBER	15	39131	SLUZBY	\N	\N
527379	1800	1996-04-13	PRIJEM	VKLAD	400	20173	\N	\N	\N
527380	1800	1996-05-13	VYDAJ	VYBER	9700	29896	\N	\N	\N
527381	1800	1996-06-12	VYDAJ	VYBER	18100	40965	\N	\N	\N
527382	1800	1996-07-12	VYDAJ	VYBER	21800	38692	\N	\N	\N
527383	1800	1996-08-11	VYDAJ	VYBER	14200	37283	\N	\N	\N
527384	1800	1996-09-10	VYDAJ	VYBER	13700	36357	\N	\N	\N
527385	1800	1996-10-10	VYDAJ	VYBER	12200	36925	\N	\N	\N
527386	1800	1996-11-09	VYDAJ	VYBER	15800	33948	\N	\N	\N
527387	1800	1996-12-09	VYDAJ	VYBER	13800	39209	\N	\N	\N
527388	1800	1997-01-08	VYDAJ	VYBER	13300	36770	\N	\N	\N
527389	1800	1997-02-07	VYDAJ	VYBER	10400	27321	\N	\N	\N
527390	1800	1997-03-09	VYDAJ	VYBER	11300	28723	\N	\N	\N
527391	1800	1997-04-08	VYDAJ	VYBER	9600	31827	\N	\N	\N
527392	1800	1997-05-08	VYDAJ	VYBER	11100	33442	\N	\N	\N
527393	1800	1997-06-07	VYDAJ	VYBER	13700	42152	\N	\N	\N
527394	1800	1997-07-07	VYDAJ	VYBER	12700	42211	\N	\N	\N
527395	1800	1997-08-06	VYDAJ	VYBER	10000	25604	\N	\N	\N
527396	1800	1997-09-05	VYDAJ	VYBER	13100	25276	\N	\N	\N
527397	1800	1997-10-05	VYDAJ	VYBER	11200	26849	\N	\N	\N
527398	1800	1997-11-04	VYDAJ	VYBER	14000	25627	\N	\N	\N
527399	1800	1997-12-04	VYDAJ	VYBER	12600	25802	\N	\N	\N
527400	1800	1998-01-03	VYDAJ	VYBER	11900	31911	\N	\N	\N
527401	1800	1998-02-02	VYDAJ	VYBER	11300	18380	\N	\N	\N
527402	1800	1998-03-04	VYDAJ	VYBER	13500	17622	\N	\N	\N
527403	1800	1998-04-03	VYDAJ	VYBER	7000	23363	\N	\N	\N
527404	1800	1998-05-03	VYDAJ	VYBER	9700	26423	\N	\N	\N
527405	1800	1998-06-02	VYDAJ	VYBER	10100	29098	\N	\N	\N
527406	1800	1998-07-02	VYDAJ	VYBER	16700	34902	\N	\N	\N
527407	1800	1998-08-01	VYDAJ	VYBER	13600	34118	\N	\N	\N
527408	1800	1998-08-31	VYDAJ	VYBER	8900	34677	\N	\N	\N
527409	1800	1998-09-30	VYDAJ	VYBER	9700	37771	\N	\N	\N
527410	1800	1998-10-30	VYDAJ	VYBER	9400	36064	\N	\N	\N
527411	1800	1998-11-29	VYDAJ	VYBER	9900	38959	\N	\N	\N
527445	1801	1993-02-13	PRIJEM	VKLAD	700	700	\N	\N	\N
527446	1801	1993-03-16	PRIJEM	VKLAD	8368	31743	\N	\N	\N
527447	1801	1993-04-07	PRIJEM	VKLAD	20562	89046	\N	\N	\N
527448	1801	1993-05-06	PRIJEM	VKLAD	35707	106447	\N	\N	\N
527449	1801	1993-08-03	PRIJEM	VKLAD	18080	76668	\N	\N	\N
527450	1801	1993-11-20	PRIJEM	VKLAD	26578	51397	\N	\N	\N
527452	1801	1993-04-13	PRIJEM	VKLAD	31467	120513	\N	\N	\N
527453	1801	1993-04-24	PRIJEM	VKLAD	5630	49043	\N	\N	\N
527454	1801	1993-12-20	PRIJEM	VKLAD	10902	26004	\N	\N	\N
527455	1801	1993-12-22	PRIJEM	VKLAD	16036	42040	\N	\N	\N
527456	1801	1993-02-28	PRIJEM	VKLAD	18972	19675	\N	\N	\N
527457	1801	1993-07-14	PRIJEM	VKLAD	38412	71144	\N	\N	\N
527458	1801	1993-11-01	PRIJEM	VKLAD	38089	60571	\N	\N	\N
527459	1801	1993-06-23	PRIJEM	VKLAD	10105	33900	\N	\N	\N
527461	1801	1993-09-07	PRIJEM	VKLAD	42531	91177	\N	\N	\N
527462	1801	1993-04-28	PRIJEM	VKLAD	28095	77138	\N	\N	\N
527464	1801	1993-08-19	PRIJEM	VKLAD	30826	72642	\N	\N	\N
527465	1801	1993-07-07	PRIJEM	VKLAD	29171	55628	\N	\N	\N
527466	1801	1993-03-20	PRIJEM	VKLAD	36574	68317	\N	\N	\N
527467	1801	1993-11-24	PRIJEM	VKLAD	11319	62716	\N	\N	\N
527468	1801	1993-12-06	PRIJEM	VKLAD	14614	62669	\N	\N	\N
527469	1801	1994-01-20	PRIJEM	VKLAD	32433	43083	\N	\N	\N
527470	1801	1994-03-15	PRIJEM	VKLAD	39311	46649	\N	\N	\N
527471	1801	1994-11-12	PRIJEM	VKLAD	10176	67958	\N	\N	\N
527472	1801	1994-03-24	PRIJEM	VKLAD	31061	77710	\N	\N	\N
527473	1801	1994-05-03	PRIJEM	VKLAD	44492	77096	\N	\N	\N
527474	1801	1994-10-19	PRIJEM	VKLAD	12013	26358	\N	\N	\N
527475	1801	1994-09-30	PRIJEM	VKLAD	26972	38643	\N	\N	\N
527476	1801	1994-08-29	PRIJEM	VKLAD	24597	41548	\N	\N	\N
527477	1801	1994-10-31	PRIJEM	VKLAD	7628	33986	\N	\N	\N
527478	1801	1994-06-27	PRIJEM	VKLAD	7052	26611	\N	\N	\N
527479	1801	1994-10-31	PRIJEM	VKLAD	43722	77708	\N	\N	\N
527480	1801	1994-08-10	PRIJEM	VKLAD	7875	25728	\N	\N	\N
527481	1801	1994-11-04	PRIJEM	VKLAD	14849	92657	\N	\N	\N
527482	1801	1994-12-15	PRIJEM	VKLAD	6523	25922	\N	\N	\N
527483	1801	1995-03-25	PRIJEM	VKLAD	21765	40847	\N	\N	\N
527484	1801	1995-04-03	PRIJEM	VKLAD	17106	56002	\N	\N	\N
527485	1801	1995-03-05	PRIJEM	VKLAD	13288	61485	\N	\N	\N
527486	1801	1995-05-09	PRIJEM	VKLAD	29427	57504	\N	\N	\N
527487	1801	1995-05-28	PRIJEM	VKLAD	21712	112585	\N	\N	\N
527488	1801	1995-05-21	PRIJEM	VKLAD	38116	90873	\N	\N	\N
527489	1801	1995-06-24	PRIJEM	VKLAD	35779	111612	\N	\N	\N
527490	1801	1995-01-17	PRIJEM	VKLAD	37476	56002	\N	\N	\N
527491	1801	1995-04-04	PRIJEM	VKLAD	9822	65824	\N	\N	\N
527492	1801	1995-09-01	PRIJEM	VKLAD	27123	60669	\N	\N	\N
527493	1801	1995-05-29	PRIJEM	VKLAD	36029	123214	\N	\N	\N
527494	1801	1995-11-17	PRIJEM	VKLAD	32386	52985	\N	\N	\N
527495	1801	1995-03-02	PRIJEM	VKLAD	32962	48197	\N	\N	\N
527496	1801	1995-06-24	PRIJEM	VKLAD	45937	75833	\N	\N	\N
527497	1801	1995-05-16	PRIJEM	VKLAD	30319	75627	\N	\N	\N
527498	1801	1995-08-02	PRIJEM	VKLAD	25692	59858	\N	\N	\N
527499	1801	1995-09-16	PRIJEM	VKLAD	14954	51571	\N	\N	\N
527500	1801	1995-01-10	PRIJEM	VKLAD	38945	59403	\N	\N	\N
527501	1801	1995-03-30	PRIJEM	VKLAD	13135	38785	\N	\N	\N
527502	1801	1996-12-23	PRIJEM	VKLAD	48864	69543	\N	\N	\N
527503	1801	1996-09-05	PRIJEM	VKLAD	12578	38745	\N	\N	\N
527504	1801	1996-06-08	PRIJEM	VKLAD	43028	67691	\N	\N	\N
527505	1801	1996-10-13	PRIJEM	VKLAD	42784	57941	\N	\N	\N
527506	1801	1996-03-26	PRIJEM	VKLAD	24423	33094	\N	\N	\N
527507	1801	1998-09-27	PRIJEM	VKLAD	18452	87962	\N	\N	\N
527508	1801	1998-12-21	PRIJEM	VKLAD	24668	83507	\N	\N	\N
527509	1801	1998-02-02	PRIJEM	VKLAD	24019	56656	\N	\N	\N
527510	1801	1998-11-05	PRIJEM	VKLAD	26361	137028	\N	\N	\N
527511	1801	1998-07-07	PRIJEM	VKLAD	8606	95381	\N	\N	\N
527512	1801	1998-07-22	PRIJEM	VKLAD	16783	65785	\N	\N	\N
527513	1801	1998-11-30	PRIJEM	VKLAD	49605	144095	\N	\N	\N
527514	1801	1998-05-09	PRIJEM	VKLAD	45573	107778	\N	\N	\N
527515	1801	1998-09-12	PRIJEM	VKLAD	36892	118442	\N	\N	\N
527516	1801	1998-12-30	PRIJEM	VKLAD	49738	133245	\N	\N	\N
527517	1801	1998-11-05	PRIJEM	VKLAD	16655	110667	\N	\N	\N
527518	1801	1998-06-19	PRIJEM	VKLAD	23107	92419	\N	\N	\N
527519	1801	1998-04-02	PRIJEM	VKLAD	6476	49264	\N	\N	\N
527520	1801	1998-11-22	PRIJEM	VKLAD	17031	94117	\N	\N	\N
527521	1801	1998-04-14	PRIJEM	VKLAD	46654	79246	\N	\N	\N
527522	1801	1998-10-15	PRIJEM	VKLAD	17343	91908	\N	\N	\N
527523	1801	1998-08-22	PRIJEM	VKLAD	37789	89633	\N	\N	\N
527524	1801	1998-06-26	PRIJEM	VKLAD	12552	93271	\N	\N	\N
527525	1801	1998-05-25	PRIJEM	VKLAD	39606	106229	\N	\N	\N
527526	1801	1998-10-30	PRIJEM	VKLAD	28304	93712	\N	\N	\N
527527	1801	1998-05-09	PRIJEM	VKLAD	41031	148809	\N	\N	\N
527532	1801	1993-05-25	VYDAJ	VYBER	5700	56061	\N	\N	0
527533	1801	1993-06-27	VYDAJ	VYBER	6600	27300	\N	\N	0
527534	1801	1993-07-12	VYDAJ	PREVOD NA UCET	4610	43432	UVER	OP	33671474
527535	1801	1993-08-12	VYDAJ	PREVOD NA UCET	4610	41816	UVER	OP	33671474
527536	1801	1993-09-12	VYDAJ	PREVOD NA UCET	4610	46481	UVER	OP	33671474
527537	1801	1993-10-12	VYDAJ	PREVOD NA UCET	4610	26527	UVER	OP	33671474
527538	1801	1993-11-12	VYDAJ	PREVOD NA UCET	4610	34686	UVER	OP	33671474
527539	1801	1993-12-12	VYDAJ	PREVOD NA UCET	4610	23502	UVER	OP	33671474
527540	1801	1994-01-12	VYDAJ	PREVOD NA UCET	4610	14817	UVER	OP	33671474
527541	1801	1994-02-12	VYDAJ	PREVOD NA UCET	4610	13907	UVER	OP	33671474
527542	1801	1994-03-12	VYDAJ	PREVOD NA UCET	4610	7338	UVER	OP	33671474
527543	1801	1994-04-12	VYDAJ	PREVOD NA UCET	4610	46771	UVER	OP	33671474
527544	1801	1994-05-12	VYDAJ	PREVOD NA UCET	4610	38744	UVER	OP	33671474
527545	1801	1994-06-12	VYDAJ	PREVOD NA UCET	4610	23726	UVER	OP	33671474
527546	1801	1994-07-12	VYDAJ	PREVOD NA UCET	4610	15263	UVER	OP	33671474
527547	1801	1994-08-12	VYDAJ	PREVOD NA UCET	4610	16951	UVER	OP	33671474
527548	1801	1994-09-12	VYDAJ	PREVOD NA UCET	4610	11671	UVER	OP	33671474
527549	1801	1994-10-12	VYDAJ	PREVOD NA UCET	4610	18512	UVER	OP	33671474
527550	1801	1994-11-12	VYDAJ	PREVOD NA UCET	4610	59181	UVER	OP	33671474
527551	1801	1994-12-12	VYDAJ	PREVOD NA UCET	4610	19399	UVER	OP	33671474
527552	1801	1995-01-12	VYDAJ	PREVOD NA UCET	4610	50626	UVER	OP	33671474
527553	1801	1995-02-12	VYDAJ	PREVOD NA UCET	4610	19328	UVER	OP	33671474
527554	1801	1995-03-12	VYDAJ	PREVOD NA UCET	4610	19082	UVER	OP	33671474
527555	1801	1995-04-12	VYDAJ	PREVOD NA UCET	4610	19824	UVER	OP	33671474
527556	1801	1995-05-12	VYDAJ	PREVOD NA UCET	4610	45308	UVER	OP	33671474
527557	1801	1995-06-12	VYDAJ	PREVOD NA UCET	4610	34063	UVER	OP	33671474
527558	1801	1995-07-12	VYDAJ	PREVOD NA UCET	4610	44745	UVER	OP	33671474
527559	1801	1995-08-12	VYDAJ	PREVOD NA UCET	4610	37573	UVER	OP	33671474
527560	1801	1995-09-12	VYDAJ	PREVOD NA UCET	4610	36617	UVER	OP	33671474
527561	1801	1995-10-12	VYDAJ	PREVOD NA UCET	4610	31114	UVER	OP	33671474
527562	1801	1995-11-12	VYDAJ	PREVOD NA UCET	4610	20599	UVER	OP	33671474
527563	1801	1995-12-12	VYDAJ	PREVOD NA UCET	4610	13837	UVER	OP	33671474
527564	1801	1996-01-12	VYDAJ	PREVOD NA UCET	4610	6272	UVER	OP	33671474
527565	1801	1996-02-12	VYDAJ	PREVOD NA UCET	4610	13135	UVER	OP	33671474
527566	1801	1996-03-12	VYDAJ	PREVOD NA UCET	4610	12838	UVER	OP	33671474
527567	1801	1996-04-12	VYDAJ	PREVOD NA UCET	4610	25976	UVER	OP	33671474
527568	1801	1996-05-12	VYDAJ	PREVOD NA UCET	4610	13553	UVER	OP	33671474
527569	1801	1996-06-12	VYDAJ	PREVOD NA UCET	4610	34162	UVER	OP	33671474
527570	1801	1996-07-14	VYDAJ	VYBER	4800	11177	\N	\N	0
527571	1801	1996-08-12	VYDAJ	VYBER	3900	16064	\N	\N	0
527572	1801	1996-09-05	VYDAJ	VYBER	6500	32245	\N	\N	0
527573	1801	1996-10-06	VYDAJ	VYBER	4800	22743	\N	\N	0
527574	1801	1996-11-20	VYDAJ	VYBER	3500	37762	\N	\N	0
527575	1801	1996-12-25	VYDAJ	VYBER	3900	51943	\N	\N	0
527576	1801	1997-01-17	VYDAJ	VYBER	4200	31828	\N	\N	0
527577	1801	1997-02-05	VYDAJ	VYBER	4800	16358	\N	\N	0
527578	1801	1997-03-15	VYDAJ	VYBER	6100	7121	\N	\N	0
527579	1801	1997-04-07	VYDAJ	VYBER	3500	15315	\N	\N	0
527580	1801	1997-05-08	VYDAJ	VYBER	5200	14517	\N	\N	0
527581	1801	1997-06-15	VYDAJ	VYBER	3600	5731	\N	\N	0
527582	1801	1997-07-06	VYDAJ	VYBER	3100	16420	\N	\N	0
527583	1801	1997-08-11	VYDAJ	VYBER	5000	13215	\N	\N	0
527584	1801	1997-09-10	VYDAJ	VYBER	4000	16424	\N	\N	0
527585	1801	1997-10-08	VYDAJ	VYBER	3400	26881	\N	\N	0
527586	1801	1997-11-05	VYDAJ	VYBER	3700	22419	\N	\N	0
527587	1801	1997-12-16	VYDAJ	VYBER	2800	17486	\N	\N	0
527588	1801	1998-01-19	VYDAJ	VYBER	3600	32539	\N	\N	0
527589	1801	1998-02-09	VYDAJ	VYBER	4300	47981	\N	\N	0
527590	1801	1998-03-03	VYDAJ	VYBER	3000	41182	\N	\N	0
527591	1801	1998-04-18	VYDAJ	VYBER	3700	62946	\N	\N	0
527592	1801	1998-05-19	VYDAJ	VYBER	2800	66623	\N	\N	0
527593	1801	1998-06-14	VYDAJ	VYBER	3400	82612	\N	\N	0
527594	1801	1998-07-03	VYDAJ	VYBER	5900	87731	\N	\N	0
527595	1801	1998-08-18	VYDAJ	VYBER	4000	51844	\N	\N	0
527596	1801	1998-09-22	VYDAJ	VYBER	4300	83275	\N	\N	0
527597	1801	1998-10-09	VYDAJ	VYBER	5200	78732	\N	\N	0
527598	1801	1998-11-06	VYDAJ	VYBER	5900	94372	\N	\N	0
527599	1801	1998-12-15	VYDAJ	VYBER	6300	58839	\N	\N	0
527604	1801	1993-05-12	VYDAJ	PREVOD NA UCET	4167	98861	SIPO	QR	49547737
527605	1801	1993-06-12	VYDAJ	PREVOD NA UCET	4167	23895	SIPO	QR	49547737
527606	1801	1993-07-12	VYDAJ	PREVOD NA UCET	4167	48042	SIPO	QR	49547737
527607	1801	1993-08-12	VYDAJ	PREVOD NA UCET	4167	46426	SIPO	QR	49547737
527608	1801	1993-09-12	VYDAJ	PREVOD NA UCET	4167	51091	SIPO	QR	49547737
527609	1801	1993-10-12	VYDAJ	PREVOD NA UCET	4167	22360	SIPO	QR	49547737
527610	1801	1993-11-12	VYDAJ	PREVOD NA UCET	4167	30519	SIPO	QR	49547737
527611	1801	1993-12-12	VYDAJ	PREVOD NA UCET	4167	28112	SIPO	QR	49547737
527612	1801	1994-01-12	VYDAJ	PREVOD NA UCET	4167	10650	SIPO	QR	49547737
527613	1801	1994-02-12	VYDAJ	PREVOD NA UCET	4167	9740	SIPO	QR	49547737
527614	1801	1994-03-12	VYDAJ	PREVOD NA UCET	4167	11948	SIPO	QR	49547737
527615	1801	1994-04-12	VYDAJ	PREVOD NA UCET	4167	42604	SIPO	QR	49547737
527616	1801	1994-05-12	VYDAJ	PREVOD NA UCET	4167	43354	SIPO	QR	49547737
527617	1801	1994-06-12	VYDAJ	PREVOD NA UCET	4167	19559	SIPO	QR	49547737
527618	1801	1994-07-12	VYDAJ	PREVOD NA UCET	4167	19873	SIPO	QR	49547737
527619	1801	1994-08-12	VYDAJ	PREVOD NA UCET	4167	21561	SIPO	QR	49547737
527620	1801	1994-09-12	VYDAJ	PREVOD NA UCET	4167	16281	SIPO	QR	49547737
527621	1801	1994-10-12	VYDAJ	PREVOD NA UCET	4167	14345	SIPO	QR	49547737
527622	1801	1994-11-12	VYDAJ	PREVOD NA UCET	4167	63791	SIPO	QR	49547737
527623	1801	1994-12-12	VYDAJ	PREVOD NA UCET	4167	24009	SIPO	QR	49547737
527624	1801	1995-01-12	VYDAJ	PREVOD NA UCET	4167	55236	SIPO	QR	49547737
527625	1801	1995-02-12	VYDAJ	PREVOD NA UCET	4167	15161	SIPO	QR	49547737
527626	1801	1995-03-12	VYDAJ	PREVOD NA UCET	4167	23692	SIPO	QR	49547737
527627	1801	1995-04-12	VYDAJ	PREVOD NA UCET	4167	24434	SIPO	QR	49547737
527628	1801	1995-05-12	VYDAJ	PREVOD NA UCET	4167	49918	SIPO	QR	49547737
527629	1801	1995-06-12	VYDAJ	PREVOD NA UCET	4167	29896	SIPO	QR	49547737
527630	1801	1995-07-12	VYDAJ	PREVOD NA UCET	4167	40578	SIPO	QR	49547737
527631	1801	1995-08-12	VYDAJ	PREVOD NA UCET	4167	33406	SIPO	QR	49547737
527632	1801	1995-09-12	VYDAJ	PREVOD NA UCET	4167	41227	SIPO	QR	49547737
527633	1801	1995-10-12	VYDAJ	PREVOD NA UCET	4167	35724	SIPO	QR	49547737
527634	1801	1995-11-12	VYDAJ	PREVOD NA UCET	4167	25209	SIPO	QR	49547737
527635	1801	1995-12-12	VYDAJ	PREVOD NA UCET	4167	9670	SIPO	QR	49547737
527636	1801	1996-01-12	VYDAJ	PREVOD NA UCET	4167	10882	SIPO	QR	49547737
527637	1801	1996-02-12	VYDAJ	PREVOD NA UCET	4167	8968	SIPO	QR	49547737
527638	1801	1996-03-12	VYDAJ	PREVOD NA UCET	4167	8671	SIPO	QR	49547737
527639	1801	1996-04-12	VYDAJ	PREVOD NA UCET	4167	21809	SIPO	QR	49547737
527640	1801	1996-05-12	VYDAJ	PREVOD NA UCET	4167	18163	SIPO	QR	49547737
527641	1801	1996-06-12	VYDAJ	PREVOD NA UCET	4167	29995	SIPO	QR	49547737
527642	1801	1996-07-12	VYDAJ	PREVOD NA UCET	4167	15977	SIPO	QR	49547737
527643	1801	1996-08-12	VYDAJ	PREVOD NA UCET	4167	11897	SIPO	QR	49547737
527644	1801	1996-09-12	VYDAJ	PREVOD NA UCET	4167	23703	SIPO	QR	49547737
527645	1801	1996-10-12	VYDAJ	PREVOD NA UCET	4167	15157	SIPO	QR	49547737
527646	1801	1996-11-12	VYDAJ	PREVOD NA UCET	4167	41262	SIPO	QR	49547737
527647	1801	1996-12-12	VYDAJ	PREVOD NA UCET	4167	20679	SIPO	QR	49547737
527648	1801	1997-01-12	VYDAJ	PREVOD NA UCET	4167	40228	SIPO	QR	49547737
527649	1801	1997-02-12	VYDAJ	PREVOD NA UCET	4167	7816	SIPO	QR	49547737
527650	1801	1997-03-12	VYDAJ	PREVOD NA UCET	4167	13221	SIPO	QR	49547737
527651	1801	1997-04-12	VYDAJ	PREVOD NA UCET	4167	7729	SIPO	QR	49547737
527652	1801	1997-05-12	VYDAJ	PREVOD NA UCET	4167	6931	SIPO	QR	49547737
527653	1801	1997-06-12	VYDAJ	PREVOD NA UCET	4167	9331	SIPO	QR	49547737
527654	1801	1997-07-12	VYDAJ	PREVOD NA UCET	4167	8834	SIPO	QR	49547737
527655	1801	1997-08-12	VYDAJ	PREVOD NA UCET	4167	9048	SIPO	QR	49547737
527656	1801	1997-09-12	VYDAJ	PREVOD NA UCET	4167	12257	SIPO	QR	49547737
527657	1801	1997-10-12	VYDAJ	PREVOD NA UCET	4167	19295	SIPO	QR	49547737
527658	1801	1997-11-12	VYDAJ	PREVOD NA UCET	4167	14833	SIPO	QR	49547737
527659	1801	1997-12-12	VYDAJ	PREVOD NA UCET	4167	20286	SIPO	QR	49547737
527660	1801	1998-01-12	VYDAJ	PREVOD NA UCET	4167	18639	SIPO	QR	49547737
527661	1801	1998-02-12	VYDAJ	PREVOD NA UCET	4167	43814	SIPO	QR	49547737
527662	1801	1998-03-12	VYDAJ	PREVOD NA UCET	4167	32640	SIPO	QR	49547737
527663	1801	1998-04-12	VYDAJ	PREVOD NA UCET	4167	32592	SIPO	QR	49547737
527664	1801	1998-05-12	VYDAJ	PREVOD NA UCET	4167	93623	SIPO	QR	49547737
527665	1801	1998-06-12	VYDAJ	PREVOD NA UCET	4167	86012	SIPO	QR	49547737
527666	1801	1998-07-12	VYDAJ	PREVOD NA UCET	4167	87795	SIPO	QR	49547737
527667	1801	1998-08-12	VYDAJ	PREVOD NA UCET	4167	52444	SIPO	QR	49547737
527668	1801	1998-09-12	VYDAJ	PREVOD NA UCET	4167	114275	SIPO	QR	49547737
527669	1801	1998-10-12	VYDAJ	PREVOD NA UCET	4167	74565	SIPO	QR	49547737
527670	1801	1998-11-12	VYDAJ	PREVOD NA UCET	4167	86786	SIPO	QR	49547737
527671	1801	1998-12-12	VYDAJ	PREVOD NA UCET	4167	71339	SIPO	QR	49547737
527676	1801	1993-05-09	VYDAJ	PREVOD NA UCET	3419	103028	 	YZ	80957543
527677	1801	1993-06-09	VYDAJ	PREVOD NA UCET	3419	28062	 	YZ	80957543
527678	1801	1993-07-09	VYDAJ	PREVOD NA UCET	3419	52209	 	YZ	80957543
527679	1801	1993-08-09	VYDAJ	PREVOD NA UCET	3419	72293	 	YZ	80957543
527680	1801	1993-09-09	VYDAJ	PREVOD NA UCET	3419	87758	 	YZ	80957543
527681	1801	1993-10-09	VYDAJ	PREVOD NA UCET	3419	42337	 	YZ	80957543
527682	1801	1993-11-09	VYDAJ	PREVOD NA UCET	3419	56196	 	YZ	80957543
527683	1801	1993-12-09	VYDAJ	PREVOD NA UCET	3419	59250	 	YZ	80957543
527684	1801	1994-01-09	VYDAJ	PREVOD NA UCET	3419	19427	 	YZ	80957543
527685	1801	1994-02-09	VYDAJ	PREVOD NA UCET	3419	18517	 	YZ	80957543
527686	1801	1994-03-09	VYDAJ	PREVOD NA UCET	3419	5415	 	YZ	80957543
527687	1801	1994-04-09	VYDAJ	PREVOD NA UCET	3419	73481	 	YZ	80957543
527688	1801	1994-05-09	VYDAJ	PREVOD NA UCET	3419	47521	 	YZ	80957543
527689	1801	1994-06-09	VYDAJ	PREVOD NA UCET	3419	28336	 	YZ	80957543
527690	1801	1994-07-09	VYDAJ	PREVOD NA UCET	3419	24040	 	YZ	80957543
527691	1801	1994-08-09	VYDAJ	PREVOD NA UCET	3419	17853	 	YZ	80957543
527692	1801	1994-09-09	VYDAJ	PREVOD NA UCET	3419	20448	 	YZ	80957543
527693	1801	1994-10-09	VYDAJ	PREVOD NA UCET	3419	23122	 	YZ	80957543
527694	1801	1994-11-09	VYDAJ	PREVOD NA UCET	3419	57782	 	YZ	80957543
527695	1801	1994-12-09	VYDAJ	PREVOD NA UCET	3419	30725	 	YZ	80957543
527696	1801	1995-01-09	VYDAJ	PREVOD NA UCET	3419	20458	 	YZ	80957543
527697	1801	1995-02-09	VYDAJ	PREVOD NA UCET	3419	23938	 	YZ	80957543
527698	1801	1995-03-09	VYDAJ	PREVOD NA UCET	3419	42410	 	YZ	80957543
527699	1801	1995-04-09	VYDAJ	PREVOD NA UCET	3419	28601	 	YZ	80957543
527700	1801	1995-05-09	VYDAJ	PREVOD NA UCET	3419	54085	 	YZ	80957543
527701	1801	1995-06-09	VYDAJ	PREVOD NA UCET	3419	63177	 	YZ	80957543
527702	1801	1995-07-09	VYDAJ	PREVOD NA UCET	3419	49355	 	YZ	80957543
527703	1801	1995-08-09	VYDAJ	PREVOD NA UCET	3419	42183	 	YZ	80957543
527704	1801	1995-09-09	VYDAJ	PREVOD NA UCET	3419	45394	 	YZ	80957543
527705	1801	1995-10-09	VYDAJ	PREVOD NA UCET	3419	39891	 	YZ	80957543
527706	1801	1995-11-09	VYDAJ	PREVOD NA UCET	3419	29376	 	YZ	80957543
527707	1801	1995-12-09	VYDAJ	PREVOD NA UCET	3419	18447	 	YZ	80957543
527708	1801	1996-01-09	VYDAJ	PREVOD NA UCET	3419	15049	 	YZ	80957543
527709	1801	1996-02-09	VYDAJ	PREVOD NA UCET	3419	17745	 	YZ	80957543
527710	1801	1996-03-09	VYDAJ	PREVOD NA UCET	3419	17448	 	YZ	80957543
527711	1801	1996-04-09	VYDAJ	PREVOD NA UCET	3419	30586	 	YZ	80957543
527712	1801	1996-05-09	VYDAJ	PREVOD NA UCET	3419	22330	 	YZ	80957543
527713	1801	1996-06-09	VYDAJ	PREVOD NA UCET	3419	38772	 	YZ	80957543
527714	1801	1996-07-09	VYDAJ	PREVOD NA UCET	3419	20144	 	YZ	80957543
527715	1801	1996-08-09	VYDAJ	PREVOD NA UCET	3419	19964	 	YZ	80957543
527716	1801	1996-09-09	VYDAJ	PREVOD NA UCET	3419	27870	 	YZ	80957543
527717	1801	1996-10-09	VYDAJ	PREVOD NA UCET	3419	19324	 	YZ	80957543
527718	1801	1996-11-09	VYDAJ	PREVOD NA UCET	3419	45429	 	YZ	80957543
527719	1801	1996-12-09	VYDAJ	PREVOD NA UCET	3419	24846	 	YZ	80957543
527720	1801	1997-01-09	VYDAJ	PREVOD NA UCET	3419	44395	 	YZ	80957543
527721	1801	1997-02-09	VYDAJ	PREVOD NA UCET	3419	11983	 	YZ	80957543
527722	1801	1997-03-09	VYDAJ	PREVOD NA UCET	3419	17388	 	YZ	80957543
527723	1801	1997-04-09	VYDAJ	PREVOD NA UCET	3419	11896	 	YZ	80957543
527724	1801	1997-05-09	VYDAJ	PREVOD NA UCET	3419	11098	 	YZ	80957543
527725	1801	1997-06-09	VYDAJ	PREVOD NA UCET	3419	13498	 	YZ	80957543
527726	1801	1997-07-09	VYDAJ	PREVOD NA UCET	3419	13001	 	YZ	80957543
527727	1801	1997-08-09	VYDAJ	PREVOD NA UCET	3419	18215	 	YZ	80957543
527728	1801	1997-09-09	VYDAJ	PREVOD NA UCET	3419	20424	 	YZ	80957543
527729	1801	1997-10-09	VYDAJ	PREVOD NA UCET	3419	23462	 	YZ	80957543
527730	1801	1997-11-09	VYDAJ	PREVOD NA UCET	3419	19000	 	YZ	80957543
527731	1801	1997-12-09	VYDAJ	PREVOD NA UCET	3419	24453	 	YZ	80957543
527732	1801	1998-01-09	VYDAJ	PREVOD NA UCET	3419	22806	 	YZ	80957543
527733	1801	1998-02-09	VYDAJ	PREVOD NA UCET	3419	52281	 	YZ	80957543
527734	1801	1998-03-09	VYDAJ	PREVOD NA UCET	3419	36807	 	YZ	80957543
527735	1801	1998-04-09	VYDAJ	PREVOD NA UCET	3419	36759	 	YZ	80957543
527736	1801	1998-05-09	VYDAJ	PREVOD NA UCET	3419	97790	 	YZ	80957543
527737	1801	1998-06-09	VYDAJ	PREVOD NA UCET	3419	90179	 	YZ	80957543
527738	1801	1998-07-09	VYDAJ	PREVOD NA UCET	3419	91962	 	YZ	80957543
527739	1801	1998-08-09	VYDAJ	PREVOD NA UCET	3419	56611	 	YZ	80957543
527740	1801	1998-09-09	VYDAJ	PREVOD NA UCET	3419	81550	 	YZ	80957543
527741	1801	1998-10-09	VYDAJ	PREVOD NA UCET	3419	83932	 	YZ	80957543
527742	1801	1998-11-09	VYDAJ	PREVOD NA UCET	3419	90953	 	YZ	80957543
527743	1801	1998-12-09	VYDAJ	PREVOD NA UCET	3419	75506	 	YZ	80957543
527748	1801	1993-05-05	VYDAJ	PREVOD NA UCET	956	70740	POJISTNE	AB	73968469
527749	1801	1993-06-05	VYDAJ	PREVOD NA UCET	956	31481	POJISTNE	AB	73968469
527750	1801	1993-07-05	VYDAJ	PREVOD NA UCET	956	26457	POJISTNE	AB	73968469
527751	1801	1993-08-05	VYDAJ	PREVOD NA UCET	956	75712	POJISTNE	AB	73968469
527752	1801	1993-09-05	VYDAJ	PREVOD NA UCET	956	48646	POJISTNE	AB	73968469
527753	1801	1993-10-05	VYDAJ	PREVOD NA UCET	956	45756	POJISTNE	AB	73968469
527754	1801	1993-11-05	VYDAJ	PREVOD NA UCET	956	59615	POJISTNE	AB	73968469
527755	1801	1993-12-05	VYDAJ	PREVOD NA UCET	956	48055	POJISTNE	AB	73968469
527756	1801	1994-01-05	VYDAJ	PREVOD NA UCET	956	41246	POJISTNE	AB	73968469
527757	1801	1994-02-05	VYDAJ	PREVOD NA UCET	956	20636	POJISTNE	AB	73968469
527758	1801	1994-03-05	VYDAJ	PREVOD NA UCET	956	8834	POJISTNE	AB	73968469
527759	1801	1994-04-05	VYDAJ	PREVOD NA UCET	956	76900	POJISTNE	AB	73968469
527760	1801	1994-05-05	VYDAJ	PREVOD NA UCET	956	76140	POJISTNE	AB	73968469
527761	1801	1994-06-05	VYDAJ	PREVOD NA UCET	956	37955	POJISTNE	AB	73968469
527762	1801	1994-07-05	VYDAJ	PREVOD NA UCET	956	25759	POJISTNE	AB	73968469
527763	1801	1994-08-05	VYDAJ	PREVOD NA UCET	956	14372	POJISTNE	AB	73968469
527764	1801	1994-09-05	VYDAJ	PREVOD NA UCET	956	22067	POJISTNE	AB	73968469
527765	1801	1994-10-05	VYDAJ	PREVOD NA UCET	956	26641	POJISTNE	AB	73968469
527766	1801	1994-11-05	VYDAJ	PREVOD NA UCET	956	61201	POJISTNE	AB	73968469
527767	1801	1994-12-05	VYDAJ	PREVOD NA UCET	956	42644	POJISTNE	AB	73968469
527768	1801	1995-01-05	VYDAJ	PREVOD NA UCET	956	23877	POJISTNE	AB	73968469
527769	1801	1995-02-05	VYDAJ	PREVOD NA UCET	956	27357	POJISTNE	AB	73968469
527770	1801	1995-03-05	VYDAJ	PREVOD NA UCET	956	60529	POJISTNE	AB	73968469
527771	1801	1995-04-05	VYDAJ	PREVOD NA UCET	956	48268	POJISTNE	AB	73968469
527772	1801	1995-05-05	VYDAJ	PREVOD NA UCET	956	28077	POJISTNE	AB	73968469
527773	1801	1995-06-05	VYDAJ	PREVOD NA UCET	956	66596	POJISTNE	AB	73968469
527774	1801	1995-07-05	VYDAJ	PREVOD NA UCET	956	52774	POJISTNE	AB	73968469
527775	1801	1995-08-05	VYDAJ	PREVOD NA UCET	956	45602	POJISTNE	AB	73968469
527776	1801	1995-09-05	VYDAJ	PREVOD NA UCET	956	48813	POJISTNE	AB	73968469
527777	1801	1995-10-05	VYDAJ	PREVOD NA UCET	956	43310	POJISTNE	AB	73968469
527778	1801	1995-11-05	VYDAJ	PREVOD NA UCET	956	32795	POJISTNE	AB	73968469
527779	1801	1995-12-05	VYDAJ	PREVOD NA UCET	956	21866	POJISTNE	AB	73968469
527780	1801	1996-01-05	VYDAJ	PREVOD NA UCET	956	18468	POJISTNE	AB	73968469
527781	1801	1996-02-05	VYDAJ	PREVOD NA UCET	956	21164	POJISTNE	AB	73968469
527782	1801	1996-03-05	VYDAJ	PREVOD NA UCET	956	20867	POJISTNE	AB	73968469
527783	1801	1996-04-05	VYDAJ	PREVOD NA UCET	956	34005	POJISTNE	AB	73968469
527784	1801	1996-05-05	VYDAJ	PREVOD NA UCET	956	25749	POJISTNE	AB	73968469
527785	1801	1996-06-05	VYDAJ	PREVOD NA UCET	956	24663	POJISTNE	AB	73968469
527786	1801	1996-07-05	VYDAJ	PREVOD NA UCET	956	23563	POJISTNE	AB	73968469
527787	1801	1996-08-05	VYDAJ	PREVOD NA UCET	956	23383	POJISTNE	AB	73968469
527788	1801	1996-09-05	VYDAJ	PREVOD NA UCET	956	31289	POJISTNE	AB	73968469
527789	1801	1996-10-05	VYDAJ	PREVOD NA UCET	956	27543	POJISTNE	AB	73968469
527790	1801	1996-11-05	VYDAJ	PREVOD NA UCET	956	48848	POJISTNE	AB	73968469
527791	1801	1996-12-05	VYDAJ	PREVOD NA UCET	956	33965	POJISTNE	AB	73968469
527792	1801	1997-01-05	VYDAJ	PREVOD NA UCET	956	47814	POJISTNE	AB	73968469
527793	1801	1997-02-05	VYDAJ	PREVOD NA UCET	956	15402	POJISTNE	AB	73968469
527794	1801	1997-03-05	VYDAJ	PREVOD NA UCET	956	20807	POJISTNE	AB	73968469
527795	1801	1997-04-05	VYDAJ	PREVOD NA UCET	956	18815	POJISTNE	AB	73968469
527796	1801	1997-05-05	VYDAJ	PREVOD NA UCET	956	19717	POJISTNE	AB	73968469
527797	1801	1997-06-05	VYDAJ	PREVOD NA UCET	956	16917	POJISTNE	AB	73968469
527798	1801	1997-07-05	VYDAJ	PREVOD NA UCET	956	19520	POJISTNE	AB	73968469
527799	1801	1997-08-05	VYDAJ	PREVOD NA UCET	956	25234	POJISTNE	AB	73968469
527800	1801	1997-09-05	VYDAJ	PREVOD NA UCET	956	23843	POJISTNE	AB	73968469
527801	1801	1997-10-05	VYDAJ	PREVOD NA UCET	956	30281	POJISTNE	AB	73968469
527802	1801	1997-11-05	VYDAJ	PREVOD NA UCET	956	26119	POJISTNE	AB	73968469
527803	1801	1997-12-05	VYDAJ	PREVOD NA UCET	956	27872	POJISTNE	AB	73968469
527804	1801	1998-01-05	VYDAJ	PREVOD NA UCET	956	26225	POJISTNE	AB	73968469
527805	1801	1998-02-05	VYDAJ	PREVOD NA UCET	956	55700	POJISTNE	AB	73968469
527806	1801	1998-03-05	VYDAJ	PREVOD NA UCET	956	40226	POJISTNE	AB	73968469
527807	1801	1998-04-05	VYDAJ	PREVOD NA UCET	956	48308	POJISTNE	AB	73968469
527808	1801	1998-05-05	VYDAJ	PREVOD NA UCET	956	62205	POJISTNE	AB	73968469
527809	1801	1998-06-05	VYDAJ	PREVOD NA UCET	956	93598	POJISTNE	AB	73968469
527810	1801	1998-07-05	VYDAJ	PREVOD NA UCET	956	86775	POJISTNE	AB	73968469
527811	1801	1998-08-05	VYDAJ	PREVOD NA UCET	956	60030	POJISTNE	AB	73968469
527812	1801	1998-09-05	VYDAJ	PREVOD NA UCET	956	84969	POJISTNE	AB	73968469
527813	1801	1998-10-05	VYDAJ	PREVOD NA UCET	956	87351	POJISTNE	AB	73968469
527814	1801	1998-11-05	VYDAJ	PREVOD NA UCET	956	100272	POJISTNE	AB	73968469
527815	1801	1998-12-05	VYDAJ	PREVOD NA UCET	956	85225	POJISTNE	AB	73968469
527818	1801	1993-06-03	VYBER	VYBER	8013	48337	\N	\N	\N
527820	1801	1993-04-30	VYBER	VYBER	5669	71711	\N	\N	\N
527821	1801	1993-07-18	VYBER	VYBER	12758	58386	\N	\N	\N
527822	1801	1993-12-04	VYBER	VYBER	13877	49011	\N	\N	\N
527823	1801	1993-09-04	VYBER	VYBER	23297	49602	\N	\N	\N
527824	1801	1993-12-10	VYBER	VYBER	21771	37479	\N	\N	\N
527827	1801	1994-11-16	VYBER	VYBER	12366	46815	\N	\N	\N
527837	1801	1994-11-22	VYBER	VYBER	3428	43387	\N	\N	\N
527838	1801	1994-12-11	VYBER	VYBER	2549	28176	\N	\N	\N
527839	1801	1995-11-26	VYBER	VYBER	18306	34679	\N	\N	\N
527840	1801	1995-03-28	VYBER	VYBER	15197	25650	\N	\N	\N
527842	1801	1995-04-08	VYBER	VYBER	16248	32020	\N	\N	\N
527844	1801	1995-03-12	VYBER	VYBER	14551	27859	\N	\N	\N
527847	1801	1995-06-11	VYBER	VYBER	24504	38673	\N	\N	\N
527848	1801	1995-05-16	VYBER	VYBER	22870	52757	\N	\N	\N
527850	1801	1997-11-29	VYBER	VYBER	2291	28742	\N	\N	\N
527855	1801	1997-08-30	VYBER	VYBER	3019	24729	\N	\N	\N
527862	1801	1997-10-26	VYBER	VYBER	5415	26980	\N	\N	\N
527864	1801	1998-09-23	VYBER	VYBER	13765	69510	\N	\N	\N
527865	1801	1998-09-03	VYBER	VYBER	3969	85925	\N	\N	\N
527866	1801	1998-07-18	VYBER	VYBER	22193	49002	\N	\N	\N
527867	1801	1998-04-08	VYBER	VYBER	5130	43178	\N	\N	\N
527868	1801	1993-06-04	VYDAJ	VYBER	15900	32437	\N	\N	\N
527871	1801	1996-06-08	VYDAJ	VYBER	25500	42191	\N	\N	\N
527875	1801	1994-01-07	VYDAJ	VYBER	17700	23546	\N	\N	\N
527876	1801	1995-01-13	VYDAJ	VYBER	26100	24526	\N	\N	\N
527880	1801	1993-12-12	VYDAJ	VYBER	8400	15102	\N	\N	\N
527884	1801	1997-12-25	VYDAJ	VYBER	6000	27086	\N	\N	\N
527885	1801	1998-12-08	VYDAJ	VYBER	6300	78925	\N	\N	\N
527893	1801	1994-01-30	VYDAJ	VYBER	5700	31683	\N	\N	\N
527897	1801	1994-01-25	VYDAJ	VYBER	5700	37383	\N	\N	\N
527898	1801	1995-01-18	VYDAJ	VYBER	7800	48202	\N	\N	\N
527899	1801	1995-01-02	VYDAJ	VYBER	1800	24233	\N	\N	\N
527901	1801	1995-01-25	VYDAJ	VYBER	3900	23002	\N	\N	\N
527902	1801	1995-01-13	VYDAJ	VYBER	6000	18526	\N	\N	\N
527903	1801	1995-01-24	VYDAJ	VYBER	7200	26902	\N	\N	\N
527905	1801	1996-01-01	VYDAJ	VYBER	6300	19424	\N	\N	\N
527910	1801	1997-01-26	VYDAJ	VYBER	1500	21028	\N	\N	\N
527911	1801	1997-01-01	VYDAJ	VYBER	3300	48770	\N	\N	\N
527913	1801	1997-01-25	VYDAJ	VYBER	6300	22528	\N	\N	\N
527914	1801	1997-01-20	VYDAJ	VYBER	8700	23128	\N	\N	\N
527915	1801	1997-01-13	VYDAJ	VYBER	4200	36028	\N	\N	\N
527925	1801	1993-11-18	VYDAJ	VYBER	5700	24819	\N	\N	\N
527926	1801	1994-10-02	VYDAJ	VYBER	11100	27597	\N	\N	\N
527927	1801	1994-04-24	VYDAJ	VYBER	3300	39304	\N	\N	\N
527929	1801	1994-08-31	VYDAJ	VYBER	8400	23037	\N	\N	\N
527930	1801	1994-02-03	VYDAJ	VYBER	10200	21592	\N	\N	\N
527931	1801	1994-04-28	VYDAJ	VYBER	6900	32404	\N	\N	\N
527932	1801	1994-08-30	VYDAJ	VYBER	10200	31348	\N	\N	\N
527933	1801	1995-07-30	VYDAJ	VYBER	6600	33978	\N	\N	\N
527934	1801	1995-01-19	VYDAJ	VYBER	14100	34102	\N	\N	\N
527936	1801	1995-12-02	VYDAJ	VYBER	13200	22822	\N	\N	\N
527938	1801	1996-12-07	VYDAJ	VYBER	5700	28265	\N	\N	\N
527939	1801	1996-07-01	VYDAJ	VYBER	6900	24519	\N	\N	\N
527942	1801	1997-08-08	VYDAJ	VYBER	3600	21634	\N	\N	\N
527946	1801	1998-02-16	VYDAJ	VYBER	6300	37514	\N	\N	\N
527947	1801	1998-06-24	VYDAJ	VYBER	11700	80719	\N	\N	\N
527948	1801	1998-05-16	VYDAJ	VYBER	14100	79523	\N	\N	\N
527949	1801	1998-04-08	VYDAJ	VYBER	3000	40178	\N	\N	\N
527950	1801	1998-10-20	VYDAJ	VYBER	8100	65408	\N	\N	\N
527951	1801	1998-06-02	VYDAJ	VYBER	12000	94554	\N	\N	\N
527952	1801	1998-07-31	VYDAJ	VYBER	5100	60986	\N	\N	\N
527957	1801	1993-04-30	VYDAJ	VYBER	15	71696	SLUZBY	\N	\N
527958	1801	1993-05-31	VYDAJ	VYBER	15	56350	SLUZBY	\N	\N
527959	1801	1993-06-30	VYDAJ	VYBER	15	27413	SLUZBY	\N	\N
527960	1801	1993-07-31	VYDAJ	VYBER	15	58588	SLUZBY	\N	\N
527961	1801	1993-08-31	VYDAJ	VYBER	15	72899	SLUZBY	\N	\N
527962	1801	1993-09-30	VYDAJ	VYBER	15	46712	SLUZBY	\N	\N
527963	1801	1993-10-31	VYDAJ	VYBER	15	22482	SLUZBY	\N	\N
527964	1801	1993-11-30	VYDAJ	VYBER	15	62888	SLUZBY	\N	\N
527965	1801	1993-12-31	VYDAJ	VYBER	15	42202	SLUZBY	\N	\N
527966	1801	1994-01-31	VYDAJ	VYBER	15	31792	SLUZBY	\N	\N
527967	1801	1994-02-28	VYDAJ	VYBER	15	9790	SLUZBY	\N	\N
527968	1801	1994-03-31	VYDAJ	VYBER	15	77856	SLUZBY	\N	\N
527969	1801	1994-04-30	VYDAJ	VYBER	15	32604	SLUZBY	\N	\N
527970	1801	1994-05-31	VYDAJ	VYBER	15	38911	SLUZBY	\N	\N
527971	1801	1994-06-30	VYDAJ	VYBER	15	26715	SLUZBY	\N	\N
527972	1801	1994-07-31	VYDAJ	VYBER	15	15328	SLUZBY	\N	\N
527973	1801	1994-08-31	VYDAJ	VYBER	15	23023	SLUZBY	\N	\N
527974	1801	1994-09-30	VYDAJ	VYBER	15	38697	SLUZBY	\N	\N
527975	1801	1994-10-31	VYDAJ	VYBER	15	77808	SLUZBY	\N	\N
527976	1801	1994-11-30	VYDAJ	VYBER	15	43600	SLUZBY	\N	\N
527977	1801	1994-12-31	VYDAJ	VYBER	15	26033	SLUZBY	\N	\N
527978	1801	1995-01-31	VYDAJ	VYBER	15	23113	SLUZBY	\N	\N
527979	1801	1995-02-28	VYDAJ	VYBER	15	15235	SLUZBY	\N	\N
527980	1801	1995-03-31	VYDAJ	VYBER	15	38896	SLUZBY	\N	\N
527981	1801	1995-04-30	VYDAJ	VYBER	15	19933	SLUZBY	\N	\N
527982	1801	1995-05-31	VYDAJ	VYBER	15	100652	SLUZBY	\N	\N
527983	1801	1995-06-30	VYDAJ	VYBER	15	68530	SLUZBY	\N	\N
527984	1801	1995-07-31	VYDAJ	VYBER	15	34166	SLUZBY	\N	\N
527985	1801	1995-08-31	VYDAJ	VYBER	15	33546	SLUZBY	\N	\N
527986	1801	1995-09-30	VYDAJ	VYBER	15	51766	SLUZBY	\N	\N
527987	1801	1995-10-31	VYDAJ	VYBER	15	33751	SLUZBY	\N	\N
527988	1801	1995-11-30	VYDAJ	VYBER	15	36022	SLUZBY	\N	\N
527989	1801	1995-12-31	VYDAJ	VYBER	15	25724	SLUZBY	\N	\N
527990	1801	1996-01-31	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
527991	1801	1996-02-29	VYDAJ	VYBER	15	21823	SLUZBY	\N	\N
527992	1801	1996-03-31	VYDAJ	VYBER	15	34961	SLUZBY	\N	\N
527993	1801	1996-04-30	VYDAJ	VYBER	15	26705	SLUZBY	\N	\N
527994	1801	1996-05-31	VYDAJ	VYBER	15	25619	SLUZBY	\N	\N
527995	1801	1996-06-30	VYDAJ	VYBER	15	31419	SLUZBY	\N	\N
527996	1801	1996-07-31	VYDAJ	VYBER	15	24339	SLUZBY	\N	\N
527997	1801	1996-08-31	VYDAJ	VYBER	15	26167	SLUZBY	\N	\N
527998	1801	1996-09-30	VYDAJ	VYBER	15	28499	SLUZBY	\N	\N
527999	1801	1996-10-31	VYDAJ	VYBER	15	49804	SLUZBY	\N	\N
528000	1801	1996-11-30	VYDAJ	VYBER	15	34921	SLUZBY	\N	\N
528001	1801	1996-12-31	VYDAJ	VYBER	15	52070	SLUZBY	\N	\N
528002	1801	1997-01-31	VYDAJ	VYBER	15	21158	SLUZBY	\N	\N
528003	1801	1997-02-28	VYDAJ	VYBER	15	21763	SLUZBY	\N	\N
528004	1801	1997-03-31	VYDAJ	VYBER	15	19771	SLUZBY	\N	\N
528005	1801	1997-04-30	VYDAJ	VYBER	15	20673	SLUZBY	\N	\N
528006	1801	1997-05-31	VYDAJ	VYBER	15	17873	SLUZBY	\N	\N
528007	1801	1997-06-30	VYDAJ	VYBER	15	20476	SLUZBY	\N	\N
528008	1801	1997-07-31	VYDAJ	VYBER	15	26190	SLUZBY	\N	\N
528009	1801	1997-08-31	VYDAJ	VYBER	15	24799	SLUZBY	\N	\N
528010	1801	1997-09-30	VYDAJ	VYBER	15	31237	SLUZBY	\N	\N
528011	1801	1997-10-31	VYDAJ	VYBER	15	27075	SLUZBY	\N	\N
528012	1801	1997-11-30	VYDAJ	VYBER	15	28828	SLUZBY	\N	\N
528013	1801	1997-12-31	VYDAJ	VYBER	15	27181	SLUZBY	\N	\N
528014	1801	1998-01-31	VYDAJ	VYBER	15	32637	SLUZBY	\N	\N
528015	1801	1998-02-28	VYDAJ	VYBER	15	44182	SLUZBY	\N	\N
528016	1801	1998-03-31	VYDAJ	VYBER	15	42788	SLUZBY	\N	\N
528017	1801	1998-04-30	VYDAJ	VYBER	15	63161	SLUZBY	\N	\N
528018	1801	1998-05-31	VYDAJ	VYBER	15	106554	SLUZBY	\N	\N
528019	1801	1998-06-30	VYDAJ	VYBER	15	93631	SLUZBY	\N	\N
528020	1801	1998-07-31	VYDAJ	VYBER	15	66086	SLUZBY	\N	\N
528021	1801	1998-08-31	VYDAJ	VYBER	15	89894	SLUZBY	\N	\N
528022	1801	1998-09-30	VYDAJ	VYBER	15	88307	SLUZBY	\N	\N
528023	1801	1998-10-31	VYDAJ	VYBER	15	94012	SLUZBY	\N	\N
528024	1801	1998-11-30	VYDAJ	VYBER	15	144081	SLUZBY	\N	\N
528025	1801	1993-03-15	PRIJEM	VKLAD	3700	23375	\N	\N	\N
528026	1801	1993-04-13	VYDAJ	VYBER	54300	66213	\N	\N	\N
528027	1801	1993-04-14	VYDAJ	VYBER	22800	43413	\N	\N	\N
528028	1801	1993-05-14	VYDAJ	VYBER	37100	61761	\N	\N	\N
528029	1801	1993-06-13	VYDAJ	VYBER	100	23795	\N	\N	\N
528030	1801	1993-07-13	VYDAJ	VYBER	10700	32732	\N	\N	\N
528031	1801	1993-08-12	VYDAJ	VYBER	21700	50593	\N	\N	\N
528032	1801	1993-09-11	VYDAJ	VYBER	32500	55258	\N	\N	\N
528033	1801	1993-10-11	VYDAJ	VYBER	11200	31137	\N	\N	\N
528034	1801	1993-11-10	VYDAJ	VYBER	16900	39296	\N	\N	\N
528035	1801	1993-12-10	VYDAJ	VYBER	5200	32279	\N	\N	\N
528036	1801	1994-01-09	VYDAJ	VYBER	700	22846	\N	\N	\N
528037	1801	1994-02-08	PRIJEM	VKLAD	1300	21936	\N	\N	\N
528038	1801	1994-03-10	PRIJEM	VKLAD	10700	16115	\N	\N	\N
528039	1801	1994-04-09	VYDAJ	VYBER	22100	51381	\N	\N	\N
528040	1801	1994-05-09	VYDAJ	VYBER	25200	50940	\N	\N	\N
528041	1801	1994-06-08	VYDAJ	VYBER	6200	31755	\N	\N	\N
528042	1801	1994-07-08	PRIJEM	VKLAD	1700	27459	\N	\N	\N
528043	1801	1994-08-07	PRIJEM	VKLAD	6900	21272	\N	\N	\N
528044	1801	1994-09-06	PRIJEM	VKLAD	1800	23867	\N	\N	\N
528045	1801	1994-10-06	VYDAJ	VYBER	100	26541	\N	\N	\N
528046	1801	1994-11-05	VYDAJ	VYBER	30500	62157	\N	\N	\N
528047	1801	1994-12-05	VYDAJ	VYBER	8500	34144	\N	\N	\N
528048	1801	1995-01-04	PRIJEM	VKLAD	600	24833	\N	\N	\N
528049	1801	1995-02-03	PRIJEM	VKLAD	5200	28313	\N	\N	\N
528050	1801	1995-03-05	VYDAJ	VYBER	14700	45829	\N	\N	\N
528051	1801	1995-04-04	VYDAJ	VYBER	16600	49224	\N	\N	\N
528052	1801	1995-05-04	PRIJEM	VKLAD	9100	29033	\N	\N	\N
528053	1801	1995-05-28	VYDAJ	VYBER	25400	87185	\N	\N	\N
528054	1801	1995-05-29	VYDAJ	VYBER	22800	100414	\N	\N	\N
528055	1801	1995-06-03	VYDAJ	VYBER	33100	67552	\N	\N	\N
528056	1801	1995-06-24	VYDAJ	VYBER	43300	68312	\N	\N	\N
528057	1801	1995-07-03	VYDAJ	VYBER	14800	53730	\N	\N	\N
528058	1801	1995-08-02	VYDAJ	VYBER	13300	46558	\N	\N	\N
528059	1801	1995-09-01	VYDAJ	VYBER	10900	49769	\N	\N	\N
528060	1801	1995-10-01	VYDAJ	VYBER	7500	44266	\N	\N	\N
528061	1801	1995-10-31	PRIJEM	VKLAD	2500	33765	\N	\N	\N
528062	1801	1995-11-30	PRIJEM	VKLAD	1200	35879	\N	\N	\N
528063	1801	1995-12-30	PRIJEM	VKLAD	16000	25670	\N	\N	\N
528064	1801	1996-01-29	PRIJEM	VKLAD	15800	22072	\N	\N	\N
528065	1801	1996-02-28	PRIJEM	VKLAD	12800	21768	\N	\N	\N
528066	1801	1996-03-29	PRIJEM	VKLAD	1800	34894	\N	\N	\N
528067	1801	1996-04-28	PRIJEM	VKLAD	4800	26609	\N	\N	\N
528068	1801	1996-05-28	PRIJEM	VKLAD	12000	25553	\N	\N	\N
528069	1801	1996-06-27	PRIJEM	VKLAD	1300	31295	\N	\N	\N
528070	1801	1996-07-27	PRIJEM	VKLAD	13100	24277	\N	\N	\N
528071	1801	1996-08-26	PRIJEM	VKLAD	14200	26097	\N	\N	\N
528072	1801	1996-09-25	PRIJEM	VKLAD	4700	28403	\N	\N	\N
528073	1801	1996-10-25	VYDAJ	VYBER	8300	49641	\N	\N	\N
528074	1801	1996-11-24	VYDAJ	VYBER	3000	34762	\N	\N	\N
528075	1801	1996-12-24	VYDAJ	VYBER	13700	55843	\N	\N	\N
528076	1801	1997-01-23	PRIJEM	VKLAD	5700	28828	\N	\N	\N
528077	1801	1997-02-22	PRIJEM	VKLAD	13900	21716	\N	\N	\N
528078	1801	1997-03-24	PRIJEM	VKLAD	12600	19721	\N	\N	\N
528079	1801	1997-04-23	PRIJEM	VKLAD	12900	20629	\N	\N	\N
528080	1801	1997-05-23	PRIJEM	VKLAD	10900	17831	\N	\N	\N
528081	1801	1997-06-22	PRIJEM	VKLAD	14700	20431	\N	\N	\N
528082	1801	1997-07-22	PRIJEM	VKLAD	17300	26134	\N	\N	\N
528083	1801	1997-08-21	PRIJEM	VKLAD	18700	27748	\N	\N	\N
528084	1801	1997-09-20	PRIJEM	VKLAD	18900	31157	\N	\N	\N
528085	1801	1997-10-20	PRIJEM	VKLAD	13100	32395	\N	\N	\N
528086	1801	1997-11-19	PRIJEM	VKLAD	16200	31033	\N	\N	\N
528087	1801	1997-12-19	PRIJEM	VKLAD	15600	33086	\N	\N	\N
528088	1801	1998-01-18	PRIJEM	VKLAD	17500	36139	\N	\N	\N
528089	1801	1998-02-17	PRIJEM	VKLAD	6500	44014	\N	\N	\N
528090	1801	1998-03-19	PRIJEM	VKLAD	10000	42640	\N	\N	\N
528091	1801	1998-04-18	VYDAJ	VYBER	12600	66646	\N	\N	\N
528092	1801	1998-05-09	VYDAJ	VYBER	47600	101209	\N	\N	\N
528093	1801	1998-05-18	VYDAJ	VYBER	10100	69423	\N	\N	\N
528094	1801	1998-06-17	VYDAJ	VYBER	13300	69312	\N	\N	\N
528095	1801	1998-07-17	VYDAJ	VYBER	16600	71195	\N	\N	\N
528096	1801	1998-08-16	PRIJEM	VKLAD	3400	55844	\N	\N	\N
528097	1801	1998-09-15	VYDAJ	VYBER	26700	87575	\N	\N	\N
528098	1801	1998-10-15	VYDAJ	VYBER	18400	73508	\N	\N	\N
528099	1801	1998-11-05	VYDAJ	VYBER	35800	101228	\N	\N	\N
528100	1801	1998-11-14	VYDAJ	VYBER	9700	77086	\N	\N	\N
528101	1801	1998-11-30	VYDAJ	VYBER	15600	128481	\N	\N	\N
528102	1801	1998-11-30	VYDAJ	VYBER	42300	86181	\N	\N	\N
528103	1801	1998-12-14	VYDAJ	VYBER	6200	65139	\N	\N	\N
528104	1801	1998-12-30	VYDAJ	VYBER	40000	93245	\N	\N	\N
528176	1802	1995-03-10	PRIJEM	VKLAD	800	800	\N	\N	\N
528179	1802	1995-03-13	PRIJEM	PREVOD Z UCTU	4827	5627	DUCHOD	ST	74801170
528180	1802	1995-04-13	PRIJEM	PREVOD Z UCTU	4827	10468	DUCHOD	ST	74801170
528181	1802	1995-05-13	PRIJEM	PREVOD Z UCTU	4827	15319	DUCHOD	ST	74801170
528182	1802	1995-06-13	PRIJEM	PREVOD Z UCTU	4827	20169	DUCHOD	ST	74801170
528183	1802	1995-07-13	PRIJEM	PREVOD Z UCTU	4827	25020	DUCHOD	ST	74801170
528184	1802	1995-08-13	PRIJEM	PREVOD Z UCTU	4827	27350	DUCHOD	ST	74801170
528185	1802	1995-09-13	PRIJEM	PREVOD Z UCTU	4827	29763	DUCHOD	ST	74801170
528186	1802	1995-10-13	PRIJEM	PREVOD Z UCTU	4827	29227	DUCHOD	ST	74801170
528187	1802	1995-11-13	PRIJEM	PREVOD Z UCTU	4827	29332	DUCHOD	ST	74801170
528188	1802	1995-12-13	PRIJEM	PREVOD Z UCTU	4827	31756	DUCHOD	ST	74801170
528189	1802	1996-01-13	PRIJEM	PREVOD Z UCTU	4827	28324	DUCHOD	ST	74801170
528190	1802	1996-02-13	PRIJEM	PREVOD Z UCTU	4827	30743	DUCHOD	ST	74801170
528191	1802	1996-03-13	PRIJEM	PREVOD Z UCTU	4827	33170	DUCHOD	ST	74801170
528192	1802	1996-04-13	PRIJEM	PREVOD Z UCTU	4827	33926	DUCHOD	ST	74801170
528193	1802	1996-05-13	PRIJEM	PREVOD Z UCTU	4827	34966	DUCHOD	ST	74801170
528194	1802	1996-06-13	PRIJEM	PREVOD Z UCTU	4827	35813	DUCHOD	ST	74801170
528195	1802	1996-07-13	PRIJEM	PREVOD Z UCTU	4827	33807	DUCHOD	ST	74801170
528196	1802	1996-08-13	PRIJEM	PREVOD Z UCTU	4827	33449	DUCHOD	ST	74801170
528197	1802	1996-09-13	PRIJEM	PREVOD Z UCTU	4827	35790	DUCHOD	ST	74801170
528198	1802	1996-10-13	PRIJEM	PREVOD Z UCTU	4827	35738	DUCHOD	ST	74801170
528199	1802	1996-11-13	PRIJEM	PREVOD Z UCTU	4827	36288	DUCHOD	ST	74801170
528200	1802	1996-12-13	PRIJEM	PREVOD Z UCTU	4827	33238	DUCHOD	ST	74801170
528201	1802	1997-01-13	PRIJEM	PREVOD Z UCTU	4827	33026	DUCHOD	ST	74801170
528202	1802	1997-02-13	PRIJEM	PREVOD Z UCTU	4827	30013	DUCHOD	ST	74801170
528203	1802	1997-03-13	PRIJEM	PREVOD Z UCTU	4827	31636	DUCHOD	ST	74801170
528204	1802	1997-04-13	PRIJEM	PREVOD Z UCTU	4827	34067	DUCHOD	ST	74801170
528205	1802	1997-05-13	PRIJEM	PREVOD Z UCTU	4827	36308	DUCHOD	ST	74801170
528206	1802	1997-06-13	PRIJEM	PREVOD Z UCTU	4827	33107	DUCHOD	ST	74801170
528207	1802	1997-07-13	PRIJEM	PREVOD Z UCTU	4827	33349	DUCHOD	ST	74801170
528208	1802	1997-08-13	PRIJEM	PREVOD Z UCTU	4827	30282	DUCHOD	ST	74801170
528209	1802	1997-09-13	PRIJEM	PREVOD Z UCTU	4827	30905	DUCHOD	ST	74801170
528210	1802	1997-10-13	PRIJEM	PREVOD Z UCTU	4827	31131	DUCHOD	ST	74801170
528211	1802	1997-11-13	PRIJEM	PREVOD Z UCTU	4827	30499	DUCHOD	ST	74801170
528212	1802	1997-12-13	PRIJEM	PREVOD Z UCTU	4827	32927	DUCHOD	ST	74801170
528213	1802	1998-01-13	PRIJEM	PREVOD Z UCTU	4827	29261	DUCHOD	ST	74801170
528214	1802	1998-02-13	PRIJEM	PREVOD Z UCTU	4827	28340	DUCHOD	ST	74801170
528215	1802	1998-03-13	PRIJEM	PREVOD Z UCTU	4827	26711	DUCHOD	ST	74801170
528216	1802	1998-04-13	PRIJEM	PREVOD Z UCTU	4827	27819	DUCHOD	ST	74801170
528217	1802	1998-05-13	PRIJEM	PREVOD Z UCTU	4827	26229	DUCHOD	ST	74801170
528218	1802	1998-06-13	PRIJEM	PREVOD Z UCTU	4827	28636	DUCHOD	ST	74801170
528219	1802	1998-07-13	PRIJEM	PREVOD Z UCTU	4827	24649	DUCHOD	ST	74801170
528220	1802	1998-08-13	PRIJEM	PREVOD Z UCTU	4827	26651	DUCHOD	ST	74801170
528221	1802	1998-09-13	PRIJEM	PREVOD Z UCTU	4827	29060	DUCHOD	ST	74801170
528222	1802	1998-10-13	PRIJEM	PREVOD Z UCTU	4827	26771	DUCHOD	ST	74801170
528223	1802	1998-11-13	PRIJEM	PREVOD Z UCTU	4827	22611	DUCHOD	ST	74801170
528224	1802	1998-12-13	PRIJEM	PREVOD Z UCTU	4827	23801	DUCHOD	ST	74801170
528232	1802	1995-08-09	VYDAJ	PREVOD NA UCET	1112	22523	SIPO	UV	57112502
528233	1802	1995-09-09	VYDAJ	PREVOD NA UCET	1112	24936	SIPO	UV	57112502
528234	1802	1995-10-09	VYDAJ	PREVOD NA UCET	1112	27360	SIPO	UV	57112502
528235	1802	1995-11-09	VYDAJ	PREVOD NA UCET	1112	24505	SIPO	UV	57112502
528236	1802	1995-12-09	VYDAJ	PREVOD NA UCET	1112	26929	SIPO	UV	57112502
528237	1802	1996-01-09	VYDAJ	PREVOD NA UCET	1112	23497	SIPO	UV	57112502
528238	1802	1996-02-09	VYDAJ	PREVOD NA UCET	1112	25916	SIPO	UV	57112502
528239	1802	1996-03-09	VYDAJ	PREVOD NA UCET	1112	28343	SIPO	UV	57112502
528240	1802	1996-04-09	VYDAJ	PREVOD NA UCET	1112	29099	SIPO	UV	57112502
528241	1802	1996-05-09	VYDAJ	PREVOD NA UCET	1112	30139	SIPO	UV	57112502
528242	1802	1996-06-09	VYDAJ	PREVOD NA UCET	1112	30986	SIPO	UV	57112502
528243	1802	1996-07-09	VYDAJ	PREVOD NA UCET	1112	28980	SIPO	UV	57112502
528244	1802	1996-08-09	VYDAJ	PREVOD NA UCET	1112	28622	SIPO	UV	57112502
528245	1802	1996-09-09	VYDAJ	PREVOD NA UCET	1112	30963	SIPO	UV	57112502
528246	1802	1996-10-09	VYDAJ	PREVOD NA UCET	1112	30911	SIPO	UV	57112502
528247	1802	1996-11-09	VYDAJ	PREVOD NA UCET	1112	31461	SIPO	UV	57112502
528248	1802	1996-12-09	VYDAJ	PREVOD NA UCET	1112	28411	SIPO	UV	57112502
528249	1802	1997-01-09	VYDAJ	PREVOD NA UCET	1112	28199	SIPO	UV	57112502
528250	1802	1997-02-09	VYDAJ	PREVOD NA UCET	1112	25186	SIPO	UV	57112502
528251	1802	1997-03-09	VYDAJ	PREVOD NA UCET	1112	26809	SIPO	UV	57112502
528252	1802	1997-04-09	VYDAJ	PREVOD NA UCET	1112	29240	SIPO	UV	57112502
528253	1802	1997-05-09	VYDAJ	PREVOD NA UCET	1112	31481	SIPO	UV	57112502
528254	1802	1997-06-09	VYDAJ	PREVOD NA UCET	1112	32230	SIPO	UV	57112502
528255	1802	1997-07-09	VYDAJ	PREVOD NA UCET	1112	28522	SIPO	UV	57112502
528256	1802	1997-08-09	VYDAJ	PREVOD NA UCET	1112	25455	SIPO	UV	57112502
528257	1802	1997-09-09	VYDAJ	PREVOD NA UCET	1112	26078	SIPO	UV	57112502
528258	1802	1997-10-09	VYDAJ	PREVOD NA UCET	1112	26304	SIPO	UV	57112502
528259	1802	1997-11-09	VYDAJ	PREVOD NA UCET	1112	25672	SIPO	UV	57112502
528260	1802	1997-12-09	VYDAJ	PREVOD NA UCET	1112	28100	SIPO	UV	57112502
528261	1802	1998-01-09	VYDAJ	PREVOD NA UCET	1112	24434	SIPO	UV	57112502
528262	1802	1998-02-09	VYDAJ	PREVOD NA UCET	1112	23513	SIPO	UV	57112502
528263	1802	1998-03-09	VYDAJ	PREVOD NA UCET	1112	21884	SIPO	UV	57112502
528264	1802	1998-04-09	VYDAJ	PREVOD NA UCET	1112	22992	SIPO	UV	57112502
528265	1802	1998-05-09	VYDAJ	PREVOD NA UCET	1112	21402	SIPO	UV	57112502
528266	1802	1998-06-09	VYDAJ	PREVOD NA UCET	1112	23809	SIPO	UV	57112502
528267	1802	1998-07-09	VYDAJ	PREVOD NA UCET	1112	19822	SIPO	UV	57112502
528268	1802	1998-08-09	VYDAJ	PREVOD NA UCET	1112	21824	SIPO	UV	57112502
528269	1802	1998-09-09	VYDAJ	PREVOD NA UCET	1112	24233	SIPO	UV	57112502
528270	1802	1998-10-09	VYDAJ	PREVOD NA UCET	1112	21944	SIPO	UV	57112502
528271	1802	1998-11-09	VYDAJ	PREVOD NA UCET	1112	17784	SIPO	UV	57112502
528272	1802	1998-12-09	VYDAJ	PREVOD NA UCET	1112	18974	SIPO	UV	57112502
528280	1802	1995-08-08	VYDAJ	PREVOD NA UCET	1396	23635	 	CD	33883029
528281	1802	1995-09-08	VYDAJ	PREVOD NA UCET	1396	26048	 	CD	33883029
528282	1802	1995-10-08	VYDAJ	PREVOD NA UCET	1396	28472	 	CD	33883029
528283	1802	1995-11-08	VYDAJ	PREVOD NA UCET	1396	25617	 	CD	33883029
528284	1802	1995-12-08	VYDAJ	PREVOD NA UCET	1396	28041	 	CD	33883029
528285	1802	1996-01-08	VYDAJ	PREVOD NA UCET	1396	24609	 	CD	33883029
528286	1802	1996-02-08	VYDAJ	PREVOD NA UCET	1396	27028	 	CD	33883029
528287	1802	1996-03-08	VYDAJ	PREVOD NA UCET	1396	29455	 	CD	33883029
528288	1802	1996-04-08	VYDAJ	PREVOD NA UCET	1396	30211	 	CD	33883029
528387	1802	1998-01-31	VYDAJ	VYBER	15	26021	SLUZBY	\N	\N
528289	1802	1996-05-08	VYDAJ	PREVOD NA UCET	1396	31251	 	CD	33883029
528290	1802	1996-06-08	VYDAJ	PREVOD NA UCET	1396	32098	 	CD	33883029
528291	1802	1996-07-08	VYDAJ	PREVOD NA UCET	1396	30092	 	CD	33883029
528292	1802	1996-08-08	VYDAJ	PREVOD NA UCET	1396	29734	 	CD	33883029
528293	1802	1996-09-08	VYDAJ	PREVOD NA UCET	1396	32075	 	CD	33883029
528294	1802	1996-10-08	VYDAJ	PREVOD NA UCET	1396	32023	 	CD	33883029
528295	1802	1996-11-08	VYDAJ	PREVOD NA UCET	1396	32573	 	CD	33883029
528296	1802	1996-12-08	VYDAJ	PREVOD NA UCET	1396	32323	 	CD	33883029
528297	1802	1997-01-08	VYDAJ	PREVOD NA UCET	1396	29311	 	CD	33883029
528298	1802	1997-02-08	VYDAJ	PREVOD NA UCET	1396	26298	 	CD	33883029
528299	1802	1997-03-08	VYDAJ	PREVOD NA UCET	1396	27921	 	CD	33883029
528300	1802	1997-04-08	VYDAJ	PREVOD NA UCET	1396	30352	 	CD	33883029
528301	1802	1997-05-08	VYDAJ	PREVOD NA UCET	1396	32593	 	CD	33883029
528302	1802	1997-06-08	VYDAJ	PREVOD NA UCET	1396	33342	 	CD	33883029
528303	1802	1997-07-08	VYDAJ	PREVOD NA UCET	1396	29634	 	CD	33883029
528304	1802	1997-08-08	VYDAJ	PREVOD NA UCET	1396	26567	 	CD	33883029
528305	1802	1997-09-08	VYDAJ	PREVOD NA UCET	1396	27190	 	CD	33883029
528306	1802	1997-10-08	VYDAJ	PREVOD NA UCET	1396	27416	 	CD	33883029
528307	1802	1997-11-08	VYDAJ	PREVOD NA UCET	1396	26784	 	CD	33883029
528308	1802	1997-12-08	VYDAJ	PREVOD NA UCET	1396	29212	 	CD	33883029
528309	1802	1998-01-08	VYDAJ	PREVOD NA UCET	1396	25546	 	CD	33883029
528310	1802	1998-02-08	VYDAJ	PREVOD NA UCET	1396	24625	 	CD	33883029
528311	1802	1998-03-08	VYDAJ	PREVOD NA UCET	1396	22996	 	CD	33883029
528312	1802	1998-04-08	VYDAJ	PREVOD NA UCET	1396	24104	 	CD	33883029
528313	1802	1998-05-08	VYDAJ	PREVOD NA UCET	1396	22514	 	CD	33883029
528314	1802	1998-06-08	VYDAJ	PREVOD NA UCET	1396	24921	 	CD	33883029
528315	1802	1998-07-08	VYDAJ	PREVOD NA UCET	1396	20934	 	CD	33883029
528316	1802	1998-08-08	VYDAJ	PREVOD NA UCET	1396	22936	 	CD	33883029
528317	1802	1998-09-08	VYDAJ	PREVOD NA UCET	1396	25345	 	CD	33883029
528318	1802	1998-10-08	VYDAJ	PREVOD NA UCET	1396	23056	 	CD	33883029
528319	1802	1998-11-08	VYDAJ	PREVOD NA UCET	1396	18896	 	CD	33883029
528320	1802	1998-12-08	VYDAJ	PREVOD NA UCET	1396	20086	 	CD	33883029
528322	1802	1996-06-14	VYDAJ	VYBER	2150	33663	\N	\N	\N
528323	1802	1997-06-09	VYDAJ	VYBER	3950	28280	\N	\N	\N
528326	1802	1996-01-04	VYDAJ	VYBER	900	26005	\N	\N	\N
528327	1802	1997-01-19	VYDAJ	VYBER	2400	28066	\N	\N	\N
528328	1802	1998-01-03	VYDAJ	VYBER	4600	26942	\N	\N	\N
528329	1802	1995-12-25	VYDAJ	VYBER	1200	29676	\N	\N	\N
528330	1802	1996-12-22	VYDAJ	VYBER	950	32288	\N	\N	\N
528331	1802	1997-12-25	VYDAJ	VYBER	600	31427	\N	\N	\N
528333	1802	1995-10-12	VYDAJ	VYBER	2960	24400	\N	\N	\N
528336	1802	1995-11-08	VYDAJ	VYBER	2320	27013	\N	\N	\N
528337	1802	1995-12-19	VYDAJ	VYBER	880	30876	\N	\N	\N
528338	1802	1996-01-01	VYDAJ	VYBER	2880	26905	\N	\N	\N
528339	1802	1996-12-09	VYDAJ	VYBER	2800	29523	\N	\N	\N
528340	1802	1996-03-25	VYDAJ	VYBER	1680	31490	\N	\N	\N
528341	1802	1997-01-15	VYDAJ	VYBER	2560	30466	\N	\N	\N
528342	1802	1997-01-30	VYDAJ	VYBER	480	27586	\N	\N	\N
528343	1802	1997-07-25	VYDAJ	VYBER	3600	29749	\N	\N	\N
528344	1802	1997-03-01	VYDAJ	VYBER	800	29317	\N	\N	\N
528345	1802	1997-11-03	VYDAJ	VYBER	2960	28180	\N	\N	\N
528346	1802	1998-07-03	VYDAJ	VYBER	2400	22330	\N	\N	\N
528347	1802	1998-01-16	VYDAJ	VYBER	1840	27421	\N	\N	\N
528348	1802	1998-10-26	VYDAJ	VYBER	1760	20211	\N	\N	\N
528349	1802	1998-02-21	VYDAJ	VYBER	1040	27300	\N	\N	\N
528357	1802	1995-07-31	VYDAJ	VYBER	15	25031	SLUZBY	\N	\N
528358	1802	1995-08-31	VYDAJ	VYBER	15	27444	SLUZBY	\N	\N
528359	1802	1995-09-30	VYDAJ	VYBER	15	29868	SLUZBY	\N	\N
528360	1802	1995-10-31	VYDAJ	VYBER	15	29333	SLUZBY	\N	\N
528361	1802	1995-11-30	VYDAJ	VYBER	15	29437	SLUZBY	\N	\N
528362	1802	1995-12-31	VYDAJ	VYBER	15	29785	SLUZBY	\N	\N
528363	1802	1996-01-31	VYDAJ	VYBER	15	28424	SLUZBY	\N	\N
528364	1802	1996-02-29	VYDAJ	VYBER	15	30851	SLUZBY	\N	\N
528365	1802	1996-03-31	VYDAJ	VYBER	15	31607	SLUZBY	\N	\N
528366	1802	1996-04-30	VYDAJ	VYBER	15	34047	SLUZBY	\N	\N
528367	1802	1996-05-31	VYDAJ	VYBER	15	35094	SLUZBY	\N	\N
528368	1802	1996-06-30	VYDAJ	VYBER	15	33788	SLUZBY	\N	\N
528369	1802	1996-07-31	VYDAJ	VYBER	15	33930	SLUZBY	\N	\N
528370	1802	1996-08-31	VYDAJ	VYBER	15	33471	SLUZBY	\N	\N
528371	1802	1996-09-30	VYDAJ	VYBER	15	35919	SLUZBY	\N	\N
528372	1802	1996-10-31	VYDAJ	VYBER	15	33969	SLUZBY	\N	\N
528373	1802	1996-11-30	VYDAJ	VYBER	15	33719	SLUZBY	\N	\N
528374	1802	1996-12-31	VYDAJ	VYBER	15	30707	SLUZBY	\N	\N
528375	1802	1997-01-31	VYDAJ	VYBER	15	27694	SLUZBY	\N	\N
528376	1802	1997-02-28	VYDAJ	VYBER	15	30117	SLUZBY	\N	\N
528377	1802	1997-03-31	VYDAJ	VYBER	15	31748	SLUZBY	\N	\N
528378	1802	1997-04-30	VYDAJ	VYBER	15	33989	SLUZBY	\N	\N
528379	1802	1997-05-31	VYDAJ	VYBER	15	34738	SLUZBY	\N	\N
528380	1802	1997-06-30	VYDAJ	VYBER	15	31030	SLUZBY	\N	\N
528381	1802	1997-07-31	VYDAJ	VYBER	15	27963	SLUZBY	\N	\N
528382	1802	1997-08-31	VYDAJ	VYBER	15	28586	SLUZBY	\N	\N
528383	1802	1997-09-30	VYDAJ	VYBER	15	28812	SLUZBY	\N	\N
528384	1802	1997-10-31	VYDAJ	VYBER	15	31140	SLUZBY	\N	\N
528385	1802	1997-11-30	VYDAJ	VYBER	15	30608	SLUZBY	\N	\N
528386	1802	1997-12-31	VYDAJ	VYBER	15	31542	SLUZBY	\N	\N
528388	1802	1998-02-28	VYDAJ	VYBER	15	24392	SLUZBY	\N	\N
528389	1802	1998-03-31	VYDAJ	VYBER	15	25500	SLUZBY	\N	\N
528390	1802	1998-04-30	VYDAJ	VYBER	15	23910	SLUZBY	\N	\N
528391	1802	1998-05-31	VYDAJ	VYBER	15	26317	SLUZBY	\N	\N
528392	1802	1998-06-30	VYDAJ	VYBER	15	24730	SLUZBY	\N	\N
528393	1802	1998-07-31	VYDAJ	VYBER	15	24332	SLUZBY	\N	\N
528394	1802	1998-08-31	VYDAJ	VYBER	15	26741	SLUZBY	\N	\N
528395	1802	1998-09-30	VYDAJ	VYBER	15	24452	SLUZBY	\N	\N
528396	1802	1998-10-31	VYDAJ	VYBER	15	20292	SLUZBY	\N	\N
528397	1802	1998-11-30	VYDAJ	VYBER	15	21482	SLUZBY	\N	\N
528398	1802	1996-05-03	VYDAJ	VYBER	1400	32647	\N	\N	\N
528399	1802	1996-06-02	VYDAJ	VYBER	1600	33494	\N	\N	\N
528400	1802	1996-07-02	VYDAJ	VYBER	2300	31488	\N	\N	\N
528401	1802	1996-08-01	VYDAJ	VYBER	2800	31130	\N	\N	\N
528402	1802	1996-08-31	VYDAJ	VYBER	100	33486	\N	\N	\N
528403	1802	1996-09-30	VYDAJ	VYBER	2500	33419	\N	\N	\N
528404	1802	1996-10-30	VYDAJ	VYBER	1900	33838	\N	\N	\N
528405	1802	1996-11-29	VYDAJ	VYBER	2700	33588	\N	\N	\N
528406	1802	1996-12-29	VYDAJ	VYBER	1700	30588	\N	\N	\N
528407	1802	1997-04-28	VYDAJ	VYBER	200	33867	\N	\N	\N
528408	1802	1997-05-28	VYDAJ	VYBER	1700	34608	\N	\N	\N
528409	1802	1997-06-27	VYDAJ	VYBER	2200	30907	\N	\N	\N
528410	1802	1997-07-27	VYDAJ	VYBER	1900	27849	\N	\N	\N
528411	1802	1997-08-26	VYDAJ	VYBER	1800	28482	\N	\N	\N
528412	1802	1997-09-25	VYDAJ	VYBER	2200	28705	\N	\N	\N
528413	1802	1997-10-25	VYDAJ	VYBER	100	31031	\N	\N	\N
528414	1802	1997-12-24	VYDAJ	VYBER	900	32027	\N	\N	\N
528415	1802	1998-01-23	VYDAJ	VYBER	1500	25921	\N	\N	\N
528416	1802	1998-02-22	VYDAJ	VYBER	3000	24300	\N	\N	\N
528417	1802	1998-03-24	VYDAJ	VYBER	1300	25411	\N	\N	\N
528418	1802	1998-04-23	VYDAJ	VYBER	4000	23819	\N	\N	\N
528419	1802	1998-06-22	VYDAJ	VYBER	4000	24636	\N	\N	\N
528420	1802	1998-07-22	VYDAJ	VYBER	400	24249	\N	\N	\N
528421	1802	1998-09-20	VYDAJ	VYBER	4700	24360	\N	\N	\N
528422	1802	1998-10-20	VYDAJ	VYBER	4800	21971	\N	\N	\N
528423	1802	1998-11-19	VYDAJ	VYBER	1200	21411	\N	\N	\N
528424	1802	1998-12-19	VYDAJ	VYBER	8600	15201	\N	\N	\N
528471	1803	1995-07-29	PRIJEM	VKLAD	400	400	\N	\N	\N
528479	1803	1995-08-13	PRIJEM	PREVOD Z UCTU	3455	3855	\N	OP	7601386
528480	1803	1995-09-13	PRIJEM	PREVOD Z UCTU	3455	15917	\N	OP	7601386
528481	1803	1995-10-13	PRIJEM	PREVOD Z UCTU	3455	25729	\N	OP	7601386
528482	1803	1995-11-13	PRIJEM	PREVOD Z UCTU	3455	28779	\N	OP	7601386
528483	1803	1995-12-13	PRIJEM	PREVOD Z UCTU	3455	32141	\N	OP	7601386
528484	1803	1996-01-13	PRIJEM	PREVOD Z UCTU	3455	31881	\N	OP	7601386
528485	1803	1996-02-13	PRIJEM	PREVOD Z UCTU	3455	33860	\N	OP	7601386
528486	1803	1996-03-13	PRIJEM	PREVOD Z UCTU	3455	33695	\N	OP	7601386
528487	1803	1996-04-13	PRIJEM	PREVOD Z UCTU	3455	40969	\N	OP	7601386
528488	1803	1996-05-13	PRIJEM	PREVOD Z UCTU	3455	45869	\N	OP	7601386
528489	1803	1996-06-13	PRIJEM	PREVOD Z UCTU	3455	40086	\N	OP	7601386
528490	1803	1996-07-13	PRIJEM	PREVOD Z UCTU	3455	43895	\N	OP	7601386
528491	1803	1996-08-13	PRIJEM	PREVOD Z UCTU	3455	44704	\N	OP	7601386
528492	1803	1996-09-13	PRIJEM	PREVOD Z UCTU	3455	46919	\N	OP	7601386
528493	1803	1996-10-13	PRIJEM	PREVOD Z UCTU	3455	49263	\N	OP	7601386
528494	1803	1996-11-13	PRIJEM	PREVOD Z UCTU	3455	53803	\N	OP	7601386
528495	1803	1996-12-13	PRIJEM	PREVOD Z UCTU	3455	56955	\N	OP	7601386
528496	1803	1997-01-13	PRIJEM	PREVOD Z UCTU	3455	55588	\N	OP	7601386
528497	1803	1997-02-13	PRIJEM	PREVOD Z UCTU	3455	55174	\N	OP	7601386
528498	1803	1997-03-13	PRIJEM	PREVOD Z UCTU	3455	55329	\N	OP	7601386
528499	1803	1997-04-13	PRIJEM	PREVOD Z UCTU	3455	50876	\N	OP	7601386
528500	1803	1997-05-13	PRIJEM	PREVOD Z UCTU	3455	53917	\N	OP	7601386
528501	1803	1997-06-13	PRIJEM	PREVOD Z UCTU	3455	45332	\N	OP	7601386
528502	1803	1997-07-13	PRIJEM	PREVOD Z UCTU	3455	47460	\N	OP	7601386
528503	1803	1997-08-13	PRIJEM	PREVOD Z UCTU	3455	46478	\N	OP	7601386
528504	1803	1997-09-13	PRIJEM	PREVOD Z UCTU	3455	50704	\N	OP	7601386
528505	1803	1997-10-13	PRIJEM	PREVOD Z UCTU	3455	50543	\N	OP	7601386
528506	1803	1997-11-13	PRIJEM	PREVOD Z UCTU	3455	52782	\N	OP	7601386
528507	1803	1997-12-13	PRIJEM	PREVOD Z UCTU	3455	51825	\N	OP	7601386
528508	1803	1998-01-13	PRIJEM	PREVOD Z UCTU	3455	55275	\N	OP	7601386
528509	1803	1998-02-13	PRIJEM	PREVOD Z UCTU	3455	53928	\N	OP	7601386
528510	1803	1998-03-13	PRIJEM	PREVOD Z UCTU	3455	58185	\N	OP	7601386
528511	1803	1998-04-13	PRIJEM	PREVOD Z UCTU	3455	62761	\N	OP	7601386
528512	1803	1998-05-13	PRIJEM	PREVOD Z UCTU	3455	63447	\N	OP	7601386
528513	1803	1998-06-13	PRIJEM	PREVOD Z UCTU	3455	57150	\N	OP	7601386
528514	1803	1998-07-13	PRIJEM	PREVOD Z UCTU	3455	66322	\N	OP	7601386
528515	1803	1998-08-13	PRIJEM	PREVOD Z UCTU	3455	65112	\N	OP	7601386
528516	1803	1998-09-13	PRIJEM	PREVOD Z UCTU	3455	69215	\N	OP	7601386
528517	1803	1998-10-13	PRIJEM	PREVOD Z UCTU	3455	76828	\N	OP	7601386
528518	1803	1998-11-13	PRIJEM	PREVOD Z UCTU	3455	77566	\N	OP	7601386
528519	1803	1998-12-13	PRIJEM	PREVOD Z UCTU	3455	78117	\N	OP	7601386
528531	1803	1995-12-14	VYDAJ	PREVOD NA UCET	1474	30667	SIPO	AB	29663437
528532	1803	1996-01-14	VYDAJ	PREVOD NA UCET	1474	29687	SIPO	AB	29663437
528533	1803	1996-02-14	VYDAJ	PREVOD NA UCET	1474	31557	SIPO	AB	29663437
528534	1803	1996-03-14	VYDAJ	PREVOD NA UCET	1474	31392	SIPO	AB	29663437
528535	1803	1996-04-14	VYDAJ	PREVOD NA UCET	1474	39495	SIPO	AB	29663437
528536	1803	1996-05-14	VYDAJ	PREVOD NA UCET	1474	43566	SIPO	AB	29663437
528537	1803	1996-06-14	VYDAJ	PREVOD NA UCET	1474	38612	SIPO	AB	29663437
528538	1803	1996-07-14	VYDAJ	PREVOD NA UCET	1474	42421	SIPO	AB	29663437
528539	1803	1996-08-14	VYDAJ	PREVOD NA UCET	1474	42401	SIPO	AB	29663437
528540	1803	1996-09-14	VYDAJ	PREVOD NA UCET	1474	44616	SIPO	AB	29663437
528541	1803	1996-10-14	VYDAJ	PREVOD NA UCET	1474	46960	SIPO	AB	29663437
528542	1803	1996-11-14	VYDAJ	PREVOD NA UCET	1474	52329	SIPO	AB	29663437
528543	1803	1996-12-14	VYDAJ	PREVOD NA UCET	1474	55481	SIPO	AB	29663437
528544	1803	1997-01-14	VYDAJ	PREVOD NA UCET	1474	53844	SIPO	AB	29663437
528545	1803	1997-02-14	VYDAJ	PREVOD NA UCET	1474	52871	SIPO	AB	29663437
528546	1803	1997-03-14	VYDAJ	PREVOD NA UCET	1474	53026	SIPO	AB	29663437
528547	1803	1997-04-14	VYDAJ	PREVOD NA UCET	1474	47773	SIPO	AB	29663437
528548	1803	1997-05-14	VYDAJ	PREVOD NA UCET	1474	52443	SIPO	AB	29663437
528549	1803	1997-06-14	VYDAJ	PREVOD NA UCET	1474	43858	SIPO	AB	29663437
528550	1803	1997-07-14	VYDAJ	PREVOD NA UCET	1474	45157	SIPO	AB	29663437
528551	1803	1997-08-14	VYDAJ	PREVOD NA UCET	1474	45004	SIPO	AB	29663437
528552	1803	1997-09-14	VYDAJ	PREVOD NA UCET	1474	48401	SIPO	AB	29663437
528553	1803	1997-10-14	VYDAJ	PREVOD NA UCET	1474	49069	SIPO	AB	29663437
528554	1803	1997-11-14	VYDAJ	PREVOD NA UCET	1474	50479	SIPO	AB	29663437
528555	1803	1997-12-14	VYDAJ	PREVOD NA UCET	1474	50351	SIPO	AB	29663437
528556	1803	1998-01-14	VYDAJ	PREVOD NA UCET	1474	53101	SIPO	AB	29663437
528557	1803	1998-02-14	VYDAJ	PREVOD NA UCET	1474	55354	SIPO	AB	29663437
528558	1803	1998-03-14	VYDAJ	PREVOD NA UCET	1474	56711	SIPO	AB	29663437
528559	1803	1998-04-14	VYDAJ	PREVOD NA UCET	1474	59758	SIPO	AB	29663437
528560	1803	1998-05-14	VYDAJ	PREVOD NA UCET	1474	58473	SIPO	AB	29663437
528561	1803	1998-06-14	VYDAJ	PREVOD NA UCET	1474	55676	SIPO	AB	29663437
528562	1803	1998-07-14	VYDAJ	PREVOD NA UCET	1474	64019	SIPO	AB	29663437
528563	1803	1998-08-14	VYDAJ	PREVOD NA UCET	1474	62809	SIPO	AB	29663437
528564	1803	1998-09-14	VYDAJ	PREVOD NA UCET	1474	66912	SIPO	AB	29663437
528565	1803	1998-10-14	VYDAJ	PREVOD NA UCET	1474	75354	SIPO	AB	29663437
528566	1803	1998-11-14	VYDAJ	PREVOD NA UCET	1474	76092	SIPO	AB	29663437
528567	1803	1998-12-14	VYDAJ	PREVOD NA UCET	1474	76643	SIPO	AB	29663437
528579	1803	1995-12-14	VYDAJ	PREVOD NA UCET	829	29838	 	YZ	14515853
528580	1803	1996-01-14	VYDAJ	PREVOD NA UCET	829	28858	 	YZ	14515853
528581	1803	1996-02-14	VYDAJ	PREVOD NA UCET	829	33031	 	YZ	14515853
528582	1803	1996-03-14	VYDAJ	PREVOD NA UCET	829	32866	 	YZ	14515853
528583	1803	1996-04-14	VYDAJ	PREVOD NA UCET	829	38666	 	YZ	14515853
528584	1803	1996-05-14	VYDAJ	PREVOD NA UCET	829	45040	 	YZ	14515853
528585	1803	1996-06-14	VYDAJ	PREVOD NA UCET	829	37783	 	YZ	14515853
528586	1803	1996-07-14	VYDAJ	PREVOD NA UCET	829	41592	 	YZ	14515853
528587	1803	1996-08-14	VYDAJ	PREVOD NA UCET	829	43875	 	YZ	14515853
528588	1803	1996-09-14	VYDAJ	PREVOD NA UCET	829	46090	 	YZ	14515853
528589	1803	1996-10-14	VYDAJ	PREVOD NA UCET	829	48434	 	YZ	14515853
528590	1803	1996-11-14	VYDAJ	PREVOD NA UCET	829	51500	 	YZ	14515853
528591	1803	1996-12-14	VYDAJ	PREVOD NA UCET	829	54652	 	YZ	14515853
528592	1803	1997-01-14	VYDAJ	PREVOD NA UCET	829	53015	 	YZ	14515853
528593	1803	1997-02-14	VYDAJ	PREVOD NA UCET	829	54345	 	YZ	14515853
528594	1803	1997-03-14	VYDAJ	PREVOD NA UCET	829	54500	 	YZ	14515853
528595	1803	1997-04-14	VYDAJ	PREVOD NA UCET	829	49247	 	YZ	14515853
528596	1803	1997-05-14	VYDAJ	PREVOD NA UCET	829	51614	 	YZ	14515853
528597	1803	1997-06-14	VYDAJ	PREVOD NA UCET	829	43029	 	YZ	14515853
528598	1803	1997-07-14	VYDAJ	PREVOD NA UCET	829	46631	 	YZ	14515853
528599	1803	1997-08-14	VYDAJ	PREVOD NA UCET	829	44175	 	YZ	14515853
528600	1803	1997-09-14	VYDAJ	PREVOD NA UCET	829	49875	 	YZ	14515853
528601	1803	1997-10-14	VYDAJ	PREVOD NA UCET	829	48240	 	YZ	14515853
528602	1803	1997-11-14	VYDAJ	PREVOD NA UCET	829	51953	 	YZ	14515853
528603	1803	1997-12-14	VYDAJ	PREVOD NA UCET	829	49522	 	YZ	14515853
528604	1803	1998-01-14	VYDAJ	PREVOD NA UCET	829	52272	 	YZ	14515853
528605	1803	1998-02-14	VYDAJ	PREVOD NA UCET	829	54525	 	YZ	14515853
528606	1803	1998-03-14	VYDAJ	PREVOD NA UCET	829	55882	 	YZ	14515853
528607	1803	1998-04-14	VYDAJ	PREVOD NA UCET	829	61232	 	YZ	14515853
528608	1803	1998-05-14	VYDAJ	PREVOD NA UCET	829	57644	 	YZ	14515853
528609	1803	1998-06-14	VYDAJ	PREVOD NA UCET	829	54847	 	YZ	14515853
528610	1803	1998-07-14	VYDAJ	PREVOD NA UCET	829	65493	 	YZ	14515853
528611	1803	1998-08-14	VYDAJ	PREVOD NA UCET	829	64283	 	YZ	14515853
528612	1803	1998-09-14	VYDAJ	PREVOD NA UCET	829	68386	 	YZ	14515853
528613	1803	1998-10-14	VYDAJ	PREVOD NA UCET	829	74525	 	YZ	14515853
528614	1803	1998-11-14	VYDAJ	PREVOD NA UCET	829	75263	 	YZ	14515853
528615	1803	1998-12-14	VYDAJ	PREVOD NA UCET	829	75814	 	YZ	14515853
528617	1803	1996-06-04	VYDAJ	VYBER	7800	36631	\N	\N	\N
528618	1803	1997-06-06	VYDAJ	VYBER	6630	41877	\N	\N	\N
528619	1803	1998-06-09	VYDAJ	VYBER	6480	51395	\N	\N	\N
528620	1803	1995-12-24	VYDAJ	VYBER	810	29028	\N	\N	\N
528621	1803	1996-12-25	VYDAJ	VYBER	600	54562	\N	\N	\N
528622	1803	1997-12-09	VYDAJ	VYBER KARTOU	600	48370	\N	\N	0
528623	1803	1998-12-03	VYDAJ	VYBER KARTOU	200	75362	\N	\N	0
528630	1803	1996-01-10	VYDAJ	VYBER	600	28426	\N	\N	\N
528631	1803	1996-01-16	VYDAJ	VYBER	360	28498	\N	\N	\N
528632	1803	1996-01-26	VYDAJ	VYBER	180	30298	\N	\N	\N
528633	1803	1996-01-02	VYDAJ	VYBER	510	29626	\N	\N	\N
528634	1803	1996-01-06	VYDAJ	VYBER	600	29026	\N	\N	\N
528635	1803	1996-01-13	VYDAJ	VYBER	720	31161	\N	\N	\N
528636	1803	1997-01-03	VYDAJ	VYBER	210	54563	\N	\N	\N
528637	1803	1997-01-13	VYDAJ	VYBER	270	55318	\N	\N	\N
528638	1803	1997-01-03	VYDAJ	VYBER	750	53813	\N	\N	\N
528639	1803	1997-01-09	VYDAJ	VYBER	780	52313	\N	\N	\N
528640	1803	1997-01-07	VYDAJ	VYBER	540	53093	\N	\N	\N
528641	1803	1997-01-10	VYDAJ	VYBER	180	52133	\N	\N	\N
528642	1803	1998-01-12	VYDAJ	VYBER KARTOU	200	52520	\N	\N	0
528643	1803	1998-01-15	VYDAJ	VYBER KARTOU	900	51372	\N	\N	0
528644	1803	1998-01-12	VYDAJ	VYBER KARTOU	700	51820	\N	\N	0
528645	1803	1998-01-19	VYDAJ	VYBER KARTOU	400	50272	\N	\N	0
528646	1803	1998-01-01	VYDAJ	VYBER KARTOU	200	52720	\N	\N	0
528647	1803	1998-01-18	VYDAJ	VYBER KARTOU	700	50672	\N	\N	0
528653	1803	1996-08-14	VYDAJ	VYBER	300	42101	\N	\N	\N
528654	1803	1996-12-14	VYDAJ	VYBER	390	54262	\N	\N	\N
528655	1803	1996-10-02	VYDAJ	VYBER	1380	45808	\N	\N	\N
528656	1803	1996-02-15	VYDAJ	VYBER	1260	30297	\N	\N	\N
528657	1803	1996-01-24	VYDAJ	VYBER	1020	27478	\N	\N	\N
528658	1803	1996-02-26	VYDAJ	VYBER	870	30127	\N	\N	\N
528659	1803	1997-03-19	VYDAJ	VYBER KARTOU	200	52826	\N	\N	0
528660	1803	1997-10-12	VYDAJ	VYBER KARTOU	800	47088	\N	\N	0
528661	1803	1997-03-24	VYDAJ	VYBER KARTOU	300	47226	\N	\N	0
528662	1803	1997-04-13	VYDAJ	VYBER KARTOU	800	50076	\N	\N	0
528663	1803	1997-09-28	VYDAJ	VYBER KARTOU	700	47701	\N	\N	0
528664	1803	1997-01-04	VYDAJ	VYBER	180	53633	\N	\N	\N
528665	1803	1997-12-07	VYDAJ	VYBER KARTOU	500	48970	\N	\N	0
528666	1803	1998-08-09	VYDAJ	VYBER KARTOU	1000	62657	\N	\N	0
528667	1803	1998-09-09	VYDAJ	VYBER KARTOU	500	62560	\N	\N	0
528668	1803	1998-12-28	VYDAJ	VYBER KARTOU	1300	74514	\N	\N	0
528669	1803	1998-03-31	VYDAJ	VYBER KARTOU	400	59306	\N	\N	0
528670	1803	1998-07-21	VYDAJ	VYBER KARTOU	600	63419	\N	\N	0
528683	1803	1995-12-31	VYDAJ	VYBER	15	30136	SLUZBY	\N	\N
528684	1803	1996-01-31	VYDAJ	VYBER	15	30405	SLUZBY	\N	\N
528685	1803	1996-02-29	VYDAJ	VYBER	15	30240	SLUZBY	\N	\N
528686	1803	1996-03-31	VYDAJ	VYBER	15	37514	SLUZBY	\N	\N
528687	1803	1996-04-30	VYDAJ	VYBER	15	42414	SLUZBY	\N	\N
528688	1803	1996-05-31	VYDAJ	VYBER	15	44431	SLUZBY	\N	\N
528689	1803	1996-06-30	VYDAJ	VYBER	15	40440	SLUZBY	\N	\N
528690	1803	1996-07-31	VYDAJ	VYBER	15	41249	SLUZBY	\N	\N
528691	1803	1996-08-31	VYDAJ	VYBER	15	43464	SLUZBY	\N	\N
528692	1803	1996-09-30	VYDAJ	VYBER	15	47188	SLUZBY	\N	\N
528693	1803	1996-10-31	VYDAJ	VYBER	15	50348	SLUZBY	\N	\N
528694	1803	1996-11-30	VYDAJ	VYBER	15	53500	SLUZBY	\N	\N
528695	1803	1996-12-31	VYDAJ	VYBER	15	54773	SLUZBY	\N	\N
528696	1803	1997-01-31	VYDAJ	VYBER	15	51719	SLUZBY	\N	\N
528697	1803	1997-02-28	VYDAJ	VYBER	15	51874	SLUZBY	\N	\N
528698	1803	1997-03-31	VYDAJ	VYBER	15	47421	SLUZBY	\N	\N
528699	1803	1997-04-30	VYDAJ	VYBER	15	50462	SLUZBY	\N	\N
528700	1803	1997-05-31	VYDAJ	VYBER	15	48507	SLUZBY	\N	\N
528701	1803	1997-06-30	VYDAJ	VYBER	15	44005	SLUZBY	\N	\N
528702	1803	1997-07-31	VYDAJ	VYBER	15	43023	SLUZBY	\N	\N
528703	1803	1997-08-31	VYDAJ	VYBER	15	47249	SLUZBY	\N	\N
528704	1803	1997-09-30	VYDAJ	VYBER	15	47888	SLUZBY	\N	\N
528705	1803	1997-10-31	VYDAJ	VYBER	15	49327	SLUZBY	\N	\N
528706	1803	1997-11-30	VYDAJ	VYBER	15	49470	SLUZBY	\N	\N
528707	1803	1997-12-31	VYDAJ	VYBER	15	52920	SLUZBY	\N	\N
528708	1803	1998-01-31	VYDAJ	VYBER	15	50473	SLUZBY	\N	\N
528709	1803	1998-02-28	VYDAJ	VYBER	15	54730	SLUZBY	\N	\N
528710	1803	1998-03-31	VYDAJ	VYBER	15	59706	SLUZBY	\N	\N
528711	1803	1998-04-30	VYDAJ	VYBER	15	59992	SLUZBY	\N	\N
528712	1803	1998-05-31	VYDAJ	VYBER	15	57875	SLUZBY	\N	\N
528713	1803	1998-06-30	VYDAJ	VYBER	15	55067	SLUZBY	\N	\N
528714	1803	1998-07-31	VYDAJ	VYBER	15	63657	SLUZBY	\N	\N
528715	1803	1998-08-31	VYDAJ	VYBER	15	63060	SLUZBY	\N	\N
528716	1803	1998-09-30	VYDAJ	VYBER	15	67173	SLUZBY	\N	\N
528717	1803	1998-10-31	VYDAJ	VYBER	15	74811	SLUZBY	\N	\N
528718	1803	1998-11-30	VYDAJ	VYBER	15	75562	SLUZBY	\N	\N
528719	1803	1995-08-28	PRIJEM	VKLAD	8600	12455	\N	\N	\N
528720	1803	1995-09-27	PRIJEM	VKLAD	6300	22217	\N	\N	\N
528721	1803	1995-10-27	VYDAJ	VYBER	500	25229	\N	\N	\N
528722	1803	1995-11-26	VYDAJ	VYBER	200	28579	\N	\N	\N
528723	1803	1995-12-26	PRIJEM	VKLAD	1000	30028	\N	\N	\N
528724	1803	1996-01-25	PRIJEM	VKLAD	3000	30478	\N	\N	\N
528725	1803	1996-02-24	PRIJEM	VKLAD	700	30997	\N	\N	\N
528726	1803	1996-03-25	PRIJEM	VKLAD	6000	37392	\N	\N	\N
528727	1803	1996-04-24	PRIJEM	VKLAD	3600	42266	\N	\N	\N
528728	1803	1996-05-24	PRIJEM	VKLAD	700	44266	\N	\N	\N
528729	1803	1996-06-23	PRIJEM	VKLAD	2500	40283	\N	\N	\N
528730	1803	1996-07-23	VYDAJ	VYBER	500	41092	\N	\N	\N
528731	1803	1996-08-22	PRIJEM	VKLAD	1200	43301	\N	\N	\N
528732	1803	1996-09-21	PRIJEM	VKLAD	2400	47016	\N	\N	\N
528733	1803	1996-10-21	PRIJEM	VKLAD	3200	50160	\N	\N	\N
528734	1803	1996-11-20	PRIJEM	VKLAD	1800	53300	\N	\N	\N
528735	1803	1996-12-20	PRIJEM	VKLAD	900	55162	\N	\N	\N
528736	1803	1997-01-19	VYDAJ	VYBER	1500	51515	\N	\N	\N
528737	1803	1997-02-18	VYDAJ	VYBER KARTOU	1200	51671	\N	\N	0
528738	1803	1997-03-20	VYDAJ	VYBER	5300	47526	\N	\N	\N
528739	1803	1997-04-19	PRIJEM	VKLAD	2500	50273	\N	\N	\N
528740	1803	1997-05-19	VYDAJ	VYBER KARTOU	3300	48314	\N	\N	0
528741	1803	1997-06-18	PRIJEM	VKLAD	800	43829	\N	\N	\N
528742	1803	1997-07-18	VYDAJ	VYBER KARTOU	2300	42857	\N	\N	0
528743	1803	1997-08-17	PRIJEM	VKLAD	2900	47075	\N	\N	\N
528744	1803	1997-10-16	PRIJEM	VKLAD	900	49140	\N	\N	\N
528745	1803	1997-11-15	VYDAJ	VYBER KARTOU	1200	49279	\N	\N	0
528746	1803	1997-12-15	PRIJEM	VKLAD	3200	52722	\N	\N	\N
528747	1803	1998-01-14	VYDAJ	VYBER KARTOU	700	54575	\N	\N	0
528748	1803	1998-02-13	PRIJEM	VKLAD	2900	56828	\N	\N	\N
528749	1803	1998-03-15	PRIJEM	VKLAD	3600	59482	\N	\N	\N
528750	1803	1998-04-14	VYDAJ	VYBER KARTOU	700	62061	\N	\N	0
528751	1803	1998-05-14	VYDAJ	VYBER KARTOU	3500	59947	\N	\N	0
528752	1803	1998-06-13	PRIJEM	VKLAD	2300	53695	\N	\N	\N
528753	1803	1998-07-13	PRIJEM	VKLAD	7800	62867	\N	\N	\N
528754	1803	1998-08-12	VYDAJ	VYBER KARTOU	1000	61657	\N	\N	0
528755	1803	1998-09-11	PRIJEM	VKLAD	3200	65760	\N	\N	\N
528756	1803	1998-10-11	PRIJEM	VKLAD	6200	73373	\N	\N	\N
528757	1803	1998-11-10	VYDAJ	VYBER KARTOU	700	74111	\N	\N	0
528758	1803	1998-12-10	VYDAJ	VYBER KARTOU	700	74662	\N	\N	0
528800	1804	1993-09-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
528801	1804	1993-10-28	PRIJEM	VKLAD	18221	68667	\N	\N	\N
528802	1804	1993-11-20	PRIJEM	VKLAD	9198	98370	\N	\N	\N
528813	1804	1993-10-02	PRIJEM	VKLAD	37900	39000	\N	\N	\N
528815	1804	1993-12-09	PRIJEM	VKLAD	35608	65977	\N	\N	\N
528822	1804	1993-10-27	PRIJEM	VKLAD	19346	50446	\N	\N	\N
528827	1804	1993-11-11	PRIJEM	VKLAD	42345	111072	\N	\N	\N
528828	1804	1994-02-14	PRIJEM	VKLAD	34317	106195	\N	\N	\N
528829	1804	1994-02-14	PRIJEM	VKLAD	34824	71878	\N	\N	\N
528830	1804	1994-08-24	PRIJEM	VKLAD	35482	60969	\N	\N	\N
528831	1804	1994-06-13	PRIJEM	VKLAD	28805	50491	\N	\N	\N
528832	1804	1994-12-25	PRIJEM	VKLAD	12803	37818	\N	\N	\N
528833	1804	1994-02-04	PRIJEM	VKLAD	18071	37054	\N	\N	\N
528834	1804	1994-04-04	PRIJEM	VKLAD	36627	67435	\N	\N	\N
528835	1804	1994-10-13	PRIJEM	VKLAD	11380	38659	\N	\N	\N
528836	1804	1995-02-05	PRIJEM	VKLAD	34054	56740	\N	\N	\N
528837	1804	1995-10-04	PRIJEM	VKLAD	40470	68494	\N	\N	\N
528838	1804	1995-09-13	PRIJEM	VKLAD	12178	51827	\N	\N	\N
528839	1804	1995-07-18	PRIJEM	VKLAD	40742	69072	\N	\N	\N
528840	1804	1996-01-23	PRIJEM	VKLAD	48618	110209	\N	\N	\N
528841	1804	1996-01-22	PRIJEM	VKLAD	40232	61591	\N	\N	\N
528842	1804	1996-10-22	PRIJEM	VKLAD	31958	63263	\N	\N	\N
528843	1804	1996-12-22	PRIJEM	VKLAD	44822	87868	\N	\N	\N
528844	1804	1996-11-06	PRIJEM	VKLAD	24067	102293	\N	\N	\N
528845	1804	1996-05-12	PRIJEM	VKLAD	26036	80019	\N	\N	\N
528846	1804	1996-06-27	PRIJEM	VKLAD	10063	48458	\N	\N	\N
528847	1804	1996-08-02	PRIJEM	VKLAD	35548	87110	\N	\N	\N
528848	1804	1996-08-30	PRIJEM	VKLAD	10613	48681	\N	\N	\N
528849	1804	1996-09-06	PRIJEM	VKLAD	39994	88829	\N	\N	\N
528850	1804	1996-04-28	PRIJEM	VKLAD	46078	122428	\N	\N	\N
528851	1804	1996-11-14	PRIJEM	VKLAD	48243	122036	\N	\N	\N
528852	1804	1996-02-03	PRIJEM	VKLAD	21901	80335	\N	\N	\N
528853	1804	1996-04-29	PRIJEM	VKLAD	24910	126138	\N	\N	\N
528854	1804	1996-02-18	PRIJEM	VKLAD	30249	86084	\N	\N	\N
528855	1804	1996-03-08	PRIJEM	VKLAD	40125	126466	\N	\N	\N
528856	1804	1996-04-22	PRIJEM	VKLAD	32904	76350	\N	\N	\N
528857	1804	1996-10-24	PRIJEM	VKLAD	25543	88806	\N	\N	\N
528858	1804	1996-07-22	PRIJEM	VKLAD	5402	51387	\N	\N	\N
528859	1804	1997-12-10	PRIJEM	VKLAD	19917	72509	\N	\N	\N
528860	1804	1997-07-31	PRIJEM	VKLAD	29863	115241	\N	\N	\N
528861	1804	1997-02-05	PRIJEM	VKLAD	21391	71519	\N	\N	\N
528862	1804	1997-04-22	PRIJEM	VKLAD	30760	103685	\N	\N	\N
528863	1804	1997-07-26	PRIJEM	VKLAD	8133	85378	\N	\N	\N
528864	1804	1997-11-02	PRIJEM	VKLAD	34423	96905	\N	\N	\N
528865	1804	1997-01-23	PRIJEM	VKLAD	22928	111186	\N	\N	\N
528866	1804	1997-09-09	PRIJEM	VKLAD	49028	96408	\N	\N	\N
528867	1804	1997-05-13	PRIJEM	VKLAD	32488	80579	\N	\N	\N
528868	1804	1997-01-10	PRIJEM	VKLAD	28127	87947	\N	\N	\N
528869	1804	1997-01-10	PRIJEM	VKLAD	6911	94858	\N	\N	\N
528870	1804	1997-12-19	PRIJEM	VKLAD	45727	93036	\N	\N	\N
528871	1804	1997-05-02	PRIJEM	VKLAD	10384	114448	\N	\N	\N
528872	1804	1997-03-12	PRIJEM	VKLAD	32617	95991	\N	\N	\N
528873	1804	1997-07-02	PRIJEM	VKLAD	33130	72363	\N	\N	\N
528874	1804	1997-10-04	PRIJEM	VKLAD	18947	80380	\N	\N	\N
528875	1804	1997-02-15	PRIJEM	VKLAD	14618	86137	\N	\N	\N
528876	1804	1997-03-04	PRIJEM	VKLAD	28053	114474	\N	\N	\N
528877	1804	1997-11-22	PRIJEM	VKLAD	13012	93189	\N	\N	\N
528878	1804	1997-09-18	PRIJEM	VKLAD	26540	122948	\N	\N	\N
528879	1804	1997-07-12	PRIJEM	VKLAD	25876	86639	\N	\N	\N
528880	1804	1998-12-07	PRIJEM	VKLAD	6947	64723	\N	\N	\N
528881	1804	1998-07-11	PRIJEM	VKLAD	49941	103562	\N	\N	\N
528882	1804	1998-11-22	PRIJEM	VKLAD	49607	136575	\N	\N	\N
528883	1804	1998-05-02	PRIJEM	VKLAD	48596	85905	\N	\N	\N
528884	1804	1998-11-01	PRIJEM	VKLAD	34891	64777	\N	\N	\N
528885	1804	1998-11-21	PRIJEM	VKLAD	27614	119068	\N	\N	\N
528886	1804	1998-06-25	PRIJEM	VKLAD	39253	94224	\N	\N	\N
528887	1804	1998-04-06	PRIJEM	VKLAD	5728	40497	\N	\N	\N
528888	1804	1998-01-09	PRIJEM	VKLAD	11930	65530	\N	\N	\N
528889	1804	1998-11-05	PRIJEM	VKLAD	26677	91454	\N	\N	\N
528890	1804	1993-11-25	VYBER	VYBER	9746	50524	\N	\N	\N
528892	1804	1993-11-28	VYBER	VYBER	20418	30106	\N	\N	\N
528895	1804	1994-10-02	VYBER	VYBER	13858	27279	\N	\N	\N
528896	1804	1994-10-30	VYBER	VYBER	4249	27610	\N	\N	\N
528897	1804	1994-03-30	VYBER	VYBER	13884	30571	\N	\N	\N
528899	1804	1994-04-20	VYBER	VYBER	20843	46592	\N	\N	\N
528900	1804	1994-07-15	VYBER	VYBER	15201	23376	\N	\N	\N
528903	1804	1994-09-08	VYBER	VYBER	7138	53949	\N	\N	\N
528904	1804	1994-04-30	VYBER	VYBER	4545	31784	\N	\N	\N
528905	1804	1994-05-16	VYBER	VYBER	11555	20199	\N	\N	\N
528907	1804	1995-08-14	VYBER	VYBER	4566	61972	\N	\N	\N
528909	1804	1995-11-06	VYBER	VYBER	15827	29107	\N	\N	\N
528910	1804	1995-12-02	VYBER	VYBER	11770	21262	\N	\N	\N
528911	1804	1995-08-28	VYBER	VYBER	7017	39455	\N	\N	\N
528912	1804	1995-09-26	VYBER	VYBER	8633	32394	\N	\N	\N
528913	1804	1995-02-12	VYBER	VYBER	20173	36567	\N	\N	\N
528914	1804	1996-08-10	VYBER	VYBER	20342	38068	\N	\N	\N
528915	1804	1996-09-18	VYBER	VYBER	23004	33838	\N	\N	\N
528916	1804	1996-09-14	VYBER	VYBER	10287	56842	\N	\N	\N
528917	1804	1996-05-25	VYBER	VYBER	14273	65746	\N	\N	\N
528918	1804	1996-05-05	VYBER	VYBER	23630	71483	\N	\N	\N
528920	1804	1996-10-24	VYBER	VYBER	10753	78053	\N	\N	\N
528921	1804	1996-12-13	VYBER	VYBER	6459	52946	\N	\N	\N
528922	1804	1996-06-05	VYBER	VYBER	6151	59895	\N	\N	\N
528923	1804	1997-01-28	VYBER	VYBER	12412	57631	\N	\N	\N
528924	1804	1997-07-31	VYBER	VYBER	20194	95352	\N	\N	\N
528925	1804	1997-11-11	VYBER	VYBER	9828	87077	\N	\N	\N
528926	1804	1997-07-20	VYBER	VYBER	9394	77245	\N	\N	\N
528927	1804	1997-06-26	VYBER	VYBER	24720	38957	\N	\N	\N
528928	1804	1997-01-25	VYBER	VYBER	2243	70043	\N	\N	\N
528929	1804	1997-05-09	VYBER	VYBER	23757	48091	\N	\N	\N
528930	1804	1997-12-09	VYBER	VYBER	12140	52592	\N	\N	\N
528931	1804	1998-01-19	VYBER	VYBER	23157	32173	\N	\N	\N
528935	1804	1996-06-09	VYDAJ	VYBER	24600	38395	\N	\N	\N
528940	1804	1995-01-01	VYDAJ	VYBER	10200	22002	\N	\N	\N
528942	1804	1997-01-28	VYDAJ	VYBER	8400	49231	\N	\N	\N
528944	1804	1993-12-25	VYDAJ	VYBER	2400	40677	\N	\N	\N
528945	1804	1994-12-28	VYDAJ	VYBER	5700	32118	\N	\N	\N
528947	1804	1996-12-14	VYDAJ	VYBER	4500	43046	\N	\N	\N
528948	1804	1997-12-20	VYDAJ	VYBER	6000	87036	\N	\N	\N
528949	1804	1998-12-01	VYDAJ	VYBER	6900	57776	\N	\N	\N
528957	1804	1994-01-06	VYDAJ	VYBER	3000	37789	\N	\N	\N
528958	1804	1994-01-09	VYDAJ	VYBER	5700	32089	\N	\N	\N
528960	1804	1994-01-21	VYDAJ	VYBER	7200	24889	\N	\N	\N
528961	1804	1994-01-22	VYDAJ	VYBER	5100	18889	\N	\N	\N
528968	1804	1996-01-27	VYDAJ	VYBER	6600	58309	\N	\N	\N
528969	1804	1996-01-01	VYDAJ	VYBER	1500	28059	\N	\N	\N
528970	1804	1996-01-26	VYDAJ	VYBER	2700	64909	\N	\N	\N
528972	1804	1996-01-10	VYDAJ	VYBER	7200	20859	\N	\N	\N
528973	1804	1996-01-14	VYDAJ	VYBER	3900	21359	\N	\N	\N
528974	1804	1997-01-11	VYDAJ	VYBER	1500	93358	\N	\N	\N
528975	1804	1997-01-02	VYDAJ	VYBER	1800	82720	\N	\N	\N
528976	1804	1997-01-07	VYDAJ	VYBER	4200	61920	\N	\N	\N
528977	1804	1997-01-09	VYDAJ	VYBER	2100	59820	\N	\N	\N
528978	1804	1997-01-12	VYDAJ	VYBER	5100	88258	\N	\N	\N
528979	1804	1997-01-01	VYDAJ	VYBER	3600	84520	\N	\N	\N
528980	1804	1998-01-05	VYDAJ	VYBER	7500	57200	\N	\N	\N
528982	1804	1998-01-07	VYDAJ	VYBER	3600	53600	\N	\N	\N
528983	1804	1998-01-16	VYDAJ	VYBER	5100	60430	\N	\N	\N
528984	1804	1998-01-25	VYDAJ	VYBER	4200	27973	\N	\N	\N
528985	1804	1998-01-18	VYDAJ	VYBER	5100	55330	\N	\N	\N
528993	1804	1994-10-17	VYDAJ	VYBER	3000	35659	\N	\N	\N
528995	1804	1995-09-27	VYDAJ	VYBER	4500	27894	\N	\N	\N
528996	1804	1995-07-23	VYDAJ	VYBER	2700	66372	\N	\N	\N
528997	1804	1995-02-16	VYDAJ	VYBER	10200	22367	\N	\N	\N
528998	1804	1995-03-15	VYDAJ	VYBER	2700	19738	\N	\N	\N
528999	1804	1995-10-10	VYDAJ	VYBER	12300	56194	\N	\N	\N
529001	1804	1996-08-06	VYDAJ	VYBER	13800	73310	\N	\N	\N
529002	1804	1996-10-16	VYDAJ	VYBER	6900	31305	\N	\N	\N
529004	1804	1996-04-21	VYDAJ	VYBER	6300	43446	\N	\N	\N
529005	1804	1996-12-13	VYDAJ	VYBER	5400	47546	\N	\N	\N
529006	1804	1997-12-10	VYDAJ	VYBER	13200	59309	\N	\N	\N
529007	1804	1997-12-11	VYDAJ	VYBER	12000	47309	\N	\N	\N
529008	1804	1997-11-15	VYDAJ	VYBER	6900	80177	\N	\N	\N
529009	1804	1997-12-04	VYDAJ	VYBER	6300	64732	\N	\N	\N
529010	1804	1998-07-13	VYDAJ	VYBER	9900	93662	\N	\N	\N
529011	1804	1998-07-24	VYDAJ	VYBER	5100	84962	\N	\N	\N
529012	1804	1998-05-27	VYDAJ	VYBER	5400	76005	\N	\N	\N
529013	1804	1998-07-06	VYDAJ	VYBER	7500	53621	\N	\N	\N
529014	1804	1998-07-13	VYDAJ	VYBER	3600	90062	\N	\N	\N
529016	1804	1998-12-17	VYDAJ	VYBER	7800	56923	\N	\N	\N
529017	1804	1998-05-06	VYDAJ	VYBER	4500	81405	\N	\N	\N
529029	1804	1993-11-30	VYDAJ	VYBER	30	30369	SLUZBY	\N	\N
529030	1804	1993-12-31	VYDAJ	VYBER	30	40789	SLUZBY	\N	\N
529031	1804	1994-01-31	VYDAJ	VYBER	30	18983	SLUZBY	\N	\N
529032	1804	1994-02-28	VYDAJ	VYBER	30	66355	SLUZBY	\N	\N
529033	1804	1994-03-31	VYDAJ	VYBER	30	30808	SLUZBY	\N	\N
529034	1804	1994-04-30	VYDAJ	VYBER	30	31754	SLUZBY	\N	\N
529035	1804	1994-05-31	VYDAJ	VYBER	30	21686	SLUZBY	\N	\N
529036	1804	1994-06-30	VYDAJ	VYBER	30	38577	SLUZBY	\N	\N
529037	1804	1994-07-31	VYDAJ	VYBER	30	26387	SLUZBY	\N	\N
529038	1804	1994-08-31	VYDAJ	VYBER	30	61087	SLUZBY	\N	\N
529039	1804	1994-09-30	VYDAJ	VYBER	30	41137	SLUZBY	\N	\N
529040	1804	1994-10-31	VYDAJ	VYBER	30	27730	SLUZBY	\N	\N
529041	1804	1994-11-30	VYDAJ	VYBER	30	25215	SLUZBY	\N	\N
529042	1804	1994-12-31	VYDAJ	VYBER	30	32202	SLUZBY	\N	\N
529043	1804	1995-01-31	VYDAJ	VYBER	30	22686	SLUZBY	\N	\N
529044	1804	1995-02-28	VYDAJ	VYBER	30	22438	SLUZBY	\N	\N
529045	1804	1995-03-31	VYDAJ	VYBER	30	23303	SLUZBY	\N	\N
529046	1804	1995-04-30	VYDAJ	VYBER	30	26970	SLUZBY	\N	\N
529047	1804	1995-05-31	VYDAJ	VYBER	30	25852	SLUZBY	\N	\N
529048	1804	1995-06-30	VYDAJ	VYBER	30	30330	SLUZBY	\N	\N
529049	1804	1995-07-31	VYDAJ	VYBER	30	66538	SLUZBY	\N	\N
529050	1804	1995-08-31	VYDAJ	VYBER	30	39649	SLUZBY	\N	\N
529051	1804	1995-09-30	VYDAJ	VYBER	30	28024	SLUZBY	\N	\N
529052	1804	1995-10-31	VYDAJ	VYBER	30	44934	SLUZBY	\N	\N
529053	1804	1995-11-30	VYDAJ	VYBER	30	33032	SLUZBY	\N	\N
529054	1804	1995-12-31	VYDAJ	VYBER	30	29559	SLUZBY	\N	\N
529055	1804	1996-01-31	VYDAJ	VYBER	30	58434	SLUZBY	\N	\N
529056	1804	1996-02-29	VYDAJ	VYBER	30	86341	SLUZBY	\N	\N
529057	1804	1996-03-31	VYDAJ	VYBER	30	67746	SLUZBY	\N	\N
529058	1804	1996-04-30	VYDAJ	VYBER	30	95113	SLUZBY	\N	\N
529059	1804	1996-05-31	VYDAJ	VYBER	30	66046	SLUZBY	\N	\N
529060	1804	1996-06-30	VYDAJ	VYBER	30	48685	SLUZBY	\N	\N
529061	1804	1996-07-31	VYDAJ	VYBER	30	51562	SLUZBY	\N	\N
529062	1804	1996-08-31	VYDAJ	VYBER	30	48835	SLUZBY	\N	\N
529063	1804	1996-09-30	VYDAJ	VYBER	30	34005	SLUZBY	\N	\N
529064	1804	1996-10-31	VYDAJ	VYBER	30	78226	SLUZBY	\N	\N
529065	1804	1996-11-30	VYDAJ	VYBER	30	69805	SLUZBY	\N	\N
529066	1804	1996-12-31	VYDAJ	VYBER	30	88120	SLUZBY	\N	\N
529067	1804	1997-01-31	VYDAJ	VYBER	30	49528	SLUZBY	\N	\N
529068	1804	1997-02-28	VYDAJ	VYBER	30	86421	SLUZBY	\N	\N
529069	1804	1997-03-31	VYDAJ	VYBER	30	96325	SLUZBY	\N	\N
529070	1804	1997-04-30	VYDAJ	VYBER	30	104064	SLUZBY	\N	\N
529071	1804	1997-05-31	VYDAJ	VYBER	30	80877	SLUZBY	\N	\N
529072	1804	1997-06-30	VYDAJ	VYBER	30	39233	SLUZBY	\N	\N
529073	1804	1997-07-31	VYDAJ	VYBER	30	95322	SLUZBY	\N	\N
529074	1804	1997-08-31	VYDAJ	VYBER	30	47680	SLUZBY	\N	\N
529075	1804	1997-09-30	VYDAJ	VYBER	30	79633	SLUZBY	\N	\N
529076	1804	1997-10-31	VYDAJ	VYBER	30	80682	SLUZBY	\N	\N
529077	1804	1997-11-30	VYDAJ	VYBER	30	93532	SLUZBY	\N	\N
529078	1804	1997-12-31	VYDAJ	VYBER	30	87300	SLUZBY	\N	\N
529079	1804	1998-01-31	VYDAJ	VYBER	30	34646	SLUZBY	\N	\N
529080	1804	1998-02-28	VYDAJ	VYBER	30	34758	SLUZBY	\N	\N
529081	1804	1998-03-31	VYDAJ	VYBER	30	37369	SLUZBY	\N	\N
529082	1804	1998-04-30	VYDAJ	VYBER	30	37309	SLUZBY	\N	\N
529083	1804	1998-05-31	VYDAJ	VYBER	30	54971	SLUZBY	\N	\N
529084	1804	1998-06-30	VYDAJ	VYBER	30	61121	SLUZBY	\N	\N
529085	1804	1998-07-31	VYDAJ	VYBER	30	56557	SLUZBY	\N	\N
529086	1804	1998-08-31	VYDAJ	VYBER	30	39856	SLUZBY	\N	\N
529087	1804	1998-09-30	VYDAJ	VYBER	30	32287	SLUZBY	\N	\N
529088	1804	1998-10-31	VYDAJ	VYBER	30	29886	SLUZBY	\N	\N
529089	1804	1998-11-30	VYDAJ	VYBER	30	64676	SLUZBY	\N	\N
529090	1804	1993-10-23	VYDAJ	VYBER	7900	31100	\N	\N	\N
529091	1804	1993-11-11	VYDAJ	VYBER	21900	89172	\N	\N	\N
529092	1804	1993-11-22	VYDAJ	VYBER	38100	60270	\N	\N	\N
529093	1804	1993-12-22	VYDAJ	VYBER	22900	43077	\N	\N	\N
529094	1804	1994-01-21	VYDAJ	VYBER	900	23989	\N	\N	\N
529095	1804	1994-02-20	VYDAJ	VYBER	40000	66195	\N	\N	\N
529096	1804	1994-03-22	VYDAJ	VYBER	21900	44455	\N	\N	\N
529097	1804	1994-04-21	VYDAJ	VYBER	10400	36192	\N	\N	\N
529098	1804	1994-05-21	PRIJEM	VKLAD	1400	21599	\N	\N	\N
529099	1804	1994-06-20	VYDAJ	VYBER	12000	38491	\N	\N	\N
529100	1804	1994-07-20	PRIJEM	VKLAD	2900	26276	\N	\N	\N
529101	1804	1994-08-19	VYDAJ	VYBER	900	25487	\N	\N	\N
529102	1804	1994-09-18	VYDAJ	VYBER	13000	40949	\N	\N	\N
529103	1804	1994-10-18	VYDAJ	VYBER	3800	31859	\N	\N	\N
529104	1804	1994-11-17	VYDAJ	VYBER	2600	25130	\N	\N	\N
529105	1804	1994-12-17	VYDAJ	VYBER	200	25015	\N	\N	\N
529106	1804	1995-01-16	PRIJEM	VKLAD	600	22602	\N	\N	\N
529107	1804	1995-02-15	VYDAJ	VYBER	4000	32567	\N	\N	\N
529108	1804	1995-03-17	PRIJEM	VKLAD	3500	23238	\N	\N	\N
529109	1804	1995-04-16	PRIJEM	VKLAD	3600	26903	\N	\N	\N
529110	1804	1995-05-16	VYDAJ	VYBER	1200	25770	\N	\N	\N
529111	1804	1995-06-15	PRIJEM	VKLAD	4400	30252	\N	\N	\N
529112	1804	1995-07-15	VYDAJ	VYBER	2000	28330	\N	\N	\N
529113	1804	1995-08-14	VYDAJ	VYBER	15500	46472	\N	\N	\N
529114	1804	1995-09-13	VYDAJ	VYBER	10800	41027	\N	\N	\N
529115	1804	1995-10-13	VYDAJ	VYBER	11400	44794	\N	\N	\N
529116	1804	1995-11-12	PRIJEM	VKLAD	3800	32907	\N	\N	\N
529117	1804	1995-12-12	PRIJEM	VKLAD	8200	29462	\N	\N	\N
529118	1804	1996-01-11	PRIJEM	VKLAD	4400	25259	\N	\N	\N
529119	1804	1996-01-23	VYDAJ	VYBER	42600	67609	\N	\N	\N
529120	1804	1996-02-10	VYDAJ	VYBER	24500	55835	\N	\N	\N
529121	1804	1996-03-08	VYDAJ	VYBER	28400	98066	\N	\N	\N
529122	1804	1996-03-11	VYDAJ	VYBER	30600	67466	\N	\N	\N
529123	1804	1996-04-10	VYDAJ	VYBER	18000	49746	\N	\N	\N
529124	1804	1996-04-28	VYDAJ	VYBER	21200	101228	\N	\N	\N
529125	1804	1996-04-29	VYDAJ	VYBER	31300	94838	\N	\N	\N
529126	1804	1996-05-10	VYDAJ	VYBER	17500	53983	\N	\N	\N
529127	1804	1996-06-09	PRIJEM	VKLAD	3100	62995	\N	\N	\N
529128	1804	1996-07-09	VYDAJ	VYBER	2700	45985	\N	\N	\N
529129	1804	1996-08-08	VYDAJ	VYBER	14900	58410	\N	\N	\N
529130	1804	1996-09-07	VYDAJ	VYBER	21700	67129	\N	\N	\N
529131	1804	1996-10-07	PRIJEM	VKLAD	4200	38205	\N	\N	\N
529132	1804	1996-11-06	VYDAJ	VYBER	28500	73793	\N	\N	\N
529133	1804	1996-11-14	VYDAJ	VYBER	52500	69536	\N	\N	\N
529134	1804	1996-12-06	VYDAJ	VYBER	10400	59405	\N	\N	\N
529135	1804	1997-01-05	VYDAJ	VYBER	16600	66120	\N	\N	\N
529136	1804	1997-01-23	VYDAJ	VYBER	38900	72286	\N	\N	\N
529137	1804	1997-02-04	PRIJEM	VKLAD	600	50128	\N	\N	\N
529138	1804	1997-03-04	VYDAJ	VYBER	33500	80974	\N	\N	\N
529139	1804	1997-03-06	VYDAJ	VYBER	17600	63374	\N	\N	\N
529140	1804	1997-04-05	VYDAJ	VYBER	23400	72925	\N	\N	\N
529141	1804	1997-05-02	VYDAJ	VYBER	18300	96148	\N	\N	\N
529142	1804	1997-05-05	VYDAJ	VYBER	24300	71848	\N	\N	\N
529143	1804	1997-06-04	VYDAJ	VYBER	17200	63677	\N	\N	\N
529144	1804	1997-07-04	VYDAJ	VYBER	11600	60763	\N	\N	\N
529145	1804	1997-07-31	VYDAJ	VYBER	43600	51722	\N	\N	\N
529146	1804	1997-08-03	VYDAJ	VYBER	4400	47322	\N	\N	\N
529147	1804	1997-09-02	VYDAJ	VYBER	300	47380	\N	\N	\N
529148	1804	1997-09-18	VYDAJ	VYBER	43600	79348	\N	\N	\N
529149	1804	1997-10-02	VYDAJ	VYBER	18200	61433	\N	\N	\N
529150	1804	1997-11-01	VYDAJ	VYBER	18200	62482	\N	\N	\N
529151	1804	1997-12-01	VYDAJ	VYBER	22500	71032	\N	\N	\N
529152	1804	1997-12-31	VYDAJ	VYBER	22600	64700	\N	\N	\N
529153	1804	1998-01-30	PRIJEM	VKLAD	6500	34473	\N	\N	\N
529154	1804	1998-03-01	PRIJEM	VKLAD	2500	37258	\N	\N	\N
529155	1804	1998-03-31	VYDAJ	VYBER	2600	34769	\N	\N	\N
529156	1804	1998-04-30	VYDAJ	VYBER	3300	37339	\N	\N	\N
529157	1804	1998-05-30	VYDAJ	VYBER	21300	54705	\N	\N	\N
529158	1804	1998-06-29	VYDAJ	VYBER	33300	60924	\N	\N	\N
529159	1804	1998-07-29	VYDAJ	VYBER	28700	56262	\N	\N	\N
529160	1804	1998-08-28	VYDAJ	VYBER	16900	39657	\N	\N	\N
529161	1804	1998-09-27	VYDAJ	VYBER	7700	32156	\N	\N	\N
529162	1804	1998-10-27	VYDAJ	VYBER	2500	29787	\N	\N	\N
529163	1804	1998-11-21	VYDAJ	VYBER	32100	86968	\N	\N	\N
529164	1804	1998-11-22	VYDAJ	VYBER	39000	97575	\N	\N	\N
529165	1804	1998-11-26	VYDAJ	VYBER	33200	64375	\N	\N	\N
529229	1805	1993-02-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
529230	1805	1993-08-27	PRIJEM	VKLAD	23913	50113	\N	\N	\N
529231	1805	1993-11-24	PRIJEM	VKLAD	14919	44956	\N	\N	\N
529232	1805	1994-05-24	PRIJEM	VKLAD	5438	35858	\N	\N	\N
529233	1805	1994-09-18	PRIJEM	VKLAD	46636	119399	\N	\N	\N
529234	1805	1994-09-10	PRIJEM	VKLAD	44815	72763	\N	\N	\N
529235	1805	1994-10-24	PRIJEM	VKLAD	27516	79678	\N	\N	\N
529236	1805	1994-03-15	PRIJEM	VKLAD	21117	49128	\N	\N	\N
529237	1805	1995-11-15	PRIJEM	VKLAD	43979	139372	\N	\N	\N
529238	1805	1995-11-10	PRIJEM	VKLAD	45479	95393	\N	\N	\N
529239	1805	1995-09-12	PRIJEM	VKLAD	18478	55467	\N	\N	\N
529240	1805	1995-04-17	PRIJEM	VKLAD	18412	44766	\N	\N	\N
529241	1805	1995-08-16	PRIJEM	VKLAD	21783	74785	\N	\N	\N
529242	1805	1995-12-20	PRIJEM	VKLAD	20310	77966	\N	\N	\N
529243	1805	1995-11-30	PRIJEM	VKLAD	13310	79782	\N	\N	\N
529244	1805	1995-06-05	PRIJEM	VKLAD	29071	68576	\N	\N	\N
529245	1805	1995-07-10	PRIJEM	VKLAD	47271	84415	\N	\N	\N
529246	1805	1995-04-30	PRIJEM	VKLAD	20704	58417	\N	\N	\N
529247	1805	1995-07-12	PRIJEM	VKLAD	25866	110281	\N	\N	\N
529248	1805	1995-07-14	PRIJEM	VKLAD	43156	129037	\N	\N	\N
529249	1805	1995-11-06	PRIJEM	VKLAD	48746	69112	\N	\N	\N
529250	1805	1996-01-31	PRIJEM	VKLAD	25301	78160	\N	\N	\N
529251	1805	1996-09-30	PRIJEM	VKLAD	14011	83703	\N	\N	\N
529252	1805	1996-01-30	PRIJEM	VKLAD	31197	52622	\N	\N	\N
529253	1805	1996-07-16	PRIJEM	VKLAD	17528	82410	\N	\N	\N
529254	1805	1996-06-09	PRIJEM	VKLAD	21911	75760	\N	\N	\N
529255	1805	1996-10-29	PRIJEM	VKLAD	15543	88521	\N	\N	\N
529256	1805	1996-07-30	PRIJEM	VKLAD	18310	88320	\N	\N	\N
529257	1805	1996-01-12	PRIJEM	VKLAD	21474	71427	\N	\N	\N
529258	1805	1996-11-20	PRIJEM	VKLAD	11772	89196	\N	\N	\N
529259	1805	1996-04-03	PRIJEM	VKLAD	8352	90733	\N	\N	\N
529260	1805	1996-12-24	PRIJEM	VKLAD	35203	84506	\N	\N	\N
529261	1805	1996-09-12	PRIJEM	VKLAD	7964	73202	\N	\N	\N
529262	1805	1996-03-25	PRIJEM	VKLAD	20304	82215	\N	\N	\N
529263	1805	1996-04-11	PRIJEM	VKLAD	41241	125723	\N	\N	\N
529264	1805	1996-07-05	PRIJEM	VKLAD	26086	53092	\N	\N	\N
529265	1805	1996-07-09	PRIJEM	VKLAD	14900	64882	\N	\N	\N
529266	1805	1996-03-24	PRIJEM	VKLAD	28634	61911	\N	\N	\N
529267	1805	1997-09-17	PRIJEM	VKLAD	37239	148229	\N	\N	\N
529268	1805	1997-01-23	PRIJEM	VKLAD	31390	61980	\N	\N	\N
529269	1805	1997-10-19	PRIJEM	VKLAD	18313	100080	\N	\N	\N
529270	1805	1997-06-24	PRIJEM	VKLAD	9177	53711	\N	\N	\N
529271	1805	1997-03-14	PRIJEM	VKLAD	26460	90007	\N	\N	\N
529272	1805	1997-09-17	PRIJEM	VKLAD	20032	110990	\N	\N	\N
529273	1805	1997-04-13	PRIJEM	VKLAD	11936	92936	\N	\N	\N
529274	1805	1997-04-18	PRIJEM	VKLAD	49388	142324	\N	\N	\N
529275	1805	1997-12-23	PRIJEM	VKLAD	6780	73885	\N	\N	\N
529276	1805	1997-09-09	PRIJEM	VKLAD	8721	104758	\N	\N	\N
529277	1805	1997-08-05	PRIJEM	VKLAD	7392	68991	\N	\N	\N
529278	1805	1997-09-29	PRIJEM	VKLAD	28749	124378	\N	\N	\N
529279	1805	1997-11-17	PRIJEM	VKLAD	48358	105707	\N	\N	\N
529280	1805	1997-05-25	PRIJEM	VKLAD	43886	118391	\N	\N	\N
529281	1805	1997-05-18	PRIJEM	VKLAD	17534	74505	\N	\N	\N
529282	1805	1997-08-14	PRIJEM	VKLAD	17946	88027	\N	\N	\N
529283	1805	1997-12-26	PRIJEM	VKLAD	22369	96254	\N	\N	\N
529284	1805	1997-08-18	PRIJEM	VKLAD	46096	111410	\N	\N	\N
529285	1805	1997-10-18	PRIJEM	VKLAD	47483	126767	\N	\N	\N
529286	1805	1998-07-10	PRIJEM	VKLAD	20441	109094	\N	\N	\N
529287	1805	1998-03-03	PRIJEM	VKLAD	12119	74092	\N	\N	\N
529288	1805	1998-06-28	PRIJEM	VKLAD	8291	80063	\N	\N	\N
529289	1805	1998-07-06	PRIJEM	VKLAD	5979	91763	\N	\N	\N
529290	1805	1998-03-02	PRIJEM	VKLAD	26879	61973	\N	\N	\N
529291	1805	1998-10-08	PRIJEM	VKLAD	27918	107122	\N	\N	\N
529292	1805	1998-03-11	PRIJEM	VKLAD	41193	124075	\N	\N	\N
529293	1805	1998-05-20	PRIJEM	VKLAD	38467	112404	\N	\N	\N
529387	1805	1994-10-07	VYDAJ	PREVOD NA UCET	3110	52162	SIPO	OP	38994044
529388	1805	1994-11-07	VYDAJ	PREVOD NA UCET	3110	50986	SIPO	OP	38994044
529389	1805	1994-12-07	VYDAJ	PREVOD NA UCET	3110	36672	SIPO	OP	38994044
529390	1805	1995-01-07	VYDAJ	PREVOD NA UCET	3110	19499	SIPO	OP	38994044
529391	1805	1995-02-07	VYDAJ	PREVOD NA UCET	3110	22270	SIPO	OP	38994044
529392	1805	1995-03-07	VYDAJ	PREVOD NA UCET	3110	26556	SIPO	OP	38994044
529393	1805	1995-04-07	VYDAJ	PREVOD NA UCET	3110	26354	SIPO	OP	38994044
529394	1805	1995-05-07	VYDAJ	PREVOD NA UCET	3110	47623	SIPO	OP	38994044
529395	1805	1995-06-07	VYDAJ	PREVOD NA UCET	3110	65466	SIPO	OP	38994044
529396	1805	1995-07-07	VYDAJ	PREVOD NA UCET	3110	37144	SIPO	OP	38994044
529397	1805	1995-08-07	VYDAJ	PREVOD NA UCET	3110	53002	SIPO	OP	38994044
529398	1805	1995-09-07	VYDAJ	PREVOD NA UCET	3110	36989	SIPO	OP	38994044
529399	1805	1995-10-07	VYDAJ	PREVOD NA UCET	3110	34391	SIPO	OP	38994044
529400	1805	1995-11-07	VYDAJ	PREVOD NA UCET	3110	49914	SIPO	OP	38994044
529401	1805	1995-12-07	VYDAJ	PREVOD NA UCET	3110	70956	SIPO	OP	38994044
529402	1805	1996-01-07	VYDAJ	PREVOD NA UCET	3110	69753	SIPO	OP	38994044
529403	1805	1996-02-07	VYDAJ	PREVOD NA UCET	3110	75036	SIPO	OP	38994044
529404	1805	1996-03-07	VYDAJ	PREVOD NA UCET	3110	27177	SIPO	OP	38994044
529405	1805	1996-04-07	VYDAJ	PREVOD NA UCET	3110	84482	SIPO	OP	38994044
529406	1805	1996-05-07	VYDAJ	PREVOD NA UCET	3110	64215	SIPO	OP	38994044
529407	1805	1996-06-07	VYDAJ	PREVOD NA UCET	3110	53849	SIPO	OP	38994044
529408	1805	1996-07-07	VYDAJ	PREVOD NA UCET	3110	49982	SIPO	OP	38994044
529409	1805	1996-08-07	VYDAJ	PREVOD NA UCET	3110	85446	SIPO	OP	38994044
529410	1805	1996-09-07	VYDAJ	PREVOD NA UCET	3110	65238	SIPO	OP	38994044
529411	1805	1996-10-07	VYDAJ	PREVOD NA UCET	3110	80578	SIPO	OP	38994044
529412	1805	1996-11-07	VYDAJ	PREVOD NA UCET	3110	85724	SIPO	OP	38994044
529413	1805	1996-12-07	VYDAJ	PREVOD NA UCET	3110	78330	SIPO	OP	38994044
529414	1805	1997-01-07	VYDAJ	PREVOD NA UCET	3110	68790	SIPO	OP	38994044
529415	1805	1997-02-07	VYDAJ	PREVOD NA UCET	3110	59099	SIPO	OP	38994044
529416	1805	1997-03-07	VYDAJ	PREVOD NA UCET	3110	54547	SIPO	OP	38994044
529417	1805	1997-04-07	VYDAJ	PREVOD NA UCET	3110	87200	SIPO	OP	38994044
529418	1805	1997-05-07	VYDAJ	PREVOD NA UCET	3110	60822	SIPO	OP	38994044
529419	1805	1997-06-07	VYDAJ	PREVOD NA UCET	3110	33808	SIPO	OP	38994044
529420	1805	1997-07-07	VYDAJ	PREVOD NA UCET	3110	50771	SIPO	OP	38994044
529421	1805	1997-08-07	VYDAJ	PREVOD NA UCET	3110	65881	SIPO	OP	38994044
529422	1805	1997-09-07	VYDAJ	PREVOD NA UCET	3110	96037	SIPO	OP	38994044
529423	1805	1997-10-07	VYDAJ	PREVOD NA UCET	3110	75884	SIPO	OP	38994044
529424	1805	1997-11-07	VYDAJ	PREVOD NA UCET	3110	94925	SIPO	OP	38994044
529425	1805	1997-12-07	VYDAJ	PREVOD NA UCET	3110	97286	SIPO	OP	38994044
529426	1805	1998-01-07	VYDAJ	PREVOD NA UCET	3110	82279	SIPO	OP	38994044
529427	1805	1998-02-07	VYDAJ	PREVOD NA UCET	3110	56922	SIPO	OP	38994044
529428	1805	1998-03-07	VYDAJ	PREVOD NA UCET	3110	70982	SIPO	OP	38994044
529429	1805	1998-04-07	VYDAJ	PREVOD NA UCET	3110	79732	SIPO	OP	38994044
529430	1805	1998-05-07	VYDAJ	PREVOD NA UCET	3110	73937	SIPO	OP	38994044
529431	1805	1998-06-07	VYDAJ	PREVOD NA UCET	3110	84972	SIPO	OP	38994044
529432	1805	1998-07-07	VYDAJ	PREVOD NA UCET	3110	88653	SIPO	OP	38994044
529433	1805	1998-08-07	VYDAJ	PREVOD NA UCET	3110	96889	SIPO	OP	38994044
529434	1805	1998-09-07	VYDAJ	PREVOD NA UCET	3110	91875	SIPO	OP	38994044
529435	1805	1998-10-07	VYDAJ	PREVOD NA UCET	3110	79204	SIPO	OP	38994044
529436	1805	1998-11-07	VYDAJ	PREVOD NA UCET	3110	93014	SIPO	OP	38994044
529437	1805	1998-12-07	VYDAJ	PREVOD NA UCET	3110	86884	SIPO	OP	38994044
529438	1805	1995-05-01	VYBER	VYBER	7670	50733	\N	\N	\N
529439	1805	1995-11-06	VYBER	VYBER	16088	53024	\N	\N	\N
529441	1805	1995-07-20	VYBER	VYBER	13411	75526	\N	\N	\N
529443	1805	1995-10-23	VYBER	VYBER	15217	20246	\N	\N	\N
529444	1805	1995-06-12	VYBER	VYBER	22585	42881	\N	\N	\N
529446	1805	1995-10-06	VYBER	VYBER	7346	37501	\N	\N	\N
529447	1805	1995-10-20	VYBER	VYBER	5128	35463	\N	\N	\N
529448	1805	1996-04-06	VYBER	VYBER	3141	87592	\N	\N	\N
529449	1805	1996-12-15	VYBER	VYBER	18727	54403	\N	\N	\N
529450	1805	1996-02-27	VYBER	VYBER	15591	30045	\N	\N	\N
529451	1805	1996-01-18	VYBER	VYBER	19202	52225	\N	\N	\N
529452	1805	1996-06-10	VYBER	VYBER	4694	25166	\N	\N	\N
529453	1805	1997-11-14	VYBER	VYBER	23414	57349	\N	\N	\N
529454	1805	1997-06-14	VYBER	VYBER	6574	44534	\N	\N	\N
529455	1805	1997-12-12	VYBER	VYBER	23481	67105	\N	\N	\N
529456	1805	1997-05-26	VYBER	VYBER	24301	36690	\N	\N	\N
529457	1805	1997-11-08	VYBER	VYBER	15162	80763	\N	\N	\N
529458	1805	1997-02-14	VYBER	VYBER	2679	61920	\N	\N	\N
529459	1805	1997-05-11	VYBER	VYBER	23751	37071	\N	\N	\N
529460	1805	1997-08-14	VYBER	VYBER	22713	65314	\N	\N	\N
529461	1805	1998-02-12	VYBER	VYBER	14657	42265	\N	\N	\N
529462	1805	1998-04-22	VYBER	VYBER	21470	58262	\N	\N	\N
529463	1805	1998-03-30	VYBER	VYBER	6125	71850	\N	\N	\N
529464	1805	1998-06-03	VYBER	VYBER	17638	78282	\N	\N	\N
529465	1805	1998-02-19	VYBER	VYBER	7322	34943	\N	\N	\N
529469	1805	1996-06-09	VYDAJ	VYBER	45900	29860	\N	\N	\N
529474	1805	1995-01-05	VYDAJ	VYBER	6300	22609	\N	\N	\N
529475	1805	1996-01-09	VYDAJ	VYBER	19800	49953	\N	\N	\N
529476	1805	1997-01-14	VYDAJ	VYBER	27300	34490	\N	\N	\N
529477	1805	1998-01-10	VYDAJ	VYBER	3900	70279	\N	\N	\N
529479	1805	1994-12-22	VYDAJ	VYBER	7200	29472	\N	\N	\N
529480	1805	1995-12-02	VYDAJ	VYBER	6000	74066	\N	\N	\N
529481	1805	1996-12-03	VYDAJ	VYBER	8100	81440	\N	\N	\N
529482	1805	1997-12-05	VYDAJ	VYBER	5700	100396	\N	\N	\N
529483	1805	1998-12-10	VYDAJ	VYBER	2100	84784	\N	\N	\N
529502	1805	1996-01-21	VYDAJ	VYBER	6000	41825	\N	\N	\N
529503	1805	1996-01-29	VYDAJ	VYBER	7200	21425	\N	\N	\N
529504	1805	1996-01-28	VYDAJ	VYBER	6000	28625	\N	\N	\N
529506	1805	1996-01-03	VYDAJ	VYBER	2400	75863	\N	\N	\N
529507	1805	1996-01-05	VYDAJ	VYBER	3000	72863	\N	\N	\N
529508	1805	1997-01-06	VYDAJ	VYBER	7500	71900	\N	\N	\N
529510	1805	1997-01-01	VYDAJ	VYBER	5400	79400	\N	\N	\N
529511	1805	1997-01-12	VYDAJ	VYBER	8100	61790	\N	\N	\N
529512	1805	1997-01-09	VYDAJ	VYBER	7800	60990	\N	\N	\N
529513	1805	1997-01-14	VYDAJ	VYBER	3900	30590	\N	\N	\N
529514	1805	1998-01-08	VYDAJ	VYBER	6300	75979	\N	\N	\N
529515	1805	1998-01-26	VYDAJ	VYBER	8100	41779	\N	\N	\N
529516	1805	1998-01-07	VYDAJ	VYBER	5700	85389	\N	\N	\N
529517	1805	1998-01-30	VYDAJ	VYBER	7200	34579	\N	\N	\N
529518	1805	1998-01-22	VYDAJ	VYBER	4200	52879	\N	\N	\N
529519	1805	1998-01-03	VYDAJ	VYBER	7800	85489	\N	\N	\N
529529	1805	1995-09-24	VYDAJ	VYBER	3600	44667	\N	\N	\N
529530	1805	1995-09-06	VYDAJ	VYBER	5700	40099	\N	\N	\N
529533	1805	1995-08-19	VYDAJ	VYBER	14100	60685	\N	\N	\N
529534	1805	1995-08-25	VYDAJ	VYBER	3000	45585	\N	\N	\N
529535	1805	1996-02-25	VYDAJ	VYBER	7500	45636	\N	\N	\N
529536	1805	1996-12-22	VYDAJ	VYBER	5100	49303	\N	\N	\N
529537	1805	1996-02-12	VYDAJ	VYBER	9900	65136	\N	\N	\N
529538	1805	1996-01-23	VYDAJ	VYBER	7200	34625	\N	\N	\N
529540	1805	1996-06-24	VYDAJ	VYBER	10500	26866	\N	\N	\N
529541	1805	1996-08-13	VYDAJ	VYBER	13500	71946	\N	\N	\N
529542	1805	1997-02-19	VYDAJ	VYBER	4500	57420	\N	\N	\N
529543	1805	1997-08-12	VYDAJ	VYBER	5400	70081	\N	\N	\N
529544	1805	1997-12-30	VYDAJ	VYBER	3300	92954	\N	\N	\N
529545	1805	1997-08-21	VYDAJ	VYBER	12600	98810	\N	\N	\N
529546	1805	1997-11-03	VYDAJ	VYBER	2400	98035	\N	\N	\N
529547	1805	1998-01-09	VYDAJ	VYBER	1800	74179	\N	\N	\N
529548	1805	1998-01-16	VYDAJ	VYBER	13200	57079	\N	\N	\N
529549	1805	1998-06-17	VYDAJ	VYBER	13200	71772	\N	\N	\N
529550	1805	1998-04-23	VYDAJ	VYBER	2400	55862	\N	\N	\N
529551	1805	1998-09-13	VYDAJ	VYBER	11400	80475	\N	\N	\N
529552	1805	1998-01-22	VYDAJ	VYBER	3000	49879	\N	\N	\N
529574	1805	1994-09-30	VYDAJ	VYBER	15	55272	SLUZBY	\N	\N
529575	1805	1994-10-31	VYDAJ	VYBER	15	54096	SLUZBY	\N	\N
529576	1805	1994-11-30	VYDAJ	VYBER	15	39782	SLUZBY	\N	\N
529577	1805	1994-12-31	VYDAJ	VYBER	15	28909	SLUZBY	\N	\N
529578	1805	1995-01-31	VYDAJ	VYBER	15	25380	SLUZBY	\N	\N
529579	1805	1995-02-28	VYDAJ	VYBER	15	29666	SLUZBY	\N	\N
529580	1805	1995-03-31	VYDAJ	VYBER	15	29464	SLUZBY	\N	\N
529581	1805	1995-04-30	VYDAJ	VYBER	15	58403	SLUZBY	\N	\N
529582	1805	1995-05-31	VYDAJ	VYBER	15	39505	SLUZBY	\N	\N
529583	1805	1995-06-30	VYDAJ	VYBER	15	40254	SLUZBY	\N	\N
529584	1805	1995-07-31	VYDAJ	VYBER	15	56112	SLUZBY	\N	\N
529585	1805	1995-08-31	VYDAJ	VYBER	15	45799	SLUZBY	\N	\N
529586	1805	1995-09-30	VYDAJ	VYBER	15	44847	SLUZBY	\N	\N
529587	1805	1995-10-31	VYDAJ	VYBER	15	20366	SLUZBY	\N	\N
529588	1805	1995-11-30	VYDAJ	VYBER	15	80066	SLUZBY	\N	\N
529589	1805	1995-12-31	VYDAJ	VYBER	15	78263	SLUZBY	\N	\N
529590	1805	1996-01-31	VYDAJ	VYBER	15	78146	SLUZBY	\N	\N
529591	1805	1996-02-29	VYDAJ	VYBER	15	30287	SLUZBY	\N	\N
529592	1805	1996-03-31	VYDAJ	VYBER	15	82381	SLUZBY	\N	\N
529593	1805	1996-04-30	VYDAJ	VYBER	15	67325	SLUZBY	\N	\N
529594	1805	1996-05-31	VYDAJ	VYBER	15	56959	SLUZBY	\N	\N
529595	1805	1996-06-30	VYDAJ	VYBER	15	27006	SLUZBY	\N	\N
529596	1805	1996-07-31	VYDAJ	VYBER	15	88556	SLUZBY	\N	\N
529597	1805	1996-08-31	VYDAJ	VYBER	15	68348	SLUZBY	\N	\N
529598	1805	1996-09-30	VYDAJ	VYBER	15	83688	SLUZBY	\N	\N
529599	1805	1996-10-31	VYDAJ	VYBER	15	88834	SLUZBY	\N	\N
529600	1805	1996-11-30	VYDAJ	VYBER	15	89540	SLUZBY	\N	\N
529601	1805	1996-12-31	VYDAJ	VYBER	15	84800	SLUZBY	\N	\N
529602	1805	1997-01-31	VYDAJ	VYBER	15	62209	SLUZBY	\N	\N
529603	1805	1997-02-28	VYDAJ	VYBER	15	57657	SLUZBY	\N	\N
529604	1805	1997-03-31	VYDAJ	VYBER	15	90310	SLUZBY	\N	\N
529605	1805	1997-04-30	VYDAJ	VYBER	15	63932	SLUZBY	\N	\N
529606	1805	1997-05-31	VYDAJ	VYBER	15	36918	SLUZBY	\N	\N
529607	1805	1997-06-30	VYDAJ	VYBER	15	53881	SLUZBY	\N	\N
529608	1805	1997-07-31	VYDAJ	VYBER	15	61599	SLUZBY	\N	\N
529609	1805	1997-08-31	VYDAJ	VYBER	15	99147	SLUZBY	\N	\N
529610	1805	1997-09-30	VYDAJ	VYBER	15	78994	SLUZBY	\N	\N
529611	1805	1997-10-31	VYDAJ	VYBER	15	100435	SLUZBY	\N	\N
529612	1805	1997-11-30	VYDAJ	VYBER	15	106096	SLUZBY	\N	\N
529613	1805	1997-12-31	VYDAJ	VYBER	15	93289	SLUZBY	\N	\N
529614	1805	1998-01-31	VYDAJ	VYBER	15	34832	SLUZBY	\N	\N
529615	1805	1998-02-28	VYDAJ	VYBER	15	35094	SLUZBY	\N	\N
529616	1805	1998-03-31	VYDAJ	VYBER	15	72142	SLUZBY	\N	\N
529617	1805	1998-04-30	VYDAJ	VYBER	15	56147	SLUZBY	\N	\N
529618	1805	1998-05-31	VYDAJ	VYBER	15	95920	SLUZBY	\N	\N
529619	1805	1998-06-30	VYDAJ	VYBER	15	80384	SLUZBY	\N	\N
529620	1805	1998-07-31	VYDAJ	VYBER	15	109499	SLUZBY	\N	\N
529621	1805	1998-08-31	VYDAJ	VYBER	15	97285	SLUZBY	\N	\N
529622	1805	1998-09-30	VYDAJ	VYBER	15	80814	SLUZBY	\N	\N
529623	1805	1998-10-31	VYDAJ	VYBER	15	107524	SLUZBY	\N	\N
529624	1805	1998-11-30	VYDAJ	VYBER	15	93394	SLUZBY	\N	\N
529625	1805	1993-03-04	PRIJEM	VKLAD	9500	10600	\N	\N	\N
529626	1805	1993-04-03	PRIJEM	VKLAD	8700	19300	\N	\N	\N
529627	1805	1993-05-03	PRIJEM	VKLAD	300	19600	\N	\N	\N
529628	1805	1993-06-02	PRIJEM	VKLAD	2300	21900	\N	\N	\N
529629	1805	1993-07-02	PRIJEM	VKLAD	2800	24700	\N	\N	\N
529630	1805	1993-08-01	PRIJEM	VKLAD	1500	26200	\N	\N	\N
529631	1805	1993-08-31	VYDAJ	VYBER	15100	35045	\N	\N	\N
529632	1805	1993-09-30	VYDAJ	VYBER	3600	31591	\N	\N	\N
529633	1805	1993-10-30	VYDAJ	VYBER	1700	29891	\N	\N	\N
529634	1805	1993-11-29	VYDAJ	VYBER	12200	32756	\N	\N	\N
529635	1805	1993-12-29	VYDAJ	VYBER	6500	26401	\N	\N	\N
529636	1805	1994-01-28	PRIJEM	VKLAD	1400	27938	\N	\N	\N
529637	1805	1994-02-27	VYDAJ	VYBER	200	27874	\N	\N	\N
529638	1805	1994-03-29	VYDAJ	VYBER	12200	36928	\N	\N	\N
529639	1805	1994-04-28	VYDAJ	VYBER	6800	30266	\N	\N	\N
529640	1805	1994-05-28	VYDAJ	VYBER	6900	28958	\N	\N	\N
529641	1805	1994-06-27	VYDAJ	VYBER	1000	28107	\N	\N	\N
529642	1805	1994-07-27	VYDAJ	VYBER	400	27828	\N	\N	\N
529643	1805	1994-09-18	VYDAJ	VYBER	44300	75099	\N	\N	\N
529644	1805	1994-09-25	VYDAJ	VYBER	20000	55099	\N	\N	\N
529645	1805	1994-10-25	VYDAJ	VYBER	25800	53878	\N	\N	\N
529646	1805	1994-11-24	VYDAJ	VYBER	11400	39586	\N	\N	\N
529647	1805	1994-12-24	VYDAJ	VYBER	700	28772	\N	\N	\N
529648	1805	1995-01-23	PRIJEM	VKLAD	5800	25299	\N	\N	\N
529649	1805	1995-02-22	PRIJEM	VKLAD	7300	29570	\N	\N	\N
529650	1805	1995-03-24	PRIJEM	VKLAD	2800	29356	\N	\N	\N
529651	1805	1995-04-23	VYDAJ	VYBER	7200	37566	\N	\N	\N
529652	1805	1995-05-23	VYDAJ	VYBER	8300	39323	\N	\N	\N
529653	1805	1995-06-22	VYDAJ	VYBER	2800	40081	\N	\N	\N
529654	1805	1995-07-12	VYDAJ	VYBER	24400	85881	\N	\N	\N
529655	1805	1995-07-14	VYDAJ	VYBER	40100	88937	\N	\N	\N
529656	1805	1995-07-22	VYDAJ	VYBER	19700	55826	\N	\N	\N
529657	1805	1995-08-21	VYDAJ	VYBER	12100	48585	\N	\N	\N
529658	1805	1995-09-20	VYDAJ	VYBER	7200	48267	\N	\N	\N
529659	1805	1995-10-20	PRIJEM	VKLAD	6200	40591	\N	\N	\N
529660	1805	1995-11-15	VYDAJ	VYBER	52400	86972	\N	\N	\N
529661	1805	1995-11-19	VYDAJ	VYBER	20500	66472	\N	\N	\N
529662	1805	1995-12-19	VYDAJ	VYBER	13300	57656	\N	\N	\N
529663	1805	1996-01-18	VYDAJ	VYBER	4400	47825	\N	\N	\N
529664	1805	1996-02-17	VYDAJ	VYBER	12000	53136	\N	\N	\N
529665	1805	1996-03-18	PRIJEM	VKLAD	6100	33277	\N	\N	\N
529666	1805	1996-04-11	VYDAJ	VYBER	40400	85323	\N	\N	\N
529667	1805	1996-04-17	VYDAJ	VYBER	18300	67023	\N	\N	\N
529668	1805	1996-05-17	VYDAJ	VYBER	7500	56715	\N	\N	\N
529669	1805	1996-06-16	PRIJEM	VKLAD	12200	37366	\N	\N	\N
529670	1805	1996-07-16	VYDAJ	VYBER	12400	70010	\N	\N	\N
529671	1805	1996-08-15	VYDAJ	VYBER	3900	68046	\N	\N	\N
529672	1805	1996-09-14	VYDAJ	VYBER	3800	69402	\N	\N	\N
529673	1805	1996-10-14	VYDAJ	VYBER	7600	72978	\N	\N	\N
529674	1805	1996-11-13	VYDAJ	VYBER	8300	77424	\N	\N	\N
529675	1805	1996-12-13	VYDAJ	VYBER	5200	73130	\N	\N	\N
529676	1805	1997-01-12	PRIJEM	VKLAD	8900	69890	\N	\N	\N
529677	1805	1997-02-11	PRIJEM	VKLAD	5500	64599	\N	\N	\N
529678	1805	1997-03-13	PRIJEM	VKLAD	9000	63547	\N	\N	\N
529679	1805	1997-04-12	VYDAJ	VYBER	6200	81000	\N	\N	\N
529680	1805	1997-04-18	VYDAJ	VYBER	20800	121524	\N	\N	\N
529681	1805	1997-04-30	VYDAJ	VYBER	58000	63947	\N	\N	\N
529682	1805	1997-05-12	PRIJEM	VKLAD	19900	56971	\N	\N	\N
529683	1805	1997-05-25	VYDAJ	VYBER	57400	60991	\N	\N	\N
529684	1805	1997-06-11	PRIJEM	VKLAD	17300	51108	\N	\N	\N
529685	1805	1997-07-11	PRIJEM	VKLAD	10600	61371	\N	\N	\N
529686	1805	1997-08-10	PRIJEM	VKLAD	9600	75481	\N	\N	\N
529687	1805	1997-09-09	VYDAJ	VYBER	13800	90958	\N	\N	\N
529688	1805	1997-09-17	VYDAJ	VYBER	52600	95629	\N	\N	\N
529689	1805	1997-09-29	VYDAJ	VYBER	45800	78578	\N	\N	\N
529690	1805	1997-10-09	PRIJEM	VKLAD	3400	79284	\N	\N	\N
529691	1805	1997-10-18	VYDAJ	VYBER	45000	81767	\N	\N	\N
529692	1805	1997-11-08	PRIJEM	VKLAD	1000	95925	\N	\N	\N
529693	1805	1997-12-08	VYDAJ	VYBER	6700	90586	\N	\N	\N
529694	1805	1998-01-07	PRIJEM	VKLAD	5600	91089	\N	\N	\N
529695	1805	1998-02-06	PRIJEM	VKLAD	25200	60032	\N	\N	\N
529696	1805	1998-03-08	PRIJEM	VKLAD	11900	82882	\N	\N	\N
529697	1805	1998-03-11	VYDAJ	VYBER	46100	77975	\N	\N	\N
529698	1805	1998-04-07	PRIJEM	VKLAD	10700	82842	\N	\N	\N
529699	1805	1998-05-07	PRIJEM	VKLAD	20900	77047	\N	\N	\N
529700	1805	1998-05-20	VYDAJ	VYBER	16800	95604	\N	\N	\N
529701	1805	1998-06-06	PRIJEM	VKLAD	9800	88082	\N	\N	\N
529702	1805	1998-07-06	PRIJEM	VKLAD	5400	85784	\N	\N	\N
529703	1805	1998-08-05	VYDAJ	VYBER	9500	99999	\N	\N	\N
529704	1805	1998-09-04	VYDAJ	VYBER	2300	94985	\N	\N	\N
529705	1805	1998-10-04	PRIJEM	VKLAD	1500	82314	\N	\N	\N
529706	1805	1998-11-03	VYDAJ	VYBER	11400	96124	\N	\N	\N
529707	1805	1998-12-03	VYDAJ	VYBER	3400	89994	\N	\N	\N
529772	1806	1993-01-19	PRIJEM	VKLAD	400	400	\N	\N	\N
529774	1806	1993-02-05	PRIJEM	PREVOD Z UCTU	5029	5429	DUCHOD	UV	39912659
529775	1806	1993-03-05	PRIJEM	PREVOD Z UCTU	5029	10458	DUCHOD	UV	39912659
529776	1806	1993-04-05	PRIJEM	PREVOD Z UCTU	5029	15487	DUCHOD	UV	39912659
529777	1806	1993-05-05	PRIJEM	PREVOD Z UCTU	5029	20516	DUCHOD	UV	39912659
529778	1806	1993-06-05	PRIJEM	PREVOD Z UCTU	5029	25545	DUCHOD	UV	39912659
529779	1806	1993-07-05	PRIJEM	PREVOD Z UCTU	5029	24768	DUCHOD	UV	39912659
529780	1806	1993-08-05	PRIJEM	PREVOD Z UCTU	5029	25719	DUCHOD	UV	39912659
529781	1806	1993-09-05	PRIJEM	PREVOD Z UCTU	5029	28274	DUCHOD	UV	39912659
529782	1806	1993-10-05	PRIJEM	PREVOD Z UCTU	5029	30338	DUCHOD	UV	39912659
529783	1806	1993-11-05	PRIJEM	PREVOD Z UCTU	5029	30007	DUCHOD	UV	39912659
529784	1806	1993-12-05	PRIJEM	PREVOD Z UCTU	5029	30337	DUCHOD	UV	39912659
529785	1806	1994-01-05	PRIJEM	PREVOD Z UCTU	5029	26715	DUCHOD	UV	39912659
529786	1806	1994-02-05	PRIJEM	PREVOD Z UCTU	5029	18625	DUCHOD	UV	39912659
529787	1806	1994-03-05	PRIJEM	PREVOD Z UCTU	5029	21150	DUCHOD	UV	39912659
529788	1806	1994-04-05	PRIJEM	PREVOD Z UCTU	5029	23686	DUCHOD	UV	39912659
529789	1806	1994-05-05	PRIJEM	PREVOD Z UCTU	5029	26233	DUCHOD	UV	39912659
529790	1806	1994-06-05	PRIJEM	PREVOD Z UCTU	5029	22290	DUCHOD	UV	39912659
529791	1806	1994-07-05	PRIJEM	PREVOD Z UCTU	5029	24839	DUCHOD	UV	39912659
529792	1806	1994-08-05	PRIJEM	PREVOD Z UCTU	5029	27391	DUCHOD	UV	39912659
529793	1806	1994-09-05	PRIJEM	PREVOD Z UCTU	5029	23307	DUCHOD	UV	39912659
529794	1806	1994-10-05	PRIJEM	PREVOD Z UCTU	5029	25859	DUCHOD	UV	39912659
529795	1806	1994-11-05	PRIJEM	PREVOD Z UCTU	5029	25130	DUCHOD	UV	39912659
529796	1806	1994-12-05	PRIJEM	PREVOD Z UCTU	5029	27682	DUCHOD	UV	39912659
529797	1806	1995-01-05	PRIJEM	PREVOD Z UCTU	5029	22383	DUCHOD	UV	39912659
529798	1806	1995-02-05	PRIJEM	PREVOD Z UCTU	5029	19881	DUCHOD	UV	39912659
529799	1806	1995-03-05	PRIJEM	PREVOD Z UCTU	5029	22411	DUCHOD	UV	39912659
529800	1806	1995-04-05	PRIJEM	PREVOD Z UCTU	5029	24952	DUCHOD	UV	39912659
529801	1806	1995-05-05	PRIJEM	PREVOD Z UCTU	5029	23578	DUCHOD	UV	39912659
529802	1806	1995-06-05	PRIJEM	PREVOD Z UCTU	5029	26124	DUCHOD	UV	39912659
529803	1806	1995-07-05	PRIJEM	PREVOD Z UCTU	5029	21079	DUCHOD	UV	39912659
529804	1806	1995-08-05	PRIJEM	PREVOD Z UCTU	5029	23621	DUCHOD	UV	39912659
529805	1806	1995-09-05	PRIJEM	PREVOD Z UCTU	5029	22322	DUCHOD	UV	39912659
529806	1806	1995-10-05	PRIJEM	PREVOD Z UCTU	5029	24863	DUCHOD	UV	39912659
529807	1806	1995-11-05	PRIJEM	PREVOD Z UCTU	5029	27414	DUCHOD	UV	39912659
529808	1806	1995-12-05	PRIJEM	PREVOD Z UCTU	5029	26371	DUCHOD	UV	39912659
529809	1806	1996-01-05	PRIJEM	PREVOD Z UCTU	5029	23777	DUCHOD	UV	39912659
529810	1806	1996-02-05	PRIJEM	PREVOD Z UCTU	5029	21118	DUCHOD	UV	39912659
529811	1806	1996-03-05	PRIJEM	PREVOD Z UCTU	5029	19729	DUCHOD	UV	39912659
529812	1806	1996-04-05	PRIJEM	PREVOD Z UCTU	5029	22259	DUCHOD	UV	39912659
529813	1806	1996-05-05	PRIJEM	PREVOD Z UCTU	5029	22875	DUCHOD	UV	39912659
529814	1806	1996-06-05	PRIJEM	PREVOD Z UCTU	5029	25417	DUCHOD	UV	39912659
529815	1806	1996-07-05	PRIJEM	PREVOD Z UCTU	5029	26050	DUCHOD	UV	39912659
529816	1806	1996-08-05	PRIJEM	PREVOD Z UCTU	5029	28605	DUCHOD	UV	39912659
529817	1806	1996-09-05	PRIJEM	PREVOD Z UCTU	5029	28606	DUCHOD	UV	39912659
529818	1806	1996-10-05	PRIJEM	PREVOD Z UCTU	5029	28929	DUCHOD	UV	39912659
529819	1806	1996-11-05	PRIJEM	PREVOD Z UCTU	5029	31496	DUCHOD	UV	39912659
529820	1806	1996-12-05	PRIJEM	PREVOD Z UCTU	5029	32974	DUCHOD	UV	39912659
529821	1806	1997-01-05	PRIJEM	PREVOD Z UCTU	5029	34124	DUCHOD	UV	39912659
529822	1806	1997-02-05	PRIJEM	PREVOD Z UCTU	5029	25263	DUCHOD	UV	39912659
529823	1806	1997-03-05	PRIJEM	PREVOD Z UCTU	5029	27815	DUCHOD	UV	39912659
529824	1806	1997-04-05	PRIJEM	PREVOD Z UCTU	5029	28694	DUCHOD	UV	39912659
529825	1806	1997-05-05	PRIJEM	PREVOD Z UCTU	5029	31260	DUCHOD	UV	39912659
529826	1806	1997-06-05	PRIJEM	PREVOD Z UCTU	5029	33837	DUCHOD	UV	39912659
529827	1806	1997-07-05	PRIJEM	PREVOD Z UCTU	5029	22683	DUCHOD	UV	39912659
529828	1806	1997-08-05	PRIJEM	PREVOD Z UCTU	5029	25224	DUCHOD	UV	39912659
529829	1806	1997-09-05	PRIJEM	PREVOD Z UCTU	5029	27775	DUCHOD	UV	39912659
529830	1806	1997-10-05	PRIJEM	PREVOD Z UCTU	5029	30337	DUCHOD	UV	39912659
529831	1806	1997-11-05	PRIJEM	PREVOD Z UCTU	5029	26896	DUCHOD	UV	39912659
529832	1806	1997-12-05	PRIJEM	PREVOD Z UCTU	5029	28254	DUCHOD	UV	39912659
529833	1806	1998-01-05	PRIJEM	PREVOD Z UCTU	5029	29463	DUCHOD	UV	39912659
529834	1806	1998-02-05	PRIJEM	PREVOD Z UCTU	5029	22171	DUCHOD	UV	39912659
529835	1806	1998-03-05	PRIJEM	PREVOD Z UCTU	5029	24709	DUCHOD	UV	39912659
529836	1806	1998-04-05	PRIJEM	PREVOD Z UCTU	5029	27258	DUCHOD	UV	39912659
529837	1806	1998-05-05	PRIJEM	PREVOD Z UCTU	5029	29817	DUCHOD	UV	39912659
529838	1806	1998-06-05	PRIJEM	PREVOD Z UCTU	5029	32387	DUCHOD	UV	39912659
529919	1806	1995-06-12	VYDAJ	VYBER	4550	21574	\N	\N	\N
529839	1806	1998-07-05	PRIJEM	PREVOD Z UCTU	5029	25504	DUCHOD	UV	39912659
529840	1806	1998-08-05	PRIJEM	PREVOD Z UCTU	5029	26694	DUCHOD	UV	39912659
529841	1806	1998-09-05	PRIJEM	PREVOD Z UCTU	5029	29251	DUCHOD	UV	39912659
529842	1806	1998-10-05	PRIJEM	PREVOD Z UCTU	5029	27656	DUCHOD	UV	39912659
529843	1806	1998-11-05	PRIJEM	PREVOD Z UCTU	5029	30117	DUCHOD	UV	39912659
529844	1806	1998-12-05	PRIJEM	PREVOD Z UCTU	5029	25136	DUCHOD	UV	39912659
529850	1806	1993-06-12	VYDAJ	PREVOD NA UCET	2552	22993	SIPO	UV	84037089
529851	1806	1993-07-12	VYDAJ	PREVOD NA UCET	2552	22216	SIPO	UV	84037089
529852	1806	1993-08-12	VYDAJ	PREVOD NA UCET	2552	23167	SIPO	UV	84037089
529853	1806	1993-09-12	VYDAJ	PREVOD NA UCET	2552	25722	SIPO	UV	84037089
529854	1806	1993-10-12	VYDAJ	PREVOD NA UCET	2552	27786	SIPO	UV	84037089
529855	1806	1993-11-12	VYDAJ	PREVOD NA UCET	2552	27455	SIPO	UV	84037089
529856	1806	1993-12-12	VYDAJ	PREVOD NA UCET	2552	27785	SIPO	UV	84037089
529857	1806	1994-01-12	VYDAJ	PREVOD NA UCET	2552	22003	SIPO	UV	84037089
529858	1806	1994-02-12	VYDAJ	PREVOD NA UCET	2552	16073	SIPO	UV	84037089
529859	1806	1994-03-12	VYDAJ	PREVOD NA UCET	2552	18598	SIPO	UV	84037089
529860	1806	1994-04-12	VYDAJ	PREVOD NA UCET	2552	21134	SIPO	UV	84037089
529861	1806	1994-05-12	VYDAJ	PREVOD NA UCET	2552	23681	SIPO	UV	84037089
529862	1806	1994-06-12	VYDAJ	PREVOD NA UCET	2552	19738	SIPO	UV	84037089
529863	1806	1994-07-12	VYDAJ	PREVOD NA UCET	2552	22287	SIPO	UV	84037089
529864	1806	1994-08-12	VYDAJ	PREVOD NA UCET	2552	22039	SIPO	UV	84037089
529865	1806	1994-09-12	VYDAJ	PREVOD NA UCET	2552	20755	SIPO	UV	84037089
529866	1806	1994-10-12	VYDAJ	PREVOD NA UCET	2552	20027	SIPO	UV	84037089
529867	1806	1994-11-12	VYDAJ	PREVOD NA UCET	2552	22578	SIPO	UV	84037089
529868	1806	1994-12-12	VYDAJ	PREVOD NA UCET	2552	24330	SIPO	UV	84037089
529869	1806	1995-01-12	VYDAJ	PREVOD NA UCET	2552	18631	SIPO	UV	84037089
529870	1806	1995-02-12	VYDAJ	PREVOD NA UCET	2552	17329	SIPO	UV	84037089
529871	1806	1995-03-12	VYDAJ	PREVOD NA UCET	2552	19859	SIPO	UV	84037089
529872	1806	1995-04-12	VYDAJ	PREVOD NA UCET	2552	22400	SIPO	UV	84037089
529873	1806	1995-05-12	VYDAJ	PREVOD NA UCET	2552	21026	SIPO	UV	84037089
529874	1806	1995-06-12	VYDAJ	PREVOD NA UCET	2552	19022	SIPO	UV	84037089
529875	1806	1995-07-12	VYDAJ	PREVOD NA UCET	2552	18527	SIPO	UV	84037089
529876	1806	1995-08-12	VYDAJ	PREVOD NA UCET	2552	21069	SIPO	UV	84037089
529877	1806	1995-09-12	VYDAJ	PREVOD NA UCET	2552	19770	SIPO	UV	84037089
529878	1806	1995-10-12	VYDAJ	PREVOD NA UCET	2552	22311	SIPO	UV	84037089
529879	1806	1995-11-12	VYDAJ	PREVOD NA UCET	2552	21262	SIPO	UV	84037089
529880	1806	1995-12-12	VYDAJ	PREVOD NA UCET	2552	23819	SIPO	UV	84037089
529881	1806	1996-01-12	VYDAJ	PREVOD NA UCET	2552	20185	SIPO	UV	84037089
529882	1806	1996-02-12	VYDAJ	PREVOD NA UCET	2552	18566	SIPO	UV	84037089
529883	1806	1996-03-12	VYDAJ	PREVOD NA UCET	2552	17177	SIPO	UV	84037089
529884	1806	1996-04-12	VYDAJ	PREVOD NA UCET	2552	19707	SIPO	UV	84037089
529885	1806	1996-05-12	VYDAJ	PREVOD NA UCET	2552	20323	SIPO	UV	84037089
529886	1806	1996-06-12	VYDAJ	PREVOD NA UCET	2552	22865	SIPO	UV	84037089
529887	1806	1996-07-12	VYDAJ	PREVOD NA UCET	2552	23498	SIPO	UV	84037089
529888	1806	1996-08-12	VYDAJ	PREVOD NA UCET	2552	26053	SIPO	UV	84037089
529889	1806	1996-09-12	VYDAJ	PREVOD NA UCET	2552	23814	SIPO	UV	84037089
529890	1806	1996-10-12	VYDAJ	PREVOD NA UCET	2552	26377	SIPO	UV	84037089
529891	1806	1996-11-12	VYDAJ	PREVOD NA UCET	2552	28944	SIPO	UV	84037089
529892	1806	1996-12-12	VYDAJ	PREVOD NA UCET	2552	30422	SIPO	UV	84037089
529893	1806	1997-01-12	VYDAJ	PREVOD NA UCET	2552	30452	SIPO	UV	84037089
529894	1806	1997-02-12	VYDAJ	PREVOD NA UCET	2552	22711	SIPO	UV	84037089
529895	1806	1997-03-12	VYDAJ	PREVOD NA UCET	2552	25263	SIPO	UV	84037089
529896	1806	1997-04-12	VYDAJ	PREVOD NA UCET	2552	26142	SIPO	UV	84037089
529897	1806	1997-05-12	VYDAJ	PREVOD NA UCET	2552	28708	SIPO	UV	84037089
529898	1806	1997-06-12	VYDAJ	PREVOD NA UCET	2552	31285	SIPO	UV	84037089
529899	1806	1997-07-12	VYDAJ	PREVOD NA UCET	2552	20131	SIPO	UV	84037089
529900	1806	1997-08-12	VYDAJ	PREVOD NA UCET	2552	22672	SIPO	UV	84037089
529901	1806	1997-09-12	VYDAJ	PREVOD NA UCET	2552	25223	SIPO	UV	84037089
529902	1806	1997-10-12	VYDAJ	PREVOD NA UCET	2552	27785	SIPO	UV	84037089
529903	1806	1997-11-12	VYDAJ	PREVOD NA UCET	2552	24344	SIPO	UV	84037089
529904	1806	1997-12-12	VYDAJ	PREVOD NA UCET	2552	25702	SIPO	UV	84037089
529905	1806	1998-01-12	VYDAJ	PREVOD NA UCET	2552	22511	SIPO	UV	84037089
529906	1806	1998-02-12	VYDAJ	PREVOD NA UCET	2552	19619	SIPO	UV	84037089
529907	1806	1998-03-12	VYDAJ	PREVOD NA UCET	2552	22157	SIPO	UV	84037089
529908	1806	1998-04-12	VYDAJ	PREVOD NA UCET	2552	24706	SIPO	UV	84037089
529909	1806	1998-05-12	VYDAJ	PREVOD NA UCET	2552	27265	SIPO	UV	84037089
529910	1806	1998-06-12	VYDAJ	PREVOD NA UCET	2552	29835	SIPO	UV	84037089
529911	1806	1998-07-12	VYDAJ	PREVOD NA UCET	2552	21592	SIPO	UV	84037089
529912	1806	1998-08-12	VYDAJ	PREVOD NA UCET	2552	24142	SIPO	UV	84037089
529913	1806	1998-09-12	VYDAJ	PREVOD NA UCET	2552	26699	SIPO	UV	84037089
529914	1806	1998-10-12	VYDAJ	PREVOD NA UCET	2552	25104	SIPO	UV	84037089
529915	1806	1998-11-12	VYDAJ	PREVOD NA UCET	2552	27565	SIPO	UV	84037089
529916	1806	1998-12-12	VYDAJ	PREVOD NA UCET	2552	22584	SIPO	UV	84037089
529917	1806	1993-06-12	VYDAJ	VYBER	3300	19693	\N	\N	\N
529918	1806	1994-06-03	VYDAJ	VYBER	6500	17261	\N	\N	\N
529921	1806	1997-06-27	VYDAJ	VYBER	9650	17555	\N	\N	\N
529922	1806	1998-06-21	VYDAJ	VYBER	9450	20385	\N	\N	\N
529924	1806	1994-01-01	VYDAJ	VYBER	4900	21686	\N	\N	\N
529925	1806	1995-01-01	VYDAJ	VYBER	4250	19114	\N	\N	\N
529927	1806	1997-01-25	VYDAJ	VYBER	1200	24612	\N	\N	\N
529929	1806	1993-12-20	VYDAJ	VYBER	1300	26485	\N	\N	\N
529930	1806	1994-12-26	VYDAJ	VYBER	1050	23280	\N	\N	\N
529931	1806	1995-12-16	VYDAJ	VYBER	350	23469	\N	\N	\N
529932	1806	1996-12-01	VYDAJ	VYBER	1100	27945	\N	\N	\N
529933	1806	1997-12-04	VYDAJ	VYBER	1200	23225	\N	\N	\N
529941	1806	1994-01-19	VYDAJ	VYBER	1360	19203	\N	\N	\N
529942	1806	1994-01-29	VYDAJ	VYBER	2080	13523	\N	\N	\N
529944	1806	1994-01-23	VYDAJ	VYBER	2160	17043	\N	\N	\N
529945	1806	1994-01-11	VYDAJ	VYBER	2160	24555	\N	\N	\N
529946	1806	1994-01-24	VYDAJ	VYBER	1440	15603	\N	\N	\N
529947	1806	1995-01-10	VYDAJ	VYBER	800	21583	\N	\N	\N
529948	1806	1995-01-23	VYDAJ	VYBER	560	15911	\N	\N	\N
529949	1806	1995-01-24	VYDAJ	VYBER	1120	14791	\N	\N	\N
529950	1806	1995-01-11	VYDAJ	VYBER	400	21183	\N	\N	\N
529951	1806	1995-01-19	VYDAJ	VYBER	2160	16471	\N	\N	\N
529952	1806	1995-01-02	VYDAJ	VYBER	1760	17354	\N	\N	\N
529953	1806	1996-01-17	VYDAJ	VYBER	2240	17945	\N	\N	\N
529954	1806	1996-01-01	VYDAJ	VYBER	400	20908	\N	\N	\N
529955	1806	1996-01-10	VYDAJ	VYBER	1040	22737	\N	\N	\N
529957	1806	1996-01-02	VYDAJ	VYBER	2160	18748	\N	\N	\N
529958	1806	1996-01-19	VYDAJ	VYBER	1920	16025	\N	\N	\N
529959	1806	1997-01-28	VYDAJ	VYBER	1600	21492	\N	\N	\N
529960	1806	1997-01-07	VYDAJ	VYBER	1120	33004	\N	\N	\N
529961	1806	1997-01-01	VYDAJ	VYBER	1440	29095	\N	\N	\N
529962	1806	1997-01-29	VYDAJ	VYBER	1360	20132	\N	\N	\N
529963	1806	1997-01-17	VYDAJ	VYBER	1920	28532	\N	\N	\N
529964	1806	1997-01-26	VYDAJ	VYBER	1520	23092	\N	\N	\N
529965	1806	1998-01-03	VYDAJ	VYBER	1360	24434	\N	\N	\N
529966	1806	1998-01-07	VYDAJ	VYBER	2240	25063	\N	\N	\N
529967	1806	1998-01-12	VYDAJ	VYBER	1600	20911	\N	\N	\N
529968	1806	1998-01-05	VYDAJ	VYBER	1120	27303	\N	\N	\N
529969	1806	1998-01-05	VYDAJ	VYBER	1040	28423	\N	\N	\N
529970	1806	1998-01-20	VYDAJ	VYBER	2080	17071	\N	\N	\N
529971	1806	1993-12-04	VYDAJ	VYBER	1040	25308	\N	\N	\N
529973	1806	1993-07-30	VYDAJ	VYBER	1600	20616	\N	\N	\N
529974	1806	1994-08-08	VYDAJ	VYBER	2800	24591	\N	\N	\N
529975	1806	1994-10-05	VYDAJ	VYBER	2880	22979	\N	\N	\N
529976	1806	1994-09-02	VYDAJ	VYBER	3840	18278	\N	\N	\N
529977	1806	1994-01-17	VYDAJ	VYBER	1440	20563	\N	\N	\N
529978	1806	1995-11-05	VYDAJ	VYBER	3600	23814	\N	\N	\N
529979	1806	1995-08-24	VYDAJ	VYBER	3840	17229	\N	\N	\N
529980	1806	1995-07-04	VYDAJ	VYBER	3040	16050	\N	\N	\N
529981	1806	1995-04-21	VYDAJ	VYBER	3920	18480	\N	\N	\N
529982	1806	1996-01-01	VYDAJ	VYBER	2240	21308	\N	\N	\N
529983	1806	1996-09-05	VYDAJ	VYBER	2240	26366	\N	\N	\N
529984	1806	1996-08-16	VYDAJ	VYBER	2560	23493	\N	\N	\N
529985	1806	1996-02-23	VYDAJ	VYBER	3920	14646	\N	\N	\N
529986	1806	1996-04-17	VYDAJ	VYBER	1920	17787	\N	\N	\N
529987	1806	1996-06-12	VYDAJ	VYBER	1920	20945	\N	\N	\N
529988	1806	1997-06-22	VYDAJ	VYBER	3440	27205	\N	\N	\N
529989	1806	1997-10-13	VYDAJ	VYBER	3280	24505	\N	\N	\N
529990	1806	1997-03-19	VYDAJ	VYBER	1680	23583	\N	\N	\N
529991	1806	1997-10-17	VYDAJ	VYBER	2720	21785	\N	\N	\N
529992	1806	1997-01-22	VYDAJ	VYBER	2720	25812	\N	\N	\N
529993	1806	1997-06-13	VYDAJ	VYBER	640	30645	\N	\N	\N
529994	1806	1998-07-08	VYDAJ	VYBER	1360	24144	\N	\N	\N
529995	1806	1998-09-30	VYDAJ	VYBER	3280	22642	\N	\N	\N
529996	1806	1998-11-23	VYDAJ	VYBER	2640	20025	\N	\N	\N
529997	1806	1998-09-27	VYDAJ	VYBER	480	25819	\N	\N	\N
529998	1806	1998-01-17	VYDAJ	VYBER	1760	19151	\N	\N	\N
530005	1806	1993-06-30	VYDAJ	VYBER	15	19739	SLUZBY	\N	\N
530006	1806	1993-07-31	VYDAJ	VYBER	15	20690	SLUZBY	\N	\N
530007	1806	1993-08-31	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
530008	1806	1993-09-30	VYDAJ	VYBER	15	25309	SLUZBY	\N	\N
530009	1806	1993-10-31	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
530010	1806	1993-11-30	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
530011	1806	1993-12-31	VYDAJ	VYBER	15	26586	SLUZBY	\N	\N
530012	1806	1994-01-31	VYDAJ	VYBER	15	13596	SLUZBY	\N	\N
530013	1806	1994-02-28	VYDAJ	VYBER	15	16121	SLUZBY	\N	\N
530014	1806	1994-03-31	VYDAJ	VYBER	15	18657	SLUZBY	\N	\N
530015	1806	1994-04-30	VYDAJ	VYBER	15	21204	SLUZBY	\N	\N
530016	1806	1994-05-31	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
530017	1806	1994-06-30	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
530018	1806	1994-07-31	VYDAJ	VYBER	15	22362	SLUZBY	\N	\N
530019	1806	1994-08-31	VYDAJ	VYBER	15	22118	SLUZBY	\N	\N
530020	1806	1994-09-30	VYDAJ	VYBER	15	20830	SLUZBY	\N	\N
530021	1806	1994-10-31	VYDAJ	VYBER	15	20101	SLUZBY	\N	\N
530022	1806	1994-11-30	VYDAJ	VYBER	15	22653	SLUZBY	\N	\N
530023	1806	1994-12-31	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
530024	1806	1995-01-31	VYDAJ	VYBER	15	14852	SLUZBY	\N	\N
530025	1806	1995-02-28	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
530026	1806	1995-03-31	VYDAJ	VYBER	15	19923	SLUZBY	\N	\N
530027	1806	1995-04-30	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
530028	1806	1995-05-31	VYDAJ	VYBER	15	21095	SLUZBY	\N	\N
530029	1806	1995-06-30	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
530030	1806	1995-07-31	VYDAJ	VYBER	15	18592	SLUZBY	\N	\N
530031	1806	1995-08-31	VYDAJ	VYBER	15	17293	SLUZBY	\N	\N
530032	1806	1995-09-30	VYDAJ	VYBER	15	19834	SLUZBY	\N	\N
530033	1806	1995-10-31	VYDAJ	VYBER	15	22385	SLUZBY	\N	\N
530034	1806	1995-11-30	VYDAJ	VYBER	15	21342	SLUZBY	\N	\N
530035	1806	1995-12-31	VYDAJ	VYBER	15	23548	SLUZBY	\N	\N
530036	1806	1996-01-31	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
530037	1806	1996-02-29	VYDAJ	VYBER	15	14700	SLUZBY	\N	\N
530038	1806	1996-03-31	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
530039	1806	1996-04-30	VYDAJ	VYBER	15	17846	SLUZBY	\N	\N
530040	1806	1996-05-31	VYDAJ	VYBER	15	20388	SLUZBY	\N	\N
530041	1806	1996-06-30	VYDAJ	VYBER	15	21021	SLUZBY	\N	\N
530042	1806	1996-07-31	VYDAJ	VYBER	15	23576	SLUZBY	\N	\N
530043	1806	1996-08-31	VYDAJ	VYBER	15	23577	SLUZBY	\N	\N
530044	1806	1996-09-30	VYDAJ	VYBER	15	23900	SLUZBY	\N	\N
530045	1806	1996-10-31	VYDAJ	VYBER	15	26467	SLUZBY	\N	\N
530046	1806	1996-11-30	VYDAJ	VYBER	15	29045	SLUZBY	\N	\N
530047	1806	1996-12-31	VYDAJ	VYBER	15	30535	SLUZBY	\N	\N
530048	1806	1997-01-31	VYDAJ	VYBER	15	20234	SLUZBY	\N	\N
530049	1806	1997-02-28	VYDAJ	VYBER	15	22786	SLUZBY	\N	\N
530050	1806	1997-03-31	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
530051	1806	1997-04-30	VYDAJ	VYBER	15	26231	SLUZBY	\N	\N
530052	1806	1997-05-31	VYDAJ	VYBER	15	28808	SLUZBY	\N	\N
530053	1806	1997-06-30	VYDAJ	VYBER	15	17654	SLUZBY	\N	\N
530054	1806	1997-07-31	VYDAJ	VYBER	15	20195	SLUZBY	\N	\N
530055	1806	1997-08-31	VYDAJ	VYBER	15	22746	SLUZBY	\N	\N
530056	1806	1997-09-30	VYDAJ	VYBER	15	25308	SLUZBY	\N	\N
530057	1806	1997-10-31	VYDAJ	VYBER	15	21867	SLUZBY	\N	\N
530058	1806	1997-11-30	VYDAJ	VYBER	15	24425	SLUZBY	\N	\N
530059	1806	1997-12-31	VYDAJ	VYBER	15	25794	SLUZBY	\N	\N
530060	1806	1998-01-31	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
530061	1806	1998-02-28	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
530062	1806	1998-03-31	VYDAJ	VYBER	15	22229	SLUZBY	\N	\N
530063	1806	1998-04-30	VYDAJ	VYBER	15	24788	SLUZBY	\N	\N
530064	1806	1998-05-31	VYDAJ	VYBER	15	27358	SLUZBY	\N	\N
530065	1806	1998-06-30	VYDAJ	VYBER	15	20475	SLUZBY	\N	\N
530066	1806	1998-07-31	VYDAJ	VYBER	15	21665	SLUZBY	\N	\N
530067	1806	1998-08-31	VYDAJ	VYBER	15	24222	SLUZBY	\N	\N
530068	1806	1998-09-30	VYDAJ	VYBER	15	22627	SLUZBY	\N	\N
530069	1806	1998-10-31	VYDAJ	VYBER	15	25088	SLUZBY	\N	\N
530070	1806	1998-11-30	VYDAJ	VYBER	15	20107	SLUZBY	\N	\N
530071	1806	1993-09-16	VYDAJ	VYBER	500	25222	\N	\N	\N
530072	1806	1993-10-16	VYDAJ	VYBER	2900	24886	\N	\N	\N
530073	1806	1993-11-15	VYDAJ	VYBER	1200	26255	\N	\N	\N
530074	1806	1994-10-11	VYDAJ	VYBER	400	22579	\N	\N	\N
530075	1806	1994-12-10	VYDAJ	VYBER	800	26882	\N	\N	\N
530076	1806	1998-09-20	VYDAJ	VYBER	400	26299	\N	\N	\N
530077	1806	1998-10-20	VYDAJ	VYBER	100	25004	\N	\N	\N
530078	1806	1998-11-19	VYDAJ	VYBER	4900	22665	\N	\N	\N
530079	1806	1998-12-19	VYDAJ	VYBER	5200	17384	\N	\N	\N
530147	1807	1997-10-15	PRIJEM	VKLAD	200	200	\N	\N	\N
530158	1807	1997-11-14	PRIJEM	VKLAD	20250	20450	\N	\N	\N
530159	1807	1997-12-14	PRIJEM	VKLAD	30375	51475	\N	\N	\N
530160	1807	1998-01-14	PRIJEM	VKLAD	20250	45446	\N	\N	\N
530161	1807	1998-02-14	PRIJEM	VKLAD	20250	53468	\N	\N	\N
530162	1807	1998-03-14	PRIJEM	VKLAD	20250	73925	\N	\N	\N
530163	1807	1998-04-14	PRIJEM	VKLAD	20250	49330	\N	\N	\N
530164	1807	1998-05-14	PRIJEM	VKLAD	20250	50829	\N	\N	\N
530165	1807	1998-06-14	PRIJEM	VKLAD	30375	57266	\N	\N	\N
530166	1807	1998-07-14	PRIJEM	VKLAD	20250	38608	\N	\N	\N
530167	1807	1998-08-14	PRIJEM	VKLAD	20250	48351	\N	\N	\N
530168	1807	1998-09-14	PRIJEM	VKLAD	20250	48536	\N	\N	\N
530169	1807	1998-10-14	PRIJEM	VKLAD	20250	52232	\N	\N	\N
530170	1807	1998-11-14	PRIJEM	VKLAD	20250	51639	\N	\N	\N
530171	1807	1998-12-14	PRIJEM	VKLAD	30375	60671	\N	\N	\N
530187	1807	1998-04-09	VYDAJ	PREVOD NA UCET	4731	39580	SIPO	YZ	25078994
530188	1807	1998-05-09	VYDAJ	PREVOD NA UCET	4731	44779	SIPO	YZ	25078994
530189	1807	1998-06-09	VYDAJ	PREVOD NA UCET	4731	46291	SIPO	YZ	25078994
530190	1807	1998-07-09	VYDAJ	PREVOD NA UCET	4731	21958	SIPO	YZ	25078994
530191	1807	1998-08-09	VYDAJ	PREVOD NA UCET	4731	34001	SIPO	YZ	25078994
530192	1807	1998-09-09	VYDAJ	PREVOD NA UCET	4731	43786	SIPO	YZ	25078994
530193	1807	1998-10-09	VYDAJ	PREVOD NA UCET	4731	43982	SIPO	YZ	25078994
530194	1807	1998-11-09	VYDAJ	PREVOD NA UCET	4731	31389	SIPO	YZ	25078994
530195	1807	1998-12-09	VYDAJ	PREVOD NA UCET	4731	30296	SIPO	YZ	25078994
530197	1807	1998-06-16	VYDAJ	VYBER	30720	26546	\N	\N	\N
530201	1807	1998-12-27	VYDAJ	VYBER	2400	58271	\N	\N	\N
530223	1807	1998-12-09	VYDAJ	VYBER	4200	47627	\N	\N	\N
530240	1807	1998-03-31	VYDAJ	VYBER	15	44311	SLUZBY	\N	\N
530241	1807	1998-04-30	VYDAJ	VYBER	15	49510	SLUZBY	\N	\N
530242	1807	1998-05-31	VYDAJ	VYBER	15	51022	SLUZBY	\N	\N
530243	1807	1998-06-30	VYDAJ	VYBER	15	26689	SLUZBY	\N	\N
530244	1807	1998-07-31	VYDAJ	VYBER	15	38732	SLUZBY	\N	\N
530245	1807	1998-08-31	VYDAJ	VYBER	15	48517	SLUZBY	\N	\N
530246	1807	1998-09-30	VYDAJ	VYBER	15	48713	SLUZBY	\N	\N
530247	1807	1998-10-31	VYDAJ	VYBER	15	52420	SLUZBY	\N	\N
530248	1807	1998-11-30	VYDAJ	VYBER	15	51827	SLUZBY	\N	\N
530249	1807	1997-11-14	PRIJEM	VKLAD	600	21050	\N	\N	\N
530250	1807	1997-12-14	VYDAJ	VYBER	16400	35075	\N	\N	\N
530251	1807	1998-01-13	VYDAJ	VYBER	10000	25196	\N	\N	\N
530252	1807	1998-02-12	VYDAJ	VYBER	12400	33218	\N	\N	\N
530253	1807	1998-03-14	VYDAJ	VYBER	29800	44125	\N	\N	\N
530254	1807	1998-04-13	VYDAJ	VYBER	10500	29080	\N	\N	\N
530255	1807	1998-05-13	VYDAJ	VYBER	14200	30579	\N	\N	\N
530256	1807	1998-06-12	VYDAJ	VYBER	19400	26891	\N	\N	\N
530257	1807	1998-07-12	VYDAJ	VYBER	3600	18358	\N	\N	\N
530258	1807	1998-08-11	VYDAJ	VYBER	5900	28101	\N	\N	\N
530259	1807	1998-09-10	VYDAJ	VYBER	15500	28286	\N	\N	\N
530260	1807	1998-10-10	VYDAJ	VYBER	12000	31982	\N	\N	\N
530261	1807	1998-11-09	VYDAJ	VYBER	16300	36120	\N	\N	\N
530262	1807	1998-12-09	VYDAJ	VYBER	12600	35027	\N	\N	\N
530277	1808	1997-05-16	PRIJEM	VKLAD	400	400	\N	\N	\N
530278	1808	1997-11-27	PRIJEM	VKLAD	11550	62551	\N	\N	\N
530279	1808	1997-09-09	PRIJEM	VKLAD	19280	52480	\N	\N	\N
530280	1808	1998-01-07	PRIJEM	VKLAD	28059	86479	\N	\N	\N
530281	1808	1998-01-15	PRIJEM	VKLAD	18117	97705	\N	\N	\N
530282	1808	1998-08-22	PRIJEM	VKLAD	16670	72628	\N	\N	\N
530283	1808	1998-12-18	PRIJEM	VKLAD	8447	59476	\N	\N	\N
530284	1808	1998-10-06	PRIJEM	VKLAD	45154	111011	\N	\N	\N
530285	1808	1998-04-17	PRIJEM	VKLAD	44399	118268	\N	\N	\N
530286	1808	1998-06-09	PRIJEM	VKLAD	5047	98638	\N	\N	\N
530287	1808	1998-01-13	PRIJEM	VKLAD	10409	79588	\N	\N	\N
530288	1808	1998-06-06	PRIJEM	VKLAD	31911	93591	\N	\N	\N
530289	1808	1998-10-16	PRIJEM	VKLAD	7169	88727	\N	\N	\N
530290	1808	1998-10-05	PRIJEM	VKLAD	47604	65857	\N	\N	\N
530291	1808	1998-05-22	PRIJEM	VKLAD	12019	75490	\N	\N	\N
530292	1808	1998-06-22	PRIJEM	VKLAD	33792	106530	\N	\N	\N
530293	1808	1998-10-06	PRIJEM	VKLAD	45581	156592	\N	\N	\N
530294	1808	1998-08-16	PRIJEM	VKLAD	46716	117858	\N	\N	\N
530295	1808	1998-02-09	PRIJEM	VKLAD	34658	107259	\N	\N	\N
530296	1808	1998-07-28	PRIJEM	VKLAD	18210	89023	\N	\N	\N
530297	1808	1998-04-06	PRIJEM	VKLAD	46366	94469	\N	\N	\N
530298	1808	1998-06-26	PRIJEM	VKLAD	17962	94192	\N	\N	\N
530299	1808	1998-05-06	PRIJEM	VKLAD	38533	118171	\N	\N	\N
530313	1808	1998-02-04	VYDAJ	VYBER	5300	72601	\N	\N	0
530314	1808	1998-03-09	VYDAJ	VYBER	9400	45507	\N	\N	0
530315	1808	1998-04-19	VYDAJ	VYBER	7400	79368	\N	\N	0
530316	1808	1998-05-13	VYDAJ	VYBER	7000	63471	\N	\N	0
530317	1808	1998-06-21	VYDAJ	VYBER	8000	72738	\N	\N	0
530318	1808	1998-07-10	VYDAJ	VYBER	6500	88013	\N	\N	0
530319	1808	1998-08-15	VYDAJ	VYBER	7300	71142	\N	\N	0
530320	1808	1998-09-09	VYDAJ	VYBER	8500	50052	\N	\N	0
530321	1808	1998-10-12	VYDAJ	PREVOD NA UCET	8033	81558	UVER	QR	39164525
530322	1808	1998-11-12	VYDAJ	PREVOD NA UCET	8033	64796	UVER	QR	39164525
530323	1808	1998-12-12	VYDAJ	PREVOD NA UCET	8033	51029	UVER	QR	39164525
530333	1808	1998-08-27	VYBER	VYBER	2021	70607	\N	\N	\N
530334	1808	1998-12-27	VYBER	VYBER	7686	47648	\N	\N	\N
530335	1808	1998-09-16	VYBER	VYBER	16857	33195	\N	\N	\N
530337	1808	1998-10-24	VYBER	VYBER	16588	72139	\N	\N	\N
530338	1808	1998-12-25	VYBER	VYBER	4142	55334	\N	\N	\N
530339	1808	1998-09-22	VYBER	VYBER	15086	18109	\N	\N	\N
530343	1808	1998-01-19	VYDAJ	VYBER	9000	79705	\N	\N	\N
530345	1808	1998-12-10	VYDAJ	VYBER	6600	59062	\N	\N	\N
530353	1808	1998-01-23	VYDAJ	VYBER	2100	77605	\N	\N	\N
530355	1808	1998-01-16	VYDAJ	VYBER	6300	91405	\N	\N	\N
530356	1808	1998-01-19	VYDAJ	VYBER	2700	88705	\N	\N	\N
530364	1808	1998-06-25	VYDAJ	VYBER	10500	76230	\N	\N	\N
530365	1808	1998-08-29	VYDAJ	VYBER	4200	53507	\N	\N	\N
530366	1808	1998-05-31	VYDAJ	VYBER	14100	61695	\N	\N	\N
530367	1808	1998-08-28	VYDAJ	VYBER	12900	57707	\N	\N	\N
530381	1808	1998-01-31	VYDAJ	VYBER	15	77901	SLUZBY	\N	\N
530382	1808	1998-02-28	VYDAJ	VYBER	15	54907	SLUZBY	\N	\N
530383	1808	1998-03-31	VYDAJ	VYBER	15	48103	SLUZBY	\N	\N
530384	1808	1998-04-30	VYDAJ	VYBER	15	79638	SLUZBY	\N	\N
530385	1808	1998-05-31	VYDAJ	VYBER	15	61680	SLUZBY	\N	\N
530386	1808	1998-06-30	VYDAJ	VYBER	15	94513	SLUZBY	\N	\N
530387	1808	1998-07-31	VYDAJ	VYBER	15	89342	SLUZBY	\N	\N
530388	1808	1998-08-31	VYDAJ	VYBER	15	53852	SLUZBY	\N	\N
530389	1808	1998-09-30	VYDAJ	VYBER	15	18253	SLUZBY	\N	\N
530390	1808	1998-10-31	VYDAJ	VYBER	15	72430	SLUZBY	\N	\N
530391	1808	1998-11-30	VYDAJ	VYBER	15	65062	SLUZBY	\N	\N
530392	1808	1997-06-15	PRIJEM	VKLAD	15800	16200	\N	\N	\N
530393	1808	1997-07-15	PRIJEM	VKLAD	10500	26700	\N	\N	\N
530394	1808	1997-08-14	PRIJEM	VKLAD	6500	33200	\N	\N	\N
530395	1808	1997-09-13	VYDAJ	VYBER	4400	48080	\N	\N	\N
530396	1808	1997-10-13	VYDAJ	VYBER	1500	46700	\N	\N	\N
530397	1808	1997-11-12	PRIJEM	VKLAD	4100	51001	\N	\N	\N
530398	1808	1997-12-12	VYDAJ	VYBER	4600	58159	\N	\N	\N
530399	1808	1998-01-11	VYDAJ	VYBER	17300	69179	\N	\N	\N
530400	1808	1998-02-09	VYDAJ	VYBER	39100	68159	\N	\N	\N
530401	1808	1998-02-10	VYDAJ	VYBER	13500	54659	\N	\N	\N
530402	1808	1998-03-12	PRIJEM	VKLAD	2400	47907	\N	\N	\N
530403	1808	1998-04-11	VYDAJ	VYBER	20600	73869	\N	\N	\N
530404	1808	1998-04-17	VYDAJ	VYBER	31500	86768	\N	\N	\N
530405	1808	1998-05-06	VYDAJ	VYBER	34300	83871	\N	\N	\N
530406	1808	1998-05-11	VYDAJ	VYBER	13400	70471	\N	\N	\N
530407	1808	1998-06-10	VYDAJ	VYBER	17900	80738	\N	\N	\N
530408	1808	1998-06-22	VYDAJ	VYBER	19800	86730	\N	\N	\N
530409	1808	1998-07-10	VYDAJ	VYBER	17200	70813	\N	\N	\N
530410	1808	1998-08-09	VYDAJ	VYBER	10900	78442	\N	\N	\N
530411	1808	1998-08-16	VYDAJ	VYBER	61900	55958	\N	\N	\N
530412	1808	1998-09-08	PRIJEM	VKLAD	4700	58552	\N	\N	\N
530413	1808	1998-10-06	VYDAJ	VYBER	51500	105092	\N	\N	\N
530414	1808	1998-10-08	VYDAJ	VYBER	15500	89592	\N	\N	\N
530415	1808	1998-11-07	PRIJEM	VKLAD	400	72830	\N	\N	\N
530416	1808	1998-12-07	PRIJEM	VKLAD	600	65662	\N	\N	\N
530433	1809	1993-11-12	PRIJEM	VKLAD	200	200	\N	\N	\N
530445	1809	1993-12-06	PRIJEM	PREVOD Z UCTU	30082	30282	\N	CD	80314862
530446	1809	1994-01-06	PRIJEM	PREVOD Z UCTU	20055	49215	\N	CD	80314862
530447	1809	1994-02-06	PRIJEM	PREVOD Z UCTU	20055	58217	\N	CD	80314862
530448	1809	1994-03-06	PRIJEM	PREVOD Z UCTU	20055	63244	\N	CD	80314862
530449	1809	1994-04-06	PRIJEM	PREVOD Z UCTU	20055	62276	\N	CD	80314862
530450	1809	1994-05-06	PRIJEM	PREVOD Z UCTU	20055	47153	\N	CD	80314862
530451	1809	1994-06-06	PRIJEM	PREVOD Z UCTU	30082	53508	\N	CD	80314862
530452	1809	1994-07-06	PRIJEM	PREVOD Z UCTU	20055	50357	\N	CD	80314862
530453	1809	1994-08-06	PRIJEM	PREVOD Z UCTU	20055	48302	\N	CD	80314862
530454	1809	1994-09-06	PRIJEM	PREVOD Z UCTU	20055	39217	\N	CD	80314862
530455	1809	1994-10-06	PRIJEM	PREVOD Z UCTU	20055	34907	\N	CD	80314862
530456	1809	1994-11-06	PRIJEM	PREVOD Z UCTU	20055	33588	\N	CD	80314862
530457	1809	1994-12-06	PRIJEM	PREVOD Z UCTU	30082	44396	\N	CD	80314862
530458	1809	1995-01-06	PRIJEM	PREVOD Z UCTU	20055	38895	\N	CD	80314862
530459	1809	1995-02-06	PRIJEM	PREVOD Z UCTU	20055	36680	\N	CD	80314862
530460	1809	1995-03-06	PRIJEM	PREVOD Z UCTU	20055	43492	\N	CD	80314862
530461	1809	1995-04-06	PRIJEM	PREVOD Z UCTU	20055	38496	\N	CD	80314862
530462	1809	1995-05-06	PRIJEM	PREVOD Z UCTU	20055	35985	\N	CD	80314862
530463	1809	1995-06-06	PRIJEM	PREVOD Z UCTU	30082	46396	\N	CD	80314862
530464	1809	1995-07-06	PRIJEM	PREVOD Z UCTU	20055	44739	\N	CD	80314862
530465	1809	1995-08-06	PRIJEM	PREVOD Z UCTU	20055	38123	\N	CD	80314862
530466	1809	1995-09-06	PRIJEM	PREVOD Z UCTU	20055	44644	\N	CD	80314862
530467	1809	1995-10-06	PRIJEM	PREVOD Z UCTU	20055	47791	\N	CD	80314862
530468	1809	1995-11-06	PRIJEM	PREVOD Z UCTU	20055	43766	\N	CD	80314862
530469	1809	1995-12-06	PRIJEM	PREVOD Z UCTU	30082	54512	\N	CD	80314862
530470	1809	1996-01-06	PRIJEM	PREVOD Z UCTU	20055	52874	\N	CD	80314862
530471	1809	1996-02-06	PRIJEM	PREVOD Z UCTU	20055	47182	\N	CD	80314862
530472	1809	1996-03-06	PRIJEM	PREVOD Z UCTU	20055	41372	\N	CD	80314862
530473	1809	1996-04-06	PRIJEM	PREVOD Z UCTU	20055	50699	\N	CD	80314862
530474	1809	1996-05-06	PRIJEM	PREVOD Z UCTU	20055	53871	\N	CD	80314862
530475	1809	1996-06-06	PRIJEM	PREVOD Z UCTU	30082	60870	\N	CD	80314862
530476	1809	1996-07-06	PRIJEM	PREVOD Z UCTU	20055	47321	\N	CD	80314862
530477	1809	1996-08-06	PRIJEM	PREVOD Z UCTU	20055	45279	\N	CD	80314862
530478	1809	1996-09-06	PRIJEM	PREVOD Z UCTU	20055	42692	\N	CD	80314862
530479	1809	1996-10-06	PRIJEM	PREVOD Z UCTU	20055	51932	\N	CD	80314862
530480	1809	1996-11-06	PRIJEM	PREVOD Z UCTU	20055	48883	\N	CD	80314862
530481	1809	1996-12-06	PRIJEM	PREVOD Z UCTU	30082	63673	\N	CD	80314862
530482	1809	1997-01-06	PRIJEM	PREVOD Z UCTU	20055	42555	\N	CD	80314862
530483	1809	1997-02-06	PRIJEM	PREVOD Z UCTU	20055	49284	\N	CD	80314862
530484	1809	1997-03-06	PRIJEM	PREVOD Z UCTU	20055	41491	\N	CD	80314862
530485	1809	1997-04-06	PRIJEM	PREVOD Z UCTU	20055	41748	\N	CD	80314862
530486	1809	1997-05-06	PRIJEM	PREVOD Z UCTU	20055	45880	\N	CD	80314862
530487	1809	1997-06-06	PRIJEM	PREVOD Z UCTU	30082	62058	\N	CD	80314862
530488	1809	1997-07-06	PRIJEM	PREVOD Z UCTU	20055	48554	\N	CD	80314862
530489	1809	1997-08-06	PRIJEM	PREVOD Z UCTU	20055	42008	\N	CD	80314862
530490	1809	1997-09-06	PRIJEM	PREVOD Z UCTU	20055	52848	\N	CD	80314862
530491	1809	1997-10-06	PRIJEM	PREVOD Z UCTU	20055	41631	\N	CD	80314862
530492	1809	1997-11-06	PRIJEM	PREVOD Z UCTU	20055	56683	\N	CD	80314862
530493	1809	1997-12-06	PRIJEM	PREVOD Z UCTU	30082	61977	\N	CD	80314862
530494	1809	1998-01-06	PRIJEM	PREVOD Z UCTU	20055	56592	\N	CD	80314862
530495	1809	1998-02-06	PRIJEM	PREVOD Z UCTU	20055	42163	\N	CD	80314862
530496	1809	1998-03-06	PRIJEM	PREVOD Z UCTU	20055	56310	\N	CD	80314862
530497	1809	1998-04-06	PRIJEM	PREVOD Z UCTU	20055	63504	\N	CD	80314862
530498	1809	1998-05-06	PRIJEM	PREVOD Z UCTU	20055	60725	\N	CD	80314862
530499	1809	1998-06-06	PRIJEM	PREVOD Z UCTU	30082	69157	\N	CD	80314862
530500	1809	1998-07-06	PRIJEM	PREVOD Z UCTU	20055	64127	\N	CD	80314862
530501	1809	1998-08-06	PRIJEM	PREVOD Z UCTU	20055	61456	\N	CD	80314862
530502	1809	1998-09-06	PRIJEM	PREVOD Z UCTU	20055	75685	\N	CD	80314862
530503	1809	1998-10-06	PRIJEM	PREVOD Z UCTU	20055	83619	\N	CD	80314862
530504	1809	1998-11-06	PRIJEM	PREVOD Z UCTU	20055	87219	\N	CD	80314862
530505	1809	1998-12-06	PRIJEM	PREVOD Z UCTU	30082	84057	\N	CD	80314862
530521	1809	1994-04-13	VYDAJ	PREVOD NA UCET	6269	34164	SIPO	KL	35650015
530522	1809	1994-05-13	VYDAJ	PREVOD NA UCET	6269	23341	SIPO	KL	35650015
530523	1809	1994-06-13	VYDAJ	PREVOD NA UCET	6269	30196	SIPO	KL	35650015
530524	1809	1994-07-13	VYDAJ	PREVOD NA UCET	6269	28145	SIPO	KL	35650015
530525	1809	1994-08-13	VYDAJ	PREVOD NA UCET	6269	19090	SIPO	KL	35650015
530526	1809	1994-09-13	VYDAJ	PREVOD NA UCET	6269	14805	SIPO	KL	35650015
530527	1809	1994-10-13	VYDAJ	PREVOD NA UCET	6269	13495	SIPO	KL	35650015
530528	1809	1994-11-13	VYDAJ	PREVOD NA UCET	6269	14276	SIPO	KL	35650015
530529	1809	1994-12-13	VYDAJ	PREVOD NA UCET	6269	18784	SIPO	KL	35650015
530530	1809	1995-01-13	VYDAJ	PREVOD NA UCET	6269	13883	SIPO	KL	35650015
530531	1809	1995-02-13	VYDAJ	PREVOD NA UCET	6269	23368	SIPO	KL	35650015
530532	1809	1995-03-13	VYDAJ	PREVOD NA UCET	6269	18380	SIPO	KL	35650015
530533	1809	1995-04-13	VYDAJ	PREVOD NA UCET	6269	15884	SIPO	KL	35650015
530534	1809	1995-05-13	VYDAJ	PREVOD NA UCET	6269	13673	SIPO	KL	35650015
530535	1809	1995-06-13	VYDAJ	PREVOD NA UCET	6269	33084	SIPO	KL	35650015
530536	1809	1995-07-13	VYDAJ	PREVOD NA UCET	6269	31427	SIPO	KL	35650015
530537	1809	1995-08-13	VYDAJ	PREVOD NA UCET	6269	24811	SIPO	KL	35650015
530538	1809	1995-09-13	VYDAJ	PREVOD NA UCET	6269	31332	SIPO	KL	35650015
530539	1809	1995-10-13	VYDAJ	PREVOD NA UCET	6269	26214	SIPO	KL	35650015
530540	1809	1995-11-13	VYDAJ	PREVOD NA UCET	6269	22954	SIPO	KL	35650015
530541	1809	1995-12-13	VYDAJ	PREVOD NA UCET	6269	41200	SIPO	KL	35650015
530542	1809	1996-01-13	VYDAJ	PREVOD NA UCET	6269	26535	SIPO	KL	35650015
530543	1809	1996-02-13	VYDAJ	PREVOD NA UCET	6269	11974	SIPO	KL	35650015
530544	1809	1996-03-13	VYDAJ	PREVOD NA UCET	6269	28060	SIPO	KL	35650015
530545	1809	1996-04-13	VYDAJ	PREVOD NA UCET	6269	37387	SIPO	KL	35650015
530546	1809	1996-05-13	VYDAJ	PREVOD NA UCET	6269	26288	SIPO	KL	35650015
530547	1809	1996-06-13	VYDAJ	PREVOD NA UCET	6269	24758	SIPO	KL	35650015
530548	1809	1996-07-13	VYDAJ	PREVOD NA UCET	6269	34009	SIPO	KL	35650015
530549	1809	1996-08-13	VYDAJ	PREVOD NA UCET	6269	15770	SIPO	KL	35650015
530550	1809	1996-09-13	VYDAJ	PREVOD NA UCET	6269	29380	SIPO	KL	35650015
530551	1809	1996-10-13	VYDAJ	PREVOD NA UCET	6269	26934	SIPO	KL	35650015
530552	1809	1996-11-13	VYDAJ	PREVOD NA UCET	6269	35571	SIPO	KL	35650015
530553	1809	1996-12-13	VYDAJ	PREVOD NA UCET	6269	40461	SIPO	KL	35650015
530554	1809	1997-01-13	VYDAJ	PREVOD NA UCET	6269	23543	SIPO	KL	35650015
530555	1809	1997-02-13	VYDAJ	PREVOD NA UCET	6269	29372	SIPO	KL	35650015
530556	1809	1997-03-13	VYDAJ	PREVOD NA UCET	6269	21521	SIPO	KL	35650015
530557	1809	1997-04-13	VYDAJ	PREVOD NA UCET	6269	28436	SIPO	KL	35650015
530558	1809	1997-05-13	VYDAJ	PREVOD NA UCET	6269	32568	SIPO	KL	35650015
530559	1809	1997-06-13	VYDAJ	PREVOD NA UCET	6269	48746	SIPO	KL	35650015
530560	1809	1997-07-13	VYDAJ	PREVOD NA UCET	6269	30253	SIPO	KL	35650015
530561	1809	1997-08-13	VYDAJ	PREVOD NA UCET	6269	28696	SIPO	KL	35650015
530562	1809	1997-09-13	VYDAJ	PREVOD NA UCET	6269	39536	SIPO	KL	35650015
530563	1809	1997-10-13	VYDAJ	PREVOD NA UCET	6269	28319	SIPO	KL	35650015
530564	1809	1997-11-13	VYDAJ	PREVOD NA UCET	6269	43371	SIPO	KL	35650015
530565	1809	1997-12-13	VYDAJ	PREVOD NA UCET	6269	39399	SIPO	KL	35650015
530566	1809	1998-01-13	VYDAJ	PREVOD NA UCET	6269	43280	SIPO	KL	35650015
530567	1809	1998-02-13	VYDAJ	PREVOD NA UCET	6269	28851	SIPO	KL	35650015
530568	1809	1998-03-13	VYDAJ	PREVOD NA UCET	6269	42998	SIPO	KL	35650015
530569	1809	1998-04-13	VYDAJ	PREVOD NA UCET	6269	50192	SIPO	KL	35650015
530570	1809	1998-05-13	VYDAJ	PREVOD NA UCET	6269	47413	SIPO	KL	35650015
530571	1809	1998-06-13	VYDAJ	PREVOD NA UCET	6269	55845	SIPO	KL	35650015
530572	1809	1998-07-13	VYDAJ	PREVOD NA UCET	6269	50815	SIPO	KL	35650015
530573	1809	1998-08-13	VYDAJ	PREVOD NA UCET	6269	48144	SIPO	KL	35650015
530574	1809	1998-09-13	VYDAJ	PREVOD NA UCET	6269	62373	SIPO	KL	35650015
530575	1809	1998-10-13	VYDAJ	PREVOD NA UCET	6269	70307	SIPO	KL	35650015
530576	1809	1998-11-13	VYDAJ	PREVOD NA UCET	6269	73907	SIPO	KL	35650015
530577	1809	1998-12-13	VYDAJ	PREVOD NA UCET	6269	70745	SIPO	KL	35650015
530593	1809	1994-04-06	VYDAJ	PREVOD NA UCET	183	62093	 	WX	62114232
530594	1809	1994-05-06	VYDAJ	PREVOD NA UCET	183	46970	 	WX	62114232
530595	1809	1994-06-06	VYDAJ	PREVOD NA UCET	183	53325	 	WX	62114232
530596	1809	1994-07-06	VYDAJ	PREVOD NA UCET	183	50174	 	WX	62114232
530597	1809	1994-08-06	VYDAJ	PREVOD NA UCET	183	48119	 	WX	62114232
530598	1809	1994-09-06	VYDAJ	PREVOD NA UCET	183	39034	 	WX	62114232
530599	1809	1994-10-06	VYDAJ	PREVOD NA UCET	183	34724	 	WX	62114232
530600	1809	1994-11-06	VYDAJ	PREVOD NA UCET	183	33405	 	WX	62114232
530601	1809	1994-12-06	VYDAJ	PREVOD NA UCET	183	44213	 	WX	62114232
530602	1809	1995-01-06	VYDAJ	PREVOD NA UCET	183	38712	 	WX	62114232
530603	1809	1995-02-06	VYDAJ	PREVOD NA UCET	183	36497	 	WX	62114232
530604	1809	1995-03-06	VYDAJ	PREVOD NA UCET	183	43309	 	WX	62114232
530605	1809	1995-04-06	VYDAJ	PREVOD NA UCET	183	29013	 	WX	62114232
530606	1809	1995-05-06	VYDAJ	PREVOD NA UCET	183	26802	 	WX	62114232
530607	1809	1995-06-06	VYDAJ	PREVOD NA UCET	183	46213	 	WX	62114232
530608	1809	1995-07-06	VYDAJ	PREVOD NA UCET	183	44556	 	WX	62114232
530609	1809	1995-08-06	VYDAJ	PREVOD NA UCET	183	37940	 	WX	62114232
530610	1809	1995-09-06	VYDAJ	PREVOD NA UCET	183	44461	 	WX	62114232
530611	1809	1995-10-06	VYDAJ	PREVOD NA UCET	183	47608	 	WX	62114232
530612	1809	1995-11-06	VYDAJ	PREVOD NA UCET	183	36083	 	WX	62114232
530613	1809	1995-12-06	VYDAJ	PREVOD NA UCET	183	54329	 	WX	62114232
530614	1809	1996-01-06	VYDAJ	PREVOD NA UCET	183	52691	 	WX	62114232
530615	1809	1996-02-06	VYDAJ	PREVOD NA UCET	183	46999	 	WX	62114232
530616	1809	1996-03-06	VYDAJ	PREVOD NA UCET	183	41189	 	WX	62114232
530617	1809	1996-04-06	VYDAJ	PREVOD NA UCET	183	50516	 	WX	62114232
530618	1809	1996-05-06	VYDAJ	PREVOD NA UCET	183	39417	 	WX	62114232
530619	1809	1996-06-06	VYDAJ	PREVOD NA UCET	183	60687	 	WX	62114232
530620	1809	1996-07-06	VYDAJ	PREVOD NA UCET	183	47138	 	WX	62114232
530621	1809	1996-08-06	VYDAJ	PREVOD NA UCET	183	45096	 	WX	62114232
530622	1809	1996-09-06	VYDAJ	PREVOD NA UCET	183	42509	 	WX	62114232
530623	1809	1996-10-06	VYDAJ	PREVOD NA UCET	183	40063	 	WX	62114232
530624	1809	1996-11-06	VYDAJ	PREVOD NA UCET	183	48700	 	WX	62114232
530625	1809	1996-12-06	VYDAJ	PREVOD NA UCET	183	63490	 	WX	62114232
530626	1809	1997-01-06	VYDAJ	PREVOD NA UCET	183	42372	 	WX	62114232
530627	1809	1997-02-06	VYDAJ	PREVOD NA UCET	183	49101	 	WX	62114232
530628	1809	1997-03-06	VYDAJ	PREVOD NA UCET	183	41308	 	WX	62114232
530629	1809	1997-04-06	VYDAJ	PREVOD NA UCET	183	41565	 	WX	62114232
530630	1809	1997-05-06	VYDAJ	PREVOD NA UCET	183	45697	 	WX	62114232
530631	1809	1997-06-06	VYDAJ	PREVOD NA UCET	183	61875	 	WX	62114232
530632	1809	1997-07-06	VYDAJ	PREVOD NA UCET	183	48371	 	WX	62114232
530633	1809	1997-08-06	VYDAJ	PREVOD NA UCET	183	41825	 	WX	62114232
530634	1809	1997-09-06	VYDAJ	PREVOD NA UCET	183	52665	 	WX	62114232
530635	1809	1997-10-06	VYDAJ	PREVOD NA UCET	183	41448	 	WX	62114232
530636	1809	1997-11-06	VYDAJ	PREVOD NA UCET	183	56500	 	WX	62114232
530637	1809	1997-12-06	VYDAJ	PREVOD NA UCET	183	61794	 	WX	62114232
530638	1809	1998-01-06	VYDAJ	PREVOD NA UCET	183	56409	 	WX	62114232
530639	1809	1998-02-06	VYDAJ	PREVOD NA UCET	183	41980	 	WX	62114232
530640	1809	1998-03-06	VYDAJ	PREVOD NA UCET	183	56127	 	WX	62114232
530641	1809	1998-04-06	VYDAJ	PREVOD NA UCET	183	63321	 	WX	62114232
530642	1809	1998-05-06	VYDAJ	PREVOD NA UCET	183	60542	 	WX	62114232
530643	1809	1998-06-06	VYDAJ	PREVOD NA UCET	183	68974	 	WX	62114232
530644	1809	1998-07-06	VYDAJ	PREVOD NA UCET	183	63944	 	WX	62114232
530645	1809	1998-08-06	VYDAJ	PREVOD NA UCET	183	61273	 	WX	62114232
530646	1809	1998-09-06	VYDAJ	PREVOD NA UCET	183	75502	 	WX	62114232
530647	1809	1998-10-06	VYDAJ	PREVOD NA UCET	183	83436	 	WX	62114232
530648	1809	1998-11-06	VYDAJ	PREVOD NA UCET	183	87036	 	WX	62114232
530649	1809	1998-12-06	VYDAJ	PREVOD NA UCET	183	83874	 	WX	62114232
530665	1809	1994-04-09	VYDAJ	PREVOD NA UCET	6860	55233	POJISTNE	WX	80008905
530666	1809	1994-05-09	VYDAJ	PREVOD NA UCET	6860	40110	POJISTNE	WX	80008905
530667	1809	1994-06-09	VYDAJ	PREVOD NA UCET	6860	46465	POJISTNE	WX	80008905
530668	1809	1994-07-09	VYDAJ	PREVOD NA UCET	6860	43314	POJISTNE	WX	80008905
530669	1809	1994-08-09	VYDAJ	PREVOD NA UCET	6860	33159	POJISTNE	WX	80008905
530670	1809	1994-09-09	VYDAJ	PREVOD NA UCET	6860	21074	POJISTNE	WX	80008905
530671	1809	1994-10-09	VYDAJ	PREVOD NA UCET	6860	19764	POJISTNE	WX	80008905
530672	1809	1994-11-09	VYDAJ	PREVOD NA UCET	6860	20545	POJISTNE	WX	80008905
530673	1809	1994-12-09	VYDAJ	PREVOD NA UCET	6860	25053	POJISTNE	WX	80008905
530674	1809	1995-01-09	VYDAJ	PREVOD NA UCET	6860	22852	POJISTNE	WX	80008905
530675	1809	1995-02-09	VYDAJ	PREVOD NA UCET	6860	29637	POJISTNE	WX	80008905
530676	1809	1995-03-09	VYDAJ	PREVOD NA UCET	6860	24649	POJISTNE	WX	80008905
530677	1809	1995-04-09	VYDAJ	PREVOD NA UCET	6860	22153	POJISTNE	WX	80008905
530678	1809	1995-05-09	VYDAJ	PREVOD NA UCET	6860	19942	POJISTNE	WX	80008905
530679	1809	1995-06-09	VYDAJ	PREVOD NA UCET	6860	39353	POJISTNE	WX	80008905
530680	1809	1995-07-09	VYDAJ	PREVOD NA UCET	6860	37696	POJISTNE	WX	80008905
530681	1809	1995-08-09	VYDAJ	PREVOD NA UCET	6860	31080	POJISTNE	WX	80008905
530682	1809	1995-09-09	VYDAJ	PREVOD NA UCET	6860	37601	POJISTNE	WX	80008905
530683	1809	1995-10-09	VYDAJ	PREVOD NA UCET	6860	40748	POJISTNE	WX	80008905
530684	1809	1995-11-09	VYDAJ	PREVOD NA UCET	6860	29223	POJISTNE	WX	80008905
530685	1809	1995-12-09	VYDAJ	PREVOD NA UCET	6860	47469	POJISTNE	WX	80008905
530686	1809	1996-01-09	VYDAJ	PREVOD NA UCET	6860	40431	POJISTNE	WX	80008905
530687	1809	1996-02-09	VYDAJ	PREVOD NA UCET	6860	18243	POJISTNE	WX	80008905
530688	1809	1996-03-09	VYDAJ	PREVOD NA UCET	6860	34329	POJISTNE	WX	80008905
530689	1809	1996-04-09	VYDAJ	PREVOD NA UCET	6860	43656	POJISTNE	WX	80008905
530690	1809	1996-05-09	VYDAJ	PREVOD NA UCET	6860	32557	POJISTNE	WX	80008905
530691	1809	1996-06-09	VYDAJ	PREVOD NA UCET	6860	53827	POJISTNE	WX	80008905
530692	1809	1996-07-09	VYDAJ	PREVOD NA UCET	6860	40278	POJISTNE	WX	80008905
530693	1809	1996-08-09	VYDAJ	PREVOD NA UCET	6860	38236	POJISTNE	WX	80008905
530694	1809	1996-09-09	VYDAJ	PREVOD NA UCET	6860	35649	POJISTNE	WX	80008905
530695	1809	1996-10-09	VYDAJ	PREVOD NA UCET	6860	33203	POJISTNE	WX	80008905
530696	1809	1996-11-09	VYDAJ	PREVOD NA UCET	6860	41840	POJISTNE	WX	80008905
530697	1809	1996-12-09	VYDAJ	PREVOD NA UCET	6860	56630	POJISTNE	WX	80008905
530698	1809	1997-01-09	VYDAJ	PREVOD NA UCET	6860	35512	POJISTNE	WX	80008905
530699	1809	1997-02-09	VYDAJ	PREVOD NA UCET	6860	42241	POJISTNE	WX	80008905
530700	1809	1997-03-09	VYDAJ	PREVOD NA UCET	6860	34448	POJISTNE	WX	80008905
530701	1809	1997-04-09	VYDAJ	PREVOD NA UCET	6860	34705	POJISTNE	WX	80008905
530702	1809	1997-05-09	VYDAJ	PREVOD NA UCET	6860	38837	POJISTNE	WX	80008905
530703	1809	1997-06-09	VYDAJ	PREVOD NA UCET	6860	55015	POJISTNE	WX	80008905
530704	1809	1997-07-09	VYDAJ	PREVOD NA UCET	6860	36522	POJISTNE	WX	80008905
530705	1809	1997-08-09	VYDAJ	PREVOD NA UCET	6860	34965	POJISTNE	WX	80008905
530706	1809	1997-09-09	VYDAJ	PREVOD NA UCET	6860	45805	POJISTNE	WX	80008905
530707	1809	1997-10-09	VYDAJ	PREVOD NA UCET	6860	34588	POJISTNE	WX	80008905
530708	1809	1997-11-09	VYDAJ	PREVOD NA UCET	6860	49640	POJISTNE	WX	80008905
530709	1809	1997-12-09	VYDAJ	PREVOD NA UCET	6860	45668	POJISTNE	WX	80008905
530710	1809	1998-01-09	VYDAJ	PREVOD NA UCET	6860	49549	POJISTNE	WX	80008905
530711	1809	1998-02-09	VYDAJ	PREVOD NA UCET	6860	35120	POJISTNE	WX	80008905
530712	1809	1998-03-09	VYDAJ	PREVOD NA UCET	6860	49267	POJISTNE	WX	80008905
530713	1809	1998-04-09	VYDAJ	PREVOD NA UCET	6860	56461	POJISTNE	WX	80008905
530714	1809	1998-05-09	VYDAJ	PREVOD NA UCET	6860	53682	POJISTNE	WX	80008905
530715	1809	1998-06-09	VYDAJ	PREVOD NA UCET	6860	62114	POJISTNE	WX	80008905
530716	1809	1998-07-09	VYDAJ	PREVOD NA UCET	6860	57084	POJISTNE	WX	80008905
530717	1809	1998-08-09	VYDAJ	PREVOD NA UCET	6860	54413	POJISTNE	WX	80008905
530718	1809	1998-09-09	VYDAJ	PREVOD NA UCET	6860	68642	POJISTNE	WX	80008905
530719	1809	1998-10-09	VYDAJ	PREVOD NA UCET	6860	76576	POJISTNE	WX	80008905
530720	1809	1998-11-09	VYDAJ	PREVOD NA UCET	6860	80176	POJISTNE	WX	80008905
530721	1809	1998-12-09	VYDAJ	PREVOD NA UCET	6860	77014	POJISTNE	WX	80008905
530733	1809	1994-04-16	VYBER	VYBER	7188	26976	\N	\N	\N
530744	1809	1995-10-11	VYBER	VYBER	8265	32483	\N	\N	\N
530745	1809	1995-07-22	VYBER	VYBER	12352	19075	\N	\N	\N
530746	1809	1996-05-06	VYBER	VYBER	14271	39600	\N	\N	\N
530747	1809	1996-08-10	VYBER	VYBER	16197	22039	\N	\N	\N
530750	1809	1996-01-10	VYBER	VYBER	7627	32804	\N	\N	\N
530752	1809	1996-10-06	VYBER	VYBER	11686	40246	\N	\N	\N
530753	1809	1996-02-07	VYBER	VYBER	21896	25103	\N	\N	\N
530758	1809	1997-10-04	VYBER	VYBER	17994	21576	\N	\N	\N
530759	1809	1997-07-09	VYBER	VYBER	4989	43382	\N	\N	\N
530760	1809	1997-11-21	VYBER	VYBER	8476	31765	\N	\N	\N
530762	1809	1997-10-01	VYBER	VYBER	3107	39570	\N	\N	\N
530763	1809	1997-11-17	VYBER	VYBER	13430	29941	\N	\N	\N
530764	1809	1997-12-09	VYBER	VYBER	9266	52528	\N	\N	\N
530765	1809	1997-03-12	VYBER	VYBER	6658	27790	\N	\N	\N
530767	1809	1997-02-26	VYBER	VYBER	6837	21335	\N	\N	\N
530769	1809	1998-06-18	VYBER	VYBER	18947	36898	\N	\N	\N
530770	1809	1998-09-17	VYBER	VYBER	4149	63324	\N	\N	\N
530771	1809	1998-07-23	VYBER	VYBER	13888	41227	\N	\N	\N
530775	1809	1996-06-09	VYDAJ	VYBER	22800	31027	\N	\N	\N
530780	1809	1995-12-15	VYDAJ	VYBER	8400	32800	\N	\N	\N
530781	1809	1996-12-24	VYDAJ	VYBER	6300	34161	\N	\N	\N
530782	1809	1997-12-25	VYDAJ	VYBER	6000	36399	\N	\N	\N
530783	1809	1998-12-16	VYDAJ	VYBER	8100	62645	\N	\N	\N
530800	1809	1995-01-12	VYDAJ	VYBER	2700	20152	\N	\N	\N
530802	1809	1996-01-22	VYDAJ	VYBER	3900	22635	\N	\N	\N
530807	1809	1996-01-25	VYDAJ	VYBER	2700	19935	\N	\N	\N
530808	1809	1997-01-03	VYDAJ	VYBER	3900	22500	\N	\N	\N
530812	1809	1997-01-01	VYDAJ	VYBER	4800	26400	\N	\N	\N
530813	1809	1997-01-10	VYDAJ	VYBER	5700	29812	\N	\N	\N
530814	1809	1998-01-20	VYDAJ	VYBER	3300	34280	\N	\N	\N
530815	1809	1998-01-28	VYDAJ	VYBER	6900	27380	\N	\N	\N
530816	1809	1998-01-28	VYDAJ	VYBER	5400	21980	\N	\N	\N
530817	1809	1998-01-17	VYDAJ	VYBER	8400	26780	\N	\N	\N
530818	1809	1998-01-16	VYDAJ	VYBER	3300	35180	\N	\N	\N
530819	1809	1998-01-15	VYDAJ	VYBER	4800	38480	\N	\N	\N
530825	1809	1994-08-10	VYDAJ	VYBER	7800	25359	\N	\N	\N
530829	1809	1995-11-06	VYDAJ	VYBER	7500	36266	\N	\N	\N
530832	1809	1995-06-21	VYDAJ	VYBER	2100	30984	\N	\N	\N
530837	1809	1996-08-04	VYDAJ	VYBER	7800	25224	\N	\N	\N
530839	1809	1996-01-06	VYDAJ	VYBER	5400	47291	\N	\N	\N
530840	1809	1996-12-11	VYDAJ	VYBER	9900	46730	\N	\N	\N
530841	1809	1997-06-27	VYDAJ	VYBER	9900	28346	\N	\N	\N
530842	1809	1997-02-11	VYDAJ	VYBER	6600	35641	\N	\N	\N
530844	1809	1997-07-27	VYDAJ	VYBER	12900	21853	\N	\N	\N
530845	1809	1998-05-21	VYDAJ	VYBER	7800	38913	\N	\N	\N
530846	1809	1998-12-01	VYDAJ	VYBER	14700	53975	\N	\N	\N
530848	1809	1998-05-04	VYDAJ	VYBER	7800	40670	\N	\N	\N
530865	1809	1994-04-30	VYDAJ	VYBER	30	27098	SLUZBY	\N	\N
530866	1809	1994-05-31	VYDAJ	VYBER	30	23426	SLUZBY	\N	\N
530867	1809	1994-06-30	VYDAJ	VYBER	30	30302	SLUZBY	\N	\N
530868	1809	1994-07-31	VYDAJ	VYBER	30	28247	SLUZBY	\N	\N
530869	1809	1994-08-31	VYDAJ	VYBER	30	19162	SLUZBY	\N	\N
530870	1809	1994-09-30	VYDAJ	VYBER	30	14852	SLUZBY	\N	\N
530871	1809	1994-10-31	VYDAJ	VYBER	30	13533	SLUZBY	\N	\N
530872	1809	1994-11-30	VYDAJ	VYBER	30	14314	SLUZBY	\N	\N
530873	1809	1994-12-31	VYDAJ	VYBER	30	18840	SLUZBY	\N	\N
530874	1809	1995-01-31	VYDAJ	VYBER	30	13925	SLUZBY	\N	\N
530875	1809	1995-02-28	VYDAJ	VYBER	30	23437	SLUZBY	\N	\N
530876	1809	1995-03-31	VYDAJ	VYBER	30	18441	SLUZBY	\N	\N
530877	1809	1995-04-30	VYDAJ	VYBER	30	15930	SLUZBY	\N	\N
530878	1809	1995-05-31	VYDAJ	VYBER	30	13714	SLUZBY	\N	\N
530879	1809	1995-06-30	VYDAJ	VYBER	30	31084	SLUZBY	\N	\N
530880	1809	1995-07-31	VYDAJ	VYBER	30	19168	SLUZBY	\N	\N
530881	1809	1995-08-31	VYDAJ	VYBER	30	24889	SLUZBY	\N	\N
530882	1809	1995-09-30	VYDAJ	VYBER	30	31436	SLUZBY	\N	\N
530883	1809	1995-10-31	VYDAJ	VYBER	30	26311	SLUZBY	\N	\N
530884	1809	1995-11-30	VYDAJ	VYBER	30	23030	SLUZBY	\N	\N
530885	1809	1995-12-31	VYDAJ	VYBER	30	32919	SLUZBY	\N	\N
530886	1809	1996-01-31	VYDAJ	VYBER	30	27127	SLUZBY	\N	\N
530887	1809	1996-02-29	VYDAJ	VYBER	30	12017	SLUZBY	\N	\N
530888	1809	1996-03-31	VYDAJ	VYBER	30	30644	SLUZBY	\N	\N
530889	1809	1996-04-30	VYDAJ	VYBER	30	33816	SLUZBY	\N	\N
530890	1809	1996-05-31	VYDAJ	VYBER	30	30788	SLUZBY	\N	\N
530891	1809	1996-06-30	VYDAJ	VYBER	30	27266	SLUZBY	\N	\N
530892	1809	1996-07-31	VYDAJ	VYBER	30	33024	SLUZBY	\N	\N
530893	1809	1996-08-31	VYDAJ	VYBER	30	22637	SLUZBY	\N	\N
530894	1809	1996-09-30	VYDAJ	VYBER	30	31877	SLUZBY	\N	\N
530895	1809	1996-10-31	VYDAJ	VYBER	30	28828	SLUZBY	\N	\N
530896	1809	1996-11-30	VYDAJ	VYBER	30	33591	SLUZBY	\N	\N
530897	1809	1996-12-31	VYDAJ	VYBER	30	31200	SLUZBY	\N	\N
530898	1809	1997-01-31	VYDAJ	VYBER	30	29229	SLUZBY	\N	\N
530899	1809	1997-02-28	VYDAJ	VYBER	30	21436	SLUZBY	\N	\N
530900	1809	1997-03-31	VYDAJ	VYBER	30	21693	SLUZBY	\N	\N
530901	1809	1997-04-30	VYDAJ	VYBER	30	25825	SLUZBY	\N	\N
530902	1809	1997-05-31	VYDAJ	VYBER	30	31976	SLUZBY	\N	\N
530903	1809	1997-06-30	VYDAJ	VYBER	30	28499	SLUZBY	\N	\N
530904	1809	1997-07-31	VYDAJ	VYBER	30	21953	SLUZBY	\N	\N
530905	1809	1997-08-31	VYDAJ	VYBER	30	32793	SLUZBY	\N	\N
530906	1809	1997-09-30	VYDAJ	VYBER	30	42677	SLUZBY	\N	\N
530907	1809	1997-10-31	VYDAJ	VYBER	30	36628	SLUZBY	\N	\N
530908	1809	1997-11-30	VYDAJ	VYBER	30	31895	SLUZBY	\N	\N
530909	1809	1997-12-31	VYDAJ	VYBER	30	36537	SLUZBY	\N	\N
530910	1809	1998-01-31	VYDAJ	VYBER	30	22108	SLUZBY	\N	\N
530911	1809	1998-02-28	VYDAJ	VYBER	30	36255	SLUZBY	\N	\N
530912	1809	1998-03-31	VYDAJ	VYBER	30	43449	SLUZBY	\N	\N
530913	1809	1998-04-30	VYDAJ	VYBER	30	48470	SLUZBY	\N	\N
530914	1809	1998-05-31	VYDAJ	VYBER	30	39075	SLUZBY	\N	\N
530915	1809	1998-06-30	VYDAJ	VYBER	30	44072	SLUZBY	\N	\N
530916	1809	1998-07-31	VYDAJ	VYBER	30	41401	SLUZBY	\N	\N
530917	1809	1998-08-31	VYDAJ	VYBER	30	55630	SLUZBY	\N	\N
530918	1809	1998-09-30	VYDAJ	VYBER	30	63564	SLUZBY	\N	\N
530919	1809	1998-10-31	VYDAJ	VYBER	30	67164	SLUZBY	\N	\N
530920	1809	1998-11-30	VYDAJ	VYBER	30	68675	SLUZBY	\N	\N
530921	1809	1993-12-12	VYDAJ	VYBER	1200	29082	\N	\N	\N
530922	1809	1994-01-11	VYDAJ	VYBER	11200	38015	\N	\N	\N
530923	1809	1994-02-10	VYDAJ	VYBER	15200	43017	\N	\N	\N
530924	1809	1994-03-12	VYDAJ	VYBER	21200	42044	\N	\N	\N
530925	1809	1994-04-11	VYDAJ	VYBER	14800	40433	\N	\N	\N
530926	1809	1994-05-11	VYDAJ	VYBER	10500	29610	\N	\N	\N
530927	1809	1994-06-10	VYDAJ	VYBER	10000	36465	\N	\N	\N
530928	1809	1994-07-10	VYDAJ	VYBER	8900	34414	\N	\N	\N
530929	1809	1994-08-09	VYDAJ	VYBER	8100	40019	\N	\N	\N
530930	1809	1994-09-08	VYDAJ	VYBER	11100	27934	\N	\N	\N
530931	1809	1994-10-08	VYDAJ	VYBER	8100	26624	\N	\N	\N
530932	1809	1994-11-07	VYDAJ	VYBER	6000	27405	\N	\N	\N
530933	1809	1994-12-07	VYDAJ	VYBER	12300	31913	\N	\N	\N
530934	1809	1995-01-06	VYDAJ	VYBER	9000	29712	\N	\N	\N
530935	1809	1995-02-05	PRIJEM	VKLAD	2700	16625	\N	\N	\N
530936	1809	1995-03-07	VYDAJ	VYBER	11800	31509	\N	\N	\N
530937	1809	1995-04-06	VYDAJ	VYBER	9300	29196	\N	\N	\N
530938	1809	1995-05-06	VYDAJ	VYBER	9000	26985	\N	\N	\N
530939	1809	1995-06-05	PRIJEM	VKLAD	2600	16314	\N	\N	\N
530940	1809	1995-07-05	VYDAJ	VYBER	6400	24684	\N	\N	\N
530941	1809	1995-08-04	VYDAJ	VYBER	1100	18068	\N	\N	\N
530942	1809	1995-09-03	VYDAJ	VYBER	300	24589	\N	\N	\N
530943	1809	1995-10-03	VYDAJ	VYBER	3700	27736	\N	\N	\N
530944	1809	1995-11-02	VYDAJ	VYBER	2600	23711	\N	\N	\N
530945	1809	1995-12-02	PRIJEM	VKLAD	1400	24430	\N	\N	\N
530946	1809	1996-01-01	VYDAJ	VYBER	100	32819	\N	\N	\N
530947	1809	1996-01-31	PRIJEM	VKLAD	7100	27157	\N	\N	\N
530948	1809	1996-03-01	PRIJEM	VKLAD	9300	21317	\N	\N	\N
530949	1809	1996-03-31	PRIJEM	VKLAD	2500	30674	\N	\N	\N
530950	1809	1996-04-30	VYDAJ	VYBER	3700	33846	\N	\N	\N
530951	1809	1996-05-30	PRIJEM	VKLAD	4400	30688	\N	\N	\N
530952	1809	1996-06-29	PRIJEM	VKLAD	2400	27158	\N	\N	\N
530953	1809	1996-07-29	VYDAJ	VYBER	1100	32909	\N	\N	\N
530954	1809	1996-08-28	PRIJEM	VKLAD	6800	22570	\N	\N	\N
530955	1809	1996-09-27	PRIJEM	VKLAD	2400	31780	\N	\N	\N
530956	1809	1996-10-27	PRIJEM	VKLAD	1800	28734	\N	\N	\N
530957	1809	1996-11-26	VYDAJ	VYBER	2100	33471	\N	\N	\N
530958	1809	1996-12-26	VYDAJ	VYBER	3100	31061	\N	\N	\N
530959	1809	1997-01-25	PRIJEM	VKLAD	5600	29143	\N	\N	\N
530960	1809	1997-02-24	VYDAJ	VYBER	1200	28172	\N	\N	\N
530961	1809	1997-03-26	PRIJEM	VKLAD	100	21621	\N	\N	\N
530962	1809	1997-04-25	VYDAJ	VYBER	2700	25736	\N	\N	\N
530963	1809	1997-05-25	VYDAJ	VYBER	700	31868	\N	\N	\N
530964	1809	1997-06-24	VYDAJ	VYBER	10500	38246	\N	\N	\N
530965	1809	1997-07-24	PRIJEM	VKLAD	4500	34753	\N	\N	\N
530966	1809	1997-08-23	PRIJEM	VKLAD	4000	32696	\N	\N	\N
530967	1809	1997-09-22	PRIJEM	VKLAD	3000	42536	\N	\N	\N
530968	1809	1997-10-22	PRIJEM	VKLAD	8200	36519	\N	\N	\N
530969	1809	1997-11-21	PRIJEM	VKLAD	10300	40241	\N	\N	\N
530970	1809	1997-12-21	PRIJEM	VKLAD	3000	42399	\N	\N	\N
530971	1809	1998-01-20	PRIJEM	VKLAD	10800	37580	\N	\N	\N
530972	1809	1998-02-19	PRIJEM	VKLAD	7300	36151	\N	\N	\N
530973	1809	1998-03-21	PRIJEM	VKLAD	300	43298	\N	\N	\N
530974	1809	1998-04-20	VYDAJ	VYBER	1900	48292	\N	\N	\N
530975	1809	1998-05-20	VYDAJ	VYBER	700	46713	\N	\N	\N
530976	1809	1998-06-19	PRIJEM	VKLAD	7000	43898	\N	\N	\N
530977	1809	1998-07-19	PRIJEM	VKLAD	4300	55115	\N	\N	\N
530978	1809	1998-08-18	PRIJEM	VKLAD	7300	55444	\N	\N	\N
530979	1809	1998-09-17	PRIJEM	VKLAD	5100	67473	\N	\N	\N
530980	1809	1998-10-17	VYDAJ	VYBER	3400	66907	\N	\N	\N
530981	1809	1998-11-16	VYDAJ	VYBER	5500	68407	\N	\N	\N
531043	1810	1995-09-03	PRIJEM	VKLAD	800	800	\N	\N	\N
531052	1810	1995-09-14	PRIJEM	VKLAD	17701	18501	\N	\N	\N
531053	1810	1995-10-14	PRIJEM	VKLAD	17701	40346	\N	\N	\N
531054	1810	1995-11-14	PRIJEM	VKLAD	17701	50477	\N	\N	\N
531055	1810	1995-12-14	PRIJEM	VKLAD	26552	60421	\N	\N	\N
531056	1810	1996-01-14	PRIJEM	VKLAD	17701	55056	\N	\N	\N
531057	1810	1996-02-14	PRIJEM	VKLAD	17701	47220	\N	\N	\N
531058	1810	1996-03-14	PRIJEM	VKLAD	17701	48432	\N	\N	\N
531059	1810	1996-04-14	PRIJEM	VKLAD	17701	49567	\N	\N	\N
531060	1810	1996-05-14	PRIJEM	VKLAD	17701	49487	\N	\N	\N
531061	1810	1996-06-14	PRIJEM	VKLAD	26552	45769	\N	\N	\N
531062	1810	1996-07-14	PRIJEM	VKLAD	17701	44183	\N	\N	\N
531063	1810	1996-08-14	PRIJEM	VKLAD	17701	47079	\N	\N	\N
531064	1810	1996-09-14	PRIJEM	VKLAD	17701	46092	\N	\N	\N
531065	1810	1996-10-14	PRIJEM	VKLAD	17701	47094	\N	\N	\N
531066	1810	1996-11-14	PRIJEM	VKLAD	17701	45598	\N	\N	\N
531067	1810	1996-12-14	PRIJEM	VKLAD	26552	57760	\N	\N	\N
531068	1810	1997-01-14	PRIJEM	VKLAD	17701	50795	\N	\N	\N
531069	1810	1997-02-14	PRIJEM	VKLAD	17701	43711	\N	\N	\N
531070	1810	1997-03-14	PRIJEM	VKLAD	17701	50202	\N	\N	\N
531071	1810	1997-04-14	PRIJEM	VKLAD	17701	52319	\N	\N	\N
531072	1810	1997-05-14	PRIJEM	VKLAD	17701	52952	\N	\N	\N
531073	1810	1997-06-14	PRIJEM	VKLAD	26552	42238	\N	\N	\N
531074	1810	1997-07-14	PRIJEM	VKLAD	17701	45133	\N	\N	\N
531075	1810	1997-08-14	PRIJEM	VKLAD	17701	46627	\N	\N	\N
531076	1810	1997-09-14	PRIJEM	VKLAD	17701	47631	\N	\N	\N
531077	1810	1997-10-14	PRIJEM	VKLAD	17701	50033	\N	\N	\N
531078	1810	1997-11-14	PRIJEM	VKLAD	17701	54645	\N	\N	\N
531079	1810	1997-12-14	PRIJEM	VKLAD	26552	61028	\N	\N	\N
531080	1810	1998-01-14	PRIJEM	VKLAD	17701	56881	\N	\N	\N
531081	1810	1998-02-14	PRIJEM	VKLAD	17701	57025	\N	\N	\N
531082	1810	1998-03-14	PRIJEM	VKLAD	17701	59365	\N	\N	\N
531083	1810	1998-04-14	PRIJEM	VKLAD	17701	59816	\N	\N	\N
531084	1810	1998-05-14	PRIJEM	VKLAD	17701	59764	\N	\N	\N
531085	1810	1998-06-14	PRIJEM	VKLAD	26552	44168	\N	\N	\N
531086	1810	1998-07-14	PRIJEM	VKLAD	17701	50892	\N	\N	\N
531087	1810	1998-08-14	PRIJEM	VKLAD	17701	53707	\N	\N	\N
531088	1810	1998-09-14	PRIJEM	VKLAD	17701	52424	\N	\N	\N
531089	1810	1998-10-14	PRIJEM	VKLAD	17701	46125	\N	\N	\N
531090	1810	1998-11-14	PRIJEM	VKLAD	17701	44504	\N	\N	\N
531091	1810	1998-12-14	PRIJEM	VKLAD	26552	48420	\N	\N	\N
531104	1810	1996-01-14	VYDAJ	PREVOD NA UCET	5925	49131	SIPO	ST	40205115
531105	1810	1996-02-14	VYDAJ	PREVOD NA UCET	5925	41295	SIPO	ST	40205115
531106	1810	1996-03-14	VYDAJ	PREVOD NA UCET	5925	42507	SIPO	ST	40205115
531107	1810	1996-04-14	VYDAJ	PREVOD NA UCET	5925	43642	SIPO	ST	40205115
531108	1810	1996-05-14	VYDAJ	PREVOD NA UCET	5925	43562	SIPO	ST	40205115
531109	1810	1996-06-14	VYDAJ	PREVOD NA UCET	5925	39844	SIPO	ST	40205115
531110	1810	1996-07-14	VYDAJ	PREVOD NA UCET	5925	38258	SIPO	ST	40205115
531111	1810	1996-08-14	VYDAJ	PREVOD NA UCET	5925	41154	SIPO	ST	40205115
531112	1810	1996-09-14	VYDAJ	PREVOD NA UCET	5925	40167	SIPO	ST	40205115
531113	1810	1996-10-14	VYDAJ	PREVOD NA UCET	5925	41169	SIPO	ST	40205115
531114	1810	1996-11-14	VYDAJ	PREVOD NA UCET	5925	39673	SIPO	ST	40205115
531115	1810	1996-12-14	VYDAJ	PREVOD NA UCET	5925	51835	SIPO	ST	40205115
531116	1810	1997-01-14	VYDAJ	PREVOD NA UCET	5925	44870	SIPO	ST	40205115
531117	1810	1997-02-14	VYDAJ	PREVOD NA UCET	5925	37786	SIPO	ST	40205115
531118	1810	1997-03-14	VYDAJ	PREVOD NA UCET	5925	44277	SIPO	ST	40205115
531119	1810	1997-04-14	VYDAJ	PREVOD NA UCET	5925	46394	SIPO	ST	40205115
531120	1810	1997-05-14	VYDAJ	PREVOD NA UCET	5925	47027	SIPO	ST	40205115
531121	1810	1997-06-14	VYDAJ	PREVOD NA UCET	5925	36313	SIPO	ST	40205115
531122	1810	1997-07-14	VYDAJ	PREVOD NA UCET	5925	39208	SIPO	ST	40205115
531123	1810	1997-08-14	VYDAJ	PREVOD NA UCET	5925	40702	SIPO	ST	40205115
531124	1810	1997-09-14	VYDAJ	PREVOD NA UCET	5925	41706	SIPO	ST	40205115
531125	1810	1997-10-14	VYDAJ	PREVOD NA UCET	5925	44108	SIPO	ST	40205115
531126	1810	1997-11-14	VYDAJ	PREVOD NA UCET	5925	48720	SIPO	ST	40205115
531127	1810	1997-12-14	VYDAJ	PREVOD NA UCET	5925	55103	SIPO	ST	40205115
531128	1810	1998-01-14	VYDAJ	PREVOD NA UCET	5925	50956	SIPO	ST	40205115
531129	1810	1998-02-14	VYDAJ	PREVOD NA UCET	5925	51100	SIPO	ST	40205115
531130	1810	1998-03-14	VYDAJ	PREVOD NA UCET	5925	53440	SIPO	ST	40205115
531131	1810	1998-04-14	VYDAJ	PREVOD NA UCET	5925	53891	SIPO	ST	40205115
531132	1810	1998-05-14	VYDAJ	PREVOD NA UCET	5925	53839	SIPO	ST	40205115
531133	1810	1998-06-14	VYDAJ	PREVOD NA UCET	5925	38243	SIPO	ST	40205115
531134	1810	1998-07-14	VYDAJ	PREVOD NA UCET	5925	44967	SIPO	ST	40205115
531135	1810	1998-08-14	VYDAJ	PREVOD NA UCET	5925	47782	SIPO	ST	40205115
531136	1810	1998-09-14	VYDAJ	PREVOD NA UCET	5925	46499	SIPO	ST	40205115
531137	1810	1998-10-14	VYDAJ	PREVOD NA UCET	5925	40200	SIPO	ST	40205115
531138	1810	1998-11-14	VYDAJ	PREVOD NA UCET	5925	38579	SIPO	ST	40205115
531139	1810	1998-12-14	VYDAJ	PREVOD NA UCET	5925	42495	SIPO	ST	40205115
531141	1810	1996-06-11	VYDAJ	VYBER	8200	19217	\N	\N	\N
531142	1810	1997-06-08	VYDAJ	VYBER	16900	19386	\N	\N	\N
531143	1810	1998-06-10	VYDAJ	VYBER	25600	17616	\N	\N	\N
531145	1810	1996-01-24	VYDAJ	VYBER	6500	36531	\N	\N	\N
531146	1810	1997-01-30	VYDAJ	VYBER	7100	25870	\N	\N	\N
531147	1810	1998-01-13	VYDAJ	VYBER	5400	39180	\N	\N	\N
531149	1810	1996-12-08	VYDAJ	VYBER	2700	31208	\N	\N	\N
531150	1810	1997-12-01	VYDAJ	VYBER	2900	34476	\N	\N	\N
531151	1810	1998-12-26	VYDAJ	VYBER	2800	23995	\N	\N	\N
531158	1810	1996-01-18	VYDAJ	VYBER	2000	44831	\N	\N	\N
531159	1810	1996-01-19	VYDAJ	VYBER	1800	43031	\N	\N	\N
531160	1810	1996-01-26	VYDAJ	VYBER	2800	33731	\N	\N	\N
531161	1810	1996-01-16	VYDAJ	VYBER	1200	47931	\N	\N	\N
531163	1810	1996-01-17	VYDAJ	VYBER	1100	46831	\N	\N	\N
531164	1810	1997-01-18	VYDAJ	VYBER	2900	41970	\N	\N	\N
531165	1810	1997-01-21	VYDAJ	VYBER	700	41270	\N	\N	\N
531166	1810	1997-01-03	VYDAJ	VYBER	600	36894	\N	\N	\N
531167	1810	1997-01-10	VYDAJ	VYBER	2100	33094	\N	\N	\N
531168	1810	1997-01-05	VYDAJ	VYBER	1700	35194	\N	\N	\N
531169	1810	1997-01-02	VYDAJ	VYBER	1600	37494	\N	\N	\N
531170	1810	1998-01-22	VYDAJ	VYBER	900	40056	\N	\N	\N
531171	1810	1998-01-26	VYDAJ	VYBER	900	39156	\N	\N	\N
531172	1810	1998-01-18	VYDAJ	VYBER	500	44956	\N	\N	\N
531173	1810	1998-01-12	VYDAJ	VYBER	2100	44580	\N	\N	\N
531174	1810	1998-01-17	VYDAJ	VYBER	2800	45456	\N	\N	\N
531175	1810	1998-01-15	VYDAJ	VYBER	2700	48256	\N	\N	\N
531181	1810	1996-10-29	VYDAJ	VYBER	1000	27769	\N	\N	\N
531182	1810	1996-12-26	VYDAJ	VYBER	2600	48035	\N	\N	\N
531183	1810	1996-08-25	VYDAJ	VYBER	3200	37954	\N	\N	\N
531184	1810	1996-12-24	VYDAJ	VYBER	1200	50635	\N	\N	\N
531185	1810	1997-07-31	VYDAJ	VYBER	2600	28941	\N	\N	\N
531186	1810	1997-10-14	VYDAJ	VYBER	1600	42508	\N	\N	\N
531187	1810	1997-06-08	VYDAJ	VYBER	3700	15686	\N	\N	\N
531188	1810	1997-02-22	VYDAJ	VYBER	2600	35186	\N	\N	\N
531189	1810	1998-05-04	VYDAJ	VYBER	1300	42063	\N	\N	\N
531190	1810	1998-09-21	VYDAJ	VYBER	2900	28299	\N	\N	\N
531204	1810	1996-01-31	VYDAJ	VYBER	15	33919	SLUZBY	\N	\N
531205	1810	1996-02-29	VYDAJ	VYBER	15	41431	SLUZBY	\N	\N
531206	1810	1996-03-31	VYDAJ	VYBER	15	31866	SLUZBY	\N	\N
531207	1810	1996-04-30	VYDAJ	VYBER	15	31786	SLUZBY	\N	\N
531208	1810	1996-05-31	VYDAJ	VYBER	15	27417	SLUZBY	\N	\N
531209	1810	1996-06-30	VYDAJ	VYBER	15	26482	SLUZBY	\N	\N
531210	1810	1996-07-31	VYDAJ	VYBER	15	29378	SLUZBY	\N	\N
531211	1810	1996-08-31	VYDAJ	VYBER	15	28391	SLUZBY	\N	\N
531212	1810	1996-09-30	VYDAJ	VYBER	15	29393	SLUZBY	\N	\N
531213	1810	1996-10-31	VYDAJ	VYBER	15	27897	SLUZBY	\N	\N
531214	1810	1996-11-30	VYDAJ	VYBER	15	33908	SLUZBY	\N	\N
531215	1810	1996-12-31	VYDAJ	VYBER	15	39094	SLUZBY	\N	\N
531216	1810	1997-01-31	VYDAJ	VYBER	15	26010	SLUZBY	\N	\N
531217	1810	1997-02-28	VYDAJ	VYBER	15	32501	SLUZBY	\N	\N
531218	1810	1997-03-31	VYDAJ	VYBER	15	34618	SLUZBY	\N	\N
531219	1810	1997-04-30	VYDAJ	VYBER	15	35251	SLUZBY	\N	\N
531220	1810	1997-05-31	VYDAJ	VYBER	15	36286	SLUZBY	\N	\N
531221	1810	1997-06-30	VYDAJ	VYBER	15	27432	SLUZBY	\N	\N
531222	1810	1997-07-31	VYDAJ	VYBER	15	28926	SLUZBY	\N	\N
531223	1810	1997-08-31	VYDAJ	VYBER	15	29930	SLUZBY	\N	\N
531224	1810	1997-09-30	VYDAJ	VYBER	15	32332	SLUZBY	\N	\N
531225	1810	1997-10-31	VYDAJ	VYBER	15	36944	SLUZBY	\N	\N
531226	1810	1997-11-30	VYDAJ	VYBER	15	37376	SLUZBY	\N	\N
531227	1810	1997-12-31	VYDAJ	VYBER	15	46680	SLUZBY	\N	\N
531228	1810	1998-01-31	VYDAJ	VYBER	15	39324	SLUZBY	\N	\N
531229	1810	1998-02-28	VYDAJ	VYBER	15	41664	SLUZBY	\N	\N
531230	1810	1998-03-31	VYDAJ	VYBER	15	42115	SLUZBY	\N	\N
531231	1810	1998-04-30	VYDAJ	VYBER	15	43363	SLUZBY	\N	\N
531232	1810	1998-05-31	VYDAJ	VYBER	15	43216	SLUZBY	\N	\N
531233	1810	1998-06-30	VYDAJ	VYBER	15	33191	SLUZBY	\N	\N
531234	1810	1998-07-31	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
531235	1810	1998-08-31	VYDAJ	VYBER	15	34723	SLUZBY	\N	\N
531236	1810	1998-09-30	VYDAJ	VYBER	15	28424	SLUZBY	\N	\N
531237	1810	1998-10-31	VYDAJ	VYBER	15	26803	SLUZBY	\N	\N
531238	1810	1998-11-30	VYDAJ	VYBER	15	21868	SLUZBY	\N	\N
531239	1810	1995-10-03	PRIJEM	VKLAD	4100	22645	\N	\N	\N
531240	1810	1995-11-02	VYDAJ	VYBER	7700	32776	\N	\N	\N
531241	1810	1995-12-02	VYDAJ	VYBER	16800	33869	\N	\N	\N
531242	1810	1996-01-01	VYDAJ	VYBER	23300	37355	\N	\N	\N
531243	1810	1996-01-31	VYDAJ	VYBER	4400	29519	\N	\N	\N
531244	1810	1996-03-01	VYDAJ	VYBER	10700	30731	\N	\N	\N
531245	1810	1996-03-31	VYDAJ	VYBER	10800	31881	\N	\N	\N
531246	1810	1996-04-30	VYDAJ	VYBER	12000	31801	\N	\N	\N
531247	1810	1996-05-30	VYDAJ	VYBER	16300	27262	\N	\N	\N
531248	1810	1996-06-29	VYDAJ	VYBER	13500	26344	\N	\N	\N
531249	1810	1996-07-29	VYDAJ	VYBER	9000	29258	\N	\N	\N
531250	1810	1996-08-28	VYDAJ	VYBER	9700	28254	\N	\N	\N
531251	1810	1996-09-27	VYDAJ	VYBER	10900	29267	\N	\N	\N
531252	1810	1996-10-27	VYDAJ	VYBER	12400	28769	\N	\N	\N
531253	1810	1996-11-26	VYDAJ	VYBER	5900	33773	\N	\N	\N
531254	1810	1996-12-26	VYDAJ	VYBER	9100	38935	\N	\N	\N
531255	1810	1997-01-25	VYDAJ	VYBER	8300	32970	\N	\N	\N
531256	1810	1997-02-24	VYDAJ	VYBER	2800	32386	\N	\N	\N
531257	1810	1997-03-26	VYDAJ	VYBER	9800	34477	\N	\N	\N
531258	1810	1997-04-25	VYDAJ	VYBER	11300	35094	\N	\N	\N
531259	1810	1997-05-25	VYDAJ	VYBER	10900	36127	\N	\N	\N
531260	1810	1997-06-24	VYDAJ	VYBER	9000	27313	\N	\N	\N
531261	1810	1997-07-24	VYDAJ	VYBER	7800	31408	\N	\N	\N
531262	1810	1997-08-23	VYDAJ	VYBER	10900	29802	\N	\N	\N
531263	1810	1997-09-22	VYDAJ	VYBER	9500	32206	\N	\N	\N
531264	1810	1997-10-22	VYDAJ	VYBER	5700	36808	\N	\N	\N
531265	1810	1997-11-21	VYDAJ	VYBER	11500	37220	\N	\N	\N
531266	1810	1997-12-21	VYDAJ	VYBER	8600	46503	\N	\N	\N
531267	1810	1998-01-20	VYDAJ	VYBER	4000	40956	\N	\N	\N
531268	1810	1998-02-19	VYDAJ	VYBER	9600	41500	\N	\N	\N
531269	1810	1998-03-21	VYDAJ	VYBER	11500	41940	\N	\N	\N
531270	1810	1998-04-20	VYDAJ	VYBER	10700	43191	\N	\N	\N
531271	1810	1998-05-20	VYDAJ	VYBER	10800	43039	\N	\N	\N
531272	1810	1998-06-19	VYDAJ	VYBER	5200	33043	\N	\N	\N
531273	1810	1998-07-19	VYDAJ	VYBER	9100	35867	\N	\N	\N
531274	1810	1998-08-18	VYDAJ	VYBER	13200	34582	\N	\N	\N
531275	1810	1998-09-17	VYDAJ	VYBER	15300	31199	\N	\N	\N
531276	1810	1998-10-17	VYDAJ	VYBER	13500	26700	\N	\N	\N
531277	1810	1998-11-16	VYDAJ	VYBER	16800	21779	\N	\N	\N
531278	1810	1998-12-16	VYDAJ	VYBER	15700	26795	\N	\N	\N
531319	1811	1993-09-22	PRIJEM	VKLAD	300	300	\N	\N	\N
531329	1811	1993-10-14	PRIJEM	PREVOD Z UCTU	23945	24245	\N	UV	96318047
531330	1811	1993-11-14	PRIJEM	PREVOD Z UCTU	23945	46620	\N	UV	96318047
531331	1811	1993-12-14	PRIJEM	PREVOD Z UCTU	35918	69748	\N	UV	96318047
531332	1811	1994-01-14	PRIJEM	PREVOD Z UCTU	23945	73457	\N	UV	96318047
531333	1811	1994-02-14	PRIJEM	PREVOD Z UCTU	23945	74409	\N	UV	96318047
531334	1811	1994-03-14	PRIJEM	PREVOD Z UCTU	23945	64499	\N	UV	96318047
531335	1811	1994-04-14	PRIJEM	PREVOD Z UCTU	23945	58795	\N	UV	96318047
531336	1811	1994-05-14	PRIJEM	PREVOD Z UCTU	23945	41860	\N	UV	96318047
531337	1811	1994-06-14	PRIJEM	PREVOD Z UCTU	35918	48841	\N	UV	96318047
531338	1811	1994-07-14	PRIJEM	PREVOD Z UCTU	23945	41164	\N	UV	96318047
531339	1811	1994-08-14	PRIJEM	PREVOD Z UCTU	23945	41489	\N	UV	96318047
531340	1811	1994-09-14	PRIJEM	PREVOD Z UCTU	23945	43618	\N	UV	96318047
531341	1811	1994-10-14	PRIJEM	PREVOD Z UCTU	23945	47158	\N	UV	96318047
531342	1811	1994-11-14	PRIJEM	PREVOD Z UCTU	23945	44701	\N	UV	96318047
531343	1811	1994-12-14	PRIJEM	PREVOD Z UCTU	35918	50674	\N	UV	96318047
531344	1811	1995-01-14	PRIJEM	PREVOD Z UCTU	23945	30297	\N	UV	96318047
531345	1811	1995-02-14	PRIJEM	PREVOD Z UCTU	23945	34203	\N	UV	96318047
531346	1811	1995-03-14	PRIJEM	PREVOD Z UCTU	23945	41012	\N	UV	96318047
531347	1811	1995-04-14	PRIJEM	PREVOD Z UCTU	23945	30616	\N	UV	96318047
531348	1811	1995-05-14	PRIJEM	PREVOD Z UCTU	23945	39011	\N	UV	96318047
531349	1811	1995-06-14	PRIJEM	PREVOD Z UCTU	35918	52498	\N	UV	96318047
531350	1811	1995-07-14	PRIJEM	PREVOD Z UCTU	23945	31451	\N	UV	96318047
531351	1811	1995-08-14	PRIJEM	PREVOD Z UCTU	23945	43650	\N	UV	96318047
531352	1811	1995-09-14	PRIJEM	PREVOD Z UCTU	23945	40569	\N	UV	96318047
531353	1811	1995-10-14	PRIJEM	PREVOD Z UCTU	23945	39811	\N	UV	96318047
531354	1811	1995-11-14	PRIJEM	PREVOD Z UCTU	23945	31839	\N	UV	96318047
531355	1811	1995-12-14	PRIJEM	PREVOD Z UCTU	35918	49812	\N	UV	96318047
531356	1811	1996-01-14	PRIJEM	PREVOD Z UCTU	23945	42370	\N	UV	96318047
531357	1811	1996-02-14	PRIJEM	PREVOD Z UCTU	23945	37314	\N	UV	96318047
531358	1811	1996-03-14	PRIJEM	PREVOD Z UCTU	23945	39552	\N	UV	96318047
531359	1811	1996-04-14	PRIJEM	PREVOD Z UCTU	23945	41194	\N	UV	96318047
531360	1811	1996-05-14	PRIJEM	PREVOD Z UCTU	23945	35724	\N	UV	96318047
531361	1811	1996-06-14	PRIJEM	PREVOD Z UCTU	35918	51716	\N	UV	96318047
531362	1811	1996-07-14	PRIJEM	PREVOD Z UCTU	23945	31507	\N	UV	96318047
531363	1811	1996-08-14	PRIJEM	PREVOD Z UCTU	23945	41538	\N	UV	96318047
531364	1811	1996-09-14	PRIJEM	PREVOD Z UCTU	23945	36177	\N	UV	96318047
531365	1811	1996-10-14	PRIJEM	PREVOD Z UCTU	23945	42606	\N	UV	96318047
531366	1811	1996-11-14	PRIJEM	PREVOD Z UCTU	23945	42839	\N	UV	96318047
531367	1811	1996-12-14	PRIJEM	PREVOD Z UCTU	35918	57959	\N	UV	96318047
531368	1811	1997-01-14	PRIJEM	PREVOD Z UCTU	23945	38328	\N	UV	96318047
531369	1811	1997-02-14	PRIJEM	PREVOD Z UCTU	23945	40208	\N	UV	96318047
531370	1811	1997-03-14	PRIJEM	PREVOD Z UCTU	23945	35556	\N	UV	96318047
531371	1811	1997-04-14	PRIJEM	PREVOD Z UCTU	23945	44385	\N	UV	96318047
531372	1811	1997-05-14	PRIJEM	PREVOD Z UCTU	23945	36237	\N	UV	96318047
531373	1811	1997-06-14	PRIJEM	PREVOD Z UCTU	35918	54324	\N	UV	96318047
531374	1811	1997-07-14	PRIJEM	PREVOD Z UCTU	23945	50902	\N	UV	96318047
531375	1811	1997-08-14	PRIJEM	PREVOD Z UCTU	23945	55377	\N	UV	96318047
531376	1811	1997-09-14	PRIJEM	PREVOD Z UCTU	23945	55279	\N	UV	96318047
531377	1811	1997-10-14	PRIJEM	PREVOD Z UCTU	23945	35759	\N	UV	96318047
531378	1811	1997-11-14	PRIJEM	PREVOD Z UCTU	23945	38008	\N	UV	96318047
531379	1811	1997-12-14	PRIJEM	PREVOD Z UCTU	35918	44578	\N	UV	96318047
531380	1811	1998-01-14	PRIJEM	PREVOD Z UCTU	23945	46575	\N	UV	96318047
531381	1811	1998-02-14	PRIJEM	PREVOD Z UCTU	23945	57536	\N	UV	96318047
531382	1811	1998-03-14	PRIJEM	PREVOD Z UCTU	23945	42349	\N	UV	96318047
531383	1811	1998-04-14	PRIJEM	PREVOD Z UCTU	23945	54942	\N	UV	96318047
531384	1811	1998-05-14	PRIJEM	PREVOD Z UCTU	23945	62540	\N	UV	96318047
531385	1811	1998-06-14	PRIJEM	PREVOD Z UCTU	35918	80438	\N	UV	96318047
531386	1811	1998-07-14	PRIJEM	PREVOD Z UCTU	23945	75307	\N	UV	96318047
531387	1811	1998-08-14	PRIJEM	PREVOD Z UCTU	23945	71980	\N	UV	96318047
531388	1811	1998-09-14	PRIJEM	PREVOD Z UCTU	23945	59837	\N	UV	96318047
531389	1811	1998-10-14	PRIJEM	PREVOD Z UCTU	23945	53260	\N	UV	96318047
531390	1811	1998-11-14	PRIJEM	PREVOD Z UCTU	23945	48842	\N	UV	96318047
531391	1811	1998-12-14	PRIJEM	PREVOD Z UCTU	35918	72593	\N	UV	96318047
531406	1811	1994-03-21	VYDAJ	VYBER	2500	61999	\N	\N	0
531407	1811	1994-04-15	VYDAJ	VYBER	4500	54295	\N	\N	0
531408	1811	1994-05-23	VYDAJ	VYBER	3200	34260	\N	\N	0
531409	1811	1994-06-18	VYDAJ	VYBER	5200	43641	\N	\N	0
531410	1811	1994-07-12	VYDAJ	PREVOD NA UCET	3991	23964	UVER	EF	84066038
531411	1811	1994-08-12	VYDAJ	PREVOD NA UCET	3991	24289	UVER	EF	84066038
531412	1811	1994-09-12	VYDAJ	PREVOD NA UCET	3991	26418	UVER	EF	84066038
531413	1811	1994-10-12	VYDAJ	PREVOD NA UCET	3991	29958	UVER	EF	84066038
531414	1811	1994-11-12	VYDAJ	PREVOD NA UCET	3991	27501	UVER	EF	84066038
531415	1811	1994-12-12	VYDAJ	PREVOD NA UCET	3991	21501	UVER	EF	84066038
531416	1811	1995-01-12	VYDAJ	PREVOD NA UCET	3991	13097	UVER	EF	84066038
531417	1811	1995-02-12	VYDAJ	PREVOD NA UCET	3991	17003	UVER	EF	84066038
531418	1811	1995-03-12	VYDAJ	PREVOD NA UCET	3991	23812	UVER	EF	84066038
531419	1811	1995-04-12	VYDAJ	PREVOD NA UCET	3991	13416	UVER	EF	84066038
531420	1811	1995-05-12	VYDAJ	PREVOD NA UCET	3991	21811	UVER	EF	84066038
531421	1811	1995-06-12	VYDAJ	PREVOD NA UCET	3991	23325	UVER	EF	84066038
531422	1811	1995-07-12	VYDAJ	PREVOD NA UCET	3991	14251	UVER	EF	84066038
531423	1811	1995-08-12	VYDAJ	PREVOD NA UCET	3991	18350	UVER	EF	84066038
531424	1811	1995-09-12	VYDAJ	PREVOD NA UCET	3991	23369	UVER	EF	84066038
531425	1811	1995-10-12	VYDAJ	PREVOD NA UCET	3991	24511	UVER	EF	84066038
531426	1811	1995-11-12	VYDAJ	PREVOD NA UCET	3991	14639	UVER	EF	84066038
531427	1811	1995-12-12	VYDAJ	PREVOD NA UCET	3991	20639	UVER	EF	84066038
531428	1811	1996-01-12	VYDAJ	PREVOD NA UCET	3991	25170	UVER	EF	84066038
531429	1811	1996-02-12	VYDAJ	PREVOD NA UCET	3991	20114	UVER	EF	84066038
531430	1811	1996-03-12	VYDAJ	PREVOD NA UCET	3991	22352	UVER	EF	84066038
531431	1811	1996-04-12	VYDAJ	PREVOD NA UCET	3991	23994	UVER	EF	84066038
531432	1811	1996-05-12	VYDAJ	PREVOD NA UCET	3991	18524	UVER	EF	84066038
531433	1811	1996-06-12	VYDAJ	PREVOD NA UCET	3991	22543	UVER	EF	84066038
531434	1811	1996-07-12	VYDAJ	PREVOD NA UCET	3991	14307	UVER	EF	84066038
531435	1811	1996-08-12	VYDAJ	PREVOD NA UCET	3991	24338	UVER	EF	84066038
531436	1811	1996-09-12	VYDAJ	PREVOD NA UCET	3991	18977	UVER	EF	84066038
531437	1811	1996-10-12	VYDAJ	PREVOD NA UCET	3991	25406	UVER	EF	84066038
531438	1811	1996-11-12	VYDAJ	PREVOD NA UCET	3991	25639	UVER	EF	84066038
531439	1811	1996-12-12	VYDAJ	PREVOD NA UCET	3991	28786	UVER	EF	84066038
531440	1811	1997-01-12	VYDAJ	PREVOD NA UCET	3991	21128	UVER	EF	84066038
531441	1811	1997-02-12	VYDAJ	PREVOD NA UCET	3991	23008	UVER	EF	84066038
531442	1811	1997-03-12	VYDAJ	PREVOD NA UCET	3991	18356	UVER	EF	84066038
531443	1811	1997-04-12	VYDAJ	PREVOD NA UCET	3991	27185	UVER	EF	84066038
531444	1811	1997-05-12	VYDAJ	PREVOD NA UCET	3991	19037	UVER	EF	84066038
531445	1811	1997-06-12	VYDAJ	PREVOD NA UCET	3991	25151	UVER	EF	84066038
531446	1811	1997-07-12	VYDAJ	PREVOD NA UCET	3991	33702	UVER	EF	84066038
531447	1811	1997-08-12	VYDAJ	PREVOD NA UCET	3991	38177	UVER	EF	84066038
531448	1811	1997-09-12	VYDAJ	PREVOD NA UCET	3991	38079	UVER	EF	84066038
531449	1811	1997-10-12	VYDAJ	PREVOD NA UCET	3991	18559	UVER	EF	84066038
531450	1811	1997-11-12	VYDAJ	PREVOD NA UCET	3991	20808	UVER	EF	84066038
531451	1811	1997-12-12	VYDAJ	PREVOD NA UCET	3991	15405	UVER	EF	84066038
531452	1811	1998-01-12	VYDAJ	PREVOD NA UCET	3991	29375	UVER	EF	84066038
531453	1811	1998-02-12	VYDAJ	PREVOD NA UCET	3991	40336	UVER	EF	84066038
531454	1811	1998-03-12	VYDAJ	PREVOD NA UCET	3991	25149	UVER	EF	84066038
531455	1811	1998-04-12	VYDAJ	PREVOD NA UCET	3991	37742	UVER	EF	84066038
531456	1811	1998-05-12	VYDAJ	PREVOD NA UCET	3991	45340	UVER	EF	84066038
531457	1811	1998-06-12	VYDAJ	PREVOD NA UCET	3991	51265	UVER	EF	84066038
531458	1811	1998-07-12	VYDAJ	PREVOD NA UCET	3991	58107	UVER	EF	84066038
531459	1811	1998-08-12	VYDAJ	PREVOD NA UCET	3991	54780	UVER	EF	84066038
531460	1811	1998-09-12	VYDAJ	PREVOD NA UCET	3991	42637	UVER	EF	84066038
531461	1811	1998-10-12	VYDAJ	PREVOD NA UCET	3991	36060	UVER	EF	84066038
531462	1811	1998-11-12	VYDAJ	PREVOD NA UCET	3991	31642	UVER	EF	84066038
531463	1811	1998-12-12	VYDAJ	PREVOD NA UCET	3991	43420	UVER	EF	84066038
531478	1811	1994-03-11	VYDAJ	PREVOD NA UCET	4206	47299	SIPO	ST	37117743
531479	1811	1994-04-11	VYDAJ	PREVOD NA UCET	4206	41595	SIPO	ST	37117743
531480	1811	1994-05-11	VYDAJ	PREVOD NA UCET	4206	24660	SIPO	ST	37117743
531481	1811	1994-06-11	VYDAJ	PREVOD NA UCET	4206	19668	SIPO	ST	37117743
531482	1811	1994-07-11	VYDAJ	PREVOD NA UCET	4206	27954	SIPO	ST	37117743
531483	1811	1994-08-11	VYDAJ	PREVOD NA UCET	4206	28280	SIPO	ST	37117743
531484	1811	1994-09-11	VYDAJ	PREVOD NA UCET	4206	30409	SIPO	ST	37117743
531485	1811	1994-10-11	VYDAJ	PREVOD NA UCET	4206	33949	SIPO	ST	37117743
531486	1811	1994-11-11	VYDAJ	PREVOD NA UCET	4206	31491	SIPO	ST	37117743
531487	1811	1994-12-11	VYDAJ	PREVOD NA UCET	4206	25492	SIPO	ST	37117743
531488	1811	1995-01-11	VYDAJ	PREVOD NA UCET	4206	17088	SIPO	ST	37117743
531489	1811	1995-02-11	VYDAJ	PREVOD NA UCET	4206	20994	SIPO	ST	37117743
531490	1811	1995-03-11	VYDAJ	PREVOD NA UCET	4206	27803	SIPO	ST	37117743
531491	1811	1995-04-11	VYDAJ	PREVOD NA UCET	4206	17407	SIPO	ST	37117743
531492	1811	1995-05-11	VYDAJ	PREVOD NA UCET	4206	25802	SIPO	ST	37117743
531493	1811	1995-06-11	VYDAJ	PREVOD NA UCET	4206	27316	SIPO	ST	37117743
531494	1811	1995-07-11	VYDAJ	PREVOD NA UCET	4206	18242	SIPO	ST	37117743
531495	1811	1995-08-11	VYDAJ	PREVOD NA UCET	4206	22341	SIPO	ST	37117743
531496	1811	1995-09-11	VYDAJ	PREVOD NA UCET	4206	25260	SIPO	ST	37117743
531497	1811	1995-10-11	VYDAJ	PREVOD NA UCET	4206	28501	SIPO	ST	37117743
531498	1811	1995-11-11	VYDAJ	PREVOD NA UCET	4206	19030	SIPO	ST	37117743
531499	1811	1995-12-11	VYDAJ	PREVOD NA UCET	4206	24630	SIPO	ST	37117743
531500	1811	1996-01-11	VYDAJ	PREVOD NA UCET	4206	29161	SIPO	ST	37117743
531501	1811	1996-02-11	VYDAJ	PREVOD NA UCET	4206	24105	SIPO	ST	37117743
531502	1811	1996-03-11	VYDAJ	PREVOD NA UCET	4206	26343	SIPO	ST	37117743
531503	1811	1996-04-11	VYDAJ	PREVOD NA UCET	4206	27985	SIPO	ST	37117743
531504	1811	1996-05-11	VYDAJ	PREVOD NA UCET	4206	22514	SIPO	ST	37117743
531505	1811	1996-06-11	VYDAJ	PREVOD NA UCET	4206	26534	SIPO	ST	37117743
531506	1811	1996-07-11	VYDAJ	PREVOD NA UCET	4206	18298	SIPO	ST	37117743
531507	1811	1996-08-11	VYDAJ	PREVOD NA UCET	4206	28329	SIPO	ST	37117743
531508	1811	1996-09-11	VYDAJ	PREVOD NA UCET	4206	22968	SIPO	ST	37117743
531509	1811	1996-10-11	VYDAJ	PREVOD NA UCET	4206	29397	SIPO	ST	37117743
531510	1811	1996-11-11	VYDAJ	PREVOD NA UCET	4206	29630	SIPO	ST	37117743
531511	1811	1996-12-11	VYDAJ	PREVOD NA UCET	4206	32777	SIPO	ST	37117743
531512	1811	1997-01-11	VYDAJ	PREVOD NA UCET	4206	25118	SIPO	ST	37117743
531513	1811	1997-02-11	VYDAJ	PREVOD NA UCET	4206	26999	SIPO	ST	37117743
531514	1811	1997-03-11	VYDAJ	PREVOD NA UCET	4206	22347	SIPO	ST	37117743
531515	1811	1997-04-11	VYDAJ	PREVOD NA UCET	4206	31176	SIPO	ST	37117743
531516	1811	1997-05-11	VYDAJ	PREVOD NA UCET	4206	23028	SIPO	ST	37117743
531517	1811	1997-06-11	VYDAJ	PREVOD NA UCET	4206	29142	SIPO	ST	37117743
531518	1811	1997-07-11	VYDAJ	PREVOD NA UCET	4206	37693	SIPO	ST	37117743
531519	1811	1997-08-11	VYDAJ	PREVOD NA UCET	4206	42168	SIPO	ST	37117743
531520	1811	1997-09-11	VYDAJ	PREVOD NA UCET	4206	42070	SIPO	ST	37117743
531521	1811	1997-10-11	VYDAJ	PREVOD NA UCET	4206	22550	SIPO	ST	37117743
531522	1811	1997-11-11	VYDAJ	PREVOD NA UCET	4206	24799	SIPO	ST	37117743
531523	1811	1997-12-11	VYDAJ	PREVOD NA UCET	4206	19396	SIPO	ST	37117743
531524	1811	1998-01-11	VYDAJ	PREVOD NA UCET	4206	33366	SIPO	ST	37117743
531525	1811	1998-02-11	VYDAJ	PREVOD NA UCET	4206	44327	SIPO	ST	37117743
531526	1811	1998-03-11	VYDAJ	PREVOD NA UCET	4206	29140	SIPO	ST	37117743
531527	1811	1998-04-11	VYDAJ	PREVOD NA UCET	4206	41732	SIPO	ST	37117743
531528	1811	1998-05-11	VYDAJ	PREVOD NA UCET	4206	49330	SIPO	ST	37117743
531529	1811	1998-06-11	VYDAJ	PREVOD NA UCET	4206	55255	SIPO	ST	37117743
531530	1811	1998-07-11	VYDAJ	PREVOD NA UCET	4206	62098	SIPO	ST	37117743
531531	1811	1998-08-11	VYDAJ	PREVOD NA UCET	4206	58771	SIPO	ST	37117743
531532	1811	1998-09-11	VYDAJ	PREVOD NA UCET	4206	46628	SIPO	ST	37117743
531533	1811	1998-10-11	VYDAJ	PREVOD NA UCET	4206	40051	SIPO	ST	37117743
531534	1811	1998-11-11	VYDAJ	PREVOD NA UCET	4206	35632	SIPO	ST	37117743
531535	1811	1998-12-11	VYDAJ	PREVOD NA UCET	4206	47411	SIPO	ST	37117743
531550	1811	1994-03-13	VYDAJ	PREVOD NA UCET	6745	40554	 	KL	87739562
531551	1811	1994-04-13	VYDAJ	PREVOD NA UCET	6745	34850	 	KL	87739562
531552	1811	1994-05-13	VYDAJ	PREVOD NA UCET	6745	17915	 	KL	87739562
531553	1811	1994-06-13	VYDAJ	PREVOD NA UCET	6745	12923	 	KL	87739562
531554	1811	1994-07-13	VYDAJ	PREVOD NA UCET	6745	17219	 	KL	87739562
531555	1811	1994-08-13	VYDAJ	PREVOD NA UCET	6745	17544	 	KL	87739562
531556	1811	1994-09-13	VYDAJ	PREVOD NA UCET	6745	19673	 	KL	87739562
531557	1811	1994-10-13	VYDAJ	PREVOD NA UCET	6745	23213	 	KL	87739562
531558	1811	1994-11-13	VYDAJ	PREVOD NA UCET	6745	20756	 	KL	87739562
531559	1811	1994-12-13	VYDAJ	PREVOD NA UCET	6745	14756	 	KL	87739562
531560	1811	1995-01-13	VYDAJ	PREVOD NA UCET	6745	6352	 	KL	87739562
531561	1811	1995-02-13	VYDAJ	PREVOD NA UCET	6745	10258	 	KL	87739562
531562	1811	1995-03-13	VYDAJ	PREVOD NA UCET	6745	17067	 	KL	87739562
531563	1811	1995-04-13	VYDAJ	PREVOD NA UCET	6745	6671	 	KL	87739562
531564	1811	1995-05-13	VYDAJ	PREVOD NA UCET	6745	15066	 	KL	87739562
531565	1811	1995-06-13	VYDAJ	PREVOD NA UCET	6745	16580	 	KL	87739562
531566	1811	1995-07-13	VYDAJ	PREVOD NA UCET	6745	7506	 	KL	87739562
531567	1811	1995-08-13	VYDAJ	PREVOD NA UCET	6745	19705	 	KL	87739562
531568	1811	1995-09-13	VYDAJ	PREVOD NA UCET	6745	16624	 	KL	87739562
531569	1811	1995-10-13	VYDAJ	PREVOD NA UCET	6745	15866	 	KL	87739562
531570	1811	1995-11-13	VYDAJ	PREVOD NA UCET	6745	7894	 	KL	87739562
531571	1811	1995-12-13	VYDAJ	PREVOD NA UCET	6745	13894	 	KL	87739562
531572	1811	1996-01-13	VYDAJ	PREVOD NA UCET	6745	18425	 	KL	87739562
531573	1811	1996-02-13	VYDAJ	PREVOD NA UCET	6745	13369	 	KL	87739562
531574	1811	1996-03-13	VYDAJ	PREVOD NA UCET	6745	15607	 	KL	87739562
531575	1811	1996-04-13	VYDAJ	PREVOD NA UCET	6745	17249	 	KL	87739562
531576	1811	1996-05-13	VYDAJ	PREVOD NA UCET	6745	11779	 	KL	87739562
531577	1811	1996-06-13	VYDAJ	PREVOD NA UCET	6745	15798	 	KL	87739562
531578	1811	1996-07-13	VYDAJ	PREVOD NA UCET	6745	7562	 	KL	87739562
531579	1811	1996-08-13	VYDAJ	PREVOD NA UCET	6745	17593	 	KL	87739562
531580	1811	1996-09-13	VYDAJ	PREVOD NA UCET	6745	12232	 	KL	87739562
531581	1811	1996-10-13	VYDAJ	PREVOD NA UCET	6745	18661	 	KL	87739562
531582	1811	1996-11-13	VYDAJ	PREVOD NA UCET	6745	18894	 	KL	87739562
531583	1811	1996-12-13	VYDAJ	PREVOD NA UCET	6745	22041	 	KL	87739562
531584	1811	1997-01-13	VYDAJ	PREVOD NA UCET	6745	14383	 	KL	87739562
531585	1811	1997-02-13	VYDAJ	PREVOD NA UCET	6745	16263	 	KL	87739562
531586	1811	1997-03-13	VYDAJ	PREVOD NA UCET	6745	11611	 	KL	87739562
531587	1811	1997-04-13	VYDAJ	PREVOD NA UCET	6745	20440	 	KL	87739562
531588	1811	1997-05-13	VYDAJ	PREVOD NA UCET	6745	12292	 	KL	87739562
531589	1811	1997-06-13	VYDAJ	PREVOD NA UCET	6745	18406	 	KL	87739562
531590	1811	1997-07-13	VYDAJ	PREVOD NA UCET	6745	26957	 	KL	87739562
531591	1811	1997-08-13	VYDAJ	PREVOD NA UCET	6745	31432	 	KL	87739562
531592	1811	1997-09-13	VYDAJ	PREVOD NA UCET	6745	31334	 	KL	87739562
531593	1811	1997-10-13	VYDAJ	PREVOD NA UCET	6745	11814	 	KL	87739562
531594	1811	1997-11-13	VYDAJ	PREVOD NA UCET	6745	14063	 	KL	87739562
531595	1811	1997-12-13	VYDAJ	PREVOD NA UCET	6745	8660	 	KL	87739562
531596	1811	1998-01-13	VYDAJ	PREVOD NA UCET	6745	22630	 	KL	87739562
531597	1811	1998-02-13	VYDAJ	PREVOD NA UCET	6745	33591	 	KL	87739562
531598	1811	1998-03-13	VYDAJ	PREVOD NA UCET	6745	18404	 	KL	87739562
531599	1811	1998-04-13	VYDAJ	PREVOD NA UCET	6745	30997	 	KL	87739562
531600	1811	1998-05-13	VYDAJ	PREVOD NA UCET	6745	38595	 	KL	87739562
531601	1811	1998-06-13	VYDAJ	PREVOD NA UCET	6745	44520	 	KL	87739562
531602	1811	1998-07-13	VYDAJ	PREVOD NA UCET	6745	51362	 	KL	87739562
531603	1811	1998-08-13	VYDAJ	PREVOD NA UCET	6745	48035	 	KL	87739562
531604	1811	1998-09-13	VYDAJ	PREVOD NA UCET	6745	35892	 	KL	87739562
531605	1811	1998-10-13	VYDAJ	PREVOD NA UCET	6745	29315	 	KL	87739562
531606	1811	1998-11-13	VYDAJ	PREVOD NA UCET	6745	24897	 	KL	87739562
531607	1811	1998-12-13	VYDAJ	PREVOD NA UCET	6745	36675	 	KL	87739562
531609	1811	1994-11-28	VYBER	VYBER	2037	34664	\N	\N	\N
531610	1811	1994-04-19	VYBER	VYBER	9680	30515	\N	\N	\N
531615	1811	1995-08-16	VYBER	VYBER	14288	29362	\N	\N	\N
531619	1811	1995-01-03	VYBER	VYBER	17518	21294	\N	\N	\N
531620	1811	1995-10-18	VYBER	VYBER	16678	23133	\N	\N	\N
531622	1811	1995-06-17	VYBER	VYBER	18754	22344	\N	\N	\N
531625	1811	1995-09-30	VYBER	VYBER	7992	32722	\N	\N	\N
531626	1811	1996-05-02	VYBER	VYBER	18620	22720	\N	\N	\N
531628	1811	1996-10-01	VYBER	VYBER	7599	27203	\N	\N	\N
531629	1811	1996-07-09	VYBER	VYBER	16274	22504	\N	\N	\N
531630	1811	1996-02-04	VYBER	VYBER	7117	35411	\N	\N	\N
531631	1811	1996-05-20	VYBER	VYBER	2109	33615	\N	\N	\N
531633	1811	1996-12-17	VYBER	VYBER	22865	35094	\N	\N	\N
531635	1811	1997-12-29	VYBER	VYBER	19548	25030	\N	\N	\N
531636	1811	1997-02-04	VYBER	VYBER	3041	31205	\N	\N	\N
531637	1811	1997-11-24	VYBER	VYBER	2741	35267	\N	\N	\N
531638	1811	1997-11-08	VYBER	VYBER	11978	29005	\N	\N	\N
531639	1811	1997-03-10	VYBER	VYBER	6998	26553	\N	\N	\N
531640	1811	1997-05-15	VYBER	VYBER	8704	27533	\N	\N	\N
531642	1811	1997-10-04	VYBER	VYBER	21515	26756	\N	\N	\N
531643	1811	1997-06-17	VYBER	VYBER	15056	39268	\N	\N	\N
531644	1811	1997-02-15	VYBER	VYBER	2185	38023	\N	\N	\N
531645	1811	1998-03-05	VYBER	VYBER	18491	33346	\N	\N	\N
531646	1811	1998-04-10	VYBER	VYBER	3584	45938	\N	\N	\N
531648	1811	1994-12-11	VYDAJ	VYBER	5100	29698	\N	\N	\N
531649	1811	1995-12-29	VYDAJ	VYBER	4500	45312	\N	\N	\N
531650	1811	1996-12-20	VYDAJ	VYBER	3600	31494	\N	\N	\N
531651	1811	1997-12-05	VYDAJ	VYBER	6300	31402	\N	\N	\N
531652	1811	1998-12-27	VYDAJ	VYBER	2400	59693	\N	\N	\N
531660	1811	1994-06-30	VYDAJ	VYBER	4200	32175	\N	\N	\N
531663	1811	1994-04-18	VYDAJ	VYBER	14100	40195	\N	\N	\N
531664	1811	1994-05-24	VYDAJ	VYBER	10500	23760	\N	\N	\N
531670	1811	1995-03-19	VYDAJ	VYBER	14700	21512	\N	\N	\N
531671	1811	1995-01-14	VYDAJ	VYBER	4200	26097	\N	\N	\N
531672	1811	1996-12-27	VYDAJ	VYBER	6000	25494	\N	\N	\N
531673	1811	1996-11-28	VYDAJ	VYBER	4500	38339	\N	\N	\N
531674	1811	1996-09-06	VYDAJ	VYBER	2700	34674	\N	\N	\N
531675	1811	1996-09-28	VYDAJ	VYBER	1500	34677	\N	\N	\N
531676	1811	1996-09-07	VYDAJ	VYBER	7500	27174	\N	\N	\N
531677	1811	1996-10-17	VYDAJ	VYBER	6300	36306	\N	\N	\N
531678	1811	1997-12-11	VYDAJ	VYBER	7800	23602	\N	\N	\N
531680	1811	1997-05-10	VYDAJ	VYBER	12300	27234	\N	\N	\N
531681	1811	1997-08-14	VYDAJ	VYBER	9900	45477	\N	\N	\N
531682	1811	1998-11-02	VYDAJ	VYBER	6900	39838	\N	\N	\N
531683	1811	1998-09-06	VYDAJ	VYBER	9600	50834	\N	\N	\N
531684	1811	1998-06-24	VYDAJ	VYBER	4500	75938	\N	\N	\N
531685	1811	1998-09-26	VYDAJ	VYBER	13800	44037	\N	\N	\N
531700	1811	1994-02-28	VYDAJ	VYBER	15	51505	SLUZBY	\N	\N
531701	1811	1994-03-31	VYDAJ	VYBER	15	45801	SLUZBY	\N	\N
531702	1811	1994-04-30	VYDAJ	VYBER	15	28866	SLUZBY	\N	\N
531703	1811	1994-05-31	VYDAJ	VYBER	15	23874	SLUZBY	\N	\N
531704	1811	1994-06-30	VYDAJ	VYBER	15	32160	SLUZBY	\N	\N
531705	1811	1994-07-31	VYDAJ	VYBER	15	32486	SLUZBY	\N	\N
531706	1811	1994-08-31	VYDAJ	VYBER	15	34615	SLUZBY	\N	\N
531707	1811	1994-09-30	VYDAJ	VYBER	15	38155	SLUZBY	\N	\N
531708	1811	1994-10-31	VYDAJ	VYBER	15	35697	SLUZBY	\N	\N
531709	1811	1994-11-30	VYDAJ	VYBER	15	34798	SLUZBY	\N	\N
531710	1811	1994-12-31	VYDAJ	VYBER	15	38812	SLUZBY	\N	\N
531711	1811	1995-01-31	VYDAJ	VYBER	15	25200	SLUZBY	\N	\N
531712	1811	1995-02-28	VYDAJ	VYBER	15	32009	SLUZBY	\N	\N
531713	1811	1995-03-31	VYDAJ	VYBER	15	21613	SLUZBY	\N	\N
531714	1811	1995-04-30	VYDAJ	VYBER	15	30008	SLUZBY	\N	\N
531715	1811	1995-05-31	VYDAJ	VYBER	15	31522	SLUZBY	\N	\N
531716	1811	1995-06-30	VYDAJ	VYBER	15	22448	SLUZBY	\N	\N
531717	1811	1995-07-31	VYDAJ	VYBER	15	26547	SLUZBY	\N	\N
531718	1811	1995-08-31	VYDAJ	VYBER	15	29466	SLUZBY	\N	\N
531719	1811	1995-09-30	VYDAJ	VYBER	15	32707	SLUZBY	\N	\N
531720	1811	1995-10-31	VYDAJ	VYBER	15	23236	SLUZBY	\N	\N
531721	1811	1995-11-30	VYDAJ	VYBER	15	31936	SLUZBY	\N	\N
531722	1811	1995-12-31	VYDAJ	VYBER	15	45467	SLUZBY	\N	\N
531723	1811	1996-01-31	VYDAJ	VYBER	15	42528	SLUZBY	\N	\N
531724	1811	1996-02-29	VYDAJ	VYBER	15	37449	SLUZBY	\N	\N
531725	1811	1996-03-31	VYDAJ	VYBER	15	39691	SLUZBY	\N	\N
531726	1811	1996-04-30	VYDAJ	VYBER	15	41340	SLUZBY	\N	\N
531727	1811	1996-05-31	VYDAJ	VYBER	15	33740	SLUZBY	\N	\N
531728	1811	1996-06-30	VYDAJ	VYBER	15	51878	SLUZBY	\N	\N
531729	1811	1996-07-31	VYDAJ	VYBER	15	31635	SLUZBY	\N	\N
531730	1811	1996-08-31	VYDAJ	VYBER	15	41674	SLUZBY	\N	\N
531731	1811	1996-09-30	VYDAJ	VYBER	15	34802	SLUZBY	\N	\N
531732	1811	1996-10-31	VYDAJ	VYBER	15	36436	SLUZBY	\N	\N
531733	1811	1996-11-30	VYDAJ	VYBER	15	38483	SLUZBY	\N	\N
531734	1811	1996-12-31	VYDAJ	VYBER	15	25624	SLUZBY	\N	\N
531735	1811	1997-01-31	VYDAJ	VYBER	15	38446	SLUZBY	\N	\N
531736	1811	1997-02-28	VYDAJ	VYBER	15	38151	SLUZBY	\N	\N
531737	1811	1997-03-31	VYDAJ	VYBER	15	35682	SLUZBY	\N	\N
531738	1811	1997-04-30	VYDAJ	VYBER	15	44534	SLUZBY	\N	\N
531739	1811	1997-05-31	VYDAJ	VYBER	15	27648	SLUZBY	\N	\N
531740	1811	1997-06-30	VYDAJ	VYBER	15	39399	SLUZBY	\N	\N
531741	1811	1997-07-31	VYDAJ	VYBER	15	51074	SLUZBY	\N	\N
531742	1811	1997-08-31	VYDAJ	VYBER	15	45676	SLUZBY	\N	\N
531743	1811	1997-09-30	VYDAJ	VYBER	15	55471	SLUZBY	\N	\N
531744	1811	1997-10-31	VYDAJ	VYBER	15	40983	SLUZBY	\N	\N
531745	1811	1997-11-30	VYDAJ	VYBER	15	37702	SLUZBY	\N	\N
531746	1811	1997-12-31	VYDAJ	VYBER	15	37572	SLUZBY	\N	\N
531747	1811	1998-01-31	VYDAJ	VYBER	15	48533	SLUZBY	\N	\N
531748	1811	1998-02-28	VYDAJ	VYBER	15	57737	SLUZBY	\N	\N
531749	1811	1998-03-31	VYDAJ	VYBER	15	49522	SLUZBY	\N	\N
531750	1811	1998-04-30	VYDAJ	VYBER	15	53536	SLUZBY	\N	\N
531751	1811	1998-05-31	VYDAJ	VYBER	15	59461	SLUZBY	\N	\N
531752	1811	1998-06-30	VYDAJ	VYBER	15	66304	SLUZBY	\N	\N
531753	1811	1998-07-31	VYDAJ	VYBER	15	62977	SLUZBY	\N	\N
531754	1811	1998-08-31	VYDAJ	VYBER	15	60434	SLUZBY	\N	\N
531755	1811	1998-09-30	VYDAJ	VYBER	15	44257	SLUZBY	\N	\N
531756	1811	1998-10-31	VYDAJ	VYBER	15	46738	SLUZBY	\N	\N
531757	1811	1998-11-30	VYDAJ	VYBER	15	51617	SLUZBY	\N	\N
531758	1811	1993-10-22	VYDAJ	VYBER	1600	22645	\N	\N	\N
531759	1811	1993-11-21	VYDAJ	VYBER	12900	33720	\N	\N	\N
531760	1811	1993-12-21	VYDAJ	VYBER	20400	49348	\N	\N	\N
531761	1811	1994-01-20	VYDAJ	VYBER	23200	50257	\N	\N	\N
531762	1811	1994-02-19	VYDAJ	VYBER	23100	51309	\N	\N	\N
531763	1811	1994-03-21	VYDAJ	VYBER	16400	45599	\N	\N	\N
531764	1811	1994-04-20	VYDAJ	VYBER	1800	28715	\N	\N	\N
531765	1811	1994-05-20	VYDAJ	VYBER	4400	37460	\N	\N	\N
531766	1811	1994-06-19	VYDAJ	VYBER	7400	36241	\N	\N	\N
531767	1811	1994-07-19	VYDAJ	VYBER	8800	32364	\N	\N	\N
531768	1811	1994-08-18	VYDAJ	VYBER	7000	34489	\N	\N	\N
531769	1811	1994-09-17	VYDAJ	VYBER	5600	38018	\N	\N	\N
531770	1811	1994-10-17	VYDAJ	VYBER	11600	35558	\N	\N	\N
531771	1811	1994-11-16	VYDAJ	VYBER	8000	36701	\N	\N	\N
531772	1811	1994-12-16	VYDAJ	VYBER	12000	38674	\N	\N	\N
531773	1811	1995-01-15	VYDAJ	VYBER	1000	25097	\N	\N	\N
531774	1811	1995-02-14	VYDAJ	VYBER	2300	31903	\N	\N	\N
531775	1811	1995-03-16	VYDAJ	VYBER	4800	36212	\N	\N	\N
531776	1811	1995-04-15	VYDAJ	VYBER	700	29916	\N	\N	\N
531777	1811	1995-05-15	VYDAJ	VYBER	7600	31411	\N	\N	\N
531778	1811	1995-06-14	VYDAJ	VYBER	11400	41098	\N	\N	\N
531779	1811	1995-07-14	VYDAJ	VYBER	5000	26451	\N	\N	\N
531780	1811	1995-08-13	PRIJEM	VKLAD	8100	26450	\N	\N	\N
531781	1811	1995-09-12	PRIJEM	VKLAD	2100	27360	\N	\N	\N
531782	1811	1995-10-12	VYDAJ	VYBER	1900	22611	\N	\N	\N
531783	1811	1995-11-11	VYDAJ	VYBER	400	18630	\N	\N	\N
531784	1811	1995-12-11	VYDAJ	VYBER	3100	28836	\N	\N	\N
531785	1811	1996-01-10	VYDAJ	VYBER	12100	33367	\N	\N	\N
531786	1811	1996-02-09	VYDAJ	VYBER	7100	28311	\N	\N	\N
531787	1811	1996-03-10	VYDAJ	VYBER	6900	30549	\N	\N	\N
531788	1811	1996-04-09	VYDAJ	VYBER	7500	32191	\N	\N	\N
531789	1811	1996-05-09	PRIJEM	VKLAD	4000	26720	\N	\N	\N
531790	1811	1996-06-08	VYDAJ	VYBER	3000	30740	\N	\N	\N
531791	1811	1996-07-08	VYDAJ	VYBER	13100	38778	\N	\N	\N
531792	1811	1996-08-07	PRIJEM	VKLAD	900	32535	\N	\N	\N
531793	1811	1996-09-06	VYDAJ	VYBER	4300	37374	\N	\N	\N
531794	1811	1996-10-06	PRIJEM	VKLAD	6400	33603	\N	\N	\N
531795	1811	1996-11-05	VYDAJ	VYBER	2600	33836	\N	\N	\N
531796	1811	1996-12-05	VYDAJ	VYBER	1500	36983	\N	\N	\N
531797	1811	1997-01-04	PRIJEM	VKLAD	3700	29324	\N	\N	\N
531798	1811	1997-02-03	VYDAJ	VYBER	4200	34246	\N	\N	\N
531799	1811	1997-03-05	VYDAJ	VYBER	4600	33551	\N	\N	\N
531800	1811	1997-04-04	VYDAJ	VYBER	300	35382	\N	\N	\N
531801	1811	1997-05-04	VYDAJ	VYBER	5000	39534	\N	\N	\N
531802	1811	1997-06-03	PRIJEM	VKLAD	5700	33348	\N	\N	\N
531803	1811	1997-07-03	PRIJEM	VKLAD	2500	41899	\N	\N	\N
531804	1811	1997-08-02	VYDAJ	VYBER	4700	46374	\N	\N	\N
531805	1811	1997-09-01	PRIJEM	VKLAD	600	46276	\N	\N	\N
531806	1811	1997-10-01	VYDAJ	VYBER	7200	48271	\N	\N	\N
531807	1811	1997-10-31	PRIJEM	VKLAD	5100	40859	\N	\N	\N
531808	1811	1997-11-30	PRIJEM	VKLAD	2300	37716	\N	\N	\N
531809	1811	1997-12-30	PRIJEM	VKLAD	12400	37430	\N	\N	\N
531810	1811	1998-01-29	PRIJEM	VKLAD	1800	48375	\N	\N	\N
531811	1811	1998-02-28	VYDAJ	VYBER	5900	51837	\N	\N	\N
531812	1811	1998-03-30	PRIJEM	VKLAD	7000	49349	\N	\N	\N
531813	1811	1998-04-29	VYDAJ	VYBER	1600	53342	\N	\N	\N
531814	1811	1998-05-29	VYDAJ	VYBER	3300	59240	\N	\N	\N
531815	1811	1998-06-28	VYDAJ	VYBER	9900	66038	\N	\N	\N
531816	1811	1998-07-28	VYDAJ	VYBER	12600	62707	\N	\N	\N
531817	1811	1998-08-27	VYDAJ	VYBER	11800	60180	\N	\N	\N
531818	1811	1998-09-26	VYDAJ	VYBER	2000	57837	\N	\N	\N
531819	1811	1998-10-26	VYDAJ	VYBER	6700	46560	\N	\N	\N
531820	1811	1998-11-25	PRIJEM	VKLAD	2600	51442	\N	\N	\N
531821	1811	1998-12-25	VYDAJ	VYBER	10500	62093	\N	\N	\N
531885	1812	1996-10-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
531896	1812	1996-11-05	PRIJEM	PREVOD Z UCTU	3454	4454	\N	AB	276083
531897	1812	1996-12-05	PRIJEM	PREVOD Z UCTU	3454	7908	\N	AB	276083
531898	1812	1997-01-05	PRIJEM	PREVOD Z UCTU	3454	11362	\N	AB	276083
531899	1812	1997-02-05	PRIJEM	PREVOD Z UCTU	3454	14816	\N	AB	276083
531900	1812	1997-03-05	PRIJEM	PREVOD Z UCTU	3454	18270	\N	AB	276083
531901	1812	1997-04-05	PRIJEM	PREVOD Z UCTU	3454	17400	\N	AB	276083
531902	1812	1997-05-05	PRIJEM	PREVOD Z UCTU	3454	17790	\N	AB	276083
531903	1812	1997-06-05	PRIJEM	PREVOD Z UCTU	3454	17278	\N	AB	276083
531904	1812	1997-07-05	PRIJEM	PREVOD Z UCTU	3454	18268	\N	AB	276083
531905	1812	1997-08-05	PRIJEM	PREVOD Z UCTU	3454	18675	\N	AB	276083
531906	1812	1997-09-05	PRIJEM	PREVOD Z UCTU	3454	18652	\N	AB	276083
531907	1812	1997-10-05	PRIJEM	PREVOD Z UCTU	3454	19858	\N	AB	276083
531908	1812	1997-11-05	PRIJEM	PREVOD Z UCTU	3454	21066	\N	AB	276083
531909	1812	1997-12-05	PRIJEM	PREVOD Z UCTU	3454	22282	\N	AB	276083
531910	1812	1998-01-05	PRIJEM	PREVOD Z UCTU	3454	21481	\N	AB	276083
531911	1812	1998-02-05	PRIJEM	PREVOD Z UCTU	3454	17317	\N	AB	276083
531912	1812	1998-03-05	PRIJEM	PREVOD Z UCTU	3454	18515	\N	AB	276083
531913	1812	1998-04-05	PRIJEM	PREVOD Z UCTU	3454	19720	\N	AB	276083
531914	1812	1998-05-05	PRIJEM	PREVOD Z UCTU	3454	20749	\N	AB	276083
531915	1812	1998-06-05	PRIJEM	PREVOD Z UCTU	3454	21961	\N	AB	276083
531916	1812	1998-07-05	PRIJEM	PREVOD Z UCTU	3454	17022	\N	AB	276083
531917	1812	1998-08-05	PRIJEM	PREVOD Z UCTU	3454	17018	\N	AB	276083
531918	1812	1998-09-05	PRIJEM	PREVOD Z UCTU	3454	18217	\N	AB	276083
531919	1812	1998-10-05	PRIJEM	PREVOD Z UCTU	3454	19419	\N	AB	276083
531920	1812	1998-11-05	PRIJEM	PREVOD Z UCTU	3454	19365	\N	AB	276083
531921	1812	1998-12-05	PRIJEM	PREVOD Z UCTU	3454	20573	\N	AB	276083
531936	1812	1997-03-14	VYDAJ	PREVOD NA UCET	1169	15401	SIPO	KL	96231013
531937	1812	1997-04-14	VYDAJ	PREVOD NA UCET	1169	15631	SIPO	KL	96231013
531938	1812	1997-05-14	VYDAJ	PREVOD NA UCET	1169	15121	SIPO	KL	96231013
531939	1812	1997-06-14	VYDAJ	PREVOD NA UCET	1169	15899	SIPO	KL	96231013
531940	1812	1997-07-14	VYDAJ	PREVOD NA UCET	1169	16299	SIPO	KL	96231013
531941	1812	1997-08-14	VYDAJ	PREVOD NA UCET	1169	16276	SIPO	KL	96231013
531942	1812	1997-09-14	VYDAJ	PREVOD NA UCET	1169	16350	SIPO	KL	96231013
531943	1812	1997-10-14	VYDAJ	PREVOD NA UCET	1169	18689	SIPO	KL	96231013
531944	1812	1997-11-14	VYDAJ	PREVOD NA UCET	1169	18764	SIPO	KL	96231013
531945	1812	1997-12-14	VYDAJ	PREVOD NA UCET	1169	19110	SIPO	KL	96231013
531946	1812	1998-01-14	VYDAJ	PREVOD NA UCET	1169	16592	SIPO	KL	96231013
531947	1812	1998-02-14	VYDAJ	PREVOD NA UCET	1169	16148	SIPO	KL	96231013
531948	1812	1998-03-14	VYDAJ	PREVOD NA UCET	1169	17346	SIPO	KL	96231013
531949	1812	1998-04-14	VYDAJ	PREVOD NA UCET	1169	18551	SIPO	KL	96231013
531950	1812	1998-05-14	VYDAJ	PREVOD NA UCET	1169	19580	SIPO	KL	96231013
531951	1812	1998-06-14	VYDAJ	PREVOD NA UCET	1169	20792	SIPO	KL	96231013
531952	1812	1998-07-14	VYDAJ	PREVOD NA UCET	1169	13520	SIPO	KL	96231013
531953	1812	1998-08-14	VYDAJ	PREVOD NA UCET	1169	14716	SIPO	KL	96231013
531954	1812	1998-09-14	VYDAJ	PREVOD NA UCET	1169	15915	SIPO	KL	96231013
531955	1812	1998-10-14	VYDAJ	PREVOD NA UCET	1169	15857	SIPO	KL	96231013
531956	1812	1998-11-14	VYDAJ	PREVOD NA UCET	1169	18196	SIPO	KL	96231013
531957	1812	1998-12-14	VYDAJ	PREVOD NA UCET	1169	19404	SIPO	KL	96231013
531972	1812	1997-03-14	VYDAJ	PREVOD NA UCET	1133	14268	 	EF	95304095
531973	1812	1997-04-14	VYDAJ	PREVOD NA UCET	1133	14498	 	EF	95304095
531974	1812	1997-05-14	VYDAJ	PREVOD NA UCET	1133	13988	 	EF	95304095
531975	1812	1997-06-14	VYDAJ	PREVOD NA UCET	1133	14766	 	EF	95304095
531976	1812	1997-07-14	VYDAJ	PREVOD NA UCET	1133	15166	 	EF	95304095
531977	1812	1997-08-14	VYDAJ	PREVOD NA UCET	1133	15143	 	EF	95304095
531978	1812	1997-09-14	VYDAJ	PREVOD NA UCET	1133	17519	 	EF	95304095
531979	1812	1997-10-14	VYDAJ	PREVOD NA UCET	1133	17556	 	EF	95304095
531980	1812	1997-11-14	VYDAJ	PREVOD NA UCET	1133	19933	 	EF	95304095
531981	1812	1997-12-14	VYDAJ	PREVOD NA UCET	1133	20279	 	EF	95304095
531982	1812	1998-01-14	VYDAJ	PREVOD NA UCET	1133	15459	 	EF	95304095
531983	1812	1998-02-14	VYDAJ	PREVOD NA UCET	1133	15015	 	EF	95304095
531984	1812	1998-03-14	VYDAJ	PREVOD NA UCET	1133	16213	 	EF	95304095
531985	1812	1998-04-14	VYDAJ	PREVOD NA UCET	1133	17418	 	EF	95304095
531986	1812	1998-05-14	VYDAJ	PREVOD NA UCET	1133	18447	 	EF	95304095
531987	1812	1998-06-14	VYDAJ	PREVOD NA UCET	1133	19659	 	EF	95304095
531988	1812	1998-07-14	VYDAJ	PREVOD NA UCET	1133	14689	 	EF	95304095
531989	1812	1998-08-14	VYDAJ	PREVOD NA UCET	1133	15885	 	EF	95304095
531990	1812	1998-09-14	VYDAJ	PREVOD NA UCET	1133	17084	 	EF	95304095
531991	1812	1998-10-14	VYDAJ	PREVOD NA UCET	1133	17026	 	EF	95304095
531992	1812	1998-11-14	VYDAJ	PREVOD NA UCET	1133	17063	 	EF	95304095
531993	1812	1998-12-14	VYDAJ	PREVOD NA UCET	1133	18271	 	EF	95304095
531996	1812	1998-06-24	VYDAJ	VYBER	6150	13509	\N	\N	\N
531999	1812	1998-01-07	VYDAJ	VYBER	2880	18601	\N	\N	\N
532001	1812	1997-12-08	VYDAJ	VYBER	870	21412	\N	\N	\N
532002	1812	1998-12-21	VYDAJ	VYBER	840	15391	\N	\N	\N
532015	1812	1998-01-08	VYDAJ	VYBER	840	17761	\N	\N	\N
532016	1812	1998-01-03	VYDAJ	VYBER	420	18027	\N	\N	\N
532017	1812	1998-01-25	VYDAJ	VYBER	480	14109	\N	\N	\N
532018	1812	1998-01-25	VYDAJ	VYBER	510	14589	\N	\N	\N
532019	1812	1998-01-15	VYDAJ	VYBER	360	15099	\N	\N	\N
532020	1812	1998-01-25	VYDAJ	VYBER	300	13809	\N	\N	\N
532027	1812	1997-04-26	VYDAJ	VYBER	210	14288	\N	\N	\N
532028	1812	1997-12-20	VYDAJ	VYBER	330	18780	\N	\N	\N
532029	1812	1997-03-31	VYDAJ	VYBER	360	13946	\N	\N	\N
532030	1812	1997-08-05	VYDAJ	VYBER	1230	17445	\N	\N	\N
532032	1812	1997-05-19	VYDAJ	VYBER	210	13778	\N	\N	\N
532033	1812	1997-06-08	VYDAJ	VYBER	210	17068	\N	\N	\N
532034	1812	1998-10-05	VYDAJ	VYBER	1260	18159	\N	\N	\N
532035	1812	1998-04-19	VYDAJ	VYBER	180	17238	\N	\N	\N
532036	1812	1998-12-15	VYDAJ	VYBER	1230	17041	\N	\N	\N
532037	1812	1998-12-20	VYDAJ	VYBER	810	16231	\N	\N	\N
532038	1812	1998-07-13	VYDAJ	VYBER	1200	15822	\N	\N	\N
532054	1812	1997-03-31	VYDAJ	VYBER	15	14306	SLUZBY	\N	\N
532055	1812	1997-04-30	VYDAJ	VYBER	15	14336	SLUZBY	\N	\N
532056	1812	1997-05-31	VYDAJ	VYBER	15	13824	SLUZBY	\N	\N
532057	1812	1997-06-30	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
532058	1812	1997-07-31	VYDAJ	VYBER	15	15221	SLUZBY	\N	\N
532059	1812	1997-08-31	VYDAJ	VYBER	15	15198	SLUZBY	\N	\N
532060	1812	1997-09-30	VYDAJ	VYBER	15	16404	SLUZBY	\N	\N
532061	1812	1997-10-31	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
532062	1812	1997-11-30	VYDAJ	VYBER	15	18828	SLUZBY	\N	\N
532063	1812	1997-12-31	VYDAJ	VYBER	15	18847	SLUZBY	\N	\N
532064	1812	1998-01-31	VYDAJ	VYBER	15	13863	SLUZBY	\N	\N
532065	1812	1998-02-28	VYDAJ	VYBER	15	15061	SLUZBY	\N	\N
532066	1812	1998-03-31	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
532067	1812	1998-04-30	VYDAJ	VYBER	15	17295	SLUZBY	\N	\N
532068	1812	1998-05-31	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
532069	1812	1998-06-30	VYDAJ	VYBER	15	13568	SLUZBY	\N	\N
532070	1812	1998-07-31	VYDAJ	VYBER	15	13564	SLUZBY	\N	\N
532071	1812	1998-08-31	VYDAJ	VYBER	15	14763	SLUZBY	\N	\N
532072	1812	1998-09-30	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
532073	1812	1998-10-31	VYDAJ	VYBER	15	15911	SLUZBY	\N	\N
532074	1812	1998-11-30	VYDAJ	VYBER	15	17119	SLUZBY	\N	\N
532075	1812	1997-03-07	VYDAJ	VYBER	1700	16570	\N	\N	\N
532076	1812	1997-04-06	VYDAJ	VYBER	600	16800	\N	\N	\N
532077	1812	1997-05-06	VYDAJ	VYBER	1500	16290	\N	\N	\N
532078	1812	1997-07-05	VYDAJ	VYBER	800	17468	\N	\N	\N
532079	1812	1998-01-01	VYDAJ	VYBER	400	18447	\N	\N	\N
532102	1813	1994-02-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
532103	1813	1994-08-05	PRIJEM	VKLAD	34624	105312	\N	\N	\N
532104	1813	1994-03-07	PRIJEM	VKLAD	19858	66708	\N	\N	\N
532105	1813	1994-09-03	PRIJEM	VKLAD	22502	62735	\N	\N	\N
532106	1813	1994-07-16	PRIJEM	VKLAD	28644	66809	\N	\N	\N
532107	1813	1994-09-06	PRIJEM	VKLAD	37524	100259	\N	\N	\N
532108	1813	1994-07-19	PRIJEM	VKLAD	37389	104198	\N	\N	\N
532109	1813	1994-02-12	PRIJEM	VKLAD	13160	14260	\N	\N	\N
532110	1813	1994-10-21	PRIJEM	VKLAD	15445	60030	\N	\N	\N
532111	1813	1994-07-22	PRIJEM	VKLAD	16692	120890	\N	\N	\N
532112	1813	1994-08-21	PRIJEM	VKLAD	11484	46334	\N	\N	\N
532113	1813	1994-12-24	PRIJEM	VKLAD	19295	46451	\N	\N	\N
532115	1813	1994-05-14	PRIJEM	VKLAD	37364	90304	\N	\N	\N
532116	1813	1994-10-23	PRIJEM	VKLAD	34274	94304	\N	\N	\N
532117	1813	1994-06-28	PRIJEM	VKLAD	15090	59485	\N	\N	\N
532118	1813	1994-03-05	PRIJEM	VKLAD	32554	46850	\N	\N	\N
532120	1813	1994-04-25	PRIJEM	VKLAD	49530	82719	\N	\N	\N
532121	1813	1994-11-15	PRIJEM	VKLAD	34493	93377	\N	\N	\N
532122	1813	1994-05-26	PRIJEM	VKLAD	46029	136333	\N	\N	\N
532123	1813	1994-09-22	PRIJEM	VKLAD	9246	49952	\N	\N	\N
532124	1813	1994-10-14	PRIJEM	VKLAD	10166	60085	\N	\N	\N
532125	1813	1994-11-22	PRIJEM	VKLAD	13716	107093	\N	\N	\N
532126	1813	1994-06-18	PRIJEM	VKLAD	25550	75895	\N	\N	\N
532127	1813	1994-05-28	PRIJEM	VKLAD	18507	106940	\N	\N	\N
532128	1813	1994-10-03	PRIJEM	VKLAD	35735	76881	\N	\N	\N
532129	1813	1995-06-11	PRIJEM	VKLAD	19075	61731	\N	\N	\N
532130	1813	1995-01-04	PRIJEM	VKLAD	17741	64353	\N	\N	\N
532131	1813	1995-07-21	PRIJEM	VKLAD	17659	66912	\N	\N	\N
532132	1813	1995-01-23	PRIJEM	VKLAD	11705	85709	\N	\N	\N
532133	1813	1995-07-08	PRIJEM	VKLAD	23650	68815	\N	\N	\N
532134	1813	1995-01-22	PRIJEM	VKLAD	23459	106704	\N	\N	\N
532135	1813	1995-04-16	PRIJEM	VKLAD	19945	113240	\N	\N	\N
532136	1813	1995-03-14	PRIJEM	VKLAD	39701	97591	\N	\N	\N
532137	1813	1995-04-15	PRIJEM	VKLAD	27452	93295	\N	\N	\N
532138	1813	1995-11-14	PRIJEM	VKLAD	29243	88018	\N	\N	\N
532139	1813	1995-08-29	PRIJEM	VKLAD	41111	147401	\N	\N	\N
532140	1813	1995-01-20	PRIJEM	VKLAD	42154	83245	\N	\N	\N
532141	1813	1995-10-20	PRIJEM	VKLAD	22153	56115	\N	\N	\N
532142	1813	1995-12-09	PRIJEM	VKLAD	5146	58102	\N	\N	\N
532143	1813	1995-02-17	PRIJEM	VKLAD	36619	93630	\N	\N	\N
532144	1813	1995-11-06	PRIJEM	VKLAD	23217	63937	\N	\N	\N
532145	1813	1995-01-28	PRIJEM	VKLAD	45127	130836	\N	\N	\N
532146	1813	1995-05-06	PRIJEM	VKLAD	17545	74381	\N	\N	\N
532147	1813	1995-05-16	PRIJEM	VKLAD	18884	60903	\N	\N	\N
532148	1813	1995-08-21	PRIJEM	VKLAD	49622	106290	\N	\N	\N
532149	1813	1995-07-25	PRIJEM	VKLAD	21954	88866	\N	\N	\N
532150	1813	1995-03-26	PRIJEM	VKLAD	26649	124240	\N	\N	\N
532151	1813	1996-12-16	PRIJEM	VKLAD	39430	108185	\N	\N	\N
532152	1813	1996-03-13	PRIJEM	VKLAD	40972	104600	\N	\N	\N
532153	1813	1996-11-12	PRIJEM	VKLAD	35789	79787	\N	\N	\N
532154	1813	1996-01-26	PRIJEM	VKLAD	20089	89199	\N	\N	\N
532155	1813	1996-01-27	PRIJEM	VKLAD	44830	134029	\N	\N	\N
532156	1813	1996-03-26	PRIJEM	VKLAD	29320	133920	\N	\N	\N
532157	1813	1996-05-01	PRIJEM	VKLAD	18676	103594	\N	\N	\N
532158	1813	1996-08-08	PRIJEM	VKLAD	25907	62740	\N	\N	\N
532159	1813	1996-12-25	PRIJEM	VKLAD	5650	113835	\N	\N	\N
532160	1813	1996-05-16	PRIJEM	VKLAD	22862	83494	\N	\N	\N
532161	1813	1996-11-30	PRIJEM	VKLAD	15971	77531	\N	\N	\N
532162	1813	1996-08-08	PRIJEM	VKLAD	5289	36833	\N	\N	\N
532163	1813	1996-09-28	PRIJEM	VKLAD	33710	86521	\N	\N	\N
532164	1813	1996-01-12	PRIJEM	VKLAD	37968	69110	\N	\N	\N
532165	1813	1996-04-17	PRIJEM	VKLAD	39998	145478	\N	\N	\N
532166	1813	1996-03-04	PRIJEM	VKLAD	24177	68790	\N	\N	\N
532167	1813	1996-04-13	PRIJEM	VKLAD	47470	103804	\N	\N	\N
532168	1813	1996-08-17	PRIJEM	VKLAD	15773	73351	\N	\N	\N
532169	1813	1996-04-15	PRIJEM	VKLAD	10976	114780	\N	\N	\N
532170	1813	1997-04-28	PRIJEM	VKLAD	35672	99398	\N	\N	\N
532171	1813	1997-06-09	PRIJEM	VKLAD	46994	104286	\N	\N	\N
532172	1813	1997-12-27	PRIJEM	VKLAD	9817	85393	\N	\N	\N
532173	1813	1997-02-25	PRIJEM	VKLAD	21041	100429	\N	\N	\N
532174	1813	1997-11-13	PRIJEM	VKLAD	16904	63569	\N	\N	\N
532175	1813	1997-03-05	PRIJEM	VKLAD	45817	121292	\N	\N	\N
532176	1813	1997-12-23	PRIJEM	VKLAD	23876	80676	\N	\N	\N
532177	1813	1997-04-12	PRIJEM	VKLAD	9452	72069	\N	\N	\N
532178	1813	1997-11-17	PRIJEM	VKLAD	19521	83090	\N	\N	\N
532179	1813	1997-02-16	PRIJEM	VKLAD	41641	79388	\N	\N	\N
532180	1813	1997-03-11	PRIJEM	VKLAD	6729	94559	\N	\N	\N
532181	1813	1997-12-03	PRIJEM	VKLAD	39040	109522	\N	\N	\N
532182	1813	1997-05-11	PRIJEM	VKLAD	6016	93801	\N	\N	\N
532183	1813	1997-04-20	PRIJEM	VKLAD	11901	96690	\N	\N	\N
532184	1813	1997-08-30	PRIJEM	VKLAD	25283	74247	\N	\N	\N
532185	1813	1997-06-13	PRIJEM	VKLAD	36967	140441	\N	\N	\N
532186	1813	1997-07-03	PRIJEM	VKLAD	40835	129467	\N	\N	\N
532187	1813	1997-07-11	PRIJEM	VKLAD	41609	144814	\N	\N	\N
532188	1813	1997-11-21	PRIJEM	VKLAD	34647	117737	\N	\N	\N
532189	1813	1997-04-13	PRIJEM	VKLAD	49220	121289	\N	\N	\N
532190	1813	1997-03-24	PRIJEM	VKLAD	42878	137437	\N	\N	\N
532191	1813	1997-12-17	PRIJEM	VKLAD	30854	116100	\N	\N	\N
532192	1813	1997-04-25	PRIJEM	VKLAD	35636	132326	\N	\N	\N
532193	1813	1998-08-15	PRIJEM	VKLAD	24757	132577	\N	\N	\N
532194	1813	1998-08-09	PRIJEM	VKLAD	33492	134532	\N	\N	\N
532195	1813	1998-01-19	PRIJEM	VKLAD	32137	131703	\N	\N	\N
532196	1813	1998-10-09	PRIJEM	VKLAD	42716	127394	\N	\N	\N
532197	1813	1998-05-14	PRIJEM	VKLAD	5396	92415	\N	\N	\N
532198	1813	1998-12-20	PRIJEM	VKLAD	29262	113926	\N	\N	\N
532199	1813	1998-04-26	PRIJEM	VKLAD	39282	104879	\N	\N	\N
532200	1813	1998-01-15	PRIJEM	VKLAD	18994	99566	\N	\N	\N
532201	1813	1998-07-27	PRIJEM	VKLAD	34701	112081	\N	\N	\N
532202	1813	1998-02-13	PRIJEM	VKLAD	48194	126034	\N	\N	\N
532203	1813	1998-07-18	PRIJEM	VKLAD	31296	95180	\N	\N	\N
532204	1813	1998-02-12	PRIJEM	VKLAD	6757	77840	\N	\N	\N
532205	1813	1998-06-28	PRIJEM	VKLAD	11271	86886	\N	\N	\N
532206	1813	1998-05-24	PRIJEM	VKLAD	32654	108022	\N	\N	\N
532207	1813	1998-10-24	PRIJEM	VKLAD	29472	111754	\N	\N	\N
532208	1813	1998-09-24	PRIJEM	VKLAD	17628	131333	\N	\N	\N
532209	1813	1998-08-28	PRIJEM	VKLAD	39715	126292	\N	\N	\N
532210	1813	1998-07-12	PRIJEM	VKLAD	24149	63884	\N	\N	\N
532211	1813	1998-09-21	PRIJEM	VKLAD	47366	129205	\N	\N	\N
532212	1813	1998-04-02	PRIJEM	VKLAD	38620	97608	\N	\N	\N
532213	1813	1998-05-12	PRIJEM	VKLAD	48163	148219	\N	\N	\N
532214	1813	1998-02-22	PRIJEM	VKLAD	5826	92760	\N	\N	\N
532220	1813	1994-06-09	VYDAJ	PREVOD NA UCET	812	74245	SIPO	GH	39702093
532221	1813	1994-07-09	VYDAJ	PREVOD NA UCET	812	54565	SIPO	GH	39702093
532222	1813	1994-08-09	VYDAJ	PREVOD NA UCET	812	63750	SIPO	GH	39702093
532223	1813	1994-09-09	VYDAJ	PREVOD NA UCET	812	60497	SIPO	GH	39702093
532406	1813	1994-10-31	VYDAJ	VYBER	15	94546	SLUZBY	\N	\N
532224	1813	1994-10-09	VYDAJ	PREVOD NA UCET	812	49919	SIPO	GH	39702093
532225	1813	1994-11-09	VYDAJ	PREVOD NA UCET	812	58884	SIPO	GH	39702093
532226	1813	1994-12-09	VYDAJ	PREVOD NA UCET	812	34056	SIPO	GH	39702093
532227	1813	1995-01-09	VYDAJ	PREVOD NA UCET	812	41091	SIPO	GH	39702093
532228	1813	1995-02-09	VYDAJ	PREVOD NA UCET	812	57011	SIPO	GH	39702093
532229	1813	1995-03-09	VYDAJ	PREVOD NA UCET	812	57890	SIPO	GH	39702093
532230	1813	1995-04-09	VYDAJ	PREVOD NA UCET	812	65843	SIPO	GH	39702093
532231	1813	1995-05-09	VYDAJ	PREVOD NA UCET	812	42019	SIPO	GH	39702093
532232	1813	1995-06-09	VYDAJ	PREVOD NA UCET	812	42656	SIPO	GH	39702093
532233	1813	1995-07-09	VYDAJ	PREVOD NA UCET	812	63653	SIPO	GH	39702093
532234	1813	1995-08-09	VYDAJ	PREVOD NA UCET	812	56668	SIPO	GH	39702093
532235	1813	1995-09-09	VYDAJ	PREVOD NA UCET	812	40359	SIPO	GH	39702093
532236	1813	1995-10-09	VYDAJ	PREVOD NA UCET	812	33962	SIPO	GH	39702093
532237	1813	1995-11-09	VYDAJ	PREVOD NA UCET	812	58775	SIPO	GH	39702093
532238	1813	1995-12-09	VYDAJ	PREVOD NA UCET	812	57290	SIPO	GH	39702093
532239	1813	1996-01-09	VYDAJ	PREVOD NA UCET	812	31142	SIPO	GH	39702093
532240	1813	1996-02-09	VYDAJ	PREVOD NA UCET	812	63122	SIPO	GH	39702093
532241	1813	1996-03-09	VYDAJ	PREVOD NA UCET	812	63628	SIPO	GH	39702093
532242	1813	1996-04-09	VYDAJ	PREVOD NA UCET	812	56334	SIPO	GH	39702093
532243	1813	1996-05-09	VYDAJ	PREVOD NA UCET	812	60632	SIPO	GH	39702093
532244	1813	1996-06-09	VYDAJ	PREVOD NA UCET	812	53055	SIPO	GH	39702093
532245	1813	1996-07-09	VYDAJ	PREVOD NA UCET	812	39703	SIPO	GH	39702093
532246	1813	1996-08-09	VYDAJ	PREVOD NA UCET	812	57578	SIPO	GH	39702093
532247	1813	1996-09-09	VYDAJ	PREVOD NA UCET	812	52811	SIPO	GH	39702093
532248	1813	1996-10-09	VYDAJ	PREVOD NA UCET	812	57172	SIPO	GH	39702093
532249	1813	1996-11-09	VYDAJ	PREVOD NA UCET	812	43998	SIPO	GH	39702093
532250	1813	1996-12-09	VYDAJ	PREVOD NA UCET	812	72355	SIPO	GH	39702093
532251	1813	1997-01-09	VYDAJ	PREVOD NA UCET	812	54296	SIPO	GH	39702093
532252	1813	1997-02-09	VYDAJ	PREVOD NA UCET	812	37747	SIPO	GH	39702093
532253	1813	1997-03-09	VYDAJ	PREVOD NA UCET	812	87830	SIPO	GH	39702093
532254	1813	1997-04-09	VYDAJ	PREVOD NA UCET	812	62617	SIPO	GH	39702093
532255	1813	1997-05-09	VYDAJ	PREVOD NA UCET	812	87785	SIPO	GH	39702093
532256	1813	1997-06-09	VYDAJ	PREVOD NA UCET	812	103474	SIPO	GH	39702093
532257	1813	1997-07-09	VYDAJ	PREVOD NA UCET	812	103205	SIPO	GH	39702093
532258	1813	1997-08-09	VYDAJ	PREVOD NA UCET	812	59719	SIPO	GH	39702093
532259	1813	1997-09-09	VYDAJ	PREVOD NA UCET	812	54589	SIPO	GH	39702093
532260	1813	1997-10-09	VYDAJ	PREVOD NA UCET	812	47043	SIPO	GH	39702093
532261	1813	1997-11-09	VYDAJ	PREVOD NA UCET	812	46665	SIPO	GH	39702093
532262	1813	1997-12-09	VYDAJ	PREVOD NA UCET	812	104360	SIPO	GH	39702093
532263	1813	1998-01-09	VYDAJ	PREVOD NA UCET	812	80572	SIPO	GH	39702093
532264	1813	1998-02-09	VYDAJ	PREVOD NA UCET	812	71083	SIPO	GH	39702093
532265	1813	1998-03-09	VYDAJ	PREVOD NA UCET	812	87952	SIPO	GH	39702093
532266	1813	1998-04-09	VYDAJ	PREVOD NA UCET	812	92446	SIPO	GH	39702093
532267	1813	1998-05-09	VYDAJ	PREVOD NA UCET	812	100056	SIPO	GH	39702093
532268	1813	1998-06-09	VYDAJ	PREVOD NA UCET	812	81015	SIPO	GH	39702093
532269	1813	1998-07-09	VYDAJ	PREVOD NA UCET	812	39735	SIPO	GH	39702093
532270	1813	1998-08-09	VYDAJ	PREVOD NA UCET	812	107820	SIPO	GH	39702093
532271	1813	1998-09-09	VYDAJ	PREVOD NA UCET	812	83839	SIPO	GH	39702093
532272	1813	1998-10-09	VYDAJ	PREVOD NA UCET	812	126582	SIPO	GH	39702093
532273	1813	1998-11-09	VYDAJ	PREVOD NA UCET	812	107019	SIPO	GH	39702093
532274	1813	1998-12-09	VYDAJ	PREVOD NA UCET	812	90364	SIPO	GH	39702093
532280	1813	1994-06-08	VYDAJ	PREVOD NA UCET	4350	82257	 	QR	343406
532281	1813	1994-07-08	VYDAJ	PREVOD NA UCET	4350	55377	 	QR	343406
532282	1813	1994-08-08	VYDAJ	PREVOD NA UCET	4350	64562	 	QR	343406
532283	1813	1994-09-08	VYDAJ	PREVOD NA UCET	4350	95909	 	QR	343406
532284	1813	1994-10-08	VYDAJ	PREVOD NA UCET	4350	72531	 	QR	343406
532285	1813	1994-11-08	VYDAJ	PREVOD NA UCET	4350	90196	 	QR	343406
532286	1813	1994-12-08	VYDAJ	PREVOD NA UCET	4350	39268	 	QR	343406
532287	1813	1995-01-08	VYDAJ	PREVOD NA UCET	4350	41903	 	QR	343406
532288	1813	1995-02-08	VYDAJ	PREVOD NA UCET	4350	57823	 	QR	343406
532289	1813	1995-03-08	VYDAJ	PREVOD NA UCET	4350	89602	 	QR	343406
532290	1813	1995-04-08	VYDAJ	PREVOD NA UCET	4350	66655	 	QR	343406
532291	1813	1995-05-08	VYDAJ	PREVOD NA UCET	4350	48231	 	QR	343406
532292	1813	1995-06-08	VYDAJ	PREVOD NA UCET	4350	43468	 	QR	343406
532293	1813	1995-07-08	VYDAJ	PREVOD NA UCET	4350	64465	 	QR	343406
532294	1813	1995-08-08	VYDAJ	PREVOD NA UCET	4350	57480	 	QR	343406
532295	1813	1995-09-08	VYDAJ	PREVOD NA UCET	4350	41171	 	QR	343406
532296	1813	1995-10-08	VYDAJ	PREVOD NA UCET	4350	34774	 	QR	343406
532297	1813	1995-11-08	VYDAJ	PREVOD NA UCET	4350	59587	 	QR	343406
532298	1813	1995-12-08	VYDAJ	PREVOD NA UCET	4350	52956	 	QR	343406
532299	1813	1996-01-08	VYDAJ	PREVOD NA UCET	4350	31954	 	QR	343406
532300	1813	1996-02-08	VYDAJ	PREVOD NA UCET	4350	63934	 	QR	343406
532301	1813	1996-03-08	VYDAJ	PREVOD NA UCET	4350	64440	 	QR	343406
532302	1813	1996-04-08	VYDAJ	PREVOD NA UCET	4350	57146	 	QR	343406
532303	1813	1996-05-08	VYDAJ	PREVOD NA UCET	4350	61444	 	QR	343406
532304	1813	1996-06-08	VYDAJ	PREVOD NA UCET	4350	53867	 	QR	343406
532305	1813	1996-07-08	VYDAJ	PREVOD NA UCET	4350	40515	 	QR	343406
532306	1813	1996-08-08	VYDAJ	PREVOD NA UCET	4350	58390	 	QR	343406
532307	1813	1996-09-08	VYDAJ	PREVOD NA UCET	4350	53623	 	QR	343406
532308	1813	1996-10-08	VYDAJ	PREVOD NA UCET	4350	57984	 	QR	343406
532309	1813	1996-11-08	VYDAJ	PREVOD NA UCET	4350	44810	 	QR	343406
532310	1813	1996-12-08	VYDAJ	PREVOD NA UCET	4350	73167	 	QR	343406
532311	1813	1997-01-08	VYDAJ	PREVOD NA UCET	4350	55108	 	QR	343406
532312	1813	1997-02-08	VYDAJ	PREVOD NA UCET	4350	38559	 	QR	343406
532313	1813	1997-03-08	VYDAJ	PREVOD NA UCET	4350	88642	 	QR	343406
532314	1813	1997-04-08	VYDAJ	PREVOD NA UCET	4350	63429	 	QR	343406
532315	1813	1997-05-08	VYDAJ	PREVOD NA UCET	4350	88597	 	QR	343406
532316	1813	1997-06-08	VYDAJ	PREVOD NA UCET	4350	57292	 	QR	343406
532317	1813	1997-07-08	VYDAJ	PREVOD NA UCET	4350	104017	 	QR	343406
532318	1813	1997-08-08	VYDAJ	PREVOD NA UCET	4350	60531	 	QR	343406
532319	1813	1997-09-08	VYDAJ	PREVOD NA UCET	4350	55401	 	QR	343406
532320	1813	1997-10-08	VYDAJ	PREVOD NA UCET	4350	47855	 	QR	343406
532321	1813	1997-11-08	VYDAJ	PREVOD NA UCET	4350	47477	 	QR	343406
532322	1813	1997-12-08	VYDAJ	PREVOD NA UCET	4350	105172	 	QR	343406
532323	1813	1998-01-08	VYDAJ	PREVOD NA UCET	4350	81384	 	QR	343406
532324	1813	1998-02-08	VYDAJ	PREVOD NA UCET	4350	73395	 	QR	343406
532325	1813	1998-03-08	VYDAJ	PREVOD NA UCET	4350	88764	 	QR	343406
532326	1813	1998-04-08	VYDAJ	PREVOD NA UCET	4350	93258	 	QR	343406
532327	1813	1998-05-08	VYDAJ	PREVOD NA UCET	4350	100868	 	QR	343406
532328	1813	1998-06-08	VYDAJ	PREVOD NA UCET	4350	81827	 	QR	343406
532329	1813	1998-07-08	VYDAJ	PREVOD NA UCET	4350	52247	 	QR	343406
532330	1813	1998-08-08	VYDAJ	PREVOD NA UCET	4350	101040	 	QR	343406
532331	1813	1998-09-08	VYDAJ	PREVOD NA UCET	4350	84651	 	QR	343406
532332	1813	1998-10-08	VYDAJ	PREVOD NA UCET	4350	84678	 	QR	343406
532333	1813	1998-11-08	VYDAJ	PREVOD NA UCET	4350	107831	 	QR	343406
532334	1813	1998-12-08	VYDAJ	PREVOD NA UCET	4350	91176	 	QR	343406
532335	1813	1994-09-12	VYBER	VYBER	19791	40706	\N	\N	\N
532336	1813	1994-11-27	VYBER	VYBER	13029	67964	\N	\N	\N
532337	1813	1994-07-22	VYBER	VYBER	24886	96004	\N	\N	\N
532338	1813	1994-10-15	VYBER	VYBER	15500	44585	\N	\N	\N
532339	1813	1994-12-03	VYBER	VYBER	24669	43618	\N	\N	\N
532343	1813	1995-10-22	VYBER	VYBER	2360	53755	\N	\N	\N
532344	1813	1996-10-18	VYBER	VYBER	2930	54242	\N	\N	\N
532345	1813	1997-08-20	VYBER	VYBER	20871	33264	\N	\N	\N
532346	1813	1997-12-10	VYBER	VYBER	19114	85246	\N	\N	\N
532347	1813	1997-07-14	VYBER	VYBER	6674	82040	\N	\N	\N
532348	1813	1997-08-19	VYBER	VYBER	5584	54135	\N	\N	\N
532350	1813	1997-04-30	VYBER	VYBER	6763	92961	\N	\N	\N
532351	1813	1997-06-06	VYBER	VYBER	7212	61642	\N	\N	\N
532352	1813	1997-07-25	VYBER	VYBER	3717	73223	\N	\N	\N
532353	1813	1997-05-20	VYBER	VYBER	7891	85910	\N	\N	\N
532354	1813	1997-09-07	VYBER	VYBER	9611	59751	\N	\N	\N
532355	1813	1998-08-01	VYBER	VYBER	6975	105390	\N	\N	\N
532356	1813	1998-12-29	VYBER	VYBER	23323	90603	\N	\N	\N
532357	1813	1998-05-15	VYBER	VYBER	6247	86168	\N	\N	\N
532358	1813	1998-04-01	VYBER	VYBER	19203	58988	\N	\N	\N
532359	1813	1998-04-16	VYBER	VYBER	14097	67097	\N	\N	\N
532360	1813	1998-04-15	VYBER	VYBER	11252	81194	\N	\N	\N
532361	1813	1998-05-29	VYBER	VYBER	17124	90898	\N	\N	\N
532362	1813	1994-06-19	VYDAJ	VYBER	31500	44395	\N	\N	\N
532366	1813	1998-06-28	VYDAJ	VYBER	30600	56286	\N	\N	\N
532367	1813	1994-12-11	VYDAJ	VYBER	6900	27156	\N	\N	\N
532368	1813	1995-12-29	VYDAJ	VYBER	2400	42590	\N	\N	\N
532369	1813	1996-12-11	VYDAJ	VYBER	3600	68755	\N	\N	\N
532370	1813	1997-12-25	VYDAJ	VYBER	5100	75576	\N	\N	\N
532371	1813	1998-12-17	VYDAJ	VYBER	7500	84664	\N	\N	\N
532372	1813	1994-08-31	VYDAJ	VYBER	6300	40233	\N	\N	\N
532374	1813	1994-09-24	VYDAJ	VYBER	9000	40952	\N	\N	\N
532377	1813	1994-06-09	VYDAJ	VYBER	7200	75057	\N	\N	\N
532378	1813	1994-08-18	VYDAJ	VYBER	9900	34850	\N	\N	\N
532379	1813	1995-11-24	VYDAJ	VYBER	9900	78118	\N	\N	\N
532380	1813	1995-07-16	VYDAJ	VYBER	14400	49253	\N	\N	\N
532381	1813	1995-05-09	VYDAJ	VYBER	5400	42831	\N	\N	\N
532382	1813	1995-12-15	VYDAJ	VYBER	12300	44990	\N	\N	\N
532383	1813	1996-04-18	VYDAJ	VYBER	3300	84578	\N	\N	\N
532384	1813	1996-07-22	VYDAJ	VYBER	10500	29203	\N	\N	\N
532385	1813	1996-04-16	VYDAJ	VYBER	9300	105480	\N	\N	\N
532386	1813	1997-07-20	VYDAJ	VYBER	5100	76940	\N	\N	\N
532387	1813	1997-09-19	VYDAJ	VYBER	9000	45589	\N	\N	\N
532388	1813	1997-10-17	VYDAJ	VYBER	6000	41043	\N	\N	\N
532389	1813	1997-02-07	VYDAJ	VYBER	10200	42909	\N	\N	\N
532390	1813	1997-08-30	VYDAJ	VYBER	5100	69147	\N	\N	\N
532391	1813	1998-06-01	VYDAJ	VYBER	5100	86177	\N	\N	\N
532392	1813	1998-02-09	VYDAJ	VYBER	1500	71895	\N	\N	\N
532393	1813	1998-07-09	VYDAJ	VYBER	11700	40547	\N	\N	\N
532394	1813	1998-07-22	VYDAJ	VYBER	7800	77380	\N	\N	\N
532395	1813	1998-10-07	VYDAJ	VYBER	12900	89028	\N	\N	\N
532401	1813	1994-05-31	VYDAJ	VYBER	15	86607	SLUZBY	\N	\N
532402	1813	1994-06-30	VYDAJ	VYBER	15	59727	SLUZBY	\N	\N
532403	1813	1994-07-31	VYDAJ	VYBER	15	70688	SLUZBY	\N	\N
532404	1813	1994-08-31	VYDAJ	VYBER	15	46533	SLUZBY	\N	\N
532405	1813	1994-09-30	VYDAJ	VYBER	15	41146	SLUZBY	\N	\N
532407	1813	1994-11-30	VYDAJ	VYBER	15	68287	SLUZBY	\N	\N
532408	1813	1994-12-31	VYDAJ	VYBER	15	46612	SLUZBY	\N	\N
532409	1813	1995-01-31	VYDAJ	VYBER	15	88973	SLUZBY	\N	\N
532410	1813	1995-02-28	VYDAJ	VYBER	15	93952	SLUZBY	\N	\N
532411	1813	1995-03-31	VYDAJ	VYBER	15	109005	SLUZBY	\N	\N
532412	1813	1995-04-30	VYDAJ	VYBER	15	56836	SLUZBY	\N	\N
532413	1813	1995-05-31	VYDAJ	VYBER	15	61118	SLUZBY	\N	\N
532414	1813	1995-06-30	VYDAJ	VYBER	15	61965	SLUZBY	\N	\N
532415	1813	1995-07-31	VYDAJ	VYBER	15	89130	SLUZBY	\N	\N
532416	1813	1995-08-31	VYDAJ	VYBER	15	53221	SLUZBY	\N	\N
532417	1813	1995-09-30	VYDAJ	VYBER	15	40524	SLUZBY	\N	\N
532418	1813	1995-10-31	VYDAJ	VYBER	15	53920	SLUZBY	\N	\N
532419	1813	1995-11-30	VYDAJ	VYBER	15	78406	SLUZBY	\N	\N
532420	1813	1995-12-31	VYDAJ	VYBER	15	42804	SLUZBY	\N	\N
532421	1813	1996-01-31	VYDAJ	VYBER	15	106884	SLUZBY	\N	\N
532422	1813	1996-02-29	VYDAJ	VYBER	15	63413	SLUZBY	\N	\N
532423	1813	1996-03-31	VYDAJ	VYBER	15	95696	SLUZBY	\N	\N
532424	1813	1996-04-30	VYDAJ	VYBER	15	84918	SLUZBY	\N	\N
532425	1813	1996-05-31	VYDAJ	VYBER	15	58217	SLUZBY	\N	\N
532426	1813	1996-06-30	VYDAJ	VYBER	15	53265	SLUZBY	\N	\N
532427	1813	1996-07-31	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
532428	1813	1996-08-31	VYDAJ	VYBER	15	57973	SLUZBY	\N	\N
532429	1813	1996-09-30	VYDAJ	VYBER	15	62334	SLUZBY	\N	\N
532430	1813	1996-10-31	VYDAJ	VYBER	15	49160	SLUZBY	\N	\N
532431	1813	1996-11-30	VYDAJ	VYBER	15	77517	SLUZBY	\N	\N
532432	1813	1996-12-31	VYDAJ	VYBER	15	59458	SLUZBY	\N	\N
532433	1813	1997-01-31	VYDAJ	VYBER	15	53109	SLUZBY	\N	\N
532434	1813	1997-02-28	VYDAJ	VYBER	15	75475	SLUZBY	\N	\N
532435	1813	1997-03-31	VYDAJ	VYBER	15	67779	SLUZBY	\N	\N
532436	1813	1997-04-30	VYDAJ	VYBER	15	92947	SLUZBY	\N	\N
532437	1813	1997-05-31	VYDAJ	VYBER	15	68854	SLUZBY	\N	\N
532438	1813	1997-06-30	VYDAJ	VYBER	15	88632	SLUZBY	\N	\N
532439	1813	1997-07-31	VYDAJ	VYBER	15	64881	SLUZBY	\N	\N
532440	1813	1997-08-31	VYDAJ	VYBER	15	69362	SLUZBY	\N	\N
532441	1813	1997-09-30	VYDAJ	VYBER	15	52205	SLUZBY	\N	\N
532442	1813	1997-10-31	VYDAJ	VYBER	15	51827	SLUZBY	\N	\N
532443	1813	1997-11-30	VYDAJ	VYBER	15	70482	SLUZBY	\N	\N
532444	1813	1997-12-31	VYDAJ	VYBER	15	85734	SLUZBY	\N	\N
532445	1813	1998-01-31	VYDAJ	VYBER	15	77745	SLUZBY	\N	\N
532446	1813	1998-02-28	VYDAJ	VYBER	15	93114	SLUZBY	\N	\N
532447	1813	1998-03-31	VYDAJ	VYBER	15	78191	SLUZBY	\N	\N
532448	1813	1998-04-30	VYDAJ	VYBER	15	105218	SLUZBY	\N	\N
532449	1813	1998-05-31	VYDAJ	VYBER	15	91277	SLUZBY	\N	\N
532450	1813	1998-06-30	VYDAJ	VYBER	15	56597	SLUZBY	\N	\N
532451	1813	1998-07-31	VYDAJ	VYBER	15	112365	SLUZBY	\N	\N
532452	1813	1998-08-31	VYDAJ	VYBER	15	89001	SLUZBY	\N	\N
532453	1813	1998-09-30	VYDAJ	VYBER	15	101928	SLUZBY	\N	\N
532454	1813	1998-10-31	VYDAJ	VYBER	15	112181	SLUZBY	\N	\N
532455	1813	1998-11-30	VYDAJ	VYBER	15	95526	SLUZBY	\N	\N
532456	1813	1994-03-13	VYDAJ	VYBER	21300	45408	\N	\N	\N
532457	1813	1994-04-12	VYDAJ	VYBER	12400	33189	\N	\N	\N
532458	1813	1994-05-12	VYDAJ	VYBER	30000	52940	\N	\N	\N
532459	1813	1994-05-26	VYDAJ	VYBER	47900	88433	\N	\N	\N
532460	1813	1994-05-31	VYDAJ	VYBER	20700	86621	\N	\N	\N
532461	1813	1994-06-11	VYDAJ	VYBER	23900	50345	\N	\N	\N
532462	1813	1994-07-11	VYDAJ	VYBER	16400	38165	\N	\N	\N
532463	1813	1994-07-22	VYDAJ	VYBER	25600	70404	\N	\N	\N
532464	1813	1994-08-05	VYDAJ	VYBER	36400	68912	\N	\N	\N
532465	1813	1994-08-10	VYDAJ	VYBER	19000	44750	\N	\N	\N
532466	1813	1994-09-09	VYDAJ	VYBER	34600	61309	\N	\N	\N
532467	1813	1994-10-09	VYDAJ	VYBER	21800	50731	\N	\N	\N
532468	1813	1994-11-08	VYDAJ	VYBER	30500	59696	\N	\N	\N
532469	1813	1994-11-22	VYDAJ	VYBER	26100	80993	\N	\N	\N
532470	1813	1994-12-08	VYDAJ	VYBER	4400	34868	\N	\N	\N
532471	1813	1995-01-07	VYDAJ	VYBER	18100	46253	\N	\N	\N
532472	1813	1995-01-22	VYDAJ	VYBER	32700	74004	\N	\N	\N
532473	1813	1995-01-28	VYDAJ	VYBER	42100	88736	\N	\N	\N
532474	1813	1995-02-06	VYDAJ	VYBER	26800	62173	\N	\N	\N
532475	1813	1995-03-08	VYDAJ	VYBER	30900	58702	\N	\N	\N
532476	1813	1995-03-26	VYDAJ	VYBER	15600	108640	\N	\N	\N
532477	1813	1995-04-07	VYDAJ	VYBER	38000	71005	\N	\N	\N
532478	1813	1995-04-16	VYDAJ	VYBER	56800	56440	\N	\N	\N
532479	1813	1995-05-07	VYDAJ	VYBER	21800	52581	\N	\N	\N
532480	1813	1995-06-06	VYDAJ	VYBER	13300	47818	\N	\N	\N
532481	1813	1995-07-06	VYDAJ	VYBER	16800	45165	\N	\N	\N
532482	1813	1995-08-05	VYDAJ	VYBER	27300	61830	\N	\N	\N
532483	1813	1995-08-29	VYDAJ	VYBER	34800	112601	\N	\N	\N
532484	1813	1995-08-31	VYDAJ	VYBER	59700	53235	\N	\N	\N
532485	1813	1995-09-04	VYDAJ	VYBER	7700	45521	\N	\N	\N
532486	1813	1995-10-04	VYDAJ	VYBER	1400	39124	\N	\N	\N
532487	1813	1995-11-03	VYDAJ	VYBER	13200	40720	\N	\N	\N
532488	1813	1995-12-03	VYDAJ	VYBER	21100	57306	\N	\N	\N
532489	1813	1996-01-02	VYDAJ	VYBER	6500	36304	\N	\N	\N
532490	1813	1996-01-27	VYDAJ	VYBER	27400	106629	\N	\N	\N
532491	1813	1996-02-01	VYDAJ	VYBER	38600	68284	\N	\N	\N
532492	1813	1996-03-02	VYDAJ	VYBER	18800	44613	\N	\N	\N
532493	1813	1996-03-26	VYDAJ	VYBER	38600	95320	\N	\N	\N
532494	1813	1996-04-01	VYDAJ	VYBER	34200	61496	\N	\N	\N
532495	1813	1996-04-17	VYDAJ	VYBER	57600	87878	\N	\N	\N
532496	1813	1996-05-01	VYDAJ	VYBER	37800	65794	\N	\N	\N
532497	1813	1996-05-31	VYDAJ	VYBER	25600	58232	\N	\N	\N
532498	1813	1996-06-30	VYDAJ	VYBER	8400	44865	\N	\N	\N
532499	1813	1996-07-30	PRIJEM	VKLAD	2200	31403	\N	\N	\N
532500	1813	1996-08-29	VYDAJ	VYBER	15600	57751	\N	\N	\N
532501	1813	1996-09-28	VYDAJ	VYBER	24400	62121	\N	\N	\N
532502	1813	1996-10-28	VYDAJ	VYBER	5300	48942	\N	\N	\N
532503	1813	1996-11-27	VYDAJ	VYBER	18500	61287	\N	\N	\N
532504	1813	1996-12-25	VYDAJ	VYBER	38200	75635	\N	\N	\N
532505	1813	1996-12-27	VYDAJ	VYBER	16500	59135	\N	\N	\N
532506	1813	1997-01-26	VYDAJ	VYBER	1400	52896	\N	\N	\N
532507	1813	1997-02-25	VYDAJ	VYBER	25200	75229	\N	\N	\N
532508	1813	1997-03-05	VYDAJ	VYBER	28300	92992	\N	\N	\N
532509	1813	1997-03-24	VYDAJ	VYBER	50100	87337	\N	\N	\N
532510	1813	1997-03-27	VYDAJ	VYBER	19900	67437	\N	\N	\N
532511	1813	1997-04-13	VYDAJ	VYBER	36500	84789	\N	\N	\N
532512	1813	1997-04-25	VYDAJ	VYBER	57900	74426	\N	\N	\N
532513	1813	1997-04-26	VYDAJ	VYBER	10700	63726	\N	\N	\N
532514	1813	1997-05-26	VYDAJ	VYBER	17400	68510	\N	\N	\N
532515	1813	1997-06-13	VYDAJ	VYBER	18600	121841	\N	\N	\N
532516	1813	1997-06-25	VYDAJ	VYBER	33600	88241	\N	\N	\N
532517	1813	1997-07-03	VYDAJ	VYBER	21100	108367	\N	\N	\N
532518	1813	1997-07-11	VYDAJ	VYBER	56100	88714	\N	\N	\N
532519	1813	1997-07-25	VYDAJ	VYBER	8700	64523	\N	\N	\N
532520	1813	1997-08-24	PRIJEM	VKLAD	15700	48964	\N	\N	\N
532521	1813	1997-09-23	PRIJEM	VKLAD	6400	51989	\N	\N	\N
532522	1813	1997-10-23	PRIJEM	VKLAD	10600	51643	\N	\N	\N
532523	1813	1997-11-21	VYDAJ	VYBER	40900	76837	\N	\N	\N
532524	1813	1997-11-22	VYDAJ	VYBER	6600	70237	\N	\N	\N
532525	1813	1997-12-17	VYDAJ	VYBER	63700	52400	\N	\N	\N
532526	1813	1997-12-22	PRIJEM	VKLAD	4400	56800	\N	\N	\N
532527	1813	1998-01-19	VYDAJ	VYBER	39700	92003	\N	\N	\N
532528	1813	1998-01-21	VYDAJ	VYBER	14600	77403	\N	\N	\N
532529	1813	1998-02-13	VYDAJ	VYBER	15300	110734	\N	\N	\N
532530	1813	1998-02-20	VYDAJ	VYBER	23800	86934	\N	\N	\N
532531	1813	1998-03-22	VYDAJ	VYBER	10100	77852	\N	\N	\N
532532	1813	1998-04-21	VYDAJ	VYBER	1500	65597	\N	\N	\N
532533	1813	1998-05-12	VYDAJ	VYBER	61200	87019	\N	\N	\N
532534	1813	1998-05-21	VYDAJ	VYBER	10800	75368	\N	\N	\N
532535	1813	1998-06-20	VYDAJ	VYBER	5400	75615	\N	\N	\N
532536	1813	1998-07-20	VYDAJ	VYBER	10000	85180	\N	\N	\N
532537	1813	1998-08-09	VYDAJ	VYBER	25900	108632	\N	\N	\N
532538	1813	1998-08-15	VYDAJ	VYBER	37200	95377	\N	\N	\N
532539	1813	1998-08-19	VYDAJ	VYBER	8800	86577	\N	\N	\N
532540	1813	1998-08-28	VYDAJ	VYBER	37700	88592	\N	\N	\N
532541	1813	1998-09-18	VYDAJ	VYBER	2000	81839	\N	\N	\N
532542	1813	1998-09-21	VYDAJ	VYBER	15500	113705	\N	\N	\N
532543	1813	1998-09-24	VYDAJ	VYBER	29800	101533	\N	\N	\N
532544	1813	1998-10-09	VYDAJ	VYBER	42000	84582	\N	\N	\N
532545	1813	1998-10-18	VYDAJ	VYBER	2300	82282	\N	\N	\N
532546	1813	1998-11-17	VYDAJ	VYBER	11900	95119	\N	\N	\N
532547	1813	1998-12-17	PRIJEM	VKLAD	1800	92164	\N	\N	\N
532607	1814	1997-09-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
532617	1814	1997-10-09	PRIJEM	PREVOD Z UCTU	5921	7021	DUCHOD	GH	49894422
532618	1814	1997-11-09	PRIJEM	PREVOD Z UCTU	5921	12942	DUCHOD	GH	49894422
532619	1814	1997-12-09	PRIJEM	PREVOD Z UCTU	5921	18863	DUCHOD	GH	49894422
532620	1814	1998-01-09	PRIJEM	PREVOD Z UCTU	5921	23708	DUCHOD	GH	49894422
532621	1814	1998-02-09	PRIJEM	PREVOD Z UCTU	5921	29211	DUCHOD	GH	49894422
532622	1814	1998-03-09	PRIJEM	PREVOD Z UCTU	5921	32187	DUCHOD	GH	49894422
532623	1814	1998-04-09	PRIJEM	PREVOD Z UCTU	5921	32650	DUCHOD	GH	49894422
532624	1814	1998-05-09	PRIJEM	PREVOD Z UCTU	5921	32695	DUCHOD	GH	49894422
532625	1814	1998-06-09	PRIJEM	PREVOD Z UCTU	5921	28736	DUCHOD	GH	49894422
532626	1814	1998-07-09	PRIJEM	PREVOD Z UCTU	5921	31720	DUCHOD	GH	49894422
532627	1814	1998-08-09	PRIJEM	PREVOD Z UCTU	5921	33105	DUCHOD	GH	49894422
532628	1814	1998-09-09	PRIJEM	PREVOD Z UCTU	5921	33192	DUCHOD	GH	49894422
532629	1814	1998-10-09	PRIJEM	PREVOD Z UCTU	5921	36185	DUCHOD	GH	49894422
532630	1814	1998-11-09	PRIJEM	PREVOD Z UCTU	5921	38151	DUCHOD	GH	49894422
532631	1814	1998-12-09	PRIJEM	PREVOD Z UCTU	5921	40367	DUCHOD	GH	49894422
532645	1814	1998-02-11	VYDAJ	PREVOD NA UCET	3035	26176	SIPO	QR	75643884
532646	1814	1998-03-11	VYDAJ	PREVOD NA UCET	3035	29152	SIPO	QR	75643884
532647	1814	1998-04-11	VYDAJ	PREVOD NA UCET	3035	29615	SIPO	QR	75643884
532648	1814	1998-05-11	VYDAJ	PREVOD NA UCET	3035	29660	SIPO	QR	75643884
532649	1814	1998-06-11	VYDAJ	PREVOD NA UCET	3035	25701	SIPO	QR	75643884
532650	1814	1998-07-11	VYDAJ	PREVOD NA UCET	3035	28685	SIPO	QR	75643884
532651	1814	1998-08-11	VYDAJ	PREVOD NA UCET	3035	30070	SIPO	QR	75643884
532652	1814	1998-09-11	VYDAJ	PREVOD NA UCET	3035	30157	SIPO	QR	75643884
532653	1814	1998-10-11	VYDAJ	PREVOD NA UCET	3035	33150	SIPO	QR	75643884
532654	1814	1998-11-11	VYDAJ	PREVOD NA UCET	3035	35116	SIPO	QR	75643884
532655	1814	1998-12-11	VYDAJ	PREVOD NA UCET	3035	37332	SIPO	QR	75643884
532657	1814	1998-06-07	VYDAJ	VYBER	6950	22815	\N	\N	\N
532659	1814	1998-12-06	VYDAJ	VYBER	800	34446	\N	\N	\N
532678	1814	1998-04-12	VYDAJ	VYBER	1440	28175	\N	\N	\N
532679	1814	1998-11-04	VYDAJ	VYBER	1040	32230	\N	\N	\N
532680	1814	1998-07-21	VYDAJ	VYBER	1600	27085	\N	\N	\N
532681	1814	1998-03-14	VYDAJ	VYBER	2320	26832	\N	\N	\N
532696	1814	1998-02-28	VYDAJ	VYBER	15	26266	SLUZBY	\N	\N
532697	1814	1998-03-31	VYDAJ	VYBER	15	26729	SLUZBY	\N	\N
532698	1814	1998-04-30	VYDAJ	VYBER	15	26774	SLUZBY	\N	\N
532699	1814	1998-05-31	VYDAJ	VYBER	15	29765	SLUZBY	\N	\N
532700	1814	1998-06-30	VYDAJ	VYBER	15	25799	SLUZBY	\N	\N
532701	1814	1998-07-31	VYDAJ	VYBER	15	27184	SLUZBY	\N	\N
532702	1814	1998-08-31	VYDAJ	VYBER	15	27271	SLUZBY	\N	\N
532703	1814	1998-09-30	VYDAJ	VYBER	15	30264	SLUZBY	\N	\N
532704	1814	1998-10-31	VYDAJ	VYBER	15	33270	SLUZBY	\N	\N
532705	1814	1998-11-30	VYDAJ	VYBER	15	35246	SLUZBY	\N	\N
532706	1814	1997-12-22	VYDAJ	VYBER	1100	17763	\N	\N	\N
532707	1814	1998-01-21	VYDAJ	VYBER	500	23208	\N	\N	\N
532708	1814	1998-03-22	VYDAJ	VYBER	200	26632	\N	\N	\N
532709	1814	1998-04-21	VYDAJ	VYBER	1500	26675	\N	\N	\N
532710	1814	1998-08-19	VYDAJ	VYBER	2900	27170	\N	\N	\N
532724	1815	1993-04-17	PRIJEM	VKLAD	500	500	\N	\N	\N
532729	1815	1993-05-09	PRIJEM	VKLAD	17904	18404	\N	\N	\N
532730	1815	1993-06-09	PRIJEM	VKLAD	26856	50808	\N	\N	\N
532731	1815	1993-07-09	PRIJEM	VKLAD	17904	55941	\N	\N	\N
532732	1815	1993-08-09	PRIJEM	VKLAD	17904	57807	\N	\N	\N
532733	1815	1993-09-09	PRIJEM	VKLAD	17904	58779	\N	\N	\N
532734	1815	1993-10-09	PRIJEM	VKLAD	17904	55642	\N	\N	\N
532735	1815	1993-11-09	PRIJEM	VKLAD	17904	51203	\N	\N	\N
532736	1815	1993-12-09	PRIJEM	VKLAD	26856	60602	\N	\N	\N
532737	1815	1994-01-09	PRIJEM	VKLAD	17904	55765	\N	\N	\N
532738	1815	1994-02-09	PRIJEM	VKLAD	17904	49516	\N	\N	\N
532739	1815	1994-03-09	PRIJEM	VKLAD	17904	45337	\N	\N	\N
532740	1815	1994-04-09	PRIJEM	VKLAD	17904	40842	\N	\N	\N
532741	1815	1994-05-09	PRIJEM	VKLAD	17904	43546	\N	\N	\N
532742	1815	1994-06-09	PRIJEM	VKLAD	26856	49407	\N	\N	\N
532743	1815	1994-07-09	PRIJEM	VKLAD	17904	45320	\N	\N	\N
532744	1815	1994-08-09	PRIJEM	VKLAD	17904	43226	\N	\N	\N
532745	1815	1994-09-09	PRIJEM	VKLAD	17904	43127	\N	\N	\N
532746	1815	1994-10-09	PRIJEM	VKLAD	17904	37514	\N	\N	\N
532747	1815	1994-11-09	PRIJEM	VKLAD	17904	42203	\N	\N	\N
532748	1815	1994-12-09	PRIJEM	VKLAD	26856	53676	\N	\N	\N
532749	1815	1995-01-09	PRIJEM	VKLAD	17904	40822	\N	\N	\N
532750	1815	1995-02-09	PRIJEM	VKLAD	17904	38123	\N	\N	\N
532751	1815	1995-03-09	PRIJEM	VKLAD	17904	45927	\N	\N	\N
532752	1815	1995-04-09	PRIJEM	VKLAD	17904	44659	\N	\N	\N
532753	1815	1995-05-09	PRIJEM	VKLAD	17904	46299	\N	\N	\N
532754	1815	1995-06-09	PRIJEM	VKLAD	26856	55598	\N	\N	\N
532755	1815	1995-07-09	PRIJEM	VKLAD	17904	37166	\N	\N	\N
532756	1815	1995-08-09	PRIJEM	VKLAD	17904	41169	\N	\N	\N
532757	1815	1995-09-09	PRIJEM	VKLAD	17904	43192	\N	\N	\N
532758	1815	1995-10-09	PRIJEM	VKLAD	17904	44926	\N	\N	\N
532759	1815	1995-11-09	PRIJEM	VKLAD	17904	47365	\N	\N	\N
532760	1815	1995-12-09	PRIJEM	VKLAD	26856	48251	\N	\N	\N
532761	1815	1996-01-09	PRIJEM	VKLAD	17904	40692	\N	\N	\N
532762	1815	1996-02-09	PRIJEM	VKLAD	17904	37201	\N	\N	\N
532763	1815	1996-03-09	PRIJEM	VKLAD	17904	38203	\N	\N	\N
532764	1815	1996-04-09	PRIJEM	VKLAD	17904	36415	\N	\N	\N
532765	1815	1996-05-09	PRIJEM	VKLAD	17904	40822	\N	\N	\N
532766	1815	1996-06-09	PRIJEM	VKLAD	26856	53394	\N	\N	\N
532767	1815	1996-07-09	PRIJEM	VKLAD	17904	50250	\N	\N	\N
532768	1815	1996-08-09	PRIJEM	VKLAD	17904	47603	\N	\N	\N
532769	1815	1996-09-09	PRIJEM	VKLAD	17904	48943	\N	\N	\N
532770	1815	1996-10-09	PRIJEM	VKLAD	17904	50990	\N	\N	\N
532771	1815	1996-11-09	PRIJEM	VKLAD	17904	51543	\N	\N	\N
532772	1815	1996-12-09	PRIJEM	VKLAD	26856	55948	\N	\N	\N
532773	1815	1997-01-09	PRIJEM	VKLAD	17904	44606	\N	\N	\N
532774	1815	1997-02-09	PRIJEM	VKLAD	17904	35019	\N	\N	\N
532775	1815	1997-03-09	PRIJEM	VKLAD	17904	34205	\N	\N	\N
532776	1815	1997-04-09	PRIJEM	VKLAD	17904	37288	\N	\N	\N
532777	1815	1997-05-09	PRIJEM	VKLAD	17904	41185	\N	\N	\N
532778	1815	1997-06-09	PRIJEM	VKLAD	26856	45046	\N	\N	\N
532779	1815	1997-07-09	PRIJEM	VKLAD	17904	38258	\N	\N	\N
532780	1815	1997-08-09	PRIJEM	VKLAD	17904	40555	\N	\N	\N
532781	1815	1997-09-09	PRIJEM	VKLAD	17904	41660	\N	\N	\N
532782	1815	1997-10-09	PRIJEM	VKLAD	17904	43770	\N	\N	\N
532783	1815	1997-11-09	PRIJEM	VKLAD	17904	44385	\N	\N	\N
532784	1815	1997-12-09	PRIJEM	VKLAD	26856	51150	\N	\N	\N
532785	1815	1998-01-09	PRIJEM	VKLAD	17904	41587	\N	\N	\N
532786	1815	1998-02-09	PRIJEM	VKLAD	17904	36388	\N	\N	\N
532787	1815	1998-03-09	PRIJEM	VKLAD	17904	39775	\N	\N	\N
532788	1815	1998-04-09	PRIJEM	VKLAD	17904	36562	\N	\N	\N
532789	1815	1998-05-09	PRIJEM	VKLAD	17904	39851	\N	\N	\N
532790	1815	1998-06-09	PRIJEM	VKLAD	26856	48604	\N	\N	\N
532791	1815	1998-07-09	PRIJEM	VKLAD	17904	47129	\N	\N	\N
532792	1815	1998-08-09	PRIJEM	VKLAD	17904	51062	\N	\N	\N
532793	1815	1998-09-09	PRIJEM	VKLAD	17904	51102	\N	\N	\N
532794	1815	1998-10-09	PRIJEM	VKLAD	17904	48938	\N	\N	\N
532795	1815	1998-11-09	PRIJEM	VKLAD	17904	44263	\N	\N	\N
532796	1815	1998-12-09	PRIJEM	VKLAD	26856	52429	\N	\N	\N
532805	1815	1993-09-12	VYDAJ	PREVOD NA UCET	6037	48083	SIPO	OP	19580573
532806	1815	1993-10-12	VYDAJ	PREVOD NA UCET	6037	45746	SIPO	OP	19580573
532807	1815	1993-11-12	VYDAJ	PREVOD NA UCET	6037	41307	SIPO	OP	19580573
532808	1815	1993-12-12	VYDAJ	PREVOD NA UCET	6037	50706	SIPO	OP	19580573
532809	1815	1994-01-12	VYDAJ	PREVOD NA UCET	6037	35869	SIPO	OP	19580573
532810	1815	1994-02-12	VYDAJ	PREVOD NA UCET	6037	28420	SIPO	OP	19580573
532811	1815	1994-03-12	VYDAJ	PREVOD NA UCET	6037	35441	SIPO	OP	19580573
532812	1815	1994-04-12	VYDAJ	PREVOD NA UCET	6037	30946	SIPO	OP	19580573
532813	1815	1994-05-12	VYDAJ	PREVOD NA UCET	6037	26950	SIPO	OP	19580573
532814	1815	1994-06-12	VYDAJ	PREVOD NA UCET	6037	27311	SIPO	OP	19580573
532815	1815	1994-07-12	VYDAJ	PREVOD NA UCET	6037	25224	SIPO	OP	19580573
532816	1815	1994-08-12	VYDAJ	PREVOD NA UCET	6037	25130	SIPO	OP	19580573
532817	1815	1994-09-12	VYDAJ	PREVOD NA UCET	6037	23131	SIPO	OP	19580573
532818	1815	1994-10-12	VYDAJ	PREVOD NA UCET	6037	22118	SIPO	OP	19580573
532819	1815	1994-11-12	VYDAJ	PREVOD NA UCET	6037	32307	SIPO	OP	19580573
532820	1815	1994-12-12	VYDAJ	PREVOD NA UCET	6037	40580	SIPO	OP	19580573
532821	1815	1995-01-12	VYDAJ	PREVOD NA UCET	6037	26926	SIPO	OP	19580573
532822	1815	1995-02-12	VYDAJ	PREVOD NA UCET	6037	28227	SIPO	OP	19580573
532823	1815	1995-03-12	VYDAJ	PREVOD NA UCET	6037	36031	SIPO	OP	19580573
532824	1815	1995-04-12	VYDAJ	PREVOD NA UCET	6037	34763	SIPO	OP	19580573
532825	1815	1995-05-12	VYDAJ	PREVOD NA UCET	6037	36403	SIPO	OP	19580573
532826	1815	1995-06-12	VYDAJ	PREVOD NA UCET	6037	45702	SIPO	OP	19580573
532827	1815	1995-07-12	VYDAJ	PREVOD NA UCET	6037	27270	SIPO	OP	19580573
532828	1815	1995-08-12	VYDAJ	PREVOD NA UCET	6037	31273	SIPO	OP	19580573
532829	1815	1995-09-12	VYDAJ	PREVOD NA UCET	6037	33296	SIPO	OP	19580573
532830	1815	1995-10-12	VYDAJ	PREVOD NA UCET	6037	35030	SIPO	OP	19580573
532831	1815	1995-11-12	VYDAJ	PREVOD NA UCET	6037	34969	SIPO	OP	19580573
532832	1815	1995-12-12	VYDAJ	PREVOD NA UCET	6037	38355	SIPO	OP	19580573
532833	1815	1996-01-12	VYDAJ	PREVOD NA UCET	6037	29596	SIPO	OP	19580573
532834	1815	1996-02-12	VYDAJ	PREVOD NA UCET	6037	27305	SIPO	OP	19580573
532835	1815	1996-03-12	VYDAJ	PREVOD NA UCET	6037	28307	SIPO	OP	19580573
532836	1815	1996-04-12	VYDAJ	PREVOD NA UCET	6037	26519	SIPO	OP	19580573
532837	1815	1996-05-12	VYDAJ	PREVOD NA UCET	6037	30926	SIPO	OP	19580573
532838	1815	1996-06-12	VYDAJ	PREVOD NA UCET	6037	43498	SIPO	OP	19580573
532839	1815	1996-07-12	VYDAJ	PREVOD NA UCET	6037	40354	SIPO	OP	19580573
532840	1815	1996-08-12	VYDAJ	PREVOD NA UCET	6037	37707	SIPO	OP	19580573
532841	1815	1996-09-12	VYDAJ	PREVOD NA UCET	6037	39047	SIPO	OP	19580573
532842	1815	1996-10-12	VYDAJ	PREVOD NA UCET	6037	41094	SIPO	OP	19580573
532843	1815	1996-11-12	VYDAJ	PREVOD NA UCET	6037	41647	SIPO	OP	19580573
532844	1815	1996-12-12	VYDAJ	PREVOD NA UCET	6037	46052	SIPO	OP	19580573
532845	1815	1997-01-12	VYDAJ	PREVOD NA UCET	6037	34710	SIPO	OP	19580573
532846	1815	1997-02-12	VYDAJ	PREVOD NA UCET	6037	25123	SIPO	OP	19580573
532847	1815	1997-03-12	VYDAJ	PREVOD NA UCET	6037	24309	SIPO	OP	19580573
532848	1815	1997-04-12	VYDAJ	PREVOD NA UCET	6037	27392	SIPO	OP	19580573
532849	1815	1997-05-12	VYDAJ	PREVOD NA UCET	6037	31289	SIPO	OP	19580573
532850	1815	1997-06-12	VYDAJ	PREVOD NA UCET	6037	35150	SIPO	OP	19580573
532851	1815	1997-07-12	VYDAJ	PREVOD NA UCET	6037	28362	SIPO	OP	19580573
532852	1815	1997-08-12	VYDAJ	PREVOD NA UCET	6037	30659	SIPO	OP	19580573
532853	1815	1997-09-12	VYDAJ	PREVOD NA UCET	6037	31764	SIPO	OP	19580573
532854	1815	1997-10-12	VYDAJ	PREVOD NA UCET	6037	33874	SIPO	OP	19580573
532855	1815	1997-11-12	VYDAJ	PREVOD NA UCET	6037	34489	SIPO	OP	19580573
532856	1815	1997-12-12	VYDAJ	PREVOD NA UCET	6037	41254	SIPO	OP	19580573
532857	1815	1998-01-12	VYDAJ	PREVOD NA UCET	6037	30091	SIPO	OP	19580573
532858	1815	1998-02-12	VYDAJ	PREVOD NA UCET	6037	26492	SIPO	OP	19580573
532859	1815	1998-03-12	VYDAJ	PREVOD NA UCET	6037	25079	SIPO	OP	19580573
532860	1815	1998-04-12	VYDAJ	PREVOD NA UCET	6037	26666	SIPO	OP	19580573
532861	1815	1998-05-12	VYDAJ	PREVOD NA UCET	6037	29955	SIPO	OP	19580573
532862	1815	1998-06-12	VYDAJ	PREVOD NA UCET	6037	38708	SIPO	OP	19580573
532863	1815	1998-07-12	VYDAJ	PREVOD NA UCET	6037	37233	SIPO	OP	19580573
532864	1815	1998-08-12	VYDAJ	PREVOD NA UCET	6037	41166	SIPO	OP	19580573
532865	1815	1998-09-12	VYDAJ	PREVOD NA UCET	6037	41206	SIPO	OP	19580573
532866	1815	1998-10-12	VYDAJ	PREVOD NA UCET	6037	39042	SIPO	OP	19580573
532867	1815	1998-11-12	VYDAJ	PREVOD NA UCET	6037	34367	SIPO	OP	19580573
532868	1815	1998-12-12	VYDAJ	PREVOD NA UCET	6037	42533	SIPO	OP	19580573
532877	1815	1993-09-09	VYDAJ	PREVOD NA UCET	3859	54920	 	QR	69614529
532878	1815	1993-10-09	VYDAJ	PREVOD NA UCET	3859	51783	 	QR	69614529
532879	1815	1993-11-09	VYDAJ	PREVOD NA UCET	3859	47344	 	QR	69614529
532880	1815	1993-12-09	VYDAJ	PREVOD NA UCET	3859	56743	 	QR	69614529
532881	1815	1994-01-09	VYDAJ	PREVOD NA UCET	3859	51906	 	QR	69614529
532882	1815	1994-02-09	VYDAJ	PREVOD NA UCET	3859	45657	 	QR	69614529
532883	1815	1994-03-09	VYDAJ	PREVOD NA UCET	3859	41478	 	QR	69614529
532884	1815	1994-04-09	VYDAJ	PREVOD NA UCET	3859	36983	 	QR	69614529
532885	1815	1994-05-09	VYDAJ	PREVOD NA UCET	3859	39687	 	QR	69614529
532886	1815	1994-06-09	VYDAJ	PREVOD NA UCET	3859	45548	 	QR	69614529
532887	1815	1994-07-09	VYDAJ	PREVOD NA UCET	3859	41461	 	QR	69614529
532888	1815	1994-08-09	VYDAJ	PREVOD NA UCET	3859	39367	 	QR	69614529
532889	1815	1994-09-09	VYDAJ	PREVOD NA UCET	3859	29168	 	QR	69614529
532890	1815	1994-10-09	VYDAJ	PREVOD NA UCET	3859	28155	 	QR	69614529
532891	1815	1994-11-09	VYDAJ	PREVOD NA UCET	3859	38344	 	QR	69614529
532892	1815	1994-12-09	VYDAJ	PREVOD NA UCET	3859	49817	 	QR	69614529
532893	1815	1995-01-09	VYDAJ	PREVOD NA UCET	3859	36963	 	QR	69614529
532894	1815	1995-02-09	VYDAJ	PREVOD NA UCET	3859	34264	 	QR	69614529
532895	1815	1995-03-09	VYDAJ	PREVOD NA UCET	3859	42068	 	QR	69614529
532896	1815	1995-04-09	VYDAJ	PREVOD NA UCET	3859	40800	 	QR	69614529
532897	1815	1995-05-09	VYDAJ	PREVOD NA UCET	3859	42440	 	QR	69614529
532898	1815	1995-06-09	VYDAJ	PREVOD NA UCET	3859	51739	 	QR	69614529
532899	1815	1995-07-09	VYDAJ	PREVOD NA UCET	3859	33307	 	QR	69614529
532900	1815	1995-08-09	VYDAJ	PREVOD NA UCET	3859	37310	 	QR	69614529
532901	1815	1995-09-09	VYDAJ	PREVOD NA UCET	3859	39333	 	QR	69614529
532902	1815	1995-10-09	VYDAJ	PREVOD NA UCET	3859	41067	 	QR	69614529
532903	1815	1995-11-09	VYDAJ	PREVOD NA UCET	3859	43506	 	QR	69614529
532904	1815	1995-12-09	VYDAJ	PREVOD NA UCET	3859	44392	 	QR	69614529
532905	1815	1996-01-09	VYDAJ	PREVOD NA UCET	3859	36833	 	QR	69614529
532906	1815	1996-02-09	VYDAJ	PREVOD NA UCET	3859	33342	 	QR	69614529
532907	1815	1996-03-09	VYDAJ	PREVOD NA UCET	3859	34344	 	QR	69614529
532908	1815	1996-04-09	VYDAJ	PREVOD NA UCET	3859	32556	 	QR	69614529
532909	1815	1996-05-09	VYDAJ	PREVOD NA UCET	3859	36963	 	QR	69614529
532910	1815	1996-06-09	VYDAJ	PREVOD NA UCET	3859	49535	 	QR	69614529
532911	1815	1996-07-09	VYDAJ	PREVOD NA UCET	3859	46391	 	QR	69614529
532912	1815	1996-08-09	VYDAJ	PREVOD NA UCET	3859	43744	 	QR	69614529
532913	1815	1996-09-09	VYDAJ	PREVOD NA UCET	3859	45084	 	QR	69614529
532914	1815	1996-10-09	VYDAJ	PREVOD NA UCET	3859	47131	 	QR	69614529
532915	1815	1996-11-09	VYDAJ	PREVOD NA UCET	3859	47684	 	QR	69614529
532916	1815	1996-12-09	VYDAJ	PREVOD NA UCET	3859	52089	 	QR	69614529
532917	1815	1997-01-09	VYDAJ	PREVOD NA UCET	3859	40747	 	QR	69614529
532918	1815	1997-02-09	VYDAJ	PREVOD NA UCET	3859	31160	 	QR	69614529
532919	1815	1997-03-09	VYDAJ	PREVOD NA UCET	3859	30346	 	QR	69614529
532920	1815	1997-04-09	VYDAJ	PREVOD NA UCET	3859	33429	 	QR	69614529
532921	1815	1997-05-09	VYDAJ	PREVOD NA UCET	3859	37326	 	QR	69614529
532922	1815	1997-06-09	VYDAJ	PREVOD NA UCET	3859	41187	 	QR	69614529
532923	1815	1997-07-09	VYDAJ	PREVOD NA UCET	3859	34399	 	QR	69614529
532924	1815	1997-08-09	VYDAJ	PREVOD NA UCET	3859	36696	 	QR	69614529
532925	1815	1997-09-09	VYDAJ	PREVOD NA UCET	3859	37801	 	QR	69614529
532926	1815	1997-10-09	VYDAJ	PREVOD NA UCET	3859	39911	 	QR	69614529
532927	1815	1997-11-09	VYDAJ	PREVOD NA UCET	3859	40526	 	QR	69614529
532928	1815	1997-12-09	VYDAJ	PREVOD NA UCET	3859	47291	 	QR	69614529
532929	1815	1998-01-09	VYDAJ	PREVOD NA UCET	3859	36128	 	QR	69614529
532930	1815	1998-02-09	VYDAJ	PREVOD NA UCET	3859	32529	 	QR	69614529
532931	1815	1998-03-09	VYDAJ	PREVOD NA UCET	3859	35916	 	QR	69614529
532932	1815	1998-04-09	VYDAJ	PREVOD NA UCET	3859	32703	 	QR	69614529
532933	1815	1998-05-09	VYDAJ	PREVOD NA UCET	3859	35992	 	QR	69614529
532934	1815	1998-06-09	VYDAJ	PREVOD NA UCET	3859	44745	 	QR	69614529
532935	1815	1998-07-09	VYDAJ	PREVOD NA UCET	3859	43270	 	QR	69614529
532936	1815	1998-08-09	VYDAJ	PREVOD NA UCET	3859	47203	 	QR	69614529
532937	1815	1998-09-09	VYDAJ	PREVOD NA UCET	3859	47243	 	QR	69614529
532938	1815	1998-10-09	VYDAJ	PREVOD NA UCET	3859	45079	 	QR	69614529
532939	1815	1998-11-09	VYDAJ	PREVOD NA UCET	3859	40404	 	QR	69614529
532940	1815	1998-12-09	VYDAJ	PREVOD NA UCET	3859	48570	 	QR	69614529
532943	1815	1995-06-29	VYDAJ	VYBER	25400	20302	\N	\N	\N
532945	1815	1997-06-21	VYDAJ	VYBER	3000	32150	\N	\N	\N
532948	1815	1994-01-27	VYDAJ	VYBER	1200	32569	\N	\N	\N
532949	1815	1995-01-05	VYDAJ	VYBER	1700	27818	\N	\N	\N
532951	1815	1997-01-26	VYDAJ	VYBER	5800	18810	\N	\N	\N
532952	1815	1998-01-03	VYDAJ	VYBER	9400	24883	\N	\N	\N
532959	1815	1994-01-27	VYDAJ	VYBER	1000	33769	\N	\N	\N
532960	1815	1994-01-02	VYDAJ	VYBER	2500	37861	\N	\N	\N
532961	1815	1994-01-13	VYDAJ	VYBER	1100	34769	\N	\N	\N
532962	1815	1994-01-30	VYDAJ	VYBER	1100	31469	\N	\N	\N
532963	1815	1994-01-11	VYDAJ	VYBER	1100	50306	\N	\N	\N
532964	1815	1994-01-10	VYDAJ	VYBER	500	51406	\N	\N	\N
532965	1815	1995-01-25	VYDAJ	VYBER	2300	20526	\N	\N	\N
532966	1815	1995-01-28	VYDAJ	VYBER	1100	19426	\N	\N	\N
532967	1815	1995-01-05	VYDAJ	VYBER	900	26918	\N	\N	\N
532968	1815	1995-01-21	VYDAJ	VYBER	1600	22826	\N	\N	\N
532969	1815	1995-01-16	VYDAJ	VYBER	2500	24426	\N	\N	\N
532970	1815	1995-01-11	VYDAJ	VYBER	2600	32963	\N	\N	\N
532971	1815	1996-01-17	VYDAJ	VYBER	2200	26796	\N	\N	\N
532972	1815	1996-01-05	VYDAJ	VYBER	600	22788	\N	\N	\N
532973	1815	1996-01-11	VYDAJ	VYBER	600	35633	\N	\N	\N
532974	1815	1996-01-05	VYDAJ	VYBER	1000	23388	\N	\N	\N
532975	1815	1996-01-28	VYDAJ	VYBER	2500	20196	\N	\N	\N
532976	1815	1996-01-16	VYDAJ	VYBER	600	28996	\N	\N	\N
532977	1815	1997-01-15	VYDAJ	VYBER	1900	31310	\N	\N	\N
532978	1815	1997-01-07	VYDAJ	VYBER	1200	26702	\N	\N	\N
532979	1815	1997-01-12	VYDAJ	VYBER	1500	33210	\N	\N	\N
532980	1815	1997-01-27	VYDAJ	VYBER	1800	17010	\N	\N	\N
532981	1815	1997-01-02	VYDAJ	VYBER	1700	27902	\N	\N	\N
532982	1815	1997-01-01	VYDAJ	VYBER	500	29602	\N	\N	\N
532983	1815	1998-01-09	VYDAJ	VYBER	1600	39987	\N	\N	\N
532984	1815	1998-01-08	VYDAJ	VYBER	500	23683	\N	\N	\N
532985	1815	1998-01-22	VYDAJ	VYBER	1500	21191	\N	\N	\N
532986	1815	1998-01-04	VYDAJ	VYBER	700	24183	\N	\N	\N
532987	1815	1998-01-21	VYDAJ	VYBER	2600	22691	\N	\N	\N
532988	1815	1998-01-27	VYDAJ	VYBER	2800	18391	\N	\N	\N
532991	1815	1993-11-05	VYDAJ	VYBER	4800	33299	\N	\N	\N
532992	1815	1993-09-11	VYDAJ	VYBER	800	54120	\N	\N	\N
532993	1815	1994-12-29	VYDAJ	VYBER	4900	32180	\N	\N	\N
532994	1815	1994-12-09	VYDAJ	VYBER	3200	46617	\N	\N	\N
532995	1815	1994-06-07	VYDAJ	VYBER	4500	22551	\N	\N	\N
532996	1815	1994-03-15	VYDAJ	VYBER	4900	22841	\N	\N	\N
532997	1815	1994-09-13	VYDAJ	VYBER	3600	19531	\N	\N	\N
532998	1815	1994-12-15	VYDAJ	VYBER	3500	37080	\N	\N	\N
532999	1815	1994-07-09	VYDAJ	VYBER	4600	36861	\N	\N	\N
533000	1815	1994-02-27	VYDAJ	VYBER	1100	27320	\N	\N	\N
533001	1815	1995-01-10	VYDAJ	VYBER	1400	35563	\N	\N	\N
533002	1815	1995-11-10	VYDAJ	VYBER	2500	41006	\N	\N	\N
533003	1815	1995-11-22	VYDAJ	VYBER	3000	31969	\N	\N	\N
533004	1815	1995-01-05	VYDAJ	VYBER	2800	29518	\N	\N	\N
533005	1815	1995-03-18	VYDAJ	VYBER	3000	33031	\N	\N	\N
533006	1815	1995-11-28	VYDAJ	VYBER	3600	25769	\N	\N	\N
533007	1815	1995-11-25	VYDAJ	VYBER	2600	29369	\N	\N	\N
533008	1815	1996-01-10	VYDAJ	VYBER	600	36233	\N	\N	\N
533009	1815	1996-01-05	VYDAJ	VYBER	2700	24388	\N	\N	\N
533010	1815	1996-01-22	VYDAJ	VYBER	4100	22696	\N	\N	\N
533011	1815	1996-06-25	VYDAJ	VYBER	500	42998	\N	\N	\N
533012	1815	1996-03-28	VYDAJ	VYBER	1800	26507	\N	\N	\N
533013	1815	1997-11-15	VYDAJ	VYBER	4000	30489	\N	\N	\N
533014	1815	1997-10-14	VYDAJ	VYBER	2300	31574	\N	\N	\N
533015	1815	1997-06-25	VYDAJ	VYBER	4700	27450	\N	\N	\N
533016	1815	1997-07-18	VYDAJ	VYBER	1900	26462	\N	\N	\N
533017	1815	1997-06-05	VYDAJ	VYBER	4900	18190	\N	\N	\N
533018	1815	1998-10-26	VYDAJ	VYBER	3100	26242	\N	\N	\N
533019	1815	1998-08-16	VYDAJ	VYBER	1000	40166	\N	\N	\N
533020	1815	1998-03-09	VYDAJ	VYBER	4800	31116	\N	\N	\N
533021	1815	1998-06-01	VYDAJ	VYBER	2400	21748	\N	\N	\N
533022	1815	1998-12-07	VYDAJ	VYBER	2100	25573	\N	\N	\N
533032	1815	1993-09-30	VYDAJ	VYBER	15	37738	SLUZBY	\N	\N
533033	1815	1993-10-31	VYDAJ	VYBER	15	38099	SLUZBY	\N	\N
533034	1815	1993-11-30	VYDAJ	VYBER	15	33746	SLUZBY	\N	\N
533035	1815	1993-12-31	VYDAJ	VYBER	15	40361	SLUZBY	\N	\N
533036	1815	1994-01-31	VYDAJ	VYBER	15	31612	SLUZBY	\N	\N
533037	1815	1994-02-28	VYDAJ	VYBER	15	27433	SLUZBY	\N	\N
533038	1815	1994-03-31	VYDAJ	VYBER	15	22938	SLUZBY	\N	\N
533039	1815	1994-04-30	VYDAJ	VYBER	15	25642	SLUZBY	\N	\N
533040	1815	1994-05-31	VYDAJ	VYBER	15	27051	SLUZBY	\N	\N
533041	1815	1994-06-30	VYDAJ	VYBER	15	27416	SLUZBY	\N	\N
533042	1815	1994-07-31	VYDAJ	VYBER	15	25322	SLUZBY	\N	\N
533043	1815	1994-08-31	VYDAJ	VYBER	15	25223	SLUZBY	\N	\N
533044	1815	1994-09-30	VYDAJ	VYBER	15	19610	SLUZBY	\N	\N
533045	1815	1994-10-31	VYDAJ	VYBER	15	22199	SLUZBY	\N	\N
533046	1815	1994-11-30	VYDAJ	VYBER	15	32420	SLUZBY	\N	\N
533047	1815	1994-12-31	VYDAJ	VYBER	15	32318	SLUZBY	\N	\N
533048	1815	1995-01-31	VYDAJ	VYBER	15	19519	SLUZBY	\N	\N
533049	1815	1995-02-28	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
533050	1815	1995-03-31	VYDAJ	VYBER	15	33155	SLUZBY	\N	\N
533051	1815	1995-04-30	VYDAJ	VYBER	15	34895	SLUZBY	\N	\N
533052	1815	1995-05-31	VYDAJ	VYBER	15	36542	SLUZBY	\N	\N
533053	1815	1995-06-30	VYDAJ	VYBER	15	20462	SLUZBY	\N	\N
533054	1815	1995-07-31	VYDAJ	VYBER	15	27365	SLUZBY	\N	\N
533055	1815	1995-08-31	VYDAJ	VYBER	15	31388	SLUZBY	\N	\N
533056	1815	1995-09-30	VYDAJ	VYBER	15	33422	SLUZBY	\N	\N
533057	1815	1995-10-31	VYDAJ	VYBER	15	35161	SLUZBY	\N	\N
533058	1815	1995-11-30	VYDAJ	VYBER	15	25895	SLUZBY	\N	\N
533059	1815	1995-12-31	VYDAJ	VYBER	15	38488	SLUZBY	\N	\N
533060	1815	1996-01-31	VYDAJ	VYBER	15	20297	SLUZBY	\N	\N
533061	1815	1996-02-29	VYDAJ	VYBER	15	27399	SLUZBY	\N	\N
533062	1815	1996-03-31	VYDAJ	VYBER	15	26611	SLUZBY	\N	\N
533063	1815	1996-04-30	VYDAJ	VYBER	15	26618	SLUZBY	\N	\N
533064	1815	1996-05-31	VYDAJ	VYBER	15	31038	SLUZBY	\N	\N
533065	1815	1996-06-30	VYDAJ	VYBER	15	32346	SLUZBY	\N	\N
533066	1815	1996-07-31	VYDAJ	VYBER	15	29699	SLUZBY	\N	\N
533067	1815	1996-08-31	VYDAJ	VYBER	15	31039	SLUZBY	\N	\N
533068	1815	1996-09-30	VYDAJ	VYBER	15	33086	SLUZBY	\N	\N
533069	1815	1996-10-31	VYDAJ	VYBER	15	33639	SLUZBY	\N	\N
533070	1815	1996-11-30	VYDAJ	VYBER	15	29092	SLUZBY	\N	\N
533071	1815	1996-12-31	VYDAJ	VYBER	15	30102	SLUZBY	\N	\N
533072	1815	1997-01-31	VYDAJ	VYBER	15	17115	SLUZBY	\N	\N
533073	1815	1997-02-28	VYDAJ	VYBER	15	16301	SLUZBY	\N	\N
533074	1815	1997-03-31	VYDAJ	VYBER	15	19384	SLUZBY	\N	\N
533075	1815	1997-04-30	VYDAJ	VYBER	15	23281	SLUZBY	\N	\N
533076	1815	1997-05-31	VYDAJ	VYBER	15	23090	SLUZBY	\N	\N
533077	1815	1997-06-30	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
533078	1815	1997-07-31	VYDAJ	VYBER	15	22651	SLUZBY	\N	\N
533079	1815	1997-08-31	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
533080	1815	1997-09-30	VYDAJ	VYBER	15	25866	SLUZBY	\N	\N
533081	1815	1997-10-31	VYDAJ	VYBER	15	26481	SLUZBY	\N	\N
533082	1815	1997-11-30	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
533083	1815	1997-12-31	VYDAJ	VYBER	15	34283	SLUZBY	\N	\N
533084	1815	1998-01-31	VYDAJ	VYBER	15	18484	SLUZBY	\N	\N
533085	1815	1998-02-28	VYDAJ	VYBER	15	21871	SLUZBY	\N	\N
533086	1815	1998-03-31	VYDAJ	VYBER	15	18658	SLUZBY	\N	\N
533087	1815	1998-04-30	VYDAJ	VYBER	15	21947	SLUZBY	\N	\N
533088	1815	1998-05-31	VYDAJ	VYBER	15	24148	SLUZBY	\N	\N
533089	1815	1998-06-30	VYDAJ	VYBER	15	29225	SLUZBY	\N	\N
533090	1815	1998-07-31	VYDAJ	VYBER	15	33158	SLUZBY	\N	\N
533091	1815	1998-08-31	VYDAJ	VYBER	15	33198	SLUZBY	\N	\N
533092	1815	1998-09-30	VYDAJ	VYBER	15	31034	SLUZBY	\N	\N
533093	1815	1998-10-31	VYDAJ	VYBER	15	26359	SLUZBY	\N	\N
533094	1815	1998-11-30	VYDAJ	VYBER	15	27673	SLUZBY	\N	\N
533095	1815	1993-05-17	PRIJEM	VKLAD	5500	23904	\N	\N	\N
533096	1815	1993-06-16	VYDAJ	VYBER	12900	37908	\N	\N	\N
533097	1815	1993-07-16	VYDAJ	VYBER	16200	39741	\N	\N	\N
533098	1815	1993-08-15	VYDAJ	VYBER	17100	40707	\N	\N	\N
533099	1815	1993-09-14	VYDAJ	VYBER	10500	37583	\N	\N	\N
533100	1815	1993-10-14	VYDAJ	VYBER	7800	37946	\N	\N	\N
533101	1815	1993-11-13	VYDAJ	VYBER	7700	33607	\N	\N	\N
533102	1815	1993-12-13	VYDAJ	VYBER	10500	40206	\N	\N	\N
533103	1815	1994-01-12	VYDAJ	VYBER	8400	41906	\N	\N	\N
533104	1815	1994-02-11	VYDAJ	VYBER	11200	34457	\N	\N	\N
533105	1815	1994-03-13	VYDAJ	VYBER	7700	27741	\N	\N	\N
533106	1815	1994-04-12	VYDAJ	VYBER	5400	25546	\N	\N	\N
533107	1815	1994-05-12	VYDAJ	VYBER	6700	32987	\N	\N	\N
533108	1815	1994-06-11	VYDAJ	VYBER	12200	33348	\N	\N	\N
533109	1815	1994-07-11	VYDAJ	VYBER	5600	31261	\N	\N	\N
533110	1815	1994-08-10	VYDAJ	VYBER	8200	31167	\N	\N	\N
533111	1815	1994-09-09	VYDAJ	VYBER	10100	33027	\N	\N	\N
533112	1815	1994-10-09	VYDAJ	VYBER	5500	32014	\N	\N	\N
533113	1815	1994-11-08	PRIJEM	VKLAD	2100	24299	\N	\N	\N
533114	1815	1994-12-08	VYDAJ	VYBER	5600	26820	\N	\N	\N
533115	1815	1995-01-07	VYDAJ	VYBER	4000	22918	\N	\N	\N
533116	1815	1995-02-06	PRIJEM	VKLAD	700	20219	\N	\N	\N
533117	1815	1995-03-08	VYDAJ	VYBER	300	28023	\N	\N	\N
533118	1815	1995-04-07	VYDAJ	VYBER	6400	26755	\N	\N	\N
533119	1815	1995-05-07	VYDAJ	VYBER	6500	28395	\N	\N	\N
533120	1815	1995-06-06	VYDAJ	VYBER	7800	28742	\N	\N	\N
533121	1815	1995-07-06	VYDAJ	VYBER	1200	19262	\N	\N	\N
533122	1815	1995-08-05	VYDAJ	VYBER	4100	23265	\N	\N	\N
533123	1815	1995-09-04	VYDAJ	VYBER	6100	25288	\N	\N	\N
533124	1815	1995-10-04	VYDAJ	VYBER	6400	27022	\N	\N	\N
533125	1815	1995-11-03	VYDAJ	VYBER	5700	29461	\N	\N	\N
533126	1815	1995-12-03	VYDAJ	VYBER	4500	21395	\N	\N	\N
533127	1815	1996-01-02	VYDAJ	VYBER	11400	27088	\N	\N	\N
533128	1815	1996-02-01	VYDAJ	VYBER	1000	19297	\N	\N	\N
533129	1815	1996-03-02	VYDAJ	VYBER	7100	20299	\N	\N	\N
533130	1815	1996-04-01	VYDAJ	VYBER	8100	18511	\N	\N	\N
533131	1815	1996-05-01	VYDAJ	VYBER	3700	22918	\N	\N	\N
533132	1815	1996-05-31	VYDAJ	VYBER	4500	26538	\N	\N	\N
533133	1815	1996-06-30	VYDAJ	VYBER	10800	32361	\N	\N	\N
533134	1815	1996-07-30	VYDAJ	VYBER	10800	29554	\N	\N	\N
533135	1815	1996-08-29	VYDAJ	VYBER	6800	30907	\N	\N	\N
533136	1815	1996-09-28	VYDAJ	VYBER	6100	32947	\N	\N	\N
533137	1815	1996-10-28	VYDAJ	VYBER	7600	33494	\N	\N	\N
533138	1815	1996-11-27	VYDAJ	VYBER	12700	28947	\N	\N	\N
533139	1815	1996-12-27	VYDAJ	VYBER	16100	29952	\N	\N	\N
533140	1815	1997-01-26	VYDAJ	VYBER	6700	24610	\N	\N	\N
533141	1815	1997-02-25	VYDAJ	VYBER	8900	16223	\N	\N	\N
533142	1815	1997-03-27	VYDAJ	VYBER	5000	19309	\N	\N	\N
533143	1815	1997-04-26	VYDAJ	VYBER	4200	23192	\N	\N	\N
533144	1815	1997-05-26	VYDAJ	VYBER	8300	22989	\N	\N	\N
533145	1815	1997-06-25	VYDAJ	VYBER	7200	20250	\N	\N	\N
533146	1815	1997-07-25	VYDAJ	VYBER	3900	22562	\N	\N	\N
533147	1815	1997-08-24	VYDAJ	VYBER	7000	23659	\N	\N	\N
533148	1815	1997-09-23	VYDAJ	VYBER	6000	25764	\N	\N	\N
533149	1815	1997-10-23	VYDAJ	VYBER	5200	26374	\N	\N	\N
533150	1815	1997-11-22	VYDAJ	VYBER	6300	24189	\N	\N	\N
533151	1815	1997-12-22	VYDAJ	VYBER	7100	34154	\N	\N	\N
533152	1815	1998-01-21	VYDAJ	VYBER	4800	25291	\N	\N	\N
533153	1815	1998-02-20	VYDAJ	VYBER	4700	21792	\N	\N	\N
533154	1815	1998-03-22	VYDAJ	VYBER	6500	18579	\N	\N	\N
533155	1815	1998-04-21	VYDAJ	VYBER	4800	21866	\N	\N	\N
533156	1815	1998-05-21	VYDAJ	VYBER	5900	24055	\N	\N	\N
533157	1815	1998-06-20	VYDAJ	VYBER	9600	29108	\N	\N	\N
533158	1815	1998-07-20	VYDAJ	VYBER	4200	33033	\N	\N	\N
533159	1815	1998-08-19	VYDAJ	VYBER	7100	33066	\N	\N	\N
533160	1815	1998-09-18	VYDAJ	VYBER	10300	30906	\N	\N	\N
533161	1815	1998-10-18	VYDAJ	VYBER	9700	29342	\N	\N	\N
533162	1815	1998-11-17	VYDAJ	VYBER	6800	27567	\N	\N	\N
533231	1816	1993-10-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
533241	1816	1993-10-12	PRIJEM	PREVOD Z UCTU	4236	5236	DUCHOD	IJ	74559592
533242	1816	1993-11-12	PRIJEM	PREVOD Z UCTU	4236	9486	DUCHOD	IJ	74559592
533243	1816	1993-12-12	PRIJEM	PREVOD Z UCTU	4236	13744	DUCHOD	IJ	74559592
533244	1816	1994-01-12	PRIJEM	PREVOD Z UCTU	4236	18002	DUCHOD	IJ	74559592
533245	1816	1994-02-12	PRIJEM	PREVOD Z UCTU	4236	22260	DUCHOD	IJ	74559592
533246	1816	1994-03-12	PRIJEM	PREVOD Z UCTU	4236	23681	DUCHOD	IJ	74559592
533247	1816	1994-04-12	PRIJEM	PREVOD Z UCTU	4236	23174	DUCHOD	IJ	74559592
533248	1816	1994-05-12	PRIJEM	PREVOD Z UCTU	4236	24666	DUCHOD	IJ	74559592
533249	1816	1994-06-12	PRIJEM	PREVOD Z UCTU	4236	24864	DUCHOD	IJ	74559592
533250	1816	1994-07-12	PRIJEM	PREVOD Z UCTU	4236	24962	DUCHOD	IJ	74559592
533251	1816	1994-08-12	PRIJEM	PREVOD Z UCTU	4236	24379	DUCHOD	IJ	74559592
533252	1816	1994-09-12	PRIJEM	PREVOD Z UCTU	4236	23956	DUCHOD	IJ	74559592
533253	1816	1994-10-12	PRIJEM	PREVOD Z UCTU	4236	25451	DUCHOD	IJ	74559592
533254	1816	1994-11-12	PRIJEM	PREVOD Z UCTU	4236	26952	DUCHOD	IJ	74559592
533255	1816	1994-12-12	PRIJEM	PREVOD Z UCTU	4236	27060	DUCHOD	IJ	74559592
533256	1816	1995-01-12	PRIJEM	PREVOD Z UCTU	4236	20987	DUCHOD	IJ	74559592
533257	1816	1995-02-12	PRIJEM	PREVOD Z UCTU	4236	14615	DUCHOD	IJ	74559592
533258	1816	1995-03-12	PRIJEM	PREVOD Z UCTU	4236	16071	DUCHOD	IJ	74559592
533259	1816	1995-04-12	PRIJEM	PREVOD Z UCTU	4236	14732	DUCHOD	IJ	74559592
533260	1816	1995-05-12	PRIJEM	PREVOD Z UCTU	4236	16188	DUCHOD	IJ	74559592
533261	1816	1995-06-12	PRIJEM	PREVOD Z UCTU	4236	17651	DUCHOD	IJ	74559592
533262	1816	1995-07-12	PRIJEM	PREVOD Z UCTU	4236	15353	DUCHOD	IJ	74559592
533263	1816	1995-08-12	PRIJEM	PREVOD Z UCTU	4236	16812	DUCHOD	IJ	74559592
533264	1816	1995-09-12	PRIJEM	PREVOD Z UCTU	4236	18278	DUCHOD	IJ	74559592
533265	1816	1995-10-12	PRIJEM	PREVOD Z UCTU	4236	19749	DUCHOD	IJ	74559592
533266	1816	1995-11-12	PRIJEM	PREVOD Z UCTU	4236	19385	DUCHOD	IJ	74559592
533267	1816	1995-12-12	PRIJEM	PREVOD Z UCTU	4236	18380	DUCHOD	IJ	74559592
533268	1816	1996-01-12	PRIJEM	PREVOD Z UCTU	4236	19502	DUCHOD	IJ	74559592
533269	1816	1996-02-12	PRIJEM	PREVOD Z UCTU	4236	15909	DUCHOD	IJ	74559592
533270	1816	1996-03-12	PRIJEM	PREVOD Z UCTU	4236	16490	DUCHOD	IJ	74559592
533271	1816	1996-04-12	PRIJEM	PREVOD Z UCTU	4236	17952	DUCHOD	IJ	74559592
533272	1816	1996-05-12	PRIJEM	PREVOD Z UCTU	4236	16542	DUCHOD	IJ	74559592
533273	1816	1996-06-12	PRIJEM	PREVOD Z UCTU	4236	18007	DUCHOD	IJ	74559592
533274	1816	1996-07-12	PRIJEM	PREVOD Z UCTU	4236	19477	DUCHOD	IJ	74559592
533275	1816	1996-08-12	PRIJEM	PREVOD Z UCTU	4236	17345	DUCHOD	IJ	74559592
533276	1816	1996-09-12	PRIJEM	PREVOD Z UCTU	4236	18812	DUCHOD	IJ	74559592
533277	1816	1996-10-12	PRIJEM	PREVOD Z UCTU	4236	20285	DUCHOD	IJ	74559592
533278	1816	1996-11-12	PRIJEM	PREVOD Z UCTU	4236	21764	DUCHOD	IJ	74559592
533279	1816	1996-12-12	PRIJEM	PREVOD Z UCTU	4236	17721	DUCHOD	IJ	74559592
533280	1816	1997-01-12	PRIJEM	PREVOD Z UCTU	4236	17428	DUCHOD	IJ	74559592
533281	1816	1997-02-12	PRIJEM	PREVOD Z UCTU	4236	16431	DUCHOD	IJ	74559592
533282	1816	1997-03-12	PRIJEM	PREVOD Z UCTU	4236	17893	DUCHOD	IJ	74559592
533283	1816	1997-04-12	PRIJEM	PREVOD Z UCTU	4236	19362	DUCHOD	IJ	74559592
533284	1816	1997-05-12	PRIJEM	PREVOD Z UCTU	4236	20837	DUCHOD	IJ	74559592
533285	1816	1997-06-12	PRIJEM	PREVOD Z UCTU	4236	18629	DUCHOD	IJ	74559592
533286	1816	1997-07-12	PRIJEM	PREVOD Z UCTU	4236	20101	DUCHOD	IJ	74559592
533287	1816	1997-08-12	PRIJEM	PREVOD Z UCTU	4236	19338	DUCHOD	IJ	74559592
533288	1816	1997-09-12	PRIJEM	PREVOD Z UCTU	4236	20813	DUCHOD	IJ	74559592
533289	1816	1997-10-12	PRIJEM	PREVOD Z UCTU	4236	22293	DUCHOD	IJ	74559592
533290	1816	1997-11-12	PRIJEM	PREVOD Z UCTU	4236	23300	DUCHOD	IJ	74559592
533291	1816	1997-12-12	PRIJEM	PREVOD Z UCTU	4236	22057	DUCHOD	IJ	74559592
533292	1816	1998-01-12	PRIJEM	PREVOD Z UCTU	4236	17792	DUCHOD	IJ	74559592
533293	1816	1998-02-12	PRIJEM	PREVOD Z UCTU	4236	17422	DUCHOD	IJ	74559592
533294	1816	1998-03-12	PRIJEM	PREVOD Z UCTU	4236	18889	DUCHOD	IJ	74559592
533295	1816	1998-04-12	PRIJEM	PREVOD Z UCTU	4236	20361	DUCHOD	IJ	74559592
533296	1816	1998-05-12	PRIJEM	PREVOD Z UCTU	4236	18451	DUCHOD	IJ	74559592
533297	1816	1998-06-12	PRIJEM	PREVOD Z UCTU	4236	17616	DUCHOD	IJ	74559592
533298	1816	1998-07-12	PRIJEM	PREVOD Z UCTU	4236	18081	DUCHOD	IJ	74559592
533299	1816	1998-08-12	PRIJEM	PREVOD Z UCTU	4236	19550	DUCHOD	IJ	74559592
533300	1816	1998-09-12	PRIJEM	PREVOD Z UCTU	4236	17616	DUCHOD	IJ	74559592
533301	1816	1998-10-12	PRIJEM	PREVOD Z UCTU	4236	18362	DUCHOD	IJ	74559592
533302	1816	1998-11-12	PRIJEM	PREVOD Z UCTU	4236	18631	DUCHOD	IJ	74559592
533303	1816	1998-12-12	PRIJEM	PREVOD Z UCTU	4236	19462	DUCHOD	IJ	74559592
533318	1816	1994-03-08	VYDAJ	PREVOD NA UCET	2824	19445	SIPO	MN	50690215
533319	1816	1994-04-08	VYDAJ	PREVOD NA UCET	2824	18938	SIPO	MN	50690215
533320	1816	1994-05-08	VYDAJ	PREVOD NA UCET	2824	20430	SIPO	MN	50690215
533321	1816	1994-06-08	VYDAJ	PREVOD NA UCET	2824	20628	SIPO	MN	50690215
533322	1816	1994-07-08	VYDAJ	PREVOD NA UCET	2824	20726	SIPO	MN	50690215
533323	1816	1994-08-08	VYDAJ	PREVOD NA UCET	2824	20143	SIPO	MN	50690215
533324	1816	1994-09-08	VYDAJ	PREVOD NA UCET	2824	19720	SIPO	MN	50690215
533325	1816	1994-10-08	VYDAJ	PREVOD NA UCET	2824	21215	SIPO	MN	50690215
533326	1816	1994-11-08	VYDAJ	PREVOD NA UCET	2824	22716	SIPO	MN	50690215
533327	1816	1994-12-08	VYDAJ	PREVOD NA UCET	2824	22824	SIPO	MN	50690215
533328	1816	1995-01-08	VYDAJ	PREVOD NA UCET	2824	18031	SIPO	MN	50690215
533329	1816	1995-02-08	VYDAJ	PREVOD NA UCET	2824	10379	SIPO	MN	50690215
533330	1816	1995-03-08	VYDAJ	PREVOD NA UCET	2824	11835	SIPO	MN	50690215
533331	1816	1995-04-08	VYDAJ	PREVOD NA UCET	2824	10496	SIPO	MN	50690215
533332	1816	1995-05-08	VYDAJ	PREVOD NA UCET	2824	11952	SIPO	MN	50690215
533333	1816	1995-06-08	VYDAJ	PREVOD NA UCET	2824	13415	SIPO	MN	50690215
533334	1816	1995-07-08	VYDAJ	PREVOD NA UCET	2824	11117	SIPO	MN	50690215
533335	1816	1995-08-08	VYDAJ	PREVOD NA UCET	2824	12576	SIPO	MN	50690215
533336	1816	1995-09-08	VYDAJ	PREVOD NA UCET	2824	14042	SIPO	MN	50690215
533337	1816	1995-10-08	VYDAJ	PREVOD NA UCET	2824	15513	SIPO	MN	50690215
533338	1816	1995-11-08	VYDAJ	PREVOD NA UCET	2824	15149	SIPO	MN	50690215
533339	1816	1995-12-08	VYDAJ	PREVOD NA UCET	2824	14144	SIPO	MN	50690215
533340	1816	1996-01-08	VYDAJ	PREVOD NA UCET	2824	15266	SIPO	MN	50690215
533341	1816	1996-02-08	VYDAJ	PREVOD NA UCET	2824	11673	SIPO	MN	50690215
533342	1816	1996-03-08	VYDAJ	PREVOD NA UCET	2824	12254	SIPO	MN	50690215
533343	1816	1996-04-08	VYDAJ	PREVOD NA UCET	2824	13716	SIPO	MN	50690215
533344	1816	1996-05-08	VYDAJ	PREVOD NA UCET	2824	12306	SIPO	MN	50690215
533345	1816	1996-06-08	VYDAJ	PREVOD NA UCET	2824	13771	SIPO	MN	50690215
533346	1816	1996-07-08	VYDAJ	PREVOD NA UCET	2824	15241	SIPO	MN	50690215
533347	1816	1996-08-08	VYDAJ	PREVOD NA UCET	2824	13109	SIPO	MN	50690215
533348	1816	1996-09-08	VYDAJ	PREVOD NA UCET	2824	14576	SIPO	MN	50690215
533349	1816	1996-10-08	VYDAJ	PREVOD NA UCET	2824	16049	SIPO	MN	50690215
533350	1816	1996-11-08	VYDAJ	PREVOD NA UCET	2824	17528	SIPO	MN	50690215
533351	1816	1996-12-08	VYDAJ	PREVOD NA UCET	2824	13485	SIPO	MN	50690215
533352	1816	1997-01-08	VYDAJ	PREVOD NA UCET	2824	13192	SIPO	MN	50690215
533353	1816	1997-02-08	VYDAJ	PREVOD NA UCET	2824	12195	SIPO	MN	50690215
533354	1816	1997-03-08	VYDAJ	PREVOD NA UCET	2824	13657	SIPO	MN	50690215
533355	1816	1997-04-08	VYDAJ	PREVOD NA UCET	2824	15126	SIPO	MN	50690215
533356	1816	1997-05-08	VYDAJ	PREVOD NA UCET	2824	16601	SIPO	MN	50690215
533357	1816	1997-06-08	VYDAJ	PREVOD NA UCET	2824	14393	SIPO	MN	50690215
533358	1816	1997-07-08	VYDAJ	PREVOD NA UCET	2824	15865	SIPO	MN	50690215
533359	1816	1997-08-08	VYDAJ	PREVOD NA UCET	2824	15102	SIPO	MN	50690215
533360	1816	1997-09-08	VYDAJ	PREVOD NA UCET	2824	16577	SIPO	MN	50690215
533361	1816	1997-10-08	VYDAJ	PREVOD NA UCET	2824	18057	SIPO	MN	50690215
533362	1816	1997-11-08	VYDAJ	PREVOD NA UCET	2824	19064	SIPO	MN	50690215
533363	1816	1997-12-08	VYDAJ	PREVOD NA UCET	2824	17821	SIPO	MN	50690215
533364	1816	1998-01-08	VYDAJ	PREVOD NA UCET	2824	13556	SIPO	MN	50690215
533365	1816	1998-02-08	VYDAJ	PREVOD NA UCET	2824	13186	SIPO	MN	50690215
533366	1816	1998-03-08	VYDAJ	PREVOD NA UCET	2824	14653	SIPO	MN	50690215
533367	1816	1998-04-08	VYDAJ	PREVOD NA UCET	2824	16125	SIPO	MN	50690215
533368	1816	1998-05-08	VYDAJ	PREVOD NA UCET	2824	14215	SIPO	MN	50690215
533369	1816	1998-06-08	VYDAJ	PREVOD NA UCET	2824	13380	SIPO	MN	50690215
533370	1816	1998-07-08	VYDAJ	PREVOD NA UCET	2824	13845	SIPO	MN	50690215
533371	1816	1998-08-08	VYDAJ	PREVOD NA UCET	2824	15314	SIPO	MN	50690215
533372	1816	1998-09-08	VYDAJ	PREVOD NA UCET	2824	13380	SIPO	MN	50690215
533373	1816	1998-10-08	VYDAJ	PREVOD NA UCET	2824	14126	SIPO	MN	50690215
533374	1816	1998-11-08	VYDAJ	PREVOD NA UCET	2824	15595	SIPO	MN	50690215
533375	1816	1998-12-08	VYDAJ	PREVOD NA UCET	2824	15226	SIPO	MN	50690215
533384	1816	1995-01-23	VYDAJ	VYBER	4250	16017	\N	\N	\N
533385	1816	1996-01-19	VYDAJ	VYBER	2100	14842	\N	\N	\N
533386	1816	1997-01-25	VYDAJ	VYBER	700	14968	\N	\N	\N
533387	1816	1998-01-01	VYDAJ	VYBER	2450	19180	\N	\N	\N
533389	1816	1994-12-30	VYDAJ	VYBER	1100	24280	\N	\N	\N
533390	1816	1995-12-22	VYDAJ	VYBER	350	18030	\N	\N	\N
533391	1816	1996-12-18	VYDAJ	VYBER	400	17321	\N	\N	\N
533392	1816	1997-12-07	VYDAJ	VYBER	1250	20645	\N	\N	\N
533393	1816	1998-12-16	VYDAJ	VYBER	350	19112	\N	\N	\N
533406	1816	1995-01-18	VYDAJ	VYBER	720	20267	\N	\N	\N
533407	1816	1995-01-07	VYDAJ	VYBER	1680	20855	\N	\N	\N
533408	1816	1995-01-25	VYDAJ	VYBER	640	15377	\N	\N	\N
533409	1816	1995-01-30	VYDAJ	VYBER	2240	13137	\N	\N	\N
533410	1816	1995-01-08	VYDAJ	VYBER	1280	16751	\N	\N	\N
533411	1816	1995-01-07	VYDAJ	VYBER	1840	22535	\N	\N	\N
533413	1816	1996-01-22	VYDAJ	VYBER	400	14442	\N	\N	\N
533414	1816	1996-01-17	VYDAJ	VYBER	1520	16942	\N	\N	\N
533415	1816	1996-01-13	VYDAJ	VYBER	1040	18462	\N	\N	\N
533418	1816	1997-01-17	VYDAJ	VYBER	1760	15668	\N	\N	\N
533420	1816	1997-01-08	VYDAJ	VYBER	960	16016	\N	\N	\N
533422	1816	1997-01-04	VYDAJ	VYBER	400	16976	\N	\N	\N
533424	1816	1998-01-04	VYDAJ	VYBER	960	18220	\N	\N	\N
533425	1816	1998-01-08	VYDAJ	VYBER	1840	16380	\N	\N	\N
533427	1816	1998-01-12	VYDAJ	VYBER	1840	15952	\N	\N	\N
533433	1816	1994-09-02	VYDAJ	VYBER	1920	22544	\N	\N	\N
533434	1816	1994-12-12	VYDAJ	VYBER	1680	25380	\N	\N	\N
533435	1816	1994-03-27	VYDAJ	VYBER	2000	21681	\N	\N	\N
533436	1816	1994-07-23	VYDAJ	VYBER	2080	22882	\N	\N	\N
533439	1816	1995-12-02	VYDAJ	VYBER	2480	16968	\N	\N	\N
533440	1816	1995-03-27	VYDAJ	VYBER	2800	13271	\N	\N	\N
533441	1816	1995-06-20	VYDAJ	VYBER	3760	13891	\N	\N	\N
533443	1816	1995-10-27	VYDAJ	VYBER	1840	17909	\N	\N	\N
533444	1816	1996-05-07	VYDAJ	VYBER	2880	15130	\N	\N	\N
533445	1816	1996-07-17	VYDAJ	VYBER	3600	15877	\N	\N	\N
533446	1816	1996-03-03	VYDAJ	VYBER	880	15078	\N	\N	\N
533447	1816	1996-11-20	VYDAJ	VYBER	2080	16244	\N	\N	\N
533448	1816	1996-11-19	VYDAJ	VYBER	3440	18324	\N	\N	\N
533449	1816	1997-11-04	VYDAJ	VYBER	480	21888	\N	\N	\N
533450	1816	1997-11-17	VYDAJ	VYBER	880	21820	\N	\N	\N
533451	1816	1997-07-29	VYDAJ	VYBER	2240	17861	\N	\N	\N
533452	1816	1997-05-21	VYDAJ	VYBER	560	17157	\N	\N	\N
533453	1816	1997-05-12	VYDAJ	VYBER	3120	17717	\N	\N	\N
533454	1816	1998-10-01	VYDAJ	VYBER	720	16950	\N	\N	\N
533456	1816	1998-04-13	VYDAJ	VYBER	2880	17481	\N	\N	\N
533457	1816	1998-11-21	VYDAJ	VYBER	640	17991	\N	\N	\N
533472	1816	1994-02-28	VYDAJ	VYBER	15	22269	SLUZBY	\N	\N
533473	1816	1994-03-31	VYDAJ	VYBER	15	21762	SLUZBY	\N	\N
533474	1816	1994-04-30	VYDAJ	VYBER	15	23254	SLUZBY	\N	\N
533475	1816	1994-05-31	VYDAJ	VYBER	15	24752	SLUZBY	\N	\N
533476	1816	1994-06-30	VYDAJ	VYBER	15	24950	SLUZBY	\N	\N
533477	1816	1994-07-31	VYDAJ	VYBER	15	22967	SLUZBY	\N	\N
533478	1816	1994-08-31	VYDAJ	VYBER	15	24464	SLUZBY	\N	\N
533479	1816	1994-09-30	VYDAJ	VYBER	15	24039	SLUZBY	\N	\N
533480	1816	1994-10-31	VYDAJ	VYBER	15	25540	SLUZBY	\N	\N
533481	1816	1994-11-30	VYDAJ	VYBER	15	27048	SLUZBY	\N	\N
533482	1816	1994-12-31	VYDAJ	VYBER	15	24375	SLUZBY	\N	\N
533483	1816	1995-01-31	VYDAJ	VYBER	15	13203	SLUZBY	\N	\N
533484	1816	1995-02-28	VYDAJ	VYBER	15	14659	SLUZBY	\N	\N
533485	1816	1995-03-31	VYDAJ	VYBER	15	13320	SLUZBY	\N	\N
533486	1816	1995-04-30	VYDAJ	VYBER	15	14776	SLUZBY	\N	\N
533487	1816	1995-05-31	VYDAJ	VYBER	15	16239	SLUZBY	\N	\N
533488	1816	1995-06-30	VYDAJ	VYBER	15	13941	SLUZBY	\N	\N
533489	1816	1995-07-31	VYDAJ	VYBER	15	15400	SLUZBY	\N	\N
533490	1816	1995-08-31	VYDAJ	VYBER	15	16866	SLUZBY	\N	\N
533491	1816	1995-09-30	VYDAJ	VYBER	15	18337	SLUZBY	\N	\N
533492	1816	1995-10-31	VYDAJ	VYBER	15	17973	SLUZBY	\N	\N
533493	1816	1995-11-30	VYDAJ	VYBER	15	19448	SLUZBY	\N	\N
533494	1816	1995-12-31	VYDAJ	VYBER	15	18090	SLUZBY	\N	\N
533495	1816	1996-01-31	VYDAJ	VYBER	15	14497	SLUZBY	\N	\N
533496	1816	1996-02-29	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
533497	1816	1996-03-31	VYDAJ	VYBER	15	16540	SLUZBY	\N	\N
533498	1816	1996-04-30	VYDAJ	VYBER	15	18010	SLUZBY	\N	\N
533499	1816	1996-05-31	VYDAJ	VYBER	15	16595	SLUZBY	\N	\N
533500	1816	1996-06-30	VYDAJ	VYBER	15	18065	SLUZBY	\N	\N
533501	1816	1996-07-31	VYDAJ	VYBER	15	15933	SLUZBY	\N	\N
533502	1816	1996-08-31	VYDAJ	VYBER	15	17400	SLUZBY	\N	\N
533503	1816	1996-09-30	VYDAJ	VYBER	15	18873	SLUZBY	\N	\N
533504	1816	1996-10-31	VYDAJ	VYBER	15	20352	SLUZBY	\N	\N
533505	1816	1996-11-30	VYDAJ	VYBER	15	16309	SLUZBY	\N	\N
533506	1816	1996-12-31	VYDAJ	VYBER	15	17376	SLUZBY	\N	\N
533507	1816	1997-01-31	VYDAJ	VYBER	15	15019	SLUZBY	\N	\N
533508	1816	1997-02-28	VYDAJ	VYBER	15	16481	SLUZBY	\N	\N
533509	1816	1997-03-31	VYDAJ	VYBER	15	17950	SLUZBY	\N	\N
533510	1816	1997-04-30	VYDAJ	VYBER	15	19425	SLUZBY	\N	\N
533511	1816	1997-05-31	VYDAJ	VYBER	15	17217	SLUZBY	\N	\N
533512	1816	1997-06-30	VYDAJ	VYBER	15	18689	SLUZBY	\N	\N
533513	1816	1997-07-31	VYDAJ	VYBER	15	17926	SLUZBY	\N	\N
533514	1816	1997-08-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
533515	1816	1997-09-30	VYDAJ	VYBER	15	20881	SLUZBY	\N	\N
533516	1816	1997-10-31	VYDAJ	VYBER	15	22368	SLUZBY	\N	\N
533517	1816	1997-11-30	VYDAJ	VYBER	15	21895	SLUZBY	\N	\N
533518	1816	1997-12-31	VYDAJ	VYBER	15	21630	SLUZBY	\N	\N
533519	1816	1998-01-31	VYDAJ	VYBER	15	16010	SLUZBY	\N	\N
533520	1816	1998-02-28	VYDAJ	VYBER	15	17477	SLUZBY	\N	\N
533521	1816	1998-03-31	VYDAJ	VYBER	15	18949	SLUZBY	\N	\N
533522	1816	1998-04-30	VYDAJ	VYBER	15	17039	SLUZBY	\N	\N
533523	1816	1998-05-31	VYDAJ	VYBER	15	16204	SLUZBY	\N	\N
533524	1816	1998-06-30	VYDAJ	VYBER	15	16669	SLUZBY	\N	\N
533525	1816	1998-07-31	VYDAJ	VYBER	15	18138	SLUZBY	\N	\N
533526	1816	1998-08-31	VYDAJ	VYBER	15	16204	SLUZBY	\N	\N
533527	1816	1998-09-30	VYDAJ	VYBER	15	17670	SLUZBY	\N	\N
533528	1816	1998-10-31	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
533529	1816	1998-11-30	VYDAJ	VYBER	15	18050	SLUZBY	\N	\N
533530	1816	1994-06-05	VYDAJ	VYBER	1300	23452	\N	\N	\N
533531	1816	1994-07-05	VYDAJ	VYBER	1400	23550	\N	\N	\N
533532	1816	1994-12-02	VYDAJ	VYBER	1400	25648	\N	\N	\N
533533	1816	1997-11-16	VYDAJ	VYBER	600	22700	\N	\N	\N
533534	1816	1997-12-16	VYDAJ	VYBER	500	21557	\N	\N	\N
533535	1816	1998-04-15	VYDAJ	VYBER	500	16981	\N	\N	\N
533536	1816	1998-05-15	VYDAJ	VYBER	2300	16151	\N	\N	\N
533537	1816	1998-06-14	VYDAJ	VYBER	1000	16616	\N	\N	\N
533538	1816	1998-08-13	VYDAJ	VYBER	3400	16150	\N	\N	\N
533539	1816	1998-11-11	VYDAJ	VYBER	1200	14395	\N	\N	\N
533603	1817	1996-12-16	PRIJEM	VKLAD	700	700	\N	\N	\N
533616	1817	1997-01-13	PRIJEM	VKLAD	20167	20867	\N	\N	\N
533617	1817	1997-02-13	PRIJEM	VKLAD	20167	41382	\N	\N	\N
533618	1817	1997-03-13	PRIJEM	VKLAD	20167	51159	\N	\N	\N
533619	1817	1997-04-13	PRIJEM	VKLAD	20167	60976	\N	\N	\N
533620	1817	1997-05-13	PRIJEM	VKLAD	20167	62816	\N	\N	\N
533621	1817	1997-06-13	PRIJEM	VKLAD	30250	63488	\N	\N	\N
533622	1817	1997-07-13	PRIJEM	VKLAD	20167	56988	\N	\N	\N
533623	1817	1997-08-13	PRIJEM	VKLAD	20167	61474	\N	\N	\N
533624	1817	1997-09-13	PRIJEM	VKLAD	20167	50454	\N	\N	\N
533625	1817	1997-10-13	PRIJEM	VKLAD	20167	54737	\N	\N	\N
533626	1817	1997-11-13	PRIJEM	VKLAD	20167	54137	\N	\N	\N
533627	1817	1997-12-13	PRIJEM	VKLAD	30250	64725	\N	\N	\N
533628	1817	1998-01-13	PRIJEM	VKLAD	20167	56562	\N	\N	\N
533629	1817	1998-02-13	PRIJEM	VKLAD	20167	52681	\N	\N	\N
533630	1817	1998-03-13	PRIJEM	VKLAD	20167	54986	\N	\N	\N
533631	1817	1998-04-13	PRIJEM	VKLAD	20167	56996	\N	\N	\N
533632	1817	1998-05-13	PRIJEM	VKLAD	20167	56214	\N	\N	\N
533633	1817	1998-06-13	PRIJEM	VKLAD	30250	47208	\N	\N	\N
533634	1817	1998-07-13	PRIJEM	VKLAD	20167	51091	\N	\N	\N
533635	1817	1998-08-13	PRIJEM	VKLAD	20167	56382	\N	\N	\N
533636	1817	1998-09-13	PRIJEM	VKLAD	20167	61688	\N	\N	\N
533637	1817	1998-10-13	PRIJEM	VKLAD	20167	65314	\N	\N	\N
533638	1817	1998-11-13	PRIJEM	VKLAD	20167	66164	\N	\N	\N
533639	1817	1998-12-13	PRIJEM	VKLAD	30250	74896	\N	\N	\N
533656	1817	1997-05-14	VYDAJ	PREVOD NA UCET	9131	53685	SIPO	CD	57132309
533657	1817	1997-06-14	VYDAJ	PREVOD NA UCET	9131	44257	SIPO	CD	57132309
533658	1817	1997-07-14	VYDAJ	PREVOD NA UCET	9131	47857	SIPO	CD	57132309
533659	1817	1997-08-14	VYDAJ	PREVOD NA UCET	9131	34643	SIPO	CD	57132309
533660	1817	1997-09-14	VYDAJ	PREVOD NA UCET	9131	41323	SIPO	CD	57132309
533661	1817	1997-10-14	VYDAJ	PREVOD NA UCET	9131	45606	SIPO	CD	57132309
533662	1817	1997-11-14	VYDAJ	PREVOD NA UCET	9131	45006	SIPO	CD	57132309
533663	1817	1997-12-14	VYDAJ	PREVOD NA UCET	9131	55594	SIPO	CD	57132309
533664	1817	1998-01-14	VYDAJ	PREVOD NA UCET	9131	47431	SIPO	CD	57132309
533665	1817	1998-02-14	VYDAJ	PREVOD NA UCET	9131	43550	SIPO	CD	57132309
533666	1817	1998-03-14	VYDAJ	PREVOD NA UCET	9131	45855	SIPO	CD	57132309
533667	1817	1998-04-14	VYDAJ	PREVOD NA UCET	9131	47865	SIPO	CD	57132309
533668	1817	1998-05-14	VYDAJ	PREVOD NA UCET	9131	47083	SIPO	CD	57132309
533669	1817	1998-06-14	VYDAJ	PREVOD NA UCET	9131	38077	SIPO	CD	57132309
533670	1817	1998-07-14	VYDAJ	PREVOD NA UCET	9131	41960	SIPO	CD	57132309
533671	1817	1998-08-14	VYDAJ	PREVOD NA UCET	9131	47251	SIPO	CD	57132309
533672	1817	1998-09-14	VYDAJ	PREVOD NA UCET	9131	52557	SIPO	CD	57132309
533673	1817	1998-10-14	VYDAJ	PREVOD NA UCET	9131	56183	SIPO	CD	57132309
533674	1817	1998-11-14	VYDAJ	PREVOD NA UCET	9131	57033	SIPO	CD	57132309
533675	1817	1998-12-14	VYDAJ	PREVOD NA UCET	9131	65765	SIPO	CD	57132309
533677	1817	1997-06-10	VYDAJ	VYBER	4400	33238	\N	\N	\N
533678	1817	1998-06-11	VYDAJ	VYBER	15300	16958	\N	\N	\N
533680	1817	1997-12-29	VYDAJ	VYBER	900	54694	\N	\N	\N
533681	1817	1998-12-22	VYDAJ	VYBER KARTOU	500	65265	\N	\N	0
533694	1817	1998-01-01	VYDAJ	VYBER	1000	53895	\N	\N	\N
533695	1817	1998-01-29	VYDAJ	VYBER	900	43731	\N	\N	\N
533696	1817	1998-01-19	VYDAJ	VYBER	1400	46031	\N	\N	\N
533697	1817	1998-01-28	VYDAJ	VYBER	1400	44631	\N	\N	\N
533698	1817	1998-01-08	VYDAJ	VYBER	1000	52295	\N	\N	\N
533699	1817	1998-01-03	VYDAJ	VYBER	600	53295	\N	\N	\N
533703	1817	1997-06-21	VYDAJ	VYBER	2700	41557	\N	\N	\N
533705	1817	1997-09-04	VYDAJ	VYBER	4000	30787	\N	\N	\N
533706	1817	1997-06-28	VYDAJ	VYBER	4900	36657	\N	\N	\N
533707	1817	1997-10-22	VYDAJ	VYBER	4200	41406	\N	\N	\N
533708	1817	1998-08-23	VYDAJ	VYBER KARTOU	4000	43251	\N	\N	0
533709	1817	1998-12-29	VYDAJ	VYBER	4600	60665	\N	\N	\N
533710	1817	1998-04-26	VYDAJ	VYBER KARTOU	1100	46765	\N	\N	0
533711	1817	1998-05-16	VYDAJ	VYBER KARTOU	3300	43783	\N	\N	0
533712	1817	1998-12-30	VYDAJ	VYBER KARTOU	900	59765	\N	\N	0
533713	1817	1998-11-04	VYDAJ	VYBER KARTOU	2800	53597	\N	\N	0
533731	1817	1997-05-31	VYDAJ	VYBER	15	37638	SLUZBY	\N	\N
533732	1817	1997-06-30	VYDAJ	VYBER	15	36821	SLUZBY	\N	\N
533733	1817	1997-07-31	VYDAJ	VYBER	15	41307	SLUZBY	\N	\N
533734	1817	1997-08-31	VYDAJ	VYBER	15	34787	SLUZBY	\N	\N
533735	1817	1997-09-30	VYDAJ	VYBER	15	41470	SLUZBY	\N	\N
533736	1817	1997-10-31	VYDAJ	VYBER	15	41570	SLUZBY	\N	\N
533737	1817	1997-11-30	VYDAJ	VYBER	15	45175	SLUZBY	\N	\N
533738	1817	1997-12-31	VYDAJ	VYBER	15	54895	SLUZBY	\N	\N
533739	1817	1998-01-31	VYDAJ	VYBER	15	43914	SLUZBY	\N	\N
533740	1817	1998-02-28	VYDAJ	VYBER	15	43719	SLUZBY	\N	\N
533741	1817	1998-03-31	VYDAJ	VYBER	15	46029	SLUZBY	\N	\N
533742	1817	1998-04-30	VYDAJ	VYBER	15	46947	SLUZBY	\N	\N
533743	1817	1998-05-31	VYDAJ	VYBER	15	43958	SLUZBY	\N	\N
533744	1817	1998-06-30	VYDAJ	VYBER	15	38224	SLUZBY	\N	\N
533745	1817	1998-07-31	VYDAJ	VYBER	15	42115	SLUZBY	\N	\N
533746	1817	1998-08-31	VYDAJ	VYBER	15	43421	SLUZBY	\N	\N
533747	1817	1998-09-30	VYDAJ	VYBER	15	52747	SLUZBY	\N	\N
533748	1817	1998-10-31	VYDAJ	VYBER	15	56397	SLUZBY	\N	\N
533749	1817	1998-11-30	VYDAJ	VYBER	15	57246	SLUZBY	\N	\N
533750	1817	1997-01-15	PRIJEM	VKLAD	300	21167	\N	\N	\N
533751	1817	1997-02-14	VYDAJ	VYBER	10500	30882	\N	\N	\N
533752	1817	1997-03-16	VYDAJ	VYBER	10500	40659	\N	\N	\N
533753	1817	1997-04-15	VYDAJ	VYBER	18500	42476	\N	\N	\N
533754	1817	1997-05-15	VYDAJ	VYBER	16200	37485	\N	\N	\N
533755	1817	1997-06-14	VYDAJ	VYBER	10100	53388	\N	\N	\N
533756	1817	1997-07-14	VYDAJ	VYBER	6700	41157	\N	\N	\N
533757	1817	1997-08-13	VYDAJ	VYBER	17700	43774	\N	\N	\N
533758	1817	1997-09-12	VYDAJ	VYBER	500	30287	\N	\N	\N
533759	1817	1997-10-12	VYDAJ	VYBER	6900	34570	\N	\N	\N
533760	1817	1997-11-11	VYDAJ	VYBER	7600	33970	\N	\N	\N
533761	1817	1997-12-11	VYDAJ	VYBER	10700	34475	\N	\N	\N
533762	1817	1998-01-10	VYDAJ	VYBER	15900	36395	\N	\N	\N
533763	1817	1998-02-09	VYDAJ	VYBER	11400	32514	\N	\N	\N
533764	1817	1998-03-11	VYDAJ	VYBER	8900	34819	\N	\N	\N
533765	1817	1998-04-10	VYDAJ	VYBER	9200	36829	\N	\N	\N
533766	1817	1998-05-10	VYDAJ	VYBER	10900	36047	\N	\N	\N
533767	1817	1998-06-09	VYDAJ	VYBER	11700	32258	\N	\N	\N
533768	1817	1998-07-09	VYDAJ	VYBER	7300	30924	\N	\N	\N
533769	1817	1998-08-08	VYDAJ	VYBER	5900	36215	\N	\N	\N
533770	1817	1998-09-07	VYDAJ	VYBER KARTOU	1900	41521	\N	\N	0
533771	1817	1998-10-07	VYDAJ	VYBER	7600	45147	\N	\N	\N
533772	1817	1998-11-06	VYDAJ	VYBER	7600	45997	\N	\N	\N
533773	1817	1998-12-06	VYDAJ	VYBER	12600	44646	\N	\N	\N
533798	1818	1997-02-25	PRIJEM	VKLAD	300	300	\N	\N	\N
533801	1818	1997-03-10	PRIJEM	VKLAD	16650	16950	\N	\N	\N
533802	1818	1997-04-10	PRIJEM	VKLAD	16650	37614	\N	\N	\N
533803	1818	1997-05-10	PRIJEM	VKLAD	16650	51261	\N	\N	\N
533804	1818	1997-06-10	PRIJEM	VKLAD	24975	64584	\N	\N	\N
533805	1818	1997-07-10	PRIJEM	VKLAD	16650	67407	\N	\N	\N
533806	1818	1997-08-10	PRIJEM	VKLAD	16650	69089	\N	\N	\N
533807	1818	1997-09-10	PRIJEM	VKLAD	16650	72346	\N	\N	\N
533808	1818	1997-10-10	PRIJEM	VKLAD	16650	75518	\N	\N	\N
533809	1818	1997-11-10	PRIJEM	VKLAD	16650	77000	\N	\N	\N
533810	1818	1997-12-10	PRIJEM	VKLAD	24975	79888	\N	\N	\N
533811	1818	1998-01-10	PRIJEM	VKLAD	16650	74199	\N	\N	\N
533812	1818	1998-02-10	PRIJEM	VKLAD	16650	61855	\N	\N	\N
533813	1818	1998-03-10	PRIJEM	VKLAD	16650	57518	\N	\N	\N
533814	1818	1998-04-10	PRIJEM	VKLAD	16650	58524	\N	\N	\N
533815	1818	1998-05-10	PRIJEM	VKLAD	16650	55020	\N	\N	\N
533816	1818	1998-06-10	PRIJEM	VKLAD	24975	64241	\N	\N	\N
533817	1818	1998-07-10	PRIJEM	VKLAD	16650	55964	\N	\N	\N
533818	1818	1998-08-10	PRIJEM	VKLAD	16650	55061	\N	\N	\N
533819	1818	1998-09-10	PRIJEM	VKLAD	16650	53152	\N	\N	\N
533820	1818	1998-10-10	PRIJEM	VKLAD	16650	52738	\N	\N	\N
533821	1818	1998-11-10	PRIJEM	VKLAD	16650	54326	\N	\N	\N
533822	1818	1998-12-10	PRIJEM	VKLAD	24975	63507	\N	\N	\N
533825	1818	1997-12-05	VYDAJ	VYBER	2720	54913	\N	\N	\N
533826	1818	1998-12-27	VYDAJ	VYBER	1920	38447	\N	\N	\N
533829	1818	1997-09-23	VYDAJ	VYBER	1200	58646	\N	\N	\N
533830	1818	1997-07-10	VYDAJ	VYBER	600	66807	\N	\N	\N
533831	1818	1998-02-16	VYDAJ	VYBER	4080	57775	\N	\N	\N
533832	1818	1998-11-29	VYDAJ	VYBER	1440	38386	\N	\N	\N
533833	1818	1998-02-05	VYDAJ	VYBER	2280	45205	\N	\N	\N
533834	1818	1998-12-16	VYDAJ	VYBER	5040	58467	\N	\N	\N
533835	1818	1998-06-26	VYDAJ	VYBER	5280	39161	\N	\N	\N
533836	1818	1998-01-11	VYDAJ	VYBER	5040	69159	\N	\N	\N
533837	1818	1998-04-14	VYDAJ	VYBER	5520	53004	\N	\N	\N
533845	1818	1997-07-31	VYDAJ	VYBER	15	52439	SLUZBY	\N	\N
533846	1818	1997-08-31	VYDAJ	VYBER	15	55696	SLUZBY	\N	\N
533847	1818	1997-09-30	VYDAJ	VYBER	15	58868	SLUZBY	\N	\N
533848	1818	1997-10-31	VYDAJ	VYBER	15	60350	SLUZBY	\N	\N
533849	1818	1997-11-30	VYDAJ	VYBER	15	57633	SLUZBY	\N	\N
533850	1818	1997-12-31	VYDAJ	VYBER	15	57549	SLUZBY	\N	\N
533851	1818	1998-01-31	VYDAJ	VYBER	15	47485	SLUZBY	\N	\N
533852	1818	1998-02-28	VYDAJ	VYBER	15	40868	SLUZBY	\N	\N
533853	1818	1998-03-31	VYDAJ	VYBER	15	41874	SLUZBY	\N	\N
533854	1818	1998-04-30	VYDAJ	VYBER	15	38370	SLUZBY	\N	\N
533855	1818	1998-05-31	VYDAJ	VYBER	15	39266	SLUZBY	\N	\N
533856	1818	1998-06-30	VYDAJ	VYBER	15	39314	SLUZBY	\N	\N
533857	1818	1998-07-31	VYDAJ	VYBER	15	38411	SLUZBY	\N	\N
533858	1818	1998-08-31	VYDAJ	VYBER	15	36502	SLUZBY	\N	\N
533859	1818	1998-09-30	VYDAJ	VYBER	15	36088	SLUZBY	\N	\N
533860	1818	1998-10-31	VYDAJ	VYBER	15	37676	SLUZBY	\N	\N
533861	1818	1998-11-30	VYDAJ	VYBER	15	38532	SLUZBY	\N	\N
533862	1818	1997-03-27	PRIJEM	VKLAD	4000	20950	\N	\N	\N
533863	1818	1997-04-26	VYDAJ	VYBER	3100	34514	\N	\N	\N
533864	1818	1997-05-26	VYDAJ	VYBER	11800	39461	\N	\N	\N
533865	1818	1997-06-25	VYDAJ	VYBER	14000	50584	\N	\N	\N
533866	1818	1997-07-25	VYDAJ	VYBER	14600	52207	\N	\N	\N
533867	1818	1997-08-24	VYDAJ	VYBER	13600	55489	\N	\N	\N
533868	1818	1997-09-23	VYDAJ	VYBER	12500	59846	\N	\N	\N
533869	1818	1997-10-23	VYDAJ	VYBER	15400	60118	\N	\N	\N
533870	1818	1997-11-22	VYDAJ	VYBER	19600	57400	\N	\N	\N
533871	1818	1997-12-22	VYDAJ	VYBER	22600	57288	\N	\N	\N
533872	1818	1998-01-21	VYDAJ	VYBER	21900	47259	\N	\N	\N
533873	1818	1998-02-20	VYDAJ	VYBER	17100	40675	\N	\N	\N
533874	1818	1998-03-22	VYDAJ	VYBER	15800	41718	\N	\N	\N
533875	1818	1998-04-21	VYDAJ	VYBER	14800	38204	\N	\N	\N
533876	1818	1998-05-21	VYDAJ	VYBER	15900	39120	\N	\N	\N
533877	1818	1998-06-20	VYDAJ	VYBER	19800	44441	\N	\N	\N
533878	1818	1998-07-20	VYDAJ	VYBER	17700	38264	\N	\N	\N
533879	1818	1998-08-19	VYDAJ	VYBER	18700	36361	\N	\N	\N
533880	1818	1998-09-18	VYDAJ	VYBER	17200	35952	\N	\N	\N
533881	1818	1998-10-18	VYDAJ	VYBER	15200	37538	\N	\N	\N
533882	1818	1998-11-17	VYDAJ	VYBER	14500	39826	\N	\N	\N
533883	1818	1998-12-17	VYDAJ	VYBER	18100	40367	\N	\N	\N
533906	1819	1996-10-21	PRIJEM	VKLAD	700	700	\N	\N	\N
533911	1819	1996-12-16	PRIJEM	VKLAD	48125	82796	\N	\N	\N
533914	1819	1996-11-09	PRIJEM	VKLAD	38818	39518	\N	\N	\N
533915	1819	1996-12-25	PRIJEM	VKLAD	17515	69711	\N	\N	\N
533919	1819	1997-06-09	PRIJEM	VKLAD	10350	41440	\N	\N	\N
533920	1819	1997-02-25	PRIJEM	VKLAD	18873	51763	\N	\N	\N
533921	1819	1997-07-25	PRIJEM	VKLAD	24701	52183	\N	\N	\N
533922	1819	1998-10-10	PRIJEM	VKLAD	29325	103407	\N	\N	\N
533923	1819	1998-10-08	PRIJEM	VKLAD	18048	74082	\N	\N	\N
533924	1819	1998-06-20	PRIJEM	VKLAD	14123	45007	\N	\N	\N
533925	1819	1998-12-12	PRIJEM	VKLAD	24424	73486	\N	\N	\N
533926	1819	1998-08-22	PRIJEM	VKLAD	10267	52394	\N	\N	\N
533927	1819	1998-10-01	PRIJEM	VKLAD	23574	46744	\N	\N	\N
533928	1819	1998-01-20	PRIJEM	VKLAD	37358	61380	\N	\N	\N
533929	1819	1998-02-08	PRIJEM	VKLAD	40045	80009	\N	\N	\N
533930	1819	1998-02-28	PRIJEM	VKLAD	29438	102518	\N	\N	\N
533931	1819	1998-04-11	PRIJEM	VKLAD	48330	125319	\N	\N	\N
533932	1819	1998-06-17	PRIJEM	VKLAD	10065	30884	\N	\N	\N
533933	1819	1998-10-25	PRIJEM	VKLAD	18569	82734	\N	\N	\N
533934	1819	1998-01-18	PRIJEM	VKLAD	8639	24022	\N	\N	\N
533935	1819	1998-10-08	PRIJEM	VKLAD	18509	56034	\N	\N	\N
533936	1819	1998-06-21	PRIJEM	VKLAD	32987	77994	\N	\N	\N
533937	1819	1998-02-17	PRIJEM	VKLAD	11698	72787	\N	\N	\N
533938	1819	1998-10-12	PRIJEM	VKLAD	8185	68156	\N	\N	\N
533939	1819	1998-07-16	PRIJEM	VKLAD	26945	74902	\N	\N	\N
533940	1819	1998-11-19	PRIJEM	VKLAD	41637	84553	\N	\N	\N
533941	1819	1998-03-30	PRIJEM	VKLAD	24022	87150	\N	\N	\N
533942	1819	1998-02-09	PRIJEM	VKLAD	24406	104415	\N	\N	\N
533943	1819	1998-04-16	PRIJEM	VKLAD	40615	94743	\N	\N	\N
533944	1819	1998-01-08	PRIJEM	VKLAD	8789	17710	\N	\N	\N
533945	1819	1998-12-26	PRIJEM	VKLAD	35527	105022	\N	\N	\N
533946	1819	1998-07-14	PRIJEM	VKLAD	12148	47957	\N	\N	\N
533947	1819	1998-08-11	PRIJEM	VKLAD	13133	69517	\N	\N	\N
533948	1819	1998-03-17	PRIJEM	VKLAD	11986	63128	\N	\N	\N
533966	1819	1997-06-11	VYDAJ	VYBER	4200	36004	\N	\N	0
533967	1819	1997-07-19	VYDAJ	VYBER	2400	27482	\N	\N	0
533968	1819	1997-08-28	VYDAJ	VYBER	3200	27158	\N	\N	0
533969	1819	1997-09-15	VYDAJ	VYBER	3900	12939	\N	\N	0
533970	1819	1997-10-10	VYDAJ	VYBER	3200	5538	\N	\N	0
533972	1819	1997-12-07	VYDAJ	VYBER	3300	8607	\N	\N	0
533973	1819	1998-01-12	VYDAJ	PREVOD NA UCET	3991	12483	UVER	UV	82792853
533974	1819	1998-02-12	VYDAJ	PREVOD NA UCET	3991	99189	UVER	UV	82792853
533975	1819	1998-03-12	VYDAJ	PREVOD NA UCET	3991	86542	UVER	UV	82792853
533976	1819	1998-04-12	VYDAJ	PREVOD NA UCET	3991	105428	UVER	UV	82792853
533977	1819	1998-05-12	VYDAJ	PREVOD NA UCET	3991	80640	UVER	UV	82792853
533978	1819	1998-06-12	VYDAJ	PREVOD NA UCET	3991	20819	UVER	UV	82792853
533979	1819	1998-07-12	VYDAJ	PREVOD NA UCET	3991	63709	UVER	UV	82792853
533980	1819	1998-08-12	VYDAJ	PREVOD NA UCET	3991	65527	UVER	UV	82792853
533981	1819	1998-09-12	VYDAJ	PREVOD NA UCET	3991	23069	UVER	UV	82792853
533982	1819	1998-10-12	VYDAJ	PREVOD NA UCET	3991	64165	UVER	UV	82792853
533983	1819	1998-11-12	VYDAJ	PREVOD NA UCET	3991	42916	UVER	UV	82792853
533984	1819	1998-12-12	VYDAJ	PREVOD NA UCET	3991	69495	UVER	UV	82792853
534003	1819	1997-07-07	VYDAJ	PREVOD NA UCET	966	22818	SIPO	OP	78877323
534004	1819	1997-08-07	VYDAJ	PREVOD NA UCET	966	43068	SIPO	OP	78877323
534005	1819	1997-09-07	VYDAJ	PREVOD NA UCET	966	18075	SIPO	OP	78877323
534006	1819	1997-10-07	VYDAJ	PREVOD NA UCET	966	9974	SIPO	OP	78877323
534007	1819	1997-11-07	VYDAJ	PREVOD NA UCET	966	9656	SIPO	OP	78877323
534008	1819	1997-12-07	VYDAJ	PREVOD NA UCET	966	7641	SIPO	OP	78877323
534009	1819	1998-01-07	VYDAJ	PREVOD NA UCET	966	8921	SIPO	OP	78877323
534010	1819	1998-02-07	VYDAJ	PREVOD NA UCET	966	39964	SIPO	OP	78877323
534011	1819	1998-03-07	VYDAJ	PREVOD NA UCET	966	91769	SIPO	OP	78877323
534012	1819	1998-04-07	VYDAJ	PREVOD NA UCET	966	78225	SIPO	OP	78877323
534013	1819	1998-05-07	VYDAJ	PREVOD NA UCET	966	85866	SIPO	OP	78877323
534014	1819	1998-06-07	VYDAJ	PREVOD NA UCET	966	26045	SIPO	OP	78877323
534015	1819	1998-07-07	VYDAJ	PREVOD NA UCET	966	68936	SIPO	OP	78877323
534016	1819	1998-08-07	VYDAJ	PREVOD NA UCET	966	57620	SIPO	OP	78877323
534017	1819	1998-09-07	VYDAJ	PREVOD NA UCET	966	43396	SIPO	OP	78877323
534018	1819	1998-10-07	VYDAJ	PREVOD NA UCET	966	37525	SIPO	OP	78877323
534019	1819	1998-11-07	VYDAJ	PREVOD NA UCET	966	73743	SIPO	OP	78877323
534020	1819	1998-12-07	VYDAJ	PREVOD NA UCET	966	71398	SIPO	OP	78877323
534038	1819	1997-06-10	VYDAJ	PREVOD NA UCET	1236	40204	 	MN	18223607
534039	1819	1997-07-10	VYDAJ	PREVOD NA UCET	1236	21582	 	MN	18223607
534040	1819	1997-08-10	VYDAJ	PREVOD NA UCET	1236	41832	 	MN	18223607
534041	1819	1997-09-10	VYDAJ	PREVOD NA UCET	1236	16839	 	MN	18223607
534042	1819	1997-10-10	VYDAJ	PREVOD NA UCET	1236	8738	 	MN	18223607
534043	1819	1997-11-10	VYDAJ	PREVOD NA UCET	1236	8420	 	MN	18223607
534044	1819	1997-12-10	VYDAJ	PREVOD NA UCET	1236	6405	 	MN	18223607
534045	1819	1998-01-10	VYDAJ	PREVOD NA UCET	1236	16474	 	MN	18223607
534046	1819	1998-02-10	VYDAJ	PREVOD NA UCET	1236	103179	 	MN	18223607
534047	1819	1998-03-10	VYDAJ	PREVOD NA UCET	1236	90533	 	MN	18223607
534048	1819	1998-04-10	VYDAJ	PREVOD NA UCET	1236	76989	 	MN	18223607
534049	1819	1998-05-10	VYDAJ	PREVOD NA UCET	1236	84630	 	MN	18223607
534050	1819	1998-06-10	VYDAJ	PREVOD NA UCET	1236	24809	 	MN	18223607
534051	1819	1998-07-10	VYDAJ	PREVOD NA UCET	1236	67700	 	MN	18223607
534052	1819	1998-08-10	VYDAJ	PREVOD NA UCET	1236	56384	 	MN	18223607
534053	1819	1998-09-10	VYDAJ	PREVOD NA UCET	1236	42160	 	MN	18223607
534054	1819	1998-10-10	VYDAJ	PREVOD NA UCET	1236	102171	 	MN	18223607
534055	1819	1998-11-10	VYDAJ	PREVOD NA UCET	1236	46907	 	MN	18223607
534056	1819	1998-12-10	VYDAJ	PREVOD NA UCET	1236	70162	 	MN	18223607
534075	1819	1997-07-06	VYDAJ	PREVOD NA UCET	8253	23784	POJISTNE	UV	82754003
534076	1819	1997-08-06	VYDAJ	PREVOD NA UCET	8253	44034	POJISTNE	UV	82754003
534077	1819	1997-09-06	VYDAJ	PREVOD NA UCET	8253	19041	POJISTNE	UV	82754003
534078	1819	1997-10-06	VYDAJ	PREVOD NA UCET	8253	10940	POJISTNE	UV	82754003
534079	1819	1997-11-06	VYDAJ	PREVOD NA UCET	8253	10622	POJISTNE	UV	82754003
534080	1819	1997-12-06	VYDAJ	PREVOD NA UCET	8253	11907	POJISTNE	UV	82754003
534081	1819	1998-01-06	VYDAJ	PREVOD NA UCET	8253	9887	POJISTNE	UV	82754003
534082	1819	1998-02-06	VYDAJ	PREVOD NA UCET	8253	40930	POJISTNE	UV	82754003
534083	1819	1998-03-06	VYDAJ	PREVOD NA UCET	8253	92735	POJISTNE	UV	82754003
534084	1819	1998-04-06	VYDAJ	PREVOD NA UCET	8253	79191	POJISTNE	UV	82754003
534085	1819	1998-05-06	VYDAJ	PREVOD NA UCET	8253	86832	POJISTNE	UV	82754003
534086	1819	1998-06-06	VYDAJ	PREVOD NA UCET	8253	27011	POJISTNE	UV	82754003
534087	1819	1998-07-06	VYDAJ	PREVOD NA UCET	8253	69902	POJISTNE	UV	82754003
534088	1819	1998-08-06	VYDAJ	PREVOD NA UCET	8253	58586	POJISTNE	UV	82754003
534089	1819	1998-09-06	VYDAJ	PREVOD NA UCET	8253	44362	POJISTNE	UV	82754003
534090	1819	1998-10-06	VYDAJ	PREVOD NA UCET	8253	38491	POJISTNE	UV	82754003
534091	1819	1998-11-06	VYDAJ	PREVOD NA UCET	8253	74709	POJISTNE	UV	82754003
534092	1819	1998-12-06	VYDAJ	PREVOD NA UCET	8253	72364	POJISTNE	UV	82754003
534106	1819	1997-08-23	VYBER	VYBER	10574	30358	\N	\N	\N
534108	1819	1998-07-26	VYBER	VYBER	8321	66581	\N	\N	\N
534119	1819	1998-12-04	VYDAJ	VYBER	4200	80617	\N	\N	\N
534134	1819	1998-01-26	VYDAJ	VYBER	4500	56880	\N	\N	\N
534135	1819	1998-01-28	VYDAJ	VYBER	7800	49080	\N	\N	\N
534148	1819	1998-03-03	VYDAJ	VYBER	1500	100988	\N	\N	\N
534149	1819	1998-06-01	VYDAJ	VYBER	6300	35264	\N	\N	\N
534169	1819	1997-06-30	VYDAJ	VYBER	30	32037	SLUZBY	\N	\N
534170	1819	1997-07-31	VYDAJ	VYBER	30	52287	SLUZBY	\N	\N
534171	1819	1997-08-31	VYDAJ	VYBER	30	27294	SLUZBY	\N	\N
534172	1819	1997-09-30	VYDAJ	VYBER	30	19193	SLUZBY	\N	\N
534173	1819	1997-10-31	VYDAJ	VYBER	30	18875	SLUZBY	\N	\N
534174	1819	1997-11-30	VYDAJ	VYBER	30	20160	SLUZBY	\N	\N
534175	1819	1997-12-31	VYDAJ	VYBER	30	18140	SLUZBY	\N	\N
534176	1819	1998-01-31	VYDAJ	VYBER	30	49183	SLUZBY	\N	\N
534177	1819	1998-02-28	VYDAJ	VYBER	30	102488	SLUZBY	\N	\N
534178	1819	1998-03-31	VYDAJ	VYBER	30	87444	SLUZBY	\N	\N
534179	1819	1998-04-30	VYDAJ	VYBER	30	95085	SLUZBY	\N	\N
534180	1819	1998-05-31	VYDAJ	VYBER	30	41564	SLUZBY	\N	\N
534181	1819	1998-06-30	VYDAJ	VYBER	30	78155	SLUZBY	\N	\N
534182	1819	1998-07-31	VYDAJ	VYBER	30	66839	SLUZBY	\N	\N
534183	1819	1998-08-31	VYDAJ	VYBER	30	52615	SLUZBY	\N	\N
534184	1819	1998-09-30	VYDAJ	VYBER	30	23170	SLUZBY	\N	\N
534185	1819	1998-10-31	VYDAJ	VYBER	30	82962	SLUZBY	\N	\N
534186	1819	1998-11-30	VYDAJ	VYBER	30	84817	SLUZBY	\N	\N
534187	1819	1996-11-20	VYDAJ	VYBER	4900	34618	\N	\N	\N
534188	1819	1996-12-20	VYDAJ	VYBER	30600	52196	\N	\N	\N
534189	1819	1997-01-19	VYDAJ	VYBER	27100	42800	\N	\N	\N
534190	1819	1997-02-18	VYDAJ	VYBER	10200	32890	\N	\N	\N
534191	1819	1997-03-20	VYDAJ	VYBER	13300	38743	\N	\N	\N
534192	1819	1997-04-19	VYDAJ	VYBER	3600	35359	\N	\N	\N
534193	1819	1997-05-19	VYDAJ	VYBER	4700	30875	\N	\N	\N
534194	1819	1997-06-18	VYDAJ	VYBER	4100	31904	\N	\N	\N
534195	1819	1997-07-18	PRIJEM	VKLAD	8300	29882	\N	\N	\N
534196	1819	1997-08-17	VYDAJ	VYBER	900	40932	\N	\N	\N
534197	1819	1997-09-16	PRIJEM	VKLAD	6200	19139	\N	\N	\N
534198	1819	1997-10-16	PRIJEM	VKLAD	13300	18838	\N	\N	\N
534199	1819	1997-11-15	PRIJEM	VKLAD	11700	20120	\N	\N	\N
534200	1819	1997-12-15	PRIJEM	VKLAD	11700	18105	\N	\N	\N
534201	1819	1998-01-14	PRIJEM	VKLAD	2900	15383	\N	\N	\N
534202	1819	1998-02-13	VYDAJ	VYBER	38100	61089	\N	\N	\N
534203	1819	1998-03-15	VYDAJ	VYBER	35400	51142	\N	\N	\N
534204	1819	1998-04-11	VYDAJ	VYBER	15900	109419	\N	\N	\N
534205	1819	1998-04-14	VYDAJ	VYBER	51300	54128	\N	\N	\N
534206	1819	1998-05-14	VYDAJ	VYBER	39300	41340	\N	\N	\N
534207	1819	1998-07-13	VYDAJ	VYBER	27900	35809	\N	\N	\N
534208	1819	1998-08-12	VYDAJ	VYBER	23400	42127	\N	\N	\N
534209	1819	1998-09-11	VYDAJ	VYBER	15100	27060	\N	\N	\N
534210	1819	1998-10-11	VYDAJ	VYBER	42200	59971	\N	\N	\N
534211	1819	1998-11-10	VYDAJ	VYBER	25600	48143	\N	\N	\N
534212	1819	1998-12-10	VYDAJ	VYBER	21100	49062	\N	\N	\N
534239	1820	1994-04-22	PRIJEM	VKLAD	500	500	\N	\N	\N
534244	1820	1994-05-09	PRIJEM	VKLAD	16771	17271	\N	\N	\N
534245	1820	1994-06-09	PRIJEM	VKLAD	25157	43652	\N	\N	\N
534246	1820	1994-07-09	PRIJEM	VKLAD	16771	49620	\N	\N	\N
534247	1820	1994-08-09	PRIJEM	VKLAD	16771	55636	\N	\N	\N
534248	1820	1994-09-09	PRIJEM	VKLAD	16771	56069	\N	\N	\N
534249	1820	1994-10-09	PRIJEM	VKLAD	16771	47193	\N	\N	\N
534250	1820	1994-11-09	PRIJEM	VKLAD	16771	44021	\N	\N	\N
534251	1820	1994-12-09	PRIJEM	VKLAD	25157	50565	\N	\N	\N
534252	1820	1995-01-09	PRIJEM	VKLAD	16771	42728	\N	\N	\N
534253	1820	1995-02-09	PRIJEM	VKLAD	16771	38141	\N	\N	\N
534254	1820	1995-03-09	PRIJEM	VKLAD	16771	43945	\N	\N	\N
534255	1820	1995-04-09	PRIJEM	VKLAD	16771	38757	\N	\N	\N
534256	1820	1995-05-09	PRIJEM	VKLAD	16771	43362	\N	\N	\N
534257	1820	1995-06-09	PRIJEM	VKLAD	25157	50077	\N	\N	\N
534258	1820	1995-07-09	PRIJEM	VKLAD	16771	45701	\N	\N	\N
534259	1820	1995-08-09	PRIJEM	VKLAD	16771	47327	\N	\N	\N
534260	1820	1995-09-09	PRIJEM	VKLAD	16771	45853	\N	\N	\N
534261	1820	1995-10-09	PRIJEM	VKLAD	16771	43511	\N	\N	\N
534262	1820	1995-11-09	PRIJEM	VKLAD	16771	45026	\N	\N	\N
534263	1820	1995-12-09	PRIJEM	VKLAD	25157	55334	\N	\N	\N
534264	1820	1996-01-09	PRIJEM	VKLAD	16771	41640	\N	\N	\N
534265	1820	1996-02-09	PRIJEM	VKLAD	16771	25534	\N	\N	\N
534266	1820	1996-03-09	PRIJEM	VKLAD	16771	33890	\N	\N	\N
534267	1820	1996-04-09	PRIJEM	VKLAD	16771	38271	\N	\N	\N
534268	1820	1996-05-09	PRIJEM	VKLAD	16771	38758	\N	\N	\N
534269	1820	1996-06-09	PRIJEM	VKLAD	25157	49419	\N	\N	\N
534270	1820	1996-07-09	PRIJEM	VKLAD	16771	39268	\N	\N	\N
534271	1820	1996-08-09	PRIJEM	VKLAD	16771	36533	\N	\N	\N
534272	1820	1996-09-09	PRIJEM	VKLAD	16771	39208	\N	\N	\N
534273	1820	1996-10-09	PRIJEM	VKLAD	16771	43619	\N	\N	\N
534274	1820	1996-11-09	PRIJEM	VKLAD	16771	43556	\N	\N	\N
534275	1820	1996-12-09	PRIJEM	VKLAD	25157	52880	\N	\N	\N
534276	1820	1997-01-09	PRIJEM	VKLAD	16771	45399	\N	\N	\N
534277	1820	1997-02-09	PRIJEM	VKLAD	16771	41345	\N	\N	\N
534278	1820	1997-03-09	PRIJEM	VKLAD	16771	43074	\N	\N	\N
534279	1820	1997-04-09	PRIJEM	VKLAD	16771	41409	\N	\N	\N
534280	1820	1997-05-09	PRIJEM	VKLAD	16771	41577	\N	\N	\N
534281	1820	1997-06-09	PRIJEM	VKLAD	25157	47789	\N	\N	\N
534282	1820	1997-07-09	PRIJEM	VKLAD	16771	46935	\N	\N	\N
534283	1820	1997-08-09	PRIJEM	VKLAD	16771	43485	\N	\N	\N
534284	1820	1997-09-09	PRIJEM	VKLAD	16771	41923	\N	\N	\N
534285	1820	1997-10-09	PRIJEM	VKLAD	16771	41752	\N	\N	\N
534286	1820	1997-11-09	PRIJEM	VKLAD	16771	35426	\N	\N	\N
534287	1820	1997-12-09	PRIJEM	VKLAD	25157	42166	\N	\N	\N
534288	1820	1998-01-09	PRIJEM	VKLAD	16771	35221	\N	\N	\N
534289	1820	1998-02-09	PRIJEM	VKLAD	16771	27256	\N	\N	\N
534290	1820	1998-03-09	PRIJEM	VKLAD	16771	27333	\N	\N	\N
534291	1820	1998-04-09	PRIJEM	VKLAD	16771	27300	\N	\N	\N
534292	1820	1998-05-09	PRIJEM	VKLAD	16771	23867	\N	\N	\N
534293	1820	1998-06-09	PRIJEM	VKLAD	25157	37707	\N	\N	\N
534294	1820	1998-07-09	PRIJEM	VKLAD	16771	30408	\N	\N	\N
534295	1820	1998-08-09	PRIJEM	VKLAD	16771	28258	\N	\N	\N
534296	1820	1998-09-09	PRIJEM	VKLAD	16771	27922	\N	\N	\N
534297	1820	1998-10-09	PRIJEM	VKLAD	16771	29403	\N	\N	\N
534298	1820	1998-11-09	PRIJEM	VKLAD	16771	25168	\N	\N	\N
534299	1820	1998-12-09	PRIJEM	VKLAD	25157	33257	\N	\N	\N
534309	1820	1994-10-06	VYDAJ	PREVOD NA UCET	7794	30422	SIPO	WX	58238744
534310	1820	1994-11-06	VYDAJ	PREVOD NA UCET	7794	27250	SIPO	WX	58238744
534311	1820	1994-12-06	VYDAJ	PREVOD NA UCET	7794	25408	SIPO	WX	58238744
534312	1820	1995-01-06	VYDAJ	PREVOD NA UCET	7794	25957	SIPO	WX	58238744
534313	1820	1995-02-06	VYDAJ	PREVOD NA UCET	7794	21370	SIPO	WX	58238744
534314	1820	1995-03-06	VYDAJ	PREVOD NA UCET	7794	27174	SIPO	WX	58238744
534315	1820	1995-04-06	VYDAJ	PREVOD NA UCET	7794	21986	SIPO	WX	58238744
534316	1820	1995-05-06	VYDAJ	PREVOD NA UCET	7794	26591	SIPO	WX	58238744
534317	1820	1995-06-06	VYDAJ	PREVOD NA UCET	7794	24921	SIPO	WX	58238744
534318	1820	1995-07-06	VYDAJ	PREVOD NA UCET	7794	28930	SIPO	WX	58238744
534319	1820	1995-08-06	VYDAJ	PREVOD NA UCET	7794	30556	SIPO	WX	58238744
534320	1820	1995-09-06	VYDAJ	PREVOD NA UCET	7794	29082	SIPO	WX	58238744
534321	1820	1995-10-06	VYDAJ	PREVOD NA UCET	7794	26740	SIPO	WX	58238744
534322	1820	1995-11-06	VYDAJ	PREVOD NA UCET	7794	28255	SIPO	WX	58238744
534323	1820	1995-12-06	VYDAJ	PREVOD NA UCET	7794	30177	SIPO	WX	58238744
534324	1820	1996-01-06	VYDAJ	PREVOD NA UCET	7794	24869	SIPO	WX	58238744
534325	1820	1996-02-06	VYDAJ	PREVOD NA UCET	7794	8763	SIPO	WX	58238744
534326	1820	1996-03-06	VYDAJ	PREVOD NA UCET	7794	17119	SIPO	WX	58238744
534327	1820	1996-04-06	VYDAJ	PREVOD NA UCET	7794	21500	SIPO	WX	58238744
534328	1820	1996-05-06	VYDAJ	PREVOD NA UCET	7794	21987	SIPO	WX	58238744
534329	1820	1996-06-06	VYDAJ	PREVOD NA UCET	7794	24263	SIPO	WX	58238744
534330	1820	1996-07-06	VYDAJ	PREVOD NA UCET	7794	22497	SIPO	WX	58238744
534331	1820	1996-08-06	VYDAJ	PREVOD NA UCET	7794	19762	SIPO	WX	58238744
534332	1820	1996-09-06	VYDAJ	PREVOD NA UCET	7794	19337	SIPO	WX	58238744
534333	1820	1996-10-06	VYDAJ	PREVOD NA UCET	7794	31548	SIPO	WX	58238744
534334	1820	1996-11-06	VYDAJ	PREVOD NA UCET	7794	35985	SIPO	WX	58238744
534335	1820	1996-12-06	VYDAJ	PREVOD NA UCET	7794	35923	SIPO	WX	58238744
534336	1820	1997-01-06	VYDAJ	PREVOD NA UCET	7794	36628	SIPO	WX	58238744
534337	1820	1997-02-06	VYDAJ	PREVOD NA UCET	7794	24574	SIPO	WX	58238744
534338	1820	1997-03-06	VYDAJ	PREVOD NA UCET	7794	33703	SIPO	WX	58238744
534339	1820	1997-04-06	VYDAJ	PREVOD NA UCET	7794	35438	SIPO	WX	58238744
534340	1820	1997-05-06	VYDAJ	PREVOD NA UCET	7794	32806	SIPO	WX	58238744
534341	1820	1997-06-06	VYDAJ	PREVOD NA UCET	7794	22633	SIPO	WX	58238744
534342	1820	1997-07-06	VYDAJ	PREVOD NA UCET	7794	30164	SIPO	WX	58238744
534343	1820	1997-08-06	VYDAJ	PREVOD NA UCET	7794	26714	SIPO	WX	58238744
534344	1820	1997-09-06	VYDAJ	PREVOD NA UCET	7794	25152	SIPO	WX	58238744
534345	1820	1997-10-06	VYDAJ	PREVOD NA UCET	7794	24981	SIPO	WX	58238744
534346	1820	1997-11-06	VYDAJ	PREVOD NA UCET	7794	18655	SIPO	WX	58238744
534347	1820	1997-12-06	VYDAJ	PREVOD NA UCET	7794	17010	SIPO	WX	58238744
534348	1820	1998-01-06	VYDAJ	PREVOD NA UCET	7794	18450	SIPO	WX	58238744
534349	1820	1998-02-06	VYDAJ	PREVOD NA UCET	7794	10485	SIPO	WX	58238744
534350	1820	1998-03-06	VYDAJ	PREVOD NA UCET	7794	10562	SIPO	WX	58238744
534351	1820	1998-04-06	VYDAJ	PREVOD NA UCET	7794	10529	SIPO	WX	58238744
534352	1820	1998-05-06	VYDAJ	PREVOD NA UCET	7794	7096	SIPO	WX	58238744
534353	1820	1998-06-06	VYDAJ	PREVOD NA UCET	7794	12550	SIPO	WX	58238744
534354	1820	1998-07-06	VYDAJ	PREVOD NA UCET	7794	13637	SIPO	WX	58238744
534355	1820	1998-08-06	VYDAJ	PREVOD NA UCET	7794	11487	SIPO	WX	58238744
534356	1820	1998-09-06	VYDAJ	PREVOD NA UCET	7794	11151	SIPO	WX	58238744
534357	1820	1998-10-06	VYDAJ	PREVOD NA UCET	7794	12632	SIPO	WX	58238744
534358	1820	1998-11-06	VYDAJ	PREVOD NA UCET	7794	8397	SIPO	WX	58238744
534359	1820	1998-12-06	VYDAJ	PREVOD NA UCET	7794	8100	SIPO	WX	58238744
534362	1820	1996-06-21	VYDAJ	VYBER	4800	33519	\N	\N	\N
534366	1820	1995-01-10	VYDAJ	VYBER	10880	31848	\N	\N	\N
534367	1820	1996-01-21	VYDAJ	VYBER	14880	16460	\N	\N	\N
534368	1820	1997-01-03	VYDAJ	VYBER	4640	44422	\N	\N	\N
534369	1820	1998-01-20	VYDAJ	VYBER	5760	29461	\N	\N	\N
534370	1820	1994-12-20	VYDAJ	VYBER	3360	33605	\N	\N	\N
534371	1820	1995-12-30	VYDAJ	VYBER	3520	33714	\N	\N	\N
534372	1820	1996-12-16	VYDAJ	VYBER	4000	48880	\N	\N	\N
534373	1820	1997-12-12	VYDAJ	VYBER	1760	40406	\N	\N	\N
534374	1820	1998-12-18	VYDAJ	VYBER	3680	29577	\N	\N	\N
534376	1820	1994-11-29	VYDAJ	VYBER	1560	33061	\N	\N	\N
534379	1820	1995-05-10	VYDAJ	VYBER	2280	41082	\N	\N	\N
534380	1820	1995-03-25	VYDAJ	VYBER	4080	29645	\N	\N	\N
534381	1820	1995-03-12	VYDAJ	VYBER	1320	42625	\N	\N	\N
534382	1820	1995-09-18	VYDAJ	VYBER	3360	34393	\N	\N	\N
534383	1820	1996-05-16	VYDAJ	VYBER	1320	31938	\N	\N	\N
534384	1820	1996-07-19	VYDAJ	VYBER	3720	27448	\N	\N	\N
534385	1820	1996-01-05	VYDAJ	VYBER	1200	32663	\N	\N	\N
534386	1820	1996-07-01	VYDAJ	VYBER	3360	30291	\N	\N	\N
534387	1820	1997-04-29	VYDAJ	VYBER	960	40449	\N	\N	\N
534388	1820	1997-10-15	VYDAJ	VYBER	5520	36232	\N	\N	\N
534389	1820	1997-10-26	VYDAJ	VYBER	2520	33712	\N	\N	\N
534390	1820	1997-11-13	VYDAJ	VYBER	2040	33386	\N	\N	\N
534392	1820	1998-07-26	VYDAJ	VYBER	3240	27168	\N	\N	\N
534393	1820	1998-11-12	VYDAJ	VYBER	2640	22528	\N	\N	\N
534395	1820	1998-09-24	VYDAJ	VYBER	1080	26842	\N	\N	\N
534405	1820	1994-09-30	VYDAJ	VYBER	15	38216	SLUZBY	\N	\N
534406	1820	1994-10-31	VYDAJ	VYBER	15	35044	SLUZBY	\N	\N
534407	1820	1994-11-30	VYDAJ	VYBER	15	33202	SLUZBY	\N	\N
534408	1820	1994-12-31	VYDAJ	VYBER	15	33751	SLUZBY	\N	\N
534409	1820	1995-01-31	VYDAJ	VYBER	15	29164	SLUZBY	\N	\N
534410	1820	1995-02-28	VYDAJ	VYBER	15	34968	SLUZBY	\N	\N
534411	1820	1995-03-31	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
534412	1820	1995-04-30	VYDAJ	VYBER	15	34385	SLUZBY	\N	\N
534413	1820	1995-05-31	VYDAJ	VYBER	15	32715	SLUZBY	\N	\N
534414	1820	1995-06-30	VYDAJ	VYBER	15	36724	SLUZBY	\N	\N
534415	1820	1995-07-31	VYDAJ	VYBER	15	38350	SLUZBY	\N	\N
534416	1820	1995-08-31	VYDAJ	VYBER	15	36876	SLUZBY	\N	\N
534417	1820	1995-09-30	VYDAJ	VYBER	15	34534	SLUZBY	\N	\N
534418	1820	1995-10-31	VYDAJ	VYBER	15	36049	SLUZBY	\N	\N
534419	1820	1995-11-30	VYDAJ	VYBER	15	37971	SLUZBY	\N	\N
534420	1820	1995-12-31	VYDAJ	VYBER	15	33863	SLUZBY	\N	\N
534421	1820	1996-01-31	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
534422	1820	1996-02-29	VYDAJ	VYBER	15	24913	SLUZBY	\N	\N
534423	1820	1996-03-31	VYDAJ	VYBER	15	29294	SLUZBY	\N	\N
534424	1820	1996-04-30	VYDAJ	VYBER	15	29781	SLUZBY	\N	\N
534425	1820	1996-05-31	VYDAJ	VYBER	15	32057	SLUZBY	\N	\N
534426	1820	1996-06-30	VYDAJ	VYBER	15	33651	SLUZBY	\N	\N
534427	1820	1996-07-31	VYDAJ	VYBER	15	27556	SLUZBY	\N	\N
534428	1820	1996-08-31	VYDAJ	VYBER	15	27131	SLUZBY	\N	\N
534429	1820	1996-09-30	VYDAJ	VYBER	15	39342	SLUZBY	\N	\N
534430	1820	1996-10-31	VYDAJ	VYBER	15	43779	SLUZBY	\N	\N
534431	1820	1996-11-30	VYDAJ	VYBER	15	43717	SLUZBY	\N	\N
534432	1820	1996-12-31	VYDAJ	VYBER	15	49062	SLUZBY	\N	\N
534433	1820	1997-01-31	VYDAJ	VYBER	15	45568	SLUZBY	\N	\N
534434	1820	1997-02-28	VYDAJ	VYBER	15	41497	SLUZBY	\N	\N
534435	1820	1997-03-31	VYDAJ	VYBER	15	43232	SLUZBY	\N	\N
534436	1820	1997-04-30	VYDAJ	VYBER	15	40600	SLUZBY	\N	\N
534437	1820	1997-05-31	VYDAJ	VYBER	15	41727	SLUZBY	\N	\N
534438	1820	1997-06-30	VYDAJ	VYBER	15	47958	SLUZBY	\N	\N
534439	1820	1997-07-31	VYDAJ	VYBER	15	47108	SLUZBY	\N	\N
534440	1820	1997-08-31	VYDAJ	VYBER	15	43646	SLUZBY	\N	\N
534441	1820	1997-09-30	VYDAJ	VYBER	15	42075	SLUZBY	\N	\N
534442	1820	1997-10-31	VYDAJ	VYBER	15	33849	SLUZBY	\N	\N
534443	1820	1997-11-30	VYDAJ	VYBER	15	33504	SLUZBY	\N	\N
534444	1820	1997-12-31	VYDAJ	VYBER	15	40544	SLUZBY	\N	\N
534445	1820	1998-01-31	VYDAJ	VYBER	15	29579	SLUZBY	\N	\N
534446	1820	1998-02-28	VYDAJ	VYBER	15	27356	SLUZBY	\N	\N
534447	1820	1998-03-31	VYDAJ	VYBER	15	27423	SLUZBY	\N	\N
534448	1820	1998-04-30	VYDAJ	VYBER	15	27390	SLUZBY	\N	\N
534449	1820	1998-05-31	VYDAJ	VYBER	15	23944	SLUZBY	\N	\N
534450	1820	1998-06-30	VYDAJ	VYBER	15	37831	SLUZBY	\N	\N
534451	1820	1998-07-31	VYDAJ	VYBER	15	19281	SLUZBY	\N	\N
534452	1820	1998-08-31	VYDAJ	VYBER	15	18945	SLUZBY	\N	\N
534453	1820	1998-09-30	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
534454	1820	1998-10-31	VYDAJ	VYBER	15	16191	SLUZBY	\N	\N
534455	1820	1998-11-30	VYDAJ	VYBER	15	15894	SLUZBY	\N	\N
534456	1820	1994-05-22	PRIJEM	VKLAD	1200	18471	\N	\N	\N
534457	1820	1994-06-21	VYDAJ	VYBER	10900	32752	\N	\N	\N
534458	1820	1994-07-21	VYDAJ	VYBER	10900	38720	\N	\N	\N
534459	1820	1994-08-20	VYDAJ	VYBER	16500	39136	\N	\N	\N
534460	1820	1994-09-19	VYDAJ	VYBER	18000	38069	\N	\N	\N
534461	1820	1994-10-19	VYDAJ	VYBER	12300	34893	\N	\N	\N
534462	1820	1994-11-18	VYDAJ	VYBER	9400	34621	\N	\N	\N
534463	1820	1994-12-18	VYDAJ	VYBER	13600	36965	\N	\N	\N
534464	1820	1995-01-17	VYDAJ	VYBER	2800	29048	\N	\N	\N
534465	1820	1995-02-16	VYDAJ	VYBER	3300	34841	\N	\N	\N
534466	1820	1995-03-18	VYDAJ	VYBER	8900	33725	\N	\N	\N
534467	1820	1995-04-17	VYDAJ	VYBER	4500	34257	\N	\N	\N
534468	1820	1995-05-17	VYDAJ	VYBER	8500	32582	\N	\N	\N
534469	1820	1995-06-16	VYDAJ	VYBER	13500	36577	\N	\N	\N
534470	1820	1995-07-16	VYDAJ	VYBER	7500	38201	\N	\N	\N
534471	1820	1995-08-15	VYDAJ	VYBER	10600	36727	\N	\N	\N
534472	1820	1995-09-14	VYDAJ	VYBER	8100	37753	\N	\N	\N
534473	1820	1995-10-14	VYDAJ	VYBER	7600	35911	\N	\N	\N
534474	1820	1995-11-13	VYDAJ	VYBER	7200	37826	\N	\N	\N
534475	1820	1995-12-13	VYDAJ	VYBER	18100	37234	\N	\N	\N
534476	1820	1996-01-12	VYDAJ	VYBER	10300	31340	\N	\N	\N
534477	1820	1996-02-11	VYDAJ	VYBER	700	24834	\N	\N	\N
534478	1820	1996-03-12	VYDAJ	VYBER	4700	29190	\N	\N	\N
534479	1820	1996-04-11	VYDAJ	VYBER	8600	29671	\N	\N	\N
534480	1820	1996-05-11	VYDAJ	VYBER	5500	33258	\N	\N	\N
534481	1820	1996-06-10	VYDAJ	VYBER	11100	38319	\N	\N	\N
534482	1820	1996-07-10	VYDAJ	VYBER	8100	31168	\N	\N	\N
534483	1820	1996-08-09	VYDAJ	VYBER	9500	27033	\N	\N	\N
534484	1820	1996-09-08	PRIJEM	VKLAD	3100	22437	\N	\N	\N
534485	1820	1996-10-08	VYDAJ	VYBER	4700	26848	\N	\N	\N
534486	1820	1996-11-07	VYDAJ	VYBER	9200	26785	\N	\N	\N
534487	1820	1996-12-07	VYDAJ	VYBER	8200	27723	\N	\N	\N
534488	1820	1997-01-06	VYDAJ	VYBER	8000	28628	\N	\N	\N
534489	1820	1997-02-05	VYDAJ	VYBER	13200	32368	\N	\N	\N
534490	1820	1997-03-07	VYDAJ	VYBER	7400	26303	\N	\N	\N
534491	1820	1997-04-06	VYDAJ	VYBER	10800	24638	\N	\N	\N
534492	1820	1997-05-06	VYDAJ	VYBER	8000	24806	\N	\N	\N
534493	1820	1997-06-05	VYDAJ	VYBER	11300	30427	\N	\N	\N
534494	1820	1997-07-05	VYDAJ	VYBER	10000	37958	\N	\N	\N
534495	1820	1997-08-04	VYDAJ	VYBER	12600	34508	\N	\N	\N
534496	1820	1997-09-03	VYDAJ	VYBER	10700	32946	\N	\N	\N
534497	1820	1997-10-03	VYDAJ	VYBER	9300	32775	\N	\N	\N
534498	1820	1997-11-02	VYDAJ	VYBER	7400	26449	\N	\N	\N
534499	1820	1997-12-02	VYDAJ	VYBER	8700	24804	\N	\N	\N
534500	1820	1998-01-01	VYDAJ	VYBER	14300	26244	\N	\N	\N
534501	1820	1998-01-31	VYDAJ	VYBER	11300	18279	\N	\N	\N
534502	1820	1998-03-02	VYDAJ	VYBER	9000	18356	\N	\N	\N
534503	1820	1998-04-01	VYDAJ	VYBER	9100	18323	\N	\N	\N
534504	1820	1998-05-01	VYDAJ	VYBER	12500	14890	\N	\N	\N
534505	1820	1998-05-31	VYDAJ	VYBER	3600	20344	\N	\N	\N
534506	1820	1998-06-30	VYDAJ	VYBER	16400	21431	\N	\N	\N
534507	1820	1998-07-30	VYDAJ	VYBER	8000	19168	\N	\N	\N
534508	1820	1998-08-29	VYDAJ	VYBER	9400	18858	\N	\N	\N
534509	1820	1998-09-28	VYDAJ	VYBER	6500	20342	\N	\N	\N
534510	1820	1998-10-28	VYDAJ	VYBER	13300	16103	\N	\N	\N
534511	1820	1998-11-27	VYDAJ	VYBER	6700	15828	\N	\N	\N
534568	1821	1995-04-07	PRIJEM	VKLAD	500	500	\N	\N	\N
534572	1821	1995-04-10	PRIJEM	VKLAD	20381	20881	\N	\N	\N
534573	1821	1995-05-10	PRIJEM	VKLAD	20381	40723	\N	\N	\N
534574	1821	1995-06-10	PRIJEM	VKLAD	30572	61440	\N	\N	\N
534575	1821	1995-07-10	PRIJEM	VKLAD	20381	62151	\N	\N	\N
534576	1821	1995-08-10	PRIJEM	VKLAD	20381	64090	\N	\N	\N
534577	1821	1995-09-10	PRIJEM	VKLAD	20381	56214	\N	\N	\N
534578	1821	1995-10-10	PRIJEM	VKLAD	20381	52390	\N	\N	\N
534579	1821	1995-11-10	PRIJEM	VKLAD	20381	47508	\N	\N	\N
534580	1821	1995-12-10	PRIJEM	VKLAD	30572	55844	\N	\N	\N
534581	1821	1996-01-10	PRIJEM	VKLAD	20381	52029	\N	\N	\N
534582	1821	1996-02-10	PRIJEM	VKLAD	20381	47506	\N	\N	\N
534583	1821	1996-03-10	PRIJEM	VKLAD	20381	49353	\N	\N	\N
534584	1821	1996-04-10	PRIJEM	VKLAD	20381	48103	\N	\N	\N
534585	1821	1996-05-10	PRIJEM	VKLAD	20381	51453	\N	\N	\N
534586	1821	1996-06-10	PRIJEM	VKLAD	30572	58199	\N	\N	\N
534587	1821	1996-07-10	PRIJEM	VKLAD	20381	44965	\N	\N	\N
534588	1821	1996-08-10	PRIJEM	VKLAD	20381	45551	\N	\N	\N
534589	1821	1996-09-10	PRIJEM	VKLAD	20381	38218	\N	\N	\N
534590	1821	1996-10-10	PRIJEM	VKLAD	20381	41012	\N	\N	\N
534591	1821	1996-11-10	PRIJEM	VKLAD	20381	41600	\N	\N	\N
534592	1821	1996-12-10	PRIJEM	VKLAD	30572	53781	\N	\N	\N
534593	1821	1997-01-10	PRIJEM	VKLAD	20381	50899	\N	\N	\N
534594	1821	1997-02-10	PRIJEM	VKLAD	20381	47318	\N	\N	\N
534595	1821	1997-03-10	PRIJEM	VKLAD	20381	46745	\N	\N	\N
534596	1821	1997-04-10	PRIJEM	VKLAD	20381	48656	\N	\N	\N
534597	1821	1997-05-10	PRIJEM	VKLAD	20381	48973	\N	\N	\N
534598	1821	1997-06-10	PRIJEM	VKLAD	30572	59381	\N	\N	\N
534599	1821	1997-07-10	PRIJEM	VKLAD	20381	44105	\N	\N	\N
534600	1821	1997-08-10	PRIJEM	VKLAD	20381	46903	\N	\N	\N
534601	1821	1997-09-10	PRIJEM	VKLAD	20381	48711	\N	\N	\N
534602	1821	1997-10-10	PRIJEM	VKLAD	20381	44061	\N	\N	\N
534603	1821	1997-11-10	PRIJEM	VKLAD	20381	39871	\N	\N	\N
534604	1821	1997-12-10	PRIJEM	VKLAD	30572	56543	\N	\N	\N
534605	1821	1998-01-10	PRIJEM	VKLAD	20381	41479	\N	\N	\N
534606	1821	1998-02-10	PRIJEM	VKLAD	20381	35283	\N	\N	\N
534607	1821	1998-03-10	PRIJEM	VKLAD	20381	40824	\N	\N	\N
534608	1821	1998-04-10	PRIJEM	VKLAD	20381	36194	\N	\N	\N
534609	1821	1998-05-10	PRIJEM	VKLAD	20381	34849	\N	\N	\N
534610	1821	1998-06-10	PRIJEM	VKLAD	30572	56106	\N	\N	\N
534611	1821	1998-07-10	PRIJEM	VKLAD	20381	44407	\N	\N	\N
534612	1821	1998-08-10	PRIJEM	VKLAD	20381	37403	\N	\N	\N
534613	1821	1998-09-10	PRIJEM	VKLAD	20381	36559	\N	\N	\N
534614	1821	1998-10-10	PRIJEM	VKLAD	20381	35510	\N	\N	\N
534615	1821	1998-11-10	PRIJEM	VKLAD	20381	36059	\N	\N	\N
534616	1821	1998-12-10	PRIJEM	VKLAD	30572	44595	\N	\N	\N
534624	1821	1995-08-14	VYDAJ	PREVOD NA UCET	9385	54705	SIPO	IJ	23474955
534625	1821	1995-09-14	VYDAJ	PREVOD NA UCET	9385	46829	SIPO	IJ	23474955
534626	1821	1995-10-14	VYDAJ	PREVOD NA UCET	9385	39525	SIPO	IJ	23474955
534627	1821	1995-11-14	VYDAJ	PREVOD NA UCET	9385	38123	SIPO	IJ	23474955
534628	1821	1995-12-14	VYDAJ	PREVOD NA UCET	9385	44379	SIPO	IJ	23474955
534629	1821	1996-01-14	VYDAJ	PREVOD NA UCET	9385	38964	SIPO	IJ	23474955
534630	1821	1996-02-14	VYDAJ	PREVOD NA UCET	9385	38121	SIPO	IJ	23474955
534631	1821	1996-03-14	VYDAJ	PREVOD NA UCET	9385	39968	SIPO	IJ	23474955
534632	1821	1996-04-14	VYDAJ	PREVOD NA UCET	9385	38718	SIPO	IJ	23474955
534633	1821	1996-05-14	VYDAJ	PREVOD NA UCET	9385	42068	SIPO	IJ	23474955
534634	1821	1996-06-14	VYDAJ	PREVOD NA UCET	9385	48814	SIPO	IJ	23474955
534635	1821	1996-07-14	VYDAJ	PREVOD NA UCET	9385	35580	SIPO	IJ	23474955
534636	1821	1996-08-14	VYDAJ	PREVOD NA UCET	9385	36166	SIPO	IJ	23474955
534637	1821	1996-09-14	VYDAJ	PREVOD NA UCET	9385	28833	SIPO	IJ	23474955
534638	1821	1996-10-14	VYDAJ	PREVOD NA UCET	9385	31627	SIPO	IJ	23474955
534639	1821	1996-11-14	VYDAJ	PREVOD NA UCET	9385	32215	SIPO	IJ	23474955
534640	1821	1996-12-14	VYDAJ	PREVOD NA UCET	9385	44396	SIPO	IJ	23474955
534641	1821	1997-01-14	VYDAJ	PREVOD NA UCET	9385	41514	SIPO	IJ	23474955
534642	1821	1997-02-14	VYDAJ	PREVOD NA UCET	9385	37933	SIPO	IJ	23474955
534643	1821	1997-03-14	VYDAJ	PREVOD NA UCET	9385	37360	SIPO	IJ	23474955
534644	1821	1997-04-14	VYDAJ	PREVOD NA UCET	9385	39271	SIPO	IJ	23474955
534645	1821	1997-05-14	VYDAJ	PREVOD NA UCET	9385	39588	SIPO	IJ	23474955
534646	1821	1997-06-14	VYDAJ	PREVOD NA UCET	9385	49996	SIPO	IJ	23474955
534647	1821	1997-07-14	VYDAJ	PREVOD NA UCET	9385	34720	SIPO	IJ	23474955
534648	1821	1997-08-14	VYDAJ	PREVOD NA UCET	9385	37518	SIPO	IJ	23474955
534649	1821	1997-09-14	VYDAJ	PREVOD NA UCET	9385	35006	SIPO	IJ	23474955
534650	1821	1997-10-14	VYDAJ	PREVOD NA UCET	9385	34676	SIPO	IJ	23474955
534651	1821	1997-11-14	VYDAJ	PREVOD NA UCET	9385	30486	SIPO	IJ	23474955
534652	1821	1997-12-14	VYDAJ	PREVOD NA UCET	9385	43158	SIPO	IJ	23474955
534653	1821	1998-01-14	VYDAJ	PREVOD NA UCET	9385	32094	SIPO	IJ	23474955
534654	1821	1998-02-14	VYDAJ	PREVOD NA UCET	9385	20378	SIPO	IJ	23474955
534655	1821	1998-03-14	VYDAJ	PREVOD NA UCET	9385	31439	SIPO	IJ	23474955
534656	1821	1998-04-14	VYDAJ	PREVOD NA UCET	9385	26809	SIPO	IJ	23474955
534657	1821	1998-05-14	VYDAJ	PREVOD NA UCET	9385	25464	SIPO	IJ	23474955
534658	1821	1998-06-14	VYDAJ	PREVOD NA UCET	9385	46721	SIPO	IJ	23474955
534659	1821	1998-07-14	VYDAJ	PREVOD NA UCET	9385	31542	SIPO	IJ	23474955
534660	1821	1998-08-14	VYDAJ	PREVOD NA UCET	9385	28018	SIPO	IJ	23474955
534661	1821	1998-09-14	VYDAJ	PREVOD NA UCET	9385	27174	SIPO	IJ	23474955
534662	1821	1998-10-14	VYDAJ	PREVOD NA UCET	9385	26125	SIPO	IJ	23474955
534663	1821	1998-11-14	VYDAJ	PREVOD NA UCET	9385	26674	SIPO	IJ	23474955
534664	1821	1998-12-14	VYDAJ	PREVOD NA UCET	9385	30530	SIPO	IJ	23474955
534667	1821	1997-06-18	VYDAJ	VYBER	24480	25516	\N	\N	\N
534670	1821	1996-01-12	VYDAJ	VYBER	3680	48349	\N	\N	\N
534671	1821	1997-01-18	VYDAJ	VYBER	3200	38314	\N	\N	\N
534672	1821	1998-01-16	VYDAJ	VYBER	4960	27134	\N	\N	\N
534673	1821	1995-12-10	VYDAJ	VYBER	2080	53764	\N	\N	\N
534674	1821	1996-12-24	VYDAJ	VYBER	3200	41196	\N	\N	\N
534675	1821	1997-12-11	VYDAJ	VYBER	4000	52543	\N	\N	\N
534679	1821	1995-10-16	VYDAJ	VYBER	1560	37965	\N	\N	\N
534680	1821	1995-10-14	VYDAJ	VYBER	3480	48910	\N	\N	\N
534681	1821	1995-09-01	VYDAJ	VYBER	5400	49533	\N	\N	\N
534682	1821	1996-07-24	VYDAJ	VYBER	2400	33180	\N	\N	\N
534683	1821	1996-09-08	VYDAJ	VYBER	4440	17837	\N	\N	\N
534684	1821	1996-07-07	VYDAJ	VYBER	4080	24584	\N	\N	\N
534685	1821	1996-07-29	VYDAJ	VYBER	960	32220	\N	\N	\N
534686	1821	1997-12-30	VYDAJ	VYBER	5280	20978	\N	\N	\N
534687	1821	1997-10-28	VYDAJ	VYBER	2040	25136	\N	\N	\N
534688	1821	1997-09-12	VYDAJ	VYBER	4320	44391	\N	\N	\N
534689	1821	1997-02-21	VYDAJ	VYBER	5280	32653	\N	\N	\N
534690	1821	1997-10-02	VYDAJ	VYBER	3840	23680	\N	\N	\N
534691	1821	1997-10-31	VYDAJ	VYBER	5760	19490	\N	\N	\N
534692	1821	1998-07-13	VYDAJ	VYBER	3480	40927	\N	\N	\N
534693	1821	1998-02-11	VYDAJ	VYBER	5520	29763	\N	\N	\N
534694	1821	1998-01-19	VYDAJ	VYBER	4200	22934	\N	\N	\N
534695	1821	1998-12-11	VYDAJ	VYBER	4680	39915	\N	\N	\N
534704	1821	1995-08-31	VYDAJ	VYBER	15	54933	SLUZBY	\N	\N
534705	1821	1995-09-30	VYDAJ	VYBER	15	47009	SLUZBY	\N	\N
534706	1821	1995-10-31	VYDAJ	VYBER	15	38127	SLUZBY	\N	\N
534707	1821	1995-11-30	VYDAJ	VYBER	15	38273	SLUZBY	\N	\N
534708	1821	1995-12-31	VYDAJ	VYBER	15	44548	SLUZBY	\N	\N
534709	1821	1996-01-31	VYDAJ	VYBER	15	39125	SLUZBY	\N	\N
534710	1821	1996-02-29	VYDAJ	VYBER	15	38272	SLUZBY	\N	\N
534711	1821	1996-03-31	VYDAJ	VYBER	15	40122	SLUZBY	\N	\N
534712	1821	1996-04-30	VYDAJ	VYBER	15	38872	SLUZBY	\N	\N
534713	1821	1996-05-31	VYDAJ	VYBER	15	42228	SLUZBY	\N	\N
534714	1821	1996-06-30	VYDAJ	VYBER	15	48964	SLUZBY	\N	\N
534715	1821	1996-07-31	VYDAJ	VYBER	15	25170	SLUZBY	\N	\N
534716	1821	1996-08-31	VYDAJ	VYBER	15	22277	SLUZBY	\N	\N
534717	1821	1996-09-30	VYDAJ	VYBER	15	20631	SLUZBY	\N	\N
534718	1821	1996-10-31	VYDAJ	VYBER	15	21219	SLUZBY	\N	\N
534719	1821	1996-11-30	VYDAJ	VYBER	15	23209	SLUZBY	\N	\N
534720	1821	1996-12-31	VYDAJ	VYBER	15	30518	SLUZBY	\N	\N
534721	1821	1997-01-31	VYDAJ	VYBER	15	26937	SLUZBY	\N	\N
534722	1821	1997-02-28	VYDAJ	VYBER	15	26364	SLUZBY	\N	\N
534723	1821	1997-03-31	VYDAJ	VYBER	15	28275	SLUZBY	\N	\N
534724	1821	1997-04-30	VYDAJ	VYBER	15	28592	SLUZBY	\N	\N
534725	1821	1997-05-31	VYDAJ	VYBER	15	28809	SLUZBY	\N	\N
534726	1821	1997-06-30	VYDAJ	VYBER	15	23724	SLUZBY	\N	\N
534727	1821	1997-07-31	VYDAJ	VYBER	15	26522	SLUZBY	\N	\N
534728	1821	1997-08-31	VYDAJ	VYBER	15	28330	SLUZBY	\N	\N
534729	1821	1997-09-30	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
534730	1821	1997-10-31	VYDAJ	VYBER	15	25250	SLUZBY	\N	\N
534731	1821	1997-11-30	VYDAJ	VYBER	15	25971	SLUZBY	\N	\N
534732	1821	1997-12-31	VYDAJ	VYBER	15	21098	SLUZBY	\N	\N
534733	1821	1998-01-31	VYDAJ	VYBER	15	14902	SLUZBY	\N	\N
534734	1821	1998-02-28	VYDAJ	VYBER	15	20443	SLUZBY	\N	\N
534735	1821	1998-03-31	VYDAJ	VYBER	15	15813	SLUZBY	\N	\N
534736	1821	1998-04-30	VYDAJ	VYBER	15	14468	SLUZBY	\N	\N
534737	1821	1998-05-31	VYDAJ	VYBER	15	25534	SLUZBY	\N	\N
534738	1821	1998-06-30	VYDAJ	VYBER	15	24026	SLUZBY	\N	\N
534739	1821	1998-07-31	VYDAJ	VYBER	15	17022	SLUZBY	\N	\N
534740	1821	1998-08-31	VYDAJ	VYBER	15	16178	SLUZBY	\N	\N
534741	1821	1998-09-30	VYDAJ	VYBER	15	15129	SLUZBY	\N	\N
534742	1821	1998-10-31	VYDAJ	VYBER	15	15678	SLUZBY	\N	\N
534743	1821	1998-11-30	VYDAJ	VYBER	15	14023	SLUZBY	\N	\N
534744	1821	1995-05-07	VYDAJ	VYBER	600	20342	\N	\N	\N
534745	1821	1995-06-06	VYDAJ	VYBER	10000	30869	\N	\N	\N
534746	1821	1995-07-06	VYDAJ	VYBER	19900	41770	\N	\N	\N
534747	1821	1995-08-05	VYDAJ	VYBER	18700	43709	\N	\N	\N
534748	1821	1995-09-04	VYDAJ	VYBER	13700	35833	\N	\N	\N
534749	1821	1995-10-04	VYDAJ	VYBER	15000	32009	\N	\N	\N
534750	1821	1995-11-03	VYDAJ	VYBER	11000	27127	\N	\N	\N
534751	1821	1995-12-03	VYDAJ	VYBER	13000	25273	\N	\N	\N
534752	1821	1996-01-02	VYDAJ	VYBER	12900	31648	\N	\N	\N
534753	1821	1996-02-01	VYDAJ	VYBER	12000	27125	\N	\N	\N
534754	1821	1996-03-02	VYDAJ	VYBER	9300	28972	\N	\N	\N
534755	1821	1996-04-01	VYDAJ	VYBER	12400	27722	\N	\N	\N
534756	1821	1996-05-01	VYDAJ	VYBER	7800	31072	\N	\N	\N
534757	1821	1996-05-31	VYDAJ	VYBER	14600	27628	\N	\N	\N
534758	1821	1996-06-30	VYDAJ	VYBER	20300	28664	\N	\N	\N
534759	1821	1996-07-30	VYDAJ	VYBER	7200	25020	\N	\N	\N
534760	1821	1996-08-29	VYDAJ	VYBER	14000	22166	\N	\N	\N
534761	1821	1996-09-28	VYDAJ	VYBER	8300	20533	\N	\N	\N
534762	1821	1996-10-28	VYDAJ	VYBER	10500	21127	\N	\N	\N
534763	1821	1996-11-27	VYDAJ	VYBER	9100	23115	\N	\N	\N
534764	1821	1996-12-27	VYDAJ	VYBER	10800	30396	\N	\N	\N
534765	1821	1997-01-26	VYDAJ	VYBER	11500	26814	\N	\N	\N
534766	1821	1997-02-25	VYDAJ	VYBER	6400	26253	\N	\N	\N
534767	1821	1997-03-27	VYDAJ	VYBER	9200	28160	\N	\N	\N
534768	1821	1997-04-26	VYDAJ	VYBER	10800	28471	\N	\N	\N
534769	1821	1997-05-26	VYDAJ	VYBER	10900	28688	\N	\N	\N
534770	1821	1997-06-25	VYDAJ	VYBER	1900	23616	\N	\N	\N
534771	1821	1997-07-25	VYDAJ	VYBER	8300	26420	\N	\N	\N
534772	1821	1997-08-24	VYDAJ	VYBER	9300	28218	\N	\N	\N
534773	1821	1997-09-23	VYDAJ	VYBER	7600	27406	\N	\N	\N
534774	1821	1997-10-23	VYDAJ	VYBER	7500	27176	\N	\N	\N
534775	1821	1997-11-22	VYDAJ	VYBER	4600	25886	\N	\N	\N
534776	1821	1997-12-22	VYDAJ	VYBER	16900	26258	\N	\N	\N
534777	1821	1998-01-21	VYDAJ	VYBER	8100	14834	\N	\N	\N
534778	1821	1998-03-22	VYDAJ	VYBER	15700	15739	\N	\N	\N
534779	1821	1998-04-21	VYDAJ	VYBER	12400	14409	\N	\N	\N
534780	1821	1998-06-20	VYDAJ	VYBER	22800	23921	\N	\N	\N
534781	1821	1998-07-20	VYDAJ	VYBER	14600	16942	\N	\N	\N
534782	1821	1998-08-19	VYDAJ	VYBER	11900	16118	\N	\N	\N
534783	1821	1998-09-18	VYDAJ	VYBER	12100	15074	\N	\N	\N
534784	1821	1998-10-18	VYDAJ	VYBER	10500	15625	\N	\N	\N
534785	1821	1998-11-17	VYDAJ	VYBER	12700	13974	\N	\N	\N
534831	1822	1993-05-05	PRIJEM	VKLAD	900	900	\N	\N	\N
534836	1822	1993-05-10	PRIJEM	PREVOD Z UCTU	5210	6110	DUCHOD	ST	11734843
534837	1822	1993-06-10	PRIJEM	PREVOD Z UCTU	5210	11338	DUCHOD	ST	11734843
534838	1822	1993-07-10	PRIJEM	PREVOD Z UCTU	5210	16574	DUCHOD	ST	11734843
534839	1822	1993-08-10	PRIJEM	PREVOD Z UCTU	5210	21809	DUCHOD	ST	11734843
534840	1822	1993-09-10	PRIJEM	PREVOD Z UCTU	5210	27044	DUCHOD	ST	11734843
534841	1822	1993-10-10	PRIJEM	PREVOD Z UCTU	5210	28559	DUCHOD	ST	11734843
534842	1822	1993-11-10	PRIJEM	PREVOD Z UCTU	5210	29140	DUCHOD	ST	11734843
534843	1822	1993-12-10	PRIJEM	PREVOD Z UCTU	5210	31548	DUCHOD	ST	11734843
534844	1822	1994-01-10	PRIJEM	PREVOD Z UCTU	5210	27468	DUCHOD	ST	11734843
534845	1822	1994-02-10	PRIJEM	PREVOD Z UCTU	5210	25891	DUCHOD	ST	11734843
534846	1822	1994-03-10	PRIJEM	PREVOD Z UCTU	5210	29191	DUCHOD	ST	11734843
534847	1822	1994-04-10	PRIJEM	PREVOD Z UCTU	5210	32499	DUCHOD	ST	11734843
534848	1822	1994-05-10	PRIJEM	PREVOD Z UCTU	5210	32220	DUCHOD	ST	11734843
534849	1822	1994-06-10	PRIJEM	PREVOD Z UCTU	5210	32740	DUCHOD	ST	11734843
534850	1822	1994-07-10	PRIJEM	PREVOD Z UCTU	5210	22364	DUCHOD	ST	11734843
534851	1822	1994-08-10	PRIJEM	PREVOD Z UCTU	5210	25644	DUCHOD	ST	11734843
534852	1822	1994-09-10	PRIJEM	PREVOD Z UCTU	5210	28937	DUCHOD	ST	11734843
534853	1822	1994-10-10	PRIJEM	PREVOD Z UCTU	5210	30642	DUCHOD	ST	11734843
534854	1822	1994-11-10	PRIJEM	PREVOD Z UCTU	5210	32856	DUCHOD	ST	11734843
534855	1822	1994-12-10	PRIJEM	PREVOD Z UCTU	5210	31875	DUCHOD	ST	11734843
534856	1822	1995-01-10	PRIJEM	PREVOD Z UCTU	5210	30842	DUCHOD	ST	11734843
534857	1822	1995-02-10	PRIJEM	PREVOD Z UCTU	5210	28593	DUCHOD	ST	11734843
534858	1822	1995-03-10	PRIJEM	PREVOD Z UCTU	5210	28495	DUCHOD	ST	11734843
534859	1822	1995-04-10	PRIJEM	PREVOD Z UCTU	5210	25469	DUCHOD	ST	11734843
534860	1822	1995-05-10	PRIJEM	PREVOD Z UCTU	5210	28761	DUCHOD	ST	11734843
534861	1822	1995-06-10	PRIJEM	PREVOD Z UCTU	5210	21016	DUCHOD	ST	11734843
534862	1822	1995-07-10	PRIJEM	PREVOD Z UCTU	5210	21817	DUCHOD	ST	11734843
534863	1822	1995-08-10	PRIJEM	PREVOD Z UCTU	5210	23170	DUCHOD	ST	11734843
534864	1822	1995-09-10	PRIJEM	PREVOD Z UCTU	5210	26453	DUCHOD	ST	11734843
534865	1822	1995-10-10	PRIJEM	PREVOD Z UCTU	5210	29748	DUCHOD	ST	11734843
534866	1822	1995-11-10	PRIJEM	PREVOD Z UCTU	5210	27072	DUCHOD	ST	11734843
534867	1822	1995-12-10	PRIJEM	PREVOD Z UCTU	5210	30370	DUCHOD	ST	11734843
535049	1822	1997-11-23	VYDAJ	VYBER	3040	42364	\N	\N	\N
534868	1822	1996-01-10	PRIJEM	PREVOD Z UCTU	5210	26506	DUCHOD	ST	11734843
534869	1822	1996-02-10	PRIJEM	PREVOD Z UCTU	5210	20919	DUCHOD	ST	11734843
534870	1822	1996-03-10	PRIJEM	PREVOD Z UCTU	5210	24198	DUCHOD	ST	11734843
534871	1822	1996-04-10	PRIJEM	PREVOD Z UCTU	5210	27484	DUCHOD	ST	11734843
534872	1822	1996-05-10	PRIJEM	PREVOD Z UCTU	5210	27578	DUCHOD	ST	11734843
534873	1822	1996-06-10	PRIJEM	PREVOD Z UCTU	5210	29576	DUCHOD	ST	11734843
534874	1822	1996-07-10	PRIJEM	PREVOD Z UCTU	5210	25266	DUCHOD	ST	11734843
534875	1822	1996-08-10	PRIJEM	PREVOD Z UCTU	5210	28556	DUCHOD	ST	11734843
534876	1822	1996-09-10	PRIJEM	PREVOD Z UCTU	5210	28334	DUCHOD	ST	11734843
534877	1822	1996-10-10	PRIJEM	PREVOD Z UCTU	5210	31640	DUCHOD	ST	11734843
534878	1822	1996-11-10	PRIJEM	PREVOD Z UCTU	5210	29268	DUCHOD	ST	11734843
534879	1822	1996-12-10	PRIJEM	PREVOD Z UCTU	5210	31577	DUCHOD	ST	11734843
534880	1822	1997-01-10	PRIJEM	PREVOD Z UCTU	5210	27216	DUCHOD	ST	11734843
534881	1822	1997-02-10	PRIJEM	PREVOD Z UCTU	5210	27315	DUCHOD	ST	11734843
534882	1822	1997-03-10	PRIJEM	PREVOD Z UCTU	5210	29572	DUCHOD	ST	11734843
534883	1822	1997-04-10	PRIJEM	PREVOD Z UCTU	5210	32880	DUCHOD	ST	11734843
534884	1822	1997-05-10	PRIJEM	PREVOD Z UCTU	5210	36201	DUCHOD	ST	11734843
534885	1822	1997-06-10	PRIJEM	PREVOD Z UCTU	5210	31487	DUCHOD	ST	11734843
534886	1822	1997-07-10	PRIJEM	PREVOD Z UCTU	5210	34013	DUCHOD	ST	11734843
534887	1822	1997-08-10	PRIJEM	PREVOD Z UCTU	5210	37339	DUCHOD	ST	11734843
534888	1822	1997-09-10	PRIJEM	PREVOD Z UCTU	5210	40679	DUCHOD	ST	11734843
534889	1822	1997-10-10	PRIJEM	PREVOD Z UCTU	5210	44033	DUCHOD	ST	11734843
534890	1822	1997-11-10	PRIJEM	PREVOD Z UCTU	5210	47400	DUCHOD	ST	11734843
534891	1822	1997-12-10	PRIJEM	PREVOD Z UCTU	5210	47739	DUCHOD	ST	11734843
534892	1822	1998-01-10	PRIJEM	PREVOD Z UCTU	5210	45279	DUCHOD	ST	11734843
534893	1822	1998-02-10	PRIJEM	PREVOD Z UCTU	5210	42805	DUCHOD	ST	11734843
534894	1822	1998-03-10	PRIJEM	PREVOD Z UCTU	5210	43607	DUCHOD	ST	11734843
534895	1822	1998-04-10	PRIJEM	PREVOD Z UCTU	5210	44013	DUCHOD	ST	11734843
534896	1822	1998-05-10	PRIJEM	PREVOD Z UCTU	5210	45215	DUCHOD	ST	11734843
534897	1822	1998-06-10	PRIJEM	PREVOD Z UCTU	5210	48587	DUCHOD	ST	11734843
534898	1822	1998-07-10	PRIJEM	PREVOD Z UCTU	5210	36579	DUCHOD	ST	11734843
534899	1822	1998-08-10	PRIJEM	PREVOD Z UCTU	5210	39915	DUCHOD	ST	11734843
534900	1822	1998-09-10	PRIJEM	PREVOD Z UCTU	5210	40299	DUCHOD	ST	11734843
534901	1822	1998-10-10	PRIJEM	PREVOD Z UCTU	5210	40210	DUCHOD	ST	11734843
534902	1822	1998-11-10	PRIJEM	PREVOD Z UCTU	5210	41005	DUCHOD	ST	11734843
534903	1822	1998-12-10	PRIJEM	PREVOD Z UCTU	5210	43809	DUCHOD	ST	11734843
534912	1822	1993-09-12	VYDAJ	PREVOD NA UCET	1996	25048	SIPO	IJ	19228476
534913	1822	1993-10-12	VYDAJ	PREVOD NA UCET	1996	23843	SIPO	IJ	19228476
534914	1822	1993-11-12	VYDAJ	PREVOD NA UCET	1996	27144	SIPO	IJ	19228476
534915	1822	1993-12-12	VYDAJ	PREVOD NA UCET	1996	29552	SIPO	IJ	19228476
534916	1822	1994-01-12	VYDAJ	PREVOD NA UCET	1996	25472	SIPO	IJ	19228476
534917	1822	1994-02-12	VYDAJ	PREVOD NA UCET	1996	23895	SIPO	IJ	19228476
534918	1822	1994-03-12	VYDAJ	PREVOD NA UCET	1996	27195	SIPO	IJ	19228476
534919	1822	1994-04-12	VYDAJ	PREVOD NA UCET	1996	30503	SIPO	IJ	19228476
534920	1822	1994-05-12	VYDAJ	PREVOD NA UCET	1996	30224	SIPO	IJ	19228476
534921	1822	1994-06-12	VYDAJ	PREVOD NA UCET	1996	30744	SIPO	IJ	19228476
534922	1822	1994-07-12	VYDAJ	PREVOD NA UCET	1996	20368	SIPO	IJ	19228476
534923	1822	1994-08-12	VYDAJ	PREVOD NA UCET	1996	23648	SIPO	IJ	19228476
534924	1822	1994-09-12	VYDAJ	PREVOD NA UCET	1996	26941	SIPO	IJ	19228476
534925	1822	1994-10-12	VYDAJ	PREVOD NA UCET	1996	28646	SIPO	IJ	19228476
534926	1822	1994-11-12	VYDAJ	PREVOD NA UCET	1996	30860	SIPO	IJ	19228476
534927	1822	1994-12-12	VYDAJ	PREVOD NA UCET	1996	29879	SIPO	IJ	19228476
534928	1822	1995-01-12	VYDAJ	PREVOD NA UCET	1996	28846	SIPO	IJ	19228476
534929	1822	1995-02-12	VYDAJ	PREVOD NA UCET	1996	26597	SIPO	IJ	19228476
534930	1822	1995-03-12	VYDAJ	PREVOD NA UCET	1996	26499	SIPO	IJ	19228476
534931	1822	1995-04-12	VYDAJ	PREVOD NA UCET	1996	23473	SIPO	IJ	19228476
534932	1822	1995-05-12	VYDAJ	PREVOD NA UCET	1996	26765	SIPO	IJ	19228476
534933	1822	1995-06-12	VYDAJ	PREVOD NA UCET	1996	19020	SIPO	IJ	19228476
534934	1822	1995-07-12	VYDAJ	PREVOD NA UCET	1996	17901	SIPO	IJ	19228476
534935	1822	1995-08-12	VYDAJ	PREVOD NA UCET	1996	21174	SIPO	IJ	19228476
534936	1822	1995-09-12	VYDAJ	PREVOD NA UCET	1996	24457	SIPO	IJ	19228476
534937	1822	1995-10-12	VYDAJ	PREVOD NA UCET	1996	27752	SIPO	IJ	19228476
534938	1822	1995-11-12	VYDAJ	PREVOD NA UCET	1996	25076	SIPO	IJ	19228476
534939	1822	1995-12-12	VYDAJ	PREVOD NA UCET	1996	28374	SIPO	IJ	19228476
534940	1822	1996-01-12	VYDAJ	PREVOD NA UCET	1996	23550	SIPO	IJ	19228476
534941	1822	1996-02-12	VYDAJ	PREVOD NA UCET	1996	18923	SIPO	IJ	19228476
534942	1822	1996-03-12	VYDAJ	PREVOD NA UCET	1996	22202	SIPO	IJ	19228476
534943	1822	1996-04-12	VYDAJ	PREVOD NA UCET	1996	25488	SIPO	IJ	19228476
534944	1822	1996-05-12	VYDAJ	PREVOD NA UCET	1996	25582	SIPO	IJ	19228476
534945	1822	1996-06-12	VYDAJ	PREVOD NA UCET	1996	27580	SIPO	IJ	19228476
534946	1822	1996-07-12	VYDAJ	PREVOD NA UCET	1996	23270	SIPO	IJ	19228476
534947	1822	1996-08-12	VYDAJ	PREVOD NA UCET	1996	24000	SIPO	IJ	19228476
535050	1822	1998-10-02	VYDAJ	VYBER	3440	35000	\N	\N	\N
534948	1822	1996-09-12	VYDAJ	PREVOD NA UCET	1996	26338	SIPO	IJ	19228476
534949	1822	1996-10-12	VYDAJ	PREVOD NA UCET	1996	29644	SIPO	IJ	19228476
534950	1822	1996-11-12	VYDAJ	PREVOD NA UCET	1996	27272	SIPO	IJ	19228476
534951	1822	1996-12-12	VYDAJ	PREVOD NA UCET	1996	29581	SIPO	IJ	19228476
534952	1822	1997-01-12	VYDAJ	PREVOD NA UCET	1996	24500	SIPO	IJ	19228476
534953	1822	1997-02-12	VYDAJ	PREVOD NA UCET	1996	25319	SIPO	IJ	19228476
534954	1822	1997-03-12	VYDAJ	PREVOD NA UCET	1996	27576	SIPO	IJ	19228476
534955	1822	1997-04-12	VYDAJ	PREVOD NA UCET	1996	30884	SIPO	IJ	19228476
534956	1822	1997-05-12	VYDAJ	PREVOD NA UCET	1996	34205	SIPO	IJ	19228476
534957	1822	1997-06-12	VYDAJ	PREVOD NA UCET	1996	29491	SIPO	IJ	19228476
534958	1822	1997-07-12	VYDAJ	PREVOD NA UCET	1996	32017	SIPO	IJ	19228476
534959	1822	1997-08-12	VYDAJ	PREVOD NA UCET	1996	35343	SIPO	IJ	19228476
534960	1822	1997-09-12	VYDAJ	PREVOD NA UCET	1996	38683	SIPO	IJ	19228476
534961	1822	1997-10-12	VYDAJ	PREVOD NA UCET	1996	42037	SIPO	IJ	19228476
534962	1822	1997-11-12	VYDAJ	PREVOD NA UCET	1996	45404	SIPO	IJ	19228476
534963	1822	1997-12-12	VYDAJ	PREVOD NA UCET	1996	44543	SIPO	IJ	19228476
534964	1822	1998-01-12	VYDAJ	PREVOD NA UCET	1996	42003	SIPO	IJ	19228476
534965	1822	1998-02-12	VYDAJ	PREVOD NA UCET	1996	40809	SIPO	IJ	19228476
534966	1822	1998-03-12	VYDAJ	PREVOD NA UCET	1996	41611	SIPO	IJ	19228476
534967	1822	1998-04-12	VYDAJ	PREVOD NA UCET	1996	42017	SIPO	IJ	19228476
534968	1822	1998-05-12	VYDAJ	PREVOD NA UCET	1996	43219	SIPO	IJ	19228476
534969	1822	1998-06-12	VYDAJ	PREVOD NA UCET	1996	46591	SIPO	IJ	19228476
534970	1822	1998-07-12	VYDAJ	PREVOD NA UCET	1996	34583	SIPO	IJ	19228476
534971	1822	1998-08-12	VYDAJ	PREVOD NA UCET	1996	37919	SIPO	IJ	19228476
534972	1822	1998-09-12	VYDAJ	PREVOD NA UCET	1996	38303	SIPO	IJ	19228476
534973	1822	1998-10-12	VYDAJ	PREVOD NA UCET	1996	38214	SIPO	IJ	19228476
534974	1822	1998-11-12	VYDAJ	PREVOD NA UCET	1996	39009	SIPO	IJ	19228476
534975	1822	1998-12-12	VYDAJ	PREVOD NA UCET	1996	41813	SIPO	IJ	19228476
534977	1822	1994-06-22	VYDAJ	VYBER	11600	17064	\N	\N	\N
534978	1822	1995-06-02	VYDAJ	VYBER	9950	15806	\N	\N	\N
534979	1822	1996-06-13	VYDAJ	VYBER	7600	19980	\N	\N	\N
534980	1822	1997-06-02	VYDAJ	VYBER	8050	26277	\N	\N	\N
534981	1822	1998-06-25	VYDAJ	VYBER	13700	31211	\N	\N	\N
534982	1822	1993-12-09	VYDAJ	VYBER	900	26338	\N	\N	\N
534983	1822	1994-12-27	VYDAJ	VYBER	850	27129	\N	\N	\N
534984	1822	1995-12-18	VYDAJ	VYBER	550	27824	\N	\N	\N
534985	1822	1996-12-02	VYDAJ	VYBER	1000	26367	\N	\N	\N
534986	1822	1997-12-12	VYDAJ	VYBER	1200	46539	\N	\N	\N
534987	1822	1998-12-01	VYDAJ	VYBER	550	38599	\N	\N	\N
534994	1822	1994-01-06	VYDAJ	VYBER	1520	22258	\N	\N	\N
534995	1822	1994-01-04	VYDAJ	VYBER	2080	24258	\N	\N	\N
534996	1822	1994-01-27	VYDAJ	VYBER	960	24512	\N	\N	\N
534997	1822	1994-01-03	VYDAJ	VYBER	720	26338	\N	\N	\N
534998	1822	1994-01-05	VYDAJ	VYBER	480	23778	\N	\N	\N
534999	1822	1994-01-29	VYDAJ	VYBER	640	23872	\N	\N	\N
535000	1822	1995-01-03	VYDAJ	VYBER	560	26672	\N	\N	\N
535001	1822	1995-01-26	VYDAJ	VYBER	960	24806	\N	\N	\N
535002	1822	1995-01-12	VYDAJ	VYBER	1520	27326	\N	\N	\N
535003	1822	1995-01-05	VYDAJ	VYBER	1040	25632	\N	\N	\N
535004	1822	1995-01-28	VYDAJ	VYBER	1520	23286	\N	\N	\N
535005	1822	1995-01-26	VYDAJ	VYBER	1360	25766	\N	\N	\N
535006	1822	1996-01-17	VYDAJ	VYBER	1360	22190	\N	\N	\N
535007	1822	1996-01-28	VYDAJ	VYBER	2160	19390	\N	\N	\N
535008	1822	1996-01-08	VYDAJ	VYBER	1680	21296	\N	\N	\N
535009	1822	1996-01-02	VYDAJ	VYBER	1440	22976	\N	\N	\N
535010	1822	1996-01-11	VYDAJ	VYBER	960	25546	\N	\N	\N
535011	1822	1996-01-18	VYDAJ	VYBER	640	21550	\N	\N	\N
535012	1822	1997-01-07	VYDAJ	VYBER	1760	22006	\N	\N	\N
535013	1822	1997-01-24	VYDAJ	VYBER	1440	22020	\N	\N	\N
535014	1822	1997-01-01	VYDAJ	VYBER	1360	28326	\N	\N	\N
535015	1822	1997-01-06	VYDAJ	VYBER	2320	23766	\N	\N	\N
535016	1822	1997-01-24	VYDAJ	VYBER	1040	23460	\N	\N	\N
535017	1822	1997-01-11	VYDAJ	VYBER	720	26496	\N	\N	\N
535018	1822	1998-01-24	VYDAJ	VYBER	1920	38083	\N	\N	\N
535019	1822	1998-01-25	VYDAJ	VYBER	640	37443	\N	\N	\N
535020	1822	1998-01-03	VYDAJ	VYBER	1520	42229	\N	\N	\N
535021	1822	1998-01-10	VYDAJ	VYBER	1280	43999	\N	\N	\N
535022	1822	1998-01-13	VYDAJ	VYBER	2000	40003	\N	\N	\N
535023	1822	1998-01-08	VYDAJ	VYBER	2160	40069	\N	\N	\N
535027	1822	1993-10-09	VYDAJ	VYBER	1760	23349	\N	\N	\N
535029	1822	1993-10-10	VYDAJ	VYBER	2720	25839	\N	\N	\N
535031	1822	1994-02-07	VYDAJ	VYBER	3280	20681	\N	\N	\N
535032	1822	1994-06-19	VYDAJ	VYBER	2080	28664	\N	\N	\N
535033	1822	1995-06-13	VYDAJ	VYBER	2480	16540	\N	\N	\N
535034	1822	1995-07-10	VYDAJ	VYBER	1920	19897	\N	\N	\N
535035	1822	1995-10-28	VYDAJ	VYBER	2080	21772	\N	\N	\N
535036	1822	1995-03-13	VYDAJ	VYBER	3520	22979	\N	\N	\N
535037	1822	1995-03-20	VYDAJ	VYBER	400	22579	\N	\N	\N
535038	1822	1995-03-20	VYDAJ	VYBER	2400	20179	\N	\N	\N
535039	1822	1996-10-17	VYDAJ	VYBER	1760	27884	\N	\N	\N
535040	1822	1996-10-20	VYDAJ	VYBER	3360	24524	\N	\N	\N
535041	1822	1996-02-06	VYDAJ	VYBER	3760	15709	\N	\N	\N
535042	1822	1996-08-11	VYDAJ	VYBER	2560	25996	\N	\N	\N
535043	1822	1996-09-04	VYDAJ	VYBER	960	23124	\N	\N	\N
535044	1822	1996-11-09	VYDAJ	VYBER	560	24058	\N	\N	\N
535045	1822	1997-02-21	VYDAJ	VYBER	1040	24279	\N	\N	\N
535046	1822	1997-06-18	VYDAJ	VYBER	800	28691	\N	\N	\N
535047	1822	1997-12-21	VYDAJ	VYBER	960	43583	\N	\N	\N
535048	1822	1997-01-02	VYDAJ	VYBER	2240	26086	\N	\N	\N
535051	1822	1998-08-18	VYDAJ	VYBER	2960	34959	\N	\N	\N
535052	1822	1998-10-29	VYDAJ	VYBER	2560	35654	\N	\N	\N
535053	1822	1998-03-06	VYDAJ	VYBER	2560	38397	\N	\N	\N
535054	1822	1998-04-17	VYDAJ	VYBER	2160	39857	\N	\N	\N
535055	1822	1998-03-20	VYDAJ	VYBER	2960	38651	\N	\N	\N
535056	1822	1998-06-19	VYDAJ	VYBER	1680	44911	\N	\N	\N
535066	1822	1993-09-30	VYDAJ	VYBER	15	25109	SLUZBY	\N	\N
535067	1822	1993-10-31	VYDAJ	VYBER	15	23930	SLUZBY	\N	\N
535068	1822	1993-11-30	VYDAJ	VYBER	15	27238	SLUZBY	\N	\N
535069	1822	1993-12-31	VYDAJ	VYBER	15	29658	SLUZBY	\N	\N
535070	1822	1994-01-31	VYDAJ	VYBER	15	23961	SLUZBY	\N	\N
535071	1822	1994-02-28	VYDAJ	VYBER	15	23981	SLUZBY	\N	\N
535072	1822	1994-03-31	VYDAJ	VYBER	15	27289	SLUZBY	\N	\N
535073	1822	1994-04-30	VYDAJ	VYBER	15	27010	SLUZBY	\N	\N
535074	1822	1994-05-31	VYDAJ	VYBER	15	27530	SLUZBY	\N	\N
535075	1822	1994-06-30	VYDAJ	VYBER	15	17154	SLUZBY	\N	\N
535076	1822	1994-07-31	VYDAJ	VYBER	15	20434	SLUZBY	\N	\N
535077	1822	1994-08-31	VYDAJ	VYBER	15	23727	SLUZBY	\N	\N
535078	1822	1994-09-30	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
535079	1822	1994-10-31	VYDAJ	VYBER	15	27646	SLUZBY	\N	\N
535080	1822	1994-11-30	VYDAJ	VYBER	15	26665	SLUZBY	\N	\N
535081	1822	1994-12-31	VYDAJ	VYBER	15	27232	SLUZBY	\N	\N
535082	1822	1995-01-31	VYDAJ	VYBER	15	23383	SLUZBY	\N	\N
535083	1822	1995-02-28	VYDAJ	VYBER	15	23285	SLUZBY	\N	\N
535084	1822	1995-03-31	VYDAJ	VYBER	15	20259	SLUZBY	\N	\N
535085	1822	1995-04-30	VYDAJ	VYBER	15	23551	SLUZBY	\N	\N
535086	1822	1995-05-31	VYDAJ	VYBER	15	25756	SLUZBY	\N	\N
535087	1822	1995-06-30	VYDAJ	VYBER	15	16607	SLUZBY	\N	\N
535088	1822	1995-07-31	VYDAJ	VYBER	15	17960	SLUZBY	\N	\N
535089	1822	1995-08-31	VYDAJ	VYBER	15	21243	SLUZBY	\N	\N
535090	1822	1995-09-30	VYDAJ	VYBER	15	24538	SLUZBY	\N	\N
535091	1822	1995-10-31	VYDAJ	VYBER	15	21862	SLUZBY	\N	\N
535092	1822	1995-11-30	VYDAJ	VYBER	15	25160	SLUZBY	\N	\N
535093	1822	1995-12-31	VYDAJ	VYBER	15	24416	SLUZBY	\N	\N
535094	1822	1996-01-31	VYDAJ	VYBER	15	19469	SLUZBY	\N	\N
535095	1822	1996-02-29	VYDAJ	VYBER	15	18988	SLUZBY	\N	\N
535096	1822	1996-03-31	VYDAJ	VYBER	15	22274	SLUZBY	\N	\N
535097	1822	1996-04-30	VYDAJ	VYBER	15	22368	SLUZBY	\N	\N
535098	1822	1996-05-31	VYDAJ	VYBER	15	24366	SLUZBY	\N	\N
535099	1822	1996-06-30	VYDAJ	VYBER	15	20056	SLUZBY	\N	\N
535100	1822	1996-07-31	VYDAJ	VYBER	15	23346	SLUZBY	\N	\N
535101	1822	1996-08-31	VYDAJ	VYBER	15	24084	SLUZBY	\N	\N
535102	1822	1996-09-30	VYDAJ	VYBER	15	26430	SLUZBY	\N	\N
535103	1822	1996-10-31	VYDAJ	VYBER	15	24618	SLUZBY	\N	\N
535104	1822	1996-11-30	VYDAJ	VYBER	15	27367	SLUZBY	\N	\N
535105	1822	1996-12-31	VYDAJ	VYBER	15	29686	SLUZBY	\N	\N
535106	1822	1997-01-31	VYDAJ	VYBER	15	22105	SLUZBY	\N	\N
535107	1822	1997-02-28	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
535108	1822	1997-03-31	VYDAJ	VYBER	15	27670	SLUZBY	\N	\N
535109	1822	1997-04-30	VYDAJ	VYBER	15	30991	SLUZBY	\N	\N
535110	1822	1997-05-31	VYDAJ	VYBER	15	34327	SLUZBY	\N	\N
535111	1822	1997-06-30	VYDAJ	VYBER	15	28803	SLUZBY	\N	\N
535112	1822	1997-07-31	VYDAJ	VYBER	15	32129	SLUZBY	\N	\N
535113	1822	1997-08-31	VYDAJ	VYBER	15	35469	SLUZBY	\N	\N
535114	1822	1997-09-30	VYDAJ	VYBER	15	38823	SLUZBY	\N	\N
535115	1822	1997-10-31	VYDAJ	VYBER	15	42190	SLUZBY	\N	\N
535116	1822	1997-11-30	VYDAJ	VYBER	15	42529	SLUZBY	\N	\N
535117	1822	1997-12-31	VYDAJ	VYBER	15	43749	SLUZBY	\N	\N
535118	1822	1998-01-31	VYDAJ	VYBER	15	37595	SLUZBY	\N	\N
535119	1822	1998-02-28	VYDAJ	VYBER	15	40957	SLUZBY	\N	\N
535120	1822	1998-03-31	VYDAJ	VYBER	15	38803	SLUZBY	\N	\N
535121	1822	1998-04-30	VYDAJ	VYBER	15	40005	SLUZBY	\N	\N
535122	1822	1998-05-31	VYDAJ	VYBER	15	43377	SLUZBY	\N	\N
535123	1822	1998-06-30	VYDAJ	VYBER	15	31369	SLUZBY	\N	\N
535124	1822	1998-07-31	VYDAJ	VYBER	15	34705	SLUZBY	\N	\N
535125	1822	1998-08-31	VYDAJ	VYBER	15	35089	SLUZBY	\N	\N
535126	1822	1998-09-30	VYDAJ	VYBER	15	38440	SLUZBY	\N	\N
535127	1822	1998-10-31	VYDAJ	VYBER	15	35795	SLUZBY	\N	\N
535128	1822	1998-11-30	VYDAJ	VYBER	15	39149	SLUZBY	\N	\N
535129	1822	1993-12-31	VYDAJ	VYBER	2600	27058	\N	\N	\N
535130	1822	1994-04-30	VYDAJ	VYBER	3600	27025	\N	\N	\N
535131	1822	1994-05-30	VYDAJ	VYBER	2800	27424	\N	\N	\N
535132	1822	1994-09-27	VYDAJ	VYBER	1600	25341	\N	\N	\N
535133	1822	1994-10-27	VYDAJ	VYBER	1100	27546	\N	\N	\N
535134	1822	1994-11-26	VYDAJ	VYBER	4300	26560	\N	\N	\N
535135	1822	1994-12-26	VYDAJ	VYBER	1900	27979	\N	\N	\N
535136	1822	1995-01-25	VYDAJ	VYBER	200	27126	\N	\N	\N
535137	1822	1995-02-24	VYDAJ	VYBER	3400	23197	\N	\N	\N
535138	1822	1995-05-25	VYDAJ	VYBER	1100	25665	\N	\N	\N
535139	1822	1995-10-22	VYDAJ	VYBER	3900	23852	\N	\N	\N
535140	1822	1995-12-21	VYDAJ	VYBER	3500	24324	\N	\N	\N
535141	1822	1996-04-19	VYDAJ	VYBER	3200	22288	\N	\N	\N
535142	1822	1996-05-19	VYDAJ	VYBER	1300	24282	\N	\N	\N
535211	1823	1996-09-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
535221	1823	1996-10-05	PRIJEM	PREVOD Z UCTU	4941	5941	DUCHOD	CD	91663467
535222	1823	1996-11-05	PRIJEM	PREVOD Z UCTU	4941	10882	DUCHOD	CD	91663467
535223	1823	1996-12-05	PRIJEM	PREVOD Z UCTU	4941	15823	DUCHOD	CD	91663467
535224	1823	1997-01-05	PRIJEM	PREVOD Z UCTU	4941	20764	DUCHOD	CD	91663467
535225	1823	1997-02-05	PRIJEM	PREVOD Z UCTU	4941	25705	DUCHOD	CD	91663467
535226	1823	1997-03-05	PRIJEM	PREVOD Z UCTU	4941	27467	DUCHOD	CD	91663467
535227	1823	1997-04-05	PRIJEM	PREVOD Z UCTU	4941	27648	DUCHOD	CD	91663467
535228	1823	1997-05-05	PRIJEM	PREVOD Z UCTU	4941	24644	DUCHOD	CD	91663467
535229	1823	1997-06-05	PRIJEM	PREVOD Z UCTU	4941	23512	DUCHOD	CD	91663467
535230	1823	1997-07-05	PRIJEM	PREVOD Z UCTU	4941	20673	DUCHOD	CD	91663467
535231	1823	1997-08-05	PRIJEM	PREVOD Z UCTU	4941	22127	DUCHOD	CD	91663467
535232	1823	1997-09-05	PRIJEM	PREVOD Z UCTU	4941	17462	DUCHOD	CD	91663467
535233	1823	1997-10-05	PRIJEM	PREVOD Z UCTU	4941	20112	DUCHOD	CD	91663467
535234	1823	1997-11-05	PRIJEM	PREVOD Z UCTU	4941	17563	DUCHOD	CD	91663467
535235	1823	1997-12-05	PRIJEM	PREVOD Z UCTU	4941	17408	DUCHOD	CD	91663467
535236	1823	1998-01-05	PRIJEM	PREVOD Z UCTU	4941	18753	DUCHOD	CD	91663467
535237	1823	1998-02-05	PRIJEM	PREVOD Z UCTU	4941	17794	DUCHOD	CD	91663467
535238	1823	1998-03-05	PRIJEM	PREVOD Z UCTU	4941	15409	DUCHOD	CD	91663467
535239	1823	1998-04-05	PRIJEM	PREVOD Z UCTU	4941	18041	DUCHOD	CD	91663467
535240	1823	1998-05-05	PRIJEM	PREVOD Z UCTU	4941	20684	DUCHOD	CD	91663467
535241	1823	1998-06-05	PRIJEM	PREVOD Z UCTU	4941	22303	DUCHOD	CD	91663467
535242	1823	1998-07-05	PRIJEM	PREVOD Z UCTU	4941	24972	DUCHOD	CD	91663467
535243	1823	1998-08-05	PRIJEM	PREVOD Z UCTU	4941	17328	DUCHOD	CD	91663467
535244	1823	1998-09-05	PRIJEM	PREVOD Z UCTU	4941	19976	DUCHOD	CD	91663467
535245	1823	1998-10-05	PRIJEM	PREVOD Z UCTU	4941	19501	DUCHOD	CD	91663467
535246	1823	1998-11-05	PRIJEM	PREVOD Z UCTU	4941	22150	DUCHOD	CD	91663467
535247	1823	1998-12-05	PRIJEM	PREVOD Z UCTU	4941	23286	DUCHOD	CD	91663467
535261	1823	1997-02-05	VYDAJ	PREVOD NA UCET	2347	23358	SIPO	QR	10427672
535262	1823	1997-03-05	VYDAJ	PREVOD NA UCET	2347	25120	SIPO	QR	10427672
535263	1823	1997-04-05	VYDAJ	PREVOD NA UCET	2347	25301	SIPO	QR	10427672
535264	1823	1997-05-05	VYDAJ	PREVOD NA UCET	2347	22297	SIPO	QR	10427672
535265	1823	1997-06-05	VYDAJ	PREVOD NA UCET	2347	21165	SIPO	QR	10427672
535266	1823	1997-07-05	VYDAJ	PREVOD NA UCET	2347	18326	SIPO	QR	10427672
535267	1823	1997-08-05	VYDAJ	PREVOD NA UCET	2347	19780	SIPO	QR	10427672
535268	1823	1997-09-05	VYDAJ	PREVOD NA UCET	2347	15115	SIPO	QR	10427672
535269	1823	1997-10-05	VYDAJ	PREVOD NA UCET	2347	17765	SIPO	QR	10427672
535270	1823	1997-11-05	VYDAJ	PREVOD NA UCET	2347	15216	SIPO	QR	10427672
535271	1823	1997-12-05	VYDAJ	PREVOD NA UCET	2347	15061	SIPO	QR	10427672
535272	1823	1998-01-05	VYDAJ	PREVOD NA UCET	2347	16406	SIPO	QR	10427672
535273	1823	1998-02-05	VYDAJ	PREVOD NA UCET	2347	15447	SIPO	QR	10427672
535274	1823	1998-03-05	VYDAJ	PREVOD NA UCET	2347	13062	SIPO	QR	10427672
535275	1823	1998-04-05	VYDAJ	PREVOD NA UCET	2347	15694	SIPO	QR	10427672
535276	1823	1998-05-05	VYDAJ	PREVOD NA UCET	2347	18337	SIPO	QR	10427672
535277	1823	1998-06-05	VYDAJ	PREVOD NA UCET	2347	19956	SIPO	QR	10427672
535278	1823	1998-07-05	VYDAJ	PREVOD NA UCET	2347	22625	SIPO	QR	10427672
535279	1823	1998-08-05	VYDAJ	PREVOD NA UCET	2347	14981	SIPO	QR	10427672
535280	1823	1998-09-05	VYDAJ	PREVOD NA UCET	2347	17629	SIPO	QR	10427672
535281	1823	1998-10-05	VYDAJ	PREVOD NA UCET	2347	17154	SIPO	QR	10427672
535282	1823	1998-11-05	VYDAJ	PREVOD NA UCET	2347	19803	SIPO	QR	10427672
535283	1823	1998-12-05	VYDAJ	PREVOD NA UCET	2347	20939	SIPO	QR	10427672
535291	1823	1997-12-03	VYDAJ	VYBER	800	12467	\N	\N	\N
535292	1823	1998-12-24	VYDAJ	VYBER	850	20089	\N	\N	\N
535301	1823	1997-09-03	VYDAJ	VYBER	2320	12521	\N	\N	\N
535303	1823	1997-04-18	VYDAJ	VYBER	3680	21621	\N	\N	\N
535307	1823	1998-05-23	VYDAJ	VYBER	1040	17297	\N	\N	\N
535308	1823	1998-09-15	VYDAJ	VYBER	3120	14509	\N	\N	\N
535309	1823	1998-02-18	VYDAJ	VYBER	1520	13927	\N	\N	\N
535310	1823	1998-11-07	VYDAJ	VYBER	1520	18283	\N	\N	\N
535325	1823	1997-02-28	VYDAJ	VYBER	15	22526	SLUZBY	\N	\N
535326	1823	1997-03-31	VYDAJ	VYBER	15	22707	SLUZBY	\N	\N
535327	1823	1997-04-30	VYDAJ	VYBER	15	19703	SLUZBY	\N	\N
535328	1823	1997-05-31	VYDAJ	VYBER	15	18571	SLUZBY	\N	\N
535329	1823	1997-06-30	VYDAJ	VYBER	15	15732	SLUZBY	\N	\N
535330	1823	1997-07-31	VYDAJ	VYBER	15	17186	SLUZBY	\N	\N
535331	1823	1997-08-31	VYDAJ	VYBER	15	14841	SLUZBY	\N	\N
535332	1823	1997-09-30	VYDAJ	VYBER	15	15171	SLUZBY	\N	\N
535333	1823	1997-10-31	VYDAJ	VYBER	15	12622	SLUZBY	\N	\N
535334	1823	1997-11-30	VYDAJ	VYBER	15	13267	SLUZBY	\N	\N
535335	1823	1997-12-31	VYDAJ	VYBER	15	13812	SLUZBY	\N	\N
535336	1823	1998-01-31	VYDAJ	VYBER	15	12853	SLUZBY	\N	\N
535337	1823	1998-02-28	VYDAJ	VYBER	15	10468	SLUZBY	\N	\N
535338	1823	1998-03-31	VYDAJ	VYBER	15	13100	SLUZBY	\N	\N
535339	1823	1998-04-30	VYDAJ	VYBER	15	15743	SLUZBY	\N	\N
535340	1823	1998-05-31	VYDAJ	VYBER	15	17362	SLUZBY	\N	\N
535341	1823	1998-06-30	VYDAJ	VYBER	15	20031	SLUZBY	\N	\N
535342	1823	1998-07-31	VYDAJ	VYBER	15	12387	SLUZBY	\N	\N
535343	1823	1998-08-31	VYDAJ	VYBER	15	15035	SLUZBY	\N	\N
535344	1823	1998-09-30	VYDAJ	VYBER	15	14560	SLUZBY	\N	\N
535345	1823	1998-10-31	VYDAJ	VYBER	15	17209	SLUZBY	\N	\N
535346	1823	1998-11-30	VYDAJ	VYBER	15	18345	SLUZBY	\N	\N
535347	1823	1997-02-25	VYDAJ	VYBER	900	22458	\N	\N	\N
535348	1823	1997-03-27	VYDAJ	VYBER	2500	22620	\N	\N	\N
535349	1823	1997-04-26	VYDAJ	VYBER	2000	19621	\N	\N	\N
535350	1823	1997-05-26	VYDAJ	VYBER	3800	18497	\N	\N	\N
535351	1823	1997-06-25	VYDAJ	VYBER	5500	15665	\N	\N	\N
535352	1823	1997-07-25	VYDAJ	VYBER	1200	17126	\N	\N	\N
535353	1823	1997-08-24	VYDAJ	VYBER	5000	14780	\N	\N	\N
535354	1823	1997-10-23	VYDAJ	VYBER	5200	12565	\N	\N	\N
535355	1823	1997-11-22	VYDAJ	VYBER	2000	13216	\N	\N	\N
535356	1823	1997-12-22	VYDAJ	VYBER	1300	13761	\N	\N	\N
535357	1823	1998-01-21	VYDAJ	VYBER	3600	12806	\N	\N	\N
535358	1823	1998-02-20	VYDAJ	VYBER	3500	10427	\N	\N	\N
535359	1823	1998-07-20	VYDAJ	VYBER	10300	12325	\N	\N	\N
535383	1824	1994-01-17	PRIJEM	VKLAD	300	300	\N	\N	\N
535385	1824	1994-02-09	PRIJEM	VKLAD	24068	24368	\N	\N	\N
535386	1824	1994-03-09	PRIJEM	VKLAD	24068	46179	\N	\N	\N
535387	1824	1994-04-09	PRIJEM	VKLAD	24068	58261	\N	\N	\N
535388	1824	1994-05-09	PRIJEM	VKLAD	24068	64083	\N	\N	\N
535389	1824	1994-06-09	PRIJEM	VKLAD	36102	83065	\N	\N	\N
535390	1824	1994-07-09	PRIJEM	VKLAD	24068	65162	\N	\N	\N
535391	1824	1994-08-09	PRIJEM	VKLAD	24068	57689	\N	\N	\N
535392	1824	1994-09-09	PRIJEM	VKLAD	24068	53172	\N	\N	\N
535393	1824	1994-10-09	PRIJEM	VKLAD	24068	53663	\N	\N	\N
535394	1824	1994-11-09	PRIJEM	VKLAD	24068	47949	\N	\N	\N
535395	1824	1994-12-09	PRIJEM	VKLAD	36102	56871	\N	\N	\N
535396	1824	1995-01-09	PRIJEM	VKLAD	24068	46869	\N	\N	\N
535397	1824	1995-02-09	PRIJEM	VKLAD	24068	39983	\N	\N	\N
535398	1824	1995-03-09	PRIJEM	VKLAD	24068	45048	\N	\N	\N
535399	1824	1995-04-09	PRIJEM	VKLAD	24068	48310	\N	\N	\N
535400	1824	1995-05-09	PRIJEM	VKLAD	24068	49779	\N	\N	\N
535401	1824	1995-06-09	PRIJEM	VKLAD	36102	60821	\N	\N	\N
535402	1824	1995-07-09	PRIJEM	VKLAD	24068	53931	\N	\N	\N
535403	1824	1995-08-09	PRIJEM	VKLAD	24068	50405	\N	\N	\N
535404	1824	1995-09-09	PRIJEM	VKLAD	24068	47130	\N	\N	\N
535405	1824	1995-10-09	PRIJEM	VKLAD	24068	51493	\N	\N	\N
535406	1824	1995-11-09	PRIJEM	VKLAD	24068	51274	\N	\N	\N
535407	1824	1995-12-09	PRIJEM	VKLAD	36102	68124	\N	\N	\N
535408	1824	1996-01-09	PRIJEM	VKLAD	24068	56036	\N	\N	\N
535409	1824	1996-02-09	PRIJEM	VKLAD	24068	55655	\N	\N	\N
535410	1824	1996-03-09	PRIJEM	VKLAD	24068	53969	\N	\N	\N
535411	1824	1996-04-09	PRIJEM	VKLAD	24068	58804	\N	\N	\N
535412	1824	1996-05-09	PRIJEM	VKLAD	24068	57772	\N	\N	\N
535413	1824	1996-06-09	PRIJEM	VKLAD	36102	73554	\N	\N	\N
535414	1824	1996-07-09	PRIJEM	VKLAD	24068	69349	\N	\N	\N
535415	1824	1996-08-09	PRIJEM	VKLAD	24068	56822	\N	\N	\N
535416	1824	1996-09-09	PRIJEM	VKLAD	24068	50187	\N	\N	\N
535417	1824	1996-10-09	PRIJEM	VKLAD	24068	52907	\N	\N	\N
535418	1824	1996-11-09	PRIJEM	VKLAD	24068	52830	\N	\N	\N
535419	1824	1996-12-09	PRIJEM	VKLAD	36102	65339	\N	\N	\N
535420	1824	1997-01-09	PRIJEM	VKLAD	24068	47258	\N	\N	\N
535421	1824	1997-02-09	PRIJEM	VKLAD	24068	52320	\N	\N	\N
535422	1824	1997-03-09	PRIJEM	VKLAD	24068	57737	\N	\N	\N
535423	1824	1997-04-09	PRIJEM	VKLAD	24068	60578	\N	\N	\N
535424	1824	1997-05-09	PRIJEM	VKLAD	24068	64332	\N	\N	\N
535425	1824	1997-06-09	PRIJEM	VKLAD	36102	74751	\N	\N	\N
535426	1824	1997-07-09	PRIJEM	VKLAD	24068	68059	\N	\N	\N
535427	1824	1997-08-09	PRIJEM	VKLAD	24068	61726	\N	\N	\N
535428	1824	1997-09-09	PRIJEM	VKLAD	24068	62678	\N	\N	\N
535429	1824	1997-10-09	PRIJEM	VKLAD	24068	64333	\N	\N	\N
535430	1824	1997-11-09	PRIJEM	VKLAD	24068	68095	\N	\N	\N
535431	1824	1997-12-09	PRIJEM	VKLAD	36102	73982	\N	\N	\N
535432	1824	1998-01-09	PRIJEM	VKLAD	24068	69424	\N	\N	\N
535433	1824	1998-02-09	PRIJEM	VKLAD	24068	61960	\N	\N	\N
535434	1824	1998-03-09	PRIJEM	VKLAD	24068	60700	\N	\N	\N
535435	1824	1998-04-09	PRIJEM	VKLAD	24068	61380	\N	\N	\N
535436	1824	1998-05-09	PRIJEM	VKLAD	24068	65728	\N	\N	\N
535437	1824	1998-06-09	PRIJEM	VKLAD	36102	82627	\N	\N	\N
535438	1824	1998-07-09	PRIJEM	VKLAD	24068	78140	\N	\N	\N
535439	1824	1998-08-09	PRIJEM	VKLAD	24068	73640	\N	\N	\N
535440	1824	1998-09-09	PRIJEM	VKLAD	24068	72190	\N	\N	\N
535441	1824	1998-10-09	PRIJEM	VKLAD	24068	75077	\N	\N	\N
535442	1824	1998-11-09	PRIJEM	VKLAD	24068	78174	\N	\N	\N
535443	1824	1998-12-09	PRIJEM	VKLAD	36102	92917	\N	\N	\N
535449	1824	1994-06-10	VYDAJ	PREVOD NA UCET	319	82746	SIPO	AB	51449030
535450	1824	1994-07-10	VYDAJ	PREVOD NA UCET	319	64843	SIPO	AB	51449030
535451	1824	1994-08-10	VYDAJ	PREVOD NA UCET	319	57370	SIPO	AB	51449030
535452	1824	1994-09-10	VYDAJ	PREVOD NA UCET	319	52853	SIPO	AB	51449030
535453	1824	1994-10-10	VYDAJ	PREVOD NA UCET	319	53344	SIPO	AB	51449030
535454	1824	1994-11-10	VYDAJ	PREVOD NA UCET	319	47630	SIPO	AB	51449030
535455	1824	1994-12-10	VYDAJ	PREVOD NA UCET	319	56552	SIPO	AB	51449030
535456	1824	1995-01-10	VYDAJ	PREVOD NA UCET	319	46550	SIPO	AB	51449030
535457	1824	1995-02-10	VYDAJ	PREVOD NA UCET	319	39664	SIPO	AB	51449030
535458	1824	1995-03-10	VYDAJ	PREVOD NA UCET	319	44729	SIPO	AB	51449030
535459	1824	1995-04-10	VYDAJ	PREVOD NA UCET	319	47991	SIPO	AB	51449030
535460	1824	1995-05-10	VYDAJ	PREVOD NA UCET	319	46100	SIPO	AB	51449030
535461	1824	1995-06-10	VYDAJ	PREVOD NA UCET	319	60502	SIPO	AB	51449030
535462	1824	1995-07-10	VYDAJ	PREVOD NA UCET	319	53612	SIPO	AB	51449030
535463	1824	1995-08-10	VYDAJ	PREVOD NA UCET	319	33886	SIPO	AB	51449030
535464	1824	1995-09-10	VYDAJ	PREVOD NA UCET	319	36811	SIPO	AB	51449030
535465	1824	1995-10-10	VYDAJ	PREVOD NA UCET	319	39374	SIPO	AB	51449030
535466	1824	1995-11-10	VYDAJ	PREVOD NA UCET	319	50955	SIPO	AB	51449030
535467	1824	1995-12-10	VYDAJ	PREVOD NA UCET	319	66725	SIPO	AB	51449030
535468	1824	1996-01-10	VYDAJ	PREVOD NA UCET	319	55717	SIPO	AB	51449030
535469	1824	1996-02-10	VYDAJ	PREVOD NA UCET	319	55336	SIPO	AB	51449030
535470	1824	1996-03-10	VYDAJ	PREVOD NA UCET	319	53650	SIPO	AB	51449030
535471	1824	1996-04-10	VYDAJ	PREVOD NA UCET	319	58485	SIPO	AB	51449030
535472	1824	1996-05-10	VYDAJ	PREVOD NA UCET	319	57453	SIPO	AB	51449030
535473	1824	1996-06-10	VYDAJ	PREVOD NA UCET	319	73235	SIPO	AB	51449030
535474	1824	1996-07-10	VYDAJ	PREVOD NA UCET	319	69030	SIPO	AB	51449030
535475	1824	1996-08-10	VYDAJ	PREVOD NA UCET	319	56503	SIPO	AB	51449030
535476	1824	1996-09-10	VYDAJ	PREVOD NA UCET	319	49868	SIPO	AB	51449030
535477	1824	1996-10-10	VYDAJ	PREVOD NA UCET	319	52588	SIPO	AB	51449030
535478	1824	1996-11-10	VYDAJ	PREVOD NA UCET	319	52511	SIPO	AB	51449030
535479	1824	1996-12-10	VYDAJ	PREVOD NA UCET	319	65020	SIPO	AB	51449030
535480	1824	1997-01-10	VYDAJ	PREVOD NA UCET	319	46939	SIPO	AB	51449030
535481	1824	1997-02-10	VYDAJ	PREVOD NA UCET	319	52001	SIPO	AB	51449030
535482	1824	1997-03-10	VYDAJ	PREVOD NA UCET	319	57418	SIPO	AB	51449030
535483	1824	1997-04-10	VYDAJ	PREVOD NA UCET	319	60259	SIPO	AB	51449030
535484	1824	1997-05-10	VYDAJ	PREVOD NA UCET	319	64013	SIPO	AB	51449030
535485	1824	1997-06-10	VYDAJ	PREVOD NA UCET	319	74432	SIPO	AB	51449030
535486	1824	1997-07-10	VYDAJ	PREVOD NA UCET	319	64860	SIPO	AB	51449030
535487	1824	1997-08-10	VYDAJ	PREVOD NA UCET	319	61407	SIPO	AB	51449030
535488	1824	1997-09-10	VYDAJ	PREVOD NA UCET	319	62359	SIPO	AB	51449030
535489	1824	1997-10-10	VYDAJ	PREVOD NA UCET	319	64014	SIPO	AB	51449030
535490	1824	1997-11-10	VYDAJ	PREVOD NA UCET	319	67776	SIPO	AB	51449030
535491	1824	1997-12-10	VYDAJ	PREVOD NA UCET	319	72823	SIPO	AB	51449030
535492	1824	1998-01-10	VYDAJ	PREVOD NA UCET	319	69105	SIPO	AB	51449030
535493	1824	1998-02-10	VYDAJ	PREVOD NA UCET	319	61641	SIPO	AB	51449030
535494	1824	1998-03-10	VYDAJ	PREVOD NA UCET	319	60381	SIPO	AB	51449030
535495	1824	1998-04-10	VYDAJ	PREVOD NA UCET	319	61061	SIPO	AB	51449030
535496	1824	1998-05-10	VYDAJ	PREVOD NA UCET	319	65409	SIPO	AB	51449030
535497	1824	1998-06-10	VYDAJ	PREVOD NA UCET	319	82308	SIPO	AB	51449030
535498	1824	1998-07-10	VYDAJ	PREVOD NA UCET	319	77821	SIPO	AB	51449030
535499	1824	1998-08-10	VYDAJ	PREVOD NA UCET	319	73321	SIPO	AB	51449030
535500	1824	1998-09-10	VYDAJ	PREVOD NA UCET	319	71871	SIPO	AB	51449030
535501	1824	1998-10-10	VYDAJ	PREVOD NA UCET	319	74758	SIPO	AB	51449030
535502	1824	1998-11-10	VYDAJ	PREVOD NA UCET	319	77855	SIPO	AB	51449030
535503	1824	1998-12-10	VYDAJ	PREVOD NA UCET	319	92598	SIPO	AB	51449030
535510	1824	1994-07-05	VYDAJ	PREVOD NA UCET	9515	41094	 	CD	62974762
535511	1824	1994-08-05	VYDAJ	PREVOD NA UCET	9515	33621	 	CD	62974762
535512	1824	1994-09-05	VYDAJ	PREVOD NA UCET	9515	29104	 	CD	62974762
535513	1824	1994-10-05	VYDAJ	PREVOD NA UCET	9515	29595	 	CD	62974762
535514	1824	1994-11-05	VYDAJ	PREVOD NA UCET	9515	23881	 	CD	62974762
535515	1824	1994-12-05	VYDAJ	PREVOD NA UCET	9515	23649	 	CD	62974762
535516	1824	1995-01-05	VYDAJ	PREVOD NA UCET	9515	26161	 	CD	62974762
535517	1824	1995-02-05	VYDAJ	PREVOD NA UCET	9515	15915	 	CD	62974762
535518	1824	1995-03-05	VYDAJ	PREVOD NA UCET	9515	20980	 	CD	62974762
535519	1824	1995-04-05	VYDAJ	PREVOD NA UCET	9515	24242	 	CD	62974762
535520	1824	1995-05-05	VYDAJ	PREVOD NA UCET	9515	25711	 	CD	62974762
535521	1824	1995-06-05	VYDAJ	PREVOD NA UCET	9515	24719	 	CD	62974762
535522	1824	1995-07-05	VYDAJ	PREVOD NA UCET	9515	29863	 	CD	62974762
535523	1824	1995-08-05	VYDAJ	PREVOD NA UCET	9515	26337	 	CD	62974762
535524	1824	1995-09-05	VYDAJ	PREVOD NA UCET	9515	23062	 	CD	62974762
535525	1824	1995-10-05	VYDAJ	PREVOD NA UCET	9515	27425	 	CD	62974762
535526	1824	1995-11-05	VYDAJ	PREVOD NA UCET	9515	30006	 	CD	62974762
535527	1824	1995-12-05	VYDAJ	PREVOD NA UCET	9515	41622	 	CD	62974762
535528	1824	1996-01-05	VYDAJ	PREVOD NA UCET	9515	54408	 	CD	62974762
535529	1824	1996-02-05	VYDAJ	PREVOD NA UCET	9515	40887	 	CD	62974762
535530	1824	1996-03-05	VYDAJ	PREVOD NA UCET	9515	42901	 	CD	62974762
535531	1824	1996-04-05	VYDAJ	PREVOD NA UCET	9515	44336	 	CD	62974762
535532	1824	1996-05-05	VYDAJ	PREVOD NA UCET	9515	47504	 	CD	62974762
535533	1824	1996-06-05	VYDAJ	PREVOD NA UCET	9515	37452	 	CD	62974762
535534	1824	1996-07-05	VYDAJ	PREVOD NA UCET	9515	63981	 	CD	62974762
535535	1824	1996-08-05	VYDAJ	PREVOD NA UCET	9515	32754	 	CD	62974762
535536	1824	1996-09-05	VYDAJ	PREVOD NA UCET	9515	31399	 	CD	62974762
535537	1824	1996-10-05	VYDAJ	PREVOD NA UCET	9515	28839	 	CD	62974762
535538	1824	1996-11-05	VYDAJ	PREVOD NA UCET	9515	28762	 	CD	62974762
535539	1824	1996-12-05	VYDAJ	PREVOD NA UCET	9515	29237	 	CD	62974762
535540	1824	1997-01-05	VYDAJ	PREVOD NA UCET	9515	26550	 	CD	62974762
535541	1824	1997-02-05	VYDAJ	PREVOD NA UCET	9515	28252	 	CD	62974762
535542	1824	1997-03-05	VYDAJ	PREVOD NA UCET	9515	33669	 	CD	62974762
535543	1824	1997-04-05	VYDAJ	PREVOD NA UCET	9515	36510	 	CD	62974762
535544	1824	1997-05-05	VYDAJ	PREVOD NA UCET	9515	40264	 	CD	62974762
535545	1824	1997-06-05	VYDAJ	PREVOD NA UCET	9515	38649	 	CD	62974762
535546	1824	1997-07-05	VYDAJ	PREVOD NA UCET	9515	43991	 	CD	62974762
535547	1824	1997-08-05	VYDAJ	PREVOD NA UCET	9515	37658	 	CD	62974762
535548	1824	1997-09-05	VYDAJ	PREVOD NA UCET	9515	38610	 	CD	62974762
535549	1824	1997-10-05	VYDAJ	PREVOD NA UCET	9515	40265	 	CD	62974762
535550	1824	1997-11-05	VYDAJ	PREVOD NA UCET	9515	44027	 	CD	62974762
535551	1824	1997-12-05	VYDAJ	PREVOD NA UCET	9515	40280	 	CD	62974762
535552	1824	1998-01-05	VYDAJ	PREVOD NA UCET	9515	45356	 	CD	62974762
535553	1824	1998-02-05	VYDAJ	PREVOD NA UCET	9515	37892	 	CD	62974762
535554	1824	1998-03-05	VYDAJ	PREVOD NA UCET	9515	36632	 	CD	62974762
535555	1824	1998-04-05	VYDAJ	PREVOD NA UCET	9515	37312	 	CD	62974762
535556	1824	1998-05-05	VYDAJ	PREVOD NA UCET	9515	41660	 	CD	62974762
535557	1824	1998-06-05	VYDAJ	PREVOD NA UCET	9515	46525	 	CD	62974762
535558	1824	1998-07-05	VYDAJ	PREVOD NA UCET	9515	54072	 	CD	62974762
535559	1824	1998-08-05	VYDAJ	PREVOD NA UCET	9515	49572	 	CD	62974762
535560	1824	1998-09-05	VYDAJ	PREVOD NA UCET	9515	50162	 	CD	62974762
535561	1824	1998-10-05	VYDAJ	PREVOD NA UCET	9515	51009	 	CD	62974762
535562	1824	1998-11-05	VYDAJ	PREVOD NA UCET	9515	54106	 	CD	62974762
535563	1824	1998-12-05	VYDAJ	PREVOD NA UCET	9515	56815	 	CD	62974762
535564	1824	1994-12-05	VYDAJ	VYBER	2880	20769	\N	\N	\N
535565	1824	1995-12-10	VYDAJ	VYBER	2080	64645	\N	\N	\N
535566	1824	1996-12-28	VYDAJ	VYBER	3520	61500	\N	\N	\N
535567	1824	1997-12-08	VYDAJ	VYBER	2400	37880	\N	\N	\N
535568	1824	1998-12-15	VYDAJ	VYBER	3680	88918	\N	\N	\N
535575	1824	1995-01-06	VYDAJ	VYBER	3360	22801	\N	\N	\N
535576	1824	1995-01-22	VYDAJ	VYBER	2640	30710	\N	\N	\N
535577	1824	1995-01-30	VYDAJ	VYBER	2880	25310	\N	\N	\N
535578	1824	1995-01-27	VYDAJ	VYBER	1560	28190	\N	\N	\N
535579	1824	1995-01-24	VYDAJ	VYBER	960	29750	\N	\N	\N
535580	1824	1995-01-02	VYDAJ	VYBER	2520	35676	\N	\N	\N
535581	1824	1996-01-16	VYDAJ	VYBER	1800	53917	\N	\N	\N
535582	1824	1996-01-08	VYDAJ	VYBER	3240	31968	\N	\N	\N
535583	1824	1996-01-06	VYDAJ	VYBER	1800	52608	\N	\N	\N
535584	1824	1996-01-03	VYDAJ	VYBER	960	63923	\N	\N	\N
535585	1824	1996-01-17	VYDAJ	VYBER	2520	51397	\N	\N	\N
535586	1824	1996-01-23	VYDAJ	VYBER	1200	50197	\N	\N	\N
535587	1824	1997-01-27	VYDAJ	VYBER	960	40219	\N	\N	\N
535588	1824	1997-01-01	VYDAJ	VYBER	1080	41945	\N	\N	\N
535589	1824	1997-01-11	VYDAJ	VYBER	1200	42859	\N	\N	\N
535590	1824	1997-01-11	VYDAJ	VYBER	2880	44059	\N	\N	\N
535591	1824	1997-01-06	VYDAJ	VYBER	3360	23190	\N	\N	\N
535592	1824	1997-01-18	VYDAJ	VYBER	1680	41179	\N	\N	\N
535593	1824	1998-01-13	VYDAJ	VYBER	1920	66105	\N	\N	\N
535594	1824	1998-01-19	VYDAJ	VYBER	3360	61065	\N	\N	\N
535595	1824	1998-01-22	VYDAJ	VYBER	2160	55785	\N	\N	\N
535596	1824	1998-01-13	VYDAJ	VYBER	1680	64425	\N	\N	\N
535597	1824	1998-01-20	VYDAJ	VYBER	3120	57945	\N	\N	\N
535598	1824	1998-01-12	VYDAJ	VYBER	1080	68025	\N	\N	\N
535599	1824	1994-08-20	VYDAJ	VYBER	4320	38450	\N	\N	\N
535602	1824	1994-10-29	VYDAJ	VYBER	4200	33244	\N	\N	\N
535603	1824	1994-11-21	VYDAJ	VYBER	2400	33030	\N	\N	\N
535604	1824	1994-06-23	VYDAJ	VYBER	5760	50386	\N	\N	\N
535605	1824	1995-12-09	VYDAJ	VYBER	1080	67044	\N	\N	\N
535606	1824	1995-05-09	VYDAJ	VYBER	3360	46419	\N	\N	\N
535607	1824	1995-09-02	VYDAJ	VYBER	1440	32577	\N	\N	\N
535608	1824	1995-07-01	VYDAJ	VYBER	2880	39378	\N	\N	\N
535609	1824	1995-02-16	VYDAJ	VYBER	2280	30384	\N	\N	\N
535610	1824	1996-11-11	VYDAJ	VYBER	3240	49271	\N	\N	\N
535611	1824	1996-07-15	VYDAJ	VYBER	5520	63510	\N	\N	\N
535612	1824	1996-09-05	VYDAJ	VYBER	5280	26119	\N	\N	\N
535613	1824	1996-02-27	VYDAJ	VYBER	3120	52216	\N	\N	\N
535614	1824	1996-04-26	VYDAJ	VYBER	1680	56805	\N	\N	\N
535615	1824	1997-07-22	VYDAJ	VYBER	4320	60540	\N	\N	\N
535616	1824	1997-05-23	VYDAJ	VYBER	4080	59933	\N	\N	\N
535617	1824	1997-07-10	VYDAJ	VYBER	2880	65179	\N	\N	\N
535618	1824	1997-12-10	VYDAJ	VYBER	840	73142	\N	\N	\N
535619	1824	1997-11-23	VYDAJ	VYBER	1320	66456	\N	\N	\N
535620	1824	1997-01-04	VYDAJ	VYBER	5880	36065	\N	\N	\N
535621	1824	1998-02-14	VYDAJ	VYBER	4200	57441	\N	\N	\N
535622	1824	1998-09-08	VYDAJ	VYBER	2040	48122	\N	\N	\N
535623	1824	1998-07-13	VYDAJ	VYBER	4200	73621	\N	\N	\N
535624	1824	1998-03-20	VYDAJ	VYBER	2760	57621	\N	\N	\N
535625	1824	1998-12-24	VYDAJ	VYBER	4560	71758	\N	\N	\N
535626	1824	1998-11-26	VYDAJ	VYBER	600	66055	\N	\N	\N
535633	1824	1994-06-30	VYDAJ	VYBER	15	50609	SLUZBY	\N	\N
535634	1824	1994-07-31	VYDAJ	VYBER	15	43136	SLUZBY	\N	\N
535635	1824	1994-08-31	VYDAJ	VYBER	15	38619	SLUZBY	\N	\N
535636	1824	1994-09-30	VYDAJ	VYBER	15	39110	SLUZBY	\N	\N
535637	1824	1994-10-31	VYDAJ	VYBER	15	33396	SLUZBY	\N	\N
535638	1824	1994-11-30	VYDAJ	VYBER	15	33164	SLUZBY	\N	\N
535639	1824	1994-12-31	VYDAJ	VYBER	15	38196	SLUZBY	\N	\N
535640	1824	1995-01-31	VYDAJ	VYBER	15	25430	SLUZBY	\N	\N
535641	1824	1995-02-28	VYDAJ	VYBER	15	30495	SLUZBY	\N	\N
535642	1824	1995-03-31	VYDAJ	VYBER	15	33757	SLUZBY	\N	\N
535643	1824	1995-04-30	VYDAJ	VYBER	15	35226	SLUZBY	\N	\N
535644	1824	1995-05-31	VYDAJ	VYBER	15	34234	SLUZBY	\N	\N
535645	1824	1995-06-30	VYDAJ	VYBER	15	42258	SLUZBY	\N	\N
535646	1824	1995-07-31	VYDAJ	VYBER	15	35852	SLUZBY	\N	\N
535647	1824	1995-08-31	VYDAJ	VYBER	15	34017	SLUZBY	\N	\N
535648	1824	1995-09-30	VYDAJ	VYBER	15	36940	SLUZBY	\N	\N
535649	1824	1995-10-31	VYDAJ	VYBER	15	39521	SLUZBY	\N	\N
535650	1824	1995-11-30	VYDAJ	VYBER	15	51137	SLUZBY	\N	\N
535651	1824	1995-12-31	VYDAJ	VYBER	15	64883	SLUZBY	\N	\N
535652	1824	1996-01-31	VYDAJ	VYBER	15	50402	SLUZBY	\N	\N
535653	1824	1996-02-29	VYDAJ	VYBER	15	52416	SLUZBY	\N	\N
535654	1824	1996-03-31	VYDAJ	VYBER	15	53851	SLUZBY	\N	\N
535655	1824	1996-04-30	VYDAJ	VYBER	15	57019	SLUZBY	\N	\N
535656	1824	1996-05-31	VYDAJ	VYBER	15	57667	SLUZBY	\N	\N
535657	1824	1996-06-30	VYDAJ	VYBER	15	73496	SLUZBY	\N	\N
535658	1824	1996-07-31	VYDAJ	VYBER	15	63769	SLUZBY	\N	\N
535659	1824	1996-08-31	VYDAJ	VYBER	15	56714	SLUZBY	\N	\N
535660	1824	1996-09-30	VYDAJ	VYBER	15	50054	SLUZBY	\N	\N
535661	1824	1996-10-31	VYDAJ	VYBER	15	52777	SLUZBY	\N	\N
535662	1824	1996-11-30	VYDAJ	VYBER	15	49452	SLUZBY	\N	\N
535663	1824	1996-12-31	VYDAJ	VYBER	15	61725	SLUZBY	\N	\N
535664	1824	1997-01-31	VYDAJ	VYBER	15	37767	SLUZBY	\N	\N
535665	1824	1997-02-28	VYDAJ	VYBER	15	52184	SLUZBY	\N	\N
535666	1824	1997-03-31	VYDAJ	VYBER	15	57625	SLUZBY	\N	\N
535667	1824	1997-04-30	VYDAJ	VYBER	15	60479	SLUZBY	\N	\N
535668	1824	1997-05-31	VYDAJ	VYBER	15	60164	SLUZBY	\N	\N
535669	1824	1997-06-30	VYDAJ	VYBER	15	53506	SLUZBY	\N	\N
535670	1824	1997-07-31	VYDAJ	VYBER	15	47173	SLUZBY	\N	\N
535671	1824	1997-08-31	VYDAJ	VYBER	15	48125	SLUZBY	\N	\N
535672	1824	1997-09-30	VYDAJ	VYBER	15	49780	SLUZBY	\N	\N
535673	1824	1997-10-31	VYDAJ	VYBER	15	53542	SLUZBY	\N	\N
535674	1824	1997-11-30	VYDAJ	VYBER	15	49795	SLUZBY	\N	\N
535675	1824	1997-12-31	VYDAJ	VYBER	15	54871	SLUZBY	\N	\N
535676	1824	1998-01-31	VYDAJ	VYBER	15	47407	SLUZBY	\N	\N
535677	1824	1998-02-28	VYDAJ	VYBER	15	46147	SLUZBY	\N	\N
535678	1824	1998-03-31	VYDAJ	VYBER	15	46827	SLUZBY	\N	\N
535679	1824	1998-04-30	VYDAJ	VYBER	15	51175	SLUZBY	\N	\N
535680	1824	1998-05-31	VYDAJ	VYBER	15	56040	SLUZBY	\N	\N
535681	1824	1998-06-30	VYDAJ	VYBER	15	63587	SLUZBY	\N	\N
535682	1824	1998-07-31	VYDAJ	VYBER	15	59087	SLUZBY	\N	\N
535683	1824	1998-08-31	VYDAJ	VYBER	15	59677	SLUZBY	\N	\N
535684	1824	1998-09-30	VYDAJ	VYBER	15	60524	SLUZBY	\N	\N
535685	1824	1998-10-31	VYDAJ	VYBER	15	63621	SLUZBY	\N	\N
535686	1824	1998-11-30	VYDAJ	VYBER	15	66330	SLUZBY	\N	\N
535687	1824	1994-02-16	VYDAJ	VYBER	2300	22068	\N	\N	\N
535688	1824	1994-03-18	VYDAJ	VYBER	12100	34079	\N	\N	\N
535689	1824	1994-04-17	VYDAJ	VYBER	18400	39861	\N	\N	\N
535690	1824	1994-05-17	VYDAJ	VYBER	17300	46783	\N	\N	\N
535691	1824	1994-06-16	VYDAJ	VYBER	26600	56146	\N	\N	\N
535692	1824	1994-07-16	VYDAJ	VYBER	21900	42943	\N	\N	\N
535693	1824	1994-08-15	VYDAJ	VYBER	14600	42770	\N	\N	\N
535694	1824	1994-09-14	VYDAJ	VYBER	13900	38953	\N	\N	\N
535695	1824	1994-10-14	VYDAJ	VYBER	15900	37444	\N	\N	\N
535696	1824	1994-11-13	VYDAJ	VYBER	12200	35430	\N	\N	\N
535697	1824	1994-12-13	VYDAJ	VYBER	18500	38052	\N	\N	\N
535698	1824	1995-01-12	VYDAJ	VYBER	13200	33350	\N	\N	\N
535699	1824	1995-02-11	VYDAJ	VYBER	7000	32664	\N	\N	\N
535700	1824	1995-03-13	VYDAJ	VYBER	11100	33629	\N	\N	\N
535701	1824	1995-04-12	VYDAJ	VYBER	12900	35091	\N	\N	\N
535702	1824	1995-05-12	VYDAJ	VYBER	12000	34100	\N	\N	\N
535703	1824	1995-06-11	VYDAJ	VYBER	18400	42102	\N	\N	\N
535704	1824	1995-07-11	VYDAJ	VYBER	17900	35712	\N	\N	\N
535705	1824	1995-08-10	VYDAJ	VYBER	16200	34205	\N	\N	\N
535706	1824	1995-09-09	VYDAJ	VYBER	10000	37130	\N	\N	\N
535707	1824	1995-10-09	VYDAJ	VYBER	11800	39693	\N	\N	\N
535708	1824	1995-11-08	VYDAJ	VYBER	2800	27206	\N	\N	\N
535709	1824	1995-12-08	VYDAJ	VYBER	9600	32022	\N	\N	\N
535710	1824	1996-01-07	VYDAJ	VYBER	17400	35208	\N	\N	\N
535711	1824	1996-02-06	VYDAJ	VYBER	9300	31587	\N	\N	\N
535712	1824	1996-03-07	VYDAJ	VYBER	13000	29901	\N	\N	\N
535713	1824	1996-04-06	VYDAJ	VYBER	9600	34736	\N	\N	\N
535714	1824	1996-05-06	VYDAJ	VYBER	13800	33704	\N	\N	\N
535715	1824	1996-06-05	VYDAJ	VYBER	10700	46967	\N	\N	\N
535716	1824	1996-07-05	VYDAJ	VYBER	18700	45281	\N	\N	\N
535717	1824	1996-08-04	VYDAJ	VYBER	21500	42269	\N	\N	\N
535718	1824	1996-09-03	VYDAJ	VYBER	15800	40914	\N	\N	\N
535719	1824	1996-10-03	VYDAJ	VYBER	11700	38354	\N	\N	\N
535720	1824	1996-11-02	VYDAJ	VYBER	14500	38277	\N	\N	\N
535721	1824	1996-12-02	VYDAJ	VYBER	10700	38752	\N	\N	\N
535722	1824	1997-01-01	VYDAJ	VYBER	18700	43025	\N	\N	\N
535723	1824	1997-01-31	VYDAJ	VYBER	2600	37781	\N	\N	\N
535724	1824	1997-03-02	VYDAJ	VYBER	9000	43184	\N	\N	\N
535725	1824	1997-04-01	VYDAJ	VYBER	11600	46025	\N	\N	\N
535726	1824	1997-05-01	VYDAJ	VYBER	10700	49779	\N	\N	\N
535727	1824	1997-05-31	VYDAJ	VYBER	12000	48164	\N	\N	\N
535728	1824	1997-06-30	VYDAJ	VYBER	21200	53521	\N	\N	\N
535729	1824	1997-07-30	VYDAJ	VYBER	13600	46940	\N	\N	\N
535730	1824	1997-08-29	VYDAJ	VYBER	13500	47907	\N	\N	\N
535731	1824	1997-09-28	VYDAJ	VYBER	12800	49559	\N	\N	\N
535732	1824	1997-10-28	VYDAJ	VYBER	10700	53314	\N	\N	\N
535733	1824	1997-11-27	VYDAJ	VYBER	16900	49556	\N	\N	\N
535734	1824	1997-12-27	VYDAJ	VYBER	18200	54623	\N	\N	\N
535735	1824	1998-01-26	VYDAJ	VYBER	8600	47185	\N	\N	\N
535736	1824	1998-02-25	VYDAJ	VYBER	11500	45941	\N	\N	\N
535737	1824	1998-03-27	VYDAJ	VYBER	11000	46621	\N	\N	\N
535738	1824	1998-04-26	VYDAJ	VYBER	10100	50961	\N	\N	\N
535739	1824	1998-05-26	VYDAJ	VYBER	9600	55809	\N	\N	\N
535740	1824	1998-06-25	VYDAJ	VYBER	19000	63308	\N	\N	\N
535741	1824	1998-07-25	VYDAJ	VYBER	14800	58821	\N	\N	\N
535742	1824	1998-08-24	VYDAJ	VYBER	13900	59421	\N	\N	\N
535743	1824	1998-09-23	VYDAJ	VYBER	11600	60271	\N	\N	\N
535744	1824	1998-10-23	VYDAJ	VYBER	11400	63358	\N	\N	\N
535745	1824	1998-11-22	VYDAJ	VYBER	11200	66655	\N	\N	\N
535746	1824	1998-12-22	VYDAJ	VYBER	12600	76318	\N	\N	\N
535806	1825	1995-12-05	PRIJEM	VKLAD	500	500	\N	\N	\N
535818	1825	1995-12-07	PRIJEM	VKLAD	12808	13308	\N	\N	\N
535819	1825	1996-01-07	PRIJEM	VKLAD	8539	26292	\N	\N	\N
535820	1825	1996-02-07	PRIJEM	VKLAD	8539	31830	\N	\N	\N
535821	1825	1996-03-07	PRIJEM	VKLAD	8539	34297	\N	\N	\N
535822	1825	1996-04-07	PRIJEM	VKLAD	8539	36277	\N	\N	\N
535823	1825	1996-05-07	PRIJEM	VKLAD	8539	35826	\N	\N	\N
535824	1825	1996-06-07	PRIJEM	VKLAD	12808	41141	\N	\N	\N
535825	1825	1996-07-07	PRIJEM	VKLAD	8539	35790	\N	\N	\N
535826	1825	1996-08-07	PRIJEM	VKLAD	8539	36926	\N	\N	\N
535827	1825	1996-09-07	PRIJEM	VKLAD	8539	39675	\N	\N	\N
535828	1825	1996-10-07	PRIJEM	VKLAD	8539	41832	\N	\N	\N
535829	1825	1996-11-07	PRIJEM	VKLAD	8539	41698	\N	\N	\N
535830	1825	1996-12-07	PRIJEM	VKLAD	12808	46032	\N	\N	\N
535831	1825	1997-01-07	PRIJEM	VKLAD	8539	43206	\N	\N	\N
535832	1825	1997-02-07	PRIJEM	VKLAD	8539	37862	\N	\N	\N
535833	1825	1997-03-07	PRIJEM	VKLAD	8539	39712	\N	\N	\N
535834	1825	1997-04-07	PRIJEM	VKLAD	8539	40670	\N	\N	\N
535835	1825	1997-05-07	PRIJEM	VKLAD	8539	44436	\N	\N	\N
535836	1825	1997-06-07	PRIJEM	VKLAD	12808	48781	\N	\N	\N
535837	1825	1997-07-07	PRIJEM	VKLAD	8539	33211	\N	\N	\N
535838	1825	1997-08-07	PRIJEM	VKLAD	8539	38143	\N	\N	\N
535839	1825	1997-09-07	PRIJEM	VKLAD	8539	42295	\N	\N	\N
535840	1825	1997-10-07	PRIJEM	VKLAD	8539	43556	\N	\N	\N
535841	1825	1997-11-07	PRIJEM	VKLAD	8539	46028	\N	\N	\N
535842	1825	1997-12-07	PRIJEM	VKLAD	12808	47370	\N	\N	\N
535843	1825	1998-01-07	PRIJEM	VKLAD	8539	51558	\N	\N	\N
535844	1825	1998-02-07	PRIJEM	VKLAD	8539	42439	\N	\N	\N
535845	1825	1998-03-07	PRIJEM	VKLAD	8539	52215	\N	\N	\N
535846	1825	1998-04-07	PRIJEM	VKLAD	8539	50819	\N	\N	\N
535847	1825	1998-05-07	PRIJEM	VKLAD	8539	54116	\N	\N	\N
535848	1825	1998-06-07	PRIJEM	VKLAD	12808	60700	\N	\N	\N
535849	1825	1998-07-07	PRIJEM	VKLAD	8539	56432	\N	\N	\N
535850	1825	1998-08-07	PRIJEM	VKLAD	8539	54254	\N	\N	\N
535851	1825	1998-09-07	PRIJEM	VKLAD	8539	58071	\N	\N	\N
535852	1825	1998-10-07	PRIJEM	VKLAD	8539	58901	\N	\N	\N
535853	1825	1998-11-07	PRIJEM	VKLAD	8539	58934	\N	\N	\N
535854	1825	1998-12-07	PRIJEM	VKLAD	12808	62135	\N	\N	\N
535870	1825	1996-04-07	VYDAJ	PREVOD NA UCET	1425	34852	SIPO	QR	87801843
535871	1825	1996-05-07	VYDAJ	PREVOD NA UCET	1425	34401	SIPO	QR	87801843
535872	1825	1996-06-07	VYDAJ	PREVOD NA UCET	1425	39716	SIPO	QR	87801843
535873	1825	1996-07-07	VYDAJ	PREVOD NA UCET	1425	34365	SIPO	QR	87801843
535874	1825	1996-08-07	VYDAJ	PREVOD NA UCET	1425	35501	SIPO	QR	87801843
535875	1825	1996-09-07	VYDAJ	PREVOD NA UCET	1425	38250	SIPO	QR	87801843
535876	1825	1996-10-07	VYDAJ	PREVOD NA UCET	1425	40407	SIPO	QR	87801843
535877	1825	1996-11-07	VYDAJ	PREVOD NA UCET	1425	40273	SIPO	QR	87801843
535878	1825	1996-12-07	VYDAJ	PREVOD NA UCET	1425	44607	SIPO	QR	87801843
535879	1825	1997-01-07	VYDAJ	PREVOD NA UCET	1425	41781	SIPO	QR	87801843
535880	1825	1997-02-07	VYDAJ	PREVOD NA UCET	1425	36437	SIPO	QR	87801843
535881	1825	1997-03-07	VYDAJ	PREVOD NA UCET	1425	38287	SIPO	QR	87801843
535882	1825	1997-04-07	VYDAJ	PREVOD NA UCET	1425	39245	SIPO	QR	87801843
535883	1825	1997-05-07	VYDAJ	PREVOD NA UCET	1425	43011	SIPO	QR	87801843
535884	1825	1997-06-07	VYDAJ	PREVOD NA UCET	1425	47356	SIPO	QR	87801843
535885	1825	1997-07-07	VYDAJ	PREVOD NA UCET	1425	31786	SIPO	QR	87801843
535886	1825	1997-08-07	VYDAJ	PREVOD NA UCET	1425	36718	SIPO	QR	87801843
535887	1825	1997-09-07	VYDAJ	PREVOD NA UCET	1425	40870	SIPO	QR	87801843
535888	1825	1997-10-07	VYDAJ	PREVOD NA UCET	1425	42131	SIPO	QR	87801843
535889	1825	1997-11-07	VYDAJ	PREVOD NA UCET	1425	44603	SIPO	QR	87801843
535890	1825	1997-12-07	VYDAJ	PREVOD NA UCET	1425	45945	SIPO	QR	87801843
535891	1825	1998-01-07	VYDAJ	PREVOD NA UCET	1425	50133	SIPO	QR	87801843
535892	1825	1998-02-07	VYDAJ	PREVOD NA UCET	1425	41014	SIPO	QR	87801843
535893	1825	1998-03-07	VYDAJ	PREVOD NA UCET	1425	50790	SIPO	QR	87801843
535894	1825	1998-04-07	VYDAJ	PREVOD NA UCET	1425	49394	SIPO	QR	87801843
535895	1825	1998-05-07	VYDAJ	PREVOD NA UCET	1425	52691	SIPO	QR	87801843
535896	1825	1998-06-07	VYDAJ	PREVOD NA UCET	1425	59275	SIPO	QR	87801843
535897	1825	1998-07-07	VYDAJ	PREVOD NA UCET	1425	55007	SIPO	QR	87801843
535898	1825	1998-08-07	VYDAJ	PREVOD NA UCET	1425	52829	SIPO	QR	87801843
535899	1825	1998-09-07	VYDAJ	PREVOD NA UCET	1425	56646	SIPO	QR	87801843
535900	1825	1998-10-07	VYDAJ	PREVOD NA UCET	1425	57476	SIPO	QR	87801843
535901	1825	1998-11-07	VYDAJ	PREVOD NA UCET	1425	57509	SIPO	QR	87801843
535902	1825	1998-12-07	VYDAJ	PREVOD NA UCET	1425	60710	SIPO	QR	87801843
535918	1825	1996-04-13	VYDAJ	PREVOD NA UCET	2688	32164	 	ST	42349684
535919	1825	1996-05-13	VYDAJ	PREVOD NA UCET	2688	31713	 	ST	42349684
535920	1825	1996-06-13	VYDAJ	PREVOD NA UCET	2688	32828	 	ST	42349684
535921	1825	1996-07-13	VYDAJ	PREVOD NA UCET	2688	29877	 	ST	42349684
535922	1825	1996-08-13	VYDAJ	PREVOD NA UCET	2688	32813	 	ST	42349684
535923	1825	1996-09-13	VYDAJ	PREVOD NA UCET	2688	35562	 	ST	42349684
535924	1825	1996-10-13	VYDAJ	PREVOD NA UCET	2688	37719	 	ST	42349684
535925	1825	1996-11-13	VYDAJ	PREVOD NA UCET	2688	37585	 	ST	42349684
535926	1825	1996-12-13	VYDAJ	PREVOD NA UCET	2688	41919	 	ST	42349684
535927	1825	1997-01-13	VYDAJ	PREVOD NA UCET	2688	36993	 	ST	42349684
535928	1825	1997-02-13	VYDAJ	PREVOD NA UCET	2688	33749	 	ST	42349684
535929	1825	1997-03-13	VYDAJ	PREVOD NA UCET	2688	35599	 	ST	42349684
535930	1825	1997-04-13	VYDAJ	PREVOD NA UCET	2688	36557	 	ST	42349684
535931	1825	1997-05-13	VYDAJ	PREVOD NA UCET	2688	40323	 	ST	42349684
535932	1825	1997-06-13	VYDAJ	PREVOD NA UCET	2688	19468	 	ST	42349684
535933	1825	1997-07-13	VYDAJ	PREVOD NA UCET	2688	29098	 	ST	42349684
535934	1825	1997-08-13	VYDAJ	PREVOD NA UCET	2688	34030	 	ST	42349684
535935	1825	1997-09-13	VYDAJ	PREVOD NA UCET	2688	38182	 	ST	42349684
535936	1825	1997-10-13	VYDAJ	PREVOD NA UCET	2688	39443	 	ST	42349684
535937	1825	1997-11-13	VYDAJ	PREVOD NA UCET	2688	41915	 	ST	42349684
535938	1825	1997-12-13	VYDAJ	PREVOD NA UCET	2688	43257	 	ST	42349684
535939	1825	1998-01-13	VYDAJ	PREVOD NA UCET	2688	44045	 	ST	42349684
535940	1825	1998-02-13	VYDAJ	PREVOD NA UCET	2688	38326	 	ST	42349684
535941	1825	1998-03-13	VYDAJ	PREVOD NA UCET	2688	48102	 	ST	42349684
535942	1825	1998-04-13	VYDAJ	PREVOD NA UCET	2688	44006	 	ST	42349684
535943	1825	1998-05-13	VYDAJ	PREVOD NA UCET	2688	50003	 	ST	42349684
535944	1825	1998-06-13	VYDAJ	PREVOD NA UCET	2688	56587	 	ST	42349684
535945	1825	1998-07-13	VYDAJ	PREVOD NA UCET	2688	52319	 	ST	42349684
535946	1825	1998-08-13	VYDAJ	PREVOD NA UCET	2688	50141	 	ST	42349684
535947	1825	1998-09-13	VYDAJ	PREVOD NA UCET	2688	53958	 	ST	42349684
535948	1825	1998-10-13	VYDAJ	PREVOD NA UCET	2688	54788	 	ST	42349684
535949	1825	1998-11-13	VYDAJ	PREVOD NA UCET	2688	54821	 	ST	42349684
535950	1825	1998-12-13	VYDAJ	PREVOD NA UCET	2688	58022	 	ST	42349684
535952	1825	1996-06-25	VYDAJ	VYBER	4900	27928	\N	\N	\N
535953	1825	1997-06-12	VYDAJ	VYBER	25200	22156	\N	\N	\N
535954	1825	1998-06-29	VYDAJ	VYBER	4200	47687	\N	\N	\N
535957	1825	1997-01-26	VYDAJ	VYBER	3400	28393	\N	\N	\N
535958	1825	1998-01-13	VYDAJ	VYBER	7200	36845	\N	\N	\N
535960	1825	1996-12-14	VYDAJ	VYBER	2800	39119	\N	\N	\N
535961	1825	1997-12-01	VYDAJ	VYBER	2400	34562	\N	\N	\N
535962	1825	1998-12-06	VYDAJ	VYBER	1900	49327	\N	\N	\N
535975	1825	1997-01-19	VYDAJ	VYBER	1900	33493	\N	\N	\N
535976	1825	1997-01-12	VYDAJ	VYBER	2100	39681	\N	\N	\N
535977	1825	1997-01-14	VYDAJ	VYBER	1600	35393	\N	\N	\N
535978	1825	1997-01-01	VYDAJ	VYBER	600	34667	\N	\N	\N
535979	1825	1997-01-25	VYDAJ	VYBER	1700	31793	\N	\N	\N
535980	1825	1997-01-27	VYDAJ	VYBER	1800	26593	\N	\N	\N
535981	1825	1998-01-10	VYDAJ	VYBER	2900	47233	\N	\N	\N
535982	1825	1998-01-25	VYDAJ	VYBER	1700	33745	\N	\N	\N
535983	1825	1998-01-20	VYDAJ	VYBER	700	33445	\N	\N	\N
535984	1825	1998-01-19	VYDAJ	VYBER	2700	34145	\N	\N	\N
535985	1825	1998-01-23	VYDAJ	VYBER	2700	35445	\N	\N	\N
535986	1825	1998-01-11	VYDAJ	VYBER	500	46733	\N	\N	\N
535995	1825	1996-09-28	VYDAJ	VYBER	2900	32662	\N	\N	\N
535996	1825	1996-07-08	VYDAJ	VYBER	1800	32565	\N	\N	\N
535997	1825	1996-06-12	VYDAJ	VYBER	4200	35516	\N	\N	\N
535998	1825	1997-04-30	VYDAJ	VYBER	1300	35911	\N	\N	\N
535999	1825	1997-09-15	VYDAJ	VYBER	3700	34482	\N	\N	\N
536000	1825	1997-11-14	VYDAJ	VYBER	4700	37215	\N	\N	\N
536001	1825	1997-04-06	VYDAJ	VYBER	4200	32131	\N	\N	\N
536002	1825	1998-07-30	VYDAJ	VYBER	4300	45519	\N	\N	\N
536003	1825	1998-09-25	VYDAJ	VYBER	3000	50158	\N	\N	\N
536004	1825	1998-04-09	VYDAJ	VYBER	2700	46694	\N	\N	\N
536005	1825	1998-06-15	VYDAJ	VYBER	2200	54387	\N	\N	\N
536006	1825	1998-11-06	VYDAJ	VYBER	2200	50395	\N	\N	\N
536023	1825	1996-04-30	VYDAJ	VYBER	15	32287	SLUZBY	\N	\N
536024	1825	1996-05-31	VYDAJ	VYBER	15	31833	SLUZBY	\N	\N
536025	1825	1996-06-30	VYDAJ	VYBER	15	28051	SLUZBY	\N	\N
536026	1825	1996-07-31	VYDAJ	VYBER	15	29987	SLUZBY	\N	\N
536027	1825	1996-08-31	VYDAJ	VYBER	15	31136	SLUZBY	\N	\N
536028	1825	1996-09-30	VYDAJ	VYBER	15	33293	SLUZBY	\N	\N
536029	1825	1996-10-31	VYDAJ	VYBER	15	33159	SLUZBY	\N	\N
536030	1825	1996-11-30	VYDAJ	VYBER	15	33224	SLUZBY	\N	\N
536031	1825	1996-12-31	VYDAJ	VYBER	15	35267	SLUZBY	\N	\N
536032	1825	1997-01-31	VYDAJ	VYBER	15	29323	SLUZBY	\N	\N
536033	1825	1997-02-28	VYDAJ	VYBER	15	31173	SLUZBY	\N	\N
536034	1825	1997-03-31	VYDAJ	VYBER	15	36331	SLUZBY	\N	\N
536035	1825	1997-04-30	VYDAJ	VYBER	15	35897	SLUZBY	\N	\N
536036	1825	1997-05-31	VYDAJ	VYBER	15	35973	SLUZBY	\N	\N
536037	1825	1997-06-30	VYDAJ	VYBER	15	24672	SLUZBY	\N	\N
536038	1825	1997-07-31	VYDAJ	VYBER	15	29604	SLUZBY	\N	\N
536039	1825	1997-08-31	VYDAJ	VYBER	15	33756	SLUZBY	\N	\N
536040	1825	1997-09-30	VYDAJ	VYBER	15	35017	SLUZBY	\N	\N
536041	1825	1997-10-31	VYDAJ	VYBER	15	37489	SLUZBY	\N	\N
536042	1825	1997-11-30	VYDAJ	VYBER	15	36962	SLUZBY	\N	\N
536043	1825	1997-12-31	VYDAJ	VYBER	15	43019	SLUZBY	\N	\N
536044	1825	1998-01-31	VYDAJ	VYBER	15	33900	SLUZBY	\N	\N
536045	1825	1998-02-28	VYDAJ	VYBER	15	43676	SLUZBY	\N	\N
536046	1825	1998-03-31	VYDAJ	VYBER	15	42280	SLUZBY	\N	\N
536047	1825	1998-04-30	VYDAJ	VYBER	15	45577	SLUZBY	\N	\N
536048	1825	1998-05-31	VYDAJ	VYBER	15	47892	SLUZBY	\N	\N
536049	1825	1998-06-30	VYDAJ	VYBER	15	47893	SLUZBY	\N	\N
536050	1825	1998-07-31	VYDAJ	VYBER	15	45715	SLUZBY	\N	\N
536051	1825	1998-08-31	VYDAJ	VYBER	15	49532	SLUZBY	\N	\N
536052	1825	1998-09-30	VYDAJ	VYBER	15	50362	SLUZBY	\N	\N
536053	1825	1998-10-31	VYDAJ	VYBER	15	52595	SLUZBY	\N	\N
536054	1825	1998-11-30	VYDAJ	VYBER	15	51227	SLUZBY	\N	\N
536055	1825	1996-01-04	PRIJEM	VKLAD	4400	17753	\N	\N	\N
536056	1825	1996-02-03	VYDAJ	VYBER	3100	23291	\N	\N	\N
536057	1825	1996-03-04	VYDAJ	VYBER	6200	25758	\N	\N	\N
536058	1825	1996-04-03	VYDAJ	VYBER	6700	27738	\N	\N	\N
536059	1825	1996-05-03	VYDAJ	VYBER	5000	27287	\N	\N	\N
536060	1825	1996-06-02	VYDAJ	VYBER	3500	28333	\N	\N	\N
536061	1825	1996-07-02	VYDAJ	VYBER	800	27251	\N	\N	\N
536062	1825	1996-08-01	VYDAJ	VYBER	1600	28387	\N	\N	\N
536063	1825	1996-08-31	VYDAJ	VYBER	1800	31151	\N	\N	\N
536064	1825	1996-09-30	PRIJEM	VKLAD	500	33308	\N	\N	\N
536065	1825	1996-10-30	VYDAJ	VYBER	4700	33019	\N	\N	\N
536066	1825	1996-11-29	VYDAJ	VYBER	4500	33085	\N	\N	\N
536067	1825	1996-12-29	VYDAJ	VYBER	4000	35119	\N	\N	\N
536068	1825	1997-01-28	PRIJEM	VKLAD	2600	29193	\N	\N	\N
536069	1825	1997-02-27	VYDAJ	VYBER	2700	31049	\N	\N	\N
536070	1825	1997-03-29	PRIJEM	VKLAD	600	36199	\N	\N	\N
536071	1825	1997-04-28	PRIJEM	VKLAD	500	37057	\N	\N	\N
536072	1825	1997-05-28	VYDAJ	VYBER	4500	35823	\N	\N	\N
536073	1825	1997-06-27	PRIJEM	VKLAD	5100	24568	\N	\N	\N
536074	1825	1997-07-27	PRIJEM	VKLAD	400	29498	\N	\N	\N
536075	1825	1997-08-26	VYDAJ	VYBER	400	33630	\N	\N	\N
536076	1825	1997-09-25	PRIJEM	VKLAD	400	34882	\N	\N	\N
536077	1825	1997-10-25	VYDAJ	VYBER	2100	37343	\N	\N	\N
536078	1825	1997-11-24	VYDAJ	VYBER	400	36815	\N	\N	\N
536079	1825	1997-12-24	VYDAJ	VYBER	400	42857	\N	\N	\N
536080	1825	1998-01-23	PRIJEM	VKLAD	4700	38145	\N	\N	\N
536081	1825	1998-02-22	PRIJEM	VKLAD	5200	43526	\N	\N	\N
536082	1825	1998-03-24	VYDAJ	VYBER	6000	42102	\N	\N	\N
536083	1825	1998-04-23	PRIJEM	VKLAD	1400	45406	\N	\N	\N
536084	1825	1998-05-23	VYDAJ	VYBER	2300	47703	\N	\N	\N
536085	1825	1998-06-22	VYDAJ	VYBER	2500	51887	\N	\N	\N
536086	1825	1998-07-22	VYDAJ	VYBER	2500	49819	\N	\N	\N
536087	1825	1998-08-21	VYDAJ	VYBER	800	49341	\N	\N	\N
536088	1825	1998-09-20	VYDAJ	VYBER	800	53158	\N	\N	\N
536089	1825	1998-10-20	VYDAJ	VYBER	2400	52388	\N	\N	\N
536090	1825	1998-11-19	VYDAJ	VYBER	3800	51021	\N	\N	\N
536128	1826	1994-05-22	PRIJEM	VKLAD	600	600	\N	\N	\N
536134	1826	1994-06-07	PRIJEM	VKLAD	29034	29634	\N	\N	\N
536135	1826	1994-07-07	PRIJEM	VKLAD	19356	45026	\N	\N	\N
536136	1826	1994-08-07	PRIJEM	VKLAD	19356	53100	\N	\N	\N
536137	1826	1994-09-07	PRIJEM	VKLAD	19356	61109	\N	\N	\N
536138	1826	1994-10-07	PRIJEM	VKLAD	19356	65346	\N	\N	\N
536139	1826	1994-11-07	PRIJEM	VKLAD	19356	56739	\N	\N	\N
536140	1826	1994-12-07	PRIJEM	VKLAD	29034	63833	\N	\N	\N
536141	1826	1995-01-07	PRIJEM	VKLAD	19356	57379	\N	\N	\N
536142	1826	1995-02-07	PRIJEM	VKLAD	19356	42527	\N	\N	\N
536143	1826	1995-03-07	PRIJEM	VKLAD	19356	47761	\N	\N	\N
536144	1826	1995-04-07	PRIJEM	VKLAD	19356	54020	\N	\N	\N
536145	1826	1995-05-07	PRIJEM	VKLAD	19356	53191	\N	\N	\N
536146	1826	1995-06-07	PRIJEM	VKLAD	29034	66846	\N	\N	\N
536147	1826	1995-07-07	PRIJEM	VKLAD	19356	55402	\N	\N	\N
536148	1826	1995-08-07	PRIJEM	VKLAD	19356	55578	\N	\N	\N
536149	1826	1995-09-07	PRIJEM	VKLAD	19356	52829	\N	\N	\N
536150	1826	1995-10-07	PRIJEM	VKLAD	19356	57704	\N	\N	\N
536151	1826	1995-11-07	PRIJEM	VKLAD	19356	57988	\N	\N	\N
536152	1826	1995-12-07	PRIJEM	VKLAD	29034	66947	\N	\N	\N
536153	1826	1996-01-07	PRIJEM	VKLAD	19356	61865	\N	\N	\N
536154	1826	1996-02-07	PRIJEM	VKLAD	19356	44561	\N	\N	\N
536155	1826	1996-03-07	PRIJEM	VKLAD	19356	52507	\N	\N	\N
536156	1826	1996-04-07	PRIJEM	VKLAD	19356	57981	\N	\N	\N
536157	1826	1996-05-07	PRIJEM	VKLAD	19356	56312	\N	\N	\N
536158	1826	1996-06-07	PRIJEM	VKLAD	29034	67078	\N	\N	\N
536159	1826	1996-07-07	PRIJEM	VKLAD	19356	37716	\N	\N	\N
536160	1826	1996-08-07	PRIJEM	VKLAD	19356	44232	\N	\N	\N
536161	1826	1996-09-07	PRIJEM	VKLAD	19356	48270	\N	\N	\N
536162	1826	1996-10-07	PRIJEM	VKLAD	19356	46800	\N	\N	\N
536163	1826	1996-11-07	PRIJEM	VKLAD	19356	50449	\N	\N	\N
536164	1826	1996-12-07	PRIJEM	VKLAD	29034	59406	\N	\N	\N
536165	1826	1997-01-07	PRIJEM	VKLAD	19356	62417	\N	\N	\N
536166	1826	1997-02-07	PRIJEM	VKLAD	19356	64580	\N	\N	\N
536167	1826	1997-03-07	PRIJEM	VKLAD	19356	74217	\N	\N	\N
536168	1826	1997-04-07	PRIJEM	VKLAD	19356	69367	\N	\N	\N
536169	1826	1997-05-07	PRIJEM	VKLAD	19356	69333	\N	\N	\N
536170	1826	1997-06-07	PRIJEM	VKLAD	29034	77283	\N	\N	\N
536171	1826	1997-07-07	PRIJEM	VKLAD	19356	53794	\N	\N	\N
536172	1826	1997-08-07	PRIJEM	VKLAD	19356	60088	\N	\N	\N
536173	1826	1997-09-07	PRIJEM	VKLAD	19356	63016	\N	\N	\N
536174	1826	1997-10-07	PRIJEM	VKLAD	19356	59552	\N	\N	\N
536175	1826	1997-11-07	PRIJEM	VKLAD	19356	55676	\N	\N	\N
536176	1826	1997-12-07	PRIJEM	VKLAD	29034	62469	\N	\N	\N
536177	1826	1998-01-07	PRIJEM	VKLAD	19356	58105	\N	\N	\N
536178	1826	1998-02-07	PRIJEM	VKLAD	19356	52262	\N	\N	\N
536179	1826	1998-03-07	PRIJEM	VKLAD	19356	56340	\N	\N	\N
536180	1826	1998-04-07	PRIJEM	VKLAD	19356	54052	\N	\N	\N
536181	1826	1998-05-07	PRIJEM	VKLAD	19356	49559	\N	\N	\N
536182	1826	1998-06-07	PRIJEM	VKLAD	29034	58227	\N	\N	\N
536183	1826	1998-07-07	PRIJEM	VKLAD	19356	45647	\N	\N	\N
536184	1826	1998-08-07	PRIJEM	VKLAD	19356	50399	\N	\N	\N
536185	1826	1998-09-07	PRIJEM	VKLAD	19356	47467	\N	\N	\N
536186	1826	1998-10-07	PRIJEM	VKLAD	19356	46124	\N	\N	\N
536187	1826	1998-11-07	PRIJEM	VKLAD	19356	50187	\N	\N	\N
536188	1826	1998-12-07	PRIJEM	VKLAD	29034	55651	\N	\N	\N
536198	1826	1994-10-11	VYDAJ	PREVOD NA UCET	9921	53625	SIPO	OP	62603348
536199	1826	1994-11-11	VYDAJ	PREVOD NA UCET	9921	46818	SIPO	OP	62603348
536200	1826	1994-12-11	VYDAJ	PREVOD NA UCET	9921	53912	SIPO	OP	62603348
536201	1826	1995-01-11	VYDAJ	PREVOD NA UCET	9921	47458	SIPO	OP	62603348
536202	1826	1995-02-11	VYDAJ	PREVOD NA UCET	9921	32606	SIPO	OP	62603348
536203	1826	1995-03-11	VYDAJ	PREVOD NA UCET	9921	37840	SIPO	OP	62603348
536204	1826	1995-04-11	VYDAJ	PREVOD NA UCET	9921	44099	SIPO	OP	62603348
536205	1826	1995-05-11	VYDAJ	PREVOD NA UCET	9921	43270	SIPO	OP	62603348
536206	1826	1995-06-11	VYDAJ	PREVOD NA UCET	9921	46685	SIPO	OP	62603348
536207	1826	1995-07-11	VYDAJ	PREVOD NA UCET	9921	45481	SIPO	OP	62603348
536208	1826	1995-08-11	VYDAJ	PREVOD NA UCET	9921	45657	SIPO	OP	62603348
536209	1826	1995-09-11	VYDAJ	PREVOD NA UCET	9921	42908	SIPO	OP	62603348
536210	1826	1995-10-11	VYDAJ	PREVOD NA UCET	9921	47783	SIPO	OP	62603348
536211	1826	1995-11-11	VYDAJ	PREVOD NA UCET	9921	48067	SIPO	OP	62603348
536212	1826	1995-12-11	VYDAJ	PREVOD NA UCET	9921	54146	SIPO	OP	62603348
536213	1826	1996-01-11	VYDAJ	PREVOD NA UCET	9921	51944	SIPO	OP	62603348
536214	1826	1996-02-11	VYDAJ	PREVOD NA UCET	9921	34640	SIPO	OP	62603348
536215	1826	1996-03-11	VYDAJ	PREVOD NA UCET	9921	42586	SIPO	OP	62603348
536216	1826	1996-04-11	VYDAJ	PREVOD NA UCET	9921	48060	SIPO	OP	62603348
536217	1826	1996-05-11	VYDAJ	PREVOD NA UCET	9921	46391	SIPO	OP	62603348
536218	1826	1996-06-11	VYDAJ	PREVOD NA UCET	9921	41457	SIPO	OP	62603348
536219	1826	1996-07-11	VYDAJ	PREVOD NA UCET	9921	24795	SIPO	OP	62603348
536220	1826	1996-08-11	VYDAJ	PREVOD NA UCET	9921	28811	SIPO	OP	62603348
536221	1826	1996-09-11	VYDAJ	PREVOD NA UCET	9921	32849	SIPO	OP	62603348
536222	1826	1996-10-11	VYDAJ	PREVOD NA UCET	9921	30979	SIPO	OP	62603348
536223	1826	1996-11-11	VYDAJ	PREVOD NA UCET	9921	34928	SIPO	OP	62603348
536224	1826	1996-12-11	VYDAJ	PREVOD NA UCET	9921	41885	SIPO	OP	62603348
536225	1826	1997-01-11	VYDAJ	PREVOD NA UCET	9921	52496	SIPO	OP	62603348
536226	1826	1997-02-11	VYDAJ	PREVOD NA UCET	9921	54659	SIPO	OP	62603348
536227	1826	1997-03-11	VYDAJ	PREVOD NA UCET	9921	51996	SIPO	OP	62603348
536228	1826	1997-04-11	VYDAJ	PREVOD NA UCET	9921	59446	SIPO	OP	62603348
536229	1826	1997-05-11	VYDAJ	PREVOD NA UCET	9921	59412	SIPO	OP	62603348
536230	1826	1997-06-11	VYDAJ	PREVOD NA UCET	9921	61842	SIPO	OP	62603348
536231	1826	1997-07-11	VYDAJ	PREVOD NA UCET	9921	43873	SIPO	OP	62603348
536232	1826	1997-08-11	VYDAJ	PREVOD NA UCET	9921	50167	SIPO	OP	62603348
536233	1826	1997-09-11	VYDAJ	PREVOD NA UCET	9921	50495	SIPO	OP	62603348
536234	1826	1997-10-11	VYDAJ	PREVOD NA UCET	9921	49631	SIPO	OP	62603348
536235	1826	1997-11-11	VYDAJ	PREVOD NA UCET	9921	45755	SIPO	OP	62603348
536236	1826	1997-12-11	VYDAJ	PREVOD NA UCET	9921	52548	SIPO	OP	62603348
536237	1826	1998-01-11	VYDAJ	PREVOD NA UCET	9921	48184	SIPO	OP	62603348
536238	1826	1998-02-11	VYDAJ	PREVOD NA UCET	9921	42341	SIPO	OP	62603348
536239	1826	1998-03-11	VYDAJ	PREVOD NA UCET	9921	46419	SIPO	OP	62603348
536240	1826	1998-04-11	VYDAJ	PREVOD NA UCET	9921	44131	SIPO	OP	62603348
536241	1826	1998-05-11	VYDAJ	PREVOD NA UCET	9921	39638	SIPO	OP	62603348
536242	1826	1998-06-11	VYDAJ	PREVOD NA UCET	9921	35666	SIPO	OP	62603348
536243	1826	1998-07-11	VYDAJ	PREVOD NA UCET	9921	35726	SIPO	OP	62603348
536244	1826	1998-08-11	VYDAJ	PREVOD NA UCET	9921	40478	SIPO	OP	62603348
536245	1826	1998-09-11	VYDAJ	PREVOD NA UCET	9921	37546	SIPO	OP	62603348
536246	1826	1998-10-11	VYDAJ	PREVOD NA UCET	9921	36203	SIPO	OP	62603348
536247	1826	1998-11-11	VYDAJ	PREVOD NA UCET	9921	40266	SIPO	OP	62603348
536248	1826	1998-12-11	VYDAJ	PREVOD NA UCET	9921	45730	SIPO	OP	62603348
536250	1826	1995-06-07	VYDAJ	VYBER	10240	56606	\N	\N	\N
536251	1826	1996-06-15	VYDAJ	VYBER	23200	18257	\N	\N	\N
536252	1826	1997-06-20	VYDAJ	VYBER	33600	28242	\N	\N	\N
536253	1826	1998-06-09	VYDAJ	VYBER	12640	45587	\N	\N	\N
536255	1826	1995-01-30	VYDAJ	VYBER	2080	23038	\N	\N	\N
536256	1826	1996-01-25	VYDAJ	VYBER	14080	25064	\N	\N	\N
536257	1826	1997-01-18	VYDAJ	VYBER	15840	36656	\N	\N	\N
536258	1826	1998-01-26	VYDAJ	VYBER	12960	35224	\N	\N	\N
536259	1826	1994-12-02	VYDAJ	VYBER	1280	34799	\N	\N	\N
536260	1826	1995-12-10	VYDAJ	VYBER	2880	64067	\N	\N	\N
536261	1826	1996-12-23	VYDAJ	VYBER	2880	39005	\N	\N	\N
536262	1826	1997-12-02	VYDAJ	VYBER KARTOU	1800	44135	\N	\N	0
536263	1826	1998-12-03	VYDAJ	VYBER	4480	26617	\N	\N	\N
536266	1826	1994-11-02	VYDAJ	VYBER	2520	37383	\N	\N	\N
536267	1826	1994-12-18	VYDAJ	VYBER	2160	51752	\N	\N	\N
536268	1826	1994-10-09	VYDAJ	VYBER	1800	63546	\N	\N	\N
536269	1826	1995-01-24	VYDAJ	VYBER	3720	30638	\N	\N	\N
536270	1826	1995-07-14	VYDAJ	VYBER	3960	41521	\N	\N	\N
536271	1826	1995-08-26	VYDAJ	VYBER	1320	33337	\N	\N	\N
536272	1826	1995-07-17	VYDAJ	VYBER	1440	36081	\N	\N	\N
536273	1826	1995-01-24	VYDAJ	VYBER	5520	25118	\N	\N	\N
536274	1826	1996-05-06	VYDAJ	VYBER	1440	36956	\N	\N	\N
536275	1826	1996-09-23	VYDAJ	VYBER	4800	27329	\N	\N	\N
536276	1826	1996-09-14	VYDAJ	VYBER	720	32129	\N	\N	\N
536277	1826	1996-04-11	VYDAJ	VYBER	4320	38240	\N	\N	\N
536278	1826	1996-11-19	VYDAJ	VYBER	4680	30248	\N	\N	\N
536279	1826	1997-10-12	VYDAJ	VYBER KARTOU	2500	47131	\N	\N	0
536280	1826	1997-10-30	VYDAJ	VYBER KARTOU	700	46431	\N	\N	0
536281	1826	1997-09-10	VYDAJ	VYBER KARTOU	2600	60416	\N	\N	0
536282	1826	1997-06-10	VYDAJ	VYBER	5520	71763	\N	\N	\N
536283	1826	1998-10-02	VYDAJ	VYBER KARTOU	1400	26768	\N	\N	0
536284	1826	1998-02-22	VYDAJ	VYBER KARTOU	1700	40641	\N	\N	0
536285	1826	1998-04-16	VYDAJ	VYBER KARTOU	1100	43031	\N	\N	0
536286	1826	1998-11-24	VYDAJ	VYBER KARTOU	800	39466	\N	\N	0
536297	1826	1994-10-31	VYDAJ	VYBER	15	39903	SLUZBY	\N	\N
536298	1826	1994-11-30	VYDAJ	VYBER	15	36079	SLUZBY	\N	\N
536299	1826	1994-12-31	VYDAJ	VYBER	15	38023	SLUZBY	\N	\N
536300	1826	1995-01-31	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
536301	1826	1995-02-28	VYDAJ	VYBER	15	28405	SLUZBY	\N	\N
536302	1826	1995-03-31	VYDAJ	VYBER	15	34664	SLUZBY	\N	\N
536303	1826	1995-04-30	VYDAJ	VYBER	15	33835	SLUZBY	\N	\N
536304	1826	1995-05-31	VYDAJ	VYBER	15	37812	SLUZBY	\N	\N
536305	1826	1995-06-30	VYDAJ	VYBER	15	36046	SLUZBY	\N	\N
536306	1826	1995-07-31	VYDAJ	VYBER	15	36222	SLUZBY	\N	\N
536307	1826	1995-08-31	VYDAJ	VYBER	15	33473	SLUZBY	\N	\N
536308	1826	1995-09-30	VYDAJ	VYBER	15	38348	SLUZBY	\N	\N
536309	1826	1995-10-31	VYDAJ	VYBER	15	38632	SLUZBY	\N	\N
536310	1826	1995-11-30	VYDAJ	VYBER	15	37913	SLUZBY	\N	\N
536311	1826	1995-12-31	VYDAJ	VYBER	15	42509	SLUZBY	\N	\N
536312	1826	1996-01-31	VYDAJ	VYBER	15	25205	SLUZBY	\N	\N
536313	1826	1996-02-29	VYDAJ	VYBER	15	33151	SLUZBY	\N	\N
536314	1826	1996-03-31	VYDAJ	VYBER	15	38625	SLUZBY	\N	\N
536315	1826	1996-04-30	VYDAJ	VYBER	15	38396	SLUZBY	\N	\N
536316	1826	1996-05-31	VYDAJ	VYBER	15	38044	SLUZBY	\N	\N
536317	1826	1996-06-30	VYDAJ	VYBER	15	18360	SLUZBY	\N	\N
536318	1826	1996-07-31	VYDAJ	VYBER	15	24876	SLUZBY	\N	\N
536319	1826	1996-08-31	VYDAJ	VYBER	15	28914	SLUZBY	\N	\N
536320	1826	1996-09-30	VYDAJ	VYBER	15	27444	SLUZBY	\N	\N
536321	1826	1996-10-31	VYDAJ	VYBER	15	31093	SLUZBY	\N	\N
536322	1826	1996-11-30	VYDAJ	VYBER	15	30372	SLUZBY	\N	\N
536323	1826	1996-12-31	VYDAJ	VYBER	15	39161	SLUZBY	\N	\N
536324	1826	1997-01-31	VYDAJ	VYBER	15	36824	SLUZBY	\N	\N
536325	1826	1997-02-28	VYDAJ	VYBER	15	54861	SLUZBY	\N	\N
536326	1826	1997-03-31	VYDAJ	VYBER	15	52211	SLUZBY	\N	\N
536327	1826	1997-04-30	VYDAJ	VYBER	15	59677	SLUZBY	\N	\N
536328	1826	1997-05-31	VYDAJ	VYBER	15	59649	SLUZBY	\N	\N
536329	1826	1997-06-30	VYDAJ	VYBER	15	28438	SLUZBY	\N	\N
536330	1826	1997-07-31	VYDAJ	VYBER	15	44032	SLUZBY	\N	\N
536331	1826	1997-08-31	VYDAJ	VYBER	15	50360	SLUZBY	\N	\N
536332	1826	1997-09-30	VYDAJ	VYBER	15	50696	SLUZBY	\N	\N
536333	1826	1997-10-31	VYDAJ	VYBER	15	46620	SLUZBY	\N	\N
536334	1826	1997-11-30	VYDAJ	VYBER	15	45935	SLUZBY	\N	\N
536335	1826	1997-12-31	VYDAJ	VYBER	15	52749	SLUZBY	\N	\N
536336	1826	1998-01-31	VYDAJ	VYBER	15	35406	SLUZBY	\N	\N
536337	1826	1998-02-28	VYDAJ	VYBER	15	40784	SLUZBY	\N	\N
536338	1826	1998-03-31	VYDAJ	VYBER	15	46596	SLUZBY	\N	\N
536339	1826	1998-04-30	VYDAJ	VYBER	15	43203	SLUZBY	\N	\N
536340	1826	1998-05-31	VYDAJ	VYBER	15	29193	SLUZBY	\N	\N
536341	1826	1998-06-30	VYDAJ	VYBER	15	26291	SLUZBY	\N	\N
536342	1826	1998-07-31	VYDAJ	VYBER	15	31043	SLUZBY	\N	\N
536343	1826	1998-08-31	VYDAJ	VYBER	15	28111	SLUZBY	\N	\N
536344	1826	1998-09-30	VYDAJ	VYBER	15	28168	SLUZBY	\N	\N
536345	1826	1998-10-31	VYDAJ	VYBER	15	30831	SLUZBY	\N	\N
536346	1826	1998-11-30	VYDAJ	VYBER	15	31097	SLUZBY	\N	\N
536347	1826	1994-06-21	VYDAJ	VYBER	4000	25634	\N	\N	\N
536348	1826	1994-07-21	VYDAJ	VYBER	11400	33626	\N	\N	\N
536349	1826	1994-08-20	VYDAJ	VYBER	11500	41600	\N	\N	\N
536350	1826	1994-09-19	VYDAJ	VYBER	15300	45809	\N	\N	\N
536351	1826	1994-10-19	VYDAJ	VYBER	13900	39725	\N	\N	\N
536352	1826	1994-11-18	VYDAJ	VYBER	10900	35918	\N	\N	\N
536353	1826	1994-12-18	VYDAJ	VYBER	13900	37852	\N	\N	\N
536354	1826	1995-01-17	VYDAJ	VYBER	13100	34358	\N	\N	\N
536355	1826	1995-02-16	VYDAJ	VYBER	4300	28306	\N	\N	\N
536356	1826	1995-03-18	VYDAJ	VYBER	3300	34540	\N	\N	\N
536357	1826	1995-04-17	VYDAJ	VYBER	10400	33699	\N	\N	\N
536358	1826	1995-05-17	VYDAJ	VYBER	5600	37670	\N	\N	\N
536359	1826	1995-06-16	VYDAJ	VYBER	10800	35885	\N	\N	\N
536360	1826	1995-07-16	VYDAJ	VYBER	4000	37521	\N	\N	\N
536361	1826	1995-08-15	VYDAJ	VYBER	11000	34657	\N	\N	\N
536362	1826	1995-09-14	VYDAJ	VYBER	4700	38208	\N	\N	\N
536363	1826	1995-10-14	VYDAJ	VYBER	9300	38483	\N	\N	\N
536364	1826	1995-11-13	VYDAJ	VYBER	10300	37767	\N	\N	\N
536365	1826	1995-12-13	VYDAJ	VYBER	11800	42346	\N	\N	\N
536366	1826	1996-01-12	VYDAJ	VYBER	12800	39144	\N	\N	\N
536367	1826	1996-02-11	VYDAJ	VYBER	1600	33040	\N	\N	\N
536368	1826	1996-03-12	VYDAJ	VYBER	4100	38486	\N	\N	\N
536369	1826	1996-04-11	VYDAJ	VYBER	5500	42560	\N	\N	\N
536370	1826	1996-05-11	VYDAJ	VYBER	8500	37891	\N	\N	\N
536371	1826	1996-06-10	VYDAJ	VYBER	15700	51378	\N	\N	\N
536372	1826	1996-07-10	VYDAJ	VYBER	3000	34716	\N	\N	\N
536373	1826	1996-08-09	VYDAJ	VYBER	5500	38732	\N	\N	\N
536374	1826	1996-09-08	VYDAJ	VYBER	5500	42770	\N	\N	\N
536375	1826	1996-10-08	VYDAJ	VYBER	5900	40900	\N	\N	\N
536376	1826	1996-11-07	VYDAJ	VYBER	5600	44849	\N	\N	\N
536377	1826	1996-12-07	VYDAJ	VYBER	7600	51806	\N	\N	\N
536378	1826	1997-01-06	PRIJEM	VKLAD	3900	43061	\N	\N	\N
536379	1826	1997-02-05	PRIJEM	VKLAD	8400	45224	\N	\N	\N
536380	1826	1997-03-07	VYDAJ	VYBER	12300	61917	\N	\N	\N
536381	1826	1997-04-06	VYDAJ	VYBER	2200	50011	\N	\N	\N
536382	1826	1997-05-06	VYDAJ	VYBER	9700	49977	\N	\N	\N
536383	1826	1997-06-05	VYDAJ	VYBER	11400	48249	\N	\N	\N
536384	1826	1997-07-05	PRIJEM	VKLAD	6000	34438	\N	\N	\N
536385	1826	1997-08-04	VYDAJ	VYBER KARTOU	3300	40732	\N	\N	0
536386	1826	1997-09-03	VYDAJ	VYBER	6700	43660	\N	\N	\N
536387	1826	1997-10-03	VYDAJ	VYBER	10500	40196	\N	\N	\N
536388	1826	1997-11-02	VYDAJ	VYBER	10300	36320	\N	\N	\N
536389	1826	1997-12-02	VYDAJ	VYBER	10700	33435	\N	\N	\N
536390	1826	1998-01-01	VYDAJ	VYBER	14000	38749	\N	\N	\N
536391	1826	1998-01-31	VYDAJ	VYBER KARTOU	2500	32906	\N	\N	0
536392	1826	1998-03-02	VYDAJ	VYBER KARTOU	3800	36984	\N	\N	0
536393	1826	1998-04-01	VYDAJ	VYBER	11900	34696	\N	\N	\N
536394	1826	1998-05-01	VYDAJ	VYBER	13000	30203	\N	\N	\N
536395	1826	1998-05-31	VYDAJ	VYBER	10600	29207	\N	\N	\N
536396	1826	1998-06-30	VYDAJ	VYBER	9500	26305	\N	\N	\N
536397	1826	1998-07-30	VYDAJ	VYBER	4800	30926	\N	\N	\N
536398	1826	1998-08-29	VYDAJ	VYBER	12500	27978	\N	\N	\N
536399	1826	1998-09-28	VYDAJ	VYBER	9500	28046	\N	\N	\N
536400	1826	1998-10-28	VYDAJ	VYBER	5500	30703	\N	\N	\N
536401	1826	1998-11-27	VYDAJ	VYBER	8500	30966	\N	\N	\N
536457	1827	1993-09-06	PRIJEM	VKLAD	400	400	\N	\N	\N
536466	1827	1993-09-13	PRIJEM	PREVOD Z UCTU	4753	5153	DUCHOD	GH	36155593
536467	1827	1993-10-13	PRIJEM	PREVOD Z UCTU	4753	9919	DUCHOD	GH	36155593
536468	1827	1993-11-13	PRIJEM	PREVOD Z UCTU	4753	14693	DUCHOD	GH	36155593
536469	1827	1993-12-13	PRIJEM	PREVOD Z UCTU	4753	19468	DUCHOD	GH	36155593
536470	1827	1994-01-13	PRIJEM	PREVOD Z UCTU	4753	24242	DUCHOD	GH	36155593
536471	1827	1994-02-13	PRIJEM	PREVOD Z UCTU	4753	19620	DUCHOD	GH	36155593
536472	1827	1994-03-13	PRIJEM	PREVOD Z UCTU	4753	21869	DUCHOD	GH	36155593
536473	1827	1994-04-13	PRIJEM	PREVOD Z UCTU	4753	24128	DUCHOD	GH	36155593
536474	1827	1994-05-13	PRIJEM	PREVOD Z UCTU	4753	26396	DUCHOD	GH	36155593
536475	1827	1994-06-13	PRIJEM	PREVOD Z UCTU	4753	27874	DUCHOD	GH	36155593
536476	1827	1994-07-13	PRIJEM	PREVOD Z UCTU	4753	27506	DUCHOD	GH	36155593
536477	1827	1994-08-13	PRIJEM	PREVOD Z UCTU	4753	27548	DUCHOD	GH	36155593
536478	1827	1994-09-13	PRIJEM	PREVOD Z UCTU	4753	29832	DUCHOD	GH	36155593
536479	1827	1994-10-13	PRIJEM	PREVOD Z UCTU	4753	27044	DUCHOD	GH	36155593
536480	1827	1994-11-13	PRIJEM	PREVOD Z UCTU	4753	29325	DUCHOD	GH	36155593
536481	1827	1994-12-13	PRIJEM	PREVOD Z UCTU	4753	29210	DUCHOD	GH	36155593
536482	1827	1995-01-13	PRIJEM	PREVOD Z UCTU	4753	28716	DUCHOD	GH	36155593
536483	1827	1995-02-13	PRIJEM	PREVOD Z UCTU	4753	17997	DUCHOD	GH	36155593
536484	1827	1995-03-13	PRIJEM	PREVOD Z UCTU	4753	20239	DUCHOD	GH	36155593
536485	1827	1995-04-13	PRIJEM	PREVOD Z UCTU	4753	22491	DUCHOD	GH	36155593
536486	1827	1995-05-13	PRIJEM	PREVOD Z UCTU	4753	24273	DUCHOD	GH	36155593
536487	1827	1995-06-13	PRIJEM	PREVOD Z UCTU	4753	26542	DUCHOD	GH	36155593
536488	1827	1995-07-13	PRIJEM	PREVOD Z UCTU	4753	24610	DUCHOD	GH	36155593
536489	1827	1995-08-13	PRIJEM	PREVOD Z UCTU	4753	24960	DUCHOD	GH	36155593
536490	1827	1995-09-13	PRIJEM	PREVOD Z UCTU	4753	22187	DUCHOD	GH	36155593
536491	1827	1995-10-13	PRIJEM	PREVOD Z UCTU	4753	24447	DUCHOD	GH	36155593
536492	1827	1995-11-13	PRIJEM	PREVOD Z UCTU	4753	26716	DUCHOD	GH	36155593
536493	1827	1995-12-13	PRIJEM	PREVOD Z UCTU	4753	28995	DUCHOD	GH	36155593
536494	1827	1996-01-13	PRIJEM	PREVOD Z UCTU	4753	18312	DUCHOD	GH	36155593
536495	1827	1996-02-13	PRIJEM	PREVOD Z UCTU	4753	19203	DUCHOD	GH	36155593
536496	1827	1996-03-13	PRIJEM	PREVOD Z UCTU	4753	17611	DUCHOD	GH	36155593
536497	1827	1996-04-13	PRIJEM	PREVOD Z UCTU	4753	19857	DUCHOD	GH	36155593
536498	1827	1996-05-13	PRIJEM	PREVOD Z UCTU	4753	22106	DUCHOD	GH	36155593
536499	1827	1996-06-13	PRIJEM	PREVOD Z UCTU	4753	24366	DUCHOD	GH	36155593
536500	1827	1996-07-13	PRIJEM	PREVOD Z UCTU	4753	26634	DUCHOD	GH	36155593
536501	1827	1996-08-13	PRIJEM	PREVOD Z UCTU	4753	24343	DUCHOD	GH	36155593
536502	1827	1996-09-13	PRIJEM	PREVOD Z UCTU	4753	26611	DUCHOD	GH	36155593
536503	1827	1996-10-13	PRIJEM	PREVOD Z UCTU	4753	25368	DUCHOD	GH	36155593
536504	1827	1996-11-13	PRIJEM	PREVOD Z UCTU	4753	27641	DUCHOD	GH	36155593
536505	1827	1996-12-13	PRIJEM	PREVOD Z UCTU	4753	29923	DUCHOD	GH	36155593
536506	1827	1997-01-13	PRIJEM	PREVOD Z UCTU	4753	29064	DUCHOD	GH	36155593
536507	1827	1997-02-13	PRIJEM	PREVOD Z UCTU	4753	24115	DUCHOD	GH	36155593
536508	1827	1997-03-13	PRIJEM	PREVOD Z UCTU	4753	24702	DUCHOD	GH	36155593
536509	1827	1997-04-13	PRIJEM	PREVOD Z UCTU	4753	26974	DUCHOD	GH	36155593
536510	1827	1997-05-13	PRIJEM	PREVOD Z UCTU	4753	29253	DUCHOD	GH	36155593
536511	1827	1997-06-13	PRIJEM	PREVOD Z UCTU	4753	20541	DUCHOD	GH	36155593
536512	1827	1997-07-13	PRIJEM	PREVOD Z UCTU	4753	19770	DUCHOD	GH	36155593
536513	1827	1997-08-13	PRIJEM	PREVOD Z UCTU	4753	22023	DUCHOD	GH	36155593
536514	1827	1997-09-13	PRIJEM	PREVOD Z UCTU	4753	24281	DUCHOD	GH	36155593
536515	1827	1997-10-13	PRIJEM	PREVOD Z UCTU	4753	24068	DUCHOD	GH	36155593
536516	1827	1997-11-13	PRIJEM	PREVOD Z UCTU	4753	26338	DUCHOD	GH	36155593
536517	1827	1997-12-13	PRIJEM	PREVOD Z UCTU	4753	24024	DUCHOD	GH	36155593
536518	1827	1998-01-13	PRIJEM	PREVOD Z UCTU	4753	21249	DUCHOD	GH	36155593
536519	1827	1998-02-13	PRIJEM	PREVOD Z UCTU	4753	20219	DUCHOD	GH	36155593
536520	1827	1998-03-13	PRIJEM	PREVOD Z UCTU	4753	22469	DUCHOD	GH	36155593
536521	1827	1998-04-13	PRIJEM	PREVOD Z UCTU	4753	20887	DUCHOD	GH	36155593
536522	1827	1998-05-13	PRIJEM	PREVOD Z UCTU	4753	23142	DUCHOD	GH	36155593
536523	1827	1998-06-13	PRIJEM	PREVOD Z UCTU	4753	23162	DUCHOD	GH	36155593
536524	1827	1998-07-13	PRIJEM	PREVOD Z UCTU	4753	25424	DUCHOD	GH	36155593
536525	1827	1998-08-13	PRIJEM	PREVOD Z UCTU	4753	27696	DUCHOD	GH	36155593
536526	1827	1998-09-13	PRIJEM	PREVOD Z UCTU	4753	27894	DUCHOD	GH	36155593
536527	1827	1998-10-13	PRIJEM	PREVOD Z UCTU	4753	30175	DUCHOD	GH	36155593
536528	1827	1998-11-13	PRIJEM	PREVOD Z UCTU	4753	29987	DUCHOD	GH	36155593
536529	1827	1998-12-13	PRIJEM	PREVOD Z UCTU	4753	32280	DUCHOD	GH	36155593
536543	1827	1994-02-12	VYDAJ	PREVOD NA UCET	2567	14867	SIPO	EF	47742539
536544	1827	1994-03-12	VYDAJ	PREVOD NA UCET	2567	17116	SIPO	EF	47742539
536545	1827	1994-04-12	VYDAJ	PREVOD NA UCET	2567	19375	SIPO	EF	47742539
536546	1827	1994-05-12	VYDAJ	PREVOD NA UCET	2567	21643	SIPO	EF	47742539
536547	1827	1994-06-12	VYDAJ	PREVOD NA UCET	2567	23921	SIPO	EF	47742539
536548	1827	1994-07-12	VYDAJ	PREVOD NA UCET	2567	22753	SIPO	EF	47742539
536549	1827	1994-08-12	VYDAJ	PREVOD NA UCET	2567	22795	SIPO	EF	47742539
536550	1827	1994-09-12	VYDAJ	PREVOD NA UCET	2567	25079	SIPO	EF	47742539
536551	1827	1994-10-12	VYDAJ	PREVOD NA UCET	2567	22291	SIPO	EF	47742539
536552	1827	1994-11-12	VYDAJ	PREVOD NA UCET	2567	24572	SIPO	EF	47742539
536553	1827	1994-12-12	VYDAJ	PREVOD NA UCET	2567	24457	SIPO	EF	47742539
536554	1827	1995-01-12	VYDAJ	PREVOD NA UCET	2567	23963	SIPO	EF	47742539
536555	1827	1995-02-12	VYDAJ	PREVOD NA UCET	2567	13244	SIPO	EF	47742539
536556	1827	1995-03-12	VYDAJ	PREVOD NA UCET	2567	15486	SIPO	EF	47742539
536557	1827	1995-04-12	VYDAJ	PREVOD NA UCET	2567	17738	SIPO	EF	47742539
536558	1827	1995-05-12	VYDAJ	PREVOD NA UCET	2567	19520	SIPO	EF	47742539
536559	1827	1995-06-12	VYDAJ	PREVOD NA UCET	2567	21789	SIPO	EF	47742539
536560	1827	1995-07-12	VYDAJ	PREVOD NA UCET	2567	19857	SIPO	EF	47742539
536561	1827	1995-08-12	VYDAJ	PREVOD NA UCET	2567	20207	SIPO	EF	47742539
536562	1827	1995-09-12	VYDAJ	PREVOD NA UCET	2567	17434	SIPO	EF	47742539
536563	1827	1995-10-12	VYDAJ	PREVOD NA UCET	2567	19694	SIPO	EF	47742539
536564	1827	1995-11-12	VYDAJ	PREVOD NA UCET	2567	21963	SIPO	EF	47742539
536565	1827	1995-12-12	VYDAJ	PREVOD NA UCET	2567	24242	SIPO	EF	47742539
536566	1827	1996-01-12	VYDAJ	PREVOD NA UCET	2567	13559	SIPO	EF	47742539
536567	1827	1996-02-12	VYDAJ	PREVOD NA UCET	2567	14450	SIPO	EF	47742539
536568	1827	1996-03-12	VYDAJ	PREVOD NA UCET	2567	12858	SIPO	EF	47742539
536569	1827	1996-04-12	VYDAJ	PREVOD NA UCET	2567	15104	SIPO	EF	47742539
536570	1827	1996-05-12	VYDAJ	PREVOD NA UCET	2567	17353	SIPO	EF	47742539
536571	1827	1996-06-12	VYDAJ	PREVOD NA UCET	2567	19613	SIPO	EF	47742539
536572	1827	1996-07-12	VYDAJ	PREVOD NA UCET	2567	21881	SIPO	EF	47742539
536573	1827	1996-08-12	VYDAJ	PREVOD NA UCET	2567	19590	SIPO	EF	47742539
536574	1827	1996-09-12	VYDAJ	PREVOD NA UCET	2567	21858	SIPO	EF	47742539
536575	1827	1996-10-12	VYDAJ	PREVOD NA UCET	2567	20615	SIPO	EF	47742539
536576	1827	1996-11-12	VYDAJ	PREVOD NA UCET	2567	22888	SIPO	EF	47742539
536577	1827	1996-12-12	VYDAJ	PREVOD NA UCET	2567	25170	SIPO	EF	47742539
536578	1827	1997-01-12	VYDAJ	PREVOD NA UCET	2567	24311	SIPO	EF	47742539
536579	1827	1997-02-12	VYDAJ	PREVOD NA UCET	2567	19362	SIPO	EF	47742539
536580	1827	1997-03-12	VYDAJ	PREVOD NA UCET	2567	19949	SIPO	EF	47742539
536581	1827	1997-04-12	VYDAJ	PREVOD NA UCET	2567	22221	SIPO	EF	47742539
536582	1827	1997-05-12	VYDAJ	PREVOD NA UCET	2567	24500	SIPO	EF	47742539
536583	1827	1997-06-12	VYDAJ	PREVOD NA UCET	2567	15788	SIPO	EF	47742539
536584	1827	1997-07-12	VYDAJ	PREVOD NA UCET	2567	15017	SIPO	EF	47742539
536585	1827	1997-08-12	VYDAJ	PREVOD NA UCET	2567	17270	SIPO	EF	47742539
536586	1827	1997-09-12	VYDAJ	PREVOD NA UCET	2567	19528	SIPO	EF	47742539
536587	1827	1997-10-12	VYDAJ	PREVOD NA UCET	2567	19315	SIPO	EF	47742539
536588	1827	1997-11-12	VYDAJ	PREVOD NA UCET	2567	21585	SIPO	EF	47742539
536589	1827	1997-12-12	VYDAJ	PREVOD NA UCET	2567	19271	SIPO	EF	47742539
536590	1827	1998-01-12	VYDAJ	PREVOD NA UCET	2567	16496	SIPO	EF	47742539
536591	1827	1998-02-12	VYDAJ	PREVOD NA UCET	2567	15466	SIPO	EF	47742539
536592	1827	1998-03-12	VYDAJ	PREVOD NA UCET	2567	17716	SIPO	EF	47742539
536593	1827	1998-04-12	VYDAJ	PREVOD NA UCET	2567	16134	SIPO	EF	47742539
536594	1827	1998-05-12	VYDAJ	PREVOD NA UCET	2567	18389	SIPO	EF	47742539
536595	1827	1998-06-12	VYDAJ	PREVOD NA UCET	2567	18409	SIPO	EF	47742539
536596	1827	1998-07-12	VYDAJ	PREVOD NA UCET	2567	20671	SIPO	EF	47742539
536597	1827	1998-08-12	VYDAJ	PREVOD NA UCET	2567	22943	SIPO	EF	47742539
536598	1827	1998-09-12	VYDAJ	PREVOD NA UCET	2567	23141	SIPO	EF	47742539
536599	1827	1998-10-12	VYDAJ	PREVOD NA UCET	2567	25422	SIPO	EF	47742539
536600	1827	1998-11-12	VYDAJ	PREVOD NA UCET	2567	25234	SIPO	EF	47742539
536601	1827	1998-12-12	VYDAJ	PREVOD NA UCET	2567	27527	SIPO	EF	47742539
536603	1827	1994-06-24	VYDAJ	VYBER	2650	25224	\N	\N	\N
536604	1827	1995-06-14	VYDAJ	VYBER	4200	22342	\N	\N	\N
536606	1827	1997-06-05	VYDAJ	VYBER	11000	18355	\N	\N	\N
536609	1827	1994-01-21	VYDAJ	VYBER	2850	17952	\N	\N	\N
536610	1827	1995-01-20	VYDAJ	VYBER	4350	19726	\N	\N	\N
536611	1827	1996-01-06	VYDAJ	VYBER	3500	18926	\N	\N	\N
536612	1827	1997-01-25	VYDAJ	VYBER	3950	22874	\N	\N	\N
536615	1827	1994-12-17	VYDAJ	VYBER	1300	27910	\N	\N	\N
536616	1827	1995-12-15	VYDAJ	VYBER	750	28245	\N	\N	\N
536617	1827	1996-12-29	VYDAJ	VYBER	350	29573	\N	\N	\N
536618	1827	1997-12-05	VYDAJ	VYBER	750	23518	\N	\N	\N
536619	1827	1998-12-17	VYDAJ	VYBER	450	31830	\N	\N	\N
536626	1827	1994-01-21	VYDAJ	VYBER	800	20802	\N	\N	\N
536627	1827	1994-01-15	VYDAJ	VYBER	1840	21602	\N	\N	\N
536629	1827	1994-01-14	VYDAJ	VYBER	800	23442	\N	\N	\N
536630	1827	1994-01-30	VYDAJ	VYBER	560	17392	\N	\N	\N
536632	1827	1995-01-18	VYDAJ	VYBER	1200	25836	\N	\N	\N
536633	1827	1995-01-01	VYDAJ	VYBER	880	26530	\N	\N	\N
536634	1827	1995-01-29	VYDAJ	VYBER	2000	15726	\N	\N	\N
536635	1827	1995-01-23	VYDAJ	VYBER	2000	17726	\N	\N	\N
536636	1827	1995-01-13	VYDAJ	VYBER	1680	27036	\N	\N	\N
536637	1827	1995-01-20	VYDAJ	VYBER	1760	24076	\N	\N	\N
536638	1827	1996-01-11	VYDAJ	VYBER	1760	16766	\N	\N	\N
536639	1827	1996-01-10	VYDAJ	VYBER	400	18526	\N	\N	\N
536640	1827	1996-01-05	VYDAJ	VYBER	2320	22426	\N	\N	\N
536641	1827	1996-01-03	VYDAJ	VYBER	480	27866	\N	\N	\N
536642	1827	1996-01-11	VYDAJ	VYBER	640	16126	\N	\N	\N
536643	1827	1996-01-30	VYDAJ	VYBER	1360	16952	\N	\N	\N
536644	1827	1997-01-03	VYDAJ	VYBER	480	27438	\N	\N	\N
536645	1827	1997-01-22	VYDAJ	VYBER	640	26824	\N	\N	\N
536646	1827	1997-01-29	VYDAJ	VYBER	1040	21834	\N	\N	\N
536647	1827	1997-01-02	VYDAJ	VYBER	1760	27918	\N	\N	\N
536648	1827	1997-01-20	VYDAJ	VYBER	1600	27464	\N	\N	\N
536649	1827	1997-01-09	VYDAJ	VYBER	560	26878	\N	\N	\N
536650	1827	1998-01-17	VYDAJ	VYBER	1600	18529	\N	\N	\N
536651	1827	1998-01-08	VYDAJ	VYBER	1920	20103	\N	\N	\N
536653	1827	1998-01-09	VYDAJ	VYBER	1040	19063	\N	\N	\N
536654	1827	1998-01-17	VYDAJ	VYBER	560	17969	\N	\N	\N
536655	1827	1998-01-14	VYDAJ	VYBER	1120	20129	\N	\N	\N
536660	1827	1994-06-12	VYDAJ	VYBER	800	23121	\N	\N	\N
536661	1827	1994-11-15	VYDAJ	VYBER	2400	26925	\N	\N	\N
536662	1827	1994-07-28	VYDAJ	VYBER	1040	26466	\N	\N	\N
536663	1827	1994-10-02	VYDAJ	VYBER	1680	24858	\N	\N	\N
536664	1827	1995-08-21	VYDAJ	VYBER	2880	22080	\N	\N	\N
536665	1827	1995-05-12	VYDAJ	VYBER	480	22087	\N	\N	\N
536666	1827	1995-08-23	VYDAJ	VYBER	2160	19920	\N	\N	\N
536667	1827	1995-08-04	VYDAJ	VYBER	1920	22774	\N	\N	\N
536668	1827	1996-07-15	VYDAJ	VYBER	3360	23274	\N	\N	\N
536669	1827	1996-03-06	VYDAJ	VYBER	3840	15425	\N	\N	\N
536670	1827	1996-09-29	VYDAJ	VYBER	3520	23091	\N	\N	\N
536671	1827	1996-01-04	VYDAJ	VYBER	3120	24746	\N	\N	\N
536672	1827	1996-07-19	VYDAJ	VYBER	1200	22074	\N	\N	\N
536673	1827	1997-03-08	VYDAJ	VYBER	1680	22516	\N	\N	\N
536675	1827	1997-12-04	VYDAJ	VYBER	2160	24268	\N	\N	\N
536676	1827	1997-10-10	VYDAJ	VYBER	2480	21882	\N	\N	\N
536677	1827	1997-07-04	VYDAJ	VYBER	3040	17584	\N	\N	\N
536678	1827	1997-12-07	VYDAJ	VYBER	1680	21838	\N	\N	\N
536679	1827	1997-12-17	VYDAJ	VYBER	2080	21944	\N	\N	\N
536680	1827	1998-05-26	VYDAJ	VYBER	2240	20902	\N	\N	\N
536681	1827	1998-08-22	VYDAJ	VYBER	2080	25616	\N	\N	\N
536682	1827	1998-04-04	VYDAJ	VYBER	1680	18701	\N	\N	\N
536683	1827	1998-03-28	VYDAJ	VYBER	2160	20309	\N	\N	\N
536684	1827	1998-11-01	VYDAJ	VYBER	2480	27801	\N	\N	\N
536698	1827	1994-01-31	VYDAJ	VYBER	15	17434	SLUZBY	\N	\N
536699	1827	1994-02-28	VYDAJ	VYBER	15	19683	SLUZBY	\N	\N
536700	1827	1994-03-31	VYDAJ	VYBER	15	21942	SLUZBY	\N	\N
536701	1827	1994-04-30	VYDAJ	VYBER	15	24210	SLUZBY	\N	\N
536702	1827	1994-05-31	VYDAJ	VYBER	15	26488	SLUZBY	\N	\N
536703	1827	1994-06-30	VYDAJ	VYBER	15	25320	SLUZBY	\N	\N
536704	1827	1994-07-31	VYDAJ	VYBER	15	26562	SLUZBY	\N	\N
536705	1827	1994-08-31	VYDAJ	VYBER	15	27646	SLUZBY	\N	\N
536706	1827	1994-09-30	VYDAJ	VYBER	15	29938	SLUZBY	\N	\N
536707	1827	1994-10-31	VYDAJ	VYBER	15	27139	SLUZBY	\N	\N
536708	1827	1994-11-30	VYDAJ	VYBER	15	27024	SLUZBY	\N	\N
536709	1827	1994-12-31	VYDAJ	VYBER	15	27410	SLUZBY	\N	\N
536710	1827	1995-01-31	VYDAJ	VYBER	15	15811	SLUZBY	\N	\N
536711	1827	1995-02-28	VYDAJ	VYBER	15	18053	SLUZBY	\N	\N
536712	1827	1995-03-31	VYDAJ	VYBER	15	20305	SLUZBY	\N	\N
536713	1827	1995-04-30	VYDAJ	VYBER	15	22567	SLUZBY	\N	\N
536714	1827	1995-05-31	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
536715	1827	1995-06-30	VYDAJ	VYBER	15	22424	SLUZBY	\N	\N
536716	1827	1995-07-31	VYDAJ	VYBER	15	24694	SLUZBY	\N	\N
536717	1827	1995-08-31	VYDAJ	VYBER	15	20001	SLUZBY	\N	\N
536718	1827	1995-09-30	VYDAJ	VYBER	15	22261	SLUZBY	\N	\N
536719	1827	1995-10-31	VYDAJ	VYBER	15	24530	SLUZBY	\N	\N
536720	1827	1995-11-30	VYDAJ	VYBER	15	26809	SLUZBY	\N	\N
536721	1827	1995-12-31	VYDAJ	VYBER	15	28346	SLUZBY	\N	\N
536722	1827	1996-01-31	VYDAJ	VYBER	15	17017	SLUZBY	\N	\N
536723	1827	1996-02-29	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
536724	1827	1996-03-31	VYDAJ	VYBER	15	17671	SLUZBY	\N	\N
536725	1827	1996-04-30	VYDAJ	VYBER	15	19920	SLUZBY	\N	\N
536726	1827	1996-05-31	VYDAJ	VYBER	15	22180	SLUZBY	\N	\N
536727	1827	1996-06-30	VYDAJ	VYBER	15	24448	SLUZBY	\N	\N
536728	1827	1996-07-31	VYDAJ	VYBER	15	22157	SLUZBY	\N	\N
536729	1827	1996-08-31	VYDAJ	VYBER	15	24425	SLUZBY	\N	\N
536730	1827	1996-09-30	VYDAJ	VYBER	15	23182	SLUZBY	\N	\N
536731	1827	1996-10-31	VYDAJ	VYBER	15	25455	SLUZBY	\N	\N
536732	1827	1996-11-30	VYDAJ	VYBER	15	27737	SLUZBY	\N	\N
536733	1827	1996-12-31	VYDAJ	VYBER	15	29678	SLUZBY	\N	\N
536734	1827	1997-01-31	VYDAJ	VYBER	15	21929	SLUZBY	\N	\N
536735	1827	1997-02-28	VYDAJ	VYBER	15	24196	SLUZBY	\N	\N
536736	1827	1997-03-31	VYDAJ	VYBER	15	24788	SLUZBY	\N	\N
536737	1827	1997-04-30	VYDAJ	VYBER	15	27067	SLUZBY	\N	\N
536738	1827	1997-05-31	VYDAJ	VYBER	15	29355	SLUZBY	\N	\N
536739	1827	1997-06-30	VYDAJ	VYBER	15	20624	SLUZBY	\N	\N
536740	1827	1997-07-31	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
536741	1827	1997-08-31	VYDAJ	VYBER	15	22095	SLUZBY	\N	\N
536742	1827	1997-09-30	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
536743	1827	1997-10-31	VYDAJ	VYBER	15	24152	SLUZBY	\N	\N
536744	1827	1997-11-30	VYDAJ	VYBER	15	26428	SLUZBY	\N	\N
536745	1827	1997-12-31	VYDAJ	VYBER	15	22023	SLUZBY	\N	\N
536746	1827	1998-01-31	VYDAJ	VYBER	15	18033	SLUZBY	\N	\N
536747	1827	1998-02-28	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
536748	1827	1998-03-31	VYDAJ	VYBER	15	20381	SLUZBY	\N	\N
536749	1827	1998-04-30	VYDAJ	VYBER	15	20956	SLUZBY	\N	\N
536750	1827	1998-05-31	VYDAJ	VYBER	15	20976	SLUZBY	\N	\N
536751	1827	1998-06-30	VYDAJ	VYBER	15	23238	SLUZBY	\N	\N
536752	1827	1998-07-31	VYDAJ	VYBER	15	25510	SLUZBY	\N	\N
536753	1827	1998-08-31	VYDAJ	VYBER	15	25708	SLUZBY	\N	\N
536754	1827	1998-09-30	VYDAJ	VYBER	15	27989	SLUZBY	\N	\N
536755	1827	1998-10-31	VYDAJ	VYBER	15	30281	SLUZBY	\N	\N
536756	1827	1998-11-30	VYDAJ	VYBER	15	30094	SLUZBY	\N	\N
536757	1827	1994-08-02	VYDAJ	VYBER	1200	25362	\N	\N	\N
536758	1827	1994-10-01	VYDAJ	VYBER	3400	26538	\N	\N	\N
536759	1827	1994-12-30	VYDAJ	VYBER	600	27310	\N	\N	\N
536824	1828	1994-09-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
536826	1828	1994-11-16	PRIJEM	VKLAD	42845	57245	\N	\N	\N
536829	1828	1994-11-23	PRIJEM	VKLAD	41228	129152	\N	\N	\N
536830	1828	1994-11-21	PRIJEM	VKLAD	30679	87924	\N	\N	\N
536835	1828	1995-03-01	PRIJEM	VKLAD	47514	71707	\N	\N	\N
536836	1828	1995-03-30	PRIJEM	VKLAD	33830	64340	\N	\N	\N
536837	1828	1995-11-03	PRIJEM	VKLAD	6177	66471	\N	\N	\N
536838	1828	1995-08-31	PRIJEM	VKLAD	9339	52085	\N	\N	\N
536839	1828	1995-08-15	PRIJEM	VKLAD	33631	61946	\N	\N	\N
536840	1828	1995-06-25	PRIJEM	VKLAD	12288	86201	\N	\N	\N
536841	1828	1995-12-14	PRIJEM	VKLAD	22927	121430	\N	\N	\N
536842	1828	1995-04-20	PRIJEM	VKLAD	30759	111386	\N	\N	\N
536843	1828	1995-12-01	PRIJEM	VKLAD	7433	83196	\N	\N	\N
536844	1828	1995-07-14	PRIJEM	VKLAD	10692	58073	\N	\N	\N
536845	1828	1995-11-22	PRIJEM	VKLAD	46226	186881	\N	\N	\N
536846	1828	1995-03-05	PRIJEM	VKLAD	39397	111104	\N	\N	\N
536847	1828	1995-06-06	PRIJEM	VKLAD	30730	83754	\N	\N	\N
536848	1828	1995-10-22	PRIJEM	VKLAD	45324	87596	\N	\N	\N
536849	1828	1995-05-25	PRIJEM	VKLAD	42609	115206	\N	\N	\N
536850	1828	1995-11-14	PRIJEM	VKLAD	49074	108398	\N	\N	\N
536851	1828	1995-05-14	PRIJEM	VKLAD	47907	82650	\N	\N	\N
536852	1828	1995-03-06	PRIJEM	VKLAD	20669	67573	\N	\N	\N
536853	1828	1995-04-08	PRIJEM	VKLAD	7439	86429	\N	\N	\N
536854	1828	1995-09-02	PRIJEM	VKLAD	18064	70319	\N	\N	\N
536855	1828	1995-04-06	PRIJEM	VKLAD	43431	83190	\N	\N	\N
536856	1828	1995-06-17	PRIJEM	VKLAD	21915	99867	\N	\N	\N
536857	1828	1995-11-22	PRIJEM	VKLAD	32410	140655	\N	\N	\N
536858	1828	1995-01-23	PRIJEM	VKLAD	6594	40005	\N	\N	\N
536859	1828	1995-06-24	PRIJEM	VKLAD	19346	119213	\N	\N	\N
536860	1828	1995-12-05	PRIJEM	VKLAD	22454	105650	\N	\N	\N
536861	1828	1995-09-28	PRIJEM	VKLAD	13041	51860	\N	\N	\N
536862	1828	1996-04-13	PRIJEM	VKLAD	15141	72346	\N	\N	\N
536863	1828	1996-10-22	PRIJEM	VKLAD	37003	69970	\N	\N	\N
536864	1828	1996-07-31	PRIJEM	VKLAD	41730	104367	\N	\N	\N
536865	1828	1996-07-05	PRIJEM	VKLAD	43505	65920	\N	\N	\N
536866	1828	1996-01-28	PRIJEM	VKLAD	30047	73688	\N	\N	\N
536867	1828	1996-07-29	PRIJEM	VKLAD	26529	62449	\N	\N	\N
536868	1828	1996-04-11	PRIJEM	VKLAD	40848	63837	\N	\N	\N
536869	1828	1996-09-28	PRIJEM	VKLAD	21014	46173	\N	\N	\N
536870	1828	1996-11-28	PRIJEM	VKLAD	11711	60165	\N	\N	\N
536871	1828	1997-07-03	PRIJEM	VKLAD	34279	91325	\N	\N	\N
536872	1828	1997-12-10	PRIJEM	VKLAD	44013	68685	\N	\N	\N
536873	1828	1997-04-20	PRIJEM	VKLAD	24013	76070	\N	\N	\N
536874	1828	1997-11-02	PRIJEM	VKLAD	23007	56242	\N	\N	\N
536875	1828	1997-01-11	PRIJEM	VKLAD	27459	87338	\N	\N	\N
536876	1828	1997-05-24	PRIJEM	VKLAD	31546	116736	\N	\N	\N
536877	1828	1997-01-04	PRIJEM	VKLAD	37007	67026	\N	\N	\N
536878	1828	1997-02-10	PRIJEM	VKLAD	6758	81795	\N	\N	\N
536879	1828	1997-05-29	PRIJEM	VKLAD	32434	84470	\N	\N	\N
536880	1828	1997-01-24	PRIJEM	VKLAD	42261	97446	\N	\N	\N
536881	1828	1997-06-26	PRIJEM	VKLAD	6919	56792	\N	\N	\N
536882	1828	1997-04-13	PRIJEM	VKLAD	37301	87210	\N	\N	\N
536883	1828	1997-02-17	PRIJEM	VKLAD	49313	101419	\N	\N	\N
536884	1828	1997-05-22	PRIJEM	VKLAD	32146	85190	\N	\N	\N
536885	1828	1997-08-17	PRIJEM	VKLAD	32648	54348	\N	\N	\N
536886	1828	1997-07-04	PRIJEM	VKLAD	14725	106050	\N	\N	\N
536887	1828	1997-08-25	PRIJEM	VKLAD	33909	88257	\N	\N	\N
536888	1828	1997-05-19	PRIJEM	VKLAD	8518	53044	\N	\N	\N
536889	1828	1998-09-14	PRIJEM	VKLAD	29684	62292	\N	\N	\N
536890	1828	1998-02-12	PRIJEM	VKLAD	40051	69234	\N	\N	\N
536891	1828	1998-01-21	PRIJEM	VKLAD	43632	83954	\N	\N	\N
536892	1828	1998-02-05	PRIJEM	VKLAD	10827	112830	\N	\N	\N
536893	1828	1998-03-30	PRIJEM	VKLAD	7831	39043	\N	\N	\N
536894	1828	1998-12-15	PRIJEM	VKLAD	23597	64239	\N	\N	\N
536895	1828	1998-06-25	PRIJEM	VKLAD	32523	100418	\N	\N	\N
536896	1828	1998-09-25	PRIJEM	VKLAD	18643	78682	\N	\N	\N
536897	1828	1998-04-15	PRIJEM	VKLAD	13360	34008	\N	\N	\N
536898	1828	1998-03-24	PRIJEM	VKLAD	29982	77287	\N	\N	\N
536899	1828	1998-12-07	PRIJEM	VKLAD	14617	37725	\N	\N	\N
536900	1828	1998-01-21	PRIJEM	VKLAD	34192	118146	\N	\N	\N
536901	1828	1998-03-04	PRIJEM	VKLAD	33636	80293	\N	\N	\N
536902	1828	1998-01-03	PRIJEM	VKLAD	35496	69422	\N	\N	\N
536903	1828	1998-02-24	PRIJEM	VKLAD	46537	109918	\N	\N	\N
536904	1828	1998-08-05	PRIJEM	VKLAD	27085	76144	\N	\N	\N
536905	1828	1998-08-21	PRIJEM	VKLAD	20165	66959	\N	\N	\N
536906	1828	1998-11-23	PRIJEM	VKLAD	8698	24529	\N	\N	\N
536907	1828	1998-06-25	PRIJEM	VKLAD	25298	67895	\N	\N	\N
536908	1828	1998-08-20	PRIJEM	VKLAD	15450	46794	\N	\N	\N
536909	1828	1998-04-21	PRIJEM	VKLAD	46095	80103	\N	\N	\N
536910	1828	1998-07-03	PRIJEM	VKLAD	22909	109720	\N	\N	\N
536911	1828	1998-06-12	PRIJEM	VKLAD	25804	42750	\N	\N	\N
536912	1828	1998-09-27	PRIJEM	VKLAD	43429	122111	\N	\N	\N
536913	1828	1998-03-09	PRIJEM	VKLAD	13712	92507	\N	\N	\N
536914	1828	1998-12-15	PRIJEM	VKLAD	8719	40642	\N	\N	\N
536989	1828	1995-03-10	VYDAJ	PREVOD NA UCET	4036	61924	SIPO	EF	60668200
536990	1828	1995-04-10	VYDAJ	PREVOD NA UCET	4036	80780	SIPO	EF	60668200
536991	1828	1995-05-10	VYDAJ	PREVOD NA UCET	4036	34743	SIPO	EF	60668200
536992	1828	1995-06-10	VYDAJ	PREVOD NA UCET	4036	78105	SIPO	EF	60668200
536993	1828	1995-07-10	VYDAJ	PREVOD NA UCET	4036	47381	SIPO	EF	60668200
536994	1828	1995-08-10	VYDAJ	PREVOD NA UCET	4036	28468	SIPO	EF	60668200
536995	1828	1995-09-10	VYDAJ	PREVOD NA UCET	4036	63172	SIPO	EF	60668200
536996	1828	1995-10-10	VYDAJ	PREVOD NA UCET	4036	42425	SIPO	EF	60668200
536997	1828	1995-11-10	VYDAJ	PREVOD NA UCET	4036	59324	SIPO	EF	60668200
536998	1828	1995-12-10	VYDAJ	PREVOD NA UCET	4036	98503	SIPO	EF	60668200
536999	1828	1996-01-10	VYDAJ	PREVOD NA UCET	4036	50794	SIPO	EF	60668200
537000	1828	1996-02-10	VYDAJ	PREVOD NA UCET	4036	66751	SIPO	EF	60668200
537001	1828	1996-03-10	VYDAJ	PREVOD NA UCET	4036	41296	SIPO	EF	60668200
537002	1828	1996-04-10	VYDAJ	PREVOD NA UCET	4036	22989	SIPO	EF	60668200
537003	1828	1996-05-10	VYDAJ	PREVOD NA UCET	4036	43238	SIPO	EF	60668200
537004	1828	1996-06-10	VYDAJ	PREVOD NA UCET	4036	18591	SIPO	EF	60668200
537005	1828	1996-07-10	VYDAJ	PREVOD NA UCET	4036	58773	SIPO	EF	60668200
537006	1828	1996-08-10	VYDAJ	PREVOD NA UCET	4036	71195	SIPO	EF	60668200
537007	1828	1996-09-10	VYDAJ	PREVOD NA UCET	4036	19812	SIPO	EF	60668200
537008	1828	1996-10-10	VYDAJ	PREVOD NA UCET	4036	32520	SIPO	EF	60668200
537009	1828	1996-11-10	VYDAJ	PREVOD NA UCET	4036	63007	SIPO	EF	60668200
537010	1828	1996-12-10	VYDAJ	PREVOD NA UCET	4036	34831	SIPO	EF	60668200
537011	1828	1997-01-10	VYDAJ	PREVOD NA UCET	4036	59879	SIPO	EF	60668200
537012	1828	1997-02-10	VYDAJ	PREVOD NA UCET	4036	77759	SIPO	EF	60668200
537013	1828	1997-03-10	VYDAJ	PREVOD NA UCET	4036	94625	SIPO	EF	60668200
537014	1828	1997-04-10	VYDAJ	PREVOD NA UCET	4036	49909	SIPO	EF	60668200
537015	1828	1997-05-10	VYDAJ	PREVOD NA UCET	4036	69179	SIPO	EF	60668200
537016	1828	1997-06-10	VYDAJ	PREVOD NA UCET	4036	77626	SIPO	EF	60668200
537017	1828	1997-07-10	VYDAJ	PREVOD NA UCET	4036	66892	SIPO	EF	60668200
537018	1828	1997-08-10	VYDAJ	PREVOD NA UCET	4036	17653	SIPO	EF	60668200
537019	1828	1997-09-10	VYDAJ	PREVOD NA UCET	4036	81283	SIPO	EF	60668200
537020	1828	1997-10-10	VYDAJ	PREVOD NA UCET	4036	46339	SIPO	EF	60668200
537021	1828	1997-11-10	VYDAJ	PREVOD NA UCET	4036	46395	SIPO	EF	60668200
537022	1828	1997-12-10	VYDAJ	PREVOD NA UCET	4036	55158	SIPO	EF	60668200
537023	1828	1998-01-10	VYDAJ	PREVOD NA UCET	4036	40475	SIPO	EF	60668200
537024	1828	1998-02-10	VYDAJ	PREVOD NA UCET	4036	29183	SIPO	EF	60668200
537025	1828	1998-03-10	VYDAJ	PREVOD NA UCET	4036	86858	SIPO	EF	60668200
537026	1828	1998-04-10	VYDAJ	PREVOD NA UCET	4036	20801	SIPO	EF	60668200
537027	1828	1998-05-10	VYDAJ	PREVOD NA UCET	4036	41941	SIPO	EF	60668200
537028	1828	1998-06-10	VYDAJ	PREVOD NA UCET	4036	16946	SIPO	EF	60668200
537029	1828	1998-07-10	VYDAJ	PREVOD NA UCET	4036	48973	SIPO	EF	60668200
537030	1828	1998-08-10	VYDAJ	PREVOD NA UCET	4036	31497	SIPO	EF	60668200
537031	1828	1998-09-10	VYDAJ	PREVOD NA UCET	4036	32608	SIPO	EF	60668200
537032	1828	1998-10-10	VYDAJ	PREVOD NA UCET	4036	39998	SIPO	EF	60668200
537033	1828	1998-11-10	VYDAJ	PREVOD NA UCET	4036	15984	SIPO	EF	60668200
537034	1828	1998-12-10	VYDAJ	PREVOD NA UCET	4036	32076	SIPO	EF	60668200
537049	1828	1995-03-09	VYDAJ	PREVOD NA UCET	1613	65960	 	UV	98265254
537050	1828	1995-04-09	VYDAJ	PREVOD NA UCET	1613	84816	 	UV	98265254
537051	1828	1995-05-09	VYDAJ	PREVOD NA UCET	1613	38779	 	UV	98265254
537052	1828	1995-06-09	VYDAJ	PREVOD NA UCET	1613	82141	 	UV	98265254
537053	1828	1995-07-09	VYDAJ	PREVOD NA UCET	1613	51417	 	UV	98265254
537054	1828	1995-08-09	VYDAJ	PREVOD NA UCET	1613	32504	 	UV	98265254
537055	1828	1995-09-09	VYDAJ	PREVOD NA UCET	1613	67208	 	UV	98265254
537056	1828	1995-10-09	VYDAJ	PREVOD NA UCET	1613	46461	 	UV	98265254
537057	1828	1995-11-09	VYDAJ	PREVOD NA UCET	1613	63360	 	UV	98265254
537058	1828	1995-12-09	VYDAJ	PREVOD NA UCET	1613	102539	 	UV	98265254
537059	1828	1996-01-09	VYDAJ	PREVOD NA UCET	1613	54830	 	UV	98265254
537060	1828	1996-02-09	VYDAJ	PREVOD NA UCET	1613	70787	 	UV	98265254
537061	1828	1996-03-09	VYDAJ	PREVOD NA UCET	1613	45332	 	UV	98265254
537062	1828	1996-04-09	VYDAJ	PREVOD NA UCET	1613	27025	 	UV	98265254
537063	1828	1996-05-09	VYDAJ	PREVOD NA UCET	1613	47274	 	UV	98265254
537064	1828	1996-06-09	VYDAJ	PREVOD NA UCET	1613	22627	 	UV	98265254
537065	1828	1996-07-09	VYDAJ	PREVOD NA UCET	1613	62809	 	UV	98265254
537066	1828	1996-08-09	VYDAJ	PREVOD NA UCET	1613	75231	 	UV	98265254
537067	1828	1996-09-09	VYDAJ	PREVOD NA UCET	1613	23848	 	UV	98265254
537068	1828	1996-10-09	VYDAJ	PREVOD NA UCET	1613	36556	 	UV	98265254
537069	1828	1996-11-09	VYDAJ	PREVOD NA UCET	1613	67043	 	UV	98265254
537070	1828	1996-12-09	VYDAJ	PREVOD NA UCET	1613	49263	 	UV	98265254
537071	1828	1997-01-09	VYDAJ	PREVOD NA UCET	1613	63915	 	UV	98265254
537072	1828	1997-02-09	VYDAJ	PREVOD NA UCET	1613	75037	 	UV	98265254
537073	1828	1997-03-09	VYDAJ	PREVOD NA UCET	1613	98661	 	UV	98265254
537074	1828	1997-04-09	VYDAJ	PREVOD NA UCET	1613	53945	 	UV	98265254
537075	1828	1997-05-09	VYDAJ	PREVOD NA UCET	1613	73215	 	UV	98265254
537076	1828	1997-06-09	VYDAJ	PREVOD NA UCET	1613	81662	 	UV	98265254
537077	1828	1997-07-09	VYDAJ	PREVOD NA UCET	1613	70928	 	UV	98265254
537078	1828	1997-08-09	VYDAJ	PREVOD NA UCET	1613	21689	 	UV	98265254
537079	1828	1997-09-09	VYDAJ	PREVOD NA UCET	1613	85319	 	UV	98265254
537080	1828	1997-10-09	VYDAJ	PREVOD NA UCET	1613	50375	 	UV	98265254
537081	1828	1997-11-09	VYDAJ	PREVOD NA UCET	1613	50431	 	UV	98265254
537082	1828	1997-12-09	VYDAJ	PREVOD NA UCET	1613	24672	 	UV	98265254
537083	1828	1998-01-09	VYDAJ	PREVOD NA UCET	1613	66311	 	UV	98265254
537084	1828	1998-02-09	VYDAJ	PREVOD NA UCET	1613	33219	 	UV	98265254
537085	1828	1998-03-09	VYDAJ	PREVOD NA UCET	1613	90894	 	UV	98265254
537086	1828	1998-04-09	VYDAJ	PREVOD NA UCET	1613	36137	 	UV	98265254
537087	1828	1998-05-09	VYDAJ	PREVOD NA UCET	1613	77177	 	UV	98265254
537088	1828	1998-06-09	VYDAJ	PREVOD NA UCET	1613	38882	 	UV	98265254
537089	1828	1998-07-09	VYDAJ	PREVOD NA UCET	1613	53009	 	UV	98265254
537090	1828	1998-08-09	VYDAJ	PREVOD NA UCET	1613	35533	 	UV	98265254
537091	1828	1998-09-09	VYDAJ	PREVOD NA UCET	1613	36644	 	UV	98265254
537092	1828	1998-10-09	VYDAJ	PREVOD NA UCET	1613	44034	 	UV	98265254
537093	1828	1998-11-09	VYDAJ	PREVOD NA UCET	1613	20020	 	UV	98265254
537094	1828	1998-12-09	VYDAJ	PREVOD NA UCET	1613	36112	 	UV	98265254
537109	1828	1995-03-14	VYDAJ	PREVOD NA UCET	153	61771	POJISTNE	WX	90934735
537110	1828	1995-04-14	VYDAJ	PREVOD NA UCET	153	80627	POJISTNE	WX	90934735
537111	1828	1995-05-14	VYDAJ	PREVOD NA UCET	153	72597	POJISTNE	WX	90934735
537112	1828	1995-06-14	VYDAJ	PREVOD NA UCET	153	77952	POJISTNE	WX	90934735
537113	1828	1995-07-14	VYDAJ	PREVOD NA UCET	153	57920	POJISTNE	WX	90934735
537114	1828	1995-08-14	VYDAJ	PREVOD NA UCET	153	28315	POJISTNE	WX	90934735
537115	1828	1995-09-14	VYDAJ	PREVOD NA UCET	153	50119	POJISTNE	WX	90934735
537116	1828	1995-10-14	VYDAJ	PREVOD NA UCET	153	42272	POJISTNE	WX	90934735
537117	1828	1995-11-14	VYDAJ	PREVOD NA UCET	153	108245	POJISTNE	WX	90934735
537118	1828	1995-12-14	VYDAJ	PREVOD NA UCET	153	121277	POJISTNE	WX	90934735
537119	1828	1996-01-14	VYDAJ	PREVOD NA UCET	153	50641	POJISTNE	WX	90934735
537120	1828	1996-02-14	VYDAJ	PREVOD NA UCET	153	66598	POJISTNE	WX	90934735
537121	1828	1996-03-14	VYDAJ	PREVOD NA UCET	153	41143	POJISTNE	WX	90934735
537122	1828	1996-04-14	VYDAJ	PREVOD NA UCET	153	72193	POJISTNE	WX	90934735
537123	1828	1996-05-14	VYDAJ	PREVOD NA UCET	153	43085	POJISTNE	WX	90934735
537124	1828	1996-06-14	VYDAJ	PREVOD NA UCET	153	18438	POJISTNE	WX	90934735
537125	1828	1996-07-14	VYDAJ	PREVOD NA UCET	153	46920	POJISTNE	WX	90934735
537126	1828	1996-08-14	VYDAJ	PREVOD NA UCET	153	71042	POJISTNE	WX	90934735
537127	1828	1996-09-14	VYDAJ	PREVOD NA UCET	153	19659	POJISTNE	WX	90934735
537128	1828	1996-10-14	VYDAJ	PREVOD NA UCET	153	32367	POJISTNE	WX	90934735
537129	1828	1996-11-14	VYDAJ	PREVOD NA UCET	153	62854	POJISTNE	WX	90934735
537130	1828	1996-12-14	VYDAJ	PREVOD NA UCET	153	31378	POJISTNE	WX	90934735
537131	1828	1997-01-14	VYDAJ	PREVOD NA UCET	153	87185	POJISTNE	WX	90934735
537132	1828	1997-02-14	VYDAJ	PREVOD NA UCET	153	77606	POJISTNE	WX	90934735
537133	1828	1997-03-14	VYDAJ	PREVOD NA UCET	153	94472	POJISTNE	WX	90934735
537134	1828	1997-04-14	VYDAJ	PREVOD NA UCET	153	87057	POJISTNE	WX	90934735
537135	1828	1997-05-14	VYDAJ	PREVOD NA UCET	153	69026	POJISTNE	WX	90934735
537136	1828	1997-06-14	VYDAJ	PREVOD NA UCET	153	49873	POJISTNE	WX	90934735
537137	1828	1997-07-14	VYDAJ	PREVOD NA UCET	153	44739	POJISTNE	WX	90934735
537138	1828	1997-08-14	VYDAJ	PREVOD NA UCET	153	21700	POJISTNE	WX	90934735
537139	1828	1997-09-14	VYDAJ	PREVOD NA UCET	153	53230	POJISTNE	WX	90934735
537140	1828	1997-10-14	VYDAJ	PREVOD NA UCET	153	33086	POJISTNE	WX	90934735
537141	1828	1997-11-14	VYDAJ	PREVOD NA UCET	153	31542	POJISTNE	WX	90934735
537142	1828	1997-12-14	VYDAJ	PREVOD NA UCET	153	33805	POJISTNE	WX	90934735
537143	1828	1998-01-14	VYDAJ	PREVOD NA UCET	153	40322	POJISTNE	WX	90934735
537144	1828	1998-02-14	VYDAJ	PREVOD NA UCET	153	63381	POJISTNE	WX	90934735
537272	1828	1995-05-14	VYDAJ	VYBER	9900	72750	\N	\N	\N
537145	1828	1998-03-14	VYDAJ	PREVOD NA UCET	153	47305	POJISTNE	WX	90934735
537146	1828	1998-04-14	VYDAJ	PREVOD NA UCET	153	20648	POJISTNE	WX	90934735
537147	1828	1998-05-14	VYDAJ	PREVOD NA UCET	153	41788	POJISTNE	WX	90934735
537148	1828	1998-06-14	VYDAJ	PREVOD NA UCET	153	42597	POJISTNE	WX	90934735
537149	1828	1998-07-14	VYDAJ	PREVOD NA UCET	153	48820	POJISTNE	WX	90934735
537150	1828	1998-08-14	VYDAJ	PREVOD NA UCET	153	31344	POJISTNE	WX	90934735
537151	1828	1998-09-14	VYDAJ	PREVOD NA UCET	153	62139	POJISTNE	WX	90934735
537152	1828	1998-10-14	VYDAJ	PREVOD NA UCET	153	39845	POJISTNE	WX	90934735
537153	1828	1998-11-14	VYDAJ	PREVOD NA UCET	153	15831	POJISTNE	WX	90934735
537154	1828	1998-12-14	VYDAJ	PREVOD NA UCET	153	31923	POJISTNE	WX	90934735
537169	1828	1995-03-05	VYDAJ	PREVOD NA UCET	1498	98804	 	YZ	21647364
537170	1828	1995-04-05	VYDAJ	PREVOD NA UCET	1498	39759	 	YZ	21647364
537171	1828	1995-05-05	VYDAJ	PREVOD NA UCET	1498	40392	 	YZ	21647364
537172	1828	1995-06-05	VYDAJ	PREVOD NA UCET	1498	53024	 	YZ	21647364
537173	1828	1995-07-05	VYDAJ	PREVOD NA UCET	1498	53030	 	YZ	21647364
537174	1828	1995-08-05	VYDAJ	PREVOD NA UCET	1498	34117	 	YZ	21647364
537175	1828	1995-09-05	VYDAJ	PREVOD NA UCET	1498	68821	 	YZ	21647364
537176	1828	1995-10-05	VYDAJ	PREVOD NA UCET	1498	48074	 	YZ	21647364
537177	1828	1995-11-05	VYDAJ	PREVOD NA UCET	1498	64973	 	YZ	21647364
537178	1828	1995-12-05	VYDAJ	PREVOD NA UCET	1498	104152	 	YZ	21647364
537179	1828	1996-01-05	VYDAJ	PREVOD NA UCET	1498	56443	 	YZ	21647364
537180	1828	1996-02-05	VYDAJ	PREVOD NA UCET	1498	72400	 	YZ	21647364
537181	1828	1996-03-05	VYDAJ	PREVOD NA UCET	1498	46945	 	YZ	21647364
537182	1828	1996-04-05	VYDAJ	PREVOD NA UCET	1498	33138	 	YZ	21647364
537183	1828	1996-05-05	VYDAJ	PREVOD NA UCET	1498	48887	 	YZ	21647364
537184	1828	1996-06-05	VYDAJ	PREVOD NA UCET	1498	24240	 	YZ	21647364
537185	1828	1996-07-05	VYDAJ	PREVOD NA UCET	1498	64422	 	YZ	21647364
537186	1828	1996-08-05	VYDAJ	PREVOD NA UCET	1498	76844	 	YZ	21647364
537187	1828	1996-09-05	VYDAJ	PREVOD NA UCET	1498	25461	 	YZ	21647364
537188	1828	1996-10-05	VYDAJ	PREVOD NA UCET	1498	44769	 	YZ	21647364
537189	1828	1996-11-05	VYDAJ	PREVOD NA UCET	1498	68656	 	YZ	21647364
537190	1828	1996-12-05	VYDAJ	PREVOD NA UCET	1498	50876	 	YZ	21647364
537191	1828	1997-01-05	VYDAJ	PREVOD NA UCET	1498	65528	 	YZ	21647364
537192	1828	1997-02-05	VYDAJ	PREVOD NA UCET	1498	76650	 	YZ	21647364
537193	1828	1997-03-05	VYDAJ	PREVOD NA UCET	1498	100274	 	YZ	21647364
537194	1828	1997-04-05	VYDAJ	PREVOD NA UCET	1498	61090	 	YZ	21647364
537195	1828	1997-05-05	VYDAJ	PREVOD NA UCET	1498	74828	 	YZ	21647364
537196	1828	1997-06-05	VYDAJ	PREVOD NA UCET	1498	83275	 	YZ	21647364
537197	1828	1997-07-05	VYDAJ	PREVOD NA UCET	1498	104552	 	YZ	21647364
537198	1828	1997-08-05	VYDAJ	PREVOD NA UCET	1498	23302	 	YZ	21647364
537199	1828	1997-09-05	VYDAJ	PREVOD NA UCET	1498	86932	 	YZ	21647364
537200	1828	1997-10-05	VYDAJ	PREVOD NA UCET	1498	51988	 	YZ	21647364
537201	1828	1997-11-05	VYDAJ	PREVOD NA UCET	1498	52044	 	YZ	21647364
537202	1828	1997-12-05	VYDAJ	PREVOD NA UCET	1498	26285	 	YZ	21647364
537203	1828	1998-01-05	VYDAJ	PREVOD NA UCET	1498	67924	 	YZ	21647364
537204	1828	1998-02-05	VYDAJ	PREVOD NA UCET	1498	111332	 	YZ	21647364
537205	1828	1998-03-05	VYDAJ	PREVOD NA UCET	1498	78795	 	YZ	21647364
537206	1828	1998-04-05	VYDAJ	PREVOD NA UCET	1498	37750	 	YZ	21647364
537207	1828	1998-05-05	VYDAJ	PREVOD NA UCET	1498	78790	 	YZ	21647364
537208	1828	1998-06-05	VYDAJ	PREVOD NA UCET	1498	40495	 	YZ	21647364
537209	1828	1998-07-05	VYDAJ	PREVOD NA UCET	1498	108222	 	YZ	21647364
537210	1828	1998-08-05	VYDAJ	PREVOD NA UCET	1498	74646	 	YZ	21647364
537211	1828	1998-09-05	VYDAJ	PREVOD NA UCET	1498	65657	 	YZ	21647364
537212	1828	1998-10-05	VYDAJ	PREVOD NA UCET	1498	84547	 	YZ	21647364
537213	1828	1998-11-05	VYDAJ	PREVOD NA UCET	1498	38533	 	YZ	21647364
537214	1828	1998-12-05	VYDAJ	PREVOD NA UCET	1498	23108	 	YZ	21647364
537227	1828	1995-03-24	VYBER	VYBER	21061	40710	\N	\N	\N
537229	1828	1995-04-02	VYBER	VYBER	9370	55183	\N	\N	\N
537231	1828	1995-04-04	VYBER	VYBER	13926	41257	\N	\N	\N
537232	1828	1995-08-05	VYBER	VYBER	3103	35615	\N	\N	\N
537233	1828	1995-03-05	VYBER	VYBER	10802	100302	\N	\N	\N
537234	1828	1995-10-03	VYBER	VYBER	2490	49572	\N	\N	\N
537235	1828	1996-07-31	VYBER	VYBER	21275	83092	\N	\N	\N
537239	1828	1996-08-05	VYBER	VYBER	4735	78342	\N	\N	\N
537242	1828	1996-12-01	VYBER	VYBER	8021	52374	\N	\N	\N
537243	1828	1996-04-12	VYBER	VYBER	6632	57205	\N	\N	\N
537244	1828	1996-03-16	VYBER	VYBER	6357	34786	\N	\N	\N
537245	1828	1996-12-10	VYBER	VYBER	10396	38867	\N	\N	\N
537246	1828	1996-08-28	VYBER	VYBER	24924	26718	\N	\N	\N
537250	1828	1997-12-10	VYBER	VYBER	9491	59194	\N	\N	\N
537251	1828	1997-04-07	VYBER	VYBER	5532	55558	\N	\N	\N
537252	1828	1997-07-08	VYBER	VYBER	22711	72541	\N	\N	\N
537253	1828	1997-07-18	VYBER	VYBER	20125	24614	\N	\N	\N
537254	1828	1997-01-28	VYBER	VYBER	19558	77888	\N	\N	\N
537256	1828	1998-03-25	VYBER	VYBER	23168	54119	\N	\N	\N
537260	1828	1998-03-27	VYBER	VYBER	22907	31212	\N	\N	\N
537263	1828	1995-12-29	VYDAJ	VYBER	3300	57577	\N	\N	\N
537264	1828	1996-12-13	VYDAJ	VYBER	3300	31531	\N	\N	\N
537265	1828	1997-12-04	VYDAJ	VYBER	3900	27783	\N	\N	\N
537271	1828	1995-09-11	VYDAJ	VYBER	12900	50272	\N	\N	\N
537273	1828	1995-12-28	VYDAJ	VYBER	6300	60877	\N	\N	\N
537274	1828	1995-04-07	VYDAJ	VYBER	4200	78990	\N	\N	\N
537275	1828	1996-07-10	VYDAJ	VYBER	11700	47073	\N	\N	\N
537276	1828	1996-10-08	VYDAJ	VYBER	6600	38169	\N	\N	\N
537277	1828	1996-05-31	VYDAJ	VYBER	3300	25753	\N	\N	\N
537278	1828	1996-05-25	VYDAJ	VYBER	5700	28885	\N	\N	\N
537280	1828	1996-04-07	VYDAJ	VYBER	4500	28638	\N	\N	\N
537281	1828	1997-11-02	VYDAJ	VYBER	2700	53542	\N	\N	\N
537283	1828	1997-07-06	VYDAJ	VYBER	9300	95252	\N	\N	\N
537284	1828	1997-02-14	VYDAJ	VYBER	2700	52106	\N	\N	\N
537285	1828	1998-09-19	VYDAJ	VYBER	2100	60039	\N	\N	\N
537286	1828	1998-06-28	VYDAJ	VYBER	13800	86618	\N	\N	\N
537287	1828	1998-02-12	VYDAJ	VYBER	5700	63534	\N	\N	\N
537303	1828	1995-03-31	VYDAJ	VYBER	15	64553	SLUZBY	\N	\N
537304	1828	1995-04-30	VYDAJ	VYBER	15	41890	SLUZBY	\N	\N
537305	1828	1995-05-31	VYDAJ	VYBER	15	54522	SLUZBY	\N	\N
537306	1828	1995-06-30	VYDAJ	VYBER	15	54528	SLUZBY	\N	\N
537307	1828	1995-07-31	VYDAJ	VYBER	15	38718	SLUZBY	\N	\N
537308	1828	1995-08-31	VYDAJ	VYBER	15	52255	SLUZBY	\N	\N
537309	1828	1995-09-30	VYDAJ	VYBER	15	52062	SLUZBY	\N	\N
537310	1828	1995-10-31	VYDAJ	VYBER	15	60294	SLUZBY	\N	\N
537311	1828	1995-11-30	VYDAJ	VYBER	15	75763	SLUZBY	\N	\N
537312	1828	1995-12-31	VYDAJ	VYBER	15	57941	SLUZBY	\N	\N
537313	1828	1996-01-31	VYDAJ	VYBER	15	73898	SLUZBY	\N	\N
537314	1828	1996-02-29	VYDAJ	VYBER	15	48443	SLUZBY	\N	\N
537315	1828	1996-03-31	VYDAJ	VYBER	15	34636	SLUZBY	\N	\N
537316	1828	1996-04-30	VYDAJ	VYBER	15	50385	SLUZBY	\N	\N
537317	1828	1996-05-31	VYDAJ	VYBER	15	25738	SLUZBY	\N	\N
537318	1828	1996-06-30	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
537319	1828	1996-07-31	VYDAJ	VYBER	15	83077	SLUZBY	\N	\N
537320	1828	1996-08-31	VYDAJ	VYBER	15	26959	SLUZBY	\N	\N
537321	1828	1996-09-30	VYDAJ	VYBER	15	46267	SLUZBY	\N	\N
537322	1828	1996-10-31	VYDAJ	VYBER	15	70154	SLUZBY	\N	\N
537323	1828	1996-11-30	VYDAJ	VYBER	15	60395	SLUZBY	\N	\N
537324	1828	1996-12-31	VYDAJ	VYBER	15	30019	SLUZBY	\N	\N
537325	1828	1997-01-31	VYDAJ	VYBER	15	78148	SLUZBY	\N	\N
537326	1828	1997-02-28	VYDAJ	VYBER	15	101772	SLUZBY	\N	\N
537327	1828	1997-03-31	VYDAJ	VYBER	15	62588	SLUZBY	\N	\N
537328	1828	1997-04-30	VYDAJ	VYBER	15	76326	SLUZBY	\N	\N
537329	1828	1997-05-31	VYDAJ	VYBER	15	84773	SLUZBY	\N	\N
537330	1828	1997-06-30	VYDAJ	VYBER	15	57046	SLUZBY	\N	\N
537331	1828	1997-07-31	VYDAJ	VYBER	15	24800	SLUZBY	\N	\N
537332	1828	1997-08-31	VYDAJ	VYBER	15	88430	SLUZBY	\N	\N
537333	1828	1997-09-30	VYDAJ	VYBER	15	53486	SLUZBY	\N	\N
537334	1828	1997-10-31	VYDAJ	VYBER	15	33235	SLUZBY	\N	\N
537335	1828	1997-11-30	VYDAJ	VYBER	15	31683	SLUZBY	\N	\N
537336	1828	1997-12-31	VYDAJ	VYBER	15	33926	SLUZBY	\N	\N
537337	1828	1998-01-31	VYDAJ	VYBER	15	102003	SLUZBY	\N	\N
537338	1828	1998-02-28	VYDAJ	VYBER	15	46657	SLUZBY	\N	\N
537339	1828	1998-03-31	VYDAJ	VYBER	15	39248	SLUZBY	\N	\N
537340	1828	1998-04-30	VYDAJ	VYBER	15	80288	SLUZBY	\N	\N
537341	1828	1998-05-31	VYDAJ	VYBER	15	41993	SLUZBY	\N	\N
537342	1828	1998-06-30	VYDAJ	VYBER	15	86811	SLUZBY	\N	\N
537343	1828	1998-07-31	VYDAJ	VYBER	15	49059	SLUZBY	\N	\N
537344	1828	1998-08-31	VYDAJ	VYBER	15	67155	SLUZBY	\N	\N
537345	1828	1998-09-30	VYDAJ	VYBER	15	86045	SLUZBY	\N	\N
537346	1828	1998-10-31	VYDAJ	VYBER	15	40031	SLUZBY	\N	\N
537347	1828	1998-11-30	VYDAJ	VYBER	15	24606	SLUZBY	\N	\N
537348	1828	1994-10-28	PRIJEM	VKLAD	13400	14400	\N	\N	\N
537349	1828	1994-11-23	VYDAJ	VYBER	64800	64352	\N	\N	\N
537350	1828	1994-11-27	VYDAJ	VYBER	22300	42052	\N	\N	\N
537351	1828	1994-12-27	VYDAJ	VYBER	8900	33236	\N	\N	\N
537352	1828	1995-01-26	VYDAJ	VYBER	10400	29605	\N	\N	\N
537353	1828	1995-02-25	VYDAJ	VYBER	5700	24070	\N	\N	\N
537354	1828	1995-03-05	VYDAJ	VYBER	51900	46904	\N	\N	\N
537355	1828	1995-03-27	VYDAJ	VYBER	10200	30510	\N	\N	\N
537356	1828	1995-04-20	VYDAJ	VYBER	49700	61686	\N	\N	\N
537357	1828	1995-04-26	VYDAJ	VYBER	20100	41586	\N	\N	\N
537358	1828	1995-05-25	VYDAJ	VYBER	34200	81006	\N	\N	\N
537359	1828	1995-05-26	VYDAJ	VYBER	26700	54306	\N	\N	\N
537360	1828	1995-06-24	VYDAJ	VYBER	45300	73913	\N	\N	\N
537361	1828	1995-06-25	VYDAJ	VYBER	32000	54201	\N	\N	\N
537362	1828	1995-07-25	VYDAJ	VYBER	19400	38520	\N	\N	\N
537363	1828	1995-08-24	VYDAJ	VYBER	19200	42746	\N	\N	\N
537364	1828	1995-09-23	VYDAJ	VYBER	11300	38819	\N	\N	\N
537365	1828	1995-10-23	VYDAJ	VYBER	27500	60096	\N	\N	\N
537366	1828	1995-11-22	VYDAJ	VYBER	39500	75381	\N	\N	\N
537367	1828	1995-11-22	VYDAJ	VYBER	24100	114881	\N	\N	\N
537368	1828	1995-11-22	VYDAJ	VYBER	47900	138981	\N	\N	\N
537369	1828	1995-12-14	VYDAJ	VYBER	20800	100477	\N	\N	\N
537370	1828	1995-12-22	VYDAJ	VYBER	33300	67177	\N	\N	\N
537371	1828	1996-01-21	VYDAJ	VYBER	7000	43641	\N	\N	\N
537372	1828	1996-02-20	VYDAJ	VYBER	18400	48198	\N	\N	\N
537373	1828	1996-03-21	VYDAJ	VYBER	300	34486	\N	\N	\N
537374	1828	1996-04-20	VYDAJ	VYBER	22000	50193	\N	\N	\N
537375	1828	1996-05-20	VYDAJ	VYBER	8500	34585	\N	\N	\N
537376	1828	1996-06-19	PRIJEM	VKLAD	3900	22338	\N	\N	\N
537377	1828	1996-07-19	VYDAJ	VYBER	11000	35920	\N	\N	\N
537378	1828	1996-08-18	VYDAJ	VYBER	19400	51642	\N	\N	\N
537379	1828	1996-09-17	PRIJEM	VKLAD	5500	25159	\N	\N	\N
537380	1828	1996-10-17	PRIJEM	VKLAD	600	32967	\N	\N	\N
537381	1828	1996-11-16	VYDAJ	VYBER	14400	48454	\N	\N	\N
537382	1828	1996-12-16	VYDAJ	VYBER	1500	29878	\N	\N	\N
537383	1828	1997-01-15	VYDAJ	VYBER	32000	55185	\N	\N	\N
537384	1828	1997-02-14	VYDAJ	VYBER	22800	54806	\N	\N	\N
537385	1828	1997-03-16	VYDAJ	VYBER	32200	62272	\N	\N	\N
537386	1828	1997-04-15	VYDAJ	VYBER	35000	52057	\N	\N	\N
537387	1828	1997-05-15	VYDAJ	VYBER	24500	44526	\N	\N	\N
537388	1828	1997-05-24	VYDAJ	VYBER	64700	52036	\N	\N	\N
537389	1828	1997-06-14	VYDAJ	VYBER	27600	50026	\N	\N	\N
537390	1828	1997-07-14	VYDAJ	VYBER	22000	44892	\N	\N	\N
537391	1828	1997-08-13	PRIJEM	VKLAD	4200	21853	\N	\N	\N
537392	1828	1997-09-12	VYDAJ	VYBER	27900	53383	\N	\N	\N
537393	1828	1997-10-12	VYDAJ	VYBER	13100	33239	\N	\N	\N
537394	1828	1997-11-11	VYDAJ	VYBER	14700	31695	\N	\N	\N
537395	1828	1997-12-11	VYDAJ	VYBER	21200	33958	\N	\N	\N
537396	1828	1998-01-10	VYDAJ	VYBER	21800	44511	\N	\N	\N
537397	1828	1998-01-21	VYDAJ	VYBER	16400	101746	\N	\N	\N
537398	1828	1998-02-05	VYDAJ	VYBER	51900	59432	\N	\N	\N
537399	1828	1998-02-09	VYDAJ	VYBER	24600	34832	\N	\N	\N
537400	1828	1998-02-24	VYDAJ	VYBER	63500	46418	\N	\N	\N
537401	1828	1998-03-11	VYDAJ	VYBER	39400	47458	\N	\N	\N
537402	1828	1998-04-10	VYDAJ	VYBER	11300	24837	\N	\N	\N
537403	1828	1998-05-10	VYDAJ	VYBER	31200	45977	\N	\N	\N
537404	1828	1998-06-09	VYDAJ	VYBER	17900	20982	\N	\N	\N
537405	1828	1998-07-09	VYDAJ	VYBER	53600	54622	\N	\N	\N
537406	1828	1998-08-08	VYDAJ	VYBER	37500	37146	\N	\N	\N
537407	1828	1998-09-07	VYDAJ	VYBER	27400	38257	\N	\N	\N
537408	1828	1998-09-27	VYDAJ	VYBER	36300	85811	\N	\N	\N
537409	1828	1998-10-07	VYDAJ	VYBER	38900	45647	\N	\N	\N
537410	1828	1998-11-06	VYDAJ	VYBER	16900	21633	\N	\N	\N
537461	1829	1993-02-27	PRIJEM	VKLAD	900	900	\N	\N	\N
537464	1829	1993-03-12	PRIJEM	VKLAD	7429	8329	\N	\N	\N
537465	1829	1993-04-12	PRIJEM	VKLAD	7429	22464	\N	\N	\N
537466	1829	1993-05-12	PRIJEM	VKLAD	7429	32060	\N	\N	\N
537467	1829	1993-06-12	PRIJEM	VKLAD	11144	39708	\N	\N	\N
537468	1829	1993-07-12	PRIJEM	VKLAD	7429	37156	\N	\N	\N
537469	1829	1993-08-12	PRIJEM	VKLAD	7429	34178	\N	\N	\N
537470	1829	1993-09-12	PRIJEM	VKLAD	7429	37536	\N	\N	\N
537471	1829	1993-10-12	PRIJEM	VKLAD	7429	34678	\N	\N	\N
537472	1829	1993-11-12	PRIJEM	VKLAD	7429	21904	\N	\N	\N
537473	1829	1993-12-12	PRIJEM	VKLAD	11144	33937	\N	\N	\N
537474	1829	1994-01-12	PRIJEM	VKLAD	7429	30984	\N	\N	\N
537475	1829	1994-02-12	PRIJEM	VKLAD	7429	25952	\N	\N	\N
537476	1829	1994-03-12	PRIJEM	VKLAD	7429	28973	\N	\N	\N
537477	1829	1994-04-12	PRIJEM	VKLAD	7429	33804	\N	\N	\N
537478	1829	1994-05-12	PRIJEM	VKLAD	7429	29954	\N	\N	\N
537479	1829	1994-06-12	PRIJEM	VKLAD	11144	36718	\N	\N	\N
537480	1829	1994-07-12	PRIJEM	VKLAD	7429	33466	\N	\N	\N
537481	1829	1994-08-12	PRIJEM	VKLAD	7429	32652	\N	\N	\N
537482	1829	1994-09-12	PRIJEM	VKLAD	7429	34895	\N	\N	\N
537483	1829	1994-10-12	PRIJEM	VKLAD	7429	32845	\N	\N	\N
537484	1829	1994-11-12	PRIJEM	VKLAD	7429	34087	\N	\N	\N
537485	1829	1994-12-12	PRIJEM	VKLAD	11144	35045	\N	\N	\N
537486	1829	1995-01-12	PRIJEM	VKLAD	7429	25600	\N	\N	\N
537487	1829	1995-02-12	PRIJEM	VKLAD	7429	22321	\N	\N	\N
537488	1829	1995-03-12	PRIJEM	VKLAD	7429	25521	\N	\N	\N
537489	1829	1995-04-12	PRIJEM	VKLAD	7429	27433	\N	\N	\N
537490	1829	1995-05-12	PRIJEM	VKLAD	7429	26147	\N	\N	\N
537491	1829	1995-06-12	PRIJEM	VKLAD	11144	25466	\N	\N	\N
537492	1829	1995-07-12	PRIJEM	VKLAD	7429	22362	\N	\N	\N
537493	1829	1995-08-12	PRIJEM	VKLAD	7429	19153	\N	\N	\N
537494	1829	1995-09-12	PRIJEM	VKLAD	7429	18935	\N	\N	\N
537495	1829	1995-10-12	PRIJEM	VKLAD	7429	21163	\N	\N	\N
537496	1829	1995-11-12	PRIJEM	VKLAD	7429	24960	\N	\N	\N
537497	1829	1995-12-12	PRIJEM	VKLAD	11144	25115	\N	\N	\N
537498	1829	1996-01-12	PRIJEM	VKLAD	7429	21006	\N	\N	\N
537499	1829	1996-02-12	PRIJEM	VKLAD	7429	21074	\N	\N	\N
537500	1829	1996-03-12	PRIJEM	VKLAD	7429	24870	\N	\N	\N
537501	1829	1996-04-12	PRIJEM	VKLAD	7429	18958	\N	\N	\N
537502	1829	1996-05-12	PRIJEM	VKLAD	7429	22755	\N	\N	\N
537503	1829	1996-06-12	PRIJEM	VKLAD	11144	30273	\N	\N	\N
537504	1829	1996-07-12	PRIJEM	VKLAD	7429	34102	\N	\N	\N
537505	1829	1996-08-12	PRIJEM	VKLAD	7429	37962	\N	\N	\N
537506	1829	1996-09-12	PRIJEM	VKLAD	7429	35336	\N	\N	\N
537507	1829	1996-10-12	PRIJEM	VKLAD	7429	39200	\N	\N	\N
537508	1829	1996-11-12	PRIJEM	VKLAD	7429	43072	\N	\N	\N
537509	1829	1996-12-12	PRIJEM	VKLAD	11144	46470	\N	\N	\N
537510	1829	1997-01-12	PRIJEM	VKLAD	7429	20639	\N	\N	\N
537511	1829	1997-02-12	PRIJEM	VKLAD	7429	22892	\N	\N	\N
537512	1829	1997-03-12	PRIJEM	VKLAD	7429	23214	\N	\N	\N
537513	1829	1997-04-12	PRIJEM	VKLAD	7429	22344	\N	\N	\N
537514	1829	1997-05-12	PRIJEM	VKLAD	7429	26152	\N	\N	\N
537515	1829	1997-06-12	PRIJEM	VKLAD	11144	29962	\N	\N	\N
537516	1829	1997-07-12	PRIJEM	VKLAD	7429	26588	\N	\N	\N
537517	1829	1997-08-12	PRIJEM	VKLAD	7429	30424	\N	\N	\N
537518	1829	1997-09-12	PRIJEM	VKLAD	7429	21673	\N	\N	\N
537519	1829	1997-10-12	PRIJEM	VKLAD	7429	25483	\N	\N	\N
537520	1829	1997-11-12	PRIJEM	VKLAD	7429	22306	\N	\N	\N
537521	1829	1997-12-12	PRIJEM	VKLAD	11144	27761	\N	\N	\N
537522	1829	1998-01-12	PRIJEM	VKLAD	7429	26782	\N	\N	\N
537523	1829	1998-02-12	PRIJEM	VKLAD	7429	24798	\N	\N	\N
537524	1829	1998-03-12	PRIJEM	VKLAD	7429	28007	\N	\N	\N
537525	1829	1998-04-12	PRIJEM	VKLAD	7429	26663	\N	\N	\N
537526	1829	1998-05-12	PRIJEM	VKLAD	7429	27597	\N	\N	\N
537527	1829	1998-06-12	PRIJEM	VKLAD	11144	26444	\N	\N	\N
537528	1829	1998-07-12	PRIJEM	VKLAD	7429	30268	\N	\N	\N
537529	1829	1998-08-12	PRIJEM	VKLAD	7429	34110	\N	\N	\N
537530	1829	1998-09-12	PRIJEM	VKLAD	7429	37968	\N	\N	\N
537531	1829	1998-10-12	PRIJEM	VKLAD	7429	41842	\N	\N	\N
537532	1829	1998-11-12	PRIJEM	VKLAD	7429	41643	\N	\N	\N
537533	1829	1998-12-12	PRIJEM	VKLAD	11144	30030	\N	\N	\N
537540	1829	1993-07-12	VYDAJ	PREVOD NA UCET	3684	33472	SIPO	UV	42750388
537541	1829	1993-08-12	VYDAJ	PREVOD NA UCET	3684	30494	SIPO	UV	42750388
537542	1829	1993-09-12	VYDAJ	PREVOD NA UCET	3684	33852	SIPO	UV	42750388
537543	1829	1993-10-12	VYDAJ	PREVOD NA UCET	3684	30994	SIPO	UV	42750388
537544	1829	1993-11-12	VYDAJ	PREVOD NA UCET	3684	18220	SIPO	UV	42750388
537545	1829	1993-12-12	VYDAJ	PREVOD NA UCET	3684	30253	SIPO	UV	42750388
537546	1829	1994-01-12	VYDAJ	PREVOD NA UCET	3684	27300	SIPO	UV	42750388
537547	1829	1994-02-12	VYDAJ	PREVOD NA UCET	3684	22268	SIPO	UV	42750388
537548	1829	1994-03-12	VYDAJ	PREVOD NA UCET	3684	25289	SIPO	UV	42750388
537549	1829	1994-04-12	VYDAJ	PREVOD NA UCET	3684	30120	SIPO	UV	42750388
537550	1829	1994-05-12	VYDAJ	PREVOD NA UCET	3684	26270	SIPO	UV	42750388
537551	1829	1994-06-12	VYDAJ	PREVOD NA UCET	3684	33034	SIPO	UV	42750388
537552	1829	1994-07-12	VYDAJ	PREVOD NA UCET	3684	29782	SIPO	UV	42750388
537553	1829	1994-08-12	VYDAJ	PREVOD NA UCET	3684	28968	SIPO	UV	42750388
537554	1829	1994-09-12	VYDAJ	PREVOD NA UCET	3684	31211	SIPO	UV	42750388
537555	1829	1994-10-12	VYDAJ	PREVOD NA UCET	3684	29161	SIPO	UV	42750388
537556	1829	1994-11-12	VYDAJ	PREVOD NA UCET	3684	30403	SIPO	UV	42750388
537557	1829	1994-12-12	VYDAJ	PREVOD NA UCET	3684	31361	SIPO	UV	42750388
537558	1829	1995-01-12	VYDAJ	PREVOD NA UCET	3684	21916	SIPO	UV	42750388
537559	1829	1995-02-12	VYDAJ	PREVOD NA UCET	3684	18637	SIPO	UV	42750388
537560	1829	1995-03-12	VYDAJ	PREVOD NA UCET	3684	21837	SIPO	UV	42750388
537561	1829	1995-04-12	VYDAJ	PREVOD NA UCET	3684	23749	SIPO	UV	42750388
537562	1829	1995-05-12	VYDAJ	PREVOD NA UCET	3684	22463	SIPO	UV	42750388
537563	1829	1995-06-12	VYDAJ	PREVOD NA UCET	3684	21782	SIPO	UV	42750388
537564	1829	1995-07-12	VYDAJ	PREVOD NA UCET	3684	18678	SIPO	UV	42750388
537565	1829	1995-08-12	VYDAJ	PREVOD NA UCET	3684	15469	SIPO	UV	42750388
537566	1829	1995-09-12	VYDAJ	PREVOD NA UCET	3684	15251	SIPO	UV	42750388
537567	1829	1995-10-12	VYDAJ	PREVOD NA UCET	3684	17479	SIPO	UV	42750388
537568	1829	1995-11-12	VYDAJ	PREVOD NA UCET	3684	21276	SIPO	UV	42750388
537569	1829	1995-12-12	VYDAJ	PREVOD NA UCET	3684	21431	SIPO	UV	42750388
537570	1829	1996-01-12	VYDAJ	PREVOD NA UCET	3684	17322	SIPO	UV	42750388
537571	1829	1996-02-12	VYDAJ	PREVOD NA UCET	3684	17390	SIPO	UV	42750388
537572	1829	1996-03-12	VYDAJ	PREVOD NA UCET	3684	21186	SIPO	UV	42750388
537573	1829	1996-04-12	VYDAJ	PREVOD NA UCET	3684	15274	SIPO	UV	42750388
537574	1829	1996-05-12	VYDAJ	PREVOD NA UCET	3684	19071	SIPO	UV	42750388
537575	1829	1996-06-12	VYDAJ	PREVOD NA UCET	3684	26589	SIPO	UV	42750388
537576	1829	1996-07-12	VYDAJ	PREVOD NA UCET	3684	30418	SIPO	UV	42750388
537577	1829	1996-08-12	VYDAJ	PREVOD NA UCET	3684	34278	SIPO	UV	42750388
537578	1829	1996-09-12	VYDAJ	PREVOD NA UCET	3684	31652	SIPO	UV	42750388
537579	1829	1996-10-12	VYDAJ	PREVOD NA UCET	3684	35516	SIPO	UV	42750388
537580	1829	1996-11-12	VYDAJ	PREVOD NA UCET	3684	39388	SIPO	UV	42750388
537581	1829	1996-12-12	VYDAJ	PREVOD NA UCET	3684	42786	SIPO	UV	42750388
537582	1829	1997-01-12	VYDAJ	PREVOD NA UCET	3684	16955	SIPO	UV	42750388
537583	1829	1997-02-12	VYDAJ	PREVOD NA UCET	3684	19208	SIPO	UV	42750388
537584	1829	1997-03-12	VYDAJ	PREVOD NA UCET	3684	19530	SIPO	UV	42750388
537585	1829	1997-04-12	VYDAJ	PREVOD NA UCET	3684	18660	SIPO	UV	42750388
537586	1829	1997-05-12	VYDAJ	PREVOD NA UCET	3684	22468	SIPO	UV	42750388
537587	1829	1997-06-12	VYDAJ	PREVOD NA UCET	3684	26278	SIPO	UV	42750388
537588	1829	1997-07-12	VYDAJ	PREVOD NA UCET	3684	22904	SIPO	UV	42750388
537589	1829	1997-08-12	VYDAJ	PREVOD NA UCET	3684	26740	SIPO	UV	42750388
537590	1829	1997-09-12	VYDAJ	PREVOD NA UCET	3684	17989	SIPO	UV	42750388
537591	1829	1997-10-12	VYDAJ	PREVOD NA UCET	3684	21799	SIPO	UV	42750388
537592	1829	1997-11-12	VYDAJ	PREVOD NA UCET	3684	18622	SIPO	UV	42750388
537593	1829	1997-12-12	VYDAJ	PREVOD NA UCET	3684	24077	SIPO	UV	42750388
537594	1829	1998-01-12	VYDAJ	PREVOD NA UCET	3684	23098	SIPO	UV	42750388
537595	1829	1998-02-12	VYDAJ	PREVOD NA UCET	3684	21114	SIPO	UV	42750388
537596	1829	1998-03-12	VYDAJ	PREVOD NA UCET	3684	24323	SIPO	UV	42750388
537597	1829	1998-04-12	VYDAJ	PREVOD NA UCET	3684	22979	SIPO	UV	42750388
537598	1829	1998-05-12	VYDAJ	PREVOD NA UCET	3684	23913	SIPO	UV	42750388
537599	1829	1998-06-12	VYDAJ	PREVOD NA UCET	3684	22760	SIPO	UV	42750388
537600	1829	1998-07-12	VYDAJ	PREVOD NA UCET	3684	26584	SIPO	UV	42750388
537601	1829	1998-08-12	VYDAJ	PREVOD NA UCET	3684	30426	SIPO	UV	42750388
537602	1829	1998-09-12	VYDAJ	PREVOD NA UCET	3684	34284	SIPO	UV	42750388
537603	1829	1998-10-12	VYDAJ	PREVOD NA UCET	3684	38158	SIPO	UV	42750388
537604	1829	1998-11-12	VYDAJ	PREVOD NA UCET	3684	37959	SIPO	UV	42750388
537605	1829	1998-12-12	VYDAJ	PREVOD NA UCET	3684	26346	SIPO	UV	42750388
537617	1829	1998-01-25	VYDAJ	VYBER	4480	17298	\N	\N	\N
537618	1829	1993-12-24	VYDAJ	VYBER	1280	26573	\N	\N	\N
537619	1829	1994-12-22	VYDAJ	VYBER	1920	20121	\N	\N	\N
537620	1829	1995-12-10	VYDAJ	VYBER	1760	13971	\N	\N	\N
537621	1829	1996-12-08	VYDAJ	VYBER	1920	35326	\N	\N	\N
537622	1829	1997-12-03	VYDAJ	VYBER	2080	16617	\N	\N	\N
537623	1829	1998-12-10	VYDAJ	VYBER	800	18886	\N	\N	\N
537630	1829	1994-01-19	VYDAJ	VYBER	1680	22980	\N	\N	\N
537631	1829	1994-01-25	VYDAJ	VYBER	3120	18440	\N	\N	\N
537632	1829	1994-01-08	VYDAJ	VYBER	3120	23555	\N	\N	\N
537633	1829	1994-01-18	VYDAJ	VYBER	600	24660	\N	\N	\N
537634	1829	1994-01-20	VYDAJ	VYBER	1560	21420	\N	\N	\N
537635	1829	1994-01-13	VYDAJ	VYBER	2040	25260	\N	\N	\N
537636	1829	1995-01-13	VYDAJ	VYBER	600	15076	\N	\N	\N
537637	1829	1995-01-11	VYDAJ	VYBER	1320	18171	\N	\N	\N
537638	1829	1995-01-27	VYDAJ	VYBER	720	14836	\N	\N	\N
537639	1829	1995-01-10	VYDAJ	VYBER	720	19491	\N	\N	\N
537640	1829	1995-01-19	VYDAJ	VYBER	720	15556	\N	\N	\N
537641	1829	1995-01-12	VYDAJ	VYBER	1080	20836	\N	\N	\N
537644	1829	1996-01-14	VYDAJ	VYBER	2400	14922	\N	\N	\N
537646	1829	1996-01-15	VYDAJ	VYBER	1320	13602	\N	\N	\N
537649	1829	1997-01-01	VYDAJ	VYBER	3000	39950	\N	\N	\N
537650	1829	1997-01-03	VYDAJ	VYBER	1440	36710	\N	\N	\N
537651	1829	1997-01-05	VYDAJ	VYBER	1200	35510	\N	\N	\N
537652	1829	1997-01-27	VYDAJ	VYBER	1560	15395	\N	\N	\N
537653	1829	1997-01-02	VYDAJ	VYBER	1800	38150	\N	\N	\N
537654	1829	1998-01-13	VYDAJ	VYBER	1320	21778	\N	\N	\N
537655	1829	1998-01-10	VYDAJ	VYBER	960	19953	\N	\N	\N
537657	1829	1998-01-06	VYDAJ	VYBER	1800	22353	\N	\N	\N
537658	1829	1998-01-11	VYDAJ	VYBER	600	19353	\N	\N	\N
537659	1829	1998-01-07	VYDAJ	VYBER	1440	20913	\N	\N	\N
537660	1829	1993-10-28	VYDAJ	VYBER	3360	20374	\N	\N	\N
537661	1829	1993-09-30	VYDAJ	VYBER	1920	27249	\N	\N	\N
537662	1829	1993-10-21	VYDAJ	VYBER	3960	27034	\N	\N	\N
537663	1829	1993-11-05	VYDAJ	VYBER	2280	18195	\N	\N	\N
537664	1829	1993-11-09	VYDAJ	VYBER	3720	14475	\N	\N	\N
537666	1829	1993-07-27	VYDAJ	VYBER	3240	26632	\N	\N	\N
537667	1829	1994-01-22	VYDAJ	VYBER	2640	15060	\N	\N	\N
537668	1829	1994-01-21	VYDAJ	VYBER	3720	17700	\N	\N	\N
537669	1829	1994-05-13	VYDAJ	VYBER	2880	23390	\N	\N	\N
537670	1829	1994-04-27	VYDAJ	VYBER	3600	22420	\N	\N	\N
537671	1829	1994-07-21	VYDAJ	VYBER	3960	25822	\N	\N	\N
537672	1829	1994-12-19	VYDAJ	VYBER	3120	28241	\N	\N	\N
537673	1829	1995-01-13	VYDAJ	VYBER	5160	15676	\N	\N	\N
537674	1829	1995-05-27	VYDAJ	VYBER	1200	14263	\N	\N	\N
537675	1829	1995-01-15	VYDAJ	VYBER	1800	13276	\N	\N	\N
537678	1829	1995-09-19	VYDAJ	VYBER	1560	13691	\N	\N	\N
537679	1829	1996-08-20	VYDAJ	VYBER	4080	27798	\N	\N	\N
537682	1829	1996-11-19	VYDAJ	VYBER	2280	37108	\N	\N	\N
537683	1829	1996-08-14	VYDAJ	VYBER	2400	31878	\N	\N	\N
537684	1829	1997-08-17	VYDAJ	VYBER	4080	22660	\N	\N	\N
537685	1829	1997-07-07	VYDAJ	VYBER	5760	19159	\N	\N	\N
537686	1829	1997-05-29	VYDAJ	VYBER	3720	18748	\N	\N	\N
537687	1829	1997-06-25	VYDAJ	VYBER	1440	24838	\N	\N	\N
537688	1829	1997-04-07	VYDAJ	VYBER	4680	14915	\N	\N	\N
537690	1829	1997-03-07	VYDAJ	VYBER	3480	15785	\N	\N	\N
537691	1829	1998-10-23	VYDAJ	VYBER	4080	34078	\N	\N	\N
537692	1829	1998-03-20	VYDAJ	VYBER	5160	19163	\N	\N	\N
537693	1829	1998-02-20	VYDAJ	VYBER	600	20514	\N	\N	\N
537694	1829	1998-04-17	VYDAJ	VYBER	2880	20099	\N	\N	\N
537702	1829	1993-07-31	VYDAJ	VYBER	15	26749	SLUZBY	\N	\N
537703	1829	1993-08-31	VYDAJ	VYBER	15	30107	SLUZBY	\N	\N
537704	1829	1993-09-30	VYDAJ	VYBER	15	29169	SLUZBY	\N	\N
537705	1829	1993-10-31	VYDAJ	VYBER	15	20475	SLUZBY	\N	\N
537706	1829	1993-11-30	VYDAJ	VYBER	15	22793	SLUZBY	\N	\N
537707	1829	1993-12-31	VYDAJ	VYBER	15	26675	SLUZBY	\N	\N
537708	1829	1994-01-31	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
537709	1829	1994-02-28	VYDAJ	VYBER	15	21544	SLUZBY	\N	\N
537710	1829	1994-03-31	VYDAJ	VYBER	15	26375	SLUZBY	\N	\N
537711	1829	1994-04-30	VYDAJ	VYBER	15	22525	SLUZBY	\N	\N
537712	1829	1994-05-31	VYDAJ	VYBER	15	25574	SLUZBY	\N	\N
537713	1829	1994-06-30	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
537714	1829	1994-07-31	VYDAJ	VYBER	15	25223	SLUZBY	\N	\N
537715	1829	1994-08-31	VYDAJ	VYBER	15	27466	SLUZBY	\N	\N
537716	1829	1994-09-30	VYDAJ	VYBER	15	25416	SLUZBY	\N	\N
537717	1829	1994-10-31	VYDAJ	VYBER	15	26658	SLUZBY	\N	\N
537718	1829	1994-11-30	VYDAJ	VYBER	15	23901	SLUZBY	\N	\N
537719	1829	1994-12-31	VYDAJ	VYBER	15	20211	SLUZBY	\N	\N
537720	1829	1995-01-31	VYDAJ	VYBER	15	14892	SLUZBY	\N	\N
537721	1829	1995-02-28	VYDAJ	VYBER	15	18092	SLUZBY	\N	\N
537722	1829	1995-03-31	VYDAJ	VYBER	15	20004	SLUZBY	\N	\N
537723	1829	1995-04-30	VYDAJ	VYBER	15	18718	SLUZBY	\N	\N
537724	1829	1995-05-31	VYDAJ	VYBER	15	14322	SLUZBY	\N	\N
537725	1829	1995-06-30	VYDAJ	VYBER	15	14933	SLUZBY	\N	\N
537726	1829	1995-07-31	VYDAJ	VYBER	15	11724	SLUZBY	\N	\N
537727	1829	1995-08-31	VYDAJ	VYBER	15	11506	SLUZBY	\N	\N
537728	1829	1995-09-30	VYDAJ	VYBER	15	13734	SLUZBY	\N	\N
537729	1829	1995-10-31	VYDAJ	VYBER	15	17531	SLUZBY	\N	\N
537730	1829	1995-11-30	VYDAJ	VYBER	15	15731	SLUZBY	\N	\N
537731	1829	1995-12-31	VYDAJ	VYBER	15	13577	SLUZBY	\N	\N
537732	1829	1996-01-31	VYDAJ	VYBER	15	13645	SLUZBY	\N	\N
537733	1829	1996-02-29	VYDAJ	VYBER	15	17441	SLUZBY	\N	\N
537734	1829	1996-03-31	VYDAJ	VYBER	15	11529	SLUZBY	\N	\N
537735	1829	1996-04-30	VYDAJ	VYBER	15	15326	SLUZBY	\N	\N
537736	1829	1996-05-31	VYDAJ	VYBER	15	19129	SLUZBY	\N	\N
537737	1829	1996-06-30	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
537738	1829	1996-07-31	VYDAJ	VYBER	15	30533	SLUZBY	\N	\N
537739	1829	1996-08-31	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
537740	1829	1996-09-30	VYDAJ	VYBER	15	31771	SLUZBY	\N	\N
537741	1829	1996-10-31	VYDAJ	VYBER	15	35643	SLUZBY	\N	\N
537742	1829	1996-11-30	VYDAJ	VYBER	15	37246	SLUZBY	\N	\N
537743	1829	1996-12-31	VYDAJ	VYBER	15	42950	SLUZBY	\N	\N
537744	1829	1997-01-31	VYDAJ	VYBER	15	15463	SLUZBY	\N	\N
537745	1829	1997-02-28	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
537746	1829	1997-03-31	VYDAJ	VYBER	15	19595	SLUZBY	\N	\N
537747	1829	1997-04-30	VYDAJ	VYBER	15	18723	SLUZBY	\N	\N
537748	1829	1997-05-31	VYDAJ	VYBER	15	18818	SLUZBY	\N	\N
537749	1829	1997-06-30	VYDAJ	VYBER	15	24919	SLUZBY	\N	\N
537750	1829	1997-07-31	VYDAJ	VYBER	15	22995	SLUZBY	\N	\N
537751	1829	1997-08-31	VYDAJ	VYBER	15	22744	SLUZBY	\N	\N
537752	1829	1997-09-30	VYDAJ	VYBER	15	18054	SLUZBY	\N	\N
537753	1829	1997-10-31	VYDAJ	VYBER	15	21877	SLUZBY	\N	\N
537754	1829	1997-11-30	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
537755	1829	1997-12-31	VYDAJ	VYBER	15	24153	SLUZBY	\N	\N
537756	1829	1998-01-31	VYDAJ	VYBER	15	17369	SLUZBY	\N	\N
537757	1829	1998-02-28	VYDAJ	VYBER	15	20578	SLUZBY	\N	\N
537758	1829	1998-03-31	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
537759	1829	1998-04-30	VYDAJ	VYBER	15	20168	SLUZBY	\N	\N
537760	1829	1998-05-31	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
537761	1829	1998-06-30	VYDAJ	VYBER	15	22839	SLUZBY	\N	\N
537762	1829	1998-07-31	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
537763	1829	1998-08-31	VYDAJ	VYBER	15	30539	SLUZBY	\N	\N
537764	1829	1998-09-30	VYDAJ	VYBER	15	34413	SLUZBY	\N	\N
537765	1829	1998-10-31	VYDAJ	VYBER	15	34214	SLUZBY	\N	\N
537766	1829	1998-11-30	VYDAJ	VYBER	15	19686	SLUZBY	\N	\N
537767	1829	1993-03-29	PRIJEM	VKLAD	6700	15029	\N	\N	\N
537768	1829	1993-04-28	PRIJEM	VKLAD	2100	24564	\N	\N	\N
537769	1829	1993-05-28	VYDAJ	VYBER	3600	28460	\N	\N	\N
537770	1829	1993-06-27	VYDAJ	VYBER	10100	29608	\N	\N	\N
537771	1829	1993-07-27	VYDAJ	VYBER	3600	29872	\N	\N	\N
537772	1829	1993-08-26	VYDAJ	VYBER	500	29994	\N	\N	\N
537773	1829	1993-09-25	VYDAJ	VYBER	4800	29052	\N	\N	\N
537774	1829	1993-10-25	VYDAJ	VYBER	3300	23734	\N	\N	\N
537775	1829	1993-11-24	PRIJEM	VKLAD	4500	22720	\N	\N	\N
537776	1829	1993-12-24	VYDAJ	VYBER	2400	27853	\N	\N	\N
537777	1829	1994-01-23	PRIJEM	VKLAD	6500	21560	\N	\N	\N
537778	1829	1994-02-22	VYDAJ	VYBER	800	21468	\N	\N	\N
537779	1829	1994-03-24	PRIJEM	VKLAD	1000	26289	\N	\N	\N
537780	1829	1994-04-23	VYDAJ	VYBER	4100	26020	\N	\N	\N
537781	1829	1994-05-23	PRIJEM	VKLAD	2100	25490	\N	\N	\N
537782	1829	1994-06-22	VYDAJ	VYBER	7100	25934	\N	\N	\N
537783	1829	1994-07-22	VYDAJ	VYBER	700	25122	\N	\N	\N
537784	1829	1994-08-21	VYDAJ	VYBER	1600	27368	\N	\N	\N
537785	1829	1994-09-20	VYDAJ	VYBER	5900	25311	\N	\N	\N
537786	1829	1994-10-20	VYDAJ	VYBER	2600	26561	\N	\N	\N
537787	1829	1994-11-19	VYDAJ	VYBER	6600	23803	\N	\N	\N
537788	1829	1994-12-19	VYDAJ	VYBER	6200	22041	\N	\N	\N
537789	1829	1995-01-18	PRIJEM	VKLAD	3000	16276	\N	\N	\N
537790	1829	1995-02-17	VYDAJ	VYBER	600	18037	\N	\N	\N
537791	1829	1995-03-19	VYDAJ	VYBER	1900	19937	\N	\N	\N
537792	1829	1995-04-18	VYDAJ	VYBER	5100	18649	\N	\N	\N
537793	1829	1995-05-18	VYDAJ	VYBER	7000	15463	\N	\N	\N
537794	1829	1995-06-17	VYDAJ	VYBER	6900	14882	\N	\N	\N
537795	1829	1995-07-17	VYDAJ	VYBER	7000	11678	\N	\N	\N
537796	1829	1995-08-16	VYDAJ	VYBER	4000	11469	\N	\N	\N
537797	1829	1995-11-14	VYDAJ	VYBER	5600	15676	\N	\N	\N
537798	1829	1995-12-14	VYDAJ	VYBER	7900	13531	\N	\N	\N
537799	1829	1996-03-13	VYDAJ	VYBER	9700	11486	\N	\N	\N
537800	1829	1997-01-07	VYDAJ	VYBER	22300	13210	\N	\N	\N
537801	1829	1997-09-04	VYDAJ	VYBER	8500	14244	\N	\N	\N
537802	1829	1997-11-03	VYDAJ	VYBER	7000	14877	\N	\N	\N
537803	1829	1998-06-01	VYDAJ	VYBER	8700	15300	\N	\N	\N
537804	1829	1998-11-28	VYDAJ	VYBER	18400	19559	\N	\N	\N
537875	1830	1993-02-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
537878	1830	1993-03-05	PRIJEM	VKLAD	11538	12538	\N	\N	\N
537879	1830	1993-04-05	PRIJEM	VKLAD	11538	31836	\N	\N	\N
537880	1830	1993-05-05	PRIJEM	VKLAD	11538	39883	\N	\N	\N
537881	1830	1993-06-05	PRIJEM	VKLAD	17307	49419	\N	\N	\N
537882	1830	1993-07-05	PRIJEM	VKLAD	11538	48807	\N	\N	\N
537883	1830	1993-08-05	PRIJEM	VKLAD	11538	39397	\N	\N	\N
537884	1830	1993-09-05	PRIJEM	VKLAD	11538	39243	\N	\N	\N
537885	1830	1993-10-05	PRIJEM	VKLAD	11538	32108	\N	\N	\N
537886	1830	1993-11-05	PRIJEM	VKLAD	11538	25889	\N	\N	\N
537887	1830	1993-12-05	PRIJEM	VKLAD	17307	35564	\N	\N	\N
537888	1830	1994-01-05	PRIJEM	VKLAD	11538	32806	\N	\N	\N
537889	1830	1994-02-05	PRIJEM	VKLAD	11538	31078	\N	\N	\N
537890	1830	1994-03-05	PRIJEM	VKLAD	11538	34403	\N	\N	\N
537891	1830	1994-04-05	PRIJEM	VKLAD	11538	33924	\N	\N	\N
537892	1830	1994-05-05	PRIJEM	VKLAD	11538	35563	\N	\N	\N
537893	1830	1994-06-05	PRIJEM	VKLAD	17307	44781	\N	\N	\N
537894	1830	1994-07-05	PRIJEM	VKLAD	11538	33373	\N	\N	\N
537895	1830	1994-08-05	PRIJEM	VKLAD	11538	33413	\N	\N	\N
537896	1830	1994-09-05	PRIJEM	VKLAD	11538	34153	\N	\N	\N
537897	1830	1994-10-05	PRIJEM	VKLAD	11538	35474	\N	\N	\N
537898	1830	1994-11-05	PRIJEM	VKLAD	11538	33721	\N	\N	\N
537899	1830	1994-12-05	PRIJEM	VKLAD	17307	40626	\N	\N	\N
537900	1830	1995-01-05	PRIJEM	VKLAD	11538	35206	\N	\N	\N
537901	1830	1995-02-05	PRIJEM	VKLAD	11538	31083	\N	\N	\N
537902	1830	1995-03-05	PRIJEM	VKLAD	11538	32108	\N	\N	\N
537903	1830	1995-04-05	PRIJEM	VKLAD	11538	32139	\N	\N	\N
537904	1830	1995-05-05	PRIJEM	VKLAD	11538	29587	\N	\N	\N
537905	1830	1995-06-05	PRIJEM	VKLAD	17307	33376	\N	\N	\N
537906	1830	1995-07-05	PRIJEM	VKLAD	11538	31876	\N	\N	\N
537907	1830	1995-08-05	PRIJEM	VKLAD	11538	30701	\N	\N	\N
537908	1830	1995-09-05	PRIJEM	VKLAD	11538	30322	\N	\N	\N
537909	1830	1995-10-05	PRIJEM	VKLAD	11538	26538	\N	\N	\N
537910	1830	1995-11-05	PRIJEM	VKLAD	11538	30444	\N	\N	\N
537911	1830	1995-12-05	PRIJEM	VKLAD	17307	34362	\N	\N	\N
537912	1830	1996-01-05	PRIJEM	VKLAD	11538	24983	\N	\N	\N
537913	1830	1996-02-05	PRIJEM	VKLAD	11538	25393	\N	\N	\N
537914	1830	1996-03-05	PRIJEM	VKLAD	11538	29294	\N	\N	\N
537915	1830	1996-04-05	PRIJEM	VKLAD	11538	33211	\N	\N	\N
537916	1830	1996-05-05	PRIJEM	VKLAD	11538	25732	\N	\N	\N
537917	1830	1996-06-05	PRIJEM	VKLAD	17307	35403	\N	\N	\N
537918	1830	1996-07-05	PRIJEM	VKLAD	11538	39340	\N	\N	\N
537919	1830	1996-08-05	PRIJEM	VKLAD	11538	39452	\N	\N	\N
537920	1830	1996-09-05	PRIJEM	VKLAD	11538	43411	\N	\N	\N
537921	1830	1996-10-05	PRIJEM	VKLAD	11538	47387	\N	\N	\N
537922	1830	1996-11-05	PRIJEM	VKLAD	11538	25137	\N	\N	\N
537923	1830	1996-12-05	PRIJEM	VKLAD	17307	34805	\N	\N	\N
537924	1830	1997-01-05	PRIJEM	VKLAD	11538	32765	\N	\N	\N
537925	1830	1997-02-05	PRIJEM	VKLAD	11538	27083	\N	\N	\N
537926	1830	1997-03-05	PRIJEM	VKLAD	11538	30990	\N	\N	\N
537927	1830	1997-04-05	PRIJEM	VKLAD	11538	34914	\N	\N	\N
537928	1830	1997-05-05	PRIJEM	VKLAD	11538	38853	\N	\N	\N
537929	1830	1997-06-05	PRIJEM	VKLAD	17307	48579	\N	\N	\N
537930	1830	1997-07-05	PRIJEM	VKLAD	11538	52570	\N	\N	\N
537931	1830	1997-08-05	PRIJEM	VKLAD	11538	53212	\N	\N	\N
537932	1830	1997-09-05	PRIJEM	VKLAD	11538	28867	\N	\N	\N
537933	1830	1997-10-05	PRIJEM	VKLAD	11538	28087	\N	\N	\N
537934	1830	1997-11-05	PRIJEM	VKLAD	11538	31998	\N	\N	\N
537935	1830	1997-12-05	PRIJEM	VKLAD	17307	37611	\N	\N	\N
537936	1830	1998-01-05	PRIJEM	VKLAD	11538	34792	\N	\N	\N
537937	1830	1998-02-05	PRIJEM	VKLAD	11538	27553	\N	\N	\N
537938	1830	1998-03-05	PRIJEM	VKLAD	11538	31461	\N	\N	\N
537939	1830	1998-04-05	PRIJEM	VKLAD	11538	29623	\N	\N	\N
537940	1830	1998-05-05	PRIJEM	VKLAD	11538	33539	\N	\N	\N
537941	1830	1998-06-05	PRIJEM	VKLAD	17307	43241	\N	\N	\N
537942	1830	1998-07-05	PRIJEM	VKLAD	11538	42646	\N	\N	\N
537943	1830	1998-08-05	PRIJEM	VKLAD	11538	37134	\N	\N	\N
537944	1830	1998-09-05	PRIJEM	VKLAD	11538	37230	\N	\N	\N
537945	1830	1998-10-05	PRIJEM	VKLAD	11538	36363	\N	\N	\N
537946	1830	1998-11-05	PRIJEM	VKLAD	11538	40307	\N	\N	\N
537947	1830	1998-12-05	PRIJEM	VKLAD	17307	50036	\N	\N	\N
537954	1830	1993-07-07	VYDAJ	PREVOD NA UCET	7692	41115	SIPO	YZ	23603689
537955	1830	1993-08-07	VYDAJ	PREVOD NA UCET	7692	31705	SIPO	YZ	23603689
537956	1830	1993-09-07	VYDAJ	PREVOD NA UCET	7692	23251	SIPO	YZ	23603689
537957	1830	1993-10-07	VYDAJ	PREVOD NA UCET	7692	20716	SIPO	YZ	23603689
537958	1830	1993-11-07	VYDAJ	PREVOD NA UCET	7692	18197	SIPO	YZ	23603689
537959	1830	1993-12-07	VYDAJ	PREVOD NA UCET	7692	22372	SIPO	YZ	23603689
537960	1830	1994-01-07	VYDAJ	PREVOD NA UCET	7692	25114	SIPO	YZ	23603689
537961	1830	1994-02-07	VYDAJ	PREVOD NA UCET	7692	23386	SIPO	YZ	23603689
537962	1830	1994-03-07	VYDAJ	PREVOD NA UCET	7692	20411	SIPO	YZ	23603689
537963	1830	1994-04-07	VYDAJ	PREVOD NA UCET	7692	26232	SIPO	YZ	23603689
537964	1830	1994-05-07	VYDAJ	PREVOD NA UCET	7692	27871	SIPO	YZ	23603689
537965	1830	1994-06-07	VYDAJ	PREVOD NA UCET	7692	37089	SIPO	YZ	23603689
537966	1830	1994-07-07	VYDAJ	PREVOD NA UCET	7692	25681	SIPO	YZ	23603689
537967	1830	1994-08-07	VYDAJ	PREVOD NA UCET	7692	25721	SIPO	YZ	23603689
537968	1830	1994-09-07	VYDAJ	PREVOD NA UCET	7692	26461	SIPO	YZ	23603689
537969	1830	1994-10-07	VYDAJ	PREVOD NA UCET	7692	27782	SIPO	YZ	23603689
537970	1830	1994-11-07	VYDAJ	PREVOD NA UCET	7692	26029	SIPO	YZ	23603689
537971	1830	1994-12-07	VYDAJ	PREVOD NA UCET	7692	32934	SIPO	YZ	23603689
537972	1830	1995-01-07	VYDAJ	PREVOD NA UCET	7692	24514	SIPO	YZ	23603689
537973	1830	1995-02-07	VYDAJ	PREVOD NA UCET	7692	23391	SIPO	YZ	23603689
537974	1830	1995-03-07	VYDAJ	PREVOD NA UCET	7692	24416	SIPO	YZ	23603689
537975	1830	1995-04-07	VYDAJ	PREVOD NA UCET	7692	24447	SIPO	YZ	23603689
537976	1830	1995-05-07	VYDAJ	PREVOD NA UCET	7692	21895	SIPO	YZ	23603689
537977	1830	1995-06-07	VYDAJ	PREVOD NA UCET	7692	25684	SIPO	YZ	23603689
537978	1830	1995-07-07	VYDAJ	PREVOD NA UCET	7692	24184	SIPO	YZ	23603689
537979	1830	1995-08-07	VYDAJ	PREVOD NA UCET	7692	23009	SIPO	YZ	23603689
537980	1830	1995-09-07	VYDAJ	PREVOD NA UCET	7692	22630	SIPO	YZ	23603689
537981	1830	1995-10-07	VYDAJ	PREVOD NA UCET	7692	18846	SIPO	YZ	23603689
537982	1830	1995-11-07	VYDAJ	PREVOD NA UCET	7692	22752	SIPO	YZ	23603689
537983	1830	1995-12-07	VYDAJ	PREVOD NA UCET	7692	26670	SIPO	YZ	23603689
537984	1830	1996-01-07	VYDAJ	PREVOD NA UCET	7692	13811	SIPO	YZ	23603689
537985	1830	1996-02-07	VYDAJ	PREVOD NA UCET	7692	17701	SIPO	YZ	23603689
537986	1830	1996-03-07	VYDAJ	PREVOD NA UCET	7692	21602	SIPO	YZ	23603689
537987	1830	1996-04-07	VYDAJ	PREVOD NA UCET	7692	25519	SIPO	YZ	23603689
537988	1830	1996-05-07	VYDAJ	PREVOD NA UCET	7692	18040	SIPO	YZ	23603689
537989	1830	1996-06-07	VYDAJ	PREVOD NA UCET	7692	27711	SIPO	YZ	23603689
537990	1830	1996-07-07	VYDAJ	PREVOD NA UCET	7692	31648	SIPO	YZ	23603689
537991	1830	1996-08-07	VYDAJ	PREVOD NA UCET	7692	31760	SIPO	YZ	23603689
537992	1830	1996-09-07	VYDAJ	PREVOD NA UCET	7692	35719	SIPO	YZ	23603689
537993	1830	1996-10-07	VYDAJ	PREVOD NA UCET	7692	39695	SIPO	YZ	23603689
537994	1830	1996-11-07	VYDAJ	PREVOD NA UCET	7692	17445	SIPO	YZ	23603689
537995	1830	1996-12-07	VYDAJ	PREVOD NA UCET	7692	22473	SIPO	YZ	23603689
537996	1830	1997-01-07	VYDAJ	PREVOD NA UCET	7692	23393	SIPO	YZ	23603689
537997	1830	1997-02-07	VYDAJ	PREVOD NA UCET	7692	19391	SIPO	YZ	23603689
537998	1830	1997-03-07	VYDAJ	PREVOD NA UCET	7692	23298	SIPO	YZ	23603689
537999	1830	1997-04-07	VYDAJ	PREVOD NA UCET	7692	27222	SIPO	YZ	23603689
538000	1830	1997-05-07	VYDAJ	PREVOD NA UCET	7692	31161	SIPO	YZ	23603689
538001	1830	1997-06-07	VYDAJ	PREVOD NA UCET	7692	40887	SIPO	YZ	23603689
538002	1830	1997-07-07	VYDAJ	PREVOD NA UCET	7692	44878	SIPO	YZ	23603689
538003	1830	1997-08-07	VYDAJ	PREVOD NA UCET	7692	45520	SIPO	YZ	23603689
538004	1830	1997-09-07	VYDAJ	PREVOD NA UCET	7692	16495	SIPO	YZ	23603689
538005	1830	1997-10-07	VYDAJ	PREVOD NA UCET	7692	20395	SIPO	YZ	23603689
538006	1830	1997-11-07	VYDAJ	PREVOD NA UCET	7692	24306	SIPO	YZ	23603689
538007	1830	1997-12-07	VYDAJ	PREVOD NA UCET	7692	29919	SIPO	YZ	23603689
538008	1830	1998-01-07	VYDAJ	PREVOD NA UCET	7692	24100	SIPO	YZ	23603689
538009	1830	1998-02-07	VYDAJ	PREVOD NA UCET	7692	19861	SIPO	YZ	23603689
538010	1830	1998-03-07	VYDAJ	PREVOD NA UCET	7692	23769	SIPO	YZ	23603689
538011	1830	1998-04-07	VYDAJ	PREVOD NA UCET	7692	21931	SIPO	YZ	23603689
538012	1830	1998-05-07	VYDAJ	PREVOD NA UCET	7692	25847	SIPO	YZ	23603689
538013	1830	1998-06-07	VYDAJ	PREVOD NA UCET	7692	35549	SIPO	YZ	23603689
538014	1830	1998-07-07	VYDAJ	PREVOD NA UCET	7692	34954	SIPO	YZ	23603689
538015	1830	1998-08-07	VYDAJ	PREVOD NA UCET	7692	29442	SIPO	YZ	23603689
538016	1830	1998-09-07	VYDAJ	PREVOD NA UCET	7692	29538	SIPO	YZ	23603689
538017	1830	1998-10-07	VYDAJ	PREVOD NA UCET	7692	28671	SIPO	YZ	23603689
538018	1830	1998-11-07	VYDAJ	PREVOD NA UCET	7692	32615	SIPO	YZ	23603689
538019	1830	1998-12-07	VYDAJ	PREVOD NA UCET	7692	42344	SIPO	YZ	23603689
538021	1830	1994-06-17	VYDAJ	VYBER	7680	24129	\N	\N	\N
538027	1830	1994-01-15	VYDAJ	VYBER	3680	18074	\N	\N	\N
538028	1830	1995-01-14	VYDAJ	VYBER	4160	18074	\N	\N	\N
538032	1830	1993-12-24	VYDAJ	VYBER	2240	20132	\N	\N	\N
538033	1830	1994-12-27	VYDAJ	VYBER	3520	29414	\N	\N	\N
538035	1830	1996-12-07	VYDAJ	VYBER	4640	30165	\N	\N	\N
538036	1830	1997-12-24	VYDAJ	VYBER	4000	25919	\N	\N	\N
538037	1830	1998-12-25	VYDAJ	VYBER	2560	39784	\N	\N	\N
538044	1830	1994-01-24	VYDAJ	VYBER	720	13874	\N	\N	\N
538045	1830	1994-01-03	VYDAJ	VYBER	2040	18168	\N	\N	\N
538048	1830	1994-01-14	VYDAJ	VYBER	3360	21754	\N	\N	\N
538049	1830	1994-01-18	VYDAJ	VYBER	3480	14594	\N	\N	\N
538050	1830	1995-01-06	VYDAJ	VYBER	3000	32206	\N	\N	\N
538051	1830	1995-01-29	VYDAJ	VYBER	600	19474	\N	\N	\N
538052	1830	1995-01-12	VYDAJ	VYBER	2280	22234	\N	\N	\N
538053	1830	1995-01-27	VYDAJ	VYBER	840	15074	\N	\N	\N
538054	1830	1995-01-16	VYDAJ	VYBER	2160	15914	\N	\N	\N
538055	1830	1995-01-01	VYDAJ	VYBER	3360	23668	\N	\N	\N
538062	1830	1997-01-21	VYDAJ	VYBER	3360	15473	\N	\N	\N
538063	1830	1997-01-13	VYDAJ	VYBER	1440	18833	\N	\N	\N
538064	1830	1997-01-07	VYDAJ	VYBER	3120	20273	\N	\N	\N
538065	1830	1997-01-03	VYDAJ	VYBER	1320	21227	\N	\N	\N
538066	1830	1997-01-07	VYDAJ	VYBER	1680	31085	\N	\N	\N
538068	1830	1998-01-06	VYDAJ	VYBER	3000	31792	\N	\N	\N
538069	1830	1998-01-26	VYDAJ	VYBER	720	15940	\N	\N	\N
538070	1830	1998-01-23	VYDAJ	VYBER	720	20020	\N	\N	\N
538071	1830	1998-01-03	VYDAJ	VYBER	2760	23254	\N	\N	\N
538072	1830	1998-01-25	VYDAJ	VYBER	3360	16660	\N	\N	\N
538073	1830	1998-01-17	VYDAJ	VYBER	3360	20740	\N	\N	\N
538074	1830	1993-10-16	VYDAJ	VYBER	2520	12796	\N	\N	\N
538076	1830	1993-07-18	VYDAJ	VYBER	4080	30735	\N	\N	\N
538077	1830	1993-10-15	VYDAJ	VYBER	5400	15316	\N	\N	\N
538078	1830	1993-09-11	VYDAJ	VYBER	2760	20491	\N	\N	\N
538079	1830	1993-07-29	VYDAJ	VYBER	3000	27735	\N	\N	\N
538080	1830	1994-03-03	VYDAJ	VYBER	600	22865	\N	\N	\N
538081	1830	1994-06-11	VYDAJ	VYBER	1800	31809	\N	\N	\N
538082	1830	1994-06-10	VYDAJ	VYBER	3480	33609	\N	\N	\N
538083	1830	1994-09-23	VYDAJ	VYBER	1920	24541	\N	\N	\N
538084	1830	1995-11-14	VYDAJ	VYBER	5760	16992	\N	\N	\N
538085	1830	1995-05-01	VYDAJ	VYBER	1080	18049	\N	\N	\N
538086	1830	1995-06-14	VYDAJ	VYBER	4320	21364	\N	\N	\N
538089	1830	1996-07-18	VYDAJ	VYBER	3840	27808	\N	\N	\N
538091	1830	1996-01-05	VYDAJ	VYBER	3480	21503	\N	\N	\N
538092	1830	1997-07-08	VYDAJ	VYBER	3360	41518	\N	\N	\N
538093	1830	1997-09-06	VYDAJ	VYBER	4680	24187	\N	\N	\N
538096	1830	1997-11-26	VYDAJ	VYBER	4080	20226	\N	\N	\N
538097	1830	1998-07-30	VYDAJ	VYBER	5760	29194	\N	\N	\N
538098	1830	1998-09-09	VYDAJ	VYBER	4800	24738	\N	\N	\N
538099	1830	1998-08-09	VYDAJ	VYBER	3840	25602	\N	\N	\N
538100	1830	1998-03-28	VYDAJ	VYBER	5760	18009	\N	\N	\N
538101	1830	1998-06-25	VYDAJ	VYBER	4560	30989	\N	\N	\N
538102	1830	1998-07-30	VYDAJ	VYBER	3720	25474	\N	\N	\N
538110	1830	1993-07-31	VYDAJ	VYBER	15	27859	SLUZBY	\N	\N
538111	1830	1993-08-31	VYDAJ	VYBER	15	27705	SLUZBY	\N	\N
538112	1830	1993-09-30	VYDAJ	VYBER	15	20570	SLUZBY	\N	\N
538113	1830	1993-10-31	VYDAJ	VYBER	15	12851	SLUZBY	\N	\N
538114	1830	1993-11-30	VYDAJ	VYBER	15	18257	SLUZBY	\N	\N
538115	1830	1993-12-31	VYDAJ	VYBER	15	20208	SLUZBY	\N	\N
538116	1830	1994-01-31	VYDAJ	VYBER	15	13940	SLUZBY	\N	\N
538117	1830	1994-02-28	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
538118	1830	1994-03-31	VYDAJ	VYBER	15	20486	SLUZBY	\N	\N
538119	1830	1994-04-30	VYDAJ	VYBER	15	26325	SLUZBY	\N	\N
538120	1830	1994-05-31	VYDAJ	VYBER	15	27974	SLUZBY	\N	\N
538121	1830	1994-06-30	VYDAJ	VYBER	15	24235	SLUZBY	\N	\N
538122	1830	1994-07-31	VYDAJ	VYBER	15	25775	SLUZBY	\N	\N
538123	1830	1994-08-31	VYDAJ	VYBER	15	25815	SLUZBY	\N	\N
538124	1830	1994-09-30	VYDAJ	VYBER	15	24636	SLUZBY	\N	\N
538125	1830	1994-10-31	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
538126	1830	1994-11-30	VYDAJ	VYBER	15	26119	SLUZBY	\N	\N
538127	1830	1994-12-31	VYDAJ	VYBER	15	27028	SLUZBY	\N	\N
538128	1830	1995-01-31	VYDAJ	VYBER	15	19545	SLUZBY	\N	\N
538129	1830	1995-02-28	VYDAJ	VYBER	15	23470	SLUZBY	\N	\N
538130	1830	1995-03-31	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
538131	1830	1995-04-30	VYDAJ	VYBER	15	19129	SLUZBY	\N	\N
538132	1830	1995-05-31	VYDAJ	VYBER	15	16069	SLUZBY	\N	\N
538133	1830	1995-06-30	VYDAJ	VYBER	15	20338	SLUZBY	\N	\N
538134	1830	1995-07-31	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
538135	1830	1995-08-31	VYDAJ	VYBER	15	18784	SLUZBY	\N	\N
538136	1830	1995-09-30	VYDAJ	VYBER	15	15000	SLUZBY	\N	\N
538137	1830	1995-10-31	VYDAJ	VYBER	15	18906	SLUZBY	\N	\N
538138	1830	1995-11-30	VYDAJ	VYBER	15	17055	SLUZBY	\N	\N
538139	1830	1995-12-31	VYDAJ	VYBER	15	13445	SLUZBY	\N	\N
538140	1830	1996-01-31	VYDAJ	VYBER	15	13855	SLUZBY	\N	\N
538141	1830	1996-02-29	VYDAJ	VYBER	15	17756	SLUZBY	\N	\N
538142	1830	1996-03-31	VYDAJ	VYBER	15	21673	SLUZBY	\N	\N
538143	1830	1996-04-30	VYDAJ	VYBER	15	14194	SLUZBY	\N	\N
538144	1830	1996-05-31	VYDAJ	VYBER	15	18096	SLUZBY	\N	\N
538145	1830	1996-06-30	VYDAJ	VYBER	15	27802	SLUZBY	\N	\N
538146	1830	1996-07-31	VYDAJ	VYBER	15	27914	SLUZBY	\N	\N
538147	1830	1996-08-31	VYDAJ	VYBER	15	31873	SLUZBY	\N	\N
538148	1830	1996-09-30	VYDAJ	VYBER	15	35849	SLUZBY	\N	\N
538149	1830	1996-10-31	VYDAJ	VYBER	15	13599	SLUZBY	\N	\N
538150	1830	1996-11-30	VYDAJ	VYBER	15	17498	SLUZBY	\N	\N
538151	1830	1996-12-31	VYDAJ	VYBER	15	22547	SLUZBY	\N	\N
538152	1830	1997-01-31	VYDAJ	VYBER	15	15545	SLUZBY	\N	\N
538153	1830	1997-02-28	VYDAJ	VYBER	15	19452	SLUZBY	\N	\N
538154	1830	1997-03-31	VYDAJ	VYBER	15	23376	SLUZBY	\N	\N
538155	1830	1997-04-30	VYDAJ	VYBER	15	27315	SLUZBY	\N	\N
538156	1830	1997-05-31	VYDAJ	VYBER	15	31272	SLUZBY	\N	\N
538157	1830	1997-06-30	VYDAJ	VYBER	15	41032	SLUZBY	\N	\N
538158	1830	1997-07-31	VYDAJ	VYBER	15	41674	SLUZBY	\N	\N
538159	1830	1997-08-31	VYDAJ	VYBER	15	17329	SLUZBY	\N	\N
538160	1830	1997-09-30	VYDAJ	VYBER	15	16549	SLUZBY	\N	\N
538161	1830	1997-10-31	VYDAJ	VYBER	15	20460	SLUZBY	\N	\N
538162	1830	1997-11-30	VYDAJ	VYBER	15	20304	SLUZBY	\N	\N
538163	1830	1997-12-31	VYDAJ	VYBER	15	26014	SLUZBY	\N	\N
538164	1830	1998-01-31	VYDAJ	VYBER	15	16015	SLUZBY	\N	\N
538165	1830	1998-02-28	VYDAJ	VYBER	15	19923	SLUZBY	\N	\N
538166	1830	1998-03-31	VYDAJ	VYBER	15	18085	SLUZBY	\N	\N
538167	1830	1998-04-30	VYDAJ	VYBER	15	22001	SLUZBY	\N	\N
538168	1830	1998-05-31	VYDAJ	VYBER	15	25934	SLUZBY	\N	\N
538169	1830	1998-06-30	VYDAJ	VYBER	15	31108	SLUZBY	\N	\N
538170	1830	1998-07-31	VYDAJ	VYBER	15	25596	SLUZBY	\N	\N
538171	1830	1998-08-31	VYDAJ	VYBER	15	25692	SLUZBY	\N	\N
538172	1830	1998-09-30	VYDAJ	VYBER	15	24825	SLUZBY	\N	\N
538173	1830	1998-10-31	VYDAJ	VYBER	15	28769	SLUZBY	\N	\N
538174	1830	1998-11-30	VYDAJ	VYBER	15	32729	SLUZBY	\N	\N
538175	1830	1993-03-10	PRIJEM	VKLAD	7700	20238	\N	\N	\N
538176	1830	1993-04-09	VYDAJ	VYBER	3600	28236	\N	\N	\N
538177	1830	1993-05-09	VYDAJ	VYBER	7900	31983	\N	\N	\N
538178	1830	1993-06-08	VYDAJ	VYBER	12300	37119	\N	\N	\N
538179	1830	1993-07-08	VYDAJ	VYBER	6300	34815	\N	\N	\N
538180	1830	1993-08-07	VYDAJ	VYBER	4100	27605	\N	\N	\N
538181	1830	1993-09-06	VYDAJ	VYBER	8300	30943	\N	\N	\N
538182	1830	1993-10-06	VYDAJ	VYBER	3700	28408	\N	\N	\N
538183	1830	1993-11-05	PRIJEM	VKLAD	1500	14351	\N	\N	\N
538184	1830	1993-12-05	VYDAJ	VYBER	5500	30064	\N	\N	\N
538185	1830	1994-01-04	PRIJEM	VKLAD	3100	21268	\N	\N	\N
538186	1830	1994-02-03	PRIJEM	VKLAD	5600	19540	\N	\N	\N
538187	1830	1994-03-05	VYDAJ	VYBER	6300	28103	\N	\N	\N
538188	1830	1994-04-04	PRIJEM	VKLAD	1900	22386	\N	\N	\N
538189	1830	1994-05-04	VYDAJ	VYBER	2300	24025	\N	\N	\N
538190	1830	1994-06-03	VYDAJ	VYBER	500	27474	\N	\N	\N
538191	1830	1994-07-03	VYDAJ	VYBER	2400	21835	\N	\N	\N
538192	1830	1994-08-02	VYDAJ	VYBER	3900	21875	\N	\N	\N
538193	1830	1994-09-01	VYDAJ	VYBER	3200	22615	\N	\N	\N
538194	1830	1994-10-01	VYDAJ	VYBER	700	23936	\N	\N	\N
538195	1830	1994-10-31	VYDAJ	VYBER	5700	22183	\N	\N	\N
538196	1830	1994-11-30	VYDAJ	VYBER	2800	23319	\N	\N	\N
538197	1830	1994-12-30	VYDAJ	VYBER	2500	26914	\N	\N	\N
538198	1830	1995-01-29	PRIJEM	VKLAD	5000	20074	\N	\N	\N
538199	1830	1995-02-28	VYDAJ	VYBER	2900	20570	\N	\N	\N
538200	1830	1995-03-30	VYDAJ	VYBER	3900	20516	\N	\N	\N
538201	1830	1995-04-29	VYDAJ	VYBER	5400	19047	\N	\N	\N
538202	1830	1995-05-29	VYDAJ	VYBER	5900	15995	\N	\N	\N
538203	1830	1995-06-28	VYDAJ	VYBER	1100	20264	\N	\N	\N
538204	1830	1995-07-28	VYDAJ	VYBER	5100	19084	\N	\N	\N
538205	1830	1995-08-27	VYDAJ	VYBER	4300	18709	\N	\N	\N
538206	1830	1995-09-26	VYDAJ	VYBER	7700	14930	\N	\N	\N
538207	1830	1995-12-25	VYDAJ	VYBER	13300	13370	\N	\N	\N
538208	1830	1996-04-23	VYDAJ	VYBER	11400	14119	\N	\N	\N
538209	1830	1996-10-20	VYDAJ	VYBER	26200	13495	\N	\N	\N
538210	1830	1997-08-16	VYDAJ	VYBER	28300	17220	\N	\N	\N
538281	1831	1993-09-21	PRIJEM	VKLAD	600	600	\N	\N	\N
538291	1831	1993-10-11	PRIJEM	PREVOD Z UCTU	6480	7080	DUCHOD	YZ	75945204
538292	1831	1993-11-11	PRIJEM	PREVOD Z UCTU	6480	13560	DUCHOD	YZ	75945204
538293	1831	1993-12-11	PRIJEM	PREVOD Z UCTU	6480	20040	DUCHOD	YZ	75945204
538294	1831	1994-01-11	PRIJEM	PREVOD Z UCTU	6480	26520	DUCHOD	YZ	75945204
538295	1831	1994-02-11	PRIJEM	PREVOD Z UCTU	6480	33000	DUCHOD	YZ	75945204
538296	1831	1994-03-11	PRIJEM	PREVOD Z UCTU	6480	33586	DUCHOD	YZ	75945204
538297	1831	1994-04-11	PRIJEM	PREVOD Z UCTU	6480	31062	DUCHOD	YZ	75945204
538298	1831	1994-05-11	PRIJEM	PREVOD Z UCTU	6480	34191	DUCHOD	YZ	75945204
538299	1831	1994-06-11	PRIJEM	PREVOD Z UCTU	6480	30585	DUCHOD	YZ	75945204
538300	1831	1994-07-11	PRIJEM	PREVOD Z UCTU	6480	23300	DUCHOD	YZ	75945204
538301	1831	1994-08-11	PRIJEM	PREVOD Z UCTU	6480	23235	DUCHOD	YZ	75945204
538302	1831	1994-09-11	PRIJEM	PREVOD Z UCTU	6480	24691	DUCHOD	YZ	75945204
538303	1831	1994-10-11	PRIJEM	PREVOD Z UCTU	6480	29196	DUCHOD	YZ	75945204
538304	1831	1994-11-11	PRIJEM	PREVOD Z UCTU	6480	32418	DUCHOD	YZ	75945204
538305	1831	1994-12-11	PRIJEM	PREVOD Z UCTU	6480	35452	DUCHOD	YZ	75945204
538306	1831	1995-01-11	PRIJEM	PREVOD Z UCTU	6480	33063	DUCHOD	YZ	75945204
538307	1831	1995-02-11	PRIJEM	PREVOD Z UCTU	6480	26693	DUCHOD	YZ	75945204
538308	1831	1995-03-11	PRIJEM	PREVOD Z UCTU	6480	30215	DUCHOD	YZ	75945204
538309	1831	1995-04-11	PRIJEM	PREVOD Z UCTU	6480	33641	DUCHOD	YZ	75945204
538310	1831	1995-05-11	PRIJEM	PREVOD Z UCTU	6480	34976	DUCHOD	YZ	75945204
538311	1831	1995-06-11	PRIJEM	PREVOD Z UCTU	6480	34512	DUCHOD	YZ	75945204
538312	1831	1995-07-11	PRIJEM	PREVOD Z UCTU	6480	28887	DUCHOD	YZ	75945204
538313	1831	1995-08-11	PRIJEM	PREVOD Z UCTU	6480	29729	DUCHOD	YZ	75945204
538314	1831	1995-09-11	PRIJEM	PREVOD Z UCTU	6480	31353	DUCHOD	YZ	75945204
538315	1831	1995-10-11	PRIJEM	PREVOD Z UCTU	6480	33281	DUCHOD	YZ	75945204
538316	1831	1995-11-11	PRIJEM	PREVOD Z UCTU	6480	34616	DUCHOD	YZ	75945204
538317	1831	1995-12-11	PRIJEM	PREVOD Z UCTU	6480	33860	DUCHOD	YZ	75945204
538318	1831	1996-01-11	PRIJEM	PREVOD Z UCTU	6480	33207	DUCHOD	YZ	75945204
538319	1831	1996-02-11	PRIJEM	PREVOD Z UCTU	6480	31022	DUCHOD	YZ	75945204
538320	1831	1996-03-11	PRIJEM	PREVOD Z UCTU	6480	34653	DUCHOD	YZ	75945204
538321	1831	1996-04-11	PRIJEM	PREVOD Z UCTU	6480	35803	DUCHOD	YZ	75945204
538322	1831	1996-05-11	PRIJEM	PREVOD Z UCTU	6480	35660	DUCHOD	YZ	75945204
538323	1831	1996-06-11	PRIJEM	PREVOD Z UCTU	6480	35919	DUCHOD	YZ	75945204
538324	1831	1996-07-11	PRIJEM	PREVOD Z UCTU	6480	21708	DUCHOD	YZ	75945204
538325	1831	1996-08-11	PRIJEM	PREVOD Z UCTU	6480	24685	DUCHOD	YZ	75945204
538326	1831	1996-09-11	PRIJEM	PREVOD Z UCTU	6480	28690	DUCHOD	YZ	75945204
538327	1831	1996-10-11	PRIJEM	PREVOD Z UCTU	6480	30014	DUCHOD	YZ	75945204
538328	1831	1996-11-11	PRIJEM	PREVOD Z UCTU	6480	28947	DUCHOD	YZ	75945204
538329	1831	1996-12-11	PRIJEM	PREVOD Z UCTU	6480	28056	DUCHOD	YZ	75945204
538330	1831	1997-01-11	PRIJEM	PREVOD Z UCTU	6480	26270	DUCHOD	YZ	75945204
538331	1831	1997-02-11	PRIJEM	PREVOD Z UCTU	6480	24772	DUCHOD	YZ	75945204
538332	1831	1997-03-11	PRIJEM	PREVOD Z UCTU	6480	29276	DUCHOD	YZ	75945204
538333	1831	1997-04-11	PRIJEM	PREVOD Z UCTU	6480	33699	DUCHOD	YZ	75945204
538334	1831	1997-05-11	PRIJEM	PREVOD Z UCTU	6480	28803	DUCHOD	YZ	75945204
538335	1831	1997-06-11	PRIJEM	PREVOD Z UCTU	6480	27934	DUCHOD	YZ	75945204
538336	1831	1997-07-11	PRIJEM	PREVOD Z UCTU	6480	20858	DUCHOD	YZ	75945204
538337	1831	1997-08-11	PRIJEM	PREVOD Z UCTU	6480	22650	DUCHOD	YZ	75945204
538338	1831	1997-09-11	PRIJEM	PREVOD Z UCTU	6480	27151	DUCHOD	YZ	75945204
538339	1831	1997-10-11	PRIJEM	PREVOD Z UCTU	6480	29264	DUCHOD	YZ	75945204
538340	1831	1997-11-11	PRIJEM	PREVOD Z UCTU	6480	29186	DUCHOD	YZ	75945204
538341	1831	1997-12-11	PRIJEM	PREVOD Z UCTU	6480	31007	DUCHOD	YZ	75945204
538342	1831	1998-01-11	PRIJEM	PREVOD Z UCTU	6480	29200	DUCHOD	YZ	75945204
538343	1831	1998-02-11	PRIJEM	PREVOD Z UCTU	6480	26903	DUCHOD	YZ	75945204
538344	1831	1998-03-11	PRIJEM	PREVOD Z UCTU	6480	28514	DUCHOD	YZ	75945204
538345	1831	1998-04-11	PRIJEM	PREVOD Z UCTU	6480	28932	DUCHOD	YZ	75945204
538346	1831	1998-05-11	PRIJEM	PREVOD Z UCTU	6480	25065	DUCHOD	YZ	75945204
538347	1831	1998-06-11	PRIJEM	PREVOD Z UCTU	6480	27369	DUCHOD	YZ	75945204
538348	1831	1998-07-11	PRIJEM	PREVOD Z UCTU	6480	26780	DUCHOD	YZ	75945204
538349	1831	1998-08-11	PRIJEM	PREVOD Z UCTU	6480	28190	DUCHOD	YZ	75945204
538350	1831	1998-09-11	PRIJEM	PREVOD Z UCTU	6480	27704	DUCHOD	YZ	75945204
538351	1831	1998-10-11	PRIJEM	PREVOD Z UCTU	6480	28416	DUCHOD	YZ	75945204
538352	1831	1998-11-11	PRIJEM	PREVOD Z UCTU	6480	29631	DUCHOD	YZ	75945204
538353	1831	1998-12-11	PRIJEM	PREVOD Z UCTU	6480	30551	DUCHOD	YZ	75945204
538367	1831	1994-02-13	VYDAJ	PREVOD NA UCET	2047	30953	SIPO	KL	26089942
538368	1831	1994-03-13	VYDAJ	PREVOD NA UCET	2047	31539	SIPO	KL	26089942
538369	1831	1994-04-13	VYDAJ	PREVOD NA UCET	2047	29015	SIPO	KL	26089942
538370	1831	1994-05-13	VYDAJ	PREVOD NA UCET	2047	32144	SIPO	KL	26089942
538371	1831	1994-06-13	VYDAJ	PREVOD NA UCET	2047	28538	SIPO	KL	26089942
538372	1831	1994-07-13	VYDAJ	PREVOD NA UCET	2047	18853	SIPO	KL	26089942
538373	1831	1994-08-13	VYDAJ	PREVOD NA UCET	2047	18148	SIPO	KL	26089942
538374	1831	1994-09-13	VYDAJ	PREVOD NA UCET	2047	22644	SIPO	KL	26089942
538375	1831	1994-10-13	VYDAJ	PREVOD NA UCET	2047	27149	SIPO	KL	26089942
538376	1831	1994-11-13	VYDAJ	PREVOD NA UCET	2047	30371	SIPO	KL	26089942
538377	1831	1994-12-13	VYDAJ	PREVOD NA UCET	2047	33405	SIPO	KL	26089942
538378	1831	1995-01-13	VYDAJ	PREVOD NA UCET	2047	31016	SIPO	KL	26089942
538379	1831	1995-02-13	VYDAJ	PREVOD NA UCET	2047	24046	SIPO	KL	26089942
538380	1831	1995-03-13	VYDAJ	PREVOD NA UCET	2047	28168	SIPO	KL	26089942
538381	1831	1995-04-13	VYDAJ	PREVOD NA UCET	2047	31594	SIPO	KL	26089942
538382	1831	1995-05-13	VYDAJ	PREVOD NA UCET	2047	32929	SIPO	KL	26089942
538383	1831	1995-06-13	VYDAJ	PREVOD NA UCET	2047	29165	SIPO	KL	26089942
538384	1831	1995-07-13	VYDAJ	PREVOD NA UCET	2047	26840	SIPO	KL	26089942
538385	1831	1995-08-13	VYDAJ	PREVOD NA UCET	2047	24782	SIPO	KL	26089942
538386	1831	1995-09-13	VYDAJ	PREVOD NA UCET	2047	26706	SIPO	KL	26089942
538387	1831	1995-10-13	VYDAJ	PREVOD NA UCET	2047	28134	SIPO	KL	26089942
538388	1831	1995-11-13	VYDAJ	PREVOD NA UCET	2047	30969	SIPO	KL	26089942
538389	1831	1995-12-13	VYDAJ	PREVOD NA UCET	2047	30963	SIPO	KL	26089942
538390	1831	1996-01-13	VYDAJ	PREVOD NA UCET	2047	31160	SIPO	KL	26089942
538391	1831	1996-02-13	VYDAJ	PREVOD NA UCET	2047	28975	SIPO	KL	26089942
538392	1831	1996-03-13	VYDAJ	PREVOD NA UCET	2047	32606	SIPO	KL	26089942
538393	1831	1996-04-13	VYDAJ	PREVOD NA UCET	2047	33756	SIPO	KL	26089942
538394	1831	1996-05-13	VYDAJ	PREVOD NA UCET	2047	33613	SIPO	KL	26089942
538395	1831	1996-06-13	VYDAJ	PREVOD NA UCET	2047	33872	SIPO	KL	26089942
538396	1831	1996-07-13	VYDAJ	PREVOD NA UCET	2047	19661	SIPO	KL	26089942
538397	1831	1996-08-13	VYDAJ	PREVOD NA UCET	2047	22638	SIPO	KL	26089942
538398	1831	1996-09-13	VYDAJ	PREVOD NA UCET	2047	26643	SIPO	KL	26089942
538399	1831	1996-10-13	VYDAJ	PREVOD NA UCET	2047	27967	SIPO	KL	26089942
538400	1831	1996-11-13	VYDAJ	PREVOD NA UCET	2047	26900	SIPO	KL	26089942
538401	1831	1996-12-13	VYDAJ	PREVOD NA UCET	2047	25359	SIPO	KL	26089942
538402	1831	1997-01-13	VYDAJ	PREVOD NA UCET	2047	23343	SIPO	KL	26089942
538403	1831	1997-02-13	VYDAJ	PREVOD NA UCET	2047	22725	SIPO	KL	26089942
538404	1831	1997-03-13	VYDAJ	PREVOD NA UCET	2047	27229	SIPO	KL	26089942
538405	1831	1997-04-13	VYDAJ	PREVOD NA UCET	2047	31652	SIPO	KL	26089942
538406	1831	1997-05-13	VYDAJ	PREVOD NA UCET	2047	26756	SIPO	KL	26089942
538407	1831	1997-06-13	VYDAJ	PREVOD NA UCET	2047	25887	SIPO	KL	26089942
538408	1831	1997-07-13	VYDAJ	PREVOD NA UCET	2047	18811	SIPO	KL	26089942
538409	1831	1997-08-13	VYDAJ	PREVOD NA UCET	2047	20603	SIPO	KL	26089942
538410	1831	1997-09-13	VYDAJ	PREVOD NA UCET	2047	25104	SIPO	KL	26089942
538411	1831	1997-10-13	VYDAJ	PREVOD NA UCET	2047	27217	SIPO	KL	26089942
538412	1831	1997-11-13	VYDAJ	PREVOD NA UCET	2047	27139	SIPO	KL	26089942
538413	1831	1997-12-13	VYDAJ	PREVOD NA UCET	2047	28960	SIPO	KL	26089942
538414	1831	1998-01-13	VYDAJ	PREVOD NA UCET	2047	25713	SIPO	KL	26089942
538415	1831	1998-02-13	VYDAJ	PREVOD NA UCET	2047	24856	SIPO	KL	26089942
538416	1831	1998-03-13	VYDAJ	PREVOD NA UCET	2047	26467	SIPO	KL	26089942
538417	1831	1998-04-13	VYDAJ	PREVOD NA UCET	2047	23765	SIPO	KL	26089942
538418	1831	1998-05-13	VYDAJ	PREVOD NA UCET	2047	23018	SIPO	KL	26089942
538419	1831	1998-06-13	VYDAJ	PREVOD NA UCET	2047	25322	SIPO	KL	26089942
538420	1831	1998-07-13	VYDAJ	PREVOD NA UCET	2047	24733	SIPO	KL	26089942
538421	1831	1998-08-13	VYDAJ	PREVOD NA UCET	2047	26143	SIPO	KL	26089942
538422	1831	1998-09-13	VYDAJ	PREVOD NA UCET	2047	25657	SIPO	KL	26089942
538423	1831	1998-10-13	VYDAJ	PREVOD NA UCET	2047	26369	SIPO	KL	26089942
538424	1831	1998-11-13	VYDAJ	PREVOD NA UCET	2047	27584	SIPO	KL	26089942
538425	1831	1998-12-13	VYDAJ	PREVOD NA UCET	2047	28504	SIPO	KL	26089942
538427	1831	1994-06-22	VYDAJ	VYBER	11800	16738	\N	\N	\N
538428	1831	1995-06-17	VYDAJ	VYBER	6850	22315	\N	\N	\N
538429	1831	1996-06-27	VYDAJ	VYBER	13400	17992	\N	\N	\N
538430	1831	1997-06-29	VYDAJ	VYBER	10100	15787	\N	\N	\N
538434	1831	1995-01-05	VYDAJ	VYBER	1600	27863	\N	\N	\N
538435	1831	1996-01-06	VYDAJ	VYBER	2350	26727	\N	\N	\N
538437	1831	1998-01-19	VYDAJ	VYBER	2850	22463	\N	\N	\N
538439	1831	1994-12-14	VYDAJ	VYBER	1050	32355	\N	\N	\N
538440	1831	1995-12-11	VYDAJ	VYBER	850	33010	\N	\N	\N
538441	1831	1996-12-11	VYDAJ	VYBER	650	27406	\N	\N	\N
538442	1831	1997-12-28	VYDAJ	VYBER	750	24770	\N	\N	\N
538443	1831	1998-12-15	VYDAJ	VYBER	1100	27404	\N	\N	\N
538456	1831	1995-01-29	VYDAJ	VYBER	400	22996	\N	\N	\N
538457	1831	1995-01-19	VYDAJ	VYBER	1760	26116	\N	\N	\N
538458	1831	1995-01-20	VYDAJ	VYBER	1280	24836	\N	\N	\N
538459	1831	1995-01-15	VYDAJ	VYBER	1840	27876	\N	\N	\N
538460	1831	1995-01-07	VYDAJ	VYBER	1280	26583	\N	\N	\N
538461	1831	1995-01-22	VYDAJ	VYBER	1440	23396	\N	\N	\N
538462	1831	1996-01-26	VYDAJ	VYBER	2160	24440	\N	\N	\N
538463	1831	1996-01-24	VYDAJ	VYBER	640	26600	\N	\N	\N
538464	1831	1996-01-14	VYDAJ	VYBER	1120	30040	\N	\N	\N
538465	1831	1996-01-15	VYDAJ	VYBER	1040	29000	\N	\N	\N
538466	1831	1996-01-19	VYDAJ	VYBER	1760	27240	\N	\N	\N
538467	1831	1996-01-01	VYDAJ	VYBER	2000	29077	\N	\N	\N
538468	1831	1997-01-01	VYDAJ	VYBER	720	24730	\N	\N	\N
538469	1831	1997-01-15	VYDAJ	VYBER	1120	22223	\N	\N	\N
538470	1831	1997-01-21	VYDAJ	VYBER	1840	18223	\N	\N	\N
538471	1831	1997-01-11	VYDAJ	VYBER	880	25390	\N	\N	\N
538472	1831	1997-01-02	VYDAJ	VYBER	2240	22490	\N	\N	\N
538473	1831	1997-01-17	VYDAJ	VYBER	2160	20063	\N	\N	\N
538474	1831	1998-01-21	VYDAJ	VYBER	480	21983	\N	\N	\N
538475	1831	1998-01-14	VYDAJ	VYBER	400	25313	\N	\N	\N
538476	1831	1998-01-25	VYDAJ	VYBER	480	20943	\N	\N	\N
538477	1831	1998-01-12	VYDAJ	VYBER	1440	27760	\N	\N	\N
538478	1831	1998-01-21	VYDAJ	VYBER	560	21423	\N	\N	\N
538479	1831	1998-01-04	VYDAJ	VYBER	1040	22720	\N	\N	\N
538485	1831	1994-03-30	VYDAJ	VYBER	3360	24479	\N	\N	\N
538486	1831	1994-08-12	VYDAJ	VYBER	3040	20195	\N	\N	\N
538487	1831	1994-07-11	VYDAJ	VYBER	2400	20900	\N	\N	\N
538488	1831	1994-08-06	VYDAJ	VYBER	2160	16755	\N	\N	\N
538489	1831	1994-05-29	VYDAJ	VYBER	2160	24004	\N	\N	\N
538490	1831	1994-05-18	VYDAJ	VYBER	3280	28864	\N	\N	\N
538491	1831	1995-07-29	VYDAJ	VYBER	960	25880	\N	\N	\N
538492	1831	1995-02-28	VYDAJ	VYBER	400	23735	\N	\N	\N
538493	1831	1995-02-05	VYDAJ	VYBER	2880	20213	\N	\N	\N
538494	1831	1995-11-12	VYDAJ	VYBER	1600	33016	\N	\N	\N
538495	1831	1995-08-01	VYDAJ	VYBER	2720	23249	\N	\N	\N
538496	1831	1996-06-22	VYDAJ	VYBER	2480	31392	\N	\N	\N
538497	1831	1996-11-19	VYDAJ	VYBER	1520	25380	\N	\N	\N
538498	1831	1996-07-13	VYDAJ	VYBER	1520	18141	\N	\N	\N
538499	1831	1996-07-01	VYDAJ	VYBER	2880	15228	\N	\N	\N
538501	1831	1997-12-17	VYDAJ	VYBER	3440	25520	\N	\N	\N
538502	1831	1997-05-07	VYDAJ	VYBER	3840	22323	\N	\N	\N
538503	1831	1998-04-11	VYDAJ	VYBER	3120	25812	\N	\N	\N
538504	1831	1998-12-23	VYDAJ	VYBER	3120	24284	\N	\N	\N
538505	1831	1998-04-29	VYDAJ	VYBER	2560	18505	\N	\N	\N
538520	1831	1994-02-28	VYDAJ	VYBER	15	27106	SLUZBY	\N	\N
538521	1831	1994-03-31	VYDAJ	VYBER	15	24582	SLUZBY	\N	\N
538522	1831	1994-04-30	VYDAJ	VYBER	15	27711	SLUZBY	\N	\N
538523	1831	1994-05-31	VYDAJ	VYBER	15	24105	SLUZBY	\N	\N
538524	1831	1994-06-30	VYDAJ	VYBER	15	16820	SLUZBY	\N	\N
538525	1831	1994-07-31	VYDAJ	VYBER	15	18915	SLUZBY	\N	\N
538526	1831	1994-08-31	VYDAJ	VYBER	15	18211	SLUZBY	\N	\N
538527	1831	1994-09-30	VYDAJ	VYBER	15	22716	SLUZBY	\N	\N
538528	1831	1994-10-31	VYDAJ	VYBER	15	25938	SLUZBY	\N	\N
538529	1831	1994-11-30	VYDAJ	VYBER	15	28972	SLUZBY	\N	\N
538530	1831	1994-12-31	VYDAJ	VYBER	15	29463	SLUZBY	\N	\N
538531	1831	1995-01-31	VYDAJ	VYBER	15	23093	SLUZBY	\N	\N
538532	1831	1995-02-28	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
538533	1831	1995-03-31	VYDAJ	VYBER	15	27161	SLUZBY	\N	\N
538534	1831	1995-04-30	VYDAJ	VYBER	15	28496	SLUZBY	\N	\N
538535	1831	1995-05-31	VYDAJ	VYBER	15	28032	SLUZBY	\N	\N
538536	1831	1995-06-30	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
538537	1831	1995-07-31	VYDAJ	VYBER	15	25969	SLUZBY	\N	\N
538538	1831	1995-08-31	VYDAJ	VYBER	15	24873	SLUZBY	\N	\N
538539	1831	1995-09-30	VYDAJ	VYBER	15	26801	SLUZBY	\N	\N
538540	1831	1995-10-31	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
538541	1831	1995-11-30	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
538542	1831	1995-12-31	VYDAJ	VYBER	15	31077	SLUZBY	\N	\N
538543	1831	1996-01-31	VYDAJ	VYBER	15	24542	SLUZBY	\N	\N
538544	1831	1996-02-29	VYDAJ	VYBER	15	29073	SLUZBY	\N	\N
538545	1831	1996-03-31	VYDAJ	VYBER	15	32723	SLUZBY	\N	\N
538546	1831	1996-04-30	VYDAJ	VYBER	15	33880	SLUZBY	\N	\N
538547	1831	1996-05-31	VYDAJ	VYBER	15	33739	SLUZBY	\N	\N
538548	1831	1996-06-30	VYDAJ	VYBER	15	18108	SLUZBY	\N	\N
538549	1831	1996-07-31	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
538550	1831	1996-08-31	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
538551	1831	1996-09-30	VYDAJ	VYBER	15	26734	SLUZBY	\N	\N
538552	1831	1996-10-31	VYDAJ	VYBER	15	28067	SLUZBY	\N	\N
538553	1831	1996-11-30	VYDAJ	VYBER	15	25476	SLUZBY	\N	\N
538554	1831	1996-12-31	VYDAJ	VYBER	15	25450	SLUZBY	\N	\N
538555	1831	1997-01-31	VYDAJ	VYBER	15	18292	SLUZBY	\N	\N
538556	1831	1997-02-28	VYDAJ	VYBER	15	22796	SLUZBY	\N	\N
538557	1831	1997-03-31	VYDAJ	VYBER	15	27319	SLUZBY	\N	\N
538558	1831	1997-04-30	VYDAJ	VYBER	15	31763	SLUZBY	\N	\N
538559	1831	1997-05-31	VYDAJ	VYBER	15	26854	SLUZBY	\N	\N
538560	1831	1997-06-30	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
538561	1831	1997-07-31	VYDAJ	VYBER	15	18870	SLUZBY	\N	\N
538562	1831	1997-08-31	VYDAJ	VYBER	15	20671	SLUZBY	\N	\N
538563	1831	1997-09-30	VYDAJ	VYBER	15	25184	SLUZBY	\N	\N
538564	1831	1997-10-31	VYDAJ	VYBER	15	22706	SLUZBY	\N	\N
538565	1831	1997-11-30	VYDAJ	VYBER	15	24527	SLUZBY	\N	\N
538566	1831	1997-12-31	VYDAJ	VYBER	15	23760	SLUZBY	\N	\N
538567	1831	1998-01-31	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
538568	1831	1998-02-28	VYDAJ	VYBER	15	22034	SLUZBY	\N	\N
538569	1831	1998-03-31	VYDAJ	VYBER	15	22452	SLUZBY	\N	\N
538570	1831	1998-04-30	VYDAJ	VYBER	15	18585	SLUZBY	\N	\N
538571	1831	1998-05-31	VYDAJ	VYBER	15	20889	SLUZBY	\N	\N
538572	1831	1998-06-30	VYDAJ	VYBER	15	20300	SLUZBY	\N	\N
538573	1831	1998-07-31	VYDAJ	VYBER	15	21710	SLUZBY	\N	\N
538574	1831	1998-08-31	VYDAJ	VYBER	15	21224	SLUZBY	\N	\N
538575	1831	1998-09-30	VYDAJ	VYBER	15	21936	SLUZBY	\N	\N
538576	1831	1998-10-31	VYDAJ	VYBER	15	23151	SLUZBY	\N	\N
538577	1831	1998-11-30	VYDAJ	VYBER	15	24071	SLUZBY	\N	\N
538578	1831	1994-02-18	VYDAJ	VYBER	3900	27053	\N	\N	\N
538579	1831	1994-03-20	VYDAJ	VYBER	3700	27839	\N	\N	\N
538580	1831	1994-04-19	VYDAJ	VYBER	1400	27615	\N	\N	\N
538581	1831	1994-05-19	VYDAJ	VYBER	2700	26164	\N	\N	\N
538582	1831	1994-10-16	VYDAJ	VYBER	1300	25849	\N	\N	\N
538583	1831	1994-11-15	VYDAJ	VYBER	1500	28871	\N	\N	\N
538584	1831	1994-12-15	VYDAJ	VYBER	3000	29355	\N	\N	\N
538585	1831	1995-01-14	VYDAJ	VYBER	1300	29716	\N	\N	\N
538586	1831	1995-02-13	VYDAJ	VYBER	600	26093	\N	\N	\N
538587	1831	1995-03-15	VYDAJ	VYBER	1100	27068	\N	\N	\N
538588	1831	1995-04-14	VYDAJ	VYBER	3200	28394	\N	\N	\N
538589	1831	1995-05-14	VYDAJ	VYBER	5000	27929	\N	\N	\N
538590	1831	1995-06-13	VYDAJ	VYBER	3300	31212	\N	\N	\N
538591	1831	1995-08-12	VYDAJ	VYBER	2900	26829	\N	\N	\N
538592	1831	1995-09-11	VYDAJ	VYBER	2600	28753	\N	\N	\N
538593	1831	1995-10-11	VYDAJ	VYBER	3100	30181	\N	\N	\N
538594	1831	1995-11-10	VYDAJ	VYBER	100	28136	\N	\N	\N
538595	1831	1995-12-10	VYDAJ	VYBER	3700	27380	\N	\N	\N
538596	1831	1996-03-09	VYDAJ	VYBER	900	28173	\N	\N	\N
538597	1831	1996-04-08	VYDAJ	VYBER	3400	29323	\N	\N	\N
538598	1831	1996-05-08	VYDAJ	VYBER	4700	29180	\N	\N	\N
538599	1831	1996-06-07	VYDAJ	VYBER	4300	29439	\N	\N	\N
538600	1831	1996-09-05	VYDAJ	VYBER	500	22210	\N	\N	\N
538601	1831	1996-10-05	VYDAJ	VYBER	3200	23534	\N	\N	\N
538602	1831	1996-11-04	VYDAJ	VYBER	5600	22467	\N	\N	\N
538603	1831	1996-12-04	VYDAJ	VYBER	3900	21576	\N	\N	\N
538604	1831	1997-01-03	VYDAJ	VYBER	2700	19790	\N	\N	\N
538605	1831	1997-04-03	VYDAJ	VYBER	100	27219	\N	\N	\N
538606	1831	1997-05-03	VYDAJ	VYBER	5600	26163	\N	\N	\N
538607	1831	1997-06-02	VYDAJ	VYBER	5400	21454	\N	\N	\N
538608	1831	1997-07-02	VYDAJ	VYBER	1500	14378	\N	\N	\N
538609	1831	1997-08-01	VYDAJ	VYBER	2700	16170	\N	\N	\N
538610	1831	1997-09-30	VYDAJ	VYBER	2400	22784	\N	\N	\N
538611	1831	1997-10-30	VYDAJ	VYBER	4600	22617	\N	\N	\N
538612	1831	1997-11-29	VYDAJ	VYBER	2700	24439	\N	\N	\N
538613	1831	1997-12-29	VYDAJ	VYBER	1100	23670	\N	\N	\N
538614	1831	1998-01-28	VYDAJ	VYBER	600	20343	\N	\N	\N
538615	1831	1998-02-27	VYDAJ	VYBER	2900	21956	\N	\N	\N
538616	1831	1998-03-29	VYDAJ	VYBER	4100	22367	\N	\N	\N
538617	1831	1998-04-28	VYDAJ	VYBER	2700	21065	\N	\N	\N
538618	1831	1998-05-28	VYDAJ	VYBER	2200	20818	\N	\N	\N
538619	1831	1998-06-27	VYDAJ	VYBER	5100	20222	\N	\N	\N
538620	1831	1998-07-27	VYDAJ	VYBER	3100	21633	\N	\N	\N
538621	1831	1998-08-26	VYDAJ	VYBER	5000	21143	\N	\N	\N
538622	1831	1998-09-25	VYDAJ	VYBER	3800	21857	\N	\N	\N
538623	1831	1998-10-25	VYDAJ	VYBER	3300	23069	\N	\N	\N
538624	1831	1998-11-24	VYDAJ	VYBER	3600	23984	\N	\N	\N
538684	1832	1996-04-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
538688	1832	1996-04-13	PRIJEM	PREVOD Z UCTU	20721	21821	\N	CD	85709470
538689	1832	1996-05-13	PRIJEM	PREVOD Z UCTU	20721	46897	\N	CD	85709470
538690	1832	1996-06-13	PRIJEM	PREVOD Z UCTU	31082	68232	\N	CD	85709470
538691	1832	1996-07-13	PRIJEM	PREVOD Z UCTU	20721	70810	\N	CD	85709470
538692	1832	1996-08-13	PRIJEM	PREVOD Z UCTU	20721	71640	\N	CD	85709470
538693	1832	1996-09-13	PRIJEM	PREVOD Z UCTU	20721	59028	\N	CD	85709470
538694	1832	1996-10-13	PRIJEM	PREVOD Z UCTU	20721	49906	\N	CD	85709470
538695	1832	1996-11-13	PRIJEM	PREVOD Z UCTU	20721	42971	\N	CD	85709470
538696	1832	1996-12-13	PRIJEM	PREVOD Z UCTU	31082	52962	\N	CD	85709470
538697	1832	1997-01-13	PRIJEM	PREVOD Z UCTU	20721	39108	\N	CD	85709470
538698	1832	1997-02-13	PRIJEM	PREVOD Z UCTU	20721	34141	\N	CD	85709470
538699	1832	1997-03-13	PRIJEM	PREVOD Z UCTU	20721	38753	\N	CD	85709470
538700	1832	1997-04-13	PRIJEM	PREVOD Z UCTU	20721	33311	\N	CD	85709470
538701	1832	1997-05-13	PRIJEM	PREVOD Z UCTU	20721	31327	\N	CD	85709470
538702	1832	1997-06-13	PRIJEM	PREVOD Z UCTU	31082	51735	\N	CD	85709470
538703	1832	1997-07-13	PRIJEM	PREVOD Z UCTU	20721	49376	\N	CD	85709470
538704	1832	1997-08-13	PRIJEM	PREVOD Z UCTU	20721	38576	\N	CD	85709470
538705	1832	1997-09-13	PRIJEM	PREVOD Z UCTU	20721	37738	\N	CD	85709470
538706	1832	1997-10-13	PRIJEM	PREVOD Z UCTU	20721	45446	\N	CD	85709470
538707	1832	1997-11-13	PRIJEM	PREVOD Z UCTU	20721	52886	\N	CD	85709470
538708	1832	1997-12-13	PRIJEM	PREVOD Z UCTU	31082	49261	\N	CD	85709470
538709	1832	1998-01-13	PRIJEM	PREVOD Z UCTU	20721	31645	\N	CD	85709470
538710	1832	1998-02-13	PRIJEM	PREVOD Z UCTU	20721	35433	\N	CD	85709470
538711	1832	1998-03-13	PRIJEM	PREVOD Z UCTU	20721	31964	\N	CD	85709470
538712	1832	1998-04-13	PRIJEM	PREVOD Z UCTU	20721	40644	\N	CD	85709470
538713	1832	1998-05-13	PRIJEM	PREVOD Z UCTU	20721	40722	\N	CD	85709470
538714	1832	1998-06-13	PRIJEM	PREVOD Z UCTU	31082	44803	\N	CD	85709470
538715	1832	1998-07-13	PRIJEM	PREVOD Z UCTU	20721	45018	\N	CD	85709470
538716	1832	1998-08-13	PRIJEM	PREVOD Z UCTU	20721	43748	\N	CD	85709470
538717	1832	1998-09-13	PRIJEM	PREVOD Z UCTU	20721	32856	\N	CD	85709470
538718	1832	1998-10-13	PRIJEM	PREVOD Z UCTU	20721	40641	\N	CD	85709470
538719	1832	1998-11-13	PRIJEM	PREVOD Z UCTU	20721	43658	\N	CD	85709470
538720	1832	1998-12-13	PRIJEM	PREVOD Z UCTU	31082	51922	\N	CD	85709470
538765	1832	1996-09-12	VYDAJ	PREVOD NA UCET	3275	38307	SIPO	QR	46307826
538766	1832	1996-10-12	VYDAJ	PREVOD NA UCET	3275	29185	SIPO	QR	46307826
538767	1832	1996-11-12	VYDAJ	PREVOD NA UCET	3275	22250	SIPO	QR	46307826
538768	1832	1996-12-12	VYDAJ	PREVOD NA UCET	3275	21880	SIPO	QR	46307826
538769	1832	1997-01-12	VYDAJ	PREVOD NA UCET	3275	18387	SIPO	QR	46307826
538770	1832	1997-02-12	VYDAJ	PREVOD NA UCET	3275	13420	SIPO	QR	46307826
538771	1832	1997-03-12	VYDAJ	PREVOD NA UCET	3275	18032	SIPO	QR	46307826
538772	1832	1997-04-12	VYDAJ	PREVOD NA UCET	3275	12590	SIPO	QR	46307826
538773	1832	1997-05-12	VYDAJ	PREVOD NA UCET	3275	10606	SIPO	QR	46307826
538774	1832	1997-06-12	VYDAJ	PREVOD NA UCET	3275	20653	SIPO	QR	46307826
538775	1832	1997-07-12	VYDAJ	PREVOD NA UCET	3275	28655	SIPO	QR	46307826
538776	1832	1997-08-12	VYDAJ	PREVOD NA UCET	3275	17855	SIPO	QR	46307826
538777	1832	1997-09-12	VYDAJ	PREVOD NA UCET	3275	17017	SIPO	QR	46307826
538778	1832	1997-10-12	VYDAJ	PREVOD NA UCET	3275	24725	SIPO	QR	46307826
538779	1832	1997-11-12	VYDAJ	PREVOD NA UCET	3275	32165	SIPO	QR	46307826
538780	1832	1997-12-12	VYDAJ	PREVOD NA UCET	3275	18179	SIPO	QR	46307826
538781	1832	1998-01-12	VYDAJ	PREVOD NA UCET	3275	10924	SIPO	QR	46307826
538782	1832	1998-02-12	VYDAJ	PREVOD NA UCET	3275	14712	SIPO	QR	46307826
538783	1832	1998-03-12	VYDAJ	PREVOD NA UCET	3275	11243	SIPO	QR	46307826
538784	1832	1998-04-12	VYDAJ	PREVOD NA UCET	3275	19923	SIPO	QR	46307826
538785	1832	1998-05-12	VYDAJ	PREVOD NA UCET	3275	20001	SIPO	QR	46307826
538786	1832	1998-06-12	VYDAJ	PREVOD NA UCET	3275	13721	SIPO	QR	46307826
538787	1832	1998-07-12	VYDAJ	PREVOD NA UCET	3275	24297	SIPO	QR	46307826
538788	1832	1998-08-12	VYDAJ	PREVOD NA UCET	3275	23027	SIPO	QR	46307826
538789	1832	1998-09-12	VYDAJ	PREVOD NA UCET	3275	12135	SIPO	QR	46307826
538790	1832	1998-10-12	VYDAJ	PREVOD NA UCET	3275	19920	SIPO	QR	46307826
538791	1832	1998-11-12	VYDAJ	PREVOD NA UCET	3275	22937	SIPO	QR	46307826
538792	1832	1998-12-12	VYDAJ	PREVOD NA UCET	3275	20840	SIPO	QR	46307826
538801	1832	1996-09-10	VYDAJ	PREVOD NA UCET	139	41582	 	CD	19165534
538802	1832	1996-10-10	VYDAJ	PREVOD NA UCET	139	37777	 	CD	19165534
538803	1832	1996-11-10	VYDAJ	PREVOD NA UCET	139	25525	 	CD	19165534
538804	1832	1996-12-10	VYDAJ	PREVOD NA UCET	139	25155	 	CD	19165534
538805	1832	1997-01-10	VYDAJ	PREVOD NA UCET	139	21662	 	CD	19165534
538806	1832	1997-02-10	VYDAJ	PREVOD NA UCET	139	16695	 	CD	19165534
538807	1832	1997-03-10	VYDAJ	PREVOD NA UCET	139	21307	 	CD	19165534
538808	1832	1997-04-10	VYDAJ	PREVOD NA UCET	139	15865	 	CD	19165534
538809	1832	1997-05-10	VYDAJ	PREVOD NA UCET	139	13881	 	CD	19165534
538810	1832	1997-06-10	VYDAJ	PREVOD NA UCET	139	23928	 	CD	19165534
538811	1832	1997-07-10	VYDAJ	PREVOD NA UCET	139	31930	 	CD	19165534
538812	1832	1997-08-10	VYDAJ	PREVOD NA UCET	139	21130	 	CD	19165534
538813	1832	1997-09-10	VYDAJ	PREVOD NA UCET	139	20292	 	CD	19165534
538814	1832	1997-10-10	VYDAJ	PREVOD NA UCET	139	28000	 	CD	19165534
538815	1832	1997-11-10	VYDAJ	PREVOD NA UCET	139	35440	 	CD	19165534
538816	1832	1997-12-10	VYDAJ	PREVOD NA UCET	139	21454	 	CD	19165534
538817	1832	1998-01-10	VYDAJ	PREVOD NA UCET	139	14199	 	CD	19165534
538818	1832	1998-02-10	VYDAJ	PREVOD NA UCET	139	17987	 	CD	19165534
538819	1832	1998-03-10	VYDAJ	PREVOD NA UCET	139	14518	 	CD	19165534
538820	1832	1998-04-10	VYDAJ	PREVOD NA UCET	139	23198	 	CD	19165534
538821	1832	1998-05-10	VYDAJ	PREVOD NA UCET	139	23276	 	CD	19165534
538822	1832	1998-06-10	VYDAJ	PREVOD NA UCET	139	16996	 	CD	19165534
538823	1832	1998-07-10	VYDAJ	PREVOD NA UCET	139	27572	 	CD	19165534
538824	1832	1998-08-10	VYDAJ	PREVOD NA UCET	139	26302	 	CD	19165534
538825	1832	1998-09-10	VYDAJ	PREVOD NA UCET	139	15410	 	CD	19165534
538826	1832	1998-10-10	VYDAJ	PREVOD NA UCET	139	23195	 	CD	19165534
538827	1832	1998-11-10	VYDAJ	PREVOD NA UCET	139	26212	 	CD	19165534
538828	1832	1998-12-10	VYDAJ	PREVOD NA UCET	139	24115	 	CD	19165534
538837	1832	1996-09-06	VYDAJ	PREVOD NA UCET	581	47654	POJISTNE	CD	5385864
538838	1832	1996-10-06	VYDAJ	PREVOD NA UCET	581	43849	POJISTNE	CD	5385864
538839	1832	1996-11-06	VYDAJ	PREVOD NA UCET	581	31597	POJISTNE	CD	5385864
538840	1832	1996-12-06	VYDAJ	PREVOD NA UCET	581	31227	POJISTNE	CD	5385864
538841	1832	1997-01-06	VYDAJ	PREVOD NA UCET	581	27734	POJISTNE	CD	5385864
538842	1832	1997-02-06	VYDAJ	PREVOD NA UCET	581	22767	POJISTNE	CD	5385864
538843	1832	1997-03-06	VYDAJ	PREVOD NA UCET	581	27379	POJISTNE	CD	5385864
538844	1832	1997-04-06	VYDAJ	PREVOD NA UCET	581	21937	POJISTNE	CD	5385864
538845	1832	1997-05-06	VYDAJ	PREVOD NA UCET	581	19953	POJISTNE	CD	5385864
538846	1832	1997-06-06	VYDAJ	PREVOD NA UCET	581	30000	POJISTNE	CD	5385864
538847	1832	1997-07-06	VYDAJ	PREVOD NA UCET	581	38002	POJISTNE	CD	5385864
538848	1832	1997-08-06	VYDAJ	PREVOD NA UCET	581	27202	POJISTNE	CD	5385864
538849	1832	1997-09-06	VYDAJ	PREVOD NA UCET	581	26364	POJISTNE	CD	5385864
538850	1832	1997-10-06	VYDAJ	PREVOD NA UCET	581	34072	POJISTNE	CD	5385864
538851	1832	1997-11-06	VYDAJ	PREVOD NA UCET	581	41512	POJISTNE	CD	5385864
538852	1832	1997-12-06	VYDAJ	PREVOD NA UCET	581	30226	POJISTNE	CD	5385864
538853	1832	1998-01-06	VYDAJ	PREVOD NA UCET	581	20271	POJISTNE	CD	5385864
538854	1832	1998-02-06	VYDAJ	PREVOD NA UCET	581	24059	POJISTNE	CD	5385864
538855	1832	1998-03-06	VYDAJ	PREVOD NA UCET	581	20590	POJISTNE	CD	5385864
538856	1832	1998-04-06	VYDAJ	PREVOD NA UCET	581	29270	POJISTNE	CD	5385864
538857	1832	1998-05-06	VYDAJ	PREVOD NA UCET	581	29348	POJISTNE	CD	5385864
538858	1832	1998-06-06	VYDAJ	PREVOD NA UCET	581	23068	POJISTNE	CD	5385864
538859	1832	1998-07-06	VYDAJ	PREVOD NA UCET	581	33644	POJISTNE	CD	5385864
538860	1832	1998-08-06	VYDAJ	PREVOD NA UCET	581	32374	POJISTNE	CD	5385864
538861	1832	1998-09-06	VYDAJ	PREVOD NA UCET	581	21482	POJISTNE	CD	5385864
538862	1832	1998-10-06	VYDAJ	PREVOD NA UCET	581	29267	POJISTNE	CD	5385864
538863	1832	1998-11-06	VYDAJ	PREVOD NA UCET	581	32284	POJISTNE	CD	5385864
538864	1832	1998-12-06	VYDAJ	PREVOD NA UCET	581	30187	POJISTNE	CD	5385864
538873	1832	1996-09-07	VYDAJ	PREVOD NA UCET	5933	41721	 	CD	85279571
538874	1832	1996-10-07	VYDAJ	PREVOD NA UCET	5933	37916	 	CD	85279571
538875	1832	1996-11-07	VYDAJ	PREVOD NA UCET	5933	25664	 	CD	85279571
538876	1832	1996-12-07	VYDAJ	PREVOD NA UCET	5933	25294	 	CD	85279571
538877	1832	1997-01-07	VYDAJ	PREVOD NA UCET	5933	21801	 	CD	85279571
538878	1832	1997-02-07	VYDAJ	PREVOD NA UCET	5933	16834	 	CD	85279571
538879	1832	1997-03-07	VYDAJ	PREVOD NA UCET	5933	21446	 	CD	85279571
538880	1832	1997-04-07	VYDAJ	PREVOD NA UCET	5933	16004	 	CD	85279571
538881	1832	1997-05-07	VYDAJ	PREVOD NA UCET	5933	14020	 	CD	85279571
538882	1832	1997-06-07	VYDAJ	PREVOD NA UCET	5933	24067	 	CD	85279571
538883	1832	1997-07-07	VYDAJ	PREVOD NA UCET	5933	32069	 	CD	85279571
538884	1832	1997-08-07	VYDAJ	PREVOD NA UCET	5933	21269	 	CD	85279571
538885	1832	1997-09-07	VYDAJ	PREVOD NA UCET	5933	20431	 	CD	85279571
538886	1832	1997-10-07	VYDAJ	PREVOD NA UCET	5933	28139	 	CD	85279571
538887	1832	1997-11-07	VYDAJ	PREVOD NA UCET	5933	35579	 	CD	85279571
538888	1832	1997-12-07	VYDAJ	PREVOD NA UCET	5933	24293	 	CD	85279571
538889	1832	1998-01-07	VYDAJ	PREVOD NA UCET	5933	14338	 	CD	85279571
538890	1832	1998-02-07	VYDAJ	PREVOD NA UCET	5933	18126	 	CD	85279571
538891	1832	1998-03-07	VYDAJ	PREVOD NA UCET	5933	14657	 	CD	85279571
538892	1832	1998-04-07	VYDAJ	PREVOD NA UCET	5933	23337	 	CD	85279571
538893	1832	1998-05-07	VYDAJ	PREVOD NA UCET	5933	23415	 	CD	85279571
538894	1832	1998-06-07	VYDAJ	PREVOD NA UCET	5933	17135	 	CD	85279571
538895	1832	1998-07-07	VYDAJ	PREVOD NA UCET	5933	27711	 	CD	85279571
538896	1832	1998-08-07	VYDAJ	PREVOD NA UCET	5933	26441	 	CD	85279571
538897	1832	1998-09-07	VYDAJ	PREVOD NA UCET	5933	15549	 	CD	85279571
538898	1832	1998-10-07	VYDAJ	PREVOD NA UCET	5933	23334	 	CD	85279571
538899	1832	1998-11-07	VYDAJ	PREVOD NA UCET	5933	26351	 	CD	85279571
538900	1832	1998-12-07	VYDAJ	PREVOD NA UCET	5933	24254	 	CD	85279571
538901	1832	1996-10-12	VYBER	VYBER	5317	32460	\N	\N	\N
538903	1832	1997-01-13	VYBER	VYBER	15146	23962	\N	\N	\N
538904	1832	1997-08-13	VYBER	VYBER	7130	31446	\N	\N	\N
538905	1832	1997-12-02	VYBER	VYBER	13149	30807	\N	\N	\N
538907	1832	1997-07-15	VYBER	VYBER	6909	42467	\N	\N	\N
538909	1832	1997-03-03	VYBER	VYBER	2380	27960	\N	\N	\N
538910	1832	1997-07-31	VYBER	VYBER	5427	27797	\N	\N	\N
538911	1832	1997-03-25	VYBER	VYBER	4550	34203	\N	\N	\N
538913	1832	1997-05-01	VYBER	VYBER	9175	20534	\N	\N	\N
538914	1832	1997-05-20	VYBER	VYBER	2542	28785	\N	\N	\N
538915	1832	1998-01-01	VYBER	VYBER	16361	26852	\N	\N	\N
538916	1832	1998-11-18	VYBER	VYBER	5099	30650	\N	\N	\N
538917	1832	1998-02-28	VYBER	VYBER	10458	21186	\N	\N	\N
538920	1832	1998-04-27	VYBER	VYBER	3142	36102	\N	\N	\N
538921	1832	1998-11-16	VYBER	VYBER	2209	41449	\N	\N	\N
538922	1832	1998-08-01	VYBER	VYBER	5702	32955	\N	\N	\N
538924	1832	1998-10-16	VYBER	VYBER	6789	33852	\N	\N	\N
538930	1832	1998-06-05	VYDAJ	VYBER	12000	23649	\N	\N	\N
538934	1832	1996-12-23	VYDAJ	VYBER	4200	48762	\N	\N	\N
538935	1832	1997-12-09	VYDAJ	VYBER	2700	21593	\N	\N	\N
538944	1832	1997-01-15	VYDAJ	VYBER	4200	19762	\N	\N	\N
538948	1832	1997-01-04	VYDAJ	VYBER	8700	28315	\N	\N	\N
538950	1832	1998-01-29	VYDAJ	VYBER	3600	24545	\N	\N	\N
538951	1832	1998-01-02	VYDAJ	VYBER	6000	20852	\N	\N	\N
538952	1832	1998-01-13	VYDAJ	VYBER	8400	23245	\N	\N	\N
538954	1832	1998-01-28	VYDAJ	VYBER	5700	28145	\N	\N	\N
538958	1832	1996-11-01	VYDAJ	VYBER	6600	32178	\N	\N	\N
538959	1832	1996-11-26	VYDAJ	VYBER	10200	32771	\N	\N	\N
538960	1832	1997-03-29	VYDAJ	VYBER	7500	22403	\N	\N	\N
538961	1832	1997-12-18	VYDAJ	VYBER	3300	45961	\N	\N	\N
538968	1832	1998-05-05	VYDAJ	VYBER	6300	29929	\N	\N	\N
538969	1832	1998-08-22	VYDAJ	VYBER	14400	21948	\N	\N	\N
538970	1832	1998-03-16	VYDAJ	VYBER	6000	25964	\N	\N	\N
538971	1832	1998-02-15	VYDAJ	VYBER	5400	30033	\N	\N	\N
538980	1832	1996-08-31	VYDAJ	VYBER	15	48235	SLUZBY	\N	\N
538981	1832	1996-09-30	VYDAJ	VYBER	15	44430	SLUZBY	\N	\N
538982	1832	1996-10-31	VYDAJ	VYBER	15	38778	SLUZBY	\N	\N
538983	1832	1996-11-30	VYDAJ	VYBER	15	31808	SLUZBY	\N	\N
538984	1832	1996-12-31	VYDAJ	VYBER	15	37015	SLUZBY	\N	\N
538985	1832	1997-01-31	VYDAJ	VYBER	15	23348	SLUZBY	\N	\N
538986	1832	1997-02-28	VYDAJ	VYBER	15	30340	SLUZBY	\N	\N
538987	1832	1997-03-31	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
538988	1832	1997-04-30	VYDAJ	VYBER	15	29709	SLUZBY	\N	\N
538989	1832	1997-05-31	VYDAJ	VYBER	15	30581	SLUZBY	\N	\N
538990	1832	1997-06-30	VYDAJ	VYBER	15	38583	SLUZBY	\N	\N
538991	1832	1997-07-31	VYDAJ	VYBER	15	27783	SLUZBY	\N	\N
538992	1832	1997-08-31	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
538993	1832	1997-09-30	VYDAJ	VYBER	15	34653	SLUZBY	\N	\N
538994	1832	1997-10-31	VYDAJ	VYBER	15	42093	SLUZBY	\N	\N
538995	1832	1997-11-30	VYDAJ	VYBER	15	43956	SLUZBY	\N	\N
538996	1832	1997-12-31	VYDAJ	VYBER	15	43213	SLUZBY	\N	\N
538997	1832	1998-01-31	VYDAJ	VYBER	15	24640	SLUZBY	\N	\N
538998	1832	1998-02-28	VYDAJ	VYBER	15	21171	SLUZBY	\N	\N
538999	1832	1998-03-31	VYDAJ	VYBER	15	29851	SLUZBY	\N	\N
539000	1832	1998-04-30	VYDAJ	VYBER	15	36229	SLUZBY	\N	\N
539001	1832	1998-05-31	VYDAJ	VYBER	15	35649	SLUZBY	\N	\N
539002	1832	1998-06-30	VYDAJ	VYBER	15	34225	SLUZBY	\N	\N
539003	1832	1998-07-31	VYDAJ	VYBER	15	38657	SLUZBY	\N	\N
539004	1832	1998-08-31	VYDAJ	VYBER	15	22063	SLUZBY	\N	\N
539005	1832	1998-09-30	VYDAJ	VYBER	15	29848	SLUZBY	\N	\N
539006	1832	1998-10-31	VYDAJ	VYBER	15	32865	SLUZBY	\N	\N
539007	1832	1998-11-30	VYDAJ	VYBER	15	30768	SLUZBY	\N	\N
539008	1832	1996-05-01	PRIJEM	VKLAD	4300	26176	\N	\N	\N
539009	1832	1996-05-31	VYDAJ	VYBER	9900	37150	\N	\N	\N
539010	1832	1996-06-30	VYDAJ	VYBER	18300	50089	\N	\N	\N
539011	1832	1996-07-30	VYDAJ	VYBER	20100	50710	\N	\N	\N
539012	1832	1996-08-29	VYDAJ	VYBER	23600	48040	\N	\N	\N
539013	1832	1996-09-28	VYDAJ	VYBER	14800	44228	\N	\N	\N
539014	1832	1996-10-28	VYDAJ	VYBER	11300	38606	\N	\N	\N
539015	1832	1996-11-27	VYDAJ	VYBER	1100	31671	\N	\N	\N
539016	1832	1996-12-27	VYDAJ	VYBER	11900	36862	\N	\N	\N
539017	1832	1997-01-26	PRIJEM	VKLAD	3500	23262	\N	\N	\N
539018	1832	1997-02-25	VYDAJ	VYBER	3900	30241	\N	\N	\N
539019	1832	1997-03-27	VYDAJ	VYBER	4300	29903	\N	\N	\N
539020	1832	1997-04-26	VYDAJ	VYBER	3700	29611	\N	\N	\N
539021	1832	1997-05-26	PRIJEM	VKLAD	1700	30485	\N	\N	\N
539022	1832	1997-06-25	VYDAJ	VYBER	13300	38435	\N	\N	\N
539023	1832	1997-07-25	VYDAJ	VYBER	9400	33067	\N	\N	\N
539024	1832	1997-08-24	VYDAJ	VYBER	4600	26846	\N	\N	\N
539025	1832	1997-09-23	VYDAJ	VYBER	3200	34538	\N	\N	\N
539026	1832	1997-10-23	VYDAJ	VYBER	3500	41946	\N	\N	\N
539027	1832	1997-11-22	VYDAJ	VYBER	9100	43786	\N	\N	\N
539028	1832	1997-12-22	VYDAJ	VYBER	2900	43061	\N	\N	\N
539029	1832	1998-01-21	PRIJEM	VKLAD	10600	33845	\N	\N	\N
539030	1832	1998-02-20	PRIJEM	VKLAD	1500	31533	\N	\N	\N
539031	1832	1998-03-22	PRIJEM	VKLAD	3800	29764	\N	\N	\N
539032	1832	1998-04-21	VYDAJ	VYBER	1400	39244	\N	\N	\N
539033	1832	1998-05-21	VYDAJ	VYBER	5200	35522	\N	\N	\N
539034	1832	1998-06-20	VYDAJ	VYBER	10700	34103	\N	\N	\N
539035	1832	1998-07-20	VYDAJ	VYBER	6500	38518	\N	\N	\N
539036	1832	1998-08-19	VYDAJ	VYBER	7400	36348	\N	\N	\N
539037	1832	1998-09-18	VYDAJ	VYBER	3100	29756	\N	\N	\N
539038	1832	1998-10-18	VYDAJ	VYBER	1100	32752	\N	\N	\N
539039	1832	1998-11-17	VYDAJ	VYBER	5700	35749	\N	\N	\N
539073	1833	1997-11-15	PRIJEM	VKLAD	900	900	\N	\N	\N
539085	1833	1997-12-10	PRIJEM	PREVOD Z UCTU	6646	7546	DUCHOD	AB	29164803
539086	1833	1998-01-10	PRIJEM	PREVOD Z UCTU	6646	14192	DUCHOD	AB	29164803
539087	1833	1998-02-10	PRIJEM	PREVOD Z UCTU	6646	20838	DUCHOD	AB	29164803
539088	1833	1998-03-10	PRIJEM	PREVOD Z UCTU	6646	27484	DUCHOD	AB	29164803
539089	1833	1998-04-10	PRIJEM	PREVOD Z UCTU	6646	33191	DUCHOD	AB	29164803
539090	1833	1998-05-10	PRIJEM	PREVOD Z UCTU	6646	38271	DUCHOD	AB	29164803
539091	1833	1998-06-10	PRIJEM	PREVOD Z UCTU	6646	43373	DUCHOD	AB	29164803
539092	1833	1998-07-10	PRIJEM	PREVOD Z UCTU	6646	43184	DUCHOD	AB	29164803
539093	1833	1998-08-10	PRIJEM	PREVOD Z UCTU	6646	47006	DUCHOD	AB	29164803
539094	1833	1998-09-10	PRIJEM	PREVOD Z UCTU	6646	41517	DUCHOD	AB	29164803
539095	1833	1998-10-10	PRIJEM	PREVOD Z UCTU	6646	44929	DUCHOD	AB	29164803
539096	1833	1998-11-10	PRIJEM	PREVOD Z UCTU	6646	38709	DUCHOD	AB	29164803
539097	1833	1998-12-10	PRIJEM	PREVOD Z UCTU	6646	41007	DUCHOD	AB	29164803
539113	1833	1998-04-13	VYDAJ	PREVOD NA UCET	1674	31517	SIPO	KL	98189168
539114	1833	1998-05-13	VYDAJ	PREVOD NA UCET	1674	36597	SIPO	KL	98189168
539115	1833	1998-06-13	VYDAJ	PREVOD NA UCET	1674	38099	SIPO	KL	98189168
539116	1833	1998-07-13	VYDAJ	PREVOD NA UCET	1674	41510	SIPO	KL	98189168
539117	1833	1998-08-13	VYDAJ	PREVOD NA UCET	1674	34732	SIPO	KL	98189168
539118	1833	1998-09-13	VYDAJ	PREVOD NA UCET	1674	38143	SIPO	KL	98189168
539119	1833	1998-10-13	VYDAJ	PREVOD NA UCET	1674	31935	SIPO	KL	98189168
539120	1833	1998-11-13	VYDAJ	PREVOD NA UCET	1674	34235	SIPO	KL	98189168
539121	1833	1998-12-13	VYDAJ	PREVOD NA UCET	1674	35833	SIPO	KL	98189168
539123	1833	1998-06-11	VYDAJ	VYBER	3600	39773	\N	\N	\N
539142	1833	1998-10-12	VYDAJ	VYBER	3920	33609	\N	\N	\N
539144	1833	1998-07-08	VYDAJ	VYBER	400	36538	\N	\N	\N
539162	1833	1998-04-30	VYDAJ	VYBER	15	31625	SLUZBY	\N	\N
539163	1833	1998-05-31	VYDAJ	VYBER	15	36727	SLUZBY	\N	\N
539164	1833	1998-06-30	VYDAJ	VYBER	15	36938	SLUZBY	\N	\N
539165	1833	1998-07-31	VYDAJ	VYBER	15	40360	SLUZBY	\N	\N
539166	1833	1998-08-31	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
539167	1833	1998-09-30	VYDAJ	VYBER	15	38283	SLUZBY	\N	\N
539168	1833	1998-10-31	VYDAJ	VYBER	15	32063	SLUZBY	\N	\N
539169	1833	1998-11-30	VYDAJ	VYBER	15	34361	SLUZBY	\N	\N
539170	1833	1998-03-15	VYDAJ	VYBER	1000	26484	\N	\N	\N
539171	1833	1998-06-13	VYDAJ	VYBER	1300	36799	\N	\N	\N
539172	1833	1998-07-13	VYDAJ	VYBER	1300	40210	\N	\N	\N
539173	1833	1998-08-12	VYDAJ	VYBER	10600	36406	\N	\N	\N
539174	1833	1998-09-11	VYDAJ	VYBER	1700	39817	\N	\N	\N
539175	1833	1998-10-11	VYDAJ	VYBER	7400	37529	\N	\N	\N
539176	1833	1998-11-10	VYDAJ	VYBER	2800	35909	\N	\N	\N
539177	1833	1998-12-10	VYDAJ	VYBER	3500	37507	\N	\N	\N
539188	1834	1993-08-03	PRIJEM	VKLAD	700	700	\N	\N	\N
539196	1834	1993-08-09	PRIJEM	VKLAD	18220	18920	\N	\N	\N
539197	1834	1993-09-09	PRIJEM	VKLAD	18220	37899	\N	\N	\N
539198	1834	1993-10-09	PRIJEM	VKLAD	18220	49255	\N	\N	\N
539199	1834	1993-11-09	PRIJEM	VKLAD	18220	54968	\N	\N	\N
539200	1834	1993-12-09	PRIJEM	VKLAD	27330	68521	\N	\N	\N
539201	1834	1994-01-09	PRIJEM	VKLAD	18220	56164	\N	\N	\N
539202	1834	1994-02-09	PRIJEM	VKLAD	18220	36088	\N	\N	\N
539203	1834	1994-03-09	PRIJEM	VKLAD	18220	38043	\N	\N	\N
539204	1834	1994-04-09	PRIJEM	VKLAD	18220	41360	\N	\N	\N
539205	1834	1994-05-09	PRIJEM	VKLAD	18220	36503	\N	\N	\N
539206	1834	1994-06-09	PRIJEM	VKLAD	27330	52477	\N	\N	\N
539207	1834	1994-07-09	PRIJEM	VKLAD	18220	42135	\N	\N	\N
539208	1834	1994-08-09	PRIJEM	VKLAD	18220	43318	\N	\N	\N
539209	1834	1994-09-09	PRIJEM	VKLAD	18220	43584	\N	\N	\N
539210	1834	1994-10-09	PRIJEM	VKLAD	18220	43611	\N	\N	\N
539211	1834	1994-11-09	PRIJEM	VKLAD	18220	46911	\N	\N	\N
539212	1834	1994-12-09	PRIJEM	VKLAD	27330	58821	\N	\N	\N
539213	1834	1995-01-09	PRIJEM	VKLAD	18220	49533	\N	\N	\N
539214	1834	1995-02-09	PRIJEM	VKLAD	18220	37004	\N	\N	\N
539215	1834	1995-03-09	PRIJEM	VKLAD	18220	45566	\N	\N	\N
539216	1834	1995-04-09	PRIJEM	VKLAD	18220	47859	\N	\N	\N
539217	1834	1995-05-09	PRIJEM	VKLAD	18220	47359	\N	\N	\N
539218	1834	1995-06-09	PRIJEM	VKLAD	27330	60189	\N	\N	\N
539219	1834	1995-07-09	PRIJEM	VKLAD	18220	46441	\N	\N	\N
539220	1834	1995-08-09	PRIJEM	VKLAD	18220	48335	\N	\N	\N
539221	1834	1995-09-09	PRIJEM	VKLAD	18220	48828	\N	\N	\N
539222	1834	1995-10-09	PRIJEM	VKLAD	18220	43931	\N	\N	\N
539223	1834	1995-11-09	PRIJEM	VKLAD	18220	48718	\N	\N	\N
539224	1834	1995-12-09	PRIJEM	VKLAD	27330	60632	\N	\N	\N
539225	1834	1996-01-09	PRIJEM	VKLAD	18220	53157	\N	\N	\N
539226	1834	1996-02-09	PRIJEM	VKLAD	18220	47935	\N	\N	\N
539227	1834	1996-03-09	PRIJEM	VKLAD	18220	54237	\N	\N	\N
539228	1834	1996-04-09	PRIJEM	VKLAD	18220	52453	\N	\N	\N
539229	1834	1996-05-09	PRIJEM	VKLAD	18220	56470	\N	\N	\N
539230	1834	1996-06-09	PRIJEM	VKLAD	27330	63244	\N	\N	\N
539231	1834	1996-07-09	PRIJEM	VKLAD	18220	45999	\N	\N	\N
539232	1834	1996-08-09	PRIJEM	VKLAD	18220	50589	\N	\N	\N
539233	1834	1996-09-09	PRIJEM	VKLAD	18220	50150	\N	\N	\N
539234	1834	1996-10-09	PRIJEM	VKLAD	18220	52852	\N	\N	\N
539235	1834	1996-11-09	PRIJEM	VKLAD	18220	58571	\N	\N	\N
539236	1834	1996-12-09	PRIJEM	VKLAD	27330	65836	\N	\N	\N
539237	1834	1997-01-09	PRIJEM	VKLAD	18220	54601	\N	\N	\N
539238	1834	1997-02-09	PRIJEM	VKLAD	18220	49953	\N	\N	\N
539239	1834	1997-03-09	PRIJEM	VKLAD	18220	54899	\N	\N	\N
539240	1834	1997-04-09	PRIJEM	VKLAD	18220	64634	\N	\N	\N
539241	1834	1997-05-09	PRIJEM	VKLAD	18220	68156	\N	\N	\N
539242	1834	1997-06-09	PRIJEM	VKLAD	27330	80039	\N	\N	\N
539243	1834	1997-07-09	PRIJEM	VKLAD	18220	42510	\N	\N	\N
539244	1834	1997-08-09	PRIJEM	VKLAD	18220	58108	\N	\N	\N
539245	1834	1997-09-09	PRIJEM	VKLAD	18220	69460	\N	\N	\N
539246	1834	1997-10-09	PRIJEM	VKLAD	18220	66748	\N	\N	\N
539247	1834	1997-11-09	PRIJEM	VKLAD	18220	71618	\N	\N	\N
539248	1834	1997-12-09	PRIJEM	VKLAD	27330	81670	\N	\N	\N
539249	1834	1998-01-09	PRIJEM	VKLAD	18220	76304	\N	\N	\N
539250	1834	1998-02-09	PRIJEM	VKLAD	18220	64676	\N	\N	\N
539251	1834	1998-03-09	PRIJEM	VKLAD	18220	73245	\N	\N	\N
539252	1834	1998-04-09	PRIJEM	VKLAD	18220	65169	\N	\N	\N
539253	1834	1998-05-09	PRIJEM	VKLAD	18220	69945	\N	\N	\N
539254	1834	1998-06-09	PRIJEM	VKLAD	27330	73334	\N	\N	\N
539255	1834	1998-07-09	PRIJEM	VKLAD	18220	61095	\N	\N	\N
539256	1834	1998-08-09	PRIJEM	VKLAD	18220	68453	\N	\N	\N
539257	1834	1998-09-09	PRIJEM	VKLAD	18220	69746	\N	\N	\N
539258	1834	1998-10-09	PRIJEM	VKLAD	18220	74247	\N	\N	\N
539259	1834	1998-11-09	PRIJEM	VKLAD	18220	74044	\N	\N	\N
539260	1834	1998-12-09	PRIJEM	VKLAD	27330	88671	\N	\N	\N
539273	1834	1994-01-07	VYDAJ	PREVOD NA UCET	8084	37944	SIPO	QR	4736280
539274	1834	1994-02-07	VYDAJ	PREVOD NA UCET	8084	17868	SIPO	QR	4736280
539275	1834	1994-03-07	VYDAJ	PREVOD NA UCET	8084	19823	SIPO	QR	4736280
539276	1834	1994-04-07	VYDAJ	PREVOD NA UCET	8084	23140	SIPO	QR	4736280
539277	1834	1994-05-07	VYDAJ	PREVOD NA UCET	8084	18283	SIPO	QR	4736280
539278	1834	1994-06-07	VYDAJ	PREVOD NA UCET	8084	25147	SIPO	QR	4736280
539279	1834	1994-07-07	VYDAJ	PREVOD NA UCET	8084	23915	SIPO	QR	4736280
539280	1834	1994-08-07	VYDAJ	PREVOD NA UCET	8084	25098	SIPO	QR	4736280
539281	1834	1994-09-07	VYDAJ	PREVOD NA UCET	8084	27884	SIPO	QR	4736280
539282	1834	1994-10-07	VYDAJ	PREVOD NA UCET	8084	25391	SIPO	QR	4736280
539283	1834	1994-11-07	VYDAJ	PREVOD NA UCET	8084	28691	SIPO	QR	4736280
539284	1834	1994-12-07	VYDAJ	PREVOD NA UCET	8084	31491	SIPO	QR	4736280
539285	1834	1995-01-07	VYDAJ	PREVOD NA UCET	8084	31313	SIPO	QR	4736280
539286	1834	1995-02-07	VYDAJ	PREVOD NA UCET	8084	18784	SIPO	QR	4736280
539287	1834	1995-03-07	VYDAJ	PREVOD NA UCET	8084	27346	SIPO	QR	4736280
539288	1834	1995-04-07	VYDAJ	PREVOD NA UCET	8084	29639	SIPO	QR	4736280
539289	1834	1995-05-07	VYDAJ	PREVOD NA UCET	8084	29139	SIPO	QR	4736280
539290	1834	1995-06-07	VYDAJ	PREVOD NA UCET	8084	32859	SIPO	QR	4736280
539291	1834	1995-07-07	VYDAJ	PREVOD NA UCET	8084	28221	SIPO	QR	4736280
539292	1834	1995-08-07	VYDAJ	PREVOD NA UCET	8084	30115	SIPO	QR	4736280
539293	1834	1995-09-07	VYDAJ	PREVOD NA UCET	8084	30608	SIPO	QR	4736280
539294	1834	1995-10-07	VYDAJ	PREVOD NA UCET	8084	25711	SIPO	QR	4736280
539295	1834	1995-11-07	VYDAJ	PREVOD NA UCET	8084	30498	SIPO	QR	4736280
539296	1834	1995-12-07	VYDAJ	PREVOD NA UCET	8084	33302	SIPO	QR	4736280
539297	1834	1996-01-07	VYDAJ	PREVOD NA UCET	8084	34937	SIPO	QR	4736280
539298	1834	1996-02-07	VYDAJ	PREVOD NA UCET	8084	29715	SIPO	QR	4736280
539299	1834	1996-03-07	VYDAJ	PREVOD NA UCET	8084	36017	SIPO	QR	4736280
539300	1834	1996-04-07	VYDAJ	PREVOD NA UCET	8084	34233	SIPO	QR	4736280
539301	1834	1996-05-07	VYDAJ	PREVOD NA UCET	8084	38250	SIPO	QR	4736280
539302	1834	1996-06-07	VYDAJ	PREVOD NA UCET	8084	35914	SIPO	QR	4736280
539303	1834	1996-07-07	VYDAJ	PREVOD NA UCET	8084	27779	SIPO	QR	4736280
539304	1834	1996-08-07	VYDAJ	PREVOD NA UCET	8084	32369	SIPO	QR	4736280
539305	1834	1996-09-07	VYDAJ	PREVOD NA UCET	8084	31930	SIPO	QR	4736280
539306	1834	1996-10-07	VYDAJ	PREVOD NA UCET	8084	34632	SIPO	QR	4736280
539307	1834	1996-11-07	VYDAJ	PREVOD NA UCET	8084	40351	SIPO	QR	4736280
539308	1834	1996-12-07	VYDAJ	PREVOD NA UCET	8084	38506	SIPO	QR	4736280
539309	1834	1997-01-07	VYDAJ	PREVOD NA UCET	8084	42021	SIPO	QR	4736280
539310	1834	1997-02-07	VYDAJ	PREVOD NA UCET	8084	31733	SIPO	QR	4736280
539311	1834	1997-03-07	VYDAJ	PREVOD NA UCET	8084	36679	SIPO	QR	4736280
539312	1834	1997-04-07	VYDAJ	PREVOD NA UCET	8084	46414	SIPO	QR	4736280
539313	1834	1997-05-07	VYDAJ	PREVOD NA UCET	8084	49936	SIPO	QR	4736280
539314	1834	1997-06-07	VYDAJ	PREVOD NA UCET	8084	52709	SIPO	QR	4736280
539315	1834	1997-07-07	VYDAJ	PREVOD NA UCET	8084	24290	SIPO	QR	4736280
539316	1834	1997-08-07	VYDAJ	PREVOD NA UCET	8084	39888	SIPO	QR	4736280
539317	1834	1997-09-07	VYDAJ	PREVOD NA UCET	8084	51240	SIPO	QR	4736280
539318	1834	1997-10-07	VYDAJ	PREVOD NA UCET	8084	48528	SIPO	QR	4736280
539319	1834	1997-11-07	VYDAJ	PREVOD NA UCET	8084	53398	SIPO	QR	4736280
539320	1834	1997-12-07	VYDAJ	PREVOD NA UCET	8084	54340	SIPO	QR	4736280
539321	1834	1998-01-07	VYDAJ	PREVOD NA UCET	8084	58084	SIPO	QR	4736280
539322	1834	1998-02-07	VYDAJ	PREVOD NA UCET	8084	42156	SIPO	QR	4736280
539323	1834	1998-03-07	VYDAJ	PREVOD NA UCET	8084	55025	SIPO	QR	4736280
539324	1834	1998-04-07	VYDAJ	PREVOD NA UCET	8084	46949	SIPO	QR	4736280
539325	1834	1998-05-07	VYDAJ	PREVOD NA UCET	8084	51725	SIPO	QR	4736280
539326	1834	1998-06-07	VYDAJ	PREVOD NA UCET	8084	47304	SIPO	QR	4736280
539327	1834	1998-07-07	VYDAJ	PREVOD NA UCET	8084	41175	SIPO	QR	4736280
539328	1834	1998-08-07	VYDAJ	PREVOD NA UCET	8084	50233	SIPO	QR	4736280
539329	1834	1998-09-07	VYDAJ	PREVOD NA UCET	8084	51526	SIPO	QR	4736280
539330	1834	1998-10-07	VYDAJ	PREVOD NA UCET	8084	56027	SIPO	QR	4736280
539331	1834	1998-11-07	VYDAJ	PREVOD NA UCET	8084	55824	SIPO	QR	4736280
539332	1834	1998-12-07	VYDAJ	PREVOD NA UCET	8084	61341	SIPO	QR	4736280
539334	1834	1994-06-10	VYDAJ	VYBER	13120	39357	\N	\N	\N
539335	1834	1995-06-20	VYDAJ	VYBER	13280	41029	\N	\N	\N
539336	1834	1996-06-11	VYDAJ	VYBER	20640	42604	\N	\N	\N
539337	1834	1997-06-17	VYDAJ	VYBER	35520	32179	\N	\N	\N
539338	1834	1998-06-25	VYDAJ	VYBER	24320	49014	\N	\N	\N
539340	1834	1994-01-12	VYDAJ	VYBER	13440	42724	\N	\N	\N
539341	1834	1995-01-10	VYDAJ	VYBER	15840	32733	\N	\N	\N
539342	1834	1996-01-05	VYDAJ	VYBER	2400	43741	\N	\N	\N
539343	1834	1997-01-14	VYDAJ	VYBER	9120	45021	\N	\N	\N
539344	1834	1998-01-09	VYDAJ	VYBER	11840	61664	\N	\N	\N
539345	1834	1993-12-13	VYDAJ	VYBER	2720	65801	\N	\N	\N
539346	1834	1994-12-28	VYDAJ	VYBER	3360	40761	\N	\N	\N
539347	1834	1995-12-07	VYDAJ	VYBER	1600	41386	\N	\N	\N
539348	1834	1996-12-06	VYDAJ	VYBER	4480	46590	\N	\N	\N
539349	1834	1997-12-05	VYDAJ	VYBER	1440	62424	\N	\N	\N
539350	1834	1998-12-14	VYDAJ	VYBER	4160	79951	\N	\N	\N
539357	1834	1994-01-20	VYDAJ	VYBER	2760	34924	\N	\N	\N
539358	1834	1994-01-16	VYDAJ	VYBER	1800	37684	\N	\N	\N
539359	1834	1994-01-05	VYDAJ	VYBER	1320	46028	\N	\N	\N
539360	1834	1994-01-13	VYDAJ	VYBER	3240	39484	\N	\N	\N
539361	1834	1994-01-26	VYDAJ	VYBER	2640	28804	\N	\N	\N
539362	1834	1994-01-24	VYDAJ	VYBER	3480	31444	\N	\N	\N
539363	1834	1995-01-09	VYDAJ	VYBER	960	48573	\N	\N	\N
539364	1834	1995-01-12	VYDAJ	VYBER	3000	29733	\N	\N	\N
539365	1834	1995-01-01	VYDAJ	VYBER	1560	39397	\N	\N	\N
539366	1834	1995-01-16	VYDAJ	VYBER	720	27213	\N	\N	\N
539367	1834	1995-01-12	VYDAJ	VYBER	1800	27933	\N	\N	\N
539368	1834	1995-01-21	VYDAJ	VYBER	1560	25653	\N	\N	\N
539369	1834	1996-01-05	VYDAJ	VYBER	720	43021	\N	\N	\N
539370	1834	1996-01-12	VYDAJ	VYBER	3360	47157	\N	\N	\N
539371	1834	1996-01-18	VYDAJ	VYBER	3120	44037	\N	\N	\N
539372	1834	1996-01-09	VYDAJ	VYBER	2640	50517	\N	\N	\N
539373	1834	1996-01-18	VYDAJ	VYBER	2640	41397	\N	\N	\N
539374	1834	1996-01-22	VYDAJ	VYBER	1560	37637	\N	\N	\N
539375	1834	1997-01-12	VYDAJ	VYBER	2880	51721	\N	\N	\N
539376	1834	1997-01-05	VYDAJ	VYBER	2760	50105	\N	\N	\N
539377	1834	1997-01-08	VYDAJ	VYBER	2640	39381	\N	\N	\N
539378	1834	1997-01-08	VYDAJ	VYBER	3000	36381	\N	\N	\N
539379	1834	1997-01-12	VYDAJ	VYBER	2280	49441	\N	\N	\N
539380	1834	1997-01-27	VYDAJ	VYBER	1800	43221	\N	\N	\N
539381	1834	1998-01-10	VYDAJ	VYBER	3120	58544	\N	\N	\N
539382	1834	1998-01-17	VYDAJ	VYBER	1800	52664	\N	\N	\N
539383	1834	1998-01-14	VYDAJ	VYBER	600	57944	\N	\N	\N
539384	1834	1998-01-03	VYDAJ	VYBER	1560	66168	\N	\N	\N
539385	1834	1998-01-21	VYDAJ	VYBER	2640	50024	\N	\N	\N
539386	1834	1998-01-15	VYDAJ	VYBER	3480	54464	\N	\N	\N
539392	1834	1994-05-06	VYDAJ	VYBER	5640	26367	\N	\N	\N
539393	1834	1994-10-15	VYDAJ	VYBER	4680	38931	\N	\N	\N
539394	1834	1994-09-08	VYDAJ	VYBER	2520	25364	\N	\N	\N
539395	1834	1994-03-10	VYDAJ	VYBER	5040	33003	\N	\N	\N
539396	1834	1994-09-23	VYDAJ	VYBER	960	42624	\N	\N	\N
539397	1834	1994-02-17	VYDAJ	VYBER	2400	33688	\N	\N	\N
539398	1834	1995-05-20	VYDAJ	VYBER	2280	45079	\N	\N	\N
539399	1834	1995-12-11	VYDAJ	VYBER	3480	57152	\N	\N	\N
539400	1834	1995-08-14	VYDAJ	VYBER	5400	42935	\N	\N	\N
539401	1834	1995-10-02	VYDAJ	VYBER	4200	37395	\N	\N	\N
539402	1834	1995-06-15	VYDAJ	VYBER	5880	54309	\N	\N	\N
539403	1834	1995-10-04	VYDAJ	VYBER	3600	33795	\N	\N	\N
539404	1834	1996-06-27	VYDAJ	VYBER	2400	35704	\N	\N	\N
539405	1834	1996-08-25	VYDAJ	VYBER	3240	39849	\N	\N	\N
539406	1834	1996-05-25	VYDAJ	VYBER	2160	43810	\N	\N	\N
539407	1834	1996-05-24	VYDAJ	VYBER	600	45970	\N	\N	\N
539408	1834	1996-12-19	VYDAJ	VYBER	1680	52656	\N	\N	\N
539409	1834	1997-02-02	VYDAJ	VYBER	3600	39817	\N	\N	\N
539410	1834	1997-04-19	VYDAJ	VYBER	1440	57794	\N	\N	\N
539411	1834	1997-02-17	VYDAJ	VYBER	5160	44593	\N	\N	\N
539412	1834	1997-06-10	VYDAJ	VYBER	840	79199	\N	\N	\N
539413	1834	1997-09-14	VYDAJ	VYBER	5160	60100	\N	\N	\N
539414	1834	1997-09-23	VYDAJ	VYBER	3720	56380	\N	\N	\N
539415	1834	1998-12-13	VYDAJ	VYBER	4560	84111	\N	\N	\N
539416	1834	1998-05-18	VYDAJ	VYBER	5880	55165	\N	\N	\N
539417	1834	1998-11-05	VYDAJ	VYBER	4320	63908	\N	\N	\N
539418	1834	1998-03-26	VYDAJ	VYBER	3240	54805	\N	\N	\N
539419	1834	1998-03-04	VYDAJ	VYBER	1800	63109	\N	\N	\N
539432	1834	1993-12-31	VYDAJ	VYBER	15	47348	SLUZBY	\N	\N
539433	1834	1994-01-31	VYDAJ	VYBER	15	25952	SLUZBY	\N	\N
539434	1834	1994-02-28	VYDAJ	VYBER	15	33807	SLUZBY	\N	\N
539435	1834	1994-03-31	VYDAJ	VYBER	15	33124	SLUZBY	\N	\N
539436	1834	1994-04-30	VYDAJ	VYBER	15	41507	SLUZBY	\N	\N
539437	1834	1994-05-31	VYDAJ	VYBER	15	33231	SLUZBY	\N	\N
539438	1834	1994-06-30	VYDAJ	VYBER	15	31999	SLUZBY	\N	\N
539439	1834	1994-07-31	VYDAJ	VYBER	15	33182	SLUZBY	\N	\N
539440	1834	1994-08-31	VYDAJ	VYBER	15	35968	SLUZBY	\N	\N
539441	1834	1994-09-30	VYDAJ	VYBER	15	33475	SLUZBY	\N	\N
539442	1834	1994-10-31	VYDAJ	VYBER	15	36775	SLUZBY	\N	\N
539443	1834	1994-11-30	VYDAJ	VYBER	15	39575	SLUZBY	\N	\N
539444	1834	1994-12-31	VYDAJ	VYBER	15	40957	SLUZBY	\N	\N
539445	1834	1995-01-31	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
539446	1834	1995-02-28	VYDAJ	VYBER	15	35430	SLUZBY	\N	\N
539447	1834	1995-03-31	VYDAJ	VYBER	15	37723	SLUZBY	\N	\N
539448	1834	1995-04-30	VYDAJ	VYBER	15	37223	SLUZBY	\N	\N
539449	1834	1995-05-31	VYDAJ	VYBER	15	40943	SLUZBY	\N	\N
539450	1834	1995-06-30	VYDAJ	VYBER	15	36305	SLUZBY	\N	\N
539451	1834	1995-07-31	VYDAJ	VYBER	15	38199	SLUZBY	\N	\N
539452	1834	1995-08-31	VYDAJ	VYBER	15	38692	SLUZBY	\N	\N
539453	1834	1995-09-30	VYDAJ	VYBER	15	41595	SLUZBY	\N	\N
539454	1834	1995-10-31	VYDAJ	VYBER	15	38582	SLUZBY	\N	\N
539455	1834	1995-11-30	VYDAJ	VYBER	15	42986	SLUZBY	\N	\N
539456	1834	1995-12-31	VYDAJ	VYBER	15	46141	SLUZBY	\N	\N
539457	1834	1996-01-31	VYDAJ	VYBER	15	37799	SLUZBY	\N	\N
539458	1834	1996-02-29	VYDAJ	VYBER	15	44101	SLUZBY	\N	\N
539459	1834	1996-03-31	VYDAJ	VYBER	15	42317	SLUZBY	\N	\N
539460	1834	1996-04-30	VYDAJ	VYBER	15	46334	SLUZBY	\N	\N
539461	1834	1996-05-31	VYDAJ	VYBER	15	43998	SLUZBY	\N	\N
539462	1834	1996-06-30	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
539463	1834	1996-07-31	VYDAJ	VYBER	15	40453	SLUZBY	\N	\N
539464	1834	1996-08-31	VYDAJ	VYBER	15	40014	SLUZBY	\N	\N
539465	1834	1996-09-30	VYDAJ	VYBER	15	42716	SLUZBY	\N	\N
539466	1834	1996-10-31	VYDAJ	VYBER	15	48435	SLUZBY	\N	\N
539467	1834	1996-11-30	VYDAJ	VYBER	15	51070	SLUZBY	\N	\N
539468	1834	1996-12-31	VYDAJ	VYBER	15	52865	SLUZBY	\N	\N
539469	1834	1997-01-31	VYDAJ	VYBER	15	43417	SLUZBY	\N	\N
539470	1834	1997-02-28	VYDAJ	VYBER	15	44763	SLUZBY	\N	\N
539471	1834	1997-03-31	VYDAJ	VYBER	15	54498	SLUZBY	\N	\N
539472	1834	1997-04-30	VYDAJ	VYBER	15	58020	SLUZBY	\N	\N
539473	1834	1997-05-31	VYDAJ	VYBER	15	60793	SLUZBY	\N	\N
539474	1834	1997-06-30	VYDAJ	VYBER	15	32374	SLUZBY	\N	\N
539475	1834	1997-07-31	VYDAJ	VYBER	15	47972	SLUZBY	\N	\N
539476	1834	1997-08-31	VYDAJ	VYBER	15	59324	SLUZBY	\N	\N
539477	1834	1997-09-30	VYDAJ	VYBER	15	56612	SLUZBY	\N	\N
539478	1834	1997-10-31	VYDAJ	VYBER	15	61482	SLUZBY	\N	\N
539479	1834	1997-11-30	VYDAJ	VYBER	15	63864	SLUZBY	\N	\N
539480	1834	1997-12-31	VYDAJ	VYBER	15	67728	SLUZBY	\N	\N
539481	1834	1998-01-31	VYDAJ	VYBER	15	50240	SLUZBY	\N	\N
539482	1834	1998-02-28	VYDAJ	VYBER	15	64909	SLUZBY	\N	\N
539483	1834	1998-03-31	VYDAJ	VYBER	15	55033	SLUZBY	\N	\N
539484	1834	1998-04-30	VYDAJ	VYBER	15	59809	SLUZBY	\N	\N
539485	1834	1998-05-31	VYDAJ	VYBER	15	55388	SLUZBY	\N	\N
539486	1834	1998-06-30	VYDAJ	VYBER	15	49259	SLUZBY	\N	\N
539487	1834	1998-07-31	VYDAJ	VYBER	15	61317	SLUZBY	\N	\N
539488	1834	1998-08-31	VYDAJ	VYBER	15	68710	SLUZBY	\N	\N
539489	1834	1998-09-30	VYDAJ	VYBER	15	70011	SLUZBY	\N	\N
539490	1834	1998-10-31	VYDAJ	VYBER	15	74528	SLUZBY	\N	\N
539491	1834	1998-11-30	VYDAJ	VYBER	15	74325	SLUZBY	\N	\N
539492	1834	1993-09-02	PRIJEM	VKLAD	700	19679	\N	\N	\N
539493	1834	1993-10-02	VYDAJ	VYBER	7000	31035	\N	\N	\N
539494	1834	1993-11-01	VYDAJ	VYBER	12700	36748	\N	\N	\N
539495	1834	1993-12-01	VYDAJ	VYBER	14000	41191	\N	\N	\N
539496	1834	1993-12-31	VYDAJ	VYBER	18700	47363	\N	\N	\N
539497	1834	1994-01-30	VYDAJ	VYBER	3000	25804	\N	\N	\N
539498	1834	1994-03-01	VYDAJ	VYBER	5900	27907	\N	\N	\N
539499	1834	1994-03-31	VYDAJ	VYBER	1900	31224	\N	\N	\N
539500	1834	1994-04-30	VYDAJ	VYBER	9500	32007	\N	\N	\N
539501	1834	1994-05-30	VYDAJ	VYBER	3400	33103	\N	\N	\N
539502	1834	1994-06-29	VYDAJ	VYBER	7500	31857	\N	\N	\N
539503	1834	1994-07-29	VYDAJ	VYBER	9100	33035	\N	\N	\N
539504	1834	1994-08-28	VYDAJ	VYBER	7500	35818	\N	\N	\N
539505	1834	1994-09-27	VYDAJ	VYBER	9300	33324	\N	\N	\N
539506	1834	1994-10-27	VYDAJ	VYBER	2300	36631	\N	\N	\N
539507	1834	1994-11-26	VYDAJ	VYBER	7500	39411	\N	\N	\N
539508	1834	1994-12-26	VYDAJ	VYBER	14700	44121	\N	\N	\N
539509	1834	1995-01-25	PRIJEM	VKLAD	1100	26753	\N	\N	\N
539510	1834	1995-02-24	VYDAJ	VYBER	1700	35304	\N	\N	\N
539511	1834	1995-03-26	VYDAJ	VYBER	8000	37566	\N	\N	\N
539512	1834	1995-04-25	VYDAJ	VYBER	10800	37059	\N	\N	\N
539513	1834	1995-05-25	VYDAJ	VYBER	4300	40779	\N	\N	\N
539514	1834	1995-06-24	VYDAJ	VYBER	4900	36129	\N	\N	\N
539515	1834	1995-07-24	VYDAJ	VYBER	8400	38041	\N	\N	\N
539516	1834	1995-08-23	VYDAJ	VYBER	4400	38535	\N	\N	\N
539517	1834	1995-09-22	VYDAJ	VYBER	7400	41428	\N	\N	\N
539518	1834	1995-10-22	VYDAJ	VYBER	5500	38431	\N	\N	\N
539519	1834	1995-11-21	VYDAJ	VYBER	5900	42818	\N	\N	\N
539520	1834	1995-12-21	VYDAJ	VYBER	11200	45952	\N	\N	\N
539521	1834	1996-01-20	VYDAJ	VYBER	2200	39197	\N	\N	\N
539522	1834	1996-02-19	VYDAJ	VYBER	4000	43935	\N	\N	\N
539523	1834	1996-03-20	VYDAJ	VYBER	12100	42137	\N	\N	\N
539524	1834	1996-04-19	VYDAJ	VYBER	6300	46153	\N	\N	\N
539525	1834	1996-05-19	VYDAJ	VYBER	9900	46570	\N	\N	\N
539526	1834	1996-06-18	VYDAJ	VYBER	4500	38104	\N	\N	\N
539527	1834	1996-07-18	VYDAJ	VYBER	5700	40299	\N	\N	\N
539528	1834	1996-08-17	VYDAJ	VYBER	7500	43089	\N	\N	\N
539529	1834	1996-09-16	VYDAJ	VYBER	7600	42550	\N	\N	\N
539530	1834	1996-10-16	VYDAJ	VYBER	4600	48252	\N	\N	\N
539531	1834	1996-11-15	VYDAJ	VYBER	7700	50871	\N	\N	\N
539532	1834	1996-12-15	VYDAJ	VYBER	11500	54336	\N	\N	\N
539533	1834	1997-01-14	PRIJEM	VKLAD	4700	54141	\N	\N	\N
539534	1834	1997-02-13	VYDAJ	VYBER	200	49753	\N	\N	\N
539535	1834	1997-03-15	VYDAJ	VYBER	600	54299	\N	\N	\N
539536	1834	1997-04-14	VYDAJ	VYBER	5400	59234	\N	\N	\N
539537	1834	1997-05-14	VYDAJ	VYBER	7600	60556	\N	\N	\N
539538	1834	1997-06-13	VYDAJ	VYBER	11500	67699	\N	\N	\N
539539	1834	1997-07-13	PRIJEM	VKLAD	5300	47810	\N	\N	\N
539540	1834	1997-08-12	PRIJEM	VKLAD	1000	59108	\N	\N	\N
539541	1834	1997-09-11	VYDAJ	VYBER	4200	65260	\N	\N	\N
539542	1834	1997-10-11	VYDAJ	VYBER	5500	61248	\N	\N	\N
539543	1834	1997-11-10	VYDAJ	VYBER	8000	63618	\N	\N	\N
539544	1834	1997-12-10	VYDAJ	VYBER	14200	67470	\N	\N	\N
539545	1834	1998-01-09	VYDAJ	VYBER	2800	73504	\N	\N	\N
539546	1834	1998-02-08	PRIJEM	VKLAD	4300	46456	\N	\N	\N
539547	1834	1998-03-10	VYDAJ	VYBER	15200	58045	\N	\N	\N
539548	1834	1998-04-09	VYDAJ	VYBER	5600	59569	\N	\N	\N
539549	1834	1998-05-09	VYDAJ	VYBER	8900	61045	\N	\N	\N
539550	1834	1998-06-08	VYDAJ	VYBER	1300	46004	\N	\N	\N
539551	1834	1998-07-08	PRIJEM	VKLAD	1700	42875	\N	\N	\N
539552	1834	1998-08-07	VYDAJ	VYBER	3000	58317	\N	\N	\N
539553	1834	1998-09-06	VYDAJ	VYBER	9100	59610	\N	\N	\N
539554	1834	1998-10-06	VYDAJ	VYBER	5900	64111	\N	\N	\N
539555	1834	1998-11-05	VYDAJ	VYBER	6300	68228	\N	\N	\N
539556	1834	1998-12-05	VYDAJ	VYBER	4900	69425	\N	\N	\N
539622	1835	1994-12-24	PRIJEM	VKLAD	800	800	\N	\N	\N
539635	1835	1995-01-08	PRIJEM	VKLAD	15957	16757	\N	\N	\N
539636	1835	1995-02-08	PRIJEM	VKLAD	15957	36038	\N	\N	\N
539637	1835	1995-03-08	PRIJEM	VKLAD	15957	47791	\N	\N	\N
539638	1835	1995-04-08	PRIJEM	VKLAD	15957	53486	\N	\N	\N
539639	1835	1995-05-08	PRIJEM	VKLAD	15957	54600	\N	\N	\N
539640	1835	1995-06-08	PRIJEM	VKLAD	23936	46029	\N	\N	\N
539641	1835	1995-07-08	PRIJEM	VKLAD	15957	50859	\N	\N	\N
539642	1835	1995-08-08	PRIJEM	VKLAD	15957	51693	\N	\N	\N
539643	1835	1995-09-08	PRIJEM	VKLAD	15957	52128	\N	\N	\N
539644	1835	1995-10-08	PRIJEM	VKLAD	15957	53268	\N	\N	\N
539645	1835	1995-11-08	PRIJEM	VKLAD	15957	52612	\N	\N	\N
539646	1835	1995-12-08	PRIJEM	VKLAD	23936	65743	\N	\N	\N
539647	1835	1996-01-08	PRIJEM	VKLAD	15957	51818	\N	\N	\N
539648	1835	1996-02-08	PRIJEM	VKLAD	15957	49760	\N	\N	\N
539649	1835	1996-03-08	PRIJEM	VKLAD	15957	54193	\N	\N	\N
539650	1835	1996-04-08	PRIJEM	VKLAD	15957	58345	\N	\N	\N
539651	1835	1996-05-08	PRIJEM	VKLAD	15957	58306	\N	\N	\N
539652	1835	1996-06-08	PRIJEM	VKLAD	23936	68249	\N	\N	\N
539653	1835	1996-07-08	PRIJEM	VKLAD	15957	37926	\N	\N	\N
539654	1835	1996-08-08	PRIJEM	VKLAD	15957	50026	\N	\N	\N
539655	1835	1996-09-08	PRIJEM	VKLAD	15957	57165	\N	\N	\N
539656	1835	1996-10-08	PRIJEM	VKLAD	15957	62229	\N	\N	\N
539657	1835	1996-11-08	PRIJEM	VKLAD	15957	63905	\N	\N	\N
539658	1835	1996-12-08	PRIJEM	VKLAD	23936	72473	\N	\N	\N
539659	1835	1997-01-08	PRIJEM	VKLAD	15957	70472	\N	\N	\N
539660	1835	1997-02-08	PRIJEM	VKLAD	15957	62359	\N	\N	\N
539661	1835	1997-03-08	PRIJEM	VKLAD	15957	63933	\N	\N	\N
539662	1835	1997-04-08	PRIJEM	VKLAD	15957	63710	\N	\N	\N
539663	1835	1997-05-08	PRIJEM	VKLAD	15957	65692	\N	\N	\N
539664	1835	1997-06-08	PRIJEM	VKLAD	23936	75961	\N	\N	\N
539665	1835	1997-07-08	PRIJEM	VKLAD	15957	60382	\N	\N	\N
539666	1835	1997-08-08	PRIJEM	VKLAD	15957	66761	\N	\N	\N
539667	1835	1997-09-08	PRIJEM	VKLAD	15957	67752	\N	\N	\N
539668	1835	1997-10-08	PRIJEM	VKLAD	15957	70452	\N	\N	\N
539669	1835	1997-11-08	PRIJEM	VKLAD	15957	66540	\N	\N	\N
539670	1835	1997-12-08	PRIJEM	VKLAD	23936	72206	\N	\N	\N
539671	1835	1998-01-08	PRIJEM	VKLAD	15957	67397	\N	\N	\N
539672	1835	1998-02-08	PRIJEM	VKLAD	15957	71103	\N	\N	\N
539673	1835	1998-03-08	PRIJEM	VKLAD	15957	79935	\N	\N	\N
539674	1835	1998-04-08	PRIJEM	VKLAD	15957	76865	\N	\N	\N
539675	1835	1998-05-08	PRIJEM	VKLAD	15957	85020	\N	\N	\N
539676	1835	1998-06-08	PRIJEM	VKLAD	23936	95789	\N	\N	\N
539677	1835	1998-07-08	PRIJEM	VKLAD	15957	79703	\N	\N	\N
539678	1835	1998-08-08	PRIJEM	VKLAD	15957	85468	\N	\N	\N
539679	1835	1998-09-08	PRIJEM	VKLAD	15957	85356	\N	\N	\N
539680	1835	1998-10-08	PRIJEM	VKLAD	15957	90950	\N	\N	\N
539681	1835	1998-11-08	PRIJEM	VKLAD	15957	95366	\N	\N	\N
539682	1835	1998-12-08	PRIJEM	VKLAD	23936	102173	\N	\N	\N
539699	1835	1995-05-11	VYDAJ	PREVOD NA UCET	5938	47231	SIPO	GH	45864230
539700	1835	1995-06-11	VYDAJ	PREVOD NA UCET	5938	38660	SIPO	GH	45864230
539701	1835	1995-07-11	VYDAJ	PREVOD NA UCET	5938	43490	SIPO	GH	45864230
539702	1835	1995-08-11	VYDAJ	PREVOD NA UCET	5938	44324	SIPO	GH	45864230
539703	1835	1995-09-11	VYDAJ	PREVOD NA UCET	5938	44759	SIPO	GH	45864230
539704	1835	1995-10-11	VYDAJ	PREVOD NA UCET	5938	45899	SIPO	GH	45864230
539705	1835	1995-11-11	VYDAJ	PREVOD NA UCET	5938	45243	SIPO	GH	45864230
539706	1835	1995-12-11	VYDAJ	PREVOD NA UCET	5938	58374	SIPO	GH	45864230
539707	1835	1996-01-11	VYDAJ	PREVOD NA UCET	5938	43049	SIPO	GH	45864230
539708	1835	1996-02-11	VYDAJ	PREVOD NA UCET	5938	42391	SIPO	GH	45864230
539709	1835	1996-03-11	VYDAJ	PREVOD NA UCET	5938	46824	SIPO	GH	45864230
539710	1835	1996-04-11	VYDAJ	PREVOD NA UCET	5938	50976	SIPO	GH	45864230
539711	1835	1996-05-11	VYDAJ	PREVOD NA UCET	5938	50937	SIPO	GH	45864230
539712	1835	1996-06-11	VYDAJ	PREVOD NA UCET	5938	60380	SIPO	GH	45864230
539713	1835	1996-07-11	VYDAJ	PREVOD NA UCET	5938	30557	SIPO	GH	45864230
539714	1835	1996-08-11	VYDAJ	PREVOD NA UCET	5938	42657	SIPO	GH	45864230
539715	1835	1996-09-11	VYDAJ	PREVOD NA UCET	5938	49796	SIPO	GH	45864230
539716	1835	1996-10-11	VYDAJ	PREVOD NA UCET	5938	54860	SIPO	GH	45864230
539717	1835	1996-11-11	VYDAJ	PREVOD NA UCET	5938	56536	SIPO	GH	45864230
539718	1835	1996-12-11	VYDAJ	PREVOD NA UCET	5938	62604	SIPO	GH	45864230
539719	1835	1997-01-11	VYDAJ	PREVOD NA UCET	5938	58703	SIPO	GH	45864230
539720	1835	1997-02-11	VYDAJ	PREVOD NA UCET	5938	54990	SIPO	GH	45864230
539721	1835	1997-03-11	VYDAJ	PREVOD NA UCET	5938	56564	SIPO	GH	45864230
539722	1835	1997-04-11	VYDAJ	PREVOD NA UCET	5938	56341	SIPO	GH	45864230
539723	1835	1997-05-11	VYDAJ	PREVOD NA UCET	5938	58323	SIPO	GH	45864230
539724	1835	1997-06-11	VYDAJ	PREVOD NA UCET	5938	68592	SIPO	GH	45864230
539725	1835	1997-07-11	VYDAJ	PREVOD NA UCET	5938	53013	SIPO	GH	45864230
539726	1835	1997-08-11	VYDAJ	PREVOD NA UCET	5938	52292	SIPO	GH	45864230
539727	1835	1997-09-11	VYDAJ	PREVOD NA UCET	5938	54283	SIPO	GH	45864230
539728	1835	1997-10-11	VYDAJ	PREVOD NA UCET	5938	50383	SIPO	GH	45864230
539729	1835	1997-11-11	VYDAJ	PREVOD NA UCET	5938	50771	SIPO	GH	45864230
539730	1835	1997-12-11	VYDAJ	PREVOD NA UCET	5938	52137	SIPO	GH	45864230
539731	1835	1998-01-11	VYDAJ	PREVOD NA UCET	5938	60028	SIPO	GH	45864230
539732	1835	1998-02-11	VYDAJ	PREVOD NA UCET	5938	63734	SIPO	GH	45864230
539733	1835	1998-03-11	VYDAJ	PREVOD NA UCET	5938	60266	SIPO	GH	45864230
539734	1835	1998-04-11	VYDAJ	PREVOD NA UCET	5938	69496	SIPO	GH	45864230
539735	1835	1998-05-11	VYDAJ	PREVOD NA UCET	5938	77651	SIPO	GH	45864230
539736	1835	1998-06-11	VYDAJ	PREVOD NA UCET	5938	88420	SIPO	GH	45864230
539737	1835	1998-07-11	VYDAJ	PREVOD NA UCET	5938	72334	SIPO	GH	45864230
539738	1835	1998-08-11	VYDAJ	PREVOD NA UCET	5938	78099	SIPO	GH	45864230
539739	1835	1998-09-11	VYDAJ	PREVOD NA UCET	5938	77987	SIPO	GH	45864230
539740	1835	1998-10-11	VYDAJ	PREVOD NA UCET	5938	83581	SIPO	GH	45864230
539741	1835	1998-11-11	VYDAJ	PREVOD NA UCET	5938	85197	SIPO	GH	45864230
539742	1835	1998-12-11	VYDAJ	PREVOD NA UCET	5938	92404	SIPO	GH	45864230
539759	1835	1995-05-09	VYDAJ	PREVOD NA UCET	1431	53169	 	AB	98761927
539760	1835	1995-06-09	VYDAJ	PREVOD NA UCET	1431	44598	 	AB	98761927
539761	1835	1995-07-09	VYDAJ	PREVOD NA UCET	1431	49428	 	AB	98761927
539762	1835	1995-08-09	VYDAJ	PREVOD NA UCET	1431	50262	 	AB	98761927
539763	1835	1995-09-09	VYDAJ	PREVOD NA UCET	1431	50697	 	AB	98761927
539764	1835	1995-10-09	VYDAJ	PREVOD NA UCET	1431	51837	 	AB	98761927
539765	1835	1995-11-09	VYDAJ	PREVOD NA UCET	1431	51181	 	AB	98761927
539766	1835	1995-12-09	VYDAJ	PREVOD NA UCET	1431	64312	 	AB	98761927
539767	1835	1996-01-09	VYDAJ	PREVOD NA UCET	1431	50387	 	AB	98761927
539768	1835	1996-02-09	VYDAJ	PREVOD NA UCET	1431	48329	 	AB	98761927
539769	1835	1996-03-09	VYDAJ	PREVOD NA UCET	1431	52762	 	AB	98761927
539770	1835	1996-04-09	VYDAJ	PREVOD NA UCET	1431	56914	 	AB	98761927
539771	1835	1996-05-09	VYDAJ	PREVOD NA UCET	1431	56875	 	AB	98761927
539772	1835	1996-06-09	VYDAJ	PREVOD NA UCET	1431	66318	 	AB	98761927
539773	1835	1996-07-09	VYDAJ	PREVOD NA UCET	1431	36495	 	AB	98761927
539774	1835	1996-08-09	VYDAJ	PREVOD NA UCET	1431	48595	 	AB	98761927
539775	1835	1996-09-09	VYDAJ	PREVOD NA UCET	1431	55734	 	AB	98761927
539776	1835	1996-10-09	VYDAJ	PREVOD NA UCET	1431	60798	 	AB	98761927
539777	1835	1996-11-09	VYDAJ	PREVOD NA UCET	1431	62474	 	AB	98761927
539778	1835	1996-12-09	VYDAJ	PREVOD NA UCET	1431	71042	 	AB	98761927
539779	1835	1997-01-09	VYDAJ	PREVOD NA UCET	1431	64641	 	AB	98761927
539780	1835	1997-02-09	VYDAJ	PREVOD NA UCET	1431	60928	 	AB	98761927
539781	1835	1997-03-09	VYDAJ	PREVOD NA UCET	1431	62502	 	AB	98761927
539782	1835	1997-04-09	VYDAJ	PREVOD NA UCET	1431	62279	 	AB	98761927
539783	1835	1997-05-09	VYDAJ	PREVOD NA UCET	1431	64261	 	AB	98761927
539784	1835	1997-06-09	VYDAJ	PREVOD NA UCET	1431	74530	 	AB	98761927
539785	1835	1997-07-09	VYDAJ	PREVOD NA UCET	1431	58951	 	AB	98761927
539786	1835	1997-08-09	VYDAJ	PREVOD NA UCET	1431	65330	 	AB	98761927
539787	1835	1997-09-09	VYDAJ	PREVOD NA UCET	1431	60221	 	AB	98761927
539788	1835	1997-10-09	VYDAJ	PREVOD NA UCET	1431	69021	 	AB	98761927
539789	1835	1997-11-09	VYDAJ	PREVOD NA UCET	1431	56709	 	AB	98761927
539790	1835	1997-12-09	VYDAJ	PREVOD NA UCET	1431	58075	 	AB	98761927
539791	1835	1998-01-09	VYDAJ	PREVOD NA UCET	1431	65966	 	AB	98761927
539792	1835	1998-02-09	VYDAJ	PREVOD NA UCET	1431	69672	 	AB	98761927
539793	1835	1998-03-09	VYDAJ	PREVOD NA UCET	1431	66204	 	AB	98761927
539794	1835	1998-04-09	VYDAJ	PREVOD NA UCET	1431	75434	 	AB	98761927
539795	1835	1998-05-09	VYDAJ	PREVOD NA UCET	1431	83589	 	AB	98761927
539796	1835	1998-06-09	VYDAJ	PREVOD NA UCET	1431	94358	 	AB	98761927
539797	1835	1998-07-09	VYDAJ	PREVOD NA UCET	1431	78272	 	AB	98761927
539798	1835	1998-08-09	VYDAJ	PREVOD NA UCET	1431	84037	 	AB	98761927
539799	1835	1998-09-09	VYDAJ	PREVOD NA UCET	1431	83925	 	AB	98761927
539800	1835	1998-10-09	VYDAJ	PREVOD NA UCET	1431	89519	 	AB	98761927
539801	1835	1998-11-09	VYDAJ	PREVOD NA UCET	1431	93935	 	AB	98761927
539802	1835	1998-12-09	VYDAJ	PREVOD NA UCET	1431	98342	 	AB	98761927
539804	1835	1995-06-01	VYDAJ	VYBER	14600	22093	\N	\N	\N
539805	1835	1996-06-29	VYDAJ	VYBER	26000	21780	\N	\N	\N
539806	1835	1997-06-25	VYDAJ	VYBER	12800	44192	\N	\N	\N
539807	1835	1998-06-26	VYDAJ	VYBER	26500	61920	\N	\N	\N
539810	1835	1996-01-05	VYDAJ	VYBER	8200	35861	\N	\N	\N
539811	1835	1997-01-09	VYDAJ	VYBER	4400	66072	\N	\N	\N
539812	1835	1998-01-07	VYDAJ	VYBER	7000	51440	\N	\N	\N
539814	1835	1995-12-27	VYDAJ	VYBER	800	43874	\N	\N	\N
539815	1835	1996-12-10	VYDAJ	VYBER	2500	68542	\N	\N	\N
539816	1835	1997-12-03	VYDAJ	VYBER KARTOU	2700	48270	\N	\N	0
539817	1835	1998-12-17	VYDAJ	VYBER KARTOU	1400	91004	\N	\N	0
539826	1835	1995-07-15	VYDAJ	VYBER	3200	40290	\N	\N	\N
539827	1835	1995-11-07	VYDAJ	VYBER	1400	36655	\N	\N	\N
539829	1835	1995-08-14	VYDAJ	VYBER	2000	42324	\N	\N	\N
539830	1835	1995-08-19	VYDAJ	VYBER	4400	37924	\N	\N	\N
539831	1835	1996-06-27	VYDAJ	VYBER	1100	47780	\N	\N	\N
539832	1835	1996-01-22	VYDAJ	VYBER	4200	33649	\N	\N	\N
539833	1835	1996-06-09	VYDAJ	VYBER	500	67749	\N	\N	\N
539834	1835	1996-01-10	VYDAJ	VYBER	1400	48987	\N	\N	\N
539835	1835	1996-11-30	VYDAJ	VYBER	3500	48551	\N	\N	\N
539836	1835	1997-12-29	VYDAJ	VYBER KARTOU	2200	49937	\N	\N	0
539837	1835	1997-09-02	VYDAJ	VYBER KARTOU	700	51795	\N	\N	0
539838	1835	1997-01-28	VYDAJ	VYBER	2600	46203	\N	\N	\N
539839	1835	1998-04-05	VYDAJ	VYBER	4200	56308	\N	\N	\N
539840	1835	1998-11-10	VYDAJ	VYBER KARTOU	2800	91135	\N	\N	0
539841	1835	1998-08-19	VYDAJ	VYBER KARTOU	1400	76699	\N	\N	0
539842	1835	1998-05-03	VYDAJ	VYBER KARTOU	1400	68363	\N	\N	0
539843	1835	1998-08-25	VYDAJ	VYBER KARTOU	3400	73299	\N	\N	0
539844	1835	1998-01-14	VYDAJ	VYBER	4200	55828	\N	\N	\N
539845	1835	1998-12-08	VYDAJ	VYBER KARTOU	2400	99773	\N	\N	0
539863	1835	1995-05-31	VYDAJ	VYBER	15	36693	SLUZBY	\N	\N
539864	1835	1995-06-30	VYDAJ	VYBER	15	34902	SLUZBY	\N	\N
539865	1835	1995-07-31	VYDAJ	VYBER	15	35736	SLUZBY	\N	\N
539866	1835	1995-08-31	VYDAJ	VYBER	15	36171	SLUZBY	\N	\N
539867	1835	1995-09-30	VYDAJ	VYBER	15	37311	SLUZBY	\N	\N
539868	1835	1995-10-31	VYDAJ	VYBER	15	38055	SLUZBY	\N	\N
539869	1835	1995-11-30	VYDAJ	VYBER	15	41807	SLUZBY	\N	\N
539870	1835	1995-12-31	VYDAJ	VYBER	15	44061	SLUZBY	\N	\N
539871	1835	1996-01-31	VYDAJ	VYBER	15	33803	SLUZBY	\N	\N
539872	1835	1996-02-29	VYDAJ	VYBER	15	38236	SLUZBY	\N	\N
539873	1835	1996-03-31	VYDAJ	VYBER	15	42388	SLUZBY	\N	\N
539874	1835	1996-04-30	VYDAJ	VYBER	15	42349	SLUZBY	\N	\N
539875	1835	1996-05-31	VYDAJ	VYBER	15	44313	SLUZBY	\N	\N
539876	1835	1996-06-30	VYDAJ	VYBER	15	21969	SLUZBY	\N	\N
539877	1835	1996-07-31	VYDAJ	VYBER	15	34069	SLUZBY	\N	\N
539878	1835	1996-08-31	VYDAJ	VYBER	15	41208	SLUZBY	\N	\N
539879	1835	1996-09-30	VYDAJ	VYBER	15	46272	SLUZBY	\N	\N
539880	1835	1996-10-31	VYDAJ	VYBER	15	47948	SLUZBY	\N	\N
539881	1835	1996-11-30	VYDAJ	VYBER	15	48537	SLUZBY	\N	\N
539882	1835	1996-12-31	VYDAJ	VYBER	15	54515	SLUZBY	\N	\N
539883	1835	1997-01-31	VYDAJ	VYBER	15	46402	SLUZBY	\N	\N
539884	1835	1997-02-28	VYDAJ	VYBER	15	47976	SLUZBY	\N	\N
539885	1835	1997-03-31	VYDAJ	VYBER	15	47753	SLUZBY	\N	\N
539886	1835	1997-04-30	VYDAJ	VYBER	15	49735	SLUZBY	\N	\N
539887	1835	1997-05-31	VYDAJ	VYBER	15	52025	SLUZBY	\N	\N
539888	1835	1997-06-30	VYDAJ	VYBER	15	44425	SLUZBY	\N	\N
539889	1835	1997-07-31	VYDAJ	VYBER	15	50804	SLUZBY	\N	\N
539890	1835	1997-08-31	VYDAJ	VYBER	15	52495	SLUZBY	\N	\N
539891	1835	1997-09-30	VYDAJ	VYBER	15	54495	SLUZBY	\N	\N
539892	1835	1997-10-31	VYDAJ	VYBER	15	50583	SLUZBY	\N	\N
539893	1835	1997-11-30	VYDAJ	VYBER	15	50970	SLUZBY	\N	\N
539894	1835	1997-12-31	VYDAJ	VYBER	15	50140	SLUZBY	\N	\N
539895	1835	1998-01-31	VYDAJ	VYBER	15	56046	SLUZBY	\N	\N
539896	1835	1998-02-28	VYDAJ	VYBER	15	63978	SLUZBY	\N	\N
539897	1835	1998-03-31	VYDAJ	VYBER	15	60508	SLUZBY	\N	\N
539898	1835	1998-04-30	VYDAJ	VYBER	15	69763	SLUZBY	\N	\N
539899	1835	1998-05-31	VYDAJ	VYBER	15	77953	SLUZBY	\N	\N
539900	1835	1998-06-30	VYDAJ	VYBER	15	62246	SLUZBY	\N	\N
539901	1835	1998-07-31	VYDAJ	VYBER	15	72611	SLUZBY	\N	\N
539902	1835	1998-08-31	VYDAJ	VYBER	15	73599	SLUZBY	\N	\N
539903	1835	1998-09-30	VYDAJ	VYBER	15	78293	SLUZBY	\N	\N
539904	1835	1998-10-31	VYDAJ	VYBER	15	83909	SLUZBY	\N	\N
539905	1835	1998-11-30	VYDAJ	VYBER	15	85537	SLUZBY	\N	\N
539906	1835	1995-01-23	PRIJEM	VKLAD	3300	20057	\N	\N	\N
539907	1835	1995-02-22	VYDAJ	VYBER	4300	31738	\N	\N	\N
539908	1835	1995-03-24	VYDAJ	VYBER	10400	37391	\N	\N	\N
539909	1835	1995-04-23	VYDAJ	VYBER	15000	38486	\N	\N	\N
539910	1835	1995-05-23	VYDAJ	VYBER	10700	36531	\N	\N	\N
539911	1835	1995-06-22	VYDAJ	VYBER	3900	34760	\N	\N	\N
539912	1835	1995-07-22	VYDAJ	VYBER	4700	35590	\N	\N	\N
539913	1835	1995-08-21	VYDAJ	VYBER	1900	36024	\N	\N	\N
539914	1835	1995-09-20	VYDAJ	VYBER	7600	37159	\N	\N	\N
539915	1835	1995-10-20	VYDAJ	VYBER	8000	37899	\N	\N	\N
539916	1835	1995-11-19	VYDAJ	VYBER	3600	41643	\N	\N	\N
539917	1835	1995-12-19	VYDAJ	VYBER	13700	44674	\N	\N	\N
539918	1835	1996-01-18	VYDAJ	VYBER	5200	37849	\N	\N	\N
539919	1835	1996-02-17	VYDAJ	VYBER	4300	38091	\N	\N	\N
539920	1835	1996-03-18	VYDAJ	VYBER	4600	42224	\N	\N	\N
539921	1835	1996-04-17	VYDAJ	VYBER	8800	42176	\N	\N	\N
539922	1835	1996-05-17	VYDAJ	VYBER	6800	44137	\N	\N	\N
539923	1835	1996-06-16	VYDAJ	VYBER	11500	48880	\N	\N	\N
539924	1835	1996-07-16	PRIJEM	VKLAD	3400	33957	\N	\N	\N
539925	1835	1996-08-15	VYDAJ	VYBER	1600	41057	\N	\N	\N
539926	1835	1996-09-14	VYDAJ	VYBER	3700	46096	\N	\N	\N
539927	1835	1996-10-14	VYDAJ	VYBER	7100	47760	\N	\N	\N
539928	1835	1996-11-13	VYDAJ	VYBER	4700	51836	\N	\N	\N
539929	1835	1996-12-13	VYDAJ	VYBER	8300	54304	\N	\N	\N
539930	1835	1997-01-12	VYDAJ	VYBER	9900	48803	\N	\N	\N
539931	1835	1997-02-11	VYDAJ	VYBER	7200	47790	\N	\N	\N
539932	1835	1997-03-13	VYDAJ	VYBER	9000	47564	\N	\N	\N
539933	1835	1997-04-12	VYDAJ	VYBER	6800	49541	\N	\N	\N
539934	1835	1997-05-12	VYDAJ	VYBER	6500	51823	\N	\N	\N
539935	1835	1997-06-11	VYDAJ	VYBER	11600	56992	\N	\N	\N
539936	1835	1997-07-11	VYDAJ	VYBER KARTOU	2400	50613	\N	\N	0
539937	1835	1997-08-10	VYDAJ	VYBER	7100	58230	\N	\N	\N
539938	1835	1997-09-09	VYDAJ	VYBER	6100	61652	\N	\N	\N
539939	1835	1997-10-09	VYDAJ	VYBER	12700	56321	\N	\N	\N
539940	1835	1997-11-08	VYDAJ	VYBER	8400	58140	\N	\N	\N
539941	1835	1997-12-08	VYDAJ	VYBER	12700	59506	\N	\N	\N
539942	1835	1998-01-07	PRIJEM	VKLAD	8300	58440	\N	\N	\N
539943	1835	1998-02-06	VYDAJ	VYBER KARTOU	900	55146	\N	\N	0
539944	1835	1998-03-08	VYDAJ	VYBER	12300	67635	\N	\N	\N
539945	1835	1998-04-07	PRIJEM	VKLAD	4600	60908	\N	\N	\N
539946	1835	1998-05-07	PRIJEM	VKLAD	700	69063	\N	\N	\N
539947	1835	1998-06-06	VYDAJ	VYBER	6100	71853	\N	\N	\N
539948	1835	1998-07-06	PRIJEM	VKLAD	1500	63746	\N	\N	\N
539949	1835	1998-08-05	VYDAJ	VYBER KARTOU	3100	69511	\N	\N	0
539950	1835	1998-09-04	VYDAJ	VYBER	4200	69399	\N	\N	\N
539951	1835	1998-10-04	VYDAJ	VYBER KARTOU	3300	74993	\N	\N	0
539952	1835	1998-11-03	VYDAJ	VYBER	4500	79409	\N	\N	\N
539953	1835	1998-12-03	VYDAJ	VYBER	7300	78237	\N	\N	\N
540002	1836	1996-02-15	PRIJEM	VKLAD	900	900	\N	\N	\N
540005	1836	1996-03-11	PRIJEM	VKLAD	17644	18544	\N	\N	\N
540006	1836	1996-04-11	PRIJEM	VKLAD	17644	36428	\N	\N	\N
540007	1836	1996-05-11	PRIJEM	VKLAD	17644	50782	\N	\N	\N
540008	1836	1996-06-11	PRIJEM	VKLAD	26466	64798	\N	\N	\N
540009	1836	1996-07-11	PRIJEM	VKLAD	17644	63619	\N	\N	\N
540010	1836	1996-08-11	PRIJEM	VKLAD	17644	58180	\N	\N	\N
540011	1836	1996-09-11	PRIJEM	VKLAD	17644	51411	\N	\N	\N
540012	1836	1996-10-11	PRIJEM	VKLAD	17644	42008	\N	\N	\N
540013	1836	1996-11-11	PRIJEM	VKLAD	17644	42393	\N	\N	\N
540014	1836	1996-12-11	PRIJEM	VKLAD	26466	48998	\N	\N	\N
540015	1836	1997-01-11	PRIJEM	VKLAD	17644	47197	\N	\N	\N
540016	1836	1997-02-11	PRIJEM	VKLAD	17644	42696	\N	\N	\N
540017	1836	1997-03-11	PRIJEM	VKLAD	17644	52101	\N	\N	\N
540018	1836	1997-04-11	PRIJEM	VKLAD	17644	50024	\N	\N	\N
540019	1836	1997-05-11	PRIJEM	VKLAD	17644	52268	\N	\N	\N
540020	1836	1997-06-11	PRIJEM	VKLAD	26466	59449	\N	\N	\N
540021	1836	1997-07-11	PRIJEM	VKLAD	17644	42291	\N	\N	\N
540022	1836	1997-08-11	PRIJEM	VKLAD	17644	41196	\N	\N	\N
540023	1836	1997-09-11	PRIJEM	VKLAD	17644	42610	\N	\N	\N
540024	1836	1997-10-11	PRIJEM	VKLAD	17644	43932	\N	\N	\N
540025	1836	1997-11-11	PRIJEM	VKLAD	17644	40858	\N	\N	\N
540026	1836	1997-12-11	PRIJEM	VKLAD	26466	46091	\N	\N	\N
540027	1836	1998-01-11	PRIJEM	VKLAD	17644	34720	\N	\N	\N
540028	1836	1998-02-11	PRIJEM	VKLAD	17644	32989	\N	\N	\N
540029	1836	1998-03-11	PRIJEM	VKLAD	17644	41458	\N	\N	\N
540030	1836	1998-04-11	PRIJEM	VKLAD	17644	41165	\N	\N	\N
540031	1836	1998-05-11	PRIJEM	VKLAD	17644	41975	\N	\N	\N
540032	1836	1998-06-11	PRIJEM	VKLAD	26466	49409	\N	\N	\N
540033	1836	1998-07-11	PRIJEM	VKLAD	17644	52539	\N	\N	\N
540034	1836	1998-08-11	PRIJEM	VKLAD	17644	48195	\N	\N	\N
540035	1836	1998-09-11	PRIJEM	VKLAD	17644	50643	\N	\N	\N
540036	1836	1998-10-11	PRIJEM	VKLAD	17644	52396	\N	\N	\N
540037	1836	1998-11-11	PRIJEM	VKLAD	17644	52056	\N	\N	\N
540038	1836	1998-12-11	PRIJEM	VKLAD	26466	58233	\N	\N	\N
540045	1836	1996-07-13	VYDAJ	PREVOD NA UCET	6666	56953	SIPO	YZ	46282643
540046	1836	1996-08-13	VYDAJ	PREVOD NA UCET	6666	35314	SIPO	YZ	46282643
540047	1836	1996-09-13	VYDAJ	PREVOD NA UCET	6666	28845	SIPO	YZ	46282643
540048	1836	1996-10-13	VYDAJ	PREVOD NA UCET	6666	27642	SIPO	YZ	46282643
540049	1836	1996-11-13	VYDAJ	PREVOD NA UCET	6666	25127	SIPO	YZ	46282643
540050	1836	1996-12-13	VYDAJ	PREVOD NA UCET	6666	31632	SIPO	YZ	46282643
540051	1836	1997-01-13	VYDAJ	PREVOD NA UCET	6666	32731	SIPO	YZ	46282643
540052	1836	1997-02-13	VYDAJ	PREVOD NA UCET	6666	36030	SIPO	YZ	46282643
540053	1836	1997-03-13	VYDAJ	PREVOD NA UCET	6666	35835	SIPO	YZ	46282643
540054	1836	1997-04-13	VYDAJ	PREVOD NA UCET	6666	43358	SIPO	YZ	46282643
540055	1836	1997-05-13	VYDAJ	PREVOD NA UCET	6666	45602	SIPO	YZ	46282643
540056	1836	1997-06-13	VYDAJ	PREVOD NA UCET	6666	52783	SIPO	YZ	46282643
540057	1836	1997-07-13	VYDAJ	PREVOD NA UCET	6666	35625	SIPO	YZ	46282643
540058	1836	1997-08-13	VYDAJ	PREVOD NA UCET	6666	34530	SIPO	YZ	46282643
540059	1836	1997-09-13	VYDAJ	PREVOD NA UCET	6666	35944	SIPO	YZ	46282643
540060	1836	1997-10-13	VYDAJ	PREVOD NA UCET	6666	37266	SIPO	YZ	46282643
540061	1836	1997-11-13	VYDAJ	PREVOD NA UCET	6666	34192	SIPO	YZ	46282643
540062	1836	1997-12-13	VYDAJ	PREVOD NA UCET	6666	39425	SIPO	YZ	46282643
540063	1836	1998-01-13	VYDAJ	PREVOD NA UCET	6666	23954	SIPO	YZ	46282643
540064	1836	1998-02-13	VYDAJ	PREVOD NA UCET	6666	26323	SIPO	YZ	46282643
540065	1836	1998-03-13	VYDAJ	PREVOD NA UCET	6666	34792	SIPO	YZ	46282643
540066	1836	1998-04-13	VYDAJ	PREVOD NA UCET	6666	34499	SIPO	YZ	46282643
540067	1836	1998-05-13	VYDAJ	PREVOD NA UCET	6666	35309	SIPO	YZ	46282643
540068	1836	1998-06-13	VYDAJ	PREVOD NA UCET	6666	42743	SIPO	YZ	46282643
540069	1836	1998-07-13	VYDAJ	PREVOD NA UCET	6666	45873	SIPO	YZ	46282643
540070	1836	1998-08-13	VYDAJ	PREVOD NA UCET	6666	41529	SIPO	YZ	46282643
540071	1836	1998-09-13	VYDAJ	PREVOD NA UCET	6666	43977	SIPO	YZ	46282643
540072	1836	1998-10-13	VYDAJ	PREVOD NA UCET	6666	45730	SIPO	YZ	46282643
540073	1836	1998-11-13	VYDAJ	PREVOD NA UCET	6666	45390	SIPO	YZ	46282643
540074	1836	1998-12-13	VYDAJ	PREVOD NA UCET	6666	51567	SIPO	YZ	46282643
540081	1836	1996-07-14	VYDAJ	PREVOD NA UCET	1685	40368	 	EF	2027774
540082	1836	1996-08-14	VYDAJ	PREVOD NA UCET	1685	33629	 	EF	2027774
540083	1836	1996-09-14	VYDAJ	PREVOD NA UCET	1685	27160	 	EF	2027774
540084	1836	1996-10-14	VYDAJ	PREVOD NA UCET	1685	25957	 	EF	2027774
540085	1836	1996-11-14	VYDAJ	PREVOD NA UCET	1685	23442	 	EF	2027774
540086	1836	1996-12-14	VYDAJ	PREVOD NA UCET	1685	29947	 	EF	2027774
540087	1836	1997-01-14	VYDAJ	PREVOD NA UCET	1685	29446	 	EF	2027774
540088	1836	1997-02-14	VYDAJ	PREVOD NA UCET	1685	34345	 	EF	2027774
540089	1836	1997-03-14	VYDAJ	PREVOD NA UCET	1685	34150	 	EF	2027774
540090	1836	1997-04-14	VYDAJ	PREVOD NA UCET	1685	41673	 	EF	2027774
540091	1836	1997-05-14	VYDAJ	PREVOD NA UCET	1685	43917	 	EF	2027774
540092	1836	1997-06-14	VYDAJ	PREVOD NA UCET	1685	51098	 	EF	2027774
540093	1836	1997-07-14	VYDAJ	PREVOD NA UCET	1685	33940	 	EF	2027774
540094	1836	1997-08-14	VYDAJ	PREVOD NA UCET	1685	32845	 	EF	2027774
540095	1836	1997-09-14	VYDAJ	PREVOD NA UCET	1685	34259	 	EF	2027774
540096	1836	1997-10-14	VYDAJ	PREVOD NA UCET	1685	35581	 	EF	2027774
540097	1836	1997-11-14	VYDAJ	PREVOD NA UCET	1685	32507	 	EF	2027774
540098	1836	1997-12-14	VYDAJ	PREVOD NA UCET	1685	37740	 	EF	2027774
540099	1836	1998-01-14	VYDAJ	PREVOD NA UCET	1685	22269	 	EF	2027774
540100	1836	1998-02-14	VYDAJ	PREVOD NA UCET	1685	24638	 	EF	2027774
540101	1836	1998-03-14	VYDAJ	PREVOD NA UCET	1685	33107	 	EF	2027774
540102	1836	1998-04-14	VYDAJ	PREVOD NA UCET	1685	29914	 	EF	2027774
540103	1836	1998-05-14	VYDAJ	PREVOD NA UCET	1685	33624	 	EF	2027774
540104	1836	1998-06-14	VYDAJ	PREVOD NA UCET	1685	41058	 	EF	2027774
540105	1836	1998-07-14	VYDAJ	PREVOD NA UCET	1685	44188	 	EF	2027774
540106	1836	1998-08-14	VYDAJ	PREVOD NA UCET	1685	39844	 	EF	2027774
540107	1836	1998-09-14	VYDAJ	PREVOD NA UCET	1685	42292	 	EF	2027774
540108	1836	1998-10-14	VYDAJ	PREVOD NA UCET	1685	44045	 	EF	2027774
540109	1836	1998-11-14	VYDAJ	PREVOD NA UCET	1685	43705	 	EF	2027774
540110	1836	1998-12-14	VYDAJ	PREVOD NA UCET	1685	49882	 	EF	2027774
540112	1836	1997-06-22	VYDAJ	VYBER	29500	21598	\N	\N	\N
540115	1836	1997-01-12	VYDAJ	VYBER	7800	39397	\N	\N	\N
540116	1836	1998-01-12	VYDAJ	VYBER	4100	30620	\N	\N	\N
540117	1836	1996-12-10	VYDAJ	VYBER	1000	22532	\N	\N	\N
540118	1836	1997-12-24	VYDAJ	VYBER	1000	36740	\N	\N	\N
540119	1836	1998-12-03	VYDAJ	VYBER	1300	31767	\N	\N	\N
540126	1836	1997-01-28	VYDAJ	VYBER	1900	24146	\N	\N	\N
540127	1836	1997-01-19	VYDAJ	VYBER	1200	28246	\N	\N	\N
540128	1836	1997-01-30	VYDAJ	VYBER	2900	21246	\N	\N	\N
540129	1836	1997-01-03	VYDAJ	VYBER	2500	27553	\N	\N	\N
540130	1836	1997-01-20	VYDAJ	VYBER	2200	26046	\N	\N	\N
540131	1836	1997-01-14	VYDAJ	VYBER	1600	31131	\N	\N	\N
540132	1836	1998-01-22	VYDAJ	VYBER	2900	17669	\N	\N	\N
540133	1836	1998-01-07	VYDAJ	VYBER	2900	17076	\N	\N	\N
540134	1836	1998-01-16	VYDAJ	VYBER	700	20569	\N	\N	\N
540135	1836	1998-01-16	VYDAJ	VYBER	1000	21269	\N	\N	\N
540136	1836	1998-01-24	VYDAJ	VYBER	2800	14869	\N	\N	\N
540137	1836	1998-01-07	VYDAJ	VYBER	1100	19976	\N	\N	\N
540138	1836	1996-09-16	VYDAJ	VYBER	2900	24260	\N	\N	\N
540140	1836	1996-12-11	VYDAJ	VYBER	2600	38298	\N	\N	\N
540142	1836	1996-11-03	VYDAJ	VYBER	1300	24749	\N	\N	\N
540143	1836	1997-05-27	VYDAJ	VYBER	3200	40717	\N	\N	\N
540144	1836	1997-11-04	VYDAJ	VYBER	4800	29214	\N	\N	\N
540145	1836	1997-10-29	VYDAJ	VYBER	1700	33881	\N	\N	\N
540146	1836	1997-07-29	VYDAJ	VYBER	2200	31740	\N	\N	\N
540147	1836	1997-08-09	VYDAJ	VYBER	4100	23552	\N	\N	\N
540148	1836	1997-12-28	VYDAJ	VYBER	1100	35640	\N	\N	\N
540149	1836	1998-10-28	VYDAJ	VYBER	2400	41645	\N	\N	\N
540150	1836	1998-01-01	VYDAJ	VYBER	2900	32876	\N	\N	\N
540151	1836	1998-04-13	VYDAJ	VYBER	2900	31599	\N	\N	\N
540152	1836	1998-04-28	VYDAJ	VYBER	2400	27514	\N	\N	\N
540153	1836	1998-07-20	VYDAJ	VYBER	2500	41688	\N	\N	\N
540154	1836	1998-11-07	VYDAJ	VYBER	800	34412	\N	\N	\N
540155	1836	1998-06-02	VYDAJ	VYBER	1800	31943	\N	\N	\N
540156	1836	1998-08-10	VYDAJ	VYBER	4100	30551	\N	\N	\N
540164	1836	1996-07-31	VYDAJ	VYBER	15	40536	SLUZBY	\N	\N
540165	1836	1996-08-31	VYDAJ	VYBER	15	33767	SLUZBY	\N	\N
540166	1836	1996-09-30	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
540167	1836	1996-10-31	VYDAJ	VYBER	15	26049	SLUZBY	\N	\N
540168	1836	1996-11-30	VYDAJ	VYBER	15	23532	SLUZBY	\N	\N
540169	1836	1996-12-31	VYDAJ	VYBER	15	30053	SLUZBY	\N	\N
540170	1836	1997-01-31	VYDAJ	VYBER	15	21352	SLUZBY	\N	\N
540171	1836	1997-02-28	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
540172	1836	1997-03-31	VYDAJ	VYBER	15	34280	SLUZBY	\N	\N
540173	1836	1997-04-30	VYDAJ	VYBER	15	41824	SLUZBY	\N	\N
540174	1836	1997-05-31	VYDAJ	VYBER	15	40883	SLUZBY	\N	\N
540175	1836	1997-06-30	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
540176	1836	1997-07-31	VYDAJ	VYBER	15	31852	SLUZBY	\N	\N
540177	1836	1997-08-31	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
540178	1836	1997-09-30	VYDAJ	VYBER	15	34388	SLUZBY	\N	\N
540179	1836	1997-10-31	VYDAJ	VYBER	15	34014	SLUZBY	\N	\N
540180	1836	1997-11-30	VYDAJ	VYBER	15	32625	SLUZBY	\N	\N
540181	1836	1997-12-31	VYDAJ	VYBER	15	35776	SLUZBY	\N	\N
540182	1836	1998-01-31	VYDAJ	VYBER	15	14945	SLUZBY	\N	\N
540183	1836	1998-02-28	VYDAJ	VYBER	15	24714	SLUZBY	\N	\N
540184	1836	1998-03-31	VYDAJ	VYBER	15	33221	SLUZBY	\N	\N
540185	1836	1998-04-30	VYDAJ	VYBER	15	27631	SLUZBY	\N	\N
540186	1836	1998-05-31	VYDAJ	VYBER	15	33743	SLUZBY	\N	\N
540187	1836	1998-06-30	VYDAJ	VYBER	15	41195	SLUZBY	\N	\N
540188	1836	1998-07-31	VYDAJ	VYBER	15	41851	SLUZBY	\N	\N
540189	1836	1998-08-31	VYDAJ	VYBER	15	39999	SLUZBY	\N	\N
540190	1836	1998-09-30	VYDAJ	VYBER	15	42452	SLUZBY	\N	\N
540191	1836	1998-10-31	VYDAJ	VYBER	15	41812	SLUZBY	\N	\N
540192	1836	1998-11-30	VYDAJ	VYBER	15	43867	SLUZBY	\N	\N
540193	1836	1996-03-16	PRIJEM	VKLAD	200	18744	\N	\N	\N
540194	1836	1996-04-15	VYDAJ	VYBER	3400	33028	\N	\N	\N
540195	1836	1996-05-15	VYDAJ	VYBER	12600	38182	\N	\N	\N
540196	1836	1996-06-14	VYDAJ	VYBER	19000	45798	\N	\N	\N
540197	1836	1996-07-14	VYDAJ	VYBER	14900	42053	\N	\N	\N
540198	1836	1996-08-13	VYDAJ	VYBER	16200	41980	\N	\N	\N
540199	1836	1996-09-12	VYDAJ	VYBER	15900	35511	\N	\N	\N
540200	1836	1996-10-12	VYDAJ	VYBER	7700	34308	\N	\N	\N
540201	1836	1996-11-11	VYDAJ	VYBER	10600	31793	\N	\N	\N
540202	1836	1996-12-11	VYDAJ	VYBER	8100	40898	\N	\N	\N
540203	1836	1997-01-10	PRIJEM	VKLAD	2000	29553	\N	\N	\N
540204	1836	1997-02-09	PRIJEM	VKLAD	3700	25052	\N	\N	\N
540205	1836	1997-03-11	VYDAJ	VYBER	9600	42501	\N	\N	\N
540206	1836	1997-04-10	VYDAJ	VYBER	1900	32380	\N	\N	\N
540207	1836	1997-05-10	VYDAJ	VYBER	7200	34624	\N	\N	\N
540208	1836	1997-06-09	VYDAJ	VYBER	7900	32983	\N	\N	\N
540209	1836	1997-07-09	PRIJEM	VKLAD	2900	24647	\N	\N	\N
540210	1836	1997-08-08	VYDAJ	VYBER	4200	27652	\N	\N	\N
540211	1836	1997-09-07	VYDAJ	VYBER	8000	24966	\N	\N	\N
540212	1836	1997-10-07	VYDAJ	VYBER	8100	26288	\N	\N	\N
540213	1836	1997-11-06	VYDAJ	VYBER	6000	23214	\N	\N	\N
540214	1836	1997-12-06	VYDAJ	VYBER	13000	19625	\N	\N	\N
540215	1836	1998-01-05	VYDAJ	VYBER	11800	21076	\N	\N	\N
540216	1836	1998-02-04	PRIJEM	VKLAD	400	15345	\N	\N	\N
540217	1836	1998-03-06	VYDAJ	VYBER	900	23814	\N	\N	\N
540218	1836	1998-04-05	VYDAJ	VYBER	9700	23521	\N	\N	\N
540219	1836	1998-05-05	VYDAJ	VYBER	3300	24331	\N	\N	\N
540220	1836	1998-06-04	VYDAJ	VYBER	9000	22943	\N	\N	\N
540221	1836	1998-07-04	VYDAJ	VYBER	6300	34895	\N	\N	\N
540222	1836	1998-08-03	VYDAJ	VYBER	7200	34651	\N	\N	\N
540223	1836	1998-09-02	VYDAJ	VYBER	7000	32999	\N	\N	\N
540224	1836	1998-10-02	VYDAJ	VYBER	7700	34752	\N	\N	\N
540225	1836	1998-11-01	VYDAJ	VYBER	6600	35212	\N	\N	\N
540226	1836	1998-12-01	VYDAJ	VYBER	10800	33067	\N	\N	\N
540261	1837	1993-06-24	PRIJEM	VKLAD	300	300	\N	\N	\N
540268	1837	1993-07-12	PRIJEM	VKLAD	22436	22736	\N	\N	\N
540269	1837	1993-08-12	PRIJEM	VKLAD	22436	43795	\N	\N	\N
540270	1837	1993-09-12	PRIJEM	VKLAD	22436	57136	\N	\N	\N
540271	1837	1993-10-12	PRIJEM	VKLAD	22436	64525	\N	\N	\N
540272	1837	1993-11-12	PRIJEM	VKLAD	22436	66739	\N	\N	\N
540273	1837	1993-12-12	PRIJEM	VKLAD	33654	77493	\N	\N	\N
540274	1837	1994-01-12	PRIJEM	VKLAD	22436	66763	\N	\N	\N
540275	1837	1994-02-12	PRIJEM	VKLAD	22436	55434	\N	\N	\N
540276	1837	1994-03-12	PRIJEM	VKLAD	22436	58023	\N	\N	\N
540277	1837	1994-04-12	PRIJEM	VKLAD	22436	62129	\N	\N	\N
540278	1837	1994-05-12	PRIJEM	VKLAD	22436	59183	\N	\N	\N
540279	1837	1994-06-12	PRIJEM	VKLAD	33654	66051	\N	\N	\N
540280	1837	1994-07-12	PRIJEM	VKLAD	22436	65779	\N	\N	\N
540281	1837	1994-08-12	PRIJEM	VKLAD	22436	61925	\N	\N	\N
540282	1837	1994-09-12	PRIJEM	VKLAD	22436	60401	\N	\N	\N
540283	1837	1994-10-12	PRIJEM	VKLAD	22436	65412	\N	\N	\N
540284	1837	1994-11-12	PRIJEM	VKLAD	22436	66235	\N	\N	\N
540285	1837	1994-12-12	PRIJEM	VKLAD	33654	76475	\N	\N	\N
540286	1837	1995-01-12	PRIJEM	VKLAD	22436	72574	\N	\N	\N
540287	1837	1995-02-12	PRIJEM	VKLAD	22436	58367	\N	\N	\N
540288	1837	1995-03-12	PRIJEM	VKLAD	22436	65969	\N	\N	\N
540289	1837	1995-04-12	PRIJEM	VKLAD	22436	60658	\N	\N	\N
540290	1837	1995-05-12	PRIJEM	VKLAD	22436	63732	\N	\N	\N
540291	1837	1995-06-12	PRIJEM	VKLAD	33654	80072	\N	\N	\N
540292	1837	1995-07-12	PRIJEM	VKLAD	22436	63048	\N	\N	\N
540293	1837	1995-08-12	PRIJEM	VKLAD	22436	64301	\N	\N	\N
540294	1837	1995-09-12	PRIJEM	VKLAD	22436	70649	\N	\N	\N
540295	1837	1995-10-12	PRIJEM	VKLAD	22436	72789	\N	\N	\N
540296	1837	1995-11-12	PRIJEM	VKLAD	22436	63829	\N	\N	\N
540297	1837	1995-12-12	PRIJEM	VKLAD	33654	82806	\N	\N	\N
540298	1837	1996-01-12	PRIJEM	VKLAD	22436	78267	\N	\N	\N
540299	1837	1996-02-12	PRIJEM	VKLAD	22436	73350	\N	\N	\N
540300	1837	1996-03-12	PRIJEM	VKLAD	22436	74911	\N	\N	\N
540301	1837	1996-04-12	PRIJEM	VKLAD	22436	73675	\N	\N	\N
540302	1837	1996-05-12	PRIJEM	VKLAD	22436	74885	\N	\N	\N
540303	1837	1996-06-12	PRIJEM	VKLAD	33654	67120	\N	\N	\N
540304	1837	1996-07-12	PRIJEM	VKLAD	22436	72520	\N	\N	\N
540305	1837	1996-08-12	PRIJEM	VKLAD	22436	76514	\N	\N	\N
540306	1837	1996-09-12	PRIJEM	VKLAD	22436	70405	\N	\N	\N
540307	1837	1996-10-12	PRIJEM	VKLAD	22436	75799	\N	\N	\N
540308	1837	1996-11-12	PRIJEM	VKLAD	22436	77414	\N	\N	\N
540309	1837	1996-12-12	PRIJEM	VKLAD	33654	88319	\N	\N	\N
540310	1837	1997-01-12	PRIJEM	VKLAD	22436	77541	\N	\N	\N
540311	1837	1997-02-12	PRIJEM	VKLAD	22436	68751	\N	\N	\N
540312	1837	1997-03-12	PRIJEM	VKLAD	22436	74041	\N	\N	\N
540313	1837	1997-04-12	PRIJEM	VKLAD	22436	74768	\N	\N	\N
540314	1837	1997-05-12	PRIJEM	VKLAD	22436	79667	\N	\N	\N
540315	1837	1997-06-12	PRIJEM	VKLAD	33654	83535	\N	\N	\N
540316	1837	1997-07-12	PRIJEM	VKLAD	22436	82864	\N	\N	\N
540317	1837	1997-08-12	PRIJEM	VKLAD	22436	81511	\N	\N	\N
540318	1837	1997-09-12	PRIJEM	VKLAD	22436	80915	\N	\N	\N
540319	1837	1997-10-12	PRIJEM	VKLAD	22436	80956	\N	\N	\N
540320	1837	1997-11-12	PRIJEM	VKLAD	22436	80798	\N	\N	\N
540321	1837	1997-12-12	PRIJEM	VKLAD	33654	93487	\N	\N	\N
540322	1837	1998-01-12	PRIJEM	VKLAD	22436	81958	\N	\N	\N
540323	1837	1998-02-12	PRIJEM	VKLAD	22436	77757	\N	\N	\N
540324	1837	1998-03-12	PRIJEM	VKLAD	22436	84292	\N	\N	\N
540325	1837	1998-04-12	PRIJEM	VKLAD	22436	85357	\N	\N	\N
540326	1837	1998-05-12	PRIJEM	VKLAD	22436	86618	\N	\N	\N
540327	1837	1998-06-12	PRIJEM	VKLAD	33654	78027	\N	\N	\N
540328	1837	1998-07-12	PRIJEM	VKLAD	22436	87141	\N	\N	\N
540329	1837	1998-08-12	PRIJEM	VKLAD	22436	93374	\N	\N	\N
540330	1837	1998-09-12	PRIJEM	VKLAD	22436	95248	\N	\N	\N
540331	1837	1998-10-12	PRIJEM	VKLAD	22436	94591	\N	\N	\N
540332	1837	1998-11-12	PRIJEM	VKLAD	22436	96258	\N	\N	\N
540333	1837	1998-12-12	PRIJEM	VKLAD	33654	111641	\N	\N	\N
540344	1837	1993-11-13	VYDAJ	PREVOD NA UCET	6387	60352	SIPO	GH	47965639
540345	1837	1993-12-13	VYDAJ	PREVOD NA UCET	6387	71106	SIPO	GH	47965639
540346	1837	1994-01-13	VYDAJ	PREVOD NA UCET	6387	60376	SIPO	GH	47965639
540347	1837	1994-02-13	VYDAJ	PREVOD NA UCET	6387	49047	SIPO	GH	47965639
540348	1837	1994-03-13	VYDAJ	PREVOD NA UCET	6387	51636	SIPO	GH	47965639
540349	1837	1994-04-13	VYDAJ	PREVOD NA UCET	6387	53222	SIPO	GH	47965639
540350	1837	1994-05-13	VYDAJ	PREVOD NA UCET	6387	52796	SIPO	GH	47965639
540351	1837	1994-06-13	VYDAJ	PREVOD NA UCET	6387	59664	SIPO	GH	47965639
540352	1837	1994-07-13	VYDAJ	PREVOD NA UCET	6387	59392	SIPO	GH	47965639
540353	1837	1994-08-13	VYDAJ	PREVOD NA UCET	6387	55538	SIPO	GH	47965639
540354	1837	1994-09-13	VYDAJ	PREVOD NA UCET	6387	54014	SIPO	GH	47965639
540355	1837	1994-10-13	VYDAJ	PREVOD NA UCET	6387	59025	SIPO	GH	47965639
540356	1837	1994-11-13	VYDAJ	PREVOD NA UCET	6387	59848	SIPO	GH	47965639
540357	1837	1994-12-13	VYDAJ	PREVOD NA UCET	6387	70088	SIPO	GH	47965639
540358	1837	1995-01-13	VYDAJ	PREVOD NA UCET	6387	65347	SIPO	GH	47965639
540359	1837	1995-02-13	VYDAJ	PREVOD NA UCET	6387	51980	SIPO	GH	47965639
540360	1837	1995-03-13	VYDAJ	PREVOD NA UCET	6387	59582	SIPO	GH	47965639
540361	1837	1995-04-13	VYDAJ	PREVOD NA UCET	6387	50431	SIPO	GH	47965639
540362	1837	1995-05-13	VYDAJ	PREVOD NA UCET	6387	57345	SIPO	GH	47965639
540363	1837	1995-06-13	VYDAJ	PREVOD NA UCET	6387	73685	SIPO	GH	47965639
540364	1837	1995-07-13	VYDAJ	PREVOD NA UCET	6387	56661	SIPO	GH	47965639
540365	1837	1995-08-13	VYDAJ	PREVOD NA UCET	6387	57914	SIPO	GH	47965639
540366	1837	1995-09-13	VYDAJ	PREVOD NA UCET	6387	50162	SIPO	GH	47965639
540367	1837	1995-10-13	VYDAJ	PREVOD NA UCET	6387	47902	SIPO	GH	47965639
540368	1837	1995-11-13	VYDAJ	PREVOD NA UCET	6387	57442	SIPO	GH	47965639
540369	1837	1995-12-13	VYDAJ	PREVOD NA UCET	6387	76419	SIPO	GH	47965639
540370	1837	1996-01-13	VYDAJ	PREVOD NA UCET	6387	71880	SIPO	GH	47965639
540371	1837	1996-02-13	VYDAJ	PREVOD NA UCET	6387	64323	SIPO	GH	47965639
540372	1837	1996-03-13	VYDAJ	PREVOD NA UCET	6387	68524	SIPO	GH	47965639
540373	1837	1996-04-13	VYDAJ	PREVOD NA UCET	6387	67288	SIPO	GH	47965639
540374	1837	1996-05-13	VYDAJ	PREVOD NA UCET	6387	68498	SIPO	GH	47965639
540375	1837	1996-06-13	VYDAJ	PREVOD NA UCET	6387	60733	SIPO	GH	47965639
540376	1837	1996-07-13	VYDAJ	PREVOD NA UCET	6387	66133	SIPO	GH	47965639
540377	1837	1996-08-13	VYDAJ	PREVOD NA UCET	6387	70127	SIPO	GH	47965639
540378	1837	1996-09-13	VYDAJ	PREVOD NA UCET	6387	64018	SIPO	GH	47965639
540379	1837	1996-10-13	VYDAJ	PREVOD NA UCET	6387	69412	SIPO	GH	47965639
540380	1837	1996-11-13	VYDAJ	PREVOD NA UCET	6387	71027	SIPO	GH	47965639
540381	1837	1996-12-13	VYDAJ	PREVOD NA UCET	6387	81932	SIPO	GH	47965639
540382	1837	1997-01-13	VYDAJ	PREVOD NA UCET	6387	71154	SIPO	GH	47965639
540383	1837	1997-02-13	VYDAJ	PREVOD NA UCET	6387	62364	SIPO	GH	47965639
540384	1837	1997-03-13	VYDAJ	PREVOD NA UCET	6387	67654	SIPO	GH	47965639
540385	1837	1997-04-13	VYDAJ	PREVOD NA UCET	6387	68381	SIPO	GH	47965639
540386	1837	1997-05-13	VYDAJ	PREVOD NA UCET	6387	73280	SIPO	GH	47965639
540387	1837	1997-06-13	VYDAJ	PREVOD NA UCET	6387	73548	SIPO	GH	47965639
540388	1837	1997-07-13	VYDAJ	PREVOD NA UCET	6387	76477	SIPO	GH	47965639
540389	1837	1997-08-13	VYDAJ	PREVOD NA UCET	6387	74404	SIPO	GH	47965639
540390	1837	1997-09-13	VYDAJ	PREVOD NA UCET	6387	74528	SIPO	GH	47965639
540391	1837	1997-10-13	VYDAJ	PREVOD NA UCET	6387	74569	SIPO	GH	47965639
540392	1837	1997-11-13	VYDAJ	PREVOD NA UCET	6387	74411	SIPO	GH	47965639
540393	1837	1997-12-13	VYDAJ	PREVOD NA UCET	6387	87100	SIPO	GH	47965639
540394	1837	1998-01-13	VYDAJ	PREVOD NA UCET	6387	75571	SIPO	GH	47965639
540395	1837	1998-02-13	VYDAJ	PREVOD NA UCET	6387	71370	SIPO	GH	47965639
540396	1837	1998-03-13	VYDAJ	PREVOD NA UCET	6387	77905	SIPO	GH	47965639
540397	1837	1998-04-13	VYDAJ	PREVOD NA UCET	6387	78970	SIPO	GH	47965639
540398	1837	1998-05-13	VYDAJ	PREVOD NA UCET	6387	80231	SIPO	GH	47965639
540399	1837	1998-06-13	VYDAJ	PREVOD NA UCET	6387	71640	SIPO	GH	47965639
540400	1837	1998-07-13	VYDAJ	PREVOD NA UCET	6387	80754	SIPO	GH	47965639
540401	1837	1998-08-13	VYDAJ	PREVOD NA UCET	6387	86987	SIPO	GH	47965639
540402	1837	1998-09-13	VYDAJ	PREVOD NA UCET	6387	88861	SIPO	GH	47965639
540403	1837	1998-10-13	VYDAJ	PREVOD NA UCET	6387	88204	SIPO	GH	47965639
540404	1837	1998-11-13	VYDAJ	PREVOD NA UCET	6387	89871	SIPO	GH	47965639
540405	1837	1998-12-13	VYDAJ	PREVOD NA UCET	6387	105254	SIPO	GH	47965639
540407	1837	1994-06-08	VYDAJ	VYBER	8960	32397	\N	\N	\N
540408	1837	1995-06-23	VYDAJ	VYBER	9600	43785	\N	\N	\N
540409	1837	1996-06-10	VYDAJ	VYBER	22400	33466	\N	\N	\N
540410	1837	1997-06-09	VYDAJ	VYBER	10080	49881	\N	\N	\N
540411	1837	1998-06-05	VYDAJ	VYBER	19840	44373	\N	\N	\N
540412	1837	1993-12-19	VYDAJ	VYBER	1760	69346	\N	\N	\N
540413	1837	1994-12-17	VYDAJ	VYBER	1440	49948	\N	\N	\N
540414	1837	1995-12-30	VYDAJ	VYBER	3360	71379	\N	\N	\N
540415	1837	1996-12-03	VYDAJ	VYBER	3840	67465	\N	\N	\N
540416	1837	1997-12-04	VYDAJ	VYBER	1440	59833	\N	\N	\N
540417	1837	1998-12-29	VYDAJ	VYBER	1760	77694	\N	\N	\N
540424	1837	1994-01-27	VYDAJ	VYBER	2760	32816	\N	\N	\N
540425	1837	1994-01-26	VYDAJ	VYBER	3000	35576	\N	\N	\N
540426	1837	1994-01-24	VYDAJ	VYBER	2880	39656	\N	\N	\N
540427	1837	1994-01-24	VYDAJ	VYBER	1080	38576	\N	\N	\N
540428	1837	1994-01-17	VYDAJ	VYBER	840	59536	\N	\N	\N
540429	1837	1994-01-05	VYDAJ	VYBER	3120	44327	\N	\N	\N
540430	1837	1995-01-18	VYDAJ	VYBER	840	46907	\N	\N	\N
540431	1837	1995-01-20	VYDAJ	VYBER	3480	43427	\N	\N	\N
540432	1837	1995-01-24	VYDAJ	VYBER	1560	41867	\N	\N	\N
540433	1837	1995-01-30	VYDAJ	VYBER	3480	35747	\N	\N	\N
540434	1837	1995-01-27	VYDAJ	VYBER	2640	39227	\N	\N	\N
540435	1837	1995-01-12	VYDAJ	VYBER	840	71734	\N	\N	\N
540436	1837	1996-01-24	VYDAJ	VYBER	1080	70800	\N	\N	\N
540437	1837	1996-01-29	VYDAJ	VYBER	840	65400	\N	\N	\N
540438	1837	1996-01-06	VYDAJ	VYBER	1320	70331	\N	\N	\N
540439	1837	1996-01-27	VYDAJ	VYBER	3000	66240	\N	\N	\N
540440	1837	1996-01-25	VYDAJ	VYBER	1560	69240	\N	\N	\N
540441	1837	1996-01-30	VYDAJ	VYBER	2760	62640	\N	\N	\N
540442	1837	1997-01-10	VYDAJ	VYBER	2520	55105	\N	\N	\N
540443	1837	1997-01-18	VYDAJ	VYBER	840	70314	\N	\N	\N
540444	1837	1997-01-27	VYDAJ	VYBER	600	67314	\N	\N	\N
540445	1837	1997-01-19	VYDAJ	VYBER	2400	67914	\N	\N	\N
540446	1837	1997-01-29	VYDAJ	VYBER	2040	62394	\N	\N	\N
540447	1837	1997-01-29	VYDAJ	VYBER	1560	60834	\N	\N	\N
540448	1837	1998-01-03	VYDAJ	VYBER	1680	67922	\N	\N	\N
540449	1837	1998-01-26	VYDAJ	VYBER	3120	72451	\N	\N	\N
540450	1837	1998-01-08	VYDAJ	VYBER	2160	62402	\N	\N	\N
540451	1837	1998-01-29	VYDAJ	VYBER	2520	55051	\N	\N	\N
540452	1837	1998-01-06	VYDAJ	VYBER	3360	64562	\N	\N	\N
540453	1837	1998-01-09	VYDAJ	VYBER	2880	59522	\N	\N	\N
540459	1837	1994-11-21	VYDAJ	VYBER	1200	42648	\N	\N	\N
540460	1837	1994-07-16	VYDAJ	VYBER	3600	55792	\N	\N	\N
540461	1837	1994-04-12	VYDAJ	VYBER	2520	59609	\N	\N	\N
540462	1837	1994-04-29	VYDAJ	VYBER	2640	36582	\N	\N	\N
540463	1837	1994-08-06	VYDAJ	VYBER	3480	39489	\N	\N	\N
540464	1837	1994-08-23	VYDAJ	VYBER	2640	37798	\N	\N	\N
540465	1837	1995-04-13	VYDAJ	VYBER	3840	56818	\N	\N	\N
540466	1837	1995-04-07	VYDAJ	VYBER	3120	43742	\N	\N	\N
540467	1837	1995-07-24	VYDAJ	VYBER	3960	41701	\N	\N	\N
540468	1837	1995-12-21	VYDAJ	VYBER	1680	74739	\N	\N	\N
540469	1837	1995-06-23	VYDAJ	VYBER	3360	40425	\N	\N	\N
540470	1837	1995-04-08	VYDAJ	VYBER	5520	38222	\N	\N	\N
540471	1837	1996-06-19	VYDAJ	VYBER	5280	55453	\N	\N	\N
540472	1837	1996-08-28	VYDAJ	VYBER	4440	61487	\N	\N	\N
540473	1837	1996-02-12	VYDAJ	VYBER	2640	70710	\N	\N	\N
540474	1837	1996-08-23	VYDAJ	VYBER	4200	65927	\N	\N	\N
540475	1837	1996-03-17	VYDAJ	VYBER	4440	64084	\N	\N	\N
540476	1837	1996-08-29	VYDAJ	VYBER	1680	59807	\N	\N	\N
540477	1837	1997-08-29	VYDAJ	VYBER	720	73684	\N	\N	\N
540478	1837	1997-04-03	VYDAJ	VYBER	4680	63232	\N	\N	\N
540479	1837	1997-11-16	VYDAJ	VYBER	4320	70091	\N	\N	\N
540480	1837	1997-01-28	VYDAJ	VYBER	2880	64434	\N	\N	\N
540481	1837	1997-06-12	VYDAJ	VYBER	3600	79935	\N	\N	\N
540482	1837	1997-08-12	VYDAJ	VYBER	720	80791	\N	\N	\N
540483	1837	1998-10-06	VYDAJ	VYBER	4920	72155	\N	\N	\N
540484	1837	1998-04-09	VYDAJ	VYBER	2160	62921	\N	\N	\N
540485	1837	1998-02-25	VYDAJ	VYBER	3960	67410	\N	\N	\N
540486	1837	1998-04-14	VYDAJ	VYBER	5760	73210	\N	\N	\N
540487	1837	1998-08-25	VYDAJ	VYBER	5280	81707	\N	\N	\N
540488	1837	1998-01-28	VYDAJ	VYBER	5880	66571	\N	\N	\N
540500	1837	1993-11-30	VYDAJ	VYBER	15	43839	SLUZBY	\N	\N
540501	1837	1993-12-31	VYDAJ	VYBER	15	47447	SLUZBY	\N	\N
540502	1837	1994-01-31	VYDAJ	VYBER	15	32998	SLUZBY	\N	\N
540503	1837	1994-02-28	VYDAJ	VYBER	15	35587	SLUZBY	\N	\N
540504	1837	1994-03-31	VYDAJ	VYBER	15	39693	SLUZBY	\N	\N
540505	1837	1994-04-30	VYDAJ	VYBER	15	36747	SLUZBY	\N	\N
540506	1837	1994-05-31	VYDAJ	VYBER	15	41357	SLUZBY	\N	\N
540507	1837	1994-06-30	VYDAJ	VYBER	15	43343	SLUZBY	\N	\N
540508	1837	1994-07-31	VYDAJ	VYBER	15	42969	SLUZBY	\N	\N
540509	1837	1994-08-31	VYDAJ	VYBER	15	37965	SLUZBY	\N	\N
540510	1837	1994-09-30	VYDAJ	VYBER	15	42976	SLUZBY	\N	\N
540511	1837	1994-10-31	VYDAJ	VYBER	15	43799	SLUZBY	\N	\N
540512	1837	1994-11-30	VYDAJ	VYBER	15	42821	SLUZBY	\N	\N
540513	1837	1994-12-31	VYDAJ	VYBER	15	50138	SLUZBY	\N	\N
540514	1837	1995-01-31	VYDAJ	VYBER	15	35931	SLUZBY	\N	\N
540515	1837	1995-02-28	VYDAJ	VYBER	15	43533	SLUZBY	\N	\N
540516	1837	1995-03-31	VYDAJ	VYBER	15	46862	SLUZBY	\N	\N
540517	1837	1995-04-30	VYDAJ	VYBER	15	41296	SLUZBY	\N	\N
540518	1837	1995-05-31	VYDAJ	VYBER	15	46418	SLUZBY	\N	\N
540519	1837	1995-06-30	VYDAJ	VYBER	15	40612	SLUZBY	\N	\N
540520	1837	1995-07-31	VYDAJ	VYBER	15	41865	SLUZBY	\N	\N
540521	1837	1995-08-31	VYDAJ	VYBER	15	48213	SLUZBY	\N	\N
540522	1837	1995-09-30	VYDAJ	VYBER	15	50353	SLUZBY	\N	\N
540523	1837	1995-10-31	VYDAJ	VYBER	15	48093	SLUZBY	\N	\N
540524	1837	1995-11-30	VYDAJ	VYBER	15	57652	SLUZBY	\N	\N
540525	1837	1995-12-31	VYDAJ	VYBER	15	71651	SLUZBY	\N	\N
540526	1837	1996-01-31	VYDAJ	VYBER	15	62914	SLUZBY	\N	\N
540527	1837	1996-02-29	VYDAJ	VYBER	15	64575	SLUZBY	\N	\N
540528	1837	1996-03-31	VYDAJ	VYBER	15	64339	SLUZBY	\N	\N
540529	1837	1996-04-30	VYDAJ	VYBER	15	67549	SLUZBY	\N	\N
540530	1837	1996-05-31	VYDAJ	VYBER	15	68766	SLUZBY	\N	\N
540531	1837	1996-06-30	VYDAJ	VYBER	15	55684	SLUZBY	\N	\N
540532	1837	1996-07-31	VYDAJ	VYBER	15	66378	SLUZBY	\N	\N
540533	1837	1996-08-31	VYDAJ	VYBER	15	60069	SLUZBY	\N	\N
540534	1837	1996-09-30	VYDAJ	VYBER	15	64263	SLUZBY	\N	\N
540535	1837	1996-10-31	VYDAJ	VYBER	15	69678	SLUZBY	\N	\N
540536	1837	1996-11-30	VYDAJ	VYBER	15	71305	SLUZBY	\N	\N
540537	1837	1996-12-31	VYDAJ	VYBER	15	82225	SLUZBY	\N	\N
540538	1837	1997-01-31	VYDAJ	VYBER	15	61115	SLUZBY	\N	\N
540539	1837	1997-02-28	VYDAJ	VYBER	15	62605	SLUZBY	\N	\N
540540	1837	1997-03-31	VYDAJ	VYBER	15	67912	SLUZBY	\N	\N
540541	1837	1997-04-30	VYDAJ	VYBER	15	68631	SLUZBY	\N	\N
540542	1837	1997-05-31	VYDAJ	VYBER	15	73561	SLUZBY	\N	\N
540543	1837	1997-06-30	VYDAJ	VYBER	15	73828	SLUZBY	\N	\N
540544	1837	1997-07-31	VYDAJ	VYBER	15	76775	SLUZBY	\N	\N
540545	1837	1997-08-31	VYDAJ	VYBER	15	73979	SLUZBY	\N	\N
540546	1837	1997-09-30	VYDAJ	VYBER	15	74820	SLUZBY	\N	\N
540547	1837	1997-10-31	VYDAJ	VYBER	15	74862	SLUZBY	\N	\N
540548	1837	1997-11-30	VYDAJ	VYBER	15	70373	SLUZBY	\N	\N
540549	1837	1997-12-31	VYDAJ	VYBER	15	69602	SLUZBY	\N	\N
540550	1837	1998-01-31	VYDAJ	VYBER	15	55321	SLUZBY	\N	\N
540551	1837	1998-02-28	VYDAJ	VYBER	15	61856	SLUZBY	\N	\N
540552	1837	1998-03-31	VYDAJ	VYBER	15	65081	SLUZBY	\N	\N
540553	1837	1998-04-30	VYDAJ	VYBER	15	64182	SLUZBY	\N	\N
540554	1837	1998-05-31	VYDAJ	VYBER	15	64213	SLUZBY	\N	\N
540555	1837	1998-06-30	VYDAJ	VYBER	15	64705	SLUZBY	\N	\N
540556	1837	1998-07-31	VYDAJ	VYBER	15	70938	SLUZBY	\N	\N
540557	1837	1998-08-31	VYDAJ	VYBER	15	72812	SLUZBY	\N	\N
540558	1837	1998-09-30	VYDAJ	VYBER	15	77075	SLUZBY	\N	\N
540559	1837	1998-10-31	VYDAJ	VYBER	15	73822	SLUZBY	\N	\N
540560	1837	1998-11-30	VYDAJ	VYBER	15	77987	SLUZBY	\N	\N
540561	1837	1993-07-24	VYDAJ	VYBER	1400	21336	\N	\N	\N
540562	1837	1993-08-23	VYDAJ	VYBER	9200	34595	\N	\N	\N
540563	1837	1993-09-22	VYDAJ	VYBER	15200	41936	\N	\N	\N
540564	1837	1993-10-22	VYDAJ	VYBER	20400	44125	\N	\N	\N
540565	1837	1993-11-21	VYDAJ	VYBER	16700	43652	\N	\N	\N
540566	1837	1993-12-21	VYDAJ	VYBER	22100	47246	\N	\N	\N
540567	1837	1994-01-20	VYDAJ	VYBER	17000	42536	\N	\N	\N
540568	1837	1994-02-19	VYDAJ	VYBER	13600	35447	\N	\N	\N
540569	1837	1994-03-21	VYDAJ	VYBER	12100	39536	\N	\N	\N
540570	1837	1994-04-20	VYDAJ	VYBER	14000	39222	\N	\N	\N
540571	1837	1994-05-20	VYDAJ	VYBER	11600	41196	\N	\N	\N
540572	1837	1994-06-19	VYDAJ	VYBER	16500	43164	\N	\N	\N
540573	1837	1994-07-19	VYDAJ	VYBER	13000	42792	\N	\N	\N
540574	1837	1994-08-18	VYDAJ	VYBER	15100	40438	\N	\N	\N
540575	1837	1994-09-17	VYDAJ	VYBER	11200	42814	\N	\N	\N
540576	1837	1994-10-17	VYDAJ	VYBER	15400	43625	\N	\N	\N
540577	1837	1994-11-16	VYDAJ	VYBER	16000	43848	\N	\N	\N
540578	1837	1994-12-16	VYDAJ	VYBER	18700	51388	\N	\N	\N
540579	1837	1995-01-15	VYDAJ	VYBER	17600	47747	\N	\N	\N
540580	1837	1995-02-14	VYDAJ	VYBER	8600	43380	\N	\N	\N
540581	1837	1995-03-16	VYDAJ	VYBER	12900	46682	\N	\N	\N
540582	1837	1995-04-15	VYDAJ	VYBER	9300	41131	\N	\N	\N
540583	1837	1995-05-15	VYDAJ	VYBER	11100	46245	\N	\N	\N
540584	1837	1995-06-14	VYDAJ	VYBER	20300	53385	\N	\N	\N
540585	1837	1995-07-14	VYDAJ	VYBER	11000	45661	\N	\N	\N
540586	1837	1995-08-13	VYDAJ	VYBER	9900	48014	\N	\N	\N
540587	1837	1995-09-12	VYDAJ	VYBER	14100	56549	\N	\N	\N
540588	1837	1995-10-12	VYDAJ	VYBER	18500	54289	\N	\N	\N
540589	1837	1995-11-11	VYDAJ	VYBER	6700	41393	\N	\N	\N
540590	1837	1995-12-11	VYDAJ	VYBER	8500	49152	\N	\N	\N
540591	1837	1996-01-10	VYDAJ	VYBER	14500	55831	\N	\N	\N
540592	1837	1996-02-09	VYDAJ	VYBER	12000	50914	\N	\N	\N
540593	1837	1996-03-10	VYDAJ	VYBER	12100	52475	\N	\N	\N
540594	1837	1996-04-09	VYDAJ	VYBER	13100	51239	\N	\N	\N
540595	1837	1996-05-09	VYDAJ	VYBER	15100	52449	\N	\N	\N
540596	1837	1996-06-08	VYDAJ	VYBER	12900	55866	\N	\N	\N
540597	1837	1996-07-08	VYDAJ	VYBER	5600	50084	\N	\N	\N
540598	1837	1996-08-07	VYDAJ	VYBER	12300	54078	\N	\N	\N
540599	1837	1996-09-06	VYDAJ	VYBER	12100	47969	\N	\N	\N
540600	1837	1996-10-06	VYDAJ	VYBER	10900	53363	\N	\N	\N
540601	1837	1996-11-05	VYDAJ	VYBER	14700	54978	\N	\N	\N
540602	1837	1996-12-05	VYDAJ	VYBER	12800	54665	\N	\N	\N
540603	1837	1997-01-04	VYDAJ	VYBER	24600	57625	\N	\N	\N
540604	1837	1997-02-03	VYDAJ	VYBER	14800	46315	\N	\N	\N
540605	1837	1997-03-05	VYDAJ	VYBER	11000	51605	\N	\N	\N
540606	1837	1997-04-04	VYDAJ	VYBER	10900	52332	\N	\N	\N
540607	1837	1997-05-04	VYDAJ	VYBER	11400	57231	\N	\N	\N
540608	1837	1997-06-03	VYDAJ	VYBER	13600	59961	\N	\N	\N
540609	1837	1997-07-03	VYDAJ	VYBER	13400	60428	\N	\N	\N
540610	1837	1997-08-02	VYDAJ	VYBER	17700	59075	\N	\N	\N
540611	1837	1997-09-01	VYDAJ	VYBER	15500	58479	\N	\N	\N
540612	1837	1997-10-01	VYDAJ	VYBER	16300	58520	\N	\N	\N
540613	1837	1997-10-31	VYDAJ	VYBER	16500	58362	\N	\N	\N
540614	1837	1997-11-30	VYDAJ	VYBER	9100	61273	\N	\N	\N
540615	1837	1997-12-30	VYDAJ	VYBER	17800	69300	\N	\N	\N
540616	1837	1998-01-29	VYDAJ	VYBER	9000	57571	\N	\N	\N
540617	1837	1998-02-28	VYDAJ	VYBER	5800	61871	\N	\N	\N
540618	1837	1998-03-30	VYDAJ	VYBER	13100	64805	\N	\N	\N
540619	1837	1998-04-29	VYDAJ	VYBER	9300	63910	\N	\N	\N
540620	1837	1998-05-29	VYDAJ	VYBER	16300	63931	\N	\N	\N
540621	1837	1998-06-28	VYDAJ	VYBER	7200	64440	\N	\N	\N
540622	1837	1998-07-28	VYDAJ	VYBER	10100	70654	\N	\N	\N
540623	1837	1998-08-27	VYDAJ	VYBER	9200	72507	\N	\N	\N
540624	1837	1998-09-26	VYDAJ	VYBER	12100	76761	\N	\N	\N
540625	1837	1998-10-26	VYDAJ	VYBER	14700	73504	\N	\N	\N
540626	1837	1998-11-25	VYDAJ	VYBER	12200	77671	\N	\N	\N
540627	1837	1998-12-25	VYDAJ	VYBER	25800	79454	\N	\N	\N
540694	1838	1994-05-26	PRIJEM	VKLAD	400	400	\N	\N	\N
540696	1838	1995-12-15	PRIJEM	VKLAD	20468	88078	\N	\N	\N
540697	1838	1995-09-10	PRIJEM	VKLAD	40687	86994	\N	\N	\N
540698	1838	1995-09-25	PRIJEM	VKLAD	25309	86103	\N	\N	\N
540699	1838	1995-04-06	PRIJEM	VKLAD	23282	52082	\N	\N	\N
540700	1838	1995-12-05	PRIJEM	VKLAD	39895	76550	\N	\N	\N
540701	1838	1995-10-10	PRIJEM	VKLAD	30652	108071	\N	\N	\N
540702	1838	1995-05-25	PRIJEM	VKLAD	26096	59733	\N	\N	\N
540703	1838	1995-07-20	PRIJEM	VKLAD	40246	87411	\N	\N	\N
540704	1838	1996-09-13	PRIJEM	VKLAD	32111	62886	\N	\N	\N
540705	1838	1996-11-01	PRIJEM	VKLAD	24508	85142	\N	\N	\N
540706	1838	1996-09-18	PRIJEM	VKLAD	39762	102648	\N	\N	\N
540707	1838	1996-03-09	PRIJEM	VKLAD	7694	37988	\N	\N	\N
540708	1838	1997-05-18	PRIJEM	VKLAD	40319	87510	\N	\N	\N
540709	1838	1997-04-08	PRIJEM	VKLAD	46391	76325	\N	\N	\N
540710	1838	1997-05-31	PRIJEM	VKLAD	27524	115306	\N	\N	\N
540711	1838	1997-07-30	PRIJEM	VKLAD	28637	78202	\N	\N	\N
540712	1838	1997-04-11	PRIJEM	VKLAD	24382	67371	\N	\N	\N
540713	1838	1997-11-10	PRIJEM	VKLAD	15143	33963	\N	\N	\N
540714	1838	1997-06-09	PRIJEM	VKLAD	36026	89377	\N	\N	\N
540715	1838	1997-12-19	PRIJEM	VKLAD	12735	18079	\N	\N	\N
540716	1838	1998-11-24	PRIJEM	VKLAD	15897	119166	\N	\N	\N
540717	1838	1998-08-09	PRIJEM	VKLAD	32535	98901	\N	\N	\N
540718	1838	1998-01-12	PRIJEM	VKLAD	35066	66309	\N	\N	\N
540719	1838	1998-12-07	PRIJEM	VKLAD	15498	64299	\N	\N	\N
540720	1838	1998-03-26	PRIJEM	VKLAD	20717	44747	\N	\N	\N
540721	1838	1998-11-03	PRIJEM	VKLAD	12148	71357	\N	\N	\N
540722	1838	1998-05-27	PRIJEM	VKLAD	42703	61224	\N	\N	\N
540723	1838	1998-08-06	PRIJEM	VKLAD	49292	75306	\N	\N	\N
540724	1838	1998-02-23	PRIJEM	VKLAD	10434	33626	\N	\N	\N
540725	1838	1998-09-30	PRIJEM	VKLAD	14742	36268	\N	\N	\N
540726	1838	1998-06-20	PRIJEM	VKLAD	22328	56652	\N	\N	\N
540727	1838	1998-06-05	PRIJEM	VKLAD	12387	43264	\N	\N	\N
540728	1838	1998-09-19	PRIJEM	VKLAD	6515	21427	\N	\N	\N
540729	1838	1998-12-10	PRIJEM	VKLAD	8524	63883	\N	\N	\N
540730	1838	1998-10-21	PRIJEM	VKLAD	47791	105372	\N	\N	\N
540731	1838	1998-08-11	PRIJEM	VKLAD	29434	128335	\N	\N	\N
540732	1838	1998-08-26	PRIJEM	VKLAD	5819	59814	\N	\N	\N
540733	1838	1998-10-24	PRIJEM	VKLAD	10213	115585	\N	\N	\N
540734	1838	1998-11-18	PRIJEM	VKLAD	44584	103269	\N	\N	\N
540735	1838	1998-05-10	PRIJEM	VKLAD	14849	33742	\N	\N	\N
540736	1838	1998-10-18	PRIJEM	VKLAD	48094	57581	\N	\N	\N
540737	1838	1998-01-06	PRIJEM	VKLAD	17548	40183	\N	\N	\N
540738	1838	1998-07-23	PRIJEM	VKLAD	37337	70526	\N	\N	\N
540820	1838	1995-10-08	VYDAJ	PREVOD NA UCET	8940	77419	SIPO	UV	67060506
540821	1838	1995-11-08	VYDAJ	PREVOD NA UCET	8940	40677	SIPO	UV	67060506
540822	1838	1995-12-08	VYDAJ	PREVOD NA UCET	8940	67610	SIPO	UV	67060506
540823	1838	1996-01-08	VYDAJ	PREVOD NA UCET	8940	55294	SIPO	UV	67060506
540824	1838	1996-02-08	VYDAJ	PREVOD NA UCET	8940	37670	SIPO	UV	67060506
540825	1838	1996-03-08	VYDAJ	PREVOD NA UCET	8940	30294	SIPO	UV	67060506
540826	1838	1996-04-08	VYDAJ	PREVOD NA UCET	8940	18738	SIPO	UV	67060506
540827	1838	1996-05-08	VYDAJ	PREVOD NA UCET	8940	16693	SIPO	UV	67060506
540828	1838	1996-06-08	VYDAJ	PREVOD NA UCET	8940	9417	SIPO	UV	67060506
540829	1838	1996-07-08	VYDAJ	PREVOD NA UCET	8940	8282	SIPO	UV	67060506
540830	1838	1996-08-08	VYDAJ	PREVOD NA UCET	8940	15916	SIPO	UV	67060506
540831	1838	1996-09-08	VYDAJ	PREVOD NA UCET	8940	19575	SIPO	UV	67060506
540832	1838	1996-10-08	VYDAJ	PREVOD NA UCET	8940	80454	SIPO	UV	67060506
540833	1838	1996-11-08	VYDAJ	PREVOD NA UCET	8940	76202	SIPO	UV	67060506
540834	1838	1996-12-08	VYDAJ	PREVOD NA UCET	8940	37402	SIPO	UV	67060506
540835	1838	1997-01-08	VYDAJ	PREVOD NA UCET	8940	33533	SIPO	UV	67060506
540836	1838	1997-02-08	VYDAJ	PREVOD NA UCET	8940	30647	SIPO	UV	67060506
540837	1838	1997-03-08	VYDAJ	PREVOD NA UCET	8940	17927	SIPO	UV	67060506
540838	1838	1997-04-08	VYDAJ	PREVOD NA UCET	8940	43689	SIPO	UV	67060506
540839	1838	1997-05-08	VYDAJ	PREVOD NA UCET	8940	40891	SIPO	UV	67060506
540840	1838	1997-06-08	VYDAJ	PREVOD NA UCET	8940	53351	SIPO	UV	67060506
540841	1838	1997-07-08	VYDAJ	PREVOD NA UCET	8940	54965	SIPO	UV	67060506
540842	1838	1997-08-08	VYDAJ	PREVOD NA UCET	8940	69477	SIPO	UV	67060506
540843	1838	1997-09-08	VYDAJ	PREVOD NA UCET	8940	41689	SIPO	UV	67060506
540844	1838	1997-10-08	VYDAJ	PREVOD NA UCET	8940	34225	SIPO	UV	67060506
540845	1838	1997-11-08	VYDAJ	PREVOD NA UCET	8940	18820	SIPO	UV	67060506
540846	1838	1997-12-08	VYDAJ	PREVOD NA UCET	8940	18244	SIPO	UV	67060506
540847	1838	1998-01-08	VYDAJ	PREVOD NA UCET	8940	31243	SIPO	UV	67060506
540848	1838	1998-02-08	VYDAJ	PREVOD NA UCET	8940	42272	SIPO	UV	67060506
540849	1838	1998-03-08	VYDAJ	PREVOD NA UCET	8940	24030	SIPO	UV	67060506
540850	1838	1998-04-08	VYDAJ	PREVOD NA UCET	8940	27318	SIPO	UV	67060506
540851	1838	1998-05-08	VYDAJ	PREVOD NA UCET	8940	18893	SIPO	UV	67060506
540852	1838	1998-06-08	VYDAJ	PREVOD NA UCET	8940	34324	SIPO	UV	67060506
540853	1838	1998-07-08	VYDAJ	PREVOD NA UCET	8940	33189	SIPO	UV	67060506
540854	1838	1998-08-08	VYDAJ	PREVOD NA UCET	8940	66366	SIPO	UV	67060506
540855	1838	1998-09-08	VYDAJ	PREVOD NA UCET	8940	17221	SIPO	UV	67060506
540856	1838	1998-10-08	VYDAJ	PREVOD NA UCET	8940	18905	SIPO	UV	67060506
540857	1838	1998-11-08	VYDAJ	PREVOD NA UCET	8940	58685	SIPO	UV	67060506
540858	1838	1998-12-08	VYDAJ	PREVOD NA UCET	8940	55359	SIPO	UV	67060506
540864	1838	1996-05-31	VYBER	VYBER	12232	18372	\N	\N	\N
540865	1838	1996-03-26	VYBER	VYBER	11048	27540	\N	\N	\N
540866	1838	1996-06-16	VYBER	VYBER	3470	23147	\N	\N	\N
540868	1838	1997-04-15	VYBER	VYBER	17730	49641	\N	\N	\N
540869	1838	1997-04-08	VYBER	VYBER	23696	52629	\N	\N	\N
540870	1838	1997-02-11	VYBER	VYBER	10109	31538	\N	\N	\N
540871	1838	1997-06-27	VYBER	VYBER	6738	63639	\N	\N	\N
540873	1838	1998-06-02	VYBER	VYBER	11598	49742	\N	\N	\N
540874	1838	1998-08-16	VYBER	VYBER	21840	53995	\N	\N	\N
540875	1838	1998-02-11	VYBER	VYBER	19080	23192	\N	\N	\N
540876	1838	1998-09-17	VYBER	VYBER	2309	14912	\N	\N	\N
540877	1838	1998-05-19	VYBER	VYBER	4492	18521	\N	\N	\N
540878	1838	1998-05-18	VYBER	VYBER	10729	23013	\N	\N	\N
540879	1838	1998-11-04	VYBER	VYBER	3732	67625	\N	\N	\N
540880	1838	1998-11-29	VYBER	VYBER	5070	79396	\N	\N	\N
540881	1838	1998-10-14	VYBER	VYBER	9418	9487	\N	\N	\N
540882	1838	1998-06-04	VYBER	VYBER	13765	35977	\N	\N	\N
540883	1838	1998-10-06	VYBER	VYBER	4308	27845	\N	\N	\N
540884	1838	1998-08-04	VYBER	VYBER	22502	26014	\N	\N	\N
540886	1838	1995-12-04	VYDAJ	VYBER	5700	36655	\N	\N	\N
540887	1838	1996-12-25	VYDAJ	VYBER	2100	42302	\N	\N	\N
540888	1838	1997-12-09	VYDAJ	VYBER	3000	5344	\N	\N	\N
540889	1838	1998-12-16	VYDAJ	VYBER	5700	58183	\N	\N	\N
540897	1838	1996-05-01	VYDAJ	VYBER	2400	25633	\N	\N	\N
540898	1838	1996-11-29	VYDAJ	VYBER	14100	46102	\N	\N	\N
540899	1838	1996-09-22	VYDAJ	VYBER	13500	89148	\N	\N	\N
540900	1838	1996-07-08	VYDAJ	VYBER	6000	17222	\N	\N	\N
540901	1838	1996-04-12	VYDAJ	VYBER	8700	10038	\N	\N	\N
540902	1838	1997-03-02	VYDAJ	VYBER	4800	26867	\N	\N	\N
540903	1838	1997-12-08	VYDAJ	VYBER	9900	8344	\N	\N	\N
540904	1838	1997-11-02	VYDAJ	VYBER	14100	20260	\N	\N	\N
540905	1838	1997-12-07	VYDAJ	VYBER	7800	27184	\N	\N	\N
540906	1838	1998-09-07	VYDAJ	VYBER	4800	26161	\N	\N	\N
540907	1838	1998-09-03	VYDAJ	VYBER	13200	30961	\N	\N	\N
540929	1838	1995-09-30	VYDAJ	VYBER	15	86359	SLUZBY	\N	\N
540930	1838	1995-10-31	VYDAJ	VYBER	15	49617	SLUZBY	\N	\N
540931	1838	1995-11-30	VYDAJ	VYBER	15	42355	SLUZBY	\N	\N
540932	1838	1995-12-31	VYDAJ	VYBER	15	64234	SLUZBY	\N	\N
540933	1838	1996-01-31	VYDAJ	VYBER	15	46610	SLUZBY	\N	\N
540934	1838	1996-02-29	VYDAJ	VYBER	15	39234	SLUZBY	\N	\N
540935	1838	1996-03-31	VYDAJ	VYBER	15	27678	SLUZBY	\N	\N
540936	1838	1996-04-30	VYDAJ	VYBER	15	28033	SLUZBY	\N	\N
540937	1838	1996-05-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
540938	1838	1996-06-30	VYDAJ	VYBER	15	23222	SLUZBY	\N	\N
540939	1838	1996-07-31	VYDAJ	VYBER	15	24856	SLUZBY	\N	\N
540940	1838	1996-08-31	VYDAJ	VYBER	15	28515	SLUZBY	\N	\N
540941	1838	1996-09-30	VYDAJ	VYBER	15	89394	SLUZBY	\N	\N
540942	1838	1996-10-31	VYDAJ	VYBER	15	60634	SLUZBY	\N	\N
540943	1838	1996-11-30	VYDAJ	VYBER	15	46342	SLUZBY	\N	\N
540944	1838	1996-12-31	VYDAJ	VYBER	15	42473	SLUZBY	\N	\N
540945	1838	1997-01-31	VYDAJ	VYBER	15	39587	SLUZBY	\N	\N
540946	1838	1997-02-28	VYDAJ	VYBER	15	31667	SLUZBY	\N	\N
540947	1838	1997-03-31	VYDAJ	VYBER	15	29934	SLUZBY	\N	\N
540948	1838	1997-04-30	VYDAJ	VYBER	15	49831	SLUZBY	\N	\N
540949	1838	1997-05-31	VYDAJ	VYBER	15	62291	SLUZBY	\N	\N
540950	1838	1997-06-30	VYDAJ	VYBER	15	63905	SLUZBY	\N	\N
540951	1838	1997-07-31	VYDAJ	VYBER	15	78417	SLUZBY	\N	\N
540952	1838	1997-08-31	VYDAJ	VYBER	15	59929	SLUZBY	\N	\N
540953	1838	1997-09-30	VYDAJ	VYBER	15	41865	SLUZBY	\N	\N
540954	1838	1997-10-31	VYDAJ	VYBER	15	34360	SLUZBY	\N	\N
540955	1838	1997-11-30	VYDAJ	VYBER	15	34084	SLUZBY	\N	\N
540956	1838	1997-12-31	VYDAJ	VYBER	15	18135	SLUZBY	\N	\N
540957	1838	1998-01-31	VYDAJ	VYBER	15	66512	SLUZBY	\N	\N
540958	1838	1998-02-28	VYDAJ	VYBER	15	33770	SLUZBY	\N	\N
540959	1838	1998-03-31	VYDAJ	VYBER	15	44858	SLUZBY	\N	\N
540960	1838	1998-04-30	VYDAJ	VYBER	15	27433	SLUZBY	\N	\N
540961	1838	1998-05-31	VYDAJ	VYBER	15	61340	SLUZBY	\N	\N
540962	1838	1998-06-30	VYDAJ	VYBER	15	56829	SLUZBY	\N	\N
540963	1838	1998-07-31	VYDAJ	VYBER	15	70716	SLUZBY	\N	\N
540964	1838	1998-08-31	VYDAJ	VYBER	15	60061	SLUZBY	\N	\N
540965	1838	1998-09-30	VYDAJ	VYBER	15	36253	SLUZBY	\N	\N
540966	1838	1998-10-31	VYDAJ	VYBER	15	94509	SLUZBY	\N	\N
540967	1838	1998-11-30	VYDAJ	VYBER	15	79701	SLUZBY	\N	\N
540968	1838	1994-06-25	PRIJEM	VKLAD	12500	12900	\N	\N	\N
540969	1838	1994-07-25	PRIJEM	VKLAD	5000	17900	\N	\N	\N
540970	1838	1994-08-24	PRIJEM	VKLAD	1400	19300	\N	\N	\N
540971	1838	1994-09-23	PRIJEM	VKLAD	4200	23500	\N	\N	\N
540972	1838	1994-10-23	PRIJEM	VKLAD	4200	27700	\N	\N	\N
540973	1838	1994-11-22	VYDAJ	VYBER	1800	25900	\N	\N	\N
540974	1838	1994-12-22	PRIJEM	VKLAD	1600	27500	\N	\N	\N
540975	1838	1995-01-21	PRIJEM	VKLAD	1600	29100	\N	\N	\N
540976	1838	1995-02-20	PRIJEM	VKLAD	1900	31000	\N	\N	\N
540977	1838	1995-03-22	VYDAJ	VYBER	2200	28800	\N	\N	\N
540978	1838	1995-04-21	VYDAJ	VYBER	12600	39482	\N	\N	\N
540979	1838	1995-05-21	VYDAJ	VYBER	5900	33637	\N	\N	\N
540980	1838	1995-06-20	VYDAJ	VYBER	13000	46916	\N	\N	\N
540981	1838	1995-07-20	VYDAJ	VYBER	28100	59311	\N	\N	\N
540982	1838	1995-08-19	VYDAJ	VYBER	13500	46060	\N	\N	\N
540983	1838	1995-09-18	VYDAJ	VYBER	26200	60794	\N	\N	\N
540984	1838	1995-10-10	VYDAJ	VYBER	50700	57371	\N	\N	\N
540985	1838	1995-10-18	VYDAJ	VYBER	8000	49371	\N	\N	\N
540986	1838	1995-11-17	PRIJEM	VKLAD	1500	42177	\N	\N	\N
540987	1838	1995-12-17	VYDAJ	VYBER	24100	63978	\N	\N	\N
540988	1838	1996-01-16	VYDAJ	VYBER	8900	46394	\N	\N	\N
540989	1838	1996-02-15	PRIJEM	VKLAD	1400	39070	\N	\N	\N
540990	1838	1996-03-16	PRIJEM	VKLAD	600	38588	\N	\N	\N
540991	1838	1996-04-15	PRIJEM	VKLAD	17900	27938	\N	\N	\N
540992	1838	1996-05-15	PRIJEM	VKLAD	13800	30493	\N	\N	\N
540993	1838	1996-06-14	PRIJEM	VKLAD	17200	26617	\N	\N	\N
540994	1838	1996-07-14	PRIJEM	VKLAD	16500	24782	\N	\N	\N
540995	1838	1996-08-13	PRIJEM	VKLAD	12500	28416	\N	\N	\N
540996	1838	1996-09-12	PRIJEM	VKLAD	11200	30775	\N	\N	\N
540997	1838	1996-10-12	VYDAJ	VYBER	20100	60354	\N	\N	\N
540998	1838	1996-11-11	VYDAJ	VYBER	16000	60202	\N	\N	\N
540999	1838	1996-12-11	PRIJEM	VKLAD	7000	44402	\N	\N	\N
541000	1838	1997-01-10	PRIJEM	VKLAD	5900	39433	\N	\N	\N
541001	1838	1997-02-09	PRIJEM	VKLAD	11000	41647	\N	\N	\N
541002	1838	1997-03-11	PRIJEM	VKLAD	11900	29827	\N	\N	\N
541003	1838	1997-04-10	VYDAJ	VYBER	700	42989	\N	\N	\N
541004	1838	1997-05-10	PRIJEM	VKLAD	6300	47191	\N	\N	\N
541005	1838	1997-05-31	VYDAJ	VYBER	53000	62306	\N	\N	\N
541006	1838	1997-06-09	VYDAJ	VYBER	19000	70377	\N	\N	\N
541007	1838	1997-07-09	VYDAJ	VYBER	5400	49565	\N	\N	\N
541008	1838	1997-08-08	VYDAJ	VYBER	9800	59677	\N	\N	\N
541009	1838	1997-09-07	VYDAJ	VYBER	9300	50629	\N	\N	\N
541010	1838	1997-10-07	PRIJEM	VKLAD	1300	43165	\N	\N	\N
541011	1838	1997-11-06	PRIJEM	VKLAD	7500	27760	\N	\N	\N
541012	1838	1997-12-06	PRIJEM	VKLAD	900	34984	\N	\N	\N
541013	1838	1998-01-05	PRIJEM	VKLAD	4500	22635	\N	\N	\N
541014	1838	1998-02-04	VYDAJ	VYBER	15300	51212	\N	\N	\N
541015	1838	1998-03-06	VYDAJ	VYBER	800	32970	\N	\N	\N
541016	1838	1998-04-05	VYDAJ	VYBER	8600	36258	\N	\N	\N
541017	1838	1998-05-05	PRIJEM	VKLAD	400	27833	\N	\N	\N
541018	1838	1998-06-04	VYDAJ	VYBER	5100	30877	\N	\N	\N
541019	1838	1998-07-04	VYDAJ	VYBER	14700	42129	\N	\N	\N
541020	1838	1998-08-03	VYDAJ	VYBER	22200	48516	\N	\N	\N
541021	1838	1998-08-11	VYDAJ	VYBER	52500	75835	\N	\N	\N
541022	1838	1998-09-02	VYDAJ	VYBER	15900	44161	\N	\N	\N
541023	1838	1998-10-02	VYDAJ	VYBER	4100	32153	\N	\N	\N
541024	1838	1998-10-24	VYDAJ	VYBER	21300	94285	\N	\N	\N
541025	1838	1998-11-01	VYDAJ	VYBER	35300	59209	\N	\N	\N
541026	1838	1998-11-24	VYDAJ	VYBER	34700	84466	\N	\N	\N
541027	1838	1998-12-01	VYDAJ	VYBER	30900	48801	\N	\N	\N
541074	1839	1997-06-22	PRIJEM	VKLAD	600	600	\N	\N	\N
541081	1839	1997-07-11	PRIJEM	VKLAD	13538	14138	\N	\N	\N
541082	1839	1997-08-11	PRIJEM	VKLAD	13538	30399	\N	\N	\N
541083	1839	1997-09-11	PRIJEM	VKLAD	13538	42124	\N	\N	\N
541084	1839	1997-10-11	PRIJEM	VKLAD	13538	43483	\N	\N	\N
541085	1839	1997-11-11	PRIJEM	VKLAD	13538	45649	\N	\N	\N
541086	1839	1997-12-11	PRIJEM	VKLAD	20307	48890	\N	\N	\N
541087	1839	1998-01-11	PRIJEM	VKLAD	13538	42082	\N	\N	\N
541088	1839	1998-02-11	PRIJEM	VKLAD	13538	49272	\N	\N	\N
541089	1839	1998-03-11	PRIJEM	VKLAD	13538	51589	\N	\N	\N
541090	1839	1998-04-11	PRIJEM	VKLAD	13538	50901	\N	\N	\N
541091	1839	1998-05-11	PRIJEM	VKLAD	13538	51611	\N	\N	\N
541092	1839	1998-06-11	PRIJEM	VKLAD	20307	56790	\N	\N	\N
541093	1839	1998-07-11	PRIJEM	VKLAD	13538	46602	\N	\N	\N
541094	1839	1998-08-11	PRIJEM	VKLAD	13538	50399	\N	\N	\N
541095	1839	1998-09-11	PRIJEM	VKLAD	13538	52307	\N	\N	\N
541096	1839	1998-10-11	PRIJEM	VKLAD	13538	58330	\N	\N	\N
541097	1839	1998-11-11	PRIJEM	VKLAD	13538	61672	\N	\N	\N
541098	1839	1998-12-11	PRIJEM	VKLAD	20307	73100	\N	\N	\N
541110	1839	1997-12-09	VYDAJ	PREVOD NA UCET	3093	28583	SIPO	OP	76028460
541111	1839	1998-01-09	VYDAJ	PREVOD NA UCET	3093	28544	SIPO	OP	76028460
541112	1839	1998-02-09	VYDAJ	PREVOD NA UCET	3093	35734	SIPO	OP	76028460
541113	1839	1998-03-09	VYDAJ	PREVOD NA UCET	3093	38051	SIPO	OP	76028460
541114	1839	1998-04-09	VYDAJ	PREVOD NA UCET	3093	37363	SIPO	OP	76028460
541115	1839	1998-05-09	VYDAJ	PREVOD NA UCET	3093	38073	SIPO	OP	76028460
541116	1839	1998-06-09	VYDAJ	PREVOD NA UCET	3093	36483	SIPO	OP	76028460
541117	1839	1998-07-09	VYDAJ	PREVOD NA UCET	3093	33064	SIPO	OP	76028460
541118	1839	1998-08-09	VYDAJ	PREVOD NA UCET	3093	36861	SIPO	OP	76028460
541119	1839	1998-09-09	VYDAJ	PREVOD NA UCET	3093	38769	SIPO	OP	76028460
541120	1839	1998-10-09	VYDAJ	PREVOD NA UCET	3093	44792	SIPO	OP	76028460
541121	1839	1998-11-09	VYDAJ	PREVOD NA UCET	3093	48134	SIPO	OP	76028460
541122	1839	1998-12-09	VYDAJ	PREVOD NA UCET	3093	52793	SIPO	OP	76028460
541124	1839	1998-06-29	VYDAJ	VYBER	6300	35990	\N	\N	\N
541126	1839	1998-01-06	VYDAJ	VYBER	5400	31637	\N	\N	\N
541127	1839	1997-12-05	VYDAJ	VYBER	1800	31676	\N	\N	\N
541128	1839	1998-12-12	VYDAJ	VYBER	1000	72100	\N	\N	\N
541130	1839	1997-12-01	VYDAJ	VYBER	3600	33476	\N	\N	\N
541133	1839	1998-03-26	VYDAJ	VYBER	600	40289	\N	\N	\N
541134	1839	1998-02-17	VYDAJ	VYBER	1300	47972	\N	\N	\N
541135	1839	1998-06-13	VYDAJ	VYBER	1700	55090	\N	\N	\N
541136	1839	1998-05-25	VYDAJ	VYBER	2500	39411	\N	\N	\N
541148	1839	1997-11-30	VYDAJ	VYBER	15	37076	SLUZBY	\N	\N
541149	1839	1997-12-31	VYDAJ	VYBER	15	37037	SLUZBY	\N	\N
541150	1839	1998-01-31	VYDAJ	VYBER	15	38827	SLUZBY	\N	\N
541151	1839	1998-02-28	VYDAJ	VYBER	15	41144	SLUZBY	\N	\N
541152	1839	1998-03-31	VYDAJ	VYBER	15	40456	SLUZBY	\N	\N
541153	1839	1998-04-30	VYDAJ	VYBER	15	41166	SLUZBY	\N	\N
541154	1839	1998-05-31	VYDAJ	VYBER	15	39576	SLUZBY	\N	\N
541155	1839	1998-06-30	VYDAJ	VYBER	15	36157	SLUZBY	\N	\N
541156	1839	1998-07-31	VYDAJ	VYBER	15	39954	SLUZBY	\N	\N
541157	1839	1998-08-31	VYDAJ	VYBER	15	41862	SLUZBY	\N	\N
541158	1839	1998-09-30	VYDAJ	VYBER	15	47885	SLUZBY	\N	\N
541159	1839	1998-10-31	VYDAJ	VYBER	15	51227	SLUZBY	\N	\N
541160	1839	1998-11-30	VYDAJ	VYBER	15	55886	SLUZBY	\N	\N
541161	1839	1997-07-22	PRIJEM	VKLAD	2700	16838	\N	\N	\N
541162	1839	1997-08-21	VYDAJ	VYBER	1900	28499	\N	\N	\N
541163	1839	1997-09-20	VYDAJ	VYBER	12300	29824	\N	\N	\N
541164	1839	1997-10-20	VYDAJ	VYBER	11500	31983	\N	\N	\N
541165	1839	1997-11-19	VYDAJ	VYBER	8700	36949	\N	\N	\N
541166	1839	1997-12-19	VYDAJ	VYBER	12000	36890	\N	\N	\N
541167	1839	1998-01-18	VYDAJ	VYBER	3400	38682	\N	\N	\N
541168	1839	1998-02-17	VYDAJ	VYBER	7000	40972	\N	\N	\N
541169	1839	1998-03-19	VYDAJ	VYBER	10700	40889	\N	\N	\N
541170	1839	1998-04-18	VYDAJ	VYBER	9900	41001	\N	\N	\N
541171	1839	1998-05-18	VYDAJ	VYBER	9700	41911	\N	\N	\N
541172	1839	1998-06-17	VYDAJ	VYBER	12800	42290	\N	\N	\N
541173	1839	1998-07-17	VYDAJ	VYBER	6800	39802	\N	\N	\N
541174	1839	1998-08-16	VYDAJ	VYBER	8700	41699	\N	\N	\N
541175	1839	1998-09-15	VYDAJ	VYBER	4600	47707	\N	\N	\N
541176	1839	1998-10-15	VYDAJ	VYBER	7300	51030	\N	\N	\N
541177	1839	1998-11-14	VYDAJ	VYBER	6000	55672	\N	\N	\N
541196	1840	1997-01-22	PRIJEM	VKLAD	900	900	\N	\N	\N
541198	1840	1997-02-05	PRIJEM	VKLAD	8806	9706	\N	\N	\N
541199	1840	1997-03-05	PRIJEM	VKLAD	8806	24230	\N	\N	\N
541200	1840	1997-04-05	PRIJEM	VKLAD	8806	33712	\N	\N	\N
541201	1840	1997-05-05	PRIJEM	VKLAD	8806	36425	\N	\N	\N
541202	1840	1997-06-05	PRIJEM	VKLAD	13209	43051	\N	\N	\N
541203	1840	1997-07-05	PRIJEM	VKLAD	8806	26873	\N	\N	\N
541204	1840	1997-08-05	PRIJEM	VKLAD	8806	27740	\N	\N	\N
541205	1840	1997-09-05	PRIJEM	VKLAD	8806	31516	\N	\N	\N
541206	1840	1997-10-05	PRIJEM	VKLAD	8806	31204	\N	\N	\N
541207	1840	1997-11-05	PRIJEM	VKLAD	8806	33200	\N	\N	\N
541208	1840	1997-12-05	PRIJEM	VKLAD	13209	34995	\N	\N	\N
541209	1840	1998-01-05	PRIJEM	VKLAD	8806	32003	\N	\N	\N
541210	1840	1998-02-05	PRIJEM	VKLAD	8806	24380	\N	\N	\N
541211	1840	1998-03-05	PRIJEM	VKLAD	8806	22939	\N	\N	\N
541212	1840	1998-04-05	PRIJEM	VKLAD	8806	23407	\N	\N	\N
541213	1840	1998-05-05	PRIJEM	VKLAD	8806	25462	\N	\N	\N
541214	1840	1998-06-05	PRIJEM	VKLAD	13209	31730	\N	\N	\N
541215	1840	1998-07-05	PRIJEM	VKLAD	8806	24895	\N	\N	\N
541216	1840	1998-08-05	PRIJEM	VKLAD	8806	27663	\N	\N	\N
541217	1840	1998-09-05	PRIJEM	VKLAD	8806	26330	\N	\N	\N
541218	1840	1998-10-05	PRIJEM	VKLAD	8806	32609	\N	\N	\N
541219	1840	1998-11-05	PRIJEM	VKLAD	8806	28496	\N	\N	\N
541220	1840	1998-12-05	PRIJEM	VKLAD	13209	25978	\N	\N	\N
541221	1840	1997-06-08	VYDAJ	VYBER	24500	17651	\N	\N	\N
541222	1840	1998-06-19	VYDAJ	VYBER	5300	16030	\N	\N	\N
541224	1840	1998-01-26	VYDAJ	VYBER	3300	15503	\N	\N	\N
541225	1840	1997-12-03	VYDAJ	VYBER	2000	21786	\N	\N	\N
541226	1840	1998-12-05	VYDAJ	VYBER	500	25478	\N	\N	\N
541228	1840	1997-06-08	VYDAJ	VYBER	900	42151	\N	\N	\N
541229	1840	1997-10-05	VYDAJ	VYBER	4100	27104	\N	\N	\N
541230	1840	1997-09-24	VYDAJ	VYBER	2900	22316	\N	\N	\N
541232	1840	1998-11-13	VYDAJ	VYBER	3200	22096	\N	\N	\N
541233	1840	1998-07-10	VYDAJ	VYBER	3200	21695	\N	\N	\N
541234	1840	1998-03-03	VYDAJ	VYBER	2900	14133	\N	\N	\N
541235	1840	1998-03-21	VYDAJ	VYBER	900	14539	\N	\N	\N
541236	1840	1998-08-17	VYDAJ	VYBER	3400	17463	\N	\N	\N
541237	1840	1998-11-11	VYDAJ	VYBER	3200	25296	\N	\N	\N
541238	1840	1998-10-27	VYDAJ	VYBER	4100	19609	\N	\N	\N
541245	1840	1997-06-30	VYDAJ	VYBER	15	18067	SLUZBY	\N	\N
541246	1840	1997-07-31	VYDAJ	VYBER	15	18934	SLUZBY	\N	\N
541247	1840	1997-08-31	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
541248	1840	1997-09-30	VYDAJ	VYBER	15	22398	SLUZBY	\N	\N
541249	1840	1997-10-31	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
541250	1840	1997-11-30	VYDAJ	VYBER	15	23786	SLUZBY	\N	\N
541251	1840	1997-12-31	VYDAJ	VYBER	15	23197	SLUZBY	\N	\N
541252	1840	1998-01-31	VYDAJ	VYBER	15	15574	SLUZBY	\N	\N
541253	1840	1998-02-28	VYDAJ	VYBER	15	17033	SLUZBY	\N	\N
541254	1840	1998-03-31	VYDAJ	VYBER	15	14601	SLUZBY	\N	\N
541255	1840	1998-04-30	VYDAJ	VYBER	15	16656	SLUZBY	\N	\N
541256	1840	1998-05-31	VYDAJ	VYBER	15	18521	SLUZBY	\N	\N
541257	1840	1998-06-30	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
541258	1840	1998-07-31	VYDAJ	VYBER	15	18857	SLUZBY	\N	\N
541259	1840	1998-08-31	VYDAJ	VYBER	15	17524	SLUZBY	\N	\N
541260	1840	1998-09-30	VYDAJ	VYBER	15	23803	SLUZBY	\N	\N
541261	1840	1998-10-31	VYDAJ	VYBER	15	19690	SLUZBY	\N	\N
541262	1840	1998-11-30	VYDAJ	VYBER	15	12769	SLUZBY	\N	\N
541263	1840	1997-02-21	PRIJEM	VKLAD	5700	15406	\N	\N	\N
541264	1840	1997-03-23	PRIJEM	VKLAD	600	24830	\N	\N	\N
541265	1840	1997-04-22	VYDAJ	VYBER	6200	27512	\N	\N	\N
541266	1840	1997-05-22	VYDAJ	VYBER	6700	29725	\N	\N	\N
541267	1840	1997-06-21	PRIJEM	VKLAD	300	17951	\N	\N	\N
541268	1840	1997-07-21	VYDAJ	VYBER	8000	18873	\N	\N	\N
541269	1840	1997-08-20	VYDAJ	VYBER	5100	22640	\N	\N	\N
541270	1840	1997-09-19	VYDAJ	VYBER	6300	25216	\N	\N	\N
541271	1840	1997-10-19	VYDAJ	VYBER	2800	24304	\N	\N	\N
541272	1840	1997-11-18	VYDAJ	VYBER	9500	23700	\N	\N	\N
541273	1840	1997-12-18	VYDAJ	VYBER	11900	23095	\N	\N	\N
541274	1840	1998-01-17	VYDAJ	VYBER	13200	18803	\N	\N	\N
541275	1840	1998-02-16	VYDAJ	VYBER	7400	16980	\N	\N	\N
541276	1840	1998-03-18	VYDAJ	VYBER	7500	15439	\N	\N	\N
541277	1840	1998-04-17	VYDAJ	VYBER	6800	16607	\N	\N	\N
541278	1840	1998-05-17	VYDAJ	VYBER	7000	18462	\N	\N	\N
541279	1840	1998-06-16	VYDAJ	VYBER	10400	21330	\N	\N	\N
541280	1840	1998-07-16	VYDAJ	VYBER	2900	18795	\N	\N	\N
541281	1840	1998-08-15	VYDAJ	VYBER	6800	20863	\N	\N	\N
541282	1840	1998-09-14	VYDAJ	VYBER	2600	23730	\N	\N	\N
541283	1840	1998-10-14	VYDAJ	VYBER	8900	23709	\N	\N	\N
541284	1840	1998-11-13	VYDAJ	VYBER	9400	12696	\N	\N	\N
541308	1841	1997-06-12	PRIJEM	VKLAD	300	300	\N	\N	\N
541315	1841	1997-07-11	PRIJEM	VKLAD	4649	4949	\N	\N	\N
541316	1841	1997-08-11	PRIJEM	VKLAD	4649	22847	\N	\N	\N
541317	1841	1997-09-11	PRIJEM	VKLAD	4649	31085	\N	\N	\N
541318	1841	1997-10-11	PRIJEM	VKLAD	4649	36552	\N	\N	\N
541319	1841	1997-11-11	PRIJEM	VKLAD	4649	35746	\N	\N	\N
541320	1841	1997-12-11	PRIJEM	VKLAD	6974	38757	\N	\N	\N
541321	1841	1998-01-11	PRIJEM	VKLAD	4649	34286	\N	\N	\N
541322	1841	1998-02-11	PRIJEM	VKLAD	4649	35861	\N	\N	\N
541323	1841	1998-03-11	PRIJEM	VKLAD	4649	37442	\N	\N	\N
541324	1841	1998-04-11	PRIJEM	VKLAD	4649	44430	\N	\N	\N
541325	1841	1998-05-11	PRIJEM	VKLAD	4649	48341	\N	\N	\N
541326	1841	1998-06-11	PRIJEM	VKLAD	6974	52497	\N	\N	\N
541327	1841	1998-07-11	PRIJEM	VKLAD	4649	51144	\N	\N	\N
541328	1841	1998-08-11	PRIJEM	VKLAD	4649	49591	\N	\N	\N
541329	1841	1998-09-11	PRIJEM	VKLAD	4649	40737	\N	\N	\N
541330	1841	1998-10-11	PRIJEM	VKLAD	4649	43540	\N	\N	\N
541331	1841	1998-11-11	PRIJEM	VKLAD	4649	43791	\N	\N	\N
541332	1841	1998-12-11	PRIJEM	VKLAD	6974	49630	\N	\N	\N
541344	1841	1997-12-07	VYDAJ	PREVOD NA UCET	2840	32783	SIPO	MN	89823549
541345	1841	1998-01-07	VYDAJ	PREVOD NA UCET	2840	19637	SIPO	MN	89823549
541346	1841	1998-02-07	VYDAJ	PREVOD NA UCET	2840	31212	SIPO	MN	89823549
541347	1841	1998-03-07	VYDAJ	PREVOD NA UCET	2840	32893	SIPO	MN	89823549
541348	1841	1998-04-07	VYDAJ	PREVOD NA UCET	2840	34481	SIPO	MN	89823549
541349	1841	1998-05-07	VYDAJ	PREVOD NA UCET	2840	41492	SIPO	MN	89823549
541350	1841	1998-06-07	VYDAJ	PREVOD NA UCET	2840	45523	SIPO	MN	89823549
541351	1841	1998-07-07	VYDAJ	PREVOD NA UCET	2840	49595	SIPO	MN	89823549
541352	1841	1998-08-07	VYDAJ	PREVOD NA UCET	2840	44942	SIPO	MN	89823549
541353	1841	1998-09-07	VYDAJ	PREVOD NA UCET	2840	36088	SIPO	MN	89823549
541354	1841	1998-10-07	VYDAJ	PREVOD NA UCET	2840	38891	SIPO	MN	89823549
541355	1841	1998-11-07	VYDAJ	PREVOD NA UCET	2840	39142	SIPO	MN	89823549
541356	1841	1998-12-07	VYDAJ	PREVOD NA UCET	2840	42656	SIPO	MN	89823549
541368	1841	1997-12-06	VYDAJ	PREVOD NA UCET	259	35623	 	KL	52448677
541369	1841	1998-01-06	VYDAJ	PREVOD NA UCET	259	22477	 	KL	52448677
541370	1841	1998-02-06	VYDAJ	PREVOD NA UCET	259	34152	 	KL	52448677
541371	1841	1998-03-06	VYDAJ	PREVOD NA UCET	259	35733	 	KL	52448677
541372	1841	1998-04-06	VYDAJ	PREVOD NA UCET	259	37321	 	KL	52448677
541373	1841	1998-05-06	VYDAJ	PREVOD NA UCET	259	44332	 	KL	52448677
541374	1841	1998-06-06	VYDAJ	PREVOD NA UCET	259	48263	 	KL	52448677
541375	1841	1998-07-06	VYDAJ	PREVOD NA UCET	259	52435	 	KL	52448677
541376	1841	1998-08-06	VYDAJ	PREVOD NA UCET	259	51082	 	KL	52448677
541377	1841	1998-09-06	VYDAJ	PREVOD NA UCET	259	38928	 	KL	52448677
541378	1841	1998-10-06	VYDAJ	PREVOD NA UCET	259	41731	 	KL	52448677
541379	1841	1998-11-06	VYDAJ	PREVOD NA UCET	259	41982	 	KL	52448677
541380	1841	1998-12-06	VYDAJ	PREVOD NA UCET	259	45496	 	KL	52448677
541384	1841	1998-01-04	VYDAJ	VYBER	14880	22736	\N	\N	\N
541385	1841	1997-12-22	VYDAJ	VYBER	1280	37477	\N	\N	\N
541386	1841	1998-12-18	VYDAJ	VYBER	4160	45470	\N	\N	\N
541388	1841	1998-10-26	VYDAJ	VYBER	1560	41980	\N	\N	\N
541389	1841	1998-08-27	VYDAJ	VYBER	2520	41911	\N	\N	\N
541390	1841	1998-08-14	VYDAJ	VYBER	5160	44431	\N	\N	\N
541402	1841	1997-11-30	VYDAJ	VYBER	15	35882	SLUZBY	\N	\N
541403	1841	1997-12-31	VYDAJ	VYBER	15	37616	SLUZBY	\N	\N
541404	1841	1998-01-31	VYDAJ	VYBER	15	34411	SLUZBY	\N	\N
541405	1841	1998-02-28	VYDAJ	VYBER	15	35992	SLUZBY	\N	\N
541406	1841	1998-03-31	VYDAJ	VYBER	15	37580	SLUZBY	\N	\N
541407	1841	1998-04-30	VYDAJ	VYBER	15	44591	SLUZBY	\N	\N
541408	1841	1998-05-31	VYDAJ	VYBER	15	48522	SLUZBY	\N	\N
541409	1841	1998-06-30	VYDAJ	VYBER	15	52694	SLUZBY	\N	\N
541410	1841	1998-07-31	VYDAJ	VYBER	15	51341	SLUZBY	\N	\N
541411	1841	1998-08-31	VYDAJ	VYBER	15	42087	SLUZBY	\N	\N
541412	1841	1998-09-30	VYDAJ	VYBER	15	40890	SLUZBY	\N	\N
541413	1841	1998-10-31	VYDAJ	VYBER	15	42141	SLUZBY	\N	\N
541414	1841	1998-11-30	VYDAJ	VYBER	15	43955	SLUZBY	\N	\N
541415	1841	1997-07-12	PRIJEM	VKLAD	13200	18149	\N	\N	\N
541416	1841	1997-08-11	PRIJEM	VKLAD	100	22947	\N	\N	\N
541417	1841	1997-09-10	PRIJEM	VKLAD	3400	26436	\N	\N	\N
541418	1841	1997-10-10	PRIJEM	VKLAD	700	31903	\N	\N	\N
541419	1841	1997-11-09	VYDAJ	VYBER	5600	31097	\N	\N	\N
541420	1841	1997-12-09	VYDAJ	VYBER	1000	31783	\N	\N	\N
541421	1841	1998-01-08	PRIJEM	VKLAD	10000	29637	\N	\N	\N
541422	1841	1998-02-07	VYDAJ	VYBER	100	34052	\N	\N	\N
541423	1841	1998-03-09	VYDAJ	VYBER	100	32793	\N	\N	\N
541424	1841	1998-04-08	PRIJEM	VKLAD	5300	39781	\N	\N	\N
541425	1841	1998-05-08	PRIJEM	VKLAD	2200	43692	\N	\N	\N
541426	1841	1998-06-07	PRIJEM	VKLAD	100	48363	\N	\N	\N
541427	1841	1998-07-07	VYDAJ	VYBER	3100	46495	\N	\N	\N
541428	1841	1998-08-06	VYDAJ	VYBER	3300	47782	\N	\N	\N
541429	1841	1998-09-05	VYDAJ	VYBER	2900	39187	\N	\N	\N
541430	1841	1998-10-05	PRIJEM	VKLAD	1100	41990	\N	\N	\N
541431	1841	1998-11-04	PRIJEM	VKLAD	100	42241	\N	\N	\N
541432	1841	1998-12-04	PRIJEM	VKLAD	1800	45755	\N	\N	\N
541681	1843	1993-01-30	PRIJEM	VKLAD	1000	1000	\N	\N	\N
541683	1843	1993-02-07	PRIJEM	PREVOD Z UCTU	17632	18632	\N	QR	76294219
541684	1843	1993-03-07	PRIJEM	PREVOD Z UCTU	17632	40164	\N	QR	76294219
541685	1843	1993-04-07	PRIJEM	PREVOD Z UCTU	17632	49330	\N	QR	76294219
541686	1843	1993-05-07	PRIJEM	PREVOD Z UCTU	17632	54895	\N	QR	76294219
541687	1843	1993-06-07	PRIJEM	PREVOD Z UCTU	26448	65899	\N	QR	76294219
541688	1843	1993-07-07	PRIJEM	PREVOD Z UCTU	17632	56923	\N	QR	76294219
541689	1843	1993-08-07	PRIJEM	PREVOD Z UCTU	17632	51925	\N	QR	76294219
541690	1843	1993-09-07	PRIJEM	PREVOD Z UCTU	17632	37534	\N	QR	76294219
541691	1843	1993-10-07	PRIJEM	PREVOD Z UCTU	17632	45323	\N	QR	76294219
541692	1843	1993-11-07	PRIJEM	PREVOD Z UCTU	17632	48142	\N	QR	76294219
541693	1843	1993-12-07	PRIJEM	PREVOD Z UCTU	26448	49036	\N	QR	76294219
541694	1843	1994-01-07	PRIJEM	PREVOD Z UCTU	17632	40728	\N	QR	76294219
541695	1843	1994-02-07	PRIJEM	PREVOD Z UCTU	17632	38314	\N	QR	76294219
541696	1843	1994-03-07	PRIJEM	PREVOD Z UCTU	17632	45104	\N	QR	76294219
541697	1843	1994-04-07	PRIJEM	PREVOD Z UCTU	17632	40197	\N	QR	76294219
541698	1843	1994-05-07	PRIJEM	PREVOD Z UCTU	17632	39965	\N	QR	76294219
541699	1843	1994-06-07	PRIJEM	PREVOD Z UCTU	26448	51071	\N	QR	76294219
541700	1843	1994-07-07	PRIJEM	PREVOD Z UCTU	17632	46850	\N	QR	76294219
541701	1843	1994-08-07	PRIJEM	PREVOD Z UCTU	17632	40370	\N	QR	76294219
541702	1843	1994-09-07	PRIJEM	PREVOD Z UCTU	17632	44567	\N	QR	76294219
541703	1843	1994-10-07	PRIJEM	PREVOD Z UCTU	17632	47000	\N	QR	76294219
541704	1843	1994-11-07	PRIJEM	PREVOD Z UCTU	17632	38867	\N	QR	76294219
541705	1843	1994-12-07	PRIJEM	PREVOD Z UCTU	26448	50476	\N	QR	76294219
541706	1843	1995-01-07	PRIJEM	PREVOD Z UCTU	17632	44145	\N	QR	76294219
541707	1843	1995-02-07	PRIJEM	PREVOD Z UCTU	17632	38536	\N	QR	76294219
541708	1843	1995-03-07	PRIJEM	PREVOD Z UCTU	17632	39320	\N	QR	76294219
541709	1843	1995-04-07	PRIJEM	PREVOD Z UCTU	17632	45314	\N	QR	76294219
541710	1843	1995-05-07	PRIJEM	PREVOD Z UCTU	17632	48528	\N	QR	76294219
541711	1843	1995-06-07	PRIJEM	PREVOD Z UCTU	26448	49254	\N	QR	76294219
541712	1843	1995-07-07	PRIJEM	PREVOD Z UCTU	17632	42943	\N	QR	76294219
541713	1843	1995-08-07	PRIJEM	PREVOD Z UCTU	17632	44344	\N	QR	76294219
541714	1843	1995-09-07	PRIJEM	PREVOD Z UCTU	17632	45348	\N	QR	76294219
541715	1843	1995-10-07	PRIJEM	PREVOD Z UCTU	17632	46055	\N	QR	76294219
541716	1843	1995-11-07	PRIJEM	PREVOD Z UCTU	17632	49871	\N	QR	76294219
541717	1843	1995-12-07	PRIJEM	PREVOD Z UCTU	26448	59212	\N	QR	76294219
541718	1843	1996-01-07	PRIJEM	PREVOD Z UCTU	17632	45960	\N	QR	76294219
541719	1843	1996-02-07	PRIJEM	PREVOD Z UCTU	17632	37549	\N	QR	76294219
541720	1843	1996-03-07	PRIJEM	PREVOD Z UCTU	17632	44636	\N	QR	76294219
541721	1843	1996-04-07	PRIJEM	PREVOD Z UCTU	17632	49247	\N	QR	76294219
541722	1843	1996-05-07	PRIJEM	PREVOD Z UCTU	17632	51270	\N	QR	76294219
541723	1843	1996-06-07	PRIJEM	PREVOD Z UCTU	26448	59311	\N	QR	76294219
541724	1843	1996-07-07	PRIJEM	PREVOD Z UCTU	17632	52874	\N	QR	76294219
541725	1843	1996-08-07	PRIJEM	PREVOD Z UCTU	17632	41651	\N	QR	76294219
541726	1843	1996-09-07	PRIJEM	PREVOD Z UCTU	17632	32146	\N	QR	76294219
541727	1843	1996-10-07	PRIJEM	PREVOD Z UCTU	17632	33952	\N	QR	76294219
541728	1843	1996-11-07	PRIJEM	PREVOD Z UCTU	17632	35754	\N	QR	76294219
541729	1843	1996-12-07	PRIJEM	PREVOD Z UCTU	26448	43067	\N	QR	76294219
541730	1843	1997-01-07	PRIJEM	PREVOD Z UCTU	17632	42087	\N	QR	76294219
541731	1843	1997-02-07	PRIJEM	PREVOD Z UCTU	17632	29187	\N	QR	76294219
541732	1843	1997-03-07	PRIJEM	PREVOD Z UCTU	17632	34478	\N	QR	76294219
541733	1843	1997-04-07	PRIJEM	PREVOD Z UCTU	17632	38088	\N	QR	76294219
541734	1843	1997-05-07	PRIJEM	PREVOD Z UCTU	17632	43919	\N	QR	76294219
541735	1843	1997-06-07	PRIJEM	PREVOD Z UCTU	26448	55484	\N	QR	76294219
541736	1843	1997-07-07	PRIJEM	PREVOD Z UCTU	17632	52958	\N	QR	76294219
541737	1843	1997-08-07	PRIJEM	PREVOD Z UCTU	17632	48829	\N	QR	76294219
541738	1843	1997-09-07	PRIJEM	PREVOD Z UCTU	17632	57502	\N	QR	76294219
541739	1843	1997-10-07	PRIJEM	PREVOD Z UCTU	17632	62920	\N	QR	76294219
541740	1843	1997-11-07	PRIJEM	PREVOD Z UCTU	17632	62278	\N	QR	76294219
541741	1843	1997-12-07	PRIJEM	PREVOD Z UCTU	26448	66237	\N	QR	76294219
541742	1843	1998-01-07	PRIJEM	PREVOD Z UCTU	17632	56895	\N	QR	76294219
541743	1843	1998-02-07	PRIJEM	PREVOD Z UCTU	17632	44039	\N	QR	76294219
541744	1843	1998-03-07	PRIJEM	PREVOD Z UCTU	17632	51593	\N	QR	76294219
541745	1843	1998-04-07	PRIJEM	PREVOD Z UCTU	17632	55188	\N	QR	76294219
541746	1843	1998-05-07	PRIJEM	PREVOD Z UCTU	17632	61803	\N	QR	76294219
541747	1843	1998-06-07	PRIJEM	PREVOD Z UCTU	26448	71458	\N	QR	76294219
541748	1843	1998-07-07	PRIJEM	PREVOD Z UCTU	17632	60387	\N	QR	76294219
541749	1843	1998-08-07	PRIJEM	PREVOD Z UCTU	17632	61724	\N	QR	76294219
541750	1843	1998-09-07	PRIJEM	PREVOD Z UCTU	17632	58560	\N	QR	76294219
541751	1843	1998-10-07	PRIJEM	PREVOD Z UCTU	17632	62895	\N	QR	76294219
541752	1843	1998-11-07	PRIJEM	PREVOD Z UCTU	17632	50302	\N	QR	76294219
541753	1843	1998-12-07	PRIJEM	PREVOD Z UCTU	26448	56341	\N	QR	76294219
541759	1843	1993-06-11	VYDAJ	VYBER	2800	63099	\N	\N	0
541760	1843	1993-07-18	VYDAJ	VYBER	4300	45629	\N	\N	0
541761	1843	1993-08-12	VYDAJ	PREVOD NA UCET	2939	31493	UVER	QR	70984434
541762	1843	1993-09-12	VYDAJ	PREVOD NA UCET	2939	34595	UVER	QR	70984434
541763	1843	1993-10-12	VYDAJ	PREVOD NA UCET	2939	42384	UVER	QR	70984434
541764	1843	1993-11-12	VYDAJ	PREVOD NA UCET	2939	45204	UVER	QR	70984434
541765	1843	1993-12-12	VYDAJ	PREVOD NA UCET	2939	38297	UVER	QR	70984434
541766	1843	1994-01-12	VYDAJ	PREVOD NA UCET	2939	29689	UVER	QR	70984434
541767	1843	1994-02-12	VYDAJ	PREVOD NA UCET	2939	35375	UVER	QR	70984434
541768	1843	1994-03-12	VYDAJ	PREVOD NA UCET	2939	31366	UVER	QR	70984434
541769	1843	1994-04-12	VYDAJ	PREVOD NA UCET	2939	22859	UVER	QR	70984434
541770	1843	1994-05-12	VYDAJ	PREVOD NA UCET	2939	37026	UVER	QR	70984434
541771	1843	1994-06-12	VYDAJ	PREVOD NA UCET	2939	48132	UVER	QR	70984434
541772	1843	1994-07-12	VYDAJ	PREVOD NA UCET	2939	32839	UVER	QR	70984434
541773	1843	1994-08-12	VYDAJ	PREVOD NA UCET	2939	37431	UVER	QR	70984434
541774	1843	1994-09-12	VYDAJ	PREVOD NA UCET	2939	41628	UVER	QR	70984434
541775	1843	1994-10-12	VYDAJ	PREVOD NA UCET	2939	44061	UVER	QR	70984434
541776	1843	1994-11-12	VYDAJ	PREVOD NA UCET	2939	35928	UVER	QR	70984434
541777	1843	1994-12-12	VYDAJ	PREVOD NA UCET	2939	35091	UVER	QR	70984434
541778	1843	1995-01-12	VYDAJ	PREVOD NA UCET	2939	41207	UVER	QR	70984434
541779	1843	1995-02-12	VYDAJ	PREVOD NA UCET	2939	35597	UVER	QR	70984434
541780	1843	1995-03-12	VYDAJ	PREVOD NA UCET	2939	36381	UVER	QR	70984434
541781	1843	1995-04-12	VYDAJ	PREVOD NA UCET	2939	42375	UVER	QR	70984434
541782	1843	1995-05-12	VYDAJ	PREVOD NA UCET	2939	45589	UVER	QR	70984434
541783	1843	1995-06-12	VYDAJ	PREVOD NA UCET	2939	34315	UVER	QR	70984434
541784	1843	1995-07-12	VYDAJ	PREVOD NA UCET	2939	40005	UVER	QR	70984434
541785	1843	1995-08-12	VYDAJ	PREVOD NA UCET	2939	41405	UVER	QR	70984434
541786	1843	1995-09-12	VYDAJ	PREVOD NA UCET	2939	42409	UVER	QR	70984434
541787	1843	1995-10-12	VYDAJ	PREVOD NA UCET	2939	43117	UVER	QR	70984434
541788	1843	1995-11-12	VYDAJ	PREVOD NA UCET	2939	46933	UVER	QR	70984434
541789	1843	1995-12-12	VYDAJ	PREVOD NA UCET	2939	53873	UVER	QR	70984434
541790	1843	1996-01-12	VYDAJ	PREVOD NA UCET	2939	25321	UVER	QR	70984434
541791	1843	1996-02-12	VYDAJ	PREVOD NA UCET	2939	34611	UVER	QR	70984434
541792	1843	1996-03-12	VYDAJ	PREVOD NA UCET	2939	41697	UVER	QR	70984434
541793	1843	1996-04-12	VYDAJ	PREVOD NA UCET	2939	46308	UVER	QR	70984434
541794	1843	1996-05-12	VYDAJ	PREVOD NA UCET	2939	48331	UVER	QR	70984434
541795	1843	1996-06-12	VYDAJ	PREVOD NA UCET	2939	56372	UVER	QR	70984434
541796	1843	1996-07-12	VYDAJ	PREVOD NA UCET	2939	49935	UVER	QR	70984434
541797	1843	1996-08-05	VYDAJ	VYBER	3200	24019	\N	\N	0
541798	1843	1996-09-05	VYDAJ	VYBER	2400	14514	\N	\N	0
541799	1843	1996-09-29	VYDAJ	VYBER	1800	16252	\N	\N	0
541800	1843	1996-10-28	VYDAJ	VYBER	2100	18058	\N	\N	0
541801	1843	1996-12-14	VYDAJ	VYBER	1900	28873	\N	\N	0
541802	1843	1997-01-07	VYDAJ	VYBER	2500	39587	\N	\N	0
541803	1843	1997-01-28	VYDAJ	VYBER	2700	11493	\N	\N	0
541804	1843	1997-03-23	VYDAJ	VYBER	3100	20384	\N	\N	0
541805	1843	1997-04-19	VYDAJ	VYBER	1900	26194	\N	\N	0
541806	1843	1997-05-29	VYDAJ	VYBER	2300	28925	\N	\N	0
541807	1843	1997-06-24	VYDAJ	VYBER	3600	35190	\N	\N	0
541808	1843	1997-07-18	VYDAJ	VYBER	2200	33864	\N	\N	0
541809	1843	1997-08-05	VYDAJ	VYBER	2800	31197	\N	\N	0
541810	1843	1997-09-20	VYDAJ	VYBER	3800	46708	\N	\N	0
541811	1843	1997-10-13	VYDAJ	VYBER	4100	58820	\N	\N	0
541812	1843	1997-11-08	VYDAJ	VYBER	3200	59078	\N	\N	0
541813	1843	1997-12-18	VYDAJ	VYBER	2800	56443	\N	\N	0
541814	1843	1998-01-05	VYDAJ	VYBER	3900	39263	\N	\N	0
541815	1843	1998-02-13	VYDAJ	VYBER	3500	33545	\N	\N	0
541816	1843	1998-03-15	VYDAJ	VYBER	2200	42399	\N	\N	0
541817	1843	1998-04-14	VYDAJ	VYBER	2800	45394	\N	\N	0
541818	1843	1998-05-12	VYDAJ	VYBER	2700	59103	\N	\N	0
541819	1843	1998-06-08	VYDAJ	VYBER	2300	69158	\N	\N	0
541820	1843	1998-07-24	VYDAJ	VYBER	2700	50693	\N	\N	0
541821	1843	1998-08-14	VYDAJ	VYBER	3100	51630	\N	\N	0
541822	1843	1998-09-04	VYDAJ	VYBER	3300	43834	\N	\N	0
541823	1843	1998-10-21	VYDAJ	VYBER	3300	39401	\N	\N	0
541824	1843	1998-10-31	VYDAJ	VYBER	3600	35985	\N	\N	0
541825	1843	1998-12-22	VYDAJ	VYBER	2000	31442	\N	\N	0
541831	1843	1993-06-13	VYDAJ	PREVOD NA UCET	6994	56105	SIPO	QR	62958741
541832	1843	1993-07-13	VYDAJ	PREVOD NA UCET	6994	49929	SIPO	QR	62958741
541833	1843	1993-08-13	VYDAJ	PREVOD NA UCET	6994	24499	SIPO	QR	62958741
541834	1843	1993-09-13	VYDAJ	PREVOD NA UCET	6994	27601	SIPO	QR	62958741
541835	1843	1993-10-13	VYDAJ	PREVOD NA UCET	6994	35390	SIPO	QR	62958741
541836	1843	1993-11-13	VYDAJ	PREVOD NA UCET	6994	38210	SIPO	QR	62958741
541837	1843	1993-12-13	VYDAJ	PREVOD NA UCET	6994	31303	SIPO	QR	62958741
541838	1843	1994-01-13	VYDAJ	PREVOD NA UCET	6994	22695	SIPO	QR	62958741
541839	1843	1994-02-13	VYDAJ	PREVOD NA UCET	6994	28381	SIPO	QR	62958741
541840	1843	1994-03-13	VYDAJ	PREVOD NA UCET	6994	24372	SIPO	QR	62958741
541841	1843	1994-04-13	VYDAJ	PREVOD NA UCET	6994	15865	SIPO	QR	62958741
541842	1843	1994-05-13	VYDAJ	PREVOD NA UCET	6994	30032	SIPO	QR	62958741
541843	1843	1994-06-13	VYDAJ	PREVOD NA UCET	6994	41138	SIPO	QR	62958741
541844	1843	1994-07-13	VYDAJ	PREVOD NA UCET	6994	25845	SIPO	QR	62958741
541845	1843	1994-08-13	VYDAJ	PREVOD NA UCET	6994	30437	SIPO	QR	62958741
541846	1843	1994-09-13	VYDAJ	PREVOD NA UCET	6994	34634	SIPO	QR	62958741
541847	1843	1994-10-13	VYDAJ	PREVOD NA UCET	6994	37067	SIPO	QR	62958741
541848	1843	1994-11-13	VYDAJ	PREVOD NA UCET	6994	28934	SIPO	QR	62958741
541849	1843	1994-12-13	VYDAJ	PREVOD NA UCET	6994	28097	SIPO	QR	62958741
541850	1843	1995-01-13	VYDAJ	PREVOD NA UCET	6994	29413	SIPO	QR	62958741
541851	1843	1995-02-13	VYDAJ	PREVOD NA UCET	6994	28603	SIPO	QR	62958741
541852	1843	1995-03-13	VYDAJ	PREVOD NA UCET	6994	29387	SIPO	QR	62958741
541853	1843	1995-04-13	VYDAJ	PREVOD NA UCET	6994	35381	SIPO	QR	62958741
541854	1843	1995-05-13	VYDAJ	PREVOD NA UCET	6994	38595	SIPO	QR	62958741
541855	1843	1995-06-13	VYDAJ	PREVOD NA UCET	6994	27321	SIPO	QR	62958741
541988	1843	1995-06-12	VYDAJ	VYBER	12000	37254	\N	\N	\N
541856	1843	1995-07-13	VYDAJ	PREVOD NA UCET	6994	33011	SIPO	QR	62958741
541857	1843	1995-08-13	VYDAJ	PREVOD NA UCET	6994	34411	SIPO	QR	62958741
541858	1843	1995-09-13	VYDAJ	PREVOD NA UCET	6994	35415	SIPO	QR	62958741
541859	1843	1995-10-13	VYDAJ	PREVOD NA UCET	6994	36123	SIPO	QR	62958741
541860	1843	1995-11-13	VYDAJ	PREVOD NA UCET	6994	39939	SIPO	QR	62958741
541861	1843	1995-12-13	VYDAJ	PREVOD NA UCET	6994	46879	SIPO	QR	62958741
541862	1843	1996-01-13	VYDAJ	PREVOD NA UCET	6994	18327	SIPO	QR	62958741
541863	1843	1996-02-13	VYDAJ	PREVOD NA UCET	6994	27617	SIPO	QR	62958741
541864	1843	1996-03-13	VYDAJ	PREVOD NA UCET	6994	34703	SIPO	QR	62958741
541865	1843	1996-04-13	VYDAJ	PREVOD NA UCET	6994	39314	SIPO	QR	62958741
541866	1843	1996-05-13	VYDAJ	PREVOD NA UCET	6994	41337	SIPO	QR	62958741
541867	1843	1996-06-13	VYDAJ	PREVOD NA UCET	6994	49378	SIPO	QR	62958741
541868	1843	1996-07-13	VYDAJ	PREVOD NA UCET	6994	42941	SIPO	QR	62958741
541869	1843	1996-08-13	VYDAJ	PREVOD NA UCET	6994	16836	SIPO	QR	62958741
541870	1843	1996-09-13	VYDAJ	PREVOD NA UCET	6994	18052	SIPO	QR	62958741
541871	1843	1996-10-13	VYDAJ	PREVOD NA UCET	6994	20158	SIPO	QR	62958741
541872	1843	1996-11-13	VYDAJ	PREVOD NA UCET	6994	16560	SIPO	QR	62958741
541873	1843	1996-12-13	VYDAJ	PREVOD NA UCET	6994	30773	SIPO	QR	62958741
541874	1843	1997-01-13	VYDAJ	PREVOD NA UCET	6994	14193	SIPO	QR	62958741
541875	1843	1997-02-13	VYDAJ	PREVOD NA UCET	6994	16793	SIPO	QR	62958741
541876	1843	1997-03-13	VYDAJ	PREVOD NA UCET	6994	23484	SIPO	QR	62958741
541877	1843	1997-04-13	VYDAJ	PREVOD NA UCET	6994	28094	SIPO	QR	62958741
541878	1843	1997-05-13	VYDAJ	PREVOD NA UCET	6994	31225	SIPO	QR	62958741
541879	1843	1997-06-13	VYDAJ	PREVOD NA UCET	6994	38790	SIPO	QR	62958741
541880	1843	1997-07-13	VYDAJ	PREVOD NA UCET	6994	36064	SIPO	QR	62958741
541881	1843	1997-08-13	VYDAJ	PREVOD NA UCET	6994	35235	SIPO	QR	62958741
541882	1843	1997-09-13	VYDAJ	PREVOD NA UCET	6994	50508	SIPO	QR	62958741
541883	1843	1997-10-13	VYDAJ	PREVOD NA UCET	6994	51826	SIPO	QR	62958741
541884	1843	1997-11-13	VYDAJ	PREVOD NA UCET	6994	52084	SIPO	QR	62958741
541885	1843	1997-12-13	VYDAJ	PREVOD NA UCET	6994	59243	SIPO	QR	62958741
541886	1843	1998-01-13	VYDAJ	PREVOD NA UCET	6994	20501	SIPO	QR	62958741
541887	1843	1998-02-13	VYDAJ	PREVOD NA UCET	6994	37045	SIPO	QR	62958741
541888	1843	1998-03-13	VYDAJ	PREVOD NA UCET	6994	44599	SIPO	QR	62958741
541889	1843	1998-04-13	VYDAJ	PREVOD NA UCET	6994	48194	SIPO	QR	62958741
541890	1843	1998-05-13	VYDAJ	PREVOD NA UCET	6994	52109	SIPO	QR	62958741
541891	1843	1998-06-13	VYDAJ	PREVOD NA UCET	6994	62164	SIPO	QR	62958741
541892	1843	1998-07-13	VYDAJ	PREVOD NA UCET	6994	53393	SIPO	QR	62958741
541893	1843	1998-08-13	VYDAJ	PREVOD NA UCET	6994	54730	SIPO	QR	62958741
541894	1843	1998-09-13	VYDAJ	PREVOD NA UCET	6994	51566	SIPO	QR	62958741
541895	1843	1998-10-13	VYDAJ	PREVOD NA UCET	6994	42701	SIPO	QR	62958741
541896	1843	1998-11-13	VYDAJ	PREVOD NA UCET	6994	43308	SIPO	QR	62958741
541897	1843	1998-12-13	VYDAJ	PREVOD NA UCET	6994	35542	SIPO	QR	62958741
541899	1843	1993-11-14	VYBER	VYBER	14734	23476	\N	\N	\N
541905	1843	1993-08-10	VYBER	VYBER	17493	34432	\N	\N	\N
541907	1843	1994-06-15	VYBER	VYBER	11926	29212	\N	\N	\N
541908	1843	1994-12-07	VYBER	VYBER	12446	38030	\N	\N	\N
541910	1843	1994-10-23	VYBER	VYBER	7255	21112	\N	\N	\N
541911	1843	1994-10-06	VYBER	VYBER	2181	29368	\N	\N	\N
541913	1843	1994-07-07	VYBER	VYBER	11072	35778	\N	\N	\N
541919	1843	1996-08-11	VYBER	VYBER	13421	28230	\N	\N	\N
541920	1843	1996-07-20	VYBER	VYBER	3238	27103	\N	\N	\N
541921	1843	1998-06-30	VYBER	VYBER	18344	44070	\N	\N	\N
541924	1843	1998-09-05	VYBER	VYBER	2906	40928	\N	\N	\N
541925	1843	1998-12-08	VYBER	VYBER	13805	42536	\N	\N	\N
541926	1843	1998-11-29	VYBER	VYBER	9255	34053	\N	\N	\N
541933	1843	1993-12-11	VYDAJ	VYBER	7800	41236	\N	\N	\N
541934	1843	1994-12-02	VYDAJ	VYBER	4200	24028	\N	\N	\N
541935	1843	1995-12-09	VYDAJ	VYBER	2400	56812	\N	\N	\N
541936	1843	1996-12-14	VYDAJ	VYBER	4500	24373	\N	\N	\N
541937	1843	1997-12-26	VYDAJ	VYBER	5100	51343	\N	\N	\N
541938	1843	1998-12-16	VYDAJ	VYBER KARTOU	2100	33442	\N	\N	0
541945	1843	1994-01-08	VYDAJ	VYBER	4500	32628	\N	\N	\N
541948	1843	1994-01-13	VYDAJ	VYBER	2100	20595	\N	\N	\N
541950	1843	1994-01-08	VYDAJ	VYBER	3600	37128	\N	\N	\N
541951	1843	1995-01-12	VYDAJ	VYBER	4800	36407	\N	\N	\N
541953	1843	1995-01-28	VYDAJ	VYBER	2700	20813	\N	\N	\N
541954	1843	1995-01-16	VYDAJ	VYBER	5700	23713	\N	\N	\N
541956	1843	1995-01-21	VYDAJ	VYBER	1500	23513	\N	\N	\N
541957	1843	1996-01-06	VYDAJ	VYBER	8700	28328	\N	\N	\N
541959	1843	1996-01-08	VYDAJ	VYBER	5100	32160	\N	\N	\N
541962	1843	1996-01-09	VYDAJ	VYBER	3900	28260	\N	\N	\N
541967	1843	1997-01-11	VYDAJ	VYBER	4500	21187	\N	\N	\N
541970	1843	1998-01-09	VYDAJ	VYBER	3000	53895	\N	\N	\N
541971	1843	1998-01-09	VYDAJ	VYBER	4200	49695	\N	\N	\N
541974	1843	1998-01-12	VYDAJ	VYBER	8100	27495	\N	\N	\N
541975	1843	1993-08-28	VYDAJ	VYBER	6300	19799	\N	\N	\N
541976	1843	1993-12-16	VYDAJ	VYBER	4800	26503	\N	\N	\N
541977	1843	1993-11-02	VYDAJ	VYBER	1500	30510	\N	\N	\N
541978	1843	1993-06-21	VYDAJ	VYBER	5700	50405	\N	\N	\N
541981	1843	1994-07-14	VYDAJ	VYBER	5400	20445	\N	\N	\N
541982	1843	1994-04-12	VYDAJ	VYBER	14400	25797	\N	\N	\N
541983	1843	1994-03-09	VYDAJ	VYBER	10800	34304	\N	\N	\N
541984	1843	1994-05-20	VYDAJ	VYBER	6000	24032	\N	\N	\N
541986	1843	1995-02-24	VYDAJ	VYBER	3300	21603	\N	\N	\N
541987	1843	1995-05-21	VYDAJ	VYBER	7500	22695	\N	\N	\N
541989	1843	1996-01-08	VYDAJ	VYBER	8700	37260	\N	\N	\N
541992	1843	1996-11-09	VYDAJ	VYBER	9000	26754	\N	\N	\N
541998	1843	1997-01-09	VYDAJ	VYBER	9600	25687	\N	\N	\N
542000	1843	1998-02-14	VYDAJ	VYBER	1800	31745	\N	\N	\N
542001	1843	1998-01-11	VYDAJ	VYBER	2100	35595	\N	\N	\N
542002	1843	1998-10-09	VYDAJ	VYBER	13200	49695	\N	\N	\N
542003	1843	1998-01-09	VYDAJ	VYBER	12000	37695	\N	\N	\N
542010	1843	1993-06-30	VYDAJ	VYBER	15	39291	SLUZBY	\N	\N
542011	1843	1993-07-31	VYDAJ	VYBER	15	34293	SLUZBY	\N	\N
542012	1843	1993-08-31	VYDAJ	VYBER	15	19902	SLUZBY	\N	\N
542013	1843	1993-09-30	VYDAJ	VYBER	15	27691	SLUZBY	\N	\N
542014	1843	1993-10-31	VYDAJ	VYBER	15	32010	SLUZBY	\N	\N
542015	1843	1993-11-30	VYDAJ	VYBER	15	22588	SLUZBY	\N	\N
542016	1843	1993-12-31	VYDAJ	VYBER	15	23096	SLUZBY	\N	\N
542017	1843	1994-01-31	VYDAJ	VYBER	15	20682	SLUZBY	\N	\N
542018	1843	1994-02-28	VYDAJ	VYBER	15	27472	SLUZBY	\N	\N
542019	1843	1994-03-31	VYDAJ	VYBER	15	22565	SLUZBY	\N	\N
542020	1843	1994-04-30	VYDAJ	VYBER	15	22333	SLUZBY	\N	\N
542021	1843	1994-05-31	VYDAJ	VYBER	15	24623	SLUZBY	\N	\N
542022	1843	1994-06-30	VYDAJ	VYBER	15	29218	SLUZBY	\N	\N
542023	1843	1994-07-31	VYDAJ	VYBER	15	22738	SLUZBY	\N	\N
542024	1843	1994-08-31	VYDAJ	VYBER	15	26935	SLUZBY	\N	\N
542025	1843	1994-09-30	VYDAJ	VYBER	15	31549	SLUZBY	\N	\N
542026	1843	1994-10-31	VYDAJ	VYBER	15	21235	SLUZBY	\N	\N
542027	1843	1994-11-30	VYDAJ	VYBER	15	28228	SLUZBY	\N	\N
542028	1843	1994-12-31	VYDAJ	VYBER	15	26513	SLUZBY	\N	\N
542029	1843	1995-01-31	VYDAJ	VYBER	15	20904	SLUZBY	\N	\N
542030	1843	1995-02-28	VYDAJ	VYBER	15	21688	SLUZBY	\N	\N
542031	1843	1995-03-31	VYDAJ	VYBER	15	27682	SLUZBY	\N	\N
542032	1843	1995-04-30	VYDAJ	VYBER	15	30896	SLUZBY	\N	\N
542033	1843	1995-05-31	VYDAJ	VYBER	15	22806	SLUZBY	\N	\N
542034	1843	1995-06-30	VYDAJ	VYBER	15	25311	SLUZBY	\N	\N
542035	1843	1995-07-31	VYDAJ	VYBER	15	26712	SLUZBY	\N	\N
542036	1843	1995-08-31	VYDAJ	VYBER	15	27716	SLUZBY	\N	\N
542037	1843	1995-09-30	VYDAJ	VYBER	15	28423	SLUZBY	\N	\N
542038	1843	1995-10-31	VYDAJ	VYBER	15	32239	SLUZBY	\N	\N
542039	1843	1995-11-30	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
542040	1843	1995-12-31	VYDAJ	VYBER	15	37028	SLUZBY	\N	\N
542041	1843	1996-01-31	VYDAJ	VYBER	15	19917	SLUZBY	\N	\N
542042	1843	1996-02-29	VYDAJ	VYBER	15	27004	SLUZBY	\N	\N
542043	1843	1996-03-31	VYDAJ	VYBER	15	31615	SLUZBY	\N	\N
542044	1843	1996-04-30	VYDAJ	VYBER	15	33638	SLUZBY	\N	\N
542045	1843	1996-05-31	VYDAJ	VYBER	15	32863	SLUZBY	\N	\N
542046	1843	1996-06-30	VYDAJ	VYBER	15	35242	SLUZBY	\N	\N
542047	1843	1996-07-31	VYDAJ	VYBER	15	27219	SLUZBY	\N	\N
542048	1843	1996-08-31	VYDAJ	VYBER	15	16914	SLUZBY	\N	\N
542049	1843	1996-09-30	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
542050	1843	1996-10-31	VYDAJ	VYBER	15	18122	SLUZBY	\N	\N
542051	1843	1996-11-30	VYDAJ	VYBER	15	16619	SLUZBY	\N	\N
542052	1843	1996-12-31	VYDAJ	VYBER	15	24455	SLUZBY	\N	\N
542053	1843	1997-01-31	VYDAJ	VYBER	15	11555	SLUZBY	\N	\N
542054	1843	1997-02-28	VYDAJ	VYBER	15	16846	SLUZBY	\N	\N
542055	1843	1997-03-31	VYDAJ	VYBER	15	20456	SLUZBY	\N	\N
542056	1843	1997-04-30	VYDAJ	VYBER	15	26287	SLUZBY	\N	\N
542057	1843	1997-05-31	VYDAJ	VYBER	15	29036	SLUZBY	\N	\N
542058	1843	1997-06-30	VYDAJ	VYBER	15	35326	SLUZBY	\N	\N
542059	1843	1997-07-31	VYDAJ	VYBER	15	33997	SLUZBY	\N	\N
542060	1843	1997-08-31	VYDAJ	VYBER	15	35370	SLUZBY	\N	\N
542061	1843	1997-09-30	VYDAJ	VYBER	15	46888	SLUZBY	\N	\N
542062	1843	1997-10-31	VYDAJ	VYBER	15	52046	SLUZBY	\N	\N
542063	1843	1997-11-30	VYDAJ	VYBER	15	52289	SLUZBY	\N	\N
542064	1843	1997-12-31	VYDAJ	VYBER	15	51563	SLUZBY	\N	\N
542065	1843	1998-01-31	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
542066	1843	1998-02-28	VYDAJ	VYBER	15	31861	SLUZBY	\N	\N
542067	1843	1998-03-31	VYDAJ	VYBER	15	42556	SLUZBY	\N	\N
542068	1843	1998-04-30	VYDAJ	VYBER	15	45571	SLUZBY	\N	\N
542069	1843	1998-05-31	VYDAJ	VYBER	15	52310	SLUZBY	\N	\N
542070	1843	1998-06-30	VYDAJ	VYBER	15	44055	SLUZBY	\N	\N
542071	1843	1998-07-31	VYDAJ	VYBER	15	50892	SLUZBY	\N	\N
542072	1843	1998-08-31	VYDAJ	VYBER	15	51834	SLUZBY	\N	\N
542073	1843	1998-09-30	VYDAJ	VYBER	15	51763	SLUZBY	\N	\N
542074	1843	1998-10-31	VYDAJ	VYBER	15	32670	SLUZBY	\N	\N
542075	1843	1998-11-30	VYDAJ	VYBER	15	29893	SLUZBY	\N	\N
542076	1843	1993-03-01	PRIJEM	VKLAD	3900	22532	\N	\N	\N
542077	1843	1993-03-31	VYDAJ	VYBER	8600	31698	\N	\N	\N
542078	1843	1993-04-30	VYDAJ	VYBER	12200	37263	\N	\N	\N
542079	1843	1993-05-30	VYDAJ	VYBER	15600	39295	\N	\N	\N
542080	1843	1993-06-29	VYDAJ	VYBER	11300	39105	\N	\N	\N
542081	1843	1993-07-29	VYDAJ	VYBER	11500	34129	\N	\N	\N
542082	1843	1993-08-28	PRIJEM	VKLAD	1600	26099	\N	\N	\N
542083	1843	1993-10-27	VYDAJ	VYBER	3500	31890	\N	\N	\N
542084	1843	1993-11-26	VYDAJ	VYBER	1000	22476	\N	\N	\N
542085	1843	1993-12-26	VYDAJ	VYBER	3500	23003	\N	\N	\N
542086	1843	1994-02-24	VYDAJ	VYBER	1000	27381	\N	\N	\N
542087	1843	1994-03-26	VYDAJ	VYBER	1900	22472	\N	\N	\N
542088	1843	1994-04-25	PRIJEM	VKLAD	6400	22265	\N	\N	\N
542089	1843	1994-05-25	PRIJEM	VKLAD	500	24532	\N	\N	\N
542090	1843	1994-06-24	VYDAJ	VYBER	100	29112	\N	\N	\N
542091	1843	1994-07-24	PRIJEM	VKLAD	2200	22645	\N	\N	\N
542092	1843	1994-08-23	VYDAJ	VYBER	3600	26837	\N	\N	\N
542093	1843	1994-09-22	VYDAJ	VYBER	3200	31434	\N	\N	\N
542094	1843	1994-10-22	VYDAJ	VYBER	8700	28367	\N	\N	\N
542095	1843	1994-11-21	VYDAJ	VYBER	800	28134	\N	\N	\N
542096	1843	1994-12-21	VYDAJ	VYBER	1700	26397	\N	\N	\N
542097	1843	1995-01-20	PRIJEM	VKLAD	1300	25013	\N	\N	\N
542098	1843	1995-02-19	VYDAJ	VYBER	3700	24903	\N	\N	\N
542099	1843	1995-03-21	VYDAJ	VYBER	1800	27587	\N	\N	\N
542100	1843	1995-04-20	VYDAJ	VYBER	4600	30781	\N	\N	\N
542101	1843	1995-05-20	VYDAJ	VYBER	8400	30195	\N	\N	\N
542102	1843	1995-06-19	VYDAJ	VYBER	2100	25221	\N	\N	\N
542103	1843	1995-07-19	VYDAJ	VYBER	6400	26611	\N	\N	\N
542104	1843	1995-08-18	VYDAJ	VYBER	6800	27611	\N	\N	\N
542105	1843	1995-09-17	VYDAJ	VYBER	7100	28315	\N	\N	\N
542106	1843	1995-10-17	VYDAJ	VYBER	4000	32123	\N	\N	\N
542107	1843	1995-11-16	VYDAJ	VYBER	7300	32639	\N	\N	\N
542108	1843	1995-12-16	VYDAJ	VYBER	10000	36879	\N	\N	\N
542109	1843	1996-01-15	PRIJEM	VKLAD	1500	19827	\N	\N	\N
542110	1843	1996-02-14	VYDAJ	VYBER	700	26917	\N	\N	\N
542111	1843	1996-03-15	VYDAJ	VYBER	3200	31503	\N	\N	\N
542112	1843	1996-04-14	VYDAJ	VYBER	5800	33514	\N	\N	\N
542113	1843	1996-05-14	VYDAJ	VYBER	8600	32737	\N	\N	\N
542114	1843	1996-06-13	VYDAJ	VYBER	14300	35078	\N	\N	\N
542115	1843	1996-07-13	VYDAJ	VYBER	12600	30341	\N	\N	\N
542116	1843	1996-08-12	VYDAJ	VYBER	4400	23830	\N	\N	\N
542117	1843	1996-09-11	VYDAJ	VYBER	7100	25046	\N	\N	\N
542118	1843	1996-10-11	VYDAJ	VYBER	6800	27152	\N	\N	\N
542119	1843	1996-11-10	VYDAJ	VYBER	3200	23554	\N	\N	\N
542120	1843	1996-12-10	VYDAJ	VYBER	5300	37767	\N	\N	\N
542121	1843	1997-01-09	VYDAJ	VYBER	4300	35287	\N	\N	\N
542122	1843	1997-02-08	VYDAJ	VYBER	5400	23787	\N	\N	\N
542123	1843	1997-03-10	VYDAJ	VYBER	4000	30478	\N	\N	\N
542124	1843	1997-04-09	VYDAJ	VYBER	3000	35088	\N	\N	\N
542125	1843	1997-05-09	VYDAJ	VYBER	5700	38219	\N	\N	\N
542126	1843	1997-06-08	VYDAJ	VYBER	9700	45784	\N	\N	\N
542127	1843	1997-07-08	VYDAJ	VYBER	9900	43058	\N	\N	\N
542128	1843	1997-08-07	VYDAJ	VYBER	6600	42229	\N	\N	\N
542129	1843	1997-09-06	PRIJEM	VKLAD	4500	39870	\N	\N	\N
542130	1843	1997-10-06	VYDAJ	VYBER	1600	45288	\N	\N	\N
542131	1843	1997-11-05	VYDAJ	VYBER	7400	44646	\N	\N	\N
542132	1843	1997-12-05	VYDAJ	VYBER	12500	39789	\N	\N	\N
542133	1843	1998-01-04	VYDAJ	VYBER	8400	43163	\N	\N	\N
542134	1843	1998-02-03	PRIJEM	VKLAD	5800	26407	\N	\N	\N
542135	1843	1998-03-05	PRIJEM	VKLAD	2100	33961	\N	\N	\N
542136	1843	1998-04-04	VYDAJ	VYBER	5000	37556	\N	\N	\N
542137	1843	1998-05-04	VYDAJ	VYBER	1400	44171	\N	\N	\N
542138	1843	1998-06-03	VYDAJ	VYBER	7300	45010	\N	\N	\N
542139	1843	1998-07-03	VYDAJ	VYBER	1300	42755	\N	\N	\N
542140	1843	1998-08-02	VYDAJ	VYBER	6800	44092	\N	\N	\N
542141	1843	1998-09-01	VYDAJ	VYBER	4700	47134	\N	\N	\N
542142	1843	1998-10-01	VYDAJ	VYBER	6500	45263	\N	\N	\N
542143	1843	1998-10-31	VYDAJ	VYBER KARTOU	3300	32685	\N	\N	0
542144	1843	1998-11-30	VYDAJ	VYBER	4300	29908	\N	\N	\N
542215	1844	1993-01-06	PRIJEM	VKLAD	500	500	\N	\N	\N
542216	1844	1993-01-07	PRIJEM	PREVOD Z UCTU	3242	3742	\N	ST	42988401
542217	1844	1993-02-07	PRIJEM	PREVOD Z UCTU	3242	6997	\N	ST	42988401
542218	1844	1993-03-07	PRIJEM	PREVOD Z UCTU	3242	10254	\N	ST	42988401
542219	1844	1993-04-07	PRIJEM	PREVOD Z UCTU	3242	13512	\N	ST	42988401
542220	1844	1993-05-07	PRIJEM	PREVOD Z UCTU	3242	16769	\N	ST	42988401
542221	1844	1993-06-07	PRIJEM	PREVOD Z UCTU	3242	16475	\N	ST	42988401
542222	1844	1993-07-07	PRIJEM	PREVOD Z UCTU	3242	17449	\N	ST	42988401
542223	1844	1993-08-07	PRIJEM	PREVOD Z UCTU	3242	17526	\N	ST	42988401
542224	1844	1993-09-07	PRIJEM	PREVOD Z UCTU	3242	18656	\N	ST	42988401
542225	1844	1993-10-07	PRIJEM	PREVOD Z UCTU	3242	19218	\N	ST	42988401
542226	1844	1993-11-07	PRIJEM	PREVOD Z UCTU	3242	20355	\N	ST	42988401
542227	1844	1993-12-07	PRIJEM	PREVOD Z UCTU	3242	21075	\N	ST	42988401
542228	1844	1994-01-07	PRIJEM	PREVOD Z UCTU	3242	21858	\N	ST	42988401
542229	1844	1994-02-07	PRIJEM	PREVOD Z UCTU	3242	21744	\N	ST	42988401
542230	1844	1994-03-07	PRIJEM	PREVOD Z UCTU	3242	22890	\N	ST	42988401
542231	1844	1994-04-07	PRIJEM	PREVOD Z UCTU	3242	24042	\N	ST	42988401
542232	1844	1994-05-07	PRIJEM	PREVOD Z UCTU	3242	23818	\N	ST	42988401
542233	1844	1994-06-07	PRIJEM	PREVOD Z UCTU	3242	24975	\N	ST	42988401
542234	1844	1994-07-07	PRIJEM	PREVOD Z UCTU	3242	22504	\N	ST	42988401
542235	1844	1994-08-07	PRIJEM	PREVOD Z UCTU	3242	23653	\N	ST	42988401
542236	1844	1994-09-07	PRIJEM	PREVOD Z UCTU	3242	24808	\N	ST	42988401
542237	1844	1994-10-07	PRIJEM	PREVOD Z UCTU	3242	25577	\N	ST	42988401
542238	1844	1994-11-07	PRIJEM	PREVOD Z UCTU	3242	26739	\N	ST	42988401
542239	1844	1994-12-07	PRIJEM	PREVOD Z UCTU	3242	27277	\N	ST	42988401
542240	1844	1995-01-07	PRIJEM	PREVOD Z UCTU	3242	28148	\N	ST	42988401
542241	1844	1995-02-07	PRIJEM	PREVOD Z UCTU	3242	27940	\N	ST	42988401
542242	1844	1995-03-07	PRIJEM	PREVOD Z UCTU	3242	29112	\N	ST	42988401
542243	1844	1995-04-07	PRIJEM	PREVOD Z UCTU	3242	30289	\N	ST	42988401
542244	1844	1995-05-07	PRIJEM	PREVOD Z UCTU	3242	31471	\N	ST	42988401
542245	1844	1995-06-07	PRIJEM	PREVOD Z UCTU	3242	30738	\N	ST	42988401
542246	1844	1995-07-07	PRIJEM	PREVOD Z UCTU	3242	30482	\N	ST	42988401
542247	1844	1995-08-07	PRIJEM	PREVOD Z UCTU	3242	31305	\N	ST	42988401
542248	1844	1995-09-07	PRIJEM	PREVOD Z UCTU	3242	32492	\N	ST	42988401
542249	1844	1995-10-07	PRIJEM	PREVOD Z UCTU	3242	33683	\N	ST	42988401
542250	1844	1995-11-07	PRIJEM	PREVOD Z UCTU	3242	34879	\N	ST	42988401
542251	1844	1995-12-07	PRIJEM	PREVOD Z UCTU	3242	36080	\N	ST	42988401
542252	1844	1996-01-07	PRIJEM	PREVOD Z UCTU	3242	35453	\N	ST	42988401
542253	1844	1996-02-07	PRIJEM	PREVOD Z UCTU	3242	34491	\N	ST	42988401
542254	1844	1996-03-07	PRIJEM	PREVOD Z UCTU	3242	34337	\N	ST	42988401
542255	1844	1996-04-07	PRIJEM	PREVOD Z UCTU	3242	35535	\N	ST	42988401
542256	1844	1996-05-07	PRIJEM	PREVOD Z UCTU	3242	36739	\N	ST	42988401
542257	1844	1996-06-07	PRIJEM	PREVOD Z UCTU	3242	37947	\N	ST	42988401
542258	1844	1996-07-07	PRIJEM	PREVOD Z UCTU	3242	32318	\N	ST	42988401
542259	1844	1996-08-07	PRIJEM	PREVOD Z UCTU	3242	33508	\N	ST	42988401
542260	1844	1996-09-07	PRIJEM	PREVOD Z UCTU	3242	34703	\N	ST	42988401
542261	1844	1996-10-07	PRIJEM	PREVOD Z UCTU	3242	35903	\N	ST	42988401
542262	1844	1996-11-07	PRIJEM	PREVOD Z UCTU	3242	37107	\N	ST	42988401
542263	1844	1996-12-07	PRIJEM	PREVOD Z UCTU	3242	37355	\N	ST	42988401
542264	1844	1997-01-07	PRIJEM	PREVOD Z UCTU	3242	36732	\N	ST	42988401
542265	1844	1997-02-07	PRIJEM	PREVOD Z UCTU	3242	36709	\N	ST	42988401
542266	1844	1997-03-07	PRIJEM	PREVOD Z UCTU	3242	37918	\N	ST	42988401
542267	1844	1997-04-07	PRIJEM	PREVOD Z UCTU	3242	39131	\N	ST	42988401
542268	1844	1997-05-07	PRIJEM	PREVOD Z UCTU	3242	40348	\N	ST	42988401
542269	1844	1997-06-07	PRIJEM	PREVOD Z UCTU	3242	36321	\N	ST	42988401
542270	1844	1997-07-07	PRIJEM	PREVOD Z UCTU	3242	36838	\N	ST	42988401
542271	1844	1997-08-07	PRIJEM	PREVOD Z UCTU	3242	38046	\N	ST	42988401
542272	1844	1997-09-07	PRIJEM	PREVOD Z UCTU	3242	39259	\N	ST	42988401
542273	1844	1997-10-07	PRIJEM	PREVOD Z UCTU	3242	40476	\N	ST	42988401
542274	1844	1997-11-07	PRIJEM	PREVOD Z UCTU	3242	40709	\N	ST	42988401
542275	1844	1997-12-07	PRIJEM	PREVOD Z UCTU	3242	41932	\N	ST	42988401
542276	1844	1998-01-07	PRIJEM	PREVOD Z UCTU	3242	42499	\N	ST	42988401
542277	1844	1998-02-07	PRIJEM	PREVOD Z UCTU	3242	42469	\N	ST	42988401
542278	1844	1998-03-07	PRIJEM	PREVOD Z UCTU	3242	43699	\N	ST	42988401
542279	1844	1998-04-07	PRIJEM	PREVOD Z UCTU	3242	44935	\N	ST	42988401
542280	1844	1998-05-07	PRIJEM	PREVOD Z UCTU	3242	45336	\N	ST	42988401
542281	1844	1998-06-07	PRIJEM	PREVOD Z UCTU	3242	46579	\N	ST	42988401
542282	1844	1998-07-07	PRIJEM	PREVOD Z UCTU	3242	41933	\N	ST	42988401
542283	1844	1998-08-07	PRIJEM	PREVOD Z UCTU	3242	43161	\N	ST	42988401
542284	1844	1998-09-07	PRIJEM	PREVOD Z UCTU	3242	44123	\N	ST	42988401
542285	1844	1998-10-07	PRIJEM	PREVOD Z UCTU	3242	45359	\N	ST	42988401
542286	1844	1998-11-07	PRIJEM	PREVOD Z UCTU	3242	46090	\N	ST	42988401
542287	1844	1998-12-07	PRIJEM	PREVOD Z UCTU	3242	47335	\N	ST	42988401
542292	1844	1993-05-09	VYDAJ	PREVOD NA UCET	2161	14608	\N	EF	32871842
542293	1844	1993-06-09	VYDAJ	PREVOD NA UCET	2161	14314	\N	EF	32871842
542294	1844	1993-07-09	VYDAJ	PREVOD NA UCET	2161	15288	\N	EF	32871842
542295	1844	1993-08-09	VYDAJ	PREVOD NA UCET	2161	15365	\N	EF	32871842
542296	1844	1993-09-09	VYDAJ	PREVOD NA UCET	2161	16495	\N	EF	32871842
542297	1844	1993-10-09	VYDAJ	PREVOD NA UCET	2161	17057	\N	EF	32871842
542298	1844	1993-11-09	VYDAJ	PREVOD NA UCET	2161	18194	\N	EF	32871842
542299	1844	1993-12-09	VYDAJ	PREVOD NA UCET	2161	18914	\N	EF	32871842
542300	1844	1994-01-09	VYDAJ	PREVOD NA UCET	2161	19697	\N	EF	32871842
542301	1844	1994-02-09	VYDAJ	PREVOD NA UCET	2161	19583	\N	EF	32871842
542302	1844	1994-03-09	VYDAJ	PREVOD NA UCET	2161	20729	\N	EF	32871842
542303	1844	1994-04-09	VYDAJ	PREVOD NA UCET	2161	21881	\N	EF	32871842
542304	1844	1994-05-09	VYDAJ	PREVOD NA UCET	2161	21657	\N	EF	32871842
542305	1844	1994-06-09	VYDAJ	PREVOD NA UCET	2161	22814	\N	EF	32871842
542306	1844	1994-07-09	VYDAJ	PREVOD NA UCET	2161	20343	\N	EF	32871842
542307	1844	1994-08-09	VYDAJ	PREVOD NA UCET	2161	21492	\N	EF	32871842
542308	1844	1994-09-09	VYDAJ	PREVOD NA UCET	2161	22257	\N	EF	32871842
542309	1844	1994-10-09	VYDAJ	PREVOD NA UCET	2161	23416	\N	EF	32871842
542310	1844	1994-11-09	VYDAJ	PREVOD NA UCET	2161	24578	\N	EF	32871842
542311	1844	1994-12-09	VYDAJ	PREVOD NA UCET	2161	25116	\N	EF	32871842
542312	1844	1995-01-09	VYDAJ	PREVOD NA UCET	2161	25987	\N	EF	32871842
542313	1844	1995-02-09	VYDAJ	PREVOD NA UCET	2161	25779	\N	EF	32871842
542314	1844	1995-03-09	VYDAJ	PREVOD NA UCET	2161	26951	\N	EF	32871842
542315	1844	1995-04-09	VYDAJ	PREVOD NA UCET	2161	28128	\N	EF	32871842
542316	1844	1995-05-09	VYDAJ	PREVOD NA UCET	2161	29310	\N	EF	32871842
542317	1844	1995-06-09	VYDAJ	PREVOD NA UCET	2161	28577	\N	EF	32871842
542318	1844	1995-07-09	VYDAJ	PREVOD NA UCET	2161	28321	\N	EF	32871842
542319	1844	1995-08-09	VYDAJ	PREVOD NA UCET	2161	29144	\N	EF	32871842
542320	1844	1995-09-09	VYDAJ	PREVOD NA UCET	2161	30331	\N	EF	32871842
542321	1844	1995-10-09	VYDAJ	PREVOD NA UCET	2161	31522	\N	EF	32871842
542322	1844	1995-11-09	VYDAJ	PREVOD NA UCET	2161	32718	\N	EF	32871842
542323	1844	1995-12-09	VYDAJ	PREVOD NA UCET	2161	33919	\N	EF	32871842
542324	1844	1996-01-09	VYDAJ	PREVOD NA UCET	2161	33292	\N	EF	32871842
542325	1844	1996-02-09	VYDAJ	PREVOD NA UCET	2161	32330	\N	EF	32871842
542326	1844	1996-03-09	VYDAJ	PREVOD NA UCET	2161	32176	\N	EF	32871842
542327	1844	1996-04-09	VYDAJ	PREVOD NA UCET	2161	33374	\N	EF	32871842
542328	1844	1996-05-09	VYDAJ	PREVOD NA UCET	2161	34578	\N	EF	32871842
542329	1844	1996-06-09	VYDAJ	PREVOD NA UCET	2161	35786	\N	EF	32871842
542330	1844	1996-07-09	VYDAJ	PREVOD NA UCET	2161	30157	\N	EF	32871842
542331	1844	1996-08-09	VYDAJ	PREVOD NA UCET	2161	31347	\N	EF	32871842
542332	1844	1996-09-09	VYDAJ	PREVOD NA UCET	2161	32542	\N	EF	32871842
542333	1844	1996-10-09	VYDAJ	PREVOD NA UCET	2161	33742	\N	EF	32871842
542334	1844	1996-11-09	VYDAJ	PREVOD NA UCET	2161	34946	\N	EF	32871842
542335	1844	1996-12-09	VYDAJ	PREVOD NA UCET	2161	35194	\N	EF	32871842
542336	1844	1997-01-09	VYDAJ	PREVOD NA UCET	2161	34571	\N	EF	32871842
542337	1844	1997-02-09	VYDAJ	PREVOD NA UCET	2161	34548	\N	EF	32871842
542338	1844	1997-03-09	VYDAJ	PREVOD NA UCET	2161	35757	\N	EF	32871842
542339	1844	1997-04-09	VYDAJ	PREVOD NA UCET	2161	36970	\N	EF	32871842
542340	1844	1997-05-09	VYDAJ	PREVOD NA UCET	2161	38187	\N	EF	32871842
542341	1844	1997-06-09	VYDAJ	PREVOD NA UCET	2161	33470	\N	EF	32871842
542342	1844	1997-07-09	VYDAJ	PREVOD NA UCET	2161	34677	\N	EF	32871842
542343	1844	1997-08-09	VYDAJ	PREVOD NA UCET	2161	35885	\N	EF	32871842
542344	1844	1997-09-09	VYDAJ	PREVOD NA UCET	2161	37098	\N	EF	32871842
542345	1844	1997-10-09	VYDAJ	PREVOD NA UCET	2161	38315	\N	EF	32871842
542346	1844	1997-11-09	VYDAJ	PREVOD NA UCET	2161	38548	\N	EF	32871842
542347	1844	1997-12-09	VYDAJ	PREVOD NA UCET	2161	39771	\N	EF	32871842
542348	1844	1998-01-09	VYDAJ	PREVOD NA UCET	2161	40338	\N	EF	32871842
542349	1844	1998-02-09	VYDAJ	PREVOD NA UCET	2161	40308	\N	EF	32871842
542350	1844	1998-03-09	VYDAJ	PREVOD NA UCET	2161	41538	\N	EF	32871842
542351	1844	1998-04-09	VYDAJ	PREVOD NA UCET	2161	42774	\N	EF	32871842
542352	1844	1998-05-09	VYDAJ	PREVOD NA UCET	2161	43175	\N	EF	32871842
542353	1844	1998-06-09	VYDAJ	PREVOD NA UCET	2161	44418	\N	EF	32871842
542354	1844	1998-07-09	VYDAJ	PREVOD NA UCET	2161	39772	\N	EF	32871842
542355	1844	1998-08-09	VYDAJ	PREVOD NA UCET	2161	41000	\N	EF	32871842
542356	1844	1998-09-09	VYDAJ	PREVOD NA UCET	2161	41962	\N	EF	32871842
542357	1844	1998-10-09	VYDAJ	PREVOD NA UCET	2161	43198	\N	EF	32871842
542358	1844	1998-11-09	VYDAJ	PREVOD NA UCET	2161	43929	\N	EF	32871842
542359	1844	1998-12-09	VYDAJ	PREVOD NA UCET	2161	45174	\N	EF	32871842
542361	1844	1994-06-27	VYDAJ	VYBER	3630	19184	\N	\N	\N
542362	1844	1995-06-05	VYDAJ	VYBER	1920	27496	\N	\N	\N
542363	1844	1996-06-29	VYDAJ	VYBER	6840	28946	\N	\N	\N
542364	1844	1997-06-05	VYDAJ	VYBER	4080	33079	\N	\N	\N
542365	1844	1998-06-16	VYDAJ	VYBER	4890	38538	\N	\N	\N
542367	1844	1994-01-19	VYDAJ	VYBER	1260	18437	\N	\N	\N
542368	1844	1995-01-26	VYDAJ	VYBER	1380	24607	\N	\N	\N
542369	1844	1996-01-16	VYDAJ	VYBER	2160	31132	\N	\N	\N
542370	1844	1997-01-26	VYDAJ	VYBER	990	33581	\N	\N	\N
542371	1844	1998-01-28	VYDAJ	VYBER	1260	39078	\N	\N	\N
542372	1844	1993-12-30	VYDAJ	VYBER	360	18554	\N	\N	\N
542373	1844	1994-12-24	VYDAJ	VYBER	300	24816	\N	\N	\N
542374	1844	1995-12-13	VYDAJ	VYBER	750	33169	\N	\N	\N
542375	1844	1996-12-21	VYDAJ	VYBER	390	33364	\N	\N	\N
542376	1844	1997-12-10	VYDAJ	VYBER	660	39111	\N	\N	\N
542377	1844	1998-12-14	VYDAJ	VYBER	420	44754	\N	\N	\N
542378	1844	1993-05-31	VYDAJ	VYBER	1410	13247	\N	\N	\N
542379	1844	1993-06-16	VYDAJ	VYBER	150	14164	\N	\N	\N
542380	1844	1993-07-18	VYDAJ	VYBER	1050	14238	\N	\N	\N
542382	1844	1993-11-10	VYDAJ	VYBER	420	17774	\N	\N	\N
542383	1844	1993-09-19	VYDAJ	VYBER	570	15925	\N	\N	\N
542384	1844	1994-12-06	VYDAJ	VYBER	630	24035	\N	\N	\N
542385	1844	1994-09-08	VYDAJ	VYBER	390	24418	\N	\N	\N
542386	1844	1994-05-05	VYDAJ	VYBER	1380	20576	\N	\N	\N
542387	1844	1995-06-15	VYDAJ	VYBER	810	27767	\N	\N	\N
542388	1844	1995-06-24	VYDAJ	VYBER	630	27137	\N	\N	\N
542389	1844	1995-12-17	VYDAJ	VYBER	690	32479	\N	\N	\N
542390	1844	1995-08-06	VYDAJ	VYBER	360	28063	\N	\N	\N
542391	1844	1995-12-26	VYDAJ	VYBER	390	32089	\N	\N	\N
542392	1844	1996-12-18	VYDAJ	VYBER	1440	33754	\N	\N	\N
542393	1844	1996-02-11	VYDAJ	VYBER	1350	30980	\N	\N	\N
542394	1844	1996-11-18	VYDAJ	VYBER	960	33986	\N	\N	\N
542395	1844	1997-06-01	VYDAJ	VYBER	1170	37159	\N	\N	\N
542396	1844	1997-06-08	VYDAJ	VYBER	690	35631	\N	\N	\N
542397	1844	1997-10-30	VYDAJ	VYBER	990	37325	\N	\N	\N
542398	1844	1997-02-06	VYDAJ	VYBER	240	33467	\N	\N	\N
542399	1844	1998-06-09	VYDAJ	VYBER	990	43428	\N	\N	\N
542400	1844	1998-08-15	VYDAJ	VYBER	270	40730	\N	\N	\N
542401	1844	1998-04-30	VYDAJ	VYBER	840	42094	\N	\N	\N
542402	1844	1998-10-17	VYDAJ	VYBER	510	42688	\N	\N	\N
542403	1844	1998-12-26	VYDAJ	VYBER	1410	43344	\N	\N	\N
542409	1844	1993-05-31	VYDAJ	VYBER	15	13233	SLUZBY	\N	\N
542410	1844	1993-06-30	VYDAJ	VYBER	15	14207	SLUZBY	\N	\N
542411	1844	1993-07-31	VYDAJ	VYBER	15	14284	SLUZBY	\N	\N
542412	1844	1993-08-31	VYDAJ	VYBER	15	15414	SLUZBY	\N	\N
542413	1844	1993-09-30	VYDAJ	VYBER	15	15976	SLUZBY	\N	\N
542414	1844	1993-10-31	VYDAJ	VYBER	15	17113	SLUZBY	\N	\N
542415	1844	1993-11-30	VYDAJ	VYBER	15	17833	SLUZBY	\N	\N
542416	1844	1993-12-31	VYDAJ	VYBER	15	18616	SLUZBY	\N	\N
542417	1844	1994-01-31	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
542418	1844	1994-02-28	VYDAJ	VYBER	15	19648	SLUZBY	\N	\N
542419	1844	1994-03-31	VYDAJ	VYBER	15	20800	SLUZBY	\N	\N
542420	1844	1994-04-30	VYDAJ	VYBER	15	21956	SLUZBY	\N	\N
542421	1844	1994-05-31	VYDAJ	VYBER	15	21733	SLUZBY	\N	\N
542422	1844	1994-06-30	VYDAJ	VYBER	15	19262	SLUZBY	\N	\N
542423	1844	1994-07-31	VYDAJ	VYBER	15	20411	SLUZBY	\N	\N
542424	1844	1994-08-31	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
542425	1844	1994-09-30	VYDAJ	VYBER	15	22335	SLUZBY	\N	\N
542426	1844	1994-10-31	VYDAJ	VYBER	15	23497	SLUZBY	\N	\N
542427	1844	1994-11-30	VYDAJ	VYBER	15	24665	SLUZBY	\N	\N
542428	1844	1994-12-31	VYDAJ	VYBER	15	24906	SLUZBY	\N	\N
542429	1844	1995-01-31	VYDAJ	VYBER	15	24698	SLUZBY	\N	\N
542430	1844	1995-02-28	VYDAJ	VYBER	15	25870	SLUZBY	\N	\N
542431	1844	1995-03-31	VYDAJ	VYBER	15	27047	SLUZBY	\N	\N
542432	1844	1995-04-30	VYDAJ	VYBER	15	28229	SLUZBY	\N	\N
542433	1844	1995-05-31	VYDAJ	VYBER	15	29416	SLUZBY	\N	\N
542434	1844	1995-06-30	VYDAJ	VYBER	15	27240	SLUZBY	\N	\N
542435	1844	1995-07-31	VYDAJ	VYBER	15	28423	SLUZBY	\N	\N
542436	1844	1995-08-31	VYDAJ	VYBER	15	29250	SLUZBY	\N	\N
542437	1844	1995-09-30	VYDAJ	VYBER	15	30441	SLUZBY	\N	\N
542438	1844	1995-10-31	VYDAJ	VYBER	15	31637	SLUZBY	\N	\N
542439	1844	1995-11-30	VYDAJ	VYBER	15	32838	SLUZBY	\N	\N
542440	1844	1995-12-31	VYDAJ	VYBER	15	32211	SLUZBY	\N	\N
542441	1844	1996-01-31	VYDAJ	VYBER	15	31249	SLUZBY	\N	\N
542442	1844	1996-02-29	VYDAJ	VYBER	15	31095	SLUZBY	\N	\N
542443	1844	1996-03-31	VYDAJ	VYBER	15	32293	SLUZBY	\N	\N
542444	1844	1996-04-30	VYDAJ	VYBER	15	33497	SLUZBY	\N	\N
542445	1844	1996-05-31	VYDAJ	VYBER	15	34705	SLUZBY	\N	\N
542446	1844	1996-06-30	VYDAJ	VYBER	15	29076	SLUZBY	\N	\N
542447	1844	1996-07-31	VYDAJ	VYBER	15	30266	SLUZBY	\N	\N
542448	1844	1996-08-31	VYDAJ	VYBER	15	31461	SLUZBY	\N	\N
542449	1844	1996-09-30	VYDAJ	VYBER	15	32661	SLUZBY	\N	\N
542450	1844	1996-10-31	VYDAJ	VYBER	15	33865	SLUZBY	\N	\N
542451	1844	1996-11-30	VYDAJ	VYBER	15	34113	SLUZBY	\N	\N
542452	1844	1996-12-31	VYDAJ	VYBER	15	33490	SLUZBY	\N	\N
542453	1844	1997-01-31	VYDAJ	VYBER	15	33707	SLUZBY	\N	\N
542454	1844	1997-02-28	VYDAJ	VYBER	15	34676	SLUZBY	\N	\N
542455	1844	1997-03-31	VYDAJ	VYBER	15	35889	SLUZBY	\N	\N
542456	1844	1997-04-30	VYDAJ	VYBER	15	37106	SLUZBY	\N	\N
542457	1844	1997-05-31	VYDAJ	VYBER	15	38329	SLUZBY	\N	\N
542458	1844	1997-06-30	VYDAJ	VYBER	15	33596	SLUZBY	\N	\N
542459	1844	1997-07-31	VYDAJ	VYBER	15	34804	SLUZBY	\N	\N
542460	1844	1997-08-31	VYDAJ	VYBER	15	36017	SLUZBY	\N	\N
542461	1844	1997-09-30	VYDAJ	VYBER	15	37234	SLUZBY	\N	\N
542462	1844	1997-10-31	VYDAJ	VYBER	15	37467	SLUZBY	\N	\N
542463	1844	1997-11-30	VYDAJ	VYBER	15	38690	SLUZBY	\N	\N
542464	1844	1997-12-31	VYDAJ	VYBER	15	39257	SLUZBY	\N	\N
542465	1844	1998-01-31	VYDAJ	VYBER	15	39227	SLUZBY	\N	\N
542466	1844	1998-02-28	VYDAJ	VYBER	15	40457	SLUZBY	\N	\N
542467	1844	1998-03-31	VYDAJ	VYBER	15	41693	SLUZBY	\N	\N
542468	1844	1998-04-30	VYDAJ	VYBER	15	42934	SLUZBY	\N	\N
542469	1844	1998-05-31	VYDAJ	VYBER	15	43337	SLUZBY	\N	\N
542470	1844	1998-06-30	VYDAJ	VYBER	15	38691	SLUZBY	\N	\N
542471	1844	1998-07-31	VYDAJ	VYBER	15	39919	SLUZBY	\N	\N
542472	1844	1998-08-31	VYDAJ	VYBER	15	40881	SLUZBY	\N	\N
542473	1844	1998-09-30	VYDAJ	VYBER	15	42117	SLUZBY	\N	\N
542474	1844	1998-10-31	VYDAJ	VYBER	15	42848	SLUZBY	\N	\N
542475	1844	1998-11-30	VYDAJ	VYBER	15	44093	SLUZBY	\N	\N
542548	1845	1997-08-20	PRIJEM	VKLAD	800	800	\N	\N	\N
542549	1845	1997-09-16	PRIJEM	VKLAD	33586	34386	\N	\N	\N
542551	1845	1997-10-22	PRIJEM	VKLAD	37414	67149	\N	\N	\N
542555	1845	1997-11-28	PRIJEM	VKLAD	23294	75316	\N	\N	\N
542556	1845	1998-03-31	PRIJEM	VKLAD	41982	66198	\N	\N	\N
542557	1845	1998-09-26	PRIJEM	VKLAD	41991	97794	\N	\N	\N
542558	1845	1998-05-21	PRIJEM	VKLAD	27407	63209	\N	\N	\N
542559	1845	1998-10-09	PRIJEM	VKLAD	11648	87921	\N	\N	\N
542560	1845	1998-09-19	PRIJEM	VKLAD	31812	61803	\N	\N	\N
542561	1845	1998-10-05	PRIJEM	VKLAD	28724	126773	\N	\N	\N
542562	1845	1998-08-27	PRIJEM	VKLAD	27403	68467	\N	\N	\N
542563	1845	1998-07-26	PRIJEM	VKLAD	6211	26084	\N	\N	\N
542564	1845	1998-02-04	PRIJEM	VKLAD	24227	70254	\N	\N	\N
542565	1845	1998-05-07	PRIJEM	VKLAD	17631	55548	\N	\N	\N
542566	1845	1998-08-09	PRIJEM	VKLAD	37115	59101	\N	\N	\N
542567	1845	1998-05-22	PRIJEM	VKLAD	44618	107827	\N	\N	\N
542568	1845	1998-11-24	PRIJEM	VKLAD	18897	52580	\N	\N	\N
542569	1845	1998-03-09	PRIJEM	VKLAD	5744	57165	\N	\N	\N
542570	1845	1998-07-08	PRIJEM	VKLAD	29846	61769	\N	\N	\N
542585	1845	1998-03-14	VYDAJ	PREVOD NA UCET	12537	44628	SIPO	QR	5894870
542586	1845	1998-04-14	VYDAJ	PREVOD NA UCET	12537	44213	SIPO	QR	5894870
542587	1845	1998-05-14	VYDAJ	PREVOD NA UCET	12537	43011	SIPO	QR	5894870
542588	1845	1998-06-14	VYDAJ	PREVOD NA UCET	12537	45940	SIPO	QR	5894870
542589	1845	1998-07-14	VYDAJ	PREVOD NA UCET	12537	49232	SIPO	QR	5894870
542590	1845	1998-08-14	VYDAJ	PREVOD NA UCET	12537	46564	SIPO	QR	5894870
542591	1845	1998-09-14	VYDAJ	PREVOD NA UCET	12537	44391	SIPO	QR	5894870
542592	1845	1998-10-14	VYDAJ	PREVOD NA UCET	12537	58884	SIPO	QR	5894870
542593	1845	1998-11-14	VYDAJ	PREVOD NA UCET	12537	33683	SIPO	QR	5894870
542594	1845	1998-12-14	VYDAJ	PREVOD NA UCET	12537	29324	SIPO	QR	5894870
542605	1845	1998-05-15	VYBER	VYBER	14209	28802	\N	\N	\N
542606	1845	1998-12-05	VYBER	VYBER	16607	36161	\N	\N	\N
542608	1845	1998-07-16	VYBER	VYBER	7526	42306	\N	\N	\N
542609	1845	1998-06-05	VYBER	VYBER	16064	58477	\N	\N	\N
542610	1845	1998-05-02	VYBER	VYBER	3499	37917	\N	\N	\N
542611	1845	1998-03-19	VYBER	VYBER	17212	24216	\N	\N	\N
542613	1845	1998-12-21	VYBER	VYBER	2787	26537	\N	\N	\N
542614	1845	1998-06-04	VYBER	VYBER	13041	74541	\N	\N	\N
542615	1845	1998-07-17	VYBER	VYBER	22433	19873	\N	\N	\N
542616	1845	1998-09-04	VYBER	VYBER	16382	52228	\N	\N	\N
542619	1845	1998-06-15	VYDAJ	VYBER	20100	25840	\N	\N	\N
542642	1845	1998-07-26	VYDAJ	VYBER	4200	21884	\N	\N	\N
542643	1845	1998-11-08	VYDAJ	VYBER	6300	52920	\N	\N	\N
542645	1845	1998-09-15	VYDAJ	VYBER	14400	29991	\N	\N	\N
542646	1845	1998-04-02	VYDAJ	VYBER	9600	56750	\N	\N	\N
542647	1845	1998-09-21	VYDAJ	VYBER	6000	55803	\N	\N	\N
542663	1845	1998-03-31	VYDAJ	VYBER	15	66350	SLUZBY	\N	\N
542664	1845	1998-04-30	VYDAJ	VYBER	15	41416	SLUZBY	\N	\N
542665	1845	1998-05-31	VYDAJ	VYBER	15	87582	SLUZBY	\N	\N
542666	1845	1998-06-30	VYDAJ	VYBER	15	31923	SLUZBY	\N	\N
542667	1845	1998-07-31	VYDAJ	VYBER	15	21986	SLUZBY	\N	\N
542668	1845	1998-08-31	VYDAJ	VYBER	15	68610	SLUZBY	\N	\N
542669	1845	1998-09-30	VYDAJ	VYBER	15	98049	SLUZBY	\N	\N
542670	1845	1998-10-31	VYDAJ	VYBER	15	59220	SLUZBY	\N	\N
542671	1845	1998-11-30	VYDAJ	VYBER	15	52768	SLUZBY	\N	\N
542672	1845	1997-09-19	VYDAJ	VYBER	5100	29286	\N	\N	\N
542673	1845	1997-10-19	PRIJEM	VKLAD	400	29735	\N	\N	\N
542674	1845	1997-11-18	VYDAJ	VYBER	15300	52022	\N	\N	\N
542675	1845	1997-12-18	VYDAJ	VYBER	21100	54499	\N	\N	\N
542676	1845	1998-01-17	VYDAJ	VYBER	9100	45713	\N	\N	\N
542677	1845	1998-02-16	VYDAJ	VYBER	19100	51154	\N	\N	\N
542678	1845	1998-03-18	VYDAJ	VYBER	3200	41428	\N	\N	\N
542679	1845	1998-04-17	VYDAJ	VYBER	3000	41213	\N	\N	\N
542680	1845	1998-05-17	PRIJEM	VKLAD	7000	35802	\N	\N	\N
542681	1845	1998-05-22	VYDAJ	VYBER	20500	87327	\N	\N	\N
542682	1845	1998-06-16	PRIJEM	VKLAD	5900	31740	\N	\N	\N
542683	1845	1998-07-16	PRIJEM	VKLAD	600	49832	\N	\N	\N
542684	1845	1998-08-15	VYDAJ	VYBER	5500	41064	\N	\N	\N
542685	1845	1998-09-14	PRIJEM	VKLAD	4700	56928	\N	\N	\N
542686	1845	1998-10-05	VYDAJ	VYBER	50500	76273	\N	\N	\N
542687	1845	1998-10-14	VYDAJ	VYBER	16500	71421	\N	\N	\N
542688	1845	1998-11-13	VYDAJ	VYBER	6700	46220	\N	\N	\N
542689	1845	1998-12-13	PRIJEM	VKLAD	5700	41861	\N	\N	\N
542706	1846	1995-06-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
542713	1846	1995-07-09	PRIJEM	PREVOD Z UCTU	3093	4093	\N	KL	27274263
542714	1846	1995-08-09	PRIJEM	PREVOD Z UCTU	3093	7186	\N	KL	27274263
542715	1846	1995-09-09	PRIJEM	PREVOD Z UCTU	3093	10279	\N	KL	27274263
542716	1846	1995-10-09	PRIJEM	PREVOD Z UCTU	3093	13372	\N	KL	27274263
542717	1846	1995-11-09	PRIJEM	PREVOD Z UCTU	3093	16465	\N	KL	27274263
542718	1846	1995-12-09	PRIJEM	PREVOD Z UCTU	3093	16233	\N	KL	27274263
542719	1846	1996-01-09	PRIJEM	PREVOD Z UCTU	3093	15205	\N	KL	27274263
542720	1846	1996-02-09	PRIJEM	PREVOD Z UCTU	3093	15585	\N	KL	27274263
542721	1846	1996-03-09	PRIJEM	PREVOD Z UCTU	3093	16476	\N	KL	27274263
542722	1846	1996-04-09	PRIJEM	PREVOD Z UCTU	3093	17551	\N	KL	27274263
542723	1846	1996-05-09	PRIJEM	PREVOD Z UCTU	3093	17701	\N	KL	27274263
542724	1846	1996-06-09	PRIJEM	PREVOD Z UCTU	3093	18781	\N	KL	27274263
542725	1846	1996-07-09	PRIJEM	PREVOD Z UCTU	3093	17761	\N	KL	27274263
542726	1846	1996-08-09	PRIJEM	PREVOD Z UCTU	3093	17850	\N	KL	27274263
542727	1846	1996-09-09	PRIJEM	PREVOD Z UCTU	3093	18751	\N	KL	27274263
542728	1846	1996-10-09	PRIJEM	PREVOD Z UCTU	3093	19836	\N	KL	27274263
542729	1846	1996-11-09	PRIJEM	PREVOD Z UCTU	3093	20925	\N	KL	27274263
542730	1846	1996-12-09	PRIJEM	PREVOD Z UCTU	3093	22019	\N	KL	27274263
542731	1846	1997-01-09	PRIJEM	PREVOD Z UCTU	3093	22757	\N	KL	27274263
542732	1846	1997-02-09	PRIJEM	PREVOD Z UCTU	3093	23046	\N	KL	27274263
542733	1846	1997-03-09	PRIJEM	PREVOD Z UCTU	3093	22707	\N	KL	27274263
542734	1846	1997-04-09	PRIJEM	PREVOD Z UCTU	3093	23598	\N	KL	27274263
542735	1846	1997-05-09	PRIJEM	PREVOD Z UCTU	3093	24702	\N	KL	27274263
542736	1846	1997-06-09	PRIJEM	PREVOD Z UCTU	3093	24342	\N	KL	27274263
542737	1846	1997-07-09	PRIJEM	PREVOD Z UCTU	3093	17889	\N	KL	27274263
542738	1846	1997-08-09	PRIJEM	PREVOD Z UCTU	3093	18249	\N	KL	27274263
542739	1846	1997-09-09	PRIJEM	PREVOD Z UCTU	3093	19333	\N	KL	27274263
542740	1846	1997-10-09	PRIJEM	PREVOD Z UCTU	3093	20420	\N	KL	27274263
542741	1846	1997-11-09	PRIJEM	PREVOD Z UCTU	3093	21511	\N	KL	27274263
542742	1846	1997-12-09	PRIJEM	PREVOD Z UCTU	3093	22607	\N	KL	27274263
542743	1846	1998-01-09	PRIJEM	PREVOD Z UCTU	3093	20584	\N	KL	27274263
542851	1846	1996-03-31	VYDAJ	VYBER	15	14458	SLUZBY	\N	\N
542744	1846	1998-02-09	PRIJEM	PREVOD Z UCTU	3093	18553	\N	KL	27274263
542745	1846	1998-03-09	PRIJEM	PREVOD Z UCTU	3093	19636	\N	KL	27274263
542746	1846	1998-04-09	PRIJEM	PREVOD Z UCTU	3093	20724	\N	KL	27274263
542747	1846	1998-05-09	PRIJEM	PREVOD Z UCTU	3093	21816	\N	KL	27274263
542748	1846	1998-06-09	PRIJEM	PREVOD Z UCTU	3093	22913	\N	KL	27274263
542749	1846	1998-07-09	PRIJEM	PREVOD Z UCTU	3093	24015	\N	KL	27274263
542750	1846	1998-08-09	PRIJEM	PREVOD Z UCTU	3093	25121	\N	KL	27274263
542751	1846	1998-09-09	PRIJEM	PREVOD Z UCTU	3093	26232	\N	KL	27274263
542752	1846	1998-10-09	PRIJEM	PREVOD Z UCTU	3093	26087	\N	KL	27274263
542753	1846	1998-11-09	PRIJEM	PREVOD Z UCTU	3093	27203	\N	KL	27274263
542754	1846	1998-12-09	PRIJEM	PREVOD Z UCTU	3093	28322	\N	KL	27274263
542765	1846	1995-11-10	VYDAJ	PREVOD NA UCET	2062	14403	\N	UV	47556239
542766	1846	1995-12-10	VYDAJ	PREVOD NA UCET	2062	14171	\N	UV	47556239
542767	1846	1996-01-10	VYDAJ	PREVOD NA UCET	2062	13143	\N	UV	47556239
542768	1846	1996-02-10	VYDAJ	PREVOD NA UCET	2062	13523	\N	UV	47556239
542769	1846	1996-03-10	VYDAJ	PREVOD NA UCET	2062	14414	\N	UV	47556239
542770	1846	1996-04-10	VYDAJ	PREVOD NA UCET	2062	15489	\N	UV	47556239
542771	1846	1996-05-10	VYDAJ	PREVOD NA UCET	2062	15639	\N	UV	47556239
542772	1846	1996-06-10	VYDAJ	PREVOD NA UCET	2062	16719	\N	UV	47556239
542773	1846	1996-07-10	VYDAJ	PREVOD NA UCET	2062	15699	\N	UV	47556239
542774	1846	1996-08-10	VYDAJ	PREVOD NA UCET	2062	15788	\N	UV	47556239
542775	1846	1996-09-10	VYDAJ	PREVOD NA UCET	2062	16689	\N	UV	47556239
542776	1846	1996-10-10	VYDAJ	PREVOD NA UCET	2062	17774	\N	UV	47556239
542777	1846	1996-11-10	VYDAJ	PREVOD NA UCET	2062	18863	\N	UV	47556239
542778	1846	1996-12-10	VYDAJ	PREVOD NA UCET	2062	19957	\N	UV	47556239
542779	1846	1997-01-10	VYDAJ	PREVOD NA UCET	2062	20695	\N	UV	47556239
542780	1846	1997-02-10	VYDAJ	PREVOD NA UCET	2062	20984	\N	UV	47556239
542781	1846	1997-03-10	VYDAJ	PREVOD NA UCET	2062	20645	\N	UV	47556239
542782	1846	1997-04-10	VYDAJ	PREVOD NA UCET	2062	21536	\N	UV	47556239
542783	1846	1997-05-10	VYDAJ	PREVOD NA UCET	2062	22640	\N	UV	47556239
542784	1846	1997-06-10	VYDAJ	PREVOD NA UCET	2062	22280	\N	UV	47556239
542785	1846	1997-07-10	VYDAJ	PREVOD NA UCET	2062	15827	\N	UV	47556239
542786	1846	1997-08-10	VYDAJ	PREVOD NA UCET	2062	16187	\N	UV	47556239
542787	1846	1997-09-10	VYDAJ	PREVOD NA UCET	2062	17271	\N	UV	47556239
542788	1846	1997-10-10	VYDAJ	PREVOD NA UCET	2062	18358	\N	UV	47556239
542789	1846	1997-11-10	VYDAJ	PREVOD NA UCET	2062	19449	\N	UV	47556239
542790	1846	1997-12-10	VYDAJ	PREVOD NA UCET	2062	20545	\N	UV	47556239
542791	1846	1998-01-10	VYDAJ	PREVOD NA UCET	2062	18522	\N	UV	47556239
542792	1846	1998-02-10	VYDAJ	PREVOD NA UCET	2062	16491	\N	UV	47556239
542793	1846	1998-03-10	VYDAJ	PREVOD NA UCET	2062	17574	\N	UV	47556239
542794	1846	1998-04-10	VYDAJ	PREVOD NA UCET	2062	18662	\N	UV	47556239
542795	1846	1998-05-10	VYDAJ	PREVOD NA UCET	2062	19754	\N	UV	47556239
542796	1846	1998-06-10	VYDAJ	PREVOD NA UCET	2062	20851	\N	UV	47556239
542797	1846	1998-07-10	VYDAJ	PREVOD NA UCET	2062	21953	\N	UV	47556239
542798	1846	1998-08-10	VYDAJ	PREVOD NA UCET	2062	23059	\N	UV	47556239
542799	1846	1998-09-10	VYDAJ	PREVOD NA UCET	2062	24170	\N	UV	47556239
542800	1846	1998-10-10	VYDAJ	PREVOD NA UCET	2062	24025	\N	UV	47556239
542801	1846	1998-11-10	VYDAJ	PREVOD NA UCET	2062	25141	\N	UV	47556239
542802	1846	1998-12-10	VYDAJ	PREVOD NA UCET	2062	26260	\N	UV	47556239
542805	1846	1997-06-28	VYDAJ	VYBER	7560	14720	\N	\N	\N
542809	1846	1997-01-11	VYDAJ	VYBER	810	19885	\N	\N	\N
542810	1846	1998-01-19	VYDAJ	VYBER	2310	16212	\N	\N	\N
542811	1846	1995-12-20	VYDAJ	VYBER	660	12071	\N	\N	\N
542812	1846	1996-12-21	VYDAJ	VYBER	360	19597	\N	\N	\N
542813	1846	1997-12-27	VYDAJ	VYBER	750	18445	\N	\N	\N
542814	1846	1998-12-17	VYDAJ	VYBER	780	25480	\N	\N	\N
542816	1846	1995-12-15	VYDAJ	VYBER	1440	12731	\N	\N	\N
542818	1846	1995-12-08	VYDAJ	VYBER	1290	13140	\N	\N	\N
542820	1846	1996-01-29	VYDAJ	VYBER	690	12453	\N	\N	\N
542821	1846	1996-09-06	VYDAJ	VYBER	180	15658	\N	\N	\N
542822	1846	1996-02-28	VYDAJ	VYBER	180	13343	\N	\N	\N
542823	1846	1996-04-29	VYDAJ	VYBER	930	14559	\N	\N	\N
542824	1846	1996-06-13	VYDAJ	VYBER	1290	15429	\N	\N	\N
542825	1846	1996-06-18	VYDAJ	VYBER	810	14619	\N	\N	\N
542826	1846	1996-07-21	VYDAJ	VYBER	990	14709	\N	\N	\N
542827	1846	1997-06-08	VYDAJ	VYBER	1470	21249	\N	\N	\N
542828	1846	1997-02-27	VYDAJ	VYBER	1110	19544	\N	\N	\N
542829	1846	1997-12-14	VYDAJ	VYBER	1350	19195	\N	\N	\N
542830	1846	1997-03-19	VYDAJ	VYBER	210	20435	\N	\N	\N
542831	1846	1997-08-08	VYDAJ	VYBER	720	15156	\N	\N	\N
542832	1846	1997-02-14	VYDAJ	VYBER	330	20654	\N	\N	\N
542833	1846	1998-10-04	VYDAJ	VYBER	1260	22994	\N	\N	\N
542834	1846	1998-01-28	VYDAJ	VYBER	810	15402	\N	\N	\N
542835	1846	1998-01-08	VYDAJ	VYBER	1020	17491	\N	\N	\N
542847	1846	1995-11-30	VYDAJ	VYBER	15	14430	SLUZBY	\N	\N
542848	1846	1995-12-31	VYDAJ	VYBER	15	12112	SLUZBY	\N	\N
542849	1846	1996-01-31	VYDAJ	VYBER	15	12492	SLUZBY	\N	\N
542850	1846	1996-02-29	VYDAJ	VYBER	15	13383	SLUZBY	\N	\N
542852	1846	1996-04-30	VYDAJ	VYBER	15	14608	SLUZBY	\N	\N
542853	1846	1996-05-31	VYDAJ	VYBER	15	15688	SLUZBY	\N	\N
542854	1846	1996-06-30	VYDAJ	VYBER	15	14668	SLUZBY	\N	\N
542855	1846	1996-07-31	VYDAJ	VYBER	15	14757	SLUZBY	\N	\N
542856	1846	1996-08-31	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
542857	1846	1996-09-30	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
542858	1846	1996-10-31	VYDAJ	VYBER	15	17832	SLUZBY	\N	\N
542859	1846	1996-11-30	VYDAJ	VYBER	15	18926	SLUZBY	\N	\N
542860	1846	1996-12-31	VYDAJ	VYBER	15	19664	SLUZBY	\N	\N
542861	1846	1997-01-31	VYDAJ	VYBER	15	19953	SLUZBY	\N	\N
542862	1846	1997-02-28	VYDAJ	VYBER	15	19614	SLUZBY	\N	\N
542863	1846	1997-03-31	VYDAJ	VYBER	15	20505	SLUZBY	\N	\N
542864	1846	1997-04-30	VYDAJ	VYBER	15	21609	SLUZBY	\N	\N
542865	1846	1997-05-31	VYDAJ	VYBER	15	22719	SLUZBY	\N	\N
542866	1846	1997-06-30	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
542867	1846	1997-07-31	VYDAJ	VYBER	15	15876	SLUZBY	\N	\N
542868	1846	1997-08-31	VYDAJ	VYBER	15	16240	SLUZBY	\N	\N
542869	1846	1997-09-30	VYDAJ	VYBER	15	17327	SLUZBY	\N	\N
542870	1846	1997-10-31	VYDAJ	VYBER	15	18418	SLUZBY	\N	\N
542871	1846	1997-11-30	VYDAJ	VYBER	15	19514	SLUZBY	\N	\N
542872	1846	1997-12-31	VYDAJ	VYBER	15	18511	SLUZBY	\N	\N
542873	1846	1998-01-31	VYDAJ	VYBER	15	15460	SLUZBY	\N	\N
542874	1846	1998-02-28	VYDAJ	VYBER	15	16543	SLUZBY	\N	\N
542875	1846	1998-03-31	VYDAJ	VYBER	15	17631	SLUZBY	\N	\N
542876	1846	1998-04-30	VYDAJ	VYBER	15	18723	SLUZBY	\N	\N
542877	1846	1998-05-31	VYDAJ	VYBER	15	19820	SLUZBY	\N	\N
542878	1846	1998-06-30	VYDAJ	VYBER	15	20922	SLUZBY	\N	\N
542879	1846	1998-07-31	VYDAJ	VYBER	15	22028	SLUZBY	\N	\N
542880	1846	1998-08-31	VYDAJ	VYBER	15	23139	SLUZBY	\N	\N
542881	1846	1998-09-30	VYDAJ	VYBER	15	24254	SLUZBY	\N	\N
542882	1846	1998-10-31	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
542883	1846	1998-11-30	VYDAJ	VYBER	15	25229	SLUZBY	\N	\N
542922	1847	1996-04-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
542926	1847	1996-04-10	PRIJEM	PREVOD Z UCTU	5679	6779	DUCHOD	KL	21921652
542927	1847	1996-05-10	PRIJEM	PREVOD Z UCTU	5679	12478	DUCHOD	KL	21921652
542928	1847	1996-06-10	PRIJEM	PREVOD Z UCTU	5679	18185	DUCHOD	KL	21921652
542929	1847	1996-07-10	PRIJEM	PREVOD Z UCTU	5679	23892	DUCHOD	KL	21921652
542930	1847	1996-08-10	PRIJEM	PREVOD Z UCTU	5679	29000	DUCHOD	KL	21921652
542931	1847	1996-09-10	PRIJEM	PREVOD Z UCTU	5679	32939	DUCHOD	KL	21921652
542932	1847	1996-10-10	PRIJEM	PREVOD Z UCTU	5679	33889	DUCHOD	KL	21921652
542933	1847	1996-11-10	PRIJEM	PREVOD Z UCTU	5679	36108	DUCHOD	KL	21921652
542934	1847	1996-12-10	PRIJEM	PREVOD Z UCTU	5679	34969	DUCHOD	KL	21921652
542935	1847	1997-01-10	PRIJEM	PREVOD Z UCTU	5679	32304	DUCHOD	KL	21921652
542936	1847	1997-02-10	PRIJEM	PREVOD Z UCTU	5679	30914	DUCHOD	KL	21921652
542937	1847	1997-03-10	PRIJEM	PREVOD Z UCTU	5679	34877	DUCHOD	KL	21921652
542938	1847	1997-04-10	PRIJEM	PREVOD Z UCTU	5679	38857	DUCHOD	KL	21921652
542939	1847	1997-05-10	PRIJEM	PREVOD Z UCTU	5679	42854	DUCHOD	KL	21921652
542940	1847	1997-06-10	PRIJEM	PREVOD Z UCTU	5679	33668	DUCHOD	KL	21921652
542941	1847	1997-07-10	PRIJEM	PREVOD Z UCTU	5679	35016	DUCHOD	KL	21921652
542942	1847	1997-08-10	PRIJEM	PREVOD Z UCTU	5679	37875	DUCHOD	KL	21921652
542943	1847	1997-09-10	PRIJEM	PREVOD Z UCTU	5679	41867	DUCHOD	KL	21921652
542944	1847	1997-10-10	PRIJEM	PREVOD Z UCTU	5679	42189	DUCHOD	KL	21921652
542945	1847	1997-11-10	PRIJEM	PREVOD Z UCTU	5679	46199	DUCHOD	KL	21921652
542946	1847	1997-12-10	PRIJEM	PREVOD Z UCTU	5679	50226	DUCHOD	KL	21921652
542947	1847	1998-01-10	PRIJEM	PREVOD Z UCTU	5679	49740	DUCHOD	KL	21921652
542948	1847	1998-02-10	PRIJEM	PREVOD Z UCTU	5679	45247	DUCHOD	KL	21921652
542949	1847	1998-03-10	PRIJEM	PREVOD Z UCTU	5679	49270	DUCHOD	KL	21921652
542950	1847	1998-04-10	PRIJEM	PREVOD Z UCTU	5679	53310	DUCHOD	KL	21921652
542951	1847	1998-05-10	PRIJEM	PREVOD Z UCTU	5679	57367	DUCHOD	KL	21921652
542952	1847	1998-06-10	PRIJEM	PREVOD Z UCTU	5679	61440	DUCHOD	KL	21921652
542953	1847	1998-07-10	PRIJEM	PREVOD Z UCTU	5679	58665	DUCHOD	KL	21921652
542954	1847	1998-08-10	PRIJEM	PREVOD Z UCTU	5679	62186	DUCHOD	KL	21921652
542955	1847	1998-09-10	PRIJEM	PREVOD Z UCTU	5679	62975	DUCHOD	KL	21921652
542956	1847	1998-10-10	PRIJEM	PREVOD Z UCTU	5679	59086	DUCHOD	KL	21921652
542957	1847	1998-11-10	PRIJEM	PREVOD Z UCTU	5679	60170	DUCHOD	KL	21921652
542958	1847	1998-12-10	PRIJEM	PREVOD Z UCTU	5679	58950	DUCHOD	KL	21921652
542966	1847	1996-08-14	VYDAJ	PREVOD NA UCET	1815	27185	SIPO	MN	59477126
542967	1847	1996-09-14	VYDAJ	PREVOD NA UCET	1815	31124	SIPO	MN	59477126
542968	1847	1996-10-14	VYDAJ	PREVOD NA UCET	1815	32074	SIPO	MN	59477126
542969	1847	1996-11-14	VYDAJ	PREVOD NA UCET	1815	34293	SIPO	MN	59477126
542970	1847	1996-12-14	VYDAJ	PREVOD NA UCET	1815	33154	SIPO	MN	59477126
542971	1847	1997-01-14	VYDAJ	PREVOD NA UCET	1815	30489	SIPO	MN	59477126
542972	1847	1997-02-14	VYDAJ	PREVOD NA UCET	1815	29099	SIPO	MN	59477126
542973	1847	1997-03-14	VYDAJ	PREVOD NA UCET	1815	33062	SIPO	MN	59477126
542974	1847	1997-04-14	VYDAJ	PREVOD NA UCET	1815	37042	SIPO	MN	59477126
542975	1847	1997-05-14	VYDAJ	PREVOD NA UCET	1815	41039	SIPO	MN	59477126
542976	1847	1997-06-14	VYDAJ	PREVOD NA UCET	1815	29213	SIPO	MN	59477126
542977	1847	1997-07-14	VYDAJ	PREVOD NA UCET	1815	33201	SIPO	MN	59477126
542978	1847	1997-08-14	VYDAJ	PREVOD NA UCET	1815	36060	SIPO	MN	59477126
542979	1847	1997-09-14	VYDAJ	PREVOD NA UCET	1815	36372	SIPO	MN	59477126
542980	1847	1997-10-14	VYDAJ	PREVOD NA UCET	1815	40374	SIPO	MN	59477126
542981	1847	1997-11-14	VYDAJ	PREVOD NA UCET	1815	44384	SIPO	MN	59477126
542982	1847	1997-12-14	VYDAJ	PREVOD NA UCET	1815	48411	SIPO	MN	59477126
542983	1847	1998-01-14	VYDAJ	PREVOD NA UCET	1815	44405	SIPO	MN	59477126
542984	1847	1998-02-14	VYDAJ	PREVOD NA UCET	1815	43432	SIPO	MN	59477126
542985	1847	1998-03-14	VYDAJ	PREVOD NA UCET	1815	47455	SIPO	MN	59477126
542986	1847	1998-04-14	VYDAJ	PREVOD NA UCET	1815	51495	SIPO	MN	59477126
542987	1847	1998-05-14	VYDAJ	PREVOD NA UCET	1815	55552	SIPO	MN	59477126
542988	1847	1998-06-14	VYDAJ	PREVOD NA UCET	1815	59625	SIPO	MN	59477126
542989	1847	1998-07-14	VYDAJ	PREVOD NA UCET	1815	56290	SIPO	MN	59477126
542990	1847	1998-08-14	VYDAJ	PREVOD NA UCET	1815	60371	SIPO	MN	59477126
542991	1847	1998-09-14	VYDAJ	PREVOD NA UCET	1815	59800	SIPO	MN	59477126
542992	1847	1998-10-14	VYDAJ	PREVOD NA UCET	1815	57271	SIPO	MN	59477126
542993	1847	1998-11-14	VYDAJ	PREVOD NA UCET	1815	58355	SIPO	MN	59477126
542994	1847	1998-12-14	VYDAJ	PREVOD NA UCET	1815	57135	SIPO	MN	59477126
542996	1847	1997-06-03	VYDAJ	VYBER	13200	27989	\N	\N	\N
542997	1847	1998-06-15	VYDAJ	VYBER	6850	52775	\N	\N	\N
542999	1847	1997-01-05	VYDAJ	VYBER	4400	28625	\N	\N	\N
543000	1847	1998-01-15	VYDAJ	VYBER	2600	41805	\N	\N	\N
543001	1847	1996-12-30	VYDAJ	VYBER	250	32904	\N	\N	\N
543002	1847	1997-12-25	VYDAJ	VYBER	1050	47361	\N	\N	\N
543003	1847	1998-12-17	VYDAJ	VYBER	1000	56135	\N	\N	\N
543010	1847	1997-01-24	VYDAJ	VYBER	1360	27529	\N	\N	\N
543011	1847	1997-01-15	VYDAJ	VYBER	1600	28889	\N	\N	\N
543012	1847	1997-01-09	VYDAJ	VYBER	1040	26625	\N	\N	\N
543013	1847	1997-01-06	VYDAJ	VYBER	960	27665	\N	\N	\N
543014	1847	1997-01-25	VYDAJ	VYBER	1200	26329	\N	\N	\N
543015	1847	1997-01-26	VYDAJ	VYBER	1200	25129	\N	\N	\N
543016	1847	1998-01-16	VYDAJ	VYBER	1440	40365	\N	\N	\N
543017	1847	1998-01-10	VYDAJ	VYBER	1680	46220	\N	\N	\N
543018	1847	1998-01-10	VYDAJ	VYBER	1840	47900	\N	\N	\N
543019	1847	1998-01-19	VYDAJ	VYBER	960	39405	\N	\N	\N
543020	1847	1998-01-03	VYDAJ	VYBER	1440	45901	\N	\N	\N
543021	1847	1998-01-08	VYDAJ	VYBER	1840	44061	\N	\N	\N
543022	1847	1996-09-24	VYDAJ	VYBER	1920	29204	\N	\N	\N
543023	1847	1996-11-18	VYDAJ	VYBER	1600	32693	\N	\N	\N
543025	1847	1996-12-06	VYDAJ	VYBER	720	29290	\N	\N	\N
543027	1847	1996-10-28	VYDAJ	VYBER	1760	30314	\N	\N	\N
543028	1847	1996-11-26	VYDAJ	VYBER	2800	29893	\N	\N	\N
543029	1847	1997-07-19	VYDAJ	VYBER	1120	32081	\N	\N	\N
543030	1847	1997-06-13	VYDAJ	VYBER	2640	31028	\N	\N	\N
543031	1847	1997-09-11	VYDAJ	VYBER	3680	38187	\N	\N	\N
543032	1847	1998-11-28	VYDAJ	VYBER	3200	53055	\N	\N	\N
543033	1847	1998-12-18	VYDAJ	VYBER	3280	52855	\N	\N	\N
543034	1847	1998-09-11	VYDAJ	VYBER	1360	61615	\N	\N	\N
543035	1847	1998-07-10	VYDAJ	VYBER	560	58105	\N	\N	\N
543036	1847	1998-10-04	VYDAJ	VYBER	3920	53407	\N	\N	\N
543045	1847	1996-08-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
543046	1847	1996-09-30	VYDAJ	VYBER	15	29310	SLUZBY	\N	\N
543047	1847	1996-10-31	VYDAJ	VYBER	15	30429	SLUZBY	\N	\N
543048	1847	1996-11-30	VYDAJ	VYBER	15	30010	SLUZBY	\N	\N
543049	1847	1996-12-31	VYDAJ	VYBER	15	33025	SLUZBY	\N	\N
543050	1847	1997-01-31	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
543051	1847	1997-02-28	VYDAJ	VYBER	15	29198	SLUZBY	\N	\N
543052	1847	1997-03-31	VYDAJ	VYBER	15	33178	SLUZBY	\N	\N
543053	1847	1997-04-30	VYDAJ	VYBER	15	37175	SLUZBY	\N	\N
543054	1847	1997-05-31	VYDAJ	VYBER	15	41189	SLUZBY	\N	\N
543055	1847	1997-06-30	VYDAJ	VYBER	15	29337	SLUZBY	\N	\N
543056	1847	1997-07-31	VYDAJ	VYBER	15	32196	SLUZBY	\N	\N
543057	1847	1997-08-31	VYDAJ	VYBER	15	36188	SLUZBY	\N	\N
543058	1847	1997-09-30	VYDAJ	VYBER	15	36510	SLUZBY	\N	\N
543059	1847	1997-10-31	VYDAJ	VYBER	15	40520	SLUZBY	\N	\N
543060	1847	1997-11-30	VYDAJ	VYBER	15	44547	SLUZBY	\N	\N
543061	1847	1997-12-31	VYDAJ	VYBER	15	47341	SLUZBY	\N	\N
543062	1847	1998-01-31	VYDAJ	VYBER	15	39568	SLUZBY	\N	\N
543063	1847	1998-02-28	VYDAJ	VYBER	15	43591	SLUZBY	\N	\N
543064	1847	1998-03-31	VYDAJ	VYBER	15	47631	SLUZBY	\N	\N
543065	1847	1998-04-30	VYDAJ	VYBER	15	51688	SLUZBY	\N	\N
543066	1847	1998-05-31	VYDAJ	VYBER	15	55761	SLUZBY	\N	\N
543067	1847	1998-06-30	VYDAJ	VYBER	15	52986	SLUZBY	\N	\N
543068	1847	1998-07-31	VYDAJ	VYBER	15	56507	SLUZBY	\N	\N
543069	1847	1998-08-31	VYDAJ	VYBER	15	57296	SLUZBY	\N	\N
543070	1847	1998-09-30	VYDAJ	VYBER	15	57327	SLUZBY	\N	\N
543071	1847	1998-10-31	VYDAJ	VYBER	15	54491	SLUZBY	\N	\N
543072	1847	1998-11-30	VYDAJ	VYBER	15	53271	SLUZBY	\N	\N
543073	1847	1996-08-02	VYDAJ	VYBER	600	23321	\N	\N	\N
543074	1847	1996-10-01	VYDAJ	VYBER	1100	28210	\N	\N	\N
543075	1847	1997-12-25	VYDAJ	VYBER	200	47161	\N	\N	\N
543076	1847	1998-08-22	VYDAJ	VYBER	3300	57071	\N	\N	\N
543077	1847	1998-09-21	VYDAJ	VYBER	2700	57100	\N	\N	\N
543078	1847	1998-10-21	VYDAJ	VYBER	3000	54271	\N	\N	\N
543079	1847	1998-11-20	VYDAJ	VYBER	2100	56255	\N	\N	\N
543113	1848	1994-08-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
543121	1848	1994-08-06	PRIJEM	VKLAD	5210	6210	\N	\N	\N
543122	1848	1994-09-06	PRIJEM	VKLAD	5210	19442	\N	\N	\N
543123	1848	1994-10-06	PRIJEM	VKLAD	5210	27124	\N	\N	\N
543124	1848	1994-11-06	PRIJEM	VKLAD	5210	30441	\N	\N	\N
543125	1848	1994-12-06	PRIJEM	VKLAD	7815	35581	\N	\N	\N
543126	1848	1995-01-06	PRIJEM	VKLAD	5210	30656	\N	\N	\N
543127	1848	1995-02-06	PRIJEM	VKLAD	5210	24282	\N	\N	\N
543128	1848	1995-03-06	PRIJEM	VKLAD	5210	26288	\N	\N	\N
543129	1848	1995-04-06	PRIJEM	VKLAD	5210	22386	\N	\N	\N
543130	1848	1995-05-06	PRIJEM	VKLAD	5210	24091	\N	\N	\N
543131	1848	1995-06-06	PRIJEM	VKLAD	7815	25607	\N	\N	\N
543132	1848	1995-07-06	PRIJEM	VKLAD	5210	25119	\N	\N	\N
543133	1848	1995-08-06	PRIJEM	VKLAD	5210	21627	\N	\N	\N
543134	1848	1995-09-06	PRIJEM	VKLAD	5210	19355	\N	\N	\N
543135	1848	1995-10-06	PRIJEM	VKLAD	5210	18460	\N	\N	\N
543136	1848	1995-11-06	PRIJEM	VKLAD	5210	18641	\N	\N	\N
543137	1848	1995-12-06	PRIJEM	VKLAD	7815	23929	\N	\N	\N
543138	1848	1996-01-06	PRIJEM	VKLAD	5210	20546	\N	\N	\N
543139	1848	1996-02-06	PRIJEM	VKLAD	5210	18839	\N	\N	\N
543140	1848	1996-03-06	PRIJEM	VKLAD	5210	20963	\N	\N	\N
543141	1848	1996-04-06	PRIJEM	VKLAD	5210	19752	\N	\N	\N
543142	1848	1996-05-06	PRIJEM	VKLAD	5210	24042	\N	\N	\N
543143	1848	1996-06-06	PRIJEM	VKLAD	7815	25048	\N	\N	\N
543144	1848	1996-07-06	PRIJEM	VKLAD	5210	24551	\N	\N	\N
543145	1848	1996-08-06	PRIJEM	VKLAD	5210	22053	\N	\N	\N
543146	1848	1996-09-06	PRIJEM	VKLAD	5210	21247	\N	\N	\N
543147	1848	1996-10-06	PRIJEM	VKLAD	5210	19335	\N	\N	\N
543148	1848	1996-11-06	PRIJEM	VKLAD	5210	16414	\N	\N	\N
543149	1848	1996-12-06	PRIJEM	VKLAD	7815	20792	\N	\N	\N
543150	1848	1997-01-06	PRIJEM	VKLAD	5210	18951	\N	\N	\N
543151	1848	1997-02-06	PRIJEM	VKLAD	5210	15562	\N	\N	\N
543152	1848	1997-03-06	PRIJEM	VKLAD	5210	17331	\N	\N	\N
543153	1848	1997-04-06	PRIJEM	VKLAD	5210	19108	\N	\N	\N
543154	1848	1997-05-06	PRIJEM	VKLAD	5210	20892	\N	\N	\N
543155	1848	1997-06-06	PRIJEM	VKLAD	7815	25288	\N	\N	\N
543156	1848	1997-07-06	PRIJEM	VKLAD	5210	18684	\N	\N	\N
543157	1848	1997-08-06	PRIJEM	VKLAD	5210	20474	\N	\N	\N
543158	1848	1997-09-06	PRIJEM	VKLAD	5210	22263	\N	\N	\N
543159	1848	1997-10-06	PRIJEM	VKLAD	5210	24060	\N	\N	\N
543160	1848	1997-11-06	PRIJEM	VKLAD	5210	19151	\N	\N	\N
543161	1848	1997-12-06	PRIJEM	VKLAD	7815	23540	\N	\N	\N
543162	1848	1998-01-06	PRIJEM	VKLAD	5210	20493	\N	\N	\N
543163	1848	1998-02-06	PRIJEM	VKLAD	5210	19640	\N	\N	\N
543164	1848	1998-03-06	PRIJEM	VKLAD	5210	21425	\N	\N	\N
543165	1848	1998-04-06	PRIJEM	VKLAD	5210	23219	\N	\N	\N
543166	1848	1998-05-06	PRIJEM	VKLAD	5210	21051	\N	\N	\N
543167	1848	1998-06-06	PRIJEM	VKLAD	7815	25448	\N	\N	\N
543168	1848	1998-07-06	PRIJEM	VKLAD	5210	27253	\N	\N	\N
543169	1848	1998-08-06	PRIJEM	VKLAD	5210	29071	\N	\N	\N
543170	1848	1998-09-06	PRIJEM	VKLAD	5210	27776	\N	\N	\N
543171	1848	1998-10-06	PRIJEM	VKLAD	5210	29602	\N	\N	\N
543172	1848	1998-11-06	PRIJEM	VKLAD	5210	31429	\N	\N	\N
543173	1848	1998-12-06	PRIJEM	VKLAD	7815	35868	\N	\N	\N
543185	1848	1994-12-13	VYDAJ	PREVOD NA UCET	3473	32108	SIPO	KL	94460415
543186	1848	1995-01-13	VYDAJ	PREVOD NA UCET	3473	27183	SIPO	KL	94460415
543187	1848	1995-02-13	VYDAJ	PREVOD NA UCET	3473	20809	SIPO	KL	94460415
543188	1848	1995-03-13	VYDAJ	PREVOD NA UCET	3473	22815	SIPO	KL	94460415
543189	1848	1995-04-13	VYDAJ	PREVOD NA UCET	3473	18913	SIPO	KL	94460415
543190	1848	1995-05-13	VYDAJ	PREVOD NA UCET	3473	20618	SIPO	KL	94460415
543191	1848	1995-06-13	VYDAJ	PREVOD NA UCET	3473	22134	SIPO	KL	94460415
543192	1848	1995-07-13	VYDAJ	PREVOD NA UCET	3473	21646	SIPO	KL	94460415
543193	1848	1995-08-13	VYDAJ	PREVOD NA UCET	3473	18154	SIPO	KL	94460415
543194	1848	1995-09-13	VYDAJ	PREVOD NA UCET	3473	15882	SIPO	KL	94460415
543195	1848	1995-10-13	VYDAJ	PREVOD NA UCET	3473	14987	SIPO	KL	94460415
543196	1848	1995-11-13	VYDAJ	PREVOD NA UCET	3473	15168	SIPO	KL	94460415
543197	1848	1995-12-13	VYDAJ	PREVOD NA UCET	3473	20456	SIPO	KL	94460415
543198	1848	1996-01-13	VYDAJ	PREVOD NA UCET	3473	17073	SIPO	KL	94460415
543199	1848	1996-02-13	VYDAJ	PREVOD NA UCET	3473	15366	SIPO	KL	94460415
543200	1848	1996-03-13	VYDAJ	PREVOD NA UCET	3473	17490	SIPO	KL	94460415
543201	1848	1996-04-13	VYDAJ	PREVOD NA UCET	3473	16279	SIPO	KL	94460415
543202	1848	1996-05-13	VYDAJ	PREVOD NA UCET	3473	20569	SIPO	KL	94460415
543203	1848	1996-06-13	VYDAJ	PREVOD NA UCET	3473	21575	SIPO	KL	94460415
543204	1848	1996-07-13	VYDAJ	PREVOD NA UCET	3473	21078	SIPO	KL	94460415
543205	1848	1996-08-13	VYDAJ	PREVOD NA UCET	3473	18580	SIPO	KL	94460415
543206	1848	1996-09-13	VYDAJ	PREVOD NA UCET	3473	17774	SIPO	KL	94460415
543207	1848	1996-10-13	VYDAJ	PREVOD NA UCET	3473	15862	SIPO	KL	94460415
543208	1848	1996-11-13	VYDAJ	PREVOD NA UCET	3473	12941	SIPO	KL	94460415
543209	1848	1996-12-13	VYDAJ	PREVOD NA UCET	3473	13599	SIPO	KL	94460415
543210	1848	1997-01-13	VYDAJ	PREVOD NA UCET	3473	10318	SIPO	KL	94460415
543211	1848	1997-02-13	VYDAJ	PREVOD NA UCET	3473	12089	SIPO	KL	94460415
543212	1848	1997-03-13	VYDAJ	PREVOD NA UCET	3473	13858	SIPO	KL	94460415
543213	1848	1997-04-13	VYDAJ	PREVOD NA UCET	3473	15635	SIPO	KL	94460415
543214	1848	1997-05-13	VYDAJ	PREVOD NA UCET	3473	17419	SIPO	KL	94460415
543215	1848	1997-06-13	VYDAJ	PREVOD NA UCET	3473	21815	SIPO	KL	94460415
543216	1848	1997-07-13	VYDAJ	PREVOD NA UCET	3473	15211	SIPO	KL	94460415
543217	1848	1997-08-13	VYDAJ	PREVOD NA UCET	3473	17001	SIPO	KL	94460415
543218	1848	1997-09-13	VYDAJ	PREVOD NA UCET	3473	18790	SIPO	KL	94460415
543219	1848	1997-10-13	VYDAJ	PREVOD NA UCET	3473	20587	SIPO	KL	94460415
543220	1848	1997-11-13	VYDAJ	PREVOD NA UCET	3473	15678	SIPO	KL	94460415
543221	1848	1997-12-13	VYDAJ	PREVOD NA UCET	3473	20067	SIPO	KL	94460415
543222	1848	1998-01-13	VYDAJ	PREVOD NA UCET	3473	14380	SIPO	KL	94460415
543223	1848	1998-02-13	VYDAJ	PREVOD NA UCET	3473	16167	SIPO	KL	94460415
543224	1848	1998-03-13	VYDAJ	PREVOD NA UCET	3473	17952	SIPO	KL	94460415
543225	1848	1998-04-13	VYDAJ	PREVOD NA UCET	3473	19746	SIPO	KL	94460415
543226	1848	1998-05-13	VYDAJ	PREVOD NA UCET	3473	17578	SIPO	KL	94460415
543227	1848	1998-06-13	VYDAJ	PREVOD NA UCET	3473	21975	SIPO	KL	94460415
543228	1848	1998-07-13	VYDAJ	PREVOD NA UCET	3473	23780	SIPO	KL	94460415
543229	1848	1998-08-13	VYDAJ	PREVOD NA UCET	3473	25598	SIPO	KL	94460415
543230	1848	1998-09-13	VYDAJ	PREVOD NA UCET	3473	24303	SIPO	KL	94460415
543231	1848	1998-10-13	VYDAJ	PREVOD NA UCET	3473	26129	SIPO	KL	94460415
543232	1848	1998-11-13	VYDAJ	PREVOD NA UCET	3473	27956	SIPO	KL	94460415
543233	1848	1998-12-13	VYDAJ	PREVOD NA UCET	3473	28075	SIPO	KL	94460415
543239	1848	1994-12-26	VYDAJ	VYBER	4480	27628	\N	\N	\N
543240	1848	1995-12-19	VYDAJ	VYBER	2720	17736	\N	\N	\N
543241	1848	1996-12-10	VYDAJ	VYBER	2400	18392	\N	\N	\N
543242	1848	1997-12-21	VYDAJ	VYBER	3520	16547	\N	\N	\N
543243	1848	1998-12-13	VYDAJ	VYBER	4320	31548	\N	\N	\N
543250	1848	1995-01-18	VYDAJ	VYBER	2160	22863	\N	\N	\N
543251	1848	1995-01-22	VYDAJ	VYBER	1320	18663	\N	\N	\N
543252	1848	1995-01-24	VYDAJ	VYBER	1080	17583	\N	\N	\N
543253	1848	1995-01-22	VYDAJ	VYBER	2160	20703	\N	\N	\N
543254	1848	1995-01-22	VYDAJ	VYBER	720	19983	\N	\N	\N
543255	1848	1995-01-18	VYDAJ	VYBER	2160	25023	\N	\N	\N
543256	1848	1996-01-15	VYDAJ	VYBER	600	16473	\N	\N	\N
543258	1848	1996-01-05	VYDAJ	VYBER	1560	15336	\N	\N	\N
543260	1848	1996-01-02	VYDAJ	VYBER	1080	18216	\N	\N	\N
543261	1848	1996-01-03	VYDAJ	VYBER	1320	16896	\N	\N	\N
543264	1848	1997-01-07	VYDAJ	VYBER	3240	13791	\N	\N	\N
543266	1848	1997-01-06	VYDAJ	VYBER	1920	17031	\N	\N	\N
543269	1848	1998-01-10	VYDAJ	VYBER	1680	17853	\N	\N	\N
543273	1848	1998-01-08	VYDAJ	VYBER	960	19533	\N	\N	\N
543279	1848	1995-09-29	VYDAJ	VYBER	4080	13202	\N	\N	\N
543280	1848	1995-03-17	VYDAJ	VYBER	720	22095	\N	\N	\N
543281	1848	1995-04-04	VYDAJ	VYBER	1200	17176	\N	\N	\N
543282	1848	1995-08-15	VYDAJ	VYBER	2760	15394	\N	\N	\N
543284	1848	1996-12-10	VYDAJ	VYBER	1320	17072	\N	\N	\N
543286	1848	1996-02-27	VYDAJ	VYBER	960	15706	\N	\N	\N
543287	1848	1997-07-03	VYDAJ	VYBER	4440	13474	\N	\N	\N
543289	1848	1997-06-13	VYDAJ	VYBER	3960	17855	\N	\N	\N
543290	1848	1998-01-01	VYDAJ	VYBER	1320	15283	\N	\N	\N
543291	1848	1998-04-17	VYDAJ	VYBER	3960	15786	\N	\N	\N
543293	1848	1998-09-02	VYDAJ	VYBER	3120	22566	\N	\N	\N
543306	1848	1994-12-31	VYDAJ	VYBER	15	27746	SLUZBY	\N	\N
543307	1848	1995-01-31	VYDAJ	VYBER	15	19072	SLUZBY	\N	\N
543308	1848	1995-02-28	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
543309	1848	1995-03-31	VYDAJ	VYBER	15	22176	SLUZBY	\N	\N
543310	1848	1995-04-30	VYDAJ	VYBER	15	18981	SLUZBY	\N	\N
543311	1848	1995-05-31	VYDAJ	VYBER	15	20692	SLUZBY	\N	\N
543312	1848	1995-06-30	VYDAJ	VYBER	15	19909	SLUZBY	\N	\N
543313	1848	1995-07-31	VYDAJ	VYBER	15	16417	SLUZBY	\N	\N
543314	1848	1995-08-31	VYDAJ	VYBER	15	14145	SLUZBY	\N	\N
543315	1848	1995-09-30	VYDAJ	VYBER	15	13250	SLUZBY	\N	\N
543316	1848	1995-10-31	VYDAJ	VYBER	15	13431	SLUZBY	\N	\N
543317	1848	1995-11-30	VYDAJ	VYBER	15	16114	SLUZBY	\N	\N
543318	1848	1995-12-31	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
543319	1848	1996-01-31	VYDAJ	VYBER	15	13629	SLUZBY	\N	\N
543320	1848	1996-02-29	VYDAJ	VYBER	15	15753	SLUZBY	\N	\N
543321	1848	1996-03-31	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
543322	1848	1996-04-30	VYDAJ	VYBER	15	18832	SLUZBY	\N	\N
543323	1848	1996-05-31	VYDAJ	VYBER	15	17233	SLUZBY	\N	\N
543324	1848	1996-06-30	VYDAJ	VYBER	15	19341	SLUZBY	\N	\N
543325	1848	1996-07-31	VYDAJ	VYBER	15	16843	SLUZBY	\N	\N
543326	1848	1996-08-31	VYDAJ	VYBER	15	16037	SLUZBY	\N	\N
543327	1848	1996-09-30	VYDAJ	VYBER	15	14125	SLUZBY	\N	\N
543328	1848	1996-10-31	VYDAJ	VYBER	15	11204	SLUZBY	\N	\N
543329	1848	1996-11-30	VYDAJ	VYBER	15	12977	SLUZBY	\N	\N
543330	1848	1996-12-31	VYDAJ	VYBER	15	13741	SLUZBY	\N	\N
543331	1848	1997-01-31	VYDAJ	VYBER	15	10352	SLUZBY	\N	\N
543332	1848	1997-02-28	VYDAJ	VYBER	15	12121	SLUZBY	\N	\N
543333	1848	1997-03-31	VYDAJ	VYBER	15	13898	SLUZBY	\N	\N
543334	1848	1997-04-30	VYDAJ	VYBER	15	15682	SLUZBY	\N	\N
543335	1848	1997-05-31	VYDAJ	VYBER	15	17473	SLUZBY	\N	\N
543336	1848	1997-06-30	VYDAJ	VYBER	15	17914	SLUZBY	\N	\N
543337	1848	1997-07-31	VYDAJ	VYBER	15	15264	SLUZBY	\N	\N
543338	1848	1997-08-31	VYDAJ	VYBER	15	17053	SLUZBY	\N	\N
543339	1848	1997-09-30	VYDAJ	VYBER	15	18850	SLUZBY	\N	\N
543340	1848	1997-10-31	VYDAJ	VYBER	15	13941	SLUZBY	\N	\N
543341	1848	1997-11-30	VYDAJ	VYBER	15	15725	SLUZBY	\N	\N
543342	1848	1997-12-31	VYDAJ	VYBER	15	16603	SLUZBY	\N	\N
543343	1848	1998-01-31	VYDAJ	VYBER	15	14430	SLUZBY	\N	\N
543344	1848	1998-02-28	VYDAJ	VYBER	15	16215	SLUZBY	\N	\N
543345	1848	1998-03-31	VYDAJ	VYBER	15	18009	SLUZBY	\N	\N
543346	1848	1998-04-30	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
543347	1848	1998-05-31	VYDAJ	VYBER	15	17633	SLUZBY	\N	\N
543348	1848	1998-06-30	VYDAJ	VYBER	15	22043	SLUZBY	\N	\N
543349	1848	1998-07-31	VYDAJ	VYBER	15	23861	SLUZBY	\N	\N
543350	1848	1998-08-31	VYDAJ	VYBER	15	25686	SLUZBY	\N	\N
543351	1848	1998-09-30	VYDAJ	VYBER	15	24392	SLUZBY	\N	\N
543352	1848	1998-10-31	VYDAJ	VYBER	15	26219	SLUZBY	\N	\N
543353	1848	1998-11-30	VYDAJ	VYBER	15	28053	SLUZBY	\N	\N
543354	1848	1994-09-03	PRIJEM	VKLAD	8000	14232	\N	\N	\N
543355	1848	1994-10-03	PRIJEM	VKLAD	2400	21914	\N	\N	\N
543356	1848	1994-11-02	VYDAJ	VYBER	2000	25231	\N	\N	\N
543357	1848	1994-12-02	VYDAJ	VYBER	2800	27766	\N	\N	\N
543358	1848	1995-01-01	VYDAJ	VYBER	2300	25446	\N	\N	\N
543359	1848	1995-01-31	PRIJEM	VKLAD	1400	19087	\N	\N	\N
543360	1848	1995-03-02	PRIJEM	VKLAD	200	21078	\N	\N	\N
543361	1848	1995-04-01	VYDAJ	VYBER	3800	18376	\N	\N	\N
543362	1848	1995-05-01	VYDAJ	VYBER	100	18881	\N	\N	\N
543363	1848	1995-05-31	VYDAJ	VYBER	2900	17792	\N	\N	\N
543364	1848	1995-06-30	VYDAJ	VYBER	2300	19923	\N	\N	\N
543365	1848	1995-07-30	VYDAJ	VYBER	5300	16346	\N	\N	\N
543366	1848	1995-08-29	VYDAJ	VYBER	1300	14094	\N	\N	\N
543367	1848	1995-09-28	PRIJEM	VKLAD	1400	17282	\N	\N	\N
543368	1848	1995-10-28	VYDAJ	VYBER	1600	13387	\N	\N	\N
543369	1848	1995-11-27	PRIJEM	VKLAD	900	16068	\N	\N	\N
543370	1848	1995-12-27	PRIJEM	VKLAD	1500	19236	\N	\N	\N
543371	1848	1996-01-26	VYDAJ	VYBER	2900	13573	\N	\N	\N
543372	1848	1996-02-25	PRIJEM	VKLAD	1300	16666	\N	\N	\N
543373	1848	1996-03-26	VYDAJ	VYBER	3000	14490	\N	\N	\N
543374	1848	1996-04-25	PRIJEM	VKLAD	2500	18779	\N	\N	\N
543375	1848	1996-05-25	VYDAJ	VYBER	3400	17169	\N	\N	\N
543376	1848	1996-06-24	VYDAJ	VYBER	2300	19275	\N	\N	\N
543377	1848	1996-07-24	VYDAJ	VYBER	4300	16778	\N	\N	\N
543378	1848	1996-08-23	VYDAJ	VYBER	2600	15980	\N	\N	\N
543379	1848	1996-09-22	VYDAJ	VYBER	3700	14074	\N	\N	\N
543380	1848	1996-10-22	VYDAJ	VYBER	4700	11162	\N	\N	\N
543381	1848	1996-12-21	PRIJEM	VKLAD	100	13699	\N	\N	\N
543382	1848	1997-10-17	VYDAJ	VYBER	6700	13887	\N	\N	\N
544189	1851	1993-05-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
544195	1851	1993-06-10	PRIJEM	VKLAD	9354	10354	\N	\N	\N
544196	1851	1993-07-10	PRIJEM	VKLAD	6236	24112	\N	\N	\N
544197	1851	1993-08-10	PRIJEM	VKLAD	6236	31132	\N	\N	\N
544198	1851	1993-09-10	PRIJEM	VKLAD	6236	32974	\N	\N	\N
544199	1851	1993-10-10	PRIJEM	VKLAD	6236	33422	\N	\N	\N
544200	1851	1993-11-10	PRIJEM	VKLAD	6236	29914	\N	\N	\N
544201	1851	1993-12-10	PRIJEM	VKLAD	9354	30720	\N	\N	\N
544202	1851	1994-01-10	PRIJEM	VKLAD	6236	23398	\N	\N	\N
544203	1851	1994-02-10	PRIJEM	VKLAD	6236	15043	\N	\N	\N
544204	1851	1994-03-10	PRIJEM	VKLAD	6236	20379	\N	\N	\N
544205	1851	1994-04-10	PRIJEM	VKLAD	6236	26740	\N	\N	\N
544206	1851	1994-05-10	PRIJEM	VKLAD	6236	27517	\N	\N	\N
544207	1851	1994-06-10	PRIJEM	VKLAD	9354	31616	\N	\N	\N
544208	1851	1994-07-10	PRIJEM	VKLAD	6236	16894	\N	\N	\N
544209	1851	1994-08-10	PRIJEM	VKLAD	6236	20742	\N	\N	\N
544210	1851	1994-09-10	PRIJEM	VKLAD	6236	25205	\N	\N	\N
544211	1851	1994-10-10	PRIJEM	VKLAD	6236	19976	\N	\N	\N
544212	1851	1994-11-10	PRIJEM	VKLAD	6236	25943	\N	\N	\N
544213	1851	1994-12-10	PRIJEM	VKLAD	9354	25628	\N	\N	\N
544214	1851	1995-01-10	PRIJEM	VKLAD	6236	30510	\N	\N	\N
544215	1851	1995-02-10	PRIJEM	VKLAD	6236	18588	\N	\N	\N
544216	1851	1995-03-10	PRIJEM	VKLAD	6236	27655	\N	\N	\N
544217	1851	1995-04-10	PRIJEM	VKLAD	6236	28835	\N	\N	\N
544218	1851	1995-05-10	PRIJEM	VKLAD	6236	29724	\N	\N	\N
544219	1851	1995-06-10	PRIJEM	VKLAD	9354	18935	\N	\N	\N
544220	1851	1995-07-10	PRIJEM	VKLAD	6236	24390	\N	\N	\N
544221	1851	1995-08-10	PRIJEM	VKLAD	6236	25958	\N	\N	\N
544222	1851	1995-09-10	PRIJEM	VKLAD	6236	29838	\N	\N	\N
544223	1851	1995-10-10	PRIJEM	VKLAD	6236	25330	\N	\N	\N
544224	1851	1995-11-10	PRIJEM	VKLAD	6236	30807	\N	\N	\N
544225	1851	1995-12-10	PRIJEM	VKLAD	9354	34215	\N	\N	\N
544226	1851	1996-01-10	PRIJEM	VKLAD	6236	26621	\N	\N	\N
544227	1851	1996-02-10	PRIJEM	VKLAD	6236	22391	\N	\N	\N
544228	1851	1996-03-10	PRIJEM	VKLAD	6236	27349	\N	\N	\N
544229	1851	1996-04-10	PRIJEM	VKLAD	6236	29429	\N	\N	\N
544230	1851	1996-05-10	PRIJEM	VKLAD	6236	27108	\N	\N	\N
544231	1851	1996-06-10	PRIJEM	VKLAD	9354	28908	\N	\N	\N
544232	1851	1996-07-10	PRIJEM	VKLAD	6236	31097	\N	\N	\N
544233	1851	1996-08-10	PRIJEM	VKLAD	6236	30995	\N	\N	\N
544234	1851	1996-09-10	PRIJEM	VKLAD	6236	28787	\N	\N	\N
544235	1851	1996-10-10	PRIJEM	VKLAD	6236	26275	\N	\N	\N
544236	1851	1996-11-10	PRIJEM	VKLAD	6236	29457	\N	\N	\N
544237	1851	1996-12-10	PRIJEM	VKLAD	9354	36165	\N	\N	\N
544238	1851	1997-01-10	PRIJEM	VKLAD	6236	28879	\N	\N	\N
544239	1851	1997-02-10	PRIJEM	VKLAD	6236	29469	\N	\N	\N
544240	1851	1997-03-10	PRIJEM	VKLAD	6236	35147	\N	\N	\N
544241	1851	1997-04-10	PRIJEM	VKLAD	6236	37852	\N	\N	\N
544242	1851	1997-05-10	PRIJEM	VKLAD	6236	41877	\N	\N	\N
544243	1851	1997-06-10	PRIJEM	VKLAD	9354	48235	\N	\N	\N
544244	1851	1997-07-10	PRIJEM	VKLAD	6236	40662	\N	\N	\N
544245	1851	1997-08-10	PRIJEM	VKLAD	6236	40394	\N	\N	\N
544246	1851	1997-09-10	PRIJEM	VKLAD	6236	41130	\N	\N	\N
544247	1851	1997-10-10	PRIJEM	VKLAD	6236	39653	\N	\N	\N
544248	1851	1997-11-10	PRIJEM	VKLAD	6236	45586	\N	\N	\N
544249	1851	1997-12-10	PRIJEM	VKLAD	9354	51762	\N	\N	\N
544250	1851	1998-01-10	PRIJEM	VKLAD	6236	47442	\N	\N	\N
544251	1851	1998-02-10	PRIJEM	VKLAD	6236	52311	\N	\N	\N
544252	1851	1998-03-10	PRIJEM	VKLAD	6236	57197	\N	\N	\N
544253	1851	1998-04-10	PRIJEM	VKLAD	6236	62003	\N	\N	\N
544254	1851	1998-05-10	PRIJEM	VKLAD	6236	62827	\N	\N	\N
544255	1851	1998-06-10	PRIJEM	VKLAD	9354	44573	\N	\N	\N
544256	1851	1998-07-10	PRIJEM	VKLAD	6236	50755	\N	\N	\N
544257	1851	1998-08-10	PRIJEM	VKLAD	6236	56137	\N	\N	\N
544258	1851	1998-09-10	PRIJEM	VKLAD	6236	56935	\N	\N	\N
544259	1851	1998-10-10	PRIJEM	VKLAD	6236	58035	\N	\N	\N
544260	1851	1998-11-10	PRIJEM	VKLAD	6236	59341	\N	\N	\N
544261	1851	1998-12-10	PRIJEM	VKLAD	9354	58067	\N	\N	\N
544272	1851	1993-11-09	VYDAJ	PREVOD NA UCET	3649	23678	SIPO	WX	48939102
544273	1851	1993-12-09	VYDAJ	PREVOD NA UCET	3649	21366	SIPO	WX	48939102
544274	1851	1994-01-09	VYDAJ	PREVOD NA UCET	3649	17162	SIPO	WX	48939102
544275	1851	1994-02-09	VYDAJ	PREVOD NA UCET	3649	8807	SIPO	WX	48939102
544276	1851	1994-03-09	VYDAJ	PREVOD NA UCET	3649	14143	SIPO	WX	48939102
544277	1851	1994-04-09	VYDAJ	PREVOD NA UCET	3649	20504	SIPO	WX	48939102
544278	1851	1994-05-09	VYDAJ	PREVOD NA UCET	3649	21281	SIPO	WX	48939102
544279	1851	1994-06-09	VYDAJ	PREVOD NA UCET	3649	22262	SIPO	WX	48939102
544280	1851	1994-07-09	VYDAJ	PREVOD NA UCET	3649	10658	SIPO	WX	48939102
544281	1851	1994-08-09	VYDAJ	PREVOD NA UCET	3649	14506	SIPO	WX	48939102
544282	1851	1994-09-09	VYDAJ	PREVOD NA UCET	3649	18969	SIPO	WX	48939102
544283	1851	1994-10-09	VYDAJ	PREVOD NA UCET	3649	17340	SIPO	WX	48939102
544284	1851	1994-11-09	VYDAJ	PREVOD NA UCET	3649	19707	SIPO	WX	48939102
544285	1851	1994-12-09	VYDAJ	PREVOD NA UCET	3649	16274	SIPO	WX	48939102
544286	1851	1995-01-09	VYDAJ	PREVOD NA UCET	3649	24274	SIPO	WX	48939102
544287	1851	1995-02-09	VYDAJ	PREVOD NA UCET	3649	12352	SIPO	WX	48939102
544288	1851	1995-03-09	VYDAJ	PREVOD NA UCET	3649	21419	SIPO	WX	48939102
544289	1851	1995-04-09	VYDAJ	PREVOD NA UCET	3649	22599	SIPO	WX	48939102
544290	1851	1995-05-09	VYDAJ	PREVOD NA UCET	3649	23488	SIPO	WX	48939102
544291	1851	1995-06-09	VYDAJ	PREVOD NA UCET	3649	9581	SIPO	WX	48939102
544292	1851	1995-07-09	VYDAJ	PREVOD NA UCET	3649	18154	SIPO	WX	48939102
544293	1851	1995-08-09	VYDAJ	PREVOD NA UCET	3649	19722	SIPO	WX	48939102
544294	1851	1995-09-09	VYDAJ	PREVOD NA UCET	3649	23602	SIPO	WX	48939102
544295	1851	1995-10-09	VYDAJ	PREVOD NA UCET	3649	19094	SIPO	WX	48939102
544296	1851	1995-11-09	VYDAJ	PREVOD NA UCET	3649	24571	SIPO	WX	48939102
544297	1851	1995-12-09	VYDAJ	PREVOD NA UCET	3649	24861	SIPO	WX	48939102
544298	1851	1996-01-09	VYDAJ	PREVOD NA UCET	3649	20385	SIPO	WX	48939102
544299	1851	1996-02-09	VYDAJ	PREVOD NA UCET	3649	16155	SIPO	WX	48939102
544300	1851	1996-03-09	VYDAJ	PREVOD NA UCET	3649	21113	SIPO	WX	48939102
544301	1851	1996-04-09	VYDAJ	PREVOD NA UCET	3649	23193	SIPO	WX	48939102
544302	1851	1996-05-09	VYDAJ	PREVOD NA UCET	3649	20872	SIPO	WX	48939102
544303	1851	1996-06-09	VYDAJ	PREVOD NA UCET	3649	19554	SIPO	WX	48939102
544304	1851	1996-07-09	VYDAJ	PREVOD NA UCET	3649	24861	SIPO	WX	48939102
544305	1851	1996-08-09	VYDAJ	PREVOD NA UCET	3649	24759	SIPO	WX	48939102
544306	1851	1996-09-09	VYDAJ	PREVOD NA UCET	3649	22551	SIPO	WX	48939102
544307	1851	1996-10-09	VYDAJ	PREVOD NA UCET	3649	20039	SIPO	WX	48939102
544308	1851	1996-11-09	VYDAJ	PREVOD NA UCET	3649	23221	SIPO	WX	48939102
544309	1851	1996-12-09	VYDAJ	PREVOD NA UCET	3649	26811	SIPO	WX	48939102
544310	1851	1997-01-09	VYDAJ	PREVOD NA UCET	3649	22643	SIPO	WX	48939102
544311	1851	1997-02-09	VYDAJ	PREVOD NA UCET	3649	23233	SIPO	WX	48939102
544312	1851	1997-03-09	VYDAJ	PREVOD NA UCET	3649	28911	SIPO	WX	48939102
544313	1851	1997-04-09	VYDAJ	PREVOD NA UCET	3649	31616	SIPO	WX	48939102
544314	1851	1997-05-09	VYDAJ	PREVOD NA UCET	3649	35641	SIPO	WX	48939102
544315	1851	1997-06-09	VYDAJ	PREVOD NA UCET	3649	38881	SIPO	WX	48939102
544316	1851	1997-07-09	VYDAJ	PREVOD NA UCET	3649	34426	SIPO	WX	48939102
544317	1851	1997-08-09	VYDAJ	PREVOD NA UCET	3649	34158	SIPO	WX	48939102
544318	1851	1997-09-09	VYDAJ	PREVOD NA UCET	3649	34894	SIPO	WX	48939102
544319	1851	1997-10-09	VYDAJ	PREVOD NA UCET	3649	33417	SIPO	WX	48939102
544320	1851	1997-11-09	VYDAJ	PREVOD NA UCET	3649	39350	SIPO	WX	48939102
544321	1851	1997-12-09	VYDAJ	PREVOD NA UCET	3649	42408	SIPO	WX	48939102
544322	1851	1998-01-09	VYDAJ	PREVOD NA UCET	3649	41206	SIPO	WX	48939102
544323	1851	1998-02-09	VYDAJ	PREVOD NA UCET	3649	46075	SIPO	WX	48939102
544324	1851	1998-03-09	VYDAJ	PREVOD NA UCET	3649	50961	SIPO	WX	48939102
544325	1851	1998-04-09	VYDAJ	PREVOD NA UCET	3649	55767	SIPO	WX	48939102
544326	1851	1998-05-09	VYDAJ	PREVOD NA UCET	3649	56591	SIPO	WX	48939102
544327	1851	1998-06-09	VYDAJ	PREVOD NA UCET	3649	59419	SIPO	WX	48939102
544328	1851	1998-07-09	VYDAJ	PREVOD NA UCET	3649	44519	SIPO	WX	48939102
544329	1851	1998-08-09	VYDAJ	PREVOD NA UCET	3649	49901	SIPO	WX	48939102
544330	1851	1998-09-09	VYDAJ	PREVOD NA UCET	3649	50699	SIPO	WX	48939102
544331	1851	1998-10-09	VYDAJ	PREVOD NA UCET	3649	51799	SIPO	WX	48939102
544332	1851	1998-11-09	VYDAJ	PREVOD NA UCET	3649	53105	SIPO	WX	48939102
544333	1851	1998-12-09	VYDAJ	PREVOD NA UCET	3649	48713	SIPO	WX	48939102
544335	1851	1994-06-25	VYDAJ	VYBER	13400	14216	\N	\N	\N
544336	1851	1995-06-02	VYDAJ	VYBER	14100	15530	\N	\N	\N
544338	1851	1997-06-12	VYDAJ	VYBER	14000	34235	\N	\N	\N
544339	1851	1998-06-09	VYDAJ	VYBER	24200	35219	\N	\N	\N
544341	1851	1994-01-11	VYDAJ	VYBER	4600	18798	\N	\N	\N
544343	1851	1996-01-02	VYDAJ	VYBER	2600	26634	\N	\N	\N
544344	1851	1997-01-06	VYDAJ	VYBER	9000	27892	\N	\N	\N
544345	1851	1998-01-09	VYDAJ	VYBER	4300	44855	\N	\N	\N
544346	1851	1993-12-11	VYDAJ	VYBER	1800	28920	\N	\N	\N
544347	1851	1994-12-04	VYDAJ	VYBER	1300	19923	\N	\N	\N
544348	1851	1995-12-21	VYDAJ	VYBER	2200	32015	\N	\N	\N
544349	1851	1996-12-01	VYDAJ	VYBER	1100	28460	\N	\N	\N
544350	1851	1997-12-09	VYDAJ	VYBER	1200	46057	\N	\N	\N
544351	1851	1998-12-07	VYDAJ	VYBER	2200	52362	\N	\N	\N
544358	1851	1994-01-20	VYDAJ	VYBER	1400	17098	\N	\N	\N
544359	1851	1994-01-17	VYDAJ	VYBER	2000	15598	\N	\N	\N
544360	1851	1994-01-21	VYDAJ	VYBER	1900	15198	\N	\N	\N
544361	1851	1994-01-19	VYDAJ	VYBER	2400	18498	\N	\N	\N
544362	1851	1994-01-25	VYDAJ	VYBER	500	12398	\N	\N	\N
544363	1851	1994-01-17	VYDAJ	VYBER	1200	17598	\N	\N	\N
544364	1851	1995-01-20	VYDAJ	VYBER	500	24910	\N	\N	\N
544365	1851	1995-01-22	VYDAJ	VYBER	2300	20710	\N	\N	\N
544366	1851	1995-01-04	VYDAJ	VYBER	1500	27923	\N	\N	\N
544367	1851	1995-01-21	VYDAJ	VYBER	1900	23010	\N	\N	\N
544368	1851	1995-01-30	VYDAJ	VYBER	900	19810	\N	\N	\N
544369	1851	1995-01-17	VYDAJ	VYBER	2600	25410	\N	\N	\N
544370	1851	1996-01-17	VYDAJ	VYBER	500	24221	\N	\N	\N
544371	1851	1996-01-29	VYDAJ	VYBER	2900	16921	\N	\N	\N
544372	1851	1996-01-17	VYDAJ	VYBER	1900	22321	\N	\N	\N
544373	1851	1996-01-01	VYDAJ	VYBER	2900	29234	\N	\N	\N
544374	1851	1996-01-15	VYDAJ	VYBER	1900	24721	\N	\N	\N
544375	1851	1996-01-26	VYDAJ	VYBER	2500	19821	\N	\N	\N
544376	1851	1997-01-28	VYDAJ	VYBER	1200	23779	\N	\N	\N
544377	1851	1997-01-25	VYDAJ	VYBER	600	27279	\N	\N	\N
544378	1851	1997-01-08	VYDAJ	VYBER	1600	26292	\N	\N	\N
544379	1851	1997-01-27	VYDAJ	VYBER	2300	24979	\N	\N	\N
544380	1851	1997-01-22	VYDAJ	VYBER	1000	27879	\N	\N	\N
544381	1851	1997-01-30	VYDAJ	VYBER	1900	21879	\N	\N	\N
544382	1851	1998-01-15	VYDAJ	VYBER	1200	45242	\N	\N	\N
544383	1851	1998-01-03	VYDAJ	VYBER	1100	52355	\N	\N	\N
544384	1851	1998-01-08	VYDAJ	VYBER	2300	49155	\N	\N	\N
544385	1851	1998-01-05	VYDAJ	VYBER	900	51455	\N	\N	\N
544386	1851	1998-01-23	VYDAJ	VYBER	1500	43742	\N	\N	\N
544387	1851	1998-01-15	VYDAJ	VYBER	1000	46442	\N	\N	\N
544388	1851	1993-12-25	VYDAJ	VYBER	4800	20720	\N	\N	\N
544393	1851	1993-11-03	VYDAJ	VYBER	2300	27327	\N	\N	\N
544395	1851	1993-10-20	VYDAJ	VYBER	2100	29522	\N	\N	\N
544397	1851	1994-11-16	VYDAJ	VYBER	3100	21143	\N	\N	\N
544398	1851	1994-01-24	VYDAJ	VYBER	2300	12898	\N	\N	\N
544399	1851	1994-08-07	VYDAJ	VYBER	3300	18155	\N	\N	\N
544400	1851	1994-10-01	VYDAJ	VYBER	3200	20989	\N	\N	\N
544401	1851	1994-10-09	VYDAJ	VYBER	3600	13740	\N	\N	\N
544402	1851	1995-10-22	VYDAJ	VYBER	3200	25130	\N	\N	\N
544403	1851	1995-10-06	VYDAJ	VYBER	4100	22743	\N	\N	\N
544404	1851	1995-10-27	VYDAJ	VYBER	2300	22830	\N	\N	\N
544405	1851	1995-05-03	VYDAJ	VYBER	1500	27137	\N	\N	\N
544406	1851	1995-02-02	VYDAJ	VYBER	3900	16001	\N	\N	\N
544407	1851	1995-06-02	VYDAJ	VYBER	2300	13230	\N	\N	\N
544408	1851	1996-10-08	VYDAJ	VYBER	4300	23688	\N	\N	\N
544409	1851	1996-08-25	VYDAJ	VYBER	3000	26195	\N	\N	\N
544410	1851	1996-03-04	VYDAJ	VYBER	1200	21262	\N	\N	\N
544411	1851	1996-04-10	VYDAJ	VYBER	3900	25529	\N	\N	\N
544412	1851	1996-08-13	VYDAJ	VYBER	1800	29195	\N	\N	\N
544413	1851	1997-09-14	VYDAJ	VYBER	4700	36430	\N	\N	\N
544414	1851	1997-02-19	VYDAJ	VYBER	3100	26369	\N	\N	\N
544415	1851	1997-09-21	VYDAJ	VYBER	4500	31930	\N	\N	\N
544416	1851	1997-07-30	VYDAJ	VYBER	2000	38662	\N	\N	\N
544417	1851	1997-02-24	VYDAJ	VYBER	1900	24469	\N	\N	\N
544418	1851	1998-12-21	VYDAJ	VYBER	1300	56767	\N	\N	\N
544419	1851	1998-11-25	VYDAJ	VYBER	700	54341	\N	\N	\N
544420	1851	1998-06-30	VYDAJ	VYBER	2300	48168	\N	\N	\N
544421	1851	1998-09-16	VYDAJ	VYBER	1200	55735	\N	\N	\N
544422	1851	1998-12-26	VYDAJ	VYBER	3800	45867	\N	\N	\N
544423	1851	1998-12-25	VYDAJ	VYBER	2600	49667	\N	\N	\N
544434	1851	1993-10-31	VYDAJ	VYBER	15	29627	SLUZBY	\N	\N
544435	1851	1993-11-30	VYDAJ	VYBER	15	25015	SLUZBY	\N	\N
544436	1851	1993-12-31	VYDAJ	VYBER	15	20811	SLUZBY	\N	\N
544437	1851	1994-01-31	VYDAJ	VYBER	15	12456	SLUZBY	\N	\N
544438	1851	1994-02-28	VYDAJ	VYBER	15	17792	SLUZBY	\N	\N
544439	1851	1994-03-31	VYDAJ	VYBER	15	24153	SLUZBY	\N	\N
544440	1851	1994-04-30	VYDAJ	VYBER	15	24930	SLUZBY	\N	\N
544441	1851	1994-05-31	VYDAJ	VYBER	15	25911	SLUZBY	\N	\N
544442	1851	1994-06-30	VYDAJ	VYBER	15	14307	SLUZBY	\N	\N
544443	1851	1994-07-31	VYDAJ	VYBER	15	21455	SLUZBY	\N	\N
544444	1851	1994-08-31	VYDAJ	VYBER	15	22618	SLUZBY	\N	\N
544445	1851	1994-09-30	VYDAJ	VYBER	15	24189	SLUZBY	\N	\N
544446	1851	1994-10-31	VYDAJ	VYBER	15	23356	SLUZBY	\N	\N
544447	1851	1994-11-30	VYDAJ	VYBER	15	21223	SLUZBY	\N	\N
544448	1851	1994-12-31	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
544449	1851	1995-01-31	VYDAJ	VYBER	15	19901	SLUZBY	\N	\N
544450	1851	1995-02-28	VYDAJ	VYBER	15	25068	SLUZBY	\N	\N
544451	1851	1995-03-31	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
544452	1851	1995-04-30	VYDAJ	VYBER	15	28637	SLUZBY	\N	\N
544453	1851	1995-05-31	VYDAJ	VYBER	15	29630	SLUZBY	\N	\N
544454	1851	1995-06-30	VYDAJ	VYBER	15	21803	SLUZBY	\N	\N
544455	1851	1995-07-31	VYDAJ	VYBER	15	23371	SLUZBY	\N	\N
544456	1851	1995-08-31	VYDAJ	VYBER	15	27251	SLUZBY	\N	\N
544457	1851	1995-09-30	VYDAJ	VYBER	15	26843	SLUZBY	\N	\N
544458	1851	1995-10-31	VYDAJ	VYBER	15	22920	SLUZBY	\N	\N
544459	1851	1995-11-30	VYDAJ	VYBER	15	30910	SLUZBY	\N	\N
544460	1851	1995-12-31	VYDAJ	VYBER	15	32134	SLUZBY	\N	\N
544461	1851	1996-01-31	VYDAJ	VYBER	15	17004	SLUZBY	\N	\N
544462	1851	1996-02-29	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
544463	1851	1996-03-31	VYDAJ	VYBER	15	27442	SLUZBY	\N	\N
544464	1851	1996-04-30	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
544465	1851	1996-05-31	VYDAJ	VYBER	15	27203	SLUZBY	\N	\N
544466	1851	1996-06-30	VYDAJ	VYBER	15	29010	SLUZBY	\N	\N
544467	1851	1996-07-31	VYDAJ	VYBER	15	31208	SLUZBY	\N	\N
544468	1851	1996-08-31	VYDAJ	VYBER	15	26300	SLUZBY	\N	\N
544469	1851	1996-09-30	VYDAJ	VYBER	15	28888	SLUZBY	\N	\N
544470	1851	1996-10-31	VYDAJ	VYBER	15	26370	SLUZBY	\N	\N
544471	1851	1996-11-30	VYDAJ	VYBER	15	29560	SLUZBY	\N	\N
544472	1851	1996-12-31	VYDAJ	VYBER	15	36292	SLUZBY	\N	\N
544473	1851	1997-01-31	VYDAJ	VYBER	15	21982	SLUZBY	\N	\N
544474	1851	1997-02-28	VYDAJ	VYBER	15	24560	SLUZBY	\N	\N
544475	1851	1997-03-31	VYDAJ	VYBER	15	35265	SLUZBY	\N	\N
544476	1851	1997-04-30	VYDAJ	VYBER	15	37990	SLUZBY	\N	\N
544477	1851	1997-05-31	VYDAJ	VYBER	15	42030	SLUZBY	\N	\N
544478	1851	1997-06-30	VYDAJ	VYBER	15	34375	SLUZBY	\N	\N
544479	1851	1997-07-31	VYDAJ	VYBER	15	38807	SLUZBY	\N	\N
544480	1851	1997-08-31	VYDAJ	VYBER	15	38543	SLUZBY	\N	\N
544481	1851	1997-09-30	VYDAJ	VYBER	15	37066	SLUZBY	\N	\N
544482	1851	1997-10-31	VYDAJ	VYBER	15	42999	SLUZBY	\N	\N
544483	1851	1997-11-30	VYDAJ	VYBER	15	47257	SLUZBY	\N	\N
544484	1851	1997-12-31	VYDAJ	VYBER	15	53455	SLUZBY	\N	\N
544485	1851	1998-01-31	VYDAJ	VYBER	15	49724	SLUZBY	\N	\N
544486	1851	1998-02-28	VYDAJ	VYBER	15	54610	SLUZBY	\N	\N
544487	1851	1998-03-31	VYDAJ	VYBER	15	59416	SLUZBY	\N	\N
544488	1851	1998-04-30	VYDAJ	VYBER	15	60240	SLUZBY	\N	\N
544489	1851	1998-05-31	VYDAJ	VYBER	15	63068	SLUZBY	\N	\N
544490	1851	1998-06-30	VYDAJ	VYBER	15	50468	SLUZBY	\N	\N
544491	1851	1998-07-31	VYDAJ	VYBER	15	53550	SLUZBY	\N	\N
544492	1851	1998-08-31	VYDAJ	VYBER	15	54348	SLUZBY	\N	\N
544493	1851	1998-09-30	VYDAJ	VYBER	15	55448	SLUZBY	\N	\N
544494	1851	1998-10-31	VYDAJ	VYBER	15	56754	SLUZBY	\N	\N
544495	1851	1998-11-30	VYDAJ	VYBER	15	54562	SLUZBY	\N	\N
544496	1851	1993-06-22	PRIJEM	VKLAD	7500	17854	\N	\N	\N
544497	1851	1993-07-22	PRIJEM	VKLAD	700	24812	\N	\N	\N
544498	1851	1993-08-21	VYDAJ	VYBER	4500	26632	\N	\N	\N
544499	1851	1993-09-20	VYDAJ	VYBER	5900	27074	\N	\N	\N
544500	1851	1993-10-20	VYDAJ	VYBER	1800	31622	\N	\N	\N
544501	1851	1993-11-19	VYDAJ	VYBER	5000	24914	\N	\N	\N
544502	1851	1993-12-19	VYDAJ	VYBER	3400	25520	\N	\N	\N
544503	1851	1994-01-18	PRIJEM	VKLAD	5300	20898	\N	\N	\N
544504	1851	1994-02-17	PRIJEM	VKLAD	2700	17743	\N	\N	\N
544505	1851	1994-03-19	PRIJEM	VKLAD	3700	24079	\N	\N	\N
544506	1851	1994-04-18	VYDAJ	VYBER	1900	24840	\N	\N	\N
544507	1851	1994-05-18	VYDAJ	VYBER	1700	25817	\N	\N	\N
544508	1851	1994-06-17	VYDAJ	VYBER	4000	27616	\N	\N	\N
544509	1851	1994-07-17	PRIJEM	VKLAD	4500	21394	\N	\N	\N
544510	1851	1994-08-16	PRIJEM	VKLAD	1800	22542	\N	\N	\N
544511	1851	1994-09-15	VYDAJ	VYBER	1100	24105	\N	\N	\N
544512	1851	1994-10-15	PRIJEM	VKLAD	3300	23276	\N	\N	\N
544513	1851	1994-11-14	VYDAJ	VYBER	1700	24243	\N	\N	\N
544514	1851	1994-12-14	PRIJEM	VKLAD	3700	29328	\N	\N	\N
544515	1851	1995-01-13	VYDAJ	VYBER	2500	28010	\N	\N	\N
544516	1851	1995-02-12	PRIJEM	VKLAD	6400	24988	\N	\N	\N
544517	1851	1995-03-14	VYDAJ	VYBER	1500	26155	\N	\N	\N
544518	1851	1995-04-13	VYDAJ	VYBER	300	28535	\N	\N	\N
544519	1851	1995-05-13	VYDAJ	VYBER	200	29524	\N	\N	\N
544520	1851	1995-06-12	PRIJEM	VKLAD	2800	21735	\N	\N	\N
544521	1851	1995-07-12	VYDAJ	VYBER	1100	23290	\N	\N	\N
544522	1851	1995-08-11	PRIJEM	VKLAD	1200	27158	\N	\N	\N
544523	1851	1995-09-10	VYDAJ	VYBER	3100	26738	\N	\N	\N
544524	1851	1995-10-10	PRIJEM	VKLAD	3000	28330	\N	\N	\N
544525	1851	1995-11-09	PRIJEM	VKLAD	5300	28220	\N	\N	\N
544526	1851	1995-12-09	VYDAJ	VYBER	2400	28510	\N	\N	\N
544527	1851	1996-01-08	VYDAJ	VYBER	2600	24034	\N	\N	\N
544528	1851	1996-02-07	PRIJEM	VKLAD	2800	19804	\N	\N	\N
544529	1851	1996-03-08	PRIJEM	VKLAD	3500	24762	\N	\N	\N
544530	1851	1996-04-07	VYDAJ	VYBER	600	26842	\N	\N	\N
544531	1851	1996-05-07	VYDAJ	VYBER	1100	24521	\N	\N	\N
544532	1851	1996-06-06	VYDAJ	VYBER	4000	23203	\N	\N	\N
544533	1851	1996-07-06	VYDAJ	VYBER	500	28510	\N	\N	\N
544534	1851	1996-08-05	VYDAJ	VYBER	2800	28408	\N	\N	\N
544535	1851	1996-09-04	VYDAJ	VYBER	100	26200	\N	\N	\N
544536	1851	1996-10-04	VYDAJ	VYBER	900	27988	\N	\N	\N
544537	1851	1996-11-03	PRIJEM	VKLAD	500	26870	\N	\N	\N
544538	1851	1996-12-03	PRIJEM	VKLAD	2000	30460	\N	\N	\N
544539	1851	1997-01-02	PRIJEM	VKLAD	600	36892	\N	\N	\N
544540	1851	1997-02-01	PRIJEM	VKLAD	4900	26882	\N	\N	\N
544541	1851	1997-03-03	PRIJEM	VKLAD	8000	32560	\N	\N	\N
544542	1851	1997-05-02	PRIJEM	VKLAD	1300	39290	\N	\N	\N
544543	1851	1997-06-01	PRIJEM	VKLAD	500	42530	\N	\N	\N
544544	1851	1997-07-01	PRIJEM	VKLAD	3700	38075	\N	\N	\N
544545	1851	1997-07-31	VYDAJ	VYBER	1000	37807	\N	\N	\N
544546	1851	1997-08-30	VYDAJ	VYBER	2000	38394	\N	\N	\N
544547	1851	1997-09-29	PRIJEM	VKLAD	5000	36930	\N	\N	\N
544548	1851	1997-10-29	PRIJEM	VKLAD	3200	42853	\N	\N	\N
544549	1851	1997-11-28	PRIJEM	VKLAD	1500	47086	\N	\N	\N
544550	1851	1997-12-28	PRIJEM	VKLAD	1500	53262	\N	\N	\N
544551	1851	1998-01-27	PRIJEM	VKLAD	5800	49542	\N	\N	\N
544552	1851	1998-02-26	PRIJEM	VKLAD	2100	54411	\N	\N	\N
544553	1851	1998-03-28	PRIJEM	VKLAD	2000	59197	\N	\N	\N
544554	1851	1998-04-27	VYDAJ	VYBER	2000	60003	\N	\N	\N
544555	1851	1998-06-26	PRIJEM	VKLAD	5700	50273	\N	\N	\N
544556	1851	1998-07-26	PRIJEM	VKLAD	2600	53355	\N	\N	\N
544557	1851	1998-08-25	VYDAJ	VYBER	2000	54137	\N	\N	\N
544558	1851	1998-09-24	VYDAJ	VYBER	500	55235	\N	\N	\N
544559	1851	1998-10-24	VYDAJ	VYBER	1500	56535	\N	\N	\N
544560	1851	1998-11-23	VYDAJ	VYBER	4300	55041	\N	\N	\N
544561	1851	1998-12-23	VYDAJ	VYBER	4500	52267	\N	\N	\N
544629	1852	1993-07-05	PRIJEM	VKLAD	400	400	\N	\N	\N
544636	1852	1993-07-11	PRIJEM	PREVOD Z UCTU	3299	3699	\N	ST	77745967
544637	1852	1993-08-11	PRIJEM	PREVOD Z UCTU	3299	18008	\N	ST	77745967
544638	1852	1993-09-11	PRIJEM	PREVOD Z UCTU	3299	23263	\N	ST	77745967
544639	1852	1993-10-11	PRIJEM	PREVOD Z UCTU	3299	25552	\N	ST	77745967
544640	1852	1993-11-11	PRIJEM	PREVOD Z UCTU	3299	26354	\N	ST	77745967
544641	1852	1993-12-11	PRIJEM	PREVOD Z UCTU	3299	25926	\N	ST	77745967
544642	1852	1994-01-11	PRIJEM	PREVOD Z UCTU	3299	27268	\N	ST	77745967
544643	1852	1994-02-11	PRIJEM	PREVOD Z UCTU	3299	26081	\N	ST	77745967
544644	1852	1994-03-11	PRIJEM	PREVOD Z UCTU	3299	25674	\N	ST	77745967
544645	1852	1994-04-11	PRIJEM	PREVOD Z UCTU	3299	24116	\N	ST	77745967
544646	1852	1994-05-11	PRIJEM	PREVOD Z UCTU	3299	25301	\N	ST	77745967
544647	1852	1994-06-11	PRIJEM	PREVOD Z UCTU	3299	25010	\N	ST	77745967
544648	1852	1994-07-11	PRIJEM	PREVOD Z UCTU	3299	25247	\N	ST	77745967
544649	1852	1994-08-11	PRIJEM	PREVOD Z UCTU	3299	24336	\N	ST	77745967
544650	1852	1994-09-11	PRIJEM	PREVOD Z UCTU	3299	26921	\N	ST	77745967
544651	1852	1994-10-11	PRIJEM	PREVOD Z UCTU	3299	25216	\N	ST	77745967
544652	1852	1994-11-11	PRIJEM	PREVOD Z UCTU	3299	24704	\N	ST	77745967
544653	1852	1994-12-11	PRIJEM	PREVOD Z UCTU	3299	27191	\N	ST	77745967
544654	1852	1995-01-11	PRIJEM	PREVOD Z UCTU	3299	23455	\N	ST	77745967
544655	1852	1995-02-11	PRIJEM	PREVOD Z UCTU	3299	23075	\N	ST	77745967
544656	1852	1995-03-11	PRIJEM	PREVOD Z UCTU	3299	20052	\N	ST	77745967
544657	1852	1995-04-11	PRIJEM	PREVOD Z UCTU	3299	18618	\N	ST	77745967
544658	1852	1995-05-11	PRIJEM	PREVOD Z UCTU	3299	17097	\N	ST	77745967
544659	1852	1995-06-11	PRIJEM	PREVOD Z UCTU	3299	19153	\N	ST	77745967
544660	1852	1995-07-11	PRIJEM	PREVOD Z UCTU	3299	22377	\N	ST	77745967
544661	1852	1995-08-11	PRIJEM	PREVOD Z UCTU	3299	19262	\N	ST	77745967
544662	1852	1995-09-11	PRIJEM	PREVOD Z UCTU	3299	19626	\N	ST	77745967
544663	1852	1995-10-11	PRIJEM	PREVOD Z UCTU	3299	15203	\N	ST	77745967
544664	1852	1995-11-11	PRIJEM	PREVOD Z UCTU	3299	14548	\N	ST	77745967
544665	1852	1995-12-11	PRIJEM	PREVOD Z UCTU	3299	15391	\N	ST	77745967
544666	1852	1996-01-11	PRIJEM	PREVOD Z UCTU	3299	14416	\N	ST	77745967
544667	1852	1996-02-11	PRIJEM	PREVOD Z UCTU	3299	12755	\N	ST	77745967
544668	1852	1996-03-11	PRIJEM	PREVOD Z UCTU	3299	12289	\N	ST	77745967
544669	1852	1996-04-11	PRIJEM	PREVOD Z UCTU	3299	12822	\N	ST	77745967
544670	1852	1996-05-11	PRIJEM	PREVOD Z UCTU	3299	13959	\N	ST	77745967
544671	1852	1996-06-11	PRIJEM	PREVOD Z UCTU	3299	15100	\N	ST	77745967
544672	1852	1996-07-11	PRIJEM	PREVOD Z UCTU	3299	16246	\N	ST	77745967
544673	1852	1996-08-11	PRIJEM	PREVOD Z UCTU	3299	16406	\N	ST	77745967
544674	1852	1996-09-11	PRIJEM	PREVOD Z UCTU	3299	13951	\N	ST	77745967
544675	1852	1996-10-11	PRIJEM	PREVOD Z UCTU	3299	12788	\N	ST	77745967
544676	1852	1996-11-11	PRIJEM	PREVOD Z UCTU	3299	13924	\N	ST	77745967
544677	1852	1996-12-11	PRIJEM	PREVOD Z UCTU	3299	14765	\N	ST	77745967
544678	1852	1997-01-11	PRIJEM	PREVOD Z UCTU	3299	15339	\N	ST	77745967
544679	1852	1997-02-11	PRIJEM	PREVOD Z UCTU	3299	14984	\N	ST	77745967
544680	1852	1997-03-11	PRIJEM	PREVOD Z UCTU	3299	15648	\N	ST	77745967
544681	1852	1997-04-11	PRIJEM	PREVOD Z UCTU	3299	16796	\N	ST	77745967
544682	1852	1997-05-11	PRIJEM	PREVOD Z UCTU	3299	17948	\N	ST	77745967
544683	1852	1997-06-11	PRIJEM	PREVOD Z UCTU	3299	18715	\N	ST	77745967
544684	1852	1997-07-11	PRIJEM	PREVOD Z UCTU	3299	19876	\N	ST	77745967
544685	1852	1997-08-11	PRIJEM	PREVOD Z UCTU	3299	20681	\N	ST	77745967
544686	1852	1997-09-11	PRIJEM	PREVOD Z UCTU	3299	21849	\N	ST	77745967
544687	1852	1997-10-11	PRIJEM	PREVOD Z UCTU	3299	22182	\N	ST	77745967
544688	1852	1997-11-11	PRIJEM	PREVOD Z UCTU	3299	23087	\N	ST	77745967
544689	1852	1997-12-11	PRIJEM	PREVOD Z UCTU	3299	24266	\N	ST	77745967
544690	1852	1998-01-11	PRIJEM	PREVOD Z UCTU	3299	22568	\N	ST	77745967
544691	1852	1998-02-11	PRIJEM	PREVOD Z UCTU	3299	21882	\N	ST	77745967
544692	1852	1998-03-11	PRIJEM	PREVOD Z UCTU	3299	23055	\N	ST	77745967
544693	1852	1998-04-11	PRIJEM	PREVOD Z UCTU	3299	24233	\N	ST	77745967
544787	1852	1994-01-11	VYDAJ	VYBER	690	26578	\N	\N	\N
544694	1852	1998-05-11	PRIJEM	PREVOD Z UCTU	3299	25416	\N	ST	77745967
544695	1852	1998-06-11	PRIJEM	PREVOD Z UCTU	3299	26603	\N	ST	77745967
544696	1852	1998-07-11	PRIJEM	PREVOD Z UCTU	3299	26954	\N	ST	77745967
544697	1852	1998-08-11	PRIJEM	PREVOD Z UCTU	3299	27396	\N	ST	77745967
544698	1852	1998-09-11	PRIJEM	PREVOD Z UCTU	3299	28592	\N	ST	77745967
544699	1852	1998-10-11	PRIJEM	PREVOD Z UCTU	3299	29792	\N	ST	77745967
544700	1852	1998-11-11	PRIJEM	PREVOD Z UCTU	3299	30998	\N	ST	77745967
544701	1852	1998-12-11	PRIJEM	PREVOD Z UCTU	3299	31728	\N	ST	77745967
544713	1852	1993-12-09	VYDAJ	PREVOD NA UCET	2199	22627	SIPO	ST	43960928
544714	1852	1994-01-09	VYDAJ	PREVOD NA UCET	2199	23969	SIPO	ST	43960928
544715	1852	1994-02-09	VYDAJ	PREVOD NA UCET	2199	22782	SIPO	ST	43960928
544716	1852	1994-03-09	VYDAJ	PREVOD NA UCET	2199	22375	SIPO	ST	43960928
544717	1852	1994-04-09	VYDAJ	PREVOD NA UCET	2199	20817	SIPO	ST	43960928
544718	1852	1994-05-09	VYDAJ	PREVOD NA UCET	2199	22002	SIPO	ST	43960928
544719	1852	1994-06-09	VYDAJ	PREVOD NA UCET	2199	21711	SIPO	ST	43960928
544720	1852	1994-07-09	VYDAJ	PREVOD NA UCET	2199	21948	SIPO	ST	43960928
544721	1852	1994-08-09	VYDAJ	PREVOD NA UCET	2199	21037	SIPO	ST	43960928
544722	1852	1994-09-09	VYDAJ	PREVOD NA UCET	2199	23622	SIPO	ST	43960928
544723	1852	1994-10-09	VYDAJ	PREVOD NA UCET	2199	21917	SIPO	ST	43960928
544724	1852	1994-11-09	VYDAJ	PREVOD NA UCET	2199	21405	SIPO	ST	43960928
544725	1852	1994-12-09	VYDAJ	PREVOD NA UCET	2199	23892	SIPO	ST	43960928
544726	1852	1995-01-09	VYDAJ	PREVOD NA UCET	2199	20156	SIPO	ST	43960928
544727	1852	1995-02-09	VYDAJ	PREVOD NA UCET	2199	19776	SIPO	ST	43960928
544728	1852	1995-03-09	VYDAJ	PREVOD NA UCET	2199	16753	SIPO	ST	43960928
544729	1852	1995-04-09	VYDAJ	PREVOD NA UCET	2199	15319	SIPO	ST	43960928
544730	1852	1995-05-09	VYDAJ	PREVOD NA UCET	2199	13798	SIPO	ST	43960928
544731	1852	1995-06-09	VYDAJ	PREVOD NA UCET	2199	15854	SIPO	ST	43960928
544732	1852	1995-07-09	VYDAJ	PREVOD NA UCET	2199	19078	SIPO	ST	43960928
544733	1852	1995-08-09	VYDAJ	PREVOD NA UCET	2199	16863	SIPO	ST	43960928
544734	1852	1995-09-09	VYDAJ	PREVOD NA UCET	2199	16327	SIPO	ST	43960928
544735	1852	1995-10-09	VYDAJ	PREVOD NA UCET	2199	11904	SIPO	ST	43960928
544736	1852	1995-11-09	VYDAJ	PREVOD NA UCET	2199	11249	SIPO	ST	43960928
544737	1852	1995-12-09	VYDAJ	PREVOD NA UCET	2199	12092	SIPO	ST	43960928
544738	1852	1996-01-09	VYDAJ	PREVOD NA UCET	2199	11117	SIPO	ST	43960928
544739	1852	1996-02-09	VYDAJ	PREVOD NA UCET	2199	9456	SIPO	ST	43960928
544740	1852	1996-03-09	VYDAJ	PREVOD NA UCET	2199	8990	SIPO	ST	43960928
544741	1852	1996-04-09	VYDAJ	PREVOD NA UCET	2199	9523	SIPO	ST	43960928
544742	1852	1996-05-09	VYDAJ	PREVOD NA UCET	2199	10660	SIPO	ST	43960928
544743	1852	1996-06-09	VYDAJ	PREVOD NA UCET	2199	11801	SIPO	ST	43960928
544744	1852	1996-07-09	VYDAJ	PREVOD NA UCET	2199	12947	SIPO	ST	43960928
544745	1852	1996-08-09	VYDAJ	PREVOD NA UCET	2199	13107	SIPO	ST	43960928
544746	1852	1996-09-09	VYDAJ	PREVOD NA UCET	2199	10652	SIPO	ST	43960928
544747	1852	1996-10-09	VYDAJ	PREVOD NA UCET	2199	9489	SIPO	ST	43960928
544748	1852	1996-11-09	VYDAJ	PREVOD NA UCET	2199	10625	SIPO	ST	43960928
544749	1852	1996-12-09	VYDAJ	PREVOD NA UCET	2199	11466	SIPO	ST	43960928
544750	1852	1997-01-09	VYDAJ	PREVOD NA UCET	2199	12040	SIPO	ST	43960928
544751	1852	1997-02-09	VYDAJ	PREVOD NA UCET	2199	11685	SIPO	ST	43960928
544752	1852	1997-03-09	VYDAJ	PREVOD NA UCET	2199	12349	SIPO	ST	43960928
544753	1852	1997-04-09	VYDAJ	PREVOD NA UCET	2199	13497	SIPO	ST	43960928
544754	1852	1997-05-09	VYDAJ	PREVOD NA UCET	2199	14649	SIPO	ST	43960928
544755	1852	1997-06-09	VYDAJ	PREVOD NA UCET	2199	15416	SIPO	ST	43960928
544756	1852	1997-07-09	VYDAJ	PREVOD NA UCET	2199	16577	SIPO	ST	43960928
544757	1852	1997-08-09	VYDAJ	PREVOD NA UCET	2199	17382	SIPO	ST	43960928
544758	1852	1997-09-09	VYDAJ	PREVOD NA UCET	2199	18550	SIPO	ST	43960928
544759	1852	1997-10-09	VYDAJ	PREVOD NA UCET	2199	19723	SIPO	ST	43960928
544760	1852	1997-11-09	VYDAJ	PREVOD NA UCET	2199	19788	SIPO	ST	43960928
544761	1852	1997-12-09	VYDAJ	PREVOD NA UCET	2199	20967	SIPO	ST	43960928
544762	1852	1998-01-09	VYDAJ	PREVOD NA UCET	2199	19869	SIPO	ST	43960928
544763	1852	1998-02-09	VYDAJ	PREVOD NA UCET	2199	18583	SIPO	ST	43960928
544764	1852	1998-03-09	VYDAJ	PREVOD NA UCET	2199	19756	SIPO	ST	43960928
544765	1852	1998-04-09	VYDAJ	PREVOD NA UCET	2199	20934	SIPO	ST	43960928
544766	1852	1998-05-09	VYDAJ	PREVOD NA UCET	2199	22117	SIPO	ST	43960928
544767	1852	1998-06-09	VYDAJ	PREVOD NA UCET	2199	23304	SIPO	ST	43960928
544768	1852	1998-07-09	VYDAJ	PREVOD NA UCET	2199	23655	SIPO	ST	43960928
544769	1852	1998-08-09	VYDAJ	PREVOD NA UCET	2199	24097	SIPO	ST	43960928
544770	1852	1998-09-09	VYDAJ	PREVOD NA UCET	2199	25293	SIPO	ST	43960928
544771	1852	1998-10-09	VYDAJ	PREVOD NA UCET	2199	26493	SIPO	ST	43960928
544772	1852	1998-11-09	VYDAJ	PREVOD NA UCET	2199	27699	SIPO	ST	43960928
544773	1852	1998-12-09	VYDAJ	PREVOD NA UCET	2199	28429	SIPO	ST	43960928
544774	1852	1993-12-29	VYDAJ	VYBER	240	25686	\N	\N	\N
544775	1852	1994-12-17	VYDAJ	VYBER	750	26441	\N	\N	\N
544776	1852	1995-12-20	VYDAJ	VYBER	720	14671	\N	\N	\N
544777	1852	1996-12-06	VYDAJ	VYBER	300	13665	\N	\N	\N
544778	1852	1997-12-17	VYDAJ	VYBER	540	23726	\N	\N	\N
544779	1852	1998-12-01	VYDAJ	VYBER	480	30628	\N	\N	\N
544786	1852	1994-01-28	VYDAJ	VYBER	510	24988	\N	\N	\N
544788	1852	1994-01-28	VYDAJ	VYBER	210	25498	\N	\N	\N
544789	1852	1994-01-11	VYDAJ	VYBER	600	25978	\N	\N	\N
544790	1852	1994-01-24	VYDAJ	VYBER	270	25708	\N	\N	\N
544791	1852	1994-01-06	VYDAJ	VYBER	810	26168	\N	\N	\N
544792	1852	1995-01-13	VYDAJ	VYBER	300	23155	\N	\N	\N
544793	1852	1995-01-06	VYDAJ	VYBER	870	22595	\N	\N	\N
544794	1852	1995-01-19	VYDAJ	VYBER	660	22495	\N	\N	\N
544795	1852	1995-01-02	VYDAJ	VYBER	570	23765	\N	\N	\N
544796	1852	1995-01-07	VYDAJ	VYBER	240	22355	\N	\N	\N
544797	1852	1995-01-04	VYDAJ	VYBER	300	23465	\N	\N	\N
544798	1852	1996-01-16	VYDAJ	VYBER	300	14116	\N	\N	\N
544804	1852	1997-01-26	VYDAJ	VYBER	720	13839	\N	\N	\N
544805	1852	1997-01-06	VYDAJ	VYBER	570	14239	\N	\N	\N
544809	1852	1997-01-22	VYDAJ	VYBER	780	14559	\N	\N	\N
544810	1852	1998-01-09	VYDAJ	VYBER	480	22068	\N	\N	\N
544811	1852	1998-01-18	VYDAJ	VYBER	750	20708	\N	\N	\N
544812	1852	1998-01-08	VYDAJ	VYBER	780	22548	\N	\N	\N
544813	1852	1998-01-07	VYDAJ	VYBER	480	23328	\N	\N	\N
544814	1852	1998-01-10	VYDAJ	VYBER	600	19269	\N	\N	\N
544815	1852	1998-01-18	VYDAJ	VYBER	660	21458	\N	\N	\N
544816	1852	1993-11-14	VYDAJ	VYBER	1020	25334	\N	\N	\N
544821	1852	1994-05-23	VYDAJ	VYBER	480	24821	\N	\N	\N
544822	1852	1994-04-05	VYDAJ	VYBER	150	23016	\N	\N	\N
544823	1852	1994-06-22	VYDAJ	VYBER	450	24560	\N	\N	\N
544824	1852	1995-05-07	VYDAJ	VYBER	480	15997	\N	\N	\N
544825	1852	1995-09-13	VYDAJ	VYBER	1380	18246	\N	\N	\N
544826	1852	1995-08-09	VYDAJ	VYBER	900	15963	\N	\N	\N
544827	1852	1995-08-03	VYDAJ	VYBER	990	19062	\N	\N	\N
544829	1852	1995-06-22	VYDAJ	VYBER	840	18313	\N	\N	\N
544832	1852	1996-08-05	VYDAJ	VYBER	990	15306	\N	\N	\N
544834	1852	1997-07-27	VYDAJ	VYBER	360	19516	\N	\N	\N
544835	1852	1997-10-25	VYDAJ	VYBER	270	21912	\N	\N	\N
544836	1852	1997-02-18	VYDAJ	VYBER	480	14504	\N	\N	\N
544837	1852	1997-05-27	VYDAJ	VYBER	390	17558	\N	\N	\N
544839	1852	1997-10-10	VYDAJ	VYBER	840	18883	\N	\N	\N
544840	1852	1998-07-16	VYDAJ	VYBER	750	26204	\N	\N	\N
544841	1852	1998-06-13	VYDAJ	VYBER	840	25763	\N	\N	\N
544842	1852	1998-01-17	VYDAJ	VYBER	450	22118	\N	\N	\N
544854	1852	1993-11-30	VYDAJ	VYBER	15	25426	SLUZBY	\N	\N
544855	1852	1993-12-31	VYDAJ	VYBER	15	25778	SLUZBY	\N	\N
544856	1852	1994-01-31	VYDAJ	VYBER	15	24981	SLUZBY	\N	\N
544857	1852	1994-02-28	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
544858	1852	1994-03-31	VYDAJ	VYBER	15	25766	SLUZBY	\N	\N
544859	1852	1994-04-30	VYDAJ	VYBER	15	24201	SLUZBY	\N	\N
544860	1852	1994-05-31	VYDAJ	VYBER	15	24910	SLUZBY	\N	\N
544861	1852	1994-06-30	VYDAJ	VYBER	15	24147	SLUZBY	\N	\N
544862	1852	1994-07-31	VYDAJ	VYBER	15	23236	SLUZBY	\N	\N
544863	1852	1994-08-31	VYDAJ	VYBER	15	25821	SLUZBY	\N	\N
544864	1852	1994-09-30	VYDAJ	VYBER	15	24116	SLUZBY	\N	\N
544865	1852	1994-10-31	VYDAJ	VYBER	15	23604	SLUZBY	\N	\N
544866	1852	1994-11-30	VYDAJ	VYBER	15	26091	SLUZBY	\N	\N
544867	1852	1994-12-31	VYDAJ	VYBER	15	24335	SLUZBY	\N	\N
544868	1852	1995-01-31	VYDAJ	VYBER	15	21975	SLUZBY	\N	\N
544869	1852	1995-02-28	VYDAJ	VYBER	15	18952	SLUZBY	\N	\N
544870	1852	1995-03-31	VYDAJ	VYBER	15	17518	SLUZBY	\N	\N
544871	1852	1995-04-30	VYDAJ	VYBER	15	16477	SLUZBY	\N	\N
544872	1852	1995-05-31	VYDAJ	VYBER	15	18053	SLUZBY	\N	\N
544873	1852	1995-06-30	VYDAJ	VYBER	15	21277	SLUZBY	\N	\N
544874	1852	1995-07-31	VYDAJ	VYBER	15	20052	SLUZBY	\N	\N
544875	1852	1995-08-31	VYDAJ	VYBER	15	18526	SLUZBY	\N	\N
544876	1852	1995-09-30	VYDAJ	VYBER	15	14103	SLUZBY	\N	\N
544877	1852	1995-10-31	VYDAJ	VYBER	15	13448	SLUZBY	\N	\N
544878	1852	1995-11-30	VYDAJ	VYBER	15	14291	SLUZBY	\N	\N
544879	1852	1995-12-31	VYDAJ	VYBER	15	13316	SLUZBY	\N	\N
544880	1852	1996-01-31	VYDAJ	VYBER	15	11655	SLUZBY	\N	\N
544881	1852	1996-02-29	VYDAJ	VYBER	15	11189	SLUZBY	\N	\N
544882	1852	1996-03-31	VYDAJ	VYBER	15	11722	SLUZBY	\N	\N
544883	1852	1996-04-30	VYDAJ	VYBER	15	12859	SLUZBY	\N	\N
544884	1852	1996-05-31	VYDAJ	VYBER	15	14000	SLUZBY	\N	\N
544885	1852	1996-06-30	VYDAJ	VYBER	15	15146	SLUZBY	\N	\N
544886	1852	1996-07-31	VYDAJ	VYBER	15	16296	SLUZBY	\N	\N
544887	1852	1996-08-31	VYDAJ	VYBER	15	12851	SLUZBY	\N	\N
544888	1852	1996-09-30	VYDAJ	VYBER	15	11688	SLUZBY	\N	\N
544889	1852	1996-10-31	VYDAJ	VYBER	15	12824	SLUZBY	\N	\N
544890	1852	1996-11-30	VYDAJ	VYBER	15	13965	SLUZBY	\N	\N
544891	1852	1996-12-31	VYDAJ	VYBER	15	14809	SLUZBY	\N	\N
544892	1852	1997-01-31	VYDAJ	VYBER	15	13884	SLUZBY	\N	\N
544893	1852	1997-02-28	VYDAJ	VYBER	15	14548	SLUZBY	\N	\N
544894	1852	1997-03-31	VYDAJ	VYBER	15	15696	SLUZBY	\N	\N
544895	1852	1997-04-30	VYDAJ	VYBER	15	16848	SLUZBY	\N	\N
544896	1852	1997-05-31	VYDAJ	VYBER	15	17615	SLUZBY	\N	\N
544897	1852	1997-06-30	VYDAJ	VYBER	15	18776	SLUZBY	\N	\N
544898	1852	1997-07-31	VYDAJ	VYBER	15	19581	SLUZBY	\N	\N
544899	1852	1997-08-31	VYDAJ	VYBER	15	20749	SLUZBY	\N	\N
544900	1852	1997-09-30	VYDAJ	VYBER	15	21922	SLUZBY	\N	\N
544901	1852	1997-10-31	VYDAJ	VYBER	15	21987	SLUZBY	\N	\N
544902	1852	1997-11-30	VYDAJ	VYBER	15	23166	SLUZBY	\N	\N
544903	1852	1997-12-31	VYDAJ	VYBER	15	23808	SLUZBY	\N	\N
544904	1852	1998-01-31	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
544905	1852	1998-02-28	VYDAJ	VYBER	15	21955	SLUZBY	\N	\N
544906	1852	1998-03-31	VYDAJ	VYBER	15	23133	SLUZBY	\N	\N
544907	1852	1998-04-30	VYDAJ	VYBER	15	24316	SLUZBY	\N	\N
544908	1852	1998-05-31	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
544909	1852	1998-06-30	VYDAJ	VYBER	15	25854	SLUZBY	\N	\N
544910	1852	1998-07-31	VYDAJ	VYBER	15	26296	SLUZBY	\N	\N
544911	1852	1998-08-31	VYDAJ	VYBER	15	27492	SLUZBY	\N	\N
544912	1852	1998-09-30	VYDAJ	VYBER	15	28692	SLUZBY	\N	\N
544913	1852	1998-10-31	VYDAJ	VYBER	15	29898	SLUZBY	\N	\N
544914	1852	1998-11-30	VYDAJ	VYBER	15	31108	SLUZBY	\N	\N
544915	1852	1993-08-04	PRIJEM	VKLAD	11000	14709	\N	\N	\N
544916	1852	1993-09-03	PRIJEM	VKLAD	1900	19964	\N	\N	\N
544917	1852	1993-10-03	VYDAJ	VYBER	1100	22253	\N	\N	\N
544918	1852	1993-11-02	VYDAJ	VYBER	2600	23055	\N	\N	\N
544919	1852	1993-12-02	VYDAJ	VYBER	600	24826	\N	\N	\N
544920	1852	1994-01-01	PRIJEM	VKLAD	1200	26978	\N	\N	\N
544921	1852	1994-01-31	VYDAJ	VYBER	100	24996	\N	\N	\N
544922	1852	1994-03-02	VYDAJ	VYBER	1600	24574	\N	\N	\N
544923	1852	1994-04-01	VYDAJ	VYBER	2600	23166	\N	\N	\N
544924	1852	1994-05-31	VYDAJ	VYBER	1000	23910	\N	\N	\N
544925	1852	1994-06-30	VYDAJ	VYBER	500	24162	\N	\N	\N
544926	1852	1994-07-30	VYDAJ	VYBER	2100	23147	\N	\N	\N
544927	1852	1994-08-29	PRIJEM	VKLAD	1400	25736	\N	\N	\N
544928	1852	1994-09-28	VYDAJ	VYBER	2900	24021	\N	\N	\N
544929	1852	1994-10-28	VYDAJ	VYBER	1700	23516	\N	\N	\N
544930	1852	1994-11-27	PRIJEM	VKLAD	1300	26004	\N	\N	\N
544931	1852	1994-12-27	VYDAJ	VYBER	2200	24241	\N	\N	\N
544932	1852	1995-01-26	VYDAJ	VYBER	600	21895	\N	\N	\N
544933	1852	1995-02-25	VYDAJ	VYBER	4200	18875	\N	\N	\N
544934	1852	1995-03-27	VYDAJ	VYBER	2600	17452	\N	\N	\N
544935	1852	1995-04-26	VYDAJ	VYBER	2200	16418	\N	\N	\N
544936	1852	1995-05-26	PRIJEM	VKLAD	900	17997	\N	\N	\N
544937	1852	1995-06-25	PRIJEM	VKLAD	2900	21213	\N	\N	\N
544938	1852	1995-07-25	VYDAJ	VYBER	2400	19977	\N	\N	\N
544939	1852	1995-08-24	VYDAJ	VYBER	800	18462	\N	\N	\N
544940	1852	1995-09-23	VYDAJ	VYBER	4200	14046	\N	\N	\N
544941	1852	1995-10-23	VYDAJ	VYBER	1800	13403	\N	\N	\N
544942	1852	1995-11-22	VYDAJ	VYBER	300	14248	\N	\N	\N
544943	1852	1995-12-22	VYDAJ	VYBER	1400	13271	\N	\N	\N
544944	1852	1996-01-21	VYDAJ	VYBER	2500	11616	\N	\N	\N
544945	1852	1996-02-20	VYDAJ	VYBER	1600	11155	\N	\N	\N
544946	1852	1996-03-21	VYDAJ	VYBER	600	11689	\N	\N	\N
544947	1852	1996-08-18	VYDAJ	VYBER	3600	12806	\N	\N	\N
544948	1852	1996-09-17	VYDAJ	VYBER	2300	11651	\N	\N	\N
545015	1853	1997-01-29	PRIJEM	VKLAD	800	800	\N	\N	\N
545016	1853	1997-09-23	PRIJEM	VKLAD	24981	61315	\N	\N	\N
545017	1853	1997-04-28	PRIJEM	VKLAD	23480	50159	\N	\N	\N
545018	1853	1998-04-16	PRIJEM	VKLAD	28071	51565	\N	\N	\N
545019	1853	1998-02-15	PRIJEM	VKLAD	16342	34799	\N	\N	\N
545021	1853	1997-02-15	PRIJEM	VKLAD	500	1300	\N	\N	\N
545022	1853	1997-03-16	PRIJEM	VKLAD	500	17105	\N	\N	\N
545023	1853	1997-04-13	PRIJEM	VKLAD	500	27379	\N	\N	\N
545024	1853	1997-05-17	PRIJEM	VKLAD	500	40963	\N	\N	\N
545025	1853	1997-06-16	PRIJEM	VKLAD	500	41018	\N	\N	\N
545026	1853	1997-07-16	PRIJEM	VKLAD	500	34763	\N	\N	\N
545027	1853	1997-08-16	PRIJEM	VKLAD	500	36395	\N	\N	\N
545028	1853	1997-09-13	PRIJEM	VKLAD	500	35734	\N	\N	\N
545029	1853	1997-10-15	PRIJEM	VKLAD	500	45566	\N	\N	\N
545030	1853	1997-11-16	PRIJEM	VKLAD	500	40636	\N	\N	\N
545031	1853	1997-12-17	PRIJEM	VKLAD	500	34835	\N	\N	\N
545032	1853	1998-01-15	PRIJEM	VKLAD	500	28062	\N	\N	\N
545033	1853	1998-02-13	PRIJEM	VKLAD	500	18457	\N	\N	\N
545034	1853	1998-03-14	PRIJEM	VKLAD	500	30190	\N	\N	\N
545035	1853	1998-04-17	PRIJEM	VKLAD	500	52065	\N	\N	\N
545036	1853	1998-05-13	PRIJEM	VKLAD	500	36537	\N	\N	\N
545037	1853	1998-06-17	PRIJEM	VKLAD	500	31969	\N	\N	\N
545038	1853	1998-07-16	PRIJEM	VKLAD	500	27881	\N	\N	\N
545039	1853	1998-08-16	PRIJEM	VKLAD	500	26780	\N	\N	\N
545040	1853	1998-09-15	PRIJEM	VKLAD	500	28678	\N	\N	\N
545041	1853	1998-10-17	PRIJEM	VKLAD	500	27481	\N	\N	\N
545042	1853	1998-11-15	PRIJEM	VKLAD	500	27585	\N	\N	\N
545043	1853	1998-12-13	PRIJEM	VKLAD	500	29788	\N	\N	\N
545045	1853	1997-02-18	PRIJEM	VKLAD	600	1900	\N	\N	\N
545046	1853	1997-03-18	PRIJEM	VKLAD	600	17705	\N	\N	\N
545047	1853	1997-04-18	PRIJEM	VKLAD	600	26679	\N	\N	\N
545048	1853	1997-05-18	PRIJEM	VKLAD	600	41563	\N	\N	\N
545049	1853	1997-06-18	PRIJEM	VKLAD	600	41618	\N	\N	\N
545050	1853	1997-07-18	PRIJEM	VKLAD	600	35363	\N	\N	\N
545051	1853	1997-08-18	PRIJEM	VKLAD	600	36995	\N	\N	\N
545052	1853	1997-09-18	PRIJEM	VKLAD	600	36334	\N	\N	\N
545053	1853	1997-10-18	PRIJEM	VKLAD	600	46166	\N	\N	\N
545054	1853	1997-11-18	PRIJEM	VKLAD	600	41236	\N	\N	\N
545055	1853	1997-12-18	PRIJEM	VKLAD	600	35435	\N	\N	\N
545056	1853	1998-01-18	PRIJEM	VKLAD	600	28662	\N	\N	\N
545057	1853	1998-02-18	PRIJEM	VKLAD	600	35399	\N	\N	\N
545058	1853	1998-03-18	PRIJEM	VKLAD	600	30790	\N	\N	\N
545059	1853	1998-04-18	PRIJEM	VKLAD	600	52665	\N	\N	\N
545060	1853	1998-05-18	PRIJEM	VKLAD	600	37137	\N	\N	\N
545061	1853	1998-06-18	PRIJEM	VKLAD	600	32569	\N	\N	\N
545062	1853	1998-07-18	PRIJEM	VKLAD	600	28481	\N	\N	\N
545063	1853	1998-08-18	PRIJEM	VKLAD	600	27380	\N	\N	\N
545064	1853	1998-09-18	PRIJEM	VKLAD	600	29278	\N	\N	\N
545065	1853	1998-10-18	PRIJEM	VKLAD	600	28081	\N	\N	\N
545066	1853	1998-11-18	PRIJEM	VKLAD	600	28185	\N	\N	\N
545067	1853	1998-12-18	PRIJEM	VKLAD	600	30388	\N	\N	\N
545071	1853	1998-01-27	VYDAJ	VYBER	5600	21162	\N	\N	\N
545072	1853	1997-06-23	VYDAJ	VYBER	12700	28918	\N	\N	\N
545075	1853	1998-01-29	VYDAJ	VYBER	3300	17862	\N	\N	\N
545076	1853	1997-12-25	VYDAJ	VYBER	2100	27435	\N	\N	\N
545077	1853	1998-12-30	VYDAJ	VYBER	1300	33088	\N	\N	\N
545079	1853	1997-04-16	VYDAJ	VYBER	1300	26079	\N	\N	\N
545080	1853	1997-12-04	VYDAJ	VYBER	950	34335	\N	\N	\N
545083	1853	1997-08-06	VYDAJ	VYBER	750	38345	\N	\N	\N
545084	1853	1997-08-09	VYDAJ	VYBER	2450	35895	\N	\N	\N
545085	1853	1998-10-14	VYDAJ	VYBER	1800	26981	\N	\N	\N
545086	1853	1998-10-29	VYDAJ	VYBER	1150	26981	\N	\N	\N
545087	1853	1998-12-01	VYDAJ	VYBER	1200	29288	\N	\N	\N
545088	1853	1998-10-27	VYDAJ	VYBER	1350	28131	\N	\N	\N
545089	1853	1998-04-19	VYDAJ	VYBER	1850	50815	\N	\N	\N
545090	1853	1998-06-25	VYDAJ	VYBER	1700	27269	\N	\N	\N
545095	1853	1997-04-30	VYDAJ	VYBER	15	40463	SLUZBY	\N	\N
545096	1853	1997-05-31	VYDAJ	VYBER	15	40518	SLUZBY	\N	\N
545097	1853	1997-06-30	VYDAJ	VYBER	15	34263	SLUZBY	\N	\N
545098	1853	1997-07-31	VYDAJ	VYBER	15	39095	SLUZBY	\N	\N
545099	1853	1997-08-31	VYDAJ	VYBER	15	35234	SLUZBY	\N	\N
545100	1853	1997-09-30	VYDAJ	VYBER	15	45066	SLUZBY	\N	\N
545101	1853	1997-10-31	VYDAJ	VYBER	15	40136	SLUZBY	\N	\N
545102	1853	1997-11-30	VYDAJ	VYBER	15	35285	SLUZBY	\N	\N
545103	1853	1997-12-31	VYDAJ	VYBER	15	27562	SLUZBY	\N	\N
545104	1853	1998-01-31	VYDAJ	VYBER	15	17957	SLUZBY	\N	\N
545105	1853	1998-02-28	VYDAJ	VYBER	15	29690	SLUZBY	\N	\N
545106	1853	1998-03-31	VYDAJ	VYBER	15	23494	SLUZBY	\N	\N
545107	1853	1998-04-30	VYDAJ	VYBER	15	36037	SLUZBY	\N	\N
545108	1853	1998-05-31	VYDAJ	VYBER	15	31469	SLUZBY	\N	\N
545109	1853	1998-06-30	VYDAJ	VYBER	15	27381	SLUZBY	\N	\N
545110	1853	1998-07-31	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
545111	1853	1998-08-31	VYDAJ	VYBER	15	28178	SLUZBY	\N	\N
545112	1853	1998-09-30	VYDAJ	VYBER	15	28781	SLUZBY	\N	\N
545113	1853	1998-10-31	VYDAJ	VYBER	15	27085	SLUZBY	\N	\N
545114	1853	1998-11-30	VYDAJ	VYBER	15	30488	SLUZBY	\N	\N
545115	1853	1997-02-28	PRIJEM	VKLAD	14700	16605	\N	\N	\N
545116	1853	1997-03-30	PRIJEM	VKLAD	9100	26805	\N	\N	\N
545117	1853	1997-04-29	VYDAJ	VYBER	9800	40359	\N	\N	\N
545118	1853	1997-05-29	VYDAJ	VYBER	1200	40363	\N	\N	\N
545119	1853	1997-06-28	PRIJEM	VKLAD	5200	34118	\N	\N	\N
545120	1853	1997-07-28	PRIJEM	VKLAD	3600	38963	\N	\N	\N
545121	1853	1997-08-27	VYDAJ	VYBER	1900	35095	\N	\N	\N
545122	1853	1997-09-26	VYDAJ	VYBER	16400	44915	\N	\N	\N
545123	1853	1997-10-26	VYDAJ	VYBER	6200	39966	\N	\N	\N
545124	1853	1997-11-25	VYDAJ	VYBER	6100	35136	\N	\N	\N
545125	1853	1997-12-25	VYDAJ	VYBER	5900	29535	\N	\N	\N
545126	1853	1998-01-24	VYDAJ	VYBER	1900	26762	\N	\N	\N
545127	1853	1998-02-23	VYDAJ	VYBER	5800	29599	\N	\N	\N
545128	1853	1998-03-25	VYDAJ	VYBER	7400	23390	\N	\N	\N
545129	1853	1998-04-24	VYDAJ	VYBER	14900	35915	\N	\N	\N
545130	1853	1998-05-24	VYDAJ	VYBER	5800	31337	\N	\N	\N
545131	1853	1998-06-23	VYDAJ	VYBER	3600	28969	\N	\N	\N
545132	1853	1998-07-23	VYDAJ	VYBER	2300	26181	\N	\N	\N
545133	1853	1998-08-22	PRIJEM	VKLAD	700	28080	\N	\N	\N
545134	1853	1998-09-21	VYDAJ	VYBER	600	28678	\N	\N	\N
545135	1853	1998-10-21	PRIJEM	VKLAD	1400	29481	\N	\N	\N
545136	1853	1998-11-20	PRIJEM	VKLAD	2200	30385	\N	\N	\N
545137	1853	1998-12-20	PRIJEM	VKLAD	4000	34388	\N	\N	\N
545161	1854	1997-02-02	PRIJEM	VKLAD	200	200	\N	\N	\N
545163	1854	1997-02-07	PRIJEM	VKLAD	17839	18039	\N	\N	\N
545164	1854	1997-03-07	PRIJEM	VKLAD	17839	39737	\N	\N	\N
545165	1854	1997-04-07	PRIJEM	VKLAD	17839	51124	\N	\N	\N
545166	1854	1997-05-07	PRIJEM	VKLAD	17839	59467	\N	\N	\N
545167	1854	1997-06-07	PRIJEM	VKLAD	26758	71366	\N	\N	\N
545168	1854	1997-07-07	PRIJEM	VKLAD	17839	50675	\N	\N	\N
545169	1854	1997-08-07	PRIJEM	VKLAD	17839	54242	\N	\N	\N
545170	1854	1997-09-07	PRIJEM	VKLAD	17839	49825	\N	\N	\N
545171	1854	1997-10-07	PRIJEM	VKLAD	17839	53085	\N	\N	\N
545172	1854	1997-11-07	PRIJEM	VKLAD	17839	56359	\N	\N	\N
545173	1854	1997-12-07	PRIJEM	VKLAD	26758	63848	\N	\N	\N
545174	1854	1998-01-07	PRIJEM	VKLAD	17839	63438	\N	\N	\N
545175	1854	1998-02-07	PRIJEM	VKLAD	17839	54413	\N	\N	\N
545176	1854	1998-03-07	PRIJEM	VKLAD	17839	60577	\N	\N	\N
545177	1854	1998-04-07	PRIJEM	VKLAD	17839	58362	\N	\N	\N
545178	1854	1998-05-07	PRIJEM	VKLAD	17839	61341	\N	\N	\N
545179	1854	1998-06-07	PRIJEM	VKLAD	26758	74351	\N	\N	\N
545180	1854	1998-07-07	PRIJEM	VKLAD	17839	58858	\N	\N	\N
545181	1854	1998-08-07	PRIJEM	VKLAD	17839	63838	\N	\N	\N
545182	1854	1998-09-07	PRIJEM	VKLAD	17839	57312	\N	\N	\N
545183	1854	1998-10-07	PRIJEM	VKLAD	17839	62583	\N	\N	\N
545184	1854	1998-11-07	PRIJEM	VKLAD	17839	63472	\N	\N	\N
545185	1854	1998-12-07	PRIJEM	VKLAD	26758	71281	\N	\N	\N
545191	1854	1997-06-11	VYDAJ	PREVOD NA UCET	3948	67418	SIPO	IJ	67782974
545192	1854	1997-07-11	VYDAJ	PREVOD NA UCET	3948	46727	SIPO	IJ	67782974
545193	1854	1997-08-11	VYDAJ	PREVOD NA UCET	3948	50294	SIPO	IJ	67782974
545194	1854	1997-09-11	VYDAJ	PREVOD NA UCET	3948	45877	SIPO	IJ	67782974
545195	1854	1997-10-11	VYDAJ	PREVOD NA UCET	3948	49137	SIPO	IJ	67782974
545196	1854	1997-11-11	VYDAJ	PREVOD NA UCET	3948	52411	SIPO	IJ	67782974
545197	1854	1997-12-11	VYDAJ	PREVOD NA UCET	3948	59900	SIPO	IJ	67782974
545198	1854	1998-01-11	VYDAJ	PREVOD NA UCET	3948	56790	SIPO	IJ	67782974
545199	1854	1998-02-11	VYDAJ	PREVOD NA UCET	3948	50465	SIPO	IJ	67782974
545200	1854	1998-03-11	VYDAJ	PREVOD NA UCET	3948	56629	SIPO	IJ	67782974
545201	1854	1998-04-11	VYDAJ	PREVOD NA UCET	3948	54414	SIPO	IJ	67782974
545202	1854	1998-05-11	VYDAJ	PREVOD NA UCET	3948	57393	SIPO	IJ	67782974
545203	1854	1998-06-11	VYDAJ	PREVOD NA UCET	3948	70403	SIPO	IJ	67782974
545204	1854	1998-07-11	VYDAJ	PREVOD NA UCET	3948	54910	SIPO	IJ	67782974
545205	1854	1998-08-11	VYDAJ	PREVOD NA UCET	3948	59890	SIPO	IJ	67782974
545206	1854	1998-09-11	VYDAJ	PREVOD NA UCET	3948	53364	SIPO	IJ	67782974
545207	1854	1998-10-11	VYDAJ	PREVOD NA UCET	3948	58635	SIPO	IJ	67782974
545208	1854	1998-11-11	VYDAJ	PREVOD NA UCET	3948	59524	SIPO	IJ	67782974
545209	1854	1998-12-11	VYDAJ	PREVOD NA UCET	3948	67333	SIPO	IJ	67782974
545210	1854	1997-06-20	VYDAJ	VYBER	28600	38818	\N	\N	\N
545211	1854	1998-06-23	VYDAJ	VYBER	25700	44703	\N	\N	\N
545213	1854	1998-01-25	VYDAJ	VYBER	4800	40390	\N	\N	\N
545220	1854	1998-01-13	VYDAJ	VYBER	2900	51090	\N	\N	\N
545221	1854	1998-01-22	VYDAJ	VYBER	1800	45190	\N	\N	\N
545222	1854	1998-01-12	VYDAJ	VYBER	2800	53990	\N	\N	\N
545223	1854	1998-01-17	VYDAJ	VYBER	1300	49790	\N	\N	\N
545224	1854	1998-01-07	VYDAJ	VYBER	2700	60738	\N	\N	\N
545225	1854	1998-01-19	VYDAJ	VYBER	2800	46990	\N	\N	\N
545227	1854	1997-08-29	VYDAJ	VYBER	1400	48894	\N	\N	\N
545229	1854	1997-11-18	VYDAJ	VYBER	500	51911	\N	\N	\N
545230	1854	1997-09-06	VYDAJ	VYBER	2600	31986	\N	\N	\N
545231	1854	1998-08-13	VYDAJ	VYBER	4700	51790	\N	\N	\N
545232	1854	1998-12-22	VYDAJ	VYBER	4300	63033	\N	\N	\N
545233	1854	1998-08-12	VYDAJ	VYBER	3400	56490	\N	\N	\N
545234	1854	1998-08-29	VYDAJ	VYBER	3200	39290	\N	\N	\N
545235	1854	1998-12-26	VYDAJ	VYBER	3800	40833	\N	\N	\N
545236	1854	1998-08-19	VYDAJ	VYBER	3200	48590	\N	\N	\N
545237	1854	1998-03-26	VYDAJ	VYBER	4400	52229	\N	\N	\N
545244	1854	1997-06-30	VYDAJ	VYBER	15	39036	SLUZBY	\N	\N
545245	1854	1997-07-31	VYDAJ	VYBER	15	46903	SLUZBY	\N	\N
545246	1854	1997-08-31	VYDAJ	VYBER	15	34586	SLUZBY	\N	\N
545247	1854	1997-09-30	VYDAJ	VYBER	15	46046	SLUZBY	\N	\N
545248	1854	1997-10-31	VYDAJ	VYBER	15	38520	SLUZBY	\N	\N
545249	1854	1997-11-30	VYDAJ	VYBER	15	37090	SLUZBY	\N	\N
545250	1854	1997-12-31	VYDAJ	VYBER	15	45599	SLUZBY	\N	\N
545251	1854	1998-01-31	VYDAJ	VYBER	15	36574	SLUZBY	\N	\N
545252	1854	1998-02-28	VYDAJ	VYBER	15	42738	SLUZBY	\N	\N
545253	1854	1998-03-31	VYDAJ	VYBER	15	40523	SLUZBY	\N	\N
545254	1854	1998-04-30	VYDAJ	VYBER	15	43502	SLUZBY	\N	\N
545255	1854	1998-05-31	VYDAJ	VYBER	15	47593	SLUZBY	\N	\N
545256	1854	1998-06-30	VYDAJ	VYBER	15	41019	SLUZBY	\N	\N
545257	1854	1998-07-31	VYDAJ	VYBER	15	45999	SLUZBY	\N	\N
545258	1854	1998-08-31	VYDAJ	VYBER	15	39473	SLUZBY	\N	\N
545259	1854	1998-09-30	VYDAJ	VYBER	15	44744	SLUZBY	\N	\N
545260	1854	1998-10-31	VYDAJ	VYBER	15	45633	SLUZBY	\N	\N
545261	1854	1998-11-30	VYDAJ	VYBER	15	44523	SLUZBY	\N	\N
545262	1854	1997-03-04	PRIJEM	VKLAD	3800	21898	\N	\N	\N
545263	1854	1997-04-03	VYDAJ	VYBER	6600	33285	\N	\N	\N
545264	1854	1997-05-03	VYDAJ	VYBER	9700	41628	\N	\N	\N
545265	1854	1997-06-02	VYDAJ	VYBER	15100	44608	\N	\N	\N
545266	1854	1997-07-02	VYDAJ	VYBER	6200	32836	\N	\N	\N
545267	1854	1997-08-01	VYDAJ	VYBER	10500	36403	\N	\N	\N
545268	1854	1997-08-31	VYDAJ	VYBER	14500	34600	\N	\N	\N
545269	1854	1997-09-30	VYDAJ	VYBER	10800	35246	\N	\N	\N
545270	1854	1997-10-30	VYDAJ	VYBER	10800	38337	\N	\N	\N
545271	1854	1997-11-29	VYDAJ	VYBER	15000	36911	\N	\N	\N
545272	1854	1997-12-29	VYDAJ	VYBER	14500	45400	\N	\N	\N
545273	1854	1998-01-28	VYDAJ	VYBER	4000	36390	\N	\N	\N
545274	1854	1998-02-27	VYDAJ	VYBER	7900	42565	\N	\N	\N
545275	1854	1998-03-29	VYDAJ	VYBER	11900	40329	\N	\N	\N
545276	1854	1998-04-28	VYDAJ	VYBER	11100	43314	\N	\N	\N
545277	1854	1998-05-28	VYDAJ	VYBER	10000	47393	\N	\N	\N
545278	1854	1998-06-27	VYDAJ	VYBER	3900	40803	\N	\N	\N
545279	1854	1998-07-27	VYDAJ	VYBER	9100	45810	\N	\N	\N
545280	1854	1998-08-26	VYDAJ	VYBER	6100	42490	\N	\N	\N
545281	1854	1998-09-25	VYDAJ	VYBER	8800	44564	\N	\N	\N
545282	1854	1998-10-25	VYDAJ	VYBER	13200	45435	\N	\N	\N
545283	1854	1998-11-24	VYDAJ	VYBER	15200	44324	\N	\N	\N
545284	1854	1998-12-24	VYDAJ	VYBER	18400	44633	\N	\N	\N
545308	1855	1996-10-27	PRIJEM	VKLAD	400	400	\N	\N	\N
545319	1855	1996-11-14	PRIJEM	PREVOD Z UCTU	5172	5572	DUCHOD	WX	98262780
545320	1855	1996-12-14	PRIJEM	PREVOD Z UCTU	5172	10744	DUCHOD	WX	98262780
545321	1855	1997-01-14	PRIJEM	PREVOD Z UCTU	5172	15916	DUCHOD	WX	98262780
545322	1855	1997-02-14	PRIJEM	PREVOD Z UCTU	5172	21088	DUCHOD	WX	98262780
545323	1855	1997-03-14	PRIJEM	PREVOD Z UCTU	5172	26260	DUCHOD	WX	98262780
545324	1855	1997-04-14	PRIJEM	PREVOD Z UCTU	5172	25940	DUCHOD	WX	98262780
545325	1855	1997-05-14	PRIJEM	PREVOD Z UCTU	5172	28304	DUCHOD	WX	98262780
545326	1855	1997-06-14	PRIJEM	PREVOD Z UCTU	5172	23077	DUCHOD	WX	98262780
545327	1855	1997-07-14	PRIJEM	PREVOD Z UCTU	5172	25434	DUCHOD	WX	98262780
545328	1855	1997-08-14	PRIJEM	PREVOD Z UCTU	5172	27095	DUCHOD	WX	98262780
545329	1855	1997-09-14	PRIJEM	PREVOD Z UCTU	5172	27263	DUCHOD	WX	98262780
545330	1855	1997-10-14	PRIJEM	PREVOD Z UCTU	5172	27630	DUCHOD	WX	98262780
545331	1855	1997-11-14	PRIJEM	PREVOD Z UCTU	5172	28239	DUCHOD	WX	98262780
545332	1855	1997-12-14	PRIJEM	PREVOD Z UCTU	5172	29566	DUCHOD	WX	98262780
545333	1855	1998-01-14	PRIJEM	PREVOD Z UCTU	5172	27222	DUCHOD	WX	98262780
545334	1855	1998-02-14	PRIJEM	PREVOD Z UCTU	5172	23989	DUCHOD	WX	98262780
545335	1855	1998-03-14	PRIJEM	PREVOD Z UCTU	5172	26345	DUCHOD	WX	98262780
545336	1855	1998-04-14	PRIJEM	PREVOD Z UCTU	5172	28711	DUCHOD	WX	98262780
545337	1855	1998-05-14	PRIJEM	PREVOD Z UCTU	5172	29885	DUCHOD	WX	98262780
545338	1855	1998-06-14	PRIJEM	PREVOD Z UCTU	5172	32266	DUCHOD	WX	98262780
545339	1855	1998-07-14	PRIJEM	PREVOD Z UCTU	5172	20899	DUCHOD	WX	98262780
545340	1855	1998-08-14	PRIJEM	PREVOD Z UCTU	5172	23243	DUCHOD	WX	98262780
545341	1855	1998-09-14	PRIJEM	PREVOD Z UCTU	5172	25596	DUCHOD	WX	98262780
545342	1855	1998-10-14	PRIJEM	PREVOD Z UCTU	5172	27958	DUCHOD	WX	98262780
545343	1855	1998-11-14	PRIJEM	PREVOD Z UCTU	5172	27286	DUCHOD	WX	98262780
545344	1855	1998-12-14	PRIJEM	PREVOD Z UCTU	5172	28133	DUCHOD	WX	98262780
545360	1855	1997-04-05	VYDAJ	PREVOD NA UCET	2897	20768	SIPO	MN	27503836
545361	1855	1997-05-05	VYDAJ	PREVOD NA UCET	2897	23132	SIPO	MN	27503836
545362	1855	1997-06-05	VYDAJ	PREVOD NA UCET	2897	24305	SIPO	MN	27503836
545363	1855	1997-07-05	VYDAJ	PREVOD NA UCET	2897	20262	SIPO	MN	27503836
545364	1855	1997-08-05	VYDAJ	PREVOD NA UCET	2897	21923	SIPO	MN	27503836
545365	1855	1997-09-05	VYDAJ	PREVOD NA UCET	2897	22091	SIPO	MN	27503836
545366	1855	1997-10-05	VYDAJ	PREVOD NA UCET	2897	22458	SIPO	MN	27503836
545367	1855	1997-11-05	VYDAJ	PREVOD NA UCET	2897	24827	SIPO	MN	27503836
545368	1855	1997-12-05	VYDAJ	PREVOD NA UCET	2897	24394	SIPO	MN	27503836
545369	1855	1998-01-05	VYDAJ	PREVOD NA UCET	2897	26770	SIPO	MN	27503836
545370	1855	1998-02-05	VYDAJ	PREVOD NA UCET	2897	18817	SIPO	MN	27503836
545371	1855	1998-03-05	VYDAJ	PREVOD NA UCET	2897	21173	SIPO	MN	27503836
545372	1855	1998-04-05	VYDAJ	PREVOD NA UCET	2897	23539	SIPO	MN	27503836
545373	1855	1998-05-05	VYDAJ	PREVOD NA UCET	2897	24713	SIPO	MN	27503836
545374	1855	1998-06-05	VYDAJ	PREVOD NA UCET	2897	27094	SIPO	MN	27503836
545375	1855	1998-07-05	VYDAJ	PREVOD NA UCET	2897	15727	SIPO	MN	27503836
545376	1855	1998-08-05	VYDAJ	PREVOD NA UCET	2897	18071	SIPO	MN	27503836
545377	1855	1998-09-05	VYDAJ	PREVOD NA UCET	2897	20424	SIPO	MN	27503836
545378	1855	1998-10-05	VYDAJ	PREVOD NA UCET	2897	22786	SIPO	MN	27503836
545379	1855	1998-11-05	VYDAJ	PREVOD NA UCET	2897	22114	SIPO	MN	27503836
545380	1855	1998-12-05	VYDAJ	PREVOD NA UCET	2897	22961	SIPO	MN	27503836
545382	1855	1997-06-08	VYDAJ	VYBER	6000	18305	\N	\N	\N
545383	1855	1998-06-28	VYDAJ	VYBER	12750	18516	\N	\N	\N
545385	1855	1997-12-04	VYDAJ	VYBER	1050	27291	\N	\N	\N
545386	1855	1998-12-30	VYDAJ	VYBER	1050	27083	\N	\N	\N
545399	1855	1998-01-29	VYDAJ	VYBER	880	22662	\N	\N	\N
545400	1855	1998-01-12	VYDAJ	VYBER	1600	23490	\N	\N	\N
545401	1855	1998-01-26	VYDAJ	VYBER	400	23542	\N	\N	\N
545402	1855	1998-01-09	VYDAJ	VYBER	1680	25090	\N	\N	\N
545403	1855	1998-01-29	VYDAJ	VYBER	1040	21622	\N	\N	\N
545404	1855	1998-01-13	VYDAJ	VYBER	1440	22050	\N	\N	\N
545408	1855	1997-09-03	VYDAJ	VYBER	1200	24988	\N	\N	\N
545410	1855	1997-10-01	VYDAJ	VYBER	2000	25355	\N	\N	\N
545411	1855	1997-06-10	VYDAJ	VYBER	400	17905	\N	\N	\N
545412	1855	1997-11-13	VYDAJ	VYBER	1760	23067	\N	\N	\N
545413	1855	1998-01-17	VYDAJ	VYBER	3280	23942	\N	\N	\N
545414	1855	1998-11-16	VYDAJ	VYBER	1520	25766	\N	\N	\N
545415	1855	1998-10-20	VYDAJ	VYBER	3040	24918	\N	\N	\N
545431	1855	1997-03-31	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
545432	1855	1997-04-30	VYDAJ	VYBER	15	26029	SLUZBY	\N	\N
545433	1855	1997-05-31	VYDAJ	VYBER	15	27202	SLUZBY	\N	\N
545434	1855	1997-06-30	VYDAJ	VYBER	15	23159	SLUZBY	\N	\N
545435	1855	1997-07-31	VYDAJ	VYBER	15	24820	SLUZBY	\N	\N
545436	1855	1997-08-31	VYDAJ	VYBER	15	26188	SLUZBY	\N	\N
545437	1855	1997-09-30	VYDAJ	VYBER	15	27355	SLUZBY	\N	\N
545438	1855	1997-10-31	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
545439	1855	1997-11-30	VYDAJ	VYBER	15	28341	SLUZBY	\N	\N
545440	1855	1997-12-31	VYDAJ	VYBER	15	29667	SLUZBY	\N	\N
545441	1855	1998-01-31	VYDAJ	VYBER	15	21714	SLUZBY	\N	\N
545442	1855	1998-02-28	VYDAJ	VYBER	15	24070	SLUZBY	\N	\N
545443	1855	1998-03-31	VYDAJ	VYBER	15	26436	SLUZBY	\N	\N
545444	1855	1998-04-30	VYDAJ	VYBER	15	27610	SLUZBY	\N	\N
545445	1855	1998-05-31	VYDAJ	VYBER	15	29991	SLUZBY	\N	\N
545446	1855	1998-06-30	VYDAJ	VYBER	15	18624	SLUZBY	\N	\N
545447	1855	1998-07-31	VYDAJ	VYBER	15	20968	SLUZBY	\N	\N
545448	1855	1998-08-31	VYDAJ	VYBER	15	23321	SLUZBY	\N	\N
545449	1855	1998-09-30	VYDAJ	VYBER	15	25683	SLUZBY	\N	\N
545450	1855	1998-10-31	VYDAJ	VYBER	15	25011	SLUZBY	\N	\N
545451	1855	1998-11-30	VYDAJ	VYBER	15	25858	SLUZBY	\N	\N
545452	1855	1997-03-26	VYDAJ	VYBER	2600	23660	\N	\N	\N
545453	1855	1997-05-25	VYDAJ	VYBER	1200	27104	\N	\N	\N
545454	1855	1997-07-24	VYDAJ	VYBER	700	24734	\N	\N	\N
545455	1855	1997-08-23	VYDAJ	VYBER	1000	26095	\N	\N	\N
545456	1855	1998-04-20	VYDAJ	VYBER	1200	27511	\N	\N	\N
545457	1855	1998-06-19	VYDAJ	VYBER	1000	31266	\N	\N	\N
545480	1856	1994-06-19	PRIJEM	VKLAD	800	800	\N	\N	\N
545487	1856	1994-07-08	PRIJEM	PREVOD Z UCTU	3261	4061	\N	WX	55557876
545488	1856	1994-08-08	PRIJEM	PREVOD Z UCTU	3261	7322	\N	WX	55557876
545489	1856	1994-09-08	PRIJEM	PREVOD Z UCTU	3261	10583	\N	WX	55557876
545490	1856	1994-10-08	PRIJEM	PREVOD Z UCTU	3261	13844	\N	WX	55557876
545491	1856	1994-11-08	PRIJEM	PREVOD Z UCTU	3261	17105	\N	WX	55557876
545492	1856	1994-12-08	PRIJEM	PREVOD Z UCTU	3261	18007	\N	WX	55557876
545493	1856	1995-01-08	PRIJEM	PREVOD Z UCTU	3261	18097	\N	WX	55557876
545494	1856	1995-02-08	PRIJEM	PREVOD Z UCTU	3261	17856	\N	WX	55557876
545495	1856	1995-03-08	PRIJEM	PREVOD Z UCTU	3261	18996	\N	WX	55557876
545496	1856	1995-04-08	PRIJEM	PREVOD Z UCTU	3261	20142	\N	WX	55557876
545497	1856	1995-05-08	PRIJEM	PREVOD Z UCTU	3261	19580	\N	WX	55557876
545498	1856	1995-06-08	PRIJEM	PREVOD Z UCTU	3261	20728	\N	WX	55557876
545499	1856	1995-07-08	PRIJEM	PREVOD Z UCTU	3261	20527	\N	WX	55557876
545500	1856	1995-08-08	PRIJEM	PREVOD Z UCTU	3261	19664	\N	WX	55557876
545501	1856	1995-09-08	PRIJEM	PREVOD Z UCTU	3261	20813	\N	WX	55557876
545502	1856	1995-10-08	PRIJEM	PREVOD Z UCTU	3261	21966	\N	WX	55557876
545503	1856	1995-11-08	PRIJEM	PREVOD Z UCTU	3261	23123	\N	WX	55557876
545504	1856	1995-12-08	PRIJEM	PREVOD Z UCTU	3261	23776	\N	WX	55557876
545505	1856	1996-01-08	PRIJEM	PREVOD Z UCTU	3261	24942	\N	WX	55557876
545506	1856	1996-02-08	PRIJEM	PREVOD Z UCTU	3261	24311	\N	WX	55557876
545507	1856	1996-03-08	PRIJEM	PREVOD Z UCTU	3261	25479	\N	WX	55557876
545508	1856	1996-04-08	PRIJEM	PREVOD Z UCTU	3261	26651	\N	WX	55557876
545509	1856	1996-05-08	PRIJEM	PREVOD Z UCTU	3261	27828	\N	WX	55557876
545510	1856	1996-06-08	PRIJEM	PREVOD Z UCTU	3261	27810	\N	WX	55557876
545511	1856	1996-07-08	PRIJEM	PREVOD Z UCTU	3261	23579	\N	WX	55557876
545512	1856	1996-08-08	PRIJEM	PREVOD Z UCTU	3261	23483	\N	WX	55557876
545513	1856	1996-09-08	PRIJEM	PREVOD Z UCTU	3261	24646	\N	WX	55557876
545514	1856	1996-10-08	PRIJEM	PREVOD Z UCTU	3261	25815	\N	WX	55557876
545515	1856	1996-11-08	PRIJEM	PREVOD Z UCTU	3261	26989	\N	WX	55557876
545516	1856	1996-12-08	PRIJEM	PREVOD Z UCTU	3261	26967	\N	WX	55557876
545517	1856	1997-01-08	PRIJEM	PREVOD Z UCTU	3261	25324	\N	WX	55557876
545518	1856	1997-02-08	PRIJEM	PREVOD Z UCTU	3261	26497	\N	WX	55557876
545519	1856	1997-03-08	PRIJEM	PREVOD Z UCTU	3261	27673	\N	WX	55557876
545520	1856	1997-04-08	PRIJEM	PREVOD Z UCTU	3261	28854	\N	WX	55557876
545521	1856	1997-05-08	PRIJEM	PREVOD Z UCTU	3261	27760	\N	WX	55557876
545522	1856	1997-06-08	PRIJEM	PREVOD Z UCTU	3261	26332	\N	WX	55557876
545523	1856	1997-07-08	PRIJEM	PREVOD Z UCTU	3261	26426	\N	WX	55557876
545524	1856	1997-08-08	PRIJEM	PREVOD Z UCTU	3261	27602	\N	WX	55557876
545525	1856	1997-09-08	PRIJEM	PREVOD Z UCTU	3261	28783	\N	WX	55557876
545526	1856	1997-10-08	PRIJEM	PREVOD Z UCTU	3261	29338	\N	WX	55557876
545527	1856	1997-11-08	PRIJEM	PREVOD Z UCTU	3261	30526	\N	WX	55557876
545528	1856	1997-12-08	PRIJEM	PREVOD Z UCTU	3261	30276	\N	WX	55557876
545529	1856	1998-01-08	PRIJEM	PREVOD Z UCTU	3261	30986	\N	WX	55557876
545530	1856	1998-02-08	PRIJEM	PREVOD Z UCTU	3261	29540	\N	WX	55557876
545531	1856	1998-03-08	PRIJEM	PREVOD Z UCTU	3261	30728	\N	WX	55557876
545532	1856	1998-04-08	PRIJEM	PREVOD Z UCTU	3261	30810	\N	WX	55557876
545533	1856	1998-05-08	PRIJEM	PREVOD Z UCTU	3261	32003	\N	WX	55557876
545534	1856	1998-06-08	PRIJEM	PREVOD Z UCTU	3261	33202	\N	WX	55557876
545535	1856	1998-07-08	PRIJEM	PREVOD Z UCTU	3261	28004	\N	WX	55557876
545536	1856	1998-08-08	PRIJEM	PREVOD Z UCTU	3261	29005	\N	WX	55557876
545537	1856	1998-09-08	PRIJEM	PREVOD Z UCTU	3261	28927	\N	WX	55557876
545538	1856	1998-10-08	PRIJEM	PREVOD Z UCTU	3261	30113	\N	WX	55557876
545539	1856	1998-11-08	PRIJEM	PREVOD Z UCTU	3261	31303	\N	WX	55557876
545540	1856	1998-12-08	PRIJEM	PREVOD Z UCTU	3261	32498	\N	WX	55557876
545552	1856	1994-12-07	VYDAJ	PREVOD NA UCET	725	14746	\N	MN	85599320
545553	1856	1995-01-07	VYDAJ	PREVOD NA UCET	725	14836	\N	MN	85599320
545554	1856	1995-02-07	VYDAJ	PREVOD NA UCET	725	14595	\N	MN	85599320
545555	1856	1995-03-07	VYDAJ	PREVOD NA UCET	725	15735	\N	MN	85599320
545556	1856	1995-04-07	VYDAJ	PREVOD NA UCET	725	16881	\N	MN	85599320
545557	1856	1995-05-07	VYDAJ	PREVOD NA UCET	725	16319	\N	MN	85599320
545558	1856	1995-06-07	VYDAJ	PREVOD NA UCET	725	17467	\N	MN	85599320
545559	1856	1995-07-07	VYDAJ	PREVOD NA UCET	725	17266	\N	MN	85599320
545560	1856	1995-08-07	VYDAJ	PREVOD NA UCET	725	16403	\N	MN	85599320
545561	1856	1995-09-07	VYDAJ	PREVOD NA UCET	725	17552	\N	MN	85599320
545562	1856	1995-10-07	VYDAJ	PREVOD NA UCET	725	18705	\N	MN	85599320
545563	1856	1995-11-07	VYDAJ	PREVOD NA UCET	725	19862	\N	MN	85599320
545564	1856	1995-12-07	VYDAJ	PREVOD NA UCET	725	20515	\N	MN	85599320
545565	1856	1996-01-07	VYDAJ	PREVOD NA UCET	725	21681	\N	MN	85599320
545566	1856	1996-02-07	VYDAJ	PREVOD NA UCET	725	21050	\N	MN	85599320
545567	1856	1996-03-07	VYDAJ	PREVOD NA UCET	725	22218	\N	MN	85599320
545568	1856	1996-04-07	VYDAJ	PREVOD NA UCET	725	23390	\N	MN	85599320
545569	1856	1996-05-07	VYDAJ	PREVOD NA UCET	725	24567	\N	MN	85599320
545570	1856	1996-06-07	VYDAJ	PREVOD NA UCET	725	24549	\N	MN	85599320
545571	1856	1996-07-07	VYDAJ	PREVOD NA UCET	725	20318	\N	MN	85599320
545572	1856	1996-08-07	VYDAJ	PREVOD NA UCET	725	20222	\N	MN	85599320
545573	1856	1996-09-07	VYDAJ	PREVOD NA UCET	725	21385	\N	MN	85599320
545574	1856	1996-10-07	VYDAJ	PREVOD NA UCET	725	22554	\N	MN	85599320
545575	1856	1996-11-07	VYDAJ	PREVOD NA UCET	725	23728	\N	MN	85599320
545576	1856	1996-12-07	VYDAJ	PREVOD NA UCET	725	23706	\N	MN	85599320
545577	1856	1997-01-07	VYDAJ	PREVOD NA UCET	725	22063	\N	MN	85599320
545578	1856	1997-02-07	VYDAJ	PREVOD NA UCET	725	23236	\N	MN	85599320
545579	1856	1997-03-07	VYDAJ	PREVOD NA UCET	725	24412	\N	MN	85599320
545580	1856	1997-04-07	VYDAJ	PREVOD NA UCET	725	25593	\N	MN	85599320
545581	1856	1997-05-07	VYDAJ	PREVOD NA UCET	725	24499	\N	MN	85599320
545582	1856	1997-06-07	VYDAJ	PREVOD NA UCET	725	23071	\N	MN	85599320
545583	1856	1997-07-07	VYDAJ	PREVOD NA UCET	725	23165	\N	MN	85599320
545584	1856	1997-08-07	VYDAJ	PREVOD NA UCET	725	24341	\N	MN	85599320
545585	1856	1997-09-07	VYDAJ	PREVOD NA UCET	725	25522	\N	MN	85599320
545586	1856	1997-10-07	VYDAJ	PREVOD NA UCET	725	26077	\N	MN	85599320
545587	1856	1997-11-07	VYDAJ	PREVOD NA UCET	725	27265	\N	MN	85599320
545588	1856	1997-12-07	VYDAJ	PREVOD NA UCET	725	27015	\N	MN	85599320
545589	1856	1998-01-07	VYDAJ	PREVOD NA UCET	725	27725	\N	MN	85599320
545590	1856	1998-02-07	VYDAJ	PREVOD NA UCET	725	26279	\N	MN	85599320
545591	1856	1998-03-07	VYDAJ	PREVOD NA UCET	725	27467	\N	MN	85599320
545592	1856	1998-04-07	VYDAJ	PREVOD NA UCET	725	27549	\N	MN	85599320
545593	1856	1998-05-07	VYDAJ	PREVOD NA UCET	725	28742	\N	MN	85599320
545594	1856	1998-06-07	VYDAJ	PREVOD NA UCET	725	29941	\N	MN	85599320
545595	1856	1998-07-07	VYDAJ	PREVOD NA UCET	725	24743	\N	MN	85599320
545596	1856	1998-08-07	VYDAJ	PREVOD NA UCET	725	25744	\N	MN	85599320
545597	1856	1998-09-07	VYDAJ	PREVOD NA UCET	725	25666	\N	MN	85599320
545598	1856	1998-10-07	VYDAJ	PREVOD NA UCET	725	26852	\N	MN	85599320
545599	1856	1998-11-07	VYDAJ	PREVOD NA UCET	725	28042	\N	MN	85599320
545600	1856	1998-12-07	VYDAJ	PREVOD NA UCET	725	29237	\N	MN	85599320
545611	1856	1994-11-13	VYDAJ	PREVOD NA UCET	1449	15656	\N	WX	413990
545612	1856	1994-12-13	VYDAJ	PREVOD NA UCET	1449	16558	\N	WX	413990
545613	1856	1995-01-13	VYDAJ	PREVOD NA UCET	1449	16648	\N	WX	413990
545614	1856	1995-02-13	VYDAJ	PREVOD NA UCET	1449	16407	\N	WX	413990
545615	1856	1995-03-13	VYDAJ	PREVOD NA UCET	1449	17547	\N	WX	413990
545616	1856	1995-04-13	VYDAJ	PREVOD NA UCET	1449	18423	\N	WX	413990
545617	1856	1995-05-13	VYDAJ	PREVOD NA UCET	1449	18131	\N	WX	413990
545618	1856	1995-06-13	VYDAJ	PREVOD NA UCET	1449	17929	\N	WX	413990
545619	1856	1995-07-13	VYDAJ	PREVOD NA UCET	1449	18298	\N	WX	413990
545620	1856	1995-08-13	VYDAJ	PREVOD NA UCET	1449	18215	\N	WX	413990
545621	1856	1995-09-13	VYDAJ	PREVOD NA UCET	1449	19364	\N	WX	413990
545622	1856	1995-10-13	VYDAJ	PREVOD NA UCET	1449	20517	\N	WX	413990
545623	1856	1995-11-13	VYDAJ	PREVOD NA UCET	1449	21674	\N	WX	413990
545624	1856	1995-12-13	VYDAJ	PREVOD NA UCET	1449	22327	\N	WX	413990
545625	1856	1996-01-13	VYDAJ	PREVOD NA UCET	1449	23493	\N	WX	413990
545626	1856	1996-02-13	VYDAJ	PREVOD NA UCET	1449	22862	\N	WX	413990
545627	1856	1996-03-13	VYDAJ	PREVOD NA UCET	1449	24030	\N	WX	413990
545628	1856	1996-04-13	VYDAJ	PREVOD NA UCET	1449	25202	\N	WX	413990
545629	1856	1996-05-13	VYDAJ	PREVOD NA UCET	1449	26379	\N	WX	413990
545630	1856	1996-06-13	VYDAJ	PREVOD NA UCET	1449	21681	\N	WX	413990
545631	1856	1996-07-13	VYDAJ	PREVOD NA UCET	1449	22130	\N	WX	413990
545632	1856	1996-08-13	VYDAJ	PREVOD NA UCET	1449	22034	\N	WX	413990
545633	1856	1996-09-13	VYDAJ	PREVOD NA UCET	1449	23197	\N	WX	413990
545634	1856	1996-10-13	VYDAJ	PREVOD NA UCET	1449	24366	\N	WX	413990
545635	1856	1996-11-13	VYDAJ	PREVOD NA UCET	1449	25540	\N	WX	413990
545636	1856	1996-12-13	VYDAJ	PREVOD NA UCET	1449	25158	\N	WX	413990
545637	1856	1997-01-13	VYDAJ	PREVOD NA UCET	1449	23875	\N	WX	413990
545638	1856	1997-02-13	VYDAJ	PREVOD NA UCET	1449	25048	\N	WX	413990
545639	1856	1997-03-13	VYDAJ	PREVOD NA UCET	1449	26224	\N	WX	413990
545640	1856	1997-04-13	VYDAJ	PREVOD NA UCET	1449	27405	\N	WX	413990
545641	1856	1997-05-13	VYDAJ	PREVOD NA UCET	1449	26311	\N	WX	413990
545642	1856	1997-06-13	VYDAJ	PREVOD NA UCET	1449	23803	\N	WX	413990
545643	1856	1997-07-13	VYDAJ	PREVOD NA UCET	1449	24977	\N	WX	413990
545644	1856	1997-08-13	VYDAJ	PREVOD NA UCET	1449	26153	\N	WX	413990
545645	1856	1997-09-13	VYDAJ	PREVOD NA UCET	1449	27334	\N	WX	413990
545646	1856	1997-10-13	VYDAJ	PREVOD NA UCET	1449	27889	\N	WX	413990
545647	1856	1997-11-13	VYDAJ	PREVOD NA UCET	1449	29077	\N	WX	413990
545648	1856	1997-12-13	VYDAJ	PREVOD NA UCET	1449	28347	\N	WX	413990
545649	1856	1998-01-13	VYDAJ	PREVOD NA UCET	1449	29537	\N	WX	413990
545650	1856	1998-02-13	VYDAJ	PREVOD NA UCET	1449	28091	\N	WX	413990
545651	1856	1998-03-13	VYDAJ	PREVOD NA UCET	1449	29279	\N	WX	413990
545652	1856	1998-04-13	VYDAJ	PREVOD NA UCET	1449	29361	\N	WX	413990
545653	1856	1998-05-13	VYDAJ	PREVOD NA UCET	1449	30554	\N	WX	413990
545654	1856	1998-06-13	VYDAJ	PREVOD NA UCET	1449	30523	\N	WX	413990
545655	1856	1998-07-13	VYDAJ	PREVOD NA UCET	1449	26555	\N	WX	413990
545656	1856	1998-08-13	VYDAJ	PREVOD NA UCET	1449	26296	\N	WX	413990
545657	1856	1998-09-13	VYDAJ	PREVOD NA UCET	1449	27478	\N	WX	413990
545658	1856	1998-10-13	VYDAJ	PREVOD NA UCET	1449	28664	\N	WX	413990
545659	1856	1998-11-13	VYDAJ	PREVOD NA UCET	1449	29854	\N	WX	413990
545660	1856	1998-12-13	VYDAJ	PREVOD NA UCET	1449	31049	\N	WX	413990
545663	1856	1996-06-11	VYDAJ	VYBER	4680	23130	\N	\N	\N
545664	1856	1997-06-01	VYDAJ	VYBER	2610	23796	\N	\N	\N
545665	1856	1998-06-18	VYDAJ	VYBER	5160	25363	\N	\N	\N
545667	1856	1995-01-14	VYDAJ	VYBER	1380	15268	\N	\N	\N
545668	1856	1996-01-13	VYDAJ	VYBER	1800	21693	\N	\N	\N
545669	1856	1997-01-04	VYDAJ	VYBER	2010	22788	\N	\N	\N
545670	1856	1998-01-30	VYDAJ	VYBER	2640	26897	\N	\N	\N
545671	1856	1994-12-06	VYDAJ	VYBER	210	15471	\N	\N	\N
545672	1856	1995-12-02	VYDAJ	VYBER	510	21240	\N	\N	\N
545673	1856	1996-12-13	VYDAJ	VYBER	360	26607	\N	\N	\N
545674	1856	1997-12-11	VYDAJ	VYBER	480	29796	\N	\N	\N
545675	1856	1998-12-22	VYDAJ	VYBER	300	30749	\N	\N	\N
545679	1856	1994-12-26	VYDAJ	VYBER	1050	15508	\N	\N	\N
545681	1856	1995-07-11	VYDAJ	VYBER	780	19747	\N	\N	\N
545682	1856	1995-04-11	VYDAJ	VYBER	270	19872	\N	\N	\N
545683	1856	1995-07-21	VYDAJ	VYBER	1230	17068	\N	\N	\N
545684	1856	1995-04-24	VYDAJ	VYBER	1440	16983	\N	\N	\N
545685	1856	1995-06-11	VYDAJ	VYBER	1350	19378	\N	\N	\N
545686	1856	1996-12-29	VYDAJ	VYBER	450	24708	\N	\N	\N
545687	1856	1996-11-30	VYDAJ	VYBER	1200	24446	\N	\N	\N
545688	1856	1996-06-02	VYDAJ	VYBER	240	26234	\N	\N	\N
545689	1856	1996-07-26	VYDAJ	VYBER	1260	20870	\N	\N	\N
545690	1856	1996-06-05	VYDAJ	VYBER	960	25274	\N	\N	\N
545691	1856	1996-06-24	VYDAJ	VYBER	720	20961	\N	\N	\N
545692	1856	1997-06-09	VYDAJ	VYBER	1080	25252	\N	\N	\N
545693	1856	1997-11-18	VYDAJ	VYBER	1440	27637	\N	\N	\N
545694	1856	1997-05-01	VYDAJ	VYBER	1470	25224	\N	\N	\N
545695	1856	1997-10-02	VYDAJ	VYBER	630	26802	\N	\N	\N
545696	1856	1997-04-25	VYDAJ	VYBER	810	26595	\N	\N	\N
545697	1856	1998-03-20	VYDAJ	VYBER	1110	28169	\N	\N	\N
545698	1856	1998-06-13	VYDAJ	VYBER	1230	31972	\N	\N	\N
545699	1856	1998-08-11	VYDAJ	VYBER	1260	27745	\N	\N	\N
545700	1856	1998-07-18	VYDAJ	VYBER	180	26375	\N	\N	\N
545712	1856	1994-11-30	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
545713	1856	1994-12-31	VYDAJ	VYBER	15	15561	SLUZBY	\N	\N
545714	1856	1995-01-31	VYDAJ	VYBER	15	15320	SLUZBY	\N	\N
545715	1856	1995-02-28	VYDAJ	VYBER	15	16460	SLUZBY	\N	\N
545716	1856	1995-03-31	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
545717	1856	1995-04-30	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
545718	1856	1995-05-31	VYDAJ	VYBER	15	18192	SLUZBY	\N	\N
545719	1856	1995-06-30	VYDAJ	VYBER	15	17991	SLUZBY	\N	\N
545720	1856	1995-07-31	VYDAJ	VYBER	15	17128	SLUZBY	\N	\N
545721	1856	1995-08-31	VYDAJ	VYBER	15	18277	SLUZBY	\N	\N
545722	1856	1995-09-30	VYDAJ	VYBER	15	19430	SLUZBY	\N	\N
545723	1856	1995-10-31	VYDAJ	VYBER	15	20587	SLUZBY	\N	\N
545724	1856	1995-11-30	VYDAJ	VYBER	15	21750	SLUZBY	\N	\N
545725	1856	1995-12-31	VYDAJ	VYBER	15	22406	SLUZBY	\N	\N
545726	1856	1996-01-31	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
545727	1856	1996-02-29	VYDAJ	VYBER	15	22943	SLUZBY	\N	\N
545728	1856	1996-03-31	VYDAJ	VYBER	15	24115	SLUZBY	\N	\N
545729	1856	1996-04-30	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
545730	1856	1996-05-31	VYDAJ	VYBER	15	26474	SLUZBY	\N	\N
545731	1856	1996-06-30	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
545732	1856	1996-07-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
545733	1856	1996-08-31	VYDAJ	VYBER	15	22110	SLUZBY	\N	\N
545734	1856	1996-09-30	VYDAJ	VYBER	15	23279	SLUZBY	\N	\N
545735	1856	1996-10-31	VYDAJ	VYBER	15	24453	SLUZBY	\N	\N
545736	1856	1996-11-30	VYDAJ	VYBER	15	24431	SLUZBY	\N	\N
545737	1856	1996-12-31	VYDAJ	VYBER	15	24798	SLUZBY	\N	\N
545738	1856	1997-01-31	VYDAJ	VYBER	15	23961	SLUZBY	\N	\N
545739	1856	1997-02-28	VYDAJ	VYBER	15	25137	SLUZBY	\N	\N
545740	1856	1997-03-31	VYDAJ	VYBER	15	26318	SLUZBY	\N	\N
545741	1856	1997-04-30	VYDAJ	VYBER	15	26694	SLUZBY	\N	\N
545742	1856	1997-05-31	VYDAJ	VYBER	15	26406	SLUZBY	\N	\N
545743	1856	1997-06-30	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
545744	1856	1997-07-31	VYDAJ	VYBER	15	25066	SLUZBY	\N	\N
545745	1856	1997-08-31	VYDAJ	VYBER	15	26247	SLUZBY	\N	\N
545746	1856	1997-09-30	VYDAJ	VYBER	15	27432	SLUZBY	\N	\N
545747	1856	1997-10-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
545748	1856	1997-11-30	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
545749	1856	1997-12-31	VYDAJ	VYBER	15	28450	SLUZBY	\N	\N
545750	1856	1998-01-31	VYDAJ	VYBER	15	27004	SLUZBY	\N	\N
545751	1856	1998-02-28	VYDAJ	VYBER	15	28192	SLUZBY	\N	\N
545752	1856	1998-03-31	VYDAJ	VYBER	15	28274	SLUZBY	\N	\N
545753	1856	1998-04-30	VYDAJ	VYBER	15	29467	SLUZBY	\N	\N
545754	1856	1998-05-31	VYDAJ	VYBER	15	30666	SLUZBY	\N	\N
545755	1856	1998-06-30	VYDAJ	VYBER	15	25468	SLUZBY	\N	\N
545756	1856	1998-07-31	VYDAJ	VYBER	15	26469	SLUZBY	\N	\N
545757	1856	1998-08-31	VYDAJ	VYBER	15	26391	SLUZBY	\N	\N
545758	1856	1998-09-30	VYDAJ	VYBER	15	27577	SLUZBY	\N	\N
545759	1856	1998-10-31	VYDAJ	VYBER	15	28767	SLUZBY	\N	\N
545760	1856	1998-11-30	VYDAJ	VYBER	15	29962	SLUZBY	\N	\N
545811	1857	1997-08-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
545820	1857	1997-09-05	PRIJEM	VKLAD	6862	7962	\N	\N	\N
545821	1857	1997-10-05	PRIJEM	VKLAD	6862	23256	\N	\N	\N
545822	1857	1997-11-05	PRIJEM	VKLAD	6862	28497	\N	\N	\N
545823	1857	1997-12-05	PRIJEM	VKLAD	10293	36789	\N	\N	\N
545824	1857	1998-01-05	PRIJEM	VKLAD	6862	35666	\N	\N	\N
545825	1857	1998-02-05	PRIJEM	VKLAD	6862	32779	\N	\N	\N
545826	1857	1998-03-05	PRIJEM	VKLAD	6862	38375	\N	\N	\N
545827	1857	1998-04-05	PRIJEM	VKLAD	6862	33578	\N	\N	\N
545828	1857	1998-05-05	PRIJEM	VKLAD	6862	41687	\N	\N	\N
545829	1857	1998-06-05	PRIJEM	VKLAD	10293	50050	\N	\N	\N
545830	1857	1998-07-05	PRIJEM	VKLAD	6862	49401	\N	\N	\N
545831	1857	1998-08-05	PRIJEM	VKLAD	6862	45344	\N	\N	\N
545832	1857	1998-09-05	PRIJEM	VKLAD	6862	50692	\N	\N	\N
545833	1857	1998-10-05	PRIJEM	VKLAD	6862	53256	\N	\N	\N
545834	1857	1998-11-05	PRIJEM	VKLAD	6862	58237	\N	\N	\N
545835	1857	1998-12-05	PRIJEM	VKLAD	10293	61859	\N	\N	\N
545848	1857	1998-01-07	VYDAJ	PREVOD NA UCET	4295	30651	SIPO	CD	39414250
545849	1857	1998-02-07	VYDAJ	PREVOD NA UCET	4295	28484	SIPO	CD	39414250
545850	1857	1998-03-07	VYDAJ	PREVOD NA UCET	4295	34080	SIPO	CD	39414250
545851	1857	1998-04-07	VYDAJ	PREVOD NA UCET	4295	29283	SIPO	CD	39414250
545852	1857	1998-05-07	VYDAJ	PREVOD NA UCET	4295	37392	SIPO	CD	39414250
545853	1857	1998-06-07	VYDAJ	PREVOD NA UCET	4295	45755	SIPO	CD	39414250
545854	1857	1998-07-07	VYDAJ	PREVOD NA UCET	4295	45106	SIPO	CD	39414250
545855	1857	1998-08-07	VYDAJ	PREVOD NA UCET	4295	41049	SIPO	CD	39414250
545856	1857	1998-09-07	VYDAJ	PREVOD NA UCET	4295	46397	SIPO	CD	39414250
545857	1857	1998-10-07	VYDAJ	PREVOD NA UCET	4295	48961	SIPO	CD	39414250
545858	1857	1998-11-07	VYDAJ	PREVOD NA UCET	4295	53942	SIPO	CD	39414250
545859	1857	1998-12-07	VYDAJ	PREVOD NA UCET	4295	57564	SIPO	CD	39414250
545872	1857	1998-01-08	VYDAJ	PREVOD NA UCET	279	30372	 	GH	97685545
545873	1857	1998-02-08	VYDAJ	PREVOD NA UCET	279	28205	 	GH	97685545
545874	1857	1998-03-08	VYDAJ	PREVOD NA UCET	279	29121	 	GH	97685545
545875	1857	1998-04-08	VYDAJ	PREVOD NA UCET	279	29004	 	GH	97685545
545876	1857	1998-05-08	VYDAJ	PREVOD NA UCET	279	37113	 	GH	97685545
545877	1857	1998-06-08	VYDAJ	PREVOD NA UCET	279	45476	 	GH	97685545
545878	1857	1998-07-08	VYDAJ	PREVOD NA UCET	279	44827	 	GH	97685545
545879	1857	1998-08-08	VYDAJ	PREVOD NA UCET	279	40770	 	GH	97685545
545880	1857	1998-09-08	VYDAJ	PREVOD NA UCET	279	46118	 	GH	97685545
545881	1857	1998-10-08	VYDAJ	PREVOD NA UCET	279	48682	 	GH	97685545
545882	1857	1998-11-08	VYDAJ	PREVOD NA UCET	279	53663	 	GH	97685545
545883	1857	1998-12-08	VYDAJ	PREVOD NA UCET	279	57285	 	GH	97685545
545887	1857	1998-12-04	VYDAJ	VYBER	800	51566	\N	\N	\N
545894	1857	1998-01-14	VYDAJ	VYBER	1800	28572	\N	\N	\N
545895	1857	1998-01-30	VYDAJ	VYBER	840	25812	\N	\N	\N
545897	1857	1998-01-22	VYDAJ	VYBER	2760	26652	\N	\N	\N
545898	1857	1998-01-14	VYDAJ	VYBER	2760	25812	\N	\N	\N
545899	1857	1998-01-06	VYDAJ	VYBER	720	34946	\N	\N	\N
545905	1857	1998-03-07	VYDAJ	VYBER	4680	29400	\N	\N	\N
545906	1857	1998-04-03	VYDAJ	VYBER	4920	26716	\N	\N	\N
545920	1857	1998-01-31	VYDAJ	VYBER	15	25917	SLUZBY	\N	\N
545921	1857	1998-02-28	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
545922	1857	1998-03-31	VYDAJ	VYBER	15	31636	SLUZBY	\N	\N
545923	1857	1998-04-30	VYDAJ	VYBER	15	34825	SLUZBY	\N	\N
545924	1857	1998-05-31	VYDAJ	VYBER	15	39757	SLUZBY	\N	\N
545925	1857	1998-06-30	VYDAJ	VYBER	15	42539	SLUZBY	\N	\N
545926	1857	1998-07-31	VYDAJ	VYBER	15	38482	SLUZBY	\N	\N
545927	1857	1998-08-31	VYDAJ	VYBER	15	43830	SLUZBY	\N	\N
545928	1857	1998-09-30	VYDAJ	VYBER	15	46394	SLUZBY	\N	\N
545929	1857	1998-10-31	VYDAJ	VYBER	15	51375	SLUZBY	\N	\N
545930	1857	1998-11-30	VYDAJ	VYBER	15	52366	SLUZBY	\N	\N
545931	1857	1997-09-17	PRIJEM	VKLAD	8400	16362	\N	\N	\N
545932	1857	1997-10-17	VYDAJ	VYBER	1700	21556	\N	\N	\N
545933	1857	1997-11-16	VYDAJ	VYBER	2100	26397	\N	\N	\N
545934	1857	1997-12-16	VYDAJ	VYBER	8100	28689	\N	\N	\N
545935	1857	1998-01-15	PRIJEM	VKLAD	3600	29412	\N	\N	\N
545936	1857	1998-02-14	PRIJEM	VKLAD	3200	31405	\N	\N	\N
545937	1857	1998-03-16	PRIJEM	VKLAD	2400	31521	\N	\N	\N
545938	1857	1998-04-15	PRIJEM	VKLAD	5700	34704	\N	\N	\N
545939	1857	1998-05-15	PRIJEM	VKLAD	2500	39613	\N	\N	\N
545940	1857	1998-06-14	VYDAJ	VYBER	3100	42376	\N	\N	\N
545941	1857	1998-07-14	VYDAJ	VYBER	6500	38327	\N	\N	\N
545942	1857	1998-08-13	PRIJEM	VKLAD	2900	43670	\N	\N	\N
545943	1857	1998-09-12	PRIJEM	VKLAD	100	46218	\N	\N	\N
545944	1857	1998-10-12	PRIJEM	VKLAD	2500	51182	\N	\N	\N
545945	1857	1998-11-11	VYDAJ	VYBER	1500	52163	\N	\N	\N
545962	1858	1995-02-18	PRIJEM	VKLAD	900	900	\N	\N	\N
545965	1858	1995-03-09	PRIJEM	PREVOD Z UCTU	6648	7548	DUCHOD	MN	92404341
545966	1858	1995-04-09	PRIJEM	PREVOD Z UCTU	6648	14196	DUCHOD	MN	92404341
545967	1858	1995-05-09	PRIJEM	PREVOD Z UCTU	6648	20844	DUCHOD	MN	92404341
545968	1858	1995-06-09	PRIJEM	PREVOD Z UCTU	6648	27492	DUCHOD	MN	92404341
545969	1858	1995-07-09	PRIJEM	PREVOD Z UCTU	6648	33989	DUCHOD	MN	92404341
545970	1858	1995-08-09	PRIJEM	PREVOD Z UCTU	6648	35879	DUCHOD	MN	92404341
545971	1858	1995-09-09	PRIJEM	PREVOD Z UCTU	6648	31170	DUCHOD	MN	92404341
545972	1858	1995-10-09	PRIJEM	PREVOD Z UCTU	6648	27418	DUCHOD	MN	92404341
545973	1858	1995-11-09	PRIJEM	PREVOD Z UCTU	6648	29881	DUCHOD	MN	92404341
545974	1858	1995-12-09	PRIJEM	PREVOD Z UCTU	6648	26494	DUCHOD	MN	92404341
545975	1858	1996-01-09	PRIJEM	PREVOD Z UCTU	6648	27953	DUCHOD	MN	92404341
545976	1858	1996-02-09	PRIJEM	PREVOD Z UCTU	6648	19649	DUCHOD	MN	92404341
545977	1858	1996-03-09	PRIJEM	PREVOD Z UCTU	6648	22582	DUCHOD	MN	92404341
545978	1858	1996-04-09	PRIJEM	PREVOD Z UCTU	6648	25526	DUCHOD	MN	92404341
545979	1858	1996-05-09	PRIJEM	PREVOD Z UCTU	6648	28483	DUCHOD	MN	92404341
545980	1858	1996-06-09	PRIJEM	PREVOD Z UCTU	6648	31452	DUCHOD	MN	92404341
545981	1858	1996-07-09	PRIJEM	PREVOD Z UCTU	6648	29442	DUCHOD	MN	92404341
545982	1858	1996-08-09	PRIJEM	PREVOD Z UCTU	6648	32414	DUCHOD	MN	92404341
545983	1858	1996-09-09	PRIJEM	PREVOD Z UCTU	6648	35400	DUCHOD	MN	92404341
545984	1858	1996-10-09	PRIJEM	PREVOD Z UCTU	6648	35113	DUCHOD	MN	92404341
545985	1858	1996-11-09	PRIJEM	PREVOD Z UCTU	6648	36429	DUCHOD	MN	92404341
545986	1858	1996-12-09	PRIJEM	PREVOD Z UCTU	6648	33517	DUCHOD	MN	92404341
545987	1858	1997-01-09	PRIJEM	PREVOD Z UCTU	6648	27850	DUCHOD	MN	92404341
545988	1858	1997-02-09	PRIJEM	PREVOD Z UCTU	6648	24329	DUCHOD	MN	92404341
545989	1858	1997-03-09	PRIJEM	PREVOD Z UCTU	6648	27283	DUCHOD	MN	92404341
545990	1858	1997-04-09	PRIJEM	PREVOD Z UCTU	6648	30247	DUCHOD	MN	92404341
545991	1858	1997-05-09	PRIJEM	PREVOD Z UCTU	6648	33022	DUCHOD	MN	92404341
545992	1858	1997-06-09	PRIJEM	PREVOD Z UCTU	6648	21761	DUCHOD	MN	92404341
545993	1858	1997-07-09	PRIJEM	PREVOD Z UCTU	6648	24718	DUCHOD	MN	92404341
545994	1858	1997-08-09	PRIJEM	PREVOD Z UCTU	6648	27671	DUCHOD	MN	92404341
545995	1858	1997-09-09	PRIJEM	PREVOD Z UCTU	6648	23591	DUCHOD	MN	92404341
545996	1858	1997-10-09	PRIJEM	PREVOD Z UCTU	6648	26542	DUCHOD	MN	92404341
545997	1858	1997-11-09	PRIJEM	PREVOD Z UCTU	6648	29502	DUCHOD	MN	92404341
545998	1858	1997-12-09	PRIJEM	PREVOD Z UCTU	6648	28042	DUCHOD	MN	92404341
545999	1858	1998-01-09	PRIJEM	PREVOD Z UCTU	6648	29970	DUCHOD	MN	92404341
546000	1858	1998-02-09	PRIJEM	PREVOD Z UCTU	6648	26317	DUCHOD	MN	92404341
546001	1858	1998-03-09	PRIJEM	PREVOD Z UCTU	6648	29276	DUCHOD	MN	92404341
546002	1858	1998-04-09	PRIJEM	PREVOD Z UCTU	6648	32247	DUCHOD	MN	92404341
546003	1858	1998-05-09	PRIJEM	PREVOD Z UCTU	6648	31630	DUCHOD	MN	92404341
546004	1858	1998-06-09	PRIJEM	PREVOD Z UCTU	6648	25162	DUCHOD	MN	92404341
546005	1858	1998-07-09	PRIJEM	PREVOD Z UCTU	6648	28127	DUCHOD	MN	92404341
546006	1858	1998-08-09	PRIJEM	PREVOD Z UCTU	6648	25393	DUCHOD	MN	92404341
546007	1858	1998-09-09	PRIJEM	PREVOD Z UCTU	6648	25071	DUCHOD	MN	92404341
546008	1858	1998-10-09	PRIJEM	PREVOD Z UCTU	6648	26748	DUCHOD	MN	92404341
546009	1858	1998-11-09	PRIJEM	PREVOD Z UCTU	6648	29608	DUCHOD	MN	92404341
546010	1858	1998-12-09	PRIJEM	PREVOD Z UCTU	6648	31680	DUCHOD	MN	92404341
546017	1858	1995-07-10	VYDAJ	PREVOD NA UCET	3764	30225	SIPO	ST	97497385
546018	1858	1995-08-10	VYDAJ	PREVOD NA UCET	3764	32115	SIPO	ST	97497385
546019	1858	1995-09-10	VYDAJ	PREVOD NA UCET	3764	25086	SIPO	ST	97497385
546020	1858	1995-10-10	VYDAJ	PREVOD NA UCET	3764	23654	SIPO	ST	97497385
546021	1858	1995-11-10	VYDAJ	PREVOD NA UCET	3764	26117	SIPO	ST	97497385
546022	1858	1995-12-10	VYDAJ	PREVOD NA UCET	3764	22730	SIPO	ST	97497385
546023	1858	1996-01-10	VYDAJ	PREVOD NA UCET	3764	24189	SIPO	ST	97497385
546024	1858	1996-02-10	VYDAJ	PREVOD NA UCET	3764	15885	SIPO	ST	97497385
546025	1858	1996-03-10	VYDAJ	PREVOD NA UCET	3764	18818	SIPO	ST	97497385
546026	1858	1996-04-10	VYDAJ	PREVOD NA UCET	3764	21762	SIPO	ST	97497385
546027	1858	1996-05-10	VYDAJ	PREVOD NA UCET	3764	24719	SIPO	ST	97497385
546028	1858	1996-06-10	VYDAJ	PREVOD NA UCET	3764	27688	SIPO	ST	97497385
546029	1858	1996-07-10	VYDAJ	PREVOD NA UCET	3764	25678	SIPO	ST	97497385
546030	1858	1996-08-10	VYDAJ	PREVOD NA UCET	3764	28650	SIPO	ST	97497385
546031	1858	1996-09-10	VYDAJ	PREVOD NA UCET	3764	31636	SIPO	ST	97497385
546032	1858	1996-10-10	VYDAJ	PREVOD NA UCET	3764	31349	SIPO	ST	97497385
546033	1858	1996-11-10	VYDAJ	PREVOD NA UCET	3764	28065	SIPO	ST	97497385
546034	1858	1996-12-10	VYDAJ	PREVOD NA UCET	3764	26953	SIPO	ST	97497385
546035	1858	1997-01-10	VYDAJ	PREVOD NA UCET	3764	24086	SIPO	ST	97497385
546036	1858	1997-02-10	VYDAJ	PREVOD NA UCET	3764	20565	SIPO	ST	97497385
546037	1858	1997-03-10	VYDAJ	PREVOD NA UCET	3764	23519	SIPO	ST	97497385
546038	1858	1997-04-10	VYDAJ	PREVOD NA UCET	3764	26483	SIPO	ST	97497385
546039	1858	1997-05-10	VYDAJ	PREVOD NA UCET	3764	29258	SIPO	ST	97497385
546040	1858	1997-06-10	VYDAJ	PREVOD NA UCET	3764	17997	SIPO	ST	97497385
546041	1858	1997-07-10	VYDAJ	PREVOD NA UCET	3764	20954	SIPO	ST	97497385
546042	1858	1997-08-10	VYDAJ	PREVOD NA UCET	3764	23427	SIPO	ST	97497385
546043	1858	1997-09-10	VYDAJ	PREVOD NA UCET	3764	19827	SIPO	ST	97497385
546044	1858	1997-10-10	VYDAJ	PREVOD NA UCET	3764	22778	SIPO	ST	97497385
546045	1858	1997-11-10	VYDAJ	PREVOD NA UCET	3764	25738	SIPO	ST	97497385
546046	1858	1997-12-10	VYDAJ	PREVOD NA UCET	3764	24278	SIPO	ST	97497385
546047	1858	1998-01-10	VYDAJ	PREVOD NA UCET	3764	26206	SIPO	ST	97497385
546048	1858	1998-02-10	VYDAJ	PREVOD NA UCET	3764	22553	SIPO	ST	97497385
546049	1858	1998-03-10	VYDAJ	PREVOD NA UCET	3764	25512	SIPO	ST	97497385
546050	1858	1998-04-10	VYDAJ	PREVOD NA UCET	3764	28483	SIPO	ST	97497385
546051	1858	1998-05-10	VYDAJ	PREVOD NA UCET	3764	27866	SIPO	ST	97497385
546052	1858	1998-06-10	VYDAJ	PREVOD NA UCET	3764	21398	SIPO	ST	97497385
546053	1858	1998-07-10	VYDAJ	PREVOD NA UCET	3764	24363	SIPO	ST	97497385
546054	1858	1998-08-10	VYDAJ	PREVOD NA UCET	3764	21629	SIPO	ST	97497385
546055	1858	1998-09-10	VYDAJ	PREVOD NA UCET	3764	21307	SIPO	ST	97497385
546056	1858	1998-10-10	VYDAJ	PREVOD NA UCET	3764	22984	SIPO	ST	97497385
546057	1858	1998-11-10	VYDAJ	PREVOD NA UCET	3764	25844	SIPO	ST	97497385
546058	1858	1998-12-10	VYDAJ	PREVOD NA UCET	3764	25836	SIPO	ST	97497385
546061	1858	1997-06-07	VYDAJ	VYBER	14250	15113	\N	\N	\N
546062	1858	1998-06-02	VYDAJ	VYBER	9450	18514	\N	\N	\N
546064	1858	1996-01-15	VYDAJ	VYBER	2250	19339	\N	\N	\N
546065	1858	1997-01-01	VYDAJ	VYBER	3850	21762	\N	\N	\N
546066	1858	1998-01-22	VYDAJ	VYBER	700	22546	\N	\N	\N
546067	1858	1995-12-06	VYDAJ	VYBER	850	19846	\N	\N	\N
546068	1858	1996-12-06	VYDAJ	VYBER	1300	26869	\N	\N	\N
546069	1858	1997-12-06	VYDAJ	VYBER	1150	21394	\N	\N	\N
546070	1858	1998-12-22	VYDAJ	VYBER	1250	24586	\N	\N	\N
546077	1858	1996-01-30	VYDAJ	VYBER	800	13499	\N	\N	\N
546078	1858	1996-01-22	VYDAJ	VYBER	1120	14299	\N	\N	\N
546079	1858	1996-01-19	VYDAJ	VYBER	2320	15419	\N	\N	\N
546080	1858	1996-01-18	VYDAJ	VYBER	1600	17739	\N	\N	\N
546082	1858	1996-01-12	VYDAJ	VYBER	1600	22589	\N	\N	\N
546083	1858	1997-01-12	VYDAJ	VYBER	800	23286	\N	\N	\N
546084	1858	1997-01-15	VYDAJ	VYBER	1280	22006	\N	\N	\N
546085	1858	1997-01-01	VYDAJ	VYBER	1440	25612	\N	\N	\N
546086	1858	1997-01-24	VYDAJ	VYBER	2320	19046	\N	\N	\N
546087	1858	1997-01-24	VYDAJ	VYBER	640	21366	\N	\N	\N
546088	1858	1997-01-07	VYDAJ	VYBER	560	21202	\N	\N	\N
546089	1858	1998-01-16	VYDAJ	VYBER	2000	24206	\N	\N	\N
546090	1858	1998-01-27	VYDAJ	VYBER	960	19586	\N	\N	\N
546091	1858	1998-01-25	VYDAJ	VYBER	880	20546	\N	\N	\N
546092	1858	1998-01-01	VYDAJ	VYBER	1040	23322	\N	\N	\N
546093	1858	1998-01-20	VYDAJ	VYBER	960	23246	\N	\N	\N
546094	1858	1998-01-24	VYDAJ	VYBER	1120	21426	\N	\N	\N
546095	1858	1995-09-09	VYDAJ	VYBER	2320	28850	\N	\N	\N
546098	1858	1995-09-06	VYDAJ	VYBER	3200	24522	\N	\N	\N
546099	1858	1996-06-24	VYDAJ	VYBER	1280	22708	\N	\N	\N
546100	1858	1996-02-06	VYDAJ	VYBER	560	13001	\N	\N	\N
546101	1858	1996-09-24	VYDAJ	VYBER	2880	28356	\N	\N	\N
546102	1858	1996-10-28	VYDAJ	VYBER	880	29669	\N	\N	\N
546104	1858	1997-08-09	VYDAJ	VYBER	480	27191	\N	\N	\N
546105	1858	1997-09-05	VYDAJ	VYBER	2560	16943	\N	\N	\N
546106	1858	1997-09-04	VYDAJ	VYBER	2080	19503	\N	\N	\N
546107	1858	1997-11-25	VYDAJ	VYBER	3280	22458	\N	\N	\N
546108	1858	1997-08-14	VYDAJ	VYBER	1920	21507	\N	\N	\N
546109	1858	1997-02-03	VYDAJ	VYBER	1440	17681	\N	\N	\N
546110	1858	1998-04-30	VYDAJ	VYBER	3600	24997	\N	\N	\N
546111	1858	1998-09-22	VYDAJ	VYBER	1280	20027	\N	\N	\N
546112	1858	1998-07-30	VYDAJ	VYBER	2080	22283	\N	\N	\N
546113	1858	1998-08-07	VYDAJ	VYBER	1520	18745	\N	\N	\N
546114	1858	1998-09-07	VYDAJ	VYBER	3280	18423	\N	\N	\N
546115	1858	1998-12-09	VYDAJ	VYBER	2080	29600	\N	\N	\N
546123	1858	1995-07-31	VYDAJ	VYBER	15	29231	SLUZBY	\N	\N
546124	1858	1995-08-31	VYDAJ	VYBER	15	27722	SLUZBY	\N	\N
546125	1858	1995-09-30	VYDAJ	VYBER	15	20770	SLUZBY	\N	\N
546126	1858	1995-10-31	VYDAJ	VYBER	15	23233	SLUZBY	\N	\N
546127	1858	1995-11-30	VYDAJ	VYBER	15	20696	SLUZBY	\N	\N
546128	1858	1995-12-31	VYDAJ	VYBER	15	21305	SLUZBY	\N	\N
546129	1858	1996-01-31	VYDAJ	VYBER	15	13561	SLUZBY	\N	\N
546130	1858	1996-02-29	VYDAJ	VYBER	15	15934	SLUZBY	\N	\N
546131	1858	1996-03-31	VYDAJ	VYBER	15	18878	SLUZBY	\N	\N
546132	1858	1996-04-30	VYDAJ	VYBER	15	21835	SLUZBY	\N	\N
546133	1858	1996-05-31	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
546134	1858	1996-06-30	VYDAJ	VYBER	15	22794	SLUZBY	\N	\N
546135	1858	1996-07-31	VYDAJ	VYBER	15	25766	SLUZBY	\N	\N
546136	1858	1996-08-31	VYDAJ	VYBER	15	28752	SLUZBY	\N	\N
546137	1858	1996-09-30	VYDAJ	VYBER	15	28465	SLUZBY	\N	\N
546138	1858	1996-10-31	VYDAJ	VYBER	15	29781	SLUZBY	\N	\N
546139	1858	1996-11-30	VYDAJ	VYBER	15	28169	SLUZBY	\N	\N
546140	1858	1996-12-31	VYDAJ	VYBER	15	27052	SLUZBY	\N	\N
546141	1858	1997-01-31	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
546142	1858	1997-02-28	VYDAJ	VYBER	15	20635	SLUZBY	\N	\N
546143	1858	1997-03-31	VYDAJ	VYBER	15	23599	SLUZBY	\N	\N
546144	1858	1997-04-30	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
546145	1858	1997-05-31	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
546146	1858	1997-06-30	VYDAJ	VYBER	15	18070	SLUZBY	\N	\N
546147	1858	1997-07-31	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
546148	1858	1997-08-31	VYDAJ	VYBER	15	21583	SLUZBY	\N	\N
546149	1858	1997-09-30	VYDAJ	VYBER	15	19894	SLUZBY	\N	\N
546150	1858	1997-10-31	VYDAJ	VYBER	15	22854	SLUZBY	\N	\N
546151	1858	1997-11-30	VYDAJ	VYBER	15	22544	SLUZBY	\N	\N
546152	1858	1997-12-31	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
546153	1858	1998-01-31	VYDAJ	VYBER	15	19669	SLUZBY	\N	\N
546154	1858	1998-02-28	VYDAJ	VYBER	15	22628	SLUZBY	\N	\N
546155	1858	1998-03-31	VYDAJ	VYBER	15	25599	SLUZBY	\N	\N
546156	1858	1998-04-30	VYDAJ	VYBER	15	24982	SLUZBY	\N	\N
546157	1858	1998-05-31	VYDAJ	VYBER	15	27964	SLUZBY	\N	\N
546158	1858	1998-06-30	VYDAJ	VYBER	15	21479	SLUZBY	\N	\N
546159	1858	1998-07-31	VYDAJ	VYBER	15	22365	SLUZBY	\N	\N
546160	1858	1998-08-31	VYDAJ	VYBER	15	21703	SLUZBY	\N	\N
546161	1858	1998-09-30	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
546162	1858	1998-10-31	VYDAJ	VYBER	15	22960	SLUZBY	\N	\N
546163	1858	1998-11-30	VYDAJ	VYBER	15	25032	SLUZBY	\N	\N
546164	1858	1995-06-18	VYDAJ	VYBER	200	27292	\N	\N	\N
546165	1858	1995-07-18	VYDAJ	VYBER	1100	29125	\N	\N	\N
546166	1858	1995-08-17	VYDAJ	VYBER	4500	27615	\N	\N	\N
546167	1858	1995-09-16	VYDAJ	VYBER	4400	20686	\N	\N	\N
546168	1858	1995-10-16	VYDAJ	VYBER	500	23154	\N	\N	\N
546169	1858	1995-11-15	VYDAJ	VYBER	5500	20617	\N	\N	\N
546170	1858	1995-12-15	VYDAJ	VYBER	1500	21230	\N	\N	\N
546171	1858	1996-01-14	VYDAJ	VYBER	1000	21589	\N	\N	\N
546172	1858	1996-06-12	VYDAJ	VYBER	3700	23988	\N	\N	\N
546173	1858	1996-09-10	VYDAJ	VYBER	400	31236	\N	\N	\N
546174	1858	1996-10-10	VYDAJ	VYBER	800	30549	\N	\N	\N
546175	1858	1996-11-09	VYDAJ	VYBER	4600	31829	\N	\N	\N
546176	1858	1996-12-09	VYDAJ	VYBER	2800	30717	\N	\N	\N
546177	1858	1997-05-08	VYDAJ	VYBER	200	26374	\N	\N	\N
546178	1858	1998-08-01	VYDAJ	VYBER	2100	20265	\N	\N	\N
546179	1858	1998-10-30	VYDAJ	VYBER	100	22884	\N	\N	\N
546180	1858	1998-11-29	VYDAJ	VYBER	900	24944	\N	\N	\N
546224	1859	1996-02-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
546226	1859	1996-02-10	PRIJEM	PREVOD Z UCTU	6848	7948	DUCHOD	MN	81454109
546227	1859	1996-03-10	PRIJEM	PREVOD Z UCTU	6848	14819	DUCHOD	MN	81454109
546228	1859	1996-04-10	PRIJEM	PREVOD Z UCTU	6848	21700	DUCHOD	MN	81454109
546229	1859	1996-05-10	PRIJEM	PREVOD Z UCTU	6848	27781	DUCHOD	MN	81454109
546230	1859	1996-06-10	PRIJEM	PREVOD Z UCTU	6848	30921	DUCHOD	MN	81454109
546231	1859	1996-07-10	PRIJEM	PREVOD Z UCTU	6848	21082	DUCHOD	MN	81454109
546232	1859	1996-08-10	PRIJEM	PREVOD Z UCTU	6848	24672	DUCHOD	MN	81454109
546233	1859	1996-09-10	PRIJEM	PREVOD Z UCTU	6848	22572	DUCHOD	MN	81454109
546234	1859	1996-10-10	PRIJEM	PREVOD Z UCTU	6848	25168	DUCHOD	MN	81454109
546235	1859	1996-11-10	PRIJEM	PREVOD Z UCTU	6848	23514	DUCHOD	MN	81454109
546236	1859	1996-12-10	PRIJEM	PREVOD Z UCTU	6848	23414	DUCHOD	MN	81454109
546237	1859	1997-01-10	PRIJEM	PREVOD Z UCTU	6848	22321	DUCHOD	MN	81454109
546238	1859	1997-02-10	PRIJEM	PREVOD Z UCTU	6848	17282	DUCHOD	MN	81454109
546239	1859	1997-03-10	PRIJEM	PREVOD Z UCTU	6848	21356	DUCHOD	MN	81454109
546240	1859	1997-04-10	PRIJEM	PREVOD Z UCTU	6848	21346	DUCHOD	MN	81454109
546241	1859	1997-05-10	PRIJEM	PREVOD Z UCTU	6848	24036	DUCHOD	MN	81454109
546242	1859	1997-06-10	PRIJEM	PREVOD Z UCTU	6848	27838	DUCHOD	MN	81454109
546243	1859	1997-07-10	PRIJEM	PREVOD Z UCTU	6848	17936	DUCHOD	MN	81454109
546244	1859	1997-08-10	PRIJEM	PREVOD Z UCTU	6848	18731	DUCHOD	MN	81454109
546245	1859	1997-09-10	PRIJEM	PREVOD Z UCTU	6848	21772	DUCHOD	MN	81454109
546246	1859	1997-10-10	PRIJEM	PREVOD Z UCTU	6848	24463	DUCHOD	MN	81454109
546247	1859	1997-11-10	PRIJEM	PREVOD Z UCTU	6848	24086	DUCHOD	MN	81454109
546248	1859	1997-12-10	PRIJEM	PREVOD Z UCTU	6848	22883	DUCHOD	MN	81454109
546249	1859	1998-01-10	PRIJEM	PREVOD Z UCTU	6848	21105	DUCHOD	MN	81454109
546250	1859	1998-02-10	PRIJEM	PREVOD Z UCTU	6848	17564	DUCHOD	MN	81454109
546251	1859	1998-03-10	PRIJEM	PREVOD Z UCTU	6848	21239	DUCHOD	MN	81454109
546252	1859	1998-04-10	PRIJEM	PREVOD Z UCTU	6848	20624	DUCHOD	MN	81454109
546253	1859	1998-05-10	PRIJEM	PREVOD Z UCTU	6848	20006	DUCHOD	MN	81454109
546254	1859	1998-06-10	PRIJEM	PREVOD Z UCTU	6848	17382	DUCHOD	MN	81454109
546255	1859	1998-07-10	PRIJEM	PREVOD Z UCTU	6848	18152	DUCHOD	MN	81454109
546256	1859	1998-08-10	PRIJEM	PREVOD Z UCTU	6848	19984	DUCHOD	MN	81454109
546257	1859	1998-09-10	PRIJEM	PREVOD Z UCTU	6848	16637	DUCHOD	MN	81454109
546258	1859	1998-10-10	PRIJEM	PREVOD Z UCTU	6848	17986	DUCHOD	MN	81454109
546259	1859	1998-11-10	PRIJEM	PREVOD Z UCTU	6848	18956	DUCHOD	MN	81454109
546260	1859	1998-12-10	PRIJEM	PREVOD Z UCTU	6848	20071	DUCHOD	MN	81454109
546267	1859	1996-07-05	VYDAJ	PREVOD NA UCET	2826	14234	SIPO	WX	63530605
546268	1859	1996-08-05	VYDAJ	PREVOD NA UCET	2826	17824	SIPO	WX	63530605
546269	1859	1996-09-05	VYDAJ	PREVOD NA UCET	2826	15724	SIPO	WX	63530605
546270	1859	1996-10-05	VYDAJ	PREVOD NA UCET	2826	18320	SIPO	WX	63530605
546271	1859	1996-11-05	VYDAJ	PREVOD NA UCET	2826	19226	SIPO	WX	63530605
546272	1859	1996-12-05	VYDAJ	PREVOD NA UCET	2826	16566	SIPO	WX	63530605
546273	1859	1997-01-05	VYDAJ	PREVOD NA UCET	2826	15473	SIPO	WX	63530605
546274	1859	1997-02-05	VYDAJ	PREVOD NA UCET	2826	10434	SIPO	WX	63530605
546275	1859	1997-03-05	VYDAJ	PREVOD NA UCET	2826	14508	SIPO	WX	63530605
546276	1859	1997-04-05	VYDAJ	PREVOD NA UCET	2826	14498	SIPO	WX	63530605
546277	1859	1997-05-05	VYDAJ	PREVOD NA UCET	2826	17188	SIPO	WX	63530605
546278	1859	1997-06-05	VYDAJ	PREVOD NA UCET	2826	20990	SIPO	WX	63530605
546279	1859	1997-07-05	VYDAJ	PREVOD NA UCET	2826	11088	SIPO	WX	63530605
546280	1859	1997-08-05	VYDAJ	PREVOD NA UCET	2826	11883	SIPO	WX	63530605
546281	1859	1997-09-05	VYDAJ	PREVOD NA UCET	2826	14924	SIPO	WX	63530605
546282	1859	1997-10-05	VYDAJ	PREVOD NA UCET	2826	17615	SIPO	WX	63530605
546283	1859	1997-11-05	VYDAJ	PREVOD NA UCET	2826	20118	SIPO	WX	63530605
546284	1859	1997-12-05	VYDAJ	PREVOD NA UCET	2826	16035	SIPO	WX	63530605
546285	1859	1998-01-05	VYDAJ	PREVOD NA UCET	2826	16577	SIPO	WX	63530605
546286	1859	1998-02-05	VYDAJ	PREVOD NA UCET	2826	10716	SIPO	WX	63530605
546287	1859	1998-03-05	VYDAJ	PREVOD NA UCET	2826	14391	SIPO	WX	63530605
546288	1859	1998-04-05	VYDAJ	PREVOD NA UCET	2826	13776	SIPO	WX	63530605
546289	1859	1998-05-05	VYDAJ	PREVOD NA UCET	2826	13158	SIPO	WX	63530605
546290	1859	1998-06-05	VYDAJ	PREVOD NA UCET	2826	10534	SIPO	WX	63530605
546291	1859	1998-07-05	VYDAJ	PREVOD NA UCET	2826	11304	SIPO	WX	63530605
546292	1859	1998-08-05	VYDAJ	PREVOD NA UCET	2826	13136	SIPO	WX	63530605
546293	1859	1998-09-05	VYDAJ	PREVOD NA UCET	2826	9789	SIPO	WX	63530605
546294	1859	1998-10-05	VYDAJ	PREVOD NA UCET	2826	11138	SIPO	WX	63530605
546295	1859	1998-11-05	VYDAJ	PREVOD NA UCET	2826	12108	SIPO	WX	63530605
546296	1859	1998-12-05	VYDAJ	PREVOD NA UCET	2826	13223	SIPO	WX	63530605
546297	1859	1996-06-20	VYDAJ	VYBER	13950	16971	\N	\N	\N
546298	1859	1997-06-14	VYDAJ	VYBER	7000	20838	\N	\N	\N
546300	1859	1996-12-17	VYDAJ	VYBER	650	22764	\N	\N	\N
546301	1859	1997-12-18	VYDAJ	VYBER	1150	21733	\N	\N	\N
546309	1859	1997-01-05	VYDAJ	VYBER	640	18299	\N	\N	\N
546310	1859	1997-01-15	VYDAJ	VYBER	1200	18801	\N	\N	\N
546311	1859	1997-01-15	VYDAJ	VYBER	1600	17201	\N	\N	\N
546312	1859	1997-01-14	VYDAJ	VYBER	1360	20001	\N	\N	\N
546314	1859	1997-01-13	VYDAJ	VYBER	960	21361	\N	\N	\N
546315	1859	1998-01-23	VYDAJ	VYBER	2240	13485	\N	\N	\N
546316	1859	1998-01-06	VYDAJ	VYBER	1120	15457	\N	\N	\N
546318	1859	1998-01-09	VYDAJ	VYBER	1200	14257	\N	\N	\N
546319	1859	1998-01-17	VYDAJ	VYBER	2240	18865	\N	\N	\N
546320	1859	1998-01-21	VYDAJ	VYBER	1040	17825	\N	\N	\N
546322	1859	1996-08-19	VYDAJ	VYBER	2800	21872	\N	\N	\N
546324	1859	1996-11-08	VYDAJ	VYBER	2560	16666	\N	\N	\N
546326	1859	1997-11-06	VYDAJ	VYBER	2880	17238	\N	\N	\N
546327	1859	1997-06-22	VYDAJ	VYBER	2560	18278	\N	\N	\N
546329	1859	1997-07-29	VYDAJ	VYBER	3280	14656	\N	\N	\N
546330	1859	1997-08-10	VYDAJ	VYBER	1040	17691	\N	\N	\N
546332	1859	1997-07-01	VYDAJ	VYBER	3040	13914	\N	\N	\N
546333	1859	1998-10-01	VYDAJ	VYBER	1520	13964	\N	\N	\N
546334	1859	1998-11-17	VYDAJ	VYBER	2960	15996	\N	\N	\N
546336	1859	1998-07-16	VYDAJ	VYBER	2240	15912	\N	\N	\N
546338	1859	1998-08-12	VYDAJ	VYBER	1120	18864	\N	\N	\N
546345	1859	1996-06-30	VYDAJ	VYBER	15	17060	SLUZBY	\N	\N
546346	1859	1996-07-31	VYDAJ	VYBER	15	20650	SLUZBY	\N	\N
546347	1859	1996-08-31	VYDAJ	VYBER	15	18550	SLUZBY	\N	\N
546348	1859	1996-09-30	VYDAJ	VYBER	15	21146	SLUZBY	\N	\N
546349	1859	1996-10-31	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
546350	1859	1996-11-30	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
546351	1859	1996-12-31	VYDAJ	VYBER	15	18939	SLUZBY	\N	\N
546352	1859	1997-01-31	VYDAJ	VYBER	15	13260	SLUZBY	\N	\N
546353	1859	1997-02-28	VYDAJ	VYBER	15	17334	SLUZBY	\N	\N
546354	1859	1997-03-31	VYDAJ	VYBER	15	17324	SLUZBY	\N	\N
546355	1859	1997-04-30	VYDAJ	VYBER	15	20014	SLUZBY	\N	\N
546356	1859	1997-05-31	VYDAJ	VYBER	15	23816	SLUZBY	\N	\N
546357	1859	1997-06-30	VYDAJ	VYBER	15	16954	SLUZBY	\N	\N
546358	1859	1997-07-31	VYDAJ	VYBER	15	14709	SLUZBY	\N	\N
546359	1859	1997-08-31	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
546360	1859	1997-09-30	VYDAJ	VYBER	15	20441	SLUZBY	\N	\N
546361	1859	1997-10-31	VYDAJ	VYBER	15	22944	SLUZBY	\N	\N
546362	1859	1997-11-30	VYDAJ	VYBER	15	18861	SLUZBY	\N	\N
546363	1859	1997-12-31	VYDAJ	VYBER	15	19403	SLUZBY	\N	\N
546364	1859	1998-01-31	VYDAJ	VYBER	15	13542	SLUZBY	\N	\N
546365	1859	1998-02-28	VYDAJ	VYBER	15	17217	SLUZBY	\N	\N
546366	1859	1998-03-31	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
546367	1859	1998-04-30	VYDAJ	VYBER	15	15984	SLUZBY	\N	\N
546368	1859	1998-05-31	VYDAJ	VYBER	15	13360	SLUZBY	\N	\N
546369	1859	1998-06-30	VYDAJ	VYBER	15	14130	SLUZBY	\N	\N
546370	1859	1998-07-31	VYDAJ	VYBER	15	15962	SLUZBY	\N	\N
546371	1859	1998-08-31	VYDAJ	VYBER	15	12615	SLUZBY	\N	\N
546372	1859	1998-09-30	VYDAJ	VYBER	15	15484	SLUZBY	\N	\N
546373	1859	1998-10-31	VYDAJ	VYBER	15	14934	SLUZBY	\N	\N
546374	1859	1998-11-30	VYDAJ	VYBER	15	16049	SLUZBY	\N	\N
546375	1859	1996-05-02	VYDAJ	VYBER	800	20933	\N	\N	\N
546376	1859	1996-06-01	VYDAJ	VYBER	3800	24073	\N	\N	\N
546377	1859	1996-07-31	VYDAJ	VYBER	500	20665	\N	\N	\N
546378	1859	1996-08-30	VYDAJ	VYBER	3400	18472	\N	\N	\N
546379	1859	1996-09-29	VYDAJ	VYBER	1500	21072	\N	\N	\N
546380	1859	1996-10-29	VYDAJ	VYBER	3200	21968	\N	\N	\N
546381	1859	1996-11-28	VYDAJ	VYBER	4200	19314	\N	\N	\N
546382	1859	1996-12-28	VYDAJ	VYBER	3900	18864	\N	\N	\N
546383	1859	1997-01-27	VYDAJ	VYBER	4000	13201	\N	\N	\N
546384	1859	1997-03-28	VYDAJ	VYBER	4100	17256	\N	\N	\N
546385	1859	1997-04-27	VYDAJ	VYBER	1400	19946	\N	\N	\N
546386	1859	1997-05-27	VYDAJ	VYBER	300	23736	\N	\N	\N
546387	1859	1997-06-26	VYDAJ	VYBER	1400	16878	\N	\N	\N
546388	1859	1997-09-24	VYDAJ	VYBER	1400	20372	\N	\N	\N
546389	1859	1997-10-24	VYDAJ	VYBER	1600	22863	\N	\N	\N
546390	1859	1997-11-23	VYDAJ	VYBER	5300	18786	\N	\N	\N
546391	1859	1997-12-23	VYDAJ	VYBER	2400	19333	\N	\N	\N
546392	1859	1998-01-22	VYDAJ	VYBER	2100	15725	\N	\N	\N
546393	1859	1998-02-21	VYDAJ	VYBER	400	17164	\N	\N	\N
546394	1859	1998-03-23	VYDAJ	VYBER	4700	16539	\N	\N	\N
546395	1859	1998-04-22	VYDAJ	VYBER	4700	15924	\N	\N	\N
546396	1859	1998-05-22	VYDAJ	VYBER	6700	13306	\N	\N	\N
546397	1859	1998-06-21	VYDAJ	VYBER	3300	14082	\N	\N	\N
546398	1859	1998-08-20	VYDAJ	VYBER	6300	12564	\N	\N	\N
546399	1859	1998-09-19	VYDAJ	VYBER	1200	15437	\N	\N	\N
546400	1859	1998-10-19	VYDAJ	VYBER	3100	14886	\N	\N	\N
546436	1860	1997-01-02	PRIJEM	VKLAD	600	600	\N	\N	\N
546437	1860	1997-01-14	PRIJEM	PREVOD Z UCTU	3255	3855	\N	MN	61854898
546438	1860	1997-02-14	PRIJEM	PREVOD Z UCTU	3255	7119	\N	MN	61854898
546439	1860	1997-03-14	PRIJEM	PREVOD Z UCTU	3255	10390	\N	MN	61854898
546440	1860	1997-04-14	PRIJEM	PREVOD Z UCTU	3255	13661	\N	MN	61854898
546441	1860	1997-05-14	PRIJEM	PREVOD Z UCTU	3255	16933	\N	MN	61854898
546442	1860	1997-06-14	PRIJEM	PREVOD Z UCTU	3255	16682	\N	MN	61854898
546443	1860	1997-07-14	PRIJEM	PREVOD Z UCTU	3255	17820	\N	MN	61854898
546444	1860	1997-08-14	PRIJEM	PREVOD Z UCTU	3255	18962	\N	MN	61854898
546445	1860	1997-09-14	PRIJEM	PREVOD Z UCTU	3255	20110	\N	MN	61854898
546446	1860	1997-10-14	PRIJEM	PREVOD Z UCTU	3255	20302	\N	MN	61854898
546447	1860	1997-11-14	PRIJEM	PREVOD Z UCTU	3255	21453	\N	MN	61854898
546448	1860	1997-12-14	PRIJEM	PREVOD Z UCTU	3255	22611	\N	MN	61854898
546449	1860	1998-01-14	PRIJEM	PREVOD Z UCTU	3255	19332	\N	MN	61854898
546450	1860	1998-02-14	PRIJEM	PREVOD Z UCTU	3255	17626	\N	MN	61854898
546451	1860	1998-03-14	PRIJEM	PREVOD Z UCTU	3255	17326	\N	MN	61854898
546452	1860	1998-04-14	PRIJEM	PREVOD Z UCTU	3255	18466	\N	MN	61854898
546453	1860	1998-05-14	PRIJEM	PREVOD Z UCTU	3255	19611	\N	MN	61854898
546454	1860	1998-06-14	PRIJEM	PREVOD Z UCTU	3255	20762	\N	MN	61854898
546455	1860	1998-07-14	PRIJEM	PREVOD Z UCTU	3255	16631	\N	MN	61854898
546456	1860	1998-08-14	PRIJEM	PREVOD Z UCTU	3255	17559	\N	MN	61854898
546457	1860	1998-09-14	PRIJEM	PREVOD Z UCTU	3255	18700	\N	MN	61854898
546458	1860	1998-10-14	PRIJEM	PREVOD Z UCTU	3255	19846	\N	MN	61854898
546459	1860	1998-11-14	PRIJEM	PREVOD Z UCTU	3255	19766	\N	MN	61854898
546460	1860	1998-12-14	PRIJEM	PREVOD Z UCTU	3255	20916	\N	MN	61854898
546466	1860	1997-06-05	VYDAJ	PREVOD NA UCET	2170	13427	\N	GH	54349380
546467	1860	1997-07-05	VYDAJ	PREVOD NA UCET	2170	14565	\N	GH	54349380
546468	1860	1997-08-05	VYDAJ	PREVOD NA UCET	2170	15707	\N	GH	54349380
546469	1860	1997-09-05	VYDAJ	PREVOD NA UCET	2170	16855	\N	GH	54349380
546470	1860	1997-10-05	VYDAJ	PREVOD NA UCET	2170	18007	\N	GH	54349380
546471	1860	1997-11-05	VYDAJ	PREVOD NA UCET	2170	18198	\N	GH	54349380
546472	1860	1997-12-05	VYDAJ	PREVOD NA UCET	2170	19356	\N	GH	54349380
546473	1860	1998-01-05	VYDAJ	PREVOD NA UCET	2170	17787	\N	GH	54349380
546474	1860	1998-02-05	VYDAJ	PREVOD NA UCET	2170	14371	\N	GH	54349380
546475	1860	1998-03-05	VYDAJ	PREVOD NA UCET	2170	14071	\N	GH	54349380
546476	1860	1998-04-05	VYDAJ	PREVOD NA UCET	2170	15211	\N	GH	54349380
546477	1860	1998-05-05	VYDAJ	PREVOD NA UCET	2170	16356	\N	GH	54349380
546478	1860	1998-06-05	VYDAJ	PREVOD NA UCET	2170	17507	\N	GH	54349380
546479	1860	1998-07-05	VYDAJ	PREVOD NA UCET	2170	13376	\N	GH	54349380
546480	1860	1998-08-05	VYDAJ	PREVOD NA UCET	2170	14304	\N	GH	54349380
546481	1860	1998-09-05	VYDAJ	PREVOD NA UCET	2170	15445	\N	GH	54349380
546482	1860	1998-10-05	VYDAJ	PREVOD NA UCET	2170	16591	\N	GH	54349380
546483	1860	1998-11-05	VYDAJ	PREVOD NA UCET	2170	16511	\N	GH	54349380
546484	1860	1998-12-05	VYDAJ	PREVOD NA UCET	2170	17661	\N	GH	54349380
546486	1860	1998-06-24	VYDAJ	VYBER	5280	15482	\N	\N	\N
546488	1860	1998-01-16	VYDAJ	VYBER	1620	17292	\N	\N	\N
546489	1860	1997-12-15	VYDAJ	VYBER	540	22071	\N	\N	\N
546490	1860	1998-12-17	VYDAJ	VYBER	450	20466	\N	\N	\N
546497	1860	1998-01-04	VYDAJ	VYBER	690	19957	\N	\N	\N
546498	1860	1998-01-09	VYDAJ	VYBER	750	16737	\N	\N	\N
546499	1860	1998-01-03	VYDAJ	VYBER	750	20647	\N	\N	\N
546500	1860	1998-01-15	VYDAJ	VYBER	420	18912	\N	\N	\N
546501	1860	1998-01-12	VYDAJ	VYBER	660	16077	\N	\N	\N
546502	1860	1998-01-06	VYDAJ	VYBER	300	17487	\N	\N	\N
546503	1860	1997-10-05	VYDAJ	VYBER	960	17047	\N	\N	\N
546505	1860	1997-12-27	VYDAJ	VYBER	750	21321	\N	\N	\N
546506	1860	1997-05-24	VYDAJ	VYBER	1350	15583	\N	\N	\N
546507	1860	1998-02-22	VYDAJ	VYBER	1110	16186	\N	\N	\N
546508	1860	1998-02-18	VYDAJ	VYBER	330	17296	\N	\N	\N
546509	1860	1998-10-22	VYDAJ	VYBER	1230	18616	\N	\N	\N
546510	1860	1998-01-25	VYDAJ	VYBER	810	16482	\N	\N	\N
546511	1860	1998-07-20	VYDAJ	VYBER	210	16421	\N	\N	\N
546517	1860	1997-05-31	VYDAJ	VYBER	15	15597	SLUZBY	\N	\N
546518	1860	1997-06-30	VYDAJ	VYBER	15	16735	SLUZBY	\N	\N
546519	1860	1997-07-31	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
546520	1860	1997-08-31	VYDAJ	VYBER	15	19025	SLUZBY	\N	\N
546521	1860	1997-09-30	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
546522	1860	1997-10-31	VYDAJ	VYBER	15	20368	SLUZBY	\N	\N
546523	1860	1997-11-30	VYDAJ	VYBER	15	21526	SLUZBY	\N	\N
546524	1860	1997-12-31	VYDAJ	VYBER	15	21397	SLUZBY	\N	\N
546525	1860	1998-01-31	VYDAJ	VYBER	15	16541	SLUZBY	\N	\N
546526	1860	1998-02-28	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
546527	1860	1998-03-31	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
546528	1860	1998-04-30	VYDAJ	VYBER	15	18526	SLUZBY	\N	\N
546529	1860	1998-05-31	VYDAJ	VYBER	15	19677	SLUZBY	\N	\N
546530	1860	1998-06-30	VYDAJ	VYBER	15	15546	SLUZBY	\N	\N
546531	1860	1998-07-31	VYDAJ	VYBER	15	16474	SLUZBY	\N	\N
546532	1860	1998-08-31	VYDAJ	VYBER	15	17615	SLUZBY	\N	\N
546533	1860	1998-09-30	VYDAJ	VYBER	15	18761	SLUZBY	\N	\N
546534	1860	1998-10-31	VYDAJ	VYBER	15	18681	SLUZBY	\N	\N
546535	1860	1998-11-30	VYDAJ	VYBER	15	19831	SLUZBY	\N	\N
546560	1861	1993-07-02	PRIJEM	VKLAD	500	500	\N	\N	\N
546567	1861	1993-07-06	PRIJEM	VKLAD	15308	15808	\N	\N	\N
546568	1861	1993-08-06	PRIJEM	VKLAD	15308	36471	\N	\N	\N
546569	1861	1993-09-06	PRIJEM	VKLAD	15308	45417	\N	\N	\N
546570	1861	1993-10-06	PRIJEM	VKLAD	15308	50351	\N	\N	\N
546571	1861	1993-11-06	PRIJEM	VKLAD	15308	53205	\N	\N	\N
546572	1861	1993-12-06	PRIJEM	VKLAD	22962	59518	\N	\N	\N
546573	1861	1994-01-06	PRIJEM	VKLAD	15308	53951	\N	\N	\N
546574	1861	1994-02-06	PRIJEM	VKLAD	15308	48290	\N	\N	\N
546575	1861	1994-03-06	PRIJEM	VKLAD	15308	52968	\N	\N	\N
546576	1861	1994-04-06	PRIJEM	VKLAD	15308	53864	\N	\N	\N
546577	1861	1994-05-06	PRIJEM	VKLAD	15308	53063	\N	\N	\N
546578	1861	1994-06-06	PRIJEM	VKLAD	22962	59711	\N	\N	\N
546579	1861	1994-07-06	PRIJEM	VKLAD	15308	54825	\N	\N	\N
546580	1861	1994-08-06	PRIJEM	VKLAD	15308	55325	\N	\N	\N
546581	1861	1994-09-06	PRIJEM	VKLAD	15308	54326	\N	\N	\N
546582	1861	1994-10-06	PRIJEM	VKLAD	15308	55823	\N	\N	\N
546583	1861	1994-11-06	PRIJEM	VKLAD	15308	55342	\N	\N	\N
546584	1861	1994-12-06	PRIJEM	VKLAD	22962	64095	\N	\N	\N
546585	1861	1995-01-06	PRIJEM	VKLAD	15308	56601	\N	\N	\N
546586	1861	1995-02-06	PRIJEM	VKLAD	15308	56301	\N	\N	\N
546587	1861	1995-03-06	PRIJEM	VKLAD	15308	58004	\N	\N	\N
546588	1861	1995-04-06	PRIJEM	VKLAD	15308	61956	\N	\N	\N
546589	1861	1995-05-06	PRIJEM	VKLAD	15308	61580	\N	\N	\N
546590	1861	1995-06-06	PRIJEM	VKLAD	22962	70456	\N	\N	\N
546591	1861	1995-07-06	PRIJEM	VKLAD	15308	66303	\N	\N	\N
546592	1861	1995-08-06	PRIJEM	VKLAD	15308	69146	\N	\N	\N
546593	1861	1995-09-06	PRIJEM	VKLAD	15308	69035	\N	\N	\N
546594	1861	1995-10-06	PRIJEM	VKLAD	15308	70285	\N	\N	\N
546595	1861	1995-11-06	PRIJEM	VKLAD	15308	66926	\N	\N	\N
546596	1861	1995-12-06	PRIJEM	VKLAD	22962	74591	\N	\N	\N
546597	1861	1996-01-06	PRIJEM	VKLAD	15308	62532	\N	\N	\N
546598	1861	1996-02-06	PRIJEM	VKLAD	15308	67465	\N	\N	\N
546599	1861	1996-03-06	PRIJEM	VKLAD	15308	71007	\N	\N	\N
546600	1861	1996-04-06	PRIJEM	VKLAD	15308	73463	\N	\N	\N
546601	1861	1996-05-06	PRIJEM	VKLAD	15308	73023	\N	\N	\N
546602	1861	1996-06-06	PRIJEM	VKLAD	22962	76745	\N	\N	\N
546603	1861	1996-07-06	PRIJEM	VKLAD	15308	40083	\N	\N	\N
546604	1861	1996-08-06	PRIJEM	VKLAD	15308	47379	\N	\N	\N
546605	1861	1996-09-06	PRIJEM	VKLAD	15308	56548	\N	\N	\N
546606	1861	1996-10-06	PRIJEM	VKLAD	15308	59840	\N	\N	\N
546607	1861	1996-11-06	PRIJEM	VKLAD	15308	62845	\N	\N	\N
546608	1861	1996-12-06	PRIJEM	VKLAD	22962	74016	\N	\N	\N
546609	1861	1997-01-06	PRIJEM	VKLAD	15308	65152	\N	\N	\N
546610	1861	1997-02-06	PRIJEM	VKLAD	15308	63625	\N	\N	\N
546611	1861	1997-03-06	PRIJEM	VKLAD	15308	69750	\N	\N	\N
546612	1861	1997-04-06	PRIJEM	VKLAD	15308	68968	\N	\N	\N
546613	1861	1997-05-06	PRIJEM	VKLAD	15308	72909	\N	\N	\N
546614	1861	1997-06-06	PRIJEM	VKLAD	22962	76700	\N	\N	\N
546615	1861	1997-07-06	PRIJEM	VKLAD	15308	67963	\N	\N	\N
546616	1861	1997-08-06	PRIJEM	VKLAD	15308	70394	\N	\N	\N
546617	1861	1997-09-06	PRIJEM	VKLAD	15308	75041	\N	\N	\N
546618	1861	1997-10-06	PRIJEM	VKLAD	15308	67058	\N	\N	\N
546619	1861	1997-11-06	PRIJEM	VKLAD	15308	71574	\N	\N	\N
546620	1861	1997-12-06	PRIJEM	VKLAD	22962	82807	\N	\N	\N
546621	1861	1998-01-06	PRIJEM	VKLAD	15308	67750	\N	\N	\N
546622	1861	1998-02-06	PRIJEM	VKLAD	15308	77808	\N	\N	\N
546623	1861	1998-03-06	PRIJEM	VKLAD	15308	79548	\N	\N	\N
546624	1861	1998-04-06	PRIJEM	VKLAD	15308	86035	\N	\N	\N
546625	1861	1998-05-06	PRIJEM	VKLAD	15308	82967	\N	\N	\N
546626	1861	1998-06-06	PRIJEM	VKLAD	22962	97824	\N	\N	\N
546627	1861	1998-07-06	PRIJEM	VKLAD	15308	63563	\N	\N	\N
546628	1861	1998-08-06	PRIJEM	VKLAD	15308	82200	\N	\N	\N
546629	1861	1998-09-06	PRIJEM	VKLAD	15308	87156	\N	\N	\N
546630	1861	1998-10-06	PRIJEM	VKLAD	15308	88894	\N	\N	\N
546631	1861	1998-11-06	PRIJEM	VKLAD	15308	91981	\N	\N	\N
546632	1861	1998-12-06	PRIJEM	VKLAD	22962	96496	\N	\N	\N
546643	1861	1993-11-06	VYDAJ	PREVOD NA UCET	1574	51631	SIPO	QR	9564370
546644	1861	1993-12-06	VYDAJ	PREVOD NA UCET	1574	57944	SIPO	QR	9564370
546645	1861	1994-01-06	VYDAJ	PREVOD NA UCET	1574	49257	SIPO	QR	9564370
546646	1861	1994-02-06	VYDAJ	PREVOD NA UCET	1574	46716	SIPO	QR	9564370
546647	1861	1994-03-06	VYDAJ	PREVOD NA UCET	1574	51394	SIPO	QR	9564370
546648	1861	1994-04-06	VYDAJ	PREVOD NA UCET	1574	52290	SIPO	QR	9564370
546649	1861	1994-05-06	VYDAJ	PREVOD NA UCET	1574	51489	SIPO	QR	9564370
546650	1861	1994-06-06	VYDAJ	PREVOD NA UCET	1574	58137	SIPO	QR	9564370
546651	1861	1994-07-06	VYDAJ	PREVOD NA UCET	1574	53251	SIPO	QR	9564370
546652	1861	1994-08-06	VYDAJ	PREVOD NA UCET	1574	53751	SIPO	QR	9564370
546653	1861	1994-09-06	VYDAJ	PREVOD NA UCET	1574	52752	SIPO	QR	9564370
546654	1861	1994-10-06	VYDAJ	PREVOD NA UCET	1574	54249	SIPO	QR	9564370
546655	1861	1994-11-06	VYDAJ	PREVOD NA UCET	1574	53768	SIPO	QR	9564370
546656	1861	1994-12-06	VYDAJ	PREVOD NA UCET	1574	62521	SIPO	QR	9564370
546657	1861	1995-01-06	VYDAJ	PREVOD NA UCET	1574	55027	SIPO	QR	9564370
546658	1861	1995-02-06	VYDAJ	PREVOD NA UCET	1574	54727	SIPO	QR	9564370
546659	1861	1995-03-06	VYDAJ	PREVOD NA UCET	1574	56430	SIPO	QR	9564370
546660	1861	1995-04-06	VYDAJ	PREVOD NA UCET	1574	60382	SIPO	QR	9564370
546661	1861	1995-05-06	VYDAJ	PREVOD NA UCET	1574	60006	SIPO	QR	9564370
546662	1861	1995-06-06	VYDAJ	PREVOD NA UCET	1574	68882	SIPO	QR	9564370
546663	1861	1995-07-06	VYDAJ	PREVOD NA UCET	1574	64729	SIPO	QR	9564370
546664	1861	1995-08-06	VYDAJ	PREVOD NA UCET	1574	67572	SIPO	QR	9564370
546665	1861	1995-09-06	VYDAJ	PREVOD NA UCET	1574	67461	SIPO	QR	9564370
546666	1861	1995-10-06	VYDAJ	PREVOD NA UCET	1574	68711	SIPO	QR	9564370
546667	1861	1995-11-06	VYDAJ	PREVOD NA UCET	1574	65352	SIPO	QR	9564370
546668	1861	1995-12-06	VYDAJ	PREVOD NA UCET	1574	73017	SIPO	QR	9564370
546669	1861	1996-01-06	VYDAJ	PREVOD NA UCET	1574	60958	SIPO	QR	9564370
546670	1861	1996-02-06	VYDAJ	PREVOD NA UCET	1574	65891	SIPO	QR	9564370
546671	1861	1996-03-06	VYDAJ	PREVOD NA UCET	1574	69433	SIPO	QR	9564370
546672	1861	1996-04-06	VYDAJ	PREVOD NA UCET	1574	71889	SIPO	QR	9564370
546673	1861	1996-05-06	VYDAJ	PREVOD NA UCET	1574	71449	SIPO	QR	9564370
546674	1861	1996-06-06	VYDAJ	PREVOD NA UCET	1574	75171	SIPO	QR	9564370
546675	1861	1996-07-06	VYDAJ	PREVOD NA UCET	1574	38509	SIPO	QR	9564370
546676	1861	1996-08-06	VYDAJ	PREVOD NA UCET	1574	45805	SIPO	QR	9564370
546677	1861	1996-09-06	VYDAJ	PREVOD NA UCET	1574	54974	SIPO	QR	9564370
546678	1861	1996-10-06	VYDAJ	PREVOD NA UCET	1574	58266	SIPO	QR	9564370
546679	1861	1996-11-06	VYDAJ	PREVOD NA UCET	1574	61271	SIPO	QR	9564370
546680	1861	1996-12-06	VYDAJ	PREVOD NA UCET	1574	72442	SIPO	QR	9564370
546681	1861	1997-01-06	VYDAJ	PREVOD NA UCET	1574	63578	SIPO	QR	9564370
546682	1861	1997-02-06	VYDAJ	PREVOD NA UCET	1574	62051	SIPO	QR	9564370
546683	1861	1997-03-06	VYDAJ	PREVOD NA UCET	1574	68176	SIPO	QR	9564370
546684	1861	1997-04-06	VYDAJ	PREVOD NA UCET	1574	67394	SIPO	QR	9564370
546685	1861	1997-05-06	VYDAJ	PREVOD NA UCET	1574	71335	SIPO	QR	9564370
546686	1861	1997-06-06	VYDAJ	PREVOD NA UCET	1574	75126	SIPO	QR	9564370
546687	1861	1997-07-06	VYDAJ	PREVOD NA UCET	1574	66389	SIPO	QR	9564370
546688	1861	1997-08-06	VYDAJ	PREVOD NA UCET	1574	68820	SIPO	QR	9564370
546689	1861	1997-09-06	VYDAJ	PREVOD NA UCET	1574	73467	SIPO	QR	9564370
546690	1861	1997-10-06	VYDAJ	PREVOD NA UCET	1574	65484	SIPO	QR	9564370
546691	1861	1997-11-06	VYDAJ	PREVOD NA UCET	1574	70000	SIPO	QR	9564370
546692	1861	1997-12-06	VYDAJ	PREVOD NA UCET	1574	81233	SIPO	QR	9564370
546693	1861	1998-01-06	VYDAJ	PREVOD NA UCET	1574	66176	SIPO	QR	9564370
546694	1861	1998-02-06	VYDAJ	PREVOD NA UCET	1574	76234	SIPO	QR	9564370
546695	1861	1998-03-06	VYDAJ	PREVOD NA UCET	1574	77974	SIPO	QR	9564370
546696	1861	1998-04-06	VYDAJ	PREVOD NA UCET	1574	84461	SIPO	QR	9564370
546697	1861	1998-05-06	VYDAJ	PREVOD NA UCET	1574	81393	SIPO	QR	9564370
546698	1861	1998-06-06	VYDAJ	PREVOD NA UCET	1574	96250	SIPO	QR	9564370
546699	1861	1998-07-06	VYDAJ	PREVOD NA UCET	1574	61989	SIPO	QR	9564370
546700	1861	1998-08-06	VYDAJ	PREVOD NA UCET	1574	74986	SIPO	QR	9564370
546701	1861	1998-09-06	VYDAJ	PREVOD NA UCET	1574	85582	SIPO	QR	9564370
546702	1861	1998-10-06	VYDAJ	PREVOD NA UCET	1574	87320	SIPO	QR	9564370
546703	1861	1998-11-06	VYDAJ	PREVOD NA UCET	1574	90407	SIPO	QR	9564370
546704	1861	1998-12-06	VYDAJ	PREVOD NA UCET	1574	94922	SIPO	QR	9564370
546715	1861	1993-11-09	VYDAJ	PREVOD NA UCET	1519	50112	 	AB	86292242
546716	1861	1993-12-09	VYDAJ	PREVOD NA UCET	1519	56425	 	AB	86292242
546717	1861	1994-01-09	VYDAJ	PREVOD NA UCET	1519	47738	 	AB	86292242
546718	1861	1994-02-09	VYDAJ	PREVOD NA UCET	1519	45197	 	AB	86292242
546719	1861	1994-03-09	VYDAJ	PREVOD NA UCET	1519	49875	 	AB	86292242
546720	1861	1994-04-09	VYDAJ	PREVOD NA UCET	1519	50771	 	AB	86292242
546721	1861	1994-05-09	VYDAJ	PREVOD NA UCET	1519	49970	 	AB	86292242
546722	1861	1994-06-09	VYDAJ	PREVOD NA UCET	1519	56618	 	AB	86292242
546723	1861	1994-07-09	VYDAJ	PREVOD NA UCET	1519	51732	 	AB	86292242
546724	1861	1994-08-09	VYDAJ	PREVOD NA UCET	1519	52232	 	AB	86292242
546725	1861	1994-09-09	VYDAJ	PREVOD NA UCET	1519	51233	 	AB	86292242
546726	1861	1994-10-09	VYDAJ	PREVOD NA UCET	1519	52730	 	AB	86292242
546727	1861	1994-11-09	VYDAJ	PREVOD NA UCET	1519	52249	 	AB	86292242
546728	1861	1994-12-09	VYDAJ	PREVOD NA UCET	1519	56682	 	AB	86292242
546729	1861	1995-01-09	VYDAJ	PREVOD NA UCET	1519	53508	 	AB	86292242
546730	1861	1995-02-09	VYDAJ	PREVOD NA UCET	1519	53208	 	AB	86292242
546731	1861	1995-03-09	VYDAJ	PREVOD NA UCET	1519	54911	 	AB	86292242
546732	1861	1995-04-09	VYDAJ	PREVOD NA UCET	1519	58863	 	AB	86292242
546733	1861	1995-05-09	VYDAJ	PREVOD NA UCET	1519	58487	 	AB	86292242
546734	1861	1995-06-09	VYDAJ	PREVOD NA UCET	1519	67363	 	AB	86292242
546735	1861	1995-07-09	VYDAJ	PREVOD NA UCET	1519	63210	 	AB	86292242
546736	1861	1995-08-09	VYDAJ	PREVOD NA UCET	1519	66053	 	AB	86292242
546737	1861	1995-09-09	VYDAJ	PREVOD NA UCET	1519	65942	 	AB	86292242
546738	1861	1995-10-09	VYDAJ	PREVOD NA UCET	1519	64192	 	AB	86292242
546739	1861	1995-11-09	VYDAJ	PREVOD NA UCET	1519	60113	 	AB	86292242
546740	1861	1995-12-09	VYDAJ	PREVOD NA UCET	1519	71498	 	AB	86292242
546741	1861	1996-01-09	VYDAJ	PREVOD NA UCET	1519	59439	 	AB	86292242
546742	1861	1996-02-09	VYDAJ	PREVOD NA UCET	1519	64372	 	AB	86292242
546743	1861	1996-03-09	VYDAJ	PREVOD NA UCET	1519	67914	 	AB	86292242
546744	1861	1996-04-09	VYDAJ	PREVOD NA UCET	1519	70370	 	AB	86292242
546745	1861	1996-05-09	VYDAJ	PREVOD NA UCET	1519	69930	 	AB	86292242
546746	1861	1996-06-09	VYDAJ	PREVOD NA UCET	1519	73652	 	AB	86292242
546747	1861	1996-07-09	VYDAJ	PREVOD NA UCET	1519	36990	 	AB	86292242
546748	1861	1996-08-09	VYDAJ	PREVOD NA UCET	1519	44286	 	AB	86292242
546749	1861	1996-09-09	VYDAJ	PREVOD NA UCET	1519	53455	 	AB	86292242
546750	1861	1996-10-09	VYDAJ	PREVOD NA UCET	1519	56747	 	AB	86292242
546751	1861	1996-11-09	VYDAJ	PREVOD NA UCET	1519	59752	 	AB	86292242
546752	1861	1996-12-09	VYDAJ	PREVOD NA UCET	1519	70923	 	AB	86292242
546753	1861	1997-01-09	VYDAJ	PREVOD NA UCET	1519	62059	 	AB	86292242
546754	1861	1997-02-09	VYDAJ	PREVOD NA UCET	1519	60532	 	AB	86292242
546755	1861	1997-03-09	VYDAJ	PREVOD NA UCET	1519	66657	 	AB	86292242
546756	1861	1997-04-09	VYDAJ	PREVOD NA UCET	1519	65875	 	AB	86292242
546757	1861	1997-05-09	VYDAJ	PREVOD NA UCET	1519	69816	 	AB	86292242
546758	1861	1997-06-09	VYDAJ	PREVOD NA UCET	1519	73607	 	AB	86292242
546759	1861	1997-07-09	VYDAJ	PREVOD NA UCET	1519	64870	 	AB	86292242
546760	1861	1997-08-09	VYDAJ	PREVOD NA UCET	1519	67301	 	AB	86292242
546761	1861	1997-09-09	VYDAJ	PREVOD NA UCET	1519	60048	 	AB	86292242
546762	1861	1997-10-09	VYDAJ	PREVOD NA UCET	1519	60965	 	AB	86292242
546763	1861	1997-11-09	VYDAJ	PREVOD NA UCET	1519	63681	 	AB	86292242
546764	1861	1997-12-09	VYDAJ	PREVOD NA UCET	1519	70014	 	AB	86292242
546765	1861	1998-01-09	VYDAJ	PREVOD NA UCET	1519	62257	 	AB	86292242
546766	1861	1998-02-09	VYDAJ	PREVOD NA UCET	1519	68415	 	AB	86292242
546767	1861	1998-03-09	VYDAJ	PREVOD NA UCET	1519	70455	 	AB	86292242
546768	1861	1998-04-09	VYDAJ	PREVOD NA UCET	1519	71342	 	AB	86292242
546769	1861	1998-05-09	VYDAJ	PREVOD NA UCET	1519	74574	 	AB	86292242
546770	1861	1998-06-09	VYDAJ	PREVOD NA UCET	1519	45651	 	AB	86292242
546771	1861	1998-07-09	VYDAJ	PREVOD NA UCET	1519	60470	 	AB	86292242
546772	1861	1998-08-09	VYDAJ	PREVOD NA UCET	1519	73467	 	AB	86292242
546773	1861	1998-09-09	VYDAJ	PREVOD NA UCET	1519	78183	 	AB	86292242
546774	1861	1998-10-09	VYDAJ	PREVOD NA UCET	1519	85801	 	AB	86292242
546775	1861	1998-11-09	VYDAJ	PREVOD NA UCET	1519	88888	 	AB	86292242
546776	1861	1998-12-09	VYDAJ	PREVOD NA UCET	1519	93403	 	AB	86292242
546780	1861	1996-06-18	VYDAJ	VYBER	32800	24592	\N	\N	\N
546781	1861	1997-06-22	VYDAJ	VYBER	6880	52427	\N	\N	\N
546782	1861	1998-06-08	VYDAJ	VYBER	34080	47170	\N	\N	\N
546784	1861	1994-01-23	VYDAJ	VYBER	11520	36218	\N	\N	\N
546785	1861	1995-01-23	VYDAJ	VYBER	4800	48708	\N	\N	\N
546786	1861	1996-01-02	VYDAJ	VYBER	10720	47224	\N	\N	\N
546787	1861	1997-01-14	VYDAJ	VYBER	4640	48119	\N	\N	\N
546788	1861	1998-01-04	VYDAJ	VYBER	13120	52442	\N	\N	\N
546789	1861	1993-12-04	VYDAJ	VYBER	2240	36556	\N	\N	\N
546790	1861	1994-12-07	VYDAJ	VYBER	4320	58201	\N	\N	\N
546791	1861	1995-12-23	VYDAJ	VYBER	1600	57698	\N	\N	\N
546792	1861	1996-12-13	VYDAJ	VYBER	3840	49623	\N	\N	\N
546793	1861	1997-12-29	VYDAJ	VYBER	1600	65294	\N	\N	\N
546794	1861	1998-12-19	VYDAJ	VYBER	4000	89403	\N	\N	\N
546798	1861	1993-12-11	VYDAJ	VYBER	1680	54745	\N	\N	\N
546800	1861	1994-10-24	VYDAJ	VYBER	4680	48050	\N	\N	\N
546801	1861	1994-12-13	VYDAJ	VYBER	3480	53202	\N	\N	\N
546802	1861	1994-01-06	VYDAJ	VYBER	3120	50831	\N	\N	\N
546803	1861	1995-10-08	VYDAJ	VYBER	3000	65711	\N	\N	\N
546804	1861	1995-11-07	VYDAJ	VYBER	3720	61632	\N	\N	\N
546805	1861	1995-08-27	VYDAJ	VYBER	1680	53493	\N	\N	\N
546806	1861	1995-08-17	VYDAJ	VYBER	1080	64973	\N	\N	\N
546807	1861	1995-03-24	VYDAJ	VYBER	2760	46451	\N	\N	\N
546808	1861	1996-07-18	VYDAJ	VYBER	2760	31950	\N	\N	\N
546809	1861	1996-06-13	VYDAJ	VYBER	3960	69692	\N	\N	\N
546810	1861	1996-12-12	VYDAJ	VYBER	2760	68163	\N	\N	\N
546811	1861	1996-07-18	VYDAJ	VYBER	3480	34710	\N	\N	\N
546812	1861	1996-05-14	VYDAJ	VYBER	1680	68250	\N	\N	\N
546813	1861	1997-09-11	VYDAJ	VYBER	5760	54288	\N	\N	\N
546814	1861	1997-10-01	VYDAJ	VYBER	2760	51750	\N	\N	\N
546815	1861	1997-12-24	VYDAJ	VYBER	3120	66894	\N	\N	\N
546816	1861	1997-03-29	VYDAJ	VYBER	1920	53437	\N	\N	\N
546817	1861	1997-10-15	VYDAJ	VYBER	4920	56045	\N	\N	\N
546818	1861	1997-11-30	VYDAJ	VYBER	4080	59845	\N	\N	\N
546819	1861	1998-08-06	VYDAJ	VYBER	5640	76560	\N	\N	\N
546820	1861	1998-09-07	VYDAJ	VYBER	5880	79702	\N	\N	\N
546821	1861	1998-02-27	VYDAJ	VYBER	3600	63975	\N	\N	\N
546822	1861	1998-06-30	VYDAJ	VYBER	1800	44070	\N	\N	\N
546823	1861	1998-02-27	VYDAJ	VYBER	840	67575	\N	\N	\N
546824	1861	1998-04-27	VYDAJ	VYBER	3960	67382	\N	\N	\N
546825	1861	1998-10-31	VYDAJ	VYBER	2760	83388	\N	\N	\N
546837	1861	1993-11-30	VYDAJ	VYBER	15	38796	SLUZBY	\N	\N
546838	1861	1993-12-31	VYDAJ	VYBER	15	38643	SLUZBY	\N	\N
546839	1861	1994-01-31	VYDAJ	VYBER	15	32982	SLUZBY	\N	\N
546840	1861	1994-02-28	VYDAJ	VYBER	15	37660	SLUZBY	\N	\N
546841	1861	1994-03-31	VYDAJ	VYBER	15	38556	SLUZBY	\N	\N
546842	1861	1994-04-30	VYDAJ	VYBER	15	37755	SLUZBY	\N	\N
546843	1861	1994-05-31	VYDAJ	VYBER	15	36749	SLUZBY	\N	\N
546844	1861	1994-06-30	VYDAJ	VYBER	15	39517	SLUZBY	\N	\N
546845	1861	1994-07-31	VYDAJ	VYBER	15	40017	SLUZBY	\N	\N
546846	1861	1994-08-31	VYDAJ	VYBER	15	39018	SLUZBY	\N	\N
546847	1861	1994-09-30	VYDAJ	VYBER	15	40515	SLUZBY	\N	\N
546848	1861	1994-10-31	VYDAJ	VYBER	15	40034	SLUZBY	\N	\N
546849	1861	1994-11-30	VYDAJ	VYBER	15	41133	SLUZBY	\N	\N
546850	1861	1994-12-31	VYDAJ	VYBER	15	41293	SLUZBY	\N	\N
546851	1861	1995-01-31	VYDAJ	VYBER	15	40993	SLUZBY	\N	\N
546852	1861	1995-02-28	VYDAJ	VYBER	15	42696	SLUZBY	\N	\N
546853	1861	1995-03-31	VYDAJ	VYBER	15	46648	SLUZBY	\N	\N
546854	1861	1995-04-30	VYDAJ	VYBER	15	46272	SLUZBY	\N	\N
546855	1861	1995-05-31	VYDAJ	VYBER	15	47494	SLUZBY	\N	\N
546856	1861	1995-06-30	VYDAJ	VYBER	15	50995	SLUZBY	\N	\N
546857	1861	1995-07-31	VYDAJ	VYBER	15	53838	SLUZBY	\N	\N
546858	1861	1995-08-31	VYDAJ	VYBER	15	53727	SLUZBY	\N	\N
546859	1861	1995-09-30	VYDAJ	VYBER	15	54977	SLUZBY	\N	\N
546860	1861	1995-10-31	VYDAJ	VYBER	15	51618	SLUZBY	\N	\N
546861	1861	1995-11-30	VYDAJ	VYBER	15	51629	SLUZBY	\N	\N
546862	1861	1995-12-31	VYDAJ	VYBER	15	57944	SLUZBY	\N	\N
546863	1861	1996-01-31	VYDAJ	VYBER	15	52157	SLUZBY	\N	\N
546864	1861	1996-02-29	VYDAJ	VYBER	15	55699	SLUZBY	\N	\N
546865	1861	1996-03-31	VYDAJ	VYBER	15	58155	SLUZBY	\N	\N
546866	1861	1996-04-30	VYDAJ	VYBER	15	57715	SLUZBY	\N	\N
546867	1861	1996-05-31	VYDAJ	VYBER	15	53783	SLUZBY	\N	\N
546868	1861	1996-06-30	VYDAJ	VYBER	15	24775	SLUZBY	\N	\N
546869	1861	1996-07-31	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
546870	1861	1996-08-31	VYDAJ	VYBER	15	41240	SLUZBY	\N	\N
546871	1861	1996-09-30	VYDAJ	VYBER	15	44532	SLUZBY	\N	\N
546872	1861	1996-10-31	VYDAJ	VYBER	15	47537	SLUZBY	\N	\N
546873	1861	1996-11-30	VYDAJ	VYBER	15	51054	SLUZBY	\N	\N
546874	1861	1996-12-31	VYDAJ	VYBER	15	49844	SLUZBY	\N	\N
546875	1861	1997-01-31	VYDAJ	VYBER	15	48317	SLUZBY	\N	\N
546876	1861	1997-02-28	VYDAJ	VYBER	15	54442	SLUZBY	\N	\N
546877	1861	1997-03-31	VYDAJ	VYBER	15	53660	SLUZBY	\N	\N
546878	1861	1997-04-30	VYDAJ	VYBER	15	57601	SLUZBY	\N	\N
546879	1861	1997-05-31	VYDAJ	VYBER	15	53738	SLUZBY	\N	\N
546880	1861	1997-06-30	VYDAJ	VYBER	15	52655	SLUZBY	\N	\N
546881	1861	1997-07-31	VYDAJ	VYBER	15	55086	SLUZBY	\N	\N
546882	1861	1997-08-31	VYDAJ	VYBER	15	59733	SLUZBY	\N	\N
546883	1861	1997-09-30	VYDAJ	VYBER	15	54510	SLUZBY	\N	\N
546884	1861	1997-10-31	VYDAJ	VYBER	15	56266	SLUZBY	\N	\N
546885	1861	1997-11-30	VYDAJ	VYBER	15	63925	SLUZBY	\N	\N
546886	1861	1997-12-31	VYDAJ	VYBER	15	65562	SLUZBY	\N	\N
546887	1861	1998-01-31	VYDAJ	VYBER	15	62500	SLUZBY	\N	\N
546888	1861	1998-02-28	VYDAJ	VYBER	15	64240	SLUZBY	\N	\N
546889	1861	1998-03-31	VYDAJ	VYBER	15	70727	SLUZBY	\N	\N
546890	1861	1998-04-30	VYDAJ	VYBER	15	67659	SLUZBY	\N	\N
546891	1861	1998-05-31	VYDAJ	VYBER	15	74862	SLUZBY	\N	\N
546892	1861	1998-06-30	VYDAJ	VYBER	15	44055	SLUZBY	\N	\N
546893	1861	1998-07-31	VYDAJ	VYBER	15	60692	SLUZBY	\N	\N
546894	1861	1998-08-31	VYDAJ	VYBER	15	73748	SLUZBY	\N	\N
546895	1861	1998-09-30	VYDAJ	VYBER	15	78486	SLUZBY	\N	\N
546896	1861	1998-10-31	VYDAJ	VYBER	15	83373	SLUZBY	\N	\N
546897	1861	1998-11-30	VYDAJ	VYBER	15	89234	SLUZBY	\N	\N
546898	1861	1993-08-01	PRIJEM	VKLAD	5300	21163	\N	\N	\N
546899	1861	1993-08-31	VYDAJ	VYBER	6500	30109	\N	\N	\N
546900	1861	1993-09-30	VYDAJ	VYBER	10500	35043	\N	\N	\N
546901	1861	1993-10-30	VYDAJ	VYBER	12600	37751	\N	\N	\N
546902	1861	1993-11-29	VYDAJ	VYBER	11500	38612	\N	\N	\N
546903	1861	1993-12-29	VYDAJ	VYBER	16300	38445	\N	\N	\N
546904	1861	1994-01-28	VYDAJ	VYBER	3400	32818	\N	\N	\N
546905	1861	1994-02-27	VYDAJ	VYBER	7700	37497	\N	\N	\N
546906	1861	1994-03-29	VYDAJ	VYBER	11500	38375	\N	\N	\N
546907	1861	1994-04-28	VYDAJ	VYBER	13200	37571	\N	\N	\N
546908	1861	1994-05-28	VYDAJ	VYBER	13400	36570	\N	\N	\N
546909	1861	1994-06-27	VYDAJ	VYBER	17300	39318	\N	\N	\N
546910	1861	1994-07-27	VYDAJ	VYBER	11900	39832	\N	\N	\N
546911	1861	1994-08-26	VYDAJ	VYBER	13400	38832	\N	\N	\N
546912	1861	1994-09-25	VYDAJ	VYBER	10900	40333	\N	\N	\N
546913	1861	1994-10-25	VYDAJ	VYBER	8200	39850	\N	\N	\N
546914	1861	1994-11-24	VYDAJ	VYBER	11300	40949	\N	\N	\N
546915	1861	1994-12-24	VYDAJ	VYBER	12100	41102	\N	\N	\N
546916	1861	1995-01-23	VYDAJ	VYBER	7900	40808	\N	\N	\N
546917	1861	1995-02-22	VYDAJ	VYBER	10700	42508	\N	\N	\N
546918	1861	1995-03-24	VYDAJ	VYBER	5700	49211	\N	\N	\N
546919	1861	1995-04-23	VYDAJ	VYBER	12800	46063	\N	\N	\N
546920	1861	1995-05-23	VYDAJ	VYBER	11200	47287	\N	\N	\N
546921	1861	1995-06-22	VYDAJ	VYBER	16600	50763	\N	\N	\N
546922	1861	1995-07-22	VYDAJ	VYBER	9600	53610	\N	\N	\N
546923	1861	1995-08-21	VYDAJ	VYBER	9800	55173	\N	\N	\N
546924	1861	1995-09-20	VYDAJ	VYBER	11200	54742	\N	\N	\N
546925	1861	1995-10-20	VYDAJ	VYBER	12800	51392	\N	\N	\N
546926	1861	1995-11-19	VYDAJ	VYBER	8700	51413	\N	\N	\N
546927	1861	1995-12-19	VYDAJ	VYBER	12200	59298	\N	\N	\N
546928	1861	1996-01-18	VYDAJ	VYBER	7500	51939	\N	\N	\N
546929	1861	1996-02-17	VYDAJ	VYBER	8900	55472	\N	\N	\N
546930	1861	1996-03-18	VYDAJ	VYBER	10000	57914	\N	\N	\N
546931	1861	1996-04-17	VYDAJ	VYBER	12900	57470	\N	\N	\N
546932	1861	1996-05-17	VYDAJ	VYBER	14700	53550	\N	\N	\N
546933	1861	1996-06-16	VYDAJ	VYBER	12300	57392	\N	\N	\N
546934	1861	1996-07-16	PRIJEM	VKLAD	1200	38190	\N	\N	\N
546935	1861	1996-08-15	VYDAJ	VYBER	3200	41086	\N	\N	\N
546936	1861	1996-09-14	VYDAJ	VYBER	9100	44355	\N	\N	\N
546937	1861	1996-10-14	VYDAJ	VYBER	9400	47347	\N	\N	\N
546938	1861	1996-11-13	VYDAJ	VYBER	8900	50852	\N	\N	\N
546939	1861	1996-12-13	VYDAJ	VYBER	14700	53463	\N	\N	\N
546940	1861	1997-01-12	VYDAJ	VYBER	9300	52759	\N	\N	\N
546941	1861	1997-02-11	VYDAJ	VYBER	6300	54232	\N	\N	\N
546942	1861	1997-03-13	VYDAJ	VYBER	11300	55357	\N	\N	\N
546943	1861	1997-04-12	VYDAJ	VYBER	8500	57375	\N	\N	\N
546944	1861	1997-05-12	VYDAJ	VYBER	16300	53516	\N	\N	\N
546945	1861	1997-06-11	VYDAJ	VYBER	14300	59307	\N	\N	\N
546946	1861	1997-07-11	VYDAJ	VYBER	10000	54870	\N	\N	\N
546947	1861	1997-08-10	VYDAJ	VYBER	7800	59501	\N	\N	\N
546948	1861	1997-09-09	VYDAJ	VYBER	11900	61567	\N	\N	\N
546949	1861	1997-10-09	VYDAJ	VYBER	3000	62484	\N	\N	\N
546950	1861	1997-11-08	VYDAJ	VYBER	4800	65200	\N	\N	\N
546951	1861	1997-12-08	VYDAJ	VYBER	9700	71533	\N	\N	\N
546952	1861	1998-01-07	VYDAJ	VYBER	2400	63776	\N	\N	\N
546953	1861	1998-02-06	VYDAJ	VYBER	6300	69934	\N	\N	\N
546954	1861	1998-03-08	VYDAJ	VYBER	6000	71974	\N	\N	\N
546955	1861	1998-04-07	VYDAJ	VYBER	11600	72861	\N	\N	\N
546956	1861	1998-05-07	VYDAJ	VYBER	5300	76093	\N	\N	\N
546957	1861	1998-06-06	VYDAJ	VYBER	15000	81250	\N	\N	\N
546958	1861	1998-07-06	PRIJEM	VKLAD	4200	48255	\N	\N	\N
546959	1861	1998-08-05	PRIJEM	VKLAD	6200	66892	\N	\N	\N
546960	1861	1998-09-04	VYDAJ	VYBER	1900	71848	\N	\N	\N
546961	1861	1998-10-04	VYDAJ	VYBER	4900	73586	\N	\N	\N
546962	1861	1998-11-03	VYDAJ	VYBER	6700	76673	\N	\N	\N
546963	1861	1998-12-03	VYDAJ	VYBER	15700	73534	\N	\N	\N
547030	1862	1995-04-15	PRIJEM	VKLAD	500	500	\N	\N	\N
547035	1862	1995-05-08	PRIJEM	PREVOD Z UCTU	39610	40110	\N	EF	6030250
547036	1862	1995-06-08	PRIJEM	PREVOD Z UCTU	59415	94104	\N	EF	6030250
547037	1862	1995-07-08	PRIJEM	PREVOD Z UCTU	39610	99417	\N	EF	6030250
547038	1862	1995-08-08	PRIJEM	PREVOD Z UCTU	39610	102283	\N	EF	6030250
547039	1862	1995-09-08	PRIJEM	PREVOD Z UCTU	39610	104859	\N	EF	6030250
547040	1862	1995-10-08	PRIJEM	PREVOD Z UCTU	39610	101711	\N	EF	6030250
547041	1862	1995-11-08	PRIJEM	PREVOD Z UCTU	39610	83188	\N	EF	6030250
547042	1862	1995-12-08	PRIJEM	PREVOD Z UCTU	59415	98179	\N	EF	6030250
547043	1862	1996-01-08	PRIJEM	PREVOD Z UCTU	39610	95182	\N	EF	6030250
547044	1862	1996-02-08	PRIJEM	PREVOD Z UCTU	39610	65858	\N	EF	6030250
547045	1862	1996-03-08	PRIJEM	PREVOD Z UCTU	39610	86509	\N	EF	6030250
547046	1862	1996-04-08	PRIJEM	PREVOD Z UCTU	39610	88028	\N	EF	6030250
547047	1862	1996-05-08	PRIJEM	PREVOD Z UCTU	39610	64493	\N	EF	6030250
547048	1862	1996-06-08	PRIJEM	PREVOD Z UCTU	59415	94658	\N	EF	6030250
547049	1862	1996-07-08	PRIJEM	PREVOD Z UCTU	39610	96352	\N	EF	6030250
547050	1862	1996-08-08	PRIJEM	PREVOD Z UCTU	39610	79906	\N	EF	6030250
547051	1862	1996-09-08	PRIJEM	PREVOD Z UCTU	39610	85247	\N	EF	6030250
547052	1862	1996-10-08	PRIJEM	PREVOD Z UCTU	39610	88610	\N	EF	6030250
547053	1862	1996-11-08	PRIJEM	PREVOD Z UCTU	39610	98028	\N	EF	6030250
547054	1862	1996-12-08	PRIJEM	PREVOD Z UCTU	59415	96845	\N	EF	6030250
547055	1862	1997-01-08	PRIJEM	PREVOD Z UCTU	39610	78520	\N	EF	6030250
547056	1862	1997-02-08	PRIJEM	PREVOD Z UCTU	39610	58457	\N	EF	6030250
547057	1862	1997-03-08	PRIJEM	PREVOD Z UCTU	39610	70391	\N	EF	6030250
547058	1862	1997-04-08	PRIJEM	PREVOD Z UCTU	39610	88421	\N	EF	6030250
547059	1862	1997-05-08	PRIJEM	PREVOD Z UCTU	39610	66719	\N	EF	6030250
547060	1862	1997-06-08	PRIJEM	PREVOD Z UCTU	59415	88529	\N	EF	6030250
547061	1862	1997-07-08	PRIJEM	PREVOD Z UCTU	39610	76608	\N	EF	6030250
547062	1862	1997-08-08	PRIJEM	PREVOD Z UCTU	39610	85634	\N	EF	6030250
547063	1862	1997-09-08	PRIJEM	PREVOD Z UCTU	39610	86777	\N	EF	6030250
547064	1862	1997-10-08	PRIJEM	PREVOD Z UCTU	39610	82286	\N	EF	6030250
547065	1862	1997-11-08	PRIJEM	PREVOD Z UCTU	39610	76930	\N	EF	6030250
547066	1862	1997-12-08	PRIJEM	PREVOD Z UCTU	59415	117897	\N	EF	6030250
547067	1862	1998-01-08	PRIJEM	PREVOD Z UCTU	39610	61001	\N	EF	6030250
547068	1862	1998-02-08	PRIJEM	PREVOD Z UCTU	39610	71454	\N	EF	6030250
547069	1862	1998-03-08	PRIJEM	PREVOD Z UCTU	39610	87669	\N	EF	6030250
547070	1862	1998-04-08	PRIJEM	PREVOD Z UCTU	39610	78443	\N	EF	6030250
547071	1862	1998-05-08	PRIJEM	PREVOD Z UCTU	39610	97894	\N	EF	6030250
547072	1862	1998-06-08	PRIJEM	PREVOD Z UCTU	59415	120872	\N	EF	6030250
547073	1862	1998-07-08	PRIJEM	PREVOD Z UCTU	39610	81100	\N	EF	6030250
547074	1862	1998-08-08	PRIJEM	PREVOD Z UCTU	39610	94424	\N	EF	6030250
547075	1862	1998-09-08	PRIJEM	PREVOD Z UCTU	39610	97515	\N	EF	6030250
547076	1862	1998-10-08	PRIJEM	PREVOD Z UCTU	39610	90116	\N	EF	6030250
547077	1862	1998-11-08	PRIJEM	PREVOD Z UCTU	39610	96966	\N	EF	6030250
547078	1862	1998-12-08	PRIJEM	PREVOD Z UCTU	59415	106251	\N	EF	6030250
547087	1862	1995-09-10	VYDAJ	VYBER	6800	98059	\N	\N	0
547088	1862	1995-10-16	VYDAJ	VYBER	5100	49774	\N	\N	0
547089	1862	1995-11-06	VYDAJ	VYBER	6400	43578	\N	\N	0
547090	1862	1995-12-18	VYDAJ	VYBER	5800	58979	\N	\N	0
547091	1862	1996-01-18	VYDAJ	VYBER	6100	37382	\N	\N	0
547092	1862	1996-02-10	VYDAJ	VYBER	4400	46758	\N	\N	0
547093	1862	1996-03-08	VYDAJ	VYBER	6300	80209	\N	\N	0
547094	1862	1996-04-06	VYDAJ	VYBER	9900	48418	\N	\N	0
547095	1862	1996-05-13	VYDAJ	VYBER	5700	44693	\N	\N	0
547096	1862	1996-06-08	VYDAJ	VYBER	6000	56558	\N	\N	0
547097	1862	1996-07-10	VYDAJ	VYBER	6300	45993	\N	\N	0
547098	1862	1996-08-26	VYDAJ	VYBER	6700	58506	\N	\N	0
547099	1862	1996-09-12	VYDAJ	VYBER	6300	78947	\N	\N	0
547100	1862	1996-10-18	VYDAJ	VYBER	5000	83610	\N	\N	0
547101	1862	1996-11-12	VYDAJ	PREVOD NA UCET	6602	79961	UVER	YZ	95449792
547102	1862	1996-12-12	VYDAJ	PREVOD NA UCET	6602	63343	UVER	YZ	95449792
547103	1862	1997-01-12	VYDAJ	PREVOD NA UCET	6602	71918	UVER	YZ	95449792
547104	1862	1997-02-12	VYDAJ	PREVOD NA UCET	6602	51855	UVER	YZ	95449792
547105	1862	1997-03-12	VYDAJ	PREVOD NA UCET	6602	63789	UVER	YZ	95449792
547106	1862	1997-04-12	VYDAJ	PREVOD NA UCET	6602	79248	UVER	YZ	95449792
547107	1862	1997-05-12	VYDAJ	PREVOD NA UCET	6602	60117	UVER	YZ	95449792
547108	1862	1997-06-12	VYDAJ	PREVOD NA UCET	6602	39028	UVER	YZ	95449792
547109	1862	1997-07-12	VYDAJ	PREVOD NA UCET	6602	70006	UVER	YZ	95449792
547110	1862	1997-08-12	VYDAJ	PREVOD NA UCET	6602	79033	UVER	YZ	95449792
547111	1862	1997-09-12	VYDAJ	PREVOD NA UCET	6602	80175	UVER	YZ	95449792
547112	1862	1997-10-12	VYDAJ	PREVOD NA UCET	6602	60603	UVER	YZ	95449792
547113	1862	1997-11-12	VYDAJ	PREVOD NA UCET	6602	70329	UVER	YZ	95449792
547114	1862	1997-12-12	VYDAJ	PREVOD NA UCET	6602	49196	UVER	YZ	95449792
547115	1862	1998-01-12	VYDAJ	PREVOD NA UCET	6602	54399	UVER	YZ	95449792
547116	1862	1998-02-12	VYDAJ	PREVOD NA UCET	6602	64852	UVER	YZ	95449792
547117	1862	1998-03-12	VYDAJ	PREVOD NA UCET	6602	81067	UVER	YZ	95449792
547118	1862	1998-04-12	VYDAJ	PREVOD NA UCET	6602	71841	UVER	YZ	95449792
547119	1862	1998-05-12	VYDAJ	PREVOD NA UCET	6602	91293	UVER	YZ	95449792
547120	1862	1998-06-12	VYDAJ	PREVOD NA UCET	6602	64670	UVER	YZ	95449792
547121	1862	1998-07-12	VYDAJ	PREVOD NA UCET	6602	74498	UVER	YZ	95449792
547122	1862	1998-08-12	VYDAJ	PREVOD NA UCET	6602	87822	UVER	YZ	95449792
547123	1862	1998-09-12	VYDAJ	PREVOD NA UCET	6602	90913	UVER	YZ	95449792
547124	1862	1998-10-12	VYDAJ	PREVOD NA UCET	6602	83515	UVER	YZ	95449792
547125	1862	1998-11-12	VYDAJ	PREVOD NA UCET	6602	90365	UVER	YZ	95449792
547126	1862	1998-12-12	VYDAJ	PREVOD NA UCET	6602	99649	UVER	YZ	95449792
547128	1862	1995-10-15	VYBER	VYBER	14937	54874	\N	\N	\N
547132	1862	1996-11-29	VYBER	VYBER	3040	50336	\N	\N	\N
547133	1862	1996-10-02	VYBER	VYBER	10515	63900	\N	\N	\N
547134	1862	1996-11-24	VYBER	VYBER	13985	53376	\N	\N	\N
547135	1862	1996-11-12	VYBER	VYBER	11466	86562	\N	\N	\N
547136	1862	1996-12-11	VYBER	VYBER	18516	69944	\N	\N	\N
547137	1862	1996-07-10	VYBER	VYBER	15959	52293	\N	\N	\N
547138	1862	1996-12-09	VYBER	VYBER	8385	88460	\N	\N	\N
547139	1862	1996-05-04	VYBER	VYBER	21643	24883	\N	\N	\N
547140	1862	1996-01-30	VYBER	VYBER	11305	26077	\N	\N	\N
547141	1862	1996-09-20	VYBER	VYBER	4806	74141	\N	\N	\N
547142	1862	1997-02-26	VYBER	VYBER	16727	28828	\N	\N	\N
547143	1862	1997-09-18	VYBER	VYBER	19347	60828	\N	\N	\N
547144	1862	1997-06-03	VYBER	VYBER	24560	29114	\N	\N	\N
547145	1862	1997-01-30	VYBER	VYBER	9676	34042	\N	\N	\N
547146	1862	1997-04-29	VYBER	VYBER	20952	17893	\N	\N	\N
547147	1862	1997-10-12	VYBER	VYBER	15081	67205	\N	\N	\N
547148	1862	1997-08-26	VYBER	VYBER	19526	59507	\N	\N	\N
547149	1862	1997-01-04	VYBER	VYBER	11554	49010	\N	\N	\N
547150	1862	1997-04-11	VYBER	VYBER	2572	85849	\N	\N	\N
547151	1862	1997-09-27	VYBER	VYBER	15088	45740	\N	\N	\N
547152	1862	1997-02-07	VYBER	VYBER	13409	18847	\N	\N	\N
547153	1862	1997-04-25	VYBER	VYBER	15914	38845	\N	\N	\N
547154	1862	1997-04-18	VYBER	VYBER	24489	54759	\N	\N	\N
547155	1862	1997-04-04	VYBER	VYBER	10483	53511	\N	\N	\N
547156	1862	1998-08-13	VYBER	VYBER	18144	69678	\N	\N	\N
547157	1862	1998-02-13	VYBER	VYBER	10193	54659	\N	\N	\N
547158	1862	1998-11-28	VYBER	VYBER	15208	52339	\N	\N	\N
547159	1862	1998-11-14	VYBER	VYBER	2018	88347	\N	\N	\N
547160	1862	1998-09-29	VYBER	VYBER	13877	50236	\N	\N	\N
547161	1862	1998-02-04	VYBER	VYBER	19246	31844	\N	\N	\N
547162	1862	1998-12-17	VYBER	VYBER	17818	81831	\N	\N	\N
547163	1862	1998-12-02	VYBER	VYBER	5764	46836	\N	\N	\N
547164	1862	1998-05-13	VYBER	VYBER	7903	83390	\N	\N	\N
547165	1862	1998-03-30	VYBER	VYBER	22281	58786	\N	\N	\N
547168	1862	1997-06-12	VYDAJ	VYBER	42900	45629	\N	\N	\N
547169	1862	1998-06-20	VYDAJ	VYBER	18300	37970	\N	\N	\N
547171	1862	1996-01-17	VYDAJ	VYBER	20700	43482	\N	\N	\N
547172	1862	1997-01-22	VYDAJ	VYBER	28200	43718	\N	\N	\N
547173	1862	1998-01-05	VYDAJ	VYBER	28800	21391	\N	\N	\N
547174	1862	1995-12-30	VYDAJ	VYBER	3600	55379	\N	\N	\N
547175	1862	1996-12-17	VYDAJ	VYBER	3000	60343	\N	\N	\N
547176	1862	1997-12-08	VYDAJ	VYBER	5400	55797	\N	\N	\N
547177	1862	1998-12-21	VYDAJ	VYBER	6600	75231	\N	\N	\N
547178	1862	1995-11-18	VYDAJ	VYBER	2400	49388	\N	\N	\N
547181	1862	1995-11-20	VYDAJ	VYBER	10800	38588	\N	\N	\N
547184	1862	1996-04-23	VYDAJ	VYBER	5100	46328	\N	\N	\N
547185	1862	1996-08-15	VYDAJ	VYBER	14700	65206	\N	\N	\N
547186	1862	1996-04-16	VYDAJ	VYBER	8100	51428	\N	\N	\N
547187	1862	1996-05-28	VYDAJ	VYBER	4800	35093	\N	\N	\N
547188	1862	1996-12-03	VYDAJ	VYBER	5100	45530	\N	\N	\N
547189	1862	1996-05-17	VYDAJ	VYBER	4800	39893	\N	\N	\N
547190	1862	1996-11-22	VYDAJ	VYBER	12600	67361	\N	\N	\N
547191	1862	1997-08-29	VYDAJ	VYBER	5100	54407	\N	\N	\N
547192	1862	1997-11-06	VYDAJ	VYBER	14700	37320	\N	\N	\N
547193	1862	1997-07-24	VYDAJ	VYBER	14400	55606	\N	\N	\N
547194	1862	1997-02-21	VYDAJ	VYBER	6300	45555	\N	\N	\N
547195	1862	1997-03-01	VYDAJ	VYBER	4800	24181	\N	\N	\N
547196	1862	1997-05-16	VYDAJ	VYBER	11400	48717	\N	\N	\N
547197	1862	1998-04-04	VYDAJ	VYBER	11400	38833	\N	\N	\N
547198	1862	1998-06-17	VYDAJ	VYBER	8400	56270	\N	\N	\N
547208	1862	1995-09-30	VYDAJ	VYBER	30	62101	SLUZBY	\N	\N
547209	1862	1995-10-31	VYDAJ	VYBER	30	49978	SLUZBY	\N	\N
547210	1862	1995-11-30	VYDAJ	VYBER	30	38764	SLUZBY	\N	\N
547211	1862	1995-12-31	VYDAJ	VYBER	30	55572	SLUZBY	\N	\N
547212	1862	1996-01-31	VYDAJ	VYBER	30	26248	SLUZBY	\N	\N
547213	1862	1996-02-29	VYDAJ	VYBER	30	46899	SLUZBY	\N	\N
547214	1862	1996-03-31	VYDAJ	VYBER	30	58318	SLUZBY	\N	\N
547215	1862	1996-04-30	VYDAJ	VYBER	30	46526	SLUZBY	\N	\N
547216	1862	1996-05-31	VYDAJ	VYBER	30	35243	SLUZBY	\N	\N
547217	1862	1996-06-30	VYDAJ	VYBER	30	56742	SLUZBY	\N	\N
547218	1862	1996-07-31	VYDAJ	VYBER	30	46196	SLUZBY	\N	\N
547219	1862	1996-08-31	VYDAJ	VYBER	30	58737	SLUZBY	\N	\N
547220	1862	1996-09-30	VYDAJ	VYBER	30	74415	SLUZBY	\N	\N
547221	1862	1996-10-31	VYDAJ	VYBER	30	83918	SLUZBY	\N	\N
547222	1862	1996-11-30	VYDAJ	VYBER	30	50630	SLUZBY	\N	\N
547223	1862	1996-12-31	VYDAJ	VYBER	30	60564	SLUZBY	\N	\N
547224	1862	1997-01-31	VYDAJ	VYBER	30	34256	SLUZBY	\N	\N
547225	1862	1997-02-28	VYDAJ	VYBER	30	28981	SLUZBY	\N	\N
547226	1862	1997-03-31	VYDAJ	VYBER	30	63994	SLUZBY	\N	\N
547227	1862	1997-04-30	VYDAJ	VYBER	30	18109	SLUZBY	\N	\N
547228	1862	1997-05-31	VYDAJ	VYBER	30	48874	SLUZBY	\N	\N
547229	1862	1997-06-30	VYDAJ	VYBER	30	39198	SLUZBY	\N	\N
547230	1862	1997-07-31	VYDAJ	VYBER	30	55824	SLUZBY	\N	\N
547231	1862	1997-08-31	VYDAJ	VYBER	30	54667	SLUZBY	\N	\N
547232	1862	1997-09-30	VYDAJ	VYBER	30	45976	SLUZBY	\N	\N
547233	1862	1997-10-31	VYDAJ	VYBER	30	60820	SLUZBY	\N	\N
547234	1862	1997-11-30	VYDAJ	VYBER	30	70582	SLUZBY	\N	\N
547235	1862	1997-12-31	VYDAJ	VYBER	30	50191	SLUZBY	\N	\N
547236	1862	1998-01-31	VYDAJ	VYBER	30	51090	SLUZBY	\N	\N
547237	1862	1998-02-28	VYDAJ	VYBER	30	54859	SLUZBY	\N	\N
547238	1862	1998-03-31	VYDAJ	VYBER	30	50233	SLUZBY	\N	\N
547239	1862	1998-04-30	VYDAJ	VYBER	30	58284	SLUZBY	\N	\N
547240	1862	1998-05-31	VYDAJ	VYBER	30	61457	SLUZBY	\N	\N
547241	1862	1998-06-30	VYDAJ	VYBER	30	41490	SLUZBY	\N	\N
547242	1862	1998-07-31	VYDAJ	VYBER	30	54814	SLUZBY	\N	\N
547243	1862	1998-08-31	VYDAJ	VYBER	30	57905	SLUZBY	\N	\N
547244	1862	1998-09-30	VYDAJ	VYBER	30	50506	SLUZBY	\N	\N
547245	1862	1998-10-31	VYDAJ	VYBER	30	57356	SLUZBY	\N	\N
547246	1862	1998-11-30	VYDAJ	VYBER	30	52600	SLUZBY	\N	\N
547247	1862	1995-05-15	VYDAJ	VYBER	5500	34610	\N	\N	\N
547248	1862	1995-06-14	VYDAJ	VYBER	34500	59604	\N	\N	\N
547249	1862	1995-07-14	VYDAJ	VYBER	37000	62417	\N	\N	\N
547250	1862	1995-08-13	VYDAJ	VYBER	37300	64983	\N	\N	\N
547251	1862	1995-09-12	VYDAJ	VYBER	36200	61859	\N	\N	\N
547252	1862	1995-10-12	VYDAJ	VYBER	31900	69811	\N	\N	\N
547253	1862	1995-11-11	VYDAJ	VYBER	31400	51788	\N	\N	\N
547254	1862	1995-12-11	VYDAJ	VYBER	33400	64779	\N	\N	\N
547255	1862	1996-01-10	VYDAJ	VYBER	31000	64182	\N	\N	\N
547256	1862	1996-02-09	VYDAJ	VYBER	14700	51158	\N	\N	\N
547257	1862	1996-03-10	VYDAJ	VYBER	22100	58109	\N	\N	\N
547258	1862	1996-04-09	VYDAJ	VYBER	28500	59528	\N	\N	\N
547259	1862	1996-05-09	VYDAJ	VYBER	14100	50393	\N	\N	\N
547260	1862	1996-06-08	VYDAJ	VYBER	32100	62558	\N	\N	\N
547261	1862	1996-07-08	VYDAJ	VYBER	28100	68252	\N	\N	\N
547262	1862	1996-08-07	VYDAJ	VYBER	5900	40296	\N	\N	\N
547263	1862	1996-09-06	VYDAJ	VYBER	13100	45637	\N	\N	\N
547264	1862	1996-10-06	VYDAJ	VYBER	14900	49000	\N	\N	\N
547265	1862	1996-11-05	VYDAJ	VYBER	25500	58418	\N	\N	\N
547266	1862	1996-12-05	VYDAJ	VYBER	8100	37430	\N	\N	\N
547267	1862	1997-01-04	VYDAJ	VYBER	10100	38910	\N	\N	\N
547268	1862	1997-02-03	VYDAJ	VYBER	2000	32256	\N	\N	\N
547269	1862	1997-03-05	PRIJEM	VKLAD	6600	30781	\N	\N	\N
547270	1862	1997-04-04	VYDAJ	VYBER	4700	48811	\N	\N	\N
547271	1862	1997-05-04	PRIJEM	VKLAD	9000	27109	\N	\N	\N
547272	1862	1997-06-03	PRIJEM	VKLAD	4800	53674	\N	\N	\N
547273	1862	1997-07-03	VYDAJ	VYBER KARTOU	2200	36998	\N	\N	0
547274	1862	1997-08-02	VYDAJ	VYBER	9800	46024	\N	\N	\N
547275	1862	1997-09-01	VYDAJ	VYBER	7500	47167	\N	\N	\N
547276	1862	1997-10-01	VYDAJ	VYBER KARTOU	3300	42676	\N	\N	0
547277	1862	1997-10-31	VYDAJ	VYBER	8800	52020	\N	\N	\N
547278	1862	1997-11-30	VYDAJ	VYBER	12100	58482	\N	\N	\N
547279	1862	1997-12-08	VYDAJ	VYBER	56700	61197	\N	\N	\N
547280	1862	1997-12-30	PRIJEM	VKLAD	800	49996	\N	\N	\N
547281	1862	1998-01-29	VYDAJ	VYBER KARTOU	3500	50899	\N	\N	0
547282	1862	1998-02-28	VYDAJ	VYBER	6800	48059	\N	\N	\N
547283	1862	1998-03-30	VYDAJ	VYBER	8800	49986	\N	\N	\N
547284	1862	1998-04-29	VYDAJ	VYBER	13800	58041	\N	\N	\N
547285	1862	1998-05-29	VYDAJ	VYBER	22200	61190	\N	\N	\N
547286	1862	1998-06-08	VYDAJ	VYBER	49600	71272	\N	\N	\N
547287	1862	1998-06-28	PRIJEM	VKLAD	3300	41270	\N	\N	\N
547288	1862	1998-07-28	VYDAJ	VYBER	19900	54598	\N	\N	\N
547289	1862	1998-08-27	VYDAJ	VYBER	12000	57678	\N	\N	\N
547290	1862	1998-09-26	VYDAJ	VYBER	26800	64113	\N	\N	\N
547291	1862	1998-10-26	VYDAJ	VYBER	26400	57115	\N	\N	\N
547292	1862	1998-11-25	VYDAJ	VYBER	20800	67547	\N	\N	\N
547337	1863	1997-04-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
547341	1863	1997-04-08	PRIJEM	VKLAD	7003	8103	\N	\N	\N
547342	1863	1997-05-08	PRIJEM	VKLAD	7003	21732	\N	\N	\N
547343	1863	1997-06-08	PRIJEM	VKLAD	10504	33214	\N	\N	\N
547344	1863	1997-07-08	PRIJEM	VKLAD	7003	40413	\N	\N	\N
547345	1863	1997-08-08	PRIJEM	VKLAD	7003	43856	\N	\N	\N
547346	1863	1997-09-08	PRIJEM	VKLAD	7003	41347	\N	\N	\N
547347	1863	1997-10-08	PRIJEM	VKLAD	7003	35203	\N	\N	\N
547348	1863	1997-11-08	PRIJEM	VKLAD	7003	33440	\N	\N	\N
547349	1863	1997-12-08	PRIJEM	VKLAD	10504	38593	\N	\N	\N
547350	1863	1998-01-08	PRIJEM	VKLAD	7003	34160	\N	\N	\N
547351	1863	1998-02-08	PRIJEM	VKLAD	7003	25505	\N	\N	\N
547352	1863	1998-03-08	PRIJEM	VKLAD	7003	29407	\N	\N	\N
547353	1863	1998-04-08	PRIJEM	VKLAD	7003	39653	\N	\N	\N
547354	1863	1998-05-08	PRIJEM	VKLAD	7003	43134	\N	\N	\N
547355	1863	1998-06-08	PRIJEM	VKLAD	10504	39072	\N	\N	\N
547356	1863	1998-07-08	PRIJEM	VKLAD	7003	40154	\N	\N	\N
547357	1863	1998-08-08	PRIJEM	VKLAD	7003	45338	\N	\N	\N
547358	1863	1998-09-08	PRIJEM	VKLAD	7003	52046	\N	\N	\N
547359	1863	1998-10-08	PRIJEM	VKLAD	7003	59684	\N	\N	\N
547360	1863	1998-11-08	PRIJEM	VKLAD	7003	55217	\N	\N	\N
547361	1863	1998-12-08	PRIJEM	VKLAD	10504	56914	\N	\N	\N
547370	1863	1997-09-05	VYDAJ	PREVOD NA UCET	3371	34545	SIPO	GH	79569941
547371	1863	1997-10-05	VYDAJ	PREVOD NA UCET	3371	28401	SIPO	GH	79569941
547372	1863	1997-11-05	VYDAJ	PREVOD NA UCET	3371	26638	SIPO	GH	79569941
547373	1863	1997-12-05	VYDAJ	PREVOD NA UCET	3371	28290	SIPO	GH	79569941
547374	1863	1998-01-05	VYDAJ	PREVOD NA UCET	3371	29758	SIPO	GH	79569941
547375	1863	1998-02-05	VYDAJ	PREVOD NA UCET	3371	18703	SIPO	GH	79569941
547376	1863	1998-03-05	VYDAJ	PREVOD NA UCET	3371	22605	SIPO	GH	79569941
547377	1863	1998-04-05	VYDAJ	PREVOD NA UCET	3371	32851	SIPO	GH	79569941
547378	1863	1998-05-05	VYDAJ	PREVOD NA UCET	3371	36332	SIPO	GH	79569941
547379	1863	1998-06-05	VYDAJ	PREVOD NA UCET	3371	28769	SIPO	GH	79569941
547380	1863	1998-07-05	VYDAJ	PREVOD NA UCET	3371	33352	SIPO	GH	79569941
547381	1863	1998-08-05	VYDAJ	PREVOD NA UCET	3371	38536	SIPO	GH	79569941
547382	1863	1998-09-05	VYDAJ	PREVOD NA UCET	3371	45244	SIPO	GH	79569941
547383	1863	1998-10-05	VYDAJ	PREVOD NA UCET	3371	52882	SIPO	GH	79569941
547384	1863	1998-11-05	VYDAJ	PREVOD NA UCET	3371	48415	SIPO	GH	79569941
547385	1863	1998-12-05	VYDAJ	PREVOD NA UCET	3371	46611	SIPO	GH	79569941
547393	1863	1997-08-08	VYDAJ	PREVOD NA UCET	1096	42760	 	ST	28247505
547394	1863	1997-09-08	VYDAJ	PREVOD NA UCET	1096	40251	 	ST	28247505
547395	1863	1997-10-08	VYDAJ	PREVOD NA UCET	1096	34107	 	ST	28247505
547396	1863	1997-11-08	VYDAJ	PREVOD NA UCET	1096	32344	 	ST	28247505
547397	1863	1997-12-08	VYDAJ	PREVOD NA UCET	1096	37497	 	ST	28247505
547398	1863	1998-01-08	VYDAJ	PREVOD NA UCET	1096	18024	 	ST	28247505
547399	1863	1998-02-08	VYDAJ	PREVOD NA UCET	1096	24409	 	ST	28247505
547400	1863	1998-03-08	VYDAJ	PREVOD NA UCET	1096	28311	 	ST	28247505
547401	1863	1998-04-08	VYDAJ	PREVOD NA UCET	1096	38557	 	ST	28247505
547402	1863	1998-05-08	VYDAJ	PREVOD NA UCET	1096	42038	 	ST	28247505
547403	1863	1998-06-08	VYDAJ	PREVOD NA UCET	1096	37976	 	ST	28247505
547404	1863	1998-07-08	VYDAJ	PREVOD NA UCET	1096	39058	 	ST	28247505
547405	1863	1998-08-08	VYDAJ	PREVOD NA UCET	1096	44242	 	ST	28247505
547406	1863	1998-09-08	VYDAJ	PREVOD NA UCET	1096	50950	 	ST	28247505
547407	1863	1998-10-08	VYDAJ	PREVOD NA UCET	1096	58588	 	ST	28247505
547408	1863	1998-11-08	VYDAJ	PREVOD NA UCET	1096	54121	 	ST	28247505
547409	1863	1998-12-08	VYDAJ	PREVOD NA UCET	1096	55818	 	ST	28247505
547418	1863	1997-09-06	VYDAJ	PREVOD NA UCET	201	34344	POJISTNE	QR	11498463
547419	1863	1997-10-06	VYDAJ	PREVOD NA UCET	201	28200	POJISTNE	QR	11498463
547420	1863	1997-11-06	VYDAJ	PREVOD NA UCET	201	26437	POJISTNE	QR	11498463
547421	1863	1997-12-06	VYDAJ	PREVOD NA UCET	201	28089	POJISTNE	QR	11498463
547422	1863	1998-01-06	VYDAJ	PREVOD NA UCET	201	27157	POJISTNE	QR	11498463
547423	1863	1998-02-06	VYDAJ	PREVOD NA UCET	201	18502	POJISTNE	QR	11498463
547424	1863	1998-03-06	VYDAJ	PREVOD NA UCET	201	22404	POJISTNE	QR	11498463
547425	1863	1998-04-06	VYDAJ	PREVOD NA UCET	201	32650	POJISTNE	QR	11498463
547426	1863	1998-05-06	VYDAJ	PREVOD NA UCET	201	36131	POJISTNE	QR	11498463
547427	1863	1998-06-06	VYDAJ	PREVOD NA UCET	201	28568	POJISTNE	QR	11498463
547428	1863	1998-07-06	VYDAJ	PREVOD NA UCET	201	33151	POJISTNE	QR	11498463
547429	1863	1998-08-06	VYDAJ	PREVOD NA UCET	201	38335	POJISTNE	QR	11498463
547430	1863	1998-09-06	VYDAJ	PREVOD NA UCET	201	45043	POJISTNE	QR	11498463
547431	1863	1998-10-06	VYDAJ	PREVOD NA UCET	201	52681	POJISTNE	QR	11498463
547432	1863	1998-11-06	VYDAJ	PREVOD NA UCET	201	48214	POJISTNE	QR	11498463
547433	1863	1998-12-06	VYDAJ	PREVOD NA UCET	201	46410	POJISTNE	QR	11498463
547435	1863	1998-06-02	VYDAJ	VYBER	12960	32140	\N	\N	\N
547437	1863	1998-01-08	VYDAJ	VYBER	15040	19120	\N	\N	\N
547438	1863	1997-12-16	VYDAJ	VYBER	800	36697	\N	\N	\N
547439	1863	1998-12-02	VYDAJ	VYBER	1280	49982	\N	\N	\N
547447	1863	1998-01-30	VYDAJ	VYBER	1800	22004	\N	\N	\N
547448	1863	1998-01-21	VYDAJ	VYBER	600	13704	\N	\N	\N
547449	1863	1998-01-14	VYDAJ	VYBER	2400	14304	\N	\N	\N
547450	1863	1998-01-06	VYDAJ	VYBER	2400	27358	\N	\N	\N
547451	1863	1998-01-09	VYDAJ	VYBER	1320	16704	\N	\N	\N
547452	1863	1997-10-25	VYDAJ	VYBER	720	33387	\N	\N	\N
547454	1863	1997-09-17	VYDAJ	VYBER	3720	36531	\N	\N	\N
547456	1863	1998-11-16	VYDAJ	VYBER	3960	50161	\N	\N	\N
547457	1863	1998-10-24	VYDAJ	VYBER	4920	51568	\N	\N	\N
547458	1863	1998-07-04	VYDAJ	VYBER	4800	36723	\N	\N	\N
547459	1863	1998-03-03	VYDAJ	VYBER	4920	25976	\N	\N	\N
547468	1863	1997-08-31	VYDAJ	VYBER	15	37916	SLUZBY	\N	\N
547469	1863	1997-09-30	VYDAJ	VYBER	15	31772	SLUZBY	\N	\N
547470	1863	1997-10-31	VYDAJ	VYBER	15	30009	SLUZBY	\N	\N
547471	1863	1997-11-30	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
547472	1863	1997-12-31	VYDAJ	VYBER	15	33129	SLUZBY	\N	\N
547473	1863	1998-01-31	VYDAJ	VYBER	15	22074	SLUZBY	\N	\N
547474	1863	1998-02-28	VYDAJ	VYBER	15	30896	SLUZBY	\N	\N
547475	1863	1998-03-31	VYDAJ	VYBER	15	36222	SLUZBY	\N	\N
547476	1863	1998-04-30	VYDAJ	VYBER	15	39703	SLUZBY	\N	\N
547477	1863	1998-05-31	VYDAJ	VYBER	15	45100	SLUZBY	\N	\N
547478	1863	1998-06-30	VYDAJ	VYBER	15	41523	SLUZBY	\N	\N
547479	1863	1998-07-31	VYDAJ	VYBER	15	41907	SLUZBY	\N	\N
547480	1863	1998-08-31	VYDAJ	VYBER	15	48615	SLUZBY	\N	\N
547481	1863	1998-09-30	VYDAJ	VYBER	15	56253	SLUZBY	\N	\N
547482	1863	1998-10-31	VYDAJ	VYBER	15	51786	SLUZBY	\N	\N
547483	1863	1998-11-30	VYDAJ	VYBER	15	51262	SLUZBY	\N	\N
547484	1863	1997-05-01	PRIJEM	VKLAD	6600	14729	\N	\N	\N
547485	1863	1997-05-31	PRIJEM	VKLAD	900	22632	\N	\N	\N
547486	1863	1997-06-30	PRIJEM	VKLAD	100	33410	\N	\N	\N
547487	1863	1997-07-30	VYDAJ	VYBER	3700	36713	\N	\N	\N
547488	1863	1997-08-29	VYDAJ	VYBER	5000	37760	\N	\N	\N
547489	1863	1997-09-28	VYDAJ	VYBER	4900	31631	\N	\N	\N
547490	1863	1997-10-28	VYDAJ	VYBER	3500	29887	\N	\N	\N
547491	1863	1997-11-27	VYDAJ	VYBER	800	31544	\N	\N	\N
547492	1863	1997-12-27	VYDAJ	VYBER	3700	32997	\N	\N	\N
547493	1863	1998-01-26	PRIJEM	VKLAD	10100	23804	\N	\N	\N
547494	1863	1998-02-25	PRIJEM	VKLAD	6400	30809	\N	\N	\N
547495	1863	1998-03-27	PRIJEM	VKLAD	7800	36111	\N	\N	\N
547496	1863	1998-04-26	PRIJEM	VKLAD	1000	39557	\N	\N	\N
547497	1863	1998-05-26	PRIJEM	VKLAD	2900	44938	\N	\N	\N
547498	1863	1998-06-25	PRIJEM	VKLAD	3400	41376	\N	\N	\N
547499	1863	1998-07-25	PRIJEM	VKLAD	2700	41758	\N	\N	\N
547500	1863	1998-08-24	PRIJEM	VKLAD	4200	48442	\N	\N	\N
547501	1863	1998-09-23	PRIJEM	VKLAD	5100	56050	\N	\N	\N
547502	1863	1998-10-23	VYDAJ	VYBER	2100	56488	\N	\N	\N
547503	1863	1998-11-22	PRIJEM	VKLAD	900	51061	\N	\N	\N
547819	1865	1994-05-04	PRIJEM	VKLAD	800	800	\N	\N	\N
547824	1865	1994-05-05	PRIJEM	PREVOD Z UCTU	6256	7056	DUCHOD	MN	55942565
547825	1865	1994-06-05	PRIJEM	PREVOD Z UCTU	6256	13338	DUCHOD	MN	55942565
547826	1865	1994-07-05	PRIJEM	PREVOD Z UCTU	6256	19623	DUCHOD	MN	55942565
547827	1865	1994-08-05	PRIJEM	PREVOD Z UCTU	6256	25908	DUCHOD	MN	55942565
547828	1865	1994-09-05	PRIJEM	PREVOD Z UCTU	6256	30994	DUCHOD	MN	55942565
547829	1865	1994-10-05	PRIJEM	PREVOD Z UCTU	6256	28773	DUCHOD	MN	55942565
547830	1865	1994-11-05	PRIJEM	PREVOD Z UCTU	6256	29229	DUCHOD	MN	55942565
547831	1865	1994-12-05	PRIJEM	PREVOD Z UCTU	6256	30168	DUCHOD	MN	55942565
547832	1865	1995-01-05	PRIJEM	PREVOD Z UCTU	6256	29750	DUCHOD	MN	55942565
547833	1865	1995-02-05	PRIJEM	PREVOD Z UCTU	6256	25667	DUCHOD	MN	55942565
547834	1865	1995-03-05	PRIJEM	PREVOD Z UCTU	6256	29596	DUCHOD	MN	55942565
547835	1865	1995-04-05	PRIJEM	PREVOD Z UCTU	6256	34035	DUCHOD	MN	55942565
547836	1865	1995-05-05	PRIJEM	PREVOD Z UCTU	6256	34569	DUCHOD	MN	55942565
547837	1865	1995-06-05	PRIJEM	PREVOD Z UCTU	6256	36729	DUCHOD	MN	55942565
547838	1865	1995-07-05	PRIJEM	PREVOD Z UCTU	6256	36757	DUCHOD	MN	55942565
547839	1865	1995-08-05	PRIJEM	PREVOD Z UCTU	6256	38925	DUCHOD	MN	55942565
547840	1865	1995-09-05	PRIJEM	PREVOD Z UCTU	6256	37399	DUCHOD	MN	55942565
547841	1865	1995-10-05	PRIJEM	PREVOD Z UCTU	6256	39870	DUCHOD	MN	55942565
547842	1865	1995-11-05	PRIJEM	PREVOD Z UCTU	6256	38147	DUCHOD	MN	55942565
547843	1865	1995-12-05	PRIJEM	PREVOD Z UCTU	6256	40125	DUCHOD	MN	55942565
547844	1865	1996-01-05	PRIJEM	PREVOD Z UCTU	6256	37993	DUCHOD	MN	55942565
547845	1865	1996-02-05	PRIJEM	PREVOD Z UCTU	6256	24715	DUCHOD	MN	55942565
547846	1865	1996-03-05	PRIJEM	PREVOD Z UCTU	6256	29140	DUCHOD	MN	55942565
547847	1865	1996-04-05	PRIJEM	PREVOD Z UCTU	6256	31880	DUCHOD	MN	55942565
547848	1865	1996-05-05	PRIJEM	PREVOD Z UCTU	6256	33631	DUCHOD	MN	55942565
547849	1865	1996-06-05	PRIJEM	PREVOD Z UCTU	6256	22085	DUCHOD	MN	55942565
547850	1865	1996-07-05	PRIJEM	PREVOD Z UCTU	6256	26499	DUCHOD	MN	55942565
547851	1865	1996-08-05	PRIJEM	PREVOD Z UCTU	6256	30931	DUCHOD	MN	55942565
547852	1865	1996-09-05	PRIJEM	PREVOD Z UCTU	6256	25504	DUCHOD	MN	55942565
547853	1865	1996-10-05	PRIJEM	PREVOD Z UCTU	6256	29933	DUCHOD	MN	55942565
547854	1865	1996-11-05	PRIJEM	PREVOD Z UCTU	6256	29968	DUCHOD	MN	55942565
547855	1865	1996-12-05	PRIJEM	PREVOD Z UCTU	6256	33210	DUCHOD	MN	55942565
547856	1865	1997-01-05	PRIJEM	PREVOD Z UCTU	6256	35410	DUCHOD	MN	55942565
547857	1865	1997-02-05	PRIJEM	PREVOD Z UCTU	6256	32036	DUCHOD	MN	55942565
547858	1865	1997-03-05	PRIJEM	PREVOD Z UCTU	6256	36484	DUCHOD	MN	55942565
547859	1865	1997-04-05	PRIJEM	PREVOD Z UCTU	6256	38347	DUCHOD	MN	55942565
547860	1865	1997-05-05	PRIJEM	PREVOD Z UCTU	6256	39716	DUCHOD	MN	55942565
547861	1865	1997-06-05	PRIJEM	PREVOD Z UCTU	6256	39087	DUCHOD	MN	55942565
547862	1865	1997-07-05	PRIJEM	PREVOD Z UCTU	6256	36294	DUCHOD	MN	55942565
547863	1865	1997-08-05	PRIJEM	PREVOD Z UCTU	6256	34280	DUCHOD	MN	55942565
547864	1865	1997-09-05	PRIJEM	PREVOD Z UCTU	6256	38740	DUCHOD	MN	55942565
547865	1865	1997-10-05	PRIJEM	PREVOD Z UCTU	6256	38510	DUCHOD	MN	55942565
547866	1865	1997-11-05	PRIJEM	PREVOD Z UCTU	6256	41685	DUCHOD	MN	55942565
547867	1865	1997-12-05	PRIJEM	PREVOD Z UCTU	6256	42820	DUCHOD	MN	55942565
547868	1865	1998-01-05	PRIJEM	PREVOD Z UCTU	6256	41586	DUCHOD	MN	55942565
547869	1865	1998-02-05	PRIJEM	PREVOD Z UCTU	6256	33500	DUCHOD	MN	55942565
547870	1865	1998-03-05	PRIJEM	PREVOD Z UCTU	6256	36571	DUCHOD	MN	55942565
547871	1865	1998-04-05	PRIJEM	PREVOD Z UCTU	6256	36830	DUCHOD	MN	55942565
547872	1865	1998-05-05	PRIJEM	PREVOD Z UCTU	6256	35887	DUCHOD	MN	55942565
547873	1865	1998-06-05	PRIJEM	PREVOD Z UCTU	6256	30211	DUCHOD	MN	55942565
547874	1865	1998-07-05	PRIJEM	PREVOD Z UCTU	6256	27188	DUCHOD	MN	55942565
547875	1865	1998-08-05	PRIJEM	PREVOD Z UCTU	6256	27204	DUCHOD	MN	55942565
547876	1865	1998-09-05	PRIJEM	PREVOD Z UCTU	6256	28524	DUCHOD	MN	55942565
547877	1865	1998-10-05	PRIJEM	PREVOD Z UCTU	6256	24433	DUCHOD	MN	55942565
547878	1865	1998-11-05	PRIJEM	PREVOD Z UCTU	6256	28848	DUCHOD	MN	55942565
547879	1865	1998-12-05	PRIJEM	PREVOD Z UCTU	6256	25057	DUCHOD	MN	55942565
547888	1865	1994-09-05	VYDAJ	PREVOD NA UCET	1915	29079	SIPO	EF	61108732
547889	1865	1994-10-05	VYDAJ	PREVOD NA UCET	1915	26858	SIPO	EF	61108732
547890	1865	1994-11-05	VYDAJ	PREVOD NA UCET	1915	27314	SIPO	EF	61108732
547891	1865	1994-12-05	VYDAJ	PREVOD NA UCET	1915	28253	SIPO	EF	61108732
547892	1865	1995-01-05	VYDAJ	PREVOD NA UCET	1915	27835	SIPO	EF	61108732
547893	1865	1995-02-05	VYDAJ	PREVOD NA UCET	1915	23752	SIPO	EF	61108732
547894	1865	1995-03-05	VYDAJ	PREVOD NA UCET	1915	27681	SIPO	EF	61108732
547895	1865	1995-04-05	VYDAJ	PREVOD NA UCET	1915	32120	SIPO	EF	61108732
547896	1865	1995-05-05	VYDAJ	PREVOD NA UCET	1915	32654	SIPO	EF	61108732
547897	1865	1995-06-05	VYDAJ	PREVOD NA UCET	1915	34814	SIPO	EF	61108732
547898	1865	1995-07-05	VYDAJ	PREVOD NA UCET	1915	34842	SIPO	EF	61108732
547899	1865	1995-08-05	VYDAJ	PREVOD NA UCET	1915	37010	SIPO	EF	61108732
547900	1865	1995-09-05	VYDAJ	PREVOD NA UCET	1915	35484	SIPO	EF	61108732
547901	1865	1995-10-05	VYDAJ	PREVOD NA UCET	1915	37955	SIPO	EF	61108732
547902	1865	1995-11-05	VYDAJ	PREVOD NA UCET	1915	36232	SIPO	EF	61108732
547903	1865	1995-12-05	VYDAJ	PREVOD NA UCET	1915	38210	SIPO	EF	61108732
547904	1865	1996-01-05	VYDAJ	PREVOD NA UCET	1915	36078	SIPO	EF	61108732
547905	1865	1996-02-05	VYDAJ	PREVOD NA UCET	1915	22800	SIPO	EF	61108732
547906	1865	1996-03-05	VYDAJ	PREVOD NA UCET	1915	27225	SIPO	EF	61108732
547907	1865	1996-04-05	VYDAJ	PREVOD NA UCET	1915	29965	SIPO	EF	61108732
547908	1865	1996-05-05	VYDAJ	PREVOD NA UCET	1915	31716	SIPO	EF	61108732
547909	1865	1996-06-05	VYDAJ	PREVOD NA UCET	1915	20170	SIPO	EF	61108732
547910	1865	1996-07-05	VYDAJ	PREVOD NA UCET	1915	24584	SIPO	EF	61108732
547911	1865	1996-08-05	VYDAJ	PREVOD NA UCET	1915	29016	SIPO	EF	61108732
547912	1865	1996-09-05	VYDAJ	PREVOD NA UCET	1915	23589	SIPO	EF	61108732
547913	1865	1996-10-05	VYDAJ	PREVOD NA UCET	1915	28018	SIPO	EF	61108732
547914	1865	1996-11-05	VYDAJ	PREVOD NA UCET	1915	28053	SIPO	EF	61108732
547915	1865	1996-12-05	VYDAJ	PREVOD NA UCET	1915	31295	SIPO	EF	61108732
547916	1865	1997-01-05	VYDAJ	PREVOD NA UCET	1915	31815	SIPO	EF	61108732
547917	1865	1997-02-05	VYDAJ	PREVOD NA UCET	1915	30121	SIPO	EF	61108732
547918	1865	1997-03-05	VYDAJ	PREVOD NA UCET	1915	34569	SIPO	EF	61108732
547919	1865	1997-04-05	VYDAJ	PREVOD NA UCET	1915	36432	SIPO	EF	61108732
547920	1865	1997-05-05	VYDAJ	PREVOD NA UCET	1915	37801	SIPO	EF	61108732
547921	1865	1997-06-05	VYDAJ	PREVOD NA UCET	1915	37172	SIPO	EF	61108732
547922	1865	1997-07-05	VYDAJ	PREVOD NA UCET	1915	34379	SIPO	EF	61108732
547923	1865	1997-08-05	VYDAJ	PREVOD NA UCET	1915	32365	SIPO	EF	61108732
547924	1865	1997-09-05	VYDAJ	PREVOD NA UCET	1915	36825	SIPO	EF	61108732
547925	1865	1997-10-05	VYDAJ	PREVOD NA UCET	1915	36595	SIPO	EF	61108732
547926	1865	1997-11-05	VYDAJ	PREVOD NA UCET	1915	39770	SIPO	EF	61108732
547927	1865	1997-12-05	VYDAJ	PREVOD NA UCET	1915	40905	SIPO	EF	61108732
547928	1865	1998-01-05	VYDAJ	PREVOD NA UCET	1915	39671	SIPO	EF	61108732
547929	1865	1998-02-05	VYDAJ	PREVOD NA UCET	1915	31585	SIPO	EF	61108732
547930	1865	1998-03-05	VYDAJ	PREVOD NA UCET	1915	34656	SIPO	EF	61108732
547931	1865	1998-04-05	VYDAJ	PREVOD NA UCET	1915	34915	SIPO	EF	61108732
547932	1865	1998-05-05	VYDAJ	PREVOD NA UCET	1915	33972	SIPO	EF	61108732
547933	1865	1998-06-05	VYDAJ	PREVOD NA UCET	1915	28296	SIPO	EF	61108732
547934	1865	1998-07-05	VYDAJ	PREVOD NA UCET	1915	25273	SIPO	EF	61108732
547935	1865	1998-08-05	VYDAJ	PREVOD NA UCET	1915	25289	SIPO	EF	61108732
547936	1865	1998-09-05	VYDAJ	PREVOD NA UCET	1915	26609	SIPO	EF	61108732
547937	1865	1998-10-05	VYDAJ	PREVOD NA UCET	1915	22518	SIPO	EF	61108732
547938	1865	1998-11-05	VYDAJ	PREVOD NA UCET	1915	26933	SIPO	EF	61108732
547939	1865	1998-12-05	VYDAJ	PREVOD NA UCET	1915	23142	SIPO	EF	61108732
547941	1865	1995-06-04	VYDAJ	VYBER	2200	30473	\N	\N	\N
547942	1865	1996-06-03	VYDAJ	VYBER	10900	15829	\N	\N	\N
547943	1865	1997-06-09	VYDAJ	VYBER	3250	31122	\N	\N	\N
547944	1865	1998-06-20	VYDAJ	VYBER	4350	20846	\N	\N	\N
547946	1865	1995-01-06	VYDAJ	VYBER	4100	23735	\N	\N	\N
547947	1865	1996-01-18	VYDAJ	VYBER	1400	24998	\N	\N	\N
547948	1865	1997-01-22	VYDAJ	VYBER	2150	27665	\N	\N	\N
547949	1865	1998-01-20	VYDAJ	VYBER	900	27691	\N	\N	\N
547950	1865	1994-12-01	VYDAJ	VYBER	400	23912	\N	\N	\N
547951	1865	1995-12-30	VYDAJ	VYBER	1050	32160	\N	\N	\N
547952	1865	1996-12-08	VYDAJ	VYBER	850	30445	\N	\N	\N
547953	1865	1997-12-17	VYDAJ	VYBER	300	37105	\N	\N	\N
547954	1865	1998-12-05	VYDAJ	VYBER	1400	21742	\N	\N	\N
547961	1865	1995-01-12	VYDAJ	VYBER	1440	21495	\N	\N	\N
547962	1865	1995-01-25	VYDAJ	VYBER	720	19335	\N	\N	\N
547963	1865	1995-01-03	VYDAJ	VYBER	560	23494	\N	\N	\N
547964	1865	1995-01-22	VYDAJ	VYBER	1440	20055	\N	\N	\N
547965	1865	1995-01-02	VYDAJ	VYBER	1600	24054	\N	\N	\N
547966	1865	1995-01-08	VYDAJ	VYBER	800	22935	\N	\N	\N
547967	1865	1996-01-27	VYDAJ	VYBER	1440	21398	\N	\N	\N
547968	1865	1996-01-20	VYDAJ	VYBER	2160	22838	\N	\N	\N
547969	1865	1996-01-13	VYDAJ	VYBER	800	27358	\N	\N	\N
547970	1865	1996-01-13	VYDAJ	VYBER	2080	28158	\N	\N	\N
547971	1865	1996-01-16	VYDAJ	VYBER	960	26398	\N	\N	\N
547972	1865	1996-01-12	VYDAJ	VYBER	2240	30238	\N	\N	\N
547973	1865	1997-01-17	VYDAJ	VYBER	800	31015	\N	\N	\N
547974	1865	1997-01-05	VYDAJ	VYBER	1680	33730	\N	\N	\N
547975	1865	1997-01-22	VYDAJ	VYBER	800	29815	\N	\N	\N
547976	1865	1997-01-25	VYDAJ	VYBER	2000	25665	\N	\N	\N
547977	1865	1997-01-02	VYDAJ	VYBER	800	29154	\N	\N	\N
547978	1865	1997-01-21	VYDAJ	VYBER	400	30615	\N	\N	\N
547979	1865	1998-01-08	VYDAJ	VYBER	880	34391	\N	\N	\N
547980	1865	1998-01-17	VYDAJ	VYBER	2000	28591	\N	\N	\N
547981	1865	1998-01-28	VYDAJ	VYBER	560	27131	\N	\N	\N
547982	1865	1998-01-01	VYDAJ	VYBER	1920	35330	\N	\N	\N
547983	1865	1998-01-07	VYDAJ	VYBER	2080	35271	\N	\N	\N
547984	1865	1998-01-06	VYDAJ	VYBER	2320	37351	\N	\N	\N
547985	1865	1994-09-11	VYDAJ	VYBER	2640	25559	\N	\N	\N
547986	1865	1994-11-04	VYDAJ	VYBER	2080	22973	\N	\N	\N
547989	1865	1994-09-13	VYDAJ	VYBER	2720	22839	\N	\N	\N
547990	1865	1994-09-20	VYDAJ	VYBER	400	22439	\N	\N	\N
547993	1865	1994-09-11	VYDAJ	VYBER	880	28199	\N	\N	\N
547994	1865	1995-04-24	VYDAJ	VYBER	3520	28200	\N	\N	\N
547995	1865	1995-04-23	VYDAJ	VYBER	400	31720	\N	\N	\N
547996	1865	1995-06-21	VYDAJ	VYBER	640	34174	\N	\N	\N
547997	1865	1995-08-26	VYDAJ	VYBER	1200	35810	\N	\N	\N
547998	1865	1996-01-09	VYDAJ	VYBER	3600	32478	\N	\N	\N
547999	1865	1996-01-31	VYDAJ	VYBER	3040	18459	\N	\N	\N
548000	1865	1996-08-23	VYDAJ	VYBER	3760	20356	\N	\N	\N
548001	1865	1996-10-27	VYDAJ	VYBER	2000	23618	\N	\N	\N
548002	1865	1996-01-03	VYDAJ	VYBER	560	31737	\N	\N	\N
548003	1865	1996-09-03	VYDAJ	VYBER	1200	19248	\N	\N	\N
548004	1865	1997-09-29	VYDAJ	VYBER	2400	32125	\N	\N	\N
548005	1865	1997-06-25	VYDAJ	VYBER	1200	29922	\N	\N	\N
548006	1865	1997-06-06	VYDAJ	VYBER	2800	34372	\N	\N	\N
548007	1865	1997-08-03	VYDAJ	VYBER	3840	28024	\N	\N	\N
548008	1865	1997-11-05	VYDAJ	VYBER	3360	36410	\N	\N	\N
548009	1865	1997-08-02	VYDAJ	VYBER	2640	31864	\N	\N	\N
548010	1865	1998-02-23	VYDAJ	VYBER	480	30205	\N	\N	\N
548011	1865	1998-01-09	VYDAJ	VYBER	2000	32391	\N	\N	\N
548012	1865	1998-05-26	VYDAJ	VYBER	2720	23852	\N	\N	\N
548022	1865	1994-09-30	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
548023	1865	1994-10-31	VYDAJ	VYBER	15	26953	SLUZBY	\N	\N
548024	1865	1994-11-30	VYDAJ	VYBER	15	27412	SLUZBY	\N	\N
548025	1865	1994-12-31	VYDAJ	VYBER	15	25654	SLUZBY	\N	\N
548026	1865	1995-01-31	VYDAJ	VYBER	15	19411	SLUZBY	\N	\N
548027	1865	1995-02-28	VYDAJ	VYBER	15	23840	SLUZBY	\N	\N
548028	1865	1995-03-31	VYDAJ	VYBER	15	27779	SLUZBY	\N	\N
548029	1865	1995-04-30	VYDAJ	VYBER	15	28313	SLUZBY	\N	\N
548030	1865	1995-05-31	VYDAJ	VYBER	15	32673	SLUZBY	\N	\N
548031	1865	1995-06-30	VYDAJ	VYBER	15	30501	SLUZBY	\N	\N
548032	1865	1995-07-31	VYDAJ	VYBER	15	32669	SLUZBY	\N	\N
548033	1865	1995-08-31	VYDAJ	VYBER	15	31143	SLUZBY	\N	\N
548034	1865	1995-09-30	VYDAJ	VYBER	15	33614	SLUZBY	\N	\N
548035	1865	1995-10-31	VYDAJ	VYBER	15	31891	SLUZBY	\N	\N
548036	1865	1995-11-30	VYDAJ	VYBER	15	33869	SLUZBY	\N	\N
548037	1865	1995-12-31	VYDAJ	VYBER	15	32297	SLUZBY	\N	\N
548038	1865	1996-01-31	VYDAJ	VYBER	15	21499	SLUZBY	\N	\N
548039	1865	1996-02-29	VYDAJ	VYBER	15	22884	SLUZBY	\N	\N
548040	1865	1996-03-31	VYDAJ	VYBER	15	25624	SLUZBY	\N	\N
548041	1865	1996-04-30	VYDAJ	VYBER	15	27375	SLUZBY	\N	\N
548042	1865	1996-05-31	VYDAJ	VYBER	15	26729	SLUZBY	\N	\N
548043	1865	1996-06-30	VYDAJ	VYBER	15	20243	SLUZBY	\N	\N
548044	1865	1996-07-31	VYDAJ	VYBER	15	24675	SLUZBY	\N	\N
548045	1865	1996-08-31	VYDAJ	VYBER	15	20448	SLUZBY	\N	\N
548046	1865	1996-09-30	VYDAJ	VYBER	15	23677	SLUZBY	\N	\N
548047	1865	1996-10-31	VYDAJ	VYBER	15	23712	SLUZBY	\N	\N
548048	1865	1996-11-30	VYDAJ	VYBER	15	26954	SLUZBY	\N	\N
548049	1865	1996-12-31	VYDAJ	VYBER	15	29954	SLUZBY	\N	\N
548050	1865	1997-01-31	VYDAJ	VYBER	15	25780	SLUZBY	\N	\N
548051	1865	1997-02-28	VYDAJ	VYBER	15	30228	SLUZBY	\N	\N
548052	1865	1997-03-31	VYDAJ	VYBER	15	32091	SLUZBY	\N	\N
548053	1865	1997-04-30	VYDAJ	VYBER	15	33460	SLUZBY	\N	\N
548054	1865	1997-05-31	VYDAJ	VYBER	15	32831	SLUZBY	\N	\N
548055	1865	1997-06-30	VYDAJ	VYBER	15	30038	SLUZBY	\N	\N
548056	1865	1997-07-31	VYDAJ	VYBER	15	34504	SLUZBY	\N	\N
548057	1865	1997-08-31	VYDAJ	VYBER	15	32484	SLUZBY	\N	\N
548058	1865	1997-09-30	VYDAJ	VYBER	15	32254	SLUZBY	\N	\N
548059	1865	1997-10-31	VYDAJ	VYBER	15	35429	SLUZBY	\N	\N
548060	1865	1997-11-30	VYDAJ	VYBER	15	36564	SLUZBY	\N	\N
548061	1865	1997-12-31	VYDAJ	VYBER	15	37250	SLUZBY	\N	\N
548062	1865	1998-01-31	VYDAJ	VYBER	15	27244	SLUZBY	\N	\N
548063	1865	1998-02-28	VYDAJ	VYBER	15	30315	SLUZBY	\N	\N
548064	1865	1998-03-31	VYDAJ	VYBER	15	30574	SLUZBY	\N	\N
548065	1865	1998-04-30	VYDAJ	VYBER	15	29631	SLUZBY	\N	\N
548066	1865	1998-05-31	VYDAJ	VYBER	15	23955	SLUZBY	\N	\N
548067	1865	1998-06-30	VYDAJ	VYBER	15	20932	SLUZBY	\N	\N
548068	1865	1998-07-31	VYDAJ	VYBER	15	20948	SLUZBY	\N	\N
548069	1865	1998-08-31	VYDAJ	VYBER	15	22268	SLUZBY	\N	\N
548070	1865	1998-09-30	VYDAJ	VYBER	15	18177	SLUZBY	\N	\N
548071	1865	1998-10-31	VYDAJ	VYBER	15	22592	SLUZBY	\N	\N
548072	1865	1998-11-30	VYDAJ	VYBER	15	18801	SLUZBY	\N	\N
548073	1865	1994-09-01	VYDAJ	VYBER	1200	24738	\N	\N	\N
548074	1865	1994-10-31	VYDAJ	VYBER	1900	25053	\N	\N	\N
548075	1865	1994-11-30	VYDAJ	VYBER	3100	24312	\N	\N	\N
548076	1865	1994-12-30	VYDAJ	VYBER	2700	25553	\N	\N	\N
548077	1865	1995-02-28	VYDAJ	VYBER	500	23340	\N	\N	\N
548078	1865	1995-05-29	VYDAJ	VYBER	100	32554	\N	\N	\N
548079	1865	1995-06-28	VYDAJ	VYBER	3800	30374	\N	\N	\N
548080	1865	1995-07-28	VYDAJ	VYBER	2300	32542	\N	\N	\N
548081	1865	1995-08-27	VYDAJ	VYBER	4800	31010	\N	\N	\N
548082	1865	1995-09-26	VYDAJ	VYBER	2000	33484	\N	\N	\N
548083	1865	1995-10-26	VYDAJ	VYBER	6200	31755	\N	\N	\N
548084	1865	1995-11-25	VYDAJ	VYBER	2500	33732	\N	\N	\N
548085	1865	1995-12-25	VYDAJ	VYBER	5000	33210	\N	\N	\N
548086	1865	1996-03-24	VYDAJ	VYBER	1700	25525	\N	\N	\N
548087	1865	1996-04-23	VYDAJ	VYBER	2700	27265	\N	\N	\N
548088	1865	1996-05-23	VYDAJ	VYBER	5100	26616	\N	\N	\N
548089	1865	1996-08-21	VYDAJ	VYBER	4900	24116	\N	\N	\N
548090	1865	1996-10-20	VYDAJ	VYBER	2400	25618	\N	\N	\N
548091	1865	1996-11-19	VYDAJ	VYBER	1200	26853	\N	\N	\N
548092	1865	1996-12-19	VYDAJ	VYBER	600	29845	\N	\N	\N
548093	1865	1997-03-19	VYDAJ	VYBER	2600	31969	\N	\N	\N
548094	1865	1997-04-18	VYDAJ	VYBER	3100	33332	\N	\N	\N
548095	1865	1997-05-18	VYDAJ	VYBER	5100	32701	\N	\N	\N
548096	1865	1997-09-15	VYDAJ	VYBER	2300	34525	\N	\N	\N
548097	1865	1997-10-15	VYDAJ	VYBER	1300	35295	\N	\N	\N
548098	1865	1997-12-14	VYDAJ	VYBER	3500	37405	\N	\N	\N
548099	1865	1998-01-13	VYDAJ	VYBER	1800	30591	\N	\N	\N
548100	1865	1998-02-12	VYDAJ	VYBER	900	30685	\N	\N	\N
548101	1865	1998-03-14	VYDAJ	VYBER	4200	30456	\N	\N	\N
548102	1865	1998-04-13	VYDAJ	VYBER	5400	29515	\N	\N	\N
548103	1865	1998-05-13	VYDAJ	VYBER	7400	26572	\N	\N	\N
548104	1865	1998-06-12	VYDAJ	VYBER	3100	25196	\N	\N	\N
548105	1865	1998-07-12	VYDAJ	VYBER	4400	20873	\N	\N	\N
548106	1865	1998-08-11	VYDAJ	VYBER	3100	22189	\N	\N	\N
548107	1865	1998-09-10	VYDAJ	VYBER	8500	18109	\N	\N	\N
548108	1865	1998-11-09	VYDAJ	VYBER	8200	18733	\N	\N	\N
548165	1866	1997-11-17	PRIJEM	VKLAD	300	300	\N	\N	\N
548177	1866	1997-12-11	PRIJEM	VKLAD	21208	21508	\N	\N	\N
548178	1866	1998-01-11	PRIJEM	VKLAD	14139	37494	\N	\N	\N
548179	1866	1998-02-11	PRIJEM	VKLAD	14139	43844	\N	\N	\N
548180	1866	1998-03-11	PRIJEM	VKLAD	14139	50219	\N	\N	\N
548181	1866	1998-04-11	PRIJEM	VKLAD	14139	49005	\N	\N	\N
548182	1866	1998-05-11	PRIJEM	VKLAD	14139	39881	\N	\N	\N
548183	1866	1998-06-11	PRIJEM	VKLAD	21208	41431	\N	\N	\N
548184	1866	1998-07-11	PRIJEM	VKLAD	14139	27694	\N	\N	\N
548185	1866	1998-08-11	PRIJEM	VKLAD	14139	38174	\N	\N	\N
548186	1866	1998-09-11	PRIJEM	VKLAD	14139	40351	\N	\N	\N
548187	1866	1998-10-11	PRIJEM	VKLAD	14139	46238	\N	\N	\N
548188	1866	1998-11-11	PRIJEM	VKLAD	14139	48675	\N	\N	\N
548189	1866	1998-12-11	PRIJEM	VKLAD	21208	59117	\N	\N	\N
548206	1866	1998-05-08	VYDAJ	PREVOD NA UCET	5051	25742	SIPO	IJ	75322639
548207	1866	1998-06-08	VYDAJ	PREVOD NA UCET	5051	20223	SIPO	IJ	75322639
548208	1866	1998-07-08	VYDAJ	PREVOD NA UCET	5051	13555	SIPO	IJ	75322639
548209	1866	1998-08-08	VYDAJ	PREVOD NA UCET	5051	24035	SIPO	IJ	75322639
548210	1866	1998-09-08	VYDAJ	PREVOD NA UCET	5051	26212	SIPO	IJ	75322639
548211	1866	1998-10-08	VYDAJ	PREVOD NA UCET	5051	32099	SIPO	IJ	75322639
548212	1866	1998-11-08	VYDAJ	PREVOD NA UCET	5051	34536	SIPO	IJ	75322639
548213	1866	1998-12-08	VYDAJ	PREVOD NA UCET	5051	37909	SIPO	IJ	75322639
548229	1866	1998-04-18	VYDAJ	VYBER	1500	35005	\N	\N	0
548230	1866	1998-05-08	VYDAJ	VYBER	1700	30793	\N	\N	0
548231	1866	1998-06-19	VYDAJ	VYBER	1500	33531	\N	\N	0
548232	1866	1998-07-19	VYDAJ	VYBER	2300	28994	\N	\N	0
548233	1866	1998-08-19	VYDAJ	VYBER	1400	36074	\N	\N	0
548234	1866	1998-09-04	VYDAJ	VYBER	2300	31263	\N	\N	0
548235	1866	1998-10-18	VYDAJ	VYBER	1500	39438	\N	\N	0
548236	1866	1998-11-22	VYDAJ	VYBER	1600	42795	\N	\N	0
548237	1866	1998-12-16	VYDAJ	VYBER	1900	50117	\N	\N	0
548239	1866	1998-06-29	VYDAJ	VYBER	15040	18491	\N	\N	\N
548243	1866	1998-12-22	VYDAJ	VYBER	3200	46917	\N	\N	\N
548261	1866	1998-04-21	VYDAJ	VYBER	2640	32365	\N	\N	\N
548262	1866	1998-10-03	VYDAJ	VYBER	2640	37150	\N	\N	\N
548263	1866	1998-09-03	VYDAJ	VYBER	2640	33563	\N	\N	\N
548264	1866	1998-11-13	VYDAJ	VYBER	600	47275	\N	\N	\N
548265	1866	1998-05-26	VYDAJ	VYBER	4320	25161	\N	\N	\N
548266	1866	1998-11-19	VYDAJ	VYBER	2880	44395	\N	\N	\N
548283	1866	1998-04-30	VYDAJ	VYBER	15	32493	SLUZBY	\N	\N
548284	1866	1998-05-31	VYDAJ	VYBER	15	25274	SLUZBY	\N	\N
548285	1866	1998-06-30	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
548286	1866	1998-07-31	VYDAJ	VYBER	15	29086	SLUZBY	\N	\N
548287	1866	1998-08-31	VYDAJ	VYBER	15	36203	SLUZBY	\N	\N
548288	1866	1998-09-30	VYDAJ	VYBER	15	39790	SLUZBY	\N	\N
548289	1866	1998-10-31	VYDAJ	VYBER	15	39587	SLUZBY	\N	\N
548290	1866	1998-11-30	VYDAJ	VYBER	15	42960	SLUZBY	\N	\N
548291	1866	1997-12-17	PRIJEM	VKLAD	1800	23308	\N	\N	\N
548292	1866	1998-01-16	VYDAJ	VYBER	7900	29594	\N	\N	\N
548293	1866	1998-02-15	VYDAJ	VYBER	7900	35944	\N	\N	\N
548294	1866	1998-03-17	VYDAJ	VYBER	15500	34719	\N	\N	\N
548295	1866	1998-04-16	VYDAJ	VYBER	12500	36505	\N	\N	\N
548296	1866	1998-05-16	VYDAJ	VYBER	10400	29481	\N	\N	\N
548297	1866	1998-06-15	VYDAJ	VYBER	6400	35031	\N	\N	\N
548298	1866	1998-07-15	PRIJEM	VKLAD	3600	31294	\N	\N	\N
548299	1866	1998-08-14	VYDAJ	VYBER	700	37474	\N	\N	\N
548300	1866	1998-09-13	VYDAJ	VYBER	700	39651	\N	\N	\N
548301	1866	1998-10-13	VYDAJ	VYBER	5300	40938	\N	\N	\N
548302	1866	1998-11-12	VYDAJ	VYBER	800	47875	\N	\N	\N
548303	1866	1998-12-12	VYDAJ	VYBER	7100	52017	\N	\N	\N
548317	1867	1995-11-15	PRIJEM	VKLAD	800	800	\N	\N	\N
548329	1867	1995-12-11	PRIJEM	VKLAD	37395	38195	\N	\N	\N
548330	1867	1996-01-11	PRIJEM	VKLAD	24930	53189	\N	\N	\N
548331	1867	1996-02-11	PRIJEM	VKLAD	24930	63361	\N	\N	\N
548332	1867	1996-03-11	PRIJEM	VKLAD	24930	68163	\N	\N	\N
548333	1867	1996-04-11	PRIJEM	VKLAD	24930	70578	\N	\N	\N
548334	1867	1996-05-11	PRIJEM	VKLAD	24930	73993	\N	\N	\N
548335	1867	1996-06-11	PRIJEM	VKLAD	37395	89986	\N	\N	\N
548336	1867	1996-07-11	PRIJEM	VKLAD	24930	58403	\N	\N	\N
548337	1867	1996-08-11	PRIJEM	VKLAD	24930	65477	\N	\N	\N
548338	1867	1996-09-11	PRIJEM	VKLAD	24930	61380	\N	\N	\N
548339	1867	1996-10-11	PRIJEM	VKLAD	24930	65830	\N	\N	\N
548340	1867	1996-11-11	PRIJEM	VKLAD	24930	72211	\N	\N	\N
548341	1867	1996-12-11	PRIJEM	VKLAD	37395	82484	\N	\N	\N
548342	1867	1997-01-11	PRIJEM	VKLAD	24930	72328	\N	\N	\N
548343	1867	1997-02-11	PRIJEM	VKLAD	24930	62210	\N	\N	\N
548344	1867	1997-03-11	PRIJEM	VKLAD	24930	67677	\N	\N	\N
548345	1867	1997-04-11	PRIJEM	VKLAD	24930	69468	\N	\N	\N
548346	1867	1997-05-11	PRIJEM	VKLAD	24930	70670	\N	\N	\N
548347	1867	1997-06-11	PRIJEM	VKLAD	37395	81544	\N	\N	\N
548348	1867	1997-07-11	PRIJEM	VKLAD	24930	63860	\N	\N	\N
548349	1867	1997-08-11	PRIJEM	VKLAD	24930	68530	\N	\N	\N
548350	1867	1997-09-11	PRIJEM	VKLAD	24930	70818	\N	\N	\N
548351	1867	1997-10-11	PRIJEM	VKLAD	24930	74606	\N	\N	\N
548352	1867	1997-11-11	PRIJEM	VKLAD	24930	76324	\N	\N	\N
548353	1867	1997-12-11	PRIJEM	VKLAD	37395	90016	\N	\N	\N
548354	1867	1998-01-11	PRIJEM	VKLAD	24930	72586	\N	\N	\N
548355	1867	1998-02-11	PRIJEM	VKLAD	24930	69477	\N	\N	\N
548356	1867	1998-03-11	PRIJEM	VKLAD	24930	71370	\N	\N	\N
548357	1867	1998-04-11	PRIJEM	VKLAD	24930	69680	\N	\N	\N
548358	1867	1998-05-11	PRIJEM	VKLAD	24930	67887	\N	\N	\N
548359	1867	1998-06-11	PRIJEM	VKLAD	37395	79741	\N	\N	\N
548360	1867	1998-07-11	PRIJEM	VKLAD	24930	75344	\N	\N	\N
548361	1867	1998-08-11	PRIJEM	VKLAD	24930	79764	\N	\N	\N
548362	1867	1998-09-11	PRIJEM	VKLAD	24930	73299	\N	\N	\N
548363	1867	1998-10-11	PRIJEM	VKLAD	24930	75423	\N	\N	\N
548364	1867	1998-11-11	PRIJEM	VKLAD	24930	77934	\N	\N	\N
548365	1867	1998-12-11	PRIJEM	VKLAD	37395	91733	\N	\N	\N
548367	1867	1996-06-21	VYDAJ	VYBER	26700	33286	\N	\N	\N
548368	1867	1997-06-24	VYDAJ	VYBER	23900	57644	\N	\N	\N
548369	1867	1998-06-18	VYDAJ	VYBER	10300	69441	\N	\N	\N
548372	1867	1997-01-12	VYDAJ	VYBER	7600	64728	\N	\N	\N
548373	1867	1998-01-05	VYDAJ	VYBER	7700	47656	\N	\N	\N
548375	1867	1996-12-24	VYDAJ	VYBER	1700	80784	\N	\N	\N
548376	1867	1997-12-26	VYDAJ	VYBER	2300	87716	\N	\N	\N
548377	1867	1998-12-26	VYDAJ	VYBER KARTOU	2900	88833	\N	\N	0
548390	1867	1997-01-09	VYDAJ	VYBER	2500	47398	\N	\N	\N
548391	1867	1997-01-17	VYDAJ	VYBER	800	63928	\N	\N	\N
548392	1867	1997-01-27	VYDAJ	VYBER	1600	58228	\N	\N	\N
548393	1867	1997-01-01	VYDAJ	VYBER	2300	78798	\N	\N	\N
548394	1867	1997-01-02	VYDAJ	VYBER	2400	76398	\N	\N	\N
548395	1867	1997-01-30	VYDAJ	VYBER	1300	56928	\N	\N	\N
548396	1867	1998-01-05	VYDAJ	VYBER	1700	55356	\N	\N	\N
548397	1867	1998-01-15	VYDAJ	VYBER	1600	70986	\N	\N	\N
548398	1867	1998-01-27	VYDAJ	VYBER	2100	66786	\N	\N	\N
548399	1867	1998-01-04	VYDAJ	VYBER	2100	57056	\N	\N	\N
548400	1867	1998-01-21	VYDAJ	VYBER	1600	69386	\N	\N	\N
548401	1867	1998-01-26	VYDAJ	VYBER	500	68886	\N	\N	\N
548408	1867	1996-04-19	VYDAJ	VYBER	2200	48878	\N	\N	\N
548409	1867	1996-05-13	VYDAJ	VYBER	800	52393	\N	\N	\N
548410	1867	1996-09-25	VYDAJ	VYBER	2200	59180	\N	\N	\N
548411	1867	1997-09-30	VYDAJ	VYBER	800	70276	\N	\N	\N
548412	1867	1997-07-26	VYDAJ	VYBER	4800	59060	\N	\N	\N
548413	1867	1997-09-04	VYDAJ	VYBER	4200	64588	\N	\N	\N
548414	1867	1997-01-22	VYDAJ	VYBER	4100	59828	\N	\N	\N
548415	1867	1997-10-25	VYDAJ	VYBER	2900	71706	\N	\N	\N
548416	1867	1998-05-29	VYDAJ	VYBER	2800	61487	\N	\N	\N
548417	1867	1998-08-23	VYDAJ	VYBER KARTOU	4600	75164	\N	\N	0
548418	1867	1998-09-20	VYDAJ	VYBER KARTOU	700	72599	\N	\N	0
548419	1867	1998-01-29	VYDAJ	VYBER	4700	62086	\N	\N	\N
548420	1867	1998-05-12	VYDAJ	VYBER	3600	64287	\N	\N	\N
548421	1867	1998-12-28	VYDAJ	VYBER KARTOU	1200	87633	\N	\N	0
548438	1867	1996-04-30	VYDAJ	VYBER	15	49063	SLUZBY	\N	\N
548439	1867	1996-05-31	VYDAJ	VYBER	15	52591	SLUZBY	\N	\N
548440	1867	1996-06-30	VYDAJ	VYBER	15	33473	SLUZBY	\N	\N
548441	1867	1996-07-31	VYDAJ	VYBER	15	40547	SLUZBY	\N	\N
548442	1867	1996-08-31	VYDAJ	VYBER	15	47350	SLUZBY	\N	\N
548443	1867	1996-09-30	VYDAJ	VYBER	15	59400	SLUZBY	\N	\N
548444	1867	1996-10-31	VYDAJ	VYBER	15	66081	SLUZBY	\N	\N
548445	1867	1996-11-30	VYDAJ	VYBER	15	72489	SLUZBY	\N	\N
548446	1867	1996-12-31	VYDAJ	VYBER	15	81098	SLUZBY	\N	\N
548447	1867	1997-01-31	VYDAJ	VYBER	15	57180	SLUZBY	\N	\N
548448	1867	1997-02-28	VYDAJ	VYBER	15	62447	SLUZBY	\N	\N
548449	1867	1997-03-31	VYDAJ	VYBER	15	67938	SLUZBY	\N	\N
548450	1867	1997-04-30	VYDAJ	VYBER	15	69740	SLUZBY	\N	\N
548451	1867	1997-05-31	VYDAJ	VYBER	15	70949	SLUZBY	\N	\N
548452	1867	1997-06-30	VYDAJ	VYBER	15	57930	SLUZBY	\N	\N
548453	1867	1997-07-31	VYDAJ	VYBER	15	59300	SLUZBY	\N	\N
548454	1867	1997-08-31	VYDAJ	VYBER	15	68788	SLUZBY	\N	\N
548455	1867	1997-09-30	VYDAJ	VYBER	15	71076	SLUZBY	\N	\N
548456	1867	1997-10-31	VYDAJ	VYBER	15	71994	SLUZBY	\N	\N
548457	1867	1997-11-30	VYDAJ	VYBER	15	76621	SLUZBY	\N	\N
548458	1867	1997-12-31	VYDAJ	VYBER	15	88056	SLUZBY	\N	\N
548459	1867	1998-01-31	VYDAJ	VYBER	15	62347	SLUZBY	\N	\N
548460	1867	1998-02-28	VYDAJ	VYBER	15	69740	SLUZBY	\N	\N
548461	1867	1998-03-31	VYDAJ	VYBER	15	71650	SLUZBY	\N	\N
548462	1867	1998-04-30	VYDAJ	VYBER	15	69957	SLUZBY	\N	\N
548463	1867	1998-05-31	VYDAJ	VYBER	15	61746	SLUZBY	\N	\N
548464	1867	1998-06-30	VYDAJ	VYBER	15	69714	SLUZBY	\N	\N
548465	1867	1998-07-31	VYDAJ	VYBER	15	75634	SLUZBY	\N	\N
548466	1867	1998-08-31	VYDAJ	VYBER	15	75469	SLUZBY	\N	\N
548467	1867	1998-09-30	VYDAJ	VYBER	15	72893	SLUZBY	\N	\N
548468	1867	1998-10-31	VYDAJ	VYBER	15	53004	SLUZBY	\N	\N
548469	1867	1998-11-30	VYDAJ	VYBER	15	54338	SLUZBY	\N	\N
548470	1867	1995-12-15	VYDAJ	VYBER	10000	28195	\N	\N	\N
548471	1867	1996-01-14	VYDAJ	VYBER	14900	38289	\N	\N	\N
548472	1867	1996-02-13	VYDAJ	VYBER	20300	43061	\N	\N	\N
548473	1867	1996-03-14	VYDAJ	VYBER	22700	45463	\N	\N	\N
548474	1867	1996-04-13	VYDAJ	VYBER	19500	51078	\N	\N	\N
548475	1867	1996-05-13	VYDAJ	VYBER	20800	53193	\N	\N	\N
548476	1867	1996-06-12	VYDAJ	VYBER	30000	59986	\N	\N	\N
548477	1867	1996-07-12	VYDAJ	VYBER	18000	40403	\N	\N	\N
548478	1867	1996-08-11	VYDAJ	VYBER	18300	47177	\N	\N	\N
548479	1867	1996-09-10	VYDAJ	VYBER	10900	36450	\N	\N	\N
548480	1867	1996-10-10	VYDAJ	VYBER	18500	40900	\N	\N	\N
548481	1867	1996-11-09	VYDAJ	VYBER	18800	47281	\N	\N	\N
548482	1867	1996-12-09	VYDAJ	VYBER	27400	45089	\N	\N	\N
548483	1867	1997-01-08	VYDAJ	VYBER	26500	49898	\N	\N	\N
548484	1867	1997-02-07	VYDAJ	VYBER	19900	37280	\N	\N	\N
548485	1867	1997-03-09	VYDAJ	VYBER	19700	42747	\N	\N	\N
548486	1867	1997-04-08	VYDAJ	VYBER	23400	44538	\N	\N	\N
548487	1867	1997-05-08	VYDAJ	VYBER	24000	45740	\N	\N	\N
548488	1867	1997-06-07	VYDAJ	VYBER	26800	44149	\N	\N	\N
548489	1867	1997-07-07	VYDAJ	VYBER	19000	38930	\N	\N	\N
548490	1867	1997-08-06	VYDAJ	VYBER	15700	43600	\N	\N	\N
548491	1867	1997-09-05	VYDAJ	VYBER	18700	45888	\N	\N	\N
548492	1867	1997-10-05	VYDAJ	VYBER	20600	49676	\N	\N	\N
548493	1867	1997-11-04	VYDAJ	VYBER	20600	51394	\N	\N	\N
548494	1867	1997-12-04	VYDAJ	VYBER	24000	52621	\N	\N	\N
548495	1867	1998-01-03	VYDAJ	VYBER	28900	59156	\N	\N	\N
548496	1867	1998-02-02	VYDAJ	VYBER	17800	44547	\N	\N	\N
548497	1867	1998-03-04	VYDAJ	VYBER	23300	46440	\N	\N	\N
548498	1867	1998-04-03	VYDAJ	VYBER	26900	44750	\N	\N	\N
548499	1867	1998-05-03	VYDAJ	VYBER	27000	42957	\N	\N	\N
548500	1867	1998-06-02	VYDAJ	VYBER	19400	42346	\N	\N	\N
548501	1867	1998-07-02	VYDAJ	VYBER	19300	50414	\N	\N	\N
548502	1867	1998-08-01	VYDAJ	VYBER	20800	54834	\N	\N	\N
548503	1867	1998-08-31	VYDAJ	VYBER	27100	48369	\N	\N	\N
548504	1867	1998-09-30	VYDAJ	VYBER	22400	50493	\N	\N	\N
548505	1867	1998-10-30	VYDAJ	VYBER	22700	52723	\N	\N	\N
548506	1867	1998-11-29	VYDAJ	VYBER	23800	54134	\N	\N	\N
548544	1868	1997-11-29	PRIJEM	VKLAD	300	300	\N	\N	\N
548550	1868	1998-07-25	PRIJEM	VKLAD	28857	57009	\N	\N	\N
548551	1868	1998-02-22	PRIJEM	VKLAD	26359	48059	\N	\N	\N
548641	1868	1997-12-29	PRIJEM	VKLAD	14400	14700	\N	\N	\N
548642	1868	1998-01-28	PRIJEM	VKLAD	7000	21700	\N	\N	\N
548643	1868	1998-02-27	VYDAJ	VYBER	13100	34959	\N	\N	\N
548644	1868	1998-03-29	VYDAJ	VYBER	5500	29469	\N	\N	\N
548645	1868	1998-04-28	VYDAJ	VYBER	900	28715	\N	\N	\N
548646	1868	1998-05-28	VYDAJ	VYBER	1700	27161	\N	\N	\N
548647	1868	1998-06-27	PRIJEM	VKLAD	700	28006	\N	\N	\N
548648	1868	1998-07-27	VYDAJ	VYBER	14300	42709	\N	\N	\N
548649	1868	1998-08-26	VYDAJ	VYBER	9500	33360	\N	\N	\N
548650	1868	1998-09-25	VYDAJ	VYBER	4300	29238	\N	\N	\N
548651	1868	1998-10-25	VYDAJ	VYBER	400	29016	\N	\N	\N
548652	1868	1998-11-24	PRIJEM	VKLAD	200	29394	\N	\N	\N
548662	1869	1996-06-14	PRIJEM	VKLAD	500	500	\N	\N	\N
548669	1869	1996-07-11	PRIJEM	VKLAD	24664	25164	\N	\N	\N
548670	1869	1996-08-11	PRIJEM	VKLAD	24664	49287	\N	\N	\N
548671	1869	1996-09-11	PRIJEM	VKLAD	24664	61986	\N	\N	\N
548672	1869	1996-10-11	PRIJEM	VKLAD	24664	71530	\N	\N	\N
548673	1869	1996-11-11	PRIJEM	VKLAD	24664	72294	\N	\N	\N
548674	1869	1996-12-11	PRIJEM	VKLAD	36996	78473	\N	\N	\N
548675	1869	1997-01-11	PRIJEM	VKLAD	24664	54420	\N	\N	\N
548676	1869	1997-02-11	PRIJEM	VKLAD	24664	57670	\N	\N	\N
548677	1869	1997-03-11	PRIJEM	VKLAD	24664	81538	\N	\N	\N
548678	1869	1997-04-11	PRIJEM	VKLAD	24664	63609	\N	\N	\N
548679	1869	1997-05-11	PRIJEM	VKLAD	24664	70606	\N	\N	\N
548680	1869	1997-06-11	PRIJEM	VKLAD	36996	88871	\N	\N	\N
548681	1869	1997-07-11	PRIJEM	VKLAD	24664	69009	\N	\N	\N
548682	1869	1997-08-11	PRIJEM	VKLAD	24664	78628	\N	\N	\N
548683	1869	1997-09-11	PRIJEM	VKLAD	24664	81086	\N	\N	\N
548684	1869	1997-10-11	PRIJEM	VKLAD	24664	84957	\N	\N	\N
548685	1869	1997-11-11	PRIJEM	VKLAD	24664	84446	\N	\N	\N
548686	1869	1997-12-11	PRIJEM	VKLAD	36996	100075	\N	\N	\N
548687	1869	1998-01-11	PRIJEM	VKLAD	24664	84815	\N	\N	\N
548688	1869	1998-02-11	PRIJEM	VKLAD	24664	77684	\N	\N	\N
548689	1869	1998-03-11	PRIJEM	VKLAD	24664	78993	\N	\N	\N
548690	1869	1998-04-11	PRIJEM	VKLAD	24664	82909	\N	\N	\N
548691	1869	1998-05-11	PRIJEM	VKLAD	24664	85832	\N	\N	\N
548692	1869	1998-06-11	PRIJEM	VKLAD	36996	96607	\N	\N	\N
548693	1869	1998-07-11	PRIJEM	VKLAD	24664	83969	\N	\N	\N
548694	1869	1998-08-11	PRIJEM	VKLAD	24664	85408	\N	\N	\N
548695	1869	1998-09-11	PRIJEM	VKLAD	24664	90052	\N	\N	\N
548696	1869	1998-10-11	PRIJEM	VKLAD	24664	87711	\N	\N	\N
548697	1869	1998-11-11	PRIJEM	VKLAD	24664	89969	\N	\N	\N
548698	1869	1998-12-11	PRIJEM	VKLAD	36996	93862	\N	\N	\N
548709	1869	1996-11-06	VYDAJ	VYBER	1100	47630	\N	\N	0
548710	1869	1996-12-12	VYDAJ	VYBER	800	46573	\N	\N	0
548711	1869	1997-01-19	VYDAJ	VYBER	700	50920	\N	\N	0
548712	1869	1997-02-17	VYDAJ	VYBER	1000	56670	\N	\N	0
548713	1869	1997-03-13	VYDAJ	VYBER	800	51238	\N	\N	0
548714	1869	1997-04-10	VYDAJ	VYBER	1100	50345	\N	\N	0
548715	1869	1997-05-22	VYDAJ	VYBER	1000	69606	\N	\N	0
548716	1869	1997-06-11	VYDAJ	VYBER	1100	87771	\N	\N	0
548717	1869	1997-07-09	VYDAJ	VYBER	600	57945	\N	\N	0
548718	1869	1997-08-01	VYDAJ	VYBER	1300	67964	\N	\N	0
548719	1869	1997-09-18	VYDAJ	VYBER	800	75486	\N	\N	0
548720	1869	1997-10-24	VYDAJ	VYBER	1300	83657	\N	\N	0
548721	1869	1997-11-10	VYDAJ	VYBER	800	59782	\N	\N	0
548722	1869	1997-12-14	VYDAJ	VYBER	900	99175	\N	\N	0
548723	1869	1998-01-22	VYDAJ	VYBER	1200	76315	\N	\N	0
548724	1869	1998-02-12	VYDAJ	PREVOD NA UCET	1054	76630	UVER	YZ	44563007
548725	1869	1998-03-12	VYDAJ	PREVOD NA UCET	1054	77939	UVER	YZ	44563007
548726	1869	1998-04-12	VYDAJ	PREVOD NA UCET	1054	81855	UVER	YZ	44563007
548727	1869	1998-05-12	VYDAJ	PREVOD NA UCET	1054	84778	UVER	YZ	44563007
548728	1869	1998-06-12	VYDAJ	PREVOD NA UCET	1054	95553	UVER	YZ	44563007
548729	1869	1998-07-12	VYDAJ	PREVOD NA UCET	1054	82915	UVER	YZ	44563007
548730	1869	1998-08-12	VYDAJ	PREVOD NA UCET	1054	84354	UVER	YZ	44563007
548731	1869	1998-09-12	VYDAJ	PREVOD NA UCET	1054	88998	UVER	YZ	44563007
548732	1869	1998-10-12	VYDAJ	PREVOD NA UCET	1054	86657	UVER	YZ	44563007
548733	1869	1998-11-12	VYDAJ	PREVOD NA UCET	1054	88915	UVER	YZ	44563007
548734	1869	1998-12-12	VYDAJ	PREVOD NA UCET	1054	92808	UVER	YZ	44563007
548736	1869	1997-06-18	VYDAJ	VYBER	29500	58271	\N	\N	\N
548737	1869	1998-06-23	VYDAJ	VYBER	13800	81753	\N	\N	\N
548739	1869	1997-01-30	VYDAJ	VYBER	3200	44220	\N	\N	\N
548740	1869	1998-01-03	VYDAJ	VYBER	5200	91551	\N	\N	\N
548741	1869	1996-12-11	VYDAJ	VYBER	1600	47373	\N	\N	\N
548742	1869	1997-12-25	VYDAJ	VYBER KARTOU	2800	96375	\N	\N	0
548743	1869	1998-12-06	VYDAJ	VYBER KARTOU	800	60666	\N	\N	0
548750	1869	1997-01-19	VYDAJ	VYBER	1500	51620	\N	\N	\N
548751	1869	1997-01-06	VYDAJ	VYBER	2400	42856	\N	\N	\N
548752	1869	1997-01-20	VYDAJ	VYBER	2200	48720	\N	\N	\N
548753	1869	1997-01-18	VYDAJ	VYBER	1300	53120	\N	\N	\N
548754	1869	1997-01-05	VYDAJ	VYBER	1500	45256	\N	\N	\N
548755	1869	1997-01-29	VYDAJ	VYBER	700	47420	\N	\N	\N
548756	1869	1998-01-17	VYDAJ	VYBER KARTOU	2100	79815	\N	\N	0
548757	1869	1998-01-17	VYDAJ	VYBER KARTOU	2900	81915	\N	\N	0
548758	1869	1998-01-22	VYDAJ	VYBER KARTOU	1900	74415	\N	\N	0
548759	1869	1998-01-18	VYDAJ	VYBER KARTOU	1800	78015	\N	\N	0
548760	1869	1998-01-23	VYDAJ	VYBER KARTOU	1500	72915	\N	\N	0
548761	1869	1998-01-18	VYDAJ	VYBER KARTOU	500	77515	\N	\N	0
548767	1869	1996-11-24	VYDAJ	VYBER	2500	45494	\N	\N	\N
548768	1869	1996-12-01	VYDAJ	VYBER	4200	41477	\N	\N	\N
548770	1869	1997-09-14	VYDAJ	VYBER	4800	76286	\N	\N	\N
548771	1869	1997-01-27	VYDAJ	VYBER	600	48120	\N	\N	\N
548772	1869	1998-03-26	VYDAJ	VYBER KARTOU	2600	75339	\N	\N	0
548773	1869	1998-11-28	VYDAJ	VYBER KARTOU	1200	87715	\N	\N	0
548774	1869	1998-04-14	VYDAJ	VYBER KARTOU	1600	80255	\N	\N	0
548775	1869	1998-12-09	VYDAJ	VYBER KARTOU	3800	56866	\N	\N	0
548787	1869	1996-11-30	VYDAJ	VYBER	15	45677	SLUZBY	\N	\N
548788	1869	1996-12-31	VYDAJ	VYBER	15	46756	SLUZBY	\N	\N
548789	1869	1997-01-31	VYDAJ	VYBER	15	44406	SLUZBY	\N	\N
548790	1869	1997-02-28	VYDAJ	VYBER	15	56874	SLUZBY	\N	\N
548791	1869	1997-03-31	VYDAJ	VYBER	15	51445	SLUZBY	\N	\N
548792	1869	1997-04-30	VYDAJ	VYBER	15	63842	SLUZBY	\N	\N
548793	1869	1997-05-31	VYDAJ	VYBER	15	69875	SLUZBY	\N	\N
548794	1869	1997-06-30	VYDAJ	VYBER	15	58545	SLUZBY	\N	\N
548795	1869	1997-07-31	VYDAJ	VYBER	15	69264	SLUZBY	\N	\N
548796	1869	1997-08-31	VYDAJ	VYBER	15	78922	SLUZBY	\N	\N
548797	1869	1997-09-30	VYDAJ	VYBER	15	75793	SLUZBY	\N	\N
548798	1869	1997-10-31	VYDAJ	VYBER	15	83982	SLUZBY	\N	\N
548799	1869	1997-11-30	VYDAJ	VYBER	15	84779	SLUZBY	\N	\N
548800	1869	1997-12-31	VYDAJ	VYBER	15	96751	SLUZBY	\N	\N
548801	1869	1998-01-31	VYDAJ	VYBER	15	73220	SLUZBY	\N	\N
548802	1869	1998-02-28	VYDAJ	VYBER	15	76929	SLUZBY	\N	\N
548803	1869	1998-03-31	VYDAJ	VYBER	15	75645	SLUZBY	\N	\N
548804	1869	1998-04-30	VYDAJ	VYBER	15	80568	SLUZBY	\N	\N
548805	1869	1998-05-31	VYDAJ	VYBER	15	85111	SLUZBY	\N	\N
548806	1869	1998-06-30	VYDAJ	VYBER	15	82105	SLUZBY	\N	\N
548807	1869	1998-07-31	VYDAJ	VYBER	15	83244	SLUZBY	\N	\N
548808	1869	1998-08-31	VYDAJ	VYBER	15	84688	SLUZBY	\N	\N
548809	1869	1998-09-30	VYDAJ	VYBER	15	89347	SLUZBY	\N	\N
548810	1869	1998-10-31	VYDAJ	VYBER	15	87005	SLUZBY	\N	\N
548811	1869	1998-11-30	VYDAJ	VYBER	15	88066	SLUZBY	\N	\N
548812	1869	1996-07-14	VYDAJ	VYBER	600	24564	\N	\N	\N
548813	1869	1996-08-13	VYDAJ	VYBER	12100	37187	\N	\N	\N
548814	1869	1996-09-12	VYDAJ	VYBER	15300	46686	\N	\N	\N
548815	1869	1996-10-12	VYDAJ	VYBER	23000	48530	\N	\N	\N
548816	1869	1996-11-11	VYDAJ	VYBER	24300	47994	\N	\N	\N
548817	1869	1996-12-11	VYDAJ	VYBER	29500	48973	\N	\N	\N
548818	1869	1997-01-10	VYDAJ	VYBER	13100	29756	\N	\N	\N
548819	1869	1997-02-09	VYDAJ	VYBER	11400	33006	\N	\N	\N
548820	1869	1997-03-11	VYDAJ	VYBER	29500	52038	\N	\N	\N
548821	1869	1997-04-10	VYDAJ	VYBER	11400	38945	\N	\N	\N
548822	1869	1997-05-10	VYDAJ	VYBER	17900	45942	\N	\N	\N
548823	1869	1997-06-09	VYDAJ	VYBER	18000	51875	\N	\N	\N
548824	1869	1997-07-09	VYDAJ	VYBER	13600	44345	\N	\N	\N
548825	1869	1997-08-08	VYDAJ	VYBER	14000	53964	\N	\N	\N
548826	1869	1997-09-07	VYDAJ	VYBER	22500	56422	\N	\N	\N
548827	1869	1997-10-07	VYDAJ	VYBER	15500	60293	\N	\N	\N
548828	1869	1997-11-06	VYDAJ	VYBER	23400	60582	\N	\N	\N
548829	1869	1997-12-06	VYDAJ	VYBER	21700	63079	\N	\N	\N
548830	1869	1998-01-05	VYDAJ	VYBER	31400	60151	\N	\N	\N
548831	1869	1998-02-04	VYDAJ	VYBER	20200	53020	\N	\N	\N
548832	1869	1998-03-06	VYDAJ	VYBER	22600	54329	\N	\N	\N
548833	1869	1998-04-05	VYDAJ	VYBER	17400	58245	\N	\N	\N
548834	1869	1998-05-05	VYDAJ	VYBER	19400	61168	\N	\N	\N
548835	1869	1998-06-04	VYDAJ	VYBER	25500	59611	\N	\N	\N
548836	1869	1998-07-04	VYDAJ	VYBER	22800	59305	\N	\N	\N
548837	1869	1998-08-03	VYDAJ	VYBER	22500	60744	\N	\N	\N
548838	1869	1998-09-02	VYDAJ	VYBER	19300	65388	\N	\N	\N
548839	1869	1998-10-02	VYDAJ	VYBER	26300	63047	\N	\N	\N
548840	1869	1998-11-01	VYDAJ	VYBER	21700	65305	\N	\N	\N
548841	1869	1998-12-01	VYDAJ	VYBER	26600	61466	\N	\N	\N
548872	1870	1994-06-25	PRIJEM	VKLAD	700	700	\N	\N	\N
548879	1870	1994-07-10	PRIJEM	VKLAD	21433	22133	\N	\N	\N
548880	1870	1994-08-10	PRIJEM	VKLAD	21433	46189	\N	\N	\N
548881	1870	1994-09-10	PRIJEM	VKLAD	21433	56837	\N	\N	\N
548882	1870	1994-10-10	PRIJEM	VKLAD	21433	62923	\N	\N	\N
548883	1870	1994-11-10	PRIJEM	VKLAD	21433	64931	\N	\N	\N
548884	1870	1994-12-10	PRIJEM	VKLAD	32150	77850	\N	\N	\N
548885	1870	1995-01-10	PRIJEM	VKLAD	21433	63418	\N	\N	\N
548886	1870	1995-02-10	PRIJEM	VKLAD	21433	65349	\N	\N	\N
548887	1870	1995-03-10	PRIJEM	VKLAD	21433	70557	\N	\N	\N
548888	1870	1995-04-10	PRIJEM	VKLAD	21433	69879	\N	\N	\N
548889	1870	1995-05-10	PRIJEM	VKLAD	21433	70600	\N	\N	\N
548890	1870	1995-06-10	PRIJEM	VKLAD	32150	77581	\N	\N	\N
548891	1870	1995-07-10	PRIJEM	VKLAD	21433	73947	\N	\N	\N
548892	1870	1995-08-10	PRIJEM	VKLAD	21433	71280	\N	\N	\N
548893	1870	1995-09-10	PRIJEM	VKLAD	21433	68901	\N	\N	\N
548894	1870	1995-10-10	PRIJEM	VKLAD	21433	68516	\N	\N	\N
548895	1870	1995-11-10	PRIJEM	VKLAD	21433	66226	\N	\N	\N
548896	1870	1995-12-10	PRIJEM	VKLAD	32150	75746	\N	\N	\N
548897	1870	1996-01-10	PRIJEM	VKLAD	21433	67445	\N	\N	\N
548898	1870	1996-02-10	PRIJEM	VKLAD	21433	65851	\N	\N	\N
548899	1870	1996-03-10	PRIJEM	VKLAD	21433	57332	\N	\N	\N
548900	1870	1996-04-10	PRIJEM	VKLAD	21433	62033	\N	\N	\N
548901	1870	1996-05-10	PRIJEM	VKLAD	21433	62420	\N	\N	\N
548902	1870	1996-06-10	PRIJEM	VKLAD	32150	78638	\N	\N	\N
548903	1870	1996-07-10	PRIJEM	VKLAD	21433	72359	\N	\N	\N
548904	1870	1996-08-10	PRIJEM	VKLAD	21433	69281	\N	\N	\N
548905	1870	1996-09-10	PRIJEM	VKLAD	21433	65789	\N	\N	\N
548906	1870	1996-10-10	PRIJEM	VKLAD	21433	62081	\N	\N	\N
548907	1870	1996-11-10	PRIJEM	VKLAD	21433	59961	\N	\N	\N
548908	1870	1996-12-10	PRIJEM	VKLAD	32150	67840	\N	\N	\N
548909	1870	1997-01-10	PRIJEM	VKLAD	21433	61054	\N	\N	\N
548910	1870	1997-02-10	PRIJEM	VKLAD	21433	52897	\N	\N	\N
548911	1870	1997-03-10	PRIJEM	VKLAD	21433	71037	\N	\N	\N
548912	1870	1997-04-10	PRIJEM	VKLAD	21433	68452	\N	\N	\N
548913	1870	1997-05-10	PRIJEM	VKLAD	21433	64124	\N	\N	\N
548914	1870	1997-06-10	PRIJEM	VKLAD	32150	57512	\N	\N	\N
548915	1870	1997-07-10	PRIJEM	VKLAD	21433	62640	\N	\N	\N
548916	1870	1997-08-10	PRIJEM	VKLAD	21433	55067	\N	\N	\N
548917	1870	1997-09-10	PRIJEM	VKLAD	21433	59914	\N	\N	\N
548918	1870	1997-10-10	PRIJEM	VKLAD	21433	62074	\N	\N	\N
548919	1870	1997-11-10	PRIJEM	VKLAD	21433	64346	\N	\N	\N
548920	1870	1997-12-10	PRIJEM	VKLAD	32150	77945	\N	\N	\N
548921	1870	1998-01-10	PRIJEM	VKLAD	21433	68061	\N	\N	\N
548922	1870	1998-02-10	PRIJEM	VKLAD	21433	64559	\N	\N	\N
548923	1870	1998-03-10	PRIJEM	VKLAD	21433	63047	\N	\N	\N
548924	1870	1998-04-10	PRIJEM	VKLAD	21433	57027	\N	\N	\N
548925	1870	1998-05-10	PRIJEM	VKLAD	21433	53488	\N	\N	\N
548926	1870	1998-06-10	PRIJEM	VKLAD	32150	67348	\N	\N	\N
548927	1870	1998-07-10	PRIJEM	VKLAD	21433	60915	\N	\N	\N
548928	1870	1998-08-10	PRIJEM	VKLAD	21433	53985	\N	\N	\N
548929	1870	1998-09-10	PRIJEM	VKLAD	21433	53633	\N	\N	\N
548930	1870	1998-10-10	PRIJEM	VKLAD	21433	51672	\N	\N	\N
548931	1870	1998-11-10	PRIJEM	VKLAD	21433	50805	\N	\N	\N
548932	1870	1998-12-10	PRIJEM	VKLAD	32150	57258	\N	\N	\N
548933	1870	1994-12-19	VYDAJ	VYBER	800	77050	\N	\N	\N
548934	1870	1995-12-08	VYDAJ	VYBER	800	43596	\N	\N	\N
548935	1870	1996-12-06	VYDAJ	VYBER	2240	35690	\N	\N	\N
548936	1870	1997-12-24	VYDAJ	VYBER KARTOU	4000	73945	\N	\N	0
548937	1870	1998-12-01	VYDAJ	VYBER KARTOU	1800	25108	\N	\N	0
548938	1870	1994-12-25	VYDAJ	VYBER	4320	50430	\N	\N	\N
548940	1870	1994-12-30	VYDAJ	VYBER	5880	44550	\N	\N	\N
548944	1870	1995-06-06	VYDAJ	VYBER	3240	45431	\N	\N	\N
548945	1870	1995-05-28	VYDAJ	VYBER	1920	48480	\N	\N	\N
548946	1870	1995-01-07	VYDAJ	VYBER	2760	41985	\N	\N	\N
548947	1870	1995-12-30	VYDAJ	VYBER	2040	45806	\N	\N	\N
548948	1870	1996-11-22	VYDAJ	VYBER	4080	37781	\N	\N	\N
548949	1870	1996-03-02	VYDAJ	VYBER	5040	35899	\N	\N	\N
548950	1870	1996-12-30	VYDAJ	VYBER	4080	39460	\N	\N	\N
548951	1870	1996-02-21	VYDAJ	VYBER	1200	43651	\N	\N	\N
548952	1870	1996-02-26	VYDAJ	VYBER	2880	40771	\N	\N	\N
548953	1870	1997-12-24	VYDAJ	VYBER KARTOU	3700	70245	\N	\N	0
548954	1870	1997-07-24	VYDAJ	VYBER	4320	58320	\N	\N	\N
548955	1870	1997-02-20	VYDAJ	VYBER	3480	49417	\N	\N	\N
548956	1870	1997-05-11	VYDAJ	VYBER	4200	34524	\N	\N	\N
548957	1870	1997-08-09	VYDAJ	VYBER	5520	33634	\N	\N	\N
548958	1870	1998-01-14	VYDAJ	VYBER KARTOU	1700	66361	\N	\N	0
548959	1870	1998-11-15	VYDAJ	VYBER	5280	45525	\N	\N	\N
548960	1870	1998-06-08	VYDAJ	VYBER KARTOU	1700	35198	\N	\N	0
548961	1870	1998-06-22	VYDAJ	VYBER	5400	61948	\N	\N	\N
548973	1870	1994-11-30	VYDAJ	VYBER	15	45700	SLUZBY	\N	\N
548974	1870	1994-12-31	VYDAJ	VYBER	15	44745	SLUZBY	\N	\N
548975	1870	1995-01-31	VYDAJ	VYBER	15	43916	SLUZBY	\N	\N
548976	1870	1995-02-28	VYDAJ	VYBER	15	49124	SLUZBY	\N	\N
548977	1870	1995-03-31	VYDAJ	VYBER	15	48446	SLUZBY	\N	\N
548978	1870	1995-04-30	VYDAJ	VYBER	15	49167	SLUZBY	\N	\N
548979	1870	1995-05-31	VYDAJ	VYBER	15	48671	SLUZBY	\N	\N
548980	1870	1995-06-30	VYDAJ	VYBER	15	52514	SLUZBY	\N	\N
548981	1870	1995-07-31	VYDAJ	VYBER	15	49847	SLUZBY	\N	\N
548982	1870	1995-08-31	VYDAJ	VYBER	15	47468	SLUZBY	\N	\N
548983	1870	1995-09-30	VYDAJ	VYBER	15	47083	SLUZBY	\N	\N
548984	1870	1995-10-31	VYDAJ	VYBER	15	44793	SLUZBY	\N	\N
548985	1870	1995-11-30	VYDAJ	VYBER	15	44396	SLUZBY	\N	\N
548986	1870	1995-12-31	VYDAJ	VYBER	15	46012	SLUZBY	\N	\N
548987	1870	1996-01-31	VYDAJ	VYBER	15	44418	SLUZBY	\N	\N
548988	1870	1996-02-29	VYDAJ	VYBER	15	40939	SLUZBY	\N	\N
548989	1870	1996-03-31	VYDAJ	VYBER	15	40600	SLUZBY	\N	\N
548990	1870	1996-04-30	VYDAJ	VYBER	15	40987	SLUZBY	\N	\N
548991	1870	1996-05-31	VYDAJ	VYBER	15	46488	SLUZBY	\N	\N
548992	1870	1996-06-30	VYDAJ	VYBER	15	50926	SLUZBY	\N	\N
548993	1870	1996-07-31	VYDAJ	VYBER	15	47848	SLUZBY	\N	\N
548994	1870	1996-08-31	VYDAJ	VYBER	15	44356	SLUZBY	\N	\N
548995	1870	1996-09-30	VYDAJ	VYBER	15	40648	SLUZBY	\N	\N
548996	1870	1996-10-31	VYDAJ	VYBER	15	38528	SLUZBY	\N	\N
548997	1870	1996-11-30	VYDAJ	VYBER	15	37930	SLUZBY	\N	\N
548998	1870	1996-12-31	VYDAJ	VYBER	15	39621	SLUZBY	\N	\N
548999	1870	1997-01-31	VYDAJ	VYBER	15	42764	SLUZBY	\N	\N
549000	1870	1997-02-28	VYDAJ	VYBER	15	49604	SLUZBY	\N	\N
549001	1870	1997-03-31	VYDAJ	VYBER	15	47019	SLUZBY	\N	\N
549002	1870	1997-04-30	VYDAJ	VYBER	15	42691	SLUZBY	\N	\N
549003	1870	1997-05-31	VYDAJ	VYBER	15	34662	SLUZBY	\N	\N
549004	1870	1997-06-30	VYDAJ	VYBER	15	57707	SLUZBY	\N	\N
549005	1870	1997-07-31	VYDAJ	VYBER	15	58554	SLUZBY	\N	\N
549006	1870	1997-08-31	VYDAJ	VYBER	15	55281	SLUZBY	\N	\N
549007	1870	1997-09-30	VYDAJ	VYBER	15	60141	SLUZBY	\N	\N
549008	1870	1997-10-31	VYDAJ	VYBER	15	62313	SLUZBY	\N	\N
549009	1870	1997-11-30	VYDAJ	VYBER	15	64595	SLUZBY	\N	\N
549010	1870	1997-12-31	VYDAJ	VYBER	15	70528	SLUZBY	\N	\N
549011	1870	1998-01-31	VYDAJ	VYBER	15	66626	SLUZBY	\N	\N
549012	1870	1998-02-28	VYDAJ	VYBER	15	64814	SLUZBY	\N	\N
549013	1870	1998-03-31	VYDAJ	VYBER	15	63294	SLUZBY	\N	\N
549014	1870	1998-04-30	VYDAJ	VYBER	15	57255	SLUZBY	\N	\N
549015	1870	1998-05-31	VYDAJ	VYBER	15	53698	SLUZBY	\N	\N
549016	1870	1998-06-30	VYDAJ	VYBER	15	62182	SLUZBY	\N	\N
549017	1870	1998-07-31	VYDAJ	VYBER	15	61152	SLUZBY	\N	\N
549018	1870	1998-08-31	VYDAJ	VYBER	15	54200	SLUZBY	\N	\N
549019	1870	1998-09-30	VYDAJ	VYBER	15	53839	SLUZBY	\N	\N
549020	1870	1998-10-31	VYDAJ	VYBER	15	51872	SLUZBY	\N	\N
549021	1870	1998-11-30	VYDAJ	VYBER	15	45708	SLUZBY	\N	\N
549022	1870	1994-07-25	PRIJEM	VKLAD	2600	24733	\N	\N	\N
549023	1870	1994-08-24	VYDAJ	VYBER	10900	35289	\N	\N	\N
549024	1870	1994-09-23	VYDAJ	VYBER	15500	41337	\N	\N	\N
549025	1870	1994-10-23	VYDAJ	VYBER	19600	43323	\N	\N	\N
549026	1870	1994-11-22	VYDAJ	VYBER	19400	45531	\N	\N	\N
549027	1870	1994-12-22	VYDAJ	VYBER	22300	54750	\N	\N	\N
549028	1870	1995-01-21	VYDAJ	VYBER	19700	43718	\N	\N	\N
549029	1870	1995-02-20	VYDAJ	VYBER	16400	48949	\N	\N	\N
549030	1870	1995-03-22	VYDAJ	VYBER	22300	48257	\N	\N	\N
549031	1870	1995-04-21	VYDAJ	VYBER	20900	48979	\N	\N	\N
549032	1870	1995-05-21	VYDAJ	VYBER	20200	50400	\N	\N	\N
549033	1870	1995-06-20	VYDAJ	VYBER	25300	52281	\N	\N	\N
549034	1870	1995-07-20	VYDAJ	VYBER	24300	49647	\N	\N	\N
549035	1870	1995-08-19	VYDAJ	VYBER	24000	47280	\N	\N	\N
549036	1870	1995-09-18	VYDAJ	VYBER	22000	46901	\N	\N	\N
549037	1870	1995-10-18	VYDAJ	VYBER	23900	44616	\N	\N	\N
549038	1870	1995-11-17	VYDAJ	VYBER	22000	44226	\N	\N	\N
549039	1870	1995-12-17	VYDAJ	VYBER	27900	47846	\N	\N	\N
549040	1870	1996-01-16	VYDAJ	VYBER	23200	44245	\N	\N	\N
549041	1870	1996-02-15	VYDAJ	VYBER	21000	44851	\N	\N	\N
549042	1870	1996-03-16	VYDAJ	VYBER	16900	40432	\N	\N	\N
549043	1870	1996-04-15	VYDAJ	VYBER	21200	40833	\N	\N	\N
549044	1870	1996-05-15	VYDAJ	VYBER	16100	46320	\N	\N	\N
549045	1870	1996-06-14	VYDAJ	VYBER	27900	50738	\N	\N	\N
549046	1870	1996-07-14	VYDAJ	VYBER	24700	47659	\N	\N	\N
549047	1870	1996-08-13	VYDAJ	VYBER	25100	44181	\N	\N	\N
549048	1870	1996-09-12	VYDAJ	VYBER	25300	40489	\N	\N	\N
549049	1870	1996-10-12	VYDAJ	VYBER	23700	38381	\N	\N	\N
549050	1870	1996-11-11	VYDAJ	VYBER	18100	41861	\N	\N	\N
549051	1870	1996-12-11	VYDAJ	VYBER	24300	43540	\N	\N	\N
549052	1870	1997-01-10	VYDAJ	VYBER	18500	42554	\N	\N	\N
549053	1870	1997-02-09	VYDAJ	VYBER	11300	31464	\N	\N	\N
549054	1870	1997-03-11	VYDAJ	VYBER	24200	46837	\N	\N	\N
549055	1870	1997-04-10	VYDAJ	VYBER	26000	42452	\N	\N	\N
549056	1870	1997-05-10	VYDAJ	VYBER	25400	38724	\N	\N	\N
549057	1870	1997-06-09	VYDAJ	VYBER	9300	25362	\N	\N	\N
549058	1870	1997-07-09	VYDAJ	VYBER	16500	41207	\N	\N	\N
549059	1870	1997-08-08	VYDAJ	VYBER	19400	39154	\N	\N	\N
549060	1870	1997-09-07	VYDAJ	VYBER	16800	38481	\N	\N	\N
549061	1870	1997-10-07	VYDAJ	VYBER	19500	40641	\N	\N	\N
549062	1870	1997-11-06	VYDAJ	VYBER	19400	42913	\N	\N	\N
549063	1870	1997-12-06	VYDAJ	VYBER	18800	45795	\N	\N	\N
549064	1870	1998-01-05	VYDAJ	VYBER	23900	46628	\N	\N	\N
549065	1870	1998-02-04	VYDAJ	VYBER	23500	43126	\N	\N	\N
549066	1870	1998-03-06	VYDAJ	VYBER	23200	41614	\N	\N	\N
549067	1870	1998-04-05	VYDAJ	VYBER	27700	35594	\N	\N	\N
549068	1870	1998-05-05	VYDAJ	VYBER	25200	32055	\N	\N	\N
549069	1870	1998-06-04	VYDAJ	VYBER	16800	36898	\N	\N	\N
549070	1870	1998-07-04	VYDAJ	VYBER	22700	39482	\N	\N	\N
549071	1870	1998-08-03	VYDAJ	VYBER	28600	32552	\N	\N	\N
549072	1870	1998-09-02	VYDAJ	VYBER	22000	32200	\N	\N	\N
549073	1870	1998-10-02	VYDAJ	VYBER	23600	30239	\N	\N	\N
549074	1870	1998-11-01	VYDAJ	VYBER	22500	29372	\N	\N	\N
549075	1870	1998-12-01	VYDAJ	VYBER	18800	26908	\N	\N	\N
549130	1871	1994-05-10	PRIJEM	VKLAD	200	200	\N	\N	\N
549135	1871	1994-05-14	PRIJEM	PREVOD Z UCTU	23035	23235	\N	GH	39485311
549136	1871	1994-06-14	PRIJEM	PREVOD Z UCTU	34552	58843	\N	GH	39485311
549137	1871	1994-07-14	PRIJEM	PREVOD Z UCTU	23035	67159	\N	GH	39485311
549138	1871	1994-08-14	PRIJEM	PREVOD Z UCTU	23035	69859	\N	GH	39485311
549139	1871	1994-09-14	PRIJEM	PREVOD Z UCTU	23035	68781	\N	GH	39485311
549140	1871	1994-10-14	PRIJEM	PREVOD Z UCTU	23035	61738	\N	GH	39485311
549141	1871	1994-11-14	PRIJEM	PREVOD Z UCTU	23035	45105	\N	GH	39485311
549142	1871	1994-12-14	PRIJEM	PREVOD Z UCTU	34552	62626	\N	GH	39485311
549143	1871	1995-01-14	PRIJEM	PREVOD Z UCTU	23035	51147	\N	GH	39485311
549144	1871	1995-02-14	PRIJEM	PREVOD Z UCTU	23035	49932	\N	GH	39485311
549145	1871	1995-03-14	PRIJEM	PREVOD Z UCTU	23035	46180	\N	GH	39485311
549146	1871	1995-04-14	PRIJEM	PREVOD Z UCTU	23035	43761	\N	GH	39485311
549147	1871	1995-05-14	PRIJEM	PREVOD Z UCTU	23035	46399	\N	GH	39485311
549148	1871	1995-06-14	PRIJEM	PREVOD Z UCTU	34552	60628	\N	GH	39485311
549149	1871	1995-07-14	PRIJEM	PREVOD Z UCTU	23035	61038	\N	GH	39485311
549150	1871	1995-08-14	PRIJEM	PREVOD Z UCTU	23035	57497	\N	GH	39485311
549151	1871	1995-09-14	PRIJEM	PREVOD Z UCTU	23035	44602	\N	GH	39485311
549152	1871	1995-10-14	PRIJEM	PREVOD Z UCTU	23035	51787	\N	GH	39485311
549153	1871	1995-11-14	PRIJEM	PREVOD Z UCTU	23035	56111	\N	GH	39485311
549154	1871	1995-12-14	PRIJEM	PREVOD Z UCTU	34552	50914	\N	GH	39485311
549155	1871	1996-01-14	PRIJEM	PREVOD Z UCTU	23035	47889	\N	GH	39485311
549156	1871	1996-02-14	PRIJEM	PREVOD Z UCTU	23035	42640	\N	GH	39485311
549157	1871	1996-03-14	PRIJEM	PREVOD Z UCTU	23035	55745	\N	GH	39485311
549158	1871	1996-04-14	PRIJEM	PREVOD Z UCTU	23035	53539	\N	GH	39485311
549159	1871	1996-05-14	PRIJEM	PREVOD Z UCTU	23035	60399	\N	GH	39485311
549160	1871	1996-06-14	PRIJEM	PREVOD Z UCTU	34552	66196	\N	GH	39485311
549161	1871	1996-07-14	PRIJEM	PREVOD Z UCTU	23035	59497	\N	GH	39485311
549162	1871	1996-08-14	PRIJEM	PREVOD Z UCTU	23035	52835	\N	GH	39485311
549163	1871	1996-09-14	PRIJEM	PREVOD Z UCTU	23035	56881	\N	GH	39485311
549164	1871	1996-10-14	PRIJEM	PREVOD Z UCTU	23035	47203	\N	GH	39485311
549165	1871	1996-11-14	PRIJEM	PREVOD Z UCTU	23035	50163	\N	GH	39485311
549166	1871	1996-12-14	PRIJEM	PREVOD Z UCTU	34552	58073	\N	GH	39485311
549167	1871	1997-01-14	PRIJEM	PREVOD Z UCTU	23035	45276	\N	GH	39485311
549168	1871	1997-02-14	PRIJEM	PREVOD Z UCTU	23035	47240	\N	GH	39485311
549169	1871	1997-03-14	PRIJEM	PREVOD Z UCTU	23035	62915	\N	GH	39485311
549170	1871	1997-04-14	PRIJEM	PREVOD Z UCTU	23035	67203	\N	GH	39485311
549171	1871	1997-05-14	PRIJEM	PREVOD Z UCTU	23035	60914	\N	GH	39485311
549172	1871	1997-06-14	PRIJEM	PREVOD Z UCTU	34552	75911	\N	GH	39485311
549173	1871	1997-07-14	PRIJEM	PREVOD Z UCTU	23035	72210	\N	GH	39485311
549317	1871	1995-04-30	VYDAJ	VYBER	15	31064	SLUZBY	\N	\N
549174	1871	1997-08-14	PRIJEM	PREVOD Z UCTU	23035	66426	\N	GH	39485311
549175	1871	1997-09-14	PRIJEM	PREVOD Z UCTU	23035	63524	\N	GH	39485311
549176	1871	1997-10-14	PRIJEM	PREVOD Z UCTU	23035	63310	\N	GH	39485311
549177	1871	1997-11-14	PRIJEM	PREVOD Z UCTU	23035	56725	\N	GH	39485311
549178	1871	1997-12-14	PRIJEM	PREVOD Z UCTU	34552	66406	\N	GH	39485311
549179	1871	1998-01-14	PRIJEM	PREVOD Z UCTU	23035	49942	\N	GH	39485311
549180	1871	1998-02-14	PRIJEM	PREVOD Z UCTU	23035	48187	\N	GH	39485311
549181	1871	1998-03-14	PRIJEM	PREVOD Z UCTU	23035	58727	\N	GH	39485311
549182	1871	1998-04-14	PRIJEM	PREVOD Z UCTU	23035	48180	\N	GH	39485311
549183	1871	1998-05-14	PRIJEM	PREVOD Z UCTU	23035	52846	\N	GH	39485311
549184	1871	1998-06-14	PRIJEM	PREVOD Z UCTU	34552	65806	\N	GH	39485311
549185	1871	1998-07-14	PRIJEM	PREVOD Z UCTU	23035	53843	\N	GH	39485311
549186	1871	1998-08-14	PRIJEM	PREVOD Z UCTU	23035	59599	\N	GH	39485311
549187	1871	1998-09-14	PRIJEM	PREVOD Z UCTU	23035	54267	\N	GH	39485311
549188	1871	1998-10-14	PRIJEM	PREVOD Z UCTU	23035	54715	\N	GH	39485311
549189	1871	1998-11-14	PRIJEM	PREVOD Z UCTU	23035	54763	\N	GH	39485311
549190	1871	1998-12-14	PRIJEM	PREVOD Z UCTU	34552	59688	\N	GH	39485311
549194	1871	1994-11-08	VYBER	VYBER	9685	29274	\N	\N	\N
549196	1871	1994-11-13	VYBER	VYBER	7204	22070	\N	\N	\N
549200	1871	1994-09-15	VYBER	VYBER	19608	49173	\N	\N	\N
549201	1871	1995-11-17	VYBER	VYBER	7506	48605	\N	\N	\N
549203	1871	1995-08-19	VYBER	VYBER	11122	46375	\N	\N	\N
549204	1871	1995-06-19	VYBER	VYBER	3811	56817	\N	\N	\N
549206	1871	1995-04-16	VYBER	VYBER	12797	30964	\N	\N	\N
549207	1871	1995-03-31	VYBER	VYBER	10278	21341	\N	\N	\N
549208	1871	1995-07-29	VYBER	VYBER	7105	53933	\N	\N	\N
549209	1871	1995-05-26	VYBER	VYBER	4562	35237	\N	\N	\N
549210	1871	1995-01-05	VYBER	VYBER	20314	40712	\N	\N	\N
549211	1871	1995-12-01	VYBER	VYBER	15331	21462	\N	\N	\N
549212	1871	1995-02-14	VYBER	VYBER	18196	31736	\N	\N	\N
549215	1871	1996-12-02	VYBER	VYBER	10145	23521	\N	\N	\N
549216	1871	1996-10-07	VYBER	VYBER	11639	24168	\N	\N	\N
549218	1871	1996-07-21	VYBER	VYBER	9740	49757	\N	\N	\N
549219	1871	1997-10-18	VYBER	VYBER	15664	47646	\N	\N	\N
549220	1871	1997-12-16	VYBER	VYBER	23538	42868	\N	\N	\N
549221	1871	1998-06-15	VYBER	VYBER	7155	58651	\N	\N	\N
549222	1871	1998-04-11	VYBER	VYBER	8055	25145	\N	\N	\N
549223	1871	1998-06-18	VYBER	VYBER	4372	54279	\N	\N	\N
549225	1871	1998-11-21	VYBER	VYBER	3428	25035	\N	\N	\N
549227	1871	1998-04-06	VYBER	VYBER	6564	33200	\N	\N	\N
549230	1871	1996-06-14	VYDAJ	VYBER	9900	56296	\N	\N	\N
549235	1871	1996-01-19	VYDAJ	VYBER	5400	32289	\N	\N	\N
549236	1871	1997-01-21	VYDAJ	VYBER	6000	39276	\N	\N	\N
549237	1871	1998-01-14	VYDAJ	VYBER	9600	40342	\N	\N	\N
549238	1871	1994-12-07	VYDAJ	VYBER	5700	28074	\N	\N	\N
549239	1871	1995-12-28	VYDAJ	VYBER	6600	44314	\N	\N	\N
549241	1871	1997-12-03	VYDAJ	VYBER	6300	31854	\N	\N	\N
549242	1871	1998-12-25	VYDAJ	VYBER	3300	28288	\N	\N	\N
549249	1871	1995-01-18	VYDAJ	VYBER	5100	46047	\N	\N	\N
549250	1871	1995-01-02	VYDAJ	VYBER	1800	61026	\N	\N	\N
549251	1871	1995-01-25	VYDAJ	VYBER	5700	30747	\N	\N	\N
549252	1871	1995-01-06	VYDAJ	VYBER	3300	28112	\N	\N	\N
549253	1871	1995-01-20	VYDAJ	VYBER	4800	41247	\N	\N	\N
549254	1871	1995-01-23	VYDAJ	VYBER	4800	36447	\N	\N	\N
549255	1871	1996-01-19	VYDAJ	VYBER	6600	25689	\N	\N	\N
549256	1871	1996-01-16	VYDAJ	VYBER	8100	37689	\N	\N	\N
549257	1871	1996-01-29	VYDAJ	VYBER	2700	22989	\N	\N	\N
549259	1871	1996-01-07	VYDAJ	VYBER	4800	24854	\N	\N	\N
549260	1871	1996-01-15	VYDAJ	VYBER	2100	45789	\N	\N	\N
549261	1871	1997-01-01	VYDAJ	VYBER	8400	33941	\N	\N	\N
549262	1871	1997-01-22	VYDAJ	VYBER	8100	31176	\N	\N	\N
549264	1871	1997-01-12	VYDAJ	VYBER	3600	22241	\N	\N	\N
549266	1871	1997-01-07	VYDAJ	VYBER	8100	25841	\N	\N	\N
549267	1871	1998-01-23	VYDAJ	VYBER	2700	25042	\N	\N	\N
549270	1871	1998-01-18	VYDAJ	VYBER	2400	31642	\N	\N	\N
549271	1871	1998-01-13	VYDAJ	VYBER	3600	26907	\N	\N	\N
549272	1871	1998-01-17	VYDAJ	VYBER	6300	34042	\N	\N	\N
549274	1871	1994-11-02	VYDAJ	VYBER	6300	55659	\N	\N	\N
549279	1871	1995-02-21	VYDAJ	VYBER	6300	25436	\N	\N	\N
549280	1871	1995-03-24	VYDAJ	VYBER	14700	31480	\N	\N	\N
549281	1871	1995-08-28	VYDAJ	VYBER	13500	32875	\N	\N	\N
549282	1871	1995-05-21	VYDAJ	VYBER	6600	39799	\N	\N	\N
549283	1871	1995-11-26	VYDAJ	VYBER	12000	36605	\N	\N	\N
549285	1871	1996-07-25	VYDAJ	VYBER	5400	44357	\N	\N	\N
549286	1871	1996-03-28	VYDAJ	VYBER	13500	42245	\N	\N	\N
549287	1871	1996-10-16	VYDAJ	VYBER	14100	33103	\N	\N	\N
549288	1871	1996-04-25	VYDAJ	VYBER	3000	50539	\N	\N	\N
549289	1871	1996-05-23	VYDAJ	VYBER	13800	46599	\N	\N	\N
549290	1871	1997-04-15	VYDAJ	VYBER	11400	55803	\N	\N	\N
549291	1871	1997-08-20	VYDAJ	VYBER	11100	55326	\N	\N	\N
549292	1871	1997-02-03	VYDAJ	VYBER	5400	24205	\N	\N	\N
549295	1871	1998-06-20	VYDAJ	VYBER	2100	30679	\N	\N	\N
549298	1871	1998-08-31	VYDAJ	VYBER	5400	31232	\N	\N	\N
549310	1871	1994-09-30	VYDAJ	VYBER	15	49403	SLUZBY	\N	\N
549311	1871	1994-10-31	VYDAJ	VYBER	15	61959	SLUZBY	\N	\N
549312	1871	1994-11-30	VYDAJ	VYBER	15	45274	SLUZBY	\N	\N
549313	1871	1994-12-31	VYDAJ	VYBER	15	62826	SLUZBY	\N	\N
549314	1871	1995-01-31	VYDAJ	VYBER	15	30897	SLUZBY	\N	\N
549315	1871	1995-02-28	VYDAJ	VYBER	15	25545	SLUZBY	\N	\N
549316	1871	1995-03-31	VYDAJ	VYBER	15	21326	SLUZBY	\N	\N
549318	1871	1995-05-31	VYDAJ	VYBER	15	35376	SLUZBY	\N	\N
549319	1871	1995-06-30	VYDAJ	VYBER	15	57003	SLUZBY	\N	\N
549320	1871	1995-07-31	VYDAJ	VYBER	15	54162	SLUZBY	\N	\N
549321	1871	1995-08-31	VYDAJ	VYBER	15	33067	SLUZBY	\N	\N
549322	1871	1995-09-30	VYDAJ	VYBER	15	44752	SLUZBY	\N	\N
549323	1871	1995-10-31	VYDAJ	VYBER	15	51976	SLUZBY	\N	\N
549324	1871	1995-11-30	VYDAJ	VYBER	15	36793	SLUZBY	\N	\N
549325	1871	1995-12-31	VYDAJ	VYBER	15	29654	SLUZBY	\N	\N
549326	1871	1996-01-31	VYDAJ	VYBER	15	19605	SLUZBY	\N	\N
549327	1871	1996-02-29	VYDAJ	VYBER	15	42710	SLUZBY	\N	\N
549328	1871	1996-03-31	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
549329	1871	1996-04-30	VYDAJ	VYBER	15	37364	SLUZBY	\N	\N
549330	1871	1996-05-31	VYDAJ	VYBER	15	31644	SLUZBY	\N	\N
549331	1871	1996-06-30	VYDAJ	VYBER	15	36462	SLUZBY	\N	\N
549332	1871	1996-07-31	VYDAJ	VYBER	15	29800	SLUZBY	\N	\N
549333	1871	1996-08-31	VYDAJ	VYBER	15	33846	SLUZBY	\N	\N
549334	1871	1996-09-30	VYDAJ	VYBER	15	35807	SLUZBY	\N	\N
549335	1871	1996-10-31	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
549336	1871	1996-11-30	VYDAJ	VYBER	15	33666	SLUZBY	\N	\N
549337	1871	1996-12-31	VYDAJ	VYBER	15	42341	SLUZBY	\N	\N
549338	1871	1997-01-31	VYDAJ	VYBER	15	29605	SLUZBY	\N	\N
549339	1871	1997-02-28	VYDAJ	VYBER	15	39880	SLUZBY	\N	\N
549340	1871	1997-03-31	VYDAJ	VYBER	15	44168	SLUZBY	\N	\N
549341	1871	1997-04-30	VYDAJ	VYBER	15	37879	SLUZBY	\N	\N
549342	1871	1997-05-31	VYDAJ	VYBER	15	41359	SLUZBY	\N	\N
549343	1871	1997-06-30	VYDAJ	VYBER	15	49175	SLUZBY	\N	\N
549344	1871	1997-07-31	VYDAJ	VYBER	15	43391	SLUZBY	\N	\N
549345	1871	1997-08-31	VYDAJ	VYBER	15	40489	SLUZBY	\N	\N
549346	1871	1997-09-30	VYDAJ	VYBER	15	40275	SLUZBY	\N	\N
549347	1871	1997-10-31	VYDAJ	VYBER	15	33690	SLUZBY	\N	\N
549348	1871	1997-11-30	VYDAJ	VYBER	15	38154	SLUZBY	\N	\N
549349	1871	1997-12-31	VYDAJ	VYBER	15	30507	SLUZBY	\N	\N
549350	1871	1998-01-31	VYDAJ	VYBER	15	25152	SLUZBY	\N	\N
549351	1871	1998-02-28	VYDAJ	VYBER	15	35692	SLUZBY	\N	\N
549352	1871	1998-03-31	VYDAJ	VYBER	15	39764	SLUZBY	\N	\N
549353	1871	1998-04-30	VYDAJ	VYBER	15	29811	SLUZBY	\N	\N
549354	1871	1998-05-31	VYDAJ	VYBER	15	31254	SLUZBY	\N	\N
549355	1871	1998-06-30	VYDAJ	VYBER	15	30808	SLUZBY	\N	\N
549356	1871	1998-07-31	VYDAJ	VYBER	15	36564	SLUZBY	\N	\N
549357	1871	1998-08-31	VYDAJ	VYBER	15	36632	SLUZBY	\N	\N
549358	1871	1998-09-30	VYDAJ	VYBER	15	31680	SLUZBY	\N	\N
549359	1871	1998-10-31	VYDAJ	VYBER	15	31728	SLUZBY	\N	\N
549360	1871	1998-11-30	VYDAJ	VYBER	15	25136	SLUZBY	\N	\N
549361	1871	1994-06-09	PRIJEM	VKLAD	1000	24291	\N	\N	\N
549362	1871	1994-07-09	VYDAJ	VYBER	14900	44124	\N	\N	\N
549363	1871	1994-08-08	VYDAJ	VYBER	20600	46824	\N	\N	\N
549364	1871	1994-09-07	VYDAJ	VYBER	24400	45746	\N	\N	\N
549365	1871	1994-10-07	VYDAJ	VYBER	10700	38703	\N	\N	\N
549366	1871	1994-11-06	VYDAJ	VYBER	16700	38959	\N	\N	\N
549367	1871	1994-12-06	VYDAJ	VYBER	11500	33774	\N	\N	\N
549368	1871	1995-01-05	VYDAJ	VYBER	9300	31412	\N	\N	\N
549369	1871	1995-02-04	VYDAJ	VYBER	4000	26897	\N	\N	\N
549370	1871	1995-03-06	VYDAJ	VYBER	2400	23145	\N	\N	\N
549371	1871	1995-04-05	VYDAJ	VYBER	600	20726	\N	\N	\N
549372	1871	1995-05-05	VYDAJ	VYBER	7700	23364	\N	\N	\N
549373	1871	1995-06-04	VYDAJ	VYBER	9300	26076	\N	\N	\N
549374	1871	1995-07-04	VYDAJ	VYBER	19000	38003	\N	\N	\N
549375	1871	1995-08-03	VYDAJ	VYBER	19700	34462	\N	\N	\N
549376	1871	1995-09-02	VYDAJ	VYBER	11500	21567	\N	\N	\N
549377	1871	1995-10-02	VYDAJ	VYBER	16000	28752	\N	\N	\N
549378	1871	1995-11-01	VYDAJ	VYBER	18900	33076	\N	\N	\N
549379	1871	1995-12-01	VYDAJ	VYBER	5100	16362	\N	\N	\N
549380	1871	1995-12-31	VYDAJ	VYBER	14800	29669	\N	\N	\N
549381	1871	1996-01-30	VYDAJ	VYBER	3500	19489	\N	\N	\N
549382	1871	1996-02-29	VYDAJ	VYBER	10000	32710	\N	\N	\N
549383	1871	1996-03-30	VYDAJ	VYBER	11900	30345	\N	\N	\N
549384	1871	1996-04-29	VYDAJ	VYBER	13300	37239	\N	\N	\N
549385	1871	1996-05-29	VYDAJ	VYBER	15100	31499	\N	\N	\N
549386	1871	1996-06-28	VYDAJ	VYBER	20000	36296	\N	\N	\N
549387	1871	1996-07-28	VYDAJ	VYBER	14700	29657	\N	\N	\N
549388	1871	1996-08-27	VYDAJ	VYBER	19100	33735	\N	\N	\N
549389	1871	1996-09-26	VYDAJ	VYBER	21200	35681	\N	\N	\N
549390	1871	1996-10-26	VYDAJ	VYBER	6100	27003	\N	\N	\N
549391	1871	1996-11-25	VYDAJ	VYBER	16600	33563	\N	\N	\N
549392	1871	1996-12-25	VYDAJ	VYBER	15900	42173	\N	\N	\N
549393	1871	1997-01-24	VYDAJ	VYBER	1700	29476	\N	\N	\N
549394	1871	1997-02-23	VYDAJ	VYBER	7500	39740	\N	\N	\N
549395	1871	1997-03-25	VYDAJ	VYBER	18900	44015	\N	\N	\N
549396	1871	1997-04-24	VYDAJ	VYBER	18100	37703	\N	\N	\N
549397	1871	1997-05-24	VYDAJ	VYBER	19700	41214	\N	\N	\N
549398	1871	1997-06-23	VYDAJ	VYBER	26900	49011	\N	\N	\N
549399	1871	1997-07-23	VYDAJ	VYBER	29000	43210	\N	\N	\N
549400	1871	1997-08-22	VYDAJ	VYBER	15000	40326	\N	\N	\N
549401	1871	1997-09-21	VYDAJ	VYBER	23400	40124	\N	\N	\N
549402	1871	1997-10-21	VYDAJ	VYBER	14100	33546	\N	\N	\N
549403	1871	1997-11-20	VYDAJ	VYBER	18700	38025	\N	\N	\N
549404	1871	1997-12-20	VYDAJ	VYBER	12500	30368	\N	\N	\N
549405	1871	1998-01-19	VYDAJ	VYBER	3900	27742	\N	\N	\N
549406	1871	1998-02-18	VYDAJ	VYBER	12600	35587	\N	\N	\N
549407	1871	1998-03-20	VYDAJ	VYBER	19100	39627	\N	\N	\N
549408	1871	1998-04-19	VYDAJ	VYBER	18500	29680	\N	\N	\N
549409	1871	1998-05-19	VYDAJ	VYBER	21700	31146	\N	\N	\N
549410	1871	1998-06-18	VYDAJ	VYBER	21500	32779	\N	\N	\N
549411	1871	1998-07-18	VYDAJ	VYBER	17400	36443	\N	\N	\N
549412	1871	1998-08-17	VYDAJ	VYBER	23100	36499	\N	\N	\N
549413	1871	1998-09-16	VYDAJ	VYBER	22700	31567	\N	\N	\N
549414	1871	1998-10-16	VYDAJ	VYBER	23100	31615	\N	\N	\N
549415	1871	1998-11-15	VYDAJ	VYBER	26300	28463	\N	\N	\N
549416	1871	1998-12-15	VYDAJ	VYBER	28100	31588	\N	\N	\N
549473	1872	1997-09-17	PRIJEM	VKLAD	700	700	\N	\N	\N
549483	1872	1997-10-12	PRIJEM	VKLAD	12781	13481	\N	\N	\N
549484	1872	1997-11-12	PRIJEM	VKLAD	12781	34005	\N	\N	\N
549485	1872	1997-12-12	PRIJEM	VKLAD	19172	49082	\N	\N	\N
549486	1872	1998-01-12	PRIJEM	VKLAD	12781	51507	\N	\N	\N
549487	1872	1998-02-12	PRIJEM	VKLAD	12781	50847	\N	\N	\N
549488	1872	1998-03-12	PRIJEM	VKLAD	12781	39816	\N	\N	\N
549489	1872	1998-04-12	PRIJEM	VKLAD	12781	33522	\N	\N	\N
549490	1872	1998-05-12	PRIJEM	VKLAD	12781	40974	\N	\N	\N
549491	1872	1998-06-12	PRIJEM	VKLAD	19172	53143	\N	\N	\N
549492	1872	1998-07-12	PRIJEM	VKLAD	12781	57257	\N	\N	\N
549493	1872	1998-08-12	PRIJEM	VKLAD	12781	56850	\N	\N	\N
549494	1872	1998-09-12	PRIJEM	VKLAD	12781	63194	\N	\N	\N
549495	1872	1998-10-12	PRIJEM	VKLAD	12781	56819	\N	\N	\N
549496	1872	1998-11-12	PRIJEM	VKLAD	12781	56156	\N	\N	\N
549497	1872	1998-12-12	PRIJEM	VKLAD	19172	66821	\N	\N	\N
549511	1872	1998-02-12	VYDAJ	PREVOD NA UCET	5886	44961	SIPO	MN	37390577
549512	1872	1998-03-12	VYDAJ	PREVOD NA UCET	5886	33930	SIPO	MN	37390577
549513	1872	1998-04-12	VYDAJ	PREVOD NA UCET	5886	27636	SIPO	MN	37390577
549514	1872	1998-05-12	VYDAJ	PREVOD NA UCET	5886	35088	SIPO	MN	37390577
549515	1872	1998-06-12	VYDAJ	PREVOD NA UCET	5886	47257	SIPO	MN	37390577
549516	1872	1998-07-12	VYDAJ	PREVOD NA UCET	5886	51371	SIPO	MN	37390577
549517	1872	1998-08-12	VYDAJ	PREVOD NA UCET	5886	50964	SIPO	MN	37390577
549518	1872	1998-09-12	VYDAJ	PREVOD NA UCET	5886	57308	SIPO	MN	37390577
549519	1872	1998-10-12	VYDAJ	PREVOD NA UCET	5886	50933	SIPO	MN	37390577
549520	1872	1998-11-12	VYDAJ	PREVOD NA UCET	5886	50270	SIPO	MN	37390577
549521	1872	1998-12-12	VYDAJ	PREVOD NA UCET	5886	60935	SIPO	MN	37390577
549536	1872	1998-03-11	VYDAJ	PREVOD NA UCET	137	27035	 	UV	67046397
549537	1872	1998-04-11	VYDAJ	PREVOD NA UCET	137	20741	 	UV	67046397
549538	1872	1998-05-11	VYDAJ	PREVOD NA UCET	137	28193	 	UV	67046397
549539	1872	1998-06-11	VYDAJ	PREVOD NA UCET	137	33972	 	UV	67046397
549540	1872	1998-07-11	VYDAJ	PREVOD NA UCET	137	44476	 	UV	67046397
549541	1872	1998-08-11	VYDAJ	PREVOD NA UCET	137	44069	 	UV	67046397
549542	1872	1998-09-11	VYDAJ	PREVOD NA UCET	137	50413	 	UV	67046397
549543	1872	1998-10-11	VYDAJ	PREVOD NA UCET	137	44038	 	UV	67046397
549544	1872	1998-11-11	VYDAJ	PREVOD NA UCET	137	46275	 	UV	67046397
549545	1872	1998-12-11	VYDAJ	PREVOD NA UCET	137	47649	 	UV	67046397
549551	1872	1998-12-10	VYDAJ	VYBER	4480	40686	\N	\N	\N
549569	1872	1998-02-24	VYDAJ	VYBER	5520	27041	\N	\N	\N
549570	1872	1998-11-14	VYDAJ	VYBER	5280	44990	\N	\N	\N
549571	1872	1998-10-04	VYDAJ	VYBER	3120	44175	\N	\N	\N
549572	1872	1998-07-19	VYDAJ	VYBER	2640	44031	\N	\N	\N
549573	1872	1998-03-15	VYDAJ	VYBER	1080	27690	\N	\N	\N
549574	1872	1998-03-17	VYDAJ	VYBER	4800	20790	\N	\N	\N
549575	1872	1998-03-14	VYDAJ	VYBER	5160	28770	\N	\N	\N
549590	1872	1998-02-28	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
549591	1872	1998-03-31	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
549592	1872	1998-04-30	VYDAJ	VYBER	15	28330	SLUZBY	\N	\N
549593	1872	1998-05-31	VYDAJ	VYBER	15	34109	SLUZBY	\N	\N
549594	1872	1998-06-30	VYDAJ	VYBER	15	44613	SLUZBY	\N	\N
549595	1872	1998-07-31	VYDAJ	VYBER	15	44206	SLUZBY	\N	\N
549596	1872	1998-08-31	VYDAJ	VYBER	15	50550	SLUZBY	\N	\N
549597	1872	1998-09-30	VYDAJ	VYBER	15	47295	SLUZBY	\N	\N
549598	1872	1998-10-31	VYDAJ	VYBER	15	46412	SLUZBY	\N	\N
549599	1872	1998-11-30	VYDAJ	VYBER	15	45166	SLUZBY	\N	\N
549600	1872	1997-10-17	PRIJEM	VKLAD	7700	21181	\N	\N	\N
549601	1872	1997-11-16	VYDAJ	VYBER	4200	29805	\N	\N	\N
549602	1872	1997-12-16	VYDAJ	VYBER	10500	38582	\N	\N	\N
549603	1872	1998-01-15	VYDAJ	VYBER	13600	37907	\N	\N	\N
549604	1872	1998-02-14	VYDAJ	VYBER	12400	32561	\N	\N	\N
549605	1872	1998-03-16	VYDAJ	VYBER	2100	25590	\N	\N	\N
549606	1872	1998-04-15	PRIJEM	VKLAD	600	28236	\N	\N	\N
549607	1872	1998-05-15	VYDAJ	VYBER	1100	33988	\N	\N	\N
549608	1872	1998-06-14	VYDAJ	VYBER	2800	44457	\N	\N	\N
549609	1872	1998-07-14	VYDAJ	VYBER	4700	46671	\N	\N	\N
549610	1872	1998-08-13	VYDAJ	VYBER	600	50364	\N	\N	\N
549611	1872	1998-09-12	VYDAJ	VYBER	10200	47108	\N	\N	\N
549612	1872	1998-10-12	VYDAJ	VYBER	4700	46233	\N	\N	\N
549613	1872	1998-11-11	VYDAJ	VYBER	2900	43375	\N	\N	\N
549614	1872	1998-12-11	PRIJEM	VKLAD	7100	47786	\N	\N	\N
550085	1874	1993-03-27	PRIJEM	VKLAD	400	400	\N	\N	\N
550089	1874	1993-04-11	PRIJEM	PREVOD Z UCTU	3151	3551	\N	YZ	74529486
550090	1874	1993-05-11	PRIJEM	PREVOD Z UCTU	3151	6702	\N	YZ	74529486
550091	1874	1993-06-11	PRIJEM	PREVOD Z UCTU	3151	9853	\N	YZ	74529486
550092	1874	1993-07-11	PRIJEM	PREVOD Z UCTU	3151	13004	\N	YZ	74529486
550093	1874	1993-08-11	PRIJEM	PREVOD Z UCTU	3151	16155	\N	YZ	74529486
550094	1874	1993-09-11	PRIJEM	PREVOD Z UCTU	3151	17194	\N	YZ	74529486
550095	1874	1993-10-11	PRIJEM	PREVOD Z UCTU	3151	18300	\N	YZ	74529486
550096	1874	1993-11-11	PRIJEM	PREVOD Z UCTU	3151	19201	\N	YZ	74529486
550097	1874	1993-12-11	PRIJEM	PREVOD Z UCTU	3151	20316	\N	YZ	74529486
550098	1874	1994-01-11	PRIJEM	PREVOD Z UCTU	3151	19265	\N	YZ	74529486
550099	1874	1994-02-11	PRIJEM	PREVOD Z UCTU	3151	18247	\N	YZ	74529486
550100	1874	1994-03-11	PRIJEM	PREVOD Z UCTU	3151	18998	\N	YZ	74529486
550101	1874	1994-04-11	PRIJEM	PREVOD Z UCTU	3151	20112	\N	YZ	74529486
550102	1874	1994-05-11	PRIJEM	PREVOD Z UCTU	3151	21230	\N	YZ	74529486
550103	1874	1994-06-11	PRIJEM	PREVOD Z UCTU	3151	21844	\N	YZ	74529486
550104	1874	1994-07-11	PRIJEM	PREVOD Z UCTU	3151	20839	\N	YZ	74529486
550105	1874	1994-08-11	PRIJEM	PREVOD Z UCTU	3151	21962	\N	YZ	74529486
550106	1874	1994-09-11	PRIJEM	PREVOD Z UCTU	3151	23088	\N	YZ	74529486
550107	1874	1994-10-11	PRIJEM	PREVOD Z UCTU	3151	24219	\N	YZ	74529486
550108	1874	1994-11-11	PRIJEM	PREVOD Z UCTU	3151	25355	\N	YZ	74529486
550109	1874	1994-12-11	PRIJEM	PREVOD Z UCTU	3151	26496	\N	YZ	74529486
550110	1874	1995-01-11	PRIJEM	PREVOD Z UCTU	3151	25720	\N	YZ	74529486
550111	1874	1995-02-11	PRIJEM	PREVOD Z UCTU	3151	23977	\N	YZ	74529486
550112	1874	1995-03-11	PRIJEM	PREVOD Z UCTU	3151	25111	\N	YZ	74529486
550113	1874	1995-04-11	PRIJEM	PREVOD Z UCTU	3151	26251	\N	YZ	74529486
550114	1874	1995-05-11	PRIJEM	PREVOD Z UCTU	3151	27395	\N	YZ	74529486
550115	1874	1995-06-11	PRIJEM	PREVOD Z UCTU	3151	28544	\N	YZ	74529486
550116	1874	1995-07-11	PRIJEM	PREVOD Z UCTU	3151	29697	\N	YZ	74529486
550117	1874	1995-08-11	PRIJEM	PREVOD Z UCTU	3151	29926	\N	YZ	74529486
550118	1874	1995-09-11	PRIJEM	PREVOD Z UCTU	3151	30394	\N	YZ	74529486
550119	1874	1995-10-11	PRIJEM	PREVOD Z UCTU	3151	31556	\N	YZ	74529486
550120	1874	1995-11-11	PRIJEM	PREVOD Z UCTU	3151	31619	\N	YZ	74529486
550121	1874	1995-12-11	PRIJEM	PREVOD Z UCTU	3151	32084	\N	YZ	74529486
550122	1874	1996-01-11	PRIJEM	PREVOD Z UCTU	3151	32260	\N	YZ	74529486
550123	1874	1996-02-11	PRIJEM	PREVOD Z UCTU	3151	30335	\N	YZ	74529486
550124	1874	1996-03-11	PRIJEM	PREVOD Z UCTU	3151	30296	\N	YZ	74529486
550125	1874	1996-04-11	PRIJEM	PREVOD Z UCTU	3151	31066	\N	YZ	74529486
550126	1874	1996-05-11	PRIJEM	PREVOD Z UCTU	3151	32230	\N	YZ	74529486
550127	1874	1996-06-11	PRIJEM	PREVOD Z UCTU	3151	31358	\N	YZ	74529486
550128	1874	1996-07-11	PRIJEM	PREVOD Z UCTU	3151	32522	\N	YZ	74529486
550129	1874	1996-08-11	PRIJEM	PREVOD Z UCTU	3151	33692	\N	YZ	74529486
550130	1874	1996-09-11	PRIJEM	PREVOD Z UCTU	3151	33966	\N	YZ	74529486
550131	1874	1996-10-11	PRIJEM	PREVOD Z UCTU	3151	34741	\N	YZ	74529486
550132	1874	1996-11-11	PRIJEM	PREVOD Z UCTU	3151	34748	\N	YZ	74529486
550133	1874	1996-12-11	PRIJEM	PREVOD Z UCTU	3151	35926	\N	YZ	74529486
550134	1874	1997-01-11	PRIJEM	PREVOD Z UCTU	3151	33769	\N	YZ	74529486
550135	1874	1997-02-11	PRIJEM	PREVOD Z UCTU	3151	32283	\N	YZ	74529486
550136	1874	1997-03-11	PRIJEM	PREVOD Z UCTU	3151	33179	\N	YZ	74529486
550137	1874	1997-04-11	PRIJEM	PREVOD Z UCTU	3151	33269	\N	YZ	74529486
550138	1874	1997-05-11	PRIJEM	PREVOD Z UCTU	3151	34440	\N	YZ	74529486
550139	1874	1997-06-11	PRIJEM	PREVOD Z UCTU	3151	34294	\N	YZ	74529486
550140	1874	1997-07-11	PRIJEM	PREVOD Z UCTU	3151	35470	\N	YZ	74529486
550141	1874	1997-08-11	PRIJEM	PREVOD Z UCTU	3151	36651	\N	YZ	74529486
550142	1874	1997-09-11	PRIJEM	PREVOD Z UCTU	3151	36137	\N	YZ	74529486
550143	1874	1997-10-11	PRIJEM	PREVOD Z UCTU	3151	34320	\N	YZ	74529486
550144	1874	1997-11-11	PRIJEM	PREVOD Z UCTU	3151	34496	\N	YZ	74529486
550145	1874	1997-12-11	PRIJEM	PREVOD Z UCTU	3151	34471	\N	YZ	74529486
550146	1874	1998-01-11	PRIJEM	PREVOD Z UCTU	3151	32736	\N	YZ	74529486
550147	1874	1998-02-11	PRIJEM	PREVOD Z UCTU	3151	29491	\N	YZ	74529486
550148	1874	1998-03-11	PRIJEM	PREVOD Z UCTU	3151	28644	\N	YZ	74529486
550149	1874	1998-04-11	PRIJEM	PREVOD Z UCTU	3151	29496	\N	YZ	74529486
550150	1874	1998-05-11	PRIJEM	PREVOD Z UCTU	3151	30651	\N	YZ	74529486
550151	1874	1998-06-11	PRIJEM	PREVOD Z UCTU	3151	31361	\N	YZ	74529486
550152	1874	1998-07-11	PRIJEM	PREVOD Z UCTU	3151	29163	\N	YZ	74529486
550153	1874	1998-08-11	PRIJEM	PREVOD Z UCTU	3151	28754	\N	YZ	74529486
550154	1874	1998-09-11	PRIJEM	PREVOD Z UCTU	3151	29906	\N	YZ	74529486
550155	1874	1998-10-11	PRIJEM	PREVOD Z UCTU	3151	28061	\N	YZ	74529486
550156	1874	1998-11-11	PRIJEM	PREVOD Z UCTU	3151	28409	\N	YZ	74529486
550157	1874	1998-12-11	PRIJEM	PREVOD Z UCTU	3151	29559	\N	YZ	74529486
550166	1874	1993-09-05	VYDAJ	PREVOD NA UCET	2100	14043	\N	ST	15775823
550167	1874	1993-10-05	VYDAJ	PREVOD NA UCET	2100	15149	\N	ST	15775823
550168	1874	1993-11-05	VYDAJ	PREVOD NA UCET	2100	16050	\N	ST	15775823
550169	1874	1993-12-05	VYDAJ	PREVOD NA UCET	2100	17165	\N	ST	15775823
550170	1874	1994-01-05	VYDAJ	PREVOD NA UCET	2100	17434	\N	ST	15775823
550171	1874	1994-02-05	VYDAJ	PREVOD NA UCET	2100	15096	\N	ST	15775823
550172	1874	1994-03-05	VYDAJ	PREVOD NA UCET	2100	15847	\N	ST	15775823
550173	1874	1994-04-05	VYDAJ	PREVOD NA UCET	2100	16961	\N	ST	15775823
550174	1874	1994-05-05	VYDAJ	PREVOD NA UCET	2100	18079	\N	ST	15775823
550175	1874	1994-06-05	VYDAJ	PREVOD NA UCET	2100	18693	\N	ST	15775823
550176	1874	1994-07-05	VYDAJ	PREVOD NA UCET	2100	19038	\N	ST	15775823
550177	1874	1994-08-05	VYDAJ	PREVOD NA UCET	2100	18811	\N	ST	15775823
550178	1874	1994-09-05	VYDAJ	PREVOD NA UCET	2100	19937	\N	ST	15775823
550179	1874	1994-10-05	VYDAJ	PREVOD NA UCET	2100	21068	\N	ST	15775823
550180	1874	1994-11-05	VYDAJ	PREVOD NA UCET	2100	22204	\N	ST	15775823
550181	1874	1994-12-05	VYDAJ	PREVOD NA UCET	2100	23345	\N	ST	15775823
550182	1874	1995-01-05	VYDAJ	PREVOD NA UCET	2100	23409	\N	ST	15775823
550183	1874	1995-02-05	VYDAJ	PREVOD NA UCET	2100	20826	\N	ST	15775823
550184	1874	1995-03-05	VYDAJ	PREVOD NA UCET	2100	21960	\N	ST	15775823
550185	1874	1995-04-05	VYDAJ	PREVOD NA UCET	2100	23100	\N	ST	15775823
550186	1874	1995-05-05	VYDAJ	PREVOD NA UCET	2100	24244	\N	ST	15775823
550187	1874	1995-06-05	VYDAJ	PREVOD NA UCET	2100	25393	\N	ST	15775823
550188	1874	1995-07-05	VYDAJ	PREVOD NA UCET	2100	26546	\N	ST	15775823
550189	1874	1995-08-05	VYDAJ	PREVOD NA UCET	2100	27705	\N	ST	15775823
550190	1874	1995-09-05	VYDAJ	PREVOD NA UCET	2100	27933	\N	ST	15775823
550191	1874	1995-10-05	VYDAJ	PREVOD NA UCET	2100	28405	\N	ST	15775823
550192	1874	1995-11-05	VYDAJ	PREVOD NA UCET	2100	28468	\N	ST	15775823
550193	1874	1995-12-05	VYDAJ	PREVOD NA UCET	2100	28933	\N	ST	15775823
550194	1874	1996-01-05	VYDAJ	PREVOD NA UCET	2100	29109	\N	ST	15775823
550195	1874	1996-02-05	VYDAJ	PREVOD NA UCET	2100	27184	\N	ST	15775823
550196	1874	1996-03-05	VYDAJ	PREVOD NA UCET	2100	28345	\N	ST	15775823
550197	1874	1996-04-05	VYDAJ	PREVOD NA UCET	2100	27915	\N	ST	15775823
550198	1874	1996-05-05	VYDAJ	PREVOD NA UCET	2100	29079	\N	ST	15775823
550199	1874	1996-06-05	VYDAJ	PREVOD NA UCET	2100	29137	\N	ST	15775823
550200	1874	1996-07-05	VYDAJ	PREVOD NA UCET	2100	29371	\N	ST	15775823
550201	1874	1996-08-05	VYDAJ	PREVOD NA UCET	2100	30541	\N	ST	15775823
550202	1874	1996-09-05	VYDAJ	PREVOD NA UCET	2100	31715	\N	ST	15775823
550203	1874	1996-10-05	VYDAJ	PREVOD NA UCET	2100	31690	\N	ST	15775823
550204	1874	1996-11-05	VYDAJ	PREVOD NA UCET	2100	31597	\N	ST	15775823
550205	1874	1996-12-05	VYDAJ	PREVOD NA UCET	2100	32775	\N	ST	15775823
550206	1874	1997-01-05	VYDAJ	PREVOD NA UCET	2100	30858	\N	ST	15775823
550207	1874	1997-02-05	VYDAJ	PREVOD NA UCET	2100	29132	\N	ST	15775823
550208	1874	1997-03-05	VYDAJ	PREVOD NA UCET	2100	30298	\N	ST	15775823
550209	1874	1997-04-05	VYDAJ	PREVOD NA UCET	2100	30118	\N	ST	15775823
550210	1874	1997-05-05	VYDAJ	PREVOD NA UCET	2100	31289	\N	ST	15775823
550211	1874	1997-06-05	VYDAJ	PREVOD NA UCET	2100	31143	\N	ST	15775823
550212	1874	1997-07-05	VYDAJ	PREVOD NA UCET	2100	32319	\N	ST	15775823
550213	1874	1997-08-05	VYDAJ	PREVOD NA UCET	2100	33500	\N	ST	15775823
550214	1874	1997-09-05	VYDAJ	PREVOD NA UCET	2100	32986	\N	ST	15775823
550215	1874	1997-10-05	VYDAJ	PREVOD NA UCET	2100	31169	\N	ST	15775823
550216	1874	1997-11-05	VYDAJ	PREVOD NA UCET	2100	31345	\N	ST	15775823
550217	1874	1997-12-05	VYDAJ	PREVOD NA UCET	2100	31320	\N	ST	15775823
550218	1874	1998-01-05	VYDAJ	PREVOD NA UCET	2100	30455	\N	ST	15775823
550219	1874	1998-02-05	VYDAJ	PREVOD NA UCET	2100	26340	\N	ST	15775823
550220	1874	1998-03-05	VYDAJ	PREVOD NA UCET	2100	25493	\N	ST	15775823
550221	1874	1998-04-05	VYDAJ	PREVOD NA UCET	2100	26345	\N	ST	15775823
550222	1874	1998-05-05	VYDAJ	PREVOD NA UCET	2100	27500	\N	ST	15775823
550223	1874	1998-06-05	VYDAJ	PREVOD NA UCET	2100	28210	\N	ST	15775823
550224	1874	1998-07-05	VYDAJ	PREVOD NA UCET	2100	27272	\N	ST	15775823
550225	1874	1998-08-05	VYDAJ	PREVOD NA UCET	2100	25603	\N	ST	15775823
550226	1874	1998-09-05	VYDAJ	PREVOD NA UCET	2100	26755	\N	ST	15775823
550227	1874	1998-10-05	VYDAJ	PREVOD NA UCET	2100	24910	\N	ST	15775823
550228	1874	1998-11-05	VYDAJ	PREVOD NA UCET	2100	25258	\N	ST	15775823
550229	1874	1998-12-05	VYDAJ	PREVOD NA UCET	2100	26408	\N	ST	15775823
550230	1874	1993-12-30	VYDAJ	VYBER	360	19466	\N	\N	\N
550231	1874	1994-12-13	VYDAJ	VYBER	330	26166	\N	\N	\N
550232	1874	1995-12-22	VYDAJ	VYBER	480	31094	\N	\N	\N
550233	1874	1996-12-29	VYDAJ	VYBER	600	35326	\N	\N	\N
550234	1874	1997-12-21	VYDAJ	VYBER	390	33931	\N	\N	\N
550235	1874	1998-12-26	VYDAJ	VYBER	780	28779	\N	\N	\N
550242	1874	1994-01-15	VYDAJ	VYBER	330	18935	\N	\N	\N
550243	1874	1994-01-16	VYDAJ	VYBER	240	18695	\N	\N	\N
550244	1874	1994-01-23	VYDAJ	VYBER	270	17705	\N	\N	\N
550245	1874	1994-01-25	VYDAJ	VYBER	570	17135	\N	\N	\N
550246	1874	1994-01-07	VYDAJ	VYBER	540	16114	\N	\N	\N
550247	1874	1994-01-07	VYDAJ	VYBER	780	16654	\N	\N	\N
550248	1874	1995-01-08	VYDAJ	VYBER	840	22569	\N	\N	\N
550249	1874	1995-01-14	VYDAJ	VYBER	870	24400	\N	\N	\N
550250	1874	1995-01-04	VYDAJ	VYBER	750	25509	\N	\N	\N
550251	1874	1995-01-15	VYDAJ	VYBER	270	24130	\N	\N	\N
550252	1874	1995-01-27	VYDAJ	VYBER	780	22840	\N	\N	\N
550253	1874	1995-01-13	VYDAJ	VYBER	450	25270	\N	\N	\N
550254	1874	1996-01-17	VYDAJ	VYBER	300	31450	\N	\N	\N
550255	1874	1996-01-29	VYDAJ	VYBER	690	30010	\N	\N	\N
550256	1874	1996-01-13	VYDAJ	VYBER	510	31750	\N	\N	\N
550257	1874	1996-01-20	VYDAJ	VYBER	300	31150	\N	\N	\N
550258	1874	1996-01-25	VYDAJ	VYBER	450	30700	\N	\N	\N
550259	1874	1996-01-30	VYDAJ	VYBER	840	29170	\N	\N	\N
550260	1874	1997-01-28	VYDAJ	VYBER	360	32209	\N	\N	\N
550261	1874	1997-01-02	VYDAJ	VYBER	480	34978	\N	\N	\N
550262	1874	1997-01-27	VYDAJ	VYBER	330	33439	\N	\N	\N
550263	1874	1997-01-03	VYDAJ	VYBER	420	34558	\N	\N	\N
550264	1874	1997-01-10	VYDAJ	VYBER	240	30618	\N	\N	\N
550265	1874	1997-01-27	VYDAJ	VYBER	870	32569	\N	\N	\N
550266	1874	1998-01-25	VYDAJ	VYBER	300	30606	\N	\N	\N
550267	1874	1998-01-17	VYDAJ	VYBER	510	31776	\N	\N	\N
550268	1874	1998-01-27	VYDAJ	VYBER	690	29916	\N	\N	\N
550269	1874	1998-01-16	VYDAJ	VYBER	450	32286	\N	\N	\N
550270	1874	1998-01-06	VYDAJ	VYBER	870	29585	\N	\N	\N
550271	1874	1998-01-25	VYDAJ	VYBER	870	30906	\N	\N	\N
550273	1874	1993-10-18	VYDAJ	VYBER	210	18090	\N	\N	\N
550274	1874	1993-12-26	VYDAJ	VYBER	390	19826	\N	\N	\N
550276	1874	1994-07-10	VYDAJ	VYBER	1350	17688	\N	\N	\N
550277	1874	1994-01-19	VYDAJ	VYBER	720	17975	\N	\N	\N
550278	1874	1994-06-22	VYDAJ	VYBER	780	21064	\N	\N	\N
550279	1874	1994-02-21	VYDAJ	VYBER	360	17887	\N	\N	\N
550280	1874	1994-05-31	VYDAJ	VYBER	510	20807	\N	\N	\N
550281	1874	1995-01-26	VYDAJ	VYBER	510	23620	\N	\N	\N
550282	1874	1995-09-10	VYDAJ	VYBER	690	27243	\N	\N	\N
550283	1874	1995-12-11	VYDAJ	VYBER	510	31574	\N	\N	\N
550284	1874	1995-08-06	VYDAJ	VYBER	930	26775	\N	\N	\N
550285	1874	1996-06-06	VYDAJ	VYBER	150	28987	\N	\N	\N
550286	1874	1996-05-31	VYDAJ	VYBER	1110	31237	\N	\N	\N
550287	1874	1996-06-07	VYDAJ	VYBER	780	28207	\N	\N	\N
550288	1874	1996-11-01	VYDAJ	VYBER	1170	33697	\N	\N	\N
550289	1874	1996-03-18	VYDAJ	VYBER	390	29906	\N	\N	\N
550290	1874	1996-03-08	VYDAJ	VYBER	1200	27145	\N	\N	\N
550291	1874	1996-10-02	VYDAJ	VYBER	300	33790	\N	\N	\N
550292	1874	1997-05-16	VYDAJ	VYBER	1320	33120	\N	\N	\N
550293	1874	1997-04-01	VYDAJ	VYBER	300	32218	\N	\N	\N
550294	1874	1997-03-20	VYDAJ	VYBER	780	32399	\N	\N	\N
550295	1874	1997-03-08	VYDAJ	VYBER	270	30028	\N	\N	\N
550296	1874	1997-12-16	VYDAJ	VYBER	150	34321	\N	\N	\N
550297	1874	1998-02-01	VYDAJ	VYBER	870	29160	\N	\N	\N
550298	1874	1998-09-28	VYDAJ	VYBER	900	26906	\N	\N	\N
550299	1874	1998-07-20	VYDAJ	VYBER	1410	27753	\N	\N	\N
550300	1874	1998-05-26	VYDAJ	VYBER	450	30201	\N	\N	\N
550301	1874	1998-07-06	VYDAJ	VYBER	1260	26012	\N	\N	\N
550302	1874	1998-02-01	VYDAJ	VYBER	720	28440	\N	\N	\N
550303	1874	1998-07-21	VYDAJ	VYBER	150	27603	\N	\N	\N
550312	1874	1993-08-31	VYDAJ	VYBER	15	16143	SLUZBY	\N	\N
550313	1874	1993-09-30	VYDAJ	VYBER	15	17249	SLUZBY	\N	\N
550314	1874	1993-10-31	VYDAJ	VYBER	15	18150	SLUZBY	\N	\N
550315	1874	1993-11-30	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
550316	1874	1993-12-31	VYDAJ	VYBER	15	19534	SLUZBY	\N	\N
550317	1874	1994-01-31	VYDAJ	VYBER	15	17196	SLUZBY	\N	\N
550318	1874	1994-02-28	VYDAJ	VYBER	15	17947	SLUZBY	\N	\N
550319	1874	1994-03-31	VYDAJ	VYBER	15	19061	SLUZBY	\N	\N
550320	1874	1994-04-30	VYDAJ	VYBER	15	20179	SLUZBY	\N	\N
550321	1874	1994-05-31	VYDAJ	VYBER	15	20793	SLUZBY	\N	\N
550322	1874	1994-06-30	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
550323	1874	1994-07-31	VYDAJ	VYBER	15	20911	SLUZBY	\N	\N
550324	1874	1994-08-31	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
550325	1874	1994-09-30	VYDAJ	VYBER	15	23168	SLUZBY	\N	\N
550326	1874	1994-10-31	VYDAJ	VYBER	15	24304	SLUZBY	\N	\N
550327	1874	1994-11-30	VYDAJ	VYBER	15	25445	SLUZBY	\N	\N
550328	1874	1994-12-31	VYDAJ	VYBER	15	26259	SLUZBY	\N	\N
550329	1874	1995-01-31	VYDAJ	VYBER	15	22926	SLUZBY	\N	\N
550330	1874	1995-02-28	VYDAJ	VYBER	15	24060	SLUZBY	\N	\N
550331	1874	1995-03-31	VYDAJ	VYBER	15	25200	SLUZBY	\N	\N
550332	1874	1995-04-30	VYDAJ	VYBER	15	26344	SLUZBY	\N	\N
550333	1874	1995-05-31	VYDAJ	VYBER	15	27493	SLUZBY	\N	\N
550334	1874	1995-06-30	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
550335	1874	1995-07-31	VYDAJ	VYBER	15	29805	SLUZBY	\N	\N
550336	1874	1995-08-31	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
550337	1874	1995-09-30	VYDAJ	VYBER	15	30505	SLUZBY	\N	\N
550338	1874	1995-10-31	VYDAJ	VYBER	15	30568	SLUZBY	\N	\N
550339	1874	1995-11-30	VYDAJ	VYBER	15	31033	SLUZBY	\N	\N
550340	1874	1995-12-31	VYDAJ	VYBER	15	31209	SLUZBY	\N	\N
550341	1874	1996-01-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
550342	1874	1996-02-29	VYDAJ	VYBER	15	30445	SLUZBY	\N	\N
550343	1874	1996-03-31	VYDAJ	VYBER	15	30015	SLUZBY	\N	\N
550344	1874	1996-04-30	VYDAJ	VYBER	15	31179	SLUZBY	\N	\N
550345	1874	1996-05-31	VYDAJ	VYBER	15	32347	SLUZBY	\N	\N
550346	1874	1996-06-30	VYDAJ	VYBER	15	31471	SLUZBY	\N	\N
550347	1874	1996-07-31	VYDAJ	VYBER	15	32641	SLUZBY	\N	\N
550348	1874	1996-08-31	VYDAJ	VYBER	15	33815	SLUZBY	\N	\N
550349	1874	1996-09-30	VYDAJ	VYBER	15	34090	SLUZBY	\N	\N
550350	1874	1996-10-31	VYDAJ	VYBER	15	34867	SLUZBY	\N	\N
550351	1874	1996-11-30	VYDAJ	VYBER	15	34875	SLUZBY	\N	\N
550352	1874	1996-12-31	VYDAJ	VYBER	15	35458	SLUZBY	\N	\N
550353	1874	1997-01-31	VYDAJ	VYBER	15	32332	SLUZBY	\N	\N
550354	1874	1997-02-28	VYDAJ	VYBER	15	32398	SLUZBY	\N	\N
550355	1874	1997-03-31	VYDAJ	VYBER	15	32518	SLUZBY	\N	\N
550356	1874	1997-04-30	VYDAJ	VYBER	15	33389	SLUZBY	\N	\N
550357	1874	1997-05-31	VYDAJ	VYBER	15	33243	SLUZBY	\N	\N
550358	1874	1997-06-30	VYDAJ	VYBER	15	34419	SLUZBY	\N	\N
550359	1874	1997-07-31	VYDAJ	VYBER	15	35600	SLUZBY	\N	\N
550360	1874	1997-08-31	VYDAJ	VYBER	15	36786	SLUZBY	\N	\N
550361	1874	1997-09-30	VYDAJ	VYBER	15	36269	SLUZBY	\N	\N
550362	1874	1997-10-31	VYDAJ	VYBER	15	34445	SLUZBY	\N	\N
550363	1874	1997-11-30	VYDAJ	VYBER	15	34620	SLUZBY	\N	\N
550364	1874	1997-12-31	VYDAJ	VYBER	15	34055	SLUZBY	\N	\N
550365	1874	1998-01-31	VYDAJ	VYBER	15	30030	SLUZBY	\N	\N
550366	1874	1998-02-28	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
550367	1874	1998-03-31	VYDAJ	VYBER	15	28745	SLUZBY	\N	\N
550368	1874	1998-04-30	VYDAJ	VYBER	15	29600	SLUZBY	\N	\N
550369	1874	1998-05-31	VYDAJ	VYBER	15	30310	SLUZBY	\N	\N
550370	1874	1998-06-30	VYDAJ	VYBER	15	29372	SLUZBY	\N	\N
550371	1874	1998-07-31	VYDAJ	VYBER	15	27703	SLUZBY	\N	\N
550372	1874	1998-08-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
550373	1874	1998-09-30	VYDAJ	VYBER	15	27010	SLUZBY	\N	\N
550374	1874	1998-10-31	VYDAJ	VYBER	15	27358	SLUZBY	\N	\N
550375	1874	1998-11-30	VYDAJ	VYBER	15	28508	SLUZBY	\N	\N
550376	1874	1993-12-22	VYDAJ	VYBER	100	20216	\N	\N	\N
550377	1874	1995-10-13	VYDAJ	VYBER	1100	30456	\N	\N	\N
550378	1874	1995-11-12	VYDAJ	VYBER	700	30919	\N	\N	\N
550379	1874	1996-09-07	VYDAJ	VYBER	900	30815	\N	\N	\N
550380	1874	1996-10-07	VYDAJ	VYBER	100	31590	\N	\N	\N
550381	1874	1997-01-05	VYDAJ	VYBER	1600	32958	\N	\N	\N
550382	1874	1997-02-04	VYDAJ	VYBER	1100	31232	\N	\N	\N
550383	1874	1997-09-02	VYDAJ	VYBER	1700	35086	\N	\N	\N
550384	1874	1997-10-02	VYDAJ	VYBER	3000	33269	\N	\N	\N
550385	1874	1997-11-01	VYDAJ	VYBER	1000	33445	\N	\N	\N
550386	1874	1997-12-01	VYDAJ	VYBER	1200	33420	\N	\N	\N
550387	1874	1997-12-31	VYDAJ	VYBER	1500	32555	\N	\N	\N
550388	1874	1998-03-01	VYDAJ	VYBER	2000	27593	\N	\N	\N
550389	1874	1998-03-31	VYDAJ	VYBER	300	28445	\N	\N	\N
550390	1874	1998-06-29	VYDAJ	VYBER	2100	29261	\N	\N	\N
550391	1874	1998-09-27	VYDAJ	VYBER	2100	27806	\N	\N	\N
550392	1874	1998-10-27	VYDAJ	VYBER	800	27261	\N	\N	\N
550458	1875	1993-08-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
550467	1875	1993-09-10	PRIJEM	PREVOD Z UCTU	4641	5641	DUCHOD	KL	50038367
550468	1875	1993-10-10	PRIJEM	PREVOD Z UCTU	4641	10282	DUCHOD	KL	50038367
550469	1875	1993-11-10	PRIJEM	PREVOD Z UCTU	4641	14923	DUCHOD	KL	50038367
550470	1875	1993-12-10	PRIJEM	PREVOD Z UCTU	4641	19564	DUCHOD	KL	50038367
550471	1875	1994-01-10	PRIJEM	PREVOD Z UCTU	4641	24205	DUCHOD	KL	50038367
550472	1875	1994-02-10	PRIJEM	PREVOD Z UCTU	4641	17475	DUCHOD	KL	50038367
550473	1875	1994-03-10	PRIJEM	PREVOD Z UCTU	4641	19078	DUCHOD	KL	50038367
550474	1875	1994-04-10	PRIJEM	PREVOD Z UCTU	4641	17166	DUCHOD	KL	50038367
550475	1875	1994-05-10	PRIJEM	PREVOD Z UCTU	4641	18768	DUCHOD	KL	50038367
550476	1875	1994-06-10	PRIJEM	PREVOD Z UCTU	4641	20377	DUCHOD	KL	50038367
550477	1875	1994-07-10	PRIJEM	PREVOD Z UCTU	4641	18591	DUCHOD	KL	50038367
550478	1875	1994-08-10	PRIJEM	PREVOD Z UCTU	4641	18034	DUCHOD	KL	50038367
550479	1875	1994-09-10	PRIJEM	PREVOD Z UCTU	4641	19639	DUCHOD	KL	50038367
550480	1875	1994-10-10	PRIJEM	PREVOD Z UCTU	4641	17732	DUCHOD	KL	50038367
550481	1875	1994-11-10	PRIJEM	PREVOD Z UCTU	4641	17176	DUCHOD	KL	50038367
550482	1875	1994-12-10	PRIJEM	PREVOD Z UCTU	4641	18778	DUCHOD	KL	50038367
550483	1875	1995-01-10	PRIJEM	PREVOD Z UCTU	4641	16336	DUCHOD	KL	50038367
550484	1875	1995-02-10	PRIJEM	PREVOD Z UCTU	4641	15288	DUCHOD	KL	50038367
550485	1875	1995-03-10	PRIJEM	PREVOD Z UCTU	4641	16882	DUCHOD	KL	50038367
550486	1875	1995-04-10	PRIJEM	PREVOD Z UCTU	4641	18483	DUCHOD	KL	50038367
550487	1875	1995-05-10	PRIJEM	PREVOD Z UCTU	4641	20090	DUCHOD	KL	50038367
550488	1875	1995-06-10	PRIJEM	PREVOD Z UCTU	4641	19058	DUCHOD	KL	50038367
550489	1875	1995-07-10	PRIJEM	PREVOD Z UCTU	4641	20667	DUCHOD	KL	50038367
550490	1875	1995-08-10	PRIJEM	PREVOD Z UCTU	4641	22284	DUCHOD	KL	50038367
550491	1875	1995-09-10	PRIJEM	PREVOD Z UCTU	4641	22063	DUCHOD	KL	50038367
550492	1875	1995-10-10	PRIJEM	PREVOD Z UCTU	4641	22982	DUCHOD	KL	50038367
550493	1875	1995-11-10	PRIJEM	PREVOD Z UCTU	4641	24208	DUCHOD	KL	50038367
550494	1875	1995-12-10	PRIJEM	PREVOD Z UCTU	4641	25839	DUCHOD	KL	50038367
550495	1875	1996-01-10	PRIJEM	PREVOD Z UCTU	4641	22777	DUCHOD	KL	50038367
550496	1875	1996-02-10	PRIJEM	PREVOD Z UCTU	4641	18559	DUCHOD	KL	50038367
550497	1875	1996-03-10	PRIJEM	PREVOD Z UCTU	4641	20166	DUCHOD	KL	50038367
550498	1875	1996-04-10	PRIJEM	PREVOD Z UCTU	4641	18261	DUCHOD	KL	50038367
550499	1875	1996-05-10	PRIJEM	PREVOD Z UCTU	4641	18185	DUCHOD	KL	50038367
550500	1875	1996-06-10	PRIJEM	PREVOD Z UCTU	4641	18990	DUCHOD	KL	50038367
550501	1875	1996-07-10	PRIJEM	PREVOD Z UCTU	4641	16239	DUCHOD	KL	50038367
550502	1875	1996-08-10	PRIJEM	PREVOD Z UCTU	4641	17837	DUCHOD	KL	50038367
550503	1875	1996-09-10	PRIJEM	PREVOD Z UCTU	4641	19441	DUCHOD	KL	50038367
550504	1875	1996-10-10	PRIJEM	PREVOD Z UCTU	4641	20252	DUCHOD	KL	50038367
550505	1875	1996-11-10	PRIJEM	PREVOD Z UCTU	4641	19065	DUCHOD	KL	50038367
550506	1875	1996-12-10	PRIJEM	PREVOD Z UCTU	4641	16474	DUCHOD	KL	50038367
550507	1875	1997-01-10	PRIJEM	PREVOD Z UCTU	4641	16632	DUCHOD	KL	50038367
550508	1875	1997-02-10	PRIJEM	PREVOD Z UCTU	4641	16466	DUCHOD	KL	50038367
550509	1875	1997-03-10	PRIJEM	PREVOD Z UCTU	4641	18064	DUCHOD	KL	50038367
550510	1875	1997-04-10	PRIJEM	PREVOD Z UCTU	4641	15769	DUCHOD	KL	50038367
550511	1875	1997-05-10	PRIJEM	PREVOD Z UCTU	4641	15665	DUCHOD	KL	50038367
550512	1875	1997-06-10	PRIJEM	PREVOD Z UCTU	4641	17260	DUCHOD	KL	50038367
550513	1875	1997-07-10	PRIJEM	PREVOD Z UCTU	4641	14261	DUCHOD	KL	50038367
550514	1875	1997-08-10	PRIJEM	PREVOD Z UCTU	4641	15851	DUCHOD	KL	50038367
550515	1875	1997-09-10	PRIJEM	PREVOD Z UCTU	4641	15846	DUCHOD	KL	50038367
550516	1875	1997-10-10	PRIJEM	PREVOD Z UCTU	4641	17442	DUCHOD	KL	50038367
550517	1875	1997-11-10	PRIJEM	PREVOD Z UCTU	4641	18322	DUCHOD	KL	50038367
550518	1875	1997-12-10	PRIJEM	PREVOD Z UCTU	4641	19527	DUCHOD	KL	50038367
550519	1875	1998-01-10	PRIJEM	PREVOD Z UCTU	4641	17210	DUCHOD	KL	50038367
550520	1875	1998-02-10	PRIJEM	PREVOD Z UCTU	4641	16967	DUCHOD	KL	50038367
550521	1875	1998-03-10	PRIJEM	PREVOD Z UCTU	4641	18566	DUCHOD	KL	50038367
550522	1875	1998-04-10	PRIJEM	PREVOD Z UCTU	4641	20173	DUCHOD	KL	50038367
550523	1875	1998-05-10	PRIJEM	PREVOD Z UCTU	4641	21786	DUCHOD	KL	50038367
550524	1875	1998-06-10	PRIJEM	PREVOD Z UCTU	4641	21240	DUCHOD	KL	50038367
550525	1875	1998-07-10	PRIJEM	PREVOD Z UCTU	4641	18773	DUCHOD	KL	50038367
550526	1875	1998-08-10	PRIJEM	PREVOD Z UCTU	4641	20380	DUCHOD	KL	50038367
550527	1875	1998-09-10	PRIJEM	PREVOD Z UCTU	4641	21994	DUCHOD	KL	50038367
550528	1875	1998-10-10	PRIJEM	PREVOD Z UCTU	4641	23614	DUCHOD	KL	50038367
550529	1875	1998-11-10	PRIJEM	PREVOD Z UCTU	4641	25241	DUCHOD	KL	50038367
550530	1875	1998-12-10	PRIJEM	PREVOD Z UCTU	4641	23871	DUCHOD	KL	50038367
550544	1875	1994-02-06	VYDAJ	PREVOD NA UCET	3094	12834	SIPO	OP	47586584
550545	1875	1994-03-06	VYDAJ	PREVOD NA UCET	3094	14437	SIPO	OP	47586584
550546	1875	1994-04-06	VYDAJ	PREVOD NA UCET	3094	12525	SIPO	OP	47586584
550547	1875	1994-05-06	VYDAJ	PREVOD NA UCET	3094	14127	SIPO	OP	47586584
550548	1875	1994-06-06	VYDAJ	PREVOD NA UCET	3094	15736	SIPO	OP	47586584
550549	1875	1994-07-06	VYDAJ	PREVOD NA UCET	3094	13950	SIPO	OP	47586584
550550	1875	1994-08-06	VYDAJ	PREVOD NA UCET	3094	13393	SIPO	OP	47586584
550551	1875	1994-09-06	VYDAJ	PREVOD NA UCET	3094	14998	SIPO	OP	47586584
550552	1875	1994-10-06	VYDAJ	PREVOD NA UCET	3094	13091	SIPO	OP	47586584
550553	1875	1994-11-06	VYDAJ	PREVOD NA UCET	3094	12535	SIPO	OP	47586584
550554	1875	1994-12-06	VYDAJ	PREVOD NA UCET	3094	14137	SIPO	OP	47586584
550555	1875	1995-01-06	VYDAJ	PREVOD NA UCET	3094	11695	SIPO	OP	47586584
550556	1875	1995-02-06	VYDAJ	PREVOD NA UCET	3094	10647	SIPO	OP	47586584
550557	1875	1995-03-06	VYDAJ	PREVOD NA UCET	3094	12241	SIPO	OP	47586584
550558	1875	1995-04-06	VYDAJ	PREVOD NA UCET	3094	13842	SIPO	OP	47586584
550559	1875	1995-05-06	VYDAJ	PREVOD NA UCET	3094	15449	SIPO	OP	47586584
550560	1875	1995-06-06	VYDAJ	PREVOD NA UCET	3094	14417	SIPO	OP	47586584
550561	1875	1995-07-06	VYDAJ	PREVOD NA UCET	3094	16026	SIPO	OP	47586584
550562	1875	1995-08-06	VYDAJ	PREVOD NA UCET	3094	17643	SIPO	OP	47586584
550563	1875	1995-09-06	VYDAJ	PREVOD NA UCET	3094	17422	SIPO	OP	47586584
550564	1875	1995-10-06	VYDAJ	PREVOD NA UCET	3094	18341	SIPO	OP	47586584
550565	1875	1995-11-06	VYDAJ	PREVOD NA UCET	3094	19967	SIPO	OP	47586584
550566	1875	1995-12-06	VYDAJ	PREVOD NA UCET	3094	21198	SIPO	OP	47586584
550567	1875	1996-01-06	VYDAJ	PREVOD NA UCET	3094	20556	SIPO	OP	47586584
550568	1875	1996-02-06	VYDAJ	PREVOD NA UCET	3094	13918	SIPO	OP	47586584
550569	1875	1996-03-06	VYDAJ	PREVOD NA UCET	3094	15525	SIPO	OP	47586584
550570	1875	1996-04-06	VYDAJ	PREVOD NA UCET	3094	13620	SIPO	OP	47586584
550571	1875	1996-05-06	VYDAJ	PREVOD NA UCET	3094	13544	SIPO	OP	47586584
550572	1875	1996-06-06	VYDAJ	PREVOD NA UCET	3094	14349	SIPO	OP	47586584
550573	1875	1996-07-06	VYDAJ	PREVOD NA UCET	3094	11598	SIPO	OP	47586584
550574	1875	1996-08-06	VYDAJ	PREVOD NA UCET	3094	13196	SIPO	OP	47586584
550575	1875	1996-09-06	VYDAJ	PREVOD NA UCET	3094	14800	SIPO	OP	47586584
550576	1875	1996-10-06	VYDAJ	PREVOD NA UCET	3094	15611	SIPO	OP	47586584
550577	1875	1996-11-06	VYDAJ	PREVOD NA UCET	3094	14424	SIPO	OP	47586584
550578	1875	1996-12-06	VYDAJ	PREVOD NA UCET	3094	11833	SIPO	OP	47586584
550579	1875	1997-01-06	VYDAJ	PREVOD NA UCET	3094	11991	SIPO	OP	47586584
550580	1875	1997-02-06	VYDAJ	PREVOD NA UCET	3094	11825	SIPO	OP	47586584
550581	1875	1997-03-06	VYDAJ	PREVOD NA UCET	3094	13423	SIPO	OP	47586584
550582	1875	1997-04-06	VYDAJ	PREVOD NA UCET	3094	11128	SIPO	OP	47586584
550583	1875	1997-05-06	VYDAJ	PREVOD NA UCET	3094	11024	SIPO	OP	47586584
550584	1875	1997-06-06	VYDAJ	PREVOD NA UCET	3094	12619	SIPO	OP	47586584
550585	1875	1997-07-06	VYDAJ	PREVOD NA UCET	3094	9620	SIPO	OP	47586584
550586	1875	1997-08-06	VYDAJ	PREVOD NA UCET	3094	11210	SIPO	OP	47586584
550587	1875	1997-09-06	VYDAJ	PREVOD NA UCET	3094	11205	SIPO	OP	47586584
550588	1875	1997-10-06	VYDAJ	PREVOD NA UCET	3094	12801	SIPO	OP	47586584
550589	1875	1997-11-06	VYDAJ	PREVOD NA UCET	3094	13681	SIPO	OP	47586584
550590	1875	1997-12-06	VYDAJ	PREVOD NA UCET	3094	14886	SIPO	OP	47586584
550591	1875	1998-01-06	VYDAJ	PREVOD NA UCET	3094	12569	SIPO	OP	47586584
550592	1875	1998-02-06	VYDAJ	PREVOD NA UCET	3094	12326	SIPO	OP	47586584
550593	1875	1998-03-06	VYDAJ	PREVOD NA UCET	3094	13925	SIPO	OP	47586584
550594	1875	1998-04-06	VYDAJ	PREVOD NA UCET	3094	15532	SIPO	OP	47586584
550595	1875	1998-05-06	VYDAJ	PREVOD NA UCET	3094	17145	SIPO	OP	47586584
550596	1875	1998-06-06	VYDAJ	PREVOD NA UCET	3094	16599	SIPO	OP	47586584
550597	1875	1998-07-06	VYDAJ	PREVOD NA UCET	3094	14132	SIPO	OP	47586584
550598	1875	1998-08-06	VYDAJ	PREVOD NA UCET	3094	15739	SIPO	OP	47586584
550599	1875	1998-09-06	VYDAJ	PREVOD NA UCET	3094	17353	SIPO	OP	47586584
550600	1875	1998-10-06	VYDAJ	PREVOD NA UCET	3094	18973	SIPO	OP	47586584
550601	1875	1998-11-06	VYDAJ	PREVOD NA UCET	3094	20600	SIPO	OP	47586584
550602	1875	1998-12-06	VYDAJ	PREVOD NA UCET	3094	19230	SIPO	OP	47586584
550604	1875	1994-06-10	VYDAJ	VYBER	3400	16977	\N	\N	\N
550606	1875	1996-06-16	VYDAJ	VYBER	4350	14640	\N	\N	\N
550612	1875	1996-01-23	VYDAJ	VYBER	1600	19897	\N	\N	\N
550616	1875	1994-12-26	VYDAJ	VYBER	1250	17528	\N	\N	\N
550617	1875	1995-12-28	VYDAJ	VYBER	600	25239	\N	\N	\N
550618	1875	1996-12-14	VYDAJ	VYBER	400	16074	\N	\N	\N
550619	1875	1997-12-03	VYDAJ	VYBER	400	17980	\N	\N	\N
550620	1875	1998-12-19	VYDAJ	VYBER	350	23521	\N	\N	\N
550627	1875	1994-01-25	VYDAJ	VYBER	1280	19965	\N	\N	\N
550628	1875	1994-01-26	VYDAJ	VYBER	2080	15885	\N	\N	\N
550629	1875	1994-01-11	VYDAJ	VYBER	640	23565	\N	\N	\N
550630	1875	1994-01-11	VYDAJ	VYBER	1680	21885	\N	\N	\N
550631	1875	1994-01-12	VYDAJ	VYBER	640	21245	\N	\N	\N
550633	1875	1995-01-14	VYDAJ	VYBER	400	15936	\N	\N	\N
550634	1875	1995-01-14	VYDAJ	VYBER	2240	13696	\N	\N	\N
550636	1875	1995-01-05	VYDAJ	VYBER	2240	14789	\N	\N	\N
550638	1875	1995-01-03	VYDAJ	VYBER	560	17029	\N	\N	\N
550639	1875	1996-01-30	VYDAJ	VYBER	2240	16937	\N	\N	\N
550640	1875	1996-01-29	VYDAJ	VYBER	720	19177	\N	\N	\N
550641	1875	1996-01-21	VYDAJ	VYBER	800	21977	\N	\N	\N
550642	1875	1996-01-09	VYDAJ	VYBER	1520	18136	\N	\N	\N
550643	1875	1996-01-04	VYDAJ	VYBER	1680	23650	\N	\N	\N
550644	1875	1996-01-22	VYDAJ	VYBER	480	21497	\N	\N	\N
550650	1875	1997-01-11	VYDAJ	VYBER	1760	14872	\N	\N	\N
550653	1875	1998-01-24	VYDAJ	VYBER	480	15370	\N	\N	\N
550655	1875	1998-01-14	VYDAJ	VYBER	1360	15850	\N	\N	\N
550660	1875	1994-10-01	VYDAJ	VYBER	3520	16185	\N	\N	\N
550661	1875	1994-01-26	VYDAJ	VYBER	2000	17965	\N	\N	\N
550662	1875	1994-03-28	VYDAJ	VYBER	3520	15558	\N	\N	\N
550663	1875	1994-10-10	VYDAJ	VYBER	2160	15572	\N	\N	\N
550664	1875	1994-07-13	VYDAJ	VYBER	2160	16431	\N	\N	\N
550665	1875	1995-09-03	VYDAJ	VYBER	640	20516	\N	\N	\N
550666	1875	1995-05-14	VYDAJ	VYBER	2640	17450	\N	\N	\N
550668	1875	1996-12-28	VYDAJ	VYBER	1040	15034	\N	\N	\N
550670	1875	1996-04-03	VYDAJ	VYBER	3520	16714	\N	\N	\N
550671	1875	1996-06-04	VYDAJ	VYBER	800	17443	\N	\N	\N
550672	1875	1996-04-19	VYDAJ	VYBER	1680	16581	\N	\N	\N
550675	1875	1997-12-18	VYDAJ	VYBER	3120	16407	\N	\N	\N
550677	1875	1997-10-11	VYDAJ	VYBER	720	16722	\N	\N	\N
550678	1875	1998-05-12	VYDAJ	VYBER	2160	19626	\N	\N	\N
550679	1875	1998-07-01	VYDAJ	VYBER	2640	17226	\N	\N	\N
550680	1875	1998-06-11	VYDAJ	VYBER	1440	19800	\N	\N	\N
550695	1875	1994-01-31	VYDAJ	VYBER	15	15928	SLUZBY	\N	\N
550696	1875	1994-02-28	VYDAJ	VYBER	15	17531	SLUZBY	\N	\N
550697	1875	1994-03-31	VYDAJ	VYBER	15	15619	SLUZBY	\N	\N
550698	1875	1994-04-30	VYDAJ	VYBER	15	17221	SLUZBY	\N	\N
550699	1875	1994-05-31	VYDAJ	VYBER	15	18830	SLUZBY	\N	\N
550700	1875	1994-06-30	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
550701	1875	1994-07-31	VYDAJ	VYBER	15	16487	SLUZBY	\N	\N
550702	1875	1994-08-31	VYDAJ	VYBER	15	18092	SLUZBY	\N	\N
550703	1875	1994-09-30	VYDAJ	VYBER	15	19705	SLUZBY	\N	\N
550704	1875	1994-10-31	VYDAJ	VYBER	15	15629	SLUZBY	\N	\N
550705	1875	1994-11-30	VYDAJ	VYBER	15	17231	SLUZBY	\N	\N
550706	1875	1994-12-31	VYDAJ	VYBER	15	17589	SLUZBY	\N	\N
550707	1875	1995-01-31	VYDAJ	VYBER	15	13741	SLUZBY	\N	\N
550708	1875	1995-02-28	VYDAJ	VYBER	15	15335	SLUZBY	\N	\N
550709	1875	1995-03-31	VYDAJ	VYBER	15	16936	SLUZBY	\N	\N
550710	1875	1995-04-30	VYDAJ	VYBER	15	18543	SLUZBY	\N	\N
550711	1875	1995-05-31	VYDAJ	VYBER	15	17511	SLUZBY	\N	\N
550712	1875	1995-06-30	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
550713	1875	1995-07-31	VYDAJ	VYBER	15	20737	SLUZBY	\N	\N
550714	1875	1995-08-31	VYDAJ	VYBER	15	21156	SLUZBY	\N	\N
550715	1875	1995-09-30	VYDAJ	VYBER	15	21435	SLUZBY	\N	\N
550716	1875	1995-10-31	VYDAJ	VYBER	15	23061	SLUZBY	\N	\N
550717	1875	1995-11-30	VYDAJ	VYBER	15	24292	SLUZBY	\N	\N
550718	1875	1995-12-31	VYDAJ	VYBER	15	25330	SLUZBY	\N	\N
550719	1875	1996-01-31	VYDAJ	VYBER	15	17012	SLUZBY	\N	\N
550720	1875	1996-02-29	VYDAJ	VYBER	15	18619	SLUZBY	\N	\N
550721	1875	1996-03-31	VYDAJ	VYBER	15	20234	SLUZBY	\N	\N
550722	1875	1996-04-30	VYDAJ	VYBER	15	16638	SLUZBY	\N	\N
550723	1875	1996-05-31	VYDAJ	VYBER	15	18243	SLUZBY	\N	\N
550724	1875	1996-06-30	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
550725	1875	1996-07-31	VYDAJ	VYBER	15	16290	SLUZBY	\N	\N
550726	1875	1996-08-31	VYDAJ	VYBER	15	17894	SLUZBY	\N	\N
550727	1875	1996-09-30	VYDAJ	VYBER	15	19505	SLUZBY	\N	\N
550728	1875	1996-10-31	VYDAJ	VYBER	15	20318	SLUZBY	\N	\N
550729	1875	1996-11-30	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
550730	1875	1996-12-31	VYDAJ	VYBER	15	15085	SLUZBY	\N	\N
550731	1875	1997-01-31	VYDAJ	VYBER	15	14919	SLUZBY	\N	\N
550732	1875	1997-02-28	VYDAJ	VYBER	15	16517	SLUZBY	\N	\N
550733	1875	1997-03-31	VYDAJ	VYBER	15	18122	SLUZBY	\N	\N
550734	1875	1997-04-30	VYDAJ	VYBER	15	15818	SLUZBY	\N	\N
550735	1875	1997-05-31	VYDAJ	VYBER	15	15713	SLUZBY	\N	\N
550736	1875	1997-06-30	VYDAJ	VYBER	15	17314	SLUZBY	\N	\N
550737	1875	1997-07-31	VYDAJ	VYBER	15	14304	SLUZBY	\N	\N
550738	1875	1997-08-31	VYDAJ	VYBER	15	14299	SLUZBY	\N	\N
550739	1875	1997-09-30	VYDAJ	VYBER	15	15895	SLUZBY	\N	\N
550740	1875	1997-10-31	VYDAJ	VYBER	15	16775	SLUZBY	\N	\N
550741	1875	1997-11-30	VYDAJ	VYBER	15	18380	SLUZBY	\N	\N
550742	1875	1997-12-31	VYDAJ	VYBER	15	15663	SLUZBY	\N	\N
550743	1875	1998-01-31	VYDAJ	VYBER	15	15420	SLUZBY	\N	\N
550744	1875	1998-02-28	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
550745	1875	1998-03-31	VYDAJ	VYBER	15	18626	SLUZBY	\N	\N
550746	1875	1998-04-30	VYDAJ	VYBER	15	20239	SLUZBY	\N	\N
550747	1875	1998-05-31	VYDAJ	VYBER	15	19693	SLUZBY	\N	\N
550748	1875	1998-06-30	VYDAJ	VYBER	15	19866	SLUZBY	\N	\N
550749	1875	1998-07-31	VYDAJ	VYBER	15	18833	SLUZBY	\N	\N
550750	1875	1998-08-31	VYDAJ	VYBER	15	20447	SLUZBY	\N	\N
550751	1875	1998-09-30	VYDAJ	VYBER	15	22067	SLUZBY	\N	\N
550752	1875	1998-10-31	VYDAJ	VYBER	15	23694	SLUZBY	\N	\N
550753	1875	1998-11-30	VYDAJ	VYBER	15	22324	SLUZBY	\N	\N
550754	1875	1995-08-11	VYDAJ	VYBER	1200	21084	\N	\N	\N
550755	1875	1995-09-10	VYDAJ	VYBER	700	21363	\N	\N	\N
550756	1875	1995-11-09	VYDAJ	VYBER	400	19567	\N	\N	\N
550757	1875	1996-01-08	VYDAJ	VYBER	900	19656	\N	\N	\N
550758	1875	1996-10-04	VYDAJ	VYBER	800	18705	\N	\N	\N
550759	1875	1996-11-03	VYDAJ	VYBER	2800	17518	\N	\N	\N
550760	1875	1996-12-03	VYDAJ	VYBER	4200	14927	\N	\N	\N
550761	1875	1997-04-02	VYDAJ	VYBER	3900	14222	\N	\N	\N
550762	1875	1997-05-02	VYDAJ	VYBER	1700	14118	\N	\N	\N
550763	1875	1997-07-01	VYDAJ	VYBER	4600	12714	\N	\N	\N
550764	1875	1997-08-30	VYDAJ	VYBER	1600	14251	\N	\N	\N
550765	1875	1997-12-28	VYDAJ	VYBER	800	15607	\N	\N	\N
550766	1875	1998-11-23	VYDAJ	VYBER	3000	22241	\N	\N	\N
550827	1876	1997-09-20	PRIJEM	VKLAD	900	900	\N	\N	\N
550837	1876	1997-10-08	PRIJEM	VKLAD	17994	18894	\N	\N	\N
550838	1876	1997-11-08	PRIJEM	VKLAD	17994	43629	\N	\N	\N
550839	1876	1997-12-08	PRIJEM	VKLAD	26991	64847	\N	\N	\N
550840	1876	1998-01-08	PRIJEM	VKLAD	17994	68821	\N	\N	\N
550841	1876	1998-02-08	PRIJEM	VKLAD	17994	66537	\N	\N	\N
550842	1876	1998-03-08	PRIJEM	VKLAD	17994	70205	\N	\N	\N
550843	1876	1998-04-08	PRIJEM	VKLAD	17994	65107	\N	\N	\N
550844	1876	1998-05-08	PRIJEM	VKLAD	17994	63539	\N	\N	\N
550845	1876	1998-06-08	PRIJEM	VKLAD	26991	74277	\N	\N	\N
550846	1876	1998-07-08	PRIJEM	VKLAD	17994	41045	\N	\N	\N
550847	1876	1998-08-08	PRIJEM	VKLAD	17994	48801	\N	\N	\N
550848	1876	1998-09-08	PRIJEM	VKLAD	17994	57504	\N	\N	\N
550849	1876	1998-10-08	PRIJEM	VKLAD	17994	59706	\N	\N	\N
550850	1876	1998-11-08	PRIJEM	VKLAD	17994	59913	\N	\N	\N
550851	1876	1998-12-08	PRIJEM	VKLAD	26991	69217	\N	\N	\N
550865	1876	1998-02-14	VYDAJ	PREVOD NA UCET	2329	64208	SIPO	IJ	65358716
550866	1876	1998-03-14	VYDAJ	PREVOD NA UCET	2329	67876	SIPO	IJ	65358716
550867	1876	1998-04-14	VYDAJ	PREVOD NA UCET	2329	51578	SIPO	IJ	65358716
550868	1876	1998-05-14	VYDAJ	PREVOD NA UCET	2329	54410	SIPO	IJ	65358716
550869	1876	1998-06-14	VYDAJ	PREVOD NA UCET	2329	26508	SIPO	IJ	65358716
550870	1876	1998-07-14	VYDAJ	PREVOD NA UCET	2329	31816	SIPO	IJ	65358716
550871	1876	1998-08-14	VYDAJ	PREVOD NA UCET	2329	46472	SIPO	IJ	65358716
550872	1876	1998-09-14	VYDAJ	PREVOD NA UCET	2329	46465	SIPO	IJ	65358716
550873	1876	1998-10-14	VYDAJ	PREVOD NA UCET	2329	48667	SIPO	IJ	65358716
550874	1876	1998-11-14	VYDAJ	PREVOD NA UCET	2329	48874	SIPO	IJ	65358716
550875	1876	1998-12-14	VYDAJ	PREVOD NA UCET	2329	58178	SIPO	IJ	65358716
550890	1876	1998-03-05	VYDAJ	PREVOD NA UCET	723	52211	 	YZ	2049482
550891	1876	1998-04-05	VYDAJ	PREVOD NA UCET	723	47113	 	YZ	2049482
550892	1876	1998-05-05	VYDAJ	PREVOD NA UCET	723	45545	 	YZ	2049482
550893	1876	1998-06-05	VYDAJ	PREVOD NA UCET	723	47286	 	YZ	2049482
550894	1876	1998-07-05	VYDAJ	PREVOD NA UCET	723	23051	 	YZ	2049482
550895	1876	1998-08-05	VYDAJ	PREVOD NA UCET	723	30807	 	YZ	2049482
550896	1876	1998-09-05	VYDAJ	PREVOD NA UCET	723	39510	 	YZ	2049482
550897	1876	1998-10-05	VYDAJ	PREVOD NA UCET	723	41712	 	YZ	2049482
550898	1876	1998-11-05	VYDAJ	PREVOD NA UCET	723	41919	 	YZ	2049482
550899	1876	1998-12-05	VYDAJ	PREVOD NA UCET	723	42226	 	YZ	2049482
550913	1876	1998-02-06	VYDAJ	VYBER	8100	48543	\N	\N	0
550914	1876	1998-03-18	VYDAJ	VYBER	8500	54216	\N	\N	0
550915	1876	1998-04-09	VYDAJ	VYBER	11200	53907	\N	\N	0
550916	1876	1998-05-13	VYDAJ	VYBER	6800	56739	\N	\N	0
550917	1876	1998-06-18	VYDAJ	VYBER	10700	23648	\N	\N	0
550918	1876	1998-07-11	VYDAJ	VYBER	6900	34145	\N	\N	0
550919	1876	1998-08-24	VYDAJ	VYBER	7700	40072	\N	\N	0
550920	1876	1998-09-12	VYDAJ	PREVOD NA UCET	8710	48794	UVER	EF	57234233
550921	1876	1998-10-12	VYDAJ	PREVOD NA UCET	8710	50996	UVER	EF	57234233
550922	1876	1998-11-12	VYDAJ	PREVOD NA UCET	8710	51203	UVER	EF	57234233
550923	1876	1998-12-12	VYDAJ	PREVOD NA UCET	8710	60507	UVER	EF	57234233
550925	1876	1998-06-10	VYDAJ	VYBER	45440	28837	\N	\N	\N
550929	1876	1998-12-25	VYDAJ	VYBER KARTOU	1100	48678	\N	\N	0
550945	1876	1998-06-15	VYDAJ	VYBER	3360	23148	\N	\N	\N
550946	1876	1998-03-18	VYDAJ	VYBER	5160	62716	\N	\N	\N
550962	1876	1998-02-28	VYDAJ	VYBER	15	52934	SLUZBY	\N	\N
550963	1876	1998-03-31	VYDAJ	VYBER	15	47836	SLUZBY	\N	\N
550964	1876	1998-04-30	VYDAJ	VYBER	15	46268	SLUZBY	\N	\N
550965	1876	1998-05-31	VYDAJ	VYBER	15	48009	SLUZBY	\N	\N
550966	1876	1998-06-30	VYDAJ	VYBER	15	23774	SLUZBY	\N	\N
550967	1876	1998-07-31	VYDAJ	VYBER	15	31530	SLUZBY	\N	\N
550968	1876	1998-08-31	VYDAJ	VYBER	15	40233	SLUZBY	\N	\N
550969	1876	1998-09-30	VYDAJ	VYBER	15	42435	SLUZBY	\N	\N
550970	1876	1998-10-31	VYDAJ	VYBER	15	42642	SLUZBY	\N	\N
550971	1876	1998-11-30	VYDAJ	VYBER	15	42949	SLUZBY	\N	\N
550972	1876	1997-10-20	PRIJEM	VKLAD	6700	25594	\N	\N	\N
550973	1876	1997-11-19	VYDAJ	VYBER	5900	37729	\N	\N	\N
550974	1876	1997-12-19	VYDAJ	VYBER	14200	50647	\N	\N	\N
550975	1876	1998-01-18	VYDAJ	VYBER	12400	56421	\N	\N	\N
550976	1876	1998-02-17	VYDAJ	VYBER	11500	52708	\N	\N	\N
550977	1876	1998-03-19	VYDAJ	VYBER	6600	47616	\N	\N	\N
550978	1876	1998-04-18	VYDAJ	VYBER	5500	46078	\N	\N	\N
550979	1876	1998-05-18	VYDAJ	VYBER	6600	47810	\N	\N	\N
550980	1876	1998-06-17	PRIJEM	VKLAD	11200	34348	\N	\N	\N
550981	1876	1998-07-17	VYDAJ	VYBER	400	31416	\N	\N	\N
550982	1876	1998-08-16	PRIJEM	VKLAD	1300	47772	\N	\N	\N
550983	1876	1998-09-15	VYDAJ	VYBER	4200	42265	\N	\N	\N
550984	1876	1998-10-15	VYDAJ	VYBER	6200	42467	\N	\N	\N
550985	1876	1998-11-14	VYDAJ	VYBER	6100	42774	\N	\N	\N
550986	1876	1998-12-14	VYDAJ	VYBER	8400	49778	\N	\N	\N
551002	1877	1993-12-13	PRIJEM	VKLAD	700	700	\N	\N	\N
551015	1877	1994-01-10	PRIJEM	PREVOD Z UCTU	6485	7185	DUCHOD	GH	20643180
551016	1877	1994-02-10	PRIJEM	PREVOD Z UCTU	6485	13670	DUCHOD	GH	20643180
551017	1877	1994-03-10	PRIJEM	PREVOD Z UCTU	6485	20155	DUCHOD	GH	20643180
551018	1877	1994-04-10	PRIJEM	PREVOD Z UCTU	6485	26640	DUCHOD	GH	20643180
551019	1877	1994-05-10	PRIJEM	PREVOD Z UCTU	6485	29887	DUCHOD	GH	20643180
551020	1877	1994-06-10	PRIJEM	PREVOD Z UCTU	6485	26437	DUCHOD	GH	20643180
551021	1877	1994-07-10	PRIJEM	PREVOD Z UCTU	6485	31186	DUCHOD	GH	20643180
551022	1877	1994-08-10	PRIJEM	PREVOD Z UCTU	6485	30301	DUCHOD	GH	20643180
551023	1877	1994-09-10	PRIJEM	PREVOD Z UCTU	6485	28850	DUCHOD	GH	20643180
551024	1877	1994-10-10	PRIJEM	PREVOD Z UCTU	6485	30184	DUCHOD	GH	20643180
551025	1877	1994-11-10	PRIJEM	PREVOD Z UCTU	6485	34443	DUCHOD	GH	20643180
551026	1877	1994-12-10	PRIJEM	PREVOD Z UCTU	6485	33780	DUCHOD	GH	20643180
551027	1877	1995-01-10	PRIJEM	PREVOD Z UCTU	6485	33487	DUCHOD	GH	20643180
551028	1877	1995-02-10	PRIJEM	PREVOD Z UCTU	6485	28682	DUCHOD	GH	20643180
551029	1877	1995-03-10	PRIJEM	PREVOD Z UCTU	6485	33434	DUCHOD	GH	20643180
551030	1877	1995-04-10	PRIJEM	PREVOD Z UCTU	6485	35506	DUCHOD	GH	20643180
551031	1877	1995-05-10	PRIJEM	PREVOD Z UCTU	6485	39089	DUCHOD	GH	20643180
551032	1877	1995-06-10	PRIJEM	PREVOD Z UCTU	6485	39206	DUCHOD	GH	20643180
551033	1877	1995-07-10	PRIJEM	PREVOD Z UCTU	6485	36399	DUCHOD	GH	20643180
551034	1877	1995-08-10	PRIJEM	PREVOD Z UCTU	6485	37304	DUCHOD	GH	20643180
551035	1877	1995-09-10	PRIJEM	PREVOD Z UCTU	6485	40235	DUCHOD	GH	20643180
551036	1877	1995-10-10	PRIJEM	PREVOD Z UCTU	6485	41036	DUCHOD	GH	20643180
551037	1877	1995-11-10	PRIJEM	PREVOD Z UCTU	6485	42643	DUCHOD	GH	20643180
551038	1877	1995-12-10	PRIJEM	PREVOD Z UCTU	6485	41057	DUCHOD	GH	20643180
551039	1877	1996-01-10	PRIJEM	PREVOD Z UCTU	6485	41064	DUCHOD	GH	20643180
551040	1877	1996-02-10	PRIJEM	PREVOD Z UCTU	6485	32422	DUCHOD	GH	20643180
551041	1877	1996-03-10	PRIJEM	PREVOD Z UCTU	6485	34950	DUCHOD	GH	20643180
551042	1877	1996-04-10	PRIJEM	PREVOD Z UCTU	6485	37130	DUCHOD	GH	20643180
551043	1877	1996-05-10	PRIJEM	PREVOD Z UCTU	6485	38220	DUCHOD	GH	20643180
551044	1877	1996-06-10	PRIJEM	PREVOD Z UCTU	6485	40514	DUCHOD	GH	20643180
551045	1877	1996-07-10	PRIJEM	PREVOD Z UCTU	6485	36309	DUCHOD	GH	20643180
551046	1877	1996-08-10	PRIJEM	PREVOD Z UCTU	6485	41093	DUCHOD	GH	20643180
551047	1877	1996-09-10	PRIJEM	PREVOD Z UCTU	6485	40923	DUCHOD	GH	20643180
551048	1877	1996-10-10	PRIJEM	PREVOD Z UCTU	6485	41224	DUCHOD	GH	20643180
551049	1877	1996-11-10	PRIJEM	PREVOD Z UCTU	6485	40725	DUCHOD	GH	20643180
551050	1877	1996-12-10	PRIJEM	PREVOD Z UCTU	6485	38823	DUCHOD	GH	20643180
551051	1877	1997-01-10	PRIJEM	PREVOD Z UCTU	6485	37735	DUCHOD	GH	20643180
551052	1877	1997-02-10	PRIJEM	PREVOD Z UCTU	6485	33843	DUCHOD	GH	20643180
551053	1877	1997-03-10	PRIJEM	PREVOD Z UCTU	6485	37615	DUCHOD	GH	20643180
551054	1877	1997-04-10	PRIJEM	PREVOD Z UCTU	6485	34999	DUCHOD	GH	20643180
551055	1877	1997-05-10	PRIJEM	PREVOD Z UCTU	6485	37375	DUCHOD	GH	20643180
551056	1877	1997-06-10	PRIJEM	PREVOD Z UCTU	6485	41562	DUCHOD	GH	20643180
551057	1877	1997-07-10	PRIJEM	PREVOD Z UCTU	6485	31924	DUCHOD	GH	20643180
551058	1877	1997-08-10	PRIJEM	PREVOD Z UCTU	6485	36489	DUCHOD	GH	20643180
551059	1877	1997-09-10	PRIJEM	PREVOD Z UCTU	6485	36567	DUCHOD	GH	20643180
551060	1877	1997-10-10	PRIJEM	PREVOD Z UCTU	6485	36846	DUCHOD	GH	20643180
551061	1877	1997-11-10	PRIJEM	PREVOD Z UCTU	6485	37826	DUCHOD	GH	20643180
551062	1877	1997-12-10	PRIJEM	PREVOD Z UCTU	6485	39189	DUCHOD	GH	20643180
551063	1877	1998-01-10	PRIJEM	PREVOD Z UCTU	6485	40909	DUCHOD	GH	20643180
551064	1877	1998-02-10	PRIJEM	PREVOD Z UCTU	6485	35464	DUCHOD	GH	20643180
551065	1877	1998-03-10	PRIJEM	PREVOD Z UCTU	6485	38139	DUCHOD	GH	20643180
551066	1877	1998-04-10	PRIJEM	PREVOD Z UCTU	6485	35343	DUCHOD	GH	20643180
551067	1877	1998-05-10	PRIJEM	PREVOD Z UCTU	6485	40124	DUCHOD	GH	20643180
551068	1877	1998-06-10	PRIJEM	PREVOD Z UCTU	6485	42719	DUCHOD	GH	20643180
551069	1877	1998-07-10	PRIJEM	PREVOD Z UCTU	6485	36322	DUCHOD	GH	20643180
551070	1877	1998-08-10	PRIJEM	PREVOD Z UCTU	6485	39902	DUCHOD	GH	20643180
551071	1877	1998-09-10	PRIJEM	PREVOD Z UCTU	6485	42455	DUCHOD	GH	20643180
551072	1877	1998-10-10	PRIJEM	PREVOD Z UCTU	6485	47262	DUCHOD	GH	20643180
551073	1877	1998-11-10	PRIJEM	PREVOD Z UCTU	6485	47981	DUCHOD	GH	20643180
551074	1877	1998-12-10	PRIJEM	PREVOD Z UCTU	6485	52309	DUCHOD	GH	20643180
551091	1877	1994-05-12	VYDAJ	PREVOD NA UCET	1198	26889	SIPO	AB	71872693
551092	1877	1994-06-12	VYDAJ	PREVOD NA UCET	1198	25239	SIPO	AB	71872693
551093	1877	1994-07-12	VYDAJ	PREVOD NA UCET	1198	28988	SIPO	AB	71872693
551094	1877	1994-08-12	VYDAJ	PREVOD NA UCET	1198	24903	SIPO	AB	71872693
551095	1877	1994-09-12	VYDAJ	PREVOD NA UCET	1198	27652	SIPO	AB	71872693
551096	1877	1994-10-12	VYDAJ	PREVOD NA UCET	1198	28986	SIPO	AB	71872693
551097	1877	1994-11-12	VYDAJ	PREVOD NA UCET	1198	33245	SIPO	AB	71872693
551098	1877	1994-12-12	VYDAJ	PREVOD NA UCET	1198	32582	SIPO	AB	71872693
551099	1877	1995-01-12	VYDAJ	PREVOD NA UCET	1198	31649	SIPO	AB	71872693
551100	1877	1995-02-12	VYDAJ	PREVOD NA UCET	1198	27484	SIPO	AB	71872693
551101	1877	1995-03-12	VYDAJ	PREVOD NA UCET	1198	32236	SIPO	AB	71872693
551102	1877	1995-04-12	VYDAJ	PREVOD NA UCET	1198	34308	SIPO	AB	71872693
551103	1877	1995-05-12	VYDAJ	PREVOD NA UCET	1198	37891	SIPO	AB	71872693
551104	1877	1995-06-12	VYDAJ	PREVOD NA UCET	1198	38008	SIPO	AB	71872693
551105	1877	1995-07-12	VYDAJ	PREVOD NA UCET	1198	35201	SIPO	AB	71872693
551106	1877	1995-08-12	VYDAJ	PREVOD NA UCET	1198	36106	SIPO	AB	71872693
551107	1877	1995-09-12	VYDAJ	PREVOD NA UCET	1198	39037	SIPO	AB	71872693
551108	1877	1995-10-12	VYDAJ	PREVOD NA UCET	1198	39838	SIPO	AB	71872693
551109	1877	1995-11-12	VYDAJ	PREVOD NA UCET	1198	41445	SIPO	AB	71872693
551110	1877	1995-12-12	VYDAJ	PREVOD NA UCET	1198	39859	SIPO	AB	71872693
551111	1877	1996-01-12	VYDAJ	PREVOD NA UCET	1198	39866	SIPO	AB	71872693
551112	1877	1996-02-12	VYDAJ	PREVOD NA UCET	1198	31224	SIPO	AB	71872693
551113	1877	1996-03-12	VYDAJ	PREVOD NA UCET	1198	33752	SIPO	AB	71872693
551114	1877	1996-04-12	VYDAJ	PREVOD NA UCET	1198	35932	SIPO	AB	71872693
551115	1877	1996-05-12	VYDAJ	PREVOD NA UCET	1198	37022	SIPO	AB	71872693
551116	1877	1996-06-12	VYDAJ	PREVOD NA UCET	1198	39316	SIPO	AB	71872693
551117	1877	1996-07-12	VYDAJ	PREVOD NA UCET	1198	35111	SIPO	AB	71872693
551118	1877	1996-08-12	VYDAJ	PREVOD NA UCET	1198	36055	SIPO	AB	71872693
551119	1877	1996-09-12	VYDAJ	PREVOD NA UCET	1198	39725	SIPO	AB	71872693
551120	1877	1996-10-12	VYDAJ	PREVOD NA UCET	1198	40026	SIPO	AB	71872693
551121	1877	1996-11-12	VYDAJ	PREVOD NA UCET	1198	39527	SIPO	AB	71872693
551122	1877	1996-12-12	VYDAJ	PREVOD NA UCET	1198	37625	SIPO	AB	71872693
551123	1877	1997-01-12	VYDAJ	PREVOD NA UCET	1198	36537	SIPO	AB	71872693
551124	1877	1997-02-12	VYDAJ	PREVOD NA UCET	1198	32645	SIPO	AB	71872693
551125	1877	1997-03-12	VYDAJ	PREVOD NA UCET	1198	36417	SIPO	AB	71872693
551126	1877	1997-04-12	VYDAJ	PREVOD NA UCET	1198	33801	SIPO	AB	71872693
551127	1877	1997-05-12	VYDAJ	PREVOD NA UCET	1198	36177	SIPO	AB	71872693
551128	1877	1997-06-12	VYDAJ	PREVOD NA UCET	1198	40364	SIPO	AB	71872693
551129	1877	1997-07-12	VYDAJ	PREVOD NA UCET	1198	30726	SIPO	AB	71872693
551130	1877	1997-08-12	VYDAJ	PREVOD NA UCET	1198	35291	SIPO	AB	71872693
551131	1877	1997-09-12	VYDAJ	PREVOD NA UCET	1198	35369	SIPO	AB	71872693
551132	1877	1997-10-12	VYDAJ	PREVOD NA UCET	1198	35648	SIPO	AB	71872693
551133	1877	1997-11-12	VYDAJ	PREVOD NA UCET	1198	36628	SIPO	AB	71872693
551134	1877	1997-12-12	VYDAJ	PREVOD NA UCET	1198	37241	SIPO	AB	71872693
551135	1877	1998-01-12	VYDAJ	PREVOD NA UCET	1198	39711	SIPO	AB	71872693
551136	1877	1998-02-12	VYDAJ	PREVOD NA UCET	1198	34266	SIPO	AB	71872693
551137	1877	1998-03-12	VYDAJ	PREVOD NA UCET	1198	36941	SIPO	AB	71872693
551138	1877	1998-04-12	VYDAJ	PREVOD NA UCET	1198	34145	SIPO	AB	71872693
551139	1877	1998-05-12	VYDAJ	PREVOD NA UCET	1198	38926	SIPO	AB	71872693
551140	1877	1998-06-12	VYDAJ	PREVOD NA UCET	1198	41521	SIPO	AB	71872693
551141	1877	1998-07-12	VYDAJ	PREVOD NA UCET	1198	35124	SIPO	AB	71872693
551142	1877	1998-08-12	VYDAJ	PREVOD NA UCET	1198	38704	SIPO	AB	71872693
551143	1877	1998-09-12	VYDAJ	PREVOD NA UCET	1198	41257	SIPO	AB	71872693
551144	1877	1998-10-12	VYDAJ	PREVOD NA UCET	1198	46064	SIPO	AB	71872693
551145	1877	1998-11-12	VYDAJ	PREVOD NA UCET	1198	46783	SIPO	AB	71872693
551146	1877	1998-12-12	VYDAJ	PREVOD NA UCET	1198	51111	SIPO	AB	71872693
551164	1877	1994-06-08	VYDAJ	PREVOD NA UCET	629	19952	 	UV	99609601
551165	1877	1994-07-08	VYDAJ	PREVOD NA UCET	629	24701	 	UV	99609601
551166	1877	1994-08-08	VYDAJ	PREVOD NA UCET	629	23816	 	UV	99609601
551167	1877	1994-09-08	VYDAJ	PREVOD NA UCET	629	24365	 	UV	99609601
551168	1877	1994-10-08	VYDAJ	PREVOD NA UCET	629	23999	 	UV	99609601
551169	1877	1994-11-08	VYDAJ	PREVOD NA UCET	629	27958	 	UV	99609601
551170	1877	1994-12-08	VYDAJ	PREVOD NA UCET	629	31295	 	UV	99609601
551171	1877	1995-01-08	VYDAJ	PREVOD NA UCET	629	27002	 	UV	99609601
551172	1877	1995-02-08	VYDAJ	PREVOD NA UCET	629	22197	 	UV	99609601
551173	1877	1995-03-08	VYDAJ	PREVOD NA UCET	629	26949	 	UV	99609601
551174	1877	1995-04-08	VYDAJ	PREVOD NA UCET	629	29021	 	UV	99609601
551175	1877	1995-05-08	VYDAJ	PREVOD NA UCET	629	32604	 	UV	99609601
551176	1877	1995-06-08	VYDAJ	PREVOD NA UCET	629	32721	 	UV	99609601
551177	1877	1995-07-08	VYDAJ	PREVOD NA UCET	629	29914	 	UV	99609601
551178	1877	1995-08-08	VYDAJ	PREVOD NA UCET	629	30819	 	UV	99609601
551179	1877	1995-09-08	VYDAJ	PREVOD NA UCET	629	33750	 	UV	99609601
551180	1877	1995-10-08	VYDAJ	PREVOD NA UCET	629	34551	 	UV	99609601
551181	1877	1995-11-08	VYDAJ	PREVOD NA UCET	629	36158	 	UV	99609601
551182	1877	1995-12-08	VYDAJ	PREVOD NA UCET	629	34572	 	UV	99609601
551183	1877	1996-01-08	VYDAJ	PREVOD NA UCET	629	34579	 	UV	99609601
551184	1877	1996-02-08	VYDAJ	PREVOD NA UCET	629	25937	 	UV	99609601
551185	1877	1996-03-08	VYDAJ	PREVOD NA UCET	629	28465	 	UV	99609601
551186	1877	1996-04-08	VYDAJ	PREVOD NA UCET	629	30645	 	UV	99609601
551187	1877	1996-05-08	VYDAJ	PREVOD NA UCET	629	31735	 	UV	99609601
551188	1877	1996-06-08	VYDAJ	PREVOD NA UCET	629	34029	 	UV	99609601
551189	1877	1996-07-08	VYDAJ	PREVOD NA UCET	629	29824	 	UV	99609601
551190	1877	1996-08-08	VYDAJ	PREVOD NA UCET	629	34608	 	UV	99609601
551191	1877	1996-09-08	VYDAJ	PREVOD NA UCET	629	34438	 	UV	99609601
551192	1877	1996-10-08	VYDAJ	PREVOD NA UCET	629	34739	 	UV	99609601
551193	1877	1996-11-08	VYDAJ	PREVOD NA UCET	629	34240	 	UV	99609601
551194	1877	1996-12-08	VYDAJ	PREVOD NA UCET	629	32338	 	UV	99609601
551195	1877	1997-01-08	VYDAJ	PREVOD NA UCET	629	32850	 	UV	99609601
551196	1877	1997-02-08	VYDAJ	PREVOD NA UCET	629	27358	 	UV	99609601
551197	1877	1997-03-08	VYDAJ	PREVOD NA UCET	629	31130	 	UV	99609601
551198	1877	1997-04-08	VYDAJ	PREVOD NA UCET	629	28514	 	UV	99609601
551199	1877	1997-05-08	VYDAJ	PREVOD NA UCET	629	30890	 	UV	99609601
551200	1877	1997-06-08	VYDAJ	PREVOD NA UCET	629	35077	 	UV	99609601
551201	1877	1997-07-08	VYDAJ	PREVOD NA UCET	629	25439	 	UV	99609601
551202	1877	1997-08-08	VYDAJ	PREVOD NA UCET	629	30004	 	UV	99609601
551203	1877	1997-09-08	VYDAJ	PREVOD NA UCET	629	30082	 	UV	99609601
551204	1877	1997-10-08	VYDAJ	PREVOD NA UCET	629	30361	 	UV	99609601
551205	1877	1997-11-08	VYDAJ	PREVOD NA UCET	629	31341	 	UV	99609601
551206	1877	1997-12-08	VYDAJ	PREVOD NA UCET	629	32704	 	UV	99609601
551207	1877	1998-01-08	VYDAJ	PREVOD NA UCET	629	34424	 	UV	99609601
551208	1877	1998-02-08	VYDAJ	PREVOD NA UCET	629	28979	 	UV	99609601
551209	1877	1998-03-08	VYDAJ	PREVOD NA UCET	629	31654	 	UV	99609601
551210	1877	1998-04-08	VYDAJ	PREVOD NA UCET	629	28858	 	UV	99609601
551211	1877	1998-05-08	VYDAJ	PREVOD NA UCET	629	33639	 	UV	99609601
551212	1877	1998-06-08	VYDAJ	PREVOD NA UCET	629	36234	 	UV	99609601
551213	1877	1998-07-08	VYDAJ	PREVOD NA UCET	629	29837	 	UV	99609601
551214	1877	1998-08-08	VYDAJ	PREVOD NA UCET	629	33417	 	UV	99609601
551215	1877	1998-09-08	VYDAJ	PREVOD NA UCET	629	35970	 	UV	99609601
551216	1877	1998-10-08	VYDAJ	PREVOD NA UCET	629	40777	 	UV	99609601
551217	1877	1998-11-08	VYDAJ	PREVOD NA UCET	629	41496	 	UV	99609601
551218	1877	1998-12-08	VYDAJ	PREVOD NA UCET	629	45824	 	UV	99609601
551220	1877	1994-06-03	VYDAJ	VYBER	6400	20581	\N	\N	\N
551221	1877	1995-06-25	VYDAJ	VYBER	7100	30908	\N	\N	\N
551222	1877	1996-06-26	VYDAJ	VYBER	9000	30316	\N	\N	\N
551223	1877	1997-06-26	VYDAJ	VYBER	5550	25934	\N	\N	\N
551224	1877	1998-06-28	VYDAJ	VYBER	11200	30321	\N	\N	\N
551227	1877	1995-01-26	VYDAJ	VYBER	2850	24879	\N	\N	\N
551228	1877	1996-01-13	VYDAJ	VYBER	1650	37176	\N	\N	\N
551229	1877	1997-01-21	VYDAJ	VYBER	2550	30147	\N	\N	\N
551230	1877	1998-01-26	VYDAJ	VYBER	1150	29481	\N	\N	\N
551232	1877	1994-12-17	VYDAJ	VYBER	850	31732	\N	\N	\N
551233	1877	1995-12-05	VYDAJ	VYBER	1200	35201	\N	\N	\N
551234	1877	1996-12-25	VYDAJ	VYBER	600	37025	\N	\N	\N
551235	1877	1997-12-11	VYDAJ	VYBER	750	38439	\N	\N	\N
551236	1877	1998-12-26	VYDAJ	VYBER	1150	48361	\N	\N	\N
551249	1877	1995-01-23	VYDAJ	VYBER	1600	27729	\N	\N	\N
551250	1877	1995-01-11	VYDAJ	VYBER	640	32847	\N	\N	\N
551251	1877	1995-01-19	VYDAJ	VYBER	1680	29329	\N	\N	\N
551252	1877	1995-01-02	VYDAJ	VYBER	1920	29931	\N	\N	\N
551253	1877	1995-01-18	VYDAJ	VYBER	640	31009	\N	\N	\N
551254	1877	1995-01-29	VYDAJ	VYBER	2160	22719	\N	\N	\N
551255	1877	1996-01-22	VYDAJ	VYBER	2240	31096	\N	\N	\N
551256	1877	1996-01-16	VYDAJ	VYBER	1920	33336	\N	\N	\N
551257	1877	1996-01-29	VYDAJ	VYBER	1920	27736	\N	\N	\N
551258	1877	1996-01-12	VYDAJ	VYBER	1040	38826	\N	\N	\N
551259	1877	1996-01-14	VYDAJ	VYBER	1920	35256	\N	\N	\N
551260	1877	1996-01-28	VYDAJ	VYBER	1440	29656	\N	\N	\N
551261	1877	1997-01-15	VYDAJ	VYBER	2000	32697	\N	\N	\N
551262	1877	1997-01-08	VYDAJ	VYBER	640	33479	\N	\N	\N
551263	1877	1997-01-13	VYDAJ	VYBER	1840	34697	\N	\N	\N
551264	1877	1997-01-08	VYDAJ	VYBER	1600	31250	\N	\N	\N
551265	1877	1997-01-30	VYDAJ	VYBER	2080	27867	\N	\N	\N
551266	1877	1997-01-01	VYDAJ	VYBER	1040	34519	\N	\N	\N
551267	1877	1998-01-24	VYDAJ	VYBER	2240	30631	\N	\N	\N
551268	1877	1998-01-16	VYDAJ	VYBER	560	36111	\N	\N	\N
551269	1877	1998-01-01	VYDAJ	VYBER	720	35053	\N	\N	\N
551270	1877	1998-01-15	VYDAJ	VYBER	2000	36671	\N	\N	\N
551271	1877	1998-01-18	VYDAJ	VYBER	1440	34671	\N	\N	\N
551272	1877	1998-01-13	VYDAJ	VYBER	1040	38671	\N	\N	\N
551279	1877	1994-07-18	VYDAJ	VYBER	2560	26428	\N	\N	\N
551282	1877	1994-08-03	VYDAJ	VYBER	2080	24445	\N	\N	\N
551283	1877	1994-09-28	VYDAJ	VYBER	3120	24532	\N	\N	\N
551284	1877	1994-12-05	VYDAJ	VYBER	1440	31924	\N	\N	\N
551285	1877	1995-07-23	VYDAJ	VYBER	480	34721	\N	\N	\N
551286	1877	1995-01-08	VYDAJ	VYBER	2000	27631	\N	\N	\N
551287	1877	1995-09-03	VYDAJ	VYBER	560	35679	\N	\N	\N
551288	1877	1995-06-02	VYDAJ	VYBER	3680	34350	\N	\N	\N
551289	1877	1996-08-10	VYDAJ	VYBER	3840	37253	\N	\N	\N
551290	1877	1996-08-13	VYDAJ	VYBER	1120	34935	\N	\N	\N
551291	1877	1996-03-02	VYDAJ	VYBER	2240	29094	\N	\N	\N
551292	1877	1997-11-14	VYDAJ	VYBER	720	35908	\N	\N	\N
551293	1877	1997-03-30	VYDAJ	VYBER	1600	29017	\N	\N	\N
551294	1877	1997-01-01	VYDAJ	VYBER	400	34119	\N	\N	\N
551295	1877	1997-06-13	VYDAJ	VYBER	480	39884	\N	\N	\N
551296	1877	1998-08-18	VYDAJ	VYBER	640	38064	\N	\N	\N
551297	1877	1998-04-07	VYDAJ	VYBER	3680	29487	\N	\N	\N
551298	1877	1998-02-17	VYDAJ	VYBER	2000	32266	\N	\N	\N
551316	1877	1994-05-31	VYDAJ	VYBER	15	26981	SLUZBY	\N	\N
551317	1877	1994-06-30	VYDAJ	VYBER	15	25330	SLUZBY	\N	\N
551318	1877	1994-07-31	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
551319	1877	1994-08-31	VYDAJ	VYBER	15	24994	SLUZBY	\N	\N
551320	1877	1994-09-30	VYDAJ	VYBER	15	24628	SLUZBY	\N	\N
551321	1877	1994-10-31	VYDAJ	VYBER	15	29087	SLUZBY	\N	\N
551322	1877	1994-11-30	VYDAJ	VYBER	15	33364	SLUZBY	\N	\N
551323	1877	1994-12-31	VYDAJ	VYBER	15	31851	SLUZBY	\N	\N
551324	1877	1995-01-31	VYDAJ	VYBER	15	22826	SLUZBY	\N	\N
551325	1877	1995-02-28	VYDAJ	VYBER	15	27578	SLUZBY	\N	\N
551326	1877	1995-03-31	VYDAJ	VYBER	15	32350	SLUZBY	\N	\N
551327	1877	1995-04-30	VYDAJ	VYBER	15	34433	SLUZBY	\N	\N
551328	1877	1995-05-31	VYDAJ	VYBER	15	38030	SLUZBY	\N	\N
551329	1877	1995-06-30	VYDAJ	VYBER	15	31043	SLUZBY	\N	\N
551330	1877	1995-07-31	VYDAJ	VYBER	15	34848	SLUZBY	\N	\N
551331	1877	1995-08-31	VYDAJ	VYBER	15	36239	SLUZBY	\N	\N
551332	1877	1995-09-30	VYDAJ	VYBER	15	39180	SLUZBY	\N	\N
551333	1877	1995-10-31	VYDAJ	VYBER	15	39987	SLUZBY	\N	\N
551334	1877	1995-11-30	VYDAJ	VYBER	15	41601	SLUZBY	\N	\N
551335	1877	1995-12-31	VYDAJ	VYBER	15	40008	SLUZBY	\N	\N
551336	1877	1996-01-31	VYDAJ	VYBER	15	27866	SLUZBY	\N	\N
551337	1877	1996-02-29	VYDAJ	VYBER	15	31334	SLUZBY	\N	\N
551338	1877	1996-03-31	VYDAJ	VYBER	15	33874	SLUZBY	\N	\N
551339	1877	1996-04-30	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
551340	1877	1996-05-31	VYDAJ	VYBER	15	34658	SLUZBY	\N	\N
551341	1877	1996-06-30	VYDAJ	VYBER	15	30453	SLUZBY	\N	\N
551342	1877	1996-07-31	VYDAJ	VYBER	15	35237	SLUZBY	\N	\N
551343	1877	1996-08-31	VYDAJ	VYBER	15	35067	SLUZBY	\N	\N
551344	1877	1996-09-30	VYDAJ	VYBER	15	35368	SLUZBY	\N	\N
551345	1877	1996-10-31	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
551346	1877	1996-11-30	VYDAJ	VYBER	15	32967	SLUZBY	\N	\N
551347	1877	1996-12-31	VYDAJ	VYBER	15	35559	SLUZBY	\N	\N
551348	1877	1997-01-31	VYDAJ	VYBER	15	27987	SLUZBY	\N	\N
551349	1877	1997-02-28	VYDAJ	VYBER	15	31759	SLUZBY	\N	\N
551350	1877	1997-03-31	VYDAJ	VYBER	15	29143	SLUZBY	\N	\N
551351	1877	1997-04-30	VYDAJ	VYBER	15	31519	SLUZBY	\N	\N
551352	1877	1997-05-31	VYDAJ	VYBER	15	35706	SLUZBY	\N	\N
551353	1877	1997-06-30	VYDAJ	VYBER	15	26068	SLUZBY	\N	\N
551354	1877	1997-07-31	VYDAJ	VYBER	15	30633	SLUZBY	\N	\N
551355	1877	1997-08-31	VYDAJ	VYBER	15	30711	SLUZBY	\N	\N
551356	1877	1997-09-30	VYDAJ	VYBER	15	30990	SLUZBY	\N	\N
551357	1877	1997-10-31	VYDAJ	VYBER	15	31970	SLUZBY	\N	\N
551358	1877	1997-11-30	VYDAJ	VYBER	15	33333	SLUZBY	\N	\N
551359	1877	1997-12-31	VYDAJ	VYBER	15	35773	SLUZBY	\N	\N
551360	1877	1998-01-31	VYDAJ	VYBER	15	29608	SLUZBY	\N	\N
551361	1877	1998-02-28	VYDAJ	VYBER	15	32283	SLUZBY	\N	\N
551362	1877	1998-03-31	VYDAJ	VYBER	15	33167	SLUZBY	\N	\N
551363	1877	1998-04-30	VYDAJ	VYBER	15	34268	SLUZBY	\N	\N
551364	1877	1998-05-31	VYDAJ	VYBER	15	36863	SLUZBY	\N	\N
551365	1877	1998-06-30	VYDAJ	VYBER	15	30466	SLUZBY	\N	\N
551366	1877	1998-07-31	VYDAJ	VYBER	15	34046	SLUZBY	\N	\N
551367	1877	1998-08-31	VYDAJ	VYBER	15	36599	SLUZBY	\N	\N
551368	1877	1998-09-30	VYDAJ	VYBER	15	41406	SLUZBY	\N	\N
551369	1877	1998-10-31	VYDAJ	VYBER	15	42125	SLUZBY	\N	\N
551370	1877	1998-11-30	VYDAJ	VYBER	15	46453	SLUZBY	\N	\N
551371	1877	1994-04-12	VYDAJ	VYBER	3300	23340	\N	\N	\N
551372	1877	1994-05-12	VYDAJ	VYBER	1800	28087	\N	\N	\N
551373	1877	1994-07-11	VYDAJ	VYBER	1000	30186	\N	\N	\N
551374	1877	1994-08-10	VYDAJ	VYBER	4200	26101	\N	\N	\N
551375	1877	1994-09-09	VYDAJ	VYBER	2000	22365	\N	\N	\N
551376	1877	1994-10-09	VYDAJ	VYBER	300	23699	\N	\N	\N
551377	1877	1994-11-08	VYDAJ	VYBER	500	28587	\N	\N	\N
551378	1877	1994-12-08	VYDAJ	VYBER	4000	27295	\N	\N	\N
551379	1877	1995-01-07	VYDAJ	VYBER	300	29631	\N	\N	\N
551380	1877	1995-04-07	VYDAJ	VYBER	2700	29650	\N	\N	\N
551381	1877	1995-05-07	VYDAJ	VYBER	1200	33233	\N	\N	\N
551382	1877	1995-06-06	VYDAJ	VYBER	1000	33350	\N	\N	\N
551383	1877	1995-07-06	VYDAJ	VYBER	500	30543	\N	\N	\N
551384	1877	1995-08-05	VYDAJ	VYBER	3400	31448	\N	\N	\N
551385	1877	1995-09-04	VYDAJ	VYBER	1300	34379	\N	\N	\N
551386	1877	1995-10-04	VYDAJ	VYBER	4000	35180	\N	\N	\N
551387	1877	1995-11-03	VYDAJ	VYBER	3200	36787	\N	\N	\N
551388	1877	1995-12-03	VYDAJ	VYBER	5200	36401	\N	\N	\N
551389	1877	1996-01-02	VYDAJ	VYBER	4800	35208	\N	\N	\N
551390	1877	1996-02-01	VYDAJ	VYBER	1300	26566	\N	\N	\N
551391	1877	1996-04-01	VYDAJ	VYBER	2600	31274	\N	\N	\N
551392	1877	1996-05-01	VYDAJ	VYBER	3700	32364	\N	\N	\N
551393	1877	1996-05-31	VYDAJ	VYBER	2500	34673	\N	\N	\N
551394	1877	1996-09-28	VYDAJ	VYBER	4500	35225	\N	\N	\N
551395	1877	1996-10-28	VYDAJ	VYBER	5300	34726	\N	\N	\N
551396	1877	1996-11-27	VYDAJ	VYBER	6700	32827	\N	\N	\N
551397	1877	1996-12-27	VYDAJ	VYBER	1600	35425	\N	\N	\N
551398	1877	1997-01-26	VYDAJ	VYBER	200	29947	\N	\N	\N
551399	1877	1997-02-25	VYDAJ	VYBER	1000	31645	\N	\N	\N
551400	1877	1997-03-27	VYDAJ	VYBER	5800	30617	\N	\N	\N
551401	1877	1997-04-26	VYDAJ	VYBER	2400	31401	\N	\N	\N
551402	1877	1997-05-26	VYDAJ	VYBER	600	35577	\N	\N	\N
551403	1877	1997-06-25	VYDAJ	VYBER	8400	31484	\N	\N	\N
551404	1877	1997-07-25	VYDAJ	VYBER	200	30526	\N	\N	\N
551405	1877	1997-08-24	VYDAJ	VYBER	4700	30591	\N	\N	\N
551406	1877	1997-09-23	VYDAJ	VYBER	4500	30869	\N	\N	\N
551407	1877	1997-10-23	VYDAJ	VYBER	3800	31848	\N	\N	\N
551408	1877	1997-11-22	VYDAJ	VYBER	2700	33208	\N	\N	\N
551409	1877	1997-12-22	VYDAJ	VYBER	1600	35641	\N	\N	\N
551410	1877	1998-01-21	VYDAJ	VYBER	1800	32871	\N	\N	\N
551411	1877	1998-02-20	VYDAJ	VYBER	100	32166	\N	\N	\N
551412	1877	1998-03-22	VYDAJ	VYBER	3900	33041	\N	\N	\N
551413	1877	1998-05-21	VYDAJ	VYBER	2200	36726	\N	\N	\N
551414	1877	1998-07-20	VYDAJ	VYBER	1200	33924	\N	\N	\N
551415	1877	1998-08-19	VYDAJ	VYBER	1600	36464	\N	\N	\N
551416	1877	1998-10-18	VYDAJ	VYBER	4100	41964	\N	\N	\N
551417	1877	1998-11-17	VYDAJ	VYBER	500	46283	\N	\N	\N
551418	1877	1998-12-17	VYDAJ	VYBER	1600	49511	\N	\N	\N
551476	1878	1994-09-13	PRIJEM	VKLAD	800	800	\N	\N	\N
551483	1878	1994-11-26	PRIJEM	VKLAD	32568	61280	\N	\N	\N
551487	1878	1994-09-30	PRIJEM	VKLAD	19995	43231	\N	\N	\N
551489	1878	1994-09-28	PRIJEM	VKLAD	22424	23224	\N	\N	\N
551492	1878	1995-05-30	PRIJEM	VKLAD	5905	41250	\N	\N	\N
551493	1878	1995-05-12	PRIJEM	VKLAD	9696	35345	\N	\N	\N
551494	1878	1995-06-13	PRIJEM	VKLAD	39559	68236	\N	\N	\N
551495	1878	1995-07-18	PRIJEM	VKLAD	22563	40584	\N	\N	\N
551496	1878	1995-08-14	PRIJEM	VKLAD	20205	52878	\N	\N	\N
551497	1878	1996-12-11	PRIJEM	VKLAD	35251	51037	\N	\N	\N
551498	1878	1996-06-25	PRIJEM	VKLAD	8709	66260	\N	\N	\N
551499	1878	1996-06-21	PRIJEM	VKLAD	41076	57551	\N	\N	\N
551500	1878	1996-05-15	PRIJEM	VKLAD	6048	48287	\N	\N	\N
551501	1878	1996-01-08	PRIJEM	VKLAD	16355	30324	\N	\N	\N
551502	1878	1996-04-08	PRIJEM	VKLAD	46643	66124	\N	\N	\N
551503	1878	1996-10-06	PRIJEM	VKLAD	49422	58884	\N	\N	\N
551504	1878	1996-11-13	PRIJEM	VKLAD	8616	30174	\N	\N	\N
551505	1878	1996-01-11	PRIJEM	VKLAD	16486	46810	\N	\N	\N
551506	1878	1996-02-16	PRIJEM	VKLAD	20970	35471	\N	\N	\N
551507	1878	1996-08-02	PRIJEM	VKLAD	26709	32717	\N	\N	\N
551508	1878	1996-03-27	PRIJEM	VKLAD	14297	18322	\N	\N	\N
551509	1878	1996-04-11	PRIJEM	VKLAD	23536	89660	\N	\N	\N
551510	1878	1996-10-25	PRIJEM	VKLAD	47727	106611	\N	\N	\N
551511	1878	1997-04-09	PRIJEM	VKLAD	41322	67626	\N	\N	\N
551512	1878	1997-07-13	PRIJEM	VKLAD	21753	42884	\N	\N	\N
551513	1878	1997-12-27	PRIJEM	VKLAD	42826	55124	\N	\N	\N
551514	1878	1997-07-24	PRIJEM	VKLAD	49725	92609	\N	\N	\N
551515	1878	1997-02-02	PRIJEM	VKLAD	19497	64157	\N	\N	\N
551516	1878	1997-01-01	PRIJEM	VKLAD	19082	53249	\N	\N	\N
551517	1878	1997-12-17	PRIJEM	VKLAD	7582	29798	\N	\N	\N
551518	1878	1997-01-16	PRIJEM	VKLAD	36670	72219	\N	\N	\N
551519	1878	1997-12-10	PRIJEM	VKLAD	29308	30316	\N	\N	\N
551520	1878	1997-04-15	PRIJEM	VKLAD	38165	105791	\N	\N	\N
551521	1878	1997-01-21	PRIJEM	VKLAD	6401	102551	\N	\N	\N
551522	1878	1997-08-19	PRIJEM	VKLAD	44720	97346	\N	\N	\N
551523	1878	1997-01-20	PRIJEM	VKLAD	44849	96150	\N	\N	\N
551524	1878	1997-06-06	PRIJEM	VKLAD	25849	64517	\N	\N	\N
551525	1878	1998-11-09	PRIJEM	VKLAD	34731	25783	\N	\N	\N
551526	1878	1998-04-19	PRIJEM	VKLAD	43375	39361	\N	\N	\N
551527	1878	1998-12-13	PRIJEM	VKLAD	9651	18917	\N	\N	\N
551536	1878	1995-09-09	VYBER	VYBER	24630	15717	\N	\N	\N
551537	1878	1995-06-27	VYBER	VYBER	18027	19180	\N	\N	\N
551538	1878	1995-11-30	VYBER	VYBER	4652	9985	\N	\N	\N
551539	1878	1995-06-20	VYBER	VYBER	11229	37207	\N	\N	\N
551542	1878	1995-06-10	VYBER	VYBER	7730	33677	\N	\N	\N
551544	1878	1996-08-09	VYBER	VYBER	19088	13529	\N	\N	\N
551545	1878	1996-07-03	VYBER	VYBER	14886	30582	\N	\N	\N
551546	1878	1996-10-31	VYBER	VYBER	23283	37675	\N	\N	\N
551547	1878	1996-04-19	VYBER	VYBER	20220	57140	\N	\N	\N
551548	1878	1996-07-16	VYBER	VYBER	9482	17800	\N	\N	\N
551549	1878	1996-09-12	VYBER	VYBER	6806	10661	\N	\N	\N
551550	1878	1996-07-29	VYBER	VYBER	11857	5943	\N	\N	\N
551551	1878	1996-01-11	VYBER	VYBER	9051	37759	\N	\N	\N
551552	1878	1996-06-29	VYBER	VYBER	20935	45325	\N	\N	\N
551553	1878	1996-11-04	VYBER	VYBER	13587	21558	\N	\N	\N
551554	1878	1996-12-02	VYBER	VYBER	11275	15786	\N	\N	\N
551556	1878	1996-03-19	VYBER	VYBER	20887	4025	\N	\N	\N
551558	1878	1997-11-11	VYBER	VYBER	9823	1101	\N	\N	\N
551559	1878	1997-01-17	VYBER	VYBER	20918	51301	\N	\N	\N
551561	1878	1995-06-17	VYDAJ	VYBER	19800	48436	\N	\N	\N
551563	1878	1997-06-21	VYDAJ	VYBER	35400	29117	\N	\N	\N
551567	1878	1996-01-11	VYDAJ	VYBER	5700	32059	\N	\N	\N
551568	1878	1997-01-22	VYDAJ	VYBER	13200	86651	\N	\N	\N
551569	1878	1998-01-14	VYDAJ	VYBER	8100	36586	\N	\N	\N
551571	1878	1995-12-20	VYDAJ	VYBER	5700	11155	\N	\N	\N
551572	1878	1996-12-22	VYDAJ	VYBER	5100	45937	\N	\N	\N
551573	1878	1997-12-11	VYDAJ	VYBER	8100	22216	\N	\N	\N
551587	1878	1996-01-24	VYDAJ	VYBER	6600	5059	\N	\N	\N
551588	1878	1996-01-04	VYDAJ	VYBER	4500	6669	\N	\N	\N
551589	1878	1996-01-11	VYDAJ	VYBER	5700	26359	\N	\N	\N
551590	1878	1996-01-22	VYDAJ	VYBER	5100	21259	\N	\N	\N
551591	1878	1996-01-23	VYDAJ	VYBER	4800	16459	\N	\N	\N
551592	1878	1996-01-24	VYDAJ	VYBER	4800	11659	\N	\N	\N
551593	1878	1997-01-28	VYDAJ	VYBER	8100	71651	\N	\N	\N
551594	1878	1997-01-08	VYDAJ	VYBER	6000	39149	\N	\N	\N
551595	1878	1997-01-28	VYDAJ	VYBER	6900	79751	\N	\N	\N
551596	1878	1997-01-11	VYDAJ	VYBER	3600	35549	\N	\N	\N
551597	1878	1997-01-22	VYDAJ	VYBER	2700	99851	\N	\N	\N
551598	1878	1997-01-02	VYDAJ	VYBER	8100	45149	\N	\N	\N
551599	1878	1998-01-15	VYDAJ	VYBER	8700	27886	\N	\N	\N
551600	1878	1998-01-02	VYDAJ	VYBER	2400	52786	\N	\N	\N
551601	1878	1998-01-30	VYDAJ	VYBER	2400	5786	\N	\N	\N
551602	1878	1998-01-19	VYDAJ	VYBER	8700	19186	\N	\N	\N
551603	1878	1998-01-13	VYDAJ	VYBER	4500	44686	\N	\N	\N
551604	1878	1998-01-06	VYDAJ	VYBER	3600	49186	\N	\N	\N
551609	1878	1995-09-24	VYDAJ	VYBER	3000	12717	\N	\N	\N
551610	1878	1995-09-26	VYDAJ	VYBER	7500	5217	\N	\N	\N
551611	1878	1995-11-03	VYDAJ	VYBER	4800	8878	\N	\N	\N
551614	1878	1995-07-01	VYDAJ	VYBER	9300	10021	\N	\N	\N
551615	1878	1996-10-04	VYDAJ	VYBER	11100	9462	\N	\N	\N
551616	1878	1996-02-16	VYDAJ	VYBER	5700	29771	\N	\N	\N
551617	1878	1996-04-13	VYDAJ	VYBER	12300	77360	\N	\N	\N
551618	1878	1996-06-11	VYDAJ	VYBER	7200	28775	\N	\N	\N
551619	1878	1996-08-09	VYDAJ	VYBER	11400	2129	\N	\N	\N
551620	1878	1996-06-12	VYDAJ	VYBER	12300	16475	\N	\N	\N
551621	1878	1997-08-30	VYDAJ	VYBER	10500	40646	\N	\N	\N
551623	1878	1997-02-27	VYDAJ	VYBER	10500	53657	\N	\N	\N
551624	1878	1997-10-12	VYDAJ	VYBER	6300	17366	\N	\N	\N
551625	1878	1997-05-29	VYDAJ	VYBER	7500	56540	\N	\N	\N
551628	1878	1998-05-13	VYDAJ	VYBER	6300	7449	\N	\N	\N
551649	1878	1995-05-31	VYDAJ	VYBER	30	41407	SLUZBY	\N	\N
551650	1878	1995-06-30	VYDAJ	VYBER	30	19321	SLUZBY	\N	\N
551651	1878	1995-07-31	VYDAJ	VYBER	30	40673	SLUZBY	\N	\N
551652	1878	1995-08-31	VYDAJ	VYBER	30	53047	SLUZBY	\N	\N
551653	1878	1995-09-30	VYDAJ	VYBER	30	5285	SLUZBY	\N	\N
551654	1878	1995-10-31	VYDAJ	VYBER	30	13678	SLUZBY	\N	\N
551655	1878	1995-11-30	VYDAJ	VYBER	30	9955	SLUZBY	\N	\N
551656	1878	1995-12-31	VYDAJ	VYBER	30	11169	SLUZBY	\N	\N
551657	1878	1996-01-31	VYDAJ	VYBER	30	5101	SLUZBY	\N	\N
551658	1878	1996-02-29	VYDAJ	VYBER	30	29812	SLUZBY	\N	\N
551659	1878	1996-03-31	VYDAJ	VYBER	30	18381	SLUZBY	\N	\N
551660	1878	1996-04-30	VYDAJ	VYBER	30	57339	SLUZBY	\N	\N
551661	1878	1996-05-31	VYDAJ	VYBER	30	48475	SLUZBY	\N	\N
551662	1878	1996-06-30	VYDAJ	VYBER	30	45468	SLUZBY	\N	\N
551663	1878	1996-07-31	VYDAJ	VYBER	30	6008	SLUZBY	\N	\N
551664	1878	1996-08-31	VYDAJ	VYBER	30	2167	SLUZBY	\N	\N
551665	1878	1996-09-30	VYDAJ	VYBER	30	10662	SLUZBY	\N	\N
551666	1878	1996-10-31	VYDAJ	VYBER	30	37645	SLUZBY	\N	\N
551667	1878	1996-11-30	VYDAJ	VYBER	30	30261	SLUZBY	\N	\N
551668	1878	1996-12-31	VYDAJ	VYBER	30	34167	SLUZBY	\N	\N
551669	1878	1997-01-31	VYDAJ	VYBER	30	44660	SLUZBY	\N	\N
551670	1878	1997-02-28	VYDAJ	VYBER	30	53814	SLUZBY	\N	\N
551671	1878	1997-03-31	VYDAJ	VYBER	30	33604	SLUZBY	\N	\N
551672	1878	1997-04-30	VYDAJ	VYBER	30	64040	SLUZBY	\N	\N
551673	1878	1997-05-31	VYDAJ	VYBER	30	38668	SLUZBY	\N	\N
551674	1878	1997-06-30	VYDAJ	VYBER	30	21131	SLUZBY	\N	\N
551675	1878	1997-07-31	VYDAJ	VYBER	30	52626	SLUZBY	\N	\N
551676	1878	1997-08-31	VYDAJ	VYBER	30	40830	SLUZBY	\N	\N
551677	1878	1997-09-30	VYDAJ	VYBER	30	23666	SLUZBY	\N	\N
551678	1878	1997-10-31	VYDAJ	VYBER	30	10924	SLUZBY	\N	\N
551679	1878	1997-11-30	VYDAJ	VYBER	30	1008	SLUZBY	\N	\N
551680	1878	1997-12-31	VYDAJ	VYBER	30	55186	SLUZBY	\N	\N
551681	1878	1998-01-31	VYDAJ	VYBER	30	5885	SLUZBY	\N	\N
551682	1878	1998-02-28	VYDAJ	VYBER	30	2777	SLUZBY	\N	\N
551684	1878	1998-04-30	VYDAJ	VYBER	30	13749	SLUZBY	\N	\N
551685	1878	1998-05-31	VYDAJ	VYBER	30	3364	SLUZBY	\N	\N
551686	1878	1998-06-30	VYDAJ	VYBER	30	1145	SLUZBY	\N	\N
551691	1878	1998-11-30	VYDAJ	VYBER	30	9266	SLUZBY	\N	\N
551692	1878	1994-10-13	VYDAJ	VYBER	7500	35731	\N	\N	\N
551693	1878	1994-11-12	VYDAJ	VYBER	7200	28712	\N	\N	\N
551694	1878	1994-12-12	VYDAJ	VYBER	17200	44272	\N	\N	\N
551695	1878	1995-01-11	VYDAJ	VYBER	8300	36228	\N	\N	\N
551696	1878	1995-02-10	VYDAJ	VYBER	4900	31583	\N	\N	\N
551697	1878	1995-03-12	VYDAJ	VYBER	5600	26238	\N	\N	\N
551698	1878	1995-04-11	VYDAJ	VYBER	1200	25294	\N	\N	\N
551699	1878	1995-05-11	PRIJEM	VKLAD	100	25649	\N	\N	\N
551700	1878	1995-06-10	VYDAJ	VYBER	5000	28677	\N	\N	\N
551701	1878	1995-07-10	PRIJEM	VKLAD	8000	18021	\N	\N	\N
551702	1878	1995-08-09	VYDAJ	VYBER	8000	32673	\N	\N	\N
551703	1878	1995-09-08	VYDAJ	VYBER	12700	40347	\N	\N	\N
551704	1878	1995-10-08	PRIJEM	VKLAD	8400	13685	\N	\N	\N
551705	1878	1995-11-07	PRIJEM	VKLAD	5700	14578	\N	\N	\N
551706	1878	1995-12-07	PRIJEM	VKLAD	6900	16855	\N	\N	\N
551707	1878	1996-01-06	PRIJEM	VKLAD	7300	13969	\N	\N	\N
551708	1878	1996-02-05	PRIJEM	VKLAD	9400	14501	\N	\N	\N
551709	1878	1996-03-06	VYDAJ	VYBER	4900	24912	\N	\N	\N
551710	1878	1996-04-05	PRIJEM	VKLAD	1100	19481	\N	\N	\N
551711	1878	1996-05-05	VYDAJ	VYBER	15100	42239	\N	\N	\N
551712	1878	1996-06-04	VYDAJ	VYBER	12500	35975	\N	\N	\N
551713	1878	1996-07-04	VYDAJ	VYBER	3300	27282	\N	\N	\N
551714	1878	1996-08-03	VYDAJ	VYBER	100	32617	\N	\N	\N
551715	1878	1996-09-02	PRIJEM	VKLAD	15300	17467	\N	\N	\N
551716	1878	1996-10-02	PRIJEM	VKLAD	9900	20562	\N	\N	\N
551717	1878	1996-10-25	VYDAJ	VYBER	45900	60711	\N	\N	\N
551718	1878	1996-11-01	VYDAJ	VYBER	2500	35145	\N	\N	\N
551719	1878	1996-12-01	VYDAJ	VYBER	3200	27061	\N	\N	\N
551720	1878	1996-12-31	VYDAJ	VYBER	11900	34197	\N	\N	\N
551721	1878	1997-01-30	VYDAJ	VYBER	27200	44451	\N	\N	\N
551722	1878	1997-03-01	VYDAJ	VYBER	20400	33414	\N	\N	\N
551723	1878	1997-03-31	VYDAJ	VYBER	7300	26304	\N	\N	\N
551724	1878	1997-04-30	VYDAJ	VYBER	42000	64070	\N	\N	\N
551725	1878	1997-05-30	VYDAJ	VYBER	18100	38440	\N	\N	\N
551726	1878	1997-06-29	VYDAJ	VYBER	8100	21017	\N	\N	\N
551727	1878	1997-07-29	VYDAJ	VYBER	40100	52509	\N	\N	\N
551728	1878	1997-08-28	VYDAJ	VYBER	46200	51146	\N	\N	\N
551729	1878	1997-09-27	VYDAJ	VYBER	17300	23530	\N	\N	\N
551730	1878	1997-10-27	VYDAJ	VYBER	6500	10866	\N	\N	\N
551731	1878	1997-11-26	VYDAJ	VYBER	100	1001	\N	\N	\N
551732	1878	1997-12-26	VYDAJ	VYBER	17500	12298	\N	\N	\N
551733	1878	1998-01-25	VYDAJ	VYBER	11000	8186	\N	\N	\N
551734	1878	1998-02-24	VYDAJ	VYBER	3100	2785	\N	\N	\N
551735	1878	1998-03-26	VYDAJ	VYBER	6800	-4023	\N	\N	\N
551736	1878	1998-04-25	VYDAJ	VYBER	25600	13761	\N	\N	\N
551737	1878	1998-05-25	VYDAJ	VYBER	4100	3349	\N	\N	\N
551738	1878	1998-06-24	VYDAJ	VYBER	2200	1164	\N	\N	\N
551739	1878	1998-07-24	VYDAJ	VYBER	2400	-1255	\N	\N	\N
551740	1878	1998-08-23	VYDAJ	VYBER	3100	-4353	\N	\N	\N
551741	1878	1998-09-22	VYDAJ	VYBER	3500	-7852	\N	\N	\N
551742	1878	1998-10-22	VYDAJ	VYBER	1100	-8950	\N	\N	\N
551743	1878	1998-11-21	VYDAJ	VYBER	16500	9283	\N	\N	\N
551744	1878	1998-12-21	VYDAJ	VYBER	16300	2617	\N	\N	\N
551806	1879	1994-05-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
551811	1879	1994-05-14	PRIJEM	PREVOD Z UCTU	3039	4039	\N	QR	19752383
551812	1879	1994-06-14	PRIJEM	PREVOD Z UCTU	3039	7088	\N	QR	19752383
551813	1879	1994-07-14	PRIJEM	PREVOD Z UCTU	3039	10144	\N	QR	19752383
551814	1879	1994-08-14	PRIJEM	PREVOD Z UCTU	3039	13199	\N	QR	19752383
551815	1879	1994-09-14	PRIJEM	PREVOD Z UCTU	3039	16255	\N	QR	19752383
551816	1879	1994-10-14	PRIJEM	PREVOD Z UCTU	3039	17272	\N	QR	19752383
551817	1879	1994-11-14	PRIJEM	PREVOD Z UCTU	3039	18341	\N	QR	19752383
551818	1879	1994-12-14	PRIJEM	PREVOD Z UCTU	3039	18182	\N	QR	19752383
551819	1879	1995-01-14	PRIJEM	PREVOD Z UCTU	3039	16854	\N	QR	19752383
551820	1879	1995-02-14	PRIJEM	PREVOD Z UCTU	3039	13570	\N	QR	19752383
551821	1879	1995-03-14	PRIJEM	PREVOD Z UCTU	3039	14623	\N	QR	19752383
551822	1879	1995-04-14	PRIJEM	PREVOD Z UCTU	3039	14990	\N	QR	19752383
551823	1879	1995-05-14	PRIJEM	PREVOD Z UCTU	3039	16050	\N	QR	19752383
551824	1879	1995-06-14	PRIJEM	PREVOD Z UCTU	3039	16634	\N	QR	19752383
551825	1879	1995-07-14	PRIJEM	PREVOD Z UCTU	3039	15800	\N	QR	19752383
551826	1879	1995-08-14	PRIJEM	PREVOD Z UCTU	3039	14515	\N	QR	19752383
551827	1879	1995-09-14	PRIJEM	PREVOD Z UCTU	3039	12975	\N	QR	19752383
551828	1879	1995-10-14	PRIJEM	PREVOD Z UCTU	3039	14030	\N	QR	19752383
551829	1879	1995-11-14	PRIJEM	PREVOD Z UCTU	3039	14085	\N	QR	19752383
551830	1879	1995-12-14	PRIJEM	PREVOD Z UCTU	3039	13941	\N	QR	19752383
551831	1879	1996-01-14	PRIJEM	PREVOD Z UCTU	3039	12967	\N	QR	19752383
551832	1879	1996-02-14	PRIJEM	PREVOD Z UCTU	3039	13870	\N	QR	19752383
551833	1879	1996-03-14	PRIJEM	PREVOD Z UCTU	3039	14924	\N	QR	19752383
551834	1879	1996-04-14	PRIJEM	PREVOD Z UCTU	3039	15182	\N	QR	19752383
551835	1879	1996-05-14	PRIJEM	PREVOD Z UCTU	3039	16243	\N	QR	19752383
551836	1879	1996-06-14	PRIJEM	PREVOD Z UCTU	3039	14707	\N	QR	19752383
551837	1879	1996-07-14	PRIJEM	PREVOD Z UCTU	3039	14037	\N	QR	19752383
551838	1879	1996-08-14	PRIJEM	PREVOD Z UCTU	3039	13792	\N	QR	19752383
551839	1879	1996-09-14	PRIJEM	PREVOD Z UCTU	3039	13646	\N	QR	19752383
551840	1879	1996-10-14	PRIJEM	PREVOD Z UCTU	3039	13998	\N	QR	19752383
551841	1879	1996-11-14	PRIJEM	PREVOD Z UCTU	3039	14552	\N	QR	19752383
551842	1879	1996-12-14	PRIJEM	PREVOD Z UCTU	3039	15609	\N	QR	19752383
551843	1879	1997-01-14	PRIJEM	PREVOD Z UCTU	3039	14507	\N	QR	19752383
551844	1879	1997-02-14	PRIJEM	PREVOD Z UCTU	3039	14272	\N	QR	19752383
551845	1879	1997-03-14	PRIJEM	PREVOD Z UCTU	3039	15327	\N	QR	19752383
551846	1879	1997-04-14	PRIJEM	PREVOD Z UCTU	3039	14495	\N	QR	19752383
551847	1879	1997-05-14	PRIJEM	PREVOD Z UCTU	3039	15551	\N	QR	19752383
551848	1879	1997-06-14	PRIJEM	PREVOD Z UCTU	3039	16612	\N	QR	19752383
551849	1879	1997-07-14	PRIJEM	PREVOD Z UCTU	3039	17677	\N	QR	19752383
551850	1879	1997-08-14	PRIJEM	PREVOD Z UCTU	3039	16495	\N	QR	19752383
551851	1879	1997-09-14	PRIJEM	PREVOD Z UCTU	3039	16678	\N	QR	19752383
551852	1879	1997-10-14	PRIJEM	PREVOD Z UCTU	3039	17743	\N	QR	19752383
551853	1879	1997-11-14	PRIJEM	PREVOD Z UCTU	3039	18303	\N	QR	19752383
551854	1879	1997-12-14	PRIJEM	PREVOD Z UCTU	3039	14069	\N	QR	19752383
551855	1879	1998-01-14	PRIJEM	PREVOD Z UCTU	3039	14794	\N	QR	19752383
551856	1879	1998-02-14	PRIJEM	PREVOD Z UCTU	3039	14830	\N	QR	19752383
551857	1879	1998-03-14	PRIJEM	PREVOD Z UCTU	3039	15887	\N	QR	19752383
551858	1879	1998-04-14	PRIJEM	PREVOD Z UCTU	3039	16949	\N	QR	19752383
551859	1879	1998-05-14	PRIJEM	PREVOD Z UCTU	3039	18015	\N	QR	19752383
551860	1879	1998-06-14	PRIJEM	PREVOD Z UCTU	3039	15111	\N	QR	19752383
551861	1879	1998-07-14	PRIJEM	PREVOD Z UCTU	3039	14466	\N	QR	19752383
551862	1879	1998-08-14	PRIJEM	PREVOD Z UCTU	3039	15522	\N	QR	19752383
551863	1879	1998-09-14	PRIJEM	PREVOD Z UCTU	3039	16582	\N	QR	19752383
551864	1879	1998-10-14	PRIJEM	PREVOD Z UCTU	3039	16545	\N	QR	19752383
551865	1879	1998-11-14	PRIJEM	PREVOD Z UCTU	3039	16948	\N	QR	19752383
551866	1879	1998-12-14	PRIJEM	PREVOD Z UCTU	3039	18014	\N	QR	19752383
551876	1879	1994-10-13	VYDAJ	PREVOD NA UCET	907	14233	\N	WX	53768026
551877	1879	1994-11-13	VYDAJ	PREVOD NA UCET	907	16421	\N	WX	53768026
551878	1879	1994-12-13	VYDAJ	PREVOD NA UCET	907	15143	\N	WX	53768026
551879	1879	1995-01-13	VYDAJ	PREVOD NA UCET	907	14934	\N	WX	53768026
551880	1879	1995-02-13	VYDAJ	PREVOD NA UCET	907	10531	\N	WX	53768026
551881	1879	1995-03-13	VYDAJ	PREVOD NA UCET	907	11584	\N	WX	53768026
551882	1879	1995-04-13	VYDAJ	PREVOD NA UCET	907	11951	\N	WX	53768026
551883	1879	1995-05-13	VYDAJ	PREVOD NA UCET	907	14130	\N	WX	53768026
551884	1879	1995-06-13	VYDAJ	PREVOD NA UCET	907	13595	\N	WX	53768026
551885	1879	1995-07-13	VYDAJ	PREVOD NA UCET	907	12761	\N	WX	53768026
551886	1879	1995-08-13	VYDAJ	PREVOD NA UCET	907	11476	\N	WX	53768026
551887	1879	1995-09-13	VYDAJ	PREVOD NA UCET	907	9936	\N	WX	53768026
551888	1879	1995-10-13	VYDAJ	PREVOD NA UCET	907	12110	\N	WX	53768026
551889	1879	1995-11-13	VYDAJ	PREVOD NA UCET	907	11046	\N	WX	53768026
551890	1879	1995-12-13	VYDAJ	PREVOD NA UCET	907	12021	\N	WX	53768026
551891	1879	1996-01-13	VYDAJ	PREVOD NA UCET	907	9928	\N	WX	53768026
551892	1879	1996-02-13	VYDAJ	PREVOD NA UCET	907	10831	\N	WX	53768026
551893	1879	1996-03-13	VYDAJ	PREVOD NA UCET	907	11885	\N	WX	53768026
551894	1879	1996-04-13	VYDAJ	PREVOD NA UCET	907	12143	\N	WX	53768026
551895	1879	1996-05-13	VYDAJ	PREVOD NA UCET	907	13204	\N	WX	53768026
551896	1879	1996-06-13	VYDAJ	PREVOD NA UCET	907	12787	\N	WX	53768026
551897	1879	1996-07-13	VYDAJ	PREVOD NA UCET	907	12117	\N	WX	53768026
551898	1879	1996-08-13	VYDAJ	PREVOD NA UCET	907	10753	\N	WX	53768026
551899	1879	1996-09-13	VYDAJ	PREVOD NA UCET	907	11726	\N	WX	53768026
551900	1879	1996-10-13	VYDAJ	PREVOD NA UCET	907	12078	\N	WX	53768026
551901	1879	1996-11-13	VYDAJ	PREVOD NA UCET	907	12632	\N	WX	53768026
551902	1879	1996-12-13	VYDAJ	PREVOD NA UCET	907	12570	\N	WX	53768026
551903	1879	1997-01-13	VYDAJ	PREVOD NA UCET	907	11468	\N	WX	53768026
551904	1879	1997-02-13	VYDAJ	PREVOD NA UCET	907	12352	\N	WX	53768026
551905	1879	1997-03-13	VYDAJ	PREVOD NA UCET	907	12288	\N	WX	53768026
551906	1879	1997-04-13	VYDAJ	PREVOD NA UCET	907	11456	\N	WX	53768026
551907	1879	1997-05-13	VYDAJ	PREVOD NA UCET	907	12512	\N	WX	53768026
551908	1879	1997-06-13	VYDAJ	PREVOD NA UCET	907	14692	\N	WX	53768026
551909	1879	1997-07-13	VYDAJ	PREVOD NA UCET	907	14638	\N	WX	53768026
551910	1879	1997-08-13	VYDAJ	PREVOD NA UCET	907	14575	\N	WX	53768026
551911	1879	1997-09-13	VYDAJ	PREVOD NA UCET	907	14758	\N	WX	53768026
551912	1879	1997-10-13	VYDAJ	PREVOD NA UCET	907	15823	\N	WX	53768026
551913	1879	1997-11-13	VYDAJ	PREVOD NA UCET	907	15264	\N	WX	53768026
551914	1879	1997-12-13	VYDAJ	PREVOD NA UCET	907	11030	\N	WX	53768026
551915	1879	1998-01-13	VYDAJ	PREVOD NA UCET	907	11755	\N	WX	53768026
551916	1879	1998-02-13	VYDAJ	PREVOD NA UCET	907	12910	\N	WX	53768026
551917	1879	1998-03-13	VYDAJ	PREVOD NA UCET	907	13967	\N	WX	53768026
551918	1879	1998-04-13	VYDAJ	PREVOD NA UCET	907	15029	\N	WX	53768026
551919	1879	1998-05-13	VYDAJ	PREVOD NA UCET	907	16095	\N	WX	53768026
551920	1879	1998-06-13	VYDAJ	PREVOD NA UCET	907	12072	\N	WX	53768026
551921	1879	1998-07-13	VYDAJ	PREVOD NA UCET	907	12546	\N	WX	53768026
551922	1879	1998-08-13	VYDAJ	PREVOD NA UCET	907	13602	\N	WX	53768026
551923	1879	1998-09-13	VYDAJ	PREVOD NA UCET	907	13543	\N	WX	53768026
551924	1879	1998-10-13	VYDAJ	PREVOD NA UCET	907	14625	\N	WX	53768026
551925	1879	1998-11-13	VYDAJ	PREVOD NA UCET	907	13909	\N	WX	53768026
551926	1879	1998-12-13	VYDAJ	PREVOD NA UCET	907	14975	\N	WX	53768026
551936	1879	1994-10-13	VYDAJ	PREVOD NA UCET	1119	15140	\N	QR	75441211
551937	1879	1994-11-13	VYDAJ	PREVOD NA UCET	1119	15302	\N	QR	75441211
551938	1879	1994-12-13	VYDAJ	PREVOD NA UCET	1119	16050	\N	QR	75441211
551939	1879	1995-01-13	VYDAJ	PREVOD NA UCET	1119	13815	\N	QR	75441211
551940	1879	1995-02-13	VYDAJ	PREVOD NA UCET	1119	11438	\N	QR	75441211
551941	1879	1995-03-13	VYDAJ	PREVOD NA UCET	1119	12491	\N	QR	75441211
551942	1879	1995-04-13	VYDAJ	PREVOD NA UCET	1119	12858	\N	QR	75441211
551943	1879	1995-05-13	VYDAJ	PREVOD NA UCET	1119	13011	\N	QR	75441211
551944	1879	1995-06-13	VYDAJ	PREVOD NA UCET	1119	14502	\N	QR	75441211
551945	1879	1995-07-13	VYDAJ	PREVOD NA UCET	1119	13668	\N	QR	75441211
551946	1879	1995-08-13	VYDAJ	PREVOD NA UCET	1119	12383	\N	QR	75441211
551947	1879	1995-09-13	VYDAJ	PREVOD NA UCET	1119	10843	\N	QR	75441211
551948	1879	1995-10-13	VYDAJ	PREVOD NA UCET	1119	10991	\N	QR	75441211
551949	1879	1995-11-13	VYDAJ	PREVOD NA UCET	1119	11953	\N	QR	75441211
551950	1879	1995-12-13	VYDAJ	PREVOD NA UCET	1119	10902	\N	QR	75441211
551951	1879	1996-01-13	VYDAJ	PREVOD NA UCET	1119	10835	\N	QR	75441211
551952	1879	1996-02-13	VYDAJ	PREVOD NA UCET	1119	11738	\N	QR	75441211
551953	1879	1996-03-13	VYDAJ	PREVOD NA UCET	1119	12792	\N	QR	75441211
551954	1879	1996-04-13	VYDAJ	PREVOD NA UCET	1119	13050	\N	QR	75441211
551955	1879	1996-05-13	VYDAJ	PREVOD NA UCET	1119	14111	\N	QR	75441211
551956	1879	1996-06-13	VYDAJ	PREVOD NA UCET	1119	11668	\N	QR	75441211
551957	1879	1996-07-13	VYDAJ	PREVOD NA UCET	1119	10998	\N	QR	75441211
551958	1879	1996-08-13	VYDAJ	PREVOD NA UCET	1119	11660	\N	QR	75441211
551959	1879	1996-09-13	VYDAJ	PREVOD NA UCET	1119	10607	\N	QR	75441211
551960	1879	1996-10-13	VYDAJ	PREVOD NA UCET	1119	10959	\N	QR	75441211
551961	1879	1996-11-13	VYDAJ	PREVOD NA UCET	1119	11513	\N	QR	75441211
551962	1879	1996-12-13	VYDAJ	PREVOD NA UCET	1119	13477	\N	QR	75441211
551963	1879	1997-01-13	VYDAJ	PREVOD NA UCET	1119	12375	\N	QR	75441211
551964	1879	1997-02-13	VYDAJ	PREVOD NA UCET	1119	11233	\N	QR	75441211
551965	1879	1997-03-13	VYDAJ	PREVOD NA UCET	1119	13195	\N	QR	75441211
551966	1879	1997-04-13	VYDAJ	PREVOD NA UCET	1119	12363	\N	QR	75441211
551967	1879	1997-05-13	VYDAJ	PREVOD NA UCET	1119	13419	\N	QR	75441211
551968	1879	1997-06-13	VYDAJ	PREVOD NA UCET	1119	13573	\N	QR	75441211
551969	1879	1997-07-13	VYDAJ	PREVOD NA UCET	1119	15545	\N	QR	75441211
551970	1879	1997-08-13	VYDAJ	PREVOD NA UCET	1119	13456	\N	QR	75441211
551971	1879	1997-09-13	VYDAJ	PREVOD NA UCET	1119	13639	\N	QR	75441211
551972	1879	1997-10-13	VYDAJ	PREVOD NA UCET	1119	14704	\N	QR	75441211
551973	1879	1997-11-13	VYDAJ	PREVOD NA UCET	1119	16171	\N	QR	75441211
551974	1879	1997-12-13	VYDAJ	PREVOD NA UCET	1119	11937	\N	QR	75441211
551975	1879	1998-01-13	VYDAJ	PREVOD NA UCET	1119	12662	\N	QR	75441211
551976	1879	1998-02-13	VYDAJ	PREVOD NA UCET	1119	11791	\N	QR	75441211
551977	1879	1998-03-13	VYDAJ	PREVOD NA UCET	1119	12848	\N	QR	75441211
551978	1879	1998-04-13	VYDAJ	PREVOD NA UCET	1119	13910	\N	QR	75441211
551979	1879	1998-05-13	VYDAJ	PREVOD NA UCET	1119	14976	\N	QR	75441211
551980	1879	1998-06-13	VYDAJ	PREVOD NA UCET	1119	12979	\N	QR	75441211
551981	1879	1998-07-13	VYDAJ	PREVOD NA UCET	1119	11427	\N	QR	75441211
551982	1879	1998-08-13	VYDAJ	PREVOD NA UCET	1119	12483	\N	QR	75441211
551983	1879	1998-09-13	VYDAJ	PREVOD NA UCET	1119	14450	\N	QR	75441211
551984	1879	1998-10-13	VYDAJ	PREVOD NA UCET	1119	13506	\N	QR	75441211
551985	1879	1998-11-13	VYDAJ	PREVOD NA UCET	1119	14816	\N	QR	75441211
551986	1879	1998-12-13	VYDAJ	PREVOD NA UCET	1119	15882	\N	QR	75441211
551993	1879	1995-01-28	VYDAJ	VYBER	2910	12894	\N	\N	\N
551997	1879	1994-12-30	VYDAJ	VYBER	480	17702	\N	\N	\N
551999	1879	1996-12-17	VYDAJ	VYBER	300	14649	\N	\N	\N
552001	1879	1998-12-19	VYDAJ	VYBER	810	16664	\N	\N	\N
552008	1879	1995-01-30	VYDAJ	VYBER	390	12504	\N	\N	\N
552009	1879	1995-01-21	VYDAJ	VYBER	240	15804	\N	\N	\N
552010	1879	1995-01-13	VYDAJ	VYBER	480	15841	\N	\N	\N
552011	1879	1995-01-11	VYDAJ	VYBER	570	16321	\N	\N	\N
552013	1879	1995-01-20	VYDAJ	VYBER	810	16044	\N	\N	\N
552017	1879	1996-01-20	VYDAJ	VYBER	150	12817	\N	\N	\N
552021	1879	1997-01-17	VYDAJ	VYBER	450	13847	\N	\N	\N
552022	1879	1997-01-14	VYDAJ	VYBER	210	14297	\N	\N	\N
552024	1879	1997-01-17	VYDAJ	VYBER	630	13217	\N	\N	\N
552027	1879	1998-01-04	VYDAJ	VYBER	330	13781	\N	\N	\N
552029	1879	1998-01-21	VYDAJ	VYBER	510	14284	\N	\N	\N
552031	1879	1998-01-26	VYDAJ	VYBER	510	13774	\N	\N	\N
552035	1879	1994-11-22	VYDAJ	VYBER	1230	17111	\N	\N	\N
552036	1879	1995-06-05	VYDAJ	VYBER	480	15621	\N	\N	\N
552037	1879	1995-07-15	VYDAJ	VYBER	150	15650	\N	\N	\N
552038	1879	1995-12-17	VYDAJ	VYBER	330	13611	\N	\N	\N
552039	1879	1995-01-07	VYDAJ	VYBER	870	16891	\N	\N	\N
552040	1879	1995-04-07	VYDAJ	VYBER	690	13977	\N	\N	\N
552041	1879	1996-06-23	VYDAJ	VYBER	1230	13477	\N	\N	\N
552042	1879	1996-12-15	VYDAJ	VYBER	660	14949	\N	\N	\N
552045	1879	1997-08-28	VYDAJ	VYBER	180	15615	\N	\N	\N
552046	1879	1997-07-25	VYDAJ	VYBER	450	17227	\N	\N	\N
552047	1879	1997-11-04	VYDAJ	VYBER	180	17290	\N	\N	\N
552048	1879	1997-03-19	VYDAJ	VYBER	870	14457	\N	\N	\N
552049	1879	1997-11-03	VYDAJ	VYBER	330	17470	\N	\N	\N
552050	1879	1997-03-28	VYDAJ	VYBER	1020	13437	\N	\N	\N
552051	1879	1998-05-14	VYDAJ	VYBER	870	17145	\N	\N	\N
552052	1879	1998-10-25	VYDAJ	VYBER	660	15885	\N	\N	\N
552054	1879	1998-12-17	VYDAJ	VYBER	540	17474	\N	\N	\N
552064	1879	1994-09-30	VYDAJ	VYBER	15	16259	SLUZBY	\N	\N
552065	1879	1994-10-31	VYDAJ	VYBER	15	17328	SLUZBY	\N	\N
552066	1879	1994-11-30	VYDAJ	VYBER	15	17169	SLUZBY	\N	\N
552067	1879	1994-12-31	VYDAJ	VYBER	15	17761	SLUZBY	\N	\N
552068	1879	1995-01-31	VYDAJ	VYBER	15	12557	SLUZBY	\N	\N
552069	1879	1995-02-28	VYDAJ	VYBER	15	13610	SLUZBY	\N	\N
552070	1879	1995-03-31	VYDAJ	VYBER	15	14667	SLUZBY	\N	\N
552071	1879	1995-04-30	VYDAJ	VYBER	15	15037	SLUZBY	\N	\N
552072	1879	1995-05-31	VYDAJ	VYBER	15	16101	SLUZBY	\N	\N
552073	1879	1995-06-30	VYDAJ	VYBER	15	16687	SLUZBY	\N	\N
552074	1879	1995-07-31	VYDAJ	VYBER	15	15702	SLUZBY	\N	\N
552075	1879	1995-08-31	VYDAJ	VYBER	15	14562	SLUZBY	\N	\N
552076	1879	1995-09-30	VYDAJ	VYBER	15	13017	SLUZBY	\N	\N
552077	1879	1995-10-31	VYDAJ	VYBER	15	14072	SLUZBY	\N	\N
552078	1879	1995-11-30	VYDAJ	VYBER	15	14128	SLUZBY	\N	\N
552079	1879	1995-12-31	VYDAJ	VYBER	15	13654	SLUZBY	\N	\N
552080	1879	1996-01-31	VYDAJ	VYBER	15	12857	SLUZBY	\N	\N
552081	1879	1996-02-29	VYDAJ	VYBER	15	13911	SLUZBY	\N	\N
552082	1879	1996-03-31	VYDAJ	VYBER	15	14969	SLUZBY	\N	\N
552083	1879	1996-04-30	VYDAJ	VYBER	15	15230	SLUZBY	\N	\N
552084	1879	1996-05-31	VYDAJ	VYBER	15	16294	SLUZBY	\N	\N
552085	1879	1996-06-30	VYDAJ	VYBER	15	13524	SLUZBY	\N	\N
552086	1879	1996-07-31	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
552087	1879	1996-08-31	VYDAJ	VYBER	15	12633	SLUZBY	\N	\N
552088	1879	1996-09-30	VYDAJ	VYBER	15	12985	SLUZBY	\N	\N
552089	1879	1996-10-31	VYDAJ	VYBER	15	13539	SLUZBY	\N	\N
552090	1879	1996-11-30	VYDAJ	VYBER	15	14596	SLUZBY	\N	\N
552091	1879	1996-12-31	VYDAJ	VYBER	15	13494	SLUZBY	\N	\N
552092	1879	1997-01-31	VYDAJ	VYBER	15	13259	SLUZBY	\N	\N
552093	1879	1997-02-28	VYDAJ	VYBER	15	14314	SLUZBY	\N	\N
552094	1879	1997-03-31	VYDAJ	VYBER	15	13482	SLUZBY	\N	\N
552095	1879	1997-04-30	VYDAJ	VYBER	15	14538	SLUZBY	\N	\N
552096	1879	1997-05-31	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
552097	1879	1997-06-30	VYDAJ	VYBER	15	16664	SLUZBY	\N	\N
552098	1879	1997-07-31	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
552099	1879	1997-08-31	VYDAJ	VYBER	15	15665	SLUZBY	\N	\N
552100	1879	1997-09-30	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
552101	1879	1997-10-31	VYDAJ	VYBER	15	17800	SLUZBY	\N	\N
552102	1879	1997-11-30	VYDAJ	VYBER	15	13056	SLUZBY	\N	\N
552103	1879	1997-12-31	VYDAJ	VYBER	15	14111	SLUZBY	\N	\N
552104	1879	1998-01-31	VYDAJ	VYBER	15	13817	SLUZBY	\N	\N
552105	1879	1998-02-28	VYDAJ	VYBER	15	14874	SLUZBY	\N	\N
552106	1879	1998-03-31	VYDAJ	VYBER	15	15936	SLUZBY	\N	\N
552107	1879	1998-04-30	VYDAJ	VYBER	15	17002	SLUZBY	\N	\N
552108	1879	1998-05-31	VYDAJ	VYBER	15	14098	SLUZBY	\N	\N
552109	1879	1998-06-30	VYDAJ	VYBER	15	13453	SLUZBY	\N	\N
552110	1879	1998-07-31	VYDAJ	VYBER	15	14509	SLUZBY	\N	\N
552111	1879	1998-08-31	VYDAJ	VYBER	15	15569	SLUZBY	\N	\N
552112	1879	1998-09-30	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
552113	1879	1998-10-31	VYDAJ	VYBER	15	15935	SLUZBY	\N	\N
552114	1879	1998-11-30	VYDAJ	VYBER	15	17001	SLUZBY	\N	\N
552115	1879	1995-07-07	VYDAJ	VYBER	1900	14787	\N	\N	\N
552116	1879	1995-08-06	VYDAJ	VYBER	2200	13502	\N	\N	\N
552117	1879	1995-09-05	VYDAJ	VYBER	2600	11962	\N	\N	\N
552118	1879	1995-11-04	VYDAJ	VYBER	1000	13072	\N	\N	\N
552119	1879	1995-12-04	VYDAJ	VYBER	1200	12928	\N	\N	\N
552120	1879	1996-01-03	VYDAJ	VYBER	1700	11954	\N	\N	\N
552121	1879	1996-04-02	VYDAJ	VYBER	800	14169	\N	\N	\N
552122	1879	1996-06-01	VYDAJ	VYBER	2600	13694	\N	\N	\N
552123	1879	1996-07-01	VYDAJ	VYBER	500	13024	\N	\N	\N
552124	1879	1996-07-31	VYDAJ	VYBER	1300	12779	\N	\N	\N
552125	1879	1996-08-30	VYDAJ	VYBER	1200	12592	\N	\N	\N
552126	1879	1996-09-29	VYDAJ	VYBER	700	12946	\N	\N	\N
552127	1879	1996-10-29	VYDAJ	VYBER	500	13498	\N	\N	\N
552128	1879	1996-12-28	VYDAJ	VYBER	1200	13449	\N	\N	\N
552129	1879	1997-07-26	VYDAJ	VYBER	1800	15427	\N	\N	\N
552130	1879	1997-08-25	VYDAJ	VYBER	700	15795	\N	\N	\N
552131	1879	1997-11-23	VYDAJ	VYBER	5300	13003	\N	\N	\N
552132	1879	1998-05-22	VYDAJ	VYBER	3100	14045	\N	\N	\N
552133	1879	1998-06-21	VYDAJ	VYBER	1700	13411	\N	\N	\N
552134	1879	1998-09-19	VYDAJ	VYBER	1100	15482	\N	\N	\N
552191	1880	1994-02-25	PRIJEM	VKLAD	500	500	\N	\N	\N
552192	1880	1994-09-26	PRIJEM	VKLAD	49319	91712	\N	\N	\N
552193	1880	1994-08-25	PRIJEM	VKLAD	31199	54282	\N	\N	\N
552194	1880	1995-04-26	PRIJEM	VKLAD	7681	36072	\N	\N	\N
552195	1880	1995-11-11	PRIJEM	VKLAD	20048	47347	\N	\N	\N
552196	1880	1996-01-11	PRIJEM	VKLAD	11592	45759	\N	\N	\N
552197	1880	1996-03-27	PRIJEM	VKLAD	33704	64412	\N	\N	\N
552198	1880	1997-03-23	PRIJEM	VKLAD	36643	68339	\N	\N	\N
552199	1880	1997-08-08	PRIJEM	VKLAD	2502	30270	\N	\N	\N
552200	1880	1998-01-26	PRIJEM	VKLAD	37850	59577	\N	\N	\N
552201	1880	1998-02-02	PRIJEM	VKLAD	7574	65712	\N	\N	\N
552204	1880	1994-03-17	PRIJEM	VKLAD	700	1200	\N	\N	\N
552205	1880	1994-04-16	PRIJEM	VKLAD	700	11810	\N	\N	\N
552206	1880	1994-05-13	PRIJEM	VKLAD	700	17262	\N	\N	\N
552207	1880	1994-06-13	PRIJEM	VKLAD	700	21622	\N	\N	\N
552208	1880	1994-07-16	PRIJEM	VKLAD	700	24198	\N	\N	\N
552209	1880	1994-08-17	PRIJEM	VKLAD	700	23783	\N	\N	\N
552210	1880	1994-09-15	PRIJEM	VKLAD	700	54093	\N	\N	\N
552211	1880	1994-10-16	PRIJEM	VKLAD	700	90743	\N	\N	\N
552212	1880	1994-11-14	PRIJEM	VKLAD	700	58970	\N	\N	\N
552213	1880	1994-12-15	PRIJEM	VKLAD	700	44382	\N	\N	\N
552214	1880	1995-01-15	PRIJEM	VKLAD	700	36044	\N	\N	\N
552215	1880	1995-02-15	PRIJEM	VKLAD	700	25162	\N	\N	\N
552216	1880	1995-03-16	PRIJEM	VKLAD	700	26151	\N	\N	\N
552217	1880	1995-04-17	PRIJEM	VKLAD	700	25491	\N	\N	\N
552218	1880	1995-05-16	PRIJEM	VKLAD	700	36871	\N	\N	\N
552219	1880	1995-06-13	PRIJEM	VKLAD	700	22206	\N	\N	\N
552220	1880	1995-07-16	PRIJEM	VKLAD	700	28512	\N	\N	\N
552221	1880	1995-08-15	PRIJEM	VKLAD	700	29915	\N	\N	\N
552222	1880	1995-09-14	PRIJEM	VKLAD	700	31025	\N	\N	\N
552223	1880	1995-10-15	PRIJEM	VKLAD	700	32041	\N	\N	\N
552224	1880	1995-11-16	PRIJEM	VKLAD	700	48047	\N	\N	\N
552225	1880	1995-12-15	PRIJEM	VKLAD	700	39074	\N	\N	\N
552226	1880	1996-01-14	PRIJEM	VKLAD	700	46459	\N	\N	\N
552227	1880	1996-02-16	PRIJEM	VKLAD	700	28200	\N	\N	\N
552228	1880	1996-03-13	PRIJEM	VKLAD	700	30108	\N	\N	\N
552229	1880	1996-04-13	PRIJEM	VKLAD	700	64094	\N	\N	\N
552230	1880	1996-05-17	PRIJEM	VKLAD	700	40513	\N	\N	\N
552231	1880	1996-06-13	PRIJEM	VKLAD	700	21385	\N	\N	\N
552232	1880	1996-07-14	PRIJEM	VKLAD	700	20793	\N	\N	\N
552233	1880	1996-08-15	PRIJEM	VKLAD	700	25665	\N	\N	\N
552234	1880	1996-09-14	PRIJEM	VKLAD	700	25651	\N	\N	\N
552235	1880	1996-10-17	PRIJEM	VKLAD	700	24747	\N	\N	\N
552236	1880	1996-11-16	PRIJEM	VKLAD	700	24941	\N	\N	\N
552237	1880	1996-12-16	PRIJEM	VKLAD	700	27182	\N	\N	\N
552238	1880	1997-01-16	PRIJEM	VKLAD	700	26222	\N	\N	\N
552239	1880	1997-02-17	PRIJEM	VKLAD	700	25711	\N	\N	\N
552240	1880	1997-03-15	PRIJEM	VKLAD	700	30596	\N	\N	\N
552241	1880	1997-04-14	PRIJEM	VKLAD	700	51290	\N	\N	\N
552242	1880	1997-05-14	PRIJEM	VKLAD	700	43520	\N	\N	\N
552243	1880	1997-06-17	PRIJEM	VKLAD	700	25302	\N	\N	\N
552244	1880	1997-07-13	PRIJEM	VKLAD	700	26572	\N	\N	\N
552245	1880	1997-08-13	PRIJEM	VKLAD	700	26470	\N	\N	\N
552246	1880	1997-09-16	PRIJEM	VKLAD	700	24766	\N	\N	\N
552247	1880	1997-10-16	PRIJEM	VKLAD	700	23606	\N	\N	\N
552248	1880	1997-11-17	PRIJEM	VKLAD	700	25989	\N	\N	\N
552249	1880	1997-12-16	PRIJEM	VKLAD	700	27580	\N	\N	\N
552250	1880	1998-01-17	PRIJEM	VKLAD	700	20627	\N	\N	\N
552251	1880	1998-02-14	PRIJEM	VKLAD	700	45812	\N	\N	\N
552252	1880	1998-03-15	PRIJEM	VKLAD	700	36195	\N	\N	\N
552253	1880	1998-04-16	PRIJEM	VKLAD	700	30451	\N	\N	\N
552254	1880	1998-05-17	PRIJEM	VKLAD	700	25978	\N	\N	\N
552255	1880	1998-06-14	PRIJEM	VKLAD	700	22483	\N	\N	\N
552256	1880	1998-07-13	PRIJEM	VKLAD	700	23362	\N	\N	\N
552257	1880	1998-08-17	PRIJEM	VKLAD	700	23692	\N	\N	\N
552258	1880	1998-09-16	PRIJEM	VKLAD	700	26274	\N	\N	\N
552259	1880	1998-10-13	PRIJEM	VKLAD	700	27564	\N	\N	\N
552260	1880	1998-11-15	PRIJEM	VKLAD	700	28363	\N	\N	\N
552261	1880	1998-12-16	PRIJEM	VKLAD	700	31316	\N	\N	\N
552264	1880	1994-03-18	PRIJEM	VKLAD	1100	2300	\N	\N	\N
552265	1880	1994-04-18	PRIJEM	VKLAD	1100	12910	\N	\N	\N
552266	1880	1994-05-18	PRIJEM	VKLAD	1100	18362	\N	\N	\N
552267	1880	1994-06-18	PRIJEM	VKLAD	1100	22722	\N	\N	\N
552268	1880	1994-07-18	PRIJEM	VKLAD	1100	25298	\N	\N	\N
552269	1880	1994-08-18	PRIJEM	VKLAD	1100	24883	\N	\N	\N
552270	1880	1994-09-18	PRIJEM	VKLAD	1100	55193	\N	\N	\N
552271	1880	1994-10-18	PRIJEM	VKLAD	1100	91843	\N	\N	\N
552272	1880	1994-11-18	PRIJEM	VKLAD	1100	60070	\N	\N	\N
552273	1880	1994-12-18	PRIJEM	VKLAD	1100	45482	\N	\N	\N
552274	1880	1995-01-18	PRIJEM	VKLAD	1100	30744	\N	\N	\N
552275	1880	1995-02-18	PRIJEM	VKLAD	1100	26262	\N	\N	\N
552276	1880	1995-03-18	PRIJEM	VKLAD	1100	25001	\N	\N	\N
552277	1880	1995-04-18	PRIJEM	VKLAD	1100	26591	\N	\N	\N
552278	1880	1995-05-18	PRIJEM	VKLAD	1100	37971	\N	\N	\N
552279	1880	1995-06-18	PRIJEM	VKLAD	1100	21706	\N	\N	\N
552280	1880	1995-07-18	PRIJEM	VKLAD	1100	29612	\N	\N	\N
552281	1880	1995-08-18	PRIJEM	VKLAD	1100	31015	\N	\N	\N
552282	1880	1995-09-18	PRIJEM	VKLAD	1100	32125	\N	\N	\N
552283	1880	1995-10-18	PRIJEM	VKLAD	1100	30841	\N	\N	\N
552284	1880	1995-11-18	PRIJEM	VKLAD	1100	40347	\N	\N	\N
552285	1880	1995-12-18	PRIJEM	VKLAD	1100	35374	\N	\N	\N
552286	1880	1996-01-18	PRIJEM	VKLAD	1100	40159	\N	\N	\N
552287	1880	1996-02-18	PRIJEM	VKLAD	1100	29300	\N	\N	\N
552288	1880	1996-03-18	PRIJEM	VKLAD	1100	30708	\N	\N	\N
552289	1880	1996-04-18	PRIJEM	VKLAD	1100	49194	\N	\N	\N
552290	1880	1996-05-18	PRIJEM	VKLAD	1100	41613	\N	\N	\N
552291	1880	1996-06-18	PRIJEM	VKLAD	1100	23785	\N	\N	\N
552292	1880	1996-07-18	PRIJEM	VKLAD	1100	21893	\N	\N	\N
552293	1880	1996-08-18	PRIJEM	VKLAD	1100	26765	\N	\N	\N
552294	1880	1996-09-18	PRIJEM	VKLAD	1100	26751	\N	\N	\N
552295	1880	1996-10-18	PRIJEM	VKLAD	1100	25847	\N	\N	\N
552296	1880	1996-11-18	PRIJEM	VKLAD	1100	26041	\N	\N	\N
552297	1880	1996-12-18	PRIJEM	VKLAD	1100	25682	\N	\N	\N
552298	1880	1997-01-18	PRIJEM	VKLAD	1100	26772	\N	\N	\N
552299	1880	1997-02-18	PRIJEM	VKLAD	1100	26811	\N	\N	\N
552300	1880	1997-03-18	PRIJEM	VKLAD	1100	31696	\N	\N	\N
552301	1880	1997-04-18	PRIJEM	VKLAD	1100	52390	\N	\N	\N
552302	1880	1997-05-18	PRIJEM	VKLAD	1100	44620	\N	\N	\N
552303	1880	1997-06-18	PRIJEM	VKLAD	1100	26402	\N	\N	\N
552304	1880	1997-07-18	PRIJEM	VKLAD	1100	27672	\N	\N	\N
552305	1880	1997-08-18	PRIJEM	VKLAD	1100	26070	\N	\N	\N
552306	1880	1997-09-18	PRIJEM	VKLAD	1100	25866	\N	\N	\N
552307	1880	1997-10-18	PRIJEM	VKLAD	1100	24706	\N	\N	\N
552308	1880	1997-11-18	PRIJEM	VKLAD	1100	27089	\N	\N	\N
552309	1880	1997-12-18	PRIJEM	VKLAD	1100	28680	\N	\N	\N
552310	1880	1998-01-18	PRIJEM	VKLAD	1100	21727	\N	\N	\N
552311	1880	1998-02-18	PRIJEM	VKLAD	1100	46912	\N	\N	\N
552312	1880	1998-03-18	PRIJEM	VKLAD	1100	37295	\N	\N	\N
552313	1880	1998-04-18	PRIJEM	VKLAD	1100	31551	\N	\N	\N
552314	1880	1998-05-18	PRIJEM	VKLAD	1100	27078	\N	\N	\N
552315	1880	1998-06-18	PRIJEM	VKLAD	1100	23583	\N	\N	\N
552316	1880	1998-07-18	PRIJEM	VKLAD	1100	23012	\N	\N	\N
552317	1880	1998-08-18	PRIJEM	VKLAD	1100	24792	\N	\N	\N
552318	1880	1998-09-18	PRIJEM	VKLAD	1100	27374	\N	\N	\N
552319	1880	1998-10-18	PRIJEM	VKLAD	1100	28664	\N	\N	\N
552320	1880	1998-11-18	PRIJEM	VKLAD	1100	29463	\N	\N	\N
552321	1880	1998-12-18	PRIJEM	VKLAD	1100	31616	\N	\N	\N
552323	1880	1995-06-04	VYDAJ	VYBER	13200	21506	\N	\N	\N
552324	1880	1996-06-23	VYDAJ	VYBER	4000	19785	\N	\N	\N
552325	1880	1997-06-12	VYDAJ	VYBER	14200	24602	\N	\N	\N
552328	1880	1995-01-15	VYDAJ	VYBER	6400	29644	\N	\N	\N
552329	1880	1996-01-26	VYDAJ	VYBER	5600	32509	\N	\N	\N
552330	1880	1997-01-28	VYDAJ	VYBER	3000	22122	\N	\N	\N
552334	1880	1996-06-04	VYDAJ	VYBER	21100	20685	\N	\N	\N
552336	1880	1998-06-03	VYDAJ	VYBER	7500	19683	\N	\N	\N
552337	1880	1994-12-12	VYDAJ	VYBER	1000	43682	\N	\N	\N
552338	1880	1995-12-02	VYDAJ	VYBER	2100	38374	\N	\N	\N
552339	1880	1996-12-17	VYDAJ	VYBER	2600	24582	\N	\N	\N
552340	1880	1997-12-04	VYDAJ	VYBER	1200	25980	\N	\N	\N
552341	1880	1998-12-16	VYDAJ	VYBER	800	30516	\N	\N	\N
552348	1880	1995-01-25	VYDAJ	VYBER	1350	25244	\N	\N	\N
552349	1880	1995-01-29	VYDAJ	VYBER	900	24344	\N	\N	\N
552350	1880	1995-01-14	VYDAJ	VYBER	550	36294	\N	\N	\N
552351	1880	1995-01-23	VYDAJ	VYBER	850	26594	\N	\N	\N
552352	1880	1995-01-08	VYDAJ	VYBER	600	36844	\N	\N	\N
552353	1880	1995-01-14	VYDAJ	VYBER	950	35344	\N	\N	\N
552354	1880	1996-01-19	VYDAJ	VYBER	1150	39009	\N	\N	\N
552355	1880	1996-01-27	VYDAJ	VYBER	1300	31209	\N	\N	\N
552356	1880	1996-01-01	VYDAJ	VYBER	1350	34167	\N	\N	\N
552357	1880	1996-01-20	VYDAJ	VYBER	400	38609	\N	\N	\N
552358	1880	1996-01-30	VYDAJ	VYBER	1250	29959	\N	\N	\N
552359	1880	1996-01-21	VYDAJ	VYBER	500	38109	\N	\N	\N
552360	1880	1997-01-11	VYDAJ	VYBER	750	26122	\N	\N	\N
552361	1880	1997-01-05	VYDAJ	VYBER	1400	24372	\N	\N	\N
552362	1880	1997-01-18	VYDAJ	VYBER	300	26472	\N	\N	\N
552363	1880	1997-01-15	VYDAJ	VYBER	600	25522	\N	\N	\N
552364	1880	1997-01-16	VYDAJ	VYBER	550	25672	\N	\N	\N
552365	1880	1997-01-21	VYDAJ	VYBER	1350	25122	\N	\N	\N
552366	1880	1998-01-12	VYDAJ	VYBER	1350	22477	\N	\N	\N
552367	1880	1998-01-28	VYDAJ	VYBER	750	58827	\N	\N	\N
552368	1880	1998-01-01	VYDAJ	VYBER	400	27377	\N	\N	\N
552369	1880	1998-01-12	VYDAJ	VYBER	1200	19927	\N	\N	\N
552370	1880	1998-01-05	VYDAJ	VYBER	550	26827	\N	\N	\N
552371	1880	1998-01-12	VYDAJ	VYBER	1350	21127	\N	\N	\N
552372	1880	1994-08-26	VYDAJ	VYBER	1000	53282	\N	\N	\N
552373	1880	1994-10-09	VYDAJ	VYBER	1900	90043	\N	\N	\N
552374	1880	1994-06-23	VYDAJ	VYBER	1100	21622	\N	\N	\N
552375	1880	1995-03-16	VYDAJ	VYBER	2250	23901	\N	\N	\N
552376	1880	1995-09-13	VYDAJ	VYBER	700	30325	\N	\N	\N
552377	1880	1995-10-17	VYDAJ	VYBER	2300	29741	\N	\N	\N
552378	1880	1995-06-14	VYDAJ	VYBER	1600	20606	\N	\N	\N
552379	1880	1995-10-19	VYDAJ	VYBER	2250	27191	\N	\N	\N
552380	1880	1996-11-08	VYDAJ	VYBER	400	25541	\N	\N	\N
552381	1880	1996-04-06	VYDAJ	VYBER	1150	63394	\N	\N	\N
552382	1880	1996-11-28	VYDAJ	VYBER	1050	24991	\N	\N	\N
552383	1880	1996-02-12	VYDAJ	VYBER	900	29200	\N	\N	\N
552384	1880	1996-07-10	VYDAJ	VYBER	800	19093	\N	\N	\N
552385	1880	1996-05-15	VYDAJ	VYBER	850	47413	\N	\N	\N
552386	1880	1996-04-29	VYDAJ	VYBER	1150	48044	\N	\N	\N
552387	1880	1997-08-17	VYDAJ	VYBER	1500	24970	\N	\N	\N
552388	1880	1997-12-22	VYDAJ	VYBER	1000	27680	\N	\N	\N
552389	1880	1997-09-26	VYDAJ	VYBER	2250	23616	\N	\N	\N
552390	1880	1997-05-24	VYDAJ	VYBER	500	44120	\N	\N	\N
552391	1880	1997-04-19	VYDAJ	VYBER	400	51990	\N	\N	\N
552392	1880	1997-09-27	VYDAJ	VYBER	700	22916	\N	\N	\N
552393	1880	1997-07-06	VYDAJ	VYBER	1450	25072	\N	\N	\N
552394	1880	1998-07-13	VYDAJ	VYBER	1450	21912	\N	\N	\N
552395	1880	1998-12-10	VYDAJ	VYBER	1650	30616	\N	\N	\N
552396	1880	1998-02-01	VYDAJ	VYBER	800	58138	\N	\N	\N
552402	1880	1994-05-31	VYDAJ	VYBER	15	20922	SLUZBY	\N	\N
552403	1880	1994-06-30	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
552404	1880	1994-07-31	VYDAJ	VYBER	15	23083	SLUZBY	\N	\N
552405	1880	1994-08-31	VYDAJ	VYBER	15	53393	SLUZBY	\N	\N
552406	1880	1994-09-30	VYDAJ	VYBER	15	91943	SLUZBY	\N	\N
552407	1880	1994-10-31	VYDAJ	VYBER	15	58270	SLUZBY	\N	\N
552408	1880	1994-11-30	VYDAJ	VYBER	15	44682	SLUZBY	\N	\N
552409	1880	1994-12-31	VYDAJ	VYBER	15	37444	SLUZBY	\N	\N
552410	1880	1995-01-31	VYDAJ	VYBER	15	24462	SLUZBY	\N	\N
552411	1880	1995-02-28	VYDAJ	VYBER	15	25451	SLUZBY	\N	\N
552412	1880	1995-03-31	VYDAJ	VYBER	15	24791	SLUZBY	\N	\N
552413	1880	1995-04-30	VYDAJ	VYBER	15	36171	SLUZBY	\N	\N
552414	1880	1995-05-31	VYDAJ	VYBER	15	34706	SLUZBY	\N	\N
552415	1880	1995-06-30	VYDAJ	VYBER	15	27812	SLUZBY	\N	\N
552416	1880	1995-07-31	VYDAJ	VYBER	15	29215	SLUZBY	\N	\N
552417	1880	1995-08-31	VYDAJ	VYBER	15	31025	SLUZBY	\N	\N
552418	1880	1995-09-30	VYDAJ	VYBER	15	31341	SLUZBY	\N	\N
552419	1880	1995-10-31	VYDAJ	VYBER	15	27299	SLUZBY	\N	\N
552420	1880	1995-11-30	VYDAJ	VYBER	15	40474	SLUZBY	\N	\N
552421	1880	1995-12-31	VYDAJ	VYBER	15	35517	SLUZBY	\N	\N
552422	1880	1996-01-31	VYDAJ	VYBER	15	30100	SLUZBY	\N	\N
552423	1880	1996-02-29	VYDAJ	VYBER	15	29408	SLUZBY	\N	\N
552424	1880	1996-03-31	VYDAJ	VYBER	15	64544	SLUZBY	\N	\N
552425	1880	1996-04-30	VYDAJ	VYBER	15	48263	SLUZBY	\N	\N
552426	1880	1996-05-31	VYDAJ	VYBER	15	41785	SLUZBY	\N	\N
552427	1880	1996-06-30	VYDAJ	VYBER	15	19893	SLUZBY	\N	\N
552428	1880	1996-07-31	VYDAJ	VYBER	15	21965	SLUZBY	\N	\N
552429	1880	1996-08-31	VYDAJ	VYBER	15	26851	SLUZBY	\N	\N
552430	1880	1996-09-30	VYDAJ	VYBER	15	26847	SLUZBY	\N	\N
552431	1880	1996-10-31	VYDAJ	VYBER	15	25941	SLUZBY	\N	\N
552432	1880	1996-11-30	VYDAJ	VYBER	15	25082	SLUZBY	\N	\N
552433	1880	1996-12-31	VYDAJ	VYBER	15	25772	SLUZBY	\N	\N
552434	1880	1997-01-31	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
552435	1880	1997-02-28	VYDAJ	VYBER	15	26896	SLUZBY	\N	\N
552436	1880	1997-03-31	VYDAJ	VYBER	15	68490	SLUZBY	\N	\N
552437	1880	1997-04-30	VYDAJ	VYBER	15	52220	SLUZBY	\N	\N
552438	1880	1997-05-31	VYDAJ	VYBER	15	44302	SLUZBY	\N	\N
552439	1880	1997-06-30	VYDAJ	VYBER	15	26522	SLUZBY	\N	\N
552440	1880	1997-07-31	VYDAJ	VYBER	15	27768	SLUZBY	\N	\N
552441	1880	1997-08-31	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
552442	1880	1997-09-30	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
552443	1880	1997-10-31	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
552444	1880	1997-11-30	VYDAJ	VYBER	15	27180	SLUZBY	\N	\N
552445	1880	1997-12-31	VYDAJ	VYBER	15	27777	SLUZBY	\N	\N
552446	1880	1998-01-31	VYDAJ	VYBER	15	58938	SLUZBY	\N	\N
552447	1880	1998-02-28	VYDAJ	VYBER	15	47095	SLUZBY	\N	\N
552448	1880	1998-03-31	VYDAJ	VYBER	15	37451	SLUZBY	\N	\N
552449	1880	1998-04-30	VYDAJ	VYBER	15	31678	SLUZBY	\N	\N
552450	1880	1998-05-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
552451	1880	1998-06-30	VYDAJ	VYBER	15	23662	SLUZBY	\N	\N
552452	1880	1998-07-31	VYDAJ	VYBER	15	23092	SLUZBY	\N	\N
552453	1880	1998-08-31	VYDAJ	VYBER	15	24874	SLUZBY	\N	\N
552454	1880	1998-09-30	VYDAJ	VYBER	15	27464	SLUZBY	\N	\N
552455	1880	1998-10-31	VYDAJ	VYBER	15	28763	SLUZBY	\N	\N
552456	1880	1998-11-30	VYDAJ	VYBER	15	29566	SLUZBY	\N	\N
552457	1880	1994-03-27	PRIJEM	VKLAD	8800	11100	\N	\N	\N
552458	1880	1994-04-26	PRIJEM	VKLAD	3600	16510	\N	\N	\N
552459	1880	1994-05-26	PRIJEM	VKLAD	2500	20862	\N	\N	\N
552460	1880	1994-06-25	PRIJEM	VKLAD	1800	23422	\N	\N	\N
552461	1880	1994-07-25	VYDAJ	VYBER	2300	22998	\N	\N	\N
552462	1880	1994-08-24	VYDAJ	VYBER	1800	23083	\N	\N	\N
552463	1880	1994-09-23	VYDAJ	VYBER	12800	42393	\N	\N	\N
552464	1880	1994-10-23	VYDAJ	VYBER	33900	57943	\N	\N	\N
552465	1880	1994-11-22	VYDAJ	VYBER	15600	44470	\N	\N	\N
552466	1880	1994-12-22	VYDAJ	VYBER	8200	37282	\N	\N	\N
552467	1880	1995-01-21	VYDAJ	VYBER	3300	27444	\N	\N	\N
552468	1880	1995-02-20	VYDAJ	VYBER	900	25362	\N	\N	\N
552469	1880	1995-03-22	VYDAJ	VYBER	300	24701	\N	\N	\N
552470	1880	1995-04-21	PRIJEM	VKLAD	1800	28391	\N	\N	\N
552471	1880	1995-05-21	VYDAJ	VYBER	3400	34571	\N	\N	\N
552472	1880	1995-06-20	PRIJEM	VKLAD	6000	27706	\N	\N	\N
552473	1880	1995-07-20	VYDAJ	VYBER	500	29112	\N	\N	\N
552474	1880	1995-08-19	VYDAJ	VYBER	100	30915	\N	\N	\N
552475	1880	1995-09-18	VYDAJ	VYBER	900	31225	\N	\N	\N
552476	1880	1995-10-18	VYDAJ	VYBER	1400	29441	\N	\N	\N
552477	1880	1995-11-17	VYDAJ	VYBER	8800	39247	\N	\N	\N
552478	1880	1995-12-17	VYDAJ	VYBER	4800	34274	\N	\N	\N
552479	1880	1996-01-16	VYDAJ	VYBER	7400	39059	\N	\N	\N
552480	1880	1996-02-15	VYDAJ	VYBER	1700	27500	\N	\N	\N
552481	1880	1996-03-16	VYDAJ	VYBER	500	29608	\N	\N	\N
552482	1880	1996-04-15	VYDAJ	VYBER	16000	48094	\N	\N	\N
552483	1880	1996-05-15	VYDAJ	VYBER	7600	39813	\N	\N	\N
552484	1880	1996-06-14	PRIJEM	VKLAD	1300	22685	\N	\N	\N
552485	1880	1996-07-14	PRIJEM	VKLAD	1000	20093	\N	\N	\N
552486	1880	1996-08-13	PRIJEM	VKLAD	3000	24965	\N	\N	\N
552487	1880	1996-09-12	VYDAJ	VYBER	1900	24951	\N	\N	\N
552488	1880	1996-10-12	VYDAJ	VYBER	2800	24047	\N	\N	\N
552489	1880	1996-11-11	VYDAJ	VYBER	1300	24241	\N	\N	\N
552490	1880	1996-12-11	PRIJEM	VKLAD	1400	26482	\N	\N	\N
552491	1880	1997-01-10	PRIJEM	VKLAD	2500	26872	\N	\N	\N
552492	1880	1997-02-09	PRIJEM	VKLAD	2800	25011	\N	\N	\N
552493	1880	1997-03-11	PRIJEM	VKLAD	3000	29896	\N	\N	\N
552494	1880	1997-04-10	VYDAJ	VYBER	17900	50590	\N	\N	\N
552495	1880	1997-05-10	VYDAJ	VYBER	9400	42820	\N	\N	\N
552496	1880	1997-06-09	VYDAJ	VYBER	5500	38802	\N	\N	\N
552497	1880	1997-07-09	PRIJEM	VKLAD	800	25872	\N	\N	\N
552498	1880	1997-08-08	VYDAJ	VYBER	4500	25770	\N	\N	\N
552499	1880	1997-09-07	VYDAJ	VYBER	2100	24066	\N	\N	\N
552500	1880	1997-10-07	VYDAJ	VYBER	100	22906	\N	\N	\N
552501	1880	1997-11-06	PRIJEM	VKLAD	500	25289	\N	\N	\N
552502	1880	1997-12-06	PRIJEM	VKLAD	900	26880	\N	\N	\N
552503	1880	1998-01-05	VYDAJ	VYBER	3000	23827	\N	\N	\N
552504	1880	1998-02-04	VYDAJ	VYBER	20600	45112	\N	\N	\N
552505	1880	1998-03-06	VYDAJ	VYBER	11600	35495	\N	\N	\N
552506	1880	1998-04-05	VYDAJ	VYBER	7700	29751	\N	\N	\N
552507	1880	1998-05-05	VYDAJ	VYBER	6400	25278	\N	\N	\N
552508	1880	1998-06-04	PRIJEM	VKLAD	2100	21783	\N	\N	\N
552509	1880	1998-07-04	VYDAJ	VYBER	1000	22662	\N	\N	\N
552510	1880	1998-08-03	VYDAJ	VYBER	100	22992	\N	\N	\N
552511	1880	1998-09-02	PRIJEM	VKLAD	700	25574	\N	\N	\N
552512	1880	1998-10-02	VYDAJ	VYBER	600	26864	\N	\N	\N
552513	1880	1998-11-01	VYDAJ	VYBER	1100	27663	\N	\N	\N
552514	1880	1998-12-01	PRIJEM	VKLAD	2700	32266	\N	\N	\N
552573	1881	1997-08-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
552582	1881	1997-09-14	PRIJEM	VKLAD	8530	9630	\N	\N	\N
552583	1881	1997-10-14	PRIJEM	VKLAD	8530	22990	\N	\N	\N
552584	1881	1997-11-14	PRIJEM	VKLAD	8530	29294	\N	\N	\N
552585	1881	1997-12-14	PRIJEM	VKLAD	12795	39288	\N	\N	\N
552586	1881	1998-01-14	PRIJEM	VKLAD	8530	35729	\N	\N	\N
552587	1881	1998-02-14	PRIJEM	VKLAD	8530	19537	\N	\N	\N
552588	1881	1998-03-14	PRIJEM	VKLAD	8530	22445	\N	\N	\N
552589	1881	1998-04-14	PRIJEM	VKLAD	8530	16442	\N	\N	\N
552590	1881	1998-05-14	PRIJEM	VKLAD	8530	15425	\N	\N	\N
552591	1881	1998-06-14	PRIJEM	VKLAD	12795	18668	\N	\N	\N
552592	1881	1998-07-14	PRIJEM	VKLAD	8530	20362	\N	\N	\N
552593	1881	1998-08-14	PRIJEM	VKLAD	8530	20772	\N	\N	\N
552594	1881	1998-09-14	PRIJEM	VKLAD	8530	20066	\N	\N	\N
552595	1881	1998-10-14	PRIJEM	VKLAD	8530	19278	\N	\N	\N
552596	1881	1998-11-14	PRIJEM	VKLAD	8530	20386	\N	\N	\N
552597	1881	1998-12-14	PRIJEM	VKLAD	12795	27460	\N	\N	\N
552611	1881	1998-02-13	VYDAJ	PREVOD NA UCET	2046	11007	SIPO	AB	4048985
552612	1881	1998-03-13	VYDAJ	PREVOD NA UCET	2046	13915	SIPO	AB	4048985
552613	1881	1998-04-13	VYDAJ	PREVOD NA UCET	2046	7912	SIPO	AB	4048985
552614	1881	1998-05-13	VYDAJ	PREVOD NA UCET	2046	6895	SIPO	AB	4048985
552615	1881	1998-06-13	VYDAJ	PREVOD NA UCET	2046	5873	SIPO	AB	4048985
552616	1881	1998-07-13	VYDAJ	PREVOD NA UCET	2046	13032	SIPO	AB	4048985
552617	1881	1998-08-13	VYDAJ	PREVOD NA UCET	2046	12242	SIPO	AB	4048985
552618	1881	1998-09-13	VYDAJ	PREVOD NA UCET	2046	15256	SIPO	AB	4048985
552619	1881	1998-10-13	VYDAJ	PREVOD NA UCET	2046	10748	SIPO	AB	4048985
552620	1881	1998-11-13	VYDAJ	PREVOD NA UCET	2046	11856	SIPO	AB	4048985
552621	1881	1998-12-13	VYDAJ	PREVOD NA UCET	2046	14665	SIPO	AB	4048985
552635	1881	1998-02-10	VYDAJ	PREVOD NA UCET	3640	14953	 	CD	72414660
552636	1881	1998-03-10	VYDAJ	PREVOD NA UCET	3640	15961	 	CD	72414660
552637	1881	1998-04-10	VYDAJ	PREVOD NA UCET	3640	9958	 	CD	72414660
552638	1881	1998-05-10	VYDAJ	PREVOD NA UCET	3640	8941	 	CD	72414660
552639	1881	1998-06-10	VYDAJ	PREVOD NA UCET	3640	7919	 	CD	72414660
552640	1881	1998-07-10	VYDAJ	PREVOD NA UCET	3640	15078	 	CD	72414660
552641	1881	1998-08-10	VYDAJ	PREVOD NA UCET	3640	16788	 	CD	72414660
552642	1881	1998-09-10	VYDAJ	PREVOD NA UCET	3640	17202	 	CD	72414660
552643	1881	1998-10-10	VYDAJ	PREVOD NA UCET	3640	16494	 	CD	72414660
552644	1881	1998-11-10	VYDAJ	PREVOD NA UCET	3640	15702	 	CD	72414660
552645	1881	1998-12-10	VYDAJ	PREVOD NA UCET	3640	16711	 	CD	72414660
552651	1881	1998-12-28	VYDAJ	VYBER	800	26660	\N	\N	\N
552658	1881	1998-01-29	VYDAJ	VYBER	1320	18509	\N	\N	\N
552659	1881	1998-01-18	VYDAJ	VYBER	2280	21749	\N	\N	\N
552660	1881	1998-01-26	VYDAJ	VYBER	1200	19829	\N	\N	\N
552662	1881	1998-01-19	VYDAJ	VYBER	720	21029	\N	\N	\N
552663	1881	1998-01-17	VYDAJ	VYBER	600	24029	\N	\N	\N
552668	1881	1998-09-13	VYDAJ	VYBER	3720	11536	\N	\N	\N
552683	1881	1998-01-31	VYDAJ	VYBER	15	18593	SLUZBY	\N	\N
552684	1881	1998-02-28	VYDAJ	VYBER	15	19601	SLUZBY	\N	\N
552685	1881	1998-03-31	VYDAJ	VYBER	15	13598	SLUZBY	\N	\N
552686	1881	1998-04-30	VYDAJ	VYBER	15	12581	SLUZBY	\N	\N
552687	1881	1998-05-31	VYDAJ	VYBER	15	11559	SLUZBY	\N	\N
552688	1881	1998-06-30	VYDAJ	VYBER	15	18718	SLUZBY	\N	\N
552689	1881	1998-07-31	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
552690	1881	1998-08-31	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
552691	1881	1998-09-30	VYDAJ	VYBER	15	20134	SLUZBY	\N	\N
552692	1881	1998-10-31	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
552693	1881	1998-11-30	VYDAJ	VYBER	15	20451	SLUZBY	\N	\N
552694	1881	1997-09-16	PRIJEM	VKLAD	4800	14430	\N	\N	\N
552695	1881	1997-10-16	VYDAJ	VYBER	2300	20690	\N	\N	\N
552696	1881	1997-11-15	VYDAJ	VYBER	2900	26394	\N	\N	\N
552697	1881	1997-12-15	VYDAJ	VYBER	12200	27088	\N	\N	\N
552698	1881	1998-01-14	VYDAJ	VYBER	11100	24629	\N	\N	\N
552699	1881	1998-02-13	VYDAJ	VYBER	1900	13053	\N	\N	\N
552700	1881	1998-03-15	VYDAJ	VYBER	8900	13545	\N	\N	\N
552701	1881	1998-04-14	VYDAJ	VYBER	3900	12542	\N	\N	\N
552702	1881	1998-05-14	VYDAJ	VYBER	3900	11525	\N	\N	\N
552703	1881	1998-07-13	VYDAJ	VYBER	1200	11832	\N	\N	\N
552704	1881	1998-08-12	VYDAJ	VYBER	2500	14288	\N	\N	\N
552705	1881	1998-09-11	PRIJEM	VKLAD	100	17302	\N	\N	\N
552706	1881	1998-10-11	VYDAJ	VYBER	3700	12794	\N	\N	\N
552707	1881	1998-11-10	VYDAJ	VYBER	1800	13902	\N	\N	\N
552708	1881	1998-12-10	VYDAJ	VYBER	100	20351	\N	\N	\N
552725	1882	1993-12-21	PRIJEM	VKLAD	300	300	\N	\N	\N
552738	1882	1994-01-11	PRIJEM	VKLAD	5855	6155	\N	\N	\N
552739	1882	1994-02-11	PRIJEM	VKLAD	5855	19432	\N	\N	\N
552740	1882	1994-03-11	PRIJEM	VKLAD	5855	28557	\N	\N	\N
552741	1882	1994-04-11	PRIJEM	VKLAD	5855	34014	\N	\N	\N
552742	1882	1994-05-11	PRIJEM	VKLAD	5855	33485	\N	\N	\N
552743	1882	1994-06-11	PRIJEM	VKLAD	8782	26267	\N	\N	\N
552744	1882	1994-07-11	PRIJEM	VKLAD	5855	25609	\N	\N	\N
552745	1882	1994-08-11	PRIJEM	VKLAD	5855	23348	\N	\N	\N
552746	1882	1994-09-11	PRIJEM	VKLAD	5855	24280	\N	\N	\N
552747	1882	1994-10-11	PRIJEM	VKLAD	5855	22111	\N	\N	\N
552748	1882	1994-11-11	PRIJEM	VKLAD	5855	23937	\N	\N	\N
552749	1882	1994-12-11	PRIJEM	VKLAD	8782	25191	\N	\N	\N
552750	1882	1995-01-11	PRIJEM	VKLAD	5855	27626	\N	\N	\N
552751	1882	1995-02-11	PRIJEM	VKLAD	5855	25465	\N	\N	\N
552752	1882	1995-03-11	PRIJEM	VKLAD	5855	23497	\N	\N	\N
552753	1882	1995-04-11	PRIJEM	VKLAD	5855	22722	\N	\N	\N
552754	1882	1995-05-11	PRIJEM	VKLAD	5855	21144	\N	\N	\N
552755	1882	1995-06-11	PRIJEM	VKLAD	8782	24991	\N	\N	\N
552756	1882	1995-07-11	PRIJEM	VKLAD	5855	16800	\N	\N	\N
552757	1882	1995-08-11	PRIJEM	VKLAD	5855	15399	\N	\N	\N
552758	1882	1995-09-11	PRIJEM	VKLAD	5855	17597	\N	\N	\N
552759	1882	1995-10-11	PRIJEM	VKLAD	5855	19905	\N	\N	\N
552760	1882	1995-11-11	PRIJEM	VKLAD	5855	19414	\N	\N	\N
552761	1882	1995-12-11	PRIJEM	VKLAD	8782	21748	\N	\N	\N
552762	1882	1996-01-11	PRIJEM	VKLAD	5855	21557	\N	\N	\N
552763	1882	1996-02-11	PRIJEM	VKLAD	5855	20374	\N	\N	\N
552764	1882	1996-03-11	PRIJEM	VKLAD	5855	18293	\N	\N	\N
552765	1882	1996-04-11	PRIJEM	VKLAD	5855	18808	\N	\N	\N
552766	1882	1996-05-11	PRIJEM	VKLAD	5855	18821	\N	\N	\N
552767	1882	1996-06-11	PRIJEM	VKLAD	8782	23762	\N	\N	\N
552768	1882	1996-07-11	PRIJEM	VKLAD	5855	19690	\N	\N	\N
552769	1882	1996-08-11	PRIJEM	VKLAD	5855	19010	\N	\N	\N
552770	1882	1996-09-11	PRIJEM	VKLAD	5855	15324	\N	\N	\N
552771	1882	1996-10-11	PRIJEM	VKLAD	5855	17323	\N	\N	\N
552772	1882	1996-11-11	PRIJEM	VKLAD	5855	19528	\N	\N	\N
552773	1882	1996-12-11	PRIJEM	VKLAD	8782	21968	\N	\N	\N
552774	1882	1997-01-11	PRIJEM	VKLAD	5855	15989	\N	\N	\N
552775	1882	1997-02-11	PRIJEM	VKLAD	5855	14289	\N	\N	\N
552776	1882	1997-03-11	PRIJEM	VKLAD	5855	16281	\N	\N	\N
552777	1882	1997-04-11	PRIJEM	VKLAD	5855	18282	\N	\N	\N
552778	1882	1997-05-11	PRIJEM	VKLAD	5855	20291	\N	\N	\N
552779	1882	1997-06-11	PRIJEM	VKLAD	8782	25235	\N	\N	\N
552780	1882	1997-07-11	PRIJEM	VKLAD	5855	17846	\N	\N	\N
552781	1882	1997-08-11	PRIJEM	VKLAD	5855	17949	\N	\N	\N
552782	1882	1997-09-11	PRIJEM	VKLAD	5855	16256	\N	\N	\N
552783	1882	1997-10-11	PRIJEM	VKLAD	5855	18257	\N	\N	\N
552784	1882	1997-11-11	PRIJEM	VKLAD	5855	20265	\N	\N	\N
552785	1882	1997-12-11	PRIJEM	VKLAD	8782	18308	\N	\N	\N
552786	1882	1998-01-11	PRIJEM	VKLAD	5855	16109	\N	\N	\N
552787	1882	1998-02-11	PRIJEM	VKLAD	5855	17008	\N	\N	\N
552788	1882	1998-03-11	PRIJEM	VKLAD	5855	16010	\N	\N	\N
552789	1882	1998-04-11	PRIJEM	VKLAD	5855	18209	\N	\N	\N
552790	1882	1998-05-11	PRIJEM	VKLAD	5855	20217	\N	\N	\N
552791	1882	1998-06-11	PRIJEM	VKLAD	8782	25160	\N	\N	\N
552792	1882	1998-07-11	PRIJEM	VKLAD	5855	18189	\N	\N	\N
552793	1882	1998-08-11	PRIJEM	VKLAD	5855	15294	\N	\N	\N
552794	1882	1998-09-11	PRIJEM	VKLAD	5855	17289	\N	\N	\N
552795	1882	1998-10-11	PRIJEM	VKLAD	5855	16291	\N	\N	\N
552796	1882	1998-11-11	PRIJEM	VKLAD	5855	18290	\N	\N	\N
552797	1882	1998-12-11	PRIJEM	VKLAD	8782	23225	\N	\N	\N
552815	1882	1994-06-05	VYDAJ	PREVOD NA UCET	1907	27581	SIPO	IJ	5768174
552816	1882	1994-07-05	VYDAJ	PREVOD NA UCET	1907	21750	SIPO	IJ	5768174
552817	1882	1994-08-05	VYDAJ	PREVOD NA UCET	1907	19489	SIPO	IJ	5768174
552818	1882	1994-09-05	VYDAJ	PREVOD NA UCET	1907	20421	SIPO	IJ	5768174
552819	1882	1994-10-05	VYDAJ	PREVOD NA UCET	1907	18252	SIPO	IJ	5768174
552820	1882	1994-11-05	VYDAJ	PREVOD NA UCET	1907	20078	SIPO	IJ	5768174
552821	1882	1994-12-05	VYDAJ	PREVOD NA UCET	1907	18405	SIPO	IJ	5768174
552822	1882	1995-01-05	VYDAJ	PREVOD NA UCET	1907	23767	SIPO	IJ	5768174
552823	1882	1995-02-05	VYDAJ	PREVOD NA UCET	1907	21606	SIPO	IJ	5768174
552824	1882	1995-03-05	VYDAJ	PREVOD NA UCET	1907	19638	SIPO	IJ	5768174
552825	1882	1995-04-05	VYDAJ	PREVOD NA UCET	1907	18863	SIPO	IJ	5768174
552826	1882	1995-05-05	VYDAJ	PREVOD NA UCET	1907	17285	SIPO	IJ	5768174
552827	1882	1995-06-05	VYDAJ	PREVOD NA UCET	1907	18205	SIPO	IJ	5768174
552828	1882	1995-07-05	VYDAJ	PREVOD NA UCET	1907	12941	SIPO	IJ	5768174
552829	1882	1995-08-05	VYDAJ	PREVOD NA UCET	1907	11540	SIPO	IJ	5768174
552830	1882	1995-09-05	VYDAJ	PREVOD NA UCET	1907	13738	SIPO	IJ	5768174
552831	1882	1995-10-05	VYDAJ	PREVOD NA UCET	1907	16046	SIPO	IJ	5768174
552832	1882	1995-11-05	VYDAJ	PREVOD NA UCET	1907	15555	SIPO	IJ	5768174
552833	1882	1995-12-05	VYDAJ	PREVOD NA UCET	1907	14962	SIPO	IJ	5768174
552834	1882	1996-01-05	VYDAJ	PREVOD NA UCET	1907	13598	SIPO	IJ	5768174
552835	1882	1996-02-05	VYDAJ	PREVOD NA UCET	1907	17915	SIPO	IJ	5768174
552836	1882	1996-03-05	VYDAJ	PREVOD NA UCET	1907	18534	SIPO	IJ	5768174
552837	1882	1996-04-05	VYDAJ	PREVOD NA UCET	1907	16449	SIPO	IJ	5768174
552838	1882	1996-05-05	VYDAJ	PREVOD NA UCET	1907	16962	SIPO	IJ	5768174
552839	1882	1996-06-05	VYDAJ	PREVOD NA UCET	1907	16976	SIPO	IJ	5768174
552840	1882	1996-07-05	VYDAJ	PREVOD NA UCET	1907	21931	SIPO	IJ	5768174
552841	1882	1996-08-05	VYDAJ	PREVOD NA UCET	1907	17851	SIPO	IJ	5768174
552842	1882	1996-09-05	VYDAJ	PREVOD NA UCET	1907	16665	SIPO	IJ	5768174
552843	1882	1996-10-05	VYDAJ	PREVOD NA UCET	1907	13464	SIPO	IJ	5768174
552844	1882	1996-11-05	VYDAJ	PREVOD NA UCET	1907	15669	SIPO	IJ	5768174
552845	1882	1996-12-05	VYDAJ	PREVOD NA UCET	1907	17682	SIPO	IJ	5768174
552846	1882	1997-01-05	VYDAJ	PREVOD NA UCET	1907	12130	SIPO	IJ	5768174
552847	1882	1997-02-05	VYDAJ	PREVOD NA UCET	1907	10430	SIPO	IJ	5768174
552848	1882	1997-03-05	VYDAJ	PREVOD NA UCET	1907	12422	SIPO	IJ	5768174
552849	1882	1997-04-05	VYDAJ	PREVOD NA UCET	1907	14423	SIPO	IJ	5768174
552850	1882	1997-05-05	VYDAJ	PREVOD NA UCET	1907	16432	SIPO	IJ	5768174
552851	1882	1997-06-05	VYDAJ	PREVOD NA UCET	1907	18449	SIPO	IJ	5768174
552852	1882	1997-07-05	VYDAJ	PREVOD NA UCET	1907	13987	SIPO	IJ	5768174
552853	1882	1997-08-05	VYDAJ	PREVOD NA UCET	1907	14090	SIPO	IJ	5768174
552854	1882	1997-09-05	VYDAJ	PREVOD NA UCET	1907	12397	SIPO	IJ	5768174
552855	1882	1997-10-05	VYDAJ	PREVOD NA UCET	1907	14398	SIPO	IJ	5768174
552856	1882	1997-11-05	VYDAJ	PREVOD NA UCET	1907	16406	SIPO	IJ	5768174
552857	1882	1997-12-05	VYDAJ	PREVOD NA UCET	1907	11522	SIPO	IJ	5768174
552858	1882	1998-01-05	VYDAJ	PREVOD NA UCET	1907	12250	SIPO	IJ	5768174
552859	1882	1998-02-05	VYDAJ	PREVOD NA UCET	1907	13149	SIPO	IJ	5768174
552860	1882	1998-03-05	VYDAJ	PREVOD NA UCET	1907	12151	SIPO	IJ	5768174
552861	1882	1998-04-05	VYDAJ	PREVOD NA UCET	1907	14350	SIPO	IJ	5768174
552862	1882	1998-05-05	VYDAJ	PREVOD NA UCET	1907	16358	SIPO	IJ	5768174
552863	1882	1998-06-05	VYDAJ	PREVOD NA UCET	1907	18374	SIPO	IJ	5768174
552864	1882	1998-07-05	VYDAJ	PREVOD NA UCET	1907	14330	SIPO	IJ	5768174
552865	1882	1998-08-05	VYDAJ	PREVOD NA UCET	1907	11435	SIPO	IJ	5768174
552866	1882	1998-09-05	VYDAJ	PREVOD NA UCET	1907	13430	SIPO	IJ	5768174
552867	1882	1998-10-05	VYDAJ	PREVOD NA UCET	1907	12432	SIPO	IJ	5768174
552868	1882	1998-11-05	VYDAJ	PREVOD NA UCET	1907	14431	SIPO	IJ	5768174
552869	1882	1998-12-05	VYDAJ	PREVOD NA UCET	1907	16439	SIPO	IJ	5768174
552887	1882	1994-06-09	VYDAJ	PREVOD NA UCET	1936	17545	 	AB	81505483
552888	1882	1994-07-09	VYDAJ	PREVOD NA UCET	1936	19814	 	AB	81505483
552889	1882	1994-08-09	VYDAJ	PREVOD NA UCET	1936	17553	 	AB	81505483
552890	1882	1994-09-09	VYDAJ	PREVOD NA UCET	1936	18485	 	AB	81505483
552891	1882	1994-10-09	VYDAJ	PREVOD NA UCET	1936	16316	 	AB	81505483
552892	1882	1994-11-09	VYDAJ	PREVOD NA UCET	1936	18142	 	AB	81505483
552893	1882	1994-12-09	VYDAJ	PREVOD NA UCET	1936	16469	 	AB	81505483
552894	1882	1995-01-09	VYDAJ	PREVOD NA UCET	1936	21831	 	AB	81505483
552895	1882	1995-02-09	VYDAJ	PREVOD NA UCET	1936	19670	 	AB	81505483
552896	1882	1995-03-09	VYDAJ	PREVOD NA UCET	1936	17702	 	AB	81505483
552897	1882	1995-04-09	VYDAJ	PREVOD NA UCET	1936	16927	 	AB	81505483
552898	1882	1995-05-09	VYDAJ	PREVOD NA UCET	1936	15349	 	AB	81505483
552899	1882	1995-06-09	VYDAJ	PREVOD NA UCET	1936	16269	 	AB	81505483
552900	1882	1995-07-09	VYDAJ	PREVOD NA UCET	1936	11005	 	AB	81505483
552901	1882	1995-08-09	VYDAJ	PREVOD NA UCET	1936	9604	 	AB	81505483
552902	1882	1995-09-09	VYDAJ	PREVOD NA UCET	1936	11802	 	AB	81505483
552903	1882	1995-10-09	VYDAJ	PREVOD NA UCET	1936	14110	 	AB	81505483
552904	1882	1995-11-09	VYDAJ	PREVOD NA UCET	1936	13619	 	AB	81505483
552905	1882	1995-12-09	VYDAJ	PREVOD NA UCET	1936	13026	 	AB	81505483
552906	1882	1996-01-09	VYDAJ	PREVOD NA UCET	1936	11662	 	AB	81505483
552907	1882	1996-02-09	VYDAJ	PREVOD NA UCET	1936	15979	 	AB	81505483
552908	1882	1996-03-09	VYDAJ	PREVOD NA UCET	1936	16598	 	AB	81505483
552909	1882	1996-04-09	VYDAJ	PREVOD NA UCET	1936	13013	 	AB	81505483
552910	1882	1996-05-09	VYDAJ	PREVOD NA UCET	1936	13026	 	AB	81505483
552911	1882	1996-06-09	VYDAJ	PREVOD NA UCET	1936	15040	 	AB	81505483
552912	1882	1996-07-09	VYDAJ	PREVOD NA UCET	1936	13895	 	AB	81505483
552913	1882	1996-08-09	VYDAJ	PREVOD NA UCET	1936	13215	 	AB	81505483
552914	1882	1996-09-09	VYDAJ	PREVOD NA UCET	1936	9529	 	AB	81505483
552915	1882	1996-10-09	VYDAJ	PREVOD NA UCET	1936	11528	 	AB	81505483
552916	1882	1996-11-09	VYDAJ	PREVOD NA UCET	1936	13733	 	AB	81505483
552917	1882	1996-12-09	VYDAJ	PREVOD NA UCET	1936	13246	 	AB	81505483
552918	1882	1997-01-09	VYDAJ	PREVOD NA UCET	1936	10194	 	AB	81505483
552919	1882	1997-02-09	VYDAJ	PREVOD NA UCET	1936	8494	 	AB	81505483
552920	1882	1997-03-09	VYDAJ	PREVOD NA UCET	1936	10486	 	AB	81505483
552921	1882	1997-04-09	VYDAJ	PREVOD NA UCET	1936	12487	 	AB	81505483
552922	1882	1997-05-09	VYDAJ	PREVOD NA UCET	1936	14496	 	AB	81505483
552923	1882	1997-06-09	VYDAJ	PREVOD NA UCET	1936	16513	 	AB	81505483
552924	1882	1997-07-09	VYDAJ	PREVOD NA UCET	1936	12051	 	AB	81505483
552925	1882	1997-08-09	VYDAJ	PREVOD NA UCET	1936	12154	 	AB	81505483
552926	1882	1997-09-09	VYDAJ	PREVOD NA UCET	1936	10461	 	AB	81505483
552927	1882	1997-10-09	VYDAJ	PREVOD NA UCET	1936	12462	 	AB	81505483
552928	1882	1997-11-09	VYDAJ	PREVOD NA UCET	1936	14470	 	AB	81505483
552929	1882	1997-12-09	VYDAJ	PREVOD NA UCET	1936	9586	 	AB	81505483
552930	1882	1998-01-09	VYDAJ	PREVOD NA UCET	1936	10314	 	AB	81505483
552931	1882	1998-02-09	VYDAJ	PREVOD NA UCET	1936	11213	 	AB	81505483
552932	1882	1998-03-09	VYDAJ	PREVOD NA UCET	1936	10215	 	AB	81505483
552933	1882	1998-04-09	VYDAJ	PREVOD NA UCET	1936	12414	 	AB	81505483
552934	1882	1998-05-09	VYDAJ	PREVOD NA UCET	1936	14422	 	AB	81505483
552935	1882	1998-06-09	VYDAJ	PREVOD NA UCET	1936	16438	 	AB	81505483
552936	1882	1998-07-09	VYDAJ	PREVOD NA UCET	1936	12394	 	AB	81505483
552937	1882	1998-08-09	VYDAJ	PREVOD NA UCET	1936	9499	 	AB	81505483
552938	1882	1998-09-09	VYDAJ	PREVOD NA UCET	1936	11494	 	AB	81505483
552939	1882	1998-10-09	VYDAJ	PREVOD NA UCET	1936	10496	 	AB	81505483
552940	1882	1998-11-09	VYDAJ	PREVOD NA UCET	1936	12495	 	AB	81505483
552941	1882	1998-12-09	VYDAJ	PREVOD NA UCET	1936	14503	 	AB	81505483
552959	1882	1994-06-10	VYDAJ	PREVOD NA UCET	60	17485	POJISTNE	OP	35459327
552960	1882	1994-07-10	VYDAJ	PREVOD NA UCET	60	19754	POJISTNE	OP	35459327
552961	1882	1994-08-10	VYDAJ	PREVOD NA UCET	60	17493	POJISTNE	OP	35459327
552962	1882	1994-09-10	VYDAJ	PREVOD NA UCET	60	18425	POJISTNE	OP	35459327
552963	1882	1994-10-10	VYDAJ	PREVOD NA UCET	60	16256	POJISTNE	OP	35459327
552964	1882	1994-11-10	VYDAJ	PREVOD NA UCET	60	18082	POJISTNE	OP	35459327
552965	1882	1994-12-10	VYDAJ	PREVOD NA UCET	60	16409	POJISTNE	OP	35459327
552966	1882	1995-01-10	VYDAJ	PREVOD NA UCET	60	21771	POJISTNE	OP	35459327
552967	1882	1995-02-10	VYDAJ	PREVOD NA UCET	60	19610	POJISTNE	OP	35459327
552968	1882	1995-03-10	VYDAJ	PREVOD NA UCET	60	17642	POJISTNE	OP	35459327
552969	1882	1995-04-10	VYDAJ	PREVOD NA UCET	60	16867	POJISTNE	OP	35459327
552970	1882	1995-05-10	VYDAJ	PREVOD NA UCET	60	15289	POJISTNE	OP	35459327
552971	1882	1995-06-10	VYDAJ	PREVOD NA UCET	60	16209	POJISTNE	OP	35459327
552972	1882	1995-07-10	VYDAJ	PREVOD NA UCET	60	10945	POJISTNE	OP	35459327
552973	1882	1995-08-10	VYDAJ	PREVOD NA UCET	60	9544	POJISTNE	OP	35459327
552974	1882	1995-09-10	VYDAJ	PREVOD NA UCET	60	11742	POJISTNE	OP	35459327
552975	1882	1995-10-10	VYDAJ	PREVOD NA UCET	60	14050	POJISTNE	OP	35459327
552976	1882	1995-11-10	VYDAJ	PREVOD NA UCET	60	13559	POJISTNE	OP	35459327
552977	1882	1995-12-10	VYDAJ	PREVOD NA UCET	60	12966	POJISTNE	OP	35459327
552978	1882	1996-01-10	VYDAJ	PREVOD NA UCET	60	15702	POJISTNE	OP	35459327
552979	1882	1996-02-10	VYDAJ	PREVOD NA UCET	60	14519	POJISTNE	OP	35459327
552980	1882	1996-03-10	VYDAJ	PREVOD NA UCET	60	16538	POJISTNE	OP	35459327
552981	1882	1996-04-10	VYDAJ	PREVOD NA UCET	60	12953	POJISTNE	OP	35459327
552982	1882	1996-05-10	VYDAJ	PREVOD NA UCET	60	12966	POJISTNE	OP	35459327
552983	1882	1996-06-10	VYDAJ	PREVOD NA UCET	60	14980	POJISTNE	OP	35459327
552984	1882	1996-07-10	VYDAJ	PREVOD NA UCET	60	13835	POJISTNE	OP	35459327
552985	1882	1996-08-10	VYDAJ	PREVOD NA UCET	60	13155	POJISTNE	OP	35459327
552986	1882	1996-09-10	VYDAJ	PREVOD NA UCET	60	9469	POJISTNE	OP	35459327
552987	1882	1996-10-10	VYDAJ	PREVOD NA UCET	60	11468	POJISTNE	OP	35459327
552988	1882	1996-11-10	VYDAJ	PREVOD NA UCET	60	13673	POJISTNE	OP	35459327
552989	1882	1996-12-10	VYDAJ	PREVOD NA UCET	60	13186	POJISTNE	OP	35459327
552990	1882	1997-01-10	VYDAJ	PREVOD NA UCET	60	10134	POJISTNE	OP	35459327
552991	1882	1997-02-10	VYDAJ	PREVOD NA UCET	60	8434	POJISTNE	OP	35459327
552992	1882	1997-03-10	VYDAJ	PREVOD NA UCET	60	10426	POJISTNE	OP	35459327
552993	1882	1997-04-10	VYDAJ	PREVOD NA UCET	60	12427	POJISTNE	OP	35459327
552994	1882	1997-05-10	VYDAJ	PREVOD NA UCET	60	14436	POJISTNE	OP	35459327
552995	1882	1997-06-10	VYDAJ	PREVOD NA UCET	60	16453	POJISTNE	OP	35459327
552996	1882	1997-07-10	VYDAJ	PREVOD NA UCET	60	11991	POJISTNE	OP	35459327
552997	1882	1997-08-10	VYDAJ	PREVOD NA UCET	60	12094	POJISTNE	OP	35459327
552998	1882	1997-09-10	VYDAJ	PREVOD NA UCET	60	10401	POJISTNE	OP	35459327
552999	1882	1997-10-10	VYDAJ	PREVOD NA UCET	60	12402	POJISTNE	OP	35459327
553000	1882	1997-11-10	VYDAJ	PREVOD NA UCET	60	14410	POJISTNE	OP	35459327
553001	1882	1997-12-10	VYDAJ	PREVOD NA UCET	60	9526	POJISTNE	OP	35459327
553002	1882	1998-01-10	VYDAJ	PREVOD NA UCET	60	10254	POJISTNE	OP	35459327
553003	1882	1998-02-10	VYDAJ	PREVOD NA UCET	60	11153	POJISTNE	OP	35459327
553004	1882	1998-03-10	VYDAJ	PREVOD NA UCET	60	10155	POJISTNE	OP	35459327
553005	1882	1998-04-10	VYDAJ	PREVOD NA UCET	60	12354	POJISTNE	OP	35459327
553006	1882	1998-05-10	VYDAJ	PREVOD NA UCET	60	14362	POJISTNE	OP	35459327
553007	1882	1998-06-10	VYDAJ	PREVOD NA UCET	60	16378	POJISTNE	OP	35459327
553008	1882	1998-07-10	VYDAJ	PREVOD NA UCET	60	12334	POJISTNE	OP	35459327
553009	1882	1998-08-10	VYDAJ	PREVOD NA UCET	60	9439	POJISTNE	OP	35459327
553010	1882	1998-09-10	VYDAJ	PREVOD NA UCET	60	11434	POJISTNE	OP	35459327
553011	1882	1998-10-10	VYDAJ	PREVOD NA UCET	60	10436	POJISTNE	OP	35459327
553012	1882	1998-11-10	VYDAJ	PREVOD NA UCET	60	12435	POJISTNE	OP	35459327
553013	1882	1998-12-10	VYDAJ	PREVOD NA UCET	60	14443	POJISTNE	OP	35459327
553015	1882	1994-06-08	VYDAJ	VYBER	8100	19481	\N	\N	\N
553016	1882	1995-06-11	VYDAJ	VYBER	11400	13591	\N	\N	\N
553018	1882	1997-06-14	VYDAJ	VYBER	9400	15835	\N	\N	\N
553021	1882	1994-12-02	VYDAJ	VYBER	800	20312	\N	\N	\N
553022	1882	1995-12-28	VYDAJ	VYBER	2600	15448	\N	\N	\N
553024	1882	1997-12-19	VYDAJ	VYBER	1700	16608	\N	\N	\N
553030	1882	1994-09-26	VYDAJ	VYBER	3500	20080	\N	\N	\N
553031	1882	1994-08-29	VYDAJ	VYBER	2100	22248	\N	\N	\N
553034	1882	1994-08-04	VYDAJ	VYBER	3000	21396	\N	\N	\N
553036	1882	1995-06-01	VYDAJ	VYBER	500	20112	\N	\N	\N
553037	1882	1995-02-21	VYDAJ	VYBER	1500	21465	\N	\N	\N
553038	1882	1995-04-22	VYDAJ	VYBER	1300	19122	\N	\N	\N
553039	1882	1995-07-25	VYDAJ	VYBER	2900	13400	\N	\N	\N
553041	1882	1996-01-27	VYDAJ	VYBER	1800	19757	\N	\N	\N
553042	1882	1996-08-23	VYDAJ	VYBER	500	18510	\N	\N	\N
553046	1882	1997-07-15	VYDAJ	VYBER	1900	15946	\N	\N	\N
553047	1882	1997-01-21	VYDAJ	VYBER	1700	14289	\N	\N	\N
553068	1882	1994-05-31	VYDAJ	VYBER	15	29488	SLUZBY	\N	\N
553069	1882	1994-06-30	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
553070	1882	1994-07-31	VYDAJ	VYBER	15	24396	SLUZBY	\N	\N
553071	1882	1994-08-31	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
553072	1882	1994-09-30	VYDAJ	VYBER	15	20159	SLUZBY	\N	\N
553073	1882	1994-10-31	VYDAJ	VYBER	15	21985	SLUZBY	\N	\N
553074	1882	1994-11-30	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
553075	1882	1994-12-31	VYDAJ	VYBER	15	25674	SLUZBY	\N	\N
553076	1882	1995-01-31	VYDAJ	VYBER	15	23513	SLUZBY	\N	\N
553077	1882	1995-02-28	VYDAJ	VYBER	15	21545	SLUZBY	\N	\N
553078	1882	1995-03-31	VYDAJ	VYBER	15	20770	SLUZBY	\N	\N
553079	1882	1995-04-30	VYDAJ	VYBER	15	19192	SLUZBY	\N	\N
553080	1882	1995-05-31	VYDAJ	VYBER	15	20612	SLUZBY	\N	\N
553081	1882	1995-06-30	VYDAJ	VYBER	15	14848	SLUZBY	\N	\N
553082	1882	1995-07-31	VYDAJ	VYBER	15	13447	SLUZBY	\N	\N
553083	1882	1995-08-31	VYDAJ	VYBER	15	15645	SLUZBY	\N	\N
553084	1882	1995-09-30	VYDAJ	VYBER	15	17953	SLUZBY	\N	\N
553085	1882	1995-10-31	VYDAJ	VYBER	15	17462	SLUZBY	\N	\N
553086	1882	1995-11-30	VYDAJ	VYBER	15	16869	SLUZBY	\N	\N
553087	1882	1995-12-31	VYDAJ	VYBER	15	15505	SLUZBY	\N	\N
553088	1882	1996-01-31	VYDAJ	VYBER	15	19822	SLUZBY	\N	\N
553089	1882	1996-02-29	VYDAJ	VYBER	15	20441	SLUZBY	\N	\N
553090	1882	1996-03-31	VYDAJ	VYBER	15	18356	SLUZBY	\N	\N
553091	1882	1996-04-30	VYDAJ	VYBER	15	18869	SLUZBY	\N	\N
553092	1882	1996-05-31	VYDAJ	VYBER	15	18883	SLUZBY	\N	\N
553093	1882	1996-06-30	VYDAJ	VYBER	15	23838	SLUZBY	\N	\N
553094	1882	1996-07-31	VYDAJ	VYBER	15	19758	SLUZBY	\N	\N
553095	1882	1996-08-31	VYDAJ	VYBER	15	18572	SLUZBY	\N	\N
553096	1882	1996-09-30	VYDAJ	VYBER	15	15371	SLUZBY	\N	\N
553097	1882	1996-10-31	VYDAJ	VYBER	15	17376	SLUZBY	\N	\N
553098	1882	1996-11-30	VYDAJ	VYBER	15	19589	SLUZBY	\N	\N
553099	1882	1996-12-31	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
553100	1882	1997-01-31	VYDAJ	VYBER	15	14337	SLUZBY	\N	\N
553101	1882	1997-02-28	VYDAJ	VYBER	15	14329	SLUZBY	\N	\N
553102	1882	1997-03-31	VYDAJ	VYBER	15	16330	SLUZBY	\N	\N
553103	1882	1997-04-30	VYDAJ	VYBER	15	18339	SLUZBY	\N	\N
553104	1882	1997-05-31	VYDAJ	VYBER	15	20356	SLUZBY	\N	\N
553105	1882	1997-06-30	VYDAJ	VYBER	15	15894	SLUZBY	\N	\N
553106	1882	1997-07-31	VYDAJ	VYBER	15	15997	SLUZBY	\N	\N
553107	1882	1997-08-31	VYDAJ	VYBER	15	18004	SLUZBY	\N	\N
553108	1882	1997-09-30	VYDAJ	VYBER	15	16305	SLUZBY	\N	\N
553109	1882	1997-10-31	VYDAJ	VYBER	15	18313	SLUZBY	\N	\N
553110	1882	1997-11-30	VYDAJ	VYBER	15	13429	SLUZBY	\N	\N
553111	1882	1997-12-31	VYDAJ	VYBER	15	14157	SLUZBY	\N	\N
553112	1882	1998-01-31	VYDAJ	VYBER	15	15056	SLUZBY	\N	\N
553113	1882	1998-02-28	VYDAJ	VYBER	15	17058	SLUZBY	\N	\N
553114	1882	1998-03-31	VYDAJ	VYBER	15	16257	SLUZBY	\N	\N
553115	1882	1998-04-30	VYDAJ	VYBER	15	18265	SLUZBY	\N	\N
553116	1882	1998-05-31	VYDAJ	VYBER	15	20281	SLUZBY	\N	\N
553117	1882	1998-06-30	VYDAJ	VYBER	15	16237	SLUZBY	\N	\N
553118	1882	1998-07-31	VYDAJ	VYBER	15	13342	SLUZBY	\N	\N
553119	1882	1998-08-31	VYDAJ	VYBER	15	15337	SLUZBY	\N	\N
553120	1882	1998-09-30	VYDAJ	VYBER	15	14339	SLUZBY	\N	\N
553121	1882	1998-10-31	VYDAJ	VYBER	15	16338	SLUZBY	\N	\N
553122	1882	1998-11-30	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
553123	1882	1994-01-20	PRIJEM	VKLAD	7400	13555	\N	\N	\N
553124	1882	1994-02-19	PRIJEM	VKLAD	3200	22632	\N	\N	\N
553125	1882	1994-03-21	VYDAJ	VYBER	500	28057	\N	\N	\N
553126	1882	1994-04-20	VYDAJ	VYBER	6500	27514	\N	\N	\N
553127	1882	1994-05-20	VYDAJ	VYBER	4100	29385	\N	\N	\N
553128	1882	1994-06-19	VYDAJ	VYBER	2700	23567	\N	\N	\N
553129	1882	1994-07-19	VYDAJ	VYBER	1300	24309	\N	\N	\N
553130	1882	1994-08-18	PRIJEM	VKLAD	1000	24348	\N	\N	\N
553131	1882	1994-09-17	VYDAJ	VYBER	700	23580	\N	\N	\N
553132	1882	1994-10-17	VYDAJ	VYBER	200	21911	\N	\N	\N
553133	1882	1994-11-16	VYDAJ	VYBER	2900	21037	\N	\N	\N
553134	1882	1994-12-16	PRIJEM	VKLAD	400	25591	\N	\N	\N
553135	1882	1995-01-15	VYDAJ	VYBER	4200	23426	\N	\N	\N
553136	1882	1995-02-14	VYDAJ	VYBER	2500	22965	\N	\N	\N
553137	1882	1995-03-16	VYDAJ	VYBER	2800	20697	\N	\N	\N
553138	1882	1995-04-15	VYDAJ	VYBER	2300	20422	\N	\N	\N
553139	1882	1995-05-15	VYDAJ	VYBER	600	20544	\N	\N	\N
553140	1882	1995-06-14	PRIJEM	VKLAD	1200	14791	\N	\N	\N
553141	1882	1995-07-14	VYDAJ	VYBER	500	16300	\N	\N	\N
553142	1882	1995-08-13	PRIJEM	VKLAD	200	15599	\N	\N	\N
553143	1882	1995-09-12	PRIJEM	VKLAD	300	17897	\N	\N	\N
553144	1882	1995-10-12	VYDAJ	VYBER	2500	17405	\N	\N	\N
553145	1882	1995-11-11	VYDAJ	VYBER	2600	16814	\N	\N	\N
553146	1882	1995-12-11	VYDAJ	VYBER	3700	18048	\N	\N	\N
553147	1882	1996-01-10	PRIJEM	VKLAD	4100	15762	\N	\N	\N
553148	1882	1996-02-09	VYDAJ	VYBER	1400	14579	\N	\N	\N
553149	1882	1996-03-10	VYDAJ	VYBER	4100	12438	\N	\N	\N
553150	1882	1996-04-09	VYDAJ	VYBER	1500	14949	\N	\N	\N
553151	1882	1996-05-09	VYDAJ	VYBER	2000	14962	\N	\N	\N
553152	1882	1996-07-08	VYDAJ	VYBER	6100	15831	\N	\N	\N
553153	1882	1996-08-07	VYDAJ	VYBER	2700	15151	\N	\N	\N
553154	1882	1996-09-06	VYDAJ	VYBER	5200	11465	\N	\N	\N
553155	1882	1996-11-05	PRIJEM	VKLAD	200	17576	\N	\N	\N
553156	1882	1996-12-05	VYDAJ	VYBER	2500	15182	\N	\N	\N
553157	1882	1997-01-04	VYDAJ	VYBER	8000	14037	\N	\N	\N
553158	1882	1997-02-03	VYDAJ	VYBER	2000	12337	\N	\N	\N
553159	1882	1997-09-01	VYDAJ	VYBER	3700	14304	\N	\N	\N
553160	1882	1997-11-30	VYDAJ	VYBER	6900	13444	\N	\N	\N
553161	1882	1997-12-30	VYDAJ	VYBER	2500	14108	\N	\N	\N
553162	1882	1998-01-29	VYDAJ	VYBER	1100	15009	\N	\N	\N
553163	1882	1998-02-28	VYDAJ	VYBER	3000	14058	\N	\N	\N
553164	1882	1998-03-30	PRIJEM	VKLAD	200	16210	\N	\N	\N
553165	1882	1998-06-28	VYDAJ	VYBER	9000	16160	\N	\N	\N
553166	1882	1998-07-28	VYDAJ	VYBER	4900	13289	\N	\N	\N
553167	1882	1998-09-26	VYDAJ	VYBER	3000	14289	\N	\N	\N
553168	1882	1998-12-25	VYDAJ	VYBER	8800	14425	\N	\N	\N
553576	1884	1996-12-24	PRIJEM	VKLAD	800	800	\N	\N	\N
553589	1884	1997-01-07	PRIJEM	VKLAD	9717	10517	\N	\N	\N
553590	1884	1997-02-07	PRIJEM	VKLAD	9717	23050	\N	\N	\N
553591	1884	1997-03-07	PRIJEM	VKLAD	9717	28328	\N	\N	\N
553592	1884	1997-04-07	PRIJEM	VKLAD	9717	32026	\N	\N	\N
553593	1884	1997-05-07	PRIJEM	VKLAD	9717	36641	\N	\N	\N
553594	1884	1997-06-07	PRIJEM	VKLAD	14576	42315	\N	\N	\N
553595	1884	1997-07-07	PRIJEM	VKLAD	9717	24119	\N	\N	\N
553596	1884	1997-08-07	PRIJEM	VKLAD	9717	29989	\N	\N	\N
553597	1884	1997-09-07	PRIJEM	VKLAD	9717	32079	\N	\N	\N
553598	1884	1997-10-07	PRIJEM	VKLAD	9717	37382	\N	\N	\N
553599	1884	1997-11-07	PRIJEM	VKLAD	9717	39203	\N	\N	\N
553600	1884	1997-12-07	PRIJEM	VKLAD	14576	43390	\N	\N	\N
553601	1884	1998-01-07	PRIJEM	VKLAD	9717	35618	\N	\N	\N
553602	1884	1998-02-07	PRIJEM	VKLAD	9717	35327	\N	\N	\N
553603	1884	1998-03-07	PRIJEM	VKLAD	9717	38442	\N	\N	\N
553604	1884	1998-04-07	PRIJEM	VKLAD	9717	39565	\N	\N	\N
553605	1884	1998-05-07	PRIJEM	VKLAD	9717	39692	\N	\N	\N
553606	1884	1998-06-07	PRIJEM	VKLAD	14576	36369	\N	\N	\N
553607	1884	1998-07-07	PRIJEM	VKLAD	9717	30965	\N	\N	\N
553608	1884	1998-08-07	PRIJEM	VKLAD	9717	33059	\N	\N	\N
553609	1884	1998-09-07	PRIJEM	VKLAD	9717	30954	\N	\N	\N
553610	1884	1998-10-07	PRIJEM	VKLAD	9717	27938	\N	\N	\N
553611	1884	1998-11-07	PRIJEM	VKLAD	9717	25009	\N	\N	\N
553612	1884	1998-12-07	PRIJEM	VKLAD	14576	29032	\N	\N	\N
553614	1884	1997-06-23	VYDAJ	VYBER	16900	14315	\N	\N	\N
553615	1884	1998-06-09	VYDAJ	VYBER	10800	25569	\N	\N	\N
553617	1884	1997-12-20	VYDAJ	VYBER	2100	25790	\N	\N	\N
553618	1884	1998-12-24	VYDAJ	VYBER	700	16632	\N	\N	\N
553626	1884	1997-12-12	VYDAJ	VYBER	3300	40090	\N	\N	\N
553627	1884	1997-11-14	VYDAJ	VYBER	3800	35403	\N	\N	\N
553629	1884	1998-05-13	VYDAJ	VYBER	2800	36892	\N	\N	\N
553630	1884	1998-05-20	VYDAJ	VYBER	4600	21692	\N	\N	\N
553648	1884	1997-05-31	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
553649	1884	1997-06-30	VYDAJ	VYBER	15	14402	SLUZBY	\N	\N
553650	1884	1997-07-31	VYDAJ	VYBER	15	20272	SLUZBY	\N	\N
553651	1884	1997-08-31	VYDAJ	VYBER	15	22362	SLUZBY	\N	\N
553652	1884	1997-09-30	VYDAJ	VYBER	15	27665	SLUZBY	\N	\N
553653	1884	1997-10-31	VYDAJ	VYBER	15	29486	SLUZBY	\N	\N
553654	1884	1997-11-30	VYDAJ	VYBER	15	28814	SLUZBY	\N	\N
553655	1884	1997-12-31	VYDAJ	VYBER	15	25901	SLUZBY	\N	\N
553656	1884	1998-01-31	VYDAJ	VYBER	15	25610	SLUZBY	\N	\N
553657	1884	1998-02-28	VYDAJ	VYBER	15	28725	SLUZBY	\N	\N
553658	1884	1998-03-31	VYDAJ	VYBER	15	29848	SLUZBY	\N	\N
553659	1884	1998-04-30	VYDAJ	VYBER	15	29975	SLUZBY	\N	\N
553660	1884	1998-05-31	VYDAJ	VYBER	15	21793	SLUZBY	\N	\N
553661	1884	1998-06-30	VYDAJ	VYBER	15	21248	SLUZBY	\N	\N
553662	1884	1998-07-31	VYDAJ	VYBER	15	23342	SLUZBY	\N	\N
553663	1884	1998-08-31	VYDAJ	VYBER	15	21237	SLUZBY	\N	\N
553664	1884	1998-09-30	VYDAJ	VYBER	15	18221	SLUZBY	\N	\N
553665	1884	1998-10-31	VYDAJ	VYBER	15	15292	SLUZBY	\N	\N
553666	1884	1998-11-30	VYDAJ	VYBER	15	14456	SLUZBY	\N	\N
553667	1884	1997-01-23	PRIJEM	VKLAD	2800	13317	\N	\N	\N
553668	1884	1997-02-22	VYDAJ	VYBER	4500	18550	\N	\N	\N
553669	1884	1997-03-24	VYDAJ	VYBER	6100	22228	\N	\N	\N
553670	1884	1997-04-23	VYDAJ	VYBER	5200	26826	\N	\N	\N
553671	1884	1997-05-23	VYDAJ	VYBER	9000	27641	\N	\N	\N
553672	1884	1997-06-22	VYDAJ	VYBER	11100	31215	\N	\N	\N
553673	1884	1997-07-22	VYDAJ	VYBER	3900	20219	\N	\N	\N
553674	1884	1997-08-21	VYDAJ	VYBER	7700	22289	\N	\N	\N
553675	1884	1997-09-20	VYDAJ	VYBER	4500	27579	\N	\N	\N
553676	1884	1997-10-20	VYDAJ	VYBER	8000	29382	\N	\N	\N
553677	1884	1997-11-19	VYDAJ	VYBER	6700	28703	\N	\N	\N
553678	1884	1997-12-19	VYDAJ	VYBER	12200	27890	\N	\N	\N
553679	1884	1998-01-18	VYDAJ	VYBER	10100	25518	\N	\N	\N
553680	1884	1998-02-17	VYDAJ	VYBER	6700	28627	\N	\N	\N
553681	1884	1998-03-19	VYDAJ	VYBER	8700	29742	\N	\N	\N
553682	1884	1998-04-18	VYDAJ	VYBER	9700	29865	\N	\N	\N
553683	1884	1998-05-18	VYDAJ	VYBER	10600	26292	\N	\N	\N
553684	1884	1998-06-17	VYDAJ	VYBER	4400	21169	\N	\N	\N
553685	1884	1998-07-17	VYDAJ	VYBER	7700	23265	\N	\N	\N
553686	1884	1998-08-16	VYDAJ	VYBER	11900	21159	\N	\N	\N
553687	1884	1998-09-15	VYDAJ	VYBER	12800	18154	\N	\N	\N
553688	1884	1998-10-15	VYDAJ	VYBER	12700	15238	\N	\N	\N
553689	1884	1998-11-14	VYDAJ	VYBER	10600	14409	\N	\N	\N
553690	1884	1998-12-14	VYDAJ	VYBER	11700	17332	\N	\N	\N
553715	1885	1996-08-13	PRIJEM	VKLAD	600	600	\N	\N	\N
553717	1885	1996-11-25	PRIJEM	VKLAD	44359	66363	\N	\N	\N
553718	1885	1997-08-03	PRIJEM	VKLAD	24273	43576	\N	\N	\N
553719	1885	1997-01-16	PRIJEM	VKLAD	8796	40844	\N	\N	\N
553720	1885	1998-01-12	PRIJEM	VKLAD	37136	60363	\N	\N	\N
553721	1885	1998-09-15	PRIJEM	VKLAD	48934	67041	\N	\N	\N
553729	1885	1996-08-14	PRIJEM	VKLAD	600	1200	\N	\N	\N
553730	1885	1996-09-15	PRIJEM	VKLAD	600	12607	\N	\N	\N
553731	1885	1996-10-16	PRIJEM	VKLAD	600	19244	\N	\N	\N
553732	1885	1996-11-13	PRIJEM	VKLAD	600	20104	\N	\N	\N
553733	1885	1996-12-16	PRIJEM	VKLAD	600	46774	\N	\N	\N
553734	1885	1997-01-13	PRIJEM	VKLAD	600	32648	\N	\N	\N
553735	1885	1997-02-16	PRIJEM	VKLAD	600	27802	\N	\N	\N
553736	1885	1997-03-16	PRIJEM	VKLAD	600	27219	\N	\N	\N
553737	1885	1997-04-15	PRIJEM	VKLAD	600	23426	\N	\N	\N
553738	1885	1997-05-13	PRIJEM	VKLAD	600	25324	\N	\N	\N
553739	1885	1997-06-14	PRIJEM	VKLAD	600	24419	\N	\N	\N
553740	1885	1997-07-13	PRIJEM	VKLAD	600	18793	\N	\N	\N
553741	1885	1997-08-13	PRIJEM	VKLAD	600	34476	\N	\N	\N
553742	1885	1997-09-13	PRIJEM	VKLAD	600	30637	\N	\N	\N
553743	1885	1997-10-14	PRIJEM	VKLAD	600	28904	\N	\N	\N
553744	1885	1997-11-17	PRIJEM	VKLAD	600	26816	\N	\N	\N
553745	1885	1997-12-17	PRIJEM	VKLAD	600	24826	\N	\N	\N
553746	1885	1998-01-14	PRIJEM	VKLAD	600	56063	\N	\N	\N
553747	1885	1998-02-16	PRIJEM	VKLAD	600	37535	\N	\N	\N
553748	1885	1998-03-15	PRIJEM	VKLAD	600	32895	\N	\N	\N
553749	1885	1998-04-16	PRIJEM	VKLAD	600	33334	\N	\N	\N
553750	1885	1998-05-15	PRIJEM	VKLAD	600	31213	\N	\N	\N
553751	1885	1998-06-14	PRIJEM	VKLAD	600	29136	\N	\N	\N
553752	1885	1998-07-17	PRIJEM	VKLAD	600	21550	\N	\N	\N
553753	1885	1998-08-17	PRIJEM	VKLAD	600	17433	\N	\N	\N
553754	1885	1998-09-16	PRIJEM	VKLAD	600	67641	\N	\N	\N
553755	1885	1998-10-17	PRIJEM	VKLAD	600	40018	\N	\N	\N
553756	1885	1998-11-13	PRIJEM	VKLAD	600	24037	\N	\N	\N
553757	1885	1998-12-15	PRIJEM	VKLAD	600	14948	\N	\N	\N
553765	1885	1996-08-18	PRIJEM	VKLAD	1900	3100	\N	\N	\N
553766	1885	1996-09-18	PRIJEM	VKLAD	1900	14507	\N	\N	\N
553767	1885	1996-10-18	PRIJEM	VKLAD	1900	21144	\N	\N	\N
553768	1885	1996-11-18	PRIJEM	VKLAD	1900	22004	\N	\N	\N
553769	1885	1996-12-18	PRIJEM	VKLAD	1900	48674	\N	\N	\N
553770	1885	1997-01-18	PRIJEM	VKLAD	1900	42744	\N	\N	\N
553771	1885	1997-02-18	PRIJEM	VKLAD	1900	29702	\N	\N	\N
553772	1885	1997-03-18	PRIJEM	VKLAD	1900	29119	\N	\N	\N
553773	1885	1997-04-18	PRIJEM	VKLAD	1900	25326	\N	\N	\N
553774	1885	1997-05-18	PRIJEM	VKLAD	1900	27224	\N	\N	\N
553775	1885	1997-06-18	PRIJEM	VKLAD	1900	15519	\N	\N	\N
553776	1885	1997-07-18	PRIJEM	VKLAD	1900	20693	\N	\N	\N
553777	1885	1997-08-18	PRIJEM	VKLAD	1900	34776	\N	\N	\N
553778	1885	1997-09-18	PRIJEM	VKLAD	1900	32537	\N	\N	\N
553779	1885	1997-10-18	PRIJEM	VKLAD	1900	30804	\N	\N	\N
553780	1885	1997-11-18	PRIJEM	VKLAD	1900	28716	\N	\N	\N
553781	1885	1997-12-18	PRIJEM	VKLAD	1900	26726	\N	\N	\N
553782	1885	1998-01-18	PRIJEM	VKLAD	1900	57963	\N	\N	\N
553783	1885	1998-02-18	PRIJEM	VKLAD	1900	39435	\N	\N	\N
553784	1885	1998-03-18	PRIJEM	VKLAD	1900	34795	\N	\N	\N
553785	1885	1998-04-18	PRIJEM	VKLAD	1900	35234	\N	\N	\N
553786	1885	1998-05-18	PRIJEM	VKLAD	1900	33113	\N	\N	\N
553787	1885	1998-06-18	PRIJEM	VKLAD	1900	31036	\N	\N	\N
553788	1885	1998-07-18	PRIJEM	VKLAD	1900	23450	\N	\N	\N
553789	1885	1998-08-18	PRIJEM	VKLAD	1900	19333	\N	\N	\N
553790	1885	1998-09-18	PRIJEM	VKLAD	1900	69541	\N	\N	\N
553791	1885	1998-10-18	PRIJEM	VKLAD	1900	41918	\N	\N	\N
553792	1885	1998-11-18	PRIJEM	VKLAD	1900	25937	\N	\N	\N
553793	1885	1998-12-18	PRIJEM	VKLAD	1900	16848	\N	\N	\N
553795	1885	1997-06-17	VYDAJ	VYBER	10800	13619	\N	\N	\N
553798	1885	1997-01-27	VYDAJ	VYBER	3200	38294	\N	\N	\N
553799	1885	1998-01-12	VYDAJ	VYBER	4900	55463	\N	\N	\N
553806	1885	1997-01-27	VYDAJ	VYBER	350	37944	\N	\N	\N
553807	1885	1997-01-18	VYDAJ	VYBER	1250	41494	\N	\N	\N
553808	1885	1997-01-02	VYDAJ	VYBER	650	48248	\N	\N	\N
553809	1885	1997-01-29	VYDAJ	VYBER	550	37394	\N	\N	\N
553810	1885	1997-01-08	VYDAJ	VYBER	750	47498	\N	\N	\N
553811	1885	1997-01-10	VYDAJ	VYBER	750	46748	\N	\N	\N
553812	1885	1998-01-01	VYDAJ	VYBER	1450	25377	\N	\N	\N
553813	1885	1998-01-02	VYDAJ	VYBER	1250	24127	\N	\N	\N
553814	1885	1998-01-04	VYDAJ	VYBER	500	23627	\N	\N	\N
553815	1885	1998-01-29	VYDAJ	VYBER	800	55013	\N	\N	\N
553816	1885	1998-01-28	VYDAJ	VYBER	750	55813	\N	\N	\N
553817	1885	1998-01-27	VYDAJ	VYBER	1400	56563	\N	\N	\N
553821	1885	1997-02-10	VYDAJ	VYBER	1850	27202	\N	\N	\N
553822	1885	1997-07-20	VYDAJ	VYBER	1450	19243	\N	\N	\N
553823	1885	1997-09-22	VYDAJ	VYBER	2050	30487	\N	\N	\N
553824	1885	1997-08-14	VYDAJ	VYBER	1600	32876	\N	\N	\N
553825	1885	1997-01-15	VYDAJ	VYBER	600	32048	\N	\N	\N
553826	1885	1997-08-19	VYDAJ	VYBER	1950	32826	\N	\N	\N
553827	1885	1998-11-10	VYDAJ	VYBER KARTOU	1600	23437	\N	\N	0
553828	1885	1998-04-23	VYDAJ	VYBER	1050	34184	\N	\N	\N
553829	1885	1998-02-07	VYDAJ	VYBER	550	38135	\N	\N	\N
553830	1885	1998-02-09	VYDAJ	VYBER	1200	36935	\N	\N	\N
553831	1885	1998-05-21	VYDAJ	VYBER	1500	31613	\N	\N	\N
553832	1885	1998-07-05	VYDAJ	VYBER KARTOU	2100	20950	\N	\N	0
553843	1885	1996-10-31	VYDAJ	VYBER	15	21204	SLUZBY	\N	\N
553844	1885	1996-11-30	VYDAJ	VYBER	15	66474	SLUZBY	\N	\N
553845	1885	1996-12-31	VYDAJ	VYBER	15	48898	SLUZBY	\N	\N
553846	1885	1997-01-31	VYDAJ	VYBER	15	37552	SLUZBY	\N	\N
553847	1885	1997-02-28	VYDAJ	VYBER	15	29819	SLUZBY	\N	\N
553848	1885	1997-03-31	VYDAJ	VYBER	15	29226	SLUZBY	\N	\N
553849	1885	1997-04-30	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
553850	1885	1997-05-31	VYDAJ	VYBER	15	27319	SLUZBY	\N	\N
553851	1885	1997-06-30	VYDAJ	VYBER	15	15593	SLUZBY	\N	\N
553852	1885	1997-07-31	VYDAJ	VYBER	15	19303	SLUZBY	\N	\N
553853	1885	1997-08-31	VYDAJ	VYBER	15	32937	SLUZBY	\N	\N
553854	1885	1997-09-30	VYDAJ	VYBER	15	30604	SLUZBY	\N	\N
553855	1885	1997-10-31	VYDAJ	VYBER	15	30916	SLUZBY	\N	\N
553856	1885	1997-11-30	VYDAJ	VYBER	15	28826	SLUZBY	\N	\N
553857	1885	1997-12-31	VYDAJ	VYBER	15	26827	SLUZBY	\N	\N
553858	1885	1998-01-31	VYDAJ	VYBER	15	55185	SLUZBY	\N	\N
553859	1885	1998-02-28	VYDAJ	VYBER	15	39595	SLUZBY	\N	\N
553860	1885	1998-03-31	VYDAJ	VYBER	15	34934	SLUZBY	\N	\N
553861	1885	1998-04-30	VYDAJ	VYBER	15	34313	SLUZBY	\N	\N
553862	1885	1998-05-31	VYDAJ	VYBER	15	31736	SLUZBY	\N	\N
553863	1885	1998-06-30	VYDAJ	VYBER	15	31150	SLUZBY	\N	\N
553864	1885	1998-07-31	VYDAJ	VYBER	15	23533	SLUZBY	\N	\N
553865	1885	1998-08-31	VYDAJ	VYBER	15	19407	SLUZBY	\N	\N
553866	1885	1998-09-30	VYDAJ	VYBER	15	69718	SLUZBY	\N	\N
553867	1885	1998-10-31	VYDAJ	VYBER	15	42137	SLUZBY	\N	\N
553868	1885	1998-11-30	VYDAJ	VYBER	15	26048	SLUZBY	\N	\N
553869	1885	1996-09-12	PRIJEM	VKLAD	8900	12007	\N	\N	\N
553870	1885	1996-10-12	PRIJEM	VKLAD	4100	18644	\N	\N	\N
553871	1885	1996-11-11	VYDAJ	VYBER	1700	19504	\N	\N	\N
553872	1885	1996-12-11	VYDAJ	VYBER	20300	46174	\N	\N	\N
553873	1885	1997-01-10	VYDAJ	VYBER	14700	32048	\N	\N	\N
553874	1885	1997-02-09	VYDAJ	VYBER	8500	29052	\N	\N	\N
553875	1885	1997-03-11	VYDAJ	VYBER	3200	26619	\N	\N	\N
553876	1885	1997-04-10	VYDAJ	VYBER	6400	22826	\N	\N	\N
553877	1885	1997-05-10	VYDAJ	VYBER	700	24724	\N	\N	\N
553878	1885	1997-06-09	VYDAJ	VYBER	3500	23819	\N	\N	\N
553879	1885	1997-07-09	PRIJEM	VKLAD	2600	18193	\N	\N	\N
553880	1885	1997-08-08	VYDAJ	VYBER	9700	33876	\N	\N	\N
553881	1885	1997-09-07	VYDAJ	VYBER	2900	30037	\N	\N	\N
553882	1885	1997-10-07	VYDAJ	VYBER	2300	28304	\N	\N	\N
553883	1885	1997-11-06	VYDAJ	VYBER	4700	26216	\N	\N	\N
553884	1885	1997-12-06	VYDAJ	VYBER	4600	24226	\N	\N	\N
553885	1885	1998-01-05	VYDAJ	VYBER	400	23227	\N	\N	\N
553886	1885	1998-02-04	VYDAJ	VYBER	16500	38685	\N	\N	\N
553887	1885	1998-03-06	VYDAJ	VYBER	7300	32295	\N	\N	\N
553888	1885	1998-04-05	VYDAJ	VYBER	2200	32734	\N	\N	\N
553889	1885	1998-05-05	VYDAJ	VYBER	3700	30613	\N	\N	\N
553890	1885	1998-06-04	VYDAJ	VYBER KARTOU	3200	28536	\N	\N	0
553891	1885	1998-07-04	VYDAJ	VYBER	8100	23050	\N	\N	\N
553892	1885	1998-08-03	VYDAJ	VYBER	6700	16833	\N	\N	\N
553893	1885	1998-09-02	VYDAJ	VYBER KARTOU	1300	18107	\N	\N	0
553894	1885	1998-10-02	VYDAJ	VYBER	30300	39418	\N	\N	\N
553895	1885	1998-11-01	VYDAJ	VYBER	17100	25037	\N	\N	\N
553896	1885	1998-12-01	VYDAJ	VYBER	11700	14348	\N	\N	\N
553926	1886	1996-03-05	PRIJEM	VKLAD	700	700	\N	\N	\N
553929	1886	1996-03-13	PRIJEM	PREVOD Z UCTU	27076	27776	\N	GH	89568221
553930	1886	1996-04-13	PRIJEM	PREVOD Z UCTU	27076	53823	\N	GH	89568221
553931	1886	1996-05-13	PRIJEM	PREVOD Z UCTU	27076	64780	\N	GH	89568221
553932	1886	1996-06-13	PRIJEM	PREVOD Z UCTU	40614	83546	\N	GH	89568221
553933	1886	1996-07-13	PRIJEM	PREVOD Z UCTU	27076	76439	\N	GH	89568221
553934	1886	1996-08-13	PRIJEM	PREVOD Z UCTU	27076	52843	\N	GH	89568221
553935	1886	1996-09-13	PRIJEM	PREVOD Z UCTU	27076	40187	\N	GH	89568221
553936	1886	1996-10-13	PRIJEM	PREVOD Z UCTU	27076	43458	\N	GH	89568221
553937	1886	1996-11-13	PRIJEM	PREVOD Z UCTU	27076	46462	\N	GH	89568221
553938	1886	1996-12-13	PRIJEM	PREVOD Z UCTU	40614	57812	\N	GH	89568221
553939	1886	1997-01-13	PRIJEM	PREVOD Z UCTU	27076	40602	\N	GH	89568221
553940	1886	1997-02-13	PRIJEM	PREVOD Z UCTU	27076	47086	\N	GH	89568221
553941	1886	1997-03-13	PRIJEM	PREVOD Z UCTU	27076	40747	\N	GH	89568221
553942	1886	1997-04-13	PRIJEM	PREVOD Z UCTU	27076	43438	\N	GH	89568221
553943	1886	1997-05-13	PRIJEM	PREVOD Z UCTU	27076	45233	\N	GH	89568221
553944	1886	1997-06-13	PRIJEM	PREVOD Z UCTU	40614	59965	\N	GH	89568221
553945	1886	1997-07-13	PRIJEM	PREVOD Z UCTU	27076	46879	\N	GH	89568221
553946	1886	1997-08-13	PRIJEM	PREVOD Z UCTU	27076	46083	\N	GH	89568221
553947	1886	1997-09-13	PRIJEM	PREVOD Z UCTU	27076	39280	\N	GH	89568221
553948	1886	1997-10-13	PRIJEM	PREVOD Z UCTU	27076	39450	\N	GH	89568221
553949	1886	1997-11-13	PRIJEM	PREVOD Z UCTU	27076	42121	\N	GH	89568221
553950	1886	1997-12-13	PRIJEM	PREVOD Z UCTU	40614	58232	\N	GH	89568221
553951	1886	1998-01-13	PRIJEM	PREVOD Z UCTU	27076	41170	\N	GH	89568221
553952	1886	1998-02-13	PRIJEM	PREVOD Z UCTU	27076	38927	\N	GH	89568221
553953	1886	1998-03-13	PRIJEM	PREVOD Z UCTU	27076	40548	\N	GH	89568221
553954	1886	1998-04-13	PRIJEM	PREVOD Z UCTU	27076	47625	\N	GH	89568221
553955	1886	1998-05-13	PRIJEM	PREVOD Z UCTU	27076	47723	\N	GH	89568221
553956	1886	1998-06-13	PRIJEM	PREVOD Z UCTU	40614	57885	\N	GH	89568221
553957	1886	1998-07-13	PRIJEM	PREVOD Z UCTU	27076	46693	\N	GH	89568221
553958	1886	1998-08-13	PRIJEM	PREVOD Z UCTU	27076	42979	\N	GH	89568221
553959	1886	1998-09-13	PRIJEM	PREVOD Z UCTU	27076	40548	\N	GH	89568221
553960	1886	1998-10-13	PRIJEM	PREVOD Z UCTU	27076	41110	\N	GH	89568221
553961	1886	1998-11-13	PRIJEM	PREVOD Z UCTU	27076	36766	\N	GH	89568221
553962	1886	1998-12-13	PRIJEM	PREVOD Z UCTU	40614	66075	\N	GH	89568221
553970	1886	1996-08-12	VYDAJ	PREVOD NA UCET	4513	25767	UVER	QR	56325697
553971	1886	1996-09-12	VYDAJ	PREVOD NA UCET	4513	13111	UVER	QR	56325697
553972	1886	1996-10-12	VYDAJ	PREVOD NA UCET	4513	16382	UVER	QR	56325697
553973	1886	1996-11-12	VYDAJ	PREVOD NA UCET	4513	19386	UVER	QR	56325697
553974	1886	1996-12-12	VYDAJ	PREVOD NA UCET	4513	17198	UVER	QR	56325697
553975	1886	1997-01-12	VYDAJ	PREVOD NA UCET	4513	13526	UVER	QR	56325697
553976	1886	1997-02-12	VYDAJ	PREVOD NA UCET	4513	20010	UVER	QR	56325697
553977	1886	1997-03-12	VYDAJ	PREVOD NA UCET	4513	13671	UVER	QR	56325697
553978	1886	1997-04-12	VYDAJ	PREVOD NA UCET	4513	16362	UVER	QR	56325697
553979	1886	1997-05-12	VYDAJ	PREVOD NA UCET	4513	18157	UVER	QR	56325697
553980	1886	1997-06-12	VYDAJ	PREVOD NA UCET	4513	19351	UVER	QR	56325697
553981	1886	1997-07-12	VYDAJ	PREVOD NA UCET	4513	19803	UVER	QR	56325697
553982	1886	1997-08-12	VYDAJ	PREVOD NA UCET	4513	19007	UVER	QR	56325697
553983	1886	1997-09-12	VYDAJ	PREVOD NA UCET	4513	12204	UVER	QR	56325697
553984	1886	1997-10-12	VYDAJ	PREVOD NA UCET	4513	12374	UVER	QR	56325697
553985	1886	1997-11-12	VYDAJ	PREVOD NA UCET	4513	15045	UVER	QR	56325697
553986	1886	1997-12-12	VYDAJ	PREVOD NA UCET	4513	17618	UVER	QR	56325697
553987	1886	1998-01-12	VYDAJ	PREVOD NA UCET	4513	14094	UVER	QR	56325697
553988	1886	1998-02-12	VYDAJ	PREVOD NA UCET	4513	11851	UVER	QR	56325697
553989	1886	1998-03-12	VYDAJ	PREVOD NA UCET	4513	13472	UVER	QR	56325697
553990	1886	1998-04-12	VYDAJ	PREVOD NA UCET	4513	20549	UVER	QR	56325697
553991	1886	1998-05-12	VYDAJ	PREVOD NA UCET	4513	20647	UVER	QR	56325697
553992	1886	1998-06-12	VYDAJ	PREVOD NA UCET	4513	17271	UVER	QR	56325697
553993	1886	1998-07-12	VYDAJ	PREVOD NA UCET	4513	19617	UVER	QR	56325697
553994	1886	1998-08-12	VYDAJ	PREVOD NA UCET	4513	15903	UVER	QR	56325697
553995	1886	1998-09-12	VYDAJ	PREVOD NA UCET	4513	13472	UVER	QR	56325697
553996	1886	1998-10-12	VYDAJ	PREVOD NA UCET	4513	14034	UVER	QR	56325697
553997	1886	1998-11-12	VYDAJ	PREVOD NA UCET	4513	9690	UVER	QR	56325697
553998	1886	1998-12-12	VYDAJ	PREVOD NA UCET	4513	25461	UVER	QR	56325697
554006	1886	1996-08-08	VYDAJ	PREVOD NA UCET	4198	30279	SIPO	KL	65109085
554007	1886	1996-09-08	VYDAJ	PREVOD NA UCET	4198	17623	SIPO	KL	65109085
554008	1886	1996-10-08	VYDAJ	PREVOD NA UCET	4198	20895	SIPO	KL	65109085
554009	1886	1996-11-08	VYDAJ	PREVOD NA UCET	4198	23899	SIPO	KL	65109085
554010	1886	1996-12-08	VYDAJ	PREVOD NA UCET	4198	21711	SIPO	KL	65109085
554011	1886	1997-01-08	VYDAJ	PREVOD NA UCET	4198	18039	SIPO	KL	65109085
554012	1886	1997-02-08	VYDAJ	PREVOD NA UCET	4198	24523	SIPO	KL	65109085
554013	1886	1997-03-08	VYDAJ	PREVOD NA UCET	4198	18183	SIPO	KL	65109085
554014	1886	1997-04-08	VYDAJ	PREVOD NA UCET	4198	20875	SIPO	KL	65109085
554015	1886	1997-05-08	VYDAJ	PREVOD NA UCET	4198	22670	SIPO	KL	65109085
554016	1886	1997-06-08	VYDAJ	PREVOD NA UCET	4198	23864	SIPO	KL	65109085
554017	1886	1997-07-08	VYDAJ	PREVOD NA UCET	4198	24316	SIPO	KL	65109085
554018	1886	1997-08-08	VYDAJ	PREVOD NA UCET	4198	23520	SIPO	KL	65109085
554019	1886	1997-09-08	VYDAJ	PREVOD NA UCET	4198	16717	SIPO	KL	65109085
554020	1886	1997-10-08	VYDAJ	PREVOD NA UCET	4198	16887	SIPO	KL	65109085
554021	1886	1997-11-08	VYDAJ	PREVOD NA UCET	4198	19557	SIPO	KL	65109085
554022	1886	1997-12-08	VYDAJ	PREVOD NA UCET	4198	22130	SIPO	KL	65109085
554023	1886	1998-01-08	VYDAJ	PREVOD NA UCET	4198	18606	SIPO	KL	65109085
554024	1886	1998-02-08	VYDAJ	PREVOD NA UCET	4198	16364	SIPO	KL	65109085
554025	1886	1998-03-08	VYDAJ	PREVOD NA UCET	4198	17984	SIPO	KL	65109085
554026	1886	1998-04-08	VYDAJ	PREVOD NA UCET	4198	25062	SIPO	KL	65109085
554027	1886	1998-05-08	VYDAJ	PREVOD NA UCET	4198	25160	SIPO	KL	65109085
554028	1886	1998-06-08	VYDAJ	PREVOD NA UCET	4198	21784	SIPO	KL	65109085
554029	1886	1998-07-08	VYDAJ	PREVOD NA UCET	4198	24129	SIPO	KL	65109085
554030	1886	1998-08-08	VYDAJ	PREVOD NA UCET	4198	20415	SIPO	KL	65109085
554031	1886	1998-09-08	VYDAJ	PREVOD NA UCET	4198	17985	SIPO	KL	65109085
554032	1886	1998-10-08	VYDAJ	PREVOD NA UCET	4198	18547	SIPO	KL	65109085
554033	1886	1998-11-08	VYDAJ	PREVOD NA UCET	4198	14203	SIPO	KL	65109085
554034	1886	1998-12-08	VYDAJ	PREVOD NA UCET	4198	29974	SIPO	KL	65109085
554037	1886	1996-08-08	VYBER	VYBER	13273	34477	\N	\N	\N
554038	1886	1996-12-18	VYBER	VYBER	18413	30699	\N	\N	\N
554039	1886	1996-08-26	VYBER	VYBER	17217	35626	\N	\N	\N
554040	1886	1997-03-03	VYBER	VYBER	9050	22381	\N	\N	\N
554043	1886	1998-02-21	VYBER	VYBER	14538	24389	\N	\N	\N
554044	1886	1998-07-14	VYBER	VYBER	22175	24518	\N	\N	\N
554045	1886	1998-12-19	VYBER	VYBER	16997	49078	\N	\N	\N
554046	1886	1998-05-21	VYBER	VYBER	6668	41055	\N	\N	\N
554051	1886	1998-01-07	VYBER	VYBER	13485	22804	\N	\N	\N
554057	1886	1998-01-13	VYDAJ	VYBER	14400	26770	\N	\N	\N
554058	1886	1996-12-13	VYDAJ	VYBER	8700	49112	\N	\N	\N
554059	1886	1997-12-25	VYDAJ	VYBER	4500	36132	\N	\N	\N
554060	1886	1998-12-07	VYDAJ	VYBER	2700	34172	\N	\N	\N
554061	1886	1996-08-26	VYDAJ	VYBER	9600	26026	\N	\N	\N
554063	1886	1996-09-15	VYDAJ	VYBER	7500	32687	\N	\N	\N
554064	1886	1996-07-16	VYDAJ	VYBER	1800	74639	\N	\N	\N
554065	1886	1996-12-07	VYDAJ	VYBER	3600	25909	\N	\N	\N
554067	1886	1997-11-17	VYDAJ	VYBER	6900	35221	\N	\N	\N
554068	1886	1997-06-18	VYDAJ	VYBER	13500	46465	\N	\N	\N
554069	1886	1997-09-03	VYDAJ	VYBER	3000	20915	\N	\N	\N
554070	1886	1997-05-17	VYDAJ	VYBER	4200	41033	\N	\N	\N
554072	1886	1998-07-07	VYDAJ	VYBER	3900	28327	\N	\N	\N
554085	1886	1996-07-31	VYDAJ	VYBER	15	74950	SLUZBY	\N	\N
554086	1886	1996-08-31	VYDAJ	VYBER	15	26221	SLUZBY	\N	\N
554087	1886	1996-09-30	VYDAJ	VYBER	15	32793	SLUZBY	\N	\N
554088	1886	1996-10-31	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
554089	1886	1996-11-30	VYDAJ	VYBER	15	46609	SLUZBY	\N	\N
554090	1886	1996-12-31	VYDAJ	VYBER	15	22237	SLUZBY	\N	\N
554091	1886	1997-01-31	VYDAJ	VYBER	15	28721	SLUZBY	\N	\N
554092	1886	1997-02-28	VYDAJ	VYBER	15	47231	SLUZBY	\N	\N
554093	1886	1997-03-31	VYDAJ	VYBER	15	25073	SLUZBY	\N	\N
554094	1886	1997-04-30	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
554095	1886	1997-05-31	VYDAJ	VYBER	15	28062	SLUZBY	\N	\N
554096	1886	1997-06-30	VYDAJ	VYBER	15	28514	SLUZBY	\N	\N
554097	1886	1997-07-31	VYDAJ	VYBER	15	27718	SLUZBY	\N	\N
554098	1886	1997-08-31	VYDAJ	VYBER	15	23915	SLUZBY	\N	\N
554099	1886	1997-09-30	VYDAJ	VYBER	15	21085	SLUZBY	\N	\N
554100	1886	1997-10-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
554101	1886	1997-11-30	VYDAJ	VYBER	15	26328	SLUZBY	\N	\N
554102	1886	1997-12-31	VYDAJ	VYBER	15	36289	SLUZBY	\N	\N
554103	1886	1998-01-31	VYDAJ	VYBER	15	20562	SLUZBY	\N	\N
554104	1886	1998-02-28	VYDAJ	VYBER	15	22182	SLUZBY	\N	\N
554105	1886	1998-03-31	VYDAJ	VYBER	15	29260	SLUZBY	\N	\N
554106	1886	1998-04-30	VYDAJ	VYBER	15	29358	SLUZBY	\N	\N
554107	1886	1998-05-31	VYDAJ	VYBER	15	25982	SLUZBY	\N	\N
554108	1886	1998-06-30	VYDAJ	VYBER	15	32227	SLUZBY	\N	\N
554109	1886	1998-07-31	VYDAJ	VYBER	15	24613	SLUZBY	\N	\N
554110	1886	1998-08-31	VYDAJ	VYBER	15	22183	SLUZBY	\N	\N
554111	1886	1998-09-30	VYDAJ	VYBER	15	22745	SLUZBY	\N	\N
554112	1886	1998-10-31	VYDAJ	VYBER	15	18401	SLUZBY	\N	\N
554113	1886	1998-11-30	VYDAJ	VYBER	15	36872	SLUZBY	\N	\N
554114	1886	1996-04-04	VYDAJ	VYBER	1100	26747	\N	\N	\N
554115	1886	1996-05-04	VYDAJ	VYBER	16300	37704	\N	\N	\N
554116	1886	1996-06-03	VYDAJ	VYBER	22100	42932	\N	\N	\N
554117	1886	1996-07-03	VYDAJ	VYBER	34500	49363	\N	\N	\N
554118	1886	1996-08-02	VYDAJ	VYBER	27200	47750	\N	\N	\N
554119	1886	1996-09-01	VYDAJ	VYBER	4400	21821	\N	\N	\N
554120	1886	1996-10-01	VYDAJ	VYBER	7700	25093	\N	\N	\N
554121	1886	1996-10-31	VYDAJ	VYBER	15500	28111	\N	\N	\N
554122	1886	1996-11-30	VYDAJ	VYBER	17100	29509	\N	\N	\N
554123	1886	1996-12-30	VYDAJ	VYBER	8600	22099	\N	\N	\N
554124	1886	1997-01-29	VYDAJ	VYBER	12000	28602	\N	\N	\N
554125	1886	1997-02-28	VYDAJ	VYBER	15800	31431	\N	\N	\N
554126	1886	1997-03-30	VYDAJ	VYBER	15800	24947	\N	\N	\N
554127	1886	1997-04-29	VYDAJ	VYBER	16700	26738	\N	\N	\N
554128	1886	1997-05-29	VYDAJ	VYBER	13100	27933	\N	\N	\N
554129	1886	1997-06-28	VYDAJ	VYBER	18100	28365	\N	\N	\N
554130	1886	1997-07-28	VYDAJ	VYBER	19300	27579	\N	\N	\N
554131	1886	1997-08-27	VYDAJ	VYBER	22300	23783	\N	\N	\N
554132	1886	1997-09-26	VYDAJ	VYBER	18300	20980	\N	\N	\N
554133	1886	1997-10-26	VYDAJ	VYBER	15800	23650	\N	\N	\N
554134	1886	1997-11-25	VYDAJ	VYBER	9000	26221	\N	\N	\N
554135	1886	1997-12-25	VYDAJ	VYBER	17600	40632	\N	\N	\N
554136	1886	1998-01-24	VYDAJ	VYBER	6300	20470	\N	\N	\N
554137	1886	1998-02-23	VYDAJ	VYBER	2300	22089	\N	\N	\N
554138	1886	1998-03-25	VYDAJ	VYBER	11400	29148	\N	\N	\N
554139	1886	1998-04-24	VYDAJ	VYBER	18400	29225	\N	\N	\N
554140	1886	1998-05-24	VYDAJ	VYBER	15200	25855	\N	\N	\N
554141	1886	1998-06-23	VYDAJ	VYBER	25800	32085	\N	\N	\N
554142	1886	1998-08-22	VYDAJ	VYBER	20900	22079	\N	\N	\N
554143	1886	1998-09-21	VYDAJ	VYBER	17900	22648	\N	\N	\N
554144	1886	1998-10-21	VYDAJ	VYBER	22800	18310	\N	\N	\N
554179	1887	1993-05-09	PRIJEM	VKLAD	900	900	\N	\N	\N
554184	1887	1993-05-11	PRIJEM	VKLAD	8412	9312	\N	\N	\N
554185	1887	1993-06-11	PRIJEM	VKLAD	12618	27556	\N	\N	\N
554186	1887	1993-07-11	PRIJEM	VKLAD	8412	35758	\N	\N	\N
554187	1887	1993-08-11	PRIJEM	VKLAD	8412	40308	\N	\N	\N
554188	1887	1993-09-11	PRIJEM	VKLAD	8412	40682	\N	\N	\N
554189	1887	1993-10-11	PRIJEM	VKLAD	8412	39925	\N	\N	\N
554190	1887	1993-11-11	PRIJEM	VKLAD	8412	38760	\N	\N	\N
554191	1887	1993-12-11	PRIJEM	VKLAD	12618	40396	\N	\N	\N
554192	1887	1994-01-11	PRIJEM	VKLAD	8412	35328	\N	\N	\N
554193	1887	1994-02-11	PRIJEM	VKLAD	8412	31927	\N	\N	\N
554194	1887	1994-03-11	PRIJEM	VKLAD	8412	35720	\N	\N	\N
554195	1887	1994-04-11	PRIJEM	VKLAD	8412	34631	\N	\N	\N
554196	1887	1994-05-11	PRIJEM	VKLAD	8412	37444	\N	\N	\N
554197	1887	1994-06-11	PRIJEM	VKLAD	12618	39966	\N	\N	\N
554198	1887	1994-07-11	PRIJEM	VKLAD	8412	39891	\N	\N	\N
554199	1887	1994-08-11	PRIJEM	VKLAD	8412	40124	\N	\N	\N
554200	1887	1994-09-11	PRIJEM	VKLAD	8412	41157	\N	\N	\N
554201	1887	1994-10-11	PRIJEM	VKLAD	8412	37094	\N	\N	\N
554202	1887	1994-11-11	PRIJEM	VKLAD	8412	39221	\N	\N	\N
554203	1887	1994-12-11	PRIJEM	VKLAD	12618	40549	\N	\N	\N
554204	1887	1995-01-11	PRIJEM	VKLAD	8412	32563	\N	\N	\N
554205	1887	1995-02-11	PRIJEM	VKLAD	8412	31151	\N	\N	\N
554206	1887	1995-03-11	PRIJEM	VKLAD	8412	32441	\N	\N	\N
554207	1887	1995-04-11	PRIJEM	VKLAD	8412	33737	\N	\N	\N
554208	1887	1995-05-11	PRIJEM	VKLAD	8412	36039	\N	\N	\N
554209	1887	1995-06-11	PRIJEM	VKLAD	12618	41055	\N	\N	\N
554210	1887	1995-07-11	PRIJEM	VKLAD	8412	39579	\N	\N	\N
554211	1887	1995-08-11	PRIJEM	VKLAD	8412	39104	\N	\N	\N
554212	1887	1995-09-11	PRIJEM	VKLAD	8412	37418	\N	\N	\N
554213	1887	1995-10-11	PRIJEM	VKLAD	8412	40235	\N	\N	\N
554214	1887	1995-11-11	PRIJEM	VKLAD	8412	42063	\N	\N	\N
554215	1887	1995-12-11	PRIJEM	VKLAD	12618	44603	\N	\N	\N
554216	1887	1996-01-11	PRIJEM	VKLAD	8412	39245	\N	\N	\N
554217	1887	1996-02-11	PRIJEM	VKLAD	8412	28560	\N	\N	\N
554218	1887	1996-03-11	PRIJEM	VKLAD	8412	35243	\N	\N	\N
554219	1887	1996-04-11	PRIJEM	VKLAD	8412	38351	\N	\N	\N
554220	1887	1996-05-11	PRIJEM	VKLAD	8412	43173	\N	\N	\N
554221	1887	1996-06-11	PRIJEM	VKLAD	12618	46015	\N	\N	\N
554222	1887	1996-07-11	PRIJEM	VKLAD	8412	42653	\N	\N	\N
554223	1887	1996-08-11	PRIJEM	VKLAD	8412	40684	\N	\N	\N
554224	1887	1996-09-11	PRIJEM	VKLAD	8412	36207	\N	\N	\N
554225	1887	1996-10-11	PRIJEM	VKLAD	8412	30907	\N	\N	\N
554226	1887	1996-11-11	PRIJEM	VKLAD	8412	30591	\N	\N	\N
554227	1887	1996-12-11	PRIJEM	VKLAD	12618	35480	\N	\N	\N
554228	1887	1997-01-11	PRIJEM	VKLAD	8412	29678	\N	\N	\N
554229	1887	1997-02-11	PRIJEM	VKLAD	8412	25563	\N	\N	\N
554230	1887	1997-03-11	PRIJEM	VKLAD	8412	29338	\N	\N	\N
554231	1887	1997-04-11	PRIJEM	VKLAD	8412	31520	\N	\N	\N
554232	1887	1997-05-11	PRIJEM	VKLAD	8412	35815	\N	\N	\N
554233	1887	1997-06-11	PRIJEM	VKLAD	12618	42429	\N	\N	\N
554234	1887	1997-07-11	PRIJEM	VKLAD	8412	38846	\N	\N	\N
554235	1887	1997-08-11	PRIJEM	VKLAD	8412	38361	\N	\N	\N
554236	1887	1997-09-11	PRIJEM	VKLAD	8412	42683	\N	\N	\N
554237	1887	1997-10-11	PRIJEM	VKLAD	8412	46923	\N	\N	\N
554238	1887	1997-11-11	PRIJEM	VKLAD	8412	43663	\N	\N	\N
554239	1887	1997-12-11	PRIJEM	VKLAD	12618	46101	\N	\N	\N
554240	1887	1998-01-11	PRIJEM	VKLAD	8412	41532	\N	\N	\N
554241	1887	1998-02-11	PRIJEM	VKLAD	8412	29238	\N	\N	\N
554242	1887	1998-03-11	PRIJEM	VKLAD	8412	28710	\N	\N	\N
554243	1887	1998-04-11	PRIJEM	VKLAD	8412	26074	\N	\N	\N
554244	1887	1998-05-11	PRIJEM	VKLAD	8412	28942	\N	\N	\N
554245	1887	1998-06-11	PRIJEM	VKLAD	12618	28808	\N	\N	\N
554246	1887	1998-07-11	PRIJEM	VKLAD	8412	31680	\N	\N	\N
554247	1887	1998-08-11	PRIJEM	VKLAD	8412	26348	\N	\N	\N
554248	1887	1998-09-11	PRIJEM	VKLAD	8412	23000	\N	\N	\N
554249	1887	1998-10-11	PRIJEM	VKLAD	8412	25854	\N	\N	\N
554250	1887	1998-11-11	PRIJEM	VKLAD	8412	28720	\N	\N	\N
554251	1887	1998-12-11	PRIJEM	VKLAD	12618	30303	\N	\N	\N
554260	1887	1993-09-12	VYDAJ	PREVOD NA UCET	5608	35074	SIPO	IJ	2468169
554261	1887	1993-10-12	VYDAJ	PREVOD NA UCET	5608	34317	SIPO	IJ	2468169
554262	1887	1993-11-12	VYDAJ	PREVOD NA UCET	5608	33152	SIPO	IJ	2468169
554263	1887	1993-12-12	VYDAJ	PREVOD NA UCET	5608	34788	SIPO	IJ	2468169
554264	1887	1994-01-12	VYDAJ	PREVOD NA UCET	5608	29720	SIPO	IJ	2468169
554265	1887	1994-02-12	VYDAJ	PREVOD NA UCET	5608	26319	SIPO	IJ	2468169
554266	1887	1994-03-12	VYDAJ	PREVOD NA UCET	5608	30112	SIPO	IJ	2468169
554267	1887	1994-04-12	VYDAJ	PREVOD NA UCET	5608	29023	SIPO	IJ	2468169
554268	1887	1994-05-12	VYDAJ	PREVOD NA UCET	5608	31836	SIPO	IJ	2468169
554269	1887	1994-06-12	VYDAJ	PREVOD NA UCET	5608	34358	SIPO	IJ	2468169
554270	1887	1994-07-12	VYDAJ	PREVOD NA UCET	5608	34283	SIPO	IJ	2468169
554271	1887	1994-08-12	VYDAJ	PREVOD NA UCET	5608	34516	SIPO	IJ	2468169
554272	1887	1994-09-12	VYDAJ	PREVOD NA UCET	5608	35549	SIPO	IJ	2468169
554273	1887	1994-10-12	VYDAJ	PREVOD NA UCET	5608	31486	SIPO	IJ	2468169
554274	1887	1994-11-12	VYDAJ	PREVOD NA UCET	5608	33613	SIPO	IJ	2468169
554275	1887	1994-12-12	VYDAJ	PREVOD NA UCET	5608	34941	SIPO	IJ	2468169
554276	1887	1995-01-12	VYDAJ	PREVOD NA UCET	5608	26955	SIPO	IJ	2468169
554277	1887	1995-02-12	VYDAJ	PREVOD NA UCET	5608	25543	SIPO	IJ	2468169
554278	1887	1995-03-12	VYDAJ	PREVOD NA UCET	5608	26833	SIPO	IJ	2468169
554279	1887	1995-04-12	VYDAJ	PREVOD NA UCET	5608	28129	SIPO	IJ	2468169
554280	1887	1995-05-12	VYDAJ	PREVOD NA UCET	5608	30431	SIPO	IJ	2468169
554281	1887	1995-06-12	VYDAJ	PREVOD NA UCET	5608	35447	SIPO	IJ	2468169
554282	1887	1995-07-12	VYDAJ	PREVOD NA UCET	5608	33971	SIPO	IJ	2468169
554283	1887	1995-08-12	VYDAJ	PREVOD NA UCET	5608	33496	SIPO	IJ	2468169
554284	1887	1995-09-12	VYDAJ	PREVOD NA UCET	5608	31810	SIPO	IJ	2468169
554285	1887	1995-10-12	VYDAJ	PREVOD NA UCET	5608	34627	SIPO	IJ	2468169
554286	1887	1995-11-12	VYDAJ	PREVOD NA UCET	5608	36455	SIPO	IJ	2468169
554287	1887	1995-12-12	VYDAJ	PREVOD NA UCET	5608	38995	SIPO	IJ	2468169
554288	1887	1996-01-12	VYDAJ	PREVOD NA UCET	5608	33637	SIPO	IJ	2468169
554289	1887	1996-02-12	VYDAJ	PREVOD NA UCET	5608	22952	SIPO	IJ	2468169
554290	1887	1996-03-12	VYDAJ	PREVOD NA UCET	5608	29635	SIPO	IJ	2468169
554291	1887	1996-04-12	VYDAJ	PREVOD NA UCET	5608	32743	SIPO	IJ	2468169
554292	1887	1996-05-12	VYDAJ	PREVOD NA UCET	5608	37565	SIPO	IJ	2468169
554293	1887	1996-06-12	VYDAJ	PREVOD NA UCET	5608	40407	SIPO	IJ	2468169
554294	1887	1996-07-12	VYDAJ	PREVOD NA UCET	5608	37045	SIPO	IJ	2468169
554295	1887	1996-08-12	VYDAJ	PREVOD NA UCET	5608	35076	SIPO	IJ	2468169
554296	1887	1996-09-12	VYDAJ	PREVOD NA UCET	5608	30599	SIPO	IJ	2468169
554297	1887	1996-10-12	VYDAJ	PREVOD NA UCET	5608	25299	SIPO	IJ	2468169
554298	1887	1996-11-12	VYDAJ	PREVOD NA UCET	5608	24983	SIPO	IJ	2468169
554299	1887	1996-12-12	VYDAJ	PREVOD NA UCET	5608	29872	SIPO	IJ	2468169
554300	1887	1997-01-12	VYDAJ	PREVOD NA UCET	5608	24070	SIPO	IJ	2468169
554301	1887	1997-02-12	VYDAJ	PREVOD NA UCET	5608	19955	SIPO	IJ	2468169
554302	1887	1997-03-12	VYDAJ	PREVOD NA UCET	5608	23730	SIPO	IJ	2468169
554303	1887	1997-04-12	VYDAJ	PREVOD NA UCET	5608	25912	SIPO	IJ	2468169
554304	1887	1997-05-12	VYDAJ	PREVOD NA UCET	5608	30207	SIPO	IJ	2468169
554305	1887	1997-06-12	VYDAJ	PREVOD NA UCET	5608	36821	SIPO	IJ	2468169
554306	1887	1997-07-12	VYDAJ	PREVOD NA UCET	5608	33238	SIPO	IJ	2468169
554307	1887	1997-08-12	VYDAJ	PREVOD NA UCET	5608	32753	SIPO	IJ	2468169
554308	1887	1997-09-12	VYDAJ	PREVOD NA UCET	5608	37075	SIPO	IJ	2468169
554309	1887	1997-10-12	VYDAJ	PREVOD NA UCET	5608	41315	SIPO	IJ	2468169
554310	1887	1997-11-12	VYDAJ	PREVOD NA UCET	5608	38055	SIPO	IJ	2468169
554311	1887	1997-12-12	VYDAJ	PREVOD NA UCET	5608	40493	SIPO	IJ	2468169
554312	1887	1998-01-12	VYDAJ	PREVOD NA UCET	5608	33124	SIPO	IJ	2468169
554313	1887	1998-02-12	VYDAJ	PREVOD NA UCET	5608	23630	SIPO	IJ	2468169
554314	1887	1998-03-12	VYDAJ	PREVOD NA UCET	5608	23102	SIPO	IJ	2468169
554315	1887	1998-04-12	VYDAJ	PREVOD NA UCET	5608	20466	SIPO	IJ	2468169
554316	1887	1998-05-12	VYDAJ	PREVOD NA UCET	5608	23334	SIPO	IJ	2468169
554317	1887	1998-06-12	VYDAJ	PREVOD NA UCET	5608	23200	SIPO	IJ	2468169
554318	1887	1998-07-12	VYDAJ	PREVOD NA UCET	5608	26072	SIPO	IJ	2468169
554319	1887	1998-08-12	VYDAJ	PREVOD NA UCET	5608	14540	SIPO	IJ	2468169
554320	1887	1998-09-12	VYDAJ	PREVOD NA UCET	5608	17392	SIPO	IJ	2468169
554321	1887	1998-10-12	VYDAJ	PREVOD NA UCET	5608	20246	SIPO	IJ	2468169
554322	1887	1998-11-12	VYDAJ	PREVOD NA UCET	5608	23112	SIPO	IJ	2468169
554323	1887	1998-12-12	VYDAJ	PREVOD NA UCET	5608	24695	SIPO	IJ	2468169
554324	1887	1993-12-24	VYDAJ	VYBER	1000	33788	\N	\N	\N
554325	1887	1994-12-28	VYDAJ	VYBER	2400	28841	\N	\N	\N
554326	1887	1995-12-07	VYDAJ	VYBER	2300	31985	\N	\N	\N
554327	1887	1996-12-28	VYDAJ	VYBER	2500	25772	\N	\N	\N
554328	1887	1997-12-21	VYDAJ	VYBER	1800	32993	\N	\N	\N
554329	1887	1998-12-05	VYDAJ	VYBER	800	22385	\N	\N	\N
554336	1887	1994-01-04	VYDAJ	VYBER	2300	26916	\N	\N	\N
554337	1887	1994-01-01	VYDAJ	VYBER	2300	31616	\N	\N	\N
554338	1887	1994-01-20	VYDAJ	VYBER	1800	22120	\N	\N	\N
554339	1887	1994-01-14	VYDAJ	VYBER	2000	27720	\N	\N	\N
554340	1887	1994-01-15	VYDAJ	VYBER	1200	26520	\N	\N	\N
554341	1887	1994-01-16	VYDAJ	VYBER	2600	23920	\N	\N	\N
554342	1887	1995-01-06	VYDAJ	VYBER	2900	24751	\N	\N	\N
554343	1887	1995-01-07	VYDAJ	VYBER	600	24151	\N	\N	\N
554344	1887	1995-01-30	VYDAJ	VYBER	900	22655	\N	\N	\N
554345	1887	1995-01-12	VYDAJ	VYBER	1900	25055	\N	\N	\N
554346	1887	1995-01-16	VYDAJ	VYBER	2600	22455	\N	\N	\N
554347	1887	1995-01-20	VYDAJ	VYBER	1500	20955	\N	\N	\N
554348	1887	1996-01-24	VYDAJ	VYBER	2500	26937	\N	\N	\N
554349	1887	1996-01-10	VYDAJ	VYBER	2500	30833	\N	\N	\N
554350	1887	1996-01-05	VYDAJ	VYBER	2000	33333	\N	\N	\N
554351	1887	1996-01-21	VYDAJ	VYBER	1800	24237	\N	\N	\N
554352	1887	1996-01-27	VYDAJ	VYBER	2900	24037	\N	\N	\N
554353	1887	1996-01-17	VYDAJ	VYBER	2900	30737	\N	\N	\N
554354	1887	1997-01-22	VYDAJ	VYBER	700	22270	\N	\N	\N
554355	1887	1997-01-28	VYDAJ	VYBER	600	21670	\N	\N	\N
554356	1887	1997-01-22	VYDAJ	VYBER	1500	22970	\N	\N	\N
554357	1887	1997-01-05	VYDAJ	VYBER	1900	21266	\N	\N	\N
554358	1887	1997-01-13	VYDAJ	VYBER	1700	22370	\N	\N	\N
554359	1887	1997-01-04	VYDAJ	VYBER	2700	23166	\N	\N	\N
554360	1887	1998-01-11	VYDAJ	VYBER	1100	40432	\N	\N	\N
554361	1887	1998-01-23	VYDAJ	VYBER	1900	25724	\N	\N	\N
554362	1887	1998-01-17	VYDAJ	VYBER	1700	27624	\N	\N	\N
554363	1887	1998-01-24	VYDAJ	VYBER	2200	23524	\N	\N	\N
554364	1887	1998-01-12	VYDAJ	VYBER	1700	38732	\N	\N	\N
554365	1887	1998-01-26	VYDAJ	VYBER	2800	20724	\N	\N	\N
554369	1887	1994-11-13	VYDAJ	VYBER	800	32813	\N	\N	\N
554370	1887	1994-12-14	VYDAJ	VYBER	3700	31241	\N	\N	\N
554371	1887	1994-05-25	VYDAJ	VYBER	3400	28436	\N	\N	\N
554372	1887	1995-02-27	VYDAJ	VYBER	1100	20943	\N	\N	\N
554373	1887	1995-08-12	VYDAJ	VYBER	3300	30196	\N	\N	\N
554374	1887	1995-02-26	VYDAJ	VYBER	3500	22043	\N	\N	\N
554375	1887	1996-09-23	VYDAJ	VYBER	3800	22399	\N	\N	\N
554376	1887	1996-01-21	VYDAJ	VYBER	4700	26037	\N	\N	\N
554377	1887	1996-08-29	VYDAJ	VYBER	3300	27676	\N	\N	\N
554378	1887	1996-01-28	VYDAJ	VYBER	4000	20037	\N	\N	\N
554379	1887	1996-12-23	VYDAJ	VYBER	800	28272	\N	\N	\N
554380	1887	1997-12-01	VYDAJ	VYBER	800	33483	\N	\N	\N
554381	1887	1997-04-10	VYDAJ	VYBER	500	23108	\N	\N	\N
554382	1887	1997-02-03	VYDAJ	VYBER	4600	17151	\N	\N	\N
554393	1887	1993-09-30	VYDAJ	VYBER	15	35213	SLUZBY	\N	\N
554394	1887	1993-10-31	VYDAJ	VYBER	15	34448	SLUZBY	\N	\N
554395	1887	1993-11-30	VYDAJ	VYBER	15	33278	SLUZBY	\N	\N
554396	1887	1993-12-31	VYDAJ	VYBER	15	33916	SLUZBY	\N	\N
554397	1887	1994-01-31	VYDAJ	VYBER	15	22215	SLUZBY	\N	\N
554398	1887	1994-02-28	VYDAJ	VYBER	15	26408	SLUZBY	\N	\N
554399	1887	1994-03-31	VYDAJ	VYBER	15	30219	SLUZBY	\N	\N
554400	1887	1994-04-30	VYDAJ	VYBER	15	29132	SLUZBY	\N	\N
554401	1887	1994-05-31	VYDAJ	VYBER	15	28548	SLUZBY	\N	\N
554402	1887	1994-06-30	VYDAJ	VYBER	15	34479	SLUZBY	\N	\N
554403	1887	1994-07-31	VYDAJ	VYBER	15	34412	SLUZBY	\N	\N
554404	1887	1994-08-31	VYDAJ	VYBER	15	34645	SLUZBY	\N	\N
554405	1887	1994-09-30	VYDAJ	VYBER	15	35682	SLUZBY	\N	\N
554406	1887	1994-10-31	VYDAJ	VYBER	15	30809	SLUZBY	\N	\N
554407	1887	1994-11-30	VYDAJ	VYBER	15	27931	SLUZBY	\N	\N
554408	1887	1994-12-31	VYDAJ	VYBER	15	27651	SLUZBY	\N	\N
554409	1887	1995-01-31	VYDAJ	VYBER	15	22739	SLUZBY	\N	\N
554410	1887	1995-02-28	VYDAJ	VYBER	15	24029	SLUZBY	\N	\N
554411	1887	1995-03-31	VYDAJ	VYBER	15	25325	SLUZBY	\N	\N
554412	1887	1995-04-30	VYDAJ	VYBER	15	27627	SLUZBY	\N	\N
554413	1887	1995-05-31	VYDAJ	VYBER	15	28437	SLUZBY	\N	\N
554414	1887	1995-06-30	VYDAJ	VYBER	15	31167	SLUZBY	\N	\N
554415	1887	1995-07-31	VYDAJ	VYBER	15	30692	SLUZBY	\N	\N
554416	1887	1995-08-31	VYDAJ	VYBER	15	29006	SLUZBY	\N	\N
554417	1887	1995-09-30	VYDAJ	VYBER	15	31823	SLUZBY	\N	\N
554418	1887	1995-10-31	VYDAJ	VYBER	15	33651	SLUZBY	\N	\N
554419	1887	1995-11-30	VYDAJ	VYBER	15	34285	SLUZBY	\N	\N
554420	1887	1995-12-31	VYDAJ	VYBER	15	35333	SLUZBY	\N	\N
554421	1887	1996-01-31	VYDAJ	VYBER	15	20148	SLUZBY	\N	\N
554422	1887	1996-02-29	VYDAJ	VYBER	15	26831	SLUZBY	\N	\N
554423	1887	1996-03-31	VYDAJ	VYBER	15	29939	SLUZBY	\N	\N
554424	1887	1996-04-30	VYDAJ	VYBER	15	34761	SLUZBY	\N	\N
554425	1887	1996-05-31	VYDAJ	VYBER	15	33397	SLUZBY	\N	\N
554426	1887	1996-06-30	VYDAJ	VYBER	15	34241	SLUZBY	\N	\N
554427	1887	1996-07-31	VYDAJ	VYBER	15	32272	SLUZBY	\N	\N
554428	1887	1996-08-31	VYDAJ	VYBER	15	27795	SLUZBY	\N	\N
554429	1887	1996-09-30	VYDAJ	VYBER	15	22495	SLUZBY	\N	\N
554430	1887	1996-10-31	VYDAJ	VYBER	15	22179	SLUZBY	\N	\N
554431	1887	1996-11-30	VYDAJ	VYBER	15	22862	SLUZBY	\N	\N
554432	1887	1996-12-31	VYDAJ	VYBER	15	25866	SLUZBY	\N	\N
554433	1887	1997-01-31	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
554434	1887	1997-02-28	VYDAJ	VYBER	15	20926	SLUZBY	\N	\N
554435	1887	1997-03-31	VYDAJ	VYBER	15	23608	SLUZBY	\N	\N
554436	1887	1997-04-30	VYDAJ	VYBER	15	27403	SLUZBY	\N	\N
554437	1887	1997-05-31	VYDAJ	VYBER	15	29811	SLUZBY	\N	\N
554438	1887	1997-06-30	VYDAJ	VYBER	15	30434	SLUZBY	\N	\N
554439	1887	1997-07-31	VYDAJ	VYBER	15	29949	SLUZBY	\N	\N
554440	1887	1997-08-31	VYDAJ	VYBER	15	34271	SLUZBY	\N	\N
554441	1887	1997-09-30	VYDAJ	VYBER	15	38511	SLUZBY	\N	\N
554442	1887	1997-10-31	VYDAJ	VYBER	15	35251	SLUZBY	\N	\N
554443	1887	1997-11-30	VYDAJ	VYBER	15	34283	SLUZBY	\N	\N
554444	1887	1997-12-31	VYDAJ	VYBER	15	33120	SLUZBY	\N	\N
554445	1887	1998-01-31	VYDAJ	VYBER	15	20826	SLUZBY	\N	\N
554446	1887	1998-02-28	VYDAJ	VYBER	15	20298	SLUZBY	\N	\N
554447	1887	1998-03-31	VYDAJ	VYBER	15	17662	SLUZBY	\N	\N
554448	1887	1998-04-30	VYDAJ	VYBER	15	20530	SLUZBY	\N	\N
554449	1887	1998-05-31	VYDAJ	VYBER	15	16190	SLUZBY	\N	\N
554450	1887	1998-06-30	VYDAJ	VYBER	15	23268	SLUZBY	\N	\N
554451	1887	1998-07-31	VYDAJ	VYBER	15	17936	SLUZBY	\N	\N
554452	1887	1998-08-31	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
554453	1887	1998-09-30	VYDAJ	VYBER	15	17442	SLUZBY	\N	\N
554454	1887	1998-10-31	VYDAJ	VYBER	15	20308	SLUZBY	\N	\N
554455	1887	1998-11-30	VYDAJ	VYBER	15	23185	SLUZBY	\N	\N
554456	1887	1993-06-08	PRIJEM	VKLAD	5600	14938	\N	\N	\N
554457	1887	1993-07-08	VYDAJ	VYBER	300	27346	\N	\N	\N
554458	1887	1993-08-07	VYDAJ	VYBER	4000	31896	\N	\N	\N
554459	1887	1993-09-06	VYDAJ	VYBER	8200	32270	\N	\N	\N
554460	1887	1993-10-06	VYDAJ	VYBER	3700	31513	\N	\N	\N
554461	1887	1993-11-05	VYDAJ	VYBER	4100	30348	\N	\N	\N
554462	1887	1993-12-05	VYDAJ	VYBER	5500	27778	\N	\N	\N
554463	1887	1994-01-04	VYDAJ	VYBER	2400	29216	\N	\N	\N
554464	1887	1994-02-03	PRIJEM	VKLAD	1300	23515	\N	\N	\N
554465	1887	1994-03-05	PRIJEM	VKLAD	900	27308	\N	\N	\N
554466	1887	1994-04-04	VYDAJ	VYBER	4000	26219	\N	\N	\N
554467	1887	1994-05-04	VYDAJ	VYBER	100	29032	\N	\N	\N
554468	1887	1994-06-03	VYDAJ	VYBER	1200	27348	\N	\N	\N
554469	1887	1994-07-03	VYDAJ	VYBER	3000	31479	\N	\N	\N
554470	1887	1994-08-02	VYDAJ	VYBER	2700	31712	\N	\N	\N
554471	1887	1994-09-01	VYDAJ	VYBER	1900	32745	\N	\N	\N
554472	1887	1994-10-01	VYDAJ	VYBER	7000	28682	\N	\N	\N
554473	1887	1994-10-31	VYDAJ	VYBER	800	30823	\N	\N	\N
554474	1887	1994-11-30	VYDAJ	VYBER	5000	27946	\N	\N	\N
554475	1887	1994-12-30	VYDAJ	VYBER	1300	27541	\N	\N	\N
554476	1887	1995-01-29	PRIJEM	VKLAD	2600	23555	\N	\N	\N
554477	1887	1995-02-28	PRIJEM	VKLAD	3000	24043	\N	\N	\N
554478	1887	1995-03-30	VYDAJ	VYBER	1600	25233	\N	\N	\N
554479	1887	1995-04-29	VYDAJ	VYBER	600	27529	\N	\N	\N
554480	1887	1995-05-29	VYDAJ	VYBER	2100	28331	\N	\N	\N
554481	1887	1995-06-28	VYDAJ	VYBER	4400	31047	\N	\N	\N
554482	1887	1995-07-28	VYDAJ	VYBER	3400	30571	\N	\N	\N
554483	1887	1995-08-27	VYDAJ	VYBER	1300	28896	\N	\N	\N
554484	1887	1995-09-26	VYDAJ	VYBER	100	31710	\N	\N	\N
554485	1887	1995-10-26	VYDAJ	VYBER	1100	33527	\N	\N	\N
554486	1887	1995-11-25	VYDAJ	VYBER	2300	34155	\N	\N	\N
554487	1887	1995-12-25	VYDAJ	VYBER	3800	35195	\N	\N	\N
554488	1887	1996-01-24	PRIJEM	VKLAD	5200	29437	\N	\N	\N
554489	1887	1996-02-23	PRIJEM	VKLAD	3800	26752	\N	\N	\N
554490	1887	1996-03-24	PRIJEM	VKLAD	200	29835	\N	\N	\N
554491	1887	1996-04-23	PRIJEM	VKLAD	1900	34643	\N	\N	\N
554492	1887	1996-05-23	VYDAJ	VYBER	4300	33265	\N	\N	\N
554493	1887	1996-06-22	VYDAJ	VYBER	6300	34107	\N	\N	\N
554494	1887	1996-07-22	VYDAJ	VYBER	4900	32145	\N	\N	\N
554495	1887	1996-08-21	VYDAJ	VYBER	4100	30976	\N	\N	\N
554496	1887	1996-09-20	VYDAJ	VYBER	4400	26199	\N	\N	\N
554497	1887	1996-10-20	VYDAJ	VYBER	3200	22099	\N	\N	\N
554498	1887	1996-11-19	VYDAJ	VYBER	2200	22783	\N	\N	\N
554499	1887	1996-12-19	VYDAJ	VYBER	800	29072	\N	\N	\N
554500	1887	1997-01-18	PRIJEM	VKLAD	2100	24470	\N	\N	\N
554501	1887	1997-02-17	PRIJEM	VKLAD	900	20855	\N	\N	\N
554502	1887	1997-03-19	VYDAJ	VYBER	200	23530	\N	\N	\N
554503	1887	1997-04-18	PRIJEM	VKLAD	1400	27312	\N	\N	\N
554504	1887	1997-05-18	VYDAJ	VYBER	500	29707	\N	\N	\N
554505	1887	1997-06-17	VYDAJ	VYBER	6500	30321	\N	\N	\N
554506	1887	1997-07-17	VYDAJ	VYBER	3400	29838	\N	\N	\N
554507	1887	1997-08-16	PRIJEM	VKLAD	1400	34153	\N	\N	\N
554508	1887	1997-09-15	PRIJEM	VKLAD	1300	38375	\N	\N	\N
554509	1887	1997-10-15	VYDAJ	VYBER	6200	35115	\N	\N	\N
554510	1887	1997-11-14	VYDAJ	VYBER	3900	34155	\N	\N	\N
554511	1887	1997-12-14	VYDAJ	VYBER	5700	34793	\N	\N	\N
554512	1887	1998-01-13	VYDAJ	VYBER	3800	29324	\N	\N	\N
554513	1887	1998-02-12	VYDAJ	VYBER	3400	20230	\N	\N	\N
554514	1887	1998-03-14	VYDAJ	VYBER	5500	17602	\N	\N	\N
554515	1887	1998-05-13	VYDAJ	VYBER	7200	16134	\N	\N	\N
554516	1887	1998-07-12	VYDAJ	VYBER	8200	17872	\N	\N	\N
554517	1887	1998-08-11	VYDAJ	VYBER	6200	20148	\N	\N	\N
554518	1887	1998-12-09	VYDAJ	VYBER	4700	17685	\N	\N	\N
554587	1888	1996-10-21	PRIJEM	VKLAD	300	300	\N	\N	\N
554598	1888	1996-11-05	PRIJEM	PREVOD Z UCTU	28840	29140	\N	GH	95071893
554599	1888	1996-12-05	PRIJEM	PREVOD Z UCTU	43260	68978	\N	GH	95071893
554600	1888	1997-01-05	PRIJEM	PREVOD Z UCTU	28840	73392	\N	GH	95071893
554601	1888	1997-02-05	PRIJEM	PREVOD Z UCTU	28840	73501	\N	GH	95071893
554602	1888	1997-03-05	PRIJEM	PREVOD Z UCTU	28840	78725	\N	GH	95071893
554603	1888	1997-04-05	PRIJEM	PREVOD Z UCTU	28840	68038	\N	GH	95071893
554604	1888	1997-05-05	PRIJEM	PREVOD Z UCTU	28840	62513	\N	GH	95071893
554605	1888	1997-06-05	PRIJEM	PREVOD Z UCTU	43260	51299	\N	GH	95071893
554606	1888	1997-07-05	PRIJEM	PREVOD Z UCTU	28840	22989	\N	GH	95071893
554607	1888	1997-08-05	PRIJEM	PREVOD Z UCTU	28840	40268	\N	GH	95071893
554608	1888	1997-09-05	PRIJEM	PREVOD Z UCTU	28840	43992	\N	GH	95071893
554609	1888	1997-10-05	PRIJEM	PREVOD Z UCTU	28840	50769	\N	GH	95071893
554610	1888	1997-11-05	PRIJEM	PREVOD Z UCTU	28840	53905	\N	GH	95071893
554611	1888	1997-12-05	PRIJEM	PREVOD Z UCTU	43260	69676	\N	GH	95071893
554612	1888	1998-01-05	PRIJEM	PREVOD Z UCTU	28840	57681	\N	GH	95071893
554613	1888	1998-02-05	PRIJEM	PREVOD Z UCTU	28840	26416	\N	GH	95071893
554614	1888	1998-03-05	PRIJEM	PREVOD Z UCTU	28840	38973	\N	GH	95071893
554615	1888	1998-04-05	PRIJEM	PREVOD Z UCTU	28840	42807	\N	GH	95071893
554616	1888	1998-05-05	PRIJEM	PREVOD Z UCTU	28840	46268	\N	GH	95071893
554617	1888	1998-06-05	PRIJEM	PREVOD Z UCTU	43260	61474	\N	GH	95071893
554618	1888	1998-07-05	PRIJEM	PREVOD Z UCTU	28840	33276	\N	GH	95071893
554619	1888	1998-08-05	PRIJEM	PREVOD Z UCTU	28840	40593	\N	GH	95071893
554620	1888	1998-09-05	PRIJEM	PREVOD Z UCTU	28840	42706	\N	GH	95071893
554621	1888	1998-10-05	PRIJEM	PREVOD Z UCTU	28840	36908	\N	GH	95071893
554622	1888	1998-11-05	PRIJEM	PREVOD Z UCTU	28840	26266	\N	GH	95071893
554623	1888	1998-12-05	PRIJEM	PREVOD Z UCTU	43260	43282	\N	GH	95071893
554638	1888	1997-03-08	VYDAJ	VYBER	5100	69846	\N	\N	0
554639	1888	1997-04-29	VYDAJ	VYBER	5900	33286	\N	\N	0
554640	1888	1997-05-05	VYDAJ	VYBER	4200	58313	\N	\N	0
554641	1888	1997-05-29	VYDAJ	VYBER	5200	7735	\N	\N	0
554642	1888	1997-07-04	VYDAJ	VYBER	4900	8849	\N	\N	0
554643	1888	1997-08-06	VYDAJ	VYBER	5900	31099	\N	\N	0
554644	1888	1997-09-12	VYDAJ	VYBER	4800	35413	\N	\N	0
554645	1888	1997-10-12	VYDAJ	PREVOD NA UCET	4780	42210	UVER	KL	40829509
554646	1888	1997-11-12	VYDAJ	PREVOD NA UCET	4780	45346	UVER	KL	40829509
554647	1888	1997-12-12	VYDAJ	PREVOD NA UCET	4780	54217	UVER	KL	40829509
554648	1888	1998-01-12	VYDAJ	PREVOD NA UCET	4780	23322	UVER	KL	40829509
554649	1888	1998-02-12	VYDAJ	PREVOD NA UCET	4780	13057	UVER	KL	40829509
554650	1888	1998-03-12	VYDAJ	PREVOD NA UCET	4780	30414	UVER	KL	40829509
554651	1888	1998-04-12	VYDAJ	PREVOD NA UCET	4780	34248	UVER	KL	40829509
554652	1888	1998-05-12	VYDAJ	PREVOD NA UCET	4780	37709	UVER	KL	40829509
554653	1888	1998-06-12	VYDAJ	PREVOD NA UCET	4780	52915	UVER	KL	40829509
554654	1888	1998-07-12	VYDAJ	PREVOD NA UCET	4780	24717	UVER	KL	40829509
554655	1888	1998-08-12	VYDAJ	PREVOD NA UCET	4780	19334	UVER	KL	40829509
554656	1888	1998-09-16	VYDAJ	VYBER	3900	13654	\N	\N	0
554657	1888	1998-10-01	VYDAJ	VYBER	5700	8068	\N	\N	0
554659	1888	1998-12-15	VYDAJ	VYBER	5200	-3370	\N	\N	0
554674	1888	1997-03-07	VYDAJ	PREVOD NA UCET	510	74946	SIPO	OP	88992631
554675	1888	1997-04-07	VYDAJ	PREVOD NA UCET	510	64259	SIPO	OP	88992631
554676	1888	1997-05-07	VYDAJ	PREVOD NA UCET	510	54534	SIPO	OP	88992631
554677	1888	1997-06-07	VYDAJ	PREVOD NA UCET	510	47520	SIPO	OP	88992631
554678	1888	1997-07-07	VYDAJ	PREVOD NA UCET	510	19210	SIPO	OP	88992631
554679	1888	1997-08-07	VYDAJ	PREVOD NA UCET	510	30589	SIPO	OP	88992631
554680	1888	1997-09-07	VYDAJ	PREVOD NA UCET	510	40213	SIPO	OP	88992631
554681	1888	1997-10-07	VYDAJ	PREVOD NA UCET	510	46990	SIPO	OP	88992631
554682	1888	1997-11-07	VYDAJ	PREVOD NA UCET	510	50126	SIPO	OP	88992631
554683	1888	1997-12-07	VYDAJ	PREVOD NA UCET	510	65897	SIPO	OP	88992631
554684	1888	1998-01-07	VYDAJ	PREVOD NA UCET	510	50602	SIPO	OP	88992631
554685	1888	1998-02-07	VYDAJ	PREVOD NA UCET	510	17837	SIPO	OP	88992631
554686	1888	1998-03-07	VYDAJ	PREVOD NA UCET	510	35194	SIPO	OP	88992631
554687	1888	1998-04-07	VYDAJ	PREVOD NA UCET	510	39028	SIPO	OP	88992631
554688	1888	1998-05-07	VYDAJ	PREVOD NA UCET	510	42489	SIPO	OP	88992631
554689	1888	1998-06-07	VYDAJ	PREVOD NA UCET	510	57695	SIPO	OP	88992631
554690	1888	1998-07-07	VYDAJ	PREVOD NA UCET	510	29497	SIPO	OP	88992631
554691	1888	1998-08-07	VYDAJ	PREVOD NA UCET	510	36814	SIPO	OP	88992631
554692	1888	1998-09-07	VYDAJ	PREVOD NA UCET	510	29627	SIPO	OP	88992631
554693	1888	1998-10-07	VYDAJ	PREVOD NA UCET	510	8210	SIPO	OP	88992631
554694	1888	1998-11-07	VYDAJ	PREVOD NA UCET	510	139	SIPO	OP	88992631
554695	1888	1998-12-07	VYDAJ	PREVOD NA UCET	510	39503	SIPO	OP	88992631
554710	1888	1997-03-13	VYDAJ	PREVOD NA UCET	3473	58573	 	YZ	35539561
554711	1888	1997-04-13	VYDAJ	PREVOD NA UCET	3473	60786	 	YZ	35539561
554712	1888	1997-05-13	VYDAJ	PREVOD NA UCET	3473	51061	 	YZ	35539561
554713	1888	1997-06-13	VYDAJ	PREVOD NA UCET	3473	44047	 	YZ	35539561
554714	1888	1997-07-13	VYDAJ	PREVOD NA UCET	3473	15737	 	YZ	35539561
554715	1888	1997-08-13	VYDAJ	PREVOD NA UCET	3473	27116	 	YZ	35539561
554716	1888	1997-09-13	VYDAJ	PREVOD NA UCET	3473	31940	 	YZ	35539561
554717	1888	1997-10-13	VYDAJ	PREVOD NA UCET	3473	38737	 	YZ	35539561
554718	1888	1997-11-13	VYDAJ	PREVOD NA UCET	3473	41873	 	YZ	35539561
554719	1888	1997-12-13	VYDAJ	PREVOD NA UCET	3473	50744	 	YZ	35539561
554720	1888	1998-01-13	VYDAJ	PREVOD NA UCET	3473	19849	 	YZ	35539561
554721	1888	1998-02-13	VYDAJ	PREVOD NA UCET	3473	10084	 	YZ	35539561
554722	1888	1998-03-13	VYDAJ	PREVOD NA UCET	3473	26941	 	YZ	35539561
554723	1888	1998-04-13	VYDAJ	PREVOD NA UCET	3473	30775	 	YZ	35539561
554724	1888	1998-05-13	VYDAJ	PREVOD NA UCET	3473	34236	 	YZ	35539561
554725	1888	1998-06-13	VYDAJ	PREVOD NA UCET	3473	49442	 	YZ	35539561
554726	1888	1998-07-13	VYDAJ	PREVOD NA UCET	3473	21244	 	YZ	35539561
554727	1888	1998-08-13	VYDAJ	PREVOD NA UCET	3473	15861	 	YZ	35539561
554728	1888	1998-09-13	VYDAJ	PREVOD NA UCET	3473	17554	 	YZ	35539561
554729	1888	1998-10-13	VYDAJ	PREVOD NA UCET	3473	5537	 	YZ	35539561
554730	1888	1998-11-13	VYDAJ	PREVOD NA UCET	3473	66	 	YZ	35539561
554731	1888	1998-12-13	VYDAJ	PREVOD NA UCET	3473	6330	 	YZ	35539561
554746	1888	1997-03-06	VYDAJ	PREVOD NA UCET	3269	75456	POJISTNE	OP	94599204
554747	1888	1997-04-06	VYDAJ	PREVOD NA UCET	3269	64769	POJISTNE	OP	94599204
554748	1888	1997-05-06	VYDAJ	PREVOD NA UCET	3269	55044	POJISTNE	OP	94599204
554749	1888	1997-06-06	VYDAJ	PREVOD NA UCET	3269	48030	POJISTNE	OP	94599204
554750	1888	1997-07-06	VYDAJ	PREVOD NA UCET	3269	19720	POJISTNE	OP	94599204
554751	1888	1997-08-06	VYDAJ	PREVOD NA UCET	3269	36999	POJISTNE	OP	94599204
554752	1888	1997-09-06	VYDAJ	PREVOD NA UCET	3269	40723	POJISTNE	OP	94599204
554753	1888	1997-10-06	VYDAJ	PREVOD NA UCET	3269	47500	POJISTNE	OP	94599204
554754	1888	1997-11-06	VYDAJ	PREVOD NA UCET	3269	50636	POJISTNE	OP	94599204
554755	1888	1997-12-06	VYDAJ	PREVOD NA UCET	3269	66407	POJISTNE	OP	94599204
554756	1888	1998-01-06	VYDAJ	PREVOD NA UCET	3269	51112	POJISTNE	OP	94599204
554757	1888	1998-02-06	VYDAJ	PREVOD NA UCET	3269	23147	POJISTNE	OP	94599204
554758	1888	1998-03-06	VYDAJ	PREVOD NA UCET	3269	35704	POJISTNE	OP	94599204
554759	1888	1998-04-06	VYDAJ	PREVOD NA UCET	3269	39538	POJISTNE	OP	94599204
554760	1888	1998-05-06	VYDAJ	PREVOD NA UCET	3269	42999	POJISTNE	OP	94599204
554761	1888	1998-06-06	VYDAJ	PREVOD NA UCET	3269	58205	POJISTNE	OP	94599204
554762	1888	1998-07-06	VYDAJ	PREVOD NA UCET	3269	30007	POJISTNE	OP	94599204
554763	1888	1998-08-06	VYDAJ	PREVOD NA UCET	3269	37324	POJISTNE	OP	94599204
554764	1888	1998-09-06	VYDAJ	PREVOD NA UCET	3269	30137	POJISTNE	OP	94599204
554765	1888	1998-10-06	VYDAJ	PREVOD NA UCET	3269	8720	POJISTNE	OP	94599204
554766	1888	1998-11-06	VYDAJ	PREVOD NA UCET	3269	649	POJISTNE	OP	94599204
554767	1888	1998-12-06	VYDAJ	PREVOD NA UCET	3269	40013	POJISTNE	OP	94599204
554769	1888	1997-05-29	VYBER	VYBER	19126	12935	\N	\N	\N
554770	1888	1998-11-01	VYBER	VYBER	8141	-2574	\N	\N	\N
554773	1888	1998-11-05	VYBER	VYBER	22348	3918	\N	\N	\N
554775	1888	1998-05-15	VYBER	VYBER	2089	18047	\N	\N	\N
554777	1888	1998-10-05	VYBER	VYBER	24919	11989	\N	\N	\N
554778	1888	1998-06-29	VYBER	VYBER	19826	4216	\N	\N	\N
554779	1888	1998-08-27	VYBER	VYBER	2120	13741	\N	\N	\N
554785	1888	1998-01-22	VYDAJ	VYBER	7500	4949	\N	\N	\N
554787	1888	1997-12-12	VYDAJ	VYBER	6900	58997	\N	\N	\N
554788	1888	1998-12-13	VYDAJ	VYBER	4500	1830	\N	\N	\N
554801	1888	1998-01-16	VYDAJ	VYBER	3000	15449	\N	\N	\N
554802	1888	1998-01-24	VYDAJ	VYBER	7500	-2551	\N	\N	\N
554804	1888	1998-01-19	VYDAJ	VYBER	3000	12449	\N	\N	\N
554805	1888	1998-01-12	VYDAJ	VYBER	8100	42502	\N	\N	\N
554806	1888	1998-01-05	VYDAJ	VYBER	3300	54381	\N	\N	\N
554813	1888	1997-12-28	VYDAJ	VYBER	3300	28544	\N	\N	\N
554814	1888	1997-06-21	VYDAJ	VYBER	14100	13547	\N	\N	\N
554815	1888	1997-05-14	VYDAJ	VYBER	3300	47761	\N	\N	\N
554816	1888	1997-03-13	VYDAJ	VYBER	7800	62046	\N	\N	\N
554817	1888	1997-08-15	VYDAJ	VYBER	3600	23516	\N	\N	\N
554818	1888	1997-07-04	VYDAJ	VYBER	14700	-5851	\N	\N	\N
554819	1888	1998-12-12	VYDAJ	VYBER	13500	9803	\N	\N	\N
554820	1888	1998-01-12	VYDAJ	VYBER	14400	28102	\N	\N	\N
554821	1888	1998-09-05	VYDAJ	VYBER	9300	33406	\N	\N	\N
554822	1888	1998-02-06	VYDAJ	VYBER	4800	18347	\N	\N	\N
554823	1888	1998-11-12	VYDAJ	VYBER	3600	3539	\N	\N	\N
554824	1888	1998-12-11	VYDAJ	VYBER	3900	23303	\N	\N	\N
554840	1888	1997-03-31	VYDAJ	VYBER	15	39198	SLUZBY	\N	\N
554841	1888	1997-04-30	VYDAJ	VYBER	15	33673	SLUZBY	\N	\N
554842	1888	1997-05-31	VYDAJ	VYBER	15	8039	SLUZBY	\N	\N
554843	1888	1997-06-30	VYDAJ	VYBER	15	13749	SLUZBY	\N	\N
554844	1888	1997-07-31	VYDAJ	VYBER	15	11431	SLUZBY	\N	\N
554845	1888	1997-08-31	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
554846	1888	1997-09-30	VYDAJ	VYBER	15	21929	SLUZBY	\N	\N
554847	1888	1997-10-31	VYDAJ	VYBER	15	25065	SLUZBY	\N	\N
554848	1888	1997-11-30	VYDAJ	VYBER	15	26416	SLUZBY	\N	\N
554849	1888	1997-12-31	VYDAJ	VYBER	15	28841	SLUZBY	\N	\N
554850	1888	1998-01-31	VYDAJ	VYBER	15	-2412	SLUZBY	\N	\N
554851	1888	1998-02-28	VYDAJ	VYBER	15	10149	SLUZBY	\N	\N
554852	1888	1998-03-31	VYDAJ	VYBER	15	13967	SLUZBY	\N	\N
554853	1888	1998-04-30	VYDAJ	VYBER	15	17428	SLUZBY	\N	\N
554854	1888	1998-05-31	VYDAJ	VYBER	15	18214	SLUZBY	\N	\N
554855	1888	1998-06-30	VYDAJ	VYBER	15	4436	SLUZBY	\N	\N
554856	1888	1998-07-31	VYDAJ	VYBER	15	11753	SLUZBY	\N	\N
554857	1888	1998-08-31	VYDAJ	VYBER	15	13866	SLUZBY	\N	\N
554858	1888	1998-09-30	VYDAJ	VYBER	15	13768	SLUZBY	\N	\N
554859	1888	1998-10-31	VYDAJ	VYBER	15	5567	SLUZBY	\N	\N
554860	1888	1998-11-30	VYDAJ	VYBER	15	40	SLUZBY	\N	\N
554861	1888	1996-11-20	VYDAJ	VYBER	3500	25640	\N	\N	\N
554862	1888	1996-12-20	VYDAJ	VYBER	24700	44278	\N	\N	\N
554863	1888	1997-01-19	VYDAJ	VYBER	29100	44292	\N	\N	\N
554864	1888	1997-02-18	VYDAJ	VYBER	24000	49501	\N	\N	\N
554865	1888	1997-03-20	VYDAJ	VYBER	19800	38773	\N	\N	\N
554866	1888	1997-04-19	VYDAJ	VYBER	21600	39186	\N	\N	\N
554867	1888	1997-05-19	VYDAJ	VYBER	15700	32061	\N	\N	\N
554868	1888	1997-06-18	VYDAJ	VYBER	16400	27647	\N	\N	\N
554869	1888	1997-07-18	VYDAJ	VYBER	4400	11337	\N	\N	\N
554870	1888	1997-08-17	VYDAJ	VYBER	8500	15016	\N	\N	\N
554871	1888	1997-09-16	VYDAJ	VYBER	10200	21740	\N	\N	\N
554872	1888	1997-10-16	VYDAJ	VYBER	13900	24837	\N	\N	\N
554873	1888	1997-11-15	VYDAJ	VYBER	15700	26173	\N	\N	\N
554874	1888	1997-12-15	VYDAJ	VYBER	18900	31844	\N	\N	\N
554875	1888	1998-01-14	VYDAJ	VYBER	1400	18449	\N	\N	\N
554876	1888	1998-02-13	PRIJEM	VKLAD	500	13557	\N	\N	\N
554877	1888	1998-03-15	VYDAJ	VYBER	13100	13841	\N	\N	\N
554878	1888	1998-04-14	VYDAJ	VYBER	13500	17275	\N	\N	\N
554879	1888	1998-05-14	VYDAJ	VYBER	14100	20136	\N	\N	\N
554880	1888	1998-06-13	VYDAJ	VYBER	25400	24042	\N	\N	\N
554881	1888	1998-07-13	VYDAJ	VYBER	9600	11644	\N	\N	\N
554882	1888	1998-08-12	VYDAJ	VYBER	12700	24114	\N	\N	\N
554883	1888	1998-09-11	VYDAJ	VYBER	8600	21027	\N	\N	\N
554884	1888	1998-10-11	PRIJEM	VKLAD	800	9010	\N	\N	\N
554885	1888	1998-11-10	PRIJEM	VKLAD	7000	7139	\N	\N	\N
554886	1888	1998-12-10	VYDAJ	VYBER	12300	27203	\N	\N	\N
554917	1889	1995-02-06	PRIJEM	VKLAD	800	800	\N	\N	\N
554920	1889	1995-03-05	PRIJEM	PREVOD Z UCTU	5841	6641	DUCHOD	GH	80125170
554921	1889	1995-04-05	PRIJEM	PREVOD Z UCTU	5841	12482	DUCHOD	GH	80125170
554922	1889	1995-05-05	PRIJEM	PREVOD Z UCTU	5841	18323	DUCHOD	GH	80125170
554923	1889	1995-06-05	PRIJEM	PREVOD Z UCTU	5841	24164	DUCHOD	GH	80125170
554924	1889	1995-07-05	PRIJEM	PREVOD Z UCTU	5841	30005	DUCHOD	GH	80125170
554925	1889	1995-08-05	PRIJEM	PREVOD Z UCTU	5841	28946	DUCHOD	GH	80125170
554926	1889	1995-09-05	PRIJEM	PREVOD Z UCTU	5841	30981	DUCHOD	GH	80125170
554927	1889	1995-10-05	PRIJEM	PREVOD Z UCTU	5841	32920	DUCHOD	GH	80125170
554928	1889	1995-11-05	PRIJEM	PREVOD Z UCTU	5841	32075	DUCHOD	GH	80125170
554929	1889	1995-12-05	PRIJEM	PREVOD Z UCTU	5841	30662	DUCHOD	GH	80125170
554930	1889	1996-01-05	PRIJEM	PREVOD Z UCTU	5841	29598	DUCHOD	GH	80125170
554931	1889	1996-02-05	PRIJEM	PREVOD Z UCTU	5841	23300	DUCHOD	GH	80125170
554932	1889	1996-03-05	PRIJEM	PREVOD Z UCTU	5841	25907	DUCHOD	GH	80125170
554933	1889	1996-04-05	PRIJEM	PREVOD Z UCTU	5841	28525	DUCHOD	GH	80125170
554934	1889	1996-05-05	PRIJEM	PREVOD Z UCTU	5841	29394	DUCHOD	GH	80125170
554935	1889	1996-06-05	PRIJEM	PREVOD Z UCTU	5841	32026	DUCHOD	GH	80125170
554936	1889	1996-07-05	PRIJEM	PREVOD Z UCTU	5841	25194	DUCHOD	GH	80125170
554937	1889	1996-08-05	PRIJEM	PREVOD Z UCTU	5841	27809	DUCHOD	GH	80125170
554938	1889	1996-09-05	PRIJEM	PREVOD Z UCTU	5841	28351	DUCHOD	GH	80125170
554939	1889	1996-10-05	PRIJEM	PREVOD Z UCTU	5841	30180	DUCHOD	GH	80125170
554940	1889	1996-11-05	PRIJEM	PREVOD Z UCTU	5841	32816	DUCHOD	GH	80125170
554941	1889	1996-12-05	PRIJEM	PREVOD Z UCTU	5841	35463	DUCHOD	GH	80125170
554942	1889	1997-01-05	PRIJEM	PREVOD Z UCTU	5841	35089	DUCHOD	GH	80125170
554943	1889	1997-02-05	PRIJEM	PREVOD Z UCTU	5841	31133	DUCHOD	GH	80125170
554944	1889	1997-03-05	PRIJEM	PREVOD Z UCTU	5841	32810	DUCHOD	GH	80125170
554945	1889	1997-04-05	PRIJEM	PREVOD Z UCTU	5841	35457	DUCHOD	GH	80125170
554946	1889	1997-05-05	PRIJEM	PREVOD Z UCTU	5841	36192	DUCHOD	GH	80125170
554947	1889	1997-06-05	PRIJEM	PREVOD Z UCTU	5841	34503	DUCHOD	GH	80125170
554948	1889	1997-07-05	PRIJEM	PREVOD Z UCTU	5841	37166	DUCHOD	GH	80125170
554949	1889	1997-08-05	PRIJEM	PREVOD Z UCTU	5841	35504	DUCHOD	GH	80125170
554950	1889	1997-09-05	PRIJEM	PREVOD Z UCTU	5841	38162	DUCHOD	GH	80125170
554951	1889	1997-10-05	PRIJEM	PREVOD Z UCTU	5841	40830	DUCHOD	GH	80125170
554952	1889	1997-11-05	PRIJEM	PREVOD Z UCTU	5841	39906	DUCHOD	GH	80125170
554953	1889	1997-12-05	PRIJEM	PREVOD Z UCTU	5841	40979	DUCHOD	GH	80125170
554954	1889	1998-01-05	PRIJEM	PREVOD Z UCTU	5841	40032	DUCHOD	GH	80125170
554955	1889	1998-02-05	PRIJEM	PREVOD Z UCTU	5841	32652	DUCHOD	GH	80125170
554956	1889	1998-03-05	PRIJEM	PREVOD Z UCTU	5841	35297	DUCHOD	GH	80125170
554957	1889	1998-04-05	PRIJEM	PREVOD Z UCTU	5841	37954	DUCHOD	GH	80125170
554958	1889	1998-05-05	PRIJEM	PREVOD Z UCTU	5841	40621	DUCHOD	GH	80125170
554959	1889	1998-06-05	PRIJEM	PREVOD Z UCTU	5841	37619	DUCHOD	GH	80125170
554960	1889	1998-07-05	PRIJEM	PREVOD Z UCTU	5841	37637	DUCHOD	GH	80125170
554961	1889	1998-08-05	PRIJEM	PREVOD Z UCTU	5841	39822	DUCHOD	GH	80125170
554962	1889	1998-09-05	PRIJEM	PREVOD Z UCTU	5841	39773	DUCHOD	GH	80125170
554963	1889	1998-10-05	PRIJEM	PREVOD Z UCTU	5841	42447	DUCHOD	GH	80125170
554964	1889	1998-11-05	PRIJEM	PREVOD Z UCTU	5841	42569	DUCHOD	GH	80125170
554965	1889	1998-12-05	PRIJEM	PREVOD Z UCTU	5841	45255	DUCHOD	GH	80125170
554972	1889	1995-07-14	VYDAJ	PREVOD NA UCET	3298	25907	SIPO	OP	90301942
554973	1889	1995-08-14	VYDAJ	PREVOD NA UCET	3298	25048	SIPO	OP	90301942
554974	1889	1995-09-14	VYDAJ	PREVOD NA UCET	3298	27683	SIPO	OP	90301942
554975	1889	1995-10-14	VYDAJ	PREVOD NA UCET	3298	29622	SIPO	OP	90301942
554976	1889	1995-11-14	VYDAJ	PREVOD NA UCET	3298	27017	SIPO	OP	90301942
554977	1889	1995-12-14	VYDAJ	PREVOD NA UCET	3298	27364	SIPO	OP	90301942
554978	1889	1996-01-14	VYDAJ	PREVOD NA UCET	3298	24060	SIPO	OP	90301942
554979	1889	1996-02-14	VYDAJ	PREVOD NA UCET	3298	20002	SIPO	OP	90301942
554980	1889	1996-03-14	VYDAJ	PREVOD NA UCET	3298	22609	SIPO	OP	90301942
554981	1889	1996-04-14	VYDAJ	PREVOD NA UCET	3298	25227	SIPO	OP	90301942
554982	1889	1996-05-14	VYDAJ	PREVOD NA UCET	3298	26096	SIPO	OP	90301942
554983	1889	1996-06-14	VYDAJ	PREVOD NA UCET	3298	19278	SIPO	OP	90301942
554984	1889	1996-07-14	VYDAJ	PREVOD NA UCET	3298	21896	SIPO	OP	90301942
554985	1889	1996-08-14	VYDAJ	PREVOD NA UCET	3298	22431	SIPO	OP	90301942
554986	1889	1996-09-14	VYDAJ	PREVOD NA UCET	3298	24253	SIPO	OP	90301942
554987	1889	1996-10-14	VYDAJ	PREVOD NA UCET	3298	26882	SIPO	OP	90301942
554988	1889	1996-11-14	VYDAJ	PREVOD NA UCET	3298	29518	SIPO	OP	90301942
554989	1889	1996-12-14	VYDAJ	PREVOD NA UCET	3298	32165	SIPO	OP	90301942
554990	1889	1997-01-14	VYDAJ	PREVOD NA UCET	3298	31311	SIPO	OP	90301942
554991	1889	1997-02-14	VYDAJ	PREVOD NA UCET	3298	27835	SIPO	OP	90301942
554992	1889	1997-03-14	VYDAJ	PREVOD NA UCET	3298	29512	SIPO	OP	90301942
554993	1889	1997-04-14	VYDAJ	PREVOD NA UCET	3298	32159	SIPO	OP	90301942
554994	1889	1997-05-14	VYDAJ	PREVOD NA UCET	3298	32894	SIPO	OP	90301942
554995	1889	1997-06-14	VYDAJ	PREVOD NA UCET	3298	31205	SIPO	OP	90301942
554996	1889	1997-07-14	VYDAJ	PREVOD NA UCET	3298	30348	SIPO	OP	90301942
554997	1889	1997-08-14	VYDAJ	PREVOD NA UCET	3298	32206	SIPO	OP	90301942
554998	1889	1997-09-14	VYDAJ	PREVOD NA UCET	3298	34864	SIPO	OP	90301942
554999	1889	1997-10-14	VYDAJ	PREVOD NA UCET	3298	37532	SIPO	OP	90301942
555000	1889	1997-11-14	VYDAJ	PREVOD NA UCET	3298	36608	SIPO	OP	90301942
555001	1889	1997-12-14	VYDAJ	PREVOD NA UCET	3298	34061	SIPO	OP	90301942
555002	1889	1998-01-14	VYDAJ	PREVOD NA UCET	3298	32974	SIPO	OP	90301942
555003	1889	1998-02-14	VYDAJ	PREVOD NA UCET	3298	29354	SIPO	OP	90301942
555004	1889	1998-03-14	VYDAJ	PREVOD NA UCET	3298	31999	SIPO	OP	90301942
555005	1889	1998-04-14	VYDAJ	PREVOD NA UCET	3298	34656	SIPO	OP	90301942
555006	1889	1998-05-14	VYDAJ	PREVOD NA UCET	3298	37323	SIPO	OP	90301942
555007	1889	1998-06-14	VYDAJ	PREVOD NA UCET	3298	31671	SIPO	OP	90301942
555008	1889	1998-07-14	VYDAJ	PREVOD NA UCET	3298	34339	SIPO	OP	90301942
555009	1889	1998-08-14	VYDAJ	PREVOD NA UCET	3298	33804	SIPO	OP	90301942
555010	1889	1998-09-14	VYDAJ	PREVOD NA UCET	3298	36475	SIPO	OP	90301942
555011	1889	1998-10-14	VYDAJ	PREVOD NA UCET	3298	39149	SIPO	OP	90301942
555012	1889	1998-11-14	VYDAJ	PREVOD NA UCET	3298	39271	SIPO	OP	90301942
555013	1889	1998-12-14	VYDAJ	PREVOD NA UCET	3298	41957	SIPO	OP	90301942
555015	1889	1996-06-07	VYDAJ	VYBER	9450	22576	\N	\N	\N
555016	1889	1997-06-01	VYDAJ	VYBER	4350	28662	\N	\N	\N
555017	1889	1998-06-12	VYDAJ	VYBER	2650	34969	\N	\N	\N
555019	1889	1996-01-15	VYDAJ	VYBER	3800	19700	\N	\N	\N
555020	1889	1997-01-21	VYDAJ	VYBER	4050	26861	\N	\N	\N
555021	1889	1998-01-17	VYDAJ	VYBER	1800	31174	\N	\N	\N
555022	1889	1995-12-27	VYDAJ	VYBER	750	26614	\N	\N	\N
555023	1889	1996-12-26	VYDAJ	VYBER	850	31315	\N	\N	\N
555024	1889	1997-12-10	VYDAJ	VYBER	1300	39679	\N	\N	\N
555025	1889	1998-12-19	VYDAJ	VYBER	550	41407	\N	\N	\N
555032	1889	1996-01-18	VYDAJ	VYBER	1920	17780	\N	\N	\N
555033	1889	1996-01-04	VYDAJ	VYBER	1760	23757	\N	\N	\N
555034	1889	1996-01-13	VYDAJ	VYBER	880	27358	\N	\N	\N
555035	1889	1996-01-05	VYDAJ	VYBER	1360	28238	\N	\N	\N
555036	1889	1996-01-15	VYDAJ	VYBER	560	23500	\N	\N	\N
555037	1889	1996-01-23	VYDAJ	VYBER	400	17380	\N	\N	\N
555038	1889	1997-01-22	VYDAJ	VYBER	400	26461	\N	\N	\N
555039	1889	1997-01-04	VYDAJ	VYBER	1280	29248	\N	\N	\N
555040	1889	1997-01-11	VYDAJ	VYBER	480	34609	\N	\N	\N
555041	1889	1997-01-26	VYDAJ	VYBER	880	25181	\N	\N	\N
555042	1889	1997-01-17	VYDAJ	VYBER	400	30911	\N	\N	\N
555043	1889	1997-01-23	VYDAJ	VYBER	400	26061	\N	\N	\N
555044	1889	1998-01-07	VYDAJ	VYBER	2160	37872	\N	\N	\N
555045	1889	1998-01-26	VYDAJ	VYBER	400	26694	\N	\N	\N
555046	1889	1998-01-08	VYDAJ	VYBER	960	36912	\N	\N	\N
555047	1889	1998-01-21	VYDAJ	VYBER	1840	29334	\N	\N	\N
555048	1889	1998-01-25	VYDAJ	VYBER	720	27094	\N	\N	\N
555049	1889	1998-01-22	VYDAJ	VYBER	1520	27814	\N	\N	\N
555054	1889	1995-11-06	VYDAJ	VYBER	1760	30315	\N	\N	\N
555055	1889	1995-07-27	VYDAJ	VYBER	2880	23027	\N	\N	\N
555056	1889	1996-04-14	VYDAJ	VYBER	1760	23467	\N	\N	\N
555057	1889	1996-09-10	VYDAJ	VYBER	800	27551	\N	\N	\N
555058	1889	1996-08-11	VYDAJ	VYBER	2080	25729	\N	\N	\N
555059	1889	1997-02-17	VYDAJ	VYBER	960	26875	\N	\N	\N
555060	1889	1997-07-31	VYDAJ	VYBER	800	29678	\N	\N	\N
555061	1889	1997-04-23	VYDAJ	VYBER	1920	30239	\N	\N	\N
555062	1889	1997-12-11	VYDAJ	VYBER	2320	37359	\N	\N	\N
555063	1889	1997-07-07	VYDAJ	VYBER	3520	33646	\N	\N	\N
555064	1889	1998-05-31	VYDAJ	VYBER	2080	35378	\N	\N	\N
555065	1889	1998-07-16	VYDAJ	VYBER	480	33859	\N	\N	\N
555066	1889	1998-06-03	VYDAJ	VYBER	3600	31778	\N	\N	\N
555067	1889	1998-01-11	VYDAJ	VYBER	640	36272	\N	\N	\N
555068	1889	1998-08-08	VYDAJ	VYBER	2720	37102	\N	\N	\N
555069	1889	1998-10-20	VYDAJ	VYBER	2560	36589	\N	\N	\N
555077	1889	1995-07-31	VYDAJ	VYBER	15	23105	SLUZBY	\N	\N
555078	1889	1995-08-31	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
555079	1889	1995-09-30	VYDAJ	VYBER	15	27779	SLUZBY	\N	\N
555080	1889	1995-10-31	VYDAJ	VYBER	15	29734	SLUZBY	\N	\N
555081	1889	1995-11-30	VYDAJ	VYBER	15	27121	SLUZBY	\N	\N
555082	1889	1995-12-31	VYDAJ	VYBER	15	26717	SLUZBY	\N	\N
555083	1889	1996-01-31	VYDAJ	VYBER	15	17459	SLUZBY	\N	\N
555084	1889	1996-02-29	VYDAJ	VYBER	15	20066	SLUZBY	\N	\N
555085	1889	1996-03-31	VYDAJ	VYBER	15	22684	SLUZBY	\N	\N
555086	1889	1996-04-30	VYDAJ	VYBER	15	23553	SLUZBY	\N	\N
555087	1889	1996-05-31	VYDAJ	VYBER	15	26185	SLUZBY	\N	\N
555088	1889	1996-06-30	VYDAJ	VYBER	15	19353	SLUZBY	\N	\N
555089	1889	1996-07-31	VYDAJ	VYBER	15	21968	SLUZBY	\N	\N
555090	1889	1996-08-31	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
555091	1889	1996-09-30	VYDAJ	VYBER	15	24339	SLUZBY	\N	\N
555092	1889	1996-10-31	VYDAJ	VYBER	15	26975	SLUZBY	\N	\N
555093	1889	1996-11-30	VYDAJ	VYBER	15	29622	SLUZBY	\N	\N
555094	1889	1996-12-31	VYDAJ	VYBER	15	30528	SLUZBY	\N	\N
555095	1889	1997-01-31	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
555096	1889	1997-02-28	VYDAJ	VYBER	15	26969	SLUZBY	\N	\N
555097	1889	1997-03-31	VYDAJ	VYBER	15	29616	SLUZBY	\N	\N
555098	1889	1997-04-30	VYDAJ	VYBER	15	30351	SLUZBY	\N	\N
555099	1889	1997-05-31	VYDAJ	VYBER	15	33012	SLUZBY	\N	\N
555100	1889	1997-06-30	VYDAJ	VYBER	15	31325	SLUZBY	\N	\N
555101	1889	1997-07-31	VYDAJ	VYBER	15	29663	SLUZBY	\N	\N
555102	1889	1997-08-31	VYDAJ	VYBER	15	32321	SLUZBY	\N	\N
555103	1889	1997-09-30	VYDAJ	VYBER	15	34989	SLUZBY	\N	\N
555104	1889	1997-10-31	VYDAJ	VYBER	15	34065	SLUZBY	\N	\N
555105	1889	1997-11-30	VYDAJ	VYBER	15	35138	SLUZBY	\N	\N
555106	1889	1997-12-31	VYDAJ	VYBER	15	34191	SLUZBY	\N	\N
555107	1889	1998-01-31	VYDAJ	VYBER	15	26811	SLUZBY	\N	\N
555108	1889	1998-02-28	VYDAJ	VYBER	15	29456	SLUZBY	\N	\N
555109	1889	1998-03-31	VYDAJ	VYBER	15	32113	SLUZBY	\N	\N
555110	1889	1998-04-30	VYDAJ	VYBER	15	34780	SLUZBY	\N	\N
555111	1889	1998-05-31	VYDAJ	VYBER	15	37458	SLUZBY	\N	\N
555112	1889	1998-06-30	VYDAJ	VYBER	15	31796	SLUZBY	\N	\N
555113	1889	1998-07-31	VYDAJ	VYBER	15	33981	SLUZBY	\N	\N
555114	1889	1998-08-31	VYDAJ	VYBER	15	33932	SLUZBY	\N	\N
555115	1889	1998-09-30	VYDAJ	VYBER	15	36606	SLUZBY	\N	\N
555116	1889	1998-10-31	VYDAJ	VYBER	15	36728	SLUZBY	\N	\N
555117	1889	1998-11-30	VYDAJ	VYBER	15	39414	SLUZBY	\N	\N
555118	1889	1995-07-06	VYDAJ	VYBER	800	29205	\N	\N	\N
555119	1889	1995-08-05	VYDAJ	VYBER	600	28346	\N	\N	\N
555120	1889	1995-10-04	VYDAJ	VYBER	700	27079	\N	\N	\N
555121	1889	1995-11-03	VYDAJ	VYBER	3500	26234	\N	\N	\N
555122	1889	1995-12-03	VYDAJ	VYBER	2300	24821	\N	\N	\N
555123	1889	1996-01-02	VYDAJ	VYBER	1200	25517	\N	\N	\N
555124	1889	1996-12-27	VYDAJ	VYBER	900	30415	\N	\N	\N
555125	1889	1997-10-23	VYDAJ	VYBER	3600	33932	\N	\N	\N
555126	1889	1997-11-22	VYDAJ	VYBER	1600	35008	\N	\N	\N
555169	1890	1997-07-20	PRIJEM	VKLAD	600	600	\N	\N	\N
555177	1890	1997-08-10	PRIJEM	PREVOD Z UCTU	33722	34322	\N	CD	88180535
555178	1890	1997-09-10	PRIJEM	PREVOD Z UCTU	33722	64898	\N	CD	88180535
555179	1890	1997-10-10	PRIJEM	PREVOD Z UCTU	33722	75569	\N	CD	88180535
555180	1890	1997-11-10	PRIJEM	PREVOD Z UCTU	33722	81476	\N	CD	88180535
555181	1890	1997-12-10	PRIJEM	PREVOD Z UCTU	50583	100461	\N	CD	88180535
555182	1890	1998-01-10	PRIJEM	PREVOD Z UCTU	33722	70771	\N	CD	88180535
555183	1890	1998-02-10	PRIJEM	PREVOD Z UCTU	33722	39021	\N	CD	88180535
555184	1890	1998-03-10	PRIJEM	PREVOD Z UCTU	33722	54667	\N	CD	88180535
555185	1890	1998-04-10	PRIJEM	PREVOD Z UCTU	33722	33286	\N	CD	88180535
555186	1890	1998-05-10	PRIJEM	PREVOD Z UCTU	33722	39512	\N	CD	88180535
555187	1890	1998-06-10	PRIJEM	PREVOD Z UCTU	50583	57934	\N	CD	88180535
555188	1890	1998-07-10	PRIJEM	PREVOD Z UCTU	33722	55801	\N	CD	88180535
555189	1890	1998-08-10	PRIJEM	PREVOD Z UCTU	33722	41160	\N	CD	88180535
555190	1890	1998-09-10	PRIJEM	PREVOD Z UCTU	33722	39459	\N	CD	88180535
555191	1890	1998-10-10	PRIJEM	PREVOD Z UCTU	33722	50102	\N	CD	88180535
555192	1890	1998-11-10	PRIJEM	PREVOD Z UCTU	33722	56184	\N	CD	88180535
555193	1890	1998-12-10	PRIJEM	PREVOD Z UCTU	50583	63517	\N	CD	88180535
555201	1890	1998-07-20	VYBER	VYBER	17632	7369	\N	\N	\N
555203	1890	1998-03-27	VYBER	VYBER	10668	13632	\N	\N	\N
555205	1890	1998-01-20	VYBER	VYBER	17790	14181	\N	\N	\N
555206	1890	1998-08-31	VYBER	VYBER	7938	5767	\N	\N	\N
555207	1890	1998-12-19	VYBER	VYBER	14849	10268	\N	\N	\N
555208	1890	1998-03-31	VYBER	VYBER	5738	-406	\N	\N	\N
555209	1890	1998-03-12	VYBER	VYBER	6467	48200	\N	\N	\N
555210	1890	1998-05-07	VYBER	VYBER	10097	5790	\N	\N	\N
555215	1890	1997-12-22	VYDAJ	VYBER	4200	53661	\N	\N	\N
555216	1890	1998-12-27	VYDAJ	VYBER	5400	4868	\N	\N	\N
555223	1890	1998-01-18	VYDAJ	VYBER	5400	31971	\N	\N	\N
555224	1890	1998-01-15	VYDAJ	VYBER	2100	67171	\N	\N	\N
555225	1890	1998-01-07	VYDAJ	VYBER	4800	37049	\N	\N	\N
555226	1890	1998-01-01	VYDAJ	VYBER	3300	50549	\N	\N	\N
555227	1890	1998-01-11	VYDAJ	VYBER	1500	69271	\N	\N	\N
555228	1890	1998-01-25	VYDAJ	VYBER	6000	8181	\N	\N	\N
555233	1890	1998-03-28	VYDAJ	VYBER	8400	5232	\N	\N	\N
555234	1890	1998-01-06	VYDAJ	VYBER	8700	41849	\N	\N	\N
555235	1890	1998-11-19	VYDAJ	VYBER	12000	12884	\N	\N	\N
555236	1890	1998-05-18	VYDAJ	VYBER	9000	7312	\N	\N	\N
555237	1890	1998-01-30	VYDAJ	VYBER	3000	5181	\N	\N	\N
555238	1890	1998-10-11	VYDAJ	VYBER	6000	44102	\N	\N	\N
555239	1890	1998-07-05	VYDAJ	VYBER	5400	22079	\N	\N	\N
555252	1890	1997-12-31	VYDAJ	VYBER	30	53849	SLUZBY	\N	\N
555253	1890	1998-01-31	VYDAJ	VYBER	30	5299	SLUZBY	\N	\N
555254	1890	1998-02-28	VYDAJ	VYBER	30	20945	SLUZBY	\N	\N
555255	1890	1998-03-31	VYDAJ	VYBER	30	-436	SLUZBY	\N	\N
555256	1890	1998-04-30	VYDAJ	VYBER	30	15889	SLUZBY	\N	\N
555257	1890	1998-05-31	VYDAJ	VYBER	30	7351	SLUZBY	\N	\N
555258	1890	1998-06-30	VYDAJ	VYBER	30	27479	SLUZBY	\N	\N
555259	1890	1998-07-31	VYDAJ	VYBER	30	7438	SLUZBY	\N	\N
555260	1890	1998-08-31	VYDAJ	VYBER	30	5737	SLUZBY	\N	\N
555261	1890	1998-09-30	VYDAJ	VYBER	30	16380	SLUZBY	\N	\N
555262	1890	1998-10-31	VYDAJ	VYBER	30	22462	SLUZBY	\N	\N
555263	1890	1998-11-30	VYDAJ	VYBER	30	12934	SLUZBY	\N	\N
555264	1890	1997-08-19	VYDAJ	VYBER	3200	31122	\N	\N	\N
555265	1890	1997-09-18	VYDAJ	VYBER	23200	41698	\N	\N	\N
555266	1890	1997-10-18	VYDAJ	VYBER	28000	47569	\N	\N	\N
555267	1890	1997-11-17	VYDAJ	VYBER	31800	49676	\N	\N	\N
555268	1890	1997-12-17	VYDAJ	VYBER	42600	57861	\N	\N	\N
555269	1890	1998-01-16	VYDAJ	VYBER	29800	37371	\N	\N	\N
555270	1890	1998-02-15	VYDAJ	VYBER	18100	20921	\N	\N	\N
555271	1890	1998-03-17	VYDAJ	VYBER	23900	24300	\N	\N	\N
555272	1890	1998-04-16	VYDAJ	VYBER	17400	15886	\N	\N	\N
555273	1890	1998-05-16	VYDAJ	VYBER	23200	16312	\N	\N	\N
555274	1890	1998-06-15	VYDAJ	VYBER	30500	27434	\N	\N	\N
555275	1890	1998-07-15	VYDAJ	VYBER	30800	25001	\N	\N	\N
555276	1890	1998-08-14	VYDAJ	VYBER	27500	13660	\N	\N	\N
555277	1890	1998-09-13	VYDAJ	VYBER	23100	16359	\N	\N	\N
555278	1890	1998-10-13	VYDAJ	VYBER	21700	22402	\N	\N	\N
555279	1890	1998-11-12	VYDAJ	VYBER	31300	24884	\N	\N	\N
555280	1890	1998-12-12	VYDAJ	VYBER	38400	25117	\N	\N	\N
555300	1891	1993-04-10	PRIJEM	VKLAD	800	800	\N	\N	\N
555305	1891	1993-05-10	PRIJEM	PREVOD Z UCTU	3756	16456	\N	AB	55015951
555306	1891	1993-06-10	PRIJEM	PREVOD Z UCTU	3756	24061	\N	AB	55015951
555307	1891	1993-07-10	PRIJEM	PREVOD Z UCTU	3756	29707	\N	AB	55015951
555308	1891	1993-08-10	PRIJEM	PREVOD Z UCTU	3756	30680	\N	AB	55015951
555309	1891	1993-09-10	PRIJEM	PREVOD Z UCTU	3756	32963	\N	AB	55015951
555310	1891	1993-10-10	PRIJEM	PREVOD Z UCTU	3756	30330	\N	AB	55015951
555311	1891	1993-11-10	PRIJEM	PREVOD Z UCTU	3756	29017	\N	AB	55015951
555312	1891	1993-12-10	PRIJEM	PREVOD Z UCTU	3756	30038	\N	AB	55015951
555313	1891	1994-01-10	PRIJEM	PREVOD Z UCTU	3756	28931	\N	AB	55015951
555314	1891	1994-02-10	PRIJEM	PREVOD Z UCTU	3756	26065	\N	AB	55015951
555315	1891	1994-03-10	PRIJEM	PREVOD Z UCTU	3756	25851	\N	AB	55015951
555316	1891	1994-04-10	PRIJEM	PREVOD Z UCTU	3756	27287	\N	AB	55015951
555317	1891	1994-05-10	PRIJEM	PREVOD Z UCTU	3756	29697	\N	AB	55015951
555318	1891	1994-06-10	PRIJEM	PREVOD Z UCTU	3756	30094	\N	AB	55015951
555319	1891	1994-07-10	PRIJEM	PREVOD Z UCTU	3756	26466	\N	AB	55015951
555320	1891	1994-08-10	PRIJEM	PREVOD Z UCTU	3756	26506	\N	AB	55015951
555321	1891	1994-09-10	PRIJEM	PREVOD Z UCTU	3756	30145	\N	AB	55015951
555322	1891	1994-10-10	PRIJEM	PREVOD Z UCTU	3756	28767	\N	AB	55015951
555323	1891	1994-11-10	PRIJEM	PREVOD Z UCTU	3756	32316	\N	AB	55015951
555324	1891	1994-12-10	PRIJEM	PREVOD Z UCTU	3756	31477	\N	AB	55015951
555325	1891	1995-01-10	PRIJEM	PREVOD Z UCTU	3756	28196	\N	AB	55015951
555326	1891	1995-02-10	PRIJEM	PREVOD Z UCTU	3756	26474	\N	AB	55015951
555327	1891	1995-03-10	PRIJEM	PREVOD Z UCTU	3756	30942	\N	AB	55015951
555328	1891	1995-04-10	PRIJEM	PREVOD Z UCTU	3756	31297	\N	AB	55015951
555329	1891	1995-05-10	PRIJEM	PREVOD Z UCTU	3756	35756	\N	AB	55015951
555330	1891	1995-06-10	PRIJEM	PREVOD Z UCTU	3756	34732	\N	AB	55015951
555331	1891	1995-07-10	PRIJEM	PREVOD Z UCTU	3756	34360	\N	AB	55015951
555332	1891	1995-08-10	PRIJEM	PREVOD Z UCTU	3756	33250	\N	AB	55015951
555333	1891	1995-09-10	PRIJEM	PREVOD Z UCTU	3756	37918	\N	AB	55015951
555334	1891	1995-10-10	PRIJEM	PREVOD Z UCTU	3756	41705	\N	AB	55015951
555335	1891	1995-11-10	PRIJEM	PREVOD Z UCTU	3756	44306	\N	AB	55015951
555336	1891	1995-12-10	PRIJEM	PREVOD Z UCTU	3756	46389	\N	AB	55015951
555337	1891	1996-01-10	PRIJEM	PREVOD Z UCTU	3756	42657	\N	AB	55015951
555338	1891	1996-02-10	PRIJEM	PREVOD Z UCTU	3756	44314	\N	AB	55015951
555339	1891	1996-03-10	PRIJEM	PREVOD Z UCTU	3756	45977	\N	AB	55015951
555340	1891	1996-04-10	PRIJEM	PREVOD Z UCTU	3756	48998	\N	AB	55015951
555341	1891	1996-05-10	PRIJEM	PREVOD Z UCTU	3756	53732	\N	AB	55015951
555342	1891	1996-06-10	PRIJEM	PREVOD Z UCTU	3756	52580	\N	AB	55015951
555343	1891	1996-07-10	PRIJEM	PREVOD Z UCTU	3756	54294	\N	AB	55015951
555344	1891	1996-08-10	PRIJEM	PREVOD Z UCTU	3756	53375	\N	AB	55015951
555345	1891	1996-09-10	PRIJEM	PREVOD Z UCTU	3756	54754	\N	AB	55015951
555346	1891	1996-10-10	PRIJEM	PREVOD Z UCTU	3756	57311	\N	AB	55015951
555347	1891	1996-11-10	PRIJEM	PREVOD Z UCTU	3756	61580	\N	AB	55015951
555348	1891	1996-12-10	PRIJEM	PREVOD Z UCTU	3756	64665	\N	AB	55015951
555349	1891	1997-01-10	PRIJEM	PREVOD Z UCTU	3756	61006	\N	AB	55015951
555350	1891	1997-02-10	PRIJEM	PREVOD Z UCTU	3756	61889	\N	AB	55015951
555351	1891	1997-03-10	PRIJEM	PREVOD Z UCTU	3756	63974	\N	AB	55015951
555352	1891	1997-04-10	PRIJEM	PREVOD Z UCTU	3756	68171	\N	AB	55015951
555353	1891	1997-05-10	PRIJEM	PREVOD Z UCTU	3756	73086	\N	AB	55015951
555354	1891	1997-06-10	PRIJEM	PREVOD Z UCTU	3756	75719	\N	AB	55015951
555355	1891	1997-07-10	PRIJEM	PREVOD Z UCTU	3756	71663	\N	AB	55015951
555356	1891	1997-08-10	PRIJEM	PREVOD Z UCTU	3756	71945	\N	AB	55015951
555357	1891	1997-09-10	PRIJEM	PREVOD Z UCTU	3756	76376	\N	AB	55015951
555358	1891	1997-10-10	PRIJEM	PREVOD Z UCTU	3756	78061	\N	AB	55015951
555359	1891	1997-11-10	PRIJEM	PREVOD Z UCTU	3756	78459	\N	AB	55015951
555360	1891	1997-12-10	PRIJEM	PREVOD Z UCTU	3756	78599	\N	AB	55015951
555361	1891	1998-01-10	PRIJEM	PREVOD Z UCTU	3756	73051	\N	AB	55015951
555362	1891	1998-02-10	PRIJEM	PREVOD Z UCTU	3756	66798	\N	AB	55015951
555363	1891	1998-03-10	PRIJEM	PREVOD Z UCTU	3756	73113	\N	AB	55015951
555364	1891	1998-04-10	PRIJEM	PREVOD Z UCTU	3756	76126	\N	AB	55015951
555365	1891	1998-05-10	PRIJEM	PREVOD Z UCTU	3756	81977	\N	AB	55015951
555366	1891	1998-06-10	PRIJEM	PREVOD Z UCTU	3756	76654	\N	AB	55015951
555367	1891	1998-07-10	PRIJEM	PREVOD Z UCTU	3756	80639	\N	AB	55015951
555368	1891	1998-08-10	PRIJEM	PREVOD Z UCTU	3756	81000	\N	AB	55015951
555369	1891	1998-09-10	PRIJEM	PREVOD Z UCTU	3756	82260	\N	AB	55015951
555370	1891	1998-10-10	PRIJEM	PREVOD Z UCTU	3756	85330	\N	AB	55015951
555371	1891	1998-11-10	PRIJEM	PREVOD Z UCTU	3756	89711	\N	AB	55015951
555372	1891	1998-12-10	PRIJEM	PREVOD Z UCTU	3756	91304	\N	AB	55015951
555381	1891	1993-09-13	VYDAJ	PREVOD NA UCET	2039	30924	SIPO	OP	32430213
555382	1891	1993-10-13	VYDAJ	PREVOD NA UCET	2039	27721	SIPO	OP	32430213
555383	1891	1993-11-13	VYDAJ	PREVOD NA UCET	2039	26978	SIPO	OP	32430213
555384	1891	1993-12-13	VYDAJ	PREVOD NA UCET	2039	27999	SIPO	OP	32430213
555385	1891	1994-01-13	VYDAJ	PREVOD NA UCET	2039	26322	SIPO	OP	32430213
555386	1891	1994-02-13	VYDAJ	PREVOD NA UCET	2039	24026	SIPO	OP	32430213
555387	1891	1994-03-13	VYDAJ	PREVOD NA UCET	2039	23812	SIPO	OP	32430213
555388	1891	1994-04-13	VYDAJ	PREVOD NA UCET	2039	24618	SIPO	OP	32430213
555389	1891	1994-05-13	VYDAJ	PREVOD NA UCET	2039	27238	SIPO	OP	32430213
555390	1891	1994-06-13	VYDAJ	PREVOD NA UCET	2039	28055	SIPO	OP	32430213
555391	1891	1994-07-13	VYDAJ	PREVOD NA UCET	2039	24427	SIPO	OP	32430213
555392	1891	1994-08-13	VYDAJ	PREVOD NA UCET	2039	24467	SIPO	OP	32430213
555393	1891	1994-09-13	VYDAJ	PREVOD NA UCET	2039	28106	SIPO	OP	32430213
555394	1891	1994-10-13	VYDAJ	PREVOD NA UCET	2039	26728	SIPO	OP	32430213
555395	1891	1994-11-13	VYDAJ	PREVOD NA UCET	2039	30277	SIPO	OP	32430213
555396	1891	1994-12-13	VYDAJ	PREVOD NA UCET	2039	29438	SIPO	OP	32430213
555397	1891	1995-01-13	VYDAJ	PREVOD NA UCET	2039	26157	SIPO	OP	32430213
555398	1891	1995-02-13	VYDAJ	PREVOD NA UCET	2039	24435	SIPO	OP	32430213
555399	1891	1995-03-13	VYDAJ	PREVOD NA UCET	2039	28903	SIPO	OP	32430213
555400	1891	1995-04-13	VYDAJ	PREVOD NA UCET	2039	29258	SIPO	OP	32430213
555401	1891	1995-05-13	VYDAJ	PREVOD NA UCET	2039	33717	SIPO	OP	32430213
555402	1891	1995-06-13	VYDAJ	PREVOD NA UCET	2039	26663	SIPO	OP	32430213
555403	1891	1995-07-13	VYDAJ	PREVOD NA UCET	2039	32321	SIPO	OP	32430213
555404	1891	1995-08-13	VYDAJ	PREVOD NA UCET	2039	31211	SIPO	OP	32430213
555405	1891	1995-09-13	VYDAJ	PREVOD NA UCET	2039	35879	SIPO	OP	32430213
555406	1891	1995-10-13	VYDAJ	PREVOD NA UCET	2039	39666	SIPO	OP	32430213
555407	1891	1995-11-13	VYDAJ	PREVOD NA UCET	2039	42267	SIPO	OP	32430213
555408	1891	1995-12-13	VYDAJ	PREVOD NA UCET	2039	44350	SIPO	OP	32430213
555409	1891	1996-01-13	VYDAJ	PREVOD NA UCET	2039	40438	SIPO	OP	32430213
555410	1891	1996-02-13	VYDAJ	PREVOD NA UCET	2039	42275	SIPO	OP	32430213
555411	1891	1996-03-13	VYDAJ	PREVOD NA UCET	2039	43938	SIPO	OP	32430213
555412	1891	1996-04-13	VYDAJ	PREVOD NA UCET	2039	46959	SIPO	OP	32430213
555413	1891	1996-05-13	VYDAJ	PREVOD NA UCET	2039	51693	SIPO	OP	32430213
555414	1891	1996-06-13	VYDAJ	PREVOD NA UCET	2039	50541	SIPO	OP	32430213
555415	1891	1996-07-13	VYDAJ	PREVOD NA UCET	2039	52255	SIPO	OP	32430213
555416	1891	1996-08-13	VYDAJ	PREVOD NA UCET	2039	51336	SIPO	OP	32430213
555417	1891	1996-09-13	VYDAJ	PREVOD NA UCET	2039	52715	SIPO	OP	32430213
555418	1891	1996-10-13	VYDAJ	PREVOD NA UCET	2039	55272	SIPO	OP	32430213
555419	1891	1996-11-13	VYDAJ	PREVOD NA UCET	2039	59541	SIPO	OP	32430213
555420	1891	1996-12-13	VYDAJ	PREVOD NA UCET	2039	61366	SIPO	OP	32430213
555421	1891	1997-01-13	VYDAJ	PREVOD NA UCET	2039	58367	SIPO	OP	32430213
555422	1891	1997-02-13	VYDAJ	PREVOD NA UCET	2039	59850	SIPO	OP	32430213
555423	1891	1997-03-13	VYDAJ	PREVOD NA UCET	2039	61935	SIPO	OP	32430213
555424	1891	1997-04-13	VYDAJ	PREVOD NA UCET	2039	66132	SIPO	OP	32430213
555425	1891	1997-05-13	VYDAJ	PREVOD NA UCET	2039	71047	SIPO	OP	32430213
555426	1891	1997-06-13	VYDAJ	PREVOD NA UCET	2039	65700	SIPO	OP	32430213
555427	1891	1997-07-13	VYDAJ	PREVOD NA UCET	2039	69624	SIPO	OP	32430213
555428	1891	1997-08-13	VYDAJ	PREVOD NA UCET	2039	69906	SIPO	OP	32430213
555429	1891	1997-09-13	VYDAJ	PREVOD NA UCET	2039	74337	SIPO	OP	32430213
555430	1891	1997-10-13	VYDAJ	PREVOD NA UCET	2039	76022	SIPO	OP	32430213
555431	1891	1997-11-13	VYDAJ	PREVOD NA UCET	2039	76420	SIPO	OP	32430213
555432	1891	1997-12-13	VYDAJ	PREVOD NA UCET	2039	76560	SIPO	OP	32430213
555433	1891	1998-01-13	VYDAJ	PREVOD NA UCET	2039	71012	SIPO	OP	32430213
555434	1891	1998-02-13	VYDAJ	PREVOD NA UCET	2039	69559	SIPO	OP	32430213
555435	1891	1998-03-13	VYDAJ	PREVOD NA UCET	2039	71074	SIPO	OP	32430213
555436	1891	1998-04-13	VYDAJ	PREVOD NA UCET	2039	74087	SIPO	OP	32430213
555437	1891	1998-05-13	VYDAJ	PREVOD NA UCET	2039	79938	SIPO	OP	32430213
555438	1891	1998-06-13	VYDAJ	PREVOD NA UCET	2039	78215	SIPO	OP	32430213
555439	1891	1998-07-13	VYDAJ	PREVOD NA UCET	2039	78600	SIPO	OP	32430213
555440	1891	1998-08-13	VYDAJ	PREVOD NA UCET	2039	78661	SIPO	OP	32430213
555441	1891	1998-09-13	VYDAJ	PREVOD NA UCET	2039	81721	SIPO	OP	32430213
555442	1891	1998-10-13	VYDAJ	PREVOD NA UCET	2039	84191	SIPO	OP	32430213
555443	1891	1998-11-13	VYDAJ	PREVOD NA UCET	2039	87672	SIPO	OP	32430213
555444	1891	1998-12-13	VYDAJ	PREVOD NA UCET	2039	89565	SIPO	OP	32430213
555454	1891	1993-10-07	VYDAJ	PREVOD NA UCET	172	30574	 	YZ	43767422
555455	1891	1993-11-07	VYDAJ	PREVOD NA UCET	172	25261	 	YZ	43767422
555456	1891	1993-12-07	VYDAJ	PREVOD NA UCET	172	26282	 	YZ	43767422
555457	1891	1994-01-07	VYDAJ	PREVOD NA UCET	172	25835	 	YZ	43767422
555458	1891	1994-02-07	VYDAJ	PREVOD NA UCET	172	22309	 	YZ	43767422
555459	1891	1994-03-07	VYDAJ	PREVOD NA UCET	172	22095	 	YZ	43767422
555460	1891	1994-04-07	VYDAJ	PREVOD NA UCET	172	23531	 	YZ	43767422
555461	1891	1994-05-07	VYDAJ	PREVOD NA UCET	172	25941	 	YZ	43767422
555462	1891	1994-06-07	VYDAJ	PREVOD NA UCET	172	26338	 	YZ	43767422
555463	1891	1994-07-07	VYDAJ	PREVOD NA UCET	172	22710	 	YZ	43767422
555464	1891	1994-08-07	VYDAJ	PREVOD NA UCET	172	23350	 	YZ	43767422
555465	1891	1994-09-07	VYDAJ	PREVOD NA UCET	172	26389	 	YZ	43767422
555466	1891	1994-10-07	VYDAJ	PREVOD NA UCET	172	25011	 	YZ	43767422
555467	1891	1994-11-07	VYDAJ	PREVOD NA UCET	172	28560	 	YZ	43767422
555468	1891	1994-12-07	VYDAJ	PREVOD NA UCET	172	27721	 	YZ	43767422
555469	1891	1995-01-07	VYDAJ	PREVOD NA UCET	172	25040	 	YZ	43767422
555470	1891	1995-02-07	VYDAJ	PREVOD NA UCET	172	22718	 	YZ	43767422
555471	1891	1995-03-07	VYDAJ	PREVOD NA UCET	172	27456	 	YZ	43767422
555472	1891	1995-04-07	VYDAJ	PREVOD NA UCET	172	27541	 	YZ	43767422
555473	1891	1995-05-07	VYDAJ	PREVOD NA UCET	172	32000	 	YZ	43767422
555474	1891	1995-06-07	VYDAJ	PREVOD NA UCET	172	30976	 	YZ	43767422
555475	1891	1995-07-07	VYDAJ	PREVOD NA UCET	172	30604	 	YZ	43767422
555476	1891	1995-08-07	VYDAJ	PREVOD NA UCET	172	29494	 	YZ	43767422
555477	1891	1995-09-07	VYDAJ	PREVOD NA UCET	172	34162	 	YZ	43767422
555478	1891	1995-10-07	VYDAJ	PREVOD NA UCET	172	37949	 	YZ	43767422
555479	1891	1995-11-07	VYDAJ	PREVOD NA UCET	172	40550	 	YZ	43767422
555480	1891	1995-12-07	VYDAJ	PREVOD NA UCET	172	42633	 	YZ	43767422
555481	1891	1996-01-07	VYDAJ	PREVOD NA UCET	172	40161	 	YZ	43767422
555482	1891	1996-02-07	VYDAJ	PREVOD NA UCET	172	40558	 	YZ	43767422
555483	1891	1996-03-07	VYDAJ	PREVOD NA UCET	172	42221	 	YZ	43767422
555484	1891	1996-04-07	VYDAJ	PREVOD NA UCET	172	45242	 	YZ	43767422
555485	1891	1996-05-07	VYDAJ	PREVOD NA UCET	172	49976	 	YZ	43767422
555486	1891	1996-06-07	VYDAJ	PREVOD NA UCET	172	48824	 	YZ	43767422
555487	1891	1996-07-07	VYDAJ	PREVOD NA UCET	172	50538	 	YZ	43767422
555488	1891	1996-08-07	VYDAJ	PREVOD NA UCET	172	49619	 	YZ	43767422
555489	1891	1996-09-07	VYDAJ	PREVOD NA UCET	172	50998	 	YZ	43767422
555490	1891	1996-10-07	VYDAJ	PREVOD NA UCET	172	53555	 	YZ	43767422
555491	1891	1996-11-07	VYDAJ	PREVOD NA UCET	172	57824	 	YZ	43767422
555492	1891	1996-12-07	VYDAJ	PREVOD NA UCET	172	60909	 	YZ	43767422
555493	1891	1997-01-07	VYDAJ	PREVOD NA UCET	172	57250	 	YZ	43767422
555494	1891	1997-02-07	VYDAJ	PREVOD NA UCET	172	58133	 	YZ	43767422
555495	1891	1997-03-07	VYDAJ	PREVOD NA UCET	172	60218	 	YZ	43767422
555496	1891	1997-04-07	VYDAJ	PREVOD NA UCET	172	64415	 	YZ	43767422
555497	1891	1997-05-07	VYDAJ	PREVOD NA UCET	172	69330	 	YZ	43767422
555498	1891	1997-06-07	VYDAJ	PREVOD NA UCET	172	71963	 	YZ	43767422
555499	1891	1997-07-07	VYDAJ	PREVOD NA UCET	172	67907	 	YZ	43767422
555500	1891	1997-08-07	VYDAJ	PREVOD NA UCET	172	68189	 	YZ	43767422
555501	1891	1997-09-07	VYDAJ	PREVOD NA UCET	172	72620	 	YZ	43767422
555502	1891	1997-10-07	VYDAJ	PREVOD NA UCET	172	74665	 	YZ	43767422
555503	1891	1997-11-07	VYDAJ	PREVOD NA UCET	172	74703	 	YZ	43767422
555504	1891	1997-12-07	VYDAJ	PREVOD NA UCET	172	74843	 	YZ	43767422
555505	1891	1998-01-07	VYDAJ	PREVOD NA UCET	172	69295	 	YZ	43767422
555506	1891	1998-02-07	VYDAJ	PREVOD NA UCET	172	63042	 	YZ	43767422
555507	1891	1998-03-07	VYDAJ	PREVOD NA UCET	172	69357	 	YZ	43767422
555508	1891	1998-04-07	VYDAJ	PREVOD NA UCET	172	72370	 	YZ	43767422
555509	1891	1998-05-07	VYDAJ	PREVOD NA UCET	172	78221	 	YZ	43767422
555510	1891	1998-06-07	VYDAJ	PREVOD NA UCET	172	76078	 	YZ	43767422
555511	1891	1998-07-07	VYDAJ	PREVOD NA UCET	172	76883	 	YZ	43767422
555512	1891	1998-08-07	VYDAJ	PREVOD NA UCET	172	77244	 	YZ	43767422
555513	1891	1998-09-07	VYDAJ	PREVOD NA UCET	172	78504	 	YZ	43767422
555514	1891	1998-10-07	VYDAJ	PREVOD NA UCET	172	81574	 	YZ	43767422
555515	1891	1998-11-07	VYDAJ	PREVOD NA UCET	172	84055	 	YZ	43767422
555516	1891	1998-12-07	VYDAJ	PREVOD NA UCET	172	87548	 	YZ	43767422
555526	1891	1993-10-06	VYDAJ	PREVOD NA UCET	293	30746	POJISTNE	IJ	13493419
555527	1891	1993-11-06	VYDAJ	PREVOD NA UCET	293	27533	POJISTNE	IJ	13493419
555528	1891	1993-12-06	VYDAJ	PREVOD NA UCET	293	26784	POJISTNE	IJ	13493419
555529	1891	1994-01-06	VYDAJ	PREVOD NA UCET	293	26007	POJISTNE	IJ	13493419
555530	1891	1994-02-06	VYDAJ	PREVOD NA UCET	293	22481	POJISTNE	IJ	13493419
555531	1891	1994-03-06	VYDAJ	PREVOD NA UCET	293	22267	POJISTNE	IJ	13493419
555532	1891	1994-04-06	VYDAJ	PREVOD NA UCET	293	23703	POJISTNE	IJ	13493419
555533	1891	1994-05-06	VYDAJ	PREVOD NA UCET	293	26113	POJISTNE	IJ	13493419
555534	1891	1994-06-06	VYDAJ	PREVOD NA UCET	293	26510	POJISTNE	IJ	13493419
555535	1891	1994-07-06	VYDAJ	PREVOD NA UCET	293	22882	POJISTNE	IJ	13493419
555536	1891	1994-08-06	VYDAJ	PREVOD NA UCET	293	23522	POJISTNE	IJ	13493419
555537	1891	1994-09-06	VYDAJ	PREVOD NA UCET	293	26561	POJISTNE	IJ	13493419
555538	1891	1994-10-06	VYDAJ	PREVOD NA UCET	293	25183	POJISTNE	IJ	13493419
555539	1891	1994-11-06	VYDAJ	PREVOD NA UCET	293	28732	POJISTNE	IJ	13493419
555540	1891	1994-12-06	VYDAJ	PREVOD NA UCET	293	27893	POJISTNE	IJ	13493419
555541	1891	1995-01-06	VYDAJ	PREVOD NA UCET	293	25212	POJISTNE	IJ	13493419
555542	1891	1995-02-06	VYDAJ	PREVOD NA UCET	293	22890	POJISTNE	IJ	13493419
555543	1891	1995-03-06	VYDAJ	PREVOD NA UCET	293	27628	POJISTNE	IJ	13493419
555544	1891	1995-04-06	VYDAJ	PREVOD NA UCET	293	27713	POJISTNE	IJ	13493419
555545	1891	1995-05-06	VYDAJ	PREVOD NA UCET	293	32172	POJISTNE	IJ	13493419
555546	1891	1995-06-06	VYDAJ	PREVOD NA UCET	293	31148	POJISTNE	IJ	13493419
555547	1891	1995-07-06	VYDAJ	PREVOD NA UCET	293	30776	POJISTNE	IJ	13493419
555548	1891	1995-08-06	VYDAJ	PREVOD NA UCET	293	29666	POJISTNE	IJ	13493419
555549	1891	1995-09-06	VYDAJ	PREVOD NA UCET	293	34334	POJISTNE	IJ	13493419
555550	1891	1995-10-06	VYDAJ	PREVOD NA UCET	293	38121	POJISTNE	IJ	13493419
555551	1891	1995-11-06	VYDAJ	PREVOD NA UCET	293	40722	POJISTNE	IJ	13493419
555552	1891	1995-12-06	VYDAJ	PREVOD NA UCET	293	42805	POJISTNE	IJ	13493419
555553	1891	1996-01-06	VYDAJ	PREVOD NA UCET	293	40333	POJISTNE	IJ	13493419
555554	1891	1996-02-06	VYDAJ	PREVOD NA UCET	293	40730	POJISTNE	IJ	13493419
555555	1891	1996-03-06	VYDAJ	PREVOD NA UCET	293	42393	POJISTNE	IJ	13493419
555556	1891	1996-04-06	VYDAJ	PREVOD NA UCET	293	45414	POJISTNE	IJ	13493419
555557	1891	1996-05-06	VYDAJ	PREVOD NA UCET	293	50148	POJISTNE	IJ	13493419
555558	1891	1996-06-06	VYDAJ	PREVOD NA UCET	293	48996	POJISTNE	IJ	13493419
555559	1891	1996-07-06	VYDAJ	PREVOD NA UCET	293	50710	POJISTNE	IJ	13493419
555560	1891	1996-08-06	VYDAJ	PREVOD NA UCET	293	49791	POJISTNE	IJ	13493419
555561	1891	1996-09-06	VYDAJ	PREVOD NA UCET	293	51170	POJISTNE	IJ	13493419
555562	1891	1996-10-06	VYDAJ	PREVOD NA UCET	293	53727	POJISTNE	IJ	13493419
555563	1891	1996-11-06	VYDAJ	PREVOD NA UCET	293	57996	POJISTNE	IJ	13493419
555564	1891	1996-12-06	VYDAJ	PREVOD NA UCET	293	61081	POJISTNE	IJ	13493419
555565	1891	1997-01-06	VYDAJ	PREVOD NA UCET	293	57422	POJISTNE	IJ	13493419
555566	1891	1997-02-06	VYDAJ	PREVOD NA UCET	293	58305	POJISTNE	IJ	13493419
555567	1891	1997-03-06	VYDAJ	PREVOD NA UCET	293	60390	POJISTNE	IJ	13493419
555568	1891	1997-04-06	VYDAJ	PREVOD NA UCET	293	64587	POJISTNE	IJ	13493419
555569	1891	1997-05-06	VYDAJ	PREVOD NA UCET	293	69502	POJISTNE	IJ	13493419
555570	1891	1997-06-06	VYDAJ	PREVOD NA UCET	293	72135	POJISTNE	IJ	13493419
555571	1891	1997-07-06	VYDAJ	PREVOD NA UCET	293	68079	POJISTNE	IJ	13493419
555572	1891	1997-08-06	VYDAJ	PREVOD NA UCET	293	68361	POJISTNE	IJ	13493419
555573	1891	1997-09-06	VYDAJ	PREVOD NA UCET	293	72792	POJISTNE	IJ	13493419
555574	1891	1997-10-06	VYDAJ	PREVOD NA UCET	293	74837	POJISTNE	IJ	13493419
555575	1891	1997-11-06	VYDAJ	PREVOD NA UCET	293	74875	POJISTNE	IJ	13493419
555576	1891	1997-12-06	VYDAJ	PREVOD NA UCET	293	75015	POJISTNE	IJ	13493419
555577	1891	1998-01-06	VYDAJ	PREVOD NA UCET	293	69467	POJISTNE	IJ	13493419
555578	1891	1998-02-06	VYDAJ	PREVOD NA UCET	293	63214	POJISTNE	IJ	13493419
555579	1891	1998-03-06	VYDAJ	PREVOD NA UCET	293	69529	POJISTNE	IJ	13493419
555580	1891	1998-04-06	VYDAJ	PREVOD NA UCET	293	72542	POJISTNE	IJ	13493419
555581	1891	1998-05-06	VYDAJ	PREVOD NA UCET	293	78393	POJISTNE	IJ	13493419
555582	1891	1998-06-06	VYDAJ	PREVOD NA UCET	293	76250	POJISTNE	IJ	13493419
555583	1891	1998-07-06	VYDAJ	PREVOD NA UCET	293	77055	POJISTNE	IJ	13493419
555584	1891	1998-08-06	VYDAJ	PREVOD NA UCET	293	77416	POJISTNE	IJ	13493419
555585	1891	1998-09-06	VYDAJ	PREVOD NA UCET	293	78676	POJISTNE	IJ	13493419
555586	1891	1998-10-06	VYDAJ	PREVOD NA UCET	293	81746	POJISTNE	IJ	13493419
555587	1891	1998-11-06	VYDAJ	PREVOD NA UCET	293	84227	POJISTNE	IJ	13493419
555588	1891	1998-12-06	VYDAJ	PREVOD NA UCET	293	87720	POJISTNE	IJ	13493419
555590	1891	1994-06-28	VYDAJ	VYBER	2580	25475	\N	\N	\N
555591	1891	1995-06-10	VYDAJ	VYBER	6030	28702	\N	\N	\N
555592	1891	1996-06-20	VYDAJ	VYBER	5730	44811	\N	\N	\N
555593	1891	1997-06-12	VYDAJ	VYBER	7980	67739	\N	\N	\N
555594	1891	1998-06-08	VYDAJ	VYBER	3180	72898	\N	\N	\N
555596	1891	1994-01-09	VYDAJ	VYBER	660	25175	\N	\N	\N
555597	1891	1995-01-17	VYDAJ	VYBER	2580	22857	\N	\N	\N
555598	1891	1996-01-06	VYDAJ	VYBER	690	40626	\N	\N	\N
555599	1891	1997-01-05	VYDAJ	VYBER	1920	57715	\N	\N	\N
555600	1891	1998-01-17	VYDAJ	VYBER	2670	66542	\N	\N	\N
555601	1891	1993-12-06	VYDAJ	VYBER	330	26454	\N	\N	\N
555602	1891	1994-12-29	VYDAJ	VYBER	270	27698	\N	\N	\N
555603	1891	1995-12-03	VYDAJ	VYBER	630	43098	\N	\N	\N
555604	1891	1996-12-28	VYDAJ	VYBER	270	60296	\N	\N	\N
555605	1891	1997-12-04	VYDAJ	VYBER	210	75308	\N	\N	\N
555606	1891	1998-12-18	VYDAJ	VYBER	420	89145	\N	\N	\N
555613	1891	1994-01-16	VYDAJ	VYBER	750	25032	\N	\N	\N
555614	1891	1994-01-11	VYDAJ	VYBER	570	28361	\N	\N	\N
555615	1891	1994-01-24	VYDAJ	VYBER	660	23082	\N	\N	\N
555616	1891	1994-01-23	VYDAJ	VYBER	510	23742	\N	\N	\N
555617	1891	1994-01-14	VYDAJ	VYBER	540	25782	\N	\N	\N
555618	1891	1994-01-23	VYDAJ	VYBER	780	24252	\N	\N	\N
555619	1891	1995-01-09	VYDAJ	VYBER	600	24440	\N	\N	\N
555620	1891	1995-01-14	VYDAJ	VYBER	570	25587	\N	\N	\N
555621	1891	1995-01-24	VYDAJ	VYBER	270	22287	\N	\N	\N
555622	1891	1995-01-16	VYDAJ	VYBER	150	25437	\N	\N	\N
555623	1891	1995-01-29	VYDAJ	VYBER	840	21447	\N	\N	\N
555624	1891	1995-01-23	VYDAJ	VYBER	300	22557	\N	\N	\N
555625	1891	1996-01-08	VYDAJ	VYBER	810	39351	\N	\N	\N
555626	1891	1996-01-11	VYDAJ	VYBER	180	42477	\N	\N	\N
555627	1891	1996-01-17	VYDAJ	VYBER	270	40168	\N	\N	\N
555628	1891	1996-01-28	VYDAJ	VYBER	810	40868	\N	\N	\N
555629	1891	1996-01-19	VYDAJ	VYBER	390	39778	\N	\N	\N
555630	1891	1996-01-09	VYDAJ	VYBER	450	38901	\N	\N	\N
555631	1891	1997-01-25	VYDAJ	VYBER	600	59927	\N	\N	\N
555632	1891	1997-01-30	VYDAJ	VYBER	690	58367	\N	\N	\N
555633	1891	1997-01-27	VYDAJ	VYBER	870	59057	\N	\N	\N
555634	1891	1997-01-12	VYDAJ	VYBER	600	60406	\N	\N	\N
555635	1891	1997-01-04	VYDAJ	VYBER	630	59635	\N	\N	\N
555636	1891	1997-01-03	VYDAJ	VYBER	270	60265	\N	\N	\N
555637	1891	1998-01-25	VYDAJ	VYBER	690	64532	\N	\N	\N
555638	1891	1998-01-06	VYDAJ	VYBER	630	69760	\N	\N	\N
555639	1891	1998-01-27	VYDAJ	VYBER	360	64172	\N	\N	\N
555640	1891	1998-01-06	VYDAJ	VYBER	480	70390	\N	\N	\N
555641	1891	1998-01-20	VYDAJ	VYBER	390	65222	\N	\N	\N
555642	1891	1998-01-02	VYDAJ	VYBER	540	70870	\N	\N	\N
555644	1891	1993-10-11	VYDAJ	VYBER	570	29760	\N	\N	\N
555646	1891	1994-12-26	VYDAJ	VYBER	1470	27968	\N	\N	\N
555647	1891	1994-05-11	VYDAJ	VYBER	420	29277	\N	\N	\N
555648	1891	1994-08-31	VYDAJ	VYBER	900	23654	\N	\N	\N
555649	1891	1994-02-20	VYDAJ	VYBER	450	23576	\N	\N	\N
555650	1891	1994-05-15	VYDAJ	VYBER	570	26668	\N	\N	\N
555651	1891	1994-04-10	VYDAJ	VYBER	630	26657	\N	\N	\N
555652	1891	1994-05-22	VYDAJ	VYBER	660	26008	\N	\N	\N
555653	1891	1994-08-09	VYDAJ	VYBER	600	22750	\N	\N	\N
555654	1891	1994-10-05	VYDAJ	VYBER	630	25476	\N	\N	\N
555655	1891	1995-08-05	VYDAJ	VYBER	780	29959	\N	\N	\N
555656	1891	1995-03-09	VYDAJ	VYBER	270	27186	\N	\N	\N
555657	1891	1995-02-01	VYDAJ	VYBER	330	23183	\N	\N	\N
555658	1891	1995-01-29	VYDAJ	VYBER	1020	20427	\N	\N	\N
555659	1891	1996-03-03	VYDAJ	VYBER	1350	42686	\N	\N	\N
555660	1891	1996-08-05	VYDAJ	VYBER	1170	50084	\N	\N	\N
555661	1891	1996-01-26	VYDAJ	VYBER	900	41678	\N	\N	\N
555662	1891	1996-08-19	VYDAJ	VYBER	870	50466	\N	\N	\N
555663	1891	1996-12-12	VYDAJ	VYBER	1260	63405	\N	\N	\N
555664	1891	1997-01-22	VYDAJ	VYBER	1140	60527	\N	\N	\N
555665	1891	1997-10-08	VYDAJ	VYBER	360	74305	\N	\N	\N
555666	1891	1997-10-18	VYDAJ	VYBER	1050	74872	\N	\N	\N
555667	1891	1997-12-27	VYDAJ	VYBER	1440	71120	\N	\N	\N
555668	1891	1997-08-06	VYDAJ	VYBER	240	68654	\N	\N	\N
555669	1891	1998-01-18	VYDAJ	VYBER	930	65612	\N	\N	\N
555670	1891	1998-03-17	VYDAJ	VYBER	1320	72554	\N	\N	\N
555671	1891	1998-07-01	VYDAJ	VYBER	1170	77348	\N	\N	\N
555672	1891	1998-02-05	VYDAJ	VYBER	930	63507	\N	\N	\N
555682	1891	1993-09-30	VYDAJ	VYBER	15	31039	SLUZBY	\N	\N
555683	1891	1993-10-31	VYDAJ	VYBER	15	27826	SLUZBY	\N	\N
555684	1891	1993-11-30	VYDAJ	VYBER	15	27077	SLUZBY	\N	\N
555685	1891	1993-12-31	VYDAJ	VYBER	15	28100	SLUZBY	\N	\N
555686	1891	1994-01-31	VYDAJ	VYBER	15	23174	SLUZBY	\N	\N
555687	1891	1994-02-28	VYDAJ	VYBER	15	23660	SLUZBY	\N	\N
555688	1891	1994-03-31	VYDAJ	VYBER	15	23896	SLUZBY	\N	\N
555689	1891	1994-04-30	VYDAJ	VYBER	15	24706	SLUZBY	\N	\N
555690	1891	1994-05-31	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
555691	1891	1994-06-30	VYDAJ	VYBER	15	25575	SLUZBY	\N	\N
555692	1891	1994-07-31	VYDAJ	VYBER	15	24515	SLUZBY	\N	\N
555693	1891	1994-08-31	VYDAJ	VYBER	15	24554	SLUZBY	\N	\N
555694	1891	1994-09-30	VYDAJ	VYBER	15	28206	SLUZBY	\N	\N
555695	1891	1994-10-31	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
555696	1891	1994-11-30	VYDAJ	VYBER	15	30386	SLUZBY	\N	\N
555697	1891	1994-12-31	VYDAJ	VYBER	15	27805	SLUZBY	\N	\N
555698	1891	1995-01-31	VYDAJ	VYBER	15	23513	SLUZBY	\N	\N
555699	1891	1995-02-28	VYDAJ	VYBER	15	24521	SLUZBY	\N	\N
555700	1891	1995-03-31	VYDAJ	VYBER	15	29006	SLUZBY	\N	\N
555701	1891	1995-04-30	VYDAJ	VYBER	15	32465	SLUZBY	\N	\N
555702	1891	1995-05-31	VYDAJ	VYBER	15	31441	SLUZBY	\N	\N
555703	1891	1995-06-30	VYDAJ	VYBER	15	31069	SLUZBY	\N	\N
555704	1891	1995-07-31	VYDAJ	VYBER	15	30739	SLUZBY	\N	\N
555705	1891	1995-08-31	VYDAJ	VYBER	15	34627	SLUZBY	\N	\N
555706	1891	1995-09-30	VYDAJ	VYBER	15	38414	SLUZBY	\N	\N
555707	1891	1995-10-31	VYDAJ	VYBER	15	41015	SLUZBY	\N	\N
555708	1891	1995-11-30	VYDAJ	VYBER	15	43728	SLUZBY	\N	\N
555709	1891	1995-12-31	VYDAJ	VYBER	15	41316	SLUZBY	\N	\N
555710	1891	1996-01-31	VYDAJ	VYBER	15	41023	SLUZBY	\N	\N
555711	1891	1996-02-29	VYDAJ	VYBER	15	44036	SLUZBY	\N	\N
555712	1891	1996-03-31	VYDAJ	VYBER	15	45707	SLUZBY	\N	\N
555713	1891	1996-04-30	VYDAJ	VYBER	15	50441	SLUZBY	\N	\N
555714	1891	1996-05-31	VYDAJ	VYBER	15	49289	SLUZBY	\N	\N
555715	1891	1996-06-30	VYDAJ	VYBER	15	51003	SLUZBY	\N	\N
555716	1891	1996-07-31	VYDAJ	VYBER	15	51254	SLUZBY	\N	\N
555717	1891	1996-08-31	VYDAJ	VYBER	15	51463	SLUZBY	\N	\N
555718	1891	1996-09-30	VYDAJ	VYBER	15	54020	SLUZBY	\N	\N
555719	1891	1996-10-31	VYDAJ	VYBER	15	58289	SLUZBY	\N	\N
555720	1891	1996-11-30	VYDAJ	VYBER	15	61374	SLUZBY	\N	\N
555721	1891	1996-12-31	VYDAJ	VYBER	15	60535	SLUZBY	\N	\N
555722	1891	1997-01-31	VYDAJ	VYBER	15	58598	SLUZBY	\N	\N
555723	1891	1997-02-28	VYDAJ	VYBER	15	60683	SLUZBY	\N	\N
555724	1891	1997-03-31	VYDAJ	VYBER	15	64880	SLUZBY	\N	\N
555725	1891	1997-04-30	VYDAJ	VYBER	15	69795	SLUZBY	\N	\N
555726	1891	1997-05-31	VYDAJ	VYBER	15	72428	SLUZBY	\N	\N
555727	1891	1997-06-30	VYDAJ	VYBER	15	68372	SLUZBY	\N	\N
555728	1891	1997-07-31	VYDAJ	VYBER	15	68894	SLUZBY	\N	\N
555729	1891	1997-08-31	VYDAJ	VYBER	15	73085	SLUZBY	\N	\N
555730	1891	1997-09-30	VYDAJ	VYBER	15	75130	SLUZBY	\N	\N
555731	1891	1997-10-31	VYDAJ	VYBER	15	75168	SLUZBY	\N	\N
555732	1891	1997-11-30	VYDAJ	VYBER	15	75518	SLUZBY	\N	\N
555733	1891	1997-12-31	VYDAJ	VYBER	15	71410	SLUZBY	\N	\N
555734	1891	1998-01-31	VYDAJ	VYBER	15	64437	SLUZBY	\N	\N
555735	1891	1998-02-28	VYDAJ	VYBER	15	69822	SLUZBY	\N	\N
555736	1891	1998-03-31	VYDAJ	VYBER	15	72835	SLUZBY	\N	\N
555737	1891	1998-04-30	VYDAJ	VYBER	15	78686	SLUZBY	\N	\N
555738	1891	1998-05-31	VYDAJ	VYBER	15	76543	SLUZBY	\N	\N
555739	1891	1998-06-30	VYDAJ	VYBER	15	78518	SLUZBY	\N	\N
555740	1891	1998-07-31	VYDAJ	VYBER	15	77709	SLUZBY	\N	\N
555741	1891	1998-08-31	VYDAJ	VYBER	15	78969	SLUZBY	\N	\N
555742	1891	1998-09-30	VYDAJ	VYBER	15	82039	SLUZBY	\N	\N
555743	1891	1998-10-31	VYDAJ	VYBER	15	84520	SLUZBY	\N	\N
555744	1891	1998-11-30	VYDAJ	VYBER	15	88013	SLUZBY	\N	\N
555745	1891	1993-05-10	PRIJEM	VKLAD	11900	12700	\N	\N	\N
555746	1891	1993-06-09	PRIJEM	VKLAD	3800	20305	\N	\N	\N
555747	1891	1993-07-09	PRIJEM	VKLAD	1800	25951	\N	\N	\N
555748	1891	1993-08-08	VYDAJ	VYBER	2900	26924	\N	\N	\N
555749	1891	1993-09-07	VYDAJ	VYBER	1600	29207	\N	\N	\N
555750	1891	1993-10-07	VYDAJ	VYBER	4000	26574	\N	\N	\N
555751	1891	1993-11-06	VYDAJ	VYBER	2100	25433	\N	\N	\N
555752	1891	1994-01-05	VYDAJ	VYBER	1800	26300	\N	\N	\N
555753	1891	1994-02-04	VYDAJ	VYBER	400	22774	\N	\N	\N
555754	1891	1994-03-06	VYDAJ	VYBER	1100	22560	\N	\N	\N
555755	1891	1994-04-05	PRIJEM	VKLAD	100	23996	\N	\N	\N
555756	1891	1994-05-05	PRIJEM	VKLAD	1700	26406	\N	\N	\N
555757	1891	1994-06-04	PRIJEM	VKLAD	700	26803	\N	\N	\N
555758	1891	1994-07-04	VYDAJ	VYBER	2400	23175	\N	\N	\N
555759	1891	1994-08-03	VYDAJ	VYBER	700	23815	\N	\N	\N
555760	1891	1994-09-02	PRIJEM	VKLAD	3200	26854	\N	\N	\N
555761	1891	1994-10-02	VYDAJ	VYBER	2100	26106	\N	\N	\N
555762	1891	1994-11-01	PRIJEM	VKLAD	2200	29025	\N	\N	\N
555763	1891	1994-12-01	VYDAJ	VYBER	2200	28186	\N	\N	\N
555764	1891	1994-12-31	VYDAJ	VYBER	2300	25505	\N	\N	\N
555765	1891	1995-01-30	PRIJEM	VKLAD	3000	23427	\N	\N	\N
555766	1891	1995-03-01	PRIJEM	VKLAD	3400	27921	\N	\N	\N
555767	1891	1995-03-31	VYDAJ	VYBER	1000	28006	\N	\N	\N
555768	1891	1995-04-30	PRIJEM	VKLAD	3100	32358	\N	\N	\N
555769	1891	1995-05-30	VYDAJ	VYBER	2400	31317	\N	\N	\N
555770	1891	1995-06-29	PRIJEM	VKLAD	4300	30963	\N	\N	\N
555771	1891	1995-07-29	VYDAJ	VYBER	1700	30621	\N	\N	\N
555772	1891	1995-08-28	PRIJEM	VKLAD	3300	34511	\N	\N	\N
555773	1891	1995-09-27	PRIJEM	VKLAD	2400	38279	\N	\N	\N
555774	1891	1995-10-27	PRIJEM	VKLAD	1200	40866	\N	\N	\N
555775	1891	1995-11-26	PRIJEM	VKLAD	1300	43567	\N	\N	\N
555776	1891	1995-12-26	VYDAJ	VYBER	3200	41150	\N	\N	\N
555777	1891	1996-01-25	PRIJEM	VKLAD	2800	42578	\N	\N	\N
555778	1891	1996-02-24	PRIJEM	VKLAD	1600	43875	\N	\N	\N
555779	1891	1996-03-25	PRIJEM	VKLAD	1600	45538	\N	\N	\N
555780	1891	1996-04-24	PRIJEM	VKLAD	3300	50259	\N	\N	\N
555781	1891	1996-05-24	VYDAJ	VYBER	2600	49093	\N	\N	\N
555782	1891	1996-06-23	PRIJEM	VKLAD	6000	50811	\N	\N	\N
555783	1891	1996-07-23	VYDAJ	VYBER	1200	51055	\N	\N	\N
555784	1891	1996-08-22	PRIJEM	VKLAD	800	51266	\N	\N	\N
555785	1891	1996-09-21	PRIJEM	VKLAD	1100	53815	\N	\N	\N
555786	1891	1996-10-21	PRIJEM	VKLAD	2800	58072	\N	\N	\N
555787	1891	1996-11-20	PRIJEM	VKLAD	1600	61141	\N	\N	\N
555788	1891	1996-12-20	VYDAJ	VYBER	800	60566	\N	\N	\N
555789	1891	1997-01-19	PRIJEM	VKLAD	3300	61667	\N	\N	\N
555790	1891	1997-02-18	PRIJEM	VKLAD	600	60450	\N	\N	\N
555791	1891	1997-03-20	PRIJEM	VKLAD	2700	64635	\N	\N	\N
555792	1891	1997-04-19	PRIJEM	VKLAD	3400	69532	\N	\N	\N
555793	1891	1997-05-19	PRIJEM	VKLAD	1100	72147	\N	\N	\N
555794	1891	1997-06-18	PRIJEM	VKLAD	2400	68100	\N	\N	\N
555795	1891	1997-07-18	VYDAJ	VYBER	1000	68624	\N	\N	\N
555796	1891	1997-08-17	PRIJEM	VKLAD	2900	72806	\N	\N	\N
555797	1891	1997-09-16	PRIJEM	VKLAD	500	74837	\N	\N	\N
555798	1891	1997-10-16	VYDAJ	VYBER	100	75922	\N	\N	\N
555799	1891	1997-11-15	VYDAJ	VYBER	1200	75220	\N	\N	\N
555800	1891	1997-12-15	VYDAJ	VYBER	4000	72560	\N	\N	\N
555801	1891	1998-01-14	VYDAJ	VYBER	1800	69212	\N	\N	\N
555802	1891	1998-02-13	PRIJEM	VKLAD	4800	71598	\N	\N	\N
555803	1891	1998-03-15	PRIJEM	VKLAD	2800	73874	\N	\N	\N
555804	1891	1998-04-14	PRIJEM	VKLAD	4300	78387	\N	\N	\N
555805	1891	1998-05-14	VYDAJ	VYBER	3700	76238	\N	\N	\N
555806	1891	1998-06-13	PRIJEM	VKLAD	3600	80254	\N	\N	\N
555807	1891	1998-07-13	VYDAJ	VYBER	1200	77400	\N	\N	\N
555808	1891	1998-08-12	VYDAJ	VYBER	300	80700	\N	\N	\N
555809	1891	1998-09-11	PRIJEM	VKLAD	1500	83760	\N	\N	\N
555810	1891	1998-10-11	PRIJEM	VKLAD	900	86230	\N	\N	\N
555811	1891	1998-11-10	PRIJEM	VKLAD	1900	85955	\N	\N	\N
555812	1891	1998-12-10	PRIJEM	VKLAD	300	91604	\N	\N	\N
555881	1892	1993-07-13	PRIJEM	VKLAD	900	900	\N	\N	\N
555889	1892	1993-08-09	PRIJEM	PREVOD Z UCTU	4622	5522	DUCHOD	KL	3605026
555890	1892	1993-09-09	PRIJEM	PREVOD Z UCTU	4622	10144	DUCHOD	KL	3605026
555891	1892	1993-10-09	PRIJEM	PREVOD Z UCTU	4622	14766	DUCHOD	KL	3605026
555892	1892	1993-11-09	PRIJEM	PREVOD Z UCTU	4622	19388	DUCHOD	KL	3605026
555893	1892	1993-12-09	PRIJEM	PREVOD Z UCTU	4622	24010	DUCHOD	KL	3605026
555894	1892	1994-01-09	PRIJEM	PREVOD Z UCTU	4622	21707	DUCHOD	KL	3605026
555895	1892	1994-02-09	PRIJEM	PREVOD Z UCTU	4622	16757	DUCHOD	KL	3605026
555896	1892	1994-03-09	PRIJEM	PREVOD Z UCTU	4622	19023	DUCHOD	KL	3605026
555897	1892	1994-04-09	PRIJEM	PREVOD Z UCTU	4622	21298	DUCHOD	KL	3605026
555898	1892	1994-05-09	PRIJEM	PREVOD Z UCTU	4622	21664	DUCHOD	KL	3605026
555899	1892	1994-06-09	PRIJEM	PREVOD Z UCTU	4622	20992	DUCHOD	KL	3605026
555900	1892	1994-07-09	PRIJEM	PREVOD Z UCTU	4622	20628	DUCHOD	KL	3605026
555901	1892	1994-08-09	PRIJEM	PREVOD Z UCTU	4622	22911	DUCHOD	KL	3605026
555902	1892	1994-09-09	PRIJEM	PREVOD Z UCTU	4622	24723	DUCHOD	KL	3605026
555903	1892	1994-10-09	PRIJEM	PREVOD Z UCTU	4622	27024	DUCHOD	KL	3605026
555904	1892	1994-11-09	PRIJEM	PREVOD Z UCTU	4622	29333	DUCHOD	KL	3605026
555905	1892	1994-12-09	PRIJEM	PREVOD Z UCTU	4622	31010	DUCHOD	KL	3605026
555906	1892	1995-01-09	PRIJEM	PREVOD Z UCTU	4622	26815	DUCHOD	KL	3605026
555907	1892	1995-02-09	PRIJEM	PREVOD Z UCTU	4622	23989	DUCHOD	KL	3605026
555908	1892	1995-03-09	PRIJEM	PREVOD Z UCTU	4622	26285	DUCHOD	KL	3605026
555909	1892	1995-04-09	PRIJEM	PREVOD Z UCTU	4622	28591	DUCHOD	KL	3605026
555910	1892	1995-05-09	PRIJEM	PREVOD Z UCTU	4622	30906	DUCHOD	KL	3605026
555911	1892	1995-06-09	PRIJEM	PREVOD Z UCTU	4622	29331	DUCHOD	KL	3605026
555912	1892	1995-07-09	PRIJEM	PREVOD Z UCTU	4622	19709	DUCHOD	KL	3605026
555913	1892	1995-08-09	PRIJEM	PREVOD Z UCTU	4622	21987	DUCHOD	KL	3605026
555914	1892	1995-09-09	PRIJEM	PREVOD Z UCTU	4622	20988	DUCHOD	KL	3605026
555915	1892	1995-10-09	PRIJEM	PREVOD Z UCTU	4622	23271	DUCHOD	KL	3605026
555916	1892	1995-11-09	PRIJEM	PREVOD Z UCTU	4622	25564	DUCHOD	KL	3605026
555917	1892	1995-12-09	PRIJEM	PREVOD Z UCTU	4622	25967	DUCHOD	KL	3605026
555918	1892	1996-01-09	PRIJEM	PREVOD Z UCTU	4622	25911	DUCHOD	KL	3605026
555919	1892	1996-02-09	PRIJEM	PREVOD Z UCTU	4622	18941	DUCHOD	KL	3605026
555920	1892	1996-03-09	PRIJEM	PREVOD Z UCTU	4622	21216	DUCHOD	KL	3605026
555921	1892	1996-04-09	PRIJEM	PREVOD Z UCTU	4622	22800	DUCHOD	KL	3605026
555922	1892	1996-05-09	PRIJEM	PREVOD Z UCTU	4622	20489	DUCHOD	KL	3605026
555923	1892	1996-06-09	PRIJEM	PREVOD Z UCTU	4622	19404	DUCHOD	KL	3605026
555924	1892	1996-07-09	PRIJEM	PREVOD Z UCTU	4622	20077	DUCHOD	KL	3605026
555925	1892	1996-08-09	PRIJEM	PREVOD Z UCTU	4622	19655	DUCHOD	KL	3605026
555926	1892	1996-09-09	PRIJEM	PREVOD Z UCTU	4622	19430	DUCHOD	KL	3605026
555927	1892	1996-10-09	PRIJEM	PREVOD Z UCTU	4622	21707	DUCHOD	KL	3605026
555928	1892	1996-11-09	PRIJEM	PREVOD Z UCTU	4622	23993	DUCHOD	KL	3605026
555929	1892	1996-12-09	PRIJEM	PREVOD Z UCTU	4622	22467	DUCHOD	KL	3605026
555930	1892	1997-01-09	PRIJEM	PREVOD Z UCTU	4622	19859	DUCHOD	KL	3605026
555931	1892	1997-02-09	PRIJEM	PREVOD Z UCTU	4622	20056	DUCHOD	KL	3605026
555932	1892	1997-03-09	PRIJEM	PREVOD Z UCTU	4622	20032	DUCHOD	KL	3605026
555933	1892	1997-04-09	PRIJEM	PREVOD Z UCTU	4622	20710	DUCHOD	KL	3605026
555934	1892	1997-05-09	PRIJEM	PREVOD Z UCTU	4622	20107	DUCHOD	KL	3605026
555935	1892	1997-06-09	PRIJEM	PREVOD Z UCTU	4622	20884	DUCHOD	KL	3605026
555936	1892	1997-07-09	PRIJEM	PREVOD Z UCTU	4622	20463	DUCHOD	KL	3605026
555937	1892	1997-08-09	PRIJEM	PREVOD Z UCTU	4622	20379	DUCHOD	KL	3605026
555938	1892	1997-09-09	PRIJEM	PREVOD Z UCTU	4622	21858	DUCHOD	KL	3605026
555939	1892	1997-10-09	PRIJEM	PREVOD Z UCTU	4622	21240	DUCHOD	KL	3605026
555940	1892	1997-11-09	PRIJEM	PREVOD Z UCTU	4622	18716	DUCHOD	KL	3605026
555941	1892	1997-12-09	PRIJEM	PREVOD Z UCTU	4622	20988	DUCHOD	KL	3605026
555942	1892	1998-01-09	PRIJEM	PREVOD Z UCTU	4622	19816	DUCHOD	KL	3605026
555943	1892	1998-02-09	PRIJEM	PREVOD Z UCTU	4622	20169	DUCHOD	KL	3605026
555944	1892	1998-03-09	PRIJEM	PREVOD Z UCTU	4622	22448	DUCHOD	KL	3605026
555945	1892	1998-04-09	PRIJEM	PREVOD Z UCTU	4622	24736	DUCHOD	KL	3605026
555946	1892	1998-05-09	PRIJEM	PREVOD Z UCTU	4622	25672	DUCHOD	KL	3605026
555947	1892	1998-06-09	PRIJEM	PREVOD Z UCTU	4622	27973	DUCHOD	KL	3605026
555948	1892	1998-07-09	PRIJEM	PREVOD Z UCTU	4622	23797	DUCHOD	KL	3605026
555949	1892	1998-08-09	PRIJEM	PREVOD Z UCTU	4622	26091	DUCHOD	KL	3605026
555950	1892	1998-09-09	PRIJEM	PREVOD Z UCTU	4622	22145	DUCHOD	KL	3605026
555951	1892	1998-10-09	PRIJEM	PREVOD Z UCTU	4622	24431	DUCHOD	KL	3605026
555952	1892	1998-11-09	PRIJEM	PREVOD Z UCTU	4622	26727	DUCHOD	KL	3605026
555953	1892	1998-12-09	PRIJEM	PREVOD Z UCTU	4622	25983	DUCHOD	KL	3605026
555965	1892	1993-12-11	VYDAJ	PREVOD NA UCET	2398	20612	SIPO	OP	48820698
555966	1892	1994-01-11	VYDAJ	PREVOD NA UCET	2398	14889	SIPO	OP	48820698
555967	1892	1994-02-11	VYDAJ	PREVOD NA UCET	2398	14359	SIPO	OP	48820698
555968	1892	1994-03-11	VYDAJ	PREVOD NA UCET	2398	16625	SIPO	OP	48820698
555969	1892	1994-04-11	VYDAJ	PREVOD NA UCET	2398	18900	SIPO	OP	48820698
555970	1892	1994-05-11	VYDAJ	PREVOD NA UCET	2398	19266	SIPO	OP	48820698
555971	1892	1994-06-11	VYDAJ	PREVOD NA UCET	2398	18594	SIPO	OP	48820698
555972	1892	1994-07-11	VYDAJ	PREVOD NA UCET	2398	18230	SIPO	OP	48820698
555973	1892	1994-08-11	VYDAJ	PREVOD NA UCET	2398	20513	SIPO	OP	48820698
555974	1892	1994-09-11	VYDAJ	PREVOD NA UCET	2398	22325	SIPO	OP	48820698
555975	1892	1994-10-11	VYDAJ	PREVOD NA UCET	2398	24626	SIPO	OP	48820698
555976	1892	1994-11-11	VYDAJ	PREVOD NA UCET	2398	26935	SIPO	OP	48820698
555977	1892	1994-12-11	VYDAJ	PREVOD NA UCET	2398	28612	SIPO	OP	48820698
555978	1892	1995-01-11	VYDAJ	PREVOD NA UCET	2398	23777	SIPO	OP	48820698
555979	1892	1995-02-11	VYDAJ	PREVOD NA UCET	2398	21591	SIPO	OP	48820698
555980	1892	1995-03-11	VYDAJ	PREVOD NA UCET	2398	23887	SIPO	OP	48820698
555981	1892	1995-04-11	VYDAJ	PREVOD NA UCET	2398	26193	SIPO	OP	48820698
555982	1892	1995-05-11	VYDAJ	PREVOD NA UCET	2398	28508	SIPO	OP	48820698
555983	1892	1995-06-11	VYDAJ	PREVOD NA UCET	2398	26933	SIPO	OP	48820698
555984	1892	1995-07-11	VYDAJ	PREVOD NA UCET	2398	17311	SIPO	OP	48820698
555985	1892	1995-08-11	VYDAJ	PREVOD NA UCET	2398	19589	SIPO	OP	48820698
555986	1892	1995-09-11	VYDAJ	PREVOD NA UCET	2398	18590	SIPO	OP	48820698
555987	1892	1995-10-11	VYDAJ	PREVOD NA UCET	2398	20873	SIPO	OP	48820698
555988	1892	1995-11-11	VYDAJ	PREVOD NA UCET	2398	23166	SIPO	OP	48820698
555989	1892	1995-12-11	VYDAJ	PREVOD NA UCET	2398	23569	SIPO	OP	48820698
555990	1892	1996-01-11	VYDAJ	PREVOD NA UCET	2398	23513	SIPO	OP	48820698
555991	1892	1996-02-11	VYDAJ	PREVOD NA UCET	2398	16543	SIPO	OP	48820698
555992	1892	1996-03-11	VYDAJ	PREVOD NA UCET	2398	18818	SIPO	OP	48820698
555993	1892	1996-04-11	VYDAJ	PREVOD NA UCET	2398	20402	SIPO	OP	48820698
555994	1892	1996-05-11	VYDAJ	PREVOD NA UCET	2398	18091	SIPO	OP	48820698
555995	1892	1996-06-11	VYDAJ	PREVOD NA UCET	2398	17006	SIPO	OP	48820698
555996	1892	1996-07-11	VYDAJ	PREVOD NA UCET	2398	17679	SIPO	OP	48820698
555997	1892	1996-08-11	VYDAJ	PREVOD NA UCET	2398	17257	SIPO	OP	48820698
555998	1892	1996-09-11	VYDAJ	PREVOD NA UCET	2398	17032	SIPO	OP	48820698
555999	1892	1996-10-11	VYDAJ	PREVOD NA UCET	2398	19309	SIPO	OP	48820698
556000	1892	1996-11-11	VYDAJ	PREVOD NA UCET	2398	21595	SIPO	OP	48820698
556001	1892	1996-12-11	VYDAJ	PREVOD NA UCET	2398	20069	SIPO	OP	48820698
556002	1892	1997-01-11	VYDAJ	PREVOD NA UCET	2398	15381	SIPO	OP	48820698
556003	1892	1997-02-11	VYDAJ	PREVOD NA UCET	2398	17658	SIPO	OP	48820698
556004	1892	1997-03-11	VYDAJ	PREVOD NA UCET	2398	17634	SIPO	OP	48820698
556005	1892	1997-04-11	VYDAJ	PREVOD NA UCET	2398	18312	SIPO	OP	48820698
556006	1892	1997-05-11	VYDAJ	PREVOD NA UCET	2398	17709	SIPO	OP	48820698
556007	1892	1997-06-11	VYDAJ	PREVOD NA UCET	2398	18486	SIPO	OP	48820698
556008	1892	1997-07-11	VYDAJ	PREVOD NA UCET	2398	18065	SIPO	OP	48820698
556009	1892	1997-08-11	VYDAJ	PREVOD NA UCET	2398	17981	SIPO	OP	48820698
556010	1892	1997-09-11	VYDAJ	PREVOD NA UCET	2398	19460	SIPO	OP	48820698
556011	1892	1997-10-11	VYDAJ	PREVOD NA UCET	2398	18842	SIPO	OP	48820698
556012	1892	1997-11-11	VYDAJ	PREVOD NA UCET	2398	16318	SIPO	OP	48820698
556013	1892	1997-12-11	VYDAJ	PREVOD NA UCET	2398	18590	SIPO	OP	48820698
556014	1892	1998-01-11	VYDAJ	PREVOD NA UCET	2398	16698	SIPO	OP	48820698
556151	1892	1996-07-31	VYDAJ	VYBER	15	15033	SLUZBY	\N	\N
556015	1892	1998-02-11	VYDAJ	PREVOD NA UCET	2398	17771	SIPO	OP	48820698
556016	1892	1998-03-11	VYDAJ	PREVOD NA UCET	2398	20050	SIPO	OP	48820698
556017	1892	1998-04-11	VYDAJ	PREVOD NA UCET	2398	22338	SIPO	OP	48820698
556018	1892	1998-05-11	VYDAJ	PREVOD NA UCET	2398	23274	SIPO	OP	48820698
556019	1892	1998-06-11	VYDAJ	PREVOD NA UCET	2398	24455	SIPO	OP	48820698
556020	1892	1998-07-11	VYDAJ	PREVOD NA UCET	2398	21399	SIPO	OP	48820698
556021	1892	1998-08-11	VYDAJ	PREVOD NA UCET	2398	23693	SIPO	OP	48820698
556022	1892	1998-09-11	VYDAJ	PREVOD NA UCET	2398	19747	SIPO	OP	48820698
556023	1892	1998-10-11	VYDAJ	PREVOD NA UCET	2398	22033	SIPO	OP	48820698
556024	1892	1998-11-11	VYDAJ	PREVOD NA UCET	2398	24329	SIPO	OP	48820698
556025	1892	1998-12-11	VYDAJ	PREVOD NA UCET	2398	23585	SIPO	OP	48820698
556028	1892	1995-06-28	VYDAJ	VYBER	8500	14993	\N	\N	\N
556031	1892	1998-06-12	VYDAJ	VYBER	5350	19105	\N	\N	\N
556033	1892	1994-01-09	VYDAJ	VYBER	3700	18007	\N	\N	\N
556034	1892	1995-01-20	VYDAJ	VYBER	3050	19287	\N	\N	\N
556035	1892	1996-01-29	VYDAJ	VYBER	3750	16643	\N	\N	\N
556036	1892	1997-01-03	VYDAJ	VYBER	3700	15237	\N	\N	\N
556038	1892	1993-12-12	VYDAJ	VYBER	1250	19362	\N	\N	\N
556039	1892	1994-12-14	VYDAJ	VYBER	600	28012	\N	\N	\N
556040	1892	1995-12-29	VYDAJ	VYBER	600	22969	\N	\N	\N
556041	1892	1996-12-19	VYDAJ	VYBER	1200	18869	\N	\N	\N
556042	1892	1997-12-26	VYDAJ	VYBER	1350	15140	\N	\N	\N
556043	1892	1998-12-07	VYDAJ	VYBER	250	21361	\N	\N	\N
556050	1892	1994-01-12	VYDAJ	VYBER	480	12089	\N	\N	\N
556051	1892	1994-01-10	VYDAJ	VYBER	720	17287	\N	\N	\N
556053	1892	1994-01-03	VYDAJ	VYBER	2320	17085	\N	\N	\N
556055	1892	1994-01-11	VYDAJ	VYBER	2320	12569	\N	\N	\N
556056	1892	1995-01-08	VYDAJ	VYBER	1920	23793	\N	\N	\N
556057	1892	1995-01-02	VYDAJ	VYBER	800	27313	\N	\N	\N
556058	1892	1995-01-08	VYDAJ	VYBER	1600	22193	\N	\N	\N
556059	1892	1995-01-19	VYDAJ	VYBER	400	22337	\N	\N	\N
556060	1892	1995-01-09	VYDAJ	VYBER	640	26175	\N	\N	\N
556061	1892	1995-01-18	VYDAJ	VYBER	1040	22737	\N	\N	\N
556062	1892	1996-01-26	VYDAJ	VYBER	1920	20393	\N	\N	\N
556063	1892	1996-01-15	VYDAJ	VYBER	1200	22313	\N	\N	\N
556064	1892	1996-01-08	VYDAJ	VYBER	480	22569	\N	\N	\N
556065	1892	1996-01-30	VYDAJ	VYBER	1920	14243	\N	\N	\N
556066	1892	1996-01-30	VYDAJ	VYBER	480	16163	\N	\N	\N
556067	1892	1996-01-08	VYDAJ	VYBER	1280	21289	\N	\N	\N
556073	1892	1997-01-10	VYDAJ	VYBER	2080	17779	\N	\N	\N
556074	1892	1998-01-10	VYDAJ	VYBER	720	19096	\N	\N	\N
556075	1892	1998-01-14	VYDAJ	VYBER	1200	15498	\N	\N	\N
556082	1892	1994-06-12	VYDAJ	VYBER	2640	15954	\N	\N	\N
556083	1892	1994-09-04	VYDAJ	VYBER	480	20101	\N	\N	\N
556084	1892	1994-05-01	VYDAJ	VYBER	1920	17042	\N	\N	\N
556085	1892	1994-11-24	VYDAJ	VYBER	640	26295	\N	\N	\N
556086	1892	1994-05-27	VYDAJ	VYBER	2960	16306	\N	\N	\N
556088	1892	1995-08-14	VYDAJ	VYBER	1680	17909	\N	\N	\N
556089	1892	1995-08-19	VYDAJ	VYBER	1600	16309	\N	\N	\N
556090	1892	1995-06-25	VYDAJ	VYBER	3440	23493	\N	\N	\N
556091	1892	1996-06-17	VYDAJ	VYBER	1600	15406	\N	\N	\N
556092	1892	1996-05-18	VYDAJ	VYBER	3360	14731	\N	\N	\N
556095	1892	1996-12-07	VYDAJ	VYBER	2720	17845	\N	\N	\N
556097	1892	1997-07-12	VYDAJ	VYBER	960	17105	\N	\N	\N
556101	1892	1997-04-21	VYDAJ	VYBER	2880	15432	\N	\N	\N
556103	1892	1998-06-11	VYDAJ	VYBER	1120	26853	\N	\N	\N
556104	1892	1998-04-21	VYDAJ	VYBER	1360	20978	\N	\N	\N
556105	1892	1998-08-23	VYDAJ	VYBER	2800	17453	\N	\N	\N
556106	1892	1998-12-06	VYDAJ	VYBER	2800	21611	\N	\N	\N
556107	1892	1998-08-20	VYDAJ	VYBER	3440	20253	\N	\N	\N
556120	1892	1993-12-31	VYDAJ	VYBER	15	19405	SLUZBY	\N	\N
556121	1892	1994-01-31	VYDAJ	VYBER	15	12135	SLUZBY	\N	\N
556122	1892	1994-02-28	VYDAJ	VYBER	15	14401	SLUZBY	\N	\N
556123	1892	1994-03-31	VYDAJ	VYBER	15	16676	SLUZBY	\N	\N
556124	1892	1994-04-30	VYDAJ	VYBER	15	18962	SLUZBY	\N	\N
556125	1892	1994-05-31	VYDAJ	VYBER	15	16370	SLUZBY	\N	\N
556126	1892	1994-06-30	VYDAJ	VYBER	15	16006	SLUZBY	\N	\N
556127	1892	1994-07-31	VYDAJ	VYBER	15	18289	SLUZBY	\N	\N
556128	1892	1994-08-31	VYDAJ	VYBER	15	20581	SLUZBY	\N	\N
556129	1892	1994-09-30	VYDAJ	VYBER	15	22402	SLUZBY	\N	\N
556130	1892	1994-10-31	VYDAJ	VYBER	15	24711	SLUZBY	\N	\N
556131	1892	1994-11-30	VYDAJ	VYBER	15	26388	SLUZBY	\N	\N
556132	1892	1994-12-31	VYDAJ	VYBER	15	28113	SLUZBY	\N	\N
556133	1892	1995-01-31	VYDAJ	VYBER	15	19367	SLUZBY	\N	\N
556134	1892	1995-02-28	VYDAJ	VYBER	15	21663	SLUZBY	\N	\N
556135	1892	1995-03-31	VYDAJ	VYBER	15	23969	SLUZBY	\N	\N
556136	1892	1995-04-30	VYDAJ	VYBER	15	26284	SLUZBY	\N	\N
556137	1892	1995-05-31	VYDAJ	VYBER	15	28609	SLUZBY	\N	\N
556138	1892	1995-06-30	VYDAJ	VYBER	15	15087	SLUZBY	\N	\N
556139	1892	1995-07-31	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
556140	1892	1995-08-31	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
556141	1892	1995-09-30	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
556142	1892	1995-10-31	VYDAJ	VYBER	15	20942	SLUZBY	\N	\N
556143	1892	1995-11-30	VYDAJ	VYBER	15	21345	SLUZBY	\N	\N
556144	1892	1995-12-31	VYDAJ	VYBER	15	23049	SLUZBY	\N	\N
556145	1892	1996-01-31	VYDAJ	VYBER	15	14319	SLUZBY	\N	\N
556146	1892	1996-02-29	VYDAJ	VYBER	15	16594	SLUZBY	\N	\N
556147	1892	1996-03-31	VYDAJ	VYBER	15	18178	SLUZBY	\N	\N
556148	1892	1996-04-30	VYDAJ	VYBER	15	15867	SLUZBY	\N	\N
556149	1892	1996-05-31	VYDAJ	VYBER	15	14782	SLUZBY	\N	\N
556150	1892	1996-06-30	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
556152	1892	1996-08-31	VYDAJ	VYBER	15	14808	SLUZBY	\N	\N
556153	1892	1996-09-30	VYDAJ	VYBER	15	17085	SLUZBY	\N	\N
556154	1892	1996-10-31	VYDAJ	VYBER	15	19371	SLUZBY	\N	\N
556155	1892	1996-11-30	VYDAJ	VYBER	15	20565	SLUZBY	\N	\N
556156	1892	1996-12-31	VYDAJ	VYBER	15	18937	SLUZBY	\N	\N
556157	1892	1997-01-31	VYDAJ	VYBER	15	15434	SLUZBY	\N	\N
556158	1892	1997-02-28	VYDAJ	VYBER	15	15410	SLUZBY	\N	\N
556159	1892	1997-03-31	VYDAJ	VYBER	15	16088	SLUZBY	\N	\N
556160	1892	1997-04-30	VYDAJ	VYBER	15	15485	SLUZBY	\N	\N
556161	1892	1997-05-31	VYDAJ	VYBER	15	16262	SLUZBY	\N	\N
556162	1892	1997-06-30	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
556163	1892	1997-07-31	VYDAJ	VYBER	15	15757	SLUZBY	\N	\N
556164	1892	1997-08-31	VYDAJ	VYBER	15	17236	SLUZBY	\N	\N
556165	1892	1997-09-30	VYDAJ	VYBER	15	16618	SLUZBY	\N	\N
556166	1892	1997-10-31	VYDAJ	VYBER	15	14094	SLUZBY	\N	\N
556167	1892	1997-11-30	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
556168	1892	1997-12-31	VYDAJ	VYBER	15	15194	SLUZBY	\N	\N
556169	1892	1998-01-31	VYDAJ	VYBER	15	15547	SLUZBY	\N	\N
556170	1892	1998-02-28	VYDAJ	VYBER	15	17826	SLUZBY	\N	\N
556171	1892	1998-03-31	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
556172	1892	1998-04-30	VYDAJ	VYBER	15	21050	SLUZBY	\N	\N
556173	1892	1998-05-31	VYDAJ	VYBER	15	23351	SLUZBY	\N	\N
556174	1892	1998-06-30	VYDAJ	VYBER	15	19175	SLUZBY	\N	\N
556175	1892	1998-07-31	VYDAJ	VYBER	15	21469	SLUZBY	\N	\N
556176	1892	1998-08-31	VYDAJ	VYBER	15	17523	SLUZBY	\N	\N
556177	1892	1998-09-30	VYDAJ	VYBER	15	19809	SLUZBY	\N	\N
556178	1892	1998-10-31	VYDAJ	VYBER	15	22105	SLUZBY	\N	\N
556179	1892	1998-11-30	VYDAJ	VYBER	15	24411	SLUZBY	\N	\N
556180	1892	1993-12-10	VYDAJ	VYBER	1000	23010	\N	\N	\N
556181	1892	1995-01-04	VYDAJ	VYBER	1600	25713	\N	\N	\N
556182	1892	1995-06-03	VYDAJ	VYBER	3900	24709	\N	\N	\N
556183	1892	1995-11-30	VYDAJ	VYBER	1900	21359	\N	\N	\N
556184	1892	1996-03-29	VYDAJ	VYBER	700	18118	\N	\N	\N
556185	1892	1996-04-28	VYDAJ	VYBER	4600	15802	\N	\N	\N
556186	1892	1996-07-27	VYDAJ	VYBER	2700	14979	\N	\N	\N
556187	1892	1996-08-26	VYDAJ	VYBER	2500	14757	\N	\N	\N
556188	1892	1996-11-24	VYDAJ	VYBER	1100	20495	\N	\N	\N
556189	1892	1997-02-22	VYDAJ	VYBER	2300	15358	\N	\N	\N
556190	1892	1997-03-24	VYDAJ	VYBER	1600	16034	\N	\N	\N
556191	1892	1997-05-23	VYDAJ	VYBER	1500	16209	\N	\N	\N
556192	1892	1997-06-22	VYDAJ	VYBER	2700	15786	\N	\N	\N
556193	1892	1997-07-22	VYDAJ	VYBER	1400	15705	\N	\N	\N
556194	1892	1997-08-21	VYDAJ	VYBER	800	17181	\N	\N	\N
556195	1892	1997-09-20	VYDAJ	VYBER	2900	16560	\N	\N	\N
556196	1892	1997-10-20	VYDAJ	VYBER	4800	14042	\N	\N	\N
556197	1892	1997-12-19	VYDAJ	VYBER	2100	16490	\N	\N	\N
556259	1893	1996-07-20	PRIJEM	VKLAD	900	900	\N	\N	\N
556260	1893	1996-08-26	PRIJEM	VKLAD	44775	55875	\N	\N	\N
556261	1893	1996-10-19	PRIJEM	VKLAD	33166	88692	\N	\N	\N
556262	1893	1996-09-18	PRIJEM	VKLAD	13555	69475	\N	\N	\N
556263	1893	1996-10-14	PRIJEM	VKLAD	38380	83168	\N	\N	\N
556265	1893	1996-11-21	PRIJEM	VKLAD	24105	122102	\N	\N	\N
556266	1893	1996-10-18	PRIJEM	VKLAD	48058	131226	\N	\N	\N
556267	1893	1996-11-18	PRIJEM	VKLAD	43439	97997	\N	\N	\N
556269	1893	1997-05-12	PRIJEM	VKLAD	31444	99229	\N	\N	\N
556270	1893	1997-11-15	PRIJEM	VKLAD	32127	75449	\N	\N	\N
556271	1893	1997-11-19	PRIJEM	VKLAD	5940	81389	\N	\N	\N
556272	1893	1997-02-18	PRIJEM	VKLAD	41765	69016	\N	\N	\N
556273	1893	1997-03-22	PRIJEM	VKLAD	40234	86208	\N	\N	\N
556274	1893	1997-02-19	PRIJEM	VKLAD	13375	82391	\N	\N	\N
556275	1893	1997-12-18	PRIJEM	VKLAD	36375	135593	\N	\N	\N
556276	1893	1997-05-04	PRIJEM	VKLAD	38519	95991	\N	\N	\N
556277	1893	1997-05-14	PRIJEM	VKLAD	36553	147449	\N	\N	\N
556278	1893	1997-02-12	PRIJEM	VKLAD	30035	45251	\N	\N	\N
556279	1893	1997-11-27	PRIJEM	VKLAD	49428	130817	\N	\N	\N
556280	1893	1997-12-15	PRIJEM	VKLAD	48987	99218	\N	\N	\N
556281	1893	1997-02-21	PRIJEM	VKLAD	22708	105099	\N	\N	\N
556282	1893	1997-12-05	PRIJEM	VKLAD	12872	105779	\N	\N	\N
556283	1893	1997-10-02	PRIJEM	VKLAD	6976	39900	\N	\N	\N
556284	1893	1997-05-13	PRIJEM	VKLAD	45067	144296	\N	\N	\N
556285	1893	1997-11-28	PRIJEM	VKLAD	15771	95288	\N	\N	\N
556286	1893	1997-10-30	PRIJEM	VKLAD	25540	82063	\N	\N	\N
556287	1893	1997-10-23	PRIJEM	VKLAD	31912	56523	\N	\N	\N
556288	1893	1997-04-28	PRIJEM	VKLAD	7796	57199	\N	\N	\N
556289	1893	1997-07-19	PRIJEM	VKLAD	25080	57861	\N	\N	\N
556290	1893	1997-09-19	PRIJEM	VKLAD	17085	32824	\N	\N	\N
556291	1893	1997-02-25	PRIJEM	VKLAD	25645	130744	\N	\N	\N
556292	1893	1997-06-27	PRIJEM	VKLAD	39852	57961	\N	\N	\N
556293	1893	1997-12-12	PRIJEM	VKLAD	29741	129231	\N	\N	\N
556294	1893	1998-01-05	PRIJEM	VKLAD	33429	108895	\N	\N	\N
556295	1893	1998-07-06	PRIJEM	VKLAD	10140	73812	\N	\N	\N
556296	1893	1998-11-29	PRIJEM	VKLAD	45633	89676	\N	\N	\N
556297	1893	1998-03-22	PRIJEM	VKLAD	28417	45835	\N	\N	\N
556298	1893	1998-09-22	PRIJEM	VKLAD	16081	35150	\N	\N	\N
556299	1893	1998-06-18	PRIJEM	VKLAD	41083	63504	\N	\N	\N
556300	1893	1998-03-25	PRIJEM	VKLAD	27799	73634	\N	\N	\N
556301	1893	1998-11-10	PRIJEM	VKLAD	36003	46143	\N	\N	\N
556302	1893	1998-08-23	PRIJEM	VKLAD	22179	43573	\N	\N	\N
556303	1893	1998-01-08	PRIJEM	VKLAD	31317	134537	\N	\N	\N
556304	1893	1998-01-07	PRIJEM	VKLAD	33114	135720	\N	\N	\N
556305	1893	1998-01-14	PRIJEM	VKLAD	22711	62948	\N	\N	\N
556316	1893	1996-11-06	VYDAJ	PREVOD NA UCET	6289	82658	SIPO	OP	37540984
556317	1893	1996-12-06	VYDAJ	PREVOD NA UCET	6289	65454	SIPO	OP	37540984
556318	1893	1997-01-06	VYDAJ	PREVOD NA UCET	6289	36387	SIPO	OP	37540984
556319	1893	1997-02-06	VYDAJ	PREVOD NA UCET	6289	15216	SIPO	OP	37540984
556320	1893	1997-03-06	VYDAJ	PREVOD NA UCET	6289	64174	SIPO	OP	37540984
556321	1893	1997-04-06	VYDAJ	PREVOD NA UCET	6289	80203	SIPO	OP	37540984
556322	1893	1997-05-06	VYDAJ	PREVOD NA UCET	6289	89702	SIPO	OP	37540984
556323	1893	1997-06-06	VYDAJ	PREVOD NA UCET	6289	27672	SIPO	OP	37540984
556324	1893	1997-07-06	VYDAJ	PREVOD NA UCET	6289	51781	SIPO	OP	37540984
556325	1893	1997-08-06	VYDAJ	PREVOD NA UCET	6289	46986	SIPO	OP	37540984
556326	1893	1997-09-06	VYDAJ	PREVOD NA UCET	6289	21439	SIPO	OP	37540984
556327	1893	1997-10-06	VYDAJ	PREVOD NA UCET	6289	33611	SIPO	OP	37540984
556328	1893	1997-11-06	VYDAJ	PREVOD NA UCET	6289	75922	SIPO	OP	37540984
556329	1893	1997-12-06	VYDAJ	PREVOD NA UCET	6289	99490	SIPO	OP	37540984
556330	1893	1998-01-06	VYDAJ	PREVOD NA UCET	6289	102606	SIPO	OP	37540984
556331	1893	1998-02-06	VYDAJ	PREVOD NA UCET	6289	23597	SIPO	OP	37540984
556332	1893	1998-03-06	VYDAJ	PREVOD NA UCET	6289	17418	SIPO	OP	37540984
556333	1893	1998-04-06	VYDAJ	PREVOD NA UCET	6289	67485	SIPO	OP	37540984
556334	1893	1998-05-06	VYDAJ	PREVOD NA UCET	6289	28580	SIPO	OP	37540984
556335	1893	1998-06-06	VYDAJ	PREVOD NA UCET	6289	22421	SIPO	OP	37540984
556336	1893	1998-07-06	VYDAJ	PREVOD NA UCET	6289	67523	SIPO	OP	37540984
556337	1893	1998-08-06	VYDAJ	PREVOD NA UCET	6289	21394	SIPO	OP	37540984
556338	1893	1998-09-06	VYDAJ	PREVOD NA UCET	6289	19069	SIPO	OP	37540984
556339	1893	1998-10-06	VYDAJ	PREVOD NA UCET	6289	16351	SIPO	OP	37540984
556340	1893	1998-11-06	VYDAJ	PREVOD NA UCET	6289	10140	SIPO	OP	37540984
556341	1893	1998-12-06	VYDAJ	PREVOD NA UCET	6289	83534	SIPO	OP	37540984
556347	1893	1997-05-11	VYBER	VYBER	9851	67785	\N	\N	\N
556349	1893	1997-05-11	VYBER	VYBER	12066	77636	\N	\N	\N
556350	1893	1997-06-12	VYBER	VYBER	7063	20609	\N	\N	\N
556351	1893	1997-06-02	VYBER	VYBER	8491	33961	\N	\N	\N
556352	1893	1997-05-18	VYBER	VYBER	13940	42209	\N	\N	\N
556356	1893	1998-09-02	VYBER	VYBER	18335	25358	\N	\N	\N
556363	1893	1998-01-27	VYDAJ	VYBER	15000	29648	\N	\N	\N
556364	1893	1996-12-06	VYDAJ	VYBER	3600	61854	\N	\N	\N
556365	1893	1997-12-01	VYDAJ	VYBER	2700	92907	\N	\N	\N
556366	1893	1998-12-23	VYDAJ	VYBER	3300	36234	\N	\N	\N
556373	1893	1997-01-12	VYDAJ	VYBER	4200	32187	\N	\N	\N
556375	1893	1997-01-18	VYDAJ	VYBER	6900	23187	\N	\N	\N
556377	1893	1997-01-30	VYDAJ	VYBER	1800	21387	\N	\N	\N
556379	1893	1998-01-17	VYDAJ	VYBER	4200	46148	\N	\N	\N
556380	1893	1998-01-09	VYDAJ	VYBER	4800	80837	\N	\N	\N
556381	1893	1998-01-19	VYDAJ	VYBER	1500	44648	\N	\N	\N
556382	1893	1998-01-03	VYDAJ	VYBER	6900	75466	\N	\N	\N
556383	1893	1998-01-02	VYDAJ	VYBER	8400	82366	\N	\N	\N
556384	1893	1998-01-17	VYDAJ	VYBER	8100	50348	\N	\N	\N
556385	1893	1996-12-03	VYDAJ	VYBER	7200	71743	\N	\N	\N
556390	1893	1997-08-05	VYDAJ	VYBER	4800	53275	\N	\N	\N
556391	1893	1997-02-14	VYDAJ	VYBER	1800	43451	\N	\N	\N
556392	1893	1997-12-13	VYDAJ	VYBER	9300	50231	\N	\N	\N
556394	1893	1997-02-15	VYDAJ	VYBER	6600	27251	\N	\N	\N
556395	1893	1998-07-31	VYDAJ	VYBER	5100	27683	\N	\N	\N
556396	1893	1998-09-24	VYDAJ	VYBER	12600	22550	\N	\N	\N
556398	1893	1998-11-12	VYDAJ	VYBER	2100	44043	\N	\N	\N
556399	1893	1998-01-16	VYDAJ	VYBER	4500	58448	\N	\N	\N
556410	1893	1996-10-31	VYDAJ	VYBER	15	88947	SLUZBY	\N	\N
556411	1893	1996-11-30	VYDAJ	VYBER	15	78943	SLUZBY	\N	\N
556412	1893	1996-12-31	VYDAJ	VYBER	15	42676	SLUZBY	\N	\N
556413	1893	1997-01-31	VYDAJ	VYBER	15	21505	SLUZBY	\N	\N
556414	1893	1997-02-28	VYDAJ	VYBER	15	70463	SLUZBY	\N	\N
556415	1893	1997-03-31	VYDAJ	VYBER	15	86492	SLUZBY	\N	\N
556416	1893	1997-04-30	VYDAJ	VYBER	15	57472	SLUZBY	\N	\N
556417	1893	1997-05-31	VYDAJ	VYBER	15	42452	SLUZBY	\N	\N
556418	1893	1997-06-30	VYDAJ	VYBER	15	58070	SLUZBY	\N	\N
556419	1893	1997-07-31	VYDAJ	VYBER	15	58075	SLUZBY	\N	\N
556420	1893	1997-08-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
556421	1893	1997-09-30	VYDAJ	VYBER	15	32924	SLUZBY	\N	\N
556422	1893	1997-10-31	VYDAJ	VYBER	15	82211	SLUZBY	\N	\N
556423	1893	1997-11-30	VYDAJ	VYBER	15	95607	SLUZBY	\N	\N
556424	1893	1997-12-31	VYDAJ	VYBER	15	90766	SLUZBY	\N	\N
556425	1893	1998-01-31	VYDAJ	VYBER	15	29886	SLUZBY	\N	\N
556426	1893	1998-02-28	VYDAJ	VYBER	15	23707	SLUZBY	\N	\N
556427	1893	1998-03-31	VYDAJ	VYBER	15	73774	SLUZBY	\N	\N
556428	1893	1998-04-30	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
556429	1893	1998-05-31	VYDAJ	VYBER	15	28710	SLUZBY	\N	\N
556430	1893	1998-06-30	VYDAJ	VYBER	15	63672	SLUZBY	\N	\N
556431	1893	1998-07-31	VYDAJ	VYBER	15	32783	SLUZBY	\N	\N
556432	1893	1998-08-31	VYDAJ	VYBER	15	43693	SLUZBY	\N	\N
556433	1893	1998-09-30	VYDAJ	VYBER	15	22640	SLUZBY	\N	\N
556434	1893	1998-10-31	VYDAJ	VYBER	15	16429	SLUZBY	\N	\N
556435	1893	1998-11-30	VYDAJ	VYBER	15	89823	SLUZBY	\N	\N
556436	1893	1996-08-19	PRIJEM	VKLAD	10200	11100	\N	\N	\N
556437	1893	1996-09-18	VYDAJ	VYBER	24900	44575	\N	\N	\N
556438	1893	1996-10-18	VYDAJ	VYBER	45300	55526	\N	\N	\N
556439	1893	1996-10-18	VYDAJ	VYBER	30400	100826	\N	\N	\N
556440	1893	1996-11-17	VYDAJ	VYBER	28100	54558	\N	\N	\N
556441	1893	1996-11-21	VYDAJ	VYBER	43500	78602	\N	\N	\N
556442	1893	1996-12-17	VYDAJ	VYBER	19400	42454	\N	\N	\N
556443	1893	1997-01-16	VYDAJ	VYBER	2100	30087	\N	\N	\N
556444	1893	1997-02-15	VYDAJ	VYBER	9600	33851	\N	\N	\N
556445	1893	1997-02-25	VYDAJ	VYBER	60500	70244	\N	\N	\N
556446	1893	1997-03-17	VYDAJ	VYBER	18200	45974	\N	\N	\N
556447	1893	1997-04-16	VYDAJ	VYBER	30800	49403	\N	\N	\N
556448	1893	1997-05-13	VYDAJ	VYBER	33400	110896	\N	\N	\N
556449	1893	1997-05-14	VYDAJ	VYBER	48100	99349	\N	\N	\N
556450	1893	1997-05-16	VYDAJ	VYBER	43200	56149	\N	\N	\N
556451	1893	1997-06-15	VYDAJ	VYBER	2500	18109	\N	\N	\N
556452	1893	1997-07-15	VYDAJ	VYBER	19000	32781	\N	\N	\N
556453	1893	1997-08-14	VYDAJ	VYBER	19400	27586	\N	\N	\N
556454	1893	1997-09-13	VYDAJ	VYBER	5700	15739	\N	\N	\N
556455	1893	1997-10-13	VYDAJ	VYBER	9000	24611	\N	\N	\N
556456	1893	1997-11-12	VYDAJ	VYBER	32600	43322	\N	\N	\N
556457	1893	1997-11-27	VYDAJ	VYBER	51300	79517	\N	\N	\N
556458	1893	1997-12-12	VYDAJ	VYBER	15200	114031	\N	\N	\N
556459	1893	1997-12-12	VYDAJ	VYBER	54500	59531	\N	\N	\N
556460	1893	1997-12-18	VYDAJ	VYBER	45200	90393	\N	\N	\N
556461	1893	1998-01-07	VYDAJ	VYBER	32500	103220	\N	\N	\N
556462	1893	1998-01-08	VYDAJ	VYBER	48900	85637	\N	\N	\N
556463	1893	1998-01-11	VYDAJ	VYBER	40600	40237	\N	\N	\N
556464	1893	1998-04-11	VYDAJ	VYBER	32800	34685	\N	\N	\N
556465	1893	1998-07-10	VYDAJ	VYBER	34900	32623	\N	\N	\N
556466	1893	1998-12-07	VYDAJ	VYBER	44000	39534	\N	\N	\N
556496	1894	1996-08-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
556505	1894	1996-09-14	PRIJEM	VKLAD	23906	25006	\N	\N	\N
556506	1894	1996-10-14	PRIJEM	VKLAD	23906	49023	\N	\N	\N
556507	1894	1996-11-14	PRIJEM	VKLAD	23906	58638	\N	\N	\N
556508	1894	1996-12-14	PRIJEM	VKLAD	35859	76345	\N	\N	\N
556509	1894	1997-01-14	PRIJEM	VKLAD	23906	74125	\N	\N	\N
556510	1894	1997-02-14	PRIJEM	VKLAD	23906	63651	\N	\N	\N
556511	1894	1997-03-14	PRIJEM	VKLAD	23906	66958	\N	\N	\N
556512	1894	1997-04-14	PRIJEM	VKLAD	23906	68450	\N	\N	\N
556513	1894	1997-05-14	PRIJEM	VKLAD	23906	67427	\N	\N	\N
556514	1894	1997-06-14	PRIJEM	VKLAD	35859	81397	\N	\N	\N
556515	1894	1997-07-14	PRIJEM	VKLAD	23906	68588	\N	\N	\N
556516	1894	1997-08-14	PRIJEM	VKLAD	23906	64868	\N	\N	\N
556517	1894	1997-09-14	PRIJEM	VKLAD	23906	71572	\N	\N	\N
556518	1894	1997-10-14	PRIJEM	VKLAD	23906	74965	\N	\N	\N
556519	1894	1997-11-14	PRIJEM	VKLAD	23906	73267	\N	\N	\N
556520	1894	1997-12-14	PRIJEM	VKLAD	35859	83715	\N	\N	\N
556521	1894	1998-01-14	PRIJEM	VKLAD	23906	74153	\N	\N	\N
556522	1894	1998-02-14	PRIJEM	VKLAD	23906	66273	\N	\N	\N
556523	1894	1998-03-14	PRIJEM	VKLAD	23906	74852	\N	\N	\N
556524	1894	1998-04-14	PRIJEM	VKLAD	23906	81664	\N	\N	\N
556525	1894	1998-05-14	PRIJEM	VKLAD	23906	82296	\N	\N	\N
556526	1894	1998-06-14	PRIJEM	VKLAD	35859	74578	\N	\N	\N
556527	1894	1998-07-14	PRIJEM	VKLAD	23906	76101	\N	\N	\N
556528	1894	1998-08-14	PRIJEM	VKLAD	23906	77111	\N	\N	\N
556529	1894	1998-09-14	PRIJEM	VKLAD	23906	71516	\N	\N	\N
556530	1894	1998-10-14	PRIJEM	VKLAD	23906	75312	\N	\N	\N
556531	1894	1998-11-14	PRIJEM	VKLAD	23906	72311	\N	\N	\N
556532	1894	1998-12-14	PRIJEM	VKLAD	35859	89165	\N	\N	\N
556534	1894	1997-06-16	VYDAJ	VYBER	27000	54397	\N	\N	\N
556535	1894	1998-06-10	VYDAJ	VYBER	15200	38719	\N	\N	\N
556538	1894	1998-01-24	VYDAJ	VYBER	5100	42153	\N	\N	\N
556540	1894	1997-12-22	VYDAJ	VYBER KARTOU	2700	81015	\N	\N	0
556541	1894	1998-12-28	VYDAJ	VYBER KARTOU	1200	53965	\N	\N	0
556548	1894	1997-01-19	VYDAJ	VYBER	800	69325	\N	\N	\N
556550	1894	1997-01-15	VYDAJ	VYBER	1900	72225	\N	\N	\N
556552	1894	1997-01-15	VYDAJ	VYBER	2100	70125	\N	\N	\N
556553	1894	1997-01-27	VYDAJ	VYBER	2100	44425	\N	\N	\N
556554	1894	1998-01-10	VYDAJ	VYBER KARTOU	2600	50247	\N	\N	0
556555	1894	1998-01-01	VYDAJ	VYBER KARTOU	1100	52847	\N	\N	0
556556	1894	1998-01-14	VYDAJ	VYBER KARTOU	2900	71253	\N	\N	0
556557	1894	1998-01-24	VYDAJ	VYBER KARTOU	1700	47753	\N	\N	0
556558	1894	1998-01-17	VYDAJ	VYBER KARTOU	1800	69453	\N	\N	0
556559	1894	1998-01-24	VYDAJ	VYBER KARTOU	500	47253	\N	\N	0
556565	1894	1997-05-08	VYDAJ	VYBER	2100	43521	\N	\N	\N
556566	1894	1997-08-18	VYDAJ	VYBER	3500	61368	\N	\N	\N
556567	1894	1997-02-10	VYDAJ	VYBER	4900	39745	\N	\N	\N
556568	1894	1997-08-06	VYDAJ	VYBER	3400	40962	\N	\N	\N
556569	1894	1997-07-29	VYDAJ	VYBER	4800	44188	\N	\N	\N
556570	1894	1997-03-20	VYDAJ	VYBER	3100	63858	\N	\N	\N
556571	1894	1997-12-12	VYDAJ	VYBER KARTOU	600	47856	\N	\N	0
556572	1894	1998-06-07	VYDAJ	VYBER KARTOU	1100	53919	\N	\N	0
556573	1894	1998-08-24	VYDAJ	VYBER	4100	47411	\N	\N	\N
556574	1894	1998-09-28	VYDAJ	VYBER KARTOU	700	51216	\N	\N	0
556575	1894	1998-06-27	VYDAJ	VYBER KARTOU	500	51978	\N	\N	0
556589	1894	1997-01-31	VYDAJ	VYBER	15	44645	SLUZBY	\N	\N
556590	1894	1997-02-28	VYDAJ	VYBER	15	43052	SLUZBY	\N	\N
556591	1894	1997-03-31	VYDAJ	VYBER	15	44544	SLUZBY	\N	\N
556592	1894	1997-04-30	VYDAJ	VYBER	15	45621	SLUZBY	\N	\N
556593	1894	1997-05-31	VYDAJ	VYBER	15	45538	SLUZBY	\N	\N
556594	1894	1997-06-30	VYDAJ	VYBER	15	44682	SLUZBY	\N	\N
556595	1894	1997-07-31	VYDAJ	VYBER	15	44362	SLUZBY	\N	\N
556596	1894	1997-08-31	VYDAJ	VYBER	15	47666	SLUZBY	\N	\N
556597	1894	1997-09-30	VYDAJ	VYBER	15	51059	SLUZBY	\N	\N
556598	1894	1997-10-31	VYDAJ	VYBER	15	49361	SLUZBY	\N	\N
556599	1894	1997-11-30	VYDAJ	VYBER	15	48456	SLUZBY	\N	\N
556600	1894	1997-12-31	VYDAJ	VYBER	15	53947	SLUZBY	\N	\N
556601	1894	1998-01-31	VYDAJ	VYBER	15	42367	SLUZBY	\N	\N
556602	1894	1998-02-28	VYDAJ	VYBER	15	50946	SLUZBY	\N	\N
556603	1894	1998-03-31	VYDAJ	VYBER	15	57758	SLUZBY	\N	\N
556604	1894	1998-04-30	VYDAJ	VYBER	15	58390	SLUZBY	\N	\N
556605	1894	1998-05-31	VYDAJ	VYBER	15	55019	SLUZBY	\N	\N
556606	1894	1998-06-30	VYDAJ	VYBER	15	52195	SLUZBY	\N	\N
556607	1894	1998-07-31	VYDAJ	VYBER	15	53205	SLUZBY	\N	\N
556608	1894	1998-08-31	VYDAJ	VYBER	15	47610	SLUZBY	\N	\N
556609	1894	1998-09-30	VYDAJ	VYBER	15	51406	SLUZBY	\N	\N
556610	1894	1998-10-31	VYDAJ	VYBER	15	48405	SLUZBY	\N	\N
556611	1894	1998-11-30	VYDAJ	VYBER	15	53306	SLUZBY	\N	\N
556612	1894	1996-09-28	PRIJEM	VKLAD	100	25106	\N	\N	\N
556613	1894	1996-10-28	VYDAJ	VYBER	14400	34623	\N	\N	\N
556614	1894	1996-11-27	VYDAJ	VYBER	18300	40338	\N	\N	\N
556615	1894	1996-12-27	VYDAJ	VYBER	26300	50045	\N	\N	\N
556616	1894	1997-01-26	VYDAJ	VYBER	22800	46525	\N	\N	\N
556617	1894	1997-02-25	VYDAJ	VYBER	20800	42851	\N	\N	\N
556618	1894	1997-03-27	VYDAJ	VYBER	19500	44358	\N	\N	\N
556619	1894	1997-04-26	VYDAJ	VYBER	23000	45450	\N	\N	\N
556620	1894	1997-05-26	VYDAJ	VYBER	22100	45327	\N	\N	\N
556621	1894	1997-06-25	VYDAJ	VYBER	9900	44497	\N	\N	\N
556622	1894	1997-07-25	VYDAJ	VYBER	19600	48988	\N	\N	\N
556623	1894	1997-08-24	VYDAJ	VYBER	13900	47468	\N	\N	\N
556624	1894	1997-09-23	VYDAJ	VYBER	20700	50872	\N	\N	\N
556625	1894	1997-10-23	VYDAJ	VYBER	25800	49165	\N	\N	\N
556626	1894	1997-11-22	VYDAJ	VYBER	25000	48267	\N	\N	\N
556627	1894	1997-12-22	VYDAJ	VYBER	27300	53715	\N	\N	\N
556628	1894	1998-01-21	VYDAJ	VYBER	20000	49453	\N	\N	\N
556629	1894	1998-02-20	VYDAJ	VYBER	15500	50773	\N	\N	\N
556630	1894	1998-03-22	VYDAJ	VYBER	17300	57552	\N	\N	\N
556631	1894	1998-04-21	VYDAJ	VYBER	23500	58164	\N	\N	\N
556632	1894	1998-05-21	VYDAJ	VYBER	27500	54796	\N	\N	\N
556633	1894	1998-06-20	VYDAJ	VYBER	22100	52478	\N	\N	\N
556634	1894	1998-07-20	VYDAJ	VYBER	23100	53001	\N	\N	\N
556635	1894	1998-08-19	VYDAJ	VYBER	25600	51511	\N	\N	\N
556636	1894	1998-09-18	VYDAJ	VYBER	19600	51916	\N	\N	\N
556637	1894	1998-10-18	VYDAJ	VYBER	27100	48212	\N	\N	\N
556638	1894	1998-11-17	VYDAJ	VYBER	19200	53111	\N	\N	\N
556639	1894	1998-12-17	VYDAJ	VYBER	34000	55165	\N	\N	\N
556668	1895	1996-07-12	PRIJEM	VKLAD	600	18515	\N	\N	\N
556675	1895	1996-07-12	PRIJEM	PREVOD Z UCTU	17915	17915	\N	MN	40326911
556676	1895	1996-08-12	PRIJEM	PREVOD Z UCTU	17915	37080	\N	MN	40326911
556677	1895	1996-09-12	PRIJEM	PREVOD Z UCTU	17915	46322	\N	MN	40326911
556678	1895	1996-10-12	PRIJEM	PREVOD Z UCTU	17915	53816	\N	MN	40326911
556679	1895	1996-11-12	PRIJEM	PREVOD Z UCTU	17915	55044	\N	MN	40326911
556680	1895	1996-12-12	PRIJEM	PREVOD Z UCTU	26872	54672	\N	MN	40326911
556681	1895	1997-01-12	PRIJEM	PREVOD Z UCTU	17915	48734	\N	MN	40326911
556682	1895	1997-02-12	PRIJEM	PREVOD Z UCTU	17915	38612	\N	MN	40326911
556683	1895	1997-03-12	PRIJEM	PREVOD Z UCTU	17915	44325	\N	MN	40326911
556684	1895	1997-04-12	PRIJEM	PREVOD Z UCTU	17915	36744	\N	MN	40326911
556685	1895	1997-05-12	PRIJEM	PREVOD Z UCTU	17915	37674	\N	MN	40326911
556686	1895	1997-06-12	PRIJEM	PREVOD Z UCTU	26872	48068	\N	MN	40326911
556687	1895	1997-07-12	PRIJEM	PREVOD Z UCTU	17915	43233	\N	MN	40326911
556688	1895	1997-08-12	PRIJEM	PREVOD Z UCTU	17915	30027	\N	MN	40326911
556689	1895	1997-09-12	PRIJEM	PREVOD Z UCTU	17915	31628	\N	MN	40326911
556690	1895	1997-10-12	PRIJEM	PREVOD Z UCTU	17915	35238	\N	MN	40326911
556691	1895	1997-11-12	PRIJEM	PREVOD Z UCTU	17915	33260	\N	MN	40326911
556692	1895	1997-12-12	PRIJEM	PREVOD Z UCTU	26872	41139	\N	MN	40326911
556693	1895	1998-01-12	PRIJEM	PREVOD Z UCTU	17915	31234	\N	MN	40326911
556694	1895	1998-02-12	PRIJEM	PREVOD Z UCTU	17915	32110	\N	MN	40326911
556695	1895	1998-03-12	PRIJEM	PREVOD Z UCTU	17915	35399	\N	MN	40326911
556696	1895	1998-04-12	PRIJEM	PREVOD Z UCTU	17915	37622	\N	MN	40326911
556697	1895	1998-05-12	PRIJEM	PREVOD Z UCTU	17915	35675	\N	MN	40326911
556698	1895	1998-06-12	PRIJEM	PREVOD Z UCTU	26872	47241	\N	MN	40326911
556699	1895	1998-07-12	PRIJEM	PREVOD Z UCTU	17915	42800	\N	MN	40326911
556700	1895	1998-08-12	PRIJEM	PREVOD Z UCTU	17915	45333	\N	MN	40326911
556701	1895	1998-09-12	PRIJEM	PREVOD Z UCTU	17915	46997	\N	MN	40326911
556702	1895	1998-10-12	PRIJEM	PREVOD Z UCTU	17915	51238	\N	MN	40326911
556703	1895	1998-11-12	PRIJEM	PREVOD Z UCTU	17915	55411	\N	MN	40326911
556704	1895	1998-12-12	PRIJEM	PREVOD Z UCTU	26872	63939	\N	MN	40326911
556751	1895	1996-11-12	VYDAJ	PREVOD NA UCET	5810	49234	SIPO	YZ	97079294
556752	1895	1996-12-12	VYDAJ	PREVOD NA UCET	5810	48862	SIPO	YZ	97079294
556753	1895	1997-01-12	VYDAJ	PREVOD NA UCET	5810	42924	SIPO	YZ	97079294
556754	1895	1997-02-12	VYDAJ	PREVOD NA UCET	5810	32802	SIPO	YZ	97079294
556755	1895	1997-03-12	VYDAJ	PREVOD NA UCET	5810	38515	SIPO	YZ	97079294
556756	1895	1997-04-12	VYDAJ	PREVOD NA UCET	5810	30934	SIPO	YZ	97079294
556757	1895	1997-05-12	VYDAJ	PREVOD NA UCET	5810	31864	SIPO	YZ	97079294
556758	1895	1997-06-12	VYDAJ	PREVOD NA UCET	5810	42258	SIPO	YZ	97079294
556759	1895	1997-07-12	VYDAJ	PREVOD NA UCET	5810	37423	SIPO	YZ	97079294
556760	1895	1997-08-12	VYDAJ	PREVOD NA UCET	5810	24217	SIPO	YZ	97079294
556761	1895	1997-09-12	VYDAJ	PREVOD NA UCET	5810	25818	SIPO	YZ	97079294
556762	1895	1997-10-12	VYDAJ	PREVOD NA UCET	5810	29428	SIPO	YZ	97079294
556763	1895	1997-11-12	VYDAJ	PREVOD NA UCET	5810	27450	SIPO	YZ	97079294
556764	1895	1997-12-12	VYDAJ	PREVOD NA UCET	5810	35329	SIPO	YZ	97079294
556765	1895	1998-01-12	VYDAJ	PREVOD NA UCET	5810	25424	SIPO	YZ	97079294
556766	1895	1998-02-12	VYDAJ	PREVOD NA UCET	5810	26300	SIPO	YZ	97079294
556767	1895	1998-03-12	VYDAJ	PREVOD NA UCET	5810	29589	SIPO	YZ	97079294
556768	1895	1998-04-12	VYDAJ	PREVOD NA UCET	5810	31812	SIPO	YZ	97079294
556769	1895	1998-05-12	VYDAJ	PREVOD NA UCET	5810	29865	SIPO	YZ	97079294
556770	1895	1998-06-12	VYDAJ	PREVOD NA UCET	5810	41431	SIPO	YZ	97079294
556771	1895	1998-07-12	VYDAJ	PREVOD NA UCET	5810	36990	SIPO	YZ	97079294
556772	1895	1998-08-12	VYDAJ	PREVOD NA UCET	5810	39523	SIPO	YZ	97079294
556773	1895	1998-09-12	VYDAJ	PREVOD NA UCET	5810	41187	SIPO	YZ	97079294
556774	1895	1998-10-12	VYDAJ	PREVOD NA UCET	5810	45428	SIPO	YZ	97079294
556775	1895	1998-11-12	VYDAJ	PREVOD NA UCET	5810	49601	SIPO	YZ	97079294
556776	1895	1998-12-12	VYDAJ	PREVOD NA UCET	5810	58129	SIPO	YZ	97079294
556785	1895	1996-11-13	VYBER	VYBER	20381	28853	\N	\N	\N
556789	1895	1997-07-15	VYBER	VYBER	16522	20901	\N	\N	\N
556791	1895	1997-12-27	VYBER	VYBER	9909	20020	\N	\N	\N
556792	1895	1997-01-27	VYBER	VYBER	4259	23965	\N	\N	\N
556796	1895	1997-03-17	VYBER	VYBER	10107	28408	\N	\N	\N
556799	1895	1998-04-17	VYBER	VYBER	5555	26257	\N	\N	\N
556802	1895	1996-12-19	VYDAJ	VYBER	4800	44062	\N	\N	\N
556803	1895	1997-12-14	VYDAJ	VYBER	2400	32929	\N	\N	\N
556804	1895	1998-12-13	VYDAJ	VYBER	8100	50029	\N	\N	\N
556811	1895	1997-01-23	VYDAJ	VYBER	3900	28224	\N	\N	\N
556812	1895	1997-01-17	VYDAJ	VYBER	3900	39024	\N	\N	\N
556814	1895	1997-01-20	VYDAJ	VYBER	6900	32124	\N	\N	\N
556816	1895	1997-01-06	VYDAJ	VYBER	8700	35519	\N	\N	\N
556819	1895	1998-01-16	VYDAJ	VYBER	5700	19724	\N	\N	\N
556828	1895	1997-12-24	VYDAJ	VYBER	3000	29929	\N	\N	\N
556829	1895	1997-11-12	VYDAJ	VYBER	4500	22950	\N	\N	\N
556833	1895	1998-11-21	VYDAJ	VYBER	9000	40601	\N	\N	\N
556834	1895	1998-07-04	VYDAJ	VYBER	5100	24885	\N	\N	\N
556846	1895	1996-11-30	VYDAJ	VYBER	15	29000	SLUZBY	\N	\N
556847	1895	1996-12-31	VYDAJ	VYBER	15	44219	SLUZBY	\N	\N
556848	1895	1997-01-31	VYDAJ	VYBER	15	24097	SLUZBY	\N	\N
556849	1895	1997-02-28	VYDAJ	VYBER	15	32910	SLUZBY	\N	\N
556850	1895	1997-03-31	VYDAJ	VYBER	15	28529	SLUZBY	\N	\N
556851	1895	1997-04-30	VYDAJ	VYBER	15	31059	SLUZBY	\N	\N
556852	1895	1997-05-31	VYDAJ	VYBER	15	31996	SLUZBY	\N	\N
556853	1895	1997-06-30	VYDAJ	VYBER	15	42418	SLUZBY	\N	\N
556854	1895	1997-07-31	VYDAJ	VYBER	15	21012	SLUZBY	\N	\N
556855	1895	1997-08-31	VYDAJ	VYBER	15	24313	SLUZBY	\N	\N
556856	1895	1997-09-30	VYDAJ	VYBER	15	25923	SLUZBY	\N	\N
556857	1895	1997-10-31	VYDAJ	VYBER	15	29545	SLUZBY	\N	\N
556858	1895	1997-11-30	VYDAJ	VYBER	15	23067	SLUZBY	\N	\N
556859	1895	1997-12-31	VYDAJ	VYBER	15	20119	SLUZBY	\N	\N
556860	1895	1998-01-31	VYDAJ	VYBER	15	19795	SLUZBY	\N	\N
556861	1895	1998-02-28	VYDAJ	VYBER	15	26384	SLUZBY	\N	\N
556862	1895	1998-03-31	VYDAJ	VYBER	15	29707	SLUZBY	\N	\N
556863	1895	1998-04-30	VYDAJ	VYBER	15	26360	SLUZBY	\N	\N
556864	1895	1998-05-31	VYDAJ	VYBER	15	29969	SLUZBY	\N	\N
556865	1895	1998-06-30	VYDAJ	VYBER	15	41585	SLUZBY	\N	\N
556866	1895	1998-07-31	VYDAJ	VYBER	15	37118	SLUZBY	\N	\N
556867	1895	1998-08-31	VYDAJ	VYBER	15	29082	SLUZBY	\N	\N
556868	1895	1998-09-30	VYDAJ	VYBER	15	41323	SLUZBY	\N	\N
556869	1895	1998-10-31	VYDAJ	VYBER	15	37496	SLUZBY	\N	\N
556870	1895	1998-11-30	VYDAJ	VYBER	15	37067	SLUZBY	\N	\N
556871	1895	1996-08-11	PRIJEM	VKLAD	600	19165	\N	\N	\N
556872	1895	1996-09-10	VYDAJ	VYBER	8800	28407	\N	\N	\N
556873	1895	1996-10-10	VYDAJ	VYBER	10600	35901	\N	\N	\N
556874	1895	1996-11-09	VYDAJ	VYBER	16900	37129	\N	\N	\N
556875	1895	1996-12-09	VYDAJ	VYBER	1200	27800	\N	\N	\N
556876	1895	1997-01-08	VYDAJ	VYBER	4700	30819	\N	\N	\N
556877	1895	1997-02-07	VYDAJ	VYBER	3400	20697	\N	\N	\N
556878	1895	1997-03-09	VYDAJ	VYBER	6500	26410	\N	\N	\N
556879	1895	1997-04-08	VYDAJ	VYBER	9700	18829	\N	\N	\N
556880	1895	1997-05-08	VYDAJ	VYBER	11300	19759	\N	\N	\N
556881	1895	1997-06-07	VYDAJ	VYBER	10800	21196	\N	\N	\N
556882	1895	1997-07-07	VYDAJ	VYBER	17100	25318	\N	\N	\N
556883	1895	1997-08-06	VYDAJ	VYBER	8900	12112	\N	\N	\N
556884	1895	1997-09-05	VYDAJ	VYBER	10600	13713	\N	\N	\N
556885	1895	1997-10-05	VYDAJ	VYBER	8600	17323	\N	\N	\N
556886	1895	1997-11-04	VYDAJ	VYBER	14200	15345	\N	\N	\N
556887	1895	1997-12-04	VYDAJ	VYBER	8800	14267	\N	\N	\N
556888	1895	1998-01-03	VYDAJ	VYBER	6800	13319	\N	\N	\N
556889	1895	1998-02-02	VYDAJ	VYBER	5600	14195	\N	\N	\N
556890	1895	1998-03-04	VYDAJ	VYBER	8900	17484	\N	\N	\N
556891	1895	1998-04-03	VYDAJ	VYBER	10000	19707	\N	\N	\N
556892	1895	1998-05-03	VYDAJ	VYBER	8600	17760	\N	\N	\N
556893	1895	1998-06-02	VYDAJ	VYBER	9600	20369	\N	\N	\N
556894	1895	1998-07-02	VYDAJ	VYBER	11600	29985	\N	\N	\N
556895	1895	1998-08-01	VYDAJ	VYBER	9700	27418	\N	\N	\N
556896	1895	1998-08-31	VYDAJ	VYBER	10600	29096	\N	\N	\N
556897	1895	1998-09-30	VYDAJ	VYBER	8000	33323	\N	\N	\N
556898	1895	1998-10-30	VYDAJ	VYBER	8100	37328	\N	\N	\N
556899	1895	1998-11-29	VYDAJ	VYBER	3700	36901	\N	\N	\N
556930	1896	1993-10-05	PRIJEM	VKLAD	600	600	\N	\N	\N
556933	1896	1993-12-21	PRIJEM	VKLAD	15571	77358	\N	\N	\N
556943	1896	1993-11-02	PRIJEM	VKLAD	27933	28533	\N	\N	\N
556944	1896	1993-12-06	PRIJEM	VKLAD	28193	61787	\N	\N	\N
556951	1896	1993-12-01	PRIJEM	VKLAD	17661	44394	\N	\N	\N
556952	1896	1994-10-24	PRIJEM	VKLAD	39873	46245	\N	\N	\N
556953	1896	1994-01-14	PRIJEM	VKLAD	20150	70567	\N	\N	\N
556954	1896	1995-07-19	PRIJEM	VKLAD	41513	86911	\N	\N	\N
556955	1896	1995-12-07	PRIJEM	VKLAD	6408	31452	\N	\N	\N
556956	1896	1995-02-12	PRIJEM	VKLAD	43667	56933	\N	\N	\N
556957	1896	1995-07-27	PRIJEM	VKLAD	25290	112201	\N	\N	\N
556958	1896	1995-08-13	PRIJEM	VKLAD	29056	74542	\N	\N	\N
556959	1896	1995-04-21	PRIJEM	VKLAD	32858	123181	\N	\N	\N
556960	1896	1995-04-17	PRIJEM	VKLAD	43749	90323	\N	\N	\N
556961	1896	1995-12-08	PRIJEM	VKLAD	44352	75804	\N	\N	\N
556962	1896	1995-12-08	PRIJEM	VKLAD	5537	81341	\N	\N	\N
556963	1896	1995-03-26	PRIJEM	VKLAD	45526	105296	\N	\N	\N
556964	1896	1995-01-13	PRIJEM	VKLAD	16827	29050	\N	\N	\N
556965	1896	1995-03-07	PRIJEM	VKLAD	18661	69233	\N	\N	\N
556966	1896	1995-02-26	PRIJEM	VKLAD	13780	67113	\N	\N	\N
556967	1896	1995-07-10	PRIJEM	VKLAD	24834	54398	\N	\N	\N
556968	1896	1995-08-03	PRIJEM	VKLAD	11703	54949	\N	\N	\N
556969	1896	1995-07-07	PRIJEM	VKLAD	27430	55358	\N	\N	\N
556970	1896	1996-10-26	PRIJEM	VKLAD	16040	69430	\N	\N	\N
556971	1896	1996-09-28	PRIJEM	VKLAD	47213	109881	\N	\N	\N
556972	1896	1996-06-26	PRIJEM	VKLAD	40203	81564	\N	\N	\N
556973	1896	1996-06-09	PRIJEM	VKLAD	21512	60724	\N	\N	\N
556974	1896	1996-02-19	PRIJEM	VKLAD	5348	29687	\N	\N	\N
556975	1896	1996-11-30	PRIJEM	VKLAD	35928	71942	\N	\N	\N
556976	1896	1996-01-20	PRIJEM	VKLAD	28150	56672	\N	\N	\N
556977	1896	1996-11-08	PRIJEM	VKLAD	43684	113454	\N	\N	\N
556978	1896	1996-06-30	PRIJEM	VKLAD	30743	112533	\N	\N	\N
556979	1896	1996-08-31	PRIJEM	VKLAD	47091	144478	\N	\N	\N
556980	1896	1996-04-06	PRIJEM	VKLAD	17040	56138	\N	\N	\N
556981	1896	1996-09-09	PRIJEM	VKLAD	19497	105461	\N	\N	\N
556982	1896	1996-07-13	PRIJEM	VKLAD	45315	97470	\N	\N	\N
556983	1896	1996-08-24	PRIJEM	VKLAD	18498	97074	\N	\N	\N
556984	1896	1996-12-08	PRIJEM	VKLAD	32031	104169	\N	\N	\N
556985	1896	1996-05-07	PRIJEM	VKLAD	40380	80035	\N	\N	\N
556986	1896	1996-11-20	PRIJEM	VKLAD	16918	46514	\N	\N	\N
556987	1896	1996-08-23	PRIJEM	VKLAD	20834	78576	\N	\N	\N
556988	1896	1996-02-29	PRIJEM	VKLAD	34298	65600	\N	\N	\N
556989	1896	1996-08-17	PRIJEM	VKLAD	26901	84342	\N	\N	\N
556990	1896	1996-09-19	PRIJEM	VKLAD	40670	103268	\N	\N	\N
556991	1896	1996-02-01	PRIJEM	VKLAD	10178	33802	\N	\N	\N
556992	1896	1996-10-15	PRIJEM	VKLAD	33531	134290	\N	\N	\N
556993	1896	1996-03-18	PRIJEM	VKLAD	21270	113350	\N	\N	\N
556994	1896	1996-03-14	PRIJEM	VKLAD	46458	92080	\N	\N	\N
556995	1896	1996-07-16	PRIJEM	VKLAD	30495	108810	\N	\N	\N
556996	1896	1996-12-11	PRIJEM	VKLAD	20435	115141	\N	\N	\N
556997	1896	1997-12-02	PRIJEM	VKLAD	12907	82642	\N	\N	\N
556998	1896	1997-02-19	PRIJEM	VKLAD	6083	24718	\N	\N	\N
556999	1896	1997-08-25	PRIJEM	VKLAD	14854	62444	\N	\N	\N
557000	1896	1997-11-25	PRIJEM	VKLAD	28017	69525	\N	\N	\N
557001	1896	1997-05-22	PRIJEM	VKLAD	27012	54242	\N	\N	\N
557002	1896	1997-03-17	PRIJEM	VKLAD	45180	95661	\N	\N	\N
557003	1896	1997-01-02	PRIJEM	VKLAD	26105	50499	\N	\N	\N
557004	1896	1997-06-17	PRIJEM	VKLAD	33700	77597	\N	\N	\N
557005	1896	1997-10-01	PRIJEM	VKLAD	27923	65066	\N	\N	\N
557006	1896	1997-08-14	PRIJEM	VKLAD	6313	84590	\N	\N	\N
557007	1896	1997-12-06	PRIJEM	VKLAD	17714	100356	\N	\N	\N
557008	1896	1997-12-21	PRIJEM	VKLAD	15877	77970	\N	\N	\N
557009	1896	1997-10-06	PRIJEM	VKLAD	26824	91890	\N	\N	\N
557010	1896	1997-02-26	PRIJEM	VKLAD	35139	59857	\N	\N	\N
557011	1896	1997-07-17	PRIJEM	VKLAD	40590	87417	\N	\N	\N
557012	1896	1997-05-26	PRIJEM	VKLAD	27746	79288	\N	\N	\N
557013	1896	1998-07-26	PRIJEM	VKLAD	5504	37355	\N	\N	\N
557099	1896	1994-02-09	VYDAJ	PREVOD NA UCET	9463	30792	SIPO	AB	81584167
557100	1896	1994-03-09	VYDAJ	PREVOD NA UCET	9463	19477	SIPO	AB	81584167
557101	1896	1994-04-09	VYDAJ	PREVOD NA UCET	9463	10893	SIPO	AB	81584167
557102	1896	1994-05-09	VYDAJ	PREVOD NA UCET	9463	8670	SIPO	AB	81584167
557103	1896	1994-06-09	VYDAJ	PREVOD NA UCET	9463	5531	SIPO	AB	81584167
557104	1896	1994-07-09	VYDAJ	PREVOD NA UCET	9463	5280	SIPO	AB	81584167
557105	1896	1994-08-09	VYDAJ	PREVOD NA UCET	9463	7124	SIPO	AB	81584167
557106	1896	1994-09-09	VYDAJ	PREVOD NA UCET	9463	8376	SIPO	AB	81584167
557107	1896	1994-10-09	VYDAJ	PREVOD NA UCET	9463	6372	SIPO	AB	81584167
557108	1896	1994-11-09	VYDAJ	PREVOD NA UCET	9463	22863	SIPO	AB	81584167
557109	1896	1994-12-09	VYDAJ	PREVOD NA UCET	9463	16494	SIPO	AB	81584167
557110	1896	1995-01-09	VYDAJ	PREVOD NA UCET	9463	12223	SIPO	AB	81584167
557111	1896	1995-02-09	VYDAJ	PREVOD NA UCET	9463	13266	SIPO	AB	81584167
557112	1896	1995-03-09	VYDAJ	PREVOD NA UCET	9463	59770	SIPO	AB	81584167
557113	1896	1995-04-09	VYDAJ	PREVOD NA UCET	9463	46574	SIPO	AB	81584167
557114	1896	1995-05-09	VYDAJ	PREVOD NA UCET	9463	41626	SIPO	AB	81584167
557115	1896	1995-06-09	VYDAJ	PREVOD NA UCET	9463	25052	SIPO	AB	81584167
557116	1896	1995-07-09	VYDAJ	PREVOD NA UCET	9463	29564	SIPO	AB	81584167
557117	1896	1995-08-09	VYDAJ	PREVOD NA UCET	9463	45486	SIPO	AB	81584167
557118	1896	1995-09-09	VYDAJ	PREVOD NA UCET	9463	42507	SIPO	AB	81584167
557119	1896	1995-10-09	VYDAJ	PREVOD NA UCET	9463	22991	SIPO	AB	81584167
557120	1896	1995-11-09	VYDAJ	PREVOD NA UCET	9463	18844	SIPO	AB	81584167
557121	1896	1995-12-09	VYDAJ	PREVOD NA UCET	9463	71878	SIPO	AB	81584167
557122	1896	1996-01-09	VYDAJ	PREVOD NA UCET	9463	28522	SIPO	AB	81584167
557123	1896	1996-02-09	VYDAJ	PREVOD NA UCET	9463	24339	SIPO	AB	81584167
557124	1896	1996-03-09	VYDAJ	PREVOD NA UCET	9463	45622	SIPO	AB	81584167
557125	1896	1996-04-09	VYDAJ	PREVOD NA UCET	9463	46675	SIPO	AB	81584167
557126	1896	1996-05-09	VYDAJ	PREVOD NA UCET	9463	70572	SIPO	AB	81584167
557127	1896	1996-06-09	VYDAJ	PREVOD NA UCET	9463	51261	SIPO	AB	81584167
557128	1896	1996-07-09	VYDAJ	PREVOD NA UCET	9463	52155	SIPO	AB	81584167
557129	1896	1996-08-09	VYDAJ	PREVOD NA UCET	9463	57441	SIPO	AB	81584167
557130	1896	1996-09-09	VYDAJ	PREVOD NA UCET	9463	62598	SIPO	AB	81584167
557131	1896	1996-10-09	VYDAJ	PREVOD NA UCET	9463	100759	SIPO	AB	81584167
557132	1896	1996-11-09	VYDAJ	PREVOD NA UCET	9463	50891	SIPO	AB	81584167
557133	1896	1996-12-09	VYDAJ	PREVOD NA UCET	9463	94706	SIPO	AB	81584167
557134	1896	1997-01-09	VYDAJ	PREVOD NA UCET	9463	13436	SIPO	AB	81584167
557135	1896	1997-02-09	VYDAJ	PREVOD NA UCET	9463	9435	SIPO	AB	81584167
557136	1896	1997-03-09	VYDAJ	PREVOD NA UCET	9463	50481	SIPO	AB	81584167
557137	1896	1997-04-09	VYDAJ	PREVOD NA UCET	9463	42624	SIPO	AB	81584167
557138	1896	1997-05-09	VYDAJ	PREVOD NA UCET	9463	26330	SIPO	AB	81584167
557139	1896	1997-06-09	VYDAJ	PREVOD NA UCET	9463	66697	SIPO	AB	81584167
557140	1896	1997-07-09	VYDAJ	PREVOD NA UCET	9463	68427	SIPO	AB	81584167
557141	1896	1997-08-09	VYDAJ	PREVOD NA UCET	9463	78277	SIPO	AB	81584167
557142	1896	1997-09-09	VYDAJ	PREVOD NA UCET	9463	53256	SIPO	AB	81584167
557143	1896	1997-10-09	VYDAJ	PREVOD NA UCET	9463	82427	SIPO	AB	81584167
557144	1896	1997-11-09	VYDAJ	PREVOD NA UCET	9463	50408	SIPO	AB	81584167
557145	1896	1997-12-09	VYDAJ	PREVOD NA UCET	9463	90893	SIPO	AB	81584167
557146	1896	1998-01-09	VYDAJ	PREVOD NA UCET	9463	30133	SIPO	AB	81584167
557147	1896	1998-02-09	VYDAJ	PREVOD NA UCET	9463	15793	SIPO	AB	81584167
557148	1896	1998-03-09	VYDAJ	PREVOD NA UCET	9463	19628	SIPO	AB	81584167
557149	1896	1998-04-09	VYDAJ	PREVOD NA UCET	9463	17075	SIPO	AB	81584167
557150	1896	1998-05-09	VYDAJ	PREVOD NA UCET	9463	20513	SIPO	AB	81584167
557151	1896	1998-06-09	VYDAJ	PREVOD NA UCET	9463	17716	SIPO	AB	81584167
557152	1896	1998-07-09	VYDAJ	PREVOD NA UCET	9463	17351	SIPO	AB	81584167
557153	1896	1998-08-09	VYDAJ	PREVOD NA UCET	9463	28004	SIPO	AB	81584167
557154	1896	1998-09-09	VYDAJ	PREVOD NA UCET	9463	35985	SIPO	AB	81584167
557155	1896	1998-10-09	VYDAJ	PREVOD NA UCET	9463	36057	SIPO	AB	81584167
557156	1896	1998-11-09	VYDAJ	PREVOD NA UCET	9463	32725	SIPO	AB	81584167
557157	1896	1998-12-09	VYDAJ	PREVOD NA UCET	9463	25283	SIPO	AB	81584167
557178	1896	1995-06-10	VYBER	VYBER	2920	22132	\N	\N	\N
557180	1896	1995-07-07	VYBER	VYBER	16331	39027	\N	\N	\N
557181	1896	1995-04-26	VYBER	VYBER	12050	71231	\N	\N	\N
557183	1896	1996-04-04	VYBER	VYBER	16530	39098	\N	\N	\N
557185	1896	1996-07-13	VYBER	VYBER	19155	78315	\N	\N	\N
557187	1896	1996-05-13	VYBER	VYBER	20540	50032	\N	\N	\N
557188	1896	1996-11-13	VYBER	VYBER	13395	37496	\N	\N	\N
557192	1896	1997-12-26	VYBER	VYBER	7070	70900	\N	\N	\N
557193	1896	1998-01-04	VYBER	VYBER	18098	46796	\N	\N	\N
557204	1896	1998-06-05	VYBER	VYBER	2243	27179	\N	\N	\N
557214	1896	1996-01-28	VYDAJ	VYBER	6300	27972	\N	\N	\N
557215	1896	1997-01-07	VYDAJ	VYBER	27600	22899	\N	\N	\N
557219	1896	1995-12-11	VYDAJ	VYBER	3900	67978	\N	\N	\N
557220	1896	1996-12-20	VYDAJ	VYBER	8400	36141	\N	\N	\N
557221	1896	1997-12-26	VYDAJ	VYBER	3600	67300	\N	\N	\N
557232	1896	1994-01-29	VYDAJ	VYBER	1500	69067	\N	\N	\N
557233	1896	1994-01-29	VYDAJ	VYBER	1800	67267	\N	\N	\N
557234	1896	1994-01-30	VYDAJ	VYBER	7800	59467	\N	\N	\N
557236	1896	1995-01-22	VYDAJ	VYBER	6300	19450	\N	\N	\N
557237	1896	1995-01-30	VYDAJ	VYBER	2700	22650	\N	\N	\N
557238	1896	1995-01-17	VYDAJ	VYBER	3300	25750	\N	\N	\N
557240	1896	1995-01-07	VYDAJ	VYBER	1500	21686	\N	\N	\N
557241	1896	1996-01-21	VYDAJ	VYBER	4200	52472	\N	\N	\N
557242	1896	1996-01-09	VYDAJ	VYBER	6600	37985	\N	\N	\N
557243	1896	1996-01-21	VYDAJ	VYBER	3600	48872	\N	\N	\N
557244	1896	1996-01-30	VYDAJ	VYBER	4500	23472	\N	\N	\N
557245	1896	1996-01-25	VYDAJ	VYBER	6000	34272	\N	\N	\N
557246	1896	1996-01-07	VYDAJ	VYBER	3300	44585	\N	\N	\N
557253	1896	1998-01-06	VYDAJ	VYBER	3000	39596	\N	\N	\N
557254	1896	1998-01-23	VYDAJ	VYBER	4800	25133	\N	\N	\N
557255	1896	1998-01-02	VYDAJ	VYBER	2700	64894	\N	\N	\N
557256	1896	1998-01-09	VYDAJ	VYBER	2100	28033	\N	\N	\N
557257	1896	1998-01-04	VYDAJ	VYBER	4200	42596	\N	\N	\N
557267	1896	1994-11-06	VYDAJ	VYBER	2100	32326	\N	\N	\N
557271	1896	1995-09-12	VYDAJ	VYBER	11100	31407	\N	\N	\N
557272	1896	1995-02-13	VYDAJ	VYBER	3600	53333	\N	\N	\N
557273	1896	1995-07-17	VYDAJ	VYBER	9000	45398	\N	\N	\N
557275	1896	1996-03-05	VYDAJ	VYBER	10500	55085	\N	\N	\N
557276	1896	1996-05-29	VYDAJ	VYBER	2100	39032	\N	\N	\N
557277	1896	1996-12-28	VYDAJ	VYBER	12000	24141	\N	\N	\N
557278	1896	1996-12-17	VYDAJ	VYBER	11100	66041	\N	\N	\N
557279	1896	1996-11-29	VYDAJ	VYBER	10500	36014	\N	\N	\N
557281	1896	1997-08-18	VYDAJ	VYBER	11400	47590	\N	\N	\N
557282	1896	1997-09-19	VYDAJ	VYBER	4800	36956	\N	\N	\N
557283	1896	1997-03-23	VYDAJ	VYBER	5100	51861	\N	\N	\N
557284	1896	1997-06-04	VYDAJ	VYBER	3300	76160	\N	\N	\N
557285	1896	1997-05-22	VYDAJ	VYBER	2700	51542	\N	\N	\N
557286	1896	1998-05-18	VYDAJ	VYBER	5400	29313	\N	\N	\N
557288	1896	1998-06-19	VYDAJ	VYBER	3900	26716	\N	\N	\N
557289	1896	1998-12-04	VYDAJ	VYBER	3900	28946	\N	\N	\N
557290	1896	1998-03-28	VYDAJ	VYBER	6600	26428	\N	\N	\N
557305	1896	1994-01-31	VYDAJ	VYBER	15	59755	SLUZBY	\N	\N
557306	1896	1994-02-28	VYDAJ	VYBER	15	30940	SLUZBY	\N	\N
557307	1896	1994-03-31	VYDAJ	VYBER	15	19556	SLUZBY	\N	\N
557308	1896	1994-04-30	VYDAJ	VYBER	15	10933	SLUZBY	\N	\N
557309	1896	1994-05-31	VYDAJ	VYBER	15	8694	SLUZBY	\N	\N
557310	1896	1994-06-30	VYDAJ	VYBER	15	5543	SLUZBY	\N	\N
557311	1896	1994-07-31	VYDAJ	VYBER	15	5287	SLUZBY	\N	\N
557312	1896	1994-08-31	VYDAJ	VYBER	15	17839	SLUZBY	\N	\N
557313	1896	1994-09-30	VYDAJ	VYBER	15	15835	SLUZBY	\N	\N
557314	1896	1994-10-31	VYDAJ	VYBER	15	34426	SLUZBY	\N	\N
557315	1896	1994-11-30	VYDAJ	VYBER	15	25957	SLUZBY	\N	\N
557316	1896	1994-12-31	VYDAJ	VYBER	15	23186	SLUZBY	\N	\N
557317	1896	1995-01-31	VYDAJ	VYBER	15	22729	SLUZBY	\N	\N
557318	1896	1995-02-28	VYDAJ	VYBER	15	50572	SLUZBY	\N	\N
557319	1896	1995-03-31	VYDAJ	VYBER	15	56037	SLUZBY	\N	\N
557320	1896	1995-04-30	VYDAJ	VYBER	15	51089	SLUZBY	\N	\N
557321	1896	1995-05-31	VYDAJ	VYBER	15	34515	SLUZBY	\N	\N
557322	1896	1995-06-30	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
557323	1896	1995-07-31	VYDAJ	VYBER	15	43246	SLUZBY	\N	\N
557324	1896	1995-08-31	VYDAJ	VYBER	15	51970	SLUZBY	\N	\N
557325	1896	1995-09-30	VYDAJ	VYBER	15	32454	SLUZBY	\N	\N
557326	1896	1995-10-31	VYDAJ	VYBER	15	28307	SLUZBY	\N	\N
557327	1896	1995-11-30	VYDAJ	VYBER	15	25044	SLUZBY	\N	\N
557328	1896	1995-12-31	VYDAJ	VYBER	15	47885	SLUZBY	\N	\N
557329	1896	1996-01-31	VYDAJ	VYBER	15	23624	SLUZBY	\N	\N
557330	1896	1996-02-29	VYDAJ	VYBER	15	65585	SLUZBY	\N	\N
557331	1896	1996-03-31	VYDAJ	VYBER	15	55628	SLUZBY	\N	\N
557332	1896	1996-04-30	VYDAJ	VYBER	15	39655	SLUZBY	\N	\N
557333	1896	1996-05-31	VYDAJ	VYBER	15	39212	SLUZBY	\N	\N
557334	1896	1996-06-30	VYDAJ	VYBER	15	112518	SLUZBY	\N	\N
557335	1896	1996-07-31	VYDAJ	VYBER	15	66904	SLUZBY	\N	\N
557336	1896	1996-08-31	VYDAJ	VYBER	15	85964	SLUZBY	\N	\N
557337	1896	1996-09-30	VYDAJ	VYBER	15	110222	SLUZBY	\N	\N
557338	1896	1996-10-31	VYDAJ	VYBER	15	69770	SLUZBY	\N	\N
557339	1896	1996-11-30	VYDAJ	VYBER	15	72138	SLUZBY	\N	\N
557340	1896	1996-12-31	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
557341	1896	1997-01-31	VYDAJ	VYBER	15	18898	SLUZBY	\N	\N
557342	1896	1997-02-28	VYDAJ	VYBER	15	59944	SLUZBY	\N	\N
557343	1896	1997-03-31	VYDAJ	VYBER	15	52087	SLUZBY	\N	\N
557344	1896	1997-04-30	VYDAJ	VYBER	15	35793	SLUZBY	\N	\N
557345	1896	1997-05-31	VYDAJ	VYBER	15	79460	SLUZBY	\N	\N
557346	1896	1997-06-30	VYDAJ	VYBER	15	77890	SLUZBY	\N	\N
557347	1896	1997-07-31	VYDAJ	VYBER	15	87740	SLUZBY	\N	\N
557348	1896	1997-08-31	VYDAJ	VYBER	15	62719	SLUZBY	\N	\N
557349	1896	1997-09-30	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
557350	1896	1997-10-31	VYDAJ	VYBER	15	59871	SLUZBY	\N	\N
557351	1896	1997-11-30	VYDAJ	VYBER	15	69735	SLUZBY	\N	\N
557352	1896	1997-12-31	VYDAJ	VYBER	15	67594	SLUZBY	\N	\N
557353	1896	1998-01-31	VYDAJ	VYBER	15	25256	SLUZBY	\N	\N
557354	1896	1998-02-28	VYDAJ	VYBER	15	29091	SLUZBY	\N	\N
557355	1896	1998-03-31	VYDAJ	VYBER	15	26538	SLUZBY	\N	\N
557356	1896	1998-04-30	VYDAJ	VYBER	15	29976	SLUZBY	\N	\N
557357	1896	1998-05-31	VYDAJ	VYBER	15	29422	SLUZBY	\N	\N
557358	1896	1998-06-30	VYDAJ	VYBER	15	26814	SLUZBY	\N	\N
557359	1896	1998-07-31	VYDAJ	VYBER	15	37467	SLUZBY	\N	\N
557360	1896	1998-08-31	VYDAJ	VYBER	15	39748	SLUZBY	\N	\N
557361	1896	1998-09-30	VYDAJ	VYBER	15	36120	SLUZBY	\N	\N
557362	1896	1998-10-31	VYDAJ	VYBER	15	36188	SLUZBY	\N	\N
557363	1896	1998-11-30	VYDAJ	VYBER	15	32846	SLUZBY	\N	\N
557364	1896	1993-11-04	VYDAJ	VYBER	1900	26633	\N	\N	\N
557365	1896	1993-12-04	VYDAJ	VYBER	10800	33594	\N	\N	\N
557366	1896	1994-01-03	VYDAJ	VYBER	27200	50417	\N	\N	\N
557367	1896	1994-02-02	VYDAJ	VYBER	19500	40255	\N	\N	\N
557368	1896	1994-03-04	VYDAJ	VYBER	2000	28940	\N	\N	\N
557369	1896	1994-04-03	PRIJEM	VKLAD	800	20356	\N	\N	\N
557370	1896	1994-05-03	PRIJEM	VKLAD	7200	18133	\N	\N	\N
557371	1896	1994-06-02	PRIJEM	VKLAD	6300	14994	\N	\N	\N
557372	1896	1994-07-02	PRIJEM	VKLAD	9200	14743	\N	\N	\N
557373	1896	1994-08-01	PRIJEM	VKLAD	11300	16587	\N	\N	\N
557374	1896	1994-08-31	PRIJEM	VKLAD	10700	17824	\N	\N	\N
557375	1896	1994-09-30	PRIJEM	VKLAD	7400	15776	\N	\N	\N
557376	1896	1994-10-30	VYDAJ	VYBER	11900	34345	\N	\N	\N
557377	1896	1994-11-29	PRIJEM	VKLAD	3000	25863	\N	\N	\N
557378	1896	1994-12-29	PRIJEM	VKLAD	6600	23094	\N	\N	\N
557379	1896	1995-01-28	PRIJEM	VKLAD	5900	25350	\N	\N	\N
557380	1896	1995-02-27	VYDAJ	VYBER	16700	50413	\N	\N	\N
557381	1896	1995-03-26	VYDAJ	VYBER	22200	83096	\N	\N	\N
557382	1896	1995-03-29	VYDAJ	VYBER	27300	55796	\N	\N	\N
557383	1896	1995-04-21	VYDAJ	VYBER	39900	83281	\N	\N	\N
557384	1896	1995-04-28	VYDAJ	VYBER	20400	50831	\N	\N	\N
557385	1896	1995-05-28	VYDAJ	VYBER	7300	34326	\N	\N	\N
557386	1896	1995-06-27	PRIJEM	VKLAD	5700	27832	\N	\N	\N
557387	1896	1995-07-27	VYDAJ	VYBER	59300	43001	\N	\N	\N
557388	1896	1995-07-27	VYDAJ	VYBER	9900	102301	\N	\N	\N
557389	1896	1995-08-26	VYDAJ	VYBER	22800	51742	\N	\N	\N
557390	1896	1995-09-25	PRIJEM	VKLAD	900	32307	\N	\N	\N
557391	1896	1995-10-25	PRIJEM	VKLAD	5200	28191	\N	\N	\N
557392	1896	1995-11-24	PRIJEM	VKLAD	6100	24944	\N	\N	\N
557393	1896	1995-12-24	VYDAJ	VYBER	20300	47678	\N	\N	\N
557394	1896	1996-01-23	VYDAJ	VYBER	8600	40272	\N	\N	\N
557395	1896	1996-02-22	PRIJEM	VKLAD	1500	31187	\N	\N	\N
557396	1896	1996-03-18	VYDAJ	VYBER	35600	77750	\N	\N	\N
557397	1896	1996-03-23	VYDAJ	VYBER	22400	55350	\N	\N	\N
557398	1896	1996-04-22	VYDAJ	VYBER	7200	39475	\N	\N	\N
557399	1896	1996-05-22	VYDAJ	VYBER	8900	41132	\N	\N	\N
557400	1896	1996-06-21	VYDAJ	VYBER	9900	41361	\N	\N	\N
557401	1896	1996-06-30	VYDAJ	VYBER	50900	61618	\N	\N	\N
557402	1896	1996-07-21	VYDAJ	VYBER	42200	66610	\N	\N	\N
557403	1896	1996-08-20	VYDAJ	VYBER	26600	57742	\N	\N	\N
557404	1896	1996-08-31	VYDAJ	VYBER	58500	85978	\N	\N	\N
557405	1896	1996-09-09	VYDAJ	VYBER	33400	72061	\N	\N	\N
557406	1896	1996-09-19	VYDAJ	VYBER	40600	62668	\N	\N	\N
557407	1896	1996-10-15	VYDAJ	VYBER	55500	78790	\N	\N	\N
557408	1896	1996-10-19	VYDAJ	VYBER	25400	53390	\N	\N	\N
557409	1896	1996-11-08	VYDAJ	VYBER	53100	60354	\N	\N	\N
557410	1896	1996-11-18	VYDAJ	VYBER	7900	29596	\N	\N	\N
557411	1896	1996-12-11	VYDAJ	VYBER	38000	77141	\N	\N	\N
557412	1896	1996-12-18	VYDAJ	VYBER	21500	44541	\N	\N	\N
557413	1896	1997-01-17	PRIJEM	VKLAD	5400	18836	\N	\N	\N
557414	1896	1997-02-16	PRIJEM	VKLAD	9200	18635	\N	\N	\N
557415	1896	1997-03-18	VYDAJ	VYBER	38700	56961	\N	\N	\N
557416	1896	1997-04-17	VYDAJ	VYBER	7000	35624	\N	\N	\N
557417	1896	1997-05-17	PRIJEM	VKLAD	900	27230	\N	\N	\N
557418	1896	1997-06-16	VYDAJ	VYBER	22800	43897	\N	\N	\N
557419	1896	1997-07-16	VYDAJ	VYBER	21600	46827	\N	\N	\N
557420	1896	1997-08-15	VYDAJ	VYBER	25600	58990	\N	\N	\N
557421	1896	1997-09-14	VYDAJ	VYBER	11500	41756	\N	\N	\N
557422	1896	1997-10-14	VYDAJ	VYBER	22800	59627	\N	\N	\N
557423	1896	1997-11-13	VYDAJ	VYBER	8900	41508	\N	\N	\N
557424	1896	1997-12-13	VYDAJ	VYBER	28800	62093	\N	\N	\N
557425	1896	1998-01-12	PRIJEM	VKLAD	1900	29933	\N	\N	\N
557426	1896	1998-02-11	PRIJEM	VKLAD	13200	28993	\N	\N	\N
557427	1896	1998-03-13	PRIJEM	VKLAD	13400	33028	\N	\N	\N
557428	1896	1998-04-12	PRIJEM	VKLAD	12800	29875	\N	\N	\N
557429	1896	1998-05-12	PRIJEM	VKLAD	14200	34713	\N	\N	\N
557430	1896	1998-06-11	PRIJEM	VKLAD	12900	30616	\N	\N	\N
557431	1896	1998-07-11	PRIJEM	VKLAD	14500	31851	\N	\N	\N
557432	1896	1998-08-10	PRIJEM	VKLAD	11600	39604	\N	\N	\N
557433	1896	1998-09-09	PRIJEM	VKLAD	5700	45448	\N	\N	\N
557434	1896	1998-10-09	PRIJEM	VKLAD	9400	45520	\N	\N	\N
557435	1896	1998-11-08	PRIJEM	VKLAD	6000	42188	\N	\N	\N
557436	1896	1998-12-08	PRIJEM	VKLAD	5800	34746	\N	\N	\N
557499	1897	1996-03-05	PRIJEM	VKLAD	400	400	\N	\N	\N
557501	1897	1996-09-08	PRIJEM	VKLAD	49075	104902	\N	\N	\N
557502	1897	1996-10-19	PRIJEM	VKLAD	35445	73274	\N	\N	\N
557503	1897	1996-04-25	PRIJEM	VKLAD	43783	70045	\N	\N	\N
557505	1897	1996-11-01	PRIJEM	VKLAD	22298	71357	\N	\N	\N
557507	1897	1996-06-12	PRIJEM	VKLAD	31390	65687	\N	\N	\N
557508	1897	1996-04-25	PRIJEM	VKLAD	23475	93520	\N	\N	\N
557510	1897	1996-03-22	PRIJEM	VKLAD	31419	31819	\N	\N	\N
557511	1897	1996-11-13	PRIJEM	VKLAD	11153	53232	\N	\N	\N
557512	1897	1996-12-03	PRIJEM	VKLAD	24201	81742	\N	\N	\N
557513	1897	1996-11-21	PRIJEM	VKLAD	33048	86280	\N	\N	\N
557514	1897	1996-06-27	PRIJEM	VKLAD	12974	107166	\N	\N	\N
557515	1897	1996-06-14	PRIJEM	VKLAD	37499	103057	\N	\N	\N
557516	1897	1996-10-01	PRIJEM	VKLAD	12453	106825	\N	\N	\N
557517	1897	1996-08-30	PRIJEM	VKLAD	27553	92524	\N	\N	\N
557518	1897	1996-04-27	PRIJEM	VKLAD	10674	104194	\N	\N	\N
557519	1897	1996-08-23	PRIJEM	VKLAD	36183	64971	\N	\N	\N
557520	1897	1997-11-24	PRIJEM	VKLAD	43269	150851	\N	\N	\N
557521	1897	1997-08-27	PRIJEM	VKLAD	45421	91913	\N	\N	\N
557522	1897	1997-01-15	PRIJEM	VKLAD	29903	171345	\N	\N	\N
557523	1897	1997-03-07	PRIJEM	VKLAD	48813	127018	\N	\N	\N
557524	1897	1997-01-24	PRIJEM	VKLAD	48594	115723	\N	\N	\N
557525	1897	1997-01-01	PRIJEM	VKLAD	20438	63631	\N	\N	\N
557526	1897	1997-11-22	PRIJEM	VKLAD	48916	107582	\N	\N	\N
557527	1897	1997-07-22	PRIJEM	VKLAD	29600	83081	\N	\N	\N
557528	1897	1997-08-20	PRIJEM	VKLAD	7735	46492	\N	\N	\N
557529	1897	1997-11-30	PRIJEM	VKLAD	31215	88766	\N	\N	\N
557530	1897	1997-01-10	PRIJEM	VKLAD	42411	103805	\N	\N	\N
557531	1897	1997-11-06	PRIJEM	VKLAD	29634	113190	\N	\N	\N
557532	1897	1997-02-22	PRIJEM	VKLAD	40247	76174	\N	\N	\N
557533	1897	1997-03-03	PRIJEM	VKLAD	28728	78205	\N	\N	\N
557534	1897	1997-05-09	PRIJEM	VKLAD	19199	58911	\N	\N	\N
557535	1897	1997-04-12	PRIJEM	VKLAD	38212	52868	\N	\N	\N
557536	1897	1997-07-05	PRIJEM	VKLAD	49823	72412	\N	\N	\N
557537	1897	1997-01-15	PRIJEM	VKLAD	46224	141442	\N	\N	\N
557538	1897	1997-06-03	PRIJEM	VKLAD	8482	46356	\N	\N	\N
557539	1897	1997-10-26	PRIJEM	VKLAD	48151	66712	\N	\N	\N
557540	1897	1997-07-18	PRIJEM	VKLAD	16797	53481	\N	\N	\N
557541	1897	1997-10-31	PRIJEM	VKLAD	41712	83656	\N	\N	\N
557542	1897	1997-12-06	PRIJEM	VKLAD	37352	124509	\N	\N	\N
557543	1897	1998-05-07	PRIJEM	VKLAD	37351	129807	\N	\N	\N
557544	1897	1998-02-14	PRIJEM	VKLAD	25188	60446	\N	\N	\N
557545	1897	1998-04-18	PRIJEM	VKLAD	21337	69525	\N	\N	\N
557546	1897	1998-03-30	PRIJEM	VKLAD	14679	32917	\N	\N	\N
557547	1897	1998-09-20	PRIJEM	VKLAD	49295	121668	\N	\N	\N
557548	1897	1998-01-21	PRIJEM	VKLAD	19172	92006	\N	\N	\N
557549	1897	1998-10-24	PRIJEM	VKLAD	25591	51068	\N	\N	\N
557550	1897	1998-11-16	PRIJEM	VKLAD	38592	78985	\N	\N	\N
557551	1897	1998-01-21	PRIJEM	VKLAD	45183	72834	\N	\N	\N
557552	1897	1998-09-02	PRIJEM	VKLAD	33184	49299	\N	\N	\N
557553	1897	1998-09-27	PRIJEM	VKLAD	25884	82334	\N	\N	\N
557554	1897	1998-09-07	PRIJEM	VKLAD	33898	83197	\N	\N	\N
557555	1897	1998-09-23	PRIJEM	VKLAD	26882	56450	\N	\N	\N
557556	1897	1998-05-07	PRIJEM	VKLAD	39034	92456	\N	\N	\N
557557	1897	1998-06-25	PRIJEM	VKLAD	38500	54224	\N	\N	\N
557558	1897	1998-05-25	PRIJEM	VKLAD	12131	54814	\N	\N	\N
557559	1897	1998-04-25	PRIJEM	VKLAD	8215	53340	\N	\N	\N
557560	1897	1998-04-16	PRIJEM	VKLAD	26109	48188	\N	\N	\N
557603	1897	1996-07-11	VYDAJ	PREVOD NA UCET	8458	55951	SIPO	UV	56447219
557604	1897	1996-08-11	VYDAJ	PREVOD NA UCET	8458	28917	SIPO	UV	56447219
557605	1897	1996-09-11	VYDAJ	PREVOD NA UCET	8458	94207	SIPO	UV	56447219
557606	1897	1996-10-11	VYDAJ	PREVOD NA UCET	8458	37958	SIPO	UV	56447219
557607	1897	1996-11-11	VYDAJ	PREVOD NA UCET	8458	42208	SIPO	UV	56447219
557608	1897	1996-12-11	VYDAJ	PREVOD NA UCET	8458	71047	SIPO	UV	56447219
557609	1897	1997-01-11	VYDAJ	PREVOD NA UCET	8458	95347	SIPO	UV	56447219
557610	1897	1997-02-11	VYDAJ	PREVOD NA UCET	8458	36056	SIPO	UV	56447219
557611	1897	1997-03-11	VYDAJ	PREVOD NA UCET	8458	53023	SIPO	UV	56447219
557612	1897	1997-04-11	VYDAJ	PREVOD NA UCET	8458	14656	SIPO	UV	56447219
557613	1897	1997-05-11	VYDAJ	PREVOD NA UCET	8458	48216	SIPO	UV	56447219
557614	1897	1997-06-11	VYDAJ	PREVOD NA UCET	8458	25300	SIPO	UV	56447219
557615	1897	1997-07-11	VYDAJ	PREVOD NA UCET	8458	36813	SIPO	UV	56447219
557616	1897	1997-08-11	VYDAJ	PREVOD NA UCET	8458	40386	SIPO	UV	56447219
557617	1897	1997-09-11	VYDAJ	PREVOD NA UCET	8458	39338	SIPO	UV	56447219
557618	1897	1997-10-11	VYDAJ	PREVOD NA UCET	8458	18690	SIPO	UV	56447219
557619	1897	1997-11-11	VYDAJ	PREVOD NA UCET	8458	58795	SIPO	UV	56447219
557620	1897	1997-12-11	VYDAJ	PREVOD NA UCET	8458	65414	SIPO	UV	56447219
557621	1897	1998-01-11	VYDAJ	PREVOD NA UCET	8458	27780	SIPO	UV	56447219
557622	1897	1998-02-11	VYDAJ	PREVOD NA UCET	8458	44087	SIPO	UV	56447219
557623	1897	1998-03-11	VYDAJ	PREVOD NA UCET	8458	16167	SIPO	UV	56447219
557624	1897	1998-04-11	VYDAJ	PREVOD NA UCET	8458	22208	SIPO	UV	56447219
557625	1897	1998-05-11	VYDAJ	PREVOD NA UCET	8458	75912	SIPO	UV	56447219
557626	1897	1998-06-11	VYDAJ	PREVOD NA UCET	8458	26053	SIPO	UV	56447219
557627	1897	1998-07-11	VYDAJ	PREVOD NA UCET	8458	27044	SIPO	UV	56447219
557628	1897	1998-08-11	VYDAJ	PREVOD NA UCET	8458	16264	SIPO	UV	56447219
557629	1897	1998-09-11	VYDAJ	PREVOD NA UCET	8458	72502	SIPO	UV	56447219
557630	1897	1998-10-11	VYDAJ	PREVOD NA UCET	8458	60149	SIPO	UV	56447219
557631	1897	1998-11-11	VYDAJ	PREVOD NA UCET	8458	40522	SIPO	UV	56447219
557632	1897	1998-12-11	VYDAJ	PREVOD NA UCET	8458	29392	SIPO	UV	56447219
557639	1897	1996-07-09	VYDAJ	PREVOD NA UCET	2237	64409	 	OP	60395377
557640	1897	1996-08-09	VYDAJ	PREVOD NA UCET	2237	37375	 	OP	60395377
557641	1897	1996-09-09	VYDAJ	PREVOD NA UCET	2237	102665	 	OP	60395377
557642	1897	1996-10-09	VYDAJ	PREVOD NA UCET	2237	46416	 	OP	60395377
557643	1897	1996-11-09	VYDAJ	PREVOD NA UCET	2237	69120	 	OP	60395377
557644	1897	1996-12-09	VYDAJ	PREVOD NA UCET	2237	79505	 	OP	60395377
557645	1897	1997-01-09	VYDAJ	PREVOD NA UCET	2237	61394	 	OP	60395377
557646	1897	1997-02-09	VYDAJ	PREVOD NA UCET	2237	44514	 	OP	60395377
557647	1897	1997-03-09	VYDAJ	PREVOD NA UCET	2237	61481	 	OP	60395377
557648	1897	1997-04-09	VYDAJ	PREVOD NA UCET	2237	23114	 	OP	60395377
557649	1897	1997-05-09	VYDAJ	PREVOD NA UCET	2237	56674	 	OP	60395377
557650	1897	1997-06-09	VYDAJ	PREVOD NA UCET	2237	33758	 	OP	60395377
557651	1897	1997-07-09	VYDAJ	PREVOD NA UCET	2237	45271	 	OP	60395377
557652	1897	1997-08-09	VYDAJ	PREVOD NA UCET	2237	48844	 	OP	60395377
557653	1897	1997-09-09	VYDAJ	PREVOD NA UCET	2237	52596	 	OP	60395377
557654	1897	1997-10-09	VYDAJ	PREVOD NA UCET	2237	27148	 	OP	60395377
557655	1897	1997-11-09	VYDAJ	PREVOD NA UCET	2237	67253	 	OP	60395377
557656	1897	1997-12-09	VYDAJ	PREVOD NA UCET	2237	106172	 	OP	60395377
557657	1897	1998-01-09	VYDAJ	PREVOD NA UCET	2237	36238	 	OP	60395377
557658	1897	1998-02-09	VYDAJ	PREVOD NA UCET	2237	52545	 	OP	60395377
557659	1897	1998-03-09	VYDAJ	PREVOD NA UCET	2237	24625	 	OP	60395377
557660	1897	1998-04-09	VYDAJ	PREVOD NA UCET	2237	30666	 	OP	60395377
557661	1897	1998-05-09	VYDAJ	PREVOD NA UCET	2237	84370	 	OP	60395377
557662	1897	1998-06-09	VYDAJ	PREVOD NA UCET	2237	34511	 	OP	60395377
557663	1897	1998-07-09	VYDAJ	PREVOD NA UCET	2237	52049	 	OP	60395377
557664	1897	1998-08-09	VYDAJ	PREVOD NA UCET	2237	24722	 	OP	60395377
557665	1897	1998-09-09	VYDAJ	PREVOD NA UCET	2237	80960	 	OP	60395377
557666	1897	1998-10-09	VYDAJ	PREVOD NA UCET	2237	68607	 	OP	60395377
557667	1897	1998-11-09	VYDAJ	PREVOD NA UCET	2237	48980	 	OP	60395377
557668	1897	1998-12-09	VYDAJ	PREVOD NA UCET	2237	37850	 	OP	60395377
557674	1897	1996-06-12	VYDAJ	PREVOD NA UCET	129	65558	POJISTNE	WX	10508221
557675	1897	1996-07-12	VYDAJ	PREVOD NA UCET	129	55822	POJISTNE	WX	10508221
557676	1897	1996-08-12	VYDAJ	PREVOD NA UCET	129	28788	POJISTNE	WX	10508221
557677	1897	1996-09-12	VYDAJ	PREVOD NA UCET	129	94078	POJISTNE	WX	10508221
557678	1897	1996-10-12	VYDAJ	PREVOD NA UCET	129	37829	POJISTNE	WX	10508221
557679	1897	1996-11-12	VYDAJ	PREVOD NA UCET	129	42079	POJISTNE	WX	10508221
557680	1897	1996-12-12	VYDAJ	PREVOD NA UCET	129	70918	POJISTNE	WX	10508221
557681	1897	1997-01-12	VYDAJ	PREVOD NA UCET	129	95218	POJISTNE	WX	10508221
557682	1897	1997-02-12	VYDAJ	PREVOD NA UCET	129	35927	POJISTNE	WX	10508221
557683	1897	1997-03-12	VYDAJ	PREVOD NA UCET	129	52894	POJISTNE	WX	10508221
557684	1897	1997-04-12	VYDAJ	PREVOD NA UCET	129	52739	POJISTNE	WX	10508221
557685	1897	1997-05-12	VYDAJ	PREVOD NA UCET	129	48087	POJISTNE	WX	10508221
557686	1897	1997-06-12	VYDAJ	PREVOD NA UCET	129	25171	POJISTNE	WX	10508221
557687	1897	1997-07-12	VYDAJ	PREVOD NA UCET	129	36684	POJISTNE	WX	10508221
557688	1897	1997-08-12	VYDAJ	PREVOD NA UCET	129	40257	POJISTNE	WX	10508221
557689	1897	1997-09-12	VYDAJ	PREVOD NA UCET	129	39209	POJISTNE	WX	10508221
557690	1897	1997-10-12	VYDAJ	PREVOD NA UCET	129	18561	POJISTNE	WX	10508221
557691	1897	1997-11-12	VYDAJ	PREVOD NA UCET	129	58666	POJISTNE	WX	10508221
557692	1897	1997-12-12	VYDAJ	PREVOD NA UCET	129	65285	POJISTNE	WX	10508221
557693	1897	1998-01-12	VYDAJ	PREVOD NA UCET	129	27651	POJISTNE	WX	10508221
557694	1897	1998-02-12	VYDAJ	PREVOD NA UCET	129	43958	POJISTNE	WX	10508221
557695	1897	1998-03-12	VYDAJ	PREVOD NA UCET	129	16038	POJISTNE	WX	10508221
557696	1897	1998-04-12	VYDAJ	PREVOD NA UCET	129	22079	POJISTNE	WX	10508221
557697	1897	1998-05-12	VYDAJ	PREVOD NA UCET	129	75783	POJISTNE	WX	10508221
557698	1897	1998-06-12	VYDAJ	PREVOD NA UCET	129	25924	POJISTNE	WX	10508221
557699	1897	1998-07-12	VYDAJ	PREVOD NA UCET	129	26915	POJISTNE	WX	10508221
557700	1897	1998-08-12	VYDAJ	PREVOD NA UCET	129	16135	POJISTNE	WX	10508221
557701	1897	1998-09-12	VYDAJ	PREVOD NA UCET	129	72373	POJISTNE	WX	10508221
557702	1897	1998-10-12	VYDAJ	PREVOD NA UCET	129	60020	POJISTNE	WX	10508221
557703	1897	1998-11-12	VYDAJ	PREVOD NA UCET	129	40393	POJISTNE	WX	10508221
557704	1897	1998-12-12	VYDAJ	PREVOD NA UCET	129	29263	POJISTNE	WX	10508221
557705	1897	1996-06-23	VYBER	VYBER	8865	94192	\N	\N	\N
557706	1897	1996-10-08	VYBER	VYBER	5072	48653	\N	\N	\N
557709	1897	1996-11-11	VYBER	VYBER	18454	50666	\N	\N	\N
557711	1897	1997-03-29	VYBER	VYBER	21872	31022	\N	\N	\N
557713	1897	1997-06-03	VYBER	VYBER	10361	35995	\N	\N	\N
557714	1897	1997-01-19	VYBER	VYBER	3816	67129	\N	\N	\N
557715	1897	1997-07-09	VYBER	VYBER	24904	47508	\N	\N	\N
557716	1897	1997-08-08	VYBER	VYBER	3096	51081	\N	\N	\N
557719	1897	1998-06-02	VYBER	VYBER	18243	36748	\N	\N	\N
557720	1897	1998-10-18	VYBER	VYBER	6543	53477	\N	\N	\N
557722	1897	1998-10-03	VYBER	VYBER	11631	70844	\N	\N	\N
557723	1897	1998-07-10	VYBER	VYBER	16547	35502	\N	\N	\N
557724	1897	1998-02-20	VYBER	VYBER	18879	41567	\N	\N	\N
557728	1897	1996-12-29	VYDAJ	VYBER	4200	66718	\N	\N	\N
557729	1897	1997-12-02	VYDAJ	VYBER	1800	87157	\N	\N	\N
557730	1897	1998-12-16	VYDAJ	VYBER	2700	26563	\N	\N	\N
557734	1897	1996-12-30	VYDAJ	VYBER	6300	60418	\N	\N	\N
557735	1897	1997-05-26	VYDAJ	VYBER	3600	44487	\N	\N	\N
557737	1897	1997-09-10	VYDAJ	VYBER	4800	47796	\N	\N	\N
557738	1897	1997-08-19	VYDAJ	VYBER	1500	38757	\N	\N	\N
557740	1897	1998-12-17	VYDAJ	VYBER	2100	24463	\N	\N	\N
557741	1897	1998-02-13	VYDAJ	VYBER	8700	35258	\N	\N	\N
557748	1897	1996-06-30	VYDAJ	VYBER	100	107446	SLUZBY	\N	\N
557749	1897	1996-07-31	VYDAJ	VYBER	100	56012	SLUZBY	\N	\N
557750	1897	1996-08-31	VYDAJ	VYBER	100	92627	SLUZBY	\N	\N
557751	1897	1996-09-30	VYDAJ	VYBER	100	94372	SLUZBY	\N	\N
557752	1897	1996-10-31	VYDAJ	VYBER	100	49059	SLUZBY	\N	\N
557753	1897	1996-11-30	VYDAJ	VYBER	100	86441	SLUZBY	\N	\N
557754	1897	1996-12-31	VYDAJ	VYBER	100	43193	SLUZBY	\N	\N
557755	1897	1997-01-31	VYDAJ	VYBER	100	46751	SLUZBY	\N	\N
557756	1897	1997-02-28	VYDAJ	VYBER	100	49477	SLUZBY	\N	\N
557757	1897	1997-03-31	VYDAJ	VYBER	100	25351	SLUZBY	\N	\N
557758	1897	1997-04-30	VYDAJ	VYBER	100	39712	SLUZBY	\N	\N
557759	1897	1997-05-31	VYDAJ	VYBER	100	37874	SLUZBY	\N	\N
557760	1897	1997-06-30	VYDAJ	VYBER	100	22589	SLUZBY	\N	\N
557761	1897	1997-07-31	VYDAJ	VYBER	100	54177	SLUZBY	\N	\N
557762	1897	1997-08-31	VYDAJ	VYBER	100	54833	SLUZBY	\N	\N
557763	1897	1997-09-30	VYDAJ	VYBER	100	29385	SLUZBY	\N	\N
557764	1897	1997-10-31	VYDAJ	VYBER	100	83556	SLUZBY	\N	\N
557765	1897	1997-11-30	VYDAJ	VYBER	100	88957	SLUZBY	\N	\N
557766	1897	1997-12-31	VYDAJ	VYBER	100	38475	SLUZBY	\N	\N
557767	1897	1998-01-31	VYDAJ	VYBER	100	54782	SLUZBY	\N	\N
557768	1897	1998-02-28	VYDAJ	VYBER	100	26862	SLUZBY	\N	\N
557769	1897	1998-03-31	VYDAJ	VYBER	100	32903	SLUZBY	\N	\N
557770	1897	1998-04-30	VYDAJ	VYBER	100	53422	SLUZBY	\N	\N
557771	1897	1998-05-31	VYDAJ	VYBER	100	54991	SLUZBY	\N	\N
557772	1897	1998-06-30	VYDAJ	VYBER	100	54286	SLUZBY	\N	\N
557773	1897	1998-07-31	VYDAJ	VYBER	100	26959	SLUZBY	\N	\N
557774	1897	1998-08-31	VYDAJ	VYBER	100	16115	SLUZBY	\N	\N
557775	1897	1998-09-30	VYDAJ	VYBER	100	82475	SLUZBY	\N	\N
557776	1897	1998-10-31	VYDAJ	VYBER	100	51217	SLUZBY	\N	\N
557777	1897	1998-11-30	VYDAJ	VYBER	100	40087	SLUZBY	\N	\N
557778	1897	1996-04-04	VYDAJ	VYBER	5600	26262	\N	\N	\N
557779	1897	1996-04-27	VYDAJ	VYBER	25500	78694	\N	\N	\N
557780	1897	1996-05-04	VYDAJ	VYBER	30300	48570	\N	\N	\N
557781	1897	1996-06-03	VYDAJ	VYBER	14600	34297	\N	\N	\N
557782	1897	1996-07-03	VYDAJ	VYBER	40800	66646	\N	\N	\N
557783	1897	1996-08-02	VYDAJ	VYBER	16400	39612	\N	\N	\N
557784	1897	1996-09-01	VYDAJ	VYBER	36800	55827	\N	\N	\N
557785	1897	1996-10-01	VYDAJ	VYBER	18300	53725	\N	\N	\N
557786	1897	1996-10-01	VYDAJ	VYBER	34800	72025	\N	\N	\N
557787	1897	1996-10-31	VYDAJ	VYBER	24400	49159	\N	\N	\N
557788	1897	1996-11-30	VYDAJ	VYBER	28900	57541	\N	\N	\N
557789	1897	1996-12-30	VYDAJ	VYBER	17400	43018	\N	\N	\N
557790	1897	1997-01-15	VYDAJ	VYBER	48000	123345	\N	\N	\N
557791	1897	1997-01-15	VYDAJ	VYBER	52400	70945	\N	\N	\N
557792	1897	1997-01-24	VYDAJ	VYBER	46000	69723	\N	\N	\N
557793	1897	1997-01-29	VYDAJ	VYBER	23200	46523	\N	\N	\N
557794	1897	1997-02-28	VYDAJ	VYBER	26800	49577	\N	\N	\N
557795	1897	1997-03-07	VYDAJ	VYBER	63300	63718	\N	\N	\N
557796	1897	1997-03-30	VYDAJ	VYBER	5800	25222	\N	\N	\N
557797	1897	1997-04-29	VYDAJ	VYBER	13100	39639	\N	\N	\N
557798	1897	1997-05-29	VYDAJ	VYBER	6700	37787	\N	\N	\N
557799	1897	1997-06-28	VYDAJ	VYBER	2600	22571	\N	\N	\N
557800	1897	1997-07-28	VYDAJ	VYBER	29000	54081	\N	\N	\N
557801	1897	1997-08-27	VYDAJ	VYBER	37200	54713	\N	\N	\N
557802	1897	1997-09-26	VYDAJ	VYBER	9900	29309	\N	\N	\N
557803	1897	1997-10-26	VYDAJ	VYBER	24900	41812	\N	\N	\N
557804	1897	1997-11-06	VYDAJ	VYBER	43700	69490	\N	\N	\N
557805	1897	1997-11-24	VYDAJ	VYBER	43900	106951	\N	\N	\N
557806	1897	1997-11-25	VYDAJ	VYBER	49400	57551	\N	\N	\N
557807	1897	1997-12-06	VYDAJ	VYBER	16100	108409	\N	\N	\N
557808	1897	1997-12-09	VYDAJ	VYBER	32300	73872	\N	\N	\N
557809	1897	1997-12-25	VYDAJ	VYBER	27000	38285	\N	\N	\N
557810	1897	1998-01-24	VYDAJ	VYBER	37300	54706	\N	\N	\N
557811	1897	1998-02-23	VYDAJ	VYBER	14800	26767	\N	\N	\N
557812	1897	1998-03-25	PRIJEM	VKLAD	2200	18238	\N	\N	\N
557813	1897	1998-04-24	VYDAJ	VYBER	24400	45125	\N	\N	\N
557814	1897	1998-05-07	VYDAJ	VYBER	43200	86607	\N	\N	\N
557815	1897	1998-05-24	VYDAJ	VYBER	33100	42683	\N	\N	\N
557816	1897	1998-06-23	VYDAJ	VYBER	10200	15724	\N	\N	\N
557817	1897	1998-09-20	VYDAJ	VYBER	60600	61068	\N	\N	\N
557818	1897	1998-09-21	VYDAJ	VYBER	31500	29568	\N	\N	\N
557819	1897	1998-10-21	VYDAJ	VYBER	28000	25477	\N	\N	\N
557820	1897	1998-11-20	VYDAJ	VYBER	39000	39985	\N	\N	\N
557855	1898	1993-04-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
557859	1898	1993-04-07	PRIJEM	PREVOD Z UCTU	10266	11266	\N	MN	49335420
557860	1898	1993-05-07	PRIJEM	PREVOD Z UCTU	10266	28570	\N	MN	49335420
557861	1898	1993-06-07	PRIJEM	PREVOD Z UCTU	15399	41173	\N	MN	49335420
557862	1898	1993-07-07	PRIJEM	PREVOD Z UCTU	10266	42348	\N	MN	49335420
557863	1898	1993-08-07	PRIJEM	PREVOD Z UCTU	10266	45748	\N	MN	49335420
557864	1898	1993-09-07	PRIJEM	PREVOD Z UCTU	10266	44446	\N	MN	49335420
557865	1898	1993-10-07	PRIJEM	PREVOD Z UCTU	10266	46041	\N	MN	49335420
557866	1898	1993-11-07	PRIJEM	PREVOD Z UCTU	10266	45148	\N	MN	49335420
557867	1898	1993-12-07	PRIJEM	PREVOD Z UCTU	15399	49177	\N	MN	49335420
557868	1898	1994-01-07	PRIJEM	PREVOD Z UCTU	10266	48082	\N	MN	49335420
557869	1898	1994-02-07	PRIJEM	PREVOD Z UCTU	10266	35654	\N	MN	49335420
557870	1898	1994-03-07	PRIJEM	PREVOD Z UCTU	10266	31210	\N	MN	49335420
557871	1898	1994-04-07	PRIJEM	PREVOD Z UCTU	10266	39354	\N	MN	49335420
557872	1898	1994-05-07	PRIJEM	PREVOD Z UCTU	10266	41428	\N	MN	49335420
557873	1898	1994-06-07	PRIJEM	PREVOD Z UCTU	15399	50545	\N	MN	49335420
557874	1898	1994-07-07	PRIJEM	PREVOD Z UCTU	10266	50347	\N	MN	49335420
557875	1898	1994-08-07	PRIJEM	PREVOD Z UCTU	10266	41731	\N	MN	49335420
557876	1898	1994-09-07	PRIJEM	PREVOD Z UCTU	10266	35427	\N	MN	49335420
557877	1898	1994-10-07	PRIJEM	PREVOD Z UCTU	10266	34034	\N	MN	49335420
557878	1898	1994-11-07	PRIJEM	PREVOD Z UCTU	10266	39591	\N	MN	49335420
557879	1898	1994-12-07	PRIJEM	PREVOD Z UCTU	15399	36913	\N	MN	49335420
557880	1898	1995-01-07	PRIJEM	PREVOD Z UCTU	10266	30965	\N	MN	49335420
557881	1898	1995-02-07	PRIJEM	PREVOD Z UCTU	10266	31816	\N	MN	49335420
557882	1898	1995-03-07	PRIJEM	PREVOD Z UCTU	10266	38966	\N	MN	49335420
557883	1898	1995-04-07	PRIJEM	PREVOD Z UCTU	10266	40739	\N	MN	49335420
557884	1898	1995-05-07	PRIJEM	PREVOD Z UCTU	10266	37833	\N	MN	49335420
557885	1898	1995-06-07	PRIJEM	PREVOD Z UCTU	15399	42110	\N	MN	49335420
557886	1898	1995-07-07	PRIJEM	PREVOD Z UCTU	10266	37621	\N	MN	49335420
557887	1898	1995-08-07	PRIJEM	PREVOD Z UCTU	10266	30585	\N	MN	49335420
557888	1898	1995-09-07	PRIJEM	PREVOD Z UCTU	10266	33731	\N	MN	49335420
557889	1898	1995-10-07	PRIJEM	PREVOD Z UCTU	10266	40892	\N	MN	49335420
557890	1898	1995-11-07	PRIJEM	PREVOD Z UCTU	10266	34079	\N	MN	49335420
557891	1898	1995-12-07	PRIJEM	PREVOD Z UCTU	15399	45193	\N	MN	49335420
557892	1898	1996-01-07	PRIJEM	PREVOD Z UCTU	10266	42673	\N	MN	49335420
557893	1898	1996-02-07	PRIJEM	PREVOD Z UCTU	10266	33938	\N	MN	49335420
557894	1898	1996-03-07	PRIJEM	PREVOD Z UCTU	10266	40601	\N	MN	49335420
557895	1898	1996-04-07	PRIJEM	PREVOD Z UCTU	10266	39175	\N	MN	49335420
557896	1898	1996-05-07	PRIJEM	PREVOD Z UCTU	10266	32077	\N	MN	49335420
557897	1898	1996-06-07	PRIJEM	PREVOD Z UCTU	15399	35647	\N	MN	49335420
557898	1898	1996-07-07	PRIJEM	PREVOD Z UCTU	10266	30882	\N	MN	49335420
557899	1898	1996-08-07	PRIJEM	PREVOD Z UCTU	10266	29207	\N	MN	49335420
557900	1898	1996-09-07	PRIJEM	PREVOD Z UCTU	10266	30138	\N	MN	49335420
557901	1898	1996-10-07	PRIJEM	PREVOD Z UCTU	10266	28466	\N	MN	49335420
557902	1898	1996-11-07	PRIJEM	PREVOD Z UCTU	10266	26887	\N	MN	49335420
557903	1898	1996-12-07	PRIJEM	PREVOD Z UCTU	15399	32640	\N	MN	49335420
557904	1898	1997-01-07	PRIJEM	PREVOD Z UCTU	10266	29667	\N	MN	49335420
557905	1898	1997-02-07	PRIJEM	PREVOD Z UCTU	10266	30301	\N	MN	49335420
557906	1898	1997-03-07	PRIJEM	PREVOD Z UCTU	10266	31036	\N	MN	49335420
557907	1898	1997-04-07	PRIJEM	PREVOD Z UCTU	10266	29467	\N	MN	49335420
557908	1898	1997-05-07	PRIJEM	PREVOD Z UCTU	10266	27189	\N	MN	49335420
557909	1898	1997-06-07	PRIJEM	PREVOD Z UCTU	15399	33245	\N	MN	49335420
557910	1898	1997-07-07	PRIJEM	PREVOD Z UCTU	10266	32281	\N	MN	49335420
557911	1898	1997-08-07	PRIJEM	PREVOD Z UCTU	10266	34528	\N	MN	49335420
557912	1898	1997-09-07	PRIJEM	PREVOD Z UCTU	10266	32973	\N	MN	49335420
557913	1898	1997-10-07	PRIJEM	PREVOD Z UCTU	10266	28748	\N	MN	49335420
557914	1898	1997-11-07	PRIJEM	PREVOD Z UCTU	10266	24307	\N	MN	49335420
557915	1898	1997-12-07	PRIJEM	PREVOD Z UCTU	15399	34987	\N	MN	49335420
557916	1898	1998-01-07	PRIJEM	PREVOD Z UCTU	10266	28466	\N	MN	49335420
557917	1898	1998-02-07	PRIJEM	PREVOD Z UCTU	10266	24815	\N	MN	49335420
557918	1898	1998-03-07	PRIJEM	PREVOD Z UCTU	10266	25164	\N	MN	49335420
557919	1898	1998-04-07	PRIJEM	PREVOD Z UCTU	10266	27217	\N	MN	49335420
557920	1898	1998-05-07	PRIJEM	PREVOD Z UCTU	10266	37577	\N	MN	49335420
557921	1898	1998-06-07	PRIJEM	PREVOD Z UCTU	15399	39284	\N	MN	49335420
557922	1898	1998-07-07	PRIJEM	PREVOD Z UCTU	10266	29791	\N	MN	49335420
557923	1898	1998-08-07	PRIJEM	PREVOD Z UCTU	10266	33269	\N	MN	49335420
557924	1898	1998-09-07	PRIJEM	PREVOD Z UCTU	10266	28714	\N	MN	49335420
557925	1898	1998-10-07	PRIJEM	PREVOD Z UCTU	10266	30085	\N	MN	49335420
557926	1898	1998-11-07	PRIJEM	PREVOD Z UCTU	10266	26649	\N	MN	49335420
557927	1898	1998-12-07	PRIJEM	PREVOD Z UCTU	15399	38939	\N	MN	49335420
557930	1898	1994-08-14	VYBER	VYBER	7394	34337	\N	\N	\N
557932	1898	1994-08-01	VYBER	VYBER	4630	31465	\N	\N	\N
557933	1898	1994-01-12	VYBER	VYBER	20101	22881	\N	\N	\N
557935	1898	1994-02-12	VYBER	VYBER	16686	18968	\N	\N	\N
557936	1898	1994-11-14	VYBER	VYBER	19064	20527	\N	\N	\N
557939	1898	1994-09-08	VYBER	VYBER	9649	25778	\N	\N	\N
557942	1898	1995-11-05	VYBER	VYBER	6591	23813	\N	\N	\N
557944	1898	1995-05-09	VYBER	VYBER	4330	33503	\N	\N	\N
557945	1898	1995-06-13	VYBER	VYBER	12754	29356	\N	\N	\N
557947	1898	1995-04-10	VYBER	VYBER	7683	33056	\N	\N	\N
557948	1898	1995-10-09	VYBER	VYBER	2309	38583	\N	\N	\N
557958	1898	1996-04-09	VYBER	VYBER	12351	26824	\N	\N	\N
557960	1898	1996-07-14	VYBER	VYBER	2807	28075	\N	\N	\N
557969	1898	1998-12-09	VYBER	VYBER	15651	23288	\N	\N	\N
557988	1898	1994-01-08	VYDAJ	VYBER	5100	42982	\N	\N	\N
557993	1898	1993-12-21	VYDAJ	VYBER	2400	46777	\N	\N	\N
557994	1898	1994-12-12	VYDAJ	VYBER	1800	24913	\N	\N	\N
557995	1898	1995-12-18	VYDAJ	VYBER	1500	32293	\N	\N	\N
557997	1898	1997-12-24	VYDAJ	VYBER	5700	29287	\N	\N	\N
558013	1898	1995-01-01	VYDAJ	VYBER	4200	20699	\N	\N	\N
558014	1898	1995-01-12	VYDAJ	VYBER	7500	23465	\N	\N	\N
558015	1898	1995-01-15	VYDAJ	VYBER	1500	21965	\N	\N	\N
558017	1898	1996-01-09	VYDAJ	VYBER	7800	28273	\N	\N	\N
558020	1898	1996-01-07	VYDAJ	VYBER	6600	36073	\N	\N	\N
558027	1898	1997-01-08	VYDAJ	VYBER	4800	24867	\N	\N	\N
558029	1898	1998-01-09	VYDAJ	VYBER	6300	22166	\N	\N	\N
558038	1898	1993-10-22	VYDAJ	VYBER	1500	44541	\N	\N	\N
558040	1898	1994-08-22	VYDAJ	VYBER	10500	23837	\N	\N	\N
558043	1898	1994-12-09	VYDAJ	VYBER	10200	26713	\N	\N	\N
558044	1898	1995-08-14	VYDAJ	VYBER	2700	27885	\N	\N	\N
558045	1898	1995-07-27	VYDAJ	VYBER	11400	20221	\N	\N	\N
558059	1898	1998-05-15	VYDAJ	VYBER	4800	32777	\N	\N	\N
558061	1898	1998-10-19	VYDAJ	VYBER	4800	25285	\N	\N	\N
558062	1898	1998-07-07	VYDAJ	VYBER	6900	22891	\N	\N	\N
558063	1898	1998-06-03	VYDAJ	VYBER	9000	23885	\N	\N	\N
558072	1898	1993-08-31	VYDAJ	VYBER	15	34180	SLUZBY	\N	\N
558073	1898	1993-09-30	VYDAJ	VYBER	15	35775	SLUZBY	\N	\N
558074	1898	1993-10-31	VYDAJ	VYBER	15	34882	SLUZBY	\N	\N
558075	1898	1993-11-30	VYDAJ	VYBER	15	33778	SLUZBY	\N	\N
558076	1898	1993-12-31	VYDAJ	VYBER	15	37816	SLUZBY	\N	\N
558077	1898	1994-01-31	VYDAJ	VYBER	15	25388	SLUZBY	\N	\N
558078	1898	1994-02-28	VYDAJ	VYBER	15	20944	SLUZBY	\N	\N
558079	1898	1994-03-31	VYDAJ	VYBER	15	29088	SLUZBY	\N	\N
558080	1898	1994-04-30	VYDAJ	VYBER	15	31162	SLUZBY	\N	\N
558081	1898	1994-05-31	VYDAJ	VYBER	15	35146	SLUZBY	\N	\N
558082	1898	1994-06-30	VYDAJ	VYBER	15	40081	SLUZBY	\N	\N
558083	1898	1994-07-31	VYDAJ	VYBER	15	36095	SLUZBY	\N	\N
558084	1898	1994-08-31	VYDAJ	VYBER	15	25161	SLUZBY	\N	\N
558085	1898	1994-09-30	VYDAJ	VYBER	15	23768	SLUZBY	\N	\N
558086	1898	1994-10-31	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
558087	1898	1994-11-30	VYDAJ	VYBER	15	21514	SLUZBY	\N	\N
558088	1898	1994-12-31	VYDAJ	VYBER	15	24899	SLUZBY	\N	\N
558089	1898	1995-01-31	VYDAJ	VYBER	15	21550	SLUZBY	\N	\N
558090	1898	1995-02-28	VYDAJ	VYBER	15	28700	SLUZBY	\N	\N
558091	1898	1995-03-31	VYDAJ	VYBER	15	30473	SLUZBY	\N	\N
558092	1898	1995-04-30	VYDAJ	VYBER	15	27567	SLUZBY	\N	\N
558093	1898	1995-05-31	VYDAJ	VYBER	15	26711	SLUZBY	\N	\N
558094	1898	1995-06-30	VYDAJ	VYBER	15	27355	SLUZBY	\N	\N
558095	1898	1995-07-31	VYDAJ	VYBER	15	20319	SLUZBY	\N	\N
558096	1898	1995-08-31	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
558097	1898	1995-09-30	VYDAJ	VYBER	15	30626	SLUZBY	\N	\N
558098	1898	1995-10-31	VYDAJ	VYBER	15	30404	SLUZBY	\N	\N
558099	1898	1995-11-30	VYDAJ	VYBER	15	29794	SLUZBY	\N	\N
558100	1898	1995-12-31	VYDAJ	VYBER	15	32407	SLUZBY	\N	\N
558101	1898	1996-01-31	VYDAJ	VYBER	15	23672	SLUZBY	\N	\N
558102	1898	1996-02-29	VYDAJ	VYBER	15	30335	SLUZBY	\N	\N
558103	1898	1996-03-31	VYDAJ	VYBER	15	28909	SLUZBY	\N	\N
558104	1898	1996-04-30	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
558105	1898	1996-05-31	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
558106	1898	1996-06-30	VYDAJ	VYBER	15	20616	SLUZBY	\N	\N
558107	1898	1996-07-31	VYDAJ	VYBER	15	18941	SLUZBY	\N	\N
558108	1898	1996-08-31	VYDAJ	VYBER	15	19872	SLUZBY	\N	\N
558109	1898	1996-09-30	VYDAJ	VYBER	15	18200	SLUZBY	\N	\N
558110	1898	1996-10-31	VYDAJ	VYBER	15	16621	SLUZBY	\N	\N
558111	1898	1996-11-30	VYDAJ	VYBER	15	17241	SLUZBY	\N	\N
558112	1898	1996-12-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
558113	1898	1997-01-31	VYDAJ	VYBER	15	20035	SLUZBY	\N	\N
558114	1898	1997-02-28	VYDAJ	VYBER	15	20770	SLUZBY	\N	\N
558115	1898	1997-03-31	VYDAJ	VYBER	15	19201	SLUZBY	\N	\N
558116	1898	1997-04-30	VYDAJ	VYBER	15	16923	SLUZBY	\N	\N
558117	1898	1997-05-31	VYDAJ	VYBER	15	17846	SLUZBY	\N	\N
558118	1898	1997-06-30	VYDAJ	VYBER	15	22015	SLUZBY	\N	\N
558119	1898	1997-07-31	VYDAJ	VYBER	15	24262	SLUZBY	\N	\N
558120	1898	1997-08-31	VYDAJ	VYBER	15	22707	SLUZBY	\N	\N
558121	1898	1997-09-30	VYDAJ	VYBER	15	18482	SLUZBY	\N	\N
558122	1898	1997-10-31	VYDAJ	VYBER	15	19641	SLUZBY	\N	\N
558123	1898	1997-11-30	VYDAJ	VYBER	15	24388	SLUZBY	\N	\N
558124	1898	1997-12-31	VYDAJ	VYBER	15	29400	SLUZBY	\N	\N
558125	1898	1998-01-31	VYDAJ	VYBER	15	22249	SLUZBY	\N	\N
558126	1898	1998-02-28	VYDAJ	VYBER	15	24898	SLUZBY	\N	\N
558127	1898	1998-03-31	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
558128	1898	1998-04-30	VYDAJ	VYBER	15	27311	SLUZBY	\N	\N
558129	1898	1998-05-31	VYDAJ	VYBER	15	32885	SLUZBY	\N	\N
558130	1898	1998-06-30	VYDAJ	VYBER	15	39425	SLUZBY	\N	\N
558131	1898	1998-07-31	VYDAJ	VYBER	15	23003	SLUZBY	\N	\N
558132	1898	1998-08-31	VYDAJ	VYBER	15	33348	SLUZBY	\N	\N
558133	1898	1998-09-30	VYDAJ	VYBER	15	28819	SLUZBY	\N	\N
558134	1898	1998-10-31	VYDAJ	VYBER	15	25383	SLUZBY	\N	\N
558135	1898	1998-11-30	VYDAJ	VYBER	15	26740	SLUZBY	\N	\N
558136	1898	1993-05-01	PRIJEM	VKLAD	7000	18304	\N	\N	\N
558137	1898	1993-05-31	VYDAJ	VYBER	2900	25774	\N	\N	\N
558138	1898	1993-06-30	VYDAJ	VYBER	9200	32082	\N	\N	\N
558139	1898	1993-07-30	VYDAJ	VYBER	7000	35348	\N	\N	\N
558140	1898	1993-08-29	VYDAJ	VYBER	11700	34048	\N	\N	\N
558141	1898	1993-09-28	VYDAJ	VYBER	8800	35646	\N	\N	\N
558142	1898	1993-10-28	VYDAJ	VYBER	9800	34741	\N	\N	\N
558143	1898	1993-11-27	VYDAJ	VYBER	11500	33648	\N	\N	\N
558144	1898	1993-12-27	VYDAJ	VYBER	9100	37677	\N	\N	\N
558145	1898	1994-01-26	PRIJEM	VKLAD	2400	25281	\N	\N	\N
558146	1898	1994-02-25	PRIJEM	VKLAD	1900	20868	\N	\N	\N
558147	1898	1994-03-27	VYDAJ	VYBER	2200	29010	\N	\N	\N
558148	1898	1994-04-26	VYDAJ	VYBER	8300	31054	\N	\N	\N
558149	1898	1994-05-26	VYDAJ	VYBER	6400	35028	\N	\N	\N
558150	1898	1994-06-25	VYDAJ	VYBER	10600	39945	\N	\N	\N
558151	1898	1994-07-25	VYDAJ	VYBER	14400	35947	\N	\N	\N
558152	1898	1994-08-24	PRIJEM	VKLAD	1200	25037	\N	\N	\N
558153	1898	1994-09-23	VYDAJ	VYBER	2100	23678	\N	\N	\N
558154	1898	1994-10-23	VYDAJ	VYBER	4800	29234	\N	\N	\N
558155	1898	1994-11-22	PRIJEM	VKLAD	900	21427	\N	\N	\N
558156	1898	1994-12-22	VYDAJ	VYBER	100	24813	\N	\N	\N
558157	1898	1995-01-21	VYDAJ	VYBER	500	21465	\N	\N	\N
558158	1898	1995-02-20	VYDAJ	VYBER	3200	28616	\N	\N	\N
558159	1898	1995-03-22	VYDAJ	VYBER	8600	30366	\N	\N	\N
558160	1898	1995-04-21	VYDAJ	VYBER	5600	27456	\N	\N	\N
558161	1898	1995-05-21	VYDAJ	VYBER	6900	26603	\N	\N	\N
558162	1898	1995-06-20	VYDAJ	VYBER	2100	27256	\N	\N	\N
558163	1898	1995-07-20	VYDAJ	VYBER	6000	31621	\N	\N	\N
558164	1898	1995-08-19	VYDAJ	VYBER	4500	23385	\N	\N	\N
558165	1898	1995-09-18	VYDAJ	VYBER	3200	30531	\N	\N	\N
558166	1898	1995-10-18	VYDAJ	VYBER	8300	30283	\N	\N	\N
558167	1898	1995-11-17	VYDAJ	VYBER	4400	29679	\N	\N	\N
558168	1898	1995-12-17	VYDAJ	VYBER	11400	33793	\N	\N	\N
558169	1898	1996-01-16	VYDAJ	VYBER	4700	23573	\N	\N	\N
558170	1898	1996-02-15	VYDAJ	VYBER	3700	30238	\N	\N	\N
558171	1898	1996-03-16	VYDAJ	VYBER	11800	28801	\N	\N	\N
558172	1898	1996-04-15	VYDAJ	VYBER	5100	21724	\N	\N	\N
558173	1898	1996-05-15	VYDAJ	VYBER	11900	20177	\N	\N	\N
558174	1898	1996-06-14	VYDAJ	VYBER	15100	20547	\N	\N	\N
558175	1898	1996-07-14	VYDAJ	VYBER	9200	18875	\N	\N	\N
558176	1898	1996-08-13	VYDAJ	VYBER	9400	19807	\N	\N	\N
558177	1898	1996-09-12	VYDAJ	VYBER	12000	18138	\N	\N	\N
558178	1898	1996-10-12	VYDAJ	VYBER	11900	16566	\N	\N	\N
558179	1898	1996-11-11	VYDAJ	VYBER	9700	17187	\N	\N	\N
558180	1898	1996-12-11	VYDAJ	VYBER	13300	19340	\N	\N	\N
558181	1898	1997-01-10	VYDAJ	VYBER	4900	19967	\N	\N	\N
558182	1898	1997-02-09	VYDAJ	VYBER	9600	20701	\N	\N	\N
558183	1898	1997-03-11	VYDAJ	VYBER	11900	19136	\N	\N	\N
558184	1898	1997-04-10	VYDAJ	VYBER	12600	16867	\N	\N	\N
558185	1898	1997-05-10	VYDAJ	VYBER	9400	17789	\N	\N	\N
558186	1898	1997-06-09	VYDAJ	VYBER	11300	21945	\N	\N	\N
558187	1898	1997-07-09	VYDAJ	VYBER	8100	24181	\N	\N	\N
558188	1898	1997-08-08	VYDAJ	VYBER	11900	22628	\N	\N	\N
558189	1898	1997-09-07	VYDAJ	VYBER	14600	18373	\N	\N	\N
558190	1898	1997-10-07	VYDAJ	VYBER	9200	19548	\N	\N	\N
558191	1898	1997-11-06	VYDAJ	VYBER	5600	14041	\N	\N	\N
558192	1898	1997-12-06	VYDAJ	VYBER	4800	19588	\N	\N	\N
558193	1898	1998-01-05	VYDAJ	VYBER	11200	18200	\N	\N	\N
558194	1898	1998-02-04	VYDAJ	VYBER	7700	14549	\N	\N	\N
558195	1898	1998-03-06	VYDAJ	VYBER	10000	14898	\N	\N	\N
558196	1898	1998-04-05	VYDAJ	VYBER	8300	16951	\N	\N	\N
558197	1898	1998-07-04	VYDAJ	VYBER	19900	19525	\N	\N	\N
558198	1898	1998-09-02	VYDAJ	VYBER	14900	18448	\N	\N	\N
558199	1898	1998-10-02	VYDAJ	VYBER	9000	19819	\N	\N	\N
558200	1898	1998-11-01	VYDAJ	VYBER	9000	16383	\N	\N	\N
558201	1898	1998-12-01	VYDAJ	VYBER	3200	23540	\N	\N	\N
558271	1899	1996-11-05	PRIJEM	VKLAD	800	800	\N	\N	\N
558282	1899	1996-11-07	PRIJEM	PREVOD Z UCTU	4622	5422	DUCHOD	UV	45060938
558283	1899	1996-12-07	PRIJEM	PREVOD Z UCTU	4622	10062	DUCHOD	UV	45060938
558284	1899	1997-01-07	PRIJEM	PREVOD Z UCTU	4622	14707	DUCHOD	UV	45060938
558285	1899	1997-02-07	PRIJEM	PREVOD Z UCTU	4622	19351	DUCHOD	UV	45060938
558286	1899	1997-03-07	PRIJEM	PREVOD Z UCTU	4622	23996	DUCHOD	UV	45060938
558287	1899	1997-04-07	PRIJEM	PREVOD Z UCTU	4622	22071	DUCHOD	UV	45060938
558288	1899	1997-05-07	PRIJEM	PREVOD Z UCTU	4622	23675	DUCHOD	UV	45060938
558289	1899	1997-06-07	PRIJEM	PREVOD Z UCTU	4622	22318	DUCHOD	UV	45060938
558290	1899	1997-07-07	PRIJEM	PREVOD Z UCTU	4622	23923	DUCHOD	UV	45060938
558291	1899	1997-08-07	PRIJEM	PREVOD Z UCTU	4622	23291	DUCHOD	UV	45060938
558292	1899	1997-09-07	PRIJEM	PREVOD Z UCTU	4622	22337	DUCHOD	UV	45060938
558293	1899	1997-10-07	PRIJEM	PREVOD Z UCTU	4622	23942	DUCHOD	UV	45060938
558294	1899	1997-11-07	PRIJEM	PREVOD Z UCTU	4622	25554	DUCHOD	UV	45060938
558295	1899	1997-12-07	PRIJEM	PREVOD Z UCTU	4622	26272	DUCHOD	UV	45060938
558296	1899	1998-01-07	PRIJEM	PREVOD Z UCTU	4622	27895	DUCHOD	UV	45060938
558297	1899	1998-02-07	PRIJEM	PREVOD Z UCTU	4622	22231	DUCHOD	UV	45060938
558298	1899	1998-03-07	PRIJEM	PREVOD Z UCTU	4622	23835	DUCHOD	UV	45060938
558299	1899	1998-04-07	PRIJEM	PREVOD Z UCTU	4622	25447	DUCHOD	UV	45060938
558300	1899	1998-05-07	PRIJEM	PREVOD Z UCTU	4622	27065	DUCHOD	UV	45060938
558301	1899	1998-06-07	PRIJEM	PREVOD Z UCTU	4622	19472	DUCHOD	UV	45060938
558302	1899	1998-07-07	PRIJEM	PREVOD Z UCTU	4622	19362	DUCHOD	UV	45060938
558303	1899	1998-08-07	PRIJEM	PREVOD Z UCTU	4622	18628	DUCHOD	UV	45060938
558304	1899	1998-09-07	PRIJEM	PREVOD Z UCTU	4622	18135	DUCHOD	UV	45060938
558305	1899	1998-10-07	PRIJEM	PREVOD Z UCTU	4622	19722	DUCHOD	UV	45060938
558306	1899	1998-11-07	PRIJEM	PREVOD Z UCTU	4622	21316	DUCHOD	UV	45060938
558307	1899	1998-12-07	PRIJEM	PREVOD Z UCTU	4622	22917	DUCHOD	UV	45060938
558322	1899	1997-03-08	VYDAJ	PREVOD NA UCET	3081	20915	SIPO	CD	12900150
558323	1899	1997-04-08	VYDAJ	PREVOD NA UCET	3081	18990	SIPO	CD	12900150
558324	1899	1997-05-08	VYDAJ	PREVOD NA UCET	3081	20594	SIPO	CD	12900150
558325	1899	1997-06-08	VYDAJ	PREVOD NA UCET	3081	19237	SIPO	CD	12900150
558326	1899	1997-07-08	VYDAJ	PREVOD NA UCET	3081	20842	SIPO	CD	12900150
558327	1899	1997-08-08	VYDAJ	PREVOD NA UCET	3081	20210	SIPO	CD	12900150
558328	1899	1997-09-08	VYDAJ	PREVOD NA UCET	3081	19256	SIPO	CD	12900150
558329	1899	1997-10-08	VYDAJ	PREVOD NA UCET	3081	20861	SIPO	CD	12900150
558330	1899	1997-11-08	VYDAJ	PREVOD NA UCET	3081	22473	SIPO	CD	12900150
558331	1899	1997-12-08	VYDAJ	PREVOD NA UCET	3081	23191	SIPO	CD	12900150
558332	1899	1998-01-08	VYDAJ	PREVOD NA UCET	3081	24814	SIPO	CD	12900150
558333	1899	1998-02-08	VYDAJ	PREVOD NA UCET	3081	19150	SIPO	CD	12900150
558334	1899	1998-03-08	VYDAJ	PREVOD NA UCET	3081	20754	SIPO	CD	12900150
558335	1899	1998-04-08	VYDAJ	PREVOD NA UCET	3081	22366	SIPO	CD	12900150
558336	1899	1998-05-08	VYDAJ	PREVOD NA UCET	3081	23984	SIPO	CD	12900150
558337	1899	1998-06-08	VYDAJ	PREVOD NA UCET	3081	16391	SIPO	CD	12900150
558338	1899	1998-07-08	VYDAJ	PREVOD NA UCET	3081	16281	SIPO	CD	12900150
558339	1899	1998-08-08	VYDAJ	PREVOD NA UCET	3081	15547	SIPO	CD	12900150
558340	1899	1998-09-08	VYDAJ	PREVOD NA UCET	3081	15054	SIPO	CD	12900150
558341	1899	1998-10-08	VYDAJ	PREVOD NA UCET	3081	16641	SIPO	CD	12900150
558342	1899	1998-11-08	VYDAJ	PREVOD NA UCET	3081	18235	SIPO	CD	12900150
558343	1899	1998-12-08	VYDAJ	PREVOD NA UCET	3081	19836	SIPO	CD	12900150
558346	1899	1998-06-19	VYDAJ	VYBER	1700	14691	\N	\N	\N
558348	1899	1997-12-05	VYDAJ	VYBER	900	21650	\N	\N	\N
558349	1899	1998-12-27	VYDAJ	VYBER	1250	18586	\N	\N	\N
558362	1899	1998-01-19	VYDAJ	VYBER	1120	20734	\N	\N	\N
558363	1899	1998-01-15	VYDAJ	VYBER	2320	21854	\N	\N	\N
558364	1899	1998-01-28	VYDAJ	VYBER	1120	17534	\N	\N	\N
558365	1899	1998-01-22	VYDAJ	VYBER	800	18654	\N	\N	\N
558366	1899	1998-01-14	VYDAJ	VYBER	640	24174	\N	\N	\N
558367	1899	1998-01-19	VYDAJ	VYBER	1280	19454	\N	\N	\N
558375	1899	1997-08-23	VYDAJ	VYBER	2560	17650	\N	\N	\N
558376	1899	1997-03-23	VYDAJ	VYBER	3520	17395	\N	\N	\N
558377	1899	1997-07-18	VYDAJ	VYBER	2240	18602	\N	\N	\N
558378	1899	1997-05-14	VYDAJ	VYBER	2960	17634	\N	\N	\N
558379	1899	1998-05-27	VYDAJ	VYBER	2560	14784	\N	\N	\N
558380	1899	1998-05-10	VYDAJ	VYBER	3120	20864	\N	\N	\N
558381	1899	1998-05-18	VYDAJ	VYBER	3520	17344	\N	\N	\N
558382	1899	1998-07-10	VYDAJ	VYBER	2320	13961	\N	\N	\N
558383	1899	1998-08-20	VYDAJ	VYBER	640	14907	\N	\N	\N
558384	1899	1998-08-24	VYDAJ	VYBER	1440	13467	\N	\N	\N
558400	1899	1997-03-31	VYDAJ	VYBER	15	17449	SLUZBY	\N	\N
558401	1899	1997-04-30	VYDAJ	VYBER	15	19053	SLUZBY	\N	\N
558402	1899	1997-05-31	VYDAJ	VYBER	15	17696	SLUZBY	\N	\N
558403	1899	1997-06-30	VYDAJ	VYBER	15	19301	SLUZBY	\N	\N
558404	1899	1997-07-31	VYDAJ	VYBER	15	18669	SLUZBY	\N	\N
558405	1899	1997-08-31	VYDAJ	VYBER	15	17715	SLUZBY	\N	\N
558406	1899	1997-09-30	VYDAJ	VYBER	15	19320	SLUZBY	\N	\N
558407	1899	1997-10-31	VYDAJ	VYBER	15	20932	SLUZBY	\N	\N
558408	1899	1997-11-30	VYDAJ	VYBER	15	22550	SLUZBY	\N	\N
558409	1899	1997-12-31	VYDAJ	VYBER	15	23273	SLUZBY	\N	\N
558410	1899	1998-01-31	VYDAJ	VYBER	15	17609	SLUZBY	\N	\N
558411	1899	1998-02-28	VYDAJ	VYBER	15	19213	SLUZBY	\N	\N
558412	1899	1998-03-31	VYDAJ	VYBER	15	20825	SLUZBY	\N	\N
558413	1899	1998-04-30	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
558414	1899	1998-05-31	VYDAJ	VYBER	15	14850	SLUZBY	\N	\N
558415	1899	1998-06-30	VYDAJ	VYBER	15	14740	SLUZBY	\N	\N
558416	1899	1998-07-31	VYDAJ	VYBER	15	14006	SLUZBY	\N	\N
558417	1899	1998-08-31	VYDAJ	VYBER	15	13513	SLUZBY	\N	\N
558418	1899	1998-09-30	VYDAJ	VYBER	15	15100	SLUZBY	\N	\N
558419	1899	1998-10-31	VYDAJ	VYBER	15	16694	SLUZBY	\N	\N
558420	1899	1998-11-30	VYDAJ	VYBER	15	18295	SLUZBY	\N	\N
558447	1900	1996-07-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
558455	1900	1996-08-07	PRIJEM	VKLAD	24332	25332	\N	\N	\N
558456	1900	1996-09-07	PRIJEM	VKLAD	24332	47082	\N	\N	\N
558457	1900	1996-10-07	PRIJEM	VKLAD	24332	59219	\N	\N	\N
558458	1900	1996-11-07	PRIJEM	VKLAD	24332	67204	\N	\N	\N
558459	1900	1996-12-07	PRIJEM	VKLAD	36498	81882	\N	\N	\N
558460	1900	1997-01-07	PRIJEM	VKLAD	24332	68520	\N	\N	\N
558461	1900	1997-02-07	PRIJEM	VKLAD	24332	63667	\N	\N	\N
558462	1900	1997-03-07	PRIJEM	VKLAD	24332	67361	\N	\N	\N
558463	1900	1997-04-07	PRIJEM	VKLAD	24332	68971	\N	\N	\N
558464	1900	1997-05-07	PRIJEM	VKLAD	24332	66481	\N	\N	\N
558465	1900	1997-06-07	PRIJEM	VKLAD	36498	74845	\N	\N	\N
558466	1900	1997-07-07	PRIJEM	VKLAD	24332	69194	\N	\N	\N
558467	1900	1997-08-07	PRIJEM	VKLAD	24332	57600	\N	\N	\N
558468	1900	1997-09-07	PRIJEM	VKLAD	24332	66597	\N	\N	\N
558469	1900	1997-10-07	PRIJEM	VKLAD	24332	69197	\N	\N	\N
558470	1900	1997-11-07	PRIJEM	VKLAD	24332	67685	\N	\N	\N
558471	1900	1997-12-07	PRIJEM	VKLAD	36498	82877	\N	\N	\N
558472	1900	1998-01-07	PRIJEM	VKLAD	24332	75692	\N	\N	\N
558473	1900	1998-02-07	PRIJEM	VKLAD	24332	74151	\N	\N	\N
558474	1900	1998-03-07	PRIJEM	VKLAD	24332	75281	\N	\N	\N
558475	1900	1998-04-07	PRIJEM	VKLAD	24332	77236	\N	\N	\N
558476	1900	1998-05-07	PRIJEM	VKLAD	24332	74466	\N	\N	\N
558477	1900	1998-06-07	PRIJEM	VKLAD	36498	85653	\N	\N	\N
558478	1900	1998-07-07	PRIJEM	VKLAD	24332	78887	\N	\N	\N
558479	1900	1998-08-07	PRIJEM	VKLAD	24332	76120	\N	\N	\N
558480	1900	1998-09-07	PRIJEM	VKLAD	24332	72861	\N	\N	\N
558481	1900	1998-10-07	PRIJEM	VKLAD	24332	68068	\N	\N	\N
558482	1900	1998-11-07	PRIJEM	VKLAD	24332	67377	\N	\N	\N
558483	1900	1998-12-07	PRIJEM	VKLAD	36498	81030	\N	\N	\N
558495	1900	1996-12-13	VYDAJ	PREVOD NA UCET	7114	74768	SIPO	KL	4257697
558496	1900	1997-01-13	VYDAJ	PREVOD NA UCET	7114	58886	SIPO	KL	4257697
558497	1900	1997-02-13	VYDAJ	PREVOD NA UCET	7114	56553	SIPO	KL	4257697
558498	1900	1997-03-13	VYDAJ	PREVOD NA UCET	7114	60247	SIPO	KL	4257697
558499	1900	1997-04-13	VYDAJ	PREVOD NA UCET	7114	61857	SIPO	KL	4257697
558500	1900	1997-05-13	VYDAJ	PREVOD NA UCET	7114	59367	SIPO	KL	4257697
558501	1900	1997-06-13	VYDAJ	PREVOD NA UCET	7114	67731	SIPO	KL	4257697
558502	1900	1997-07-13	VYDAJ	PREVOD NA UCET	7114	62080	SIPO	KL	4257697
558503	1900	1997-08-13	VYDAJ	PREVOD NA UCET	7114	50486	SIPO	KL	4257697
558504	1900	1997-09-13	VYDAJ	PREVOD NA UCET	7114	59483	SIPO	KL	4257697
558505	1900	1997-10-13	VYDAJ	PREVOD NA UCET	7114	62083	SIPO	KL	4257697
558506	1900	1997-11-13	VYDAJ	PREVOD NA UCET	7114	60571	SIPO	KL	4257697
558507	1900	1997-12-13	VYDAJ	PREVOD NA UCET	7114	75763	SIPO	KL	4257697
558508	1900	1998-01-13	VYDAJ	PREVOD NA UCET	7114	62098	SIPO	KL	4257697
558509	1900	1998-02-13	VYDAJ	PREVOD NA UCET	7114	67037	SIPO	KL	4257697
558510	1900	1998-03-13	VYDAJ	PREVOD NA UCET	7114	68167	SIPO	KL	4257697
558511	1900	1998-04-13	VYDAJ	PREVOD NA UCET	7114	70122	SIPO	KL	4257697
558512	1900	1998-05-13	VYDAJ	PREVOD NA UCET	7114	67352	SIPO	KL	4257697
558513	1900	1998-06-13	VYDAJ	PREVOD NA UCET	7114	78539	SIPO	KL	4257697
558514	1900	1998-07-13	VYDAJ	PREVOD NA UCET	7114	71773	SIPO	KL	4257697
558515	1900	1998-08-13	VYDAJ	PREVOD NA UCET	7114	69006	SIPO	KL	4257697
558516	1900	1998-09-13	VYDAJ	PREVOD NA UCET	7114	65047	SIPO	KL	4257697
558517	1900	1998-10-13	VYDAJ	PREVOD NA UCET	7114	60954	SIPO	KL	4257697
558518	1900	1998-11-13	VYDAJ	PREVOD NA UCET	7114	60263	SIPO	KL	4257697
558519	1900	1998-12-13	VYDAJ	PREVOD NA UCET	7114	73216	SIPO	KL	4257697
558526	1900	1997-01-29	VYDAJ	VYBER	2040	40926	\N	\N	\N
558527	1900	1997-01-25	VYDAJ	VYBER	3120	42966	\N	\N	\N
558528	1900	1997-01-05	VYDAJ	VYBER	1560	44188	\N	\N	\N
558529	1900	1997-01-05	VYDAJ	VYBER	2040	45748	\N	\N	\N
558530	1900	1997-01-12	VYDAJ	VYBER	2520	66000	\N	\N	\N
558531	1900	1997-01-29	VYDAJ	VYBER	1800	39126	\N	\N	\N
558532	1900	1998-01-06	VYDAJ	VYBER	3120	51360	\N	\N	\N
558533	1900	1998-01-17	VYDAJ	VYBER	1080	59098	\N	\N	\N
558534	1900	1998-01-08	VYDAJ	VYBER	3120	72572	\N	\N	\N
558535	1900	1998-01-12	VYDAJ	VYBER	3360	69212	\N	\N	\N
558536	1900	1998-01-05	VYDAJ	VYBER	600	54480	\N	\N	\N
558537	1900	1998-01-15	VYDAJ	VYBER	1920	60178	\N	\N	\N
558538	1900	1996-12-30	VYDAJ	VYBER	1680	47568	\N	\N	\N
558541	1900	1996-12-17	VYDAJ	VYBER	1320	73448	\N	\N	\N
558542	1900	1997-06-28	VYDAJ	VYBER	2160	44671	\N	\N	\N
558543	1900	1997-11-05	VYDAJ	VYBER	3120	43353	\N	\N	\N
558544	1900	1997-07-31	VYDAJ	VYBER	2160	38923	\N	\N	\N
558545	1900	1997-08-06	VYDAJ	VYBER	4440	33268	\N	\N	\N
558546	1900	1997-08-05	VYDAJ	VYBER	1200	37708	\N	\N	\N
558547	1900	1997-07-23	VYDAJ	VYBER	3600	40880	\N	\N	\N
558548	1900	1998-09-12	VYDAJ	VYBER KARTOU	700	72161	\N	\N	0
558549	1900	1998-12-10	VYDAJ	VYBER KARTOU	700	80330	\N	\N	0
558550	1900	1998-03-03	VYDAJ	VYBER	4200	50949	\N	\N	\N
558551	1900	1998-10-01	VYDAJ	VYBER KARTOU	2600	43736	\N	\N	0
558552	1900	1998-08-20	VYDAJ	VYBER	5280	48326	\N	\N	\N
558553	1900	1998-12-26	VYDAJ	VYBER KARTOU	3100	48516	\N	\N	0
558566	1900	1996-12-31	VYDAJ	VYBER	15	47788	SLUZBY	\N	\N
558567	1900	1997-01-31	VYDAJ	VYBER	15	39335	SLUZBY	\N	\N
558568	1900	1997-02-28	VYDAJ	VYBER	15	43029	SLUZBY	\N	\N
558569	1900	1997-03-31	VYDAJ	VYBER	15	44639	SLUZBY	\N	\N
558570	1900	1997-04-30	VYDAJ	VYBER	15	42149	SLUZBY	\N	\N
558571	1900	1997-05-31	VYDAJ	VYBER	15	38347	SLUZBY	\N	\N
558572	1900	1997-06-30	VYDAJ	VYBER	15	44862	SLUZBY	\N	\N
558573	1900	1997-07-31	VYDAJ	VYBER	15	38908	SLUZBY	\N	\N
558574	1900	1997-08-31	VYDAJ	VYBER	15	42265	SLUZBY	\N	\N
558575	1900	1997-09-30	VYDAJ	VYBER	15	44865	SLUZBY	\N	\N
558576	1900	1997-10-31	VYDAJ	VYBER	15	46473	SLUZBY	\N	\N
558577	1900	1997-11-30	VYDAJ	VYBER	15	46379	SLUZBY	\N	\N
558578	1900	1997-12-31	VYDAJ	VYBER	15	55080	SLUZBY	\N	\N
558579	1900	1998-01-31	VYDAJ	VYBER	15	49819	SLUZBY	\N	\N
558580	1900	1998-02-28	VYDAJ	VYBER	15	55149	SLUZBY	\N	\N
558581	1900	1998-03-31	VYDAJ	VYBER	15	52904	SLUZBY	\N	\N
558582	1900	1998-04-30	VYDAJ	VYBER	15	50134	SLUZBY	\N	\N
558583	1900	1998-05-31	VYDAJ	VYBER	15	49155	SLUZBY	\N	\N
558584	1900	1998-06-30	VYDAJ	VYBER	15	54555	SLUZBY	\N	\N
558585	1900	1998-07-31	VYDAJ	VYBER	15	51788	SLUZBY	\N	\N
558586	1900	1998-08-31	VYDAJ	VYBER	15	48529	SLUZBY	\N	\N
558587	1900	1998-09-30	VYDAJ	VYBER	15	46336	SLUZBY	\N	\N
558588	1900	1998-10-31	VYDAJ	VYBER	15	43045	SLUZBY	\N	\N
558589	1900	1998-11-30	VYDAJ	VYBER	15	44532	SLUZBY	\N	\N
558590	1900	1996-08-26	VYDAJ	VYBER	2600	22732	\N	\N	\N
558591	1900	1996-09-25	VYDAJ	VYBER	12300	34782	\N	\N	\N
558592	1900	1996-10-25	VYDAJ	VYBER	16500	42719	\N	\N	\N
558593	1900	1996-11-24	VYDAJ	VYBER	22000	45204	\N	\N	\N
558594	1900	1996-12-24	VYDAJ	VYBER	24200	49248	\N	\N	\N
558595	1900	1997-01-23	VYDAJ	VYBER	12800	46086	\N	\N	\N
558596	1900	1997-02-22	VYDAJ	VYBER	13700	42853	\N	\N	\N
558597	1900	1997-03-24	VYDAJ	VYBER	15800	44447	\N	\N	\N
558598	1900	1997-04-23	VYDAJ	VYBER	19900	41957	\N	\N	\N
558599	1900	1997-05-23	VYDAJ	VYBER	21200	38167	\N	\N	\N
558600	1900	1997-06-22	VYDAJ	VYBER	20900	46831	\N	\N	\N
558601	1900	1997-07-22	VYDAJ	VYBER	17600	44480	\N	\N	\N
558602	1900	1997-08-21	VYDAJ	VYBER	8400	42086	\N	\N	\N
558603	1900	1997-09-20	VYDAJ	VYBER	14800	44683	\N	\N	\N
558604	1900	1997-10-20	VYDAJ	VYBER	15800	46283	\N	\N	\N
558605	1900	1997-11-19	VYDAJ	VYBER	14400	46171	\N	\N	\N
558606	1900	1997-12-19	VYDAJ	VYBER	20900	54863	\N	\N	\N
558607	1900	1998-01-18	VYDAJ	VYBER	9500	49598	\N	\N	\N
558608	1900	1998-02-17	VYDAJ	VYBER	12100	54937	\N	\N	\N
558609	1900	1998-03-19	VYDAJ	VYBER	15500	52667	\N	\N	\N
558610	1900	1998-04-18	VYDAJ	VYBER	20200	49922	\N	\N	\N
558611	1900	1998-05-18	VYDAJ	VYBER	18400	48952	\N	\N	\N
558612	1900	1998-06-17	VYDAJ	VYBER	24200	54339	\N	\N	\N
558613	1900	1998-07-17	VYDAJ	VYBER	20200	51573	\N	\N	\N
558614	1900	1998-08-16	VYDAJ	VYBER	15400	53606	\N	\N	\N
558615	1900	1998-09-15	VYDAJ	VYBER	18900	46147	\N	\N	\N
558616	1900	1998-10-15	VYDAJ	VYBER	18100	42854	\N	\N	\N
558617	1900	1998-11-14	VYDAJ	VYBER	15900	44363	\N	\N	\N
558618	1900	1998-12-14	VYDAJ	VYBER	21600	51616	\N	\N	\N
558648	1901	1995-12-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
558660	1901	1995-12-07	PRIJEM	VKLAD	27086	28186	\N	\N	\N
558661	1901	1996-01-07	PRIJEM	VKLAD	18057	46238	\N	\N	\N
558662	1901	1996-02-07	PRIJEM	VKLAD	18057	52314	\N	\N	\N
558663	1901	1996-03-07	PRIJEM	VKLAD	18057	55213	\N	\N	\N
558664	1901	1996-04-07	PRIJEM	VKLAD	18057	56526	\N	\N	\N
558665	1901	1996-05-07	PRIJEM	VKLAD	18057	54528	\N	\N	\N
558666	1901	1996-06-07	PRIJEM	VKLAD	27086	62730	\N	\N	\N
558667	1901	1996-07-07	PRIJEM	VKLAD	18057	50235	\N	\N	\N
558668	1901	1996-08-07	PRIJEM	VKLAD	18057	50590	\N	\N	\N
558669	1901	1996-09-07	PRIJEM	VKLAD	18057	49643	\N	\N	\N
558670	1901	1996-10-07	PRIJEM	VKLAD	18057	50894	\N	\N	\N
558671	1901	1996-11-07	PRIJEM	VKLAD	18057	41490	\N	\N	\N
558672	1901	1996-12-07	PRIJEM	VKLAD	27086	44289	\N	\N	\N
558673	1901	1997-01-07	PRIJEM	VKLAD	18057	34238	\N	\N	\N
558674	1901	1997-02-07	PRIJEM	VKLAD	18057	32785	\N	\N	\N
558675	1901	1997-03-07	PRIJEM	VKLAD	18057	36380	\N	\N	\N
558676	1901	1997-04-07	PRIJEM	VKLAD	18057	38989	\N	\N	\N
558677	1901	1997-05-07	PRIJEM	VKLAD	18057	40207	\N	\N	\N
558678	1901	1997-06-07	PRIJEM	VKLAD	27086	46898	\N	\N	\N
558679	1901	1997-07-07	PRIJEM	VKLAD	18057	40448	\N	\N	\N
558680	1901	1997-08-07	PRIJEM	VKLAD	18057	42256	\N	\N	\N
558681	1901	1997-09-07	PRIJEM	VKLAD	18057	45372	\N	\N	\N
558682	1901	1997-10-07	PRIJEM	VKLAD	18057	45695	\N	\N	\N
558683	1901	1997-11-07	PRIJEM	VKLAD	18057	42126	\N	\N	\N
558684	1901	1997-12-07	PRIJEM	VKLAD	27086	45570	\N	\N	\N
558685	1901	1998-01-07	PRIJEM	VKLAD	18057	35821	\N	\N	\N
558686	1901	1998-02-07	PRIJEM	VKLAD	18057	35002	\N	\N	\N
558687	1901	1998-03-07	PRIJEM	VKLAD	18057	36591	\N	\N	\N
558688	1901	1998-04-07	PRIJEM	VKLAD	18057	35885	\N	\N	\N
558689	1901	1998-05-07	PRIJEM	VKLAD	18057	36677	\N	\N	\N
558690	1901	1998-06-07	PRIJEM	VKLAD	27086	41639	\N	\N	\N
558691	1901	1998-07-07	PRIJEM	VKLAD	18057	38987	\N	\N	\N
558692	1901	1998-08-07	PRIJEM	VKLAD	18057	38074	\N	\N	\N
558693	1901	1998-09-07	PRIJEM	VKLAD	18057	38460	\N	\N	\N
558694	1901	1998-10-07	PRIJEM	VKLAD	18057	38467	\N	\N	\N
558695	1901	1998-11-07	PRIJEM	VKLAD	18057	43471	\N	\N	\N
558696	1901	1998-12-07	PRIJEM	VKLAD	27086	51903	\N	\N	\N
558712	1901	1996-04-07	VYDAJ	PREVOD NA UCET	6355	50171	SIPO	ST	11394077
558713	1901	1996-05-07	VYDAJ	PREVOD NA UCET	6355	48173	SIPO	ST	11394077
558714	1901	1996-06-07	VYDAJ	PREVOD NA UCET	6355	56375	SIPO	ST	11394077
558715	1901	1996-07-07	VYDAJ	PREVOD NA UCET	6355	43880	SIPO	ST	11394077
558716	1901	1996-08-07	VYDAJ	PREVOD NA UCET	6355	44235	SIPO	ST	11394077
558717	1901	1996-09-07	VYDAJ	PREVOD NA UCET	6355	43288	SIPO	ST	11394077
558718	1901	1996-10-07	VYDAJ	PREVOD NA UCET	6355	44539	SIPO	ST	11394077
558719	1901	1996-11-07	VYDAJ	PREVOD NA UCET	6355	35135	SIPO	ST	11394077
558720	1901	1996-12-07	VYDAJ	PREVOD NA UCET	6355	37934	SIPO	ST	11394077
558721	1901	1997-01-07	VYDAJ	PREVOD NA UCET	6355	27883	SIPO	ST	11394077
558722	1901	1997-02-07	VYDAJ	PREVOD NA UCET	6355	26430	SIPO	ST	11394077
558723	1901	1997-03-07	VYDAJ	PREVOD NA UCET	6355	30025	SIPO	ST	11394077
558724	1901	1997-04-07	VYDAJ	PREVOD NA UCET	6355	32634	SIPO	ST	11394077
558725	1901	1997-05-07	VYDAJ	PREVOD NA UCET	6355	33852	SIPO	ST	11394077
558726	1901	1997-06-07	VYDAJ	PREVOD NA UCET	6355	40543	SIPO	ST	11394077
558727	1901	1997-07-07	VYDAJ	PREVOD NA UCET	6355	34093	SIPO	ST	11394077
558728	1901	1997-08-07	VYDAJ	PREVOD NA UCET	6355	35901	SIPO	ST	11394077
558729	1901	1997-09-07	VYDAJ	PREVOD NA UCET	6355	39017	SIPO	ST	11394077
558730	1901	1997-10-07	VYDAJ	PREVOD NA UCET	6355	39340	SIPO	ST	11394077
558731	1901	1997-11-07	VYDAJ	PREVOD NA UCET	6355	33131	SIPO	ST	11394077
558732	1901	1997-12-07	VYDAJ	PREVOD NA UCET	6355	39215	SIPO	ST	11394077
558733	1901	1998-01-07	VYDAJ	PREVOD NA UCET	6355	29466	SIPO	ST	11394077
558734	1901	1998-02-07	VYDAJ	PREVOD NA UCET	6355	28647	SIPO	ST	11394077
558735	1901	1998-03-07	VYDAJ	PREVOD NA UCET	6355	30236	SIPO	ST	11394077
558736	1901	1998-04-07	VYDAJ	PREVOD NA UCET	6355	29530	SIPO	ST	11394077
558737	1901	1998-05-07	VYDAJ	PREVOD NA UCET	6355	30322	SIPO	ST	11394077
558738	1901	1998-06-07	VYDAJ	PREVOD NA UCET	6355	35284	SIPO	ST	11394077
558739	1901	1998-07-07	VYDAJ	PREVOD NA UCET	6355	32632	SIPO	ST	11394077
558740	1901	1998-08-07	VYDAJ	PREVOD NA UCET	6355	31719	SIPO	ST	11394077
558741	1901	1998-09-07	VYDAJ	PREVOD NA UCET	6355	32105	SIPO	ST	11394077
558742	1901	1998-10-07	VYDAJ	PREVOD NA UCET	6355	32112	SIPO	ST	11394077
558743	1901	1998-11-07	VYDAJ	PREVOD NA UCET	6355	37116	SIPO	ST	11394077
558744	1901	1998-12-07	VYDAJ	PREVOD NA UCET	6355	45548	SIPO	ST	11394077
558746	1901	1996-06-24	VYDAJ	VYBER	8800	47575	\N	\N	\N
558752	1901	1998-01-03	VYDAJ	VYBER	1920	17764	\N	\N	\N
558754	1901	1996-12-27	VYDAJ	VYBER	4320	21214	\N	\N	\N
558755	1901	1997-12-23	VYDAJ	VYBER	3680	23055	\N	\N	\N
558756	1901	1998-12-16	VYDAJ	VYBER	960	20568	\N	\N	\N
558769	1901	1997-01-03	VYDAJ	VYBER	3480	17861	\N	\N	\N
558770	1901	1997-01-26	VYDAJ	VYBER	720	14643	\N	\N	\N
558771	1901	1997-01-06	VYDAJ	VYBER	1680	16181	\N	\N	\N
558773	1901	1997-01-12	VYDAJ	VYBER	720	27163	\N	\N	\N
558775	1901	1998-01-18	VYDAJ	VYBER	1680	27186	\N	\N	\N
558776	1901	1998-01-14	VYDAJ	VYBER	600	28866	\N	\N	\N
558777	1901	1998-01-01	VYDAJ	VYBER	3480	19684	\N	\N	\N
558778	1901	1998-01-20	VYDAJ	VYBER	2160	20226	\N	\N	\N
558779	1901	1998-01-26	VYDAJ	VYBER	840	16866	\N	\N	\N
558780	1901	1998-01-21	VYDAJ	VYBER	2520	17706	\N	\N	\N
558786	1901	1996-10-15	VYDAJ	VYBER	1320	43219	\N	\N	\N
558787	1901	1996-11-03	VYDAJ	VYBER	5040	23433	\N	\N	\N
558788	1901	1996-11-26	VYDAJ	VYBER	5760	17075	\N	\N	\N
558789	1901	1997-06-12	VYDAJ	VYBER	5160	35383	\N	\N	\N
558790	1901	1997-12-16	VYDAJ	VYBER	5280	33935	\N	\N	\N
558791	1901	1997-12-06	VYDAJ	VYBER	5760	18484	\N	\N	\N
558792	1901	1997-05-17	VYDAJ	VYBER	2040	31812	\N	\N	\N
558793	1901	1997-11-07	VYDAJ	VYBER	2640	39486	\N	\N	\N
558794	1901	1998-05-09	VYDAJ	VYBER	1920	28402	\N	\N	\N
558795	1901	1998-05-18	VYDAJ	VYBER	4920	23482	\N	\N	\N
558796	1901	1998-07-13	VYDAJ	VYBER	3000	29632	\N	\N	\N
558797	1901	1998-06-18	VYDAJ	VYBER	3360	31924	\N	\N	\N
558798	1901	1998-12-10	VYDAJ	VYBER	5520	40028	\N	\N	\N
558799	1901	1998-09-18	VYDAJ	VYBER	3480	20325	\N	\N	\N
558816	1901	1996-04-30	VYDAJ	VYBER	15	36471	SLUZBY	\N	\N
558817	1901	1996-05-31	VYDAJ	VYBER	15	35644	SLUZBY	\N	\N
558818	1901	1996-06-30	VYDAJ	VYBER	15	32178	SLUZBY	\N	\N
558819	1901	1996-07-31	VYDAJ	VYBER	15	32533	SLUZBY	\N	\N
558820	1901	1996-08-31	VYDAJ	VYBER	15	31586	SLUZBY	\N	\N
558821	1901	1996-09-30	VYDAJ	VYBER	15	32837	SLUZBY	\N	\N
558822	1901	1996-10-31	VYDAJ	VYBER	15	28473	SLUZBY	\N	\N
558823	1901	1996-11-30	VYDAJ	VYBER	15	17203	SLUZBY	\N	\N
558824	1901	1996-12-31	VYDAJ	VYBER	15	21341	SLUZBY	\N	\N
558825	1901	1997-01-31	VYDAJ	VYBER	15	14728	SLUZBY	\N	\N
558826	1901	1997-02-28	VYDAJ	VYBER	15	18323	SLUZBY	\N	\N
558827	1901	1997-03-31	VYDAJ	VYBER	15	20932	SLUZBY	\N	\N
558828	1901	1997-04-30	VYDAJ	VYBER	15	22150	SLUZBY	\N	\N
558829	1901	1997-05-31	VYDAJ	VYBER	15	19812	SLUZBY	\N	\N
558830	1901	1997-06-30	VYDAJ	VYBER	15	22391	SLUZBY	\N	\N
558831	1901	1997-07-31	VYDAJ	VYBER	15	24199	SLUZBY	\N	\N
558832	1901	1997-08-31	VYDAJ	VYBER	15	27315	SLUZBY	\N	\N
558833	1901	1997-09-30	VYDAJ	VYBER	15	27638	SLUZBY	\N	\N
558834	1901	1997-10-31	VYDAJ	VYBER	15	24069	SLUZBY	\N	\N
558835	1901	1997-11-30	VYDAJ	VYBER	15	24244	SLUZBY	\N	\N
558836	1901	1997-12-31	VYDAJ	VYBER	15	23164	SLUZBY	\N	\N
558837	1901	1998-01-31	VYDAJ	VYBER	15	16945	SLUZBY	\N	\N
558838	1901	1998-02-28	VYDAJ	VYBER	15	18534	SLUZBY	\N	\N
558839	1901	1998-03-31	VYDAJ	VYBER	15	17828	SLUZBY	\N	\N
558840	1901	1998-04-30	VYDAJ	VYBER	15	18620	SLUZBY	\N	\N
558841	1901	1998-05-31	VYDAJ	VYBER	15	14553	SLUZBY	\N	\N
558842	1901	1998-06-30	VYDAJ	VYBER	15	20930	SLUZBY	\N	\N
558843	1901	1998-07-31	VYDAJ	VYBER	15	20017	SLUZBY	\N	\N
558844	1901	1998-08-31	VYDAJ	VYBER	15	20403	SLUZBY	\N	\N
558845	1901	1998-09-30	VYDAJ	VYBER	15	20410	SLUZBY	\N	\N
558846	1901	1998-10-31	VYDAJ	VYBER	15	25414	SLUZBY	\N	\N
558847	1901	1998-11-30	VYDAJ	VYBER	15	24817	SLUZBY	\N	\N
558848	1901	1995-12-31	VYDAJ	VYBER	100	28181	\N	\N	\N
558849	1901	1996-01-30	VYDAJ	VYBER	12100	34138	\N	\N	\N
558850	1901	1996-02-29	VYDAJ	VYBER	15300	37156	\N	\N	\N
558851	1901	1996-03-30	VYDAJ	VYBER	16900	38313	\N	\N	\N
558852	1901	1996-04-29	VYDAJ	VYBER	13900	36271	\N	\N	\N
558853	1901	1996-05-29	VYDAJ	VYBER	12700	35473	\N	\N	\N
558854	1901	1996-06-28	VYDAJ	VYBER	15600	31975	\N	\N	\N
558855	1901	1996-07-28	VYDAJ	VYBER	11500	32380	\N	\N	\N
558856	1901	1996-08-27	VYDAJ	VYBER	12800	31435	\N	\N	\N
558857	1901	1996-09-26	VYDAJ	VYBER	10600	32688	\N	\N	\N
558858	1901	1996-10-26	VYDAJ	VYBER	14900	28319	\N	\N	\N
558859	1901	1996-11-25	VYDAJ	VYBER	12300	22835	\N	\N	\N
558860	1901	1996-12-25	VYDAJ	VYBER	12400	25534	\N	\N	\N
558861	1901	1997-01-24	VYDAJ	VYBER	11800	15363	\N	\N	\N
558862	1901	1997-02-23	VYDAJ	VYBER	8200	18230	\N	\N	\N
558863	1901	1997-03-25	VYDAJ	VYBER	9200	20825	\N	\N	\N
558864	1901	1997-04-24	VYDAJ	VYBER	10600	22034	\N	\N	\N
558865	1901	1997-05-24	VYDAJ	VYBER	12100	19712	\N	\N	\N
558866	1901	1997-06-23	VYDAJ	VYBER	13100	22283	\N	\N	\N
558867	1901	1997-07-23	VYDAJ	VYBER	10000	24093	\N	\N	\N
558868	1901	1997-08-22	VYDAJ	VYBER	8700	27201	\N	\N	\N
558869	1901	1997-09-21	VYDAJ	VYBER	11500	27517	\N	\N	\N
558870	1901	1997-10-21	VYDAJ	VYBER	15400	23940	\N	\N	\N
558871	1901	1997-11-20	VYDAJ	VYBER	9000	24131	\N	\N	\N
558872	1901	1997-12-20	VYDAJ	VYBER	7200	26735	\N	\N	\N
558873	1901	1998-01-19	VYDAJ	VYBER	4800	22386	\N	\N	\N
558874	1901	1998-02-18	VYDAJ	VYBER	10200	18447	\N	\N	\N
558875	1901	1998-03-20	VYDAJ	VYBER	12500	17736	\N	\N	\N
558876	1901	1998-04-19	VYDAJ	VYBER	11000	18530	\N	\N	\N
558877	1901	1998-05-19	VYDAJ	VYBER	9000	14482	\N	\N	\N
558878	1901	1998-06-18	VYDAJ	VYBER	11100	20824	\N	\N	\N
558879	1901	1998-07-18	VYDAJ	VYBER	9700	19932	\N	\N	\N
558880	1901	1998-08-17	VYDAJ	VYBER	11400	20319	\N	\N	\N
558881	1901	1998-09-16	VYDAJ	VYBER	8300	23805	\N	\N	\N
558882	1901	1998-10-16	VYDAJ	VYBER	6800	25312	\N	\N	\N
558883	1901	1998-11-15	VYDAJ	VYBER	12400	24716	\N	\N	\N
558884	1901	1998-12-15	VYDAJ	VYBER	18500	21528	\N	\N	\N
558922	1902	1993-07-17	PRIJEM	VKLAD	200	200	\N	\N	\N
558930	1902	1993-08-13	PRIJEM	PREVOD Z UCTU	11237	11437	\N	CD	4289520
558931	1902	1993-09-13	PRIJEM	PREVOD Z UCTU	11237	29613	\N	CD	4289520
558932	1902	1993-10-13	PRIJEM	PREVOD Z UCTU	11237	36843	\N	CD	4289520
558933	1902	1993-11-13	PRIJEM	PREVOD Z UCTU	11237	42399	\N	CD	4289520
558934	1902	1993-12-13	PRIJEM	PREVOD Z UCTU	16856	50390	\N	CD	4289520
558935	1902	1994-01-13	PRIJEM	PREVOD Z UCTU	11237	30777	\N	CD	4289520
558936	1902	1994-02-13	PRIJEM	PREVOD Z UCTU	11237	32391	\N	CD	4289520
558937	1902	1994-03-13	PRIJEM	PREVOD Z UCTU	11237	40584	\N	CD	4289520
558938	1902	1994-04-13	PRIJEM	PREVOD Z UCTU	11237	44322	\N	CD	4289520
558939	1902	1994-05-13	PRIJEM	PREVOD Z UCTU	11237	44066	\N	CD	4289520
558940	1902	1994-06-13	PRIJEM	PREVOD Z UCTU	16856	47956	\N	CD	4289520
558941	1902	1994-07-13	PRIJEM	PREVOD Z UCTU	11237	35312	\N	CD	4289520
558942	1902	1994-08-13	PRIJEM	PREVOD Z UCTU	11237	37671	\N	CD	4289520
558943	1902	1994-09-13	PRIJEM	PREVOD Z UCTU	11237	33620	\N	CD	4289520
558944	1902	1994-10-13	PRIJEM	PREVOD Z UCTU	11237	34946	\N	CD	4289520
558945	1902	1994-11-13	PRIJEM	PREVOD Z UCTU	11237	42085	\N	CD	4289520
558946	1902	1994-12-13	PRIJEM	PREVOD Z UCTU	16856	47881	\N	CD	4289520
558947	1902	1995-01-13	PRIJEM	PREVOD Z UCTU	11237	34054	\N	CD	4289520
558948	1902	1995-02-13	PRIJEM	PREVOD Z UCTU	11237	33683	\N	CD	4289520
558949	1902	1995-03-13	PRIJEM	PREVOD Z UCTU	11237	40508	\N	CD	4289520
558950	1902	1995-04-13	PRIJEM	PREVOD Z UCTU	11237	39471	\N	CD	4289520
558951	1902	1995-05-13	PRIJEM	PREVOD Z UCTU	11237	38434	\N	CD	4289520
558952	1902	1995-06-13	PRIJEM	PREVOD Z UCTU	16856	50217	\N	CD	4289520
558953	1902	1995-07-13	PRIJEM	PREVOD Z UCTU	11237	48908	\N	CD	4289520
558954	1902	1995-08-13	PRIJEM	PREVOD Z UCTU	11237	44599	\N	CD	4289520
558955	1902	1995-09-13	PRIJEM	PREVOD Z UCTU	11237	35986	\N	CD	4289520
558956	1902	1995-10-13	PRIJEM	PREVOD Z UCTU	11237	40241	\N	CD	4289520
558957	1902	1995-11-13	PRIJEM	PREVOD Z UCTU	11237	45208	\N	CD	4289520
558958	1902	1995-12-13	PRIJEM	PREVOD Z UCTU	16856	47815	\N	CD	4289520
558959	1902	1996-01-13	PRIJEM	PREVOD Z UCTU	11237	33695	\N	CD	4289520
558960	1902	1996-02-13	PRIJEM	PREVOD Z UCTU	11237	35829	\N	CD	4289520
558961	1902	1996-03-13	PRIJEM	PREVOD Z UCTU	11237	36657	\N	CD	4289520
558962	1902	1996-04-13	PRIJEM	PREVOD Z UCTU	11237	40006	\N	CD	4289520
558963	1902	1996-05-13	PRIJEM	PREVOD Z UCTU	11237	30667	\N	CD	4289520
558964	1902	1996-06-13	PRIJEM	PREVOD Z UCTU	16856	37711	\N	CD	4289520
558965	1902	1996-07-13	PRIJEM	PREVOD Z UCTU	11237	39263	\N	CD	4289520
558966	1902	1996-08-13	PRIJEM	PREVOD Z UCTU	11237	38230	\N	CD	4289520
558967	1902	1996-09-13	PRIJEM	PREVOD Z UCTU	11237	34018	\N	CD	4289520
558968	1902	1996-10-13	PRIJEM	PREVOD Z UCTU	11237	37719	\N	CD	4289520
558969	1902	1996-11-13	PRIJEM	PREVOD Z UCTU	11237	34134	\N	CD	4289520
558970	1902	1996-12-13	PRIJEM	PREVOD Z UCTU	16856	39753	\N	CD	4289520
558971	1902	1997-01-13	PRIJEM	PREVOD Z UCTU	11237	34454	\N	CD	4289520
558972	1902	1997-02-13	PRIJEM	PREVOD Z UCTU	11237	27266	\N	CD	4289520
558973	1902	1997-03-13	PRIJEM	PREVOD Z UCTU	11237	27938	\N	CD	4289520
558974	1902	1997-04-13	PRIJEM	PREVOD Z UCTU	11237	39214	\N	CD	4289520
558975	1902	1997-05-13	PRIJEM	PREVOD Z UCTU	11237	31835	\N	CD	4289520
558976	1902	1997-06-13	PRIJEM	PREVOD Z UCTU	16856	39646	\N	CD	4289520
558977	1902	1997-07-13	PRIJEM	PREVOD Z UCTU	11237	33446	\N	CD	4289520
558978	1902	1997-08-13	PRIJEM	PREVOD Z UCTU	11237	26546	\N	CD	4289520
558979	1902	1997-09-13	PRIJEM	PREVOD Z UCTU	11237	37815	\N	CD	4289520
558980	1902	1997-10-13	PRIJEM	PREVOD Z UCTU	11237	35056	\N	CD	4289520
558981	1902	1997-11-13	PRIJEM	PREVOD Z UCTU	11237	33458	\N	CD	4289520
558982	1902	1997-12-13	PRIJEM	PREVOD Z UCTU	16856	45874	\N	CD	4289520
558983	1902	1998-01-13	PRIJEM	PREVOD Z UCTU	11237	30816	\N	CD	4289520
558984	1902	1998-02-13	PRIJEM	PREVOD Z UCTU	11237	34012	\N	CD	4289520
558985	1902	1998-03-13	PRIJEM	PREVOD Z UCTU	11237	37217	\N	CD	4289520
558986	1902	1998-04-13	PRIJEM	PREVOD Z UCTU	11237	48530	\N	CD	4289520
558987	1902	1998-05-13	PRIJEM	PREVOD Z UCTU	11237	49991	\N	CD	4289520
558988	1902	1998-06-13	PRIJEM	PREVOD Z UCTU	16856	54374	\N	CD	4289520
558989	1902	1998-07-13	PRIJEM	PREVOD Z UCTU	11237	26403	\N	CD	4289520
558990	1902	1998-08-13	PRIJEM	PREVOD Z UCTU	11237	37671	\N	CD	4289520
558991	1902	1998-09-13	PRIJEM	PREVOD Z UCTU	11237	37589	\N	CD	4289520
558992	1902	1998-10-13	PRIJEM	PREVOD Z UCTU	11237	48949	\N	CD	4289520
558993	1902	1998-11-13	PRIJEM	PREVOD Z UCTU	11237	57611	\N	CD	4289520
558994	1902	1998-12-13	PRIJEM	PREVOD Z UCTU	16856	66258	\N	CD	4289520
559008	1902	1994-02-22	VYBER	VYBER	3125	29266	\N	\N	\N
559009	1902	1994-07-05	VYBER	VYBER	5153	39639	\N	\N	\N
559010	1902	1994-07-12	VYBER	VYBER	19764	24075	\N	\N	\N
559013	1902	1994-08-25	VYBER	VYBER	15881	21790	\N	\N	\N
559014	1902	1994-01-02	VYBER	VYBER	7357	21040	\N	\N	\N
559015	1902	1994-11-19	VYBER	VYBER	3788	38297	\N	\N	\N
559019	1902	1995-11-26	VYBER	VYBER	8393	36815	\N	\N	\N
559020	1902	1995-05-10	VYBER	VYBER	3701	27197	\N	\N	\N
559023	1902	1996-08-13	VYBER	VYBER	7058	31172	\N	\N	\N
559026	1902	1997-12-01	VYBER	VYBER	2401	31118	\N	\N	\N
559028	1902	1998-09-06	VYBER	VYBER	11396	26352	\N	\N	\N
559037	1902	1993-12-24	VYDAJ	VYBER	5700	30090	\N	\N	\N
559038	1902	1994-12-06	VYDAJ	VYBER	5700	32725	\N	\N	\N
559039	1902	1995-12-23	VYDAJ	VYBER	6600	41215	\N	\N	\N
559041	1902	1997-12-11	VYDAJ	VYBER	2100	29018	\N	\N	\N
559042	1902	1998-12-08	VYDAJ	VYBER	8400	49402	\N	\N	\N
559051	1902	1994-01-20	VYDAJ	VYBER	2400	25077	\N	\N	\N
559052	1902	1994-01-20	VYDAJ	VYBER	4200	20877	\N	\N	\N
559053	1902	1994-01-12	VYDAJ	VYBER	1500	19540	\N	\N	\N
559055	1902	1995-01-25	VYDAJ	VYBER	3900	21454	\N	\N	\N
559056	1902	1995-01-01	VYDAJ	VYBER	7800	31817	\N	\N	\N
559057	1902	1995-01-09	VYDAJ	VYBER	4800	22817	\N	\N	\N
559058	1902	1995-01-17	VYDAJ	VYBER	4200	29854	\N	\N	\N
559059	1902	1995-01-22	VYDAJ	VYBER	4500	25354	\N	\N	\N
559061	1902	1996-01-13	VYDAJ	VYBER	8700	24995	\N	\N	\N
559063	1902	1996-01-08	VYDAJ	VYBER	3000	22458	\N	\N	\N
559065	1902	1996-01-03	VYDAJ	VYBER	8700	32658	\N	\N	\N
559071	1902	1997-01-14	VYDAJ	VYBER	2700	31754	\N	\N	\N
559074	1902	1998-01-18	VYDAJ	VYBER	3300	24516	\N	\N	\N
559077	1902	1998-01-16	VYDAJ	VYBER	3000	27816	\N	\N	\N
559084	1902	1993-12-25	VYDAJ	VYBER	1800	28290	\N	\N	\N
559086	1902	1994-09-30	VYDAJ	VYBER	6300	27439	\N	\N	\N
559087	1902	1994-07-26	VYDAJ	VYBER	9600	25712	\N	\N	\N
559088	1902	1994-12-20	VYDAJ	VYBER	8400	39481	\N	\N	\N
559089	1902	1994-06-13	VYDAJ	VYBER	3300	44656	\N	\N	\N
559090	1902	1994-10-09	VYDAJ	VYBER	6900	20509	\N	\N	\N
559091	1902	1995-07-16	VYDAJ	VYBER	7500	41408	\N	\N	\N
559093	1902	1995-06-20	VYDAJ	VYBER	3300	46917	\N	\N	\N
559094	1902	1995-09-07	VYDAJ	VYBER	11700	24749	\N	\N	\N
559095	1902	1995-03-30	VYDAJ	VYBER	5700	34808	\N	\N	\N
559097	1902	1996-02-19	VYDAJ	VYBER	5400	30429	\N	\N	\N
559099	1902	1996-04-28	VYDAJ	VYBER	14700	25306	\N	\N	\N
559101	1902	1997-10-23	VYDAJ	VYBER	12900	22156	\N	\N	\N
559102	1902	1997-04-19	VYDAJ	VYBER	7500	31714	\N	\N	\N
559103	1902	1997-09-13	VYDAJ	VYBER	14100	23715	\N	\N	\N
559104	1902	1997-07-17	VYDAJ	VYBER	4200	29246	\N	\N	\N
559105	1902	1998-04-23	VYDAJ	VYBER	9900	38630	\N	\N	\N
559106	1902	1998-05-30	VYDAJ	VYBER	12600	37391	\N	\N	\N
559108	1902	1998-01-28	VYDAJ	VYBER	1800	22716	\N	\N	\N
559109	1902	1998-02-15	VYDAJ	VYBER	8100	25912	\N	\N	\N
559110	1902	1998-11-11	VYDAJ	VYBER	2700	46374	\N	\N	\N
559123	1902	1993-12-31	VYDAJ	VYBER	30	28397	SLUZBY	\N	\N
559124	1902	1994-01-31	VYDAJ	VYBER	30	20954	SLUZBY	\N	\N
559125	1902	1994-02-28	VYDAJ	VYBER	30	29347	SLUZBY	\N	\N
559126	1902	1994-03-31	VYDAJ	VYBER	30	33085	SLUZBY	\N	\N
559127	1902	1994-04-30	VYDAJ	VYBER	30	32829	SLUZBY	\N	\N
559128	1902	1994-05-31	VYDAJ	VYBER	30	32700	SLUZBY	\N	\N
559129	1902	1994-06-30	VYDAJ	VYBER	30	44792	SLUZBY	\N	\N
559130	1902	1994-07-31	VYDAJ	VYBER	30	25834	SLUZBY	\N	\N
559131	1902	1994-08-31	VYDAJ	VYBER	30	21883	SLUZBY	\N	\N
559132	1902	1994-09-30	VYDAJ	VYBER	30	27409	SLUZBY	\N	\N
559133	1902	1994-10-31	VYDAJ	VYBER	30	35048	SLUZBY	\N	\N
559134	1902	1994-11-30	VYDAJ	VYBER	30	38425	SLUZBY	\N	\N
559135	1902	1994-12-31	VYDAJ	VYBER	30	39617	SLUZBY	\N	\N
559136	1902	1995-01-31	VYDAJ	VYBER	30	21546	SLUZBY	\N	\N
559137	1902	1995-02-28	VYDAJ	VYBER	30	33771	SLUZBY	\N	\N
559138	1902	1995-03-31	VYDAJ	VYBER	30	34934	SLUZBY	\N	\N
559139	1902	1995-04-30	VYDAJ	VYBER	30	39598	SLUZBY	\N	\N
559140	1902	1995-05-31	VYDAJ	VYBER	30	38561	SLUZBY	\N	\N
559141	1902	1995-06-30	VYDAJ	VYBER	30	47071	SLUZBY	\N	\N
559142	1902	1995-07-31	VYDAJ	VYBER	30	41562	SLUZBY	\N	\N
559143	1902	1995-08-31	VYDAJ	VYBER	30	44749	SLUZBY	\N	\N
559144	1902	1995-09-30	VYDAJ	VYBER	30	36104	SLUZBY	\N	\N
559145	1902	1995-10-31	VYDAJ	VYBER	30	40371	SLUZBY	\N	\N
559146	1902	1995-11-30	VYDAJ	VYBER	30	36959	SLUZBY	\N	\N
559147	1902	1995-12-31	VYDAJ	VYBER	30	41358	SLUZBY	\N	\N
559148	1902	1996-01-31	VYDAJ	VYBER	30	25092	SLUZBY	\N	\N
559149	1902	1996-02-29	VYDAJ	VYBER	30	30520	SLUZBY	\N	\N
559150	1902	1996-03-31	VYDAJ	VYBER	30	36769	SLUZBY	\N	\N
559151	1902	1996-04-30	VYDAJ	VYBER	30	25430	SLUZBY	\N	\N
559152	1902	1996-05-31	VYDAJ	VYBER	30	30755	SLUZBY	\N	\N
559153	1902	1996-06-30	VYDAJ	VYBER	30	37826	SLUZBY	\N	\N
559154	1902	1996-07-31	VYDAJ	VYBER	30	39393	SLUZBY	\N	\N
559155	1902	1996-08-31	VYDAJ	VYBER	30	22781	SLUZBY	\N	\N
559156	1902	1996-09-30	VYDAJ	VYBER	30	26482	SLUZBY	\N	\N
559157	1902	1996-10-31	VYDAJ	VYBER	30	22897	SLUZBY	\N	\N
559158	1902	1996-11-30	VYDAJ	VYBER	30	22897	SLUZBY	\N	\N
559159	1902	1996-12-31	VYDAJ	VYBER	30	23217	SLUZBY	\N	\N
559160	1902	1997-01-31	VYDAJ	VYBER	30	16029	SLUZBY	\N	\N
559161	1902	1997-02-28	VYDAJ	VYBER	30	16701	SLUZBY	\N	\N
559162	1902	1997-03-31	VYDAJ	VYBER	30	27977	SLUZBY	\N	\N
559163	1902	1997-04-30	VYDAJ	VYBER	30	20598	SLUZBY	\N	\N
559164	1902	1997-05-31	VYDAJ	VYBER	30	22790	SLUZBY	\N	\N
559165	1902	1997-06-30	VYDAJ	VYBER	30	22209	SLUZBY	\N	\N
559166	1902	1997-07-31	VYDAJ	VYBER	30	15309	SLUZBY	\N	\N
559167	1902	1997-08-31	VYDAJ	VYBER	30	26578	SLUZBY	\N	\N
559168	1902	1997-09-30	VYDAJ	VYBER	30	23819	SLUZBY	\N	\N
559169	1902	1997-10-31	VYDAJ	VYBER	30	22221	SLUZBY	\N	\N
559170	1902	1997-11-30	VYDAJ	VYBER	30	33519	SLUZBY	\N	\N
559171	1902	1997-12-31	VYDAJ	VYBER	30	19579	SLUZBY	\N	\N
559172	1902	1998-01-31	VYDAJ	VYBER	30	22775	SLUZBY	\N	\N
559173	1902	1998-02-28	VYDAJ	VYBER	30	25980	SLUZBY	\N	\N
559174	1902	1998-03-31	VYDAJ	VYBER	30	37293	SLUZBY	\N	\N
559175	1902	1998-04-30	VYDAJ	VYBER	30	38754	SLUZBY	\N	\N
559176	1902	1998-05-31	VYDAJ	VYBER	30	37518	SLUZBY	\N	\N
559177	1902	1998-06-30	VYDAJ	VYBER	30	15166	SLUZBY	\N	\N
559178	1902	1998-07-31	VYDAJ	VYBER	30	26434	SLUZBY	\N	\N
559179	1902	1998-08-31	VYDAJ	VYBER	30	37748	SLUZBY	\N	\N
559180	1902	1998-09-30	VYDAJ	VYBER	30	37712	SLUZBY	\N	\N
559181	1902	1998-10-31	VYDAJ	VYBER	30	49074	SLUZBY	\N	\N
559182	1902	1998-11-30	VYDAJ	VYBER	30	57802	SLUZBY	\N	\N
559183	1902	1993-08-16	PRIJEM	VKLAD	6900	18337	\N	\N	\N
559184	1902	1993-09-15	VYDAJ	VYBER	4100	25513	\N	\N	\N
559185	1902	1993-10-15	VYDAJ	VYBER	5800	31043	\N	\N	\N
559186	1902	1993-11-14	VYDAJ	VYBER	9000	33399	\N	\N	\N
559187	1902	1993-12-14	VYDAJ	VYBER	14600	35790	\N	\N	\N
559188	1902	1994-01-13	VYDAJ	VYBER	3300	27477	\N	\N	\N
559189	1902	1994-02-12	PRIJEM	VKLAD	200	21154	\N	\N	\N
559190	1902	1994-03-14	VYDAJ	VYBER	7600	32984	\N	\N	\N
559191	1902	1994-04-13	VYDAJ	VYBER	11600	32722	\N	\N	\N
559192	1902	1994-05-13	VYDAJ	VYBER	11500	32566	\N	\N	\N
559193	1902	1994-06-12	VYDAJ	VYBER	1600	31100	\N	\N	\N
559194	1902	1994-07-12	PRIJEM	VKLAD	4200	43839	\N	\N	\N
559195	1902	1994-08-11	PRIJEM	VKLAD	600	26434	\N	\N	\N
559196	1902	1994-09-10	PRIJEM	VKLAD	500	22383	\N	\N	\N
559197	1902	1994-10-10	PRIJEM	VKLAD	3200	23709	\N	\N	\N
559198	1902	1994-11-09	VYDAJ	VYBER	4200	30848	\N	\N	\N
559199	1902	1994-12-09	VYDAJ	VYBER	1700	31025	\N	\N	\N
559200	1902	1995-01-08	VYDAJ	VYBER	4200	27617	\N	\N	\N
559201	1902	1995-02-07	PRIJEM	VKLAD	900	22446	\N	\N	\N
559202	1902	1995-03-09	VYDAJ	VYBER	4500	29271	\N	\N	\N
559203	1902	1995-04-08	VYDAJ	VYBER	6700	28234	\N	\N	\N
559204	1902	1995-05-08	VYDAJ	VYBER	8700	30898	\N	\N	\N
559205	1902	1995-06-07	VYDAJ	VYBER	5200	33361	\N	\N	\N
559206	1902	1995-07-07	VYDAJ	VYBER	9400	37671	\N	\N	\N
559207	1902	1995-08-06	VYDAJ	VYBER	8200	33362	\N	\N	\N
559208	1902	1995-09-05	VYDAJ	VYBER	8300	36449	\N	\N	\N
559209	1902	1995-10-05	VYDAJ	VYBER	7100	29004	\N	\N	\N
559210	1902	1995-11-04	VYDAJ	VYBER	6400	33971	\N	\N	\N
559211	1902	1995-12-04	VYDAJ	VYBER	6000	30959	\N	\N	\N
559212	1902	1996-01-03	VYDAJ	VYBER	7200	25458	\N	\N	\N
559213	1902	1996-02-02	VYDAJ	VYBER	500	24592	\N	\N	\N
559214	1902	1996-03-03	VYDAJ	VYBER	5100	25420	\N	\N	\N
559215	1902	1996-04-02	VYDAJ	VYBER	8000	28769	\N	\N	\N
559216	1902	1996-05-02	VYDAJ	VYBER	6000	19430	\N	\N	\N
559217	1902	1996-06-01	VYDAJ	VYBER	9900	20855	\N	\N	\N
559218	1902	1996-07-01	VYDAJ	VYBER	9800	28026	\N	\N	\N
559219	1902	1996-07-31	VYDAJ	VYBER	12400	26993	\N	\N	\N
559220	1902	1996-08-30	VYDAJ	VYBER	8500	22672	\N	\N	\N
559221	1902	1996-09-29	VYDAJ	VYBER	7600	26418	\N	\N	\N
559222	1902	1996-10-29	VYDAJ	VYBER	14900	22819	\N	\N	\N
559223	1902	1996-11-28	VYDAJ	VYBER	11300	22834	\N	\N	\N
559224	1902	1996-12-28	VYDAJ	VYBER	16600	23153	\N	\N	\N
559225	1902	1997-01-27	VYDAJ	VYBER	15800	15954	\N	\N	\N
559226	1902	1997-02-26	VYDAJ	VYBER	10600	16666	\N	\N	\N
559227	1902	1997-04-27	VYDAJ	VYBER	11200	20514	\N	\N	\N
559228	1902	1997-05-27	VYDAJ	VYBER	9100	22735	\N	\N	\N
559229	1902	1997-06-26	VYDAJ	VYBER	17500	22146	\N	\N	\N
559230	1902	1997-07-26	VYDAJ	VYBER	14000	15246	\N	\N	\N
559231	1902	1997-12-23	VYDAJ	VYBER	26400	19474	\N	\N	\N
559232	1902	1998-06-21	VYDAJ	VYBER	39300	15074	\N	\N	\N
559298	1903	1996-07-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
559305	1903	1996-07-09	PRIJEM	PREVOD Z UCTU	3993	5093	\N	EF	48930692
559306	1903	1996-08-09	PRIJEM	PREVOD Z UCTU	3993	20002	\N	EF	48930692
559307	1903	1996-09-09	PRIJEM	PREVOD Z UCTU	3993	27762	\N	EF	48930692
559308	1903	1996-10-09	PRIJEM	PREVOD Z UCTU	3993	32362	\N	EF	48930692
559309	1903	1996-11-09	PRIJEM	PREVOD Z UCTU	3993	34785	\N	EF	48930692
559310	1903	1996-12-09	PRIJEM	PREVOD Z UCTU	3993	32667	\N	EF	48930692
559311	1903	1997-01-09	PRIJEM	PREVOD Z UCTU	3993	29621	\N	EF	48930692
559312	1903	1997-02-09	PRIJEM	PREVOD Z UCTU	3993	31189	\N	EF	48930692
559313	1903	1997-03-09	PRIJEM	PREVOD Z UCTU	3993	32256	\N	EF	48930692
559314	1903	1997-04-09	PRIJEM	PREVOD Z UCTU	3993	33654	\N	EF	48930692
559315	1903	1997-05-09	PRIJEM	PREVOD Z UCTU	3993	38030	\N	EF	48930692
559316	1903	1997-06-09	PRIJEM	PREVOD Z UCTU	3993	38823	\N	EF	48930692
559317	1903	1997-07-09	PRIJEM	PREVOD Z UCTU	3993	34390	\N	EF	48930692
559318	1903	1997-08-09	PRIJEM	PREVOD Z UCTU	3993	36471	\N	EF	48930692
559319	1903	1997-09-09	PRIJEM	PREVOD Z UCTU	3993	38560	\N	EF	48930692
559320	1903	1997-10-09	PRIJEM	PREVOD Z UCTU	3993	38868	\N	EF	48930692
559321	1903	1997-11-09	PRIJEM	PREVOD Z UCTU	3993	37765	\N	EF	48930692
559322	1903	1997-12-09	PRIJEM	PREVOD Z UCTU	3993	39660	\N	EF	48930692
559323	1903	1998-01-09	PRIJEM	PREVOD Z UCTU	3993	42334	\N	EF	48930692
559324	1903	1998-02-09	PRIJEM	PREVOD Z UCTU	3993	40503	\N	EF	48930692
559325	1903	1998-03-09	PRIJEM	PREVOD Z UCTU	3993	40989	\N	EF	48930692
559326	1903	1998-04-09	PRIJEM	PREVOD Z UCTU	3993	45100	\N	EF	48930692
559327	1903	1998-05-09	PRIJEM	PREVOD Z UCTU	3993	45824	\N	EF	48930692
559328	1903	1998-06-09	PRIJEM	PREVOD Z UCTU	3993	43250	\N	EF	48930692
559329	1903	1998-07-09	PRIJEM	PREVOD Z UCTU	3993	45169	\N	EF	48930692
559330	1903	1998-08-09	PRIJEM	PREVOD Z UCTU	3993	47394	\N	EF	48930692
559331	1903	1998-09-09	PRIJEM	PREVOD Z UCTU	3993	51091	\N	EF	48930692
559332	1903	1998-10-09	PRIJEM	PREVOD Z UCTU	3993	56845	\N	EF	48930692
559333	1903	1998-11-09	PRIJEM	PREVOD Z UCTU	3993	57817	\N	EF	48930692
559334	1903	1998-12-09	PRIJEM	PREVOD Z UCTU	3993	62799	\N	EF	48930692
559346	1903	1996-12-07	VYDAJ	PREVOD NA UCET	1878	28674	SIPO	QR	99218499
559347	1903	1997-01-07	VYDAJ	PREVOD NA UCET	1878	25628	SIPO	QR	99218499
559348	1903	1997-02-07	VYDAJ	PREVOD NA UCET	1878	27196	SIPO	QR	99218499
559349	1903	1997-03-07	VYDAJ	PREVOD NA UCET	1878	28263	SIPO	QR	99218499
559350	1903	1997-04-07	VYDAJ	PREVOD NA UCET	1878	29661	SIPO	QR	99218499
559351	1903	1997-05-07	VYDAJ	PREVOD NA UCET	1878	34037	SIPO	QR	99218499
559352	1903	1997-06-07	VYDAJ	PREVOD NA UCET	1878	34830	SIPO	QR	99218499
559353	1903	1997-07-07	VYDAJ	PREVOD NA UCET	1878	30397	SIPO	QR	99218499
559354	1903	1997-08-07	VYDAJ	PREVOD NA UCET	1878	32478	SIPO	QR	99218499
559355	1903	1997-09-07	VYDAJ	PREVOD NA UCET	1878	34567	SIPO	QR	99218499
559356	1903	1997-10-07	VYDAJ	PREVOD NA UCET	1878	34875	SIPO	QR	99218499
559357	1903	1997-11-07	VYDAJ	PREVOD NA UCET	1878	33772	SIPO	QR	99218499
559358	1903	1997-12-07	VYDAJ	PREVOD NA UCET	1878	35667	SIPO	QR	99218499
559359	1903	1998-01-07	VYDAJ	PREVOD NA UCET	1878	38341	SIPO	QR	99218499
559360	1903	1998-02-07	VYDAJ	PREVOD NA UCET	1878	36510	SIPO	QR	99218499
559361	1903	1998-03-07	VYDAJ	PREVOD NA UCET	1878	36996	SIPO	QR	99218499
559362	1903	1998-04-07	VYDAJ	PREVOD NA UCET	1878	41107	SIPO	QR	99218499
559363	1903	1998-05-07	VYDAJ	PREVOD NA UCET	1878	41831	SIPO	QR	99218499
559364	1903	1998-06-07	VYDAJ	PREVOD NA UCET	1878	39257	SIPO	QR	99218499
559365	1903	1998-07-07	VYDAJ	PREVOD NA UCET	1878	41176	SIPO	QR	99218499
559366	1903	1998-08-07	VYDAJ	PREVOD NA UCET	1878	43401	SIPO	QR	99218499
559367	1903	1998-09-07	VYDAJ	PREVOD NA UCET	1878	47638	SIPO	QR	99218499
559368	1903	1998-10-07	VYDAJ	PREVOD NA UCET	1878	52852	SIPO	QR	99218499
559369	1903	1998-11-07	VYDAJ	PREVOD NA UCET	1878	53824	SIPO	QR	99218499
559370	1903	1998-12-07	VYDAJ	PREVOD NA UCET	1878	58806	SIPO	QR	99218499
559381	1903	1996-11-13	VYDAJ	PREVOD NA UCET	260	34525	 	YZ	5529422
559382	1903	1996-12-13	VYDAJ	PREVOD NA UCET	260	31597	 	YZ	5529422
559383	1903	1997-01-13	VYDAJ	PREVOD NA UCET	260	29361	 	YZ	5529422
559384	1903	1997-02-13	VYDAJ	PREVOD NA UCET	260	30929	 	YZ	5529422
559385	1903	1997-03-13	VYDAJ	PREVOD NA UCET	260	31156	 	YZ	5529422
559386	1903	1997-04-13	VYDAJ	PREVOD NA UCET	260	33394	 	YZ	5529422
559387	1903	1997-05-13	VYDAJ	PREVOD NA UCET	260	37770	 	YZ	5529422
559388	1903	1997-06-13	VYDAJ	PREVOD NA UCET	260	29653	 	YZ	5529422
559389	1903	1997-07-13	VYDAJ	PREVOD NA UCET	260	34130	 	YZ	5529422
559390	1903	1997-08-13	VYDAJ	PREVOD NA UCET	260	36211	 	YZ	5529422
559391	1903	1997-09-13	VYDAJ	PREVOD NA UCET	260	38300	 	YZ	5529422
559392	1903	1997-10-13	VYDAJ	PREVOD NA UCET	260	38608	 	YZ	5529422
559393	1903	1997-11-13	VYDAJ	PREVOD NA UCET	260	37505	 	YZ	5529422
559394	1903	1997-12-13	VYDAJ	PREVOD NA UCET	260	39400	 	YZ	5529422
559395	1903	1998-01-13	VYDAJ	PREVOD NA UCET	260	41294	 	YZ	5529422
559396	1903	1998-02-13	VYDAJ	PREVOD NA UCET	260	40243	 	YZ	5529422
559397	1903	1998-03-13	VYDAJ	PREVOD NA UCET	260	40729	 	YZ	5529422
559398	1903	1998-04-13	VYDAJ	PREVOD NA UCET	260	44840	 	YZ	5529422
559399	1903	1998-05-13	VYDAJ	PREVOD NA UCET	260	45564	 	YZ	5529422
559400	1903	1998-06-13	VYDAJ	PREVOD NA UCET	260	42990	 	YZ	5529422
559401	1903	1998-07-13	VYDAJ	PREVOD NA UCET	260	44909	 	YZ	5529422
559402	1903	1998-08-13	VYDAJ	PREVOD NA UCET	260	47134	 	YZ	5529422
559403	1903	1998-09-13	VYDAJ	PREVOD NA UCET	260	50831	 	YZ	5529422
559404	1903	1998-10-13	VYDAJ	PREVOD NA UCET	260	56585	 	YZ	5529422
559405	1903	1998-11-13	VYDAJ	PREVOD NA UCET	260	57557	 	YZ	5529422
559406	1903	1998-12-13	VYDAJ	PREVOD NA UCET	260	62539	 	YZ	5529422
559408	1903	1997-06-13	VYDAJ	VYBER	8910	29913	\N	\N	\N
559409	1903	1998-06-04	VYDAJ	VYBER	2700	41135	\N	\N	\N
559411	1903	1997-01-02	VYDAJ	VYBER	300	28616	\N	\N	\N
559412	1903	1998-01-04	VYDAJ	VYBER	1380	41299	\N	\N	\N
559413	1903	1996-12-10	VYDAJ	VYBER	810	31857	\N	\N	\N
559414	1903	1997-12-24	VYDAJ	VYBER	870	38530	\N	\N	\N
559415	1903	1998-12-22	VYDAJ	VYBER KARTOU	700	61839	\N	\N	0
559422	1903	1997-01-02	VYDAJ	VYBER	330	28286	\N	\N	\N
559423	1903	1997-01-23	VYDAJ	VYBER	510	27621	\N	\N	\N
559424	1903	1997-01-28	VYDAJ	VYBER	750	26871	\N	\N	\N
559425	1903	1997-01-23	VYDAJ	VYBER	450	28131	\N	\N	\N
559426	1903	1997-01-02	VYDAJ	VYBER	780	27506	\N	\N	\N
559427	1903	1997-01-14	VYDAJ	VYBER	780	28581	\N	\N	\N
559428	1903	1998-01-27	VYDAJ	VYBER	870	38804	\N	\N	\N
559429	1903	1998-01-15	VYDAJ	VYBER	570	40724	\N	\N	\N
559430	1903	1998-01-27	VYDAJ	VYBER	390	38414	\N	\N	\N
559431	1903	1998-01-11	VYDAJ	VYBER	780	41554	\N	\N	\N
559432	1903	1998-01-29	VYDAJ	VYBER	180	38234	\N	\N	\N
559433	1903	1998-01-26	VYDAJ	VYBER	150	40574	\N	\N	\N
559435	1903	1997-03-11	VYDAJ	VYBER	840	31416	\N	\N	\N
559436	1903	1997-09-29	VYDAJ	VYBER	990	36610	\N	\N	\N
559437	1903	1997-03-16	VYDAJ	VYBER	930	30226	\N	\N	\N
559438	1903	1998-03-06	VYDAJ	VYBER	1110	38874	\N	\N	\N
559439	1903	1998-12-05	VYDAJ	VYBER KARTOU	500	60684	\N	\N	0
559440	1903	1998-09-07	VYDAJ	VYBER	540	47098	\N	\N	\N
559441	1903	1998-01-06	VYDAJ	VYBER	1080	40219	\N	\N	\N
559442	1903	1998-03-06	VYDAJ	VYBER	810	39984	\N	\N	\N
559454	1903	1996-11-30	VYDAJ	VYBER	15	34652	SLUZBY	\N	\N
559455	1903	1996-12-31	VYDAJ	VYBER	15	31716	SLUZBY	\N	\N
559456	1903	1997-01-31	VYDAJ	VYBER	15	29074	SLUZBY	\N	\N
559457	1903	1997-02-28	VYDAJ	VYBER	15	31041	SLUZBY	\N	\N
559458	1903	1997-03-31	VYDAJ	VYBER	15	30339	SLUZBY	\N	\N
559459	1903	1997-04-30	VYDAJ	VYBER	15	33515	SLUZBY	\N	\N
559460	1903	1997-05-31	VYDAJ	VYBER	15	37908	SLUZBY	\N	\N
559461	1903	1997-06-30	VYDAJ	VYBER	15	32275	SLUZBY	\N	\N
559462	1903	1997-07-31	VYDAJ	VYBER	15	34356	SLUZBY	\N	\N
559463	1903	1997-08-31	VYDAJ	VYBER	15	36445	SLUZBY	\N	\N
559464	1903	1997-09-30	VYDAJ	VYBER	15	36753	SLUZBY	\N	\N
559465	1903	1997-10-31	VYDAJ	VYBER	15	35650	SLUZBY	\N	\N
559466	1903	1997-11-30	VYDAJ	VYBER	15	37545	SLUZBY	\N	\N
559467	1903	1997-12-31	VYDAJ	VYBER	15	42679	SLUZBY	\N	\N
559468	1903	1998-01-31	VYDAJ	VYBER	15	38388	SLUZBY	\N	\N
559469	1903	1998-02-28	VYDAJ	VYBER	15	40794	SLUZBY	\N	\N
559470	1903	1998-03-31	VYDAJ	VYBER	15	42985	SLUZBY	\N	\N
559471	1903	1998-04-30	VYDAJ	VYBER	15	43709	SLUZBY	\N	\N
559472	1903	1998-05-31	VYDAJ	VYBER	15	43835	SLUZBY	\N	\N
559473	1903	1998-06-30	VYDAJ	VYBER	15	43054	SLUZBY	\N	\N
559474	1903	1998-07-31	VYDAJ	VYBER	15	45279	SLUZBY	\N	\N
559475	1903	1998-08-31	VYDAJ	VYBER	15	49516	SLUZBY	\N	\N
559476	1903	1998-09-30	VYDAJ	VYBER	15	54730	SLUZBY	\N	\N
559477	1903	1998-10-31	VYDAJ	VYBER	15	55702	SLUZBY	\N	\N
559478	1903	1998-11-30	VYDAJ	VYBER	15	61184	SLUZBY	\N	\N
559479	1903	1996-08-04	PRIJEM	VKLAD	10900	16009	\N	\N	\N
559480	1903	1996-09-03	PRIJEM	VKLAD	3700	23769	\N	\N	\N
559481	1903	1996-10-03	PRIJEM	VKLAD	500	28369	\N	\N	\N
559482	1903	1996-11-02	VYDAJ	VYBER	1700	30792	\N	\N	\N
559483	1903	1996-12-02	VYDAJ	VYBER	4100	30552	\N	\N	\N
559484	1903	1997-01-01	VYDAJ	VYBER	2800	28916	\N	\N	\N
559485	1903	1997-01-31	PRIJEM	VKLAD	2100	29089	\N	\N	\N
559486	1903	1997-03-02	VYDAJ	VYBER	900	30141	\N	\N	\N
559487	1903	1997-04-01	PRIJEM	VKLAD	1200	31539	\N	\N	\N
559488	1903	1997-05-01	PRIJEM	VKLAD	2400	35915	\N	\N	\N
559489	1903	1997-05-31	VYDAJ	VYBER	1200	36708	\N	\N	\N
559490	1903	1997-06-30	PRIJEM	VKLAD	2500	32153	\N	\N	\N
559491	1903	1997-07-30	PRIJEM	VKLAD	100	34230	\N	\N	\N
559492	1903	1997-08-29	PRIJEM	VKLAD	100	36311	\N	\N	\N
559493	1903	1997-09-28	VYDAJ	VYBER	700	37600	\N	\N	\N
559494	1903	1997-10-28	VYDAJ	VYBER	3100	35508	\N	\N	\N
559495	1903	1997-11-27	VYDAJ	VYBER	100	37405	\N	\N	\N
559496	1903	1997-12-27	PRIJEM	VKLAD	4000	42530	\N	\N	\N
559497	1903	1998-01-26	VYDAJ	VYBER	900	39674	\N	\N	\N
559498	1903	1998-02-25	PRIJEM	VKLAD	400	40643	\N	\N	\N
559499	1903	1998-03-27	PRIJEM	VKLAD	2100	42829	\N	\N	\N
559500	1903	1998-04-26	VYDAJ	VYBER	1300	43540	\N	\N	\N
559501	1903	1998-05-26	VYDAJ	VYBER	1900	43664	\N	\N	\N
559502	1903	1998-06-25	VYDAJ	VYBER	100	42890	\N	\N	\N
559503	1903	1998-07-25	PRIJEM	VKLAD	200	45109	\N	\N	\N
559504	1903	1998-08-24	PRIJEM	VKLAD	2200	49334	\N	\N	\N
559505	1903	1998-09-23	PRIJEM	VKLAD	3700	54531	\N	\N	\N
559506	1903	1998-10-23	VYDAJ	VYBER KARTOU	1100	55485	\N	\N	0
559507	1903	1998-11-22	PRIJEM	VKLAD	3400	60957	\N	\N	\N
559538	1904	1996-05-18	PRIJEM	VKLAD	500	500	\N	\N	\N
559544	1904	1996-06-09	PRIJEM	VKLAD	13130	13630	\N	\N	\N
559545	1904	1996-07-09	PRIJEM	VKLAD	8753	28020	\N	\N	\N
559546	1904	1996-08-09	PRIJEM	VKLAD	8753	35168	\N	\N	\N
559547	1904	1996-09-09	PRIJEM	VKLAD	8753	35732	\N	\N	\N
559548	1904	1996-10-09	PRIJEM	VKLAD	8753	40507	\N	\N	\N
559549	1904	1996-11-09	PRIJEM	VKLAD	8753	32019	\N	\N	\N
559550	1904	1996-12-09	PRIJEM	VKLAD	13130	31309	\N	\N	\N
559551	1904	1997-01-09	PRIJEM	VKLAD	8753	29622	\N	\N	\N
559552	1904	1997-02-09	PRIJEM	VKLAD	8753	26512	\N	\N	\N
559553	1904	1997-03-09	PRIJEM	VKLAD	8753	24106	\N	\N	\N
559554	1904	1997-04-09	PRIJEM	VKLAD	8753	17649	\N	\N	\N
559555	1904	1997-05-09	PRIJEM	VKLAD	8753	25533	\N	\N	\N
559556	1904	1997-06-09	PRIJEM	VKLAD	13130	31834	\N	\N	\N
559557	1904	1997-07-09	PRIJEM	VKLAD	8753	29345	\N	\N	\N
559558	1904	1997-08-09	PRIJEM	VKLAD	8753	29859	\N	\N	\N
559559	1904	1997-09-09	PRIJEM	VKLAD	8753	33183	\N	\N	\N
559560	1904	1997-10-09	PRIJEM	VKLAD	8753	33913	\N	\N	\N
559561	1904	1997-11-09	PRIJEM	VKLAD	8753	33320	\N	\N	\N
559562	1904	1997-12-09	PRIJEM	VKLAD	13130	40733	\N	\N	\N
559563	1904	1998-01-09	PRIJEM	VKLAD	8753	44396	\N	\N	\N
559564	1904	1998-02-09	PRIJEM	VKLAD	8753	39072	\N	\N	\N
559565	1904	1998-03-09	PRIJEM	VKLAD	8753	39246	\N	\N	\N
559566	1904	1998-04-09	PRIJEM	VKLAD	8753	41708	\N	\N	\N
559567	1904	1998-05-09	PRIJEM	VKLAD	8753	43979	\N	\N	\N
559568	1904	1998-06-09	PRIJEM	VKLAD	13130	39459	\N	\N	\N
559569	1904	1998-07-09	PRIJEM	VKLAD	8753	38628	\N	\N	\N
559570	1904	1998-08-09	PRIJEM	VKLAD	8753	40870	\N	\N	\N
559571	1904	1998-09-09	PRIJEM	VKLAD	8753	39213	\N	\N	\N
559572	1904	1998-10-09	PRIJEM	VKLAD	8753	40874	\N	\N	\N
559573	1904	1998-11-09	PRIJEM	VKLAD	8753	38243	\N	\N	\N
559574	1904	1998-12-09	PRIJEM	VKLAD	13130	41471	\N	\N	\N
559585	1904	1996-11-05	VYDAJ	PREVOD NA UCET	2991	26110	SIPO	WX	72036003
559586	1904	1996-12-05	VYDAJ	PREVOD NA UCET	2991	21023	SIPO	WX	72036003
559587	1904	1997-01-05	VYDAJ	PREVOD NA UCET	2991	23713	SIPO	WX	72036003
559588	1904	1997-02-05	VYDAJ	PREVOD NA UCET	2991	20603	SIPO	WX	72036003
559589	1904	1997-03-05	VYDAJ	PREVOD NA UCET	2991	18197	SIPO	WX	72036003
559590	1904	1997-04-05	VYDAJ	PREVOD NA UCET	2991	11740	SIPO	WX	72036003
559591	1904	1997-05-05	VYDAJ	PREVOD NA UCET	2991	19624	SIPO	WX	72036003
559592	1904	1997-06-05	VYDAJ	PREVOD NA UCET	2991	21548	SIPO	WX	72036003
559593	1904	1997-07-05	VYDAJ	PREVOD NA UCET	2991	23436	SIPO	WX	72036003
559594	1904	1997-08-05	VYDAJ	PREVOD NA UCET	2991	23950	SIPO	WX	72036003
559595	1904	1997-09-05	VYDAJ	PREVOD NA UCET	2991	27274	SIPO	WX	72036003
559596	1904	1997-10-05	VYDAJ	PREVOD NA UCET	2991	28004	SIPO	WX	72036003
559597	1904	1997-11-05	VYDAJ	PREVOD NA UCET	2991	26611	SIPO	WX	72036003
559598	1904	1997-12-05	VYDAJ	PREVOD NA UCET	2991	30447	SIPO	WX	72036003
559599	1904	1998-01-05	VYDAJ	PREVOD NA UCET	2991	37387	SIPO	WX	72036003
559600	1904	1998-02-05	VYDAJ	PREVOD NA UCET	2991	27963	SIPO	WX	72036003
559601	1904	1998-03-05	VYDAJ	PREVOD NA UCET	2991	33337	SIPO	WX	72036003
559602	1904	1998-04-05	VYDAJ	PREVOD NA UCET	2991	35799	SIPO	WX	72036003
559603	1904	1998-05-05	VYDAJ	PREVOD NA UCET	2991	38870	SIPO	WX	72036003
559604	1904	1998-06-05	VYDAJ	PREVOD NA UCET	2991	41153	SIPO	WX	72036003
559605	1904	1998-07-05	VYDAJ	PREVOD NA UCET	2991	36619	SIPO	WX	72036003
559606	1904	1998-08-05	VYDAJ	PREVOD NA UCET	2991	35061	SIPO	WX	72036003
559607	1904	1998-09-05	VYDAJ	PREVOD NA UCET	2991	33304	SIPO	WX	72036003
559608	1904	1998-10-05	VYDAJ	PREVOD NA UCET	2991	34965	SIPO	WX	72036003
559609	1904	1998-11-05	VYDAJ	PREVOD NA UCET	2991	32334	SIPO	WX	72036003
559610	1904	1998-12-05	VYDAJ	PREVOD NA UCET	2991	31185	SIPO	WX	72036003
559621	1904	1996-11-06	VYDAJ	PREVOD NA UCET	587	25523	 	KL	63970231
559622	1904	1996-12-06	VYDAJ	PREVOD NA UCET	587	20436	 	KL	63970231
559623	1904	1997-01-06	VYDAJ	PREVOD NA UCET	587	23126	 	KL	63970231
559624	1904	1997-02-06	VYDAJ	PREVOD NA UCET	587	20016	 	KL	63970231
559625	1904	1997-03-06	VYDAJ	PREVOD NA UCET	587	17610	 	KL	63970231
559626	1904	1997-04-06	VYDAJ	PREVOD NA UCET	587	11153	 	KL	63970231
559627	1904	1997-05-06	VYDAJ	PREVOD NA UCET	587	19037	 	KL	63970231
559628	1904	1997-06-06	VYDAJ	PREVOD NA UCET	587	20961	 	KL	63970231
559629	1904	1997-07-06	VYDAJ	PREVOD NA UCET	587	22849	 	KL	63970231
559630	1904	1997-08-06	VYDAJ	PREVOD NA UCET	587	23363	 	KL	63970231
559631	1904	1997-09-06	VYDAJ	PREVOD NA UCET	587	26687	 	KL	63970231
559632	1904	1997-10-06	VYDAJ	PREVOD NA UCET	587	27417	 	KL	63970231
559633	1904	1997-11-06	VYDAJ	PREVOD NA UCET	587	26024	 	KL	63970231
559634	1904	1997-12-06	VYDAJ	PREVOD NA UCET	587	29860	 	KL	63970231
559635	1904	1998-01-06	VYDAJ	PREVOD NA UCET	587	36800	 	KL	63970231
559636	1904	1998-02-06	VYDAJ	PREVOD NA UCET	587	27376	 	KL	63970231
559637	1904	1998-03-06	VYDAJ	PREVOD NA UCET	587	32750	 	KL	63970231
559638	1904	1998-04-06	VYDAJ	PREVOD NA UCET	587	35212	 	KL	63970231
559639	1904	1998-05-06	VYDAJ	PREVOD NA UCET	587	38283	 	KL	63970231
559640	1904	1998-06-06	VYDAJ	PREVOD NA UCET	587	40566	 	KL	63970231
559641	1904	1998-07-06	VYDAJ	PREVOD NA UCET	587	36032	 	KL	63970231
559642	1904	1998-08-06	VYDAJ	PREVOD NA UCET	587	34474	 	KL	63970231
559643	1904	1998-09-06	VYDAJ	PREVOD NA UCET	587	32717	 	KL	63970231
559644	1904	1998-10-06	VYDAJ	PREVOD NA UCET	587	34378	 	KL	63970231
559645	1904	1998-11-06	VYDAJ	PREVOD NA UCET	587	31747	 	KL	63970231
559646	1904	1998-12-06	VYDAJ	PREVOD NA UCET	587	30598	 	KL	63970231
559657	1904	1996-11-08	VYDAJ	PREVOD NA UCET	2257	23266	POJISTNE	OP	62933331
559658	1904	1996-12-08	VYDAJ	PREVOD NA UCET	2257	18179	POJISTNE	OP	62933331
559659	1904	1997-01-08	VYDAJ	PREVOD NA UCET	2257	20869	POJISTNE	OP	62933331
559660	1904	1997-02-08	VYDAJ	PREVOD NA UCET	2257	17759	POJISTNE	OP	62933331
559661	1904	1997-03-08	VYDAJ	PREVOD NA UCET	2257	15353	POJISTNE	OP	62933331
559662	1904	1997-04-08	VYDAJ	PREVOD NA UCET	2257	8896	POJISTNE	OP	62933331
559663	1904	1997-05-08	VYDAJ	PREVOD NA UCET	2257	16780	POJISTNE	OP	62933331
559664	1904	1997-06-08	VYDAJ	PREVOD NA UCET	2257	18704	POJISTNE	OP	62933331
559665	1904	1997-07-08	VYDAJ	PREVOD NA UCET	2257	20592	POJISTNE	OP	62933331
559666	1904	1997-08-08	VYDAJ	PREVOD NA UCET	2257	21106	POJISTNE	OP	62933331
559667	1904	1997-09-08	VYDAJ	PREVOD NA UCET	2257	24430	POJISTNE	OP	62933331
559668	1904	1997-10-08	VYDAJ	PREVOD NA UCET	2257	25160	POJISTNE	OP	62933331
559669	1904	1997-11-08	VYDAJ	PREVOD NA UCET	2257	23767	POJISTNE	OP	62933331
559670	1904	1997-12-08	VYDAJ	PREVOD NA UCET	2257	27603	POJISTNE	OP	62933331
559671	1904	1998-01-08	VYDAJ	PREVOD NA UCET	2257	35643	POJISTNE	OP	62933331
559672	1904	1998-02-08	VYDAJ	PREVOD NA UCET	2257	30319	POJISTNE	OP	62933331
559673	1904	1998-03-08	VYDAJ	PREVOD NA UCET	2257	30493	POJISTNE	OP	62933331
559674	1904	1998-04-08	VYDAJ	PREVOD NA UCET	2257	32955	POJISTNE	OP	62933331
559675	1904	1998-05-08	VYDAJ	PREVOD NA UCET	2257	36026	POJISTNE	OP	62933331
559676	1904	1998-06-08	VYDAJ	PREVOD NA UCET	2257	33209	POJISTNE	OP	62933331
559677	1904	1998-07-08	VYDAJ	PREVOD NA UCET	2257	29875	POJISTNE	OP	62933331
559678	1904	1998-08-08	VYDAJ	PREVOD NA UCET	2257	32117	POJISTNE	OP	62933331
559679	1904	1998-09-08	VYDAJ	PREVOD NA UCET	2257	30460	POJISTNE	OP	62933331
559680	1904	1998-10-08	VYDAJ	PREVOD NA UCET	2257	32121	POJISTNE	OP	62933331
559681	1904	1998-11-08	VYDAJ	PREVOD NA UCET	2257	29490	POJISTNE	OP	62933331
559682	1904	1998-12-08	VYDAJ	PREVOD NA UCET	2257	28341	POJISTNE	OP	62933331
559721	1904	1998-06-08	VYDAJ	VYBER	6880	26329	\N	\N	\N
559723	1904	1997-01-22	VYDAJ	VYBER	2720	23502	\N	\N	\N
559724	1904	1998-01-28	VYDAJ	VYBER	13600	30796	\N	\N	\N
559725	1904	1996-11-16	VYDAJ	VYBER	3000	23919	\N	\N	\N
559728	1904	1996-10-22	VYDAJ	VYBER	2520	28987	\N	\N	\N
559730	1904	1997-03-23	VYDAJ	VYBER	5040	14666	\N	\N	\N
559731	1904	1997-10-11	VYDAJ	VYBER	5520	29493	\N	\N	\N
559732	1904	1997-05-28	VYDAJ	VYBER	1080	24453	\N	\N	\N
559733	1904	1998-11-20	VYDAJ	VYBER	5400	32843	\N	\N	\N
559734	1904	1998-02-26	VYDAJ	VYBER	2880	36192	\N	\N	\N
559735	1904	1998-08-24	VYDAJ	VYBER	4320	36550	\N	\N	\N
559736	1904	1998-07-09	VYDAJ	VYBER	720	37908	\N	\N	\N
559747	1904	1996-10-31	VYDAJ	VYBER	15	29101	SLUZBY	\N	\N
559748	1904	1996-11-30	VYDAJ	VYBER	15	24014	SLUZBY	\N	\N
559749	1904	1996-12-31	VYDAJ	VYBER	15	26704	SLUZBY	\N	\N
559750	1904	1997-01-31	VYDAJ	VYBER	15	23594	SLUZBY	\N	\N
559751	1904	1997-02-28	VYDAJ	VYBER	15	21188	SLUZBY	\N	\N
559752	1904	1997-03-31	VYDAJ	VYBER	15	14731	SLUZBY	\N	\N
559753	1904	1997-04-30	VYDAJ	VYBER	15	22615	SLUZBY	\N	\N
559754	1904	1997-05-31	VYDAJ	VYBER	15	24539	SLUZBY	\N	\N
559755	1904	1997-06-30	VYDAJ	VYBER	15	26427	SLUZBY	\N	\N
559756	1904	1997-07-31	VYDAJ	VYBER	15	26941	SLUZBY	\N	\N
559757	1904	1997-08-31	VYDAJ	VYBER	15	30265	SLUZBY	\N	\N
559758	1904	1997-09-30	VYDAJ	VYBER	15	30995	SLUZBY	\N	\N
559759	1904	1997-10-31	VYDAJ	VYBER	15	29602	SLUZBY	\N	\N
559760	1904	1997-11-30	VYDAJ	VYBER	15	33438	SLUZBY	\N	\N
559761	1904	1997-12-31	VYDAJ	VYBER	15	40378	SLUZBY	\N	\N
559762	1904	1998-01-31	VYDAJ	VYBER	15	30954	SLUZBY	\N	\N
559763	1904	1998-02-28	VYDAJ	VYBER	15	36328	SLUZBY	\N	\N
559764	1904	1998-03-31	VYDAJ	VYBER	15	38790	SLUZBY	\N	\N
559765	1904	1998-04-30	VYDAJ	VYBER	15	41861	SLUZBY	\N	\N
559766	1904	1998-05-31	VYDAJ	VYBER	15	44144	SLUZBY	\N	\N
559767	1904	1998-06-30	VYDAJ	VYBER	15	39610	SLUZBY	\N	\N
559768	1904	1998-07-31	VYDAJ	VYBER	15	38052	SLUZBY	\N	\N
559769	1904	1998-08-31	VYDAJ	VYBER	15	36695	SLUZBY	\N	\N
559770	1904	1998-09-30	VYDAJ	VYBER	15	39356	SLUZBY	\N	\N
559771	1904	1998-10-31	VYDAJ	VYBER	15	41025	SLUZBY	\N	\N
559772	1904	1998-11-30	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
559773	1904	1996-06-17	PRIJEM	VKLAD	5600	19230	\N	\N	\N
559774	1904	1996-07-17	VYDAJ	VYBER	1700	26320	\N	\N	\N
559775	1904	1996-08-16	VYDAJ	VYBER	8300	26868	\N	\N	\N
559776	1904	1996-09-15	VYDAJ	VYBER	4100	31632	\N	\N	\N
559777	1904	1996-10-15	VYDAJ	VYBER	9000	31507	\N	\N	\N
559778	1904	1996-11-14	VYDAJ	VYBER	5100	26919	\N	\N	\N
559779	1904	1996-12-14	VYDAJ	VYBER	4700	26609	\N	\N	\N
559780	1904	1997-01-13	VYDAJ	VYBER	3400	26222	\N	\N	\N
559781	1904	1997-02-12	VYDAJ	VYBER	5400	21112	\N	\N	\N
559782	1904	1997-03-14	VYDAJ	VYBER	4400	19706	\N	\N	\N
559783	1904	1997-04-13	PRIJEM	VKLAD	4900	22549	\N	\N	\N
559784	1904	1997-06-12	VYDAJ	VYBER	5500	26334	\N	\N	\N
559785	1904	1997-07-12	VYDAJ	VYBER	2500	26845	\N	\N	\N
559786	1904	1997-08-11	PRIJEM	VKLAD	300	30159	\N	\N	\N
559787	1904	1997-09-10	VYDAJ	VYBER	2300	30883	\N	\N	\N
559788	1904	1997-10-10	PRIJEM	VKLAD	1100	35013	\N	\N	\N
559789	1904	1997-11-09	PRIJEM	VKLAD	800	24567	\N	\N	\N
559790	1904	1997-12-09	VYDAJ	VYBER	500	40233	\N	\N	\N
559791	1904	1998-01-08	PRIJEM	VKLAD	1100	37900	\N	\N	\N
559792	1904	1998-02-07	PRIJEM	VKLAD	5200	32576	\N	\N	\N
559793	1904	1998-03-09	VYDAJ	VYBER	600	38646	\N	\N	\N
559794	1904	1998-05-08	VYDAJ	VYBER	800	35226	\N	\N	\N
559795	1904	1998-06-07	VYDAJ	VYBER	5100	35466	\N	\N	\N
559796	1904	1998-07-07	VYDAJ	VYBER	3900	32132	\N	\N	\N
559797	1904	1998-08-06	VYDAJ	VYBER	100	34374	\N	\N	\N
559798	1904	1998-09-05	VYDAJ	VYBER	400	36295	\N	\N	\N
559799	1904	1998-10-05	VYDAJ	VYBER	1400	37956	\N	\N	\N
559800	1904	1998-11-04	VYDAJ	VYBER	5700	35325	\N	\N	\N
559801	1904	1998-12-04	PRIJEM	VKLAD	1200	34176	\N	\N	\N
559833	1905	1996-05-25	PRIJEM	VKLAD	400	400	\N	\N	\N
559839	1905	1996-06-09	PRIJEM	VKLAD	22682	23082	\N	\N	\N
559840	1905	1996-07-09	PRIJEM	VKLAD	15121	40127	\N	\N	\N
559841	1905	1996-08-09	PRIJEM	VKLAD	15121	47660	\N	\N	\N
559842	1905	1996-09-09	PRIJEM	VKLAD	15121	55626	\N	\N	\N
559843	1905	1996-10-09	PRIJEM	VKLAD	15121	59419	\N	\N	\N
559844	1905	1996-11-09	PRIJEM	VKLAD	15121	53316	\N	\N	\N
559845	1905	1996-12-09	PRIJEM	VKLAD	22682	57675	\N	\N	\N
559846	1905	1997-01-09	PRIJEM	VKLAD	15121	45574	\N	\N	\N
559847	1905	1997-02-09	PRIJEM	VKLAD	15121	34199	\N	\N	\N
559848	1905	1997-03-09	PRIJEM	VKLAD	15121	38168	\N	\N	\N
559849	1905	1997-04-09	PRIJEM	VKLAD	15121	40611	\N	\N	\N
559850	1905	1997-05-09	PRIJEM	VKLAD	15121	41787	\N	\N	\N
559851	1905	1997-06-09	PRIJEM	VKLAD	22682	57615	\N	\N	\N
559852	1905	1997-07-09	PRIJEM	VKLAD	15121	53418	\N	\N	\N
559853	1905	1997-08-09	PRIJEM	VKLAD	15121	53418	\N	\N	\N
559854	1905	1997-09-09	PRIJEM	VKLAD	15121	51213	\N	\N	\N
559855	1905	1997-10-09	PRIJEM	VKLAD	15121	48997	\N	\N	\N
559856	1905	1997-11-09	PRIJEM	VKLAD	15121	42405	\N	\N	\N
559857	1905	1997-12-09	PRIJEM	VKLAD	22682	45255	\N	\N	\N
559858	1905	1998-01-09	PRIJEM	VKLAD	15121	32795	\N	\N	\N
559859	1905	1998-02-09	PRIJEM	VKLAD	15121	25505	\N	\N	\N
559860	1905	1998-03-09	PRIJEM	VKLAD	15121	31898	\N	\N	\N
559861	1905	1998-04-09	PRIJEM	VKLAD	15121	29529	\N	\N	\N
559862	1905	1998-05-09	PRIJEM	VKLAD	15121	32531	\N	\N	\N
559863	1905	1998-06-09	PRIJEM	VKLAD	22682	41303	\N	\N	\N
559864	1905	1998-07-09	PRIJEM	VKLAD	15121	39334	\N	\N	\N
559865	1905	1998-08-09	PRIJEM	VKLAD	15121	30836	\N	\N	\N
559866	1905	1998-09-09	PRIJEM	VKLAD	15121	32238	\N	\N	\N
559867	1905	1998-10-09	PRIJEM	VKLAD	15121	29234	\N	\N	\N
559868	1905	1998-11-09	PRIJEM	VKLAD	15121	27270	\N	\N	\N
559869	1905	1998-12-09	PRIJEM	VKLAD	22682	34411	\N	\N	\N
559880	1905	1996-11-05	VYDAJ	PREVOD NA UCET	3506	41492	SIPO	AB	28957480
559881	1905	1996-12-05	VYDAJ	PREVOD NA UCET	3506	38290	SIPO	AB	28957480
559882	1905	1997-01-05	VYDAJ	PREVOD NA UCET	3506	36990	SIPO	AB	28957480
559883	1905	1997-02-05	VYDAJ	PREVOD NA UCET	3506	22375	SIPO	AB	28957480
559884	1905	1997-03-05	VYDAJ	PREVOD NA UCET	3506	26344	SIPO	AB	28957480
559885	1905	1997-04-05	VYDAJ	PREVOD NA UCET	3506	28787	SIPO	AB	28957480
559886	1905	1997-05-05	VYDAJ	PREVOD NA UCET	3506	29963	SIPO	AB	28957480
559887	1905	1997-06-05	VYDAJ	PREVOD NA UCET	3506	38231	SIPO	AB	28957480
559888	1905	1997-07-05	VYDAJ	PREVOD NA UCET	3506	41594	SIPO	AB	28957480
559889	1905	1997-08-05	VYDAJ	PREVOD NA UCET	3506	41594	SIPO	AB	28957480
559890	1905	1997-09-05	VYDAJ	PREVOD NA UCET	3506	39389	SIPO	AB	28957480
559891	1905	1997-10-05	VYDAJ	PREVOD NA UCET	3506	37173	SIPO	AB	28957480
559892	1905	1997-11-05	VYDAJ	PREVOD NA UCET	3506	30581	SIPO	AB	28957480
559893	1905	1997-12-05	VYDAJ	PREVOD NA UCET	3506	25870	SIPO	AB	28957480
559894	1905	1998-01-05	VYDAJ	PREVOD NA UCET	3506	26131	SIPO	AB	28957480
559895	1905	1998-02-05	VYDAJ	PREVOD NA UCET	3506	13681	SIPO	AB	28957480
559896	1905	1998-03-05	VYDAJ	PREVOD NA UCET	3506	20074	SIPO	AB	28957480
559897	1905	1998-04-05	VYDAJ	PREVOD NA UCET	3506	17705	SIPO	AB	28957480
559898	1905	1998-05-05	VYDAJ	PREVOD NA UCET	3506	20707	SIPO	AB	28957480
559899	1905	1998-06-05	VYDAJ	PREVOD NA UCET	3506	21918	SIPO	AB	28957480
559900	1905	1998-07-05	VYDAJ	PREVOD NA UCET	3506	27510	SIPO	AB	28957480
559901	1905	1998-08-05	VYDAJ	PREVOD NA UCET	3506	19012	SIPO	AB	28957480
559902	1905	1998-09-05	VYDAJ	PREVOD NA UCET	3506	20414	SIPO	AB	28957480
559903	1905	1998-10-05	VYDAJ	PREVOD NA UCET	3506	17410	SIPO	AB	28957480
559904	1905	1998-11-05	VYDAJ	PREVOD NA UCET	3506	15446	SIPO	AB	28957480
559905	1905	1998-12-05	VYDAJ	PREVOD NA UCET	3506	15026	SIPO	AB	28957480
559916	1905	1996-11-07	VYDAJ	PREVOD NA UCET	3225	38267	 	WX	17456478
559917	1905	1996-12-07	VYDAJ	PREVOD NA UCET	3225	35065	 	WX	17456478
559918	1905	1997-01-07	VYDAJ	PREVOD NA UCET	3225	33765	 	WX	17456478
559919	1905	1997-02-07	VYDAJ	PREVOD NA UCET	3225	19150	 	WX	17456478
559920	1905	1997-03-07	VYDAJ	PREVOD NA UCET	3225	23119	 	WX	17456478
559921	1905	1997-04-07	VYDAJ	PREVOD NA UCET	3225	25562	 	WX	17456478
559922	1905	1997-05-07	VYDAJ	PREVOD NA UCET	3225	26738	 	WX	17456478
559923	1905	1997-06-07	VYDAJ	PREVOD NA UCET	3225	35006	 	WX	17456478
559924	1905	1997-07-07	VYDAJ	PREVOD NA UCET	3225	38369	 	WX	17456478
559925	1905	1997-08-07	VYDAJ	PREVOD NA UCET	3225	38369	 	WX	17456478
559926	1905	1997-09-07	VYDAJ	PREVOD NA UCET	3225	36164	 	WX	17456478
559927	1905	1997-10-07	VYDAJ	PREVOD NA UCET	3225	33948	 	WX	17456478
559928	1905	1997-11-07	VYDAJ	PREVOD NA UCET	3225	27356	 	WX	17456478
559929	1905	1997-12-07	VYDAJ	PREVOD NA UCET	3225	22645	 	WX	17456478
559930	1905	1998-01-07	VYDAJ	PREVOD NA UCET	3225	17746	 	WX	17456478
559931	1905	1998-02-07	VYDAJ	PREVOD NA UCET	3225	10456	 	WX	17456478
559932	1905	1998-03-07	VYDAJ	PREVOD NA UCET	3225	16849	 	WX	17456478
559933	1905	1998-04-07	VYDAJ	PREVOD NA UCET	3225	14480	 	WX	17456478
559934	1905	1998-05-07	VYDAJ	PREVOD NA UCET	3225	17482	 	WX	17456478
559935	1905	1998-06-07	VYDAJ	PREVOD NA UCET	3225	18693	 	WX	17456478
559936	1905	1998-07-07	VYDAJ	PREVOD NA UCET	3225	24285	 	WX	17456478
559937	1905	1998-08-07	VYDAJ	PREVOD NA UCET	3225	15787	 	WX	17456478
559938	1905	1998-09-07	VYDAJ	PREVOD NA UCET	3225	17189	 	WX	17456478
559939	1905	1998-10-07	VYDAJ	PREVOD NA UCET	3225	14185	 	WX	17456478
559940	1905	1998-11-07	VYDAJ	PREVOD NA UCET	3225	12221	 	WX	17456478
559941	1905	1998-12-07	VYDAJ	PREVOD NA UCET	3225	11801	 	WX	17456478
559952	1905	1996-11-08	VYDAJ	PREVOD NA UCET	72	38195	POJISTNE	KL	23034429
559953	1905	1996-12-08	VYDAJ	PREVOD NA UCET	72	34993	POJISTNE	KL	23034429
559954	1905	1997-01-08	VYDAJ	PREVOD NA UCET	72	30453	POJISTNE	KL	23034429
559955	1905	1997-02-08	VYDAJ	PREVOD NA UCET	72	19078	POJISTNE	KL	23034429
559956	1905	1997-03-08	VYDAJ	PREVOD NA UCET	72	23047	POJISTNE	KL	23034429
559957	1905	1997-04-08	VYDAJ	PREVOD NA UCET	72	25490	POJISTNE	KL	23034429
559958	1905	1997-05-08	VYDAJ	PREVOD NA UCET	72	26666	POJISTNE	KL	23034429
559959	1905	1997-06-08	VYDAJ	PREVOD NA UCET	72	34934	POJISTNE	KL	23034429
559960	1905	1997-07-08	VYDAJ	PREVOD NA UCET	72	38297	POJISTNE	KL	23034429
559961	1905	1997-08-08	VYDAJ	PREVOD NA UCET	72	38297	POJISTNE	KL	23034429
559962	1905	1997-09-08	VYDAJ	PREVOD NA UCET	72	36092	POJISTNE	KL	23034429
559963	1905	1997-10-08	VYDAJ	PREVOD NA UCET	72	33876	POJISTNE	KL	23034429
559964	1905	1997-11-08	VYDAJ	PREVOD NA UCET	72	27284	POJISTNE	KL	23034429
559965	1905	1997-12-08	VYDAJ	PREVOD NA UCET	72	22573	POJISTNE	KL	23034429
559966	1905	1998-01-08	VYDAJ	PREVOD NA UCET	72	17674	POJISTNE	KL	23034429
559967	1905	1998-02-08	VYDAJ	PREVOD NA UCET	72	10384	POJISTNE	KL	23034429
559968	1905	1998-03-08	VYDAJ	PREVOD NA UCET	72	16777	POJISTNE	KL	23034429
559969	1905	1998-04-08	VYDAJ	PREVOD NA UCET	72	14408	POJISTNE	KL	23034429
559970	1905	1998-05-08	VYDAJ	PREVOD NA UCET	72	17410	POJISTNE	KL	23034429
559971	1905	1998-06-08	VYDAJ	PREVOD NA UCET	72	18621	POJISTNE	KL	23034429
559972	1905	1998-07-08	VYDAJ	PREVOD NA UCET	72	24213	POJISTNE	KL	23034429
559973	1905	1998-08-08	VYDAJ	PREVOD NA UCET	72	15715	POJISTNE	KL	23034429
559974	1905	1998-09-08	VYDAJ	PREVOD NA UCET	72	17117	POJISTNE	KL	23034429
559975	1905	1998-10-08	VYDAJ	PREVOD NA UCET	72	14113	POJISTNE	KL	23034429
559976	1905	1998-11-08	VYDAJ	PREVOD NA UCET	72	12149	POJISTNE	KL	23034429
559977	1905	1998-12-08	VYDAJ	PREVOD NA UCET	72	11729	POJISTNE	KL	23034429
559981	1905	1996-12-11	VYDAJ	VYBER	1760	55915	\N	\N	\N
559982	1905	1997-12-17	VYDAJ	VYBER	4640	30115	\N	\N	\N
559983	1905	1998-12-13	VYDAJ	VYBER	4160	20251	\N	\N	\N
559990	1905	1997-01-14	VYDAJ	VYBER	3120	38494	\N	\N	\N
559991	1905	1997-01-25	VYDAJ	VYBER	3240	25754	\N	\N	\N
559992	1905	1997-01-09	VYDAJ	VYBER	2280	43294	\N	\N	\N
559993	1905	1997-01-16	VYDAJ	VYBER	3360	30694	\N	\N	\N
559994	1905	1997-01-09	VYDAJ	VYBER	1680	41614	\N	\N	\N
559995	1905	1997-01-08	VYDAJ	VYBER	3240	30525	\N	\N	\N
559996	1905	1998-01-06	VYDAJ	VYBER	2640	20971	\N	\N	\N
559997	1905	1998-01-25	VYDAJ	VYBER	3360	22735	\N	\N	\N
559998	1905	1998-01-03	VYDAJ	VYBER	600	29637	\N	\N	\N
559999	1905	1998-01-27	VYDAJ	VYBER	2400	20335	\N	\N	\N
560000	1905	1998-01-05	VYDAJ	VYBER	2520	23611	\N	\N	\N
560001	1905	1998-01-29	VYDAJ	VYBER	3240	17095	\N	\N	\N
560002	1905	1996-12-21	VYDAJ	VYBER	1800	40315	\N	\N	\N
560005	1905	1996-10-16	VYDAJ	VYBER	4800	54619	\N	\N	\N
560007	1905	1997-01-15	VYDAJ	VYBER	4440	34054	\N	\N	\N
560008	1905	1997-11-29	VYDAJ	VYBER	4560	29245	\N	\N	\N
560009	1905	1997-05-02	VYDAJ	VYBER	4080	33469	\N	\N	\N
560010	1905	1997-10-13	VYDAJ	VYBER	5640	43357	\N	\N	\N
560011	1905	1997-10-29	VYDAJ	VYBER	2520	33937	\N	\N	\N
560012	1905	1997-02-23	VYDAJ	VYBER	2160	29739	\N	\N	\N
560013	1905	1998-07-25	VYDAJ	VYBER	4920	22414	\N	\N	\N
560014	1905	1998-03-27	VYDAJ	VYBER	5880	21118	\N	\N	\N
560015	1905	1998-10-29	VYDAJ	VYBER	4560	18874	\N	\N	\N
560026	1905	1996-10-31	VYDAJ	VYBER	15	44998	SLUZBY	\N	\N
560027	1905	1996-11-30	VYDAJ	VYBER	15	41796	SLUZBY	\N	\N
560028	1905	1996-12-31	VYDAJ	VYBER	15	40496	SLUZBY	\N	\N
560029	1905	1997-01-31	VYDAJ	VYBER	15	25881	SLUZBY	\N	\N
560030	1905	1997-02-28	VYDAJ	VYBER	15	29850	SLUZBY	\N	\N
560031	1905	1997-03-31	VYDAJ	VYBER	15	32293	SLUZBY	\N	\N
560032	1905	1997-04-30	VYDAJ	VYBER	15	37549	SLUZBY	\N	\N
560033	1905	1997-05-31	VYDAJ	VYBER	15	41737	SLUZBY	\N	\N
560034	1905	1997-06-30	VYDAJ	VYBER	15	45100	SLUZBY	\N	\N
560035	1905	1997-07-31	VYDAJ	VYBER	15	45100	SLUZBY	\N	\N
560036	1905	1997-08-31	VYDAJ	VYBER	15	42895	SLUZBY	\N	\N
560037	1905	1997-09-30	VYDAJ	VYBER	15	40679	SLUZBY	\N	\N
560038	1905	1997-10-31	VYDAJ	VYBER	15	34087	SLUZBY	\N	\N
560039	1905	1997-11-30	VYDAJ	VYBER	15	29376	SLUZBY	\N	\N
560040	1905	1997-12-31	VYDAJ	VYBER	15	30237	SLUZBY	\N	\N
560041	1905	1998-01-31	VYDAJ	VYBER	15	17187	SLUZBY	\N	\N
560042	1905	1998-02-28	VYDAJ	VYBER	15	23580	SLUZBY	\N	\N
560043	1905	1998-03-31	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
560044	1905	1998-04-30	VYDAJ	VYBER	15	24213	SLUZBY	\N	\N
560045	1905	1998-05-31	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
560046	1905	1998-06-30	VYDAJ	VYBER	15	31016	SLUZBY	\N	\N
560047	1905	1998-07-31	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
560048	1905	1998-08-31	VYDAJ	VYBER	15	23920	SLUZBY	\N	\N
560049	1905	1998-09-30	VYDAJ	VYBER	15	20916	SLUZBY	\N	\N
560050	1905	1998-10-31	VYDAJ	VYBER	15	18952	SLUZBY	\N	\N
560051	1905	1998-11-30	VYDAJ	VYBER	15	18532	SLUZBY	\N	\N
560052	1905	1996-06-24	PRIJEM	VKLAD	1900	24982	\N	\N	\N
560053	1905	1996-07-24	VYDAJ	VYBER	7700	32427	\N	\N	\N
560054	1905	1996-08-23	VYDAJ	VYBER	7300	40360	\N	\N	\N
560055	1905	1996-09-22	VYDAJ	VYBER	11500	44126	\N	\N	\N
560056	1905	1996-10-22	VYDAJ	VYBER	9800	44819	\N	\N	\N
560057	1905	1996-11-21	VYDAJ	VYBER	11700	41616	\N	\N	\N
560058	1905	1996-12-21	VYDAJ	VYBER	13800	42115	\N	\N	\N
560059	1905	1997-01-20	VYDAJ	VYBER	1700	28994	\N	\N	\N
560060	1905	1997-02-19	VYDAJ	VYBER	2300	31899	\N	\N	\N
560061	1905	1997-03-21	VYDAJ	VYBER	6000	32168	\N	\N	\N
560062	1905	1997-04-20	VYDAJ	VYBER	3200	37411	\N	\N	\N
560063	1905	1997-05-20	VYDAJ	VYBER	200	41587	\N	\N	\N
560064	1905	1997-06-19	VYDAJ	VYBER	12700	44915	\N	\N	\N
560065	1905	1997-07-19	VYDAJ	VYBER	8500	44918	\N	\N	\N
560066	1905	1997-08-18	VYDAJ	VYBER	10700	42718	\N	\N	\N
560067	1905	1997-09-17	VYDAJ	VYBER	10700	40513	\N	\N	\N
560068	1905	1997-10-17	VYDAJ	VYBER	6900	36457	\N	\N	\N
560069	1905	1997-11-16	VYDAJ	VYBER	8600	33805	\N	\N	\N
560070	1905	1997-12-16	VYDAJ	VYBER	10500	34755	\N	\N	\N
560071	1905	1998-01-15	VYDAJ	VYBER	6700	26095	\N	\N	\N
560072	1905	1998-02-14	VYDAJ	VYBER	2000	23505	\N	\N	\N
560073	1905	1998-03-16	VYDAJ	VYBER	4900	26998	\N	\N	\N
560074	1905	1998-04-15	VYDAJ	VYBER	5400	24129	\N	\N	\N
560075	1905	1998-05-15	VYDAJ	VYBER	7200	25331	\N	\N	\N
560076	1905	1998-06-14	VYDAJ	VYBER	10400	30903	\N	\N	\N
560077	1905	1998-07-14	VYDAJ	VYBER	12000	27334	\N	\N	\N
560078	1905	1998-08-13	VYDAJ	VYBER	7000	23836	\N	\N	\N
560079	1905	1998-09-12	VYDAJ	VYBER	11400	20838	\N	\N	\N
560080	1905	1998-10-12	VYDAJ	VYBER	5800	23434	\N	\N	\N
560081	1905	1998-11-11	VYDAJ	VYBER	8800	18470	\N	\N	\N
560082	1905	1998-12-11	VYDAJ	VYBER	10000	24411	\N	\N	\N
560114	1906	1996-08-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
560116	1906	1996-08-16	PRIJEM	VKLAD	24582	66229	\N	\N	\N
560117	1906	1996-09-28	PRIJEM	VKLAD	22840	67670	\N	\N	\N
560119	1906	1996-12-05	PRIJEM	VKLAD	49785	81728	\N	\N	\N
560122	1906	1996-08-05	PRIJEM	VKLAD	40647	41647	\N	\N	\N
560124	1906	1997-08-20	PRIJEM	VKLAD	44991	102726	\N	\N	\N
560125	1906	1997-04-28	PRIJEM	VKLAD	47349	102710	\N	\N	\N
560126	1906	1997-07-26	PRIJEM	VKLAD	26346	90614	\N	\N	\N
560127	1906	1997-11-08	PRIJEM	VKLAD	19837	122225	\N	\N	\N
560128	1906	1997-09-07	PRIJEM	VKLAD	6395	69894	\N	\N	\N
560129	1906	1997-10-22	PRIJEM	VKLAD	44205	100796	\N	\N	\N
560130	1906	1997-05-27	PRIJEM	VKLAD	36062	127317	\N	\N	\N
560131	1906	1997-07-25	PRIJEM	VKLAD	44398	64268	\N	\N	\N
560132	1906	1997-10-17	PRIJEM	VKLAD	21473	63806	\N	\N	\N
560133	1906	1997-05-21	PRIJEM	VKLAD	36162	93355	\N	\N	\N
560134	1906	1997-11-06	PRIJEM	VKLAD	19967	102388	\N	\N	\N
560135	1906	1997-10-21	PRIJEM	VKLAD	46185	109991	\N	\N	\N
560136	1906	1997-12-27	PRIJEM	VKLAD	7366	47961	\N	\N	\N
560137	1906	1997-04-09	PRIJEM	VKLAD	42489	62874	\N	\N	\N
560138	1906	1997-11-04	PRIJEM	VKLAD	16490	82421	\N	\N	\N
560139	1906	1997-01-10	PRIJEM	VKLAD	11070	66794	\N	\N	\N
560140	1906	1998-11-10	PRIJEM	VKLAD	16317	54751	\N	\N	\N
560141	1906	1998-07-30	PRIJEM	VKLAD	16584	54536	\N	\N	\N
560142	1906	1998-08-11	PRIJEM	VKLAD	28930	77440	\N	\N	\N
560143	1906	1998-09-10	PRIJEM	VKLAD	27025	86918	\N	\N	\N
560144	1906	1998-12-26	PRIJEM	VKLAD	5228	38625	\N	\N	\N
560145	1906	1998-03-09	PRIJEM	VKLAD	14736	45342	\N	\N	\N
560146	1906	1998-04-24	PRIJEM	VKLAD	38884	79003	\N	\N	\N
560159	1906	1997-01-23	VYDAJ	VYBER	1700	48581	\N	\N	0
560160	1906	1997-01-26	VYDAJ	VYBER	1800	46781	\N	\N	0
560161	1906	1997-03-08	VYDAJ	VYBER	1600	20841	\N	\N	0
560162	1906	1997-04-06	VYDAJ	VYBER	2200	20385	\N	\N	0
560163	1906	1997-05-09	VYDAJ	VYBER	1400	64706	\N	\N	0
560164	1906	1997-06-15	VYDAJ	VYBER	1700	40403	\N	\N	0
560165	1906	1997-06-28	VYDAJ	VYBER	2000	34403	\N	\N	0
560166	1906	1997-08-23	VYDAJ	VYBER	2000	87826	\N	\N	0
560167	1906	1997-09-13	VYDAJ	VYBER	1800	60581	\N	\N	0
560168	1906	1997-10-12	VYDAJ	PREVOD NA UCET	1873	42491	UVER	OP	59762132
560169	1906	1997-11-12	VYDAJ	PREVOD NA UCET	1873	92097	UVER	OP	59762132
560170	1906	1997-12-12	VYDAJ	PREVOD NA UCET	1873	56753	UVER	OP	59762132
560171	1906	1998-01-12	VYDAJ	PREVOD NA UCET	1873	28153	UVER	OP	59762132
560172	1906	1998-02-12	VYDAJ	PREVOD NA UCET	1873	13092	UVER	OP	59762132
560173	1906	1998-03-12	VYDAJ	PREVOD NA UCET	1873	36114	UVER	OP	59762132
560174	1906	1998-04-12	VYDAJ	PREVOD NA UCET	1873	27077	UVER	OP	59762132
560175	1906	1998-05-12	VYDAJ	PREVOD NA UCET	1873	58843	UVER	OP	59762132
560176	1906	1998-06-12	VYDAJ	PREVOD NA UCET	1873	20572	UVER	OP	59762132
560177	1906	1998-07-12	VYDAJ	PREVOD NA UCET	1873	29210	UVER	OP	59762132
560178	1906	1998-08-12	VYDAJ	PREVOD NA UCET	1873	68212	UVER	OP	59762132
560179	1906	1998-09-12	VYDAJ	PREVOD NA UCET	1873	77690	UVER	OP	59762132
560180	1906	1998-10-12	VYDAJ	PREVOD NA UCET	1873	21949	UVER	OP	59762132
560181	1906	1998-11-12	VYDAJ	PREVOD NA UCET	1873	45523	UVER	OP	59762132
560182	1906	1998-12-12	VYDAJ	PREVOD NA UCET	1873	34577	UVER	OP	59762132
560195	1906	1997-01-11	VYDAJ	PREVOD NA UCET	7355	59439	SIPO	YZ	62735038
560196	1906	1997-02-11	VYDAJ	PREVOD NA UCET	7355	18224	SIPO	YZ	62735038
560197	1906	1997-03-11	VYDAJ	PREVOD NA UCET	7355	13486	SIPO	YZ	62735038
560198	1906	1997-04-11	VYDAJ	PREVOD NA UCET	7355	55519	SIPO	YZ	62735038
560199	1906	1997-05-11	VYDAJ	PREVOD NA UCET	7355	57351	SIPO	YZ	62735038
560200	1906	1997-06-11	VYDAJ	PREVOD NA UCET	7355	42261	SIPO	YZ	62735038
560201	1906	1997-07-11	VYDAJ	PREVOD NA UCET	7355	20028	SIPO	YZ	62735038
560202	1906	1997-08-11	VYDAJ	PREVOD NA UCET	7355	57893	SIPO	YZ	62735038
560203	1906	1997-09-11	VYDAJ	PREVOD NA UCET	7355	62539	SIPO	YZ	62735038
560204	1906	1997-10-11	VYDAJ	PREVOD NA UCET	7355	44363	SIPO	YZ	62735038
560205	1906	1997-11-11	VYDAJ	PREVOD NA UCET	7355	93970	SIPO	YZ	62735038
560206	1906	1997-12-11	VYDAJ	PREVOD NA UCET	7355	58626	SIPO	YZ	62735038
560207	1906	1998-01-11	VYDAJ	PREVOD NA UCET	7355	30026	SIPO	YZ	62735038
560208	1906	1998-02-11	VYDAJ	PREVOD NA UCET	7355	14964	SIPO	YZ	62735038
560209	1906	1998-03-11	VYDAJ	PREVOD NA UCET	7355	37987	SIPO	YZ	62735038
560210	1906	1998-04-11	VYDAJ	PREVOD NA UCET	7355	28950	SIPO	YZ	62735038
560211	1906	1998-05-11	VYDAJ	PREVOD NA UCET	7355	60716	SIPO	YZ	62735038
560212	1906	1998-06-11	VYDAJ	PREVOD NA UCET	7355	22445	SIPO	YZ	62735038
560213	1906	1998-07-11	VYDAJ	PREVOD NA UCET	7355	31082	SIPO	YZ	62735038
560214	1906	1998-08-11	VYDAJ	PREVOD NA UCET	7355	70085	SIPO	YZ	62735038
560215	1906	1998-09-11	VYDAJ	PREVOD NA UCET	7355	79563	SIPO	YZ	62735038
560216	1906	1998-10-11	VYDAJ	PREVOD NA UCET	7355	23821	SIPO	YZ	62735038
560217	1906	1998-11-11	VYDAJ	PREVOD NA UCET	7355	47396	SIPO	YZ	62735038
560218	1906	1998-12-11	VYDAJ	PREVOD NA UCET	7355	36449	SIPO	YZ	62735038
560231	1906	1997-01-13	VYDAJ	PREVOD NA UCET	158	59281	 	YZ	40499287
560232	1906	1997-02-13	VYDAJ	PREVOD NA UCET	158	18066	 	YZ	40499287
560233	1906	1997-03-13	VYDAJ	PREVOD NA UCET	158	13328	 	YZ	40499287
560234	1906	1997-04-13	VYDAJ	PREVOD NA UCET	158	55361	 	YZ	40499287
560235	1906	1997-05-13	VYDAJ	PREVOD NA UCET	158	57193	 	YZ	40499287
560236	1906	1997-06-13	VYDAJ	PREVOD NA UCET	158	42103	 	YZ	40499287
560237	1906	1997-07-13	VYDAJ	PREVOD NA UCET	158	19870	 	YZ	40499287
560238	1906	1997-08-13	VYDAJ	PREVOD NA UCET	158	57735	 	YZ	40499287
560239	1906	1997-09-13	VYDAJ	PREVOD NA UCET	158	62381	 	YZ	40499287
560240	1906	1997-10-13	VYDAJ	PREVOD NA UCET	158	42333	 	YZ	40499287
560241	1906	1997-11-13	VYDAJ	PREVOD NA UCET	158	91939	 	YZ	40499287
560242	1906	1997-12-13	VYDAJ	PREVOD NA UCET	158	56595	 	YZ	40499287
560243	1906	1998-01-13	VYDAJ	PREVOD NA UCET	158	27995	 	YZ	40499287
560244	1906	1998-02-13	VYDAJ	PREVOD NA UCET	158	12934	 	YZ	40499287
560245	1906	1998-03-13	VYDAJ	PREVOD NA UCET	158	35956	 	YZ	40499287
560246	1906	1998-04-13	VYDAJ	PREVOD NA UCET	158	26919	 	YZ	40499287
560247	1906	1998-05-13	VYDAJ	PREVOD NA UCET	158	58685	 	YZ	40499287
560248	1906	1998-06-13	VYDAJ	PREVOD NA UCET	158	20414	 	YZ	40499287
560249	1906	1998-07-13	VYDAJ	PREVOD NA UCET	158	29052	 	YZ	40499287
560250	1906	1998-08-13	VYDAJ	PREVOD NA UCET	158	68054	 	YZ	40499287
560251	1906	1998-09-13	VYDAJ	PREVOD NA UCET	158	77532	 	YZ	40499287
560252	1906	1998-10-13	VYDAJ	PREVOD NA UCET	158	21791	 	YZ	40499287
560253	1906	1998-11-13	VYDAJ	PREVOD NA UCET	158	29257	 	YZ	40499287
560254	1906	1998-12-13	VYDAJ	PREVOD NA UCET	158	34419	 	YZ	40499287
560257	1906	1997-06-01	VYBER	VYBER	11378	49616	\N	\N	\N
560258	1906	1997-12-10	VYBER	VYBER	3894	65981	\N	\N	\N
560259	1906	1998-11-13	VYBER	VYBER	13025	29415	\N	\N	\N
560263	1906	1998-05-15	VYBER	VYBER	16887	41798	\N	\N	\N
560265	1906	1998-04-01	VYBER	VYBER	3685	38405	\N	\N	\N
560266	1906	1998-11-13	VYBER	VYBER	3083	42440	\N	\N	\N
560267	1906	1998-08-07	VYBER	VYBER	6161	48510	\N	\N	\N
560268	1906	1998-12-18	VYBER	VYBER	6822	27597	\N	\N	\N
560269	1906	1998-09-25	VYBER	VYBER	10939	52393	\N	\N	\N
560271	1906	1998-10-06	VYBER	VYBER	21469	31176	\N	\N	\N
560274	1906	1997-12-29	VYDAJ	VYBER	2100	45861	\N	\N	\N
560275	1906	1998-12-25	VYDAJ	VYBER	6600	33397	\N	\N	\N
560282	1906	1997-01-15	VYDAJ	VYBER	3000	56281	\N	\N	\N
560283	1906	1997-01-30	VYDAJ	VYBER	6000	25381	\N	\N	\N
560284	1906	1997-01-28	VYDAJ	VYBER	5100	31381	\N	\N	\N
560286	1906	1997-01-28	VYDAJ	VYBER	4800	41981	\N	\N	\N
560287	1906	1997-01-20	VYDAJ	VYBER	6000	50281	\N	\N	\N
560289	1906	1998-01-06	VYDAJ	VYBER	1800	37381	\N	\N	\N
560290	1906	1998-01-29	VYDAJ	VYBER	8700	22195	\N	\N	\N
560291	1906	1998-01-04	VYDAJ	VYBER	3300	39181	\N	\N	\N
560292	1906	1998-01-29	VYDAJ	VYBER	7200	30895	\N	\N	\N
560293	1906	1998-01-04	VYDAJ	VYBER	3600	42481	\N	\N	\N
560297	1906	1997-07-06	VYDAJ	VYBER	7200	27383	\N	\N	\N
560298	1906	1997-08-23	VYDAJ	VYBER	12900	89826	\N	\N	\N
560299	1906	1997-05-28	VYDAJ	VYBER	5700	60717	\N	\N	\N
560300	1906	1997-05-22	VYDAJ	VYBER	2100	91255	\N	\N	\N
560301	1906	1997-10-31	VYDAJ	VYBER	1800	65946	\N	\N	\N
560302	1906	1997-12-21	VYDAJ	VYBER	13500	43095	\N	\N	\N
560304	1906	1998-04-30	VYDAJ	VYBER	11100	68071	\N	\N	\N
560305	1906	1998-05-19	VYDAJ	VYBER	6900	34898	\N	\N	\N
560306	1906	1998-04-09	VYDAJ	VYBER	2100	36305	\N	\N	\N
560308	1906	1998-06-05	VYDAJ	VYBER	13200	29800	\N	\N	\N
560322	1906	1997-01-31	VYDAJ	VYBER	15	25579	SLUZBY	\N	\N
560323	1906	1997-02-28	VYDAJ	VYBER	15	22441	SLUZBY	\N	\N
560324	1906	1997-03-31	VYDAJ	VYBER	15	22585	SLUZBY	\N	\N
560325	1906	1997-04-30	VYDAJ	VYBER	15	66106	SLUZBY	\N	\N
560326	1906	1997-05-31	VYDAJ	VYBER	15	60994	SLUZBY	\N	\N
560327	1906	1997-06-30	VYDAJ	VYBER	15	34583	SLUZBY	\N	\N
560328	1906	1997-07-31	VYDAJ	VYBER	15	65248	SLUZBY	\N	\N
560329	1906	1997-08-31	VYDAJ	VYBER	15	63499	SLUZBY	\N	\N
560330	1906	1997-09-30	VYDAJ	VYBER	15	51718	SLUZBY	\N	\N
560331	1906	1997-10-31	VYDAJ	VYBER	15	65931	SLUZBY	\N	\N
560332	1906	1997-11-30	VYDAJ	VYBER	15	69875	SLUZBY	\N	\N
560333	1906	1997-12-31	VYDAJ	VYBER	15	46081	SLUZBY	\N	\N
560334	1906	1998-01-31	VYDAJ	VYBER	15	22319	SLUZBY	\N	\N
560335	1906	1998-02-28	VYDAJ	VYBER	15	30606	SLUZBY	\N	\N
560336	1906	1998-03-31	VYDAJ	VYBER	15	42090	SLUZBY	\N	\N
560337	1906	1998-04-30	VYDAJ	VYBER	15	79171	SLUZBY	\N	\N
560338	1906	1998-05-31	VYDAJ	VYBER	15	43000	SLUZBY	\N	\N
560339	1906	1998-06-30	VYDAJ	VYBER	15	38437	SLUZBY	\N	\N
560340	1906	1998-07-31	VYDAJ	VYBER	15	54671	SLUZBY	\N	\N
560341	1906	1998-08-31	VYDAJ	VYBER	15	59893	SLUZBY	\N	\N
560342	1906	1998-09-30	VYDAJ	VYBER	15	52645	SLUZBY	\N	\N
560343	1906	1998-10-31	VYDAJ	VYBER	15	38434	SLUZBY	\N	\N
560344	1906	1998-11-30	VYDAJ	VYBER	15	43804	SLUZBY	\N	\N
560345	1906	1996-08-31	VYDAJ	VYBER	21600	44830	\N	\N	\N
560346	1906	1996-09-30	VYDAJ	VYBER	21600	46257	\N	\N	\N
560347	1906	1996-10-30	VYDAJ	VYBER	8600	37657	\N	\N	\N
560348	1906	1996-11-29	VYDAJ	VYBER	6100	31750	\N	\N	\N
560349	1906	1996-12-29	VYDAJ	VYBER	26200	55528	\N	\N	\N
560350	1906	1997-01-28	VYDAJ	VYBER	5500	36481	\N	\N	\N
560351	1906	1997-02-27	PRIJEM	VKLAD	4300	22366	\N	\N	\N
560352	1906	1997-03-29	PRIJEM	VKLAD	9200	22528	\N	\N	\N
560353	1906	1997-04-28	VYDAJ	VYBER	36800	65910	\N	\N	\N
560354	1906	1997-05-27	VYDAJ	VYBER	38800	88517	\N	\N	\N
560355	1906	1997-05-28	VYDAJ	VYBER	22100	66417	\N	\N	\N
560356	1906	1997-06-27	VYDAJ	VYBER	4000	36403	\N	\N	\N
560357	1906	1997-07-27	VYDAJ	VYBER	25500	65114	\N	\N	\N
560358	1906	1997-08-26	VYDAJ	VYBER	24600	63226	\N	\N	\N
560359	1906	1997-09-25	VYDAJ	VYBER	9100	51481	\N	\N	\N
560360	1906	1997-10-21	VYDAJ	VYBER	53400	56591	\N	\N	\N
560361	1906	1997-10-25	VYDAJ	VYBER	33300	67496	\N	\N	\N
560362	1906	1997-11-08	VYDAJ	VYBER	20900	101325	\N	\N	\N
560363	1906	1997-11-24	VYDAJ	VYBER	22400	69539	\N	\N	\N
560364	1906	1997-12-24	VYDAJ	VYBER	2500	40595	\N	\N	\N
560365	1906	1998-01-23	PRIJEM	VKLAD	10100	38095	\N	\N	\N
560366	1906	1998-02-22	PRIJEM	VKLAD	17600	30534	\N	\N	\N
560367	1906	1998-03-24	PRIJEM	VKLAD	6000	41956	\N	\N	\N
560368	1906	1998-04-23	PRIJEM	VKLAD	13200	40119	\N	\N	\N
560369	1906	1998-05-23	PRIJEM	VKLAD	7900	42798	\N	\N	\N
560370	1906	1998-06-22	PRIJEM	VKLAD	17900	38314	\N	\N	\N
560371	1906	1998-07-22	PRIJEM	VKLAD	8900	37952	\N	\N	\N
560372	1906	1998-08-21	VYDAJ	VYBER	8400	59654	\N	\N	\N
560373	1906	1998-09-20	VYDAJ	VYBER	14200	63332	\N	\N	\N
560374	1906	1998-10-20	PRIJEM	VKLAD	16500	38291	\N	\N	\N
560375	1906	1998-11-19	PRIJEM	VKLAD	14400	43657	\N	\N	\N
560376	1906	1998-12-19	PRIJEM	VKLAD	12400	39997	\N	\N	\N
560406	1907	1997-03-25	PRIJEM	VKLAD	700	700	\N	\N	\N
560410	1907	1997-04-12	PRIJEM	VKLAD	18265	18965	\N	\N	\N
560411	1907	1997-05-12	PRIJEM	VKLAD	18265	40852	\N	\N	\N
560412	1907	1997-06-12	PRIJEM	VKLAD	27398	58152	\N	\N	\N
560413	1907	1997-07-12	PRIJEM	VKLAD	18265	58756	\N	\N	\N
560414	1907	1997-08-12	PRIJEM	VKLAD	18265	60191	\N	\N	\N
560415	1907	1997-09-12	PRIJEM	VKLAD	18265	53769	\N	\N	\N
560416	1907	1997-10-12	PRIJEM	VKLAD	18265	50779	\N	\N	\N
560417	1907	1997-11-12	PRIJEM	VKLAD	18265	51034	\N	\N	\N
560418	1907	1997-12-12	PRIJEM	VKLAD	27398	59422	\N	\N	\N
560419	1907	1998-01-12	PRIJEM	VKLAD	18265	36085	\N	\N	\N
560420	1907	1998-02-12	PRIJEM	VKLAD	18265	44515	\N	\N	\N
560421	1907	1998-03-12	PRIJEM	VKLAD	18265	52455	\N	\N	\N
560422	1907	1998-04-12	PRIJEM	VKLAD	18265	51360	\N	\N	\N
560423	1907	1998-05-12	PRIJEM	VKLAD	18265	56744	\N	\N	\N
560424	1907	1998-06-12	PRIJEM	VKLAD	27398	70444	\N	\N	\N
560425	1907	1998-07-12	PRIJEM	VKLAD	18265	68461	\N	\N	\N
560426	1907	1998-08-12	PRIJEM	VKLAD	18265	66082	\N	\N	\N
560427	1907	1998-09-12	PRIJEM	VKLAD	18265	65194	\N	\N	\N
560428	1907	1998-10-12	PRIJEM	VKLAD	18265	59592	\N	\N	\N
560429	1907	1998-11-12	PRIJEM	VKLAD	18265	58576	\N	\N	\N
560430	1907	1998-12-12	PRIJEM	VKLAD	27398	67696	\N	\N	\N
560439	1907	1997-09-06	VYDAJ	PREVOD NA UCET	8181	35504	SIPO	OP	72668206
560440	1907	1997-10-06	VYDAJ	PREVOD NA UCET	8181	35874	SIPO	OP	72668206
560441	1907	1997-11-06	VYDAJ	PREVOD NA UCET	8181	32769	SIPO	OP	72668206
560442	1907	1997-12-06	VYDAJ	PREVOD NA UCET	8181	32024	SIPO	OP	72668206
560443	1907	1998-01-06	VYDAJ	PREVOD NA UCET	8181	23820	SIPO	OP	72668206
560444	1907	1998-02-06	VYDAJ	PREVOD NA UCET	8181	26250	SIPO	OP	72668206
560445	1907	1998-03-06	VYDAJ	PREVOD NA UCET	8181	34190	SIPO	OP	72668206
560446	1907	1998-04-06	VYDAJ	PREVOD NA UCET	8181	33095	SIPO	OP	72668206
560447	1907	1998-05-06	VYDAJ	PREVOD NA UCET	8181	38479	SIPO	OP	72668206
560448	1907	1998-06-06	VYDAJ	PREVOD NA UCET	8181	43046	SIPO	OP	72668206
560449	1907	1998-07-06	VYDAJ	PREVOD NA UCET	8181	50196	SIPO	OP	72668206
560450	1907	1998-08-06	VYDAJ	PREVOD NA UCET	8181	47817	SIPO	OP	72668206
560451	1907	1998-09-06	VYDAJ	PREVOD NA UCET	8181	46929	SIPO	OP	72668206
560452	1907	1998-10-06	VYDAJ	PREVOD NA UCET	8181	41327	SIPO	OP	72668206
560453	1907	1998-11-06	VYDAJ	PREVOD NA UCET	8181	40311	SIPO	OP	72668206
560454	1907	1998-12-06	VYDAJ	PREVOD NA UCET	8181	40298	SIPO	OP	72668206
560462	1907	1997-08-13	VYDAJ	PREVOD NA UCET	594	59597	 	UV	59887331
560463	1907	1997-09-13	VYDAJ	PREVOD NA UCET	594	53175	 	UV	59887331
560464	1907	1997-10-13	VYDAJ	PREVOD NA UCET	594	50185	 	UV	59887331
560465	1907	1997-11-13	VYDAJ	PREVOD NA UCET	594	50440	 	UV	59887331
560466	1907	1997-12-13	VYDAJ	PREVOD NA UCET	594	58828	 	UV	59887331
560467	1907	1998-01-13	VYDAJ	PREVOD NA UCET	594	35491	 	UV	59887331
560468	1907	1998-02-13	VYDAJ	PREVOD NA UCET	594	43921	 	UV	59887331
560469	1907	1998-03-13	VYDAJ	PREVOD NA UCET	594	51861	 	UV	59887331
560470	1907	1998-04-13	VYDAJ	PREVOD NA UCET	594	50766	 	UV	59887331
560471	1907	1998-05-13	VYDAJ	PREVOD NA UCET	594	56150	 	UV	59887331
560472	1907	1998-06-13	VYDAJ	PREVOD NA UCET	594	69850	 	UV	59887331
560473	1907	1998-07-13	VYDAJ	PREVOD NA UCET	594	67867	 	UV	59887331
560474	1907	1998-08-13	VYDAJ	PREVOD NA UCET	594	65488	 	UV	59887331
560475	1907	1998-09-13	VYDAJ	PREVOD NA UCET	594	64600	 	UV	59887331
560476	1907	1998-10-13	VYDAJ	PREVOD NA UCET	594	58998	 	UV	59887331
560477	1907	1998-11-13	VYDAJ	PREVOD NA UCET	594	57262	 	UV	59887331
560478	1907	1998-12-13	VYDAJ	PREVOD NA UCET	594	67102	 	UV	59887331
560479	1907	1997-12-24	VYDAJ	VYBER	2560	39868	\N	\N	\N
560480	1907	1998-12-01	VYDAJ	VYBER	2880	48479	\N	\N	\N
560487	1907	1998-01-17	VYDAJ	VYBER	1080	34411	\N	\N	\N
560488	1907	1998-01-11	VYDAJ	VYBER	2160	17820	\N	\N	\N
560489	1907	1998-01-01	VYDAJ	VYBER	840	38001	\N	\N	\N
560490	1907	1998-01-05	VYDAJ	VYBER	2760	32001	\N	\N	\N
560491	1907	1998-01-06	VYDAJ	VYBER	2760	21060	\N	\N	\N
560492	1907	1998-01-09	VYDAJ	VYBER	1080	19980	\N	\N	\N
560493	1907	1997-12-30	VYDAJ	VYBER	1200	38668	\N	\N	\N
560495	1907	1997-08-22	VYDAJ	VYBER	4200	43497	\N	\N	\N
560496	1907	1997-12-21	VYDAJ	VYBER	2400	42428	\N	\N	\N
560499	1907	1997-10-08	VYDAJ	VYBER	3360	32514	\N	\N	\N
560501	1907	1998-03-19	VYDAJ	VYBER	3360	48501	\N	\N	\N
560502	1907	1998-01-02	VYDAJ	VYBER	3240	34761	\N	\N	\N
560503	1907	1998-04-14	VYDAJ	VYBER	2280	48486	\N	\N	\N
560504	1907	1998-05-23	VYDAJ	VYBER	2520	51030	\N	\N	\N
560505	1907	1998-03-30	VYDAJ	VYBER	4200	41101	\N	\N	\N
560506	1907	1998-11-13	VYDAJ	VYBER	720	57856	\N	\N	\N
560515	1907	1997-08-31	VYDAJ	VYBER	15	43685	SLUZBY	\N	\N
560516	1907	1997-09-30	VYDAJ	VYBER	15	44055	SLUZBY	\N	\N
560517	1907	1997-10-31	VYDAJ	VYBER	15	40950	SLUZBY	\N	\N
560518	1907	1997-11-30	VYDAJ	VYBER	15	40205	SLUZBY	\N	\N
560519	1907	1997-12-31	VYDAJ	VYBER	15	38841	SLUZBY	\N	\N
560520	1907	1998-01-31	VYDAJ	VYBER	15	34431	SLUZBY	\N	\N
560521	1907	1998-02-28	VYDAJ	VYBER	15	42371	SLUZBY	\N	\N
560522	1907	1998-03-31	VYDAJ	VYBER	15	41276	SLUZBY	\N	\N
560523	1907	1998-04-30	VYDAJ	VYBER	15	46660	SLUZBY	\N	\N
560524	1907	1998-05-31	VYDAJ	VYBER	15	51227	SLUZBY	\N	\N
560525	1907	1998-06-30	VYDAJ	VYBER	15	58377	SLUZBY	\N	\N
560526	1907	1998-07-31	VYDAJ	VYBER	15	55998	SLUZBY	\N	\N
560527	1907	1998-08-31	VYDAJ	VYBER	15	55110	SLUZBY	\N	\N
560528	1907	1998-09-30	VYDAJ	VYBER	15	49508	SLUZBY	\N	\N
560529	1907	1998-10-31	VYDAJ	VYBER	15	48492	SLUZBY	\N	\N
560530	1907	1998-11-30	VYDAJ	VYBER	15	51359	SLUZBY	\N	\N
560531	1907	1997-04-24	PRIJEM	VKLAD	3600	22565	\N	\N	\N
560532	1907	1997-05-24	VYDAJ	VYBER	10200	30652	\N	\N	\N
560533	1907	1997-06-23	VYDAJ	VYBER	17800	40352	\N	\N	\N
560534	1907	1997-07-23	VYDAJ	VYBER	17000	41756	\N	\N	\N
560535	1907	1997-08-22	VYDAJ	VYBER	11900	47697	\N	\N	\N
560536	1907	1997-09-21	VYDAJ	VYBER	9300	43875	\N	\N	\N
560537	1907	1997-10-21	VYDAJ	VYBER	9400	40785	\N	\N	\N
560538	1907	1997-11-20	VYDAJ	VYBER	10400	40040	\N	\N	\N
560539	1907	1997-12-20	VYDAJ	VYBER	14000	44828	\N	\N	\N
560540	1907	1998-01-19	VYDAJ	VYBER	100	34311	\N	\N	\N
560541	1907	1998-02-18	VYDAJ	VYBER	1700	42221	\N	\N	\N
560542	1907	1998-03-20	VYDAJ	VYBER	3200	45301	\N	\N	\N
560543	1907	1998-04-19	VYDAJ	VYBER	2000	46486	\N	\N	\N
560544	1907	1998-05-19	VYDAJ	VYBER	2600	53550	\N	\N	\N
560545	1907	1998-06-18	VYDAJ	VYBER	11700	58150	\N	\N	\N
560546	1907	1998-07-18	VYDAJ	VYBER	12100	55767	\N	\N	\N
560547	1907	1998-08-17	VYDAJ	VYBER	10600	54888	\N	\N	\N
560548	1907	1998-09-16	VYDAJ	VYBER	15300	49300	\N	\N	\N
560549	1907	1998-10-16	VYDAJ	VYBER	10700	48298	\N	\N	\N
560550	1907	1998-11-15	VYDAJ	VYBER	6100	51162	\N	\N	\N
560572	1908	1994-09-13	PRIJEM	VKLAD	700	700	\N	\N	\N
560581	1908	1994-09-14	PRIJEM	PREVOD Z UCTU	6382	7082	DUCHOD	UV	38306725
560582	1908	1994-10-14	PRIJEM	PREVOD Z UCTU	6382	13481	DUCHOD	UV	38306725
560583	1908	1994-11-14	PRIJEM	PREVOD Z UCTU	6382	19892	DUCHOD	UV	38306725
560584	1908	1994-12-14	PRIJEM	PREVOD Z UCTU	6382	26304	DUCHOD	UV	38306725
560585	1908	1995-01-14	PRIJEM	PREVOD Z UCTU	6382	32715	DUCHOD	UV	38306725
560586	1908	1995-02-14	PRIJEM	PREVOD Z UCTU	6382	27765	DUCHOD	UV	38306725
560587	1908	1995-03-14	PRIJEM	PREVOD Z UCTU	6382	30650	DUCHOD	UV	38306725
560588	1908	1995-04-14	PRIJEM	PREVOD Z UCTU	6382	30665	DUCHOD	UV	38306725
560589	1908	1995-05-14	PRIJEM	PREVOD Z UCTU	6382	32763	DUCHOD	UV	38306725
560590	1908	1995-06-14	PRIJEM	PREVOD Z UCTU	6382	29518	DUCHOD	UV	38306725
560591	1908	1995-07-14	PRIJEM	PREVOD Z UCTU	6382	29509	DUCHOD	UV	38306725
560592	1908	1995-08-14	PRIJEM	PREVOD Z UCTU	6382	31302	DUCHOD	UV	38306725
560593	1908	1995-09-14	PRIJEM	PREVOD Z UCTU	6382	28139	DUCHOD	UV	38306725
560594	1908	1995-10-14	PRIJEM	PREVOD Z UCTU	6382	30144	DUCHOD	UV	38306725
560595	1908	1995-11-14	PRIJEM	PREVOD Z UCTU	6382	33038	DUCHOD	UV	38306725
560596	1908	1995-12-14	PRIJEM	PREVOD Z UCTU	6382	33344	DUCHOD	UV	38306725
560597	1908	1996-01-14	PRIJEM	PREVOD Z UCTU	6382	29359	DUCHOD	UV	38306725
560598	1908	1996-02-14	PRIJEM	PREVOD Z UCTU	6382	22801	DUCHOD	UV	38306725
560599	1908	1996-03-14	PRIJEM	PREVOD Z UCTU	6382	25661	DUCHOD	UV	38306725
560600	1908	1996-04-14	PRIJEM	PREVOD Z UCTU	6382	27736	DUCHOD	UV	38306725
560601	1908	1996-05-14	PRIJEM	PREVOD Z UCTU	6382	28776	DUCHOD	UV	38306725
560602	1908	1996-06-14	PRIJEM	PREVOD Z UCTU	6382	25861	DUCHOD	UV	38306725
560603	1908	1996-07-14	PRIJEM	PREVOD Z UCTU	6382	27137	DUCHOD	UV	38306725
560604	1908	1996-08-14	PRIJEM	PREVOD Z UCTU	6382	25619	DUCHOD	UV	38306725
560605	1908	1996-09-14	PRIJEM	PREVOD Z UCTU	6382	25493	DUCHOD	UV	38306725
560606	1908	1996-10-14	PRIJEM	PREVOD Z UCTU	6382	26265	DUCHOD	UV	38306725
560607	1908	1996-11-14	PRIJEM	PREVOD Z UCTU	6382	27240	DUCHOD	UV	38306725
560608	1908	1996-12-14	PRIJEM	PREVOD Z UCTU	6382	26397	DUCHOD	UV	38306725
560609	1908	1997-01-14	PRIJEM	PREVOD Z UCTU	6382	23567	DUCHOD	UV	38306725
560610	1908	1997-02-14	PRIJEM	PREVOD Z UCTU	6382	21549	DUCHOD	UV	38306725
560611	1908	1997-03-14	PRIJEM	PREVOD Z UCTU	6382	23106	DUCHOD	UV	38306725
560612	1908	1997-04-14	PRIJEM	PREVOD Z UCTU	6382	25767	DUCHOD	UV	38306725
560613	1908	1997-05-14	PRIJEM	PREVOD Z UCTU	6382	23041	DUCHOD	UV	38306725
560614	1908	1997-06-14	PRIJEM	PREVOD Z UCTU	6382	22203	DUCHOD	UV	38306725
560615	1908	1997-07-14	PRIJEM	PREVOD Z UCTU	6382	22362	DUCHOD	UV	38306725
560616	1908	1997-08-14	PRIJEM	PREVOD Z UCTU	6382	22022	DUCHOD	UV	38306725
560617	1908	1997-09-14	PRIJEM	PREVOD Z UCTU	6382	24881	DUCHOD	UV	38306725
560618	1908	1997-10-14	PRIJEM	PREVOD Z UCTU	6382	24590	DUCHOD	UV	38306725
560619	1908	1997-11-14	PRIJEM	PREVOD Z UCTU	6382	25839	DUCHOD	UV	38306725
560620	1908	1997-12-14	PRIJEM	PREVOD Z UCTU	6382	21760	DUCHOD	UV	38306725
560621	1908	1998-01-14	PRIJEM	PREVOD Z UCTU	6382	17810	DUCHOD	UV	38306725
560622	1908	1998-02-14	PRIJEM	PREVOD Z UCTU	6382	17686	DUCHOD	UV	38306725
560623	1908	1998-03-14	PRIJEM	PREVOD Z UCTU	6382	19326	DUCHOD	UV	38306725
560624	1908	1998-04-14	PRIJEM	PREVOD Z UCTU	6382	22173	DUCHOD	UV	38306725
560625	1908	1998-05-14	PRIJEM	PREVOD Z UCTU	6382	25033	DUCHOD	UV	38306725
560626	1908	1998-06-14	PRIJEM	PREVOD Z UCTU	6382	16433	DUCHOD	UV	38306725
560627	1908	1998-07-14	PRIJEM	PREVOD Z UCTU	6382	19269	DUCHOD	UV	38306725
560628	1908	1998-08-14	PRIJEM	PREVOD Z UCTU	6382	22116	DUCHOD	UV	38306725
560629	1908	1998-09-14	PRIJEM	PREVOD Z UCTU	6382	23695	DUCHOD	UV	38306725
560630	1908	1998-10-14	PRIJEM	PREVOD Z UCTU	6382	25518	DUCHOD	UV	38306725
560631	1908	1998-11-14	PRIJEM	PREVOD Z UCTU	6382	16876	DUCHOD	UV	38306725
560632	1908	1998-12-14	PRIJEM	PREVOD Z UCTU	6382	19113	DUCHOD	UV	38306725
560646	1908	1995-02-06	VYDAJ	PREVOD NA UCET	3594	23583	SIPO	UV	45842748
560647	1908	1995-03-06	VYDAJ	PREVOD NA UCET	3594	24268	SIPO	UV	45842748
560648	1908	1995-04-06	VYDAJ	PREVOD NA UCET	3594	26683	SIPO	UV	45842748
560649	1908	1995-05-06	VYDAJ	PREVOD NA UCET	3594	27181	SIPO	UV	45842748
560650	1908	1995-06-06	VYDAJ	PREVOD NA UCET	3594	23136	SIPO	UV	45842748
560651	1908	1995-07-06	VYDAJ	PREVOD NA UCET	3594	26027	SIPO	UV	45842748
560652	1908	1995-08-06	VYDAJ	PREVOD NA UCET	3594	26020	SIPO	UV	45842748
560653	1908	1995-09-06	VYDAJ	PREVOD NA UCET	3594	25657	SIPO	UV	45842748
560654	1908	1995-10-06	VYDAJ	PREVOD NA UCET	3594	23762	SIPO	UV	45842748
560655	1908	1995-11-06	VYDAJ	PREVOD NA UCET	3594	26656	SIPO	UV	45842748
560656	1908	1995-12-06	VYDAJ	PREVOD NA UCET	3594	29562	SIPO	UV	45842748
560657	1908	1996-01-06	VYDAJ	PREVOD NA UCET	3594	27717	SIPO	UV	45842748
560658	1908	1996-02-06	VYDAJ	PREVOD NA UCET	3594	16419	SIPO	UV	45842748
560659	1908	1996-03-06	VYDAJ	PREVOD NA UCET	3594	19279	SIPO	UV	45842748
560660	1908	1996-04-06	VYDAJ	PREVOD NA UCET	3594	21354	SIPO	UV	45842748
560661	1908	1996-05-06	VYDAJ	PREVOD NA UCET	3594	22394	SIPO	UV	45842748
560662	1908	1996-06-06	VYDAJ	PREVOD NA UCET	3594	21279	SIPO	UV	45842748
560663	1908	1996-07-06	VYDAJ	PREVOD NA UCET	3594	20755	SIPO	UV	45842748
560664	1908	1996-08-06	VYDAJ	PREVOD NA UCET	3594	19237	SIPO	UV	45842748
560665	1908	1996-09-06	VYDAJ	PREVOD NA UCET	3594	19111	SIPO	UV	45842748
560666	1908	1996-10-06	VYDAJ	PREVOD NA UCET	3594	19883	SIPO	UV	45842748
560667	1908	1996-11-06	VYDAJ	PREVOD NA UCET	3594	20858	SIPO	UV	45842748
560668	1908	1996-12-06	VYDAJ	PREVOD NA UCET	3594	20015	SIPO	UV	45842748
560669	1908	1997-01-06	VYDAJ	PREVOD NA UCET	3594	20545	SIPO	UV	45842748
560670	1908	1997-02-06	VYDAJ	PREVOD NA UCET	3594	15167	SIPO	UV	45842748
560671	1908	1997-03-06	VYDAJ	PREVOD NA UCET	3594	16724	SIPO	UV	45842748
560672	1908	1997-04-06	VYDAJ	PREVOD NA UCET	3594	19385	SIPO	UV	45842748
560673	1908	1997-05-06	VYDAJ	PREVOD NA UCET	3594	16659	SIPO	UV	45842748
560674	1908	1997-06-06	VYDAJ	PREVOD NA UCET	3594	15821	SIPO	UV	45842748
560675	1908	1997-07-06	VYDAJ	PREVOD NA UCET	3594	15980	SIPO	UV	45842748
560676	1908	1997-08-06	VYDAJ	PREVOD NA UCET	3594	15640	SIPO	UV	45842748
560677	1908	1997-09-06	VYDAJ	PREVOD NA UCET	3594	18499	SIPO	UV	45842748
560678	1908	1997-10-06	VYDAJ	PREVOD NA UCET	3594	18208	SIPO	UV	45842748
560679	1908	1997-11-06	VYDAJ	PREVOD NA UCET	3594	19457	SIPO	UV	45842748
560680	1908	1997-12-06	VYDAJ	PREVOD NA UCET	3594	15378	SIPO	UV	45842748
560681	1908	1998-01-06	VYDAJ	PREVOD NA UCET	3594	11428	SIPO	UV	45842748
560682	1908	1998-02-06	VYDAJ	PREVOD NA UCET	3594	11304	SIPO	UV	45842748
560683	1908	1998-03-06	VYDAJ	PREVOD NA UCET	3594	12944	SIPO	UV	45842748
560684	1908	1998-04-06	VYDAJ	PREVOD NA UCET	3594	15791	SIPO	UV	45842748
560685	1908	1998-05-06	VYDAJ	PREVOD NA UCET	3594	18651	SIPO	UV	45842748
560686	1908	1998-06-06	VYDAJ	PREVOD NA UCET	3594	10051	SIPO	UV	45842748
560687	1908	1998-07-06	VYDAJ	PREVOD NA UCET	3594	12887	SIPO	UV	45842748
560688	1908	1998-08-06	VYDAJ	PREVOD NA UCET	3594	15734	SIPO	UV	45842748
560689	1908	1998-09-06	VYDAJ	PREVOD NA UCET	3594	18593	SIPO	UV	45842748
560690	1908	1998-10-06	VYDAJ	PREVOD NA UCET	3594	20176	SIPO	UV	45842748
560691	1908	1998-11-06	VYDAJ	PREVOD NA UCET	3594	10494	SIPO	UV	45842748
560692	1908	1998-12-06	VYDAJ	PREVOD NA UCET	3594	12731	SIPO	UV	45842748
560694	1908	1995-06-01	VYDAJ	VYBER	6150	26730	\N	\N	\N
560695	1908	1996-06-06	VYDAJ	VYBER	1800	19479	\N	\N	\N
560699	1908	1995-12-24	VYDAJ	VYBER	950	32394	\N	\N	\N
560700	1908	1996-12-18	VYDAJ	VYBER	500	24057	\N	\N	\N
560701	1908	1997-12-05	VYDAJ	VYBER	1050	18972	\N	\N	\N
560702	1908	1998-12-03	VYDAJ	VYBER	600	16325	\N	\N	\N
560710	1908	1995-01-29	VYDAJ	VYBER	2160	27115	\N	\N	\N
560711	1908	1995-01-26	VYDAJ	VYBER	720	29275	\N	\N	\N
560712	1908	1995-01-26	VYDAJ	VYBER	1760	29995	\N	\N	\N
560714	1908	1995-01-17	VYDAJ	VYBER	960	31755	\N	\N	\N
560715	1908	1996-01-27	VYDAJ	VYBER	1120	21919	\N	\N	\N
560716	1908	1996-01-10	VYDAJ	VYBER	1040	22977	\N	\N	\N
560717	1908	1996-01-21	VYDAJ	VYBER	2000	23039	\N	\N	\N
560718	1908	1996-01-20	VYDAJ	VYBER	2240	25039	\N	\N	\N
560719	1908	1996-01-04	VYDAJ	VYBER	1200	31311	\N	\N	\N
560720	1908	1996-01-17	VYDAJ	VYBER	2080	27279	\N	\N	\N
560721	1908	1997-01-16	VYDAJ	VYBER	400	23167	\N	\N	\N
560722	1908	1997-01-07	VYDAJ	VYBER	1040	17185	\N	\N	\N
560723	1908	1997-01-07	VYDAJ	VYBER	2320	18225	\N	\N	\N
560724	1908	1997-01-20	VYDAJ	VYBER	1840	21327	\N	\N	\N
560725	1908	1997-01-30	VYDAJ	VYBER	2160	19167	\N	\N	\N
560726	1908	1997-01-30	VYDAJ	VYBER	480	18687	\N	\N	\N
560727	1908	1998-01-24	VYDAJ	VYBER	1040	14850	\N	\N	\N
560729	1908	1998-01-18	VYDAJ	VYBER	1920	15890	\N	\N	\N
560739	1908	1995-09-21	VYDAJ	VYBER	880	27259	\N	\N	\N
560740	1908	1995-02-12	VYDAJ	VYBER	800	21383	\N	\N	\N
560741	1908	1995-03-19	VYDAJ	VYBER	480	30170	\N	\N	\N
560742	1908	1995-08-27	VYDAJ	VYBER	2160	29142	\N	\N	\N
560743	1908	1996-11-25	VYDAJ	VYBER	2320	24920	\N	\N	\N
560744	1908	1996-06-25	VYDAJ	VYBER	1600	24261	\N	\N	\N
560745	1908	1996-04-30	VYDAJ	VYBER	1440	26388	\N	\N	\N
560746	1908	1996-12-15	VYDAJ	VYBER	1840	24557	\N	\N	\N
560747	1908	1997-05-27	VYDAJ	VYBER	2400	20641	\N	\N	\N
560749	1908	1997-10-27	VYDAJ	VYBER	720	22970	\N	\N	\N
560750	1908	1997-09-26	VYDAJ	VYBER	1360	23521	\N	\N	\N
560753	1908	1998-10-13	VYDAJ	VYBER	1040	19136	\N	\N	\N
560754	1908	1998-02-22	VYDAJ	VYBER	1200	16486	\N	\N	\N
560755	1908	1998-05-14	VYDAJ	VYBER	1360	23673	\N	\N	\N
560756	1908	1998-09-07	VYDAJ	VYBER	1280	17313	\N	\N	\N
560770	1908	1995-01-31	VYDAJ	VYBER	15	27177	SLUZBY	\N	\N
560771	1908	1995-02-28	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
560772	1908	1995-03-31	VYDAJ	VYBER	15	30277	SLUZBY	\N	\N
560773	1908	1995-04-30	VYDAJ	VYBER	15	30775	SLUZBY	\N	\N
560774	1908	1995-05-31	VYDAJ	VYBER	15	32880	SLUZBY	\N	\N
560775	1908	1995-06-30	VYDAJ	VYBER	15	29621	SLUZBY	\N	\N
560776	1908	1995-07-31	VYDAJ	VYBER	15	29614	SLUZBY	\N	\N
560777	1908	1995-08-31	VYDAJ	VYBER	15	29251	SLUZBY	\N	\N
560778	1908	1995-09-30	VYDAJ	VYBER	15	27356	SLUZBY	\N	\N
560779	1908	1995-10-31	VYDAJ	VYBER	15	30250	SLUZBY	\N	\N
560780	1908	1995-11-30	VYDAJ	VYBER	15	33156	SLUZBY	\N	\N
560781	1908	1995-12-31	VYDAJ	VYBER	15	32511	SLUZBY	\N	\N
560782	1908	1996-01-31	VYDAJ	VYBER	15	22013	SLUZBY	\N	\N
560783	1908	1996-02-29	VYDAJ	VYBER	15	22873	SLUZBY	\N	\N
560784	1908	1996-03-31	VYDAJ	VYBER	15	25748	SLUZBY	\N	\N
560785	1908	1996-04-30	VYDAJ	VYBER	15	27828	SLUZBY	\N	\N
560786	1908	1996-05-31	VYDAJ	VYBER	15	28873	SLUZBY	\N	\N
560787	1908	1996-06-30	VYDAJ	VYBER	15	24349	SLUZBY	\N	\N
560788	1908	1996-07-31	VYDAJ	VYBER	15	27231	SLUZBY	\N	\N
560789	1908	1996-08-31	VYDAJ	VYBER	15	25705	SLUZBY	\N	\N
560790	1908	1996-09-30	VYDAJ	VYBER	15	25577	SLUZBY	\N	\N
560791	1908	1996-10-31	VYDAJ	VYBER	15	26352	SLUZBY	\N	\N
560792	1908	1996-11-30	VYDAJ	VYBER	15	25009	SLUZBY	\N	\N
560793	1908	1996-12-31	VYDAJ	VYBER	15	24139	SLUZBY	\N	\N
560794	1908	1997-01-31	VYDAJ	VYBER	15	18761	SLUZBY	\N	\N
560795	1908	1997-02-28	VYDAJ	VYBER	15	21618	SLUZBY	\N	\N
560796	1908	1997-03-31	VYDAJ	VYBER	15	22979	SLUZBY	\N	\N
560797	1908	1997-04-30	VYDAJ	VYBER	15	20253	SLUZBY	\N	\N
560798	1908	1997-05-31	VYDAJ	VYBER	15	19415	SLUZBY	\N	\N
560799	1908	1997-06-30	VYDAJ	VYBER	15	19574	SLUZBY	\N	\N
560800	1908	1997-07-31	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
560801	1908	1997-08-31	VYDAJ	VYBER	15	22093	SLUZBY	\N	\N
560802	1908	1997-09-30	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
560803	1908	1997-10-31	VYDAJ	VYBER	15	23051	SLUZBY	\N	\N
560804	1908	1997-11-30	VYDAJ	VYBER	15	20022	SLUZBY	\N	\N
560805	1908	1997-12-31	VYDAJ	VYBER	15	15022	SLUZBY	\N	\N
560806	1908	1998-01-31	VYDAJ	VYBER	15	14898	SLUZBY	\N	\N
560807	1908	1998-02-28	VYDAJ	VYBER	15	16538	SLUZBY	\N	\N
560808	1908	1998-03-31	VYDAJ	VYBER	15	19385	SLUZBY	\N	\N
560809	1908	1998-04-30	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
560810	1908	1998-05-31	VYDAJ	VYBER	15	13645	SLUZBY	\N	\N
560811	1908	1998-06-30	VYDAJ	VYBER	15	16481	SLUZBY	\N	\N
560812	1908	1998-07-31	VYDAJ	VYBER	15	19328	SLUZBY	\N	\N
560813	1908	1998-08-31	VYDAJ	VYBER	15	22187	SLUZBY	\N	\N
560814	1908	1998-09-30	VYDAJ	VYBER	15	23770	SLUZBY	\N	\N
560815	1908	1998-10-31	VYDAJ	VYBER	15	14088	SLUZBY	\N	\N
560816	1908	1998-11-30	VYDAJ	VYBER	15	16925	SLUZBY	\N	\N
560817	1908	1995-02-10	VYDAJ	VYBER	1400	22183	\N	\N	\N
560818	1908	1995-04-11	VYDAJ	VYBER	2400	24283	\N	\N	\N
560819	1908	1995-05-11	VYDAJ	VYBER	800	26381	\N	\N	\N
560820	1908	1995-07-10	VYDAJ	VYBER	2900	23127	\N	\N	\N
560821	1908	1995-08-09	VYDAJ	VYBER	1100	24920	\N	\N	\N
560822	1908	1995-09-08	VYDAJ	VYBER	3900	21757	\N	\N	\N
560823	1908	1995-12-07	VYDAJ	VYBER	2600	26962	\N	\N	\N
560824	1908	1996-01-06	VYDAJ	VYBER	3700	24017	\N	\N	\N
560825	1908	1996-02-05	VYDAJ	VYBER	2000	20013	\N	\N	\N
560826	1908	1996-04-05	VYDAJ	VYBER	800	24948	\N	\N	\N
560827	1908	1996-05-05	VYDAJ	VYBER	400	25988	\N	\N	\N
560828	1908	1996-06-04	VYDAJ	VYBER	4000	24873	\N	\N	\N
560829	1908	1996-08-03	VYDAJ	VYBER	4400	22831	\N	\N	\N
560830	1908	1996-09-02	VYDAJ	VYBER	3000	22705	\N	\N	\N
560831	1908	1996-10-02	VYDAJ	VYBER	2100	23477	\N	\N	\N
560832	1908	1996-11-01	VYDAJ	VYBER	1900	24452	\N	\N	\N
560833	1908	1996-12-01	VYDAJ	VYBER	1400	23609	\N	\N	\N
560834	1908	1997-03-01	VYDAJ	VYBER	1300	20318	\N	\N	\N
560835	1908	1997-03-31	VYDAJ	VYBER	200	22993	\N	\N	\N
560836	1908	1997-04-30	VYDAJ	VYBER	5600	20268	\N	\N	\N
560837	1908	1997-05-30	VYDAJ	VYBER	1300	19341	\N	\N	\N
560838	1908	1997-06-29	VYDAJ	VYBER	2700	19503	\N	\N	\N
560839	1908	1997-07-29	VYDAJ	VYBER	3200	19162	\N	\N	\N
560840	1908	1997-09-27	VYDAJ	VYBER	1800	21721	\N	\N	\N
560841	1908	1997-10-27	VYDAJ	VYBER	900	23690	\N	\N	\N
560842	1908	1997-11-26	VYDAJ	VYBER	5900	19939	\N	\N	\N
560843	1908	1997-12-26	VYDAJ	VYBER	6800	14960	\N	\N	\N
560844	1908	1998-05-25	VYDAJ	VYBER	10100	13573	\N	\N	\N
560845	1908	1998-10-22	VYDAJ	VYBER	11500	14018	\N	\N	\N
560898	1909	1993-01-12	PRIJEM	VKLAD	800	800	\N	\N	\N
560900	1909	1993-02-05	PRIJEM	PREVOD Z UCTU	3191	3991	\N	AB	24230474
560901	1909	1993-03-05	PRIJEM	PREVOD Z UCTU	3191	7182	\N	AB	24230474
560902	1909	1993-04-05	PRIJEM	PREVOD Z UCTU	3191	10373	\N	AB	24230474
560903	1909	1993-05-05	PRIJEM	PREVOD Z UCTU	3191	13564	\N	AB	24230474
560904	1909	1993-06-05	PRIJEM	PREVOD Z UCTU	3191	16755	\N	AB	24230474
560905	1909	1993-07-05	PRIJEM	PREVOD Z UCTU	3191	16854	\N	AB	24230474
560906	1909	1993-08-05	PRIJEM	PREVOD Z UCTU	3191	17966	\N	AB	24230474
560907	1909	1993-09-05	PRIJEM	PREVOD Z UCTU	3191	18693	\N	AB	24230474
560908	1909	1993-10-05	PRIJEM	PREVOD Z UCTU	3191	19814	\N	AB	24230474
560909	1909	1993-11-05	PRIJEM	PREVOD Z UCTU	3191	20938	\N	AB	24230474
560910	1909	1993-12-05	PRIJEM	PREVOD Z UCTU	3191	22068	\N	AB	24230474
560911	1909	1994-01-05	PRIJEM	PREVOD Z UCTU	3191	21701	\N	AB	24230474
560912	1909	1994-02-05	PRIJEM	PREVOD Z UCTU	3191	19921	\N	AB	24230474
560913	1909	1994-03-05	PRIJEM	PREVOD Z UCTU	3191	21046	\N	AB	24230474
560914	1909	1994-04-05	PRIJEM	PREVOD Z UCTU	3191	21753	\N	AB	24230474
560915	1909	1994-05-05	PRIJEM	PREVOD Z UCTU	3191	20059	\N	AB	24230474
560916	1909	1994-06-05	PRIJEM	PREVOD Z UCTU	3191	21185	\N	AB	24230474
560917	1909	1994-07-05	PRIJEM	PREVOD Z UCTU	3191	22316	\N	AB	24230474
560918	1909	1994-08-05	PRIJEM	PREVOD Z UCTU	3191	23451	\N	AB	24230474
560919	1909	1994-09-05	PRIJEM	PREVOD Z UCTU	3191	24588	\N	AB	24230474
560920	1909	1994-10-05	PRIJEM	PREVOD Z UCTU	3191	25253	\N	AB	24230474
560921	1909	1994-11-05	PRIJEM	PREVOD Z UCTU	3191	26403	\N	AB	24230474
560922	1909	1994-12-05	PRIJEM	PREVOD Z UCTU	3191	25255	\N	AB	24230474
560923	1909	1995-01-05	PRIJEM	PREVOD Z UCTU	3191	25652	\N	AB	24230474
560924	1909	1995-02-05	PRIJEM	PREVOD Z UCTU	3191	24066	\N	AB	24230474
560925	1909	1995-03-05	PRIJEM	PREVOD Z UCTU	3191	25006	\N	AB	24230474
560926	1909	1995-04-05	PRIJEM	PREVOD Z UCTU	3191	24555	\N	AB	24230474
560927	1909	1995-05-05	PRIJEM	PREVOD Z UCTU	3191	25700	\N	AB	24230474
560928	1909	1995-06-05	PRIJEM	PREVOD Z UCTU	3191	25639	\N	AB	24230474
560929	1909	1995-07-05	PRIJEM	PREVOD Z UCTU	3191	20203	\N	AB	24230474
560930	1909	1995-08-05	PRIJEM	PREVOD Z UCTU	3191	21329	\N	AB	24230474
560931	1909	1995-09-05	PRIJEM	PREVOD Z UCTU	3191	22459	\N	AB	24230474
560932	1909	1995-10-05	PRIJEM	PREVOD Z UCTU	3191	23594	\N	AB	24230474
560933	1909	1995-11-05	PRIJEM	PREVOD Z UCTU	3191	22430	\N	AB	24230474
560934	1909	1995-12-05	PRIJEM	PREVOD Z UCTU	3191	23173	\N	AB	24230474
560935	1909	1996-01-05	PRIJEM	PREVOD Z UCTU	3191	23831	\N	AB	24230474
560936	1909	1996-02-05	PRIJEM	PREVOD Z UCTU	3191	20211	\N	AB	24230474
560937	1909	1996-03-05	PRIJEM	PREVOD Z UCTU	3191	20333	\N	AB	24230474
560938	1909	1996-04-05	PRIJEM	PREVOD Z UCTU	3191	20759	\N	AB	24230474
560939	1909	1996-05-05	PRIJEM	PREVOD Z UCTU	3191	20983	\N	AB	24230474
560940	1909	1996-06-05	PRIJEM	PREVOD Z UCTU	3191	18659	\N	AB	24230474
560941	1909	1996-07-05	PRIJEM	PREVOD Z UCTU	3191	18785	\N	AB	24230474
560942	1909	1996-08-05	PRIJEM	PREVOD Z UCTU	3191	19092	\N	AB	24230474
560943	1909	1996-09-05	PRIJEM	PREVOD Z UCTU	3191	20213	\N	AB	24230474
560944	1909	1996-10-05	PRIJEM	PREVOD Z UCTU	3191	21336	\N	AB	24230474
560945	1909	1996-11-05	PRIJEM	PREVOD Z UCTU	3191	20862	\N	AB	24230474
560946	1909	1996-12-05	PRIJEM	PREVOD Z UCTU	3191	21087	\N	AB	24230474
560947	1909	1997-01-05	PRIJEM	PREVOD Z UCTU	3191	20514	\N	AB	24230474
560948	1909	1997-02-05	PRIJEM	PREVOD Z UCTU	3191	18184	\N	AB	24230474
560949	1909	1997-03-05	PRIJEM	PREVOD Z UCTU	3191	16595	\N	AB	24230474
560950	1909	1997-04-05	PRIJEM	PREVOD Z UCTU	3191	16901	\N	AB	24230474
560951	1909	1997-05-05	PRIJEM	PREVOD Z UCTU	3191	18013	\N	AB	24230474
560952	1909	1997-06-05	PRIJEM	PREVOD Z UCTU	3191	19126	\N	AB	24230474
560953	1909	1997-07-05	PRIJEM	PREVOD Z UCTU	3191	16639	\N	AB	24230474
560954	1909	1997-08-05	PRIJEM	PREVOD Z UCTU	3191	17046	\N	AB	24230474
560955	1909	1997-09-05	PRIJEM	PREVOD Z UCTU	3191	18155	\N	AB	24230474
560956	1909	1997-10-05	PRIJEM	PREVOD Z UCTU	3191	19269	\N	AB	24230474
560957	1909	1997-11-05	PRIJEM	PREVOD Z UCTU	3191	20387	\N	AB	24230474
560958	1909	1997-12-05	PRIJEM	PREVOD Z UCTU	3191	19650	\N	AB	24230474
560959	1909	1998-01-05	PRIJEM	PREVOD Z UCTU	3191	19768	\N	AB	24230474
560960	1909	1998-02-05	PRIJEM	PREVOD Z UCTU	3191	18616	\N	AB	24230474
560961	1909	1998-03-05	PRIJEM	PREVOD Z UCTU	3191	19732	\N	AB	24230474
560962	1909	1998-04-05	PRIJEM	PREVOD Z UCTU	3191	18046	\N	AB	24230474
560963	1909	1998-05-05	PRIJEM	PREVOD Z UCTU	3191	18771	\N	AB	24230474
560964	1909	1998-06-05	PRIJEM	PREVOD Z UCTU	3191	17081	\N	AB	24230474
560965	1909	1998-07-05	PRIJEM	PREVOD Z UCTU	3191	18189	\N	AB	24230474
560966	1909	1998-08-05	PRIJEM	PREVOD Z UCTU	3191	19302	\N	AB	24230474
560967	1909	1998-09-05	PRIJEM	PREVOD Z UCTU	3191	19420	\N	AB	24230474
560968	1909	1998-10-05	PRIJEM	PREVOD Z UCTU	3191	14827	\N	AB	24230474
560969	1909	1998-11-05	PRIJEM	PREVOD Z UCTU	3191	15929	\N	AB	24230474
560970	1909	1998-12-05	PRIJEM	PREVOD Z UCTU	3191	17034	\N	AB	24230474
560976	1909	1993-06-11	VYDAJ	PREVOD NA UCET	43	16712	SIPO	AB	56638652
560977	1909	1993-07-11	VYDAJ	PREVOD NA UCET	43	16811	SIPO	AB	56638652
560978	1909	1993-08-11	VYDAJ	PREVOD NA UCET	43	17923	SIPO	AB	56638652
560979	1909	1993-09-11	VYDAJ	PREVOD NA UCET	43	18650	SIPO	AB	56638652
560980	1909	1993-10-11	VYDAJ	PREVOD NA UCET	43	19771	SIPO	AB	56638652
560981	1909	1993-11-11	VYDAJ	PREVOD NA UCET	43	20895	SIPO	AB	56638652
560982	1909	1993-12-11	VYDAJ	PREVOD NA UCET	43	21545	SIPO	AB	56638652
560983	1909	1994-01-11	VYDAJ	PREVOD NA UCET	43	21328	SIPO	AB	56638652
560984	1909	1994-02-11	VYDAJ	PREVOD NA UCET	43	19878	SIPO	AB	56638652
560985	1909	1994-03-11	VYDAJ	PREVOD NA UCET	43	21003	SIPO	AB	56638652
560986	1909	1994-04-11	VYDAJ	PREVOD NA UCET	43	21710	SIPO	AB	56638652
560987	1909	1994-05-11	VYDAJ	PREVOD NA UCET	43	20016	SIPO	AB	56638652
560988	1909	1994-06-11	VYDAJ	PREVOD NA UCET	43	21142	SIPO	AB	56638652
560989	1909	1994-07-11	VYDAJ	PREVOD NA UCET	43	22273	SIPO	AB	56638652
560990	1909	1994-08-11	VYDAJ	PREVOD NA UCET	43	23408	SIPO	AB	56638652
560991	1909	1994-09-11	VYDAJ	PREVOD NA UCET	43	24545	SIPO	AB	56638652
560992	1909	1994-10-11	VYDAJ	PREVOD NA UCET	43	25210	SIPO	AB	56638652
560993	1909	1994-11-11	VYDAJ	PREVOD NA UCET	43	26360	SIPO	AB	56638652
560994	1909	1994-12-11	VYDAJ	PREVOD NA UCET	43	25212	SIPO	AB	56638652
560995	1909	1995-01-11	VYDAJ	PREVOD NA UCET	43	24799	SIPO	AB	56638652
560996	1909	1995-02-11	VYDAJ	PREVOD NA UCET	43	24023	SIPO	AB	56638652
560997	1909	1995-03-11	VYDAJ	PREVOD NA UCET	43	24963	SIPO	AB	56638652
560998	1909	1995-04-11	VYDAJ	PREVOD NA UCET	43	24512	SIPO	AB	56638652
560999	1909	1995-05-11	VYDAJ	PREVOD NA UCET	43	24547	SIPO	AB	56638652
561000	1909	1995-06-11	VYDAJ	PREVOD NA UCET	43	24486	SIPO	AB	56638652
561001	1909	1995-07-11	VYDAJ	PREVOD NA UCET	43	20160	SIPO	AB	56638652
561002	1909	1995-08-11	VYDAJ	PREVOD NA UCET	43	21286	SIPO	AB	56638652
561003	1909	1995-09-11	VYDAJ	PREVOD NA UCET	43	22416	SIPO	AB	56638652
561004	1909	1995-10-11	VYDAJ	PREVOD NA UCET	43	23551	SIPO	AB	56638652
561005	1909	1995-11-11	VYDAJ	PREVOD NA UCET	43	22387	SIPO	AB	56638652
561006	1909	1995-12-11	VYDAJ	PREVOD NA UCET	43	23130	SIPO	AB	56638652
561007	1909	1996-01-11	VYDAJ	PREVOD NA UCET	43	23008	SIPO	AB	56638652
561008	1909	1996-02-11	VYDAJ	PREVOD NA UCET	43	20168	SIPO	AB	56638652
561009	1909	1996-03-11	VYDAJ	PREVOD NA UCET	43	20290	SIPO	AB	56638652
561010	1909	1996-04-11	VYDAJ	PREVOD NA UCET	43	20716	SIPO	AB	56638652
561011	1909	1996-05-11	VYDAJ	PREVOD NA UCET	43	20790	SIPO	AB	56638652
561012	1909	1996-06-11	VYDAJ	PREVOD NA UCET	43	18016	SIPO	AB	56638652
561013	1909	1996-07-11	VYDAJ	PREVOD NA UCET	43	18742	SIPO	AB	56638652
561014	1909	1996-08-11	VYDAJ	PREVOD NA UCET	43	19049	SIPO	AB	56638652
561015	1909	1996-09-11	VYDAJ	PREVOD NA UCET	43	20170	SIPO	AB	56638652
561016	1909	1996-10-11	VYDAJ	PREVOD NA UCET	43	21293	SIPO	AB	56638652
561017	1909	1996-11-11	VYDAJ	PREVOD NA UCET	43	20819	SIPO	AB	56638652
561018	1909	1996-12-11	VYDAJ	PREVOD NA UCET	43	20804	SIPO	AB	56638652
561019	1909	1997-01-11	VYDAJ	PREVOD NA UCET	43	19421	SIPO	AB	56638652
561020	1909	1997-02-11	VYDAJ	PREVOD NA UCET	43	18141	SIPO	AB	56638652
561021	1909	1997-03-11	VYDAJ	PREVOD NA UCET	43	16552	SIPO	AB	56638652
561022	1909	1997-04-11	VYDAJ	PREVOD NA UCET	43	16858	SIPO	AB	56638652
561023	1909	1997-05-11	VYDAJ	PREVOD NA UCET	43	17970	SIPO	AB	56638652
561024	1909	1997-06-11	VYDAJ	PREVOD NA UCET	43	19083	SIPO	AB	56638652
561025	1909	1997-07-11	VYDAJ	PREVOD NA UCET	43	16596	SIPO	AB	56638652
561026	1909	1997-08-11	VYDAJ	PREVOD NA UCET	43	17003	SIPO	AB	56638652
561027	1909	1997-09-11	VYDAJ	PREVOD NA UCET	43	18112	SIPO	AB	56638652
561028	1909	1997-10-11	VYDAJ	PREVOD NA UCET	43	19226	SIPO	AB	56638652
561029	1909	1997-11-11	VYDAJ	PREVOD NA UCET	43	20344	SIPO	AB	56638652
561030	1909	1997-12-11	VYDAJ	PREVOD NA UCET	43	19607	SIPO	AB	56638652
561031	1909	1998-01-11	VYDAJ	PREVOD NA UCET	43	19725	SIPO	AB	56638652
561032	1909	1998-02-11	VYDAJ	PREVOD NA UCET	43	18573	SIPO	AB	56638652
561033	1909	1998-03-11	VYDAJ	PREVOD NA UCET	43	19689	SIPO	AB	56638652
561034	1909	1998-04-11	VYDAJ	PREVOD NA UCET	43	18003	SIPO	AB	56638652
561035	1909	1998-05-11	VYDAJ	PREVOD NA UCET	43	18728	SIPO	AB	56638652
561036	1909	1998-06-11	VYDAJ	PREVOD NA UCET	43	17038	SIPO	AB	56638652
561037	1909	1998-07-11	VYDAJ	PREVOD NA UCET	43	18146	SIPO	AB	56638652
561038	1909	1998-08-11	VYDAJ	PREVOD NA UCET	43	19259	SIPO	AB	56638652
561039	1909	1998-09-11	VYDAJ	PREVOD NA UCET	43	18177	SIPO	AB	56638652
561040	1909	1998-10-11	VYDAJ	PREVOD NA UCET	43	14784	SIPO	AB	56638652
561041	1909	1998-11-11	VYDAJ	PREVOD NA UCET	43	15886	SIPO	AB	56638652
561042	1909	1998-12-11	VYDAJ	PREVOD NA UCET	43	16991	SIPO	AB	56638652
561048	1909	1993-06-14	VYDAJ	PREVOD NA UCET	1156	15556	 	KL	63000541
561049	1909	1993-07-14	VYDAJ	PREVOD NA UCET	1156	15655	 	KL	63000541
561050	1909	1993-08-14	VYDAJ	PREVOD NA UCET	1156	15839	 	KL	63000541
561051	1909	1993-09-14	VYDAJ	PREVOD NA UCET	1156	16566	 	KL	63000541
561052	1909	1993-10-14	VYDAJ	PREVOD NA UCET	1156	18615	 	KL	63000541
561053	1909	1993-11-14	VYDAJ	PREVOD NA UCET	1156	19739	 	KL	63000541
561054	1909	1993-12-14	VYDAJ	PREVOD NA UCET	1156	20389	 	KL	63000541
561055	1909	1994-01-14	VYDAJ	PREVOD NA UCET	1156	19362	 	KL	63000541
561056	1909	1994-02-14	VYDAJ	PREVOD NA UCET	1156	18722	 	KL	63000541
561057	1909	1994-03-14	VYDAJ	PREVOD NA UCET	1156	19847	 	KL	63000541
561058	1909	1994-04-14	VYDAJ	PREVOD NA UCET	1156	20554	 	KL	63000541
561059	1909	1994-05-14	VYDAJ	PREVOD NA UCET	1156	17932	 	KL	63000541
561060	1909	1994-06-14	VYDAJ	PREVOD NA UCET	1156	19986	 	KL	63000541
561061	1909	1994-07-14	VYDAJ	PREVOD NA UCET	1156	20189	 	KL	63000541
561062	1909	1994-08-14	VYDAJ	PREVOD NA UCET	1156	21324	 	KL	63000541
561063	1909	1994-09-14	VYDAJ	PREVOD NA UCET	1156	23389	 	KL	63000541
561064	1909	1994-10-14	VYDAJ	PREVOD NA UCET	1156	23126	 	KL	63000541
561065	1909	1994-11-14	VYDAJ	PREVOD NA UCET	1156	24276	 	KL	63000541
561066	1909	1994-12-14	VYDAJ	PREVOD NA UCET	1156	24056	 	KL	63000541
561067	1909	1995-01-14	VYDAJ	PREVOD NA UCET	1156	22385	 	KL	63000541
561068	1909	1995-02-14	VYDAJ	PREVOD NA UCET	1156	22867	 	KL	63000541
561069	1909	1995-03-14	VYDAJ	PREVOD NA UCET	1156	22879	 	KL	63000541
561070	1909	1995-04-14	VYDAJ	PREVOD NA UCET	1156	23356	 	KL	63000541
561071	1909	1995-05-14	VYDAJ	PREVOD NA UCET	1156	22463	 	KL	63000541
561072	1909	1995-06-14	VYDAJ	PREVOD NA UCET	1156	22402	 	KL	63000541
561073	1909	1995-07-14	VYDAJ	PREVOD NA UCET	1156	19004	 	KL	63000541
561074	1909	1995-08-14	VYDAJ	PREVOD NA UCET	1156	20130	 	KL	63000541
561075	1909	1995-09-14	VYDAJ	PREVOD NA UCET	1156	21260	 	KL	63000541
561076	1909	1995-10-14	VYDAJ	PREVOD NA UCET	1156	22395	 	KL	63000541
561077	1909	1995-11-14	VYDAJ	PREVOD NA UCET	1156	21231	 	KL	63000541
561078	1909	1995-12-14	VYDAJ	PREVOD NA UCET	1156	21046	 	KL	63000541
561079	1909	1996-01-14	VYDAJ	PREVOD NA UCET	1156	19214	 	KL	63000541
561080	1909	1996-02-14	VYDAJ	PREVOD NA UCET	1156	19012	 	KL	63000541
561081	1909	1996-03-14	VYDAJ	PREVOD NA UCET	1156	18206	 	KL	63000541
561082	1909	1996-04-14	VYDAJ	PREVOD NA UCET	1156	19560	 	KL	63000541
561083	1909	1996-05-14	VYDAJ	PREVOD NA UCET	1156	18706	 	KL	63000541
561084	1909	1996-06-14	VYDAJ	PREVOD NA UCET	1156	16470	 	KL	63000541
561085	1909	1996-07-14	VYDAJ	PREVOD NA UCET	1156	17586	 	KL	63000541
561086	1909	1996-08-14	VYDAJ	PREVOD NA UCET	1156	17893	 	KL	63000541
561087	1909	1996-09-14	VYDAJ	PREVOD NA UCET	1156	19014	 	KL	63000541
561088	1909	1996-10-14	VYDAJ	PREVOD NA UCET	1156	20137	 	KL	63000541
561089	1909	1996-11-14	VYDAJ	PREVOD NA UCET	1156	18735	 	KL	63000541
561090	1909	1996-12-14	VYDAJ	PREVOD NA UCET	1156	19648	 	KL	63000541
561091	1909	1997-01-14	VYDAJ	PREVOD NA UCET	1156	17455	 	KL	63000541
561092	1909	1997-02-14	VYDAJ	PREVOD NA UCET	1156	16057	 	KL	63000541
561093	1909	1997-03-14	VYDAJ	PREVOD NA UCET	1156	15396	 	KL	63000541
561094	1909	1997-04-14	VYDAJ	PREVOD NA UCET	1156	14774	 	KL	63000541
561095	1909	1997-05-14	VYDAJ	PREVOD NA UCET	1156	16814	 	KL	63000541
561096	1909	1997-06-14	VYDAJ	PREVOD NA UCET	1156	17927	 	KL	63000541
561097	1909	1997-07-14	VYDAJ	PREVOD NA UCET	1156	15440	 	KL	63000541
561098	1909	1997-08-14	VYDAJ	PREVOD NA UCET	1156	15847	 	KL	63000541
561099	1909	1997-09-14	VYDAJ	PREVOD NA UCET	1156	16956	 	KL	63000541
561100	1909	1997-10-14	VYDAJ	PREVOD NA UCET	1156	18070	 	KL	63000541
561101	1909	1997-11-14	VYDAJ	PREVOD NA UCET	1156	19188	 	KL	63000541
561102	1909	1997-12-14	VYDAJ	PREVOD NA UCET	1156	17523	 	KL	63000541
561103	1909	1998-01-14	VYDAJ	PREVOD NA UCET	1156	17011	 	KL	63000541
561104	1909	1998-02-14	VYDAJ	PREVOD NA UCET	1156	16489	 	KL	63000541
561105	1909	1998-03-14	VYDAJ	PREVOD NA UCET	1156	17605	 	KL	63000541
561106	1909	1998-04-14	VYDAJ	PREVOD NA UCET	1156	15919	 	KL	63000541
561107	1909	1998-05-14	VYDAJ	PREVOD NA UCET	1156	17572	 	KL	63000541
561108	1909	1998-06-14	VYDAJ	PREVOD NA UCET	1156	15882	 	KL	63000541
561109	1909	1998-07-14	VYDAJ	PREVOD NA UCET	1156	16062	 	KL	63000541
561110	1909	1998-08-14	VYDAJ	PREVOD NA UCET	1156	17175	 	KL	63000541
561111	1909	1998-09-14	VYDAJ	PREVOD NA UCET	1156	12521	 	KL	63000541
561112	1909	1998-10-14	VYDAJ	PREVOD NA UCET	1156	12700	 	KL	63000541
561113	1909	1998-11-14	VYDAJ	PREVOD NA UCET	1156	14730	 	KL	63000541
561114	1909	1998-12-14	VYDAJ	PREVOD NA UCET	1156	15835	 	KL	63000541
561120	1909	1993-06-14	VYDAJ	PREVOD NA UCET	928	14628	POJISTNE	KL	81369602
561121	1909	1993-07-14	VYDAJ	PREVOD NA UCET	928	14727	POJISTNE	KL	81369602
561122	1909	1993-08-14	VYDAJ	PREVOD NA UCET	928	16995	POJISTNE	KL	81369602
561123	1909	1993-09-14	VYDAJ	PREVOD NA UCET	928	17722	POJISTNE	KL	81369602
561124	1909	1993-10-14	VYDAJ	PREVOD NA UCET	928	17687	POJISTNE	KL	81369602
561125	1909	1993-11-14	VYDAJ	PREVOD NA UCET	928	18811	POJISTNE	KL	81369602
561126	1909	1993-12-14	VYDAJ	PREVOD NA UCET	928	19461	POJISTNE	KL	81369602
561127	1909	1994-01-14	VYDAJ	PREVOD NA UCET	928	18434	POJISTNE	KL	81369602
561128	1909	1994-02-14	VYDAJ	PREVOD NA UCET	928	17794	POJISTNE	KL	81369602
561129	1909	1994-03-14	VYDAJ	PREVOD NA UCET	928	18919	POJISTNE	KL	81369602
561130	1909	1994-04-14	VYDAJ	PREVOD NA UCET	928	19626	POJISTNE	KL	81369602
561131	1909	1994-05-14	VYDAJ	PREVOD NA UCET	928	19088	POJISTNE	KL	81369602
561132	1909	1994-06-14	VYDAJ	PREVOD NA UCET	928	19058	POJISTNE	KL	81369602
561133	1909	1994-07-14	VYDAJ	PREVOD NA UCET	928	21345	POJISTNE	KL	81369602
561134	1909	1994-08-14	VYDAJ	PREVOD NA UCET	928	22480	POJISTNE	KL	81369602
561135	1909	1994-09-14	VYDAJ	PREVOD NA UCET	928	22461	POJISTNE	KL	81369602
561136	1909	1994-10-14	VYDAJ	PREVOD NA UCET	928	24282	POJISTNE	KL	81369602
561137	1909	1994-11-14	VYDAJ	PREVOD NA UCET	928	25432	POJISTNE	KL	81369602
561138	1909	1994-12-14	VYDAJ	PREVOD NA UCET	928	22378	POJISTNE	KL	81369602
561139	1909	1995-01-14	VYDAJ	PREVOD NA UCET	928	23541	POJISTNE	KL	81369602
561140	1909	1995-02-14	VYDAJ	PREVOD NA UCET	928	21939	POJISTNE	KL	81369602
561141	1909	1995-03-14	VYDAJ	PREVOD NA UCET	928	24035	POJISTNE	KL	81369602
561142	1909	1995-04-14	VYDAJ	PREVOD NA UCET	928	22428	POJISTNE	KL	81369602
561143	1909	1995-05-14	VYDAJ	PREVOD NA UCET	928	23619	POJISTNE	KL	81369602
561144	1909	1995-06-14	VYDAJ	PREVOD NA UCET	928	23558	POJISTNE	KL	81369602
561145	1909	1995-07-14	VYDAJ	PREVOD NA UCET	928	18076	POJISTNE	KL	81369602
561146	1909	1995-08-14	VYDAJ	PREVOD NA UCET	928	19202	POJISTNE	KL	81369602
561147	1909	1995-09-14	VYDAJ	PREVOD NA UCET	928	20332	POJISTNE	KL	81369602
561148	1909	1995-10-14	VYDAJ	PREVOD NA UCET	928	21467	POJISTNE	KL	81369602
561149	1909	1995-11-14	VYDAJ	PREVOD NA UCET	928	20303	POJISTNE	KL	81369602
561150	1909	1995-12-14	VYDAJ	PREVOD NA UCET	928	22202	POJISTNE	KL	81369602
561151	1909	1996-01-14	VYDAJ	PREVOD NA UCET	928	20370	POJISTNE	KL	81369602
561152	1909	1996-02-14	VYDAJ	PREVOD NA UCET	928	18084	POJISTNE	KL	81369602
561153	1909	1996-03-14	VYDAJ	PREVOD NA UCET	928	19362	POJISTNE	KL	81369602
561154	1909	1996-04-14	VYDAJ	PREVOD NA UCET	928	18632	POJISTNE	KL	81369602
561155	1909	1996-05-14	VYDAJ	PREVOD NA UCET	928	19862	POJISTNE	KL	81369602
561156	1909	1996-06-14	VYDAJ	PREVOD NA UCET	928	15542	POJISTNE	KL	81369602
561157	1909	1996-07-14	VYDAJ	PREVOD NA UCET	928	16658	POJISTNE	KL	81369602
561158	1909	1996-08-14	VYDAJ	PREVOD NA UCET	928	16965	POJISTNE	KL	81369602
561159	1909	1996-09-14	VYDAJ	PREVOD NA UCET	928	18086	POJISTNE	KL	81369602
561160	1909	1996-10-14	VYDAJ	PREVOD NA UCET	928	19209	POJISTNE	KL	81369602
561161	1909	1996-11-14	VYDAJ	PREVOD NA UCET	928	19891	POJISTNE	KL	81369602
561162	1909	1996-12-14	VYDAJ	PREVOD NA UCET	928	18720	POJISTNE	KL	81369602
561163	1909	1997-01-14	VYDAJ	PREVOD NA UCET	928	16527	POJISTNE	KL	81369602
561164	1909	1997-02-14	VYDAJ	PREVOD NA UCET	928	17213	POJISTNE	KL	81369602
561165	1909	1997-03-14	VYDAJ	PREVOD NA UCET	928	14468	POJISTNE	KL	81369602
561166	1909	1997-04-14	VYDAJ	PREVOD NA UCET	928	15930	POJISTNE	KL	81369602
561167	1909	1997-05-14	VYDAJ	PREVOD NA UCET	928	15886	POJISTNE	KL	81369602
561168	1909	1997-06-14	VYDAJ	PREVOD NA UCET	928	16999	POJISTNE	KL	81369602
561169	1909	1997-07-14	VYDAJ	PREVOD NA UCET	928	14512	POJISTNE	KL	81369602
561170	1909	1997-08-14	VYDAJ	PREVOD NA UCET	928	14919	POJISTNE	KL	81369602
561171	1909	1997-09-14	VYDAJ	PREVOD NA UCET	928	16028	POJISTNE	KL	81369602
561172	1909	1997-10-14	VYDAJ	PREVOD NA UCET	928	17142	POJISTNE	KL	81369602
561173	1909	1997-11-14	VYDAJ	PREVOD NA UCET	928	18260	POJISTNE	KL	81369602
561174	1909	1997-12-14	VYDAJ	PREVOD NA UCET	928	18679	POJISTNE	KL	81369602
561175	1909	1998-01-14	VYDAJ	PREVOD NA UCET	928	18167	POJISTNE	KL	81369602
561176	1909	1998-02-14	VYDAJ	PREVOD NA UCET	928	17645	POJISTNE	KL	81369602
561177	1909	1998-03-14	VYDAJ	PREVOD NA UCET	928	18761	POJISTNE	KL	81369602
561178	1909	1998-04-14	VYDAJ	PREVOD NA UCET	928	17075	POJISTNE	KL	81369602
561179	1909	1998-05-14	VYDAJ	PREVOD NA UCET	928	16644	POJISTNE	KL	81369602
561180	1909	1998-06-14	VYDAJ	PREVOD NA UCET	928	14954	POJISTNE	KL	81369602
561181	1909	1998-07-14	VYDAJ	PREVOD NA UCET	928	17218	POJISTNE	KL	81369602
561182	1909	1998-08-14	VYDAJ	PREVOD NA UCET	928	18331	POJISTNE	KL	81369602
561183	1909	1998-09-14	VYDAJ	PREVOD NA UCET	928	11593	POJISTNE	KL	81369602
561184	1909	1998-10-14	VYDAJ	PREVOD NA UCET	928	13856	POJISTNE	KL	81369602
561185	1909	1998-11-14	VYDAJ	PREVOD NA UCET	928	13802	POJISTNE	KL	81369602
561186	1909	1998-12-14	VYDAJ	PREVOD NA UCET	928	14907	POJISTNE	KL	81369602
561189	1909	1995-06-15	VYDAJ	VYBER	4950	17452	\N	\N	\N
561193	1909	1993-12-28	VYDAJ	VYBER	180	19281	\N	\N	\N
561194	1909	1994-12-14	VYDAJ	VYBER	750	23306	\N	\N	\N
561195	1909	1995-12-30	VYDAJ	VYBER	480	20566	\N	\N	\N
561196	1909	1996-12-08	VYDAJ	VYBER	240	20847	\N	\N	\N
561197	1909	1997-12-15	VYDAJ	VYBER	330	17193	\N	\N	\N
561205	1909	1994-01-29	VYDAJ	VYBER	690	16664	\N	\N	\N
561206	1909	1994-01-04	VYDAJ	VYBER	840	18510	\N	\N	\N
561207	1909	1994-01-07	VYDAJ	VYBER	330	21371	\N	\N	\N
561208	1909	1994-01-20	VYDAJ	VYBER	870	17354	\N	\N	\N
561209	1909	1994-01-20	VYDAJ	VYBER	210	18224	\N	\N	\N
561210	1909	1994-01-14	VYDAJ	VYBER	810	20518	\N	\N	\N
561211	1909	1995-01-25	VYDAJ	VYBER	180	21005	\N	\N	\N
561212	1909	1995-01-20	VYDAJ	VYBER	480	21755	\N	\N	\N
561213	1909	1995-01-06	VYDAJ	VYBER	810	24842	\N	\N	\N
561214	1909	1995-01-19	VYDAJ	VYBER	150	22235	\N	\N	\N
561215	1909	1995-01-21	VYDAJ	VYBER	570	21185	\N	\N	\N
561216	1909	1995-01-27	VYDAJ	VYBER	210	20795	\N	\N	\N
561217	1909	1996-01-28	VYDAJ	VYBER	540	16954	\N	\N	\N
561218	1909	1996-01-11	VYDAJ	VYBER	540	23291	\N	\N	\N
561219	1909	1996-01-11	VYDAJ	VYBER	240	23051	\N	\N	\N
561220	1909	1996-01-17	VYDAJ	VYBER	570	18644	\N	\N	\N
561221	1909	1996-01-23	VYDAJ	VYBER	750	17894	\N	\N	\N
561222	1909	1996-01-13	VYDAJ	VYBER	390	22618	\N	\N	\N
561223	1909	1997-01-04	VYDAJ	VYBER	750	17323	\N	\N	\N
561224	1909	1997-01-05	VYDAJ	VYBER	540	19974	\N	\N	\N
561225	1909	1997-01-16	VYDAJ	VYBER	660	15867	\N	\N	\N
561226	1909	1997-01-09	VYDAJ	VYBER	510	19464	\N	\N	\N
561227	1909	1997-01-14	VYDAJ	VYBER	810	18611	\N	\N	\N
561228	1909	1997-01-03	VYDAJ	VYBER	210	18073	\N	\N	\N
561229	1909	1998-01-14	VYDAJ	VYBER	540	16471	\N	\N	\N
561230	1909	1998-01-11	VYDAJ	VYBER	630	19095	\N	\N	\N
561232	1909	1998-01-02	VYDAJ	VYBER	270	16577	\N	\N	\N
561236	1909	1993-12-06	VYDAJ	VYBER	480	21588	\N	\N	\N
561237	1909	1993-06-16	VYDAJ	VYBER	990	13638	\N	\N	\N
561239	1909	1993-08-30	VYDAJ	VYBER	390	15449	\N	\N	\N
561241	1909	1994-04-18	VYDAJ	VYBER	1290	18336	\N	\N	\N
561242	1909	1994-04-26	VYDAJ	VYBER	540	16806	\N	\N	\N
561243	1909	1994-10-02	VYDAJ	VYBER	480	22062	\N	\N	\N
561244	1909	1994-03-18	VYDAJ	VYBER	420	18499	\N	\N	\N
561245	1909	1994-04-19	VYDAJ	VYBER	990	17346	\N	\N	\N
561246	1909	1995-06-10	VYDAJ	VYBER	1110	24529	\N	\N	\N
561247	1909	1995-01-11	VYDAJ	VYBER	330	24469	\N	\N	\N
561248	1909	1995-06-23	VYDAJ	VYBER	510	16942	\N	\N	\N
561249	1909	1995-11-18	VYDAJ	VYBER	390	19913	\N	\N	\N
561250	1909	1995-05-05	VYDAJ	VYBER	1110	24590	\N	\N	\N
561251	1909	1996-01-14	VYDAJ	VYBER	1320	21298	\N	\N	\N
561252	1909	1996-05-09	VYDAJ	VYBER	150	20833	\N	\N	\N
561253	1909	1996-06-07	VYDAJ	VYBER	600	18059	\N	\N	\N
561254	1909	1996-06-13	VYDAJ	VYBER	390	17626	\N	\N	\N
561255	1909	1996-08-01	VYDAJ	VYBER	810	15901	\N	\N	\N
561256	1909	1996-04-26	VYDAJ	VYBER	900	17732	\N	\N	\N
561257	1909	1997-01-28	VYDAJ	VYBER	930	14937	\N	\N	\N
561258	1909	1997-11-27	VYDAJ	VYBER	1440	16400	\N	\N	\N
561264	1909	1997-11-24	VYDAJ	VYBER	420	17840	\N	\N	\N
561270	1909	1998-04-25	VYDAJ	VYBER	390	15529	\N	\N	\N
561272	1909	1998-09-10	VYDAJ	VYBER	390	18220	\N	\N	\N
561273	1909	1998-09-06	VYDAJ	VYBER	810	18610	\N	\N	\N
561281	1909	1993-06-30	VYDAJ	VYBER	15	13663	SLUZBY	\N	\N
561282	1909	1993-07-31	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
561283	1909	1993-08-31	VYDAJ	VYBER	15	15502	SLUZBY	\N	\N
561284	1909	1993-09-30	VYDAJ	VYBER	15	16623	SLUZBY	\N	\N
561285	1909	1993-10-31	VYDAJ	VYBER	15	17747	SLUZBY	\N	\N
561286	1909	1993-11-30	VYDAJ	VYBER	15	18877	SLUZBY	\N	\N
561287	1909	1993-12-31	VYDAJ	VYBER	15	19350	SLUZBY	\N	\N
561288	1909	1994-01-31	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
561289	1909	1994-02-28	VYDAJ	VYBER	15	17855	SLUZBY	\N	\N
561290	1909	1994-03-31	VYDAJ	VYBER	15	18562	SLUZBY	\N	\N
561291	1909	1994-04-30	VYDAJ	VYBER	15	16868	SLUZBY	\N	\N
561292	1909	1994-05-31	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
561293	1909	1994-06-30	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
561294	1909	1994-07-31	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
561295	1909	1994-08-31	VYDAJ	VYBER	15	21397	SLUZBY	\N	\N
561296	1909	1994-09-30	VYDAJ	VYBER	15	22542	SLUZBY	\N	\N
561297	1909	1994-10-31	VYDAJ	VYBER	15	23212	SLUZBY	\N	\N
561298	1909	1994-11-30	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
561299	1909	1994-12-31	VYDAJ	VYBER	15	22461	SLUZBY	\N	\N
561300	1909	1995-01-31	VYDAJ	VYBER	15	20875	SLUZBY	\N	\N
561301	1909	1995-02-28	VYDAJ	VYBER	15	22015	SLUZBY	\N	\N
561302	1909	1995-03-31	VYDAJ	VYBER	15	22964	SLUZBY	\N	\N
561303	1909	1995-04-30	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
561304	1909	1995-05-31	VYDAJ	VYBER	15	22548	SLUZBY	\N	\N
561305	1909	1995-06-30	VYDAJ	VYBER	15	17012	SLUZBY	\N	\N
561306	1909	1995-07-31	VYDAJ	VYBER	15	18138	SLUZBY	\N	\N
561307	1909	1995-08-31	VYDAJ	VYBER	15	19268	SLUZBY	\N	\N
561308	1909	1995-09-30	VYDAJ	VYBER	15	20403	SLUZBY	\N	\N
561309	1909	1995-10-31	VYDAJ	VYBER	15	19239	SLUZBY	\N	\N
561310	1909	1995-11-30	VYDAJ	VYBER	15	19982	SLUZBY	\N	\N
561311	1909	1995-12-31	VYDAJ	VYBER	15	20640	SLUZBY	\N	\N
561312	1909	1996-01-31	VYDAJ	VYBER	15	17020	SLUZBY	\N	\N
561313	1909	1996-02-29	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
561314	1909	1996-03-31	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
561315	1909	1996-04-30	VYDAJ	VYBER	15	17792	SLUZBY	\N	\N
561316	1909	1996-05-31	VYDAJ	VYBER	15	15468	SLUZBY	\N	\N
561317	1909	1996-06-30	VYDAJ	VYBER	15	15594	SLUZBY	\N	\N
561318	1909	1996-07-31	VYDAJ	VYBER	15	16711	SLUZBY	\N	\N
561319	1909	1996-08-31	VYDAJ	VYBER	15	17022	SLUZBY	\N	\N
561320	1909	1996-09-30	VYDAJ	VYBER	15	18145	SLUZBY	\N	\N
561321	1909	1996-10-31	VYDAJ	VYBER	15	17671	SLUZBY	\N	\N
561322	1909	1996-11-30	VYDAJ	VYBER	15	17896	SLUZBY	\N	\N
561323	1909	1996-12-31	VYDAJ	VYBER	15	18283	SLUZBY	\N	\N
561324	1909	1997-01-31	VYDAJ	VYBER	15	14993	SLUZBY	\N	\N
561325	1909	1997-02-28	VYDAJ	VYBER	15	13404	SLUZBY	\N	\N
561326	1909	1997-03-31	VYDAJ	VYBER	15	13710	SLUZBY	\N	\N
561327	1909	1997-04-30	VYDAJ	VYBER	15	14822	SLUZBY	\N	\N
561328	1909	1997-05-31	VYDAJ	VYBER	15	15935	SLUZBY	\N	\N
561329	1909	1997-06-30	VYDAJ	VYBER	15	13448	SLUZBY	\N	\N
561330	1909	1997-07-31	VYDAJ	VYBER	15	13855	SLUZBY	\N	\N
561331	1909	1997-08-31	VYDAJ	VYBER	15	14964	SLUZBY	\N	\N
561332	1909	1997-09-30	VYDAJ	VYBER	15	16078	SLUZBY	\N	\N
561333	1909	1997-10-31	VYDAJ	VYBER	15	17196	SLUZBY	\N	\N
561334	1909	1997-11-30	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
561335	1909	1997-12-31	VYDAJ	VYBER	15	16847	SLUZBY	\N	\N
561336	1909	1998-01-31	VYDAJ	VYBER	15	15425	SLUZBY	\N	\N
561337	1909	1998-02-28	VYDAJ	VYBER	15	16541	SLUZBY	\N	\N
561338	1909	1998-03-31	VYDAJ	VYBER	15	14855	SLUZBY	\N	\N
561339	1909	1998-04-30	VYDAJ	VYBER	15	15580	SLUZBY	\N	\N
561340	1909	1998-05-31	VYDAJ	VYBER	15	13890	SLUZBY	\N	\N
561341	1909	1998-06-30	VYDAJ	VYBER	15	14998	SLUZBY	\N	\N
561342	1909	1998-07-31	VYDAJ	VYBER	15	16111	SLUZBY	\N	\N
561343	1909	1998-08-31	VYDAJ	VYBER	15	16229	SLUZBY	\N	\N
561344	1909	1998-09-30	VYDAJ	VYBER	15	11636	SLUZBY	\N	\N
561345	1909	1998-10-31	VYDAJ	VYBER	15	12738	SLUZBY	\N	\N
561346	1909	1998-11-30	VYDAJ	VYBER	15	13843	SLUZBY	\N	\N
561347	1909	1994-12-03	VYDAJ	VYBER	2300	22064	\N	\N	\N
561348	1909	1995-03-03	VYDAJ	VYBER	200	21815	\N	\N	\N
561349	1909	1995-04-02	VYDAJ	VYBER	1600	21364	\N	\N	\N
561350	1909	1995-06-01	VYDAJ	VYBER	100	22448	\N	\N	\N
561351	1909	1995-10-29	VYDAJ	VYBER	2300	19167	\N	\N	\N
561352	1909	1996-01-27	VYDAJ	VYBER	400	17494	\N	\N	\N
561353	1909	1996-02-26	VYDAJ	VYBER	1000	17084	\N	\N	\N
561354	1909	1996-03-27	VYDAJ	VYBER	700	17506	\N	\N	\N
561355	1909	1996-05-26	VYDAJ	VYBER	3300	15406	\N	\N	\N
561356	1909	1996-10-23	VYDAJ	VYBER	1600	17609	\N	\N	\N
561357	1909	1996-11-22	VYDAJ	VYBER	900	17835	\N	\N	\N
561358	1909	1996-12-22	VYDAJ	VYBER	500	18220	\N	\N	\N
561359	1909	1997-02-20	VYDAJ	VYBER	2700	13357	\N	\N	\N
561360	1909	1997-03-22	VYDAJ	VYBER	800	13668	\N	\N	\N
561361	1909	1997-06-20	VYDAJ	VYBER	3600	13399	\N	\N	\N
561362	1909	1997-07-20	VYDAJ	VYBER	700	13812	\N	\N	\N
561363	1909	1997-12-17	VYDAJ	VYBER	400	16793	\N	\N	\N
561364	1909	1998-01-16	VYDAJ	VYBER	1100	15371	\N	\N	\N
561365	1909	1998-03-17	VYDAJ	VYBER	2800	14805	\N	\N	\N
561366	1909	1998-05-16	VYDAJ	VYBER	2800	13844	\N	\N	\N
561367	1909	1998-08-14	VYDAJ	VYBER	1000	16175	\N	\N	\N
561368	1909	1998-09-13	VYDAJ	VYBER	4500	13677	\N	\N	\N
561436	1910	1996-09-06	PRIJEM	VKLAD	800	800	\N	\N	\N
561446	1910	1996-10-06	PRIJEM	VKLAD	19869	20669	\N	\N	\N
561447	1910	1996-11-06	PRIJEM	VKLAD	19869	42922	\N	\N	\N
561448	1910	1996-12-06	PRIJEM	VKLAD	29804	66391	\N	\N	\N
561449	1910	1997-01-06	PRIJEM	VKLAD	19869	71221	\N	\N	\N
561450	1910	1997-02-06	PRIJEM	VKLAD	19869	70184	\N	\N	\N
561451	1910	1997-03-06	PRIJEM	VKLAD	19869	69334	\N	\N	\N
561452	1910	1997-04-06	PRIJEM	VKLAD	19869	69878	\N	\N	\N
561453	1910	1997-05-06	PRIJEM	VKLAD	19869	70695	\N	\N	\N
561454	1910	1997-06-06	PRIJEM	VKLAD	29804	84474	\N	\N	\N
561455	1910	1997-07-06	PRIJEM	VKLAD	19869	70076	\N	\N	\N
561456	1910	1997-08-06	PRIJEM	VKLAD	19869	74970	\N	\N	\N
561457	1910	1997-09-06	PRIJEM	VKLAD	19869	84931	\N	\N	\N
561458	1910	1997-10-06	PRIJEM	VKLAD	19869	91133	\N	\N	\N
561459	1910	1997-11-06	PRIJEM	VKLAD	19869	93563	\N	\N	\N
561460	1910	1997-12-06	PRIJEM	VKLAD	29804	101234	\N	\N	\N
561461	1910	1998-01-06	PRIJEM	VKLAD	19869	92543	\N	\N	\N
561462	1910	1998-02-06	PRIJEM	VKLAD	19869	85263	\N	\N	\N
561463	1910	1998-03-06	PRIJEM	VKLAD	19869	85258	\N	\N	\N
561464	1910	1998-04-06	PRIJEM	VKLAD	19869	87152	\N	\N	\N
561465	1910	1998-05-06	PRIJEM	VKLAD	19869	92054	\N	\N	\N
561466	1910	1998-06-06	PRIJEM	VKLAD	29804	107910	\N	\N	\N
561467	1910	1998-07-06	PRIJEM	VKLAD	19869	69327	\N	\N	\N
561468	1910	1998-08-06	PRIJEM	VKLAD	19869	84858	\N	\N	\N
561469	1910	1998-09-06	PRIJEM	VKLAD	19869	94749	\N	\N	\N
561470	1910	1998-10-06	PRIJEM	VKLAD	19869	97375	\N	\N	\N
561471	1910	1998-11-06	PRIJEM	VKLAD	19869	93001	\N	\N	\N
561472	1910	1998-12-06	PRIJEM	VKLAD	29804	105545	\N	\N	\N
561486	1910	1997-02-06	VYDAJ	PREVOD NA UCET	851	69333	SIPO	YZ	15554768
561487	1910	1997-03-06	VYDAJ	PREVOD NA UCET	851	68483	SIPO	YZ	15554768
561488	1910	1997-04-06	VYDAJ	PREVOD NA UCET	851	69027	SIPO	YZ	15554768
561489	1910	1997-05-06	VYDAJ	PREVOD NA UCET	851	69844	SIPO	YZ	15554768
561490	1910	1997-06-06	VYDAJ	PREVOD NA UCET	851	83623	SIPO	YZ	15554768
561491	1910	1997-07-06	VYDAJ	PREVOD NA UCET	851	69225	SIPO	YZ	15554768
561492	1910	1997-08-06	VYDAJ	PREVOD NA UCET	851	74119	SIPO	YZ	15554768
561493	1910	1997-09-06	VYDAJ	PREVOD NA UCET	851	84080	SIPO	YZ	15554768
561494	1910	1997-10-06	VYDAJ	PREVOD NA UCET	851	90282	SIPO	YZ	15554768
561495	1910	1997-11-06	VYDAJ	PREVOD NA UCET	851	92712	SIPO	YZ	15554768
561496	1910	1997-12-06	VYDAJ	PREVOD NA UCET	851	100383	SIPO	YZ	15554768
561497	1910	1998-01-06	VYDAJ	PREVOD NA UCET	851	91692	SIPO	YZ	15554768
561498	1910	1998-02-06	VYDAJ	PREVOD NA UCET	851	84412	SIPO	YZ	15554768
561499	1910	1998-03-06	VYDAJ	PREVOD NA UCET	851	84407	SIPO	YZ	15554768
561500	1910	1998-04-06	VYDAJ	PREVOD NA UCET	851	86301	SIPO	YZ	15554768
561501	1910	1998-05-06	VYDAJ	PREVOD NA UCET	851	91203	SIPO	YZ	15554768
561502	1910	1998-06-06	VYDAJ	PREVOD NA UCET	851	76959	SIPO	YZ	15554768
561503	1910	1998-07-06	VYDAJ	PREVOD NA UCET	851	68476	SIPO	YZ	15554768
561504	1910	1998-08-06	VYDAJ	PREVOD NA UCET	851	84007	SIPO	YZ	15554768
561505	1910	1998-09-06	VYDAJ	PREVOD NA UCET	851	93898	SIPO	YZ	15554768
561506	1910	1998-10-06	VYDAJ	PREVOD NA UCET	851	96524	SIPO	YZ	15554768
561507	1910	1998-11-06	VYDAJ	PREVOD NA UCET	851	92150	SIPO	YZ	15554768
561508	1910	1998-12-06	VYDAJ	PREVOD NA UCET	851	104694	SIPO	YZ	15554768
561522	1910	1997-02-07	VYDAJ	PREVOD NA UCET	2336	66997	 	EF	95706283
561523	1910	1997-03-07	VYDAJ	PREVOD NA UCET	2336	66147	 	EF	95706283
561524	1910	1997-04-07	VYDAJ	PREVOD NA UCET	2336	66691	 	EF	95706283
561525	1910	1997-05-07	VYDAJ	PREVOD NA UCET	2336	67508	 	EF	95706283
561526	1910	1997-06-07	VYDAJ	PREVOD NA UCET	2336	81287	 	EF	95706283
561527	1910	1997-07-07	VYDAJ	PREVOD NA UCET	2336	66889	 	EF	95706283
561528	1910	1997-08-07	VYDAJ	PREVOD NA UCET	2336	71783	 	EF	95706283
561529	1910	1997-09-07	VYDAJ	PREVOD NA UCET	2336	81744	 	EF	95706283
561530	1910	1997-10-07	VYDAJ	PREVOD NA UCET	2336	87946	 	EF	95706283
561531	1910	1997-11-07	VYDAJ	PREVOD NA UCET	2336	90376	 	EF	95706283
561532	1910	1997-12-07	VYDAJ	PREVOD NA UCET	2336	98047	 	EF	95706283
561533	1910	1998-01-07	VYDAJ	PREVOD NA UCET	2336	89356	 	EF	95706283
561534	1910	1998-02-07	VYDAJ	PREVOD NA UCET	2336	82076	 	EF	95706283
561535	1910	1998-03-07	VYDAJ	PREVOD NA UCET	2336	82071	 	EF	95706283
561536	1910	1998-04-07	VYDAJ	PREVOD NA UCET	2336	83965	 	EF	95706283
561537	1910	1998-05-07	VYDAJ	PREVOD NA UCET	2336	88867	 	EF	95706283
561538	1910	1998-06-07	VYDAJ	PREVOD NA UCET	2336	74623	 	EF	95706283
561539	1910	1998-07-07	VYDAJ	PREVOD NA UCET	2336	66140	 	EF	95706283
561540	1910	1998-08-07	VYDAJ	PREVOD NA UCET	2336	81671	 	EF	95706283
561541	1910	1998-09-07	VYDAJ	PREVOD NA UCET	2336	91562	 	EF	95706283
561542	1910	1998-10-07	VYDAJ	PREVOD NA UCET	2336	94188	 	EF	95706283
561543	1910	1998-11-07	VYDAJ	PREVOD NA UCET	2336	89814	 	EF	95706283
561544	1910	1998-12-07	VYDAJ	PREVOD NA UCET	2336	102358	 	EF	95706283
561546	1910	1997-06-14	VYDAJ	VYBER	31520	49767	\N	\N	\N
561547	1910	1998-06-12	VYDAJ	VYBER	41760	32863	\N	\N	\N
561550	1910	1998-01-13	VYDAJ	VYBER	2560	84156	\N	\N	\N
561552	1910	1997-12-23	VYDAJ	VYBER	2880	95167	\N	\N	\N
561553	1910	1998-12-17	VYDAJ	VYBER KARTOU	4500	95858	\N	\N	0
561566	1910	1998-01-25	VYDAJ	VYBER	1200	76956	\N	\N	\N
561567	1910	1998-01-01	VYDAJ	VYBER	2760	72674	\N	\N	\N
561568	1910	1998-01-29	VYDAJ	VYBER	1080	65076	\N	\N	\N
561569	1910	1998-01-11	VYDAJ	VYBER	2640	86716	\N	\N	\N
561570	1910	1998-01-23	VYDAJ	VYBER	2880	78156	\N	\N	\N
561571	1910	1998-01-15	VYDAJ	VYBER	3120	81036	\N	\N	\N
561575	1910	1997-11-23	VYDAJ	VYBER	3600	86776	\N	\N	\N
561577	1910	1997-04-25	VYDAJ	VYBER	1800	59371	\N	\N	\N
561578	1910	1997-07-14	VYDAJ	VYBER	720	66169	\N	\N	\N
561579	1910	1997-04-22	VYDAJ	VYBER	5520	61171	\N	\N	\N
561580	1910	1997-08-05	VYDAJ	VYBER	3720	55101	\N	\N	\N
561581	1910	1998-10-10	VYDAJ	VYBER KARTOU	3000	91188	\N	\N	0
561582	1910	1998-12-10	VYDAJ	VYBER KARTOU	2000	100358	\N	\N	0
561583	1910	1998-11-07	VYDAJ	VYBER KARTOU	1900	87914	\N	\N	0
561584	1910	1998-11-20	VYDAJ	VYBER KARTOU	5800	82114	\N	\N	0
561585	1910	1998-12-02	VYDAJ	VYBER KARTOU	1300	75741	\N	\N	0
561586	1910	1998-10-29	VYDAJ	VYBER KARTOU	3700	72788	\N	\N	0
561601	1910	1997-02-28	VYDAJ	VYBER	15	67265	SLUZBY	\N	\N
561602	1910	1997-03-31	VYDAJ	VYBER	15	66409	SLUZBY	\N	\N
561603	1910	1997-04-30	VYDAJ	VYBER	15	59626	SLUZBY	\N	\N
561604	1910	1997-05-31	VYDAJ	VYBER	15	67770	SLUZBY	\N	\N
561605	1910	1997-06-30	VYDAJ	VYBER	15	50007	SLUZBY	\N	\N
561606	1910	1997-07-31	VYDAJ	VYBER	15	66421	SLUZBY	\N	\N
561607	1910	1997-08-31	VYDAJ	VYBER	15	72062	SLUZBY	\N	\N
561608	1910	1997-09-30	VYDAJ	VYBER	15	82064	SLUZBY	\N	\N
561609	1910	1997-10-31	VYDAJ	VYBER	15	88294	SLUZBY	\N	\N
561610	1910	1997-11-30	VYDAJ	VYBER	15	87130	SLUZBY	\N	\N
561611	1910	1997-12-31	VYDAJ	VYBER	15	75434	SLUZBY	\N	\N
561612	1910	1998-01-31	VYDAJ	VYBER	15	65394	SLUZBY	\N	\N
561613	1910	1998-02-28	VYDAJ	VYBER	15	82389	SLUZBY	\N	\N
561614	1910	1998-03-31	VYDAJ	VYBER	15	67283	SLUZBY	\N	\N
561615	1910	1998-04-30	VYDAJ	VYBER	15	72185	SLUZBY	\N	\N
561616	1910	1998-05-31	VYDAJ	VYBER	15	78106	SLUZBY	\N	\N
561617	1910	1998-06-30	VYDAJ	VYBER	15	49458	SLUZBY	\N	\N
561618	1910	1998-07-31	VYDAJ	VYBER	15	64989	SLUZBY	\N	\N
561619	1910	1998-08-31	VYDAJ	VYBER	15	74880	SLUZBY	\N	\N
561620	1910	1998-09-30	VYDAJ	VYBER	15	77506	SLUZBY	\N	\N
561621	1910	1998-10-31	VYDAJ	VYBER	15	73132	SLUZBY	\N	\N
561622	1910	1998-11-30	VYDAJ	VYBER	15	77041	SLUZBY	\N	\N
561623	1910	1996-10-06	PRIJEM	VKLAD	3300	23969	\N	\N	\N
561624	1910	1996-11-05	VYDAJ	VYBER	1000	23053	\N	\N	\N
561625	1910	1996-12-05	VYDAJ	VYBER	6500	36587	\N	\N	\N
561626	1910	1997-01-04	VYDAJ	VYBER	15300	51352	\N	\N	\N
561627	1910	1997-02-03	VYDAJ	VYBER	21200	50315	\N	\N	\N
561628	1910	1997-03-05	VYDAJ	VYBER	17800	49465	\N	\N	\N
561629	1910	1997-04-04	VYDAJ	VYBER	16400	50009	\N	\N	\N
561630	1910	1997-05-04	VYDAJ	VYBER	8800	50826	\N	\N	\N
561631	1910	1997-06-03	VYDAJ	VYBER	13100	54670	\N	\N	\N
561632	1910	1997-07-03	PRIJEM	VKLAD	200	50207	\N	\N	\N
561633	1910	1997-08-02	VYDAJ	VYBER	7600	58821	\N	\N	\N
561634	1910	1997-09-01	VYDAJ	VYBER	7000	65062	\N	\N	\N
561635	1910	1997-10-01	VYDAJ	VYBER	10800	71264	\N	\N	\N
561636	1910	1997-10-31	VYDAJ	VYBER	14600	73694	\N	\N	\N
561637	1910	1997-11-30	VYDAJ	VYBER	15700	71430	\N	\N	\N
561638	1910	1997-12-30	VYDAJ	VYBER	20100	75067	\N	\N	\N
561639	1910	1998-01-29	VYDAJ	VYBER	10800	66156	\N	\N	\N
561640	1910	1998-02-28	VYDAJ	VYBER	17000	65389	\N	\N	\N
561641	1910	1998-03-30	VYDAJ	VYBER	15100	66971	\N	\N	\N
561642	1910	1998-04-29	VYDAJ	VYBER	12100	71865	\N	\N	\N
561643	1910	1998-05-29	VYDAJ	VYBER	11100	77767	\N	\N	\N
561644	1910	1998-06-06	VYDAJ	VYBER	30100	77810	\N	\N	\N
561645	1910	1998-06-28	PRIJEM	VKLAD	16400	49263	\N	\N	\N
561646	1910	1998-07-28	VYDAJ	VYBER KARTOU	1400	64740	\N	\N	0
561647	1910	1998-08-27	VYDAJ	VYBER KARTOU	7100	74571	\N	\N	0
561648	1910	1998-09-26	VYDAJ	VYBER	14400	77162	\N	\N	\N
561649	1910	1998-10-26	VYDAJ	VYBER	14700	76488	\N	\N	\N
561650	1910	1998-11-25	VYDAJ	VYBER KARTOU	5400	76714	\N	\N	0
561678	1911	1994-08-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
561687	1911	1994-09-11	PRIJEM	VKLAD	16284	17384	\N	\N	\N
561688	1911	1994-10-11	PRIJEM	VKLAD	16284	38201	\N	\N	\N
561689	1911	1994-11-11	PRIJEM	VKLAD	16284	48493	\N	\N	\N
561690	1911	1994-12-11	PRIJEM	VKLAD	24426	59057	\N	\N	\N
561691	1911	1995-01-11	PRIJEM	VKLAD	16284	58999	\N	\N	\N
561692	1911	1995-02-11	PRIJEM	VKLAD	16284	52219	\N	\N	\N
561693	1911	1995-03-11	PRIJEM	VKLAD	16284	55343	\N	\N	\N
561694	1911	1995-04-11	PRIJEM	VKLAD	16284	58080	\N	\N	\N
561695	1911	1995-05-11	PRIJEM	VKLAD	16284	54343	\N	\N	\N
561696	1911	1995-06-11	PRIJEM	VKLAD	24426	64917	\N	\N	\N
561697	1911	1995-07-11	PRIJEM	VKLAD	16284	22202	\N	\N	\N
561698	1911	1995-08-11	PRIJEM	VKLAD	16284	39412	\N	\N	\N
561699	1911	1995-09-11	PRIJEM	VKLAD	16284	50143	\N	\N	\N
561700	1911	1995-10-11	PRIJEM	VKLAD	16284	56677	\N	\N	\N
561701	1911	1995-11-11	PRIJEM	VKLAD	16284	51012	\N	\N	\N
561702	1911	1995-12-11	PRIJEM	VKLAD	24426	61179	\N	\N	\N
561703	1911	1996-01-11	PRIJEM	VKLAD	16284	55538	\N	\N	\N
561704	1911	1996-02-11	PRIJEM	VKLAD	16284	47286	\N	\N	\N
561705	1911	1996-03-11	PRIJEM	VKLAD	16284	50897	\N	\N	\N
561706	1911	1996-04-11	PRIJEM	VKLAD	16284	57727	\N	\N	\N
561707	1911	1996-05-11	PRIJEM	VKLAD	16284	56165	\N	\N	\N
561708	1911	1996-06-11	PRIJEM	VKLAD	24426	63240	\N	\N	\N
561709	1911	1996-07-11	PRIJEM	VKLAD	16284	16293	\N	\N	\N
561710	1911	1996-08-11	PRIJEM	VKLAD	16284	32500	\N	\N	\N
561711	1911	1996-09-11	PRIJEM	VKLAD	16284	40561	\N	\N	\N
561712	1911	1996-10-11	PRIJEM	VKLAD	16284	48517	\N	\N	\N
561713	1911	1996-11-11	PRIJEM	VKLAD	16284	50174	\N	\N	\N
561714	1911	1996-12-11	PRIJEM	VKLAD	24426	58111	\N	\N	\N
561715	1911	1997-01-11	PRIJEM	VKLAD	16284	48126	\N	\N	\N
561716	1911	1997-02-11	PRIJEM	VKLAD	16284	41889	\N	\N	\N
561717	1911	1997-03-11	PRIJEM	VKLAD	16284	44016	\N	\N	\N
561718	1911	1997-04-11	PRIJEM	VKLAD	16284	44912	\N	\N	\N
561719	1911	1997-05-11	PRIJEM	VKLAD	16284	44960	\N	\N	\N
561720	1911	1997-06-11	PRIJEM	VKLAD	24426	52657	\N	\N	\N
561721	1911	1997-07-11	PRIJEM	VKLAD	16284	28608	\N	\N	\N
561722	1911	1997-08-11	PRIJEM	VKLAD	16284	37575	\N	\N	\N
561723	1911	1997-09-11	PRIJEM	VKLAD	16284	40762	\N	\N	\N
561724	1911	1997-10-11	PRIJEM	VKLAD	16284	41902	\N	\N	\N
561725	1911	1997-11-11	PRIJEM	VKLAD	16284	43137	\N	\N	\N
561726	1911	1997-12-11	PRIJEM	VKLAD	24426	47424	\N	\N	\N
561727	1911	1998-01-11	PRIJEM	VKLAD	16284	38096	\N	\N	\N
561728	1911	1998-02-11	PRIJEM	VKLAD	16284	36620	\N	\N	\N
561729	1911	1998-03-11	PRIJEM	VKLAD	16284	34334	\N	\N	\N
561730	1911	1998-04-11	PRIJEM	VKLAD	16284	32763	\N	\N	\N
561731	1911	1998-05-11	PRIJEM	VKLAD	16284	35662	\N	\N	\N
561732	1911	1998-06-11	PRIJEM	VKLAD	24426	48316	\N	\N	\N
561733	1911	1998-07-11	PRIJEM	VKLAD	16284	25505	\N	\N	\N
561734	1911	1998-08-11	PRIJEM	VKLAD	16284	29361	\N	\N	\N
561735	1911	1998-09-11	PRIJEM	VKLAD	16284	30682	\N	\N	\N
561736	1911	1998-10-11	PRIJEM	VKLAD	16284	27070	\N	\N	\N
561737	1911	1998-11-11	PRIJEM	VKLAD	16284	30082	\N	\N	\N
561738	1911	1998-12-11	PRIJEM	VKLAD	24426	35169	\N	\N	\N
561740	1911	1995-06-27	VYDAJ	VYBER	39040	5777	\N	\N	\N
561741	1911	1996-06-21	VYDAJ	VYBER	38080	3260	\N	\N	\N
561742	1911	1997-06-15	VYDAJ	VYBER	39040	13617	\N	\N	\N
561743	1911	1998-06-26	VYDAJ	VYBER	30720	17596	\N	\N	\N
561745	1911	1995-12-24	VYDAJ	VYBER	2720	41859	\N	\N	\N
561746	1911	1996-12-08	VYDAJ	VYBER	1280	49085	\N	\N	\N
561747	1911	1997-12-15	VYDAJ	VYBER	3520	43904	\N	\N	\N
561748	1911	1998-12-22	VYDAJ	VYBER	1600	33569	\N	\N	\N
561755	1911	1995-01-27	VYDAJ	VYBER	2040	35779	\N	\N	\N
561757	1911	1995-01-27	VYDAJ	VYBER	600	37819	\N	\N	\N
561758	1911	1995-01-19	VYDAJ	VYBER	1800	41779	\N	\N	\N
561759	1911	1995-01-20	VYDAJ	VYBER	3360	38419	\N	\N	\N
561760	1911	1995-01-17	VYDAJ	VYBER	1920	57079	\N	\N	\N
561761	1911	1996-01-15	VYDAJ	VYBER	960	36258	\N	\N	\N
561762	1911	1996-01-21	VYDAJ	VYBER	1200	34098	\N	\N	\N
561763	1911	1996-01-14	VYDAJ	VYBER	2520	37218	\N	\N	\N
561764	1911	1996-01-02	VYDAJ	VYBER	2760	39254	\N	\N	\N
561765	1911	1996-01-16	VYDAJ	VYBER	960	35298	\N	\N	\N
561766	1911	1996-01-28	VYDAJ	VYBER	2280	31818	\N	\N	\N
561767	1911	1997-01-15	VYDAJ	VYBER	2760	43566	\N	\N	\N
561768	1911	1997-01-11	VYDAJ	VYBER	1800	46326	\N	\N	\N
561769	1911	1997-01-23	VYDAJ	VYBER	3240	37206	\N	\N	\N
561770	1911	1997-01-16	VYDAJ	VYBER	2040	41526	\N	\N	\N
561771	1911	1997-01-24	VYDAJ	VYBER	3480	33726	\N	\N	\N
561772	1911	1997-01-29	VYDAJ	VYBER	2880	30846	\N	\N	\N
561773	1911	1998-01-05	VYDAJ	VYBER	1560	24452	\N	\N	\N
561774	1911	1998-01-02	VYDAJ	VYBER	2760	26012	\N	\N	\N
561775	1911	1998-01-24	VYDAJ	VYBER	1920	32816	\N	\N	\N
561776	1911	1998-01-30	VYDAJ	VYBER	600	32216	\N	\N	\N
561777	1911	1998-01-10	VYDAJ	VYBER	2640	21812	\N	\N	\N
561778	1911	1998-01-22	VYDAJ	VYBER	3360	34736	\N	\N	\N
561783	1911	1995-10-20	VYDAJ	VYBER	2160	38417	\N	\N	\N
561784	1911	1995-04-14	VYDAJ	VYBER	5280	52800	\N	\N	\N
561785	1911	1995-07-22	VYDAJ	VYBER	2520	23082	\N	\N	\N
561786	1911	1995-10-31	VYDAJ	VYBER	3840	34728	\N	\N	\N
561787	1911	1995-09-06	VYDAJ	VYBER	960	33859	\N	\N	\N
561788	1911	1996-07-14	VYDAJ	VYBER	600	15693	\N	\N	\N
561789	1911	1996-06-29	VYDAJ	VYBER	5280	-2020	\N	\N	\N
561790	1911	1996-05-24	VYDAJ	VYBER	1200	38665	\N	\N	\N
561791	1911	1996-12-29	VYDAJ	VYBER	3360	51871	\N	\N	\N
561792	1911	1996-02-08	VYDAJ	VYBER	960	31002	\N	\N	\N
561793	1911	1996-12-23	VYDAJ	VYBER	2880	55231	\N	\N	\N
561794	1911	1996-09-20	VYDAJ	VYBER	2760	37801	\N	\N	\N
561795	1911	1996-08-30	VYDAJ	VYBER	4320	28180	\N	\N	\N
561796	1911	1997-09-14	VYDAJ	VYBER	4680	36082	\N	\N	\N
561797	1911	1997-01-09	VYDAJ	VYBER	2040	31842	\N	\N	\N
561798	1911	1997-01-17	VYDAJ	VYBER	1080	40446	\N	\N	\N
561799	1911	1997-03-13	VYDAJ	VYBER	5040	38976	\N	\N	\N
561800	1911	1997-08-12	VYDAJ	VYBER	1920	35655	\N	\N	\N
561801	1911	1998-09-17	VYDAJ	VYBER	3360	27322	\N	\N	\N
561802	1911	1998-03-25	VYDAJ	VYBER	4680	29654	\N	\N	\N
561803	1911	1998-12-09	VYDAJ	VYBER	5280	10743	\N	\N	\N
561804	1911	1998-06-29	VYDAJ	VYBER	3720	13876	\N	\N	\N
561818	1911	1995-01-31	VYDAJ	VYBER	15	35935	SLUZBY	\N	\N
561819	1911	1995-02-28	VYDAJ	VYBER	15	39059	SLUZBY	\N	\N
561820	1911	1995-03-31	VYDAJ	VYBER	15	41796	SLUZBY	\N	\N
561821	1911	1995-04-30	VYDAJ	VYBER	15	38059	SLUZBY	\N	\N
561822	1911	1995-05-31	VYDAJ	VYBER	15	40491	SLUZBY	\N	\N
561823	1911	1995-06-30	VYDAJ	VYBER	15	5918	SLUZBY	\N	\N
561824	1911	1995-07-31	VYDAJ	VYBER	15	23128	SLUZBY	\N	\N
561825	1911	1995-08-31	VYDAJ	VYBER	15	34819	SLUZBY	\N	\N
561826	1911	1995-09-30	VYDAJ	VYBER	15	40393	SLUZBY	\N	\N
561827	1911	1995-10-31	VYDAJ	VYBER	15	38568	SLUZBY	\N	\N
561828	1911	1995-11-30	VYDAJ	VYBER	15	36753	SLUZBY	\N	\N
561829	1911	1995-12-31	VYDAJ	VYBER	15	42014	SLUZBY	\N	\N
561830	1911	1996-01-31	VYDAJ	VYBER	15	31962	SLUZBY	\N	\N
561831	1911	1996-02-29	VYDAJ	VYBER	15	34613	SLUZBY	\N	\N
561832	1911	1996-03-31	VYDAJ	VYBER	15	41443	SLUZBY	\N	\N
561833	1911	1996-04-30	VYDAJ	VYBER	15	39881	SLUZBY	\N	\N
561834	1911	1996-05-31	VYDAJ	VYBER	15	38814	SLUZBY	\N	\N
561835	1911	1996-06-30	VYDAJ	VYBER	15	-1889	SLUZBY	\N	\N
561836	1911	1996-07-31	VYDAJ	VYBER	15	15723	SLUZBY	\N	\N
561837	1911	1996-08-31	VYDAJ	VYBER	15	28277	SLUZBY	\N	\N
561838	1911	1996-09-30	VYDAJ	VYBER	15	37933	SLUZBY	\N	\N
561839	1911	1996-10-31	VYDAJ	VYBER	15	48690	SLUZBY	\N	\N
561840	1911	1996-11-30	VYDAJ	VYBER	15	50365	SLUZBY	\N	\N
561841	1911	1996-12-31	VYDAJ	VYBER	15	52082	SLUZBY	\N	\N
561842	1911	1997-01-31	VYDAJ	VYBER	15	31005	SLUZBY	\N	\N
561843	1911	1997-02-28	VYDAJ	VYBER	15	42032	SLUZBY	\N	\N
561844	1911	1997-03-31	VYDAJ	VYBER	15	39128	SLUZBY	\N	\N
561845	1911	1997-04-30	VYDAJ	VYBER	15	45076	SLUZBY	\N	\N
561846	1911	1997-05-31	VYDAJ	VYBER	15	45131	SLUZBY	\N	\N
561847	1911	1997-06-30	VYDAJ	VYBER	15	13724	SLUZBY	\N	\N
561848	1911	1997-07-31	VYDAJ	VYBER	15	28691	SLUZBY	\N	\N
561849	1911	1997-08-31	VYDAJ	VYBER	15	35778	SLUZBY	\N	\N
561850	1911	1997-09-30	VYDAJ	VYBER	15	36218	SLUZBY	\N	\N
561851	1911	1997-10-31	VYDAJ	VYBER	15	42053	SLUZBY	\N	\N
561852	1911	1997-11-30	VYDAJ	VYBER	15	43298	SLUZBY	\N	\N
561853	1911	1997-12-31	VYDAJ	VYBER	15	44072	SLUZBY	\N	\N
561854	1911	1998-01-31	VYDAJ	VYBER	15	32336	SLUZBY	\N	\N
561855	1911	1998-02-28	VYDAJ	VYBER	15	36750	SLUZBY	\N	\N
561856	1911	1998-03-31	VYDAJ	VYBER	15	29779	SLUZBY	\N	\N
561857	1911	1998-04-30	VYDAJ	VYBER	15	32878	SLUZBY	\N	\N
561858	1911	1998-05-31	VYDAJ	VYBER	15	35790	SLUZBY	\N	\N
561859	1911	1998-06-30	VYDAJ	VYBER	15	14021	SLUZBY	\N	\N
561860	1911	1998-07-31	VYDAJ	VYBER	15	13077	SLUZBY	\N	\N
561861	1911	1998-08-31	VYDAJ	VYBER	15	14398	SLUZBY	\N	\N
561862	1911	1998-09-30	VYDAJ	VYBER	15	10786	SLUZBY	\N	\N
561863	1911	1998-10-31	VYDAJ	VYBER	15	13798	SLUZBY	\N	\N
561864	1911	1998-11-30	VYDAJ	VYBER	15	16023	SLUZBY	\N	\N
561865	1911	1994-09-20	PRIJEM	VKLAD	4500	21884	\N	\N	\N
561866	1911	1994-10-20	VYDAJ	VYBER	6100	32101	\N	\N	\N
561867	1911	1994-11-19	VYDAJ	VYBER	14000	34493	\N	\N	\N
561868	1911	1994-12-19	VYDAJ	VYBER	16500	42557	\N	\N	\N
561869	1911	1995-01-18	VYDAJ	VYBER	13500	43579	\N	\N	\N
561870	1911	1995-02-17	VYDAJ	VYBER	13300	38919	\N	\N	\N
561871	1911	1995-03-19	VYDAJ	VYBER	13700	41643	\N	\N	\N
561872	1911	1995-04-18	VYDAJ	VYBER	14900	37900	\N	\N	\N
561873	1911	1995-05-18	VYDAJ	VYBER	14000	40343	\N	\N	\N
561874	1911	1995-06-17	VYDAJ	VYBER	20100	44817	\N	\N	\N
561875	1911	1995-07-17	PRIJEM	VKLAD	3400	25602	\N	\N	\N
561876	1911	1995-08-16	VYDAJ	VYBER	4700	34712	\N	\N	\N
561877	1911	1995-09-15	VYDAJ	VYBER	9900	40243	\N	\N	\N
561878	1911	1995-10-15	VYDAJ	VYBER	16100	40577	\N	\N	\N
561879	1911	1995-11-14	VYDAJ	VYBER	14400	36612	\N	\N	\N
561880	1911	1995-12-14	VYDAJ	VYBER	16600	44579	\N	\N	\N
561881	1911	1996-01-13	VYDAJ	VYBER	15800	39738	\N	\N	\N
561882	1911	1996-02-12	VYDAJ	VYBER	12800	34486	\N	\N	\N
561883	1911	1996-03-13	VYDAJ	VYBER	9600	41297	\N	\N	\N
561884	1911	1996-04-12	VYDAJ	VYBER	18000	39727	\N	\N	\N
561885	1911	1996-05-12	VYDAJ	VYBER	16300	39865	\N	\N	\N
561886	1911	1996-06-11	VYDAJ	VYBER	21900	41340	\N	\N	\N
561887	1911	1996-07-11	PRIJEM	VKLAD	1900	9	\N	\N	\N
561888	1911	1996-08-10	PRIJEM	VKLAD	500	16216	\N	\N	\N
561889	1911	1996-09-09	VYDAJ	VYBER	4000	24277	\N	\N	\N
561890	1911	1996-10-09	VYDAJ	VYBER	5700	32233	\N	\N	\N
561891	1911	1996-11-08	VYDAJ	VYBER	14800	33890	\N	\N	\N
561892	1911	1996-12-08	VYDAJ	VYBER	15400	33685	\N	\N	\N
561893	1911	1997-01-07	VYDAJ	VYBER	18200	33882	\N	\N	\N
561894	1911	1997-02-06	VYDAJ	VYBER	5400	25605	\N	\N	\N
561895	1911	1997-03-08	VYDAJ	VYBER	14300	27732	\N	\N	\N
561896	1911	1997-04-07	VYDAJ	VYBER	10500	28628	\N	\N	\N
561897	1911	1997-05-07	VYDAJ	VYBER	16400	28676	\N	\N	\N
561898	1911	1997-06-06	VYDAJ	VYBER	16900	28231	\N	\N	\N
561899	1911	1997-07-06	VYDAJ	VYBER	1400	12324	\N	\N	\N
561900	1911	1997-08-05	VYDAJ	VYBER	7400	21291	\N	\N	\N
561901	1911	1997-09-04	VYDAJ	VYBER	11300	24478	\N	\N	\N
561902	1911	1997-10-04	VYDAJ	VYBER	10600	25618	\N	\N	\N
561903	1911	1997-11-03	VYDAJ	VYBER	15200	26853	\N	\N	\N
561904	1911	1997-12-03	VYDAJ	VYBER	20300	22998	\N	\N	\N
561905	1911	1998-01-02	VYDAJ	VYBER	15300	28772	\N	\N	\N
561906	1911	1998-02-01	VYDAJ	VYBER	12000	20336	\N	\N	\N
561907	1911	1998-03-03	VYDAJ	VYBER	18700	18050	\N	\N	\N
561908	1911	1998-04-02	VYDAJ	VYBER	13300	16479	\N	\N	\N
561909	1911	1998-05-02	VYDAJ	VYBER	13500	19378	\N	\N	\N
561910	1911	1998-06-01	VYDAJ	VYBER	11900	23890	\N	\N	\N
561911	1911	1998-07-01	VYDAJ	VYBER	4800	9221	\N	\N	\N
561912	1911	1998-07-31	VYDAJ	VYBER	12500	13091	\N	\N	\N
561913	1911	1998-08-30	VYDAJ	VYBER	15000	14361	\N	\N	\N
561914	1911	1998-09-29	VYDAJ	VYBER	16600	10722	\N	\N	\N
561915	1911	1998-10-29	VYDAJ	VYBER	13300	13770	\N	\N	\N
561916	1911	1998-11-28	VYDAJ	VYBER	14100	15982	\N	\N	\N
561971	1912	1993-08-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
561980	1912	1993-09-07	PRIJEM	PREVOD Z UCTU	6338	7338	DUCHOD	KL	68424361
561981	1912	1993-10-07	PRIJEM	PREVOD Z UCTU	6338	13676	DUCHOD	KL	68424361
561982	1912	1993-11-07	PRIJEM	PREVOD Z UCTU	6338	20014	DUCHOD	KL	68424361
561983	1912	1993-12-07	PRIJEM	PREVOD Z UCTU	6338	26352	DUCHOD	KL	68424361
561984	1912	1994-01-07	PRIJEM	PREVOD Z UCTU	6338	32690	DUCHOD	KL	68424361
561985	1912	1994-02-07	PRIJEM	PREVOD Z UCTU	6338	19455	DUCHOD	KL	68424361
561986	1912	1994-03-07	PRIJEM	PREVOD Z UCTU	6338	21327	DUCHOD	KL	68424361
561987	1912	1994-04-07	PRIJEM	PREVOD Z UCTU	6338	20563	DUCHOD	KL	68424361
561988	1912	1994-05-07	PRIJEM	PREVOD Z UCTU	6338	23722	DUCHOD	KL	68424361
561989	1912	1994-06-07	PRIJEM	PREVOD Z UCTU	6338	26895	DUCHOD	KL	68424361
561990	1912	1994-07-07	PRIJEM	PREVOD Z UCTU	6338	19416	DUCHOD	KL	68424361
561991	1912	1994-08-07	PRIJEM	PREVOD Z UCTU	6338	22571	DUCHOD	KL	68424361
561992	1912	1994-09-07	PRIJEM	PREVOD Z UCTU	6338	25739	DUCHOD	KL	68424361
561993	1912	1994-10-07	PRIJEM	PREVOD Z UCTU	6338	28320	DUCHOD	KL	68424361
561994	1912	1994-11-07	PRIJEM	PREVOD Z UCTU	6338	31511	DUCHOD	KL	68424361
561995	1912	1994-12-07	PRIJEM	PREVOD Z UCTU	6338	27562	DUCHOD	KL	68424361
561996	1912	1995-01-07	PRIJEM	PREVOD Z UCTU	6338	29423	DUCHOD	KL	68424361
561997	1912	1995-02-07	PRIJEM	PREVOD Z UCTU	6338	19395	DUCHOD	KL	68424361
561998	1912	1995-03-07	PRIJEM	PREVOD Z UCTU	6338	20628	DUCHOD	KL	68424361
561999	1912	1995-04-07	PRIJEM	PREVOD Z UCTU	6338	23788	DUCHOD	KL	68424361
562000	1912	1995-05-07	PRIJEM	PREVOD Z UCTU	6338	23112	DUCHOD	KL	68424361
562001	1912	1995-06-07	PRIJEM	PREVOD Z UCTU	6338	24132	DUCHOD	KL	68424361
562002	1912	1995-07-07	PRIJEM	PREVOD Z UCTU	6338	27311	DUCHOD	KL	68424361
562003	1912	1995-08-07	PRIJEM	PREVOD Z UCTU	6338	27130	DUCHOD	KL	68424361
562004	1912	1995-09-07	PRIJEM	PREVOD Z UCTU	6338	30316	DUCHOD	KL	68424361
562005	1912	1995-10-07	PRIJEM	PREVOD Z UCTU	6338	28792	DUCHOD	KL	68424361
562006	1912	1995-11-07	PRIJEM	PREVOD Z UCTU	6338	28398	DUCHOD	KL	68424361
562007	1912	1995-12-07	PRIJEM	PREVOD Z UCTU	6338	28853	DUCHOD	KL	68424361
562008	1912	1996-01-07	PRIJEM	PREVOD Z UCTU	6338	29937	DUCHOD	KL	68424361
562009	1912	1996-02-07	PRIJEM	PREVOD Z UCTU	6338	23626	DUCHOD	KL	68424361
562010	1912	1996-03-07	PRIJEM	PREVOD Z UCTU	6338	24152	DUCHOD	KL	68424361
562011	1912	1996-04-07	PRIJEM	PREVOD Z UCTU	6338	27326	DUCHOD	KL	68424361
562012	1912	1996-05-07	PRIJEM	PREVOD Z UCTU	6338	28350	DUCHOD	KL	68424361
562013	1912	1996-06-07	PRIJEM	PREVOD Z UCTU	6338	31542	DUCHOD	KL	68424361
562014	1912	1996-07-07	PRIJEM	PREVOD Z UCTU	6338	33145	DUCHOD	KL	68424361
562015	1912	1996-08-07	PRIJEM	PREVOD Z UCTU	6338	32514	DUCHOD	KL	68424361
562016	1912	1996-09-07	PRIJEM	PREVOD Z UCTU	6338	33321	DUCHOD	KL	68424361
562017	1912	1996-10-07	PRIJEM	PREVOD Z UCTU	6338	29001	DUCHOD	KL	68424361
562018	1912	1996-11-07	PRIJEM	PREVOD Z UCTU	6338	29715	DUCHOD	KL	68424361
562019	1912	1996-12-07	PRIJEM	PREVOD Z UCTU	6338	32917	DUCHOD	KL	68424361
562020	1912	1997-01-07	PRIJEM	PREVOD Z UCTU	6338	30016	DUCHOD	KL	68424361
562021	1912	1997-02-07	PRIJEM	PREVOD Z UCTU	6338	22455	DUCHOD	KL	68424361
562022	1912	1997-03-07	PRIJEM	PREVOD Z UCTU	6338	25621	DUCHOD	KL	68424361
562023	1912	1997-04-07	PRIJEM	PREVOD Z UCTU	6338	28801	DUCHOD	KL	68424361
562024	1912	1997-05-07	PRIJEM	PREVOD Z UCTU	6338	29105	DUCHOD	KL	68424361
562025	1912	1997-06-07	PRIJEM	PREVOD Z UCTU	6338	31018	DUCHOD	KL	68424361
562026	1912	1997-07-07	PRIJEM	PREVOD Z UCTU	6338	24912	DUCHOD	KL	68424361
562027	1912	1997-08-07	PRIJEM	PREVOD Z UCTU	6338	28088	DUCHOD	KL	68424361
562028	1912	1997-09-07	PRIJEM	PREVOD Z UCTU	6338	31277	DUCHOD	KL	68424361
562029	1912	1997-10-07	PRIJEM	PREVOD Z UCTU	6338	32878	DUCHOD	KL	68424361
562030	1912	1997-11-07	PRIJEM	PREVOD Z UCTU	6338	34409	DUCHOD	KL	68424361
562031	1912	1997-12-07	PRIJEM	PREVOD Z UCTU	6338	37625	DUCHOD	KL	68424361
562032	1912	1998-01-07	PRIJEM	PREVOD Z UCTU	6338	31626	DUCHOD	KL	68424361
562033	1912	1998-02-07	PRIJEM	PREVOD Z UCTU	6338	23143	DUCHOD	KL	68424361
562034	1912	1998-03-07	PRIJEM	PREVOD Z UCTU	6338	26311	DUCHOD	KL	68424361
562035	1912	1998-04-07	PRIJEM	PREVOD Z UCTU	6338	29493	DUCHOD	KL	68424361
562036	1912	1998-05-07	PRIJEM	PREVOD Z UCTU	6338	32208	DUCHOD	KL	68424361
562037	1912	1998-06-07	PRIJEM	PREVOD Z UCTU	6338	35414	DUCHOD	KL	68424361
562038	1912	1998-07-07	PRIJEM	PREVOD Z UCTU	6338	33059	DUCHOD	KL	68424361
562039	1912	1998-08-07	PRIJEM	PREVOD Z UCTU	6338	36268	DUCHOD	KL	68424361
562040	1912	1998-09-07	PRIJEM	PREVOD Z UCTU	6338	39491	DUCHOD	KL	68424361
562041	1912	1998-10-07	PRIJEM	PREVOD Z UCTU	6338	39124	DUCHOD	KL	68424361
562042	1912	1998-11-07	PRIJEM	PREVOD Z UCTU	6338	42358	DUCHOD	KL	68424361
562043	1912	1998-12-07	PRIJEM	PREVOD Z UCTU	6338	45606	DUCHOD	KL	68424361
562056	1912	1994-01-11	VYDAJ	PREVOD NA UCET	3232	29458	SIPO	AB	72722065
562057	1912	1994-02-11	VYDAJ	PREVOD NA UCET	3232	14943	SIPO	AB	72722065
562058	1912	1994-03-11	VYDAJ	PREVOD NA UCET	3232	18095	SIPO	AB	72722065
562059	1912	1994-04-11	VYDAJ	PREVOD NA UCET	3232	17331	SIPO	AB	72722065
562060	1912	1994-05-11	VYDAJ	PREVOD NA UCET	3232	20490	SIPO	AB	72722065
562061	1912	1994-06-11	VYDAJ	PREVOD NA UCET	3232	22363	SIPO	AB	72722065
562062	1912	1994-07-11	VYDAJ	PREVOD NA UCET	3232	16184	SIPO	AB	72722065
562063	1912	1994-08-11	VYDAJ	PREVOD NA UCET	3232	19339	SIPO	AB	72722065
562064	1912	1994-09-11	VYDAJ	PREVOD NA UCET	3232	21907	SIPO	AB	72722065
562065	1912	1994-10-11	VYDAJ	PREVOD NA UCET	3232	25088	SIPO	AB	72722065
562066	1912	1994-11-11	VYDAJ	PREVOD NA UCET	3232	22979	SIPO	AB	72722065
562067	1912	1994-12-11	VYDAJ	PREVOD NA UCET	3232	24330	SIPO	AB	72722065
562068	1912	1995-01-11	VYDAJ	PREVOD NA UCET	3232	22871	SIPO	AB	72722065
562069	1912	1995-02-11	VYDAJ	PREVOD NA UCET	3232	16163	SIPO	AB	72722065
562070	1912	1995-03-11	VYDAJ	PREVOD NA UCET	3232	17396	SIPO	AB	72722065
562071	1912	1995-04-11	VYDAJ	PREVOD NA UCET	3232	20556	SIPO	AB	72722065
562072	1912	1995-05-11	VYDAJ	PREVOD NA UCET	3232	19880	SIPO	AB	72722065
562073	1912	1995-06-11	VYDAJ	PREVOD NA UCET	3232	20900	SIPO	AB	72722065
562074	1912	1995-07-11	VYDAJ	PREVOD NA UCET	3232	20719	SIPO	AB	72722065
562075	1912	1995-08-11	VYDAJ	PREVOD NA UCET	3232	23898	SIPO	AB	72722065
562076	1912	1995-09-11	VYDAJ	PREVOD NA UCET	3232	27084	SIPO	AB	72722065
562077	1912	1995-10-11	VYDAJ	PREVOD NA UCET	3232	22680	SIPO	AB	72722065
562078	1912	1995-11-11	VYDAJ	PREVOD NA UCET	3232	25166	SIPO	AB	72722065
562079	1912	1995-12-11	VYDAJ	PREVOD NA UCET	3232	24471	SIPO	AB	72722065
562080	1912	1996-01-11	VYDAJ	PREVOD NA UCET	3232	23665	SIPO	AB	72722065
562081	1912	1996-02-11	VYDAJ	PREVOD NA UCET	3232	20394	SIPO	AB	72722065
562082	1912	1996-03-11	VYDAJ	PREVOD NA UCET	3232	20920	SIPO	AB	72722065
562083	1912	1996-04-11	VYDAJ	PREVOD NA UCET	3232	24094	SIPO	AB	72722065
562084	1912	1996-05-11	VYDAJ	PREVOD NA UCET	3232	25118	SIPO	AB	72722065
562085	1912	1996-06-11	VYDAJ	PREVOD NA UCET	3232	28310	SIPO	AB	72722065
562086	1912	1996-07-11	VYDAJ	PREVOD NA UCET	3232	26073	SIPO	AB	72722065
562087	1912	1996-08-11	VYDAJ	PREVOD NA UCET	3232	29282	SIPO	AB	72722065
562088	1912	1996-09-11	VYDAJ	PREVOD NA UCET	3232	26409	SIPO	AB	72722065
562089	1912	1996-10-11	VYDAJ	PREVOD NA UCET	3232	25769	SIPO	AB	72722065
562090	1912	1996-11-11	VYDAJ	PREVOD NA UCET	3232	26483	SIPO	AB	72722065
562091	1912	1996-12-11	VYDAJ	PREVOD NA UCET	3232	29685	SIPO	AB	72722065
562092	1912	1997-01-11	VYDAJ	PREVOD NA UCET	3232	22464	SIPO	AB	72722065
562093	1912	1997-02-11	VYDAJ	PREVOD NA UCET	3232	19223	SIPO	AB	72722065
562094	1912	1997-03-11	VYDAJ	PREVOD NA UCET	3232	22389	SIPO	AB	72722065
562095	1912	1997-04-11	VYDAJ	PREVOD NA UCET	3232	22689	SIPO	AB	72722065
562096	1912	1997-05-11	VYDAJ	PREVOD NA UCET	3232	25873	SIPO	AB	72722065
562097	1912	1997-06-11	VYDAJ	PREVOD NA UCET	3232	27786	SIPO	AB	72722065
562098	1912	1997-07-11	VYDAJ	PREVOD NA UCET	3232	21680	SIPO	AB	72722065
562099	1912	1997-08-11	VYDAJ	PREVOD NA UCET	3232	24856	SIPO	AB	72722065
562100	1912	1997-09-11	VYDAJ	PREVOD NA UCET	3232	27165	SIPO	AB	72722065
562101	1912	1997-10-11	VYDAJ	PREVOD NA UCET	3232	29646	SIPO	AB	72722065
562102	1912	1997-11-11	VYDAJ	PREVOD NA UCET	3232	31177	SIPO	AB	72722065
562103	1912	1997-12-11	VYDAJ	PREVOD NA UCET	3232	32943	SIPO	AB	72722065
562104	1912	1998-01-11	VYDAJ	PREVOD NA UCET	3232	24234	SIPO	AB	72722065
562105	1912	1998-02-11	VYDAJ	PREVOD NA UCET	3232	19911	SIPO	AB	72722065
562106	1912	1998-03-11	VYDAJ	PREVOD NA UCET	3232	23079	SIPO	AB	72722065
562107	1912	1998-04-11	VYDAJ	PREVOD NA UCET	3232	26261	SIPO	AB	72722065
562108	1912	1998-05-11	VYDAJ	PREVOD NA UCET	3232	28976	SIPO	AB	72722065
562109	1912	1998-06-11	VYDAJ	PREVOD NA UCET	3232	32182	SIPO	AB	72722065
562110	1912	1998-07-11	VYDAJ	PREVOD NA UCET	3232	29827	SIPO	AB	72722065
562111	1912	1998-08-11	VYDAJ	PREVOD NA UCET	3232	33036	SIPO	AB	72722065
562112	1912	1998-09-11	VYDAJ	PREVOD NA UCET	3232	36259	SIPO	AB	72722065
562113	1912	1998-10-11	VYDAJ	PREVOD NA UCET	3232	35892	SIPO	AB	72722065
562114	1912	1998-11-11	VYDAJ	PREVOD NA UCET	3232	39126	SIPO	AB	72722065
562115	1912	1998-12-11	VYDAJ	PREVOD NA UCET	3232	41824	SIPO	AB	72722065
562117	1912	1994-06-28	VYDAJ	VYBER	6400	13003	\N	\N	\N
562118	1912	1995-06-04	VYDAJ	VYBER	2150	17794	\N	\N	\N
562120	1912	1997-06-25	VYDAJ	VYBER	9300	18486	\N	\N	\N
562121	1912	1998-06-26	VYDAJ	VYBER	2050	30132	\N	\N	\N
562123	1912	1994-01-13	VYDAJ	VYBER	4650	19008	\N	\N	\N
562124	1912	1995-01-12	VYDAJ	VYBER	4600	18271	\N	\N	\N
562125	1912	1996-01-28	VYDAJ	VYBER	1900	18565	\N	\N	\N
562126	1912	1997-01-11	VYDAJ	VYBER	2900	19564	\N	\N	\N
562127	1912	1998-01-16	VYDAJ	VYBER	1100	18174	\N	\N	\N
562129	1912	1994-12-16	VYDAJ	VYBER	850	23480	\N	\N	\N
562130	1912	1995-12-10	VYDAJ	VYBER	1150	27703	\N	\N	\N
562131	1912	1996-12-16	VYDAJ	VYBER	750	28935	\N	\N	\N
562132	1912	1997-12-11	VYDAJ	VYBER	1450	36175	\N	\N	\N
562133	1912	1998-12-10	VYDAJ	VYBER	550	45056	\N	\N	\N
562141	1912	1994-01-25	VYDAJ	VYBER	1520	13088	\N	\N	\N
562142	1912	1994-01-13	VYDAJ	VYBER	2320	16688	\N	\N	\N
562143	1912	1994-01-11	VYDAJ	VYBER	2000	27458	\N	\N	\N
562144	1912	1994-01-15	VYDAJ	VYBER	2080	14608	\N	\N	\N
562146	1912	1995-01-26	VYDAJ	VYBER	1360	15311	\N	\N	\N
562147	1912	1995-01-26	VYDAJ	VYBER	800	16671	\N	\N	\N
562148	1912	1995-01-28	VYDAJ	VYBER	2320	12991	\N	\N	\N
562149	1912	1995-01-07	VYDAJ	VYBER	1840	26583	\N	\N	\N
562150	1912	1995-01-08	VYDAJ	VYBER	480	26103	\N	\N	\N
562151	1912	1995-01-21	VYDAJ	VYBER	800	17471	\N	\N	\N
562152	1912	1996-01-08	VYDAJ	VYBER	800	29137	\N	\N	\N
562153	1912	1996-01-24	VYDAJ	VYBER	2160	21505	\N	\N	\N
562154	1912	1996-01-10	VYDAJ	VYBER	2240	26897	\N	\N	\N
562155	1912	1996-01-05	VYDAJ	VYBER	960	23599	\N	\N	\N
562156	1912	1996-01-27	VYDAJ	VYBER	1040	20465	\N	\N	\N
562157	1912	1996-01-29	VYDAJ	VYBER	1360	17205	\N	\N	\N
562158	1912	1997-01-07	VYDAJ	VYBER	2240	27776	\N	\N	\N
562159	1912	1997-01-17	VYDAJ	VYBER	1280	18284	\N	\N	\N
562161	1912	1997-01-10	VYDAJ	VYBER	2080	25696	\N	\N	\N
562162	1912	1997-01-01	VYDAJ	VYBER	2080	26958	\N	\N	\N
562163	1912	1997-01-26	VYDAJ	VYBER	2240	16044	\N	\N	\N
562164	1912	1998-01-15	VYDAJ	VYBER	1120	20954	\N	\N	\N
562165	1912	1998-01-09	VYDAJ	VYBER	1840	29786	\N	\N	\N
562166	1912	1998-01-10	VYDAJ	VYBER	2320	27466	\N	\N	\N
562168	1912	1998-01-20	VYDAJ	VYBER	1440	16734	\N	\N	\N
562169	1912	1998-01-16	VYDAJ	VYBER	1680	19274	\N	\N	\N
562172	1912	1994-12-21	VYDAJ	VYBER	480	23000	\N	\N	\N
562173	1912	1994-06-23	VYDAJ	VYBER	2960	19403	\N	\N	\N
562174	1912	1994-12-03	VYDAJ	VYBER	1840	21224	\N	\N	\N
562175	1912	1994-02-10	VYDAJ	VYBER	1280	18175	\N	\N	\N
562176	1912	1994-03-20	VYDAJ	VYBER	3920	14175	\N	\N	\N
562177	1912	1995-07-09	VYDAJ	VYBER	3360	23951	\N	\N	\N
562178	1912	1995-11-28	VYDAJ	VYBER	2240	22926	\N	\N	\N
562179	1912	1995-09-30	VYDAJ	VYBER	1840	22454	\N	\N	\N
562181	1912	1995-09-21	VYDAJ	VYBER	2880	24204	\N	\N	\N
562182	1912	1995-02-28	VYDAJ	VYBER	1920	14305	\N	\N	\N
562183	1912	1995-04-15	VYDAJ	VYBER	3840	16716	\N	\N	\N
562184	1912	1995-10-09	VYDAJ	VYBER	2880	25912	\N	\N	\N
562185	1912	1996-08-27	VYDAJ	VYBER	2400	26882	\N	\N	\N
562186	1912	1996-02-17	VYDAJ	VYBER	2640	17754	\N	\N	\N
562187	1912	1996-09-29	VYDAJ	VYBER	3840	22569	\N	\N	\N
562188	1912	1996-06-24	VYDAJ	VYBER	1600	26710	\N	\N	\N
562189	1912	1996-07-11	VYDAJ	VYBER	3840	29305	\N	\N	\N
562190	1912	1996-09-11	VYDAJ	VYBER	3680	29641	\N	\N	\N
562191	1912	1996-04-22	VYDAJ	VYBER	2160	21934	\N	\N	\N
562192	1912	1996-11-06	VYDAJ	VYBER	2480	23377	\N	\N	\N
562193	1912	1997-01-04	VYDAJ	VYBER	3280	23678	\N	\N	\N
562194	1912	1997-10-25	VYDAJ	VYBER	1680	27966	\N	\N	\N
562195	1912	1997-09-11	VYDAJ	VYBER	880	30397	\N	\N	\N
562196	1912	1997-05-23	VYDAJ	VYBER	1280	24593	\N	\N	\N
562197	1912	1997-12-29	VYDAJ	VYBER	2080	25183	\N	\N	\N
562198	1912	1997-04-11	VYDAJ	VYBER	2880	25921	\N	\N	\N
562199	1912	1997-12-12	VYDAJ	VYBER	2080	30863	\N	\N	\N
562200	1912	1997-12-17	VYDAJ	VYBER	3600	27263	\N	\N	\N
562201	1912	1997-10-03	VYDAJ	VYBER	720	26540	\N	\N	\N
562202	1912	1998-12-12	VYDAJ	VYBER	480	41344	\N	\N	\N
562204	1912	1998-04-11	VYDAJ	VYBER	480	25781	\N	\N	\N
562205	1912	1998-06-26	VYDAJ	VYBER	3520	26612	\N	\N	\N
562206	1912	1998-01-13	VYDAJ	VYBER	2160	22074	\N	\N	\N
562207	1912	1998-09-24	VYDAJ	VYBER	3600	32659	\N	\N	\N
562221	1912	1994-01-31	VYDAJ	VYBER	15	13117	SLUZBY	\N	\N
562222	1912	1994-02-28	VYDAJ	VYBER	15	14989	SLUZBY	\N	\N
562223	1912	1994-03-31	VYDAJ	VYBER	15	14225	SLUZBY	\N	\N
562224	1912	1994-04-30	VYDAJ	VYBER	15	17384	SLUZBY	\N	\N
562225	1912	1994-05-31	VYDAJ	VYBER	15	20557	SLUZBY	\N	\N
562226	1912	1994-06-30	VYDAJ	VYBER	15	13078	SLUZBY	\N	\N
562227	1912	1994-07-31	VYDAJ	VYBER	15	16233	SLUZBY	\N	\N
562228	1912	1994-08-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
562229	1912	1994-09-30	VYDAJ	VYBER	15	21982	SLUZBY	\N	\N
562230	1912	1994-10-31	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
562231	1912	1994-11-30	VYDAJ	VYBER	15	23064	SLUZBY	\N	\N
562232	1912	1994-12-31	VYDAJ	VYBER	15	23085	SLUZBY	\N	\N
562233	1912	1995-01-31	VYDAJ	VYBER	15	13057	SLUZBY	\N	\N
562234	1912	1995-02-28	VYDAJ	VYBER	15	14290	SLUZBY	\N	\N
562235	1912	1995-03-31	VYDAJ	VYBER	15	17450	SLUZBY	\N	\N
562236	1912	1995-04-30	VYDAJ	VYBER	15	16774	SLUZBY	\N	\N
562237	1912	1995-05-31	VYDAJ	VYBER	15	19944	SLUZBY	\N	\N
562238	1912	1995-06-30	VYDAJ	VYBER	15	20973	SLUZBY	\N	\N
562239	1912	1995-07-31	VYDAJ	VYBER	15	20792	SLUZBY	\N	\N
562240	1912	1995-08-31	VYDAJ	VYBER	15	23978	SLUZBY	\N	\N
562241	1912	1995-09-30	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
562242	1912	1995-10-31	VYDAJ	VYBER	15	22760	SLUZBY	\N	\N
562243	1912	1995-11-30	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
562244	1912	1995-12-31	VYDAJ	VYBER	15	24559	SLUZBY	\N	\N
562245	1912	1996-01-31	VYDAJ	VYBER	15	17288	SLUZBY	\N	\N
562246	1912	1996-02-29	VYDAJ	VYBER	15	17814	SLUZBY	\N	\N
562247	1912	1996-03-31	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
562248	1912	1996-04-30	VYDAJ	VYBER	15	22012	SLUZBY	\N	\N
562249	1912	1996-05-31	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
562250	1912	1996-06-30	VYDAJ	VYBER	15	26807	SLUZBY	\N	\N
562251	1912	1996-07-31	VYDAJ	VYBER	15	26176	SLUZBY	\N	\N
562252	1912	1996-08-31	VYDAJ	VYBER	15	26983	SLUZBY	\N	\N
562253	1912	1996-09-30	VYDAJ	VYBER	15	22663	SLUZBY	\N	\N
562254	1912	1996-10-31	VYDAJ	VYBER	15	25857	SLUZBY	\N	\N
562255	1912	1996-11-30	VYDAJ	VYBER	15	26579	SLUZBY	\N	\N
562256	1912	1996-12-31	VYDAJ	VYBER	15	29038	SLUZBY	\N	\N
562257	1912	1997-01-31	VYDAJ	VYBER	15	16117	SLUZBY	\N	\N
562258	1912	1997-02-28	VYDAJ	VYBER	15	19283	SLUZBY	\N	\N
562259	1912	1997-03-31	VYDAJ	VYBER	15	22463	SLUZBY	\N	\N
562260	1912	1997-04-30	VYDAJ	VYBER	15	22767	SLUZBY	\N	\N
562261	1912	1997-05-31	VYDAJ	VYBER	15	24680	SLUZBY	\N	\N
562262	1912	1997-06-30	VYDAJ	VYBER	15	18574	SLUZBY	\N	\N
562263	1912	1997-07-31	VYDAJ	VYBER	15	21750	SLUZBY	\N	\N
562264	1912	1997-08-31	VYDAJ	VYBER	15	24939	SLUZBY	\N	\N
562265	1912	1997-09-30	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
562266	1912	1997-10-31	VYDAJ	VYBER	15	28071	SLUZBY	\N	\N
562267	1912	1997-11-30	VYDAJ	VYBER	15	31287	SLUZBY	\N	\N
562268	1912	1997-12-31	VYDAJ	VYBER	15	25288	SLUZBY	\N	\N
562269	1912	1998-01-31	VYDAJ	VYBER	15	16805	SLUZBY	\N	\N
562270	1912	1998-02-28	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
562271	1912	1998-03-31	VYDAJ	VYBER	15	23155	SLUZBY	\N	\N
562272	1912	1998-04-30	VYDAJ	VYBER	15	25870	SLUZBY	\N	\N
562273	1912	1998-05-31	VYDAJ	VYBER	15	29076	SLUZBY	\N	\N
562274	1912	1998-06-30	VYDAJ	VYBER	15	26721	SLUZBY	\N	\N
562275	1912	1998-07-31	VYDAJ	VYBER	15	29930	SLUZBY	\N	\N
562276	1912	1998-08-31	VYDAJ	VYBER	15	33153	SLUZBY	\N	\N
562277	1912	1998-09-30	VYDAJ	VYBER	15	32786	SLUZBY	\N	\N
562278	1912	1998-10-31	VYDAJ	VYBER	15	36020	SLUZBY	\N	\N
562279	1912	1998-11-30	VYDAJ	VYBER	15	39268	SLUZBY	\N	\N
562280	1912	1994-01-12	VYDAJ	VYBER	3800	23658	\N	\N	\N
562281	1912	1994-06-11	VYDAJ	VYBER	1300	25595	\N	\N	\N
562282	1912	1994-09-09	VYDAJ	VYBER	600	25139	\N	\N	\N
562283	1912	1994-11-08	VYDAJ	VYBER	5300	26211	\N	\N	\N
562284	1912	1995-01-07	VYDAJ	VYBER	1000	28423	\N	\N	\N
562285	1912	1995-11-03	VYDAJ	VYBER	700	22060	\N	\N	\N
562286	1912	1995-12-03	VYDAJ	VYBER	500	22515	\N	\N	\N
562347	1913	1996-06-06	PRIJEM	VKLAD	300	300	\N	\N	\N
562353	1913	1996-06-09	PRIJEM	PREVOD Z UCTU	3920	4220	\N	MN	73993932
562354	1913	1996-07-09	PRIJEM	PREVOD Z UCTU	3920	16553	\N	MN	73993932
562355	1913	1996-08-09	PRIJEM	PREVOD Z UCTU	3920	23729	\N	MN	73993932
562356	1913	1996-09-09	PRIJEM	PREVOD Z UCTU	3920	29240	\N	MN	73993932
562357	1913	1996-10-09	PRIJEM	PREVOD Z UCTU	3920	36775	\N	MN	73993932
562358	1913	1996-11-09	PRIJEM	PREVOD Z UCTU	3920	36713	\N	MN	73993932
562359	1913	1996-12-09	PRIJEM	PREVOD Z UCTU	3920	37858	\N	MN	73993932
562360	1913	1997-01-09	PRIJEM	PREVOD Z UCTU	3920	36936	\N	MN	73993932
562361	1913	1997-02-09	PRIJEM	PREVOD Z UCTU	3920	36182	\N	MN	73993932
562362	1913	1997-03-09	PRIJEM	PREVOD Z UCTU	3920	38525	\N	MN	73993932
562363	1913	1997-04-09	PRIJEM	PREVOD Z UCTU	3920	37175	\N	MN	73993932
562364	1913	1997-05-09	PRIJEM	PREVOD Z UCTU	3920	35794	\N	MN	73993932
562365	1913	1997-06-09	PRIJEM	PREVOD Z UCTU	3920	38035	\N	MN	73993932
562366	1913	1997-07-09	PRIJEM	PREVOD Z UCTU	3920	37491	\N	MN	73993932
562367	1913	1997-08-09	PRIJEM	PREVOD Z UCTU	3920	39893	\N	MN	73993932
562368	1913	1997-09-09	PRIJEM	PREVOD Z UCTU	3920	40450	\N	MN	73993932
562369	1913	1997-10-09	PRIJEM	PREVOD Z UCTU	3920	41609	\N	MN	73993932
562370	1913	1997-11-09	PRIJEM	PREVOD Z UCTU	3920	42794	\N	MN	73993932
562371	1913	1997-12-09	PRIJEM	PREVOD Z UCTU	3920	45864	\N	MN	73993932
562372	1913	1998-01-09	PRIJEM	PREVOD Z UCTU	3920	50747	\N	MN	73993932
562373	1913	1998-02-09	PRIJEM	PREVOD Z UCTU	3920	53319	\N	MN	73993932
562374	1913	1998-03-09	PRIJEM	PREVOD Z UCTU	3920	61034	\N	MN	73993932
562375	1913	1998-04-09	PRIJEM	PREVOD Z UCTU	3920	66882	\N	MN	73993932
562376	1913	1998-05-09	PRIJEM	PREVOD Z UCTU	3920	66278	\N	MN	73993932
562377	1913	1998-06-09	PRIJEM	PREVOD Z UCTU	3920	64542	\N	MN	73993932
562378	1913	1998-07-09	PRIJEM	PREVOD Z UCTU	3920	58549	\N	MN	73993932
562379	1913	1998-08-09	PRIJEM	PREVOD Z UCTU	3920	57381	\N	MN	73993932
562380	1913	1998-09-09	PRIJEM	PREVOD Z UCTU	3920	59511	\N	MN	73993932
562381	1913	1998-10-09	PRIJEM	PREVOD Z UCTU	3920	59347	\N	MN	73993932
562382	1913	1998-11-09	PRIJEM	PREVOD Z UCTU	3920	66691	\N	MN	73993932
562383	1913	1998-12-09	PRIJEM	PREVOD Z UCTU	3920	69499	\N	MN	73993932
562394	1913	1996-11-08	VYDAJ	PREVOD NA UCET	2613	32793	SIPO	GH	53294521
562395	1913	1996-12-08	VYDAJ	PREVOD NA UCET	2613	33938	SIPO	GH	53294521
562396	1913	1997-01-08	VYDAJ	PREVOD NA UCET	2613	33016	SIPO	GH	53294521
562397	1913	1997-02-08	VYDAJ	PREVOD NA UCET	2613	32262	SIPO	GH	53294521
562398	1913	1997-03-08	VYDAJ	PREVOD NA UCET	2613	34605	SIPO	GH	53294521
562399	1913	1997-04-08	VYDAJ	PREVOD NA UCET	2613	33255	SIPO	GH	53294521
562400	1913	1997-05-08	VYDAJ	PREVOD NA UCET	2613	31874	SIPO	GH	53294521
562401	1913	1997-06-08	VYDAJ	PREVOD NA UCET	2613	34115	SIPO	GH	53294521
562402	1913	1997-07-08	VYDAJ	PREVOD NA UCET	2613	33571	SIPO	GH	53294521
562403	1913	1997-08-08	VYDAJ	PREVOD NA UCET	2613	35973	SIPO	GH	53294521
562404	1913	1997-09-08	VYDAJ	PREVOD NA UCET	2613	36530	SIPO	GH	53294521
562405	1913	1997-10-08	VYDAJ	PREVOD NA UCET	2613	37689	SIPO	GH	53294521
562406	1913	1997-11-08	VYDAJ	PREVOD NA UCET	2613	39954	SIPO	GH	53294521
562407	1913	1997-12-08	VYDAJ	PREVOD NA UCET	2613	41944	SIPO	GH	53294521
562408	1913	1998-01-08	VYDAJ	PREVOD NA UCET	2613	46827	SIPO	GH	53294521
562409	1913	1998-02-08	VYDAJ	PREVOD NA UCET	2613	49399	SIPO	GH	53294521
562410	1913	1998-03-08	VYDAJ	PREVOD NA UCET	2613	57114	SIPO	GH	53294521
562411	1913	1998-04-08	VYDAJ	PREVOD NA UCET	2613	62962	SIPO	GH	53294521
562412	1913	1998-05-08	VYDAJ	PREVOD NA UCET	2613	62358	SIPO	GH	53294521
562413	1913	1998-06-08	VYDAJ	PREVOD NA UCET	2613	60622	SIPO	GH	53294521
562414	1913	1998-07-08	VYDAJ	PREVOD NA UCET	2613	54629	SIPO	GH	53294521
562415	1913	1998-08-08	VYDAJ	PREVOD NA UCET	2613	53461	SIPO	GH	53294521
562416	1913	1998-09-08	VYDAJ	PREVOD NA UCET	2613	55591	SIPO	GH	53294521
562417	1913	1998-10-08	VYDAJ	PREVOD NA UCET	2613	55427	SIPO	GH	53294521
562418	1913	1998-11-08	VYDAJ	PREVOD NA UCET	2613	62771	SIPO	GH	53294521
562419	1913	1998-12-08	VYDAJ	PREVOD NA UCET	2613	65579	SIPO	GH	53294521
562421	1913	1997-06-18	VYDAJ	VYBER	6480	31555	\N	\N	\N
562422	1913	1998-06-10	VYDAJ	VYBER	7830	56712	\N	\N	\N
562424	1913	1997-01-02	VYDAJ	VYBER	1140	37759	\N	\N	\N
562425	1913	1998-01-19	VYDAJ	VYBER	1230	49517	\N	\N	\N
562426	1913	1996-12-25	VYDAJ	VYBER	600	37258	\N	\N	\N
562427	1913	1997-12-25	VYDAJ	VYBER	300	45564	\N	\N	\N
562428	1913	1998-12-19	VYDAJ	VYBER	660	68839	\N	\N	\N
562433	1913	1997-11-08	VYDAJ	VYBER	1080	38874	\N	\N	\N
562434	1913	1997-07-31	VYDAJ	VYBER	360	38601	\N	\N	\N
562435	1913	1997-01-03	VYDAJ	VYBER	930	36829	\N	\N	\N
562436	1913	1997-07-25	VYDAJ	VYBER	1080	36411	\N	\N	\N
562437	1913	1997-05-05	VYDAJ	VYBER	630	34487	\N	\N	\N
562438	1913	1997-01-05	VYDAJ	VYBER	1200	35629	\N	\N	\N
562439	1913	1998-04-27	VYDAJ	VYBER	840	65112	\N	\N	\N
562440	1913	1998-11-12	VYDAJ	VYBER	960	65731	\N	\N	\N
562441	1913	1998-04-14	VYDAJ	VYBER	930	65952	\N	\N	\N
562452	1913	1996-10-31	VYDAJ	VYBER	15	36906	SLUZBY	\N	\N
562453	1913	1996-11-30	VYDAJ	VYBER	15	36851	SLUZBY	\N	\N
562454	1913	1996-12-31	VYDAJ	VYBER	15	37399	SLUZBY	\N	\N
562455	1913	1997-01-31	VYDAJ	VYBER	15	37075	SLUZBY	\N	\N
562456	1913	1997-02-28	VYDAJ	VYBER	15	36318	SLUZBY	\N	\N
562457	1913	1997-03-31	VYDAJ	VYBER	15	38668	SLUZBY	\N	\N
562458	1913	1997-04-30	VYDAJ	VYBER	15	37317	SLUZBY	\N	\N
562459	1913	1997-05-31	VYDAJ	VYBER	15	35928	SLUZBY	\N	\N
562460	1913	1997-06-30	VYDAJ	VYBER	15	31684	SLUZBY	\N	\N
562461	1913	1997-07-31	VYDAJ	VYBER	15	38586	SLUZBY	\N	\N
562462	1913	1997-08-31	VYDAJ	VYBER	15	39143	SLUZBY	\N	\N
562463	1913	1997-09-30	VYDAJ	VYBER	15	40302	SLUZBY	\N	\N
562464	1913	1997-10-31	VYDAJ	VYBER	15	42567	SLUZBY	\N	\N
562465	1913	1997-11-30	VYDAJ	VYBER	15	44557	SLUZBY	\N	\N
562466	1913	1997-12-31	VYDAJ	VYBER	15	49440	SLUZBY	\N	\N
562467	1913	1998-01-31	VYDAJ	VYBER	15	52012	SLUZBY	\N	\N
562468	1913	1998-02-28	VYDAJ	VYBER	15	59727	SLUZBY	\N	\N
562469	1913	1998-03-31	VYDAJ	VYBER	15	65575	SLUZBY	\N	\N
562470	1913	1998-04-30	VYDAJ	VYBER	15	64971	SLUZBY	\N	\N
562471	1913	1998-05-31	VYDAJ	VYBER	15	63235	SLUZBY	\N	\N
562472	1913	1998-06-30	VYDAJ	VYBER	15	57242	SLUZBY	\N	\N
562473	1913	1998-07-31	VYDAJ	VYBER	15	56074	SLUZBY	\N	\N
562474	1913	1998-08-31	VYDAJ	VYBER	15	58204	SLUZBY	\N	\N
562475	1913	1998-09-30	VYDAJ	VYBER	15	58040	SLUZBY	\N	\N
562476	1913	1998-10-31	VYDAJ	VYBER	15	65384	SLUZBY	\N	\N
562477	1913	1998-11-30	VYDAJ	VYBER	15	68192	SLUZBY	\N	\N
562478	1913	1996-07-06	PRIJEM	VKLAD	8400	12633	\N	\N	\N
562479	1913	1996-08-05	PRIJEM	VKLAD	3200	19809	\N	\N	\N
562480	1913	1996-09-04	PRIJEM	VKLAD	1500	25320	\N	\N	\N
562481	1913	1996-10-04	PRIJEM	VKLAD	3500	32855	\N	\N	\N
562482	1913	1996-11-03	VYDAJ	VYBER	1500	35406	\N	\N	\N
562483	1913	1996-12-03	VYDAJ	VYBER	300	36551	\N	\N	\N
562484	1913	1997-01-02	PRIJEM	VKLAD	1500	38899	\N	\N	\N
562485	1913	1997-02-01	VYDAJ	VYBER	2200	34875	\N	\N	\N
562486	1913	1997-03-03	PRIJEM	VKLAD	900	37218	\N	\N	\N
562487	1913	1997-04-02	VYDAJ	VYBER	2800	35868	\N	\N	\N
562488	1913	1997-05-02	VYDAJ	VYBER	2200	35117	\N	\N	\N
562489	1913	1997-06-01	PRIJEM	VKLAD	800	36728	\N	\N	\N
562490	1913	1997-07-01	PRIJEM	VKLAD	4500	36184	\N	\N	\N
562491	1913	1997-07-31	PRIJEM	VKLAD	2400	38811	\N	\N	\N
562492	1913	1997-08-30	VYDAJ	VYBER	900	38993	\N	\N	\N
562493	1913	1997-09-29	VYDAJ	VYBER	300	40150	\N	\N	\N
562494	1913	1997-10-29	PRIJEM	VKLAD	800	42409	\N	\N	\N
562495	1913	1997-11-28	PRIJEM	VKLAD	1600	44394	\N	\N	\N
562496	1913	1997-12-28	PRIJEM	VKLAD	3700	49264	\N	\N	\N
562497	1913	1998-01-27	PRIJEM	VKLAD	2300	51817	\N	\N	\N
562498	1913	1998-02-26	PRIJEM	VKLAD	6200	59519	\N	\N	\N
562499	1913	1998-03-28	PRIJEM	VKLAD	4300	65334	\N	\N	\N
562500	1913	1998-04-27	VYDAJ	VYBER	400	64712	\N	\N	\N
562501	1913	1998-05-27	VYDAJ	VYBER	3300	62978	\N	\N	\N
562502	1913	1998-06-26	PRIJEM	VKLAD	300	57012	\N	\N	\N
562503	1913	1998-07-26	VYDAJ	VYBER	2700	55849	\N	\N	\N
562504	1913	1998-08-25	PRIJEM	VKLAD	600	57981	\N	\N	\N
562505	1913	1998-09-24	VYDAJ	VYBER	1700	57811	\N	\N	\N
562506	1913	1998-10-24	PRIJEM	VKLAD	5800	65147	\N	\N	\N
562507	1913	1998-11-23	PRIJEM	VKLAD	2200	67931	\N	\N	\N
562539	1914	1995-01-24	PRIJEM	VKLAD	700	700	\N	\N	\N
562541	1914	1995-02-12	PRIJEM	VKLAD	5003	5703	\N	\N	\N
562542	1914	1995-03-12	PRIJEM	VKLAD	5003	19619	\N	\N	\N
562543	1914	1995-04-12	PRIJEM	VKLAD	5003	27991	\N	\N	\N
562544	1914	1995-05-12	PRIJEM	VKLAD	5003	29691	\N	\N	\N
562545	1914	1995-06-12	PRIJEM	VKLAD	7505	33800	\N	\N	\N
562546	1914	1995-07-12	PRIJEM	VKLAD	5003	31566	\N	\N	\N
562547	1914	1995-08-12	PRIJEM	VKLAD	5003	25801	\N	\N	\N
562548	1914	1995-09-12	PRIJEM	VKLAD	5003	27559	\N	\N	\N
562549	1914	1995-10-12	PRIJEM	VKLAD	5003	29724	\N	\N	\N
562550	1914	1995-11-12	PRIJEM	VKLAD	5003	24811	\N	\N	\N
562551	1914	1995-12-12	PRIJEM	VKLAD	7505	29668	\N	\N	\N
562552	1914	1996-01-12	PRIJEM	VKLAD	5003	24055	\N	\N	\N
562553	1914	1996-02-12	PRIJEM	VKLAD	5003	16136	\N	\N	\N
562554	1914	1996-03-12	PRIJEM	VKLAD	5003	23962	\N	\N	\N
562555	1914	1996-04-12	PRIJEM	VKLAD	5003	27614	\N	\N	\N
562556	1914	1996-05-12	PRIJEM	VKLAD	5003	29979	\N	\N	\N
562557	1914	1996-06-12	PRIJEM	VKLAD	7505	32572	\N	\N	\N
562558	1914	1996-07-12	PRIJEM	VKLAD	5003	32750	\N	\N	\N
562559	1914	1996-08-12	PRIJEM	VKLAD	5003	25987	\N	\N	\N
562560	1914	1996-09-12	PRIJEM	VKLAD	5003	29780	\N	\N	\N
562561	1914	1996-10-12	PRIJEM	VKLAD	5003	34562	\N	\N	\N
562562	1914	1996-11-12	PRIJEM	VKLAD	5003	38399	\N	\N	\N
562563	1914	1996-12-12	PRIJEM	VKLAD	7505	43816	\N	\N	\N
562564	1914	1997-01-12	PRIJEM	VKLAD	5003	34836	\N	\N	\N
562565	1914	1997-02-12	PRIJEM	VKLAD	5003	34032	\N	\N	\N
562566	1914	1997-03-12	PRIJEM	VKLAD	5003	34614	\N	\N	\N
562567	1914	1997-04-12	PRIJEM	VKLAD	5003	36707	\N	\N	\N
562568	1914	1997-05-12	PRIJEM	VKLAD	5003	39210	\N	\N	\N
562569	1914	1997-06-12	PRIJEM	VKLAD	7505	44926	\N	\N	\N
562570	1914	1997-07-12	PRIJEM	VKLAD	5003	41410	\N	\N	\N
562571	1914	1997-08-12	PRIJEM	VKLAD	5003	57754	\N	\N	\N
562572	1914	1997-09-12	PRIJEM	VKLAD	5003	62835	\N	\N	\N
562573	1914	1997-10-12	PRIJEM	VKLAD	5003	68341	\N	\N	\N
562574	1914	1997-11-12	PRIJEM	VKLAD	5003	66269	\N	\N	\N
562575	1914	1997-12-12	PRIJEM	VKLAD	7505	62451	\N	\N	\N
562576	1914	1998-01-12	PRIJEM	VKLAD	5003	63550	\N	\N	\N
562577	1914	1998-02-12	PRIJEM	VKLAD	5003	52159	\N	\N	\N
562578	1914	1998-03-12	PRIJEM	VKLAD	5003	57612	\N	\N	\N
562579	1914	1998-04-12	PRIJEM	VKLAD	5003	64496	\N	\N	\N
562580	1914	1998-05-12	PRIJEM	VKLAD	5003	73107	\N	\N	\N
562581	1914	1998-06-12	PRIJEM	VKLAD	7505	75055	\N	\N	\N
562582	1914	1998-07-12	PRIJEM	VKLAD	5003	61881	\N	\N	\N
562583	1914	1998-08-12	PRIJEM	VKLAD	5003	76177	\N	\N	\N
562584	1914	1998-09-12	PRIJEM	VKLAD	5003	79130	\N	\N	\N
562585	1914	1998-10-12	PRIJEM	VKLAD	5003	80553	\N	\N	\N
562586	1914	1998-11-12	PRIJEM	VKLAD	5003	79118	\N	\N	\N
562587	1914	1998-12-12	PRIJEM	VKLAD	7505	79095	\N	\N	\N
562594	1914	1995-07-08	VYDAJ	PREVOD NA UCET	1289	26563	SIPO	GH	33870774
562595	1914	1995-08-08	VYDAJ	PREVOD NA UCET	1289	20798	SIPO	GH	33870774
562596	1914	1995-09-08	VYDAJ	PREVOD NA UCET	1289	22556	SIPO	GH	33870774
562597	1914	1995-10-08	VYDAJ	PREVOD NA UCET	1289	24721	SIPO	GH	33870774
562598	1914	1995-11-08	VYDAJ	PREVOD NA UCET	1289	19808	SIPO	GH	33870774
562599	1914	1995-12-08	VYDAJ	PREVOD NA UCET	1289	22163	SIPO	GH	33870774
562600	1914	1996-01-08	VYDAJ	PREVOD NA UCET	1289	22172	SIPO	GH	33870774
562601	1914	1996-02-08	VYDAJ	PREVOD NA UCET	1289	11133	SIPO	GH	33870774
562602	1914	1996-03-08	VYDAJ	PREVOD NA UCET	1289	18959	SIPO	GH	33870774
562603	1914	1996-04-08	VYDAJ	PREVOD NA UCET	1289	22611	SIPO	GH	33870774
562604	1914	1996-05-08	VYDAJ	PREVOD NA UCET	1289	24976	SIPO	GH	33870774
562605	1914	1996-06-08	VYDAJ	PREVOD NA UCET	1289	25068	SIPO	GH	33870774
562606	1914	1996-07-08	VYDAJ	PREVOD NA UCET	1289	27747	SIPO	GH	33870774
562607	1914	1996-08-08	VYDAJ	PREVOD NA UCET	1289	20984	SIPO	GH	33870774
562608	1914	1996-09-08	VYDAJ	PREVOD NA UCET	1289	24777	SIPO	GH	33870774
562609	1914	1996-10-08	VYDAJ	PREVOD NA UCET	1289	29559	SIPO	GH	33870774
562610	1914	1996-11-08	VYDAJ	PREVOD NA UCET	1289	33396	SIPO	GH	33870774
562611	1914	1996-12-08	VYDAJ	PREVOD NA UCET	1289	36311	SIPO	GH	33870774
562612	1914	1997-01-08	VYDAJ	PREVOD NA UCET	1289	29833	SIPO	GH	33870774
562613	1914	1997-02-08	VYDAJ	PREVOD NA UCET	1289	26629	SIPO	GH	33870774
562614	1914	1997-03-08	VYDAJ	PREVOD NA UCET	1289	29611	SIPO	GH	33870774
562615	1914	1997-04-08	VYDAJ	PREVOD NA UCET	1289	31704	SIPO	GH	33870774
562616	1914	1997-05-08	VYDAJ	PREVOD NA UCET	1289	34207	SIPO	GH	33870774
562617	1914	1997-06-08	VYDAJ	PREVOD NA UCET	1289	37422	SIPO	GH	33870774
562618	1914	1997-07-08	VYDAJ	PREVOD NA UCET	1289	36407	SIPO	GH	33870774
562619	1914	1997-08-08	VYDAJ	PREVOD NA UCET	1289	47051	SIPO	GH	33870774
562620	1914	1997-09-08	VYDAJ	PREVOD NA UCET	1289	54632	SIPO	GH	33870774
562621	1914	1997-10-08	VYDAJ	PREVOD NA UCET	1289	59738	SIPO	GH	33870774
562622	1914	1997-11-08	VYDAJ	PREVOD NA UCET	1289	65266	SIPO	GH	33870774
562623	1914	1997-12-08	VYDAJ	PREVOD NA UCET	1289	49746	SIPO	GH	33870774
562624	1914	1998-01-08	VYDAJ	PREVOD NA UCET	1289	58547	SIPO	GH	33870774
562625	1914	1998-02-08	VYDAJ	PREVOD NA UCET	1289	47156	SIPO	GH	33870774
562626	1914	1998-03-08	VYDAJ	PREVOD NA UCET	1289	49009	SIPO	GH	33870774
562627	1914	1998-04-08	VYDAJ	PREVOD NA UCET	1289	59493	SIPO	GH	33870774
562628	1914	1998-05-08	VYDAJ	PREVOD NA UCET	1289	68104	SIPO	GH	33870774
562629	1914	1998-06-08	VYDAJ	PREVOD NA UCET	1289	67551	SIPO	GH	33870774
562630	1914	1998-07-08	VYDAJ	PREVOD NA UCET	1289	60678	SIPO	GH	33870774
562631	1914	1998-08-08	VYDAJ	PREVOD NA UCET	1289	71174	SIPO	GH	33870774
562632	1914	1998-09-08	VYDAJ	PREVOD NA UCET	1289	74127	SIPO	GH	33870774
562633	1914	1998-10-08	VYDAJ	PREVOD NA UCET	1289	75550	SIPO	GH	33870774
562634	1914	1998-11-08	VYDAJ	PREVOD NA UCET	1289	74115	SIPO	GH	33870774
562635	1914	1998-12-08	VYDAJ	PREVOD NA UCET	1289	75090	SIPO	GH	33870774
562642	1914	1995-07-07	VYDAJ	PREVOD NA UCET	2046	27852	 	UV	9548128
562643	1914	1995-08-07	VYDAJ	PREVOD NA UCET	2046	22087	 	UV	9548128
562644	1914	1995-09-07	VYDAJ	PREVOD NA UCET	2046	23845	 	UV	9548128
562645	1914	1995-10-07	VYDAJ	PREVOD NA UCET	2046	26010	 	UV	9548128
562646	1914	1995-11-07	VYDAJ	PREVOD NA UCET	2046	21097	 	UV	9548128
562647	1914	1995-12-07	VYDAJ	PREVOD NA UCET	2046	23452	 	UV	9548128
562648	1914	1996-01-07	VYDAJ	PREVOD NA UCET	2046	23461	 	UV	9548128
562649	1914	1996-02-07	VYDAJ	PREVOD NA UCET	2046	12422	 	UV	9548128
562650	1914	1996-03-07	VYDAJ	PREVOD NA UCET	2046	20248	 	UV	9548128
562651	1914	1996-04-07	VYDAJ	PREVOD NA UCET	2046	23900	 	UV	9548128
562652	1914	1996-05-07	VYDAJ	PREVOD NA UCET	2046	26265	 	UV	9548128
562653	1914	1996-06-07	VYDAJ	PREVOD NA UCET	2046	26357	 	UV	9548128
562654	1914	1996-07-07	VYDAJ	PREVOD NA UCET	2046	29036	 	UV	9548128
562655	1914	1996-08-07	VYDAJ	PREVOD NA UCET	2046	22273	 	UV	9548128
562656	1914	1996-09-07	VYDAJ	PREVOD NA UCET	2046	26066	 	UV	9548128
562657	1914	1996-10-07	VYDAJ	PREVOD NA UCET	2046	30848	 	UV	9548128
562658	1914	1996-11-07	VYDAJ	PREVOD NA UCET	2046	34685	 	UV	9548128
562659	1914	1996-12-07	VYDAJ	PREVOD NA UCET	2046	37600	 	UV	9548128
562660	1914	1997-01-07	VYDAJ	PREVOD NA UCET	2046	31122	 	UV	9548128
562661	1914	1997-02-07	VYDAJ	PREVOD NA UCET	2046	27918	 	UV	9548128
562662	1914	1997-03-07	VYDAJ	PREVOD NA UCET	2046	30900	 	UV	9548128
562663	1914	1997-04-07	VYDAJ	PREVOD NA UCET	2046	32993	 	UV	9548128
562664	1914	1997-05-07	VYDAJ	PREVOD NA UCET	2046	35496	 	UV	9548128
562665	1914	1997-06-07	VYDAJ	PREVOD NA UCET	2046	38711	 	UV	9548128
562666	1914	1997-07-07	VYDAJ	PREVOD NA UCET	2046	37696	 	UV	9548128
562667	1914	1997-08-07	VYDAJ	PREVOD NA UCET	2046	48340	 	UV	9548128
562668	1914	1997-09-07	VYDAJ	PREVOD NA UCET	2046	55921	 	UV	9548128
562669	1914	1997-10-07	VYDAJ	PREVOD NA UCET	2046	61027	 	UV	9548128
562670	1914	1997-11-07	VYDAJ	PREVOD NA UCET	2046	66555	 	UV	9548128
562671	1914	1997-12-07	VYDAJ	PREVOD NA UCET	2046	51035	 	UV	9548128
562672	1914	1998-01-07	VYDAJ	PREVOD NA UCET	2046	56736	 	UV	9548128
562673	1914	1998-02-07	VYDAJ	PREVOD NA UCET	2046	48445	 	UV	9548128
562674	1914	1998-03-07	VYDAJ	PREVOD NA UCET	2046	50298	 	UV	9548128
562675	1914	1998-04-07	VYDAJ	PREVOD NA UCET	2046	55782	 	UV	9548128
562676	1914	1998-05-07	VYDAJ	PREVOD NA UCET	2046	62693	 	UV	9548128
562677	1914	1998-06-07	VYDAJ	PREVOD NA UCET	2046	71340	 	UV	9548128
562678	1914	1998-07-07	VYDAJ	PREVOD NA UCET	2046	61967	 	UV	9548128
562679	1914	1998-08-07	VYDAJ	PREVOD NA UCET	2046	72463	 	UV	9548128
562680	1914	1998-09-07	VYDAJ	PREVOD NA UCET	2046	75416	 	UV	9548128
562681	1914	1998-10-07	VYDAJ	PREVOD NA UCET	2046	76839	 	UV	9548128
562682	1914	1998-11-07	VYDAJ	PREVOD NA UCET	2046	75404	 	UV	9548128
562683	1914	1998-12-07	VYDAJ	PREVOD NA UCET	2046	76379	 	UV	9548128
562686	1914	1997-06-21	VYDAJ	VYBER	8640	39586	\N	\N	\N
562687	1914	1998-06-28	VYDAJ	VYBER	28320	46735	\N	\N	\N
562689	1914	1996-01-18	VYDAJ	VYBER	6880	12615	\N	\N	\N
562690	1914	1997-01-30	VYDAJ	VYBER KARTOU	1900	29836	\N	\N	0
562691	1914	1998-01-21	VYDAJ	VYBER	14560	40090	\N	\N	\N
562692	1914	1995-12-18	VYDAJ	VYBER	2240	27428	\N	\N	\N
562693	1914	1996-12-26	VYDAJ	VYBER KARTOU	1400	39816	\N	\N	0
562694	1914	1997-12-01	VYDAJ	VYBER	4480	56281	\N	\N	\N
562695	1914	1998-12-10	VYDAJ	VYBER KARTOU	3500	71590	\N	\N	0
562702	1914	1996-01-05	VYDAJ	VYBER	2400	25507	\N	\N	\N
562703	1914	1996-01-16	VYDAJ	VYBER	1080	19495	\N	\N	\N
562704	1914	1996-01-27	VYDAJ	VYBER	3000	14395	\N	\N	\N
562705	1914	1996-01-12	VYDAJ	VYBER	3480	20575	\N	\N	\N
562706	1914	1996-01-11	VYDAJ	VYBER	3120	19052	\N	\N	\N
562707	1914	1996-01-24	VYDAJ	VYBER	1920	17395	\N	\N	\N
562708	1914	1997-01-07	VYDAJ	VYBER KARTOU	2000	33168	\N	\N	0
562709	1914	1997-01-01	VYDAJ	VYBER KARTOU	1900	38068	\N	\N	0
562710	1914	1997-01-06	VYDAJ	VYBER KARTOU	1700	36368	\N	\N	0
562711	1914	1997-01-06	VYDAJ	VYBER KARTOU	1200	35168	\N	\N	0
562712	1914	1997-01-25	VYDAJ	VYBER KARTOU	2600	31736	\N	\N	0
562713	1914	1997-01-16	VYDAJ	VYBER KARTOU	3400	34336	\N	\N	0
562714	1914	1998-01-04	VYDAJ	VYBER KARTOU	2200	60482	\N	\N	0
562715	1914	1998-01-20	VYDAJ	VYBER KARTOU	2500	56250	\N	\N	0
562716	1914	1998-01-05	VYDAJ	VYBER KARTOU	1700	58782	\N	\N	0
562717	1914	1998-01-20	VYDAJ	VYBER KARTOU	1600	54650	\N	\N	0
562718	1914	1998-01-26	VYDAJ	VYBER KARTOU	2300	37790	\N	\N	0
562719	1914	1998-01-28	VYDAJ	VYBER KARTOU	700	37090	\N	\N	0
562722	1914	1995-08-04	VYDAJ	VYBER	2640	24133	\N	\N	\N
562723	1914	1995-11-03	VYDAJ	VYBER	2880	23143	\N	\N	\N
562725	1914	1996-01-01	VYDAJ	VYBER	1320	27907	\N	\N	\N
562726	1914	1996-05-20	VYDAJ	VYBER	2280	28299	\N	\N	\N
562727	1914	1996-11-27	VYDAJ	VYBER	2400	39499	\N	\N	\N
562728	1914	1996-10-14	VYDAJ	VYBER	2160	32402	\N	\N	\N
562729	1914	1996-08-05	VYDAJ	VYBER	4200	24319	\N	\N	\N
562730	1914	1996-07-19	VYDAJ	VYBER	3840	28410	\N	\N	\N
562731	1914	1996-09-05	VYDAJ	VYBER	3480	28112	\N	\N	\N
562732	1914	1997-11-21	VYDAJ	VYBER	5760	60509	\N	\N	\N
562733	1914	1997-12-02	VYDAJ	VYBER KARTOU	3200	53081	\N	\N	0
562734	1914	1997-02-13	VYDAJ	VYBER KARTOU	1200	32832	\N	\N	0
562735	1914	1997-03-17	VYDAJ	VYBER KARTOU	700	34914	\N	\N	0
562736	1914	1998-09-25	VYDAJ	VYBER	4440	70890	\N	\N	\N
562737	1914	1998-10-13	VYDAJ	VYBER	4200	76353	\N	\N	\N
562738	1914	1998-09-16	VYDAJ	VYBER KARTOU	3800	75330	\N	\N	0
562739	1914	1998-07-10	VYDAJ	VYBER KARTOU	3800	56878	\N	\N	0
562740	1914	1998-08-26	VYDAJ	VYBER KARTOU	1100	75077	\N	\N	0
562741	1914	1998-01-14	VYDAJ	VYBER	4800	58750	\N	\N	\N
562748	1914	1995-06-30	VYDAJ	VYBER	15	29898	SLUZBY	\N	\N
562749	1914	1995-07-31	VYDAJ	VYBER	15	26773	SLUZBY	\N	\N
562750	1914	1995-08-31	VYDAJ	VYBER	15	25891	SLUZBY	\N	\N
562751	1914	1995-09-30	VYDAJ	VYBER	15	28056	SLUZBY	\N	\N
562752	1914	1995-10-31	VYDAJ	VYBER	15	26023	SLUZBY	\N	\N
562753	1914	1995-11-30	VYDAJ	VYBER	15	25498	SLUZBY	\N	\N
562754	1914	1995-12-31	VYDAJ	VYBER	15	29227	SLUZBY	\N	\N
562755	1914	1996-01-31	VYDAJ	VYBER	15	14468	SLUZBY	\N	\N
562756	1914	1996-02-29	VYDAJ	VYBER	15	22294	SLUZBY	\N	\N
562757	1914	1996-03-31	VYDAJ	VYBER	15	25946	SLUZBY	\N	\N
562758	1914	1996-04-30	VYDAJ	VYBER	15	28311	SLUZBY	\N	\N
562759	1914	1996-05-31	VYDAJ	VYBER	15	28403	SLUZBY	\N	\N
562760	1914	1996-06-30	VYDAJ	VYBER	15	31082	SLUZBY	\N	\N
562761	1914	1996-07-31	VYDAJ	VYBER	15	28519	SLUZBY	\N	\N
562762	1914	1996-08-31	VYDAJ	VYBER	15	31592	SLUZBY	\N	\N
562763	1914	1996-09-30	VYDAJ	VYBER	15	32894	SLUZBY	\N	\N
562764	1914	1996-10-31	VYDAJ	VYBER	15	36731	SLUZBY	\N	\N
562765	1914	1996-11-30	VYDAJ	VYBER	15	39646	SLUZBY	\N	\N
562766	1914	1996-12-31	VYDAJ	VYBER	15	39968	SLUZBY	\N	\N
562767	1914	1997-01-31	VYDAJ	VYBER	15	29964	SLUZBY	\N	\N
562768	1914	1997-02-28	VYDAJ	VYBER	15	32946	SLUZBY	\N	\N
562769	1914	1997-03-31	VYDAJ	VYBER	15	35039	SLUZBY	\N	\N
562770	1914	1997-04-30	VYDAJ	VYBER	15	37542	SLUZBY	\N	\N
562771	1914	1997-05-31	VYDAJ	VYBER	15	40757	SLUZBY	\N	\N
562772	1914	1997-06-30	VYDAJ	VYBER	15	39742	SLUZBY	\N	\N
562773	1914	1997-07-31	VYDAJ	VYBER	15	50386	SLUZBY	\N	\N
562774	1914	1997-08-31	VYDAJ	VYBER	15	57967	SLUZBY	\N	\N
562775	1914	1997-09-30	VYDAJ	VYBER	15	63073	SLUZBY	\N	\N
562776	1914	1997-10-31	VYDAJ	VYBER	15	68601	SLUZBY	\N	\N
562777	1914	1997-11-30	VYDAJ	VYBER	15	60761	SLUZBY	\N	\N
562778	1914	1997-12-31	VYDAJ	VYBER	15	62682	SLUZBY	\N	\N
562779	1914	1998-01-31	VYDAJ	VYBER	15	37291	SLUZBY	\N	\N
562780	1914	1998-02-28	VYDAJ	VYBER	15	52344	SLUZBY	\N	\N
562781	1914	1998-03-31	VYDAJ	VYBER	15	57828	SLUZBY	\N	\N
562782	1914	1998-04-30	VYDAJ	VYBER	15	64739	SLUZBY	\N	\N
562783	1914	1998-05-31	VYDAJ	VYBER	15	73386	SLUZBY	\N	\N
562784	1914	1998-06-30	VYDAJ	VYBER	15	47013	SLUZBY	\N	\N
562785	1914	1998-07-31	VYDAJ	VYBER	15	62109	SLUZBY	\N	\N
562786	1914	1998-08-31	VYDAJ	VYBER	15	75362	SLUZBY	\N	\N
562787	1914	1998-09-30	VYDAJ	VYBER	15	71185	SLUZBY	\N	\N
562788	1914	1998-10-31	VYDAJ	VYBER	15	76650	SLUZBY	\N	\N
562789	1914	1998-11-30	VYDAJ	VYBER	15	79425	SLUZBY	\N	\N
562790	1914	1995-02-23	PRIJEM	VKLAD	8900	14603	\N	\N	\N
562791	1914	1995-03-25	PRIJEM	VKLAD	3300	22919	\N	\N	\N
562792	1914	1995-04-24	VYDAJ	VYBER	3400	24591	\N	\N	\N
562793	1914	1995-05-24	VYDAJ	VYBER	3500	26191	\N	\N	\N
562794	1914	1995-06-23	VYDAJ	VYBER	4000	29800	\N	\N	\N
562795	1914	1995-07-23	VYDAJ	VYBER	4900	26666	\N	\N	\N
562796	1914	1995-09-21	PRIJEM	VKLAD	400	27959	\N	\N	\N
562797	1914	1995-10-21	VYDAJ	VYBER	3800	25924	\N	\N	\N
562798	1914	1995-11-20	PRIJEM	VKLAD	600	25411	\N	\N	\N
562799	1914	1995-12-20	PRIJEM	VKLAD	1700	29128	\N	\N	\N
562800	1914	1996-01-19	PRIJEM	VKLAD	6700	19315	\N	\N	\N
562801	1914	1996-02-18	PRIJEM	VKLAD	6100	22236	\N	\N	\N
562802	1914	1996-03-19	PRIJEM	VKLAD	1900	25862	\N	\N	\N
562803	1914	1996-04-18	PRIJEM	VKLAD	600	28214	\N	\N	\N
562804	1914	1996-05-18	PRIJEM	VKLAD	600	30579	\N	\N	\N
562805	1914	1996-06-17	VYDAJ	VYBER	1600	30972	\N	\N	\N
562806	1914	1996-07-17	VYDAJ	VYBER	500	32250	\N	\N	\N
562807	1914	1996-08-16	PRIJEM	VKLAD	5500	31487	\N	\N	\N
562808	1914	1996-09-15	PRIJEM	VKLAD	3000	32780	\N	\N	\N
562809	1914	1996-10-15	PRIJEM	VKLAD	4200	36602	\N	\N	\N
562810	1914	1996-11-14	PRIJEM	VKLAD	3500	41899	\N	\N	\N
562811	1914	1996-12-14	VYDAJ	VYBER KARTOU	2600	41216	\N	\N	0
562812	1914	1997-01-13	PRIJEM	VKLAD	2900	37736	\N	\N	\N
562813	1914	1997-02-12	PRIJEM	VKLAD	2400	29029	\N	\N	\N
562814	1914	1997-03-14	PRIJEM	VKLAD	1000	35614	\N	\N	\N
562815	1914	1997-04-13	PRIJEM	VKLAD	700	37407	\N	\N	\N
562816	1914	1997-05-13	PRIJEM	VKLAD	1400	40610	\N	\N	\N
562817	1914	1997-06-12	PRIJEM	VKLAD	3300	48226	\N	\N	\N
562818	1914	1997-07-12	PRIJEM	VKLAD	8800	50210	\N	\N	\N
562819	1914	1997-08-11	PRIJEM	VKLAD	5700	52751	\N	\N	\N
562820	1914	1997-09-10	PRIJEM	VKLAD	3200	57832	\N	\N	\N
562821	1914	1997-10-10	PRIJEM	VKLAD	3600	63338	\N	\N	\N
562822	1914	1997-11-09	VYDAJ	VYBER KARTOU	4000	61266	\N	\N	0
562823	1914	1997-12-09	PRIJEM	VKLAD	5200	54946	\N	\N	\N
562824	1914	1998-01-08	PRIJEM	VKLAD	3100	59836	\N	\N	\N
562825	1914	1998-02-07	PRIJEM	VKLAD	13200	50491	\N	\N	\N
562826	1914	1998-03-09	PRIJEM	VKLAD	3600	52609	\N	\N	\N
562827	1914	1998-04-08	PRIJEM	VKLAD	5000	60782	\N	\N	\N
562828	1914	1998-05-08	PRIJEM	VKLAD	6700	69393	\N	\N	\N
562829	1914	1998-06-07	VYDAJ	VYBER KARTOU	2500	68840	\N	\N	0
562830	1914	1998-07-07	PRIJEM	VKLAD	17000	64013	\N	\N	\N
562831	1914	1998-08-06	PRIJEM	VKLAD	12400	74509	\N	\N	\N
562832	1914	1998-09-05	PRIJEM	VKLAD	2100	77462	\N	\N	\N
562833	1914	1998-10-05	PRIJEM	VKLAD	7700	78885	\N	\N	\N
562834	1914	1998-11-04	PRIJEM	VKLAD	800	77450	\N	\N	\N
562835	1914	1998-12-04	VYDAJ	VYBER KARTOU	1000	78425	\N	\N	0
562883	1915	1997-04-14	PRIJEM	VKLAD	900	900	\N	\N	\N
562888	1915	1997-05-10	PRIJEM	VKLAD	9291	10191	\N	\N	\N
562889	1915	1997-06-10	PRIJEM	VKLAD	13937	31971	\N	\N	\N
562890	1915	1997-07-10	PRIJEM	VKLAD	9291	31347	\N	\N	\N
562891	1915	1997-08-10	PRIJEM	VKLAD	9291	34137	\N	\N	\N
562892	1915	1997-09-10	PRIJEM	VKLAD	9291	33529	\N	\N	\N
562893	1915	1997-10-10	PRIJEM	VKLAD	9291	27702	\N	\N	\N
562894	1915	1997-11-10	PRIJEM	VKLAD	9291	20121	\N	\N	\N
562895	1915	1997-12-10	PRIJEM	VKLAD	13937	24604	\N	\N	\N
562896	1915	1998-01-10	PRIJEM	VKLAD	9291	22474	\N	\N	\N
562897	1915	1998-02-10	PRIJEM	VKLAD	9291	20586	\N	\N	\N
562898	1915	1998-03-10	PRIJEM	VKLAD	9291	23134	\N	\N	\N
562899	1915	1998-04-10	PRIJEM	VKLAD	9291	14762	\N	\N	\N
562900	1915	1998-05-10	PRIJEM	VKLAD	9291	22987	\N	\N	\N
562901	1915	1998-06-10	PRIJEM	VKLAD	13937	29785	\N	\N	\N
562902	1915	1998-07-10	PRIJEM	VKLAD	9291	20094	\N	\N	\N
562903	1915	1998-08-10	PRIJEM	VKLAD	9291	23643	\N	\N	\N
562904	1915	1998-09-10	PRIJEM	VKLAD	9291	24602	\N	\N	\N
562905	1915	1998-10-10	PRIJEM	VKLAD	9291	27768	\N	\N	\N
562906	1915	1998-11-10	PRIJEM	VKLAD	9291	23586	\N	\N	\N
562907	1915	1998-12-10	PRIJEM	VKLAD	13937	27195	\N	\N	\N
562916	1915	1997-09-12	VYDAJ	PREVOD NA UCET	4052	20477	SIPO	EF	85960626
562917	1915	1997-10-12	VYDAJ	PREVOD NA UCET	4052	17950	SIPO	EF	85960626
562918	1915	1997-11-12	VYDAJ	PREVOD NA UCET	4052	12769	SIPO	EF	85960626
562919	1915	1997-12-12	VYDAJ	PREVOD NA UCET	4052	17352	SIPO	EF	85960626
562920	1915	1998-01-12	VYDAJ	PREVOD NA UCET	4052	18422	SIPO	EF	85960626
562921	1915	1998-02-12	VYDAJ	PREVOD NA UCET	4052	16534	SIPO	EF	85960626
562922	1915	1998-03-12	VYDAJ	PREVOD NA UCET	4052	7582	SIPO	EF	85960626
562923	1915	1998-04-12	VYDAJ	PREVOD NA UCET	4052	10710	SIPO	EF	85960626
562924	1915	1998-05-12	VYDAJ	PREVOD NA UCET	4052	18935	SIPO	EF	85960626
562925	1915	1998-06-12	VYDAJ	PREVOD NA UCET	4052	25733	SIPO	EF	85960626
562926	1915	1998-07-12	VYDAJ	PREVOD NA UCET	4052	16042	SIPO	EF	85960626
562927	1915	1998-08-12	VYDAJ	PREVOD NA UCET	4052	19591	SIPO	EF	85960626
562928	1915	1998-09-12	VYDAJ	PREVOD NA UCET	4052	20550	SIPO	EF	85960626
562929	1915	1998-10-12	VYDAJ	PREVOD NA UCET	4052	23716	SIPO	EF	85960626
562930	1915	1998-11-12	VYDAJ	PREVOD NA UCET	4052	19534	SIPO	EF	85960626
562931	1915	1998-12-12	VYDAJ	PREVOD NA UCET	4052	23143	SIPO	EF	85960626
562941	1915	1997-10-06	VYDAJ	PREVOD NA UCET	2142	18411	 	GH	43997365
562942	1915	1997-11-06	VYDAJ	PREVOD NA UCET	2142	10830	 	GH	43997365
562943	1915	1997-12-06	VYDAJ	PREVOD NA UCET	2142	10667	 	GH	43997365
562944	1915	1998-01-06	VYDAJ	PREVOD NA UCET	2142	15263	 	GH	43997365
562945	1915	1998-02-06	VYDAJ	PREVOD NA UCET	2142	11295	 	GH	43997365
562946	1915	1998-03-06	VYDAJ	PREVOD NA UCET	2142	13843	 	GH	43997365
562947	1915	1998-04-06	VYDAJ	PREVOD NA UCET	2142	5471	 	GH	43997365
562948	1915	1998-05-06	VYDAJ	PREVOD NA UCET	2142	8596	 	GH	43997365
562949	1915	1998-06-06	VYDAJ	PREVOD NA UCET	2142	16848	 	GH	43997365
562950	1915	1998-07-06	VYDAJ	PREVOD NA UCET	2142	13903	 	GH	43997365
562951	1915	1998-08-06	VYDAJ	PREVOD NA UCET	2142	11552	 	GH	43997365
562952	1915	1998-09-06	VYDAJ	PREVOD NA UCET	2142	15311	 	GH	43997365
562953	1915	1998-10-06	VYDAJ	PREVOD NA UCET	2142	18477	 	GH	43997365
562954	1915	1998-11-06	VYDAJ	PREVOD NA UCET	2142	14295	 	GH	43997365
562955	1915	1998-12-06	VYDAJ	PREVOD NA UCET	2142	13259	 	GH	43997365
562957	1915	1998-06-22	VYDAJ	VYBER	9760	15973	\N	\N	\N
562966	1915	1998-01-07	VYDAJ	VYBER	1080	14183	\N	\N	\N
562969	1915	1998-01-26	VYDAJ	VYBER	3240	13382	\N	\N	\N
562970	1915	1998-01-20	VYDAJ	VYBER	1800	16622	\N	\N	\N
562978	1915	1997-10-26	VYDAJ	VYBER	5040	12910	\N	\N	\N
562981	1915	1998-02-25	VYDAJ	VYBER	600	15934	\N	\N	\N
562982	1915	1998-11-01	VYDAJ	VYBER	3960	19837	\N	\N	\N
562984	1915	1998-08-02	VYDAJ	VYBER	2400	13694	\N	\N	\N
562994	1915	1997-09-30	VYDAJ	VYBER	15	20553	SLUZBY	\N	\N
562995	1915	1997-10-31	VYDAJ	VYBER	15	12972	SLUZBY	\N	\N
562996	1915	1997-11-30	VYDAJ	VYBER	15	12809	SLUZBY	\N	\N
562997	1915	1997-12-31	VYDAJ	VYBER	15	17405	SLUZBY	\N	\N
562998	1915	1998-01-31	VYDAJ	VYBER	15	13437	SLUZBY	\N	\N
562999	1915	1998-02-28	VYDAJ	VYBER	15	15985	SLUZBY	\N	\N
563000	1915	1998-03-31	VYDAJ	VYBER	15	7613	SLUZBY	\N	\N
563001	1915	1998-04-30	VYDAJ	VYBER	15	10738	SLUZBY	\N	\N
563002	1915	1998-05-31	VYDAJ	VYBER	15	18990	SLUZBY	\N	\N
563003	1915	1998-06-30	VYDAJ	VYBER	15	16045	SLUZBY	\N	\N
563004	1915	1998-07-31	VYDAJ	VYBER	15	16094	SLUZBY	\N	\N
563005	1915	1998-08-31	VYDAJ	VYBER	15	19653	SLUZBY	\N	\N
563006	1915	1998-09-30	VYDAJ	VYBER	15	20619	SLUZBY	\N	\N
563007	1915	1998-10-31	VYDAJ	VYBER	15	23797	SLUZBY	\N	\N
563008	1915	1998-11-30	VYDAJ	VYBER	15	19601	SLUZBY	\N	\N
563009	1915	1997-05-14	PRIJEM	VKLAD	7800	17991	\N	\N	\N
563010	1915	1997-06-13	VYDAJ	VYBER	10000	21971	\N	\N	\N
563011	1915	1997-07-13	VYDAJ	VYBER	6600	24747	\N	\N	\N
563012	1915	1997-08-12	VYDAJ	VYBER	10000	24137	\N	\N	\N
563013	1915	1997-09-11	VYDAJ	VYBER	9000	24529	\N	\N	\N
563014	1915	1997-10-11	VYDAJ	VYBER	5700	22002	\N	\N	\N
563015	1915	1997-11-10	VYDAJ	VYBER	3300	16821	\N	\N	\N
563016	1915	1997-12-10	VYDAJ	VYBER	3200	21404	\N	\N	\N
563017	1915	1998-01-09	VYDAJ	VYBER	1000	13183	\N	\N	\N
563018	1915	1998-03-10	VYDAJ	VYBER	11500	11634	\N	\N	\N
563019	1915	1998-05-09	PRIJEM	VKLAD	5100	13696	\N	\N	\N
563020	1915	1998-06-08	VYDAJ	VYBER	1000	15848	\N	\N	\N
563021	1915	1998-07-08	VYDAJ	VYBER	3100	10803	\N	\N	\N
563022	1915	1998-08-07	PRIJEM	VKLAD	2800	14352	\N	\N	\N
563023	1915	1998-09-06	VYDAJ	VYBER	2200	17453	\N	\N	\N
563024	1915	1998-11-05	VYDAJ	VYBER	3400	16437	\N	\N	\N
563025	1915	1998-12-05	VYDAJ	VYBER	4200	15401	\N	\N	\N
563046	1916	1996-02-16	PRIJEM	VKLAD	300	300	\N	\N	\N
563049	1916	1996-03-14	PRIJEM	VKLAD	6404	6704	\N	\N	\N
563050	1916	1996-04-14	PRIJEM	VKLAD	6404	23242	\N	\N	\N
563051	1916	1996-05-14	PRIJEM	VKLAD	6404	32034	\N	\N	\N
563052	1916	1996-06-14	PRIJEM	VKLAD	9606	39856	\N	\N	\N
563053	1916	1996-07-14	PRIJEM	VKLAD	6404	38590	\N	\N	\N
563054	1916	1996-08-14	PRIJEM	VKLAD	6404	34946	\N	\N	\N
563055	1916	1996-09-14	PRIJEM	VKLAD	6404	30304	\N	\N	\N
563056	1916	1996-10-14	PRIJEM	VKLAD	6404	29054	\N	\N	\N
563057	1916	1996-11-14	PRIJEM	VKLAD	6404	28793	\N	\N	\N
563058	1916	1996-12-14	PRIJEM	VKLAD	9606	31329	\N	\N	\N
563059	1916	1997-01-14	PRIJEM	VKLAD	6404	27771	\N	\N	\N
563060	1916	1997-02-14	PRIJEM	VKLAD	6404	27806	\N	\N	\N
563061	1916	1997-03-14	PRIJEM	VKLAD	6404	27440	\N	\N	\N
563062	1916	1997-04-14	PRIJEM	VKLAD	6404	23874	\N	\N	\N
563063	1916	1997-05-14	PRIJEM	VKLAD	6404	26796	\N	\N	\N
563064	1916	1997-06-14	PRIJEM	VKLAD	9606	30623	\N	\N	\N
563065	1916	1997-07-14	PRIJEM	VKLAD	6404	20934	\N	\N	\N
563066	1916	1997-08-14	PRIJEM	VKLAD	6404	21735	\N	\N	\N
563067	1916	1997-09-14	PRIJEM	VKLAD	6404	18636	\N	\N	\N
563068	1916	1997-10-14	PRIJEM	VKLAD	6404	20533	\N	\N	\N
563069	1916	1997-11-14	PRIJEM	VKLAD	6404	24631	\N	\N	\N
563070	1916	1997-12-14	PRIJEM	VKLAD	9606	31045	\N	\N	\N
563071	1916	1998-01-14	PRIJEM	VKLAD	6404	29180	\N	\N	\N
563072	1916	1998-02-14	PRIJEM	VKLAD	6404	35218	\N	\N	\N
563073	1916	1998-03-14	PRIJEM	VKLAD	6404	34171	\N	\N	\N
563074	1916	1998-04-14	PRIJEM	VKLAD	6404	38630	\N	\N	\N
563075	1916	1998-05-14	PRIJEM	VKLAD	6404	43802	\N	\N	\N
563076	1916	1998-06-14	PRIJEM	VKLAD	9606	43097	\N	\N	\N
563077	1916	1998-07-14	PRIJEM	VKLAD	6404	46993	\N	\N	\N
563078	1916	1998-08-14	PRIJEM	VKLAD	6404	49901	\N	\N	\N
563079	1916	1998-09-14	PRIJEM	VKLAD	6404	53521	\N	\N	\N
563080	1916	1998-10-14	PRIJEM	VKLAD	6404	54055	\N	\N	\N
563081	1916	1998-11-14	PRIJEM	VKLAD	6404	56596	\N	\N	\N
563082	1916	1998-12-14	PRIJEM	VKLAD	9606	65146	\N	\N	\N
563090	1916	1996-08-09	VYDAJ	PREVOD NA UCET	4269	28542	SIPO	QR	71571534
563091	1916	1996-09-09	VYDAJ	PREVOD NA UCET	4269	29000	SIPO	QR	71571534
563092	1916	1996-10-09	VYDAJ	PREVOD NA UCET	4269	26150	SIPO	QR	71571534
563093	1916	1996-11-09	VYDAJ	PREVOD NA UCET	4269	21389	SIPO	QR	71571534
563094	1916	1996-12-09	VYDAJ	PREVOD NA UCET	4269	24623	SIPO	QR	71571534
563095	1916	1997-01-09	VYDAJ	PREVOD NA UCET	4269	24867	SIPO	QR	71571534
563096	1916	1997-02-09	VYDAJ	PREVOD NA UCET	4269	23602	SIPO	QR	71571534
563097	1916	1997-03-09	VYDAJ	PREVOD NA UCET	4269	23636	SIPO	QR	71571534
563098	1916	1997-04-09	VYDAJ	PREVOD NA UCET	4269	23270	SIPO	QR	71571534
563099	1916	1997-05-09	VYDAJ	PREVOD NA UCET	4269	19692	SIPO	QR	71571534
563100	1916	1997-06-09	VYDAJ	PREVOD NA UCET	4269	22117	SIPO	QR	71571534
563101	1916	1997-07-09	VYDAJ	PREVOD NA UCET	4269	14730	SIPO	QR	71571534
563102	1916	1997-08-09	VYDAJ	PREVOD NA UCET	4269	15331	SIPO	QR	71571534
563103	1916	1997-09-09	VYDAJ	PREVOD NA UCET	4269	12232	SIPO	QR	71571534
563104	1916	1997-10-09	VYDAJ	PREVOD NA UCET	4269	14129	SIPO	QR	71571534
563105	1916	1997-11-09	VYDAJ	PREVOD NA UCET	4269	18227	SIPO	QR	71571534
563106	1916	1997-12-09	VYDAJ	PREVOD NA UCET	4269	21439	SIPO	QR	71571534
563107	1916	1998-01-09	VYDAJ	PREVOD NA UCET	4269	22776	SIPO	QR	71571534
563108	1916	1998-02-09	VYDAJ	PREVOD NA UCET	4269	28814	SIPO	QR	71571534
563109	1916	1998-03-09	VYDAJ	PREVOD NA UCET	4269	29167	SIPO	QR	71571534
563110	1916	1998-04-09	VYDAJ	PREVOD NA UCET	4269	32226	SIPO	QR	71571534
563111	1916	1998-05-09	VYDAJ	PREVOD NA UCET	4269	38098	SIPO	QR	71571534
563112	1916	1998-06-09	VYDAJ	PREVOD NA UCET	4269	33491	SIPO	QR	71571534
563113	1916	1998-07-09	VYDAJ	PREVOD NA UCET	4269	40589	SIPO	QR	71571534
563114	1916	1998-08-09	VYDAJ	PREVOD NA UCET	4269	43497	SIPO	QR	71571534
563115	1916	1998-09-09	VYDAJ	PREVOD NA UCET	4269	47117	SIPO	QR	71571534
563116	1916	1998-10-09	VYDAJ	PREVOD NA UCET	4269	47651	SIPO	QR	71571534
563117	1916	1998-11-09	VYDAJ	PREVOD NA UCET	4269	50192	SIPO	QR	71571534
563118	1916	1998-12-09	VYDAJ	PREVOD NA UCET	4269	55540	SIPO	QR	71571534
563120	1916	1997-06-15	VYDAJ	VYBER	11700	18923	\N	\N	\N
563121	1916	1998-06-05	VYDAJ	VYBER	10700	37760	\N	\N	\N
563122	1916	1996-12-19	VYDAJ	VYBER	1400	29929	\N	\N	\N
563123	1916	1997-12-26	VYDAJ	VYBER	1500	29545	\N	\N	\N
563124	1916	1998-12-16	VYDAJ	VYBER	2300	62846	\N	\N	\N
563129	1916	1996-10-23	VYDAJ	VYBER	3500	25554	\N	\N	\N
563130	1916	1997-01-06	VYDAJ	VYBER	900	29136	\N	\N	\N
563131	1916	1997-05-26	VYDAJ	VYBER	500	26296	\N	\N	\N
563132	1916	1997-02-13	VYDAJ	VYBER	3800	21402	\N	\N	\N
563133	1916	1997-10-26	VYDAJ	VYBER	1400	19133	\N	\N	\N
563134	1916	1997-07-30	VYDAJ	VYBER	4400	16534	\N	\N	\N
563135	1916	1998-02-16	VYDAJ	VYBER	700	34518	\N	\N	\N
563136	1916	1998-03-08	VYDAJ	VYBER	4700	33436	\N	\N	\N
563137	1916	1998-07-06	VYDAJ	VYBER	1400	44858	\N	\N	\N
563138	1916	1998-05-12	VYDAJ	VYBER	700	37398	\N	\N	\N
563139	1916	1998-03-11	VYDAJ	VYBER	1400	27767	\N	\N	\N
563147	1916	1996-07-31	VYDAJ	VYBER	15	32811	SLUZBY	\N	\N
563148	1916	1996-08-31	VYDAJ	VYBER	15	33269	SLUZBY	\N	\N
563149	1916	1996-09-30	VYDAJ	VYBER	15	30419	SLUZBY	\N	\N
563150	1916	1996-10-31	VYDAJ	VYBER	15	25658	SLUZBY	\N	\N
563151	1916	1996-11-30	VYDAJ	VYBER	15	28892	SLUZBY	\N	\N
563152	1916	1996-12-31	VYDAJ	VYBER	15	30036	SLUZBY	\N	\N
563153	1916	1997-01-31	VYDAJ	VYBER	15	27871	SLUZBY	\N	\N
563154	1916	1997-02-28	VYDAJ	VYBER	15	27905	SLUZBY	\N	\N
563155	1916	1997-03-31	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
563156	1916	1997-04-30	VYDAJ	VYBER	15	23961	SLUZBY	\N	\N
563157	1916	1997-05-31	VYDAJ	VYBER	15	26386	SLUZBY	\N	\N
563158	1916	1997-06-30	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
563159	1916	1997-07-31	VYDAJ	VYBER	15	16600	SLUZBY	\N	\N
563160	1916	1997-08-31	VYDAJ	VYBER	15	21801	SLUZBY	\N	\N
563161	1916	1997-09-30	VYDAJ	VYBER	15	18698	SLUZBY	\N	\N
563162	1916	1997-10-31	VYDAJ	VYBER	15	19196	SLUZBY	\N	\N
563163	1916	1997-11-30	VYDAJ	VYBER	15	24708	SLUZBY	\N	\N
563164	1916	1997-12-31	VYDAJ	VYBER	15	29645	SLUZBY	\N	\N
563165	1916	1998-01-31	VYDAJ	VYBER	15	29283	SLUZBY	\N	\N
563166	1916	1998-02-28	VYDAJ	VYBER	15	34636	SLUZBY	\N	\N
563167	1916	1998-03-31	VYDAJ	VYBER	15	34295	SLUZBY	\N	\N
563168	1916	1998-04-30	VYDAJ	VYBER	15	38767	SLUZBY	\N	\N
563169	1916	1998-05-31	VYDAJ	VYBER	15	43960	SLUZBY	\N	\N
563170	1916	1998-06-30	VYDAJ	VYBER	15	43258	SLUZBY	\N	\N
563171	1916	1998-07-31	VYDAJ	VYBER	15	47166	SLUZBY	\N	\N
563172	1916	1998-08-31	VYDAJ	VYBER	15	50086	SLUZBY	\N	\N
563173	1916	1998-09-30	VYDAJ	VYBER	15	53720	SLUZBY	\N	\N
563174	1916	1998-10-31	VYDAJ	VYBER	15	54261	SLUZBY	\N	\N
563175	1916	1998-11-30	VYDAJ	VYBER	15	56809	SLUZBY	\N	\N
563176	1916	1996-03-17	PRIJEM	VKLAD	10100	16804	\N	\N	\N
563177	1916	1996-04-16	PRIJEM	VKLAD	2300	25542	\N	\N	\N
563178	1916	1996-05-16	VYDAJ	VYBER	1900	30134	\N	\N	\N
563179	1916	1996-06-15	VYDAJ	VYBER	7800	32056	\N	\N	\N
563180	1916	1996-07-15	VYDAJ	VYBER	5900	32690	\N	\N	\N
563181	1916	1996-08-14	VYDAJ	VYBER	1800	33146	\N	\N	\N
563182	1916	1996-09-13	VYDAJ	VYBER	5100	23900	\N	\N	\N
563183	1916	1996-10-13	VYDAJ	VYBER	3500	22650	\N	\N	\N
563184	1916	1996-11-12	PRIJEM	VKLAD	1000	22389	\N	\N	\N
563185	1916	1996-12-12	VYDAJ	VYBER	2900	21723	\N	\N	\N
563186	1916	1997-01-11	VYDAJ	VYBER	3500	21367	\N	\N	\N
563187	1916	1997-02-10	PRIJEM	VKLAD	1600	25202	\N	\N	\N
563188	1916	1997-03-12	VYDAJ	VYBER	2600	21036	\N	\N	\N
563189	1916	1997-04-11	VYDAJ	VYBER	5800	17470	\N	\N	\N
563190	1916	1997-05-11	PRIJEM	VKLAD	700	20392	\N	\N	\N
563191	1916	1997-06-10	VYDAJ	VYBER	1100	21017	\N	\N	\N
563192	1916	1997-07-10	VYDAJ	VYBER	200	14530	\N	\N	\N
563193	1916	1997-08-09	PRIJEM	VKLAD	3000	19600	\N	\N	\N
563194	1916	1997-09-08	VYDAJ	VYBER	5300	16501	\N	\N	\N
563195	1916	1997-10-08	VYDAJ	VYBER	300	18398	\N	\N	\N
563196	1916	1997-11-07	PRIJEM	VKLAD	3300	22496	\N	\N	\N
563197	1916	1997-12-07	PRIJEM	VKLAD	1000	25708	\N	\N	\N
563198	1916	1998-01-06	VYDAJ	VYBER	2600	27045	\N	\N	\N
563199	1916	1998-02-05	PRIJEM	VKLAD	3800	33083	\N	\N	\N
563200	1916	1998-03-07	PRIJEM	VKLAD	3500	38136	\N	\N	\N
563201	1916	1998-04-06	PRIJEM	VKLAD	2200	36495	\N	\N	\N
563202	1916	1998-05-06	PRIJEM	VKLAD	3600	42367	\N	\N	\N
563203	1916	1998-06-05	PRIJEM	VKLAD	4500	48460	\N	\N	\N
563204	1916	1998-07-05	PRIJEM	VKLAD	3000	46258	\N	\N	\N
563205	1916	1998-08-04	PRIJEM	VKLAD	600	47766	\N	\N	\N
563206	1916	1998-09-03	PRIJEM	VKLAD	1300	51386	\N	\N	\N
563207	1916	1998-10-03	VYDAJ	VYBER	1800	51920	\N	\N	\N
563208	1916	1998-11-02	PRIJEM	VKLAD	200	54461	\N	\N	\N
563209	1916	1998-12-02	PRIJEM	VKLAD	3000	59809	\N	\N	\N
563244	1917	1995-12-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
563257	1917	1996-01-10	PRIJEM	PREVOD Z UCTU	4415	5415	DUCHOD	AB	54018199
563258	1917	1996-02-10	PRIJEM	PREVOD Z UCTU	4415	9830	DUCHOD	AB	54018199
563259	1917	1996-03-10	PRIJEM	PREVOD Z UCTU	4415	14245	DUCHOD	AB	54018199
563260	1917	1996-04-10	PRIJEM	PREVOD Z UCTU	4415	18660	DUCHOD	AB	54018199
563261	1917	1996-05-10	PRIJEM	PREVOD Z UCTU	4415	23075	DUCHOD	AB	54018199
563262	1917	1996-06-10	PRIJEM	PREVOD Z UCTU	4415	24587	DUCHOD	AB	54018199
563263	1917	1996-07-10	PRIJEM	PREVOD Z UCTU	4415	21724	DUCHOD	AB	54018199
563264	1917	1996-08-10	PRIJEM	PREVOD Z UCTU	4415	21253	DUCHOD	AB	54018199
563265	1917	1996-09-10	PRIJEM	PREVOD Z UCTU	4415	21785	DUCHOD	AB	54018199
563266	1917	1996-10-10	PRIJEM	PREVOD Z UCTU	4415	23321	DUCHOD	AB	54018199
563267	1917	1996-11-10	PRIJEM	PREVOD Z UCTU	4415	22901	DUCHOD	AB	54018199
563268	1917	1996-12-10	PRIJEM	PREVOD Z UCTU	4415	22441	DUCHOD	AB	54018199
563269	1917	1997-01-10	PRIJEM	PREVOD Z UCTU	4415	17421	DUCHOD	AB	54018199
563270	1917	1997-02-10	PRIJEM	PREVOD Z UCTU	4415	16439	DUCHOD	AB	54018199
563271	1917	1997-03-10	PRIJEM	PREVOD Z UCTU	4415	17952	DUCHOD	AB	54018199
563272	1917	1997-04-10	PRIJEM	PREVOD Z UCTU	4415	17370	DUCHOD	AB	54018199
563273	1917	1997-05-10	PRIJEM	PREVOD Z UCTU	4415	17389	DUCHOD	AB	54018199
563274	1917	1997-06-10	PRIJEM	PREVOD Z UCTU	4415	17108	DUCHOD	AB	54018199
563275	1917	1997-07-10	PRIJEM	PREVOD Z UCTU	4415	18625	DUCHOD	AB	54018199
563276	1917	1997-08-10	PRIJEM	PREVOD Z UCTU	4415	18046	DUCHOD	AB	54018199
563277	1917	1997-09-10	PRIJEM	PREVOD Z UCTU	4415	19167	DUCHOD	AB	54018199
563278	1917	1997-10-10	PRIJEM	PREVOD Z UCTU	4415	16185	DUCHOD	AB	54018199
563279	1917	1997-11-10	PRIJEM	PREVOD Z UCTU	4415	17698	DUCHOD	AB	54018199
563280	1917	1997-12-10	PRIJEM	PREVOD Z UCTU	4415	17965	DUCHOD	AB	54018199
563281	1917	1998-01-10	PRIJEM	PREVOD Z UCTU	4415	17725	DUCHOD	AB	54018199
563282	1917	1998-02-10	PRIJEM	PREVOD Z UCTU	4415	18765	DUCHOD	AB	54018199
563283	1917	1998-03-10	PRIJEM	PREVOD Z UCTU	4415	20285	DUCHOD	AB	54018199
563284	1917	1998-04-10	PRIJEM	PREVOD Z UCTU	4415	18444	DUCHOD	AB	54018199
563285	1917	1998-05-10	PRIJEM	PREVOD Z UCTU	4415	19963	DUCHOD	AB	54018199
563286	1917	1998-06-10	PRIJEM	PREVOD Z UCTU	4415	21489	DUCHOD	AB	54018199
563287	1917	1998-07-10	PRIJEM	PREVOD Z UCTU	4415	20317	DUCHOD	AB	54018199
563288	1917	1998-08-10	PRIJEM	PREVOD Z UCTU	4415	21844	DUCHOD	AB	54018199
563289	1917	1998-09-10	PRIJEM	PREVOD Z UCTU	4415	23377	DUCHOD	AB	54018199
563290	1917	1998-10-10	PRIJEM	PREVOD Z UCTU	4415	24917	DUCHOD	AB	54018199
563291	1917	1998-11-10	PRIJEM	PREVOD Z UCTU	4415	26464	DUCHOD	AB	54018199
563292	1917	1998-12-10	PRIJEM	PREVOD Z UCTU	4415	25115	DUCHOD	AB	54018199
563309	1917	1996-05-12	VYDAJ	PREVOD NA UCET	2943	20132	SIPO	YZ	10547238
563310	1917	1996-06-12	VYDAJ	PREVOD NA UCET	2943	20944	SIPO	YZ	10547238
563311	1917	1996-07-12	VYDAJ	PREVOD NA UCET	2943	16781	SIPO	YZ	10547238
563312	1917	1996-08-12	VYDAJ	PREVOD NA UCET	2943	18310	SIPO	YZ	10547238
563313	1917	1996-09-12	VYDAJ	PREVOD NA UCET	2943	18842	SIPO	YZ	10547238
563314	1917	1996-10-12	VYDAJ	PREVOD NA UCET	2943	20378	SIPO	YZ	10547238
563315	1917	1996-11-12	VYDAJ	PREVOD NA UCET	2943	19958	SIPO	YZ	10547238
563316	1917	1996-12-12	VYDAJ	PREVOD NA UCET	2943	19498	SIPO	YZ	10547238
563317	1917	1997-01-12	VYDAJ	PREVOD NA UCET	2943	14478	SIPO	YZ	10547238
563318	1917	1997-02-12	VYDAJ	PREVOD NA UCET	2943	13496	SIPO	YZ	10547238
563319	1917	1997-03-12	VYDAJ	PREVOD NA UCET	2943	15009	SIPO	YZ	10547238
563320	1917	1997-04-12	VYDAJ	PREVOD NA UCET	2943	14427	SIPO	YZ	10547238
563321	1917	1997-05-12	VYDAJ	PREVOD NA UCET	2943	14446	SIPO	YZ	10547238
563322	1917	1997-06-12	VYDAJ	PREVOD NA UCET	2943	14165	SIPO	YZ	10547238
563323	1917	1997-07-12	VYDAJ	PREVOD NA UCET	2943	15682	SIPO	YZ	10547238
563324	1917	1997-08-12	VYDAJ	PREVOD NA UCET	2943	15103	SIPO	YZ	10547238
563325	1917	1997-09-12	VYDAJ	PREVOD NA UCET	2943	16224	SIPO	YZ	10547238
563326	1917	1997-10-12	VYDAJ	PREVOD NA UCET	2943	13242	SIPO	YZ	10547238
563327	1917	1997-11-12	VYDAJ	PREVOD NA UCET	2943	14755	SIPO	YZ	10547238
563328	1917	1997-12-12	VYDAJ	PREVOD NA UCET	2943	15022	SIPO	YZ	10547238
563329	1917	1998-01-12	VYDAJ	PREVOD NA UCET	2943	14782	SIPO	YZ	10547238
563330	1917	1998-02-12	VYDAJ	PREVOD NA UCET	2943	15822	SIPO	YZ	10547238
563331	1917	1998-03-12	VYDAJ	PREVOD NA UCET	2943	13982	SIPO	YZ	10547238
563332	1917	1998-04-12	VYDAJ	PREVOD NA UCET	2943	15501	SIPO	YZ	10547238
563333	1917	1998-05-12	VYDAJ	PREVOD NA UCET	2943	17020	SIPO	YZ	10547238
563334	1917	1998-06-12	VYDAJ	PREVOD NA UCET	2943	18546	SIPO	YZ	10547238
563335	1917	1998-07-12	VYDAJ	PREVOD NA UCET	2943	17374	SIPO	YZ	10547238
563336	1917	1998-08-12	VYDAJ	PREVOD NA UCET	2943	18901	SIPO	YZ	10547238
563337	1917	1998-09-12	VYDAJ	PREVOD NA UCET	2943	20434	SIPO	YZ	10547238
563338	1917	1998-10-12	VYDAJ	PREVOD NA UCET	2943	21974	SIPO	YZ	10547238
563339	1917	1998-11-12	VYDAJ	PREVOD NA UCET	2943	23521	SIPO	YZ	10547238
563340	1917	1998-12-12	VYDAJ	PREVOD NA UCET	2943	22172	SIPO	YZ	10547238
563342	1917	1996-06-17	VYDAJ	VYBER	3700	17244	\N	\N	\N
563344	1917	1998-06-19	VYDAJ	VYBER	2700	15846	\N	\N	\N
563347	1917	1997-01-16	VYDAJ	VYBER	1700	12778	\N	\N	\N
563350	1917	1996-12-09	VYDAJ	VYBER	1300	18026	\N	\N	\N
563351	1917	1997-12-03	VYDAJ	VYBER	1250	13550	\N	\N	\N
563352	1917	1998-12-25	VYDAJ	VYBER	750	21422	\N	\N	\N
563368	1917	1997-01-01	VYDAJ	VYBER	1120	18446	\N	\N	\N
563369	1917	1997-01-08	VYDAJ	VYBER	1440	13006	\N	\N	\N
563370	1917	1997-01-06	VYDAJ	VYBER	400	18046	\N	\N	\N
563373	1917	1998-01-29	VYDAJ	VYBER	480	14302	\N	\N	\N
563385	1917	1996-10-31	VYDAJ	VYBER	1360	19086	\N	\N	\N
563386	1917	1997-09-17	VYDAJ	VYBER	3200	13024	\N	\N	\N
563390	1917	1998-03-11	VYDAJ	VYBER	3360	16925	\N	\N	\N
563391	1917	1998-01-04	VYDAJ	VYBER	1760	13310	\N	\N	\N
563409	1917	1996-05-31	VYDAJ	VYBER	15	20172	SLUZBY	\N	\N
563410	1917	1996-06-30	VYDAJ	VYBER	15	17309	SLUZBY	\N	\N
563411	1917	1996-07-31	VYDAJ	VYBER	15	16838	SLUZBY	\N	\N
563412	1917	1996-08-31	VYDAJ	VYBER	15	18370	SLUZBY	\N	\N
563413	1917	1996-09-30	VYDAJ	VYBER	15	18906	SLUZBY	\N	\N
563414	1917	1996-10-31	VYDAJ	VYBER	15	20446	SLUZBY	\N	\N
563415	1917	1996-11-30	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
563416	1917	1996-12-31	VYDAJ	VYBER	15	19566	SLUZBY	\N	\N
563417	1917	1997-01-31	VYDAJ	VYBER	15	12824	SLUZBY	\N	\N
563418	1917	1997-02-28	VYDAJ	VYBER	15	13537	SLUZBY	\N	\N
563419	1917	1997-03-31	VYDAJ	VYBER	15	15055	SLUZBY	\N	\N
563420	1917	1997-04-30	VYDAJ	VYBER	15	14474	SLUZBY	\N	\N
563421	1917	1997-05-31	VYDAJ	VYBER	15	14493	SLUZBY	\N	\N
563422	1917	1997-06-30	VYDAJ	VYBER	15	14210	SLUZBY	\N	\N
563423	1917	1997-07-31	VYDAJ	VYBER	15	15731	SLUZBY	\N	\N
563424	1917	1997-08-31	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
563425	1917	1997-09-30	VYDAJ	VYBER	15	13070	SLUZBY	\N	\N
563426	1917	1997-10-31	VYDAJ	VYBER	15	13283	SLUZBY	\N	\N
563427	1917	1997-11-30	VYDAJ	VYBER	15	14800	SLUZBY	\N	\N
563428	1917	1997-12-31	VYDAJ	VYBER	15	15070	SLUZBY	\N	\N
563429	1917	1998-01-31	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
563430	1917	1998-02-28	VYDAJ	VYBER	15	15870	SLUZBY	\N	\N
563431	1917	1998-03-31	VYDAJ	VYBER	15	14029	SLUZBY	\N	\N
563432	1917	1998-04-30	VYDAJ	VYBER	15	15548	SLUZBY	\N	\N
563433	1917	1998-05-31	VYDAJ	VYBER	15	17074	SLUZBY	\N	\N
563434	1917	1998-06-30	VYDAJ	VYBER	15	15902	SLUZBY	\N	\N
563435	1917	1998-07-31	VYDAJ	VYBER	15	17429	SLUZBY	\N	\N
563436	1917	1998-08-31	VYDAJ	VYBER	15	18962	SLUZBY	\N	\N
563437	1917	1998-09-30	VYDAJ	VYBER	15	20502	SLUZBY	\N	\N
563438	1917	1998-10-31	VYDAJ	VYBER	15	22049	SLUZBY	\N	\N
563439	1917	1998-11-30	VYDAJ	VYBER	15	20700	SLUZBY	\N	\N
563440	1917	1996-06-10	VYDAJ	VYBER	700	23887	\N	\N	\N
563441	1917	1996-07-10	VYDAJ	VYBER	2000	19724	\N	\N	\N
563442	1917	1996-09-08	VYDAJ	VYBER	1000	17370	\N	\N	\N
563443	1917	1996-11-07	VYDAJ	VYBER	600	18486	\N	\N	\N
563444	1917	1996-12-07	VYDAJ	VYBER	700	19326	\N	\N	\N
563445	1917	1997-01-06	VYDAJ	VYBER	3600	14446	\N	\N	\N
563446	1917	1997-02-05	VYDAJ	VYBER	800	12024	\N	\N	\N
563447	1917	1997-04-06	VYDAJ	VYBER	2100	12955	\N	\N	\N
563448	1917	1997-05-06	VYDAJ	VYBER	1500	12974	\N	\N	\N
563449	1917	1997-06-05	VYDAJ	VYBER	1800	12693	\N	\N	\N
563450	1917	1997-08-04	VYDAJ	VYBER	2100	13631	\N	\N	\N
563451	1917	1997-09-03	VYDAJ	VYBER	400	14752	\N	\N	\N
563452	1917	1997-10-03	VYDAJ	VYBER	1300	11770	\N	\N	\N
563453	1917	1998-11-27	VYDAJ	VYBER	2900	20621	\N	\N	\N
563486	1918	1994-04-10	PRIJEM	VKLAD	800	800	\N	\N	\N
563490	1918	1994-04-14	PRIJEM	VKLAD	6347	7147	\N	\N	\N
563491	1918	1994-05-14	PRIJEM	VKLAD	6347	22011	\N	\N	\N
563492	1918	1994-06-14	PRIJEM	VKLAD	9520	34097	\N	\N	\N
563493	1918	1994-07-14	PRIJEM	VKLAD	6347	35964	\N	\N	\N
563494	1918	1994-08-14	PRIJEM	VKLAD	6347	36157	\N	\N	\N
563495	1918	1994-09-14	PRIJEM	VKLAD	6347	35569	\N	\N	\N
563496	1918	1994-10-14	PRIJEM	VKLAD	6347	32509	\N	\N	\N
563497	1918	1994-11-14	PRIJEM	VKLAD	6347	34633	\N	\N	\N
563498	1918	1994-12-14	PRIJEM	VKLAD	9520	37580	\N	\N	\N
563499	1918	1995-01-14	PRIJEM	VKLAD	6347	33562	\N	\N	\N
563500	1918	1995-02-14	PRIJEM	VKLAD	6347	26384	\N	\N	\N
563501	1918	1995-03-14	PRIJEM	VKLAD	6347	30369	\N	\N	\N
563502	1918	1995-04-14	PRIJEM	VKLAD	6347	27532	\N	\N	\N
563503	1918	1995-05-14	PRIJEM	VKLAD	6347	29322	\N	\N	\N
563504	1918	1995-06-14	PRIJEM	VKLAD	9520	23530	\N	\N	\N
563505	1918	1995-07-14	PRIJEM	VKLAD	6347	26024	\N	\N	\N
563506	1918	1995-08-14	PRIJEM	VKLAD	6347	27450	\N	\N	\N
563507	1918	1995-09-14	PRIJEM	VKLAD	6347	27541	\N	\N	\N
563508	1918	1995-10-14	PRIJEM	VKLAD	6347	26848	\N	\N	\N
563509	1918	1995-11-14	PRIJEM	VKLAD	6347	27655	\N	\N	\N
563510	1918	1995-12-14	PRIJEM	VKLAD	9520	31025	\N	\N	\N
563511	1918	1996-01-14	PRIJEM	VKLAD	6347	23110	\N	\N	\N
563512	1918	1996-02-14	PRIJEM	VKLAD	6347	18679	\N	\N	\N
563513	1918	1996-03-14	PRIJEM	VKLAD	6347	17845	\N	\N	\N
563514	1918	1996-04-14	PRIJEM	VKLAD	6347	17698	\N	\N	\N
563515	1918	1996-05-14	PRIJEM	VKLAD	6347	19851	\N	\N	\N
563516	1918	1996-06-14	PRIJEM	VKLAD	9520	23394	\N	\N	\N
563517	1918	1996-07-14	PRIJEM	VKLAD	6347	23372	\N	\N	\N
563518	1918	1996-08-14	PRIJEM	VKLAD	6347	22555	\N	\N	\N
563519	1918	1996-09-14	PRIJEM	VKLAD	6347	20171	\N	\N	\N
563520	1918	1996-10-14	PRIJEM	VKLAD	6347	21340	\N	\N	\N
563521	1918	1996-11-14	PRIJEM	VKLAD	6347	20006	\N	\N	\N
563522	1918	1996-12-14	PRIJEM	VKLAD	9520	22345	\N	\N	\N
563523	1918	1997-01-14	PRIJEM	VKLAD	6347	18001	\N	\N	\N
563524	1918	1997-02-14	PRIJEM	VKLAD	6347	18453	\N	\N	\N
563525	1918	1997-03-14	PRIJEM	VKLAD	6347	18807	\N	\N	\N
563526	1918	1997-04-14	PRIJEM	VKLAD	6347	20264	\N	\N	\N
563527	1918	1997-05-14	PRIJEM	VKLAD	6347	22314	\N	\N	\N
563528	1918	1997-06-14	PRIJEM	VKLAD	9520	24623	\N	\N	\N
563529	1918	1997-07-14	PRIJEM	VKLAD	6347	22394	\N	\N	\N
563530	1918	1997-08-14	PRIJEM	VKLAD	6347	19565	\N	\N	\N
563531	1918	1997-09-14	PRIJEM	VKLAD	6347	18821	\N	\N	\N
563532	1918	1997-10-14	PRIJEM	VKLAD	6347	18675	\N	\N	\N
563533	1918	1997-11-14	PRIJEM	VKLAD	6347	20841	\N	\N	\N
563534	1918	1997-12-14	PRIJEM	VKLAD	9520	26189	\N	\N	\N
563535	1918	1998-01-14	PRIJEM	VKLAD	6347	20089	\N	\N	\N
563536	1918	1998-02-14	PRIJEM	VKLAD	6347	19153	\N	\N	\N
563537	1918	1998-03-14	PRIJEM	VKLAD	6347	21311	\N	\N	\N
563538	1918	1998-04-14	PRIJEM	VKLAD	6347	18971	\N	\N	\N
563539	1918	1998-05-14	PRIJEM	VKLAD	6347	21137	\N	\N	\N
563540	1918	1998-06-14	PRIJEM	VKLAD	9520	21771	\N	\N	\N
563541	1918	1998-07-14	PRIJEM	VKLAD	6347	23934	\N	\N	\N
563542	1918	1998-08-14	PRIJEM	VKLAD	6347	26112	\N	\N	\N
563543	1918	1998-09-14	PRIJEM	VKLAD	6347	20182	\N	\N	\N
563544	1918	1998-10-14	PRIJEM	VKLAD	6347	22344	\N	\N	\N
563545	1918	1998-11-14	PRIJEM	VKLAD	6347	20685	\N	\N	\N
563546	1918	1998-12-14	PRIJEM	VKLAD	9520	26029	\N	\N	\N
563554	1918	1994-08-14	VYDAJ	PREVOD NA UCET	4231	31926	SIPO	CD	53045350
563555	1918	1994-09-14	VYDAJ	PREVOD NA UCET	4231	31338	SIPO	CD	53045350
563556	1918	1994-10-14	VYDAJ	PREVOD NA UCET	4231	28278	SIPO	CD	53045350
563557	1918	1994-11-14	VYDAJ	PREVOD NA UCET	4231	30402	SIPO	CD	53045350
563558	1918	1994-12-14	VYDAJ	PREVOD NA UCET	4231	33349	SIPO	CD	53045350
563559	1918	1995-01-14	VYDAJ	PREVOD NA UCET	4231	29331	SIPO	CD	53045350
563560	1918	1995-02-14	VYDAJ	PREVOD NA UCET	4231	22153	SIPO	CD	53045350
563561	1918	1995-03-14	VYDAJ	PREVOD NA UCET	4231	26138	SIPO	CD	53045350
563562	1918	1995-04-14	VYDAJ	PREVOD NA UCET	4231	23301	SIPO	CD	53045350
563563	1918	1995-05-14	VYDAJ	PREVOD NA UCET	4231	25091	SIPO	CD	53045350
563564	1918	1995-06-14	VYDAJ	PREVOD NA UCET	4231	19299	SIPO	CD	53045350
563565	1918	1995-07-14	VYDAJ	PREVOD NA UCET	4231	21793	SIPO	CD	53045350
563566	1918	1995-08-14	VYDAJ	PREVOD NA UCET	4231	23219	SIPO	CD	53045350
563567	1918	1995-09-14	VYDAJ	PREVOD NA UCET	4231	23310	SIPO	CD	53045350
563568	1918	1995-10-14	VYDAJ	PREVOD NA UCET	4231	22617	SIPO	CD	53045350
563569	1918	1995-11-14	VYDAJ	PREVOD NA UCET	4231	23424	SIPO	CD	53045350
563570	1918	1995-12-14	VYDAJ	PREVOD NA UCET	4231	26794	SIPO	CD	53045350
563571	1918	1996-01-14	VYDAJ	PREVOD NA UCET	4231	18879	SIPO	CD	53045350
563572	1918	1996-02-14	VYDAJ	PREVOD NA UCET	4231	14448	SIPO	CD	53045350
563573	1918	1996-03-14	VYDAJ	PREVOD NA UCET	4231	13614	SIPO	CD	53045350
563574	1918	1996-04-14	VYDAJ	PREVOD NA UCET	4231	13467	SIPO	CD	53045350
563575	1918	1996-05-14	VYDAJ	PREVOD NA UCET	4231	15620	SIPO	CD	53045350
563576	1918	1996-06-14	VYDAJ	PREVOD NA UCET	4231	19163	SIPO	CD	53045350
563577	1918	1996-07-14	VYDAJ	PREVOD NA UCET	4231	19141	SIPO	CD	53045350
563578	1918	1996-08-14	VYDAJ	PREVOD NA UCET	4231	18324	SIPO	CD	53045350
563579	1918	1996-09-14	VYDAJ	PREVOD NA UCET	4231	15940	SIPO	CD	53045350
563580	1918	1996-10-14	VYDAJ	PREVOD NA UCET	4231	17109	SIPO	CD	53045350
563581	1918	1996-11-14	VYDAJ	PREVOD NA UCET	4231	15775	SIPO	CD	53045350
563582	1918	1996-12-14	VYDAJ	PREVOD NA UCET	4231	18114	SIPO	CD	53045350
563583	1918	1997-01-14	VYDAJ	PREVOD NA UCET	4231	13770	SIPO	CD	53045350
563584	1918	1997-02-14	VYDAJ	PREVOD NA UCET	4231	14222	SIPO	CD	53045350
563585	1918	1997-03-14	VYDAJ	PREVOD NA UCET	4231	14576	SIPO	CD	53045350
563586	1918	1997-04-14	VYDAJ	PREVOD NA UCET	4231	16033	SIPO	CD	53045350
563587	1918	1997-05-14	VYDAJ	PREVOD NA UCET	4231	18083	SIPO	CD	53045350
563588	1918	1997-06-14	VYDAJ	PREVOD NA UCET	4231	20392	SIPO	CD	53045350
563589	1918	1997-07-14	VYDAJ	PREVOD NA UCET	4231	18163	SIPO	CD	53045350
563590	1918	1997-08-14	VYDAJ	PREVOD NA UCET	4231	15334	SIPO	CD	53045350
563591	1918	1997-09-14	VYDAJ	PREVOD NA UCET	4231	14590	SIPO	CD	53045350
563592	1918	1997-10-14	VYDAJ	PREVOD NA UCET	4231	14444	SIPO	CD	53045350
563593	1918	1997-11-14	VYDAJ	PREVOD NA UCET	4231	16610	SIPO	CD	53045350
563594	1918	1997-12-14	VYDAJ	PREVOD NA UCET	4231	21958	SIPO	CD	53045350
563595	1918	1998-01-14	VYDAJ	PREVOD NA UCET	4231	15858	SIPO	CD	53045350
563596	1918	1998-02-14	VYDAJ	PREVOD NA UCET	4231	14922	SIPO	CD	53045350
563597	1918	1998-03-14	VYDAJ	PREVOD NA UCET	4231	17080	SIPO	CD	53045350
563598	1918	1998-04-14	VYDAJ	PREVOD NA UCET	4231	14740	SIPO	CD	53045350
563599	1918	1998-05-14	VYDAJ	PREVOD NA UCET	4231	16906	SIPO	CD	53045350
563600	1918	1998-06-14	VYDAJ	PREVOD NA UCET	4231	17540	SIPO	CD	53045350
563601	1918	1998-07-14	VYDAJ	PREVOD NA UCET	4231	19703	SIPO	CD	53045350
563602	1918	1998-08-14	VYDAJ	PREVOD NA UCET	4231	21881	SIPO	CD	53045350
563603	1918	1998-09-14	VYDAJ	PREVOD NA UCET	4231	15951	SIPO	CD	53045350
563604	1918	1998-10-14	VYDAJ	PREVOD NA UCET	4231	18113	SIPO	CD	53045350
563605	1918	1998-11-14	VYDAJ	PREVOD NA UCET	4231	16454	SIPO	CD	53045350
563606	1918	1998-12-14	VYDAJ	PREVOD NA UCET	4231	21798	SIPO	CD	53045350
563608	1918	1995-06-13	VYDAJ	VYBER	7040	14010	\N	\N	\N
563613	1918	1995-01-18	VYDAJ	VYBER	10400	18931	\N	\N	\N
563617	1918	1994-12-03	VYDAJ	VYBER	960	29560	\N	\N	\N
563618	1918	1995-12-23	VYDAJ	VYBER	1600	25194	\N	\N	\N
563621	1918	1998-12-25	VYDAJ	VYBER	960	20838	\N	\N	\N
563628	1918	1995-01-26	VYDAJ	VYBER	1440	15571	\N	\N	\N
563629	1918	1995-01-25	VYDAJ	VYBER	840	17011	\N	\N	\N
563630	1918	1995-01-28	VYDAJ	VYBER	2520	13051	\N	\N	\N
563631	1918	1995-01-05	VYDAJ	VYBER	2280	27715	\N	\N	\N
563632	1918	1995-01-20	VYDAJ	VYBER	1080	17851	\N	\N	\N
563634	1918	1996-01-02	VYDAJ	VYBER	2880	20003	\N	\N	\N
563635	1918	1996-01-18	VYDAJ	VYBER	1320	16479	\N	\N	\N
563636	1918	1996-01-02	VYDAJ	VYBER	1320	18683	\N	\N	\N
563637	1918	1996-01-15	VYDAJ	VYBER	1080	17799	\N	\N	\N
563638	1918	1996-01-21	VYDAJ	VYBER	3000	13479	\N	\N	\N
563639	1918	1996-01-10	VYDAJ	VYBER	1920	16763	\N	\N	\N
563649	1918	1998-01-04	VYDAJ	VYBER	2640	13742	\N	\N	\N
563653	1918	1994-09-06	VYDAJ	VYBER	2640	29422	\N	\N	\N
563655	1918	1995-01-03	VYDAJ	VYBER	3480	29995	\N	\N	\N
563656	1918	1995-03-25	VYDAJ	VYBER	5760	20378	\N	\N	\N
563657	1918	1995-05-16	VYDAJ	VYBER	3720	21371	\N	\N	\N
563658	1918	1995-03-29	VYDAJ	VYBER	1680	18698	\N	\N	\N
563659	1918	1995-07-28	VYDAJ	VYBER	2760	19033	\N	\N	\N
563664	1918	1996-08-25	VYDAJ	VYBER	2760	15564	\N	\N	\N
563665	1918	1996-12-16	VYDAJ	VYBER	3600	14514	\N	\N	\N
563668	1918	1997-12-18	VYDAJ	VYBER	600	21358	\N	\N	\N
563669	1918	1997-05-30	VYDAJ	VYBER	2640	15043	\N	\N	\N
563670	1918	1997-04-24	VYDAJ	VYBER	1320	15913	\N	\N	\N
563672	1918	1997-12-27	VYDAJ	VYBER	5040	16318	\N	\N	\N
563673	1918	1997-03-21	VYDAJ	VYBER	600	13976	\N	\N	\N
563674	1918	1998-11-07	VYDAJ	VYBER	3840	14338	\N	\N	\N
563686	1918	1994-08-31	VYDAJ	VYBER	15	32062	SLUZBY	\N	\N
563687	1918	1994-09-30	VYDAJ	VYBER	15	31462	SLUZBY	\N	\N
563688	1918	1994-10-31	VYDAJ	VYBER	15	28386	SLUZBY	\N	\N
563689	1918	1994-11-30	VYDAJ	VYBER	15	30520	SLUZBY	\N	\N
563690	1918	1994-12-31	VYDAJ	VYBER	15	33475	SLUZBY	\N	\N
563691	1918	1995-01-31	VYDAJ	VYBER	15	13137	SLUZBY	\N	\N
563692	1918	1995-02-28	VYDAJ	VYBER	15	22222	SLUZBY	\N	\N
563693	1918	1995-03-31	VYDAJ	VYBER	15	18785	SLUZBY	\N	\N
563694	1918	1995-04-30	VYDAJ	VYBER	15	23375	SLUZBY	\N	\N
563695	1918	1995-05-31	VYDAJ	VYBER	15	21450	SLUZBY	\N	\N
563696	1918	1995-06-30	VYDAJ	VYBER	15	19377	SLUZBY	\N	\N
563697	1918	1995-07-31	VYDAJ	VYBER	15	19103	SLUZBY	\N	\N
563698	1918	1995-08-31	VYDAJ	VYBER	15	23294	SLUZBY	\N	\N
563699	1918	1995-09-30	VYDAJ	VYBER	15	23401	SLUZBY	\N	\N
563700	1918	1995-10-31	VYDAJ	VYBER	15	22708	SLUZBY	\N	\N
563701	1918	1995-11-30	VYDAJ	VYBER	15	23505	SLUZBY	\N	\N
563702	1918	1995-12-31	VYDAJ	VYBER	15	25283	SLUZBY	\N	\N
563703	1918	1996-01-31	VYDAJ	VYBER	15	12332	SLUZBY	\N	\N
563704	1918	1996-02-29	VYDAJ	VYBER	15	14498	SLUZBY	\N	\N
563705	1918	1996-03-31	VYDAJ	VYBER	15	11351	SLUZBY	\N	\N
563706	1918	1996-04-30	VYDAJ	VYBER	15	13504	SLUZBY	\N	\N
563707	1918	1996-05-31	VYDAJ	VYBER	15	13874	SLUZBY	\N	\N
563708	1918	1996-06-30	VYDAJ	VYBER	15	17025	SLUZBY	\N	\N
563709	1918	1996-07-31	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
563710	1918	1996-08-31	VYDAJ	VYBER	15	13824	SLUZBY	\N	\N
563711	1918	1996-09-30	VYDAJ	VYBER	15	14993	SLUZBY	\N	\N
563712	1918	1996-10-31	VYDAJ	VYBER	15	13659	SLUZBY	\N	\N
563713	1918	1996-11-30	VYDAJ	VYBER	15	12825	SLUZBY	\N	\N
563714	1918	1996-12-31	VYDAJ	VYBER	15	11654	SLUZBY	\N	\N
563715	1918	1997-01-31	VYDAJ	VYBER	15	12106	SLUZBY	\N	\N
563716	1918	1997-02-28	VYDAJ	VYBER	15	12460	SLUZBY	\N	\N
563717	1918	1997-03-31	VYDAJ	VYBER	15	13917	SLUZBY	\N	\N
563718	1918	1997-04-30	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
563719	1918	1997-05-31	VYDAJ	VYBER	15	15103	SLUZBY	\N	\N
563720	1918	1997-06-30	VYDAJ	VYBER	15	16047	SLUZBY	\N	\N
563721	1918	1997-07-31	VYDAJ	VYBER	15	13218	SLUZBY	\N	\N
563722	1918	1997-08-31	VYDAJ	VYBER	15	12474	SLUZBY	\N	\N
563723	1918	1997-09-30	VYDAJ	VYBER	15	12328	SLUZBY	\N	\N
563724	1918	1997-10-31	VYDAJ	VYBER	15	14494	SLUZBY	\N	\N
563725	1918	1997-11-30	VYDAJ	VYBER	15	16669	SLUZBY	\N	\N
563726	1918	1997-12-31	VYDAJ	VYBER	15	16382	SLUZBY	\N	\N
563727	1918	1998-01-31	VYDAJ	VYBER	15	12806	SLUZBY	\N	\N
563728	1918	1998-02-28	VYDAJ	VYBER	15	14964	SLUZBY	\N	\N
563729	1918	1998-03-31	VYDAJ	VYBER	15	12624	SLUZBY	\N	\N
563730	1918	1998-04-30	VYDAJ	VYBER	15	14790	SLUZBY	\N	\N
563731	1918	1998-05-31	VYDAJ	VYBER	15	12251	SLUZBY	\N	\N
563732	1918	1998-06-30	VYDAJ	VYBER	15	17587	SLUZBY	\N	\N
563733	1918	1998-07-31	VYDAJ	VYBER	15	19765	SLUZBY	\N	\N
563734	1918	1998-08-31	VYDAJ	VYBER	15	13835	SLUZBY	\N	\N
563735	1918	1998-09-30	VYDAJ	VYBER	15	15997	SLUZBY	\N	\N
563736	1918	1998-10-31	VYDAJ	VYBER	15	18178	SLUZBY	\N	\N
563737	1918	1998-11-30	VYDAJ	VYBER	15	16509	SLUZBY	\N	\N
563738	1918	1994-05-10	PRIJEM	VKLAD	8500	15664	\N	\N	\N
563739	1918	1994-06-09	PRIJEM	VKLAD	2500	24577	\N	\N	\N
563740	1918	1994-07-09	VYDAJ	VYBER	4600	29617	\N	\N	\N
563741	1918	1994-08-08	VYDAJ	VYBER	6300	29810	\N	\N	\N
563742	1918	1994-09-07	VYDAJ	VYBER	200	29222	\N	\N	\N
563743	1918	1994-10-07	VYDAJ	VYBER	5300	26162	\N	\N	\N
563744	1918	1994-11-06	VYDAJ	VYBER	100	28286	\N	\N	\N
563745	1918	1994-12-06	VYDAJ	VYBER	1500	28060	\N	\N	\N
563746	1918	1995-01-05	VYDAJ	VYBER	500	27215	\N	\N	\N
563747	1918	1995-02-04	PRIJEM	VKLAD	6900	20037	\N	\N	\N
563748	1918	1995-03-06	PRIJEM	VKLAD	1800	24022	\N	\N	\N
563749	1918	1995-04-05	PRIJEM	VKLAD	2400	21185	\N	\N	\N
563750	1918	1995-05-05	VYDAJ	VYBER	400	22975	\N	\N	\N
563751	1918	1995-06-04	VYDAJ	VYBER	400	21050	\N	\N	\N
563752	1918	1995-07-04	PRIJEM	VKLAD	300	19677	\N	\N	\N
563753	1918	1995-08-03	PRIJEM	VKLAD	2000	21103	\N	\N	\N
563754	1918	1995-09-02	VYDAJ	VYBER	2100	21194	\N	\N	\N
563755	1918	1995-10-02	VYDAJ	VYBER	2900	20501	\N	\N	\N
563756	1918	1995-11-01	VYDAJ	VYBER	1400	21308	\N	\N	\N
563757	1918	1995-12-01	VYDAJ	VYBER	2000	21505	\N	\N	\N
563758	1918	1995-12-31	VYDAJ	VYBER	2400	22883	\N	\N	\N
563759	1918	1996-01-30	VYDAJ	VYBER	1200	12279	\N	\N	\N
563760	1918	1996-02-29	VYDAJ	VYBER	3000	11498	\N	\N	\N
563761	1918	1996-03-30	VYDAJ	VYBER	2300	11314	\N	\N	\N
563762	1918	1996-05-29	VYDAJ	VYBER	1800	13820	\N	\N	\N
563763	1918	1996-06-28	VYDAJ	VYBER	2200	16963	\N	\N	\N
563764	1918	1996-07-28	VYDAJ	VYBER	3000	16141	\N	\N	\N
563765	1918	1996-08-27	VYDAJ	VYBER	1800	13764	\N	\N	\N
563766	1918	1996-09-26	VYDAJ	VYBER	1000	14940	\N	\N	\N
563767	1918	1996-10-26	VYDAJ	VYBER	3500	13609	\N	\N	\N
563768	1918	1996-11-25	VYDAJ	VYBER	3000	12775	\N	\N	\N
563769	1918	1996-12-25	VYDAJ	VYBER	2900	11614	\N	\N	\N
563770	1918	1997-01-24	VYDAJ	VYBER	1700	12070	\N	\N	\N
563771	1918	1997-02-23	VYDAJ	VYBER	1800	12422	\N	\N	\N
563772	1918	1997-03-25	VYDAJ	VYBER	100	13876	\N	\N	\N
563773	1918	1997-04-24	PRIJEM	VKLAD	1200	17233	\N	\N	\N
563774	1918	1997-05-24	VYDAJ	VYBER	400	17683	\N	\N	\N
563775	1918	1997-06-23	VYDAJ	VYBER	4400	15992	\N	\N	\N
563776	1918	1997-07-23	VYDAJ	VYBER	5000	13163	\N	\N	\N
563777	1918	1997-08-22	VYDAJ	VYBER	2900	12434	\N	\N	\N
563778	1918	1997-09-21	VYDAJ	VYBER	2300	12290	\N	\N	\N
563779	1918	1998-01-19	VYDAJ	VYBER	3100	12758	\N	\N	\N
563780	1918	1998-03-20	VYDAJ	VYBER	4500	12580	\N	\N	\N
563781	1918	1998-05-19	VYDAJ	VYBER	4700	12206	\N	\N	\N
563782	1918	1998-08-17	VYDAJ	VYBER	8100	13781	\N	\N	\N
563840	1919	1994-12-04	PRIJEM	VKLAD	800	800	\N	\N	\N
563852	1919	1994-12-06	PRIJEM	VKLAD	35909	36709	\N	\N	\N
563853	1919	1995-01-06	PRIJEM	VKLAD	23939	55576	\N	\N	\N
563854	1919	1995-02-06	PRIJEM	VKLAD	23939	67934	\N	\N	\N
563855	1919	1995-03-06	PRIJEM	VKLAD	23939	69747	\N	\N	\N
563856	1919	1995-04-06	PRIJEM	VKLAD	23939	70875	\N	\N	\N
563857	1919	1995-05-06	PRIJEM	VKLAD	23939	69045	\N	\N	\N
563858	1919	1995-06-06	PRIJEM	VKLAD	35909	82735	\N	\N	\N
563859	1919	1995-07-06	PRIJEM	VKLAD	23939	54807	\N	\N	\N
563860	1919	1995-08-06	PRIJEM	VKLAD	23939	65262	\N	\N	\N
563861	1919	1995-09-06	PRIJEM	VKLAD	23939	68760	\N	\N	\N
563862	1919	1995-10-06	PRIJEM	VKLAD	23939	71867	\N	\N	\N
563863	1919	1995-11-06	PRIJEM	VKLAD	23939	74585	\N	\N	\N
563864	1919	1995-12-06	PRIJEM	VKLAD	35909	84582	\N	\N	\N
563865	1919	1996-01-06	PRIJEM	VKLAD	23939	61747	\N	\N	\N
563866	1919	1996-02-06	PRIJEM	VKLAD	23939	59027	\N	\N	\N
563867	1919	1996-03-06	PRIJEM	VKLAD	23939	71110	\N	\N	\N
563868	1919	1996-04-06	PRIJEM	VKLAD	23939	80024	\N	\N	\N
563869	1919	1996-05-06	PRIJEM	VKLAD	23939	82170	\N	\N	\N
563870	1919	1996-06-06	PRIJEM	VKLAD	35909	98294	\N	\N	\N
563871	1919	1996-07-06	PRIJEM	VKLAD	23939	85073	\N	\N	\N
563872	1919	1996-08-06	PRIJEM	VKLAD	23939	83533	\N	\N	\N
563873	1919	1996-09-06	PRIJEM	VKLAD	23939	87288	\N	\N	\N
563874	1919	1996-10-06	PRIJEM	VKLAD	23939	90759	\N	\N	\N
563875	1919	1996-11-06	PRIJEM	VKLAD	23939	91640	\N	\N	\N
563876	1919	1996-12-06	PRIJEM	VKLAD	35909	102292	\N	\N	\N
563877	1919	1997-01-06	PRIJEM	VKLAD	23939	98025	\N	\N	\N
563878	1919	1997-02-06	PRIJEM	VKLAD	23939	83815	\N	\N	\N
563879	1919	1997-03-06	PRIJEM	VKLAD	23939	91570	\N	\N	\N
563880	1919	1997-04-06	PRIJEM	VKLAD	23939	95555	\N	\N	\N
563881	1919	1997-05-06	PRIJEM	VKLAD	23939	97852	\N	\N	\N
563882	1919	1997-06-06	PRIJEM	VKLAD	35909	114431	\N	\N	\N
563883	1919	1997-07-06	PRIJEM	VKLAD	23939	82376	\N	\N	\N
563884	1919	1997-08-06	PRIJEM	VKLAD	23939	99436	\N	\N	\N
563885	1919	1997-09-06	PRIJEM	VKLAD	23939	105850	\N	\N	\N
563886	1919	1997-10-06	PRIJEM	VKLAD	23939	109084	\N	\N	\N
563887	1919	1997-11-06	PRIJEM	VKLAD	23939	105700	\N	\N	\N
563888	1919	1997-12-06	PRIJEM	VKLAD	35909	124607	\N	\N	\N
563889	1919	1998-01-06	PRIJEM	VKLAD	23939	95890	\N	\N	\N
563890	1919	1998-02-06	PRIJEM	VKLAD	23939	103989	\N	\N	\N
563891	1919	1998-03-06	PRIJEM	VKLAD	23939	114625	\N	\N	\N
563892	1919	1998-04-06	PRIJEM	VKLAD	23939	118842	\N	\N	\N
563893	1919	1998-05-06	PRIJEM	VKLAD	23939	117177	\N	\N	\N
563894	1919	1998-06-06	PRIJEM	VKLAD	35909	130592	\N	\N	\N
563895	1919	1998-07-06	PRIJEM	VKLAD	23939	100283	\N	\N	\N
563896	1919	1998-08-06	PRIJEM	VKLAD	23939	125331	\N	\N	\N
563897	1919	1998-09-06	PRIJEM	VKLAD	23939	103003	\N	\N	\N
563898	1919	1998-10-06	PRIJEM	VKLAD	23939	122651	\N	\N	\N
563899	1919	1998-11-06	PRIJEM	VKLAD	23939	121114	\N	\N	\N
563900	1919	1998-12-06	PRIJEM	VKLAD	35909	133745	\N	\N	\N
563917	1919	1995-05-05	VYDAJ	PREVOD NA UCET	4545	45106	SIPO	EF	92220371
563918	1919	1995-06-05	VYDAJ	PREVOD NA UCET	4545	46827	SIPO	EF	92220371
563919	1919	1995-07-05	VYDAJ	PREVOD NA UCET	4545	30868	SIPO	EF	92220371
563920	1919	1995-08-05	VYDAJ	PREVOD NA UCET	4545	41323	SIPO	EF	92220371
563921	1919	1995-09-05	VYDAJ	PREVOD NA UCET	4545	44821	SIPO	EF	92220371
563922	1919	1995-10-05	VYDAJ	PREVOD NA UCET	4545	47928	SIPO	EF	92220371
563923	1919	1995-11-05	VYDAJ	PREVOD NA UCET	4545	50646	SIPO	EF	92220371
563924	1919	1995-12-05	VYDAJ	PREVOD NA UCET	4545	48673	SIPO	EF	92220371
563925	1919	1996-01-05	VYDAJ	PREVOD NA UCET	4545	37808	SIPO	EF	92220371
563926	1919	1996-02-05	VYDAJ	PREVOD NA UCET	4545	35088	SIPO	EF	92220371
563927	1919	1996-03-05	VYDAJ	PREVOD NA UCET	4545	47171	SIPO	EF	92220371
563928	1919	1996-04-05	VYDAJ	PREVOD NA UCET	4545	56085	SIPO	EF	92220371
563929	1919	1996-05-05	VYDAJ	PREVOD NA UCET	4545	58231	SIPO	EF	92220371
563930	1919	1996-06-05	VYDAJ	PREVOD NA UCET	4545	62386	SIPO	EF	92220371
563931	1919	1996-07-05	VYDAJ	PREVOD NA UCET	4545	61134	SIPO	EF	92220371
563932	1919	1996-08-05	VYDAJ	PREVOD NA UCET	4545	59594	SIPO	EF	92220371
563933	1919	1996-09-05	VYDAJ	PREVOD NA UCET	4545	63349	SIPO	EF	92220371
563934	1919	1996-10-05	VYDAJ	PREVOD NA UCET	4545	66820	SIPO	EF	92220371
563935	1919	1996-11-05	VYDAJ	PREVOD NA UCET	4545	67701	SIPO	EF	92220371
563936	1919	1996-12-05	VYDAJ	PREVOD NA UCET	4545	66383	SIPO	EF	92220371
563937	1919	1997-01-05	VYDAJ	PREVOD NA UCET	4545	74086	SIPO	EF	92220371
563938	1919	1997-02-05	VYDAJ	PREVOD NA UCET	4545	59876	SIPO	EF	92220371
563939	1919	1997-03-05	VYDAJ	PREVOD NA UCET	4545	67631	SIPO	EF	92220371
563940	1919	1997-04-05	VYDAJ	PREVOD NA UCET	4545	71616	SIPO	EF	92220371
563941	1919	1997-05-05	VYDAJ	PREVOD NA UCET	4545	73913	SIPO	EF	92220371
563942	1919	1997-06-05	VYDAJ	PREVOD NA UCET	4545	78522	SIPO	EF	92220371
563943	1919	1997-07-05	VYDAJ	PREVOD NA UCET	4545	58437	SIPO	EF	92220371
563944	1919	1997-08-05	VYDAJ	PREVOD NA UCET	4545	75497	SIPO	EF	92220371
563945	1919	1997-09-05	VYDAJ	PREVOD NA UCET	4545	81911	SIPO	EF	92220371
563946	1919	1997-10-05	VYDAJ	PREVOD NA UCET	4545	85145	SIPO	EF	92220371
563947	1919	1997-11-05	VYDAJ	PREVOD NA UCET	4545	81761	SIPO	EF	92220371
563948	1919	1997-12-05	VYDAJ	PREVOD NA UCET	4545	88698	SIPO	EF	92220371
563949	1919	1998-01-05	VYDAJ	PREVOD NA UCET	4545	75151	SIPO	EF	92220371
563950	1919	1998-02-05	VYDAJ	PREVOD NA UCET	4545	80050	SIPO	EF	92220371
563951	1919	1998-03-05	VYDAJ	PREVOD NA UCET	4545	90686	SIPO	EF	92220371
563952	1919	1998-04-05	VYDAJ	PREVOD NA UCET	4545	94903	SIPO	EF	92220371
563953	1919	1998-05-05	VYDAJ	PREVOD NA UCET	4545	93238	SIPO	EF	92220371
563954	1919	1998-06-05	VYDAJ	PREVOD NA UCET	4545	94684	SIPO	EF	92220371
563955	1919	1998-07-05	VYDAJ	PREVOD NA UCET	4545	76344	SIPO	EF	92220371
563956	1919	1998-08-05	VYDAJ	PREVOD NA UCET	4545	101392	SIPO	EF	92220371
563957	1919	1998-09-05	VYDAJ	PREVOD NA UCET	4545	79064	SIPO	EF	92220371
563958	1919	1998-10-05	VYDAJ	PREVOD NA UCET	4545	98712	SIPO	EF	92220371
563959	1919	1998-11-05	VYDAJ	PREVOD NA UCET	4545	97175	SIPO	EF	92220371
563960	1919	1998-12-05	VYDAJ	PREVOD NA UCET	4545	97836	SIPO	EF	92220371
563976	1919	1995-04-09	VYDAJ	PREVOD NA UCET	342	70533	 	UV	54287219
563977	1919	1995-05-09	VYDAJ	PREVOD NA UCET	342	68703	 	UV	54287219
563978	1919	1995-06-09	VYDAJ	PREVOD NA UCET	342	82393	 	UV	54287219
563979	1919	1995-07-09	VYDAJ	PREVOD NA UCET	342	54465	 	UV	54287219
563980	1919	1995-08-09	VYDAJ	PREVOD NA UCET	342	64920	 	UV	54287219
563981	1919	1995-09-09	VYDAJ	PREVOD NA UCET	342	68418	 	UV	54287219
563982	1919	1995-10-09	VYDAJ	PREVOD NA UCET	342	71525	 	UV	54287219
563983	1919	1995-11-09	VYDAJ	PREVOD NA UCET	342	74243	 	UV	54287219
563984	1919	1995-12-09	VYDAJ	PREVOD NA UCET	342	80560	 	UV	54287219
563985	1919	1996-01-09	VYDAJ	PREVOD NA UCET	342	61405	 	UV	54287219
563986	1919	1996-02-09	VYDAJ	PREVOD NA UCET	342	58685	 	UV	54287219
563987	1919	1996-03-09	VYDAJ	PREVOD NA UCET	342	70768	 	UV	54287219
563988	1919	1996-04-09	VYDAJ	PREVOD NA UCET	342	79682	 	UV	54287219
563989	1919	1996-05-09	VYDAJ	PREVOD NA UCET	342	81828	 	UV	54287219
563990	1919	1996-06-09	VYDAJ	PREVOD NA UCET	342	97952	 	UV	54287219
563991	1919	1996-07-09	VYDAJ	PREVOD NA UCET	342	84731	 	UV	54287219
563992	1919	1996-08-09	VYDAJ	PREVOD NA UCET	342	83191	 	UV	54287219
563993	1919	1996-09-09	VYDAJ	PREVOD NA UCET	342	86946	 	UV	54287219
563994	1919	1996-10-09	VYDAJ	PREVOD NA UCET	342	90417	 	UV	54287219
563995	1919	1996-11-09	VYDAJ	PREVOD NA UCET	342	91298	 	UV	54287219
563996	1919	1996-12-09	VYDAJ	PREVOD NA UCET	342	101950	 	UV	54287219
563997	1919	1997-01-09	VYDAJ	PREVOD NA UCET	342	93283	 	UV	54287219
563998	1919	1997-02-09	VYDAJ	PREVOD NA UCET	342	83473	 	UV	54287219
563999	1919	1997-03-09	VYDAJ	PREVOD NA UCET	342	91228	 	UV	54287219
564000	1919	1997-04-09	VYDAJ	PREVOD NA UCET	342	95213	 	UV	54287219
564001	1919	1997-05-09	VYDAJ	PREVOD NA UCET	342	97510	 	UV	54287219
564002	1919	1997-06-09	VYDAJ	PREVOD NA UCET	342	114089	 	UV	54287219
564003	1919	1997-07-09	VYDAJ	PREVOD NA UCET	342	82034	 	UV	54287219
564004	1919	1997-08-09	VYDAJ	PREVOD NA UCET	342	99094	 	UV	54287219
564005	1919	1997-09-09	VYDAJ	PREVOD NA UCET	342	105508	 	UV	54287219
564006	1919	1997-10-09	VYDAJ	PREVOD NA UCET	342	108742	 	UV	54287219
564007	1919	1997-11-09	VYDAJ	PREVOD NA UCET	342	105358	 	UV	54287219
564008	1919	1997-12-09	VYDAJ	PREVOD NA UCET	342	81565	 	UV	54287219
564009	1919	1998-01-09	VYDAJ	PREVOD NA UCET	342	95548	 	UV	54287219
564010	1919	1998-02-09	VYDAJ	PREVOD NA UCET	342	103647	 	UV	54287219
564011	1919	1998-03-09	VYDAJ	PREVOD NA UCET	342	114283	 	UV	54287219
564012	1919	1998-04-09	VYDAJ	PREVOD NA UCET	342	83500	 	UV	54287219
564013	1919	1998-05-09	VYDAJ	PREVOD NA UCET	342	93235	 	UV	54287219
564014	1919	1998-06-09	VYDAJ	PREVOD NA UCET	342	64870	 	UV	54287219
564015	1919	1998-07-09	VYDAJ	PREVOD NA UCET	342	99941	 	UV	54287219
564016	1919	1998-08-09	VYDAJ	PREVOD NA UCET	342	64189	 	UV	54287219
564017	1919	1998-09-09	VYDAJ	PREVOD NA UCET	342	102661	 	UV	54287219
564018	1919	1998-10-09	VYDAJ	PREVOD NA UCET	342	99309	 	UV	54287219
564019	1919	1998-11-09	VYDAJ	PREVOD NA UCET	342	97372	 	UV	54287219
564020	1919	1998-12-09	VYDAJ	PREVOD NA UCET	342	104303	 	UV	54287219
564022	1919	1995-06-28	VYDAJ	VYBER	39680	42713	\N	\N	\N
564023	1919	1996-06-25	VYDAJ	VYBER	17920	80032	\N	\N	\N
564024	1919	1997-06-28	VYDAJ	VYBER	28000	62589	\N	\N	\N
564025	1919	1998-06-07	VYDAJ	VYBER	45280	65212	\N	\N	\N
564028	1919	1996-01-03	VYDAJ	VYBER	15200	42353	\N	\N	\N
564029	1919	1997-01-19	VYDAJ	VYBER	14880	70803	\N	\N	\N
564030	1919	1998-01-12	VYDAJ	VYBER KARTOU	3400	92148	\N	\N	0
564032	1919	1995-12-06	VYDAJ	VYBER	3680	80902	\N	\N	\N
564033	1919	1996-12-23	VYDAJ	VYBER KARTOU	3500	98450	\N	\N	0
564034	1919	1997-12-21	VYDAJ	VYBER KARTOU	2200	81965	\N	\N	0
564035	1919	1998-12-24	VYDAJ	VYBER KARTOU	1400	107203	\N	\N	0
564048	1919	1996-01-09	VYDAJ	VYBER	3240	58165	\N	\N	\N
564049	1919	1996-01-21	VYDAJ	VYBER	3480	52285	\N	\N	\N
564050	1919	1996-01-25	VYDAJ	VYBER	2880	48805	\N	\N	\N
564051	1919	1996-01-24	VYDAJ	VYBER	600	51685	\N	\N	\N
564052	1919	1996-01-29	VYDAJ	VYBER	3480	39425	\N	\N	\N
564053	1919	1996-01-12	VYDAJ	VYBER	2400	55765	\N	\N	\N
564054	1919	1997-01-12	VYDAJ	VYBER KARTOU	1700	91583	\N	\N	0
564055	1919	1997-01-19	VYDAJ	VYBER KARTOU	2400	85683	\N	\N	0
564056	1919	1997-01-26	VYDAJ	VYBER KARTOU	1100	64103	\N	\N	0
564057	1919	1997-01-15	VYDAJ	VYBER KARTOU	3500	88083	\N	\N	0
564058	1919	1997-01-06	VYDAJ	VYBER KARTOU	3100	94925	\N	\N	0
564059	1919	1997-01-07	VYDAJ	VYBER KARTOU	1300	93625	\N	\N	0
564060	1919	1998-01-22	VYDAJ	VYBER KARTOU	1700	84248	\N	\N	0
564061	1919	1998-01-20	VYDAJ	VYBER KARTOU	1700	85948	\N	\N	0
564062	1919	1998-01-01	VYDAJ	VYBER KARTOU	2600	79696	\N	\N	0
564063	1919	1998-01-05	VYDAJ	VYBER KARTOU	3200	71951	\N	\N	0
564064	1919	1998-01-20	VYDAJ	VYBER KARTOU	1800	87648	\N	\N	0
564065	1919	1998-01-15	VYDAJ	VYBER KARTOU	1000	88248	\N	\N	0
564073	1919	1995-04-22	VYDAJ	VYBER	960	69573	\N	\N	\N
564074	1919	1996-04-27	VYDAJ	VYBER KARTOU	1900	77782	\N	\N	0
564075	1919	1996-11-28	VYDAJ	VYBER KARTOU	3200	70598	\N	\N	0
564076	1919	1996-02-18	VYDAJ	VYBER	1080	57605	\N	\N	\N
564077	1919	1996-11-02	VYDAJ	VYBER KARTOU	600	72246	\N	\N	0
564078	1919	1997-10-31	VYDAJ	VYBER KARTOU	3500	86306	\N	\N	0
564079	1919	1997-08-19	VYDAJ	VYBER KARTOU	2000	97094	\N	\N	0
564080	1919	1997-10-13	VYDAJ	VYBER	5520	103222	\N	\N	\N
564081	1919	1998-02-20	VYDAJ	VYBER KARTOU	2200	94847	\N	\N	0
564082	1919	1998-04-01	VYDAJ	VYBER KARTOU	3200	99448	\N	\N	0
564083	1919	1998-01-14	VYDAJ	VYBER KARTOU	2900	89248	\N	\N	0
564084	1919	1998-11-10	VYDAJ	VYBER KARTOU	1600	95772	\N	\N	0
564085	1919	1998-06-24	VYDAJ	VYBER KARTOU	4000	80570	\N	\N	0
564086	1919	1998-08-14	VYDAJ	VYBER KARTOU	3500	60689	\N	\N	0
564087	1919	1998-03-21	VYDAJ	VYBER	5760	102223	\N	\N	\N
564104	1919	1995-04-30	VYDAJ	VYBER	15	69851	SLUZBY	\N	\N
564105	1919	1995-05-31	VYDAJ	VYBER	15	68972	SLUZBY	\N	\N
564106	1919	1995-06-30	VYDAJ	VYBER	15	43013	SLUZBY	\N	\N
564107	1919	1995-07-31	VYDAJ	VYBER	15	54668	SLUZBY	\N	\N
564108	1919	1995-08-31	VYDAJ	VYBER	15	65166	SLUZBY	\N	\N
564109	1919	1995-09-30	VYDAJ	VYBER	15	52473	SLUZBY	\N	\N
564110	1919	1995-10-31	VYDAJ	VYBER	15	55191	SLUZBY	\N	\N
564111	1919	1995-11-30	VYDAJ	VYBER	15	53218	SLUZBY	\N	\N
564112	1919	1995-12-31	VYDAJ	VYBER	15	57553	SLUZBY	\N	\N
564113	1919	1996-01-31	VYDAJ	VYBER	15	39633	SLUZBY	\N	\N
564114	1919	1996-02-29	VYDAJ	VYBER	15	51716	SLUZBY	\N	\N
564115	1919	1996-03-31	VYDAJ	VYBER	15	60630	SLUZBY	\N	\N
564116	1919	1996-04-30	VYDAJ	VYBER	15	62776	SLUZBY	\N	\N
564117	1919	1996-05-31	VYDAJ	VYBER	15	66931	SLUZBY	\N	\N
564118	1919	1996-06-30	VYDAJ	VYBER	15	65679	SLUZBY	\N	\N
564119	1919	1996-07-31	VYDAJ	VYBER	15	64139	SLUZBY	\N	\N
564120	1919	1996-08-31	VYDAJ	VYBER	15	67894	SLUZBY	\N	\N
564121	1919	1996-09-30	VYDAJ	VYBER	15	71365	SLUZBY	\N	\N
564122	1919	1996-10-31	VYDAJ	VYBER	15	72846	SLUZBY	\N	\N
564123	1919	1996-11-30	VYDAJ	VYBER	15	70928	SLUZBY	\N	\N
564124	1919	1996-12-31	VYDAJ	VYBER	15	78631	SLUZBY	\N	\N
564125	1919	1997-01-31	VYDAJ	VYBER	15	64421	SLUZBY	\N	\N
564126	1919	1997-02-28	VYDAJ	VYBER	15	72176	SLUZBY	\N	\N
564127	1919	1997-03-31	VYDAJ	VYBER	15	76161	SLUZBY	\N	\N
564128	1919	1997-04-30	VYDAJ	VYBER	15	78458	SLUZBY	\N	\N
564129	1919	1997-05-31	VYDAJ	VYBER	15	83067	SLUZBY	\N	\N
564130	1919	1997-06-30	VYDAJ	VYBER	15	62982	SLUZBY	\N	\N
564131	1919	1997-07-31	VYDAJ	VYBER	15	80042	SLUZBY	\N	\N
564132	1919	1997-08-31	VYDAJ	VYBER	15	86456	SLUZBY	\N	\N
564133	1919	1997-09-30	VYDAJ	VYBER	15	89690	SLUZBY	\N	\N
564134	1919	1997-10-31	VYDAJ	VYBER	15	89806	SLUZBY	\N	\N
564135	1919	1997-11-30	VYDAJ	VYBER	15	93243	SLUZBY	\N	\N
564136	1919	1997-12-31	VYDAJ	VYBER	15	82296	SLUZBY	\N	\N
564137	1919	1998-01-31	VYDAJ	VYBER	15	84595	SLUZBY	\N	\N
564138	1919	1998-02-28	VYDAJ	VYBER	15	95231	SLUZBY	\N	\N
564139	1919	1998-03-31	VYDAJ	VYBER	15	102648	SLUZBY	\N	\N
564140	1919	1998-04-30	VYDAJ	VYBER	15	97783	SLUZBY	\N	\N
564141	1919	1998-05-31	VYDAJ	VYBER	15	99229	SLUZBY	\N	\N
564142	1919	1998-06-30	VYDAJ	VYBER	15	80889	SLUZBY	\N	\N
564143	1919	1998-07-31	VYDAJ	VYBER	15	105937	SLUZBY	\N	\N
564144	1919	1998-08-31	VYDAJ	VYBER	15	83609	SLUZBY	\N	\N
564145	1919	1998-09-30	VYDAJ	VYBER	15	103257	SLUZBY	\N	\N
564146	1919	1998-10-31	VYDAJ	VYBER	15	101720	SLUZBY	\N	\N
564147	1919	1998-11-30	VYDAJ	VYBER	15	102381	SLUZBY	\N	\N
564148	1919	1995-01-03	VYDAJ	VYBER	5200	31637	\N	\N	\N
564149	1919	1995-02-02	VYDAJ	VYBER	11800	43995	\N	\N	\N
564150	1919	1995-03-04	VYDAJ	VYBER	22400	45808	\N	\N	\N
564151	1919	1995-04-03	VYDAJ	VYBER	23100	46936	\N	\N	\N
564152	1919	1995-05-03	VYDAJ	VYBER	20200	49651	\N	\N	\N
564153	1919	1995-06-02	VYDAJ	VYBER	17600	51372	\N	\N	\N
564154	1919	1995-07-02	VYDAJ	VYBER	7600	35413	\N	\N	\N
564155	1919	1995-08-01	VYDAJ	VYBER	8800	45868	\N	\N	\N
564156	1919	1995-08-31	VYDAJ	VYBER	15800	49366	\N	\N	\N
564157	1919	1995-09-30	VYDAJ	VYBER	16200	52487	\N	\N	\N
564158	1919	1995-10-30	VYDAJ	VYBER	16600	54925	\N	\N	\N
564159	1919	1995-11-29	VYDAJ	VYBER	21300	52943	\N	\N	\N
564160	1919	1995-12-29	VYDAJ	VYBER	23300	57260	\N	\N	\N
564161	1919	1996-01-28	VYDAJ	VYBER	5900	42905	\N	\N	\N
564162	1919	1996-02-27	VYDAJ	VYBER	6100	51505	\N	\N	\N
564163	1919	1996-03-28	VYDAJ	VYBER	10400	60368	\N	\N	\N
564164	1919	1996-04-27	VYDAJ	VYBER	15300	62482	\N	\N	\N
564165	1919	1996-05-27	VYDAJ	VYBER	15200	66628	\N	\N	\N
564166	1919	1996-06-26	VYDAJ	VYBER	14700	65332	\N	\N	\N
564167	1919	1996-07-26	VYDAJ	VYBER	20900	63831	\N	\N	\N
564168	1919	1996-08-25	VYDAJ	VYBER	15600	67591	\N	\N	\N
564169	1919	1996-09-24	VYDAJ	VYBER	15900	71046	\N	\N	\N
564170	1919	1996-10-24	VYDAJ	VYBER	17900	72517	\N	\N	\N
564171	1919	1996-11-23	VYDAJ	VYBER	17500	73798	\N	\N	\N
564172	1919	1996-12-23	VYDAJ	VYBER	20200	78250	\N	\N	\N
564173	1919	1997-01-22	VYDAJ	VYBER	5600	65203	\N	\N	\N
564174	1919	1997-02-21	VYDAJ	VYBER	11600	71873	\N	\N	\N
564175	1919	1997-03-23	VYDAJ	VYBER	15400	75828	\N	\N	\N
564176	1919	1997-04-22	VYDAJ	VYBER	17100	78113	\N	\N	\N
564177	1919	1997-05-22	VYDAJ	VYBER	14800	82710	\N	\N	\N
564178	1919	1997-06-21	VYDAJ	VYBER	23500	90589	\N	\N	\N
564179	1919	1997-07-21	VYDAJ	VYBER KARTOU	2300	79734	\N	\N	0
564180	1919	1997-08-20	VYDAJ	VYBER	11000	86094	\N	\N	\N
564181	1919	1997-09-19	VYDAJ	VYBER	16200	89308	\N	\N	\N
564182	1919	1997-10-19	VYDAJ	VYBER	13800	89422	\N	\N	\N
564183	1919	1997-11-18	VYDAJ	VYBER	12500	92858	\N	\N	\N
564184	1919	1997-12-06	VYDAJ	VYBER	42700	81907	\N	\N	\N
564185	1919	1997-12-18	PRIJEM	VKLAD	2600	84165	\N	\N	\N
564186	1919	1998-01-17	PRIJEM	VKLAD	1200	89448	\N	\N	\N
564187	1919	1998-02-16	VYDAJ	VYBER	6600	97047	\N	\N	\N
564188	1919	1998-03-18	VYDAJ	VYBER	6300	107983	\N	\N	\N
564189	1919	1998-04-06	VYDAJ	VYBER	35000	83842	\N	\N	\N
564190	1919	1998-04-17	PRIJEM	VKLAD	13900	97400	\N	\N	\N
564191	1919	1998-05-09	VYDAJ	VYBER	23600	93577	\N	\N	\N
564192	1919	1998-05-17	PRIJEM	VKLAD	5600	98835	\N	\N	\N
564193	1919	1998-06-06	VYDAJ	VYBER	20100	110492	\N	\N	\N
564194	1919	1998-06-16	PRIJEM	VKLAD	19700	84570	\N	\N	\N
564195	1919	1998-07-16	PRIJEM	VKLAD	5600	105541	\N	\N	\N
564196	1919	1998-08-06	VYDAJ	VYBER	60800	64531	\N	\N	\N
564197	1919	1998-08-15	PRIJEM	VKLAD	22600	83289	\N	\N	\N
564198	1919	1998-09-14	PRIJEM	VKLAD	200	102861	\N	\N	\N
564199	1919	1998-10-06	VYDAJ	VYBER	23000	99651	\N	\N	\N
564200	1919	1998-10-14	PRIJEM	VKLAD	2000	101309	\N	\N	\N
564201	1919	1998-11-06	VYDAJ	VYBER	23400	97714	\N	\N	\N
564202	1919	1998-11-13	PRIJEM	VKLAD	6200	101972	\N	\N	\N
564203	1919	1998-12-06	VYDAJ	VYBER	29100	104645	\N	\N	\N
564204	1919	1998-12-13	PRIJEM	VKLAD	4300	108603	\N	\N	\N
564254	1920	1996-04-08	PRIJEM	VKLAD	700	700	\N	\N	\N
564258	1920	1996-04-12	PRIJEM	VKLAD	5356	6056	\N	\N	\N
564259	1920	1996-05-12	PRIJEM	VKLAD	5356	23528	\N	\N	\N
564260	1920	1996-06-12	PRIJEM	VKLAD	8034	35434	\N	\N	\N
564261	1920	1996-07-12	PRIJEM	VKLAD	5356	39120	\N	\N	\N
564262	1920	1996-08-12	PRIJEM	VKLAD	5356	41533	\N	\N	\N
564263	1920	1996-09-12	PRIJEM	VKLAD	5356	37174	\N	\N	\N
564264	1920	1996-10-12	PRIJEM	VKLAD	5356	40005	\N	\N	\N
564265	1920	1996-11-12	PRIJEM	VKLAD	5356	38338	\N	\N	\N
564266	1920	1996-12-12	PRIJEM	VKLAD	8034	40148	\N	\N	\N
564267	1920	1997-01-12	PRIJEM	VKLAD	5356	38341	\N	\N	\N
564268	1920	1997-02-12	PRIJEM	VKLAD	5356	38448	\N	\N	\N
564269	1920	1997-03-12	PRIJEM	VKLAD	5356	42266	\N	\N	\N
564270	1920	1997-04-12	PRIJEM	VKLAD	5356	44307	\N	\N	\N
564271	1920	1997-05-12	PRIJEM	VKLAD	5356	42173	\N	\N	\N
564272	1920	1997-06-12	PRIJEM	VKLAD	8034	31515	\N	\N	\N
564273	1920	1997-07-12	PRIJEM	VKLAD	5356	36133	\N	\N	\N
564274	1920	1997-08-12	PRIJEM	VKLAD	5356	40048	\N	\N	\N
564275	1920	1997-09-12	PRIJEM	VKLAD	5356	43680	\N	\N	\N
564276	1920	1997-10-12	PRIJEM	VKLAD	5356	37447	\N	\N	\N
564277	1920	1997-11-12	PRIJEM	VKLAD	5356	43575	\N	\N	\N
564278	1920	1997-12-12	PRIJEM	VKLAD	8034	47782	\N	\N	\N
564279	1920	1998-01-12	PRIJEM	VKLAD	5356	49458	\N	\N	\N
564280	1920	1998-02-12	PRIJEM	VKLAD	5356	42055	\N	\N	\N
564281	1920	1998-03-12	PRIJEM	VKLAD	5356	41298	\N	\N	\N
564282	1920	1998-04-12	PRIJEM	VKLAD	5356	36642	\N	\N	\N
564283	1920	1998-05-12	PRIJEM	VKLAD	5356	38124	\N	\N	\N
564284	1920	1998-06-12	PRIJEM	VKLAD	8034	48134	\N	\N	\N
564285	1920	1998-07-12	PRIJEM	VKLAD	5356	36374	\N	\N	\N
564286	1920	1998-08-12	PRIJEM	VKLAD	5356	47800	\N	\N	\N
564287	1920	1998-09-12	PRIJEM	VKLAD	5356	53788	\N	\N	\N
564288	1920	1998-10-12	PRIJEM	VKLAD	5356	52854	\N	\N	\N
564289	1920	1998-11-12	PRIJEM	VKLAD	5356	56443	\N	\N	\N
564290	1920	1998-12-12	PRIJEM	VKLAD	8034	63726	\N	\N	\N
564299	1920	1996-09-10	VYDAJ	PREVOD NA UCET	3570	31818	SIPO	GH	77530604
564300	1920	1996-10-10	VYDAJ	PREVOD NA UCET	3570	34649	SIPO	GH	77530604
564301	1920	1996-11-10	VYDAJ	PREVOD NA UCET	3570	32982	SIPO	GH	77530604
564302	1920	1996-12-10	VYDAJ	PREVOD NA UCET	3570	32114	SIPO	GH	77530604
564303	1920	1997-01-10	VYDAJ	PREVOD NA UCET	3570	32985	SIPO	GH	77530604
564304	1920	1997-02-10	VYDAJ	PREVOD NA UCET	3570	33092	SIPO	GH	77530604
564305	1920	1997-03-10	VYDAJ	PREVOD NA UCET	3570	36910	SIPO	GH	77530604
564306	1920	1997-04-10	VYDAJ	PREVOD NA UCET	3570	38951	SIPO	GH	77530604
564307	1920	1997-05-10	VYDAJ	PREVOD NA UCET	3570	36817	SIPO	GH	77530604
564308	1920	1997-06-10	VYDAJ	PREVOD NA UCET	3570	23481	SIPO	GH	77530604
564309	1920	1997-07-10	VYDAJ	PREVOD NA UCET	3570	30777	SIPO	GH	77530604
564310	1920	1997-08-10	VYDAJ	PREVOD NA UCET	3570	34692	SIPO	GH	77530604
564311	1920	1997-09-10	VYDAJ	PREVOD NA UCET	3570	38324	SIPO	GH	77530604
564312	1920	1997-10-10	VYDAJ	PREVOD NA UCET	3570	32091	SIPO	GH	77530604
564313	1920	1997-11-10	VYDAJ	PREVOD NA UCET	3570	38219	SIPO	GH	77530604
564314	1920	1997-12-10	VYDAJ	PREVOD NA UCET	3570	39748	SIPO	GH	77530604
564315	1920	1998-01-10	VYDAJ	PREVOD NA UCET	3570	44102	SIPO	GH	77530604
564316	1920	1998-02-10	VYDAJ	PREVOD NA UCET	3570	36699	SIPO	GH	77530604
564317	1920	1998-03-10	VYDAJ	PREVOD NA UCET	3570	35942	SIPO	GH	77530604
564318	1920	1998-04-10	VYDAJ	PREVOD NA UCET	3570	31286	SIPO	GH	77530604
564319	1920	1998-05-10	VYDAJ	PREVOD NA UCET	3570	32768	SIPO	GH	77530604
564320	1920	1998-06-10	VYDAJ	PREVOD NA UCET	3570	40100	SIPO	GH	77530604
564321	1920	1998-07-10	VYDAJ	PREVOD NA UCET	3570	31018	SIPO	GH	77530604
564322	1920	1998-08-10	VYDAJ	PREVOD NA UCET	3570	42444	SIPO	GH	77530604
564323	1920	1998-09-10	VYDAJ	PREVOD NA UCET	3570	48432	SIPO	GH	77530604
564324	1920	1998-10-10	VYDAJ	PREVOD NA UCET	3570	47498	SIPO	GH	77530604
564325	1920	1998-11-10	VYDAJ	PREVOD NA UCET	3570	51087	SIPO	GH	77530604
564326	1920	1998-12-10	VYDAJ	PREVOD NA UCET	3570	55692	SIPO	GH	77530604
564328	1920	1997-06-02	VYDAJ	VYBER	19680	27051	\N	\N	\N
564329	1920	1998-06-23	VYDAJ	VYBER	29600	18534	\N	\N	\N
564331	1920	1997-01-13	VYDAJ	VYBER	8800	29541	\N	\N	\N
564332	1920	1998-01-22	VYDAJ	VYBER	15360	34098	\N	\N	\N
564333	1920	1996-12-27	VYDAJ	VYBER	2240	37908	\N	\N	\N
564334	1920	1997-12-15	VYDAJ	VYBER	3680	44102	\N	\N	\N
564335	1920	1998-12-27	VYDAJ	VYBER	960	65266	\N	\N	\N
564342	1920	1997-11-19	VYDAJ	VYBER	720	42855	\N	\N	\N
564343	1920	1997-10-05	VYDAJ	VYBER	3000	35661	\N	\N	\N
564344	1920	1997-04-17	VYDAJ	VYBER	3480	40827	\N	\N	\N
564345	1920	1997-09-25	VYDAJ	VYBER	4080	39600	\N	\N	\N
564346	1920	1998-03-19	VYDAJ	VYBER	4200	33018	\N	\N	\N
564347	1920	1998-03-16	VYDAJ	VYBER	4080	37218	\N	\N	\N
564348	1920	1998-09-20	VYDAJ	VYBER	5520	48268	\N	\N	\N
564349	1920	1998-08-22	VYDAJ	VYBER	3480	44320	\N	\N	\N
564350	1920	1998-05-03	VYDAJ	VYBER	2640	36338	\N	\N	\N
564359	1920	1996-08-31	VYDAJ	VYBER	15	41688	SLUZBY	\N	\N
564360	1920	1996-09-30	VYDAJ	VYBER	15	37319	SLUZBY	\N	\N
564361	1920	1996-10-31	VYDAJ	VYBER	15	40152	SLUZBY	\N	\N
564362	1920	1996-11-30	VYDAJ	VYBER	15	38484	SLUZBY	\N	\N
564363	1920	1996-12-31	VYDAJ	VYBER	15	38055	SLUZBY	\N	\N
564364	1920	1997-01-31	VYDAJ	VYBER	15	29662	SLUZBY	\N	\N
564365	1920	1997-02-28	VYDAJ	VYBER	15	38580	SLUZBY	\N	\N
564366	1920	1997-03-31	VYDAJ	VYBER	15	42421	SLUZBY	\N	\N
564367	1920	1997-04-30	VYDAJ	VYBER	15	40987	SLUZBY	\N	\N
564368	1920	1997-05-31	VYDAJ	VYBER	15	42331	SLUZBY	\N	\N
564369	1920	1997-06-30	VYDAJ	VYBER	15	31647	SLUZBY	\N	\N
564370	1920	1997-07-31	VYDAJ	VYBER	15	36262	SLUZBY	\N	\N
564371	1920	1997-08-31	VYDAJ	VYBER	15	41894	SLUZBY	\N	\N
564372	1920	1997-09-30	VYDAJ	VYBER	15	38661	SLUZBY	\N	\N
564373	1920	1997-10-31	VYDAJ	VYBER	15	41789	SLUZBY	\N	\N
564374	1920	1997-11-30	VYDAJ	VYBER	15	43318	SLUZBY	\N	\N
564375	1920	1997-12-31	VYDAJ	VYBER	15	47672	SLUZBY	\N	\N
564376	1920	1998-01-31	VYDAJ	VYBER	15	40269	SLUZBY	\N	\N
564377	1920	1998-02-28	VYDAJ	VYBER	15	39512	SLUZBY	\N	\N
564378	1920	1998-03-31	VYDAJ	VYBER	15	34856	SLUZBY	\N	\N
564379	1920	1998-04-30	VYDAJ	VYBER	15	38978	SLUZBY	\N	\N
564380	1920	1998-05-31	VYDAJ	VYBER	15	43670	SLUZBY	\N	\N
564381	1920	1998-06-30	VYDAJ	VYBER	15	34588	SLUZBY	\N	\N
564382	1920	1998-07-31	VYDAJ	VYBER	15	46014	SLUZBY	\N	\N
564383	1920	1998-08-31	VYDAJ	VYBER	15	52002	SLUZBY	\N	\N
564384	1920	1998-09-30	VYDAJ	VYBER	15	51068	SLUZBY	\N	\N
564385	1920	1998-10-31	VYDAJ	VYBER	15	54657	SLUZBY	\N	\N
564386	1920	1998-11-30	VYDAJ	VYBER	15	59262	SLUZBY	\N	\N
564387	1920	1996-05-08	PRIJEM	VKLAD	12100	18172	\N	\N	\N
564388	1920	1996-06-07	PRIJEM	VKLAD	3800	27400	\N	\N	\N
564389	1920	1996-07-07	VYDAJ	VYBER	1800	33764	\N	\N	\N
564390	1920	1996-08-06	VYDAJ	VYBER	3100	36177	\N	\N	\N
564391	1920	1996-09-05	VYDAJ	VYBER	6300	35388	\N	\N	\N
564392	1920	1996-10-05	PRIJEM	VKLAD	900	38219	\N	\N	\N
564393	1920	1996-11-04	VYDAJ	VYBER	3600	36552	\N	\N	\N
564394	1920	1996-12-04	VYDAJ	VYBER	2800	35684	\N	\N	\N
564395	1920	1997-01-03	VYDAJ	VYBER	1500	36555	\N	\N	\N
564396	1920	1997-02-02	PRIJEM	VKLAD	7000	36662	\N	\N	\N
564397	1920	1997-03-04	PRIJEM	VKLAD	1900	40480	\N	\N	\N
564398	1920	1997-04-03	PRIJEM	VKLAD	100	42521	\N	\N	\N
564399	1920	1997-05-03	VYDAJ	VYBER	600	40387	\N	\N	\N
564400	1920	1997-06-02	PRIJEM	VKLAD	4400	46731	\N	\N	\N
564401	1920	1997-07-02	PRIJEM	VKLAD	2700	34347	\N	\N	\N
564402	1920	1997-08-01	PRIJEM	VKLAD	2000	38262	\N	\N	\N
564403	1920	1997-08-31	PRIJEM	VKLAD	1700	41909	\N	\N	\N
564404	1920	1997-09-30	VYDAJ	VYBER	1100	38676	\N	\N	\N
564405	1920	1997-10-30	PRIJEM	VKLAD	4200	41647	\N	\N	\N
564406	1920	1997-11-29	PRIJEM	VKLAD	300	43155	\N	\N	\N
564407	1920	1997-12-29	PRIJEM	VKLAD	3400	47502	\N	\N	\N
564408	1920	1998-01-28	PRIJEM	VKLAD	6000	40098	\N	\N	\N
564409	1920	1998-02-27	VYDAJ	VYBER	2700	39355	\N	\N	\N
564410	1920	1998-03-29	PRIJEM	VKLAD	1700	34718	\N	\N	\N
564411	1920	1998-04-28	PRIJEM	VKLAD	2200	38842	\N	\N	\N
564412	1920	1998-05-28	PRIJEM	VKLAD	5400	43524	\N	\N	\N
564413	1920	1998-06-27	PRIJEM	VKLAD	15900	34434	\N	\N	\N
564414	1920	1998-07-27	PRIJEM	VKLAD	9500	45874	\N	\N	\N
564415	1920	1998-08-26	PRIJEM	VKLAD	7500	51820	\N	\N	\N
564416	1920	1998-09-25	PRIJEM	VKLAD	2600	50868	\N	\N	\N
564417	1920	1998-10-25	PRIJEM	VKLAD	1600	54454	\N	\N	\N
564418	1920	1998-11-24	PRIJEM	VKLAD	2600	59043	\N	\N	\N
564419	1920	1998-12-24	PRIJEM	VKLAD	2500	66226	\N	\N	\N
564453	1921	1997-06-27	PRIJEM	VKLAD	900	900	\N	\N	\N
564460	1921	1997-07-08	PRIJEM	PREVOD Z UCTU	3650	4550	\N	OP	78194778
564461	1921	1997-08-08	PRIJEM	PREVOD Z UCTU	3650	14908	\N	OP	78194778
564462	1921	1997-09-08	PRIJEM	PREVOD Z UCTU	3650	19708	\N	OP	78194778
564463	1921	1997-10-08	PRIJEM	PREVOD Z UCTU	3650	21927	\N	OP	78194778
564464	1921	1997-11-08	PRIJEM	PREVOD Z UCTU	3650	22954	\N	OP	78194778
564465	1921	1997-12-08	PRIJEM	PREVOD Z UCTU	3650	21638	\N	OP	78194778
564466	1921	1998-01-08	PRIJEM	PREVOD Z UCTU	3650	23810	\N	OP	78194778
564467	1921	1998-02-08	PRIJEM	PREVOD Z UCTU	3650	20034	\N	OP	78194778
564468	1921	1998-03-08	PRIJEM	PREVOD Z UCTU	3650	18009	\N	OP	78194778
564469	1921	1998-04-08	PRIJEM	PREVOD Z UCTU	3650	19275	\N	OP	78194778
564470	1921	1998-05-08	PRIJEM	PREVOD Z UCTU	3650	16542	\N	OP	78194778
564471	1921	1998-06-08	PRIJEM	PREVOD Z UCTU	3650	16299	\N	OP	78194778
564472	1921	1998-07-08	PRIJEM	PREVOD Z UCTU	3650	17558	\N	OP	78194778
564473	1921	1998-08-08	PRIJEM	PREVOD Z UCTU	3650	18823	\N	OP	78194778
564474	1921	1998-09-08	PRIJEM	PREVOD Z UCTU	3650	20092	\N	OP	78194778
564475	1921	1998-10-08	PRIJEM	PREVOD Z UCTU	3650	21367	\N	OP	78194778
564476	1921	1998-11-08	PRIJEM	PREVOD Z UCTU	3650	21504	\N	OP	78194778
564477	1921	1998-12-08	PRIJEM	PREVOD Z UCTU	3650	22785	\N	OP	78194778
564488	1921	1997-11-09	VYDAJ	PREVOD NA UCET	2309	20521	SIPO	MN	40611082
564489	1921	1997-12-09	VYDAJ	PREVOD NA UCET	2309	19329	SIPO	MN	40611082
564490	1921	1998-01-09	VYDAJ	PREVOD NA UCET	2309	21377	SIPO	MN	40611082
564491	1921	1998-02-09	VYDAJ	PREVOD NA UCET	2309	17601	SIPO	MN	40611082
564492	1921	1998-03-09	VYDAJ	PREVOD NA UCET	2309	15700	SIPO	MN	40611082
564493	1921	1998-04-09	VYDAJ	PREVOD NA UCET	2309	16966	SIPO	MN	40611082
564494	1921	1998-05-09	VYDAJ	PREVOD NA UCET	2309	14109	SIPO	MN	40611082
564495	1921	1998-06-09	VYDAJ	PREVOD NA UCET	2309	13990	SIPO	MN	40611082
564496	1921	1998-07-09	VYDAJ	PREVOD NA UCET	2309	15249	SIPO	MN	40611082
564497	1921	1998-08-09	VYDAJ	PREVOD NA UCET	2309	16390	SIPO	MN	40611082
564498	1921	1998-09-09	VYDAJ	PREVOD NA UCET	2309	17783	SIPO	MN	40611082
564499	1921	1998-10-09	VYDAJ	PREVOD NA UCET	2309	18128	SIPO	MN	40611082
564500	1921	1998-11-09	VYDAJ	PREVOD NA UCET	2309	19195	SIPO	MN	40611082
564501	1921	1998-12-09	VYDAJ	PREVOD NA UCET	2309	20352	SIPO	MN	40611082
564512	1921	1997-11-09	VYDAJ	PREVOD NA UCET	124	22830	 	KL	97261964
564513	1921	1997-12-09	VYDAJ	PREVOD NA UCET	124	19205	 	KL	97261964
564514	1921	1998-01-09	VYDAJ	PREVOD NA UCET	124	23686	 	KL	97261964
564515	1921	1998-02-09	VYDAJ	PREVOD NA UCET	124	19910	 	KL	97261964
564516	1921	1998-03-09	VYDAJ	PREVOD NA UCET	124	15576	 	KL	97261964
564517	1921	1998-04-09	VYDAJ	PREVOD NA UCET	124	16842	 	KL	97261964
564518	1921	1998-05-09	VYDAJ	PREVOD NA UCET	124	16418	 	KL	97261964
564519	1921	1998-06-09	VYDAJ	PREVOD NA UCET	124	13866	 	KL	97261964
564520	1921	1998-07-09	VYDAJ	PREVOD NA UCET	124	15125	 	KL	97261964
564521	1921	1998-08-09	VYDAJ	PREVOD NA UCET	124	18699	 	KL	97261964
564522	1921	1998-09-09	VYDAJ	PREVOD NA UCET	124	17659	 	KL	97261964
564523	1921	1998-10-09	VYDAJ	PREVOD NA UCET	124	18004	 	KL	97261964
564524	1921	1998-11-09	VYDAJ	PREVOD NA UCET	124	19071	 	KL	97261964
564525	1921	1998-12-09	VYDAJ	PREVOD NA UCET	124	22661	 	KL	97261964
564529	1921	1998-01-25	VYDAJ	VYBER	1500	16317	\N	\N	\N
564530	1921	1997-12-27	VYDAJ	VYBER	810	20095	\N	\N	\N
564531	1921	1998-12-26	VYDAJ	VYBER	810	19542	\N	\N	\N
564538	1921	1998-05-11	VYDAJ	VYBER	600	13509	\N	\N	\N
564539	1921	1998-10-08	VYDAJ	VYBER	930	20437	\N	\N	\N
564540	1921	1998-01-13	VYDAJ	VYBER	510	20867	\N	\N	\N
564541	1921	1998-01-19	VYDAJ	VYBER	390	20477	\N	\N	\N
564542	1921	1998-05-18	VYDAJ	VYBER	900	12609	\N	\N	\N
564543	1921	1998-10-26	VYDAJ	VYBER	210	17794	\N	\N	\N
564544	1921	1998-12-27	VYDAJ	VYBER	1350	18192	\N	\N	\N
564545	1921	1998-01-24	VYDAJ	VYBER	660	17817	\N	\N	\N
564557	1921	1997-11-30	VYDAJ	VYBER	15	17988	SLUZBY	\N	\N
564558	1921	1997-12-31	VYDAJ	VYBER	15	20160	SLUZBY	\N	\N
564559	1921	1998-01-31	VYDAJ	VYBER	15	16384	SLUZBY	\N	\N
564560	1921	1998-02-28	VYDAJ	VYBER	15	14359	SLUZBY	\N	\N
564561	1921	1998-03-31	VYDAJ	VYBER	15	15625	SLUZBY	\N	\N
564562	1921	1998-04-30	VYDAJ	VYBER	15	12892	SLUZBY	\N	\N
564563	1921	1998-05-31	VYDAJ	VYBER	15	12649	SLUZBY	\N	\N
564564	1921	1998-06-30	VYDAJ	VYBER	15	13908	SLUZBY	\N	\N
564565	1921	1998-07-31	VYDAJ	VYBER	15	15173	SLUZBY	\N	\N
564566	1921	1998-08-31	VYDAJ	VYBER	15	16442	SLUZBY	\N	\N
564567	1921	1998-09-30	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
564568	1921	1998-10-31	VYDAJ	VYBER	15	17854	SLUZBY	\N	\N
564569	1921	1998-11-30	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
564570	1921	1997-07-27	PRIJEM	VKLAD	6700	11250	\N	\N	\N
564571	1921	1997-08-26	PRIJEM	VKLAD	1100	16008	\N	\N	\N
564572	1921	1997-09-25	VYDAJ	VYBER	1500	18208	\N	\N	\N
564573	1921	1997-10-25	VYDAJ	VYBER	2700	19227	\N	\N	\N
564574	1921	1997-11-24	VYDAJ	VYBER	2600	17921	\N	\N	\N
564575	1921	1997-12-24	PRIJEM	VKLAD	1700	20905	\N	\N	\N
564576	1921	1998-01-23	VYDAJ	VYBER	2000	18477	\N	\N	\N
564577	1921	1998-02-22	VYDAJ	VYBER	3300	14301	\N	\N	\N
564578	1921	1998-04-23	VYDAJ	VYBER	4000	12842	\N	\N	\N
564597	1922	1996-02-09	PRIJEM	VKLAD	800	800	\N	\N	\N
564600	1922	1996-03-07	PRIJEM	VKLAD	16676	17476	\N	\N	\N
564601	1922	1996-04-07	PRIJEM	VKLAD	16676	39018	\N	\N	\N
564602	1922	1996-05-07	PRIJEM	VKLAD	16676	48616	\N	\N	\N
564603	1922	1996-06-07	PRIJEM	VKLAD	25014	62078	\N	\N	\N
564604	1922	1996-07-07	PRIJEM	VKLAD	16676	63740	\N	\N	\N
564605	1922	1996-08-07	PRIJEM	VKLAD	16676	62192	\N	\N	\N
564606	1922	1996-09-07	PRIJEM	VKLAD	16676	60860	\N	\N	\N
564607	1922	1996-10-07	PRIJEM	VKLAD	16676	68967	\N	\N	\N
564608	1922	1996-11-07	PRIJEM	VKLAD	16676	71529	\N	\N	\N
564609	1922	1996-12-07	PRIJEM	VKLAD	25014	83421	\N	\N	\N
564610	1922	1997-01-07	PRIJEM	VKLAD	16676	76555	\N	\N	\N
564611	1922	1997-02-07	PRIJEM	VKLAD	16676	70877	\N	\N	\N
564612	1922	1997-03-07	PRIJEM	VKLAD	16676	77227	\N	\N	\N
564613	1922	1997-04-07	PRIJEM	VKLAD	16676	81006	\N	\N	\N
564614	1922	1997-05-07	PRIJEM	VKLAD	16676	83401	\N	\N	\N
564615	1922	1997-06-07	PRIJEM	VKLAD	25014	93346	\N	\N	\N
564616	1922	1997-07-07	PRIJEM	VKLAD	16676	72176	\N	\N	\N
564617	1922	1997-08-07	PRIJEM	VKLAD	16676	85223	\N	\N	\N
564618	1922	1997-09-07	PRIJEM	VKLAD	16676	92008	\N	\N	\N
564619	1922	1997-10-07	PRIJEM	VKLAD	16676	102346	\N	\N	\N
564620	1922	1997-11-07	PRIJEM	VKLAD	16676	105924	\N	\N	\N
564621	1922	1997-12-07	PRIJEM	VKLAD	25014	82297	\N	\N	\N
564622	1922	1998-01-07	PRIJEM	VKLAD	16676	94436	\N	\N	\N
564623	1922	1998-02-07	PRIJEM	VKLAD	16676	95416	\N	\N	\N
564624	1922	1998-03-07	PRIJEM	VKLAD	16676	110008	\N	\N	\N
564625	1922	1998-04-07	PRIJEM	VKLAD	16676	83339	\N	\N	\N
564626	1922	1998-05-07	PRIJEM	VKLAD	16676	95243	\N	\N	\N
564627	1922	1998-06-07	PRIJEM	VKLAD	25014	115427	\N	\N	\N
564628	1922	1998-07-07	PRIJEM	VKLAD	16676	90601	\N	\N	\N
564629	1922	1998-08-07	PRIJEM	VKLAD	16676	102077	\N	\N	\N
564630	1922	1998-09-07	PRIJEM	VKLAD	16676	105095	\N	\N	\N
564631	1922	1998-10-07	PRIJEM	VKLAD	16676	109731	\N	\N	\N
564632	1922	1998-11-07	PRIJEM	VKLAD	16676	111481	\N	\N	\N
564633	1922	1998-12-07	PRIJEM	VKLAD	25014	115173	\N	\N	\N
564635	1922	1997-06-10	VYDAJ	VYBER	38080	55266	\N	\N	\N
564636	1922	1998-06-26	VYDAJ	VYBER	11200	60827	\N	\N	\N
564638	1922	1997-01-18	VYDAJ	VYBER	3040	71475	\N	\N	\N
564639	1922	1998-01-27	VYDAJ	VYBER	8800	80836	\N	\N	\N
564640	1922	1996-12-24	VYDAJ	VYBER	4640	78781	\N	\N	\N
564641	1922	1997-12-01	VYDAJ	VYBER	4640	57283	\N	\N	\N
564642	1922	1998-12-16	VYDAJ	VYBER KARTOU	3200	55273	\N	\N	0
564649	1922	1997-01-29	VYDAJ	VYBER	3360	63315	\N	\N	\N
564650	1922	1997-01-22	VYDAJ	VYBER	1200	69435	\N	\N	\N
564651	1922	1997-01-29	VYDAJ	VYBER	2760	66675	\N	\N	\N
564652	1922	1997-01-05	VYDAJ	VYBER	2160	62039	\N	\N	\N
564653	1922	1997-01-17	VYDAJ	VYBER	2040	74515	\N	\N	\N
564654	1922	1997-01-20	VYDAJ	VYBER	840	70635	\N	\N	\N
564655	1922	1998-01-02	VYDAJ	VYBER	2760	78480	\N	\N	\N
564656	1922	1998-01-08	VYDAJ	VYBER	1320	91316	\N	\N	\N
564657	1922	1998-01-02	VYDAJ	VYBER	720	77760	\N	\N	\N
564658	1922	1998-01-27	VYDAJ	VYBER	2640	78196	\N	\N	\N
564659	1922	1998-01-07	VYDAJ	VYBER	1800	92636	\N	\N	\N
564660	1922	1998-01-02	VYDAJ	VYBER	2400	81240	\N	\N	\N
564666	1922	1996-11-04	VYDAJ	VYBER	4080	65153	\N	\N	\N
564667	1922	1997-01-06	VYDAJ	VYBER	2160	59879	\N	\N	\N
564668	1922	1997-08-23	VYDAJ	VYBER	720	84503	\N	\N	\N
564669	1922	1997-06-24	VYDAJ	VYBER	1320	53946	\N	\N	\N
564670	1922	1997-12-17	VYDAJ	VYBER	5160	77137	\N	\N	\N
564671	1922	1998-01-10	VYDAJ	VYBER	1680	89636	\N	\N	\N
564672	1922	1998-11-24	VYDAJ	VYBER KARTOU	1700	109781	\N	\N	0
564673	1922	1998-11-26	VYDAJ	VYBER KARTOU	1400	89781	\N	\N	0
564674	1922	1998-03-19	VYDAJ	VYBER	4080	48028	\N	\N	\N
564675	1922	1998-05-06	VYDAJ	VYBER	5640	78567	\N	\N	\N
564676	1922	1998-12-16	VYDAJ	VYBER KARTOU	1700	53573	\N	\N	0
564677	1922	1998-09-24	VYDAJ	VYBER KARTOU	2400	102695	\N	\N	0
564685	1922	1996-07-31	VYDAJ	VYBER	15	45516	SLUZBY	\N	\N
564686	1922	1996-08-31	VYDAJ	VYBER	15	50884	SLUZBY	\N	\N
564687	1922	1996-09-30	VYDAJ	VYBER	15	61091	SLUZBY	\N	\N
564688	1922	1996-10-31	VYDAJ	VYBER	15	69233	SLUZBY	\N	\N
564689	1922	1996-11-30	VYDAJ	VYBER	15	71807	SLUZBY	\N	\N
564690	1922	1996-12-31	VYDAJ	VYBER	15	79099	SLUZBY	\N	\N
564691	1922	1997-01-31	VYDAJ	VYBER	15	63601	SLUZBY	\N	\N
564692	1922	1997-02-28	VYDAJ	VYBER	15	71151	SLUZBY	\N	\N
564693	1922	1997-03-31	VYDAJ	VYBER	15	77530	SLUZBY	\N	\N
564694	1922	1997-04-30	VYDAJ	VYBER	15	81325	SLUZBY	\N	\N
564695	1922	1997-05-31	VYDAJ	VYBER	15	83732	SLUZBY	\N	\N
564696	1922	1997-06-30	VYDAJ	VYBER	15	54200	SLUZBY	\N	\N
564697	1922	1997-07-31	VYDAJ	VYBER	15	72447	SLUZBY	\N	\N
564698	1922	1997-08-31	VYDAJ	VYBER	15	84832	SLUZBY	\N	\N
564699	1922	1997-09-30	VYDAJ	VYBER	15	92370	SLUZBY	\N	\N
564700	1922	1997-10-31	VYDAJ	VYBER	15	102748	SLUZBY	\N	\N
564701	1922	1997-11-30	VYDAJ	VYBER	15	61923	SLUZBY	\N	\N
564702	1922	1997-12-31	VYDAJ	VYBER	15	83640	SLUZBY	\N	\N
564703	1922	1998-01-31	VYDAJ	VYBER	15	78740	SLUZBY	\N	\N
564704	1922	1998-02-28	VYDAJ	VYBER	15	95732	SLUZBY	\N	\N
564705	1922	1998-03-31	VYDAJ	VYBER	15	66663	SLUZBY	\N	\N
564706	1922	1998-04-30	VYDAJ	VYBER	15	84207	SLUZBY	\N	\N
564707	1922	1998-05-31	VYDAJ	VYBER	15	90413	SLUZBY	\N	\N
564708	1922	1998-06-30	VYDAJ	VYBER	15	73925	SLUZBY	\N	\N
564709	1922	1998-07-31	VYDAJ	VYBER	15	85401	SLUZBY	\N	\N
564710	1922	1998-08-31	VYDAJ	VYBER	15	88419	SLUZBY	\N	\N
564711	1922	1998-09-30	VYDAJ	VYBER	15	93055	SLUZBY	\N	\N
564712	1922	1998-10-31	VYDAJ	VYBER	15	94805	SLUZBY	\N	\N
564713	1922	1998-11-30	VYDAJ	VYBER	15	90159	SLUZBY	\N	\N
564714	1922	1996-03-10	PRIJEM	VKLAD	4800	22276	\N	\N	\N
564715	1922	1996-04-09	VYDAJ	VYBER	7200	31818	\N	\N	\N
564716	1922	1996-05-09	VYDAJ	VYBER	11700	36916	\N	\N	\N
564717	1922	1996-06-08	VYDAJ	VYBER	15200	46878	\N	\N	\N
564718	1922	1996-07-08	VYDAJ	VYBER	18400	45340	\N	\N	\N
564719	1922	1996-08-07	VYDAJ	VYBER	11500	50692	\N	\N	\N
564720	1922	1996-09-06	VYDAJ	VYBER	6700	44184	\N	\N	\N
564721	1922	1996-10-06	VYDAJ	VYBER	8800	52291	\N	\N	\N
564722	1922	1996-11-05	VYDAJ	VYBER	10300	54853	\N	\N	\N
564723	1922	1996-12-05	VYDAJ	VYBER	13400	58407	\N	\N	\N
564724	1922	1997-01-04	VYDAJ	VYBER	14900	64199	\N	\N	\N
564725	1922	1997-02-03	VYDAJ	VYBER	9400	54201	\N	\N	\N
564726	1922	1997-03-05	VYDAJ	VYBER	10600	60551	\N	\N	\N
564727	1922	1997-04-04	VYDAJ	VYBER	13200	64330	\N	\N	\N
564728	1922	1997-05-04	VYDAJ	VYBER	14600	66725	\N	\N	\N
564729	1922	1997-06-03	VYDAJ	VYBER	15400	68332	\N	\N	\N
564730	1922	1997-07-03	PRIJEM	VKLAD	1300	55500	\N	\N	\N
564731	1922	1997-08-02	VYDAJ	VYBER	3900	68547	\N	\N	\N
564732	1922	1997-09-01	VYDAJ	VYBER	9500	75332	\N	\N	\N
564733	1922	1997-10-01	VYDAJ	VYBER	6700	85670	\N	\N	\N
564734	1922	1997-10-31	VYDAJ	VYBER	13500	89248	\N	\N	\N
564735	1922	1997-11-07	VYDAJ	VYBER	64900	41024	\N	\N	\N
564736	1922	1997-11-30	PRIJEM	VKLAD	20700	61937	\N	\N	\N
564737	1922	1997-12-30	PRIJEM	VKLAD	6200	83337	\N	\N	\N
564738	1922	1998-01-29	PRIJEM	VKLAD	200	78396	\N	\N	\N
564739	1922	1998-02-28	VYDAJ	VYBER	2400	93332	\N	\N	\N
564740	1922	1998-03-07	VYDAJ	VYBER	57900	52108	\N	\N	\N
564741	1922	1998-03-30	PRIJEM	VKLAD	18400	66428	\N	\N	\N
564742	1922	1998-04-29	PRIJEM	VKLAD	600	83939	\N	\N	\N
564743	1922	1998-05-29	VYDAJ	VYBER	5200	90043	\N	\N	\N
564744	1922	1998-06-07	VYDAJ	VYBER	43400	72027	\N	\N	\N
564745	1922	1998-06-28	PRIJEM	VKLAD	12800	73627	\N	\N	\N
564746	1922	1998-07-28	VYDAJ	VYBER	5500	85101	\N	\N	\N
564747	1922	1998-08-27	VYDAJ	VYBER	14000	88077	\N	\N	\N
564748	1922	1998-09-26	VYDAJ	VYBER	10000	92695	\N	\N	\N
564749	1922	1998-10-26	VYDAJ	VYBER	15300	94431	\N	\N	\N
564750	1922	1998-11-25	VYDAJ	VYBER	18600	91181	\N	\N	\N
564751	1922	1998-12-07	VYDAJ	VYBER	56700	58473	\N	\N	\N
565154	1924	1996-05-16	PRIJEM	VKLAD	300	300	\N	\N	\N
565160	1924	1996-06-14	PRIJEM	PREVOD Z UCTU	5266	5566	DUCHOD	QR	92258953
565161	1924	1996-07-14	PRIJEM	PREVOD Z UCTU	5266	10832	DUCHOD	QR	92258953
565162	1924	1996-08-14	PRIJEM	PREVOD Z UCTU	5266	16098	DUCHOD	QR	92258953
565163	1924	1996-09-14	PRIJEM	PREVOD Z UCTU	5266	21364	DUCHOD	QR	92258953
565164	1924	1996-10-14	PRIJEM	PREVOD Z UCTU	5266	26630	DUCHOD	QR	92258953
565165	1924	1996-11-14	PRIJEM	PREVOD Z UCTU	5266	27539	DUCHOD	QR	92258953
565166	1924	1996-12-14	PRIJEM	PREVOD Z UCTU	5266	30937	DUCHOD	QR	92258953
565167	1924	1997-01-14	PRIJEM	PREVOD Z UCTU	5266	33047	DUCHOD	QR	92258953
565168	1924	1997-02-14	PRIJEM	PREVOD Z UCTU	5266	34216	DUCHOD	QR	92258953
565169	1924	1997-03-14	PRIJEM	PREVOD Z UCTU	5266	37642	DUCHOD	QR	92258953
565170	1924	1997-04-14	PRIJEM	PREVOD Z UCTU	5266	37882	DUCHOD	QR	92258953
565171	1924	1997-05-14	PRIJEM	PREVOD Z UCTU	5266	41328	DUCHOD	QR	92258953
565172	1924	1997-06-14	PRIJEM	PREVOD Z UCTU	5266	40938	DUCHOD	QR	92258953
565173	1924	1997-07-14	PRIJEM	PREVOD Z UCTU	5266	28501	DUCHOD	QR	92258953
565174	1924	1997-08-14	PRIJEM	PREVOD Z UCTU	5266	31906	DUCHOD	QR	92258953
565175	1924	1997-09-14	PRIJEM	PREVOD Z UCTU	5266	34682	DUCHOD	QR	92258953
565176	1924	1997-10-14	PRIJEM	PREVOD Z UCTU	5266	37550	DUCHOD	QR	92258953
565177	1924	1997-11-14	PRIJEM	PREVOD Z UCTU	5266	40990	DUCHOD	QR	92258953
565178	1924	1997-12-14	PRIJEM	PREVOD Z UCTU	5266	44444	DUCHOD	QR	92258953
565179	1924	1998-01-14	PRIJEM	PREVOD Z UCTU	5266	47012	DUCHOD	QR	92258953
565180	1924	1998-02-14	PRIJEM	PREVOD Z UCTU	5266	45887	DUCHOD	QR	92258953
565181	1924	1998-03-14	PRIJEM	PREVOD Z UCTU	5266	49361	DUCHOD	QR	92258953
565182	1924	1998-04-14	PRIJEM	PREVOD Z UCTU	5266	49010	DUCHOD	QR	92258953
565183	1924	1998-05-14	PRIJEM	PREVOD Z UCTU	5266	52501	DUCHOD	QR	92258953
565497	1925	1997-08-20	VYDAJ	VYBER	3120	25911	\N	\N	\N
565184	1924	1998-06-14	PRIJEM	PREVOD Z UCTU	5266	49453	DUCHOD	QR	92258953
565185	1924	1998-07-14	PRIJEM	PREVOD Z UCTU	5266	52951	DUCHOD	QR	92258953
565186	1924	1998-08-14	PRIJEM	PREVOD Z UCTU	5266	55975	DUCHOD	QR	92258953
565187	1924	1998-09-14	PRIJEM	PREVOD Z UCTU	5266	59491	DUCHOD	QR	92258953
565188	1924	1998-10-14	PRIJEM	PREVOD Z UCTU	5266	62822	DUCHOD	QR	92258953
565189	1924	1998-11-14	PRIJEM	PREVOD Z UCTU	5266	66365	DUCHOD	QR	92258953
565190	1924	1998-12-14	PRIJEM	PREVOD Z UCTU	5266	69624	DUCHOD	QR	92258953
565201	1924	1996-11-09	VYDAJ	PREVOD NA UCET	1962	22273	SIPO	WX	86879318
565202	1924	1996-12-09	VYDAJ	PREVOD NA UCET	1962	25671	SIPO	WX	86879318
565203	1924	1997-01-09	VYDAJ	PREVOD NA UCET	1962	27781	SIPO	WX	86879318
565204	1924	1997-02-09	VYDAJ	PREVOD NA UCET	1962	28950	SIPO	WX	86879318
565205	1924	1997-03-09	VYDAJ	PREVOD NA UCET	1962	32376	SIPO	WX	86879318
565206	1924	1997-04-09	VYDAJ	PREVOD NA UCET	1962	35816	SIPO	WX	86879318
565207	1924	1997-05-09	VYDAJ	PREVOD NA UCET	1962	36062	SIPO	WX	86879318
565208	1924	1997-06-09	VYDAJ	PREVOD NA UCET	1962	35672	SIPO	WX	86879318
565209	1924	1997-07-09	VYDAJ	PREVOD NA UCET	1962	23235	SIPO	WX	86879318
565210	1924	1997-08-09	VYDAJ	PREVOD NA UCET	1962	26640	SIPO	WX	86879318
565211	1924	1997-09-09	VYDAJ	PREVOD NA UCET	1962	29416	SIPO	WX	86879318
565212	1924	1997-10-09	VYDAJ	PREVOD NA UCET	1962	32844	SIPO	WX	86879318
565213	1924	1997-11-09	VYDAJ	PREVOD NA UCET	1962	35724	SIPO	WX	86879318
565214	1924	1997-12-09	VYDAJ	PREVOD NA UCET	1962	39178	SIPO	WX	86879318
565215	1924	1998-01-09	VYDAJ	PREVOD NA UCET	1962	41746	SIPO	WX	86879318
565216	1924	1998-02-09	VYDAJ	PREVOD NA UCET	1962	40621	SIPO	WX	86879318
565217	1924	1998-03-09	VYDAJ	PREVOD NA UCET	1962	44095	SIPO	WX	86879318
565218	1924	1998-04-09	VYDAJ	PREVOD NA UCET	1962	46224	SIPO	WX	86879318
565219	1924	1998-05-09	VYDAJ	PREVOD NA UCET	1962	47235	SIPO	WX	86879318
565220	1924	1998-06-09	VYDAJ	PREVOD NA UCET	1962	50737	SIPO	WX	86879318
565221	1924	1998-07-09	VYDAJ	PREVOD NA UCET	1962	47685	SIPO	WX	86879318
565222	1924	1998-08-09	VYDAJ	PREVOD NA UCET	1962	50709	SIPO	WX	86879318
565223	1924	1998-09-09	VYDAJ	PREVOD NA UCET	1962	54225	SIPO	WX	86879318
565224	1924	1998-10-09	VYDAJ	PREVOD NA UCET	1962	57556	SIPO	WX	86879318
565225	1924	1998-11-09	VYDAJ	PREVOD NA UCET	1962	61099	SIPO	WX	86879318
565226	1924	1998-12-09	VYDAJ	PREVOD NA UCET	1962	64358	SIPO	WX	86879318
565228	1924	1997-06-14	VYDAJ	VYBER	12050	28888	\N	\N	\N
565229	1924	1998-06-12	VYDAJ	VYBER	6550	44187	\N	\N	\N
565231	1924	1997-01-24	VYDAJ	VYBER	2250	30797	\N	\N	\N
565232	1924	1998-01-25	VYDAJ	VYBER	4600	42412	\N	\N	\N
565233	1924	1996-12-17	VYDAJ	VYBER	1300	29637	\N	\N	\N
565234	1924	1997-12-25	VYDAJ	VYBER	900	43544	\N	\N	\N
565235	1924	1998-12-03	VYDAJ	VYBER KARTOU	300	66320	\N	\N	0
565236	1924	1996-10-26	VYDAJ	VYBER	2400	24230	\N	\N	\N
565241	1924	1997-08-31	VYDAJ	VYBER	640	31393	\N	\N	\N
565242	1924	1997-05-15	VYDAJ	VYBER	2240	39088	\N	\N	\N
565243	1924	1997-10-12	VYDAJ	VYBER	560	32284	\N	\N	\N
565244	1924	1997-06-09	VYDAJ	VYBER	1600	37634	\N	\N	\N
565245	1924	1997-04-09	VYDAJ	VYBER	3200	32616	\N	\N	\N
565246	1924	1997-07-03	VYDAJ	VYBER	3840	25197	\N	\N	\N
565247	1924	1998-04-03	VYDAJ	VYBER	560	48986	\N	\N	\N
565248	1924	1998-07-31	VYDAJ	VYBER	480	52685	\N	\N	\N
565249	1924	1998-04-09	VYDAJ	VYBER	2480	43744	\N	\N	\N
565260	1924	1996-10-31	VYDAJ	VYBER	15	24235	SLUZBY	\N	\N
565261	1924	1996-11-30	VYDAJ	VYBER	15	27633	SLUZBY	\N	\N
565262	1924	1996-12-31	VYDAJ	VYBER	15	29743	SLUZBY	\N	\N
565263	1924	1997-01-31	VYDAJ	VYBER	15	30912	SLUZBY	\N	\N
565264	1924	1997-02-28	VYDAJ	VYBER	15	34338	SLUZBY	\N	\N
565265	1924	1997-03-31	VYDAJ	VYBER	15	37778	SLUZBY	\N	\N
565266	1924	1997-04-30	VYDAJ	VYBER	15	38024	SLUZBY	\N	\N
565267	1924	1997-05-31	VYDAJ	VYBER	15	39234	SLUZBY	\N	\N
565268	1924	1997-06-30	VYDAJ	VYBER	15	29037	SLUZBY	\N	\N
565269	1924	1997-07-31	VYDAJ	VYBER	15	28602	SLUZBY	\N	\N
565270	1924	1997-08-31	VYDAJ	VYBER	15	31378	SLUZBY	\N	\N
565271	1924	1997-09-30	VYDAJ	VYBER	15	34806	SLUZBY	\N	\N
565272	1924	1997-10-31	VYDAJ	VYBER	15	37686	SLUZBY	\N	\N
565273	1924	1997-11-30	VYDAJ	VYBER	15	41140	SLUZBY	\N	\N
565274	1924	1997-12-31	VYDAJ	VYBER	15	43708	SLUZBY	\N	\N
565275	1924	1998-01-31	VYDAJ	VYBER	15	42583	SLUZBY	\N	\N
565276	1924	1998-02-28	VYDAJ	VYBER	15	46057	SLUZBY	\N	\N
565277	1924	1998-03-31	VYDAJ	VYBER	15	49546	SLUZBY	\N	\N
565278	1924	1998-04-30	VYDAJ	VYBER	15	49197	SLUZBY	\N	\N
565279	1924	1998-05-31	VYDAJ	VYBER	15	52699	SLUZBY	\N	\N
565280	1924	1998-06-30	VYDAJ	VYBER	15	49647	SLUZBY	\N	\N
565281	1924	1998-07-31	VYDAJ	VYBER	15	52671	SLUZBY	\N	\N
565282	1924	1998-08-31	VYDAJ	VYBER	15	56187	SLUZBY	\N	\N
565283	1924	1998-09-30	VYDAJ	VYBER	15	59718	SLUZBY	\N	\N
565284	1924	1998-10-31	VYDAJ	VYBER	15	63061	SLUZBY	\N	\N
565285	1924	1998-11-30	VYDAJ	VYBER	15	66620	SLUZBY	\N	\N
565286	1924	1998-04-06	VYDAJ	VYBER	800	48186	\N	\N	\N
565287	1924	1998-10-03	VYDAJ	VYBER	200	59518	\N	\N	\N
565315	1925	1993-08-03	PRIJEM	VKLAD	600	600	\N	\N	\N
565323	1925	1993-08-06	PRIJEM	PREVOD Z UCTU	5839	6439	DUCHOD	EF	3287131
565324	1925	1993-09-06	PRIJEM	PREVOD Z UCTU	5839	12301	DUCHOD	EF	3287131
565325	1925	1993-10-06	PRIJEM	PREVOD Z UCTU	5839	18166	DUCHOD	EF	3287131
565498	1925	1997-05-01	VYDAJ	VYBER	1280	35237	\N	\N	\N
565326	1925	1993-11-06	PRIJEM	PREVOD Z UCTU	5839	24032	DUCHOD	EF	3287131
565327	1925	1993-12-06	PRIJEM	PREVOD Z UCTU	5839	29898	DUCHOD	EF	3287131
565328	1925	1994-01-06	PRIJEM	PREVOD Z UCTU	5839	28172	DUCHOD	EF	3287131
565329	1925	1994-02-06	PRIJEM	PREVOD Z UCTU	5839	27581	DUCHOD	EF	3287131
565330	1925	1994-03-06	PRIJEM	PREVOD Z UCTU	5839	29640	DUCHOD	EF	3287131
565331	1925	1994-04-06	PRIJEM	PREVOD Z UCTU	5839	30609	DUCHOD	EF	3287131
565332	1925	1994-05-06	PRIJEM	PREVOD Z UCTU	5839	30281	DUCHOD	EF	3287131
565333	1925	1994-06-06	PRIJEM	PREVOD Z UCTU	5839	29956	DUCHOD	EF	3287131
565334	1925	1994-07-06	PRIJEM	PREVOD Z UCTU	5839	21349	DUCHOD	EF	3287131
565335	1925	1994-08-06	PRIJEM	PREVOD Z UCTU	5839	23383	DUCHOD	EF	3287131
565336	1925	1994-09-06	PRIJEM	PREVOD Z UCTU	5839	21826	DUCHOD	EF	3287131
565337	1925	1994-10-06	PRIJEM	PREVOD Z UCTU	5839	23870	DUCHOD	EF	3287131
565338	1925	1994-11-06	PRIJEM	PREVOD Z UCTU	5839	23431	DUCHOD	EF	3287131
565339	1925	1994-12-06	PRIJEM	PREVOD Z UCTU	5839	20514	DUCHOD	EF	3287131
565340	1925	1995-01-06	PRIJEM	PREVOD Z UCTU	5839	21800	DUCHOD	EF	3287131
565341	1925	1995-02-06	PRIJEM	PREVOD Z UCTU	5839	19877	DUCHOD	EF	3287131
565342	1925	1995-03-06	PRIJEM	PREVOD Z UCTU	5839	21904	DUCHOD	EF	3287131
565343	1925	1995-04-06	PRIJEM	PREVOD Z UCTU	5839	23940	DUCHOD	EF	3287131
565344	1925	1995-05-06	PRIJEM	PREVOD Z UCTU	5839	25344	DUCHOD	EF	3287131
565345	1925	1995-06-06	PRIJEM	PREVOD Z UCTU	5839	24589	DUCHOD	EF	3287131
565346	1925	1995-07-06	PRIJEM	PREVOD Z UCTU	5839	26636	DUCHOD	EF	3287131
565347	1925	1995-08-06	PRIJEM	PREVOD Z UCTU	5839	28692	DUCHOD	EF	3287131
565348	1925	1995-09-06	PRIJEM	PREVOD Z UCTU	5839	30756	DUCHOD	EF	3287131
565349	1925	1995-10-06	PRIJEM	PREVOD Z UCTU	5839	32351	DUCHOD	EF	3287131
565350	1925	1995-11-06	PRIJEM	PREVOD Z UCTU	5839	33829	DUCHOD	EF	3287131
565351	1925	1995-12-06	PRIJEM	PREVOD Z UCTU	5839	35915	DUCHOD	EF	3287131
565352	1925	1996-01-06	PRIJEM	PREVOD Z UCTU	5839	32727	DUCHOD	EF	3287131
565353	1925	1996-02-06	PRIJEM	PREVOD Z UCTU	5839	29160	DUCHOD	EF	3287131
565354	1925	1996-03-06	PRIJEM	PREVOD Z UCTU	5839	31226	DUCHOD	EF	3287131
565355	1925	1996-04-06	PRIJEM	PREVOD Z UCTU	5839	32740	DUCHOD	EF	3287131
565356	1925	1996-05-06	PRIJEM	PREVOD Z UCTU	5839	34821	DUCHOD	EF	3287131
565357	1925	1996-06-06	PRIJEM	PREVOD Z UCTU	5839	32360	DUCHOD	EF	3287131
565358	1925	1996-07-06	PRIJEM	PREVOD Z UCTU	5839	34147	DUCHOD	EF	3287131
565359	1925	1996-08-06	PRIJEM	PREVOD Z UCTU	5839	33509	DUCHOD	EF	3287131
565360	1925	1996-09-06	PRIJEM	PREVOD Z UCTU	5839	35593	DUCHOD	EF	3287131
565361	1925	1996-10-06	PRIJEM	PREVOD Z UCTU	5839	34883	DUCHOD	EF	3287131
565362	1925	1996-11-06	PRIJEM	PREVOD Z UCTU	5839	34571	DUCHOD	EF	3287131
565363	1925	1996-12-06	PRIJEM	PREVOD Z UCTU	5839	36659	DUCHOD	EF	3287131
565364	1925	1997-01-06	PRIJEM	PREVOD Z UCTU	5839	33954	DUCHOD	EF	3287131
565365	1925	1997-02-06	PRIJEM	PREVOD Z UCTU	5839	36048	DUCHOD	EF	3287131
565366	1925	1997-03-06	PRIJEM	PREVOD Z UCTU	5839	38142	DUCHOD	EF	3287131
565367	1925	1997-04-06	PRIJEM	PREVOD Z UCTU	5839	40245	DUCHOD	EF	3287131
565368	1925	1997-05-06	PRIJEM	PREVOD Z UCTU	5839	41076	DUCHOD	EF	3287131
565369	1925	1997-06-06	PRIJEM	PREVOD Z UCTU	5839	43198	DUCHOD	EF	3287131
565370	1925	1997-07-06	PRIJEM	PREVOD Z UCTU	5839	34006	DUCHOD	EF	3287131
565371	1925	1997-08-06	PRIJEM	PREVOD Z UCTU	5839	36091	DUCHOD	EF	3287131
565372	1925	1997-09-06	PRIJEM	PREVOD Z UCTU	5839	31853	DUCHOD	EF	3287131
565373	1925	1997-10-06	PRIJEM	PREVOD Z UCTU	5839	30486	DUCHOD	EF	3287131
565374	1925	1997-11-06	PRIJEM	PREVOD Z UCTU	5839	29830	DUCHOD	EF	3287131
565375	1925	1997-12-06	PRIJEM	PREVOD Z UCTU	5839	31898	DUCHOD	EF	3287131
565376	1925	1998-01-06	PRIJEM	PREVOD Z UCTU	5839	33473	DUCHOD	EF	3287131
565377	1925	1998-02-06	PRIJEM	PREVOD Z UCTU	5839	30329	DUCHOD	EF	3287131
565378	1925	1998-03-06	PRIJEM	PREVOD Z UCTU	5839	28719	DUCHOD	EF	3287131
565379	1925	1998-04-06	PRIJEM	PREVOD Z UCTU	5839	30788	DUCHOD	EF	3287131
565380	1925	1998-05-06	PRIJEM	PREVOD Z UCTU	5839	32859	DUCHOD	EF	3287131
565381	1925	1998-06-06	PRIJEM	PREVOD Z UCTU	5839	34939	DUCHOD	EF	3287131
565382	1925	1998-07-06	PRIJEM	PREVOD Z UCTU	5839	31567	DUCHOD	EF	3287131
565383	1925	1998-08-06	PRIJEM	PREVOD Z UCTU	5839	33641	DUCHOD	EF	3287131
565384	1925	1998-09-06	PRIJEM	PREVOD Z UCTU	5839	32264	DUCHOD	EF	3287131
565385	1925	1998-10-06	PRIJEM	PREVOD Z UCTU	5839	34341	DUCHOD	EF	3287131
565386	1925	1998-11-06	PRIJEM	PREVOD Z UCTU	5839	33380	DUCHOD	EF	3287131
565387	1925	1998-12-06	PRIJEM	PREVOD Z UCTU	5839	34981	DUCHOD	EF	3287131
565399	1925	1993-12-13	VYDAJ	PREVOD NA UCET	3860	25238	SIPO	WX	28522896
565400	1925	1994-01-13	VYDAJ	PREVOD NA UCET	3860	21662	SIPO	WX	28522896
565401	1925	1994-02-13	VYDAJ	PREVOD NA UCET	3860	23721	SIPO	WX	28522896
565402	1925	1994-03-13	VYDAJ	PREVOD NA UCET	3860	25780	SIPO	WX	28522896
565403	1925	1994-04-13	VYDAJ	PREVOD NA UCET	3860	26749	SIPO	WX	28522896
565404	1925	1994-05-13	VYDAJ	PREVOD NA UCET	3860	26421	SIPO	WX	28522896
565405	1925	1994-06-13	VYDAJ	PREVOD NA UCET	3860	15446	SIPO	WX	28522896
565406	1925	1994-07-13	VYDAJ	PREVOD NA UCET	3860	17489	SIPO	WX	28522896
565407	1925	1994-08-13	VYDAJ	PREVOD NA UCET	3860	19523	SIPO	WX	28522896
565408	1925	1994-09-13	VYDAJ	PREVOD NA UCET	3860	17966	SIPO	WX	28522896
565409	1925	1994-10-13	VYDAJ	PREVOD NA UCET	3860	20010	SIPO	WX	28522896
565410	1925	1994-11-13	VYDAJ	PREVOD NA UCET	3860	19571	SIPO	WX	28522896
565411	1925	1994-12-13	VYDAJ	PREVOD NA UCET	3860	16654	SIPO	WX	28522896
565412	1925	1995-01-13	VYDAJ	PREVOD NA UCET	3860	13990	SIPO	WX	28522896
565413	1925	1995-02-13	VYDAJ	PREVOD NA UCET	3860	16017	SIPO	WX	28522896
565414	1925	1995-03-13	VYDAJ	PREVOD NA UCET	3860	18044	SIPO	WX	28522896
565415	1925	1995-04-13	VYDAJ	PREVOD NA UCET	3860	20080	SIPO	WX	28522896
565416	1925	1995-05-13	VYDAJ	PREVOD NA UCET	3860	21484	SIPO	WX	28522896
565417	1925	1995-06-13	VYDAJ	PREVOD NA UCET	3860	20729	SIPO	WX	28522896
565418	1925	1995-07-13	VYDAJ	PREVOD NA UCET	3860	22776	SIPO	WX	28522896
565419	1925	1995-08-13	VYDAJ	PREVOD NA UCET	3860	24832	SIPO	WX	28522896
565420	1925	1995-09-13	VYDAJ	PREVOD NA UCET	3860	26416	SIPO	WX	28522896
565421	1925	1995-10-13	VYDAJ	PREVOD NA UCET	3860	28491	SIPO	WX	28522896
565422	1925	1995-11-13	VYDAJ	PREVOD NA UCET	3860	29969	SIPO	WX	28522896
565423	1925	1995-12-13	VYDAJ	PREVOD NA UCET	3860	26785	SIPO	WX	28522896
565424	1925	1996-01-13	VYDAJ	PREVOD NA UCET	3860	25827	SIPO	WX	28522896
565425	1925	1996-02-13	VYDAJ	PREVOD NA UCET	3860	25300	SIPO	WX	28522896
565426	1925	1996-03-13	VYDAJ	PREVOD NA UCET	3860	27366	SIPO	WX	28522896
565427	1925	1996-04-13	VYDAJ	PREVOD NA UCET	3860	28880	SIPO	WX	28522896
565428	1925	1996-05-13	VYDAJ	PREVOD NA UCET	3860	30961	SIPO	WX	28522896
565429	1925	1996-06-13	VYDAJ	PREVOD NA UCET	3860	28500	SIPO	WX	28522896
565430	1925	1996-07-13	VYDAJ	PREVOD NA UCET	3860	30287	SIPO	WX	28522896
565431	1925	1996-08-13	VYDAJ	PREVOD NA UCET	3860	29649	SIPO	WX	28522896
565432	1925	1996-09-13	VYDAJ	PREVOD NA UCET	3860	31733	SIPO	WX	28522896
565433	1925	1996-10-13	VYDAJ	PREVOD NA UCET	3860	31023	SIPO	WX	28522896
565434	1925	1996-11-13	VYDAJ	PREVOD NA UCET	3860	30711	SIPO	WX	28522896
565435	1925	1996-12-13	VYDAJ	PREVOD NA UCET	3860	32799	SIPO	WX	28522896
565436	1925	1997-01-13	VYDAJ	PREVOD NA UCET	3860	30094	SIPO	WX	28522896
565437	1925	1997-02-13	VYDAJ	PREVOD NA UCET	3860	32188	SIPO	WX	28522896
565438	1925	1997-03-13	VYDAJ	PREVOD NA UCET	3860	34282	SIPO	WX	28522896
565439	1925	1997-04-13	VYDAJ	PREVOD NA UCET	3860	36385	SIPO	WX	28522896
565440	1925	1997-05-13	VYDAJ	PREVOD NA UCET	3860	37216	SIPO	WX	28522896
565441	1925	1997-06-13	VYDAJ	PREVOD NA UCET	3860	39338	SIPO	WX	28522896
565442	1925	1997-07-13	VYDAJ	PREVOD NA UCET	3860	30146	SIPO	WX	28522896
565443	1925	1997-08-13	VYDAJ	PREVOD NA UCET	3860	29031	SIPO	WX	28522896
565444	1925	1997-09-13	VYDAJ	PREVOD NA UCET	3860	27993	SIPO	WX	28522896
565445	1925	1997-10-13	VYDAJ	PREVOD NA UCET	3860	26626	SIPO	WX	28522896
565446	1925	1997-11-13	VYDAJ	PREVOD NA UCET	3860	25970	SIPO	WX	28522896
565447	1925	1997-12-13	VYDAJ	PREVOD NA UCET	3860	28038	SIPO	WX	28522896
565448	1925	1998-01-13	VYDAJ	PREVOD NA UCET	3860	29613	SIPO	WX	28522896
565449	1925	1998-02-13	VYDAJ	PREVOD NA UCET	3860	26469	SIPO	WX	28522896
565450	1925	1998-03-13	VYDAJ	PREVOD NA UCET	3860	24859	SIPO	WX	28522896
565451	1925	1998-04-13	VYDAJ	PREVOD NA UCET	3860	26928	SIPO	WX	28522896
565452	1925	1998-05-13	VYDAJ	PREVOD NA UCET	3860	28999	SIPO	WX	28522896
565453	1925	1998-06-13	VYDAJ	PREVOD NA UCET	3860	29479	SIPO	WX	28522896
565454	1925	1998-07-13	VYDAJ	PREVOD NA UCET	3860	27707	SIPO	WX	28522896
565455	1925	1998-08-13	VYDAJ	PREVOD NA UCET	3860	29281	SIPO	WX	28522896
565456	1925	1998-09-13	VYDAJ	PREVOD NA UCET	3860	28404	SIPO	WX	28522896
565457	1925	1998-10-13	VYDAJ	PREVOD NA UCET	3860	30481	SIPO	WX	28522896
565458	1925	1998-11-13	VYDAJ	PREVOD NA UCET	3860	29520	SIPO	WX	28522896
565459	1925	1998-12-13	VYDAJ	PREVOD NA UCET	3860	29871	SIPO	WX	28522896
565461	1925	1994-06-13	VYDAJ	VYBER	10650	19306	\N	\N	\N
565463	1925	1996-06-01	VYDAJ	VYBER	4450	26521	\N	\N	\N
565464	1925	1997-06-21	VYDAJ	VYBER	11300	28038	\N	\N	\N
565465	1925	1998-06-14	VYDAJ	VYBER	3850	25629	\N	\N	\N
565467	1925	1994-01-07	VYDAJ	VYBER	2650	25522	\N	\N	\N
565468	1925	1995-01-08	VYDAJ	VYBER	3950	17850	\N	\N	\N
565469	1925	1996-01-29	VYDAJ	VYBER	600	23227	\N	\N	\N
565470	1925	1997-01-02	VYDAJ	VYBER	3900	28115	\N	\N	\N
565471	1925	1998-01-16	VYDAJ	VYBER	3300	26313	\N	\N	\N
565472	1925	1993-12-07	VYDAJ	VYBER	800	29098	\N	\N	\N
565473	1925	1994-12-19	VYDAJ	VYBER	750	15904	\N	\N	\N
565474	1925	1995-12-09	VYDAJ	VYBER	1350	34565	\N	\N	\N
565475	1925	1996-12-19	VYDAJ	VYBER	900	31899	\N	\N	\N
565476	1925	1997-12-19	VYDAJ	VYBER	500	27538	\N	\N	\N
565477	1925	1998-12-09	VYDAJ	VYBER	1250	33731	\N	\N	\N
565480	1925	1993-12-19	VYDAJ	VYBER	1680	23558	\N	\N	\N
565483	1925	1994-09-02	VYDAJ	VYBER	3600	15987	\N	\N	\N
565484	1925	1994-11-30	VYDAJ	VYBER	3040	16609	\N	\N	\N
565485	1925	1994-10-24	VYDAJ	VYBER	2480	17530	\N	\N	\N
565486	1925	1994-12-05	VYDAJ	VYBER	1920	14675	\N	\N	\N
565487	1925	1995-12-11	VYDAJ	VYBER	3920	30645	\N	\N	\N
565488	1925	1995-09-09	VYDAJ	VYBER	480	30276	\N	\N	\N
565489	1925	1995-04-19	VYDAJ	VYBER	640	19440	\N	\N	\N
565490	1925	1995-05-18	VYDAJ	VYBER	2800	18684	\N	\N	\N
565491	1925	1996-09-27	VYDAJ	VYBER	2800	28933	\N	\N	\N
565492	1925	1996-07-17	VYDAJ	VYBER	2720	27567	\N	\N	\N
565493	1925	1996-10-26	VYDAJ	VYBER	2400	28623	\N	\N	\N
565494	1925	1996-03-27	VYDAJ	VYBER	560	26806	\N	\N	\N
565495	1925	1996-01-27	VYDAJ	VYBER	2000	23827	\N	\N	\N
565496	1925	1996-01-11	VYDAJ	VYBER	3040	29687	\N	\N	\N
565499	1925	1997-09-25	VYDAJ	VYBER	3440	24553	\N	\N	\N
565500	1925	1997-10-14	VYDAJ	VYBER	2720	23906	\N	\N	\N
565501	1925	1997-08-09	VYDAJ	VYBER	3200	32891	\N	\N	\N
565502	1925	1998-03-02	VYDAJ	VYBER	800	22880	\N	\N	\N
565503	1925	1998-11-29	VYDAJ	VYBER	480	29040	\N	\N	\N
565504	1925	1998-02-05	VYDAJ	VYBER	1920	24490	\N	\N	\N
565505	1925	1998-08-25	VYDAJ	VYBER	2960	26321	\N	\N	\N
565506	1925	1998-02-15	VYDAJ	VYBER	2880	23589	\N	\N	\N
565507	1925	1998-10-17	VYDAJ	VYBER	3040	27441	\N	\N	\N
565520	1925	1993-12-31	VYDAJ	VYBER	15	22333	SLUZBY	\N	\N
565521	1925	1994-01-31	VYDAJ	VYBER	15	21742	SLUZBY	\N	\N
565522	1925	1994-02-28	VYDAJ	VYBER	15	23801	SLUZBY	\N	\N
565523	1925	1994-03-31	VYDAJ	VYBER	15	25870	SLUZBY	\N	\N
565524	1925	1994-04-30	VYDAJ	VYBER	15	26842	SLUZBY	\N	\N
565525	1925	1994-05-31	VYDAJ	VYBER	15	24117	SLUZBY	\N	\N
565526	1925	1994-06-30	VYDAJ	VYBER	15	15510	SLUZBY	\N	\N
565527	1925	1994-07-31	VYDAJ	VYBER	15	17544	SLUZBY	\N	\N
565528	1925	1994-08-31	VYDAJ	VYBER	15	19587	SLUZBY	\N	\N
565529	1925	1994-09-30	VYDAJ	VYBER	15	18031	SLUZBY	\N	\N
565530	1925	1994-10-31	VYDAJ	VYBER	15	17592	SLUZBY	\N	\N
565531	1925	1994-11-30	VYDAJ	VYBER	15	16595	SLUZBY	\N	\N
565532	1925	1994-12-31	VYDAJ	VYBER	15	15961	SLUZBY	\N	\N
565533	1925	1995-01-31	VYDAJ	VYBER	15	14038	SLUZBY	\N	\N
565534	1925	1995-02-28	VYDAJ	VYBER	15	16065	SLUZBY	\N	\N
565535	1925	1995-03-31	VYDAJ	VYBER	15	18101	SLUZBY	\N	\N
565536	1925	1995-04-30	VYDAJ	VYBER	15	19505	SLUZBY	\N	\N
565537	1925	1995-05-31	VYDAJ	VYBER	15	18750	SLUZBY	\N	\N
565538	1925	1995-06-30	VYDAJ	VYBER	15	20797	SLUZBY	\N	\N
565539	1925	1995-07-31	VYDAJ	VYBER	15	22853	SLUZBY	\N	\N
565540	1925	1995-08-31	VYDAJ	VYBER	15	24917	SLUZBY	\N	\N
565541	1925	1995-09-30	VYDAJ	VYBER	15	26512	SLUZBY	\N	\N
565542	1925	1995-10-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
565543	1925	1995-11-30	VYDAJ	VYBER	15	30076	SLUZBY	\N	\N
565544	1925	1995-12-31	VYDAJ	VYBER	15	26888	SLUZBY	\N	\N
565545	1925	1996-01-31	VYDAJ	VYBER	15	23321	SLUZBY	\N	\N
565546	1925	1996-02-29	VYDAJ	VYBER	15	25387	SLUZBY	\N	\N
565547	1925	1996-03-31	VYDAJ	VYBER	15	26901	SLUZBY	\N	\N
565548	1925	1996-04-30	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
565549	1925	1996-05-31	VYDAJ	VYBER	15	30971	SLUZBY	\N	\N
565550	1925	1996-06-30	VYDAJ	VYBER	15	28308	SLUZBY	\N	\N
565551	1925	1996-07-31	VYDAJ	VYBER	15	27670	SLUZBY	\N	\N
565552	1925	1996-08-31	VYDAJ	VYBER	15	29754	SLUZBY	\N	\N
565553	1925	1996-09-30	VYDAJ	VYBER	15	29044	SLUZBY	\N	\N
565554	1925	1996-10-31	VYDAJ	VYBER	15	28732	SLUZBY	\N	\N
565555	1925	1996-11-30	VYDAJ	VYBER	15	30820	SLUZBY	\N	\N
565556	1925	1996-12-31	VYDAJ	VYBER	15	32015	SLUZBY	\N	\N
565557	1925	1997-01-31	VYDAJ	VYBER	15	30209	SLUZBY	\N	\N
565558	1925	1997-02-28	VYDAJ	VYBER	15	32303	SLUZBY	\N	\N
565559	1925	1997-03-31	VYDAJ	VYBER	15	34406	SLUZBY	\N	\N
565560	1925	1997-04-30	VYDAJ	VYBER	15	36517	SLUZBY	\N	\N
565561	1925	1997-05-31	VYDAJ	VYBER	15	37359	SLUZBY	\N	\N
565562	1925	1997-06-30	VYDAJ	VYBER	15	28167	SLUZBY	\N	\N
565563	1925	1997-07-31	VYDAJ	VYBER	15	30252	SLUZBY	\N	\N
565564	1925	1997-08-31	VYDAJ	VYBER	15	26014	SLUZBY	\N	\N
565565	1925	1997-09-30	VYDAJ	VYBER	15	24647	SLUZBY	\N	\N
565566	1925	1997-10-31	VYDAJ	VYBER	15	23991	SLUZBY	\N	\N
565567	1925	1997-11-30	VYDAJ	VYBER	15	26059	SLUZBY	\N	\N
565568	1925	1997-12-31	VYDAJ	VYBER	15	27634	SLUZBY	\N	\N
565569	1925	1998-01-31	VYDAJ	VYBER	15	26410	SLUZBY	\N	\N
565570	1925	1998-02-28	VYDAJ	VYBER	15	23680	SLUZBY	\N	\N
565571	1925	1998-03-31	VYDAJ	VYBER	15	24949	SLUZBY	\N	\N
565572	1925	1998-04-30	VYDAJ	VYBER	15	27020	SLUZBY	\N	\N
565573	1925	1998-05-31	VYDAJ	VYBER	15	29100	SLUZBY	\N	\N
565574	1925	1998-06-30	VYDAJ	VYBER	15	25728	SLUZBY	\N	\N
565575	1925	1998-07-31	VYDAJ	VYBER	15	27802	SLUZBY	\N	\N
565576	1925	1998-08-31	VYDAJ	VYBER	15	26425	SLUZBY	\N	\N
565577	1925	1998-09-30	VYDAJ	VYBER	15	28502	SLUZBY	\N	\N
565578	1925	1998-10-31	VYDAJ	VYBER	15	27541	SLUZBY	\N	\N
565579	1925	1998-11-30	VYDAJ	VYBER	15	29142	SLUZBY	\N	\N
565580	1925	1993-12-31	VYDAJ	VYBER	1300	22348	\N	\N	\N
565581	1925	1994-03-31	VYDAJ	VYBER	1100	24770	\N	\N	\N
565582	1925	1994-04-30	VYDAJ	VYBER	2400	24442	\N	\N	\N
565583	1925	1994-05-30	VYDAJ	VYBER	2400	24021	\N	\N	\N
565584	1925	1995-10-22	VYDAJ	VYBER	600	27891	\N	\N	\N
565585	1925	1996-05-19	VYDAJ	VYBER	100	30861	\N	\N	\N
565586	1925	1996-06-18	VYDAJ	VYBER	300	28200	\N	\N	\N
565587	1925	1998-06-08	VYDAJ	VYBER	1600	33339	\N	\N	\N
565588	1925	1998-08-07	VYDAJ	VYBER	500	33141	\N	\N	\N
565654	1926	1993-01-06	PRIJEM	VKLAD	700	700	\N	\N	\N
565655	1926	1993-01-12	PRIJEM	VKLAD	4507	5207	\N	\N	\N
565656	1926	1993-02-12	PRIJEM	VKLAD	4507	18228	\N	\N	\N
565657	1926	1993-03-12	PRIJEM	VKLAD	4507	26690	\N	\N	\N
565658	1926	1993-04-12	PRIJEM	VKLAD	4507	30895	\N	\N	\N
565659	1926	1993-05-12	PRIJEM	VKLAD	4507	30825	\N	\N	\N
565660	1926	1993-06-12	PRIJEM	VKLAD	6761	32495	\N	\N	\N
565661	1926	1993-07-12	PRIJEM	VKLAD	4507	29412	\N	\N	\N
565662	1926	1993-08-12	PRIJEM	VKLAD	4507	23875	\N	\N	\N
565663	1926	1993-09-12	PRIJEM	VKLAD	4507	26561	\N	\N	\N
565664	1926	1993-10-12	PRIJEM	VKLAD	4507	25415	\N	\N	\N
565665	1926	1993-11-12	PRIJEM	VKLAD	4507	24323	\N	\N	\N
565666	1926	1993-12-12	PRIJEM	VKLAD	6761	27562	\N	\N	\N
565667	1926	1994-01-12	PRIJEM	VKLAD	4507	14994	\N	\N	\N
565668	1926	1994-02-12	PRIJEM	VKLAD	4507	18661	\N	\N	\N
565669	1926	1994-03-12	PRIJEM	VKLAD	4507	22222	\N	\N	\N
565670	1926	1994-04-12	PRIJEM	VKLAD	4507	26097	\N	\N	\N
565671	1926	1994-05-12	PRIJEM	VKLAD	4507	26088	\N	\N	\N
565672	1926	1994-06-12	PRIJEM	VKLAD	6761	29235	\N	\N	\N
565673	1926	1994-07-12	PRIJEM	VKLAD	4507	25217	\N	\N	\N
565674	1926	1994-08-12	PRIJEM	VKLAD	4507	25708	\N	\N	\N
565675	1926	1994-09-12	PRIJEM	VKLAD	4507	24798	\N	\N	\N
565676	1926	1994-10-12	PRIJEM	VKLAD	4507	27885	\N	\N	\N
565677	1926	1994-11-12	PRIJEM	VKLAD	4507	24783	\N	\N	\N
565678	1926	1994-12-12	PRIJEM	VKLAD	6761	25103	\N	\N	\N
565679	1926	1995-01-12	PRIJEM	VKLAD	4507	22092	\N	\N	\N
565680	1926	1995-02-12	PRIJEM	VKLAD	4507	19560	\N	\N	\N
565681	1926	1995-03-12	PRIJEM	VKLAD	4507	21775	\N	\N	\N
565682	1926	1995-04-12	PRIJEM	VKLAD	4507	17709	\N	\N	\N
565683	1926	1995-05-12	PRIJEM	VKLAD	4507	21573	\N	\N	\N
565684	1926	1995-06-12	PRIJEM	VKLAD	6761	24499	\N	\N	\N
565685	1926	1995-07-12	PRIJEM	VKLAD	4507	22514	\N	\N	\N
565686	1926	1995-08-12	PRIJEM	VKLAD	4507	22890	\N	\N	\N
565687	1926	1995-09-12	PRIJEM	VKLAD	4507	19860	\N	\N	\N
565688	1926	1995-10-12	PRIJEM	VKLAD	4507	25030	\N	\N	\N
565689	1926	1995-11-12	PRIJEM	VKLAD	4507	25115	\N	\N	\N
565690	1926	1995-12-12	PRIJEM	VKLAD	6761	30258	\N	\N	\N
565691	1926	1996-01-12	PRIJEM	VKLAD	4507	24158	\N	\N	\N
565692	1926	1996-02-12	PRIJEM	VKLAD	4507	18915	\N	\N	\N
565693	1926	1996-03-12	PRIJEM	VKLAD	4507	21278	\N	\N	\N
565694	1926	1996-04-12	PRIJEM	VKLAD	4507	20613	\N	\N	\N
565695	1926	1996-05-12	PRIJEM	VKLAD	4507	16845	\N	\N	\N
565696	1926	1996-06-12	PRIJEM	VKLAD	6761	21855	\N	\N	\N
565697	1926	1996-07-12	PRIJEM	VKLAD	4507	21024	\N	\N	\N
565698	1926	1996-08-12	PRIJEM	VKLAD	4507	23397	\N	\N	\N
565699	1926	1996-09-12	PRIJEM	VKLAD	4507	21509	\N	\N	\N
565700	1926	1996-10-12	PRIJEM	VKLAD	4507	24087	\N	\N	\N
565701	1926	1996-11-12	PRIJEM	VKLAD	4507	23066	\N	\N	\N
565702	1926	1996-12-12	PRIJEM	VKLAD	6761	23711	\N	\N	\N
565703	1926	1997-01-12	PRIJEM	VKLAD	4507	17719	\N	\N	\N
565704	1926	1997-02-12	PRIJEM	VKLAD	4507	15671	\N	\N	\N
565705	1926	1997-03-12	PRIJEM	VKLAD	4507	17719	\N	\N	\N
565706	1926	1997-04-12	PRIJEM	VKLAD	4507	18173	\N	\N	\N
565707	1926	1997-05-12	PRIJEM	VKLAD	4507	19130	\N	\N	\N
565708	1926	1997-06-12	PRIJEM	VKLAD	6761	18635	\N	\N	\N
565709	1926	1997-07-12	PRIJEM	VKLAD	4507	21194	\N	\N	\N
565710	1926	1997-08-12	PRIJEM	VKLAD	4507	21160	\N	\N	\N
565711	1926	1997-09-12	PRIJEM	VKLAD	4507	18419	\N	\N	\N
565712	1926	1997-10-12	PRIJEM	VKLAD	4507	15277	\N	\N	\N
565713	1926	1997-11-12	PRIJEM	VKLAD	4507	14822	\N	\N	\N
565714	1926	1997-12-12	PRIJEM	VKLAD	6761	18619	\N	\N	\N
565715	1926	1998-01-12	PRIJEM	VKLAD	4507	16935	\N	\N	\N
565716	1926	1998-02-12	PRIJEM	VKLAD	4507	15602	\N	\N	\N
565717	1926	1998-03-12	PRIJEM	VKLAD	4507	17148	\N	\N	\N
565718	1926	1998-04-12	PRIJEM	VKLAD	4507	18701	\N	\N	\N
565719	1926	1998-05-12	PRIJEM	VKLAD	4507	20260	\N	\N	\N
565720	1926	1998-06-12	PRIJEM	VKLAD	6761	24080	\N	\N	\N
565721	1926	1998-07-12	PRIJEM	VKLAD	4507	25657	\N	\N	\N
565722	1926	1998-08-12	PRIJEM	VKLAD	4507	18717	\N	\N	\N
565723	1926	1998-09-12	PRIJEM	VKLAD	4507	20276	\N	\N	\N
565724	1926	1998-10-12	PRIJEM	VKLAD	4507	21841	\N	\N	\N
565725	1926	1998-11-12	PRIJEM	VKLAD	4507	21011	\N	\N	\N
565726	1926	1998-12-12	PRIJEM	VKLAD	6761	22113	\N	\N	\N
565732	1926	1993-06-06	VYDAJ	PREVOD NA UCET	2643	26096	SIPO	WX	87020074
565733	1926	1993-07-06	VYDAJ	PREVOD NA UCET	2643	25266	SIPO	WX	87020074
565734	1926	1993-08-06	VYDAJ	PREVOD NA UCET	2643	19729	SIPO	WX	87020074
565735	1926	1993-09-06	VYDAJ	PREVOD NA UCET	2643	22415	SIPO	WX	87020074
565736	1926	1993-10-06	VYDAJ	PREVOD NA UCET	2643	21269	SIPO	WX	87020074
565737	1926	1993-11-06	VYDAJ	PREVOD NA UCET	2643	20177	SIPO	WX	87020074
565738	1926	1993-12-06	VYDAJ	PREVOD NA UCET	2643	21163	SIPO	WX	87020074
565739	1926	1994-01-06	VYDAJ	PREVOD NA UCET	2643	10848	SIPO	WX	87020074
565740	1926	1994-02-06	VYDAJ	PREVOD NA UCET	2643	14515	SIPO	WX	87020074
565741	1926	1994-03-06	VYDAJ	PREVOD NA UCET	2643	18076	SIPO	WX	87020074
565742	1926	1994-04-06	VYDAJ	PREVOD NA UCET	2643	21951	SIPO	WX	87020074
565743	1926	1994-05-06	VYDAJ	PREVOD NA UCET	2643	21942	SIPO	WX	87020074
565744	1926	1994-06-06	VYDAJ	PREVOD NA UCET	2643	22835	SIPO	WX	87020074
565745	1926	1994-07-06	VYDAJ	PREVOD NA UCET	2643	21071	SIPO	WX	87020074
565746	1926	1994-08-06	VYDAJ	PREVOD NA UCET	2643	21562	SIPO	WX	87020074
565747	1926	1994-09-06	VYDAJ	PREVOD NA UCET	2643	20652	SIPO	WX	87020074
565748	1926	1994-10-06	VYDAJ	PREVOD NA UCET	2643	23739	SIPO	WX	87020074
565749	1926	1994-11-06	VYDAJ	PREVOD NA UCET	2643	20637	SIPO	WX	87020074
565750	1926	1994-12-06	VYDAJ	PREVOD NA UCET	2643	22224	SIPO	WX	87020074
565751	1926	1995-01-06	VYDAJ	PREVOD NA UCET	2643	17946	SIPO	WX	87020074
565752	1926	1995-02-06	VYDAJ	PREVOD NA UCET	2643	15414	SIPO	WX	87020074
565753	1926	1995-03-06	VYDAJ	PREVOD NA UCET	2643	17629	SIPO	WX	87020074
565754	1926	1995-04-06	VYDAJ	PREVOD NA UCET	2643	18603	SIPO	WX	87020074
565755	1926	1995-05-06	VYDAJ	PREVOD NA UCET	2643	17427	SIPO	WX	87020074
565756	1926	1995-06-06	VYDAJ	PREVOD NA UCET	2643	18099	SIPO	WX	87020074
565757	1926	1995-07-06	VYDAJ	PREVOD NA UCET	2643	18368	SIPO	WX	87020074
565758	1926	1995-08-06	VYDAJ	PREVOD NA UCET	2643	18744	SIPO	WX	87020074
565759	1926	1995-09-06	VYDAJ	PREVOD NA UCET	2643	15714	SIPO	WX	87020074
565760	1926	1995-10-06	VYDAJ	PREVOD NA UCET	2643	20884	SIPO	WX	87020074
565761	1926	1995-11-06	VYDAJ	PREVOD NA UCET	2643	20969	SIPO	WX	87020074
565762	1926	1995-12-06	VYDAJ	PREVOD NA UCET	2643	23859	SIPO	WX	87020074
565763	1926	1996-01-06	VYDAJ	PREVOD NA UCET	2643	22652	SIPO	WX	87020074
565764	1926	1996-02-06	VYDAJ	PREVOD NA UCET	2643	14769	SIPO	WX	87020074
565765	1926	1996-03-06	VYDAJ	PREVOD NA UCET	2643	17132	SIPO	WX	87020074
565766	1926	1996-04-06	VYDAJ	PREVOD NA UCET	2643	16467	SIPO	WX	87020074
565767	1926	1996-05-06	VYDAJ	PREVOD NA UCET	2643	12699	SIPO	WX	87020074
565768	1926	1996-06-06	VYDAJ	PREVOD NA UCET	2643	15456	SIPO	WX	87020074
565769	1926	1996-07-06	VYDAJ	PREVOD NA UCET	2643	18078	SIPO	WX	87020074
565770	1926	1996-08-06	VYDAJ	PREVOD NA UCET	2643	19251	SIPO	WX	87020074
565771	1926	1996-09-06	VYDAJ	PREVOD NA UCET	2643	17363	SIPO	WX	87020074
565772	1926	1996-10-06	VYDAJ	PREVOD NA UCET	2643	21741	SIPO	WX	87020074
565773	1926	1996-11-06	VYDAJ	PREVOD NA UCET	2643	18920	SIPO	WX	87020074
565774	1926	1996-12-06	VYDAJ	PREVOD NA UCET	2643	17312	SIPO	WX	87020074
565775	1926	1997-01-06	VYDAJ	PREVOD NA UCET	2643	13573	SIPO	WX	87020074
565776	1926	1997-02-06	VYDAJ	PREVOD NA UCET	2643	11525	SIPO	WX	87020074
565777	1926	1997-03-06	VYDAJ	PREVOD NA UCET	2643	13573	SIPO	WX	87020074
565778	1926	1997-04-06	VYDAJ	PREVOD NA UCET	2643	14027	SIPO	WX	87020074
565779	1926	1997-05-06	VYDAJ	PREVOD NA UCET	2643	14984	SIPO	WX	87020074
565780	1926	1997-06-06	VYDAJ	PREVOD NA UCET	2643	12236	SIPO	WX	87020074
565781	1926	1997-07-06	VYDAJ	PREVOD NA UCET	2643	17048	SIPO	WX	87020074
565782	1926	1997-08-06	VYDAJ	PREVOD NA UCET	2643	17014	SIPO	WX	87020074
565783	1926	1997-09-06	VYDAJ	PREVOD NA UCET	2643	14273	SIPO	WX	87020074
565784	1926	1997-10-06	VYDAJ	PREVOD NA UCET	2643	11131	SIPO	WX	87020074
565785	1926	1997-11-06	VYDAJ	PREVOD NA UCET	2643	10676	SIPO	WX	87020074
565786	1926	1997-12-06	VYDAJ	PREVOD NA UCET	2643	12220	SIPO	WX	87020074
565787	1926	1998-01-06	VYDAJ	PREVOD NA UCET	2643	16029	SIPO	WX	87020074
565788	1926	1998-02-06	VYDAJ	PREVOD NA UCET	2643	11456	SIPO	WX	87020074
565789	1926	1998-03-06	VYDAJ	PREVOD NA UCET	2643	13002	SIPO	WX	87020074
565790	1926	1998-04-06	VYDAJ	PREVOD NA UCET	2643	14555	SIPO	WX	87020074
565791	1926	1998-05-06	VYDAJ	PREVOD NA UCET	2643	16114	SIPO	WX	87020074
565792	1926	1998-06-06	VYDAJ	PREVOD NA UCET	2643	17680	SIPO	WX	87020074
565793	1926	1998-07-06	VYDAJ	PREVOD NA UCET	2643	21511	SIPO	WX	87020074
565794	1926	1998-08-06	VYDAJ	PREVOD NA UCET	2643	14571	SIPO	WX	87020074
565795	1926	1998-09-06	VYDAJ	PREVOD NA UCET	2643	16130	SIPO	WX	87020074
565796	1926	1998-10-06	VYDAJ	PREVOD NA UCET	2643	17695	SIPO	WX	87020074
565797	1926	1998-11-06	VYDAJ	PREVOD NA UCET	2643	16865	SIPO	WX	87020074
565798	1926	1998-12-06	VYDAJ	PREVOD NA UCET	2643	18433	SIPO	WX	87020074
565804	1926	1993-06-07	VYDAJ	PREVOD NA UCET	361	25735	 	QR	66210120
565805	1926	1993-07-07	VYDAJ	PREVOD NA UCET	361	24905	 	QR	66210120
565806	1926	1993-08-07	VYDAJ	PREVOD NA UCET	361	19368	 	QR	66210120
565807	1926	1993-09-07	VYDAJ	PREVOD NA UCET	361	22054	 	QR	66210120
565808	1926	1993-10-07	VYDAJ	PREVOD NA UCET	361	20908	 	QR	66210120
565809	1926	1993-11-07	VYDAJ	PREVOD NA UCET	361	19816	 	QR	66210120
565810	1926	1993-12-07	VYDAJ	PREVOD NA UCET	361	20802	 	QR	66210120
565811	1926	1994-01-07	VYDAJ	PREVOD NA UCET	361	10487	 	QR	66210120
565812	1926	1994-02-07	VYDAJ	PREVOD NA UCET	361	14154	 	QR	66210120
565813	1926	1994-03-07	VYDAJ	PREVOD NA UCET	361	17715	 	QR	66210120
565814	1926	1994-04-07	VYDAJ	PREVOD NA UCET	361	21590	 	QR	66210120
565815	1926	1994-05-07	VYDAJ	PREVOD NA UCET	361	21581	 	QR	66210120
565816	1926	1994-06-07	VYDAJ	PREVOD NA UCET	361	22474	 	QR	66210120
565817	1926	1994-07-07	VYDAJ	PREVOD NA UCET	361	20710	 	QR	66210120
565818	1926	1994-08-07	VYDAJ	PREVOD NA UCET	361	21201	 	QR	66210120
565819	1926	1994-09-07	VYDAJ	PREVOD NA UCET	361	20291	 	QR	66210120
565820	1926	1994-10-07	VYDAJ	PREVOD NA UCET	361	23378	 	QR	66210120
565821	1926	1994-11-07	VYDAJ	PREVOD NA UCET	361	20276	 	QR	66210120
565822	1926	1994-12-07	VYDAJ	PREVOD NA UCET	361	21863	 	QR	66210120
565823	1926	1995-01-07	VYDAJ	PREVOD NA UCET	361	17585	 	QR	66210120
565824	1926	1995-02-07	VYDAJ	PREVOD NA UCET	361	15053	 	QR	66210120
565825	1926	1995-03-07	VYDAJ	PREVOD NA UCET	361	17268	 	QR	66210120
565826	1926	1995-04-07	VYDAJ	PREVOD NA UCET	361	13202	 	QR	66210120
565827	1926	1995-05-07	VYDAJ	PREVOD NA UCET	361	17066	 	QR	66210120
565828	1926	1995-06-07	VYDAJ	PREVOD NA UCET	361	17738	 	QR	66210120
565829	1926	1995-07-07	VYDAJ	PREVOD NA UCET	361	18007	 	QR	66210120
565830	1926	1995-08-07	VYDAJ	PREVOD NA UCET	361	18383	 	QR	66210120
565831	1926	1995-09-07	VYDAJ	PREVOD NA UCET	361	15353	 	QR	66210120
565832	1926	1995-10-07	VYDAJ	PREVOD NA UCET	361	20523	 	QR	66210120
565833	1926	1995-11-07	VYDAJ	PREVOD NA UCET	361	20608	 	QR	66210120
565834	1926	1995-12-07	VYDAJ	PREVOD NA UCET	361	23498	 	QR	66210120
565835	1926	1996-01-07	VYDAJ	PREVOD NA UCET	361	22291	 	QR	66210120
565836	1926	1996-02-07	VYDAJ	PREVOD NA UCET	361	14408	 	QR	66210120
565837	1926	1996-03-07	VYDAJ	PREVOD NA UCET	361	16771	 	QR	66210120
565838	1926	1996-04-07	VYDAJ	PREVOD NA UCET	361	16106	 	QR	66210120
565839	1926	1996-05-07	VYDAJ	PREVOD NA UCET	361	12338	 	QR	66210120
565840	1926	1996-06-07	VYDAJ	PREVOD NA UCET	361	15095	 	QR	66210120
565841	1926	1996-07-07	VYDAJ	PREVOD NA UCET	361	17717	 	QR	66210120
565842	1926	1996-08-07	VYDAJ	PREVOD NA UCET	361	18890	 	QR	66210120
565843	1926	1996-09-07	VYDAJ	PREVOD NA UCET	361	17002	 	QR	66210120
565844	1926	1996-10-07	VYDAJ	PREVOD NA UCET	361	21380	 	QR	66210120
565845	1926	1996-11-07	VYDAJ	PREVOD NA UCET	361	18559	 	QR	66210120
565846	1926	1996-12-07	VYDAJ	PREVOD NA UCET	361	16951	 	QR	66210120
565847	1926	1997-01-07	VYDAJ	PREVOD NA UCET	361	13212	 	QR	66210120
565848	1926	1997-02-07	VYDAJ	PREVOD NA UCET	361	11164	 	QR	66210120
565849	1926	1997-03-07	VYDAJ	PREVOD NA UCET	361	13212	 	QR	66210120
565850	1926	1997-04-07	VYDAJ	PREVOD NA UCET	361	13666	 	QR	66210120
565851	1926	1997-05-07	VYDAJ	PREVOD NA UCET	361	14623	 	QR	66210120
565852	1926	1997-06-07	VYDAJ	PREVOD NA UCET	361	11875	 	QR	66210120
565853	1926	1997-07-07	VYDAJ	PREVOD NA UCET	361	16687	 	QR	66210120
565854	1926	1997-08-07	VYDAJ	PREVOD NA UCET	361	16653	 	QR	66210120
565855	1926	1997-09-07	VYDAJ	PREVOD NA UCET	361	13912	 	QR	66210120
565856	1926	1997-10-07	VYDAJ	PREVOD NA UCET	361	10770	 	QR	66210120
565857	1926	1997-11-07	VYDAJ	PREVOD NA UCET	361	10315	 	QR	66210120
565858	1926	1997-12-07	VYDAJ	PREVOD NA UCET	361	11859	 	QR	66210120
565859	1926	1998-01-07	VYDAJ	PREVOD NA UCET	361	12428	 	QR	66210120
565860	1926	1998-02-07	VYDAJ	PREVOD NA UCET	361	11095	 	QR	66210120
565861	1926	1998-03-07	VYDAJ	PREVOD NA UCET	361	12641	 	QR	66210120
565862	1926	1998-04-07	VYDAJ	PREVOD NA UCET	361	14194	 	QR	66210120
565863	1926	1998-05-07	VYDAJ	PREVOD NA UCET	361	15753	 	QR	66210120
565864	1926	1998-06-07	VYDAJ	PREVOD NA UCET	361	17319	 	QR	66210120
565865	1926	1998-07-07	VYDAJ	PREVOD NA UCET	361	21150	 	QR	66210120
565866	1926	1998-08-07	VYDAJ	PREVOD NA UCET	361	14210	 	QR	66210120
565867	1926	1998-09-07	VYDAJ	PREVOD NA UCET	361	15769	 	QR	66210120
565868	1926	1998-10-07	VYDAJ	PREVOD NA UCET	361	17334	 	QR	66210120
565869	1926	1998-11-07	VYDAJ	PREVOD NA UCET	361	16504	 	QR	66210120
565870	1926	1998-12-07	VYDAJ	PREVOD NA UCET	361	18072	 	QR	66210120
565871	1926	1993-12-14	VYDAJ	VYBER	1760	25802	\N	\N	\N
565872	1926	1994-12-10	VYDAJ	VYBER	3520	18343	\N	\N	\N
565873	1926	1995-12-17	VYDAJ	VYBER	3360	26898	\N	\N	\N
565874	1926	1996-12-27	VYDAJ	VYBER	4160	16151	\N	\N	\N
565876	1926	1998-12-11	VYDAJ	VYBER	2720	15352	\N	\N	\N
565883	1926	1994-01-01	VYDAJ	VYBER	3360	24531	\N	\N	\N
565884	1926	1994-01-23	VYDAJ	VYBER	2280	12714	\N	\N	\N
565887	1926	1994-01-02	VYDAJ	VYBER	3120	21411	\N	\N	\N
565888	1926	1994-01-04	VYDAJ	VYBER	2640	13491	\N	\N	\N
565889	1926	1995-01-01	VYDAJ	VYBER	960	20589	\N	\N	\N
565890	1926	1995-01-01	VYDAJ	VYBER	2640	21549	\N	\N	\N
565891	1926	1995-01-19	VYDAJ	VYBER	1800	18132	\N	\N	\N
565892	1926	1995-01-17	VYDAJ	VYBER	2160	19932	\N	\N	\N
565893	1926	1995-01-30	VYDAJ	VYBER	2280	17992	\N	\N	\N
565894	1926	1995-01-23	VYDAJ	VYBER	1560	16572	\N	\N	\N
565895	1926	1996-01-23	VYDAJ	VYBER	2160	18298	\N	\N	\N
565896	1926	1996-01-12	VYDAJ	VYBER	1920	22238	\N	\N	\N
565897	1926	1996-01-08	VYDAJ	VYBER	2640	19651	\N	\N	\N
565898	1926	1996-01-30	VYDAJ	VYBER	960	17338	\N	\N	\N
565899	1926	1996-01-03	VYDAJ	VYBER	1800	25295	\N	\N	\N
565900	1926	1996-01-23	VYDAJ	VYBER	3480	20458	\N	\N	\N
565903	1926	1997-01-15	VYDAJ	VYBER	1440	17479	\N	\N	\N
565905	1926	1997-01-23	VYDAJ	VYBER	3360	14119	\N	\N	\N
565908	1926	1998-01-06	VYDAJ	VYBER	3240	12789	\N	\N	\N
565911	1926	1998-01-14	VYDAJ	VYBER	2880	14055	\N	\N	\N
565914	1926	1993-10-01	VYDAJ	VYBER	4440	22212	\N	\N	\N
565915	1926	1993-10-24	VYDAJ	VYBER	1680	23735	\N	\N	\N
565916	1926	1993-07-17	VYDAJ	VYBER	3240	26172	\N	\N	\N
565917	1926	1994-07-05	VYDAJ	VYBER	3720	23714	\N	\N	\N
565918	1926	1994-01-03	VYDAJ	VYBER	5280	16131	\N	\N	\N
565919	1926	1995-08-18	VYDAJ	VYBER	5400	17490	\N	\N	\N
565920	1926	1995-02-13	VYDAJ	VYBER	5640	13920	\N	\N	\N
565921	1926	1995-06-15	VYDAJ	VYBER	2760	21739	\N	\N	\N
565922	1926	1995-04-07	VYDAJ	VYBER	5040	13563	\N	\N	\N
565924	1926	1996-04-02	VYDAJ	VYBER	4440	19110	\N	\N	\N
565925	1926	1996-05-04	VYDAJ	VYBER	3360	15342	\N	\N	\N
565926	1926	1996-07-10	VYDAJ	VYBER	1200	16517	\N	\N	\N
565927	1926	1996-10-09	VYDAJ	VYBER	1800	19580	\N	\N	\N
565928	1926	1996-11-13	VYDAJ	VYBER	1080	21986	\N	\N	\N
565929	1926	1996-08-12	VYDAJ	VYBER	2160	21237	\N	\N	\N
565930	1926	1996-04-26	VYDAJ	VYBER	4080	18633	\N	\N	\N
565937	1926	1998-07-17	VYDAJ	VYBER	3600	22057	\N	\N	\N
565938	1926	1998-07-30	VYDAJ	VYBER	4920	17137	\N	\N	\N
565939	1926	1998-10-27	VYDAJ	VYBER	2400	19441	\N	\N	\N
565946	1926	1993-05-31	VYDAJ	VYBER	15	30939	SLUZBY	\N	\N
565947	1926	1993-06-30	VYDAJ	VYBER	15	32609	SLUZBY	\N	\N
565948	1926	1993-07-31	VYDAJ	VYBER	15	26272	SLUZBY	\N	\N
565949	1926	1993-08-31	VYDAJ	VYBER	15	23958	SLUZBY	\N	\N
565950	1926	1993-09-30	VYDAJ	VYBER	15	26652	SLUZBY	\N	\N
565951	1926	1993-10-31	VYDAJ	VYBER	15	23820	SLUZBY	\N	\N
565952	1926	1993-11-30	VYDAJ	VYBER	15	24406	SLUZBY	\N	\N
565953	1926	1993-12-31	VYDAJ	VYBER	15	25891	SLUZBY	\N	\N
565954	1926	1994-01-31	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
565955	1926	1994-02-28	VYDAJ	VYBER	15	18719	SLUZBY	\N	\N
565956	1926	1994-03-31	VYDAJ	VYBER	15	22294	SLUZBY	\N	\N
565957	1926	1994-04-30	VYDAJ	VYBER	15	26185	SLUZBY	\N	\N
565958	1926	1994-05-31	VYDAJ	VYBER	15	25478	SLUZBY	\N	\N
565959	1926	1994-06-30	VYDAJ	VYBER	15	27434	SLUZBY	\N	\N
565960	1926	1994-07-31	VYDAJ	VYBER	15	24205	SLUZBY	\N	\N
565961	1926	1994-08-31	VYDAJ	VYBER	15	23295	SLUZBY	\N	\N
565962	1926	1994-09-30	VYDAJ	VYBER	15	26382	SLUZBY	\N	\N
565963	1926	1994-10-31	VYDAJ	VYBER	15	23280	SLUZBY	\N	\N
565964	1926	1994-11-30	VYDAJ	VYBER	15	24867	SLUZBY	\N	\N
565965	1926	1994-12-31	VYDAJ	VYBER	15	24189	SLUZBY	\N	\N
565966	1926	1995-01-31	VYDAJ	VYBER	15	18057	SLUZBY	\N	\N
565967	1926	1995-02-28	VYDAJ	VYBER	15	20272	SLUZBY	\N	\N
565968	1926	1995-03-31	VYDAJ	VYBER	15	21246	SLUZBY	\N	\N
565969	1926	1995-04-30	VYDAJ	VYBER	15	20070	SLUZBY	\N	\N
565970	1926	1995-05-31	VYDAJ	VYBER	15	20742	SLUZBY	\N	\N
565971	1926	1995-06-30	VYDAJ	VYBER	15	21011	SLUZBY	\N	\N
565972	1926	1995-07-31	VYDAJ	VYBER	15	21387	SLUZBY	\N	\N
565973	1926	1995-08-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
565974	1926	1995-09-30	VYDAJ	VYBER	15	23527	SLUZBY	\N	\N
565975	1926	1995-10-31	VYDAJ	VYBER	15	23612	SLUZBY	\N	\N
565976	1926	1995-11-30	VYDAJ	VYBER	15	26502	SLUZBY	\N	\N
565977	1926	1995-12-31	VYDAJ	VYBER	15	27095	SLUZBY	\N	\N
565978	1926	1996-01-31	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
565979	1926	1996-02-29	VYDAJ	VYBER	15	19775	SLUZBY	\N	\N
565980	1926	1996-03-31	VYDAJ	VYBER	15	23550	SLUZBY	\N	\N
565981	1926	1996-04-30	VYDAJ	VYBER	15	18702	SLUZBY	\N	\N
565982	1926	1996-05-31	VYDAJ	VYBER	15	18099	SLUZBY	\N	\N
565983	1926	1996-06-30	VYDAJ	VYBER	15	20721	SLUZBY	\N	\N
565984	1926	1996-07-31	VYDAJ	VYBER	15	21894	SLUZBY	\N	\N
565985	1926	1996-08-31	VYDAJ	VYBER	15	20006	SLUZBY	\N	\N
565986	1926	1996-09-30	VYDAJ	VYBER	15	24384	SLUZBY	\N	\N
565987	1926	1996-10-31	VYDAJ	VYBER	15	21563	SLUZBY	\N	\N
565988	1926	1996-11-30	VYDAJ	VYBER	15	19955	SLUZBY	\N	\N
565989	1926	1996-12-31	VYDAJ	VYBER	15	16216	SLUZBY	\N	\N
565990	1926	1997-01-31	VYDAJ	VYBER	15	14168	SLUZBY	\N	\N
565991	1926	1997-02-28	VYDAJ	VYBER	15	16216	SLUZBY	\N	\N
565992	1926	1997-03-31	VYDAJ	VYBER	15	16670	SLUZBY	\N	\N
565993	1926	1997-04-30	VYDAJ	VYBER	15	17627	SLUZBY	\N	\N
565994	1926	1997-05-31	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
565995	1926	1997-06-30	VYDAJ	VYBER	15	19691	SLUZBY	\N	\N
565996	1926	1997-07-31	VYDAJ	VYBER	15	19657	SLUZBY	\N	\N
565997	1926	1997-08-31	VYDAJ	VYBER	15	16916	SLUZBY	\N	\N
565998	1926	1997-09-30	VYDAJ	VYBER	15	13774	SLUZBY	\N	\N
565999	1926	1997-10-31	VYDAJ	VYBER	15	13319	SLUZBY	\N	\N
566000	1926	1997-11-30	VYDAJ	VYBER	15	14863	SLUZBY	\N	\N
566001	1926	1997-12-31	VYDAJ	VYBER	15	18672	SLUZBY	\N	\N
566002	1926	1998-01-31	VYDAJ	VYBER	15	14099	SLUZBY	\N	\N
566003	1926	1998-02-28	VYDAJ	VYBER	15	15645	SLUZBY	\N	\N
566004	1926	1998-03-31	VYDAJ	VYBER	15	17198	SLUZBY	\N	\N
566005	1926	1998-04-30	VYDAJ	VYBER	15	18757	SLUZBY	\N	\N
566006	1926	1998-05-31	VYDAJ	VYBER	15	20323	SLUZBY	\N	\N
566007	1926	1998-06-30	VYDAJ	VYBER	15	24154	SLUZBY	\N	\N
566008	1926	1998-07-31	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
566009	1926	1998-08-31	VYDAJ	VYBER	15	18773	SLUZBY	\N	\N
566010	1926	1998-09-30	VYDAJ	VYBER	15	20338	SLUZBY	\N	\N
566011	1926	1998-10-31	VYDAJ	VYBER	15	19508	SLUZBY	\N	\N
566012	1926	1998-11-30	VYDAJ	VYBER	15	21076	SLUZBY	\N	\N
566013	1926	1993-02-05	PRIJEM	VKLAD	8500	13721	\N	\N	\N
566014	1926	1993-03-07	PRIJEM	VKLAD	3900	22183	\N	\N	\N
566015	1926	1993-04-06	VYDAJ	VYBER	400	26388	\N	\N	\N
566016	1926	1993-05-06	VYDAJ	VYBER	4700	26318	\N	\N	\N
566017	1926	1993-06-05	VYDAJ	VYBER	2200	28739	\N	\N	\N
566018	1926	1993-07-05	VYDAJ	VYBER	4700	27909	\N	\N	\N
566019	1926	1993-08-04	VYDAJ	VYBER	3900	22372	\N	\N	\N
566020	1926	1993-09-03	PRIJEM	VKLAD	1100	25058	\N	\N	\N
566021	1926	1993-10-03	PRIJEM	VKLAD	1700	23912	\N	\N	\N
566022	1926	1993-11-02	VYDAJ	VYBER	1000	22820	\N	\N	\N
566023	1926	1993-12-02	VYDAJ	VYBER	600	23806	\N	\N	\N
566024	1926	1994-01-01	PRIJEM	VKLAD	2000	27891	\N	\N	\N
566025	1926	1994-01-31	PRIJEM	VKLAD	4400	17173	\N	\N	\N
566026	1926	1994-03-02	PRIJEM	VKLAD	2000	20719	\N	\N	\N
566027	1926	1994-04-01	PRIJEM	VKLAD	2300	24594	\N	\N	\N
566028	1926	1994-05-01	VYDAJ	VYBER	1600	24585	\N	\N	\N
566029	1926	1994-05-31	VYDAJ	VYBER	700	25493	\N	\N	\N
566030	1926	1994-06-30	VYDAJ	VYBER	1900	27448	\N	\N	\N
566031	1926	1994-07-30	VYDAJ	VYBER	1100	24117	\N	\N	\N
566032	1926	1994-08-29	VYDAJ	VYBER	2500	23208	\N	\N	\N
566033	1926	1994-09-28	PRIJEM	VKLAD	1500	26298	\N	\N	\N
566034	1926	1994-10-28	VYDAJ	VYBER	4700	23185	\N	\N	\N
566035	1926	1994-12-27	VYDAJ	VYBER	1000	24103	\N	\N	\N
566036	1926	1995-01-26	PRIJEM	VKLAD	3700	20272	\N	\N	\N
566037	1926	1995-02-25	PRIJEM	VKLAD	6300	20220	\N	\N	\N
566038	1926	1995-03-27	VYDAJ	VYBER	600	21175	\N	\N	\N
566039	1926	1995-04-26	PRIJEM	VKLAD	2300	20009	\N	\N	\N
566040	1926	1995-05-26	VYDAJ	VYBER	900	20673	\N	\N	\N
566041	1926	1995-06-25	VYDAJ	VYBER	800	20939	\N	\N	\N
566042	1926	1995-07-25	VYDAJ	VYBER	1200	21314	\N	\N	\N
566043	1926	1995-08-24	PRIJEM	VKLAD	800	18290	\N	\N	\N
566044	1926	1995-09-23	PRIJEM	VKLAD	3600	23460	\N	\N	\N
566045	1926	1995-10-23	VYDAJ	VYBER	1500	23530	\N	\N	\N
566046	1926	1995-11-22	PRIJEM	VKLAD	1300	26415	\N	\N	\N
566047	1926	1995-12-22	PRIJEM	VKLAD	100	26998	\N	\N	\N
566048	1926	1996-01-21	PRIJEM	VKLAD	1700	23938	\N	\N	\N
566049	1926	1996-02-20	PRIJEM	VKLAD	800	19715	\N	\N	\N
566050	1926	1996-03-21	PRIJEM	VKLAD	2200	23478	\N	\N	\N
566051	1926	1996-04-20	PRIJEM	VKLAD	2100	22713	\N	\N	\N
566052	1926	1996-05-20	PRIJEM	VKLAD	1200	18045	\N	\N	\N
566053	1926	1996-06-19	VYDAJ	VYBER	1200	20655	\N	\N	\N
566054	1926	1996-07-19	PRIJEM	VKLAD	800	21824	\N	\N	\N
566055	1926	1996-08-18	VYDAJ	VYBER	1300	19937	\N	\N	\N
566056	1926	1996-09-17	PRIJEM	VKLAD	2800	24309	\N	\N	\N
566057	1926	1996-10-17	VYDAJ	VYBER	2600	21487	\N	\N	\N
566058	1926	1996-11-16	VYDAJ	VYBER	2100	19886	\N	\N	\N
566059	1926	1996-12-16	VYDAJ	VYBER	3400	20311	\N	\N	\N
566060	1926	1997-01-15	PRIJEM	VKLAD	1200	18919	\N	\N	\N
566061	1926	1997-02-14	PRIJEM	VKLAD	500	16171	\N	\N	\N
566062	1926	1997-03-16	VYDAJ	VYBER	1100	16619	\N	\N	\N
566063	1926	1997-04-15	VYDAJ	VYBER	600	17573	\N	\N	\N
566064	1926	1997-05-15	VYDAJ	VYBER	4300	14830	\N	\N	\N
566065	1926	1997-06-14	PRIJEM	VKLAD	1000	19635	\N	\N	\N
566066	1926	1997-07-14	VYDAJ	VYBER	1600	19594	\N	\N	\N
566067	1926	1997-08-13	VYDAJ	VYBER	4300	16860	\N	\N	\N
566068	1926	1997-09-12	VYDAJ	VYBER	4700	13719	\N	\N	\N
566069	1926	1997-10-12	VYDAJ	VYBER	2000	13277	\N	\N	\N
566142	1927	1995-08-04	PRIJEM	VKLAD	600	600	\N	\N	\N
566150	1927	1995-08-13	PRIJEM	PREVOD Z UCTU	3425	4025	\N	EF	89210503
566151	1927	1995-09-13	PRIJEM	PREVOD Z UCTU	3425	7460	\N	EF	89210503
566152	1927	1995-10-13	PRIJEM	PREVOD Z UCTU	3425	10902	\N	EF	89210503
566153	1927	1995-11-13	PRIJEM	PREVOD Z UCTU	3425	14344	\N	EF	89210503
566154	1927	1995-12-13	PRIJEM	PREVOD Z UCTU	3425	17786	\N	EF	89210503
566155	1927	1996-01-13	PRIJEM	PREVOD Z UCTU	3425	16950	\N	EF	89210503
566156	1927	1996-02-13	PRIJEM	PREVOD Z UCTU	3425	15533	\N	EF	89210503
566157	1927	1996-03-13	PRIJEM	PREVOD Z UCTU	3425	16723	\N	EF	89210503
566158	1927	1996-04-13	PRIJEM	PREVOD Z UCTU	3425	17617	\N	EF	89210503
566159	1927	1996-05-13	PRIJEM	PREVOD Z UCTU	3425	17586	\N	EF	89210503
566160	1927	1996-06-13	PRIJEM	PREVOD Z UCTU	3425	18784	\N	EF	89210503
566161	1927	1996-07-13	PRIJEM	PREVOD Z UCTU	3425	17764	\N	EF	89210503
566162	1927	1996-08-13	PRIJEM	PREVOD Z UCTU	3425	18964	\N	EF	89210503
566163	1927	1996-09-13	PRIJEM	PREVOD Z UCTU	3425	20168	\N	EF	89210503
566164	1927	1996-10-13	PRIJEM	PREVOD Z UCTU	3425	20028	\N	EF	89210503
566165	1927	1996-11-13	PRIJEM	PREVOD Z UCTU	3425	21238	\N	EF	89210503
566166	1927	1996-12-13	PRIJEM	PREVOD Z UCTU	3425	22452	\N	EF	89210503
566167	1927	1997-01-13	PRIJEM	PREVOD Z UCTU	3425	20791	\N	EF	89210503
566168	1927	1997-02-13	PRIJEM	PREVOD Z UCTU	3425	20772	\N	EF	89210503
566169	1927	1997-03-13	PRIJEM	PREVOD Z UCTU	3425	21984	\N	EF	89210503
566170	1927	1997-04-13	PRIJEM	PREVOD Z UCTU	3425	23201	\N	EF	89210503
566171	1927	1997-05-13	PRIJEM	PREVOD Z UCTU	3425	24423	\N	EF	89210503
566172	1927	1997-06-13	PRIJEM	PREVOD Z UCTU	3425	25650	\N	EF	89210503
566173	1927	1997-07-13	PRIJEM	PREVOD Z UCTU	3425	25142	\N	EF	89210503
566174	1927	1997-08-13	PRIJEM	PREVOD Z UCTU	3425	26372	\N	EF	89210503
566175	1927	1997-09-13	PRIJEM	PREVOD Z UCTU	3425	27307	\N	EF	89210503
566176	1927	1997-10-13	PRIJEM	PREVOD Z UCTU	3425	28544	\N	EF	89210503
566177	1927	1997-11-13	PRIJEM	PREVOD Z UCTU	3425	28528	\N	EF	89210503
566178	1927	1997-12-13	PRIJEM	PREVOD Z UCTU	3425	28391	\N	EF	89210503
566179	1927	1998-01-13	PRIJEM	PREVOD Z UCTU	3425	26844	\N	EF	89210503
566180	1927	1998-02-13	PRIJEM	PREVOD Z UCTU	3425	24147	\N	EF	89210503
566181	1927	1998-03-13	PRIJEM	PREVOD Z UCTU	3425	25373	\N	EF	89210503
566182	1927	1998-04-13	PRIJEM	PREVOD Z UCTU	3425	26604	\N	EF	89210503
566183	1927	1998-05-13	PRIJEM	PREVOD Z UCTU	3425	27839	\N	EF	89210503
566184	1927	1998-06-13	PRIJEM	PREVOD Z UCTU	3425	27250	\N	EF	89210503
566185	1927	1998-07-13	PRIJEM	PREVOD Z UCTU	3425	19870	\N	EF	89210503
566186	1927	1998-08-13	PRIJEM	PREVOD Z UCTU	3425	19665	\N	EF	89210503
566187	1927	1998-09-13	PRIJEM	PREVOD Z UCTU	3425	20871	\N	EF	89210503
566188	1927	1998-10-13	PRIJEM	PREVOD Z UCTU	3425	22083	\N	EF	89210503
566189	1927	1998-11-13	PRIJEM	PREVOD Z UCTU	3425	23300	\N	EF	89210503
566190	1927	1998-12-13	PRIJEM	PREVOD Z UCTU	3425	24522	\N	EF	89210503
566203	1927	1996-01-05	VYDAJ	PREVOD NA UCET	2283	14845	\N	ST	54550802
566204	1927	1996-02-05	VYDAJ	PREVOD NA UCET	2283	12108	\N	ST	54550802
566205	1927	1996-03-05	VYDAJ	PREVOD NA UCET	2283	13298	\N	ST	54550802
566206	1927	1996-04-05	VYDAJ	PREVOD NA UCET	2283	14192	\N	ST	54550802
566207	1927	1996-05-05	VYDAJ	PREVOD NA UCET	2283	15391	\N	ST	54550802
566208	1927	1996-06-05	VYDAJ	PREVOD NA UCET	2283	15359	\N	ST	54550802
566209	1927	1996-07-05	VYDAJ	PREVOD NA UCET	2283	14339	\N	ST	54550802
566210	1927	1996-08-05	VYDAJ	PREVOD NA UCET	2283	15539	\N	ST	54550802
566211	1927	1996-09-05	VYDAJ	PREVOD NA UCET	2283	16743	\N	ST	54550802
566212	1927	1996-10-05	VYDAJ	PREVOD NA UCET	2283	17953	\N	ST	54550802
566213	1927	1996-11-05	VYDAJ	PREVOD NA UCET	2283	17813	\N	ST	54550802
566214	1927	1996-12-05	VYDAJ	PREVOD NA UCET	2283	19027	\N	ST	54550802
566215	1927	1997-01-05	VYDAJ	PREVOD NA UCET	2283	20036	\N	ST	54550802
566216	1927	1997-02-05	VYDAJ	PREVOD NA UCET	2283	17347	\N	ST	54550802
566217	1927	1997-03-05	VYDAJ	PREVOD NA UCET	2283	18559	\N	ST	54550802
566218	1927	1997-04-05	VYDAJ	PREVOD NA UCET	2283	19776	\N	ST	54550802
566219	1927	1997-05-05	VYDAJ	PREVOD NA UCET	2283	20998	\N	ST	54550802
566220	1927	1997-06-05	VYDAJ	PREVOD NA UCET	2283	22225	\N	ST	54550802
566221	1927	1997-07-05	VYDAJ	PREVOD NA UCET	2283	21717	\N	ST	54550802
566222	1927	1997-08-05	VYDAJ	PREVOD NA UCET	2283	22947	\N	ST	54550802
566223	1927	1997-09-05	VYDAJ	PREVOD NA UCET	2283	23882	\N	ST	54550802
566224	1927	1997-10-05	VYDAJ	PREVOD NA UCET	2283	25119	\N	ST	54550802
566225	1927	1997-11-05	VYDAJ	PREVOD NA UCET	2283	26363	\N	ST	54550802
566226	1927	1997-12-05	VYDAJ	PREVOD NA UCET	2283	24966	\N	ST	54550802
566227	1927	1998-01-05	VYDAJ	PREVOD NA UCET	2283	25429	\N	ST	54550802
566228	1927	1998-02-05	VYDAJ	PREVOD NA UCET	2283	20722	\N	ST	54550802
566229	1927	1998-03-05	VYDAJ	PREVOD NA UCET	2283	21948	\N	ST	54550802
566230	1927	1998-04-05	VYDAJ	PREVOD NA UCET	2283	23179	\N	ST	54550802
566231	1927	1998-05-05	VYDAJ	PREVOD NA UCET	2283	24414	\N	ST	54550802
566232	1927	1998-06-05	VYDAJ	PREVOD NA UCET	2283	25025	\N	ST	54550802
566233	1927	1998-07-05	VYDAJ	PREVOD NA UCET	2283	16445	\N	ST	54550802
566234	1927	1998-08-05	VYDAJ	PREVOD NA UCET	2283	16240	\N	ST	54550802
566235	1927	1998-09-05	VYDAJ	PREVOD NA UCET	2283	17446	\N	ST	54550802
566236	1927	1998-10-05	VYDAJ	PREVOD NA UCET	2283	18658	\N	ST	54550802
566237	1927	1998-11-05	VYDAJ	PREVOD NA UCET	2283	19875	\N	ST	54550802
566238	1927	1998-12-05	VYDAJ	PREVOD NA UCET	2283	21097	\N	ST	54550802
566240	1927	1996-06-19	VYDAJ	VYBER	2220	16564	\N	\N	\N
566241	1927	1997-06-28	VYDAJ	VYBER	1740	23910	\N	\N	\N
566242	1927	1998-06-23	VYDAJ	VYBER	8610	18640	\N	\N	\N
566244	1927	1996-01-10	VYDAJ	VYBER	600	14065	\N	\N	\N
566245	1927	1997-01-12	VYDAJ	VYBER	630	17366	\N	\N	\N
566246	1927	1998-01-23	VYDAJ	VYBER	2310	24114	\N	\N	\N
566247	1927	1995-12-15	VYDAJ	VYBER	690	17096	\N	\N	\N
566248	1927	1996-12-20	VYDAJ	VYBER	210	22242	\N	\N	\N
566249	1927	1997-12-24	VYDAJ	VYBER	780	27611	\N	\N	\N
566250	1927	1998-12-17	VYDAJ	VYBER	660	23862	\N	\N	\N
566257	1927	1996-01-17	VYDAJ	VYBER	750	16200	\N	\N	\N
566258	1927	1996-01-07	VYDAJ	VYBER	180	14665	\N	\N	\N
566259	1927	1996-01-24	VYDAJ	VYBER	840	15360	\N	\N	\N
566260	1927	1996-01-26	VYDAJ	VYBER	150	15210	\N	\N	\N
566261	1927	1996-01-29	VYDAJ	VYBER	870	14340	\N	\N	\N
566262	1927	1996-01-11	VYDAJ	VYBER	540	13525	\N	\N	\N
566263	1927	1997-01-07	VYDAJ	VYBER	570	19466	\N	\N	\N
566264	1927	1997-01-11	VYDAJ	VYBER	780	17996	\N	\N	\N
566265	1927	1997-01-08	VYDAJ	VYBER	690	18776	\N	\N	\N
566266	1927	1997-01-28	VYDAJ	VYBER	450	19561	\N	\N	\N
566267	1927	1997-01-19	VYDAJ	VYBER	570	20221	\N	\N	\N
566268	1927	1997-01-22	VYDAJ	VYBER	210	20011	\N	\N	\N
566269	1927	1998-01-09	VYDAJ	VYBER	870	23719	\N	\N	\N
566270	1927	1998-01-24	VYDAJ	VYBER	630	23484	\N	\N	\N
566271	1927	1998-01-09	VYDAJ	VYBER	840	24589	\N	\N	\N
566272	1927	1998-01-13	VYDAJ	VYBER	420	26424	\N	\N	\N
566273	1927	1998-01-27	VYDAJ	VYBER	570	22914	\N	\N	\N
566274	1927	1998-01-09	VYDAJ	VYBER	300	23419	\N	\N	\N
566278	1927	1996-03-14	VYDAJ	VYBER	300	16423	\N	\N	\N
566279	1927	1996-05-07	VYDAJ	VYBER	1230	14161	\N	\N	\N
566280	1927	1996-10-11	VYDAJ	VYBER	1350	16603	\N	\N	\N
566281	1927	1997-11-20	VYDAJ	VYBER	960	27568	\N	\N	\N
566282	1927	1997-11-26	VYDAJ	VYBER	420	27148	\N	\N	\N
566283	1927	1997-09-03	VYDAJ	VYBER	300	26165	\N	\N	\N
566284	1927	1997-11-10	VYDAJ	VYBER	1260	25103	\N	\N	\N
566285	1927	1998-05-27	VYDAJ	VYBER	630	27209	\N	\N	\N
566286	1927	1998-06-12	VYDAJ	VYBER	1200	23825	\N	\N	\N
566287	1927	1998-07-15	VYDAJ	VYBER	300	18460	\N	\N	\N
566288	1927	1998-07-14	VYDAJ	VYBER	1110	18760	\N	\N	\N
566301	1927	1995-12-31	VYDAJ	VYBER	15	17128	SLUZBY	\N	\N
566302	1927	1996-01-31	VYDAJ	VYBER	15	14391	SLUZBY	\N	\N
566303	1927	1996-02-29	VYDAJ	VYBER	15	15581	SLUZBY	\N	\N
566304	1927	1996-03-31	VYDAJ	VYBER	15	16475	SLUZBY	\N	\N
566305	1927	1996-04-30	VYDAJ	VYBER	15	17674	SLUZBY	\N	\N
566306	1927	1996-05-31	VYDAJ	VYBER	15	17642	SLUZBY	\N	\N
566307	1927	1996-06-30	VYDAJ	VYBER	15	16622	SLUZBY	\N	\N
566308	1927	1996-07-31	VYDAJ	VYBER	15	17822	SLUZBY	\N	\N
566309	1927	1996-08-31	VYDAJ	VYBER	15	19026	SLUZBY	\N	\N
566310	1927	1996-09-30	VYDAJ	VYBER	15	20236	SLUZBY	\N	\N
566311	1927	1996-10-31	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
566312	1927	1996-11-30	VYDAJ	VYBER	15	21310	SLUZBY	\N	\N
566313	1927	1996-12-31	VYDAJ	VYBER	15	22319	SLUZBY	\N	\N
566314	1927	1997-01-31	VYDAJ	VYBER	15	19630	SLUZBY	\N	\N
566315	1927	1997-02-28	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
566316	1927	1997-03-31	VYDAJ	VYBER	15	22059	SLUZBY	\N	\N
566317	1927	1997-04-30	VYDAJ	VYBER	15	23281	SLUZBY	\N	\N
566318	1927	1997-05-31	VYDAJ	VYBER	15	24508	SLUZBY	\N	\N
566319	1927	1997-06-30	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
566320	1927	1997-07-31	VYDAJ	VYBER	15	25230	SLUZBY	\N	\N
566321	1927	1997-08-31	VYDAJ	VYBER	15	26465	SLUZBY	\N	\N
566322	1927	1997-09-30	VYDAJ	VYBER	15	27402	SLUZBY	\N	\N
566323	1927	1997-10-31	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
566324	1927	1997-11-30	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
566325	1927	1997-12-31	VYDAJ	VYBER	15	27712	SLUZBY	\N	\N
566326	1927	1998-01-31	VYDAJ	VYBER	15	23005	SLUZBY	\N	\N
566327	1927	1998-02-28	VYDAJ	VYBER	15	24231	SLUZBY	\N	\N
566328	1927	1998-03-31	VYDAJ	VYBER	15	25462	SLUZBY	\N	\N
566329	1927	1998-04-30	VYDAJ	VYBER	15	26697	SLUZBY	\N	\N
566330	1927	1998-05-31	VYDAJ	VYBER	15	27308	SLUZBY	\N	\N
566331	1927	1998-06-30	VYDAJ	VYBER	15	18728	SLUZBY	\N	\N
566332	1927	1998-07-31	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
566333	1927	1998-08-31	VYDAJ	VYBER	15	19729	SLUZBY	\N	\N
566334	1927	1998-09-30	VYDAJ	VYBER	15	20941	SLUZBY	\N	\N
566335	1927	1998-10-31	VYDAJ	VYBER	15	22158	SLUZBY	\N	\N
566336	1927	1998-11-30	VYDAJ	VYBER	15	23380	SLUZBY	\N	\N
566378	1928	1997-03-02	PRIJEM	VKLAD	500	500	\N	\N	\N
566381	1928	1997-03-13	PRIJEM	PREVOD Z UCTU	13905	14405	\N	UV	51389735
566382	1928	1997-04-13	PRIJEM	PREVOD Z UCTU	13905	29547	\N	UV	51389735
566383	1928	1997-05-13	PRIJEM	PREVOD Z UCTU	13905	42750	\N	UV	51389735
566384	1928	1997-06-13	PRIJEM	PREVOD Z UCTU	20858	52763	\N	UV	51389735
566385	1928	1997-07-13	PRIJEM	PREVOD Z UCTU	13905	46601	\N	UV	51389735
566386	1928	1997-08-13	PRIJEM	PREVOD Z UCTU	13905	44128	\N	UV	51389735
566387	1928	1997-09-13	PRIJEM	PREVOD Z UCTU	13905	44178	\N	UV	51389735
566388	1928	1997-10-13	PRIJEM	PREVOD Z UCTU	13905	46329	\N	UV	51389735
566389	1928	1997-11-13	PRIJEM	PREVOD Z UCTU	13905	37025	\N	UV	51389735
566390	1928	1997-12-13	PRIJEM	PREVOD Z UCTU	20858	38868	\N	UV	51389735
566391	1928	1998-01-13	PRIJEM	PREVOD Z UCTU	13905	28185	\N	UV	51389735
566392	1928	1998-02-13	PRIJEM	PREVOD Z UCTU	13905	27830	\N	UV	51389735
566393	1928	1998-03-13	PRIJEM	PREVOD Z UCTU	13905	33090	\N	UV	51389735
566394	1928	1998-04-13	PRIJEM	PREVOD Z UCTU	13905	28571	\N	UV	51389735
566395	1928	1998-05-13	PRIJEM	PREVOD Z UCTU	13905	20641	\N	UV	51389735
566396	1928	1998-06-13	PRIJEM	PREVOD Z UCTU	20858	45026	\N	UV	51389735
566397	1928	1998-07-13	PRIJEM	PREVOD Z UCTU	13905	47243	\N	UV	51389735
566398	1928	1998-08-13	PRIJEM	PREVOD Z UCTU	13905	50478	\N	UV	51389735
566399	1928	1998-09-13	PRIJEM	PREVOD Z UCTU	13905	44297	\N	UV	51389735
566400	1928	1998-10-13	PRIJEM	PREVOD Z UCTU	13905	51438	\N	UV	51389735
566401	1928	1998-11-13	PRIJEM	PREVOD Z UCTU	13905	47697	\N	UV	51389735
566402	1928	1998-12-13	PRIJEM	PREVOD Z UCTU	20858	56990	\N	UV	51389735
566410	1928	1997-08-11	VYDAJ	VYBER	2300	30223	\N	\N	0
566411	1928	1997-08-26	VYDAJ	VYBER	1700	42428	\N	\N	0
566412	1928	1997-10-07	VYDAJ	VYBER	1300	32424	\N	\N	0
566413	1928	1997-10-26	VYDAJ	VYBER	1900	44429	\N	\N	0
566414	1928	1997-12-17	VYDAJ	VYBER	2100	36768	\N	\N	0
566415	1928	1998-01-24	VYDAJ	VYBER	1500	1485	\N	\N	0
566416	1928	1998-02-15	VYDAJ	VYBER	2000	25830	\N	\N	0
566417	1928	1998-03-25	VYDAJ	VYBER	1800	5007	\N	\N	0
566418	1928	1998-04-23	VYDAJ	VYBER	2300	26271	\N	\N	0
566420	1928	1998-06-18	VYDAJ	VYBER	2200	42826	\N	\N	0
566421	1928	1998-06-28	VYDAJ	VYBER	2200	33226	\N	\N	0
566422	1928	1998-08-18	VYDAJ	VYBER	2500	47978	\N	\N	0
566423	1928	1998-09-11	VYDAJ	VYBER	2000	30392	\N	\N	0
566424	1928	1998-10-14	VYDAJ	VYBER	2500	48938	\N	\N	0
566425	1928	1998-11-09	VYDAJ	VYBER	2700	33792	\N	\N	0
566426	1928	1998-12-12	VYDAJ	PREVOD NA UCET	2318	36132	UVER	GH	84353714
566429	1928	1997-12-04	VYBER	VYBER	10839	18010	\N	\N	\N
566431	1928	1997-11-04	VYBER	VYBER	7658	23120	\N	\N	\N
566432	1928	1998-03-14	VYBER	VYBER	11583	21507	\N	\N	\N
566433	1928	1998-08-20	VYBER	VYBER	19017	28961	\N	\N	\N
566435	1928	1998-04-30	VYBER	VYBER	23522	6751	\N	\N	\N
566436	1928	1998-04-03	VYBER	VYBER	6003	14666	\N	\N	\N
566440	1928	1998-01-13	VYDAJ	VYBER	18600	9585	\N	\N	\N
566441	1928	1997-12-20	VYDAJ	VYBER	6300	30468	\N	\N	\N
566442	1928	1998-12-23	VYDAJ	VYBER	8100	33690	\N	\N	\N
566449	1928	1998-01-17	VYDAJ	VYBER	3000	2985	\N	\N	\N
566450	1928	1998-01-07	VYDAJ	VYBER	2100	14280	\N	\N	\N
566451	1928	1998-01-02	VYDAJ	VYBER	2700	16380	\N	\N	\N
566452	1928	1998-01-13	VYDAJ	VYBER	3600	5985	\N	\N	\N
566455	1928	1997-09-04	VYDAJ	VYBER	2400	30273	\N	\N	\N
566459	1928	1997-12-29	VYDAJ	VYBER	9900	18968	\N	\N	\N
566460	1928	1998-03-23	VYDAJ	VYBER	14700	6807	\N	\N	\N
566462	1928	1998-02-21	VYDAJ	VYBER	14400	11430	\N	\N	\N
566463	1928	1998-09-15	VYDAJ	VYBER	5100	39197	\N	\N	\N
566464	1928	1998-07-21	VYDAJ	VYBER	8400	38843	\N	\N	\N
566472	1928	1997-07-31	VYDAJ	VYBER	15	32523	SLUZBY	\N	\N
566473	1928	1997-08-31	VYDAJ	VYBER	15	32673	SLUZBY	\N	\N
566474	1928	1997-09-30	VYDAJ	VYBER	15	33724	SLUZBY	\N	\N
566475	1928	1997-10-31	VYDAJ	VYBER	15	30778	SLUZBY	\N	\N
566476	1928	1997-11-30	VYDAJ	VYBER	15	28849	SLUZBY	\N	\N
566477	1928	1997-12-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
566478	1928	1998-01-31	VYDAJ	VYBER	15	13925	SLUZBY	\N	\N
566479	1928	1998-02-28	VYDAJ	VYBER	15	19185	SLUZBY	\N	\N
566480	1928	1998-03-31	VYDAJ	VYBER	15	20669	SLUZBY	\N	\N
566481	1928	1998-04-30	VYDAJ	VYBER	15	6736	SLUZBY	\N	\N
566482	1928	1998-05-31	VYDAJ	VYBER	15	24168	SLUZBY	\N	\N
566483	1928	1998-06-30	VYDAJ	VYBER	15	33338	SLUZBY	\N	\N
566484	1928	1998-07-31	VYDAJ	VYBER	15	36573	SLUZBY	\N	\N
566485	1928	1998-08-31	VYDAJ	VYBER	15	32392	SLUZBY	\N	\N
566486	1928	1998-09-30	VYDAJ	VYBER	15	37533	SLUZBY	\N	\N
566487	1928	1998-10-31	VYDAJ	VYBER	15	36492	SLUZBY	\N	\N
566488	1928	1998-11-30	VYDAJ	VYBER	15	38449	SLUZBY	\N	\N
566489	1928	1997-04-01	PRIJEM	VKLAD	1200	15642	\N	\N	\N
566490	1928	1997-05-01	VYDAJ	VYBER	800	28845	\N	\N	\N
566491	1928	1997-05-31	VYDAJ	VYBER	11000	31905	\N	\N	\N
566492	1928	1997-06-30	VYDAJ	VYBER	20200	32696	\N	\N	\N
566493	1928	1997-07-30	VYDAJ	VYBER	14200	32401	\N	\N	\N
566494	1928	1997-08-29	VYDAJ	VYBER	9900	32528	\N	\N	\N
566495	1928	1997-09-28	VYDAJ	VYBER	10600	33578	\N	\N	\N
566496	1928	1997-10-28	VYDAJ	VYBER	13800	30629	\N	\N	\N
566497	1928	1997-11-27	VYDAJ	VYBER	8300	28725	\N	\N	\N
566498	1928	1997-12-27	VYDAJ	VYBER	1600	28868	\N	\N	\N
566499	1928	1998-01-26	PRIJEM	VKLAD	12400	13885	\N	\N	\N
566500	1928	1998-02-25	PRIJEM	VKLAD	7700	19130	\N	\N	\N
566501	1928	1998-03-27	PRIJEM	VKLAD	15600	20607	\N	\N	\N
566502	1928	1998-04-26	PRIJEM	VKLAD	3900	30171	\N	\N	\N
566503	1928	1998-05-26	PRIJEM	VKLAD	3500	24141	\N	\N	\N
566504	1928	1998-06-25	VYDAJ	VYBER	7400	35426	\N	\N	\N
566505	1928	1998-07-25	VYDAJ	VYBER	2400	36443	\N	\N	\N
566506	1928	1998-08-24	PRIJEM	VKLAD	3300	32261	\N	\N	\N
566507	1928	1998-09-23	VYDAJ	VYBER	1800	37397	\N	\N	\N
566508	1928	1998-10-23	VYDAJ	VYBER	12600	36338	\N	\N	\N
566509	1928	1998-11-22	VYDAJ	VYBER	9400	38297	\N	\N	\N
566510	1928	1998-12-22	VYDAJ	VYBER	15200	41790	\N	\N	\N
566535	1929	1997-07-06	PRIJEM	VKLAD	600	600	\N	\N	\N
566542	1929	1997-07-11	PRIJEM	PREVOD Z UCTU	3860	4460	\N	ST	86022626
566543	1929	1997-08-11	PRIJEM	PREVOD Z UCTU	3860	21333	\N	ST	86022626
566544	1929	1997-09-11	PRIJEM	PREVOD Z UCTU	3860	30959	\N	ST	86022626
566545	1929	1997-10-11	PRIJEM	PREVOD Z UCTU	3860	37234	\N	ST	86022626
566546	1929	1997-11-11	PRIJEM	PREVOD Z UCTU	3860	42741	\N	ST	86022626
566547	1929	1997-12-11	PRIJEM	PREVOD Z UCTU	3860	44430	\N	ST	86022626
566548	1929	1998-01-11	PRIJEM	PREVOD Z UCTU	3860	46470	\N	ST	86022626
566549	1929	1998-02-11	PRIJEM	PREVOD Z UCTU	3860	45408	\N	ST	86022626
566550	1929	1998-03-11	PRIJEM	PREVOD Z UCTU	3860	52608	\N	ST	86022626
566551	1929	1998-04-11	PRIJEM	PREVOD Z UCTU	3860	56626	\N	ST	86022626
566552	1929	1998-05-11	PRIJEM	PREVOD Z UCTU	3860	57277	\N	ST	86022626
566553	1929	1998-06-11	PRIJEM	PREVOD Z UCTU	3860	57532	\N	ST	86022626
566554	1929	1998-07-11	PRIJEM	PREVOD Z UCTU	3860	52903	\N	ST	86022626
566555	1929	1998-08-11	PRIJEM	PREVOD Z UCTU	3860	51538	\N	ST	86022626
566556	1929	1998-09-11	PRIJEM	PREVOD Z UCTU	3860	51172	\N	ST	86022626
566557	1929	1998-10-11	PRIJEM	PREVOD Z UCTU	3860	53101	\N	ST	86022626
566558	1929	1998-11-11	PRIJEM	PREVOD Z UCTU	3860	51337	\N	ST	86022626
566559	1929	1998-12-11	PRIJEM	PREVOD Z UCTU	3860	53166	\N	ST	86022626
566571	1929	1997-12-08	VYDAJ	PREVOD NA UCET	2027	40570	SIPO	IJ	23485905
566572	1929	1998-01-08	VYDAJ	PREVOD NA UCET	2027	42610	SIPO	IJ	23485905
566573	1929	1998-02-08	VYDAJ	PREVOD NA UCET	2027	41548	SIPO	IJ	23485905
566574	1929	1998-03-08	VYDAJ	PREVOD NA UCET	2027	48748	SIPO	IJ	23485905
566575	1929	1998-04-08	VYDAJ	PREVOD NA UCET	2027	52766	SIPO	IJ	23485905
566576	1929	1998-05-08	VYDAJ	PREVOD NA UCET	2027	53417	SIPO	IJ	23485905
566577	1929	1998-06-08	VYDAJ	PREVOD NA UCET	2027	53672	SIPO	IJ	23485905
566578	1929	1998-07-08	VYDAJ	PREVOD NA UCET	2027	49043	SIPO	IJ	23485905
566579	1929	1998-08-08	VYDAJ	PREVOD NA UCET	2027	47678	SIPO	IJ	23485905
566580	1929	1998-09-08	VYDAJ	PREVOD NA UCET	2027	47312	SIPO	IJ	23485905
566581	1929	1998-10-08	VYDAJ	PREVOD NA UCET	2027	49241	SIPO	IJ	23485905
566582	1929	1998-11-08	VYDAJ	PREVOD NA UCET	2027	47477	SIPO	IJ	23485905
566583	1929	1998-12-08	VYDAJ	PREVOD NA UCET	2027	49306	SIPO	IJ	23485905
566585	1929	1998-06-15	VYDAJ	VYBER	6870	50662	\N	\N	\N
566587	1929	1998-01-17	VYDAJ	VYBER	2370	42390	\N	\N	\N
566588	1929	1997-12-30	VYDAJ	VYBER	360	44070	\N	\N	\N
566589	1929	1998-12-30	VYDAJ	VYBER KARTOU	500	54766	\N	\N	0
566596	1929	1998-01-28	VYDAJ	VYBER	600	41220	\N	\N	\N
566597	1929	1998-01-14	VYDAJ	VYBER	840	44760	\N	\N	\N
566598	1929	1998-01-30	VYDAJ	VYBER	690	39210	\N	\N	\N
566599	1929	1998-01-25	VYDAJ	VYBER	150	42240	\N	\N	\N
566600	1929	1998-01-13	VYDAJ	VYBER	870	45600	\N	\N	\N
566601	1929	1998-01-26	VYDAJ	VYBER	420	41820	\N	\N	\N
566607	1929	1998-12-25	VYDAJ	VYBER KARTOU	1000	52166	\N	\N	0
566608	1929	1998-01-29	VYDAJ	VYBER	1320	39900	\N	\N	\N
566609	1929	1998-03-26	VYDAJ	VYBER	930	51678	\N	\N	\N
566610	1929	1998-04-03	VYDAJ	VYBER	780	54793	\N	\N	\N
566622	1929	1997-11-30	VYDAJ	VYBER	15	42897	SLUZBY	\N	\N
566623	1929	1997-12-31	VYDAJ	VYBER	15	44237	SLUZBY	\N	\N
566624	1929	1998-01-31	VYDAJ	VYBER	15	39375	SLUZBY	\N	\N
566625	1929	1998-02-28	VYDAJ	VYBER	15	45575	SLUZBY	\N	\N
566626	1929	1998-03-31	VYDAJ	VYBER	15	51873	SLUZBY	\N	\N
566627	1929	1998-04-30	VYDAJ	VYBER	15	56844	SLUZBY	\N	\N
566628	1929	1998-05-31	VYDAJ	VYBER	15	57499	SLUZBY	\N	\N
566629	1929	1998-06-30	VYDAJ	VYBER	15	50870	SLUZBY	\N	\N
566630	1929	1998-07-31	VYDAJ	VYBER	15	53105	SLUZBY	\N	\N
566631	1929	1998-08-31	VYDAJ	VYBER	15	49339	SLUZBY	\N	\N
566632	1929	1998-09-30	VYDAJ	VYBER	15	51268	SLUZBY	\N	\N
566633	1929	1998-10-31	VYDAJ	VYBER	15	49504	SLUZBY	\N	\N
566634	1929	1998-11-30	VYDAJ	VYBER	15	51333	SLUZBY	\N	\N
566635	1929	1997-08-05	PRIJEM	VKLAD	13000	17473	\N	\N	\N
566636	1929	1997-09-04	PRIJEM	VKLAD	5700	27099	\N	\N	\N
566637	1929	1997-10-04	PRIJEM	VKLAD	2300	33374	\N	\N	\N
566638	1929	1997-11-03	PRIJEM	VKLAD	1500	38881	\N	\N	\N
566639	1929	1997-12-03	VYDAJ	VYBER	300	42597	\N	\N	\N
566640	1929	1998-01-02	PRIJEM	VKLAD	400	44637	\N	\N	\N
566641	1929	1998-02-01	PRIJEM	VKLAD	4200	43575	\N	\N	\N
566642	1929	1998-03-03	PRIJEM	VKLAD	5200	50775	\N	\N	\N
566643	1929	1998-04-02	PRIJEM	VKLAD	3700	55573	\N	\N	\N
566644	1929	1998-05-02	VYDAJ	VYBER	1400	55444	\N	\N	\N
566645	1929	1998-06-01	VYDAJ	VYBER	1800	55699	\N	\N	\N
566646	1929	1998-07-01	PRIJEM	VKLAD	200	51070	\N	\N	\N
566647	1929	1998-07-31	VYDAJ	VYBER	3400	49705	\N	\N	\N
566648	1929	1998-08-30	VYDAJ	VYBER KARTOU	2400	49138	\N	\N	0
566649	1929	1998-09-29	VYDAJ	VYBER KARTOU	100	51072	\N	\N	0
566650	1929	1998-10-29	VYDAJ	VYBER KARTOU	3800	49301	\N	\N	0
566651	1929	1998-11-28	VYDAJ	VYBER KARTOU	200	51137	\N	\N	0
566652	1929	1998-12-28	PRIJEM	VKLAD	3100	55266	\N	\N	\N
566671	1930	1993-06-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
566678	1930	1993-07-10	PRIJEM	PREVOD Z UCTU	6520	7620	DUCHOD	CD	66582178
566679	1930	1993-08-10	PRIJEM	PREVOD Z UCTU	6520	14140	DUCHOD	CD	66582178
566680	1930	1993-09-10	PRIJEM	PREVOD Z UCTU	6520	20660	DUCHOD	CD	66582178
566681	1930	1993-10-10	PRIJEM	PREVOD Z UCTU	6520	27180	DUCHOD	CD	66582178
566682	1930	1993-11-10	PRIJEM	PREVOD Z UCTU	6520	30322	DUCHOD	CD	66582178
566683	1930	1993-12-10	PRIJEM	PREVOD Z UCTU	6520	31660	DUCHOD	CD	66582178
566684	1930	1994-01-10	PRIJEM	PREVOD Z UCTU	6520	25222	DUCHOD	CD	66582178
566685	1930	1994-02-10	PRIJEM	PREVOD Z UCTU	6520	21637	DUCHOD	CD	66582178
566686	1930	1994-03-10	PRIJEM	PREVOD Z UCTU	6520	25005	DUCHOD	CD	66582178
566687	1930	1994-04-10	PRIJEM	PREVOD Z UCTU	6520	24460	DUCHOD	CD	66582178
566688	1930	1994-05-10	PRIJEM	PREVOD Z UCTU	6520	27540	DUCHOD	CD	66582178
566689	1930	1994-06-10	PRIJEM	PREVOD Z UCTU	6520	29651	DUCHOD	CD	66582178
566690	1930	1994-07-10	PRIJEM	PREVOD Z UCTU	6520	26946	DUCHOD	CD	66582178
566691	1930	1994-08-10	PRIJEM	PREVOD Z UCTU	6520	27434	DUCHOD	CD	66582178
566692	1930	1994-09-10	PRIJEM	PREVOD Z UCTU	6520	30827	DUCHOD	CD	66582178
566693	1930	1994-10-10	PRIJEM	PREVOD Z UCTU	6520	28625	DUCHOD	CD	66582178
566694	1930	1994-11-10	PRIJEM	PREVOD Z UCTU	6520	29018	DUCHOD	CD	66582178
566695	1930	1994-12-10	PRIJEM	PREVOD Z UCTU	6520	29312	DUCHOD	CD	66582178
566696	1930	1995-01-10	PRIJEM	PREVOD Z UCTU	6520	21095	DUCHOD	CD	66582178
566697	1930	1995-02-10	PRIJEM	PREVOD Z UCTU	6520	17416	DUCHOD	CD	66582178
566698	1930	1995-03-10	PRIJEM	PREVOD Z UCTU	6520	20766	DUCHOD	CD	66582178
566699	1930	1995-04-10	PRIJEM	PREVOD Z UCTU	6520	22851	DUCHOD	CD	66582178
566700	1930	1995-05-10	PRIJEM	PREVOD Z UCTU	6520	24721	DUCHOD	CD	66582178
566701	1930	1995-06-10	PRIJEM	PREVOD Z UCTU	6520	28103	DUCHOD	CD	66582178
566702	1930	1995-07-10	PRIJEM	PREVOD Z UCTU	6520	25783	DUCHOD	CD	66582178
566703	1930	1995-08-10	PRIJEM	PREVOD Z UCTU	6520	29168	DUCHOD	CD	66582178
566704	1930	1995-09-10	PRIJEM	PREVOD Z UCTU	6520	22250	DUCHOD	CD	66582178
566705	1930	1995-10-10	PRIJEM	PREVOD Z UCTU	6520	21692	DUCHOD	CD	66582178
566706	1930	1995-11-10	PRIJEM	PREVOD Z UCTU	6520	25060	DUCHOD	CD	66582178
566707	1930	1995-12-10	PRIJEM	PREVOD Z UCTU	6520	27641	DUCHOD	CD	66582178
566708	1930	1996-01-10	PRIJEM	PREVOD Z UCTU	6520	24538	DUCHOD	CD	66582178
566709	1930	1996-02-10	PRIJEM	PREVOD Z UCTU	6520	21190	DUCHOD	CD	66582178
566710	1930	1996-03-10	PRIJEM	PREVOD Z UCTU	6520	24556	DUCHOD	CD	66582178
566711	1930	1996-04-10	PRIJEM	PREVOD Z UCTU	6520	24894	DUCHOD	CD	66582178
566712	1930	1996-05-10	PRIJEM	PREVOD Z UCTU	6520	28275	DUCHOD	CD	66582178
566713	1930	1996-06-10	PRIJEM	PREVOD Z UCTU	6520	29866	DUCHOD	CD	66582178
566714	1930	1996-07-10	PRIJEM	PREVOD Z UCTU	6520	20989	DUCHOD	CD	66582178
566715	1930	1996-08-10	PRIJEM	PREVOD Z UCTU	6520	23795	DUCHOD	CD	66582178
566716	1930	1996-09-10	PRIJEM	PREVOD Z UCTU	6520	21748	DUCHOD	CD	66582178
566717	1930	1996-10-10	PRIJEM	PREVOD Z UCTU	6520	25116	DUCHOD	CD	66582178
566718	1930	1996-11-10	PRIJEM	PREVOD Z UCTU	6520	21871	DUCHOD	CD	66582178
566719	1930	1996-12-10	PRIJEM	PREVOD Z UCTU	6520	24243	DUCHOD	CD	66582178
566720	1930	1997-01-10	PRIJEM	PREVOD Z UCTU	6520	21841	DUCHOD	CD	66582178
566721	1930	1997-02-10	PRIJEM	PREVOD Z UCTU	6520	17219	DUCHOD	CD	66582178
566722	1930	1997-03-10	PRIJEM	PREVOD Z UCTU	6520	19926	DUCHOD	CD	66582178
566723	1930	1997-04-10	PRIJEM	PREVOD Z UCTU	6520	19786	DUCHOD	CD	66582178
566724	1930	1997-05-10	PRIJEM	PREVOD Z UCTU	6520	19948	DUCHOD	CD	66582178
566725	1930	1997-06-10	PRIJEM	PREVOD Z UCTU	6520	22610	DUCHOD	CD	66582178
566726	1930	1997-07-10	PRIJEM	PREVOD Z UCTU	6520	21566	DUCHOD	CD	66582178
566727	1930	1997-08-10	PRIJEM	PREVOD Z UCTU	6520	24132	DUCHOD	CD	66582178
566728	1930	1997-09-10	PRIJEM	PREVOD Z UCTU	6520	24709	DUCHOD	CD	66582178
566729	1930	1997-10-10	PRIJEM	PREVOD Z UCTU	6520	21991	DUCHOD	CD	66582178
566730	1930	1997-11-10	PRIJEM	PREVOD Z UCTU	6520	21664	DUCHOD	CD	66582178
566731	1930	1997-12-10	PRIJEM	PREVOD Z UCTU	6520	24233	DUCHOD	CD	66582178
566732	1930	1998-01-10	PRIJEM	PREVOD Z UCTU	6520	21429	DUCHOD	CD	66582178
566733	1930	1998-02-10	PRIJEM	PREVOD Z UCTU	6520	19188	DUCHOD	CD	66582178
566734	1930	1998-03-10	PRIJEM	PREVOD Z UCTU	6520	22543	DUCHOD	CD	66582178
566735	1930	1998-04-10	PRIJEM	PREVOD Z UCTU	6520	21669	DUCHOD	CD	66582178
566736	1930	1998-05-10	PRIJEM	PREVOD Z UCTU	6520	25036	DUCHOD	CD	66582178
566737	1930	1998-06-10	PRIJEM	PREVOD Z UCTU	6520	26337	DUCHOD	CD	66582178
566738	1930	1998-07-10	PRIJEM	PREVOD Z UCTU	6520	26419	DUCHOD	CD	66582178
566739	1930	1998-08-10	PRIJEM	PREVOD Z UCTU	6520	29805	DUCHOD	CD	66582178
566740	1930	1998-09-10	PRIJEM	PREVOD Z UCTU	6520	29518	DUCHOD	CD	66582178
566741	1930	1998-10-10	PRIJEM	PREVOD Z UCTU	6520	29715	DUCHOD	CD	66582178
566742	1930	1998-11-10	PRIJEM	PREVOD Z UCTU	6520	33115	DUCHOD	CD	66582178
566743	1930	1998-12-10	PRIJEM	PREVOD Z UCTU	6520	36529	DUCHOD	CD	66582178
566755	1930	1993-12-08	VYDAJ	PREVOD NA UCET	3223	25140	SIPO	ST	47185248
566756	1930	1994-01-08	VYDAJ	PREVOD NA UCET	3223	20782	SIPO	ST	47185248
566757	1930	1994-02-08	VYDAJ	PREVOD NA UCET	3223	15117	SIPO	ST	47185248
566758	1930	1994-03-08	VYDAJ	PREVOD NA UCET	3223	18485	SIPO	ST	47185248
566759	1930	1994-04-08	VYDAJ	PREVOD NA UCET	3223	17940	SIPO	ST	47185248
566760	1930	1994-05-08	VYDAJ	PREVOD NA UCET	3223	21020	SIPO	ST	47185248
566761	1930	1994-06-08	VYDAJ	PREVOD NA UCET	3223	23131	SIPO	ST	47185248
566762	1930	1994-07-08	VYDAJ	PREVOD NA UCET	3223	20426	SIPO	ST	47185248
566763	1930	1994-08-08	VYDAJ	PREVOD NA UCET	3223	20914	SIPO	ST	47185248
566764	1930	1994-09-08	VYDAJ	PREVOD NA UCET	3223	24307	SIPO	ST	47185248
566765	1930	1994-10-08	VYDAJ	PREVOD NA UCET	3223	22105	SIPO	ST	47185248
566766	1930	1994-11-08	VYDAJ	PREVOD NA UCET	3223	22498	SIPO	ST	47185248
566767	1930	1994-12-08	VYDAJ	PREVOD NA UCET	3223	22792	SIPO	ST	47185248
566768	1930	1995-01-08	VYDAJ	PREVOD NA UCET	3223	14575	SIPO	ST	47185248
566769	1930	1995-02-08	VYDAJ	PREVOD NA UCET	3223	10896	SIPO	ST	47185248
566770	1930	1995-03-08	VYDAJ	PREVOD NA UCET	3223	14246	SIPO	ST	47185248
566771	1930	1995-04-08	VYDAJ	PREVOD NA UCET	3223	16331	SIPO	ST	47185248
566772	1930	1995-05-08	VYDAJ	PREVOD NA UCET	3223	18201	SIPO	ST	47185248
566773	1930	1995-06-08	VYDAJ	PREVOD NA UCET	3223	21583	SIPO	ST	47185248
566774	1930	1995-07-08	VYDAJ	PREVOD NA UCET	3223	19263	SIPO	ST	47185248
566775	1930	1995-08-08	VYDAJ	PREVOD NA UCET	3223	22648	SIPO	ST	47185248
566776	1930	1995-09-08	VYDAJ	PREVOD NA UCET	3223	15730	SIPO	ST	47185248
566777	1930	1995-10-08	VYDAJ	PREVOD NA UCET	3223	15172	SIPO	ST	47185248
566778	1930	1995-11-08	VYDAJ	PREVOD NA UCET	3223	18540	SIPO	ST	47185248
566779	1930	1995-12-08	VYDAJ	PREVOD NA UCET	3223	21121	SIPO	ST	47185248
566780	1930	1996-01-08	VYDAJ	PREVOD NA UCET	3223	19818	SIPO	ST	47185248
566781	1930	1996-02-08	VYDAJ	PREVOD NA UCET	3223	14670	SIPO	ST	47185248
566782	1930	1996-03-08	VYDAJ	PREVOD NA UCET	3223	18036	SIPO	ST	47185248
566783	1930	1996-04-08	VYDAJ	PREVOD NA UCET	3223	18374	SIPO	ST	47185248
566784	1930	1996-05-08	VYDAJ	PREVOD NA UCET	3223	21755	SIPO	ST	47185248
566785	1930	1996-06-08	VYDAJ	PREVOD NA UCET	3223	23346	SIPO	ST	47185248
566786	1930	1996-07-08	VYDAJ	PREVOD NA UCET	3223	14469	SIPO	ST	47185248
566787	1930	1996-08-08	VYDAJ	PREVOD NA UCET	3223	17275	SIPO	ST	47185248
566788	1930	1996-09-08	VYDAJ	PREVOD NA UCET	3223	15228	SIPO	ST	47185248
566789	1930	1996-10-08	VYDAJ	PREVOD NA UCET	3223	18596	SIPO	ST	47185248
566790	1930	1996-11-08	VYDAJ	PREVOD NA UCET	3223	15351	SIPO	ST	47185248
566791	1930	1996-12-08	VYDAJ	PREVOD NA UCET	3223	17723	SIPO	ST	47185248
566792	1930	1997-01-08	VYDAJ	PREVOD NA UCET	3223	16681	SIPO	ST	47185248
566793	1930	1997-02-08	VYDAJ	PREVOD NA UCET	3223	10699	SIPO	ST	47185248
566794	1930	1997-03-08	VYDAJ	PREVOD NA UCET	3223	13406	SIPO	ST	47185248
566795	1930	1997-04-08	VYDAJ	PREVOD NA UCET	3223	13266	SIPO	ST	47185248
566796	1930	1997-05-08	VYDAJ	PREVOD NA UCET	3223	13428	SIPO	ST	47185248
566797	1930	1997-06-08	VYDAJ	PREVOD NA UCET	3223	16090	SIPO	ST	47185248
566798	1930	1997-07-08	VYDAJ	PREVOD NA UCET	3223	15046	SIPO	ST	47185248
566799	1930	1997-08-08	VYDAJ	PREVOD NA UCET	3223	17612	SIPO	ST	47185248
566800	1930	1997-09-08	VYDAJ	PREVOD NA UCET	3223	18189	SIPO	ST	47185248
566801	1930	1997-10-08	VYDAJ	PREVOD NA UCET	3223	15471	SIPO	ST	47185248
566802	1930	1997-11-08	VYDAJ	PREVOD NA UCET	3223	15144	SIPO	ST	47185248
566803	1930	1997-12-08	VYDAJ	PREVOD NA UCET	3223	17713	SIPO	ST	47185248
566804	1930	1998-01-08	VYDAJ	PREVOD NA UCET	3223	16189	SIPO	ST	47185248
566805	1930	1998-02-08	VYDAJ	PREVOD NA UCET	3223	12668	SIPO	ST	47185248
566806	1930	1998-03-08	VYDAJ	PREVOD NA UCET	3223	16023	SIPO	ST	47185248
566807	1930	1998-04-08	VYDAJ	PREVOD NA UCET	3223	15149	SIPO	ST	47185248
566808	1930	1998-05-08	VYDAJ	PREVOD NA UCET	3223	18516	SIPO	ST	47185248
566809	1930	1998-06-08	VYDAJ	PREVOD NA UCET	3223	21897	SIPO	ST	47185248
566810	1930	1998-07-08	VYDAJ	PREVOD NA UCET	3223	19899	SIPO	ST	47185248
566811	1930	1998-08-08	VYDAJ	PREVOD NA UCET	3223	23285	SIPO	ST	47185248
566812	1930	1998-09-08	VYDAJ	PREVOD NA UCET	3223	22998	SIPO	ST	47185248
566813	1930	1998-10-08	VYDAJ	PREVOD NA UCET	3223	23195	SIPO	ST	47185248
566814	1930	1998-11-08	VYDAJ	PREVOD NA UCET	3223	26595	SIPO	ST	47185248
566815	1930	1998-12-08	VYDAJ	PREVOD NA UCET	3223	30009	SIPO	ST	47185248
566817	1930	1994-06-24	VYDAJ	VYBER	2500	23551	\N	\N	\N
566818	1930	1995-06-12	VYDAJ	VYBER	5700	22403	\N	\N	\N
566819	1930	1996-06-13	VYDAJ	VYBER	5250	18896	\N	\N	\N
566820	1930	1997-06-21	VYDAJ	VYBER	2150	20460	\N	\N	\N
566821	1930	1998-06-13	VYDAJ	VYBER	1700	24637	\N	\N	\N
566823	1930	1994-01-04	VYDAJ	VYBER	1400	24005	\N	\N	\N
566824	1930	1995-01-05	VYDAJ	VYBER	4950	19558	\N	\N	\N
566825	1930	1996-01-08	VYDAJ	VYBER	1800	18018	\N	\N	\N
566827	1930	1998-01-06	VYDAJ	VYBER	1200	20612	\N	\N	\N
566828	1930	1993-12-08	VYDAJ	VYBER	1450	28363	\N	\N	\N
566829	1930	1994-12-27	VYDAJ	VYBER	1100	24412	\N	\N	\N
566830	1930	1995-12-30	VYDAJ	VYBER	850	24711	\N	\N	\N
566831	1930	1996-12-04	VYDAJ	VYBER	1000	20946	\N	\N	\N
566832	1930	1997-12-11	VYDAJ	VYBER	400	23833	\N	\N	\N
566833	1930	1998-12-26	VYDAJ	VYBER	1450	35079	\N	\N	\N
566840	1930	1994-01-21	VYDAJ	VYBER	400	21782	\N	\N	\N
566841	1930	1994-01-14	VYDAJ	VYBER	1680	22182	\N	\N	\N
566842	1930	1994-01-09	VYDAJ	VYBER	2080	18702	\N	\N	\N
566843	1930	1994-01-10	VYDAJ	VYBER	1360	23862	\N	\N	\N
566844	1930	1994-01-25	VYDAJ	VYBER	1040	19142	\N	\N	\N
566845	1930	1994-01-30	VYDAJ	VYBER	880	18262	\N	\N	\N
566846	1930	1995-01-30	VYDAJ	VYBER	1440	14055	\N	\N	\N
566847	1930	1995-01-18	VYDAJ	VYBER	2000	16775	\N	\N	\N
566848	1930	1995-01-08	VYDAJ	VYBER	1040	18518	\N	\N	\N
566849	1930	1995-01-22	VYDAJ	VYBER	1280	15495	\N	\N	\N
566850	1930	1995-01-08	VYDAJ	VYBER	720	17798	\N	\N	\N
566851	1930	1995-01-13	VYDAJ	VYBER	2320	18775	\N	\N	\N
566852	1930	1996-01-14	VYDAJ	VYBER	880	22698	\N	\N	\N
566853	1930	1996-01-11	VYDAJ	VYBER	560	23978	\N	\N	\N
566854	1930	1996-01-23	VYDAJ	VYBER	400	20298	\N	\N	\N
566855	1930	1996-01-07	VYDAJ	VYBER	1760	23041	\N	\N	\N
566856	1930	1996-01-24	VYDAJ	VYBER	1520	18778	\N	\N	\N
566857	1930	1996-01-17	VYDAJ	VYBER	2000	20698	\N	\N	\N
566858	1930	1997-01-03	VYDAJ	VYBER	1920	22404	\N	\N	\N
566859	1930	1997-01-16	VYDAJ	VYBER	1520	16241	\N	\N	\N
566860	1930	1997-01-23	VYDAJ	VYBER	880	15361	\N	\N	\N
566861	1930	1997-01-09	VYDAJ	VYBER	1360	15321	\N	\N	\N
566862	1930	1997-01-10	VYDAJ	VYBER	2080	19761	\N	\N	\N
566863	1930	1997-01-13	VYDAJ	VYBER	2000	17761	\N	\N	\N
566864	1930	1998-01-22	VYDAJ	VYBER	1040	15829	\N	\N	\N
566865	1930	1998-01-16	VYDAJ	VYBER	1520	17749	\N	\N	\N
566866	1930	1998-01-20	VYDAJ	VYBER	480	16869	\N	\N	\N
566867	1930	1998-01-07	VYDAJ	VYBER	1200	19412	\N	\N	\N
566868	1930	1998-01-08	VYDAJ	VYBER	1280	14909	\N	\N	\N
566869	1930	1998-01-15	VYDAJ	VYBER	2160	19269	\N	\N	\N
566870	1930	1993-12-18	VYDAJ	VYBER	2960	28700	\N	\N	\N
566876	1930	1994-03-27	VYDAJ	VYBER	1600	21085	\N	\N	\N
566877	1930	1994-01-25	VYDAJ	VYBER	1600	20182	\N	\N	\N
566878	1930	1994-07-25	VYDAJ	VYBER	2800	24046	\N	\N	\N
566879	1930	1994-03-11	VYDAJ	VYBER	2320	22685	\N	\N	\N
566880	1930	1994-05-23	VYDAJ	VYBER	1280	26260	\N	\N	\N
566881	1930	1995-08-17	VYDAJ	VYBER	3760	21908	\N	\N	\N
566882	1930	1995-11-21	VYDAJ	VYBER	400	24260	\N	\N	\N
566883	1930	1995-09-15	VYDAJ	VYBER	3920	18330	\N	\N	\N
566884	1930	1995-08-26	VYDAJ	VYBER	3040	18868	\N	\N	\N
566885	1930	1995-04-05	VYDAJ	VYBER	1280	19554	\N	\N	\N
566886	1930	1995-12-11	VYDAJ	VYBER	1680	25961	\N	\N	\N
566887	1930	1996-07-08	VYDAJ	VYBER	1280	17692	\N	\N	\N
566888	1930	1996-06-12	VYDAJ	VYBER	2320	24146	\N	\N	\N
566889	1930	1996-03-23	VYDAJ	VYBER	1760	22796	\N	\N	\N
566890	1930	1996-08-27	VYDAJ	VYBER	3920	18375	\N	\N	\N
566891	1930	1996-04-02	VYDAJ	VYBER	1280	21597	\N	\N	\N
566892	1930	1996-10-18	VYDAJ	VYBER	3520	21596	\N	\N	\N
566893	1930	1996-02-02	VYDAJ	VYBER	960	17893	\N	\N	\N
566894	1930	1996-07-26	VYDAJ	VYBER	560	20429	\N	\N	\N
566895	1930	1997-06-22	VYDAJ	VYBER	1360	19100	\N	\N	\N
566896	1930	1997-02-10	VYDAJ	VYBER	640	16579	\N	\N	\N
566899	1930	1997-06-26	VYDAJ	VYBER	800	18300	\N	\N	\N
566900	1930	1998-03-22	VYDAJ	VYBER	3120	19423	\N	\N	\N
566901	1930	1998-01-18	VYDAJ	VYBER	400	17349	\N	\N	\N
566903	1930	1998-04-06	VYDAJ	VYBER	1120	18372	\N	\N	\N
566904	1930	1998-06-09	VYDAJ	VYBER	2080	19817	\N	\N	\N
566905	1930	1998-08-17	VYDAJ	VYBER	3680	26125	\N	\N	\N
566906	1930	1998-06-27	VYDAJ	VYBER	1600	23037	\N	\N	\N
566918	1930	1993-11-30	VYDAJ	VYBER	15	29813	SLUZBY	\N	\N
566919	1930	1993-12-31	VYDAJ	VYBER	15	25405	SLUZBY	\N	\N
566920	1930	1994-01-31	VYDAJ	VYBER	15	18340	SLUZBY	\N	\N
566921	1930	1994-02-28	VYDAJ	VYBER	15	21708	SLUZBY	\N	\N
566922	1930	1994-03-31	VYDAJ	VYBER	15	21163	SLUZBY	\N	\N
566923	1930	1994-04-30	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
566924	1930	1994-05-31	VYDAJ	VYBER	15	26354	SLUZBY	\N	\N
566925	1930	1994-06-30	VYDAJ	VYBER	15	23649	SLUZBY	\N	\N
566926	1930	1994-07-31	VYDAJ	VYBER	15	24137	SLUZBY	\N	\N
566927	1930	1994-08-31	VYDAJ	VYBER	15	27530	SLUZBY	\N	\N
566928	1930	1994-09-30	VYDAJ	VYBER	15	25328	SLUZBY	\N	\N
566929	1930	1994-10-31	VYDAJ	VYBER	15	25721	SLUZBY	\N	\N
566930	1930	1994-11-30	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
566931	1930	1994-12-31	VYDAJ	VYBER	15	24508	SLUZBY	\N	\N
566932	1930	1995-01-31	VYDAJ	VYBER	15	14119	SLUZBY	\N	\N
566933	1930	1995-02-28	VYDAJ	VYBER	15	17469	SLUZBY	\N	\N
566934	1930	1995-03-31	VYDAJ	VYBER	15	20834	SLUZBY	\N	\N
566935	1930	1995-04-30	VYDAJ	VYBER	15	21424	SLUZBY	\N	\N
566936	1930	1995-05-31	VYDAJ	VYBER	15	24806	SLUZBY	\N	\N
566937	1930	1995-06-30	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
566938	1930	1995-07-31	VYDAJ	VYBER	15	25871	SLUZBY	\N	\N
566939	1930	1995-08-31	VYDAJ	VYBER	15	18953	SLUZBY	\N	\N
566940	1930	1995-09-30	VYDAJ	VYBER	15	18395	SLUZBY	\N	\N
566941	1930	1995-10-31	VYDAJ	VYBER	15	21763	SLUZBY	\N	\N
566942	1930	1995-11-30	VYDAJ	VYBER	15	24344	SLUZBY	\N	\N
566943	1930	1995-12-31	VYDAJ	VYBER	15	24801	SLUZBY	\N	\N
566944	1930	1996-01-31	VYDAJ	VYBER	15	18853	SLUZBY	\N	\N
566945	1930	1996-02-29	VYDAJ	VYBER	15	21259	SLUZBY	\N	\N
566946	1930	1996-03-31	VYDAJ	VYBER	15	22877	SLUZBY	\N	\N
566947	1930	1996-04-30	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
566948	1930	1996-05-31	VYDAJ	VYBER	15	26569	SLUZBY	\N	\N
566949	1930	1996-06-30	VYDAJ	VYBER	15	18972	SLUZBY	\N	\N
566950	1930	1996-07-31	VYDAJ	VYBER	15	20498	SLUZBY	\N	\N
566951	1930	1996-08-31	VYDAJ	VYBER	15	18451	SLUZBY	\N	\N
566952	1930	1996-09-30	VYDAJ	VYBER	15	21819	SLUZBY	\N	\N
566953	1930	1996-10-31	VYDAJ	VYBER	15	21674	SLUZBY	\N	\N
566954	1930	1996-11-30	VYDAJ	VYBER	15	21946	SLUZBY	\N	\N
566955	1930	1996-12-31	VYDAJ	VYBER	15	24324	SLUZBY	\N	\N
566956	1930	1997-01-31	VYDAJ	VYBER	15	15422	SLUZBY	\N	\N
566957	1930	1997-02-28	VYDAJ	VYBER	15	16629	SLUZBY	\N	\N
566958	1930	1997-03-31	VYDAJ	VYBER	15	19989	SLUZBY	\N	\N
566959	1930	1997-04-30	VYDAJ	VYBER	15	19851	SLUZBY	\N	\N
566960	1930	1997-05-31	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
566961	1930	1997-06-30	VYDAJ	VYBER	15	18369	SLUZBY	\N	\N
566962	1930	1997-07-31	VYDAJ	VYBER	15	21635	SLUZBY	\N	\N
566963	1930	1997-08-31	VYDAJ	VYBER	15	24212	SLUZBY	\N	\N
566964	1930	1997-09-30	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
566965	1930	1997-10-31	VYDAJ	VYBER	15	22067	SLUZBY	\N	\N
566966	1930	1997-11-30	VYDAJ	VYBER	15	21736	SLUZBY	\N	\N
566967	1930	1997-12-31	VYDAJ	VYBER	15	23912	SLUZBY	\N	\N
566968	1930	1998-01-31	VYDAJ	VYBER	15	15891	SLUZBY	\N	\N
566969	1930	1998-02-28	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
566970	1930	1998-03-31	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
566971	1930	1998-04-30	VYDAJ	VYBER	15	21739	SLUZBY	\N	\N
566972	1930	1998-05-31	VYDAJ	VYBER	15	25120	SLUZBY	\N	\N
566973	1930	1998-06-30	VYDAJ	VYBER	15	23122	SLUZBY	\N	\N
566974	1930	1998-07-31	VYDAJ	VYBER	15	26508	SLUZBY	\N	\N
566975	1930	1998-08-31	VYDAJ	VYBER	15	26221	SLUZBY	\N	\N
566976	1930	1998-09-30	VYDAJ	VYBER	15	26418	SLUZBY	\N	\N
566977	1930	1998-10-31	VYDAJ	VYBER	15	29818	SLUZBY	\N	\N
566978	1930	1998-11-30	VYDAJ	VYBER	15	33232	SLUZBY	\N	\N
566979	1930	1993-10-25	VYDAJ	VYBER	3400	23780	\N	\N	\N
566980	1930	1993-11-24	VYDAJ	VYBER	600	29722	\N	\N	\N
566981	1930	1993-12-24	VYDAJ	VYBER	3400	25300	\N	\N	\N
566982	1930	1994-04-23	VYDAJ	VYBER	300	24160	\N	\N	\N
566983	1930	1994-06-22	VYDAJ	VYBER	3600	26051	\N	\N	\N
566984	1930	1994-07-22	VYDAJ	VYBER	100	26846	\N	\N	\N
566985	1930	1994-09-20	VYDAJ	VYBER	5600	25227	\N	\N	\N
566986	1930	1994-10-20	VYDAJ	VYBER	3000	25625	\N	\N	\N
566987	1930	1994-11-19	VYDAJ	VYBER	3100	25918	\N	\N	\N
566988	1930	1994-12-19	VYDAJ	VYBER	3800	25512	\N	\N	\N
566989	1930	1995-04-18	VYDAJ	VYBER	1500	21351	\N	\N	\N
566990	1930	1995-08-16	VYDAJ	VYBER	3500	25668	\N	\N	\N
566991	1930	1995-11-14	VYDAJ	VYBER	400	24660	\N	\N	\N
566992	1930	1995-12-14	VYDAJ	VYBER	400	25561	\N	\N	\N
566993	1930	1996-01-13	VYDAJ	VYBER	400	23578	\N	\N	\N
566994	1930	1996-05-12	VYDAJ	VYBER	1800	26475	\N	\N	\N
566995	1930	1996-06-11	VYDAJ	VYBER	3400	26466	\N	\N	\N
566996	1930	1996-08-10	VYDAJ	VYBER	1500	22295	\N	\N	\N
566997	1930	1996-11-08	VYDAJ	VYBER	3100	18574	\N	\N	\N
566998	1930	1997-01-07	VYDAJ	VYBER	2500	19904	\N	\N	\N
566999	1930	1997-02-06	VYDAJ	VYBER	1500	13922	\N	\N	\N
567000	1930	1997-04-07	VYDAJ	VYBER	3500	16489	\N	\N	\N
567001	1930	1997-05-07	VYDAJ	VYBER	3200	16651	\N	\N	\N
567002	1930	1997-06-06	VYDAJ	VYBER	700	19313	\N	\N	\N
567003	1930	1997-07-06	VYDAJ	VYBER	100	18269	\N	\N	\N
567004	1930	1997-08-05	VYDAJ	VYBER	800	20835	\N	\N	\N
567005	1930	1997-09-04	VYDAJ	VYBER	2800	21412	\N	\N	\N
567006	1930	1997-10-04	VYDAJ	VYBER	6100	18694	\N	\N	\N
567007	1930	1997-11-03	VYDAJ	VYBER	3700	18367	\N	\N	\N
567008	1930	1997-12-03	VYDAJ	VYBER	800	20936	\N	\N	\N
567009	1930	1998-01-02	VYDAJ	VYBER	2100	21812	\N	\N	\N
567010	1930	1998-09-29	VYDAJ	VYBER	3200	26318	\N	\N	\N
567074	1931	1993-11-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
567086	1931	1993-12-10	PRIJEM	VKLAD	14003	15103	\N	\N	\N
567087	1931	1994-01-10	PRIJEM	VKLAD	9335	27359	\N	\N	\N
567088	1931	1994-02-10	PRIJEM	VKLAD	9335	35480	\N	\N	\N
567089	1931	1994-03-10	PRIJEM	VKLAD	9335	37526	\N	\N	\N
567090	1931	1994-04-10	PRIJEM	VKLAD	9335	37979	\N	\N	\N
567091	1931	1994-05-10	PRIJEM	VKLAD	9335	32707	\N	\N	\N
567092	1931	1994-06-10	PRIJEM	VKLAD	14003	34295	\N	\N	\N
567093	1931	1994-07-10	PRIJEM	VKLAD	9335	32117	\N	\N	\N
567094	1931	1994-08-10	PRIJEM	VKLAD	9335	30436	\N	\N	\N
567095	1931	1994-09-10	PRIJEM	VKLAD	9335	30651	\N	\N	\N
567096	1931	1994-10-10	PRIJEM	VKLAD	9335	29464	\N	\N	\N
567097	1931	1994-11-10	PRIJEM	VKLAD	9335	32278	\N	\N	\N
567098	1931	1994-12-10	PRIJEM	VKLAD	14003	33263	\N	\N	\N
567099	1931	1995-01-10	PRIJEM	VKLAD	9335	29805	\N	\N	\N
567100	1931	1995-02-10	PRIJEM	VKLAD	9335	20992	\N	\N	\N
567101	1931	1995-03-10	PRIJEM	VKLAD	9335	24353	\N	\N	\N
567102	1931	1995-04-10	PRIJEM	VKLAD	9335	27246	\N	\N	\N
567103	1931	1995-05-10	PRIJEM	VKLAD	9335	25841	\N	\N	\N
567104	1931	1995-06-10	PRIJEM	VKLAD	14003	33654	\N	\N	\N
567105	1931	1995-07-10	PRIJEM	VKLAD	9335	16427	\N	\N	\N
567106	1931	1995-08-10	PRIJEM	VKLAD	9335	22995	\N	\N	\N
567107	1931	1995-09-10	PRIJEM	VKLAD	9335	27787	\N	\N	\N
567108	1931	1995-10-10	PRIJEM	VKLAD	9335	24880	\N	\N	\N
567109	1931	1995-11-10	PRIJEM	VKLAD	9335	21554	\N	\N	\N
567110	1931	1995-12-10	PRIJEM	VKLAD	14003	24300	\N	\N	\N
567111	1931	1996-01-10	PRIJEM	VKLAD	9335	23979	\N	\N	\N
567112	1931	1996-02-10	PRIJEM	VKLAD	9335	17074	\N	\N	\N
567113	1931	1996-03-10	PRIJEM	VKLAD	9335	20337	\N	\N	\N
567114	1931	1996-04-10	PRIJEM	VKLAD	9335	21409	\N	\N	\N
567115	1931	1996-05-10	PRIJEM	VKLAD	9335	17696	\N	\N	\N
567116	1931	1996-06-10	PRIJEM	VKLAD	14003	21465	\N	\N	\N
567117	1931	1996-07-10	PRIJEM	VKLAD	9335	28947	\N	\N	\N
567118	1931	1996-08-10	PRIJEM	VKLAD	9335	29952	\N	\N	\N
567119	1931	1996-09-10	PRIJEM	VKLAD	9335	32171	\N	\N	\N
567120	1931	1996-10-10	PRIJEM	VKLAD	9335	30937	\N	\N	\N
567121	1931	1996-11-10	PRIJEM	VKLAD	9335	31781	\N	\N	\N
567122	1931	1996-12-10	PRIJEM	VKLAD	14003	40704	\N	\N	\N
567123	1931	1997-01-10	PRIJEM	VKLAD	9335	34208	\N	\N	\N
567124	1931	1997-02-10	PRIJEM	VKLAD	9335	33910	\N	\N	\N
567125	1931	1997-03-10	PRIJEM	VKLAD	9335	40137	\N	\N	\N
567126	1931	1997-04-10	PRIJEM	VKLAD	9335	42292	\N	\N	\N
567127	1931	1997-05-10	PRIJEM	VKLAD	9335	42459	\N	\N	\N
567128	1931	1997-06-10	PRIJEM	VKLAD	14003	30354	\N	\N	\N
567129	1931	1997-07-10	PRIJEM	VKLAD	9335	29675	\N	\N	\N
567130	1931	1997-08-10	PRIJEM	VKLAD	9335	24791	\N	\N	\N
567131	1931	1997-09-10	PRIJEM	VKLAD	9335	21478	\N	\N	\N
567132	1931	1997-10-10	PRIJEM	VKLAD	9335	19858	\N	\N	\N
567133	1931	1997-11-10	PRIJEM	VKLAD	9335	21133	\N	\N	\N
567134	1931	1997-12-10	PRIJEM	VKLAD	14003	25579	\N	\N	\N
567135	1931	1998-01-10	PRIJEM	VKLAD	9335	21433	\N	\N	\N
567136	1931	1998-02-10	PRIJEM	VKLAD	9335	19438	\N	\N	\N
567137	1931	1998-03-10	PRIJEM	VKLAD	9335	16409	\N	\N	\N
567138	1931	1998-04-10	PRIJEM	VKLAD	9335	20670	\N	\N	\N
567139	1931	1998-05-10	PRIJEM	VKLAD	9335	21644	\N	\N	\N
567140	1931	1998-06-10	PRIJEM	VKLAD	14003	23291	\N	\N	\N
567141	1931	1998-07-10	PRIJEM	VKLAD	9335	23466	\N	\N	\N
567142	1931	1998-08-10	PRIJEM	VKLAD	9335	16952	\N	\N	\N
567143	1931	1998-09-10	PRIJEM	VKLAD	9335	19913	\N	\N	\N
567144	1931	1998-10-10	PRIJEM	VKLAD	9335	20541	\N	\N	\N
567145	1931	1998-11-10	PRIJEM	VKLAD	9335	18791	\N	\N	\N
567146	1931	1998-12-10	PRIJEM	VKLAD	14003	21423	\N	\N	\N
567163	1931	1994-05-06	VYDAJ	PREVOD NA UCET	4898	24674	SIPO	AB	34779352
567164	1931	1994-06-06	VYDAJ	PREVOD NA UCET	4898	21594	SIPO	AB	34779352
567165	1931	1994-07-06	VYDAJ	PREVOD NA UCET	4898	24084	SIPO	AB	34779352
567166	1931	1994-08-06	VYDAJ	PREVOD NA UCET	4898	22403	SIPO	AB	34779352
567167	1931	1994-09-06	VYDAJ	PREVOD NA UCET	4898	22618	SIPO	AB	34779352
567168	1931	1994-10-06	VYDAJ	PREVOD NA UCET	4898	21431	SIPO	AB	34779352
567169	1931	1994-11-06	VYDAJ	PREVOD NA UCET	4898	24245	SIPO	AB	34779352
567170	1931	1994-12-06	VYDAJ	PREVOD NA UCET	4898	20563	SIPO	AB	34779352
567171	1931	1995-01-06	VYDAJ	PREVOD NA UCET	4898	21772	SIPO	AB	34779352
567172	1931	1995-02-06	VYDAJ	PREVOD NA UCET	4898	12959	SIPO	AB	34779352
567173	1931	1995-03-06	VYDAJ	PREVOD NA UCET	4898	16320	SIPO	AB	34779352
567174	1931	1995-04-06	VYDAJ	PREVOD NA UCET	4898	19213	SIPO	AB	34779352
567175	1931	1995-05-06	VYDAJ	PREVOD NA UCET	4898	17808	SIPO	AB	34779352
567176	1931	1995-06-06	VYDAJ	PREVOD NA UCET	4898	20953	SIPO	AB	34779352
567177	1931	1995-07-06	VYDAJ	PREVOD NA UCET	4898	8394	SIPO	AB	34779352
567178	1931	1995-08-06	VYDAJ	PREVOD NA UCET	4898	14962	SIPO	AB	34779352
567179	1931	1995-09-06	VYDAJ	PREVOD NA UCET	4898	19754	SIPO	AB	34779352
567180	1931	1995-10-06	VYDAJ	PREVOD NA UCET	4898	16847	SIPO	AB	34779352
567181	1931	1995-11-06	VYDAJ	PREVOD NA UCET	4898	13521	SIPO	AB	34779352
567182	1931	1995-12-06	VYDAJ	PREVOD NA UCET	4898	11600	SIPO	AB	34779352
567183	1931	1996-01-06	VYDAJ	PREVOD NA UCET	4898	15946	SIPO	AB	34779352
567184	1931	1996-02-06	VYDAJ	PREVOD NA UCET	4898	9041	SIPO	AB	34779352
567185	1931	1996-03-06	VYDAJ	PREVOD NA UCET	4898	12304	SIPO	AB	34779352
567186	1931	1996-04-06	VYDAJ	PREVOD NA UCET	4898	13376	SIPO	AB	34779352
567187	1931	1996-05-06	VYDAJ	PREVOD NA UCET	4898	9663	SIPO	AB	34779352
567188	1931	1996-06-06	VYDAJ	PREVOD NA UCET	4898	8764	SIPO	AB	34779352
567189	1931	1996-07-06	VYDAJ	PREVOD NA UCET	4898	18914	SIPO	AB	34779352
567190	1931	1996-08-06	VYDAJ	PREVOD NA UCET	4898	24119	SIPO	AB	34779352
567191	1931	1996-09-06	VYDAJ	PREVOD NA UCET	4898	25138	SIPO	AB	34779352
567192	1931	1996-10-06	VYDAJ	PREVOD NA UCET	4898	27364	SIPO	AB	34779352
567193	1931	1996-11-06	VYDAJ	PREVOD NA UCET	4898	24448	SIPO	AB	34779352
567194	1931	1996-12-06	VYDAJ	PREVOD NA UCET	4898	24204	SIPO	AB	34779352
567195	1931	1997-01-06	VYDAJ	PREVOD NA UCET	4898	28255	SIPO	AB	34779352
567196	1931	1997-02-06	VYDAJ	PREVOD NA UCET	4898	25877	SIPO	AB	34779352
567197	1931	1997-03-06	VYDAJ	PREVOD NA UCET	4898	29104	SIPO	AB	34779352
567198	1931	1997-04-06	VYDAJ	PREVOD NA UCET	4898	35359	SIPO	AB	34779352
567199	1931	1997-05-06	VYDAJ	PREVOD NA UCET	4898	37526	SIPO	AB	34779352
567200	1931	1997-06-06	VYDAJ	PREVOD NA UCET	4898	17654	SIPO	AB	34779352
567201	1931	1997-07-06	VYDAJ	PREVOD NA UCET	4898	21642	SIPO	AB	34779352
567202	1931	1997-08-06	VYDAJ	PREVOD NA UCET	4898	16758	SIPO	AB	34779352
567203	1931	1997-09-06	VYDAJ	PREVOD NA UCET	4898	13445	SIPO	AB	34779352
567204	1931	1997-10-06	VYDAJ	PREVOD NA UCET	4898	11825	SIPO	AB	34779352
567205	1931	1997-11-06	VYDAJ	PREVOD NA UCET	4898	13100	SIPO	AB	34779352
567206	1931	1997-12-06	VYDAJ	PREVOD NA UCET	4898	12878	SIPO	AB	34779352
567207	1931	1998-01-06	VYDAJ	PREVOD NA UCET	4898	13400	SIPO	AB	34779352
567208	1931	1998-02-06	VYDAJ	PREVOD NA UCET	4898	11405	SIPO	AB	34779352
567209	1931	1998-03-06	VYDAJ	PREVOD NA UCET	4898	8376	SIPO	AB	34779352
567210	1931	1998-04-06	VYDAJ	PREVOD NA UCET	4898	12637	SIPO	AB	34779352
567211	1931	1998-05-06	VYDAJ	PREVOD NA UCET	4898	13611	SIPO	AB	34779352
567212	1931	1998-06-06	VYDAJ	PREVOD NA UCET	4898	10590	SIPO	AB	34779352
567213	1931	1998-07-06	VYDAJ	PREVOD NA UCET	4898	15433	SIPO	AB	34779352
567214	1931	1998-08-06	VYDAJ	PREVOD NA UCET	4898	8919	SIPO	AB	34779352
567215	1931	1998-09-06	VYDAJ	PREVOD NA UCET	4898	11880	SIPO	AB	34779352
567216	1931	1998-10-06	VYDAJ	PREVOD NA UCET	4898	12508	SIPO	AB	34779352
567217	1931	1998-11-06	VYDAJ	PREVOD NA UCET	4898	10758	SIPO	AB	34779352
567218	1931	1998-12-06	VYDAJ	PREVOD NA UCET	4898	8723	SIPO	AB	34779352
567234	1931	1994-04-14	VYDAJ	PREVOD NA UCET	23	37956	 	CD	16274184
567235	1931	1994-05-14	VYDAJ	PREVOD NA UCET	23	32684	 	CD	16274184
567236	1931	1994-06-14	VYDAJ	PREVOD NA UCET	23	34272	 	CD	16274184
567237	1931	1994-07-14	VYDAJ	PREVOD NA UCET	23	32094	 	CD	16274184
567238	1931	1994-08-14	VYDAJ	PREVOD NA UCET	23	30413	 	CD	16274184
567239	1931	1994-09-14	VYDAJ	PREVOD NA UCET	23	30628	 	CD	16274184
567240	1931	1994-10-14	VYDAJ	PREVOD NA UCET	23	29441	 	CD	16274184
567241	1931	1994-11-14	VYDAJ	PREVOD NA UCET	23	32255	 	CD	16274184
567242	1931	1994-12-14	VYDAJ	PREVOD NA UCET	23	33240	 	CD	16274184
567243	1931	1995-01-14	VYDAJ	PREVOD NA UCET	23	22822	 	CD	16274184
567244	1931	1995-02-14	VYDAJ	PREVOD NA UCET	23	20969	 	CD	16274184
567245	1931	1995-03-14	VYDAJ	PREVOD NA UCET	23	24330	 	CD	16274184
567246	1931	1995-04-14	VYDAJ	PREVOD NA UCET	23	23623	 	CD	16274184
567247	1931	1995-05-14	VYDAJ	PREVOD NA UCET	23	25818	 	CD	16274184
567248	1931	1995-06-14	VYDAJ	PREVOD NA UCET	23	33631	 	CD	16274184
567249	1931	1995-07-14	VYDAJ	PREVOD NA UCET	23	16404	 	CD	16274184
567250	1931	1995-08-14	VYDAJ	PREVOD NA UCET	23	22972	 	CD	16274184
567251	1931	1995-09-14	VYDAJ	PREVOD NA UCET	23	27764	 	CD	16274184
567252	1931	1995-10-14	VYDAJ	PREVOD NA UCET	23	24857	 	CD	16274184
567253	1931	1995-11-14	VYDAJ	PREVOD NA UCET	23	19631	 	CD	16274184
567254	1931	1995-12-14	VYDAJ	PREVOD NA UCET	23	20777	 	CD	16274184
567255	1931	1996-01-14	VYDAJ	PREVOD NA UCET	23	22156	 	CD	16274184
567256	1931	1996-02-14	VYDAJ	PREVOD NA UCET	23	17151	 	CD	16274184
567257	1931	1996-03-14	VYDAJ	PREVOD NA UCET	23	18214	 	CD	16274184
567258	1931	1996-04-14	VYDAJ	PREVOD NA UCET	23	17986	 	CD	16274184
567259	1931	1996-05-14	VYDAJ	PREVOD NA UCET	23	18173	 	CD	16274184
567260	1931	1996-06-14	VYDAJ	PREVOD NA UCET	23	23742	 	CD	16274184
567261	1931	1996-07-14	VYDAJ	PREVOD NA UCET	23	28924	 	CD	16274184
567262	1931	1996-08-14	VYDAJ	PREVOD NA UCET	23	29929	 	CD	16274184
567263	1931	1996-09-14	VYDAJ	PREVOD NA UCET	23	32148	 	CD	16274184
567264	1931	1996-10-14	VYDAJ	PREVOD NA UCET	23	30914	 	CD	16274184
567265	1931	1996-11-14	VYDAJ	PREVOD NA UCET	23	28998	 	CD	16274184
567266	1931	1996-12-14	VYDAJ	PREVOD NA UCET	23	40681	 	CD	16274184
567267	1931	1997-01-14	VYDAJ	PREVOD NA UCET	23	32865	 	CD	16274184
567268	1931	1997-02-14	VYDAJ	PREVOD NA UCET	23	33887	 	CD	16274184
567269	1931	1997-03-14	VYDAJ	PREVOD NA UCET	23	40114	 	CD	16274184
567270	1931	1997-04-14	VYDAJ	PREVOD NA UCET	23	42269	 	CD	16274184
567271	1931	1997-05-14	VYDAJ	PREVOD NA UCET	23	42436	 	CD	16274184
567272	1931	1997-06-14	VYDAJ	PREVOD NA UCET	23	30331	 	CD	16274184
567273	1931	1997-07-14	VYDAJ	PREVOD NA UCET	23	29652	 	CD	16274184
567274	1931	1997-08-14	VYDAJ	PREVOD NA UCET	23	24768	 	CD	16274184
567275	1931	1997-09-14	VYDAJ	PREVOD NA UCET	23	21455	 	CD	16274184
567276	1931	1997-10-14	VYDAJ	PREVOD NA UCET	23	19835	 	CD	16274184
567277	1931	1997-11-14	VYDAJ	PREVOD NA UCET	23	21110	 	CD	16274184
567278	1931	1997-12-14	VYDAJ	PREVOD NA UCET	23	19436	 	CD	16274184
567279	1931	1998-01-14	VYDAJ	PREVOD NA UCET	23	17330	 	CD	16274184
567280	1931	1998-02-14	VYDAJ	PREVOD NA UCET	23	19415	 	CD	16274184
567281	1931	1998-03-14	VYDAJ	PREVOD NA UCET	23	16386	 	CD	16274184
567282	1931	1998-04-14	VYDAJ	PREVOD NA UCET	23	20647	 	CD	16274184
567283	1931	1998-05-14	VYDAJ	PREVOD NA UCET	23	21621	 	CD	16274184
567284	1931	1998-06-14	VYDAJ	PREVOD NA UCET	23	23268	 	CD	16274184
567285	1931	1998-07-14	VYDAJ	PREVOD NA UCET	23	23443	 	CD	16274184
567286	1931	1998-08-14	VYDAJ	PREVOD NA UCET	23	16929	 	CD	16274184
567287	1931	1998-09-14	VYDAJ	PREVOD NA UCET	23	18450	 	CD	16274184
567288	1931	1998-10-14	VYDAJ	PREVOD NA UCET	23	20518	 	CD	16274184
567289	1931	1998-11-14	VYDAJ	PREVOD NA UCET	23	18768	 	CD	16274184
567290	1931	1998-12-14	VYDAJ	PREVOD NA UCET	23	21400	 	CD	16274184
567307	1931	1994-05-09	VYDAJ	PREVOD NA UCET	1302	23372	POJISTNE	AB	90722965
567308	1931	1994-06-09	VYDAJ	PREVOD NA UCET	1302	20292	POJISTNE	AB	90722965
567309	1931	1994-07-09	VYDAJ	PREVOD NA UCET	1302	22782	POJISTNE	AB	90722965
567310	1931	1994-08-09	VYDAJ	PREVOD NA UCET	1302	21101	POJISTNE	AB	90722965
567311	1931	1994-09-09	VYDAJ	PREVOD NA UCET	1302	21316	POJISTNE	AB	90722965
567312	1931	1994-10-09	VYDAJ	PREVOD NA UCET	1302	20129	POJISTNE	AB	90722965
567313	1931	1994-11-09	VYDAJ	PREVOD NA UCET	1302	22943	POJISTNE	AB	90722965
567314	1931	1994-12-09	VYDAJ	PREVOD NA UCET	1302	19261	POJISTNE	AB	90722965
567315	1931	1995-01-09	VYDAJ	PREVOD NA UCET	1302	20470	POJISTNE	AB	90722965
567316	1931	1995-02-09	VYDAJ	PREVOD NA UCET	1302	11657	POJISTNE	AB	90722965
567317	1931	1995-03-09	VYDAJ	PREVOD NA UCET	1302	15018	POJISTNE	AB	90722965
567318	1931	1995-04-09	VYDAJ	PREVOD NA UCET	1302	17911	POJISTNE	AB	90722965
567319	1931	1995-05-09	VYDAJ	PREVOD NA UCET	1302	16506	POJISTNE	AB	90722965
567320	1931	1995-06-09	VYDAJ	PREVOD NA UCET	1302	19651	POJISTNE	AB	90722965
567321	1931	1995-07-09	VYDAJ	PREVOD NA UCET	1302	7092	POJISTNE	AB	90722965
567322	1931	1995-08-09	VYDAJ	PREVOD NA UCET	1302	13660	POJISTNE	AB	90722965
567323	1931	1995-09-09	VYDAJ	PREVOD NA UCET	1302	18452	POJISTNE	AB	90722965
567324	1931	1995-10-09	VYDAJ	PREVOD NA UCET	1302	15545	POJISTNE	AB	90722965
567325	1931	1995-11-09	VYDAJ	PREVOD NA UCET	1302	12219	POJISTNE	AB	90722965
567326	1931	1995-12-09	VYDAJ	PREVOD NA UCET	1302	10298	POJISTNE	AB	90722965
567327	1931	1996-01-09	VYDAJ	PREVOD NA UCET	1302	14644	POJISTNE	AB	90722965
567328	1931	1996-02-09	VYDAJ	PREVOD NA UCET	1302	7739	POJISTNE	AB	90722965
567329	1931	1996-03-09	VYDAJ	PREVOD NA UCET	1302	11002	POJISTNE	AB	90722965
567330	1931	1996-04-09	VYDAJ	PREVOD NA UCET	1302	12074	POJISTNE	AB	90722965
567331	1931	1996-05-09	VYDAJ	PREVOD NA UCET	1302	8361	POJISTNE	AB	90722965
567332	1931	1996-06-09	VYDAJ	PREVOD NA UCET	1302	7462	POJISTNE	AB	90722965
567333	1931	1996-07-09	VYDAJ	PREVOD NA UCET	1302	17612	POJISTNE	AB	90722965
567334	1931	1996-08-09	VYDAJ	PREVOD NA UCET	1302	20617	POJISTNE	AB	90722965
567335	1931	1996-09-09	VYDAJ	PREVOD NA UCET	1302	22836	POJISTNE	AB	90722965
567336	1931	1996-10-09	VYDAJ	PREVOD NA UCET	1302	21602	POJISTNE	AB	90722965
567337	1931	1996-11-09	VYDAJ	PREVOD NA UCET	1302	22446	POJISTNE	AB	90722965
567338	1931	1996-12-09	VYDAJ	PREVOD NA UCET	1302	26702	POJISTNE	AB	90722965
567339	1931	1997-01-09	VYDAJ	PREVOD NA UCET	1302	24873	POJISTNE	AB	90722965
567340	1931	1997-02-09	VYDAJ	PREVOD NA UCET	1302	24575	POJISTNE	AB	90722965
567341	1931	1997-03-09	VYDAJ	PREVOD NA UCET	1302	30802	POJISTNE	AB	90722965
567342	1931	1997-04-09	VYDAJ	PREVOD NA UCET	1302	32957	POJISTNE	AB	90722965
567343	1931	1997-05-09	VYDAJ	PREVOD NA UCET	1302	33124	POJISTNE	AB	90722965
567344	1931	1997-06-09	VYDAJ	PREVOD NA UCET	1302	16352	POJISTNE	AB	90722965
567345	1931	1997-07-09	VYDAJ	PREVOD NA UCET	1302	20340	POJISTNE	AB	90722965
567346	1931	1997-08-09	VYDAJ	PREVOD NA UCET	1302	15456	POJISTNE	AB	90722965
567347	1931	1997-09-09	VYDAJ	PREVOD NA UCET	1302	12143	POJISTNE	AB	90722965
567348	1931	1997-10-09	VYDAJ	PREVOD NA UCET	1302	10523	POJISTNE	AB	90722965
567349	1931	1997-11-09	VYDAJ	PREVOD NA UCET	1302	11798	POJISTNE	AB	90722965
567350	1931	1997-12-09	VYDAJ	PREVOD NA UCET	1302	11576	POJISTNE	AB	90722965
567351	1931	1998-01-09	VYDAJ	PREVOD NA UCET	1302	12098	POJISTNE	AB	90722965
567352	1931	1998-02-09	VYDAJ	PREVOD NA UCET	1302	10103	POJISTNE	AB	90722965
567353	1931	1998-03-09	VYDAJ	PREVOD NA UCET	1302	7074	POJISTNE	AB	90722965
567354	1931	1998-04-09	VYDAJ	PREVOD NA UCET	1302	11335	POJISTNE	AB	90722965
567355	1931	1998-05-09	VYDAJ	PREVOD NA UCET	1302	12309	POJISTNE	AB	90722965
567356	1931	1998-06-09	VYDAJ	PREVOD NA UCET	1302	9288	POJISTNE	AB	90722965
567357	1931	1998-07-09	VYDAJ	PREVOD NA UCET	1302	14131	POJISTNE	AB	90722965
567358	1931	1998-08-09	VYDAJ	PREVOD NA UCET	1302	7617	POJISTNE	AB	90722965
567359	1931	1998-09-09	VYDAJ	PREVOD NA UCET	1302	10578	POJISTNE	AB	90722965
567360	1931	1998-10-09	VYDAJ	PREVOD NA UCET	1302	11206	POJISTNE	AB	90722965
567361	1931	1998-11-09	VYDAJ	PREVOD NA UCET	1302	9456	POJISTNE	AB	90722965
567362	1931	1998-12-09	VYDAJ	PREVOD NA UCET	1302	7421	POJISTNE	AB	90722965
567365	1931	1995-06-29	VYDAJ	VYBER	15840	13191	\N	\N	\N
567367	1931	1997-06-04	VYDAJ	VYBER	23040	19552	\N	\N	\N
567373	1931	1997-01-08	VYDAJ	VYBER	2080	26175	\N	\N	\N
567376	1931	1994-12-03	VYDAJ	VYBER	1600	25461	\N	\N	\N
567377	1931	1995-12-03	VYDAJ	VYBER	3200	16498	\N	\N	\N
567378	1931	1996-12-18	VYDAJ	VYBER	4160	36521	\N	\N	\N
567379	1931	1997-12-10	VYDAJ	VYBER	1440	24139	\N	\N	\N
567393	1931	1995-01-15	VYDAJ	VYBER	1800	21022	\N	\N	\N
567394	1931	1995-01-10	VYDAJ	VYBER	3480	26325	\N	\N	\N
567395	1931	1995-01-11	VYDAJ	VYBER	3480	22845	\N	\N	\N
567396	1931	1995-01-21	VYDAJ	VYBER	3480	17782	\N	\N	\N
567397	1931	1995-01-15	VYDAJ	VYBER	3360	17662	\N	\N	\N
567398	1931	1995-01-01	VYDAJ	VYBER	2400	26670	\N	\N	\N
567400	1931	1996-01-19	VYDAJ	VYBER	1080	17716	\N	\N	\N
567401	1931	1996-01-16	VYDAJ	VYBER	3360	18796	\N	\N	\N
567403	1931	1996-01-22	VYDAJ	VYBER	720	16996	\N	\N	\N
567404	1931	1996-01-27	VYDAJ	VYBER	3120	13876	\N	\N	\N
567405	1931	1997-01-01	VYDAJ	VYBER	2760	33893	\N	\N	\N
567406	1931	1997-01-16	VYDAJ	VYBER	1200	31665	\N	\N	\N
567407	1931	1997-01-12	VYDAJ	VYBER	1320	32888	\N	\N	\N
567408	1931	1997-01-17	VYDAJ	VYBER	2160	29505	\N	\N	\N
567409	1931	1997-01-03	VYDAJ	VYBER	2040	31853	\N	\N	\N
567410	1931	1997-01-22	VYDAJ	VYBER	2640	26865	\N	\N	\N
567411	1931	1998-01-18	VYDAJ	VYBER	1080	16250	\N	\N	\N
567412	1931	1998-01-10	VYDAJ	VYBER	2640	18793	\N	\N	\N
567415	1931	1998-01-11	VYDAJ	VYBER	1440	17353	\N	\N	\N
567423	1931	1994-12-18	VYDAJ	VYBER	1080	32160	\N	\N	\N
567425	1931	1995-02-17	VYDAJ	VYBER	3120	21149	\N	\N	\N
567426	1931	1995-05-17	VYDAJ	VYBER	2760	25758	\N	\N	\N
567427	1931	1995-04-13	VYDAJ	VYBER	3600	23646	\N	\N	\N
567428	1931	1995-11-01	VYDAJ	VYBER	5520	18419	\N	\N	\N
567429	1931	1996-10-08	VYDAJ	VYBER	3360	24004	\N	\N	\N
567430	1931	1996-04-23	VYDAJ	VYBER	3480	14506	\N	\N	\N
567431	1931	1996-05-22	VYDAJ	VYBER	4560	13613	\N	\N	\N
567432	1931	1996-10-28	VYDAJ	VYBER	1680	29234	\N	\N	\N
567433	1931	1996-11-12	VYDAJ	VYBER	2760	29021	\N	\N	\N
567434	1931	1997-08-05	VYDAJ	VYBER	4800	21656	\N	\N	\N
567435	1931	1997-12-11	VYDAJ	VYBER	4680	19459	\N	\N	\N
567436	1931	1997-08-15	VYDAJ	VYBER	4200	20568	\N	\N	\N
567437	1931	1998-12-22	VYDAJ	VYBER	3960	17440	\N	\N	\N
567438	1931	1998-09-12	VYDAJ	VYBER	1440	18473	\N	\N	\N
567440	1931	1998-06-17	VYDAJ	VYBER	3000	20268	\N	\N	\N
567441	1931	1998-10-15	VYDAJ	VYBER	1920	18598	\N	\N	\N
567458	1931	1994-04-30	VYDAJ	VYBER	15	29572	SLUZBY	\N	\N
567459	1931	1994-05-31	VYDAJ	VYBER	15	26492	SLUZBY	\N	\N
567460	1931	1994-06-30	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
567461	1931	1994-07-31	VYDAJ	VYBER	15	27301	SLUZBY	\N	\N
567462	1931	1994-08-31	VYDAJ	VYBER	15	27516	SLUZBY	\N	\N
567463	1931	1994-09-30	VYDAJ	VYBER	15	26329	SLUZBY	\N	\N
567464	1931	1994-10-31	VYDAJ	VYBER	15	29143	SLUZBY	\N	\N
567465	1931	1994-11-30	VYDAJ	VYBER	15	27061	SLUZBY	\N	\N
567466	1931	1994-12-31	VYDAJ	VYBER	15	29070	SLUZBY	\N	\N
567467	1931	1995-01-31	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
567468	1931	1995-02-28	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
567469	1931	1995-03-31	VYDAJ	VYBER	15	24111	SLUZBY	\N	\N
567470	1931	1995-04-30	VYDAJ	VYBER	15	22706	SLUZBY	\N	\N
567471	1931	1995-05-31	VYDAJ	VYBER	15	25851	SLUZBY	\N	\N
567472	1931	1995-06-30	VYDAJ	VYBER	15	13292	SLUZBY	\N	\N
567473	1931	1995-07-31	VYDAJ	VYBER	15	19860	SLUZBY	\N	\N
567474	1931	1995-08-31	VYDAJ	VYBER	15	24652	SLUZBY	\N	\N
567475	1931	1995-09-30	VYDAJ	VYBER	15	21745	SLUZBY	\N	\N
567476	1931	1995-10-31	VYDAJ	VYBER	15	23939	SLUZBY	\N	\N
567477	1931	1995-11-30	VYDAJ	VYBER	15	19698	SLUZBY	\N	\N
567478	1931	1995-12-31	VYDAJ	VYBER	15	20844	SLUZBY	\N	\N
567479	1931	1996-01-31	VYDAJ	VYBER	15	13939	SLUZBY	\N	\N
567480	1931	1996-02-29	VYDAJ	VYBER	15	17202	SLUZBY	\N	\N
567481	1931	1996-03-31	VYDAJ	VYBER	15	18274	SLUZBY	\N	\N
567482	1931	1996-04-30	VYDAJ	VYBER	15	14561	SLUZBY	\N	\N
567483	1931	1996-05-31	VYDAJ	VYBER	15	13662	SLUZBY	\N	\N
567484	1931	1996-06-30	VYDAJ	VYBER	15	23812	SLUZBY	\N	\N
567485	1931	1996-07-31	VYDAJ	VYBER	15	29017	SLUZBY	\N	\N
567486	1931	1996-08-31	VYDAJ	VYBER	15	30036	SLUZBY	\N	\N
567487	1931	1996-09-30	VYDAJ	VYBER	15	32262	SLUZBY	\N	\N
567488	1931	1996-10-31	VYDAJ	VYBER	15	29346	SLUZBY	\N	\N
567489	1931	1996-11-30	VYDAJ	VYBER	15	29102	SLUZBY	\N	\N
567490	1931	1996-12-31	VYDAJ	VYBER	15	36653	SLUZBY	\N	\N
567491	1931	1997-01-31	VYDAJ	VYBER	15	26975	SLUZBY	\N	\N
567492	1931	1997-02-28	VYDAJ	VYBER	15	34002	SLUZBY	\N	\N
567493	1931	1997-03-31	VYDAJ	VYBER	15	40257	SLUZBY	\N	\N
567494	1931	1997-04-30	VYDAJ	VYBER	15	42424	SLUZBY	\N	\N
567495	1931	1997-05-31	VYDAJ	VYBER	15	42592	SLUZBY	\N	\N
567496	1931	1997-06-30	VYDAJ	VYBER	15	30440	SLUZBY	\N	\N
567497	1931	1997-07-31	VYDAJ	VYBER	15	29756	SLUZBY	\N	\N
567498	1931	1997-08-31	VYDAJ	VYBER	15	20643	SLUZBY	\N	\N
567499	1931	1997-09-30	VYDAJ	VYBER	15	21523	SLUZBY	\N	\N
567500	1931	1997-10-31	VYDAJ	VYBER	15	19898	SLUZBY	\N	\N
567501	1931	1997-11-30	VYDAJ	VYBER	15	21176	SLUZBY	\N	\N
567502	1931	1997-12-31	VYDAJ	VYBER	15	19498	SLUZBY	\N	\N
567503	1931	1998-01-31	VYDAJ	VYBER	15	16303	SLUZBY	\N	\N
567504	1931	1998-02-28	VYDAJ	VYBER	15	19474	SLUZBY	\N	\N
567505	1931	1998-03-31	VYDAJ	VYBER	15	16435	SLUZBY	\N	\N
567506	1931	1998-04-30	VYDAJ	VYBER	15	20709	SLUZBY	\N	\N
567507	1931	1998-05-31	VYDAJ	VYBER	15	15488	SLUZBY	\N	\N
567508	1931	1998-06-30	VYDAJ	VYBER	15	20331	SLUZBY	\N	\N
567509	1931	1998-07-31	VYDAJ	VYBER	15	13817	SLUZBY	\N	\N
567510	1931	1998-08-31	VYDAJ	VYBER	15	16778	SLUZBY	\N	\N
567511	1931	1998-09-30	VYDAJ	VYBER	15	17406	SLUZBY	\N	\N
567512	1931	1998-10-31	VYDAJ	VYBER	15	15656	SLUZBY	\N	\N
567513	1931	1998-11-30	VYDAJ	VYBER	15	13621	SLUZBY	\N	\N
567514	1931	1993-12-23	PRIJEM	VKLAD	2900	18003	\N	\N	\N
567515	1931	1994-01-22	VYDAJ	VYBER	1300	26059	\N	\N	\N
567516	1931	1994-02-21	VYDAJ	VYBER	7400	28080	\N	\N	\N
567517	1931	1994-03-23	VYDAJ	VYBER	9000	28526	\N	\N	\N
567518	1931	1994-04-22	VYDAJ	VYBER	8500	29456	\N	\N	\N
567519	1931	1994-05-22	VYDAJ	VYBER	6300	26384	\N	\N	\N
567520	1931	1994-06-21	VYDAJ	VYBER	5400	28872	\N	\N	\N
567521	1931	1994-07-21	VYDAJ	VYBER	4900	27194	\N	\N	\N
567522	1931	1994-08-20	VYDAJ	VYBER	3000	27413	\N	\N	\N
567523	1931	1994-09-19	VYDAJ	VYBER	4400	26228	\N	\N	\N
567524	1931	1994-10-19	VYDAJ	VYBER	400	29041	\N	\N	\N
567525	1931	1994-11-18	VYDAJ	VYBER	5300	26955	\N	\N	\N
567526	1931	1994-12-18	VYDAJ	VYBER	3200	28960	\N	\N	\N
567527	1931	1995-01-17	PRIJEM	VKLAD	3600	21262	\N	\N	\N
567528	1931	1995-02-16	PRIJEM	VKLAD	3300	24269	\N	\N	\N
567529	1931	1995-03-18	VYDAJ	VYBER	300	24030	\N	\N	\N
567530	1931	1995-04-17	VYDAJ	VYBER	1000	22623	\N	\N	\N
567531	1931	1995-05-17	PRIJEM	VKLAD	2700	28518	\N	\N	\N
567532	1931	1995-06-16	VYDAJ	VYBER	4600	29031	\N	\N	\N
567533	1931	1995-07-16	PRIJEM	VKLAD	3400	19804	\N	\N	\N
567534	1931	1995-08-15	PRIJEM	VKLAD	1600	24572	\N	\N	\N
567535	1931	1995-09-14	VYDAJ	VYBER	6100	21664	\N	\N	\N
567536	1931	1995-10-14	VYDAJ	VYBER	1000	23857	\N	\N	\N
567537	1931	1995-11-13	VYDAJ	VYBER	1900	19654	\N	\N	\N
567538	1931	1995-12-13	VYDAJ	VYBER	3500	20800	\N	\N	\N
567539	1931	1996-01-12	VYDAJ	VYBER	1800	22179	\N	\N	\N
567540	1931	1996-02-11	PRIJEM	VKLAD	100	17174	\N	\N	\N
567541	1931	1996-03-12	VYDAJ	VYBER	2100	18237	\N	\N	\N
567542	1931	1996-04-11	VYDAJ	VYBER	3400	18009	\N	\N	\N
567543	1931	1996-05-11	PRIJEM	VKLAD	500	18196	\N	\N	\N
567544	1931	1996-06-10	PRIJEM	VKLAD	2300	23765	\N	\N	\N
567545	1931	1996-07-10	PRIJEM	VKLAD	2000	19612	\N	\N	\N
567546	1931	1996-08-09	VYDAJ	VYBER	2200	21919	\N	\N	\N
567547	1931	1996-09-08	VYDAJ	VYBER	1000	24138	\N	\N	\N
567548	1931	1996-10-08	VYDAJ	VYBER	1100	22904	\N	\N	\N
567549	1931	1996-11-07	VYDAJ	VYBER	700	23748	\N	\N	\N
567550	1931	1996-12-07	PRIJEM	VKLAD	3800	28004	\N	\N	\N
567551	1931	1997-01-06	PRIJEM	VKLAD	1300	33153	\N	\N	\N
567552	1931	1997-02-05	PRIJEM	VKLAD	3800	30775	\N	\N	\N
567553	1931	1997-03-07	PRIJEM	VKLAD	3000	32104	\N	\N	\N
567554	1931	1997-04-06	VYDAJ	VYBER	1100	34259	\N	\N	\N
567555	1931	1997-05-06	VYDAJ	VYBER	3100	34426	\N	\N	\N
567556	1931	1997-06-05	PRIJEM	VKLAD	3000	22552	\N	\N	\N
567557	1931	1997-07-05	VYDAJ	VYBER	3900	26540	\N	\N	\N
567558	1931	1997-08-04	VYDAJ	VYBER	3300	26456	\N	\N	\N
567559	1931	1997-09-03	VYDAJ	VYBER	2300	18343	\N	\N	\N
567560	1931	1997-10-03	VYDAJ	VYBER	4800	16723	\N	\N	\N
567561	1931	1997-11-02	VYDAJ	VYBER	1900	17998	\N	\N	\N
567562	1931	1997-12-02	VYDAJ	VYBER	3400	17776	\N	\N	\N
567563	1931	1998-01-01	VYDAJ	VYBER	1200	18298	\N	\N	\N
567564	1931	1998-03-02	VYDAJ	VYBER	6200	13274	\N	\N	\N
567565	1931	1998-04-01	PRIJEM	VKLAD	1100	17535	\N	\N	\N
567566	1931	1998-05-01	VYDAJ	VYBER	2200	18509	\N	\N	\N
567567	1931	1998-05-31	VYDAJ	VYBER	6200	15503	\N	\N	\N
567568	1931	1998-07-30	VYDAJ	VYBER	9700	13743	\N	\N	\N
567569	1931	1998-08-29	VYDAJ	VYBER	200	16729	\N	\N	\N
567570	1931	1998-09-28	VYDAJ	VYBER	1100	17350	\N	\N	\N
567571	1931	1998-10-28	VYDAJ	VYBER	3000	15598	\N	\N	\N
567572	1931	1998-11-27	VYDAJ	VYBER	5200	13568	\N	\N	\N
567634	1932	1996-04-03	PRIJEM	VKLAD	600	600	\N	\N	\N
567638	1932	1996-04-10	PRIJEM	PREVOD Z UCTU	12721	13321	\N	UV	74312513
567639	1932	1996-05-10	PRIJEM	PREVOD Z UCTU	12721	29181	\N	UV	74312513
567640	1932	1996-06-10	PRIJEM	PREVOD Z UCTU	19082	42165	\N	UV	74312513
567641	1932	1996-07-10	PRIJEM	PREVOD Z UCTU	12721	43946	\N	UV	74312513
567642	1932	1996-08-10	PRIJEM	PREVOD Z UCTU	12721	44348	\N	UV	74312513
567643	1932	1996-09-10	PRIJEM	PREVOD Z UCTU	12721	9932	\N	UV	74312513
567644	1932	1996-10-10	PRIJEM	PREVOD Z UCTU	12721	27381	\N	UV	74312513
567645	1932	1996-11-10	PRIJEM	PREVOD Z UCTU	12721	10951	\N	UV	74312513
567646	1932	1996-12-10	PRIJEM	PREVOD Z UCTU	19082	26276	\N	UV	74312513
567647	1932	1997-01-10	PRIJEM	PREVOD Z UCTU	12721	11692	\N	UV	74312513
567648	1932	1997-02-10	PRIJEM	PREVOD Z UCTU	12721	15612	\N	UV	74312513
567649	1932	1997-03-10	PRIJEM	PREVOD Z UCTU	12721	16811	\N	UV	74312513
567650	1932	1997-04-10	PRIJEM	PREVOD Z UCTU	12721	25771	\N	UV	74312513
567651	1932	1997-05-10	PRIJEM	PREVOD Z UCTU	12721	31063	\N	UV	74312513
567652	1932	1997-06-10	PRIJEM	PREVOD Z UCTU	19082	17526	\N	UV	74312513
567653	1932	1997-07-10	PRIJEM	PREVOD Z UCTU	12721	19669	\N	UV	74312513
567654	1932	1997-08-10	PRIJEM	PREVOD Z UCTU	12721	34154	\N	UV	74312513
567655	1932	1997-09-10	PRIJEM	PREVOD Z UCTU	12721	22917	\N	UV	74312513
567656	1932	1997-10-10	PRIJEM	PREVOD Z UCTU	12721	20113	\N	UV	74312513
567657	1932	1997-11-10	PRIJEM	PREVOD Z UCTU	12721	18522	\N	UV	74312513
567658	1932	1997-12-10	PRIJEM	PREVOD Z UCTU	19082	33224	\N	UV	74312513
567659	1932	1998-01-10	PRIJEM	PREVOD Z UCTU	12721	14699	\N	UV	74312513
567660	1932	1998-02-10	PRIJEM	PREVOD Z UCTU	12721	11134	\N	UV	74312513
567661	1932	1998-03-10	PRIJEM	PREVOD Z UCTU	12721	14331	\N	UV	74312513
567662	1932	1998-04-10	PRIJEM	PREVOD Z UCTU	12721	20650	\N	UV	74312513
567663	1932	1998-05-10	PRIJEM	PREVOD Z UCTU	12721	21190	\N	UV	74312513
567664	1932	1998-06-10	PRIJEM	PREVOD Z UCTU	19082	23705	\N	UV	74312513
567665	1932	1998-07-10	PRIJEM	PREVOD Z UCTU	12721	27780	\N	UV	74312513
567666	1932	1998-08-10	PRIJEM	PREVOD Z UCTU	12721	33256	\N	UV	74312513
567667	1932	1998-09-10	PRIJEM	PREVOD Z UCTU	12721	17321	\N	UV	74312513
567668	1932	1998-10-10	PRIJEM	PREVOD Z UCTU	12721	21886	\N	UV	74312513
567669	1932	1998-11-10	PRIJEM	PREVOD Z UCTU	12721	18825	\N	UV	74312513
567670	1932	1998-12-10	PRIJEM	PREVOD Z UCTU	19082	21010	\N	UV	74312513
567674	1932	1996-12-29	VYBER	VYBER	15409	5217	\N	\N	\N
567676	1932	1996-12-17	VYBER	VYBER	10250	16026	\N	\N	\N
567680	1932	1996-11-09	VYBER	VYBER	22499	-1771	\N	\N	\N
567681	1932	1996-08-23	VYBER	VYBER	22651	2699	\N	\N	\N
567682	1932	1996-08-20	VYBER	VYBER	18998	25350	\N	\N	\N
567684	1932	1997-06-02	VYBER	VYBER	18980	-1556	\N	\N	\N
567685	1932	1997-11-10	VYBER	VYBER	4122	14400	\N	\N	\N
567686	1932	1997-10-14	VYBER	VYBER	10719	994	\N	\N	\N
567688	1932	1997-02-19	VYBER	VYBER	11990	3622	\N	\N	\N
567689	1932	1997-04-03	VYBER	VYBER	2868	13050	\N	\N	\N
567690	1932	1997-12-10	VYBER	VYBER	2328	30896	\N	\N	\N
567691	1932	1997-02-22	VYBER	VYBER	7022	-3400	\N	\N	\N
567692	1932	1997-07-03	VYBER	VYBER	8727	6948	\N	\N	\N
567694	1932	1997-09-07	VYBER	VYBER	15436	10196	\N	\N	\N
567695	1932	1998-09-03	VYBER	VYBER	12422	4600	\N	\N	\N
567702	1932	1998-01-05	VYDAJ	VYBER	6300	1978	\N	\N	\N
567703	1932	1996-12-07	VYDAJ	VYBER	4800	7194	\N	\N	\N
567704	1932	1997-12-10	VYDAJ	VYBER	3300	27596	\N	\N	\N
567705	1932	1998-12-28	VYDAJ	VYBER	3000	10	\N	\N	\N
567712	1932	1997-01-17	VYDAJ	VYBER	5100	892	\N	\N	\N
567713	1932	1997-01-27	VYDAJ	VYBER	2700	-1808	\N	\N	\N
567714	1932	1997-01-13	VYDAJ	VYBER	2700	5992	\N	\N	\N
567715	1932	1997-01-08	VYDAJ	VYBER	1800	-1029	\N	\N	\N
567716	1932	1997-01-03	VYDAJ	VYBER	4500	771	\N	\N	\N
567717	1932	1997-01-12	VYDAJ	VYBER	3000	8692	\N	\N	\N
567718	1932	1998-01-11	VYDAJ	VYBER	2700	11999	\N	\N	\N
567720	1932	1998-01-15	VYDAJ	VYBER	1500	10499	\N	\N	\N
567721	1932	1998-01-02	VYDAJ	VYBER	8100	8278	\N	\N	\N
567722	1932	1998-01-28	VYDAJ	VYBER	6600	-1601	\N	\N	\N
567724	1932	1996-09-09	VYDAJ	VYBER	12600	-2789	\N	\N	\N
567725	1932	1996-12-24	VYDAJ	VYBER	4200	11826	\N	\N	\N
567729	1932	1997-04-21	VYDAJ	VYBER	6300	19471	\N	\N	\N
567730	1932	1997-09-28	VYDAJ	VYBER	9900	7317	\N	\N	\N
567732	1932	1997-10-11	VYDAJ	VYBER	8400	11713	\N	\N	\N
567734	1932	1997-05-16	VYDAJ	VYBER	13200	17863	\N	\N	\N
567735	1932	1997-06-15	VYDAJ	VYBER	4500	13026	\N	\N	\N
567736	1932	1998-06-04	VYDAJ	VYBER	4800	4623	\N	\N	\N
567737	1932	1998-05-14	VYDAJ	VYBER	3300	17890	\N	\N	\N
567741	1932	1998-02-21	VYDAJ	VYBER	9300	1834	\N	\N	\N
567742	1932	1998-01-16	VYDAJ	VYBER	1800	8699	\N	\N	\N
567751	1932	1996-08-31	VYDAJ	VYBER	15	9811	SLUZBY	\N	\N
567752	1932	1996-09-30	VYDAJ	VYBER	15	14660	SLUZBY	\N	\N
567753	1932	1996-10-31	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
567754	1932	1996-11-30	VYDAJ	VYBER	15	11994	SLUZBY	\N	\N
567755	1932	1996-12-31	VYDAJ	VYBER	15	5271	SLUZBY	\N	\N
567756	1932	1997-01-31	VYDAJ	VYBER	15	2892	SLUZBY	\N	\N
567757	1932	1997-02-28	VYDAJ	VYBER	15	4096	SLUZBY	\N	\N
567758	1932	1997-03-31	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
567759	1932	1997-04-30	VYDAJ	VYBER	15	18342	SLUZBY	\N	\N
567760	1932	1997-05-31	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
567761	1932	1997-06-30	VYDAJ	VYBER	15	15675	SLUZBY	\N	\N
567762	1932	1997-07-31	VYDAJ	VYBER	15	21433	SLUZBY	\N	\N
567763	1932	1997-08-31	VYDAJ	VYBER	15	25632	SLUZBY	\N	\N
567764	1932	1997-09-30	VYDAJ	VYBER	15	7392	SLUZBY	\N	\N
567765	1932	1997-10-31	VYDAJ	VYBER	15	5801	SLUZBY	\N	\N
567766	1932	1997-11-30	VYDAJ	VYBER	15	14142	SLUZBY	\N	\N
567767	1932	1997-12-31	VYDAJ	VYBER	15	16378	SLUZBY	\N	\N
567768	1932	1998-01-31	VYDAJ	VYBER	15	-1587	SLUZBY	\N	\N
567769	1932	1998-02-28	VYDAJ	VYBER	15	1610	SLUZBY	\N	\N
567770	1932	1998-03-31	VYDAJ	VYBER	15	7929	SLUZBY	\N	\N
567771	1932	1998-04-30	VYDAJ	VYBER	15	8469	SLUZBY	\N	\N
567772	1932	1998-05-31	VYDAJ	VYBER	15	9423	SLUZBY	\N	\N
567773	1932	1998-06-30	VYDAJ	VYBER	15	15059	SLUZBY	\N	\N
567774	1932	1998-07-31	VYDAJ	VYBER	15	20535	SLUZBY	\N	\N
567775	1932	1998-08-31	VYDAJ	VYBER	15	17022	SLUZBY	\N	\N
567776	1932	1998-09-30	VYDAJ	VYBER	15	9165	SLUZBY	\N	\N
567777	1932	1998-10-31	VYDAJ	VYBER	15	6104	SLUZBY	\N	\N
567778	1932	1998-11-30	VYDAJ	VYBER	15	1928	SLUZBY	\N	\N
567779	1932	1996-05-03	PRIJEM	VKLAD	3100	16460	\N	\N	\N
567780	1932	1996-06-02	VYDAJ	VYBER	6200	23083	\N	\N	\N
567781	1932	1996-07-02	VYDAJ	VYBER	11100	31225	\N	\N	\N
567782	1932	1996-08-01	VYDAJ	VYBER	12500	31627	\N	\N	\N
567783	1932	1996-08-31	PRIJEM	VKLAD	7000	9826	\N	\N	\N
567784	1932	1996-09-30	PRIJEM	VKLAD	4700	14674	\N	\N	\N
567785	1932	1996-10-30	VYDAJ	VYBER	6700	20681	\N	\N	\N
567786	1932	1996-11-29	PRIJEM	VKLAD	1000	11951	\N	\N	\N
567787	1932	1996-12-29	PRIJEM	VKLAD	8800	20626	\N	\N	\N
567788	1932	1997-01-28	PRIJEM	VKLAD	4700	2892	\N	\N	\N
567789	1932	1997-02-27	PRIJEM	VKLAD	7500	4100	\N	\N	\N
567790	1932	1997-03-29	VYDAJ	VYBER	900	15911	\N	\N	\N
567791	1932	1997-04-28	VYDAJ	VYBER	1200	18271	\N	\N	\N
567792	1932	1997-05-28	VYDAJ	VYBER	500	17363	\N	\N	\N
567793	1932	1997-06-27	PRIJEM	VKLAD	2600	15626	\N	\N	\N
567794	1932	1997-07-27	PRIJEM	VKLAD	1700	21369	\N	\N	\N
567795	1932	1997-08-26	VYDAJ	VYBER	8600	25554	\N	\N	\N
567796	1932	1997-09-25	VYDAJ	VYBER	5700	17217	\N	\N	\N
567797	1932	1997-10-25	PRIJEM	VKLAD	4800	5794	\N	\N	\N
567798	1932	1997-11-24	VYDAJ	VYBER	300	14100	\N	\N	\N
567799	1932	1997-12-24	VYDAJ	VYBER	11300	16296	\N	\N	\N
567800	1932	1998-01-23	VYDAJ	VYBER	3700	4999	\N	\N	\N
567801	1932	1998-02-22	VYDAJ	VYBER	200	1634	\N	\N	\N
567802	1932	1998-03-24	VYDAJ	VYBER	6400	7931	\N	\N	\N
567803	1932	1998-04-23	VYDAJ	VYBER	12200	8450	\N	\N	\N
567804	1932	1998-05-23	VYDAJ	VYBER	8500	9390	\N	\N	\N
567805	1932	1998-06-22	VYDAJ	VYBER	8700	15005	\N	\N	\N
567806	1932	1998-07-22	VYDAJ	VYBER	7300	20480	\N	\N	\N
567807	1932	1998-08-21	VYDAJ	VYBER	16300	16956	\N	\N	\N
567808	1932	1998-09-20	VYDAJ	VYBER	8200	9121	\N	\N	\N
567809	1932	1998-10-20	VYDAJ	VYBER	15800	6086	\N	\N	\N
567810	1932	1998-11-19	VYDAJ	VYBER	16900	1925	\N	\N	\N
567811	1932	1998-12-19	VYDAJ	VYBER	18000	3010	\N	\N	\N
567852	1933	1997-04-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
567856	1933	1997-04-13	PRIJEM	PREVOD Z UCTU	5706	6806	DUCHOD	MN	91644614
567857	1933	1997-05-13	PRIJEM	PREVOD Z UCTU	5706	12529	DUCHOD	MN	91644614
567858	1933	1997-06-13	PRIJEM	PREVOD Z UCTU	5706	18263	DUCHOD	MN	91644614
567859	1933	1997-07-13	PRIJEM	PREVOD Z UCTU	5706	23998	DUCHOD	MN	91644614
567860	1933	1997-08-13	PRIJEM	PREVOD Z UCTU	5706	29532	DUCHOD	MN	91644614
567861	1933	1997-09-13	PRIJEM	PREVOD Z UCTU	5706	24863	DUCHOD	MN	91644614
567862	1933	1997-10-13	PRIJEM	PREVOD Z UCTU	5706	26849	DUCHOD	MN	91644614
567863	1933	1997-11-13	PRIJEM	PREVOD Z UCTU	5706	28838	DUCHOD	MN	91644614
567864	1933	1997-12-13	PRIJEM	PREVOD Z UCTU	5706	30827	DUCHOD	MN	91644614
567865	1933	1998-01-13	PRIJEM	PREVOD Z UCTU	5706	25580	DUCHOD	MN	91644614
567866	1933	1998-02-13	PRIJEM	PREVOD Z UCTU	5706	20432	DUCHOD	MN	91644614
567867	1933	1998-03-13	PRIJEM	PREVOD Z UCTU	5706	22394	DUCHOD	MN	91644614
567868	1933	1998-04-13	PRIJEM	PREVOD Z UCTU	5706	24355	DUCHOD	MN	91644614
567869	1933	1998-05-13	PRIJEM	PREVOD Z UCTU	5706	22805	DUCHOD	MN	91644614
567870	1933	1998-06-13	PRIJEM	PREVOD Z UCTU	5706	24783	DUCHOD	MN	91644614
567871	1933	1998-07-13	PRIJEM	PREVOD Z UCTU	5706	26764	DUCHOD	MN	91644614
567872	1933	1998-08-13	PRIJEM	PREVOD Z UCTU	5706	24416	DUCHOD	MN	91644614
567873	1933	1998-09-13	PRIJEM	PREVOD Z UCTU	5706	26386	DUCHOD	MN	91644614
567874	1933	1998-10-13	PRIJEM	PREVOD Z UCTU	5706	27322	DUCHOD	MN	91644614
567875	1933	1998-11-13	PRIJEM	PREVOD Z UCTU	5706	21614	DUCHOD	MN	91644614
567876	1933	1998-12-13	PRIJEM	PREVOD Z UCTU	5706	23574	DUCHOD	MN	91644614
567884	1933	1997-08-13	VYDAJ	PREVOD NA UCET	3804	25728	SIPO	ST	49145901
567885	1933	1997-09-13	VYDAJ	PREVOD NA UCET	3804	21059	SIPO	ST	49145901
567886	1933	1997-10-13	VYDAJ	PREVOD NA UCET	3804	23045	SIPO	ST	49145901
567887	1933	1997-11-13	VYDAJ	PREVOD NA UCET	3804	25034	SIPO	ST	49145901
567888	1933	1997-12-13	VYDAJ	PREVOD NA UCET	3804	26023	SIPO	ST	49145901
567889	1933	1998-01-13	VYDAJ	PREVOD NA UCET	3804	21776	SIPO	ST	49145901
567890	1933	1998-02-13	VYDAJ	PREVOD NA UCET	3804	16628	SIPO	ST	49145901
567891	1933	1998-03-13	VYDAJ	PREVOD NA UCET	3804	18590	SIPO	ST	49145901
567892	1933	1998-04-13	VYDAJ	PREVOD NA UCET	3804	20551	SIPO	ST	49145901
567893	1933	1998-05-13	VYDAJ	PREVOD NA UCET	3804	19001	SIPO	ST	49145901
567894	1933	1998-06-13	VYDAJ	PREVOD NA UCET	3804	20979	SIPO	ST	49145901
567895	1933	1998-07-13	VYDAJ	PREVOD NA UCET	3804	22960	SIPO	ST	49145901
567896	1933	1998-08-13	VYDAJ	PREVOD NA UCET	3804	20612	SIPO	ST	49145901
567897	1933	1998-09-13	VYDAJ	PREVOD NA UCET	3804	22582	SIPO	ST	49145901
567898	1933	1998-10-13	VYDAJ	PREVOD NA UCET	3804	23518	SIPO	ST	49145901
567899	1933	1998-11-13	VYDAJ	PREVOD NA UCET	3804	17810	SIPO	ST	49145901
567900	1933	1998-12-13	VYDAJ	PREVOD NA UCET	3804	19770	SIPO	ST	49145901
567904	1933	1998-01-06	VYDAJ	VYBER	3450	21474	\N	\N	\N
567905	1933	1997-12-13	VYDAJ	VYBER	1000	29827	\N	\N	\N
567906	1933	1998-12-26	VYDAJ	VYBER	1050	18720	\N	\N	\N
567913	1933	1998-01-25	VYDAJ	VYBER	1920	18256	\N	\N	\N
567914	1933	1998-01-27	VYDAJ	VYBER	1360	15376	\N	\N	\N
567915	1933	1998-01-08	VYDAJ	VYBER	1600	19874	\N	\N	\N
567916	1933	1998-01-26	VYDAJ	VYBER	1520	16736	\N	\N	\N
567917	1933	1998-01-03	VYDAJ	VYBER	1200	24924	\N	\N	\N
567918	1933	1998-01-16	VYDAJ	VYBER	1600	20176	\N	\N	\N
567921	1933	1997-09-11	VYDAJ	VYBER	2880	19157	\N	\N	\N
567922	1933	1997-08-29	VYDAJ	VYBER	3760	21968	\N	\N	\N
567924	1933	1998-01-28	VYDAJ	VYBER	720	14656	\N	\N	\N
567925	1933	1998-07-18	VYDAJ	VYBER	1680	18640	\N	\N	\N
567926	1933	1998-10-14	VYDAJ	VYBER	3200	20318	\N	\N	\N
567927	1933	1998-05-09	VYDAJ	VYBER	3520	17099	\N	\N	\N
567928	1933	1998-09-15	VYDAJ	VYBER	1040	21542	\N	\N	\N
567929	1933	1998-11-06	VYDAJ	VYBER	1120	15908	\N	\N	\N
567930	1933	1998-10-27	VYDAJ	VYBER	3360	16958	\N	\N	\N
567931	1933	1998-12-30	VYDAJ	VYBER	3120	15600	\N	\N	\N
567932	1933	1998-07-16	VYDAJ	VYBER	2640	20320	\N	\N	\N
567941	1933	1997-08-31	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
567942	1933	1997-09-30	VYDAJ	VYBER	15	21143	SLUZBY	\N	\N
567943	1933	1997-10-31	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
567944	1933	1997-11-30	VYDAJ	VYBER	15	25121	SLUZBY	\N	\N
567945	1933	1997-12-31	VYDAJ	VYBER	15	26124	SLUZBY	\N	\N
567946	1933	1998-01-31	VYDAJ	VYBER	15	14726	SLUZBY	\N	\N
567947	1933	1998-02-28	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
567948	1933	1998-03-31	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
567949	1933	1998-04-30	VYDAJ	VYBER	15	20619	SLUZBY	\N	\N
567950	1933	1998-05-31	VYDAJ	VYBER	15	19077	SLUZBY	\N	\N
567951	1933	1998-06-30	VYDAJ	VYBER	15	21058	SLUZBY	\N	\N
567952	1933	1998-07-31	VYDAJ	VYBER	15	18710	SLUZBY	\N	\N
567953	1933	1998-08-31	VYDAJ	VYBER	15	20680	SLUZBY	\N	\N
567954	1933	1998-09-30	VYDAJ	VYBER	15	21616	SLUZBY	\N	\N
567955	1933	1998-10-31	VYDAJ	VYBER	15	17028	SLUZBY	\N	\N
567956	1933	1998-11-30	VYDAJ	VYBER	15	17868	SLUZBY	\N	\N
567957	1933	1997-08-02	VYDAJ	VYBER	200	23826	\N	\N	\N
567979	1934	1994-10-05	PRIJEM	VKLAD	300	300	\N	\N	\N
567989	1934	1994-10-10	PRIJEM	VKLAD	10983	11283	\N	\N	\N
567990	1934	1994-11-10	PRIJEM	VKLAD	10983	27799	\N	\N	\N
567991	1934	1994-12-10	PRIJEM	VKLAD	16474	40469	\N	\N	\N
567992	1934	1995-01-10	PRIJEM	VKLAD	10983	43205	\N	\N	\N
567993	1934	1995-02-10	PRIJEM	VKLAD	10983	44665	\N	\N	\N
567994	1934	1995-03-10	PRIJEM	VKLAD	10983	42777	\N	\N	\N
567995	1934	1995-04-10	PRIJEM	VKLAD	10983	33127	\N	\N	\N
567996	1934	1995-05-10	PRIJEM	VKLAD	10983	34821	\N	\N	\N
567997	1934	1995-06-10	PRIJEM	VKLAD	16474	36392	\N	\N	\N
567998	1934	1995-07-10	PRIJEM	VKLAD	10983	38755	\N	\N	\N
567999	1934	1995-08-10	PRIJEM	VKLAD	10983	37849	\N	\N	\N
568000	1934	1995-09-10	PRIJEM	VKLAD	10983	38979	\N	\N	\N
568001	1934	1995-10-10	PRIJEM	VKLAD	10983	40454	\N	\N	\N
568002	1934	1995-11-10	PRIJEM	VKLAD	10983	40733	\N	\N	\N
568003	1934	1995-12-10	PRIJEM	VKLAD	16474	48506	\N	\N	\N
568004	1934	1996-01-10	PRIJEM	VKLAD	10983	39740	\N	\N	\N
568005	1934	1996-02-10	PRIJEM	VKLAD	10983	30301	\N	\N	\N
568006	1934	1996-03-10	PRIJEM	VKLAD	10983	36847	\N	\N	\N
568007	1934	1996-04-10	PRIJEM	VKLAD	10983	36345	\N	\N	\N
568008	1934	1996-05-10	PRIJEM	VKLAD	10983	43716	\N	\N	\N
568009	1934	1996-06-10	PRIJEM	VKLAD	16474	49137	\N	\N	\N
568010	1934	1996-07-10	PRIJEM	VKLAD	10983	36496	\N	\N	\N
568011	1934	1996-08-10	PRIJEM	VKLAD	10983	43963	\N	\N	\N
568012	1934	1996-09-10	PRIJEM	VKLAD	10983	51462	\N	\N	\N
568013	1934	1996-10-10	PRIJEM	VKLAD	10983	55888	\N	\N	\N
568014	1934	1996-11-10	PRIJEM	VKLAD	10983	53927	\N	\N	\N
568015	1934	1996-12-10	PRIJEM	VKLAD	16474	62053	\N	\N	\N
568016	1934	1997-01-10	PRIJEM	VKLAD	10983	60132	\N	\N	\N
568017	1934	1997-02-10	PRIJEM	VKLAD	10983	45712	\N	\N	\N
568018	1934	1997-03-10	PRIJEM	VKLAD	10983	59726	\N	\N	\N
568019	1934	1997-04-10	PRIJEM	VKLAD	10983	62607	\N	\N	\N
568020	1934	1997-05-10	PRIJEM	VKLAD	10983	69383	\N	\N	\N
568021	1934	1997-06-10	PRIJEM	VKLAD	16474	45945	\N	\N	\N
568022	1934	1997-07-10	PRIJEM	VKLAD	10983	57395	\N	\N	\N
568023	1934	1997-08-10	PRIJEM	VKLAD	10983	72562	\N	\N	\N
568024	1934	1997-09-10	PRIJEM	VKLAD	10983	75974	\N	\N	\N
568025	1934	1997-10-10	PRIJEM	VKLAD	10983	76780	\N	\N	\N
568026	1934	1997-11-10	PRIJEM	VKLAD	10983	79413	\N	\N	\N
568027	1934	1997-12-10	PRIJEM	VKLAD	16474	85165	\N	\N	\N
568028	1934	1998-01-10	PRIJEM	VKLAD	10983	84409	\N	\N	\N
568029	1934	1998-02-10	PRIJEM	VKLAD	10983	77783	\N	\N	\N
568030	1934	1998-03-10	PRIJEM	VKLAD	10983	87628	\N	\N	\N
568031	1934	1998-04-10	PRIJEM	VKLAD	10983	91687	\N	\N	\N
568032	1934	1998-05-10	PRIJEM	VKLAD	10983	86126	\N	\N	\N
568033	1934	1998-06-10	PRIJEM	VKLAD	16474	93061	\N	\N	\N
568034	1934	1998-07-10	PRIJEM	VKLAD	10983	72043	\N	\N	\N
568035	1934	1998-08-10	PRIJEM	VKLAD	10983	83872	\N	\N	\N
568036	1934	1998-09-10	PRIJEM	VKLAD	10983	95047	\N	\N	\N
568037	1934	1998-10-10	PRIJEM	VKLAD	10983	99554	\N	\N	\N
568038	1934	1998-11-10	PRIJEM	VKLAD	10983	101974	\N	\N	\N
568039	1934	1998-12-10	PRIJEM	VKLAD	16474	112712	\N	\N	\N
568053	1934	1995-02-11	VYDAJ	PREVOD NA UCET	1428	43237	SIPO	CD	78941809
568054	1934	1995-03-11	VYDAJ	PREVOD NA UCET	1428	40182	SIPO	CD	78941809
568055	1934	1995-04-11	VYDAJ	PREVOD NA UCET	1428	29812	SIPO	CD	78941809
568056	1934	1995-05-11	VYDAJ	PREVOD NA UCET	1428	31506	SIPO	CD	78941809
568057	1934	1995-06-11	VYDAJ	PREVOD NA UCET	1428	34964	SIPO	CD	78941809
568058	1934	1995-07-11	VYDAJ	PREVOD NA UCET	1428	36160	SIPO	CD	78941809
568059	1934	1995-08-11	VYDAJ	PREVOD NA UCET	1428	36421	SIPO	CD	78941809
568060	1934	1995-09-11	VYDAJ	PREVOD NA UCET	1428	35664	SIPO	CD	78941809
568061	1934	1995-10-11	VYDAJ	PREVOD NA UCET	1428	39026	SIPO	CD	78941809
568062	1934	1995-11-11	VYDAJ	PREVOD NA UCET	1428	39305	SIPO	CD	78941809
568063	1934	1995-12-11	VYDAJ	PREVOD NA UCET	1428	45191	SIPO	CD	78941809
568064	1934	1996-01-11	VYDAJ	PREVOD NA UCET	1428	37145	SIPO	CD	78941809
568065	1934	1996-02-11	VYDAJ	PREVOD NA UCET	1428	28873	SIPO	CD	78941809
568066	1934	1996-03-11	VYDAJ	PREVOD NA UCET	1428	30772	SIPO	CD	78941809
568067	1934	1996-04-11	VYDAJ	PREVOD NA UCET	1428	33750	SIPO	CD	78941809
568068	1934	1996-05-11	VYDAJ	PREVOD NA UCET	1428	41568	SIPO	CD	78941809
568069	1934	1996-06-11	VYDAJ	PREVOD NA UCET	1428	47709	SIPO	CD	78941809
568070	1934	1996-07-11	VYDAJ	PREVOD NA UCET	1428	34348	SIPO	CD	78941809
568071	1934	1996-08-11	VYDAJ	PREVOD NA UCET	1428	41815	SIPO	CD	78941809
568072	1934	1996-09-11	VYDAJ	PREVOD NA UCET	1428	50034	SIPO	CD	78941809
568073	1934	1996-10-11	VYDAJ	PREVOD NA UCET	1428	54460	SIPO	CD	78941809
568074	1934	1996-11-11	VYDAJ	PREVOD NA UCET	1428	50612	SIPO	CD	78941809
568075	1934	1996-12-11	VYDAJ	PREVOD NA UCET	1428	59458	SIPO	CD	78941809
568076	1934	1997-01-11	VYDAJ	PREVOD NA UCET	1428	56817	SIPO	CD	78941809
568077	1934	1997-02-11	VYDAJ	PREVOD NA UCET	1428	42397	SIPO	CD	78941809
568078	1934	1997-03-11	VYDAJ	PREVOD NA UCET	1428	57578	SIPO	CD	78941809
568079	1934	1997-04-11	VYDAJ	PREVOD NA UCET	1428	60012	SIPO	CD	78941809
568080	1934	1997-05-11	VYDAJ	PREVOD NA UCET	1428	62675	SIPO	CD	78941809
568081	1934	1997-06-11	VYDAJ	PREVOD NA UCET	1428	43350	SIPO	CD	78941809
568082	1934	1997-07-11	VYDAJ	PREVOD NA UCET	1428	55967	SIPO	CD	78941809
568083	1934	1997-08-11	VYDAJ	PREVOD NA UCET	1428	71134	SIPO	CD	78941809
568084	1934	1997-09-11	VYDAJ	PREVOD NA UCET	1428	74546	SIPO	CD	78941809
568085	1934	1997-10-11	VYDAJ	PREVOD NA UCET	1428	75352	SIPO	CD	78941809
568086	1934	1997-11-11	VYDAJ	PREVOD NA UCET	1428	76818	SIPO	CD	78941809
568087	1934	1997-12-11	VYDAJ	PREVOD NA UCET	1428	83737	SIPO	CD	78941809
568088	1934	1998-01-11	VYDAJ	PREVOD NA UCET	1428	82981	SIPO	CD	78941809
568089	1934	1998-02-11	VYDAJ	PREVOD NA UCET	1428	76355	SIPO	CD	78941809
568090	1934	1998-03-11	VYDAJ	PREVOD NA UCET	1428	85480	SIPO	CD	78941809
568091	1934	1998-04-11	VYDAJ	PREVOD NA UCET	1428	88372	SIPO	CD	78941809
568092	1934	1998-05-11	VYDAJ	PREVOD NA UCET	1428	82811	SIPO	CD	78941809
568093	1934	1998-06-11	VYDAJ	PREVOD NA UCET	1428	91633	SIPO	CD	78941809
568094	1934	1998-07-11	VYDAJ	PREVOD NA UCET	1428	70615	SIPO	CD	78941809
568095	1934	1998-08-11	VYDAJ	PREVOD NA UCET	1428	80557	SIPO	CD	78941809
568096	1934	1998-09-11	VYDAJ	PREVOD NA UCET	1428	93619	SIPO	CD	78941809
568097	1934	1998-10-11	VYDAJ	PREVOD NA UCET	1428	97406	SIPO	CD	78941809
568098	1934	1998-11-11	VYDAJ	PREVOD NA UCET	1428	100546	SIPO	CD	78941809
568099	1934	1998-12-11	VYDAJ	PREVOD NA UCET	1428	111284	SIPO	CD	78941809
568113	1934	1995-02-13	VYDAJ	PREVOD NA UCET	4007	37343	 	IJ	6592476
568114	1934	1995-03-13	VYDAJ	PREVOD NA UCET	4007	35455	 	IJ	6592476
568115	1934	1995-04-13	VYDAJ	PREVOD NA UCET	4007	25805	 	IJ	6592476
568116	1934	1995-05-13	VYDAJ	PREVOD NA UCET	4007	27499	 	IJ	6592476
568117	1934	1995-06-13	VYDAJ	PREVOD NA UCET	4007	29070	 	IJ	6592476
568118	1934	1995-07-13	VYDAJ	PREVOD NA UCET	4007	31433	 	IJ	6592476
568119	1934	1995-08-13	VYDAJ	PREVOD NA UCET	4007	30527	 	IJ	6592476
568120	1934	1995-09-13	VYDAJ	PREVOD NA UCET	4007	31657	 	IJ	6592476
568121	1934	1995-10-13	VYDAJ	PREVOD NA UCET	4007	33132	 	IJ	6592476
568122	1934	1995-11-13	VYDAJ	PREVOD NA UCET	4007	33411	 	IJ	6592476
568123	1934	1995-12-13	VYDAJ	PREVOD NA UCET	4007	41184	 	IJ	6592476
568124	1934	1996-01-13	VYDAJ	PREVOD NA UCET	4007	32418	 	IJ	6592476
568125	1934	1996-02-13	VYDAJ	PREVOD NA UCET	4007	22979	 	IJ	6592476
568126	1934	1996-03-13	VYDAJ	PREVOD NA UCET	4007	26045	 	IJ	6592476
568127	1934	1996-04-13	VYDAJ	PREVOD NA UCET	4007	29023	 	IJ	6592476
568128	1934	1996-05-13	VYDAJ	PREVOD NA UCET	4007	36394	 	IJ	6592476
568129	1934	1996-06-13	VYDAJ	PREVOD NA UCET	4007	41815	 	IJ	6592476
568130	1934	1996-07-13	VYDAJ	PREVOD NA UCET	4007	29174	 	IJ	6592476
568131	1934	1996-08-13	VYDAJ	PREVOD NA UCET	4007	36641	 	IJ	6592476
568132	1934	1996-09-13	VYDAJ	PREVOD NA UCET	4007	44140	 	IJ	6592476
568133	1934	1996-10-13	VYDAJ	PREVOD NA UCET	4007	48566	 	IJ	6592476
568134	1934	1996-11-13	VYDAJ	PREVOD NA UCET	4007	46605	 	IJ	6592476
568135	1934	1996-12-13	VYDAJ	PREVOD NA UCET	4007	54731	 	IJ	6592476
568136	1934	1997-01-13	VYDAJ	PREVOD NA UCET	4007	50290	 	IJ	6592476
568137	1934	1997-02-13	VYDAJ	PREVOD NA UCET	4007	38390	 	IJ	6592476
568138	1934	1997-03-13	VYDAJ	PREVOD NA UCET	4007	52404	 	IJ	6592476
568139	1934	1997-04-13	VYDAJ	PREVOD NA UCET	4007	55285	 	IJ	6592476
568140	1934	1997-05-13	VYDAJ	PREVOD NA UCET	4007	57501	 	IJ	6592476
568141	1934	1997-06-13	VYDAJ	PREVOD NA UCET	4007	38623	 	IJ	6592476
568142	1934	1997-07-13	VYDAJ	PREVOD NA UCET	4007	50073	 	IJ	6592476
568143	1934	1997-08-13	VYDAJ	PREVOD NA UCET	4007	65240	 	IJ	6592476
568144	1934	1997-09-13	VYDAJ	PREVOD NA UCET	4007	68652	 	IJ	6592476
568145	1934	1997-10-13	VYDAJ	PREVOD NA UCET	4007	69458	 	IJ	6592476
568146	1934	1997-11-13	VYDAJ	PREVOD NA UCET	4007	72091	 	IJ	6592476
568147	1934	1997-12-13	VYDAJ	PREVOD NA UCET	4007	77843	 	IJ	6592476
568148	1934	1998-01-13	VYDAJ	PREVOD NA UCET	4007	76487	 	IJ	6592476
568149	1934	1998-02-13	VYDAJ	PREVOD NA UCET	4007	70461	 	IJ	6592476
568150	1934	1998-03-13	VYDAJ	PREVOD NA UCET	4007	80306	 	IJ	6592476
568151	1934	1998-04-13	VYDAJ	PREVOD NA UCET	4007	84365	 	IJ	6592476
568152	1934	1998-05-13	VYDAJ	PREVOD NA UCET	4007	78804	 	IJ	6592476
568153	1934	1998-06-13	VYDAJ	PREVOD NA UCET	4007	85739	 	IJ	6592476
568154	1934	1998-07-13	VYDAJ	PREVOD NA UCET	4007	64721	 	IJ	6592476
568155	1934	1998-08-13	VYDAJ	PREVOD NA UCET	4007	76550	 	IJ	6592476
568156	1934	1998-09-13	VYDAJ	PREVOD NA UCET	4007	87725	 	IJ	6592476
568157	1934	1998-10-13	VYDAJ	PREVOD NA UCET	4007	92232	 	IJ	6592476
568158	1934	1998-11-13	VYDAJ	PREVOD NA UCET	4007	95852	 	IJ	6592476
568159	1934	1998-12-13	VYDAJ	PREVOD NA UCET	4007	84290	 	IJ	6592476
568173	1934	1995-02-11	VYDAJ	PREVOD NA UCET	720	42517	POJISTNE	UV	30378473
568174	1934	1995-03-11	VYDAJ	PREVOD NA UCET	720	39462	POJISTNE	UV	30378473
568175	1934	1995-04-11	VYDAJ	PREVOD NA UCET	720	31240	POJISTNE	UV	30378473
568176	1934	1995-05-11	VYDAJ	PREVOD NA UCET	720	32934	POJISTNE	UV	30378473
568177	1934	1995-06-11	VYDAJ	PREVOD NA UCET	720	33077	POJISTNE	UV	30378473
568178	1934	1995-07-11	VYDAJ	PREVOD NA UCET	720	35440	POJISTNE	UV	30378473
568179	1934	1995-08-11	VYDAJ	PREVOD NA UCET	720	35701	POJISTNE	UV	30378473
568180	1934	1995-09-11	VYDAJ	PREVOD NA UCET	720	38259	POJISTNE	UV	30378473
568181	1934	1995-10-11	VYDAJ	PREVOD NA UCET	720	37139	POJISTNE	UV	30378473
568182	1934	1995-11-11	VYDAJ	PREVOD NA UCET	720	38585	POJISTNE	UV	30378473
568183	1934	1995-12-11	VYDAJ	PREVOD NA UCET	720	46619	POJISTNE	UV	30378473
568184	1934	1996-01-11	VYDAJ	PREVOD NA UCET	720	36425	POJISTNE	UV	30378473
568185	1934	1996-02-11	VYDAJ	PREVOD NA UCET	720	26986	POJISTNE	UV	30378473
568186	1934	1996-03-11	VYDAJ	PREVOD NA UCET	720	30052	POJISTNE	UV	30378473
568187	1934	1996-04-11	VYDAJ	PREVOD NA UCET	720	33030	POJISTNE	UV	30378473
568188	1934	1996-05-11	VYDAJ	PREVOD NA UCET	720	42996	POJISTNE	UV	30378473
568189	1934	1996-06-11	VYDAJ	PREVOD NA UCET	720	46989	POJISTNE	UV	30378473
568190	1934	1996-07-11	VYDAJ	PREVOD NA UCET	720	35776	POJISTNE	UV	30378473
568191	1934	1996-08-11	VYDAJ	PREVOD NA UCET	720	43243	POJISTNE	UV	30378473
568192	1934	1996-09-11	VYDAJ	PREVOD NA UCET	720	48147	POJISTNE	UV	30378473
568193	1934	1996-10-11	VYDAJ	PREVOD NA UCET	720	53740	POJISTNE	UV	30378473
568194	1934	1996-11-11	VYDAJ	PREVOD NA UCET	720	52040	POJISTNE	UV	30378473
568195	1934	1996-12-11	VYDAJ	PREVOD NA UCET	720	58738	POJISTNE	UV	30378473
568196	1934	1997-01-11	VYDAJ	PREVOD NA UCET	720	59412	POJISTNE	UV	30378473
568197	1934	1997-02-11	VYDAJ	PREVOD NA UCET	720	43825	POJISTNE	UV	30378473
568198	1934	1997-03-11	VYDAJ	PREVOD NA UCET	720	59006	POJISTNE	UV	30378473
568199	1934	1997-04-11	VYDAJ	PREVOD NA UCET	720	59292	POJISTNE	UV	30378473
568200	1934	1997-05-11	VYDAJ	PREVOD NA UCET	720	64103	POJISTNE	UV	30378473
568201	1934	1997-06-11	VYDAJ	PREVOD NA UCET	720	42630	POJISTNE	UV	30378473
568202	1934	1997-07-11	VYDAJ	PREVOD NA UCET	720	55247	POJISTNE	UV	30378473
568203	1934	1997-08-11	VYDAJ	PREVOD NA UCET	720	69247	POJISTNE	UV	30378473
568204	1934	1997-09-11	VYDAJ	PREVOD NA UCET	720	72659	POJISTNE	UV	30378473
568205	1934	1997-10-11	VYDAJ	PREVOD NA UCET	720	73465	POJISTNE	UV	30378473
568206	1934	1997-11-11	VYDAJ	PREVOD NA UCET	720	76098	POJISTNE	UV	30378473
568207	1934	1997-12-11	VYDAJ	PREVOD NA UCET	720	81850	POJISTNE	UV	30378473
568208	1934	1998-01-11	VYDAJ	PREVOD NA UCET	720	82261	POJISTNE	UV	30378473
568209	1934	1998-02-11	VYDAJ	PREVOD NA UCET	720	74468	POJISTNE	UV	30378473
568210	1934	1998-03-11	VYDAJ	PREVOD NA UCET	720	86908	POJISTNE	UV	30378473
568211	1934	1998-04-11	VYDAJ	PREVOD NA UCET	720	90967	POJISTNE	UV	30378473
568212	1934	1998-05-11	VYDAJ	PREVOD NA UCET	720	85406	POJISTNE	UV	30378473
568213	1934	1998-06-11	VYDAJ	PREVOD NA UCET	720	90913	POJISTNE	UV	30378473
568214	1934	1998-07-11	VYDAJ	PREVOD NA UCET	720	68728	POJISTNE	UV	30378473
568215	1934	1998-08-11	VYDAJ	PREVOD NA UCET	720	81985	POJISTNE	UV	30378473
568216	1934	1998-09-11	VYDAJ	PREVOD NA UCET	720	91732	POJISTNE	UV	30378473
568217	1934	1998-10-11	VYDAJ	PREVOD NA UCET	720	98834	POJISTNE	UV	30378473
568218	1934	1998-11-11	VYDAJ	PREVOD NA UCET	720	99826	POJISTNE	UV	30378473
568219	1934	1998-12-11	VYDAJ	PREVOD NA UCET	720	80097	POJISTNE	UV	30378473
568233	1934	1995-02-11	VYDAJ	PREVOD NA UCET	1167	41350	 	UV	50147646
568234	1934	1995-03-11	VYDAJ	PREVOD NA UCET	1167	41610	 	UV	50147646
568235	1934	1995-04-11	VYDAJ	PREVOD NA UCET	1167	31960	 	UV	50147646
568236	1934	1995-05-11	VYDAJ	PREVOD NA UCET	1167	33654	 	UV	50147646
568237	1934	1995-06-11	VYDAJ	PREVOD NA UCET	1167	33797	 	UV	50147646
568238	1934	1995-07-11	VYDAJ	PREVOD NA UCET	1167	37588	 	UV	50147646
568239	1934	1995-08-11	VYDAJ	PREVOD NA UCET	1167	34534	 	UV	50147646
568240	1934	1995-09-11	VYDAJ	PREVOD NA UCET	1167	37092	 	UV	50147646
568241	1934	1995-10-11	VYDAJ	PREVOD NA UCET	1167	37859	 	UV	50147646
568242	1934	1995-11-11	VYDAJ	PREVOD NA UCET	1167	37418	 	UV	50147646
568243	1934	1995-12-11	VYDAJ	PREVOD NA UCET	1167	47339	 	UV	50147646
568244	1934	1996-01-11	VYDAJ	PREVOD NA UCET	1167	38573	 	UV	50147646
568245	1934	1996-02-11	VYDAJ	PREVOD NA UCET	1167	27706	 	UV	50147646
568246	1934	1996-03-11	VYDAJ	PREVOD NA UCET	1167	32200	 	UV	50147646
568247	1934	1996-04-11	VYDAJ	PREVOD NA UCET	1167	35178	 	UV	50147646
568248	1934	1996-05-11	VYDAJ	PREVOD NA UCET	1167	40401	 	UV	50147646
568249	1934	1996-06-11	VYDAJ	PREVOD NA UCET	1167	45822	 	UV	50147646
568250	1934	1996-07-11	VYDAJ	PREVOD NA UCET	1167	33181	 	UV	50147646
568251	1934	1996-08-11	VYDAJ	PREVOD NA UCET	1167	40648	 	UV	50147646
568252	1934	1996-09-11	VYDAJ	PREVOD NA UCET	1167	48867	 	UV	50147646
568253	1934	1996-10-11	VYDAJ	PREVOD NA UCET	1167	52573	 	UV	50147646
568254	1934	1996-11-11	VYDAJ	PREVOD NA UCET	1167	52760	 	UV	50147646
568255	1934	1996-12-11	VYDAJ	PREVOD NA UCET	1167	60886	 	UV	50147646
568256	1934	1997-01-11	VYDAJ	PREVOD NA UCET	1167	58245	 	UV	50147646
568257	1934	1997-02-11	VYDAJ	PREVOD NA UCET	1167	44545	 	UV	50147646
568258	1934	1997-03-11	VYDAJ	PREVOD NA UCET	1167	56411	 	UV	50147646
568259	1934	1997-04-11	VYDAJ	PREVOD NA UCET	1167	61440	 	UV	50147646
568260	1934	1997-05-11	VYDAJ	PREVOD NA UCET	1167	61508	 	UV	50147646
568261	1934	1997-06-11	VYDAJ	PREVOD NA UCET	1167	44778	 	UV	50147646
568262	1934	1997-07-11	VYDAJ	PREVOD NA UCET	1167	54080	 	UV	50147646
568263	1934	1997-08-11	VYDAJ	PREVOD NA UCET	1167	69967	 	UV	50147646
568264	1934	1997-09-11	VYDAJ	PREVOD NA UCET	1167	73379	 	UV	50147646
568265	1934	1997-10-11	VYDAJ	PREVOD NA UCET	1167	74185	 	UV	50147646
568266	1934	1997-11-11	VYDAJ	PREVOD NA UCET	1167	78246	 	UV	50147646
568267	1934	1997-12-11	VYDAJ	PREVOD NA UCET	1167	82570	 	UV	50147646
568268	1934	1998-01-11	VYDAJ	PREVOD NA UCET	1167	81094	 	UV	50147646
568269	1934	1998-02-11	VYDAJ	PREVOD NA UCET	1167	75188	 	UV	50147646
568270	1934	1998-03-11	VYDAJ	PREVOD NA UCET	1167	84313	 	UV	50147646
568271	1934	1998-04-11	VYDAJ	PREVOD NA UCET	1167	89800	 	UV	50147646
568272	1934	1998-05-11	VYDAJ	PREVOD NA UCET	1167	84239	 	UV	50147646
568273	1934	1998-06-11	VYDAJ	PREVOD NA UCET	1167	89746	 	UV	50147646
568274	1934	1998-07-11	VYDAJ	PREVOD NA UCET	1167	69448	 	UV	50147646
568275	1934	1998-08-11	VYDAJ	PREVOD NA UCET	1167	82705	 	UV	50147646
568276	1934	1998-09-11	VYDAJ	PREVOD NA UCET	1167	92452	 	UV	50147646
568277	1934	1998-10-11	VYDAJ	PREVOD NA UCET	1167	96239	 	UV	50147646
568278	1934	1998-11-11	VYDAJ	PREVOD NA UCET	1167	98659	 	UV	50147646
568279	1934	1998-12-11	VYDAJ	PREVOD NA UCET	1167	110117	 	UV	50147646
568281	1934	1995-06-05	VYDAJ	VYBER	6080	19918	\N	\N	\N
568282	1934	1996-06-27	VYDAJ	VYBER	14240	25375	\N	\N	\N
568283	1934	1997-06-01	VYDAJ	VYBER	29760	29471	\N	\N	\N
568284	1934	1998-06-17	VYDAJ	VYBER	20160	61379	\N	\N	\N
568287	1934	1996-01-16	VYDAJ	VYBER	5120	25858	\N	\N	\N
568288	1934	1997-01-25	VYDAJ	VYBER	13280	35390	\N	\N	\N
568289	1934	1998-01-23	VYDAJ	VYBER	9440	68187	\N	\N	\N
568291	1934	1995-12-14	VYDAJ	VYBER	4320	36864	\N	\N	\N
568292	1934	1996-12-30	VYDAJ	VYBER	1600	50631	\N	\N	\N
568293	1934	1997-12-17	VYDAJ	VYBER	1760	76083	\N	\N	\N
568294	1934	1998-12-24	VYDAJ	VYBER	3360	75170	\N	\N	\N
568307	1934	1996-01-24	VYDAJ	VYBER	2640	19858	\N	\N	\N
568308	1934	1996-01-20	VYDAJ	VYBER	1680	23458	\N	\N	\N
568309	1934	1996-01-07	VYDAJ	VYBER	2520	28757	\N	\N	\N
568310	1934	1996-01-16	VYDAJ	VYBER	1440	30978	\N	\N	\N
568311	1934	1996-01-23	VYDAJ	VYBER	960	22498	\N	\N	\N
568312	1934	1996-01-19	VYDAJ	VYBER	720	25138	\N	\N	\N
568313	1934	1997-01-14	VYDAJ	VYBER	1920	48370	\N	\N	\N
568314	1934	1997-01-12	VYDAJ	VYBER	1200	55617	\N	\N	\N
568315	1934	1997-01-02	VYDAJ	VYBER	1680	49149	\N	\N	\N
568316	1934	1997-01-14	VYDAJ	VYBER	2040	46330	\N	\N	\N
568317	1934	1997-01-23	VYDAJ	VYBER	2160	48670	\N	\N	\N
568318	1934	1997-01-27	VYDAJ	VYBER	840	34550	\N	\N	\N
568319	1934	1998-01-11	VYDAJ	VYBER	600	80494	\N	\N	\N
568320	1934	1998-01-28	VYDAJ	VYBER	1680	66507	\N	\N	\N
568321	1934	1998-01-17	VYDAJ	VYBER	1440	77627	\N	\N	\N
568322	1934	1998-01-03	VYDAJ	VYBER	840	75346	\N	\N	\N
568323	1934	1998-01-17	VYDAJ	VYBER	1320	79067	\N	\N	\N
568324	1934	1998-01-04	VYDAJ	VYBER	1920	73426	\N	\N	\N
568329	1934	1995-07-23	VYDAJ	VYBER	2880	28553	\N	\N	\N
568330	1934	1995-05-04	VYDAJ	VYBER	3360	23838	\N	\N	\N
568331	1934	1995-08-25	VYDAJ	VYBER	3240	27287	\N	\N	\N
568332	1934	1995-03-31	VYDAJ	VYBER	5160	24558	\N	\N	\N
568333	1934	1995-12-28	VYDAJ	VYBER	1920	34944	\N	\N	\N
568334	1934	1995-03-22	VYDAJ	VYBER	5880	29575	\N	\N	\N
568335	1934	1996-03-10	VYDAJ	VYBER	3480	33367	\N	\N	\N
568336	1934	1996-05-21	VYDAJ	VYBER	3360	33034	\N	\N	\N
568337	1934	1996-04-01	VYDAJ	VYBER	3480	25362	\N	\N	\N
568338	1934	1996-02-09	VYDAJ	VYBER	3840	19318	\N	\N	\N
568339	1934	1997-03-26	VYDAJ	VYBER	4080	51424	\N	\N	\N
568340	1934	1997-06-28	VYDAJ	VYBER	5400	46223	\N	\N	\N
568341	1934	1997-12-23	VYDAJ	VYBER	4800	75883	\N	\N	\N
568342	1934	1997-10-09	VYDAJ	VYBER	2520	65797	\N	\N	\N
568343	1934	1997-12-06	VYDAJ	VYBER	3480	68691	\N	\N	\N
568344	1934	1997-01-13	VYDAJ	VYBER	1320	54297	\N	\N	\N
568345	1934	1997-05-10	VYDAJ	VYBER	4560	64823	\N	\N	\N
568346	1934	1998-05-19	VYDAJ	VYBER	720	76284	\N	\N	\N
568347	1934	1998-12-22	VYDAJ	VYBER	5760	78530	\N	\N	\N
568348	1934	1998-06-15	VYDAJ	VYBER	600	85139	\N	\N	\N
568349	1934	1998-07-05	VYDAJ	VYBER	600	61060	\N	\N	\N
568350	1934	1998-04-21	VYDAJ	VYBER	5040	74825	\N	\N	\N
568351	1934	1998-04-07	VYDAJ	VYBER	1320	80704	\N	\N	\N
568366	1934	1995-02-28	VYDAJ	VYBER	15	37494	SLUZBY	\N	\N
568367	1934	1995-03-31	VYDAJ	VYBER	15	24544	SLUZBY	\N	\N
568368	1934	1995-04-30	VYDAJ	VYBER	15	25898	SLUZBY	\N	\N
568369	1934	1995-05-31	VYDAJ	VYBER	15	27598	SLUZBY	\N	\N
568370	1934	1995-06-30	VYDAJ	VYBER	15	29172	SLUZBY	\N	\N
568371	1934	1995-07-31	VYDAJ	VYBER	15	28666	SLUZBY	\N	\N
568372	1934	1995-08-31	VYDAJ	VYBER	15	27996	SLUZBY	\N	\N
568373	1934	1995-09-30	VYDAJ	VYBER	15	29471	SLUZBY	\N	\N
568374	1934	1995-10-31	VYDAJ	VYBER	15	29750	SLUZBY	\N	\N
568375	1934	1995-11-30	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
568376	1934	1995-12-31	VYDAJ	VYBER	15	31277	SLUZBY	\N	\N
568377	1934	1996-01-31	VYDAJ	VYBER	15	23158	SLUZBY	\N	\N
568378	1934	1996-02-29	VYDAJ	VYBER	15	25864	SLUZBY	\N	\N
568379	1934	1996-03-31	VYDAJ	VYBER	15	28842	SLUZBY	\N	\N
568380	1934	1996-04-30	VYDAJ	VYBER	15	32733	SLUZBY	\N	\N
568381	1934	1996-05-31	VYDAJ	VYBER	15	32663	SLUZBY	\N	\N
568382	1934	1996-06-30	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
568383	1934	1996-07-31	VYDAJ	VYBER	15	32980	SLUZBY	\N	\N
568384	1934	1996-08-31	VYDAJ	VYBER	15	40479	SLUZBY	\N	\N
568385	1934	1996-09-30	VYDAJ	VYBER	15	44905	SLUZBY	\N	\N
568386	1934	1996-10-31	VYDAJ	VYBER	15	42944	SLUZBY	\N	\N
568387	1934	1996-11-30	VYDAJ	VYBER	15	45579	SLUZBY	\N	\N
568388	1934	1996-12-31	VYDAJ	VYBER	15	50829	SLUZBY	\N	\N
568389	1934	1997-01-31	VYDAJ	VYBER	15	34729	SLUZBY	\N	\N
568390	1934	1997-02-28	VYDAJ	VYBER	15	48743	SLUZBY	\N	\N
568391	1934	1997-03-31	VYDAJ	VYBER	15	51624	SLUZBY	\N	\N
568392	1934	1997-04-30	VYDAJ	VYBER	15	58400	SLUZBY	\N	\N
568393	1934	1997-05-31	VYDAJ	VYBER	15	59231	SLUZBY	\N	\N
568394	1934	1997-06-30	VYDAJ	VYBER	15	46412	SLUZBY	\N	\N
568395	1934	1997-07-31	VYDAJ	VYBER	15	61579	SLUZBY	\N	\N
568396	1934	1997-08-31	VYDAJ	VYBER	15	64991	SLUZBY	\N	\N
568397	1934	1997-09-30	VYDAJ	VYBER	15	68317	SLUZBY	\N	\N
568398	1934	1997-10-31	VYDAJ	VYBER	15	68430	SLUZBY	\N	\N
568399	1934	1997-11-30	VYDAJ	VYBER	15	72171	SLUZBY	\N	\N
568400	1934	1997-12-31	VYDAJ	VYBER	15	76186	SLUZBY	\N	\N
568401	1934	1998-01-31	VYDAJ	VYBER	15	66800	SLUZBY	\N	\N
568402	1934	1998-02-28	VYDAJ	VYBER	15	76645	SLUZBY	\N	\N
568403	1934	1998-03-31	VYDAJ	VYBER	15	82024	SLUZBY	\N	\N
568404	1934	1998-04-30	VYDAJ	VYBER	15	75143	SLUZBY	\N	\N
568405	1934	1998-05-31	VYDAJ	VYBER	15	76587	SLUZBY	\N	\N
568406	1934	1998-06-30	VYDAJ	VYBER	15	61660	SLUZBY	\N	\N
568407	1934	1998-07-31	VYDAJ	VYBER	15	72889	SLUZBY	\N	\N
568408	1934	1998-08-31	VYDAJ	VYBER	15	84064	SLUZBY	\N	\N
568409	1934	1998-09-30	VYDAJ	VYBER	15	88571	SLUZBY	\N	\N
568410	1934	1998-10-31	VYDAJ	VYBER	15	90991	SLUZBY	\N	\N
568411	1934	1998-11-30	VYDAJ	VYBER	15	96238	SLUZBY	\N	\N
568412	1934	1994-11-04	PRIJEM	VKLAD	5500	16816	\N	\N	\N
568413	1934	1994-12-04	VYDAJ	VYBER	3900	23995	\N	\N	\N
568414	1934	1995-01-03	VYDAJ	VYBER	8400	32222	\N	\N	\N
568415	1934	1995-02-02	VYDAJ	VYBER	9700	33682	\N	\N	\N
568416	1934	1995-03-04	VYDAJ	VYBER	5700	31794	\N	\N	\N
568417	1934	1995-04-03	VYDAJ	VYBER	2400	22144	\N	\N	\N
568418	1934	1995-05-03	PRIJEM	VKLAD	1300	27198	\N	\N	\N
568419	1934	1995-06-02	VYDAJ	VYBER	1600	25998	\N	\N	\N
568420	1934	1995-07-02	VYDAJ	VYBER	1400	27772	\N	\N	\N
568421	1934	1995-08-01	VYDAJ	VYBER	1800	26866	\N	\N	\N
568422	1934	1995-08-31	PRIJEM	VKLAD	600	27887	\N	\N	\N
568423	1934	1995-09-30	VYDAJ	VYBER	2300	29485	\N	\N	\N
568424	1934	1995-10-30	VYDAJ	VYBER	3500	29632	\N	\N	\N
568425	1934	1995-11-29	VYDAJ	VYBER	1500	31911	\N	\N	\N
568426	1934	1995-12-29	VYDAJ	VYBER	3800	31144	\N	\N	\N
568427	1934	1996-01-28	PRIJEM	VKLAD	3200	23058	\N	\N	\N
568428	1934	1996-02-27	PRIJEM	VKLAD	2800	25779	\N	\N	\N
568429	1934	1996-03-28	PRIJEM	VKLAD	2700	28745	\N	\N	\N
568430	1934	1996-04-27	PRIJEM	VKLAD	3600	32623	\N	\N	\N
568431	1934	1996-05-27	VYDAJ	VYBER	500	32534	\N	\N	\N
568432	1934	1996-06-26	VYDAJ	VYBER	2200	39615	\N	\N	\N
568433	1934	1996-07-26	PRIJEM	VKLAD	3700	32874	\N	\N	\N
568434	1934	1996-08-25	PRIJEM	VKLAD	3700	40341	\N	\N	\N
568435	1934	1996-09-24	PRIJEM	VKLAD	600	44740	\N	\N	\N
568436	1934	1996-10-24	VYDAJ	VYBER	5800	42766	\N	\N	\N
568437	1934	1996-11-23	VYDAJ	VYBER	1200	45405	\N	\N	\N
568438	1934	1996-12-23	VYDAJ	VYBER	2500	52231	\N	\N	\N
568439	1934	1997-01-22	PRIJEM	VKLAD	4500	50830	\N	\N	\N
568440	1934	1997-02-21	PRIJEM	VKLAD	10200	48590	\N	\N	\N
568441	1934	1997-03-23	PRIJEM	VKLAD	3100	55504	\N	\N	\N
568442	1934	1997-04-22	PRIJEM	VKLAD	2900	58185	\N	\N	\N
568443	1934	1997-05-22	PRIJEM	VKLAD	1500	59001	\N	\N	\N
568444	1934	1997-06-21	PRIJEM	VKLAD	13000	51623	\N	\N	\N
568445	1934	1997-07-21	PRIJEM	VKLAD	11300	61373	\N	\N	\N
568446	1934	1997-08-20	VYDAJ	VYBER	500	64740	\N	\N	\N
568447	1934	1997-09-19	VYDAJ	VYBER	600	68052	\N	\N	\N
568448	1934	1997-10-19	VYDAJ	VYBER	1300	68158	\N	\N	\N
568449	1934	1997-11-18	VYDAJ	VYBER	200	71891	\N	\N	\N
568450	1934	1997-12-18	PRIJEM	VKLAD	4600	80683	\N	\N	\N
568451	1934	1998-01-17	PRIJEM	VKLAD	3900	80387	\N	\N	\N
568452	1934	1998-02-16	PRIJEM	VKLAD	5900	76361	\N	\N	\N
568453	1934	1998-03-18	PRIJEM	VKLAD	1400	81706	\N	\N	\N
568454	1934	1998-04-17	VYDAJ	VYBER	4500	79865	\N	\N	\N
568455	1934	1998-05-17	VYDAJ	VYBER	1800	77004	\N	\N	\N
568456	1934	1998-06-16	VYDAJ	VYBER	3600	81539	\N	\N	\N
568457	1934	1998-07-16	PRIJEM	VKLAD	7900	72621	\N	\N	\N
568458	1934	1998-08-15	PRIJEM	VKLAD	7200	83750	\N	\N	\N
568459	1934	1998-09-14	PRIJEM	VKLAD	500	88225	\N	\N	\N
568460	1934	1998-10-14	VYDAJ	VYBER	1600	90632	\N	\N	\N
568461	1934	1998-11-13	PRIJEM	VKLAD	1200	99859	\N	\N	\N
568462	1934	1998-12-11	VYDAJ	VYBER	29300	80817	\N	\N	\N
568463	1934	1998-12-13	PRIJEM	VKLAD	8200	88297	\N	\N	\N
568515	1935	1996-08-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
568524	1935	1996-09-06	PRIJEM	PREVOD Z UCTU	49875	50975	\N	WX	83520716
568525	1935	1996-10-06	PRIJEM	PREVOD Z UCTU	49875	85534	\N	WX	83520716
568526	1935	1996-11-06	PRIJEM	PREVOD Z UCTU	49875	105405	\N	WX	83520716
568527	1935	1996-12-06	PRIJEM	PREVOD Z UCTU	74812	140272	\N	WX	83520716
568528	1935	1997-01-06	PRIJEM	PREVOD Z UCTU	49875	99950	\N	WX	83520716
568529	1935	1997-02-06	PRIJEM	PREVOD Z UCTU	49875	85843	\N	WX	83520716
568530	1935	1997-03-06	PRIJEM	PREVOD Z UCTU	49875	85760	\N	WX	83520716
568531	1935	1997-04-06	PRIJEM	PREVOD Z UCTU	49875	69950	\N	WX	83520716
568532	1935	1997-05-06	PRIJEM	PREVOD Z UCTU	49875	94415	\N	WX	83520716
568533	1935	1997-06-06	PRIJEM	PREVOD Z UCTU	74812	126043	\N	WX	83520716
568534	1935	1997-07-06	PRIJEM	PREVOD Z UCTU	49875	83874	\N	WX	83520716
568535	1935	1997-08-06	PRIJEM	PREVOD Z UCTU	49875	99612	\N	WX	83520716
568536	1935	1997-09-06	PRIJEM	PREVOD Z UCTU	49875	79147	\N	WX	83520716
568537	1935	1997-10-06	PRIJEM	PREVOD Z UCTU	49875	81499	\N	WX	83520716
568538	1935	1997-11-06	PRIJEM	PREVOD Z UCTU	49875	91836	\N	WX	83520716
568539	1935	1997-12-06	PRIJEM	PREVOD Z UCTU	74812	118728	\N	WX	83520716
568540	1935	1998-01-06	PRIJEM	PREVOD Z UCTU	49875	77357	\N	WX	83520716
568541	1935	1998-02-06	PRIJEM	PREVOD Z UCTU	49875	72536	\N	WX	83520716
568542	1935	1998-03-06	PRIJEM	PREVOD Z UCTU	49875	85334	\N	WX	83520716
568543	1935	1998-04-06	PRIJEM	PREVOD Z UCTU	49875	91963	\N	WX	83520716
568544	1935	1998-05-06	PRIJEM	PREVOD Z UCTU	49875	95510	\N	WX	83520716
568545	1935	1998-06-06	PRIJEM	PREVOD Z UCTU	74812	108893	\N	WX	83520716
568546	1935	1998-07-06	PRIJEM	PREVOD Z UCTU	49875	78740	\N	WX	83520716
568547	1935	1998-08-06	PRIJEM	PREVOD Z UCTU	49875	85388	\N	WX	83520716
568548	1935	1998-09-06	PRIJEM	PREVOD Z UCTU	49875	88002	\N	WX	83520716
568549	1935	1998-10-06	PRIJEM	PREVOD Z UCTU	49875	77688	\N	WX	83520716
568550	1935	1998-11-06	PRIJEM	PREVOD Z UCTU	49875	87462	\N	WX	83520716
568551	1935	1998-12-06	PRIJEM	PREVOD Z UCTU	74812	121616	\N	WX	83520716
568563	1935	1997-03-05	VYBER	VYBER	19888	35885	\N	\N	\N
568564	1935	1997-08-11	VYBER	VYBER	24097	29115	\N	\N	\N
568565	1935	1997-03-07	VYBER	VYBER	20721	65039	\N	\N	\N
568567	1935	1997-04-03	VYBER	VYBER	22258	20075	\N	\N	\N
568568	1935	1997-11-01	VYBER	VYBER	3221	41961	\N	\N	\N
568569	1935	1997-10-01	VYBER	VYBER	4999	36793	\N	\N	\N
568570	1935	1997-07-11	VYBER	VYBER	3508	80366	\N	\N	\N
568571	1935	1997-10-05	VYBER	VYBER	5169	31624	\N	\N	\N
568572	1935	1998-09-23	VYBER	VYBER	23911	64091	\N	\N	\N
568573	1935	1998-12-22	VYBER	VYBER	16250	49466	\N	\N	\N
568578	1935	1997-12-11	VYDAJ	VYBER	2400	46828	\N	\N	\N
568579	1935	1998-12-19	VYDAJ	VYBER	5700	65716	\N	\N	\N
568586	1935	1997-01-07	VYDAJ	VYBER	7800	92150	\N	\N	\N
568587	1935	1997-01-30	VYDAJ	VYBER	3600	43550	\N	\N	\N
568589	1935	1997-01-09	VYDAJ	VYBER	4200	87950	\N	\N	\N
568590	1935	1997-01-21	VYDAJ	VYBER	4200	47150	\N	\N	\N
568591	1935	1997-01-16	VYDAJ	VYBER	1800	51350	\N	\N	\N
568592	1935	1998-01-29	VYDAJ	VYBER	1500	22557	\N	\N	\N
568593	1935	1998-01-10	VYDAJ	VYBER	2100	34857	\N	\N	\N
568595	1935	1998-01-06	VYDAJ	VYBER	7800	69557	\N	\N	\N
568596	1935	1998-01-17	VYDAJ	VYBER	5100	24057	\N	\N	\N
568597	1935	1998-01-11	VYDAJ	VYBER	5700	29157	\N	\N	\N
568604	1935	1997-02-03	VYDAJ	VYBER	7800	35968	\N	\N	\N
568605	1935	1997-12-17	VYDAJ	VYBER	9300	37528	\N	\N	\N
568606	1935	1997-08-06	VYDAJ	VYBER	7800	91812	\N	\N	\N
568607	1935	1997-06-08	VYDAJ	VYBER	10200	55843	\N	\N	\N
568608	1935	1997-11-07	VYDAJ	VYBER	12900	78936	\N	\N	\N
568609	1935	1997-12-18	VYDAJ	VYBER	10200	27328	\N	\N	\N
568610	1935	1997-05-07	VYDAJ	VYBER	9000	85415	\N	\N	\N
568611	1935	1998-05-26	VYDAJ	VYBER	13800	33910	\N	\N	\N
568613	1935	1998-12-27	VYDAJ	VYBER	5100	44366	\N	\N	\N
568627	1935	1997-01-31	VYDAJ	VYBER	15	43768	SLUZBY	\N	\N
568628	1935	1997-02-28	VYDAJ	VYBER	15	55773	SLUZBY	\N	\N
568629	1935	1997-03-31	VYDAJ	VYBER	15	42333	SLUZBY	\N	\N
568630	1935	1997-04-30	VYDAJ	VYBER	15	44540	SLUZBY	\N	\N
568631	1935	1997-05-31	VYDAJ	VYBER	15	51231	SLUZBY	\N	\N
568632	1935	1997-06-30	VYDAJ	VYBER	15	33999	SLUZBY	\N	\N
568633	1935	1997-07-31	VYDAJ	VYBER	15	49737	SLUZBY	\N	\N
568634	1935	1997-08-31	VYDAJ	VYBER	15	29272	SLUZBY	\N	\N
568635	1935	1997-09-30	VYDAJ	VYBER	15	41792	SLUZBY	\N	\N
568636	1935	1997-10-31	VYDAJ	VYBER	15	45182	SLUZBY	\N	\N
568637	1935	1997-11-30	VYDAJ	VYBER	15	43916	SLUZBY	\N	\N
568638	1935	1997-12-31	VYDAJ	VYBER	15	27482	SLUZBY	\N	\N
568639	1935	1998-01-31	VYDAJ	VYBER	15	22661	SLUZBY	\N	\N
568640	1935	1998-02-28	VYDAJ	VYBER	15	35459	SLUZBY	\N	\N
568641	1935	1998-03-31	VYDAJ	VYBER	15	42088	SLUZBY	\N	\N
568642	1935	1998-04-30	VYDAJ	VYBER	15	45635	SLUZBY	\N	\N
568643	1935	1998-05-31	VYDAJ	VYBER	15	34081	SLUZBY	\N	\N
568644	1935	1998-06-30	VYDAJ	VYBER	15	28865	SLUZBY	\N	\N
568645	1935	1998-07-31	VYDAJ	VYBER	15	35513	SLUZBY	\N	\N
568646	1935	1998-08-31	VYDAJ	VYBER	15	85527	SLUZBY	\N	\N
568647	1935	1998-09-30	VYDAJ	VYBER	15	64413	SLUZBY	\N	\N
568648	1935	1998-10-31	VYDAJ	VYBER	15	77987	SLUZBY	\N	\N
568649	1935	1998-11-30	VYDAJ	VYBER	15	87804	SLUZBY	\N	\N
568650	1935	1996-09-14	VYDAJ	VYBER	15400	35575	\N	\N	\N
568651	1935	1996-10-14	VYDAJ	VYBER	30200	55334	\N	\N	\N
568652	1935	1996-11-13	VYDAJ	VYBER	40200	65205	\N	\N	\N
568653	1935	1996-12-06	VYDAJ	VYBER	59100	81172	\N	\N	\N
568654	1935	1996-12-13	VYDAJ	VYBER	31400	49772	\N	\N	\N
568655	1935	1997-01-12	VYDAJ	VYBER	34800	53150	\N	\N	\N
568656	1935	1997-02-11	VYDAJ	VYBER	30300	55543	\N	\N	\N
568657	1935	1997-03-13	VYDAJ	VYBER	22900	42139	\N	\N	\N
568658	1935	1997-04-12	VYDAJ	VYBER	25600	44350	\N	\N	\N
568659	1935	1997-05-12	VYDAJ	VYBER	34400	51015	\N	\N	\N
568660	1935	1997-06-06	VYDAJ	VYBER	60000	66043	\N	\N	\N
568661	1935	1997-06-11	VYDAJ	VYBER	22000	33843	\N	\N	\N
568662	1935	1997-07-11	VYDAJ	VYBER	30800	49566	\N	\N	\N
568663	1935	1997-08-10	VYDAJ	VYBER	38600	53212	\N	\N	\N
568664	1935	1997-09-09	VYDAJ	VYBER	37500	41647	\N	\N	\N
568665	1935	1997-10-09	VYDAJ	VYBER	36500	44999	\N	\N	\N
568666	1935	1997-11-08	VYDAJ	VYBER	35200	43736	\N	\N	\N
568667	1935	1997-12-06	VYDAJ	VYBER	25500	93228	\N	\N	\N
568668	1935	1997-12-08	VYDAJ	VYBER	44000	49228	\N	\N	\N
568669	1935	1998-01-07	VYDAJ	VYBER	32600	36957	\N	\N	\N
568670	1935	1998-02-06	VYDAJ	VYBER	37200	35336	\N	\N	\N
568671	1935	1998-03-08	VYDAJ	VYBER	43400	41934	\N	\N	\N
568672	1935	1998-04-07	VYDAJ	VYBER	46500	45463	\N	\N	\N
568673	1935	1998-05-07	VYDAJ	VYBER	47800	47710	\N	\N	\N
568674	1935	1998-06-06	VYDAJ	VYBER	49200	28593	\N	\N	\N
568675	1935	1998-06-06	VYDAJ	VYBER	31100	77793	\N	\N	\N
568676	1935	1998-07-06	VYDAJ	VYBER	43500	35240	\N	\N	\N
568677	1935	1998-09-04	VYDAJ	VYBER	47400	38127	\N	\N	\N
568678	1935	1998-10-04	VYDAJ	VYBER	36600	27813	\N	\N	\N
568679	1935	1998-11-03	VYDAJ	VYBER	40400	37587	\N	\N	\N
568680	1935	1998-12-03	VYDAJ	VYBER	41000	46804	\N	\N	\N
568681	1935	1998-12-06	VYDAJ	VYBER	50200	71416	\N	\N	\N
568710	1936	1995-07-18	PRIJEM	VKLAD	500	500	\N	\N	\N
568718	1936	1995-08-08	PRIJEM	PREVOD Z UCTU	3212	3712	\N	QR	46276778
568719	1936	1995-09-08	PRIJEM	PREVOD Z UCTU	3212	6924	\N	QR	46276778
568720	1936	1995-10-08	PRIJEM	PREVOD Z UCTU	3212	10136	\N	QR	46276778
568721	1936	1995-11-08	PRIJEM	PREVOD Z UCTU	3212	13348	\N	QR	46276778
568722	1936	1995-12-08	PRIJEM	PREVOD Z UCTU	3212	16560	\N	QR	46276778
568723	1936	1996-01-08	PRIJEM	PREVOD Z UCTU	3212	16819	\N	QR	46276778
568724	1936	1996-02-08	PRIJEM	PREVOD Z UCTU	3212	15471	\N	QR	46276778
568725	1936	1996-03-08	PRIJEM	PREVOD Z UCTU	3212	16581	\N	QR	46276778
568726	1936	1996-04-08	PRIJEM	PREVOD Z UCTU	3212	17697	\N	QR	46276778
568727	1936	1996-05-08	PRIJEM	PREVOD Z UCTU	3212	18817	\N	QR	46276778
568728	1936	1996-06-08	PRIJEM	PREVOD Z UCTU	3212	18320	\N	QR	46276778
568729	1936	1996-07-08	PRIJEM	PREVOD Z UCTU	3212	18061	\N	QR	46276778
568730	1936	1996-08-08	PRIJEM	PREVOD Z UCTU	3212	19182	\N	QR	46276778
568731	1936	1996-09-08	PRIJEM	PREVOD Z UCTU	3212	20308	\N	QR	46276778
568732	1936	1996-10-08	PRIJEM	PREVOD Z UCTU	3212	21439	\N	QR	46276778
568733	1936	1996-11-08	PRIJEM	PREVOD Z UCTU	3212	22274	\N	QR	46276778
568734	1936	1996-12-08	PRIJEM	PREVOD Z UCTU	3212	22924	\N	QR	46276778
568735	1936	1997-01-08	PRIJEM	PREVOD Z UCTU	3212	19434	\N	QR	46276778
568736	1936	1997-02-08	PRIJEM	PREVOD Z UCTU	3212	18700	\N	QR	46276778
568737	1936	1997-03-08	PRIJEM	PREVOD Z UCTU	3212	19824	\N	QR	46276778
568738	1936	1997-04-08	PRIJEM	PREVOD Z UCTU	3212	20953	\N	QR	46276778
568739	1936	1997-05-08	PRIJEM	PREVOD Z UCTU	3212	21785	\N	QR	46276778
568740	1936	1997-06-08	PRIJEM	PREVOD Z UCTU	3212	18512	\N	QR	46276778
568741	1936	1997-07-08	PRIJEM	PREVOD Z UCTU	3212	19641	\N	QR	46276778
568742	1936	1997-08-08	PRIJEM	PREVOD Z UCTU	3212	20768	\N	QR	46276778
568743	1936	1997-09-08	PRIJEM	PREVOD Z UCTU	3212	21241	\N	QR	46276778
568744	1936	1997-10-08	PRIJEM	PREVOD Z UCTU	3212	22375	\N	QR	46276778
568745	1936	1997-11-08	PRIJEM	PREVOD Z UCTU	3212	21050	\N	QR	46276778
568746	1936	1997-12-08	PRIJEM	PREVOD Z UCTU	3212	22184	\N	QR	46276778
568747	1936	1998-01-08	PRIJEM	PREVOD Z UCTU	3212	22572	\N	QR	46276778
568748	1936	1998-02-08	PRIJEM	PREVOD Z UCTU	3212	19419	\N	QR	46276778
568749	1936	1998-03-08	PRIJEM	PREVOD Z UCTU	3212	20545	\N	QR	46276778
568750	1936	1998-04-08	PRIJEM	PREVOD Z UCTU	3212	20443	\N	QR	46276778
568751	1936	1998-05-08	PRIJEM	PREVOD Z UCTU	3212	21004	\N	QR	46276778
568752	1936	1998-06-08	PRIJEM	PREVOD Z UCTU	3212	22139	\N	QR	46276778
568753	1936	1998-07-08	PRIJEM	PREVOD Z UCTU	3212	22075	\N	QR	46276778
568754	1936	1998-08-08	PRIJEM	PREVOD Z UCTU	3212	23213	\N	QR	46276778
568755	1936	1998-09-08	PRIJEM	PREVOD Z UCTU	3212	23305	\N	QR	46276778
568756	1936	1998-10-08	PRIJEM	PREVOD Z UCTU	3212	24450	\N	QR	46276778
568757	1936	1998-11-08	PRIJEM	PREVOD Z UCTU	3212	25116	\N	QR	46276778
568758	1936	1998-12-08	PRIJEM	PREVOD Z UCTU	3212	26266	\N	QR	46276778
568770	1936	1995-12-10	VYDAJ	PREVOD NA UCET	2141	14419	SIPO	UV	58173835
568771	1936	1996-01-10	VYDAJ	PREVOD NA UCET	2141	13628	SIPO	UV	58173835
568772	1936	1996-02-10	VYDAJ	PREVOD NA UCET	2141	13330	SIPO	UV	58173835
568773	1936	1996-03-10	VYDAJ	PREVOD NA UCET	2141	14440	SIPO	UV	58173835
568774	1936	1996-04-10	VYDAJ	PREVOD NA UCET	2141	15556	SIPO	UV	58173835
568775	1936	1996-05-10	VYDAJ	PREVOD NA UCET	2141	16676	SIPO	UV	58173835
568776	1936	1996-06-10	VYDAJ	PREVOD NA UCET	2141	16179	SIPO	UV	58173835
568777	1936	1996-07-10	VYDAJ	PREVOD NA UCET	2141	15920	SIPO	UV	58173835
568778	1936	1996-08-10	VYDAJ	PREVOD NA UCET	2141	17041	SIPO	UV	58173835
568779	1936	1996-09-10	VYDAJ	PREVOD NA UCET	2141	18167	SIPO	UV	58173835
568780	1936	1996-10-10	VYDAJ	PREVOD NA UCET	2141	19298	SIPO	UV	58173835
568781	1936	1996-11-10	VYDAJ	PREVOD NA UCET	2141	20033	SIPO	UV	58173835
568782	1936	1996-12-10	VYDAJ	PREVOD NA UCET	2141	20683	SIPO	UV	58173835
568783	1936	1997-01-10	VYDAJ	PREVOD NA UCET	2141	15913	SIPO	UV	58173835
568784	1936	1997-02-10	VYDAJ	PREVOD NA UCET	2141	16559	SIPO	UV	58173835
568785	1936	1997-03-10	VYDAJ	PREVOD NA UCET	2141	17683	SIPO	UV	58173835
568786	1936	1997-04-10	VYDAJ	PREVOD NA UCET	2141	18812	SIPO	UV	58173835
568787	1936	1997-05-10	VYDAJ	PREVOD NA UCET	2141	19644	SIPO	UV	58173835
568788	1936	1997-06-10	VYDAJ	PREVOD NA UCET	2141	16371	SIPO	UV	58173835
568789	1936	1997-07-10	VYDAJ	PREVOD NA UCET	2141	17500	SIPO	UV	58173835
568790	1936	1997-08-10	VYDAJ	PREVOD NA UCET	2141	18627	SIPO	UV	58173835
568791	1936	1997-09-10	VYDAJ	PREVOD NA UCET	2141	19100	SIPO	UV	58173835
568792	1936	1997-10-10	VYDAJ	PREVOD NA UCET	2141	18854	SIPO	UV	58173835
568793	1936	1997-11-10	VYDAJ	PREVOD NA UCET	2141	18909	SIPO	UV	58173835
568794	1936	1997-12-10	VYDAJ	PREVOD NA UCET	2141	20043	SIPO	UV	58173835
568795	1936	1998-01-10	VYDAJ	PREVOD NA UCET	2141	20431	SIPO	UV	58173835
568796	1936	1998-02-10	VYDAJ	PREVOD NA UCET	2141	17278	SIPO	UV	58173835
568797	1936	1998-03-10	VYDAJ	PREVOD NA UCET	2141	17174	SIPO	UV	58173835
568798	1936	1998-04-10	VYDAJ	PREVOD NA UCET	2141	18302	SIPO	UV	58173835
568799	1936	1998-05-10	VYDAJ	PREVOD NA UCET	2141	18863	SIPO	UV	58173835
568800	1936	1998-06-10	VYDAJ	PREVOD NA UCET	2141	19998	SIPO	UV	58173835
568801	1936	1998-07-10	VYDAJ	PREVOD NA UCET	2141	19934	SIPO	UV	58173835
568802	1936	1998-08-10	VYDAJ	PREVOD NA UCET	2141	21072	SIPO	UV	58173835
568803	1936	1998-09-10	VYDAJ	PREVOD NA UCET	2141	21164	SIPO	UV	58173835
568804	1936	1998-10-10	VYDAJ	PREVOD NA UCET	2141	22309	SIPO	UV	58173835
568805	1936	1998-11-10	VYDAJ	PREVOD NA UCET	2141	22975	SIPO	UV	58173835
568806	1936	1998-12-10	VYDAJ	PREVOD NA UCET	2141	24125	SIPO	UV	58173835
568809	1936	1997-06-05	VYDAJ	VYBER	4410	15300	\N	\N	\N
568810	1936	1998-06-21	VYDAJ	VYBER	1200	18798	\N	\N	\N
568812	1936	1996-01-08	VYDAJ	VYBER	360	16459	\N	\N	\N
568813	1936	1997-01-07	VYDAJ	VYBER	2040	16222	\N	\N	\N
568814	1936	1998-01-28	VYDAJ	VYBER	1230	17011	\N	\N	\N
568816	1936	1996-12-12	VYDAJ	VYBER	540	20143	\N	\N	\N
568817	1936	1997-12-28	VYDAJ	VYBER	420	19623	\N	\N	\N
568818	1936	1998-12-14	VYDAJ	VYBER	270	23855	\N	\N	\N
568825	1936	1996-01-03	VYDAJ	VYBER	300	13607	\N	\N	\N
568826	1936	1996-01-17	VYDAJ	VYBER	570	13058	\N	\N	\N
568828	1936	1996-01-21	VYDAJ	VYBER	840	12218	\N	\N	\N
568829	1936	1996-01-08	VYDAJ	VYBER	690	15769	\N	\N	\N
568830	1936	1996-01-01	VYDAJ	VYBER	540	13907	\N	\N	\N
568831	1936	1997-01-10	VYDAJ	VYBER	570	18864	\N	\N	\N
568832	1936	1997-01-07	VYDAJ	VYBER	600	18262	\N	\N	\N
568833	1936	1997-01-17	VYDAJ	VYBER	240	15433	\N	\N	\N
568834	1936	1997-01-03	VYDAJ	VYBER	360	19852	\N	\N	\N
568835	1936	1997-01-10	VYDAJ	VYBER	810	18054	\N	\N	\N
568836	1936	1997-01-12	VYDAJ	VYBER	240	15673	\N	\N	\N
568837	1936	1998-01-18	VYDAJ	VYBER	720	18991	\N	\N	\N
568838	1936	1998-01-16	VYDAJ	VYBER	720	19711	\N	\N	\N
568839	1936	1998-01-30	VYDAJ	VYBER	540	16141	\N	\N	\N
568840	1936	1998-01-26	VYDAJ	VYBER	750	18241	\N	\N	\N
568841	1936	1998-01-02	VYDAJ	VYBER	330	19360	\N	\N	\N
568842	1936	1998-01-29	VYDAJ	VYBER	330	16681	\N	\N	\N
568849	1936	1996-11-30	VYDAJ	VYBER	390	19727	\N	\N	\N
568850	1936	1996-11-03	VYDAJ	VYBER	300	19062	\N	\N	\N
568851	1936	1996-05-24	VYDAJ	VYBER	870	15806	\N	\N	\N
568852	1936	1996-06-21	VYDAJ	VYBER	1380	14799	\N	\N	\N
568853	1936	1996-05-30	VYDAJ	VYBER	750	15056	\N	\N	\N
568854	1936	1997-08-28	VYDAJ	VYBER	660	17967	\N	\N	\N
568855	1936	1997-10-08	VYDAJ	VYBER	1380	20995	\N	\N	\N
568856	1936	1997-01-06	VYDAJ	VYBER	990	18862	\N	\N	\N
568857	1936	1997-04-19	VYDAJ	VYBER	300	18512	\N	\N	\N
568858	1936	1997-10-28	VYDAJ	VYBER	1080	17774	\N	\N	\N
568859	1936	1998-09-01	VYDAJ	VYBER	1050	20093	\N	\N	\N
568860	1936	1998-05-02	VYDAJ	VYBER	570	17792	\N	\N	\N
568861	1936	1998-03-08	VYDAJ	VYBER	1230	19315	\N	\N	\N
568862	1936	1998-10-19	VYDAJ	VYBER	480	21829	\N	\N	\N
568875	1936	1995-12-31	VYDAJ	VYBER	15	14447	SLUZBY	\N	\N
568876	1936	1996-01-31	VYDAJ	VYBER	15	12259	SLUZBY	\N	\N
568877	1936	1996-02-29	VYDAJ	VYBER	15	13369	SLUZBY	\N	\N
568878	1936	1996-03-31	VYDAJ	VYBER	15	14485	SLUZBY	\N	\N
568879	1936	1996-04-30	VYDAJ	VYBER	15	15605	SLUZBY	\N	\N
568880	1936	1996-05-31	VYDAJ	VYBER	15	15108	SLUZBY	\N	\N
568881	1936	1996-06-30	VYDAJ	VYBER	15	14849	SLUZBY	\N	\N
568882	1936	1996-07-31	VYDAJ	VYBER	15	15970	SLUZBY	\N	\N
568883	1936	1996-08-31	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
568884	1936	1996-09-30	VYDAJ	VYBER	15	18227	SLUZBY	\N	\N
568885	1936	1996-10-31	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
568886	1936	1996-11-30	VYDAJ	VYBER	15	19712	SLUZBY	\N	\N
568887	1936	1996-12-31	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
568888	1936	1997-01-31	VYDAJ	VYBER	15	15488	SLUZBY	\N	\N
568889	1936	1997-02-28	VYDAJ	VYBER	15	16612	SLUZBY	\N	\N
568890	1936	1997-03-31	VYDAJ	VYBER	15	17741	SLUZBY	\N	\N
568891	1936	1997-04-30	VYDAJ	VYBER	15	18573	SLUZBY	\N	\N
568892	1936	1997-05-31	VYDAJ	VYBER	15	19710	SLUZBY	\N	\N
568893	1936	1997-06-30	VYDAJ	VYBER	15	16429	SLUZBY	\N	\N
568894	1936	1997-07-31	VYDAJ	VYBER	15	17556	SLUZBY	\N	\N
568895	1936	1997-08-31	VYDAJ	VYBER	15	18029	SLUZBY	\N	\N
568896	1936	1997-09-30	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
568897	1936	1997-10-31	VYDAJ	VYBER	15	17838	SLUZBY	\N	\N
568898	1936	1997-11-30	VYDAJ	VYBER	15	18972	SLUZBY	\N	\N
568899	1936	1997-12-31	VYDAJ	VYBER	15	19690	SLUZBY	\N	\N
568900	1936	1998-01-31	VYDAJ	VYBER	15	16207	SLUZBY	\N	\N
568901	1936	1998-02-28	VYDAJ	VYBER	15	17333	SLUZBY	\N	\N
568902	1936	1998-03-31	VYDAJ	VYBER	15	17231	SLUZBY	\N	\N
568903	1936	1998-04-30	VYDAJ	VYBER	15	18362	SLUZBY	\N	\N
568904	1936	1998-05-31	VYDAJ	VYBER	15	18927	SLUZBY	\N	\N
568905	1936	1998-06-30	VYDAJ	VYBER	15	18863	SLUZBY	\N	\N
568906	1936	1998-07-31	VYDAJ	VYBER	15	20001	SLUZBY	\N	\N
568907	1936	1998-08-31	VYDAJ	VYBER	15	21143	SLUZBY	\N	\N
568908	1936	1998-09-30	VYDAJ	VYBER	15	21238	SLUZBY	\N	\N
568909	1936	1998-10-31	VYDAJ	VYBER	15	21904	SLUZBY	\N	\N
568910	1936	1998-11-30	VYDAJ	VYBER	15	23054	SLUZBY	\N	\N
568911	1936	1996-11-09	VYDAJ	VYBER	100	22174	\N	\N	\N
568912	1936	1996-12-09	VYDAJ	VYBER	100	22824	\N	\N	\N
568950	1937	1993-05-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
568956	1937	1993-06-12	PRIJEM	PREVOD Z UCTU	4896	5996	DUCHOD	YZ	86112963
568957	1937	1993-07-12	PRIJEM	PREVOD Z UCTU	4896	10892	DUCHOD	YZ	86112963
568958	1937	1993-08-12	PRIJEM	PREVOD Z UCTU	4896	15788	DUCHOD	YZ	86112963
568959	1937	1993-09-12	PRIJEM	PREVOD Z UCTU	4896	20684	DUCHOD	YZ	86112963
568960	1937	1993-10-12	PRIJEM	PREVOD Z UCTU	4896	25580	DUCHOD	YZ	86112963
568961	1937	1993-11-12	PRIJEM	PREVOD Z UCTU	4896	26180	DUCHOD	YZ	86112963
568962	1937	1993-12-12	PRIJEM	PREVOD Z UCTU	4896	27872	DUCHOD	YZ	86112963
568963	1937	1994-01-12	PRIJEM	PREVOD Z UCTU	4896	26402	DUCHOD	YZ	86112963
568964	1937	1994-02-12	PRIJEM	PREVOD Z UCTU	4896	21072	DUCHOD	YZ	86112963
568965	1937	1994-03-12	PRIJEM	PREVOD Z UCTU	4896	19732	DUCHOD	YZ	86112963
568966	1937	1994-04-12	PRIJEM	PREVOD Z UCTU	4896	21752	DUCHOD	YZ	86112963
568967	1937	1994-05-12	PRIJEM	PREVOD Z UCTU	4896	23776	DUCHOD	YZ	86112963
568968	1937	1994-06-12	PRIJEM	PREVOD Z UCTU	4896	24766	DUCHOD	YZ	86112963
568969	1937	1994-07-12	PRIJEM	PREVOD Z UCTU	4896	20428	DUCHOD	YZ	86112963
568970	1937	1994-08-12	PRIJEM	PREVOD Z UCTU	4896	22247	DUCHOD	YZ	86112963
568971	1937	1994-09-12	PRIJEM	PREVOD Z UCTU	4896	24172	DUCHOD	YZ	86112963
568972	1937	1994-10-12	PRIJEM	PREVOD Z UCTU	4896	25167	DUCHOD	YZ	86112963
568973	1937	1994-11-12	PRIJEM	PREVOD Z UCTU	4896	25203	DUCHOD	YZ	86112963
568974	1937	1994-12-12	PRIJEM	PREVOD Z UCTU	4896	26141	DUCHOD	YZ	86112963
568975	1937	1995-01-12	PRIJEM	PREVOD Z UCTU	4896	25135	DUCHOD	YZ	86112963
568976	1937	1995-02-12	PRIJEM	PREVOD Z UCTU	4896	19246	DUCHOD	YZ	86112963
568977	1937	1995-03-12	PRIJEM	PREVOD Z UCTU	4896	21258	DUCHOD	YZ	86112963
568978	1937	1995-04-12	PRIJEM	PREVOD Z UCTU	4896	20315	DUCHOD	YZ	86112963
568979	1937	1995-05-12	PRIJEM	PREVOD Z UCTU	4896	21192	DUCHOD	YZ	86112963
568980	1937	1995-06-12	PRIJEM	PREVOD Z UCTU	4896	22415	DUCHOD	YZ	86112963
568981	1937	1995-07-12	PRIJEM	PREVOD Z UCTU	4896	24444	DUCHOD	YZ	86112963
568982	1937	1995-08-12	PRIJEM	PREVOD Z UCTU	4896	26478	DUCHOD	YZ	86112963
568983	1937	1995-09-12	PRIJEM	PREVOD Z UCTU	4896	25521	DUCHOD	YZ	86112963
568984	1937	1995-10-12	PRIJEM	PREVOD Z UCTU	4896	24365	DUCHOD	YZ	86112963
568985	1937	1995-11-12	PRIJEM	PREVOD Z UCTU	4896	24805	DUCHOD	YZ	86112963
568986	1937	1995-12-12	PRIJEM	PREVOD Z UCTU	4896	19798	DUCHOD	YZ	86112963
568987	1937	1996-01-12	PRIJEM	PREVOD Z UCTU	4896	19587	DUCHOD	YZ	86112963
568988	1937	1996-02-12	PRIJEM	PREVOD Z UCTU	4896	20080	DUCHOD	YZ	86112963
568989	1937	1996-03-12	PRIJEM	PREVOD Z UCTU	4896	22096	DUCHOD	YZ	86112963
568990	1937	1996-04-12	PRIJEM	PREVOD Z UCTU	4896	24120	DUCHOD	YZ	86112963
568991	1937	1996-05-12	PRIJEM	PREVOD Z UCTU	4896	23132	DUCHOD	YZ	86112963
568992	1937	1996-06-12	PRIJEM	PREVOD Z UCTU	4896	25162	DUCHOD	YZ	86112963
568993	1937	1996-07-12	PRIJEM	PREVOD Z UCTU	4896	23396	DUCHOD	YZ	86112963
568994	1937	1996-08-12	PRIJEM	PREVOD Z UCTU	4896	24706	DUCHOD	YZ	86112963
568995	1937	1996-09-12	PRIJEM	PREVOD Z UCTU	4896	26741	DUCHOD	YZ	86112963
568996	1937	1996-10-12	PRIJEM	PREVOD Z UCTU	4896	28784	DUCHOD	YZ	86112963
568997	1937	1996-11-12	PRIJEM	PREVOD Z UCTU	4896	30336	DUCHOD	YZ	86112963
568998	1937	1996-12-12	PRIJEM	PREVOD Z UCTU	4896	28708	DUCHOD	YZ	86112963
568999	1937	1997-01-12	PRIJEM	PREVOD Z UCTU	4896	20406	DUCHOD	YZ	86112963
569000	1937	1997-02-12	PRIJEM	PREVOD Z UCTU	4896	19385	DUCHOD	YZ	86112963
569001	1937	1997-03-12	PRIJEM	PREVOD Z UCTU	4896	21397	DUCHOD	YZ	86112963
569002	1937	1997-04-12	PRIJEM	PREVOD Z UCTU	4896	23418	DUCHOD	YZ	86112963
569003	1937	1997-05-12	PRIJEM	PREVOD Z UCTU	4896	23924	DUCHOD	YZ	86112963
569004	1937	1997-06-12	PRIJEM	PREVOD Z UCTU	4896	25955	DUCHOD	YZ	86112963
569005	1937	1997-07-12	PRIJEM	PREVOD Z UCTU	4896	19649	DUCHOD	YZ	86112963
569006	1937	1997-08-12	PRIJEM	PREVOD Z UCTU	4896	21663	DUCHOD	YZ	86112963
569007	1937	1997-09-12	PRIJEM	PREVOD Z UCTU	4896	23684	DUCHOD	YZ	86112963
569008	1937	1997-10-12	PRIJEM	PREVOD Z UCTU	4896	24832	DUCHOD	YZ	86112963
569009	1937	1997-11-12	PRIJEM	PREVOD Z UCTU	4896	26867	DUCHOD	YZ	86112963
569010	1937	1997-12-12	PRIJEM	PREVOD Z UCTU	4896	26590	DUCHOD	YZ	86112963
569011	1937	1998-01-12	PRIJEM	PREVOD Z UCTU	4896	25710	DUCHOD	YZ	86112963
569012	1937	1998-02-12	PRIJEM	PREVOD Z UCTU	4896	20379	DUCHOD	YZ	86112963
569013	1937	1998-03-12	PRIJEM	PREVOD Z UCTU	4896	22395	DUCHOD	YZ	86112963
569014	1937	1998-04-12	PRIJEM	PREVOD Z UCTU	4896	21215	DUCHOD	YZ	86112963
569015	1937	1998-05-12	PRIJEM	PREVOD Z UCTU	4896	19930	DUCHOD	YZ	86112963
569016	1937	1998-06-12	PRIJEM	PREVOD Z UCTU	4896	20142	DUCHOD	YZ	86112963
569017	1937	1998-07-12	PRIJEM	PREVOD Z UCTU	4896	21656	DUCHOD	YZ	86112963
569018	1937	1998-08-12	PRIJEM	PREVOD Z UCTU	4896	22475	DUCHOD	YZ	86112963
569019	1937	1998-09-12	PRIJEM	PREVOD Z UCTU	4896	20192	DUCHOD	YZ	86112963
569020	1937	1998-10-12	PRIJEM	PREVOD Z UCTU	4896	19803	DUCHOD	YZ	86112963
569021	1937	1998-11-12	PRIJEM	PREVOD Z UCTU	4896	20855	DUCHOD	YZ	86112963
569022	1937	1998-12-12	PRIJEM	PREVOD Z UCTU	4896	22872	DUCHOD	YZ	86112963
569032	1937	1993-10-14	VYDAJ	PREVOD NA UCET	2933	22647	SIPO	IJ	67964726
569033	1937	1993-11-14	VYDAJ	PREVOD NA UCET	2933	23247	SIPO	IJ	67964726
569034	1937	1993-12-14	VYDAJ	PREVOD NA UCET	2933	24939	SIPO	IJ	67964726
569035	1937	1994-01-14	VYDAJ	PREVOD NA UCET	2933	23269	SIPO	IJ	67964726
569036	1937	1994-02-14	VYDAJ	PREVOD NA UCET	2933	18139	SIPO	IJ	67964726
569037	1937	1994-03-14	VYDAJ	PREVOD NA UCET	2933	16799	SIPO	IJ	67964726
569038	1937	1994-04-14	VYDAJ	PREVOD NA UCET	2933	18819	SIPO	IJ	67964726
569039	1937	1994-05-14	VYDAJ	PREVOD NA UCET	2933	20843	SIPO	IJ	67964726
569040	1937	1994-06-14	VYDAJ	PREVOD NA UCET	2933	19233	SIPO	IJ	67964726
569041	1937	1994-07-14	VYDAJ	PREVOD NA UCET	2933	17295	SIPO	IJ	67964726
569042	1937	1994-08-14	VYDAJ	PREVOD NA UCET	2933	19314	SIPO	IJ	67964726
569043	1937	1994-09-14	VYDAJ	PREVOD NA UCET	2933	21239	SIPO	IJ	67964726
569044	1937	1994-10-14	VYDAJ	PREVOD NA UCET	2933	22234	SIPO	IJ	67964726
569045	1937	1994-11-14	VYDAJ	PREVOD NA UCET	2933	22270	SIPO	IJ	67964726
569046	1937	1994-12-14	VYDAJ	PREVOD NA UCET	2933	23208	SIPO	IJ	67964726
569047	1937	1995-01-14	VYDAJ	PREVOD NA UCET	2933	22202	SIPO	IJ	67964726
569048	1937	1995-02-14	VYDAJ	PREVOD NA UCET	2933	16313	SIPO	IJ	67964726
569049	1937	1995-03-14	VYDAJ	PREVOD NA UCET	2933	18325	SIPO	IJ	67964726
569050	1937	1995-04-14	VYDAJ	PREVOD NA UCET	2933	17382	SIPO	IJ	67964726
569051	1937	1995-05-14	VYDAJ	PREVOD NA UCET	2933	18259	SIPO	IJ	67964726
569052	1937	1995-06-14	VYDAJ	PREVOD NA UCET	2933	19482	SIPO	IJ	67964726
569053	1937	1995-07-14	VYDAJ	PREVOD NA UCET	2933	21511	SIPO	IJ	67964726
569054	1937	1995-08-14	VYDAJ	PREVOD NA UCET	2933	23545	SIPO	IJ	67964726
569055	1937	1995-09-14	VYDAJ	PREVOD NA UCET	2933	22588	SIPO	IJ	67964726
569056	1937	1995-10-14	VYDAJ	PREVOD NA UCET	2933	21432	SIPO	IJ	67964726
569057	1937	1995-11-14	VYDAJ	PREVOD NA UCET	2933	21872	SIPO	IJ	67964726
569058	1937	1995-12-14	VYDAJ	PREVOD NA UCET	2933	16865	SIPO	IJ	67964726
569059	1937	1996-01-14	VYDAJ	PREVOD NA UCET	2933	15134	SIPO	IJ	67964726
569060	1937	1996-02-14	VYDAJ	PREVOD NA UCET	2933	17147	SIPO	IJ	67964726
569061	1937	1996-03-14	VYDAJ	PREVOD NA UCET	2933	19163	SIPO	IJ	67964726
569062	1937	1996-04-14	VYDAJ	PREVOD NA UCET	2933	20307	SIPO	IJ	67964726
569063	1937	1996-05-14	VYDAJ	PREVOD NA UCET	2933	20199	SIPO	IJ	67964726
569064	1937	1996-06-14	VYDAJ	PREVOD NA UCET	2933	22229	SIPO	IJ	67964726
569065	1937	1996-07-14	VYDAJ	PREVOD NA UCET	2933	20463	SIPO	IJ	67964726
569066	1937	1996-08-14	VYDAJ	PREVOD NA UCET	2933	21773	SIPO	IJ	67964726
569067	1937	1996-09-14	VYDAJ	PREVOD NA UCET	2933	23808	SIPO	IJ	67964726
569068	1937	1996-10-14	VYDAJ	PREVOD NA UCET	2933	25851	SIPO	IJ	67964726
569069	1937	1996-11-14	VYDAJ	PREVOD NA UCET	2933	27403	SIPO	IJ	67964726
569070	1937	1996-12-14	VYDAJ	PREVOD NA UCET	2933	25775	SIPO	IJ	67964726
569071	1937	1997-01-14	VYDAJ	PREVOD NA UCET	2933	17473	SIPO	IJ	67964726
569072	1937	1997-02-14	VYDAJ	PREVOD NA UCET	2933	16452	SIPO	IJ	67964726
569073	1937	1997-03-14	VYDAJ	PREVOD NA UCET	2933	18464	SIPO	IJ	67964726
569074	1937	1997-04-14	VYDAJ	PREVOD NA UCET	2933	20485	SIPO	IJ	67964726
569075	1937	1997-05-14	VYDAJ	PREVOD NA UCET	2933	20991	SIPO	IJ	67964726
569076	1937	1997-06-14	VYDAJ	PREVOD NA UCET	2933	23022	SIPO	IJ	67964726
569077	1937	1997-07-14	VYDAJ	PREVOD NA UCET	2933	16716	SIPO	IJ	67964726
569078	1937	1997-08-14	VYDAJ	PREVOD NA UCET	2933	18730	SIPO	IJ	67964726
569079	1937	1997-09-14	VYDAJ	PREVOD NA UCET	2933	20751	SIPO	IJ	67964726
569080	1937	1997-10-14	VYDAJ	PREVOD NA UCET	2933	21899	SIPO	IJ	67964726
569081	1937	1997-11-14	VYDAJ	PREVOD NA UCET	2933	23934	SIPO	IJ	67964726
569082	1937	1997-12-14	VYDAJ	PREVOD NA UCET	2933	23657	SIPO	IJ	67964726
569083	1937	1998-01-14	VYDAJ	PREVOD NA UCET	2933	21897	SIPO	IJ	67964726
569084	1937	1998-02-14	VYDAJ	PREVOD NA UCET	2933	17446	SIPO	IJ	67964726
569085	1937	1998-03-14	VYDAJ	PREVOD NA UCET	2933	19462	SIPO	IJ	67964726
569086	1937	1998-04-14	VYDAJ	PREVOD NA UCET	2933	18282	SIPO	IJ	67964726
569087	1937	1998-05-14	VYDAJ	PREVOD NA UCET	2933	16997	SIPO	IJ	67964726
569088	1937	1998-06-14	VYDAJ	PREVOD NA UCET	2933	17209	SIPO	IJ	67964726
569089	1937	1998-07-14	VYDAJ	PREVOD NA UCET	2933	18723	SIPO	IJ	67964726
569090	1937	1998-08-14	VYDAJ	PREVOD NA UCET	2933	19542	SIPO	IJ	67964726
569091	1937	1998-09-14	VYDAJ	PREVOD NA UCET	2933	17259	SIPO	IJ	67964726
569092	1937	1998-10-14	VYDAJ	PREVOD NA UCET	2933	16870	SIPO	IJ	67964726
569093	1937	1998-11-14	VYDAJ	PREVOD NA UCET	2933	17922	SIPO	IJ	67964726
569094	1937	1998-12-14	VYDAJ	PREVOD NA UCET	2933	19939	SIPO	IJ	67964726
569098	1937	1996-06-26	VYDAJ	VYBER	3800	18429	\N	\N	\N
569099	1937	1997-06-18	VYDAJ	VYBER	5450	14692	\N	\N	\N
569102	1937	1994-01-25	VYDAJ	VYBER	850	18819	\N	\N	\N
569103	1937	1995-01-06	VYDAJ	VYBER	750	22539	\N	\N	\N
569105	1937	1997-01-02	VYDAJ	VYBER	2050	19830	\N	\N	\N
569106	1937	1998-01-23	VYDAJ	VYBER	1300	15417	\N	\N	\N
569107	1937	1993-12-08	VYDAJ	VYBER	350	22976	\N	\N	\N
569108	1937	1994-12-09	VYDAJ	VYBER	400	21245	\N	\N	\N
569109	1937	1995-12-29	VYDAJ	VYBER	950	15915	\N	\N	\N
569110	1937	1996-12-23	VYDAJ	VYBER	1100	24675	\N	\N	\N
569111	1937	1997-12-25	VYDAJ	VYBER	1400	22257	\N	\N	\N
569112	1937	1998-12-22	VYDAJ	VYBER	800	17039	\N	\N	\N
569119	1937	1994-01-28	VYDAJ	VYBER	1760	16099	\N	\N	\N
569120	1937	1994-01-19	VYDAJ	VYBER	800	22469	\N	\N	\N
569121	1937	1994-01-10	VYDAJ	VYBER	2160	21506	\N	\N	\N
569122	1937	1994-01-28	VYDAJ	VYBER	960	17859	\N	\N	\N
569123	1937	1994-01-20	VYDAJ	VYBER	1920	20549	\N	\N	\N
569124	1937	1994-01-01	VYDAJ	VYBER	1360	23666	\N	\N	\N
569125	1937	1995-01-16	VYDAJ	VYBER	1760	20442	\N	\N	\N
569126	1937	1995-01-17	VYDAJ	VYBER	880	19562	\N	\N	\N
569127	1937	1995-01-23	VYDAJ	VYBER	1440	15802	\N	\N	\N
569128	1937	1995-01-25	VYDAJ	VYBER	1520	14282	\N	\N	\N
569129	1937	1995-01-23	VYDAJ	VYBER	1040	17242	\N	\N	\N
569130	1937	1995-01-23	VYDAJ	VYBER	1280	18282	\N	\N	\N
569131	1937	1996-01-09	VYDAJ	VYBER	560	14691	\N	\N	\N
569133	1937	1996-01-13	VYDAJ	VYBER	1520	18067	\N	\N	\N
569134	1937	1996-01-06	VYDAJ	VYBER	720	15251	\N	\N	\N
569137	1937	1997-01-17	VYDAJ	VYBER	1280	16193	\N	\N	\N
569138	1937	1997-01-10	VYDAJ	VYBER	1760	16230	\N	\N	\N
569139	1937	1997-01-07	VYDAJ	VYBER	1840	17990	\N	\N	\N
569140	1937	1997-01-18	VYDAJ	VYBER	1760	14433	\N	\N	\N
569141	1937	1997-01-11	VYDAJ	VYBER	720	15510	\N	\N	\N
569143	1937	1998-01-18	VYDAJ	VYBER	640	19017	\N	\N	\N
569144	1937	1998-01-14	VYDAJ	VYBER	480	24830	\N	\N	\N
569145	1937	1998-01-21	VYDAJ	VYBER	800	18217	\N	\N	\N
569146	1937	1998-01-17	VYDAJ	VYBER	2240	19657	\N	\N	\N
569147	1937	1998-01-13	VYDAJ	VYBER	400	25310	\N	\N	\N
569148	1937	1998-01-08	VYDAJ	VYBER	1520	20814	\N	\N	\N
569152	1937	1994-01-20	VYDAJ	VYBER	880	19669	\N	\N	\N
569153	1937	1994-05-19	VYDAJ	VYBER	1040	19803	\N	\N	\N
569154	1937	1994-02-24	VYDAJ	VYBER	480	17659	\N	\N	\N
569155	1937	1994-03-06	VYDAJ	VYBER	2880	14836	\N	\N	\N
569156	1937	1994-10-28	VYDAJ	VYBER	2000	20234	\N	\N	\N
569157	1937	1994-06-15	VYDAJ	VYBER	3760	15473	\N	\N	\N
569158	1937	1994-09-30	VYDAJ	VYBER	1040	20286	\N	\N	\N
569159	1937	1995-03-20	VYDAJ	VYBER	2960	15365	\N	\N	\N
569160	1937	1995-11-27	VYDAJ	VYBER	1600	17152	\N	\N	\N
569161	1937	1995-11-18	VYDAJ	VYBER	3120	18752	\N	\N	\N
569162	1937	1995-12-04	VYDAJ	VYBER	2320	14902	\N	\N	\N
569163	1937	1995-05-08	VYDAJ	VYBER	640	16296	\N	\N	\N
569164	1937	1996-04-12	VYDAJ	VYBER	880	23240	\N	\N	\N
569165	1937	1996-12-29	VYDAJ	VYBER	2880	21795	\N	\N	\N
569166	1937	1996-07-31	VYDAJ	VYBER	720	19824	\N	\N	\N
569167	1937	1996-11-19	VYDAJ	VYBER	3680	23723	\N	\N	\N
569168	1937	1996-05-03	VYDAJ	VYBER	1840	18236	\N	\N	\N
569169	1937	1997-09-16	VYDAJ	VYBER	880	19871	\N	\N	\N
569170	1937	1997-06-17	VYDAJ	VYBER	2880	20142	\N	\N	\N
569171	1937	1997-04-17	VYDAJ	VYBER	1520	18965	\N	\N	\N
569172	1937	1997-11-14	VYDAJ	VYBER	2320	21614	\N	\N	\N
569177	1937	1998-10-25	VYDAJ	VYBER	960	15910	\N	\N	\N
569178	1937	1998-07-24	VYDAJ	VYBER	1200	17523	\N	\N	\N
569189	1937	1993-10-31	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
569190	1937	1993-11-30	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
569191	1937	1993-12-31	VYDAJ	VYBER	15	25026	SLUZBY	\N	\N
569192	1937	1994-01-31	VYDAJ	VYBER	15	16176	SLUZBY	\N	\N
569193	1937	1994-02-28	VYDAJ	VYBER	15	17716	SLUZBY	\N	\N
569194	1937	1994-03-31	VYDAJ	VYBER	15	16856	SLUZBY	\N	\N
569195	1937	1994-04-30	VYDAJ	VYBER	15	18880	SLUZBY	\N	\N
569196	1937	1994-05-31	VYDAJ	VYBER	15	19870	SLUZBY	\N	\N
569197	1937	1994-06-30	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
569198	1937	1994-07-31	VYDAJ	VYBER	15	17351	SLUZBY	\N	\N
569199	1937	1994-08-31	VYDAJ	VYBER	15	19376	SLUZBY	\N	\N
569200	1937	1994-09-30	VYDAJ	VYBER	15	20271	SLUZBY	\N	\N
569201	1937	1994-10-31	VYDAJ	VYBER	15	20307	SLUZBY	\N	\N
569202	1937	1994-11-30	VYDAJ	VYBER	15	22345	SLUZBY	\N	\N
569203	1937	1994-12-31	VYDAJ	VYBER	15	23289	SLUZBY	\N	\N
569204	1937	1995-01-31	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
569205	1937	1995-02-28	VYDAJ	VYBER	15	16362	SLUZBY	\N	\N
569206	1937	1995-03-31	VYDAJ	VYBER	15	15419	SLUZBY	\N	\N
569207	1937	1995-04-30	VYDAJ	VYBER	15	17436	SLUZBY	\N	\N
569208	1937	1995-05-31	VYDAJ	VYBER	15	18319	SLUZBY	\N	\N
569209	1937	1995-06-30	VYDAJ	VYBER	15	19548	SLUZBY	\N	\N
569210	1937	1995-07-31	VYDAJ	VYBER	15	21582	SLUZBY	\N	\N
569211	1937	1995-08-31	VYDAJ	VYBER	15	23625	SLUZBY	\N	\N
569212	1937	1995-09-30	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
569213	1937	1995-10-31	VYDAJ	VYBER	15	21509	SLUZBY	\N	\N
569214	1937	1995-11-30	VYDAJ	VYBER	15	17222	SLUZBY	\N	\N
569215	1937	1995-12-31	VYDAJ	VYBER	15	15971	SLUZBY	\N	\N
569216	1937	1996-01-31	VYDAJ	VYBER	15	15184	SLUZBY	\N	\N
569217	1937	1996-02-29	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
569218	1937	1996-03-31	VYDAJ	VYBER	15	19224	SLUZBY	\N	\N
569219	1937	1996-04-30	VYDAJ	VYBER	15	20376	SLUZBY	\N	\N
569220	1937	1996-05-31	VYDAJ	VYBER	15	20266	SLUZBY	\N	\N
569221	1937	1996-06-30	VYDAJ	VYBER	15	18500	SLUZBY	\N	\N
569222	1937	1996-07-31	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
569223	1937	1996-08-31	VYDAJ	VYBER	15	21845	SLUZBY	\N	\N
569224	1937	1996-09-30	VYDAJ	VYBER	15	23888	SLUZBY	\N	\N
569225	1937	1996-10-31	VYDAJ	VYBER	15	25440	SLUZBY	\N	\N
569226	1937	1996-11-30	VYDAJ	VYBER	15	23812	SLUZBY	\N	\N
569227	1937	1996-12-31	VYDAJ	VYBER	15	21880	SLUZBY	\N	\N
569228	1937	1997-01-31	VYDAJ	VYBER	15	14489	SLUZBY	\N	\N
569229	1937	1997-02-28	VYDAJ	VYBER	15	16501	SLUZBY	\N	\N
569230	1937	1997-03-31	VYDAJ	VYBER	15	18522	SLUZBY	\N	\N
569231	1937	1997-04-30	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
569232	1937	1997-05-31	VYDAJ	VYBER	15	21059	SLUZBY	\N	\N
569233	1937	1997-06-30	VYDAJ	VYBER	15	14753	SLUZBY	\N	\N
569234	1937	1997-07-31	VYDAJ	VYBER	15	16767	SLUZBY	\N	\N
569235	1937	1997-08-31	VYDAJ	VYBER	15	18788	SLUZBY	\N	\N
569236	1937	1997-09-30	VYDAJ	VYBER	15	19936	SLUZBY	\N	\N
569237	1937	1997-10-31	VYDAJ	VYBER	15	21971	SLUZBY	\N	\N
569238	1937	1997-11-30	VYDAJ	VYBER	15	21694	SLUZBY	\N	\N
569239	1937	1997-12-31	VYDAJ	VYBER	15	22334	SLUZBY	\N	\N
569240	1937	1998-01-31	VYDAJ	VYBER	15	15483	SLUZBY	\N	\N
569241	1937	1998-02-28	VYDAJ	VYBER	15	17499	SLUZBY	\N	\N
569242	1937	1998-03-31	VYDAJ	VYBER	15	16319	SLUZBY	\N	\N
569243	1937	1998-04-30	VYDAJ	VYBER	15	15034	SLUZBY	\N	\N
569244	1937	1998-05-31	VYDAJ	VYBER	15	15246	SLUZBY	\N	\N
569245	1937	1998-06-30	VYDAJ	VYBER	15	16760	SLUZBY	\N	\N
569246	1937	1998-07-31	VYDAJ	VYBER	15	17579	SLUZBY	\N	\N
569247	1937	1998-08-31	VYDAJ	VYBER	15	15296	SLUZBY	\N	\N
569248	1937	1998-09-30	VYDAJ	VYBER	15	14907	SLUZBY	\N	\N
569249	1937	1998-10-31	VYDAJ	VYBER	15	15959	SLUZBY	\N	\N
569250	1937	1998-11-30	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
569251	1937	1993-10-15	VYDAJ	VYBER	1400	21247	\N	\N	\N
569252	1937	1994-01-13	VYDAJ	VYBER	200	26202	\N	\N	\N
569253	1937	1994-06-12	VYDAJ	VYBER	2600	22166	\N	\N	\N
569254	1937	1994-07-12	VYDAJ	VYBER	200	20228	\N	\N	\N
569255	1937	1994-09-10	VYDAJ	VYBER	100	19276	\N	\N	\N
569256	1937	1994-12-09	VYDAJ	VYBER	700	21645	\N	\N	\N
569257	1937	1995-01-08	VYDAJ	VYBER	2300	20239	\N	\N	\N
569258	1937	1995-05-08	VYDAJ	VYBER	500	16936	\N	\N	\N
569259	1937	1995-06-07	VYDAJ	VYBER	800	17519	\N	\N	\N
569260	1937	1995-09-05	VYDAJ	VYBER	3000	20625	\N	\N	\N
569261	1937	1995-10-05	VYDAJ	VYBER	3200	19469	\N	\N	\N
569262	1937	1995-11-04	VYDAJ	VYBER	1600	19909	\N	\N	\N
569263	1937	1996-05-02	VYDAJ	VYBER	300	20076	\N	\N	\N
569264	1937	1996-10-29	VYDAJ	VYBER	500	25351	\N	\N	\N
569265	1937	1998-01-22	VYDAJ	VYBER	1500	16717	\N	\N	\N
569266	1937	1998-03-23	VYDAJ	VYBER	3200	16262	\N	\N	\N
569267	1937	1998-04-22	VYDAJ	VYBER	3300	14982	\N	\N	\N
569268	1937	1998-05-22	VYDAJ	VYBER	1800	15197	\N	\N	\N
569269	1937	1998-06-21	VYDAJ	VYBER	500	16709	\N	\N	\N
569270	1937	1998-08-20	VYDAJ	VYBER	4300	15242	\N	\N	\N
569271	1937	1998-09-19	VYDAJ	VYBER	2400	14859	\N	\N	\N
569272	1937	1998-12-18	VYDAJ	VYBER	2100	17839	\N	\N	\N
569336	1938	1994-06-25	PRIJEM	VKLAD	600	600	\N	\N	\N
569343	1938	1994-07-05	PRIJEM	VKLAD	24150	24750	\N	\N	\N
569344	1938	1994-08-05	PRIJEM	VKLAD	24150	46421	\N	\N	\N
569345	1938	1994-09-05	PRIJEM	VKLAD	24150	60178	\N	\N	\N
569346	1938	1994-10-05	PRIJEM	VKLAD	24150	66785	\N	\N	\N
569347	1938	1994-11-05	PRIJEM	VKLAD	24150	68815	\N	\N	\N
569348	1938	1994-12-05	PRIJEM	VKLAD	36225	79785	\N	\N	\N
569349	1938	1995-01-05	PRIJEM	VKLAD	24150	67301	\N	\N	\N
569350	1938	1995-02-05	PRIJEM	VKLAD	24150	57557	\N	\N	\N
569351	1938	1995-03-05	PRIJEM	VKLAD	24150	60711	\N	\N	\N
569352	1938	1995-04-05	PRIJEM	VKLAD	24150	63277	\N	\N	\N
569353	1938	1995-05-05	PRIJEM	VKLAD	24150	64653	\N	\N	\N
569354	1938	1995-06-05	PRIJEM	VKLAD	36225	76704	\N	\N	\N
569355	1938	1995-07-05	PRIJEM	VKLAD	24150	66622	\N	\N	\N
569356	1938	1995-08-05	PRIJEM	VKLAD	24150	69910	\N	\N	\N
569357	1938	1995-09-05	PRIJEM	VKLAD	24150	69158	\N	\N	\N
569358	1938	1995-10-05	PRIJEM	VKLAD	24150	69848	\N	\N	\N
569359	1938	1995-11-05	PRIJEM	VKLAD	24150	68136	\N	\N	\N
569360	1938	1995-12-05	PRIJEM	VKLAD	36225	83399	\N	\N	\N
569361	1938	1996-01-05	PRIJEM	VKLAD	24150	70325	\N	\N	\N
569362	1938	1996-02-05	PRIJEM	VKLAD	24150	58164	\N	\N	\N
569363	1938	1996-03-05	PRIJEM	VKLAD	24150	65415	\N	\N	\N
569364	1938	1996-04-05	PRIJEM	VKLAD	24150	62856	\N	\N	\N
569365	1938	1996-05-05	PRIJEM	VKLAD	24150	67020	\N	\N	\N
569366	1938	1996-06-05	PRIJEM	VKLAD	36225	81372	\N	\N	\N
569367	1938	1996-07-05	PRIJEM	VKLAD	24150	48422	\N	\N	\N
569368	1938	1996-08-05	PRIJEM	VKLAD	24150	60142	\N	\N	\N
569369	1938	1996-09-05	PRIJEM	VKLAD	24150	66797	\N	\N	\N
569370	1938	1996-10-05	PRIJEM	VKLAD	24150	62051	\N	\N	\N
569371	1938	1996-11-05	PRIJEM	VKLAD	24150	64605	\N	\N	\N
569372	1938	1996-12-05	PRIJEM	VKLAD	36225	68721	\N	\N	\N
569373	1938	1997-01-05	PRIJEM	VKLAD	24150	67708	\N	\N	\N
569374	1938	1997-02-05	PRIJEM	VKLAD	24150	58128	\N	\N	\N
569375	1938	1997-03-05	PRIJEM	VKLAD	24150	54466	\N	\N	\N
569376	1938	1997-04-05	PRIJEM	VKLAD	24150	56656	\N	\N	\N
569377	1938	1997-05-05	PRIJEM	VKLAD	24150	56381	\N	\N	\N
569378	1938	1997-06-05	PRIJEM	VKLAD	36225	74699	\N	\N	\N
569379	1938	1997-07-05	PRIJEM	VKLAD	24150	58705	\N	\N	\N
569380	1938	1997-08-05	PRIJEM	VKLAD	24150	57629	\N	\N	\N
569381	1938	1997-09-05	PRIJEM	VKLAD	24150	60168	\N	\N	\N
569382	1938	1997-10-05	PRIJEM	VKLAD	24150	65027	\N	\N	\N
569383	1938	1997-11-05	PRIJEM	VKLAD	24150	65290	\N	\N	\N
569384	1938	1997-12-05	PRIJEM	VKLAD	36225	70284	\N	\N	\N
569385	1938	1998-01-05	PRIJEM	VKLAD	24150	64887	\N	\N	\N
569386	1938	1998-02-05	PRIJEM	VKLAD	24150	50316	\N	\N	\N
569387	1938	1998-03-05	PRIJEM	VKLAD	24150	64860	\N	\N	\N
569388	1938	1998-04-05	PRIJEM	VKLAD	24150	62514	\N	\N	\N
569389	1938	1998-05-05	PRIJEM	VKLAD	24150	58459	\N	\N	\N
569390	1938	1998-06-05	PRIJEM	VKLAD	36225	66173	\N	\N	\N
569391	1938	1998-07-05	PRIJEM	VKLAD	24150	52275	\N	\N	\N
569392	1938	1998-08-05	PRIJEM	VKLAD	24150	60749	\N	\N	\N
569393	1938	1998-09-05	PRIJEM	VKLAD	24150	64263	\N	\N	\N
569394	1938	1998-10-05	PRIJEM	VKLAD	24150	60601	\N	\N	\N
569395	1938	1998-11-05	PRIJEM	VKLAD	24150	66116	\N	\N	\N
569396	1938	1998-12-05	PRIJEM	VKLAD	36225	76529	\N	\N	\N
569407	1938	1994-11-13	VYDAJ	PREVOD NA UCET	6646	62169	SIPO	IJ	28358316
569408	1938	1994-12-13	VYDAJ	PREVOD NA UCET	6646	70099	SIPO	IJ	28358316
569409	1938	1995-01-13	VYDAJ	PREVOD NA UCET	6646	54535	SIPO	IJ	28358316
569410	1938	1995-02-13	VYDAJ	PREVOD NA UCET	6646	47311	SIPO	IJ	28358316
569411	1938	1995-03-13	VYDAJ	PREVOD NA UCET	6646	54065	SIPO	IJ	28358316
569412	1938	1995-04-13	VYDAJ	PREVOD NA UCET	6646	56631	SIPO	IJ	28358316
569413	1938	1995-05-13	VYDAJ	PREVOD NA UCET	6646	58007	SIPO	IJ	28358316
569414	1938	1995-06-13	VYDAJ	PREVOD NA UCET	6646	54698	SIPO	IJ	28358316
569415	1938	1995-07-13	VYDAJ	PREVOD NA UCET	6646	59976	SIPO	IJ	28358316
569416	1938	1995-08-13	VYDAJ	PREVOD NA UCET	6646	58824	SIPO	IJ	28358316
569417	1938	1995-09-13	VYDAJ	PREVOD NA UCET	6646	62512	SIPO	IJ	28358316
569418	1938	1995-10-13	VYDAJ	PREVOD NA UCET	6646	63202	SIPO	IJ	28358316
569419	1938	1995-11-13	VYDAJ	PREVOD NA UCET	6646	61490	SIPO	IJ	28358316
569420	1938	1995-12-13	VYDAJ	PREVOD NA UCET	6646	76753	SIPO	IJ	28358316
569421	1938	1996-01-13	VYDAJ	PREVOD NA UCET	6646	63679	SIPO	IJ	28358316
569422	1938	1996-02-13	VYDAJ	PREVOD NA UCET	6646	51518	SIPO	IJ	28358316
569423	1938	1996-03-13	VYDAJ	PREVOD NA UCET	6646	58769	SIPO	IJ	28358316
569424	1938	1996-04-13	VYDAJ	PREVOD NA UCET	6646	56210	SIPO	IJ	28358316
569425	1938	1996-05-13	VYDAJ	PREVOD NA UCET	6646	60374	SIPO	IJ	28358316
569426	1938	1996-06-13	VYDAJ	PREVOD NA UCET	6646	74726	SIPO	IJ	28358316
569427	1938	1996-07-13	VYDAJ	PREVOD NA UCET	6646	41776	SIPO	IJ	28358316
569428	1938	1996-08-13	VYDAJ	PREVOD NA UCET	6646	42496	SIPO	IJ	28358316
569429	1938	1996-09-13	VYDAJ	PREVOD NA UCET	6646	37751	SIPO	IJ	28358316
569430	1938	1996-10-13	VYDAJ	PREVOD NA UCET	6646	40305	SIPO	IJ	28358316
569431	1938	1996-11-13	VYDAJ	PREVOD NA UCET	6646	42259	SIPO	IJ	28358316
569432	1938	1996-12-13	VYDAJ	PREVOD NA UCET	6646	43375	SIPO	IJ	28358316
569433	1938	1997-01-13	VYDAJ	PREVOD NA UCET	6646	43782	SIPO	IJ	28358316
569434	1938	1997-02-13	VYDAJ	PREVOD NA UCET	6646	35582	SIPO	IJ	28358316
569435	1938	1997-03-13	VYDAJ	PREVOD NA UCET	6646	34520	SIPO	IJ	28358316
569436	1938	1997-04-13	VYDAJ	PREVOD NA UCET	6646	32110	SIPO	IJ	28358316
569437	1938	1997-05-13	VYDAJ	PREVOD NA UCET	6646	38335	SIPO	IJ	28358316
569438	1938	1997-06-13	VYDAJ	PREVOD NA UCET	6646	34413	SIPO	IJ	28358316
569439	1938	1997-07-13	VYDAJ	PREVOD NA UCET	6646	37659	SIPO	IJ	28358316
569440	1938	1997-08-13	VYDAJ	PREVOD NA UCET	6646	35883	SIPO	IJ	28358316
569441	1938	1997-09-13	VYDAJ	PREVOD NA UCET	6646	40722	SIPO	IJ	28358316
569442	1938	1997-10-13	VYDAJ	PREVOD NA UCET	6646	40981	SIPO	IJ	28358316
569443	1938	1997-11-13	VYDAJ	PREVOD NA UCET	6646	43144	SIPO	IJ	28358316
569444	1938	1997-12-13	VYDAJ	PREVOD NA UCET	6646	41658	SIPO	IJ	28358316
569445	1938	1998-01-13	VYDAJ	PREVOD NA UCET	6646	38821	SIPO	IJ	28358316
569446	1938	1998-02-13	VYDAJ	PREVOD NA UCET	6646	43670	SIPO	IJ	28358316
569447	1938	1998-03-13	VYDAJ	PREVOD NA UCET	6646	38214	SIPO	IJ	28358316
569448	1938	1998-04-13	VYDAJ	PREVOD NA UCET	6646	35968	SIPO	IJ	28358316
569449	1938	1998-05-13	VYDAJ	PREVOD NA UCET	6646	34913	SIPO	IJ	28358316
569450	1938	1998-06-13	VYDAJ	PREVOD NA UCET	6646	26407	SIPO	IJ	28358316
569451	1938	1998-07-13	VYDAJ	PREVOD NA UCET	6646	45629	SIPO	IJ	28358316
569452	1938	1998-08-13	VYDAJ	PREVOD NA UCET	6646	54103	SIPO	IJ	28358316
569453	1938	1998-09-13	VYDAJ	PREVOD NA UCET	6646	48257	SIPO	IJ	28358316
569454	1938	1998-10-13	VYDAJ	PREVOD NA UCET	6646	53955	SIPO	IJ	28358316
569455	1938	1998-11-13	VYDAJ	PREVOD NA UCET	6646	59470	SIPO	IJ	28358316
569456	1938	1998-12-13	VYDAJ	PREVOD NA UCET	6646	69883	SIPO	IJ	28358316
569518	1938	1995-06-12	VYDAJ	VYBER	15360	61344	\N	\N	\N
569519	1938	1996-06-19	VYDAJ	VYBER	26400	24126	\N	\N	\N
569520	1938	1997-06-05	VYDAJ	VYBER	23040	51659	\N	\N	\N
569521	1938	1998-06-08	VYDAJ	VYBER	33120	33053	\N	\N	\N
569522	1938	1994-12-11	VYDAJ	VYBER	3040	76745	\N	\N	\N
569523	1938	1995-12-22	VYDAJ	VYBER	3680	48373	\N	\N	\N
569524	1938	1996-12-04	VYDAJ	VYBER	4160	32496	\N	\N	\N
569525	1938	1997-12-10	VYDAJ	VYBER	2880	48304	\N	\N	\N
569526	1938	1998-12-30	VYDAJ	VYBER	2880	67003	\N	\N	\N
569533	1938	1995-01-27	VYDAJ	VYBER	2880	33215	\N	\N	\N
569534	1938	1995-01-13	VYDAJ	VYBER	3000	61181	\N	\N	\N
569535	1938	1995-01-03	VYDAJ	VYBER	3360	43151	\N	\N	\N
569536	1938	1995-01-14	VYDAJ	VYBER	1680	52855	\N	\N	\N
569537	1938	1995-01-10	VYDAJ	VYBER	3120	64181	\N	\N	\N
569538	1938	1995-01-22	VYDAJ	VYBER	3120	37535	\N	\N	\N
569539	1938	1996-01-03	VYDAJ	VYBER	1320	46175	\N	\N	\N
569540	1938	1996-01-25	VYDAJ	VYBER	840	35379	\N	\N	\N
569541	1938	1996-01-22	VYDAJ	VYBER	3120	38019	\N	\N	\N
569542	1938	1996-01-28	VYDAJ	VYBER	1560	33819	\N	\N	\N
569543	1938	1996-01-02	VYDAJ	VYBER	1080	47495	\N	\N	\N
569544	1938	1996-01-24	VYDAJ	VYBER	1800	36219	\N	\N	\N
569545	1938	1997-01-13	VYDAJ	VYBER	2760	41022	\N	\N	\N
569546	1938	1997-01-15	VYDAJ	VYBER	2400	38022	\N	\N	\N
569547	1938	1997-01-26	VYDAJ	VYBER	3480	33822	\N	\N	\N
569548	1938	1997-01-09	VYDAJ	VYBER	1080	66628	\N	\N	\N
569549	1938	1997-01-15	VYDAJ	VYBER	600	40422	\N	\N	\N
569550	1938	1997-01-19	VYDAJ	VYBER	720	37302	\N	\N	\N
569551	1938	1998-01-09	VYDAJ	VYBER	1920	45467	\N	\N	\N
569552	1938	1998-01-13	VYDAJ	VYBER	2400	36421	\N	\N	\N
569553	1938	1998-01-02	VYDAJ	VYBER	1080	40737	\N	\N	\N
569554	1938	1998-01-23	VYDAJ	VYBER	2880	28261	\N	\N	\N
569555	1938	1998-01-16	VYDAJ	VYBER	2880	33541	\N	\N	\N
569556	1938	1998-01-20	VYDAJ	VYBER	2400	31141	\N	\N	\N
569563	1938	1995-08-13	VYDAJ	VYBER	4440	65470	\N	\N	\N
569564	1938	1995-11-14	VYDAJ	VYBER	600	60890	\N	\N	\N
569565	1938	1995-08-20	VYDAJ	VYBER	1200	44824	\N	\N	\N
569566	1938	1995-01-27	VYDAJ	VYBER	1440	36095	\N	\N	\N
569567	1938	1995-02-11	VYDAJ	VYBER	3600	53957	\N	\N	\N
569568	1938	1995-04-29	VYDAJ	VYBER	2400	40331	\N	\N	\N
569569	1938	1996-03-15	VYDAJ	VYBER	3720	55049	\N	\N	\N
569570	1938	1996-01-20	VYDAJ	VYBER	4440	41139	\N	\N	\N
569571	1938	1996-11-27	VYDAJ	VYBER	5760	36499	\N	\N	\N
569572	1938	1997-07-30	VYDAJ	VYBER	4320	33339	\N	\N	\N
569573	1938	1997-03-04	VYDAJ	VYBER	5400	30316	\N	\N	\N
569574	1938	1997-11-23	VYDAJ	VYBER	1320	36544	\N	\N	\N
569575	1938	1997-03-31	VYDAJ	VYBER	2160	32506	\N	\N	\N
569576	1938	1997-11-18	VYDAJ	VYBER	5280	37864	\N	\N	\N
569577	1938	1997-11-24	VYDAJ	VYBER	2640	33904	\N	\N	\N
569578	1938	1998-04-29	VYDAJ	VYBER	1800	34168	\N	\N	\N
569579	1938	1998-01-29	VYDAJ	VYBER	1440	26821	\N	\N	\N
569580	1938	1998-09-05	VYDAJ	VYBER	5880	58383	\N	\N	\N
569581	1938	1998-09-06	VYDAJ	VYBER	3480	54903	\N	\N	\N
569582	1938	1998-02-25	VYDAJ	VYBER	3120	40550	\N	\N	\N
569594	1938	1994-11-30	VYDAJ	VYBER	15	43560	SLUZBY	\N	\N
569595	1938	1994-12-31	VYDAJ	VYBER	15	46511	SLUZBY	\N	\N
569596	1938	1995-01-31	VYDAJ	VYBER	15	33407	SLUZBY	\N	\N
569597	1938	1995-02-28	VYDAJ	VYBER	15	36561	SLUZBY	\N	\N
569598	1938	1995-03-31	VYDAJ	VYBER	15	39127	SLUZBY	\N	\N
569599	1938	1995-04-30	VYDAJ	VYBER	15	40503	SLUZBY	\N	\N
569600	1938	1995-05-31	VYDAJ	VYBER	15	40479	SLUZBY	\N	\N
569601	1938	1995-06-30	VYDAJ	VYBER	15	42472	SLUZBY	\N	\N
569602	1938	1995-07-31	VYDAJ	VYBER	15	45760	SLUZBY	\N	\N
569603	1938	1995-08-31	VYDAJ	VYBER	15	45008	SLUZBY	\N	\N
569604	1938	1995-09-30	VYDAJ	VYBER	15	45698	SLUZBY	\N	\N
569605	1938	1995-10-31	VYDAJ	VYBER	15	43986	SLUZBY	\N	\N
569606	1938	1995-11-30	VYDAJ	VYBER	15	47174	SLUZBY	\N	\N
569607	1938	1995-12-31	VYDAJ	VYBER	15	48575	SLUZBY	\N	\N
569608	1938	1996-01-31	VYDAJ	VYBER	15	34014	SLUZBY	\N	\N
569609	1938	1996-02-29	VYDAJ	VYBER	15	41265	SLUZBY	\N	\N
569610	1938	1996-03-31	VYDAJ	VYBER	15	38706	SLUZBY	\N	\N
569611	1938	1996-04-30	VYDAJ	VYBER	15	42870	SLUZBY	\N	\N
569612	1938	1996-05-31	VYDAJ	VYBER	15	45147	SLUZBY	\N	\N
569613	1938	1996-06-30	VYDAJ	VYBER	15	24272	SLUZBY	\N	\N
569614	1938	1996-07-31	VYDAJ	VYBER	15	35992	SLUZBY	\N	\N
569615	1938	1996-08-31	VYDAJ	VYBER	15	42647	SLUZBY	\N	\N
569616	1938	1996-09-30	VYDAJ	VYBER	15	37901	SLUZBY	\N	\N
569617	1938	1996-10-31	VYDAJ	VYBER	15	40455	SLUZBY	\N	\N
569618	1938	1996-11-30	VYDAJ	VYBER	15	36656	SLUZBY	\N	\N
569619	1938	1996-12-31	VYDAJ	VYBER	15	43558	SLUZBY	\N	\N
569620	1938	1997-01-31	VYDAJ	VYBER	15	33978	SLUZBY	\N	\N
569621	1938	1997-02-28	VYDAJ	VYBER	15	35716	SLUZBY	\N	\N
569622	1938	1997-03-31	VYDAJ	VYBER	15	34666	SLUZBY	\N	\N
569623	1938	1997-04-30	VYDAJ	VYBER	15	32231	SLUZBY	\N	\N
569624	1938	1997-05-31	VYDAJ	VYBER	15	38474	SLUZBY	\N	\N
569625	1938	1997-06-30	VYDAJ	VYBER	15	34555	SLUZBY	\N	\N
569626	1938	1997-07-31	VYDAJ	VYBER	15	33479	SLUZBY	\N	\N
569627	1938	1997-08-31	VYDAJ	VYBER	15	36018	SLUZBY	\N	\N
569628	1938	1997-09-30	VYDAJ	VYBER	15	40877	SLUZBY	\N	\N
569629	1938	1997-10-31	VYDAJ	VYBER	15	41140	SLUZBY	\N	\N
569630	1938	1997-11-30	VYDAJ	VYBER	15	34059	SLUZBY	\N	\N
569631	1938	1997-12-31	VYDAJ	VYBER	15	41817	SLUZBY	\N	\N
569632	1938	1998-01-31	VYDAJ	VYBER	15	26966	SLUZBY	\N	\N
569633	1938	1998-02-28	VYDAJ	VYBER	15	40710	SLUZBY	\N	\N
569634	1938	1998-03-31	VYDAJ	VYBER	15	38364	SLUZBY	\N	\N
569635	1938	1998-04-30	VYDAJ	VYBER	15	34309	SLUZBY	\N	\N
569636	1938	1998-05-31	VYDAJ	VYBER	15	35048	SLUZBY	\N	\N
569637	1938	1998-06-30	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
569638	1938	1998-07-31	VYDAJ	VYBER	15	45799	SLUZBY	\N	\N
569639	1938	1998-08-31	VYDAJ	VYBER	15	54313	SLUZBY	\N	\N
569640	1938	1998-09-30	VYDAJ	VYBER	15	48451	SLUZBY	\N	\N
569641	1938	1998-10-31	VYDAJ	VYBER	15	54166	SLUZBY	\N	\N
569642	1938	1998-11-30	VYDAJ	VYBER	15	59704	SLUZBY	\N	\N
569643	1938	1994-07-25	VYDAJ	VYBER	2500	22250	\N	\N	\N
569644	1938	1994-08-24	VYDAJ	VYBER	10500	35921	\N	\N	\N
569645	1938	1994-09-23	VYDAJ	VYBER	17700	42478	\N	\N	\N
569646	1938	1994-10-23	VYDAJ	VYBER	22300	44485	\N	\N	\N
569647	1938	1994-11-22	VYDAJ	VYBER	18800	43369	\N	\N	\N
569648	1938	1994-12-22	VYDAJ	VYBER	23800	46299	\N	\N	\N
569649	1938	1995-01-21	VYDAJ	VYBER	12200	40655	\N	\N	\N
569650	1938	1995-02-20	VYDAJ	VYBER	10900	36411	\N	\N	\N
569651	1938	1995-03-22	VYDAJ	VYBER	15100	38965	\N	\N	\N
569652	1938	1995-04-21	VYDAJ	VYBER	13900	42731	\N	\N	\N
569653	1938	1995-05-21	VYDAJ	VYBER	17700	40307	\N	\N	\N
569654	1938	1995-06-20	VYDAJ	VYBER	12400	42298	\N	\N	\N
569655	1938	1995-07-20	VYDAJ	VYBER	14400	45576	\N	\N	\N
569656	1938	1995-08-19	VYDAJ	VYBER	12800	46024	\N	\N	\N
569657	1938	1995-09-18	VYDAJ	VYBER	17000	45512	\N	\N	\N
569658	1938	1995-10-18	VYDAJ	VYBER	19400	43802	\N	\N	\N
569659	1938	1995-11-17	VYDAJ	VYBER	13900	46990	\N	\N	\N
569660	1938	1995-12-17	VYDAJ	VYBER	24700	52053	\N	\N	\N
569661	1938	1996-01-16	VYDAJ	VYBER	18100	45579	\N	\N	\N
569662	1938	1996-02-15	VYDAJ	VYBER	10400	41118	\N	\N	\N
569663	1938	1996-03-16	VYDAJ	VYBER	16500	38549	\N	\N	\N
569664	1938	1996-04-15	VYDAJ	VYBER	13500	42710	\N	\N	\N
569665	1938	1996-05-15	VYDAJ	VYBER	15400	44974	\N	\N	\N
569666	1938	1996-06-14	VYDAJ	VYBER	24200	50526	\N	\N	\N
569667	1938	1996-07-14	VYDAJ	VYBER	5900	35876	\N	\N	\N
569668	1938	1996-08-13	VYDAJ	VYBER	11000	49142	\N	\N	\N
569669	1938	1996-09-12	VYDAJ	VYBER	22400	44397	\N	\N	\N
569670	1938	1996-10-12	VYDAJ	VYBER	15100	46951	\N	\N	\N
569671	1938	1996-11-11	VYDAJ	VYBER	15700	48905	\N	\N	\N
569672	1938	1996-12-11	VYDAJ	VYBER	18700	50021	\N	\N	\N
569673	1938	1997-01-10	VYDAJ	VYBER	16200	50428	\N	\N	\N
569674	1938	1997-02-09	VYDAJ	VYBER	15900	42228	\N	\N	\N
569675	1938	1997-03-11	VYDAJ	VYBER	13300	41166	\N	\N	\N
569676	1938	1997-04-10	VYDAJ	VYBER	17900	38756	\N	\N	\N
569677	1938	1997-05-10	VYDAJ	VYBER	11400	44981	\N	\N	\N
569678	1938	1997-06-09	VYDAJ	VYBER	10600	41059	\N	\N	\N
569679	1938	1997-07-09	VYDAJ	VYBER	14400	44305	\N	\N	\N
569680	1938	1997-08-08	VYDAJ	VYBER	15100	42529	\N	\N	\N
569681	1938	1997-09-07	VYDAJ	VYBER	12800	47368	\N	\N	\N
569682	1938	1997-10-07	VYDAJ	VYBER	17400	47627	\N	\N	\N
569683	1938	1997-11-06	VYDAJ	VYBER	15500	49790	\N	\N	\N
569684	1938	1997-12-06	VYDAJ	VYBER	19100	51184	\N	\N	\N
569685	1938	1998-01-05	VYDAJ	VYBER	17500	47387	\N	\N	\N
569686	1938	1998-02-04	VYDAJ	VYBER	800	26166	\N	\N	\N
569687	1938	1998-03-06	VYDAJ	VYBER	20000	44860	\N	\N	\N
569688	1938	1998-04-05	VYDAJ	VYBER	19900	42614	\N	\N	\N
569689	1938	1998-05-05	VYDAJ	VYBER	16900	41559	\N	\N	\N
569690	1938	1998-06-04	VYDAJ	VYBER	5100	29948	\N	\N	\N
569691	1938	1998-07-04	PRIJEM	VKLAD	1600	28125	\N	\N	\N
569692	1938	1998-08-03	VYDAJ	VYBER	9200	36599	\N	\N	\N
569693	1938	1998-09-02	VYDAJ	VYBER	14200	40113	\N	\N	\N
569694	1938	1998-10-02	VYDAJ	VYBER	12000	36451	\N	\N	\N
569695	1938	1998-11-01	VYDAJ	VYBER	12200	41966	\N	\N	\N
569696	1938	1998-12-01	VYDAJ	VYBER	19400	40304	\N	\N	\N
569751	1939	1996-04-19	PRIJEM	VKLAD	400	400	\N	\N	\N
569756	1939	1996-05-11	PRIJEM	PREVOD Z UCTU	49686	50086	\N	OP	70273989
569757	1939	1996-06-11	PRIJEM	PREVOD Z UCTU	74529	109977	\N	OP	70273989
569758	1939	1996-07-11	PRIJEM	PREVOD Z UCTU	49686	89136	\N	OP	70273989
569759	1939	1996-08-11	PRIJEM	PREVOD Z UCTU	49686	107120	\N	OP	70273989
569760	1939	1996-09-11	PRIJEM	PREVOD Z UCTU	49686	113457	\N	OP	70273989
569761	1939	1996-10-11	PRIJEM	PREVOD Z UCTU	49686	85984	\N	OP	70273989
569762	1939	1996-11-11	PRIJEM	PREVOD Z UCTU	49686	96085	\N	OP	70273989
569763	1939	1996-12-11	PRIJEM	PREVOD Z UCTU	74529	127047	\N	OP	70273989
569764	1939	1997-01-11	PRIJEM	PREVOD Z UCTU	49686	82956	\N	OP	70273989
569765	1939	1997-02-11	PRIJEM	PREVOD Z UCTU	49686	65784	\N	OP	70273989
569766	1939	1997-03-11	PRIJEM	PREVOD Z UCTU	49686	73509	\N	OP	70273989
569767	1939	1997-04-11	PRIJEM	PREVOD Z UCTU	49686	86658	\N	OP	70273989
569768	1939	1997-05-11	PRIJEM	PREVOD Z UCTU	49686	88028	\N	OP	70273989
569769	1939	1997-06-11	PRIJEM	PREVOD Z UCTU	74529	91016	\N	OP	70273989
569770	1939	1997-07-11	PRIJEM	PREVOD Z UCTU	49686	73791	\N	OP	70273989
569771	1939	1997-08-11	PRIJEM	PREVOD Z UCTU	49686	85720	\N	OP	70273989
569772	1939	1997-09-11	PRIJEM	PREVOD Z UCTU	49686	75915	\N	OP	70273989
569773	1939	1997-10-11	PRIJEM	PREVOD Z UCTU	49686	89654	\N	OP	70273989
569774	1939	1997-11-11	PRIJEM	PREVOD Z UCTU	49686	62453	\N	OP	70273989
569775	1939	1997-12-11	PRIJEM	PREVOD Z UCTU	74529	96750	\N	OP	70273989
569776	1939	1998-01-11	PRIJEM	PREVOD Z UCTU	49686	93841	\N	OP	70273989
569777	1939	1998-02-11	PRIJEM	PREVOD Z UCTU	49686	86819	\N	OP	70273989
569778	1939	1998-03-11	PRIJEM	PREVOD Z UCTU	49686	87464	\N	OP	70273989
569779	1939	1998-04-11	PRIJEM	PREVOD Z UCTU	49686	97266	\N	OP	70273989
569780	1939	1998-05-11	PRIJEM	PREVOD Z UCTU	49686	88036	\N	OP	70273989
569781	1939	1998-06-11	PRIJEM	PREVOD Z UCTU	74529	120902	\N	OP	70273989
569782	1939	1998-07-11	PRIJEM	PREVOD Z UCTU	49686	95237	\N	OP	70273989
569783	1939	1998-08-11	PRIJEM	PREVOD Z UCTU	49686	102869	\N	OP	70273989
569784	1939	1998-09-11	PRIJEM	PREVOD Z UCTU	49686	96697	\N	OP	70273989
569785	1939	1998-10-11	PRIJEM	PREVOD Z UCTU	49686	104426	\N	OP	70273989
569786	1939	1998-11-11	PRIJEM	PREVOD Z UCTU	49686	107807	\N	OP	70273989
569787	1939	1998-12-11	PRIJEM	PREVOD Z UCTU	74529	123528	\N	OP	70273989
569797	1939	1996-10-06	VYDAJ	PREVOD NA UCET	3090	45714	SIPO	CD	50836545
569798	1939	1996-11-06	VYDAJ	PREVOD NA UCET	3090	46399	SIPO	CD	50836545
569799	1939	1996-12-06	VYDAJ	PREVOD NA UCET	3090	52518	SIPO	CD	50836545
569800	1939	1997-01-06	VYDAJ	PREVOD NA UCET	3090	33270	SIPO	CD	50836545
569801	1939	1997-02-06	VYDAJ	PREVOD NA UCET	3090	16098	SIPO	CD	50836545
569802	1939	1997-03-06	VYDAJ	PREVOD NA UCET	3090	23823	SIPO	CD	50836545
569803	1939	1997-04-06	VYDAJ	PREVOD NA UCET	3090	36972	SIPO	CD	50836545
569804	1939	1997-05-06	VYDAJ	PREVOD NA UCET	3090	38342	SIPO	CD	50836545
569805	1939	1997-06-06	VYDAJ	PREVOD NA UCET	3090	16487	SIPO	CD	50836545
569806	1939	1997-07-06	VYDAJ	PREVOD NA UCET	3090	24105	SIPO	CD	50836545
569807	1939	1997-08-06	VYDAJ	PREVOD NA UCET	3090	36034	SIPO	CD	50836545
569808	1939	1997-09-06	VYDAJ	PREVOD NA UCET	3090	26229	SIPO	CD	50836545
569809	1939	1997-10-06	VYDAJ	PREVOD NA UCET	3090	39968	SIPO	CD	50836545
569810	1939	1997-11-06	VYDAJ	PREVOD NA UCET	3090	20467	SIPO	CD	50836545
569811	1939	1997-12-06	VYDAJ	PREVOD NA UCET	3090	30821	SIPO	CD	50836545
569812	1939	1998-01-06	VYDAJ	PREVOD NA UCET	3090	81055	SIPO	CD	50836545
569813	1939	1998-02-06	VYDAJ	PREVOD NA UCET	3090	62233	SIPO	CD	50836545
569814	1939	1998-03-06	VYDAJ	PREVOD NA UCET	3090	62478	SIPO	CD	50836545
569815	1939	1998-04-06	VYDAJ	PREVOD NA UCET	3090	79580	SIPO	CD	50836545
569816	1939	1998-05-06	VYDAJ	PREVOD NA UCET	3090	63450	SIPO	CD	50836545
569817	1939	1998-06-06	VYDAJ	PREVOD NA UCET	3090	81673	SIPO	CD	50836545
569818	1939	1998-07-06	VYDAJ	PREVOD NA UCET	3090	73151	SIPO	CD	50836545
569819	1939	1998-08-06	VYDAJ	PREVOD NA UCET	3090	81083	SIPO	CD	50836545
569820	1939	1998-09-06	VYDAJ	PREVOD NA UCET	3090	47011	SIPO	CD	50836545
569821	1939	1998-10-06	VYDAJ	PREVOD NA UCET	3090	54740	SIPO	CD	50836545
569822	1939	1998-11-06	VYDAJ	PREVOD NA UCET	3090	58121	SIPO	CD	50836545
569823	1939	1998-12-06	VYDAJ	PREVOD NA UCET	3090	48999	SIPO	CD	50836545
569833	1939	1996-10-05	VYDAJ	PREVOD NA UCET	893	48804	 	QR	37756449
569834	1939	1996-11-05	VYDAJ	PREVOD NA UCET	893	49489	 	QR	37756449
569835	1939	1996-12-05	VYDAJ	PREVOD NA UCET	893	55608	 	QR	37756449
569836	1939	1997-01-05	VYDAJ	PREVOD NA UCET	893	36360	 	QR	37756449
569837	1939	1997-02-05	VYDAJ	PREVOD NA UCET	893	19188	 	QR	37756449
569838	1939	1997-03-05	VYDAJ	PREVOD NA UCET	893	26913	 	QR	37756449
569839	1939	1997-04-05	VYDAJ	PREVOD NA UCET	893	40062	 	QR	37756449
569840	1939	1997-05-05	VYDAJ	PREVOD NA UCET	893	41432	 	QR	37756449
569841	1939	1997-06-05	VYDAJ	PREVOD NA UCET	893	19577	 	QR	37756449
569842	1939	1997-07-05	VYDAJ	PREVOD NA UCET	893	27195	 	QR	37756449
569843	1939	1997-08-05	VYDAJ	PREVOD NA UCET	893	39124	 	QR	37756449
569844	1939	1997-09-05	VYDAJ	PREVOD NA UCET	893	29319	 	QR	37756449
569845	1939	1997-10-05	VYDAJ	PREVOD NA UCET	893	43058	 	QR	37756449
569846	1939	1997-11-05	VYDAJ	PREVOD NA UCET	893	23557	 	QR	37756449
569847	1939	1997-12-05	VYDAJ	PREVOD NA UCET	893	33911	 	QR	37756449
569848	1939	1998-01-05	VYDAJ	PREVOD NA UCET	893	84145	 	QR	37756449
569849	1939	1998-02-05	VYDAJ	PREVOD NA UCET	893	65323	 	QR	37756449
569850	1939	1998-03-05	VYDAJ	PREVOD NA UCET	893	65568	 	QR	37756449
569851	1939	1998-04-05	VYDAJ	PREVOD NA UCET	893	82670	 	QR	37756449
569852	1939	1998-05-05	VYDAJ	PREVOD NA UCET	893	66540	 	QR	37756449
569853	1939	1998-06-05	VYDAJ	PREVOD NA UCET	893	84763	 	QR	37756449
569854	1939	1998-07-05	VYDAJ	PREVOD NA UCET	893	76241	 	QR	37756449
569855	1939	1998-08-05	VYDAJ	PREVOD NA UCET	893	84173	 	QR	37756449
569856	1939	1998-09-05	VYDAJ	PREVOD NA UCET	893	81101	 	QR	37756449
569857	1939	1998-10-05	VYDAJ	PREVOD NA UCET	893	92530	 	QR	37756449
569858	1939	1998-11-05	VYDAJ	PREVOD NA UCET	893	100111	 	QR	37756449
569859	1939	1998-12-05	VYDAJ	PREVOD NA UCET	893	52089	 	QR	37756449
569860	1939	1996-10-10	VYBER	VYBER	9416	36298	\N	\N	\N
569862	1939	1997-06-05	VYBER	VYBER	13116	20470	\N	\N	\N
569863	1939	1997-01-25	VYBER	VYBER	15500	19956	\N	\N	\N
569864	1939	1997-10-29	VYBER	VYBER	23557	24197	\N	\N	\N
569867	1939	1997-11-19	VYBER	VYBER	17283	39770	\N	\N	\N
569869	1939	1997-04-21	VYBER	VYBER	8803	42155	\N	\N	\N
569871	1939	1997-08-26	VYBER	VYBER	8065	40555	\N	\N	\N
569872	1939	1997-02-21	VYBER	VYBER	9873	27711	\N	\N	\N
569873	1939	1997-06-28	VYBER	VYBER	20869	27947	\N	\N	\N
569874	1939	1998-08-25	VYBER	VYBER	14705	88164	\N	\N	\N
569875	1939	1998-10-28	VYBER	VYBER	3782	100644	\N	\N	\N
569876	1939	1998-04-25	VYBER	VYBER	23131	74135	\N	\N	\N
569877	1939	1998-05-13	VYBER	VYBER	2672	85364	\N	\N	\N
569878	1939	1998-12-21	VYBER	VYBER	10684	83044	\N	\N	\N
569879	1939	1998-09-05	VYBER	VYBER	6512	81994	\N	\N	\N
569880	1939	1998-04-27	VYBER	VYBER	7025	67110	\N	\N	\N
569881	1939	1998-02-23	VYBER	VYBER	20626	66193	\N	\N	\N
569884	1939	1998-06-24	VYDAJ	VYBER	9600	89702	\N	\N	\N
569887	1939	1998-01-14	VYDAJ	VYBER	7200	72841	\N	\N	\N
569888	1939	1996-12-11	VYDAJ	VYBER	5400	96547	\N	\N	\N
569889	1939	1997-12-01	VYDAJ	VYBER	5100	34804	\N	\N	\N
569890	1939	1998-12-05	VYDAJ	VYBER	5100	52982	\N	\N	\N
569897	1939	1997-01-13	VYDAJ	VYBER	4800	78156	\N	\N	\N
569898	1939	1997-01-16	VYDAJ	VYBER	4200	35456	\N	\N	\N
569902	1939	1997-01-02	VYDAJ	VYBER	6000	37253	\N	\N	\N
569903	1939	1998-01-03	VYDAJ	VYBER	7800	85038	\N	\N	\N
569904	1939	1998-01-13	VYDAJ	VYBER	7800	80041	\N	\N	\N
569905	1939	1998-01-11	VYDAJ	VYBER	6000	87841	\N	\N	\N
569906	1939	1998-01-03	VYDAJ	VYBER	4200	92838	\N	\N	\N
569907	1939	1998-01-29	VYDAJ	VYBER	3300	65941	\N	\N	\N
569908	1939	1998-01-15	VYDAJ	VYBER	3600	69241	\N	\N	\N
569912	1939	1996-12-23	VYDAJ	VYBER	12300	43047	\N	\N	\N
569913	1939	1997-02-17	VYDAJ	VYBER	2100	37584	\N	\N	\N
569914	1939	1997-11-18	VYDAJ	VYBER	5400	57053	\N	\N	\N
569915	1939	1997-05-18	VYDAJ	VYBER	4500	42728	\N	\N	\N
569916	1939	1997-09-02	VYDAJ	VYBER	10500	30212	\N	\N	\N
569917	1939	1997-05-26	VYDAJ	VYBER	9300	33428	\N	\N	\N
569918	1939	1997-01-13	VYDAJ	VYBER	10200	67956	\N	\N	\N
569919	1939	1997-04-05	VYDAJ	VYBER	3900	40955	\N	\N	\N
569920	1939	1998-09-22	VYDAJ	VYBER	3600	93097	\N	\N	\N
569921	1939	1998-07-31	VYDAJ	VYBER	10500	85096	\N	\N	\N
569922	1939	1998-06-26	VYDAJ	VYBER	7200	82502	\N	\N	\N
569923	1939	1998-07-03	VYDAJ	VYBER	5700	77134	\N	\N	\N
569924	1939	1998-04-02	VYDAJ	VYBER	4200	83563	\N	\N	\N
569934	1939	1996-09-30	VYDAJ	VYBER	30	49697	SLUZBY	\N	\N
569935	1939	1996-10-31	VYDAJ	VYBER	30	50382	SLUZBY	\N	\N
569936	1939	1996-11-30	VYDAJ	VYBER	30	56501	SLUZBY	\N	\N
569937	1939	1996-12-31	VYDAJ	VYBER	30	43253	SLUZBY	\N	\N
569938	1939	1997-01-31	VYDAJ	VYBER	30	20081	SLUZBY	\N	\N
569939	1939	1997-02-28	VYDAJ	VYBER	30	27806	SLUZBY	\N	\N
569940	1939	1997-03-31	VYDAJ	VYBER	30	44855	SLUZBY	\N	\N
569941	1939	1997-04-30	VYDAJ	VYBER	30	42325	SLUZBY	\N	\N
569942	1939	1997-05-31	VYDAJ	VYBER	30	33586	SLUZBY	\N	\N
569943	1939	1997-06-30	VYDAJ	VYBER	30	28088	SLUZBY	\N	\N
569944	1939	1997-07-31	VYDAJ	VYBER	30	40017	SLUZBY	\N	\N
569945	1939	1997-08-31	VYDAJ	VYBER	30	40712	SLUZBY	\N	\N
569946	1939	1997-09-30	VYDAJ	VYBER	30	43951	SLUZBY	\N	\N
569947	1939	1997-10-31	VYDAJ	VYBER	30	24450	SLUZBY	\N	\N
569948	1939	1997-11-30	VYDAJ	VYBER	30	39904	SLUZBY	\N	\N
569949	1939	1997-12-31	VYDAJ	VYBER	30	97038	SLUZBY	\N	\N
569950	1939	1998-01-31	VYDAJ	VYBER	30	66216	SLUZBY	\N	\N
569951	1939	1998-02-28	VYDAJ	VYBER	30	66461	SLUZBY	\N	\N
569952	1939	1998-03-31	VYDAJ	VYBER	30	87763	SLUZBY	\N	\N
569953	1939	1998-04-30	VYDAJ	VYBER	30	67433	SLUZBY	\N	\N
569954	1939	1998-05-31	VYDAJ	VYBER	30	85656	SLUZBY	\N	\N
569955	1939	1998-06-30	VYDAJ	VYBER	30	82834	SLUZBY	\N	\N
569956	1939	1998-07-31	VYDAJ	VYBER	30	85066	SLUZBY	\N	\N
569957	1939	1998-08-31	VYDAJ	VYBER	30	88506	SLUZBY	\N	\N
569958	1939	1998-09-30	VYDAJ	VYBER	30	93423	SLUZBY	\N	\N
569959	1939	1998-10-31	VYDAJ	VYBER	30	101004	SLUZBY	\N	\N
569960	1939	1998-11-30	VYDAJ	VYBER	30	84482	SLUZBY	\N	\N
569961	1939	1996-05-19	VYDAJ	VYBER	14700	35386	\N	\N	\N
569962	1939	1996-06-11	VYDAJ	VYBER	55200	54777	\N	\N	\N
569963	1939	1996-06-18	VYDAJ	VYBER	15500	39277	\N	\N	\N
569964	1939	1996-07-18	VYDAJ	VYBER	31900	57236	\N	\N	\N
569965	1939	1996-08-17	VYDAJ	VYBER	43600	63520	\N	\N	\N
569966	1939	1996-09-11	VYDAJ	VYBER	34700	78757	\N	\N	\N
569967	1939	1996-09-16	VYDAJ	VYBER	29300	49457	\N	\N	\N
569968	1939	1996-10-16	VYDAJ	VYBER	35800	50184	\N	\N	\N
569969	1939	1996-11-15	VYDAJ	VYBER	39800	56285	\N	\N	\N
569970	1939	1996-12-11	VYDAJ	VYBER	25100	101947	\N	\N	\N
569971	1939	1996-12-15	VYDAJ	VYBER	41200	55347	\N	\N	\N
569972	1939	1997-01-14	VYDAJ	VYBER	28300	39656	\N	\N	\N
569973	1939	1997-02-13	VYDAJ	VYBER	26100	39684	\N	\N	\N
569974	1939	1997-03-15	VYDAJ	VYBER	28800	44709	\N	\N	\N
569975	1939	1997-04-14	VYDAJ	VYBER	35700	50958	\N	\N	\N
569976	1939	1997-05-14	VYDAJ	VYBER	40800	47228	\N	\N	\N
569977	1939	1997-06-13	VYDAJ	VYBER	42200	48816	\N	\N	\N
569978	1939	1997-07-13	VYDAJ	VYBER	33900	39891	\N	\N	\N
569979	1939	1997-08-12	VYDAJ	VYBER	37100	48620	\N	\N	\N
569980	1939	1997-09-11	VYDAJ	VYBER	32100	43815	\N	\N	\N
569981	1939	1997-10-11	VYDAJ	VYBER	41900	47754	\N	\N	\N
569982	1939	1997-11-10	VYDAJ	VYBER	7700	12767	\N	\N	\N
569983	1939	1997-12-10	VYDAJ	VYBER	8600	22221	\N	\N	\N
569984	1939	1998-01-09	VYDAJ	VYBER	36900	44155	\N	\N	\N
569985	1939	1998-02-08	VYDAJ	VYBER	25100	37133	\N	\N	\N
569986	1939	1998-03-10	VYDAJ	VYBER	24700	37778	\N	\N	\N
569987	1939	1998-04-09	VYDAJ	VYBER	32000	47580	\N	\N	\N
569988	1939	1998-05-09	VYDAJ	VYBER	25100	38350	\N	\N	\N
569989	1939	1998-06-08	VYDAJ	VYBER	35300	46373	\N	\N	\N
569990	1939	1998-06-11	VYDAJ	VYBER	21600	99302	\N	\N	\N
569991	1939	1998-07-08	VYDAJ	VYBER	27600	45551	\N	\N	\N
569992	1939	1998-08-07	VYDAJ	VYBER	27900	53183	\N	\N	\N
569993	1939	1998-09-06	VYDAJ	VYBER	31000	50101	\N	\N	\N
569994	1939	1998-10-06	VYDAJ	VYBER	34700	57830	\N	\N	\N
569995	1939	1998-11-05	VYDAJ	VYBER	38900	61211	\N	\N	\N
569996	1939	1998-11-30	VYDAJ	VYBER	23700	84512	\N	\N	\N
569997	1939	1998-12-05	VYDAJ	VYBER	26400	58082	\N	\N	\N
569998	1939	1998-12-11	VYDAJ	VYBER	29800	93728	\N	\N	\N
570031	1940	1993-12-22	PRIJEM	VKLAD	700	700	\N	\N	\N
570044	1940	1994-01-05	PRIJEM	PREVOD Z UCTU	4660	5360	DUCHOD	KL	65423965
570045	1940	1994-02-05	PRIJEM	PREVOD Z UCTU	4660	10020	DUCHOD	KL	65423965
570046	1940	1994-03-05	PRIJEM	PREVOD Z UCTU	4660	14680	DUCHOD	KL	65423965
570047	1940	1994-04-05	PRIJEM	PREVOD Z UCTU	4660	19340	DUCHOD	KL	65423965
570048	1940	1994-05-05	PRIJEM	PREVOD Z UCTU	4660	24000	DUCHOD	KL	65423965
570049	1940	1994-06-05	PRIJEM	PREVOD Z UCTU	4660	25610	DUCHOD	KL	65423965
570050	1940	1994-07-05	PRIJEM	PREVOD Z UCTU	4660	19724	DUCHOD	KL	65423965
570051	1940	1994-08-05	PRIJEM	PREVOD Z UCTU	4660	19568	DUCHOD	KL	65423965
570052	1940	1994-09-05	PRIJEM	PREVOD Z UCTU	4660	21174	DUCHOD	KL	65423965
570053	1940	1994-10-05	PRIJEM	PREVOD Z UCTU	4660	22788	DUCHOD	KL	65423965
570054	1940	1994-11-05	PRIJEM	PREVOD Z UCTU	4660	23848	DUCHOD	KL	65423965
570055	1940	1994-12-05	PRIJEM	PREVOD Z UCTU	4660	24270	DUCHOD	KL	65423965
570056	1940	1995-01-05	PRIJEM	PREVOD Z UCTU	4660	22823	DUCHOD	KL	65423965
570057	1940	1995-02-05	PRIJEM	PREVOD Z UCTU	4660	17325	DUCHOD	KL	65423965
570058	1940	1995-03-05	PRIJEM	PREVOD Z UCTU	4660	18922	DUCHOD	KL	65423965
570059	1940	1995-04-05	PRIJEM	PREVOD Z UCTU	4660	19406	DUCHOD	KL	65423965
570060	1940	1995-05-05	PRIJEM	PREVOD Z UCTU	4660	21014	DUCHOD	KL	65423965
570061	1940	1995-06-05	PRIJEM	PREVOD Z UCTU	4660	22626	DUCHOD	KL	65423965
570062	1940	1995-07-05	PRIJEM	PREVOD Z UCTU	4660	20538	DUCHOD	KL	65423965
570063	1940	1995-08-05	PRIJEM	PREVOD Z UCTU	4660	20043	DUCHOD	KL	65423965
570064	1940	1995-09-05	PRIJEM	PREVOD Z UCTU	4660	18645	DUCHOD	KL	65423965
570065	1940	1995-10-05	PRIJEM	PREVOD Z UCTU	4660	17841	DUCHOD	KL	65423965
570066	1940	1995-11-05	PRIJEM	PREVOD Z UCTU	4660	19441	DUCHOD	KL	65423965
570067	1940	1995-12-05	PRIJEM	PREVOD Z UCTU	4660	17538	DUCHOD	KL	65423965
570068	1940	1996-01-05	PRIJEM	PREVOD Z UCTU	4660	16629	DUCHOD	KL	65423965
570069	1940	1996-02-05	PRIJEM	PREVOD Z UCTU	4660	16919	DUCHOD	KL	65423965
570070	1940	1996-03-05	PRIJEM	PREVOD Z UCTU	4660	18515	DUCHOD	KL	65423965
570071	1940	1996-04-05	PRIJEM	PREVOD Z UCTU	4660	17810	DUCHOD	KL	65423965
570072	1940	1996-05-05	PRIJEM	PREVOD Z UCTU	4660	16702	DUCHOD	KL	65423965
570073	1940	1996-06-05	PRIJEM	PREVOD Z UCTU	4660	18296	DUCHOD	KL	65423965
570074	1940	1996-07-05	PRIJEM	PREVOD Z UCTU	4660	16587	DUCHOD	KL	65423965
570075	1940	1996-08-05	PRIJEM	PREVOD Z UCTU	4660	18181	DUCHOD	KL	65423965
570076	1940	1996-09-05	PRIJEM	PREVOD Z UCTU	4660	19782	DUCHOD	KL	65423965
570077	1940	1996-10-05	PRIJEM	PREVOD Z UCTU	4660	21389	DUCHOD	KL	65423965
570078	1940	1996-11-05	PRIJEM	PREVOD Z UCTU	4660	19150	DUCHOD	KL	65423965
570079	1940	1996-12-05	PRIJEM	PREVOD Z UCTU	4660	19954	DUCHOD	KL	65423965
570080	1940	1997-01-05	PRIJEM	PREVOD Z UCTU	4660	21084	DUCHOD	KL	65423965
570081	1940	1997-02-05	PRIJEM	PREVOD Z UCTU	4660	18686	DUCHOD	KL	65423965
570082	1940	1997-03-05	PRIJEM	PREVOD Z UCTU	4660	20289	DUCHOD	KL	65423965
570083	1940	1997-04-05	PRIJEM	PREVOD Z UCTU	4660	21898	DUCHOD	KL	65423965
570084	1940	1997-05-05	PRIJEM	PREVOD Z UCTU	4660	21990	DUCHOD	KL	65423965
570085	1940	1997-06-05	PRIJEM	PREVOD Z UCTU	4660	23606	DUCHOD	KL	65423965
570086	1940	1997-07-05	PRIJEM	PREVOD Z UCTU	4660	21627	DUCHOD	KL	65423965
570087	1940	1997-08-05	PRIJEM	PREVOD Z UCTU	4660	19638	DUCHOD	KL	65423965
570088	1940	1997-09-05	PRIJEM	PREVOD Z UCTU	4660	21244	DUCHOD	KL	65423965
570089	1940	1997-10-05	PRIJEM	PREVOD Z UCTU	4660	20610	DUCHOD	KL	65423965
570090	1940	1997-11-05	PRIJEM	PREVOD Z UCTU	4660	22220	DUCHOD	KL	65423965
570091	1940	1997-12-05	PRIJEM	PREVOD Z UCTU	4660	23837	DUCHOD	KL	65423965
570092	1940	1998-01-05	PRIJEM	PREVOD Z UCTU	4660	21917	DUCHOD	KL	65423965
570093	1940	1998-02-05	PRIJEM	PREVOD Z UCTU	4660	17755	DUCHOD	KL	65423965
570094	1940	1998-03-05	PRIJEM	PREVOD Z UCTU	4660	19353	DUCHOD	KL	65423965
570095	1940	1998-04-05	PRIJEM	PREVOD Z UCTU	4660	20958	DUCHOD	KL	65423965
570096	1940	1998-05-05	PRIJEM	PREVOD Z UCTU	4660	22569	DUCHOD	KL	65423965
570097	1940	1998-06-05	PRIJEM	PREVOD Z UCTU	4660	24187	DUCHOD	KL	65423965
570098	1940	1998-07-05	PRIJEM	PREVOD Z UCTU	4660	20204	DUCHOD	KL	65423965
570099	1940	1998-08-05	PRIJEM	PREVOD Z UCTU	4660	21812	DUCHOD	KL	65423965
570100	1940	1998-09-05	PRIJEM	PREVOD Z UCTU	4660	23427	DUCHOD	KL	65423965
570101	1940	1998-10-05	PRIJEM	PREVOD Z UCTU	4660	24407	DUCHOD	KL	65423965
570102	1940	1998-11-05	PRIJEM	PREVOD Z UCTU	4660	24429	DUCHOD	KL	65423965
570103	1940	1998-12-05	PRIJEM	PREVOD Z UCTU	4660	26055	DUCHOD	KL	65423965
570120	1940	1994-05-07	VYDAJ	PREVOD NA UCET	3106	20894	SIPO	GH	89983695
570121	1940	1994-06-07	VYDAJ	PREVOD NA UCET	3106	22504	SIPO	GH	89983695
570122	1940	1994-07-07	VYDAJ	PREVOD NA UCET	3106	16618	SIPO	GH	89983695
570123	1940	1994-08-07	VYDAJ	PREVOD NA UCET	3106	16462	SIPO	GH	89983695
570124	1940	1994-09-07	VYDAJ	PREVOD NA UCET	3106	18068	SIPO	GH	89983695
570125	1940	1994-10-07	VYDAJ	PREVOD NA UCET	3106	19682	SIPO	GH	89983695
570126	1940	1994-11-07	VYDAJ	PREVOD NA UCET	3106	20742	SIPO	GH	89983695
570127	1940	1994-12-07	VYDAJ	PREVOD NA UCET	3106	21164	SIPO	GH	89983695
570128	1940	1995-01-07	VYDAJ	PREVOD NA UCET	3106	19237	SIPO	GH	89983695
570129	1940	1995-02-07	VYDAJ	PREVOD NA UCET	3106	14219	SIPO	GH	89983695
570130	1940	1995-03-07	VYDAJ	PREVOD NA UCET	3106	15816	SIPO	GH	89983695
570131	1940	1995-04-07	VYDAJ	PREVOD NA UCET	3106	16300	SIPO	GH	89983695
570132	1940	1995-05-07	VYDAJ	PREVOD NA UCET	3106	17908	SIPO	GH	89983695
570133	1940	1995-06-07	VYDAJ	PREVOD NA UCET	3106	19520	SIPO	GH	89983695
570134	1940	1995-07-07	VYDAJ	PREVOD NA UCET	3106	17432	SIPO	GH	89983695
570135	1940	1995-08-07	VYDAJ	PREVOD NA UCET	3106	16937	SIPO	GH	89983695
570136	1940	1995-09-07	VYDAJ	PREVOD NA UCET	3106	15539	SIPO	GH	89983695
570137	1940	1995-10-07	VYDAJ	PREVOD NA UCET	3106	14735	SIPO	GH	89983695
570138	1940	1995-11-07	VYDAJ	PREVOD NA UCET	3106	16335	SIPO	GH	89983695
570139	1940	1995-12-07	VYDAJ	PREVOD NA UCET	3106	14432	SIPO	GH	89983695
570140	1940	1996-01-07	VYDAJ	PREVOD NA UCET	3106	13523	SIPO	GH	89983695
570141	1940	1996-02-07	VYDAJ	PREVOD NA UCET	3106	13813	SIPO	GH	89983695
570142	1940	1996-03-07	VYDAJ	PREVOD NA UCET	3106	15409	SIPO	GH	89983695
570143	1940	1996-04-07	VYDAJ	PREVOD NA UCET	3106	14704	SIPO	GH	89983695
570144	1940	1996-05-07	VYDAJ	PREVOD NA UCET	3106	13596	SIPO	GH	89983695
570145	1940	1996-06-07	VYDAJ	PREVOD NA UCET	3106	15190	SIPO	GH	89983695
570146	1940	1996-07-07	VYDAJ	PREVOD NA UCET	3106	13481	SIPO	GH	89983695
570147	1940	1996-08-07	VYDAJ	PREVOD NA UCET	3106	15075	SIPO	GH	89983695
570148	1940	1996-09-07	VYDAJ	PREVOD NA UCET	3106	16676	SIPO	GH	89983695
570149	1940	1996-10-07	VYDAJ	PREVOD NA UCET	3106	14443	SIPO	GH	89983695
570150	1940	1996-11-07	VYDAJ	PREVOD NA UCET	3106	16044	SIPO	GH	89983695
570151	1940	1996-12-07	VYDAJ	PREVOD NA UCET	3106	16848	SIPO	GH	89983695
570152	1940	1997-01-07	VYDAJ	PREVOD NA UCET	3106	17978	SIPO	GH	89983695
570153	1940	1997-02-07	VYDAJ	PREVOD NA UCET	3106	15580	SIPO	GH	89983695
570154	1940	1997-03-07	VYDAJ	PREVOD NA UCET	3106	17183	SIPO	GH	89983695
570155	1940	1997-04-07	VYDAJ	PREVOD NA UCET	3106	18792	SIPO	GH	89983695
570156	1940	1997-05-07	VYDAJ	PREVOD NA UCET	3106	18884	SIPO	GH	89983695
570157	1940	1997-06-07	VYDAJ	PREVOD NA UCET	3106	20500	SIPO	GH	89983695
570158	1940	1997-07-07	VYDAJ	PREVOD NA UCET	3106	18521	SIPO	GH	89983695
570159	1940	1997-08-07	VYDAJ	PREVOD NA UCET	3106	16532	SIPO	GH	89983695
570160	1940	1997-09-07	VYDAJ	PREVOD NA UCET	3106	18138	SIPO	GH	89983695
570161	1940	1997-10-07	VYDAJ	PREVOD NA UCET	3106	17504	SIPO	GH	89983695
570162	1940	1997-11-07	VYDAJ	PREVOD NA UCET	3106	19114	SIPO	GH	89983695
570163	1940	1997-12-07	VYDAJ	PREVOD NA UCET	3106	20091	SIPO	GH	89983695
570164	1940	1998-01-07	VYDAJ	PREVOD NA UCET	3106	13051	SIPO	GH	89983695
570165	1940	1998-02-07	VYDAJ	PREVOD NA UCET	3106	14649	SIPO	GH	89983695
570166	1940	1998-03-07	VYDAJ	PREVOD NA UCET	3106	16247	SIPO	GH	89983695
570167	1940	1998-04-07	VYDAJ	PREVOD NA UCET	3106	17852	SIPO	GH	89983695
570168	1940	1998-05-07	VYDAJ	PREVOD NA UCET	3106	19463	SIPO	GH	89983695
570169	1940	1998-06-07	VYDAJ	PREVOD NA UCET	3106	21081	SIPO	GH	89983695
570170	1940	1998-07-07	VYDAJ	PREVOD NA UCET	3106	17098	SIPO	GH	89983695
570171	1940	1998-08-07	VYDAJ	PREVOD NA UCET	3106	18706	SIPO	GH	89983695
570172	1940	1998-09-07	VYDAJ	PREVOD NA UCET	3106	20321	SIPO	GH	89983695
570173	1940	1998-10-07	VYDAJ	PREVOD NA UCET	3106	21301	SIPO	GH	89983695
570174	1940	1998-11-07	VYDAJ	PREVOD NA UCET	3106	21323	SIPO	GH	89983695
570175	1940	1998-12-07	VYDAJ	PREVOD NA UCET	3106	22949	SIPO	GH	89983695
570177	1940	1994-06-11	VYDAJ	VYBER	4700	17804	\N	\N	\N
570181	1940	1998-06-22	VYDAJ	VYBER	5600	15481	\N	\N	\N
570184	1940	1995-01-11	VYDAJ	VYBER	3500	12617	\N	\N	\N
570189	1940	1994-12-14	VYDAJ	VYBER	1150	20014	\N	\N	\N
570191	1940	1996-12-04	VYDAJ	VYBER	800	15294	\N	\N	\N
570192	1940	1997-12-28	VYDAJ	VYBER	1150	18941	\N	\N	\N
570193	1940	1998-12-28	VYDAJ	VYBER	600	18429	\N	\N	\N
570208	1940	1995-01-01	VYDAJ	VYBER	1920	18163	\N	\N	\N
570211	1940	1995-01-06	VYDAJ	VYBER	480	22343	\N	\N	\N
570221	1940	1997-01-14	VYDAJ	VYBER	1760	13978	\N	\N	\N
570222	1940	1997-01-03	VYDAJ	VYBER	480	16424	\N	\N	\N
570223	1940	1997-01-08	VYDAJ	VYBER	2240	15738	\N	\N	\N
570224	1940	1998-01-06	VYDAJ	VYBER	1440	20477	\N	\N	\N
570225	1940	1998-01-06	VYDAJ	VYBER	2320	18157	\N	\N	\N
570226	1940	1998-01-06	VYDAJ	VYBER	2000	16157	\N	\N	\N
570227	1940	1998-01-04	VYDAJ	VYBER	1760	17257	\N	\N	\N
570237	1940	1994-06-19	VYDAJ	VYBER	2800	15004	\N	\N	\N
570239	1940	1994-10-28	VYDAJ	VYBER	560	19122	\N	\N	\N
570240	1940	1994-07-17	VYDAJ	VYBER	1760	14858	\N	\N	\N
570241	1940	1995-04-02	VYDAJ	VYBER	1120	14746	\N	\N	\N
570242	1940	1995-01-09	VYDAJ	VYBER	3120	16117	\N	\N	\N
570245	1940	1996-10-05	VYDAJ	VYBER	3840	17549	\N	\N	\N
570249	1940	1997-07-23	VYDAJ	VYBER	3600	14921	\N	\N	\N
570250	1940	1997-04-14	VYDAJ	VYBER	1520	17272	\N	\N	\N
570251	1940	1997-06-28	VYDAJ	VYBER	3600	16900	\N	\N	\N
570252	1940	1997-09-10	VYDAJ	VYBER	2240	15898	\N	\N	\N
570253	1940	1997-12-07	VYDAJ	VYBER	640	23197	\N	\N	\N
570254	1940	1998-10-17	VYDAJ	VYBER	400	20901	\N	\N	\N
570255	1940	1998-12-21	VYDAJ	VYBER	3920	19029	\N	\N	\N
570257	1940	1998-09-16	VYDAJ	VYBER	640	19681	\N	\N	\N
570258	1940	1998-10-18	VYDAJ	VYBER	1200	19701	\N	\N	\N
570276	1940	1994-05-31	VYDAJ	VYBER	15	20950	SLUZBY	\N	\N
570277	1940	1994-06-30	VYDAJ	VYBER	15	15064	SLUZBY	\N	\N
570278	1940	1994-07-31	VYDAJ	VYBER	15	14908	SLUZBY	\N	\N
570279	1940	1994-08-31	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
570280	1940	1994-09-30	VYDAJ	VYBER	15	18128	SLUZBY	\N	\N
570281	1940	1994-10-31	VYDAJ	VYBER	15	19188	SLUZBY	\N	\N
570282	1940	1994-11-30	VYDAJ	VYBER	15	19610	SLUZBY	\N	\N
570283	1940	1994-12-31	VYDAJ	VYBER	15	20083	SLUZBY	\N	\N
570284	1940	1995-01-31	VYDAJ	VYBER	15	12665	SLUZBY	\N	\N
570285	1940	1995-02-28	VYDAJ	VYBER	15	14262	SLUZBY	\N	\N
570286	1940	1995-03-31	VYDAJ	VYBER	15	15866	SLUZBY	\N	\N
570287	1940	1995-04-30	VYDAJ	VYBER	15	16354	SLUZBY	\N	\N
570288	1940	1995-05-31	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
570289	1940	1995-06-30	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
570290	1940	1995-07-31	VYDAJ	VYBER	15	15383	SLUZBY	\N	\N
570291	1940	1995-08-31	VYDAJ	VYBER	15	13985	SLUZBY	\N	\N
570292	1940	1995-09-30	VYDAJ	VYBER	15	13181	SLUZBY	\N	\N
570293	1940	1995-10-31	VYDAJ	VYBER	15	14781	SLUZBY	\N	\N
570294	1940	1995-11-30	VYDAJ	VYBER	15	12878	SLUZBY	\N	\N
570295	1940	1995-12-31	VYDAJ	VYBER	15	11969	SLUZBY	\N	\N
570296	1940	1996-01-31	VYDAJ	VYBER	15	12259	SLUZBY	\N	\N
570297	1940	1996-02-29	VYDAJ	VYBER	15	13855	SLUZBY	\N	\N
570298	1940	1996-03-31	VYDAJ	VYBER	15	13150	SLUZBY	\N	\N
570299	1940	1996-04-30	VYDAJ	VYBER	15	12042	SLUZBY	\N	\N
570300	1940	1996-05-31	VYDAJ	VYBER	15	13636	SLUZBY	\N	\N
570301	1940	1996-06-30	VYDAJ	VYBER	15	11927	SLUZBY	\N	\N
570302	1940	1996-07-31	VYDAJ	VYBER	15	13521	SLUZBY	\N	\N
570303	1940	1996-08-31	VYDAJ	VYBER	15	15122	SLUZBY	\N	\N
570304	1940	1996-09-30	VYDAJ	VYBER	15	16729	SLUZBY	\N	\N
570305	1940	1996-10-31	VYDAJ	VYBER	15	14490	SLUZBY	\N	\N
570306	1940	1996-11-30	VYDAJ	VYBER	15	16094	SLUZBY	\N	\N
570307	1940	1996-12-31	VYDAJ	VYBER	15	16904	SLUZBY	\N	\N
570308	1940	1997-01-31	VYDAJ	VYBER	15	14026	SLUZBY	\N	\N
570309	1940	1997-02-28	VYDAJ	VYBER	15	15629	SLUZBY	\N	\N
570310	1940	1997-03-31	VYDAJ	VYBER	15	17238	SLUZBY	\N	\N
570311	1940	1997-04-30	VYDAJ	VYBER	15	17330	SLUZBY	\N	\N
570312	1940	1997-05-31	VYDAJ	VYBER	15	18946	SLUZBY	\N	\N
570313	1940	1997-06-30	VYDAJ	VYBER	15	16967	SLUZBY	\N	\N
570314	1940	1997-07-31	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
570315	1940	1997-08-31	VYDAJ	VYBER	15	16584	SLUZBY	\N	\N
570316	1940	1997-09-30	VYDAJ	VYBER	15	15950	SLUZBY	\N	\N
570317	1940	1997-10-31	VYDAJ	VYBER	15	17560	SLUZBY	\N	\N
570318	1940	1997-11-30	VYDAJ	VYBER	15	19177	SLUZBY	\N	\N
570319	1940	1997-12-31	VYDAJ	VYBER	15	19017	SLUZBY	\N	\N
570320	1940	1998-01-31	VYDAJ	VYBER	15	13095	SLUZBY	\N	\N
570321	1940	1998-02-28	VYDAJ	VYBER	15	14693	SLUZBY	\N	\N
570322	1940	1998-03-31	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
570323	1940	1998-04-30	VYDAJ	VYBER	15	17909	SLUZBY	\N	\N
570324	1940	1998-05-31	VYDAJ	VYBER	15	19527	SLUZBY	\N	\N
570325	1940	1998-06-30	VYDAJ	VYBER	15	15544	SLUZBY	\N	\N
570326	1940	1998-07-31	VYDAJ	VYBER	15	17152	SLUZBY	\N	\N
570327	1940	1998-08-31	VYDAJ	VYBER	15	18767	SLUZBY	\N	\N
570328	1940	1998-09-30	VYDAJ	VYBER	15	19747	SLUZBY	\N	\N
570329	1940	1998-10-31	VYDAJ	VYBER	15	19769	SLUZBY	\N	\N
570330	1940	1998-11-30	VYDAJ	VYBER	15	21395	SLUZBY	\N	\N
570331	1940	1994-11-17	VYDAJ	VYBER	1200	19542	\N	\N	\N
570332	1940	1995-06-15	VYDAJ	VYBER	3700	15820	\N	\N	\N
570333	1940	1995-07-15	VYDAJ	VYBER	2100	15332	\N	\N	\N
570334	1940	1995-08-14	VYDAJ	VYBER	3000	13937	\N	\N	\N
570335	1940	1995-09-13	VYDAJ	VYBER	2400	13139	\N	\N	\N
570336	1940	1995-11-12	VYDAJ	VYBER	3500	12835	\N	\N	\N
570337	1940	1995-12-12	VYDAJ	VYBER	2500	11932	\N	\N	\N
570338	1940	1996-01-11	VYDAJ	VYBER	1300	12223	\N	\N	\N
570339	1940	1996-03-11	VYDAJ	VYBER	2300	13109	\N	\N	\N
570340	1940	1996-04-10	VYDAJ	VYBER	2700	12004	\N	\N	\N
570341	1940	1996-06-09	VYDAJ	VYBER	3300	11890	\N	\N	\N
570398	1941	1993-11-15	PRIJEM	VKLAD	200	200	\N	\N	\N
570410	1941	1993-12-13	PRIJEM	VKLAD	24779	24979	\N	\N	\N
570411	1941	1994-01-13	PRIJEM	VKLAD	16519	39049	\N	\N	\N
570412	1941	1994-02-13	PRIJEM	VKLAD	16519	50088	\N	\N	\N
570413	1941	1994-03-13	PRIJEM	VKLAD	16519	51550	\N	\N	\N
570414	1941	1994-04-13	PRIJEM	VKLAD	16519	56826	\N	\N	\N
570415	1941	1994-05-13	PRIJEM	VKLAD	16519	58302	\N	\N	\N
570416	1941	1994-06-13	PRIJEM	VKLAD	24779	67943	\N	\N	\N
570417	1941	1994-07-13	PRIJEM	VKLAD	16519	56551	\N	\N	\N
570418	1941	1994-08-13	PRIJEM	VKLAD	16519	44761	\N	\N	\N
570419	1941	1994-09-13	PRIJEM	VKLAD	16519	48629	\N	\N	\N
570420	1941	1994-10-13	PRIJEM	VKLAD	16519	52524	\N	\N	\N
570421	1941	1994-11-13	PRIJEM	VKLAD	16519	49942	\N	\N	\N
570422	1941	1994-12-13	PRIJEM	VKLAD	24779	58418	\N	\N	\N
570423	1941	1995-01-13	PRIJEM	VKLAD	16519	53253	\N	\N	\N
570424	1941	1995-02-13	PRIJEM	VKLAD	16519	51428	\N	\N	\N
570425	1941	1995-03-13	PRIJEM	VKLAD	16519	48976	\N	\N	\N
570426	1941	1995-04-13	PRIJEM	VKLAD	16519	47561	\N	\N	\N
570427	1941	1995-05-13	PRIJEM	VKLAD	16519	49085	\N	\N	\N
570428	1941	1995-06-13	PRIJEM	VKLAD	24779	55143	\N	\N	\N
570429	1941	1995-07-13	PRIJEM	VKLAD	16519	51067	\N	\N	\N
570430	1941	1995-08-13	PRIJEM	VKLAD	16519	49491	\N	\N	\N
570431	1941	1995-09-13	PRIJEM	VKLAD	16519	48504	\N	\N	\N
570432	1941	1995-10-13	PRIJEM	VKLAD	16519	48612	\N	\N	\N
570433	1941	1995-11-13	PRIJEM	VKLAD	16519	45118	\N	\N	\N
570434	1941	1995-12-13	PRIJEM	VKLAD	24779	53376	\N	\N	\N
570435	1941	1996-01-13	PRIJEM	VKLAD	16519	43829	\N	\N	\N
570436	1941	1996-02-13	PRIJEM	VKLAD	16519	45617	\N	\N	\N
570437	1941	1996-03-13	PRIJEM	VKLAD	16519	42488	\N	\N	\N
570438	1941	1996-04-13	PRIJEM	VKLAD	16519	38770	\N	\N	\N
570439	1941	1996-05-13	PRIJEM	VKLAD	16519	37933	\N	\N	\N
570440	1941	1996-06-13	PRIJEM	VKLAD	24779	47655	\N	\N	\N
570441	1941	1996-07-13	PRIJEM	VKLAD	16519	39510	\N	\N	\N
570442	1941	1996-08-13	PRIJEM	VKLAD	16519	35011	\N	\N	\N
570443	1941	1996-09-13	PRIJEM	VKLAD	16519	34006	\N	\N	\N
570444	1941	1996-10-13	PRIJEM	VKLAD	16519	47139	\N	\N	\N
570445	1941	1996-11-13	PRIJEM	VKLAD	16519	38067	\N	\N	\N
570446	1941	1996-12-13	PRIJEM	VKLAD	24779	56960	\N	\N	\N
570447	1941	1997-01-13	PRIJEM	VKLAD	16519	42250	\N	\N	\N
570448	1941	1997-02-13	PRIJEM	VKLAD	16519	58862	\N	\N	\N
570449	1941	1997-03-13	PRIJEM	VKLAD	16519	40935	\N	\N	\N
570450	1941	1997-04-13	PRIJEM	VKLAD	16519	32736	\N	\N	\N
570451	1941	1997-05-13	PRIJEM	VKLAD	16519	49308	\N	\N	\N
570452	1941	1997-06-13	PRIJEM	VKLAD	24779	43099	\N	\N	\N
570453	1941	1997-07-13	PRIJEM	VKLAD	16519	59680	\N	\N	\N
570454	1941	1997-08-13	PRIJEM	VKLAD	16519	35146	\N	\N	\N
570455	1941	1997-09-13	PRIJEM	VKLAD	16519	51727	\N	\N	\N
570456	1941	1997-10-13	PRIJEM	VKLAD	16519	32460	\N	\N	\N
570457	1941	1997-11-13	PRIJEM	VKLAD	16519	45694	\N	\N	\N
570458	1941	1997-12-13	PRIJEM	VKLAD	24779	68099	\N	\N	\N
570459	1941	1998-01-13	PRIJEM	VKLAD	16519	38360	\N	\N	\N
570460	1941	1998-02-13	PRIJEM	VKLAD	16519	54997	\N	\N	\N
570461	1941	1998-03-13	PRIJEM	VKLAD	16519	33336	\N	\N	\N
570462	1941	1998-04-13	PRIJEM	VKLAD	16519	49909	\N	\N	\N
570463	1941	1998-05-13	PRIJEM	VKLAD	16519	63551	\N	\N	\N
570464	1941	1998-06-13	PRIJEM	VKLAD	24779	44401	\N	\N	\N
570465	1941	1998-07-13	PRIJEM	VKLAD	16519	56947	\N	\N	\N
570466	1941	1998-08-13	PRIJEM	VKLAD	16519	35186	\N	\N	\N
570467	1941	1998-09-13	PRIJEM	VKLAD	16519	51766	\N	\N	\N
570468	1941	1998-10-13	PRIJEM	VKLAD	16519	63498	\N	\N	\N
570469	1941	1998-11-13	PRIJEM	VKLAD	16519	69896	\N	\N	\N
570470	1941	1998-12-13	PRIJEM	VKLAD	24779	45044	\N	\N	\N
570472	1941	1994-06-16	VYDAJ	VYBER	6080	39863	\N	\N	\N
570474	1941	1996-06-22	VYDAJ	VYBER	24800	22855	\N	\N	\N
570480	1941	1994-08-27	VYDAJ	VYBER	3600	41161	\N	\N	\N
570481	1941	1994-07-24	VYDAJ	VYBER	2520	32191	\N	\N	\N
570483	1941	1994-07-18	VYDAJ	VYBER	5040	34711	\N	\N	\N
570485	1941	1995-05-08	VYDAJ	VYBER	2880	44866	\N	\N	\N
570486	1941	1995-03-07	VYDAJ	VYBER	4560	47057	\N	\N	\N
570487	1941	1995-02-03	VYDAJ	VYBER	5160	48309	\N	\N	\N
570488	1941	1995-03-27	VYDAJ	VYBER	720	48256	\N	\N	\N
570489	1941	1996-09-01	VYDAJ	VYBER	1560	17487	\N	\N	\N
570490	1941	1996-03-04	VYDAJ	VYBER	720	25969	\N	\N	\N
570491	1941	1996-01-09	VYDAJ	VYBER	2760	27310	\N	\N	\N
570492	1941	1996-11-13	VYDAJ	VYBER	4200	33867	\N	\N	\N
570493	1941	1996-09-17	VYDAJ	VYBER	3480	30526	\N	\N	\N
570494	1941	1996-12-08	VYDAJ	VYBER	1800	32181	\N	\N	\N
570495	1941	1996-04-10	VYDAJ	VYBER	2280	22251	\N	\N	\N
570496	1941	1997-11-07	VYDAJ	VYBER	1800	29175	\N	\N	\N
570497	1941	1997-10-19	VYDAJ	VYBER	1560	30900	\N	\N	\N
570498	1941	1997-11-27	VYDAJ	VYBER	2520	43174	\N	\N	\N
570499	1941	1998-01-11	VYDAJ	VYBER	1800	21841	\N	\N	\N
570500	1941	1998-05-08	VYDAJ	VYBER	3000	47032	\N	\N	\N
570501	1941	1998-11-12	VYDAJ	VYBER	4800	53377	\N	\N	\N
570502	1941	1998-10-17	VYDAJ	VYBER	5520	57978	\N	\N	\N
570503	1941	1998-09-28	VYDAJ	VYBER	4920	46846	\N	\N	\N
570504	1941	1998-06-16	VYDAJ	VYBER	4080	40321	\N	\N	\N
570521	1941	1994-04-30	VYDAJ	VYBER	15	41783	SLUZBY	\N	\N
570522	1941	1994-05-31	VYDAJ	VYBER	15	43164	SLUZBY	\N	\N
570523	1941	1994-06-30	VYDAJ	VYBER	15	40032	SLUZBY	\N	\N
570524	1941	1994-07-31	VYDAJ	VYBER	15	32342	SLUZBY	\N	\N
570525	1941	1994-08-31	VYDAJ	VYBER	15	41310	SLUZBY	\N	\N
570526	1941	1994-09-30	VYDAJ	VYBER	15	48805	SLUZBY	\N	\N
570527	1941	1994-10-31	VYDAJ	VYBER	15	52723	SLUZBY	\N	\N
570528	1941	1994-11-30	VYDAJ	VYBER	15	50140	SLUZBY	\N	\N
570529	1941	1994-12-31	VYDAJ	VYBER	15	58634	SLUZBY	\N	\N
570530	1941	1995-01-31	VYDAJ	VYBER	15	53469	SLUZBY	\N	\N
570531	1941	1995-02-28	VYDAJ	VYBER	15	51617	SLUZBY	\N	\N
570532	1941	1995-03-31	VYDAJ	VYBER	15	48442	SLUZBY	\N	\N
570533	1941	1995-04-30	VYDAJ	VYBER	15	47746	SLUZBY	\N	\N
570534	1941	1995-05-31	VYDAJ	VYBER	15	49264	SLUZBY	\N	\N
570535	1941	1995-06-30	VYDAJ	VYBER	15	55348	SLUZBY	\N	\N
570536	1941	1995-07-31	VYDAJ	VYBER	15	51272	SLUZBY	\N	\N
570537	1941	1995-08-31	VYDAJ	VYBER	15	49685	SLUZBY	\N	\N
570538	1941	1995-09-30	VYDAJ	VYBER	15	48693	SLUZBY	\N	\N
570539	1941	1995-10-31	VYDAJ	VYBER	15	48799	SLUZBY	\N	\N
570540	1941	1995-11-30	VYDAJ	VYBER	15	45297	SLUZBY	\N	\N
570541	1941	1995-12-31	VYDAJ	VYBER	15	53570	SLUZBY	\N	\N
570542	1941	1996-01-31	VYDAJ	VYBER	15	43998	SLUZBY	\N	\N
570543	1941	1996-02-29	VYDAJ	VYBER	15	45789	SLUZBY	\N	\N
570544	1941	1996-03-31	VYDAJ	VYBER	15	42631	SLUZBY	\N	\N
570545	1941	1996-04-30	VYDAJ	VYBER	15	38914	SLUZBY	\N	\N
570546	1941	1996-05-31	VYDAJ	VYBER	15	38077	SLUZBY	\N	\N
570547	1941	1996-06-30	VYDAJ	VYBER	15	22991	SLUZBY	\N	\N
570548	1941	1996-07-31	VYDAJ	VYBER	15	39592	SLUZBY	\N	\N
570549	1941	1996-08-31	VYDAJ	VYBER	15	19047	SLUZBY	\N	\N
570550	1941	1996-09-30	VYDAJ	VYBER	15	30620	SLUZBY	\N	\N
570551	1941	1996-10-31	VYDAJ	VYBER	15	21548	SLUZBY	\N	\N
570552	1941	1996-11-30	VYDAJ	VYBER	15	33981	SLUZBY	\N	\N
570553	1941	1996-12-31	VYDAJ	VYBER	15	25731	SLUZBY	\N	\N
570554	1941	1997-01-31	VYDAJ	VYBER	15	42343	SLUZBY	\N	\N
570555	1941	1997-02-28	VYDAJ	VYBER	15	24416	SLUZBY	\N	\N
570556	1941	1997-03-31	VYDAJ	VYBER	15	16217	SLUZBY	\N	\N
570557	1941	1997-04-30	VYDAJ	VYBER	15	32789	SLUZBY	\N	\N
570558	1941	1997-05-31	VYDAJ	VYBER	15	18320	SLUZBY	\N	\N
570559	1941	1997-06-30	VYDAJ	VYBER	15	43161	SLUZBY	\N	\N
570560	1941	1997-07-31	VYDAJ	VYBER	15	18627	SLUZBY	\N	\N
570561	1941	1997-08-31	VYDAJ	VYBER	15	35208	SLUZBY	\N	\N
570562	1941	1997-09-30	VYDAJ	VYBER	15	15941	SLUZBY	\N	\N
570563	1941	1997-10-31	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
570564	1941	1997-11-30	VYDAJ	VYBER	15	43321	SLUZBY	\N	\N
570565	1941	1997-12-31	VYDAJ	VYBER	15	23641	SLUZBY	\N	\N
570566	1941	1998-01-31	VYDAJ	VYBER	15	38478	SLUZBY	\N	\N
570567	1941	1998-02-28	VYDAJ	VYBER	15	16817	SLUZBY	\N	\N
570568	1941	1998-03-31	VYDAJ	VYBER	15	33390	SLUZBY	\N	\N
570569	1941	1998-04-30	VYDAJ	VYBER	15	50032	SLUZBY	\N	\N
570570	1941	1998-05-31	VYDAJ	VYBER	15	19623	SLUZBY	\N	\N
570571	1941	1998-06-30	VYDAJ	VYBER	15	40428	SLUZBY	\N	\N
570572	1941	1998-07-31	VYDAJ	VYBER	15	18667	SLUZBY	\N	\N
570573	1941	1998-08-31	VYDAJ	VYBER	15	35247	SLUZBY	\N	\N
570574	1941	1998-09-30	VYDAJ	VYBER	15	46979	SLUZBY	\N	\N
570575	1941	1998-10-31	VYDAJ	VYBER	15	58177	SLUZBY	\N	\N
570576	1941	1998-11-30	VYDAJ	VYBER	15	20266	SLUZBY	\N	\N
570577	1941	1993-12-15	VYDAJ	VYBER	2500	22479	\N	\N	\N
570578	1941	1994-01-14	VYDAJ	VYBER	5600	33449	\N	\N	\N
570579	1941	1994-02-13	VYDAJ	VYBER	15200	34888	\N	\N	\N
570580	1941	1994-03-15	VYDAJ	VYBER	11400	40150	\N	\N	\N
570581	1941	1994-04-14	VYDAJ	VYBER	15200	41626	\N	\N	\N
570582	1941	1994-05-14	VYDAJ	VYBER	15300	43002	\N	\N	\N
570583	1941	1994-06-13	VYDAJ	VYBER	22000	45943	\N	\N	\N
570584	1941	1994-07-13	VYDAJ	VYBER	16800	39751	\N	\N	\N
570585	1941	1994-08-12	VYDAJ	VYBER	4100	28242	\N	\N	\N
570586	1941	1994-09-11	VYDAJ	VYBER	9200	32110	\N	\N	\N
570587	1941	1994-10-11	VYDAJ	VYBER	12800	36005	\N	\N	\N
570588	1941	1994-11-10	VYDAJ	VYBER	19300	33423	\N	\N	\N
570589	1941	1994-12-10	VYDAJ	VYBER	16500	33640	\N	\N	\N
570590	1941	1995-01-09	VYDAJ	VYBER	21900	36734	\N	\N	\N
570591	1941	1995-02-08	VYDAJ	VYBER	13400	34909	\N	\N	\N
570592	1941	1995-03-10	VYDAJ	VYBER	14600	32457	\N	\N	\N
570593	1941	1995-04-09	VYDAJ	VYBER	17400	31042	\N	\N	\N
570594	1941	1995-05-09	VYDAJ	VYBER	12300	32566	\N	\N	\N
570595	1941	1995-06-08	VYDAJ	VYBER	18900	30364	\N	\N	\N
570596	1941	1995-07-08	VYDAJ	VYBER	20800	34548	\N	\N	\N
570597	1941	1995-08-07	VYDAJ	VYBER	18300	32972	\N	\N	\N
570598	1941	1995-09-06	VYDAJ	VYBER	17700	31985	\N	\N	\N
570599	1941	1995-10-06	VYDAJ	VYBER	16600	32093	\N	\N	\N
570600	1941	1995-11-05	VYDAJ	VYBER	20200	28599	\N	\N	\N
570601	1941	1995-12-05	VYDAJ	VYBER	16700	28597	\N	\N	\N
570602	1941	1996-01-04	VYDAJ	VYBER	23500	30070	\N	\N	\N
570603	1941	1996-02-03	VYDAJ	VYBER	14900	29098	\N	\N	\N
570604	1941	1996-03-04	VYDAJ	VYBER	19100	26689	\N	\N	\N
570605	1941	1996-04-03	VYDAJ	VYBER	18100	24531	\N	\N	\N
570606	1941	1996-05-03	VYDAJ	VYBER	17500	21414	\N	\N	\N
570607	1941	1996-06-02	VYDAJ	VYBER	15200	22877	\N	\N	\N
570608	1941	1996-08-01	VYDAJ	VYBER	21100	18492	\N	\N	\N
570609	1941	1996-08-31	VYDAJ	VYBER	16100	19061	\N	\N	\N
570610	1941	1996-10-30	VYDAJ	VYBER	25700	21439	\N	\N	\N
570611	1941	1996-12-29	VYDAJ	VYBER	31400	25560	\N	\N	\N
570612	1941	1997-02-27	VYDAJ	VYBER	34600	24262	\N	\N	\N
570613	1941	1997-03-29	VYDAJ	VYBER	24800	16135	\N	\N	\N
570614	1941	1997-05-28	VYDAJ	VYBER	31100	18208	\N	\N	\N
570615	1941	1997-07-27	VYDAJ	VYBER	41200	18480	\N	\N	\N
570616	1941	1997-09-25	VYDAJ	VYBER	35900	15827	\N	\N	\N
570617	1941	1997-12-24	VYDAJ	VYBER	44600	23499	\N	\N	\N
570618	1941	1998-02-22	VYDAJ	VYBER	38300	16697	\N	\N	\N
570619	1941	1998-05-23	VYDAJ	VYBER	44100	19451	\N	\N	\N
570620	1941	1998-07-22	VYDAJ	VYBER	38400	18547	\N	\N	\N
570621	1941	1998-11-19	VYDAJ	VYBER	49800	20096	\N	\N	\N
570954	1943	1996-11-26	PRIJEM	VKLAD	300	300	\N	\N	\N
570966	1943	1996-12-05	PRIJEM	VKLAD	25032	25332	\N	\N	\N
570967	1943	1997-01-05	PRIJEM	VKLAD	16688	42020	\N	\N	\N
570968	1943	1997-02-05	PRIJEM	VKLAD	16688	56045	\N	\N	\N
570969	1943	1997-03-05	PRIJEM	VKLAD	16688	61601	\N	\N	\N
570970	1943	1997-04-05	PRIJEM	VKLAD	16688	65979	\N	\N	\N
570971	1943	1997-05-05	PRIJEM	VKLAD	16688	57137	\N	\N	\N
570972	1943	1997-06-05	PRIJEM	VKLAD	25032	65887	\N	\N	\N
570973	1943	1997-07-05	PRIJEM	VKLAD	16688	58215	\N	\N	\N
570974	1943	1997-08-05	PRIJEM	VKLAD	16688	54561	\N	\N	\N
570975	1943	1997-09-05	PRIJEM	VKLAD	16688	47049	\N	\N	\N
570976	1943	1997-10-05	PRIJEM	VKLAD	16688	51322	\N	\N	\N
570977	1943	1997-11-05	PRIJEM	VKLAD	16688	57810	\N	\N	\N
570978	1943	1997-12-05	PRIJEM	VKLAD	25032	62315	\N	\N	\N
570979	1943	1998-01-05	PRIJEM	VKLAD	16688	47861	\N	\N	\N
570980	1943	1998-02-05	PRIJEM	VKLAD	16688	47826	\N	\N	\N
570981	1943	1998-03-05	PRIJEM	VKLAD	16688	49921	\N	\N	\N
570982	1943	1998-04-05	PRIJEM	VKLAD	16688	51796	\N	\N	\N
570983	1943	1998-05-05	PRIJEM	VKLAD	16688	51153	\N	\N	\N
570984	1943	1998-06-05	PRIJEM	VKLAD	25032	62177	\N	\N	\N
570985	1943	1998-07-05	PRIJEM	VKLAD	16688	64696	\N	\N	\N
570986	1943	1998-08-05	PRIJEM	VKLAD	16688	67632	\N	\N	\N
570987	1943	1998-09-05	PRIJEM	VKLAD	16688	69979	\N	\N	\N
570988	1943	1998-10-05	PRIJEM	VKLAD	16688	69730	\N	\N	\N
570989	1943	1998-11-05	PRIJEM	VKLAD	16688	64770	\N	\N	\N
570990	1943	1998-12-05	PRIJEM	VKLAD	25032	71840	\N	\N	\N
571006	1943	1997-04-11	VYDAJ	PREVOD NA UCET	3060	58034	SIPO	EF	34419673
571007	1943	1997-05-11	VYDAJ	PREVOD NA UCET	3060	49192	SIPO	EF	34419673
571008	1943	1997-06-11	VYDAJ	PREVOD NA UCET	3060	57942	SIPO	EF	34419673
571009	1943	1997-07-11	VYDAJ	PREVOD NA UCET	3060	50270	SIPO	EF	34419673
571010	1943	1997-08-11	VYDAJ	PREVOD NA UCET	3060	46616	SIPO	EF	34419673
571011	1943	1997-09-11	VYDAJ	PREVOD NA UCET	3060	39104	SIPO	EF	34419673
571012	1943	1997-10-11	VYDAJ	PREVOD NA UCET	3060	43377	SIPO	EF	34419673
571013	1943	1997-11-11	VYDAJ	PREVOD NA UCET	3060	49865	SIPO	EF	34419673
571014	1943	1997-12-11	VYDAJ	PREVOD NA UCET	3060	54370	SIPO	EF	34419673
571015	1943	1998-01-11	VYDAJ	PREVOD NA UCET	3060	36916	SIPO	EF	34419673
571016	1943	1998-02-11	VYDAJ	PREVOD NA UCET	3060	30921	SIPO	EF	34419673
571017	1943	1998-03-11	VYDAJ	PREVOD NA UCET	3060	41976	SIPO	EF	34419673
571018	1943	1998-04-11	VYDAJ	PREVOD NA UCET	3060	43851	SIPO	EF	34419673
571019	1943	1998-05-11	VYDAJ	PREVOD NA UCET	3060	43208	SIPO	EF	34419673
571020	1943	1998-06-11	VYDAJ	PREVOD NA UCET	3060	54232	SIPO	EF	34419673
571021	1943	1998-07-11	VYDAJ	PREVOD NA UCET	3060	56751	SIPO	EF	34419673
571022	1943	1998-08-11	VYDAJ	PREVOD NA UCET	3060	59687	SIPO	EF	34419673
571023	1943	1998-09-11	VYDAJ	PREVOD NA UCET	3060	62034	SIPO	EF	34419673
571024	1943	1998-10-11	VYDAJ	PREVOD NA UCET	3060	61785	SIPO	EF	34419673
571025	1943	1998-11-11	VYDAJ	PREVOD NA UCET	3060	56825	SIPO	EF	34419673
571026	1943	1998-12-11	VYDAJ	PREVOD NA UCET	3060	63895	SIPO	EF	34419673
571042	1943	1997-04-14	VYDAJ	PREVOD NA UCET	1412	56622	 	KL	17804307
571043	1943	1997-05-14	VYDAJ	PREVOD NA UCET	1412	47780	 	KL	17804307
571044	1943	1997-06-14	VYDAJ	PREVOD NA UCET	1412	56530	 	KL	17804307
571045	1943	1997-07-14	VYDAJ	PREVOD NA UCET	1412	48858	 	KL	17804307
571046	1943	1997-08-14	VYDAJ	PREVOD NA UCET	1412	45204	 	KL	17804307
571047	1943	1997-09-14	VYDAJ	PREVOD NA UCET	1412	37692	 	KL	17804307
571048	1943	1997-10-14	VYDAJ	PREVOD NA UCET	1412	41965	 	KL	17804307
571049	1943	1997-11-14	VYDAJ	PREVOD NA UCET	1412	48453	 	KL	17804307
571050	1943	1997-12-14	VYDAJ	PREVOD NA UCET	1412	52958	 	KL	17804307
571051	1943	1998-01-14	VYDAJ	PREVOD NA UCET	1412	35504	 	KL	17804307
571052	1943	1998-02-14	VYDAJ	PREVOD NA UCET	1412	28709	 	KL	17804307
571053	1943	1998-03-14	VYDAJ	PREVOD NA UCET	1412	40564	 	KL	17804307
571054	1943	1998-04-14	VYDAJ	PREVOD NA UCET	1412	42439	 	KL	17804307
571055	1943	1998-05-14	VYDAJ	PREVOD NA UCET	1412	41796	 	KL	17804307
571056	1943	1998-06-14	VYDAJ	PREVOD NA UCET	1412	52820	 	KL	17804307
571057	1943	1998-07-14	VYDAJ	PREVOD NA UCET	1412	55339	 	KL	17804307
571058	1943	1998-08-14	VYDAJ	PREVOD NA UCET	1412	58275	 	KL	17804307
571059	1943	1998-09-14	VYDAJ	PREVOD NA UCET	1412	60622	 	KL	17804307
571060	1943	1998-10-14	VYDAJ	PREVOD NA UCET	1412	60373	 	KL	17804307
571061	1943	1998-11-14	VYDAJ	PREVOD NA UCET	1412	55413	 	KL	17804307
571062	1943	1998-12-14	VYDAJ	PREVOD NA UCET	1412	58283	 	KL	17804307
571078	1943	1997-04-09	VYDAJ	PREVOD NA UCET	2704	61094	POJISTNE	MN	56432241
571079	1943	1997-05-09	VYDAJ	PREVOD NA UCET	2704	52252	POJISTNE	MN	56432241
571080	1943	1997-06-09	VYDAJ	PREVOD NA UCET	2704	61002	POJISTNE	MN	56432241
571081	1943	1997-07-09	VYDAJ	PREVOD NA UCET	2704	53330	POJISTNE	MN	56432241
571082	1943	1997-08-09	VYDAJ	PREVOD NA UCET	2704	49676	POJISTNE	MN	56432241
571083	1943	1997-09-09	VYDAJ	PREVOD NA UCET	2704	42164	POJISTNE	MN	56432241
571084	1943	1997-10-09	VYDAJ	PREVOD NA UCET	2704	46437	POJISTNE	MN	56432241
571085	1943	1997-11-09	VYDAJ	PREVOD NA UCET	2704	52925	POJISTNE	MN	56432241
571086	1943	1997-12-09	VYDAJ	PREVOD NA UCET	2704	57430	POJISTNE	MN	56432241
571087	1943	1998-01-09	VYDAJ	PREVOD NA UCET	2704	42976	POJISTNE	MN	56432241
571088	1943	1998-02-09	VYDAJ	PREVOD NA UCET	2704	42941	POJISTNE	MN	56432241
571089	1943	1998-03-09	VYDAJ	PREVOD NA UCET	2704	45036	POJISTNE	MN	56432241
571090	1943	1998-04-09	VYDAJ	PREVOD NA UCET	2704	46911	POJISTNE	MN	56432241
571091	1943	1998-05-09	VYDAJ	PREVOD NA UCET	2704	46268	POJISTNE	MN	56432241
571092	1943	1998-06-09	VYDAJ	PREVOD NA UCET	2704	57292	POJISTNE	MN	56432241
571093	1943	1998-07-09	VYDAJ	PREVOD NA UCET	2704	59811	POJISTNE	MN	56432241
571094	1943	1998-08-09	VYDAJ	PREVOD NA UCET	2704	62747	POJISTNE	MN	56432241
571095	1943	1998-09-09	VYDAJ	PREVOD NA UCET	2704	65094	POJISTNE	MN	56432241
571096	1943	1998-10-09	VYDAJ	PREVOD NA UCET	2704	64845	POJISTNE	MN	56432241
571097	1943	1998-11-09	VYDAJ	PREVOD NA UCET	2704	59885	POJISTNE	MN	56432241
571098	1943	1998-12-09	VYDAJ	PREVOD NA UCET	2704	66955	POJISTNE	MN	56432241
571114	1943	1997-04-07	VYDAJ	PREVOD NA UCET	2181	63798	 	UV	87436866
571115	1943	1997-05-07	VYDAJ	PREVOD NA UCET	2181	54956	 	UV	87436866
571116	1943	1997-06-07	VYDAJ	PREVOD NA UCET	2181	63706	 	UV	87436866
571117	1943	1997-07-07	VYDAJ	PREVOD NA UCET	2181	56034	 	UV	87436866
571118	1943	1997-08-07	VYDAJ	PREVOD NA UCET	2181	52380	 	UV	87436866
571119	1943	1997-09-07	VYDAJ	PREVOD NA UCET	2181	44868	 	UV	87436866
571120	1943	1997-10-07	VYDAJ	PREVOD NA UCET	2181	49141	 	UV	87436866
571121	1943	1997-11-07	VYDAJ	PREVOD NA UCET	2181	55629	 	UV	87436866
571122	1943	1997-12-07	VYDAJ	PREVOD NA UCET	2181	60134	 	UV	87436866
571123	1943	1998-01-07	VYDAJ	PREVOD NA UCET	2181	45680	 	UV	87436866
571124	1943	1998-02-07	VYDAJ	PREVOD NA UCET	2181	45645	 	UV	87436866
571125	1943	1998-03-07	VYDAJ	PREVOD NA UCET	2181	47740	 	UV	87436866
571126	1943	1998-04-07	VYDAJ	PREVOD NA UCET	2181	49615	 	UV	87436866
571127	1943	1998-05-07	VYDAJ	PREVOD NA UCET	2181	48972	 	UV	87436866
571128	1943	1998-06-07	VYDAJ	PREVOD NA UCET	2181	59996	 	UV	87436866
571129	1943	1998-07-07	VYDAJ	PREVOD NA UCET	2181	62515	 	UV	87436866
571130	1943	1998-08-07	VYDAJ	PREVOD NA UCET	2181	65451	 	UV	87436866
571131	1943	1998-09-07	VYDAJ	PREVOD NA UCET	2181	67798	 	UV	87436866
571132	1943	1998-10-07	VYDAJ	PREVOD NA UCET	2181	67549	 	UV	87436866
571133	1943	1998-11-07	VYDAJ	PREVOD NA UCET	2181	62589	 	UV	87436866
571134	1943	1998-12-07	VYDAJ	PREVOD NA UCET	2181	69659	 	UV	87436866
571136	1943	1997-12-25	VYDAJ	VYBER	2720	37238	\N	\N	\N
571137	1943	1998-12-21	VYDAJ	VYBER KARTOU	1100	45083	\N	\N	0
571150	1943	1998-01-19	VYDAJ	VYBER KARTOU	3500	29904	\N	\N	0
571151	1943	1998-01-10	VYDAJ	VYBER	3000	39976	\N	\N	\N
571152	1943	1998-01-14	VYDAJ	VYBER KARTOU	1100	34404	\N	\N	0
571153	1943	1998-01-26	VYDAJ	VYBER KARTOU	1700	31004	\N	\N	0
571154	1943	1998-01-04	VYDAJ	VYBER	1560	31173	\N	\N	\N
571155	1943	1998-01-17	VYDAJ	VYBER KARTOU	1000	33404	\N	\N	0
571162	1943	1997-07-14	VYDAJ	VYBER	1560	47298	\N	\N	\N
571163	1943	1997-04-29	VYDAJ	VYBER	2880	40242	\N	\N	\N
571164	1943	1997-09-02	VYDAJ	VYBER	3000	30361	\N	\N	\N
571165	1943	1997-11-22	VYDAJ	VYBER	5040	37113	\N	\N	\N
571166	1943	1998-04-18	VYDAJ	VYBER	4320	38119	\N	\N	\N
571167	1943	1998-01-03	VYDAJ	VYBER	4680	32733	\N	\N	\N
571168	1943	1998-02-11	VYDAJ	VYBER	5160	33981	\N	\N	\N
571169	1943	1998-02-10	VYDAJ	VYBER KARTOU	3800	39141	\N	\N	0
571170	1943	1998-12-12	VYDAJ	VYBER	4200	59695	\N	\N	\N
571171	1943	1998-02-12	VYDAJ	VYBER KARTOU	800	30121	\N	\N	0
571188	1943	1997-04-30	VYDAJ	VYBER	15	40449	SLUZBY	\N	\N
571189	1943	1997-05-31	VYDAJ	VYBER	15	40855	SLUZBY	\N	\N
571190	1943	1997-06-30	VYDAJ	VYBER	15	41527	SLUZBY	\N	\N
571191	1943	1997-07-31	VYDAJ	VYBER	15	37873	SLUZBY	\N	\N
571192	1943	1997-08-31	VYDAJ	VYBER	15	33361	SLUZBY	\N	\N
571193	1943	1997-09-30	VYDAJ	VYBER	15	34634	SLUZBY	\N	\N
571194	1943	1997-10-31	VYDAJ	VYBER	15	41122	SLUZBY	\N	\N
571195	1943	1997-11-30	VYDAJ	VYBER	15	37283	SLUZBY	\N	\N
571196	1943	1997-12-31	VYDAJ	VYBER	15	37413	SLUZBY	\N	\N
571197	1943	1998-01-31	VYDAJ	VYBER	15	31138	SLUZBY	\N	\N
571198	1943	1998-02-28	VYDAJ	VYBER	15	33233	SLUZBY	\N	\N
571199	1943	1998-03-31	VYDAJ	VYBER	15	35108	SLUZBY	\N	\N
571200	1943	1998-04-30	VYDAJ	VYBER	15	34465	SLUZBY	\N	\N
571201	1943	1998-05-31	VYDAJ	VYBER	15	37145	SLUZBY	\N	\N
571202	1943	1998-06-30	VYDAJ	VYBER	15	48008	SLUZBY	\N	\N
571203	1943	1998-07-31	VYDAJ	VYBER	15	50944	SLUZBY	\N	\N
571204	1943	1998-08-31	VYDAJ	VYBER	15	53291	SLUZBY	\N	\N
571205	1943	1998-09-30	VYDAJ	VYBER	15	53042	SLUZBY	\N	\N
571206	1943	1998-10-31	VYDAJ	VYBER	15	48082	SLUZBY	\N	\N
571207	1943	1998-11-30	VYDAJ	VYBER	15	46808	SLUZBY	\N	\N
571208	1943	1997-01-25	VYDAJ	VYBER	2700	39320	\N	\N	\N
571209	1943	1997-02-24	VYDAJ	VYBER	11300	44745	\N	\N	\N
571210	1943	1997-03-26	VYDAJ	VYBER	12500	49101	\N	\N	\N
571211	1943	1997-04-25	VYDAJ	VYBER	13500	43122	\N	\N	\N
571212	1943	1997-05-25	VYDAJ	VYBER	7100	40680	\N	\N	\N
571213	1943	1997-06-24	VYDAJ	VYBER	15200	41330	\N	\N	\N
571214	1943	1997-07-24	VYDAJ	VYBER	9600	37698	\N	\N	\N
571215	1943	1997-08-23	VYDAJ	VYBER	12000	33204	\N	\N	\N
571216	1943	1997-09-22	VYDAJ	VYBER	3200	34492	\N	\N	\N
571217	1943	1997-10-22	VYDAJ	VYBER	1000	40965	\N	\N	\N
571218	1943	1997-11-21	VYDAJ	VYBER	6300	42153	\N	\N	\N
571219	1943	1997-12-21	VYDAJ	VYBER	13000	39958	\N	\N	\N
571220	1943	1998-01-20	PRIJEM	VKLAD	2800	32704	\N	\N	\N
571221	1943	1998-02-19	PRIJEM	VKLAD	4400	33109	\N	\N	\N
571222	1943	1998-03-21	VYDAJ	VYBER	5600	34964	\N	\N	\N
571223	1943	1998-04-20	VYDAJ	VYBER KARTOU	3800	34319	\N	\N	0
571224	1943	1998-05-20	VYDAJ	VYBER	4800	36996	\N	\N	\N
571225	1943	1998-06-19	VYDAJ	VYBER	5000	47820	\N	\N	\N
571226	1943	1998-07-19	VYDAJ	VYBER	4600	50739	\N	\N	\N
571227	1943	1998-08-18	VYDAJ	VYBER	5200	53075	\N	\N	\N
571228	1943	1998-09-17	VYDAJ	VYBER	7800	52822	\N	\N	\N
571229	1943	1998-10-17	VYDAJ	VYBER	12500	47873	\N	\N	\N
571230	1943	1998-11-16	VYDAJ	VYBER	8800	46613	\N	\N	\N
571231	1943	1998-12-16	VYDAJ	VYBER	12100	46183	\N	\N	\N
571256	1944	1993-02-12	PRIJEM	VKLAD	700	700	\N	\N	\N
571259	1944	1993-03-10	PRIJEM	VKLAD	17980	18680	\N	\N	\N
571260	1944	1993-04-10	PRIJEM	VKLAD	17980	39712	\N	\N	\N
571261	1944	1993-05-10	PRIJEM	VKLAD	17980	51011	\N	\N	\N
571262	1944	1993-06-10	PRIJEM	VKLAD	26970	66234	\N	\N	\N
571263	1944	1993-07-10	PRIJEM	VKLAD	17980	65799	\N	\N	\N
571264	1944	1993-08-10	PRIJEM	VKLAD	17980	50451	\N	\N	\N
571265	1944	1993-09-10	PRIJEM	VKLAD	17980	48134	\N	\N	\N
571266	1944	1993-10-10	PRIJEM	VKLAD	17980	45483	\N	\N	\N
571267	1944	1993-11-10	PRIJEM	VKLAD	17980	42782	\N	\N	\N
571268	1944	1993-12-10	PRIJEM	VKLAD	26970	53883	\N	\N	\N
571269	1944	1994-01-10	PRIJEM	VKLAD	17980	47989	\N	\N	\N
571270	1944	1994-02-10	PRIJEM	VKLAD	17980	44076	\N	\N	\N
571271	1944	1994-03-10	PRIJEM	VKLAD	17980	47266	\N	\N	\N
571272	1944	1994-04-10	PRIJEM	VKLAD	17980	51881	\N	\N	\N
571273	1944	1994-05-10	PRIJEM	VKLAD	17980	51312	\N	\N	\N
571274	1944	1994-06-10	PRIJEM	VKLAD	26970	62848	\N	\N	\N
571275	1944	1994-07-10	PRIJEM	VKLAD	17980	44355	\N	\N	\N
571276	1944	1994-08-10	PRIJEM	VKLAD	17980	45050	\N	\N	\N
571277	1944	1994-09-10	PRIJEM	VKLAD	17980	42014	\N	\N	\N
571278	1944	1994-10-10	PRIJEM	VKLAD	17980	43306	\N	\N	\N
571279	1944	1994-11-10	PRIJEM	VKLAD	17980	45500	\N	\N	\N
571280	1944	1994-12-10	PRIJEM	VKLAD	26970	51692	\N	\N	\N
571281	1944	1995-01-10	PRIJEM	VKLAD	17980	46605	\N	\N	\N
571282	1944	1995-02-10	PRIJEM	VKLAD	17980	33937	\N	\N	\N
571283	1944	1995-03-10	PRIJEM	VKLAD	17980	36683	\N	\N	\N
571284	1944	1995-04-10	PRIJEM	VKLAD	17980	37649	\N	\N	\N
571285	1944	1995-05-10	PRIJEM	VKLAD	17980	40921	\N	\N	\N
571286	1944	1995-06-10	PRIJEM	VKLAD	26970	52694	\N	\N	\N
571287	1944	1995-07-10	PRIJEM	VKLAD	17980	50015	\N	\N	\N
571288	1944	1995-08-10	PRIJEM	VKLAD	17980	44942	\N	\N	\N
571289	1944	1995-09-10	PRIJEM	VKLAD	17980	43547	\N	\N	\N
571290	1944	1995-10-10	PRIJEM	VKLAD	17980	43935	\N	\N	\N
571291	1944	1995-11-10	PRIJEM	VKLAD	17980	45324	\N	\N	\N
571292	1944	1995-12-10	PRIJEM	VKLAD	26970	53107	\N	\N	\N
571293	1944	1996-01-10	PRIJEM	VKLAD	17980	46015	\N	\N	\N
571294	1944	1996-02-10	PRIJEM	VKLAD	17980	30225	\N	\N	\N
571295	1944	1996-03-10	PRIJEM	VKLAD	17980	36256	\N	\N	\N
571296	1944	1996-04-10	PRIJEM	VKLAD	17980	41912	\N	\N	\N
571297	1944	1996-05-10	PRIJEM	VKLAD	17980	44089	\N	\N	\N
571298	1944	1996-06-10	PRIJEM	VKLAD	26970	46883	\N	\N	\N
571299	1944	1996-07-10	PRIJEM	VKLAD	17980	45405	\N	\N	\N
571300	1944	1996-08-10	PRIJEM	VKLAD	17980	48595	\N	\N	\N
571301	1944	1996-09-10	PRIJEM	VKLAD	17980	46793	\N	\N	\N
571302	1944	1996-10-10	PRIJEM	VKLAD	17980	41579	\N	\N	\N
571303	1944	1996-11-10	PRIJEM	VKLAD	17980	38543	\N	\N	\N
571304	1944	1996-12-10	PRIJEM	VKLAD	26970	46886	\N	\N	\N
571305	1944	1997-01-10	PRIJEM	VKLAD	17980	32388	\N	\N	\N
571306	1944	1997-02-10	PRIJEM	VKLAD	17980	36028	\N	\N	\N
571307	1944	1997-03-10	PRIJEM	VKLAD	17980	38479	\N	\N	\N
571308	1944	1997-04-10	PRIJEM	VKLAD	17980	46242	\N	\N	\N
571309	1944	1997-05-10	PRIJEM	VKLAD	17980	47529	\N	\N	\N
571310	1944	1997-06-10	PRIJEM	VKLAD	26970	42353	\N	\N	\N
571311	1944	1997-07-10	PRIJEM	VKLAD	17980	45425	\N	\N	\N
571312	1944	1997-08-10	PRIJEM	VKLAD	17980	47207	\N	\N	\N
571313	1944	1997-09-10	PRIJEM	VKLAD	17980	50597	\N	\N	\N
571314	1944	1997-10-10	PRIJEM	VKLAD	17980	53900	\N	\N	\N
571315	1944	1997-11-10	PRIJEM	VKLAD	17980	56315	\N	\N	\N
571316	1944	1997-12-10	PRIJEM	VKLAD	26970	57993	\N	\N	\N
571317	1944	1998-01-10	PRIJEM	VKLAD	17980	52862	\N	\N	\N
571318	1944	1998-02-10	PRIJEM	VKLAD	17980	38503	\N	\N	\N
571319	1944	1998-03-10	PRIJEM	VKLAD	17980	45760	\N	\N	\N
571320	1944	1998-04-10	PRIJEM	VKLAD	17980	51146	\N	\N	\N
571321	1944	1998-05-10	PRIJEM	VKLAD	17980	55751	\N	\N	\N
571322	1944	1998-06-10	PRIJEM	VKLAD	26970	68964	\N	\N	\N
571323	1944	1998-07-10	PRIJEM	VKLAD	17980	55036	\N	\N	\N
571324	1944	1998-08-10	PRIJEM	VKLAD	17980	59756	\N	\N	\N
571325	1944	1998-09-10	PRIJEM	VKLAD	17980	58748	\N	\N	\N
571326	1944	1998-10-10	PRIJEM	VKLAD	17980	60575	\N	\N	\N
571327	1944	1998-11-10	PRIJEM	VKLAD	17980	54661	\N	\N	\N
571328	1944	1998-12-10	PRIJEM	VKLAD	26970	67867	\N	\N	\N
571336	1944	1993-08-07	VYDAJ	PREVOD NA UCET	6741	32471	SIPO	OP	38381874
571337	1944	1993-09-07	VYDAJ	PREVOD NA UCET	6741	30154	SIPO	OP	38381874
571338	1944	1993-10-07	VYDAJ	PREVOD NA UCET	6741	28463	SIPO	OP	38381874
571339	1944	1993-11-07	VYDAJ	PREVOD NA UCET	6741	28602	SIPO	OP	38381874
571340	1944	1993-12-07	VYDAJ	PREVOD NA UCET	6741	36193	SIPO	OP	38381874
571341	1944	1994-01-07	VYDAJ	PREVOD NA UCET	6741	38809	SIPO	OP	38381874
571342	1944	1994-02-07	VYDAJ	PREVOD NA UCET	6741	26096	SIPO	OP	38381874
571343	1944	1994-03-07	VYDAJ	PREVOD NA UCET	6741	37486	SIPO	OP	38381874
571344	1944	1994-04-07	VYDAJ	PREVOD NA UCET	6741	40701	SIPO	OP	38381874
571345	1944	1994-05-07	VYDAJ	PREVOD NA UCET	6741	45332	SIPO	OP	38381874
571346	1944	1994-06-07	VYDAJ	PREVOD NA UCET	6741	41878	SIPO	OP	38381874
571347	1944	1994-07-07	VYDAJ	PREVOD NA UCET	6741	30175	SIPO	OP	38381874
571348	1944	1994-08-07	VYDAJ	PREVOD NA UCET	6741	27070	SIPO	OP	38381874
571349	1944	1994-09-07	VYDAJ	PREVOD NA UCET	6741	24034	SIPO	OP	38381874
571350	1944	1994-10-07	VYDAJ	PREVOD NA UCET	6741	25326	SIPO	OP	38381874
571351	1944	1994-11-07	VYDAJ	PREVOD NA UCET	6741	27520	SIPO	OP	38381874
571352	1944	1994-12-07	VYDAJ	PREVOD NA UCET	6741	24722	SIPO	OP	38381874
571353	1944	1995-01-07	VYDAJ	PREVOD NA UCET	6741	28625	SIPO	OP	38381874
571354	1944	1995-02-07	VYDAJ	PREVOD NA UCET	6741	15957	SIPO	OP	38381874
571355	1944	1995-03-07	VYDAJ	PREVOD NA UCET	6741	18703	SIPO	OP	38381874
571356	1944	1995-04-07	VYDAJ	PREVOD NA UCET	6741	19669	SIPO	OP	38381874
571357	1944	1995-05-07	VYDAJ	PREVOD NA UCET	6741	22941	SIPO	OP	38381874
571358	1944	1995-06-07	VYDAJ	PREVOD NA UCET	6741	25724	SIPO	OP	38381874
571359	1944	1995-07-07	VYDAJ	PREVOD NA UCET	6741	32035	SIPO	OP	38381874
571360	1944	1995-08-07	VYDAJ	PREVOD NA UCET	6741	26962	SIPO	OP	38381874
571361	1944	1995-09-07	VYDAJ	PREVOD NA UCET	6741	25567	SIPO	OP	38381874
571362	1944	1995-10-07	VYDAJ	PREVOD NA UCET	6741	25955	SIPO	OP	38381874
571363	1944	1995-11-07	VYDAJ	PREVOD NA UCET	6741	27344	SIPO	OP	38381874
571364	1944	1995-12-07	VYDAJ	PREVOD NA UCET	6741	26137	SIPO	OP	38381874
571365	1944	1996-01-07	VYDAJ	PREVOD NA UCET	6741	28035	SIPO	OP	38381874
571366	1944	1996-02-07	VYDAJ	PREVOD NA UCET	6741	12245	SIPO	OP	38381874
571367	1944	1996-03-07	VYDAJ	PREVOD NA UCET	6741	18276	SIPO	OP	38381874
571368	1944	1996-04-07	VYDAJ	PREVOD NA UCET	6741	23932	SIPO	OP	38381874
571369	1944	1996-05-07	VYDAJ	PREVOD NA UCET	6741	26109	SIPO	OP	38381874
571370	1944	1996-06-07	VYDAJ	PREVOD NA UCET	6741	19913	SIPO	OP	38381874
571371	1944	1996-07-07	VYDAJ	PREVOD NA UCET	6741	27425	SIPO	OP	38381874
571372	1944	1996-08-07	VYDAJ	PREVOD NA UCET	6741	30615	SIPO	OP	38381874
571373	1944	1996-09-07	VYDAJ	PREVOD NA UCET	6741	28813	SIPO	OP	38381874
571374	1944	1996-10-07	VYDAJ	PREVOD NA UCET	6741	23599	SIPO	OP	38381874
571375	1944	1996-11-07	VYDAJ	PREVOD NA UCET	6741	20563	SIPO	OP	38381874
571376	1944	1996-12-07	VYDAJ	PREVOD NA UCET	6741	22816	SIPO	OP	38381874
571377	1944	1997-01-07	VYDAJ	PREVOD NA UCET	6741	14408	SIPO	OP	38381874
571378	1944	1997-02-07	VYDAJ	PREVOD NA UCET	6741	18048	SIPO	OP	38381874
571379	1944	1997-03-07	VYDAJ	PREVOD NA UCET	6741	20499	SIPO	OP	38381874
571380	1944	1997-04-07	VYDAJ	PREVOD NA UCET	6741	28262	SIPO	OP	38381874
571381	1944	1997-05-07	VYDAJ	PREVOD NA UCET	6741	29549	SIPO	OP	38381874
571382	1944	1997-06-07	VYDAJ	PREVOD NA UCET	6741	15383	SIPO	OP	38381874
571383	1944	1997-07-07	VYDAJ	PREVOD NA UCET	6741	27445	SIPO	OP	38381874
571384	1944	1997-08-07	VYDAJ	PREVOD NA UCET	6741	29227	SIPO	OP	38381874
571385	1944	1997-09-07	VYDAJ	PREVOD NA UCET	6741	32617	SIPO	OP	38381874
571386	1944	1997-10-07	VYDAJ	PREVOD NA UCET	6741	35920	SIPO	OP	38381874
571387	1944	1997-11-07	VYDAJ	PREVOD NA UCET	6741	38335	SIPO	OP	38381874
571388	1944	1997-12-07	VYDAJ	PREVOD NA UCET	6741	31023	SIPO	OP	38381874
571389	1944	1998-01-07	VYDAJ	PREVOD NA UCET	6741	34882	SIPO	OP	38381874
571390	1944	1998-02-07	VYDAJ	PREVOD NA UCET	6741	20523	SIPO	OP	38381874
571391	1944	1998-03-07	VYDAJ	PREVOD NA UCET	6741	27780	SIPO	OP	38381874
571392	1944	1998-04-07	VYDAJ	PREVOD NA UCET	6741	33766	SIPO	OP	38381874
571393	1944	1998-05-07	VYDAJ	PREVOD NA UCET	6741	37771	SIPO	OP	38381874
571394	1944	1998-06-07	VYDAJ	PREVOD NA UCET	6741	41994	SIPO	OP	38381874
571395	1944	1998-07-07	VYDAJ	PREVOD NA UCET	6741	37056	SIPO	OP	38381874
571396	1944	1998-08-07	VYDAJ	PREVOD NA UCET	6741	41776	SIPO	OP	38381874
571397	1944	1998-09-07	VYDAJ	PREVOD NA UCET	6741	40768	SIPO	OP	38381874
571398	1944	1998-10-07	VYDAJ	PREVOD NA UCET	6741	42595	SIPO	OP	38381874
571399	1944	1998-11-07	VYDAJ	PREVOD NA UCET	6741	36681	SIPO	OP	38381874
571400	1944	1998-12-07	VYDAJ	PREVOD NA UCET	6741	40897	SIPO	OP	38381874
571402	1944	1994-06-10	VYDAJ	VYBER	26080	36768	\N	\N	\N
571404	1944	1996-06-10	VYDAJ	VYBER	10240	36643	\N	\N	\N
571405	1944	1997-06-04	VYDAJ	VYBER	17760	22124	\N	\N	\N
571406	1944	1998-06-19	VYDAJ	VYBER	10560	43604	\N	\N	\N
571408	1944	1994-01-18	VYDAJ	VYBER	13920	34069	\N	\N	\N
571409	1944	1995-01-30	VYDAJ	VYBER	11360	22045	\N	\N	\N
571410	1944	1996-01-16	VYDAJ	VYBER	15040	27875	\N	\N	\N
571411	1944	1997-01-04	VYDAJ	VYBER	10880	24349	\N	\N	\N
571412	1944	1998-01-17	VYDAJ	VYBER	12640	34922	\N	\N	\N
571413	1944	1993-12-08	VYDAJ	VYBER	4480	31713	\N	\N	\N
571414	1944	1994-12-05	VYDAJ	VYBER KARTOU	2200	31463	\N	\N	0
571415	1944	1995-12-19	VYDAJ	VYBER KARTOU	3200	49907	\N	\N	0
571416	1944	1996-12-09	VYDAJ	VYBER KARTOU	2900	19916	\N	\N	0
571417	1944	1997-12-24	VYDAJ	VYBER	4640	41453	\N	\N	\N
571418	1944	1998-12-21	VYDAJ	VYBER KARTOU	3000	55467	\N	\N	0
571425	1944	1994-01-08	VYDAJ	VYBER	1800	30009	\N	\N	\N
571426	1944	1994-01-26	VYDAJ	VYBER	2760	31309	\N	\N	\N
571427	1944	1994-01-03	VYDAJ	VYBER	1800	45550	\N	\N	\N
571428	1944	1994-01-29	VYDAJ	VYBER	600	30709	\N	\N	\N
571429	1944	1994-01-29	VYDAJ	VYBER	1920	28789	\N	\N	\N
571430	1944	1994-01-02	VYDAJ	VYBER	2280	47350	\N	\N	\N
571431	1944	1995-01-15	VYDAJ	VYBER KARTOU	1900	42405	\N	\N	0
571432	1944	1995-01-27	VYDAJ	VYBER KARTOU	2600	34105	\N	\N	0
571433	1944	1995-01-15	VYDAJ	VYBER KARTOU	2300	44305	\N	\N	0
571434	1944	1995-01-22	VYDAJ	VYBER KARTOU	3200	39205	\N	\N	0
571435	1944	1995-01-22	VYDAJ	VYBER KARTOU	2500	36705	\N	\N	0
571436	1944	1995-01-30	VYDAJ	VYBER KARTOU	700	33405	\N	\N	0
571437	1944	1996-01-23	VYDAJ	VYBER KARTOU	3500	24375	\N	\N	0
571438	1944	1996-01-11	VYDAJ	VYBER KARTOU	2000	44015	\N	\N	0
571439	1944	1996-01-02	VYDAJ	VYBER KARTOU	700	34776	\N	\N	0
571440	1944	1996-01-29	VYDAJ	VYBER KARTOU	3000	18875	\N	\N	0
571441	1944	1996-01-16	VYDAJ	VYBER KARTOU	1100	42915	\N	\N	0
571442	1944	1996-01-27	VYDAJ	VYBER KARTOU	2000	22375	\N	\N	0
571443	1944	1997-01-27	VYDAJ	VYBER KARTOU	1800	24688	\N	\N	0
571444	1944	1997-01-02	VYDAJ	VYBER KARTOU	1300	35229	\N	\N	0
571445	1944	1997-01-27	VYDAJ	VYBER KARTOU	2600	27488	\N	\N	0
571446	1944	1997-01-05	VYDAJ	VYBER KARTOU	1000	23349	\N	\N	0
571447	1944	1997-01-06	VYDAJ	VYBER KARTOU	2200	21149	\N	\N	0
571448	1944	1997-01-27	VYDAJ	VYBER KARTOU	1000	26488	\N	\N	0
571449	1944	1998-01-25	VYDAJ	VYBER KARTOU	1600	30322	\N	\N	0
571450	1944	1998-01-17	VYDAJ	VYBER KARTOU	1000	47562	\N	\N	0
571451	1944	1998-01-28	VYDAJ	VYBER KARTOU	3200	27122	\N	\N	0
571452	1944	1998-01-22	VYDAJ	VYBER KARTOU	3000	31922	\N	\N	0
571453	1944	1998-01-16	VYDAJ	VYBER KARTOU	3400	48362	\N	\N	0
571454	1944	1998-01-10	VYDAJ	VYBER KARTOU	1100	51762	\N	\N	0
571455	1944	1993-12-21	VYDAJ	VYBER	4440	49443	\N	\N	\N
571457	1944	1993-10-09	VYDAJ	VYBER	960	27503	\N	\N	\N
571458	1944	1993-07-28	VYDAJ	VYBER	5760	39039	\N	\N	\N
571459	1944	1994-12-14	VYDAJ	VYBER KARTOU	2400	49292	\N	\N	0
571460	1944	1994-09-06	VYDAJ	VYBER	5040	30775	\N	\N	\N
571461	1944	1994-10-26	VYDAJ	VYBER	3000	40306	\N	\N	\N
571462	1944	1994-05-12	VYDAJ	VYBER	2880	48432	\N	\N	\N
571463	1944	1996-10-01	VYDAJ	VYBER KARTOU	3700	30340	\N	\N	0
571464	1944	1996-11-13	VYDAJ	VYBER KARTOU	2300	35543	\N	\N	0
571465	1944	1996-10-19	VYDAJ	VYBER KARTOU	2200	39379	\N	\N	0
571466	1944	1996-06-06	VYDAJ	VYBER	5880	26654	\N	\N	\N
571467	1944	1996-11-11	VYDAJ	VYBER KARTOU	700	37843	\N	\N	0
571468	1944	1996-09-14	VYDAJ	VYBER KARTOU	2300	44493	\N	\N	0
571469	1944	1997-02-21	VYDAJ	VYBER KARTOU	1800	32828	\N	\N	0
571470	1944	1997-11-22	VYDAJ	VYBER	5520	39595	\N	\N	\N
571471	1944	1997-08-17	VYDAJ	VYBER KARTOU	1300	45907	\N	\N	0
571472	1944	1997-11-11	VYDAJ	VYBER KARTOU	2600	53715	\N	\N	0
571473	1944	1997-02-20	VYDAJ	VYBER KARTOU	1400	34628	\N	\N	0
571474	1944	1997-11-23	VYDAJ	VYBER KARTOU	2000	37595	\N	\N	0
571475	1944	1998-11-20	VYDAJ	VYBER KARTOU	2300	47461	\N	\N	0
571476	1944	1998-10-22	VYDAJ	VYBER	5160	47915	\N	\N	\N
571477	1944	1998-10-23	VYDAJ	VYBER	4680	43235	\N	\N	\N
571478	1944	1998-08-27	VYDAJ	VYBER	4440	47316	\N	\N	\N
571479	1944	1998-04-09	VYDAJ	VYBER KARTOU	600	33166	\N	\N	0
571487	1944	1993-07-31	VYDAJ	VYBER	15	39212	SLUZBY	\N	\N
571488	1944	1993-08-31	VYDAJ	VYBER	15	36895	SLUZBY	\N	\N
571489	1944	1993-09-30	VYDAJ	VYBER	15	35204	SLUZBY	\N	\N
571490	1944	1993-10-31	VYDAJ	VYBER	15	35343	SLUZBY	\N	\N
571491	1944	1993-11-30	VYDAJ	VYBER	15	42934	SLUZBY	\N	\N
571492	1944	1993-12-31	VYDAJ	VYBER	15	49630	SLUZBY	\N	\N
571493	1944	1994-01-31	VYDAJ	VYBER	15	28937	SLUZBY	\N	\N
571494	1944	1994-02-28	VYDAJ	VYBER	15	44227	SLUZBY	\N	\N
571495	1944	1994-03-31	VYDAJ	VYBER	15	47442	SLUZBY	\N	\N
571496	1944	1994-04-30	VYDAJ	VYBER	15	52073	SLUZBY	\N	\N
571497	1944	1994-05-31	VYDAJ	VYBER	15	48619	SLUZBY	\N	\N
571498	1944	1994-06-30	VYDAJ	VYBER	15	36916	SLUZBY	\N	\N
571499	1944	1994-07-31	VYDAJ	VYBER	15	44511	SLUZBY	\N	\N
571500	1944	1994-08-31	VYDAJ	VYBER	15	45215	SLUZBY	\N	\N
571501	1944	1994-09-30	VYDAJ	VYBER	15	42167	SLUZBY	\N	\N
571502	1944	1994-10-31	VYDAJ	VYBER	15	40461	SLUZBY	\N	\N
571503	1944	1994-11-30	VYDAJ	VYBER	15	45663	SLUZBY	\N	\N
571504	1944	1994-12-31	VYDAJ	VYBER	15	49466	SLUZBY	\N	\N
571505	1944	1995-01-31	VYDAJ	VYBER	15	22198	SLUZBY	\N	\N
571506	1944	1995-02-28	VYDAJ	VYBER	15	34044	SLUZBY	\N	\N
571507	1944	1995-03-31	VYDAJ	VYBER	15	36810	SLUZBY	\N	\N
571508	1944	1995-04-30	VYDAJ	VYBER	15	37782	SLUZBY	\N	\N
571509	1944	1995-05-31	VYDAJ	VYBER	15	41065	SLUZBY	\N	\N
571510	1944	1995-06-30	VYDAJ	VYBER	15	52876	SLUZBY	\N	\N
571511	1944	1995-07-31	VYDAJ	VYBER	15	50203	SLUZBY	\N	\N
571512	1944	1995-08-31	VYDAJ	VYBER	15	45108	SLUZBY	\N	\N
571513	1944	1995-09-30	VYDAJ	VYBER	15	43696	SLUZBY	\N	\N
571514	1944	1995-10-31	VYDAJ	VYBER	15	34085	SLUZBY	\N	\N
571515	1944	1995-11-30	VYDAJ	VYBER	15	32878	SLUZBY	\N	\N
571516	1944	1995-12-31	VYDAJ	VYBER	15	35476	SLUZBY	\N	\N
571517	1944	1996-01-31	VYDAJ	VYBER	15	18986	SLUZBY	\N	\N
571518	1944	1996-02-29	VYDAJ	VYBER	15	25017	SLUZBY	\N	\N
571519	1944	1996-03-31	VYDAJ	VYBER	15	30673	SLUZBY	\N	\N
571520	1944	1996-04-30	VYDAJ	VYBER	15	32850	SLUZBY	\N	\N
571521	1944	1996-05-31	VYDAJ	VYBER	15	32534	SLUZBY	\N	\N
571522	1944	1996-06-30	VYDAJ	VYBER	15	34166	SLUZBY	\N	\N
571523	1944	1996-07-31	VYDAJ	VYBER	15	37356	SLUZBY	\N	\N
571524	1944	1996-08-31	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
571525	1944	1996-09-30	VYDAJ	VYBER	15	34040	SLUZBY	\N	\N
571526	1944	1996-10-31	VYDAJ	VYBER	15	27304	SLUZBY	\N	\N
571527	1944	1996-11-30	VYDAJ	VYBER	15	29557	SLUZBY	\N	\N
571528	1944	1996-12-31	VYDAJ	VYBER	15	36529	SLUZBY	\N	\N
571529	1944	1997-01-31	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
571530	1944	1997-02-28	VYDAJ	VYBER	15	27240	SLUZBY	\N	\N
571531	1944	1997-03-31	VYDAJ	VYBER	15	35003	SLUZBY	\N	\N
571532	1944	1997-04-30	VYDAJ	VYBER	15	36290	SLUZBY	\N	\N
571533	1944	1997-05-31	VYDAJ	VYBER	15	39884	SLUZBY	\N	\N
571534	1944	1997-06-30	VYDAJ	VYBER	15	34186	SLUZBY	\N	\N
571535	1944	1997-07-31	VYDAJ	VYBER	15	35968	SLUZBY	\N	\N
571536	1944	1997-08-31	VYDAJ	VYBER	15	39358	SLUZBY	\N	\N
571537	1944	1997-09-30	VYDAJ	VYBER	15	42661	SLUZBY	\N	\N
571538	1944	1997-10-31	VYDAJ	VYBER	15	45076	SLUZBY	\N	\N
571539	1944	1997-11-30	VYDAJ	VYBER	15	37764	SLUZBY	\N	\N
571540	1944	1997-12-31	VYDAJ	VYBER	15	41623	SLUZBY	\N	\N
571541	1944	1998-01-31	VYDAJ	VYBER	15	27264	SLUZBY	\N	\N
571542	1944	1998-02-28	VYDAJ	VYBER	15	34521	SLUZBY	\N	\N
571543	1944	1998-03-31	VYDAJ	VYBER	15	40507	SLUZBY	\N	\N
571544	1944	1998-04-30	VYDAJ	VYBER	15	44512	SLUZBY	\N	\N
571545	1944	1998-05-31	VYDAJ	VYBER	15	48735	SLUZBY	\N	\N
571546	1944	1998-06-30	VYDAJ	VYBER	15	43797	SLUZBY	\N	\N
571547	1944	1998-07-31	VYDAJ	VYBER	15	48517	SLUZBY	\N	\N
571548	1944	1998-08-31	VYDAJ	VYBER	15	47509	SLUZBY	\N	\N
571549	1944	1998-09-30	VYDAJ	VYBER	15	49336	SLUZBY	\N	\N
571550	1944	1998-10-31	VYDAJ	VYBER	15	43422	SLUZBY	\N	\N
571551	1944	1998-11-30	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
571552	1944	1993-03-14	PRIJEM	VKLAD	3000	21680	\N	\N	\N
571553	1944	1993-04-13	VYDAJ	VYBER	6800	32912	\N	\N	\N
571554	1944	1993-05-13	VYDAJ	VYBER	11900	39111	\N	\N	\N
571555	1944	1993-06-12	VYDAJ	VYBER	18600	47634	\N	\N	\N
571556	1944	1993-07-12	VYDAJ	VYBER	21000	44799	\N	\N	\N
571557	1944	1993-08-11	VYDAJ	VYBER	13700	36751	\N	\N	\N
571558	1944	1993-09-10	VYDAJ	VYBER	13100	35034	\N	\N	\N
571559	1944	1993-10-10	VYDAJ	VYBER	10300	35183	\N	\N	\N
571560	1944	1993-11-09	VYDAJ	VYBER	3800	24802	\N	\N	\N
571561	1944	1993-12-09	VYDAJ	VYBER	4800	26913	\N	\N	\N
571562	1944	1994-01-08	VYDAJ	VYBER	7000	31809	\N	\N	\N
571563	1944	1994-02-07	PRIJEM	VKLAD	3900	32837	\N	\N	\N
571564	1944	1994-03-09	VYDAJ	VYBER	8200	29286	\N	\N	\N
571565	1944	1994-04-08	VYDAJ	VYBER	6800	33901	\N	\N	\N
571566	1944	1994-05-08	VYDAJ	VYBER	12000	33332	\N	\N	\N
571567	1944	1994-06-07	VYDAJ	VYBER	6000	35878	\N	\N	\N
571568	1944	1994-07-07	VYDAJ	VYBER	3800	26375	\N	\N	\N
571569	1944	1994-08-06	VYDAJ	VYBER	10700	33811	\N	\N	\N
571570	1944	1994-09-05	VYDAJ	VYBER	9400	35815	\N	\N	\N
571571	1944	1994-10-05	VYDAJ	VYBER	10100	32067	\N	\N	\N
571572	1944	1994-11-04	VYDAJ	VYBER	6200	34261	\N	\N	\N
571573	1944	1994-12-04	VYDAJ	VYBER	12000	33663	\N	\N	\N
571574	1944	1995-01-03	VYDAJ	VYBER	14100	35366	\N	\N	\N
571575	1944	1995-02-02	PRIJEM	VKLAD	500	22698	\N	\N	\N
571576	1944	1995-03-04	VYDAJ	VYBER	8600	25444	\N	\N	\N
571577	1944	1995-04-03	VYDAJ	VYBER	10400	26410	\N	\N	\N
571578	1944	1995-05-03	VYDAJ	VYBER	8100	29682	\N	\N	\N
571579	1944	1995-06-02	VYDAJ	VYBER	8600	32465	\N	\N	\N
571580	1944	1995-07-02	VYDAJ	VYBER	14100	38776	\N	\N	\N
571581	1944	1995-08-01	VYDAJ	VYBER	16500	33703	\N	\N	\N
571582	1944	1995-08-31	VYDAJ	VYBER	12800	32308	\N	\N	\N
571583	1944	1995-09-30	VYDAJ	VYBER	11000	32696	\N	\N	\N
571584	1944	1995-10-30	VYDAJ	VYBER	10000	33935	\N	\N	\N
571585	1944	1995-11-29	VYDAJ	VYBER	12600	32724	\N	\N	\N
571586	1944	1995-12-29	VYDAJ	VYBER	14600	35307	\N	\N	\N
571587	1944	1996-01-28	VYDAJ	VYBER KARTOU	500	21875	\N	\N	0
571588	1944	1996-02-27	VYDAJ	VYBER	5300	24925	\N	\N	\N
571589	1944	1996-03-28	VYDAJ	VYBER	5700	30556	\N	\N	\N
571590	1944	1996-04-27	VYDAJ	VYBER	9200	32712	\N	\N	\N
571591	1944	1996-05-27	VYDAJ	VYBER	11700	32389	\N	\N	\N
571592	1944	1996-06-26	VYDAJ	VYBER KARTOU	2600	34043	\N	\N	0
571593	1944	1996-07-26	VYDAJ	VYBER	8200	37205	\N	\N	\N
571594	1944	1996-08-25	VYDAJ	VYBER	13200	35395	\N	\N	\N
571595	1944	1996-09-24	VYDAJ	VYBER	10600	33893	\N	\N	\N
571596	1944	1996-10-24	VYDAJ	VYBER	12200	27179	\N	\N	\N
571597	1944	1996-11-23	VYDAJ	VYBER	6100	29443	\N	\N	\N
571598	1944	1996-12-23	VYDAJ	VYBER	10500	36386	\N	\N	\N
571599	1944	1997-01-22	VYDAJ	VYBER KARTOU	2300	30088	\N	\N	0
571600	1944	1997-02-21	VYDAJ	VYBER	5700	27128	\N	\N	\N
571601	1944	1997-03-23	VYDAJ	VYBER KARTOU	3600	34879	\N	\N	0
571602	1944	1997-04-22	VYDAJ	VYBER	10100	36142	\N	\N	\N
571603	1944	1997-05-22	VYDAJ	VYBER	7800	39729	\N	\N	\N
571604	1944	1997-06-21	VYDAJ	VYBER	8300	34053	\N	\N	\N
571605	1944	1997-07-21	VYDAJ	VYBER	9600	35825	\N	\N	\N
571606	1944	1997-08-20	VYDAJ	VYBER	6700	39207	\N	\N	\N
571607	1944	1997-09-19	VYDAJ	VYBER	8100	42497	\N	\N	\N
571608	1944	1997-10-19	VYDAJ	VYBER	9000	44900	\N	\N	\N
571609	1944	1997-11-18	VYDAJ	VYBER	8600	45115	\N	\N	\N
571610	1944	1997-12-18	VYDAJ	VYBER	11900	46093	\N	\N	\N
571611	1944	1998-01-17	PRIJEM	VKLAD	200	48562	\N	\N	\N
571612	1944	1998-02-16	VYDAJ	VYBER	4100	34403	\N	\N	\N
571613	1944	1998-03-18	VYDAJ	VYBER	5400	40360	\N	\N	\N
571614	1944	1998-04-17	VYDAJ	VYBER	6800	44346	\N	\N	\N
571615	1944	1998-05-17	VYDAJ	VYBER	7200	48551	\N	\N	\N
571616	1944	1998-06-16	VYDAJ	VYBER	14800	54164	\N	\N	\N
571617	1944	1998-07-16	VYDAJ	VYBER	6700	48336	\N	\N	\N
571618	1944	1998-08-15	VYDAJ	VYBER	8000	51756	\N	\N	\N
571619	1944	1998-09-14	VYDAJ	VYBER	9600	49148	\N	\N	\N
571620	1944	1998-10-14	VYDAJ	VYBER	7500	53075	\N	\N	\N
571621	1944	1998-11-13	VYDAJ	VYBER	4900	49761	\N	\N	\N
571622	1944	1998-12-13	VYDAJ	VYBER	9400	58467	\N	\N	\N
571693	1945	1995-11-09	PRIJEM	VKLAD	700	700	\N	\N	\N
571705	1945	1995-12-09	PRIJEM	VKLAD	25038	25738	\N	\N	\N
571706	1945	1996-01-09	PRIJEM	VKLAD	16692	40013	\N	\N	\N
571707	1945	1996-02-09	PRIJEM	VKLAD	16692	48558	\N	\N	\N
571708	1945	1996-03-09	PRIJEM	VKLAD	16692	50142	\N	\N	\N
571709	1945	1996-04-09	PRIJEM	VKLAD	16692	55941	\N	\N	\N
571710	1945	1996-05-09	PRIJEM	VKLAD	16692	55845	\N	\N	\N
571711	1945	1996-06-09	PRIJEM	VKLAD	25038	67302	\N	\N	\N
571712	1945	1996-07-09	PRIJEM	VKLAD	16692	54702	\N	\N	\N
571713	1945	1996-08-09	PRIJEM	VKLAD	16692	57884	\N	\N	\N
571714	1945	1996-09-09	PRIJEM	VKLAD	16692	53999	\N	\N	\N
571715	1945	1996-10-09	PRIJEM	VKLAD	16692	57691	\N	\N	\N
571716	1945	1996-11-09	PRIJEM	VKLAD	16692	57305	\N	\N	\N
571717	1945	1996-12-09	PRIJEM	VKLAD	25038	67768	\N	\N	\N
571718	1945	1997-01-09	PRIJEM	VKLAD	16692	57450	\N	\N	\N
571719	1945	1997-02-09	PRIJEM	VKLAD	16692	53579	\N	\N	\N
571720	1945	1997-03-09	PRIJEM	VKLAD	16692	58067	\N	\N	\N
571721	1945	1997-04-09	PRIJEM	VKLAD	16692	59181	\N	\N	\N
571722	1945	1997-05-09	PRIJEM	VKLAD	16692	60004	\N	\N	\N
571723	1945	1997-06-09	PRIJEM	VKLAD	25038	69976	\N	\N	\N
571724	1945	1997-07-09	PRIJEM	VKLAD	16692	40916	\N	\N	\N
571725	1945	1997-08-09	PRIJEM	VKLAD	16692	48622	\N	\N	\N
571726	1945	1997-09-09	PRIJEM	VKLAD	16692	56634	\N	\N	\N
571727	1945	1997-10-09	PRIJEM	VKLAD	16692	58377	\N	\N	\N
571728	1945	1997-11-09	PRIJEM	VKLAD	16692	52527	\N	\N	\N
571729	1945	1997-12-09	PRIJEM	VKLAD	25038	57262	\N	\N	\N
571730	1945	1998-01-09	PRIJEM	VKLAD	16692	57517	\N	\N	\N
571731	1945	1998-02-09	PRIJEM	VKLAD	16692	50047	\N	\N	\N
571732	1945	1998-03-09	PRIJEM	VKLAD	16692	51563	\N	\N	\N
571733	1945	1998-04-09	PRIJEM	VKLAD	16692	53785	\N	\N	\N
571734	1945	1998-05-09	PRIJEM	VKLAD	16692	55016	\N	\N	\N
571735	1945	1998-06-09	PRIJEM	VKLAD	25038	60896	\N	\N	\N
571736	1945	1998-07-09	PRIJEM	VKLAD	16692	54862	\N	\N	\N
571737	1945	1998-08-09	PRIJEM	VKLAD	16692	54092	\N	\N	\N
571738	1945	1998-09-09	PRIJEM	VKLAD	16692	47578	\N	\N	\N
571739	1945	1998-10-09	PRIJEM	VKLAD	16692	50185	\N	\N	\N
571740	1945	1998-11-09	PRIJEM	VKLAD	16692	44126	\N	\N	\N
571741	1945	1998-12-09	PRIJEM	VKLAD	25038	56467	\N	\N	\N
571743	1945	1996-06-18	VYDAJ	VYBER	13920	53382	\N	\N	\N
571744	1945	1997-06-13	VYDAJ	VYBER	47200	22776	\N	\N	\N
571748	1945	1997-01-13	VYDAJ	VYBER	15040	42410	\N	\N	\N
571749	1945	1998-01-24	VYDAJ	VYBER	10240	40797	\N	\N	\N
571751	1945	1996-12-21	VYDAJ	VYBER	4320	63448	\N	\N	\N
571752	1945	1997-12-04	VYDAJ	VYBER	2560	32224	\N	\N	\N
571753	1945	1998-12-21	VYDAJ	VYBER	4640	51827	\N	\N	\N
571760	1945	1996-07-13	VYDAJ	VYBER	720	53982	\N	\N	\N
571761	1945	1996-09-02	VYDAJ	VYBER	5400	52707	\N	\N	\N
571762	1945	1997-11-30	VYDAJ	VYBER	2280	34799	\N	\N	\N
571763	1945	1997-11-08	VYDAJ	VYBER	3600	35835	\N	\N	\N
571764	1945	1997-01-04	VYDAJ	VYBER	3240	40758	\N	\N	\N
571765	1945	1997-11-16	VYDAJ	VYBER	2640	49887	\N	\N	\N
571766	1945	1997-12-10	VYDAJ	VYBER	3120	54142	\N	\N	\N
571767	1945	1997-07-26	VYDAJ	VYBER	720	40196	\N	\N	\N
571768	1945	1998-01-20	VYDAJ	VYBER	720	51037	\N	\N	\N
571769	1945	1998-10-16	VYDAJ	VYBER	4680	45505	\N	\N	\N
571770	1945	1998-08-27	VYDAJ	VYBER	3240	30752	\N	\N	\N
571771	1945	1998-06-12	VYDAJ	VYBER	5040	55856	\N	\N	\N
571772	1945	1998-06-26	VYDAJ	VYBER	960	54896	\N	\N	\N
571773	1945	1998-07-18	VYDAJ	VYBER	1920	52942	\N	\N	\N
571774	1945	1998-01-18	VYDAJ	VYBER	5760	51757	\N	\N	\N
571791	1945	1996-04-30	VYDAJ	VYBER	15	56153	SLUZBY	\N	\N
571792	1945	1996-05-31	VYDAJ	VYBER	15	56064	SLUZBY	\N	\N
571793	1945	1996-06-30	VYDAJ	VYBER	15	53610	SLUZBY	\N	\N
571794	1945	1996-07-31	VYDAJ	VYBER	15	54192	SLUZBY	\N	\N
571795	1945	1996-08-31	VYDAJ	VYBER	15	58107	SLUZBY	\N	\N
571796	1945	1996-09-30	VYDAJ	VYBER	15	54199	SLUZBY	\N	\N
571797	1945	1996-10-31	VYDAJ	VYBER	15	57913	SLUZBY	\N	\N
571798	1945	1996-11-30	VYDAJ	VYBER	15	57530	SLUZBY	\N	\N
571799	1945	1996-12-31	VYDAJ	VYBER	15	63698	SLUZBY	\N	\N
571800	1945	1997-01-31	VYDAJ	VYBER	15	42587	SLUZBY	\N	\N
571801	1945	1997-02-28	VYDAJ	VYBER	15	53775	SLUZBY	\N	\N
571802	1945	1997-03-31	VYDAJ	VYBER	15	58289	SLUZBY	\N	\N
571803	1945	1997-04-30	VYDAJ	VYBER	15	59412	SLUZBY	\N	\N
571804	1945	1997-05-31	VYDAJ	VYBER	15	60238	SLUZBY	\N	\N
571805	1945	1997-06-30	VYDAJ	VYBER	15	22924	SLUZBY	\N	\N
571806	1945	1997-07-31	VYDAJ	VYBER	15	40330	SLUZBY	\N	\N
571807	1945	1997-08-31	VYDAJ	VYBER	15	39942	SLUZBY	\N	\N
571808	1945	1997-09-30	VYDAJ	VYBER	15	41685	SLUZBY	\N	\N
571809	1945	1997-10-31	VYDAJ	VYBER	15	39435	SLUZBY	\N	\N
571810	1945	1997-11-30	VYDAJ	VYBER	15	34784	SLUZBY	\N	\N
571811	1945	1997-12-31	VYDAJ	VYBER	15	40825	SLUZBY	\N	\N
571812	1945	1998-01-31	VYDAJ	VYBER	15	33355	SLUZBY	\N	\N
571813	1945	1998-02-28	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
571814	1945	1998-03-31	VYDAJ	VYBER	15	37093	SLUZBY	\N	\N
571815	1945	1998-04-30	VYDAJ	VYBER	15	38324	SLUZBY	\N	\N
571816	1945	1998-05-31	VYDAJ	VYBER	15	35858	SLUZBY	\N	\N
571817	1945	1998-06-30	VYDAJ	VYBER	15	38170	SLUZBY	\N	\N
571818	1945	1998-07-31	VYDAJ	VYBER	15	37400	SLUZBY	\N	\N
571819	1945	1998-08-31	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
571820	1945	1998-09-30	VYDAJ	VYBER	15	33493	SLUZBY	\N	\N
571821	1945	1998-10-31	VYDAJ	VYBER	15	27434	SLUZBY	\N	\N
571822	1945	1998-11-30	VYDAJ	VYBER	15	31429	SLUZBY	\N	\N
571823	1945	1995-12-09	PRIJEM	VKLAD	1100	26838	\N	\N	\N
571824	1945	1996-01-08	VYDAJ	VYBER	3600	23321	\N	\N	\N
571825	1945	1996-02-07	VYDAJ	VYBER	8300	31866	\N	\N	\N
571826	1945	1996-03-08	VYDAJ	VYBER	15300	33450	\N	\N	\N
571827	1945	1996-04-07	VYDAJ	VYBER	11100	39249	\N	\N	\N
571828	1945	1996-05-07	VYDAJ	VYBER	17000	39153	\N	\N	\N
571829	1945	1996-06-06	VYDAJ	VYBER	13800	42264	\N	\N	\N
571830	1945	1996-07-06	VYDAJ	VYBER	15600	38010	\N	\N	\N
571831	1945	1996-08-05	VYDAJ	VYBER	13000	41192	\N	\N	\N
571832	1945	1996-09-04	VYDAJ	VYBER	15400	37307	\N	\N	\N
571833	1945	1996-10-04	VYDAJ	VYBER	13200	40999	\N	\N	\N
571834	1945	1996-11-03	VYDAJ	VYBER	17300	40613	\N	\N	\N
571835	1945	1996-12-03	VYDAJ	VYBER	14800	42730	\N	\N	\N
571836	1945	1997-01-02	VYDAJ	VYBER	19700	43998	\N	\N	\N
571837	1945	1997-02-01	VYDAJ	VYBER	5700	36887	\N	\N	\N
571838	1945	1997-03-03	VYDAJ	VYBER	12400	41375	\N	\N	\N
571839	1945	1997-04-02	VYDAJ	VYBER	15800	42489	\N	\N	\N
571840	1945	1997-05-02	VYDAJ	VYBER	16100	43312	\N	\N	\N
571841	1945	1997-06-01	VYDAJ	VYBER	15300	44938	\N	\N	\N
571842	1945	1997-07-01	PRIJEM	VKLAD	1300	24224	\N	\N	\N
571843	1945	1997-07-31	VYDAJ	VYBER	8400	31930	\N	\N	\N
571844	1945	1997-08-30	VYDAJ	VYBER	8800	39822	\N	\N	\N
571845	1945	1997-09-29	VYDAJ	VYBER	15100	41534	\N	\N	\N
571846	1945	1997-10-29	VYDAJ	VYBER	19100	39277	\N	\N	\N
571847	1945	1997-11-28	VYDAJ	VYBER	13000	36887	\N	\N	\N
571848	1945	1997-12-28	VYDAJ	VYBER	13500	40642	\N	\N	\N
571849	1945	1998-01-27	VYDAJ	VYBER	7600	33197	\N	\N	\N
571850	1945	1998-02-26	VYDAJ	VYBER	15300	34747	\N	\N	\N
571851	1945	1998-03-28	VYDAJ	VYBER	14600	36963	\N	\N	\N
571852	1945	1998-04-27	VYDAJ	VYBER	15600	38185	\N	\N	\N
571853	1945	1998-05-27	VYDAJ	VYBER	19300	35716	\N	\N	\N
571854	1945	1998-06-26	VYDAJ	VYBER	16900	37996	\N	\N	\N
571855	1945	1998-07-26	VYDAJ	VYBER	15700	37242	\N	\N	\N
571856	1945	1998-08-25	VYDAJ	VYBER	20100	33992	\N	\N	\N
571857	1945	1998-09-24	VYDAJ	VYBER	14200	33378	\N	\N	\N
571858	1945	1998-10-24	VYDAJ	VYBER	18200	27305	\N	\N	\N
571859	1945	1998-11-23	VYDAJ	VYBER	12800	31326	\N	\N	\N
571897	1946	1997-09-16	PRIJEM	VKLAD	600	600	\N	\N	\N
571907	1946	1997-10-11	PRIJEM	VKLAD	18598	19198	\N	\N	\N
571908	1946	1997-11-11	PRIJEM	VKLAD	18598	41746	\N	\N	\N
571909	1946	1997-12-11	PRIJEM	VKLAD	27897	57052	\N	\N	\N
571910	1946	1998-01-11	PRIJEM	VKLAD	18598	59799	\N	\N	\N
571911	1946	1998-02-11	PRIJEM	VKLAD	18598	61171	\N	\N	\N
571912	1946	1998-03-11	PRIJEM	VKLAD	18598	55341	\N	\N	\N
571913	1946	1998-04-11	PRIJEM	VKLAD	18598	47118	\N	\N	\N
571914	1946	1998-05-11	PRIJEM	VKLAD	18598	50948	\N	\N	\N
571915	1946	1998-06-11	PRIJEM	VKLAD	27897	61275	\N	\N	\N
571916	1946	1998-07-11	PRIJEM	VKLAD	18598	58754	\N	\N	\N
571917	1946	1998-08-11	PRIJEM	VKLAD	18598	52837	\N	\N	\N
571918	1946	1998-09-11	PRIJEM	VKLAD	18598	43808	\N	\N	\N
571919	1946	1998-10-11	PRIJEM	VKLAD	18598	40073	\N	\N	\N
571920	1946	1998-11-11	PRIJEM	VKLAD	18598	39796	\N	\N	\N
571921	1946	1998-12-11	PRIJEM	VKLAD	27897	54301	\N	\N	\N
571935	1946	1998-02-13	VYDAJ	PREVOD NA UCET	7593	36578	SIPO	GH	47834515
571936	1946	1998-03-13	VYDAJ	PREVOD NA UCET	7593	47748	SIPO	GH	47834515
571937	1946	1998-04-13	VYDAJ	PREVOD NA UCET	7593	39525	SIPO	GH	47834515
571938	1946	1998-05-13	VYDAJ	PREVOD NA UCET	7593	43355	SIPO	GH	47834515
571939	1946	1998-06-13	VYDAJ	PREVOD NA UCET	7593	53682	SIPO	GH	47834515
571940	1946	1998-07-13	VYDAJ	PREVOD NA UCET	7593	51161	SIPO	GH	47834515
571941	1946	1998-08-13	VYDAJ	PREVOD NA UCET	7593	27144	SIPO	GH	47834515
571942	1946	1998-09-13	VYDAJ	PREVOD NA UCET	7593	27015	SIPO	GH	47834515
571943	1946	1998-10-13	VYDAJ	PREVOD NA UCET	7593	19980	SIPO	GH	47834515
571944	1946	1998-11-13	VYDAJ	PREVOD NA UCET	7593	32203	SIPO	GH	47834515
571945	1946	1998-12-13	VYDAJ	PREVOD NA UCET	7593	46708	SIPO	GH	47834515
571949	1946	1998-12-21	VYDAJ	VYBER	2080	44628	\N	\N	\N
571969	1946	1998-08-26	VYDAJ	VYBER	840	25104	\N	\N	\N
571970	1946	1998-10-05	VYDAJ	VYBER	5640	21475	\N	\N	\N
571971	1946	1998-08-16	VYDAJ	VYBER	1200	25944	\N	\N	\N
571972	1946	1998-04-07	VYDAJ	VYBER	3720	28520	\N	\N	\N
571973	1946	1998-03-19	VYDAJ	VYBER	1440	32108	\N	\N	\N
571974	1946	1998-10-14	VYDAJ	VYBER	2160	17820	\N	\N	\N
571989	1946	1998-02-28	VYDAJ	VYBER	15	36743	SLUZBY	\N	\N
571990	1946	1998-03-31	VYDAJ	VYBER	15	32240	SLUZBY	\N	\N
571991	1946	1998-04-30	VYDAJ	VYBER	15	32350	SLUZBY	\N	\N
571992	1946	1998-05-31	VYDAJ	VYBER	15	33378	SLUZBY	\N	\N
571993	1946	1998-06-30	VYDAJ	VYBER	15	40156	SLUZBY	\N	\N
571994	1946	1998-07-31	VYDAJ	VYBER	15	34239	SLUZBY	\N	\N
571995	1946	1998-08-31	VYDAJ	VYBER	15	25210	SLUZBY	\N	\N
571996	1946	1998-09-30	VYDAJ	VYBER	15	27115	SLUZBY	\N	\N
571997	1946	1998-10-31	VYDAJ	VYBER	15	17898	SLUZBY	\N	\N
571998	1946	1998-11-30	VYDAJ	VYBER	15	32304	SLUZBY	\N	\N
571999	1946	1997-10-16	PRIJEM	VKLAD	3900	23098	\N	\N	\N
572000	1946	1997-11-15	VYDAJ	VYBER	12700	29046	\N	\N	\N
572001	1946	1997-12-15	VYDAJ	VYBER	16000	41052	\N	\N	\N
572002	1946	1998-01-14	VYDAJ	VYBER	17400	42399	\N	\N	\N
572003	1946	1998-02-13	VYDAJ	VYBER	17000	44171	\N	\N	\N
572004	1946	1998-03-15	VYDAJ	VYBER	14200	33548	\N	\N	\N
572005	1946	1998-04-14	VYDAJ	VYBER	7300	32225	\N	\N	\N
572006	1946	1998-05-14	VYDAJ	VYBER	10100	33255	\N	\N	\N
572007	1946	1998-06-13	VYDAJ	VYBER	13700	39982	\N	\N	\N
572008	1946	1998-07-13	VYDAJ	VYBER	17100	34061	\N	\N	\N
572009	1946	1998-08-12	VYDAJ	VYBER	18100	34737	\N	\N	\N
572010	1946	1998-09-11	VYDAJ	VYBER	9200	34608	\N	\N	\N
572011	1946	1998-10-11	VYDAJ	VYBER	12500	27573	\N	\N	\N
572012	1946	1998-11-10	PRIJEM	VKLAD	3300	21198	\N	\N	\N
572013	1946	1998-12-10	VYDAJ	VYBER	5900	26404	\N	\N	\N
572029	1947	1993-11-12	PRIJEM	VKLAD	900	900	\N	\N	\N
572041	1947	1993-12-07	PRIJEM	PREVOD Z UCTU	6860	7760	DUCHOD	KL	73615145
572042	1947	1994-01-07	PRIJEM	PREVOD Z UCTU	6860	14620	DUCHOD	KL	73615145
572043	1947	1994-02-07	PRIJEM	PREVOD Z UCTU	6860	21480	DUCHOD	KL	73615145
572044	1947	1994-03-07	PRIJEM	PREVOD Z UCTU	6860	28340	DUCHOD	KL	73615145
572045	1947	1994-04-07	PRIJEM	PREVOD Z UCTU	6860	34374	DUCHOD	KL	73615145
572046	1947	1994-05-07	PRIJEM	PREVOD Z UCTU	6860	31206	DUCHOD	KL	73615145
572047	1947	1994-06-07	PRIJEM	PREVOD Z UCTU	6860	31713	DUCHOD	KL	73615145
572048	1947	1994-07-07	PRIJEM	PREVOD Z UCTU	6860	29609	DUCHOD	KL	73615145
572049	1947	1994-08-07	PRIJEM	PREVOD Z UCTU	6860	29322	DUCHOD	KL	73615145
572050	1947	1994-09-07	PRIJEM	PREVOD Z UCTU	6860	30641	DUCHOD	KL	73615145
572051	1947	1994-10-07	PRIJEM	PREVOD Z UCTU	6860	32207	DUCHOD	KL	73615145
572052	1947	1994-11-07	PRIJEM	PREVOD Z UCTU	6860	32111	DUCHOD	KL	73615145
572053	1947	1994-12-07	PRIJEM	PREVOD Z UCTU	6860	30411	DUCHOD	KL	73615145
572054	1947	1995-01-07	PRIJEM	PREVOD Z UCTU	6860	29658	DUCHOD	KL	73615145
572055	1947	1995-02-07	PRIJEM	PREVOD Z UCTU	6860	20868	DUCHOD	KL	73615145
572056	1947	1995-03-07	PRIJEM	PREVOD Z UCTU	6860	24332	DUCHOD	KL	73615145
572057	1947	1995-04-07	PRIJEM	PREVOD Z UCTU	6860	27811	DUCHOD	KL	73615145
572058	1947	1995-05-07	PRIJEM	PREVOD Z UCTU	6860	28500	DUCHOD	KL	73615145
572059	1947	1995-06-07	PRIJEM	PREVOD Z UCTU	6860	29031	DUCHOD	KL	73615145
572060	1947	1995-07-07	PRIJEM	PREVOD Z UCTU	6860	32530	DUCHOD	KL	73615145
572061	1947	1995-08-07	PRIJEM	PREVOD Z UCTU	6860	36043	DUCHOD	KL	73615145
572062	1947	1995-09-07	PRIJEM	PREVOD Z UCTU	6860	37871	DUCHOD	KL	73615145
572063	1947	1995-10-07	PRIJEM	PREVOD Z UCTU	6860	41413	DUCHOD	KL	73615145
572064	1947	1995-11-07	PRIJEM	PREVOD Z UCTU	6860	41663	DUCHOD	KL	73615145
572065	1947	1995-12-07	PRIJEM	PREVOD Z UCTU	6860	44022	DUCHOD	KL	73615145
572066	1947	1996-01-07	PRIJEM	PREVOD Z UCTU	6860	40781	DUCHOD	KL	73615145
572067	1947	1996-02-07	PRIJEM	PREVOD Z UCTU	6860	37441	DUCHOD	KL	73615145
572068	1947	1996-03-07	PRIJEM	PREVOD Z UCTU	6860	40974	DUCHOD	KL	73615145
572069	1947	1996-04-07	PRIJEM	PREVOD Z UCTU	6860	41559	DUCHOD	KL	73615145
572070	1947	1996-05-07	PRIJEM	PREVOD Z UCTU	6860	45109	DUCHOD	KL	73615145
572071	1947	1996-06-07	PRIJEM	PREVOD Z UCTU	6860	46913	DUCHOD	KL	73615145
572072	1947	1996-07-07	PRIJEM	PREVOD Z UCTU	6860	36292	DUCHOD	KL	73615145
572073	1947	1996-08-07	PRIJEM	PREVOD Z UCTU	6860	39820	DUCHOD	KL	73615145
572074	1947	1996-09-07	PRIJEM	PREVOD Z UCTU	6860	43364	DUCHOD	KL	73615145
572075	1947	1996-10-07	PRIJEM	PREVOD Z UCTU	6860	43561	DUCHOD	KL	73615145
572076	1947	1996-11-07	PRIJEM	PREVOD Z UCTU	6860	40400	DUCHOD	KL	73615145
572077	1947	1996-12-07	PRIJEM	PREVOD Z UCTU	6860	42183	DUCHOD	KL	73615145
572078	1947	1997-01-07	PRIJEM	PREVOD Z UCTU	6860	44285	DUCHOD	KL	73615145
572079	1947	1997-02-07	PRIJEM	PREVOD Z UCTU	6860	36048	DUCHOD	KL	73615145
572080	1947	1997-03-07	PRIJEM	PREVOD Z UCTU	6860	39574	DUCHOD	KL	73615145
572081	1947	1997-04-07	PRIJEM	PREVOD Z UCTU	6860	43116	DUCHOD	KL	73615145
572082	1947	1997-05-07	PRIJEM	PREVOD Z UCTU	6860	45471	DUCHOD	KL	73615145
572083	1947	1997-06-07	PRIJEM	PREVOD Z UCTU	6860	49037	DUCHOD	KL	73615145
572084	1947	1997-07-07	PRIJEM	PREVOD Z UCTU	6860	32302	DUCHOD	KL	73615145
572085	1947	1997-08-07	PRIJEM	PREVOD Z UCTU	6860	33251	DUCHOD	KL	73615145
572086	1947	1997-09-07	PRIJEM	PREVOD Z UCTU	6860	36766	DUCHOD	KL	73615145
572087	1947	1997-10-07	PRIJEM	PREVOD Z UCTU	6860	40296	DUCHOD	KL	73615145
572088	1947	1997-11-07	PRIJEM	PREVOD Z UCTU	6860	43840	DUCHOD	KL	73615145
572089	1947	1997-12-07	PRIJEM	PREVOD Z UCTU	6860	45197	DUCHOD	KL	73615145
572090	1947	1998-01-07	PRIJEM	PREVOD Z UCTU	6860	47486	DUCHOD	KL	73615145
572091	1947	1998-02-07	PRIJEM	PREVOD Z UCTU	6860	38701	DUCHOD	KL	73615145
572092	1947	1998-03-07	PRIJEM	PREVOD Z UCTU	6860	42237	DUCHOD	KL	73615145
572093	1947	1998-04-07	PRIJEM	PREVOD Z UCTU	6860	41786	DUCHOD	KL	73615145
572094	1947	1998-05-07	PRIJEM	PREVOD Z UCTU	6860	45336	DUCHOD	KL	73615145
572095	1947	1998-06-07	PRIJEM	PREVOD Z UCTU	6860	48900	DUCHOD	KL	73615145
572096	1947	1998-07-07	PRIJEM	PREVOD Z UCTU	6860	50626	DUCHOD	KL	73615145
572097	1947	1998-08-07	PRIJEM	PREVOD Z UCTU	6860	54212	DUCHOD	KL	73615145
572098	1947	1998-09-07	PRIJEM	PREVOD Z UCTU	6860	54853	DUCHOD	KL	73615145
572099	1947	1998-10-07	PRIJEM	PREVOD Z UCTU	6860	57504	DUCHOD	KL	73615145
572100	1947	1998-11-07	PRIJEM	PREVOD Z UCTU	6860	61124	DUCHOD	KL	73615145
572101	1947	1998-12-07	PRIJEM	PREVOD Z UCTU	6860	64753	DUCHOD	KL	73615145
572117	1947	1994-04-12	VYDAJ	PREVOD NA UCET	3448	27526	SIPO	QR	53213423
572118	1947	1994-05-12	VYDAJ	PREVOD NA UCET	3448	24758	SIPO	QR	53213423
572119	1947	1994-06-12	VYDAJ	PREVOD NA UCET	3448	22665	SIPO	QR	53213423
572120	1947	1994-07-12	VYDAJ	PREVOD NA UCET	3448	22861	SIPO	QR	53213423
572121	1947	1994-08-12	VYDAJ	PREVOD NA UCET	3448	24574	SIPO	QR	53213423
572122	1947	1994-09-12	VYDAJ	PREVOD NA UCET	3448	26293	SIPO	QR	53213423
572123	1947	1994-10-12	VYDAJ	PREVOD NA UCET	3448	25159	SIPO	QR	53213423
572124	1947	1994-11-12	VYDAJ	PREVOD NA UCET	3448	23463	SIPO	QR	53213423
572125	1947	1994-12-12	VYDAJ	PREVOD NA UCET	3448	24063	SIPO	QR	53213423
572126	1947	1995-01-12	VYDAJ	PREVOD NA UCET	3448	24660	SIPO	QR	53213423
572127	1947	1995-02-12	VYDAJ	PREVOD NA UCET	3448	17420	SIPO	QR	53213423
572128	1947	1995-03-12	VYDAJ	PREVOD NA UCET	3448	20884	SIPO	QR	53213423
572129	1947	1995-04-12	VYDAJ	PREVOD NA UCET	3448	24363	SIPO	QR	53213423
572130	1947	1995-05-12	VYDAJ	PREVOD NA UCET	3448	22092	SIPO	QR	53213423
572131	1947	1995-06-12	VYDAJ	PREVOD NA UCET	3448	25583	SIPO	QR	53213423
572132	1947	1995-07-12	VYDAJ	PREVOD NA UCET	3448	29082	SIPO	QR	53213423
572133	1947	1995-08-12	VYDAJ	PREVOD NA UCET	3448	32595	SIPO	QR	53213423
572134	1947	1995-09-12	VYDAJ	PREVOD NA UCET	3448	34423	SIPO	QR	53213423
572135	1947	1995-10-12	VYDAJ	PREVOD NA UCET	3448	37965	SIPO	QR	53213423
572136	1947	1995-11-12	VYDAJ	PREVOD NA UCET	3448	38215	SIPO	QR	53213423
572137	1947	1995-12-12	VYDAJ	PREVOD NA UCET	3448	40574	SIPO	QR	53213423
572138	1947	1996-01-12	VYDAJ	PREVOD NA UCET	3448	37333	SIPO	QR	53213423
572139	1947	1996-02-12	VYDAJ	PREVOD NA UCET	3448	33993	SIPO	QR	53213423
572140	1947	1996-03-12	VYDAJ	PREVOD NA UCET	3448	34566	SIPO	QR	53213423
572141	1947	1996-04-12	VYDAJ	PREVOD NA UCET	3448	38111	SIPO	QR	53213423
572142	1947	1996-05-12	VYDAJ	PREVOD NA UCET	3448	41661	SIPO	QR	53213423
572143	1947	1996-06-12	VYDAJ	PREVOD NA UCET	3448	43465	SIPO	QR	53213423
572144	1947	1996-07-12	VYDAJ	PREVOD NA UCET	3448	32844	SIPO	QR	53213423
572145	1947	1996-08-12	VYDAJ	PREVOD NA UCET	3448	36372	SIPO	QR	53213423
572146	1947	1996-09-12	VYDAJ	PREVOD NA UCET	3448	39916	SIPO	QR	53213423
572147	1947	1996-10-12	VYDAJ	PREVOD NA UCET	3448	40113	SIPO	QR	53213423
572148	1947	1996-11-12	VYDAJ	PREVOD NA UCET	3448	36952	SIPO	QR	53213423
572149	1947	1996-12-12	VYDAJ	PREVOD NA UCET	3448	38735	SIPO	QR	53213423
572150	1947	1997-01-12	VYDAJ	PREVOD NA UCET	3448	37557	SIPO	QR	53213423
572151	1947	1997-02-12	VYDAJ	PREVOD NA UCET	3448	32600	SIPO	QR	53213423
572152	1947	1997-03-12	VYDAJ	PREVOD NA UCET	3448	36126	SIPO	QR	53213423
572153	1947	1997-04-12	VYDAJ	PREVOD NA UCET	3448	38468	SIPO	QR	53213423
572154	1947	1997-05-12	VYDAJ	PREVOD NA UCET	3448	42023	SIPO	QR	53213423
572155	1947	1997-06-12	VYDAJ	PREVOD NA UCET	3448	43669	SIPO	QR	53213423
572156	1947	1997-07-12	VYDAJ	PREVOD NA UCET	3448	28854	SIPO	QR	53213423
572157	1947	1997-08-12	VYDAJ	PREVOD NA UCET	3448	29803	SIPO	QR	53213423
572158	1947	1997-09-12	VYDAJ	PREVOD NA UCET	3448	33318	SIPO	QR	53213423
572159	1947	1997-10-12	VYDAJ	PREVOD NA UCET	3448	36848	SIPO	QR	53213423
572160	1947	1997-11-12	VYDAJ	PREVOD NA UCET	3448	40392	SIPO	QR	53213423
572161	1947	1997-12-12	VYDAJ	PREVOD NA UCET	3448	41749	SIPO	QR	53213423
572162	1947	1998-01-12	VYDAJ	PREVOD NA UCET	3448	44038	SIPO	QR	53213423
572163	1947	1998-02-12	VYDAJ	PREVOD NA UCET	3448	35253	SIPO	QR	53213423
572164	1947	1998-03-12	VYDAJ	PREVOD NA UCET	3448	38789	SIPO	QR	53213423
572165	1947	1998-04-12	VYDAJ	PREVOD NA UCET	3448	38338	SIPO	QR	53213423
572166	1947	1998-05-12	VYDAJ	PREVOD NA UCET	3448	41888	SIPO	QR	53213423
572167	1947	1998-06-12	VYDAJ	PREVOD NA UCET	3448	43602	SIPO	QR	53213423
572168	1947	1998-07-12	VYDAJ	PREVOD NA UCET	3448	47178	SIPO	QR	53213423
572169	1947	1998-08-12	VYDAJ	PREVOD NA UCET	3448	50764	SIPO	QR	53213423
572170	1947	1998-09-12	VYDAJ	PREVOD NA UCET	3448	51405	SIPO	QR	53213423
572171	1947	1998-10-12	VYDAJ	PREVOD NA UCET	3448	54056	SIPO	QR	53213423
572172	1947	1998-11-12	VYDAJ	PREVOD NA UCET	3448	57676	SIPO	QR	53213423
572173	1947	1998-12-12	VYDAJ	PREVOD NA UCET	3448	61305	SIPO	QR	53213423
572177	1947	1996-06-24	VYDAJ	VYBER	13700	29285	\N	\N	\N
572178	1947	1997-06-15	VYDAJ	VYBER	14600	29069	\N	\N	\N
572179	1947	1998-06-10	VYDAJ	VYBER	1850	47050	\N	\N	\N
572182	1947	1995-01-09	VYDAJ	VYBER	1550	28108	\N	\N	\N
572183	1947	1996-01-29	VYDAJ	VYBER	1850	32603	\N	\N	\N
572184	1947	1997-01-22	VYDAJ	VYBER	2100	31297	\N	\N	\N
572185	1947	1998-01-30	VYDAJ	VYBER	4350	31688	\N	\N	\N
572187	1947	1994-12-19	VYDAJ	VYBER	1350	22713	\N	\N	\N
572188	1947	1995-12-03	VYDAJ	VYBER	700	37162	\N	\N	\N
572189	1947	1996-12-26	VYDAJ	VYBER	1450	37285	\N	\N	\N
572190	1947	1997-12-01	VYDAJ	VYBER	800	38337	\N	\N	\N
572191	1947	1998-12-17	VYDAJ	VYBER	700	59005	\N	\N	\N
572204	1947	1995-01-12	VYDAJ	VYBER	1840	22820	\N	\N	\N
572205	1947	1995-01-23	VYDAJ	VYBER	1760	15380	\N	\N	\N
572207	1947	1995-01-19	VYDAJ	VYBER	1120	17140	\N	\N	\N
572208	1947	1995-01-28	VYDAJ	VYBER	1440	13940	\N	\N	\N
572209	1947	1995-01-15	VYDAJ	VYBER	1680	21140	\N	\N	\N
572210	1947	1996-01-30	VYDAJ	VYBER	2160	30443	\N	\N	\N
572211	1947	1996-01-28	VYDAJ	VYBER	800	34453	\N	\N	\N
572212	1947	1996-01-01	VYDAJ	VYBER	1360	36721	\N	\N	\N
572213	1947	1996-01-04	VYDAJ	VYBER	720	36001	\N	\N	\N
572214	1947	1996-01-06	VYDAJ	VYBER	2080	33921	\N	\N	\N
572215	1947	1996-01-21	VYDAJ	VYBER	2080	35253	\N	\N	\N
572216	1947	1997-01-09	VYDAJ	VYBER	1360	41005	\N	\N	\N
572217	1947	1997-01-20	VYDAJ	VYBER	1920	33397	\N	\N	\N
572218	1947	1997-01-07	VYDAJ	VYBER	1920	42365	\N	\N	\N
572219	1947	1997-01-16	VYDAJ	VYBER	2240	35317	\N	\N	\N
572220	1947	1997-01-28	VYDAJ	VYBER	1200	29057	\N	\N	\N
572221	1947	1997-01-26	VYDAJ	VYBER	1040	30257	\N	\N	\N
572222	1947	1998-01-14	VYDAJ	VYBER	480	43558	\N	\N	\N
572223	1947	1998-01-27	VYDAJ	VYBER	1920	36038	\N	\N	\N
572224	1947	1998-01-06	VYDAJ	VYBER	880	40626	\N	\N	\N
572225	1947	1998-01-17	VYDAJ	VYBER	1920	40118	\N	\N	\N
572226	1947	1998-01-17	VYDAJ	VYBER	1520	42038	\N	\N	\N
572227	1947	1998-01-19	VYDAJ	VYBER	2160	37958	\N	\N	\N
572233	1947	1994-08-03	VYDAJ	VYBER	480	22462	\N	\N	\N
572234	1947	1994-09-28	VYDAJ	VYBER	1040	25253	\N	\N	\N
572235	1947	1994-08-16	VYDAJ	VYBER	880	23694	\N	\N	\N
572237	1947	1994-05-06	VYDAJ	VYBER	3280	24346	\N	\N	\N
572238	1947	1995-12-13	VYDAJ	VYBER	2640	37934	\N	\N	\N
572239	1947	1995-01-17	VYDAJ	VYBER	2880	18260	\N	\N	\N
572241	1947	1995-05-11	VYDAJ	VYBER	960	25540	\N	\N	\N
572242	1947	1995-05-08	VYDAJ	VYBER	2000	26500	\N	\N	\N
572243	1947	1995-04-19	VYDAJ	VYBER	2800	21563	\N	\N	\N
572244	1947	1996-10-29	VYDAJ	VYBER	3920	33393	\N	\N	\N
572245	1947	1996-05-25	VYDAJ	VYBER	1760	39901	\N	\N	\N
572246	1947	1996-11-21	VYDAJ	VYBER	1760	35192	\N	\N	\N
572247	1947	1996-03-07	VYDAJ	VYBER	2960	38014	\N	\N	\N
572248	1947	1996-10-17	VYDAJ	VYBER	2800	37313	\N	\N	\N
572249	1947	1996-06-21	VYDAJ	VYBER	480	42985	\N	\N	\N
572250	1947	1996-10-02	VYDAJ	VYBER	3360	36701	\N	\N	\N
572251	1947	1997-07-26	VYDAJ	VYBER	2560	26294	\N	\N	\N
572252	1947	1997-06-15	VYDAJ	VYBER	3760	25309	\N	\N	\N
572253	1947	1997-04-10	VYDAJ	VYBER	1200	41916	\N	\N	\N
572254	1947	1997-06-08	VYDAJ	VYBER	1920	47117	\N	\N	\N
572255	1947	1998-03-20	VYDAJ	VYBER	1360	37429	\N	\N	\N
572256	1947	1998-03-30	VYDAJ	VYBER	2640	34789	\N	\N	\N
572257	1947	1998-09-05	VYDAJ	VYBER	2960	47993	\N	\N	\N
572258	1947	1998-12-13	VYDAJ	VYBER	1600	59705	\N	\N	\N
572259	1947	1998-10-05	VYDAJ	VYBER	960	50644	\N	\N	\N
572276	1947	1994-04-30	VYDAJ	VYBER	15	27626	SLUZBY	\N	\N
572277	1947	1994-05-31	VYDAJ	VYBER	15	24853	SLUZBY	\N	\N
572278	1947	1994-06-30	VYDAJ	VYBER	15	22749	SLUZBY	\N	\N
572279	1947	1994-07-31	VYDAJ	VYBER	15	22942	SLUZBY	\N	\N
572280	1947	1994-08-31	VYDAJ	VYBER	15	23781	SLUZBY	\N	\N
572281	1947	1994-09-30	VYDAJ	VYBER	15	25347	SLUZBY	\N	\N
572282	1947	1994-10-31	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
572283	1947	1994-11-30	VYDAJ	VYBER	15	23551	SLUZBY	\N	\N
572284	1947	1994-12-31	VYDAJ	VYBER	15	22798	SLUZBY	\N	\N
572285	1947	1995-01-31	VYDAJ	VYBER	15	14008	SLUZBY	\N	\N
572286	1947	1995-02-28	VYDAJ	VYBER	15	17472	SLUZBY	\N	\N
572287	1947	1995-03-31	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
572288	1947	1995-04-30	VYDAJ	VYBER	15	21640	SLUZBY	\N	\N
572289	1947	1995-05-31	VYDAJ	VYBER	15	22171	SLUZBY	\N	\N
572290	1947	1995-06-30	VYDAJ	VYBER	15	25670	SLUZBY	\N	\N
572291	1947	1995-07-31	VYDAJ	VYBER	15	29183	SLUZBY	\N	\N
572292	1947	1995-08-31	VYDAJ	VYBER	15	32711	SLUZBY	\N	\N
572293	1947	1995-09-30	VYDAJ	VYBER	15	34553	SLUZBY	\N	\N
572294	1947	1995-10-31	VYDAJ	VYBER	15	38103	SLUZBY	\N	\N
572295	1947	1995-11-30	VYDAJ	VYBER	15	38362	SLUZBY	\N	\N
572296	1947	1995-12-31	VYDAJ	VYBER	15	38081	SLUZBY	\N	\N
572297	1947	1996-01-31	VYDAJ	VYBER	15	30581	SLUZBY	\N	\N
572298	1947	1996-02-29	VYDAJ	VYBER	15	34114	SLUZBY	\N	\N
572299	1947	1996-03-31	VYDAJ	VYBER	15	34699	SLUZBY	\N	\N
572300	1947	1996-04-30	VYDAJ	VYBER	15	38249	SLUZBY	\N	\N
572301	1947	1996-05-31	VYDAJ	VYBER	15	40053	SLUZBY	\N	\N
572302	1947	1996-06-30	VYDAJ	VYBER	15	29432	SLUZBY	\N	\N
572303	1947	1996-07-31	VYDAJ	VYBER	15	32960	SLUZBY	\N	\N
572304	1947	1996-08-31	VYDAJ	VYBER	15	36504	SLUZBY	\N	\N
572305	1947	1996-09-30	VYDAJ	VYBER	15	40061	SLUZBY	\N	\N
572306	1947	1996-10-31	VYDAJ	VYBER	15	33540	SLUZBY	\N	\N
572307	1947	1996-11-30	VYDAJ	VYBER	15	35323	SLUZBY	\N	\N
572308	1947	1996-12-31	VYDAJ	VYBER	15	37425	SLUZBY	\N	\N
572309	1947	1997-01-31	VYDAJ	VYBER	15	29188	SLUZBY	\N	\N
572310	1947	1997-02-28	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
572311	1947	1997-03-31	VYDAJ	VYBER	15	36256	SLUZBY	\N	\N
572312	1947	1997-04-30	VYDAJ	VYBER	15	38611	SLUZBY	\N	\N
572313	1947	1997-05-31	VYDAJ	VYBER	15	42177	SLUZBY	\N	\N
572314	1947	1997-06-30	VYDAJ	VYBER	15	25442	SLUZBY	\N	\N
572315	1947	1997-07-31	VYDAJ	VYBER	15	26391	SLUZBY	\N	\N
572316	1947	1997-08-31	VYDAJ	VYBER	15	29906	SLUZBY	\N	\N
572317	1947	1997-09-30	VYDAJ	VYBER	15	33436	SLUZBY	\N	\N
572318	1947	1997-10-31	VYDAJ	VYBER	15	36980	SLUZBY	\N	\N
572319	1947	1997-11-30	VYDAJ	VYBER	15	39137	SLUZBY	\N	\N
572320	1947	1997-12-31	VYDAJ	VYBER	15	41506	SLUZBY	\N	\N
572321	1947	1998-01-31	VYDAJ	VYBER	15	31841	SLUZBY	\N	\N
572322	1947	1998-02-28	VYDAJ	VYBER	15	35377	SLUZBY	\N	\N
572323	1947	1998-03-31	VYDAJ	VYBER	15	34926	SLUZBY	\N	\N
572324	1947	1998-04-30	VYDAJ	VYBER	15	38476	SLUZBY	\N	\N
572325	1947	1998-05-31	VYDAJ	VYBER	15	42040	SLUZBY	\N	\N
572326	1947	1998-06-30	VYDAJ	VYBER	15	43766	SLUZBY	\N	\N
572327	1947	1998-07-31	VYDAJ	VYBER	15	47352	SLUZBY	\N	\N
572328	1947	1998-08-31	VYDAJ	VYBER	15	50953	SLUZBY	\N	\N
572329	1947	1998-09-30	VYDAJ	VYBER	15	51604	SLUZBY	\N	\N
572330	1947	1998-10-31	VYDAJ	VYBER	15	54264	SLUZBY	\N	\N
572331	1947	1998-11-30	VYDAJ	VYBER	15	57893	SLUZBY	\N	\N
572332	1947	1994-03-12	VYDAJ	VYBER	900	27440	\N	\N	\N
572333	1947	1994-04-11	VYDAJ	VYBER	3400	30974	\N	\N	\N
572334	1947	1994-05-11	VYDAJ	VYBER	3000	28206	\N	\N	\N
572335	1947	1994-06-10	VYDAJ	VYBER	5600	26113	\N	\N	\N
572336	1947	1994-07-10	VYDAJ	VYBER	3300	26309	\N	\N	\N
572337	1947	1994-08-09	VYDAJ	VYBER	1300	28022	\N	\N	\N
572338	1947	1994-09-08	VYDAJ	VYBER	900	29741	\N	\N	\N
572339	1947	1994-10-08	VYDAJ	VYBER	3600	28607	\N	\N	\N
572340	1947	1994-11-07	VYDAJ	VYBER	5200	26911	\N	\N	\N
572341	1947	1994-12-07	VYDAJ	VYBER	2900	27511	\N	\N	\N
572342	1947	1995-09-03	VYDAJ	VYBER	1700	31011	\N	\N	\N
572343	1947	1995-11-02	VYDAJ	VYBER	3300	34803	\N	\N	\N
572344	1947	1995-12-02	VYDAJ	VYBER	500	37862	\N	\N	\N
572345	1947	1997-11-21	VYDAJ	VYBER	1400	38992	\N	\N	\N
572346	1947	1997-12-21	VYDAJ	VYBER	400	41349	\N	\N	\N
572405	1948	1996-04-08	PRIJEM	VKLAD	800	800	\N	\N	\N
572406	1948	1996-07-08	PRIJEM	VKLAD	5027	26791	\N	\N	\N
572408	1948	1996-04-26	PRIJEM	VKLAD	15288	22105	\N	\N	\N
572409	1948	1996-10-13	PRIJEM	VKLAD	32048	89804	\N	\N	\N
572410	1948	1996-11-20	PRIJEM	VKLAD	8171	31676	\N	\N	\N
572411	1948	1996-05-24	PRIJEM	VKLAD	43337	97015	\N	\N	\N
572412	1948	1996-09-05	PRIJEM	VKLAD	22877	54745	\N	\N	\N
572414	1948	1996-04-24	PRIJEM	VKLAD	6017	6817	\N	\N	\N
572415	1948	1996-10-17	PRIJEM	VKLAD	15385	105189	\N	\N	\N
572416	1948	1996-05-30	PRIJEM	VKLAD	9184	106199	\N	\N	\N
572418	1948	1996-09-05	PRIJEM	VKLAD	37787	92532	\N	\N	\N
572419	1948	1996-04-28	PRIJEM	VKLAD	12903	35008	\N	\N	\N
572421	1948	1996-10-07	PRIJEM	VKLAD	27235	65056	\N	\N	\N
572423	1948	1996-05-04	PRIJEM	VKLAD	38022	90935	\N	\N	\N
572424	1948	1996-05-02	PRIJEM	VKLAD	17882	52913	\N	\N	\N
572425	1948	1996-05-05	PRIJEM	VKLAD	49243	140178	\N	\N	\N
572426	1948	1996-08-09	PRIJEM	VKLAD	17561	38329	\N	\N	\N
572427	1948	1997-12-18	PRIJEM	VKLAD	9314	36691	\N	\N	\N
572428	1948	1997-07-04	PRIJEM	VKLAD	49104	84167	\N	\N	\N
572429	1948	1997-10-03	PRIJEM	VKLAD	45338	76560	\N	\N	\N
572430	1948	1997-11-22	PRIJEM	VKLAD	17036	35125	\N	\N	\N
572431	1948	1997-07-13	PRIJEM	VKLAD	15148	92015	\N	\N	\N
572432	1948	1997-04-22	PRIJEM	VKLAD	46109	74607	\N	\N	\N
572433	1948	1997-04-04	PRIJEM	VKLAD	13855	39098	\N	\N	\N
572434	1948	1997-02-09	PRIJEM	VKLAD	7949	32185	\N	\N	\N
572435	1948	1997-11-23	PRIJEM	VKLAD	16731	51856	\N	\N	\N
572436	1948	1997-07-30	PRIJEM	VKLAD	45635	149751	\N	\N	\N
572437	1948	1997-07-16	PRIJEM	VKLAD	12101	104116	\N	\N	\N
572438	1948	1997-02-27	PRIJEM	VKLAD	14711	37350	\N	\N	\N
572439	1948	1997-10-19	PRIJEM	VKLAD	10482	57218	\N	\N	\N
572440	1948	1997-12-20	PRIJEM	VKLAD	15450	52141	\N	\N	\N
572441	1948	1997-06-13	PRIJEM	VKLAD	19972	41618	\N	\N	\N
572442	1948	1997-08-07	PRIJEM	VKLAD	36376	99590	\N	\N	\N
572443	1948	1997-04-23	PRIJEM	VKLAD	32896	107503	\N	\N	\N
572444	1948	1997-02-02	PRIJEM	VKLAD	14023	27167	\N	\N	\N
572445	1948	1997-05-25	PRIJEM	VKLAD	23691	39400	\N	\N	\N
572446	1948	1998-12-15	PRIJEM	VKLAD	14431	64767	\N	\N	\N
572447	1948	1998-08-15	PRIJEM	VKLAD	19229	100530	\N	\N	\N
572448	1948	1998-09-27	PRIJEM	VKLAD	49322	111515	\N	\N	\N
572449	1948	1998-05-25	PRIJEM	VKLAD	44901	130124	\N	\N	\N
572450	1948	1998-03-23	PRIJEM	VKLAD	25248	77311	\N	\N	\N
572451	1948	1998-04-30	PRIJEM	VKLAD	7110	77458	\N	\N	\N
572452	1948	1998-10-12	PRIJEM	VKLAD	35045	82251	\N	\N	\N
572453	1948	1998-11-25	PRIJEM	VKLAD	49516	121728	\N	\N	\N
572454	1948	1998-11-26	PRIJEM	VKLAD	49778	129006	\N	\N	\N
572455	1948	1998-08-31	PRIJEM	VKLAD	29827	136101	\N	\N	\N
572456	1948	1998-08-28	PRIJEM	VKLAD	31944	106274	\N	\N	\N
572457	1948	1998-04-24	PRIJEM	VKLAD	43626	95648	\N	\N	\N
572458	1948	1998-05-17	PRIJEM	VKLAD	14921	48511	\N	\N	\N
572459	1948	1998-12-30	PRIJEM	VKLAD	14452	76219	\N	\N	\N
572460	1948	1998-08-15	PRIJEM	VKLAD	13675	43471	\N	\N	\N
572461	1948	1998-12-05	PRIJEM	VKLAD	15125	121336	\N	\N	\N
572462	1948	1998-05-24	PRIJEM	VKLAD	36712	85223	\N	\N	\N
572463	1948	1998-03-13	PRIJEM	VKLAD	15324	52063	\N	\N	\N
572464	1948	1998-07-28	PRIJEM	VKLAD	19282	56052	\N	\N	\N
572465	1948	1998-10-31	PRIJEM	VKLAD	45420	100126	\N	\N	\N
572466	1948	1998-08-15	PRIJEM	VKLAD	37830	81301	\N	\N	\N
572467	1948	1998-02-28	PRIJEM	VKLAD	11547	43941	\N	\N	\N
572472	1948	1996-05-07	VYDAJ	PREVOD NA UCET	731	95947	SIPO	GH	89471458
572473	1948	1996-06-07	VYDAJ	PREVOD NA UCET	731	37648	SIPO	GH	89471458
572474	1948	1996-07-07	VYDAJ	PREVOD NA UCET	731	23264	SIPO	GH	89471458
572475	1948	1996-08-07	VYDAJ	PREVOD NA UCET	731	20768	SIPO	GH	89471458
572476	1948	1996-09-07	VYDAJ	PREVOD NA UCET	731	56301	SIPO	GH	89471458
572477	1948	1996-10-07	VYDAJ	PREVOD NA UCET	731	64325	SIPO	GH	89471458
572478	1948	1996-11-07	VYDAJ	PREVOD NA UCET	731	41474	SIPO	GH	89471458
572479	1948	1996-12-07	VYDAJ	PREVOD NA UCET	731	26580	SIPO	GH	89471458
572480	1948	1997-01-07	VYDAJ	PREVOD NA UCET	731	21163	SIPO	GH	89471458
572481	1948	1997-02-07	VYDAJ	PREVOD NA UCET	731	24236	SIPO	GH	89471458
572482	1948	1997-03-07	VYDAJ	PREVOD NA UCET	731	32509	SIPO	GH	89471458
572483	1948	1997-04-07	VYDAJ	PREVOD NA UCET	731	38367	SIPO	GH	89471458
572484	1948	1997-05-07	VYDAJ	PREVOD NA UCET	731	46972	SIPO	GH	89471458
572485	1948	1997-06-07	VYDAJ	PREVOD NA UCET	731	28215	SIPO	GH	89471458
572486	1948	1997-07-07	VYDAJ	PREVOD NA UCET	731	83436	SIPO	GH	89471458
572487	1948	1997-08-07	VYDAJ	PREVOD NA UCET	731	98859	SIPO	GH	89471458
572488	1948	1997-09-07	VYDAJ	PREVOD NA UCET	731	58537	SIPO	GH	89471458
572489	1948	1997-10-07	VYDAJ	PREVOD NA UCET	731	75829	SIPO	GH	89471458
572490	1948	1997-11-07	VYDAJ	PREVOD NA UCET	731	37678	SIPO	GH	89471458
572491	1948	1997-12-07	VYDAJ	PREVOD NA UCET	731	36646	SIPO	GH	89471458
572492	1948	1998-01-07	VYDAJ	PREVOD NA UCET	731	33560	SIPO	GH	89471458
572493	1948	1998-02-07	VYDAJ	PREVOD NA UCET	731	29963	SIPO	GH	89471458
572494	1948	1998-03-07	VYDAJ	PREVOD NA UCET	731	43308	SIPO	GH	89471458
572495	1948	1998-04-07	VYDAJ	PREVOD NA UCET	731	58591	SIPO	GH	89471458
572496	1948	1998-05-07	VYDAJ	PREVOD NA UCET	731	64673	SIPO	GH	89471458
572497	1948	1998-06-07	VYDAJ	PREVOD NA UCET	731	67560	SIPO	GH	89471458
572498	1948	1998-07-07	VYDAJ	PREVOD NA UCET	731	37370	SIPO	GH	89471458
572499	1948	1998-08-07	VYDAJ	PREVOD NA UCET	731	55458	SIPO	GH	89471458
572500	1948	1998-09-07	VYDAJ	PREVOD NA UCET	731	83662	SIPO	GH	89471458
572501	1948	1998-10-07	VYDAJ	PREVOD NA UCET	731	47206	SIPO	GH	89471458
572502	1948	1998-11-07	VYDAJ	PREVOD NA UCET	731	99381	SIPO	GH	89471458
572503	1948	1998-12-07	VYDAJ	PREVOD NA UCET	731	56905	SIPO	GH	89471458
572508	1948	1996-05-12	VYDAJ	PREVOD NA UCET	6569	53678	 	OP	4367113
572509	1948	1996-06-12	VYDAJ	PREVOD NA UCET	6569	31079	 	OP	4367113
572510	1948	1996-07-12	VYDAJ	PREVOD NA UCET	6569	20222	 	OP	4367113
572511	1948	1996-08-12	VYDAJ	PREVOD NA UCET	6569	31760	 	OP	4367113
572512	1948	1996-09-12	VYDAJ	PREVOD NA UCET	6569	49732	 	OP	4367113
572513	1948	1996-10-12	VYDAJ	PREVOD NA UCET	6569	57756	 	OP	4367113
572514	1948	1996-11-12	VYDAJ	PREVOD NA UCET	6569	23505	 	OP	4367113
572515	1948	1996-12-12	VYDAJ	PREVOD NA UCET	6569	20011	 	OP	4367113
572516	1948	1997-01-12	VYDAJ	PREVOD NA UCET	6569	13094	 	OP	4367113
572517	1948	1997-02-12	VYDAJ	PREVOD NA UCET	6569	22639	 	OP	4367113
572518	1948	1997-03-12	VYDAJ	PREVOD NA UCET	6569	25940	 	OP	4367113
572519	1948	1997-04-12	VYDAJ	PREVOD NA UCET	6569	28498	 	OP	4367113
572520	1948	1997-05-12	VYDAJ	PREVOD NA UCET	6569	15709	 	OP	4367113
572521	1948	1997-06-12	VYDAJ	PREVOD NA UCET	6569	21646	 	OP	4367113
572522	1948	1997-07-12	VYDAJ	PREVOD NA UCET	6569	76867	 	OP	4367113
572523	1948	1997-08-12	VYDAJ	PREVOD NA UCET	6569	92290	 	OP	4367113
572524	1948	1997-09-12	VYDAJ	PREVOD NA UCET	6569	51968	 	OP	4367113
572525	1948	1997-10-12	VYDAJ	PREVOD NA UCET	6569	46736	 	OP	4367113
572526	1948	1997-11-12	VYDAJ	PREVOD NA UCET	6569	18089	 	OP	4367113
572527	1948	1997-12-12	VYDAJ	PREVOD NA UCET	6569	27377	 	OP	4367113
572528	1948	1998-01-12	VYDAJ	PREVOD NA UCET	6569	22491	 	OP	4367113
572529	1948	1998-02-12	VYDAJ	PREVOD NA UCET	6569	23394	 	OP	4367113
572530	1948	1998-03-12	VYDAJ	PREVOD NA UCET	6569	36739	 	OP	4367113
572531	1948	1998-04-12	VYDAJ	PREVOD NA UCET	6569	52022	 	OP	4367113
572532	1948	1998-05-12	VYDAJ	PREVOD NA UCET	6569	58104	 	OP	4367113
572533	1948	1998-06-12	VYDAJ	PREVOD NA UCET	6569	60991	 	OP	4367113
572534	1948	1998-07-12	VYDAJ	PREVOD NA UCET	6569	30801	 	OP	4367113
572535	1948	1998-08-12	VYDAJ	PREVOD NA UCET	6569	29796	 	OP	4367113
572536	1948	1998-09-12	VYDAJ	PREVOD NA UCET	6569	77093	 	OP	4367113
572537	1948	1998-10-12	VYDAJ	PREVOD NA UCET	6569	75682	 	OP	4367113
572538	1948	1998-11-12	VYDAJ	PREVOD NA UCET	6569	92812	 	OP	4367113
572539	1948	1998-12-12	VYDAJ	PREVOD NA UCET	6569	50336	 	OP	4367113
572540	1948	1996-11-05	VYBER	VYBER	2617	42205	\N	\N	\N
572546	1948	1997-11-09	VYBER	VYBER	13020	24658	\N	\N	\N
572548	1948	1997-05-12	VYBER	VYBER	24694	22278	\N	\N	\N
572549	1948	1997-09-26	VYBER	VYBER	16947	35021	\N	\N	\N
572550	1948	1997-02-10	VYBER	VYBER	2977	29208	\N	\N	\N
572551	1948	1997-10-09	VYBER	VYBER	22524	53305	\N	\N	\N
572553	1948	1998-08-08	VYBER	VYBER	19093	36365	\N	\N	\N
572554	1948	1998-10-23	VYBER	VYBER	6631	61551	\N	\N	\N
572557	1948	1998-05-13	VYBER	VYBER	24514	33590	\N	\N	\N
572558	1948	1998-07-25	VYBER	VYBER	2431	28370	\N	\N	\N
572562	1948	1998-06-20	VYDAJ	VYBER	34200	26791	\N	\N	\N
572564	1948	1997-12-10	VYDAJ	VYBER	2700	33946	\N	\N	\N
572565	1948	1998-12-02	VYDAJ	VYBER	3900	106211	\N	\N	\N
572575	1948	1997-01-10	VYDAJ	VYBER	1500	19663	\N	\N	\N
572580	1948	1998-01-07	VYDAJ	VYBER	2400	31160	\N	\N	\N
572583	1948	1998-01-05	VYDAJ	VYBER	5400	34291	\N	\N	\N
572585	1948	1996-06-13	VYDAJ	VYBER	7200	23879	\N	\N	\N
572588	1948	1996-11-09	VYDAJ	VYBER	11400	30074	\N	\N	\N
572589	1948	1997-04-08	VYDAJ	VYBER	3300	35067	\N	\N	\N
572590	1948	1997-03-20	VYDAJ	VYBER	2700	23240	\N	\N	\N
572594	1948	1998-01-09	VYDAJ	VYBER	2100	29060	\N	\N	\N
572595	1948	1998-05-03	VYDAJ	VYBER	12300	65404	\N	\N	\N
572598	1948	1998-10-18	VYDAJ	VYBER	7500	68182	\N	\N	\N
572599	1948	1998-06-01	VYDAJ	VYBER	8100	68291	\N	\N	\N
572605	1948	1996-05-31	VYDAJ	VYBER	15	49079	SLUZBY	\N	\N
572606	1948	1996-06-30	VYDAJ	VYBER	15	23995	SLUZBY	\N	\N
572607	1948	1996-07-31	VYDAJ	VYBER	15	20299	SLUZBY	\N	\N
572608	1948	1996-08-31	VYDAJ	VYBER	15	31868	SLUZBY	\N	\N
572609	1948	1996-09-30	VYDAJ	VYBER	15	49921	SLUZBY	\N	\N
572610	1948	1996-10-31	VYDAJ	VYBER	15	70622	SLUZBY	\N	\N
572611	1948	1996-11-30	VYDAJ	VYBER	15	31811	SLUZBY	\N	\N
572612	1948	1996-12-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
572613	1948	1997-01-31	VYDAJ	VYBER	15	13144	SLUZBY	\N	\N
572614	1948	1997-02-28	VYDAJ	VYBER	15	37440	SLUZBY	\N	\N
572615	1948	1997-03-31	VYDAJ	VYBER	15	23343	SLUZBY	\N	\N
572616	1948	1997-04-30	VYDAJ	VYBER	15	67003	SLUZBY	\N	\N
572617	1948	1997-05-31	VYDAJ	VYBER	15	39546	SLUZBY	\N	\N
572618	1948	1997-06-30	VYDAJ	VYBER	15	41763	SLUZBY	\N	\N
572619	1948	1997-07-31	VYDAJ	VYBER	15	102514	SLUZBY	\N	\N
572620	1948	1997-08-31	VYDAJ	VYBER	15	92668	SLUZBY	\N	\N
572621	1948	1997-09-30	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
572622	1948	1997-10-31	VYDAJ	VYBER	15	38409	SLUZBY	\N	\N
572623	1948	1997-11-30	VYDAJ	VYBER	15	37377	SLUZBY	\N	\N
572624	1948	1997-12-31	VYDAJ	VYBER	15	39691	SLUZBY	\N	\N
572625	1948	1998-01-31	VYDAJ	VYBER	15	30694	SLUZBY	\N	\N
572626	1948	1998-02-28	VYDAJ	VYBER	15	44039	SLUZBY	\N	\N
572627	1948	1998-03-31	VYDAJ	VYBER	15	59322	SLUZBY	\N	\N
572628	1948	1998-04-30	VYDAJ	VYBER	15	77704	SLUZBY	\N	\N
572629	1948	1998-05-31	VYDAJ	VYBER	15	76391	SLUZBY	\N	\N
572630	1948	1998-06-30	VYDAJ	VYBER	15	38101	SLUZBY	\N	\N
572631	1948	1998-07-31	VYDAJ	VYBER	15	56189	SLUZBY	\N	\N
572632	1948	1998-08-31	VYDAJ	VYBER	15	106793	SLUZBY	\N	\N
572633	1948	1998-09-30	VYDAJ	VYBER	15	111837	SLUZBY	\N	\N
572634	1948	1998-10-31	VYDAJ	VYBER	15	100112	SLUZBY	\N	\N
572635	1948	1998-11-30	VYDAJ	VYBER	15	110111	SLUZBY	\N	\N
572636	1948	1996-05-05	VYDAJ	VYBER	43500	96678	\N	\N	\N
572637	1948	1996-05-08	VYDAJ	VYBER	35700	60247	\N	\N	\N
572638	1948	1996-05-30	VYDAJ	VYBER	57400	48799	\N	\N	\N
572639	1948	1996-06-07	VYDAJ	VYBER	10700	38379	\N	\N	\N
572640	1948	1996-07-07	VYDAJ	VYBER	1500	21764	\N	\N	\N
572641	1948	1996-08-06	PRIJEM	VKLAD	1200	21499	\N	\N	\N
572642	1948	1996-09-05	VYDAJ	VYBER	35500	57032	\N	\N	\N
572643	1948	1996-10-05	VYDAJ	VYBER	12100	37821	\N	\N	\N
572644	1948	1996-10-17	VYDAJ	VYBER	34900	70289	\N	\N	\N
572645	1948	1996-11-04	VYDAJ	VYBER	25800	44822	\N	\N	\N
572646	1948	1996-12-04	VYDAJ	VYBER	4500	27311	\N	\N	\N
572647	1948	1997-01-03	PRIJEM	VKLAD	1800	21894	\N	\N	\N
572648	1948	1997-02-02	VYDAJ	VYBER	2200	24967	\N	\N	\N
572649	1948	1997-03-04	VYDAJ	VYBER	4200	33240	\N	\N	\N
572650	1948	1997-04-03	PRIJEM	VKLAD	1900	25243	\N	\N	\N
572651	1948	1997-04-23	VYDAJ	VYBER	40700	66803	\N	\N	\N
572652	1948	1997-05-03	VYDAJ	VYBER	19300	47703	\N	\N	\N
572653	1948	1997-06-02	VYDAJ	VYBER	10600	28946	\N	\N	\N
572654	1948	1997-07-02	VYDAJ	VYBER	6700	35063	\N	\N	\N
572655	1948	1997-07-30	VYDAJ	VYBER	47600	102151	\N	\N	\N
572656	1948	1997-08-01	VYDAJ	VYBER	39300	63214	\N	\N	\N
572657	1948	1997-08-31	VYDAJ	VYBER	33400	59268	\N	\N	\N
572658	1948	1997-09-30	VYDAJ	VYBER	4000	31236	\N	\N	\N
572659	1948	1997-10-30	VYDAJ	VYBER	19000	38218	\N	\N	\N
572660	1948	1997-11-29	VYDAJ	VYBER	14600	37256	\N	\N	\N
572661	1948	1997-12-29	VYDAJ	VYBER	12600	39541	\N	\N	\N
572662	1948	1998-01-28	PRIJEM	VKLAD	8100	30591	\N	\N	\N
572663	1948	1998-02-27	PRIJEM	VKLAD	9000	32394	\N	\N	\N
572664	1948	1998-03-29	VYDAJ	VYBER	18200	59111	\N	\N	\N
572665	1948	1998-04-28	VYDAJ	VYBER	25300	70348	\N	\N	\N
572666	1948	1998-05-25	VYDAJ	VYBER	18700	111424	\N	\N	\N
572667	1948	1998-05-28	VYDAJ	VYBER	35300	76124	\N	\N	\N
572668	1948	1998-06-27	PRIJEM	VKLAD	11100	37891	\N	\N	\N
572669	1948	1998-07-27	PRIJEM	VKLAD	8400	36770	\N	\N	\N
572670	1948	1998-08-26	VYDAJ	VYBER	26200	74330	\N	\N	\N
572671	1948	1998-08-31	VYDAJ	VYBER	29600	106807	\N	\N	\N
572672	1948	1998-08-31	VYDAJ	VYBER	22400	84393	\N	\N	\N
572673	1948	1998-09-25	VYDAJ	VYBER	14900	62193	\N	\N	\N
572674	1948	1998-09-30	VYDAJ	VYBER	63900	47937	\N	\N	\N
572675	1948	1998-10-25	VYDAJ	VYBER	7100	54451	\N	\N	\N
572676	1948	1998-11-24	VYDAJ	VYBER	20600	72212	\N	\N	\N
572677	1948	1998-11-25	VYDAJ	VYBER	42500	79228	\N	\N	\N
572678	1948	1998-11-26	VYDAJ	VYBER	19300	109706	\N	\N	\N
572679	1948	1998-12-05	VYDAJ	VYBER	63700	57636	\N	\N	\N
572680	1948	1998-12-24	VYDAJ	VYBER	3000	61767	\N	\N	\N
572714	1949	1994-05-04	PRIJEM	VKLAD	500	500	\N	\N	\N
572719	1949	1994-05-11	PRIJEM	VKLAD	11845	12345	\N	\N	\N
572720	1949	1994-06-11	PRIJEM	VKLAD	17768	36747	\N	\N	\N
572721	1949	1994-07-11	PRIJEM	VKLAD	11845	41912	\N	\N	\N
572722	1949	1994-08-11	PRIJEM	VKLAD	11845	46224	\N	\N	\N
572723	1949	1994-09-11	PRIJEM	VKLAD	11845	45156	\N	\N	\N
572724	1949	1994-10-11	PRIJEM	VKLAD	11845	44731	\N	\N	\N
572725	1949	1994-11-11	PRIJEM	VKLAD	11845	40979	\N	\N	\N
572726	1949	1994-12-11	PRIJEM	VKLAD	17768	50045	\N	\N	\N
572727	1949	1995-01-11	PRIJEM	VKLAD	11845	41963	\N	\N	\N
572728	1949	1995-02-11	PRIJEM	VKLAD	11845	30521	\N	\N	\N
572729	1949	1995-03-11	PRIJEM	VKLAD	11845	35755	\N	\N	\N
572730	1949	1995-04-11	PRIJEM	VKLAD	11845	33326	\N	\N	\N
572731	1949	1995-05-11	PRIJEM	VKLAD	11845	34819	\N	\N	\N
572732	1949	1995-06-11	PRIJEM	VKLAD	17768	41235	\N	\N	\N
572733	1949	1995-07-11	PRIJEM	VKLAD	11845	43283	\N	\N	\N
572734	1949	1995-08-11	PRIJEM	VKLAD	11845	43730	\N	\N	\N
572735	1949	1995-09-11	PRIJEM	VKLAD	11845	42391	\N	\N	\N
572736	1949	1995-10-11	PRIJEM	VKLAD	11845	41334	\N	\N	\N
572737	1949	1995-11-11	PRIJEM	VKLAD	11845	40187	\N	\N	\N
572738	1949	1995-12-11	PRIJEM	VKLAD	17768	44660	\N	\N	\N
572739	1949	1996-01-11	PRIJEM	VKLAD	11845	43366	\N	\N	\N
572740	1949	1996-02-11	PRIJEM	VKLAD	11845	38953	\N	\N	\N
572741	1949	1996-03-11	PRIJEM	VKLAD	11845	40593	\N	\N	\N
572742	1949	1996-04-11	PRIJEM	VKLAD	11845	34203	\N	\N	\N
572743	1949	1996-05-11	PRIJEM	VKLAD	11845	32906	\N	\N	\N
572744	1949	1996-06-11	PRIJEM	VKLAD	17768	43935	\N	\N	\N
572745	1949	1996-07-11	PRIJEM	VKLAD	11845	45585	\N	\N	\N
572746	1949	1996-08-11	PRIJEM	VKLAD	11845	47551	\N	\N	\N
572747	1949	1996-09-11	PRIJEM	VKLAD	11845	46919	\N	\N	\N
572748	1949	1996-10-11	PRIJEM	VKLAD	11845	45156	\N	\N	\N
572749	1949	1996-11-11	PRIJEM	VKLAD	11845	45907	\N	\N	\N
572750	1949	1996-12-11	PRIJEM	VKLAD	17768	44692	\N	\N	\N
572751	1949	1997-01-11	PRIJEM	VKLAD	11845	32187	\N	\N	\N
572752	1949	1997-02-11	PRIJEM	VKLAD	11845	32774	\N	\N	\N
572753	1949	1997-03-11	PRIJEM	VKLAD	11845	40884	\N	\N	\N
572754	1949	1997-04-11	PRIJEM	VKLAD	11845	39333	\N	\N	\N
572755	1949	1997-05-11	PRIJEM	VKLAD	11845	45067	\N	\N	\N
572756	1949	1997-06-11	PRIJEM	VKLAD	17768	52640	\N	\N	\N
572757	1949	1997-07-11	PRIJEM	VKLAD	11845	38279	\N	\N	\N
572758	1949	1997-08-11	PRIJEM	VKLAD	11845	43714	\N	\N	\N
572759	1949	1997-09-11	PRIJEM	VKLAD	11845	46866	\N	\N	\N
572760	1949	1997-10-11	PRIJEM	VKLAD	11845	43475	\N	\N	\N
572761	1949	1997-11-11	PRIJEM	VKLAD	11845	45819	\N	\N	\N
572762	1949	1997-12-11	PRIJEM	VKLAD	17768	52791	\N	\N	\N
572763	1949	1998-01-11	PRIJEM	VKLAD	11845	47135	\N	\N	\N
572764	1949	1998-02-11	PRIJEM	VKLAD	11845	36518	\N	\N	\N
572765	1949	1998-03-11	PRIJEM	VKLAD	11845	38906	\N	\N	\N
572766	1949	1998-04-11	PRIJEM	VKLAD	11845	43340	\N	\N	\N
572767	1949	1998-05-11	PRIJEM	VKLAD	11845	44648	\N	\N	\N
572768	1949	1998-06-11	PRIJEM	VKLAD	17768	45739	\N	\N	\N
572769	1949	1998-07-11	PRIJEM	VKLAD	11845	48793	\N	\N	\N
572770	1949	1998-08-11	PRIJEM	VKLAD	11845	49353	\N	\N	\N
572771	1949	1998-09-11	PRIJEM	VKLAD	11845	49112	\N	\N	\N
572772	1949	1998-10-11	PRIJEM	VKLAD	11845	52902	\N	\N	\N
572773	1949	1998-11-11	PRIJEM	VKLAD	11845	47008	\N	\N	\N
572774	1949	1998-12-11	PRIJEM	VKLAD	17768	51504	\N	\N	\N
572783	1949	1994-09-11	VYDAJ	PREVOD NA UCET	6888	38268	SIPO	GH	62772446
572784	1949	1994-10-11	VYDAJ	PREVOD NA UCET	6888	37843	SIPO	GH	62772446
572785	1949	1994-11-11	VYDAJ	PREVOD NA UCET	6888	34091	SIPO	GH	62772446
572786	1949	1994-12-11	VYDAJ	PREVOD NA UCET	6888	43157	SIPO	GH	62772446
572787	1949	1995-01-11	VYDAJ	PREVOD NA UCET	6888	34588	SIPO	GH	62772446
572788	1949	1995-02-11	VYDAJ	PREVOD NA UCET	6888	23633	SIPO	GH	62772446
572789	1949	1995-03-11	VYDAJ	PREVOD NA UCET	6888	28380	SIPO	GH	62772446
572790	1949	1995-04-11	VYDAJ	PREVOD NA UCET	6888	26438	SIPO	GH	62772446
572791	1949	1995-05-11	VYDAJ	PREVOD NA UCET	6888	27931	SIPO	GH	62772446
572792	1949	1995-06-11	VYDAJ	PREVOD NA UCET	6888	33860	SIPO	GH	62772446
572793	1949	1995-07-11	VYDAJ	PREVOD NA UCET	6888	35908	SIPO	GH	62772446
572794	1949	1995-08-11	VYDAJ	PREVOD NA UCET	6888	36355	SIPO	GH	62772446
572795	1949	1995-09-11	VYDAJ	PREVOD NA UCET	6888	35503	SIPO	GH	62772446
572796	1949	1995-10-11	VYDAJ	PREVOD NA UCET	6888	34446	SIPO	GH	62772446
572797	1949	1995-11-11	VYDAJ	PREVOD NA UCET	6888	32812	SIPO	GH	62772446
572798	1949	1995-12-11	VYDAJ	PREVOD NA UCET	6888	37772	SIPO	GH	62772446
572799	1949	1996-01-11	VYDAJ	PREVOD NA UCET	6888	36478	SIPO	GH	62772446
572800	1949	1996-02-11	VYDAJ	PREVOD NA UCET	6888	31578	SIPO	GH	62772446
572801	1949	1996-03-11	VYDAJ	PREVOD NA UCET	6888	33218	SIPO	GH	62772446
572802	1949	1996-04-11	VYDAJ	PREVOD NA UCET	6888	26828	SIPO	GH	62772446
572803	1949	1996-05-11	VYDAJ	PREVOD NA UCET	6888	25531	SIPO	GH	62772446
572804	1949	1996-06-11	VYDAJ	PREVOD NA UCET	6888	36560	SIPO	GH	62772446
572805	1949	1996-07-11	VYDAJ	PREVOD NA UCET	6888	38210	SIPO	GH	62772446
572806	1949	1996-08-11	VYDAJ	PREVOD NA UCET	6888	40176	SIPO	GH	62772446
572807	1949	1996-09-11	VYDAJ	PREVOD NA UCET	6888	39544	SIPO	GH	62772446
572808	1949	1996-10-11	VYDAJ	PREVOD NA UCET	6888	37781	SIPO	GH	62772446
572809	1949	1996-11-11	VYDAJ	PREVOD NA UCET	6888	39019	SIPO	GH	62772446
572810	1949	1996-12-11	VYDAJ	PREVOD NA UCET	6888	37317	SIPO	GH	62772446
572811	1949	1997-01-11	VYDAJ	PREVOD NA UCET	6888	25299	SIPO	GH	62772446
572812	1949	1997-02-11	VYDAJ	PREVOD NA UCET	6888	25886	SIPO	GH	62772446
572813	1949	1997-03-11	VYDAJ	PREVOD NA UCET	6888	33509	SIPO	GH	62772446
572814	1949	1997-04-11	VYDAJ	PREVOD NA UCET	6888	32445	SIPO	GH	62772446
572815	1949	1997-05-11	VYDAJ	PREVOD NA UCET	6888	37692	SIPO	GH	62772446
572816	1949	1997-06-11	VYDAJ	PREVOD NA UCET	6888	45752	SIPO	GH	62772446
572817	1949	1997-07-11	VYDAJ	PREVOD NA UCET	6888	30904	SIPO	GH	62772446
572818	1949	1997-08-11	VYDAJ	PREVOD NA UCET	6888	36826	SIPO	GH	62772446
572819	1949	1997-09-11	VYDAJ	PREVOD NA UCET	6888	39491	SIPO	GH	62772446
572820	1949	1997-10-11	VYDAJ	PREVOD NA UCET	6888	36100	SIPO	GH	62772446
572821	1949	1997-11-11	VYDAJ	PREVOD NA UCET	6888	38444	SIPO	GH	62772446
572822	1949	1997-12-11	VYDAJ	PREVOD NA UCET	6888	45903	SIPO	GH	62772446
572823	1949	1998-01-11	VYDAJ	PREVOD NA UCET	6888	40247	SIPO	GH	62772446
572824	1949	1998-02-11	VYDAJ	PREVOD NA UCET	6888	29143	SIPO	GH	62772446
572825	1949	1998-03-11	VYDAJ	PREVOD NA UCET	6888	32018	SIPO	GH	62772446
572826	1949	1998-04-11	VYDAJ	PREVOD NA UCET	6888	35965	SIPO	GH	62772446
572827	1949	1998-05-11	VYDAJ	PREVOD NA UCET	6888	37760	SIPO	GH	62772446
572828	1949	1998-06-11	VYDAJ	PREVOD NA UCET	6888	38851	SIPO	GH	62772446
572829	1949	1998-07-11	VYDAJ	PREVOD NA UCET	6888	41905	SIPO	GH	62772446
572830	1949	1998-08-11	VYDAJ	PREVOD NA UCET	6888	37678	SIPO	GH	62772446
572831	1949	1998-09-11	VYDAJ	PREVOD NA UCET	6888	41737	SIPO	GH	62772446
572832	1949	1998-10-11	VYDAJ	PREVOD NA UCET	6888	45527	SIPO	GH	62772446
572833	1949	1998-11-11	VYDAJ	PREVOD NA UCET	6888	39633	SIPO	GH	62772446
572834	1949	1998-12-11	VYDAJ	PREVOD NA UCET	6888	44129	SIPO	GH	62772446
572844	1949	1994-10-05	VYDAJ	PREVOD NA UCET	107	32929	 	UV	70580106
572845	1949	1994-11-05	VYDAJ	PREVOD NA UCET	107	29177	 	UV	70580106
572846	1949	1994-12-05	VYDAJ	PREVOD NA UCET	107	32321	 	UV	70580106
572847	1949	1995-01-05	VYDAJ	PREVOD NA UCET	107	35081	 	UV	70580106
572848	1949	1995-02-05	VYDAJ	PREVOD NA UCET	107	18719	 	UV	70580106
572849	1949	1995-03-05	VYDAJ	PREVOD NA UCET	107	23953	 	UV	70580106
572850	1949	1995-04-05	VYDAJ	PREVOD NA UCET	107	25124	 	UV	70580106
572851	1949	1995-05-05	VYDAJ	PREVOD NA UCET	107	23017	 	UV	70580106
572852	1949	1995-06-05	VYDAJ	PREVOD NA UCET	107	23511	 	UV	70580106
572853	1949	1995-07-05	VYDAJ	PREVOD NA UCET	107	31481	 	UV	70580106
572854	1949	1995-08-05	VYDAJ	PREVOD NA UCET	107	31928	 	UV	70580106
572855	1949	1995-09-05	VYDAJ	PREVOD NA UCET	107	30589	 	UV	70580106
572856	1949	1995-10-05	VYDAJ	PREVOD NA UCET	107	29532	 	UV	70580106
572857	1949	1995-11-05	VYDAJ	PREVOD NA UCET	107	30785	 	UV	70580106
572858	1949	1995-12-05	VYDAJ	PREVOD NA UCET	107	26935	 	UV	70580106
572859	1949	1996-01-05	VYDAJ	PREVOD NA UCET	107	32404	 	UV	70580106
572860	1949	1996-02-05	VYDAJ	PREVOD NA UCET	107	27151	 	UV	70580106
572861	1949	1996-03-05	VYDAJ	PREVOD NA UCET	107	28791	 	UV	70580106
572862	1949	1996-04-05	VYDAJ	PREVOD NA UCET	107	22401	 	UV	70580106
572863	1949	1996-05-05	VYDAJ	PREVOD NA UCET	107	21104	 	UV	70580106
572864	1949	1996-06-05	VYDAJ	PREVOD NA UCET	107	26210	 	UV	70580106
572865	1949	1996-07-05	VYDAJ	PREVOD NA UCET	107	33783	 	UV	70580106
572866	1949	1996-08-05	VYDAJ	PREVOD NA UCET	107	35749	 	UV	70580106
572867	1949	1996-09-05	VYDAJ	PREVOD NA UCET	107	35117	 	UV	70580106
572868	1949	1996-10-05	VYDAJ	PREVOD NA UCET	107	33354	 	UV	70580106
572869	1949	1996-11-05	VYDAJ	PREVOD NA UCET	107	34105	 	UV	70580106
572870	1949	1996-12-05	VYDAJ	PREVOD NA UCET	107	26968	 	UV	70580106
572871	1949	1997-01-05	VYDAJ	PREVOD NA UCET	107	21105	 	UV	70580106
572872	1949	1997-02-05	VYDAJ	PREVOD NA UCET	107	20972	 	UV	70580106
572873	1949	1997-03-05	VYDAJ	PREVOD NA UCET	107	29082	 	UV	70580106
572874	1949	1997-04-05	VYDAJ	PREVOD NA UCET	107	27531	 	UV	70580106
572875	1949	1997-05-05	VYDAJ	PREVOD NA UCET	107	33265	 	UV	70580106
572876	1949	1997-06-05	VYDAJ	PREVOD NA UCET	107	34915	 	UV	70580106
572877	1949	1997-07-05	VYDAJ	PREVOD NA UCET	107	26477	 	UV	70580106
572878	1949	1997-08-05	VYDAJ	PREVOD NA UCET	107	31912	 	UV	70580106
572879	1949	1997-09-05	VYDAJ	PREVOD NA UCET	107	35064	 	UV	70580106
572880	1949	1997-10-05	VYDAJ	PREVOD NA UCET	107	31673	 	UV	70580106
572881	1949	1997-11-05	VYDAJ	PREVOD NA UCET	107	34017	 	UV	70580106
572882	1949	1997-12-05	VYDAJ	PREVOD NA UCET	107	35067	 	UV	70580106
572883	1949	1998-01-05	VYDAJ	PREVOD NA UCET	107	37253	 	UV	70580106
572884	1949	1998-02-05	VYDAJ	PREVOD NA UCET	107	24716	 	UV	70580106
572885	1949	1998-03-05	VYDAJ	PREVOD NA UCET	107	27104	 	UV	70580106
572886	1949	1998-04-05	VYDAJ	PREVOD NA UCET	107	31538	 	UV	70580106
572887	1949	1998-05-05	VYDAJ	PREVOD NA UCET	107	32846	 	UV	70580106
572888	1949	1998-06-05	VYDAJ	PREVOD NA UCET	107	35694	 	UV	70580106
572889	1949	1998-07-05	VYDAJ	PREVOD NA UCET	107	36991	 	UV	70580106
572890	1949	1998-08-05	VYDAJ	PREVOD NA UCET	107	37551	 	UV	70580106
572891	1949	1998-09-05	VYDAJ	PREVOD NA UCET	107	37710	 	UV	70580106
572892	1949	1998-10-05	VYDAJ	PREVOD NA UCET	107	41800	 	UV	70580106
572893	1949	1998-11-05	VYDAJ	PREVOD NA UCET	107	45606	 	UV	70580106
572894	1949	1998-12-05	VYDAJ	PREVOD NA UCET	107	39679	 	UV	70580106
572904	1949	1994-10-07	VYDAJ	PREVOD NA UCET	43	32886	POJISTNE	OP	83566981
572905	1949	1994-11-07	VYDAJ	PREVOD NA UCET	43	29134	POJISTNE	OP	83566981
572906	1949	1994-12-07	VYDAJ	PREVOD NA UCET	43	32278	POJISTNE	OP	83566981
572907	1949	1995-01-07	VYDAJ	PREVOD NA UCET	43	33598	POJISTNE	OP	83566981
572908	1949	1995-02-07	VYDAJ	PREVOD NA UCET	43	18676	POJISTNE	OP	83566981
572909	1949	1995-03-07	VYDAJ	PREVOD NA UCET	43	23910	POJISTNE	OP	83566981
572910	1949	1995-04-07	VYDAJ	PREVOD NA UCET	43	25081	POJISTNE	OP	83566981
572911	1949	1995-05-07	VYDAJ	PREVOD NA UCET	43	22974	POJISTNE	OP	83566981
572912	1949	1995-06-07	VYDAJ	PREVOD NA UCET	43	23468	POJISTNE	OP	83566981
572913	1949	1995-07-07	VYDAJ	PREVOD NA UCET	43	31438	POJISTNE	OP	83566981
572914	1949	1995-08-07	VYDAJ	PREVOD NA UCET	43	31885	POJISTNE	OP	83566981
572915	1949	1995-09-07	VYDAJ	PREVOD NA UCET	43	30546	POJISTNE	OP	83566981
572916	1949	1995-10-07	VYDAJ	PREVOD NA UCET	43	29489	POJISTNE	OP	83566981
572917	1949	1995-11-07	VYDAJ	PREVOD NA UCET	43	28342	POJISTNE	OP	83566981
572918	1949	1995-12-07	VYDAJ	PREVOD NA UCET	43	26892	POJISTNE	OP	83566981
572919	1949	1996-01-07	VYDAJ	PREVOD NA UCET	43	31521	POJISTNE	OP	83566981
572920	1949	1996-02-07	VYDAJ	PREVOD NA UCET	43	27108	POJISTNE	OP	83566981
572921	1949	1996-03-07	VYDAJ	PREVOD NA UCET	43	28748	POJISTNE	OP	83566981
572922	1949	1996-04-07	VYDAJ	PREVOD NA UCET	43	22358	POJISTNE	OP	83566981
572923	1949	1996-05-07	VYDAJ	PREVOD NA UCET	43	21061	POJISTNE	OP	83566981
572924	1949	1996-06-07	VYDAJ	PREVOD NA UCET	43	26167	POJISTNE	OP	83566981
572925	1949	1996-07-07	VYDAJ	PREVOD NA UCET	43	33740	POJISTNE	OP	83566981
572926	1949	1996-08-07	VYDAJ	PREVOD NA UCET	43	35706	POJISTNE	OP	83566981
572927	1949	1996-09-07	VYDAJ	PREVOD NA UCET	43	35074	POJISTNE	OP	83566981
572928	1949	1996-10-07	VYDAJ	PREVOD NA UCET	43	33311	POJISTNE	OP	83566981
572929	1949	1996-11-07	VYDAJ	PREVOD NA UCET	43	34062	POJISTNE	OP	83566981
572930	1949	1996-12-07	VYDAJ	PREVOD NA UCET	43	26925	POJISTNE	OP	83566981
572931	1949	1997-01-07	VYDAJ	PREVOD NA UCET	43	21062	POJISTNE	OP	83566981
572932	1949	1997-02-07	VYDAJ	PREVOD NA UCET	43	20929	POJISTNE	OP	83566981
572933	1949	1997-03-07	VYDAJ	PREVOD NA UCET	43	29039	POJISTNE	OP	83566981
572934	1949	1997-04-07	VYDAJ	PREVOD NA UCET	43	27488	POJISTNE	OP	83566981
572935	1949	1997-05-07	VYDAJ	PREVOD NA UCET	43	33222	POJISTNE	OP	83566981
572936	1949	1997-06-07	VYDAJ	PREVOD NA UCET	43	34872	POJISTNE	OP	83566981
572937	1949	1997-07-07	VYDAJ	PREVOD NA UCET	43	26434	POJISTNE	OP	83566981
572938	1949	1997-08-07	VYDAJ	PREVOD NA UCET	43	31869	POJISTNE	OP	83566981
572939	1949	1997-09-07	VYDAJ	PREVOD NA UCET	43	35021	POJISTNE	OP	83566981
572940	1949	1997-10-07	VYDAJ	PREVOD NA UCET	43	31630	POJISTNE	OP	83566981
572941	1949	1997-11-07	VYDAJ	PREVOD NA UCET	43	33974	POJISTNE	OP	83566981
572942	1949	1997-12-07	VYDAJ	PREVOD NA UCET	43	35024	POJISTNE	OP	83566981
572943	1949	1998-01-07	VYDAJ	PREVOD NA UCET	43	37210	POJISTNE	OP	83566981
572944	1949	1998-02-07	VYDAJ	PREVOD NA UCET	43	24673	POJISTNE	OP	83566981
572945	1949	1998-03-07	VYDAJ	PREVOD NA UCET	43	27061	POJISTNE	OP	83566981
572946	1949	1998-04-07	VYDAJ	PREVOD NA UCET	43	31495	POJISTNE	OP	83566981
572947	1949	1998-05-07	VYDAJ	PREVOD NA UCET	43	32803	POJISTNE	OP	83566981
572948	1949	1998-06-07	VYDAJ	PREVOD NA UCET	43	35651	POJISTNE	OP	83566981
572949	1949	1998-07-07	VYDAJ	PREVOD NA UCET	43	36948	POJISTNE	OP	83566981
572950	1949	1998-08-07	VYDAJ	PREVOD NA UCET	43	37508	POJISTNE	OP	83566981
572951	1949	1998-09-07	VYDAJ	PREVOD NA UCET	43	37667	POJISTNE	OP	83566981
572952	1949	1998-10-07	VYDAJ	PREVOD NA UCET	43	41757	POJISTNE	OP	83566981
572953	1949	1998-11-07	VYDAJ	PREVOD NA UCET	43	45563	POJISTNE	OP	83566981
572954	1949	1998-12-07	VYDAJ	PREVOD NA UCET	43	39636	POJISTNE	OP	83566981
572963	1949	1994-09-11	VYDAJ	PREVOD NA UCET	487	37781	 	IJ	89576708
572964	1949	1994-10-11	VYDAJ	PREVOD NA UCET	487	37356	 	IJ	89576708
572965	1949	1994-11-11	VYDAJ	PREVOD NA UCET	487	33604	 	IJ	89576708
572966	1949	1994-12-11	VYDAJ	PREVOD NA UCET	487	42670	 	IJ	89576708
572967	1949	1995-01-11	VYDAJ	PREVOD NA UCET	487	41476	 	IJ	89576708
572968	1949	1995-02-11	VYDAJ	PREVOD NA UCET	487	23146	 	IJ	89576708
572969	1949	1995-03-11	VYDAJ	PREVOD NA UCET	487	35268	 	IJ	89576708
572970	1949	1995-04-11	VYDAJ	PREVOD NA UCET	487	25951	 	IJ	89576708
572971	1949	1995-05-11	VYDAJ	PREVOD NA UCET	487	27444	 	IJ	89576708
572972	1949	1995-06-11	VYDAJ	PREVOD NA UCET	487	40748	 	IJ	89576708
572973	1949	1995-07-11	VYDAJ	PREVOD NA UCET	487	42796	 	IJ	89576708
572974	1949	1995-08-11	VYDAJ	PREVOD NA UCET	487	43243	 	IJ	89576708
572975	1949	1995-09-11	VYDAJ	PREVOD NA UCET	487	35016	 	IJ	89576708
572976	1949	1995-10-11	VYDAJ	PREVOD NA UCET	487	33959	 	IJ	89576708
572977	1949	1995-11-11	VYDAJ	PREVOD NA UCET	487	39700	 	IJ	89576708
572978	1949	1995-12-11	VYDAJ	PREVOD NA UCET	487	37285	 	IJ	89576708
572979	1949	1996-01-11	VYDAJ	PREVOD NA UCET	487	35991	 	IJ	89576708
572980	1949	1996-02-11	VYDAJ	PREVOD NA UCET	487	38466	 	IJ	89576708
572981	1949	1996-03-11	VYDAJ	PREVOD NA UCET	487	40106	 	IJ	89576708
572982	1949	1996-04-11	VYDAJ	PREVOD NA UCET	487	33716	 	IJ	89576708
572983	1949	1996-05-11	VYDAJ	PREVOD NA UCET	487	32419	 	IJ	89576708
572984	1949	1996-06-11	VYDAJ	PREVOD NA UCET	487	43448	 	IJ	89576708
572985	1949	1996-07-11	VYDAJ	PREVOD NA UCET	487	45098	 	IJ	89576708
572986	1949	1996-08-11	VYDAJ	PREVOD NA UCET	487	47064	 	IJ	89576708
572987	1949	1996-09-11	VYDAJ	PREVOD NA UCET	487	46432	 	IJ	89576708
572988	1949	1996-10-11	VYDAJ	PREVOD NA UCET	487	44669	 	IJ	89576708
572989	1949	1996-11-11	VYDAJ	PREVOD NA UCET	487	38532	 	IJ	89576708
572990	1949	1996-12-11	VYDAJ	PREVOD NA UCET	487	44205	 	IJ	89576708
572991	1949	1997-01-11	VYDAJ	PREVOD NA UCET	487	24812	 	IJ	89576708
572992	1949	1997-02-11	VYDAJ	PREVOD NA UCET	487	25399	 	IJ	89576708
572993	1949	1997-03-11	VYDAJ	PREVOD NA UCET	487	40397	 	IJ	89576708
572994	1949	1997-04-11	VYDAJ	PREVOD NA UCET	487	31958	 	IJ	89576708
572995	1949	1997-05-11	VYDAJ	PREVOD NA UCET	487	44580	 	IJ	89576708
572996	1949	1997-06-11	VYDAJ	PREVOD NA UCET	487	45265	 	IJ	89576708
572997	1949	1997-07-11	VYDAJ	PREVOD NA UCET	487	37792	 	IJ	89576708
572998	1949	1997-08-11	VYDAJ	PREVOD NA UCET	487	36339	 	IJ	89576708
572999	1949	1997-09-11	VYDAJ	PREVOD NA UCET	487	46379	 	IJ	89576708
573000	1949	1997-10-11	VYDAJ	PREVOD NA UCET	487	42988	 	IJ	89576708
573001	1949	1997-11-11	VYDAJ	PREVOD NA UCET	487	45332	 	IJ	89576708
573002	1949	1997-12-11	VYDAJ	PREVOD NA UCET	487	45416	 	IJ	89576708
573003	1949	1998-01-11	VYDAJ	PREVOD NA UCET	487	39760	 	IJ	89576708
573004	1949	1998-02-11	VYDAJ	PREVOD NA UCET	487	36031	 	IJ	89576708
573005	1949	1998-03-11	VYDAJ	PREVOD NA UCET	487	31531	 	IJ	89576708
573006	1949	1998-04-11	VYDAJ	PREVOD NA UCET	487	42853	 	IJ	89576708
573007	1949	1998-05-11	VYDAJ	PREVOD NA UCET	487	37273	 	IJ	89576708
573008	1949	1998-06-11	VYDAJ	PREVOD NA UCET	487	38364	 	IJ	89576708
573009	1949	1998-07-11	VYDAJ	PREVOD NA UCET	487	41418	 	IJ	89576708
573010	1949	1998-08-11	VYDAJ	PREVOD NA UCET	487	48866	 	IJ	89576708
573011	1949	1998-09-11	VYDAJ	PREVOD NA UCET	487	48625	 	IJ	89576708
573012	1949	1998-10-11	VYDAJ	PREVOD NA UCET	487	52415	 	IJ	89576708
573013	1949	1998-11-11	VYDAJ	PREVOD NA UCET	487	46521	 	IJ	89576708
573014	1949	1998-12-11	VYDAJ	PREVOD NA UCET	487	51017	 	IJ	89576708
573018	1949	1997-06-16	VYDAJ	VYBER	18400	26865	\N	\N	\N
573019	1949	1998-06-10	VYDAJ	VYBER	7680	27971	\N	\N	\N
573021	1949	1995-01-18	VYDAJ	VYBER	15520	17148	\N	\N	\N
573022	1949	1996-01-13	VYDAJ	VYBER	5920	29351	\N	\N	\N
573023	1949	1997-01-03	VYDAJ	VYBER	6720	21212	\N	\N	\N
573024	1949	1998-01-20	VYDAJ	VYBER	2400	32260	\N	\N	\N
573025	1949	1994-12-24	VYDAJ	VYBER	2240	40430	\N	\N	\N
573026	1949	1995-12-05	VYDAJ	VYBER	4000	27042	\N	\N	\N
573027	1949	1996-12-04	VYDAJ	VYBER	2560	27075	\N	\N	\N
573028	1949	1997-12-11	VYDAJ	VYBER	2080	43336	\N	\N	\N
573029	1949	1998-12-30	VYDAJ	VYBER	2880	39689	\N	\N	\N
573036	1949	1995-01-09	VYDAJ	VYBER	2520	31078	\N	\N	\N
573037	1949	1995-01-28	VYDAJ	VYBER	2520	14028	\N	\N	\N
573038	1949	1995-01-06	VYDAJ	VYBER	1440	33641	\N	\N	\N
573039	1949	1995-01-09	VYDAJ	VYBER	960	30118	\N	\N	\N
573040	1949	1995-01-23	VYDAJ	VYBER	600	16548	\N	\N	\N
573041	1949	1995-01-14	VYDAJ	VYBER	1920	32668	\N	\N	\N
573042	1949	1996-01-02	VYDAJ	VYBER	1800	32511	\N	\N	\N
573043	1949	1996-01-07	VYDAJ	VYBER	840	31564	\N	\N	\N
573044	1949	1996-01-12	VYDAJ	VYBER	720	35271	\N	\N	\N
573045	1949	1996-01-14	VYDAJ	VYBER	2400	26951	\N	\N	\N
573046	1949	1996-01-15	VYDAJ	VYBER	2400	24551	\N	\N	\N
573047	1949	1996-01-28	VYDAJ	VYBER	1800	27151	\N	\N	\N
573048	1949	1997-01-19	VYDAJ	VYBER	2280	22192	\N	\N	\N
573049	1949	1997-01-30	VYDAJ	VYBER	1200	20992	\N	\N	\N
573050	1949	1997-01-07	VYDAJ	VYBER	720	20342	\N	\N	\N
573051	1949	1997-01-03	VYDAJ	VYBER	1560	27932	\N	\N	\N
573052	1949	1997-01-19	VYDAJ	VYBER	3360	24472	\N	\N	\N
573053	1949	1997-01-16	VYDAJ	VYBER	1680	23132	\N	\N	\N
573054	1949	1998-01-01	VYDAJ	VYBER	720	37360	\N	\N	\N
573055	1949	1998-01-28	VYDAJ	VYBER	1320	26260	\N	\N	\N
573056	1949	1998-01-24	VYDAJ	VYBER	3240	29020	\N	\N	\N
573057	1949	1998-01-09	VYDAJ	VYBER	1920	35290	\N	\N	\N
573058	1949	1998-01-29	VYDAJ	VYBER	1560	24700	\N	\N	\N
573059	1949	1998-01-25	VYDAJ	VYBER	1440	27580	\N	\N	\N
573060	1949	1994-10-17	VYDAJ	VYBER	4800	32556	\N	\N	\N
573065	1949	1995-05-29	VYDAJ	VYBER	3720	23524	\N	\N	\N
573066	1949	1995-03-21	VYDAJ	VYBER	5640	22740	\N	\N	\N
573067	1949	1995-04-10	VYDAJ	VYBER	3600	21481	\N	\N	\N
573068	1949	1995-04-02	VYDAJ	VYBER	600	25231	\N	\N	\N
573069	1949	1995-02-26	VYDAJ	VYBER	2160	20986	\N	\N	\N
573070	1949	1995-05-02	VYDAJ	VYBER	2520	23124	\N	\N	\N
573071	1949	1995-11-06	VYDAJ	VYBER	2400	28385	\N	\N	\N
573072	1949	1996-04-21	VYDAJ	VYBER	4200	22628	\N	\N	\N
573073	1949	1996-12-21	VYDAJ	VYBER	4440	29377	\N	\N	\N
573074	1949	1996-11-17	VYDAJ	VYBER	2520	36012	\N	\N	\N
573075	1949	1996-09-17	VYDAJ	VYBER	4320	35224	\N	\N	\N
573076	1949	1996-03-30	VYDAJ	VYBER	4920	22398	\N	\N	\N
573077	1949	1997-03-19	VYDAJ	VYBER	3240	28489	\N	\N	\N
573078	1949	1997-04-05	VYDAJ	VYBER	960	27638	\N	\N	\N
573079	1949	1997-03-13	VYDAJ	VYBER	2880	30629	\N	\N	\N
573080	1949	1997-09-16	VYDAJ	VYBER	3240	31651	\N	\N	\N
573081	1949	1998-03-02	VYDAJ	VYBER	5640	27211	\N	\N	\N
573082	1949	1998-04-24	VYDAJ	VYBER	4440	32825	\N	\N	\N
573083	1949	1998-12-22	VYDAJ	VYBER	1560	42569	\N	\N	\N
573093	1949	1994-09-30	VYDAJ	VYBER	15	37936	SLUZBY	\N	\N
573094	1949	1994-10-31	VYDAJ	VYBER	15	32684	SLUZBY	\N	\N
573095	1949	1994-11-30	VYDAJ	VYBER	15	32428	SLUZBY	\N	\N
573096	1949	1994-12-31	VYDAJ	VYBER	15	35188	SLUZBY	\N	\N
573097	1949	1995-01-31	VYDAJ	VYBER	15	18826	SLUZBY	\N	\N
573098	1949	1995-02-28	VYDAJ	VYBER	15	24060	SLUZBY	\N	\N
573099	1949	1995-03-31	VYDAJ	VYBER	15	25831	SLUZBY	\N	\N
573100	1949	1995-04-30	VYDAJ	VYBER	15	25644	SLUZBY	\N	\N
573101	1949	1995-05-31	VYDAJ	VYBER	15	23618	SLUZBY	\N	\N
573102	1949	1995-06-30	VYDAJ	VYBER	15	31588	SLUZBY	\N	\N
573103	1949	1995-07-31	VYDAJ	VYBER	15	32035	SLUZBY	\N	\N
573104	1949	1995-08-31	VYDAJ	VYBER	15	30696	SLUZBY	\N	\N
573105	1949	1995-09-30	VYDAJ	VYBER	15	29639	SLUZBY	\N	\N
573106	1949	1995-10-31	VYDAJ	VYBER	15	30892	SLUZBY	\N	\N
573107	1949	1995-11-30	VYDAJ	VYBER	15	31042	SLUZBY	\N	\N
573108	1949	1995-12-31	VYDAJ	VYBER	15	34311	SLUZBY	\N	\N
573109	1949	1996-01-31	VYDAJ	VYBER	15	27258	SLUZBY	\N	\N
573110	1949	1996-02-29	VYDAJ	VYBER	15	28898	SLUZBY	\N	\N
573111	1949	1996-03-31	VYDAJ	VYBER	15	22508	SLUZBY	\N	\N
573112	1949	1996-04-30	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
573113	1949	1996-05-31	VYDAJ	VYBER	15	26317	SLUZBY	\N	\N
573114	1949	1996-06-30	VYDAJ	VYBER	15	33890	SLUZBY	\N	\N
573115	1949	1996-07-31	VYDAJ	VYBER	15	35856	SLUZBY	\N	\N
573116	1949	1996-08-31	VYDAJ	VYBER	15	35224	SLUZBY	\N	\N
573117	1949	1996-09-30	VYDAJ	VYBER	15	33461	SLUZBY	\N	\N
573118	1949	1996-10-31	VYDAJ	VYBER	15	34212	SLUZBY	\N	\N
573119	1949	1996-11-30	VYDAJ	VYBER	15	29635	SLUZBY	\N	\N
573120	1949	1996-12-31	VYDAJ	VYBER	15	29492	SLUZBY	\N	\N
573121	1949	1997-01-31	VYDAJ	VYBER	15	21079	SLUZBY	\N	\N
573122	1949	1997-02-28	VYDAJ	VYBER	15	29189	SLUZBY	\N	\N
573123	1949	1997-03-31	VYDAJ	VYBER	15	28598	SLUZBY	\N	\N
573124	1949	1997-04-30	VYDAJ	VYBER	15	33372	SLUZBY	\N	\N
573125	1949	1997-05-31	VYDAJ	VYBER	15	35022	SLUZBY	\N	\N
573126	1949	1997-06-30	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
573127	1949	1997-07-31	VYDAJ	VYBER	15	32019	SLUZBY	\N	\N
573128	1949	1997-08-31	VYDAJ	VYBER	15	35171	SLUZBY	\N	\N
573129	1949	1997-09-30	VYDAJ	VYBER	15	31780	SLUZBY	\N	\N
573130	1949	1997-10-31	VYDAJ	VYBER	15	34124	SLUZBY	\N	\N
573131	1949	1997-11-30	VYDAJ	VYBER	15	35174	SLUZBY	\N	\N
573132	1949	1997-12-31	VYDAJ	VYBER	15	38080	SLUZBY	\N	\N
573133	1949	1998-01-31	VYDAJ	VYBER	15	24823	SLUZBY	\N	\N
573134	1949	1998-02-28	VYDAJ	VYBER	15	32851	SLUZBY	\N	\N
573135	1949	1998-03-31	VYDAJ	VYBER	15	31645	SLUZBY	\N	\N
573136	1949	1998-04-30	VYDAJ	VYBER	15	32953	SLUZBY	\N	\N
573137	1949	1998-05-31	VYDAJ	VYBER	15	35801	SLUZBY	\N	\N
573138	1949	1998-06-30	VYDAJ	VYBER	15	37098	SLUZBY	\N	\N
573139	1949	1998-07-31	VYDAJ	VYBER	15	37658	SLUZBY	\N	\N
573140	1949	1998-08-31	VYDAJ	VYBER	15	37817	SLUZBY	\N	\N
573141	1949	1998-09-30	VYDAJ	VYBER	15	41907	SLUZBY	\N	\N
573142	1949	1998-10-31	VYDAJ	VYBER	15	45713	SLUZBY	\N	\N
573143	1949	1998-11-30	VYDAJ	VYBER	15	39786	SLUZBY	\N	\N
573144	1949	1994-06-03	PRIJEM	VKLAD	6600	18980	\N	\N	\N
573145	1949	1994-07-03	VYDAJ	VYBER	6800	30067	\N	\N	\N
573146	1949	1994-08-02	VYDAJ	VYBER	7700	34379	\N	\N	\N
573147	1949	1994-09-01	VYDAJ	VYBER	13100	33311	\N	\N	\N
573148	1949	1994-10-01	VYDAJ	VYBER	4900	33036	\N	\N	\N
573149	1949	1994-10-31	VYDAJ	VYBER	3400	29284	\N	\N	\N
573150	1949	1994-11-30	VYDAJ	VYBER	1300	32442	\N	\N	\N
573151	1949	1994-12-30	VYDAJ	VYBER	5400	35030	\N	\N	\N
573152	1949	1995-01-29	PRIJEM	VKLAD	4700	18728	\N	\N	\N
573153	1949	1995-02-28	PRIJEM	VKLAD	3000	24075	\N	\N	\N
573154	1949	1995-03-30	PRIJEM	VKLAD	3000	25740	\N	\N	\N
573155	1949	1995-04-29	VYDAJ	VYBER	400	25551	\N	\N	\N
573156	1949	1995-05-29	VYDAJ	VYBER	200	27244	\N	\N	\N
573157	1949	1995-06-28	VYDAJ	VYBER	2400	31460	\N	\N	\N
573158	1949	1995-07-28	VYDAJ	VYBER	4000	31908	\N	\N	\N
573159	1949	1995-08-27	VYDAJ	VYBER	5800	30555	\N	\N	\N
573160	1949	1995-09-26	VYDAJ	VYBER	5500	29516	\N	\N	\N
573161	1949	1995-10-26	VYDAJ	VYBER	3200	30759	\N	\N	\N
573162	1949	1995-11-25	VYDAJ	VYBER	1900	30912	\N	\N	\N
573163	1949	1995-12-25	VYDAJ	VYBER	3100	34185	\N	\N	\N
573164	1949	1996-01-24	PRIJEM	VKLAD	4400	28951	\N	\N	\N
573165	1949	1996-02-23	VYDAJ	VYBER	2800	28778	\N	\N	\N
573166	1949	1996-03-24	VYDAJ	VYBER	5900	27318	\N	\N	\N
573167	1949	1996-04-23	VYDAJ	VYBER	1500	21128	\N	\N	\N
573168	1949	1996-05-23	PRIJEM	VKLAD	700	26231	\N	\N	\N
573169	1949	1996-06-22	VYDAJ	VYBER	2800	33760	\N	\N	\N
573170	1949	1996-07-22	VYDAJ	VYBER	2500	35710	\N	\N	\N
573171	1949	1996-08-21	VYDAJ	VYBER	5100	35076	\N	\N	\N
573172	1949	1996-09-20	VYDAJ	VYBER	1900	33324	\N	\N	\N
573173	1949	1996-10-20	VYDAJ	VYBER	3700	34081	\N	\N	\N
573174	1949	1996-11-19	VYDAJ	VYBER	6500	29512	\N	\N	\N
573175	1949	1996-12-19	VYDAJ	VYBER	3500	33817	\N	\N	\N
573176	1949	1997-01-18	PRIJEM	VKLAD	4700	27832	\N	\N	\N
573177	1949	1997-02-17	PRIJEM	VKLAD	3700	29099	\N	\N	\N
573178	1949	1997-03-19	PRIJEM	VKLAD	1100	31729	\N	\N	\N
573179	1949	1997-04-18	PRIJEM	VKLAD	1300	33258	\N	\N	\N
573180	1949	1997-05-18	VYDAJ	VYBER	2800	34892	\N	\N	\N
573181	1949	1997-06-17	VYDAJ	VYBER	400	26465	\N	\N	\N
573182	1949	1997-07-17	PRIJEM	VKLAD	1000	31904	\N	\N	\N
573183	1949	1997-08-16	VYDAJ	VYBER	1300	35039	\N	\N	\N
573184	1949	1997-09-15	VYDAJ	VYBER	4600	34891	\N	\N	\N
573185	1949	1997-10-15	VYDAJ	VYBER	2100	34000	\N	\N	\N
573186	1949	1997-11-14	VYDAJ	VYBER	3400	35044	\N	\N	\N
573187	1949	1997-12-14	VYDAJ	VYBER	5400	37936	\N	\N	\N
573188	1949	1998-01-13	VYDAJ	VYBER	5100	34660	\N	\N	\N
573189	1949	1998-02-12	PRIJEM	VKLAD	3600	32743	\N	\N	\N
573190	1949	1998-04-13	PRIJEM	VKLAD	1300	37265	\N	\N	\N
573191	1949	1998-05-13	VYDAJ	VYBER	1600	35673	\N	\N	\N
573192	1949	1998-06-12	VYDAJ	VYBER	1400	36964	\N	\N	\N
573193	1949	1998-07-12	VYDAJ	VYBER	3900	37518	\N	\N	\N
573194	1949	1998-08-11	VYDAJ	VYBER	4300	44566	\N	\N	\N
573195	1949	1998-09-10	VYDAJ	VYBER	400	37267	\N	\N	\N
573196	1949	1998-10-10	VYDAJ	VYBER	700	41057	\N	\N	\N
573197	1949	1998-11-09	VYDAJ	VYBER	10400	35163	\N	\N	\N
573198	1949	1998-12-09	VYDAJ	VYBER	5900	33736	\N	\N	\N
573255	1950	1997-08-01	PRIJEM	VKLAD	700	700	\N	\N	\N
573263	1950	1997-08-12	PRIJEM	VKLAD	12757	13457	\N	\N	\N
573264	1950	1997-09-12	PRIJEM	VKLAD	12757	30351	\N	\N	\N
573265	1950	1997-10-12	PRIJEM	VKLAD	12757	35682	\N	\N	\N
573266	1950	1997-11-12	PRIJEM	VKLAD	12757	37035	\N	\N	\N
573267	1950	1997-12-12	PRIJEM	VKLAD	19136	43571	\N	\N	\N
573268	1950	1998-01-12	PRIJEM	VKLAD	12757	32098	\N	\N	\N
573269	1950	1998-02-12	PRIJEM	VKLAD	12757	26795	\N	\N	\N
573270	1950	1998-03-12	PRIJEM	VKLAD	12757	28471	\N	\N	\N
573271	1950	1998-04-12	PRIJEM	VKLAD	12757	31550	\N	\N	\N
573272	1950	1998-05-12	PRIJEM	VKLAD	12757	33342	\N	\N	\N
573273	1950	1998-06-12	PRIJEM	VKLAD	19136	42535	\N	\N	\N
573274	1950	1998-07-12	PRIJEM	VKLAD	12757	32917	\N	\N	\N
573275	1950	1998-08-12	PRIJEM	VKLAD	12757	36114	\N	\N	\N
573276	1950	1998-09-12	PRIJEM	VKLAD	12757	40738	\N	\N	\N
573277	1950	1998-10-12	PRIJEM	VKLAD	12757	36635	\N	\N	\N
573278	1950	1998-11-12	PRIJEM	VKLAD	12757	37345	\N	\N	\N
573279	1950	1998-12-12	PRIJEM	VKLAD	19136	40035	\N	\N	\N
573291	1950	1997-12-12	VYDAJ	PREVOD NA UCET	6943	36628	SIPO	KL	79988079
573292	1950	1998-01-12	VYDAJ	PREVOD NA UCET	6943	25155	SIPO	KL	79988079
573293	1950	1998-02-12	VYDAJ	PREVOD NA UCET	6943	19852	SIPO	KL	79988079
573294	1950	1998-03-12	VYDAJ	PREVOD NA UCET	6943	21528	SIPO	KL	79988079
573295	1950	1998-04-12	VYDAJ	PREVOD NA UCET	6943	24607	SIPO	KL	79988079
573296	1950	1998-05-12	VYDAJ	PREVOD NA UCET	6943	26399	SIPO	KL	79988079
573297	1950	1998-06-12	VYDAJ	PREVOD NA UCET	6943	35592	SIPO	KL	79988079
573298	1950	1998-07-12	VYDAJ	PREVOD NA UCET	6943	25974	SIPO	KL	79988079
573299	1950	1998-08-12	VYDAJ	PREVOD NA UCET	6943	29171	SIPO	KL	79988079
573300	1950	1998-09-12	VYDAJ	PREVOD NA UCET	6943	33795	SIPO	KL	79988079
573301	1950	1998-10-12	VYDAJ	PREVOD NA UCET	6943	29692	SIPO	KL	79988079
573302	1950	1998-11-12	VYDAJ	PREVOD NA UCET	6943	30402	SIPO	KL	79988079
573303	1950	1998-12-12	VYDAJ	PREVOD NA UCET	6943	33092	SIPO	KL	79988079
573305	1950	1998-06-26	VYDAJ	VYBER	10880	21352	\N	\N	\N
573308	1950	1997-12-23	VYDAJ	VYBER	2560	34068	\N	\N	\N
573309	1950	1998-12-11	VYDAJ	VYBER	4000	20900	\N	\N	\N
573316	1950	1998-01-08	VYDAJ	VYBER	2280	20901	\N	\N	\N
573317	1950	1998-01-11	VYDAJ	VYBER	1560	19341	\N	\N	\N
573318	1950	1998-01-28	VYDAJ	VYBER	2040	19875	\N	\N	\N
573319	1950	1998-01-19	VYDAJ	VYBER	1560	22875	\N	\N	\N
573320	1950	1998-01-22	VYDAJ	VYBER	960	21915	\N	\N	\N
573321	1950	1998-01-13	VYDAJ	VYBER	720	24435	\N	\N	\N
573328	1950	1997-12-28	VYDAJ	VYBER	1800	32268	\N	\N	\N
573329	1950	1998-06-19	VYDAJ	VYBER	3360	32232	\N	\N	\N
573330	1950	1998-02-11	VYDAJ	VYBER	3120	14038	\N	\N	\N
573331	1950	1998-09-27	VYDAJ	VYBER	3840	23755	\N	\N	\N
573332	1950	1998-01-02	VYDAJ	VYBER	3000	23181	\N	\N	\N
573345	1950	1997-12-31	VYDAJ	VYBER	15	26181	SLUZBY	\N	\N
573346	1950	1998-01-31	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
573347	1950	1998-02-28	VYDAJ	VYBER	15	15714	SLUZBY	\N	\N
573348	1950	1998-03-31	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
573349	1950	1998-04-30	VYDAJ	VYBER	15	20585	SLUZBY	\N	\N
573350	1950	1998-05-31	VYDAJ	VYBER	15	23399	SLUZBY	\N	\N
573351	1950	1998-06-30	VYDAJ	VYBER	15	20160	SLUZBY	\N	\N
573352	1950	1998-07-31	VYDAJ	VYBER	15	23357	SLUZBY	\N	\N
573353	1950	1998-08-31	VYDAJ	VYBER	15	27981	SLUZBY	\N	\N
573354	1950	1998-09-30	VYDAJ	VYBER	15	23878	SLUZBY	\N	\N
573355	1950	1998-10-31	VYDAJ	VYBER	15	24588	SLUZBY	\N	\N
573356	1950	1998-11-30	VYDAJ	VYBER	15	24900	SLUZBY	\N	\N
573357	1950	1997-08-31	PRIJEM	VKLAD	4100	17594	\N	\N	\N
573358	1950	1997-09-30	VYDAJ	VYBER	7500	22925	\N	\N	\N
573359	1950	1997-10-30	VYDAJ	VYBER	11500	24182	\N	\N	\N
573360	1950	1997-11-29	VYDAJ	VYBER	12700	24335	\N	\N	\N
573361	1950	1997-12-29	VYDAJ	VYBER	6200	26068	\N	\N	\N
573362	1950	1998-01-28	VYDAJ	VYBER	2800	17075	\N	\N	\N
573363	1950	1998-02-27	VYDAJ	VYBER	4200	15652	\N	\N	\N
573364	1950	1998-03-29	VYDAJ	VYBER	2800	18728	\N	\N	\N
573365	1950	1998-04-28	VYDAJ	VYBER	4100	20507	\N	\N	\N
573366	1950	1998-05-28	VYDAJ	VYBER	3100	23299	\N	\N	\N
573367	1950	1998-06-27	VYDAJ	VYBER	1300	20052	\N	\N	\N
573368	1950	1998-07-27	VYDAJ	VYBER	2700	23274	\N	\N	\N
573369	1950	1998-08-26	VYDAJ	VYBER	1300	27871	\N	\N	\N
573370	1950	1998-09-25	VYDAJ	VYBER	6200	27595	\N	\N	\N
573371	1950	1998-10-25	VYDAJ	VYBER	5200	24492	\N	\N	\N
573372	1950	1998-11-24	VYDAJ	VYBER	5600	24802	\N	\N	\N
573390	1951	1997-08-07	PRIJEM	VKLAD	900	900	\N	\N	\N
573398	1951	1997-08-11	PRIJEM	VKLAD	20408	21308	\N	\N	\N
573399	1951	1997-09-11	PRIJEM	VKLAD	20408	47576	\N	\N	\N
573400	1951	1997-10-11	PRIJEM	VKLAD	20408	63846	\N	\N	\N
573401	1951	1997-11-11	PRIJEM	VKLAD	20408	72498	\N	\N	\N
573402	1951	1997-12-11	PRIJEM	VKLAD	30612	82400	\N	\N	\N
573403	1951	1998-01-11	PRIJEM	VKLAD	20408	72518	\N	\N	\N
573404	1951	1998-02-11	PRIJEM	VKLAD	20408	63559	\N	\N	\N
573405	1951	1998-03-11	PRIJEM	VKLAD	20408	66968	\N	\N	\N
573406	1951	1998-04-11	PRIJEM	VKLAD	20408	65800	\N	\N	\N
573407	1951	1998-05-11	PRIJEM	VKLAD	20408	67728	\N	\N	\N
573408	1951	1998-06-11	PRIJEM	VKLAD	30612	75968	\N	\N	\N
573409	1951	1998-07-11	PRIJEM	VKLAD	20408	61775	\N	\N	\N
573410	1951	1998-08-11	PRIJEM	VKLAD	20408	64284	\N	\N	\N
573411	1951	1998-09-11	PRIJEM	VKLAD	20408	67225	\N	\N	\N
573412	1951	1998-10-11	PRIJEM	VKLAD	20408	68912	\N	\N	\N
573413	1951	1998-11-11	PRIJEM	VKLAD	20408	67467	\N	\N	\N
573414	1951	1998-12-11	PRIJEM	VKLAD	30612	72553	\N	\N	\N
573427	1951	1998-01-06	VYDAJ	PREVOD NA UCET	709	55478	SIPO	UV	67909365
573428	1951	1998-02-06	VYDAJ	PREVOD NA UCET	709	44119	SIPO	UV	67909365
573429	1951	1998-03-06	VYDAJ	PREVOD NA UCET	709	47528	SIPO	UV	67909365
573430	1951	1998-04-06	VYDAJ	PREVOD NA UCET	709	46360	SIPO	UV	67909365
573431	1951	1998-05-06	VYDAJ	PREVOD NA UCET	709	48288	SIPO	UV	67909365
573432	1951	1998-06-06	VYDAJ	PREVOD NA UCET	709	46324	SIPO	UV	67909365
573433	1951	1998-07-06	VYDAJ	PREVOD NA UCET	709	42335	SIPO	UV	67909365
573434	1951	1998-08-06	VYDAJ	PREVOD NA UCET	709	44844	SIPO	UV	67909365
573435	1951	1998-09-06	VYDAJ	PREVOD NA UCET	709	47785	SIPO	UV	67909365
573436	1951	1998-10-06	VYDAJ	PREVOD NA UCET	709	49472	SIPO	UV	67909365
573437	1951	1998-11-06	VYDAJ	PREVOD NA UCET	709	48027	SIPO	UV	67909365
573438	1951	1998-12-06	VYDAJ	PREVOD NA UCET	709	42909	SIPO	UV	67909365
573451	1951	1998-01-07	VYDAJ	PREVOD NA UCET	968	54510	 	EF	62647110
573452	1951	1998-02-07	VYDAJ	PREVOD NA UCET	968	43151	 	EF	62647110
573453	1951	1998-03-07	VYDAJ	PREVOD NA UCET	968	46560	 	EF	62647110
573454	1951	1998-04-07	VYDAJ	PREVOD NA UCET	968	45392	 	EF	62647110
573455	1951	1998-05-07	VYDAJ	PREVOD NA UCET	968	47320	 	EF	62647110
573456	1951	1998-06-07	VYDAJ	PREVOD NA UCET	968	45356	 	EF	62647110
573457	1951	1998-07-07	VYDAJ	PREVOD NA UCET	968	41367	 	EF	62647110
573458	1951	1998-08-07	VYDAJ	PREVOD NA UCET	968	43876	 	EF	62647110
573459	1951	1998-09-07	VYDAJ	PREVOD NA UCET	968	46817	 	EF	62647110
573460	1951	1998-10-07	VYDAJ	PREVOD NA UCET	968	48504	 	EF	62647110
573461	1951	1998-11-07	VYDAJ	PREVOD NA UCET	968	47059	 	EF	62647110
573462	1951	1998-12-07	VYDAJ	PREVOD NA UCET	968	41941	 	EF	62647110
573474	1951	1997-12-14	VYDAJ	PREVOD NA UCET	2441	79959	POJISTNE	GH	34857571
573475	1951	1998-01-14	VYDAJ	PREVOD NA UCET	2441	69237	POJISTNE	GH	34857571
573476	1951	1998-02-14	VYDAJ	PREVOD NA UCET	2441	61118	POJISTNE	GH	34857571
573477	1951	1998-03-14	VYDAJ	PREVOD NA UCET	2441	64527	POJISTNE	GH	34857571
573478	1951	1998-04-14	VYDAJ	PREVOD NA UCET	2441	63359	POJISTNE	GH	34857571
573479	1951	1998-05-14	VYDAJ	PREVOD NA UCET	2441	65287	POJISTNE	GH	34857571
573480	1951	1998-06-14	VYDAJ	PREVOD NA UCET	2441	73527	POJISTNE	GH	34857571
573481	1951	1998-07-14	VYDAJ	PREVOD NA UCET	2441	59334	POJISTNE	GH	34857571
573482	1951	1998-08-14	VYDAJ	PREVOD NA UCET	2441	61843	POJISTNE	GH	34857571
573483	1951	1998-09-14	VYDAJ	PREVOD NA UCET	2441	64784	POJISTNE	GH	34857571
573484	1951	1998-10-14	VYDAJ	PREVOD NA UCET	2441	66471	POJISTNE	GH	34857571
573485	1951	1998-11-14	VYDAJ	PREVOD NA UCET	2441	65026	POJISTNE	GH	34857571
573486	1951	1998-12-14	VYDAJ	PREVOD NA UCET	2441	70112	POJISTNE	GH	34857571
573488	1951	1998-06-16	VYDAJ	VYBER	12960	60567	\N	\N	\N
573490	1951	1998-01-26	VYDAJ	VYBER	9280	53117	\N	\N	\N
573491	1951	1997-12-26	VYDAJ	VYBER	2240	77719	\N	\N	\N
573492	1951	1998-12-06	VYDAJ	VYBER	4640	43618	\N	\N	\N
573499	1951	1998-01-19	VYDAJ	VYBER	2760	66477	\N	\N	\N
573500	1951	1998-01-20	VYDAJ	VYBER	960	65517	\N	\N	\N
573501	1951	1998-01-08	VYDAJ	VYBER	2400	52110	\N	\N	\N
573502	1951	1998-01-22	VYDAJ	VYBER	3120	62397	\N	\N	\N
573503	1951	1998-01-06	VYDAJ	VYBER	3240	56187	\N	\N	\N
573504	1951	1998-01-11	VYDAJ	VYBER	840	71678	\N	\N	\N
573512	1951	1998-06-30	VYDAJ	VYBER	5160	50244	\N	\N	\N
573513	1951	1998-11-05	VYDAJ	VYBER	1680	48736	\N	\N	\N
573514	1951	1998-06-27	VYDAJ	VYBER	5400	55167	\N	\N	\N
573515	1951	1998-01-29	VYDAJ	VYBER	3240	49877	\N	\N	\N
573516	1951	1998-09-04	VYDAJ	VYBER	4680	48494	\N	\N	\N
573517	1951	1998-09-30	VYDAJ	VYBER	4440	60596	\N	\N	\N
573530	1951	1997-12-31	VYDAJ	VYBER	15	78027	SLUZBY	\N	\N
573531	1951	1998-01-31	VYDAJ	VYBER	15	50128	SLUZBY	\N	\N
573532	1951	1998-02-28	VYDAJ	VYBER	15	61337	SLUZBY	\N	\N
573533	1951	1998-03-31	VYDAJ	VYBER	15	64769	SLUZBY	\N	\N
573534	1951	1998-04-30	VYDAJ	VYBER	15	63597	SLUZBY	\N	\N
573535	1951	1998-05-31	VYDAJ	VYBER	15	65533	SLUZBY	\N	\N
573536	1951	1998-06-30	VYDAJ	VYBER	15	55404	SLUZBY	\N	\N
573537	1951	1998-07-31	VYDAJ	VYBER	15	59553	SLUZBY	\N	\N
573538	1951	1998-08-31	VYDAJ	VYBER	15	62074	SLUZBY	\N	\N
573539	1951	1998-09-30	VYDAJ	VYBER	15	60581	SLUZBY	\N	\N
573540	1951	1998-10-31	VYDAJ	VYBER	15	66716	SLUZBY	\N	\N
573541	1951	1998-11-30	VYDAJ	VYBER	15	65258	SLUZBY	\N	\N
573542	1951	1997-09-06	PRIJEM	VKLAD	5800	27168	\N	\N	\N
573543	1951	1997-10-06	VYDAJ	VYBER	4300	43438	\N	\N	\N
573544	1951	1997-11-05	VYDAJ	VYBER	12000	52090	\N	\N	\N
573545	1951	1997-12-05	VYDAJ	VYBER	21000	51788	\N	\N	\N
573546	1951	1998-01-04	VYDAJ	VYBER	18600	59427	\N	\N	\N
573547	1951	1998-02-03	VYDAJ	VYBER	5300	44828	\N	\N	\N
573548	1951	1998-03-05	VYDAJ	VYBER	13100	48237	\N	\N	\N
573549	1951	1998-04-04	VYDAJ	VYBER	17700	47069	\N	\N	\N
573550	1951	1998-05-04	VYDAJ	VYBER	14600	48997	\N	\N	\N
573551	1951	1998-06-03	VYDAJ	VYBER	18500	47033	\N	\N	\N
573552	1951	1998-07-03	VYDAJ	VYBER	7200	43044	\N	\N	\N
573553	1951	1998-08-02	VYDAJ	VYBER	14000	45553	\N	\N	\N
573554	1951	1998-09-01	VYDAJ	VYBER	8900	53174	\N	\N	\N
573555	1951	1998-10-01	VYDAJ	VYBER	10400	50181	\N	\N	\N
573556	1951	1998-10-31	VYDAJ	VYBER	16300	50416	\N	\N	\N
573557	1951	1998-11-30	VYDAJ	VYBER	17000	48258	\N	\N	\N
573575	1952	1993-11-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
573587	1952	1993-12-14	PRIJEM	VKLAD	23070	24070	\N	\N	\N
573588	1952	1994-01-14	PRIJEM	VKLAD	15380	39863	\N	\N	\N
573589	1952	1994-02-14	PRIJEM	VKLAD	15380	45849	\N	\N	\N
573590	1952	1994-03-14	PRIJEM	VKLAD	15380	49357	\N	\N	\N
573591	1952	1994-04-14	PRIJEM	VKLAD	15380	51579	\N	\N	\N
573592	1952	1994-05-14	PRIJEM	VKLAD	15380	50395	\N	\N	\N
573593	1952	1994-06-14	PRIJEM	VKLAD	23070	35443	\N	\N	\N
573594	1952	1994-07-14	PRIJEM	VKLAD	15380	38307	\N	\N	\N
573595	1952	1994-08-14	PRIJEM	VKLAD	15380	48011	\N	\N	\N
573596	1952	1994-09-14	PRIJEM	VKLAD	15380	50715	\N	\N	\N
573597	1952	1994-10-14	PRIJEM	VKLAD	15380	52028	\N	\N	\N
573598	1952	1994-11-14	PRIJEM	VKLAD	15380	50044	\N	\N	\N
573599	1952	1994-12-14	PRIJEM	VKLAD	23070	55803	\N	\N	\N
573600	1952	1995-01-14	PRIJEM	VKLAD	15380	41884	\N	\N	\N
573601	1952	1995-02-14	PRIJEM	VKLAD	15380	38114	\N	\N	\N
573602	1952	1995-03-14	PRIJEM	VKLAD	15380	42636	\N	\N	\N
573603	1952	1995-04-14	PRIJEM	VKLAD	15380	43137	\N	\N	\N
573604	1952	1995-05-14	PRIJEM	VKLAD	15380	42717	\N	\N	\N
573605	1952	1995-06-14	PRIJEM	VKLAD	23070	20968	\N	\N	\N
573606	1952	1995-07-14	PRIJEM	VKLAD	15380	31928	\N	\N	\N
573607	1952	1995-08-14	PRIJEM	VKLAD	15380	39974	\N	\N	\N
573608	1952	1995-09-14	PRIJEM	VKLAD	15380	43747	\N	\N	\N
573609	1952	1995-10-14	PRIJEM	VKLAD	15380	43830	\N	\N	\N
573610	1952	1995-11-14	PRIJEM	VKLAD	15380	42711	\N	\N	\N
573611	1952	1995-12-14	PRIJEM	VKLAD	23070	44517	\N	\N	\N
573612	1952	1996-01-14	PRIJEM	VKLAD	15380	33597	\N	\N	\N
573613	1952	1996-02-14	PRIJEM	VKLAD	15380	23213	\N	\N	\N
573614	1952	1996-03-14	PRIJEM	VKLAD	15380	33832	\N	\N	\N
573615	1952	1996-04-14	PRIJEM	VKLAD	15380	38783	\N	\N	\N
573616	1952	1996-05-14	PRIJEM	VKLAD	15380	41535	\N	\N	\N
573617	1952	1996-06-14	PRIJEM	VKLAD	23070	46200	\N	\N	\N
573618	1952	1996-07-14	PRIJEM	VKLAD	15380	44886	\N	\N	\N
573619	1952	1996-08-14	PRIJEM	VKLAD	15380	43931	\N	\N	\N
573620	1952	1996-09-14	PRIJEM	VKLAD	15380	36311	\N	\N	\N
573621	1952	1996-10-14	PRIJEM	VKLAD	15380	38611	\N	\N	\N
573622	1952	1996-11-14	PRIJEM	VKLAD	15380	40632	\N	\N	\N
573623	1952	1996-12-14	PRIJEM	VKLAD	23070	44732	\N	\N	\N
573624	1952	1997-01-14	PRIJEM	VKLAD	15380	35190	\N	\N	\N
573625	1952	1997-02-14	PRIJEM	VKLAD	15380	28103	\N	\N	\N
573626	1952	1997-03-14	PRIJEM	VKLAD	15380	32361	\N	\N	\N
573627	1952	1997-04-14	PRIJEM	VKLAD	15380	33618	\N	\N	\N
573628	1952	1997-05-14	PRIJEM	VKLAD	15380	34810	\N	\N	\N
573629	1952	1997-06-14	PRIJEM	VKLAD	23070	33407	\N	\N	\N
573630	1952	1997-07-14	PRIJEM	VKLAD	15380	36699	\N	\N	\N
573631	1952	1997-08-14	PRIJEM	VKLAD	15380	33485	\N	\N	\N
573632	1952	1997-09-14	PRIJEM	VKLAD	15380	41781	\N	\N	\N
573633	1952	1997-10-14	PRIJEM	VKLAD	15380	46404	\N	\N	\N
573634	1952	1997-11-14	PRIJEM	VKLAD	15380	41700	\N	\N	\N
573635	1952	1997-12-14	PRIJEM	VKLAD	23070	44362	\N	\N	\N
573636	1952	1998-01-14	PRIJEM	VKLAD	15380	36275	\N	\N	\N
573637	1952	1998-02-14	PRIJEM	VKLAD	15380	35763	\N	\N	\N
573638	1952	1998-03-14	PRIJEM	VKLAD	15380	38464	\N	\N	\N
573639	1952	1998-04-14	PRIJEM	VKLAD	15380	42483	\N	\N	\N
573640	1952	1998-05-14	PRIJEM	VKLAD	15380	47115	\N	\N	\N
573641	1952	1998-06-14	PRIJEM	VKLAD	23070	57016	\N	\N	\N
573642	1952	1998-07-14	PRIJEM	VKLAD	15380	34886	\N	\N	\N
573643	1952	1998-08-14	PRIJEM	VKLAD	15380	47366	\N	\N	\N
573644	1952	1998-09-14	PRIJEM	VKLAD	15380	46804	\N	\N	\N
573645	1952	1998-10-14	PRIJEM	VKLAD	15380	50542	\N	\N	\N
573646	1952	1998-11-14	PRIJEM	VKLAD	15380	46306	\N	\N	\N
573647	1952	1998-12-14	PRIJEM	VKLAD	23070	50450	\N	\N	\N
573649	1952	1994-06-01	VYDAJ	VYBER	22240	12373	\N	\N	\N
573650	1952	1995-06-09	VYDAJ	VYBER	30720	-2102	\N	\N	\N
573652	1952	1997-06-04	VYDAJ	VYBER	17600	17337	\N	\N	\N
573653	1952	1998-06-18	VYDAJ	VYBER	38240	18776	\N	\N	\N
573656	1952	1995-01-09	VYDAJ	VYBER	4640	28664	\N	\N	\N
573657	1952	1996-01-15	VYDAJ	VYBER	15360	16317	\N	\N	\N
573658	1952	1997-01-14	VYDAJ	VYBER	14240	17830	\N	\N	\N
573659	1952	1998-01-09	VYDAJ	VYBER	5920	22095	\N	\N	\N
573661	1952	1994-12-18	VYDAJ	VYBER	1280	54523	\N	\N	\N
573662	1952	1995-12-04	VYDAJ	VYBER	4160	21447	\N	\N	\N
573663	1952	1996-12-10	VYDAJ	VYBER	1920	38862	\N	\N	\N
573664	1952	1997-12-10	VYDAJ	VYBER	960	21292	\N	\N	\N
573665	1952	1998-12-14	VYDAJ	VYBER	2080	48370	\N	\N	\N
573678	1952	1995-01-27	VYDAJ	VYBER	2400	24884	\N	\N	\N
573679	1952	1995-01-19	VYDAJ	VYBER	1080	40804	\N	\N	\N
573680	1952	1995-01-22	VYDAJ	VYBER	1320	39484	\N	\N	\N
573681	1952	1995-01-12	VYDAJ	VYBER	2160	26504	\N	\N	\N
573682	1952	1995-01-03	VYDAJ	VYBER	3360	33304	\N	\N	\N
573683	1952	1995-01-28	VYDAJ	VYBER	2280	22604	\N	\N	\N
573684	1952	1996-01-22	VYDAJ	VYBER	1680	11497	\N	\N	\N
573685	1952	1996-01-20	VYDAJ	VYBER	840	13177	\N	\N	\N
573686	1952	1996-01-11	VYDAJ	VYBER	2760	18217	\N	\N	\N
573687	1952	1996-01-26	VYDAJ	VYBER	1920	8617	\N	\N	\N
573688	1952	1996-01-15	VYDAJ	VYBER	1920	31677	\N	\N	\N
573689	1952	1996-01-24	VYDAJ	VYBER	960	10537	\N	\N	\N
573690	1952	1997-01-03	VYDAJ	VYBER	3480	41410	\N	\N	\N
573691	1952	1997-01-10	VYDAJ	VYBER	600	40810	\N	\N	\N
573692	1952	1997-01-22	VYDAJ	VYBER	960	16870	\N	\N	\N
573693	1952	1997-01-14	VYDAJ	VYBER	1440	33750	\N	\N	\N
573694	1952	1997-01-24	VYDAJ	VYBER	840	16030	\N	\N	\N
573695	1952	1997-01-14	VYDAJ	VYBER	1680	32070	\N	\N	\N
573696	1952	1998-01-08	VYDAJ	VYBER	2400	28015	\N	\N	\N
573697	1952	1998-01-25	VYDAJ	VYBER	1440	34835	\N	\N	\N
573698	1952	1998-01-12	VYDAJ	VYBER	1200	20895	\N	\N	\N
573699	1952	1998-01-30	VYDAJ	VYBER	960	30155	\N	\N	\N
573700	1952	1998-01-25	VYDAJ	VYBER	960	33875	\N	\N	\N
573701	1952	1998-01-25	VYDAJ	VYBER	2760	31115	\N	\N	\N
573707	1952	1994-05-14	VYDAJ	VYBER	4440	45955	\N	\N	\N
573708	1952	1994-04-28	VYDAJ	VYBER	4200	34879	\N	\N	\N
573709	1952	1994-11-22	VYDAJ	VYBER	1440	48604	\N	\N	\N
573711	1952	1994-07-06	VYDAJ	VYBER	5880	22927	\N	\N	\N
573712	1952	1994-06-15	VYDAJ	VYBER	1560	33883	\N	\N	\N
573713	1952	1995-12-28	VYDAJ	VYBER	5640	20877	\N	\N	\N
573714	1952	1995-02-15	VYDAJ	VYBER	1440	36674	\N	\N	\N
573715	1952	1995-03-13	VYDAJ	VYBER	3120	27256	\N	\N	\N
573716	1952	1995-03-21	VYDAJ	VYBER	5400	37236	\N	\N	\N
573717	1952	1996-06-01	VYDAJ	VYBER	4200	23130	\N	\N	\N
573718	1952	1996-07-18	VYDAJ	VYBER	1440	28446	\N	\N	\N
573719	1952	1996-01-29	VYDAJ	VYBER	840	7777	\N	\N	\N
573720	1952	1996-04-15	VYDAJ	VYBER	1320	36263	\N	\N	\N
573721	1952	1996-06-14	VYDAJ	VYBER	1200	45000	\N	\N	\N
573722	1952	1996-04-14	VYDAJ	VYBER	1200	37583	\N	\N	\N
573723	1952	1997-07-26	VYDAJ	VYBER	4800	31899	\N	\N	\N
573724	1952	1997-07-31	VYDAJ	VYBER	2520	29505	\N	\N	\N
573725	1952	1997-10-22	VYDAJ	VYBER	2880	38964	\N	\N	\N
573726	1952	1997-03-02	VYDAJ	VYBER	5400	22781	\N	\N	\N
573727	1952	1997-03-17	VYDAJ	VYBER	5520	26841	\N	\N	\N
573728	1952	1997-10-17	VYDAJ	VYBER	4560	41844	\N	\N	\N
573729	1952	1998-10-28	VYDAJ	VYBER	4800	45742	\N	\N	\N
573730	1952	1998-12-15	VYDAJ	VYBER	1080	47290	\N	\N	\N
573731	1952	1998-05-14	VYDAJ	VYBER	2040	45075	\N	\N	\N
573732	1952	1998-09-05	VYDAJ	VYBER	3600	31424	\N	\N	\N
573749	1952	1994-04-30	VYDAJ	VYBER	15	35015	SLUZBY	\N	\N
573750	1952	1994-05-31	VYDAJ	VYBER	15	34613	SLUZBY	\N	\N
573751	1952	1994-06-30	VYDAJ	VYBER	15	28807	SLUZBY	\N	\N
573752	1952	1994-07-31	VYDAJ	VYBER	15	32631	SLUZBY	\N	\N
573753	1952	1994-08-31	VYDAJ	VYBER	15	35335	SLUZBY	\N	\N
573754	1952	1994-09-30	VYDAJ	VYBER	15	36648	SLUZBY	\N	\N
573755	1952	1994-10-31	VYDAJ	VYBER	15	34664	SLUZBY	\N	\N
573756	1952	1994-11-30	VYDAJ	VYBER	15	32733	SLUZBY	\N	\N
573757	1952	1994-12-31	VYDAJ	VYBER	15	36664	SLUZBY	\N	\N
573758	1952	1995-01-31	VYDAJ	VYBER	15	22734	SLUZBY	\N	\N
573759	1952	1995-02-28	VYDAJ	VYBER	15	30376	SLUZBY	\N	\N
573760	1952	1995-03-31	VYDAJ	VYBER	15	27757	SLUZBY	\N	\N
573761	1952	1995-04-30	VYDAJ	VYBER	15	27337	SLUZBY	\N	\N
573762	1952	1995-05-31	VYDAJ	VYBER	15	28618	SLUZBY	\N	\N
573763	1952	1995-06-30	VYDAJ	VYBER	15	16548	SLUZBY	\N	\N
573764	1952	1995-07-31	VYDAJ	VYBER	15	24594	SLUZBY	\N	\N
573765	1952	1995-08-31	VYDAJ	VYBER	15	28367	SLUZBY	\N	\N
573766	1952	1995-09-30	VYDAJ	VYBER	15	28450	SLUZBY	\N	\N
573767	1952	1995-10-31	VYDAJ	VYBER	15	27331	SLUZBY	\N	\N
573768	1952	1995-11-30	VYDAJ	VYBER	15	25607	SLUZBY	\N	\N
573769	1952	1995-12-31	VYDAJ	VYBER	15	20977	SLUZBY	\N	\N
573770	1952	1996-01-31	VYDAJ	VYBER	15	7833	SLUZBY	\N	\N
573771	1952	1996-02-29	VYDAJ	VYBER	15	18452	SLUZBY	\N	\N
573772	1952	1996-03-31	VYDAJ	VYBER	15	23403	SLUZBY	\N	\N
573773	1952	1996-04-30	VYDAJ	VYBER	15	26155	SLUZBY	\N	\N
573774	1952	1996-05-31	VYDAJ	VYBER	15	27330	SLUZBY	\N	\N
573775	1952	1996-06-30	VYDAJ	VYBER	15	29506	SLUZBY	\N	\N
573776	1952	1996-07-31	VYDAJ	VYBER	15	28551	SLUZBY	\N	\N
573777	1952	1996-08-31	VYDAJ	VYBER	15	27331	SLUZBY	\N	\N
573778	1952	1996-09-30	VYDAJ	VYBER	15	36431	SLUZBY	\N	\N
573779	1952	1996-10-31	VYDAJ	VYBER	15	38752	SLUZBY	\N	\N
573780	1952	1996-11-30	VYDAJ	VYBER	15	40782	SLUZBY	\N	\N
573781	1952	1996-12-31	VYDAJ	VYBER	15	44890	SLUZBY	\N	\N
573782	1952	1997-01-31	VYDAJ	VYBER	15	16123	SLUZBY	\N	\N
573783	1952	1997-02-28	VYDAJ	VYBER	15	28181	SLUZBY	\N	\N
573784	1952	1997-03-31	VYDAJ	VYBER	15	26938	SLUZBY	\N	\N
573785	1952	1997-04-30	VYDAJ	VYBER	15	33730	SLUZBY	\N	\N
573786	1952	1997-05-31	VYDAJ	VYBER	15	34937	SLUZBY	\N	\N
573787	1952	1997-06-30	VYDAJ	VYBER	15	33519	SLUZBY	\N	\N
573788	1952	1997-07-31	VYDAJ	VYBER	15	32025	SLUZBY	\N	\N
573789	1952	1997-08-31	VYDAJ	VYBER	15	33601	SLUZBY	\N	\N
573790	1952	1997-09-30	VYDAJ	VYBER	15	41924	SLUZBY	\N	\N
573791	1952	1997-10-31	VYDAJ	VYBER	15	39120	SLUZBY	\N	\N
573792	1952	1997-11-30	VYDAJ	VYBER	15	41852	SLUZBY	\N	\N
573793	1952	1997-12-31	VYDAJ	VYBER	15	44515	SLUZBY	\N	\N
573794	1952	1998-01-31	VYDAJ	VYBER	15	30283	SLUZBY	\N	\N
573795	1952	1998-02-28	VYDAJ	VYBER	15	35884	SLUZBY	\N	\N
573796	1952	1998-03-31	VYDAJ	VYBER	15	38603	SLUZBY	\N	\N
573797	1952	1998-04-30	VYDAJ	VYBER	15	42635	SLUZBY	\N	\N
573798	1952	1998-05-31	VYDAJ	VYBER	15	45246	SLUZBY	\N	\N
573799	1952	1998-06-30	VYDAJ	VYBER	15	18906	SLUZBY	\N	\N
573800	1952	1998-07-31	VYDAJ	VYBER	15	34986	SLUZBY	\N	\N
573801	1952	1998-08-31	VYDAJ	VYBER	15	47524	SLUZBY	\N	\N
573802	1952	1998-09-30	VYDAJ	VYBER	15	46962	SLUZBY	\N	\N
573803	1952	1998-10-31	VYDAJ	VYBER	15	45926	SLUZBY	\N	\N
573804	1952	1998-11-30	VYDAJ	VYBER	15	46480	SLUZBY	\N	\N
573805	1952	1993-12-28	PRIJEM	VKLAD	400	24470	\N	\N	\N
573806	1952	1994-01-27	VYDAJ	VYBER	9500	30363	\N	\N	\N
573807	1952	1994-02-26	VYDAJ	VYBER	12000	33849	\N	\N	\N
573808	1952	1994-03-28	VYDAJ	VYBER	13300	36057	\N	\N	\N
573809	1952	1994-04-27	VYDAJ	VYBER	12500	39079	\N	\N	\N
573810	1952	1994-05-27	VYDAJ	VYBER	11500	34455	\N	\N	\N
573811	1952	1994-06-26	VYDAJ	VYBER	5200	28683	\N	\N	\N
573812	1952	1994-07-26	VYDAJ	VYBER	5800	32507	\N	\N	\N
573813	1952	1994-08-25	VYDAJ	VYBER	12800	35211	\N	\N	\N
573814	1952	1994-09-24	VYDAJ	VYBER	14200	36515	\N	\N	\N
573815	1952	1994-10-24	VYDAJ	VYBER	17500	34528	\N	\N	\N
573816	1952	1994-11-23	VYDAJ	VYBER	16000	32604	\N	\N	\N
573817	1952	1994-12-23	VYDAJ	VYBER	18000	36523	\N	\N	\N
573818	1952	1995-01-22	VYDAJ	VYBER	12200	27284	\N	\N	\N
573819	1952	1995-02-21	VYDAJ	VYBER	6400	30274	\N	\N	\N
573820	1952	1995-03-23	VYDAJ	VYBER	9600	27636	\N	\N	\N
573821	1952	1995-04-22	VYDAJ	VYBER	15900	27237	\N	\N	\N
573822	1952	1995-05-22	VYDAJ	VYBER	14200	28517	\N	\N	\N
573823	1952	1995-06-21	VYDAJ	VYBER	4500	16468	\N	\N	\N
573824	1952	1995-07-21	VYDAJ	VYBER	7400	24528	\N	\N	\N
573825	1952	1995-08-20	VYDAJ	VYBER	11700	28274	\N	\N	\N
573826	1952	1995-09-19	VYDAJ	VYBER	15400	28347	\N	\N	\N
573827	1952	1995-10-19	VYDAJ	VYBER	16600	27230	\N	\N	\N
573828	1952	1995-11-18	VYDAJ	VYBER	17200	25511	\N	\N	\N
573829	1952	1995-12-18	VYDAJ	VYBER	18000	26517	\N	\N	\N
573830	1952	1996-01-17	VYDAJ	VYBER	2300	14017	\N	\N	\N
573831	1952	1996-02-16	VYDAJ	VYBER	4800	18413	\N	\N	\N
573832	1952	1996-03-17	VYDAJ	VYBER	10500	23332	\N	\N	\N
573833	1952	1996-04-16	VYDAJ	VYBER	10200	26063	\N	\N	\N
573834	1952	1996-05-16	VYDAJ	VYBER	14300	27235	\N	\N	\N
573835	1952	1996-06-15	VYDAJ	VYBER	15600	29400	\N	\N	\N
573836	1952	1996-07-15	VYDAJ	VYBER	15000	29886	\N	\N	\N
573837	1952	1996-08-14	VYDAJ	VYBER	16700	27231	\N	\N	\N
573838	1952	1996-09-13	VYDAJ	VYBER	6400	20931	\N	\N	\N
573839	1952	1996-10-13	VYDAJ	VYBER	13200	23231	\N	\N	\N
573840	1952	1996-11-12	VYDAJ	VYBER	13500	25252	\N	\N	\N
573841	1952	1996-12-12	VYDAJ	VYBER	17200	21662	\N	\N	\N
573842	1952	1997-01-11	VYDAJ	VYBER	21000	19810	\N	\N	\N
573843	1952	1997-02-10	VYDAJ	VYBER	3400	12723	\N	\N	\N
573844	1952	1997-03-12	VYDAJ	VYBER	5800	16981	\N	\N	\N
573845	1952	1997-04-11	VYDAJ	VYBER	8700	18238	\N	\N	\N
573846	1952	1997-05-11	VYDAJ	VYBER	14300	19430	\N	\N	\N
573847	1952	1997-06-10	VYDAJ	VYBER	7000	10337	\N	\N	\N
573848	1952	1997-07-10	VYDAJ	VYBER	12200	21319	\N	\N	\N
573849	1952	1997-08-09	VYDAJ	VYBER	11400	18105	\N	\N	\N
573850	1952	1997-09-08	VYDAJ	VYBER	7200	26401	\N	\N	\N
573851	1952	1997-10-08	VYDAJ	VYBER	10900	31024	\N	\N	\N
573852	1952	1997-11-07	VYDAJ	VYBER	12800	26320	\N	\N	\N
573853	1952	1997-12-07	VYDAJ	VYBER	19600	22252	\N	\N	\N
573854	1952	1998-01-06	VYDAJ	VYBER	14100	30415	\N	\N	\N
573855	1952	1998-02-05	VYDAJ	VYBER	9900	20383	\N	\N	\N
573856	1952	1998-03-07	VYDAJ	VYBER	12800	23084	\N	\N	\N
573857	1952	1998-04-06	VYDAJ	VYBER	11500	27103	\N	\N	\N
573858	1952	1998-05-06	VYDAJ	VYBER	10900	31735	\N	\N	\N
573859	1952	1998-06-05	VYDAJ	VYBER	11300	33946	\N	\N	\N
573860	1952	1998-07-05	PRIJEM	VKLAD	600	19506	\N	\N	\N
573861	1952	1998-08-04	VYDAJ	VYBER	3000	31986	\N	\N	\N
573862	1952	1998-09-03	VYDAJ	VYBER	12500	35024	\N	\N	\N
573863	1952	1998-10-03	VYDAJ	VYBER	11800	35162	\N	\N	\N
573864	1952	1998-11-02	VYDAJ	VYBER	15000	30926	\N	\N	\N
573865	1952	1998-12-02	VYDAJ	VYBER	19100	27380	\N	\N	\N
573927	1953	1997-05-15	PRIJEM	VKLAD	600	600	\N	\N	\N
573928	1953	1997-06-07	PRIJEM	VKLAD	27406	28006	\N	\N	\N
573930	1953	1997-11-06	PRIJEM	VKLAD	17063	41908	\N	\N	\N
573931	1953	1998-07-19	PRIJEM	VKLAD	44068	94713	\N	\N	\N
573932	1953	1998-01-24	PRIJEM	VKLAD	48095	127742	\N	\N	\N
573933	1953	1998-03-09	PRIJEM	VKLAD	35835	119628	\N	\N	\N
573934	1953	1998-02-18	PRIJEM	VKLAD	6455	110491	\N	\N	\N
573935	1953	1998-11-01	PRIJEM	VKLAD	43159	128473	\N	\N	\N
573936	1953	1998-03-29	PRIJEM	VKLAD	46109	104437	\N	\N	\N
573937	1953	1998-01-19	PRIJEM	VKLAD	28732	123047	\N	\N	\N
573938	1953	1998-06-16	PRIJEM	VKLAD	39421	80247	\N	\N	\N
573939	1953	1998-08-06	PRIJEM	VKLAD	41951	122035	\N	\N	\N
573940	1953	1998-10-30	PRIJEM	VKLAD	9092	117512	\N	\N	\N
573941	1953	1998-01-17	PRIJEM	VKLAD	45246	94315	\N	\N	\N
573942	1953	1998-08-04	PRIJEM	VKLAD	5111	80084	\N	\N	\N
573943	1953	1998-08-01	PRIJEM	VKLAD	21658	74973	\N	\N	\N
573944	1953	1998-08-09	PRIJEM	VKLAD	37963	89977	\N	\N	\N
573945	1953	1998-02-11	PRIJEM	VKLAD	48663	104036	\N	\N	\N
573946	1953	1998-01-26	PRIJEM	VKLAD	23077	103419	\N	\N	\N
573947	1953	1998-07-25	PRIJEM	VKLAD	23258	117971	\N	\N	\N
573948	1953	1998-06-24	PRIJEM	VKLAD	6533	61062	\N	\N	\N
573949	1953	1998-06-22	PRIJEM	VKLAD	28282	54529	\N	\N	\N
573950	1953	1998-10-23	PRIJEM	VKLAD	42013	93423	\N	\N	\N
573951	1953	1998-10-26	PRIJEM	VKLAD	34997	128420	\N	\N	\N
573952	1953	1998-01-01	PRIJEM	VKLAD	34005	61669	\N	\N	\N
573953	1953	1998-02-06	PRIJEM	VKLAD	21917	71383	\N	\N	\N
573954	1953	1998-08-17	PRIJEM	VKLAD	42254	127731	\N	\N	\N
573955	1953	1998-08-27	PRIJEM	VKLAD	14885	86316	\N	\N	\N
573956	1953	1998-11-14	PRIJEM	VKLAD	12470	81843	\N	\N	\N
573957	1953	1998-03-30	PRIJEM	VKLAD	48400	152837	\N	\N	\N
573958	1953	1998-09-20	PRIJEM	VKLAD	13275	66569	\N	\N	\N
573959	1953	1998-11-16	PRIJEM	VKLAD	48197	130040	\N	\N	\N
573965	1953	1998-02-06	VYBER	VYBER	2310	69073	\N	\N	\N
573966	1953	1998-09-04	VYBER	VYBER	12717	73894	\N	\N	\N
573968	1953	1998-04-15	VYBER	VYBER	6049	45754	\N	\N	\N
573969	1953	1998-08-08	VYBER	VYBER	19521	64414	\N	\N	\N
573971	1953	1998-06-20	VYDAJ	VYBER	54000	26247	\N	\N	\N
573973	1953	1998-01-30	VYDAJ	VYBER	17100	49219	\N	\N	\N
573975	1953	1998-12-15	VYDAJ	VYBER	7200	53652	\N	\N	\N
573983	1953	1998-01-28	VYDAJ	VYBER	2400	101019	\N	\N	\N
573984	1953	1998-01-29	VYDAJ	VYBER	8400	66319	\N	\N	\N
573985	1953	1998-01-19	VYDAJ	VYBER	7800	115247	\N	\N	\N
573991	1953	1998-03-07	VYDAJ	VYBER	1800	83793	\N	\N	\N
573992	1953	1998-11-27	VYDAJ	VYBER	13200	97740	\N	\N	\N
573993	1953	1998-12-08	VYDAJ	VYBER	9300	60852	\N	\N	\N
573994	1953	1998-08-16	VYDAJ	VYBER	4500	85477	\N	\N	\N
574008	1953	1998-01-31	VYDAJ	VYBER	30	49466	SLUZBY	\N	\N
574009	1953	1998-02-28	VYDAJ	VYBER	30	85593	SLUZBY	\N	\N
574010	1953	1998-03-31	VYDAJ	VYBER	30	71303	SLUZBY	\N	\N
574011	1953	1998-04-30	VYDAJ	VYBER	30	45965	SLUZBY	\N	\N
574012	1953	1998-05-31	VYDAJ	VYBER	30	41526	SLUZBY	\N	\N
574013	1953	1998-06-30	VYDAJ	VYBER	30	61245	SLUZBY	\N	\N
574014	1953	1998-07-31	VYDAJ	VYBER	30	53315	SLUZBY	\N	\N
574015	1953	1998-08-31	VYDAJ	VYBER	30	86611	SLUZBY	\N	\N
574016	1953	1998-09-30	VYDAJ	VYBER	30	66810	SLUZBY	\N	\N
574017	1953	1998-10-31	VYDAJ	VYBER	30	85314	SLUZBY	\N	\N
574018	1953	1998-11-30	VYDAJ	VYBER	30	98152	SLUZBY	\N	\N
574019	1953	1997-06-14	PRIJEM	VKLAD	300	28306	\N	\N	\N
574020	1953	1997-07-14	VYDAJ	VYBER	2700	25673	\N	\N	\N
574021	1953	1997-08-13	VYDAJ	VYBER	900	24891	\N	\N	\N
574022	1953	1997-09-12	VYDAJ	VYBER	1300	23709	\N	\N	\N
574023	1953	1997-10-12	PRIJEM	VKLAD	900	24727	\N	\N	\N
574024	1953	1997-11-11	VYDAJ	VYBER	10700	31208	\N	\N	\N
574025	1953	1997-12-11	VYDAJ	VYBER	3800	27534	\N	\N	\N
574026	1953	1998-01-10	VYDAJ	VYBER	12600	49069	\N	\N	\N
574027	1953	1998-01-19	VYDAJ	VYBER	35600	79647	\N	\N	\N
574028	1953	1998-01-24	VYDAJ	VYBER	47400	80342	\N	\N	\N
574029	1953	1998-01-28	VYDAJ	VYBER	26300	74719	\N	\N	\N
574030	1953	1998-02-09	VYDAJ	VYBER	13700	55373	\N	\N	\N
574031	1953	1998-02-18	VYDAJ	VYBER	25200	85291	\N	\N	\N
574032	1953	1998-03-09	VYDAJ	VYBER	36400	83228	\N	\N	\N
574033	1953	1998-03-11	VYDAJ	VYBER	24900	58328	\N	\N	\N
574034	1953	1998-03-30	VYDAJ	VYBER	24000	128837	\N	\N	\N
574035	1953	1998-03-31	VYDAJ	VYBER	57800	71333	\N	\N	\N
574036	1953	1998-04-10	VYDAJ	VYBER	19500	51803	\N	\N	\N
574037	1953	1998-05-10	VYDAJ	VYBER	4600	41365	\N	\N	\N
574038	1953	1998-06-09	VYDAJ	VYBER KARTOU	700	40826	\N	\N	0
574039	1953	1998-07-09	VYDAJ	VYBER	10600	50645	\N	\N	\N
574040	1953	1998-07-25	VYDAJ	VYBER	64900	53071	\N	\N	\N
574041	1953	1998-08-06	VYDAJ	VYBER	38100	83935	\N	\N	\N
574042	1953	1998-08-08	VYDAJ	VYBER	12400	52014	\N	\N	\N
574043	1953	1998-08-17	VYDAJ	VYBER	56300	71431	\N	\N	\N
574044	1953	1998-09-07	VYDAJ	VYBER	20600	53294	\N	\N	\N
574045	1953	1998-10-07	VYDAJ	VYBER	15400	51410	\N	\N	\N
574046	1953	1998-10-26	VYDAJ	VYBER	20000	108420	\N	\N	\N
574047	1953	1998-10-30	VYDAJ	VYBER	32500	85012	\N	\N	\N
574048	1953	1998-11-01	VYDAJ	VYBER	38000	90473	\N	\N	\N
574049	1953	1998-11-06	VYDAJ	VYBER	21100	69373	\N	\N	\N
574050	1953	1998-11-16	VYDAJ	VYBER	19100	110940	\N	\N	\N
574051	1953	1998-12-06	VYDAJ	VYBER	28000	70152	\N	\N	\N
574071	1954	1996-06-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
574077	1954	1996-06-10	PRIJEM	PREVOD Z UCTU	3211	4211	\N	CD	70241713
574078	1954	1996-07-10	PRIJEM	PREVOD Z UCTU	3211	7434	\N	CD	70241713
574079	1954	1996-08-10	PRIJEM	PREVOD Z UCTU	3211	10663	\N	CD	70241713
574080	1954	1996-09-10	PRIJEM	PREVOD Z UCTU	3211	13891	\N	CD	70241713
574081	1954	1996-10-10	PRIJEM	PREVOD Z UCTU	3211	17120	\N	CD	70241713
574082	1954	1996-11-10	PRIJEM	PREVOD Z UCTU	3211	18196	\N	CD	70241713
574083	1954	1996-12-10	PRIJEM	PREVOD Z UCTU	3211	17857	\N	CD	70241713
574084	1954	1997-01-10	PRIJEM	PREVOD Z UCTU	3211	17006	\N	CD	70241713
574085	1954	1997-02-10	PRIJEM	PREVOD Z UCTU	3211	14952	\N	CD	70241713
574086	1954	1997-03-10	PRIJEM	PREVOD Z UCTU	3211	15570	\N	CD	70241713
574087	1954	1997-04-10	PRIJEM	PREVOD Z UCTU	3211	15090	\N	CD	70241713
574088	1954	1997-05-10	PRIJEM	PREVOD Z UCTU	3211	16209	\N	CD	70241713
574089	1954	1997-06-10	PRIJEM	PREVOD Z UCTU	3211	17332	\N	CD	70241713
574090	1954	1997-07-10	PRIJEM	PREVOD Z UCTU	3211	14567	\N	CD	70241713
574091	1954	1997-08-10	PRIJEM	PREVOD Z UCTU	3211	14300	\N	CD	70241713
574092	1954	1997-09-10	PRIJEM	PREVOD Z UCTU	3211	15214	\N	CD	70241713
574093	1954	1997-10-10	PRIJEM	PREVOD Z UCTU	3211	16132	\N	CD	70241713
574094	1954	1997-11-10	PRIJEM	PREVOD Z UCTU	3211	15853	\N	CD	70241713
574095	1954	1997-12-10	PRIJEM	PREVOD Z UCTU	3211	16674	\N	CD	70241713
574096	1954	1998-01-10	PRIJEM	PREVOD Z UCTU	3211	16628	\N	CD	70241713
574097	1954	1998-02-10	PRIJEM	PREVOD Z UCTU	3211	14028	\N	CD	70241713
574098	1954	1998-03-10	PRIJEM	PREVOD Z UCTU	3211	14690	\N	CD	70241713
574099	1954	1998-04-10	PRIJEM	PREVOD Z UCTU	3211	15807	\N	CD	70241713
574100	1954	1998-05-10	PRIJEM	PREVOD Z UCTU	3211	16927	\N	CD	70241713
574101	1954	1998-06-10	PRIJEM	PREVOD Z UCTU	3211	18053	\N	CD	70241713
574102	1954	1998-07-10	PRIJEM	PREVOD Z UCTU	3211	14760	\N	CD	70241713
574103	1954	1998-08-10	PRIJEM	PREVOD Z UCTU	3211	15876	\N	CD	70241713
574104	1954	1998-09-10	PRIJEM	PREVOD Z UCTU	3211	16997	\N	CD	70241713
574105	1954	1998-10-10	PRIJEM	PREVOD Z UCTU	3211	18123	\N	CD	70241713
574106	1954	1998-11-10	PRIJEM	PREVOD Z UCTU	3211	19253	\N	CD	70241713
574107	1954	1998-12-10	PRIJEM	PREVOD Z UCTU	3211	19698	\N	CD	70241713
574118	1954	1996-11-09	VYDAJ	PREVOD NA UCET	2140	14985	SIPO	IJ	85359781
574119	1954	1996-12-09	VYDAJ	PREVOD NA UCET	2140	14646	SIPO	IJ	85359781
574120	1954	1997-01-09	VYDAJ	PREVOD NA UCET	2140	13795	SIPO	IJ	85359781
574121	1954	1997-02-09	VYDAJ	PREVOD NA UCET	2140	11741	SIPO	IJ	85359781
574122	1954	1997-03-09	VYDAJ	PREVOD NA UCET	2140	12359	SIPO	IJ	85359781
574123	1954	1997-04-09	VYDAJ	PREVOD NA UCET	2140	11879	SIPO	IJ	85359781
574124	1954	1997-05-09	VYDAJ	PREVOD NA UCET	2140	12998	SIPO	IJ	85359781
574125	1954	1997-06-09	VYDAJ	PREVOD NA UCET	2140	14121	SIPO	IJ	85359781
574126	1954	1997-07-09	VYDAJ	PREVOD NA UCET	2140	11356	SIPO	IJ	85359781
574127	1954	1997-08-09	VYDAJ	PREVOD NA UCET	2140	11089	SIPO	IJ	85359781
574128	1954	1997-09-09	VYDAJ	PREVOD NA UCET	2140	12003	SIPO	IJ	85359781
574129	1954	1997-10-09	VYDAJ	PREVOD NA UCET	2140	12921	SIPO	IJ	85359781
574130	1954	1997-11-09	VYDAJ	PREVOD NA UCET	2140	12642	SIPO	IJ	85359781
574131	1954	1997-12-09	VYDAJ	PREVOD NA UCET	2140	13463	SIPO	IJ	85359781
574132	1954	1998-01-09	VYDAJ	PREVOD NA UCET	2140	13417	SIPO	IJ	85359781
574133	1954	1998-02-09	VYDAJ	PREVOD NA UCET	2140	10817	SIPO	IJ	85359781
574134	1954	1998-03-09	VYDAJ	PREVOD NA UCET	2140	11479	SIPO	IJ	85359781
574135	1954	1998-04-09	VYDAJ	PREVOD NA UCET	2140	12596	SIPO	IJ	85359781
574136	1954	1998-05-09	VYDAJ	PREVOD NA UCET	2140	13716	SIPO	IJ	85359781
574137	1954	1998-06-09	VYDAJ	PREVOD NA UCET	2140	14842	SIPO	IJ	85359781
574138	1954	1998-07-09	VYDAJ	PREVOD NA UCET	2140	11549	SIPO	IJ	85359781
574139	1954	1998-08-09	VYDAJ	PREVOD NA UCET	2140	12665	SIPO	IJ	85359781
574140	1954	1998-09-09	VYDAJ	PREVOD NA UCET	2140	13786	SIPO	IJ	85359781
574141	1954	1998-10-09	VYDAJ	PREVOD NA UCET	2140	14912	SIPO	IJ	85359781
574142	1954	1998-11-09	VYDAJ	PREVOD NA UCET	2140	16042	SIPO	IJ	85359781
574143	1954	1998-12-09	VYDAJ	PREVOD NA UCET	2140	16487	SIPO	IJ	85359781
574146	1954	1998-06-10	VYDAJ	VYBER	4410	13643	\N	\N	\N
574148	1954	1997-01-29	VYDAJ	VYBER	360	15716	\N	\N	\N
574149	1954	1998-01-25	VYDAJ	VYBER	2310	12908	\N	\N	\N
574150	1954	1996-12-24	VYDAJ	VYBER	480	17377	\N	\N	\N
574151	1954	1997-12-04	VYDAJ	VYBER	300	15603	\N	\N	\N
574152	1954	1998-12-01	VYDAJ	VYBER	540	18627	\N	\N	\N
574159	1954	1997-01-20	VYDAJ	VYBER	270	16736	\N	\N	\N
574160	1954	1997-01-09	VYDAJ	VYBER	540	15935	\N	\N	\N
574161	1954	1997-01-03	VYDAJ	VYBER	240	17195	\N	\N	\N
574162	1954	1997-01-07	VYDAJ	VYBER	720	16475	\N	\N	\N
574163	1954	1997-01-20	VYDAJ	VYBER	660	16076	\N	\N	\N
574164	1954	1997-01-29	VYDAJ	VYBER	390	15326	\N	\N	\N
574166	1954	1998-01-22	VYDAJ	VYBER	750	15218	\N	\N	\N
574167	1954	1998-01-02	VYDAJ	VYBER	870	15857	\N	\N	\N
574168	1954	1998-01-10	VYDAJ	VYBER	360	16268	\N	\N	\N
574169	1954	1998-01-06	VYDAJ	VYBER	300	15557	\N	\N	\N
574170	1954	1998-01-15	VYDAJ	VYBER	300	15968	\N	\N	\N
574172	1954	1996-12-02	VYDAJ	VYBER	1200	17056	\N	\N	\N
574175	1954	1996-12-07	VYDAJ	VYBER	270	16786	\N	\N	\N
574177	1954	1997-10-15	VYDAJ	VYBER	600	15532	\N	\N	\N
574178	1954	1997-07-16	VYDAJ	VYBER	1380	13187	\N	\N	\N
574179	1954	1997-06-18	VYDAJ	VYBER	990	16342	\N	\N	\N
574180	1954	1998-02-11	VYDAJ	VYBER	450	13578	\N	\N	\N
574181	1954	1998-11-17	VYDAJ	VYBER	150	19103	\N	\N	\N
574194	1954	1996-10-31	VYDAJ	VYBER	15	17125	SLUZBY	\N	\N
574195	1954	1996-11-30	VYDAJ	VYBER	15	18256	SLUZBY	\N	\N
574196	1954	1996-12-31	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
574197	1954	1997-01-31	VYDAJ	VYBER	15	15381	SLUZBY	\N	\N
574198	1954	1997-02-28	VYDAJ	VYBER	15	14999	SLUZBY	\N	\N
574199	1954	1997-03-31	VYDAJ	VYBER	15	15619	SLUZBY	\N	\N
574200	1954	1997-04-30	VYDAJ	VYBER	15	15138	SLUZBY	\N	\N
574201	1954	1997-05-31	VYDAJ	VYBER	15	16261	SLUZBY	\N	\N
574202	1954	1997-06-30	VYDAJ	VYBER	15	13496	SLUZBY	\N	\N
574203	1954	1997-07-31	VYDAJ	VYBER	15	13229	SLUZBY	\N	\N
574204	1954	1997-08-31	VYDAJ	VYBER	15	14143	SLUZBY	\N	\N
574205	1954	1997-09-30	VYDAJ	VYBER	15	15061	SLUZBY	\N	\N
574206	1954	1997-10-31	VYDAJ	VYBER	15	14782	SLUZBY	\N	\N
574207	1954	1997-11-30	VYDAJ	VYBER	15	15903	SLUZBY	\N	\N
574208	1954	1997-12-31	VYDAJ	VYBER	15	16727	SLUZBY	\N	\N
574209	1954	1998-01-31	VYDAJ	VYBER	15	12957	SLUZBY	\N	\N
574210	1954	1998-02-28	VYDAJ	VYBER	15	13619	SLUZBY	\N	\N
574211	1954	1998-03-31	VYDAJ	VYBER	15	14736	SLUZBY	\N	\N
574212	1954	1998-04-30	VYDAJ	VYBER	15	15856	SLUZBY	\N	\N
574213	1954	1998-05-31	VYDAJ	VYBER	15	16982	SLUZBY	\N	\N
574214	1954	1998-06-30	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
574215	1954	1998-07-31	VYDAJ	VYBER	15	14805	SLUZBY	\N	\N
574216	1954	1998-08-31	VYDAJ	VYBER	15	15926	SLUZBY	\N	\N
574217	1954	1998-09-30	VYDAJ	VYBER	15	17052	SLUZBY	\N	\N
574218	1954	1998-10-31	VYDAJ	VYBER	15	18182	SLUZBY	\N	\N
574219	1954	1998-11-30	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
574220	1954	1997-01-31	VYDAJ	VYBER	1500	13881	\N	\N	\N
574221	1954	1997-03-02	VYDAJ	VYBER	500	14499	\N	\N	\N
574222	1954	1997-04-01	VYDAJ	VYBER	1600	14019	\N	\N	\N
574223	1954	1997-06-30	VYDAJ	VYBER	2900	13510	\N	\N	\N
574224	1954	1997-08-29	VYDAJ	VYBER	200	14100	\N	\N	\N
574225	1954	1997-09-28	VYDAJ	VYBER	200	15014	\N	\N	\N
574226	1954	1997-10-28	VYDAJ	VYBER	800	14732	\N	\N	\N
574258	1955	1995-01-07	PRIJEM	VKLAD	600	600	\N	\N	\N
574260	1955	1995-02-05	PRIJEM	PREVOD Z UCTU	2946	3546	\N	QR	9440541
574261	1955	1995-03-05	PRIJEM	PREVOD Z UCTU	2946	6492	\N	QR	9440541
574262	1955	1995-04-05	PRIJEM	PREVOD Z UCTU	2946	9438	\N	QR	9440541
574263	1955	1995-05-05	PRIJEM	PREVOD Z UCTU	2946	12384	\N	QR	9440541
574264	1955	1995-06-05	PRIJEM	PREVOD Z UCTU	2946	15330	\N	QR	9440541
574265	1955	1995-07-05	PRIJEM	PREVOD Z UCTU	2946	15261	\N	QR	9440541
574266	1955	1995-08-05	PRIJEM	PREVOD Z UCTU	2946	15352	\N	QR	9440541
574267	1955	1995-09-05	PRIJEM	PREVOD Z UCTU	2946	16134	\N	QR	9440541
574268	1955	1995-10-05	PRIJEM	PREVOD Z UCTU	2946	15686	\N	QR	9440541
574269	1955	1995-11-05	PRIJEM	PREVOD Z UCTU	2946	16710	\N	QR	9440541
574270	1955	1995-12-05	PRIJEM	PREVOD Z UCTU	2946	17738	\N	QR	9440541
574271	1955	1996-01-05	PRIJEM	PREVOD Z UCTU	2946	17690	\N	QR	9440541
574272	1955	1996-02-05	PRIJEM	PREVOD Z UCTU	2946	15537	\N	QR	9440541
574273	1955	1996-03-05	PRIJEM	PREVOD Z UCTU	2946	15871	\N	QR	9440541
574274	1955	1996-04-05	PRIJEM	PREVOD Z UCTU	2946	16896	\N	QR	9440541
574275	1955	1996-05-05	PRIJEM	PREVOD Z UCTU	2946	15292	\N	QR	9440541
574276	1955	1996-06-05	PRIJEM	PREVOD Z UCTU	2946	16315	\N	QR	9440541
574277	1955	1996-07-05	PRIJEM	PREVOD Z UCTU	2946	15686	\N	QR	9440541
574278	1955	1996-08-05	PRIJEM	PREVOD Z UCTU	2946	16710	\N	QR	9440541
574279	1955	1996-09-05	PRIJEM	PREVOD Z UCTU	2946	17738	\N	QR	9440541
574280	1955	1996-10-05	PRIJEM	PREVOD Z UCTU	2946	18771	\N	QR	9440541
574281	1955	1996-11-05	PRIJEM	PREVOD Z UCTU	2946	19807	\N	QR	9440541
574282	1955	1996-12-05	PRIJEM	PREVOD Z UCTU	2946	20448	\N	QR	9440541
574283	1955	1997-01-05	PRIJEM	PREVOD Z UCTU	2946	19730	\N	QR	9440541
574284	1955	1997-02-05	PRIJEM	PREVOD Z UCTU	2946	14260	\N	QR	9440541
574285	1955	1997-03-05	PRIJEM	PREVOD Z UCTU	2946	14477	\N	QR	9440541
574286	1955	1997-04-05	PRIJEM	PREVOD Z UCTU	2946	15496	\N	QR	9440541
574287	1955	1997-05-05	PRIJEM	PREVOD Z UCTU	2946	16218	\N	QR	9440541
574288	1955	1997-06-05	PRIJEM	PREVOD Z UCTU	2946	17244	\N	QR	9440541
574289	1955	1997-07-05	PRIJEM	PREVOD Z UCTU	2946	16137	\N	QR	9440541
574290	1955	1997-08-05	PRIJEM	PREVOD Z UCTU	2946	17163	\N	QR	9440541
574291	1955	1997-09-05	PRIJEM	PREVOD Z UCTU	2946	14489	\N	QR	9440541
574292	1955	1997-10-05	PRIJEM	PREVOD Z UCTU	2946	15507	\N	QR	9440541
574293	1955	1997-11-05	PRIJEM	PREVOD Z UCTU	2946	14828	\N	QR	9440541
574294	1955	1997-12-05	PRIJEM	PREVOD Z UCTU	2946	15848	\N	QR	9440541
574295	1955	1998-01-05	PRIJEM	PREVOD Z UCTU	2946	16392	\N	QR	9440541
574296	1955	1998-02-05	PRIJEM	PREVOD Z UCTU	2946	16426	\N	QR	9440541
574297	1955	1998-03-05	PRIJEM	PREVOD Z UCTU	2946	17453	\N	QR	9440541
574298	1955	1998-04-05	PRIJEM	PREVOD Z UCTU	2946	18484	\N	QR	9440541
574299	1955	1998-05-05	PRIJEM	PREVOD Z UCTU	2946	19519	\N	QR	9440541
574300	1955	1998-06-05	PRIJEM	PREVOD Z UCTU	2946	20558	\N	QR	9440541
574301	1955	1998-07-05	PRIJEM	PREVOD Z UCTU	2946	16732	\N	QR	9440541
574302	1955	1998-08-05	PRIJEM	PREVOD Z UCTU	2946	17760	\N	QR	9440541
574303	1955	1998-09-05	PRIJEM	PREVOD Z UCTU	2946	18792	\N	QR	9440541
574304	1955	1998-10-05	PRIJEM	PREVOD Z UCTU	2946	19828	\N	QR	9440541
574305	1955	1998-11-05	PRIJEM	PREVOD Z UCTU	2946	20868	\N	QR	9440541
574306	1955	1998-12-05	PRIJEM	PREVOD Z UCTU	2946	21913	\N	QR	9440541
574312	1955	1995-06-06	VYDAJ	PREVOD NA UCET	1964	13366	\N	KL	37730187
574313	1955	1995-07-06	VYDAJ	PREVOD NA UCET	1964	13297	\N	KL	37730187
574314	1955	1995-08-06	VYDAJ	PREVOD NA UCET	1964	13388	\N	KL	37730187
574315	1955	1995-09-06	VYDAJ	PREVOD NA UCET	1964	14170	\N	KL	37730187
574316	1955	1995-10-06	VYDAJ	PREVOD NA UCET	1964	13722	\N	KL	37730187
574317	1955	1995-11-06	VYDAJ	PREVOD NA UCET	1964	14746	\N	KL	37730187
574318	1955	1995-12-06	VYDAJ	PREVOD NA UCET	1964	15774	\N	KL	37730187
574319	1955	1996-01-06	VYDAJ	PREVOD NA UCET	1964	15726	\N	KL	37730187
574320	1955	1996-02-06	VYDAJ	PREVOD NA UCET	1964	13573	\N	KL	37730187
574321	1955	1996-03-06	VYDAJ	PREVOD NA UCET	1964	13907	\N	KL	37730187
574322	1955	1996-04-06	VYDAJ	PREVOD NA UCET	1964	14932	\N	KL	37730187
574323	1955	1996-05-06	VYDAJ	PREVOD NA UCET	1964	13328	\N	KL	37730187
574324	1955	1996-06-06	VYDAJ	PREVOD NA UCET	1964	14351	\N	KL	37730187
574325	1955	1996-07-06	VYDAJ	PREVOD NA UCET	1964	13722	\N	KL	37730187
574326	1955	1996-08-06	VYDAJ	PREVOD NA UCET	1964	14746	\N	KL	37730187
574327	1955	1996-09-06	VYDAJ	PREVOD NA UCET	1964	15774	\N	KL	37730187
574328	1955	1996-10-06	VYDAJ	PREVOD NA UCET	1964	16807	\N	KL	37730187
574329	1955	1996-11-06	VYDAJ	PREVOD NA UCET	1964	17843	\N	KL	37730187
574330	1955	1996-12-06	VYDAJ	PREVOD NA UCET	1964	18484	\N	KL	37730187
574331	1955	1997-01-06	VYDAJ	PREVOD NA UCET	1964	17226	\N	KL	37730187
574332	1955	1997-02-06	VYDAJ	PREVOD NA UCET	1964	12296	\N	KL	37730187
574333	1955	1997-03-06	VYDAJ	PREVOD NA UCET	1964	12513	\N	KL	37730187
574334	1955	1997-04-06	VYDAJ	PREVOD NA UCET	1964	13532	\N	KL	37730187
574335	1955	1997-05-06	VYDAJ	PREVOD NA UCET	1964	14254	\N	KL	37730187
574336	1955	1997-06-06	VYDAJ	PREVOD NA UCET	1964	15280	\N	KL	37730187
574337	1955	1997-07-06	VYDAJ	PREVOD NA UCET	1964	14173	\N	KL	37730187
574338	1955	1997-08-06	VYDAJ	PREVOD NA UCET	1964	15199	\N	KL	37730187
574339	1955	1997-09-06	VYDAJ	PREVOD NA UCET	1964	12525	\N	KL	37730187
574340	1955	1997-10-06	VYDAJ	PREVOD NA UCET	1964	13543	\N	KL	37730187
574341	1955	1997-11-06	VYDAJ	PREVOD NA UCET	1964	12864	\N	KL	37730187
574342	1955	1997-12-06	VYDAJ	PREVOD NA UCET	1964	13884	\N	KL	37730187
574343	1955	1998-01-06	VYDAJ	PREVOD NA UCET	1964	14068	\N	KL	37730187
574344	1955	1998-02-06	VYDAJ	PREVOD NA UCET	1964	14462	\N	KL	37730187
574345	1955	1998-03-06	VYDAJ	PREVOD NA UCET	1964	15489	\N	KL	37730187
574346	1955	1998-04-06	VYDAJ	PREVOD NA UCET	1964	16520	\N	KL	37730187
574347	1955	1998-05-06	VYDAJ	PREVOD NA UCET	1964	17555	\N	KL	37730187
574348	1955	1998-06-06	VYDAJ	PREVOD NA UCET	1964	18594	\N	KL	37730187
574349	1955	1998-07-06	VYDAJ	PREVOD NA UCET	1964	14768	\N	KL	37730187
574350	1955	1998-08-06	VYDAJ	PREVOD NA UCET	1964	15796	\N	KL	37730187
574351	1955	1998-09-06	VYDAJ	PREVOD NA UCET	1964	16828	\N	KL	37730187
574352	1955	1998-10-06	VYDAJ	PREVOD NA UCET	1964	17864	\N	KL	37730187
574353	1955	1998-11-06	VYDAJ	PREVOD NA UCET	1964	18904	\N	KL	37730187
574354	1955	1998-12-06	VYDAJ	PREVOD NA UCET	1964	19949	\N	KL	37730187
574356	1955	1996-06-07	VYDAJ	VYBER	1650	12701	\N	\N	\N
574357	1955	1997-06-08	VYDAJ	VYBER	1830	13450	\N	\N	\N
574358	1955	1998-06-19	VYDAJ	VYBER	3870	13734	\N	\N	\N
574361	1955	1997-01-08	VYDAJ	VYBER	1230	15996	\N	\N	\N
574363	1955	1995-12-26	VYDAJ	VYBER	720	15054	\N	\N	\N
574364	1955	1996-12-24	VYDAJ	VYBER	750	17734	\N	\N	\N
574366	1955	1998-12-19	VYDAJ	VYBER	540	19409	\N	\N	\N
574373	1955	1996-01-01	VYDAJ	VYBER	360	14744	\N	\N	\N
574374	1955	1996-01-17	VYDAJ	VYBER	720	14046	\N	\N	\N
574375	1955	1996-01-18	VYDAJ	VYBER	720	13326	\N	\N	\N
574376	1955	1996-01-16	VYDAJ	VYBER	360	14766	\N	\N	\N
574377	1955	1996-01-09	VYDAJ	VYBER	600	15126	\N	\N	\N
574378	1955	1996-01-28	VYDAJ	VYBER	780	12546	\N	\N	\N
574379	1955	1997-01-13	VYDAJ	VYBER	420	15096	\N	\N	\N
574380	1955	1997-01-05	VYDAJ	VYBER	540	19190	\N	\N	\N
574381	1955	1997-01-24	VYDAJ	VYBER	240	14166	\N	\N	\N
574382	1955	1997-01-10	VYDAJ	VYBER	480	15516	\N	\N	\N
574383	1955	1997-01-02	VYDAJ	VYBER	210	16784	\N	\N	\N
574384	1955	1997-01-23	VYDAJ	VYBER	690	14406	\N	\N	\N
574386	1955	1998-01-05	VYDAJ	VYBER	360	16032	\N	\N	\N
574387	1955	1998-01-07	VYDAJ	VYBER	300	13768	\N	\N	\N
574388	1955	1998-01-22	VYDAJ	VYBER	330	13438	\N	\N	\N
574389	1955	1998-01-01	VYDAJ	VYBER	480	13446	\N	\N	\N
574393	1955	1995-07-20	VYDAJ	VYBER	930	12367	\N	\N	\N
574395	1955	1995-09-14	VYDAJ	VYBER	1470	12700	\N	\N	\N
574396	1955	1995-06-13	VYDAJ	VYBER	1080	12286	\N	\N	\N
574398	1955	1995-08-26	VYDAJ	VYBER	240	13148	\N	\N	\N
574399	1955	1996-04-19	VYDAJ	VYBER	930	14002	\N	\N	\N
574400	1955	1996-04-24	VYDAJ	VYBER	900	13102	\N	\N	\N
574401	1955	1996-03-04	VYDAJ	VYBER	690	12925	\N	\N	\N
574403	1955	1997-06-08	VYDAJ	VYBER	300	13150	\N	\N	\N
574407	1955	1998-12-21	VYDAJ	VYBER	870	18539	\N	\N	\N
574408	1955	1998-12-30	VYDAJ	VYBER	330	18209	\N	\N	\N
574409	1955	1998-06-09	VYDAJ	VYBER	990	17604	\N	\N	\N
574416	1955	1995-06-30	VYDAJ	VYBER	15	12315	SLUZBY	\N	\N
574417	1955	1995-07-31	VYDAJ	VYBER	15	12406	SLUZBY	\N	\N
574418	1955	1995-08-31	VYDAJ	VYBER	15	13188	SLUZBY	\N	\N
574419	1955	1995-09-30	VYDAJ	VYBER	15	12740	SLUZBY	\N	\N
574420	1955	1995-10-31	VYDAJ	VYBER	15	13764	SLUZBY	\N	\N
574421	1955	1995-11-30	VYDAJ	VYBER	15	14792	SLUZBY	\N	\N
574422	1955	1995-12-31	VYDAJ	VYBER	15	15104	SLUZBY	\N	\N
574423	1955	1996-01-31	VYDAJ	VYBER	15	12591	SLUZBY	\N	\N
574424	1955	1996-02-29	VYDAJ	VYBER	15	13615	SLUZBY	\N	\N
574425	1955	1996-03-31	VYDAJ	VYBER	15	13950	SLUZBY	\N	\N
574426	1955	1996-04-30	VYDAJ	VYBER	15	13146	SLUZBY	\N	\N
574427	1955	1996-05-31	VYDAJ	VYBER	15	13369	SLUZBY	\N	\N
574428	1955	1996-06-30	VYDAJ	VYBER	15	12740	SLUZBY	\N	\N
574429	1955	1996-07-31	VYDAJ	VYBER	15	13764	SLUZBY	\N	\N
574430	1955	1996-08-31	VYDAJ	VYBER	15	14792	SLUZBY	\N	\N
574431	1955	1996-09-30	VYDAJ	VYBER	15	15825	SLUZBY	\N	\N
574432	1955	1996-10-31	VYDAJ	VYBER	15	16861	SLUZBY	\N	\N
574433	1955	1996-11-30	VYDAJ	VYBER	15	17502	SLUZBY	\N	\N
574434	1955	1996-12-31	VYDAJ	VYBER	15	16994	SLUZBY	\N	\N
574435	1955	1997-01-31	VYDAJ	VYBER	15	11314	SLUZBY	\N	\N
574436	1955	1997-02-28	VYDAJ	VYBER	15	11531	SLUZBY	\N	\N
574437	1955	1997-03-31	VYDAJ	VYBER	15	12550	SLUZBY	\N	\N
574438	1955	1997-04-30	VYDAJ	VYBER	15	13272	SLUZBY	\N	\N
574439	1955	1997-05-31	VYDAJ	VYBER	15	14298	SLUZBY	\N	\N
574440	1955	1997-06-30	VYDAJ	VYBER	15	13191	SLUZBY	\N	\N
574441	1955	1997-07-31	VYDAJ	VYBER	15	14217	SLUZBY	\N	\N
574442	1955	1997-08-31	VYDAJ	VYBER	15	11543	SLUZBY	\N	\N
574443	1955	1997-09-30	VYDAJ	VYBER	15	12561	SLUZBY	\N	\N
574444	1955	1997-10-31	VYDAJ	VYBER	15	11882	SLUZBY	\N	\N
574445	1955	1997-11-30	VYDAJ	VYBER	15	12902	SLUZBY	\N	\N
574446	1955	1997-12-31	VYDAJ	VYBER	15	13926	SLUZBY	\N	\N
574447	1955	1998-01-31	VYDAJ	VYBER	15	13480	SLUZBY	\N	\N
574448	1955	1998-02-28	VYDAJ	VYBER	15	14507	SLUZBY	\N	\N
574449	1955	1998-03-31	VYDAJ	VYBER	15	15538	SLUZBY	\N	\N
574450	1955	1998-04-30	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
574451	1955	1998-05-31	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
574452	1955	1998-06-30	VYDAJ	VYBER	15	13786	SLUZBY	\N	\N
574453	1955	1998-07-31	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
574454	1955	1998-08-31	VYDAJ	VYBER	15	15846	SLUZBY	\N	\N
574455	1955	1998-09-30	VYDAJ	VYBER	15	16882	SLUZBY	\N	\N
574456	1955	1998-10-31	VYDAJ	VYBER	15	17922	SLUZBY	\N	\N
574457	1955	1998-11-30	VYDAJ	VYBER	15	18967	SLUZBY	\N	\N
574458	1955	1996-05-01	VYDAJ	VYBER	800	12346	\N	\N	\N
574459	1955	1996-11-27	VYDAJ	VYBER	400	17443	\N	\N	\N
574460	1955	1996-12-27	VYDAJ	VYBER	800	16934	\N	\N	\N
574461	1955	1997-01-26	VYDAJ	VYBER	2900	11266	\N	\N	\N
574462	1955	1997-02-25	VYDAJ	VYBER	800	11496	\N	\N	\N
574463	1955	1997-04-26	VYDAJ	VYBER	300	13232	\N	\N	\N
574464	1955	1997-08-24	VYDAJ	VYBER	3700	11499	\N	\N	\N
574465	1955	1997-10-23	VYDAJ	VYBER	1700	11843	\N	\N	\N
574509	1956	1997-05-23	PRIJEM	VKLAD	300	300	\N	\N	\N
574515	1956	1997-06-05	PRIJEM	VKLAD	10518	10818	\N	\N	\N
574516	1956	1997-07-05	PRIJEM	VKLAD	7012	27456	\N	\N	\N
574517	1956	1997-08-05	PRIJEM	VKLAD	7012	38968	\N	\N	\N
574518	1956	1997-09-05	PRIJEM	VKLAD	7012	43920	\N	\N	\N
574519	1956	1997-10-05	PRIJEM	VKLAD	7012	46790	\N	\N	\N
574520	1956	1997-11-05	PRIJEM	VKLAD	7012	47483	\N	\N	\N
574521	1956	1997-12-05	PRIJEM	VKLAD	10518	53087	\N	\N	\N
574522	1956	1998-01-05	PRIJEM	VKLAD	7012	46611	\N	\N	\N
574523	1956	1998-02-05	PRIJEM	VKLAD	7012	33347	\N	\N	\N
574524	1956	1998-03-05	PRIJEM	VKLAD	7012	45265	\N	\N	\N
574525	1956	1998-04-05	PRIJEM	VKLAD	7012	50899	\N	\N	\N
574526	1956	1998-05-05	PRIJEM	VKLAD	7012	51809	\N	\N	\N
574527	1956	1998-06-05	PRIJEM	VKLAD	10518	58534	\N	\N	\N
574528	1956	1998-07-05	PRIJEM	VKLAD	7012	51141	\N	\N	\N
574529	1956	1998-08-05	PRIJEM	VKLAD	7012	53416	\N	\N	\N
574530	1956	1998-09-05	PRIJEM	VKLAD	7012	57142	\N	\N	\N
574531	1956	1998-10-05	PRIJEM	VKLAD	7012	53970	\N	\N	\N
574532	1956	1998-11-05	PRIJEM	VKLAD	7012	52792	\N	\N	\N
574533	1956	1998-12-05	PRIJEM	VKLAD	10518	57917	\N	\N	\N
574543	1956	1997-10-10	VYDAJ	PREVOD NA UCET	4674	42116	SIPO	UV	409156
574544	1956	1997-11-10	VYDAJ	PREVOD NA UCET	4674	42809	SIPO	UV	409156
574545	1956	1997-12-10	VYDAJ	PREVOD NA UCET	4674	48413	SIPO	UV	409156
574546	1956	1998-01-10	VYDAJ	PREVOD NA UCET	4674	41937	SIPO	UV	409156
574547	1956	1998-02-10	VYDAJ	PREVOD NA UCET	4674	28673	SIPO	UV	409156
574548	1956	1998-03-10	VYDAJ	PREVOD NA UCET	4674	37831	SIPO	UV	409156
574549	1956	1998-04-10	VYDAJ	PREVOD NA UCET	4674	46225	SIPO	UV	409156
574550	1956	1998-05-10	VYDAJ	PREVOD NA UCET	4674	47135	SIPO	UV	409156
574551	1956	1998-06-10	VYDAJ	PREVOD NA UCET	4674	41060	SIPO	UV	409156
574552	1956	1998-07-10	VYDAJ	PREVOD NA UCET	4674	46467	SIPO	UV	409156
574553	1956	1998-08-10	VYDAJ	PREVOD NA UCET	4674	48742	SIPO	UV	409156
574554	1956	1998-09-10	VYDAJ	PREVOD NA UCET	4674	51868	SIPO	UV	409156
574555	1956	1998-10-10	VYDAJ	PREVOD NA UCET	4674	49296	SIPO	UV	409156
574556	1956	1998-11-10	VYDAJ	PREVOD NA UCET	4674	48118	SIPO	UV	409156
574557	1956	1998-12-10	VYDAJ	PREVOD NA UCET	4674	53243	SIPO	UV	409156
574559	1956	1998-06-06	VYDAJ	VYBER	12800	45734	\N	\N	\N
574561	1956	1998-01-17	VYDAJ	VYBER	10400	29017	\N	\N	\N
574562	1956	1997-12-16	VYDAJ	VYBER	4480	43933	\N	\N	\N
574563	1956	1998-12-19	VYDAJ	VYBER	2880	45563	\N	\N	\N
574570	1956	1998-01-28	VYDAJ	VYBER	1320	26197	\N	\N	\N
574571	1956	1998-01-23	VYDAJ	VYBER	3240	27517	\N	\N	\N
574572	1956	1998-01-16	VYDAJ	VYBER	2520	39417	\N	\N	\N
574573	1956	1998-01-02	VYDAJ	VYBER	2400	39599	\N	\N	\N
574574	1956	1998-01-20	VYDAJ	VYBER	1800	32917	\N	\N	\N
574575	1956	1998-01-22	VYDAJ	VYBER	2160	30757	\N	\N	\N
574582	1956	1998-09-08	VYDAJ	VYBER	600	56542	\N	\N	\N
574583	1956	1998-03-06	VYDAJ	VYBER	2760	42505	\N	\N	\N
574584	1956	1998-07-30	VYDAJ	VYBER	840	46227	\N	\N	\N
574585	1956	1998-10-28	VYDAJ	VYBER	3000	45596	\N	\N	\N
574586	1956	1998-02-26	VYDAJ	VYBER	1440	38133	\N	\N	\N
574597	1956	1997-10-31	VYDAJ	VYBER	15	40471	SLUZBY	\N	\N
574598	1956	1997-11-30	VYDAJ	VYBER	15	42569	SLUZBY	\N	\N
574599	1956	1997-12-31	VYDAJ	VYBER	15	41999	SLUZBY	\N	\N
574600	1956	1998-01-31	VYDAJ	VYBER	15	26335	SLUZBY	\N	\N
574601	1956	1998-02-28	VYDAJ	VYBER	15	38253	SLUZBY	\N	\N
574602	1956	1998-03-31	VYDAJ	VYBER	15	43887	SLUZBY	\N	\N
574603	1956	1998-04-30	VYDAJ	VYBER	15	44797	SLUZBY	\N	\N
574604	1956	1998-05-31	VYDAJ	VYBER	15	48016	SLUZBY	\N	\N
574605	1956	1998-06-30	VYDAJ	VYBER	15	44129	SLUZBY	\N	\N
574606	1956	1998-07-31	VYDAJ	VYBER	15	46404	SLUZBY	\N	\N
574607	1956	1998-08-31	VYDAJ	VYBER	15	50130	SLUZBY	\N	\N
574608	1956	1998-09-30	VYDAJ	VYBER	15	46958	SLUZBY	\N	\N
574609	1956	1998-10-31	VYDAJ	VYBER	15	45780	SLUZBY	\N	\N
574610	1956	1998-11-30	VYDAJ	VYBER	15	47399	SLUZBY	\N	\N
574611	1956	1997-06-22	PRIJEM	VKLAD	9600	20418	\N	\N	\N
574612	1956	1997-07-22	PRIJEM	VKLAD	4400	31856	\N	\N	\N
574613	1956	1997-08-21	VYDAJ	VYBER	2200	36768	\N	\N	\N
574614	1956	1997-09-20	VYDAJ	VYBER	4300	39620	\N	\N	\N
574615	1956	1997-10-20	VYDAJ	VYBER	1800	40316	\N	\N	\N
574616	1956	1997-11-19	VYDAJ	VYBER	400	42409	\N	\N	\N
574617	1956	1997-12-19	VYDAJ	VYBER	2100	41833	\N	\N	\N
574618	1956	1998-01-18	PRIJEM	VKLAD	5700	34717	\N	\N	\N
574619	1956	1998-02-17	PRIJEM	VKLAD	10900	39573	\N	\N	\N
574620	1956	1998-03-19	PRIJEM	VKLAD	5900	43731	\N	\N	\N
574621	1956	1998-04-18	VYDAJ	VYBER	1600	44625	\N	\N	\N
574622	1956	1998-05-18	PRIJEM	VKLAD	700	47835	\N	\N	\N
574623	1956	1998-06-17	PRIJEM	VKLAD	2900	43960	\N	\N	\N
574624	1956	1998-07-17	PRIJEM	VKLAD	600	47067	\N	\N	\N
574625	1956	1998-08-16	PRIJEM	VKLAD	1200	49942	\N	\N	\N
574626	1956	1998-09-15	VYDAJ	VYBER	5100	46768	\N	\N	\N
574627	1956	1998-10-15	VYDAJ	VYBER	700	48596	\N	\N	\N
574628	1956	1998-11-14	VYDAJ	VYBER	900	47218	\N	\N	\N
574629	1956	1998-12-14	VYDAJ	VYBER	4800	48443	\N	\N	\N
574649	1957	1996-09-18	PRIJEM	VKLAD	800	800	\N	\N	\N
574659	1957	1996-10-06	PRIJEM	PREVOD Z UCTU	3731	4531	\N	AB	50500077
574660	1957	1996-11-06	PRIJEM	PREVOD Z UCTU	3731	19492	\N	AB	50500077
574661	1957	1996-12-06	PRIJEM	PREVOD Z UCTU	3731	24297	\N	AB	50500077
574662	1957	1997-01-06	PRIJEM	PREVOD Z UCTU	3731	28923	\N	AB	50500077
574663	1957	1997-02-06	PRIJEM	PREVOD Z UCTU	3731	31564	\N	AB	50500077
574664	1957	1997-03-06	PRIJEM	PREVOD Z UCTU	3731	32813	\N	AB	50500077
574665	1957	1997-04-06	PRIJEM	PREVOD Z UCTU	3731	33868	\N	AB	50500077
574666	1957	1997-05-06	PRIJEM	PREVOD Z UCTU	3731	31109	\N	AB	50500077
574667	1957	1997-06-06	PRIJEM	PREVOD Z UCTU	3731	33458	\N	AB	50500077
574668	1957	1997-07-06	PRIJEM	PREVOD Z UCTU	3731	24798	\N	AB	50500077
574669	1957	1997-08-06	PRIJEM	PREVOD Z UCTU	3731	27883	\N	AB	50500077
574670	1957	1997-09-06	PRIJEM	PREVOD Z UCTU	3731	27465	\N	AB	50500077
574671	1957	1997-10-06	PRIJEM	PREVOD Z UCTU	3731	29871	\N	AB	50500077
574672	1957	1997-11-06	PRIJEM	PREVOD Z UCTU	3731	30475	\N	AB	50500077
574673	1957	1997-12-06	PRIJEM	PREVOD Z UCTU	3731	33626	\N	AB	50500077
574674	1957	1998-01-06	PRIJEM	PREVOD Z UCTU	3731	35722	\N	AB	50500077
574675	1957	1998-02-06	PRIJEM	PREVOD Z UCTU	3731	35780	\N	AB	50500077
574676	1957	1998-03-06	PRIJEM	PREVOD Z UCTU	3731	37853	\N	AB	50500077
574677	1957	1998-04-06	PRIJEM	PREVOD Z UCTU	3731	39833	\N	AB	50500077
574678	1957	1998-05-06	PRIJEM	PREVOD Z UCTU	3731	38432	\N	AB	50500077
574679	1957	1998-06-06	PRIJEM	PREVOD Z UCTU	3731	43072	\N	AB	50500077
574680	1957	1998-07-06	PRIJEM	PREVOD Z UCTU	3731	40511	\N	AB	50500077
574681	1957	1998-08-06	PRIJEM	PREVOD Z UCTU	3731	40195	\N	AB	50500077
574682	1957	1998-09-06	PRIJEM	PREVOD Z UCTU	3731	36567	\N	AB	50500077
574683	1957	1998-10-06	PRIJEM	PREVOD Z UCTU	3731	31629	\N	AB	50500077
574684	1957	1998-11-06	PRIJEM	PREVOD Z UCTU	3731	31880	\N	AB	50500077
574685	1957	1998-12-06	PRIJEM	PREVOD Z UCTU	3731	31489	\N	AB	50500077
574699	1957	1997-02-12	VYDAJ	PREVOD NA UCET	1595	29077	SIPO	UV	19923216
574700	1957	1997-03-12	VYDAJ	PREVOD NA UCET	1595	30326	SIPO	UV	19923216
574701	1957	1997-04-12	VYDAJ	PREVOD NA UCET	1595	31381	SIPO	UV	19923216
574702	1957	1997-05-12	VYDAJ	PREVOD NA UCET	1595	29514	SIPO	UV	19923216
574703	1957	1997-06-12	VYDAJ	PREVOD NA UCET	1595	31863	SIPO	UV	19923216
574704	1957	1997-07-12	VYDAJ	PREVOD NA UCET	1595	23203	SIPO	UV	19923216
574705	1957	1997-08-12	VYDAJ	PREVOD NA UCET	1595	25396	SIPO	UV	19923216
574706	1957	1997-09-12	VYDAJ	PREVOD NA UCET	1595	25870	SIPO	UV	19923216
574707	1957	1997-10-12	VYDAJ	PREVOD NA UCET	1595	28276	SIPO	UV	19923216
574708	1957	1997-11-12	VYDAJ	PREVOD NA UCET	1595	30680	SIPO	UV	19923216
574709	1957	1997-12-12	VYDAJ	PREVOD NA UCET	1595	31869	SIPO	UV	19923216
574710	1957	1998-01-12	VYDAJ	PREVOD NA UCET	1595	35607	SIPO	UV	19923216
574711	1957	1998-02-12	VYDAJ	PREVOD NA UCET	1595	33993	SIPO	UV	19923216
574712	1957	1998-03-12	VYDAJ	PREVOD NA UCET	1595	35966	SIPO	UV	19923216
574713	1957	1998-04-12	VYDAJ	PREVOD NA UCET	1595	36538	SIPO	UV	19923216
574714	1957	1998-05-12	VYDAJ	PREVOD NA UCET	1595	40537	SIPO	UV	19923216
574715	1957	1998-06-12	VYDAJ	PREVOD NA UCET	1595	39185	SIPO	UV	19923216
574716	1957	1998-07-12	VYDAJ	PREVOD NA UCET	1595	37216	SIPO	UV	19923216
574717	1957	1998-08-12	VYDAJ	PREVOD NA UCET	1595	33600	SIPO	UV	19923216
574718	1957	1998-09-12	VYDAJ	PREVOD NA UCET	1595	28180	SIPO	UV	19923216
574719	1957	1998-10-12	VYDAJ	PREVOD NA UCET	1595	28042	SIPO	UV	19923216
574720	1957	1998-11-12	VYDAJ	PREVOD NA UCET	1595	29985	SIPO	UV	19923216
574721	1957	1998-12-12	VYDAJ	PREVOD NA UCET	1595	26794	SIPO	UV	19923216
574735	1957	1997-02-12	VYDAJ	PREVOD NA UCET	892	30672	 	QR	27709353
574736	1957	1997-03-12	VYDAJ	PREVOD NA UCET	892	31921	 	QR	27709353
574737	1957	1997-04-12	VYDAJ	PREVOD NA UCET	892	32976	 	QR	27709353
574738	1957	1997-05-12	VYDAJ	PREVOD NA UCET	892	28622	 	QR	27709353
574739	1957	1997-06-12	VYDAJ	PREVOD NA UCET	892	30971	 	QR	27709353
574740	1957	1997-07-12	VYDAJ	PREVOD NA UCET	892	22311	 	QR	27709353
574741	1957	1997-08-12	VYDAJ	PREVOD NA UCET	892	26991	 	QR	27709353
574742	1957	1997-09-12	VYDAJ	PREVOD NA UCET	892	24978	 	QR	27709353
574743	1957	1997-10-12	VYDAJ	PREVOD NA UCET	892	27384	 	QR	27709353
574744	1957	1997-11-12	VYDAJ	PREVOD NA UCET	892	29788	 	QR	27709353
574745	1957	1997-12-12	VYDAJ	PREVOD NA UCET	892	33464	 	QR	27709353
574746	1957	1998-01-12	VYDAJ	PREVOD NA UCET	892	34715	 	QR	27709353
574747	1957	1998-02-12	VYDAJ	PREVOD NA UCET	892	35588	 	QR	27709353
574748	1957	1998-03-12	VYDAJ	PREVOD NA UCET	892	37561	 	QR	27709353
574749	1957	1998-04-12	VYDAJ	PREVOD NA UCET	892	35646	 	QR	27709353
574750	1957	1998-05-12	VYDAJ	PREVOD NA UCET	892	39645	 	QR	27709353
574751	1957	1998-06-12	VYDAJ	PREVOD NA UCET	892	40780	 	QR	27709353
574752	1957	1998-07-12	VYDAJ	PREVOD NA UCET	892	36324	 	QR	27709353
574753	1957	1998-08-12	VYDAJ	PREVOD NA UCET	892	32708	 	QR	27709353
574754	1957	1998-09-12	VYDAJ	PREVOD NA UCET	892	29775	 	QR	27709353
574755	1957	1998-10-12	VYDAJ	PREVOD NA UCET	892	29637	 	QR	27709353
574756	1957	1998-11-12	VYDAJ	PREVOD NA UCET	892	29093	 	QR	27709353
574757	1957	1998-12-12	VYDAJ	PREVOD NA UCET	892	25902	 	QR	27709353
574759	1957	1997-06-28	VYDAJ	VYBER	8610	20961	\N	\N	\N
574760	1957	1998-06-19	VYDAJ	VYBER	2550	36635	\N	\N	\N
574763	1957	1998-01-06	VYDAJ	VYBER	1170	34552	\N	\N	\N
574776	1957	1998-01-20	VYDAJ	VYBER	750	32465	\N	\N	\N
574777	1957	1998-01-19	VYDAJ	VYBER	540	33215	\N	\N	\N
574778	1957	1998-01-06	VYDAJ	VYBER	450	34102	\N	\N	\N
574779	1957	1998-01-13	VYDAJ	VYBER	240	34475	\N	\N	\N
574780	1957	1998-01-24	VYDAJ	VYBER	540	31925	\N	\N	\N
574781	1957	1998-01-13	VYDAJ	VYBER	720	33755	\N	\N	\N
574789	1957	1997-04-21	VYDAJ	VYBER	1410	27271	\N	\N	\N
574790	1957	1997-08-04	VYDAJ	VYBER	240	24152	\N	\N	\N
574791	1957	1997-10-05	VYDAJ	VYBER	630	26140	\N	\N	\N
574792	1957	1997-12-07	VYDAJ	VYBER	270	33356	\N	\N	\N
574793	1957	1997-08-12	VYDAJ	VYBER	450	24946	\N	\N	\N
574794	1957	1997-10-19	VYDAJ	VYBER	1140	26644	\N	\N	\N
574795	1957	1998-05-02	VYDAJ	VYBER	1080	34701	\N	\N	\N
574796	1957	1998-09-22	VYDAJ	VYBER	390	27790	\N	\N	\N
574797	1957	1998-11-23	VYDAJ	VYBER	1440	27653	\N	\N	\N
574798	1957	1998-05-17	VYDAJ	VYBER	450	39195	\N	\N	\N
574813	1957	1997-02-28	VYDAJ	VYBER	15	29082	SLUZBY	\N	\N
574814	1957	1997-03-31	VYDAJ	VYBER	15	30137	SLUZBY	\N	\N
574815	1957	1997-04-30	VYDAJ	VYBER	15	27378	SLUZBY	\N	\N
574816	1957	1997-05-31	VYDAJ	VYBER	15	29727	SLUZBY	\N	\N
574817	1957	1997-06-30	VYDAJ	VYBER	15	21067	SLUZBY	\N	\N
574818	1957	1997-07-31	VYDAJ	VYBER	15	24392	SLUZBY	\N	\N
574819	1957	1997-08-31	VYDAJ	VYBER	15	23734	SLUZBY	\N	\N
574820	1957	1997-09-30	VYDAJ	VYBER	15	26770	SLUZBY	\N	\N
574821	1957	1997-10-31	VYDAJ	VYBER	15	26744	SLUZBY	\N	\N
574822	1957	1997-11-30	VYDAJ	VYBER	15	29895	SLUZBY	\N	\N
574823	1957	1997-12-31	VYDAJ	VYBER	15	31991	SLUZBY	\N	\N
574824	1957	1998-01-31	VYDAJ	VYBER	15	32049	SLUZBY	\N	\N
574825	1957	1998-02-28	VYDAJ	VYBER	15	34122	SLUZBY	\N	\N
574826	1957	1998-03-31	VYDAJ	VYBER	15	36102	SLUZBY	\N	\N
574827	1957	1998-04-30	VYDAJ	VYBER	15	35781	SLUZBY	\N	\N
574828	1957	1998-05-31	VYDAJ	VYBER	15	39341	SLUZBY	\N	\N
574829	1957	1998-06-30	VYDAJ	VYBER	15	36780	SLUZBY	\N	\N
574830	1957	1998-07-31	VYDAJ	VYBER	15	36464	SLUZBY	\N	\N
574831	1957	1998-08-31	VYDAJ	VYBER	15	32836	SLUZBY	\N	\N
574832	1957	1998-09-30	VYDAJ	VYBER	15	27898	SLUZBY	\N	\N
574833	1957	1998-10-31	VYDAJ	VYBER	15	28149	SLUZBY	\N	\N
574834	1957	1998-11-30	VYDAJ	VYBER	15	27758	SLUZBY	\N	\N
574835	1957	1996-10-18	PRIJEM	VKLAD	11200	15731	\N	\N	\N
574836	1957	1996-11-17	PRIJEM	VKLAD	1000	20492	\N	\N	\N
574837	1957	1996-12-17	PRIJEM	VKLAD	800	25097	\N	\N	\N
574838	1957	1997-01-16	VYDAJ	VYBER	1200	27723	\N	\N	\N
574839	1957	1997-02-15	VYDAJ	VYBER	100	28977	\N	\N	\N
574840	1957	1997-03-17	VYDAJ	VYBER	300	30026	\N	\N	\N
574841	1957	1997-04-16	VYDAJ	VYBER	2700	28681	\N	\N	\N
574842	1957	1997-05-16	PRIJEM	VKLAD	1000	29622	\N	\N	\N
574843	1957	1997-06-15	VYDAJ	VYBER	1400	29571	\N	\N	\N
574844	1957	1997-07-15	PRIJEM	VKLAD	2000	24311	\N	\N	\N
574845	1957	1997-08-14	VYDAJ	VYBER	1300	23646	\N	\N	\N
574846	1957	1997-09-13	PRIJEM	VKLAD	1700	26678	\N	\N	\N
574847	1957	1997-10-13	PRIJEM	VKLAD	400	27784	\N	\N	\N
574848	1957	1997-11-12	PRIJEM	VKLAD	1800	32275	\N	\N	\N
574849	1957	1997-12-12	PRIJEM	VKLAD	1000	34356	\N	\N	\N
574850	1957	1998-01-11	PRIJEM	VKLAD	3100	37202	\N	\N	\N
574851	1957	1998-02-10	PRIJEM	VKLAD	700	36480	\N	\N	\N
574852	1957	1998-03-12	PRIJEM	VKLAD	600	38453	\N	\N	\N
574853	1957	1998-04-11	VYDAJ	VYBER	1700	38133	\N	\N	\N
574854	1957	1998-05-11	PRIJEM	VKLAD	3700	42132	\N	\N	\N
574855	1957	1998-06-10	VYDAJ	VYBER	1400	41672	\N	\N	\N
574856	1957	1998-07-10	VYDAJ	VYBER	1700	38811	\N	\N	\N
574857	1957	1998-08-09	VYDAJ	VYBER	5000	35195	\N	\N	\N
574858	1957	1998-09-08	VYDAJ	VYBER	5900	30667	\N	\N	\N
574859	1957	1998-10-08	VYDAJ	VYBER	1100	30529	\N	\N	\N
574860	1957	1998-11-07	VYDAJ	VYBER	300	31580	\N	\N	\N
574861	1957	1998-12-07	VYDAJ	VYBER	3100	28389	\N	\N	\N
574889	1958	1994-10-24	PRIJEM	VKLAD	600	600	\N	\N	\N
574900	1958	1994-11-10	PRIJEM	PREVOD Z UCTU	5338	5938	DUCHOD	MN	33042526
574901	1958	1994-12-10	PRIJEM	PREVOD Z UCTU	5338	11276	DUCHOD	MN	33042526
574902	1958	1995-01-10	PRIJEM	PREVOD Z UCTU	5338	16614	DUCHOD	MN	33042526
574903	1958	1995-02-10	PRIJEM	PREVOD Z UCTU	5338	21952	DUCHOD	MN	33042526
574904	1958	1995-03-10	PRIJEM	PREVOD Z UCTU	5338	27290	DUCHOD	MN	33042526
574905	1958	1995-04-10	PRIJEM	PREVOD Z UCTU	5338	28511	DUCHOD	MN	33042526
574906	1958	1995-05-10	PRIJEM	PREVOD Z UCTU	5338	31016	DUCHOD	MN	33042526
574907	1958	1995-06-10	PRIJEM	PREVOD Z UCTU	5338	20578	DUCHOD	MN	33042526
574908	1958	1995-07-10	PRIJEM	PREVOD Z UCTU	5338	23058	DUCHOD	MN	33042526
574909	1958	1995-08-10	PRIJEM	PREVOD Z UCTU	5338	25540	DUCHOD	MN	33042526
574910	1958	1995-09-10	PRIJEM	PREVOD Z UCTU	5338	28033	DUCHOD	MN	33042526
574911	1958	1995-10-10	PRIJEM	PREVOD Z UCTU	5338	30436	DUCHOD	MN	33042526
574912	1958	1995-11-10	PRIJEM	PREVOD Z UCTU	5338	32950	DUCHOD	MN	33042526
574913	1958	1995-12-10	PRIJEM	PREVOD Z UCTU	5338	35072	DUCHOD	MN	33042526
574914	1958	1996-01-10	PRIJEM	PREVOD Z UCTU	5338	34500	DUCHOD	MN	33042526
574915	1958	1996-02-10	PRIJEM	PREVOD Z UCTU	5338	32622	DUCHOD	MN	33042526
574916	1958	1996-03-10	PRIJEM	PREVOD Z UCTU	5338	34022	DUCHOD	MN	33042526
574917	1958	1996-04-10	PRIJEM	PREVOD Z UCTU	5338	36550	DUCHOD	MN	33042526
574918	1958	1996-05-10	PRIJEM	PREVOD Z UCTU	5338	36203	DUCHOD	MN	33042526
574919	1958	1996-06-10	PRIJEM	PREVOD Z UCTU	5338	38741	DUCHOD	MN	33042526
574920	1958	1996-07-10	PRIJEM	PREVOD Z UCTU	5338	24390	DUCHOD	MN	33042526
574921	1958	1996-08-10	PRIJEM	PREVOD Z UCTU	5338	26878	DUCHOD	MN	33042526
574922	1958	1996-09-10	PRIJEM	PREVOD Z UCTU	5338	29376	DUCHOD	MN	33042526
574923	1958	1996-10-10	PRIJEM	PREVOD Z UCTU	5338	30764	DUCHOD	MN	33042526
574924	1958	1996-11-10	PRIJEM	PREVOD Z UCTU	5338	33278	DUCHOD	MN	33042526
574925	1958	1996-12-10	PRIJEM	PREVOD Z UCTU	5338	34453	DUCHOD	MN	33042526
574926	1958	1997-01-10	PRIJEM	PREVOD Z UCTU	5338	31632	DUCHOD	MN	33042526
574927	1958	1997-02-10	PRIJEM	PREVOD Z UCTU	5338	34151	DUCHOD	MN	33042526
574928	1958	1997-03-10	PRIJEM	PREVOD Z UCTU	5338	33314	DUCHOD	MN	33042526
574929	1958	1997-04-10	PRIJEM	PREVOD Z UCTU	5338	35838	DUCHOD	MN	33042526
574930	1958	1997-05-10	PRIJEM	PREVOD Z UCTU	5338	38374	DUCHOD	MN	33042526
574931	1958	1997-06-10	PRIJEM	PREVOD Z UCTU	5338	40919	DUCHOD	MN	33042526
574932	1958	1997-07-10	PRIJEM	PREVOD Z UCTU	5338	31390	DUCHOD	MN	33042526
574933	1958	1997-08-10	PRIJEM	PREVOD Z UCTU	5338	32223	DUCHOD	MN	33042526
574934	1958	1997-09-10	PRIJEM	PREVOD Z UCTU	5338	34743	DUCHOD	MN	33042526
574935	1958	1997-10-10	PRIJEM	PREVOD Z UCTU	5338	33907	DUCHOD	MN	33042526
574936	1958	1997-11-10	PRIJEM	PREVOD Z UCTU	5338	36434	DUCHOD	MN	33042526
574937	1958	1997-12-10	PRIJEM	PREVOD Z UCTU	5338	38971	DUCHOD	MN	33042526
574938	1958	1998-01-10	PRIJEM	PREVOD Z UCTU	5338	35051	DUCHOD	MN	33042526
574939	1958	1998-02-10	PRIJEM	PREVOD Z UCTU	5338	36541	DUCHOD	MN	33042526
574940	1958	1998-03-10	PRIJEM	PREVOD Z UCTU	5338	39079	DUCHOD	MN	33042526
574941	1958	1998-04-10	PRIJEM	PREVOD Z UCTU	5338	40345	DUCHOD	MN	33042526
574942	1958	1998-05-10	PRIJEM	PREVOD Z UCTU	5338	42899	DUCHOD	MN	33042526
574943	1958	1998-06-10	PRIJEM	PREVOD Z UCTU	5338	45462	DUCHOD	MN	33042526
574944	1958	1998-07-10	PRIJEM	PREVOD Z UCTU	5338	35990	DUCHOD	MN	33042526
574945	1958	1998-08-10	PRIJEM	PREVOD Z UCTU	5338	38527	DUCHOD	MN	33042526
574946	1958	1998-09-10	PRIJEM	PREVOD Z UCTU	5338	41072	DUCHOD	MN	33042526
574947	1958	1998-10-10	PRIJEM	PREVOD Z UCTU	5338	42427	DUCHOD	MN	33042526
574948	1958	1998-11-10	PRIJEM	PREVOD Z UCTU	5338	44989	DUCHOD	MN	33042526
574949	1958	1998-12-10	PRIJEM	PREVOD Z UCTU	5338	46921	DUCHOD	MN	33042526
574965	1958	1995-04-07	VYDAJ	PREVOD NA UCET	2934	23173	SIPO	UV	90704673
574966	1958	1995-05-07	VYDAJ	PREVOD NA UCET	2934	25678	SIPO	UV	90704673
574967	1958	1995-06-07	VYDAJ	PREVOD NA UCET	2934	15240	SIPO	UV	90704673
574968	1958	1995-07-07	VYDAJ	PREVOD NA UCET	2934	17720	SIPO	UV	90704673
574969	1958	1995-08-07	VYDAJ	PREVOD NA UCET	2934	20202	SIPO	UV	90704673
574970	1958	1995-09-07	VYDAJ	PREVOD NA UCET	2934	22695	SIPO	UV	90704673
574971	1958	1995-10-07	VYDAJ	PREVOD NA UCET	2934	25098	SIPO	UV	90704673
574972	1958	1995-11-07	VYDAJ	PREVOD NA UCET	2934	27612	SIPO	UV	90704673
574973	1958	1995-12-07	VYDAJ	PREVOD NA UCET	2934	29734	SIPO	UV	90704673
574974	1958	1996-01-07	VYDAJ	PREVOD NA UCET	2934	29162	SIPO	UV	90704673
574975	1958	1996-02-07	VYDAJ	PREVOD NA UCET	2934	27284	SIPO	UV	90704673
574976	1958	1996-03-07	VYDAJ	PREVOD NA UCET	2934	28684	SIPO	UV	90704673
574977	1958	1996-04-07	VYDAJ	PREVOD NA UCET	2934	31212	SIPO	UV	90704673
574978	1958	1996-05-07	VYDAJ	PREVOD NA UCET	2934	30865	SIPO	UV	90704673
574979	1958	1996-06-07	VYDAJ	PREVOD NA UCET	2934	33403	SIPO	UV	90704673
574980	1958	1996-07-07	VYDAJ	PREVOD NA UCET	2934	19052	SIPO	UV	90704673
574981	1958	1996-08-07	VYDAJ	PREVOD NA UCET	2934	21540	SIPO	UV	90704673
574982	1958	1996-09-07	VYDAJ	PREVOD NA UCET	2934	24038	SIPO	UV	90704673
574983	1958	1996-10-07	VYDAJ	PREVOD NA UCET	2934	25426	SIPO	UV	90704673
574984	1958	1996-11-07	VYDAJ	PREVOD NA UCET	2934	27940	SIPO	UV	90704673
574985	1958	1996-12-07	VYDAJ	PREVOD NA UCET	2934	29115	SIPO	UV	90704673
574986	1958	1997-01-07	VYDAJ	PREVOD NA UCET	2934	26294	SIPO	UV	90704673
574987	1958	1997-02-07	VYDAJ	PREVOD NA UCET	2934	28813	SIPO	UV	90704673
574988	1958	1997-03-07	VYDAJ	PREVOD NA UCET	2934	27976	SIPO	UV	90704673
574989	1958	1997-04-07	VYDAJ	PREVOD NA UCET	2934	30500	SIPO	UV	90704673
574990	1958	1997-05-07	VYDAJ	PREVOD NA UCET	2934	33036	SIPO	UV	90704673
574991	1958	1997-06-07	VYDAJ	PREVOD NA UCET	2934	35581	SIPO	UV	90704673
574992	1958	1997-07-07	VYDAJ	PREVOD NA UCET	2934	26052	SIPO	UV	90704673
574993	1958	1997-08-07	VYDAJ	PREVOD NA UCET	2934	26885	SIPO	UV	90704673
574994	1958	1997-09-07	VYDAJ	PREVOD NA UCET	2934	29405	SIPO	UV	90704673
574995	1958	1997-10-07	VYDAJ	PREVOD NA UCET	2934	28569	SIPO	UV	90704673
574996	1958	1997-11-07	VYDAJ	PREVOD NA UCET	2934	31096	SIPO	UV	90704673
574997	1958	1997-12-07	VYDAJ	PREVOD NA UCET	2934	33633	SIPO	UV	90704673
574998	1958	1998-01-07	VYDAJ	PREVOD NA UCET	2934	29713	SIPO	UV	90704673
574999	1958	1998-02-07	VYDAJ	PREVOD NA UCET	2934	31203	SIPO	UV	90704673
575000	1958	1998-03-07	VYDAJ	PREVOD NA UCET	2934	33741	SIPO	UV	90704673
575001	1958	1998-04-07	VYDAJ	PREVOD NA UCET	2934	35007	SIPO	UV	90704673
575002	1958	1998-05-07	VYDAJ	PREVOD NA UCET	2934	37561	SIPO	UV	90704673
575003	1958	1998-06-07	VYDAJ	PREVOD NA UCET	2934	40124	SIPO	UV	90704673
575004	1958	1998-07-07	VYDAJ	PREVOD NA UCET	2934	32812	SIPO	UV	90704673
575005	1958	1998-08-07	VYDAJ	PREVOD NA UCET	2934	33189	SIPO	UV	90704673
575006	1958	1998-09-07	VYDAJ	PREVOD NA UCET	2934	35734	SIPO	UV	90704673
575007	1958	1998-10-07	VYDAJ	PREVOD NA UCET	2934	37089	SIPO	UV	90704673
575008	1958	1998-11-07	VYDAJ	PREVOD NA UCET	2934	39651	SIPO	UV	90704673
575009	1958	1998-12-07	VYDAJ	PREVOD NA UCET	2934	41583	SIPO	UV	90704673
575011	1958	1995-06-07	VYDAJ	VYBER	10250	18174	\N	\N	\N
575012	1958	1996-06-23	VYDAJ	VYBER	12500	25541	\N	\N	\N
575013	1958	1997-06-10	VYDAJ	VYBER	12050	28869	\N	\N	\N
575014	1958	1998-06-20	VYDAJ	VYBER	4350	38472	\N	\N	\N
575017	1958	1996-01-18	VYDAJ	VYBER	4400	30100	\N	\N	\N
575018	1958	1997-01-01	VYDAJ	VYBER	2950	29228	\N	\N	\N
575019	1958	1998-01-01	VYDAJ	VYBER	2350	32647	\N	\N	\N
575021	1958	1995-12-25	VYDAJ	VYBER	800	31972	\N	\N	\N
575022	1958	1996-12-05	VYDAJ	VYBER	1350	32049	\N	\N	\N
575023	1958	1997-12-24	VYDAJ	VYBER	350	34861	\N	\N	\N
575024	1958	1998-12-19	VYDAJ	VYBER	1150	45771	\N	\N	\N
575031	1958	1996-02-18	VYDAJ	VYBER	1120	31502	\N	\N	\N
575032	1958	1996-06-25	VYDAJ	VYBER	3680	21861	\N	\N	\N
575033	1958	1996-04-21	VYDAJ	VYBER	880	33670	\N	\N	\N
575034	1958	1996-04-16	VYDAJ	VYBER	2000	34550	\N	\N	\N
575035	1958	1996-09-26	VYDAJ	VYBER	1120	28256	\N	\N	\N
575036	1958	1996-12-30	VYDAJ	VYBER	2400	32053	\N	\N	\N
575037	1958	1997-12-18	VYDAJ	VYBER	3760	35211	\N	\N	\N
575038	1958	1997-07-16	VYDAJ	VYBER	1680	29710	\N	\N	\N
575039	1958	1997-09-16	VYDAJ	VYBER	3360	31383	\N	\N	\N
575040	1958	1997-02-19	VYDAJ	VYBER	3360	30791	\N	\N	\N
575041	1958	1998-03-24	VYDAJ	VYBER	1280	37799	\N	\N	\N
575042	1958	1998-12-07	VYDAJ	VYBER	640	44517	\N	\N	\N
575043	1958	1998-01-18	VYDAJ	VYBER	1040	34011	\N	\N	\N
575044	1958	1998-06-11	VYDAJ	VYBER	2640	42822	\N	\N	\N
575045	1958	1998-09-27	VYDAJ	VYBER	1200	39872	\N	\N	\N
575046	1958	1998-06-24	VYDAJ	VYBER	2880	35592	\N	\N	\N
575047	1958	1998-07-09	VYDAJ	VYBER	2160	30652	\N	\N	\N
575063	1958	1995-03-31	VYDAJ	VYBER	15	26107	SLUZBY	\N	\N
575064	1958	1995-04-30	VYDAJ	VYBER	15	28612	SLUZBY	\N	\N
575065	1958	1995-05-31	VYDAJ	VYBER	15	28424	SLUZBY	\N	\N
575066	1958	1995-06-30	VYDAJ	VYBER	15	20654	SLUZBY	\N	\N
575067	1958	1995-07-31	VYDAJ	VYBER	15	23136	SLUZBY	\N	\N
575068	1958	1995-08-31	VYDAJ	VYBER	15	25629	SLUZBY	\N	\N
575069	1958	1995-09-30	VYDAJ	VYBER	15	28032	SLUZBY	\N	\N
575070	1958	1995-10-31	VYDAJ	VYBER	15	30546	SLUZBY	\N	\N
575071	1958	1995-11-30	VYDAJ	VYBER	15	32668	SLUZBY	\N	\N
575072	1958	1995-12-31	VYDAJ	VYBER	15	32096	SLUZBY	\N	\N
575073	1958	1996-01-31	VYDAJ	VYBER	15	30218	SLUZBY	\N	\N
575074	1958	1996-02-29	VYDAJ	VYBER	15	31618	SLUZBY	\N	\N
575075	1958	1996-03-31	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
575076	1958	1996-04-30	VYDAJ	VYBER	15	33799	SLUZBY	\N	\N
575077	1958	1996-05-31	VYDAJ	VYBER	15	36337	SLUZBY	\N	\N
575078	1958	1996-06-30	VYDAJ	VYBER	15	21986	SLUZBY	\N	\N
575079	1958	1996-07-31	VYDAJ	VYBER	15	24474	SLUZBY	\N	\N
575080	1958	1996-08-31	VYDAJ	VYBER	15	26972	SLUZBY	\N	\N
575081	1958	1996-09-30	VYDAJ	VYBER	15	28360	SLUZBY	\N	\N
575082	1958	1996-10-31	VYDAJ	VYBER	15	30874	SLUZBY	\N	\N
575083	1958	1996-11-30	VYDAJ	VYBER	15	33399	SLUZBY	\N	\N
575084	1958	1996-12-31	VYDAJ	VYBER	15	32178	SLUZBY	\N	\N
575085	1958	1997-01-31	VYDAJ	VYBER	15	31747	SLUZBY	\N	\N
575086	1958	1997-02-28	VYDAJ	VYBER	15	30910	SLUZBY	\N	\N
575087	1958	1997-03-31	VYDAJ	VYBER	15	33434	SLUZBY	\N	\N
575088	1958	1997-04-30	VYDAJ	VYBER	15	35970	SLUZBY	\N	\N
575089	1958	1997-05-31	VYDAJ	VYBER	15	38515	SLUZBY	\N	\N
575090	1958	1997-06-30	VYDAJ	VYBER	15	28986	SLUZBY	\N	\N
575091	1958	1997-07-31	VYDAJ	VYBER	15	29819	SLUZBY	\N	\N
575092	1958	1997-08-31	VYDAJ	VYBER	15	32339	SLUZBY	\N	\N
575093	1958	1997-09-30	VYDAJ	VYBER	15	31503	SLUZBY	\N	\N
575094	1958	1997-10-31	VYDAJ	VYBER	15	34030	SLUZBY	\N	\N
575095	1958	1997-11-30	VYDAJ	VYBER	15	36567	SLUZBY	\N	\N
575096	1958	1997-12-31	VYDAJ	VYBER	15	34997	SLUZBY	\N	\N
575097	1958	1998-01-31	VYDAJ	VYBER	15	34137	SLUZBY	\N	\N
575098	1958	1998-02-28	VYDAJ	VYBER	15	36675	SLUZBY	\N	\N
575099	1958	1998-03-31	VYDAJ	VYBER	15	37941	SLUZBY	\N	\N
575100	1958	1998-04-30	VYDAJ	VYBER	15	40495	SLUZBY	\N	\N
575101	1958	1998-05-31	VYDAJ	VYBER	15	43058	SLUZBY	\N	\N
575102	1958	1998-06-30	VYDAJ	VYBER	15	35746	SLUZBY	\N	\N
575103	1958	1998-07-31	VYDAJ	VYBER	15	36123	SLUZBY	\N	\N
575104	1958	1998-08-31	VYDAJ	VYBER	15	38668	SLUZBY	\N	\N
575105	1958	1998-09-30	VYDAJ	VYBER	15	40023	SLUZBY	\N	\N
575106	1958	1998-10-31	VYDAJ	VYBER	15	42585	SLUZBY	\N	\N
575107	1958	1998-11-30	VYDAJ	VYBER	15	45157	SLUZBY	\N	\N
575108	1958	1995-03-23	VYDAJ	VYBER	1200	26090	\N	\N	\N
575109	1958	1995-05-22	VYDAJ	VYBER	2700	28316	\N	\N	\N
575110	1958	1995-09-19	VYDAJ	VYBER	100	27933	\N	\N	\N
575111	1958	1995-11-18	VYDAJ	VYBER	400	32550	\N	\N	\N
575112	1958	1995-12-18	VYDAJ	VYBER	2300	32772	\N	\N	\N
575113	1958	1996-06-15	VYDAJ	VYBER	700	38041	\N	\N	\N
575160	1959	1993-12-24	PRIJEM	VKLAD	600	600	\N	\N	\N
575173	1959	1994-01-05	PRIJEM	PREVOD Z UCTU	6830	7430	DUCHOD	EF	82285320
575174	1959	1994-02-05	PRIJEM	PREVOD Z UCTU	6830	14260	DUCHOD	EF	82285320
575175	1959	1994-03-05	PRIJEM	PREVOD Z UCTU	6830	21090	DUCHOD	EF	82285320
575176	1959	1994-04-05	PRIJEM	PREVOD Z UCTU	6830	27920	DUCHOD	EF	82285320
575177	1959	1994-05-05	PRIJEM	PREVOD Z UCTU	6830	33480	DUCHOD	EF	82285320
575178	1959	1994-06-05	PRIJEM	PREVOD Z UCTU	6830	21735	DUCHOD	EF	82285320
575179	1959	1994-07-05	PRIJEM	PREVOD Z UCTU	6830	25493	DUCHOD	EF	82285320
575180	1959	1994-08-05	PRIJEM	PREVOD Z UCTU	6830	28360	DUCHOD	EF	82285320
575181	1959	1994-09-05	PRIJEM	PREVOD Z UCTU	6830	31237	DUCHOD	EF	82285320
575182	1959	1994-10-05	PRIJEM	PREVOD Z UCTU	6830	30321	DUCHOD	EF	82285320
575183	1959	1994-11-05	PRIJEM	PREVOD Z UCTU	6830	28800	DUCHOD	EF	82285320
575184	1959	1994-12-05	PRIJEM	PREVOD Z UCTU	6830	31479	DUCHOD	EF	82285320
575185	1959	1995-01-05	PRIJEM	PREVOD Z UCTU	6830	26069	DUCHOD	EF	82285320
575186	1959	1995-02-05	PRIJEM	PREVOD Z UCTU	6830	20212	DUCHOD	EF	82285320
575187	1959	1995-03-05	PRIJEM	PREVOD Z UCTU	6830	21853	DUCHOD	EF	82285320
575188	1959	1995-04-05	PRIJEM	PREVOD Z UCTU	6830	24242	DUCHOD	EF	82285320
575189	1959	1995-05-05	PRIJEM	PREVOD Z UCTU	6830	25700	DUCHOD	EF	82285320
575190	1959	1995-06-05	PRIJEM	PREVOD Z UCTU	6830	23114	DUCHOD	EF	82285320
575191	1959	1995-07-05	PRIJEM	PREVOD Z UCTU	6830	24867	DUCHOD	EF	82285320
575192	1959	1995-08-05	PRIJEM	PREVOD Z UCTU	6830	24423	DUCHOD	EF	82285320
575193	1959	1995-09-05	PRIJEM	PREVOD Z UCTU	6830	24377	DUCHOD	EF	82285320
575194	1959	1995-10-05	PRIJEM	PREVOD Z UCTU	6830	21843	DUCHOD	EF	82285320
575195	1959	1995-11-05	PRIJEM	PREVOD Z UCTU	6830	23389	DUCHOD	EF	82285320
575196	1959	1995-12-05	PRIJEM	PREVOD Z UCTU	6830	21867	DUCHOD	EF	82285320
575197	1959	1996-01-05	PRIJEM	PREVOD Z UCTU	6830	20195	DUCHOD	EF	82285320
575198	1959	1996-02-05	PRIJEM	PREVOD Z UCTU	6830	16087	DUCHOD	EF	82285320
575199	1959	1996-03-05	PRIJEM	PREVOD Z UCTU	6830	19815	DUCHOD	EF	82285320
575200	1959	1996-04-05	PRIJEM	PREVOD Z UCTU	6830	20314	DUCHOD	EF	82285320
575201	1959	1996-05-05	PRIJEM	PREVOD Z UCTU	6830	20374	DUCHOD	EF	82285320
575202	1959	1996-06-05	PRIJEM	PREVOD Z UCTU	6830	22916	DUCHOD	EF	82285320
575203	1959	1996-07-05	PRIJEM	PREVOD Z UCTU	6830	19552	DUCHOD	EF	82285320
575204	1959	1996-08-05	PRIJEM	PREVOD Z UCTU	6830	21188	DUCHOD	EF	82285320
575205	1959	1996-09-05	PRIJEM	PREVOD Z UCTU	6830	22329	DUCHOD	EF	82285320
575206	1959	1996-10-05	PRIJEM	PREVOD Z UCTU	6830	21109	DUCHOD	EF	82285320
575207	1959	1996-11-05	PRIJEM	PREVOD Z UCTU	6830	19641	DUCHOD	EF	82285320
575208	1959	1996-12-05	PRIJEM	PREVOD Z UCTU	6830	20575	DUCHOD	EF	82285320
575209	1959	1997-01-05	PRIJEM	PREVOD Z UCTU	6830	20007	DUCHOD	EF	82285320
575210	1959	1997-02-05	PRIJEM	PREVOD Z UCTU	6830	18875	DUCHOD	EF	82285320
575211	1959	1997-03-05	PRIJEM	PREVOD Z UCTU	6830	22614	DUCHOD	EF	82285320
575212	1959	1997-04-05	PRIJEM	PREVOD Z UCTU	6830	26368	DUCHOD	EF	82285320
575213	1959	1997-05-05	PRIJEM	PREVOD Z UCTU	6830	26427	DUCHOD	EF	82285320
575214	1959	1997-06-05	PRIJEM	PREVOD Z UCTU	6830	29294	DUCHOD	EF	82285320
575215	1959	1997-07-05	PRIJEM	PREVOD Z UCTU	6830	26002	DUCHOD	EF	82285320
575216	1959	1997-08-05	PRIJEM	PREVOD Z UCTU	6830	28266	DUCHOD	EF	82285320
575217	1959	1997-09-05	PRIJEM	PREVOD Z UCTU	6830	32044	DUCHOD	EF	82285320
575218	1959	1997-10-05	PRIJEM	PREVOD Z UCTU	6830	35838	DUCHOD	EF	82285320
575219	1959	1997-11-05	PRIJEM	PREVOD Z UCTU	6830	39647	DUCHOD	EF	82285320
575220	1959	1997-12-05	PRIJEM	PREVOD Z UCTU	6830	43472	DUCHOD	EF	82285320
575221	1959	1998-01-05	PRIJEM	PREVOD Z UCTU	6830	43359	DUCHOD	EF	82285320
575222	1959	1998-02-05	PRIJEM	PREVOD Z UCTU	6830	38875	DUCHOD	EF	82285320
575223	1959	1998-03-05	PRIJEM	PREVOD Z UCTU	6830	42696	DUCHOD	EF	82285320
575224	1959	1998-04-05	PRIJEM	PREVOD Z UCTU	6830	46534	DUCHOD	EF	82285320
575225	1959	1998-05-05	PRIJEM	PREVOD Z UCTU	6830	50387	DUCHOD	EF	82285320
575226	1959	1998-06-05	PRIJEM	PREVOD Z UCTU	6830	40475	DUCHOD	EF	82285320
575227	1959	1998-07-05	PRIJEM	PREVOD Z UCTU	6830	42546	DUCHOD	EF	82285320
575228	1959	1998-08-05	PRIJEM	PREVOD Z UCTU	6830	43735	DUCHOD	EF	82285320
575229	1959	1998-09-05	PRIJEM	PREVOD Z UCTU	6830	41614	DUCHOD	EF	82285320
575230	1959	1998-10-05	PRIJEM	PREVOD Z UCTU	6830	38122	DUCHOD	EF	82285320
575231	1959	1998-11-05	PRIJEM	PREVOD Z UCTU	6830	38898	DUCHOD	EF	82285320
575232	1959	1998-12-05	PRIJEM	PREVOD Z UCTU	6830	35271	DUCHOD	EF	82285320
575249	1959	1994-05-14	VYDAJ	PREVOD NA UCET	2975	30338	SIPO	YZ	8956242
575250	1959	1994-06-14	VYDAJ	PREVOD NA UCET	2975	18593	SIPO	YZ	8956242
575251	1959	1994-07-14	VYDAJ	PREVOD NA UCET	2975	22351	SIPO	YZ	8956242
575252	1959	1994-08-14	VYDAJ	PREVOD NA UCET	2975	25218	SIPO	YZ	8956242
575253	1959	1994-09-14	VYDAJ	PREVOD NA UCET	2975	28095	SIPO	YZ	8956242
575254	1959	1994-10-14	VYDAJ	PREVOD NA UCET	2975	27179	SIPO	YZ	8956242
575255	1959	1994-11-14	VYDAJ	PREVOD NA UCET	2975	25658	SIPO	YZ	8956242
575256	1959	1994-12-14	VYDAJ	PREVOD NA UCET	2975	28337	SIPO	YZ	8956242
575257	1959	1995-01-14	VYDAJ	PREVOD NA UCET	2975	15397	SIPO	YZ	8956242
575258	1959	1995-02-14	VYDAJ	PREVOD NA UCET	2975	17070	SIPO	YZ	8956242
575259	1959	1995-03-14	VYDAJ	PREVOD NA UCET	2975	18711	SIPO	YZ	8956242
575260	1959	1995-04-14	VYDAJ	PREVOD NA UCET	2975	21100	SIPO	YZ	8956242
575261	1959	1995-05-14	VYDAJ	PREVOD NA UCET	2975	19118	SIPO	YZ	8956242
575262	1959	1995-06-14	VYDAJ	PREVOD NA UCET	2975	19972	SIPO	YZ	8956242
575263	1959	1995-07-14	VYDAJ	PREVOD NA UCET	2975	21725	SIPO	YZ	8956242
575264	1959	1995-08-14	VYDAJ	PREVOD NA UCET	2975	21281	SIPO	YZ	8956242
575265	1959	1995-09-14	VYDAJ	PREVOD NA UCET	2975	17955	SIPO	YZ	8956242
575266	1959	1995-10-14	VYDAJ	PREVOD NA UCET	2975	18701	SIPO	YZ	8956242
575267	1959	1995-11-14	VYDAJ	PREVOD NA UCET	2975	20247	SIPO	YZ	8956242
575268	1959	1995-12-14	VYDAJ	PREVOD NA UCET	2975	16705	SIPO	YZ	8956242
575269	1959	1996-01-14	VYDAJ	PREVOD NA UCET	2975	9223	SIPO	YZ	8956242
575270	1959	1996-02-14	VYDAJ	PREVOD NA UCET	2975	12945	SIPO	YZ	8956242
575271	1959	1996-03-14	VYDAJ	PREVOD NA UCET	2975	15273	SIPO	YZ	8956242
575272	1959	1996-04-14	VYDAJ	PREVOD NA UCET	2975	16372	SIPO	YZ	8956242
575273	1959	1996-05-14	VYDAJ	PREVOD NA UCET	2975	16032	SIPO	YZ	8956242
575274	1959	1996-06-14	VYDAJ	PREVOD NA UCET	2975	12674	SIPO	YZ	8956242
575275	1959	1996-07-14	VYDAJ	PREVOD NA UCET	2975	14310	SIPO	YZ	8956242
575276	1959	1996-08-14	VYDAJ	PREVOD NA UCET	2975	15446	SIPO	YZ	8956242
575277	1959	1996-09-14	VYDAJ	PREVOD NA UCET	2975	15187	SIPO	YZ	8956242
575278	1959	1996-10-14	VYDAJ	PREVOD NA UCET	2975	12767	SIPO	YZ	8956242
575279	1959	1996-11-14	VYDAJ	PREVOD NA UCET	2975	13699	SIPO	YZ	8956242
575280	1959	1996-12-14	VYDAJ	PREVOD NA UCET	2975	13133	SIPO	YZ	8956242
575281	1959	1997-01-14	VYDAJ	PREVOD NA UCET	2975	12005	SIPO	YZ	8956242
575282	1959	1997-02-14	VYDAJ	PREVOD NA UCET	2975	15733	SIPO	YZ	8956242
575283	1959	1997-03-14	VYDAJ	PREVOD NA UCET	2975	19472	SIPO	YZ	8956242
575284	1959	1997-04-14	VYDAJ	PREVOD NA UCET	2975	19526	SIPO	YZ	8956242
575285	1959	1997-05-14	VYDAJ	PREVOD NA UCET	2975	22385	SIPO	YZ	8956242
575286	1959	1997-06-14	VYDAJ	PREVOD NA UCET	2975	19102	SIPO	YZ	8956242
575287	1959	1997-07-14	VYDAJ	PREVOD NA UCET	2975	21360	SIPO	YZ	8956242
575288	1959	1997-08-14	VYDAJ	PREVOD NA UCET	2975	25124	SIPO	YZ	8956242
575289	1959	1997-09-14	VYDAJ	PREVOD NA UCET	2975	28902	SIPO	YZ	8956242
575290	1959	1997-10-14	VYDAJ	PREVOD NA UCET	2975	32696	SIPO	YZ	8956242
575291	1959	1997-11-14	VYDAJ	PREVOD NA UCET	2975	36505	SIPO	YZ	8956242
575292	1959	1997-12-14	VYDAJ	PREVOD NA UCET	2975	39290	SIPO	YZ	8956242
575293	1959	1998-01-14	VYDAJ	PREVOD NA UCET	2975	40217	SIPO	YZ	8956242
575294	1959	1998-02-14	VYDAJ	PREVOD NA UCET	2975	35733	SIPO	YZ	8956242
575295	1959	1998-03-14	VYDAJ	PREVOD NA UCET	2975	39554	SIPO	YZ	8956242
575296	1959	1998-04-14	VYDAJ	PREVOD NA UCET	2975	43392	SIPO	YZ	8956242
575297	1959	1998-05-14	VYDAJ	PREVOD NA UCET	2975	46765	SIPO	YZ	8956242
575298	1959	1998-06-14	VYDAJ	PREVOD NA UCET	2975	37333	SIPO	YZ	8956242
575299	1959	1998-07-14	VYDAJ	PREVOD NA UCET	2975	36764	SIPO	YZ	8956242
575300	1959	1998-08-14	VYDAJ	PREVOD NA UCET	2975	40593	SIPO	YZ	8956242
575301	1959	1998-09-14	VYDAJ	PREVOD NA UCET	2975	38472	SIPO	YZ	8956242
575302	1959	1998-10-14	VYDAJ	PREVOD NA UCET	2975	34980	SIPO	YZ	8956242
575303	1959	1998-11-14	VYDAJ	PREVOD NA UCET	2975	35756	SIPO	YZ	8956242
575304	1959	1998-12-14	VYDAJ	PREVOD NA UCET	2975	32129	SIPO	YZ	8956242
575321	1959	1994-05-06	VYDAJ	PREVOD NA UCET	167	33313	 	QR	89473181
575322	1959	1994-06-06	VYDAJ	PREVOD NA UCET	167	21568	 	QR	89473181
575323	1959	1994-07-06	VYDAJ	PREVOD NA UCET	167	25326	 	QR	89473181
575324	1959	1994-08-06	VYDAJ	PREVOD NA UCET	167	28193	 	QR	89473181
575325	1959	1994-09-06	VYDAJ	PREVOD NA UCET	167	31070	 	QR	89473181
575326	1959	1994-10-06	VYDAJ	PREVOD NA UCET	167	30154	 	QR	89473181
575327	1959	1994-11-06	VYDAJ	PREVOD NA UCET	167	28633	 	QR	89473181
575328	1959	1994-12-06	VYDAJ	PREVOD NA UCET	167	31312	 	QR	89473181
575329	1959	1995-01-06	VYDAJ	PREVOD NA UCET	167	25902	 	QR	89473181
575330	1959	1995-02-06	VYDAJ	PREVOD NA UCET	167	20045	 	QR	89473181
575331	1959	1995-03-06	VYDAJ	PREVOD NA UCET	167	21686	 	QR	89473181
575332	1959	1995-04-06	VYDAJ	PREVOD NA UCET	167	24075	 	QR	89473181
575333	1959	1995-05-06	VYDAJ	PREVOD NA UCET	167	25533	 	QR	89473181
575334	1959	1995-06-06	VYDAJ	PREVOD NA UCET	167	22947	 	QR	89473181
575335	1959	1995-07-06	VYDAJ	PREVOD NA UCET	167	24700	 	QR	89473181
575336	1959	1995-08-06	VYDAJ	PREVOD NA UCET	167	24256	 	QR	89473181
575337	1959	1995-09-06	VYDAJ	PREVOD NA UCET	167	20930	 	QR	89473181
575338	1959	1995-10-06	VYDAJ	PREVOD NA UCET	167	21676	 	QR	89473181
575339	1959	1995-11-06	VYDAJ	PREVOD NA UCET	167	23222	 	QR	89473181
575340	1959	1995-12-06	VYDAJ	PREVOD NA UCET	167	21700	 	QR	89473181
575341	1959	1996-01-06	VYDAJ	PREVOD NA UCET	167	20028	 	QR	89473181
575342	1959	1996-02-06	VYDAJ	PREVOD NA UCET	167	15920	 	QR	89473181
575343	1959	1996-03-06	VYDAJ	PREVOD NA UCET	167	19648	 	QR	89473181
575344	1959	1996-04-06	VYDAJ	PREVOD NA UCET	167	20147	 	QR	89473181
575345	1959	1996-05-06	VYDAJ	PREVOD NA UCET	167	20207	 	QR	89473181
575346	1959	1996-06-06	VYDAJ	PREVOD NA UCET	167	22749	 	QR	89473181
575347	1959	1996-07-06	VYDAJ	PREVOD NA UCET	167	19385	 	QR	89473181
575348	1959	1996-08-06	VYDAJ	PREVOD NA UCET	167	21021	 	QR	89473181
575349	1959	1996-09-06	VYDAJ	PREVOD NA UCET	167	22162	 	QR	89473181
575350	1959	1996-10-06	VYDAJ	PREVOD NA UCET	167	20942	 	QR	89473181
575351	1959	1996-11-06	VYDAJ	PREVOD NA UCET	167	19474	 	QR	89473181
575352	1959	1996-12-06	VYDAJ	PREVOD NA UCET	167	20408	 	QR	89473181
575353	1959	1997-01-06	VYDAJ	PREVOD NA UCET	167	18480	 	QR	89473181
575354	1959	1997-02-06	VYDAJ	PREVOD NA UCET	167	18708	 	QR	89473181
575355	1959	1997-03-06	VYDAJ	PREVOD NA UCET	167	22447	 	QR	89473181
575356	1959	1997-04-06	VYDAJ	PREVOD NA UCET	167	26201	 	QR	89473181
575357	1959	1997-05-06	VYDAJ	PREVOD NA UCET	167	26260	 	QR	89473181
575358	1959	1997-06-06	VYDAJ	PREVOD NA UCET	167	29127	 	QR	89473181
575359	1959	1997-07-06	VYDAJ	PREVOD NA UCET	167	25835	 	QR	89473181
575360	1959	1997-08-06	VYDAJ	PREVOD NA UCET	167	28099	 	QR	89473181
575361	1959	1997-09-06	VYDAJ	PREVOD NA UCET	167	31877	 	QR	89473181
575362	1959	1997-10-06	VYDAJ	PREVOD NA UCET	167	35671	 	QR	89473181
575363	1959	1997-11-06	VYDAJ	PREVOD NA UCET	167	39480	 	QR	89473181
575364	1959	1997-12-06	VYDAJ	PREVOD NA UCET	167	43305	 	QR	89473181
575365	1959	1998-01-06	VYDAJ	PREVOD NA UCET	167	43192	 	QR	89473181
575366	1959	1998-02-06	VYDAJ	PREVOD NA UCET	167	38708	 	QR	89473181
575367	1959	1998-03-06	VYDAJ	PREVOD NA UCET	167	42529	 	QR	89473181
575368	1959	1998-04-06	VYDAJ	PREVOD NA UCET	167	46367	 	QR	89473181
575369	1959	1998-05-06	VYDAJ	PREVOD NA UCET	167	50220	 	QR	89473181
575370	1959	1998-06-06	VYDAJ	PREVOD NA UCET	167	40308	 	QR	89473181
575371	1959	1998-07-06	VYDAJ	PREVOD NA UCET	167	42379	 	QR	89473181
575372	1959	1998-08-06	VYDAJ	PREVOD NA UCET	167	43568	 	QR	89473181
575373	1959	1998-09-06	VYDAJ	PREVOD NA UCET	167	41447	 	QR	89473181
575374	1959	1998-10-06	VYDAJ	PREVOD NA UCET	167	37955	 	QR	89473181
575375	1959	1998-11-06	VYDAJ	PREVOD NA UCET	167	38731	 	QR	89473181
575376	1959	1998-12-06	VYDAJ	PREVOD NA UCET	167	35104	 	QR	89473181
575378	1959	1994-06-01	VYDAJ	VYBER	11100	14905	\N	\N	\N
575381	1959	1997-06-07	VYDAJ	VYBER	3650	22077	\N	\N	\N
575382	1959	1998-06-02	VYDAJ	VYBER	8000	33645	\N	\N	\N
575385	1959	1995-01-09	VYDAJ	VYBER	2650	23252	\N	\N	\N
575386	1959	1996-01-09	VYDAJ	VYBER	3950	16078	\N	\N	\N
575388	1959	1998-01-25	VYDAJ	VYBER	1200	36777	\N	\N	\N
575390	1959	1994-12-27	VYDAJ	VYBER	950	20587	\N	\N	\N
575391	1959	1995-12-08	VYDAJ	VYBER	900	20800	\N	\N	\N
575393	1959	1997-12-29	VYDAJ	VYBER	550	38740	\N	\N	\N
575394	1959	1998-12-19	VYDAJ	VYBER	900	31229	\N	\N	\N
575407	1959	1995-01-03	VYDAJ	VYBER	1440	19239	\N	\N	\N
575408	1959	1995-01-14	VYDAJ	VYBER	2080	18372	\N	\N	\N
575409	1959	1995-01-12	VYDAJ	VYBER	720	22052	\N	\N	\N
575410	1959	1995-01-13	VYDAJ	VYBER	1600	20452	\N	\N	\N
575411	1959	1995-01-24	VYDAJ	VYBER	2080	13317	\N	\N	\N
575412	1959	1995-01-11	VYDAJ	VYBER	480	22772	\N	\N	\N
575415	1959	1996-01-10	VYDAJ	VYBER	1920	14158	\N	\N	\N
575417	1959	1996-01-11	VYDAJ	VYBER	560	13598	\N	\N	\N
575421	1959	1997-01-05	VYDAJ	VYBER	1360	18647	\N	\N	\N
575425	1959	1998-01-30	VYDAJ	VYBER	2160	33577	\N	\N	\N
575426	1959	1998-01-30	VYDAJ	VYBER	1680	31897	\N	\N	\N
575427	1959	1998-01-04	VYDAJ	VYBER	960	36529	\N	\N	\N
575428	1959	1998-01-21	VYDAJ	VYBER	800	37977	\N	\N	\N
575429	1959	1998-01-28	VYDAJ	VYBER	1040	35737	\N	\N	\N
575430	1959	1998-01-19	VYDAJ	VYBER	1440	38777	\N	\N	\N
575436	1959	1994-05-23	VYDAJ	VYBER	1840	28498	\N	\N	\N
575439	1959	1995-03-15	VYDAJ	VYBER	960	17751	\N	\N	\N
575440	1959	1995-09-05	VYDAJ	VYBER	3280	21097	\N	\N	\N
575441	1959	1995-12-01	VYDAJ	VYBER	2880	15037	\N	\N	\N
575442	1959	1995-12-11	VYDAJ	VYBER	1120	19680	\N	\N	\N
575443	1959	1995-05-13	VYDAJ	VYBER	3440	22093	\N	\N	\N
575444	1959	1996-04-17	VYDAJ	VYBER	2880	13492	\N	\N	\N
575446	1959	1996-09-23	VYDAJ	VYBER	960	14227	\N	\N	\N
575449	1959	1996-04-01	VYDAJ	VYBER	1840	13484	\N	\N	\N
575450	1959	1997-12-08	VYDAJ	VYBER	1040	42265	\N	\N	\N
575451	1959	1997-04-11	VYDAJ	VYBER	1600	22501	\N	\N	\N
575452	1959	1998-07-10	VYDAJ	VYBER	2640	39739	\N	\N	\N
575453	1959	1998-10-29	VYDAJ	VYBER	3040	31940	\N	\N	\N
575454	1959	1998-08-20	VYDAJ	VYBER	560	40033	\N	\N	\N
575455	1959	1998-06-30	VYDAJ	VYBER	1760	35716	\N	\N	\N
575456	1959	1998-09-24	VYDAJ	VYBER	3520	34952	\N	\N	\N
575457	1959	1998-11-17	VYDAJ	VYBER	3440	32316	\N	\N	\N
575458	1959	1998-05-13	VYDAJ	VYBER	480	49740	\N	\N	\N
575476	1959	1994-05-31	VYDAJ	VYBER	15	26005	SLUZBY	\N	\N
575477	1959	1994-06-30	VYDAJ	VYBER	15	18663	SLUZBY	\N	\N
575478	1959	1994-07-31	VYDAJ	VYBER	15	21530	SLUZBY	\N	\N
575479	1959	1994-08-31	VYDAJ	VYBER	15	24407	SLUZBY	\N	\N
575480	1959	1994-09-30	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
575481	1959	1994-10-31	VYDAJ	VYBER	15	21970	SLUZBY	\N	\N
575482	1959	1994-11-30	VYDAJ	VYBER	15	24649	SLUZBY	\N	\N
575483	1959	1994-12-31	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
575484	1959	1995-01-31	VYDAJ	VYBER	15	13382	SLUZBY	\N	\N
575485	1959	1995-02-28	VYDAJ	VYBER	15	15023	SLUZBY	\N	\N
575486	1959	1995-03-31	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
575487	1959	1995-04-30	VYDAJ	VYBER	15	18870	SLUZBY	\N	\N
575488	1959	1995-05-31	VYDAJ	VYBER	15	16284	SLUZBY	\N	\N
575489	1959	1995-06-30	VYDAJ	VYBER	15	18037	SLUZBY	\N	\N
575490	1959	1995-07-31	VYDAJ	VYBER	15	17593	SLUZBY	\N	\N
575491	1959	1995-08-31	VYDAJ	VYBER	15	17547	SLUZBY	\N	\N
575492	1959	1995-09-30	VYDAJ	VYBER	15	15013	SLUZBY	\N	\N
575493	1959	1995-10-31	VYDAJ	VYBER	15	16559	SLUZBY	\N	\N
575494	1959	1995-11-30	VYDAJ	VYBER	15	17917	SLUZBY	\N	\N
575495	1959	1995-12-31	VYDAJ	VYBER	15	13365	SLUZBY	\N	\N
575496	1959	1996-01-31	VYDAJ	VYBER	15	9257	SLUZBY	\N	\N
575497	1959	1996-02-29	VYDAJ	VYBER	15	12985	SLUZBY	\N	\N
575498	1959	1996-03-31	VYDAJ	VYBER	15	15324	SLUZBY	\N	\N
575499	1959	1996-04-30	VYDAJ	VYBER	15	13544	SLUZBY	\N	\N
575500	1959	1996-05-31	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
575501	1959	1996-06-30	VYDAJ	VYBER	15	12722	SLUZBY	\N	\N
575502	1959	1996-07-31	VYDAJ	VYBER	15	14358	SLUZBY	\N	\N
575503	1959	1996-08-31	VYDAJ	VYBER	15	15499	SLUZBY	\N	\N
575504	1959	1996-09-30	VYDAJ	VYBER	15	14279	SLUZBY	\N	\N
575505	1959	1996-10-31	VYDAJ	VYBER	15	12811	SLUZBY	\N	\N
575506	1959	1996-11-30	VYDAJ	VYBER	15	13745	SLUZBY	\N	\N
575507	1959	1996-12-31	VYDAJ	VYBER	15	13177	SLUZBY	\N	\N
575508	1959	1997-01-31	VYDAJ	VYBER	15	12045	SLUZBY	\N	\N
575509	1959	1997-02-28	VYDAJ	VYBER	15	15784	SLUZBY	\N	\N
575510	1959	1997-03-31	VYDAJ	VYBER	15	19538	SLUZBY	\N	\N
575511	1959	1997-04-30	VYDAJ	VYBER	15	19597	SLUZBY	\N	\N
575512	1959	1997-05-31	VYDAJ	VYBER	15	22464	SLUZBY	\N	\N
575513	1959	1997-06-30	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
575514	1959	1997-07-31	VYDAJ	VYBER	15	21436	SLUZBY	\N	\N
575515	1959	1997-08-31	VYDAJ	VYBER	15	25214	SLUZBY	\N	\N
575516	1959	1997-09-30	VYDAJ	VYBER	15	29008	SLUZBY	\N	\N
575517	1959	1997-10-31	VYDAJ	VYBER	15	32817	SLUZBY	\N	\N
575518	1959	1997-11-30	VYDAJ	VYBER	15	36642	SLUZBY	\N	\N
575519	1959	1997-12-31	VYDAJ	VYBER	15	38889	SLUZBY	\N	\N
575520	1959	1998-01-31	VYDAJ	VYBER	15	32045	SLUZBY	\N	\N
575521	1959	1998-02-28	VYDAJ	VYBER	15	35866	SLUZBY	\N	\N
575522	1959	1998-03-31	VYDAJ	VYBER	15	39704	SLUZBY	\N	\N
575523	1959	1998-04-30	VYDAJ	VYBER	15	43557	SLUZBY	\N	\N
575524	1959	1998-05-31	VYDAJ	VYBER	15	46945	SLUZBY	\N	\N
575525	1959	1998-06-30	VYDAJ	VYBER	15	37476	SLUZBY	\N	\N
575526	1959	1998-07-31	VYDAJ	VYBER	15	36905	SLUZBY	\N	\N
575527	1959	1998-08-31	VYDAJ	VYBER	15	34784	SLUZBY	\N	\N
575528	1959	1998-09-30	VYDAJ	VYBER	15	31292	SLUZBY	\N	\N
575529	1959	1998-10-31	VYDAJ	VYBER	15	32068	SLUZBY	\N	\N
575530	1959	1998-11-30	VYDAJ	VYBER	15	28441	SLUZBY	\N	\N
575531	1959	1994-04-23	VYDAJ	VYBER	1300	26620	\N	\N	\N
575532	1959	1994-05-23	VYDAJ	VYBER	2600	25898	\N	\N	\N
575533	1959	1994-07-22	VYDAJ	VYBER	900	21451	\N	\N	\N
575534	1959	1994-08-21	VYDAJ	VYBER	900	24318	\N	\N	\N
575535	1959	1994-09-20	VYDAJ	VYBER	4700	23395	\N	\N	\N
575536	1959	1994-10-20	VYDAJ	VYBER	5300	21879	\N	\N	\N
575537	1959	1994-11-19	VYDAJ	VYBER	1100	24558	\N	\N	\N
575538	1959	1994-12-19	VYDAJ	VYBER	6800	21537	\N	\N	\N
575539	1959	1995-02-17	VYDAJ	VYBER	2100	14970	\N	\N	\N
575540	1959	1995-03-19	VYDAJ	VYBER	400	17351	\N	\N	\N
575541	1959	1995-04-18	VYDAJ	VYBER	2300	18800	\N	\N	\N
575542	1959	1995-05-18	VYDAJ	VYBER	2900	16218	\N	\N	\N
575543	1959	1995-06-17	VYDAJ	VYBER	2000	17972	\N	\N	\N
575544	1959	1995-07-17	VYDAJ	VYBER	4200	17525	\N	\N	\N
575545	1959	1995-08-16	VYDAJ	VYBER	3800	17481	\N	\N	\N
575546	1959	1995-09-15	VYDAJ	VYBER	3000	14955	\N	\N	\N
575547	1959	1995-10-15	VYDAJ	VYBER	2200	16501	\N	\N	\N
575548	1959	1995-11-14	VYDAJ	VYBER	2400	17847	\N	\N	\N
575549	1959	1995-12-14	VYDAJ	VYBER	3400	13305	\N	\N	\N
575550	1959	1996-01-13	VYDAJ	VYBER	1400	12198	\N	\N	\N
575551	1959	1996-03-13	VYDAJ	VYBER	1400	18248	\N	\N	\N
575552	1959	1996-04-12	VYDAJ	VYBER	800	19347	\N	\N	\N
575553	1959	1996-05-12	VYDAJ	VYBER	1200	19007	\N	\N	\N
575554	1959	1996-06-11	VYDAJ	VYBER	7100	15649	\N	\N	\N
575555	1959	1996-07-11	VYDAJ	VYBER	2100	17285	\N	\N	\N
575556	1959	1996-08-10	VYDAJ	VYBER	2600	18421	\N	\N	\N
575557	1959	1996-09-09	VYDAJ	VYBER	4000	18162	\N	\N	\N
575558	1959	1996-10-09	VYDAJ	VYBER	5200	15742	\N	\N	\N
575559	1959	1996-11-08	VYDAJ	VYBER	2800	16674	\N	\N	\N
575560	1959	1996-12-08	VYDAJ	VYBER	4300	16108	\N	\N	\N
575561	1959	1997-01-07	VYDAJ	VYBER	3500	14980	\N	\N	\N
575562	1959	1997-04-07	VYDAJ	VYBER	2100	24101	\N	\N	\N
575563	1959	1997-05-07	VYDAJ	VYBER	900	25360	\N	\N	\N
575564	1959	1997-06-06	VYDAJ	VYBER	3400	25727	\N	\N	\N
575565	1959	1997-07-06	VYDAJ	VYBER	1500	24335	\N	\N	\N
575566	1959	1998-01-02	VYDAJ	VYBER	1400	37489	\N	\N	\N
575567	1959	1998-06-01	VYDAJ	VYBER	5300	41645	\N	\N	\N
575568	1959	1998-08-30	VYDAJ	VYBER	5400	34633	\N	\N	\N
575569	1959	1998-09-29	VYDAJ	VYBER	3800	31152	\N	\N	\N
575570	1959	1998-11-28	VYDAJ	VYBER	4000	28316	\N	\N	\N
575628	1960	1997-12-04	PRIJEM	VKLAD	700	700	\N	\N	\N
575640	1960	1997-12-09	PRIJEM	PREVOD Z UCTU	3225	3925	\N	YZ	99605637
575641	1960	1998-01-09	PRIJEM	PREVOD Z UCTU	3225	7162	\N	YZ	99605637
575642	1960	1998-02-09	PRIJEM	PREVOD Z UCTU	3225	10404	\N	YZ	99605637
575643	1960	1998-03-09	PRIJEM	PREVOD Z UCTU	3225	13645	\N	YZ	99605637
575644	1960	1998-04-09	PRIJEM	PREVOD Z UCTU	3225	16886	\N	YZ	99605637
575645	1960	1998-05-09	PRIJEM	PREVOD Z UCTU	3225	17965	\N	YZ	99605637
575646	1960	1998-06-09	PRIJEM	PREVOD Z UCTU	3225	18888	\N	YZ	99605637
575647	1960	1998-07-09	PRIJEM	PREVOD Z UCTU	3225	15244	\N	YZ	99605637
575648	1960	1998-08-09	PRIJEM	PREVOD Z UCTU	3225	16366	\N	YZ	99605637
575649	1960	1998-09-09	PRIJEM	PREVOD Z UCTU	3225	17493	\N	YZ	99605637
575650	1960	1998-10-09	PRIJEM	PREVOD Z UCTU	3225	18234	\N	YZ	99605637
575651	1960	1998-11-09	PRIJEM	PREVOD Z UCTU	3225	19369	\N	YZ	99605637
575652	1960	1998-12-09	PRIJEM	PREVOD Z UCTU	3225	20509	\N	YZ	99605637
575669	1960	1998-05-08	VYDAJ	PREVOD NA UCET	2103	14740	SIPO	YZ	50274485
575670	1960	1998-06-08	VYDAJ	PREVOD NA UCET	2103	15663	SIPO	YZ	50274485
575671	1960	1998-07-08	VYDAJ	PREVOD NA UCET	2103	12066	SIPO	YZ	50274485
575672	1960	1998-08-08	VYDAJ	PREVOD NA UCET	2103	13188	SIPO	YZ	50274485
575673	1960	1998-09-08	VYDAJ	PREVOD NA UCET	2103	14315	SIPO	YZ	50274485
575674	1960	1998-10-08	VYDAJ	PREVOD NA UCET	2103	15056	SIPO	YZ	50274485
575675	1960	1998-11-08	VYDAJ	PREVOD NA UCET	2103	16191	SIPO	YZ	50274485
575676	1960	1998-12-08	VYDAJ	PREVOD NA UCET	2103	17331	SIPO	YZ	50274485
575693	1960	1998-05-08	VYDAJ	PREVOD NA UCET	47	16843	 	IJ	14609361
575694	1960	1998-06-08	VYDAJ	PREVOD NA UCET	47	17766	 	IJ	14609361
575695	1960	1998-07-08	VYDAJ	PREVOD NA UCET	47	12019	 	IJ	14609361
575696	1960	1998-08-08	VYDAJ	PREVOD NA UCET	47	13141	 	IJ	14609361
575697	1960	1998-09-08	VYDAJ	PREVOD NA UCET	47	14268	 	IJ	14609361
575698	1960	1998-10-08	VYDAJ	PREVOD NA UCET	47	15009	 	IJ	14609361
575699	1960	1998-11-08	VYDAJ	PREVOD NA UCET	47	16144	 	IJ	14609361
575700	1960	1998-12-08	VYDAJ	PREVOD NA UCET	47	17284	 	IJ	14609361
575702	1960	1998-06-12	VYDAJ	VYBER	4350	14538	\N	\N	\N
575704	1960	1998-12-14	VYDAJ	VYBER	630	19879	\N	\N	\N
575711	1960	1998-06-13	VYDAJ	VYBER	420	14118	\N	\N	\N
575712	1960	1998-05-10	VYDAJ	VYBER	210	17755	\N	\N	\N
575714	1960	1998-09-13	VYDAJ	VYBER	390	17103	\N	\N	\N
575733	1960	1998-04-30	VYDAJ	VYBER	15	16890	SLUZBY	\N	\N
575734	1960	1998-05-31	VYDAJ	VYBER	15	17813	SLUZBY	\N	\N
575735	1960	1998-06-30	VYDAJ	VYBER	15	14169	SLUZBY	\N	\N
575736	1960	1998-07-31	VYDAJ	VYBER	15	15291	SLUZBY	\N	\N
575737	1960	1998-08-31	VYDAJ	VYBER	15	16418	SLUZBY	\N	\N
575738	1960	1998-09-30	VYDAJ	VYBER	15	17159	SLUZBY	\N	\N
575739	1960	1998-10-31	VYDAJ	VYBER	15	18294	SLUZBY	\N	\N
575740	1960	1998-11-30	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
575754	1961	1995-08-30	PRIJEM	VKLAD	800	800	\N	\N	\N
575763	1961	1995-09-14	PRIJEM	PREVOD Z UCTU	5764	6564	DUCHOD	KL	17707205
575764	1961	1995-10-14	PRIJEM	PREVOD Z UCTU	5764	12328	DUCHOD	KL	17707205
575765	1961	1995-11-14	PRIJEM	PREVOD Z UCTU	5764	18092	DUCHOD	KL	17707205
575766	1961	1995-12-14	PRIJEM	PREVOD Z UCTU	5764	23856	DUCHOD	KL	17707205
575767	1961	1996-01-14	PRIJEM	PREVOD Z UCTU	5764	27732	DUCHOD	KL	17707205
575768	1961	1996-02-14	PRIJEM	PREVOD Z UCTU	5764	26064	DUCHOD	KL	17707205
575769	1961	1996-03-14	PRIJEM	PREVOD Z UCTU	5764	27121	DUCHOD	KL	17707205
575770	1961	1996-04-14	PRIJEM	PREVOD Z UCTU	5764	28783	DUCHOD	KL	17707205
575771	1961	1996-05-14	PRIJEM	PREVOD Z UCTU	5764	28050	DUCHOD	KL	17707205
575772	1961	1996-06-14	PRIJEM	PREVOD Z UCTU	5764	23832	DUCHOD	KL	17707205
575773	1961	1996-07-14	PRIJEM	PREVOD Z UCTU	5764	23678	DUCHOD	KL	17707205
575774	1961	1996-08-14	PRIJEM	PREVOD Z UCTU	5764	22543	DUCHOD	KL	17707205
575775	1961	1996-09-14	PRIJEM	PREVOD Z UCTU	5764	22984	DUCHOD	KL	17707205
575776	1961	1996-10-14	PRIJEM	PREVOD Z UCTU	5764	20743	DUCHOD	KL	17707205
575777	1961	1996-11-14	PRIJEM	PREVOD Z UCTU	5764	24079	DUCHOD	KL	17707205
575778	1961	1996-12-14	PRIJEM	PREVOD Z UCTU	5764	24665	DUCHOD	KL	17707205
575779	1961	1997-01-14	PRIJEM	PREVOD Z UCTU	5764	17391	DUCHOD	KL	17707205
575780	1961	1997-02-14	PRIJEM	PREVOD Z UCTU	5764	16269	DUCHOD	KL	17707205
575781	1961	1997-03-14	PRIJEM	PREVOD Z UCTU	5764	17183	DUCHOD	KL	17707205
575782	1961	1997-04-14	PRIJEM	PREVOD Z UCTU	5764	20104	DUCHOD	KL	17707205
575783	1961	1997-05-14	PRIJEM	PREVOD Z UCTU	5764	20754	DUCHOD	KL	17707205
575784	1961	1997-06-14	PRIJEM	PREVOD Z UCTU	5764	21787	DUCHOD	KL	17707205
575785	1961	1997-07-14	PRIJEM	PREVOD Z UCTU	5764	24128	DUCHOD	KL	17707205
575786	1961	1997-08-14	PRIJEM	PREVOD Z UCTU	5764	27679	DUCHOD	KL	17707205
575787	1961	1997-09-14	PRIJEM	PREVOD Z UCTU	5764	31245	DUCHOD	KL	17707205
575788	1961	1997-10-14	PRIJEM	PREVOD Z UCTU	5764	32921	DUCHOD	KL	17707205
575789	1961	1997-11-14	PRIJEM	PREVOD Z UCTU	5764	31700	DUCHOD	KL	17707205
575790	1961	1997-12-14	PRIJEM	PREVOD Z UCTU	5764	34180	DUCHOD	KL	17707205
575791	1961	1998-01-14	PRIJEM	PREVOD Z UCTU	5764	25670	DUCHOD	KL	17707205
575792	1961	1998-02-14	PRIJEM	PREVOD Z UCTU	5764	27873	DUCHOD	KL	17707205
575793	1961	1998-03-14	PRIJEM	PREVOD Z UCTU	5764	24524	DUCHOD	KL	17707205
575794	1961	1998-04-14	PRIJEM	PREVOD Z UCTU	5764	21863	DUCHOD	KL	17707205
575795	1961	1998-05-14	PRIJEM	PREVOD Z UCTU	5764	17613	DUCHOD	KL	17707205
575796	1961	1998-06-14	PRIJEM	PREVOD Z UCTU	5764	16428	DUCHOD	KL	17707205
575797	1961	1998-07-14	PRIJEM	PREVOD Z UCTU	5764	17742	DUCHOD	KL	17707205
575798	1961	1998-08-14	PRIJEM	PREVOD Z UCTU	5764	21265	DUCHOD	KL	17707205
575799	1961	1998-09-14	PRIJEM	PREVOD Z UCTU	5764	16102	DUCHOD	KL	17707205
575800	1961	1998-10-14	PRIJEM	PREVOD Z UCTU	5764	17454	DUCHOD	KL	17707205
575801	1961	1998-11-14	PRIJEM	PREVOD Z UCTU	5764	20976	DUCHOD	KL	17707205
575802	1961	1998-12-14	PRIJEM	PREVOD Z UCTU	5764	22963	DUCHOD	KL	17707205
575816	1961	1996-02-11	VYDAJ	PREVOD NA UCET	2293	20300	SIPO	QR	5029577
575817	1961	1996-03-11	VYDAJ	PREVOD NA UCET	2293	21357	SIPO	QR	5029577
575818	1961	1996-04-11	VYDAJ	PREVOD NA UCET	2293	23019	SIPO	QR	5029577
575819	1961	1996-05-11	VYDAJ	PREVOD NA UCET	2293	22286	SIPO	QR	5029577
575820	1961	1996-06-11	VYDAJ	PREVOD NA UCET	2293	18068	SIPO	QR	5029577
575821	1961	1996-07-11	VYDAJ	PREVOD NA UCET	2293	17914	SIPO	QR	5029577
575822	1961	1996-08-11	VYDAJ	PREVOD NA UCET	2293	16779	SIPO	QR	5029577
575823	1961	1996-09-11	VYDAJ	PREVOD NA UCET	2293	17220	SIPO	QR	5029577
575824	1961	1996-10-11	VYDAJ	PREVOD NA UCET	2293	14979	SIPO	QR	5029577
575825	1961	1996-11-11	VYDAJ	PREVOD NA UCET	2293	18315	SIPO	QR	5029577
575826	1961	1996-12-11	VYDAJ	PREVOD NA UCET	2293	18901	SIPO	QR	5029577
575827	1961	1997-01-11	VYDAJ	PREVOD NA UCET	2293	11627	SIPO	QR	5029577
575828	1961	1997-02-11	VYDAJ	PREVOD NA UCET	2293	10505	SIPO	QR	5029577
575829	1961	1997-03-11	VYDAJ	PREVOD NA UCET	2293	11419	SIPO	QR	5029577
575830	1961	1997-04-11	VYDAJ	PREVOD NA UCET	2293	14340	SIPO	QR	5029577
575831	1961	1997-05-11	VYDAJ	PREVOD NA UCET	2293	14990	SIPO	QR	5029577
575832	1961	1997-06-11	VYDAJ	PREVOD NA UCET	2293	16023	SIPO	QR	5029577
575833	1961	1997-07-11	VYDAJ	PREVOD NA UCET	2293	18364	SIPO	QR	5029577
575834	1961	1997-08-11	VYDAJ	PREVOD NA UCET	2293	21915	SIPO	QR	5029577
575835	1961	1997-09-11	VYDAJ	PREVOD NA UCET	2293	25481	SIPO	QR	5029577
575836	1961	1997-10-11	VYDAJ	PREVOD NA UCET	2293	27157	SIPO	QR	5029577
575837	1961	1997-11-11	VYDAJ	PREVOD NA UCET	2293	25936	SIPO	QR	5029577
575838	1961	1997-12-11	VYDAJ	PREVOD NA UCET	2293	28816	SIPO	QR	5029577
575839	1961	1998-01-11	VYDAJ	PREVOD NA UCET	2293	22226	SIPO	QR	5029577
575840	1961	1998-02-11	VYDAJ	PREVOD NA UCET	2293	22109	SIPO	QR	5029577
575841	1961	1998-03-11	VYDAJ	PREVOD NA UCET	2293	18760	SIPO	QR	5029577
575842	1961	1998-04-11	VYDAJ	PREVOD NA UCET	2293	16099	SIPO	QR	5029577
575843	1961	1998-05-11	VYDAJ	PREVOD NA UCET	2293	11849	SIPO	QR	5029577
575844	1961	1998-06-11	VYDAJ	PREVOD NA UCET	2293	10664	SIPO	QR	5029577
575845	1961	1998-07-11	VYDAJ	PREVOD NA UCET	2293	11978	SIPO	QR	5029577
575846	1961	1998-08-11	VYDAJ	PREVOD NA UCET	2293	15501	SIPO	QR	5029577
575847	1961	1998-09-11	VYDAJ	PREVOD NA UCET	2293	10338	SIPO	QR	5029577
575848	1961	1998-10-11	VYDAJ	PREVOD NA UCET	2293	11690	SIPO	QR	5029577
575849	1961	1998-11-11	VYDAJ	PREVOD NA UCET	2293	15212	SIPO	QR	5029577
575850	1961	1998-12-11	VYDAJ	PREVOD NA UCET	2293	17999	SIPO	QR	5029577
575856	1961	1996-12-26	VYDAJ	VYBER	1400	19445	\N	\N	\N
575857	1961	1997-12-12	VYDAJ	VYBER	400	28416	\N	\N	\N
575858	1961	1998-12-10	VYDAJ	VYBER	750	20292	\N	\N	\N
575866	1961	1996-01-15	VYDAJ	VYBER	1680	26052	\N	\N	\N
575867	1961	1996-01-22	VYDAJ	VYBER	720	23812	\N	\N	\N
575868	1961	1996-01-17	VYDAJ	VYBER	1520	24532	\N	\N	\N
575871	1961	1997-01-02	VYDAJ	VYBER	1680	17840	\N	\N	\N
575872	1961	1997-01-20	VYDAJ	VYBER	1840	13711	\N	\N	\N
575873	1961	1997-01-25	VYDAJ	VYBER	480	12751	\N	\N	\N
575874	1961	1997-01-05	VYDAJ	VYBER	2240	15600	\N	\N	\N
575875	1961	1997-01-18	VYDAJ	VYBER	1840	15551	\N	\N	\N
575876	1961	1997-01-07	VYDAJ	VYBER	1680	13920	\N	\N	\N
575877	1961	1998-01-11	VYDAJ	VYBER	2320	19906	\N	\N	\N
575878	1961	1998-01-01	VYDAJ	VYBER	1760	31239	\N	\N	\N
575879	1961	1998-01-10	VYDAJ	VYBER	2080	24919	\N	\N	\N
575880	1961	1998-01-02	VYDAJ	VYBER	1360	29879	\N	\N	\N
575881	1961	1998-01-10	VYDAJ	VYBER	400	24519	\N	\N	\N
575882	1961	1998-01-14	VYDAJ	VYBER	560	25110	\N	\N	\N
575888	1961	1996-07-27	VYDAJ	VYBER	2480	18998	\N	\N	\N
575889	1961	1996-11-20	VYDAJ	VYBER	2960	21119	\N	\N	\N
575890	1961	1996-12-16	VYDAJ	VYBER	720	23945	\N	\N	\N
575891	1961	1996-09-19	VYDAJ	VYBER	1680	21304	\N	\N	\N
575892	1961	1996-05-27	VYDAJ	VYBER	2880	20270	\N	\N	\N
575893	1961	1997-01-25	VYDAJ	VYBER	480	13231	\N	\N	\N
575895	1961	1997-07-07	VYDAJ	VYBER	1200	20657	\N	\N	\N
575896	1961	1997-04-22	VYDAJ	VYBER	2880	17224	\N	\N	\N
575899	1961	1998-05-01	VYDAJ	VYBER	2480	14142	\N	\N	\N
575900	1961	1998-01-10	VYDAJ	VYBER	2880	26999	\N	\N	\N
575902	1961	1998-09-15	VYDAJ	VYBER	2160	13942	\N	\N	\N
575917	1961	1996-01-31	VYDAJ	VYBER	15	22593	SLUZBY	\N	\N
575918	1961	1996-02-29	VYDAJ	VYBER	15	23650	SLUZBY	\N	\N
575919	1961	1996-03-31	VYDAJ	VYBER	15	25312	SLUZBY	\N	\N
575920	1961	1996-04-30	VYDAJ	VYBER	15	24579	SLUZBY	\N	\N
575921	1961	1996-05-31	VYDAJ	VYBER	15	20361	SLUZBY	\N	\N
575922	1961	1996-06-30	VYDAJ	VYBER	15	20207	SLUZBY	\N	\N
575923	1961	1996-07-31	VYDAJ	VYBER	15	19072	SLUZBY	\N	\N
575924	1961	1996-08-31	VYDAJ	VYBER	15	19513	SLUZBY	\N	\N
575925	1961	1996-09-30	VYDAJ	VYBER	15	17272	SLUZBY	\N	\N
575926	1961	1996-10-31	VYDAJ	VYBER	15	20608	SLUZBY	\N	\N
575927	1961	1996-11-30	VYDAJ	VYBER	15	21194	SLUZBY	\N	\N
575928	1961	1996-12-31	VYDAJ	VYBER	15	19520	SLUZBY	\N	\N
575929	1961	1997-01-31	VYDAJ	VYBER	15	12798	SLUZBY	\N	\N
575930	1961	1997-02-28	VYDAJ	VYBER	15	13712	SLUZBY	\N	\N
575931	1961	1997-03-31	VYDAJ	VYBER	15	16633	SLUZBY	\N	\N
575932	1961	1997-04-30	VYDAJ	VYBER	15	17283	SLUZBY	\N	\N
575933	1961	1997-05-31	VYDAJ	VYBER	15	18316	SLUZBY	\N	\N
575934	1961	1997-06-30	VYDAJ	VYBER	15	21857	SLUZBY	\N	\N
575935	1961	1997-07-31	VYDAJ	VYBER	15	24208	SLUZBY	\N	\N
575936	1961	1997-08-31	VYDAJ	VYBER	15	27774	SLUZBY	\N	\N
575937	1961	1997-09-30	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
575938	1961	1997-10-31	VYDAJ	VYBER	15	28229	SLUZBY	\N	\N
575939	1961	1997-11-30	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
575940	1961	1997-12-31	VYDAJ	VYBER	15	32999	SLUZBY	\N	\N
575941	1961	1998-01-31	VYDAJ	VYBER	15	24402	SLUZBY	\N	\N
575942	1961	1998-02-28	VYDAJ	VYBER	15	21053	SLUZBY	\N	\N
575943	1961	1998-03-31	VYDAJ	VYBER	15	18392	SLUZBY	\N	\N
575944	1961	1998-04-30	VYDAJ	VYBER	15	16622	SLUZBY	\N	\N
575945	1961	1998-05-31	VYDAJ	VYBER	15	12957	SLUZBY	\N	\N
575946	1961	1998-06-30	VYDAJ	VYBER	15	14271	SLUZBY	\N	\N
575947	1961	1998-07-31	VYDAJ	VYBER	15	17794	SLUZBY	\N	\N
575948	1961	1998-08-31	VYDAJ	VYBER	15	12631	SLUZBY	\N	\N
575949	1961	1998-09-30	VYDAJ	VYBER	15	13983	SLUZBY	\N	\N
575950	1961	1998-10-31	VYDAJ	VYBER	15	17505	SLUZBY	\N	\N
575951	1961	1998-11-30	VYDAJ	VYBER	15	21042	SLUZBY	\N	\N
575952	1961	1995-12-28	VYDAJ	VYBER	1900	21956	\N	\N	\N
575953	1961	1996-01-27	VYDAJ	VYBER	1300	22512	\N	\N	\N
575954	1961	1996-02-26	VYDAJ	VYBER	2500	23564	\N	\N	\N
575955	1961	1996-03-27	VYDAJ	VYBER	1900	25221	\N	\N	\N
575956	1961	1996-04-26	VYDAJ	VYBER	4300	24483	\N	\N	\N
575957	1961	1996-05-26	VYDAJ	VYBER	4900	23150	\N	\N	\N
575958	1961	1996-06-25	VYDAJ	VYBER	3700	20132	\N	\N	\N
575959	1961	1996-07-25	VYDAJ	VYBER	2200	21478	\N	\N	\N
575960	1961	1996-08-24	VYDAJ	VYBER	3100	19443	\N	\N	\N
575961	1961	1996-09-23	VYDAJ	VYBER	4100	17204	\N	\N	\N
575962	1961	1996-10-23	VYDAJ	VYBER	200	20543	\N	\N	\N
575963	1961	1996-12-22	VYDAJ	VYBER	3100	20845	\N	\N	\N
575964	1961	1997-02-20	VYDAJ	VYBER	2600	13669	\N	\N	\N
575965	1961	1997-03-22	VYDAJ	VYBER	600	16583	\N	\N	\N
575966	1961	1997-05-21	VYDAJ	VYBER	2500	18254	\N	\N	\N
575967	1961	1997-09-18	VYDAJ	VYBER	1900	29345	\N	\N	\N
575968	1961	1997-10-18	VYDAJ	VYBER	4800	28121	\N	\N	\N
575969	1961	1997-11-17	VYDAJ	VYBER	700	31000	\N	\N	\N
575970	1961	1997-12-17	VYDAJ	VYBER	1300	32880	\N	\N	\N
575971	1961	1998-01-16	VYDAJ	VYBER	800	24310	\N	\N	\N
575972	1961	1998-02-15	VYDAJ	VYBER	6900	20973	\N	\N	\N
575973	1961	1998-03-17	VYDAJ	VYBER	6200	18324	\N	\N	\N
575974	1961	1998-04-16	VYDAJ	VYBER	5300	16563	\N	\N	\N
575975	1961	1998-05-16	VYDAJ	VYBER	4700	12913	\N	\N	\N
575976	1961	1998-06-15	VYDAJ	VYBER	2200	14228	\N	\N	\N
575977	1961	1998-08-14	VYDAJ	VYBER	8700	12565	\N	\N	\N
575978	1961	1998-12-12	VYDAJ	VYBER	800	17199	\N	\N	\N
576016	1962	1996-02-24	PRIJEM	VKLAD	200	200	\N	\N	\N
576019	1962	1996-03-13	PRIJEM	PREVOD Z UCTU	46473	46673	\N	UV	59413593
576020	1962	1996-04-13	PRIJEM	PREVOD Z UCTU	46473	80778	\N	UV	59413593
576021	1962	1996-05-13	PRIJEM	PREVOD Z UCTU	46473	101114	\N	UV	59413593
576022	1962	1996-06-13	PRIJEM	PREVOD Z UCTU	69710	134061	\N	UV	59413593
576023	1962	1996-07-13	PRIJEM	PREVOD Z UCTU	46473	117672	\N	UV	59413593
576024	1962	1996-08-13	PRIJEM	PREVOD Z UCTU	46473	93331	\N	UV	59413593
576025	1962	1996-09-13	PRIJEM	PREVOD Z UCTU	46473	106434	\N	UV	59413593
576026	1962	1996-10-13	PRIJEM	PREVOD Z UCTU	46473	80309	\N	UV	59413593
576027	1962	1996-11-13	PRIJEM	PREVOD Z UCTU	46473	92732	\N	UV	59413593
576028	1962	1996-12-13	PRIJEM	PREVOD Z UCTU	69710	123957	\N	UV	59413593
576029	1962	1997-01-13	PRIJEM	PREVOD Z UCTU	46473	84700	\N	UV	59413593
576030	1962	1997-02-13	PRIJEM	PREVOD Z UCTU	46473	65900	\N	UV	59413593
576031	1962	1997-03-13	PRIJEM	PREVOD Z UCTU	46473	86585	\N	UV	59413593
576032	1962	1997-04-13	PRIJEM	PREVOD Z UCTU	46473	92148	\N	UV	59413593
576033	1962	1997-05-13	PRIJEM	PREVOD Z UCTU	46473	80601	\N	UV	59413593
576034	1962	1997-06-13	PRIJEM	PREVOD Z UCTU	69710	104659	\N	UV	59413593
576035	1962	1997-07-13	PRIJEM	PREVOD Z UCTU	46473	103643	\N	UV	59413593
576036	1962	1997-08-13	PRIJEM	PREVOD Z UCTU	46473	72456	\N	UV	59413593
576037	1962	1997-09-13	PRIJEM	PREVOD Z UCTU	46473	65433	\N	UV	59413593
576038	1962	1997-10-13	PRIJEM	PREVOD Z UCTU	46473	81308	\N	UV	59413593
576039	1962	1997-11-13	PRIJEM	PREVOD Z UCTU	46473	68099	\N	UV	59413593
576040	1962	1997-12-13	PRIJEM	PREVOD Z UCTU	69710	101722	\N	UV	59413593
576041	1962	1998-01-13	PRIJEM	PREVOD Z UCTU	46473	78406	\N	UV	59413593
576042	1962	1998-02-13	PRIJEM	PREVOD Z UCTU	46473	65587	\N	UV	59413593
576043	1962	1998-03-13	PRIJEM	PREVOD Z UCTU	46473	81943	\N	UV	59413593
576044	1962	1998-04-13	PRIJEM	PREVOD Z UCTU	46473	89858	\N	UV	59413593
576045	1962	1998-05-13	PRIJEM	PREVOD Z UCTU	46473	96198	\N	UV	59413593
576046	1962	1998-06-13	PRIJEM	PREVOD Z UCTU	69710	98991	\N	UV	59413593
576047	1962	1998-07-13	PRIJEM	PREVOD Z UCTU	46473	77055	\N	UV	59413593
576048	1962	1998-08-13	PRIJEM	PREVOD Z UCTU	46473	72436	\N	UV	59413593
576049	1962	1998-09-13	PRIJEM	PREVOD Z UCTU	46473	82617	\N	UV	59413593
576050	1962	1998-10-13	PRIJEM	PREVOD Z UCTU	46473	85017	\N	UV	59413593
576051	1962	1998-11-13	PRIJEM	PREVOD Z UCTU	46473	95675	\N	UV	59413593
576052	1962	1998-12-13	PRIJEM	PREVOD Z UCTU	69710	120302	\N	UV	59413593
576060	1962	1996-08-06	VYDAJ	PREVOD NA UCET	770	49821	SIPO	MN	10131866
576061	1962	1996-09-06	VYDAJ	PREVOD NA UCET	770	62924	SIPO	MN	10131866
576062	1962	1996-10-06	VYDAJ	PREVOD NA UCET	770	43099	SIPO	MN	10131866
576063	1962	1996-11-06	VYDAJ	PREVOD NA UCET	770	49222	SIPO	MN	10131866
576064	1962	1996-12-06	VYDAJ	PREVOD NA UCET	770	57210	SIPO	MN	10131866
576065	1962	1997-01-06	VYDAJ	PREVOD NA UCET	770	41190	SIPO	MN	10131866
576066	1962	1997-02-06	VYDAJ	PREVOD NA UCET	770	22390	SIPO	MN	10131866
576067	1962	1997-03-06	VYDAJ	PREVOD NA UCET	770	43075	SIPO	MN	10131866
576068	1962	1997-04-06	VYDAJ	PREVOD NA UCET	770	48638	SIPO	MN	10131866
576069	1962	1997-05-06	VYDAJ	PREVOD NA UCET	770	49560	SIPO	MN	10131866
576070	1962	1997-06-06	VYDAJ	PREVOD NA UCET	770	52446	SIPO	MN	10131866
576071	1962	1997-07-06	VYDAJ	PREVOD NA UCET	770	60133	SIPO	MN	10131866
576072	1962	1997-08-06	VYDAJ	PREVOD NA UCET	770	28946	SIPO	MN	10131866
576073	1962	1997-09-06	VYDAJ	PREVOD NA UCET	770	21923	SIPO	MN	10131866
576074	1962	1997-10-06	VYDAJ	PREVOD NA UCET	770	37798	SIPO	MN	10131866
576075	1962	1997-11-06	VYDAJ	PREVOD NA UCET	770	24589	SIPO	MN	10131866
576076	1962	1997-12-06	VYDAJ	PREVOD NA UCET	770	34975	SIPO	MN	10131866
576077	1962	1998-01-06	VYDAJ	PREVOD NA UCET	770	41196	SIPO	MN	10131866
576078	1962	1998-02-06	VYDAJ	PREVOD NA UCET	770	22077	SIPO	MN	10131866
576079	1962	1998-03-06	VYDAJ	PREVOD NA UCET	770	38433	SIPO	MN	10131866
576080	1962	1998-04-06	VYDAJ	PREVOD NA UCET	770	46348	SIPO	MN	10131866
576081	1962	1998-05-06	VYDAJ	PREVOD NA UCET	770	52688	SIPO	MN	10131866
576082	1962	1998-06-06	VYDAJ	PREVOD NA UCET	770	32244	SIPO	MN	10131866
576083	1962	1998-07-06	VYDAJ	PREVOD NA UCET	770	33545	SIPO	MN	10131866
576084	1962	1998-08-06	VYDAJ	PREVOD NA UCET	770	46726	SIPO	MN	10131866
576085	1962	1998-09-06	VYDAJ	PREVOD NA UCET	770	71907	SIPO	MN	10131866
576086	1962	1998-10-06	VYDAJ	PREVOD NA UCET	770	82148	SIPO	MN	10131866
576087	1962	1998-11-06	VYDAJ	PREVOD NA UCET	770	84565	SIPO	MN	10131866
576088	1962	1998-12-06	VYDAJ	PREVOD NA UCET	770	95255	SIPO	MN	10131866
576096	1962	1996-08-09	VYDAJ	PREVOD NA UCET	1192	48629	 	OP	17327452
576097	1962	1996-09-09	VYDAJ	PREVOD NA UCET	1192	61732	 	OP	17327452
576098	1962	1996-10-09	VYDAJ	PREVOD NA UCET	1192	41907	 	OP	17327452
576099	1962	1996-11-09	VYDAJ	PREVOD NA UCET	1192	48030	 	OP	17327452
576100	1962	1996-12-09	VYDAJ	PREVOD NA UCET	1192	56018	 	OP	17327452
576101	1962	1997-01-09	VYDAJ	PREVOD NA UCET	1192	39998	 	OP	17327452
576102	1962	1997-02-09	VYDAJ	PREVOD NA UCET	1192	21198	 	OP	17327452
576103	1962	1997-03-09	VYDAJ	PREVOD NA UCET	1192	41883	 	OP	17327452
576104	1962	1997-04-09	VYDAJ	PREVOD NA UCET	1192	47446	 	OP	17327452
576105	1962	1997-05-09	VYDAJ	PREVOD NA UCET	1192	35899	 	OP	17327452
576106	1962	1997-06-09	VYDAJ	PREVOD NA UCET	1192	36720	 	OP	17327452
576107	1962	1997-07-09	VYDAJ	PREVOD NA UCET	1192	58941	 	OP	17327452
576108	1962	1997-08-09	VYDAJ	PREVOD NA UCET	1192	27754	 	OP	17327452
576109	1962	1997-09-09	VYDAJ	PREVOD NA UCET	1192	20731	 	OP	17327452
576110	1962	1997-10-09	VYDAJ	PREVOD NA UCET	1192	36606	 	OP	17327452
576111	1962	1997-11-09	VYDAJ	PREVOD NA UCET	1192	23397	 	OP	17327452
576112	1962	1997-12-09	VYDAJ	PREVOD NA UCET	1192	33783	 	OP	17327452
576113	1962	1998-01-09	VYDAJ	PREVOD NA UCET	1192	40004	 	OP	17327452
576114	1962	1998-02-09	VYDAJ	PREVOD NA UCET	1192	20885	 	OP	17327452
576115	1962	1998-03-09	VYDAJ	PREVOD NA UCET	1192	37241	 	OP	17327452
576116	1962	1998-04-09	VYDAJ	PREVOD NA UCET	1192	45156	 	OP	17327452
576117	1962	1998-05-09	VYDAJ	PREVOD NA UCET	1192	51496	 	OP	17327452
576118	1962	1998-06-09	VYDAJ	PREVOD NA UCET	1192	31052	 	OP	17327452
576119	1962	1998-07-09	VYDAJ	PREVOD NA UCET	1192	32353	 	OP	17327452
576120	1962	1998-08-09	VYDAJ	PREVOD NA UCET	1192	45534	 	OP	17327452
576121	1962	1998-09-09	VYDAJ	PREVOD NA UCET	1192	70715	 	OP	17327452
576122	1962	1998-10-09	VYDAJ	PREVOD NA UCET	1192	72815	 	OP	17327452
576123	1962	1998-11-09	VYDAJ	PREVOD NA UCET	1192	83373	 	OP	17327452
576124	1962	1998-12-09	VYDAJ	PREVOD NA UCET	1192	88063	 	OP	17327452
576132	1962	1996-08-10	VYDAJ	PREVOD NA UCET	1771	46858	POJISTNE	MN	43612647
576133	1962	1996-09-10	VYDAJ	PREVOD NA UCET	1771	59961	POJISTNE	MN	43612647
576134	1962	1996-10-10	VYDAJ	PREVOD NA UCET	1771	40136	POJISTNE	MN	43612647
576135	1962	1996-11-10	VYDAJ	PREVOD NA UCET	1771	46259	POJISTNE	MN	43612647
576136	1962	1996-12-10	VYDAJ	PREVOD NA UCET	1771	54247	POJISTNE	MN	43612647
576137	1962	1997-01-10	VYDAJ	PREVOD NA UCET	1771	38227	POJISTNE	MN	43612647
576138	1962	1997-02-10	VYDAJ	PREVOD NA UCET	1771	19427	POJISTNE	MN	43612647
576139	1962	1997-03-10	VYDAJ	PREVOD NA UCET	1771	40112	POJISTNE	MN	43612647
576140	1962	1997-04-10	VYDAJ	PREVOD NA UCET	1771	45675	POJISTNE	MN	43612647
576141	1962	1997-05-10	VYDAJ	PREVOD NA UCET	1771	34128	POJISTNE	MN	43612647
576142	1962	1997-06-10	VYDAJ	PREVOD NA UCET	1771	34949	POJISTNE	MN	43612647
576143	1962	1997-07-10	VYDAJ	PREVOD NA UCET	1771	57170	POJISTNE	MN	43612647
576144	1962	1997-08-10	VYDAJ	PREVOD NA UCET	1771	25983	POJISTNE	MN	43612647
576145	1962	1997-09-10	VYDAJ	PREVOD NA UCET	1771	18960	POJISTNE	MN	43612647
576146	1962	1997-10-10	VYDAJ	PREVOD NA UCET	1771	34835	POJISTNE	MN	43612647
576147	1962	1997-11-10	VYDAJ	PREVOD NA UCET	1771	21626	POJISTNE	MN	43612647
576148	1962	1997-12-10	VYDAJ	PREVOD NA UCET	1771	32012	POJISTNE	MN	43612647
576149	1962	1998-01-10	VYDAJ	PREVOD NA UCET	1771	38233	POJISTNE	MN	43612647
576150	1962	1998-02-10	VYDAJ	PREVOD NA UCET	1771	19114	POJISTNE	MN	43612647
576151	1962	1998-03-10	VYDAJ	PREVOD NA UCET	1771	35470	POJISTNE	MN	43612647
576152	1962	1998-04-10	VYDAJ	PREVOD NA UCET	1771	43385	POJISTNE	MN	43612647
576153	1962	1998-05-10	VYDAJ	PREVOD NA UCET	1771	49725	POJISTNE	MN	43612647
576154	1962	1998-06-10	VYDAJ	PREVOD NA UCET	1771	29281	POJISTNE	MN	43612647
576155	1962	1998-07-10	VYDAJ	PREVOD NA UCET	1771	30582	POJISTNE	MN	43612647
576156	1962	1998-08-10	VYDAJ	PREVOD NA UCET	1771	43763	POJISTNE	MN	43612647
576157	1962	1998-09-10	VYDAJ	PREVOD NA UCET	1771	67444	POJISTNE	MN	43612647
576158	1962	1998-10-10	VYDAJ	PREVOD NA UCET	1771	71044	POJISTNE	MN	43612647
576159	1962	1998-11-10	VYDAJ	PREVOD NA UCET	1771	49202	POJISTNE	MN	43612647
576160	1962	1998-12-10	VYDAJ	PREVOD NA UCET	1771	50592	POJISTNE	MN	43612647
576161	1962	1996-10-16	VYBER	VYBER	8124	72185	\N	\N	\N
576162	1962	1996-09-28	VYBER	VYBER	21355	43579	\N	\N	\N
576164	1962	1997-04-14	VYBER	VYBER	17935	74213	\N	\N	\N
576165	1962	1997-08-28	VYBER	VYBER	22311	22545	\N	\N	\N
576166	1962	1997-06-08	VYBER	VYBER	14534	37912	\N	\N	\N
576167	1962	1997-07-20	VYBER	VYBER	14582	48261	\N	\N	\N
576169	1962	1997-05-09	VYBER	VYBER	12469	37091	\N	\N	\N
576170	1962	1997-07-30	VYBER	VYBER	18786	29475	\N	\N	\N
576171	1962	1997-11-04	VYBER	VYBER	14324	25359	\N	\N	\N
576172	1962	1997-12-25	VYBER	VYBER	8854	50468	\N	\N	\N
576173	1962	1998-10-08	VYBER	VYBER	8141	74007	\N	\N	\N
576174	1962	1998-07-04	VYBER	VYBER	15904	34315	\N	\N	\N
576175	1962	1998-06-30	VYBER	VYBER	8266	50233	\N	\N	\N
576178	1962	1998-06-06	VYDAJ	VYBER	22800	33014	\N	\N	\N
576180	1962	1997-01-18	VYDAJ	VYBER	24000	55300	\N	\N	\N
576182	1962	1996-12-06	VYDAJ	VYBER	2400	57980	\N	\N	\N
576183	1962	1997-12-01	VYDAJ	VYBER	5700	35745	\N	\N	\N
576184	1962	1998-12-06	VYDAJ	VYBER	6000	89255	\N	\N	\N
576191	1962	1997-01-14	VYDAJ	VYBER	5400	79300	\N	\N	\N
576192	1962	1997-01-29	VYDAJ	VYBER	3900	23000	\N	\N	\N
576193	1962	1997-01-19	VYDAJ	VYBER	7800	36500	\N	\N	\N
576194	1962	1997-01-20	VYDAJ	VYBER	8100	28400	\N	\N	\N
576195	1962	1997-01-23	VYDAJ	VYBER	1500	26900	\N	\N	\N
576197	1962	1998-01-28	VYDAJ	VYBER	5100	22706	\N	\N	\N
576198	1962	1998-01-17	VYDAJ	VYBER	5100	38606	\N	\N	\N
576199	1962	1998-01-19	VYDAJ	VYBER	4500	34106	\N	\N	\N
576200	1962	1998-01-20	VYDAJ	VYBER	6300	27806	\N	\N	\N
576201	1962	1998-01-12	VYDAJ	VYBER	6300	31933	\N	\N	\N
576202	1962	1998-01-06	VYDAJ	VYBER	8700	41966	\N	\N	\N
576203	1962	1996-12-15	VYDAJ	VYBER	7800	58557	\N	\N	\N
576206	1962	1996-10-11	VYDAJ	VYBER	6300	33836	\N	\N	\N
576208	1962	1997-10-02	VYDAJ	VYBER	3600	38568	\N	\N	\N
576209	1962	1997-04-05	VYDAJ	VYBER	5100	49408	\N	\N	\N
576211	1962	1997-10-23	VYDAJ	VYBER	10800	39508	\N	\N	\N
576212	1962	1998-09-09	VYDAJ	VYBER	1500	69215	\N	\N	\N
576220	1962	1996-07-31	VYDAJ	VYBER	15	50591	SLUZBY	\N	\N
576221	1962	1996-08-31	VYDAJ	VYBER	15	63694	SLUZBY	\N	\N
576222	1962	1996-09-30	VYDAJ	VYBER	15	43869	SLUZBY	\N	\N
576223	1962	1996-10-31	VYDAJ	VYBER	15	49992	SLUZBY	\N	\N
576224	1962	1996-11-30	VYDAJ	VYBER	15	60380	SLUZBY	\N	\N
576225	1962	1996-12-31	VYDAJ	VYBER	15	41960	SLUZBY	\N	\N
576226	1962	1997-01-31	VYDAJ	VYBER	15	23160	SLUZBY	\N	\N
576227	1962	1997-02-28	VYDAJ	VYBER	15	43845	SLUZBY	\N	\N
576228	1962	1997-03-31	VYDAJ	VYBER	15	54508	SLUZBY	\N	\N
576229	1962	1997-04-30	VYDAJ	VYBER	15	50330	SLUZBY	\N	\N
576230	1962	1997-05-31	VYDAJ	VYBER	15	53216	SLUZBY	\N	\N
576231	1962	1997-06-30	VYDAJ	VYBER	15	60903	SLUZBY	\N	\N
576232	1962	1997-07-31	VYDAJ	VYBER	15	29716	SLUZBY	\N	\N
576233	1962	1997-08-31	VYDAJ	VYBER	15	22693	SLUZBY	\N	\N
576234	1962	1997-09-30	VYDAJ	VYBER	15	42168	SLUZBY	\N	\N
576235	1962	1997-10-31	VYDAJ	VYBER	15	39683	SLUZBY	\N	\N
576236	1962	1997-11-30	VYDAJ	VYBER	15	41445	SLUZBY	\N	\N
576237	1962	1997-12-31	VYDAJ	VYBER	15	50666	SLUZBY	\N	\N
576238	1962	1998-01-31	VYDAJ	VYBER	15	22847	SLUZBY	\N	\N
576239	1962	1998-02-28	VYDAJ	VYBER	15	39203	SLUZBY	\N	\N
576240	1962	1998-03-31	VYDAJ	VYBER	15	47118	SLUZBY	\N	\N
576241	1962	1998-04-30	VYDAJ	VYBER	15	53458	SLUZBY	\N	\N
576242	1962	1998-05-31	VYDAJ	VYBER	15	55814	SLUZBY	\N	\N
576243	1962	1998-06-30	VYDAJ	VYBER	15	50219	SLUZBY	\N	\N
576244	1962	1998-07-31	VYDAJ	VYBER	15	47496	SLUZBY	\N	\N
576245	1962	1998-08-31	VYDAJ	VYBER	15	72677	SLUZBY	\N	\N
576246	1962	1998-09-30	VYDAJ	VYBER	15	82918	SLUZBY	\N	\N
576247	1962	1998-10-31	VYDAJ	VYBER	15	85335	SLUZBY	\N	\N
576248	1962	1998-11-30	VYDAJ	VYBER	15	96025	SLUZBY	\N	\N
576249	1962	1996-03-25	VYDAJ	VYBER	12400	34273	\N	\N	\N
576250	1962	1996-04-24	VYDAJ	VYBER	26300	54478	\N	\N	\N
576251	1962	1996-05-24	VYDAJ	VYBER	37000	64114	\N	\N	\N
576252	1962	1996-06-13	VYDAJ	VYBER	24100	109961	\N	\N	\N
576253	1962	1996-06-23	VYDAJ	VYBER	39100	70861	\N	\N	\N
576254	1962	1996-07-13	VYDAJ	VYBER	50700	66972	\N	\N	\N
576255	1962	1996-07-23	VYDAJ	VYBER	16700	50272	\N	\N	\N
576256	1962	1996-08-22	VYDAJ	VYBER	29900	63431	\N	\N	\N
576257	1962	1996-09-21	VYDAJ	VYBER	41500	64934	\N	\N	\N
576258	1962	1996-10-21	VYDAJ	VYBER	22400	49785	\N	\N	\N
576259	1962	1996-11-20	VYDAJ	VYBER	32600	60132	\N	\N	\N
576260	1962	1996-12-13	VYDAJ	VYBER	57600	66357	\N	\N	\N
576261	1962	1996-12-20	VYDAJ	VYBER	16800	41757	\N	\N	\N
576262	1962	1997-01-19	VYDAJ	VYBER	11000	44300	\N	\N	\N
576263	1962	1997-02-18	VYDAJ	VYBER	22200	43700	\N	\N	\N
576264	1962	1997-03-20	VYDAJ	VYBER	32300	54285	\N	\N	\N
576265	1962	1997-04-19	VYDAJ	VYBER	24100	50113	\N	\N	\N
576266	1962	1997-05-19	VYDAJ	VYBER	27600	53001	\N	\N	\N
576267	1962	1997-06-18	VYDAJ	VYBER	44000	60659	\N	\N	\N
576268	1962	1997-07-18	VYDAJ	VYBER	40800	62843	\N	\N	\N
576269	1962	1997-08-17	VYDAJ	VYBER	27600	44856	\N	\N	\N
576270	1962	1997-09-16	VYDAJ	VYBER	23400	42033	\N	\N	\N
576271	1962	1997-10-16	VYDAJ	VYBER	31000	50308	\N	\N	\N
576272	1962	1997-11-15	VYDAJ	VYBER	26800	41299	\N	\N	\N
576273	1962	1997-12-15	VYDAJ	VYBER	42400	59322	\N	\N	\N
576274	1962	1998-01-14	VYDAJ	VYBER	34700	43706	\N	\N	\N
576275	1962	1998-02-13	VYDAJ	VYBER	26500	39087	\N	\N	\N
576276	1962	1998-03-15	VYDAJ	VYBER	35000	46943	\N	\N	\N
576277	1962	1998-04-14	VYDAJ	VYBER	36600	53258	\N	\N	\N
576278	1962	1998-05-14	VYDAJ	VYBER	40600	55598	\N	\N	\N
576279	1962	1998-06-13	VYDAJ	VYBER	40800	58191	\N	\N	\N
576280	1962	1998-07-13	VYDAJ	VYBER	29800	47255	\N	\N	\N
576281	1962	1998-08-12	VYDAJ	VYBER	17800	25963	\N	\N	\N
576282	1962	1998-09-11	VYDAJ	VYBER	31300	36144	\N	\N	\N
576283	1962	1998-10-11	VYDAJ	VYBER	32500	38544	\N	\N	\N
576284	1962	1998-11-10	VYDAJ	VYBER	32400	50973	\N	\N	\N
576285	1962	1998-12-10	VYDAJ	VYBER	35700	52363	\N	\N	\N
576286	1962	1998-12-13	VYDAJ	VYBER	16400	103902	\N	\N	\N
576321	1963	1996-02-03	PRIJEM	VKLAD	400	400	\N	\N	\N
576323	1963	1996-02-12	PRIJEM	VKLAD	22968	23368	\N	\N	\N
576324	1963	1996-03-12	PRIJEM	VKLAD	22968	48896	\N	\N	\N
576325	1963	1996-04-12	PRIJEM	VKLAD	22968	63130	\N	\N	\N
576326	1963	1996-05-12	PRIJEM	VKLAD	22968	69840	\N	\N	\N
576327	1963	1996-06-12	PRIJEM	VKLAD	34452	83873	\N	\N	\N
576328	1963	1996-07-12	PRIJEM	VKLAD	22968	53693	\N	\N	\N
576329	1963	1996-08-12	PRIJEM	VKLAD	22968	63555	\N	\N	\N
576330	1963	1996-09-12	PRIJEM	VKLAD	22968	66777	\N	\N	\N
576331	1963	1996-10-12	PRIJEM	VKLAD	22968	64529	\N	\N	\N
576332	1963	1996-11-12	PRIJEM	VKLAD	22968	68064	\N	\N	\N
576333	1963	1996-12-12	PRIJEM	VKLAD	34452	81172	\N	\N	\N
576334	1963	1997-01-12	PRIJEM	VKLAD	22968	66300	\N	\N	\N
576335	1963	1997-02-12	PRIJEM	VKLAD	22968	61902	\N	\N	\N
576336	1963	1997-03-12	PRIJEM	VKLAD	22968	67608	\N	\N	\N
576337	1963	1997-04-12	PRIJEM	VKLAD	22968	73419	\N	\N	\N
576338	1963	1997-05-12	PRIJEM	VKLAD	22968	73790	\N	\N	\N
576339	1963	1997-06-12	PRIJEM	VKLAD	34452	83535	\N	\N	\N
576340	1963	1997-07-12	PRIJEM	VKLAD	22968	80720	\N	\N	\N
576341	1963	1997-08-12	PRIJEM	VKLAD	22968	80585	\N	\N	\N
576342	1963	1997-09-12	PRIJEM	VKLAD	22968	83242	\N	\N	\N
576343	1963	1997-10-12	PRIJEM	VKLAD	22968	88110	\N	\N	\N
576344	1963	1997-11-12	PRIJEM	VKLAD	22968	92003	\N	\N	\N
576345	1963	1997-12-12	PRIJEM	VKLAD	34452	104667	\N	\N	\N
576346	1963	1998-01-12	PRIJEM	VKLAD	22968	85640	\N	\N	\N
576347	1963	1998-02-12	PRIJEM	VKLAD	22968	87118	\N	\N	\N
576348	1963	1998-03-12	PRIJEM	VKLAD	22968	87539	\N	\N	\N
576349	1963	1998-04-12	PRIJEM	VKLAD	22968	95227	\N	\N	\N
576350	1963	1998-05-12	PRIJEM	VKLAD	22968	95721	\N	\N	\N
576351	1963	1998-06-12	PRIJEM	VKLAD	34452	113174	\N	\N	\N
576352	1963	1998-07-12	PRIJEM	VKLAD	22968	93562	\N	\N	\N
576353	1963	1998-08-12	PRIJEM	VKLAD	22968	98288	\N	\N	\N
576354	1963	1998-09-12	PRIJEM	VKLAD	22968	106218	\N	\N	\N
576355	1963	1998-10-12	PRIJEM	VKLAD	22968	105465	\N	\N	\N
576356	1963	1998-11-12	PRIJEM	VKLAD	22968	105209	\N	\N	\N
576357	1963	1998-12-12	PRIJEM	VKLAD	34452	114627	\N	\N	\N
576363	1963	1996-06-12	VYDAJ	PREVOD NA UCET	3175	80698	SIPO	OP	92063742
576364	1963	1996-07-12	VYDAJ	PREVOD NA UCET	3175	50518	SIPO	OP	92063742
576365	1963	1996-08-12	VYDAJ	PREVOD NA UCET	3175	60380	SIPO	OP	92063742
576366	1963	1996-09-12	VYDAJ	PREVOD NA UCET	3175	63602	SIPO	OP	92063742
576367	1963	1996-10-12	VYDAJ	PREVOD NA UCET	3175	61354	SIPO	OP	92063742
576368	1963	1996-11-12	VYDAJ	PREVOD NA UCET	3175	64889	SIPO	OP	92063742
576369	1963	1996-12-12	VYDAJ	PREVOD NA UCET	3175	77997	SIPO	OP	92063742
576370	1963	1997-01-12	VYDAJ	PREVOD NA UCET	3175	63125	SIPO	OP	92063742
576371	1963	1997-02-12	VYDAJ	PREVOD NA UCET	3175	58727	SIPO	OP	92063742
576372	1963	1997-03-12	VYDAJ	PREVOD NA UCET	3175	64433	SIPO	OP	92063742
576373	1963	1997-04-12	VYDAJ	PREVOD NA UCET	3175	70244	SIPO	OP	92063742
576374	1963	1997-05-12	VYDAJ	PREVOD NA UCET	3175	70615	SIPO	OP	92063742
576375	1963	1997-06-12	VYDAJ	PREVOD NA UCET	3175	80360	SIPO	OP	92063742
576376	1963	1997-07-12	VYDAJ	PREVOD NA UCET	3175	77545	SIPO	OP	92063742
576377	1963	1997-08-12	VYDAJ	PREVOD NA UCET	3175	77410	SIPO	OP	92063742
576378	1963	1997-09-12	VYDAJ	PREVOD NA UCET	3175	80067	SIPO	OP	92063742
576379	1963	1997-10-12	VYDAJ	PREVOD NA UCET	3175	84935	SIPO	OP	92063742
576380	1963	1997-11-12	VYDAJ	PREVOD NA UCET	3175	88828	SIPO	OP	92063742
576381	1963	1997-12-12	VYDAJ	PREVOD NA UCET	3175	101492	SIPO	OP	92063742
576382	1963	1998-01-12	VYDAJ	PREVOD NA UCET	3175	77425	SIPO	OP	92063742
576383	1963	1998-02-12	VYDAJ	PREVOD NA UCET	3175	83943	SIPO	OP	92063742
576384	1963	1998-03-12	VYDAJ	PREVOD NA UCET	3175	84364	SIPO	OP	92063742
576385	1963	1998-04-12	VYDAJ	PREVOD NA UCET	3175	92052	SIPO	OP	92063742
576386	1963	1998-05-12	VYDAJ	PREVOD NA UCET	3175	92546	SIPO	OP	92063742
576387	1963	1998-06-12	VYDAJ	PREVOD NA UCET	3175	109999	SIPO	OP	92063742
576388	1963	1998-07-12	VYDAJ	PREVOD NA UCET	3175	90387	SIPO	OP	92063742
576389	1963	1998-08-12	VYDAJ	PREVOD NA UCET	3175	95113	SIPO	OP	92063742
576390	1963	1998-09-12	VYDAJ	PREVOD NA UCET	3175	103043	SIPO	OP	92063742
576391	1963	1998-10-12	VYDAJ	PREVOD NA UCET	3175	102290	SIPO	OP	92063742
576392	1963	1998-11-12	VYDAJ	PREVOD NA UCET	3175	102034	SIPO	OP	92063742
576393	1963	1998-12-12	VYDAJ	PREVOD NA UCET	3175	111452	SIPO	OP	92063742
576394	1963	1996-06-20	VYDAJ	VYBER	44800	32658	\N	\N	\N
576395	1963	1997-06-11	VYDAJ	VYBER	6080	49083	\N	\N	\N
576396	1963	1998-06-19	VYDAJ	VYBER	33120	76879	\N	\N	\N
576398	1963	1997-01-04	VYDAJ	VYBER	4160	45732	\N	\N	\N
576399	1963	1998-01-08	VYDAJ	VYBER	10720	64952	\N	\N	\N
576400	1963	1996-12-21	VYDAJ	VYBER	2080	75917	\N	\N	\N
576401	1963	1997-12-01	VYDAJ	VYBER	1120	70215	\N	\N	\N
576402	1963	1998-12-20	VYDAJ	VYBER KARTOU	3000	81052	\N	\N	0
576409	1963	1997-01-03	VYDAJ	VYBER	600	49892	\N	\N	\N
576410	1963	1997-01-07	VYDAJ	VYBER	2400	43332	\N	\N	\N
576411	1963	1997-01-26	VYDAJ	VYBER	960	57725	\N	\N	\N
576412	1963	1997-01-24	VYDAJ	VYBER	1800	58685	\N	\N	\N
576413	1963	1997-01-17	VYDAJ	VYBER	2640	60485	\N	\N	\N
576414	1963	1997-01-02	VYDAJ	VYBER	1080	50492	\N	\N	\N
576415	1963	1998-01-10	VYDAJ	VYBER	2280	62672	\N	\N	\N
576416	1963	1998-01-05	VYDAJ	VYBER	3120	75672	\N	\N	\N
576417	1963	1998-01-29	VYDAJ	VYBER	600	63865	\N	\N	\N
576418	1963	1998-01-05	VYDAJ	VYBER	2040	78792	\N	\N	\N
576419	1963	1998-01-24	VYDAJ	VYBER	2760	64465	\N	\N	\N
576420	1963	1998-01-16	VYDAJ	VYBER	1200	76225	\N	\N	\N
576421	1963	1996-11-18	VYDAJ	VYBER	5880	59009	\N	\N	\N
576422	1963	1996-06-21	VYDAJ	VYBER	600	32058	\N	\N	\N
576425	1963	1996-07-11	VYDAJ	VYBER	1560	30725	\N	\N	\N
576426	1963	1996-09-23	VYDAJ	VYBER	4560	59042	\N	\N	\N
576428	1963	1996-06-12	VYDAJ	VYBER	3240	77458	\N	\N	\N
576430	1963	1997-06-20	VYDAJ	VYBER	1080	79280	\N	\N	\N
576431	1963	1997-06-30	VYDAJ	VYBER	3000	57767	\N	\N	\N
576432	1963	1997-02-11	VYDAJ	VYBER	5760	38934	\N	\N	\N
576433	1963	1997-04-25	VYDAJ	VYBER	3960	66284	\N	\N	\N
576434	1963	1997-02-05	VYDAJ	VYBER	2640	44694	\N	\N	\N
576435	1963	1998-02-18	VYDAJ	VYBER	720	83223	\N	\N	\N
576436	1963	1998-06-24	VYDAJ	VYBER	3120	70259	\N	\N	\N
576437	1963	1998-01-12	VYDAJ	VYBER	5040	80600	\N	\N	\N
576438	1963	1998-05-29	VYDAJ	VYBER	2160	78386	\N	\N	\N
576439	1963	1998-03-02	VYDAJ	VYBER	2160	69851	\N	\N	\N
576440	1963	1998-05-10	VYDAJ	VYBER	4320	72753	\N	\N	\N
576441	1963	1998-03-03	VYDAJ	VYBER	5280	64571	\N	\N	\N
576442	1963	1998-07-30	VYDAJ	VYBER	2880	75007	\N	\N	\N
576449	1963	1996-06-30	VYDAJ	VYBER	15	32285	SLUZBY	\N	\N
576450	1963	1996-07-31	VYDAJ	VYBER	15	50687	SLUZBY	\N	\N
576451	1963	1996-08-31	VYDAJ	VYBER	15	43809	SLUZBY	\N	\N
576452	1963	1996-09-30	VYDAJ	VYBER	15	59261	SLUZBY	\N	\N
576453	1963	1996-10-31	VYDAJ	VYBER	15	45096	SLUZBY	\N	\N
576454	1963	1996-11-30	VYDAJ	VYBER	15	46720	SLUZBY	\N	\N
576455	1963	1996-12-31	VYDAJ	VYBER	15	51572	SLUZBY	\N	\N
576456	1963	1997-01-31	VYDAJ	VYBER	15	47334	SLUZBY	\N	\N
576457	1963	1997-02-28	VYDAJ	VYBER	15	44640	SLUZBY	\N	\N
576458	1963	1997-03-31	VYDAJ	VYBER	15	50451	SLUZBY	\N	\N
576459	1963	1997-04-30	VYDAJ	VYBER	15	50822	SLUZBY	\N	\N
576460	1963	1997-05-31	VYDAJ	VYBER	15	55163	SLUZBY	\N	\N
576461	1963	1997-06-30	VYDAJ	VYBER	15	57752	SLUZBY	\N	\N
576462	1963	1997-07-31	VYDAJ	VYBER	15	57617	SLUZBY	\N	\N
576463	1963	1997-08-31	VYDAJ	VYBER	15	60274	SLUZBY	\N	\N
576464	1963	1997-09-30	VYDAJ	VYBER	15	65142	SLUZBY	\N	\N
576465	1963	1997-10-31	VYDAJ	VYBER	15	69035	SLUZBY	\N	\N
576466	1963	1997-11-30	VYDAJ	VYBER	15	71335	SLUZBY	\N	\N
576467	1963	1997-12-31	VYDAJ	VYBER	15	80832	SLUZBY	\N	\N
576468	1963	1998-01-31	VYDAJ	VYBER	15	64150	SLUZBY	\N	\N
576469	1963	1998-02-28	VYDAJ	VYBER	15	72011	SLUZBY	\N	\N
576470	1963	1998-03-31	VYDAJ	VYBER	15	72259	SLUZBY	\N	\N
576471	1963	1998-04-30	VYDAJ	VYBER	15	77073	SLUZBY	\N	\N
576472	1963	1998-05-31	VYDAJ	VYBER	15	78722	SLUZBY	\N	\N
576473	1963	1998-06-30	VYDAJ	VYBER	15	70594	SLUZBY	\N	\N
576474	1963	1998-07-31	VYDAJ	VYBER	15	75320	SLUZBY	\N	\N
576475	1963	1998-08-31	VYDAJ	VYBER	15	83250	SLUZBY	\N	\N
576476	1963	1998-09-30	VYDAJ	VYBER	15	82497	SLUZBY	\N	\N
576477	1963	1998-10-31	VYDAJ	VYBER	15	82241	SLUZBY	\N	\N
576478	1963	1998-11-30	VYDAJ	VYBER	15	80175	SLUZBY	\N	\N
576479	1963	1996-03-04	PRIJEM	VKLAD	2500	25928	\N	\N	\N
576480	1963	1996-04-03	VYDAJ	VYBER	8900	40162	\N	\N	\N
576481	1963	1996-05-03	VYDAJ	VYBER	16500	46872	\N	\N	\N
576482	1963	1996-06-02	VYDAJ	VYBER	20700	49421	\N	\N	\N
576483	1963	1996-08-01	VYDAJ	VYBER	10100	40587	\N	\N	\N
576484	1963	1996-08-31	VYDAJ	VYBER	16800	43823	\N	\N	\N
576485	1963	1996-09-30	VYDAJ	VYBER	17700	41561	\N	\N	\N
576486	1963	1996-10-30	VYDAJ	VYBER	16500	44854	\N	\N	\N
576487	1963	1996-11-29	VYDAJ	VYBER	12500	46509	\N	\N	\N
576488	1963	1996-12-29	VYDAJ	VYBER	24600	51317	\N	\N	\N
576489	1963	1997-01-28	VYDAJ	VYBER	10600	47125	\N	\N	\N
576490	1963	1997-02-27	VYDAJ	VYBER	14300	44427	\N	\N	\N
576491	1963	1997-03-29	VYDAJ	VYBER	14200	50233	\N	\N	\N
576492	1963	1997-04-28	VYDAJ	VYBER	15700	50584	\N	\N	\N
576493	1963	1997-05-28	VYDAJ	VYBER	15700	54915	\N	\N	\N
576494	1963	1997-06-27	VYDAJ	VYBER	18800	60480	\N	\N	\N
576495	1963	1997-07-27	VYDAJ	VYBER	20200	57345	\N	\N	\N
576496	1963	1997-08-26	VYDAJ	VYBER	17400	60010	\N	\N	\N
576497	1963	1997-09-25	VYDAJ	VYBER	15200	64867	\N	\N	\N
576498	1963	1997-10-25	VYDAJ	VYBER	16200	68735	\N	\N	\N
576499	1963	1997-11-24	VYDAJ	VYBER	17800	71028	\N	\N	\N
576500	1963	1997-12-24	VYDAJ	VYBER	21000	80492	\N	\N	\N
576501	1963	1998-01-23	VYDAJ	VYBER	9000	67225	\N	\N	\N
576502	1963	1998-02-22	VYDAJ	VYBER	11500	71723	\N	\N	\N
576503	1963	1998-03-24	VYDAJ	VYBER	12400	71964	\N	\N	\N
576504	1963	1998-04-23	VYDAJ	VYBER	15300	76752	\N	\N	\N
576505	1963	1998-05-23	VYDAJ	VYBER	12000	80546	\N	\N	\N
576506	1963	1998-06-22	VYDAJ	VYBER	3500	73379	\N	\N	\N
576507	1963	1998-07-22	VYDAJ	VYBER	12500	77887	\N	\N	\N
576508	1963	1998-08-21	VYDAJ	VYBER	12200	82913	\N	\N	\N
576509	1963	1998-09-20	VYDAJ	VYBER	20900	82143	\N	\N	\N
576510	1963	1998-10-20	VYDAJ	VYBER	20400	81890	\N	\N	\N
576511	1963	1998-11-19	VYDAJ	VYBER	22200	79834	\N	\N	\N
576512	1963	1998-12-19	VYDAJ	VYBER	27400	84052	\N	\N	\N
576548	1964	1996-02-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
576551	1964	1996-03-09	PRIJEM	PREVOD Z UCTU	6547	7647	DUCHOD	EF	54870903
576552	1964	1996-04-09	PRIJEM	PREVOD Z UCTU	6547	14194	DUCHOD	EF	54870903
576553	1964	1996-05-09	PRIJEM	PREVOD Z UCTU	6547	20741	DUCHOD	EF	54870903
576554	1964	1996-06-09	PRIJEM	PREVOD Z UCTU	6547	27288	DUCHOD	EF	54870903
576555	1964	1996-07-09	PRIJEM	PREVOD Z UCTU	6547	29900	DUCHOD	EF	54870903
576556	1964	1996-08-09	PRIJEM	PREVOD Z UCTU	6547	20766	DUCHOD	EF	54870903
576557	1964	1996-09-09	PRIJEM	PREVOD Z UCTU	6547	24043	DUCHOD	EF	54870903
576558	1964	1996-10-09	PRIJEM	PREVOD Z UCTU	6547	25926	DUCHOD	EF	54870903
576559	1964	1996-11-09	PRIJEM	PREVOD Z UCTU	6547	22824	DUCHOD	EF	54870903
576560	1964	1996-12-09	PRIJEM	PREVOD Z UCTU	6547	27011	DUCHOD	EF	54870903
576561	1964	1997-01-09	PRIJEM	PREVOD Z UCTU	6547	23557	DUCHOD	EF	54870903
576562	1964	1997-02-09	PRIJEM	PREVOD Z UCTU	6547	19659	DUCHOD	EF	54870903
576563	1964	1997-03-09	PRIJEM	PREVOD Z UCTU	6547	23830	DUCHOD	EF	54870903
576564	1964	1997-04-09	PRIJEM	PREVOD Z UCTU	6547	26259	DUCHOD	EF	54870903
576565	1964	1997-05-09	PRIJEM	PREVOD Z UCTU	6547	26112	DUCHOD	EF	54870903
576566	1964	1997-06-09	PRIJEM	PREVOD Z UCTU	6547	28613	DUCHOD	EF	54870903
576567	1964	1997-07-09	PRIJEM	PREVOD Z UCTU	6547	27068	DUCHOD	EF	54870903
576568	1964	1997-08-09	PRIJEM	PREVOD Z UCTU	6547	27273	DUCHOD	EF	54870903
576569	1964	1997-09-09	PRIJEM	PREVOD Z UCTU	6547	20980	DUCHOD	EF	54870903
576570	1964	1997-10-09	PRIJEM	PREVOD Z UCTU	6547	21667	DUCHOD	EF	54870903
576571	1964	1997-11-09	PRIJEM	PREVOD Z UCTU	6547	18950	DUCHOD	EF	54870903
576572	1964	1997-12-09	PRIJEM	PREVOD Z UCTU	6547	21525	DUCHOD	EF	54870903
576573	1964	1998-01-09	PRIJEM	PREVOD Z UCTU	6547	23134	DUCHOD	EF	54870903
576574	1964	1998-02-09	PRIJEM	PREVOD Z UCTU	6547	20173	DUCHOD	EF	54870903
576575	1964	1998-03-09	PRIJEM	PREVOD Z UCTU	6547	17960	DUCHOD	EF	54870903
576576	1964	1998-04-09	PRIJEM	PREVOD Z UCTU	6547	17563	DUCHOD	EF	54870903
576577	1964	1998-05-09	PRIJEM	PREVOD Z UCTU	6547	17966	DUCHOD	EF	54870903
576578	1964	1998-06-09	PRIJEM	PREVOD Z UCTU	6547	20434	DUCHOD	EF	54870903
576579	1964	1998-07-09	PRIJEM	PREVOD Z UCTU	6547	20110	DUCHOD	EF	54870903
576580	1964	1998-08-09	PRIJEM	PREVOD Z UCTU	6547	18987	DUCHOD	EF	54870903
576581	1964	1998-09-09	PRIJEM	PREVOD Z UCTU	6547	16659	DUCHOD	EF	54870903
576582	1964	1998-10-09	PRIJEM	PREVOD Z UCTU	6547	20818	DUCHOD	EF	54870903
576583	1964	1998-11-09	PRIJEM	PREVOD Z UCTU	6547	17991	DUCHOD	EF	54870903
576584	1964	1998-12-09	PRIJEM	PREVOD Z UCTU	6547	15653	DUCHOD	EF	54870903
576592	1964	1996-08-08	VYDAJ	PREVOD NA UCET	2438	14219	SIPO	CD	4341131
576593	1964	1996-09-08	VYDAJ	PREVOD NA UCET	2438	17496	SIPO	CD	4341131
576594	1964	1996-10-08	VYDAJ	PREVOD NA UCET	2438	19379	SIPO	CD	4341131
576595	1964	1996-11-08	VYDAJ	PREVOD NA UCET	2438	18877	SIPO	CD	4341131
576596	1964	1996-12-08	VYDAJ	PREVOD NA UCET	2438	20464	SIPO	CD	4341131
576597	1964	1997-01-08	VYDAJ	PREVOD NA UCET	2438	17010	SIPO	CD	4341131
576598	1964	1997-02-08	VYDAJ	PREVOD NA UCET	2438	13112	SIPO	CD	4341131
576599	1964	1997-03-08	VYDAJ	PREVOD NA UCET	2438	17283	SIPO	CD	4341131
576600	1964	1997-04-08	VYDAJ	PREVOD NA UCET	2438	19712	SIPO	CD	4341131
576601	1964	1997-05-08	VYDAJ	PREVOD NA UCET	2438	19565	SIPO	CD	4341131
576602	1964	1997-06-08	VYDAJ	PREVOD NA UCET	2438	22066	SIPO	CD	4341131
576603	1964	1997-07-08	VYDAJ	PREVOD NA UCET	2438	20521	SIPO	CD	4341131
576604	1964	1997-08-08	VYDAJ	PREVOD NA UCET	2438	20726	SIPO	CD	4341131
576605	1964	1997-09-08	VYDAJ	PREVOD NA UCET	2438	14433	SIPO	CD	4341131
576606	1964	1997-10-08	VYDAJ	PREVOD NA UCET	2438	15120	SIPO	CD	4341131
576607	1964	1997-11-08	VYDAJ	PREVOD NA UCET	2438	12403	SIPO	CD	4341131
576608	1964	1997-12-08	VYDAJ	PREVOD NA UCET	2438	14978	SIPO	CD	4341131
576609	1964	1998-01-08	VYDAJ	PREVOD NA UCET	2438	16587	SIPO	CD	4341131
576610	1964	1998-02-08	VYDAJ	PREVOD NA UCET	2438	13626	SIPO	CD	4341131
576611	1964	1998-03-08	VYDAJ	PREVOD NA UCET	2438	11413	SIPO	CD	4341131
576612	1964	1998-04-08	VYDAJ	PREVOD NA UCET	2438	11016	SIPO	CD	4341131
576613	1964	1998-05-08	VYDAJ	PREVOD NA UCET	2438	11419	SIPO	CD	4341131
576614	1964	1998-06-08	VYDAJ	PREVOD NA UCET	2438	13887	SIPO	CD	4341131
576615	1964	1998-07-08	VYDAJ	PREVOD NA UCET	2438	13563	SIPO	CD	4341131
576616	1964	1998-08-08	VYDAJ	PREVOD NA UCET	2438	12440	SIPO	CD	4341131
576617	1964	1998-09-08	VYDAJ	PREVOD NA UCET	2438	10112	SIPO	CD	4341131
576618	1964	1998-10-08	VYDAJ	PREVOD NA UCET	2438	14271	SIPO	CD	4341131
576619	1964	1998-11-08	VYDAJ	PREVOD NA UCET	2438	11444	SIPO	CD	4341131
576620	1964	1998-12-08	VYDAJ	PREVOD NA UCET	2438	9106	SIPO	CD	4341131
576622	1964	1997-06-16	VYDAJ	VYBER	2350	26263	\N	\N	\N
576625	1964	1997-01-06	VYDAJ	VYBER	3800	19448	\N	\N	\N
576626	1964	1998-01-29	VYDAJ	VYBER	2100	17194	\N	\N	\N
576627	1964	1996-12-29	VYDAJ	VYBER	1450	23161	\N	\N	\N
576628	1964	1997-12-10	VYDAJ	VYBER	850	20675	\N	\N	\N
576636	1964	1997-01-25	VYDAJ	VYBER	1280	16837	\N	\N	\N
576637	1964	1997-01-30	VYDAJ	VYBER	1360	15477	\N	\N	\N
576638	1964	1997-01-25	VYDAJ	VYBER	2320	18117	\N	\N	\N
576639	1964	1997-01-19	VYDAJ	VYBER	880	21237	\N	\N	\N
576640	1964	1997-01-24	VYDAJ	VYBER	800	20437	\N	\N	\N
576641	1964	1997-01-12	VYDAJ	VYBER	1440	22117	\N	\N	\N
576642	1964	1998-01-04	VYDAJ	VYBER	1120	19025	\N	\N	\N
576643	1964	1998-01-24	VYDAJ	VYBER	400	20094	\N	\N	\N
576644	1964	1998-01-26	VYDAJ	VYBER	800	19294	\N	\N	\N
576645	1964	1998-01-30	VYDAJ	VYBER	1200	15994	\N	\N	\N
576646	1964	1998-01-21	VYDAJ	VYBER	1280	20494	\N	\N	\N
576647	1964	1998-01-16	VYDAJ	VYBER	1360	21774	\N	\N	\N
576650	1964	1996-12-13	VYDAJ	VYBER	2400	24611	\N	\N	\N
576652	1964	1996-07-19	VYDAJ	VYBER	2880	20420	\N	\N	\N
576654	1964	1996-08-06	VYDAJ	VYBER	3840	16657	\N	\N	\N
576655	1964	1997-04-12	VYDAJ	VYBER	2240	24019	\N	\N	\N
576656	1964	1997-12-02	VYDAJ	VYBER	1600	17416	\N	\N	\N
576657	1964	1997-03-29	VYDAJ	VYBER	1760	22070	\N	\N	\N
576660	1964	1998-03-26	VYDAJ	VYBER	1120	13400	\N	\N	\N
576661	1964	1998-05-04	VYDAJ	VYBER	3760	13857	\N	\N	\N
576662	1964	1998-02-11	VYDAJ	VYBER	2480	17693	\N	\N	\N
576663	1964	1998-03-25	VYDAJ	VYBER	3440	14520	\N	\N	\N
576671	1964	1996-07-31	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
576672	1964	1996-08-31	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
576673	1964	1996-09-30	VYDAJ	VYBER	15	21817	SLUZBY	\N	\N
576674	1964	1996-10-31	VYDAJ	VYBER	15	21315	SLUZBY	\N	\N
576675	1964	1996-11-30	VYDAJ	VYBER	15	22902	SLUZBY	\N	\N
576676	1964	1996-12-31	VYDAJ	VYBER	15	23248	SLUZBY	\N	\N
576677	1964	1997-01-31	VYDAJ	VYBER	15	15550	SLUZBY	\N	\N
576678	1964	1997-02-28	VYDAJ	VYBER	15	19721	SLUZBY	\N	\N
576679	1964	1997-03-31	VYDAJ	VYBER	15	22150	SLUZBY	\N	\N
576680	1964	1997-04-30	VYDAJ	VYBER	15	24103	SLUZBY	\N	\N
576681	1964	1997-05-31	VYDAJ	VYBER	15	26204	SLUZBY	\N	\N
576682	1964	1997-06-30	VYDAJ	VYBER	15	26359	SLUZBY	\N	\N
576683	1964	1997-07-31	VYDAJ	VYBER	15	27164	SLUZBY	\N	\N
576684	1964	1997-08-31	VYDAJ	VYBER	15	27371	SLUZBY	\N	\N
576685	1964	1997-09-30	VYDAJ	VYBER	15	21058	SLUZBY	\N	\N
576686	1964	1997-10-31	VYDAJ	VYBER	15	21741	SLUZBY	\N	\N
576687	1964	1997-11-30	VYDAJ	VYBER	15	19016	SLUZBY	\N	\N
576688	1964	1997-12-31	VYDAJ	VYBER	15	20745	SLUZBY	\N	\N
576689	1964	1998-01-31	VYDAJ	VYBER	15	16064	SLUZBY	\N	\N
576690	1964	1998-02-28	VYDAJ	VYBER	15	17751	SLUZBY	\N	\N
576691	1964	1998-03-31	VYDAJ	VYBER	15	13454	SLUZBY	\N	\N
576692	1964	1998-04-30	VYDAJ	VYBER	15	17617	SLUZBY	\N	\N
576693	1964	1998-05-31	VYDAJ	VYBER	15	18025	SLUZBY	\N	\N
576694	1964	1998-06-30	VYDAJ	VYBER	15	20501	SLUZBY	\N	\N
576695	1964	1998-07-31	VYDAJ	VYBER	15	20178	SLUZBY	\N	\N
576696	1964	1998-08-31	VYDAJ	VYBER	15	12550	SLUZBY	\N	\N
576697	1964	1998-09-30	VYDAJ	VYBER	15	16709	SLUZBY	\N	\N
576698	1964	1998-10-31	VYDAJ	VYBER	15	13882	SLUZBY	\N	\N
576699	1964	1998-11-30	VYDAJ	VYBER	15	11544	SLUZBY	\N	\N
576700	1964	1996-06-11	VYDAJ	VYBER	4000	23288	\N	\N	\N
576701	1964	1996-07-11	VYDAJ	VYBER	6600	23300	\N	\N	\N
576702	1964	1996-08-10	VYDAJ	VYBER	900	19866	\N	\N	\N
576703	1964	1996-09-09	VYDAJ	VYBER	2300	21743	\N	\N	\N
576704	1964	1996-10-09	VYDAJ	VYBER	4700	21226	\N	\N	\N
576705	1964	1996-11-08	VYDAJ	VYBER	2600	16277	\N	\N	\N
576706	1964	1997-05-07	VYDAJ	VYBER	2100	22003	\N	\N	\N
576707	1964	1997-06-06	VYDAJ	VYBER	1700	24504	\N	\N	\N
576708	1964	1997-07-06	VYDAJ	VYBER	3400	22959	\N	\N	\N
576709	1964	1997-08-05	VYDAJ	VYBER	4000	23164	\N	\N	\N
576710	1964	1997-09-04	VYDAJ	VYBER	10500	16871	\N	\N	\N
576711	1964	1997-10-04	VYDAJ	VYBER	3500	17558	\N	\N	\N
576712	1964	1997-11-03	VYDAJ	VYBER	6900	14841	\N	\N	\N
576713	1964	1998-01-02	VYDAJ	VYBER	600	20145	\N	\N	\N
576714	1964	1998-03-03	VYDAJ	VYBER	3900	13851	\N	\N	\N
576715	1964	1998-06-01	VYDAJ	VYBER	1700	16325	\N	\N	\N
576716	1964	1998-07-01	VYDAJ	VYBER	4500	16001	\N	\N	\N
576717	1964	1998-07-31	VYDAJ	VYBER	5300	14878	\N	\N	\N
576718	1964	1998-08-30	VYDAJ	VYBER	6500	12487	\N	\N	\N
576719	1964	1998-10-29	VYDAJ	VYBER	7000	13818	\N	\N	\N
576720	1964	1998-11-28	VYDAJ	VYBER	6500	11491	\N	\N	\N
576752	1965	1993-02-08	PRIJEM	VKLAD	600	600	\N	\N	\N
576753	1965	1993-06-30	PRIJEM	VKLAD	17272	41365	\N	\N	\N
576755	1965	1993-08-23	PRIJEM	VKLAD	21520	45080	\N	\N	\N
576756	1965	1993-11-28	PRIJEM	VKLAD	28869	72225	\N	\N	\N
576757	1965	1993-04-30	PRIJEM	VKLAD	8622	30052	\N	\N	\N
576758	1965	1993-08-29	PRIJEM	VKLAD	16429	61509	\N	\N	\N
576759	1965	1993-05-21	PRIJEM	VKLAD	19471	122773	\N	\N	\N
576761	1965	1993-10-20	PRIJEM	VKLAD	47721	74299	\N	\N	\N
576762	1965	1993-12-04	PRIJEM	VKLAD	8545	58067	\N	\N	\N
576763	1965	1993-09-01	PRIJEM	VKLAD	40486	102028	\N	\N	\N
576764	1965	1993-05-12	PRIJEM	VKLAD	31254	58006	\N	\N	\N
576765	1965	1993-05-17	PRIJEM	VKLAD	45296	103302	\N	\N	\N
576766	1965	1993-12-20	PRIJEM	VKLAD	33342	64068	\N	\N	\N
576768	1965	1993-04-03	PRIJEM	VKLAD	8263	21063	\N	\N	\N
576769	1965	1993-05-21	PRIJEM	VKLAD	33711	156484	\N	\N	\N
576770	1965	1994-06-07	PRIJEM	VKLAD	44080	54924	\N	\N	\N
576771	1965	1994-10-10	PRIJEM	VKLAD	20071	36921	\N	\N	\N
576772	1965	1994-02-06	PRIJEM	VKLAD	14195	30564	\N	\N	\N
576773	1965	1994-08-18	PRIJEM	VKLAD	30620	53081	\N	\N	\N
576774	1965	1994-07-31	PRIJEM	VKLAD	14765	37502	\N	\N	\N
576775	1965	1994-02-06	PRIJEM	VKLAD	41403	71967	\N	\N	\N
576776	1965	1994-11-26	PRIJEM	VKLAD	27634	80672	\N	\N	\N
576777	1965	1994-01-05	PRIJEM	VKLAD	29626	72607	\N	\N	\N
576778	1965	1994-03-08	PRIJEM	VKLAD	33281	71597	\N	\N	\N
576779	1965	1994-01-08	PRIJEM	VKLAD	5233	68299	\N	\N	\N
576780	1965	1994-11-18	PRIJEM	VKLAD	36839	53038	\N	\N	\N
576781	1965	1995-03-25	PRIJEM	VKLAD	49169	105471	\N	\N	\N
576782	1965	1995-01-26	PRIJEM	VKLAD	20841	39960	\N	\N	\N
576783	1965	1995-02-21	PRIJEM	VKLAD	32029	89546	\N	\N	\N
576784	1965	1995-11-01	PRIJEM	VKLAD	30518	44958	\N	\N	\N
576785	1965	1995-03-02	PRIJEM	VKLAD	19563	73164	\N	\N	\N
576786	1965	1995-04-17	PRIJEM	VKLAD	12301	61123	\N	\N	\N
576787	1965	1995-05-23	PRIJEM	VKLAD	26408	83669	\N	\N	\N
576788	1965	1995-05-07	PRIJEM	VKLAD	36045	66371	\N	\N	\N
576789	1965	1995-02-03	PRIJEM	VKLAD	34373	67058	\N	\N	\N
576790	1965	1995-08-07	PRIJEM	VKLAD	11159	23071	\N	\N	\N
576791	1965	1996-09-08	PRIJEM	VKLAD	41551	56611	\N	\N	\N
576792	1965	1996-11-28	PRIJEM	VKLAD	7395	45924	\N	\N	\N
576793	1965	1996-10-01	PRIJEM	VKLAD	35883	73761	\N	\N	\N
576794	1965	1996-07-20	PRIJEM	VKLAD	7735	22902	\N	\N	\N
576795	1965	1996-03-17	PRIJEM	VKLAD	6088	11042	\N	\N	\N
576796	1965	1996-11-12	PRIJEM	VKLAD	28937	60029	\N	\N	\N
576797	1965	1996-12-09	PRIJEM	VKLAD	11132	47600	\N	\N	\N
576798	1965	1996-06-01	PRIJEM	VKLAD	22325	37845	\N	\N	\N
576799	1965	1996-08-03	PRIJEM	VKLAD	23541	44938	\N	\N	\N
576800	1965	1996-08-14	PRIJEM	VKLAD	16257	51654	\N	\N	\N
576801	1965	1997-06-03	PRIJEM	VKLAD	31241	70463	\N	\N	\N
576802	1965	1997-08-17	PRIJEM	VKLAD	45871	65394	\N	\N	\N
576803	1965	1997-01-24	PRIJEM	VKLAD	22242	46911	\N	\N	\N
576804	1965	1997-12-10	PRIJEM	VKLAD	9457	74522	\N	\N	\N
576805	1965	1997-08-30	PRIJEM	VKLAD	5767	94150	\N	\N	\N
576806	1965	1997-01-31	PRIJEM	VKLAD	7368	47223	\N	\N	\N
576807	1965	1997-09-22	PRIJEM	VKLAD	42618	98165	\N	\N	\N
576808	1965	1997-10-03	PRIJEM	VKLAD	29937	93597	\N	\N	\N
576809	1965	1997-09-27	PRIJEM	VKLAD	28932	127097	\N	\N	\N
576810	1965	1997-06-20	PRIJEM	VKLAD	25531	63861	\N	\N	\N
576811	1965	1997-05-17	PRIJEM	VKLAD	23139	51882	\N	\N	\N
576812	1965	1997-05-06	PRIJEM	VKLAD	8127	28743	\N	\N	\N
576813	1965	1997-12-04	PRIJEM	VKLAD	44158	74606	\N	\N	\N
576814	1965	1997-03-23	PRIJEM	VKLAD	41143	66536	\N	\N	\N
576815	1965	1997-01-14	PRIJEM	VKLAD	15858	34576	\N	\N	\N
576816	1965	1997-12-21	PRIJEM	VKLAD	7509	56031	\N	\N	\N
576817	1965	1997-08-18	PRIJEM	VKLAD	37756	103150	\N	\N	\N
576818	1965	1997-01-25	PRIJEM	VKLAD	21003	67914	\N	\N	\N
576819	1965	1997-02-18	PRIJEM	VKLAD	36970	61152	\N	\N	\N
576820	1965	1998-04-03	PRIJEM	VKLAD	24113	85220	\N	\N	\N
576821	1965	1998-06-15	PRIJEM	VKLAD	45899	96505	\N	\N	\N
576822	1965	1998-11-14	PRIJEM	VKLAD	26438	80882	\N	\N	\N
576823	1965	1998-09-21	PRIJEM	VKLAD	48925	112879	\N	\N	\N
576824	1965	1998-07-20	PRIJEM	VKLAD	27497	90709	\N	\N	\N
576825	1965	1998-01-07	PRIJEM	VKLAD	47926	70232	\N	\N	\N
576826	1965	1998-12-29	PRIJEM	VKLAD	13789	51636	\N	\N	\N
576827	1965	1998-05-15	PRIJEM	VKLAD	17034	60172	\N	\N	\N
576828	1965	1998-03-04	PRIJEM	VKLAD	28108	95964	\N	\N	\N
576829	1965	1998-01-15	PRIJEM	VKLAD	32024	83756	\N	\N	\N
576830	1965	1998-01-18	PRIJEM	VKLAD	38059	121815	\N	\N	\N
576831	1965	1998-05-29	PRIJEM	VKLAD	31958	140055	\N	\N	\N
576832	1965	1998-08-17	PRIJEM	VKLAD	40821	91368	\N	\N	\N
576833	1965	1998-02-06	PRIJEM	VKLAD	42073	103145	\N	\N	\N
576834	1965	1998-03-15	PRIJEM	VKLAD	44164	110814	\N	\N	\N
576835	1965	1998-05-23	PRIJEM	VKLAD	47925	108097	\N	\N	\N
576836	1965	1998-11-16	PRIJEM	VKLAD	13715	89817	\N	\N	\N
576837	1965	1998-11-05	PRIJEM	VKLAD	15779	73485	\N	\N	\N
576838	1965	1998-05-02	PRIJEM	VKLAD	11472	60679	\N	\N	\N
576839	1965	1998-03-15	PRIJEM	VKLAD	14247	66650	\N	\N	\N
576840	1965	1998-11-02	PRIJEM	VKLAD	30571	57706	\N	\N	\N
576841	1965	1998-07-06	PRIJEM	VKLAD	32179	119412	\N	\N	\N
576847	1965	1993-06-05	VYDAJ	PREVOD NA UCET	9541	44154	SIPO	IJ	40902030
576848	1965	1993-07-05	VYDAJ	PREVOD NA UCET	9541	31875	SIPO	IJ	40902030
576849	1965	1993-08-05	VYDAJ	PREVOD NA UCET	9541	17360	SIPO	IJ	40902030
576850	1965	1993-09-05	VYDAJ	PREVOD NA UCET	9541	75087	SIPO	IJ	40902030
576851	1965	1993-10-05	VYDAJ	PREVOD NA UCET	9541	31278	SIPO	IJ	40902030
576852	1965	1993-11-05	VYDAJ	PREVOD NA UCET	9541	43356	SIPO	IJ	40902030
576853	1965	1993-12-05	VYDAJ	PREVOD NA UCET	9541	38026	SIPO	IJ	40902030
576854	1965	1994-01-05	VYDAJ	PREVOD NA UCET	9541	63066	SIPO	IJ	40902030
576855	1965	1994-02-05	VYDAJ	PREVOD NA UCET	9541	16369	SIPO	IJ	40902030
576856	1965	1994-03-05	VYDAJ	PREVOD NA UCET	9541	38316	SIPO	IJ	40902030
576857	1965	1994-04-05	VYDAJ	PREVOD NA UCET	9541	32597	SIPO	IJ	40902030
576858	1965	1994-05-05	VYDAJ	PREVOD NA UCET	9541	17704	SIPO	IJ	40902030
576859	1965	1994-06-05	VYDAJ	PREVOD NA UCET	9541	10844	SIPO	IJ	40902030
576860	1965	1994-07-05	VYDAJ	PREVOD NA UCET	9541	22634	SIPO	IJ	40902030
576861	1965	1994-08-05	VYDAJ	PREVOD NA UCET	9541	22461	SIPO	IJ	40902030
576862	1965	1994-09-05	VYDAJ	PREVOD NA UCET	9541	31099	SIPO	IJ	40902030
576863	1965	1994-10-05	VYDAJ	PREVOD NA UCET	9541	16850	SIPO	IJ	40902030
576864	1965	1994-11-05	VYDAJ	PREVOD NA UCET	9541	16199	SIPO	IJ	40902030
576865	1965	1994-12-05	VYDAJ	PREVOD NA UCET	9541	43902	SIPO	IJ	40902030
576866	1965	1995-01-05	VYDAJ	PREVOD NA UCET	9541	19119	SIPO	IJ	40902030
576867	1965	1995-02-05	VYDAJ	PREVOD NA UCET	9541	57517	SIPO	IJ	40902030
576868	1965	1995-03-05	VYDAJ	PREVOD NA UCET	9541	63623	SIPO	IJ	40902030
576869	1965	1995-04-05	VYDAJ	PREVOD NA UCET	9541	48822	SIPO	IJ	40902030
576870	1965	1995-05-05	VYDAJ	PREVOD NA UCET	9541	30326	SIPO	IJ	40902030
576871	1965	1995-06-05	VYDAJ	PREVOD NA UCET	9541	34443	SIPO	IJ	40902030
576872	1965	1995-07-05	VYDAJ	PREVOD NA UCET	9541	18640	SIPO	IJ	40902030
576873	1965	1995-08-05	VYDAJ	PREVOD NA UCET	9541	11912	SIPO	IJ	40902030
576874	1965	1995-09-05	VYDAJ	PREVOD NA UCET	9541	12022	SIPO	IJ	40902030
576875	1965	1995-10-05	VYDAJ	PREVOD NA UCET	9541	9068	SIPO	IJ	40902030
576876	1965	1995-11-05	VYDAJ	PREVOD NA UCET	9541	35417	SIPO	IJ	40902030
576877	1965	1995-12-05	VYDAJ	PREVOD NA UCET	9541	18604	SIPO	IJ	40902030
576878	1965	1996-01-05	VYDAJ	PREVOD NA UCET	9541	8069	SIPO	IJ	40902030
576879	1965	1996-02-05	VYDAJ	PREVOD NA UCET	9541	4996	SIPO	IJ	40902030
576881	1965	1996-04-05	VYDAJ	PREVOD NA UCET	9541	6131	SIPO	IJ	40902030
576882	1965	1996-05-05	VYDAJ	PREVOD NA UCET	9541	6954	SIPO	IJ	40902030
576883	1965	1996-06-05	VYDAJ	PREVOD NA UCET	9541	28304	SIPO	IJ	40902030
576884	1965	1996-07-05	VYDAJ	PREVOD NA UCET	9541	15167	SIPO	IJ	40902030
576885	1965	1996-08-05	VYDAJ	PREVOD NA UCET	9541	35397	SIPO	IJ	40902030
576886	1965	1996-09-05	VYDAJ	PREVOD NA UCET	9541	15060	SIPO	IJ	40902030
576887	1965	1996-10-05	VYDAJ	PREVOD NA UCET	9541	64220	SIPO	IJ	40902030
576888	1965	1996-11-05	VYDAJ	PREVOD NA UCET	9541	31092	SIPO	IJ	40902030
576889	1965	1996-12-05	VYDAJ	PREVOD NA UCET	9541	36468	SIPO	IJ	40902030
576890	1965	1997-01-05	VYDAJ	PREVOD NA UCET	9541	18718	SIPO	IJ	40902030
576891	1965	1997-02-05	VYDAJ	PREVOD NA UCET	9541	31582	SIPO	IJ	40902030
576892	1965	1997-03-05	VYDAJ	PREVOD NA UCET	9541	30893	SIPO	IJ	40902030
576893	1965	1997-04-05	VYDAJ	PREVOD NA UCET	9541	57078	SIPO	IJ	40902030
576894	1965	1997-05-05	VYDAJ	PREVOD NA UCET	9541	20616	SIPO	IJ	40902030
576895	1965	1997-06-05	VYDAJ	PREVOD NA UCET	9541	60922	SIPO	IJ	40902030
576896	1965	1997-07-05	VYDAJ	PREVOD NA UCET	9541	41232	SIPO	IJ	40902030
576897	1965	1997-08-05	VYDAJ	PREVOD NA UCET	9541	14023	SIPO	IJ	40902030
576898	1965	1997-09-05	VYDAJ	PREVOD NA UCET	9541	84747	SIPO	IJ	40902030
576899	1965	1997-10-05	VYDAJ	PREVOD NA UCET	9541	84056	SIPO	IJ	40902030
576900	1965	1997-11-05	VYDAJ	PREVOD NA UCET	9541	34801	SIPO	IJ	40902030
576901	1965	1997-12-05	VYDAJ	PREVOD NA UCET	9541	65065	SIPO	IJ	40902030
576902	1965	1998-01-05	VYDAJ	PREVOD NA UCET	9541	22306	SIPO	IJ	40902030
576903	1965	1998-02-05	VYDAJ	PREVOD NA UCET	9541	61072	SIPO	IJ	40902030
576904	1965	1998-03-05	VYDAJ	PREVOD NA UCET	9541	86423	SIPO	IJ	40902030
576905	1965	1998-04-05	VYDAJ	PREVOD NA UCET	9541	75679	SIPO	IJ	40902030
576906	1965	1998-05-05	VYDAJ	PREVOD NA UCET	9541	51138	SIPO	IJ	40902030
576907	1965	1998-06-05	VYDAJ	PREVOD NA UCET	9541	90406	SIPO	IJ	40902030
576908	1965	1998-07-05	VYDAJ	PREVOD NA UCET	9541	87233	SIPO	IJ	40902030
576909	1965	1998-08-05	VYDAJ	PREVOD NA UCET	9541	70147	SIPO	IJ	40902030
576910	1965	1998-09-05	VYDAJ	PREVOD NA UCET	9541	82054	SIPO	IJ	40902030
576911	1965	1998-10-05	VYDAJ	PREVOD NA UCET	9541	27359	SIPO	IJ	40902030
576912	1965	1998-11-05	VYDAJ	PREVOD NA UCET	9541	63944	SIPO	IJ	40902030
576913	1965	1998-12-05	VYDAJ	PREVOD NA UCET	9541	74847	SIPO	IJ	40902030
576914	1965	1993-06-16	VYBER	VYBER	9961	24093	\N	\N	\N
576916	1965	1993-06-02	VYBER	VYBER	22875	53695	\N	\N	\N
576917	1965	1993-05-23	VYBER	VYBER	6387	76397	\N	\N	\N
576919	1965	1993-12-02	VYBER	VYBER	22843	49522	\N	\N	\N
576921	1965	1993-09-30	VYBER	VYBER	7592	40919	\N	\N	\N
576924	1965	1994-02-15	VYBER	VYBER	7260	64707	\N	\N	\N
576927	1965	1994-12-21	VYBER	VYBER	2412	36090	\N	\N	\N
576928	1965	1994-06-21	VYBER	VYBER	6400	36224	\N	\N	\N
576929	1965	1994-09-06	VYBER	VYBER	8021	23078	\N	\N	\N
576932	1965	1994-03-09	VYBER	VYBER	15792	55805	\N	\N	\N
576934	1965	1995-06-01	VYBER	VYBER	7028	43984	\N	\N	\N
576937	1965	1995-03-17	VYBER	VYBER	7321	56302	\N	\N	\N
576938	1965	1995-05-10	VYBER	VYBER	9110	57261	\N	\N	\N
576945	1965	1997-03-04	VYBER	VYBER	20803	40434	\N	\N	\N
576947	1965	1997-12-25	VYBER	VYBER	2231	53800	\N	\N	\N
576948	1965	1997-01-19	VYBER	VYBER	2107	24669	\N	\N	\N
576950	1965	1997-10-14	VYBER	VYBER	20656	63400	\N	\N	\N
576951	1965	1997-07-26	VYBER	VYBER	10334	23498	\N	\N	\N
576952	1965	1997-04-18	VYBER	VYBER	21329	35749	\N	\N	\N
576953	1965	1997-08-23	VYBER	VYBER	8767	94383	\N	\N	\N
576954	1965	1997-06-09	VYBER	VYBER	7592	53330	\N	\N	\N
576955	1965	1997-12-28	VYBER	VYBER	3470	50330	\N	\N	\N
576956	1965	1998-11-25	VYBER	VYBER	5621	84196	\N	\N	\N
576957	1965	1998-10-02	VYBER	VYBER	18743	36900	\N	\N	\N
576958	1965	1998-11-15	VYBER	VYBER	4780	76102	\N	\N	\N
576960	1965	1998-03-13	VYBER	VYBER	16020	70403	\N	\N	\N
576961	1965	1998-07-26	VYBER	VYBER	11283	79426	\N	\N	\N
576967	1965	1997-06-24	VYDAJ	VYBER	13200	50661	\N	\N	\N
576968	1965	1998-06-10	VYDAJ	VYBER	27600	62806	\N	\N	\N
576970	1965	1994-01-17	VYDAJ	VYBER	17700	44299	\N	\N	\N
576973	1965	1997-01-25	VYDAJ	VYBER	21300	46614	\N	\N	\N
576974	1965	1998-01-02	VYDAJ	VYBER	8700	35447	\N	\N	\N
576975	1965	1993-12-11	VYDAJ	VYBER	3300	30726	\N	\N	\N
576976	1965	1994-12-09	VYDAJ	VYBER	5400	38502	\N	\N	\N
576978	1965	1996-12-18	VYDAJ	VYBER	6900	40700	\N	\N	\N
576979	1965	1997-12-10	VYDAJ	VYBER	6900	67622	\N	\N	\N
576980	1965	1998-12-28	VYDAJ	VYBER	8100	37847	\N	\N	\N
576987	1965	1994-01-17	VYDAJ	VYBER	4500	39799	\N	\N	\N
576988	1965	1994-01-03	VYDAJ	VYBER	2700	57881	\N	\N	\N
576989	1965	1994-01-29	VYDAJ	VYBER	2700	28699	\N	\N	\N
576990	1965	1994-01-16	VYDAJ	VYBER	1800	66499	\N	\N	\N
576991	1965	1994-01-20	VYDAJ	VYBER	8400	31399	\N	\N	\N
576992	1965	1994-01-16	VYDAJ	VYBER	4500	61999	\N	\N	\N
577009	1965	1997-01-28	VYDAJ	VYBER	6900	39714	\N	\N	\N
577011	1965	1998-01-23	VYDAJ	VYBER	6900	82115	\N	\N	\N
577012	1965	1998-01-30	VYDAJ	VYBER	2100	70415	\N	\N	\N
577013	1965	1998-01-01	VYDAJ	VYBER	6300	44147	\N	\N	\N
577014	1965	1998-01-24	VYDAJ	VYBER	4200	77915	\N	\N	\N
577015	1965	1998-01-03	VYDAJ	VYBER	3600	31847	\N	\N	\N
577016	1965	1998-01-26	VYDAJ	VYBER	5400	72515	\N	\N	\N
577018	1965	1993-12-05	VYDAJ	VYBER	10500	47567	\N	\N	\N
577020	1965	1993-11-04	VYDAJ	VYBER	2100	72297	\N	\N	\N
577021	1965	1994-06-10	VYDAJ	VYBER	12300	42624	\N	\N	\N
577022	1965	1994-01-01	VYDAJ	VYBER	3600	60581	\N	\N	\N
577025	1965	1994-10-19	VYDAJ	VYBER	7800	29121	\N	\N	\N
577028	1965	1995-02-23	VYDAJ	VYBER	8400	81146	\N	\N	\N
577029	1965	1995-04-29	VYDAJ	VYBER	8100	39723	\N	\N	\N
577030	1965	1995-05-27	VYDAJ	VYBER	9900	73769	\N	\N	\N
577031	1965	1995-06-07	VYDAJ	VYBER	3600	30843	\N	\N	\N
577035	1965	1996-08-29	VYDAJ	VYBER	9000	24554	\N	\N	\N
577036	1965	1996-10-21	VYDAJ	VYBER	4500	40520	\N	\N	\N
577037	1965	1996-09-11	VYDAJ	VYBER	5100	51511	\N	\N	\N
577039	1965	1997-08-29	VYDAJ	VYBER	6000	88383	\N	\N	\N
577040	1965	1997-02-01	VYDAJ	VYBER	6000	41123	\N	\N	\N
577043	1965	1998-04-07	VYDAJ	VYBER	2400	63979	\N	\N	\N
577044	1965	1998-06-04	VYDAJ	VYBER	4800	99947	\N	\N	\N
577045	1965	1998-04-05	VYDAJ	VYBER	3000	72679	\N	\N	\N
577046	1965	1998-12-11	VYDAJ	VYBER	7800	45947	\N	\N	\N
577047	1965	1998-04-17	VYDAJ	VYBER	5400	49079	\N	\N	\N
577048	1965	1998-04-06	VYDAJ	VYBER	6300	66379	\N	\N	\N
577049	1965	1998-10-29	VYDAJ	VYBER	8700	27059	\N	\N	\N
577055	1965	1993-05-31	VYDAJ	VYBER	100	76570	SLUZBY	\N	\N
577056	1965	1993-06-30	VYDAJ	VYBER	100	41416	SLUZBY	\N	\N
577057	1965	1993-07-31	VYDAJ	VYBER	100	26901	SLUZBY	\N	\N
577058	1965	1993-08-31	VYDAJ	VYBER	100	61542	SLUZBY	\N	\N
577059	1965	1993-09-30	VYDAJ	VYBER	100	40819	SLUZBY	\N	\N
577060	1965	1993-10-31	VYDAJ	VYBER	100	74397	SLUZBY	\N	\N
577061	1965	1993-11-30	VYDAJ	VYBER	100	72365	SLUZBY	\N	\N
577062	1965	1993-12-31	VYDAJ	VYBER	100	64181	SLUZBY	\N	\N
577063	1965	1994-01-31	VYDAJ	VYBER	100	28810	SLUZBY	\N	\N
577064	1965	1994-02-28	VYDAJ	VYBER	100	64857	SLUZBY	\N	\N
577065	1965	1994-03-31	VYDAJ	VYBER	100	55938	SLUZBY	\N	\N
577066	1965	1994-04-30	VYDAJ	VYBER	100	32645	SLUZBY	\N	\N
577067	1965	1994-05-31	VYDAJ	VYBER	100	17685	SLUZBY	\N	\N
577068	1965	1994-06-30	VYDAJ	VYBER	100	36275	SLUZBY	\N	\N
577069	1965	1994-07-31	VYDAJ	VYBER	100	37402	SLUZBY	\N	\N
577070	1965	1994-08-31	VYDAJ	VYBER	100	53140	SLUZBY	\N	\N
577071	1965	1994-09-30	VYDAJ	VYBER	100	23091	SLUZBY	\N	\N
577072	1965	1994-10-31	VYDAJ	VYBER	100	25740	SLUZBY	\N	\N
577073	1965	1994-11-30	VYDAJ	VYBER	100	80743	SLUZBY	\N	\N
577074	1965	1994-12-31	VYDAJ	VYBER	100	28660	SLUZBY	\N	\N
577075	1965	1995-01-31	VYDAJ	VYBER	100	32685	SLUZBY	\N	\N
577076	1965	1995-02-28	VYDAJ	VYBER	100	81301	SLUZBY	\N	\N
577077	1965	1995-03-31	VYDAJ	VYBER	100	58363	SLUZBY	\N	\N
577078	1965	1995-04-30	VYDAJ	VYBER	100	39867	SLUZBY	\N	\N
577079	1965	1995-05-31	VYDAJ	VYBER	100	51012	SLUZBY	\N	\N
577080	1965	1995-06-30	VYDAJ	VYBER	100	28181	SLUZBY	\N	\N
577081	1965	1995-07-31	VYDAJ	VYBER	100	21453	SLUZBY	\N	\N
577082	1965	1995-08-31	VYDAJ	VYBER	100	21563	SLUZBY	\N	\N
577083	1965	1995-09-30	VYDAJ	VYBER	100	18609	SLUZBY	\N	\N
577084	1965	1995-10-31	VYDAJ	VYBER	100	14440	SLUZBY	\N	\N
577085	1965	1995-11-30	VYDAJ	VYBER	100	28145	SLUZBY	\N	\N
577086	1965	1995-12-31	VYDAJ	VYBER	100	17610	SLUZBY	\N	\N
577087	1965	1996-01-31	VYDAJ	VYBER	100	14537	SLUZBY	\N	\N
577088	1965	1996-02-29	VYDAJ	VYBER	100	4954	SLUZBY	\N	\N
577089	1965	1996-03-31	VYDAJ	VYBER	100	15672	SLUZBY	\N	\N
577090	1965	1996-04-30	VYDAJ	VYBER	100	16495	SLUZBY	\N	\N
577091	1965	1996-05-31	VYDAJ	VYBER	100	15520	SLUZBY	\N	\N
577092	1965	1996-06-30	VYDAJ	VYBER	100	24708	SLUZBY	\N	\N
577093	1965	1996-07-31	VYDAJ	VYBER	100	21397	SLUZBY	\N	\N
577094	1965	1996-08-31	VYDAJ	VYBER	100	24601	SLUZBY	\N	\N
577095	1965	1996-09-30	VYDAJ	VYBER	100	37878	SLUZBY	\N	\N
577096	1965	1996-10-31	VYDAJ	VYBER	100	40633	SLUZBY	\N	\N
577097	1965	1996-11-30	VYDAJ	VYBER	100	46009	SLUZBY	\N	\N
577098	1965	1996-12-31	VYDAJ	VYBER	100	28259	SLUZBY	\N	\N
577099	1965	1997-01-31	VYDAJ	VYBER	100	47123	SLUZBY	\N	\N
577100	1965	1997-02-28	VYDAJ	VYBER	100	61237	SLUZBY	\N	\N
577101	1965	1997-03-31	VYDAJ	VYBER	100	66619	SLUZBY	\N	\N
577102	1965	1997-04-30	VYDAJ	VYBER	100	30157	SLUZBY	\N	\N
577103	1965	1997-05-31	VYDAJ	VYBER	100	39222	SLUZBY	\N	\N
577104	1965	1997-06-30	VYDAJ	VYBER	100	50773	SLUZBY	\N	\N
577105	1965	1997-07-31	VYDAJ	VYBER	100	23564	SLUZBY	\N	\N
577106	1965	1997-08-31	VYDAJ	VYBER	100	94288	SLUZBY	\N	\N
577107	1965	1997-09-30	VYDAJ	VYBER	100	63660	SLUZBY	\N	\N
577108	1965	1997-10-31	VYDAJ	VYBER	100	44342	SLUZBY	\N	\N
577109	1965	1997-11-30	VYDAJ	VYBER	100	30448	SLUZBY	\N	\N
577110	1965	1997-12-31	VYDAJ	VYBER	100	50447	SLUZBY	\N	\N
577111	1965	1998-01-31	VYDAJ	VYBER	100	70613	SLUZBY	\N	\N
577112	1965	1998-02-28	VYDAJ	VYBER	100	67856	SLUZBY	\N	\N
577113	1965	1998-03-31	VYDAJ	VYBER	100	61107	SLUZBY	\N	\N
577114	1965	1998-04-30	VYDAJ	VYBER	100	49207	SLUZBY	\N	\N
577115	1965	1998-05-31	VYDAJ	VYBER	100	104747	SLUZBY	\N	\N
577116	1965	1998-06-30	VYDAJ	VYBER	100	96774	SLUZBY	\N	\N
577117	1965	1998-07-31	VYDAJ	VYBER	100	79688	SLUZBY	\N	\N
577118	1965	1998-08-31	VYDAJ	VYBER	100	91595	SLUZBY	\N	\N
577119	1965	1998-09-30	VYDAJ	VYBER	100	113143	SLUZBY	\N	\N
577120	1965	1998-10-31	VYDAJ	VYBER	100	27135	SLUZBY	\N	\N
577121	1965	1998-11-30	VYDAJ	VYBER	100	84388	SLUZBY	\N	\N
577122	1965	1993-03-10	PRIJEM	VKLAD	12200	12800	\N	\N	\N
577123	1965	1993-04-09	PRIJEM	VKLAD	300	21363	\N	\N	\N
577124	1965	1993-05-09	VYDAJ	VYBER	3300	26752	\N	\N	\N
577125	1965	1993-05-21	VYDAJ	VYBER	39700	116784	\N	\N	\N
577126	1965	1993-05-21	VYDAJ	VYBER	34000	82784	\N	\N	\N
577127	1965	1993-06-08	VYDAJ	VYBER	10100	34054	\N	\N	\N
577128	1965	1993-07-08	VYDAJ	VYBER	5000	26875	\N	\N	\N
577129	1965	1993-08-07	PRIJEM	VKLAD	6200	23560	\N	\N	\N
577130	1965	1993-09-01	VYDAJ	VYBER	17400	84628	\N	\N	\N
577131	1965	1993-09-06	VYDAJ	VYBER	26800	48287	\N	\N	\N
577132	1965	1993-10-06	VYDAJ	VYBER	4700	26578	\N	\N	\N
577133	1965	1993-11-05	VYDAJ	VYBER	19400	52897	\N	\N	\N
577134	1965	1993-12-05	VYDAJ	VYBER	4000	34026	\N	\N	\N
577135	1965	1994-01-04	VYDAJ	VYBER	14900	42981	\N	\N	\N
577136	1965	1994-02-03	VYDAJ	VYBER	2900	25910	\N	\N	\N
577137	1965	1994-03-05	VYDAJ	VYBER	17000	47857	\N	\N	\N
577138	1965	1994-04-04	VYDAJ	VYBER	13800	42138	\N	\N	\N
577139	1965	1994-05-04	VYDAJ	VYBER	5400	27245	\N	\N	\N
577140	1965	1994-06-03	PRIJEM	VKLAD	2700	20385	\N	\N	\N
577141	1965	1994-07-03	VYDAJ	VYBER	4100	32175	\N	\N	\N
577142	1965	1994-08-02	VYDAJ	VYBER	5400	32002	\N	\N	\N
577143	1965	1994-09-01	VYDAJ	VYBER	12500	40640	\N	\N	\N
577144	1965	1994-10-01	PRIJEM	VKLAD	3300	26391	\N	\N	\N
577145	1965	1994-10-31	VYDAJ	VYBER	3400	25840	\N	\N	\N
577146	1965	1994-11-30	VYDAJ	VYBER	27300	53443	\N	\N	\N
577147	1965	1994-12-30	VYDAJ	VYBER	7500	28590	\N	\N	\N
577148	1965	1995-01-29	VYDAJ	VYBER	7300	32660	\N	\N	\N
577149	1965	1995-02-28	VYDAJ	VYBER	27700	53601	\N	\N	\N
577150	1965	1995-03-25	VYDAJ	VYBER	16800	88671	\N	\N	\N
577151	1965	1995-03-30	VYDAJ	VYBER	30500	58171	\N	\N	\N
577152	1965	1995-04-29	VYDAJ	VYBER	13300	47823	\N	\N	\N
577153	1965	1995-05-29	VYDAJ	VYBER	22900	50869	\N	\N	\N
577154	1965	1995-06-28	VYDAJ	VYBER	2700	28143	\N	\N	\N
577155	1965	1995-07-28	PRIJEM	VKLAD	2800	21440	\N	\N	\N
577156	1965	1995-08-27	VYDAJ	VYBER	1500	21571	\N	\N	\N
577157	1965	1995-09-26	PRIJEM	VKLAD	6600	18622	\N	\N	\N
577158	1965	1995-10-26	PRIJEM	VKLAD	5400	14468	\N	\N	\N
577159	1965	1995-11-25	VYDAJ	VYBER	7300	28117	\N	\N	\N
577160	1965	1995-12-25	VYDAJ	VYBER	1000	17604	\N	\N	\N
577161	1965	1996-01-24	PRIJEM	VKLAD	6500	14569	\N	\N	\N
577162	1965	1996-03-24	PRIJEM	VKLAD	4700	15742	\N	\N	\N
577163	1965	1996-04-23	PRIJEM	VKLAD	10400	16531	\N	\N	\N
577164	1965	1996-05-23	PRIJEM	VKLAD	8600	15554	\N	\N	\N
577165	1965	1996-06-22	VYDAJ	VYBER	3600	24704	\N	\N	\N
577166	1965	1996-07-22	VYDAJ	VYBER	1500	21402	\N	\N	\N
577167	1965	1996-08-21	VYDAJ	VYBER	18100	33554	\N	\N	\N
577168	1965	1996-09-20	VYDAJ	VYBER	13700	37811	\N	\N	\N
577169	1965	1996-10-20	VYDAJ	VYBER	19200	45020	\N	\N	\N
577170	1965	1996-11-19	VYDAJ	VYBER	21500	38529	\N	\N	\N
577171	1965	1996-12-19	VYDAJ	VYBER	12500	28200	\N	\N	\N
577172	1965	1997-01-18	VYDAJ	VYBER	7800	26776	\N	\N	\N
577173	1965	1997-02-17	VYDAJ	VYBER	7400	24182	\N	\N	\N
577174	1965	1997-03-19	VYDAJ	VYBER	5500	25393	\N	\N	\N
577175	1965	1997-04-18	VYDAJ	VYBER	5700	30049	\N	\N	\N
577176	1965	1997-05-18	VYDAJ	VYBER	12700	39182	\N	\N	\N
577177	1965	1997-06-17	VYDAJ	VYBER	15000	38330	\N	\N	\N
577178	1965	1997-07-17	VYDAJ	VYBER	7400	33832	\N	\N	\N
577179	1965	1997-08-16	PRIJEM	VKLAD	5500	19523	\N	\N	\N
577180	1965	1997-09-15	VYDAJ	VYBER	29200	55547	\N	\N	\N
577181	1965	1997-09-27	VYDAJ	VYBER	63700	63397	\N	\N	\N
577182	1965	1997-10-15	VYDAJ	VYBER	19200	44200	\N	\N	\N
577183	1965	1997-11-14	VYDAJ	VYBER	4400	30401	\N	\N	\N
577184	1965	1997-12-14	VYDAJ	VYBER	19100	48522	\N	\N	\N
577185	1965	1998-01-13	VYDAJ	VYBER	18500	51732	\N	\N	\N
577186	1965	1998-01-18	VYDAJ	VYBER	32800	89015	\N	\N	\N
577187	1965	1998-02-12	VYDAJ	VYBER	35500	67645	\N	\N	\N
577188	1965	1998-03-14	VYDAJ	VYBER	18000	52403	\N	\N	\N
577189	1965	1998-03-31	VYDAJ	VYBER	49900	61207	\N	\N	\N
577190	1965	1998-04-13	VYDAJ	VYBER	9500	54479	\N	\N	\N
577191	1965	1998-05-13	VYDAJ	VYBER	8000	43138	\N	\N	\N
577192	1965	1998-05-29	VYDAJ	VYBER	15400	124655	\N	\N	\N
577193	1965	1998-05-31	VYDAJ	VYBER	20100	104847	\N	\N	\N
577194	1965	1998-06-12	VYDAJ	VYBER	12200	50606	\N	\N	\N
577195	1965	1998-07-06	VYDAJ	VYBER	30100	89312	\N	\N	\N
577196	1965	1998-07-12	VYDAJ	VYBER	26100	63212	\N	\N	\N
577197	1965	1998-08-11	VYDAJ	VYBER	19600	50547	\N	\N	\N
577198	1965	1998-09-10	VYDAJ	VYBER	18100	63954	\N	\N	\N
577199	1965	1998-09-30	VYDAJ	VYBER	57500	55643	\N	\N	\N
577200	1965	1998-10-10	PRIJEM	VKLAD	8400	35759	\N	\N	\N
577201	1965	1998-11-09	VYDAJ	VYBER	9500	54444	\N	\N	\N
577202	1965	1998-12-09	VYDAJ	VYBER	21100	53747	\N	\N	\N
577274	1966	1993-02-12	PRIJEM	VKLAD	900	900	\N	\N	\N
577276	1966	1993-02-14	PRIJEM	VKLAD	20567	21467	\N	\N	\N
577277	1966	1993-03-14	PRIJEM	VKLAD	20567	42082	\N	\N	\N
577278	1966	1993-04-14	PRIJEM	VKLAD	20567	49570	\N	\N	\N
577279	1966	1993-05-14	PRIJEM	VKLAD	20567	59017	\N	\N	\N
577280	1966	1993-06-14	PRIJEM	VKLAD	30850	74896	\N	\N	\N
577281	1966	1993-07-14	PRIJEM	VKLAD	20567	59679	\N	\N	\N
577282	1966	1993-08-14	PRIJEM	VKLAD	20567	61800	\N	\N	\N
577283	1966	1993-09-14	PRIJEM	VKLAD	20567	62430	\N	\N	\N
577284	1966	1993-10-14	PRIJEM	VKLAD	20567	60915	\N	\N	\N
577285	1966	1993-11-14	PRIJEM	VKLAD	20567	61335	\N	\N	\N
577286	1966	1993-12-14	PRIJEM	VKLAD	30850	70661	\N	\N	\N
577287	1966	1994-01-14	PRIJEM	VKLAD	20567	51070	\N	\N	\N
577288	1966	1994-02-14	PRIJEM	VKLAD	20567	52317	\N	\N	\N
577289	1966	1994-03-14	PRIJEM	VKLAD	20567	56590	\N	\N	\N
577290	1966	1994-04-14	PRIJEM	VKLAD	20567	58591	\N	\N	\N
577291	1966	1994-05-14	PRIJEM	VKLAD	20567	59999	\N	\N	\N
577292	1966	1994-06-14	PRIJEM	VKLAD	30850	72798	\N	\N	\N
577293	1966	1994-07-14	PRIJEM	VKLAD	20567	44118	\N	\N	\N
577294	1966	1994-08-14	PRIJEM	VKLAD	20567	52950	\N	\N	\N
577295	1966	1994-09-14	PRIJEM	VKLAD	20567	51732	\N	\N	\N
577296	1966	1994-10-14	PRIJEM	VKLAD	20567	53908	\N	\N	\N
577297	1966	1994-11-14	PRIJEM	VKLAD	20567	54392	\N	\N	\N
577298	1966	1994-12-14	PRIJEM	VKLAD	30850	63662	\N	\N	\N
577299	1966	1995-01-14	PRIJEM	VKLAD	20567	51445	\N	\N	\N
577300	1966	1995-02-14	PRIJEM	VKLAD	20567	42354	\N	\N	\N
577301	1966	1995-03-14	PRIJEM	VKLAD	20567	44802	\N	\N	\N
577302	1966	1995-04-14	PRIJEM	VKLAD	20567	51348	\N	\N	\N
577303	1966	1995-05-14	PRIJEM	VKLAD	20567	49977	\N	\N	\N
577304	1966	1995-06-14	PRIJEM	VKLAD	30850	60927	\N	\N	\N
577305	1966	1995-07-14	PRIJEM	VKLAD	20567	37403	\N	\N	\N
577306	1966	1995-08-14	PRIJEM	VKLAD	20567	42632	\N	\N	\N
577307	1966	1995-09-14	PRIJEM	VKLAD	20567	40263	\N	\N	\N
577308	1966	1995-10-14	PRIJEM	VKLAD	20567	43792	\N	\N	\N
577309	1966	1995-11-14	PRIJEM	VKLAD	20567	47047	\N	\N	\N
577310	1966	1995-12-14	PRIJEM	VKLAD	30850	55697	\N	\N	\N
577311	1966	1996-01-14	PRIJEM	VKLAD	20567	45978	\N	\N	\N
577312	1966	1996-02-14	PRIJEM	VKLAD	20567	41280	\N	\N	\N
577313	1966	1996-03-14	PRIJEM	VKLAD	20567	46701	\N	\N	\N
577314	1966	1996-04-14	PRIJEM	VKLAD	20567	49144	\N	\N	\N
577315	1966	1996-05-14	PRIJEM	VKLAD	20567	42110	\N	\N	\N
577316	1966	1996-06-14	PRIJEM	VKLAD	30850	50075	\N	\N	\N
577317	1966	1996-07-14	PRIJEM	VKLAD	20567	46049	\N	\N	\N
577318	1966	1996-08-14	PRIJEM	VKLAD	20567	46984	\N	\N	\N
577319	1966	1996-09-14	PRIJEM	VKLAD	20567	42516	\N	\N	\N
577320	1966	1996-10-14	PRIJEM	VKLAD	20567	41308	\N	\N	\N
577321	1966	1996-11-14	PRIJEM	VKLAD	20567	44118	\N	\N	\N
577322	1966	1996-12-14	PRIJEM	VKLAD	30850	49354	\N	\N	\N
577323	1966	1997-01-14	PRIJEM	VKLAD	20567	48735	\N	\N	\N
577324	1966	1997-02-14	PRIJEM	VKLAD	20567	36694	\N	\N	\N
577325	1966	1997-03-14	PRIJEM	VKLAD	20567	42807	\N	\N	\N
577326	1966	1997-04-14	PRIJEM	VKLAD	20567	49429	\N	\N	\N
577327	1966	1997-05-14	PRIJEM	VKLAD	20567	56378	\N	\N	\N
577328	1966	1997-06-14	PRIJEM	VKLAD	30850	66929	\N	\N	\N
577329	1966	1997-07-14	PRIJEM	VKLAD	20567	61237	\N	\N	\N
577330	1966	1997-08-14	PRIJEM	VKLAD	20567	57331	\N	\N	\N
577331	1966	1997-09-14	PRIJEM	VKLAD	20567	57298	\N	\N	\N
577332	1966	1997-10-14	PRIJEM	VKLAD	20567	59667	\N	\N	\N
577333	1966	1997-11-14	PRIJEM	VKLAD	20567	59226	\N	\N	\N
577334	1966	1997-12-14	PRIJEM	VKLAD	30850	70807	\N	\N	\N
577335	1966	1998-01-14	PRIJEM	VKLAD	20567	51539	\N	\N	\N
577336	1966	1998-02-14	PRIJEM	VKLAD	20567	56974	\N	\N	\N
577337	1966	1998-03-14	PRIJEM	VKLAD	20567	57332	\N	\N	\N
577338	1966	1998-04-14	PRIJEM	VKLAD	20567	55091	\N	\N	\N
577339	1966	1998-05-14	PRIJEM	VKLAD	20567	47472	\N	\N	\N
577340	1966	1998-06-14	PRIJEM	VKLAD	30850	57535	\N	\N	\N
577341	1966	1998-07-14	PRIJEM	VKLAD	20567	55170	\N	\N	\N
577342	1966	1998-08-14	PRIJEM	VKLAD	20567	51611	\N	\N	\N
577343	1966	1998-09-14	PRIJEM	VKLAD	20567	50279	\N	\N	\N
577344	1966	1998-10-14	PRIJEM	VKLAD	20567	49601	\N	\N	\N
577345	1966	1998-11-14	PRIJEM	VKLAD	20567	50192	\N	\N	\N
577346	1966	1998-12-14	PRIJEM	VKLAD	30850	65034	\N	\N	\N
577353	1966	1993-07-06	VYDAJ	PREVOD NA UCET	5569	50212	SIPO	EF	77830534
577354	1966	1993-08-06	VYDAJ	PREVOD NA UCET	5569	54333	SIPO	EF	77830534
577355	1966	1993-09-06	VYDAJ	PREVOD NA UCET	5569	56463	SIPO	EF	77830534
577356	1966	1993-10-06	VYDAJ	PREVOD NA UCET	5569	53848	SIPO	EF	77830534
577357	1966	1993-11-06	VYDAJ	PREVOD NA UCET	5569	53768	SIPO	EF	77830534
577358	1966	1993-12-06	VYDAJ	PREVOD NA UCET	5569	55991	SIPO	EF	77830534
577359	1966	1994-01-06	VYDAJ	PREVOD NA UCET	5569	60183	SIPO	EF	77830534
577360	1966	1994-02-06	VYDAJ	PREVOD NA UCET	5569	37050	SIPO	EF	77830534
577361	1966	1994-03-06	VYDAJ	PREVOD NA UCET	5569	46923	SIPO	EF	77830534
577362	1966	1994-04-06	VYDAJ	PREVOD NA UCET	5569	51224	SIPO	EF	77830534
577363	1966	1994-05-06	VYDAJ	PREVOD NA UCET	5569	53232	SIPO	EF	77830534
577364	1966	1994-06-06	VYDAJ	PREVOD NA UCET	5569	54648	SIPO	EF	77830534
577365	1966	1994-07-06	VYDAJ	PREVOD NA UCET	5569	19951	SIPO	EF	77830534
577366	1966	1994-08-06	VYDAJ	PREVOD NA UCET	5569	32383	SIPO	EF	77830534
577367	1966	1994-09-06	VYDAJ	PREVOD NA UCET	5569	31165	SIPO	EF	77830534
577368	1966	1994-10-06	VYDAJ	PREVOD NA UCET	5569	33341	SIPO	EF	77830534
577369	1966	1994-11-06	VYDAJ	PREVOD NA UCET	5569	33825	SIPO	EF	77830534
577370	1966	1994-12-06	VYDAJ	PREVOD NA UCET	5569	32812	SIPO	EF	77830534
577371	1966	1995-01-06	VYDAJ	PREVOD NA UCET	5569	35198	SIPO	EF	77830534
577372	1966	1995-02-06	VYDAJ	PREVOD NA UCET	5569	21787	SIPO	EF	77830534
577373	1966	1995-03-06	VYDAJ	PREVOD NA UCET	5569	25915	SIPO	EF	77830534
577374	1966	1995-04-06	VYDAJ	PREVOD NA UCET	5569	30781	SIPO	EF	77830534
577375	1966	1995-05-06	VYDAJ	PREVOD NA UCET	5569	29410	SIPO	EF	77830534
577376	1966	1995-06-06	VYDAJ	PREVOD NA UCET	5569	30077	SIPO	EF	77830534
577377	1966	1995-07-06	VYDAJ	PREVOD NA UCET	5569	16836	SIPO	EF	77830534
577378	1966	1995-08-06	VYDAJ	PREVOD NA UCET	5569	22065	SIPO	EF	77830534
577379	1966	1995-09-06	VYDAJ	PREVOD NA UCET	5569	19696	SIPO	EF	77830534
577380	1966	1995-10-06	VYDAJ	PREVOD NA UCET	5569	23225	SIPO	EF	77830534
577381	1966	1995-11-06	VYDAJ	PREVOD NA UCET	5569	26480	SIPO	EF	77830534
577382	1966	1995-12-06	VYDAJ	PREVOD NA UCET	5569	27727	SIPO	EF	77830534
577383	1966	1996-01-06	VYDAJ	PREVOD NA UCET	5569	26851	SIPO	EF	77830534
577384	1966	1996-02-06	VYDAJ	PREVOD NA UCET	5569	20713	SIPO	EF	77830534
577385	1966	1996-03-06	VYDAJ	PREVOD NA UCET	5569	26134	SIPO	EF	77830534
577386	1966	1996-04-06	VYDAJ	PREVOD NA UCET	5569	28577	SIPO	EF	77830534
577387	1966	1996-05-06	VYDAJ	PREVOD NA UCET	5569	25263	SIPO	EF	77830534
577388	1966	1996-06-06	VYDAJ	PREVOD NA UCET	5569	23065	SIPO	EF	77830534
577389	1966	1996-07-06	VYDAJ	PREVOD NA UCET	5569	25482	SIPO	EF	77830534
577390	1966	1996-08-06	VYDAJ	PREVOD NA UCET	5569	26417	SIPO	EF	77830534
577391	1966	1996-09-06	VYDAJ	PREVOD NA UCET	5569	21949	SIPO	EF	77830534
577392	1966	1996-10-06	VYDAJ	PREVOD NA UCET	5569	21701	SIPO	EF	77830534
577393	1966	1996-11-06	VYDAJ	PREVOD NA UCET	5569	23551	SIPO	EF	77830534
577394	1966	1996-12-06	VYDAJ	PREVOD NA UCET	5569	18504	SIPO	EF	77830534
577395	1966	1997-01-06	VYDAJ	PREVOD NA UCET	5569	28168	SIPO	EF	77830534
577396	1966	1997-02-06	VYDAJ	PREVOD NA UCET	5569	16127	SIPO	EF	77830534
577397	1966	1997-03-06	VYDAJ	PREVOD NA UCET	5569	22240	SIPO	EF	77830534
577398	1966	1997-04-06	VYDAJ	PREVOD NA UCET	5569	28862	SIPO	EF	77830534
577399	1966	1997-05-06	VYDAJ	PREVOD NA UCET	5569	35811	SIPO	EF	77830534
577400	1966	1997-06-06	VYDAJ	PREVOD NA UCET	5569	36079	SIPO	EF	77830534
577401	1966	1997-07-06	VYDAJ	PREVOD NA UCET	5569	43070	SIPO	EF	77830534
577402	1966	1997-08-06	VYDAJ	PREVOD NA UCET	5569	36764	SIPO	EF	77830534
577403	1966	1997-09-06	VYDAJ	PREVOD NA UCET	5569	36731	SIPO	EF	77830534
577404	1966	1997-10-06	VYDAJ	PREVOD NA UCET	5569	39100	SIPO	EF	77830534
577405	1966	1997-11-06	VYDAJ	PREVOD NA UCET	5569	41179	SIPO	EF	77830534
577406	1966	1997-12-06	VYDAJ	PREVOD NA UCET	5569	39957	SIPO	EF	77830534
577407	1966	1998-01-06	VYDAJ	PREVOD NA UCET	5569	41012	SIPO	EF	77830534
577408	1966	1998-02-06	VYDAJ	PREVOD NA UCET	5569	36407	SIPO	EF	77830534
577409	1966	1998-03-06	VYDAJ	PREVOD NA UCET	5569	36765	SIPO	EF	77830534
577410	1966	1998-04-06	VYDAJ	PREVOD NA UCET	5569	34524	SIPO	EF	77830534
577411	1966	1998-05-06	VYDAJ	PREVOD NA UCET	5569	26905	SIPO	EF	77830534
577412	1966	1998-06-06	VYDAJ	PREVOD NA UCET	5569	26685	SIPO	EF	77830534
577413	1966	1998-07-06	VYDAJ	PREVOD NA UCET	5569	34603	SIPO	EF	77830534
577414	1966	1998-08-06	VYDAJ	PREVOD NA UCET	5569	31044	SIPO	EF	77830534
577415	1966	1998-09-06	VYDAJ	PREVOD NA UCET	5569	29712	SIPO	EF	77830534
577416	1966	1998-10-06	VYDAJ	PREVOD NA UCET	5569	29034	SIPO	EF	77830534
577417	1966	1998-11-06	VYDAJ	PREVOD NA UCET	5569	29625	SIPO	EF	77830534
577418	1966	1998-12-06	VYDAJ	PREVOD NA UCET	5569	44784	SIPO	EF	77830534
577419	1966	1993-06-22	VYDAJ	VYBER	19360	55536	\N	\N	\N
577420	1966	1994-06-18	VYDAJ	VYBER	42400	25358	\N	\N	\N
577421	1966	1995-06-14	VYDAJ	VYBER	33440	27487	\N	\N	\N
577422	1966	1996-06-24	VYDAJ	VYBER	4960	45115	\N	\N	\N
577426	1966	1994-01-07	VYDAJ	VYBER	9120	51063	\N	\N	\N
577427	1966	1995-01-20	VYDAJ	VYBER	13280	38165	\N	\N	\N
577428	1966	1996-01-20	VYDAJ	VYBER	4320	37098	\N	\N	\N
577429	1966	1997-01-21	VYDAJ	VYBER	6560	36415	\N	\N	\N
577430	1966	1998-01-09	VYDAJ	VYBER	7040	33972	\N	\N	\N
577431	1966	1993-12-09	VYDAJ	VYBER	2880	53111	\N	\N	\N
577432	1966	1994-12-19	VYDAJ	VYBER	2880	60782	\N	\N	\N
577433	1966	1995-12-26	VYDAJ	VYBER	3200	52497	\N	\N	\N
577434	1966	1996-12-19	VYDAJ	VYBER	3840	45514	\N	\N	\N
577435	1966	1997-12-17	VYDAJ	VYBER	4160	66647	\N	\N	\N
577436	1966	1998-12-17	VYDAJ	VYBER	2400	62634	\N	\N	\N
577443	1966	1994-01-17	VYDAJ	VYBER	720	50350	\N	\N	\N
577444	1966	1994-01-21	VYDAJ	VYBER	1080	47470	\N	\N	\N
577445	1966	1994-01-11	VYDAJ	VYBER	3360	30503	\N	\N	\N
577446	1966	1994-01-28	VYDAJ	VYBER	600	46870	\N	\N	\N
577447	1966	1994-01-17	VYDAJ	VYBER	1800	48550	\N	\N	\N
577448	1966	1994-01-10	VYDAJ	VYBER	2520	33863	\N	\N	\N
577449	1966	1995-01-28	VYDAJ	VYBER	1440	33005	\N	\N	\N
577450	1966	1995-01-25	VYDAJ	VYBER	2760	34445	\N	\N	\N
577451	1966	1995-01-01	VYDAJ	VYBER	720	60267	\N	\N	\N
577452	1966	1995-01-12	VYDAJ	VYBER	1680	30878	\N	\N	\N
577453	1966	1995-01-22	VYDAJ	VYBER	960	37205	\N	\N	\N
577454	1966	1995-01-07	VYDAJ	VYBER	2640	32558	\N	\N	\N
577455	1966	1996-01-04	VYDAJ	VYBER	1080	32420	\N	\N	\N
577456	1966	1996-01-09	VYDAJ	VYBER	1440	25411	\N	\N	\N
577457	1966	1996-01-18	VYDAJ	VYBER	2640	43338	\N	\N	\N
577458	1966	1996-01-26	VYDAJ	VYBER	3240	33858	\N	\N	\N
577459	1966	1996-01-02	VYDAJ	VYBER	960	33500	\N	\N	\N
577460	1966	1996-01-19	VYDAJ	VYBER	1920	41418	\N	\N	\N
577461	1966	1997-01-19	VYDAJ	VYBER	2880	42975	\N	\N	\N
577462	1966	1997-01-24	VYDAJ	VYBER	1920	25175	\N	\N	\N
577463	1966	1997-01-14	VYDAJ	VYBER	1440	47295	\N	\N	\N
577464	1966	1997-01-18	VYDAJ	VYBER	1440	45855	\N	\N	\N
577465	1966	1997-01-22	VYDAJ	VYBER	1320	35095	\N	\N	\N
577466	1966	1997-01-29	VYDAJ	VYBER	1080	21575	\N	\N	\N
577467	1966	1998-01-02	VYDAJ	VYBER	1080	50061	\N	\N	\N
577468	1966	1998-01-16	VYDAJ	VYBER	960	50579	\N	\N	\N
577469	1966	1998-01-02	VYDAJ	VYBER	2160	47901	\N	\N	\N
577470	1966	1998-01-22	VYDAJ	VYBER	960	41819	\N	\N	\N
577471	1966	1998-01-03	VYDAJ	VYBER	1320	46581	\N	\N	\N
577472	1966	1998-01-13	VYDAJ	VYBER	3000	30972	\N	\N	\N
577474	1966	1993-10-15	VYDAJ	VYBER	1800	59115	\N	\N	\N
577476	1966	1993-07-12	VYDAJ	VYBER	600	49612	\N	\N	\N
577478	1966	1993-09-16	VYDAJ	VYBER	3240	59190	\N	\N	\N
577479	1966	1993-12-22	VYDAJ	VYBER	5160	65501	\N	\N	\N
577480	1966	1994-06-17	VYDAJ	VYBER	5040	67758	\N	\N	\N
577481	1966	1994-02-04	VYDAJ	VYBER	4440	42619	\N	\N	\N
577482	1966	1994-01-08	VYDAJ	VYBER	2880	36383	\N	\N	\N
577483	1966	1995-08-03	VYDAJ	VYBER	1680	27634	\N	\N	\N
577484	1966	1995-12-11	VYDAJ	VYBER	2880	24847	\N	\N	\N
577485	1966	1995-05-05	VYDAJ	VYBER	3240	34979	\N	\N	\N
577486	1966	1995-09-04	VYDAJ	VYBER	3600	25265	\N	\N	\N
577487	1966	1995-03-10	VYDAJ	VYBER	1680	24235	\N	\N	\N
577488	1966	1996-11-19	VYDAJ	VYBER	4440	39678	\N	\N	\N
577489	1966	1996-06-12	VYDAJ	VYBER	3840	19225	\N	\N	\N
577490	1966	1996-09-16	VYDAJ	VYBER	3360	39156	\N	\N	\N
577491	1966	1996-04-18	VYDAJ	VYBER	2160	46984	\N	\N	\N
577492	1966	1996-05-09	VYDAJ	VYBER	3720	21543	\N	\N	\N
577493	1966	1996-10-08	VYDAJ	VYBER	960	20741	\N	\N	\N
577494	1966	1996-11-25	VYDAJ	VYBER	3120	23958	\N	\N	\N
577495	1966	1997-07-09	VYDAJ	VYBER	2400	40670	\N	\N	\N
577496	1966	1997-11-11	VYDAJ	VYBER	2520	38659	\N	\N	\N
577497	1966	1997-11-29	VYDAJ	VYBER	2280	45346	\N	\N	\N
577498	1966	1997-07-01	VYDAJ	VYBER	720	48639	\N	\N	\N
577499	1966	1997-07-14	VYDAJ	VYBER	4080	57157	\N	\N	\N
577500	1966	1997-06-20	VYDAJ	VYBER	1560	65369	\N	\N	\N
577501	1966	1997-01-26	VYDAJ	VYBER	2520	22655	\N	\N	\N
577502	1966	1997-02-20	VYDAJ	VYBER	2280	34414	\N	\N	\N
577503	1966	1998-05-20	VYDAJ	VYBER	1440	32132	\N	\N	\N
577504	1966	1998-04-20	VYDAJ	VYBER	4800	34491	\N	\N	\N
577505	1966	1998-08-14	VYDAJ	VYBER	2760	48851	\N	\N	\N
577506	1966	1998-10-24	VYDAJ	VYBER	600	35061	\N	\N	\N
577507	1966	1998-04-29	VYDAJ	VYBER	2160	32331	\N	\N	\N
577508	1966	1998-10-18	VYDAJ	VYBER	3840	35661	\N	\N	\N
577515	1966	1993-06-30	VYDAJ	VYBER	15	55781	SLUZBY	\N	\N
577516	1966	1993-07-31	VYDAJ	VYBER	15	59902	SLUZBY	\N	\N
577517	1966	1993-08-31	VYDAJ	VYBER	15	62032	SLUZBY	\N	\N
577518	1966	1993-09-30	VYDAJ	VYBER	15	59417	SLUZBY	\N	\N
577519	1966	1993-10-31	VYDAJ	VYBER	15	59337	SLUZBY	\N	\N
577520	1966	1993-11-30	VYDAJ	VYBER	15	61560	SLUZBY	\N	\N
577521	1966	1993-12-31	VYDAJ	VYBER	15	65752	SLUZBY	\N	\N
577522	1966	1994-01-31	VYDAJ	VYBER	15	47059	SLUZBY	\N	\N
577523	1966	1994-02-28	VYDAJ	VYBER	15	52492	SLUZBY	\N	\N
577524	1966	1994-03-31	VYDAJ	VYBER	15	56793	SLUZBY	\N	\N
577525	1966	1994-04-30	VYDAJ	VYBER	15	58801	SLUZBY	\N	\N
577526	1966	1994-05-31	VYDAJ	VYBER	15	60217	SLUZBY	\N	\N
577527	1966	1994-06-30	VYDAJ	VYBER	15	25520	SLUZBY	\N	\N
577528	1966	1994-07-31	VYDAJ	VYBER	15	44252	SLUZBY	\N	\N
577529	1966	1994-08-31	VYDAJ	VYBER	15	53134	SLUZBY	\N	\N
577530	1966	1994-09-30	VYDAJ	VYBER	15	51910	SLUZBY	\N	\N
577531	1966	1994-10-31	VYDAJ	VYBER	15	54094	SLUZBY	\N	\N
577532	1966	1994-11-30	VYDAJ	VYBER	15	54581	SLUZBY	\N	\N
577533	1966	1994-12-31	VYDAJ	VYBER	15	60987	SLUZBY	\N	\N
577534	1966	1995-01-31	VYDAJ	VYBER	15	33156	SLUZBY	\N	\N
577535	1966	1995-02-28	VYDAJ	VYBER	15	42484	SLUZBY	\N	\N
577536	1966	1995-03-31	VYDAJ	VYBER	15	44950	SLUZBY	\N	\N
577537	1966	1995-04-30	VYDAJ	VYBER	15	51519	SLUZBY	\N	\N
577538	1966	1995-05-31	VYDAJ	VYBER	15	50146	SLUZBY	\N	\N
577539	1966	1995-06-30	VYDAJ	VYBER	15	27605	SLUZBY	\N	\N
577540	1966	1995-07-31	VYDAJ	VYBER	15	37514	SLUZBY	\N	\N
577541	1966	1995-08-31	VYDAJ	VYBER	15	42765	SLUZBY	\N	\N
577542	1966	1995-09-30	VYDAJ	VYBER	15	40394	SLUZBY	\N	\N
577543	1966	1995-10-31	VYDAJ	VYBER	15	32049	SLUZBY	\N	\N
577544	1966	1995-11-30	VYDAJ	VYBER	15	33296	SLUZBY	\N	\N
577545	1966	1995-12-31	VYDAJ	VYBER	15	34460	SLUZBY	\N	\N
577546	1966	1996-01-31	VYDAJ	VYBER	15	26282	SLUZBY	\N	\N
577547	1966	1996-02-29	VYDAJ	VYBER	15	31703	SLUZBY	\N	\N
577548	1966	1996-03-31	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
577549	1966	1996-04-30	VYDAJ	VYBER	15	30832	SLUZBY	\N	\N
577550	1966	1996-05-31	VYDAJ	VYBER	15	28634	SLUZBY	\N	\N
577551	1966	1996-06-30	VYDAJ	VYBER	15	31051	SLUZBY	\N	\N
577552	1966	1996-07-31	VYDAJ	VYBER	15	31986	SLUZBY	\N	\N
577553	1966	1996-08-31	VYDAJ	VYBER	15	27518	SLUZBY	\N	\N
577554	1966	1996-09-30	VYDAJ	VYBER	15	27270	SLUZBY	\N	\N
577555	1966	1996-10-31	VYDAJ	VYBER	15	29120	SLUZBY	\N	\N
577556	1966	1996-11-30	VYDAJ	VYBER	15	24073	SLUZBY	\N	\N
577557	1966	1996-12-31	VYDAJ	VYBER	15	33737	SLUZBY	\N	\N
577558	1966	1997-01-31	VYDAJ	VYBER	15	21696	SLUZBY	\N	\N
577559	1966	1997-02-28	VYDAJ	VYBER	15	27809	SLUZBY	\N	\N
577560	1966	1997-03-31	VYDAJ	VYBER	15	34431	SLUZBY	\N	\N
577561	1966	1997-04-30	VYDAJ	VYBER	15	41380	SLUZBY	\N	\N
577562	1966	1997-05-31	VYDAJ	VYBER	15	41648	SLUZBY	\N	\N
577563	1966	1997-06-30	VYDAJ	VYBER	15	49359	SLUZBY	\N	\N
577564	1966	1997-07-31	VYDAJ	VYBER	15	42333	SLUZBY	\N	\N
577565	1966	1997-08-31	VYDAJ	VYBER	15	42300	SLUZBY	\N	\N
577566	1966	1997-09-30	VYDAJ	VYBER	15	44669	SLUZBY	\N	\N
577567	1966	1997-10-31	VYDAJ	VYBER	15	46748	SLUZBY	\N	\N
577568	1966	1997-11-30	VYDAJ	VYBER	15	45526	SLUZBY	\N	\N
577569	1966	1997-12-31	VYDAJ	VYBER	15	51141	SLUZBY	\N	\N
577570	1966	1998-01-31	VYDAJ	VYBER	15	41976	SLUZBY	\N	\N
577571	1966	1998-02-28	VYDAJ	VYBER	15	42334	SLUZBY	\N	\N
577572	1966	1998-03-31	VYDAJ	VYBER	15	40093	SLUZBY	\N	\N
577573	1966	1998-04-30	VYDAJ	VYBER	15	32474	SLUZBY	\N	\N
577574	1966	1998-05-31	VYDAJ	VYBER	15	32254	SLUZBY	\N	\N
577575	1966	1998-06-30	VYDAJ	VYBER	15	40172	SLUZBY	\N	\N
577576	1966	1998-07-31	VYDAJ	VYBER	15	36613	SLUZBY	\N	\N
577577	1966	1998-08-31	VYDAJ	VYBER	15	35281	SLUZBY	\N	\N
577578	1966	1998-09-30	VYDAJ	VYBER	15	34603	SLUZBY	\N	\N
577579	1966	1998-10-31	VYDAJ	VYBER	15	35194	SLUZBY	\N	\N
577580	1966	1998-11-30	VYDAJ	VYBER	15	50353	SLUZBY	\N	\N
577581	1966	1993-03-14	VYDAJ	VYBER	7500	34582	\N	\N	\N
577582	1966	1993-04-13	VYDAJ	VYBER	5700	29003	\N	\N	\N
577583	1966	1993-05-13	VYDAJ	VYBER	11300	38450	\N	\N	\N
577584	1966	1993-06-12	VYDAJ	VYBER	15200	44046	\N	\N	\N
577585	1966	1993-07-12	VYDAJ	VYBER	10500	39112	\N	\N	\N
577586	1966	1993-08-11	VYDAJ	VYBER	13100	41233	\N	\N	\N
577587	1966	1993-09-10	VYDAJ	VYBER	14600	41863	\N	\N	\N
577588	1966	1993-10-10	VYDAJ	VYBER	13500	40348	\N	\N	\N
577589	1966	1993-11-09	VYDAJ	VYBER	13000	40768	\N	\N	\N
577590	1966	1993-12-09	VYDAJ	VYBER	13300	39811	\N	\N	\N
577591	1966	1994-01-08	VYDAJ	VYBER	11800	39263	\N	\N	\N
577592	1966	1994-02-07	VYDAJ	VYBER	5300	31750	\N	\N	\N
577593	1966	1994-03-09	VYDAJ	VYBER	10900	36023	\N	\N	\N
577594	1966	1994-04-08	VYDAJ	VYBER	13200	38024	\N	\N	\N
577595	1966	1994-05-08	VYDAJ	VYBER	13800	39432	\N	\N	\N
577596	1966	1994-06-07	VYDAJ	VYBER	12700	41948	\N	\N	\N
577597	1966	1994-07-07	PRIJEM	VKLAD	3600	23551	\N	\N	\N
577598	1966	1994-08-06	VYDAJ	VYBER	6300	37952	\N	\N	\N
577599	1966	1994-09-05	VYDAJ	VYBER	16400	36734	\N	\N	\N
577600	1966	1994-10-05	VYDAJ	VYBER	13000	38910	\N	\N	\N
577601	1966	1994-11-04	VYDAJ	VYBER	14700	39394	\N	\N	\N
577602	1966	1994-12-04	VYDAJ	VYBER	16200	38381	\N	\N	\N
577603	1966	1995-01-03	VYDAJ	VYBER	19500	40767	\N	\N	\N
577604	1966	1995-02-02	VYDAJ	VYBER	5800	27356	\N	\N	\N
577605	1966	1995-03-04	VYDAJ	VYBER	11000	31484	\N	\N	\N
577606	1966	1995-04-03	VYDAJ	VYBER	8600	36350	\N	\N	\N
577607	1966	1995-05-03	VYDAJ	VYBER	13300	38219	\N	\N	\N
577608	1966	1995-06-02	VYDAJ	VYBER	14500	35646	\N	\N	\N
577609	1966	1995-07-02	VYDAJ	VYBER	5200	22405	\N	\N	\N
577610	1966	1995-08-01	VYDAJ	VYBER	8200	29314	\N	\N	\N
577611	1966	1995-08-31	VYDAJ	VYBER	13900	28865	\N	\N	\N
577612	1966	1995-09-30	VYDAJ	VYBER	11600	28794	\N	\N	\N
577613	1966	1995-10-30	VYDAJ	VYBER	11900	31892	\N	\N	\N
577614	1966	1995-11-29	VYDAJ	VYBER	13900	33147	\N	\N	\N
577615	1966	1995-12-29	VYDAJ	VYBER	18200	34297	\N	\N	\N
577616	1966	1996-01-28	VYDAJ	VYBER	7700	26158	\N	\N	\N
577617	1966	1996-02-27	VYDAJ	VYBER	9700	31580	\N	\N	\N
577618	1966	1996-03-28	VYDAJ	VYBER	12700	34001	\N	\N	\N
577619	1966	1996-04-27	VYDAJ	VYBER	16300	30684	\N	\N	\N
577620	1966	1996-05-27	VYDAJ	VYBER	13600	28510	\N	\N	\N
577621	1966	1996-06-26	VYDAJ	VYBER	14200	30915	\N	\N	\N
577622	1966	1996-07-26	VYDAJ	VYBER	14200	31849	\N	\N	\N
577623	1966	1996-08-25	VYDAJ	VYBER	19600	27384	\N	\N	\N
577624	1966	1996-09-24	VYDAJ	VYBER	12000	27156	\N	\N	\N
577625	1966	1996-10-24	VYDAJ	VYBER	12300	29008	\N	\N	\N
577626	1966	1996-11-23	VYDAJ	VYBER	12600	27078	\N	\N	\N
577627	1966	1996-12-23	VYDAJ	VYBER	11900	33614	\N	\N	\N
577628	1966	1997-01-22	VYDAJ	VYBER	8000	27095	\N	\N	\N
577629	1966	1997-02-21	VYDAJ	VYBER	6700	27714	\N	\N	\N
577630	1966	1997-03-23	VYDAJ	VYBER	8500	34307	\N	\N	\N
577631	1966	1997-04-22	VYDAJ	VYBER	8200	41229	\N	\N	\N
577632	1966	1997-05-22	VYDAJ	VYBER	14900	41478	\N	\N	\N
577633	1966	1997-06-21	VYDAJ	VYBER	16200	49169	\N	\N	\N
577634	1966	1997-07-21	VYDAJ	VYBER	15000	42157	\N	\N	\N
577635	1966	1997-08-20	VYDAJ	VYBER	15200	42131	\N	\N	\N
577636	1966	1997-09-19	VYDAJ	VYBER	12800	44498	\N	\N	\N
577637	1966	1997-10-19	VYDAJ	VYBER	13100	46567	\N	\N	\N
577638	1966	1997-11-18	VYDAJ	VYBER	11600	47626	\N	\N	\N
577639	1966	1997-12-18	VYDAJ	VYBER	15700	50947	\N	\N	\N
577640	1966	1998-01-17	VYDAJ	VYBER	7800	42779	\N	\N	\N
577641	1966	1998-02-16	VYDAJ	VYBER	14800	42174	\N	\N	\N
577642	1966	1998-03-18	VYDAJ	VYBER	17400	39932	\N	\N	\N
577643	1966	1998-04-17	VYDAJ	VYBER	15800	39291	\N	\N	\N
577644	1966	1998-05-17	VYDAJ	VYBER	13900	33572	\N	\N	\N
577645	1966	1998-06-16	VYDAJ	VYBER	17500	40035	\N	\N	\N
577646	1966	1998-07-16	VYDAJ	VYBER	18700	36470	\N	\N	\N
577647	1966	1998-08-15	VYDAJ	VYBER	13700	35151	\N	\N	\N
577648	1966	1998-09-14	VYDAJ	VYBER	15800	34479	\N	\N	\N
577649	1966	1998-10-14	VYDAJ	VYBER	10100	39501	\N	\N	\N
577650	1966	1998-12-13	VYDAJ	VYBER	10600	34184	\N	\N	\N
577722	1967	1995-02-13	PRIJEM	VKLAD	900	900	\N	\N	\N
577723	1967	1995-07-17	PRIJEM	VKLAD	43479	77871	\N	\N	\N
577724	1967	1995-10-14	PRIJEM	VKLAD	27232	83729	\N	\N	\N
577725	1967	1995-04-11	PRIJEM	VKLAD	45461	66742	\N	\N	\N
577726	1967	1995-10-07	PRIJEM	VKLAD	47112	88597	\N	\N	\N
577727	1967	1995-05-21	PRIJEM	VKLAD	17773	55458	\N	\N	\N
577728	1967	1995-03-16	PRIJEM	VKLAD	8435	21235	\N	\N	\N
577729	1967	1996-04-29	PRIJEM	VKLAD	27446	98970	\N	\N	\N
577730	1967	1996-05-06	PRIJEM	VKLAD	46334	145488	\N	\N	\N
577731	1967	1996-05-28	PRIJEM	VKLAD	11775	47205	\N	\N	\N
577732	1967	1996-06-05	PRIJEM	VKLAD	42254	99011	\N	\N	\N
577733	1967	1996-06-20	PRIJEM	VKLAD	37652	72699	\N	\N	\N
577734	1967	1996-12-08	PRIJEM	VKLAD	28548	44994	\N	\N	\N
577735	1967	1996-07-04	PRIJEM	VKLAD	34910	68100	\N	\N	\N
577736	1967	1996-05-30	PRIJEM	VKLAD	9340	56545	\N	\N	\N
577737	1967	1996-12-25	PRIJEM	VKLAD	46277	103687	\N	\N	\N
577738	1967	1996-08-25	PRIJEM	VKLAD	14811	24043	\N	\N	\N
577739	1967	1996-09-22	PRIJEM	VKLAD	34018	39461	\N	\N	\N
577740	1967	1996-09-23	PRIJEM	VKLAD	25970	65431	\N	\N	\N
577741	1967	1996-01-26	PRIJEM	VKLAD	12825	17382	\N	\N	\N
577742	1967	1996-04-11	PRIJEM	VKLAD	45663	74891	\N	\N	\N
577743	1967	1996-03-28	PRIJEM	VKLAD	13957	26707	\N	\N	\N
577744	1967	1996-12-21	PRIJEM	VKLAD	45847	57410	\N	\N	\N
577745	1967	1996-01-01	PRIJEM	VKLAD	15629	23321	\N	\N	\N
577746	1967	1996-04-29	PRIJEM	VKLAD	16097	71524	\N	\N	\N
577747	1967	1996-07-19	PRIJEM	VKLAD	19658	31200	\N	\N	\N
577748	1967	1997-12-25	PRIJEM	VKLAD	35703	99081	\N	\N	\N
577749	1967	1997-03-07	PRIJEM	VKLAD	33732	47806	\N	\N	\N
577750	1967	1997-05-31	PRIJEM	VKLAD	27344	85698	\N	\N	\N
577751	1967	1997-06-21	PRIJEM	VKLAD	49491	85001	\N	\N	\N
577752	1967	1997-12-10	PRIJEM	VKLAD	43074	82736	\N	\N	\N
577753	1967	1997-05-26	PRIJEM	VKLAD	46147	58268	\N	\N	\N
577754	1967	1997-09-28	PRIJEM	VKLAD	13790	16495	\N	\N	\N
577755	1967	1997-08-11	PRIJEM	VKLAD	14914	44224	\N	\N	\N
577756	1967	1997-10-09	PRIJEM	VKLAD	23542	42063	\N	\N	\N
577757	1967	1997-11-13	PRIJEM	VKLAD	20350	77358	\N	\N	\N
577758	1967	1997-12-25	PRIJEM	VKLAD	6480	105561	\N	\N	\N
577759	1967	1997-11-12	PRIJEM	VKLAD	37936	62202	\N	\N	\N
577760	1967	1998-07-05	PRIJEM	VKLAD	40034	55959	\N	\N	\N
577761	1967	1998-04-28	PRIJEM	VKLAD	19357	58169	\N	\N	\N
577762	1967	1998-05-04	PRIJEM	VKLAD	36517	82672	\N	\N	\N
577763	1967	1998-04-19	PRIJEM	VKLAD	17784	28808	\N	\N	\N
577764	1967	1998-08-02	PRIJEM	VKLAD	23088	86427	\N	\N	\N
577765	1967	1998-07-30	PRIJEM	VKLAD	38446	63268	\N	\N	\N
577766	1967	1998-09-09	PRIJEM	VKLAD	42783	63499	\N	\N	\N
577767	1967	1998-10-11	PRIJEM	VKLAD	24295	69652	\N	\N	\N
577768	1967	1998-10-26	PRIJEM	VKLAD	37783	61777	\N	\N	\N
577769	1967	1998-01-09	PRIJEM	VKLAD	45589	101887	\N	\N	\N
577770	1967	1998-10-03	PRIJEM	VKLAD	16057	45357	\N	\N	\N
577771	1967	1998-12-21	PRIJEM	VKLAD	44665	57017	\N	\N	\N
577772	1967	1998-01-13	PRIJEM	VKLAD	49249	145942	\N	\N	\N
577773	1967	1998-01-29	PRIJEM	VKLAD	41950	92328	\N	\N	\N
577774	1967	1998-05-03	PRIJEM	VKLAD	11821	46155	\N	\N	\N
577775	1967	1998-02-05	PRIJEM	VKLAD	38225	130893	\N	\N	\N
577776	1967	1998-02-18	PRIJEM	VKLAD	6443	56078	\N	\N	\N
577777	1967	1998-11-12	PRIJEM	VKLAD	18145	80083	\N	\N	\N
577778	1967	1998-07-25	PRIJEM	VKLAD	35633	49322	\N	\N	\N
577779	1967	1998-04-24	PRIJEM	VKLAD	10004	38812	\N	\N	\N
577780	1967	1998-08-06	PRIJEM	VKLAD	44650	131077	\N	\N	\N
577781	1967	1998-09-19	PRIJEM	VKLAD	21747	57788	\N	\N	\N
577782	1967	1998-05-25	PRIJEM	VKLAD	20632	83946	\N	\N	\N
577792	1967	1995-09-29	VYDAJ	VYBER	3000	41171	\N	\N	0
577793	1967	1995-11-14	VYDAJ	VYBER	4300	21318	\N	\N	0
577794	1967	1995-12-18	VYDAJ	VYBER	4800	7664	\N	\N	0
577795	1967	1996-01-14	VYDAJ	VYBER	4500	18721	\N	\N	0
577796	1967	1996-02-13	VYDAJ	VYBER	6600	19998	\N	\N	0
577797	1967	1996-03-12	VYDAJ	VYBER	6900	12750	\N	\N	0
577798	1967	1996-04-18	VYDAJ	VYBER	5300	55427	\N	\N	0
577799	1967	1996-05-12	VYDAJ	PREVOD NA UCET	5194	49594	UVER	YZ	88398128
577800	1967	1996-06-12	VYDAJ	PREVOD NA UCET	5194	49211	UVER	YZ	88398128
577801	1967	1996-07-12	VYDAJ	PREVOD NA UCET	5194	25706	UVER	YZ	88398128
577802	1967	1996-08-12	VYDAJ	PREVOD NA UCET	5194	23396	UVER	YZ	88398128
577803	1967	1996-09-12	VYDAJ	PREVOD NA UCET	5194	19607	UVER	YZ	88398128
577804	1967	1996-10-12	VYDAJ	PREVOD NA UCET	5194	30976	UVER	YZ	88398128
577805	1967	1996-11-12	VYDAJ	PREVOD NA UCET	5194	18499	UVER	YZ	88398128
577806	1967	1996-12-12	VYDAJ	PREVOD NA UCET	5194	25727	UVER	YZ	88398128
577807	1967	1997-01-12	VYDAJ	PREVOD NA UCET	5194	46437	UVER	YZ	88398128
577808	1967	1997-02-12	VYDAJ	PREVOD NA UCET	5194	19216	UVER	YZ	88398128
577809	1967	1997-03-12	VYDAJ	PREVOD NA UCET	5194	42612	UVER	YZ	88398128
577810	1967	1997-04-12	VYDAJ	PREVOD NA UCET	5194	23039	UVER	YZ	88398128
577811	1967	1997-05-12	VYDAJ	PREVOD NA UCET	5194	12121	UVER	YZ	88398128
577812	1967	1997-06-12	VYDAJ	PREVOD NA UCET	5194	49674	UVER	YZ	88398128
577813	1967	1997-07-12	VYDAJ	PREVOD NA UCET	5194	52373	UVER	YZ	88398128
577814	1967	1997-08-12	VYDAJ	PREVOD NA UCET	5194	39030	UVER	YZ	88398128
577815	1967	1997-09-12	VYDAJ	PREVOD NA UCET	5194	16869	UVER	YZ	88398128
577816	1967	1997-10-12	VYDAJ	PREVOD NA UCET	5194	36869	UVER	YZ	88398128
577817	1967	1997-11-12	VYDAJ	PREVOD NA UCET	5194	57008	UVER	YZ	88398128
577818	1967	1997-12-12	VYDAJ	PREVOD NA UCET	5194	77542	UVER	YZ	88398128
577819	1967	1998-01-12	VYDAJ	PREVOD NA UCET	5194	96693	UVER	YZ	88398128
577820	1967	1998-02-12	VYDAJ	PREVOD NA UCET	5194	63799	UVER	YZ	88398128
577821	1967	1998-03-12	VYDAJ	PREVOD NA UCET	5194	30313	UVER	YZ	88398128
577822	1967	1998-04-12	VYDAJ	PREVOD NA UCET	5194	11024	UVER	YZ	88398128
577823	1967	1998-05-12	VYDAJ	PREVOD NA UCET	5194	77478	UVER	YZ	88398128
577824	1967	1998-06-12	VYDAJ	PREVOD NA UCET	5194	30010	UVER	YZ	88398128
577825	1967	1998-07-12	VYDAJ	PREVOD NA UCET	5194	27853	UVER	YZ	88398128
577826	1967	1998-08-12	VYDAJ	PREVOD NA UCET	5194	107083	UVER	YZ	88398128
577827	1967	1998-09-12	VYDAJ	PREVOD NA UCET	5194	58305	UVER	YZ	88398128
577828	1967	1998-10-12	VYDAJ	PREVOD NA UCET	5194	64458	UVER	YZ	88398128
577829	1967	1998-11-12	VYDAJ	PREVOD NA UCET	5194	74889	UVER	YZ	88398128
577830	1967	1998-12-12	VYDAJ	PREVOD NA UCET	5194	12352	UVER	YZ	88398128
577840	1967	1995-10-14	VYDAJ	PREVOD NA UCET	14164	69565	SIPO	KL	91595464
577841	1967	1995-11-14	VYDAJ	PREVOD NA UCET	14164	25618	SIPO	KL	91595464
577842	1967	1995-12-14	VYDAJ	PREVOD NA UCET	14164	12464	SIPO	KL	91595464
577843	1967	1996-01-14	VYDAJ	PREVOD NA UCET	14164	4557	SIPO	KL	91595464
577844	1967	1996-02-14	VYDAJ	PREVOD NA UCET	14164	5834	SIPO	KL	91595464
577846	1967	1996-04-14	VYDAJ	PREVOD NA UCET	14164	60727	SIPO	KL	91595464
577847	1967	1996-05-14	VYDAJ	PREVOD NA UCET	14164	35430	SIPO	KL	91595464
577848	1967	1996-06-14	VYDAJ	PREVOD NA UCET	14164	35047	SIPO	KL	91595464
577849	1967	1996-07-14	VYDAJ	PREVOD NA UCET	14164	11542	SIPO	KL	91595464
577850	1967	1996-08-14	VYDAJ	PREVOD NA UCET	14164	9232	SIPO	KL	91595464
577851	1967	1996-09-14	VYDAJ	PREVOD NA UCET	14164	5443	SIPO	KL	91595464
577852	1967	1996-10-14	VYDAJ	PREVOD NA UCET	14164	16812	SIPO	KL	91595464
577853	1967	1996-11-14	VYDAJ	PREVOD NA UCET	14164	4335	SIPO	KL	91595464
577854	1967	1996-12-14	VYDAJ	PREVOD NA UCET	14164	11563	SIPO	KL	91595464
577855	1967	1997-01-14	VYDAJ	PREVOD NA UCET	14164	32273	SIPO	KL	91595464
577856	1967	1997-02-14	VYDAJ	PREVOD NA UCET	14164	5052	SIPO	KL	91595464
577857	1967	1997-03-14	VYDAJ	PREVOD NA UCET	14164	28448	SIPO	KL	91595464
577858	1967	1997-04-14	VYDAJ	PREVOD NA UCET	14164	8875	SIPO	KL	91595464
577860	1967	1997-06-14	VYDAJ	PREVOD NA UCET	14164	35510	SIPO	KL	91595464
577861	1967	1997-07-14	VYDAJ	PREVOD NA UCET	14164	38209	SIPO	KL	91595464
577862	1967	1997-08-14	VYDAJ	PREVOD NA UCET	14164	24866	SIPO	KL	91595464
577863	1967	1997-09-14	VYDAJ	PREVOD NA UCET	14164	2705	SIPO	KL	91595464
577864	1967	1997-10-14	VYDAJ	PREVOD NA UCET	14164	22705	SIPO	KL	91595464
577865	1967	1997-11-14	VYDAJ	PREVOD NA UCET	14164	63194	SIPO	KL	91595464
577866	1967	1997-12-14	VYDAJ	PREVOD NA UCET	14164	63378	SIPO	KL	91595464
577867	1967	1998-01-14	VYDAJ	PREVOD NA UCET	14164	104978	SIPO	KL	91595464
577868	1967	1998-02-14	VYDAJ	PREVOD NA UCET	14164	49635	SIPO	KL	91595464
577869	1967	1998-03-14	VYDAJ	PREVOD NA UCET	14164	16149	SIPO	KL	91595464
577871	1967	1998-05-14	VYDAJ	PREVOD NA UCET	14164	63314	SIPO	KL	91595464
577872	1967	1998-06-14	VYDAJ	PREVOD NA UCET	14164	15846	SIPO	KL	91595464
577873	1967	1998-07-14	VYDAJ	PREVOD NA UCET	14164	13689	SIPO	KL	91595464
577874	1967	1998-08-14	VYDAJ	PREVOD NA UCET	14164	47019	SIPO	KL	91595464
577875	1967	1998-09-14	VYDAJ	PREVOD NA UCET	14164	44141	SIPO	KL	91595464
577876	1967	1998-10-14	VYDAJ	PREVOD NA UCET	14164	50294	SIPO	KL	91595464
577877	1967	1998-11-14	VYDAJ	PREVOD NA UCET	14164	50181	SIPO	KL	91595464
577881	1967	1996-06-27	VYBER	VYBER	9408	63291	\N	\N	\N
577883	1967	1996-10-01	VYBER	VYBER	14557	50970	\N	\N	\N
577884	1967	1996-12-12	VYBER	VYBER	9573	30921	\N	\N	\N
577885	1967	1996-06-11	VYBER	VYBER	7106	54405	\N	\N	\N
577897	1967	1998-06-09	VYBER	VYBER	3922	35204	\N	\N	\N
577898	1967	1998-08-25	VYBER	VYBER	7627	39392	\N	\N	\N
577902	1967	1998-11-13	VYBER	VYBER	10544	64345	\N	\N	\N
577904	1967	1998-07-07	VYBER	VYBER	22912	33047	\N	\N	\N
577905	1967	1998-06-06	VYBER	VYBER	7264	39126	\N	\N	\N
577908	1967	1996-06-29	VYDAJ	VYBER	30300	32991	\N	\N	\N
577914	1967	1998-01-23	VYDAJ	VYBER	3900	96278	\N	\N	\N
577916	1967	1996-12-11	VYDAJ	VYBER	4500	40494	\N	\N	\N
577917	1967	1997-12-04	VYDAJ	VYBER	3000	39662	\N	\N	\N
577926	1967	1996-01-10	VYDAJ	VYBER	4500	23221	\N	\N	\N
577931	1967	1997-01-10	VYDAJ	VYBER	4800	51631	\N	\N	\N
577934	1967	1997-01-22	VYDAJ	VYBER	7500	21473	\N	\N	\N
577935	1967	1997-01-01	VYDAJ	VYBER	8700	95131	\N	\N	\N
577936	1967	1997-01-02	VYDAJ	VYBER	4500	90631	\N	\N	\N
577937	1967	1998-01-27	VYDAJ	VYBER	1800	83978	\N	\N	\N
577938	1967	1998-01-26	VYDAJ	VYBER	6300	85778	\N	\N	\N
577939	1967	1998-01-27	VYDAJ	VYBER	3300	80678	\N	\N	\N
577940	1967	1998-01-23	VYDAJ	VYBER	4200	92078	\N	\N	\N
577941	1967	1998-01-21	VYDAJ	VYBER	4800	100178	\N	\N	\N
577942	1967	1998-01-05	VYDAJ	VYBER	7800	59298	\N	\N	\N
577945	1967	1995-11-04	VYDAJ	VYBER	14400	45782	\N	\N	\N
577948	1967	1995-11-01	VYDAJ	VYBER	9600	60182	\N	\N	\N
577950	1967	1996-07-09	VYDAJ	VYBER	13200	30900	\N	\N	\N
577952	1967	1996-10-02	VYDAJ	VYBER	1800	49170	\N	\N	\N
577959	1967	1997-01-20	VYDAJ	VYBER	3300	28973	\N	\N	\N
577962	1967	1998-01-07	VYDAJ	VYBER	3000	56298	\N	\N	\N
577963	1967	1998-11-16	VYDAJ	VYBER	2100	48081	\N	\N	\N
577965	1967	1998-11-23	VYDAJ	VYBER	4500	43581	\N	\N	\N
577966	1967	1998-09-14	VYDAJ	VYBER	8100	36041	\N	\N	\N
577977	1967	1995-10-31	VYDAJ	VYBER	30	69782	SLUZBY	\N	\N
577978	1967	1995-11-30	VYDAJ	VYBER	30	21428	SLUZBY	\N	\N
577979	1967	1995-12-31	VYDAJ	VYBER	30	7692	SLUZBY	\N	\N
577980	1967	1996-01-31	VYDAJ	VYBER	30	17398	SLUZBY	\N	\N
577981	1967	1996-02-29	VYDAJ	VYBER	30	5850	SLUZBY	\N	\N
577982	1967	1996-03-31	VYDAJ	VYBER	30	26728	SLUZBY	\N	\N
577983	1967	1996-04-30	VYDAJ	VYBER	30	99154	SLUZBY	\N	\N
577984	1967	1996-05-31	VYDAJ	VYBER	30	56757	SLUZBY	\N	\N
577985	1967	1996-06-30	VYDAJ	VYBER	30	33190	SLUZBY	\N	\N
577986	1967	1996-07-31	VYDAJ	VYBER	30	31290	SLUZBY	\N	\N
577987	1967	1996-08-31	VYDAJ	VYBER	30	24101	SLUZBY	\N	\N
577988	1967	1996-09-30	VYDAJ	VYBER	30	65527	SLUZBY	\N	\N
577989	1967	1996-10-31	VYDAJ	VYBER	30	16893	SLUZBY	\N	\N
577990	1967	1996-11-30	VYDAJ	VYBER	30	4346	SLUZBY	\N	\N
577991	1967	1996-12-31	VYDAJ	VYBER	30	103831	SLUZBY	\N	\N
577992	1967	1997-01-31	VYDAJ	VYBER	30	21610	SLUZBY	\N	\N
577993	1967	1997-02-28	VYDAJ	VYBER	30	5074	SLUZBY	\N	\N
577994	1967	1997-03-31	VYDAJ	VYBER	30	28533	SLUZBY	\N	\N
577995	1967	1997-04-30	VYDAJ	VYBER	30	8915	SLUZBY	\N	\N
577996	1967	1997-05-31	VYDAJ	VYBER	30	85668	SLUZBY	\N	\N
577997	1967	1997-06-30	VYDAJ	VYBER	30	85267	SLUZBY	\N	\N
577998	1967	1997-07-31	VYDAJ	VYBER	30	38410	SLUZBY	\N	\N
577999	1967	1997-08-31	VYDAJ	VYBER	30	24963	SLUZBY	\N	\N
578000	1967	1997-09-30	VYDAJ	VYBER	30	18521	SLUZBY	\N	\N
578001	1967	1997-10-31	VYDAJ	VYBER	30	24266	SLUZBY	\N	\N
578002	1967	1997-11-30	VYDAJ	VYBER	30	42662	SLUZBY	\N	\N
578003	1967	1997-12-31	VYDAJ	VYBER	30	67098	SLUZBY	\N	\N
578004	1967	1998-01-31	VYDAJ	VYBER	30	92668	SLUZBY	\N	\N
578005	1967	1998-02-28	VYDAJ	VYBER	30	35507	SLUZBY	\N	\N
578006	1967	1998-03-31	VYDAJ	VYBER	30	16218	SLUZBY	\N	\N
578007	1967	1998-04-30	VYDAJ	VYBER	30	34334	SLUZBY	\N	\N
578008	1967	1998-05-31	VYDAJ	VYBER	30	46390	SLUZBY	\N	\N
578009	1967	1998-06-30	VYDAJ	VYBER	30	15925	SLUZBY	\N	\N
578010	1967	1998-07-31	VYDAJ	VYBER	30	63339	SLUZBY	\N	\N
578011	1967	1998-08-31	VYDAJ	VYBER	30	20716	SLUZBY	\N	\N
578012	1967	1998-09-30	VYDAJ	VYBER	30	29300	SLUZBY	\N	\N
578013	1967	1998-10-31	VYDAJ	VYBER	30	61938	SLUZBY	\N	\N
578014	1967	1998-11-30	VYDAJ	VYBER	30	17546	SLUZBY	\N	\N
578015	1967	1995-03-15	PRIJEM	VKLAD	11900	12800	\N	\N	\N
578016	1967	1995-04-14	VYDAJ	VYBER	22100	44642	\N	\N	\N
578017	1967	1995-05-14	VYDAJ	VYBER	7100	37685	\N	\N	\N
578018	1967	1995-06-13	VYDAJ	VYBER	13500	42160	\N	\N	\N
578019	1967	1995-07-13	VYDAJ	VYBER	8000	34392	\N	\N	\N
578020	1967	1995-08-12	VYDAJ	VYBER	23600	54547	\N	\N	\N
578021	1967	1995-09-11	VYDAJ	VYBER	10700	44171	\N	\N	\N
578022	1967	1995-10-11	VYDAJ	VYBER	32100	56497	\N	\N	\N
578023	1967	1995-11-10	VYDAJ	VYBER	6000	39782	\N	\N	\N
578024	1967	1995-12-10	PRIJEM	VKLAD	5200	26628	\N	\N	\N
578025	1967	1996-01-09	PRIJEM	VKLAD	4400	27721	\N	\N	\N
578026	1967	1996-02-08	PRIJEM	VKLAD	9200	26598	\N	\N	\N
578027	1967	1996-03-09	PRIJEM	VKLAD	13800	19650	\N	\N	\N
578028	1967	1996-04-08	PRIJEM	VKLAD	2500	29228	\N	\N	\N
578029	1967	1996-05-06	VYDAJ	VYBER	62300	83188	\N	\N	\N
578030	1967	1996-05-08	VYDAJ	VYBER	28400	54788	\N	\N	\N
578031	1967	1996-06-07	VYDAJ	VYBER	37500	61511	\N	\N	\N
578032	1967	1996-07-07	VYDAJ	VYBER	24000	44100	\N	\N	\N
578033	1967	1996-08-06	VYDAJ	VYBER	2700	28590	\N	\N	\N
578034	1967	1996-09-05	PRIJEM	VKLAD	700	24801	\N	\N	\N
578035	1967	1996-10-05	VYDAJ	VYBER	13000	36170	\N	\N	\N
578036	1967	1996-11-04	PRIJEM	VKLAD	6800	23693	\N	\N	\N
578037	1967	1996-12-04	PRIJEM	VKLAD	12100	16446	\N	\N	\N
578038	1967	1997-01-03	VYDAJ	VYBER	34200	56431	\N	\N	\N
578039	1967	1997-02-02	PRIJEM	VKLAD	2800	24410	\N	\N	\N
578040	1967	1997-03-04	PRIJEM	VKLAD	9000	14074	\N	\N	\N
578041	1967	1997-04-03	VYDAJ	VYBER	300	28233	\N	\N	\N
578042	1967	1997-05-03	PRIJEM	VKLAD	8400	17315	\N	\N	\N
578043	1967	1997-06-02	VYDAJ	VYBER	30800	54868	\N	\N	\N
578044	1967	1997-07-02	VYDAJ	VYBER	27700	57567	\N	\N	\N
578045	1967	1997-08-01	VYDAJ	VYBER	9100	29310	\N	\N	\N
578046	1967	1997-08-31	VYDAJ	VYBER	2900	22063	\N	\N	\N
578047	1967	1997-09-30	PRIJEM	VKLAD	2000	18495	\N	\N	\N
578048	1967	1997-10-30	PRIJEM	VKLAD	1500	24205	\N	\N	\N
578049	1967	1997-11-29	VYDAJ	VYBER	20700	42494	\N	\N	\N
578050	1967	1997-12-29	VYDAJ	VYBER	38700	66861	\N	\N	\N
578051	1967	1998-01-13	VYDAJ	VYBER	26800	119142	\N	\N	\N
578052	1967	1998-01-28	VYDAJ	VYBER	30300	50378	\N	\N	\N
578053	1967	1998-02-05	VYDAJ	VYBER	61900	68993	\N	\N	\N
578054	1967	1998-02-27	VYDAJ	VYBER	20800	35278	\N	\N	\N
578055	1967	1998-04-28	VYDAJ	VYBER	23900	34269	\N	\N	\N
578056	1967	1998-05-28	VYDAJ	VYBER	37800	46146	\N	\N	\N
578057	1967	1998-07-27	VYDAJ	VYBER	24500	24822	\N	\N	\N
578058	1967	1998-08-06	VYDAJ	VYBER	18800	112277	\N	\N	\N
578059	1967	1998-08-12	VYDAJ	VYBER	45900	61183	\N	\N	\N
578060	1967	1998-08-26	VYDAJ	VYBER	18900	20492	\N	\N	\N
578061	1967	1998-09-25	VYDAJ	VYBER	28600	29188	\N	\N	\N
578062	1967	1998-10-25	VYDAJ	VYBER	26300	23994	\N	\N	\N
578063	1967	1998-11-24	VYDAJ	VYBER	26200	17381	\N	\N	\N
578064	1967	1998-12-24	VYDAJ	VYBER	29300	27717	\N	\N	\N
578113	1968	1997-10-14	PRIJEM	VKLAD	800	800	\N	\N	\N
578120	1968	1997-10-16	PRIJEM	VKLAD	28567	29367	\N	\N	\N
578123	1968	1997-11-28	PRIJEM	VKLAD	24703	66691	\N	\N	\N
578127	1968	1997-10-20	PRIJEM	VKLAD	24518	53885	\N	\N	\N
578135	1968	1998-03-20	PRIJEM	VKLAD	7797	35523	\N	\N	\N
578136	1968	1998-12-08	PRIJEM	VKLAD	17743	41261	\N	\N	\N
578137	1968	1998-04-06	PRIJEM	VKLAD	8700	44358	\N	\N	\N
578138	1968	1998-01-29	PRIJEM	VKLAD	7784	42082	\N	\N	\N
578139	1968	1998-11-20	PRIJEM	VKLAD	26318	36270	\N	\N	\N
578140	1968	1998-11-09	PRIJEM	VKLAD	6588	9952	\N	\N	\N
578141	1968	1998-04-08	PRIJEM	VKLAD	17688	62046	\N	\N	\N
578157	1968	1998-04-19	VYDAJ	VYBER	13700	35346	SIPO	\N	0
578158	1968	1998-05-07	VYDAJ	VYBER	14300	21191	SIPO	\N	0
578159	1968	1998-06-14	VYDAJ	VYBER	12800	20674	SIPO	\N	0
578160	1968	1998-07-17	VYDAJ	VYBER	16700	15233	SIPO	\N	0
578161	1968	1998-08-09	VYDAJ	VYBER	11900	3378	SIPO	\N	0
578165	1968	1998-12-03	VYDAJ	VYBER	12800	23518	SIPO	\N	0
578220	1968	1998-03-31	VYDAJ	VYBER	30	35658	SLUZBY	\N	\N
578221	1968	1998-04-30	VYDAJ	VYBER	30	35491	SLUZBY	\N	\N
578222	1968	1998-05-31	VYDAJ	VYBER	30	22474	SLUZBY	\N	\N
578223	1968	1998-06-30	VYDAJ	VYBER	30	20733	SLUZBY	\N	\N
578224	1968	1998-07-31	VYDAJ	VYBER	30	15278	SLUZBY	\N	\N
578225	1968	1998-08-31	VYDAJ	VYBER	30	3410	SLUZBY	\N	\N
578226	1968	1998-09-30	VYDAJ	VYBER	30	3394	SLUZBY	\N	\N
578227	1968	1998-10-31	VYDAJ	VYBER	30	3364	SLUZBY	\N	\N
578228	1968	1998-11-30	VYDAJ	VYBER	30	36318	SLUZBY	\N	\N
578229	1968	1997-11-13	VYDAJ	VYBER	12000	41988	\N	\N	\N
578230	1968	1997-12-13	VYDAJ	VYBER	19800	47121	\N	\N	\N
578231	1968	1998-01-12	VYDAJ	VYBER	13100	34298	\N	\N	\N
578232	1968	1998-02-11	VYDAJ	VYBER	11200	31150	\N	\N	\N
578233	1968	1998-03-13	VYDAJ	VYBER	3600	27726	\N	\N	\N
578234	1968	1998-04-12	VYDAJ	VYBER	13000	49046	\N	\N	\N
578235	1968	1998-05-12	PRIJEM	VKLAD	1200	22391	\N	\N	\N
578236	1968	1998-06-11	PRIJEM	VKLAD	11000	33474	\N	\N	\N
578237	1968	1998-07-11	PRIJEM	VKLAD	11200	31933	\N	\N	\N
578238	1968	1998-12-08	VYDAJ	VYBER	21300	19961	\N	\N	\N
578256	1969	1994-04-02	PRIJEM	VKLAD	800	800	\N	\N	\N
578260	1969	1994-04-14	PRIJEM	VKLAD	10602	11402	\N	\N	\N
578261	1969	1994-05-14	PRIJEM	VKLAD	10602	30231	\N	\N	\N
578262	1969	1994-06-14	PRIJEM	VKLAD	15903	44027	\N	\N	\N
578263	1969	1994-07-14	PRIJEM	VKLAD	10602	44588	\N	\N	\N
578264	1969	1994-08-14	PRIJEM	VKLAD	10602	43773	\N	\N	\N
578265	1969	1994-09-14	PRIJEM	VKLAD	10602	38695	\N	\N	\N
578266	1969	1994-10-14	PRIJEM	VKLAD	10602	37430	\N	\N	\N
578267	1969	1994-11-14	PRIJEM	VKLAD	10602	34958	\N	\N	\N
578268	1969	1994-12-14	PRIJEM	VKLAD	15903	36356	\N	\N	\N
578269	1969	1995-01-14	PRIJEM	VKLAD	10602	26788	\N	\N	\N
578270	1969	1995-02-14	PRIJEM	VKLAD	10602	22182	\N	\N	\N
578271	1969	1995-03-14	PRIJEM	VKLAD	10602	23647	\N	\N	\N
578272	1969	1995-04-14	PRIJEM	VKLAD	10602	28621	\N	\N	\N
578273	1969	1995-05-14	PRIJEM	VKLAD	10602	31013	\N	\N	\N
578274	1969	1995-06-14	PRIJEM	VKLAD	15903	33513	\N	\N	\N
578275	1969	1995-07-14	PRIJEM	VKLAD	10602	27630	\N	\N	\N
578276	1969	1995-08-14	PRIJEM	VKLAD	10602	28311	\N	\N	\N
578277	1969	1995-09-14	PRIJEM	VKLAD	10602	26154	\N	\N	\N
578278	1969	1995-10-14	PRIJEM	VKLAD	10602	29536	\N	\N	\N
578279	1969	1995-11-14	PRIJEM	VKLAD	10602	27526	\N	\N	\N
578280	1969	1995-12-14	PRIJEM	VKLAD	15903	31191	\N	\N	\N
578281	1969	1996-01-14	PRIJEM	VKLAD	10602	27996	\N	\N	\N
578282	1969	1996-02-14	PRIJEM	VKLAD	10602	19149	\N	\N	\N
578283	1969	1996-03-14	PRIJEM	VKLAD	10602	20898	\N	\N	\N
578284	1969	1996-04-14	PRIJEM	VKLAD	10602	21554	\N	\N	\N
578285	1969	1996-05-14	PRIJEM	VKLAD	10602	25917	\N	\N	\N
578286	1969	1996-06-14	PRIJEM	VKLAD	15903	33196	\N	\N	\N
578287	1969	1996-07-14	PRIJEM	VKLAD	10602	26581	\N	\N	\N
578288	1969	1996-08-14	PRIJEM	VKLAD	10602	25856	\N	\N	\N
578289	1969	1996-09-14	PRIJEM	VKLAD	10602	24527	\N	\N	\N
578290	1969	1996-10-14	PRIJEM	VKLAD	10602	23091	\N	\N	\N
578291	1969	1996-11-14	PRIJEM	VKLAD	10602	21649	\N	\N	\N
578292	1969	1996-12-14	PRIJEM	VKLAD	15903	25303	\N	\N	\N
578293	1969	1997-01-14	PRIJEM	VKLAD	10602	20653	\N	\N	\N
578294	1969	1997-02-14	PRIJEM	VKLAD	10602	19400	\N	\N	\N
578295	1969	1997-03-14	PRIJEM	VKLAD	10602	17238	\N	\N	\N
578296	1969	1997-04-14	PRIJEM	VKLAD	10602	19478	\N	\N	\N
578297	1969	1997-05-14	PRIJEM	VKLAD	10602	17118	\N	\N	\N
578298	1969	1997-06-14	PRIJEM	VKLAD	15903	27664	\N	\N	\N
578299	1969	1997-07-14	PRIJEM	VKLAD	10602	20079	\N	\N	\N
578300	1969	1997-08-14	PRIJEM	VKLAD	10602	24617	\N	\N	\N
578301	1969	1997-09-14	PRIJEM	VKLAD	10602	19386	\N	\N	\N
578302	1969	1997-10-14	PRIJEM	VKLAD	10602	24640	\N	\N	\N
578303	1969	1997-11-14	PRIJEM	VKLAD	10602	29917	\N	\N	\N
578304	1969	1997-12-14	PRIJEM	VKLAD	15903	33389	\N	\N	\N
578305	1969	1998-01-14	PRIJEM	VKLAD	10602	26848	\N	\N	\N
578306	1969	1998-02-14	PRIJEM	VKLAD	10602	25288	\N	\N	\N
578307	1969	1998-03-14	PRIJEM	VKLAD	10602	30566	\N	\N	\N
578308	1969	1998-04-14	PRIJEM	VKLAD	10602	25340	\N	\N	\N
578309	1969	1998-05-14	PRIJEM	VKLAD	10602	30625	\N	\N	\N
578310	1969	1998-06-14	PRIJEM	VKLAD	15903	37327	\N	\N	\N
578311	1969	1998-07-14	PRIJEM	VKLAD	10602	28643	\N	\N	\N
578312	1969	1998-08-14	PRIJEM	VKLAD	10602	28728	\N	\N	\N
578313	1969	1998-09-14	PRIJEM	VKLAD	10602	28403	\N	\N	\N
578314	1969	1998-10-14	PRIJEM	VKLAD	10602	26795	\N	\N	\N
578315	1969	1998-11-14	PRIJEM	VKLAD	10602	32082	\N	\N	\N
578316	1969	1998-12-14	PRIJEM	VKLAD	15903	33489	\N	\N	\N
578325	1969	1994-09-05	VYDAJ	PREVOD NA UCET	5403	28093	SIPO	QR	67560100
578326	1969	1994-10-05	VYDAJ	PREVOD NA UCET	5403	26828	SIPO	QR	67560100
578327	1969	1994-11-05	VYDAJ	PREVOD NA UCET	5403	24356	SIPO	QR	67560100
578328	1969	1994-12-05	VYDAJ	PREVOD NA UCET	5403	21573	SIPO	QR	67560100
578329	1969	1995-01-05	VYDAJ	PREVOD NA UCET	5403	22666	SIPO	QR	67560100
578330	1969	1995-02-05	VYDAJ	PREVOD NA UCET	5403	11580	SIPO	QR	67560100
578331	1969	1995-03-05	VYDAJ	PREVOD NA UCET	5403	13045	SIPO	QR	67560100
578332	1969	1995-04-05	VYDAJ	PREVOD NA UCET	5403	18019	SIPO	QR	67560100
578333	1969	1995-05-05	VYDAJ	PREVOD NA UCET	5403	20411	SIPO	QR	67560100
578334	1969	1995-06-05	VYDAJ	PREVOD NA UCET	5403	17610	SIPO	QR	67560100
578335	1969	1995-07-05	VYDAJ	PREVOD NA UCET	5403	17028	SIPO	QR	67560100
578336	1969	1995-08-05	VYDAJ	PREVOD NA UCET	5403	17709	SIPO	QR	67560100
578337	1969	1995-09-05	VYDAJ	PREVOD NA UCET	5403	15552	SIPO	QR	67560100
578338	1969	1995-10-05	VYDAJ	PREVOD NA UCET	5403	18934	SIPO	QR	67560100
578339	1969	1995-11-05	VYDAJ	PREVOD NA UCET	5403	16924	SIPO	QR	67560100
578340	1969	1995-12-05	VYDAJ	PREVOD NA UCET	5403	17208	SIPO	QR	67560100
578341	1969	1996-01-05	VYDAJ	PREVOD NA UCET	5403	18474	SIPO	QR	67560100
578342	1969	1996-02-05	VYDAJ	PREVOD NA UCET	5403	8547	SIPO	QR	67560100
578343	1969	1996-03-05	VYDAJ	PREVOD NA UCET	5403	10296	SIPO	QR	67560100
578344	1969	1996-04-05	VYDAJ	PREVOD NA UCET	5403	10952	SIPO	QR	67560100
578345	1969	1996-05-05	VYDAJ	PREVOD NA UCET	5403	15315	SIPO	QR	67560100
578346	1969	1996-06-05	VYDAJ	PREVOD NA UCET	5403	17293	SIPO	QR	67560100
578347	1969	1996-07-05	VYDAJ	PREVOD NA UCET	5403	15979	SIPO	QR	67560100
578348	1969	1996-08-05	VYDAJ	PREVOD NA UCET	5403	15254	SIPO	QR	67560100
578349	1969	1996-09-05	VYDAJ	PREVOD NA UCET	5403	13925	SIPO	QR	67560100
578350	1969	1996-10-05	VYDAJ	PREVOD NA UCET	5403	12489	SIPO	QR	67560100
578351	1969	1996-11-05	VYDAJ	PREVOD NA UCET	5403	11047	SIPO	QR	67560100
578352	1969	1996-12-05	VYDAJ	PREVOD NA UCET	5403	9400	SIPO	QR	67560100
578353	1969	1997-01-05	VYDAJ	PREVOD NA UCET	5403	10051	SIPO	QR	67560100
578354	1969	1997-02-05	VYDAJ	PREVOD NA UCET	5403	8798	SIPO	QR	67560100
578355	1969	1997-03-05	VYDAJ	PREVOD NA UCET	5403	6636	SIPO	QR	67560100
578356	1969	1997-04-05	VYDAJ	PREVOD NA UCET	5403	8876	SIPO	QR	67560100
578357	1969	1997-05-05	VYDAJ	PREVOD NA UCET	5403	6516	SIPO	QR	67560100
578358	1969	1997-06-05	VYDAJ	PREVOD NA UCET	5403	11761	SIPO	QR	67560100
578359	1969	1997-07-05	VYDAJ	PREVOD NA UCET	5403	9477	SIPO	QR	67560100
578360	1969	1997-08-05	VYDAJ	PREVOD NA UCET	5403	14015	SIPO	QR	67560100
578361	1969	1997-09-05	VYDAJ	PREVOD NA UCET	5403	8784	SIPO	QR	67560100
578362	1969	1997-10-05	VYDAJ	PREVOD NA UCET	5403	14038	SIPO	QR	67560100
578363	1969	1997-11-05	VYDAJ	PREVOD NA UCET	5403	19315	SIPO	QR	67560100
578364	1969	1997-12-05	VYDAJ	PREVOD NA UCET	5403	17486	SIPO	QR	67560100
578365	1969	1998-01-05	VYDAJ	PREVOD NA UCET	5403	22326	SIPO	QR	67560100
578366	1969	1998-02-05	VYDAJ	PREVOD NA UCET	5403	14686	SIPO	QR	67560100
578367	1969	1998-03-05	VYDAJ	PREVOD NA UCET	5403	19964	SIPO	QR	67560100
578368	1969	1998-04-05	VYDAJ	PREVOD NA UCET	5403	20938	SIPO	QR	67560100
578369	1969	1998-05-05	VYDAJ	PREVOD NA UCET	5403	20023	SIPO	QR	67560100
578370	1969	1998-06-05	VYDAJ	PREVOD NA UCET	5403	25324	SIPO	QR	67560100
578371	1969	1998-07-05	VYDAJ	PREVOD NA UCET	5403	14441	SIPO	QR	67560100
578372	1969	1998-08-05	VYDAJ	PREVOD NA UCET	5403	23326	SIPO	QR	67560100
578373	1969	1998-09-05	VYDAJ	PREVOD NA UCET	5403	23421	SIPO	QR	67560100
578374	1969	1998-10-05	VYDAJ	PREVOD NA UCET	5403	23093	SIPO	QR	67560100
578375	1969	1998-11-05	VYDAJ	PREVOD NA UCET	5403	21480	SIPO	QR	67560100
578376	1969	1998-12-05	VYDAJ	PREVOD NA UCET	5403	26786	SIPO	QR	67560100
578378	1969	1995-06-25	VYDAJ	VYBER	8800	24713	\N	\N	\N
578381	1969	1998-06-29	VYDAJ	VYBER	17600	19727	\N	\N	\N
578383	1969	1995-01-23	VYDAJ	VYBER	4960	18708	\N	\N	\N
578386	1969	1998-01-10	VYDAJ	VYBER	6080	16246	\N	\N	\N
578387	1969	1994-12-10	VYDAJ	VYBER	1120	20453	\N	\N	\N
578388	1969	1995-12-09	VYDAJ	VYBER	1920	15288	\N	\N	\N
578390	1969	1997-12-05	VYDAJ	VYBER	3520	22889	\N	\N	\N
578398	1969	1995-01-01	VYDAJ	VYBER	600	28069	\N	\N	\N
578399	1969	1995-01-07	VYDAJ	VYBER	3120	19546	\N	\N	\N
578400	1969	1995-01-24	VYDAJ	VYBER	1800	16908	\N	\N	\N
578401	1969	1995-01-18	VYDAJ	VYBER	3120	23668	\N	\N	\N
578402	1969	1995-01-27	VYDAJ	VYBER	600	16908	\N	\N	\N
578403	1969	1995-01-11	VYDAJ	VYBER	3360	16186	\N	\N	\N
578404	1969	1996-01-25	VYDAJ	VYBER	960	13876	\N	\N	\N
578405	1969	1996-01-25	VYDAJ	VYBER	3120	14836	\N	\N	\N
578406	1969	1996-01-12	VYDAJ	VYBER	1080	17394	\N	\N	\N
578407	1969	1996-01-16	VYDAJ	VYBER	840	27156	\N	\N	\N
578408	1969	1996-01-19	VYDAJ	VYBER	1560	25596	\N	\N	\N
578409	1969	1996-01-24	VYDAJ	VYBER	2760	17956	\N	\N	\N
578416	1969	1998-01-20	VYDAJ	VYBER	2040	22648	\N	\N	\N
578417	1969	1998-01-01	VYDAJ	VYBER	3000	30489	\N	\N	\N
578418	1969	1998-01-14	VYDAJ	VYBER	960	25888	\N	\N	\N
578419	1969	1998-01-27	VYDAJ	VYBER	2040	20608	\N	\N	\N
578420	1969	1998-01-05	VYDAJ	VYBER	2760	27729	\N	\N	\N
578421	1969	1998-01-19	VYDAJ	VYBER	1200	24688	\N	\N	\N
578423	1969	1995-08-17	VYDAJ	VYBER	2040	26271	\N	\N	\N
578424	1969	1995-07-03	VYDAJ	VYBER	1080	22431	\N	\N	\N
578426	1969	1996-11-21	VYDAJ	VYBER	3000	14749	\N	\N	\N
578427	1969	1996-07-18	VYDAJ	VYBER	2400	24181	\N	\N	\N
578428	1969	1996-01-20	VYDAJ	VYBER	5880	19716	\N	\N	\N
578429	1969	1997-11-17	VYDAJ	VYBER	3600	26317	\N	\N	\N
578431	1969	1997-06-27	VYDAJ	VYBER	2640	14824	\N	\N	\N
578432	1969	1997-08-04	VYDAJ	VYBER	720	19418	\N	\N	\N
578433	1969	1998-09-10	VYDAJ	VYBER	1920	17801	\N	\N	\N
578434	1969	1998-01-30	VYDAJ	VYBER	600	20008	\N	\N	\N
578435	1969	1998-03-24	VYDAJ	VYBER	1440	26246	\N	\N	\N
578436	1969	1998-03-19	VYDAJ	VYBER	2880	27686	\N	\N	\N
578445	1969	1994-08-31	VYDAJ	VYBER	15	33496	SLUZBY	\N	\N
578446	1969	1994-09-30	VYDAJ	VYBER	15	32231	SLUZBY	\N	\N
578447	1969	1994-10-31	VYDAJ	VYBER	15	29759	SLUZBY	\N	\N
578448	1969	1994-11-30	VYDAJ	VYBER	15	26976	SLUZBY	\N	\N
578449	1969	1994-12-31	VYDAJ	VYBER	15	28669	SLUZBY	\N	\N
578450	1969	1995-01-31	VYDAJ	VYBER	15	16983	SLUZBY	\N	\N
578451	1969	1995-02-28	VYDAJ	VYBER	15	18448	SLUZBY	\N	\N
578452	1969	1995-03-31	VYDAJ	VYBER	15	23422	SLUZBY	\N	\N
578453	1969	1995-04-30	VYDAJ	VYBER	15	25814	SLUZBY	\N	\N
578454	1969	1995-05-31	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
578455	1969	1995-06-30	VYDAJ	VYBER	15	23511	SLUZBY	\N	\N
578456	1969	1995-07-31	VYDAJ	VYBER	15	23112	SLUZBY	\N	\N
578457	1969	1995-08-31	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
578458	1969	1995-09-30	VYDAJ	VYBER	15	24337	SLUZBY	\N	\N
578459	1969	1995-10-31	VYDAJ	VYBER	15	22327	SLUZBY	\N	\N
578460	1969	1995-11-30	VYDAJ	VYBER	15	22611	SLUZBY	\N	\N
578461	1969	1995-12-31	VYDAJ	VYBER	15	23877	SLUZBY	\N	\N
578462	1969	1996-01-31	VYDAJ	VYBER	15	13950	SLUZBY	\N	\N
578463	1969	1996-02-29	VYDAJ	VYBER	15	15699	SLUZBY	\N	\N
578464	1969	1996-03-31	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
578465	1969	1996-04-30	VYDAJ	VYBER	15	20718	SLUZBY	\N	\N
578466	1969	1996-05-31	VYDAJ	VYBER	15	22696	SLUZBY	\N	\N
578467	1969	1996-06-30	VYDAJ	VYBER	15	21382	SLUZBY	\N	\N
578468	1969	1996-07-31	VYDAJ	VYBER	15	20657	SLUZBY	\N	\N
578469	1969	1996-08-31	VYDAJ	VYBER	15	19328	SLUZBY	\N	\N
578470	1969	1996-09-30	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
578471	1969	1996-10-31	VYDAJ	VYBER	15	16450	SLUZBY	\N	\N
578472	1969	1996-11-30	VYDAJ	VYBER	15	14803	SLUZBY	\N	\N
578473	1969	1996-12-31	VYDAJ	VYBER	15	15454	SLUZBY	\N	\N
578474	1969	1997-01-31	VYDAJ	VYBER	15	14201	SLUZBY	\N	\N
578475	1969	1997-02-28	VYDAJ	VYBER	15	12039	SLUZBY	\N	\N
578476	1969	1997-03-31	VYDAJ	VYBER	15	14279	SLUZBY	\N	\N
578477	1969	1997-04-30	VYDAJ	VYBER	15	11919	SLUZBY	\N	\N
578478	1969	1997-05-31	VYDAJ	VYBER	15	17164	SLUZBY	\N	\N
578479	1969	1997-06-30	VYDAJ	VYBER	15	14880	SLUZBY	\N	\N
578480	1969	1997-07-31	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
578481	1969	1997-08-31	VYDAJ	VYBER	15	14187	SLUZBY	\N	\N
578482	1969	1997-09-30	VYDAJ	VYBER	15	19441	SLUZBY	\N	\N
578483	1969	1997-10-31	VYDAJ	VYBER	15	24718	SLUZBY	\N	\N
578484	1969	1997-11-30	VYDAJ	VYBER	15	26409	SLUZBY	\N	\N
578485	1969	1997-12-31	VYDAJ	VYBER	15	33489	SLUZBY	\N	\N
578486	1969	1998-01-31	VYDAJ	VYBER	15	20089	SLUZBY	\N	\N
578487	1969	1998-02-28	VYDAJ	VYBER	15	25367	SLUZBY	\N	\N
578488	1969	1998-03-31	VYDAJ	VYBER	15	26341	SLUZBY	\N	\N
578489	1969	1998-04-30	VYDAJ	VYBER	15	25426	SLUZBY	\N	\N
578490	1969	1998-05-31	VYDAJ	VYBER	15	30727	SLUZBY	\N	\N
578491	1969	1998-06-30	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
578492	1969	1998-07-31	VYDAJ	VYBER	15	28729	SLUZBY	\N	\N
578493	1969	1998-08-31	VYDAJ	VYBER	15	28824	SLUZBY	\N	\N
578494	1969	1998-09-30	VYDAJ	VYBER	15	28496	SLUZBY	\N	\N
578495	1969	1998-10-31	VYDAJ	VYBER	15	26883	SLUZBY	\N	\N
578496	1969	1998-11-30	VYDAJ	VYBER	15	32189	SLUZBY	\N	\N
578497	1969	1994-05-02	PRIJEM	VKLAD	8200	19629	\N	\N	\N
578498	1969	1994-06-01	VYDAJ	VYBER	2200	28124	\N	\N	\N
578499	1969	1994-07-01	VYDAJ	VYBER	10200	33986	\N	\N	\N
578500	1969	1994-07-31	VYDAJ	VYBER	11600	33171	\N	\N	\N
578501	1969	1994-08-30	VYDAJ	VYBER	10400	33373	\N	\N	\N
578502	1969	1994-09-29	VYDAJ	VYBER	6600	32095	\N	\N	\N
578503	1969	1994-10-29	VYDAJ	VYBER	7800	29630	\N	\N	\N
578504	1969	1994-11-28	VYDAJ	VYBER	8100	26858	\N	\N	\N
578505	1969	1994-12-28	VYDAJ	VYBER	7800	28556	\N	\N	\N
578506	1969	1995-01-27	PRIJEM	VKLAD	600	17508	\N	\N	\N
578507	1969	1995-02-26	VYDAJ	VYBER	3800	18382	\N	\N	\N
578508	1969	1995-03-28	VYDAJ	VYBER	300	23347	\N	\N	\N
578509	1969	1995-04-27	VYDAJ	VYBER	2900	25721	\N	\N	\N
578510	1969	1995-05-27	VYDAJ	VYBER	8100	22913	\N	\N	\N
578511	1969	1995-06-26	VYDAJ	VYBER	1300	23413	\N	\N	\N
578512	1969	1995-07-26	VYDAJ	VYBER	4600	23030	\N	\N	\N
578513	1969	1995-08-25	VYDAJ	VYBER	5400	20871	\N	\N	\N
578514	1969	1995-09-24	VYDAJ	VYBER	1900	24254	\N	\N	\N
578515	1969	1995-10-24	VYDAJ	VYBER	7300	22236	\N	\N	\N
578516	1969	1995-11-23	VYDAJ	VYBER	5000	22526	\N	\N	\N
578517	1969	1995-12-23	VYDAJ	VYBER	7400	23791	\N	\N	\N
578518	1969	1996-01-22	PRIJEM	VKLAD	1000	20716	\N	\N	\N
578519	1969	1996-02-21	VYDAJ	VYBER	3500	15649	\N	\N	\N
578520	1969	1996-03-22	VYDAJ	VYBER	4600	16298	\N	\N	\N
578521	1969	1996-04-21	VYDAJ	VYBER	900	20654	\N	\N	\N
578522	1969	1996-05-21	VYDAJ	VYBER	3300	22617	\N	\N	\N
578523	1969	1996-06-20	VYDAJ	VYBER	11900	21296	\N	\N	\N
578524	1969	1996-07-20	VYDAJ	VYBER	3600	20581	\N	\N	\N
578525	1969	1996-08-19	VYDAJ	VYBER	6600	19256	\N	\N	\N
578526	1969	1996-09-18	VYDAJ	VYBER	6700	17827	\N	\N	\N
578527	1969	1996-10-18	VYDAJ	VYBER	6700	16391	\N	\N	\N
578528	1969	1996-11-17	VYDAJ	VYBER	3900	17749	\N	\N	\N
578529	1969	1996-12-17	VYDAJ	VYBER	9900	15403	\N	\N	\N
578530	1969	1997-01-16	VYDAJ	VYBER	6500	14153	\N	\N	\N
578531	1969	1997-02-15	VYDAJ	VYBER	7400	12000	\N	\N	\N
578532	1969	1997-03-17	VYDAJ	VYBER	3000	14238	\N	\N	\N
578533	1969	1997-04-16	VYDAJ	VYBER	7600	11878	\N	\N	\N
578534	1969	1997-06-15	VYDAJ	VYBER	10200	17464	\N	\N	\N
578535	1969	1997-08-14	VYDAJ	VYBER	10500	14117	\N	\N	\N
578536	1969	1998-04-11	VYDAJ	VYBER	6200	14738	\N	\N	\N
578537	1969	1998-06-10	VYDAJ	VYBER	3900	21424	\N	\N	\N
578538	1969	1998-07-10	PRIJEM	VKLAD	3600	18041	\N	\N	\N
578539	1969	1998-08-09	VYDAJ	VYBER	5200	18126	\N	\N	\N
578540	1969	1998-09-08	VYDAJ	VYBER	3700	19721	\N	\N	\N
578541	1969	1998-10-08	VYDAJ	VYBER	6900	16193	\N	\N	\N
578542	1969	1998-12-07	VYDAJ	VYBER	9200	17586	\N	\N	\N
578600	1970	1993-12-08	PRIJEM	VKLAD	900	900	\N	\N	\N
578612	1970	1993-12-14	PRIJEM	VKLAD	33659	34559	\N	\N	\N
578613	1970	1994-01-14	PRIJEM	VKLAD	22439	52781	\N	\N	\N
578614	1970	1994-02-14	PRIJEM	VKLAD	22439	61508	\N	\N	\N
578615	1970	1994-03-14	PRIJEM	VKLAD	22439	67987	\N	\N	\N
578616	1970	1994-04-14	PRIJEM	VKLAD	22439	69898	\N	\N	\N
578617	1970	1994-05-14	PRIJEM	VKLAD	22439	66920	\N	\N	\N
578618	1970	1994-06-14	PRIJEM	VKLAD	33659	60012	\N	\N	\N
578619	1970	1994-07-14	PRIJEM	VKLAD	22439	62189	\N	\N	\N
578620	1970	1994-08-14	PRIJEM	VKLAD	22439	62572	\N	\N	\N
578621	1970	1994-09-14	PRIJEM	VKLAD	22439	64461	\N	\N	\N
578622	1970	1994-10-14	PRIJEM	VKLAD	22439	62656	\N	\N	\N
578623	1970	1994-11-14	PRIJEM	VKLAD	22439	60183	\N	\N	\N
578624	1970	1994-12-14	PRIJEM	VKLAD	33659	74881	\N	\N	\N
578625	1970	1995-01-14	PRIJEM	VKLAD	22439	58716	\N	\N	\N
578626	1970	1995-02-14	PRIJEM	VKLAD	22439	61852	\N	\N	\N
578627	1970	1995-03-14	PRIJEM	VKLAD	22439	65325	\N	\N	\N
578628	1970	1995-04-14	PRIJEM	VKLAD	22439	63719	\N	\N	\N
578629	1970	1995-05-14	PRIJEM	VKLAD	22439	64612	\N	\N	\N
578630	1970	1995-06-14	PRIJEM	VKLAD	33659	60348	\N	\N	\N
578631	1970	1995-07-14	PRIJEM	VKLAD	22439	60947	\N	\N	\N
578632	1970	1995-08-14	PRIJEM	VKLAD	22439	62520	\N	\N	\N
578633	1970	1995-09-14	PRIJEM	VKLAD	22439	62600	\N	\N	\N
578634	1970	1995-10-14	PRIJEM	VKLAD	22439	59370	\N	\N	\N
578635	1970	1995-11-14	PRIJEM	VKLAD	22439	62814	\N	\N	\N
578636	1970	1995-12-14	PRIJEM	VKLAD	33659	78688	\N	\N	\N
578637	1970	1996-01-14	PRIJEM	VKLAD	22439	57622	\N	\N	\N
578638	1970	1996-02-14	PRIJEM	VKLAD	22439	62681	\N	\N	\N
578639	1970	1996-03-14	PRIJEM	VKLAD	22439	65830	\N	\N	\N
578640	1970	1996-04-14	PRIJEM	VKLAD	22439	68131	\N	\N	\N
578641	1970	1996-05-14	PRIJEM	VKLAD	22439	71302	\N	\N	\N
578642	1970	1996-06-14	PRIJEM	VKLAD	33659	74719	\N	\N	\N
578643	1970	1996-07-14	PRIJEM	VKLAD	22439	75199	\N	\N	\N
578644	1970	1996-08-14	PRIJEM	VKLAD	22439	74694	\N	\N	\N
578645	1970	1996-09-14	PRIJEM	VKLAD	22439	75985	\N	\N	\N
578646	1970	1996-10-14	PRIJEM	VKLAD	22439	78781	\N	\N	\N
578647	1970	1996-11-14	PRIJEM	VKLAD	22439	80087	\N	\N	\N
578648	1970	1996-12-14	PRIJEM	VKLAD	33659	90813	\N	\N	\N
578649	1970	1997-01-14	PRIJEM	VKLAD	22439	76533	\N	\N	\N
578650	1970	1997-02-14	PRIJEM	VKLAD	22439	70724	\N	\N	\N
578651	1970	1997-03-14	PRIJEM	VKLAD	22439	77397	\N	\N	\N
578652	1970	1997-04-14	PRIJEM	VKLAD	22439	70604	\N	\N	\N
578653	1970	1997-05-14	PRIJEM	VKLAD	22439	70369	\N	\N	\N
578654	1970	1997-06-14	PRIJEM	VKLAD	33659	86859	\N	\N	\N
578655	1970	1997-07-14	PRIJEM	VKLAD	22439	70142	\N	\N	\N
578656	1970	1997-08-14	PRIJEM	VKLAD	22439	74315	\N	\N	\N
578657	1970	1997-09-14	PRIJEM	VKLAD	22439	76193	\N	\N	\N
578658	1970	1997-10-14	PRIJEM	VKLAD	22439	77374	\N	\N	\N
578659	1970	1997-11-14	PRIJEM	VKLAD	22439	78162	\N	\N	\N
578660	1970	1997-12-14	PRIJEM	VKLAD	33659	90168	\N	\N	\N
578661	1970	1998-01-14	PRIJEM	VKLAD	22439	74569	\N	\N	\N
578662	1970	1998-02-14	PRIJEM	VKLAD	22439	76445	\N	\N	\N
578663	1970	1998-03-14	PRIJEM	VKLAD	22439	82028	\N	\N	\N
578664	1970	1998-04-14	PRIJEM	VKLAD	22439	88440	\N	\N	\N
578665	1970	1998-05-14	PRIJEM	VKLAD	22439	88665	\N	\N	\N
578666	1970	1998-06-14	PRIJEM	VKLAD	33659	55784	\N	\N	\N
578667	1970	1998-07-14	PRIJEM	VKLAD	22439	72668	\N	\N	\N
578668	1970	1998-08-14	PRIJEM	VKLAD	22439	80944	\N	\N	\N
578669	1970	1998-09-14	PRIJEM	VKLAD	22439	75943	\N	\N	\N
578670	1970	1998-10-14	PRIJEM	VKLAD	22439	84386	\N	\N	\N
578671	1970	1998-11-14	PRIJEM	VKLAD	22439	85540	\N	\N	\N
578672	1970	1998-12-14	PRIJEM	VKLAD	33659	100035	\N	\N	\N
578689	1970	1994-05-12	VYDAJ	PREVOD NA UCET	1774	46397	SIPO	EF	44169485
578690	1970	1994-06-12	VYDAJ	PREVOD NA UCET	1774	26353	SIPO	EF	44169485
578691	1970	1994-07-12	VYDAJ	PREVOD NA UCET	1774	41666	SIPO	EF	44169485
578692	1970	1994-08-12	VYDAJ	PREVOD NA UCET	1774	42049	SIPO	EF	44169485
578693	1970	1994-09-12	VYDAJ	PREVOD NA UCET	1774	43938	SIPO	EF	44169485
578694	1970	1994-10-12	VYDAJ	PREVOD NA UCET	1774	42133	SIPO	EF	44169485
578695	1970	1994-11-12	VYDAJ	PREVOD NA UCET	1774	37744	SIPO	EF	44169485
578696	1970	1994-12-12	VYDAJ	PREVOD NA UCET	1774	41223	SIPO	EF	44169485
578697	1970	1995-01-12	VYDAJ	PREVOD NA UCET	1774	36277	SIPO	EF	44169485
578698	1970	1995-02-12	VYDAJ	PREVOD NA UCET	1774	39413	SIPO	EF	44169485
578699	1970	1995-03-12	VYDAJ	PREVOD NA UCET	1774	44802	SIPO	EF	44169485
578700	1970	1995-04-12	VYDAJ	PREVOD NA UCET	1774	43196	SIPO	EF	44169485
578701	1970	1995-05-12	VYDAJ	PREVOD NA UCET	1774	44089	SIPO	EF	44169485
578702	1970	1995-06-12	VYDAJ	PREVOD NA UCET	1774	28605	SIPO	EF	44169485
578703	1970	1995-07-12	VYDAJ	PREVOD NA UCET	1774	38508	SIPO	EF	44169485
578704	1970	1995-08-12	VYDAJ	PREVOD NA UCET	1774	41997	SIPO	EF	44169485
578705	1970	1995-09-12	VYDAJ	PREVOD NA UCET	1774	42077	SIPO	EF	44169485
578706	1970	1995-10-12	VYDAJ	PREVOD NA UCET	1774	38847	SIPO	EF	44169485
578707	1970	1995-11-12	VYDAJ	PREVOD NA UCET	1774	42291	SIPO	EF	44169485
578708	1970	1995-12-12	VYDAJ	PREVOD NA UCET	1774	45029	SIPO	EF	44169485
578709	1970	1996-01-12	VYDAJ	PREVOD NA UCET	1774	38423	SIPO	EF	44169485
578710	1970	1996-02-12	VYDAJ	PREVOD NA UCET	1774	40242	SIPO	EF	44169485
578711	1970	1996-03-12	VYDAJ	PREVOD NA UCET	1774	43391	SIPO	EF	44169485
578712	1970	1996-04-12	VYDAJ	PREVOD NA UCET	1774	47608	SIPO	EF	44169485
578713	1970	1996-05-12	VYDAJ	PREVOD NA UCET	1774	48863	SIPO	EF	44169485
578714	1970	1996-06-12	VYDAJ	PREVOD NA UCET	1774	42977	SIPO	EF	44169485
578715	1970	1996-07-12	VYDAJ	PREVOD NA UCET	1774	54676	SIPO	EF	44169485
578716	1970	1996-08-12	VYDAJ	PREVOD NA UCET	1774	52255	SIPO	EF	44169485
578717	1970	1996-09-12	VYDAJ	PREVOD NA UCET	1774	55462	SIPO	EF	44169485
578718	1970	1996-10-12	VYDAJ	PREVOD NA UCET	1774	58258	SIPO	EF	44169485
578719	1970	1996-11-12	VYDAJ	PREVOD NA UCET	1774	59564	SIPO	EF	44169485
578720	1970	1996-12-12	VYDAJ	PREVOD NA UCET	1774	57155	SIPO	EF	44169485
578721	1970	1997-01-12	VYDAJ	PREVOD NA UCET	1774	54094	SIPO	EF	44169485
578722	1970	1997-02-12	VYDAJ	PREVOD NA UCET	1774	50201	SIPO	EF	44169485
578723	1970	1997-03-12	VYDAJ	PREVOD NA UCET	1774	54958	SIPO	EF	44169485
578724	1970	1997-04-12	VYDAJ	PREVOD NA UCET	1774	48165	SIPO	EF	44169485
578725	1970	1997-05-12	VYDAJ	PREVOD NA UCET	1774	49846	SIPO	EF	44169485
578726	1970	1997-06-12	VYDAJ	PREVOD NA UCET	1774	53201	SIPO	EF	44169485
578727	1970	1997-07-12	VYDAJ	PREVOD NA UCET	1774	54179	SIPO	EF	44169485
578728	1970	1997-08-12	VYDAJ	PREVOD NA UCET	1774	51876	SIPO	EF	44169485
578729	1970	1997-09-12	VYDAJ	PREVOD NA UCET	1774	53754	SIPO	EF	44169485
578730	1970	1997-10-12	VYDAJ	PREVOD NA UCET	1774	56851	SIPO	EF	44169485
578731	1970	1997-11-12	VYDAJ	PREVOD NA UCET	1774	57639	SIPO	EF	44169485
578732	1970	1997-12-12	VYDAJ	PREVOD NA UCET	1774	58425	SIPO	EF	44169485
578733	1970	1998-01-12	VYDAJ	PREVOD NA UCET	1774	52130	SIPO	EF	44169485
578734	1970	1998-02-12	VYDAJ	PREVOD NA UCET	1774	54006	SIPO	EF	44169485
578735	1970	1998-03-12	VYDAJ	PREVOD NA UCET	1774	61505	SIPO	EF	44169485
578736	1970	1998-04-12	VYDAJ	PREVOD NA UCET	1774	67917	SIPO	EF	44169485
578737	1970	1998-05-12	VYDAJ	PREVOD NA UCET	1774	66226	SIPO	EF	44169485
578738	1970	1998-06-12	VYDAJ	PREVOD NA UCET	1774	22125	SIPO	EF	44169485
578739	1970	1998-07-12	VYDAJ	PREVOD NA UCET	1774	52145	SIPO	EF	44169485
578740	1970	1998-08-12	VYDAJ	PREVOD NA UCET	1774	60421	SIPO	EF	44169485
578741	1970	1998-09-12	VYDAJ	PREVOD NA UCET	1774	57220	SIPO	EF	44169485
578742	1970	1998-10-12	VYDAJ	PREVOD NA UCET	1774	67347	SIPO	EF	44169485
578743	1970	1998-11-12	VYDAJ	PREVOD NA UCET	1774	63101	SIPO	EF	44169485
578744	1970	1998-12-12	VYDAJ	PREVOD NA UCET	1774	66376	SIPO	EF	44169485
578761	1970	1994-05-12	VYDAJ	PREVOD NA UCET	1916	44481	 	GH	16633075
578762	1970	1994-06-12	VYDAJ	PREVOD NA UCET	1916	28127	 	GH	16633075
578763	1970	1994-07-12	VYDAJ	PREVOD NA UCET	1916	39750	 	GH	16633075
578764	1970	1994-08-12	VYDAJ	PREVOD NA UCET	1916	40133	 	GH	16633075
578765	1970	1994-09-12	VYDAJ	PREVOD NA UCET	1916	42022	 	GH	16633075
578766	1970	1994-10-12	VYDAJ	PREVOD NA UCET	1916	40217	 	GH	16633075
578767	1970	1994-11-12	VYDAJ	PREVOD NA UCET	1916	39518	 	GH	16633075
578768	1970	1994-12-12	VYDAJ	PREVOD NA UCET	1916	42997	 	GH	16633075
578769	1970	1995-01-12	VYDAJ	PREVOD NA UCET	1916	38051	 	GH	16633075
578770	1970	1995-02-12	VYDAJ	PREVOD NA UCET	1916	41187	 	GH	16633075
578771	1970	1995-03-12	VYDAJ	PREVOD NA UCET	1916	42886	 	GH	16633075
578772	1970	1995-04-12	VYDAJ	PREVOD NA UCET	1916	41280	 	GH	16633075
578773	1970	1995-05-12	VYDAJ	PREVOD NA UCET	1916	42173	 	GH	16633075
578774	1970	1995-06-12	VYDAJ	PREVOD NA UCET	1916	26689	 	GH	16633075
578775	1970	1995-07-12	VYDAJ	PREVOD NA UCET	1916	40282	 	GH	16633075
578776	1970	1995-08-12	VYDAJ	PREVOD NA UCET	1916	40081	 	GH	16633075
578777	1970	1995-09-12	VYDAJ	PREVOD NA UCET	1916	40161	 	GH	16633075
578778	1970	1995-10-12	VYDAJ	PREVOD NA UCET	1916	36931	 	GH	16633075
578779	1970	1995-11-12	VYDAJ	PREVOD NA UCET	1916	40375	 	GH	16633075
578780	1970	1995-12-12	VYDAJ	PREVOD NA UCET	1916	46803	 	GH	16633075
578781	1970	1996-01-12	VYDAJ	PREVOD NA UCET	1916	40197	 	GH	16633075
578782	1970	1996-02-12	VYDAJ	PREVOD NA UCET	1916	42016	 	GH	16633075
578783	1970	1996-03-12	VYDAJ	PREVOD NA UCET	1916	45165	 	GH	16633075
578784	1970	1996-04-12	VYDAJ	PREVOD NA UCET	1916	45692	 	GH	16633075
578785	1970	1996-05-12	VYDAJ	PREVOD NA UCET	1916	50637	 	GH	16633075
578786	1970	1996-06-12	VYDAJ	PREVOD NA UCET	1916	41061	 	GH	16633075
578787	1970	1996-07-12	VYDAJ	PREVOD NA UCET	1916	52760	 	GH	16633075
578788	1970	1996-08-12	VYDAJ	PREVOD NA UCET	1916	54029	 	GH	16633075
578789	1970	1996-09-12	VYDAJ	PREVOD NA UCET	1916	53546	 	GH	16633075
578790	1970	1996-10-12	VYDAJ	PREVOD NA UCET	1916	56342	 	GH	16633075
578791	1970	1996-11-12	VYDAJ	PREVOD NA UCET	1916	57648	 	GH	16633075
578792	1970	1996-12-12	VYDAJ	PREVOD NA UCET	1916	58929	 	GH	16633075
578793	1970	1997-01-12	VYDAJ	PREVOD NA UCET	1916	55868	 	GH	16633075
578794	1970	1997-02-12	VYDAJ	PREVOD NA UCET	1916	48285	 	GH	16633075
578795	1970	1997-03-12	VYDAJ	PREVOD NA UCET	1916	56732	 	GH	16633075
578796	1970	1997-04-12	VYDAJ	PREVOD NA UCET	1916	49939	 	GH	16633075
578797	1970	1997-05-12	VYDAJ	PREVOD NA UCET	1916	47930	 	GH	16633075
578798	1970	1997-06-12	VYDAJ	PREVOD NA UCET	1916	54975	 	GH	16633075
578799	1970	1997-07-12	VYDAJ	PREVOD NA UCET	1916	52263	 	GH	16633075
578800	1970	1997-08-12	VYDAJ	PREVOD NA UCET	1916	53650	 	GH	16633075
578801	1970	1997-09-12	VYDAJ	PREVOD NA UCET	1916	55528	 	GH	16633075
578802	1970	1997-10-12	VYDAJ	PREVOD NA UCET	1916	54935	 	GH	16633075
578803	1970	1997-11-12	VYDAJ	PREVOD NA UCET	1916	55723	 	GH	16633075
578804	1970	1997-12-12	VYDAJ	PREVOD NA UCET	1916	56509	 	GH	16633075
578805	1970	1998-01-12	VYDAJ	PREVOD NA UCET	1916	53904	 	GH	16633075
578806	1970	1998-02-12	VYDAJ	PREVOD NA UCET	1916	55780	 	GH	16633075
578807	1970	1998-03-12	VYDAJ	PREVOD NA UCET	1916	59589	 	GH	16633075
578808	1970	1998-04-12	VYDAJ	PREVOD NA UCET	1916	66001	 	GH	16633075
578809	1970	1998-05-12	VYDAJ	PREVOD NA UCET	1916	68000	 	GH	16633075
578810	1970	1998-06-12	VYDAJ	PREVOD NA UCET	1916	23899	 	GH	16633075
578811	1970	1998-07-12	VYDAJ	PREVOD NA UCET	1916	50229	 	GH	16633075
578812	1970	1998-08-12	VYDAJ	PREVOD NA UCET	1916	58505	 	GH	16633075
578813	1970	1998-09-12	VYDAJ	PREVOD NA UCET	1916	55304	 	GH	16633075
578814	1970	1998-10-12	VYDAJ	PREVOD NA UCET	1916	69121	 	GH	16633075
578815	1970	1998-11-12	VYDAJ	PREVOD NA UCET	1916	64875	 	GH	16633075
578816	1970	1998-12-12	VYDAJ	PREVOD NA UCET	1916	68150	 	GH	16633075
578818	1970	1994-06-06	VYDAJ	VYBER	30560	36623	\N	\N	\N
578819	1970	1995-06-11	VYDAJ	VYBER	10080	30379	\N	\N	\N
578821	1970	1997-06-17	VYDAJ	VYBER	20640	66219	\N	\N	\N
578822	1970	1998-06-03	VYDAJ	VYBER	41120	25815	\N	\N	\N
578824	1970	1994-12-28	VYDAJ	VYBER	1760	73121	\N	\N	\N
578825	1970	1995-12-26	VYDAJ	VYBER	3360	75328	\N	\N	\N
578826	1970	1996-12-19	VYDAJ	VYBER KARTOU	3700	87113	\N	\N	0
578827	1970	1997-12-25	VYDAJ	VYBER KARTOU	2600	62968	\N	\N	0
578828	1970	1998-12-14	VYDAJ	VYBER	4160	95875	\N	\N	\N
578841	1970	1995-01-04	VYDAJ	VYBER	3240	45967	\N	\N	\N
578842	1970	1995-01-03	VYDAJ	VYBER	3480	49207	\N	\N	\N
578843	1970	1995-01-11	VYDAJ	VYBER	3480	39967	\N	\N	\N
578844	1970	1995-01-25	VYDAJ	VYBER	1200	54396	\N	\N	\N
578845	1970	1995-01-25	VYDAJ	VYBER	3120	55596	\N	\N	\N
578846	1970	1995-01-07	VYDAJ	VYBER	2520	43447	\N	\N	\N
578847	1970	1996-01-04	VYDAJ	VYBER	2280	45233	\N	\N	\N
578848	1970	1996-01-03	VYDAJ	VYBER	2880	50993	\N	\N	\N
578849	1970	1996-01-28	VYDAJ	VYBER	2640	43742	\N	\N	\N
578850	1970	1996-01-13	VYDAJ	VYBER	3240	35183	\N	\N	\N
578851	1970	1996-01-04	VYDAJ	VYBER	3120	42113	\N	\N	\N
578852	1970	1996-01-17	VYDAJ	VYBER	2280	54382	\N	\N	\N
578853	1970	1997-01-11	VYDAJ	VYBER KARTOU	3500	57784	\N	\N	0
578854	1970	1997-01-02	VYDAJ	VYBER KARTOU	1700	62884	\N	\N	0
578855	1970	1997-01-18	VYDAJ	VYBER KARTOU	1300	75233	\N	\N	0
578856	1970	1997-01-30	VYDAJ	VYBER KARTOU	2300	51733	\N	\N	0
578857	1970	1997-01-06	VYDAJ	VYBER KARTOU	1000	61284	\N	\N	0
578858	1970	1997-01-21	VYDAJ	VYBER KARTOU	1800	56333	\N	\N	0
578859	1970	1998-01-03	VYDAJ	VYBER KARTOU	1900	58520	\N	\N	0
578860	1970	1998-01-15	VYDAJ	VYBER KARTOU	2000	71769	\N	\N	0
578861	1970	1998-01-05	VYDAJ	VYBER KARTOU	800	57720	\N	\N	0
578862	1970	1998-01-24	VYDAJ	VYBER KARTOU	1700	57469	\N	\N	0
578863	1970	1998-01-02	VYDAJ	VYBER KARTOU	2800	60420	\N	\N	0
578864	1970	1998-01-10	VYDAJ	VYBER KARTOU	1900	55820	\N	\N	0
578868	1970	1994-10-17	VYDAJ	VYBER	2760	59896	\N	\N	\N
578869	1970	1994-06-28	VYDAJ	VYBER	1080	58932	\N	\N	\N
578870	1970	1994-06-09	VYDAJ	VYBER	2280	30043	\N	\N	\N
578871	1970	1995-08-29	VYDAJ	VYBER	3600	58920	\N	\N	\N
578872	1970	1995-06-28	VYDAJ	VYBER	5760	54588	\N	\N	\N
578873	1970	1995-09-19	VYDAJ	VYBER	2760	59840	\N	\N	\N
578874	1970	1995-10-04	VYDAJ	VYBER	1920	40621	\N	\N	\N
578875	1970	1995-03-27	VYDAJ	VYBER	2400	62925	\N	\N	\N
578876	1970	1995-06-06	VYDAJ	VYBER	4200	40459	\N	\N	\N
578877	1970	1996-06-04	VYDAJ	VYBER	4080	44751	\N	\N	\N
578878	1970	1996-01-16	VYDAJ	VYBER	960	56662	\N	\N	\N
578879	1970	1996-03-22	VYDAJ	VYBER	3360	62470	\N	\N	\N
578880	1970	1996-01-04	VYDAJ	VYBER	3480	47513	\N	\N	\N
578881	1970	1997-03-19	VYDAJ	VYBER KARTOU	3600	73797	\N	\N	0
578882	1970	1997-01-27	VYDAJ	VYBER KARTOU	2300	54033	\N	\N	0
578883	1970	1997-10-29	VYDAJ	VYBER KARTOU	1600	59174	\N	\N	0
578884	1970	1997-03-24	VYDAJ	VYBER	5280	51617	\N	\N	\N
578885	1970	1997-01-04	VYDAJ	VYBER KARTOU	600	62284	\N	\N	0
578886	1970	1997-04-23	VYDAJ	VYBER KARTOU	1100	51404	\N	\N	0
578887	1970	1997-07-13	VYDAJ	VYBER	4560	47703	\N	\N	\N
578888	1970	1998-06-14	VYDAJ	VYBER	4080	51704	\N	\N	\N
578889	1970	1998-10-31	VYDAJ	VYBER KARTOU	1400	83291	\N	\N	0
578890	1970	1998-05-20	VYDAJ	VYBER KARTOU	3200	66665	\N	\N	0
578891	1970	1998-08-05	VYDAJ	VYBER KARTOU	1300	62195	\N	\N	0
578892	1970	1998-01-14	VYDAJ	VYBER KARTOU	800	73769	\N	\N	0
578893	1970	1998-09-17	VYDAJ	VYBER	5160	70783	\N	\N	\N
578894	1970	1998-08-20	VYDAJ	VYBER KARTOU	3200	58744	\N	\N	0
578911	1970	1994-04-30	VYDAJ	VYBER	15	70171	SLUZBY	\N	\N
578912	1970	1994-05-31	VYDAJ	VYBER	15	67183	SLUZBY	\N	\N
578913	1970	1994-06-30	VYDAJ	VYBER	15	59140	SLUZBY	\N	\N
578914	1970	1994-07-31	VYDAJ	VYBER	15	62423	SLUZBY	\N	\N
578915	1970	1994-08-31	VYDAJ	VYBER	15	62812	SLUZBY	\N	\N
578916	1970	1994-09-30	VYDAJ	VYBER	15	64707	SLUZBY	\N	\N
578917	1970	1994-10-31	VYDAJ	VYBER	15	60134	SLUZBY	\N	\N
578918	1970	1994-11-30	VYDAJ	VYBER	15	60413	SLUZBY	\N	\N
578919	1970	1994-12-31	VYDAJ	VYBER	15	73387	SLUZBY	\N	\N
578920	1970	1995-01-31	VYDAJ	VYBER	15	54603	SLUZBY	\N	\N
578921	1970	1995-02-28	VYDAJ	VYBER	15	62076	SLUZBY	\N	\N
578922	1970	1995-03-31	VYDAJ	VYBER	15	63170	SLUZBY	\N	\N
578923	1970	1995-04-30	VYDAJ	VYBER	15	63963	SLUZBY	\N	\N
578924	1970	1995-05-31	VYDAJ	VYBER	15	64859	SLUZBY	\N	\N
578925	1970	1995-06-30	VYDAJ	VYBER	15	54798	SLUZBY	\N	\N
578926	1970	1995-07-31	VYDAJ	VYBER	15	61171	SLUZBY	\N	\N
578927	1970	1995-08-31	VYDAJ	VYBER	15	43851	SLUZBY	\N	\N
578928	1970	1995-09-30	VYDAJ	VYBER	15	42541	SLUZBY	\N	\N
578929	1970	1995-10-31	VYDAJ	VYBER	15	44065	SLUZBY	\N	\N
578930	1970	1995-11-30	VYDAJ	VYBER	15	48719	SLUZBY	\N	\N
578931	1970	1995-12-31	VYDAJ	VYBER	15	53873	SLUZBY	\N	\N
578932	1970	1996-01-31	VYDAJ	VYBER	15	43932	SLUZBY	\N	\N
578933	1970	1996-02-29	VYDAJ	VYBER	15	47081	SLUZBY	\N	\N
578934	1970	1996-03-31	VYDAJ	VYBER	15	49382	SLUZBY	\N	\N
578935	1970	1996-04-30	VYDAJ	VYBER	15	52553	SLUZBY	\N	\N
578936	1970	1996-05-31	VYDAJ	VYBER	15	48831	SLUZBY	\N	\N
578937	1970	1996-06-30	VYDAJ	VYBER	15	56450	SLUZBY	\N	\N
578938	1970	1996-07-31	VYDAJ	VYBER	15	55945	SLUZBY	\N	\N
578939	1970	1996-08-31	VYDAJ	VYBER	15	57236	SLUZBY	\N	\N
578940	1970	1996-09-30	VYDAJ	VYBER	15	60032	SLUZBY	\N	\N
578941	1970	1996-10-31	VYDAJ	VYBER	15	61338	SLUZBY	\N	\N
578942	1970	1996-11-30	VYDAJ	VYBER	15	60845	SLUZBY	\N	\N
578943	1970	1996-12-31	VYDAJ	VYBER	15	64584	SLUZBY	\N	\N
578944	1970	1997-01-31	VYDAJ	VYBER	15	51975	SLUZBY	\N	\N
578945	1970	1997-02-28	VYDAJ	VYBER	15	58648	SLUZBY	\N	\N
578946	1970	1997-03-31	VYDAJ	VYBER	15	51855	SLUZBY	\N	\N
578947	1970	1997-04-30	VYDAJ	VYBER	15	51620	SLUZBY	\N	\N
578948	1970	1997-05-31	VYDAJ	VYBER	15	56891	SLUZBY	\N	\N
578949	1970	1997-06-30	VYDAJ	VYBER	15	55953	SLUZBY	\N	\N
578950	1970	1997-07-31	VYDAJ	VYBER	15	55566	SLUZBY	\N	\N
578951	1970	1997-08-31	VYDAJ	VYBER	15	57444	SLUZBY	\N	\N
578952	1970	1997-09-30	VYDAJ	VYBER	15	58625	SLUZBY	\N	\N
578953	1970	1997-10-31	VYDAJ	VYBER	15	59413	SLUZBY	\N	\N
578954	1970	1997-11-30	VYDAJ	VYBER	15	60199	SLUZBY	\N	\N
578955	1970	1997-12-31	VYDAJ	VYBER	15	63220	SLUZBY	\N	\N
578956	1970	1998-01-31	VYDAJ	VYBER	15	57696	SLUZBY	\N	\N
578957	1970	1998-02-28	VYDAJ	VYBER	15	63279	SLUZBY	\N	\N
578958	1970	1998-03-31	VYDAJ	VYBER	15	69691	SLUZBY	\N	\N
578959	1970	1998-04-30	VYDAJ	VYBER	15	69916	SLUZBY	\N	\N
578960	1970	1998-05-31	VYDAJ	VYBER	15	66935	SLUZBY	\N	\N
578961	1970	1998-06-30	VYDAJ	VYBER	15	53919	SLUZBY	\N	\N
578962	1970	1998-07-31	VYDAJ	VYBER	15	63495	SLUZBY	\N	\N
578963	1970	1998-08-31	VYDAJ	VYBER	15	58994	SLUZBY	\N	\N
578964	1970	1998-09-30	VYDAJ	VYBER	15	71037	SLUZBY	\N	\N
578965	1970	1998-10-31	VYDAJ	VYBER	15	84691	SLUZBY	\N	\N
578966	1970	1998-11-30	VYDAJ	VYBER	15	85866	SLUZBY	\N	\N
578967	1970	1994-01-07	VYDAJ	VYBER	4300	30342	\N	\N	\N
578968	1970	1994-02-06	VYDAJ	VYBER	13900	39069	\N	\N	\N
578969	1970	1994-03-08	VYDAJ	VYBER	16200	45548	\N	\N	\N
578970	1970	1994-04-07	VYDAJ	VYBER	20800	47459	\N	\N	\N
578971	1970	1994-05-07	VYDAJ	VYBER	22000	48171	\N	\N	\N
578972	1970	1994-06-06	VYDAJ	VYBER	4300	32323	\N	\N	\N
578973	1970	1994-07-06	VYDAJ	VYBER	15700	43440	\N	\N	\N
578974	1970	1994-08-05	VYDAJ	VYBER	18600	43823	\N	\N	\N
578975	1970	1994-09-04	VYDAJ	VYBER	17100	45712	\N	\N	\N
578976	1970	1994-10-04	VYDAJ	VYBER	20800	43907	\N	\N	\N
578977	1970	1994-11-03	VYDAJ	VYBER	18700	41434	\N	\N	\N
578978	1970	1994-12-03	VYDAJ	VYBER	15500	44913	\N	\N	\N
578979	1970	1995-01-02	VYDAJ	VYBER	20700	52687	\N	\N	\N
578980	1970	1995-02-01	VYDAJ	VYBER	11500	43103	\N	\N	\N
578981	1970	1995-03-03	VYDAJ	VYBER	15500	46576	\N	\N	\N
578982	1970	1995-04-02	VYDAJ	VYBER	18200	44970	\N	\N	\N
578983	1970	1995-05-02	VYDAJ	VYBER	18100	45863	\N	\N	\N
578984	1970	1995-06-01	VYDAJ	VYBER	20200	44659	\N	\N	\N
578985	1970	1995-07-01	VYDAJ	VYBER	12600	42198	\N	\N	\N
578986	1970	1995-07-31	VYDAJ	VYBER	17400	43771	\N	\N	\N
578987	1970	1995-08-30	VYDAJ	VYBER	15300	43620	\N	\N	\N
578988	1970	1995-09-29	VYDAJ	VYBER	17500	42340	\N	\N	\N
578989	1970	1995-10-29	VYDAJ	VYBER	15500	43870	\N	\N	\N
578990	1970	1995-11-28	VYDAJ	VYBER	14300	48514	\N	\N	\N
578991	1970	1995-12-28	VYDAJ	VYBER	21700	53628	\N	\N	\N
578992	1970	1996-01-27	VYDAJ	VYBER	8000	46382	\N	\N	\N
578993	1970	1996-02-26	VYDAJ	VYBER	15800	46881	\N	\N	\N
578994	1970	1996-03-27	VYDAJ	VYBER	13300	49170	\N	\N	\N
578995	1970	1996-04-26	VYDAJ	VYBER	15800	52331	\N	\N	\N
578996	1970	1996-05-26	VYDAJ	VYBER	22700	48602	\N	\N	\N
578997	1970	1996-06-25	VYDAJ	VYBER	18500	56219	\N	\N	\N
578998	1970	1996-07-25	VYDAJ	VYBER	19500	55699	\N	\N	\N
578999	1970	1996-08-24	VYDAJ	VYBER	17700	56994	\N	\N	\N
579000	1970	1996-09-23	VYDAJ	VYBER	16200	59785	\N	\N	\N
579001	1970	1996-10-23	VYDAJ	VYBER	17700	61081	\N	\N	\N
579002	1970	1996-11-22	VYDAJ	VYBER	19500	60587	\N	\N	\N
579003	1970	1996-12-22	VYDAJ	VYBER	22800	64313	\N	\N	\N
579004	1970	1997-01-21	VYDAJ	VYBER	17100	58133	\N	\N	\N
579005	1970	1997-02-20	VYDAJ	VYBER	12300	58424	\N	\N	\N
579006	1970	1997-03-22	VYDAJ	VYBER	16900	56897	\N	\N	\N
579007	1970	1997-04-21	VYDAJ	VYBER	18100	52504	\N	\N	\N
579008	1970	1997-05-21	VYDAJ	VYBER	13700	56669	\N	\N	\N
579009	1970	1997-06-20	VYDAJ	VYBER	10500	55719	\N	\N	\N
579010	1970	1997-07-20	VYDAJ	VYBER	14800	55342	\N	\N	\N
579011	1970	1997-08-19	VYDAJ	VYBER	17100	57215	\N	\N	\N
579012	1970	1997-09-18	VYDAJ	VYBER	17800	58393	\N	\N	\N
579013	1970	1997-10-18	VYDAJ	VYBER	16600	60774	\N	\N	\N
579014	1970	1997-11-17	VYDAJ	VYBER	18200	59962	\N	\N	\N
579015	1970	1997-12-17	VYDAJ	VYBER	24600	65568	\N	\N	\N
579016	1970	1998-01-16	VYDAJ	VYBER	12600	59169	\N	\N	\N
579017	1970	1998-02-15	VYDAJ	VYBER	13400	63045	\N	\N	\N
579018	1970	1998-03-17	VYDAJ	VYBER	12600	69428	\N	\N	\N
579019	1970	1998-04-16	VYDAJ	VYBER	18800	69640	\N	\N	\N
579020	1970	1998-05-16	VYDAJ	VYBER	18800	69865	\N	\N	\N
579021	1970	1998-06-15	PRIJEM	VKLAD	2000	53704	\N	\N	\N
579022	1970	1998-07-15	VYDAJ	VYBER	9400	63268	\N	\N	\N
579023	1970	1998-08-14	VYDAJ	VYBER	19000	61944	\N	\N	\N
579024	1970	1998-09-13	VYDAJ	VYBER KARTOU	1800	53504	\N	\N	0
579025	1970	1998-10-13	VYDAJ	VYBER	5400	61947	\N	\N	\N
579026	1970	1998-11-12	VYDAJ	VYBER	16500	66791	\N	\N	\N
579027	1970	1998-12-12	VYDAJ	VYBER	15800	70066	\N	\N	\N
579089	1971	1995-08-04	PRIJEM	VKLAD	800	800	\N	\N	\N
579097	1971	1995-08-07	PRIJEM	VKLAD	9937	10737	\N	\N	\N
579098	1971	1995-09-07	PRIJEM	VKLAD	9937	30410	\N	\N	\N
579099	1971	1995-10-07	PRIJEM	VKLAD	9937	38457	\N	\N	\N
579100	1971	1995-11-07	PRIJEM	VKLAD	9937	41548	\N	\N	\N
579101	1971	1995-12-07	PRIJEM	VKLAD	14906	49325	\N	\N	\N
579102	1971	1996-01-07	PRIJEM	VKLAD	9937	36321	\N	\N	\N
579103	1971	1996-02-07	PRIJEM	VKLAD	9937	33558	\N	\N	\N
579104	1971	1996-03-07	PRIJEM	VKLAD	9937	33389	\N	\N	\N
579105	1971	1996-04-07	PRIJEM	VKLAD	9937	37022	\N	\N	\N
579106	1971	1996-05-07	PRIJEM	VKLAD	9937	40172	\N	\N	\N
579107	1971	1996-06-07	PRIJEM	VKLAD	14906	32504	\N	\N	\N
579108	1971	1996-07-07	PRIJEM	VKLAD	9937	37338	\N	\N	\N
579109	1971	1996-08-07	PRIJEM	VKLAD	9937	39489	\N	\N	\N
579110	1971	1996-09-07	PRIJEM	VKLAD	9937	41244	\N	\N	\N
579111	1971	1996-10-07	PRIJEM	VKLAD	9937	44111	\N	\N	\N
579112	1971	1996-11-07	PRIJEM	VKLAD	9937	43882	\N	\N	\N
579113	1971	1996-12-07	PRIJEM	VKLAD	14906	50029	\N	\N	\N
579114	1971	1997-01-07	PRIJEM	VKLAD	9937	48324	\N	\N	\N
579115	1971	1997-02-07	PRIJEM	VKLAD	9937	41305	\N	\N	\N
579116	1971	1997-03-07	PRIJEM	VKLAD	9937	43872	\N	\N	\N
579117	1971	1997-04-07	PRIJEM	VKLAD	9937	47150	\N	\N	\N
579118	1971	1997-05-07	PRIJEM	VKLAD	9937	49940	\N	\N	\N
579119	1971	1997-06-07	PRIJEM	VKLAD	14906	61615	\N	\N	\N
579120	1971	1997-07-07	PRIJEM	VKLAD	9937	51346	\N	\N	\N
579121	1971	1997-08-07	PRIJEM	VKLAD	9937	51046	\N	\N	\N
579122	1971	1997-09-07	PRIJEM	VKLAD	9937	57861	\N	\N	\N
579123	1971	1997-10-07	PRIJEM	VKLAD	9937	55395	\N	\N	\N
579124	1971	1997-11-07	PRIJEM	VKLAD	9937	57319	\N	\N	\N
579125	1971	1997-12-07	PRIJEM	VKLAD	14906	59214	\N	\N	\N
579126	1971	1998-01-07	PRIJEM	VKLAD	9937	57048	\N	\N	\N
579127	1971	1998-02-07	PRIJEM	VKLAD	9937	55172	\N	\N	\N
579128	1971	1998-03-07	PRIJEM	VKLAD	9937	61500	\N	\N	\N
579129	1971	1998-04-07	PRIJEM	VKLAD	9937	59343	\N	\N	\N
579130	1971	1998-05-07	PRIJEM	VKLAD	9937	60080	\N	\N	\N
579131	1971	1998-06-07	PRIJEM	VKLAD	14906	64786	\N	\N	\N
579132	1971	1998-07-07	PRIJEM	VKLAD	9937	45420	\N	\N	\N
579133	1971	1998-08-07	PRIJEM	VKLAD	9937	48907	\N	\N	\N
579134	1971	1998-09-07	PRIJEM	VKLAD	9937	52304	\N	\N	\N
579135	1971	1998-10-07	PRIJEM	VKLAD	9937	52209	\N	\N	\N
579136	1971	1998-11-07	PRIJEM	VKLAD	9937	53917	\N	\N	\N
579137	1971	1998-12-07	PRIJEM	VKLAD	14906	59798	\N	\N	\N
579150	1971	1996-01-06	VYDAJ	PREVOD NA UCET	6624	26384	SIPO	GH	27420634
579151	1971	1996-02-06	VYDAJ	PREVOD NA UCET	6624	23621	SIPO	GH	27420634
579152	1971	1996-03-06	VYDAJ	PREVOD NA UCET	6624	23452	SIPO	GH	27420634
579153	1971	1996-04-06	VYDAJ	PREVOD NA UCET	6624	27085	SIPO	GH	27420634
579154	1971	1996-05-06	VYDAJ	PREVOD NA UCET	6624	30235	SIPO	GH	27420634
579155	1971	1996-06-06	VYDAJ	PREVOD NA UCET	6624	17598	SIPO	GH	27420634
579156	1971	1996-07-06	VYDAJ	PREVOD NA UCET	6624	27401	SIPO	GH	27420634
579157	1971	1996-08-06	VYDAJ	PREVOD NA UCET	6624	29552	SIPO	GH	27420634
579158	1971	1996-09-06	VYDAJ	PREVOD NA UCET	6624	31307	SIPO	GH	27420634
579159	1971	1996-10-06	VYDAJ	PREVOD NA UCET	6624	34174	SIPO	GH	27420634
579160	1971	1996-11-06	VYDAJ	PREVOD NA UCET	6624	33945	SIPO	GH	27420634
579161	1971	1996-12-06	VYDAJ	PREVOD NA UCET	6624	35123	SIPO	GH	27420634
579162	1971	1997-01-06	VYDAJ	PREVOD NA UCET	6624	38387	SIPO	GH	27420634
579163	1971	1997-02-06	VYDAJ	PREVOD NA UCET	6624	31368	SIPO	GH	27420634
579164	1971	1997-03-06	VYDAJ	PREVOD NA UCET	6624	33935	SIPO	GH	27420634
579165	1971	1997-04-06	VYDAJ	PREVOD NA UCET	6624	37213	SIPO	GH	27420634
579166	1971	1997-05-06	VYDAJ	PREVOD NA UCET	6624	40003	SIPO	GH	27420634
579167	1971	1997-06-06	VYDAJ	PREVOD NA UCET	6624	46709	SIPO	GH	27420634
579168	1971	1997-07-06	VYDAJ	PREVOD NA UCET	6624	41409	SIPO	GH	27420634
579169	1971	1997-08-06	VYDAJ	PREVOD NA UCET	6624	41109	SIPO	GH	27420634
579170	1971	1997-09-06	VYDAJ	PREVOD NA UCET	6624	47924	SIPO	GH	27420634
579171	1971	1997-10-06	VYDAJ	PREVOD NA UCET	6624	45458	SIPO	GH	27420634
579172	1971	1997-11-06	VYDAJ	PREVOD NA UCET	6624	47382	SIPO	GH	27420634
579173	1971	1997-12-06	VYDAJ	PREVOD NA UCET	6624	44308	SIPO	GH	27420634
579174	1971	1998-01-06	VYDAJ	PREVOD NA UCET	6624	47111	SIPO	GH	27420634
579175	1971	1998-02-06	VYDAJ	PREVOD NA UCET	6624	45235	SIPO	GH	27420634
579176	1971	1998-03-06	VYDAJ	PREVOD NA UCET	6624	51563	SIPO	GH	27420634
579177	1971	1998-04-06	VYDAJ	PREVOD NA UCET	6624	49406	SIPO	GH	27420634
579178	1971	1998-05-06	VYDAJ	PREVOD NA UCET	6624	50143	SIPO	GH	27420634
579179	1971	1998-06-06	VYDAJ	PREVOD NA UCET	6624	49880	SIPO	GH	27420634
579180	1971	1998-07-06	VYDAJ	PREVOD NA UCET	6624	39583	SIPO	GH	27420634
579181	1971	1998-08-06	VYDAJ	PREVOD NA UCET	6624	38970	SIPO	GH	27420634
579182	1971	1998-09-06	VYDAJ	PREVOD NA UCET	6624	42367	SIPO	GH	27420634
579183	1971	1998-10-06	VYDAJ	PREVOD NA UCET	6624	42272	SIPO	GH	27420634
579184	1971	1998-11-06	VYDAJ	PREVOD NA UCET	6624	43980	SIPO	GH	27420634
579185	1971	1998-12-06	VYDAJ	PREVOD NA UCET	6624	44892	SIPO	GH	27420634
579187	1971	1996-06-02	VYDAJ	VYBER	12700	24222	\N	\N	\N
579188	1971	1997-06-23	VYDAJ	VYBER	27300	34315	\N	\N	\N
579189	1971	1998-06-22	VYDAJ	VYBER	12300	45986	\N	\N	\N
579191	1971	1996-12-03	VYDAJ	VYBER	1300	41747	\N	\N	\N
579192	1971	1997-12-01	VYDAJ	VYBER	1600	50932	\N	\N	\N
579193	1971	1998-12-18	VYDAJ	VYBER	700	50598	\N	\N	\N
579200	1971	1996-01-28	VYDAJ	VYBER	900	30621	\N	\N	\N
579201	1971	1996-01-17	VYDAJ	VYBER	2800	32521	\N	\N	\N
579202	1971	1996-01-11	VYDAJ	VYBER	1000	35321	\N	\N	\N
579203	1971	1996-01-02	VYDAJ	VYBER	1400	33008	\N	\N	\N
579204	1971	1996-01-28	VYDAJ	VYBER	1000	31521	\N	\N	\N
579205	1971	1996-01-01	VYDAJ	VYBER	1200	46908	\N	\N	\N
579206	1971	1997-01-21	VYDAJ	VYBER	2200	41624	\N	\N	\N
579207	1971	1997-01-21	VYDAJ	VYBER	1800	43824	\N	\N	\N
579208	1971	1997-01-11	VYDAJ	VYBER	2000	46324	\N	\N	\N
579209	1971	1997-01-29	VYDAJ	VYBER	1800	37824	\N	\N	\N
579210	1971	1997-01-22	VYDAJ	VYBER	1000	40624	\N	\N	\N
579211	1971	1997-01-16	VYDAJ	VYBER	700	45624	\N	\N	\N
579212	1971	1998-01-26	VYDAJ	VYBER	500	51648	\N	\N	\N
579213	1971	1998-01-22	VYDAJ	VYBER	1500	52148	\N	\N	\N
579214	1971	1998-01-02	VYDAJ	VYBER	700	56035	\N	\N	\N
579215	1971	1998-01-02	VYDAJ	VYBER	2300	53735	\N	\N	\N
579216	1971	1998-01-19	VYDAJ	VYBER	1800	52948	\N	\N	\N
579217	1971	1998-01-16	VYDAJ	VYBER	2300	54748	\N	\N	\N
579221	1971	1995-12-23	VYDAJ	VYBER	1400	47925	\N	\N	\N
579223	1971	1996-08-14	VYDAJ	VYBER	2200	37289	\N	\N	\N
579224	1971	1996-10-08	VYDAJ	VYBER	2000	41111	\N	\N	\N
579225	1971	1996-11-12	VYDAJ	VYBER	900	42982	\N	\N	\N
579226	1971	1996-02-24	VYDAJ	VYBER	4700	28858	\N	\N	\N
579227	1971	1996-06-18	VYDAJ	VYBER	500	32004	\N	\N	\N
579228	1971	1996-10-07	VYDAJ	VYBER	1000	43111	\N	\N	\N
579229	1971	1996-11-05	VYDAJ	VYBER	3500	40569	\N	\N	\N
579230	1971	1997-04-24	VYDAJ	VYBER	2200	44250	\N	\N	\N
579231	1971	1997-08-23	VYDAJ	VYBER	3000	54346	\N	\N	\N
579232	1971	1997-07-11	VYDAJ	VYBER	4700	46646	\N	\N	\N
579233	1971	1997-09-30	VYDAJ	VYBER	4800	52097	\N	\N	\N
579234	1971	1997-07-30	VYDAJ	VYBER	4600	47546	\N	\N	\N
579235	1971	1997-04-20	VYDAJ	VYBER	700	46450	\N	\N	\N
579236	1971	1997-11-21	VYDAJ	VYBER	3600	53719	\N	\N	\N
579237	1971	1998-08-02	VYDAJ	VYBER	500	45594	\N	\N	\N
579238	1971	1998-06-21	VYDAJ	VYBER	900	58286	\N	\N	\N
579239	1971	1998-11-09	VYDAJ	VYBER	800	53117	\N	\N	\N
579240	1971	1998-05-16	VYDAJ	VYBER	1800	58280	\N	\N	\N
579241	1971	1998-12-07	VYDAJ	VYBER	1400	58398	\N	\N	\N
579242	1971	1998-07-06	VYDAJ	VYBER	4100	35483	\N	\N	\N
579255	1971	1995-12-31	VYDAJ	VYBER	15	48108	SLUZBY	\N	\N
579256	1971	1996-01-31	VYDAJ	VYBER	15	30745	SLUZBY	\N	\N
579257	1971	1996-02-29	VYDAJ	VYBER	15	28976	SLUZBY	\N	\N
579258	1971	1996-03-31	VYDAJ	VYBER	15	33709	SLUZBY	\N	\N
579259	1971	1996-04-30	VYDAJ	VYBER	15	37159	SLUZBY	\N	\N
579260	1971	1996-05-31	VYDAJ	VYBER	15	36922	SLUZBY	\N	\N
579261	1971	1996-06-30	VYDAJ	VYBER	15	34025	SLUZBY	\N	\N
579262	1971	1996-07-31	VYDAJ	VYBER	15	36176	SLUZBY	\N	\N
579263	1971	1996-08-31	VYDAJ	VYBER	15	37931	SLUZBY	\N	\N
579264	1971	1996-09-30	VYDAJ	VYBER	15	40798	SLUZBY	\N	\N
579265	1971	1996-10-31	VYDAJ	VYBER	15	44069	SLUZBY	\N	\N
579266	1971	1996-11-30	VYDAJ	VYBER	15	43047	SLUZBY	\N	\N
579267	1971	1996-12-31	VYDAJ	VYBER	15	45011	SLUZBY	\N	\N
579268	1971	1997-01-31	VYDAJ	VYBER	15	37992	SLUZBY	\N	\N
579269	1971	1997-02-28	VYDAJ	VYBER	15	40559	SLUZBY	\N	\N
579270	1971	1997-03-31	VYDAJ	VYBER	15	43837	SLUZBY	\N	\N
579271	1971	1997-04-30	VYDAJ	VYBER	15	46627	SLUZBY	\N	\N
579272	1971	1997-05-31	VYDAJ	VYBER	15	53333	SLUZBY	\N	\N
579273	1971	1997-06-30	VYDAJ	VYBER	15	48033	SLUZBY	\N	\N
579274	1971	1997-07-31	VYDAJ	VYBER	15	47733	SLUZBY	\N	\N
579275	1971	1997-08-31	VYDAJ	VYBER	15	54548	SLUZBY	\N	\N
579276	1971	1997-09-30	VYDAJ	VYBER	15	52082	SLUZBY	\N	\N
579277	1971	1997-10-31	VYDAJ	VYBER	15	54006	SLUZBY	\N	\N
579278	1971	1997-11-30	VYDAJ	VYBER	15	52532	SLUZBY	\N	\N
579279	1971	1997-12-31	VYDAJ	VYBER	15	56735	SLUZBY	\N	\N
579280	1971	1998-01-31	VYDAJ	VYBER	15	51859	SLUZBY	\N	\N
579281	1971	1998-02-28	VYDAJ	VYBER	15	58187	SLUZBY	\N	\N
579282	1971	1998-03-31	VYDAJ	VYBER	15	56030	SLUZBY	\N	\N
579283	1971	1998-04-30	VYDAJ	VYBER	15	56767	SLUZBY	\N	\N
579284	1971	1998-05-31	VYDAJ	VYBER	15	56504	SLUZBY	\N	\N
579285	1971	1998-06-30	VYDAJ	VYBER	15	46207	SLUZBY	\N	\N
579286	1971	1998-07-31	VYDAJ	VYBER	15	46094	SLUZBY	\N	\N
579287	1971	1998-08-31	VYDAJ	VYBER	15	48991	SLUZBY	\N	\N
579288	1971	1998-09-30	VYDAJ	VYBER	15	48896	SLUZBY	\N	\N
579289	1971	1998-10-31	VYDAJ	VYBER	15	50604	SLUZBY	\N	\N
579290	1971	1998-11-30	VYDAJ	VYBER	15	51516	SLUZBY	\N	\N
579291	1971	1995-09-03	PRIJEM	VKLAD	9700	20473	\N	\N	\N
579292	1971	1995-10-03	VYDAJ	VYBER	2000	28520	\N	\N	\N
579293	1971	1995-11-02	VYDAJ	VYBER	7000	31611	\N	\N	\N
579294	1971	1995-12-02	VYDAJ	VYBER	7300	34419	\N	\N	\N
579295	1971	1996-01-01	VYDAJ	VYBER	12500	34408	\N	\N	\N
579296	1971	1996-01-31	VYDAJ	VYBER	500	30245	\N	\N	\N
579297	1971	1996-03-01	PRIJEM	VKLAD	1100	30076	\N	\N	\N
579298	1971	1996-03-31	PRIJEM	VKLAD	200	33724	\N	\N	\N
579299	1971	1996-04-30	VYDAJ	VYBER	300	36859	\N	\N	\N
579300	1971	1996-05-30	VYDAJ	VYBER	3400	36772	\N	\N	\N
579301	1971	1996-06-29	PRIJEM	VKLAD	1900	33904	\N	\N	\N
579302	1971	1996-07-29	VYDAJ	VYBER	1300	36038	\N	\N	\N
579303	1971	1996-08-28	PRIJEM	VKLAD	500	37789	\N	\N	\N
579304	1971	1996-09-27	VYDAJ	VYBER	600	40644	\N	\N	\N
579305	1971	1996-10-27	PRIJEM	VKLAD	2800	43911	\N	\N	\N
579306	1971	1996-11-26	VYDAJ	VYBER	100	42882	\N	\N	\N
579307	1971	1996-12-26	VYDAJ	VYBER	5200	44829	\N	\N	\N
579308	1971	1997-01-25	VYDAJ	VYBER	1000	39624	\N	\N	\N
579309	1971	1997-02-24	VYDAJ	VYBER	900	40405	\N	\N	\N
579310	1971	1997-03-26	VYDAJ	VYBER	200	43672	\N	\N	\N
579311	1971	1997-04-25	PRIJEM	VKLAD	2200	46450	\N	\N	\N
579312	1971	1997-05-25	PRIJEM	VKLAD	3200	53140	\N	\N	\N
579313	1971	1997-06-24	PRIJEM	VKLAD	13500	47815	\N	\N	\N
579314	1971	1997-07-24	PRIJEM	VKLAD	5500	52146	\N	\N	\N
579315	1971	1997-08-23	PRIJEM	VKLAD	6300	57346	\N	\N	\N
579316	1971	1997-09-22	VYDAJ	VYBER	1200	56661	\N	\N	\N
579317	1971	1997-10-22	VYDAJ	VYBER	1600	53795	\N	\N	\N
579318	1971	1997-11-21	VYDAJ	VYBER	1400	52319	\N	\N	\N
579319	1971	1997-12-21	VYDAJ	VYBER	2700	56514	\N	\N	\N
579320	1971	1998-01-20	PRIJEM	VKLAD	700	53648	\N	\N	\N
579321	1971	1998-02-19	PRIJEM	VKLAD	2800	57972	\N	\N	\N
579322	1971	1998-03-21	VYDAJ	VYBER	5700	55800	\N	\N	\N
579323	1971	1998-04-20	VYDAJ	VYBER	2800	56543	\N	\N	\N
579324	1971	1998-05-20	VYDAJ	VYBER	2000	56280	\N	\N	\N
579325	1971	1998-06-19	VYDAJ	VYBER	5600	59186	\N	\N	\N
579326	1971	1998-07-19	PRIJEM	VKLAD	500	45920	\N	\N	\N
579327	1971	1998-08-18	VYDAJ	VYBER	100	48807	\N	\N	\N
579328	1971	1998-09-17	VYDAJ	VYBER	3600	48704	\N	\N	\N
579329	1971	1998-10-17	VYDAJ	VYBER	1800	50409	\N	\N	\N
579330	1971	1998-11-16	VYDAJ	VYBER	1800	51317	\N	\N	\N
579331	1971	1998-12-16	VYDAJ	VYBER	7100	51298	\N	\N	\N
579373	1972	1993-01-02	PRIJEM	VKLAD	400	400	\N	\N	\N
579374	1972	1993-01-07	PRIJEM	PREVOD Z UCTU	5298	5698	DUCHOD	UV	14132887
579375	1972	1993-02-07	PRIJEM	PREVOD Z UCTU	5298	11015	DUCHOD	UV	14132887
579376	1972	1993-03-07	PRIJEM	PREVOD Z UCTU	5298	16337	DUCHOD	UV	14132887
579377	1972	1993-04-07	PRIJEM	PREVOD Z UCTU	5298	21659	DUCHOD	UV	14132887
579378	1972	1993-05-07	PRIJEM	PREVOD Z UCTU	5298	26980	DUCHOD	UV	14132887
579379	1972	1993-06-07	PRIJEM	PREVOD Z UCTU	5298	29609	DUCHOD	UV	14132887
579380	1972	1993-07-07	PRIJEM	PREVOD Z UCTU	5298	26197	DUCHOD	UV	14132887
579381	1972	1993-08-07	PRIJEM	PREVOD Z UCTU	5298	26120	DUCHOD	UV	14132887
579382	1972	1993-09-07	PRIJEM	PREVOD Z UCTU	5298	28762	DUCHOD	UV	14132887
579383	1972	1993-10-07	PRIJEM	PREVOD Z UCTU	5298	31415	DUCHOD	UV	14132887
579384	1972	1993-11-07	PRIJEM	PREVOD Z UCTU	5298	31878	DUCHOD	UV	14132887
579385	1972	1993-12-07	PRIJEM	PREVOD Z UCTU	5298	33143	DUCHOD	UV	14132887
579386	1972	1994-01-07	PRIJEM	PREVOD Z UCTU	5298	34913	DUCHOD	UV	14132887
579387	1972	1994-02-07	PRIJEM	PREVOD Z UCTU	5298	25704	DUCHOD	UV	14132887
579388	1972	1994-03-07	PRIJEM	PREVOD Z UCTU	5298	26741	DUCHOD	UV	14132887
579389	1972	1994-04-07	PRIJEM	PREVOD Z UCTU	5298	29385	DUCHOD	UV	14132887
579390	1972	1994-05-07	PRIJEM	PREVOD Z UCTU	5298	30040	DUCHOD	UV	14132887
579391	1972	1994-06-07	PRIJEM	PREVOD Z UCTU	5298	24205	DUCHOD	UV	14132887
579392	1972	1994-07-07	PRIJEM	PREVOD Z UCTU	5298	23877	DUCHOD	UV	14132887
579393	1972	1994-08-07	PRIJEM	PREVOD Z UCTU	5298	24749	DUCHOD	UV	14132887
579394	1972	1994-09-07	PRIJEM	PREVOD Z UCTU	5298	27388	DUCHOD	UV	14132887
579395	1972	1994-10-07	PRIJEM	PREVOD Z UCTU	5298	28934	DUCHOD	UV	14132887
579396	1972	1994-11-07	PRIJEM	PREVOD Z UCTU	5298	31588	DUCHOD	UV	14132887
579397	1972	1994-12-07	PRIJEM	PREVOD Z UCTU	5298	31605	DUCHOD	UV	14132887
579398	1972	1995-01-07	PRIJEM	PREVOD Z UCTU	5298	25564	DUCHOD	UV	14132887
579399	1972	1995-02-07	PRIJEM	PREVOD Z UCTU	5298	20487	DUCHOD	UV	14132887
579400	1972	1995-03-07	PRIJEM	PREVOD Z UCTU	5298	23105	DUCHOD	UV	14132887
579401	1972	1995-04-07	PRIJEM	PREVOD Z UCTU	5298	22693	DUCHOD	UV	14132887
579402	1972	1995-05-07	PRIJEM	PREVOD Z UCTU	5298	23078	DUCHOD	UV	14132887
579403	1972	1995-06-07	PRIJEM	PREVOD Z UCTU	5298	22581	DUCHOD	UV	14132887
579404	1972	1995-07-07	PRIJEM	PREVOD Z UCTU	5298	20458	DUCHOD	UV	14132887
579405	1972	1995-08-07	PRIJEM	PREVOD Z UCTU	5298	23076	DUCHOD	UV	14132887
579406	1972	1995-09-07	PRIJEM	PREVOD Z UCTU	5298	25064	DUCHOD	UV	14132887
579407	1972	1995-10-07	PRIJEM	PREVOD Z UCTU	5298	27701	DUCHOD	UV	14132887
579408	1972	1995-11-07	PRIJEM	PREVOD Z UCTU	5298	27844	DUCHOD	UV	14132887
579409	1972	1995-12-07	PRIJEM	PREVOD Z UCTU	5298	30493	DUCHOD	UV	14132887
579410	1972	1996-01-07	PRIJEM	PREVOD Z UCTU	5298	26576	DUCHOD	UV	14132887
579411	1972	1996-02-07	PRIJEM	PREVOD Z UCTU	5298	20698	DUCHOD	UV	14132887
579412	1972	1996-03-07	PRIJEM	PREVOD Z UCTU	5298	20437	DUCHOD	UV	14132887
579413	1972	1996-04-07	PRIJEM	PREVOD Z UCTU	5298	23058	DUCHOD	UV	14132887
579414	1972	1996-05-07	PRIJEM	PREVOD Z UCTU	5298	25686	DUCHOD	UV	14132887
579415	1972	1996-06-07	PRIJEM	PREVOD Z UCTU	5298	22922	DUCHOD	UV	14132887
579416	1972	1996-07-07	PRIJEM	PREVOD Z UCTU	5298	22701	DUCHOD	UV	14132887
579417	1972	1996-08-07	PRIJEM	PREVOD Z UCTU	5298	25328	DUCHOD	UV	14132887
579418	1972	1996-09-07	PRIJEM	PREVOD Z UCTU	5298	24202	DUCHOD	UV	14132887
579419	1972	1996-10-07	PRIJEM	PREVOD Z UCTU	5298	24830	DUCHOD	UV	14132887
579420	1972	1996-11-07	PRIJEM	PREVOD Z UCTU	5298	27465	DUCHOD	UV	14132887
579421	1972	1996-12-07	PRIJEM	PREVOD Z UCTU	5298	30111	DUCHOD	UV	14132887
579422	1972	1997-01-07	PRIJEM	PREVOD Z UCTU	5298	32168	DUCHOD	UV	14132887
579423	1972	1997-02-07	PRIJEM	PREVOD Z UCTU	5298	22800	DUCHOD	UV	14132887
579424	1972	1997-03-07	PRIJEM	PREVOD Z UCTU	5298	25426	DUCHOD	UV	14132887
579425	1972	1997-04-07	PRIJEM	PREVOD Z UCTU	5298	26059	DUCHOD	UV	14132887
579426	1972	1997-05-07	PRIJEM	PREVOD Z UCTU	5298	28699	DUCHOD	UV	14132887
579427	1972	1997-06-07	PRIJEM	PREVOD Z UCTU	5298	30046	DUCHOD	UV	14132887
579428	1972	1997-07-07	PRIJEM	PREVOD Z UCTU	5298	29243	DUCHOD	UV	14132887
579429	1972	1997-08-07	PRIJEM	PREVOD Z UCTU	5298	31896	DUCHOD	UV	14132887
579430	1972	1997-09-07	PRIJEM	PREVOD Z UCTU	5298	26643	DUCHOD	UV	14132887
579431	1972	1997-10-07	PRIJEM	PREVOD Z UCTU	5298	25755	DUCHOD	UV	14132887
579432	1972	1997-11-07	PRIJEM	PREVOD Z UCTU	5298	26391	DUCHOD	UV	14132887
579433	1972	1997-12-07	PRIJEM	PREVOD Z UCTU	5298	25832	DUCHOD	UV	14132887
579434	1972	1998-01-07	PRIJEM	PREVOD Z UCTU	5298	27522	DUCHOD	UV	14132887
579435	1972	1998-02-07	PRIJEM	PREVOD Z UCTU	5298	22458	DUCHOD	UV	14132887
579436	1972	1998-03-07	PRIJEM	PREVOD Z UCTU	5298	22274	DUCHOD	UV	14132887
579437	1972	1998-04-07	PRIJEM	PREVOD Z UCTU	5298	23538	DUCHOD	UV	14132887
579438	1972	1998-05-07	PRIJEM	PREVOD Z UCTU	5298	26169	DUCHOD	UV	14132887
579439	1972	1998-06-07	PRIJEM	PREVOD Z UCTU	5298	23997	DUCHOD	UV	14132887
579440	1972	1998-07-07	PRIJEM	PREVOD Z UCTU	5298	24024	DUCHOD	UV	14132887
579441	1972	1998-08-07	PRIJEM	PREVOD Z UCTU	5298	26654	DUCHOD	UV	14132887
579442	1972	1998-09-07	PRIJEM	PREVOD Z UCTU	5298	29295	DUCHOD	UV	14132887
579443	1972	1998-10-07	PRIJEM	PREVOD Z UCTU	5298	28547	DUCHOD	UV	14132887
579444	1972	1998-11-07	PRIJEM	PREVOD Z UCTU	5298	27001	DUCHOD	UV	14132887
579445	1972	1998-12-07	PRIJEM	PREVOD Z UCTU	5298	27648	DUCHOD	UV	14132887
579450	1972	1993-05-09	VYDAJ	PREVOD NA UCET	2736	24244	SIPO	YZ	67027497
579451	1972	1993-06-09	VYDAJ	PREVOD NA UCET	2736	20923	SIPO	YZ	67027497
579452	1972	1993-07-09	VYDAJ	PREVOD NA UCET	2736	23461	SIPO	YZ	67027497
579453	1972	1993-08-09	VYDAJ	PREVOD NA UCET	2736	23384	SIPO	YZ	67027497
579454	1972	1993-09-09	VYDAJ	PREVOD NA UCET	2736	26026	SIPO	YZ	67027497
579455	1972	1993-10-09	VYDAJ	PREVOD NA UCET	2736	28679	SIPO	YZ	67027497
579456	1972	1993-11-09	VYDAJ	PREVOD NA UCET	2736	29142	SIPO	YZ	67027497
579457	1972	1993-12-09	VYDAJ	PREVOD NA UCET	2736	30407	SIPO	YZ	67027497
579458	1972	1994-01-09	VYDAJ	PREVOD NA UCET	2736	32177	SIPO	YZ	67027497
579459	1972	1994-02-09	VYDAJ	PREVOD NA UCET	2736	22968	SIPO	YZ	67027497
579460	1972	1994-03-09	VYDAJ	PREVOD NA UCET	2736	24005	SIPO	YZ	67027497
579461	1972	1994-04-09	VYDAJ	PREVOD NA UCET	2736	26649	SIPO	YZ	67027497
579462	1972	1994-05-09	VYDAJ	PREVOD NA UCET	2736	27304	SIPO	YZ	67027497
579463	1972	1994-06-09	VYDAJ	PREVOD NA UCET	2736	21469	SIPO	YZ	67027497
579464	1972	1994-07-09	VYDAJ	PREVOD NA UCET	2736	21141	SIPO	YZ	67027497
579465	1972	1994-08-09	VYDAJ	PREVOD NA UCET	2736	22013	SIPO	YZ	67027497
579466	1972	1994-09-09	VYDAJ	PREVOD NA UCET	2736	24652	SIPO	YZ	67027497
579467	1972	1994-10-09	VYDAJ	PREVOD NA UCET	2736	26198	SIPO	YZ	67027497
579468	1972	1994-11-09	VYDAJ	PREVOD NA UCET	2736	26212	SIPO	YZ	67027497
579469	1972	1994-12-09	VYDAJ	PREVOD NA UCET	2736	28869	SIPO	YZ	67027497
579470	1972	1995-01-09	VYDAJ	PREVOD NA UCET	2736	22828	SIPO	YZ	67027497
579471	1972	1995-02-09	VYDAJ	PREVOD NA UCET	2736	17751	SIPO	YZ	67027497
579472	1972	1995-03-09	VYDAJ	PREVOD NA UCET	2736	20369	SIPO	YZ	67027497
579473	1972	1995-04-09	VYDAJ	PREVOD NA UCET	2736	19957	SIPO	YZ	67027497
579474	1972	1995-05-09	VYDAJ	PREVOD NA UCET	2736	20342	SIPO	YZ	67027497
579475	1972	1995-06-09	VYDAJ	PREVOD NA UCET	2736	18145	SIPO	YZ	67027497
579476	1972	1995-07-09	VYDAJ	PREVOD NA UCET	2736	17722	SIPO	YZ	67027497
579477	1972	1995-08-09	VYDAJ	PREVOD NA UCET	2736	20340	SIPO	YZ	67027497
579478	1972	1995-09-09	VYDAJ	PREVOD NA UCET	2736	22328	SIPO	YZ	67027497
579479	1972	1995-10-09	VYDAJ	PREVOD NA UCET	2736	24965	SIPO	YZ	67027497
579480	1972	1995-11-09	VYDAJ	PREVOD NA UCET	2736	25108	SIPO	YZ	67027497
579481	1972	1995-12-09	VYDAJ	PREVOD NA UCET	2736	27757	SIPO	YZ	67027497
579482	1972	1996-01-09	VYDAJ	PREVOD NA UCET	2736	23840	SIPO	YZ	67027497
579483	1972	1996-02-09	VYDAJ	PREVOD NA UCET	2736	17962	SIPO	YZ	67027497
579484	1972	1996-03-09	VYDAJ	PREVOD NA UCET	2736	17701	SIPO	YZ	67027497
579485	1972	1996-04-09	VYDAJ	PREVOD NA UCET	2736	20322	SIPO	YZ	67027497
579486	1972	1996-05-09	VYDAJ	PREVOD NA UCET	2736	22950	SIPO	YZ	67027497
579487	1972	1996-06-09	VYDAJ	PREVOD NA UCET	2736	20186	SIPO	YZ	67027497
579488	1972	1996-07-09	VYDAJ	PREVOD NA UCET	2736	19965	SIPO	YZ	67027497
579489	1972	1996-08-09	VYDAJ	PREVOD NA UCET	2736	18832	SIPO	YZ	67027497
579490	1972	1996-09-09	VYDAJ	PREVOD NA UCET	2736	21466	SIPO	YZ	67027497
579491	1972	1996-10-09	VYDAJ	PREVOD NA UCET	2736	22094	SIPO	YZ	67027497
579492	1972	1996-11-09	VYDAJ	PREVOD NA UCET	2736	24729	SIPO	YZ	67027497
579493	1972	1996-12-09	VYDAJ	PREVOD NA UCET	2736	27375	SIPO	YZ	67027497
579494	1972	1997-01-09	VYDAJ	PREVOD NA UCET	2736	27512	SIPO	YZ	67027497
579495	1972	1997-02-09	VYDAJ	PREVOD NA UCET	2736	20064	SIPO	YZ	67027497
579496	1972	1997-03-09	VYDAJ	PREVOD NA UCET	2736	22690	SIPO	YZ	67027497
579497	1972	1997-04-09	VYDAJ	PREVOD NA UCET	2736	23323	SIPO	YZ	67027497
579498	1972	1997-05-09	VYDAJ	PREVOD NA UCET	2736	25963	SIPO	YZ	67027497
579499	1972	1997-06-09	VYDAJ	PREVOD NA UCET	2736	24160	SIPO	YZ	67027497
579500	1972	1997-07-09	VYDAJ	PREVOD NA UCET	2736	26507	SIPO	YZ	67027497
579501	1972	1997-08-09	VYDAJ	PREVOD NA UCET	2736	29160	SIPO	YZ	67027497
579502	1972	1997-09-09	VYDAJ	PREVOD NA UCET	2736	20387	SIPO	YZ	67027497
579503	1972	1997-10-09	VYDAJ	PREVOD NA UCET	2736	23019	SIPO	YZ	67027497
579504	1972	1997-11-09	VYDAJ	PREVOD NA UCET	2736	23655	SIPO	YZ	67027497
579505	1972	1997-12-09	VYDAJ	PREVOD NA UCET	2736	23096	SIPO	YZ	67027497
579506	1972	1998-01-09	VYDAJ	PREVOD NA UCET	2736	21816	SIPO	YZ	67027497
579507	1972	1998-02-09	VYDAJ	PREVOD NA UCET	2736	16922	SIPO	YZ	67027497
579508	1972	1998-03-09	VYDAJ	PREVOD NA UCET	2736	19538	SIPO	YZ	67027497
579509	1972	1998-04-09	VYDAJ	PREVOD NA UCET	2736	20802	SIPO	YZ	67027497
579510	1972	1998-05-09	VYDAJ	PREVOD NA UCET	2736	23433	SIPO	YZ	67027497
579511	1972	1998-06-09	VYDAJ	PREVOD NA UCET	2736	21261	SIPO	YZ	67027497
579512	1972	1998-07-09	VYDAJ	PREVOD NA UCET	2736	21288	SIPO	YZ	67027497
579513	1972	1998-08-09	VYDAJ	PREVOD NA UCET	2736	23918	SIPO	YZ	67027497
579514	1972	1998-09-09	VYDAJ	PREVOD NA UCET	2736	26559	SIPO	YZ	67027497
579515	1972	1998-10-09	VYDAJ	PREVOD NA UCET	2736	25811	SIPO	YZ	67027497
579516	1972	1998-11-09	VYDAJ	PREVOD NA UCET	2736	24265	SIPO	YZ	67027497
579517	1972	1998-12-09	VYDAJ	PREVOD NA UCET	2736	24912	SIPO	YZ	67027497
579518	1972	1993-06-07	VYDAJ	VYBER	5950	23659	\N	\N	\N
579519	1972	1994-06-03	VYDAJ	VYBER	4650	18907	\N	\N	\N
579520	1972	1995-06-08	VYDAJ	VYBER	1700	20881	\N	\N	\N
579521	1972	1996-06-24	VYDAJ	VYBER	2850	17336	\N	\N	\N
579522	1972	1997-06-09	VYDAJ	VYBER	3150	26896	\N	\N	\N
579523	1972	1998-06-22	VYDAJ	VYBER	2600	18661	\N	\N	\N
579525	1972	1994-01-24	VYDAJ	VYBER	1950	24387	\N	\N	\N
579526	1972	1995-01-11	VYDAJ	VYBER	3700	19128	\N	\N	\N
579527	1972	1996-01-09	VYDAJ	VYBER	4100	19740	\N	\N	\N
579528	1972	1997-01-26	VYDAJ	VYBER	3150	17422	\N	\N	\N
579529	1972	1998-01-08	VYDAJ	VYBER	1850	24552	\N	\N	\N
579530	1972	1993-12-18	VYDAJ	VYBER	900	29507	\N	\N	\N
579531	1972	1994-12-21	VYDAJ	VYBER	1100	25209	\N	\N	\N
579532	1972	1995-12-26	VYDAJ	VYBER	450	23107	\N	\N	\N
579533	1972	1996-12-29	VYDAJ	VYBER	600	26775	\N	\N	\N
579534	1972	1997-12-15	VYDAJ	VYBER	950	22146	\N	\N	\N
579535	1972	1998-12-22	VYDAJ	VYBER	550	23642	\N	\N	\N
579542	1972	1994-01-26	VYDAJ	VYBER	960	23427	\N	\N	\N
579543	1972	1994-01-17	VYDAJ	VYBER	2000	27297	\N	\N	\N
579544	1972	1994-01-12	VYDAJ	VYBER	480	30817	\N	\N	\N
579545	1972	1994-01-12	VYDAJ	VYBER	880	31297	\N	\N	\N
579546	1972	1994-01-19	VYDAJ	VYBER	960	26337	\N	\N	\N
579547	1972	1994-01-15	VYDAJ	VYBER	1520	29297	\N	\N	\N
579548	1972	1995-01-20	VYDAJ	VYBER	720	15128	\N	\N	\N
579550	1972	1995-01-04	VYDAJ	VYBER	1520	23786	\N	\N	\N
579551	1972	1995-01-06	VYDAJ	VYBER	1600	20266	\N	\N	\N
579552	1972	1995-01-19	VYDAJ	VYBER	480	15848	\N	\N	\N
579553	1972	1995-01-05	VYDAJ	VYBER	1920	21866	\N	\N	\N
579556	1972	1996-01-10	VYDAJ	VYBER	1840	17900	\N	\N	\N
579557	1972	1996-01-03	VYDAJ	VYBER	1920	21278	\N	\N	\N
579558	1972	1996-01-15	VYDAJ	VYBER	2080	15340	\N	\N	\N
579559	1972	1996-01-14	VYDAJ	VYBER	480	17420	\N	\N	\N
579560	1972	1997-01-14	VYDAJ	VYBER	1440	23132	\N	\N	\N
579561	1972	1997-01-10	VYDAJ	VYBER	1040	26472	\N	\N	\N
579562	1972	1997-01-22	VYDAJ	VYBER	480	20572	\N	\N	\N
579563	1972	1997-01-17	VYDAJ	VYBER	880	22252	\N	\N	\N
579564	1972	1997-01-20	VYDAJ	VYBER	1200	21052	\N	\N	\N
579565	1972	1997-01-08	VYDAJ	VYBER	1920	30248	\N	\N	\N
579566	1972	1998-01-14	VYDAJ	VYBER	2240	19576	\N	\N	\N
579568	1972	1998-01-08	VYDAJ	VYBER	1120	26402	\N	\N	\N
579570	1972	1998-01-16	VYDAJ	VYBER	480	19096	\N	\N	\N
579572	1972	1993-07-28	VYDAJ	VYBER	2720	20741	\N	\N	\N
579573	1972	1994-06-12	VYDAJ	VYBER	2960	18509	\N	\N	\N
579574	1972	1994-08-04	VYDAJ	VYBER	1760	19451	\N	\N	\N
579575	1972	1994-12-20	VYDAJ	VYBER	2560	26309	\N	\N	\N
579576	1972	1994-11-07	VYDAJ	VYBER	2640	28948	\N	\N	\N
579577	1972	1994-02-16	VYDAJ	VYBER	1600	21368	\N	\N	\N
579578	1972	1994-05-27	VYDAJ	VYBER	3360	23464	\N	\N	\N
579579	1972	1994-05-25	VYDAJ	VYBER	480	26824	\N	\N	\N
579580	1972	1994-01-27	VYDAJ	VYBER	3120	20307	\N	\N	\N
579582	1972	1995-04-25	VYDAJ	VYBER	2240	17717	\N	\N	\N
579583	1972	1995-03-28	VYDAJ	VYBER	3040	17329	\N	\N	\N
579584	1972	1995-06-19	VYDAJ	VYBER	3040	15105	\N	\N	\N
579585	1972	1995-08-23	VYDAJ	VYBER	640	19700	\N	\N	\N
579586	1972	1995-05-17	VYDAJ	VYBER	3120	17222	\N	\N	\N
579587	1972	1995-01-12	VYDAJ	VYBER	2800	16328	\N	\N	\N
579588	1972	1995-12-24	VYDAJ	VYBER	2400	23557	\N	\N	\N
579589	1972	1996-06-01	VYDAJ	VYBER	3120	17624	\N	\N	\N
579590	1972	1996-08-09	VYDAJ	VYBER	3760	21568	\N	\N	\N
579591	1972	1996-03-05	VYDAJ	VYBER	2880	15139	\N	\N	\N
579593	1972	1996-05-24	VYDAJ	VYBER	1680	20670	\N	\N	\N
579595	1972	1997-10-25	VYDAJ	VYBER	2000	21019	\N	\N	\N
579596	1972	1997-08-13	VYDAJ	VYBER	1600	23260	\N	\N	\N
579597	1972	1997-08-25	VYDAJ	VYBER	2000	21260	\N	\N	\N
579598	1972	1997-12-04	VYDAJ	VYBER	3200	20534	\N	\N	\N
579599	1972	1997-03-16	VYDAJ	VYBER	2000	20690	\N	\N	\N
579600	1972	1997-09-07	VYDAJ	VYBER	3520	23123	\N	\N	\N
579602	1972	1998-01-16	VYDAJ	VYBER	2000	17096	\N	\N	\N
579604	1972	1998-12-16	VYDAJ	VYBER	720	24192	\N	\N	\N
579605	1972	1998-05-17	VYDAJ	VYBER	1920	18633	\N	\N	\N
579606	1972	1998-04-06	VYDAJ	VYBER	1360	18240	\N	\N	\N
579608	1972	1998-02-09	VYDAJ	VYBER	2800	19658	\N	\N	\N
579609	1972	1998-05-12	VYDAJ	VYBER	2880	20553	\N	\N	\N
579615	1972	1993-05-31	VYDAJ	VYBER	15	24311	SLUZBY	\N	\N
579616	1972	1993-06-30	VYDAJ	VYBER	15	20999	SLUZBY	\N	\N
579617	1972	1993-07-31	VYDAJ	VYBER	15	20822	SLUZBY	\N	\N
579618	1972	1993-08-31	VYDAJ	VYBER	15	23464	SLUZBY	\N	\N
579619	1972	1993-09-30	VYDAJ	VYBER	15	26117	SLUZBY	\N	\N
579620	1972	1993-10-31	VYDAJ	VYBER	15	26580	SLUZBY	\N	\N
579621	1972	1993-11-30	VYDAJ	VYBER	15	27845	SLUZBY	\N	\N
579622	1972	1993-12-31	VYDAJ	VYBER	15	29615	SLUZBY	\N	\N
579623	1972	1994-01-31	VYDAJ	VYBER	15	20406	SLUZBY	\N	\N
579624	1972	1994-02-28	VYDAJ	VYBER	15	21443	SLUZBY	\N	\N
579625	1972	1994-03-31	VYDAJ	VYBER	15	24087	SLUZBY	\N	\N
579626	1972	1994-04-30	VYDAJ	VYBER	15	24742	SLUZBY	\N	\N
579627	1972	1994-05-31	VYDAJ	VYBER	15	23557	SLUZBY	\N	\N
579628	1972	1994-06-30	VYDAJ	VYBER	15	18579	SLUZBY	\N	\N
579629	1972	1994-07-31	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
579630	1972	1994-08-31	VYDAJ	VYBER	15	22090	SLUZBY	\N	\N
579631	1972	1994-09-30	VYDAJ	VYBER	15	23636	SLUZBY	\N	\N
579632	1972	1994-10-31	VYDAJ	VYBER	15	26290	SLUZBY	\N	\N
579633	1972	1994-11-30	VYDAJ	VYBER	15	26307	SLUZBY	\N	\N
579634	1972	1994-12-31	VYDAJ	VYBER	15	25306	SLUZBY	\N	\N
579635	1972	1995-01-31	VYDAJ	VYBER	15	15189	SLUZBY	\N	\N
579636	1972	1995-02-28	VYDAJ	VYBER	15	17807	SLUZBY	\N	\N
579637	1972	1995-03-31	VYDAJ	VYBER	15	17395	SLUZBY	\N	\N
579638	1972	1995-04-30	VYDAJ	VYBER	15	17780	SLUZBY	\N	\N
579639	1972	1995-05-31	VYDAJ	VYBER	15	17283	SLUZBY	\N	\N
579640	1972	1995-06-30	VYDAJ	VYBER	15	15160	SLUZBY	\N	\N
579641	1972	1995-07-31	VYDAJ	VYBER	15	17778	SLUZBY	\N	\N
579642	1972	1995-08-31	VYDAJ	VYBER	15	19766	SLUZBY	\N	\N
579643	1972	1995-09-30	VYDAJ	VYBER	15	22403	SLUZBY	\N	\N
579644	1972	1995-10-31	VYDAJ	VYBER	15	22546	SLUZBY	\N	\N
579645	1972	1995-11-30	VYDAJ	VYBER	15	25195	SLUZBY	\N	\N
579646	1972	1995-12-31	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
579647	1972	1996-01-31	VYDAJ	VYBER	15	15400	SLUZBY	\N	\N
579648	1972	1996-02-29	VYDAJ	VYBER	15	18019	SLUZBY	\N	\N
579649	1972	1996-03-31	VYDAJ	VYBER	15	17760	SLUZBY	\N	\N
579650	1972	1996-04-30	VYDAJ	VYBER	15	20388	SLUZBY	\N	\N
579651	1972	1996-05-31	VYDAJ	VYBER	15	20744	SLUZBY	\N	\N
579652	1972	1996-06-30	VYDAJ	VYBER	15	17403	SLUZBY	\N	\N
579653	1972	1996-07-31	VYDAJ	VYBER	15	20030	SLUZBY	\N	\N
579654	1972	1996-08-31	VYDAJ	VYBER	15	18904	SLUZBY	\N	\N
579655	1972	1996-09-30	VYDAJ	VYBER	15	19532	SLUZBY	\N	\N
579656	1972	1996-10-31	VYDAJ	VYBER	15	22167	SLUZBY	\N	\N
579657	1972	1996-11-30	VYDAJ	VYBER	15	24813	SLUZBY	\N	\N
579658	1972	1996-12-31	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
579659	1972	1997-01-31	VYDAJ	VYBER	15	17502	SLUZBY	\N	\N
579660	1972	1997-02-28	VYDAJ	VYBER	15	20128	SLUZBY	\N	\N
579661	1972	1997-03-31	VYDAJ	VYBER	15	20761	SLUZBY	\N	\N
579662	1972	1997-04-30	VYDAJ	VYBER	15	23401	SLUZBY	\N	\N
579663	1972	1997-05-31	VYDAJ	VYBER	15	24748	SLUZBY	\N	\N
579664	1972	1997-06-30	VYDAJ	VYBER	15	23945	SLUZBY	\N	\N
579665	1972	1997-07-31	VYDAJ	VYBER	15	26598	SLUZBY	\N	\N
579666	1972	1997-08-31	VYDAJ	VYBER	15	21345	SLUZBY	\N	\N
579667	1972	1997-09-30	VYDAJ	VYBER	15	20457	SLUZBY	\N	\N
579668	1972	1997-10-31	VYDAJ	VYBER	15	21093	SLUZBY	\N	\N
579669	1972	1997-11-30	VYDAJ	VYBER	15	23734	SLUZBY	\N	\N
579670	1972	1997-12-31	VYDAJ	VYBER	15	22224	SLUZBY	\N	\N
579671	1972	1998-01-31	VYDAJ	VYBER	15	17160	SLUZBY	\N	\N
579672	1972	1998-02-28	VYDAJ	VYBER	15	16976	SLUZBY	\N	\N
579673	1972	1998-03-31	VYDAJ	VYBER	15	19600	SLUZBY	\N	\N
579674	1972	1998-04-30	VYDAJ	VYBER	15	20871	SLUZBY	\N	\N
579675	1972	1998-05-31	VYDAJ	VYBER	15	18699	SLUZBY	\N	\N
579676	1972	1998-06-30	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
579677	1972	1998-07-31	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
579678	1972	1998-08-31	VYDAJ	VYBER	15	23997	SLUZBY	\N	\N
579679	1972	1998-09-30	VYDAJ	VYBER	15	26649	SLUZBY	\N	\N
579680	1972	1998-10-31	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
579681	1972	1998-11-30	VYDAJ	VYBER	15	24350	SLUZBY	\N	\N
579682	1972	1993-07-01	VYDAJ	VYBER	100	20899	\N	\N	\N
579683	1972	1993-10-29	VYDAJ	VYBER	2200	26479	\N	\N	\N
579684	1972	1993-11-28	VYDAJ	VYBER	1400	27742	\N	\N	\N
579685	1972	1994-04-27	VYDAJ	VYBER	2000	24649	\N	\N	\N
579686	1972	1994-09-24	VYDAJ	VYBER	1100	23552	\N	\N	\N
579687	1972	1995-10-19	VYDAJ	VYBER	2500	22465	\N	\N	\N
579688	1972	1995-12-18	VYDAJ	VYBER	1800	25957	\N	\N	\N
579689	1972	1996-05-16	VYDAJ	VYBER	600	22350	\N	\N	\N
579690	1972	1996-09-13	VYDAJ	VYBER	2000	19466	\N	\N	\N
579691	1972	1997-01-11	VYDAJ	VYBER	1900	24572	\N	\N	\N
579692	1972	1997-05-11	VYDAJ	VYBER	1300	24663	\N	\N	\N
579693	1972	1997-06-10	VYDAJ	VYBER	300	23860	\N	\N	\N
579694	1972	1997-08-09	VYDAJ	VYBER	4300	24860	\N	\N	\N
579695	1972	1998-10-03	VYDAJ	VYBER	3400	23249	\N	\N	\N
579696	1972	1998-11-02	VYDAJ	VYBER	4200	21703	\N	\N	\N
579697	1972	1998-12-02	VYDAJ	VYBER	2000	22350	\N	\N	\N
579770	1973	1996-06-05	PRIJEM	VKLAD	600	600	\N	\N	\N
579776	1973	1996-06-10	PRIJEM	PREVOD Z UCTU	2996	3596	\N	OP	94480686
579777	1973	1996-07-10	PRIJEM	PREVOD Z UCTU	2996	6603	\N	OP	94480686
579778	1973	1996-08-10	PRIJEM	PREVOD Z UCTU	2996	9614	\N	OP	94480686
579779	1973	1996-09-10	PRIJEM	PREVOD Z UCTU	2996	12624	\N	OP	94480686
579780	1973	1996-10-10	PRIJEM	PREVOD Z UCTU	2996	15635	\N	OP	94480686
579781	1973	1996-11-10	PRIJEM	PREVOD Z UCTU	2996	16661	\N	OP	94480686
579782	1973	1996-12-10	PRIJEM	PREVOD Z UCTU	2996	16865	\N	OP	94480686
579783	1973	1997-01-10	PRIJEM	PREVOD Z UCTU	2996	17912	\N	OP	94480686
579784	1973	1997-02-10	PRIJEM	PREVOD Z UCTU	2996	15595	\N	OP	94480686
579785	1973	1997-03-10	PRIJEM	PREVOD Z UCTU	2996	16635	\N	OP	94480686
579786	1973	1997-04-10	PRIJEM	PREVOD Z UCTU	2996	16748	\N	OP	94480686
579787	1973	1997-05-10	PRIJEM	PREVOD Z UCTU	2996	17792	\N	OP	94480686
579788	1973	1997-06-10	PRIJEM	PREVOD Z UCTU	2996	18841	\N	OP	94480686
579789	1973	1997-07-10	PRIJEM	PREVOD Z UCTU	2996	19473	\N	OP	94480686
579790	1973	1997-08-10	PRIJEM	PREVOD Z UCTU	2996	20529	\N	OP	94480686
579791	1973	1997-09-10	PRIJEM	PREVOD Z UCTU	2996	21589	\N	OP	94480686
579792	1973	1997-10-10	PRIJEM	PREVOD Z UCTU	2996	22654	\N	OP	94480686
579793	1973	1997-11-10	PRIJEM	PREVOD Z UCTU	2996	23722	\N	OP	94480686
579794	1973	1997-12-10	PRIJEM	PREVOD Z UCTU	2996	22605	\N	OP	94480686
579795	1973	1998-01-10	PRIJEM	PREVOD Z UCTU	2996	23136	\N	OP	94480686
579796	1973	1998-02-10	PRIJEM	PREVOD Z UCTU	2996	21236	\N	OP	94480686
579797	1973	1998-03-10	PRIJEM	PREVOD Z UCTU	2996	22298	\N	OP	94480686
579798	1973	1998-04-10	PRIJEM	PREVOD Z UCTU	2996	23005	\N	OP	94480686
579799	1973	1998-05-10	PRIJEM	PREVOD Z UCTU	2996	23535	\N	OP	94480686
579800	1973	1998-06-10	PRIJEM	PREVOD Z UCTU	2996	24607	\N	OP	94480686
579801	1973	1998-07-10	PRIJEM	PREVOD Z UCTU	2996	21446	\N	OP	94480686
579802	1973	1998-08-10	PRIJEM	PREVOD Z UCTU	2996	21580	\N	OP	94480686
579803	1973	1998-09-10	PRIJEM	PREVOD Z UCTU	2996	22647	\N	OP	94480686
579804	1973	1998-10-10	PRIJEM	PREVOD Z UCTU	2996	23715	\N	OP	94480686
579805	1973	1998-11-10	PRIJEM	PREVOD Z UCTU	2996	24788	\N	OP	94480686
579806	1973	1998-12-10	PRIJEM	PREVOD Z UCTU	2996	25866	\N	OP	94480686
579816	1973	1996-10-14	VYDAJ	PREVOD NA UCET	847	13638	\N	KL	71021574
579817	1973	1996-11-14	VYDAJ	PREVOD NA UCET	847	14664	\N	KL	71021574
579818	1973	1996-12-14	VYDAJ	PREVOD NA UCET	847	14868	\N	KL	71021574
579819	1973	1997-01-14	VYDAJ	PREVOD NA UCET	847	14985	\N	KL	71021574
579820	1973	1997-02-14	VYDAJ	PREVOD NA UCET	847	13598	\N	KL	71021574
579821	1973	1997-03-14	VYDAJ	PREVOD NA UCET	847	14638	\N	KL	71021574
579822	1973	1997-04-14	VYDAJ	PREVOD NA UCET	847	14751	\N	KL	71021574
579823	1973	1997-05-14	VYDAJ	PREVOD NA UCET	847	15795	\N	KL	71021574
579824	1973	1997-06-14	VYDAJ	PREVOD NA UCET	847	16844	\N	KL	71021574
579825	1973	1997-07-14	VYDAJ	PREVOD NA UCET	847	17476	\N	KL	71021574
579826	1973	1997-08-14	VYDAJ	PREVOD NA UCET	847	18532	\N	KL	71021574
579827	1973	1997-09-14	VYDAJ	PREVOD NA UCET	847	19592	\N	KL	71021574
579828	1973	1997-10-14	VYDAJ	PREVOD NA UCET	847	20657	\N	KL	71021574
579829	1973	1997-11-14	VYDAJ	PREVOD NA UCET	847	21725	\N	KL	71021574
579830	1973	1997-12-14	VYDAJ	PREVOD NA UCET	847	20608	\N	KL	71021574
579831	1973	1998-01-14	VYDAJ	PREVOD NA UCET	847	20479	\N	KL	71021574
579832	1973	1998-02-14	VYDAJ	PREVOD NA UCET	847	19239	\N	KL	71021574
579833	1973	1998-03-14	VYDAJ	PREVOD NA UCET	847	20301	\N	KL	71021574
579834	1973	1998-04-14	VYDAJ	PREVOD NA UCET	847	21008	\N	KL	71021574
579835	1973	1998-05-14	VYDAJ	PREVOD NA UCET	847	21538	\N	KL	71021574
579836	1973	1998-06-14	VYDAJ	PREVOD NA UCET	847	22610	\N	KL	71021574
579837	1973	1998-07-14	VYDAJ	PREVOD NA UCET	847	19449	\N	KL	71021574
579838	1973	1998-08-14	VYDAJ	PREVOD NA UCET	847	19583	\N	KL	71021574
579839	1973	1998-09-14	VYDAJ	PREVOD NA UCET	847	20650	\N	KL	71021574
579840	1973	1998-10-14	VYDAJ	PREVOD NA UCET	847	21718	\N	KL	71021574
579841	1973	1998-11-14	VYDAJ	PREVOD NA UCET	847	22791	\N	KL	71021574
579842	1973	1998-12-14	VYDAJ	PREVOD NA UCET	847	23869	\N	KL	71021574
579852	1973	1996-10-13	VYDAJ	PREVOD NA UCET	1150	14485	\N	WX	37152791
579853	1973	1996-11-13	VYDAJ	PREVOD NA UCET	1150	15511	\N	WX	37152791
579854	1973	1996-12-13	VYDAJ	PREVOD NA UCET	1150	15715	\N	WX	37152791
579855	1973	1997-01-13	VYDAJ	PREVOD NA UCET	1150	15832	\N	WX	37152791
579856	1973	1997-02-13	VYDAJ	PREVOD NA UCET	1150	14445	\N	WX	37152791
579857	1973	1997-03-13	VYDAJ	PREVOD NA UCET	1150	15485	\N	WX	37152791
579858	1973	1997-04-13	VYDAJ	PREVOD NA UCET	1150	15598	\N	WX	37152791
579859	1973	1997-05-13	VYDAJ	PREVOD NA UCET	1150	16642	\N	WX	37152791
579860	1973	1997-06-13	VYDAJ	PREVOD NA UCET	1150	17691	\N	WX	37152791
579861	1973	1997-07-13	VYDAJ	PREVOD NA UCET	1150	18323	\N	WX	37152791
579862	1973	1997-08-13	VYDAJ	PREVOD NA UCET	1150	19379	\N	WX	37152791
579863	1973	1997-09-13	VYDAJ	PREVOD NA UCET	1150	20439	\N	WX	37152791
579864	1973	1997-10-13	VYDAJ	PREVOD NA UCET	1150	21504	\N	WX	37152791
579865	1973	1997-11-13	VYDAJ	PREVOD NA UCET	1150	22572	\N	WX	37152791
579866	1973	1997-12-13	VYDAJ	PREVOD NA UCET	1150	21455	\N	WX	37152791
579867	1973	1998-01-13	VYDAJ	PREVOD NA UCET	1150	21326	\N	WX	37152791
579868	1973	1998-02-13	VYDAJ	PREVOD NA UCET	1150	20086	\N	WX	37152791
579869	1973	1998-03-13	VYDAJ	PREVOD NA UCET	1150	21148	\N	WX	37152791
579870	1973	1998-04-13	VYDAJ	PREVOD NA UCET	1150	21855	\N	WX	37152791
579871	1973	1998-05-13	VYDAJ	PREVOD NA UCET	1150	22385	\N	WX	37152791
579872	1973	1998-06-13	VYDAJ	PREVOD NA UCET	1150	23457	\N	WX	37152791
579873	1973	1998-07-13	VYDAJ	PREVOD NA UCET	1150	20296	\N	WX	37152791
579874	1973	1998-08-13	VYDAJ	PREVOD NA UCET	1150	20430	\N	WX	37152791
579875	1973	1998-09-13	VYDAJ	PREVOD NA UCET	1150	21497	\N	WX	37152791
579876	1973	1998-10-13	VYDAJ	PREVOD NA UCET	1150	22565	\N	WX	37152791
579877	1973	1998-11-13	VYDAJ	PREVOD NA UCET	1150	23638	\N	WX	37152791
579878	1973	1998-12-13	VYDAJ	PREVOD NA UCET	1150	24716	\N	WX	37152791
579881	1973	1998-06-15	VYDAJ	VYBER	3510	19100	\N	\N	\N
579882	1973	1996-12-08	VYDAJ	VYBER	840	13869	\N	\N	\N
579883	1973	1997-12-02	VYDAJ	VYBER	360	19609	\N	\N	\N
579884	1973	1998-12-18	VYDAJ	VYBER	300	23569	\N	\N	\N
579891	1973	1997-01-25	VYDAJ	VYBER	330	12735	\N	\N	\N
579892	1973	1997-01-18	VYDAJ	VYBER	840	14145	\N	\N	\N
579893	1973	1997-01-11	VYDAJ	VYBER	330	16982	\N	\N	\N
579894	1973	1997-01-22	VYDAJ	VYBER	270	13065	\N	\N	\N
579895	1973	1997-01-11	VYDAJ	VYBER	600	17312	\N	\N	\N
579896	1973	1997-01-20	VYDAJ	VYBER	810	13335	\N	\N	\N
579897	1973	1998-01-30	VYDAJ	VYBER	750	18169	\N	\N	\N
579898	1973	1998-01-12	VYDAJ	VYBER	660	22476	\N	\N	\N
579899	1973	1998-01-09	VYDAJ	VYBER	540	20140	\N	\N	\N
579900	1973	1998-01-27	VYDAJ	VYBER	510	19549	\N	\N	\N
579901	1973	1998-01-26	VYDAJ	VYBER	420	20059	\N	\N	\N
579902	1973	1998-01-30	VYDAJ	VYBER	630	18919	\N	\N	\N
579906	1973	1997-11-25	VYDAJ	VYBER	390	21335	\N	\N	\N
579907	1973	1997-06-27	VYDAJ	VYBER	420	16424	\N	\N	\N
579908	1973	1997-12-01	VYDAJ	VYBER	1440	19969	\N	\N	\N
579909	1973	1997-01-31	VYDAJ	VYBER	180	12614	\N	\N	\N
579910	1973	1997-03-23	VYDAJ	VYBER	930	13708	\N	\N	\N
579911	1973	1998-04-23	VYDAJ	VYBER	540	20468	\N	\N	\N
579912	1973	1998-03-27	VYDAJ	VYBER	360	19941	\N	\N	\N
579913	1973	1998-08-04	VYDAJ	VYBER	930	18584	\N	\N	\N
579914	1973	1998-06-30	VYDAJ	VYBER	720	18465	\N	\N	\N
579925	1973	1996-10-31	VYDAJ	VYBER	15	13665	SLUZBY	\N	\N
579926	1973	1996-11-30	VYDAJ	VYBER	15	14709	SLUZBY	\N	\N
579927	1973	1996-12-31	VYDAJ	VYBER	15	14916	SLUZBY	\N	\N
579928	1973	1997-01-31	VYDAJ	VYBER	15	12599	SLUZBY	\N	\N
579929	1973	1997-02-28	VYDAJ	VYBER	15	13639	SLUZBY	\N	\N
579930	1973	1997-03-31	VYDAJ	VYBER	15	13752	SLUZBY	\N	\N
579931	1973	1997-04-30	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
579932	1973	1997-05-31	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
579933	1973	1997-06-30	VYDAJ	VYBER	15	16477	SLUZBY	\N	\N
579934	1973	1997-07-31	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
579935	1973	1997-08-31	VYDAJ	VYBER	15	18593	SLUZBY	\N	\N
579936	1973	1997-09-30	VYDAJ	VYBER	15	19658	SLUZBY	\N	\N
579937	1973	1997-10-31	VYDAJ	VYBER	15	20726	SLUZBY	\N	\N
579938	1973	1997-11-30	VYDAJ	VYBER	15	21409	SLUZBY	\N	\N
579939	1973	1997-12-31	VYDAJ	VYBER	15	20680	SLUZBY	\N	\N
579940	1973	1998-01-31	VYDAJ	VYBER	15	18240	SLUZBY	\N	\N
579941	1973	1998-02-28	VYDAJ	VYBER	15	19302	SLUZBY	\N	\N
579942	1973	1998-03-31	VYDAJ	VYBER	15	20009	SLUZBY	\N	\N
579943	1973	1998-04-30	VYDAJ	VYBER	15	20539	SLUZBY	\N	\N
579944	1973	1998-05-31	VYDAJ	VYBER	15	21611	SLUZBY	\N	\N
579945	1973	1998-06-30	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
579946	1973	1998-07-31	VYDAJ	VYBER	15	19514	SLUZBY	\N	\N
579947	1973	1998-08-31	VYDAJ	VYBER	15	19651	SLUZBY	\N	\N
579948	1973	1998-09-30	VYDAJ	VYBER	15	20719	SLUZBY	\N	\N
579949	1973	1998-10-31	VYDAJ	VYBER	15	21792	SLUZBY	\N	\N
579950	1973	1998-11-30	VYDAJ	VYBER	15	22870	SLUZBY	\N	\N
579982	1974	1995-06-01	PRIJEM	VKLAD	300	300	\N	\N	\N
580078	1974	1995-07-01	PRIJEM	VKLAD	14000	14300	\N	\N	\N
580079	1974	1995-07-31	PRIJEM	VKLAD	7400	21703	\N	\N	\N
580080	1974	1995-09-29	PRIJEM	VKLAD	200	21903	\N	\N	\N
580081	1974	1995-10-29	PRIJEM	VKLAD	2300	24293	\N	\N	\N
580082	1974	1995-11-28	PRIJEM	VKLAD	3900	28284	\N	\N	\N
580083	1974	1995-12-28	PRIJEM	VKLAD	2800	31174	\N	\N	\N
580084	1974	1996-01-27	VYDAJ	VYBER	800	30465	\N	\N	\N
580085	1974	1996-02-26	PRIJEM	VKLAD	800	31355	\N	\N	\N
580086	1974	1996-03-27	PRIJEM	VKLAD	1700	33145	\N	\N	\N
580087	1974	1996-05-26	VYDAJ	VYBER	300	32936	\N	\N	\N
580088	1974	1996-06-25	VYDAJ	VYBER	2800	30226	\N	\N	\N
580089	1974	1996-07-25	PRIJEM	VKLAD	500	30817	\N	\N	\N
580090	1974	1996-08-24	VYDAJ	VYBER	3500	27407	\N	\N	\N
580091	1974	1996-09-23	VYDAJ	VYBER	1500	25998	\N	\N	\N
580092	1974	1996-10-23	VYDAJ	VYBER	2200	23888	\N	\N	\N
580093	1974	1996-11-22	PRIJEM	VKLAD	100	24078	\N	\N	\N
580094	1974	1996-12-22	VYDAJ	VYBER	1900	22269	\N	\N	\N
580095	1974	1997-01-21	PRIJEM	VKLAD	1900	24259	\N	\N	\N
580096	1974	1997-02-20	VYDAJ	VYBER	200	24150	\N	\N	\N
580097	1974	1997-03-22	VYDAJ	VYBER	2900	21340	\N	\N	\N
580098	1974	1997-04-21	VYDAJ	VYBER	1500	19931	\N	\N	\N
580099	1974	1997-05-21	VYDAJ	VYBER	2400	17621	\N	\N	\N
580100	1974	1997-06-20	VYDAJ	VYBER	800	16911	\N	\N	\N
580101	1974	1997-07-20	VYDAJ	VYBER	2300	14702	\N	\N	\N
580102	1974	1997-08-19	VYDAJ	VYBER	1300	13492	\N	\N	\N
580103	1974	1997-09-18	VYDAJ	VYBER	2400	11183	\N	\N	\N
580104	1974	1997-10-18	PRIJEM	VKLAD	100	11373	\N	\N	\N
580105	1974	1998-05-16	PRIJEM	VKLAD	600	12063	\N	\N	\N
580106	1974	1998-07-15	PRIJEM	VKLAD	200	12354	\N	\N	\N
580107	1974	1998-08-14	VYDAJ	VYBER	500	11944	\N	\N	\N
580108	1974	1998-09-13	PRIJEM	VKLAD	600	12635	\N	\N	\N
580109	1974	1998-11-12	PRIJEM	VKLAD	3600	16325	\N	\N	\N
580140	1975	1994-09-07	PRIJEM	VKLAD	200	200	\N	\N	\N
580149	1975	1994-09-12	PRIJEM	VKLAD	14212	14412	\N	\N	\N
580150	1975	1994-10-12	PRIJEM	VKLAD	14212	31462	\N	\N	\N
580151	1975	1994-11-12	PRIJEM	VKLAD	14212	42080	\N	\N	\N
580152	1975	1994-12-12	PRIJEM	VKLAD	21318	55657	\N	\N	\N
580153	1975	1995-01-12	PRIJEM	VKLAD	14212	51681	\N	\N	\N
580154	1975	1995-02-12	PRIJEM	VKLAD	14212	40485	\N	\N	\N
580155	1975	1995-03-12	PRIJEM	VKLAD	14212	39647	\N	\N	\N
580156	1975	1995-04-12	PRIJEM	VKLAD	14212	41605	\N	\N	\N
580157	1975	1995-05-12	PRIJEM	VKLAD	14212	40258	\N	\N	\N
580158	1975	1995-06-12	PRIJEM	VKLAD	21318	49123	\N	\N	\N
580159	1975	1995-07-12	PRIJEM	VKLAD	14212	42794	\N	\N	\N
580160	1975	1995-08-12	PRIJEM	VKLAD	14212	42262	\N	\N	\N
580161	1975	1995-09-12	PRIJEM	VKLAD	14212	41631	\N	\N	\N
580162	1975	1995-10-12	PRIJEM	VKLAD	14212	39298	\N	\N	\N
580163	1975	1995-11-12	PRIJEM	VKLAD	14212	38356	\N	\N	\N
580164	1975	1995-12-12	PRIJEM	VKLAD	21318	42314	\N	\N	\N
580165	1975	1996-01-12	PRIJEM	VKLAD	14212	40671	\N	\N	\N
580166	1975	1996-02-12	PRIJEM	VKLAD	14212	36612	\N	\N	\N
580167	1975	1996-03-12	PRIJEM	VKLAD	14212	38349	\N	\N	\N
580168	1975	1996-04-12	PRIJEM	VKLAD	14212	42295	\N	\N	\N
580169	1975	1996-05-12	PRIJEM	VKLAD	14212	43758	\N	\N	\N
580170	1975	1996-06-12	PRIJEM	VKLAD	21318	48429	\N	\N	\N
580171	1975	1996-07-12	PRIJEM	VKLAD	14212	43501	\N	\N	\N
580172	1975	1996-08-12	PRIJEM	VKLAD	14212	44367	\N	\N	\N
580173	1975	1996-09-12	PRIJEM	VKLAD	14212	46336	\N	\N	\N
580174	1975	1996-10-12	PRIJEM	VKLAD	14212	43004	\N	\N	\N
580175	1975	1996-11-12	PRIJEM	VKLAD	14212	41262	\N	\N	\N
580176	1975	1996-12-12	PRIJEM	VKLAD	21318	51224	\N	\N	\N
580177	1975	1997-01-12	PRIJEM	VKLAD	14212	40702	\N	\N	\N
580178	1975	1997-02-12	PRIJEM	VKLAD	14212	41349	\N	\N	\N
580179	1975	1997-03-12	PRIJEM	VKLAD	14212	40500	\N	\N	\N
580180	1975	1997-04-12	PRIJEM	VKLAD	14212	41346	\N	\N	\N
580181	1975	1997-05-12	PRIJEM	VKLAD	14212	45001	\N	\N	\N
580182	1975	1997-06-12	PRIJEM	VKLAD	21318	51378	\N	\N	\N
580183	1975	1997-07-12	PRIJEM	VKLAD	14212	38616	\N	\N	\N
580184	1975	1997-08-12	PRIJEM	VKLAD	14212	45362	\N	\N	\N
580185	1975	1997-09-12	PRIJEM	VKLAD	14212	41726	\N	\N	\N
580186	1975	1997-10-12	PRIJEM	VKLAD	14212	43187	\N	\N	\N
580187	1975	1997-11-12	PRIJEM	VKLAD	14212	42852	\N	\N	\N
580188	1975	1997-12-12	PRIJEM	VKLAD	21318	48316	\N	\N	\N
580189	1975	1998-01-12	PRIJEM	VKLAD	14212	40977	\N	\N	\N
580190	1975	1998-02-12	PRIJEM	VKLAD	14212	34514	\N	\N	\N
580191	1975	1998-03-12	PRIJEM	VKLAD	14212	39638	\N	\N	\N
580192	1975	1998-04-12	PRIJEM	VKLAD	14212	42080	\N	\N	\N
580193	1975	1998-05-12	PRIJEM	VKLAD	14212	41828	\N	\N	\N
580194	1975	1998-06-12	PRIJEM	VKLAD	21318	45975	\N	\N	\N
580195	1975	1998-07-12	PRIJEM	VKLAD	14212	41519	\N	\N	\N
580196	1975	1998-08-12	PRIJEM	VKLAD	14212	39460	\N	\N	\N
580197	1975	1998-09-12	PRIJEM	VKLAD	14212	40296	\N	\N	\N
580198	1975	1998-10-12	PRIJEM	VKLAD	14212	44542	\N	\N	\N
580199	1975	1998-11-12	PRIJEM	VKLAD	14212	39088	\N	\N	\N
580200	1975	1998-12-12	PRIJEM	VKLAD	21318	45423	\N	\N	\N
580213	1975	1995-01-12	VYDAJ	PREVOD NA UCET	2625	49056	SIPO	QR	25971132
580214	1975	1995-02-12	VYDAJ	PREVOD NA UCET	2625	37860	SIPO	QR	25971132
580215	1975	1995-03-12	VYDAJ	PREVOD NA UCET	2625	37022	SIPO	QR	25971132
580216	1975	1995-04-12	VYDAJ	PREVOD NA UCET	2625	34280	SIPO	QR	25971132
580217	1975	1995-05-12	VYDAJ	PREVOD NA UCET	2625	37633	SIPO	QR	25971132
580218	1975	1995-06-12	VYDAJ	PREVOD NA UCET	2625	46498	SIPO	QR	25971132
580219	1975	1995-07-12	VYDAJ	PREVOD NA UCET	2625	40169	SIPO	QR	25971132
580220	1975	1995-08-12	VYDAJ	PREVOD NA UCET	2625	39637	SIPO	QR	25971132
580221	1975	1995-09-12	VYDAJ	PREVOD NA UCET	2625	39006	SIPO	QR	25971132
580222	1975	1995-10-12	VYDAJ	PREVOD NA UCET	2625	36673	SIPO	QR	25971132
580223	1975	1995-11-12	VYDAJ	PREVOD NA UCET	2625	35731	SIPO	QR	25971132
580224	1975	1995-12-12	VYDAJ	PREVOD NA UCET	2625	39689	SIPO	QR	25971132
580225	1975	1996-01-12	VYDAJ	PREVOD NA UCET	2625	38046	SIPO	QR	25971132
580226	1975	1996-02-12	VYDAJ	PREVOD NA UCET	2625	33987	SIPO	QR	25971132
580227	1975	1996-03-12	VYDAJ	PREVOD NA UCET	2625	35724	SIPO	QR	25971132
580228	1975	1996-04-12	VYDAJ	PREVOD NA UCET	2625	39670	SIPO	QR	25971132
580229	1975	1996-05-12	VYDAJ	PREVOD NA UCET	2625	41133	SIPO	QR	25971132
580230	1975	1996-06-12	VYDAJ	PREVOD NA UCET	2625	45804	SIPO	QR	25971132
580231	1975	1996-07-12	VYDAJ	PREVOD NA UCET	2625	40876	SIPO	QR	25971132
580232	1975	1996-08-12	VYDAJ	PREVOD NA UCET	2625	41742	SIPO	QR	25971132
580233	1975	1996-09-12	VYDAJ	PREVOD NA UCET	2625	43711	SIPO	QR	25971132
580234	1975	1996-10-12	VYDAJ	PREVOD NA UCET	2625	40379	SIPO	QR	25971132
580235	1975	1996-11-12	VYDAJ	PREVOD NA UCET	2625	38637	SIPO	QR	25971132
580236	1975	1996-12-12	VYDAJ	PREVOD NA UCET	2625	48599	SIPO	QR	25971132
580237	1975	1997-01-12	VYDAJ	PREVOD NA UCET	2625	38077	SIPO	QR	25971132
580238	1975	1997-02-12	VYDAJ	PREVOD NA UCET	2625	38724	SIPO	QR	25971132
580239	1975	1997-03-12	VYDAJ	PREVOD NA UCET	2625	37875	SIPO	QR	25971132
580240	1975	1997-04-12	VYDAJ	PREVOD NA UCET	2625	38721	SIPO	QR	25971132
580241	1975	1997-05-12	VYDAJ	PREVOD NA UCET	2625	42376	SIPO	QR	25971132
580242	1975	1997-06-12	VYDAJ	PREVOD NA UCET	2625	48753	SIPO	QR	25971132
580243	1975	1997-07-12	VYDAJ	PREVOD NA UCET	2625	35991	SIPO	QR	25971132
580244	1975	1997-08-12	VYDAJ	PREVOD NA UCET	2625	42737	SIPO	QR	25971132
580245	1975	1997-09-12	VYDAJ	PREVOD NA UCET	2625	39101	SIPO	QR	25971132
580246	1975	1997-10-12	VYDAJ	PREVOD NA UCET	2625	40562	SIPO	QR	25971132
580247	1975	1997-11-12	VYDAJ	PREVOD NA UCET	2625	40227	SIPO	QR	25971132
580248	1975	1997-12-12	VYDAJ	PREVOD NA UCET	2625	45691	SIPO	QR	25971132
580249	1975	1998-01-12	VYDAJ	PREVOD NA UCET	2625	38352	SIPO	QR	25971132
580250	1975	1998-02-12	VYDAJ	PREVOD NA UCET	2625	31889	SIPO	QR	25971132
580251	1975	1998-03-12	VYDAJ	PREVOD NA UCET	2625	37013	SIPO	QR	25971132
580252	1975	1998-04-12	VYDAJ	PREVOD NA UCET	2625	39455	SIPO	QR	25971132
580253	1975	1998-05-12	VYDAJ	PREVOD NA UCET	2625	39203	SIPO	QR	25971132
580254	1975	1998-06-12	VYDAJ	PREVOD NA UCET	2625	43350	SIPO	QR	25971132
580255	1975	1998-07-12	VYDAJ	PREVOD NA UCET	2625	38894	SIPO	QR	25971132
580256	1975	1998-08-12	VYDAJ	PREVOD NA UCET	2625	34135	SIPO	QR	25971132
580257	1975	1998-09-12	VYDAJ	PREVOD NA UCET	2625	37671	SIPO	QR	25971132
580258	1975	1998-10-12	VYDAJ	PREVOD NA UCET	2625	41917	SIPO	QR	25971132
580259	1975	1998-11-12	VYDAJ	PREVOD NA UCET	2625	36463	SIPO	QR	25971132
580260	1975	1998-12-12	VYDAJ	PREVOD NA UCET	2625	42798	SIPO	QR	25971132
580273	1975	1995-01-14	VYDAJ	PREVOD NA UCET	1480	43076	 	GH	22193175
580274	1975	1995-02-14	VYDAJ	PREVOD NA UCET	1480	36380	 	GH	22193175
580275	1975	1995-03-14	VYDAJ	PREVOD NA UCET	1480	35542	 	GH	22193175
580276	1975	1995-04-14	VYDAJ	PREVOD NA UCET	1480	32800	 	GH	22193175
580277	1975	1995-05-14	VYDAJ	PREVOD NA UCET	1480	36153	 	GH	22193175
580278	1975	1995-06-14	VYDAJ	PREVOD NA UCET	1480	45018	 	GH	22193175
580279	1975	1995-07-14	VYDAJ	PREVOD NA UCET	1480	38689	 	GH	22193175
580280	1975	1995-08-14	VYDAJ	PREVOD NA UCET	1480	38157	 	GH	22193175
580281	1975	1995-09-14	VYDAJ	PREVOD NA UCET	1480	37526	 	GH	22193175
580282	1975	1995-10-14	VYDAJ	PREVOD NA UCET	1480	35193	 	GH	22193175
580283	1975	1995-11-14	VYDAJ	PREVOD NA UCET	1480	34251	 	GH	22193175
580284	1975	1995-12-14	VYDAJ	PREVOD NA UCET	1480	38209	 	GH	22193175
580285	1975	1996-01-14	VYDAJ	PREVOD NA UCET	1480	35166	 	GH	22193175
580286	1975	1996-02-14	VYDAJ	PREVOD NA UCET	1480	32507	 	GH	22193175
580287	1975	1996-03-14	VYDAJ	PREVOD NA UCET	1480	34244	 	GH	22193175
580288	1975	1996-04-14	VYDAJ	PREVOD NA UCET	1480	38190	 	GH	22193175
580289	1975	1996-05-14	VYDAJ	PREVOD NA UCET	1480	39653	 	GH	22193175
580290	1975	1996-06-14	VYDAJ	PREVOD NA UCET	1480	44324	 	GH	22193175
580291	1975	1996-07-14	VYDAJ	PREVOD NA UCET	1480	39396	 	GH	22193175
580292	1975	1996-08-14	VYDAJ	PREVOD NA UCET	1480	40262	 	GH	22193175
580293	1975	1996-09-14	VYDAJ	PREVOD NA UCET	1480	39831	 	GH	22193175
580294	1975	1996-10-14	VYDAJ	PREVOD NA UCET	1480	38899	 	GH	22193175
580295	1975	1996-11-14	VYDAJ	PREVOD NA UCET	1480	37157	 	GH	22193175
580296	1975	1996-12-14	VYDAJ	PREVOD NA UCET	1480	47119	 	GH	22193175
580297	1975	1997-01-14	VYDAJ	PREVOD NA UCET	1480	34397	 	GH	22193175
580298	1975	1997-02-14	VYDAJ	PREVOD NA UCET	1480	37244	 	GH	22193175
580299	1975	1997-03-14	VYDAJ	PREVOD NA UCET	1480	34395	 	GH	22193175
580300	1975	1997-04-14	VYDAJ	PREVOD NA UCET	1480	37241	 	GH	22193175
580301	1975	1997-05-14	VYDAJ	PREVOD NA UCET	1480	40896	 	GH	22193175
580302	1975	1997-06-14	VYDAJ	PREVOD NA UCET	1480	47273	 	GH	22193175
580303	1975	1997-07-14	VYDAJ	PREVOD NA UCET	1480	34511	 	GH	22193175
580304	1975	1997-08-14	VYDAJ	PREVOD NA UCET	1480	39057	 	GH	22193175
580305	1975	1997-09-14	VYDAJ	PREVOD NA UCET	1480	37621	 	GH	22193175
580306	1975	1997-10-14	VYDAJ	PREVOD NA UCET	1480	39082	 	GH	22193175
580307	1975	1997-11-14	VYDAJ	PREVOD NA UCET	1480	38747	 	GH	22193175
580308	1975	1997-12-14	VYDAJ	PREVOD NA UCET	1480	44211	 	GH	22193175
580309	1975	1998-01-14	VYDAJ	PREVOD NA UCET	1480	32872	 	GH	22193175
580310	1975	1998-02-14	VYDAJ	PREVOD NA UCET	1480	28509	 	GH	22193175
580311	1975	1998-03-14	VYDAJ	PREVOD NA UCET	1480	35533	 	GH	22193175
580312	1975	1998-04-14	VYDAJ	PREVOD NA UCET	1480	37975	 	GH	22193175
580313	1975	1998-05-14	VYDAJ	PREVOD NA UCET	1480	37723	 	GH	22193175
580314	1975	1998-06-14	VYDAJ	PREVOD NA UCET	1480	41870	 	GH	22193175
580315	1975	1998-07-14	VYDAJ	PREVOD NA UCET	1480	37414	 	GH	22193175
580316	1975	1998-08-14	VYDAJ	PREVOD NA UCET	1480	32655	 	GH	22193175
580317	1975	1998-09-14	VYDAJ	PREVOD NA UCET	1480	36191	 	GH	22193175
580318	1975	1998-10-14	VYDAJ	PREVOD NA UCET	1480	40437	 	GH	22193175
580319	1975	1998-11-14	VYDAJ	PREVOD NA UCET	1480	34983	 	GH	22193175
580320	1975	1998-12-14	VYDAJ	PREVOD NA UCET	1480	41318	 	GH	22193175
580334	1975	1995-02-11	VYDAJ	PREVOD NA UCET	1711	26273	POJISTNE	ST	98307567
580335	1975	1995-03-11	VYDAJ	PREVOD NA UCET	1711	25435	POJISTNE	ST	98307567
580336	1975	1995-04-11	VYDAJ	PREVOD NA UCET	1711	27393	POJISTNE	ST	98307567
580337	1975	1995-05-11	VYDAJ	PREVOD NA UCET	1711	26046	POJISTNE	ST	98307567
580338	1975	1995-06-11	VYDAJ	PREVOD NA UCET	1711	27805	POJISTNE	ST	98307567
580339	1975	1995-07-11	VYDAJ	PREVOD NA UCET	1711	28582	POJISTNE	ST	98307567
580340	1975	1995-08-11	VYDAJ	PREVOD NA UCET	1711	28050	POJISTNE	ST	98307567
580341	1975	1995-09-11	VYDAJ	PREVOD NA UCET	1711	27419	POJISTNE	ST	98307567
580342	1975	1995-10-11	VYDAJ	PREVOD NA UCET	1711	25086	POJISTNE	ST	98307567
580343	1975	1995-11-11	VYDAJ	PREVOD NA UCET	1711	24144	POJISTNE	ST	98307567
580344	1975	1995-12-11	VYDAJ	PREVOD NA UCET	1711	20996	POJISTNE	ST	98307567
580345	1975	1996-01-11	VYDAJ	PREVOD NA UCET	1711	26459	POJISTNE	ST	98307567
580346	1975	1996-02-11	VYDAJ	PREVOD NA UCET	1711	22400	POJISTNE	ST	98307567
580347	1975	1996-03-11	VYDAJ	PREVOD NA UCET	1711	24137	POJISTNE	ST	98307567
580348	1975	1996-04-11	VYDAJ	PREVOD NA UCET	1711	28083	POJISTNE	ST	98307567
580349	1975	1996-05-11	VYDAJ	PREVOD NA UCET	1711	29546	POJISTNE	ST	98307567
580350	1975	1996-06-11	VYDAJ	PREVOD NA UCET	1711	27111	POJISTNE	ST	98307567
580351	1975	1996-07-11	VYDAJ	PREVOD NA UCET	1711	29289	POJISTNE	ST	98307567
580352	1975	1996-08-11	VYDAJ	PREVOD NA UCET	1711	30155	POJISTNE	ST	98307567
580353	1975	1996-09-11	VYDAJ	PREVOD NA UCET	1711	32124	POJISTNE	ST	98307567
580354	1975	1996-10-11	VYDAJ	PREVOD NA UCET	1711	28792	POJISTNE	ST	98307567
580355	1975	1996-11-11	VYDAJ	PREVOD NA UCET	1711	27050	POJISTNE	ST	98307567
580444	1975	1997-06-15	VYDAJ	VYBER	28600	18673	\N	\N	\N
580356	1975	1996-12-11	VYDAJ	PREVOD NA UCET	1711	29906	POJISTNE	ST	98307567
580357	1975	1997-01-11	VYDAJ	PREVOD NA UCET	1711	26490	POJISTNE	ST	98307567
580358	1975	1997-02-11	VYDAJ	PREVOD NA UCET	1711	27137	POJISTNE	ST	98307567
580359	1975	1997-03-11	VYDAJ	PREVOD NA UCET	1711	26288	POJISTNE	ST	98307567
580360	1975	1997-04-11	VYDAJ	PREVOD NA UCET	1711	27134	POJISTNE	ST	98307567
580361	1975	1997-05-11	VYDAJ	PREVOD NA UCET	1711	30789	POJISTNE	ST	98307567
580362	1975	1997-06-11	VYDAJ	PREVOD NA UCET	1711	30660	POJISTNE	ST	98307567
580363	1975	1997-07-11	VYDAJ	PREVOD NA UCET	1711	24404	POJISTNE	ST	98307567
580364	1975	1997-08-11	VYDAJ	PREVOD NA UCET	1711	31150	POJISTNE	ST	98307567
580365	1975	1997-09-11	VYDAJ	PREVOD NA UCET	1711	27514	POJISTNE	ST	98307567
580366	1975	1997-10-11	VYDAJ	PREVOD NA UCET	1711	28975	POJISTNE	ST	98307567
580367	1975	1997-11-11	VYDAJ	PREVOD NA UCET	1711	28640	POJISTNE	ST	98307567
580368	1975	1997-12-11	VYDAJ	PREVOD NA UCET	1711	26998	POJISTNE	ST	98307567
580369	1975	1998-01-11	VYDAJ	PREVOD NA UCET	1711	26765	POJISTNE	ST	98307567
580370	1975	1998-02-11	VYDAJ	PREVOD NA UCET	1711	20302	POJISTNE	ST	98307567
580371	1975	1998-03-11	VYDAJ	PREVOD NA UCET	1711	25426	POJISTNE	ST	98307567
580372	1975	1998-04-11	VYDAJ	PREVOD NA UCET	1711	27868	POJISTNE	ST	98307567
580373	1975	1998-05-11	VYDAJ	PREVOD NA UCET	1711	27616	POJISTNE	ST	98307567
580374	1975	1998-06-11	VYDAJ	PREVOD NA UCET	1711	24657	POJISTNE	ST	98307567
580375	1975	1998-07-11	VYDAJ	PREVOD NA UCET	1711	27307	POJISTNE	ST	98307567
580376	1975	1998-08-11	VYDAJ	PREVOD NA UCET	1711	25248	POJISTNE	ST	98307567
580377	1975	1998-09-11	VYDAJ	PREVOD NA UCET	1711	26084	POJISTNE	ST	98307567
580378	1975	1998-10-11	VYDAJ	PREVOD NA UCET	1711	30330	POJISTNE	ST	98307567
580379	1975	1998-11-11	VYDAJ	PREVOD NA UCET	1711	24876	POJISTNE	ST	98307567
580380	1975	1998-12-11	VYDAJ	PREVOD NA UCET	1711	24105	POJISTNE	ST	98307567
580394	1975	1995-02-06	VYDAJ	PREVOD NA UCET	765	27984	 	ST	13919747
580395	1975	1995-03-06	VYDAJ	PREVOD NA UCET	765	35746	 	ST	13919747
580396	1975	1995-04-06	VYDAJ	PREVOD NA UCET	765	29104	 	ST	13919747
580397	1975	1995-05-06	VYDAJ	PREVOD NA UCET	765	27757	 	ST	13919747
580398	1975	1995-06-06	VYDAJ	PREVOD NA UCET	765	29516	 	ST	13919747
580399	1975	1995-07-06	VYDAJ	PREVOD NA UCET	765	30293	 	ST	13919747
580400	1975	1995-08-06	VYDAJ	PREVOD NA UCET	765	29761	 	ST	13919747
580401	1975	1995-09-06	VYDAJ	PREVOD NA UCET	765	29130	 	ST	13919747
580402	1975	1995-10-06	VYDAJ	PREVOD NA UCET	765	26797	 	ST	13919747
580403	1975	1995-11-06	VYDAJ	PREVOD NA UCET	765	25855	 	ST	13919747
580404	1975	1995-12-06	VYDAJ	PREVOD NA UCET	765	22707	 	ST	13919747
580405	1975	1996-01-06	VYDAJ	PREVOD NA UCET	765	28170	 	ST	13919747
580406	1975	1996-02-06	VYDAJ	PREVOD NA UCET	765	24111	 	ST	13919747
580407	1975	1996-03-06	VYDAJ	PREVOD NA UCET	765	25848	 	ST	13919747
580408	1975	1996-04-06	VYDAJ	PREVOD NA UCET	765	29794	 	ST	13919747
580409	1975	1996-05-06	VYDAJ	PREVOD NA UCET	765	31257	 	ST	13919747
580410	1975	1996-06-06	VYDAJ	PREVOD NA UCET	765	28822	 	ST	13919747
580411	1975	1996-07-06	VYDAJ	PREVOD NA UCET	765	31000	 	ST	13919747
580412	1975	1996-08-06	VYDAJ	PREVOD NA UCET	765	31866	 	ST	13919747
580413	1975	1996-09-06	VYDAJ	PREVOD NA UCET	765	33835	 	ST	13919747
580414	1975	1996-10-06	VYDAJ	PREVOD NA UCET	765	30503	 	ST	13919747
580415	1975	1996-11-06	VYDAJ	PREVOD NA UCET	765	28761	 	ST	13919747
580416	1975	1996-12-06	VYDAJ	PREVOD NA UCET	765	31617	 	ST	13919747
580417	1975	1997-01-06	VYDAJ	PREVOD NA UCET	765	29501	 	ST	13919747
580418	1975	1997-02-06	VYDAJ	PREVOD NA UCET	765	28848	 	ST	13919747
580419	1975	1997-03-06	VYDAJ	PREVOD NA UCET	765	27999	 	ST	13919747
580420	1975	1997-04-06	VYDAJ	PREVOD NA UCET	765	28845	 	ST	13919747
580421	1975	1997-05-06	VYDAJ	PREVOD NA UCET	765	32500	 	ST	13919747
580422	1975	1997-06-06	VYDAJ	PREVOD NA UCET	765	32371	 	ST	13919747
580423	1975	1997-07-06	VYDAJ	PREVOD NA UCET	765	26115	 	ST	13919747
580424	1975	1997-08-06	VYDAJ	PREVOD NA UCET	765	32861	 	ST	13919747
580425	1975	1997-09-06	VYDAJ	PREVOD NA UCET	765	29225	 	ST	13919747
580426	1975	1997-10-06	VYDAJ	PREVOD NA UCET	765	35486	 	ST	13919747
580427	1975	1997-11-06	VYDAJ	PREVOD NA UCET	765	34251	 	ST	13919747
580428	1975	1997-12-06	VYDAJ	PREVOD NA UCET	765	28709	 	ST	13919747
580429	1975	1998-01-06	VYDAJ	PREVOD NA UCET	765	32376	 	ST	13919747
580430	1975	1998-02-06	VYDAJ	PREVOD NA UCET	765	22013	 	ST	13919747
580431	1975	1998-03-06	VYDAJ	PREVOD NA UCET	765	27137	 	ST	13919747
580432	1975	1998-04-06	VYDAJ	PREVOD NA UCET	765	29579	 	ST	13919747
580433	1975	1998-05-06	VYDAJ	PREVOD NA UCET	765	29327	 	ST	13919747
580434	1975	1998-06-06	VYDAJ	PREVOD NA UCET	765	26368	 	ST	13919747
580435	1975	1998-07-06	VYDAJ	PREVOD NA UCET	765	29018	 	ST	13919747
580436	1975	1998-08-06	VYDAJ	PREVOD NA UCET	765	26959	 	ST	13919747
580437	1975	1998-09-06	VYDAJ	PREVOD NA UCET	765	27795	 	ST	13919747
580438	1975	1998-10-06	VYDAJ	PREVOD NA UCET	765	32041	 	ST	13919747
580439	1975	1998-11-06	VYDAJ	PREVOD NA UCET	765	26587	 	ST	13919747
580440	1975	1998-12-06	VYDAJ	PREVOD NA UCET	765	25816	 	ST	13919747
580442	1975	1995-06-20	VYDAJ	VYBER	9000	36018	\N	\N	\N
580443	1975	1996-06-26	VYDAJ	VYBER	5900	38424	\N	\N	\N
580447	1975	1995-12-05	VYDAJ	VYBER	800	23472	\N	\N	\N
580448	1975	1996-12-30	VYDAJ	VYBER	1900	32819	\N	\N	\N
580449	1975	1997-12-06	VYDAJ	VYBER	1300	29474	\N	\N	\N
580450	1975	1998-12-23	VYDAJ	VYBER	2400	24818	\N	\N	\N
580458	1975	1995-01-28	VYDAJ	VYBER	2300	36176	\N	\N	\N
580459	1975	1995-01-15	VYDAJ	VYBER	700	42376	\N	\N	\N
580460	1975	1995-01-16	VYDAJ	VYBER	2100	40276	\N	\N	\N
580462	1975	1995-01-17	VYDAJ	VYBER	1800	38476	\N	\N	\N
580463	1975	1996-01-13	VYDAJ	VYBER	1400	36646	\N	\N	\N
580464	1975	1996-01-27	VYDAJ	VYBER	800	28166	\N	\N	\N
580465	1975	1996-01-05	VYDAJ	VYBER	1600	28935	\N	\N	\N
580466	1975	1996-01-22	VYDAJ	VYBER	2700	28966	\N	\N	\N
580467	1975	1996-01-15	VYDAJ	VYBER	2200	32966	\N	\N	\N
580468	1975	1996-01-16	VYDAJ	VYBER	1300	31666	\N	\N	\N
580469	1975	1997-01-14	VYDAJ	VYBER	1500	35877	\N	\N	\N
580470	1975	1997-01-23	VYDAJ	VYBER	900	31597	\N	\N	\N
580471	1975	1997-01-19	VYDAJ	VYBER	1900	32497	\N	\N	\N
580472	1975	1997-01-12	VYDAJ	VYBER	700	37377	\N	\N	\N
580473	1975	1997-01-05	VYDAJ	VYBER	2700	30266	\N	\N	\N
580474	1975	1997-01-11	VYDAJ	VYBER	1300	28201	\N	\N	\N
580475	1975	1998-01-23	VYDAJ	VYBER	1000	25372	\N	\N	\N
580476	1975	1998-01-07	VYDAJ	VYBER	2900	29476	\N	\N	\N
580477	1975	1998-01-12	VYDAJ	VYBER	1300	37052	\N	\N	\N
580478	1975	1998-01-10	VYDAJ	VYBER	1000	28476	\N	\N	\N
580479	1975	1998-01-14	VYDAJ	VYBER	2700	34352	\N	\N	\N
580480	1975	1998-01-27	VYDAJ	VYBER	2700	22672	\N	\N	\N
580485	1975	1995-07-20	VYDAJ	VYBER	1500	37189	\N	\N	\N
580486	1975	1995-04-12	VYDAJ	VYBER	4700	36905	\N	\N	\N
580488	1975	1995-01-13	VYDAJ	VYBER	4500	44556	\N	\N	\N
580489	1975	1995-11-26	VYDAJ	VYBER	2600	31651	\N	\N	\N
580490	1975	1996-09-13	VYDAJ	VYBER	2400	41311	\N	\N	\N
580491	1975	1996-02-25	VYDAJ	VYBER	4500	28007	\N	\N	\N
580492	1975	1996-10-23	VYDAJ	VYBER	4100	34799	\N	\N	\N
580493	1975	1996-08-01	VYDAJ	VYBER	1300	32631	\N	\N	\N
580494	1975	1997-09-03	VYDAJ	VYBER	4100	29990	\N	\N	\N
580495	1975	1997-06-03	VYDAJ	VYBER	4100	33136	\N	\N	\N
580496	1975	1997-08-13	VYDAJ	VYBER	2200	40537	\N	\N	\N
580497	1975	1997-06-11	VYDAJ	VYBER	600	30060	\N	\N	\N
580498	1975	1997-11-07	VYDAJ	VYBER	3900	30351	\N	\N	\N
580499	1975	1997-10-08	VYDAJ	VYBER	4800	30686	\N	\N	\N
580500	1975	1997-03-13	VYDAJ	VYBER	2000	35875	\N	\N	\N
580501	1975	1997-12-03	VYDAJ	VYBER	1100	30774	\N	\N	\N
580502	1975	1998-08-12	VYDAJ	VYBER	2700	36760	\N	\N	\N
580503	1975	1998-02-13	VYDAJ	VYBER	1900	29989	\N	\N	\N
580504	1975	1998-04-18	VYDAJ	VYBER	500	37475	\N	\N	\N
580505	1975	1998-10-22	VYDAJ	VYBER	4000	27237	\N	\N	\N
580519	1975	1995-01-31	VYDAJ	VYBER	15	36349	SLUZBY	\N	\N
580520	1975	1995-02-28	VYDAJ	VYBER	15	36511	SLUZBY	\N	\N
580521	1975	1995-03-31	VYDAJ	VYBER	15	35669	SLUZBY	\N	\N
580522	1975	1995-04-30	VYDAJ	VYBER	15	32922	SLUZBY	\N	\N
580523	1975	1995-05-31	VYDAJ	VYBER	15	36281	SLUZBY	\N	\N
580524	1975	1995-06-30	VYDAJ	VYBER	15	36158	SLUZBY	\N	\N
580525	1975	1995-07-31	VYDAJ	VYBER	15	37326	SLUZBY	\N	\N
580526	1975	1995-08-31	VYDAJ	VYBER	15	38295	SLUZBY	\N	\N
580527	1975	1995-09-30	VYDAJ	VYBER	15	37662	SLUZBY	\N	\N
580528	1975	1995-10-31	VYDAJ	VYBER	15	35320	SLUZBY	\N	\N
580529	1975	1995-11-30	VYDAJ	VYBER	15	31772	SLUZBY	\N	\N
580530	1975	1995-12-31	VYDAJ	VYBER	15	38335	SLUZBY	\N	\N
580531	1975	1996-01-31	VYDAJ	VYBER	15	24876	SLUZBY	\N	\N
580532	1975	1996-02-29	VYDAJ	VYBER	15	26613	SLUZBY	\N	\N
580533	1975	1996-03-31	VYDAJ	VYBER	15	30559	SLUZBY	\N	\N
580534	1975	1996-04-30	VYDAJ	VYBER	15	32022	SLUZBY	\N	\N
580535	1975	1996-05-31	VYDAJ	VYBER	15	29587	SLUZBY	\N	\N
580536	1975	1996-06-30	VYDAJ	VYBER	15	31765	SLUZBY	\N	\N
580537	1975	1996-07-31	VYDAJ	VYBER	15	33931	SLUZBY	\N	\N
580538	1975	1996-08-31	VYDAJ	VYBER	15	34600	SLUZBY	\N	\N
580539	1975	1996-09-30	VYDAJ	VYBER	15	31268	SLUZBY	\N	\N
580540	1975	1996-10-31	VYDAJ	VYBER	15	29526	SLUZBY	\N	\N
580541	1975	1996-11-30	VYDAJ	VYBER	15	32382	SLUZBY	\N	\N
580542	1975	1996-12-31	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
580543	1975	1997-01-31	VYDAJ	VYBER	15	29613	SLUZBY	\N	\N
580544	1975	1997-02-28	VYDAJ	VYBER	15	28764	SLUZBY	\N	\N
580545	1975	1997-03-31	VYDAJ	VYBER	15	29610	SLUZBY	\N	\N
580546	1975	1997-04-30	VYDAJ	VYBER	15	33265	SLUZBY	\N	\N
580547	1975	1997-05-31	VYDAJ	VYBER	15	37236	SLUZBY	\N	\N
580548	1975	1997-06-30	VYDAJ	VYBER	15	26880	SLUZBY	\N	\N
580549	1975	1997-07-31	VYDAJ	VYBER	15	33626	SLUZBY	\N	\N
580550	1975	1997-08-31	VYDAJ	VYBER	15	34090	SLUZBY	\N	\N
580551	1975	1997-09-30	VYDAJ	VYBER	15	36251	SLUZBY	\N	\N
580552	1975	1997-10-31	VYDAJ	VYBER	15	35016	SLUZBY	\N	\N
580553	1975	1997-11-30	VYDAJ	VYBER	15	31874	SLUZBY	\N	\N
580554	1975	1997-12-31	VYDAJ	VYBER	15	33141	SLUZBY	\N	\N
580555	1975	1998-01-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
580556	1975	1998-02-28	VYDAJ	VYBER	15	27902	SLUZBY	\N	\N
580557	1975	1998-03-31	VYDAJ	VYBER	15	30344	SLUZBY	\N	\N
580558	1975	1998-04-30	VYDAJ	VYBER	15	30092	SLUZBY	\N	\N
580559	1975	1998-05-31	VYDAJ	VYBER	15	27133	SLUZBY	\N	\N
580560	1975	1998-06-30	VYDAJ	VYBER	15	29783	SLUZBY	\N	\N
580561	1975	1998-07-31	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
580562	1975	1998-08-31	VYDAJ	VYBER	15	28560	SLUZBY	\N	\N
580563	1975	1998-09-30	VYDAJ	VYBER	15	32806	SLUZBY	\N	\N
580564	1975	1998-10-31	VYDAJ	VYBER	15	27352	SLUZBY	\N	\N
580565	1975	1998-11-30	VYDAJ	VYBER	15	26581	SLUZBY	\N	\N
580566	1975	1994-10-07	PRIJEM	VKLAD	2800	17250	\N	\N	\N
580567	1975	1994-11-06	VYDAJ	VYBER	3700	27868	\N	\N	\N
580568	1975	1994-12-06	VYDAJ	VYBER	7900	34339	\N	\N	\N
580569	1975	1995-01-05	VYDAJ	VYBER	18400	37469	\N	\N	\N
580570	1975	1995-02-04	VYDAJ	VYBER	7600	28749	\N	\N	\N
580571	1975	1995-03-06	VYDAJ	VYBER	8600	27146	\N	\N	\N
580572	1975	1995-04-05	VYDAJ	VYBER	5800	29869	\N	\N	\N
580573	1975	1995-05-05	VYDAJ	VYBER	4400	28522	\N	\N	\N
580574	1975	1995-06-04	VYDAJ	VYBER	6000	30281	\N	\N	\N
580575	1975	1995-07-04	VYDAJ	VYBER	5100	31058	\N	\N	\N
580576	1975	1995-08-03	VYDAJ	VYBER	6800	30526	\N	\N	\N
580577	1975	1995-09-02	VYDAJ	VYBER	8400	29895	\N	\N	\N
580578	1975	1995-10-02	VYDAJ	VYBER	10100	27562	\N	\N	\N
580579	1975	1995-11-01	VYDAJ	VYBER	8700	26620	\N	\N	\N
580580	1975	1995-12-01	VYDAJ	VYBER	7500	24272	\N	\N	\N
580581	1975	1995-12-31	VYDAJ	VYBER	7800	30535	\N	\N	\N
580582	1975	1996-01-30	VYDAJ	VYBER	3400	24766	\N	\N	\N
580583	1975	1996-02-29	VYDAJ	VYBER	1500	26627	\N	\N	\N
580584	1975	1996-03-30	VYDAJ	VYBER	3800	30444	\N	\N	\N
580585	1975	1996-04-29	VYDAJ	VYBER	6300	31890	\N	\N	\N
580586	1975	1996-05-29	VYDAJ	VYBER	10200	29453	\N	\N	\N
580587	1975	1996-06-28	VYDAJ	VYBER	6800	31624	\N	\N	\N
580588	1975	1996-07-28	VYDAJ	VYBER	5600	33796	\N	\N	\N
580589	1975	1996-08-27	VYDAJ	VYBER	5800	34462	\N	\N	\N
580590	1975	1996-09-26	VYDAJ	VYBER	8700	31131	\N	\N	\N
580591	1975	1996-10-26	VYDAJ	VYBER	5400	29399	\N	\N	\N
580592	1975	1996-11-25	VYDAJ	VYBER	4900	32257	\N	\N	\N
580593	1975	1996-12-25	VYDAJ	VYBER	12400	34719	\N	\N	\N
580594	1975	1997-01-24	VYDAJ	VYBER	2100	29497	\N	\N	\N
580595	1975	1997-02-23	VYDAJ	VYBER	8600	28644	\N	\N	\N
580596	1975	1997-03-25	VYDAJ	VYBER	4900	29495	\N	\N	\N
580597	1975	1997-04-24	VYDAJ	VYBER	4100	33141	\N	\N	\N
580598	1975	1997-05-24	VYDAJ	VYBER	3800	37096	\N	\N	\N
580599	1975	1997-06-23	PRIJEM	VKLAD	8100	26773	\N	\N	\N
580600	1975	1997-07-23	VYDAJ	VYBER	1000	33511	\N	\N	\N
580601	1975	1997-08-22	VYDAJ	VYBER	5100	33957	\N	\N	\N
580602	1975	1997-09-21	VYDAJ	VYBER	1500	36121	\N	\N	\N
580603	1975	1997-10-21	VYDAJ	VYBER	4200	34882	\N	\N	\N
580604	1975	1997-11-20	VYDAJ	VYBER	7000	31747	\N	\N	\N
580605	1975	1997-12-20	VYDAJ	VYBER	11200	33011	\N	\N	\N
580606	1975	1998-01-19	VYDAJ	VYBER	6500	26372	\N	\N	\N
580607	1975	1998-02-18	VYDAJ	VYBER	700	27809	\N	\N	\N
580608	1975	1998-03-20	VYDAJ	VYBER	5300	30233	\N	\N	\N
580609	1975	1998-04-19	VYDAJ	VYBER	7500	29975	\N	\N	\N
580610	1975	1998-05-19	VYDAJ	VYBER	10700	27023	\N	\N	\N
580611	1975	1998-06-18	VYDAJ	VYBER	12200	29670	\N	\N	\N
580612	1975	1998-07-18	VYDAJ	VYBER	9800	27614	\N	\N	\N
580613	1975	1998-08-17	VYDAJ	VYBER	4200	28455	\N	\N	\N
580614	1975	1998-09-16	VYDAJ	VYBER	3500	32691	\N	\N	\N
580615	1975	1998-10-16	VYDAJ	VYBER	9200	31237	\N	\N	\N
580616	1975	1998-11-15	VYDAJ	VYBER	8500	26483	\N	\N	\N
580617	1975	1998-12-15	VYDAJ	VYBER	14100	27218	\N	\N	\N
580670	1976	1997-03-25	PRIJEM	VKLAD	400	400	\N	\N	\N
580674	1976	1997-04-08	PRIJEM	VKLAD	14489	14889	\N	\N	\N
580675	1976	1997-05-08	PRIJEM	VKLAD	14489	35899	\N	\N	\N
580676	1976	1997-06-08	PRIJEM	VKLAD	21734	50730	\N	\N	\N
580677	1976	1997-07-08	PRIJEM	VKLAD	14489	54051	\N	\N	\N
580678	1976	1997-08-08	PRIJEM	VKLAD	14489	57008	\N	\N	\N
580679	1976	1997-09-08	PRIJEM	VKLAD	14489	51697	\N	\N	\N
580680	1976	1997-10-08	PRIJEM	VKLAD	14489	45891	\N	\N	\N
580681	1976	1997-11-08	PRIJEM	VKLAD	14489	46270	\N	\N	\N
580682	1976	1997-12-08	PRIJEM	VKLAD	21734	48991	\N	\N	\N
580683	1976	1998-01-08	PRIJEM	VKLAD	14489	43568	\N	\N	\N
580684	1976	1998-02-08	PRIJEM	VKLAD	14489	29614	\N	\N	\N
580685	1976	1998-03-08	PRIJEM	VKLAD	14489	38937	\N	\N	\N
580686	1976	1998-04-08	PRIJEM	VKLAD	14489	44093	\N	\N	\N
580687	1976	1998-05-08	PRIJEM	VKLAD	14489	42758	\N	\N	\N
580688	1976	1998-06-08	PRIJEM	VKLAD	21734	54273	\N	\N	\N
580689	1976	1998-07-08	PRIJEM	VKLAD	14489	39047	\N	\N	\N
580690	1976	1998-08-08	PRIJEM	VKLAD	14489	45104	\N	\N	\N
580691	1976	1998-09-08	PRIJEM	VKLAD	14489	42776	\N	\N	\N
580692	1976	1998-10-08	PRIJEM	VKLAD	14489	48349	\N	\N	\N
580693	1976	1998-11-08	PRIJEM	VKLAD	14489	47829	\N	\N	\N
580694	1976	1998-12-08	PRIJEM	VKLAD	21734	49446	\N	\N	\N
580703	1976	1997-09-07	VYDAJ	PREVOD NA UCET	3408	37208	SIPO	CD	86137228
580704	1976	1997-10-07	VYDAJ	PREVOD NA UCET	3408	31402	SIPO	CD	86137228
580705	1976	1997-11-07	VYDAJ	PREVOD NA UCET	3408	31781	SIPO	CD	86137228
580706	1976	1997-12-07	VYDAJ	PREVOD NA UCET	3408	27257	SIPO	CD	86137228
580707	1976	1998-01-07	VYDAJ	PREVOD NA UCET	3408	29079	SIPO	CD	86137228
580708	1976	1998-02-07	VYDAJ	PREVOD NA UCET	3408	15125	SIPO	CD	86137228
580709	1976	1998-03-07	VYDAJ	PREVOD NA UCET	3408	24448	SIPO	CD	86137228
580710	1976	1998-04-07	VYDAJ	PREVOD NA UCET	3408	29604	SIPO	CD	86137228
580711	1976	1998-05-07	VYDAJ	PREVOD NA UCET	3408	28269	SIPO	CD	86137228
580712	1976	1998-06-07	VYDAJ	PREVOD NA UCET	3408	32539	SIPO	CD	86137228
580713	1976	1998-07-07	VYDAJ	PREVOD NA UCET	3408	24558	SIPO	CD	86137228
580714	1976	1998-08-07	VYDAJ	PREVOD NA UCET	3408	30615	SIPO	CD	86137228
580715	1976	1998-09-07	VYDAJ	PREVOD NA UCET	3408	28287	SIPO	CD	86137228
580716	1976	1998-10-07	VYDAJ	PREVOD NA UCET	3408	33860	SIPO	CD	86137228
580717	1976	1998-11-07	VYDAJ	PREVOD NA UCET	3408	33340	SIPO	CD	86137228
580718	1976	1998-12-07	VYDAJ	PREVOD NA UCET	3408	27712	SIPO	CD	86137228
580727	1976	1997-09-06	VYDAJ	PREVOD NA UCET	2157	40616	 	WX	33949554
580728	1976	1997-10-06	VYDAJ	PREVOD NA UCET	2157	34810	 	WX	33949554
580729	1976	1997-11-06	VYDAJ	PREVOD NA UCET	2157	35189	 	WX	33949554
580730	1976	1997-12-06	VYDAJ	PREVOD NA UCET	2157	33565	 	WX	33949554
580731	1976	1998-01-06	VYDAJ	PREVOD NA UCET	2157	32487	 	WX	33949554
580732	1976	1998-02-06	VYDAJ	PREVOD NA UCET	2157	18533	 	WX	33949554
580733	1976	1998-03-06	VYDAJ	PREVOD NA UCET	2157	27856	 	WX	33949554
580734	1976	1998-04-06	VYDAJ	PREVOD NA UCET	2157	33012	 	WX	33949554
580735	1976	1998-05-06	VYDAJ	PREVOD NA UCET	2157	31677	 	WX	33949554
580736	1976	1998-06-06	VYDAJ	PREVOD NA UCET	2157	35947	 	WX	33949554
580737	1976	1998-07-06	VYDAJ	PREVOD NA UCET	2157	27966	 	WX	33949554
580738	1976	1998-08-06	VYDAJ	PREVOD NA UCET	2157	34023	 	WX	33949554
580739	1976	1998-09-06	VYDAJ	PREVOD NA UCET	2157	31695	 	WX	33949554
580740	1976	1998-10-06	VYDAJ	PREVOD NA UCET	2157	37268	 	WX	33949554
580741	1976	1998-11-06	VYDAJ	PREVOD NA UCET	2157	36748	 	WX	33949554
580742	1976	1998-12-06	VYDAJ	PREVOD NA UCET	2157	31120	 	WX	33949554
580744	1976	1998-06-16	VYDAJ	VYBER	22200	29773	\N	\N	\N
580746	1976	1998-01-23	VYDAJ	VYBER	7000	25268	\N	\N	\N
580747	1976	1997-12-07	VYDAJ	VYBER KARTOU	2900	30665	\N	\N	0
580748	1976	1998-12-03	VYDAJ	VYBER KARTOU	2700	33277	\N	\N	0
580755	1976	1998-01-17	VYDAJ	VYBER KARTOU	1700	39168	\N	\N	0
580756	1976	1998-01-26	VYDAJ	VYBER KARTOU	1800	20568	\N	\N	0
580757	1976	1998-01-18	VYDAJ	VYBER KARTOU	2200	36968	\N	\N	0
580758	1976	1998-01-14	VYDAJ	VYBER KARTOU	2700	40868	\N	\N	0
580759	1976	1998-01-24	VYDAJ	VYBER KARTOU	2900	22368	\N	\N	0
580760	1976	1998-01-20	VYDAJ	VYBER KARTOU	1100	32268	\N	\N	0
580762	1976	1997-08-23	VYDAJ	VYBER	700	44708	\N	\N	\N
580764	1976	1997-08-30	VYDAJ	VYBER	2100	42608	\N	\N	\N
580767	1976	1998-04-15	VYDAJ	VYBER KARTOU	3800	40293	\N	\N	0
580768	1976	1998-08-14	VYDAJ	VYBER KARTOU	2000	43104	\N	\N	0
580769	1976	1998-09-06	VYDAJ	VYBER KARTOU	3600	33852	\N	\N	0
580770	1976	1998-04-20	VYDAJ	VYBER	4600	33693	\N	\N	\N
580771	1976	1998-06-16	VYDAJ	VYBER KARTOU	2300	51973	\N	\N	0
580780	1976	1997-08-31	VYDAJ	VYBER	15	42773	SLUZBY	\N	\N
580781	1976	1997-09-30	VYDAJ	VYBER	15	36967	SLUZBY	\N	\N
580782	1976	1997-10-31	VYDAJ	VYBER	15	37346	SLUZBY	\N	\N
580783	1976	1997-11-30	VYDAJ	VYBER	15	35722	SLUZBY	\N	\N
580784	1976	1997-12-31	VYDAJ	VYBER	15	34644	SLUZBY	\N	\N
580785	1976	1998-01-31	VYDAJ	VYBER	15	20690	SLUZBY	\N	\N
580786	1976	1998-02-28	VYDAJ	VYBER	15	30013	SLUZBY	\N	\N
580787	1976	1998-03-31	VYDAJ	VYBER	15	35169	SLUZBY	\N	\N
580788	1976	1998-04-30	VYDAJ	VYBER	15	33834	SLUZBY	\N	\N
580789	1976	1998-05-31	VYDAJ	VYBER	15	38104	SLUZBY	\N	\N
580790	1976	1998-06-30	VYDAJ	VYBER	15	30123	SLUZBY	\N	\N
580791	1976	1998-07-31	VYDAJ	VYBER	15	36180	SLUZBY	\N	\N
580792	1976	1998-08-31	VYDAJ	VYBER	15	37452	SLUZBY	\N	\N
580793	1976	1998-09-30	VYDAJ	VYBER	15	39425	SLUZBY	\N	\N
580794	1976	1998-10-31	VYDAJ	VYBER	15	38905	SLUZBY	\N	\N
580795	1976	1998-11-30	VYDAJ	VYBER	15	35977	SLUZBY	\N	\N
580796	1976	1997-04-24	PRIJEM	VKLAD	6500	21389	\N	\N	\N
580797	1976	1997-05-24	VYDAJ	VYBER	7000	28899	\N	\N	\N
580798	1976	1997-06-23	VYDAJ	VYBER	11300	39430	\N	\N	\N
580799	1976	1997-07-23	VYDAJ	VYBER	11700	42351	\N	\N	\N
580800	1976	1997-08-22	VYDAJ	VYBER	11600	45408	\N	\N	\N
580801	1976	1997-09-21	VYDAJ	VYBER	14900	36797	\N	\N	\N
580802	1976	1997-10-21	VYDAJ	VYBER	8700	37191	\N	\N	\N
580803	1976	1997-11-20	VYDAJ	VYBER	10700	35570	\N	\N	\N
580804	1976	1997-12-20	VYDAJ	VYBER	14500	34491	\N	\N	\N
580805	1976	1998-01-19	VYDAJ	VYBER KARTOU	3600	33368	\N	\N	0
580806	1976	1998-02-18	PRIJEM	VKLAD	300	29914	\N	\N	\N
580807	1976	1998-03-20	VYDAJ	VYBER KARTOU	3900	35037	\N	\N	0
580808	1976	1998-04-19	VYDAJ	VYBER KARTOU	2000	38293	\N	\N	0
580809	1976	1998-05-19	VYDAJ	VYBER	4800	37958	\N	\N	\N
580810	1976	1998-06-18	PRIJEM	VKLAD	200	29973	\N	\N	\N
580811	1976	1998-07-18	VYDAJ	VYBER KARTOU	3000	36047	\N	\N	0
580812	1976	1998-08-17	VYDAJ	VYBER	5800	37304	\N	\N	\N
580813	1976	1998-09-16	VYDAJ	VYBER KARTOU	3500	39276	\N	\N	0
580814	1976	1998-10-16	VYDAJ	VYBER	9600	38749	\N	\N	\N
580815	1976	1998-11-15	VYDAJ	VYBER	12000	35829	\N	\N	\N
580837	1977	1996-02-03	PRIJEM	VKLAD	200	200	\N	\N	\N
580839	1977	1996-02-10	PRIJEM	VKLAD	8672	8872	\N	\N	\N
580840	1977	1996-03-10	PRIJEM	VKLAD	8672	26070	\N	\N	\N
580841	1977	1996-04-10	PRIJEM	VKLAD	8672	31429	\N	\N	\N
580842	1977	1996-05-10	PRIJEM	VKLAD	8672	37126	\N	\N	\N
580843	1977	1996-06-10	PRIJEM	VKLAD	13008	40681	\N	\N	\N
580844	1977	1996-07-10	PRIJEM	VKLAD	8672	30444	\N	\N	\N
580845	1977	1996-08-10	PRIJEM	VKLAD	8672	37511	\N	\N	\N
580846	1977	1996-09-10	PRIJEM	VKLAD	8672	41614	\N	\N	\N
580847	1977	1996-10-10	PRIJEM	VKLAD	8672	41309	\N	\N	\N
580848	1977	1996-11-10	PRIJEM	VKLAD	8672	40302	\N	\N	\N
580849	1977	1996-12-10	PRIJEM	VKLAD	13008	42526	\N	\N	\N
580850	1977	1997-01-10	PRIJEM	VKLAD	8672	38537	\N	\N	\N
580851	1977	1997-02-10	PRIJEM	VKLAD	8672	31419	\N	\N	\N
580852	1977	1997-03-10	PRIJEM	VKLAD	8672	33572	\N	\N	\N
580853	1977	1997-04-10	PRIJEM	VKLAD	8672	32232	\N	\N	\N
580854	1977	1997-05-10	PRIJEM	VKLAD	8672	30287	\N	\N	\N
580855	1977	1997-06-10	PRIJEM	VKLAD	13008	28876	\N	\N	\N
580856	1977	1997-07-10	PRIJEM	VKLAD	8672	27201	\N	\N	\N
580857	1977	1997-08-10	PRIJEM	VKLAD	8672	25634	\N	\N	\N
580858	1977	1997-09-10	PRIJEM	VKLAD	8672	23570	\N	\N	\N
580859	1977	1997-10-10	PRIJEM	VKLAD	8672	23710	\N	\N	\N
580860	1977	1997-11-10	PRIJEM	VKLAD	8672	23329	\N	\N	\N
580861	1977	1997-12-10	PRIJEM	VKLAD	13008	31987	\N	\N	\N
580862	1977	1998-01-10	PRIJEM	VKLAD	8672	23134	\N	\N	\N
580863	1977	1998-02-10	PRIJEM	VKLAD	8672	25573	\N	\N	\N
580864	1977	1998-03-10	PRIJEM	VKLAD	8672	27409	\N	\N	\N
580865	1977	1998-04-10	PRIJEM	VKLAD	8672	32551	\N	\N	\N
580866	1977	1998-05-10	PRIJEM	VKLAD	8672	36812	\N	\N	\N
580867	1977	1998-06-10	PRIJEM	VKLAD	13008	39929	\N	\N	\N
580868	1977	1998-07-10	PRIJEM	VKLAD	8672	26677	\N	\N	\N
580869	1977	1998-08-10	PRIJEM	VKLAD	8672	35020	\N	\N	\N
580870	1977	1998-09-10	PRIJEM	VKLAD	8672	38491	\N	\N	\N
580871	1977	1998-10-10	PRIJEM	VKLAD	8672	40074	\N	\N	\N
580872	1977	1998-11-10	PRIJEM	VKLAD	8672	38959	\N	\N	\N
580873	1977	1998-12-10	PRIJEM	VKLAD	13008	40573	\N	\N	\N
580874	1977	1996-06-12	VYDAJ	VYBER	22000	18681	\N	\N	\N
580876	1977	1998-06-11	VYDAJ	VYBER	21500	18429	\N	\N	\N
580878	1977	1997-01-25	VYDAJ	VYBER	1600	26537	\N	\N	\N
580880	1977	1996-12-10	VYDAJ	VYBER	1000	41526	\N	\N	\N
580881	1977	1997-12-20	VYDAJ	VYBER	1900	29287	\N	\N	\N
580882	1977	1998-12-18	VYDAJ	VYBER	2000	38573	\N	\N	\N
580889	1977	1997-01-16	VYDAJ	VYBER	1500	34137	\N	\N	\N
580890	1977	1997-01-17	VYDAJ	VYBER	1400	32737	\N	\N	\N
580891	1977	1997-01-22	VYDAJ	VYBER	1500	29637	\N	\N	\N
580892	1977	1997-01-24	VYDAJ	VYBER	1500	28137	\N	\N	\N
580893	1977	1997-01-12	VYDAJ	VYBER	2900	35637	\N	\N	\N
580894	1977	1997-01-22	VYDAJ	VYBER	1600	31137	\N	\N	\N
580895	1977	1998-01-03	VYDAJ	VYBER	1400	20862	\N	\N	\N
580896	1977	1998-01-24	VYDAJ	VYBER	2800	16834	\N	\N	\N
580897	1977	1998-01-04	VYDAJ	VYBER	2000	17062	\N	\N	\N
580898	1977	1998-01-17	VYDAJ	VYBER	500	22634	\N	\N	\N
580899	1977	1998-01-06	VYDAJ	VYBER	2600	14462	\N	\N	\N
580900	1977	1998-01-03	VYDAJ	VYBER	1800	19062	\N	\N	\N
580901	1977	1996-06-26	VYDAJ	VYBER	1900	16781	\N	\N	\N
580903	1977	1996-07-26	VYDAJ	VYBER	1400	29044	\N	\N	\N
580905	1977	1997-01-27	VYDAJ	VYBER	1900	24637	\N	\N	\N
580906	1977	1997-05-25	VYDAJ	VYBER	2200	26487	\N	\N	\N
580907	1977	1997-12-19	VYDAJ	VYBER	800	31187	\N	\N	\N
580908	1977	1997-09-09	VYDAJ	VYBER	1800	14898	\N	\N	\N
580909	1977	1997-08-17	VYDAJ	VYBER	1800	23834	\N	\N	\N
580910	1977	1997-05-17	VYDAJ	VYBER	1600	28687	\N	\N	\N
580911	1977	1998-05-23	VYDAJ	VYBER	2200	34612	\N	\N	\N
580912	1977	1998-02-11	VYDAJ	VYBER	3700	21873	\N	\N	\N
580913	1977	1998-03-22	VYDAJ	VYBER	3900	23509	\N	\N	\N
580914	1977	1998-02-28	VYDAJ	VYBER	1300	18737	\N	\N	\N
580915	1977	1998-02-15	VYDAJ	VYBER	1700	20173	\N	\N	\N
580916	1977	1998-06-07	VYDAJ	VYBER	1000	26921	\N	\N	\N
580923	1977	1996-06-30	VYDAJ	VYBER	15	16872	SLUZBY	\N	\N
580924	1977	1996-07-31	VYDAJ	VYBER	15	29139	SLUZBY	\N	\N
580925	1977	1996-08-31	VYDAJ	VYBER	15	32942	SLUZBY	\N	\N
580926	1977	1996-09-30	VYDAJ	VYBER	15	32637	SLUZBY	\N	\N
580927	1977	1996-10-31	VYDAJ	VYBER	15	31630	SLUZBY	\N	\N
580928	1977	1996-11-30	VYDAJ	VYBER	15	29518	SLUZBY	\N	\N
580929	1977	1996-12-31	VYDAJ	VYBER	15	29865	SLUZBY	\N	\N
580930	1977	1997-01-31	VYDAJ	VYBER	15	22747	SLUZBY	\N	\N
580931	1977	1997-02-28	VYDAJ	VYBER	15	24900	SLUZBY	\N	\N
580932	1977	1997-03-31	VYDAJ	VYBER	15	23560	SLUZBY	\N	\N
580933	1977	1997-04-30	VYDAJ	VYBER	15	21615	SLUZBY	\N	\N
580934	1977	1997-05-31	VYDAJ	VYBER	15	15868	SLUZBY	\N	\N
580935	1977	1997-06-30	VYDAJ	VYBER	15	18529	SLUZBY	\N	\N
580936	1977	1997-07-31	VYDAJ	VYBER	15	16962	SLUZBY	\N	\N
580937	1977	1997-08-31	VYDAJ	VYBER	15	16698	SLUZBY	\N	\N
580938	1977	1997-09-30	VYDAJ	VYBER	15	15038	SLUZBY	\N	\N
580939	1977	1997-10-31	VYDAJ	VYBER	15	14657	SLUZBY	\N	\N
580940	1977	1997-11-30	VYDAJ	VYBER	15	18979	SLUZBY	\N	\N
580941	1977	1997-12-31	VYDAJ	VYBER	15	22262	SLUZBY	\N	\N
580942	1977	1998-01-31	VYDAJ	VYBER	15	16901	SLUZBY	\N	\N
580943	1977	1998-02-28	VYDAJ	VYBER	15	20037	SLUZBY	\N	\N
580944	1977	1998-03-31	VYDAJ	VYBER	15	23879	SLUZBY	\N	\N
580945	1977	1998-04-30	VYDAJ	VYBER	15	28140	SLUZBY	\N	\N
580946	1977	1998-05-31	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
580947	1977	1998-06-30	VYDAJ	VYBER	15	18005	SLUZBY	\N	\N
580948	1977	1998-07-31	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
580949	1977	1998-08-31	VYDAJ	VYBER	15	29819	SLUZBY	\N	\N
580950	1977	1998-09-30	VYDAJ	VYBER	15	31402	SLUZBY	\N	\N
580951	1977	1998-10-31	VYDAJ	VYBER	15	30287	SLUZBY	\N	\N
580952	1977	1998-11-30	VYDAJ	VYBER	15	27565	SLUZBY	\N	\N
580953	1977	1996-03-04	PRIJEM	VKLAD	8500	17398	\N	\N	\N
580954	1977	1996-04-03	VYDAJ	VYBER	3400	22757	\N	\N	\N
580955	1977	1996-05-03	VYDAJ	VYBER	3100	28454	\N	\N	\N
580956	1977	1996-06-02	VYDAJ	VYBER	9600	27673	\N	\N	\N
580957	1977	1996-07-02	PRIJEM	VKLAD	4900	21772	\N	\N	\N
580958	1977	1996-08-01	VYDAJ	VYBER	300	28839	\N	\N	\N
580959	1977	1996-08-31	VYDAJ	VYBER	4700	32957	\N	\N	\N
580960	1977	1996-09-30	VYDAJ	VYBER	9100	32651	\N	\N	\N
580961	1977	1996-10-30	VYDAJ	VYBER	9800	31509	\N	\N	\N
580962	1977	1996-11-29	VYDAJ	VYBER	10900	29402	\N	\N	\N
580963	1977	1996-12-29	VYDAJ	VYBER	11800	29726	\N	\N	\N
580964	1977	1997-01-28	VYDAJ	VYBER	2000	22637	\N	\N	\N
580965	1977	1997-02-27	VYDAJ	VYBER	6600	24819	\N	\N	\N
580966	1977	1997-03-29	VYDAJ	VYBER	10100	23472	\N	\N	\N
580967	1977	1997-04-28	VYDAJ	VYBER	10700	21532	\N	\N	\N
580968	1977	1997-05-28	VYDAJ	VYBER	10700	15787	\N	\N	\N
580969	1977	1997-06-27	VYDAJ	VYBER	10400	18476	\N	\N	\N
580970	1977	1997-07-27	VYDAJ	VYBER	10300	16901	\N	\N	\N
580971	1977	1997-08-26	VYDAJ	VYBER	7200	16634	\N	\N	\N
580972	1977	1997-09-25	VYDAJ	VYBER	8600	14970	\N	\N	\N
580973	1977	1997-10-25	VYDAJ	VYBER	9100	14610	\N	\N	\N
580974	1977	1997-11-24	VYDAJ	VYBER	4400	18929	\N	\N	\N
580975	1977	1997-12-24	VYDAJ	VYBER	7100	22187	\N	\N	\N
580976	1977	1998-01-23	VYDAJ	VYBER	3000	19634	\N	\N	\N
580977	1977	1998-02-22	VYDAJ	VYBER	200	19973	\N	\N	\N
580978	1977	1998-03-24	PRIJEM	VKLAD	300	23809	\N	\N	\N
580979	1977	1998-04-23	VYDAJ	VYBER	4500	28051	\N	\N	\N
580980	1977	1998-05-23	VYDAJ	VYBER	6800	27812	\N	\N	\N
580981	1977	1998-06-22	VYDAJ	VYBER	500	17929	\N	\N	\N
580982	1977	1998-07-22	VYDAJ	VYBER	400	26277	\N	\N	\N
580983	1977	1998-08-21	VYDAJ	VYBER	5300	29720	\N	\N	\N
580984	1977	1998-09-20	VYDAJ	VYBER	7200	31291	\N	\N	\N
580985	1977	1998-10-20	VYDAJ	VYBER	9900	30174	\N	\N	\N
580986	1977	1998-11-19	VYDAJ	VYBER	11500	27459	\N	\N	\N
581022	1978	1993-06-11	PRIJEM	VKLAD	900	900	\N	\N	\N
581029	1978	1993-07-09	PRIJEM	PREVOD Z UCTU	34202	35102	\N	ST	78523957
581030	1978	1993-08-09	PRIJEM	PREVOD Z UCTU	34202	63486	\N	ST	78523957
581031	1978	1993-09-09	PRIJEM	PREVOD Z UCTU	34202	77652	\N	ST	78523957
581032	1978	1993-10-09	PRIJEM	PREVOD Z UCTU	34202	87139	\N	ST	78523957
581033	1978	1993-11-09	PRIJEM	PREVOD Z UCTU	34202	76894	\N	ST	78523957
581034	1978	1993-12-09	PRIJEM	PREVOD Z UCTU	51303	80791	\N	ST	78523957
581035	1978	1994-01-09	PRIJEM	PREVOD Z UCTU	34202	62793	\N	ST	78523957
581036	1978	1994-02-09	PRIJEM	PREVOD Z UCTU	34202	58359	\N	ST	78523957
581037	1978	1994-03-09	PRIJEM	PREVOD Z UCTU	34202	74237	\N	ST	78523957
581038	1978	1994-04-09	PRIJEM	PREVOD Z UCTU	34202	76683	\N	ST	78523957
581039	1978	1994-05-09	PRIJEM	PREVOD Z UCTU	34202	80848	\N	ST	78523957
581040	1978	1994-06-09	PRIJEM	PREVOD Z UCTU	51303	93929	\N	ST	78523957
581041	1978	1994-07-09	PRIJEM	PREVOD Z UCTU	34202	90940	\N	ST	78523957
581042	1978	1994-08-09	PRIJEM	PREVOD Z UCTU	34202	81645	\N	ST	78523957
581043	1978	1994-09-09	PRIJEM	PREVOD Z UCTU	34202	82730	\N	ST	78523957
581044	1978	1994-10-09	PRIJEM	PREVOD Z UCTU	34202	78215	\N	ST	78523957
581045	1978	1994-11-09	PRIJEM	PREVOD Z UCTU	34202	84391	\N	ST	78523957
581046	1978	1994-12-09	PRIJEM	PREVOD Z UCTU	51303	102589	\N	ST	78523957
581047	1978	1995-01-09	PRIJEM	PREVOD Z UCTU	34202	75326	\N	ST	78523957
581048	1978	1995-02-09	PRIJEM	PREVOD Z UCTU	34202	70834	\N	ST	78523957
581049	1978	1995-03-09	PRIJEM	PREVOD Z UCTU	34202	67541	\N	ST	78523957
581050	1978	1995-04-09	PRIJEM	PREVOD Z UCTU	34202	69432	\N	ST	78523957
581051	1978	1995-05-09	PRIJEM	PREVOD Z UCTU	34202	66530	\N	ST	78523957
581052	1978	1995-06-09	PRIJEM	PREVOD Z UCTU	51303	91336	\N	ST	78523957
581053	1978	1995-07-09	PRIJEM	PREVOD Z UCTU	34202	66039	\N	ST	78523957
581054	1978	1995-08-09	PRIJEM	PREVOD Z UCTU	34202	72140	\N	ST	78523957
581055	1978	1995-09-09	PRIJEM	PREVOD Z UCTU	34202	72629	\N	ST	78523957
581056	1978	1995-10-09	PRIJEM	PREVOD Z UCTU	34202	74846	\N	ST	78523957
581057	1978	1995-11-09	PRIJEM	PREVOD Z UCTU	34202	76367	\N	ST	78523957
581058	1978	1995-12-09	PRIJEM	PREVOD Z UCTU	51303	90097	\N	ST	78523957
581059	1978	1996-01-09	PRIJEM	PREVOD Z UCTU	34202	69752	\N	ST	78523957
581060	1978	1996-02-09	PRIJEM	PREVOD Z UCTU	34202	69442	\N	ST	78523957
581061	1978	1996-03-09	PRIJEM	PREVOD Z UCTU	34202	69234	\N	ST	78523957
581062	1978	1996-04-09	PRIJEM	PREVOD Z UCTU	34202	70027	\N	ST	78523957
581063	1978	1996-05-09	PRIJEM	PREVOD Z UCTU	34202	69024	\N	ST	78523957
581064	1978	1996-06-09	PRIJEM	PREVOD Z UCTU	51303	81497	\N	ST	78523957
581065	1978	1996-07-09	PRIJEM	PREVOD Z UCTU	34202	67080	\N	ST	78523957
581066	1978	1996-08-09	PRIJEM	PREVOD Z UCTU	34202	65754	\N	ST	78523957
581067	1978	1996-09-09	PRIJEM	PREVOD Z UCTU	34202	72534	\N	ST	78523957
581068	1978	1996-10-09	PRIJEM	PREVOD Z UCTU	34202	72232	\N	ST	78523957
581069	1978	1996-11-09	PRIJEM	PREVOD Z UCTU	34202	74429	\N	ST	78523957
581070	1978	1996-12-09	PRIJEM	PREVOD Z UCTU	51303	93235	\N	ST	78523957
581071	1978	1997-01-09	PRIJEM	PREVOD Z UCTU	34202	71681	\N	ST	78523957
581072	1978	1997-02-09	PRIJEM	PREVOD Z UCTU	34202	67159	\N	ST	78523957
581073	1978	1997-03-09	PRIJEM	PREVOD Z UCTU	34202	59002	\N	ST	78523957
581074	1978	1997-04-09	PRIJEM	PREVOD Z UCTU	34202	71655	\N	ST	78523957
581075	1978	1997-05-09	PRIJEM	PREVOD Z UCTU	34202	74043	\N	ST	78523957
581076	1978	1997-06-09	PRIJEM	PREVOD Z UCTU	51303	91040	\N	ST	78523957
581077	1978	1997-07-09	PRIJEM	PREVOD Z UCTU	34202	75780	\N	ST	78523957
581078	1978	1997-08-09	PRIJEM	PREVOD Z UCTU	34202	80897	\N	ST	78523957
581079	1978	1997-09-09	PRIJEM	PREVOD Z UCTU	34202	80416	\N	ST	78523957
581080	1978	1997-10-09	PRIJEM	PREVOD Z UCTU	34202	72607	\N	ST	78523957
581081	1978	1997-11-09	PRIJEM	PREVOD Z UCTU	34202	78302	\N	ST	78523957
581082	1978	1997-12-09	PRIJEM	PREVOD Z UCTU	51303	89913	\N	ST	78523957
581083	1978	1998-01-09	PRIJEM	PREVOD Z UCTU	34202	76953	\N	ST	78523957
581084	1978	1998-02-09	PRIJEM	PREVOD Z UCTU	34202	77966	\N	ST	78523957
581085	1978	1998-03-09	PRIJEM	PREVOD Z UCTU	34202	78766	\N	ST	78523957
581086	1978	1998-04-09	PRIJEM	PREVOD Z UCTU	34202	79773	\N	ST	78523957
581087	1978	1998-05-09	PRIJEM	PREVOD Z UCTU	34202	78485	\N	ST	78523957
581088	1978	1998-06-09	PRIJEM	PREVOD Z UCTU	51303	97595	\N	ST	78523957
581089	1978	1998-07-09	PRIJEM	PREVOD Z UCTU	34202	74809	\N	ST	78523957
581090	1978	1998-08-09	PRIJEM	PREVOD Z UCTU	34202	79726	\N	ST	78523957
581091	1978	1998-09-09	PRIJEM	PREVOD Z UCTU	34202	82548	\N	ST	78523957
581092	1978	1998-10-09	PRIJEM	PREVOD Z UCTU	34202	89313	\N	ST	78523957
581093	1978	1998-11-09	PRIJEM	PREVOD Z UCTU	34202	93071	\N	ST	78523957
581094	1978	1998-12-09	PRIJEM	PREVOD Z UCTU	51303	105026	\N	ST	78523957
581105	1978	1993-11-19	VYDAJ	VYBER	4800	58837	\N	\N	0
581106	1978	1993-12-18	VYDAJ	VYBER	4700	62834	\N	\N	0
581107	1978	1994-01-17	VYDAJ	VYBER	4100	27736	\N	\N	0
581108	1978	1994-01-29	VYDAJ	VYBER	4800	21136	\N	\N	0
581109	1978	1994-03-18	VYDAJ	VYBER	5400	55580	\N	\N	0
581110	1978	1994-04-15	VYDAJ	VYBER	4000	59426	\N	\N	0
581111	1978	1994-05-16	VYDAJ	VYBER	4500	63091	\N	\N	0
581112	1978	1994-06-13	VYDAJ	VYBER	5300	75728	\N	\N	0
581113	1978	1994-07-09	VYDAJ	VYBER	6500	84440	\N	\N	0
581114	1978	1994-08-17	VYDAJ	VYBER	5100	63288	\N	\N	0
581115	1978	1994-09-09	VYDAJ	VYBER	5400	77330	\N	\N	0
581116	1978	1994-10-04	VYDAJ	VYBER	3900	44013	\N	\N	0
581117	1978	1994-11-14	VYDAJ	VYBER	4400	66734	\N	\N	0
581118	1978	1994-12-12	VYDAJ	PREVOD NA UCET	5700	90989	UVER	KL	82303452
581119	1978	1995-01-12	VYDAJ	PREVOD NA UCET	5700	55325	UVER	KL	82303452
581120	1978	1995-02-12	VYDAJ	PREVOD NA UCET	5700	52233	UVER	KL	82303452
581121	1978	1995-03-12	VYDAJ	PREVOD NA UCET	5700	48940	UVER	KL	82303452
581122	1978	1995-04-12	VYDAJ	PREVOD NA UCET	5700	50830	UVER	KL	82303452
581123	1978	1995-05-12	VYDAJ	PREVOD NA UCET	5700	54929	UVER	KL	82303452
581124	1978	1995-06-12	VYDAJ	PREVOD NA UCET	5700	72735	UVER	KL	82303452
581125	1978	1995-07-12	VYDAJ	PREVOD NA UCET	5700	54438	UVER	KL	82303452
581126	1978	1995-08-12	VYDAJ	PREVOD NA UCET	5700	53539	UVER	KL	82303452
581127	1978	1995-09-12	VYDAJ	PREVOD NA UCET	5700	54028	UVER	KL	82303452
581128	1978	1995-10-12	VYDAJ	PREVOD NA UCET	5700	56245	UVER	KL	82303452
581129	1978	1995-11-12	VYDAJ	PREVOD NA UCET	5700	64767	UVER	KL	82303452
581130	1978	1995-12-12	VYDAJ	PREVOD NA UCET	5700	71496	UVER	KL	82303452
581131	1978	1996-01-12	VYDAJ	PREVOD NA UCET	5700	52752	UVER	KL	82303452
581132	1978	1996-02-12	VYDAJ	PREVOD NA UCET	5700	54542	UVER	KL	82303452
581133	1978	1996-03-12	VYDAJ	PREVOD NA UCET	5700	50633	UVER	KL	82303452
581134	1978	1996-04-12	VYDAJ	PREVOD NA UCET	5700	58427	UVER	KL	82303452
581135	1978	1996-05-12	VYDAJ	PREVOD NA UCET	5700	42622	UVER	KL	82303452
581136	1978	1996-06-12	VYDAJ	PREVOD NA UCET	5700	62896	UVER	KL	82303452
581137	1978	1996-07-12	VYDAJ	PREVOD NA UCET	5700	48479	UVER	KL	82303452
581138	1978	1996-08-12	VYDAJ	PREVOD NA UCET	5700	54154	UVER	KL	82303452
581139	1978	1996-09-12	VYDAJ	PREVOD NA UCET	5700	60934	UVER	KL	82303452
581140	1978	1996-10-12	VYDAJ	PREVOD NA UCET	5700	60631	UVER	KL	82303452
581141	1978	1996-11-12	VYDAJ	PREVOD NA UCET	5700	62829	UVER	KL	82303452
581142	1978	1996-12-12	VYDAJ	PREVOD NA UCET	5700	81635	UVER	KL	82303452
581143	1978	1997-01-12	VYDAJ	PREVOD NA UCET	5700	47380	UVER	KL	82303452
581144	1978	1997-02-12	VYDAJ	PREVOD NA UCET	5700	25072	UVER	KL	82303452
581145	1978	1997-03-12	VYDAJ	PREVOD NA UCET	5700	47401	UVER	KL	82303452
581146	1978	1997-04-12	VYDAJ	PREVOD NA UCET	5700	50053	UVER	KL	82303452
581147	1978	1997-05-12	VYDAJ	PREVOD NA UCET	5700	55442	UVER	KL	82303452
581148	1978	1997-06-12	VYDAJ	PREVOD NA UCET	5700	72439	UVER	KL	82303452
581149	1978	1997-07-12	VYDAJ	PREVOD NA UCET	5700	57178	UVER	KL	82303452
581150	1978	1997-08-12	VYDAJ	PREVOD NA UCET	5700	62296	UVER	KL	82303452
581151	1978	1997-09-12	VYDAJ	PREVOD NA UCET	5700	61814	UVER	KL	82303452
581152	1978	1997-10-12	VYDAJ	PREVOD NA UCET	5700	54006	UVER	KL	82303452
581153	1978	1997-11-12	VYDAJ	PREVOD NA UCET	5700	66702	UVER	KL	82303452
581154	1978	1997-12-14	VYDAJ	VYBER	5600	71412	\N	\N	0
581155	1978	1998-01-04	VYDAJ	VYBER	4900	46651	\N	\N	0
581156	1978	1998-02-13	VYDAJ	VYBER	5100	56365	\N	\N	0
581157	1978	1998-03-09	VYDAJ	VYBER	7500	71266	\N	\N	0
581158	1978	1998-04-23	VYDAJ	VYBER	5100	44116	\N	\N	0
581159	1978	1998-05-09	VYDAJ	VYBER	4500	73985	\N	\N	0
581160	1978	1998-06-12	VYDAJ	VYBER	4600	80094	\N	\N	0
581161	1978	1998-07-02	VYDAJ	VYBER	5200	40607	\N	\N	0
581162	1978	1998-07-31	VYDAJ	VYBER	5000	45554	\N	\N	0
581163	1978	1998-08-31	VYDAJ	VYBER	5700	48376	\N	\N	0
581164	1978	1998-10-25	VYDAJ	VYBER	6200	58656	\N	\N	0
581165	1978	1998-11-19	VYDAJ	VYBER	3900	58414	\N	\N	0
581166	1978	1998-11-28	VYDAJ	VYBER	4900	53514	\N	\N	0
581177	1978	1993-11-12	VYDAJ	PREVOD NA UCET	7001	63993	SIPO	OP	85430520
581178	1978	1993-12-12	VYDAJ	PREVOD NA UCET	7001	67890	SIPO	OP	85430520
581179	1978	1994-01-12	VYDAJ	PREVOD NA UCET	7001	49892	SIPO	OP	85430520
581180	1978	1994-02-12	VYDAJ	PREVOD NA UCET	7001	45458	SIPO	OP	85430520
581181	1978	1994-03-12	VYDAJ	PREVOD NA UCET	7001	61336	SIPO	OP	85430520
581182	1978	1994-04-12	VYDAJ	PREVOD NA UCET	7001	63782	SIPO	OP	85430520
581183	1978	1994-05-12	VYDAJ	PREVOD NA UCET	7001	67947	SIPO	OP	85430520
581184	1978	1994-06-12	VYDAJ	PREVOD NA UCET	7001	81028	SIPO	OP	85430520
581185	1978	1994-07-12	VYDAJ	PREVOD NA UCET	7001	71539	SIPO	OP	85430520
581186	1978	1994-08-12	VYDAJ	PREVOD NA UCET	7001	68744	SIPO	OP	85430520
581187	1978	1994-09-12	VYDAJ	PREVOD NA UCET	7001	64429	SIPO	OP	85430520
581188	1978	1994-10-12	VYDAJ	PREVOD NA UCET	7001	65314	SIPO	OP	85430520
581189	1978	1994-11-12	VYDAJ	PREVOD NA UCET	7001	71490	SIPO	OP	85430520
581190	1978	1994-12-12	VYDAJ	PREVOD NA UCET	7001	83988	SIPO	OP	85430520
581191	1978	1995-01-12	VYDAJ	PREVOD NA UCET	7001	48324	SIPO	OP	85430520
581192	1978	1995-02-12	VYDAJ	PREVOD NA UCET	7001	57933	SIPO	OP	85430520
581193	1978	1995-03-12	VYDAJ	PREVOD NA UCET	7001	54640	SIPO	OP	85430520
581194	1978	1995-04-12	VYDAJ	PREVOD NA UCET	7001	56531	SIPO	OP	85430520
581195	1978	1995-05-12	VYDAJ	PREVOD NA UCET	7001	47928	SIPO	OP	85430520
581196	1978	1995-06-12	VYDAJ	PREVOD NA UCET	7001	78435	SIPO	OP	85430520
581197	1978	1995-07-12	VYDAJ	PREVOD NA UCET	7001	47437	SIPO	OP	85430520
581198	1978	1995-08-12	VYDAJ	PREVOD NA UCET	7001	59239	SIPO	OP	85430520
581199	1978	1995-09-12	VYDAJ	PREVOD NA UCET	7001	59728	SIPO	OP	85430520
581200	1978	1995-10-12	VYDAJ	PREVOD NA UCET	7001	61945	SIPO	OP	85430520
581201	1978	1995-11-12	VYDAJ	PREVOD NA UCET	7001	57766	SIPO	OP	85430520
581202	1978	1995-12-12	VYDAJ	PREVOD NA UCET	7001	77196	SIPO	OP	85430520
581203	1978	1996-01-12	VYDAJ	PREVOD NA UCET	7001	45751	SIPO	OP	85430520
581204	1978	1996-02-12	VYDAJ	PREVOD NA UCET	7001	47541	SIPO	OP	85430520
581205	1978	1996-03-12	VYDAJ	PREVOD NA UCET	7001	56333	SIPO	OP	85430520
581206	1978	1996-04-12	VYDAJ	PREVOD NA UCET	7001	51426	SIPO	OP	85430520
581207	1978	1996-05-12	VYDAJ	PREVOD NA UCET	7001	48323	SIPO	OP	85430520
581208	1978	1996-06-12	VYDAJ	PREVOD NA UCET	7001	68596	SIPO	OP	85430520
581209	1978	1996-07-12	VYDAJ	PREVOD NA UCET	7001	54179	SIPO	OP	85430520
581210	1978	1996-08-12	VYDAJ	PREVOD NA UCET	7001	47153	SIPO	OP	85430520
581211	1978	1996-09-12	VYDAJ	PREVOD NA UCET	7001	53933	SIPO	OP	85430520
581212	1978	1996-10-12	VYDAJ	PREVOD NA UCET	7001	53630	SIPO	OP	85430520
581213	1978	1996-11-12	VYDAJ	PREVOD NA UCET	7001	55828	SIPO	OP	85430520
581214	1978	1996-12-12	VYDAJ	PREVOD NA UCET	7001	74634	SIPO	OP	85430520
581215	1978	1997-01-12	VYDAJ	PREVOD NA UCET	7001	53080	SIPO	OP	85430520
581216	1978	1997-02-12	VYDAJ	PREVOD NA UCET	7001	30772	SIPO	OP	85430520
581217	1978	1997-03-12	VYDAJ	PREVOD NA UCET	7001	40400	SIPO	OP	85430520
581218	1978	1997-04-12	VYDAJ	PREVOD NA UCET	7001	58754	SIPO	OP	85430520
581219	1978	1997-05-12	VYDAJ	PREVOD NA UCET	7001	61142	SIPO	OP	85430520
581220	1978	1997-06-12	VYDAJ	PREVOD NA UCET	7001	78139	SIPO	OP	85430520
581221	1978	1997-07-12	VYDAJ	PREVOD NA UCET	7001	62879	SIPO	OP	85430520
581222	1978	1997-08-12	VYDAJ	PREVOD NA UCET	7001	67996	SIPO	OP	85430520
581223	1978	1997-09-12	VYDAJ	PREVOD NA UCET	7001	67515	SIPO	OP	85430520
581224	1978	1997-10-12	VYDAJ	PREVOD NA UCET	7001	59706	SIPO	OP	85430520
581225	1978	1997-11-12	VYDAJ	PREVOD NA UCET	7001	59701	SIPO	OP	85430520
581226	1978	1997-12-12	VYDAJ	PREVOD NA UCET	7001	77012	SIPO	OP	85430520
581227	1978	1998-01-12	VYDAJ	PREVOD NA UCET	7001	59852	SIPO	OP	85430520
581228	1978	1998-02-12	VYDAJ	PREVOD NA UCET	7001	65065	SIPO	OP	85430520
581229	1978	1998-03-12	VYDAJ	PREVOD NA UCET	7001	58365	SIPO	OP	85430520
581230	1978	1998-04-12	VYDAJ	PREVOD NA UCET	7001	66872	SIPO	OP	85430520
581231	1978	1998-05-12	VYDAJ	PREVOD NA UCET	7001	61084	SIPO	OP	85430520
581232	1978	1998-06-12	VYDAJ	PREVOD NA UCET	7001	84694	SIPO	OP	85430520
581233	1978	1998-07-12	VYDAJ	PREVOD NA UCET	7001	61908	SIPO	OP	85430520
581234	1978	1998-08-12	VYDAJ	PREVOD NA UCET	7001	66825	SIPO	OP	85430520
581235	1978	1998-09-12	VYDAJ	PREVOD NA UCET	7001	69647	SIPO	OP	85430520
581236	1978	1998-10-12	VYDAJ	PREVOD NA UCET	7001	76412	SIPO	OP	85430520
581237	1978	1998-11-12	VYDAJ	PREVOD NA UCET	7001	62670	SIPO	OP	85430520
581238	1978	1998-12-12	VYDAJ	PREVOD NA UCET	7001	92125	SIPO	OP	85430520
581249	1978	1993-11-10	VYDAJ	PREVOD NA UCET	5900	70994	 	UV	57071173
581250	1978	1993-12-10	VYDAJ	PREVOD NA UCET	5900	74891	 	UV	57071173
581251	1978	1994-01-10	VYDAJ	PREVOD NA UCET	5900	56893	 	UV	57071173
581252	1978	1994-02-10	VYDAJ	PREVOD NA UCET	5900	52459	 	UV	57071173
581253	1978	1994-03-10	VYDAJ	PREVOD NA UCET	5900	68337	 	UV	57071173
581254	1978	1994-04-10	VYDAJ	PREVOD NA UCET	5900	70783	 	UV	57071173
581255	1978	1994-05-10	VYDAJ	PREVOD NA UCET	5900	74948	 	UV	57071173
581256	1978	1994-06-10	VYDAJ	PREVOD NA UCET	5900	88029	 	UV	57071173
581257	1978	1994-07-10	VYDAJ	PREVOD NA UCET	5900	78540	 	UV	57071173
581258	1978	1994-08-10	VYDAJ	PREVOD NA UCET	5900	75745	 	UV	57071173
581259	1978	1994-09-10	VYDAJ	PREVOD NA UCET	5900	71430	 	UV	57071173
581260	1978	1994-10-10	VYDAJ	PREVOD NA UCET	5900	72315	 	UV	57071173
581261	1978	1994-11-10	VYDAJ	PREVOD NA UCET	5900	78491	 	UV	57071173
581262	1978	1994-12-10	VYDAJ	PREVOD NA UCET	5900	96689	 	UV	57071173
581263	1978	1995-01-10	VYDAJ	PREVOD NA UCET	5900	61026	 	UV	57071173
581264	1978	1995-02-10	VYDAJ	PREVOD NA UCET	5900	64934	 	UV	57071173
581265	1978	1995-03-10	VYDAJ	PREVOD NA UCET	5900	61641	 	UV	57071173
581266	1978	1995-04-10	VYDAJ	PREVOD NA UCET	5900	63532	 	UV	57071173
581267	1978	1995-05-10	VYDAJ	PREVOD NA UCET	5900	60630	 	UV	57071173
581268	1978	1995-06-10	VYDAJ	PREVOD NA UCET	5900	85436	 	UV	57071173
581269	1978	1995-07-10	VYDAJ	PREVOD NA UCET	5900	60139	 	UV	57071173
581270	1978	1995-08-10	VYDAJ	PREVOD NA UCET	5900	66240	 	UV	57071173
581271	1978	1995-09-10	VYDAJ	PREVOD NA UCET	5900	66729	 	UV	57071173
581272	1978	1995-10-10	VYDAJ	PREVOD NA UCET	5900	68946	 	UV	57071173
581273	1978	1995-11-10	VYDAJ	PREVOD NA UCET	5900	70467	 	UV	57071173
581274	1978	1995-12-10	VYDAJ	PREVOD NA UCET	5900	84197	 	UV	57071173
581275	1978	1996-01-10	VYDAJ	PREVOD NA UCET	5900	63852	 	UV	57071173
581276	1978	1996-02-10	VYDAJ	PREVOD NA UCET	5900	60242	 	UV	57071173
581277	1978	1996-03-10	VYDAJ	PREVOD NA UCET	5900	63334	 	UV	57071173
581278	1978	1996-04-10	VYDAJ	PREVOD NA UCET	5900	64127	 	UV	57071173
581279	1978	1996-05-10	VYDAJ	PREVOD NA UCET	5900	63124	 	UV	57071173
581280	1978	1996-06-10	VYDAJ	PREVOD NA UCET	5900	75597	 	UV	57071173
581281	1978	1996-07-10	VYDAJ	PREVOD NA UCET	5900	61180	 	UV	57071173
581282	1978	1996-08-10	VYDAJ	PREVOD NA UCET	5900	59854	 	UV	57071173
581283	1978	1996-09-10	VYDAJ	PREVOD NA UCET	5900	66634	 	UV	57071173
581284	1978	1996-10-10	VYDAJ	PREVOD NA UCET	5900	66332	 	UV	57071173
581285	1978	1996-11-10	VYDAJ	PREVOD NA UCET	5900	68529	 	UV	57071173
581286	1978	1996-12-10	VYDAJ	PREVOD NA UCET	5900	87335	 	UV	57071173
581287	1978	1997-01-10	VYDAJ	PREVOD NA UCET	5900	60081	 	UV	57071173
581288	1978	1997-02-10	VYDAJ	PREVOD NA UCET	5900	61259	 	UV	57071173
581289	1978	1997-03-10	VYDAJ	PREVOD NA UCET	5900	53102	 	UV	57071173
581290	1978	1997-04-10	VYDAJ	PREVOD NA UCET	5900	65755	 	UV	57071173
581291	1978	1997-05-10	VYDAJ	PREVOD NA UCET	5900	68143	 	UV	57071173
581292	1978	1997-06-10	VYDAJ	PREVOD NA UCET	5900	85140	 	UV	57071173
581293	1978	1997-07-10	VYDAJ	PREVOD NA UCET	5900	69880	 	UV	57071173
581294	1978	1997-08-10	VYDAJ	PREVOD NA UCET	5900	74997	 	UV	57071173
581295	1978	1997-09-10	VYDAJ	PREVOD NA UCET	5900	74516	 	UV	57071173
581296	1978	1997-10-10	VYDAJ	PREVOD NA UCET	5900	66707	 	UV	57071173
581297	1978	1997-11-10	VYDAJ	PREVOD NA UCET	5900	72402	 	UV	57071173
581298	1978	1997-12-10	VYDAJ	PREVOD NA UCET	5900	84013	 	UV	57071173
581299	1978	1998-01-10	VYDAJ	PREVOD NA UCET	5900	66853	 	UV	57071173
581300	1978	1998-02-10	VYDAJ	PREVOD NA UCET	5900	72066	 	UV	57071173
581301	1978	1998-03-10	VYDAJ	PREVOD NA UCET	5900	65366	 	UV	57071173
581302	1978	1998-04-10	VYDAJ	PREVOD NA UCET	5900	73873	 	UV	57071173
581303	1978	1998-05-10	VYDAJ	PREVOD NA UCET	5900	68085	 	UV	57071173
581304	1978	1998-06-10	VYDAJ	PREVOD NA UCET	5900	91695	 	UV	57071173
581305	1978	1998-07-10	VYDAJ	PREVOD NA UCET	5900	68909	 	UV	57071173
581306	1978	1998-08-10	VYDAJ	PREVOD NA UCET	5900	73826	 	UV	57071173
581307	1978	1998-09-10	VYDAJ	PREVOD NA UCET	5900	76648	 	UV	57071173
581308	1978	1998-10-10	VYDAJ	PREVOD NA UCET	5900	83413	 	UV	57071173
581309	1978	1998-11-10	VYDAJ	PREVOD NA UCET	5900	87171	 	UV	57071173
581310	1978	1998-12-10	VYDAJ	PREVOD NA UCET	5900	99126	 	UV	57071173
581321	1978	1993-11-14	VYDAJ	PREVOD NA UCET	356	63637	POJISTNE	KL	25988853
581322	1978	1993-12-14	VYDAJ	PREVOD NA UCET	356	67534	POJISTNE	KL	25988853
581323	1978	1994-01-14	VYDAJ	PREVOD NA UCET	356	40236	POJISTNE	KL	25988853
581324	1978	1994-02-14	VYDAJ	PREVOD NA UCET	356	45102	POJISTNE	KL	25988853
581325	1978	1994-03-14	VYDAJ	PREVOD NA UCET	356	60980	POJISTNE	KL	25988853
581326	1978	1994-04-14	VYDAJ	PREVOD NA UCET	356	63426	POJISTNE	KL	25988853
581327	1978	1994-05-14	VYDAJ	PREVOD NA UCET	356	67591	POJISTNE	KL	25988853
581328	1978	1994-06-14	VYDAJ	PREVOD NA UCET	356	75372	POJISTNE	KL	25988853
581329	1978	1994-07-14	VYDAJ	PREVOD NA UCET	356	71183	POJISTNE	KL	25988853
581330	1978	1994-08-14	VYDAJ	PREVOD NA UCET	356	68388	POJISTNE	KL	25988853
581331	1978	1994-09-14	VYDAJ	PREVOD NA UCET	356	64073	POJISTNE	KL	25988853
581332	1978	1994-10-14	VYDAJ	PREVOD NA UCET	356	64958	POJISTNE	KL	25988853
581333	1978	1994-11-14	VYDAJ	PREVOD NA UCET	356	71134	POJISTNE	KL	25988853
581334	1978	1994-12-14	VYDAJ	PREVOD NA UCET	356	83632	POJISTNE	KL	25988853
581335	1978	1995-01-14	VYDAJ	PREVOD NA UCET	356	47968	POJISTNE	KL	25988853
581336	1978	1995-02-14	VYDAJ	PREVOD NA UCET	356	51877	POJISTNE	KL	25988853
581337	1978	1995-03-14	VYDAJ	PREVOD NA UCET	356	35984	POJISTNE	KL	25988853
581338	1978	1995-04-14	VYDAJ	PREVOD NA UCET	356	45374	POJISTNE	KL	25988853
581339	1978	1995-05-14	VYDAJ	PREVOD NA UCET	356	47572	POJISTNE	KL	25988853
581340	1978	1995-06-14	VYDAJ	PREVOD NA UCET	356	72379	POJISTNE	KL	25988853
581341	1978	1995-07-14	VYDAJ	PREVOD NA UCET	356	47081	POJISTNE	KL	25988853
581342	1978	1995-08-14	VYDAJ	PREVOD NA UCET	356	53183	POJISTNE	KL	25988853
581343	1978	1995-09-14	VYDAJ	PREVOD NA UCET	356	53672	POJISTNE	KL	25988853
581344	1978	1995-10-14	VYDAJ	PREVOD NA UCET	356	55889	POJISTNE	KL	25988853
581345	1978	1995-11-14	VYDAJ	PREVOD NA UCET	356	57410	POJISTNE	KL	25988853
581346	1978	1995-12-14	VYDAJ	PREVOD NA UCET	356	71140	POJISTNE	KL	25988853
581347	1978	1996-01-14	VYDAJ	PREVOD NA UCET	356	43895	POJISTNE	KL	25988853
581348	1978	1996-02-14	VYDAJ	PREVOD NA UCET	356	47185	POJISTNE	KL	25988853
581349	1978	1996-03-14	VYDAJ	PREVOD NA UCET	356	50277	POJISTNE	KL	25988853
581350	1978	1996-04-14	VYDAJ	PREVOD NA UCET	356	51070	POJISTNE	KL	25988853
581351	1978	1996-05-14	VYDAJ	PREVOD NA UCET	356	42266	POJISTNE	KL	25988853
581352	1978	1996-06-14	VYDAJ	PREVOD NA UCET	356	62540	POJISTNE	KL	25988853
581353	1978	1996-07-14	VYDAJ	PREVOD NA UCET	356	48123	POJISTNE	KL	25988853
581354	1978	1996-08-14	VYDAJ	PREVOD NA UCET	356	46797	POJISTNE	KL	25988853
581355	1978	1996-09-14	VYDAJ	PREVOD NA UCET	356	53577	POJISTNE	KL	25988853
581356	1978	1996-10-14	VYDAJ	PREVOD NA UCET	356	53274	POJISTNE	KL	25988853
581357	1978	1996-11-14	VYDAJ	PREVOD NA UCET	356	55472	POJISTNE	KL	25988853
581358	1978	1996-12-14	VYDAJ	PREVOD NA UCET	356	74278	POJISTNE	KL	25988853
581359	1978	1997-01-14	VYDAJ	PREVOD NA UCET	356	39824	POJISTNE	KL	25988853
581360	1978	1997-02-14	VYDAJ	PREVOD NA UCET	356	24716	POJISTNE	KL	25988853
581361	1978	1997-03-14	VYDAJ	PREVOD NA UCET	356	40044	POJISTNE	KL	25988853
581362	1978	1997-04-14	VYDAJ	PREVOD NA UCET	356	49697	POJISTNE	KL	25988853
581363	1978	1997-05-14	VYDAJ	PREVOD NA UCET	356	55086	POJISTNE	KL	25988853
581364	1978	1997-06-14	VYDAJ	PREVOD NA UCET	356	72083	POJISTNE	KL	25988853
581365	1978	1997-07-14	VYDAJ	PREVOD NA UCET	356	56822	POJISTNE	KL	25988853
581366	1978	1997-08-14	VYDAJ	PREVOD NA UCET	356	61940	POJISTNE	KL	25988853
581367	1978	1997-09-14	VYDAJ	PREVOD NA UCET	356	61458	POJISTNE	KL	25988853
581368	1978	1997-10-14	VYDAJ	PREVOD NA UCET	356	53650	POJISTNE	KL	25988853
581369	1978	1997-11-14	VYDAJ	PREVOD NA UCET	356	59345	POJISTNE	KL	25988853
581370	1978	1997-12-14	VYDAJ	PREVOD NA UCET	356	71056	POJISTNE	KL	25988853
581371	1978	1998-01-14	VYDAJ	PREVOD NA UCET	356	59496	POJISTNE	KL	25988853
581372	1978	1998-02-14	VYDAJ	PREVOD NA UCET	356	56009	POJISTNE	KL	25988853
581373	1978	1998-03-14	VYDAJ	PREVOD NA UCET	356	58009	POJISTNE	KL	25988853
581374	1978	1998-04-14	VYDAJ	PREVOD NA UCET	356	66516	POJISTNE	KL	25988853
581375	1978	1998-05-14	VYDAJ	PREVOD NA UCET	356	60728	POJISTNE	KL	25988853
581376	1978	1998-06-14	VYDAJ	PREVOD NA UCET	356	52738	POJISTNE	KL	25988853
581377	1978	1998-07-14	VYDAJ	PREVOD NA UCET	356	61552	POJISTNE	KL	25988853
581378	1978	1998-08-14	VYDAJ	PREVOD NA UCET	356	53869	POJISTNE	KL	25988853
581379	1978	1998-09-14	VYDAJ	PREVOD NA UCET	356	54928	POJISTNE	KL	25988853
581380	1978	1998-10-14	VYDAJ	PREVOD NA UCET	356	64856	POJISTNE	KL	25988853
581381	1978	1998-11-14	VYDAJ	PREVOD NA UCET	356	62314	POJISTNE	KL	25988853
581382	1978	1998-12-14	VYDAJ	PREVOD NA UCET	356	71069	POJISTNE	KL	25988853
581384	1978	1993-11-22	VYBER	VYBER	18283	40554	\N	\N	\N
581393	1978	1994-01-01	VYBER	VYBER	17144	37191	\N	\N	\N
581394	1978	1995-06-21	VYBER	VYBER	17160	55219	\N	\N	\N
581396	1978	1995-03-08	VYBER	VYBER	10607	33339	\N	\N	\N
581398	1978	1995-08-28	VYBER	VYBER	3525	49658	\N	\N	\N
581402	1978	1997-07-03	VYBER	VYBER	3547	41578	\N	\N	\N
581404	1978	1997-09-19	VYBER	VYBER	9513	38245	\N	\N	\N
581405	1978	1997-06-21	VYBER	VYBER	7741	44942	\N	\N	\N
581408	1978	1997-02-11	VYBER	VYBER	23486	37773	\N	\N	\N
581412	1978	1998-09-13	VYBER	VYBER	3763	65884	\N	\N	\N
581417	1978	1995-06-29	VYDAJ	VYBER	19500	35719	\N	\N	\N
581418	1978	1996-06-16	VYDAJ	VYBER	18900	43640	\N	\N	\N
581420	1978	1998-06-14	VYDAJ	VYBER	27000	53094	\N	\N	\N
581421	1978	1993-12-19	VYDAJ	VYBER	8700	54134	\N	\N	\N
581422	1978	1994-12-28	VYDAJ	VYBER	3000	68932	\N	\N	\N
581423	1978	1995-12-30	VYDAJ	VYBER	8700	38040	\N	\N	\N
581424	1978	1996-12-28	VYDAJ	VYBER	3300	45678	\N	\N	\N
581425	1978	1997-12-04	VYDAJ	VYBER	7500	38610	\N	\N	\N
581426	1978	1998-12-26	VYDAJ	VYBER	3300	67769	\N	\N	\N
581434	1978	1994-01-05	VYDAJ	VYBER	6900	30291	\N	\N	\N
581435	1978	1994-01-16	VYDAJ	VYBER	8400	31836	\N	\N	\N
581436	1978	1994-01-14	VYDAJ	VYBER	2400	40592	\N	\N	\N
581437	1978	1994-01-12	VYDAJ	VYBER	6900	42992	\N	\N	\N
581438	1978	1994-01-17	VYDAJ	VYBER	1800	25936	\N	\N	\N
581439	1978	1995-01-21	VYDAJ	VYBER	3000	44968	\N	\N	\N
581441	1978	1995-01-30	VYDAJ	VYBER	6600	33868	\N	\N	\N
581442	1978	1995-01-02	VYDAJ	VYBER	2400	66824	\N	\N	\N
581443	1978	1995-01-03	VYDAJ	VYBER	8700	41124	\N	\N	\N
581444	1978	1995-01-24	VYDAJ	VYBER	4500	40468	\N	\N	\N
581447	1978	1996-01-04	VYDAJ	VYBER	2700	35550	\N	\N	\N
581448	1978	1996-01-13	VYDAJ	VYBER	1500	44251	\N	\N	\N
581449	1978	1996-01-10	VYDAJ	VYBER	5400	58452	\N	\N	\N
581451	1978	1997-01-13	VYDAJ	VYBER	7200	40180	\N	\N	\N
581454	1978	1997-01-10	VYDAJ	VYBER	5700	65981	\N	\N	\N
581455	1978	1997-01-17	VYDAJ	VYBER	2100	37724	\N	\N	\N
581456	1978	1997-01-05	VYDAJ	VYBER	8400	37479	\N	\N	\N
581458	1978	1998-01-23	VYDAJ	VYBER	2700	43596	\N	\N	\N
581459	1978	1998-01-10	VYDAJ	VYBER	4200	72753	\N	\N	\N
581460	1978	1998-01-19	VYDAJ	VYBER	2100	46296	\N	\N	\N
581461	1978	1998-01-04	VYDAJ	VYBER	3900	42751	\N	\N	\N
581465	1978	1993-12-05	VYDAJ	VYBER	3300	37488	\N	\N	\N
581468	1978	1994-12-06	VYDAJ	VYBER	3300	51286	\N	\N	\N
581469	1978	1994-12-28	VYDAJ	VYBER	11700	71932	\N	\N	\N
581471	1978	1994-07-20	VYDAJ	VYBER	9600	61583	\N	\N	\N
581472	1978	1994-05-30	VYDAJ	VYBER	9600	53491	\N	\N	\N
581473	1978	1995-03-13	VYDAJ	VYBER	12600	36340	\N	\N	\N
581474	1978	1995-10-24	VYDAJ	VYBER	3900	51989	\N	\N	\N
581475	1978	1995-04-29	VYDAJ	VYBER	9300	36074	\N	\N	\N
581476	1978	1995-04-13	VYDAJ	VYBER	5100	45730	\N	\N	\N
581477	1978	1995-11-30	VYDAJ	VYBER	3300	38824	\N	\N	\N
581478	1978	1995-01-10	VYDAJ	VYBER	8400	66926	\N	\N	\N
581480	1978	1996-02-09	VYDAJ	VYBER	3300	66142	\N	\N	\N
581483	1978	1996-07-16	VYDAJ	VYBER	2700	45423	\N	\N	\N
581484	1978	1996-05-10	VYDAJ	VYBER	7800	55324	\N	\N	\N
581488	1978	1997-04-12	VYDAJ	VYBER	3000	55754	\N	\N	\N
581491	1978	1998-02-12	VYDAJ	VYBER	3600	61465	\N	\N	\N
581506	1978	1993-11-30	VYDAJ	VYBER	30	40788	SLUZBY	\N	\N
581507	1978	1993-12-31	VYDAJ	VYBER	30	54335	SLUZBY	\N	\N
581508	1978	1994-01-31	VYDAJ	VYBER	30	21257	SLUZBY	\N	\N
581509	1978	1994-02-28	VYDAJ	VYBER	30	45235	SLUZBY	\N	\N
581510	1978	1994-03-31	VYDAJ	VYBER	30	55781	SLUZBY	\N	\N
581511	1978	1994-04-30	VYDAJ	VYBER	30	59646	SLUZBY	\N	\N
581512	1978	1994-05-31	VYDAJ	VYBER	30	53726	SLUZBY	\N	\N
581513	1978	1994-06-30	VYDAJ	VYBER	30	75638	SLUZBY	\N	\N
581514	1978	1994-07-31	VYDAJ	VYBER	30	61843	SLUZBY	\N	\N
581515	1978	1994-08-31	VYDAJ	VYBER	30	63528	SLUZBY	\N	\N
581516	1978	1994-09-30	VYDAJ	VYBER	30	64313	SLUZBY	\N	\N
581517	1978	1994-10-31	VYDAJ	VYBER	30	65189	SLUZBY	\N	\N
581518	1978	1994-11-30	VYDAJ	VYBER	30	66986	SLUZBY	\N	\N
581519	1978	1994-12-31	VYDAJ	VYBER	30	69224	SLUZBY	\N	\N
581520	1978	1995-01-31	VYDAJ	VYBER	30	34032	SLUZBY	\N	\N
581521	1978	1995-02-28	VYDAJ	VYBER	30	52046	SLUZBY	\N	\N
581522	1978	1995-03-31	VYDAJ	VYBER	30	36130	SLUZBY	\N	\N
581523	1978	1995-04-30	VYDAJ	VYBER	30	36228	SLUZBY	\N	\N
581524	1978	1995-05-31	VYDAJ	VYBER	30	47733	SLUZBY	\N	\N
581525	1978	1995-06-30	VYDAJ	VYBER	30	35937	SLUZBY	\N	\N
581526	1978	1995-07-31	VYDAJ	VYBER	30	47238	SLUZBY	\N	\N
581527	1978	1995-08-31	VYDAJ	VYBER	30	38427	SLUZBY	\N	\N
581528	1978	1995-09-30	VYDAJ	VYBER	30	40644	SLUZBY	\N	\N
581529	1978	1995-10-31	VYDAJ	VYBER	30	42165	SLUZBY	\N	\N
581530	1978	1995-11-30	VYDAJ	VYBER	30	38794	SLUZBY	\N	\N
581531	1978	1995-12-31	VYDAJ	VYBER	30	38250	SLUZBY	\N	\N
581532	1978	1996-01-31	VYDAJ	VYBER	30	35240	SLUZBY	\N	\N
581533	1978	1996-02-29	VYDAJ	VYBER	30	35032	SLUZBY	\N	\N
581534	1978	1996-03-31	VYDAJ	VYBER	30	35825	SLUZBY	\N	\N
581535	1978	1996-04-30	VYDAJ	VYBER	30	34822	SLUZBY	\N	\N
581536	1978	1996-05-31	VYDAJ	VYBER	30	30194	SLUZBY	\N	\N
581537	1978	1996-06-30	VYDAJ	VYBER	30	32878	SLUZBY	\N	\N
581538	1978	1996-07-31	VYDAJ	VYBER	30	31552	SLUZBY	\N	\N
581539	1978	1996-08-31	VYDAJ	VYBER	30	38332	SLUZBY	\N	\N
581540	1978	1996-09-30	VYDAJ	VYBER	30	38030	SLUZBY	\N	\N
581541	1978	1996-10-31	VYDAJ	VYBER	30	40227	SLUZBY	\N	\N
581542	1978	1996-11-30	VYDAJ	VYBER	30	41932	SLUZBY	\N	\N
581543	1978	1996-12-31	VYDAJ	VYBER	30	45879	SLUZBY	\N	\N
581544	1978	1997-01-31	VYDAJ	VYBER	30	32957	SLUZBY	\N	\N
581545	1978	1997-02-28	VYDAJ	VYBER	30	24800	SLUZBY	\N	\N
581546	1978	1997-03-31	VYDAJ	VYBER	30	37453	SLUZBY	\N	\N
581547	1978	1997-04-30	VYDAJ	VYBER	30	39841	SLUZBY	\N	\N
581548	1978	1997-05-31	VYDAJ	VYBER	30	39737	SLUZBY	\N	\N
581549	1978	1997-06-30	VYDAJ	VYBER	30	45125	SLUZBY	\N	\N
581550	1978	1997-07-31	VYDAJ	VYBER	30	46695	SLUZBY	\N	\N
581551	1978	1997-08-31	VYDAJ	VYBER	30	46214	SLUZBY	\N	\N
581552	1978	1997-09-30	VYDAJ	VYBER	30	38405	SLUZBY	\N	\N
581553	1978	1997-10-31	VYDAJ	VYBER	30	44100	SLUZBY	\N	\N
581554	1978	1997-11-30	VYDAJ	VYBER	30	46110	SLUZBY	\N	\N
581555	1978	1997-12-31	VYDAJ	VYBER	30	51551	SLUZBY	\N	\N
581556	1978	1998-01-31	VYDAJ	VYBER	30	43764	SLUZBY	\N	\N
581557	1978	1998-02-28	VYDAJ	VYBER	30	44564	SLUZBY	\N	\N
581558	1978	1998-03-31	VYDAJ	VYBER	30	45571	SLUZBY	\N	\N
581559	1978	1998-04-30	VYDAJ	VYBER	30	44283	SLUZBY	\N	\N
581560	1978	1998-05-31	VYDAJ	VYBER	30	46292	SLUZBY	\N	\N
581561	1978	1998-06-30	VYDAJ	VYBER	30	45807	SLUZBY	\N	\N
581562	1978	1998-07-31	VYDAJ	VYBER	30	45524	SLUZBY	\N	\N
581563	1978	1998-08-31	VYDAJ	VYBER	30	48346	SLUZBY	\N	\N
581564	1978	1998-09-30	VYDAJ	VYBER	30	55111	SLUZBY	\N	\N
581565	1978	1998-10-31	VYDAJ	VYBER	30	58869	SLUZBY	\N	\N
581566	1978	1998-11-30	VYDAJ	VYBER	30	53723	SLUZBY	\N	\N
581567	1978	1993-07-11	VYDAJ	VYBER	5900	29202	\N	\N	\N
581568	1978	1993-08-10	VYDAJ	VYBER	20200	43286	\N	\N	\N
581569	1978	1993-09-09	VYDAJ	VYBER	25000	52652	\N	\N	\N
581570	1978	1993-10-09	VYDAJ	VYBER	31200	55939	\N	\N	\N
581571	1978	1993-11-08	VYDAJ	VYBER	13600	42692	\N	\N	\N
581572	1978	1993-12-08	VYDAJ	VYBER	8000	29488	\N	\N	\N
581573	1978	1994-01-07	VYDAJ	VYBER	1700	28591	\N	\N	\N
581574	1978	1994-02-06	PRIJEM	VKLAD	2900	24157	\N	\N	\N
581575	1978	1994-03-08	VYDAJ	VYBER	5200	40035	\N	\N	\N
581576	1978	1994-04-07	VYDAJ	VYBER	13300	42481	\N	\N	\N
581577	1978	1994-05-07	VYDAJ	VYBER	13000	46646	\N	\N	\N
581578	1978	1994-06-06	VYDAJ	VYBER	11100	42626	\N	\N	\N
581579	1978	1994-07-06	VYDAJ	VYBER	18900	56738	\N	\N	\N
581580	1978	1994-08-05	VYDAJ	VYBER	14400	47443	\N	\N	\N
581581	1978	1994-09-04	VYDAJ	VYBER	15000	48528	\N	\N	\N
581582	1978	1994-10-04	VYDAJ	VYBER	16400	47913	\N	\N	\N
581583	1978	1994-11-03	VYDAJ	VYBER	15000	50189	\N	\N	\N
581584	1978	1994-12-03	VYDAJ	VYBER	12400	54586	\N	\N	\N
581585	1978	1995-01-02	VYDAJ	VYBER	17000	49824	\N	\N	\N
581586	1978	1995-02-01	PRIJEM	VKLAD	2600	36632	\N	\N	\N
581587	1978	1995-03-03	VYDAJ	VYBER	8100	43946	\N	\N	\N
581588	1978	1995-04-02	VYDAJ	VYBER	900	35230	\N	\N	\N
581589	1978	1995-05-02	VYDAJ	VYBER	3900	32328	\N	\N	\N
581590	1978	1995-06-01	VYDAJ	VYBER	7700	40033	\N	\N	\N
581591	1978	1995-07-01	VYDAJ	VYBER	4100	31837	\N	\N	\N
581592	1978	1995-07-31	VYDAJ	VYBER	9300	37938	\N	\N	\N
581593	1978	1995-08-30	VYDAJ	VYBER	11400	38258	\N	\N	\N
581594	1978	1995-09-29	VYDAJ	VYBER	13200	40472	\N	\N	\N
581595	1978	1995-10-29	VYDAJ	VYBER	10000	41989	\N	\N	\N
581596	1978	1995-11-28	VYDAJ	VYBER	15500	41910	\N	\N	\N
581597	1978	1995-12-28	VYDAJ	VYBER	24400	46740	\N	\N	\N
581598	1978	1996-01-27	VYDAJ	VYBER	8800	35095	\N	\N	\N
581599	1978	1996-02-26	VYDAJ	VYBER	12300	34885	\N	\N	\N
581600	1978	1996-03-27	VYDAJ	VYBER	14600	35677	\N	\N	\N
581601	1978	1996-04-26	VYDAJ	VYBER	16400	34670	\N	\N	\N
581602	1978	1996-05-26	VYDAJ	VYBER	12200	30066	\N	\N	\N
581603	1978	1996-06-25	VYDAJ	VYBER	10900	32740	\N	\N	\N
581604	1978	1996-07-25	VYDAJ	VYBER	14000	31423	\N	\N	\N
581605	1978	1996-08-24	VYDAJ	VYBER	8600	38197	\N	\N	\N
581606	1978	1996-09-23	VYDAJ	VYBER	15700	37877	\N	\N	\N
581607	1978	1996-10-23	VYDAJ	VYBER	13200	40074	\N	\N	\N
581608	1978	1996-11-22	VYDAJ	VYBER	13700	41772	\N	\N	\N
581609	1978	1996-12-22	VYDAJ	VYBER	25300	48978	\N	\N	\N
581610	1978	1997-01-21	VYDAJ	VYBER	4900	32824	\N	\N	\N
581611	1978	1997-03-22	VYDAJ	VYBER	2700	37344	\N	\N	\N
581612	1978	1997-04-21	VYDAJ	VYBER	10000	39697	\N	\N	\N
581613	1978	1997-05-21	VYDAJ	VYBER	15500	39586	\N	\N	\N
581614	1978	1997-06-20	VYDAJ	VYBER	19400	52683	\N	\N	\N
581615	1978	1997-07-20	VYDAJ	VYBER	10300	46522	\N	\N	\N
581616	1978	1997-08-19	VYDAJ	VYBER	15900	46040	\N	\N	\N
581617	1978	1997-09-18	VYDAJ	VYBER	13700	47758	\N	\N	\N
581618	1978	1997-10-18	VYDAJ	VYBER	9700	43950	\N	\N	\N
581619	1978	1997-11-17	VYDAJ	VYBER	13400	45945	\N	\N	\N
581620	1978	1997-12-17	VYDAJ	VYBER	19700	51356	\N	\N	\N
581621	1978	1998-01-16	VYDAJ	VYBER	11100	48396	\N	\N	\N
581622	1978	1998-02-15	VYDAJ	VYBER	11600	44409	\N	\N	\N
581623	1978	1998-03-17	VYDAJ	VYBER	12600	45409	\N	\N	\N
581624	1978	1998-04-16	VYDAJ	VYBER	17300	49216	\N	\N	\N
581625	1978	1998-05-16	VYDAJ	VYBER	14600	46128	\N	\N	\N
581626	1978	1998-06-15	VYDAJ	VYBER	7100	45638	\N	\N	\N
581627	1978	1998-07-15	VYDAJ	VYBER	11200	50352	\N	\N	\N
581628	1978	1998-08-14	VYDAJ	VYBER	12600	54225	\N	\N	\N
581629	1978	1998-09-13	VYDAJ	VYBER	10600	55284	\N	\N	\N
581630	1978	1998-10-13	VYDAJ	VYBER	11200	65212	\N	\N	\N
581631	1978	1998-11-12	VYDAJ	VYBER	17500	69671	\N	\N	\N
581632	1978	1998-12-12	VYDAJ	VYBER	20700	71425	\N	\N	\N
581699	1979	1993-01-11	PRIJEM	VKLAD	900	900	\N	\N	\N
581701	1979	1993-02-09	PRIJEM	PREVOD Z UCTU	3021	3921	\N	UV	38265723
581702	1979	1993-03-09	PRIJEM	PREVOD Z UCTU	3021	6942	\N	UV	38265723
581703	1979	1993-04-09	PRIJEM	PREVOD Z UCTU	3021	9963	\N	UV	38265723
581704	1979	1993-05-09	PRIJEM	PREVOD Z UCTU	3021	12984	\N	UV	38265723
581705	1979	1993-06-09	PRIJEM	PREVOD Z UCTU	3021	16005	\N	UV	38265723
581706	1979	1993-07-09	PRIJEM	PREVOD Z UCTU	3021	17000	\N	UV	38265723
581707	1979	1993-08-09	PRIJEM	PREVOD Z UCTU	3021	17401	\N	UV	38265723
581708	1979	1993-09-09	PRIJEM	PREVOD Z UCTU	3021	17624	\N	UV	38265723
581709	1979	1993-10-09	PRIJEM	PREVOD Z UCTU	3021	18689	\N	UV	38265723
581710	1979	1993-11-09	PRIJEM	PREVOD Z UCTU	3021	19758	\N	UV	38265723
581711	1979	1993-12-09	PRIJEM	PREVOD Z UCTU	3021	20831	\N	UV	38265723
581712	1979	1994-01-09	PRIJEM	PREVOD Z UCTU	3021	19628	\N	UV	38265723
581713	1979	1994-02-09	PRIJEM	PREVOD Z UCTU	3021	17910	\N	UV	38265723
581714	1979	1994-03-09	PRIJEM	PREVOD Z UCTU	3021	18976	\N	UV	38265723
581715	1979	1994-04-09	PRIJEM	PREVOD Z UCTU	3021	19625	\N	UV	38265723
581716	1979	1994-05-09	PRIJEM	PREVOD Z UCTU	3021	20698	\N	UV	38265723
581717	1979	1994-06-09	PRIJEM	PREVOD Z UCTU	3021	21375	\N	UV	38265723
581718	1979	1994-07-09	PRIJEM	PREVOD Z UCTU	3021	22004	\N	UV	38265723
581719	1979	1994-08-09	PRIJEM	PREVOD Z UCTU	3021	23087	\N	UV	38265723
581720	1979	1994-09-09	PRIJEM	PREVOD Z UCTU	3021	20902	\N	UV	38265723
581721	1979	1994-10-09	PRIJEM	PREVOD Z UCTU	3021	21981	\N	UV	38265723
581722	1979	1994-11-09	PRIJEM	PREVOD Z UCTU	3021	23064	\N	UV	38265723
581723	1979	1994-12-09	PRIJEM	PREVOD Z UCTU	3021	23581	\N	UV	38265723
581724	1979	1995-01-09	PRIJEM	PREVOD Z UCTU	3021	20677	\N	UV	38265723
581725	1979	1995-02-09	PRIJEM	PREVOD Z UCTU	3021	20012	\N	UV	38265723
581726	1979	1995-03-09	PRIJEM	PREVOD Z UCTU	3021	20876	\N	UV	38265723
581727	1979	1995-04-09	PRIJEM	PREVOD Z UCTU	3021	21954	\N	UV	38265723
581728	1979	1995-05-09	PRIJEM	PREVOD Z UCTU	3021	23037	\N	UV	38265723
581729	1979	1995-06-09	PRIJEM	PREVOD Z UCTU	3021	24124	\N	UV	38265723
581730	1979	1995-07-09	PRIJEM	PREVOD Z UCTU	3021	25215	\N	UV	38265723
581731	1979	1995-08-09	PRIJEM	PREVOD Z UCTU	3021	25710	\N	UV	38265723
581732	1979	1995-09-09	PRIJEM	PREVOD Z UCTU	3021	25507	\N	UV	38265723
581733	1979	1995-10-09	PRIJEM	PREVOD Z UCTU	3021	26304	\N	UV	38265723
581734	1979	1995-11-09	PRIJEM	PREVOD Z UCTU	3021	24403	\N	UV	38265723
581735	1979	1995-12-09	PRIJEM	PREVOD Z UCTU	3021	24415	\N	UV	38265723
581736	1979	1996-01-09	PRIJEM	PREVOD Z UCTU	3021	22736	\N	UV	38265723
581737	1979	1996-02-09	PRIJEM	PREVOD Z UCTU	3021	20606	\N	UV	38265723
581738	1979	1996-03-09	PRIJEM	PREVOD Z UCTU	3021	21683	\N	UV	38265723
581739	1979	1996-04-09	PRIJEM	PREVOD Z UCTU	3021	22764	\N	UV	38265723
581740	1979	1996-05-09	PRIJEM	PREVOD Z UCTU	3021	22558	\N	UV	38265723
581741	1979	1996-06-09	PRIJEM	PREVOD Z UCTU	3021	23643	\N	UV	38265723
581742	1979	1996-07-09	PRIJEM	PREVOD Z UCTU	3021	24732	\N	UV	38265723
581743	1979	1996-08-09	PRIJEM	PREVOD Z UCTU	3021	25725	\N	UV	38265723
581744	1979	1996-09-09	PRIJEM	PREVOD Z UCTU	3021	26722	\N	UV	38265723
581745	1979	1996-10-09	PRIJEM	PREVOD Z UCTU	3021	24069	\N	UV	38265723
581746	1979	1996-11-09	PRIJEM	PREVOD Z UCTU	3021	24559	\N	UV	38265723
581747	1979	1996-12-09	PRIJEM	PREVOD Z UCTU	3021	25201	\N	UV	38265723
581748	1979	1997-01-09	PRIJEM	PREVOD Z UCTU	3021	23134	\N	UV	38265723
581749	1979	1997-02-09	PRIJEM	PREVOD Z UCTU	3021	22239	\N	UV	38265723
581750	1979	1997-03-09	PRIJEM	PREVOD Z UCTU	3021	22821	\N	UV	38265723
581751	1979	1997-04-09	PRIJEM	PREVOD Z UCTU	3021	20061	\N	UV	38265723
581752	1979	1997-05-09	PRIJEM	PREVOD Z UCTU	3021	20805	\N	UV	38265723
581753	1979	1997-06-09	PRIJEM	PREVOD Z UCTU	3021	20579	\N	UV	38265723
581754	1979	1997-07-09	PRIJEM	PREVOD Z UCTU	3021	17358	\N	UV	38265723
581755	1979	1997-08-09	PRIJEM	PREVOD Z UCTU	3021	15654	\N	UV	38265723
581756	1979	1997-09-09	PRIJEM	PREVOD Z UCTU	3021	16208	\N	UV	38265723
581757	1979	1997-10-09	PRIJEM	PREVOD Z UCTU	3021	17265	\N	UV	38265723
581758	1979	1997-11-09	PRIJEM	PREVOD Z UCTU	3021	18326	\N	UV	38265723
581759	1979	1997-12-09	PRIJEM	PREVOD Z UCTU	3021	19392	\N	UV	38265723
581760	1979	1998-01-09	PRIJEM	PREVOD Z UCTU	3021	19771	\N	UV	38265723
581761	1979	1998-02-09	PRIJEM	PREVOD Z UCTU	3021	17477	\N	UV	38265723
581762	1979	1998-03-09	PRIJEM	PREVOD Z UCTU	3021	17637	\N	UV	38265723
581763	1979	1998-04-09	PRIJEM	PREVOD Z UCTU	3021	17507	\N	UV	38265723
581764	1979	1998-05-09	PRIJEM	PREVOD Z UCTU	3021	18569	\N	UV	38265723
581765	1979	1998-06-09	PRIJEM	PREVOD Z UCTU	3021	18934	\N	UV	38265723
581766	1979	1998-07-09	PRIJEM	PREVOD Z UCTU	3021	20001	\N	UV	38265723
581767	1979	1998-08-09	PRIJEM	PREVOD Z UCTU	3021	21074	\N	UV	38265723
581768	1979	1998-09-09	PRIJEM	PREVOD Z UCTU	3021	20827	\N	UV	38265723
581769	1979	1998-10-09	PRIJEM	PREVOD Z UCTU	3021	20799	\N	UV	38265723
581770	1979	1998-11-09	PRIJEM	PREVOD Z UCTU	3021	18967	\N	UV	38265723
581771	1979	1998-12-09	PRIJEM	PREVOD Z UCTU	3021	20034	\N	UV	38265723
581778	1979	1993-07-08	VYDAJ	PREVOD NA UCET	2014	13979	\N	UV	32008636
581779	1979	1993-08-08	VYDAJ	PREVOD NA UCET	2014	14380	\N	UV	32008636
581780	1979	1993-09-08	VYDAJ	PREVOD NA UCET	2014	14603	\N	UV	32008636
581781	1979	1993-10-08	VYDAJ	PREVOD NA UCET	2014	15668	\N	UV	32008636
581782	1979	1993-11-08	VYDAJ	PREVOD NA UCET	2014	16737	\N	UV	32008636
581783	1979	1993-12-08	VYDAJ	PREVOD NA UCET	2014	17810	\N	UV	32008636
581784	1979	1994-01-08	VYDAJ	PREVOD NA UCET	2014	16607	\N	UV	32008636
581785	1979	1994-02-08	VYDAJ	PREVOD NA UCET	2014	14889	\N	UV	32008636
581786	1979	1994-03-08	VYDAJ	PREVOD NA UCET	2014	15955	\N	UV	32008636
581787	1979	1994-04-08	VYDAJ	PREVOD NA UCET	2014	16604	\N	UV	32008636
581788	1979	1994-05-08	VYDAJ	PREVOD NA UCET	2014	17677	\N	UV	32008636
581789	1979	1994-06-08	VYDAJ	PREVOD NA UCET	2014	18354	\N	UV	32008636
581790	1979	1994-07-08	VYDAJ	PREVOD NA UCET	2014	18983	\N	UV	32008636
581791	1979	1994-08-08	VYDAJ	PREVOD NA UCET	2014	20066	\N	UV	32008636
581792	1979	1994-09-08	VYDAJ	PREVOD NA UCET	2014	17881	\N	UV	32008636
581793	1979	1994-10-08	VYDAJ	PREVOD NA UCET	2014	18960	\N	UV	32008636
581794	1979	1994-11-08	VYDAJ	PREVOD NA UCET	2014	20043	\N	UV	32008636
581795	1979	1994-12-08	VYDAJ	PREVOD NA UCET	2014	20560	\N	UV	32008636
581796	1979	1995-01-08	VYDAJ	PREVOD NA UCET	2014	17656	\N	UV	32008636
581797	1979	1995-02-08	VYDAJ	PREVOD NA UCET	2014	16991	\N	UV	32008636
581798	1979	1995-03-08	VYDAJ	PREVOD NA UCET	2014	17855	\N	UV	32008636
581799	1979	1995-04-08	VYDAJ	PREVOD NA UCET	2014	18933	\N	UV	32008636
581800	1979	1995-05-08	VYDAJ	PREVOD NA UCET	2014	20016	\N	UV	32008636
581801	1979	1995-06-08	VYDAJ	PREVOD NA UCET	2014	21103	\N	UV	32008636
581802	1979	1995-07-08	VYDAJ	PREVOD NA UCET	2014	22194	\N	UV	32008636
581803	1979	1995-08-08	VYDAJ	PREVOD NA UCET	2014	22689	\N	UV	32008636
581804	1979	1995-09-08	VYDAJ	PREVOD NA UCET	2014	22486	\N	UV	32008636
581805	1979	1995-10-08	VYDAJ	PREVOD NA UCET	2014	23283	\N	UV	32008636
581806	1979	1995-11-08	VYDAJ	PREVOD NA UCET	2014	21382	\N	UV	32008636
581807	1979	1995-12-08	VYDAJ	PREVOD NA UCET	2014	21394	\N	UV	32008636
581808	1979	1996-01-08	VYDAJ	PREVOD NA UCET	2014	19715	\N	UV	32008636
581809	1979	1996-02-08	VYDAJ	PREVOD NA UCET	2014	17585	\N	UV	32008636
581810	1979	1996-03-08	VYDAJ	PREVOD NA UCET	2014	18662	\N	UV	32008636
581811	1979	1996-04-08	VYDAJ	PREVOD NA UCET	2014	19743	\N	UV	32008636
581812	1979	1996-05-08	VYDAJ	PREVOD NA UCET	2014	19537	\N	UV	32008636
581813	1979	1996-06-08	VYDAJ	PREVOD NA UCET	2014	20622	\N	UV	32008636
581814	1979	1996-07-08	VYDAJ	PREVOD NA UCET	2014	21711	\N	UV	32008636
581815	1979	1996-08-08	VYDAJ	PREVOD NA UCET	2014	22704	\N	UV	32008636
581816	1979	1996-09-08	VYDAJ	PREVOD NA UCET	2014	23701	\N	UV	32008636
581817	1979	1996-10-08	VYDAJ	PREVOD NA UCET	2014	21048	\N	UV	32008636
581818	1979	1996-11-08	VYDAJ	PREVOD NA UCET	2014	21538	\N	UV	32008636
581819	1979	1996-12-08	VYDAJ	PREVOD NA UCET	2014	22180	\N	UV	32008636
581820	1979	1997-01-08	VYDAJ	PREVOD NA UCET	2014	20113	\N	UV	32008636
581821	1979	1997-02-08	VYDAJ	PREVOD NA UCET	2014	19218	\N	UV	32008636
581822	1979	1997-03-08	VYDAJ	PREVOD NA UCET	2014	19800	\N	UV	32008636
581823	1979	1997-04-08	VYDAJ	PREVOD NA UCET	2014	17040	\N	UV	32008636
581824	1979	1997-05-08	VYDAJ	PREVOD NA UCET	2014	17784	\N	UV	32008636
581825	1979	1997-06-08	VYDAJ	PREVOD NA UCET	2014	17558	\N	UV	32008636
581826	1979	1997-07-08	VYDAJ	PREVOD NA UCET	2014	14337	\N	UV	32008636
581827	1979	1997-08-08	VYDAJ	PREVOD NA UCET	2014	12633	\N	UV	32008636
581828	1979	1997-09-08	VYDAJ	PREVOD NA UCET	2014	13187	\N	UV	32008636
581829	1979	1997-10-08	VYDAJ	PREVOD NA UCET	2014	14244	\N	UV	32008636
581830	1979	1997-11-08	VYDAJ	PREVOD NA UCET	2014	15305	\N	UV	32008636
581831	1979	1997-12-08	VYDAJ	PREVOD NA UCET	2014	16371	\N	UV	32008636
581832	1979	1998-01-08	VYDAJ	PREVOD NA UCET	2014	16750	\N	UV	32008636
581833	1979	1998-02-08	VYDAJ	PREVOD NA UCET	2014	14456	\N	UV	32008636
581834	1979	1998-03-08	VYDAJ	PREVOD NA UCET	2014	14616	\N	UV	32008636
581835	1979	1998-04-08	VYDAJ	PREVOD NA UCET	2014	14486	\N	UV	32008636
581836	1979	1998-05-08	VYDAJ	PREVOD NA UCET	2014	15548	\N	UV	32008636
581837	1979	1998-06-08	VYDAJ	PREVOD NA UCET	2014	15913	\N	UV	32008636
581838	1979	1998-07-08	VYDAJ	PREVOD NA UCET	2014	16980	\N	UV	32008636
581839	1979	1998-08-08	VYDAJ	PREVOD NA UCET	2014	18053	\N	UV	32008636
581840	1979	1998-09-08	VYDAJ	PREVOD NA UCET	2014	17806	\N	UV	32008636
581841	1979	1998-10-08	VYDAJ	PREVOD NA UCET	2014	17778	\N	UV	32008636
581842	1979	1998-11-08	VYDAJ	PREVOD NA UCET	2014	15946	\N	UV	32008636
581843	1979	1998-12-08	VYDAJ	PREVOD NA UCET	2014	17013	\N	UV	32008636
581844	1979	1993-12-11	VYDAJ	VYBER	330	20501	\N	\N	\N
581845	1979	1994-12-02	VYDAJ	VYBER	570	22574	\N	\N	\N
581846	1979	1995-12-13	VYDAJ	VYBER	270	24145	\N	\N	\N
581847	1979	1996-12-10	VYDAJ	VYBER	270	24931	\N	\N	\N
581848	1979	1997-12-18	VYDAJ	VYBER	450	18942	\N	\N	\N
581849	1979	1998-12-19	VYDAJ	VYBER	330	19704	\N	\N	\N
581856	1979	1994-01-13	VYDAJ	VYBER	300	19088	\N	\N	\N
581857	1979	1994-01-30	VYDAJ	VYBER	810	17888	\N	\N	\N
581858	1979	1994-01-01	VYDAJ	VYBER	390	19011	\N	\N	\N
581859	1979	1994-01-07	VYDAJ	VYBER	390	18621	\N	\N	\N
581860	1979	1994-01-12	VYDAJ	VYBER	240	19388	\N	\N	\N
581861	1979	1994-01-13	VYDAJ	VYBER	390	18698	\N	\N	\N
581862	1979	1995-01-12	VYDAJ	VYBER	540	20137	\N	\N	\N
581863	1979	1995-01-03	VYDAJ	VYBER	690	20150	\N	\N	\N
581864	1979	1995-01-19	VYDAJ	VYBER	150	19987	\N	\N	\N
581865	1979	1995-01-01	VYDAJ	VYBER	450	20840	\N	\N	\N
581866	1979	1995-01-03	VYDAJ	VYBER	480	19670	\N	\N	\N
581867	1979	1995-01-27	VYDAJ	VYBER	870	19117	\N	\N	\N
581868	1979	1996-01-08	VYDAJ	VYBER	600	21729	\N	\N	\N
581869	1979	1996-01-21	VYDAJ	VYBER	450	20636	\N	\N	\N
581870	1979	1996-01-12	VYDAJ	VYBER	720	21356	\N	\N	\N
581871	1979	1996-01-30	VYDAJ	VYBER	720	19526	\N	\N	\N
581872	1979	1996-01-26	VYDAJ	VYBER	390	20246	\N	\N	\N
581873	1979	1996-01-15	VYDAJ	VYBER	270	21086	\N	\N	\N
581874	1979	1997-01-07	VYDAJ	VYBER	180	22127	\N	\N	\N
581875	1979	1997-01-03	VYDAJ	VYBER	690	22307	\N	\N	\N
581876	1979	1997-01-28	VYDAJ	VYBER	450	21154	\N	\N	\N
581877	1979	1997-01-28	VYDAJ	VYBER	570	21604	\N	\N	\N
581878	1979	1997-01-24	VYDAJ	VYBER	180	22174	\N	\N	\N
581879	1979	1997-01-23	VYDAJ	VYBER	780	22354	\N	\N	\N
581880	1979	1998-01-12	VYDAJ	VYBER	690	19081	\N	\N	\N
581881	1979	1998-01-20	VYDAJ	VYBER	390	17191	\N	\N	\N
581882	1979	1998-01-29	VYDAJ	VYBER	360	16411	\N	\N	\N
581883	1979	1998-01-27	VYDAJ	VYBER	150	17041	\N	\N	\N
581884	1979	1998-01-06	VYDAJ	VYBER	240	18764	\N	\N	\N
581885	1979	1998-01-29	VYDAJ	VYBER	270	16771	\N	\N	\N
581887	1979	1993-08-16	VYDAJ	VYBER	270	17131	\N	\N	\N
581888	1979	1993-08-23	VYDAJ	VYBER	570	16561	\N	\N	\N
581889	1979	1993-12-30	VYDAJ	VYBER	1170	19331	\N	\N	\N
581891	1979	1993-07-27	VYDAJ	VYBER	660	16340	\N	\N	\N
581892	1979	1994-08-14	VYDAJ	VYBER	930	22157	\N	\N	\N
581893	1979	1994-08-30	VYDAJ	VYBER	1440	20717	\N	\N	\N
581894	1979	1994-06-10	VYDAJ	VYBER	450	20925	\N	\N	\N
581895	1979	1994-12-29	VYDAJ	VYBER	1020	21211	\N	\N	\N
581896	1979	1994-12-26	VYDAJ	VYBER	240	22231	\N	\N	\N
581897	1979	1994-03-15	VYDAJ	VYBER	420	18556	\N	\N	\N
581898	1979	1994-01-30	VYDAJ	VYBER	1050	16838	\N	\N	\N
581899	1979	1994-12-10	VYDAJ	VYBER	1110	22471	\N	\N	\N
581900	1979	1995-02-25	VYDAJ	VYBER	210	19802	\N	\N	\N
581901	1979	1995-01-30	VYDAJ	VYBER	180	18937	\N	\N	\N
581902	1979	1995-11-30	VYDAJ	VYBER	1080	23408	\N	\N	\N
581903	1979	1995-07-13	VYDAJ	VYBER	600	24615	\N	\N	\N
581904	1979	1996-09-24	VYDAJ	VYBER	150	22972	\N	\N	\N
581905	1979	1996-12-28	VYDAJ	VYBER	1020	22911	\N	\N	\N
581906	1979	1996-01-11	VYDAJ	VYBER	660	22076	\N	\N	\N
581907	1979	1996-11-28	VYDAJ	VYBER	450	24109	\N	\N	\N
581908	1979	1996-04-27	VYDAJ	VYBER	390	21474	\N	\N	\N
581909	1979	1997-05-05	VYDAJ	VYBER	330	19798	\N	\N	\N
581910	1979	1997-03-30	VYDAJ	VYBER	840	18981	\N	\N	\N
581911	1979	1997-06-17	VYDAJ	VYBER	390	20189	\N	\N	\N
581912	1979	1997-07-12	VYDAJ	VYBER	1260	16098	\N	\N	\N
581913	1979	1998-03-20	VYDAJ	VYBER	390	16447	\N	\N	\N
581915	1979	1998-08-14	VYDAJ	VYBER	1320	19754	\N	\N	\N
581922	1979	1993-06-30	VYDAJ	VYBER	15	15993	SLUZBY	\N	\N
581923	1979	1993-07-31	VYDAJ	VYBER	15	16394	SLUZBY	\N	\N
581924	1979	1993-08-31	VYDAJ	VYBER	15	16617	SLUZBY	\N	\N
581925	1979	1993-09-30	VYDAJ	VYBER	15	17682	SLUZBY	\N	\N
581926	1979	1993-10-31	VYDAJ	VYBER	15	18751	SLUZBY	\N	\N
581927	1979	1993-11-30	VYDAJ	VYBER	15	19824	SLUZBY	\N	\N
581928	1979	1993-12-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
581929	1979	1994-01-31	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
581930	1979	1994-02-28	VYDAJ	VYBER	15	17969	SLUZBY	\N	\N
581931	1979	1994-03-31	VYDAJ	VYBER	15	18618	SLUZBY	\N	\N
581932	1979	1994-04-30	VYDAJ	VYBER	15	19691	SLUZBY	\N	\N
581933	1979	1994-05-31	VYDAJ	VYBER	15	20768	SLUZBY	\N	\N
581934	1979	1994-06-30	VYDAJ	VYBER	15	20997	SLUZBY	\N	\N
581935	1979	1994-07-31	VYDAJ	VYBER	15	22080	SLUZBY	\N	\N
581936	1979	1994-08-31	VYDAJ	VYBER	15	20795	SLUZBY	\N	\N
581937	1979	1994-09-30	VYDAJ	VYBER	15	20974	SLUZBY	\N	\N
581938	1979	1994-10-31	VYDAJ	VYBER	15	22057	SLUZBY	\N	\N
581939	1979	1994-11-30	VYDAJ	VYBER	15	23144	SLUZBY	\N	\N
581940	1979	1994-12-31	VYDAJ	VYBER	15	21290	SLUZBY	\N	\N
581941	1979	1995-01-31	VYDAJ	VYBER	15	19005	SLUZBY	\N	\N
581942	1979	1995-02-28	VYDAJ	VYBER	15	19869	SLUZBY	\N	\N
581943	1979	1995-03-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
581944	1979	1995-04-30	VYDAJ	VYBER	15	22030	SLUZBY	\N	\N
581945	1979	1995-05-31	VYDAJ	VYBER	15	23117	SLUZBY	\N	\N
581946	1979	1995-06-30	VYDAJ	VYBER	15	24208	SLUZBY	\N	\N
581947	1979	1995-07-31	VYDAJ	VYBER	15	24703	SLUZBY	\N	\N
581948	1979	1995-08-31	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
581949	1979	1995-09-30	VYDAJ	VYBER	15	25297	SLUZBY	\N	\N
581950	1979	1995-10-31	VYDAJ	VYBER	15	23396	SLUZBY	\N	\N
581951	1979	1995-11-30	VYDAJ	VYBER	15	24488	SLUZBY	\N	\N
581952	1979	1995-12-31	VYDAJ	VYBER	15	22329	SLUZBY	\N	\N
581953	1979	1996-01-31	VYDAJ	VYBER	15	19599	SLUZBY	\N	\N
581954	1979	1996-02-29	VYDAJ	VYBER	15	20676	SLUZBY	\N	\N
581955	1979	1996-03-31	VYDAJ	VYBER	15	21757	SLUZBY	\N	\N
581956	1979	1996-04-30	VYDAJ	VYBER	15	21551	SLUZBY	\N	\N
581957	1979	1996-05-31	VYDAJ	VYBER	15	22636	SLUZBY	\N	\N
581958	1979	1996-06-30	VYDAJ	VYBER	15	23725	SLUZBY	\N	\N
581959	1979	1996-07-31	VYDAJ	VYBER	15	24718	SLUZBY	\N	\N
581960	1979	1996-08-31	VYDAJ	VYBER	15	25715	SLUZBY	\N	\N
581961	1979	1996-09-30	VYDAJ	VYBER	15	23062	SLUZBY	\N	\N
581962	1979	1996-10-31	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
581963	1979	1996-11-30	VYDAJ	VYBER	15	24194	SLUZBY	\N	\N
581964	1979	1996-12-31	VYDAJ	VYBER	15	22997	SLUZBY	\N	\N
581965	1979	1997-01-31	VYDAJ	VYBER	15	21232	SLUZBY	\N	\N
581966	1979	1997-02-28	VYDAJ	VYBER	15	21814	SLUZBY	\N	\N
581967	1979	1997-03-31	VYDAJ	VYBER	15	19054	SLUZBY	\N	\N
581968	1979	1997-04-30	VYDAJ	VYBER	15	20128	SLUZBY	\N	\N
581969	1979	1997-05-31	VYDAJ	VYBER	15	19572	SLUZBY	\N	\N
581970	1979	1997-06-30	VYDAJ	VYBER	15	16351	SLUZBY	\N	\N
581971	1979	1997-07-31	VYDAJ	VYBER	15	14647	SLUZBY	\N	\N
581972	1979	1997-08-31	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
581973	1979	1997-09-30	VYDAJ	VYBER	15	16258	SLUZBY	\N	\N
581974	1979	1997-10-31	VYDAJ	VYBER	15	17319	SLUZBY	\N	\N
581975	1979	1997-11-30	VYDAJ	VYBER	15	18385	SLUZBY	\N	\N
581976	1979	1997-12-31	VYDAJ	VYBER	15	19004	SLUZBY	\N	\N
581977	1979	1998-01-31	VYDAJ	VYBER	15	16470	SLUZBY	\N	\N
581978	1979	1998-02-28	VYDAJ	VYBER	15	16630	SLUZBY	\N	\N
581979	1979	1998-03-31	VYDAJ	VYBER	15	16500	SLUZBY	\N	\N
581980	1979	1998-04-30	VYDAJ	VYBER	15	17562	SLUZBY	\N	\N
581981	1979	1998-05-31	VYDAJ	VYBER	15	17927	SLUZBY	\N	\N
581982	1979	1998-06-30	VYDAJ	VYBER	15	18994	SLUZBY	\N	\N
581983	1979	1998-07-31	VYDAJ	VYBER	15	20067	SLUZBY	\N	\N
581984	1979	1998-08-31	VYDAJ	VYBER	15	19820	SLUZBY	\N	\N
581985	1979	1998-09-30	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
581986	1979	1998-10-31	VYDAJ	VYBER	15	17960	SLUZBY	\N	\N
581987	1979	1998-11-30	VYDAJ	VYBER	15	19027	SLUZBY	\N	\N
581988	1979	1994-06-05	VYDAJ	VYBER	400	20368	\N	\N	\N
581989	1979	1994-09-03	VYDAJ	VYBER	900	19895	\N	\N	\N
581990	1979	1995-08-29	VYDAJ	VYBER	1300	24410	\N	\N	\N
581991	1979	1995-09-28	VYDAJ	VYBER	300	25207	\N	\N	\N
581992	1979	1995-10-28	VYDAJ	VYBER	3000	23304	\N	\N	\N
581993	1979	1995-12-27	VYDAJ	VYBER	1900	22245	\N	\N	\N
581994	1979	1996-04-25	VYDAJ	VYBER	900	21864	\N	\N	\N
581995	1979	1996-07-24	VYDAJ	VYBER	100	24632	\N	\N	\N
581996	1979	1996-08-23	VYDAJ	VYBER	100	25625	\N	\N	\N
581997	1979	1996-09-22	VYDAJ	VYBER	3600	23122	\N	\N	\N
581998	1979	1996-10-22	VYDAJ	VYBER	600	23469	\N	\N	\N
581999	1979	1996-12-21	VYDAJ	VYBER	1000	23931	\N	\N	\N
582000	1979	1997-02-19	VYDAJ	VYBER	500	21739	\N	\N	\N
582001	1979	1997-03-21	VYDAJ	VYBER	3000	19821	\N	\N	\N
582002	1979	1997-05-20	VYDAJ	VYBER	1300	19505	\N	\N	\N
582003	1979	1997-06-19	VYDAJ	VYBER	3900	16289	\N	\N	\N
582004	1979	1997-07-19	VYDAJ	VYBER	1500	14598	\N	\N	\N
582005	1979	1997-08-18	VYDAJ	VYBER	500	15154	\N	\N	\N
582006	1979	1998-01-15	VYDAJ	VYBER	1500	17581	\N	\N	\N
582007	1979	1998-02-14	VYDAJ	VYBER	900	16577	\N	\N	\N
582008	1979	1998-03-16	VYDAJ	VYBER	800	16837	\N	\N	\N
582009	1979	1998-05-15	VYDAJ	VYBER	700	17869	\N	\N	\N
582010	1979	1998-09-12	VYDAJ	VYBER	1100	19727	\N	\N	\N
582011	1979	1998-10-12	VYDAJ	VYBER	2900	17899	\N	\N	\N
582079	1980	1996-03-16	PRIJEM	VKLAD	700	700	\N	\N	\N
582083	1980	1996-04-05	PRIJEM	VKLAD	10319	11019	\N	\N	\N
582084	1980	1996-05-05	PRIJEM	VKLAD	10319	28278	\N	\N	\N
582085	1980	1996-06-05	PRIJEM	VKLAD	15479	40948	\N	\N	\N
582086	1980	1996-07-05	PRIJEM	VKLAD	10319	43090	\N	\N	\N
582087	1980	1996-08-05	PRIJEM	VKLAD	10319	43245	\N	\N	\N
582088	1980	1996-09-05	PRIJEM	VKLAD	10319	42307	\N	\N	\N
582089	1980	1996-10-05	PRIJEM	VKLAD	10319	38858	\N	\N	\N
582090	1980	1996-11-05	PRIJEM	VKLAD	10319	36998	\N	\N	\N
582091	1980	1996-12-05	PRIJEM	VKLAD	15479	39427	\N	\N	\N
582092	1980	1997-01-05	PRIJEM	VKLAD	10319	37927	\N	\N	\N
582093	1980	1997-02-05	PRIJEM	VKLAD	10319	27701	\N	\N	\N
582094	1980	1997-03-05	PRIJEM	VKLAD	10319	32733	\N	\N	\N
582095	1980	1997-04-05	PRIJEM	VKLAD	10319	35460	\N	\N	\N
582096	1980	1997-05-05	PRIJEM	VKLAD	10319	34989	\N	\N	\N
582097	1980	1997-06-05	PRIJEM	VKLAD	15479	38619	\N	\N	\N
582098	1980	1997-07-05	PRIJEM	VKLAD	10319	34728	\N	\N	\N
582099	1980	1997-08-05	PRIJEM	VKLAD	10319	33038	\N	\N	\N
582100	1980	1997-09-05	PRIJEM	VKLAD	10319	30551	\N	\N	\N
582101	1980	1997-10-05	PRIJEM	VKLAD	10319	30161	\N	\N	\N
582102	1980	1997-11-05	PRIJEM	VKLAD	10319	32779	\N	\N	\N
582103	1980	1997-12-05	PRIJEM	VKLAD	15479	40469	\N	\N	\N
582104	1980	1998-01-05	PRIJEM	VKLAD	10319	32659	\N	\N	\N
582105	1980	1998-02-05	PRIJEM	VKLAD	10319	27482	\N	\N	\N
582106	1980	1998-03-05	PRIJEM	VKLAD	10319	24141	\N	\N	\N
582107	1980	1998-04-05	PRIJEM	VKLAD	10319	28742	\N	\N	\N
582108	1980	1998-05-05	PRIJEM	VKLAD	10319	28892	\N	\N	\N
582109	1980	1998-06-05	PRIJEM	VKLAD	15479	35505	\N	\N	\N
582110	1980	1998-07-05	PRIJEM	VKLAD	10319	33503	\N	\N	\N
582111	1980	1998-08-05	PRIJEM	VKLAD	10319	39237	\N	\N	\N
582112	1980	1998-09-05	PRIJEM	VKLAD	10319	37070	\N	\N	\N
582113	1980	1998-10-05	PRIJEM	VKLAD	10319	41323	\N	\N	\N
582114	1980	1998-11-05	PRIJEM	VKLAD	10319	46128	\N	\N	\N
582115	1980	1998-12-05	PRIJEM	VKLAD	15479	53175	\N	\N	\N
582123	1980	1996-08-09	VYDAJ	PREVOD NA UCET	6879	36366	SIPO	KL	11773962
582124	1980	1996-09-09	VYDAJ	PREVOD NA UCET	6879	35428	SIPO	KL	11773962
582125	1980	1996-10-09	VYDAJ	PREVOD NA UCET	6879	31979	SIPO	KL	11773962
582126	1980	1996-11-09	VYDAJ	PREVOD NA UCET	6879	26159	SIPO	KL	11773962
582127	1980	1996-12-09	VYDAJ	PREVOD NA UCET	6879	28708	SIPO	KL	11773962
582128	1980	1997-01-09	VYDAJ	PREVOD NA UCET	6879	27368	SIPO	KL	11773962
582129	1980	1997-02-09	VYDAJ	PREVOD NA UCET	6879	22322	SIPO	KL	11773962
582130	1980	1997-03-09	VYDAJ	PREVOD NA UCET	6879	25854	SIPO	KL	11773962
582131	1980	1997-04-09	VYDAJ	PREVOD NA UCET	6879	28581	SIPO	KL	11773962
582132	1980	1997-05-09	VYDAJ	PREVOD NA UCET	6879	28110	SIPO	KL	11773962
582133	1980	1997-06-09	VYDAJ	PREVOD NA UCET	6879	31740	SIPO	KL	11773962
582134	1980	1997-07-09	VYDAJ	PREVOD NA UCET	6879	24069	SIPO	KL	11773962
582135	1980	1997-08-09	VYDAJ	PREVOD NA UCET	6879	20159	SIPO	KL	11773962
582136	1980	1997-09-09	VYDAJ	PREVOD NA UCET	6879	19772	SIPO	KL	11773962
582137	1980	1997-10-09	VYDAJ	PREVOD NA UCET	6879	22382	SIPO	KL	11773962
582138	1980	1997-11-09	VYDAJ	PREVOD NA UCET	6879	24900	SIPO	KL	11773962
582139	1980	1997-12-09	VYDAJ	PREVOD NA UCET	6879	26090	SIPO	KL	11773962
582140	1980	1998-01-09	VYDAJ	PREVOD NA UCET	6879	17980	SIPO	KL	11773962
582141	1980	1998-02-09	VYDAJ	PREVOD NA UCET	6879	20603	SIPO	KL	11773962
582142	1980	1998-03-09	VYDAJ	PREVOD NA UCET	6879	18362	SIPO	KL	11773962
582143	1980	1998-04-09	VYDAJ	PREVOD NA UCET	6879	20663	SIPO	KL	11773962
582144	1980	1998-05-09	VYDAJ	PREVOD NA UCET	6879	17153	SIPO	KL	11773962
582145	1980	1998-06-09	VYDAJ	PREVOD NA UCET	6879	28626	SIPO	KL	11773962
582146	1980	1998-07-09	VYDAJ	PREVOD NA UCET	6879	26624	SIPO	KL	11773962
582147	1980	1998-08-09	VYDAJ	PREVOD NA UCET	6879	32358	SIPO	KL	11773962
582148	1980	1998-09-09	VYDAJ	PREVOD NA UCET	6879	30191	SIPO	KL	11773962
582149	1980	1998-10-09	VYDAJ	PREVOD NA UCET	6879	34444	SIPO	KL	11773962
582150	1980	1998-11-09	VYDAJ	PREVOD NA UCET	6879	39249	SIPO	KL	11773962
582151	1980	1998-12-09	VYDAJ	PREVOD NA UCET	6879	43296	SIPO	KL	11773962
582154	1980	1998-06-17	VYDAJ	VYBER	11520	17106	\N	\N	\N
582156	1980	1997-01-05	VYDAJ	VYBER	3680	34247	\N	\N	\N
582164	1980	1997-01-17	VYDAJ	VYBER	960	25688	\N	\N	\N
582165	1980	1997-01-10	VYDAJ	VYBER	1440	29528	\N	\N	\N
582166	1980	1997-01-13	VYDAJ	VYBER	2880	26648	\N	\N	\N
582167	1980	1997-01-24	VYDAJ	VYBER	1920	23768	\N	\N	\N
582168	1980	1997-01-27	VYDAJ	VYBER	3240	20528	\N	\N	\N
582169	1980	1997-01-29	VYDAJ	VYBER	3240	17288	\N	\N	\N
582170	1980	1998-01-22	VYDAJ	VYBER	600	13900	\N	\N	\N
582171	1980	1998-01-17	VYDAJ	VYBER	2880	15100	\N	\N	\N
582173	1980	1998-01-09	VYDAJ	VYBER	3000	24859	\N	\N	\N
582174	1980	1998-01-02	VYDAJ	VYBER	720	22340	\N	\N	\N
582175	1980	1998-01-17	VYDAJ	VYBER	600	14500	\N	\N	\N
582176	1980	1996-11-08	VYDAJ	VYBER	3960	33038	\N	\N	\N
582178	1980	1996-12-07	VYDAJ	VYBER	3840	35587	\N	\N	\N
582179	1980	1997-07-03	VYDAJ	VYBER	1320	24409	\N	\N	\N
582180	1980	1997-07-25	VYDAJ	VYBER	1440	22629	\N	\N	\N
582181	1980	1997-07-08	VYDAJ	VYBER	4080	30648	\N	\N	\N
582182	1980	1997-12-19	VYDAJ	VYBER	3120	22970	\N	\N	\N
582183	1980	1997-05-18	VYDAJ	VYBER	5760	23050	\N	\N	\N
582184	1980	1998-12-07	VYDAJ	VYBER	3000	50175	\N	\N	\N
582185	1980	1998-05-11	VYDAJ	VYBER	3480	13673	\N	\N	\N
582186	1980	1998-05-09	VYDAJ	VYBER	4560	24032	\N	\N	\N
582187	1980	1998-10-21	VYDAJ	VYBER	3360	31084	\N	\N	\N
582188	1980	1998-08-21	VYDAJ	VYBER	4920	27438	\N	\N	\N
582189	1980	1998-02-11	VYDAJ	VYBER	2280	18323	\N	\N	\N
582190	1980	1998-04-16	VYDAJ	VYBER	2160	18503	\N	\N	\N
582191	1980	1998-02-21	VYDAJ	VYBER	4560	13763	\N	\N	\N
582200	1980	1996-08-31	VYDAJ	VYBER	15	31988	SLUZBY	\N	\N
582201	1980	1996-09-30	VYDAJ	VYBER	15	28539	SLUZBY	\N	\N
582202	1980	1996-10-31	VYDAJ	VYBER	15	26679	SLUZBY	\N	\N
582203	1980	1996-11-30	VYDAJ	VYBER	15	23949	SLUZBY	\N	\N
582204	1980	1996-12-31	VYDAJ	VYBER	15	27608	SLUZBY	\N	\N
582205	1980	1997-01-31	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
582206	1980	1997-02-28	VYDAJ	VYBER	15	22414	SLUZBY	\N	\N
582207	1980	1997-03-31	VYDAJ	VYBER	15	25141	SLUZBY	\N	\N
582208	1980	1997-04-30	VYDAJ	VYBER	15	24670	SLUZBY	\N	\N
582209	1980	1997-05-31	VYDAJ	VYBER	15	23140	SLUZBY	\N	\N
582210	1980	1997-06-30	VYDAJ	VYBER	15	25729	SLUZBY	\N	\N
582211	1980	1997-07-31	VYDAJ	VYBER	15	22719	SLUZBY	\N	\N
582212	1980	1997-08-31	VYDAJ	VYBER	15	20232	SLUZBY	\N	\N
582213	1980	1997-09-30	VYDAJ	VYBER	15	19842	SLUZBY	\N	\N
582214	1980	1997-10-31	VYDAJ	VYBER	15	22460	SLUZBY	\N	\N
582215	1980	1997-11-30	VYDAJ	VYBER	15	24990	SLUZBY	\N	\N
582216	1980	1997-12-31	VYDAJ	VYBER	15	23060	SLUZBY	\N	\N
582217	1980	1998-01-31	VYDAJ	VYBER	15	13963	SLUZBY	\N	\N
582218	1980	1998-02-28	VYDAJ	VYBER	15	13822	SLUZBY	\N	\N
582219	1980	1998-03-31	VYDAJ	VYBER	15	18423	SLUZBY	\N	\N
582220	1980	1998-04-30	VYDAJ	VYBER	15	18573	SLUZBY	\N	\N
582221	1980	1998-05-31	VYDAJ	VYBER	15	13727	SLUZBY	\N	\N
582222	1980	1998-06-30	VYDAJ	VYBER	15	17184	SLUZBY	\N	\N
582223	1980	1998-07-31	VYDAJ	VYBER	15	26718	SLUZBY	\N	\N
582224	1980	1998-08-31	VYDAJ	VYBER	15	27551	SLUZBY	\N	\N
582225	1980	1998-09-30	VYDAJ	VYBER	15	30304	SLUZBY	\N	\N
582226	1980	1998-10-31	VYDAJ	VYBER	15	31209	SLUZBY	\N	\N
582227	1980	1998-11-30	VYDAJ	VYBER	15	39396	SLUZBY	\N	\N
582228	1980	1996-04-15	PRIJEM	VKLAD	6900	17919	\N	\N	\N
582229	1980	1996-05-15	VYDAJ	VYBER	2900	25378	\N	\N	\N
582230	1980	1996-06-14	VYDAJ	VYBER	8300	32648	\N	\N	\N
582231	1980	1996-07-14	VYDAJ	VYBER	10300	32790	\N	\N	\N
582232	1980	1996-08-13	VYDAJ	VYBER	4500	31866	\N	\N	\N
582233	1980	1996-09-12	VYDAJ	VYBER	7000	28428	\N	\N	\N
582234	1980	1996-10-12	VYDAJ	VYBER	5400	26579	\N	\N	\N
582235	1980	1996-11-11	VYDAJ	VYBER	2300	23859	\N	\N	\N
582236	1980	1996-12-11	VYDAJ	VYBER	1200	27508	\N	\N	\N
582237	1980	1997-01-10	PRIJEM	VKLAD	3600	30968	\N	\N	\N
582238	1980	1997-02-09	PRIJEM	VKLAD	1500	29201	\N	\N	\N
582239	1980	1997-03-11	VYDAJ	VYBER	800	25054	\N	\N	\N
582240	1980	1997-04-10	VYDAJ	VYBER	4000	24581	\N	\N	\N
582241	1980	1997-05-10	PRIJEM	VKLAD	700	28810	\N	\N	\N
582242	1980	1997-06-09	VYDAJ	VYBER	6100	25640	\N	\N	\N
582243	1980	1997-07-09	PRIJEM	VKLAD	300	30948	\N	\N	\N
582244	1980	1997-08-08	VYDAJ	VYBER	6000	27038	\N	\N	\N
582245	1980	1997-09-07	VYDAJ	VYBER	3900	26651	\N	\N	\N
582246	1980	1997-10-07	VYDAJ	VYBER	900	29261	\N	\N	\N
582247	1980	1997-11-06	VYDAJ	VYBER	1000	31779	\N	\N	\N
582248	1980	1997-12-06	VYDAJ	VYBER	7500	32969	\N	\N	\N
582249	1980	1998-01-05	VYDAJ	VYBER	4800	27859	\N	\N	\N
582250	1980	1998-02-04	PRIJEM	VKLAD	3200	17163	\N	\N	\N
582251	1980	1998-03-06	PRIJEM	VKLAD	1100	25241	\N	\N	\N
582252	1980	1998-04-05	VYDAJ	VYBER	1200	27542	\N	\N	\N
582253	1980	1998-05-05	VYDAJ	VYBER	300	28592	\N	\N	\N
582254	1980	1998-06-04	PRIJEM	VKLAD	6300	20027	\N	\N	\N
582255	1980	1998-07-04	PRIJEM	VKLAD	6000	23184	\N	\N	\N
582256	1980	1998-08-03	PRIJEM	VKLAD	2200	28918	\N	\N	\N
582257	1980	1998-09-02	VYDAJ	VYBER	800	26751	\N	\N	\N
582258	1980	1998-10-02	PRIJEM	VKLAD	700	31004	\N	\N	\N
582259	1980	1998-11-01	PRIJEM	VKLAD	4600	35809	\N	\N	\N
582260	1980	1998-12-01	VYDAJ	VYBER	1700	37696	\N	\N	\N
582294	1981	1993-10-08	PRIJEM	VKLAD	900	900	\N	\N	\N
582305	1981	1993-11-07	PRIJEM	PREVOD Z UCTU	3277	4177	\N	AB	17274576
582306	1981	1993-12-07	PRIJEM	PREVOD Z UCTU	3277	7454	\N	AB	17274576
582307	1981	1994-01-07	PRIJEM	PREVOD Z UCTU	3277	10731	\N	AB	17274576
582308	1981	1994-02-07	PRIJEM	PREVOD Z UCTU	3277	14008	\N	AB	17274576
582309	1981	1994-03-07	PRIJEM	PREVOD Z UCTU	3277	17285	\N	AB	17274576
582310	1981	1994-04-07	PRIJEM	PREVOD Z UCTU	3277	16483	\N	AB	17274576
582311	1981	1994-05-07	PRIJEM	PREVOD Z UCTU	3277	17265	\N	AB	17274576
582312	1981	1994-06-07	PRIJEM	PREVOD Z UCTU	3277	18410	\N	AB	17274576
582313	1981	1994-07-07	PRIJEM	PREVOD Z UCTU	3277	19561	\N	AB	17274576
582314	1981	1994-08-07	PRIJEM	PREVOD Z UCTU	3277	20716	\N	AB	17274576
582315	1981	1994-09-07	PRIJEM	PREVOD Z UCTU	3277	21876	\N	AB	17274576
582316	1981	1994-10-07	PRIJEM	PREVOD Z UCTU	3277	23041	\N	AB	17274576
582317	1981	1994-11-07	PRIJEM	PREVOD Z UCTU	3277	24210	\N	AB	17274576
582318	1981	1994-12-07	PRIJEM	PREVOD Z UCTU	3277	25385	\N	AB	17274576
582319	1981	1995-01-07	PRIJEM	PREVOD Z UCTU	3277	24184	\N	AB	17274576
582320	1981	1995-02-07	PRIJEM	PREVOD Z UCTU	3277	23015	\N	AB	17274576
582321	1981	1995-03-07	PRIJEM	PREVOD Z UCTU	3277	22863	\N	AB	17274576
582322	1981	1995-04-07	PRIJEM	PREVOD Z UCTU	3277	24032	\N	AB	17274576
582323	1981	1995-05-07	PRIJEM	PREVOD Z UCTU	3277	24216	\N	AB	17274576
582324	1981	1995-06-07	PRIJEM	PREVOD Z UCTU	3277	25390	\N	AB	17274576
582325	1981	1995-07-07	PRIJEM	PREVOD Z UCTU	3277	21426	\N	AB	17274576
582326	1981	1995-08-07	PRIJEM	PREVOD Z UCTU	3277	22589	\N	AB	17274576
582327	1981	1995-09-07	PRIJEM	PREVOD Z UCTU	3277	23757	\N	AB	17274576
582328	1981	1995-10-07	PRIJEM	PREVOD Z UCTU	3277	24929	\N	AB	17274576
582329	1981	1995-11-07	PRIJEM	PREVOD Z UCTU	3277	26106	\N	AB	17274576
582330	1981	1995-12-07	PRIJEM	PREVOD Z UCTU	3277	27289	\N	AB	17274576
582331	1981	1996-01-07	PRIJEM	PREVOD Z UCTU	3277	28476	\N	AB	17274576
582332	1981	1996-02-07	PRIJEM	PREVOD Z UCTU	3277	23267	\N	AB	17274576
582333	1981	1996-03-07	PRIJEM	PREVOD Z UCTU	3277	24437	\N	AB	17274576
582334	1981	1996-04-07	PRIJEM	PREVOD Z UCTU	3277	25612	\N	AB	17274576
582335	1981	1996-05-07	PRIJEM	PREVOD Z UCTU	3277	26792	\N	AB	17274576
582336	1981	1996-06-07	PRIJEM	PREVOD Z UCTU	3277	26766	\N	AB	17274576
582337	1981	1996-07-07	PRIJEM	PREVOD Z UCTU	3277	18120	\N	AB	17274576
582338	1981	1996-08-07	PRIJEM	PREVOD Z UCTU	3277	19268	\N	AB	17274576
582339	1981	1996-09-07	PRIJEM	PREVOD Z UCTU	3277	20062	\N	AB	17274576
582340	1981	1996-10-07	PRIJEM	PREVOD Z UCTU	3277	21218	\N	AB	17274576
582341	1981	1996-11-07	PRIJEM	PREVOD Z UCTU	3277	21330	\N	AB	17274576
582342	1981	1996-12-07	PRIJEM	PREVOD Z UCTU	3277	22492	\N	AB	17274576
582343	1981	1997-01-07	PRIJEM	PREVOD Z UCTU	3277	23659	\N	AB	17274576
582344	1981	1997-02-07	PRIJEM	PREVOD Z UCTU	3277	19840	\N	AB	17274576
582345	1981	1997-03-07	PRIJEM	PREVOD Z UCTU	3277	20996	\N	AB	17274576
582346	1981	1997-04-07	PRIJEM	PREVOD Z UCTU	3277	22156	\N	AB	17274576
582347	1981	1997-05-07	PRIJEM	PREVOD Z UCTU	3277	23321	\N	AB	17274576
582348	1981	1997-06-07	PRIJEM	PREVOD Z UCTU	3277	23709	\N	AB	17274576
582349	1981	1997-07-07	PRIJEM	PREVOD Z UCTU	3277	24880	\N	AB	17274576
582350	1981	1997-08-07	PRIJEM	PREVOD Z UCTU	3277	26056	\N	AB	17274576
582351	1981	1997-09-07	PRIJEM	PREVOD Z UCTU	3277	26877	\N	AB	17274576
582352	1981	1997-10-07	PRIJEM	PREVOD Z UCTU	3277	28061	\N	AB	17274576
582353	1981	1997-11-07	PRIJEM	PREVOD Z UCTU	3277	29250	\N	AB	17274576
582354	1981	1997-12-07	PRIJEM	PREVOD Z UCTU	3277	29935	\N	AB	17274576
582355	1981	1998-01-07	PRIJEM	PREVOD Z UCTU	3277	28580	\N	AB	17274576
582356	1981	1998-02-07	PRIJEM	PREVOD Z UCTU	3277	24788	\N	AB	17274576
582357	1981	1998-03-07	PRIJEM	PREVOD Z UCTU	3277	25573	\N	AB	17274576
582358	1981	1998-04-07	PRIJEM	PREVOD Z UCTU	3277	25519	\N	AB	17274576
582359	1981	1998-05-07	PRIJEM	PREVOD Z UCTU	3277	26697	\N	AB	17274576
582360	1981	1998-06-07	PRIJEM	PREVOD Z UCTU	3277	27881	\N	AB	17274576
582361	1981	1998-07-07	PRIJEM	PREVOD Z UCTU	3277	27266	\N	AB	17274576
582362	1981	1998-08-07	PRIJEM	PREVOD Z UCTU	3277	28452	\N	AB	17274576
582363	1981	1998-09-07	PRIJEM	PREVOD Z UCTU	3277	29642	\N	AB	17274576
582364	1981	1998-10-07	PRIJEM	PREVOD Z UCTU	3277	30837	\N	AB	17274576
582365	1981	1998-11-07	PRIJEM	PREVOD Z UCTU	3277	31827	\N	AB	17274576
582366	1981	1998-12-07	PRIJEM	PREVOD Z UCTU	3277	33031	\N	AB	17274576
582382	1981	1994-04-05	VYDAJ	PREVOD NA UCET	1087	13206	\N	OP	11741298
582383	1981	1994-05-05	VYDAJ	PREVOD NA UCET	1087	13988	\N	OP	11741298
582384	1981	1994-06-05	VYDAJ	PREVOD NA UCET	1087	15133	\N	OP	11741298
582385	1981	1994-07-05	VYDAJ	PREVOD NA UCET	1087	16284	\N	OP	11741298
582386	1981	1994-08-05	VYDAJ	PREVOD NA UCET	1087	17439	\N	OP	11741298
582387	1981	1994-09-05	VYDAJ	PREVOD NA UCET	1087	18599	\N	OP	11741298
582388	1981	1994-10-05	VYDAJ	PREVOD NA UCET	1087	19764	\N	OP	11741298
582389	1981	1994-11-05	VYDAJ	PREVOD NA UCET	1087	20933	\N	OP	11741298
582390	1981	1994-12-05	VYDAJ	PREVOD NA UCET	1087	22108	\N	OP	11741298
582391	1981	1995-01-05	VYDAJ	PREVOD NA UCET	1087	21747	\N	OP	11741298
582392	1981	1995-02-05	VYDAJ	PREVOD NA UCET	1087	19738	\N	OP	11741298
582393	1981	1995-03-05	VYDAJ	PREVOD NA UCET	1087	19586	\N	OP	11741298
582394	1981	1995-04-05	VYDAJ	PREVOD NA UCET	1087	20755	\N	OP	11741298
582395	1981	1995-05-05	VYDAJ	PREVOD NA UCET	1087	20939	\N	OP	11741298
582396	1981	1995-06-05	VYDAJ	PREVOD NA UCET	1087	22113	\N	OP	11741298
582397	1981	1995-07-05	VYDAJ	PREVOD NA UCET	1087	18149	\N	OP	11741298
582398	1981	1995-08-05	VYDAJ	PREVOD NA UCET	1087	19312	\N	OP	11741298
582399	1981	1995-09-05	VYDAJ	PREVOD NA UCET	1087	20480	\N	OP	11741298
582400	1981	1995-10-05	VYDAJ	PREVOD NA UCET	1087	21652	\N	OP	11741298
582401	1981	1995-11-05	VYDAJ	PREVOD NA UCET	1087	22829	\N	OP	11741298
582402	1981	1995-12-05	VYDAJ	PREVOD NA UCET	1087	24012	\N	OP	11741298
582403	1981	1996-01-05	VYDAJ	PREVOD NA UCET	1087	25199	\N	OP	11741298
582404	1981	1996-02-05	VYDAJ	PREVOD NA UCET	1087	19990	\N	OP	11741298
582405	1981	1996-03-05	VYDAJ	PREVOD NA UCET	1087	21160	\N	OP	11741298
582406	1981	1996-04-05	VYDAJ	PREVOD NA UCET	1087	22335	\N	OP	11741298
582407	1981	1996-05-05	VYDAJ	PREVOD NA UCET	1087	23515	\N	OP	11741298
582408	1981	1996-06-05	VYDAJ	PREVOD NA UCET	1087	23489	\N	OP	11741298
582409	1981	1996-07-05	VYDAJ	PREVOD NA UCET	1087	14843	\N	OP	11741298
582410	1981	1996-08-05	VYDAJ	PREVOD NA UCET	1087	15991	\N	OP	11741298
582411	1981	1996-09-05	VYDAJ	PREVOD NA UCET	1087	16785	\N	OP	11741298
582412	1981	1996-10-05	VYDAJ	PREVOD NA UCET	1087	17941	\N	OP	11741298
582413	1981	1996-11-05	VYDAJ	PREVOD NA UCET	1087	18053	\N	OP	11741298
582414	1981	1996-12-05	VYDAJ	PREVOD NA UCET	1087	19215	\N	OP	11741298
582415	1981	1997-01-05	VYDAJ	PREVOD NA UCET	1087	20382	\N	OP	11741298
582416	1981	1997-02-05	VYDAJ	PREVOD NA UCET	1087	16563	\N	OP	11741298
582417	1981	1997-03-05	VYDAJ	PREVOD NA UCET	1087	17719	\N	OP	11741298
582418	1981	1997-04-05	VYDAJ	PREVOD NA UCET	1087	18879	\N	OP	11741298
582419	1981	1997-05-05	VYDAJ	PREVOD NA UCET	1087	20044	\N	OP	11741298
582420	1981	1997-06-05	VYDAJ	PREVOD NA UCET	1087	20432	\N	OP	11741298
582421	1981	1997-07-05	VYDAJ	PREVOD NA UCET	1087	21603	\N	OP	11741298
582422	1981	1997-08-05	VYDAJ	PREVOD NA UCET	1087	22779	\N	OP	11741298
582423	1981	1997-09-05	VYDAJ	PREVOD NA UCET	1087	23600	\N	OP	11741298
582424	1981	1997-10-05	VYDAJ	PREVOD NA UCET	1087	24784	\N	OP	11741298
582425	1981	1997-11-05	VYDAJ	PREVOD NA UCET	1087	25973	\N	OP	11741298
582426	1981	1997-12-05	VYDAJ	PREVOD NA UCET	1087	26658	\N	OP	11741298
582427	1981	1998-01-05	VYDAJ	PREVOD NA UCET	1087	25303	\N	OP	11741298
582428	1981	1998-02-05	VYDAJ	PREVOD NA UCET	1087	21511	\N	OP	11741298
582429	1981	1998-03-05	VYDAJ	PREVOD NA UCET	1087	22296	\N	OP	11741298
582430	1981	1998-04-05	VYDAJ	PREVOD NA UCET	1087	22242	\N	OP	11741298
582431	1981	1998-05-05	VYDAJ	PREVOD NA UCET	1087	23420	\N	OP	11741298
582432	1981	1998-06-05	VYDAJ	PREVOD NA UCET	1087	24604	\N	OP	11741298
582433	1981	1998-07-05	VYDAJ	PREVOD NA UCET	1087	23989	\N	OP	11741298
582434	1981	1998-08-05	VYDAJ	PREVOD NA UCET	1087	25175	\N	OP	11741298
582435	1981	1998-09-05	VYDAJ	PREVOD NA UCET	1087	26365	\N	OP	11741298
582436	1981	1998-10-05	VYDAJ	PREVOD NA UCET	1087	27560	\N	OP	11741298
582437	1981	1998-11-05	VYDAJ	PREVOD NA UCET	1087	28550	\N	OP	11741298
582438	1981	1998-12-05	VYDAJ	PREVOD NA UCET	1087	29754	\N	OP	11741298
582453	1981	1994-03-12	VYDAJ	PREVOD NA UCET	1097	16188	\N	GH	1563025
582454	1981	1994-04-12	VYDAJ	PREVOD NA UCET	1097	15386	\N	GH	1563025
582455	1981	1994-05-12	VYDAJ	PREVOD NA UCET	1097	16168	\N	GH	1563025
582456	1981	1994-06-12	VYDAJ	PREVOD NA UCET	1097	17313	\N	GH	1563025
582457	1981	1994-07-12	VYDAJ	PREVOD NA UCET	1097	18464	\N	GH	1563025
582458	1981	1994-08-12	VYDAJ	PREVOD NA UCET	1097	19619	\N	GH	1563025
582459	1981	1994-09-12	VYDAJ	PREVOD NA UCET	1097	20779	\N	GH	1563025
582460	1981	1994-10-12	VYDAJ	PREVOD NA UCET	1097	21944	\N	GH	1563025
582461	1981	1994-11-12	VYDAJ	PREVOD NA UCET	1097	23113	\N	GH	1563025
582462	1981	1994-12-12	VYDAJ	PREVOD NA UCET	1097	24288	\N	GH	1563025
582463	1981	1995-01-12	VYDAJ	PREVOD NA UCET	1097	23087	\N	GH	1563025
582464	1981	1995-02-12	VYDAJ	PREVOD NA UCET	1097	21918	\N	GH	1563025
582465	1981	1995-03-12	VYDAJ	PREVOD NA UCET	1097	21766	\N	GH	1563025
582466	1981	1995-04-12	VYDAJ	PREVOD NA UCET	1097	22935	\N	GH	1563025
582467	1981	1995-05-12	VYDAJ	PREVOD NA UCET	1097	23119	\N	GH	1563025
582468	1981	1995-06-12	VYDAJ	PREVOD NA UCET	1097	19163	\N	GH	1563025
582469	1981	1995-07-12	VYDAJ	PREVOD NA UCET	1097	20329	\N	GH	1563025
582470	1981	1995-08-12	VYDAJ	PREVOD NA UCET	1097	21492	\N	GH	1563025
582471	1981	1995-09-12	VYDAJ	PREVOD NA UCET	1097	22660	\N	GH	1563025
582472	1981	1995-10-12	VYDAJ	PREVOD NA UCET	1097	23832	\N	GH	1563025
582473	1981	1995-11-12	VYDAJ	PREVOD NA UCET	1097	25009	\N	GH	1563025
582474	1981	1995-12-12	VYDAJ	PREVOD NA UCET	1097	26192	\N	GH	1563025
582475	1981	1996-01-12	VYDAJ	PREVOD NA UCET	1097	27109	\N	GH	1563025
582476	1981	1996-02-12	VYDAJ	PREVOD NA UCET	1097	22170	\N	GH	1563025
582477	1981	1996-03-12	VYDAJ	PREVOD NA UCET	1097	23340	\N	GH	1563025
582478	1981	1996-04-12	VYDAJ	PREVOD NA UCET	1097	24515	\N	GH	1563025
582479	1981	1996-05-12	VYDAJ	PREVOD NA UCET	1097	25695	\N	GH	1563025
582480	1981	1996-06-12	VYDAJ	PREVOD NA UCET	1097	24829	\N	GH	1563025
582481	1981	1996-07-12	VYDAJ	PREVOD NA UCET	1097	17023	\N	GH	1563025
582482	1981	1996-08-12	VYDAJ	PREVOD NA UCET	1097	18171	\N	GH	1563025
582483	1981	1996-09-12	VYDAJ	PREVOD NA UCET	1097	18965	\N	GH	1563025
582484	1981	1996-10-12	VYDAJ	PREVOD NA UCET	1097	20121	\N	GH	1563025
582485	1981	1996-11-12	VYDAJ	PREVOD NA UCET	1097	20233	\N	GH	1563025
582486	1981	1996-12-12	VYDAJ	PREVOD NA UCET	1097	21395	\N	GH	1563025
582487	1981	1997-01-12	VYDAJ	PREVOD NA UCET	1097	22562	\N	GH	1563025
582488	1981	1997-02-12	VYDAJ	PREVOD NA UCET	1097	18743	\N	GH	1563025
582489	1981	1997-03-12	VYDAJ	PREVOD NA UCET	1097	19899	\N	GH	1563025
582490	1981	1997-04-12	VYDAJ	PREVOD NA UCET	1097	21059	\N	GH	1563025
582491	1981	1997-05-12	VYDAJ	PREVOD NA UCET	1097	21444	\N	GH	1563025
582492	1981	1997-06-12	VYDAJ	PREVOD NA UCET	1097	22612	\N	GH	1563025
582493	1981	1997-07-12	VYDAJ	PREVOD NA UCET	1097	23783	\N	GH	1563025
582494	1981	1997-08-12	VYDAJ	PREVOD NA UCET	1097	24959	\N	GH	1563025
582495	1981	1997-09-12	VYDAJ	PREVOD NA UCET	1097	25780	\N	GH	1563025
582496	1981	1997-10-12	VYDAJ	PREVOD NA UCET	1097	26964	\N	GH	1563025
582497	1981	1997-11-12	VYDAJ	PREVOD NA UCET	1097	28153	\N	GH	1563025
582498	1981	1997-12-12	VYDAJ	PREVOD NA UCET	1097	28838	\N	GH	1563025
582499	1981	1998-01-12	VYDAJ	PREVOD NA UCET	1097	27483	\N	GH	1563025
582500	1981	1998-02-12	VYDAJ	PREVOD NA UCET	1097	23301	\N	GH	1563025
582501	1981	1998-03-12	VYDAJ	PREVOD NA UCET	1097	24476	\N	GH	1563025
582502	1981	1998-04-12	VYDAJ	PREVOD NA UCET	1097	24422	\N	GH	1563025
582503	1981	1998-05-12	VYDAJ	PREVOD NA UCET	1097	25600	\N	GH	1563025
582504	1981	1998-06-12	VYDAJ	PREVOD NA UCET	1097	26784	\N	GH	1563025
582505	1981	1998-07-12	VYDAJ	PREVOD NA UCET	1097	26169	\N	GH	1563025
582506	1981	1998-08-12	VYDAJ	PREVOD NA UCET	1097	27355	\N	GH	1563025
582507	1981	1998-09-12	VYDAJ	PREVOD NA UCET	1097	28545	\N	GH	1563025
582508	1981	1998-10-12	VYDAJ	PREVOD NA UCET	1097	29740	\N	GH	1563025
582509	1981	1998-11-12	VYDAJ	PREVOD NA UCET	1097	30730	\N	GH	1563025
582510	1981	1998-12-12	VYDAJ	PREVOD NA UCET	1097	31034	\N	GH	1563025
582513	1981	1995-06-12	VYDAJ	VYBER	5130	20260	\N	\N	\N
582514	1981	1996-06-16	VYDAJ	VYBER	8970	15859	\N	\N	\N
582516	1981	1998-06-22	VYDAJ	VYBER	1800	24984	\N	\N	\N
582519	1981	1995-01-05	VYDAJ	VYBER	1440	22834	\N	\N	\N
582520	1981	1996-01-12	VYDAJ	VYBER	2970	23749	\N	\N	\N
582521	1981	1997-01-15	VYDAJ	VYBER	2340	19142	\N	\N	\N
582522	1981	1998-01-22	VYDAJ	VYBER	1140	26073	\N	\N	\N
582535	1981	1995-01-06	VYDAJ	VYBER	840	20907	\N	\N	\N
582536	1981	1995-01-15	VYDAJ	VYBER	270	22817	\N	\N	\N
582537	1981	1995-01-18	VYDAJ	VYBER	540	21407	\N	\N	\N
582538	1981	1995-01-16	VYDAJ	VYBER	870	21947	\N	\N	\N
582539	1981	1995-01-23	VYDAJ	VYBER	360	20747	\N	\N	\N
582540	1981	1995-01-19	VYDAJ	VYBER	300	21107	\N	\N	\N
582541	1981	1996-01-19	VYDAJ	VYBER	690	22579	\N	\N	\N
582542	1981	1996-01-12	VYDAJ	VYBER	390	26719	\N	\N	\N
582543	1981	1996-01-18	VYDAJ	VYBER	480	23269	\N	\N	\N
582544	1981	1996-01-30	VYDAJ	VYBER	270	20989	\N	\N	\N
582545	1981	1996-01-28	VYDAJ	VYBER	510	21259	\N	\N	\N
582546	1981	1996-01-22	VYDAJ	VYBER	810	21769	\N	\N	\N
582547	1981	1997-01-15	VYDAJ	VYBER	660	21482	\N	\N	\N
582548	1981	1997-01-19	VYDAJ	VYBER	240	18902	\N	\N	\N
582549	1981	1997-01-15	VYDAJ	VYBER	420	22142	\N	\N	\N
582550	1981	1997-01-19	VYDAJ	VYBER	270	18632	\N	\N	\N
582551	1981	1997-01-24	VYDAJ	VYBER	450	17582	\N	\N	\N
582552	1981	1997-01-22	VYDAJ	VYBER	600	18032	\N	\N	\N
582553	1981	1998-01-04	VYDAJ	VYBER	330	27080	\N	\N	\N
582554	1981	1998-01-17	VYDAJ	VYBER	270	27213	\N	\N	\N
582555	1981	1998-01-28	VYDAJ	VYBER	570	25503	\N	\N	\N
582556	1981	1998-01-05	VYDAJ	VYBER	690	26390	\N	\N	\N
582557	1981	1998-01-30	VYDAJ	VYBER	780	22503	\N	\N	\N
582558	1981	1998-01-29	VYDAJ	VYBER	780	24723	\N	\N	\N
582562	1981	1994-03-16	VYDAJ	VYBER	630	14268	\N	\N	\N
582563	1981	1994-04-19	VYDAJ	VYBER	360	15026	\N	\N	\N
582564	1981	1994-03-16	VYDAJ	VYBER	1290	14898	\N	\N	\N
582565	1981	1995-02-20	VYDAJ	VYBER	1320	20598	\N	\N	\N
582566	1981	1995-05-01	VYDAJ	VYBER	990	22026	\N	\N	\N
582567	1981	1996-06-11	VYDAJ	VYBER	840	25926	\N	\N	\N
582568	1981	1996-01-08	VYDAJ	VYBER	270	28206	\N	\N	\N
582569	1981	1996-11-01	VYDAJ	VYBER	1050	19140	\N	\N	\N
582570	1981	1996-08-31	VYDAJ	VYBER	360	17886	\N	\N	\N
582571	1981	1996-05-24	VYDAJ	VYBER	810	24885	\N	\N	\N
582572	1981	1997-05-07	VYDAJ	VYBER	780	22541	\N	\N	\N
582573	1981	1997-11-30	VYDAJ	VYBER	510	27759	\N	\N	\N
582574	1981	1997-12-27	VYDAJ	VYBER	630	27308	\N	\N	\N
582575	1981	1997-12-24	VYDAJ	VYBER	900	27938	\N	\N	\N
582576	1981	1997-08-13	VYDAJ	VYBER	360	24599	\N	\N	\N
582577	1981	1998-02-09	VYDAJ	VYBER	390	24398	\N	\N	\N
582578	1981	1998-10-28	VYDAJ	VYBER	210	29530	\N	\N	\N
582579	1981	1998-12-07	VYDAJ	VYBER	900	32131	\N	\N	\N
582580	1981	1998-01-29	VYDAJ	VYBER	1440	23283	\N	\N	\N
582581	1981	1998-03-19	VYDAJ	VYBER	1230	23246	\N	\N	\N
582597	1981	1994-03-31	VYDAJ	VYBER	15	14293	SLUZBY	\N	\N
582598	1981	1994-04-30	VYDAJ	VYBER	15	15075	SLUZBY	\N	\N
582599	1981	1994-05-31	VYDAJ	VYBER	15	16220	SLUZBY	\N	\N
582600	1981	1994-06-30	VYDAJ	VYBER	15	17371	SLUZBY	\N	\N
582601	1981	1994-07-31	VYDAJ	VYBER	15	18526	SLUZBY	\N	\N
582602	1981	1994-08-31	VYDAJ	VYBER	15	19686	SLUZBY	\N	\N
582603	1981	1994-09-30	VYDAJ	VYBER	15	20851	SLUZBY	\N	\N
582604	1981	1994-10-31	VYDAJ	VYBER	15	22020	SLUZBY	\N	\N
582605	1981	1994-11-30	VYDAJ	VYBER	15	23195	SLUZBY	\N	\N
582606	1981	1994-12-31	VYDAJ	VYBER	15	24374	SLUZBY	\N	\N
582607	1981	1995-01-31	VYDAJ	VYBER	15	20825	SLUZBY	\N	\N
582608	1981	1995-02-28	VYDAJ	VYBER	15	20673	SLUZBY	\N	\N
582609	1981	1995-03-31	VYDAJ	VYBER	15	21842	SLUZBY	\N	\N
582610	1981	1995-04-30	VYDAJ	VYBER	15	23016	SLUZBY	\N	\N
582611	1981	1995-05-31	VYDAJ	VYBER	15	23200	SLUZBY	\N	\N
582612	1981	1995-06-30	VYDAJ	VYBER	15	19236	SLUZBY	\N	\N
582613	1981	1995-07-31	VYDAJ	VYBER	15	20399	SLUZBY	\N	\N
582614	1981	1995-08-31	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
582615	1981	1995-09-30	VYDAJ	VYBER	15	22739	SLUZBY	\N	\N
582616	1981	1995-10-31	VYDAJ	VYBER	15	23916	SLUZBY	\N	\N
582617	1981	1995-11-30	VYDAJ	VYBER	15	25099	SLUZBY	\N	\N
582618	1981	1995-12-31	VYDAJ	VYBER	15	26286	SLUZBY	\N	\N
582619	1981	1996-01-31	VYDAJ	VYBER	15	21077	SLUZBY	\N	\N
582620	1981	1996-02-29	VYDAJ	VYBER	15	22247	SLUZBY	\N	\N
582621	1981	1996-03-31	VYDAJ	VYBER	15	23422	SLUZBY	\N	\N
582622	1981	1996-04-30	VYDAJ	VYBER	15	24602	SLUZBY	\N	\N
582623	1981	1996-05-31	VYDAJ	VYBER	15	24576	SLUZBY	\N	\N
582624	1981	1996-06-30	VYDAJ	VYBER	15	15930	SLUZBY	\N	\N
582625	1981	1996-07-31	VYDAJ	VYBER	15	17078	SLUZBY	\N	\N
582626	1981	1996-08-31	VYDAJ	VYBER	15	17872	SLUZBY	\N	\N
582627	1981	1996-09-30	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
582628	1981	1996-10-31	VYDAJ	VYBER	15	20190	SLUZBY	\N	\N
582629	1981	1996-11-30	VYDAJ	VYBER	15	20302	SLUZBY	\N	\N
582630	1981	1996-12-31	VYDAJ	VYBER	15	21469	SLUZBY	\N	\N
582631	1981	1997-01-31	VYDAJ	VYBER	15	17650	SLUZBY	\N	\N
582632	1981	1997-02-28	VYDAJ	VYBER	15	18806	SLUZBY	\N	\N
582633	1981	1997-03-31	VYDAJ	VYBER	15	19966	SLUZBY	\N	\N
582634	1981	1997-04-30	VYDAJ	VYBER	15	21131	SLUZBY	\N	\N
582635	1981	1997-05-31	VYDAJ	VYBER	15	21519	SLUZBY	\N	\N
582636	1981	1997-06-30	VYDAJ	VYBER	15	22690	SLUZBY	\N	\N
582637	1981	1997-07-31	VYDAJ	VYBER	15	23866	SLUZBY	\N	\N
582638	1981	1997-08-31	VYDAJ	VYBER	15	24687	SLUZBY	\N	\N
582639	1981	1997-09-30	VYDAJ	VYBER	15	25871	SLUZBY	\N	\N
582640	1981	1997-10-31	VYDAJ	VYBER	15	27060	SLUZBY	\N	\N
582641	1981	1997-11-30	VYDAJ	VYBER	15	27745	SLUZBY	\N	\N
582642	1981	1997-12-31	VYDAJ	VYBER	15	27410	SLUZBY	\N	\N
582643	1981	1998-01-31	VYDAJ	VYBER	15	22598	SLUZBY	\N	\N
582644	1981	1998-02-28	VYDAJ	VYBER	15	23383	SLUZBY	\N	\N
582645	1981	1998-03-31	VYDAJ	VYBER	15	23329	SLUZBY	\N	\N
582646	1981	1998-04-30	VYDAJ	VYBER	15	24507	SLUZBY	\N	\N
582647	1981	1998-05-31	VYDAJ	VYBER	15	25691	SLUZBY	\N	\N
582648	1981	1998-06-30	VYDAJ	VYBER	15	25076	SLUZBY	\N	\N
582649	1981	1998-07-31	VYDAJ	VYBER	15	26262	SLUZBY	\N	\N
582650	1981	1998-08-31	VYDAJ	VYBER	15	27452	SLUZBY	\N	\N
582651	1981	1998-09-30	VYDAJ	VYBER	15	28647	SLUZBY	\N	\N
582652	1981	1998-10-31	VYDAJ	VYBER	15	29637	SLUZBY	\N	\N
582653	1981	1998-11-30	VYDAJ	VYBER	15	30841	SLUZBY	\N	\N
582654	1981	1995-01-01	VYDAJ	VYBER	100	24274	\N	\N	\N
582655	1981	1996-05-25	VYDAJ	VYBER	400	24485	\N	\N	\N
582714	1982	1997-05-08	PRIJEM	VKLAD	500	500	\N	\N	\N
582720	1982	1997-06-07	PRIJEM	VKLAD	22181	22681	\N	\N	\N
582721	1982	1997-07-07	PRIJEM	VKLAD	14787	42058	\N	\N	\N
582722	1982	1997-08-07	PRIJEM	VKLAD	14787	43582	\N	\N	\N
582723	1982	1997-09-07	PRIJEM	VKLAD	14787	45643	\N	\N	\N
582724	1982	1997-10-07	PRIJEM	VKLAD	14787	49519	\N	\N	\N
582725	1982	1997-11-07	PRIJEM	VKLAD	14787	42682	\N	\N	\N
582726	1982	1997-12-07	PRIJEM	VKLAD	22181	49923	\N	\N	\N
582727	1982	1998-01-07	PRIJEM	VKLAD	14787	46118	\N	\N	\N
582728	1982	1998-02-07	PRIJEM	VKLAD	14787	32149	\N	\N	\N
582729	1982	1998-03-07	PRIJEM	VKLAD	14787	40313	\N	\N	\N
582730	1982	1998-04-07	PRIJEM	VKLAD	14787	41551	\N	\N	\N
582731	1982	1998-05-07	PRIJEM	VKLAD	14787	46459	\N	\N	\N
582732	1982	1998-06-07	PRIJEM	VKLAD	22181	56380	\N	\N	\N
582733	1982	1998-07-07	PRIJEM	VKLAD	14787	36471	\N	\N	\N
582734	1982	1998-08-07	PRIJEM	VKLAD	14787	46250	\N	\N	\N
582735	1982	1998-09-07	PRIJEM	VKLAD	14787	47643	\N	\N	\N
582736	1982	1998-10-07	PRIJEM	VKLAD	14787	49430	\N	\N	\N
582737	1982	1998-11-07	PRIJEM	VKLAD	14787	51900	\N	\N	\N
582738	1982	1998-12-07	PRIJEM	VKLAD	22181	61508	\N	\N	\N
582749	1982	1997-11-05	VYDAJ	PREVOD NA UCET	3732	27895	SIPO	OP	49496763
582750	1982	1997-12-05	VYDAJ	PREVOD NA UCET	3732	27743	SIPO	OP	49496763
582751	1982	1998-01-05	VYDAJ	PREVOD NA UCET	3732	31331	SIPO	OP	49496763
582752	1982	1998-02-05	VYDAJ	PREVOD NA UCET	3732	17362	SIPO	OP	49496763
582753	1982	1998-03-05	VYDAJ	PREVOD NA UCET	3732	25526	SIPO	OP	49496763
582754	1982	1998-04-05	VYDAJ	PREVOD NA UCET	3732	26764	SIPO	OP	49496763
582755	1982	1998-05-05	VYDAJ	PREVOD NA UCET	3732	31672	SIPO	OP	49496763
582756	1982	1998-06-05	VYDAJ	PREVOD NA UCET	3732	34199	SIPO	OP	49496763
582757	1982	1998-07-05	VYDAJ	PREVOD NA UCET	3732	21684	SIPO	OP	49496763
582758	1982	1998-08-05	VYDAJ	PREVOD NA UCET	3732	31463	SIPO	OP	49496763
582759	1982	1998-09-05	VYDAJ	PREVOD NA UCET	3732	32856	SIPO	OP	49496763
582760	1982	1998-10-05	VYDAJ	PREVOD NA UCET	3732	34643	SIPO	OP	49496763
582761	1982	1998-11-05	VYDAJ	PREVOD NA UCET	3732	37113	SIPO	OP	49496763
582762	1982	1998-12-05	VYDAJ	PREVOD NA UCET	3732	43167	SIPO	OP	49496763
582764	1982	1998-06-25	VYDAJ	VYBER	38240	18140	\N	\N	\N
582766	1982	1998-01-27	VYDAJ	VYBER	15040	20758	\N	\N	\N
582767	1982	1997-12-29	VYDAJ	VYBER	3200	46723	\N	\N	\N
582768	1982	1998-12-09	VYDAJ	VYBER	3360	58148	\N	\N	\N
582775	1982	1998-01-25	VYDAJ	VYBER	1080	35798	\N	\N	\N
582776	1982	1998-01-08	VYDAJ	VYBER	2280	39998	\N	\N	\N
582777	1982	1998-01-07	VYDAJ	VYBER	2880	42278	\N	\N	\N
582778	1982	1998-01-02	VYDAJ	VYBER	2640	44263	\N	\N	\N
582779	1982	1998-01-07	VYDAJ	VYBER	960	45158	\N	\N	\N
582780	1982	1998-01-23	VYDAJ	VYBER	3120	36878	\N	\N	\N
582783	1982	1997-11-13	VYDAJ	VYBER	4560	38122	\N	\N	\N
582785	1982	1997-11-05	VYDAJ	VYBER	3480	31627	\N	\N	\N
582786	1982	1998-11-08	VYDAJ	VYBER	4080	47820	\N	\N	\N
582787	1982	1998-08-26	VYDAJ	VYBER	3240	38930	\N	\N	\N
582788	1982	1998-09-16	VYDAJ	VYBER	1440	46203	\N	\N	\N
582789	1982	1998-08-17	VYDAJ	VYBER	4080	42170	\N	\N	\N
582790	1982	1998-03-16	VYDAJ	VYBER	960	39353	\N	\N	\N
582791	1982	1998-12-05	VYDAJ	VYBER	3840	39327	\N	\N	\N
582792	1982	1998-10-09	VYDAJ	VYBER	1560	47870	\N	\N	\N
582803	1982	1997-10-31	VYDAJ	VYBER	15	49707	SLUZBY	\N	\N
582804	1982	1997-11-30	VYDAJ	VYBER	15	38275	SLUZBY	\N	\N
582805	1982	1997-12-31	VYDAJ	VYBER	15	46903	SLUZBY	\N	\N
582806	1982	1998-01-31	VYDAJ	VYBER	15	20894	SLUZBY	\N	\N
582807	1982	1998-02-28	VYDAJ	VYBER	15	32258	SLUZBY	\N	\N
582808	1982	1998-03-31	VYDAJ	VYBER	15	39496	SLUZBY	\N	\N
582809	1982	1998-04-30	VYDAJ	VYBER	15	41704	SLUZBY	\N	\N
582810	1982	1998-05-31	VYDAJ	VYBER	15	46631	SLUZBY	\N	\N
582811	1982	1998-06-30	VYDAJ	VYBER	15	18316	SLUZBY	\N	\N
582812	1982	1998-07-31	VYDAJ	VYBER	15	36595	SLUZBY	\N	\N
582813	1982	1998-08-31	VYDAJ	VYBER	15	39088	SLUZBY	\N	\N
582814	1982	1998-09-30	VYDAJ	VYBER	15	38375	SLUZBY	\N	\N
582815	1982	1998-10-31	VYDAJ	VYBER	15	40845	SLUZBY	\N	\N
582816	1982	1998-11-30	VYDAJ	VYBER	15	46899	SLUZBY	\N	\N
582817	1982	1997-06-07	PRIJEM	VKLAD	4500	27181	\N	\N	\N
582818	1982	1997-07-07	VYDAJ	VYBER	7800	34258	\N	\N	\N
582819	1982	1997-08-06	VYDAJ	VYBER	5600	28795	\N	\N	\N
582820	1982	1997-09-05	VYDAJ	VYBER	12900	30856	\N	\N	\N
582821	1982	1997-10-05	VYDAJ	VYBER	11100	34732	\N	\N	\N
582822	1982	1997-11-04	VYDAJ	VYBER	14600	35107	\N	\N	\N
582823	1982	1997-12-04	VYDAJ	VYBER	6800	31475	\N	\N	\N
582824	1982	1998-01-03	VYDAJ	VYBER	9200	35063	\N	\N	\N
582825	1982	1998-02-02	PRIJEM	VKLAD	200	21094	\N	\N	\N
582826	1982	1998-03-04	VYDAJ	VYBER	3000	29258	\N	\N	\N
582827	1982	1998-04-03	VYDAJ	VYBER	9000	30496	\N	\N	\N
582828	1982	1998-05-03	VYDAJ	VYBER	6300	35404	\N	\N	\N
582829	1982	1998-06-02	VYDAJ	VYBER	8700	37931	\N	\N	\N
582830	1982	1998-07-02	PRIJEM	VKLAD	7100	25416	\N	\N	\N
582831	1982	1998-08-01	VYDAJ	VYBER	1400	35195	\N	\N	\N
582832	1982	1998-08-31	VYDAJ	VYBER	2500	36588	\N	\N	\N
582833	1982	1998-09-30	VYDAJ	VYBER	8000	38390	\N	\N	\N
582834	1982	1998-10-30	VYDAJ	VYBER	7200	40670	\N	\N	\N
582835	1982	1998-11-29	VYDAJ	VYBER	1100	46720	\N	\N	\N
582855	1983	1997-12-25	PRIJEM	VKLAD	800	800	\N	\N	\N
582868	1983	1998-01-08	PRIJEM	VKLAD	22744	23544	\N	\N	\N
582869	1983	1998-02-08	PRIJEM	VKLAD	22744	48115	\N	\N	\N
582870	1983	1998-03-08	PRIJEM	VKLAD	22744	61877	\N	\N	\N
582871	1983	1998-04-08	PRIJEM	VKLAD	22744	65687	\N	\N	\N
582872	1983	1998-05-08	PRIJEM	VKLAD	22744	68012	\N	\N	\N
582873	1983	1998-06-08	PRIJEM	VKLAD	34116	81503	\N	\N	\N
582874	1983	1998-07-08	PRIJEM	VKLAD	22744	55748	\N	\N	\N
582875	1983	1998-08-08	PRIJEM	VKLAD	22744	61422	\N	\N	\N
582876	1983	1998-09-08	PRIJEM	VKLAD	22744	60152	\N	\N	\N
582877	1983	1998-10-08	PRIJEM	VKLAD	22744	64042	\N	\N	\N
582878	1983	1998-11-08	PRIJEM	VKLAD	22744	70453	\N	\N	\N
582879	1983	1998-12-08	PRIJEM	VKLAD	34116	82616	\N	\N	\N
582881	1983	1998-06-11	VYDAJ	VYBER	37600	43903	\N	\N	\N
582885	1983	1998-12-19	VYDAJ	VYBER	3680	78096	\N	\N	\N
582904	1983	1998-11-12	VYDAJ	VYBER	2760	67693	\N	\N	\N
582905	1983	1998-06-22	VYDAJ	VYBER	960	42943	\N	\N	\N
582907	1983	1998-08-27	VYDAJ	VYBER	2160	37262	\N	\N	\N
582908	1983	1998-12-16	VYDAJ	VYBER	840	81776	\N	\N	\N
582926	1983	1998-05-31	VYDAJ	VYBER	15	47387	SLUZBY	\N	\N
582927	1983	1998-06-30	VYDAJ	VYBER	15	33004	SLUZBY	\N	\N
582928	1983	1998-07-31	VYDAJ	VYBER	15	38678	SLUZBY	\N	\N
582929	1983	1998-08-31	VYDAJ	VYBER	15	37408	SLUZBY	\N	\N
582930	1983	1998-09-30	VYDAJ	VYBER	15	41298	SLUZBY	\N	\N
582931	1983	1998-10-31	VYDAJ	VYBER	15	47709	SLUZBY	\N	\N
582932	1983	1998-11-30	VYDAJ	VYBER	15	48500	SLUZBY	\N	\N
582933	1983	1998-01-24	PRIJEM	VKLAD	1800	25344	\N	\N	\N
582934	1983	1998-02-23	VYDAJ	VYBER	9100	39015	\N	\N	\N
582935	1983	1998-03-25	VYDAJ	VYBER	19100	42777	\N	\N	\N
582936	1983	1998-04-24	VYDAJ	VYBER	20600	45087	\N	\N	\N
582937	1983	1998-05-24	VYDAJ	VYBER	20800	47212	\N	\N	\N
582938	1983	1998-06-23	VYDAJ	VYBER	10100	32843	\N	\N	\N
582939	1983	1998-07-23	VYDAJ	VYBER	17200	38548	\N	\N	\N
582940	1983	1998-08-22	VYDAJ	VYBER	22000	39422	\N	\N	\N
582941	1983	1998-09-21	VYDAJ	VYBER	19000	41152	\N	\N	\N
582942	1983	1998-10-21	VYDAJ	VYBER	16500	47542	\N	\N	\N
582943	1983	1998-11-20	VYDAJ	VYBER	19400	48293	\N	\N	\N
582956	1984	1993-11-07	PRIJEM	VKLAD	800	800	\N	\N	\N
582967	1984	1993-11-11	PRIJEM	VKLAD	13066	13866	\N	\N	\N
582968	1984	1993-12-11	PRIJEM	VKLAD	19599	40504	\N	\N	\N
582969	1984	1994-01-11	PRIJEM	VKLAD	13066	43903	\N	\N	\N
582970	1984	1994-02-11	PRIJEM	VKLAD	13066	46747	\N	\N	\N
582971	1984	1994-03-11	PRIJEM	VKLAD	13066	48203	\N	\N	\N
582972	1984	1994-04-11	PRIJEM	VKLAD	13066	50054	\N	\N	\N
582973	1984	1994-05-11	PRIJEM	VKLAD	13066	50611	\N	\N	\N
582974	1984	1994-06-11	PRIJEM	VKLAD	19599	40246	\N	\N	\N
582975	1984	1994-07-11	PRIJEM	VKLAD	13066	43761	\N	\N	\N
582976	1984	1994-08-11	PRIJEM	VKLAD	13066	47185	\N	\N	\N
582977	1984	1994-09-11	PRIJEM	VKLAD	13066	47048	\N	\N	\N
582978	1984	1994-10-11	PRIJEM	VKLAD	13066	50681	\N	\N	\N
582979	1984	1994-11-11	PRIJEM	VKLAD	13066	54439	\N	\N	\N
582980	1984	1994-12-11	PRIJEM	VKLAD	19599	59345	\N	\N	\N
582981	1984	1995-01-11	PRIJEM	VKLAD	13066	49791	\N	\N	\N
582982	1984	1995-02-11	PRIJEM	VKLAD	13066	46555	\N	\N	\N
582983	1984	1995-03-11	PRIJEM	VKLAD	13066	51348	\N	\N	\N
582984	1984	1995-04-11	PRIJEM	VKLAD	13066	53006	\N	\N	\N
582985	1984	1995-05-11	PRIJEM	VKLAD	13066	56476	\N	\N	\N
582986	1984	1995-06-11	PRIJEM	VKLAD	19599	60709	\N	\N	\N
582987	1984	1995-07-11	PRIJEM	VKLAD	13066	59587	\N	\N	\N
582988	1984	1995-08-11	PRIJEM	VKLAD	13066	59373	\N	\N	\N
582989	1984	1995-09-11	PRIJEM	VKLAD	13066	58817	\N	\N	\N
582990	1984	1995-10-11	PRIJEM	VKLAD	13066	58958	\N	\N	\N
582991	1984	1995-11-11	PRIJEM	VKLAD	13066	56211	\N	\N	\N
582992	1984	1995-12-11	PRIJEM	VKLAD	19599	60796	\N	\N	\N
582993	1984	1996-01-11	PRIJEM	VKLAD	13066	60231	\N	\N	\N
582994	1984	1996-02-11	PRIJEM	VKLAD	13066	48338	\N	\N	\N
582995	1984	1996-03-11	PRIJEM	VKLAD	13066	52638	\N	\N	\N
582996	1984	1996-04-11	PRIJEM	VKLAD	13066	49994	\N	\N	\N
582997	1984	1996-05-11	PRIJEM	VKLAD	13066	56633	\N	\N	\N
582998	1984	1996-06-11	PRIJEM	VKLAD	19599	66966	\N	\N	\N
582999	1984	1996-07-11	PRIJEM	VKLAD	13066	55434	\N	\N	\N
583000	1984	1996-08-11	PRIJEM	VKLAD	13066	61667	\N	\N	\N
583001	1984	1996-09-11	PRIJEM	VKLAD	13066	64823	\N	\N	\N
583002	1984	1996-10-11	PRIJEM	VKLAD	13066	63411	\N	\N	\N
583003	1984	1996-11-11	PRIJEM	VKLAD	13066	63069	\N	\N	\N
583004	1984	1996-12-11	PRIJEM	VKLAD	19599	67357	\N	\N	\N
583005	1984	1997-01-11	PRIJEM	VKLAD	13066	48335	\N	\N	\N
583006	1984	1997-02-11	PRIJEM	VKLAD	13066	41574	\N	\N	\N
583007	1984	1997-03-11	PRIJEM	VKLAD	13066	47384	\N	\N	\N
583008	1984	1997-04-11	PRIJEM	VKLAD	13066	53685	\N	\N	\N
583009	1984	1997-05-11	PRIJEM	VKLAD	13066	53803	\N	\N	\N
583010	1984	1997-06-11	PRIJEM	VKLAD	19599	65062	\N	\N	\N
583011	1984	1997-07-11	PRIJEM	VKLAD	13066	46223	\N	\N	\N
583012	1984	1997-08-11	PRIJEM	VKLAD	13066	49743	\N	\N	\N
583013	1984	1997-09-11	PRIJEM	VKLAD	13066	58360	\N	\N	\N
583014	1984	1997-10-11	PRIJEM	VKLAD	13066	60687	\N	\N	\N
583015	1984	1997-11-11	PRIJEM	VKLAD	13066	67460	\N	\N	\N
583016	1984	1997-12-11	PRIJEM	VKLAD	19599	66282	\N	\N	\N
583017	1984	1998-01-11	PRIJEM	VKLAD	13066	62934	\N	\N	\N
583018	1984	1998-02-11	PRIJEM	VKLAD	13066	42792	\N	\N	\N
583019	1984	1998-03-11	PRIJEM	VKLAD	13066	54890	\N	\N	\N
583020	1984	1998-04-11	PRIJEM	VKLAD	13066	61372	\N	\N	\N
583021	1984	1998-05-11	PRIJEM	VKLAD	13066	65239	\N	\N	\N
583022	1984	1998-06-11	PRIJEM	VKLAD	19599	75044	\N	\N	\N
583023	1984	1998-07-11	PRIJEM	VKLAD	13066	37819	\N	\N	\N
583024	1984	1998-08-11	PRIJEM	VKLAD	13066	60523	\N	\N	\N
583025	1984	1998-09-11	PRIJEM	VKLAD	13066	64320	\N	\N	\N
583026	1984	1998-10-11	PRIJEM	VKLAD	13066	70886	\N	\N	\N
583027	1984	1998-11-11	PRIJEM	VKLAD	13066	72223	\N	\N	\N
583028	1984	1998-12-11	PRIJEM	VKLAD	19599	81328	\N	\N	\N
583030	1984	1994-06-07	VYDAJ	VYBER	16160	20647	\N	\N	\N
583032	1984	1996-06-17	VYDAJ	VYBER	14080	52886	\N	\N	\N
583033	1984	1997-06-21	VYDAJ	VYBER	12960	33002	\N	\N	\N
583034	1984	1998-06-18	VYDAJ	VYBER	38720	24584	\N	\N	\N
583037	1984	1995-01-26	VYDAJ	VYBER	4320	37311	\N	\N	\N
583038	1984	1996-01-18	VYDAJ	VYBER	8960	47191	\N	\N	\N
583039	1984	1997-01-03	VYDAJ	VYBER	5120	44749	\N	\N	\N
583040	1984	1998-01-19	VYDAJ	VYBER	14080	35194	\N	\N	\N
583042	1984	1994-12-14	VYDAJ	VYBER	2240	57105	\N	\N	\N
583043	1984	1995-12-05	VYDAJ	VYBER	4480	41197	\N	\N	\N
583044	1984	1996-12-18	VYDAJ	VYBER	2880	64477	\N	\N	\N
583045	1984	1997-12-01	VYDAJ	VYBER	2080	47763	\N	\N	\N
583046	1984	1998-12-21	VYDAJ	VYBER	1760	72168	\N	\N	\N
583059	1984	1995-01-17	VYDAJ	VYBER	2160	44751	\N	\N	\N
583060	1984	1995-01-19	VYDAJ	VYBER	3120	41631	\N	\N	\N
583061	1984	1995-01-02	VYDAJ	VYBER	3240	38285	\N	\N	\N
583062	1984	1995-01-14	VYDAJ	VYBER	2880	46911	\N	\N	\N
583063	1984	1995-01-26	VYDAJ	VYBER	2280	35031	\N	\N	\N
583064	1984	1995-01-06	VYDAJ	VYBER	1560	36725	\N	\N	\N
583065	1984	1996-01-21	VYDAJ	VYBER	1680	43591	\N	\N	\N
583066	1984	1996-01-09	VYDAJ	VYBER	1440	47165	\N	\N	\N
583067	1984	1996-01-18	VYDAJ	VYBER	1920	45271	\N	\N	\N
583068	1984	1996-01-22	VYDAJ	VYBER	2400	41191	\N	\N	\N
583069	1984	1996-01-15	VYDAJ	VYBER	2160	58071	\N	\N	\N
583070	1984	1996-01-17	VYDAJ	VYBER	1920	56151	\N	\N	\N
583071	1984	1997-01-05	VYDAJ	VYBER	3240	41509	\N	\N	\N
583072	1984	1997-01-06	VYDAJ	VYBER	2760	38749	\N	\N	\N
583073	1984	1997-01-09	VYDAJ	VYBER	3480	35269	\N	\N	\N
583074	1984	1997-01-12	VYDAJ	VYBER	1800	46535	\N	\N	\N
583075	1984	1997-01-26	VYDAJ	VYBER	3360	33275	\N	\N	\N
583076	1984	1997-01-30	VYDAJ	VYBER	2040	31235	\N	\N	\N
583077	1984	1998-01-27	VYDAJ	VYBER	3240	29554	\N	\N	\N
583078	1984	1998-01-19	VYDAJ	VYBER	600	49274	\N	\N	\N
583079	1984	1998-01-08	VYDAJ	VYBER	2400	51788	\N	\N	\N
583080	1984	1998-01-18	VYDAJ	VYBER	2160	49874	\N	\N	\N
583081	1984	1998-01-25	VYDAJ	VYBER	2400	32794	\N	\N	\N
583082	1984	1998-01-10	VYDAJ	VYBER	1920	49868	\N	\N	\N
583090	1984	1994-09-02	VYDAJ	VYBER	2880	44482	\N	\N	\N
583091	1984	1994-11-30	VYDAJ	VYBER	600	54046	\N	\N	\N
583092	1984	1994-06-26	VYDAJ	VYBER	3600	36646	\N	\N	\N
583093	1984	1995-07-29	VYDAJ	VYBER	2760	56827	\N	\N	\N
583094	1984	1995-06-10	VYDAJ	VYBER	2280	41110	\N	\N	\N
583095	1984	1995-10-17	VYDAJ	VYBER	4200	54758	\N	\N	\N
583096	1984	1996-04-09	VYDAJ	VYBER	3360	36928	\N	\N	\N
583097	1984	1996-09-22	VYDAJ	VYBER	4080	50143	\N	\N	\N
583098	1984	1996-05-22	VYDAJ	VYBER	840	55793	\N	\N	\N
583099	1984	1997-07-13	VYDAJ	VYBER	3480	42743	\N	\N	\N
583100	1984	1997-02-12	VYDAJ	VYBER	5880	35694	\N	\N	\N
583101	1984	1997-10-09	VYDAJ	VYBER	2520	47621	\N	\N	\N
583102	1984	1997-02-02	VYDAJ	VYBER	2880	28508	\N	\N	\N
583103	1984	1997-12-02	VYDAJ	VYBER	1080	46683	\N	\N	\N
583104	1984	1997-11-23	VYDAJ	VYBER	4320	49640	\N	\N	\N
583105	1984	1998-10-23	VYDAJ	VYBER	4560	58926	\N	\N	\N
583106	1984	1998-08-12	VYDAJ	VYBER	2640	57883	\N	\N	\N
583107	1984	1998-09-28	VYDAJ	VYBER	4320	57600	\N	\N	\N
583108	1984	1998-06-11	VYDAJ	VYBER	1440	73604	\N	\N	\N
583109	1984	1998-12-01	VYDAJ	VYBER	4440	61729	\N	\N	\N
583111	1984	1998-08-16	VYDAJ	VYBER	4320	51063	\N	\N	\N
583112	1984	1998-04-10	VYDAJ	VYBER	2760	48306	\N	\N	\N
583128	1984	1994-03-31	VYDAJ	VYBER	15	48388	SLUZBY	\N	\N
583129	1984	1994-04-30	VYDAJ	VYBER	15	50245	SLUZBY	\N	\N
583130	1984	1994-05-31	VYDAJ	VYBER	15	50807	SLUZBY	\N	\N
583131	1984	1994-06-30	VYDAJ	VYBER	15	36795	SLUZBY	\N	\N
583132	1984	1994-07-31	VYDAJ	VYBER	15	43919	SLUZBY	\N	\N
583133	1984	1994-08-31	VYDAJ	VYBER	15	47362	SLUZBY	\N	\N
583134	1984	1994-09-30	VYDAJ	VYBER	15	47215	SLUZBY	\N	\N
583135	1984	1994-10-31	VYDAJ	VYBER	15	50873	SLUZBY	\N	\N
583136	1984	1994-11-30	VYDAJ	VYBER	15	54646	SLUZBY	\N	\N
583137	1984	1994-12-31	VYDAJ	VYBER	15	57325	SLUZBY	\N	\N
583138	1984	1995-01-31	VYDAJ	VYBER	15	33489	SLUZBY	\N	\N
583139	1984	1995-02-28	VYDAJ	VYBER	15	46682	SLUZBY	\N	\N
583140	1984	1995-03-31	VYDAJ	VYBER	15	51540	SLUZBY	\N	\N
583141	1984	1995-04-30	VYDAJ	VYBER	15	53210	SLUZBY	\N	\N
583142	1984	1995-05-31	VYDAJ	VYBER	15	43390	SLUZBY	\N	\N
583143	1984	1995-06-30	VYDAJ	VYBER	15	46521	SLUZBY	\N	\N
583144	1984	1995-07-31	VYDAJ	VYBER	15	46307	SLUZBY	\N	\N
583145	1984	1995-08-31	VYDAJ	VYBER	15	45751	SLUZBY	\N	\N
583146	1984	1995-09-30	VYDAJ	VYBER	15	45892	SLUZBY	\N	\N
583147	1984	1995-10-31	VYDAJ	VYBER	15	43145	SLUZBY	\N	\N
583148	1984	1995-11-30	VYDAJ	VYBER	15	45677	SLUZBY	\N	\N
583149	1984	1995-12-31	VYDAJ	VYBER	15	48605	SLUZBY	\N	\N
583150	1984	1996-01-31	VYDAJ	VYBER	15	35272	SLUZBY	\N	\N
583151	1984	1996-02-29	VYDAJ	VYBER	15	39572	SLUZBY	\N	\N
583152	1984	1996-03-31	VYDAJ	VYBER	15	40288	SLUZBY	\N	\N
583153	1984	1996-04-30	VYDAJ	VYBER	15	43567	SLUZBY	\N	\N
583154	1984	1996-05-31	VYDAJ	VYBER	15	47367	SLUZBY	\N	\N
583155	1984	1996-06-30	VYDAJ	VYBER	15	42368	SLUZBY	\N	\N
583156	1984	1996-07-31	VYDAJ	VYBER	15	48601	SLUZBY	\N	\N
583157	1984	1996-08-31	VYDAJ	VYBER	15	51757	SLUZBY	\N	\N
583158	1984	1996-09-30	VYDAJ	VYBER	15	50345	SLUZBY	\N	\N
583159	1984	1996-10-31	VYDAJ	VYBER	15	50003	SLUZBY	\N	\N
583160	1984	1996-11-30	VYDAJ	VYBER	15	47758	SLUZBY	\N	\N
583161	1984	1996-12-31	VYDAJ	VYBER	15	49869	SLUZBY	\N	\N
583162	1984	1997-01-31	VYDAJ	VYBER	15	31388	SLUZBY	\N	\N
583163	1984	1997-02-28	VYDAJ	VYBER	15	34318	SLUZBY	\N	\N
583164	1984	1997-03-31	VYDAJ	VYBER	15	40619	SLUZBY	\N	\N
583165	1984	1997-04-30	VYDAJ	VYBER	15	40737	SLUZBY	\N	\N
583166	1984	1997-05-31	VYDAJ	VYBER	15	45463	SLUZBY	\N	\N
583167	1984	1997-06-30	VYDAJ	VYBER	15	33157	SLUZBY	\N	\N
583168	1984	1997-07-31	VYDAJ	VYBER	15	36677	SLUZBY	\N	\N
583169	1984	1997-08-31	VYDAJ	VYBER	15	45294	SLUZBY	\N	\N
583170	1984	1997-09-30	VYDAJ	VYBER	15	50141	SLUZBY	\N	\N
583171	1984	1997-10-31	VYDAJ	VYBER	15	54394	SLUZBY	\N	\N
583172	1984	1997-11-30	VYDAJ	VYBER	15	49843	SLUZBY	\N	\N
583173	1984	1997-12-31	VYDAJ	VYBER	15	54188	SLUZBY	\N	\N
583174	1984	1998-01-31	VYDAJ	VYBER	15	29726	SLUZBY	\N	\N
583175	1984	1998-02-28	VYDAJ	VYBER	15	41824	SLUZBY	\N	\N
583176	1984	1998-03-31	VYDAJ	VYBER	15	51066	SLUZBY	\N	\N
583177	1984	1998-04-30	VYDAJ	VYBER	15	52173	SLUZBY	\N	\N
583178	1984	1998-05-31	VYDAJ	VYBER	15	55445	SLUZBY	\N	\N
583179	1984	1998-06-30	VYDAJ	VYBER	15	24753	SLUZBY	\N	\N
583180	1984	1998-07-31	VYDAJ	VYBER	15	47457	SLUZBY	\N	\N
583181	1984	1998-08-31	VYDAJ	VYBER	15	51254	SLUZBY	\N	\N
583182	1984	1998-09-30	VYDAJ	VYBER	15	57820	SLUZBY	\N	\N
583183	1984	1998-10-31	VYDAJ	VYBER	15	59157	SLUZBY	\N	\N
583184	1984	1998-11-30	VYDAJ	VYBER	15	66169	SLUZBY	\N	\N
583185	1984	1993-12-07	PRIJEM	VKLAD	7000	20905	\N	\N	\N
583186	1984	1994-01-06	VYDAJ	VYBER	9800	30837	\N	\N	\N
583187	1984	1994-02-05	VYDAJ	VYBER	10400	33681	\N	\N	\N
583188	1984	1994-03-07	VYDAJ	VYBER	11800	35137	\N	\N	\N
583189	1984	1994-04-06	VYDAJ	VYBER	11400	36988	\N	\N	\N
583190	1984	1994-05-06	VYDAJ	VYBER	12700	37545	\N	\N	\N
583191	1984	1994-06-05	VYDAJ	VYBER	14000	36807	\N	\N	\N
583192	1984	1994-07-05	VYDAJ	VYBER	6100	30695	\N	\N	\N
583193	1984	1994-08-04	VYDAJ	VYBER	9800	34119	\N	\N	\N
583194	1984	1994-09-03	VYDAJ	VYBER	10500	33982	\N	\N	\N
583195	1984	1994-10-03	VYDAJ	VYBER	9600	37615	\N	\N	\N
583196	1984	1994-11-02	VYDAJ	VYBER	9500	41373	\N	\N	\N
583197	1984	1994-12-02	VYDAJ	VYBER	14300	39746	\N	\N	\N
583198	1984	1995-01-01	VYDAJ	VYBER	15800	41525	\N	\N	\N
583199	1984	1995-01-31	VYDAJ	VYBER	1700	33504	\N	\N	\N
583200	1984	1995-03-02	VYDAJ	VYBER	8400	38282	\N	\N	\N
583201	1984	1995-04-01	VYDAJ	VYBER	11600	39940	\N	\N	\N
583202	1984	1995-05-01	VYDAJ	VYBER	9800	43410	\N	\N	\N
583203	1984	1995-05-31	VYDAJ	VYBER	13300	43405	\N	\N	\N
583204	1984	1995-06-30	VYDAJ	VYBER	14400	46536	\N	\N	\N
583205	1984	1995-07-30	VYDAJ	VYBER	10700	46127	\N	\N	\N
583206	1984	1995-08-29	VYDAJ	VYBER	13800	45573	\N	\N	\N
583207	1984	1995-09-28	VYDAJ	VYBER	13100	45717	\N	\N	\N
583208	1984	1995-10-28	VYDAJ	VYBER	11800	42958	\N	\N	\N
583209	1984	1995-11-27	VYDAJ	VYBER	10700	45511	\N	\N	\N
583210	1984	1995-12-27	VYDAJ	VYBER	12400	48396	\N	\N	\N
583211	1984	1996-01-26	VYDAJ	VYBER	6100	35091	\N	\N	\N
583212	1984	1996-02-25	VYDAJ	VYBER	8900	39438	\N	\N	\N
583213	1984	1996-03-26	VYDAJ	VYBER	12500	40138	\N	\N	\N
583214	1984	1996-04-25	VYDAJ	VYBER	6600	43394	\N	\N	\N
583215	1984	1996-05-25	VYDAJ	VYBER	8600	47193	\N	\N	\N
583216	1984	1996-06-24	VYDAJ	VYBER	10700	42186	\N	\N	\N
583217	1984	1996-07-24	VYDAJ	VYBER	7000	48434	\N	\N	\N
583218	1984	1996-08-23	VYDAJ	VYBER	10100	51567	\N	\N	\N
583219	1984	1996-09-22	VYDAJ	VYBER	10600	54223	\N	\N	\N
583220	1984	1996-10-22	VYDAJ	VYBER	13600	49811	\N	\N	\N
583221	1984	1996-11-21	VYDAJ	VYBER	15500	47569	\N	\N	\N
583222	1984	1996-12-21	VYDAJ	VYBER	14800	49677	\N	\N	\N
583223	1984	1997-01-20	VYDAJ	VYBER	9900	36635	\N	\N	\N
583224	1984	1997-02-19	VYDAJ	VYBER	1500	34194	\N	\N	\N
583225	1984	1997-03-21	VYDAJ	VYBER	6900	40484	\N	\N	\N
583226	1984	1997-04-20	VYDAJ	VYBER	13100	40585	\N	\N	\N
583227	1984	1997-05-20	VYDAJ	VYBER	8500	45303	\N	\N	\N
583228	1984	1997-06-19	VYDAJ	VYBER	19100	45962	\N	\N	\N
583229	1984	1997-07-19	VYDAJ	VYBER	6200	36543	\N	\N	\N
583230	1984	1997-08-18	VYDAJ	VYBER	4600	45143	\N	\N	\N
583231	1984	1997-09-17	VYDAJ	VYBER	8400	49960	\N	\N	\N
583232	1984	1997-10-17	VYDAJ	VYBER	6500	54187	\N	\N	\N
583233	1984	1997-11-16	VYDAJ	VYBER	13500	53960	\N	\N	\N
583234	1984	1997-12-16	VYDAJ	VYBER	12300	53982	\N	\N	\N
583235	1984	1998-01-15	VYDAJ	VYBER	10900	52034	\N	\N	\N
583236	1984	1998-02-14	VYDAJ	VYBER	1100	41692	\N	\N	\N
583237	1984	1998-03-16	VYDAJ	VYBER	4000	50890	\N	\N	\N
583238	1984	1998-04-15	VYDAJ	VYBER	9400	51972	\N	\N	\N
583239	1984	1998-05-15	VYDAJ	VYBER	10000	55239	\N	\N	\N
583240	1984	1998-06-14	VYDAJ	VYBER	10300	63304	\N	\N	\N
583241	1984	1998-07-14	PRIJEM	VKLAD	9500	47319	\N	\N	\N
583242	1984	1998-08-13	VYDAJ	VYBER	2500	55383	\N	\N	\N
583243	1984	1998-09-12	VYDAJ	VYBER	2400	61920	\N	\N	\N
583244	1984	1998-10-12	VYDAJ	VYBER	7400	63486	\N	\N	\N
583245	1984	1998-11-11	VYDAJ	VYBER	6300	65923	\N	\N	\N
583246	1984	1998-12-11	VYDAJ	VYBER	7400	73928	\N	\N	\N
583309	1985	1996-07-29	PRIJEM	VKLAD	600	600	\N	\N	\N
583311	1985	1996-11-29	PRIJEM	VKLAD	2238	25512	\N	\N	\N
583312	1985	1997-04-04	PRIJEM	VKLAD	42925	62989	\N	\N	\N
583313	1985	1997-03-13	PRIJEM	VKLAD	12272	26494	\N	\N	\N
583314	1985	1998-09-13	PRIJEM	VKLAD	28907	41272	\N	\N	\N
583315	1985	1998-03-17	PRIJEM	VKLAD	3231	16069	\N	\N	\N
583323	1985	1996-08-16	PRIJEM	VKLAD	1900	2500	\N	\N	\N
583324	1985	1996-09-15	PRIJEM	VKLAD	1900	17208	\N	\N	\N
583325	1985	1996-10-13	PRIJEM	VKLAD	1900	24976	\N	\N	\N
583326	1985	1996-11-15	PRIJEM	VKLAD	1900	27474	\N	\N	\N
583327	1985	1996-12-15	PRIJEM	VKLAD	1900	27502	\N	\N	\N
583328	1985	1997-01-17	PRIJEM	VKLAD	1900	14790	\N	\N	\N
583329	1985	1997-02-15	PRIJEM	VKLAD	1900	14282	\N	\N	\N
583330	1985	1997-03-15	PRIJEM	VKLAD	1900	28394	\N	\N	\N
583331	1985	1997-04-13	PRIJEM	VKLAD	1900	64889	\N	\N	\N
583332	1985	1997-05-15	PRIJEM	VKLAD	1900	38046	\N	\N	\N
583333	1985	1997-06-16	PRIJEM	VKLAD	1900	28573	\N	\N	\N
583334	1985	1997-07-15	PRIJEM	VKLAD	1900	17901	\N	\N	\N
583335	1985	1997-08-14	PRIJEM	VKLAD	1900	19555	\N	\N	\N
583336	1985	1997-09-13	PRIJEM	VKLAD	1900	20715	\N	\N	\N
583337	1985	1997-10-17	PRIJEM	VKLAD	1900	18827	\N	\N	\N
583338	1985	1997-11-15	PRIJEM	VKLAD	1900	17381	\N	\N	\N
583339	1985	1997-12-17	PRIJEM	VKLAD	1900	15127	\N	\N	\N
583340	1985	1998-01-13	PRIJEM	VKLAD	1900	14868	\N	\N	\N
583341	1985	1998-02-13	PRIJEM	VKLAD	1900	12807	\N	\N	\N
583342	1985	1998-03-17	PRIJEM	VKLAD	1900	17969	\N	\N	\N
583343	1985	1998-04-17	PRIJEM	VKLAD	1900	13358	\N	\N	\N
583344	1985	1998-05-17	PRIJEM	VKLAD	1900	15291	\N	\N	\N
583345	1985	1998-06-14	PRIJEM	VKLAD	1900	14931	\N	\N	\N
583346	1985	1998-07-13	PRIJEM	VKLAD	1900	16871	\N	\N	\N
583347	1985	1998-08-13	PRIJEM	VKLAD	1900	18818	\N	\N	\N
583348	1985	1998-09-15	PRIJEM	VKLAD	1900	43172	\N	\N	\N
583349	1985	1998-10-13	PRIJEM	VKLAD	1900	26241	\N	\N	\N
583350	1985	1998-11-13	PRIJEM	VKLAD	1900	15706	\N	\N	\N
583351	1985	1998-12-14	PRIJEM	VKLAD	1900	16049	\N	\N	\N
583353	1985	1997-06-17	VYDAJ	VYBER	8800	19773	\N	\N	\N
583362	1985	1997-01-02	VYDAJ	VYBER	5700	15190	\N	\N	\N
583364	1985	1996-12-24	VYDAJ	VYBER	2700	24802	\N	\N	\N
583366	1985	1998-12-04	VYDAJ	VYBER	1600	14149	\N	\N	\N
583374	1985	1997-01-18	VYDAJ	VYBER	1300	12640	\N	\N	\N
583378	1985	1997-01-17	VYDAJ	VYBER	850	13940	\N	\N	\N
583379	1985	1998-01-05	VYDAJ	VYBER	600	12968	\N	\N	\N
583389	1985	1997-02-19	VYDAJ	VYBER	300	13982	\N	\N	\N
583390	1985	1997-09-27	VYDAJ	VYBER	250	16865	\N	\N	\N
583391	1985	1997-06-22	VYDAJ	VYBER	2200	17573	\N	\N	\N
583392	1985	1997-01-04	VYDAJ	VYBER	2300	12890	\N	\N	\N
583393	1985	1997-06-23	VYDAJ	VYBER	1550	16023	\N	\N	\N
583396	1985	1998-10-14	VYDAJ	VYBER	600	25641	\N	\N	\N
583397	1985	1998-03-19	VYDAJ	VYBER	950	17019	\N	\N	\N
583399	1985	1998-01-05	VYDAJ	VYBER	300	13568	\N	\N	\N
583411	1985	1996-11-30	VYDAJ	VYBER	15	25602	SLUZBY	\N	\N
583412	1985	1996-12-31	VYDAJ	VYBER	15	20890	SLUZBY	\N	\N
583413	1985	1997-01-31	VYDAJ	VYBER	15	12382	SLUZBY	\N	\N
583414	1985	1997-02-28	VYDAJ	VYBER	15	14222	SLUZBY	\N	\N
583415	1985	1997-03-31	VYDAJ	VYBER	15	20064	SLUZBY	\N	\N
583416	1985	1997-04-30	VYDAJ	VYBER	15	36146	SLUZBY	\N	\N
583417	1985	1997-05-31	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
583418	1985	1997-06-30	VYDAJ	VYBER	15	16001	SLUZBY	\N	\N
583419	1985	1997-07-31	VYDAJ	VYBER	15	17655	SLUZBY	\N	\N
583420	1985	1997-08-31	VYDAJ	VYBER	15	18815	SLUZBY	\N	\N
583421	1985	1997-09-30	VYDAJ	VYBER	15	16927	SLUZBY	\N	\N
583422	1985	1997-10-31	VYDAJ	VYBER	15	15481	SLUZBY	\N	\N
583423	1985	1997-11-30	VYDAJ	VYBER	15	13227	SLUZBY	\N	\N
583424	1985	1997-12-31	VYDAJ	VYBER	15	13868	SLUZBY	\N	\N
583425	1985	1998-01-31	VYDAJ	VYBER	15	10907	SLUZBY	\N	\N
583426	1985	1998-02-28	VYDAJ	VYBER	15	12838	SLUZBY	\N	\N
583427	1985	1998-03-31	VYDAJ	VYBER	15	11458	SLUZBY	\N	\N
583428	1985	1998-04-30	VYDAJ	VYBER	15	13391	SLUZBY	\N	\N
583429	1985	1998-05-31	VYDAJ	VYBER	15	13031	SLUZBY	\N	\N
583430	1985	1998-06-30	VYDAJ	VYBER	15	14971	SLUZBY	\N	\N
583431	1985	1998-07-31	VYDAJ	VYBER	15	16918	SLUZBY	\N	\N
583432	1985	1998-08-31	VYDAJ	VYBER	15	12365	SLUZBY	\N	\N
583433	1985	1998-09-30	VYDAJ	VYBER	15	24341	SLUZBY	\N	\N
583434	1985	1998-10-31	VYDAJ	VYBER	15	13806	SLUZBY	\N	\N
583435	1985	1998-11-30	VYDAJ	VYBER	15	15749	SLUZBY	\N	\N
583436	1985	1996-08-28	PRIJEM	VKLAD	12800	15300	\N	\N	\N
583437	1985	1996-09-27	PRIJEM	VKLAD	5800	23008	\N	\N	\N
583438	1985	1996-10-27	PRIJEM	VKLAD	500	25476	\N	\N	\N
583439	1985	1996-11-26	VYDAJ	VYBER	4200	23274	\N	\N	\N
583440	1985	1996-12-26	VYDAJ	VYBER	4000	20802	\N	\N	\N
583441	1985	1997-01-25	VYDAJ	VYBER	300	12340	\N	\N	\N
583442	1985	1997-02-24	PRIJEM	VKLAD	200	14182	\N	\N	\N
583443	1985	1997-03-26	VYDAJ	VYBER	8400	19994	\N	\N	\N
583444	1985	1997-04-25	VYDAJ	VYBER	28900	35989	\N	\N	\N
583445	1985	1997-05-25	VYDAJ	VYBER	11500	26546	\N	\N	\N
583446	1985	1997-06-24	VYDAJ	VYBER	100	15923	\N	\N	\N
583447	1985	1997-07-24	VYDAJ	VYBER	300	17601	\N	\N	\N
583448	1985	1997-08-23	VYDAJ	VYBER	800	18755	\N	\N	\N
583449	1985	1997-09-22	VYDAJ	VYBER	3600	17115	\N	\N	\N
583450	1985	1997-10-22	VYDAJ	VYBER	3400	15427	\N	\N	\N
583451	1985	1997-11-21	VYDAJ	VYBER	4200	13181	\N	\N	\N
583452	1985	1997-12-21	VYDAJ	VYBER	1300	13827	\N	\N	\N
583453	1985	1998-01-20	VYDAJ	VYBER	4000	10868	\N	\N	\N
583454	1985	1998-03-21	VYDAJ	VYBER	5600	11419	\N	\N	\N
583455	1985	1998-05-20	VYDAJ	VYBER	2300	12991	\N	\N	\N
583456	1985	1998-08-18	VYDAJ	VYBER	6500	12318	\N	\N	\N
583457	1985	1998-09-17	VYDAJ	VYBER	18900	24272	\N	\N	\N
583458	1985	1998-10-17	VYDAJ	VYBER	11900	13741	\N	\N	\N
583488	1986	1995-04-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
583492	1986	1995-04-13	PRIJEM	VKLAD	12336	13436	\N	\N	\N
583493	1986	1995-05-13	PRIJEM	VKLAD	12336	28306	\N	\N	\N
583494	1986	1995-06-13	PRIJEM	VKLAD	18504	43704	\N	\N	\N
583495	1986	1995-07-13	PRIJEM	VKLAD	12336	48196	\N	\N	\N
583496	1986	1995-08-13	PRIJEM	VKLAD	12336	49926	\N	\N	\N
583497	1986	1995-09-13	PRIJEM	VKLAD	12336	41101	\N	\N	\N
583498	1986	1995-10-13	PRIJEM	VKLAD	12336	40146	\N	\N	\N
583499	1986	1995-11-13	PRIJEM	VKLAD	12336	36915	\N	\N	\N
583500	1986	1995-12-13	PRIJEM	VKLAD	18504	44995	\N	\N	\N
583501	1986	1996-01-13	PRIJEM	VKLAD	12336	33361	\N	\N	\N
583502	1986	1996-02-13	PRIJEM	VKLAD	12336	25809	\N	\N	\N
583503	1986	1996-03-13	PRIJEM	VKLAD	12336	30175	\N	\N	\N
583504	1986	1996-04-13	PRIJEM	VKLAD	12336	31292	\N	\N	\N
583505	1986	1996-05-13	PRIJEM	VKLAD	12336	30978	\N	\N	\N
583506	1986	1996-06-13	PRIJEM	VKLAD	18504	35630	\N	\N	\N
583507	1986	1996-07-13	PRIJEM	VKLAD	12336	35923	\N	\N	\N
583508	1986	1996-08-13	PRIJEM	VKLAD	12336	30619	\N	\N	\N
583509	1986	1996-09-13	PRIJEM	VKLAD	12336	29241	\N	\N	\N
583510	1986	1996-10-13	PRIJEM	VKLAD	12336	27958	\N	\N	\N
583511	1986	1996-11-13	PRIJEM	VKLAD	12336	28749	\N	\N	\N
583512	1986	1996-12-13	PRIJEM	VKLAD	18504	32627	\N	\N	\N
583513	1986	1997-01-13	PRIJEM	VKLAD	12336	26483	\N	\N	\N
583514	1986	1997-02-13	PRIJEM	VKLAD	12336	26722	\N	\N	\N
583515	1986	1997-03-13	PRIJEM	VKLAD	12336	20784	\N	\N	\N
583516	1986	1997-04-13	PRIJEM	VKLAD	12336	23125	\N	\N	\N
583517	1986	1997-05-13	PRIJEM	VKLAD	12336	25775	\N	\N	\N
583518	1986	1997-06-13	PRIJEM	VKLAD	18504	33303	\N	\N	\N
583519	1986	1997-07-13	PRIJEM	VKLAD	12336	26055	\N	\N	\N
583520	1986	1997-08-13	PRIJEM	VKLAD	12336	23208	\N	\N	\N
583521	1986	1997-09-13	PRIJEM	VKLAD	12336	23454	\N	\N	\N
583522	1986	1997-10-13	PRIJEM	VKLAD	12336	20093	\N	\N	\N
583523	1986	1997-11-13	PRIJEM	VKLAD	12336	19222	\N	\N	\N
583524	1986	1997-12-13	PRIJEM	VKLAD	18504	28622	\N	\N	\N
583525	1986	1998-01-13	PRIJEM	VKLAD	12336	22414	\N	\N	\N
583526	1986	1998-02-13	PRIJEM	VKLAD	12336	20931	\N	\N	\N
583527	1986	1998-03-13	PRIJEM	VKLAD	12336	20562	\N	\N	\N
583528	1986	1998-04-13	PRIJEM	VKLAD	12336	22597	\N	\N	\N
583529	1986	1998-05-13	PRIJEM	VKLAD	12336	29549	\N	\N	\N
583530	1986	1998-06-13	PRIJEM	VKLAD	18504	38891	\N	\N	\N
583531	1986	1998-07-13	PRIJEM	VKLAD	12336	43295	\N	\N	\N
583532	1986	1998-08-13	PRIJEM	VKLAD	12336	42117	\N	\N	\N
583533	1986	1998-09-13	PRIJEM	VKLAD	12336	37109	\N	\N	\N
583534	1986	1998-10-13	PRIJEM	VKLAD	12336	37071	\N	\N	\N
583535	1986	1998-11-13	PRIJEM	VKLAD	12336	43080	\N	\N	\N
583536	1986	1998-12-13	PRIJEM	VKLAD	18504	46417	\N	\N	\N
583545	1986	1995-09-09	VYDAJ	PREVOD NA UCET	5451	28765	SIPO	ST	67953830
583546	1986	1995-10-09	VYDAJ	PREVOD NA UCET	5451	27810	SIPO	ST	67953830
583547	1986	1995-11-09	VYDAJ	PREVOD NA UCET	5451	24579	SIPO	ST	67953830
583548	1986	1995-12-09	VYDAJ	PREVOD NA UCET	5451	26491	SIPO	ST	67953830
583549	1986	1996-01-09	VYDAJ	PREVOD NA UCET	5451	21025	SIPO	ST	67953830
583550	1986	1996-02-09	VYDAJ	PREVOD NA UCET	5451	13473	SIPO	ST	67953830
583551	1986	1996-03-09	VYDAJ	PREVOD NA UCET	5451	17839	SIPO	ST	67953830
583552	1986	1996-04-09	VYDAJ	PREVOD NA UCET	5451	18956	SIPO	ST	67953830
583553	1986	1996-05-09	VYDAJ	PREVOD NA UCET	5451	18642	SIPO	ST	67953830
583554	1986	1996-06-09	VYDAJ	PREVOD NA UCET	5451	17126	SIPO	ST	67953830
583555	1986	1996-07-09	VYDAJ	PREVOD NA UCET	5451	23587	SIPO	ST	67953830
583556	1986	1996-08-09	VYDAJ	PREVOD NA UCET	5451	18283	SIPO	ST	67953830
583557	1986	1996-09-09	VYDAJ	PREVOD NA UCET	5451	19065	SIPO	ST	67953830
583558	1986	1996-10-09	VYDAJ	PREVOD NA UCET	5451	15622	SIPO	ST	67953830
583559	1986	1996-11-09	VYDAJ	PREVOD NA UCET	5451	16413	SIPO	ST	67953830
583560	1986	1996-12-09	VYDAJ	PREVOD NA UCET	5451	14123	SIPO	ST	67953830
583561	1986	1997-01-09	VYDAJ	PREVOD NA UCET	5451	14147	SIPO	ST	67953830
583562	1986	1997-02-09	VYDAJ	PREVOD NA UCET	5451	14386	SIPO	ST	67953830
583563	1986	1997-03-09	VYDAJ	PREVOD NA UCET	5451	8448	SIPO	ST	67953830
583564	1986	1997-04-09	VYDAJ	PREVOD NA UCET	5451	10789	SIPO	ST	67953830
583565	1986	1997-05-09	VYDAJ	PREVOD NA UCET	5451	13439	SIPO	ST	67953830
583566	1986	1997-06-09	VYDAJ	PREVOD NA UCET	5451	14799	SIPO	ST	67953830
583567	1986	1997-07-09	VYDAJ	PREVOD NA UCET	5451	13719	SIPO	ST	67953830
583568	1986	1997-08-09	VYDAJ	PREVOD NA UCET	5451	10872	SIPO	ST	67953830
583569	1986	1997-09-09	VYDAJ	PREVOD NA UCET	5451	11118	SIPO	ST	67953830
583570	1986	1997-10-09	VYDAJ	PREVOD NA UCET	5451	7757	SIPO	ST	67953830
583571	1986	1997-11-09	VYDAJ	PREVOD NA UCET	5451	6886	SIPO	ST	67953830
583572	1986	1997-12-09	VYDAJ	PREVOD NA UCET	5451	10118	SIPO	ST	67953830
583573	1986	1998-01-09	VYDAJ	PREVOD NA UCET	5451	10078	SIPO	ST	67953830
583574	1986	1998-02-09	VYDAJ	PREVOD NA UCET	5451	8595	SIPO	ST	67953830
583575	1986	1998-03-09	VYDAJ	PREVOD NA UCET	5451	8226	SIPO	ST	67953830
583576	1986	1998-04-09	VYDAJ	PREVOD NA UCET	5451	10261	SIPO	ST	67953830
583577	1986	1998-05-09	VYDAJ	PREVOD NA UCET	5451	17213	SIPO	ST	67953830
583578	1986	1998-06-09	VYDAJ	PREVOD NA UCET	5451	20387	SIPO	ST	67953830
583579	1986	1998-07-09	VYDAJ	PREVOD NA UCET	5451	30959	SIPO	ST	67953830
583580	1986	1998-08-09	VYDAJ	PREVOD NA UCET	5451	29781	SIPO	ST	67953830
583581	1986	1998-09-09	VYDAJ	PREVOD NA UCET	5451	24773	SIPO	ST	67953830
583582	1986	1998-10-09	VYDAJ	PREVOD NA UCET	5451	24735	SIPO	ST	67953830
583583	1986	1998-11-09	VYDAJ	PREVOD NA UCET	5451	30744	SIPO	ST	67953830
583584	1986	1998-12-09	VYDAJ	PREVOD NA UCET	5451	27913	SIPO	ST	67953830
583589	1986	1995-12-19	VYDAJ	VYBER	4320	40075	\N	\N	\N
583590	1986	1996-12-06	VYDAJ	VYBER	2880	19574	\N	\N	\N
583591	1986	1997-12-26	VYDAJ	VYBER	3360	17862	\N	\N	\N
583592	1986	1998-12-04	VYDAJ	VYBER	3520	33364	\N	\N	\N
583599	1986	1996-01-29	VYDAJ	VYBER	2640	18821	\N	\N	\N
583600	1986	1996-01-28	VYDAJ	VYBER	1200	22081	\N	\N	\N
583601	1986	1996-01-23	VYDAJ	VYBER	1560	29041	\N	\N	\N
583602	1986	1996-01-05	VYDAJ	VYBER	3120	27796	\N	\N	\N
583603	1986	1996-01-08	VYDAJ	VYBER	1320	26476	\N	\N	\N
583604	1986	1996-01-22	VYDAJ	VYBER	2760	30601	\N	\N	\N
583605	1986	1997-01-25	VYDAJ	VYBER	1680	19763	\N	\N	\N
583606	1986	1997-01-01	VYDAJ	VYBER	2040	22478	\N	\N	\N
583607	1986	1997-01-21	VYDAJ	VYBER	2400	23243	\N	\N	\N
583608	1986	1997-01-06	VYDAJ	VYBER	1680	19598	\N	\N	\N
583609	1986	1997-01-16	VYDAJ	VYBER	840	25643	\N	\N	\N
583610	1986	1997-01-02	VYDAJ	VYBER	1200	21278	\N	\N	\N
583611	1986	1998-01-05	VYDAJ	VYBER	2400	15529	\N	\N	\N
583612	1986	1998-01-21	VYDAJ	VYBER	1200	15314	\N	\N	\N
583616	1986	1998-01-22	VYDAJ	VYBER	1320	13994	\N	\N	\N
583617	1986	1995-12-16	VYDAJ	VYBER	600	44395	\N	\N	\N
583618	1986	1995-10-25	VYDAJ	VYBER	2160	37986	\N	\N	\N
583621	1986	1996-01-23	VYDAJ	VYBER	5760	23281	\N	\N	\N
583622	1986	1996-01-29	VYDAJ	VYBER	2520	21461	\N	\N	\N
583623	1986	1996-11-24	VYDAJ	VYBER	1680	22369	\N	\N	\N
583624	1986	1996-09-30	VYDAJ	VYBER	4560	21088	\N	\N	\N
583625	1986	1996-07-18	VYDAJ	VYBER	3240	32683	\N	\N	\N
583626	1986	1996-11-09	VYDAJ	VYBER	1080	21864	\N	\N	\N
583627	1986	1996-09-10	VYDAJ	VYBER	2160	16905	\N	\N	\N
583628	1986	1996-03-20	VYDAJ	VYBER	3960	26215	\N	\N	\N
583629	1986	1996-07-23	VYDAJ	VYBER	960	31723	\N	\N	\N
583630	1986	1997-03-08	VYDAJ	VYBER	3480	13899	\N	\N	\N
583632	1986	1997-02-27	VYDAJ	VYBER	4320	17302	\N	\N	\N
583635	1986	1997-07-04	VYDAJ	VYBER	2520	19170	\N	\N	\N
583636	1986	1997-09-18	VYDAJ	VYBER	2400	21054	\N	\N	\N
583637	1986	1998-08-27	VYDAJ	VYBER	3120	30097	\N	\N	\N
583638	1986	1998-09-30	VYDAJ	VYBER	2400	30186	\N	\N	\N
583639	1986	1998-12-13	VYDAJ	VYBER	2040	44377	\N	\N	\N
583640	1986	1998-12-19	VYDAJ	VYBER	840	46437	\N	\N	\N
583641	1986	1998-11-24	VYDAJ	VYBER	5040	36740	\N	\N	\N
583642	1986	1998-09-16	VYDAJ	VYBER	1440	32469	\N	\N	\N
583651	1986	1995-08-31	VYDAJ	VYBER	15	50116	SLUZBY	\N	\N
583652	1986	1995-09-30	VYDAJ	VYBER	15	41261	SLUZBY	\N	\N
583653	1986	1995-10-31	VYDAJ	VYBER	15	38130	SLUZBY	\N	\N
583654	1986	1995-11-30	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
583655	1986	1995-12-31	VYDAJ	VYBER	15	30916	SLUZBY	\N	\N
583656	1986	1996-01-31	VYDAJ	VYBER	15	18924	SLUZBY	\N	\N
583657	1986	1996-02-29	VYDAJ	VYBER	15	23290	SLUZBY	\N	\N
583658	1986	1996-03-31	VYDAJ	VYBER	15	24407	SLUZBY	\N	\N
583659	1986	1996-04-30	VYDAJ	VYBER	15	24093	SLUZBY	\N	\N
583660	1986	1996-05-31	VYDAJ	VYBER	15	22577	SLUZBY	\N	\N
583661	1986	1996-06-30	VYDAJ	VYBER	15	29038	SLUZBY	\N	\N
583662	1986	1996-07-31	VYDAJ	VYBER	15	23734	SLUZBY	\N	\N
583663	1986	1996-08-31	VYDAJ	VYBER	15	24516	SLUZBY	\N	\N
583664	1986	1996-09-30	VYDAJ	VYBER	15	21073	SLUZBY	\N	\N
583665	1986	1996-10-31	VYDAJ	VYBER	15	22944	SLUZBY	\N	\N
583666	1986	1996-11-30	VYDAJ	VYBER	15	22454	SLUZBY	\N	\N
583667	1986	1996-12-31	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
583668	1986	1997-01-31	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
583669	1986	1997-02-28	VYDAJ	VYBER	15	17379	SLUZBY	\N	\N
583670	1986	1997-03-31	VYDAJ	VYBER	15	16240	SLUZBY	\N	\N
583671	1986	1997-04-30	VYDAJ	VYBER	15	18890	SLUZBY	\N	\N
583672	1986	1997-05-31	VYDAJ	VYBER	15	20250	SLUZBY	\N	\N
583673	1986	1997-06-30	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
583674	1986	1997-07-31	VYDAJ	VYBER	15	16323	SLUZBY	\N	\N
583675	1986	1997-08-31	VYDAJ	VYBER	15	16569	SLUZBY	\N	\N
583676	1986	1997-09-30	VYDAJ	VYBER	15	13208	SLUZBY	\N	\N
583677	1986	1997-10-31	VYDAJ	VYBER	15	12337	SLUZBY	\N	\N
583678	1986	1997-11-30	VYDAJ	VYBER	15	15569	SLUZBY	\N	\N
583679	1986	1997-12-31	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
583680	1986	1998-01-31	VYDAJ	VYBER	15	14046	SLUZBY	\N	\N
583681	1986	1998-02-28	VYDAJ	VYBER	15	13677	SLUZBY	\N	\N
583682	1986	1998-03-31	VYDAJ	VYBER	15	15712	SLUZBY	\N	\N
583683	1986	1998-04-30	VYDAJ	VYBER	15	22664	SLUZBY	\N	\N
583684	1986	1998-05-31	VYDAJ	VYBER	15	25838	SLUZBY	\N	\N
583685	1986	1998-06-30	VYDAJ	VYBER	15	36410	SLUZBY	\N	\N
583686	1986	1998-07-31	VYDAJ	VYBER	15	35232	SLUZBY	\N	\N
583687	1986	1998-08-31	VYDAJ	VYBER	15	30224	SLUZBY	\N	\N
583688	1986	1998-09-30	VYDAJ	VYBER	15	32586	SLUZBY	\N	\N
583689	1986	1998-10-31	VYDAJ	VYBER	15	36195	SLUZBY	\N	\N
583690	1986	1998-11-30	VYDAJ	VYBER	15	36884	SLUZBY	\N	\N
583691	1986	1995-05-04	PRIJEM	VKLAD	2500	15970	\N	\N	\N
583692	1986	1995-06-03	VYDAJ	VYBER	3200	25200	\N	\N	\N
583693	1986	1995-07-03	VYDAJ	VYBER	8000	35860	\N	\N	\N
583694	1986	1995-08-02	VYDAJ	VYBER	10800	37590	\N	\N	\N
583695	1986	1995-09-01	VYDAJ	VYBER	15900	34216	\N	\N	\N
583696	1986	1995-10-01	VYDAJ	VYBER	8000	33261	\N	\N	\N
583697	1986	1995-10-31	VYDAJ	VYBER	8100	30030	\N	\N	\N
583698	1986	1995-11-30	VYDAJ	VYBER	5100	31942	\N	\N	\N
583699	1986	1995-12-30	VYDAJ	VYBER	9300	30775	\N	\N	\N
583700	1986	1996-01-29	PRIJEM	VKLAD	1900	23981	\N	\N	\N
583701	1986	1996-02-28	VYDAJ	VYBER	2600	23209	\N	\N	\N
583702	1986	1996-03-29	VYDAJ	VYBER	1900	24315	\N	\N	\N
583703	1986	1996-04-28	VYDAJ	VYBER	7300	23992	\N	\N	\N
583704	1986	1996-05-28	VYDAJ	VYBER	8500	22478	\N	\N	\N
583705	1986	1996-06-27	VYDAJ	VYBER	6700	28930	\N	\N	\N
583706	1986	1996-07-27	VYDAJ	VYBER	8100	23623	\N	\N	\N
583707	1986	1996-08-26	VYDAJ	VYBER	6200	24419	\N	\N	\N
583708	1986	1996-09-25	VYDAJ	VYBER	3700	25541	\N	\N	\N
583709	1986	1996-10-25	VYDAJ	VYBER	5100	22858	\N	\N	\N
583710	1986	1996-11-24	VYDAJ	VYBER	4700	24049	\N	\N	\N
583711	1986	1996-12-24	VYDAJ	VYBER	8200	24427	\N	\N	\N
583712	1986	1997-01-23	VYDAJ	VYBER	1800	21443	\N	\N	\N
583713	1986	1997-02-22	VYDAJ	VYBER	5100	21622	\N	\N	\N
583714	1986	1997-03-24	VYDAJ	VYBER	4600	16184	\N	\N	\N
583715	1986	1997-04-23	VYDAJ	VYBER	4300	18825	\N	\N	\N
583716	1986	1997-05-23	VYDAJ	VYBER	5600	20175	\N	\N	\N
583717	1986	1997-06-22	VYDAJ	VYBER	11700	21603	\N	\N	\N
583718	1986	1997-07-22	VYDAJ	VYBER	9800	16255	\N	\N	\N
583719	1986	1997-08-21	VYDAJ	VYBER	6700	16508	\N	\N	\N
583720	1986	1997-09-20	VYDAJ	VYBER	7900	13154	\N	\N	\N
583721	1986	1997-10-20	VYDAJ	VYBER	7800	12293	\N	\N	\N
583722	1986	1997-11-19	VYDAJ	VYBER	3700	15522	\N	\N	\N
583723	1986	1997-12-19	VYDAJ	VYBER	7400	21222	\N	\N	\N
583724	1986	1998-01-18	VYDAJ	VYBER	5900	16514	\N	\N	\N
583725	1986	1998-02-17	VYDAJ	VYBER	7300	13631	\N	\N	\N
583726	1986	1998-03-19	VYDAJ	VYBER	4900	15662	\N	\N	\N
583727	1986	1998-05-18	VYDAJ	VYBER	3800	25749	\N	\N	\N
583728	1986	1998-06-17	VYDAJ	VYBER	2600	36291	\N	\N	\N
583729	1986	1998-07-17	VYDAJ	VYBER	8200	35095	\N	\N	\N
583730	1986	1998-08-16	VYDAJ	VYBER	8900	33217	\N	\N	\N
583731	1986	1998-09-15	VYDAJ	VYBER	3200	33909	\N	\N	\N
583732	1986	1998-10-15	VYDAJ	VYBER	1000	36071	\N	\N	\N
583733	1986	1998-11-14	VYDAJ	VYBER	1300	41780	\N	\N	\N
583734	1986	1998-12-14	PRIJEM	VKLAD	2900	47277	\N	\N	\N
583780	1987	1994-03-17	PRIJEM	VKLAD	900	900	\N	\N	\N
583784	1987	1994-04-12	PRIJEM	VKLAD	19052	19952	\N	\N	\N
583785	1987	1994-05-12	PRIJEM	VKLAD	19052	39947	\N	\N	\N
583786	1987	1994-06-12	PRIJEM	VKLAD	28578	59033	\N	\N	\N
583787	1987	1994-07-12	PRIJEM	VKLAD	19052	62440	\N	\N	\N
583788	1987	1994-08-12	PRIJEM	VKLAD	19052	64376	\N	\N	\N
583789	1987	1994-09-12	PRIJEM	VKLAD	19052	62898	\N	\N	\N
583790	1987	1994-10-12	PRIJEM	VKLAD	19052	62718	\N	\N	\N
583791	1987	1994-11-12	PRIJEM	VKLAD	19052	62335	\N	\N	\N
583792	1987	1994-12-12	PRIJEM	VKLAD	28578	68971	\N	\N	\N
583793	1987	1995-01-12	PRIJEM	VKLAD	19052	39918	\N	\N	\N
583794	1987	1995-02-12	PRIJEM	VKLAD	19052	45468	\N	\N	\N
583795	1987	1995-03-12	PRIJEM	VKLAD	19052	61666	\N	\N	\N
583796	1987	1995-04-12	PRIJEM	VKLAD	19052	47729	\N	\N	\N
583797	1987	1995-05-12	PRIJEM	VKLAD	19052	49852	\N	\N	\N
583798	1987	1995-06-12	PRIJEM	VKLAD	28578	54561	\N	\N	\N
583799	1987	1995-07-12	PRIJEM	VKLAD	19052	51547	\N	\N	\N
583800	1987	1995-08-12	PRIJEM	VKLAD	19052	49415	\N	\N	\N
583801	1987	1995-09-12	PRIJEM	VKLAD	19052	50271	\N	\N	\N
583802	1987	1995-10-12	PRIJEM	VKLAD	19052	48924	\N	\N	\N
583803	1987	1995-11-12	PRIJEM	VKLAD	19052	52659	\N	\N	\N
583804	1987	1995-12-12	PRIJEM	VKLAD	28578	56975	\N	\N	\N
583805	1987	1996-01-12	PRIJEM	VKLAD	19052	42346	\N	\N	\N
583806	1987	1996-02-12	PRIJEM	VKLAD	19052	44376	\N	\N	\N
583807	1987	1996-03-12	PRIJEM	VKLAD	19052	41093	\N	\N	\N
583808	1987	1996-04-12	PRIJEM	VKLAD	19052	46109	\N	\N	\N
583809	1987	1996-05-12	PRIJEM	VKLAD	19052	48628	\N	\N	\N
583810	1987	1996-06-12	PRIJEM	VKLAD	28578	42170	\N	\N	\N
583811	1987	1996-07-12	PRIJEM	VKLAD	19052	41253	\N	\N	\N
583812	1987	1996-08-12	PRIJEM	VKLAD	19052	44763	\N	\N	\N
583813	1987	1996-09-12	PRIJEM	VKLAD	19052	46181	\N	\N	\N
583814	1987	1996-10-12	PRIJEM	VKLAD	19052	48008	\N	\N	\N
583815	1987	1996-11-12	PRIJEM	VKLAD	19052	45942	\N	\N	\N
583816	1987	1996-12-12	PRIJEM	VKLAD	28578	52379	\N	\N	\N
583817	1987	1997-01-12	PRIJEM	VKLAD	19052	45080	\N	\N	\N
583818	1987	1997-02-12	PRIJEM	VKLAD	19052	43990	\N	\N	\N
583819	1987	1997-03-12	PRIJEM	VKLAD	19052	47433	\N	\N	\N
583820	1987	1997-04-12	PRIJEM	VKLAD	19052	40501	\N	\N	\N
583821	1987	1997-05-12	PRIJEM	VKLAD	19052	39035	\N	\N	\N
583822	1987	1997-06-12	PRIJEM	VKLAD	28578	51257	\N	\N	\N
583823	1987	1997-07-12	PRIJEM	VKLAD	19052	37665	\N	\N	\N
583824	1987	1997-08-12	PRIJEM	VKLAD	19052	40479	\N	\N	\N
583825	1987	1997-09-12	PRIJEM	VKLAD	19052	39990	\N	\N	\N
583826	1987	1997-10-12	PRIJEM	VKLAD	19052	36812	\N	\N	\N
583827	1987	1997-11-12	PRIJEM	VKLAD	19052	44467	\N	\N	\N
583828	1987	1997-12-12	PRIJEM	VKLAD	28578	55034	\N	\N	\N
583829	1987	1998-01-12	PRIJEM	VKLAD	19052	37325	\N	\N	\N
583830	1987	1998-02-12	PRIJEM	VKLAD	19052	45565	\N	\N	\N
583831	1987	1998-03-12	PRIJEM	VKLAD	19052	38871	\N	\N	\N
583832	1987	1998-04-12	PRIJEM	VKLAD	19052	38631	\N	\N	\N
583833	1987	1998-05-12	PRIJEM	VKLAD	19052	41649	\N	\N	\N
583834	1987	1998-06-12	PRIJEM	VKLAD	28578	48700	\N	\N	\N
583835	1987	1998-07-12	PRIJEM	VKLAD	19052	45924	\N	\N	\N
583836	1987	1998-08-12	PRIJEM	VKLAD	19052	41965	\N	\N	\N
583837	1987	1998-09-12	PRIJEM	VKLAD	19052	43897	\N	\N	\N
583838	1987	1998-10-12	PRIJEM	VKLAD	19052	44033	\N	\N	\N
583839	1987	1998-11-12	PRIJEM	VKLAD	19052	40732	\N	\N	\N
583840	1987	1998-12-12	PRIJEM	VKLAD	28578	47990	\N	\N	\N
583842	1987	1995-06-02	VYDAJ	VYBER	10560	39483	\N	\N	\N
583843	1987	1996-06-04	VYDAJ	VYBER	31520	17292	\N	\N	\N
583844	1987	1997-06-28	VYDAJ	VYBER	30720	20537	\N	\N	\N
583847	1987	1995-01-02	VYDAJ	VYBER	8800	28006	\N	\N	\N
583848	1987	1996-01-11	VYDAJ	VYBER	6560	23294	\N	\N	\N
583850	1987	1998-01-02	VYDAJ	VYBER	10080	18273	\N	\N	\N
583851	1987	1994-12-23	VYDAJ	VYBER	4480	40091	\N	\N	\N
583852	1987	1995-12-04	VYDAJ	VYBER	3200	48817	\N	\N	\N
583853	1987	1996-12-05	VYDAJ	VYBER	2720	23801	\N	\N	\N
583854	1987	1997-12-19	VYDAJ	VYBER	2560	52474	\N	\N	\N
583855	1987	1998-12-06	VYDAJ	VYBER	1120	19412	\N	\N	\N
583862	1987	1995-01-02	VYDAJ	VYBER	1560	36806	\N	\N	\N
583863	1987	1995-01-28	VYDAJ	VYBER	2760	30198	\N	\N	\N
583864	1987	1995-01-23	VYDAJ	VYBER	2640	32958	\N	\N	\N
583865	1987	1995-01-21	VYDAJ	VYBER	2400	35598	\N	\N	\N
583866	1987	1995-01-14	VYDAJ	VYBER	1920	37998	\N	\N	\N
583867	1987	1995-01-11	VYDAJ	VYBER	1080	20866	\N	\N	\N
583868	1987	1996-01-05	VYDAJ	VYBER	2160	51654	\N	\N	\N
583869	1987	1996-01-13	VYDAJ	VYBER	1080	41266	\N	\N	\N
583870	1987	1996-01-08	VYDAJ	VYBER	2400	29854	\N	\N	\N
583871	1987	1996-01-07	VYDAJ	VYBER	1320	32254	\N	\N	\N
583872	1987	1996-01-06	VYDAJ	VYBER	1080	50574	\N	\N	\N
583873	1987	1996-01-03	VYDAJ	VYBER	3360	53814	\N	\N	\N
583874	1987	1997-01-20	VYDAJ	VYBER	1560	43520	\N	\N	\N
583875	1987	1997-01-09	VYDAJ	VYBER	3240	26028	\N	\N	\N
583876	1987	1997-01-26	VYDAJ	VYBER	2760	38000	\N	\N	\N
583877	1987	1997-01-25	VYDAJ	VYBER	1680	40760	\N	\N	\N
583878	1987	1997-01-05	VYDAJ	VYBER	2280	29268	\N	\N	\N
583879	1987	1997-01-21	VYDAJ	VYBER	1080	42440	\N	\N	\N
583880	1987	1998-01-23	VYDAJ	VYBER	1080	31205	\N	\N	\N
583881	1987	1998-01-12	VYDAJ	VYBER	1680	35645	\N	\N	\N
583882	1987	1998-01-29	VYDAJ	VYBER	1920	26405	\N	\N	\N
583883	1987	1998-01-17	VYDAJ	VYBER	3360	32285	\N	\N	\N
583885	1987	1998-01-25	VYDAJ	VYBER	2880	28325	\N	\N	\N
583886	1987	1994-12-29	VYDAJ	VYBER	1920	38171	\N	\N	\N
583889	1987	1995-02-20	VYDAJ	VYBER	3000	42468	\N	\N	\N
583890	1987	1995-11-16	VYDAJ	VYBER	840	51819	\N	\N	\N
583891	1987	1995-08-01	VYDAJ	VYBER	5280	46463	\N	\N	\N
583892	1987	1995-12-08	VYDAJ	VYBER	3720	28397	\N	\N	\N
583893	1987	1995-01-03	VYDAJ	VYBER	3360	24646	\N	\N	\N
583894	1987	1995-08-25	VYDAJ	VYBER	2280	47135	\N	\N	\N
583895	1987	1995-09-19	VYDAJ	VYBER	5280	44991	\N	\N	\N
583896	1987	1995-06-25	VYDAJ	VYBER	5760	48801	\N	\N	\N
583897	1987	1996-03-26	VYDAJ	VYBER	1680	39413	\N	\N	\N
583898	1987	1996-03-05	VYDAJ	VYBER	5520	37581	\N	\N	\N
583899	1987	1996-03-03	VYDAJ	VYBER	1440	43101	\N	\N	\N
583900	1987	1996-03-11	VYDAJ	VYBER	5040	22041	\N	\N	\N
583903	1987	1997-10-08	VYDAJ	VYBER	2400	17760	\N	\N	\N
583904	1987	1997-04-23	VYDAJ	VYBER	1080	39421	\N	\N	\N
583905	1987	1997-08-24	VYDAJ	VYBER	4920	35559	\N	\N	\N
583906	1987	1997-12-19	VYDAJ	VYBER	2040	50434	\N	\N	\N
583907	1987	1997-05-31	VYDAJ	VYBER	3000	22694	\N	\N	\N
583908	1987	1997-04-08	VYDAJ	VYBER	5760	21449	\N	\N	\N
583910	1987	1998-03-05	VYDAJ	VYBER	5160	19819	\N	\N	\N
583911	1987	1998-12-13	VYDAJ	VYBER	4680	43310	\N	\N	\N
583912	1987	1998-02-23	VYDAJ	VYBER	1080	44485	\N	\N	\N
583913	1987	1998-11-07	VYDAJ	VYBER	4440	21680	\N	\N	\N
583922	1987	1994-08-31	VYDAJ	VYBER	15	43846	SLUZBY	\N	\N
583923	1987	1994-09-30	VYDAJ	VYBER	15	43666	SLUZBY	\N	\N
583924	1987	1994-10-31	VYDAJ	VYBER	15	43283	SLUZBY	\N	\N
583925	1987	1994-11-30	VYDAJ	VYBER	15	40393	SLUZBY	\N	\N
583926	1987	1994-12-31	VYDAJ	VYBER	15	38366	SLUZBY	\N	\N
583927	1987	1995-01-31	VYDAJ	VYBER	15	30316	SLUZBY	\N	\N
583928	1987	1995-02-28	VYDAJ	VYBER	15	42614	SLUZBY	\N	\N
583929	1987	1995-03-31	VYDAJ	VYBER	15	39077	SLUZBY	\N	\N
583930	1987	1995-04-30	VYDAJ	VYBER	15	47900	SLUZBY	\N	\N
583931	1987	1995-05-31	VYDAJ	VYBER	15	50043	SLUZBY	\N	\N
583932	1987	1995-06-30	VYDAJ	VYBER	15	48995	SLUZBY	\N	\N
583933	1987	1995-07-31	VYDAJ	VYBER	15	51743	SLUZBY	\N	\N
583934	1987	1995-08-31	VYDAJ	VYBER	15	47319	SLUZBY	\N	\N
583935	1987	1995-09-30	VYDAJ	VYBER	15	45172	SLUZBY	\N	\N
583936	1987	1995-10-31	VYDAJ	VYBER	15	49107	SLUZBY	\N	\N
583937	1987	1995-11-30	VYDAJ	VYBER	15	52017	SLUZBY	\N	\N
583938	1987	1995-12-31	VYDAJ	VYBER	15	57174	SLUZBY	\N	\N
583939	1987	1996-01-31	VYDAJ	VYBER	15	41424	SLUZBY	\N	\N
583940	1987	1996-02-29	VYDAJ	VYBER	15	44541	SLUZBY	\N	\N
583941	1987	1996-03-31	VYDAJ	VYBER	15	39557	SLUZBY	\N	\N
583942	1987	1996-04-30	VYDAJ	VYBER	15	46276	SLUZBY	\N	\N
583943	1987	1996-05-31	VYDAJ	VYBER	15	48812	SLUZBY	\N	\N
583944	1987	1996-06-30	VYDAJ	VYBER	15	42301	SLUZBY	\N	\N
583945	1987	1996-07-31	VYDAJ	VYBER	15	41411	SLUZBY	\N	\N
583946	1987	1996-08-31	VYDAJ	VYBER	15	44929	SLUZBY	\N	\N
583947	1987	1996-09-30	VYDAJ	VYBER	15	46356	SLUZBY	\N	\N
583948	1987	1996-10-31	VYDAJ	VYBER	15	48190	SLUZBY	\N	\N
583949	1987	1996-11-30	VYDAJ	VYBER	15	46121	SLUZBY	\N	\N
583950	1987	1996-12-31	VYDAJ	VYBER	15	31548	SLUZBY	\N	\N
583951	1987	1997-01-31	VYDAJ	VYBER	15	24938	SLUZBY	\N	\N
583952	1987	1997-02-28	VYDAJ	VYBER	15	44081	SLUZBY	\N	\N
583953	1987	1997-03-31	VYDAJ	VYBER	15	47609	SLUZBY	\N	\N
583954	1987	1997-04-30	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
583955	1987	1997-05-31	VYDAJ	VYBER	15	22679	SLUZBY	\N	\N
583956	1987	1997-06-30	VYDAJ	VYBER	15	18613	SLUZBY	\N	\N
583957	1987	1997-07-31	VYDAJ	VYBER	15	21427	SLUZBY	\N	\N
583958	1987	1997-08-31	VYDAJ	VYBER	15	20938	SLUZBY	\N	\N
583959	1987	1997-09-30	VYDAJ	VYBER	15	20160	SLUZBY	\N	\N
583960	1987	1997-10-31	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
583961	1987	1997-11-30	VYDAJ	VYBER	15	26456	SLUZBY	\N	\N
583962	1987	1997-12-31	VYDAJ	VYBER	15	28353	SLUZBY	\N	\N
583963	1987	1998-01-31	VYDAJ	VYBER	15	26513	SLUZBY	\N	\N
583964	1987	1998-02-28	VYDAJ	VYBER	15	24979	SLUZBY	\N	\N
583965	1987	1998-03-31	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
583966	1987	1998-04-30	VYDAJ	VYBER	15	22597	SLUZBY	\N	\N
583967	1987	1998-05-31	VYDAJ	VYBER	15	20122	SLUZBY	\N	\N
583968	1987	1998-06-30	VYDAJ	VYBER	15	26872	SLUZBY	\N	\N
583969	1987	1998-07-31	VYDAJ	VYBER	15	22913	SLUZBY	\N	\N
583970	1987	1998-08-31	VYDAJ	VYBER	15	24845	SLUZBY	\N	\N
583971	1987	1998-09-30	VYDAJ	VYBER	15	24981	SLUZBY	\N	\N
583972	1987	1998-10-31	VYDAJ	VYBER	15	26120	SLUZBY	\N	\N
583973	1987	1998-11-30	VYDAJ	VYBER	15	20532	SLUZBY	\N	\N
583974	1987	1994-04-16	PRIJEM	VKLAD	900	20852	\N	\N	\N
583975	1987	1994-05-16	VYDAJ	VYBER	9600	30347	\N	\N	\N
583976	1987	1994-06-15	VYDAJ	VYBER	15800	43233	\N	\N	\N
583977	1987	1994-07-15	VYDAJ	VYBER	17300	45140	\N	\N	\N
583978	1987	1994-08-14	VYDAJ	VYBER	20700	43676	\N	\N	\N
583979	1987	1994-09-13	VYDAJ	VYBER	19400	43498	\N	\N	\N
583980	1987	1994-10-13	VYDAJ	VYBER	19600	43118	\N	\N	\N
583981	1987	1994-11-12	VYDAJ	VYBER	22100	40235	\N	\N	\N
583982	1987	1994-12-12	VYDAJ	VYBER	24400	44571	\N	\N	\N
583983	1987	1995-01-11	VYDAJ	VYBER	2700	21946	\N	\N	\N
583984	1987	1995-02-10	VYDAJ	VYBER	3900	26416	\N	\N	\N
583985	1987	1995-03-12	VYDAJ	VYBER	22800	38866	\N	\N	\N
583986	1987	1995-04-11	VYDAJ	VYBER	10400	28677	\N	\N	\N
583987	1987	1995-05-11	VYDAJ	VYBER	17100	30800	\N	\N	\N
583988	1987	1995-06-10	VYDAJ	VYBER	13500	25983	\N	\N	\N
583989	1987	1995-07-10	VYDAJ	VYBER	16500	32495	\N	\N	\N
583990	1987	1995-08-09	VYDAJ	VYBER	16100	30363	\N	\N	\N
583991	1987	1995-09-08	VYDAJ	VYBER	16100	31219	\N	\N	\N
583992	1987	1995-10-08	VYDAJ	VYBER	15300	29872	\N	\N	\N
583993	1987	1995-11-07	VYDAJ	VYBER	15500	33607	\N	\N	\N
583994	1987	1995-12-07	VYDAJ	VYBER	16700	32117	\N	\N	\N
583995	1987	1996-01-06	VYDAJ	VYBER	17000	33574	\N	\N	\N
583996	1987	1996-02-05	VYDAJ	VYBER	16100	25324	\N	\N	\N
583997	1987	1996-03-06	VYDAJ	VYBER	10500	27081	\N	\N	\N
583998	1987	1996-04-05	VYDAJ	VYBER	12500	27057	\N	\N	\N
583999	1987	1996-05-05	VYDAJ	VYBER	16700	29576	\N	\N	\N
584000	1987	1996-06-04	VYDAJ	VYBER	3700	13592	\N	\N	\N
584001	1987	1996-07-04	VYDAJ	VYBER	20100	22201	\N	\N	\N
584002	1987	1996-08-03	VYDAJ	VYBER	15700	25711	\N	\N	\N
584003	1987	1996-09-02	VYDAJ	VYBER	17800	27129	\N	\N	\N
584004	1987	1996-10-02	VYDAJ	VYBER	17400	28956	\N	\N	\N
584005	1987	1996-11-01	VYDAJ	VYBER	21300	26890	\N	\N	\N
584006	1987	1996-12-01	VYDAJ	VYBER	19600	26521	\N	\N	\N
584007	1987	1996-12-31	VYDAJ	VYBER	21000	31563	\N	\N	\N
584008	1987	1997-01-30	VYDAJ	VYBER	13200	24800	\N	\N	\N
584009	1987	1997-03-01	VYDAJ	VYBER	15700	28381	\N	\N	\N
584010	1987	1997-03-31	VYDAJ	VYBER	20400	27209	\N	\N	\N
584011	1987	1997-04-30	VYDAJ	VYBER	19600	19983	\N	\N	\N
584012	1987	1997-05-30	VYDAJ	VYBER	13500	25535	\N	\N	\N
584013	1987	1997-06-29	VYDAJ	VYBER	2000	18537	\N	\N	\N
584014	1987	1997-07-29	VYDAJ	VYBER	16300	21365	\N	\N	\N
584015	1987	1997-08-28	VYDAJ	VYBER	14700	20859	\N	\N	\N
584016	1987	1997-09-27	VYDAJ	VYBER	19900	20090	\N	\N	\N
584017	1987	1997-10-27	VYDAJ	VYBER	11500	25312	\N	\N	\N
584018	1987	1997-11-26	VYDAJ	VYBER	18100	26367	\N	\N	\N
584019	1987	1997-12-26	VYDAJ	VYBER	22200	28234	\N	\N	\N
584020	1987	1998-02-24	VYDAJ	VYBER	19600	24885	\N	\N	\N
584021	1987	1998-03-26	VYDAJ	VYBER	19400	19471	\N	\N	\N
584022	1987	1998-04-25	VYDAJ	VYBER	16100	22531	\N	\N	\N
584023	1987	1998-05-25	VYDAJ	VYBER	21600	20049	\N	\N	\N
584024	1987	1998-06-24	VYDAJ	VYBER	21900	26800	\N	\N	\N
584025	1987	1998-07-24	VYDAJ	VYBER	23100	22824	\N	\N	\N
584026	1987	1998-08-23	VYDAJ	VYBER	17200	24765	\N	\N	\N
584027	1987	1998-09-22	VYDAJ	VYBER	19000	24897	\N	\N	\N
584028	1987	1998-10-22	VYDAJ	VYBER	18000	26033	\N	\N	\N
584029	1987	1998-11-21	VYDAJ	VYBER	20300	20432	\N	\N	\N
584087	1988	1996-12-30	PRIJEM	VKLAD	300	300	\N	\N	\N
584100	1988	1997-01-14	PRIJEM	VKLAD	4007	4307	\N	\N	\N
584101	1988	1997-02-14	PRIJEM	VKLAD	4007	17119	\N	\N	\N
584102	1988	1997-03-14	PRIJEM	VKLAD	4007	22382	\N	\N	\N
584103	1988	1997-04-14	PRIJEM	VKLAD	4007	26166	\N	\N	\N
584104	1988	1997-05-14	PRIJEM	VKLAD	4007	33367	\N	\N	\N
584105	1988	1997-06-14	PRIJEM	VKLAD	6011	36122	\N	\N	\N
584106	1988	1997-07-14	PRIJEM	VKLAD	4007	20418	\N	\N	\N
584107	1988	1997-08-14	PRIJEM	VKLAD	4007	25217	\N	\N	\N
584108	1988	1997-09-14	PRIJEM	VKLAD	4007	24333	\N	\N	\N
584109	1988	1997-10-14	PRIJEM	VKLAD	4007	26458	\N	\N	\N
584110	1988	1997-11-14	PRIJEM	VKLAD	4007	27580	\N	\N	\N
584111	1988	1997-12-14	PRIJEM	VKLAD	6011	30427	\N	\N	\N
584112	1988	1998-01-14	PRIJEM	VKLAD	4007	26364	\N	\N	\N
584113	1988	1998-02-14	PRIJEM	VKLAD	4007	27624	\N	\N	\N
584114	1988	1998-03-14	PRIJEM	VKLAD	4007	27445	\N	\N	\N
584115	1988	1998-04-14	PRIJEM	VKLAD	4007	24227	\N	\N	\N
584116	1988	1998-05-14	PRIJEM	VKLAD	4007	24739	\N	\N	\N
584117	1988	1998-06-14	PRIJEM	VKLAD	6011	23174	\N	\N	\N
584118	1988	1998-07-14	PRIJEM	VKLAD	4007	24478	\N	\N	\N
584119	1988	1998-08-14	PRIJEM	VKLAD	4007	26892	\N	\N	\N
584120	1988	1998-09-14	PRIJEM	VKLAD	4007	30314	\N	\N	\N
584121	1988	1998-10-14	PRIJEM	VKLAD	4007	33696	\N	\N	\N
584122	1988	1998-11-14	PRIJEM	VKLAD	4007	35544	\N	\N	\N
584123	1988	1998-12-14	PRIJEM	VKLAD	6011	33795	\N	\N	\N
584140	1988	1997-05-14	VYDAJ	PREVOD NA UCET	2671	30696	SIPO	AB	21216631
584141	1988	1997-06-14	VYDAJ	PREVOD NA UCET	2671	33451	SIPO	AB	21216631
584142	1988	1997-07-14	VYDAJ	PREVOD NA UCET	2671	17747	SIPO	AB	21216631
584143	1988	1997-08-14	VYDAJ	PREVOD NA UCET	2671	22546	SIPO	AB	21216631
584144	1988	1997-09-14	VYDAJ	PREVOD NA UCET	2671	21662	SIPO	AB	21216631
584145	1988	1997-10-14	VYDAJ	PREVOD NA UCET	2671	23787	SIPO	AB	21216631
584146	1988	1997-11-14	VYDAJ	PREVOD NA UCET	2671	24909	SIPO	AB	21216631
584147	1988	1997-12-14	VYDAJ	PREVOD NA UCET	2671	27756	SIPO	AB	21216631
584148	1988	1998-01-14	VYDAJ	PREVOD NA UCET	2671	23693	SIPO	AB	21216631
584149	1988	1998-02-14	VYDAJ	PREVOD NA UCET	2671	24953	SIPO	AB	21216631
584150	1988	1998-03-14	VYDAJ	PREVOD NA UCET	2671	24774	SIPO	AB	21216631
584151	1988	1998-04-14	VYDAJ	PREVOD NA UCET	2671	21556	SIPO	AB	21216631
584152	1988	1998-05-14	VYDAJ	PREVOD NA UCET	2671	22068	SIPO	AB	21216631
584153	1988	1998-06-14	VYDAJ	PREVOD NA UCET	2671	20503	SIPO	AB	21216631
584154	1988	1998-07-14	VYDAJ	PREVOD NA UCET	2671	21807	SIPO	AB	21216631
584155	1988	1998-08-14	VYDAJ	PREVOD NA UCET	2671	24221	SIPO	AB	21216631
584156	1988	1998-09-14	VYDAJ	PREVOD NA UCET	2671	27643	SIPO	AB	21216631
584157	1988	1998-10-14	VYDAJ	PREVOD NA UCET	2671	31025	SIPO	AB	21216631
584158	1988	1998-11-14	VYDAJ	PREVOD NA UCET	2671	32873	SIPO	AB	21216631
584159	1988	1998-12-14	VYDAJ	PREVOD NA UCET	2671	31124	SIPO	AB	21216631
584161	1988	1997-06-29	VYDAJ	VYBER	11840	18811	\N	\N	\N
584164	1988	1997-12-05	VYDAJ	VYBER	1280	24417	\N	\N	\N
584165	1988	1998-12-27	VYDAJ	VYBER	2880	27644	\N	\N	\N
584178	1988	1998-01-17	VYDAJ	VYBER	2040	21653	\N	\N	\N
584179	1988	1998-01-13	VYDAJ	VYBER	1320	22357	\N	\N	\N
584180	1988	1998-01-09	VYDAJ	VYBER	1320	25837	\N	\N	\N
584181	1988	1998-01-20	VYDAJ	VYBER	1680	19133	\N	\N	\N
584182	1988	1998-01-18	VYDAJ	VYBER	840	20813	\N	\N	\N
584183	1988	1998-01-10	VYDAJ	VYBER	2160	23677	\N	\N	\N
584191	1988	1997-09-13	VYDAJ	VYBER	1440	20326	\N	\N	\N
584192	1988	1997-09-10	VYDAJ	VYBER	5160	21766	\N	\N	\N
584194	1988	1997-07-07	VYDAJ	VYBER	2520	16411	\N	\N	\N
584195	1988	1998-03-31	VYDAJ	VYBER	5040	20235	\N	\N	\N
584196	1988	1998-09-29	VYDAJ	VYBER	2160	29583	\N	\N	\N
584197	1988	1998-05-27	VYDAJ	VYBER	5880	17088	\N	\N	\N
584215	1988	1997-05-31	VYDAJ	VYBER	15	30112	SLUZBY	\N	\N
584216	1988	1997-06-30	VYDAJ	VYBER	15	18931	SLUZBY	\N	\N
584217	1988	1997-07-31	VYDAJ	VYBER	15	21210	SLUZBY	\N	\N
584218	1988	1997-08-31	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
584219	1988	1997-09-30	VYDAJ	VYBER	15	22451	SLUZBY	\N	\N
584220	1988	1997-10-31	VYDAJ	VYBER	15	23573	SLUZBY	\N	\N
584221	1988	1997-11-30	VYDAJ	VYBER	15	25697	SLUZBY	\N	\N
584222	1988	1997-12-31	VYDAJ	VYBER	15	27157	SLUZBY	\N	\N
584223	1988	1998-01-31	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
584224	1988	1998-02-28	VYDAJ	VYBER	15	23438	SLUZBY	\N	\N
584225	1988	1998-03-31	VYDAJ	VYBER	15	20220	SLUZBY	\N	\N
584226	1988	1998-04-30	VYDAJ	VYBER	15	20732	SLUZBY	\N	\N
584227	1988	1998-05-31	VYDAJ	VYBER	15	17163	SLUZBY	\N	\N
584228	1988	1998-06-30	VYDAJ	VYBER	15	20471	SLUZBY	\N	\N
584229	1988	1998-07-31	VYDAJ	VYBER	15	22885	SLUZBY	\N	\N
584230	1988	1998-08-31	VYDAJ	VYBER	15	26307	SLUZBY	\N	\N
584231	1988	1998-09-30	VYDAJ	VYBER	15	29689	SLUZBY	\N	\N
584232	1988	1998-10-31	VYDAJ	VYBER	15	31537	SLUZBY	\N	\N
584233	1988	1998-11-30	VYDAJ	VYBER	15	27785	SLUZBY	\N	\N
584234	1988	1997-01-29	PRIJEM	VKLAD	8800	13107	\N	\N	\N
584235	1988	1997-02-28	PRIJEM	VKLAD	1200	18319	\N	\N	\N
584236	1988	1997-03-30	VYDAJ	VYBER	300	22082	\N	\N	\N
584237	1988	1997-04-29	PRIJEM	VKLAD	3100	29266	\N	\N	\N
584238	1988	1997-05-29	VYDAJ	VYBER	700	29996	\N	\N	\N
584239	1988	1997-06-28	VYDAJ	VYBER	2800	30651	\N	\N	\N
584240	1988	1997-07-28	PRIJEM	VKLAD	3400	21147	\N	\N	\N
584241	1988	1997-08-27	PRIJEM	VKLAD	4300	26846	\N	\N	\N
584242	1988	1997-09-26	PRIJEM	VKLAD	700	22362	\N	\N	\N
584243	1988	1997-10-26	VYDAJ	VYBER	300	23487	\N	\N	\N
584244	1988	1997-11-25	PRIJEM	VKLAD	700	25609	\N	\N	\N
584245	1988	1997-12-25	VYDAJ	VYBER	700	27056	\N	\N	\N
584246	1988	1998-01-24	PRIJEM	VKLAD	4400	23533	\N	\N	\N
584247	1988	1998-02-23	VYDAJ	VYBER	1600	23353	\N	\N	\N
584248	1988	1998-03-25	PRIJEM	VKLAD	400	25174	\N	\N	\N
584249	1988	1998-04-24	VYDAJ	VYBER	900	20656	\N	\N	\N
584250	1988	1998-05-24	PRIJEM	VKLAD	900	22968	\N	\N	\N
584251	1988	1998-06-23	VYDAJ	VYBER	100	20403	\N	\N	\N
584252	1988	1998-07-23	PRIJEM	VKLAD	1000	22807	\N	\N	\N
584253	1988	1998-08-22	PRIJEM	VKLAD	2000	26221	\N	\N	\N
584254	1988	1998-09-21	PRIJEM	VKLAD	4100	31743	\N	\N	\N
584255	1988	1998-10-21	PRIJEM	VKLAD	400	31425	\N	\N	\N
584256	1988	1998-11-20	VYDAJ	VYBER	5200	27673	\N	\N	\N
584257	1988	1998-12-20	VYDAJ	VYBER	600	30524	\N	\N	\N
584282	1989	1994-09-21	PRIJEM	VKLAD	200	200	\N	\N	\N
584292	1989	1994-10-08	PRIJEM	PREVOD Z UCTU	4220	4420	DUCHOD	MN	67308264
584293	1989	1994-11-08	PRIJEM	PREVOD Z UCTU	4220	8640	DUCHOD	MN	67308264
584294	1989	1994-12-08	PRIJEM	PREVOD Z UCTU	4220	12860	DUCHOD	MN	67308264
584295	1989	1995-01-08	PRIJEM	PREVOD Z UCTU	4220	17080	DUCHOD	MN	67308264
584296	1989	1995-02-08	PRIJEM	PREVOD Z UCTU	4220	21300	DUCHOD	MN	67308264
584297	1989	1995-03-08	PRIJEM	PREVOD Z UCTU	4220	23569	DUCHOD	MN	67308264
584298	1989	1995-04-08	PRIJEM	PREVOD Z UCTU	4220	25879	DUCHOD	MN	67308264
584299	1989	1995-05-08	PRIJEM	PREVOD Z UCTU	4220	24193	DUCHOD	MN	67308264
584300	1989	1995-06-08	PRIJEM	PREVOD Z UCTU	4220	17455	DUCHOD	MN	67308264
584301	1989	1995-07-08	PRIJEM	PREVOD Z UCTU	4220	19750	DUCHOD	MN	67308264
584302	1989	1995-08-08	PRIJEM	PREVOD Z UCTU	4220	22044	DUCHOD	MN	67308264
584303	1989	1995-09-08	PRIJEM	PREVOD Z UCTU	4220	24347	DUCHOD	MN	67308264
584304	1989	1995-10-08	PRIJEM	PREVOD Z UCTU	4220	26660	DUCHOD	MN	67308264
584305	1989	1995-11-08	PRIJEM	PREVOD Z UCTU	4220	28883	DUCHOD	MN	67308264
584306	1989	1995-12-08	PRIJEM	PREVOD Z UCTU	4220	27989	DUCHOD	MN	67308264
584307	1989	1996-01-08	PRIJEM	PREVOD Z UCTU	4220	29067	DUCHOD	MN	67308264
584308	1989	1996-02-08	PRIJEM	PREVOD Z UCTU	4220	18159	DUCHOD	MN	67308264
584309	1989	1996-03-08	PRIJEM	PREVOD Z UCTU	4220	20446	DUCHOD	MN	67308264
584310	1989	1996-04-08	PRIJEM	PREVOD Z UCTU	4220	22743	DUCHOD	MN	67308264
584311	1989	1996-05-08	PRIJEM	PREVOD Z UCTU	4220	25049	DUCHOD	MN	67308264
584312	1989	1996-06-08	PRIJEM	PREVOD Z UCTU	4220	23839	DUCHOD	MN	67308264
584313	1989	1996-07-08	PRIJEM	PREVOD Z UCTU	4220	15877	DUCHOD	MN	67308264
584314	1989	1996-08-08	PRIJEM	PREVOD Z UCTU	4220	18155	DUCHOD	MN	67308264
584315	1989	1996-09-08	PRIJEM	PREVOD Z UCTU	4220	17642	DUCHOD	MN	67308264
584316	1989	1996-10-08	PRIJEM	PREVOD Z UCTU	4220	18011	DUCHOD	MN	67308264
584317	1989	1996-11-08	PRIJEM	PREVOD Z UCTU	4220	20297	DUCHOD	MN	67308264
584318	1989	1996-12-08	PRIJEM	PREVOD Z UCTU	4220	21593	DUCHOD	MN	67308264
584319	1989	1997-01-08	PRIJEM	PREVOD Z UCTU	4220	18297	DUCHOD	MN	67308264
584320	1989	1997-02-08	PRIJEM	PREVOD Z UCTU	4220	18504	DUCHOD	MN	67308264
584321	1989	1997-03-08	PRIJEM	PREVOD Z UCTU	4220	20791	DUCHOD	MN	67308264
584322	1989	1997-04-08	PRIJEM	PREVOD Z UCTU	4220	20129	DUCHOD	MN	67308264
584323	1989	1997-05-08	PRIJEM	PREVOD Z UCTU	4220	22430	DUCHOD	MN	67308264
584324	1989	1997-06-08	PRIJEM	PREVOD Z UCTU	4220	22494	DUCHOD	MN	67308264
584325	1989	1997-07-08	PRIJEM	PREVOD Z UCTU	4220	24804	DUCHOD	MN	67308264
584326	1989	1997-08-08	PRIJEM	PREVOD Z UCTU	4220	27118	DUCHOD	MN	67308264
584327	1989	1997-09-08	PRIJEM	PREVOD Z UCTU	4220	29442	DUCHOD	MN	67308264
584328	1989	1997-10-08	PRIJEM	PREVOD Z UCTU	4220	27936	DUCHOD	MN	67308264
584329	1989	1997-11-08	PRIJEM	PREVOD Z UCTU	4220	30270	DUCHOD	MN	67308264
584330	1989	1997-12-08	PRIJEM	PREVOD Z UCTU	4220	32606	DUCHOD	MN	67308264
584331	1989	1998-01-08	PRIJEM	PREVOD Z UCTU	4220	28082	DUCHOD	MN	67308264
584332	1989	1998-02-08	PRIJEM	PREVOD Z UCTU	4220	20559	DUCHOD	MN	67308264
584333	1989	1998-03-08	PRIJEM	PREVOD Z UCTU	4220	22855	DUCHOD	MN	67308264
584334	1989	1998-04-08	PRIJEM	PREVOD Z UCTU	4220	25161	DUCHOD	MN	67308264
584335	1989	1998-05-08	PRIJEM	PREVOD Z UCTU	4220	27476	DUCHOD	MN	67308264
584336	1989	1998-06-08	PRIJEM	PREVOD Z UCTU	4220	26354	DUCHOD	MN	67308264
584337	1989	1998-07-08	PRIJEM	PREVOD Z UCTU	4220	24772	DUCHOD	MN	67308264
584338	1989	1998-08-08	PRIJEM	PREVOD Z UCTU	4220	27085	DUCHOD	MN	67308264
584339	1989	1998-09-08	PRIJEM	PREVOD Z UCTU	4220	28448	DUCHOD	MN	67308264
584340	1989	1998-10-08	PRIJEM	PREVOD Z UCTU	4220	29574	DUCHOD	MN	67308264
584341	1989	1998-11-08	PRIJEM	PREVOD Z UCTU	4220	31267	DUCHOD	MN	67308264
584342	1989	1998-12-08	PRIJEM	PREVOD Z UCTU	4220	32005	DUCHOD	MN	67308264
584356	1989	1995-02-13	VYDAJ	PREVOD NA UCET	1982	19318	SIPO	MN	72876500
584357	1989	1995-03-13	VYDAJ	PREVOD NA UCET	1982	21587	SIPO	MN	72876500
584358	1989	1995-04-13	VYDAJ	PREVOD NA UCET	1982	23897	SIPO	MN	72876500
584359	1989	1995-05-13	VYDAJ	PREVOD NA UCET	1982	22211	SIPO	MN	72876500
584360	1989	1995-06-13	VYDAJ	PREVOD NA UCET	1982	15473	SIPO	MN	72876500
584361	1989	1995-07-13	VYDAJ	PREVOD NA UCET	1982	17768	SIPO	MN	72876500
584362	1989	1995-08-13	VYDAJ	PREVOD NA UCET	1982	20062	SIPO	MN	72876500
584363	1989	1995-09-13	VYDAJ	PREVOD NA UCET	1982	22365	SIPO	MN	72876500
584364	1989	1995-10-13	VYDAJ	PREVOD NA UCET	1982	24678	SIPO	MN	72876500
584365	1989	1995-11-13	VYDAJ	PREVOD NA UCET	1982	26901	SIPO	MN	72876500
584366	1989	1995-12-13	VYDAJ	PREVOD NA UCET	1982	26007	SIPO	MN	72876500
584367	1989	1996-01-13	VYDAJ	PREVOD NA UCET	1982	24925	SIPO	MN	72876500
584368	1989	1996-02-13	VYDAJ	PREVOD NA UCET	1982	16177	SIPO	MN	72876500
584369	1989	1996-03-13	VYDAJ	PREVOD NA UCET	1982	18464	SIPO	MN	72876500
584370	1989	1996-04-13	VYDAJ	PREVOD NA UCET	1982	20761	SIPO	MN	72876500
584371	1989	1996-05-13	VYDAJ	PREVOD NA UCET	1982	23067	SIPO	MN	72876500
584372	1989	1996-06-13	VYDAJ	PREVOD NA UCET	1982	11607	SIPO	MN	72876500
584373	1989	1996-07-13	VYDAJ	PREVOD NA UCET	1982	13895	SIPO	MN	72876500
584374	1989	1996-08-13	VYDAJ	PREVOD NA UCET	1982	16173	SIPO	MN	72876500
584375	1989	1996-09-13	VYDAJ	PREVOD NA UCET	1982	15660	SIPO	MN	72876500
584376	1989	1996-10-13	VYDAJ	PREVOD NA UCET	1982	16029	SIPO	MN	72876500
584377	1989	1996-11-13	VYDAJ	PREVOD NA UCET	1982	18315	SIPO	MN	72876500
584378	1989	1996-12-13	VYDAJ	PREVOD NA UCET	1982	19611	SIPO	MN	72876500
584379	1989	1997-01-13	VYDAJ	PREVOD NA UCET	1982	14235	SIPO	MN	72876500
584380	1989	1997-02-13	VYDAJ	PREVOD NA UCET	1982	16522	SIPO	MN	72876500
584381	1989	1997-03-13	VYDAJ	PREVOD NA UCET	1982	18809	SIPO	MN	72876500
584382	1989	1997-04-13	VYDAJ	PREVOD NA UCET	1982	18147	SIPO	MN	72876500
584383	1989	1997-05-13	VYDAJ	PREVOD NA UCET	1982	20448	SIPO	MN	72876500
584384	1989	1997-06-13	VYDAJ	PREVOD NA UCET	1982	20512	SIPO	MN	72876500
584385	1989	1997-07-13	VYDAJ	PREVOD NA UCET	1982	22822	SIPO	MN	72876500
584386	1989	1997-08-13	VYDAJ	PREVOD NA UCET	1982	25136	SIPO	MN	72876500
584387	1989	1997-09-13	VYDAJ	PREVOD NA UCET	1982	27460	SIPO	MN	72876500
584388	1989	1997-10-13	VYDAJ	PREVOD NA UCET	1982	25954	SIPO	MN	72876500
584389	1989	1997-11-13	VYDAJ	PREVOD NA UCET	1982	28288	SIPO	MN	72876500
584390	1989	1997-12-13	VYDAJ	PREVOD NA UCET	1982	30624	SIPO	MN	72876500
584391	1989	1998-01-13	VYDAJ	PREVOD NA UCET	1982	24180	SIPO	MN	72876500
584392	1989	1998-02-13	VYDAJ	PREVOD NA UCET	1982	18577	SIPO	MN	72876500
584393	1989	1998-03-13	VYDAJ	PREVOD NA UCET	1982	20873	SIPO	MN	72876500
584394	1989	1998-04-13	VYDAJ	PREVOD NA UCET	1982	23179	SIPO	MN	72876500
584395	1989	1998-05-13	VYDAJ	PREVOD NA UCET	1982	25494	SIPO	MN	72876500
584396	1989	1998-06-13	VYDAJ	PREVOD NA UCET	1982	24372	SIPO	MN	72876500
584397	1989	1998-07-13	VYDAJ	PREVOD NA UCET	1982	22790	SIPO	MN	72876500
584398	1989	1998-08-13	VYDAJ	PREVOD NA UCET	1982	25103	SIPO	MN	72876500
584399	1989	1998-09-13	VYDAJ	PREVOD NA UCET	1982	26466	SIPO	MN	72876500
584400	1989	1998-10-13	VYDAJ	PREVOD NA UCET	1982	26952	SIPO	MN	72876500
584401	1989	1998-11-13	VYDAJ	PREVOD NA UCET	1982	27685	SIPO	MN	72876500
584402	1989	1998-12-13	VYDAJ	PREVOD NA UCET	1982	30023	SIPO	MN	72876500
584404	1989	1995-06-07	VYDAJ	VYBER	8650	13235	\N	\N	\N
584405	1989	1996-06-08	VYDAJ	VYBER	10250	13589	\N	\N	\N
584407	1989	1998-06-27	VYDAJ	VYBER	2300	20472	\N	\N	\N
584410	1989	1996-01-29	VYDAJ	VYBER	3300	13865	\N	\N	\N
584412	1989	1998-01-06	VYDAJ	VYBER	2550	25622	\N	\N	\N
584414	1989	1995-12-29	VYDAJ	VYBER	1250	24757	\N	\N	\N
584415	1989	1996-12-07	VYDAJ	VYBER	1000	17373	\N	\N	\N
584416	1989	1997-12-18	VYDAJ	VYBER	800	29824	\N	\N	\N
584417	1989	1998-12-15	VYDAJ	VYBER	1400	28623	\N	\N	\N
584430	1989	1996-01-17	VYDAJ	VYBER	1760	22045	\N	\N	\N
584431	1989	1996-01-18	VYDAJ	VYBER	1200	20845	\N	\N	\N
584432	1989	1996-01-19	VYDAJ	VYBER	2320	18525	\N	\N	\N
584433	1989	1996-01-11	VYDAJ	VYBER	2160	26907	\N	\N	\N
584434	1989	1996-01-14	VYDAJ	VYBER	1120	23805	\N	\N	\N
584435	1989	1996-01-24	VYDAJ	VYBER	1360	17165	\N	\N	\N
584437	1989	1997-01-05	VYDAJ	VYBER	720	14477	\N	\N	\N
584438	1989	1997-01-03	VYDAJ	VYBER	1440	15197	\N	\N	\N
584439	1989	1997-01-08	VYDAJ	VYBER	2080	16217	\N	\N	\N
584440	1989	1997-01-07	VYDAJ	VYBER	400	14077	\N	\N	\N
584442	1989	1998-01-16	VYDAJ	VYBER	1600	20340	\N	\N	\N
584443	1989	1998-01-13	VYDAJ	VYBER	2240	21940	\N	\N	\N
584444	1989	1998-01-30	VYDAJ	VYBER	2240	16260	\N	\N	\N
584445	1989	1998-01-01	VYDAJ	VYBER	1760	28172	\N	\N	\N
584446	1989	1998-01-07	VYDAJ	VYBER	1760	23862	\N	\N	\N
584447	1989	1998-01-20	VYDAJ	VYBER	1840	18500	\N	\N	\N
584452	1989	1995-04-22	VYDAJ	VYBER	3200	19897	\N	\N	\N
584455	1989	1995-11-22	VYDAJ	VYBER	2320	23681	\N	\N	\N
584457	1989	1996-05-21	VYDAJ	VYBER	3520	19547	\N	\N	\N
584458	1989	1996-09-04	VYDAJ	VYBER	2800	13422	\N	\N	\N
584459	1989	1996-09-27	VYDAJ	VYBER	1040	13740	\N	\N	\N
584461	1989	1996-09-27	VYDAJ	VYBER	880	14780	\N	\N	\N
584462	1989	1996-12-30	VYDAJ	VYBER	3040	16571	\N	\N	\N
584464	1989	1997-04-02	VYDAJ	VYBER	2960	15909	\N	\N	\N
584466	1989	1997-10-02	VYDAJ	VYBER	3840	23716	\N	\N	\N
584467	1989	1997-06-04	VYDAJ	VYBER	2240	18274	\N	\N	\N
584468	1989	1998-01-09	VYDAJ	VYBER	1920	26162	\N	\N	\N
584469	1989	1998-11-08	VYDAJ	VYBER	1600	29667	\N	\N	\N
584470	1989	1998-08-27	VYDAJ	VYBER	960	24143	\N	\N	\N
584471	1989	1998-05-16	VYDAJ	VYBER	3440	22054	\N	\N	\N
584472	1989	1998-09-14	VYDAJ	VYBER	1200	25266	\N	\N	\N
584473	1989	1998-06-13	VYDAJ	VYBER	1600	22772	\N	\N	\N
584474	1989	1998-10-10	VYDAJ	VYBER	640	28934	\N	\N	\N
584489	1989	1995-02-28	VYDAJ	VYBER	15	19349	SLUZBY	\N	\N
584490	1989	1995-03-31	VYDAJ	VYBER	15	21659	SLUZBY	\N	\N
584491	1989	1995-04-30	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
584492	1989	1995-05-31	VYDAJ	VYBER	15	21885	SLUZBY	\N	\N
584493	1989	1995-06-30	VYDAJ	VYBER	15	15530	SLUZBY	\N	\N
584494	1989	1995-07-31	VYDAJ	VYBER	15	17824	SLUZBY	\N	\N
584495	1989	1995-08-31	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
584496	1989	1995-09-30	VYDAJ	VYBER	15	22440	SLUZBY	\N	\N
584497	1989	1995-10-31	VYDAJ	VYBER	15	24663	SLUZBY	\N	\N
584498	1989	1995-11-30	VYDAJ	VYBER	15	23769	SLUZBY	\N	\N
584499	1989	1995-12-31	VYDAJ	VYBER	15	24847	SLUZBY	\N	\N
584500	1989	1996-01-31	VYDAJ	VYBER	15	13939	SLUZBY	\N	\N
584501	1989	1996-02-29	VYDAJ	VYBER	15	16226	SLUZBY	\N	\N
584502	1989	1996-03-31	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
584503	1989	1996-04-30	VYDAJ	VYBER	15	20829	SLUZBY	\N	\N
584504	1989	1996-05-31	VYDAJ	VYBER	15	19619	SLUZBY	\N	\N
584505	1989	1996-06-30	VYDAJ	VYBER	15	11657	SLUZBY	\N	\N
584506	1989	1996-07-31	VYDAJ	VYBER	15	13935	SLUZBY	\N	\N
584507	1989	1996-08-31	VYDAJ	VYBER	15	16222	SLUZBY	\N	\N
584508	1989	1996-09-30	VYDAJ	VYBER	15	13791	SLUZBY	\N	\N
584509	1989	1996-10-31	VYDAJ	VYBER	15	16077	SLUZBY	\N	\N
584510	1989	1996-11-30	VYDAJ	VYBER	15	18373	SLUZBY	\N	\N
584511	1989	1996-12-31	VYDAJ	VYBER	15	16637	SLUZBY	\N	\N
584512	1989	1997-01-31	VYDAJ	VYBER	15	14284	SLUZBY	\N	\N
584513	1989	1997-02-28	VYDAJ	VYBER	15	16571	SLUZBY	\N	\N
584514	1989	1997-03-31	VYDAJ	VYBER	15	18869	SLUZBY	\N	\N
584515	1989	1997-04-30	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
584516	1989	1997-05-31	VYDAJ	VYBER	15	20514	SLUZBY	\N	\N
584517	1989	1997-06-30	VYDAJ	VYBER	15	20584	SLUZBY	\N	\N
584518	1989	1997-07-31	VYDAJ	VYBER	15	22898	SLUZBY	\N	\N
584519	1989	1997-08-31	VYDAJ	VYBER	15	25222	SLUZBY	\N	\N
584520	1989	1997-09-30	VYDAJ	VYBER	15	27556	SLUZBY	\N	\N
584521	1989	1997-10-31	VYDAJ	VYBER	15	26050	SLUZBY	\N	\N
584522	1989	1997-11-30	VYDAJ	VYBER	15	28386	SLUZBY	\N	\N
584523	1989	1997-12-31	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
584524	1989	1998-01-31	VYDAJ	VYBER	15	16339	SLUZBY	\N	\N
584525	1989	1998-02-28	VYDAJ	VYBER	15	18635	SLUZBY	\N	\N
584526	1989	1998-03-31	VYDAJ	VYBER	15	20941	SLUZBY	\N	\N
584527	1989	1998-04-30	VYDAJ	VYBER	15	23256	SLUZBY	\N	\N
584528	1989	1998-05-31	VYDAJ	VYBER	15	22134	SLUZBY	\N	\N
584529	1989	1998-06-30	VYDAJ	VYBER	15	20552	SLUZBY	\N	\N
584530	1989	1998-07-31	VYDAJ	VYBER	15	22865	SLUZBY	\N	\N
584531	1989	1998-08-31	VYDAJ	VYBER	15	24228	SLUZBY	\N	\N
584532	1989	1998-09-30	VYDAJ	VYBER	15	25354	SLUZBY	\N	\N
584533	1989	1998-10-31	VYDAJ	VYBER	15	27047	SLUZBY	\N	\N
584534	1989	1998-11-30	VYDAJ	VYBER	15	27785	SLUZBY	\N	\N
584535	1989	1995-04-19	VYDAJ	VYBER	800	23097	\N	\N	\N
584536	1989	1995-05-19	VYDAJ	VYBER	400	21811	\N	\N	\N
584537	1989	1995-10-16	VYDAJ	VYBER	100	24578	\N	\N	\N
584538	1989	1995-11-15	VYDAJ	VYBER	900	26001	\N	\N	\N
584586	1990	1993-06-09	PRIJEM	VKLAD	600	600	\N	\N	\N
584592	1990	1993-06-14	PRIJEM	PREVOD Z UCTU	3253	3853	\N	KL	71556716
584593	1990	1993-07-14	PRIJEM	PREVOD Z UCTU	3253	7115	\N	KL	71556716
584594	1990	1993-08-14	PRIJEM	PREVOD Z UCTU	3253	10384	\N	KL	71556716
584595	1990	1993-09-14	PRIJEM	PREVOD Z UCTU	3253	13653	\N	KL	71556716
584596	1990	1993-10-14	PRIJEM	PREVOD Z UCTU	3253	16922	\N	KL	71556716
584597	1990	1993-11-14	PRIJEM	PREVOD Z UCTU	3253	18010	\N	KL	71556716
584598	1990	1993-12-14	PRIJEM	PREVOD Z UCTU	3253	19154	\N	KL	71556716
584599	1990	1994-01-14	PRIJEM	PREVOD Z UCTU	3253	18592	\N	KL	71556716
584600	1990	1994-02-14	PRIJEM	PREVOD Z UCTU	3253	17936	\N	KL	71556716
584601	1990	1994-03-14	PRIJEM	PREVOD Z UCTU	3253	19079	\N	KL	71556716
584602	1990	1994-04-14	PRIJEM	PREVOD Z UCTU	3253	20227	\N	KL	71556716
584603	1990	1994-05-14	PRIJEM	PREVOD Z UCTU	3253	21379	\N	KL	71556716
584604	1990	1994-06-14	PRIJEM	PREVOD Z UCTU	3253	22537	\N	KL	71556716
584605	1990	1994-07-14	PRIJEM	PREVOD Z UCTU	3253	23699	\N	KL	71556716
584606	1990	1994-08-14	PRIJEM	PREVOD Z UCTU	3253	24867	\N	KL	71556716
584607	1990	1994-09-14	PRIJEM	PREVOD Z UCTU	3253	24239	\N	KL	71556716
584608	1990	1994-10-14	PRIJEM	PREVOD Z UCTU	3253	24869	\N	KL	71556716
584609	1990	1994-11-14	PRIJEM	PREVOD Z UCTU	3253	26041	\N	KL	71556716
584610	1990	1994-12-14	PRIJEM	PREVOD Z UCTU	3253	27117	\N	KL	71556716
584611	1990	1995-01-14	PRIJEM	PREVOD Z UCTU	3253	25537	\N	KL	71556716
584612	1990	1995-02-14	PRIJEM	PREVOD Z UCTU	3253	25509	\N	KL	71556716
584613	1990	1995-03-14	PRIJEM	PREVOD Z UCTU	3253	24383	\N	KL	71556716
584614	1990	1995-04-14	PRIJEM	PREVOD Z UCTU	3253	25052	\N	KL	71556716
584615	1990	1995-05-14	PRIJEM	PREVOD Z UCTU	3253	24302	\N	KL	71556716
584616	1990	1995-06-14	PRIJEM	PREVOD Z UCTU	3253	24841	\N	KL	71556716
584617	1990	1995-07-14	PRIJEM	PREVOD Z UCTU	3253	24603	\N	KL	71556716
584618	1990	1995-08-14	PRIJEM	PREVOD Z UCTU	3253	25773	\N	KL	71556716
584619	1990	1995-09-14	PRIJEM	PREVOD Z UCTU	3253	24968	\N	KL	71556716
584620	1990	1995-10-14	PRIJEM	PREVOD Z UCTU	3253	23238	\N	KL	71556716
584621	1990	1995-11-14	PRIJEM	PREVOD Z UCTU	3253	24403	\N	KL	71556716
584622	1990	1995-12-14	PRIJEM	PREVOD Z UCTU	3253	25573	\N	KL	71556716
584623	1990	1996-01-14	PRIJEM	PREVOD Z UCTU	3253	24766	\N	KL	71556716
584624	1990	1996-02-14	PRIJEM	PREVOD Z UCTU	3253	24226	\N	KL	71556716
584625	1990	1996-03-14	PRIJEM	PREVOD Z UCTU	3253	25395	\N	KL	71556716
584626	1990	1996-04-14	PRIJEM	PREVOD Z UCTU	3253	26568	\N	KL	71556716
584627	1990	1996-05-14	PRIJEM	PREVOD Z UCTU	3253	26427	\N	KL	71556716
584628	1990	1996-06-14	PRIJEM	PREVOD Z UCTU	3253	27605	\N	KL	71556716
584629	1990	1996-07-14	PRIJEM	PREVOD Z UCTU	3253	27465	\N	KL	71556716
584630	1990	1996-08-14	PRIJEM	PREVOD Z UCTU	3253	25535	\N	KL	71556716
584631	1990	1996-09-14	PRIJEM	PREVOD Z UCTU	3253	26709	\N	KL	71556716
584632	1990	1996-10-14	PRIJEM	PREVOD Z UCTU	3253	23352	\N	KL	71556716
584633	1990	1996-11-14	PRIJEM	PREVOD Z UCTU	3253	24517	\N	KL	71556716
584634	1990	1996-12-14	PRIJEM	PREVOD Z UCTU	3253	24217	\N	KL	71556716
584635	1990	1997-01-14	PRIJEM	PREVOD Z UCTU	3253	21634	\N	KL	71556716
584636	1990	1997-02-14	PRIJEM	PREVOD Z UCTU	3253	21260	\N	KL	71556716
584637	1990	1997-03-14	PRIJEM	PREVOD Z UCTU	3253	22415	\N	KL	71556716
584638	1990	1997-04-14	PRIJEM	PREVOD Z UCTU	3253	23576	\N	KL	71556716
584639	1990	1997-05-14	PRIJEM	PREVOD Z UCTU	3253	23038	\N	KL	71556716
584640	1990	1997-06-14	PRIJEM	PREVOD Z UCTU	3253	22338	\N	KL	71556716
584641	1990	1997-07-14	PRIJEM	PREVOD Z UCTU	3253	23499	\N	KL	71556716
584642	1990	1997-08-14	PRIJEM	PREVOD Z UCTU	3253	23882	\N	KL	71556716
584643	1990	1997-09-14	PRIJEM	PREVOD Z UCTU	3253	24688	\N	KL	71556716
584644	1990	1997-10-14	PRIJEM	PREVOD Z UCTU	3253	25858	\N	KL	71556716
584645	1990	1997-11-14	PRIJEM	PREVOD Z UCTU	3253	26282	\N	KL	71556716
584646	1990	1997-12-14	PRIJEM	PREVOD Z UCTU	3253	27460	\N	KL	71556716
584647	1990	1998-01-14	PRIJEM	PREVOD Z UCTU	3253	27710	\N	KL	71556716
584648	1990	1998-02-14	PRIJEM	PREVOD Z UCTU	3253	26669	\N	KL	71556716
584649	1990	1998-03-14	PRIJEM	PREVOD Z UCTU	3253	27576	\N	KL	71556716
584650	1990	1998-04-14	PRIJEM	PREVOD Z UCTU	3253	28757	\N	KL	71556716
584651	1990	1998-05-14	PRIJEM	PREVOD Z UCTU	3253	29943	\N	KL	71556716
584652	1990	1998-06-14	PRIJEM	PREVOD Z UCTU	3253	30082	\N	KL	71556716
584653	1990	1998-07-14	PRIJEM	PREVOD Z UCTU	3253	29954	\N	KL	71556716
584654	1990	1998-08-14	PRIJEM	PREVOD Z UCTU	3253	31145	\N	KL	71556716
584655	1990	1998-09-14	PRIJEM	PREVOD Z UCTU	3253	31081	\N	KL	71556716
584656	1990	1998-10-14	PRIJEM	PREVOD Z UCTU	3253	31316	\N	KL	71556716
584657	1990	1998-11-14	PRIJEM	PREVOD Z UCTU	3253	32512	\N	KL	71556716
584658	1990	1998-12-14	PRIJEM	PREVOD Z UCTU	3253	33033	\N	KL	71556716
584669	1990	1993-11-10	VYDAJ	PREVOD NA UCET	2168	14757	\N	WX	24609065
584670	1990	1993-12-10	VYDAJ	PREVOD NA UCET	2168	15901	\N	WX	24609065
584671	1990	1994-01-10	VYDAJ	PREVOD NA UCET	2168	15339	\N	WX	24609065
584672	1990	1994-02-10	VYDAJ	PREVOD NA UCET	2168	14683	\N	WX	24609065
584673	1990	1994-03-10	VYDAJ	PREVOD NA UCET	2168	15826	\N	WX	24609065
584674	1990	1994-04-10	VYDAJ	PREVOD NA UCET	2168	16974	\N	WX	24609065
584675	1990	1994-05-10	VYDAJ	PREVOD NA UCET	2168	18126	\N	WX	24609065
584676	1990	1994-06-10	VYDAJ	PREVOD NA UCET	2168	19284	\N	WX	24609065
584677	1990	1994-07-10	VYDAJ	PREVOD NA UCET	2168	20446	\N	WX	24609065
584678	1990	1994-08-10	VYDAJ	PREVOD NA UCET	2168	21614	\N	WX	24609065
584679	1990	1994-09-10	VYDAJ	PREVOD NA UCET	2168	20986	\N	WX	24609065
584680	1990	1994-10-10	VYDAJ	PREVOD NA UCET	2168	21616	\N	WX	24609065
584681	1990	1994-11-10	VYDAJ	PREVOD NA UCET	2168	22788	\N	WX	24609065
584682	1990	1994-12-10	VYDAJ	PREVOD NA UCET	2168	23864	\N	WX	24609065
584683	1990	1995-01-10	VYDAJ	PREVOD NA UCET	2168	22284	\N	WX	24609065
584684	1990	1995-02-10	VYDAJ	PREVOD NA UCET	2168	22256	\N	WX	24609065
584685	1990	1995-03-10	VYDAJ	PREVOD NA UCET	2168	21130	\N	WX	24609065
584686	1990	1995-04-10	VYDAJ	PREVOD NA UCET	2168	21799	\N	WX	24609065
584687	1990	1995-05-10	VYDAJ	PREVOD NA UCET	2168	21049	\N	WX	24609065
584688	1990	1995-06-10	VYDAJ	PREVOD NA UCET	2168	21588	\N	WX	24609065
584689	1990	1995-07-10	VYDAJ	PREVOD NA UCET	2168	21350	\N	WX	24609065
584690	1990	1995-08-10	VYDAJ	PREVOD NA UCET	2168	22520	\N	WX	24609065
584691	1990	1995-09-10	VYDAJ	PREVOD NA UCET	2168	21715	\N	WX	24609065
584692	1990	1995-10-10	VYDAJ	PREVOD NA UCET	2168	19985	\N	WX	24609065
584693	1990	1995-11-10	VYDAJ	PREVOD NA UCET	2168	21150	\N	WX	24609065
584694	1990	1995-12-10	VYDAJ	PREVOD NA UCET	2168	22320	\N	WX	24609065
584695	1990	1996-01-10	VYDAJ	PREVOD NA UCET	2168	22113	\N	WX	24609065
584696	1990	1996-02-10	VYDAJ	PREVOD NA UCET	2168	20973	\N	WX	24609065
584697	1990	1996-03-10	VYDAJ	PREVOD NA UCET	2168	22142	\N	WX	24609065
584698	1990	1996-04-10	VYDAJ	PREVOD NA UCET	2168	23315	\N	WX	24609065
584699	1990	1996-05-10	VYDAJ	PREVOD NA UCET	2168	23174	\N	WX	24609065
584700	1990	1996-06-10	VYDAJ	PREVOD NA UCET	2168	24352	\N	WX	24609065
584701	1990	1996-07-10	VYDAJ	PREVOD NA UCET	2168	24212	\N	WX	24609065
584702	1990	1996-08-10	VYDAJ	PREVOD NA UCET	2168	22282	\N	WX	24609065
584703	1990	1996-09-10	VYDAJ	PREVOD NA UCET	2168	23456	\N	WX	24609065
584704	1990	1996-10-10	VYDAJ	PREVOD NA UCET	2168	20099	\N	WX	24609065
584705	1990	1996-11-10	VYDAJ	PREVOD NA UCET	2168	21264	\N	WX	24609065
584706	1990	1996-12-10	VYDAJ	PREVOD NA UCET	2168	20964	\N	WX	24609065
584707	1990	1997-01-10	VYDAJ	PREVOD NA UCET	2168	18381	\N	WX	24609065
584708	1990	1997-02-10	VYDAJ	PREVOD NA UCET	2168	18007	\N	WX	24609065
584709	1990	1997-03-10	VYDAJ	PREVOD NA UCET	2168	19162	\N	WX	24609065
584710	1990	1997-04-10	VYDAJ	PREVOD NA UCET	2168	20323	\N	WX	24609065
584711	1990	1997-05-10	VYDAJ	PREVOD NA UCET	2168	19785	\N	WX	24609065
584712	1990	1997-06-10	VYDAJ	PREVOD NA UCET	2168	19085	\N	WX	24609065
584713	1990	1997-07-10	VYDAJ	PREVOD NA UCET	2168	20246	\N	WX	24609065
584714	1990	1997-08-10	VYDAJ	PREVOD NA UCET	2168	20629	\N	WX	24609065
584715	1990	1997-09-10	VYDAJ	PREVOD NA UCET	2168	21435	\N	WX	24609065
584716	1990	1997-10-10	VYDAJ	PREVOD NA UCET	2168	22605	\N	WX	24609065
584717	1990	1997-11-10	VYDAJ	PREVOD NA UCET	2168	23029	\N	WX	24609065
584718	1990	1997-12-10	VYDAJ	PREVOD NA UCET	2168	24207	\N	WX	24609065
584719	1990	1998-01-10	VYDAJ	PREVOD NA UCET	2168	24457	\N	WX	24609065
584720	1990	1998-02-10	VYDAJ	PREVOD NA UCET	2168	23416	\N	WX	24609065
584721	1990	1998-03-10	VYDAJ	PREVOD NA UCET	2168	24323	\N	WX	24609065
584722	1990	1998-04-10	VYDAJ	PREVOD NA UCET	2168	25504	\N	WX	24609065
584723	1990	1998-05-10	VYDAJ	PREVOD NA UCET	2168	26690	\N	WX	24609065
584724	1990	1998-06-10	VYDAJ	PREVOD NA UCET	2168	26829	\N	WX	24609065
584725	1990	1998-07-10	VYDAJ	PREVOD NA UCET	2168	26701	\N	WX	24609065
584726	1990	1998-08-10	VYDAJ	PREVOD NA UCET	2168	27892	\N	WX	24609065
584727	1990	1998-09-10	VYDAJ	PREVOD NA UCET	2168	29088	\N	WX	24609065
584728	1990	1998-10-10	VYDAJ	PREVOD NA UCET	2168	28063	\N	WX	24609065
584729	1990	1998-11-10	VYDAJ	PREVOD NA UCET	2168	29259	\N	WX	24609065
584730	1990	1998-12-10	VYDAJ	PREVOD NA UCET	2168	30460	\N	WX	24609065
584731	1990	1993-12-21	VYDAJ	VYBER	240	18914	\N	\N	\N
584732	1990	1994-12-18	VYDAJ	VYBER	420	26697	\N	\N	\N
584733	1990	1995-12-14	VYDAJ	VYBER	570	25003	\N	\N	\N
584734	1990	1996-12-27	VYDAJ	VYBER	330	22447	\N	\N	\N
584735	1990	1997-12-14	VYDAJ	VYBER	270	27190	\N	\N	\N
584736	1990	1998-12-12	VYDAJ	VYBER	180	29780	\N	\N	\N
584743	1990	1994-01-24	VYDAJ	VYBER	870	17122	\N	\N	\N
584744	1990	1994-01-20	VYDAJ	VYBER	180	17992	\N	\N	\N
584745	1990	1994-01-16	VYDAJ	VYBER	420	18172	\N	\N	\N
584746	1990	1994-01-30	VYDAJ	VYBER	330	16792	\N	\N	\N
584747	1990	1994-01-07	VYDAJ	VYBER	630	17507	\N	\N	\N
584748	1990	1994-01-05	VYDAJ	VYBER	840	18137	\N	\N	\N
584749	1990	1995-01-09	VYDAJ	VYBER	210	24452	\N	\N	\N
584750	1990	1995-01-15	VYDAJ	VYBER	750	24787	\N	\N	\N
584751	1990	1995-01-04	VYDAJ	VYBER	390	25802	\N	\N	\N
584752	1990	1995-01-05	VYDAJ	VYBER	750	25052	\N	\N	\N
584753	1990	1995-01-07	VYDAJ	VYBER	390	24662	\N	\N	\N
584754	1990	1995-01-18	VYDAJ	VYBER	450	24337	\N	\N	\N
584755	1990	1996-01-22	VYDAJ	VYBER	510	23866	\N	\N	\N
584756	1990	1996-01-26	VYDAJ	VYBER	570	23056	\N	\N	\N
584757	1990	1996-01-23	VYDAJ	VYBER	240	23626	\N	\N	\N
584758	1990	1996-01-13	VYDAJ	VYBER	600	21513	\N	\N	\N
584759	1990	1996-01-18	VYDAJ	VYBER	390	24376	\N	\N	\N
584760	1990	1996-01-09	VYDAJ	VYBER	810	24281	\N	\N	\N
584761	1990	1997-01-22	VYDAJ	VYBER	690	20944	\N	\N	\N
584762	1990	1997-01-06	VYDAJ	VYBER	240	20549	\N	\N	\N
584763	1990	1997-01-05	VYDAJ	VYBER	630	20789	\N	\N	\N
584764	1990	1997-01-03	VYDAJ	VYBER	300	22229	\N	\N	\N
584765	1990	1997-01-05	VYDAJ	VYBER	810	21419	\N	\N	\N
584766	1990	1997-01-28	VYDAJ	VYBER	480	20464	\N	\N	\N
584767	1990	1998-01-03	VYDAJ	VYBER	180	27105	\N	\N	\N
584768	1990	1998-01-21	VYDAJ	VYBER	720	26360	\N	\N	\N
584769	1990	1998-01-19	VYDAJ	VYBER	630	27080	\N	\N	\N
584770	1990	1998-01-22	VYDAJ	VYBER	420	25940	\N	\N	\N
584771	1990	1998-01-30	VYDAJ	VYBER	450	25490	\N	\N	\N
584772	1990	1998-01-03	VYDAJ	VYBER	480	26625	\N	\N	\N
584778	1990	1994-10-04	VYDAJ	VYBER	540	23784	\N	\N	\N
584779	1990	1995-08-24	VYDAJ	VYBER	180	25593	\N	\N	\N
584780	1990	1995-04-15	VYDAJ	VYBER	1320	23732	\N	\N	\N
584781	1990	1995-03-02	VYDAJ	VYBER	960	23838	\N	\N	\N
584782	1990	1995-06-29	VYDAJ	VYBER	1410	23431	\N	\N	\N
584783	1990	1995-03-02	VYDAJ	VYBER	540	23298	\N	\N	\N
584784	1990	1995-05-17	VYDAJ	VYBER	630	23672	\N	\N	\N
584785	1990	1996-05-07	VYDAJ	VYBER	1320	25342	\N	\N	\N
584786	1990	1996-09-23	VYDAJ	VYBER	930	22179	\N	\N	\N
584787	1990	1996-06-16	VYDAJ	VYBER	1320	26285	\N	\N	\N
584788	1990	1996-12-09	VYDAJ	VYBER	1470	23132	\N	\N	\N
584789	1990	1996-12-26	VYDAJ	VYBER	1440	22777	\N	\N	\N
584790	1990	1996-07-23	VYDAJ	VYBER	1410	26055	\N	\N	\N
584791	1990	1997-05-30	VYDAJ	VYBER	540	21178	\N	\N	\N
584792	1990	1997-08-21	VYDAJ	VYBER	360	23522	\N	\N	\N
584793	1990	1997-10-31	VYDAJ	VYBER	750	25197	\N	\N	\N
584794	1990	1997-02-06	VYDAJ	VYBER	360	20175	\N	\N	\N
584795	1990	1997-05-15	VYDAJ	VYBER	1320	21718	\N	\N	\N
584796	1990	1997-07-20	VYDAJ	VYBER	780	22719	\N	\N	\N
584797	1990	1998-09-20	VYDAJ	VYBER	960	30121	\N	\N	\N
584798	1990	1998-07-06	VYDAJ	VYBER	1320	28869	\N	\N	\N
584799	1990	1998-05-21	VYDAJ	VYBER	1050	28893	\N	\N	\N
584800	1990	1998-02-16	VYDAJ	VYBER	270	26399	\N	\N	\N
584801	1990	1998-09-11	VYDAJ	VYBER	1260	27828	\N	\N	\N
584812	1990	1993-10-31	VYDAJ	VYBER	15	16925	SLUZBY	\N	\N
584813	1990	1993-11-30	VYDAJ	VYBER	15	18069	SLUZBY	\N	\N
584814	1990	1993-12-31	VYDAJ	VYBER	15	18977	SLUZBY	\N	\N
584815	1990	1994-01-31	VYDAJ	VYBER	15	16851	SLUZBY	\N	\N
584816	1990	1994-02-28	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
584817	1990	1994-03-31	VYDAJ	VYBER	15	19142	SLUZBY	\N	\N
584818	1990	1994-04-30	VYDAJ	VYBER	15	20294	SLUZBY	\N	\N
584819	1990	1994-05-31	VYDAJ	VYBER	15	21452	SLUZBY	\N	\N
584820	1990	1994-06-30	VYDAJ	VYBER	15	22614	SLUZBY	\N	\N
584821	1990	1994-07-31	VYDAJ	VYBER	15	23782	SLUZBY	\N	\N
584822	1990	1994-08-31	VYDAJ	VYBER	15	24954	SLUZBY	\N	\N
584823	1990	1994-09-30	VYDAJ	VYBER	15	24324	SLUZBY	\N	\N
584824	1990	1994-10-31	VYDAJ	VYBER	15	24956	SLUZBY	\N	\N
584825	1990	1994-11-30	VYDAJ	VYBER	15	26132	SLUZBY	\N	\N
584826	1990	1994-12-31	VYDAJ	VYBER	15	26192	SLUZBY	\N	\N
584827	1990	1995-01-31	VYDAJ	VYBER	15	24424	SLUZBY	\N	\N
584828	1990	1995-02-28	VYDAJ	VYBER	15	25598	SLUZBY	\N	\N
584829	1990	1995-03-31	VYDAJ	VYBER	15	23967	SLUZBY	\N	\N
584830	1990	1995-04-30	VYDAJ	VYBER	15	23817	SLUZBY	\N	\N
584831	1990	1995-05-31	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
584832	1990	1995-06-30	VYDAJ	VYBER	15	23518	SLUZBY	\N	\N
584833	1990	1995-07-31	VYDAJ	VYBER	15	24688	SLUZBY	\N	\N
584834	1990	1995-08-31	VYDAJ	VYBER	15	23883	SLUZBY	\N	\N
584835	1990	1995-09-30	VYDAJ	VYBER	15	22153	SLUZBY	\N	\N
584836	1990	1995-10-31	VYDAJ	VYBER	15	23318	SLUZBY	\N	\N
584837	1990	1995-11-30	VYDAJ	VYBER	15	24488	SLUZBY	\N	\N
584838	1990	1995-12-31	VYDAJ	VYBER	15	25091	SLUZBY	\N	\N
584839	1990	1996-01-31	VYDAJ	VYBER	15	23141	SLUZBY	\N	\N
584840	1990	1996-02-29	VYDAJ	VYBER	15	24310	SLUZBY	\N	\N
584841	1990	1996-03-31	VYDAJ	VYBER	15	25483	SLUZBY	\N	\N
584842	1990	1996-04-30	VYDAJ	VYBER	15	26662	SLUZBY	\N	\N
584843	1990	1996-05-31	VYDAJ	VYBER	15	26520	SLUZBY	\N	\N
584844	1990	1996-06-30	VYDAJ	VYBER	15	26380	SLUZBY	\N	\N
584845	1990	1996-07-31	VYDAJ	VYBER	15	24450	SLUZBY	\N	\N
584846	1990	1996-08-31	VYDAJ	VYBER	15	25624	SLUZBY	\N	\N
584847	1990	1996-09-30	VYDAJ	VYBER	15	22267	SLUZBY	\N	\N
584848	1990	1996-10-31	VYDAJ	VYBER	15	23432	SLUZBY	\N	\N
584849	1990	1996-11-30	VYDAJ	VYBER	15	24602	SLUZBY	\N	\N
584850	1990	1996-12-31	VYDAJ	VYBER	15	22529	SLUZBY	\N	\N
584851	1990	1997-01-31	VYDAJ	VYBER	15	20535	SLUZBY	\N	\N
584852	1990	1997-02-28	VYDAJ	VYBER	15	21330	SLUZBY	\N	\N
584853	1990	1997-03-31	VYDAJ	VYBER	15	22491	SLUZBY	\N	\N
584854	1990	1997-04-30	VYDAJ	VYBER	15	21953	SLUZBY	\N	\N
584855	1990	1997-05-31	VYDAJ	VYBER	15	21253	SLUZBY	\N	\N
584856	1990	1997-06-30	VYDAJ	VYBER	15	22414	SLUZBY	\N	\N
584857	1990	1997-07-31	VYDAJ	VYBER	15	22797	SLUZBY	\N	\N
584858	1990	1997-08-31	VYDAJ	VYBER	15	23603	SLUZBY	\N	\N
584859	1990	1997-09-30	VYDAJ	VYBER	15	24773	SLUZBY	\N	\N
584860	1990	1997-10-31	VYDAJ	VYBER	15	25947	SLUZBY	\N	\N
584861	1990	1997-11-30	VYDAJ	VYBER	15	26375	SLUZBY	\N	\N
584862	1990	1997-12-31	VYDAJ	VYBER	15	27285	SLUZBY	\N	\N
584863	1990	1998-01-31	VYDAJ	VYBER	15	25584	SLUZBY	\N	\N
584864	1990	1998-02-28	VYDAJ	VYBER	15	26491	SLUZBY	\N	\N
584865	1990	1998-03-31	VYDAJ	VYBER	15	27672	SLUZBY	\N	\N
584866	1990	1998-04-30	VYDAJ	VYBER	15	28858	SLUZBY	\N	\N
584867	1990	1998-05-31	VYDAJ	VYBER	15	28997	SLUZBY	\N	\N
584868	1990	1998-06-30	VYDAJ	VYBER	15	30189	SLUZBY	\N	\N
584869	1990	1998-07-31	VYDAJ	VYBER	15	30060	SLUZBY	\N	\N
584870	1990	1998-08-31	VYDAJ	VYBER	15	31256	SLUZBY	\N	\N
584871	1990	1998-09-30	VYDAJ	VYBER	15	30231	SLUZBY	\N	\N
584872	1990	1998-10-31	VYDAJ	VYBER	15	31427	SLUZBY	\N	\N
584873	1990	1998-11-30	VYDAJ	VYBER	15	32628	SLUZBY	\N	\N
584874	1990	1994-09-02	VYDAJ	VYBER	1800	23154	\N	\N	\N
584875	1990	1994-12-01	VYDAJ	VYBER	100	26032	\N	\N	\N
584876	1990	1994-12-31	VYDAJ	VYBER	600	26206	\N	\N	\N
584877	1990	1995-03-01	VYDAJ	VYBER	800	24798	\N	\N	\N
584878	1990	1995-03-31	VYDAJ	VYBER	500	23982	\N	\N	\N
584879	1990	1995-04-30	VYDAJ	VYBER	600	23217	\N	\N	\N
584880	1990	1995-08-28	VYDAJ	VYBER	1800	23793	\N	\N	\N
584881	1990	1995-09-27	VYDAJ	VYBER	2900	22068	\N	\N	\N
584882	1990	1996-07-23	VYDAJ	VYBER	1700	24355	\N	\N	\N
584883	1990	1996-09-21	VYDAJ	VYBER	3600	23109	\N	\N	\N
584884	1990	1997-04-19	VYDAJ	VYBER	1700	21876	\N	\N	\N
584885	1990	1998-12-10	VYDAJ	VYBER	500	29960	\N	\N	\N
584953	1991	1996-11-16	PRIJEM	VKLAD	800	800	\N	\N	\N
584965	1991	1996-12-08	PRIJEM	VKLAD	32763	33563	\N	\N	\N
584966	1991	1997-01-08	PRIJEM	VKLAD	21842	49765	\N	\N	\N
584967	1991	1997-02-08	PRIJEM	VKLAD	21842	59946	\N	\N	\N
584968	1991	1997-03-08	PRIJEM	VKLAD	21842	63354	\N	\N	\N
584969	1991	1997-04-08	PRIJEM	VKLAD	21842	62867	\N	\N	\N
584970	1991	1997-05-08	PRIJEM	VKLAD	21842	56157	\N	\N	\N
584971	1991	1997-06-08	PRIJEM	VKLAD	32763	64966	\N	\N	\N
584972	1991	1997-07-08	PRIJEM	VKLAD	21842	56270	\N	\N	\N
584973	1991	1997-08-08	PRIJEM	VKLAD	21842	57665	\N	\N	\N
584974	1991	1997-09-08	PRIJEM	VKLAD	21842	55861	\N	\N	\N
584975	1991	1997-10-08	PRIJEM	VKLAD	21842	54746	\N	\N	\N
584976	1991	1997-11-08	PRIJEM	VKLAD	21842	53227	\N	\N	\N
584977	1991	1997-12-08	PRIJEM	VKLAD	32763	58009	\N	\N	\N
584978	1991	1998-01-08	PRIJEM	VKLAD	21842	44773	\N	\N	\N
584979	1991	1998-02-08	PRIJEM	VKLAD	21842	35091	\N	\N	\N
584980	1991	1998-03-08	PRIJEM	VKLAD	21842	40803	\N	\N	\N
584981	1991	1998-04-08	PRIJEM	VKLAD	21842	43331	\N	\N	\N
584982	1991	1998-05-08	PRIJEM	VKLAD	21842	44063	\N	\N	\N
584983	1991	1998-06-08	PRIJEM	VKLAD	32763	60534	\N	\N	\N
584984	1991	1998-07-08	PRIJEM	VKLAD	21842	49005	\N	\N	\N
584985	1991	1998-08-08	PRIJEM	VKLAD	21842	53571	\N	\N	\N
584986	1991	1998-09-08	PRIJEM	VKLAD	21842	60052	\N	\N	\N
584987	1991	1998-10-08	PRIJEM	VKLAD	21842	71388	\N	\N	\N
584988	1991	1998-11-08	PRIJEM	VKLAD	21842	78279	\N	\N	\N
584989	1991	1998-12-08	PRIJEM	VKLAD	32763	93822	\N	\N	\N
585005	1991	1997-04-12	VYDAJ	PREVOD NA UCET	2857	60010	SIPO	ST	67935246
585006	1991	1997-05-12	VYDAJ	PREVOD NA UCET	2857	53300	SIPO	ST	67935246
585007	1991	1997-06-12	VYDAJ	PREVOD NA UCET	2857	62109	SIPO	ST	67935246
585008	1991	1997-07-12	VYDAJ	PREVOD NA UCET	2857	53413	SIPO	ST	67935246
585009	1991	1997-08-12	VYDAJ	PREVOD NA UCET	2857	54808	SIPO	ST	67935246
585010	1991	1997-09-12	VYDAJ	PREVOD NA UCET	2857	37404	SIPO	ST	67935246
585011	1991	1997-10-12	VYDAJ	PREVOD NA UCET	2857	51889	SIPO	ST	67935246
585012	1991	1997-11-12	VYDAJ	PREVOD NA UCET	2857	31670	SIPO	ST	67935246
585013	1991	1997-12-12	VYDAJ	PREVOD NA UCET	2857	35052	SIPO	ST	67935246
585014	1991	1998-01-12	VYDAJ	PREVOD NA UCET	2857	26216	SIPO	ST	67935246
585015	1991	1998-02-12	VYDAJ	PREVOD NA UCET	2857	23534	SIPO	ST	67935246
585016	1991	1998-03-12	VYDAJ	PREVOD NA UCET	2857	26046	SIPO	ST	67935246
585017	1991	1998-04-12	VYDAJ	PREVOD NA UCET	2857	26774	SIPO	ST	67935246
585018	1991	1998-05-12	VYDAJ	PREVOD NA UCET	2857	32306	SIPO	ST	67935246
585019	1991	1998-06-12	VYDAJ	PREVOD NA UCET	2857	41277	SIPO	ST	67935246
585020	1991	1998-07-12	VYDAJ	PREVOD NA UCET	2857	36248	SIPO	ST	67935246
585021	1991	1998-08-12	VYDAJ	PREVOD NA UCET	2857	40714	SIPO	ST	67935246
585022	1991	1998-09-12	VYDAJ	PREVOD NA UCET	2857	57195	SIPO	ST	67935246
585023	1991	1998-10-12	VYDAJ	PREVOD NA UCET	2857	68531	SIPO	ST	67935246
585024	1991	1998-11-12	VYDAJ	PREVOD NA UCET	2857	75422	SIPO	ST	67935246
585025	1991	1998-12-12	VYDAJ	PREVOD NA UCET	2857	90965	SIPO	ST	67935246
585042	1991	1997-05-05	VYDAJ	PREVOD NA UCET	4312	34315	 	QR	67428964
585043	1991	1997-06-05	VYDAJ	PREVOD NA UCET	4312	32203	 	QR	67428964
585044	1991	1997-07-05	VYDAJ	PREVOD NA UCET	4312	34428	 	QR	67428964
585045	1991	1997-08-05	VYDAJ	PREVOD NA UCET	4312	35823	 	QR	67428964
585046	1991	1997-09-05	VYDAJ	PREVOD NA UCET	4312	34019	 	QR	67428964
585047	1991	1997-10-05	VYDAJ	PREVOD NA UCET	4312	32904	 	QR	67428964
585048	1991	1997-11-05	VYDAJ	PREVOD NA UCET	4312	31385	 	QR	67428964
585049	1991	1997-12-05	VYDAJ	PREVOD NA UCET	4312	25246	 	QR	67428964
585050	1991	1998-01-05	VYDAJ	PREVOD NA UCET	4312	22931	 	QR	67428964
585051	1991	1998-02-05	VYDAJ	PREVOD NA UCET	4312	13249	 	QR	67428964
585052	1991	1998-03-05	VYDAJ	PREVOD NA UCET	4312	18961	 	QR	67428964
585053	1991	1998-04-05	VYDAJ	PREVOD NA UCET	4312	21489	 	QR	67428964
585054	1991	1998-05-05	VYDAJ	PREVOD NA UCET	4312	22221	 	QR	67428964
585055	1991	1998-06-05	VYDAJ	PREVOD NA UCET	4312	27771	 	QR	67428964
585056	1991	1998-07-05	VYDAJ	PREVOD NA UCET	4312	27163	 	QR	67428964
585057	1991	1998-08-05	VYDAJ	PREVOD NA UCET	4312	31729	 	QR	67428964
585058	1991	1998-09-05	VYDAJ	PREVOD NA UCET	4312	32510	 	QR	67428964
585059	1991	1998-10-05	VYDAJ	PREVOD NA UCET	4312	52746	 	QR	67428964
585060	1991	1998-11-05	VYDAJ	PREVOD NA UCET	4312	64137	 	QR	67428964
585061	1991	1998-12-05	VYDAJ	PREVOD NA UCET	4312	71059	 	QR	67428964
585077	1991	1997-04-14	VYDAJ	PREVOD NA UCET	341	57169	POJISTNE	OP	45115184
585078	1991	1997-05-14	VYDAJ	PREVOD NA UCET	341	52959	POJISTNE	OP	45115184
585079	1991	1997-06-14	VYDAJ	PREVOD NA UCET	341	42868	POJISTNE	OP	45115184
585080	1991	1997-07-14	VYDAJ	PREVOD NA UCET	341	39972	POJISTNE	OP	45115184
585081	1991	1997-08-14	VYDAJ	PREVOD NA UCET	341	40967	POJISTNE	OP	45115184
585082	1991	1997-09-14	VYDAJ	PREVOD NA UCET	341	37063	POJISTNE	OP	45115184
585083	1991	1997-10-14	VYDAJ	PREVOD NA UCET	341	35548	POJISTNE	OP	45115184
585084	1991	1997-11-14	VYDAJ	PREVOD NA UCET	341	31329	POJISTNE	OP	45115184
585085	1991	1997-12-14	VYDAJ	PREVOD NA UCET	341	34711	POJISTNE	OP	45115184
585086	1991	1998-01-14	VYDAJ	PREVOD NA UCET	341	23975	POJISTNE	OP	45115184
585087	1991	1998-02-14	VYDAJ	PREVOD NA UCET	341	23193	POJISTNE	OP	45115184
585088	1991	1998-03-14	VYDAJ	PREVOD NA UCET	341	25705	POJISTNE	OP	45115184
585089	1991	1998-04-14	VYDAJ	PREVOD NA UCET	341	26433	POJISTNE	OP	45115184
585090	1991	1998-05-14	VYDAJ	PREVOD NA UCET	341	31965	POJISTNE	OP	45115184
585091	1991	1998-06-14	VYDAJ	PREVOD NA UCET	341	40936	POJISTNE	OP	45115184
585092	1991	1998-07-14	VYDAJ	PREVOD NA UCET	341	35907	POJISTNE	OP	45115184
585093	1991	1998-08-14	VYDAJ	PREVOD NA UCET	341	40373	POJISTNE	OP	45115184
585094	1991	1998-09-14	VYDAJ	PREVOD NA UCET	341	56854	POJISTNE	OP	45115184
585095	1991	1998-10-14	VYDAJ	PREVOD NA UCET	341	68190	POJISTNE	OP	45115184
585096	1991	1998-11-14	VYDAJ	PREVOD NA UCET	341	75081	POJISTNE	OP	45115184
585097	1991	1998-12-14	VYDAJ	PREVOD NA UCET	341	90624	POJISTNE	OP	45115184
585099	1991	1997-06-24	VYDAJ	VYBER	4300	38568	\N	\N	\N
585100	1991	1998-06-22	VYDAJ	VYBER	9600	31336	\N	\N	\N
585103	1991	1998-01-09	VYDAJ	VYBER	1800	42973	\N	\N	\N
585105	1991	1997-12-24	VYDAJ	VYBER	2500	32211	\N	\N	\N
585106	1991	1998-12-26	VYDAJ	VYBER	600	87224	\N	\N	\N
585119	1991	1998-01-27	VYDAJ	VYBER	2000	17475	\N	\N	\N
585120	1991	1998-01-04	VYDAJ	VYBER	1500	27243	\N	\N	\N
585121	1991	1998-01-18	VYDAJ	VYBER	1900	22075	\N	\N	\N
585122	1991	1998-01-19	VYDAJ	VYBER	2100	19975	\N	\N	\N
585123	1991	1998-01-24	VYDAJ	VYBER	500	19475	\N	\N	\N
585124	1991	1998-01-12	VYDAJ	VYBER	1900	24316	\N	\N	\N
585132	1991	1997-08-27	VYDAJ	VYBER	2800	38167	\N	\N	\N
585133	1991	1997-11-27	VYDAJ	VYBER	1900	29429	\N	\N	\N
585134	1991	1997-04-13	VYDAJ	VYBER	2500	57510	\N	\N	\N
585136	1991	1998-01-02	VYDAJ	VYBER	3600	28743	\N	\N	\N
585137	1991	1998-12-25	VYDAJ	VYBER	2800	87824	\N	\N	\N
585138	1991	1998-07-11	VYDAJ	VYBER	1400	39105	\N	\N	\N
585139	1991	1998-08-28	VYDAJ	VYBER	3700	36673	\N	\N	\N
585156	1991	1997-04-30	VYDAJ	VYBER	15	38627	SLUZBY	\N	\N
585157	1991	1997-05-31	VYDAJ	VYBER	15	36515	SLUZBY	\N	\N
585158	1991	1997-06-30	VYDAJ	VYBER	15	38740	SLUZBY	\N	\N
585159	1991	1997-07-31	VYDAJ	VYBER	15	40135	SLUZBY	\N	\N
585160	1991	1997-08-31	VYDAJ	VYBER	15	38331	SLUZBY	\N	\N
585161	1991	1997-09-30	VYDAJ	VYBER	15	37216	SLUZBY	\N	\N
585162	1991	1997-10-31	VYDAJ	VYBER	15	35697	SLUZBY	\N	\N
585163	1991	1997-11-30	VYDAJ	VYBER	15	29558	SLUZBY	\N	\N
585164	1991	1997-12-31	VYDAJ	VYBER	15	32343	SLUZBY	\N	\N
585165	1991	1998-01-31	VYDAJ	VYBER	15	17561	SLUZBY	\N	\N
585166	1991	1998-02-28	VYDAJ	VYBER	15	23273	SLUZBY	\N	\N
585167	1991	1998-03-31	VYDAJ	VYBER	15	25801	SLUZBY	\N	\N
585168	1991	1998-04-30	VYDAJ	VYBER	15	26533	SLUZBY	\N	\N
585169	1991	1998-05-31	VYDAJ	VYBER	15	32083	SLUZBY	\N	\N
585170	1991	1998-06-30	VYDAJ	VYBER	15	31475	SLUZBY	\N	\N
585171	1991	1998-07-31	VYDAJ	VYBER	15	36041	SLUZBY	\N	\N
585172	1991	1998-08-31	VYDAJ	VYBER	15	36822	SLUZBY	\N	\N
585173	1991	1998-09-30	VYDAJ	VYBER	15	57058	SLUZBY	\N	\N
585174	1991	1998-10-31	VYDAJ	VYBER	15	68449	SLUZBY	\N	\N
585175	1991	1998-11-30	VYDAJ	VYBER	15	75371	SLUZBY	\N	\N
585176	1991	1996-12-16	VYDAJ	VYBER	5700	27863	\N	\N	\N
585177	1991	1997-01-15	VYDAJ	VYBER	11800	37965	\N	\N	\N
585178	1991	1997-02-14	VYDAJ	VYBER	18600	41346	\N	\N	\N
585179	1991	1997-03-16	VYDAJ	VYBER	22500	40854	\N	\N	\N
585180	1991	1997-04-15	VYDAJ	VYBER	18700	38469	\N	\N	\N
585181	1991	1997-05-15	VYDAJ	VYBER	16600	36359	\N	\N	\N
585182	1991	1997-06-14	VYDAJ	VYBER	18900	43209	\N	\N	\N
585183	1991	1997-07-14	VYDAJ	VYBER	13100	40313	\N	\N	\N
585184	1991	1997-08-13	VYDAJ	VYBER	13500	41308	\N	\N	\N
585185	1991	1997-09-12	VYDAJ	VYBER	15600	40261	\N	\N	\N
585186	1991	1997-10-12	VYDAJ	VYBER	16000	35889	\N	\N	\N
585187	1991	1997-11-11	VYDAJ	VYBER	18700	34527	\N	\N	\N
585188	1991	1997-12-11	VYDAJ	VYBER	20100	37909	\N	\N	\N
585189	1991	1998-01-10	VYDAJ	VYBER	13900	29073	\N	\N	\N
585190	1991	1998-02-09	VYDAJ	VYBER	8700	26391	\N	\N	\N
585191	1991	1998-03-11	VYDAJ	VYBER	11900	28903	\N	\N	\N
585192	1991	1998-04-10	VYDAJ	VYBER	13700	29631	\N	\N	\N
585193	1991	1998-05-10	VYDAJ	VYBER	8900	35163	\N	\N	\N
585194	1991	1998-06-09	VYDAJ	VYBER	16400	44134	\N	\N	\N
585195	1991	1998-07-09	VYDAJ	VYBER	8500	40505	\N	\N	\N
585196	1991	1998-08-08	VYDAJ	VYBER	10000	43571	\N	\N	\N
585197	1991	1998-09-07	PRIJEM	VKLAD	5700	38210	\N	\N	\N
585198	1991	1998-10-07	VYDAJ	VYBER	3200	49546	\N	\N	\N
585199	1991	1998-11-06	VYDAJ	VYBER	7700	56437	\N	\N	\N
585200	1991	1998-12-06	VYDAJ	VYBER	10000	61059	\N	\N	\N
585226	1992	1997-09-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
585236	1992	1997-10-12	PRIJEM	VKLAD	6210	7310	\N	\N	\N
585237	1992	1997-11-12	PRIJEM	VKLAD	6210	24833	\N	\N	\N
585238	1992	1997-12-12	PRIJEM	VKLAD	9315	33929	\N	\N	\N
585239	1992	1998-01-12	PRIJEM	VKLAD	6210	33744	\N	\N	\N
585240	1992	1998-02-12	PRIJEM	VKLAD	6210	34369	\N	\N	\N
585241	1992	1998-03-12	PRIJEM	VKLAD	6210	26238	\N	\N	\N
585242	1992	1998-04-12	PRIJEM	VKLAD	6210	19207	\N	\N	\N
585243	1992	1998-05-12	PRIJEM	VKLAD	6210	19495	\N	\N	\N
585244	1992	1998-06-12	PRIJEM	VKLAD	9315	23933	\N	\N	\N
585245	1992	1998-07-12	PRIJEM	VKLAD	6210	23377	\N	\N	\N
585246	1992	1998-08-12	PRIJEM	VKLAD	6210	22924	\N	\N	\N
585247	1992	1998-09-12	PRIJEM	VKLAD	6210	26874	\N	\N	\N
585248	1992	1998-10-12	PRIJEM	VKLAD	6210	24933	\N	\N	\N
585249	1992	1998-11-12	PRIJEM	VKLAD	6210	22183	\N	\N	\N
585250	1992	1998-12-12	PRIJEM	VKLAD	9315	22068	\N	\N	\N
585265	1992	1998-03-09	VYDAJ	PREVOD NA UCET	4140	20028	SIPO	AB	63505238
585266	1992	1998-04-09	VYDAJ	PREVOD NA UCET	4140	12997	SIPO	AB	63505238
585267	1992	1998-05-09	VYDAJ	PREVOD NA UCET	4140	13285	SIPO	AB	63505238
585268	1992	1998-06-09	VYDAJ	PREVOD NA UCET	4140	14618	SIPO	AB	63505238
585269	1992	1998-07-09	VYDAJ	PREVOD NA UCET	4140	17167	SIPO	AB	63505238
585270	1992	1998-08-09	VYDAJ	PREVOD NA UCET	4140	16714	SIPO	AB	63505238
585271	1992	1998-09-09	VYDAJ	PREVOD NA UCET	4140	20664	SIPO	AB	63505238
585272	1992	1998-10-09	VYDAJ	PREVOD NA UCET	4140	18723	SIPO	AB	63505238
585273	1992	1998-11-09	VYDAJ	PREVOD NA UCET	4140	15973	SIPO	AB	63505238
585274	1992	1998-12-09	VYDAJ	PREVOD NA UCET	4140	12753	SIPO	AB	63505238
585280	1992	1998-12-22	VYDAJ	VYBER	800	20468	\N	\N	\N
585298	1992	1998-03-15	VYDAJ	VYBER	3480	22758	\N	\N	\N
585299	1992	1998-11-21	VYDAJ	VYBER	2760	16823	\N	\N	\N
585301	1992	1998-04-17	VYDAJ	VYBER	2640	16567	\N	\N	\N
585316	1992	1998-02-28	VYDAJ	VYBER	15	24168	SLUZBY	\N	\N
585317	1992	1998-03-31	VYDAJ	VYBER	15	17137	SLUZBY	\N	\N
585318	1992	1998-04-30	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
585319	1992	1998-05-31	VYDAJ	VYBER	15	18758	SLUZBY	\N	\N
585320	1992	1998-06-30	VYDAJ	VYBER	15	21307	SLUZBY	\N	\N
585321	1992	1998-07-31	VYDAJ	VYBER	15	20854	SLUZBY	\N	\N
585322	1992	1998-08-31	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
585323	1992	1998-09-30	VYDAJ	VYBER	15	22863	SLUZBY	\N	\N
585324	1992	1998-10-31	VYDAJ	VYBER	15	20113	SLUZBY	\N	\N
585325	1992	1998-11-30	VYDAJ	VYBER	15	16893	SLUZBY	\N	\N
585326	1992	1997-10-27	PRIJEM	VKLAD	11300	18610	\N	\N	\N
585327	1992	1997-11-26	VYDAJ	VYBER	300	24533	\N	\N	\N
585328	1992	1997-12-26	VYDAJ	VYBER	6500	27429	\N	\N	\N
585329	1992	1998-01-25	VYDAJ	VYBER	5700	28044	\N	\N	\N
585330	1992	1998-02-24	VYDAJ	VYBER	10300	24069	\N	\N	\N
585331	1992	1998-03-26	VYDAJ	VYBER	5700	17058	\N	\N	\N
585332	1992	1998-04-25	PRIJEM	VKLAD	800	17367	\N	\N	\N
585333	1992	1998-05-25	VYDAJ	VYBER	800	18695	\N	\N	\N
585334	1992	1998-06-24	VYDAJ	VYBER	2700	21233	\N	\N	\N
585335	1992	1998-07-24	VYDAJ	VYBER	2600	20777	\N	\N	\N
585336	1992	1998-08-23	PRIJEM	VKLAD	1800	24724	\N	\N	\N
585337	1992	1998-09-22	VYDAJ	VYBER	4100	22774	\N	\N	\N
585338	1992	1998-10-22	VYDAJ	VYBER	4900	20033	\N	\N	\N
585339	1992	1998-11-21	VYDAJ	VYBER	2600	19583	\N	\N	\N
585340	1992	1998-12-21	VYDAJ	VYBER	800	21268	\N	\N	\N
585356	1993	1994-10-30	PRIJEM	VKLAD	800	800	\N	\N	\N
585361	1993	1994-11-20	PRIJEM	VKLAD	31037	31837	\N	\N	\N
585362	1993	1994-12-05	PRIJEM	VKLAD	12218	51242	\N	\N	\N
585363	1993	1994-11-21	PRIJEM	VKLAD	18021	49858	\N	\N	\N
585366	1993	1995-06-23	PRIJEM	VKLAD	48042	66084	\N	\N	\N
585367	1993	1995-12-02	PRIJEM	VKLAD	6757	19528	\N	\N	\N
585368	1993	1995-04-17	PRIJEM	VKLAD	38573	62519	\N	\N	\N
585369	1993	1995-05-06	PRIJEM	VKLAD	17885	61255	\N	\N	\N
585370	1993	1995-10-10	PRIJEM	VKLAD	15875	33025	\N	\N	\N
585371	1993	1996-02-16	PRIJEM	VKLAD	45566	59325	\N	\N	\N
585372	1993	1996-01-02	PRIJEM	VKLAD	35695	51066	\N	\N	\N
585373	1993	1996-03-03	PRIJEM	VKLAD	6284	36618	\N	\N	\N
585374	1993	1996-10-09	PRIJEM	VKLAD	28911	32836	\N	\N	\N
585375	1993	1996-07-16	PRIJEM	VKLAD	5976	12731	\N	\N	\N
585376	1993	1997-03-08	PRIJEM	VKLAD	11932	42362	\N	\N	\N
585377	1993	1997-04-17	PRIJEM	VKLAD	22861	62418	\N	\N	\N
585378	1993	1997-03-18	PRIJEM	VKLAD	35844	74506	\N	\N	\N
585379	1993	1997-06-11	PRIJEM	VKLAD	36816	94829	\N	\N	\N
585380	1993	1997-10-31	PRIJEM	VKLAD	15208	50052	\N	\N	\N
585381	1993	1997-04-22	PRIJEM	VKLAD	20046	59264	\N	\N	\N
585382	1993	1997-09-19	PRIJEM	VKLAD	34811	74339	\N	\N	\N
585383	1993	1997-06-11	PRIJEM	VKLAD	21235	116064	\N	\N	\N
585384	1993	1997-08-03	PRIJEM	VKLAD	43424	65333	\N	\N	\N
585385	1993	1997-01-11	PRIJEM	VKLAD	34969	46252	\N	\N	\N
585386	1993	1997-08-18	PRIJEM	VKLAD	42952	72764	\N	\N	\N
585387	1993	1997-05-11	PRIJEM	VKLAD	39004	86760	\N	\N	\N
585388	1993	1997-02-17	PRIJEM	VKLAD	18818	30351	\N	\N	\N
585389	1993	1997-08-12	PRIJEM	VKLAD	42779	108112	\N	\N	\N
585390	1993	1997-05-11	PRIJEM	VKLAD	16608	103368	\N	\N	\N
585391	1993	1997-11-19	PRIJEM	VKLAD	12186	43324	\N	\N	\N
585392	1993	1997-09-20	PRIJEM	VKLAD	49958	124297	\N	\N	\N
585393	1993	1997-06-05	PRIJEM	VKLAD	30579	64413	\N	\N	\N
585394	1993	1998-05-10	PRIJEM	VKLAD	11254	58551	\N	\N	\N
585395	1993	1998-12-24	PRIJEM	VKLAD	12969	51717	\N	\N	\N
585396	1993	1998-05-01	PRIJEM	VKLAD	36505	47297	\N	\N	\N
585397	1993	1998-05-12	PRIJEM	VKLAD	28700	87251	\N	\N	\N
585398	1993	1998-02-23	PRIJEM	VKLAD	29308	42212	\N	\N	\N
585399	1993	1998-06-14	PRIJEM	VKLAD	19933	47790	\N	\N	\N
585400	1993	1998-11-15	PRIJEM	VKLAD	49474	59733	\N	\N	\N
585401	1993	1998-01-23	PRIJEM	VKLAD	13102	33315	\N	\N	\N
585402	1993	1998-11-03	PRIJEM	VKLAD	48052	43759	\N	\N	\N
585419	1993	1995-05-12	VYDAJ	PREVOD NA UCET	5700	55555	UVER	ST	35646581
585420	1993	1995-06-12	VYDAJ	PREVOD NA UCET	5700	18042	UVER	ST	35646581
585421	1993	1995-07-12	VYDAJ	PREVOD NA UCET	5700	39214	UVER	ST	35646581
585422	1993	1995-08-12	VYDAJ	PREVOD NA UCET	5700	24176	UVER	ST	35646581
585423	1993	1995-09-12	VYDAJ	PREVOD NA UCET	5700	15979	UVER	ST	35646581
585424	1993	1995-10-12	VYDAJ	PREVOD NA UCET	5700	27325	UVER	ST	35646581
585425	1993	1995-11-12	VYDAJ	PREVOD NA UCET	5700	16204	UVER	ST	35646581
585426	1993	1995-12-12	VYDAJ	PREVOD NA UCET	5700	13828	UVER	ST	35646581
585427	1993	1996-01-12	VYDAJ	PREVOD NA UCET	5700	42365	UVER	ST	35646581
585428	1993	1996-02-12	VYDAJ	PREVOD NA UCET	5700	13759	UVER	ST	35646581
585429	1993	1996-03-12	VYDAJ	PREVOD NA UCET	5700	30918	UVER	ST	35646581
585430	1993	1996-04-14	VYDAJ	VYBER	4700	13411	\N	\N	0
585431	1993	1996-05-08	VYDAJ	VYBER	5000	9167	\N	\N	0
585432	1993	1996-06-13	VYDAJ	VYBER	7600	6711	\N	\N	0
585434	1993	1996-08-16	VYDAJ	VYBER	7100	8457	\N	\N	0
585435	1993	1996-09-27	VYDAJ	VYBER	4600	3905	\N	\N	0
585436	1993	1996-10-14	VYDAJ	VYBER	7600	25236	\N	\N	0
585437	1993	1996-11-11	VYDAJ	VYBER	6500	13680	\N	\N	0
585438	1993	1996-12-03	VYDAJ	VYBER	5300	10541	\N	\N	0
585439	1993	1997-01-15	VYDAJ	VYBER	5200	33852	\N	\N	0
585440	1993	1997-02-02	VYDAJ	VYBER	5700	11733	\N	\N	0
585441	1993	1997-03-08	VYDAJ	VYBER	3700	38662	\N	\N	0
585442	1993	1997-04-12	VYDAJ	VYBER	5600	39557	\N	\N	0
585443	1993	1997-05-16	VYDAJ	VYBER	3800	44368	\N	\N	0
585444	1993	1997-06-06	VYDAJ	VYBER	6400	58013	\N	\N	0
585445	1993	1997-07-20	VYDAJ	VYBER	3900	27969	\N	\N	0
585446	1993	1997-08-02	VYDAJ	VYBER	6200	21909	\N	\N	0
585447	1993	1997-09-14	VYDAJ	VYBER	6700	66328	\N	\N	0
585448	1993	1997-10-12	VYDAJ	VYBER	4300	54053	\N	\N	0
585449	1993	1997-11-12	VYDAJ	VYBER	6000	44038	\N	\N	0
585450	1993	1997-12-11	VYDAJ	VYBER	4200	39289	\N	\N	0
585451	1993	1998-01-08	VYDAJ	VYBER	5900	20213	\N	\N	0
585452	1993	1998-01-24	VYDAJ	VYBER	7200	26115	\N	\N	0
585453	1993	1998-03-13	VYDAJ	VYBER	5700	16904	\N	\N	0
585454	1993	1998-04-10	VYDAJ	VYBER	6300	10738	\N	\N	0
585455	1993	1998-05-20	VYDAJ	VYBER	7900	32151	\N	\N	0
585456	1993	1998-06-10	VYDAJ	VYBER	4400	27857	\N	\N	0
585457	1993	1998-07-09	VYDAJ	VYBER	7400	40545	\N	\N	0
585458	1993	1998-08-20	VYDAJ	VYBER	7500	9841	\N	\N	0
585459	1993	1998-09-25	VYDAJ	VYBER	8300	1595	\N	\N	0
585461	1993	1998-10-26	VYDAJ	VYBER	5900	-4282	\N	\N	0
585462	1993	1998-12-17	VYDAJ	VYBER	6400	38748	\N	\N	0
585471	1993	1995-06-11	VYDAJ	VYBER	12300	23743	\N	\N	\N
585478	1993	1997-12-21	VYDAJ	VYBER	3300	25989	\N	\N	\N
585479	1993	1998-12-05	VYDAJ	VYBER	3900	45148	\N	\N	\N
585494	1993	1996-01-25	VYDAJ	VYBER	6300	19365	\N	\N	\N
585495	1993	1996-01-12	VYDAJ	VYBER	4200	38165	\N	\N	\N
585498	1993	1997-01-23	VYDAJ	VYBER	2100	25452	\N	\N	\N
585500	1993	1997-01-11	VYDAJ	VYBER	7200	39052	\N	\N	\N
585503	1993	1997-01-26	VYDAJ	VYBER	8100	17352	\N	\N	\N
585504	1993	1998-01-26	VYDAJ	VYBER	1800	21615	\N	\N	\N
585506	1993	1998-01-25	VYDAJ	VYBER	2700	23415	\N	\N	\N
585520	1993	1996-01-11	VYDAJ	VYBER	3000	48066	\N	\N	\N
585521	1993	1996-02-20	VYDAJ	VYBER	12600	46725	\N	\N	\N
585522	1993	1996-03-19	VYDAJ	VYBER	8400	22518	\N	\N	\N
585524	1993	1997-09-23	VYDAJ	VYBER	12300	63797	\N	\N	\N
585525	1993	1997-04-25	VYDAJ	VYBER	11700	47564	\N	\N	\N
585526	1993	1997-10-30	VYDAJ	VYBER	2400	34653	\N	\N	\N
585527	1993	1997-06-16	VYDAJ	VYBER	14100	69664	\N	\N	\N
585528	1993	1997-09-25	VYDAJ	VYBER	5700	58097	\N	\N	\N
585530	1993	1998-05-12	VYDAJ	VYBER	12000	40051	\N	\N	\N
585531	1993	1998-03-09	VYDAJ	VYBER	3300	39004	\N	\N	\N
585533	1993	1998-12-01	VYDAJ	VYBER	10800	49048	\N	\N	\N
585551	1993	1995-05-31	VYDAJ	VYBER	15	36043	SLUZBY	\N	\N
585552	1993	1995-06-30	VYDAJ	VYBER	15	44914	SLUZBY	\N	\N
585553	1993	1995-07-31	VYDAJ	VYBER	15	29876	SLUZBY	\N	\N
585554	1993	1995-08-31	VYDAJ	VYBER	15	21679	SLUZBY	\N	\N
585555	1993	1995-09-30	VYDAJ	VYBER	15	17150	SLUZBY	\N	\N
585556	1993	1995-10-31	VYDAJ	VYBER	15	21904	SLUZBY	\N	\N
585557	1993	1995-11-30	VYDAJ	VYBER	15	12771	SLUZBY	\N	\N
585558	1993	1995-12-31	VYDAJ	VYBER	15	15371	SLUZBY	\N	\N
585559	1993	1996-01-31	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
585560	1993	1996-02-29	VYDAJ	VYBER	15	30334	SLUZBY	\N	\N
585561	1993	1996-03-31	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
585562	1993	1996-04-30	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
585563	1993	1996-05-31	VYDAJ	VYBER	15	14311	SLUZBY	\N	\N
585564	1993	1996-06-30	VYDAJ	VYBER	15	6755	SLUZBY	\N	\N
585565	1993	1996-07-31	VYDAJ	VYBER	15	15557	SLUZBY	\N	\N
585566	1993	1996-08-31	VYDAJ	VYBER	15	8505	SLUZBY	\N	\N
585567	1993	1996-09-30	VYDAJ	VYBER	15	3925	SLUZBY	\N	\N
585568	1993	1996-10-31	VYDAJ	VYBER	15	20180	SLUZBY	\N	\N
585569	1993	1996-11-30	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
585570	1993	1996-12-31	VYDAJ	VYBER	15	11283	SLUZBY	\N	\N
585571	1993	1997-01-31	VYDAJ	VYBER	15	17433	SLUZBY	\N	\N
585572	1993	1997-02-28	VYDAJ	VYBER	15	30430	SLUZBY	\N	\N
585573	1993	1997-03-31	VYDAJ	VYBER	15	45157	SLUZBY	\N	\N
585574	1993	1997-04-30	VYDAJ	VYBER	15	47756	SLUZBY	\N	\N
585575	1993	1997-05-31	VYDAJ	VYBER	15	33834	SLUZBY	\N	\N
585576	1993	1997-06-30	VYDAJ	VYBER	15	43369	SLUZBY	\N	\N
585577	1993	1997-07-31	VYDAJ	VYBER	15	28109	SLUZBY	\N	\N
585578	1993	1997-08-31	VYDAJ	VYBER	15	73028	SLUZBY	\N	\N
585579	1993	1997-09-30	VYDAJ	VYBER	15	58353	SLUZBY	\N	\N
585580	1993	1997-10-31	VYDAJ	VYBER	15	50038	SLUZBY	\N	\N
585581	1993	1997-11-30	VYDAJ	VYBER	15	43489	SLUZBY	\N	\N
585582	1993	1997-12-31	VYDAJ	VYBER	15	26113	SLUZBY	\N	\N
585583	1993	1998-01-31	VYDAJ	VYBER	15	21704	SLUZBY	\N	\N
585584	1993	1998-02-28	VYDAJ	VYBER	15	42304	SLUZBY	\N	\N
585585	1993	1998-03-31	VYDAJ	VYBER	15	17038	SLUZBY	\N	\N
585586	1993	1998-04-30	VYDAJ	VYBER	15	10792	SLUZBY	\N	\N
585587	1993	1998-05-31	VYDAJ	VYBER	15	32257	SLUZBY	\N	\N
585588	1993	1998-06-30	VYDAJ	VYBER	15	47945	SLUZBY	\N	\N
585589	1993	1998-07-31	VYDAJ	VYBER	15	17341	SLUZBY	\N	\N
585590	1993	1998-08-31	VYDAJ	VYBER	15	9895	SLUZBY	\N	\N
585591	1993	1998-09-30	VYDAJ	VYBER	15	1618	SLUZBY	\N	\N
585592	1993	1998-10-31	VYDAJ	VYBER	15	-4292	SLUZBY	\N	\N
585593	1993	1998-11-30	VYDAJ	VYBER	15	59848	SLUZBY	\N	\N
585594	1993	1994-11-29	VYDAJ	VYBER	10900	38958	\N	\N	\N
585595	1993	1994-12-29	VYDAJ	VYBER	15800	35442	\N	\N	\N
585596	1993	1995-01-28	VYDAJ	VYBER	6000	29603	\N	\N	\N
585597	1993	1995-02-27	VYDAJ	VYBER	2200	27551	\N	\N	\N
585598	1993	1995-03-29	VYDAJ	VYBER	3900	23798	\N	\N	\N
585599	1993	1995-04-28	VYDAJ	VYBER	19300	43219	\N	\N	\N
585600	1993	1995-05-28	VYDAJ	VYBER	19700	35855	\N	\N	\N
585601	1993	1995-06-27	VYDAJ	VYBER	21300	44784	\N	\N	\N
585602	1993	1995-07-27	VYDAJ	VYBER	9500	29714	\N	\N	\N
585603	1993	1995-08-26	VYDAJ	VYBER	2600	21576	\N	\N	\N
585604	1993	1995-09-25	PRIJEM	VKLAD	1100	17079	\N	\N	\N
585605	1993	1995-10-25	VYDAJ	VYBER	5500	21825	\N	\N	\N
585606	1993	1995-11-24	VYDAJ	VYBER	3500	12704	\N	\N	\N
585607	1993	1995-12-24	PRIJEM	VKLAD	1500	15328	\N	\N	\N
585608	1993	1996-01-23	VYDAJ	VYBER	12500	25665	\N	\N	\N
585609	1993	1996-02-22	VYDAJ	VYBER	16500	30225	\N	\N	\N
585610	1993	1996-03-23	VYDAJ	VYBER	4500	18018	\N	\N	\N
585611	1993	1996-04-22	PRIJEM	VKLAD	700	14111	\N	\N	\N
585612	1993	1996-05-22	PRIJEM	VKLAD	5100	14267	\N	\N	\N
585613	1993	1996-07-21	PRIJEM	VKLAD	2800	15531	\N	\N	\N
585614	1993	1996-10-19	VYDAJ	VYBER	5100	20136	\N	\N	\N
585615	1993	1996-11-18	PRIJEM	VKLAD	2100	15780	\N	\N	\N
585616	1993	1996-12-18	PRIJEM	VKLAD	700	11241	\N	\N	\N
585617	1993	1997-01-17	VYDAJ	VYBER	6300	27552	\N	\N	\N
585618	1993	1997-02-16	VYDAJ	VYBER	200	11533	\N	\N	\N
585619	1993	1997-03-18	VYDAJ	VYBER	29500	45006	\N	\N	\N
585620	1993	1997-04-17	VYDAJ	VYBER	23200	39218	\N	\N	\N
585621	1993	1997-05-11	VYDAJ	VYBER	55200	48168	\N	\N	\N
585622	1993	1997-05-17	VYDAJ	VYBER	10700	33668	\N	\N	\N
585623	1993	1997-06-11	VYDAJ	VYBER	32300	83764	\N	\N	\N
585624	1993	1997-06-16	VYDAJ	VYBER	26500	43164	\N	\N	\N
585625	1993	1997-07-16	VYDAJ	VYBER	11500	31869	\N	\N	\N
585626	1993	1997-08-12	VYDAJ	VYBER	64400	43712	\N	\N	\N
585627	1993	1997-08-15	VYDAJ	VYBER	13900	29812	\N	\N	\N
585628	1993	1997-09-14	VYDAJ	VYBER	26800	39528	\N	\N	\N
585629	1993	1997-09-20	VYDAJ	VYBER	48200	76097	\N	\N	\N
585630	1993	1997-10-14	VYDAJ	VYBER	17000	37053	\N	\N	\N
585631	1993	1997-11-13	VYDAJ	VYBER	12900	31138	\N	\N	\N
585632	1993	1997-12-13	VYDAJ	VYBER	10000	29289	\N	\N	\N
585633	1993	1998-02-11	VYDAJ	VYBER	8800	12904	\N	\N	\N
585634	1993	1998-03-13	VYDAJ	VYBER	16400	22604	\N	\N	\N
585635	1993	1998-05-12	VYDAJ	VYBER	35200	52051	\N	\N	\N
585636	1993	1998-07-11	VYDAJ	VYBER	23300	17245	\N	\N	\N
585637	1993	1998-11-08	VYDAJ	VYBER	33500	10259	\N	\N	\N
585688	1994	1995-07-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
585690	1994	1995-09-19	PRIJEM	VKLAD	49181	81093	\N	\N	\N
585693	1994	1995-11-12	PRIJEM	VKLAD	27704	110380	\N	\N	\N
585696	1994	1995-09-13	PRIJEM	VKLAD	31112	42012	\N	\N	\N
585698	1994	1995-10-10	PRIJEM	VKLAD	35261	116498	\N	\N	\N
585700	1994	1995-12-15	PRIJEM	VKLAD	38784	81076	\N	\N	\N
585704	1994	1995-12-05	PRIJEM	VKLAD	13464	47021	\N	\N	\N
585709	1994	1995-10-22	PRIJEM	VKLAD	27546	82344	\N	\N	\N
585712	1994	1996-02-26	PRIJEM	VKLAD	29781	64156	\N	\N	\N
585713	1994	1996-04-10	PRIJEM	VKLAD	13114	95606	\N	\N	\N
585714	1994	1996-12-06	PRIJEM	VKLAD	23438	101706	\N	\N	\N
585715	1994	1996-05-19	PRIJEM	VKLAD	6768	37592	\N	\N	\N
585716	1994	1996-12-13	PRIJEM	VKLAD	17942	74881	\N	\N	\N
585717	1994	1996-02-08	PRIJEM	VKLAD	16821	52886	\N	\N	\N
585718	1994	1996-03-23	PRIJEM	VKLAD	14128	68805	\N	\N	\N
585719	1994	1996-08-15	PRIJEM	VKLAD	33935	53521	\N	\N	\N
585720	1994	1996-07-14	PRIJEM	VKLAD	46102	69553	\N	\N	\N
585721	1994	1996-03-01	PRIJEM	VKLAD	33176	83688	\N	\N	\N
585722	1994	1996-01-14	PRIJEM	VKLAD	7562	32787	\N	\N	\N
585723	1994	1996-03-14	PRIJEM	VKLAD	30959	96077	\N	\N	\N
585724	1994	1996-01-25	PRIJEM	VKLAD	29380	52767	\N	\N	\N
585725	1994	1996-11-21	PRIJEM	VKLAD	18257	55605	\N	\N	\N
585726	1994	1996-03-23	PRIJEM	VKLAD	13430	82235	\N	\N	\N
585727	1994	1996-10-20	PRIJEM	VKLAD	40050	62750	\N	\N	\N
585728	1994	1996-09-17	PRIJEM	VKLAD	32663	63136	\N	\N	\N
585729	1994	1996-11-06	PRIJEM	VKLAD	16030	78974	\N	\N	\N
585730	1994	1996-11-26	PRIJEM	VKLAD	22439	78044	\N	\N	\N
585731	1994	1996-07-03	PRIJEM	VKLAD	22557	42980	\N	\N	\N
585732	1994	1997-11-27	PRIJEM	VKLAD	12794	25998	\N	\N	\N
585733	1994	1997-07-12	PRIJEM	VKLAD	16193	48428	\N	\N	\N
585734	1994	1997-04-03	PRIJEM	VKLAD	48506	62828	\N	\N	\N
585735	1994	1997-07-02	PRIJEM	VKLAD	17343	43724	\N	\N	\N
585736	1994	1997-08-31	PRIJEM	VKLAD	11593	59152	\N	\N	\N
585737	1994	1997-01-23	PRIJEM	VKLAD	24764	45513	\N	\N	\N
585738	1994	1997-06-03	PRIJEM	VKLAD	30062	56204	\N	\N	\N
585739	1994	1997-05-05	PRIJEM	VKLAD	26120	51567	\N	\N	\N
585740	1994	1997-05-10	PRIJEM	VKLAD	43522	59952	\N	\N	\N
585741	1994	1997-07-06	PRIJEM	VKLAD	23535	67259	\N	\N	\N
585742	1994	1997-08-21	PRIJEM	VKLAD	31707	47559	\N	\N	\N
585743	1994	1997-09-03	PRIJEM	VKLAD	20231	79508	\N	\N	\N
585744	1994	1998-04-19	PRIJEM	VKLAD	39568	118344	\N	\N	\N
585745	1994	1998-04-05	PRIJEM	VKLAD	49531	55546	\N	\N	\N
585746	1994	1998-07-09	PRIJEM	VKLAD	43673	68545	\N	\N	\N
585747	1994	1998-12-11	PRIJEM	VKLAD	8716	35925	\N	\N	\N
585748	1994	1998-11-13	PRIJEM	VKLAD	11486	59200	\N	\N	\N
585749	1994	1998-07-02	PRIJEM	VKLAD	35370	57790	\N	\N	\N
585750	1994	1998-07-18	PRIJEM	VKLAD	38436	111480	\N	\N	\N
585751	1994	1998-11-05	PRIJEM	VKLAD	26488	48481	\N	\N	\N
585752	1994	1998-01-15	PRIJEM	VKLAD	35603	52277	\N	\N	\N
585753	1994	1998-07-13	PRIJEM	VKLAD	19911	119606	\N	\N	\N
585754	1994	1998-05-02	PRIJEM	VKLAD	11669	109625	\N	\N	\N
585755	1994	1998-07-11	PRIJEM	VKLAD	31899	100444	\N	\N	\N
585756	1994	1998-05-12	PRIJEM	VKLAD	6121	60422	\N	\N	\N
585757	1994	1998-05-01	PRIJEM	VKLAD	40968	97956	\N	\N	\N
585758	1994	1998-09-12	PRIJEM	VKLAD	33707	54181	\N	\N	\N
585759	1994	1998-04-13	PRIJEM	VKLAD	27959	82738	\N	\N	\N
585770	1994	1995-11-13	VYDAJ	PREVOD NA UCET	3962	59475	SIPO	YZ	270581
585771	1994	1995-12-13	VYDAJ	PREVOD NA UCET	3962	42292	SIPO	YZ	270581
585772	1994	1996-01-13	VYDAJ	PREVOD NA UCET	3962	25225	SIPO	YZ	270581
585773	1994	1996-02-13	VYDAJ	PREVOD NA UCET	3962	48175	SIPO	YZ	270581
585774	1994	1996-03-13	VYDAJ	PREVOD NA UCET	3962	65118	SIPO	YZ	270581
585775	1994	1996-04-13	VYDAJ	PREVOD NA UCET	3962	90895	SIPO	YZ	270581
585776	1994	1996-05-13	VYDAJ	PREVOD NA UCET	3962	44924	SIPO	YZ	270581
585777	1994	1996-06-13	VYDAJ	PREVOD NA UCET	3962	23320	SIPO	YZ	270581
585778	1994	1996-07-13	VYDAJ	PREVOD NA UCET	3962	38251	SIPO	YZ	270581
585779	1994	1996-08-13	VYDAJ	PREVOD NA UCET	3962	19586	SIPO	YZ	270581
585780	1994	1996-09-13	VYDAJ	PREVOD NA UCET	3962	30473	SIPO	YZ	270581
585781	1994	1996-10-13	VYDAJ	PREVOD NA UCET	3962	22700	SIPO	YZ	270581
585782	1994	1996-11-13	VYDAJ	PREVOD NA UCET	3962	37348	SIPO	YZ	270581
585783	1994	1996-12-13	VYDAJ	PREVOD NA UCET	3962	70919	SIPO	YZ	270581
585784	1994	1997-01-13	VYDAJ	PREVOD NA UCET	3962	20749	SIPO	YZ	270581
585785	1994	1997-02-13	VYDAJ	PREVOD NA UCET	3962	18913	SIPO	YZ	270581
585786	1994	1997-03-13	VYDAJ	PREVOD NA UCET	3962	14270	SIPO	YZ	270581
585787	1994	1997-04-13	VYDAJ	PREVOD NA UCET	3962	30499	SIPO	YZ	270581
585788	1994	1997-05-13	VYDAJ	PREVOD NA UCET	3962	55241	SIPO	YZ	270581
585789	1994	1997-06-13	VYDAJ	PREVOD NA UCET	3962	26275	SIPO	YZ	270581
585790	1994	1997-07-13	VYDAJ	PREVOD NA UCET	3962	44423	SIPO	YZ	270581
585791	1994	1997-08-13	VYDAJ	PREVOD NA UCET	3962	15852	SIPO	YZ	270581
585792	1994	1997-09-13	VYDAJ	PREVOD NA UCET	3962	27979	SIPO	YZ	270581
585793	1994	1997-10-13	VYDAJ	PREVOD NA UCET	3962	17863	SIPO	YZ	270581
585794	1994	1997-11-13	VYDAJ	PREVOD NA UCET	3962	13204	SIPO	YZ	270581
585795	1994	1997-12-13	VYDAJ	PREVOD NA UCET	3962	21323	SIPO	YZ	270581
585796	1994	1998-01-13	VYDAJ	PREVOD NA UCET	3962	16674	SIPO	YZ	270581
585797	1994	1998-02-13	VYDAJ	PREVOD NA UCET	3962	10670	SIPO	YZ	270581
585798	1994	1998-03-13	VYDAJ	PREVOD NA UCET	3962	5998	SIPO	YZ	270581
585799	1994	1998-04-13	VYDAJ	PREVOD NA UCET	3962	78776	SIPO	YZ	270581
585800	1994	1998-05-13	VYDAJ	PREVOD NA UCET	3962	56417	SIPO	YZ	270581
585801	1994	1998-06-13	VYDAJ	PREVOD NA UCET	3962	22319	SIPO	YZ	270581
585802	1994	1998-07-13	VYDAJ	PREVOD NA UCET	3962	73044	SIPO	YZ	270581
585803	1994	1998-08-13	VYDAJ	PREVOD NA UCET	3962	21099	SIPO	YZ	270581
585804	1994	1998-09-13	VYDAJ	PREVOD NA UCET	3962	50176	SIPO	YZ	270581
585805	1994	1998-10-13	VYDAJ	PREVOD NA UCET	3962	21896	SIPO	YZ	270581
585806	1994	1998-11-13	VYDAJ	PREVOD NA UCET	3962	55238	SIPO	YZ	270581
585807	1994	1998-12-13	VYDAJ	PREVOD NA UCET	3962	31214	SIPO	YZ	270581
585819	1994	1995-12-11	VYDAJ	PREVOD NA UCET	706	46297	 	QR	84585159
585820	1994	1996-01-11	VYDAJ	PREVOD NA UCET	706	29230	 	QR	84585159
585821	1994	1996-02-11	VYDAJ	PREVOD NA UCET	706	52180	 	QR	84585159
585822	1994	1996-03-11	VYDAJ	PREVOD NA UCET	706	69123	 	QR	84585159
585823	1994	1996-04-11	VYDAJ	PREVOD NA UCET	706	94900	 	QR	84585159
585824	1994	1996-05-11	VYDAJ	PREVOD NA UCET	706	48929	 	QR	84585159
585825	1994	1996-06-11	VYDAJ	PREVOD NA UCET	706	37025	 	QR	84585159
585826	1994	1996-07-11	VYDAJ	PREVOD NA UCET	706	42256	 	QR	84585159
585827	1994	1996-08-11	VYDAJ	PREVOD NA UCET	706	41491	 	QR	84585159
585828	1994	1996-09-11	VYDAJ	PREVOD NA UCET	706	34478	 	QR	84585159
585829	1994	1996-10-11	VYDAJ	PREVOD NA UCET	706	48105	 	QR	84585159
585830	1994	1996-11-11	VYDAJ	PREVOD NA UCET	706	41353	 	QR	84585159
585831	1994	1996-12-11	VYDAJ	PREVOD NA UCET	706	56982	 	QR	84585159
585832	1994	1997-01-11	VYDAJ	PREVOD NA UCET	706	27154	 	QR	84585159
585833	1994	1997-02-11	VYDAJ	PREVOD NA UCET	706	22918	 	QR	84585159
585834	1994	1997-03-11	VYDAJ	PREVOD NA UCET	706	18275	 	QR	84585159
585835	1994	1997-04-11	VYDAJ	PREVOD NA UCET	706	34504	 	QR	84585159
585836	1994	1997-05-11	VYDAJ	PREVOD NA UCET	706	59246	 	QR	84585159
585837	1994	1997-06-11	VYDAJ	PREVOD NA UCET	706	30280	 	QR	84585159
585838	1994	1997-07-11	VYDAJ	PREVOD NA UCET	706	32235	 	QR	84585159
585839	1994	1997-08-11	VYDAJ	PREVOD NA UCET	706	19857	 	QR	84585159
585840	1994	1997-09-11	VYDAJ	PREVOD NA UCET	706	31984	 	QR	84585159
585841	1994	1997-10-11	VYDAJ	PREVOD NA UCET	706	21868	 	QR	84585159
585842	1994	1997-11-11	VYDAJ	PREVOD NA UCET	706	17209	 	QR	84585159
585843	1994	1997-12-11	VYDAJ	PREVOD NA UCET	706	25328	 	QR	84585159
585844	1994	1998-01-11	VYDAJ	PREVOD NA UCET	706	20679	 	QR	84585159
585845	1994	1998-02-11	VYDAJ	PREVOD NA UCET	706	14675	 	QR	84585159
585846	1994	1998-03-11	VYDAJ	PREVOD NA UCET	706	10003	 	QR	84585159
585847	1994	1998-04-11	VYDAJ	PREVOD NA UCET	706	54822	 	QR	84585159
585848	1994	1998-05-11	VYDAJ	PREVOD NA UCET	706	54301	 	QR	84585159
585849	1994	1998-06-11	VYDAJ	PREVOD NA UCET	706	26324	 	QR	84585159
585850	1994	1998-07-11	VYDAJ	PREVOD NA UCET	706	99738	 	QR	84585159
585851	1994	1998-08-11	VYDAJ	PREVOD NA UCET	706	25104	 	QR	84585159
585852	1994	1998-09-11	VYDAJ	PREVOD NA UCET	706	20474	 	QR	84585159
585853	1994	1998-10-11	VYDAJ	PREVOD NA UCET	706	25901	 	QR	84585159
585854	1994	1998-11-11	VYDAJ	PREVOD NA UCET	706	47757	 	QR	84585159
585855	1994	1998-12-11	VYDAJ	PREVOD NA UCET	706	35219	 	QR	84585159
585867	1994	1995-12-06	VYDAJ	PREVOD NA UCET	18	47003	POJISTNE	WX	14715516
585868	1994	1996-01-06	VYDAJ	PREVOD NA UCET	18	29936	POJISTNE	WX	14715516
585869	1994	1996-02-06	VYDAJ	PREVOD NA UCET	18	36065	POJISTNE	WX	14715516
585870	1994	1996-03-06	VYDAJ	PREVOD NA UCET	18	69829	POJISTNE	WX	14715516
585871	1994	1996-04-06	VYDAJ	PREVOD NA UCET	18	82492	POJISTNE	WX	14715516
585872	1994	1996-05-06	VYDAJ	PREVOD NA UCET	18	49635	POJISTNE	WX	14715516
585873	1994	1996-06-06	VYDAJ	PREVOD NA UCET	18	37731	POJISTNE	WX	14715516
585874	1994	1996-07-06	VYDAJ	PREVOD NA UCET	18	42962	POJISTNE	WX	14715516
585875	1994	1996-08-06	VYDAJ	PREVOD NA UCET	18	42197	POJISTNE	WX	14715516
585876	1994	1996-09-06	VYDAJ	PREVOD NA UCET	18	53684	POJISTNE	WX	14715516
585877	1994	1996-10-06	VYDAJ	PREVOD NA UCET	18	56912	POJISTNE	WX	14715516
585878	1994	1996-11-06	VYDAJ	PREVOD NA UCET	18	78956	POJISTNE	WX	14715516
585879	1994	1996-12-06	VYDAJ	PREVOD NA UCET	18	101688	POJISTNE	WX	14715516
585880	1994	1997-01-06	VYDAJ	PREVOD NA UCET	18	51360	POJISTNE	WX	14715516
585881	1994	1997-02-06	VYDAJ	PREVOD NA UCET	18	37524	POJISTNE	WX	14715516
585882	1994	1997-03-06	VYDAJ	PREVOD NA UCET	18	18981	POJISTNE	WX	14715516
585883	1994	1997-04-06	VYDAJ	PREVOD NA UCET	18	62810	POJISTNE	WX	14715516
585884	1994	1997-05-06	VYDAJ	PREVOD NA UCET	18	51549	POJISTNE	WX	14715516
585885	1994	1997-06-06	VYDAJ	PREVOD NA UCET	18	56186	POJISTNE	WX	14715516
585886	1994	1997-07-06	VYDAJ	PREVOD NA UCET	18	67241	POJISTNE	WX	14715516
585887	1994	1997-08-06	VYDAJ	PREVOD NA UCET	18	44563	POJISTNE	WX	14715516
585888	1994	1997-09-06	VYDAJ	PREVOD NA UCET	18	37490	POJISTNE	WX	14715516
585889	1994	1997-10-06	VYDAJ	PREVOD NA UCET	18	22574	POJISTNE	WX	14715516
585890	1994	1997-11-06	VYDAJ	PREVOD NA UCET	18	17915	POJISTNE	WX	14715516
585891	1994	1997-12-06	VYDAJ	PREVOD NA UCET	18	26034	POJISTNE	WX	14715516
585892	1994	1998-01-06	VYDAJ	PREVOD NA UCET	18	21385	POJISTNE	WX	14715516
585893	1994	1998-02-06	VYDAJ	PREVOD NA UCET	18	15381	POJISTNE	WX	14715516
585894	1994	1998-03-06	VYDAJ	PREVOD NA UCET	18	10709	POJISTNE	WX	14715516
585895	1994	1998-04-06	VYDAJ	PREVOD NA UCET	18	55528	POJISTNE	WX	14715516
585896	1994	1998-05-06	VYDAJ	PREVOD NA UCET	18	55007	POJISTNE	WX	14715516
585897	1994	1998-06-06	VYDAJ	PREVOD NA UCET	18	27030	POJISTNE	WX	14715516
585898	1994	1998-07-06	VYDAJ	PREVOD NA UCET	18	24872	POJISTNE	WX	14715516
585899	1994	1998-08-06	VYDAJ	PREVOD NA UCET	18	25810	POJISTNE	WX	14715516
585900	1994	1998-09-06	VYDAJ	PREVOD NA UCET	18	21180	POJISTNE	WX	14715516
585901	1994	1998-10-06	VYDAJ	PREVOD NA UCET	18	26607	POJISTNE	WX	14715516
585902	1994	1998-11-06	VYDAJ	PREVOD NA UCET	18	48463	POJISTNE	WX	14715516
585903	1994	1998-12-06	VYDAJ	PREVOD NA UCET	18	27209	POJISTNE	WX	14715516
585914	1994	1995-11-12	VYDAJ	PREVOD NA UCET	43	110337	 	EF	9145510
585915	1994	1995-12-12	VYDAJ	PREVOD NA UCET	43	46254	 	EF	9145510
585916	1994	1996-01-12	VYDAJ	PREVOD NA UCET	43	29187	 	EF	9145510
585917	1994	1996-02-12	VYDAJ	PREVOD NA UCET	43	52137	 	EF	9145510
585918	1994	1996-03-12	VYDAJ	PREVOD NA UCET	43	69080	 	EF	9145510
585919	1994	1996-04-12	VYDAJ	PREVOD NA UCET	43	94857	 	EF	9145510
585920	1994	1996-05-12	VYDAJ	PREVOD NA UCET	43	48886	 	EF	9145510
585921	1994	1996-06-12	VYDAJ	PREVOD NA UCET	43	36982	 	EF	9145510
585922	1994	1996-07-12	VYDAJ	PREVOD NA UCET	43	42213	 	EF	9145510
585923	1994	1996-08-12	VYDAJ	PREVOD NA UCET	43	41448	 	EF	9145510
585924	1994	1996-09-12	VYDAJ	PREVOD NA UCET	43	34435	 	EF	9145510
585925	1994	1996-10-12	VYDAJ	PREVOD NA UCET	43	26662	 	EF	9145510
585926	1994	1996-11-12	VYDAJ	PREVOD NA UCET	43	41310	 	EF	9145510
585927	1994	1996-12-12	VYDAJ	PREVOD NA UCET	43	56939	 	EF	9145510
585928	1994	1997-01-12	VYDAJ	PREVOD NA UCET	43	24711	 	EF	9145510
585929	1994	1997-02-12	VYDAJ	PREVOD NA UCET	43	22875	 	EF	9145510
585930	1994	1997-03-12	VYDAJ	PREVOD NA UCET	43	18232	 	EF	9145510
585931	1994	1997-04-12	VYDAJ	PREVOD NA UCET	43	34461	 	EF	9145510
585932	1994	1997-05-12	VYDAJ	PREVOD NA UCET	43	59203	 	EF	9145510
585933	1994	1997-06-12	VYDAJ	PREVOD NA UCET	43	30237	 	EF	9145510
585934	1994	1997-07-12	VYDAJ	PREVOD NA UCET	43	48385	 	EF	9145510
585935	1994	1997-08-12	VYDAJ	PREVOD NA UCET	43	19814	 	EF	9145510
585936	1994	1997-09-12	VYDAJ	PREVOD NA UCET	43	31941	 	EF	9145510
585937	1994	1997-10-12	VYDAJ	PREVOD NA UCET	43	21825	 	EF	9145510
585938	1994	1997-11-12	VYDAJ	PREVOD NA UCET	43	17166	 	EF	9145510
585939	1994	1997-12-12	VYDAJ	PREVOD NA UCET	43	25285	 	EF	9145510
585940	1994	1998-01-12	VYDAJ	PREVOD NA UCET	43	20636	 	EF	9145510
585941	1994	1998-02-12	VYDAJ	PREVOD NA UCET	43	14632	 	EF	9145510
585942	1994	1998-03-12	VYDAJ	PREVOD NA UCET	43	9960	 	EF	9145510
585943	1994	1998-04-12	VYDAJ	PREVOD NA UCET	43	54779	 	EF	9145510
585944	1994	1998-05-12	VYDAJ	PREVOD NA UCET	43	60379	 	EF	9145510
585945	1994	1998-06-12	VYDAJ	PREVOD NA UCET	43	26281	 	EF	9145510
585946	1994	1998-07-12	VYDAJ	PREVOD NA UCET	43	99695	 	EF	9145510
585947	1994	1998-08-12	VYDAJ	PREVOD NA UCET	43	25061	 	EF	9145510
585948	1994	1998-09-12	VYDAJ	PREVOD NA UCET	43	54138	 	EF	9145510
585949	1994	1998-10-12	VYDAJ	PREVOD NA UCET	43	25858	 	EF	9145510
585950	1994	1998-11-12	VYDAJ	PREVOD NA UCET	43	47714	 	EF	9145510
585951	1994	1998-12-12	VYDAJ	PREVOD NA UCET	43	35176	 	EF	9145510
585954	1994	1995-11-26	VYBER	VYBER	8651	33324	\N	\N	\N
585956	1994	1996-09-19	VYBER	VYBER	6404	56732	\N	\N	\N
585957	1994	1996-11-10	VYBER	VYBER	8397	70559	\N	\N	\N
585958	1994	1996-10-10	VYBER	VYBER	8101	48811	\N	\N	\N
585959	1994	1996-03-02	VYBER	VYBER	13841	69847	\N	\N	\N
585960	1994	1996-07-25	VYBER	VYBER	14656	54897	\N	\N	\N
585961	1994	1996-07-30	VYBER	VYBER	12877	42020	\N	\N	\N
585962	1994	1997-10-02	VYBER	VYBER	5516	22592	\N	\N	\N
585964	1994	1997-05-19	VYBER	VYBER	12824	31583	\N	\N	\N
585966	1994	1997-04-22	VYBER	VYBER	5162	25337	\N	\N	\N
585967	1994	1997-05-18	VYBER	VYBER	6034	44407	\N	\N	\N
585970	1994	1997-05-26	VYBER	VYBER	5581	26002	\N	\N	\N
585971	1994	1997-05-09	VYBER	VYBER	24019	27530	\N	\N	\N
585978	1994	1995-12-23	VYDAJ	VYBER	5400	45976	\N	\N	\N
585979	1994	1996-12-18	VYDAJ	VYBER	8400	51119	\N	\N	\N
585989	1994	1996-01-03	VYDAJ	VYBER	3300	36254	\N	\N	\N
585990	1994	1996-01-03	VYDAJ	VYBER	6300	29954	\N	\N	\N
585991	1994	1996-01-26	VYDAJ	VYBER	8700	35967	\N	\N	\N
585992	1994	1996-01-03	VYDAJ	VYBER	6600	39554	\N	\N	\N
585995	1994	1997-01-25	VYDAJ	VYBER	8100	37413	\N	\N	\N
585996	1994	1997-01-12	VYDAJ	VYBER KARTOU	2400	24754	\N	\N	0
585997	1994	1997-01-06	VYDAJ	VYBER	5700	45660	\N	\N	\N
585999	1994	1997-01-08	VYDAJ	VYBER	5100	40560	\N	\N	\N
586002	1994	1998-01-18	VYDAJ	VYBER KARTOU	2400	42077	\N	\N	0
586005	1994	1998-01-17	VYDAJ	VYBER	7800	44477	\N	\N	\N
586011	1994	1996-06-17	VYDAJ	VYBER	3000	20320	\N	\N	\N
586012	1994	1996-02-27	VYDAJ	VYBER	13800	50356	\N	\N	\N
586013	1994	1996-01-25	VYDAJ	VYBER	8100	44667	\N	\N	\N
586014	1994	1996-12-18	VYDAJ	VYBER	11400	59519	\N	\N	\N
586015	1994	1997-09-08	VYDAJ	VYBER	4800	32690	\N	\N	\N
586017	1994	1997-05-15	VYDAJ	VYBER	4800	50441	\N	\N	\N
586018	1994	1998-05-30	VYDAJ	VYBER	5400	51017	\N	\N	\N
586019	1994	1998-04-23	VYDAJ	VYBER	12300	65144	\N	\N	\N
586020	1994	1998-04-27	VYDAJ	VYBER	8400	56744	\N	\N	\N
586021	1994	1998-07-25	VYDAJ	VYBER	10500	54880	\N	\N	\N
586034	1994	1995-11-30	VYDAJ	VYBER	15	33557	SLUZBY	\N	\N
586035	1994	1995-12-31	VYDAJ	VYBER	15	46154	SLUZBY	\N	\N
586036	1994	1996-01-31	VYDAJ	VYBER	15	36083	SLUZBY	\N	\N
586037	1994	1996-02-29	VYDAJ	VYBER	15	50512	SLUZBY	\N	\N
586038	1994	1996-03-31	VYDAJ	VYBER	15	82510	SLUZBY	\N	\N
586039	1994	1996-04-30	VYDAJ	VYBER	15	49653	SLUZBY	\N	\N
586040	1994	1996-05-31	VYDAJ	VYBER	15	37749	SLUZBY	\N	\N
586041	1994	1996-06-30	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
586042	1994	1996-07-31	VYDAJ	VYBER	15	42215	SLUZBY	\N	\N
586043	1994	1996-08-31	VYDAJ	VYBER	15	53702	SLUZBY	\N	\N
586044	1994	1996-09-30	VYDAJ	VYBER	15	56930	SLUZBY	\N	\N
586045	1994	1996-10-31	VYDAJ	VYBER	15	62944	SLUZBY	\N	\N
586046	1994	1996-11-30	VYDAJ	VYBER	15	78268	SLUZBY	\N	\N
586047	1994	1996-12-31	VYDAJ	VYBER	15	51378	SLUZBY	\N	\N
586048	1994	1997-01-31	VYDAJ	VYBER	15	37542	SLUZBY	\N	\N
586049	1994	1997-02-28	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
586050	1994	1997-03-31	VYDAJ	VYBER	15	14322	SLUZBY	\N	\N
586051	1994	1997-04-30	VYDAJ	VYBER	15	25447	SLUZBY	\N	\N
586052	1994	1997-05-31	VYDAJ	VYBER	15	26142	SLUZBY	\N	\N
586053	1994	1997-06-30	VYDAJ	VYBER	15	26381	SLUZBY	\N	\N
586054	1994	1997-07-31	VYDAJ	VYBER	15	44581	SLUZBY	\N	\N
586055	1994	1997-08-31	VYDAJ	VYBER	15	59277	SLUZBY	\N	\N
586056	1994	1997-09-30	VYDAJ	VYBER	15	28108	SLUZBY	\N	\N
586057	1994	1997-10-31	VYDAJ	VYBER	15	17933	SLUZBY	\N	\N
586058	1994	1997-11-30	VYDAJ	VYBER	15	26052	SLUZBY	\N	\N
586059	1994	1997-12-31	VYDAJ	VYBER	15	21403	SLUZBY	\N	\N
586060	1994	1998-01-31	VYDAJ	VYBER	15	42199	SLUZBY	\N	\N
586061	1994	1998-02-28	VYDAJ	VYBER	15	10727	SLUZBY	\N	\N
586062	1994	1998-03-31	VYDAJ	VYBER	15	6015	SLUZBY	\N	\N
586063	1994	1998-04-30	VYDAJ	VYBER	15	56988	SLUZBY	\N	\N
586064	1994	1998-05-31	VYDAJ	VYBER	15	51248	SLUZBY	\N	\N
586065	1994	1998-06-30	VYDAJ	VYBER	15	22420	SLUZBY	\N	\N
586066	1994	1998-07-31	VYDAJ	VYBER	15	55128	SLUZBY	\N	\N
586067	1994	1998-08-31	VYDAJ	VYBER	15	21198	SLUZBY	\N	\N
586068	1994	1998-09-30	VYDAJ	VYBER	15	50325	SLUZBY	\N	\N
586069	1994	1998-10-31	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
586070	1994	1998-11-30	VYDAJ	VYBER	15	55427	SLUZBY	\N	\N
586071	1994	1995-08-18	PRIJEM	VKLAD	9800	10900	\N	\N	\N
586072	1994	1995-09-17	VYDAJ	VYBER	10100	31912	\N	\N	\N
586073	1994	1995-10-10	VYDAJ	VYBER	24900	91598	\N	\N	\N
586074	1994	1995-10-17	VYDAJ	VYBER	36800	54798	\N	\N	\N
586075	1994	1995-11-12	VYDAJ	VYBER	46900	63437	\N	\N	\N
586076	1994	1995-11-16	VYDAJ	VYBER	17500	41975	\N	\N	\N
586077	1994	1995-12-16	VYDAJ	VYBER	29700	51376	\N	\N	\N
586078	1994	1996-01-15	VYDAJ	VYBER	9400	23387	\N	\N	\N
586079	1994	1996-02-14	VYDAJ	VYBER	13800	34375	\N	\N	\N
586080	1994	1996-03-15	VYDAJ	VYBER	41400	54677	\N	\N	\N
586081	1994	1996-04-14	VYDAJ	VYBER	41500	49395	\N	\N	\N
586082	1994	1996-05-14	VYDAJ	VYBER	14100	30824	\N	\N	\N
586083	1994	1996-06-13	VYDAJ	VYBER	9700	27282	\N	\N	\N
586084	1994	1996-07-13	VYDAJ	VYBER	14800	23451	\N	\N	\N
586085	1994	1996-08-12	VYDAJ	VYBER	17900	23548	\N	\N	\N
586086	1994	1996-09-11	VYDAJ	VYBER	18500	35184	\N	\N	\N
586087	1994	1996-10-11	VYDAJ	VYBER	21400	26705	\N	\N	\N
586088	1994	1996-11-10	VYDAJ	VYBER	28500	42059	\N	\N	\N
586089	1994	1996-12-10	VYDAJ	VYBER	44000	57688	\N	\N	\N
586090	1994	1997-01-09	VYDAJ	VYBER	12700	27860	\N	\N	\N
586091	1994	1997-02-08	VYDAJ	VYBER	13900	23624	\N	\N	\N
586092	1994	1997-04-09	VYDAJ	VYBER	27600	35210	\N	\N	\N
586093	1994	1997-05-09	VYDAJ	VYBER	11100	16430	\N	\N	\N
586094	1994	1997-06-08	VYDAJ	VYBER	25200	30986	\N	\N	\N
586095	1994	1997-07-08	VYDAJ	VYBER	34300	32941	\N	\N	\N
586096	1994	1997-08-07	VYDAJ	VYBER	24000	20563	\N	\N	\N
586097	1994	1997-09-06	VYDAJ	VYBER	42000	37508	\N	\N	\N
586098	1994	1998-02-03	VYDAJ	VYBER	26800	15399	\N	\N	\N
586099	1994	1998-04-19	VYDAJ	VYBER	40900	77444	\N	\N	\N
586100	1994	1998-05-04	VYDAJ	VYBER	54600	55025	\N	\N	\N
586101	1994	1998-06-03	VYDAJ	VYBER	24200	27048	\N	\N	\N
586102	1994	1998-07-03	VYDAJ	VYBER	32900	24890	\N	\N	\N
586103	1994	1998-07-13	VYDAJ	VYBER	42600	77006	\N	\N	\N
586104	1994	1998-07-18	VYDAJ	VYBER	46100	65380	\N	\N	\N
586105	1994	1998-08-02	VYDAJ	VYBER	29300	25828	\N	\N	\N
586106	1994	1998-10-01	VYDAJ	VYBER	23700	26625	\N	\N	\N
586107	1994	1998-11-30	VYDAJ	VYBER	28200	27227	\N	\N	\N
586148	1995	1997-07-18	PRIJEM	VKLAD	600	600	\N	\N	\N
586156	1995	1997-08-08	PRIJEM	PREVOD Z UCTU	5508	6108	DUCHOD	IJ	12697011
586157	1995	1997-09-08	PRIJEM	PREVOD Z UCTU	5508	11616	DUCHOD	IJ	12697011
586158	1995	1997-10-08	PRIJEM	PREVOD Z UCTU	5508	17124	DUCHOD	IJ	12697011
586159	1995	1997-11-08	PRIJEM	PREVOD Z UCTU	5508	22632	DUCHOD	IJ	12697011
586160	1995	1997-12-08	PRIJEM	PREVOD Z UCTU	5508	28140	DUCHOD	IJ	12697011
586161	1995	1998-01-08	PRIJEM	PREVOD Z UCTU	5508	27149	DUCHOD	IJ	12697011
586162	1995	1998-02-08	PRIJEM	PREVOD Z UCTU	5508	18533	DUCHOD	IJ	12697011
586163	1995	1998-03-08	PRIJEM	PREVOD Z UCTU	5508	19943	DUCHOD	IJ	12697011
586164	1995	1998-04-08	PRIJEM	PREVOD Z UCTU	5508	20875	DUCHOD	IJ	12697011
586165	1995	1998-05-08	PRIJEM	PREVOD Z UCTU	5508	20691	DUCHOD	IJ	12697011
586166	1995	1998-06-08	PRIJEM	PREVOD Z UCTU	5508	23313	DUCHOD	IJ	12697011
586167	1995	1998-07-08	PRIJEM	PREVOD Z UCTU	5508	21432	DUCHOD	IJ	12697011
586168	1995	1998-08-08	PRIJEM	PREVOD Z UCTU	5508	24055	DUCHOD	IJ	12697011
586169	1995	1998-09-08	PRIJEM	PREVOD Z UCTU	5508	23322	DUCHOD	IJ	12697011
586170	1995	1998-10-08	PRIJEM	PREVOD Z UCTU	5508	25953	DUCHOD	IJ	12697011
586171	1995	1998-11-08	PRIJEM	PREVOD Z UCTU	5508	28594	DUCHOD	IJ	12697011
586172	1995	1998-12-08	PRIJEM	PREVOD Z UCTU	5508	30647	DUCHOD	IJ	12697011
586184	1995	1997-12-11	VYDAJ	PREVOD NA UCET	2944	25196	SIPO	QR	94729518
586185	1995	1998-01-11	VYDAJ	PREVOD NA UCET	2944	24205	SIPO	QR	94729518
586186	1995	1998-02-11	VYDAJ	PREVOD NA UCET	2944	15589	SIPO	QR	94729518
586187	1995	1998-03-11	VYDAJ	PREVOD NA UCET	2944	16999	SIPO	QR	94729518
586188	1995	1998-04-11	VYDAJ	PREVOD NA UCET	2944	17931	SIPO	QR	94729518
586189	1995	1998-05-11	VYDAJ	PREVOD NA UCET	2944	17747	SIPO	QR	94729518
586190	1995	1998-06-11	VYDAJ	PREVOD NA UCET	2944	20369	SIPO	QR	94729518
586191	1995	1998-07-11	VYDAJ	PREVOD NA UCET	2944	18488	SIPO	QR	94729518
586192	1995	1998-08-11	VYDAJ	PREVOD NA UCET	2944	21111	SIPO	QR	94729518
586193	1995	1998-09-11	VYDAJ	PREVOD NA UCET	2944	20378	SIPO	QR	94729518
586194	1995	1998-10-11	VYDAJ	PREVOD NA UCET	2944	23009	SIPO	QR	94729518
586195	1995	1998-11-11	VYDAJ	PREVOD NA UCET	2944	25650	SIPO	QR	94729518
586196	1995	1998-12-11	VYDAJ	PREVOD NA UCET	2944	27703	SIPO	QR	94729518
586198	1995	1998-06-12	VYDAJ	VYBER	4500	15869	\N	\N	\N
586200	1995	1998-01-11	VYDAJ	VYBER	4050	20155	\N	\N	\N
586201	1995	1997-12-17	VYDAJ	VYBER	650	24546	\N	\N	\N
586202	1995	1998-12-02	VYDAJ	VYBER	600	25139	\N	\N	\N
586209	1995	1998-01-07	VYDAJ	VYBER	1600	21641	\N	\N	\N
586210	1995	1998-01-29	VYDAJ	VYBER	2160	12955	\N	\N	\N
586211	1995	1998-01-18	VYDAJ	VYBER	960	19195	\N	\N	\N
586212	1995	1998-01-18	VYDAJ	VYBER	1920	17275	\N	\N	\N
586213	1995	1998-01-20	VYDAJ	VYBER	2160	15115	\N	\N	\N
586214	1995	1998-01-01	VYDAJ	VYBER	1360	23241	\N	\N	\N
586220	1995	1998-12-29	VYDAJ	VYBER	1120	23703	\N	\N	\N
586221	1995	1998-04-14	VYDAJ	VYBER	2240	15691	\N	\N	\N
586222	1995	1998-02-26	VYDAJ	VYBER	1200	14389	\N	\N	\N
586223	1995	1998-08-17	VYDAJ	VYBER	3360	17751	\N	\N	\N
586224	1995	1998-12-12	VYDAJ	VYBER	2880	24823	\N	\N	\N
586225	1995	1998-05-02	VYDAJ	VYBER	560	15183	\N	\N	\N
586226	1995	1998-03-11	VYDAJ	VYBER	1680	15319	\N	\N	\N
586239	1995	1997-12-31	VYDAJ	VYBER	15	24601	SLUZBY	\N	\N
586240	1995	1998-01-31	VYDAJ	VYBER	15	13025	SLUZBY	\N	\N
586241	1995	1998-02-28	VYDAJ	VYBER	15	14435	SLUZBY	\N	\N
586242	1995	1998-03-31	VYDAJ	VYBER	15	15367	SLUZBY	\N	\N
586243	1995	1998-04-30	VYDAJ	VYBER	15	15743	SLUZBY	\N	\N
586244	1995	1998-05-31	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
586245	1995	1998-06-30	VYDAJ	VYBER	15	15924	SLUZBY	\N	\N
586246	1995	1998-07-31	VYDAJ	VYBER	15	18547	SLUZBY	\N	\N
586247	1995	1998-08-31	VYDAJ	VYBER	15	17814	SLUZBY	\N	\N
586248	1995	1998-09-30	VYDAJ	VYBER	15	20445	SLUZBY	\N	\N
586249	1995	1998-10-31	VYDAJ	VYBER	15	23086	SLUZBY	\N	\N
586250	1995	1998-11-30	VYDAJ	VYBER	15	25739	SLUZBY	\N	\N
586264	1996	1996-05-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
586269	1996	1996-05-09	PRIJEM	PREVOD Z UCTU	23956	24956	\N	CD	41907382
586270	1996	1996-06-09	PRIJEM	PREVOD Z UCTU	35934	63667	\N	CD	41907382
586271	1996	1996-07-09	PRIJEM	PREVOD Z UCTU	23956	68945	\N	CD	41907382
586272	1996	1996-08-09	PRIJEM	PREVOD Z UCTU	23956	75283	\N	CD	41907382
586273	1996	1996-09-09	PRIJEM	PREVOD Z UCTU	23956	78846	\N	CD	41907382
586274	1996	1996-10-09	PRIJEM	PREVOD Z UCTU	23956	74480	\N	CD	41907382
586275	1996	1996-11-09	PRIJEM	PREVOD Z UCTU	23956	71583	\N	CD	41907382
586276	1996	1996-12-09	PRIJEM	PREVOD Z UCTU	35934	80118	\N	CD	41907382
586277	1996	1997-01-09	PRIJEM	PREVOD Z UCTU	23956	72443	\N	CD	41907382
586278	1996	1997-02-09	PRIJEM	PREVOD Z UCTU	23956	50049	\N	CD	41907382
586279	1996	1997-03-09	PRIJEM	PREVOD Z UCTU	23956	64454	\N	CD	41907382
586280	1996	1997-04-09	PRIJEM	PREVOD Z UCTU	23956	65809	\N	CD	41907382
586281	1996	1997-05-09	PRIJEM	PREVOD Z UCTU	23956	66883	\N	CD	41907382
586282	1996	1997-06-09	PRIJEM	PREVOD Z UCTU	35934	78130	\N	CD	41907382
586283	1996	1997-07-09	PRIJEM	PREVOD Z UCTU	23956	73258	\N	CD	41907382
586284	1996	1997-08-09	PRIJEM	PREVOD Z UCTU	23956	71723	\N	CD	41907382
586285	1996	1997-09-09	PRIJEM	PREVOD Z UCTU	23956	67237	\N	CD	41907382
586286	1996	1997-10-09	PRIJEM	PREVOD Z UCTU	23956	47081	\N	CD	41907382
586287	1996	1997-11-09	PRIJEM	PREVOD Z UCTU	23956	57115	\N	CD	41907382
586288	1996	1997-12-09	PRIJEM	PREVOD Z UCTU	35934	56401	\N	CD	41907382
586289	1996	1998-01-09	PRIJEM	PREVOD Z UCTU	23956	48148	\N	CD	41907382
586290	1996	1998-02-09	PRIJEM	PREVOD Z UCTU	23956	51515	\N	CD	41907382
586291	1996	1998-03-09	PRIJEM	PREVOD Z UCTU	23956	54732	\N	CD	41907382
586292	1996	1998-04-09	PRIJEM	PREVOD Z UCTU	23956	51912	\N	CD	41907382
586293	1996	1998-05-09	PRIJEM	PREVOD Z UCTU	23956	55655	\N	CD	41907382
586294	1996	1998-06-09	PRIJEM	PREVOD Z UCTU	35934	68917	\N	CD	41907382
586295	1996	1998-07-09	PRIJEM	PREVOD Z UCTU	23956	56782	\N	CD	41907382
586296	1996	1998-08-09	PRIJEM	PREVOD Z UCTU	23956	53055	\N	CD	41907382
586297	1996	1998-09-09	PRIJEM	PREVOD Z UCTU	23956	45536	\N	CD	41907382
586298	1996	1998-10-09	PRIJEM	PREVOD Z UCTU	23956	52957	\N	CD	41907382
586299	1996	1998-11-09	PRIJEM	PREVOD Z UCTU	23956	54303	\N	CD	41907382
586300	1996	1998-12-09	PRIJEM	PREVOD Z UCTU	35934	61934	\N	CD	41907382
586340	1996	1996-12-21	VYBER	VYBER	3895	76223	\N	\N	\N
586341	1996	1996-10-30	VYBER	VYBER	18922	55558	\N	\N	\N
586345	1996	1996-11-15	VYBER	VYBER	19207	52376	\N	\N	\N
586349	1996	1997-10-07	VYBER	VYBER	21803	23125	\N	\N	\N
586351	1996	1997-07-30	VYBER	VYBER	8269	64989	\N	\N	\N
586352	1996	1997-11-17	VYBER	VYBER	12464	34957	\N	\N	\N
586353	1996	1997-09-29	VYBER	VYBER	4964	62273	\N	\N	\N
586355	1996	1997-11-14	VYBER	VYBER	9694	47421	\N	\N	\N
586356	1996	1997-08-22	VYBER	VYBER	16680	55043	\N	\N	\N
586358	1996	1998-12-14	VYBER	VYBER	21688	26746	\N	\N	\N
586361	1996	1998-02-24	VYBER	VYBER	7631	43884	\N	\N	\N
586362	1996	1998-08-23	VYBER	VYBER	24058	28997	\N	\N	\N
586367	1996	1997-01-10	VYDAJ	VYBER	25500	46943	\N	\N	\N
586368	1996	1998-01-09	VYDAJ	VYBER KARTOU	3900	44248	\N	\N	0
586369	1996	1996-12-29	VYDAJ	VYBER	6000	63023	\N	\N	\N
586370	1996	1997-12-21	VYDAJ	VYBER	6000	50401	\N	\N	\N
586371	1996	1998-12-01	VYDAJ	VYBER	6000	26000	\N	\N	\N
586378	1996	1997-01-20	VYDAJ	VYBER	7500	35543	\N	\N	\N
586380	1996	1997-01-16	VYDAJ	VYBER	1800	43043	\N	\N	\N
586381	1996	1997-01-23	VYDAJ	VYBER	6000	25043	\N	\N	\N
586382	1996	1997-01-11	VYDAJ	VYBER	2100	44843	\N	\N	\N
586383	1996	1997-01-21	VYDAJ	VYBER	4500	31043	\N	\N	\N
586385	1996	1998-01-18	VYDAJ	VYBER KARTOU	3000	35548	\N	\N	0
586386	1996	1998-01-06	VYDAJ	VYBER KARTOU	3600	24192	\N	\N	0
586387	1996	1998-01-19	VYDAJ	VYBER KARTOU	2100	33448	\N	\N	0
586388	1996	1998-01-14	VYDAJ	VYBER	5700	38548	\N	\N	\N
586389	1996	1998-01-02	VYDAJ	VYBER	4200	27792	\N	\N	\N
586390	1996	1996-12-29	VYDAJ	VYBER	7200	69023	\N	\N	\N
586391	1996	1996-09-20	VYDAJ	VYBER	10500	68346	\N	\N	\N
586397	1996	1997-05-12	VYDAJ	VYBER	9900	56983	\N	\N	\N
586398	1996	1997-11-27	VYDAJ	VYBER	11100	23857	\N	\N	\N
586399	1996	1997-04-19	VYDAJ	VYBER	7200	58609	\N	\N	\N
586400	1996	1997-03-16	VYDAJ	VYBER	11400	53054	\N	\N	\N
586401	1996	1998-07-21	VYDAJ	VYBER	7200	49582	\N	\N	\N
586402	1996	1998-03-21	VYDAJ	VYBER	13500	37032	\N	\N	\N
586403	1996	1998-03-13	VYDAJ	VYBER	4200	50532	\N	\N	\N
586404	1996	1998-05-14	VYDAJ	VYBER	7200	48455	\N	\N	\N
586405	1996	1998-05-18	VYDAJ	VYBER KARTOU	3600	44855	\N	\N	0
586406	1996	1998-06-30	VYDAJ	VYBER	7500	32856	\N	\N	\N
586407	1996	1998-12-09	VYDAJ	VYBER	13500	48434	\N	\N	\N
586417	1996	1996-09-30	VYDAJ	VYBER	30	68624	SLUZBY	\N	\N
586418	1996	1996-10-31	VYDAJ	VYBER	30	55827	SLUZBY	\N	\N
586419	1996	1996-11-30	VYDAJ	VYBER	30	52584	SLUZBY	\N	\N
586420	1996	1996-12-31	VYDAJ	VYBER	30	63287	SLUZBY	\N	\N
586421	1996	1997-01-31	VYDAJ	VYBER	30	25193	SLUZBY	\N	\N
586422	1996	1997-02-28	VYDAJ	VYBER	30	50198	SLUZBY	\N	\N
586423	1996	1997-03-31	VYDAJ	VYBER	30	53253	SLUZBY	\N	\N
586424	1996	1997-04-30	VYDAJ	VYBER	30	58827	SLUZBY	\N	\N
586425	1996	1997-05-31	VYDAJ	VYBER	30	57196	SLUZBY	\N	\N
586426	1996	1997-06-30	VYDAJ	VYBER	30	78402	SLUZBY	\N	\N
586427	1996	1997-07-31	VYDAJ	VYBER	30	65267	SLUZBY	\N	\N
586428	1996	1997-08-31	VYDAJ	VYBER	30	43281	SLUZBY	\N	\N
586429	1996	1997-09-30	VYDAJ	VYBER	30	62428	SLUZBY	\N	\N
586430	1996	1997-10-31	VYDAJ	VYBER	30	33159	SLUZBY	\N	\N
586431	1996	1997-11-30	VYDAJ	VYBER	30	20467	SLUZBY	\N	\N
586432	1996	1997-12-31	VYDAJ	VYBER	30	31992	SLUZBY	\N	\N
586433	1996	1998-01-31	VYDAJ	VYBER	30	27559	SLUZBY	\N	\N
586434	1996	1998-02-28	VYDAJ	VYBER	30	30776	SLUZBY	\N	\N
586435	1996	1998-03-31	VYDAJ	VYBER	30	27956	SLUZBY	\N	\N
586436	1996	1998-04-30	VYDAJ	VYBER	30	31699	SLUZBY	\N	\N
586437	1996	1998-05-31	VYDAJ	VYBER	30	32983	SLUZBY	\N	\N
586438	1996	1998-06-30	VYDAJ	VYBER	30	32826	SLUZBY	\N	\N
586439	1996	1998-07-31	VYDAJ	VYBER	30	29099	SLUZBY	\N	\N
586440	1996	1998-08-31	VYDAJ	VYBER	30	21580	SLUZBY	\N	\N
586441	1996	1998-09-30	VYDAJ	VYBER	30	29001	SLUZBY	\N	\N
586442	1996	1998-10-31	VYDAJ	VYBER	30	30347	SLUZBY	\N	\N
586443	1996	1998-11-30	VYDAJ	VYBER	30	32000	SLUZBY	\N	\N
586444	1996	1996-06-07	PRIJEM	VKLAD	2700	27733	\N	\N	\N
586445	1996	1996-07-07	VYDAJ	VYBER	18900	44989	\N	\N	\N
586446	1996	1996-08-06	VYDAJ	VYBER	17900	51327	\N	\N	\N
586447	1996	1996-09-05	VYDAJ	VYBER	20700	54890	\N	\N	\N
586448	1996	1996-10-05	VYDAJ	VYBER	18100	50524	\N	\N	\N
586449	1996	1996-11-04	VYDAJ	VYBER	8200	47627	\N	\N	\N
586450	1996	1996-12-04	VYDAJ	VYBER	8400	44184	\N	\N	\N
586451	1996	1997-01-03	VYDAJ	VYBER	14800	48487	\N	\N	\N
586452	1996	1997-02-02	PRIJEM	VKLAD	900	26093	\N	\N	\N
586453	1996	1997-03-04	VYDAJ	VYBER	9700	40498	\N	\N	\N
586454	1996	1997-04-03	VYDAJ	VYBER	11400	41853	\N	\N	\N
586455	1996	1997-05-03	VYDAJ	VYBER	15900	42927	\N	\N	\N
586456	1996	1997-06-02	VYDAJ	VYBER	15000	42196	\N	\N	\N
586457	1996	1997-07-02	VYDAJ	VYBER	29100	49302	\N	\N	\N
586458	1996	1997-08-01	VYDAJ	VYBER	17500	47767	\N	\N	\N
586459	1996	1997-08-31	VYDAJ	VYBER	12000	43311	\N	\N	\N
586460	1996	1997-09-30	VYDAJ	VYBER	17500	44928	\N	\N	\N
586461	1996	1997-10-30	VYDAJ	VYBER	14100	32981	\N	\N	\N
586462	1996	1997-11-29	VYDAJ	VYBER KARTOU	3500	20357	\N	\N	0
586463	1996	1997-12-29	VYDAJ	VYBER	18500	31901	\N	\N	\N
586464	1996	1998-01-28	VYDAJ	VYBER	6000	27448	\N	\N	\N
586465	1996	1998-02-27	VYDAJ	VYBER	13200	30684	\N	\N	\N
586466	1996	1998-03-29	VYDAJ	VYBER	9200	27832	\N	\N	\N
586467	1996	1998-04-28	VYDAJ	VYBER	20300	31612	\N	\N	\N
586468	1996	1998-05-28	VYDAJ	VYBER	12000	32855	\N	\N	\N
586469	1996	1998-06-27	VYDAJ	VYBER	28700	40217	\N	\N	\N
586470	1996	1998-07-27	VYDAJ	VYBER	20600	28982	\N	\N	\N
586471	1996	1998-08-26	VYDAJ	VYBER	7500	21497	\N	\N	\N
586472	1996	1998-09-25	VYDAJ	VYBER	16600	28936	\N	\N	\N
586473	1996	1998-10-25	VYDAJ	VYBER	22700	30257	\N	\N	\N
586474	1996	1998-11-24	VYDAJ	VYBER	22400	31903	\N	\N	\N
586507	1997	1996-09-05	PRIJEM	VKLAD	600	600	\N	\N	\N
586516	1997	1996-09-13	PRIJEM	PREVOD Z UCTU	6965	7565	DUCHOD	KL	69332480
586517	1997	1996-10-13	PRIJEM	PREVOD Z UCTU	6965	14549	DUCHOD	KL	69332480
586518	1997	1996-11-13	PRIJEM	PREVOD Z UCTU	6965	21545	DUCHOD	KL	69332480
586519	1997	1996-12-13	PRIJEM	PREVOD Z UCTU	6965	27142	DUCHOD	KL	69332480
586520	1997	1997-01-13	PRIJEM	PREVOD Z UCTU	6965	28289	DUCHOD	KL	69332480
586521	1997	1997-02-13	PRIJEM	PREVOD Z UCTU	6965	25845	DUCHOD	KL	69332480
586522	1997	1997-03-13	PRIJEM	PREVOD Z UCTU	6965	28446	DUCHOD	KL	69332480
586523	1997	1997-04-13	PRIJEM	PREVOD Z UCTU	6965	31403	DUCHOD	KL	69332480
586524	1997	1997-05-13	PRIJEM	PREVOD Z UCTU	6965	30531	DUCHOD	KL	69332480
586525	1997	1997-06-13	PRIJEM	PREVOD Z UCTU	6965	33861	DUCHOD	KL	69332480
586526	1997	1997-07-13	PRIJEM	PREVOD Z UCTU	6965	32146	DUCHOD	KL	69332480
586527	1997	1997-08-13	PRIJEM	PREVOD Z UCTU	6965	31870	DUCHOD	KL	69332480
586528	1997	1997-09-13	PRIJEM	PREVOD Z UCTU	6965	37001	DUCHOD	KL	69332480
586529	1997	1997-10-13	PRIJEM	PREVOD Z UCTU	6965	38549	DUCHOD	KL	69332480
586530	1997	1997-11-13	PRIJEM	PREVOD Z UCTU	6965	35697	DUCHOD	KL	69332480
586531	1997	1997-12-13	PRIJEM	PREVOD Z UCTU	6965	40840	DUCHOD	KL	69332480
586532	1997	1998-01-13	PRIJEM	PREVOD Z UCTU	6965	41102	DUCHOD	KL	69332480
586533	1997	1998-02-13	PRIJEM	PREVOD Z UCTU	6965	35102	DUCHOD	KL	69332480
586534	1997	1998-03-13	PRIJEM	PREVOD Z UCTU	6965	38564	DUCHOD	KL	69332480
586535	1997	1998-04-13	PRIJEM	PREVOD Z UCTU	6965	39218	DUCHOD	KL	69332480
586536	1997	1998-05-13	PRIJEM	PREVOD Z UCTU	6965	38073	DUCHOD	KL	69332480
586537	1997	1998-06-13	PRIJEM	PREVOD Z UCTU	6965	36823	DUCHOD	KL	69332480
586538	1997	1998-07-13	PRIJEM	PREVOD Z UCTU	6965	34561	DUCHOD	KL	69332480
586539	1997	1998-08-13	PRIJEM	PREVOD Z UCTU	6965	34897	DUCHOD	KL	69332480
586540	1997	1998-09-13	PRIJEM	PREVOD Z UCTU	6965	33231	DUCHOD	KL	69332480
586541	1997	1998-10-13	PRIJEM	PREVOD Z UCTU	6965	32559	DUCHOD	KL	69332480
586542	1997	1998-11-13	PRIJEM	PREVOD Z UCTU	6965	31402	DUCHOD	KL	69332480
586543	1997	1998-12-13	PRIJEM	PREVOD Z UCTU	6965	25838	DUCHOD	KL	69332480
586557	1997	1997-02-11	VYDAJ	PREVOD NA UCET	581	18880	SIPO	AB	81057321
586558	1997	1997-03-11	VYDAJ	PREVOD NA UCET	581	21481	SIPO	AB	81057321
586559	1997	1997-04-11	VYDAJ	PREVOD NA UCET	581	24438	SIPO	AB	81057321
586560	1997	1997-05-11	VYDAJ	PREVOD NA UCET	581	23566	SIPO	AB	81057321
586561	1997	1997-06-11	VYDAJ	PREVOD NA UCET	581	26896	SIPO	AB	81057321
586562	1997	1997-07-11	VYDAJ	PREVOD NA UCET	581	25181	SIPO	AB	81057321
586563	1997	1997-08-11	VYDAJ	PREVOD NA UCET	581	24905	SIPO	AB	81057321
586564	1997	1997-09-11	VYDAJ	PREVOD NA UCET	581	30036	SIPO	AB	81057321
586565	1997	1997-10-11	VYDAJ	PREVOD NA UCET	581	31584	SIPO	AB	81057321
586566	1997	1997-11-11	VYDAJ	PREVOD NA UCET	581	28732	SIPO	AB	81057321
586567	1997	1997-12-11	VYDAJ	PREVOD NA UCET	581	33875	SIPO	AB	81057321
586568	1997	1998-01-11	VYDAJ	PREVOD NA UCET	581	34137	SIPO	AB	81057321
586569	1997	1998-02-11	VYDAJ	PREVOD NA UCET	581	28137	SIPO	AB	81057321
586570	1997	1998-03-11	VYDAJ	PREVOD NA UCET	581	31599	SIPO	AB	81057321
586571	1997	1998-04-11	VYDAJ	PREVOD NA UCET	581	32253	SIPO	AB	81057321
586572	1997	1998-05-11	VYDAJ	PREVOD NA UCET	581	31108	SIPO	AB	81057321
586573	1997	1998-06-11	VYDAJ	PREVOD NA UCET	581	29858	SIPO	AB	81057321
586574	1997	1998-07-11	VYDAJ	PREVOD NA UCET	581	27596	SIPO	AB	81057321
586575	1997	1998-08-11	VYDAJ	PREVOD NA UCET	581	27932	SIPO	AB	81057321
586576	1997	1998-09-11	VYDAJ	PREVOD NA UCET	581	26266	SIPO	AB	81057321
586577	1997	1998-10-11	VYDAJ	PREVOD NA UCET	581	25594	SIPO	AB	81057321
586578	1997	1998-11-11	VYDAJ	PREVOD NA UCET	581	24437	SIPO	AB	81057321
586579	1997	1998-12-11	VYDAJ	PREVOD NA UCET	581	18873	SIPO	AB	81057321
586592	1997	1997-01-14	VYDAJ	PREVOD NA UCET	1361	26928	 	OP	12751335
586593	1997	1997-02-14	VYDAJ	PREVOD NA UCET	1361	24484	 	OP	12751335
586594	1997	1997-03-14	VYDAJ	PREVOD NA UCET	1361	27085	 	OP	12751335
586595	1997	1997-04-14	VYDAJ	PREVOD NA UCET	1361	30042	 	OP	12751335
586596	1997	1997-05-14	VYDAJ	PREVOD NA UCET	1361	29170	 	OP	12751335
586597	1997	1997-06-14	VYDAJ	PREVOD NA UCET	1361	32500	 	OP	12751335
586598	1997	1997-07-14	VYDAJ	PREVOD NA UCET	1361	27585	 	OP	12751335
586599	1997	1997-08-14	VYDAJ	PREVOD NA UCET	1361	30509	 	OP	12751335
586600	1997	1997-09-14	VYDAJ	PREVOD NA UCET	1361	35640	 	OP	12751335
586601	1997	1997-10-14	VYDAJ	PREVOD NA UCET	1361	37188	 	OP	12751335
586602	1997	1997-11-14	VYDAJ	PREVOD NA UCET	1361	34336	 	OP	12751335
586603	1997	1997-12-14	VYDAJ	PREVOD NA UCET	1361	39479	 	OP	12751335
586604	1997	1998-01-14	VYDAJ	PREVOD NA UCET	1361	39741	 	OP	12751335
586605	1997	1998-02-14	VYDAJ	PREVOD NA UCET	1361	33741	 	OP	12751335
586606	1997	1998-03-14	VYDAJ	PREVOD NA UCET	1361	37203	 	OP	12751335
586607	1997	1998-04-14	VYDAJ	PREVOD NA UCET	1361	37857	 	OP	12751335
586608	1997	1998-05-14	VYDAJ	PREVOD NA UCET	1361	36712	 	OP	12751335
586609	1997	1998-06-14	VYDAJ	PREVOD NA UCET	1361	35462	 	OP	12751335
586610	1997	1998-07-14	VYDAJ	PREVOD NA UCET	1361	33200	 	OP	12751335
586611	1997	1998-08-14	VYDAJ	PREVOD NA UCET	1361	33536	 	OP	12751335
586612	1997	1998-09-14	VYDAJ	PREVOD NA UCET	1361	31870	 	OP	12751335
586613	1997	1998-10-14	VYDAJ	PREVOD NA UCET	1361	31198	 	OP	12751335
586614	1997	1998-11-14	VYDAJ	PREVOD NA UCET	1361	30041	 	OP	12751335
586615	1997	1998-12-14	VYDAJ	PREVOD NA UCET	1361	24477	 	OP	12751335
586617	1997	1997-06-24	VYDAJ	VYBER	3050	29450	\N	\N	\N
586618	1997	1998-06-17	VYDAJ	VYBER	3500	31962	\N	\N	\N
586620	1997	1997-01-19	VYDAJ	VYBER	4350	19378	\N	\N	\N
586621	1997	1998-01-29	VYDAJ	VYBER	2400	30981	\N	\N	\N
586623	1997	1997-12-18	VYDAJ	VYBER	500	38979	\N	\N	\N
586624	1997	1998-12-18	VYDAJ	VYBER	400	24077	\N	\N	\N
586630	1997	1997-01-15	VYDAJ	VYBER	3200	23728	\N	\N	\N
586631	1997	1997-07-08	VYDAJ	VYBER	2800	25762	\N	\N	\N
586632	1997	1997-07-13	VYDAJ	VYBER	3200	28946	\N	\N	\N
586633	1997	1997-04-02	VYDAJ	VYBER	2160	25019	\N	\N	\N
586634	1997	1997-10-27	VYDAJ	VYBER	3520	29988	\N	\N	\N
586635	1997	1997-10-22	VYDAJ	VYBER	3680	33508	\N	\N	\N
586636	1997	1998-02-25	VYDAJ	VYBER	1280	32461	\N	\N	\N
586637	1997	1998-02-03	VYDAJ	VYBER	2400	28718	\N	\N	\N
586638	1997	1998-11-26	VYDAJ	VYBER	3280	19361	\N	\N	\N
586639	1997	1998-10-24	VYDAJ	VYBER	2480	28718	\N	\N	\N
586640	1997	1998-01-24	VYDAJ	VYBER	3360	36381	\N	\N	\N
586654	1997	1997-01-31	VYDAJ	VYBER	15	19461	SLUZBY	\N	\N
586655	1997	1997-02-28	VYDAJ	VYBER	15	24562	SLUZBY	\N	\N
586656	1997	1997-03-31	VYDAJ	VYBER	15	27179	SLUZBY	\N	\N
586657	1997	1997-04-30	VYDAJ	VYBER	15	30147	SLUZBY	\N	\N
586658	1997	1997-05-31	VYDAJ	VYBER	15	29277	SLUZBY	\N	\N
586659	1997	1997-06-30	VYDAJ	VYBER	15	29562	SLUZBY	\N	\N
586660	1997	1997-07-31	VYDAJ	VYBER	15	27686	SLUZBY	\N	\N
586661	1997	1997-08-31	VYDAJ	VYBER	15	30617	SLUZBY	\N	\N
586662	1997	1997-09-30	VYDAJ	VYBER	15	32165	SLUZBY	\N	\N
586663	1997	1997-10-31	VYDAJ	VYBER	15	29313	SLUZBY	\N	\N
586664	1997	1997-11-30	VYDAJ	VYBER	15	34456	SLUZBY	\N	\N
586665	1997	1997-12-31	VYDAJ	VYBER	15	34718	SLUZBY	\N	\N
586666	1997	1998-01-31	VYDAJ	VYBER	15	31118	SLUZBY	\N	\N
586667	1997	1998-02-28	VYDAJ	VYBER	15	32180	SLUZBY	\N	\N
586668	1997	1998-03-31	VYDAJ	VYBER	15	32834	SLUZBY	\N	\N
586669	1997	1998-04-30	VYDAJ	VYBER	15	31689	SLUZBY	\N	\N
586670	1997	1998-05-31	VYDAJ	VYBER	15	30439	SLUZBY	\N	\N
586671	1997	1998-06-30	VYDAJ	VYBER	15	28177	SLUZBY	\N	\N
586672	1997	1998-07-31	VYDAJ	VYBER	15	28513	SLUZBY	\N	\N
586673	1997	1998-08-31	VYDAJ	VYBER	15	26847	SLUZBY	\N	\N
586674	1997	1998-09-30	VYDAJ	VYBER	15	26175	SLUZBY	\N	\N
586675	1997	1998-10-31	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
586676	1997	1998-11-30	VYDAJ	VYBER	15	19454	SLUZBY	\N	\N
586677	1997	1996-12-04	VYDAJ	VYBER	1400	20177	\N	\N	\N
586678	1997	1997-01-03	VYDAJ	VYBER	5900	21324	\N	\N	\N
586679	1997	1997-03-04	VYDAJ	VYBER	2500	22062	\N	\N	\N
586680	1997	1997-05-03	VYDAJ	VYBER	6000	24147	\N	\N	\N
586681	1997	1997-06-02	VYDAJ	VYBER	1800	27477	\N	\N	\N
586682	1997	1997-07-02	VYDAJ	VYBER	1000	28562	\N	\N	\N
586683	1997	1997-08-01	VYDAJ	VYBER	2200	25486	\N	\N	\N
586684	1997	1997-09-30	VYDAJ	VYBER	3600	32180	\N	\N	\N
586685	1997	1997-10-30	VYDAJ	VYBER	800	29188	\N	\N	\N
586686	1997	1997-12-29	VYDAJ	VYBER	4400	34579	\N	\N	\N
586687	1997	1998-01-28	VYDAJ	VYBER	3000	33381	\N	\N	\N
586688	1997	1998-02-27	VYDAJ	VYBER	400	32061	\N	\N	\N
586689	1997	1998-03-29	VYDAJ	VYBER	4500	32703	\N	\N	\N
586690	1997	1998-04-28	VYDAJ	VYBER	6300	31557	\N	\N	\N
586691	1997	1998-05-28	VYDAJ	VYBER	6400	30312	\N	\N	\N
586692	1997	1998-06-27	VYDAJ	VYBER	3900	28062	\N	\N	\N
586693	1997	1998-07-27	VYDAJ	VYBER	4800	28400	\N	\N	\N
586694	1997	1998-08-26	VYDAJ	VYBER	6800	26736	\N	\N	\N
586695	1997	1998-09-25	VYDAJ	VYBER	5800	26070	\N	\N	\N
586696	1997	1998-10-25	VYDAJ	VYBER	3800	24918	\N	\N	\N
586697	1997	1998-11-24	VYDAJ	VYBER	7400	22641	\N	\N	\N
586726	1998	1993-06-17	PRIJEM	VKLAD	900	900	\N	\N	\N
586733	1998	1993-07-08	PRIJEM	VKLAD	23468	24368	\N	\N	\N
586734	1998	1993-08-08	PRIJEM	VKLAD	23468	50290	\N	\N	\N
586735	1998	1993-09-08	PRIJEM	VKLAD	23468	60592	\N	\N	\N
586736	1998	1993-10-08	PRIJEM	VKLAD	23468	68231	\N	\N	\N
586737	1998	1993-11-08	PRIJEM	VKLAD	23468	69988	\N	\N	\N
586738	1998	1993-12-08	PRIJEM	VKLAD	35202	78291	\N	\N	\N
586739	1998	1994-01-08	PRIJEM	VKLAD	23468	74234	\N	\N	\N
586740	1998	1994-02-08	PRIJEM	VKLAD	23468	52150	\N	\N	\N
586741	1998	1994-03-08	PRIJEM	VKLAD	23468	61967	\N	\N	\N
586742	1998	1994-04-08	PRIJEM	VKLAD	23468	67795	\N	\N	\N
586743	1998	1994-05-08	PRIJEM	VKLAD	23468	67061	\N	\N	\N
586744	1998	1994-06-08	PRIJEM	VKLAD	35202	52218	\N	\N	\N
586745	1998	1994-07-08	PRIJEM	VKLAD	23468	63142	\N	\N	\N
586746	1998	1994-08-08	PRIJEM	VKLAD	23468	67672	\N	\N	\N
586747	1998	1994-09-08	PRIJEM	VKLAD	23468	66670	\N	\N	\N
586748	1998	1994-10-08	PRIJEM	VKLAD	23468	67506	\N	\N	\N
586749	1998	1994-11-08	PRIJEM	VKLAD	23468	68607	\N	\N	\N
586750	1998	1994-12-08	PRIJEM	VKLAD	35202	82287	\N	\N	\N
586751	1998	1995-01-08	PRIJEM	VKLAD	23468	70868	\N	\N	\N
586752	1998	1995-02-08	PRIJEM	VKLAD	23468	51818	\N	\N	\N
586753	1998	1995-03-08	PRIJEM	VKLAD	23468	70790	\N	\N	\N
586754	1998	1995-04-08	PRIJEM	VKLAD	23468	70739	\N	\N	\N
586755	1998	1995-05-08	PRIJEM	VKLAD	23468	69985	\N	\N	\N
586756	1998	1995-06-08	PRIJEM	VKLAD	35202	67537	\N	\N	\N
586757	1998	1995-07-08	PRIJEM	VKLAD	23468	53443	\N	\N	\N
586758	1998	1995-08-08	PRIJEM	VKLAD	23468	61804	\N	\N	\N
586759	1998	1995-09-08	PRIJEM	VKLAD	23468	66505	\N	\N	\N
586760	1998	1995-10-08	PRIJEM	VKLAD	23468	66830	\N	\N	\N
586761	1998	1995-11-08	PRIJEM	VKLAD	23468	67257	\N	\N	\N
586762	1998	1995-12-08	PRIJEM	VKLAD	35202	78115	\N	\N	\N
586763	1998	1996-01-08	PRIJEM	VKLAD	23468	72276	\N	\N	\N
586764	1998	1996-02-08	PRIJEM	VKLAD	23468	56360	\N	\N	\N
586765	1998	1996-03-08	PRIJEM	VKLAD	23468	66923	\N	\N	\N
586766	1998	1996-04-08	PRIJEM	VKLAD	23468	72343	\N	\N	\N
586767	1998	1996-05-08	PRIJEM	VKLAD	23468	78291	\N	\N	\N
586768	1998	1996-06-08	PRIJEM	VKLAD	35202	91197	\N	\N	\N
586769	1998	1996-07-08	PRIJEM	VKLAD	23468	79328	\N	\N	\N
586770	1998	1996-08-08	PRIJEM	VKLAD	23468	79007	\N	\N	\N
586771	1998	1996-09-08	PRIJEM	VKLAD	23468	74489	\N	\N	\N
586772	1998	1996-10-08	PRIJEM	VKLAD	23468	77525	\N	\N	\N
586773	1998	1996-11-08	PRIJEM	VKLAD	23468	82903	\N	\N	\N
586774	1998	1996-12-08	PRIJEM	VKLAD	35202	96436	\N	\N	\N
586775	1998	1997-01-08	PRIJEM	VKLAD	23468	80154	\N	\N	\N
586776	1998	1997-02-08	PRIJEM	VKLAD	23468	75597	\N	\N	\N
586777	1998	1997-03-08	PRIJEM	VKLAD	23468	77065	\N	\N	\N
586778	1998	1997-04-08	PRIJEM	VKLAD	23468	80740	\N	\N	\N
586779	1998	1997-05-08	PRIJEM	VKLAD	23468	82792	\N	\N	\N
586780	1998	1997-06-08	PRIJEM	VKLAD	35202	96523	\N	\N	\N
586781	1998	1997-07-08	PRIJEM	VKLAD	23468	76928	\N	\N	\N
586782	1998	1997-08-08	PRIJEM	VKLAD	23468	81203	\N	\N	\N
586783	1998	1997-09-08	PRIJEM	VKLAD	23468	76888	\N	\N	\N
586784	1998	1997-10-08	PRIJEM	VKLAD	23468	76558	\N	\N	\N
586785	1998	1997-11-08	PRIJEM	VKLAD	23468	71322	\N	\N	\N
586786	1998	1997-12-08	PRIJEM	VKLAD	35202	84905	\N	\N	\N
586787	1998	1998-01-08	PRIJEM	VKLAD	23468	72361	\N	\N	\N
586788	1998	1998-02-08	PRIJEM	VKLAD	23468	59953	\N	\N	\N
586789	1998	1998-03-08	PRIJEM	VKLAD	23468	62656	\N	\N	\N
586790	1998	1998-04-08	PRIJEM	VKLAD	23468	67071	\N	\N	\N
586791	1998	1998-05-08	PRIJEM	VKLAD	23468	70051	\N	\N	\N
586792	1998	1998-06-08	PRIJEM	VKLAD	35202	84329	\N	\N	\N
586793	1998	1998-07-08	PRIJEM	VKLAD	23468	66879	\N	\N	\N
586794	1998	1998-08-08	PRIJEM	VKLAD	23468	74317	\N	\N	\N
586795	1998	1998-09-08	PRIJEM	VKLAD	23468	80890	\N	\N	\N
586796	1998	1998-10-08	PRIJEM	VKLAD	23468	88187	\N	\N	\N
586797	1998	1998-11-08	PRIJEM	VKLAD	23468	91712	\N	\N	\N
586798	1998	1998-12-08	PRIJEM	VKLAD	35202	103477	\N	\N	\N
586800	1998	1994-06-02	VYDAJ	VYBER	28800	18456	\N	\N	\N
586801	1998	1995-06-26	VYDAJ	VYBER	23840	38057	\N	\N	\N
586802	1998	1996-06-12	VYDAJ	VYBER	10560	80637	\N	\N	\N
586803	1998	1997-06-14	VYDAJ	VYBER	19520	77003	\N	\N	\N
586804	1998	1998-06-08	VYDAJ	VYBER	31200	53129	\N	\N	\N
586806	1998	1994-01-09	VYDAJ	VYBER	15200	56154	\N	\N	\N
586807	1998	1995-01-19	VYDAJ	VYBER KARTOU	2200	44668	\N	\N	0
586808	1998	1996-01-27	VYDAJ	VYBER	14400	47876	\N	\N	\N
586809	1998	1997-01-26	VYDAJ	VYBER	6400	68254	\N	\N	\N
586810	1998	1998-01-08	VYDAJ	VYBER	4480	67881	\N	\N	\N
586811	1998	1993-12-07	VYDAJ	VYBER	1120	43089	\N	\N	\N
586812	1998	1994-12-18	VYDAJ	VYBER	4480	49107	\N	\N	\N
586813	1998	1995-12-19	VYDAJ	VYBER KARTOU	2600	75515	\N	\N	0
586814	1998	1996-12-25	VYDAJ	VYBER KARTOU	2700	93736	\N	\N	0
586815	1998	1997-12-13	VYDAJ	VYBER KARTOU	1600	83305	\N	\N	0
586816	1998	1998-12-30	VYDAJ	VYBER KARTOU	2700	77377	\N	\N	0
586823	1998	1994-01-16	VYDAJ	VYBER	1200	37754	\N	\N	\N
586824	1998	1994-01-29	VYDAJ	VYBER	2280	33914	\N	\N	\N
586825	1998	1994-01-12	VYDAJ	VYBER	2040	51354	\N	\N	\N
586826	1998	1994-01-06	VYDAJ	VYBER	840	50766	\N	\N	\N
586827	1998	1994-01-12	VYDAJ	VYBER	2760	53394	\N	\N	\N
586828	1998	1994-01-26	VYDAJ	VYBER	1560	36194	\N	\N	\N
586829	1998	1995-01-19	VYDAJ	VYBER KARTOU	2600	42068	\N	\N	0
586830	1998	1995-01-26	VYDAJ	VYBER KARTOU	1700	37568	\N	\N	0
586831	1998	1995-01-23	VYDAJ	VYBER KARTOU	2800	39268	\N	\N	0
586832	1998	1995-01-12	VYDAJ	VYBER KARTOU	1900	46868	\N	\N	0
586833	1998	1995-01-08	VYDAJ	VYBER KARTOU	3100	48768	\N	\N	0
586834	1998	1995-01-01	VYDAJ	VYBER KARTOU	1900	47400	\N	\N	0
586835	1998	1996-01-28	VYDAJ	VYBER KARTOU	1700	46176	\N	\N	0
586836	1998	1996-01-18	VYDAJ	VYBER KARTOU	1800	63876	\N	\N	0
586837	1998	1996-01-13	VYDAJ	VYBER KARTOU	2000	67976	\N	\N	0
586838	1998	1996-01-17	VYDAJ	VYBER KARTOU	2300	65676	\N	\N	0
586839	1998	1996-01-11	VYDAJ	VYBER KARTOU	2300	69976	\N	\N	0
586840	1998	1996-01-21	VYDAJ	VYBER KARTOU	1600	62276	\N	\N	0
586841	1998	1997-01-16	VYDAJ	VYBER KARTOU	1200	78954	\N	\N	0
586842	1998	1997-01-24	VYDAJ	VYBER KARTOU	2900	74654	\N	\N	0
586843	1998	1997-01-06	VYDAJ	VYBER KARTOU	3100	56686	\N	\N	0
586844	1998	1997-01-23	VYDAJ	VYBER KARTOU	1400	77554	\N	\N	0
586845	1998	1997-01-30	VYDAJ	VYBER KARTOU	1900	51854	\N	\N	0
586846	1998	1997-01-02	VYDAJ	VYBER KARTOU	1900	59786	\N	\N	0
586847	1998	1998-01-21	VYDAJ	VYBER KARTOU	2400	59681	\N	\N	0
586848	1998	1998-01-04	VYDAJ	VYBER KARTOU	800	48893	\N	\N	0
586849	1998	1998-01-17	VYDAJ	VYBER KARTOU	2800	62081	\N	\N	0
586850	1998	1998-01-08	VYDAJ	VYBER KARTOU	3000	64881	\N	\N	0
586851	1998	1998-01-22	VYDAJ	VYBER KARTOU	2600	57081	\N	\N	0
586852	1998	1998-01-24	VYDAJ	VYBER KARTOU	2000	36281	\N	\N	0
586857	1998	1993-11-24	VYDAJ	VYBER	5760	44028	\N	\N	\N
586859	1998	1994-05-06	VYDAJ	VYBER	4080	43593	\N	\N	\N
586860	1998	1994-09-23	VYDAJ	VYBER	600	43870	\N	\N	\N
586861	1998	1994-10-15	VYDAJ	VYBER	2040	44966	\N	\N	\N
586862	1998	1994-02-05	VYDAJ	VYBER	5400	28682	\N	\N	\N
586863	1998	1994-08-20	VYDAJ	VYBER	2640	43032	\N	\N	\N
586864	1998	1994-01-08	VYDAJ	VYBER	2880	71354	\N	\N	\N
586865	1998	1994-06-06	VYDAJ	VYBER	1440	17016	\N	\N	\N
586866	1998	1995-02-08	VYDAJ	VYBER	4680	47138	\N	\N	\N
586867	1998	1995-10-27	VYDAJ	VYBER KARTOU	3000	63830	\N	\N	0
586868	1998	1995-02-01	VYDAJ	VYBER KARTOU	1800	35950	\N	\N	0
586869	1998	1995-11-17	VYDAJ	VYBER KARTOU	1600	65657	\N	\N	0
586870	1998	1995-06-21	VYDAJ	VYBER	5640	61897	\N	\N	\N
586871	1998	1995-10-28	VYDAJ	VYBER KARTOU	1400	62430	\N	\N	0
586872	1998	1996-02-02	VYDAJ	VYBER	4440	41992	\N	\N	\N
586873	1998	1996-02-12	VYDAJ	VYBER KARTOU	600	55760	\N	\N	0
586874	1998	1996-09-03	VYDAJ	VYBER KARTOU	2800	51021	\N	\N	0
586875	1998	1996-06-28	VYDAJ	VYBER KARTOU	800	79837	\N	\N	0
586876	1998	1997-12-16	VYDAJ	VYBER	4440	78865	\N	\N	\N
586877	1998	1997-04-04	VYDAJ	VYBER KARTOU	800	57272	\N	\N	0
586878	1998	1998-10-28	VYDAJ	VYBER KARTOU	3200	67987	\N	\N	0
586879	1998	1998-08-30	VYDAJ	VYBER KARTOU	3600	57217	\N	\N	0
586880	1998	1998-04-11	VYDAJ	VYBER	5280	61791	\N	\N	\N
586881	1998	1998-11-20	VYDAJ	VYBER	4800	68012	\N	\N	\N
586882	1998	1998-12-26	VYDAJ	VYBER KARTOU	1600	80077	\N	\N	0
586894	1998	1993-11-30	VYDAJ	VYBER	15	44209	SLUZBY	\N	\N
586895	1998	1993-12-31	VYDAJ	VYBER	15	51606	SLUZBY	\N	\N
586896	1998	1994-01-31	VYDAJ	VYBER	15	34082	SLUZBY	\N	\N
586897	1998	1994-02-28	VYDAJ	VYBER	15	38499	SLUZBY	\N	\N
586898	1998	1994-03-31	VYDAJ	VYBER	15	44327	SLUZBY	\N	\N
586899	1998	1994-04-30	VYDAJ	VYBER	15	47673	SLUZBY	\N	\N
586900	1998	1994-05-31	VYDAJ	VYBER	15	47256	SLUZBY	\N	\N
586901	1998	1994-06-30	VYDAJ	VYBER	15	39674	SLUZBY	\N	\N
586902	1998	1994-07-31	VYDAJ	VYBER	15	44204	SLUZBY	\N	\N
586903	1998	1994-08-31	VYDAJ	VYBER	15	43202	SLUZBY	\N	\N
586904	1998	1994-09-30	VYDAJ	VYBER	15	44038	SLUZBY	\N	\N
586905	1998	1994-10-31	VYDAJ	VYBER	15	45139	SLUZBY	\N	\N
586906	1998	1994-11-30	VYDAJ	VYBER	15	47085	SLUZBY	\N	\N
586907	1998	1994-12-31	VYDAJ	VYBER	15	49300	SLUZBY	\N	\N
586908	1998	1995-01-31	VYDAJ	VYBER	15	37750	SLUZBY	\N	\N
586909	1998	1995-02-28	VYDAJ	VYBER	15	47322	SLUZBY	\N	\N
586910	1998	1995-03-31	VYDAJ	VYBER	15	47271	SLUZBY	\N	\N
586911	1998	1995-04-30	VYDAJ	VYBER	15	46517	SLUZBY	\N	\N
586912	1998	1995-05-31	VYDAJ	VYBER	15	43735	SLUZBY	\N	\N
586913	1998	1995-06-30	VYDAJ	VYBER	15	38275	SLUZBY	\N	\N
586914	1998	1995-07-31	VYDAJ	VYBER	15	53636	SLUZBY	\N	\N
586915	1998	1995-08-31	VYDAJ	VYBER	15	62037	SLUZBY	\N	\N
586916	1998	1995-09-30	VYDAJ	VYBER	15	66762	SLUZBY	\N	\N
586917	1998	1995-10-31	VYDAJ	VYBER	15	62689	SLUZBY	\N	\N
586918	1998	1995-11-30	VYDAJ	VYBER	15	65913	SLUZBY	\N	\N
586919	1998	1995-12-31	VYDAJ	VYBER	15	75808	SLUZBY	\N	\N
586920	1998	1996-01-31	VYDAJ	VYBER	15	46432	SLUZBY	\N	\N
586921	1998	1996-02-29	VYDAJ	VYBER	15	55955	SLUZBY	\N	\N
586922	1998	1996-03-31	VYDAJ	VYBER	15	67175	SLUZBY	\N	\N
586923	1998	1996-04-30	VYDAJ	VYBER	15	72623	SLUZBY	\N	\N
586924	1998	1996-05-31	VYDAJ	VYBER	15	78595	SLUZBY	\N	\N
586925	1998	1996-06-30	VYDAJ	VYBER	15	80160	SLUZBY	\N	\N
586926	1998	1996-07-31	VYDAJ	VYBER	15	55539	SLUZBY	\N	\N
586927	1998	1996-08-31	VYDAJ	VYBER	15	53821	SLUZBY	\N	\N
586928	1998	1996-09-30	VYDAJ	VYBER	15	54057	SLUZBY	\N	\N
586929	1998	1996-10-31	VYDAJ	VYBER	15	59435	SLUZBY	\N	\N
586930	1998	1996-11-30	VYDAJ	VYBER	15	61234	SLUZBY	\N	\N
586931	1998	1996-12-31	VYDAJ	VYBER	15	61686	SLUZBY	\N	\N
586932	1998	1997-01-31	VYDAJ	VYBER	15	52129	SLUZBY	\N	\N
586933	1998	1997-02-28	VYDAJ	VYBER	15	53597	SLUZBY	\N	\N
586934	1998	1997-03-31	VYDAJ	VYBER	15	58072	SLUZBY	\N	\N
586935	1998	1997-04-30	VYDAJ	VYBER	15	59324	SLUZBY	\N	\N
586936	1998	1997-05-31	VYDAJ	VYBER	15	61321	SLUZBY	\N	\N
586937	1998	1997-06-30	VYDAJ	VYBER	15	53460	SLUZBY	\N	\N
586938	1998	1997-07-31	VYDAJ	VYBER	15	57735	SLUZBY	\N	\N
586939	1998	1997-08-31	VYDAJ	VYBER	15	53420	SLUZBY	\N	\N
586940	1998	1997-09-30	VYDAJ	VYBER	15	53090	SLUZBY	\N	\N
586941	1998	1997-10-31	VYDAJ	VYBER	15	47854	SLUZBY	\N	\N
586942	1998	1997-11-30	VYDAJ	VYBER	15	49703	SLUZBY	\N	\N
586943	1998	1997-12-31	VYDAJ	VYBER	15	49693	SLUZBY	\N	\N
586944	1998	1998-01-31	VYDAJ	VYBER	15	36485	SLUZBY	\N	\N
586945	1998	1998-02-28	VYDAJ	VYBER	15	39188	SLUZBY	\N	\N
586946	1998	1998-03-31	VYDAJ	VYBER	15	43603	SLUZBY	\N	\N
586947	1998	1998-04-30	VYDAJ	VYBER	15	46583	SLUZBY	\N	\N
586948	1998	1998-05-31	VYDAJ	VYBER	15	49127	SLUZBY	\N	\N
586949	1998	1998-06-30	VYDAJ	VYBER	15	43411	SLUZBY	\N	\N
586950	1998	1998-07-31	VYDAJ	VYBER	15	50849	SLUZBY	\N	\N
586951	1998	1998-08-31	VYDAJ	VYBER	15	57422	SLUZBY	\N	\N
586952	1998	1998-09-30	VYDAJ	VYBER	15	64719	SLUZBY	\N	\N
586953	1998	1998-10-31	VYDAJ	VYBER	15	68244	SLUZBY	\N	\N
586954	1998	1998-11-30	VYDAJ	VYBER	15	68275	SLUZBY	\N	\N
586955	1998	1993-07-17	PRIJEM	VKLAD	2400	26768	\N	\N	\N
586956	1998	1993-08-16	VYDAJ	VYBER	13300	36990	\N	\N	\N
586957	1998	1993-09-15	VYDAJ	VYBER	16000	44592	\N	\N	\N
586958	1998	1993-10-15	VYDAJ	VYBER	21900	46331	\N	\N	\N
586959	1998	1993-11-14	VYDAJ	VYBER	20200	49788	\N	\N	\N
586960	1998	1993-12-14	VYDAJ	VYBER	26900	51391	\N	\N	\N
586961	1998	1994-01-13	VYDAJ	VYBER	12400	38954	\N	\N	\N
586962	1998	1994-02-12	VYDAJ	VYBER	13800	38350	\N	\N	\N
586963	1998	1994-03-14	VYDAJ	VYBER	17800	44167	\N	\N	\N
586964	1998	1994-04-13	VYDAJ	VYBER	20300	47495	\N	\N	\N
586965	1998	1994-05-13	VYDAJ	VYBER	20000	47061	\N	\N	\N
586966	1998	1994-06-12	VYDAJ	VYBER	12700	39518	\N	\N	\N
586967	1998	1994-07-12	VYDAJ	VYBER	19100	44042	\N	\N	\N
586968	1998	1994-08-11	VYDAJ	VYBER	22000	45672	\N	\N	\N
586969	1998	1994-09-10	VYDAJ	VYBER	22200	44470	\N	\N	\N
586970	1998	1994-10-10	VYDAJ	VYBER	20500	47006	\N	\N	\N
586971	1998	1994-11-09	VYDAJ	VYBER	21700	46907	\N	\N	\N
586972	1998	1994-12-09	VYDAJ	VYBER	28700	53587	\N	\N	\N
586973	1998	1995-01-08	VYDAJ	VYBER	19000	51868	\N	\N	\N
586974	1998	1995-02-07	VYDAJ	VYBER	7600	28350	\N	\N	\N
586975	1998	1995-03-09	VYDAJ	VYBER	23700	47090	\N	\N	\N
586976	1998	1995-04-08	VYDAJ	VYBER	24400	46339	\N	\N	\N
586977	1998	1995-05-08	VYDAJ	VYBER	26500	43485	\N	\N	\N
586978	1998	1995-06-07	VYDAJ	VYBER	11400	32335	\N	\N	\N
586979	1998	1995-07-07	VYDAJ	VYBER	8300	29975	\N	\N	\N
586980	1998	1995-08-06	VYDAJ	VYBER	15300	38336	\N	\N	\N
586981	1998	1995-09-05	VYDAJ	VYBER	19000	43037	\N	\N	\N
586982	1998	1995-10-05	VYDAJ	VYBER	23400	43362	\N	\N	\N
586983	1998	1995-11-04	VYDAJ	VYBER	18900	43789	\N	\N	\N
586984	1998	1995-12-04	VYDAJ	VYBER	23000	42913	\N	\N	\N
586985	1998	1996-01-03	VYDAJ	VYBER	27000	48808	\N	\N	\N
586986	1998	1996-02-02	VYDAJ	VYBER	9100	32892	\N	\N	\N
586987	1998	1996-03-03	VYDAJ	VYBER	12500	43455	\N	\N	\N
586988	1998	1996-04-02	VYDAJ	VYBER	18300	48875	\N	\N	\N
586989	1998	1996-05-02	VYDAJ	VYBER	17800	54823	\N	\N	\N
586990	1998	1996-06-01	VYDAJ	VYBER	22600	55995	\N	\N	\N
586991	1998	1996-07-01	VYDAJ	VYBER	24300	55860	\N	\N	\N
586992	1998	1996-07-31	VYDAJ	VYBER	24100	55554	\N	\N	\N
586993	1998	1996-08-30	VYDAJ	VYBER	25400	53607	\N	\N	\N
586994	1998	1996-09-29	VYDAJ	VYBER	20700	53789	\N	\N	\N
586995	1998	1996-10-29	VYDAJ	VYBER	18300	59225	\N	\N	\N
586996	1998	1996-11-28	VYDAJ	VYBER	21900	61003	\N	\N	\N
586997	1998	1996-12-28	VYDAJ	VYBER	32300	61436	\N	\N	\N
586998	1998	1997-01-27	VYDAJ	VYBER	14500	53754	\N	\N	\N
586999	1998	1997-02-26	VYDAJ	VYBER	22200	53397	\N	\N	\N
587000	1998	1997-03-28	VYDAJ	VYBER	19200	57865	\N	\N	\N
587001	1998	1997-04-27	VYDAJ	VYBER	21700	59040	\N	\N	\N
587002	1998	1997-05-27	VYDAJ	VYBER	21700	61092	\N	\N	\N
587003	1998	1997-06-26	VYDAJ	VYBER	23800	53203	\N	\N	\N
587004	1998	1997-07-26	VYDAJ	VYBER	19400	57528	\N	\N	\N
587005	1998	1997-08-25	VYDAJ	VYBER	28000	53203	\N	\N	\N
587006	1998	1997-09-24	VYDAJ	VYBER	24000	52888	\N	\N	\N
587007	1998	1997-10-24	VYDAJ	VYBER	28900	47658	\N	\N	\N
587008	1998	1997-11-23	VYDAJ	VYBER	21800	49522	\N	\N	\N
587009	1998	1997-12-23	VYDAJ	VYBER	29400	49465	\N	\N	\N
587010	1998	1998-01-22	VYDAJ	VYBER	18800	38281	\N	\N	\N
587011	1998	1998-02-21	VYDAJ	VYBER	20900	39053	\N	\N	\N
587012	1998	1998-03-23	VYDAJ	VYBER	19200	43456	\N	\N	\N
587013	1998	1998-04-22	VYDAJ	VYBER	15400	46391	\N	\N	\N
587014	1998	1998-05-22	VYDAJ	VYBER	21100	48951	\N	\N	\N
587015	1998	1998-06-21	VYDAJ	VYBER	9900	43229	\N	\N	\N
587016	1998	1998-07-21	VYDAJ	VYBER	16200	50679	\N	\N	\N
587017	1998	1998-08-20	VYDAJ	VYBER	13500	60817	\N	\N	\N
587018	1998	1998-09-19	VYDAJ	VYBER	16400	64490	\N	\N	\N
587019	1998	1998-10-19	VYDAJ	VYBER	17000	71187	\N	\N	\N
587020	1998	1998-11-18	VYDAJ	VYBER	18900	72812	\N	\N	\N
587021	1998	1998-12-18	VYDAJ	VYBER	21800	81677	\N	\N	\N
587088	1999	1993-06-06	PRIJEM	VKLAD	300	300	\N	\N	\N
587095	1999	1993-07-06	PRIJEM	VKLAD	23728	24028	\N	\N	\N
587096	1999	1993-08-06	PRIJEM	VKLAD	23728	49239	\N	\N	\N
587097	1999	1993-09-06	PRIJEM	VKLAD	23728	61955	\N	\N	\N
587098	1999	1993-10-06	PRIJEM	VKLAD	23728	64733	\N	\N	\N
587099	1999	1993-11-06	PRIJEM	VKLAD	23728	68729	\N	\N	\N
587100	1999	1993-12-06	PRIJEM	VKLAD	35592	76728	\N	\N	\N
587101	1999	1994-01-06	PRIJEM	VKLAD	23728	64864	\N	\N	\N
587102	1999	1994-02-06	PRIJEM	VKLAD	23728	59631	\N	\N	\N
587103	1999	1994-03-06	PRIJEM	VKLAD	23728	62240	\N	\N	\N
587104	1999	1994-04-06	PRIJEM	VKLAD	23728	61442	\N	\N	\N
587105	1999	1994-05-06	PRIJEM	VKLAD	23728	64044	\N	\N	\N
587106	1999	1994-06-06	PRIJEM	VKLAD	35592	76120	\N	\N	\N
587107	1999	1994-07-06	PRIJEM	VKLAD	23728	53770	\N	\N	\N
587108	1999	1994-08-06	PRIJEM	VKLAD	23728	58134	\N	\N	\N
587109	1999	1994-09-06	PRIJEM	VKLAD	23728	59410	\N	\N	\N
587110	1999	1994-10-06	PRIJEM	VKLAD	23728	63491	\N	\N	\N
587111	1999	1994-11-06	PRIJEM	VKLAD	23728	59804	\N	\N	\N
587112	1999	1994-12-06	PRIJEM	VKLAD	35592	75549	\N	\N	\N
587113	1999	1995-01-06	PRIJEM	VKLAD	23728	66773	\N	\N	\N
587114	1999	1995-02-06	PRIJEM	VKLAD	23728	55246	\N	\N	\N
587115	1999	1995-03-06	PRIJEM	VKLAD	23728	59206	\N	\N	\N
587116	1999	1995-04-06	PRIJEM	VKLAD	23728	55973	\N	\N	\N
587117	1999	1995-05-06	PRIJEM	VKLAD	23728	55533	\N	\N	\N
587118	1999	1995-06-06	PRIJEM	VKLAD	35592	68454	\N	\N	\N
587119	1999	1995-07-06	PRIJEM	VKLAD	23728	41373	\N	\N	\N
587120	1999	1995-08-06	PRIJEM	VKLAD	23728	50876	\N	\N	\N
587121	1999	1995-09-06	PRIJEM	VKLAD	23728	54812	\N	\N	\N
587122	1999	1995-10-06	PRIJEM	VKLAD	23728	55560	\N	\N	\N
587123	1999	1995-11-06	PRIJEM	VKLAD	23728	56009	\N	\N	\N
587124	1999	1995-12-06	PRIJEM	VKLAD	35592	66419	\N	\N	\N
587125	1999	1996-01-06	PRIJEM	VKLAD	23728	52089	\N	\N	\N
587126	1999	1996-02-06	PRIJEM	VKLAD	23728	43237	\N	\N	\N
587127	1999	1996-03-06	PRIJEM	VKLAD	23728	46134	\N	\N	\N
587128	1999	1996-04-06	PRIJEM	VKLAD	23728	45968	\N	\N	\N
587129	1999	1996-05-06	PRIJEM	VKLAD	23728	49275	\N	\N	\N
587130	1999	1996-06-06	PRIJEM	VKLAD	35592	61455	\N	\N	\N
587131	1999	1996-07-06	PRIJEM	VKLAD	23728	52248	\N	\N	\N
587132	1999	1996-08-06	PRIJEM	VKLAD	23728	53473	\N	\N	\N
587133	1999	1996-09-06	PRIJEM	VKLAD	23728	53902	\N	\N	\N
587134	1999	1996-10-06	PRIJEM	VKLAD	23728	51826	\N	\N	\N
587135	1999	1996-11-06	PRIJEM	VKLAD	23728	45595	\N	\N	\N
587136	1999	1996-12-06	PRIJEM	VKLAD	35592	62662	\N	\N	\N
587137	1999	1997-01-06	PRIJEM	VKLAD	23728	55307	\N	\N	\N
587138	1999	1997-02-06	PRIJEM	VKLAD	23728	44523	\N	\N	\N
587139	1999	1997-03-06	PRIJEM	VKLAD	23728	52021	\N	\N	\N
587140	1999	1997-04-06	PRIJEM	VKLAD	23728	57051	\N	\N	\N
587141	1999	1997-05-06	PRIJEM	VKLAD	23728	62097	\N	\N	\N
587142	1999	1997-06-06	PRIJEM	VKLAD	35592	77624	\N	\N	\N
587143	1999	1997-07-06	PRIJEM	VKLAD	23728	71869	\N	\N	\N
587144	1999	1997-08-06	PRIJEM	VKLAD	23728	68654	\N	\N	\N
587145	1999	1997-09-06	PRIJEM	VKLAD	23728	68732	\N	\N	\N
587146	1999	1997-10-06	PRIJEM	VKLAD	23728	69509	\N	\N	\N
587147	1999	1997-11-06	PRIJEM	VKLAD	23728	61886	\N	\N	\N
587148	1999	1997-12-06	PRIJEM	VKLAD	35592	69471	\N	\N	\N
587149	1999	1998-01-06	PRIJEM	VKLAD	23728	68940	\N	\N	\N
587150	1999	1998-02-06	PRIJEM	VKLAD	23728	61689	\N	\N	\N
587151	1999	1998-03-06	PRIJEM	VKLAD	23728	68476	\N	\N	\N
587152	1999	1998-04-06	PRIJEM	VKLAD	23728	72056	\N	\N	\N
587153	1999	1998-05-06	PRIJEM	VKLAD	23728	74846	\N	\N	\N
587154	1999	1998-06-06	PRIJEM	VKLAD	35592	84400	\N	\N	\N
587155	1999	1998-07-06	PRIJEM	VKLAD	23728	76601	\N	\N	\N
587156	1999	1998-08-06	PRIJEM	VKLAD	23728	78011	\N	\N	\N
587157	1999	1998-09-06	PRIJEM	VKLAD	23728	73098	\N	\N	\N
587158	1999	1998-10-06	PRIJEM	VKLAD	23728	64172	\N	\N	\N
587159	1999	1998-11-06	PRIJEM	VKLAD	23728	60003	\N	\N	\N
587160	1999	1998-12-06	PRIJEM	VKLAD	35592	69782	\N	\N	\N
587171	1999	1993-11-10	VYDAJ	PREVOD NA UCET	2676	66053	SIPO	EF	51544994
587172	1999	1993-12-10	VYDAJ	PREVOD NA UCET	2676	74052	SIPO	EF	51544994
587173	1999	1994-01-10	VYDAJ	PREVOD NA UCET	2676	62188	SIPO	EF	51544994
587174	1999	1994-02-10	VYDAJ	PREVOD NA UCET	2676	56955	SIPO	EF	51544994
587175	1999	1994-03-10	VYDAJ	PREVOD NA UCET	2676	59564	SIPO	EF	51544994
587176	1999	1994-04-10	VYDAJ	PREVOD NA UCET	2676	58766	SIPO	EF	51544994
587177	1999	1994-05-10	VYDAJ	PREVOD NA UCET	2676	61368	SIPO	EF	51544994
587178	1999	1994-06-10	VYDAJ	PREVOD NA UCET	2676	73444	SIPO	EF	51544994
587179	1999	1994-07-10	VYDAJ	PREVOD NA UCET	2676	51094	SIPO	EF	51544994
587180	1999	1994-08-10	VYDAJ	PREVOD NA UCET	2676	55458	SIPO	EF	51544994
587181	1999	1994-09-10	VYDAJ	PREVOD NA UCET	2676	56734	SIPO	EF	51544994
587182	1999	1994-10-10	VYDAJ	PREVOD NA UCET	2676	60815	SIPO	EF	51544994
587183	1999	1994-11-10	VYDAJ	PREVOD NA UCET	2676	57128	SIPO	EF	51544994
587184	1999	1994-12-10	VYDAJ	PREVOD NA UCET	2676	72873	SIPO	EF	51544994
587185	1999	1995-01-10	VYDAJ	PREVOD NA UCET	2676	59097	SIPO	EF	51544994
587186	1999	1995-02-10	VYDAJ	PREVOD NA UCET	2676	52570	SIPO	EF	51544994
587187	1999	1995-03-10	VYDAJ	PREVOD NA UCET	2676	54230	SIPO	EF	51544994
587188	1999	1995-04-10	VYDAJ	PREVOD NA UCET	2676	53297	SIPO	EF	51544994
587189	1999	1995-05-10	VYDAJ	PREVOD NA UCET	2676	52857	SIPO	EF	51544994
587190	1999	1995-06-10	VYDAJ	PREVOD NA UCET	2676	65778	SIPO	EF	51544994
587191	1999	1995-07-10	VYDAJ	PREVOD NA UCET	2676	38697	SIPO	EF	51544994
587192	1999	1995-08-10	VYDAJ	PREVOD NA UCET	2676	48200	SIPO	EF	51544994
587193	1999	1995-09-10	VYDAJ	PREVOD NA UCET	2676	52136	SIPO	EF	51544994
587194	1999	1995-10-10	VYDAJ	PREVOD NA UCET	2676	52884	SIPO	EF	51544994
587195	1999	1995-11-10	VYDAJ	PREVOD NA UCET	2676	53333	SIPO	EF	51544994
587196	1999	1995-12-10	VYDAJ	PREVOD NA UCET	2676	63743	SIPO	EF	51544994
587197	1999	1996-01-10	VYDAJ	PREVOD NA UCET	2676	49413	SIPO	EF	51544994
587198	1999	1996-02-10	VYDAJ	PREVOD NA UCET	2676	40561	SIPO	EF	51544994
587199	1999	1996-03-10	VYDAJ	PREVOD NA UCET	2676	38298	SIPO	EF	51544994
587200	1999	1996-04-10	VYDAJ	PREVOD NA UCET	2676	43292	SIPO	EF	51544994
587201	1999	1996-05-10	VYDAJ	PREVOD NA UCET	2676	46599	SIPO	EF	51544994
587202	1999	1996-06-10	VYDAJ	PREVOD NA UCET	2676	58779	SIPO	EF	51544994
587203	1999	1996-07-10	VYDAJ	PREVOD NA UCET	2676	49572	SIPO	EF	51544994
587204	1999	1996-08-10	VYDAJ	PREVOD NA UCET	2676	50797	SIPO	EF	51544994
587205	1999	1996-09-10	VYDAJ	PREVOD NA UCET	2676	51226	SIPO	EF	51544994
587206	1999	1996-10-10	VYDAJ	PREVOD NA UCET	2676	49150	SIPO	EF	51544994
587207	1999	1996-11-10	VYDAJ	PREVOD NA UCET	2676	42919	SIPO	EF	51544994
587208	1999	1996-12-10	VYDAJ	PREVOD NA UCET	2676	59986	SIPO	EF	51544994
587209	1999	1997-01-10	VYDAJ	PREVOD NA UCET	2676	52631	SIPO	EF	51544994
587210	1999	1997-02-10	VYDAJ	PREVOD NA UCET	2676	41847	SIPO	EF	51544994
587211	1999	1997-03-10	VYDAJ	PREVOD NA UCET	2676	49345	SIPO	EF	51544994
587212	1999	1997-04-10	VYDAJ	PREVOD NA UCET	2676	54375	SIPO	EF	51544994
587213	1999	1997-05-10	VYDAJ	PREVOD NA UCET	2676	59421	SIPO	EF	51544994
587214	1999	1997-06-10	VYDAJ	PREVOD NA UCET	2676	64708	SIPO	EF	51544994
587215	1999	1997-07-10	VYDAJ	PREVOD NA UCET	2676	69193	SIPO	EF	51544994
587216	1999	1997-08-10	VYDAJ	PREVOD NA UCET	2676	65978	SIPO	EF	51544994
587217	1999	1997-09-10	VYDAJ	PREVOD NA UCET	2676	66056	SIPO	EF	51544994
587218	1999	1997-10-10	VYDAJ	PREVOD NA UCET	2676	66833	SIPO	EF	51544994
587219	1999	1997-11-10	VYDAJ	PREVOD NA UCET	2676	59210	SIPO	EF	51544994
587220	1999	1997-12-10	VYDAJ	PREVOD NA UCET	2676	66795	SIPO	EF	51544994
587221	1999	1998-01-10	VYDAJ	PREVOD NA UCET	2676	56564	SIPO	EF	51544994
587222	1999	1998-02-10	VYDAJ	PREVOD NA UCET	2676	59013	SIPO	EF	51544994
587223	1999	1998-03-10	VYDAJ	PREVOD NA UCET	2676	65800	SIPO	EF	51544994
587224	1999	1998-04-10	VYDAJ	PREVOD NA UCET	2676	69380	SIPO	EF	51544994
587225	1999	1998-05-10	VYDAJ	PREVOD NA UCET	2676	72170	SIPO	EF	51544994
587226	1999	1998-06-10	VYDAJ	PREVOD NA UCET	2676	56424	SIPO	EF	51544994
587227	1999	1998-07-10	VYDAJ	PREVOD NA UCET	2676	57825	SIPO	EF	51544994
587228	1999	1998-08-10	VYDAJ	PREVOD NA UCET	2676	52935	SIPO	EF	51544994
587229	1999	1998-09-10	VYDAJ	PREVOD NA UCET	2676	48722	SIPO	EF	51544994
587230	1999	1998-10-10	VYDAJ	PREVOD NA UCET	2676	41596	SIPO	EF	51544994
587231	1999	1998-11-10	VYDAJ	PREVOD NA UCET	2676	37827	SIPO	EF	51544994
587232	1999	1998-12-10	VYDAJ	PREVOD NA UCET	2676	44706	SIPO	EF	51544994
587244	1999	1993-12-05	VYDAJ	PREVOD NA UCET	3778	41136	 	EF	25691366
587245	1999	1994-01-05	VYDAJ	PREVOD NA UCET	3778	41136	 	EF	25691366
587246	1999	1994-02-05	VYDAJ	PREVOD NA UCET	3778	35903	 	EF	25691366
587247	1999	1994-03-05	VYDAJ	PREVOD NA UCET	3778	38512	 	EF	25691366
587248	1999	1994-04-05	VYDAJ	PREVOD NA UCET	3778	37714	 	EF	25691366
587249	1999	1994-05-05	VYDAJ	PREVOD NA UCET	3778	40316	 	EF	25691366
587250	1999	1994-06-05	VYDAJ	PREVOD NA UCET	3778	40528	 	EF	25691366
587251	1999	1994-07-05	VYDAJ	PREVOD NA UCET	3778	30042	 	EF	25691366
587252	1999	1994-08-05	VYDAJ	PREVOD NA UCET	3778	34406	 	EF	25691366
587253	1999	1994-09-05	VYDAJ	PREVOD NA UCET	3778	35682	 	EF	25691366
587254	1999	1994-10-05	VYDAJ	PREVOD NA UCET	3778	39763	 	EF	25691366
587255	1999	1994-11-05	VYDAJ	PREVOD NA UCET	3778	36076	 	EF	25691366
587256	1999	1994-12-05	VYDAJ	PREVOD NA UCET	3778	39957	 	EF	25691366
587257	1999	1995-01-05	VYDAJ	PREVOD NA UCET	3778	43045	 	EF	25691366
587258	1999	1995-02-05	VYDAJ	PREVOD NA UCET	3778	31518	 	EF	25691366
587259	1999	1995-03-05	VYDAJ	PREVOD NA UCET	3778	35478	 	EF	25691366
587260	1999	1995-04-05	VYDAJ	PREVOD NA UCET	3778	32245	 	EF	25691366
587261	1999	1995-05-05	VYDAJ	PREVOD NA UCET	3778	31805	 	EF	25691366
587262	1999	1995-06-05	VYDAJ	PREVOD NA UCET	3778	32862	 	EF	25691366
587263	1999	1995-07-05	VYDAJ	PREVOD NA UCET	3778	17645	 	EF	25691366
587264	1999	1995-08-05	VYDAJ	PREVOD NA UCET	3778	27148	 	EF	25691366
587265	1999	1995-09-05	VYDAJ	PREVOD NA UCET	3778	31084	 	EF	25691366
587266	1999	1995-10-05	VYDAJ	PREVOD NA UCET	3778	31832	 	EF	25691366
587267	1999	1995-11-05	VYDAJ	PREVOD NA UCET	3778	32281	 	EF	25691366
587268	1999	1995-12-05	VYDAJ	PREVOD NA UCET	3778	30827	 	EF	25691366
587269	1999	1996-01-05	VYDAJ	PREVOD NA UCET	3778	28361	 	EF	25691366
587270	1999	1996-02-05	VYDAJ	PREVOD NA UCET	3778	19509	 	EF	25691366
587271	1999	1996-03-05	VYDAJ	PREVOD NA UCET	3778	22406	 	EF	25691366
587272	1999	1996-04-05	VYDAJ	PREVOD NA UCET	3778	22240	 	EF	25691366
587273	1999	1996-05-05	VYDAJ	PREVOD NA UCET	3778	25547	 	EF	25691366
587274	1999	1996-06-05	VYDAJ	PREVOD NA UCET	3778	25863	 	EF	25691366
587275	1999	1996-07-05	VYDAJ	PREVOD NA UCET	3778	28520	 	EF	25691366
587276	1999	1996-08-05	VYDAJ	PREVOD NA UCET	3778	29745	 	EF	25691366
587277	1999	1996-09-05	VYDAJ	PREVOD NA UCET	3778	30174	 	EF	25691366
587278	1999	1996-10-05	VYDAJ	PREVOD NA UCET	3778	28098	 	EF	25691366
587279	1999	1996-11-05	VYDAJ	PREVOD NA UCET	3778	21867	 	EF	25691366
587280	1999	1996-12-05	VYDAJ	PREVOD NA UCET	3778	27070	 	EF	25691366
587281	1999	1997-01-05	VYDAJ	PREVOD NA UCET	3778	31579	 	EF	25691366
587282	1999	1997-02-05	VYDAJ	PREVOD NA UCET	3778	20795	 	EF	25691366
587283	1999	1997-03-05	VYDAJ	PREVOD NA UCET	3778	28293	 	EF	25691366
587284	1999	1997-04-05	VYDAJ	PREVOD NA UCET	3778	33323	 	EF	25691366
587285	1999	1997-05-05	VYDAJ	PREVOD NA UCET	3778	38369	 	EF	25691366
587286	1999	1997-06-05	VYDAJ	PREVOD NA UCET	3778	42032	 	EF	25691366
587287	1999	1997-07-05	VYDAJ	PREVOD NA UCET	3778	48141	 	EF	25691366
587288	1999	1997-08-05	VYDAJ	PREVOD NA UCET	3778	44926	 	EF	25691366
587289	1999	1997-09-05	VYDAJ	PREVOD NA UCET	3778	45004	 	EF	25691366
587290	1999	1997-10-05	VYDAJ	PREVOD NA UCET	3778	45781	 	EF	25691366
587291	1999	1997-11-05	VYDAJ	PREVOD NA UCET	3778	38158	 	EF	25691366
587292	1999	1997-12-05	VYDAJ	PREVOD NA UCET	3778	33879	 	EF	25691366
587293	1999	1998-01-05	VYDAJ	PREVOD NA UCET	3778	45212	 	EF	25691366
587294	1999	1998-02-05	VYDAJ	PREVOD NA UCET	3778	37961	 	EF	25691366
587295	1999	1998-03-05	VYDAJ	PREVOD NA UCET	3778	44748	 	EF	25691366
587296	1999	1998-04-05	VYDAJ	PREVOD NA UCET	3778	48328	 	EF	25691366
587297	1999	1998-05-05	VYDAJ	PREVOD NA UCET	3778	51118	 	EF	25691366
587298	1999	1998-06-05	VYDAJ	PREVOD NA UCET	3778	48808	 	EF	25691366
587299	1999	1998-07-05	VYDAJ	PREVOD NA UCET	3778	52873	 	EF	25691366
587300	1999	1998-08-05	VYDAJ	PREVOD NA UCET	3778	54283	 	EF	25691366
587301	1999	1998-09-05	VYDAJ	PREVOD NA UCET	3778	49370	 	EF	25691366
587302	1999	1998-10-05	VYDAJ	PREVOD NA UCET	3778	40444	 	EF	25691366
587303	1999	1998-11-05	VYDAJ	PREVOD NA UCET	3778	36275	 	EF	25691366
587304	1999	1998-12-05	VYDAJ	PREVOD NA UCET	3778	34190	 	EF	25691366
587306	1999	1994-06-12	VYDAJ	VYBER	32320	41124	\N	\N	\N
587307	1999	1995-06-14	VYDAJ	VYBER	39200	26578	\N	\N	\N
587308	1999	1996-06-14	VYDAJ	VYBER	11040	47739	\N	\N	\N
587309	1999	1997-06-07	VYDAJ	VYBER	10240	67384	\N	\N	\N
587311	1999	1993-12-24	VYDAJ	VYBER	4640	69412	\N	\N	\N
587312	1999	1994-12-14	VYDAJ	VYBER KARTOU	3000	69873	\N	\N	0
587313	1999	1995-12-18	VYDAJ	VYBER	4160	59583	\N	\N	\N
587314	1999	1996-12-04	VYDAJ	VYBER KARTOU	1100	30848	\N	\N	0
587315	1999	1997-12-22	VYDAJ	VYBER KARTOU	2200	48795	\N	\N	0
587316	1999	1998-12-30	VYDAJ	VYBER KARTOU	3800	40906	\N	\N	0
587323	1999	1994-01-27	VYDAJ	VYBER	1200	51868	\N	\N	\N
587324	1999	1994-01-12	VYDAJ	VYBER	2880	59308	\N	\N	\N
587325	1999	1994-01-12	VYDAJ	VYBER	3480	55828	\N	\N	\N
587326	1999	1994-01-17	VYDAJ	VYBER	1200	53068	\N	\N	\N
587327	1999	1994-01-01	VYDAJ	VYBER	1680	68014	\N	\N	\N
587328	1999	1994-01-13	VYDAJ	VYBER	1560	54268	\N	\N	\N
587329	1999	1995-01-23	VYDAJ	VYBER KARTOU	1400	51997	\N	\N	0
587330	1999	1995-01-10	VYDAJ	VYBER KARTOU	3000	61773	\N	\N	0
587331	1999	1995-01-24	VYDAJ	VYBER KARTOU	3500	48497	\N	\N	0
587332	1999	1995-01-22	VYDAJ	VYBER KARTOU	2200	53397	\N	\N	0
587333	1999	1995-01-11	VYDAJ	VYBER KARTOU	3500	55597	\N	\N	0
587334	1999	1995-01-09	VYDAJ	VYBER KARTOU	2000	64773	\N	\N	0
587335	1999	1996-01-22	VYDAJ	VYBER KARTOU	1900	42313	\N	\N	0
587336	1999	1996-01-27	VYDAJ	VYBER KARTOU	1800	28413	\N	\N	0
587337	1999	1996-01-12	VYDAJ	VYBER KARTOU	3000	46413	\N	\N	0
587338	1999	1996-01-01	VYDAJ	VYBER KARTOU	1300	32139	\N	\N	0
587339	1999	1996-01-22	VYDAJ	VYBER KARTOU	2400	39913	\N	\N	0
587340	1999	1996-01-17	VYDAJ	VYBER KARTOU	2200	44213	\N	\N	0
587341	1999	1997-01-21	VYDAJ	VYBER KARTOU	1700	32131	\N	\N	0
587342	1999	1997-01-13	VYDAJ	VYBER KARTOU	3500	47231	\N	\N	0
587343	1999	1997-01-23	VYDAJ	VYBER KARTOU	1400	30731	\N	\N	0
587344	1999	1997-01-28	VYDAJ	VYBER KARTOU	2500	28231	\N	\N	0
587345	1999	1997-01-11	VYDAJ	VYBER KARTOU	1900	50731	\N	\N	0
587346	1999	1997-01-04	VYDAJ	VYBER KARTOU	3400	35357	\N	\N	0
587347	1999	1998-01-06	VYDAJ	VYBER KARTOU	3200	63440	\N	\N	0
587348	1999	1998-01-11	VYDAJ	VYBER KARTOU	1100	44064	\N	\N	0
587349	1999	1998-01-06	VYDAJ	VYBER KARTOU	2300	66640	\N	\N	0
587350	1999	1998-01-07	VYDAJ	VYBER KARTOU	1300	62140	\N	\N	0
587351	1999	1998-01-10	VYDAJ	VYBER KARTOU	2900	59240	\N	\N	0
587352	1999	1998-01-22	VYDAJ	VYBER KARTOU	2500	41564	\N	\N	0
587358	1999	1994-10-04	VYDAJ	VYBER KARTOU	700	43541	\N	\N	0
587359	1999	1994-03-18	VYDAJ	VYBER KARTOU	1400	58164	\N	\N	0
587360	1999	1994-02-12	VYDAJ	VYBER	1080	55875	\N	\N	\N
587361	1999	1994-10-29	VYDAJ	VYBER	4080	39635	\N	\N	\N
587362	1999	1995-09-22	VYDAJ	VYBER KARTOU	1400	50736	\N	\N	0
587363	1999	1995-11-13	VYDAJ	VYBER KARTOU	1700	51633	\N	\N	0
587364	1999	1995-07-02	VYDAJ	VYBER KARTOU	1800	21423	\N	\N	0
587365	1999	1995-03-09	VYDAJ	VYBER KARTOU	2300	56906	\N	\N	0
587366	1999	1995-12-29	VYDAJ	VYBER	5640	33243	\N	\N	\N
587367	1999	1996-07-14	VYDAJ	VYBER KARTOU	2200	47372	\N	\N	0
587368	1999	1996-03-23	VYDAJ	VYBER KARTOU	3000	25898	\N	\N	0
587369	1999	1996-03-07	VYDAJ	VYBER	5160	40974	\N	\N	\N
587370	1999	1996-10-26	VYDAJ	VYBER	5880	25510	\N	\N	\N
587371	1999	1996-10-12	VYDAJ	VYBER	4560	44590	\N	\N	\N
587372	1999	1996-08-22	VYDAJ	VYBER KARTOU	1900	33797	\N	\N	0
587373	1999	1996-01-27	VYDAJ	VYBER	5280	23133	\N	\N	\N
587374	1999	1996-08-18	VYDAJ	VYBER KARTOU	1400	49397	\N	\N	0
587375	1999	1997-11-02	VYDAJ	VYBER KARTOU	2500	46136	\N	\N	0
587376	1999	1997-10-20	VYDAJ	VYBER KARTOU	1000	48433	\N	\N	0
587377	1999	1997-04-04	VYDAJ	VYBER KARTOU	1900	37101	\N	\N	0
587378	1999	1997-11-24	VYDAJ	VYBER	4320	37490	\N	\N	\N
587379	1999	1997-01-30	VYDAJ	VYBER KARTOU	3800	24431	\N	\N	0
587380	1999	1997-11-03	VYDAJ	VYBER	4200	41936	\N	\N	\N
587381	1999	1998-05-31	VYDAJ	VYBER KARTOU	700	52586	\N	\N	0
587382	1999	1998-09-13	VYDAJ	VYBER	4680	44042	\N	\N	\N
587383	1999	1998-10-21	VYDAJ	VYBER KARTOU	1700	39896	\N	\N	0
587395	1999	1993-11-30	VYDAJ	VYBER	15	66314	SLUZBY	\N	\N
587396	1999	1993-12-31	VYDAJ	VYBER	15	69694	SLUZBY	\N	\N
587397	1999	1994-01-31	VYDAJ	VYBER	15	52081	SLUZBY	\N	\N
587398	1999	1994-02-28	VYDAJ	VYBER	15	56090	SLUZBY	\N	\N
587399	1999	1994-03-31	VYDAJ	VYBER	15	58392	SLUZBY	\N	\N
587400	1999	1994-04-30	VYDAJ	VYBER	15	58994	SLUZBY	\N	\N
587401	1999	1994-05-31	VYDAJ	VYBER	15	61606	SLUZBY	\N	\N
587402	1999	1994-06-30	VYDAJ	VYBER	15	41320	SLUZBY	\N	\N
587403	1999	1994-07-31	VYDAJ	VYBER	15	38184	SLUZBY	\N	\N
587404	1999	1994-08-31	VYDAJ	VYBER	15	39460	SLUZBY	\N	\N
587405	1999	1994-09-30	VYDAJ	VYBER	15	44241	SLUZBY	\N	\N
587406	1999	1994-10-31	VYDAJ	VYBER	15	39854	SLUZBY	\N	\N
587407	1999	1994-11-30	VYDAJ	VYBER	15	43735	SLUZBY	\N	\N
587408	1999	1994-12-31	VYDAJ	VYBER	15	46823	SLUZBY	\N	\N
587409	1999	1995-01-31	VYDAJ	VYBER	15	35296	SLUZBY	\N	\N
587410	1999	1995-02-28	VYDAJ	VYBER	15	39256	SLUZBY	\N	\N
587411	1999	1995-03-31	VYDAJ	VYBER	15	36023	SLUZBY	\N	\N
587412	1999	1995-04-30	VYDAJ	VYBER	15	35583	SLUZBY	\N	\N
587413	1999	1995-05-31	VYDAJ	VYBER	15	36640	SLUZBY	\N	\N
587414	1999	1995-06-30	VYDAJ	VYBER	15	23223	SLUZBY	\N	\N
587415	1999	1995-07-31	VYDAJ	VYBER	15	30926	SLUZBY	\N	\N
587416	1999	1995-08-31	VYDAJ	VYBER	15	34862	SLUZBY	\N	\N
587417	1999	1995-09-30	VYDAJ	VYBER	15	35610	SLUZBY	\N	\N
587418	1999	1995-10-31	VYDAJ	VYBER	15	36059	SLUZBY	\N	\N
587419	1999	1995-11-30	VYDAJ	VYBER	15	34605	SLUZBY	\N	\N
587420	1999	1995-12-31	VYDAJ	VYBER	15	33439	SLUZBY	\N	\N
587421	1999	1996-01-31	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
587422	1999	1996-02-29	VYDAJ	VYBER	15	26184	SLUZBY	\N	\N
587423	1999	1996-03-31	VYDAJ	VYBER	15	26018	SLUZBY	\N	\N
587424	1999	1996-04-30	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
587425	1999	1996-05-31	VYDAJ	VYBER	15	29641	SLUZBY	\N	\N
587426	1999	1996-06-30	VYDAJ	VYBER	15	32298	SLUZBY	\N	\N
587427	1999	1996-07-31	VYDAJ	VYBER	15	33523	SLUZBY	\N	\N
587428	1999	1996-08-31	VYDAJ	VYBER	15	33952	SLUZBY	\N	\N
587429	1999	1996-09-30	VYDAJ	VYBER	15	31876	SLUZBY	\N	\N
587430	1999	1996-10-31	VYDAJ	VYBER	15	25645	SLUZBY	\N	\N
587431	1999	1996-11-30	VYDAJ	VYBER	15	31948	SLUZBY	\N	\N
587432	1999	1996-12-31	VYDAJ	VYBER	15	38757	SLUZBY	\N	\N
587433	1999	1997-01-31	VYDAJ	VYBER	15	24573	SLUZBY	\N	\N
587434	1999	1997-02-28	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
587435	1999	1997-03-31	VYDAJ	VYBER	15	39001	SLUZBY	\N	\N
587436	1999	1997-04-30	VYDAJ	VYBER	15	42147	SLUZBY	\N	\N
587437	1999	1997-05-31	VYDAJ	VYBER	15	45810	SLUZBY	\N	\N
587438	1999	1997-06-30	VYDAJ	VYBER	15	51919	SLUZBY	\N	\N
587439	1999	1997-07-31	VYDAJ	VYBER	15	48704	SLUZBY	\N	\N
587440	1999	1997-08-31	VYDAJ	VYBER	15	48782	SLUZBY	\N	\N
587441	1999	1997-09-30	VYDAJ	VYBER	15	49559	SLUZBY	\N	\N
587442	1999	1997-10-31	VYDAJ	VYBER	15	48636	SLUZBY	\N	\N
587443	1999	1997-11-30	VYDAJ	VYBER	15	37657	SLUZBY	\N	\N
587444	1999	1997-12-31	VYDAJ	VYBER	15	48990	SLUZBY	\N	\N
587445	1999	1998-01-31	VYDAJ	VYBER	15	41739	SLUZBY	\N	\N
587446	1999	1998-02-28	VYDAJ	VYBER	15	48526	SLUZBY	\N	\N
587447	1999	1998-03-31	VYDAJ	VYBER	15	52106	SLUZBY	\N	\N
587448	1999	1998-04-30	VYDAJ	VYBER	15	54896	SLUZBY	\N	\N
587449	1999	1998-05-31	VYDAJ	VYBER	15	53286	SLUZBY	\N	\N
587450	1999	1998-06-30	VYDAJ	VYBER	15	56651	SLUZBY	\N	\N
587451	1999	1998-07-31	VYDAJ	VYBER	15	58061	SLUZBY	\N	\N
587452	1999	1998-08-31	VYDAJ	VYBER	15	53148	SLUZBY	\N	\N
587453	1999	1998-09-30	VYDAJ	VYBER	15	44222	SLUZBY	\N	\N
587454	1999	1998-10-31	VYDAJ	VYBER	15	40053	SLUZBY	\N	\N
587455	1999	1998-11-30	VYDAJ	VYBER	15	37968	SLUZBY	\N	\N
587456	1999	1993-07-06	VYDAJ	VYBER	200	23828	\N	\N	\N
587457	1999	1993-08-05	PRIJEM	VKLAD	1600	25511	\N	\N	\N
587458	1999	1993-09-04	VYDAJ	VYBER	11200	38227	\N	\N	\N
587459	1999	1993-10-04	VYDAJ	VYBER	21200	41005	\N	\N	\N
587460	1999	1993-11-03	VYDAJ	VYBER	20000	45001	\N	\N	\N
587461	1999	1993-12-03	VYDAJ	VYBER	21400	44914	\N	\N	\N
587462	1999	1994-01-02	VYDAJ	VYBER	23100	44914	\N	\N	\N
587463	1999	1994-02-01	VYDAJ	VYBER	12400	39681	\N	\N	\N
587464	1999	1994-03-03	VYDAJ	VYBER	13800	42290	\N	\N	\N
587465	1999	1994-04-02	VYDAJ	VYBER	16900	41492	\N	\N	\N
587466	1999	1994-05-02	VYDAJ	VYBER	14900	44094	\N	\N	\N
587467	1999	1994-06-01	VYDAJ	VYBER	17300	44306	\N	\N	\N
587468	1999	1994-07-01	VYDAJ	VYBER	7500	33820	\N	\N	\N
587469	1999	1994-07-31	VYDAJ	VYBER	13100	38199	\N	\N	\N
587470	1999	1994-08-30	VYDAJ	VYBER	16200	39258	\N	\N	\N
587471	1999	1994-09-29	VYDAJ	VYBER	12700	44034	\N	\N	\N
587472	1999	1994-10-29	VYDAJ	VYBER	17100	43715	\N	\N	\N
587473	1999	1994-11-28	VYDAJ	VYBER	13600	43528	\N	\N	\N
587474	1999	1994-12-28	VYDAJ	VYBER	23300	46573	\N	\N	\N
587475	1999	1995-01-27	VYDAJ	VYBER	13400	35097	\N	\N	\N
587476	1999	1995-02-26	VYDAJ	VYBER	13500	39070	\N	\N	\N
587477	1999	1995-03-28	VYDAJ	VYBER	18400	35830	\N	\N	\N
587478	1999	1995-04-27	VYDAJ	VYBER	17900	35397	\N	\N	\N
587479	1999	1995-05-27	VYDAJ	VYBER	16400	36457	\N	\N	\N
587480	1999	1995-06-26	VYDAJ	VYBER KARTOU	3500	23078	\N	\N	0
587481	1999	1995-07-26	VYDAJ	VYBER	7900	30797	\N	\N	\N
587482	1999	1995-08-25	VYDAJ	VYBER	13500	34700	\N	\N	\N
587483	1999	1995-09-24	VYDAJ	VYBER	15300	35436	\N	\N	\N
587484	1999	1995-10-24	VYDAJ	VYBER	17000	35884	\N	\N	\N
587485	1999	1995-11-23	VYDAJ	VYBER	17200	34433	\N	\N	\N
587486	1999	1995-12-23	VYDAJ	VYBER	20700	38883	\N	\N	\N
587487	1999	1996-01-22	VYDAJ	VYBER	9700	30213	\N	\N	\N
587488	1999	1996-02-21	VYDAJ	VYBER	14500	26061	\N	\N	\N
587489	1999	1996-03-22	VYDAJ	VYBER	9400	28898	\N	\N	\N
587490	1999	1996-04-21	VYDAJ	VYBER	14100	29192	\N	\N	\N
587491	1999	1996-05-21	VYDAJ	VYBER	17100	29499	\N	\N	\N
587492	1999	1996-06-20	VYDAJ	VYBER	15600	32139	\N	\N	\N
587493	1999	1996-07-20	VYDAJ	VYBER	14000	33372	\N	\N	\N
587494	1999	1996-08-19	VYDAJ	VYBER	13700	35697	\N	\N	\N
587495	1999	1996-09-18	VYDAJ	VYBER	19500	31726	\N	\N	\N
587496	1999	1996-10-18	VYDAJ	VYBER	13200	31390	\N	\N	\N
587497	1999	1996-11-17	VYDAJ	VYBER	11100	31819	\N	\N	\N
587498	1999	1996-12-17	VYDAJ	VYBER	21400	38586	\N	\N	\N
587499	1999	1997-01-16	VYDAJ	VYBER	13400	33831	\N	\N	\N
587500	1999	1997-02-15	VYDAJ	VYBER	9900	31947	\N	\N	\N
587501	1999	1997-03-17	VYDAJ	VYBER	10500	38845	\N	\N	\N
587502	1999	1997-04-16	VYDAJ	VYBER	12400	41975	\N	\N	\N
587503	1999	1997-05-16	VYDAJ	VYBER	13800	45621	\N	\N	\N
587504	1999	1997-06-15	VYDAJ	VYBER	13000	51708	\N	\N	\N
587505	1999	1997-07-15	VYDAJ	VYBER	20700	48493	\N	\N	\N
587506	1999	1997-08-14	VYDAJ	VYBER	17400	48578	\N	\N	\N
587507	1999	1997-09-13	VYDAJ	VYBER	16700	49356	\N	\N	\N
587508	1999	1997-10-13	VYDAJ	VYBER	17400	49433	\N	\N	\N
587509	1999	1997-11-12	VYDAJ	VYBER	17400	41810	\N	\N	\N
587510	1999	1997-12-12	VYDAJ	VYBER	15800	50995	\N	\N	\N
587511	1999	1998-01-11	VYDAJ	VYBER	11400	45164	\N	\N	\N
587512	1999	1998-02-10	VYDAJ	VYBER	10700	48313	\N	\N	\N
587513	1999	1998-03-12	VYDAJ	VYBER	13900	51900	\N	\N	\N
587514	1999	1998-04-11	VYDAJ	VYBER	14700	54680	\N	\N	\N
587515	1999	1998-05-11	VYDAJ	VYBER	19100	53070	\N	\N	\N
587516	1999	1998-06-10	VYDAJ	VYBER	25300	59100	\N	\N	\N
587517	1999	1998-07-10	VYDAJ	VYBER	16100	60501	\N	\N	\N
587518	1999	1998-08-09	VYDAJ	VYBER	22400	55611	\N	\N	\N
587519	1999	1998-09-08	VYDAJ	VYBER	21700	51398	\N	\N	\N
587520	1999	1998-10-08	VYDAJ	VYBER	19900	44272	\N	\N	\N
587521	1999	1998-11-07	VYDAJ	VYBER	19500	40503	\N	\N	\N
587522	1999	1998-12-07	VYDAJ	VYBER	22400	47382	\N	\N	\N
587589	2000	1997-08-06	PRIJEM	VKLAD	900	900	\N	\N	\N
587597	2000	1997-08-07	PRIJEM	VKLAD	19227	20127	\N	\N	\N
587598	2000	1997-09-07	PRIJEM	VKLAD	19227	42122	\N	\N	\N
587599	2000	1997-10-07	PRIJEM	VKLAD	19227	46906	\N	\N	\N
587600	2000	1997-11-07	PRIJEM	VKLAD	19227	52424	\N	\N	\N
587601	2000	1997-12-07	PRIJEM	VKLAD	28840	62178	\N	\N	\N
587602	2000	1998-01-07	PRIJEM	VKLAD	19227	59763	\N	\N	\N
587603	2000	1998-02-07	PRIJEM	VKLAD	19227	52672	\N	\N	\N
587604	2000	1998-03-07	PRIJEM	VKLAD	19227	53924	\N	\N	\N
587605	2000	1998-04-07	PRIJEM	VKLAD	19227	59851	\N	\N	\N
587606	2000	1998-05-07	PRIJEM	VKLAD	19227	58249	\N	\N	\N
587607	2000	1998-06-07	PRIJEM	VKLAD	28840	51285	\N	\N	\N
587608	2000	1998-07-07	PRIJEM	VKLAD	19227	56755	\N	\N	\N
587609	2000	1998-08-07	PRIJEM	VKLAD	19227	61384	\N	\N	\N
587610	2000	1998-09-07	PRIJEM	VKLAD	19227	67488	\N	\N	\N
587611	2000	1998-10-07	PRIJEM	VKLAD	19227	68614	\N	\N	\N
587612	2000	1998-11-07	PRIJEM	VKLAD	19227	68179	\N	\N	\N
587613	2000	1998-12-07	PRIJEM	VKLAD	28840	76259	\N	\N	\N
587625	2000	1997-12-08	VYDAJ	PREVOD NA UCET	3318	58860	SIPO	YZ	79359417
587626	2000	1998-01-08	VYDAJ	PREVOD NA UCET	3318	56445	SIPO	YZ	79359417
587627	2000	1998-02-08	VYDAJ	PREVOD NA UCET	3318	49354	SIPO	YZ	79359417
587628	2000	1998-03-08	VYDAJ	PREVOD NA UCET	3318	47506	SIPO	YZ	79359417
587629	2000	1998-04-08	VYDAJ	PREVOD NA UCET	3318	56533	SIPO	YZ	79359417
587630	2000	1998-05-08	VYDAJ	PREVOD NA UCET	3318	54931	SIPO	YZ	79359417
587631	2000	1998-06-08	VYDAJ	PREVOD NA UCET	3318	47967	SIPO	YZ	79359417
587632	2000	1998-07-08	VYDAJ	PREVOD NA UCET	3318	53437	SIPO	YZ	79359417
587633	2000	1998-08-08	VYDAJ	PREVOD NA UCET	3318	58066	SIPO	YZ	79359417
587634	2000	1998-09-08	VYDAJ	PREVOD NA UCET	3318	64170	SIPO	YZ	79359417
587635	2000	1998-10-08	VYDAJ	PREVOD NA UCET	3318	65296	SIPO	YZ	79359417
587636	2000	1998-11-08	VYDAJ	PREVOD NA UCET	3318	64861	SIPO	YZ	79359417
587637	2000	1998-12-08	VYDAJ	PREVOD NA UCET	3318	72941	SIPO	YZ	79359417
587649	2000	1997-12-10	VYDAJ	PREVOD NA UCET	48	58812	 	GH	21546656
587650	2000	1998-01-10	VYDAJ	PREVOD NA UCET	48	50097	 	GH	21546656
587651	2000	1998-02-10	VYDAJ	PREVOD NA UCET	48	49306	 	GH	21546656
587652	2000	1998-03-10	VYDAJ	PREVOD NA UCET	48	47458	 	GH	21546656
587653	2000	1998-04-10	VYDAJ	PREVOD NA UCET	48	56485	 	GH	21546656
587654	2000	1998-05-10	VYDAJ	PREVOD NA UCET	48	54883	 	GH	21546656
587655	2000	1998-06-10	VYDAJ	PREVOD NA UCET	48	47919	 	GH	21546656
587656	2000	1998-07-10	VYDAJ	PREVOD NA UCET	48	53389	 	GH	21546656
587657	2000	1998-08-10	VYDAJ	PREVOD NA UCET	48	58018	 	GH	21546656
587658	2000	1998-09-10	VYDAJ	PREVOD NA UCET	48	64122	 	GH	21546656
587659	2000	1998-10-10	VYDAJ	PREVOD NA UCET	48	65248	 	GH	21546656
587660	2000	1998-11-10	VYDAJ	PREVOD NA UCET	48	64813	 	GH	21546656
587661	2000	1998-12-10	VYDAJ	PREVOD NA UCET	48	72893	 	GH	21546656
587674	2000	1998-01-06	VYDAJ	PREVOD NA UCET	14	40536	POJISTNE	AB	32802260
587675	2000	1998-02-06	VYDAJ	PREVOD NA UCET	14	33445	POJISTNE	AB	32802260
587676	2000	1998-03-06	VYDAJ	PREVOD NA UCET	14	34697	POJISTNE	AB	32802260
587677	2000	1998-04-06	VYDAJ	PREVOD NA UCET	14	40624	POJISTNE	AB	32802260
587678	2000	1998-05-06	VYDAJ	PREVOD NA UCET	14	39022	POJISTNE	AB	32802260
587679	2000	1998-06-06	VYDAJ	PREVOD NA UCET	14	22445	POJISTNE	AB	32802260
587680	2000	1998-07-06	VYDAJ	PREVOD NA UCET	14	37528	POJISTNE	AB	32802260
587681	2000	1998-08-06	VYDAJ	PREVOD NA UCET	14	42157	POJISTNE	AB	32802260
587682	2000	1998-09-06	VYDAJ	PREVOD NA UCET	14	48261	POJISTNE	AB	32802260
587683	2000	1998-10-06	VYDAJ	PREVOD NA UCET	14	49387	POJISTNE	AB	32802260
587684	2000	1998-11-06	VYDAJ	PREVOD NA UCET	14	48952	POJISTNE	AB	32802260
587685	2000	1998-12-06	VYDAJ	PREVOD NA UCET	14	47419	POJISTNE	AB	32802260
587697	2000	1997-12-05	VYDAJ	VYBER	4000	33338	\N	\N	0
587698	2000	1998-01-08	VYDAJ	VYBER	5100	51345	\N	\N	0
587699	2000	1998-02-13	VYDAJ	VYBER	5700	43606	\N	\N	0
587700	2000	1998-03-07	VYDAJ	VYBER	3100	50824	\N	\N	0
587701	2000	1998-04-16	VYDAJ	VYBER	5600	46445	\N	\N	0
587702	2000	1998-05-13	VYDAJ	VYBER	4100	50783	\N	\N	0
587703	2000	1998-06-15	VYDAJ	VYBER	5600	42319	\N	\N	0
587704	2000	1998-07-15	VYDAJ	VYBER	6500	46889	\N	\N	0
587705	2000	1998-08-12	VYDAJ	PREVOD NA UCET	4847	53171	UVER	KL	13970154
587706	2000	1998-09-12	VYDAJ	PREVOD NA UCET	4847	59275	UVER	KL	13970154
587707	2000	1998-10-12	VYDAJ	PREVOD NA UCET	4847	60401	UVER	KL	13970154
587708	2000	1998-11-12	VYDAJ	PREVOD NA UCET	4847	59966	UVER	KL	13970154
587709	2000	1998-12-12	VYDAJ	PREVOD NA UCET	4847	68046	UVER	KL	13970154
587711	2000	1998-06-04	VYDAJ	VYBER	19520	22459	\N	\N	\N
587713	2000	1998-01-22	VYDAJ	VYBER	6400	43697	\N	\N	\N
587714	2000	1997-12-12	VYDAJ	VYBER	1120	57692	\N	\N	\N
587715	2000	1998-12-03	VYDAJ	VYBER	4160	47433	\N	\N	\N
587722	2000	1998-01-28	VYDAJ	VYBER	1440	40697	\N	\N	\N
587723	2000	1998-01-30	VYDAJ	VYBER	1560	36977	\N	\N	\N
587724	2000	1998-01-29	VYDAJ	VYBER	2160	38537	\N	\N	\N
587725	2000	1998-01-02	VYDAJ	VYBER	1560	56350	\N	\N	\N
587726	2000	1998-01-25	VYDAJ	VYBER	1560	42137	\N	\N	\N
587727	2000	1998-01-10	VYDAJ	VYBER	1200	50145	\N	\N	\N
587734	2000	1998-02-22	VYDAJ	VYBER	960	42646	\N	\N	\N
587735	2000	1998-04-15	VYDAJ	VYBER	4440	52045	\N	\N	\N
587736	2000	1998-10-17	VYDAJ	VYBER	1560	58841	\N	\N	\N
587737	2000	1998-06-29	VYDAJ	VYBER	2640	39679	\N	\N	\N
587750	2000	1997-12-31	VYDAJ	VYBER	15	57910	SLUZBY	\N	\N
587751	2000	1998-01-31	VYDAJ	VYBER	15	37159	SLUZBY	\N	\N
587752	2000	1998-02-28	VYDAJ	VYBER	15	42811	SLUZBY	\N	\N
587753	2000	1998-03-31	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
587754	2000	1998-04-30	VYDAJ	VYBER	15	46636	SLUZBY	\N	\N
587755	2000	1998-05-31	VYDAJ	VYBER	15	50979	SLUZBY	\N	\N
587756	2000	1998-06-30	VYDAJ	VYBER	15	39842	SLUZBY	\N	\N
587757	2000	1998-07-31	VYDAJ	VYBER	15	47071	SLUZBY	\N	\N
587758	2000	1998-08-31	VYDAJ	VYBER	15	48275	SLUZBY	\N	\N
587759	2000	1998-09-30	VYDAJ	VYBER	15	59501	SLUZBY	\N	\N
587760	2000	1998-10-31	VYDAJ	VYBER	15	48966	SLUZBY	\N	\N
587761	2000	1998-11-30	VYDAJ	VYBER	15	51593	SLUZBY	\N	\N
587762	2000	1997-09-05	PRIJEM	VKLAD	2700	22895	\N	\N	\N
587763	2000	1997-10-05	VYDAJ	VYBER	14600	27679	\N	\N	\N
587764	2000	1997-11-04	VYDAJ	VYBER	13900	33197	\N	\N	\N
587765	2000	1997-12-04	VYDAJ	VYBER	15300	37338	\N	\N	\N
587766	2000	1998-01-03	VYDAJ	VYBER	15800	40550	\N	\N	\N
587767	2000	1998-02-02	VYDAJ	VYBER	3700	33459	\N	\N	\N
587768	2000	1998-03-04	VYDAJ	VYBER	8100	34711	\N	\N	\N
587769	2000	1998-04-03	VYDAJ	VYBER	7000	40638	\N	\N	\N
587770	2000	1998-05-03	VYDAJ	VYBER	7600	39036	\N	\N	\N
587771	2000	1998-06-02	VYDAJ	VYBER	9000	41979	\N	\N	\N
587772	2000	1998-07-02	VYDAJ	VYBER	2300	37542	\N	\N	\N
587773	2000	1998-08-01	VYDAJ	VYBER	4900	42171	\N	\N	\N
587774	2000	1998-08-31	VYDAJ	VYBER	5100	48290	\N	\N	\N
587775	2000	1998-09-30	VYDAJ	VYBER	10100	49401	\N	\N	\N
587776	2000	1998-10-30	VYDAJ	VYBER	10100	48741	\N	\N	\N
587777	2000	1998-11-29	VYDAJ	VYBER	8600	51366	\N	\N	\N
587795	2001	1994-05-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
587801	2001	1994-06-06	PRIJEM	PREVOD Z UCTU	58653	59653	\N	YZ	94522749
587802	2001	1994-07-06	PRIJEM	PREVOD Z UCTU	39102	82333	\N	YZ	94522749
587803	2001	1994-08-06	PRIJEM	PREVOD Z UCTU	39102	91632	\N	YZ	94522749
587804	2001	1994-09-06	PRIJEM	PREVOD Z UCTU	39102	99668	\N	YZ	94522749
587805	2001	1994-10-06	PRIJEM	PREVOD Z UCTU	39102	101325	\N	YZ	94522749
587806	2001	1994-11-06	PRIJEM	PREVOD Z UCTU	39102	82381	\N	YZ	94522749
587807	2001	1994-12-06	PRIJEM	PREVOD Z UCTU	58653	92550	\N	YZ	94522749
587808	2001	1995-01-06	PRIJEM	PREVOD Z UCTU	39102	92057	\N	YZ	94522749
587809	2001	1995-02-06	PRIJEM	PREVOD Z UCTU	39102	69752	\N	YZ	94522749
587810	2001	1995-03-06	PRIJEM	PREVOD Z UCTU	39102	80997	\N	YZ	94522749
587811	2001	1995-04-06	PRIJEM	PREVOD Z UCTU	39102	88083	\N	YZ	94522749
587812	2001	1995-05-06	PRIJEM	PREVOD Z UCTU	39102	92991	\N	YZ	94522749
587813	2001	1995-06-06	PRIJEM	PREVOD Z UCTU	58653	79551	\N	YZ	94522749
587814	2001	1995-07-06	PRIJEM	PREVOD Z UCTU	39102	84327	\N	YZ	94522749
587815	2001	1995-08-06	PRIJEM	PREVOD Z UCTU	39102	87511	\N	YZ	94522749
587816	2001	1995-09-06	PRIJEM	PREVOD Z UCTU	39102	79499	\N	YZ	94522749
587817	2001	1995-10-06	PRIJEM	PREVOD Z UCTU	39102	70352	\N	YZ	94522749
587818	2001	1995-11-06	PRIJEM	PREVOD Z UCTU	39102	81002	\N	YZ	94522749
587819	2001	1995-12-06	PRIJEM	PREVOD Z UCTU	58653	104215	\N	YZ	94522749
587820	2001	1996-01-06	PRIJEM	PREVOD Z UCTU	39102	76706	\N	YZ	94522749
587821	2001	1996-02-06	PRIJEM	PREVOD Z UCTU	39102	64221	\N	YZ	94522749
587822	2001	1996-03-06	PRIJEM	PREVOD Z UCTU	39102	68245	\N	YZ	94522749
587823	2001	1996-04-06	PRIJEM	PREVOD Z UCTU	39102	78471	\N	YZ	94522749
587824	2001	1996-05-06	PRIJEM	PREVOD Z UCTU	39102	72141	\N	YZ	94522749
587825	2001	1996-06-06	PRIJEM	PREVOD Z UCTU	58653	89304	\N	YZ	94522749
587826	2001	1996-07-06	PRIJEM	PREVOD Z UCTU	39102	80757	\N	YZ	94522749
587827	2001	1996-08-06	PRIJEM	PREVOD Z UCTU	39102	84912	\N	YZ	94522749
587828	2001	1996-09-06	PRIJEM	PREVOD Z UCTU	39102	70333	\N	YZ	94522749
587829	2001	1996-10-06	PRIJEM	PREVOD Z UCTU	39102	78813	\N	YZ	94522749
587830	2001	1996-11-06	PRIJEM	PREVOD Z UCTU	39102	76893	\N	YZ	94522749
587831	2001	1996-12-06	PRIJEM	PREVOD Z UCTU	58653	100620	\N	YZ	94522749
587832	2001	1997-01-06	PRIJEM	PREVOD Z UCTU	39102	73332	\N	YZ	94522749
587833	2001	1997-02-06	PRIJEM	PREVOD Z UCTU	39102	72577	\N	YZ	94522749
587834	2001	1997-03-06	PRIJEM	PREVOD Z UCTU	39102	79512	\N	YZ	94522749
587835	2001	1997-04-06	PRIJEM	PREVOD Z UCTU	39102	89243	\N	YZ	94522749
587836	2001	1997-05-06	PRIJEM	PREVOD Z UCTU	39102	86033	\N	YZ	94522749
587837	2001	1997-06-06	PRIJEM	PREVOD Z UCTU	58653	104852	\N	YZ	94522749
587838	2001	1997-07-06	PRIJEM	PREVOD Z UCTU	39102	103057	\N	YZ	94522749
587839	2001	1997-08-06	PRIJEM	PREVOD Z UCTU	39102	81423	\N	YZ	94522749
587840	2001	1997-09-06	PRIJEM	PREVOD Z UCTU	39102	73718	\N	YZ	94522749
587841	2001	1997-10-06	PRIJEM	PREVOD Z UCTU	39102	79808	\N	YZ	94522749
587842	2001	1997-11-06	PRIJEM	PREVOD Z UCTU	39102	65003	\N	YZ	94522749
587843	2001	1997-12-06	PRIJEM	PREVOD Z UCTU	58653	98514	\N	YZ	94522749
587844	2001	1998-01-06	PRIJEM	PREVOD Z UCTU	39102	101999	\N	YZ	94522749
587845	2001	1998-02-06	PRIJEM	PREVOD Z UCTU	39102	80362	\N	YZ	94522749
587846	2001	1998-03-06	PRIJEM	PREVOD Z UCTU	39102	99083	\N	YZ	94522749
587847	2001	1998-04-06	PRIJEM	PREVOD Z UCTU	39102	111719	\N	YZ	94522749
587848	2001	1998-05-06	PRIJEM	PREVOD Z UCTU	39102	115464	\N	YZ	94522749
587849	2001	1998-06-06	PRIJEM	PREVOD Z UCTU	58653	115597	\N	YZ	94522749
587850	2001	1998-07-06	PRIJEM	PREVOD Z UCTU	39102	99171	\N	YZ	94522749
587851	2001	1998-08-06	PRIJEM	PREVOD Z UCTU	39102	103958	\N	YZ	94522749
587852	2001	1998-09-06	PRIJEM	PREVOD Z UCTU	39102	105140	\N	YZ	94522749
587853	2001	1998-10-06	PRIJEM	PREVOD Z UCTU	39102	112750	\N	YZ	94522749
587854	2001	1998-11-06	PRIJEM	PREVOD Z UCTU	39102	87027	\N	YZ	94522749
587855	2001	1998-12-06	PRIJEM	PREVOD Z UCTU	58653	107388	\N	YZ	94522749
587865	2001	1994-10-06	VYDAJ	PREVOD NA UCET	12524	88801	SIPO	MN	24125486
587866	2001	1994-11-06	VYDAJ	PREVOD NA UCET	12524	69857	SIPO	MN	24125486
587867	2001	1994-12-06	VYDAJ	PREVOD NA UCET	12524	80026	SIPO	MN	24125486
587868	2001	1995-01-06	VYDAJ	PREVOD NA UCET	12524	79533	SIPO	MN	24125486
587869	2001	1995-02-06	VYDAJ	PREVOD NA UCET	12524	57228	SIPO	MN	24125486
587870	2001	1995-03-06	VYDAJ	PREVOD NA UCET	12524	68473	SIPO	MN	24125486
587871	2001	1995-04-06	VYDAJ	PREVOD NA UCET	12524	75559	SIPO	MN	24125486
587872	2001	1995-05-06	VYDAJ	PREVOD NA UCET	12524	80467	SIPO	MN	24125486
587873	2001	1995-06-06	VYDAJ	PREVOD NA UCET	12524	67027	SIPO	MN	24125486
587874	2001	1995-07-06	VYDAJ	PREVOD NA UCET	12524	71803	SIPO	MN	24125486
587875	2001	1995-08-06	VYDAJ	PREVOD NA UCET	12524	74987	SIPO	MN	24125486
587876	2001	1995-09-06	VYDAJ	PREVOD NA UCET	12524	66975	SIPO	MN	24125486
587877	2001	1995-10-06	VYDAJ	PREVOD NA UCET	12524	57828	SIPO	MN	24125486
587878	2001	1995-11-06	VYDAJ	PREVOD NA UCET	12524	68478	SIPO	MN	24125486
587879	2001	1995-12-06	VYDAJ	PREVOD NA UCET	12524	91691	SIPO	MN	24125486
587880	2001	1996-01-06	VYDAJ	PREVOD NA UCET	12524	64182	SIPO	MN	24125486
587881	2001	1996-02-06	VYDAJ	PREVOD NA UCET	12524	51697	SIPO	MN	24125486
587882	2001	1996-03-06	VYDAJ	PREVOD NA UCET	12524	55721	SIPO	MN	24125486
587883	2001	1996-04-06	VYDAJ	PREVOD NA UCET	12524	65947	SIPO	MN	24125486
587884	2001	1996-05-06	VYDAJ	PREVOD NA UCET	12524	59617	SIPO	MN	24125486
587885	2001	1996-06-06	VYDAJ	PREVOD NA UCET	12524	76780	SIPO	MN	24125486
587886	2001	1996-07-06	VYDAJ	PREVOD NA UCET	12524	68233	SIPO	MN	24125486
587887	2001	1996-08-06	VYDAJ	PREVOD NA UCET	12524	72388	SIPO	MN	24125486
587888	2001	1996-09-06	VYDAJ	PREVOD NA UCET	12524	57809	SIPO	MN	24125486
587889	2001	1996-10-06	VYDAJ	PREVOD NA UCET	12524	66289	SIPO	MN	24125486
587890	2001	1996-11-06	VYDAJ	PREVOD NA UCET	12524	64369	SIPO	MN	24125486
587891	2001	1996-12-06	VYDAJ	PREVOD NA UCET	12524	88096	SIPO	MN	24125486
587892	2001	1997-01-06	VYDAJ	PREVOD NA UCET	12524	60808	SIPO	MN	24125486
587893	2001	1997-02-06	VYDAJ	PREVOD NA UCET	12524	60053	SIPO	MN	24125486
587894	2001	1997-03-06	VYDAJ	PREVOD NA UCET	12524	66988	SIPO	MN	24125486
587895	2001	1997-04-06	VYDAJ	PREVOD NA UCET	12524	67225	SIPO	MN	24125486
587896	2001	1997-05-06	VYDAJ	PREVOD NA UCET	12524	73509	SIPO	MN	24125486
587897	2001	1997-06-06	VYDAJ	PREVOD NA UCET	12524	92328	SIPO	MN	24125486
587898	2001	1997-07-06	VYDAJ	PREVOD NA UCET	12524	90533	SIPO	MN	24125486
587899	2001	1997-08-06	VYDAJ	PREVOD NA UCET	12524	68899	SIPO	MN	24125486
587900	2001	1997-09-06	VYDAJ	PREVOD NA UCET	12524	61194	SIPO	MN	24125486
587901	2001	1997-10-06	VYDAJ	PREVOD NA UCET	12524	67284	SIPO	MN	24125486
587902	2001	1997-11-06	VYDAJ	PREVOD NA UCET	12524	52479	SIPO	MN	24125486
587903	2001	1997-12-06	VYDAJ	PREVOD NA UCET	12524	85990	SIPO	MN	24125486
587904	2001	1998-01-06	VYDAJ	PREVOD NA UCET	12524	89475	SIPO	MN	24125486
587905	2001	1998-02-06	VYDAJ	PREVOD NA UCET	12524	67838	SIPO	MN	24125486
587906	2001	1998-03-06	VYDAJ	PREVOD NA UCET	12524	86559	SIPO	MN	24125486
587907	2001	1998-04-06	VYDAJ	PREVOD NA UCET	12524	99195	SIPO	MN	24125486
587908	2001	1998-05-06	VYDAJ	PREVOD NA UCET	12524	60840	SIPO	MN	24125486
587909	2001	1998-06-06	VYDAJ	PREVOD NA UCET	12524	103073	SIPO	MN	24125486
587910	2001	1998-07-06	VYDAJ	PREVOD NA UCET	12524	86647	SIPO	MN	24125486
587911	2001	1998-08-06	VYDAJ	PREVOD NA UCET	12524	91434	SIPO	MN	24125486
587912	2001	1998-09-06	VYDAJ	PREVOD NA UCET	12524	92616	SIPO	MN	24125486
587913	2001	1998-10-06	VYDAJ	PREVOD NA UCET	12524	58026	SIPO	MN	24125486
587914	2001	1998-11-06	VYDAJ	PREVOD NA UCET	12524	74503	SIPO	MN	24125486
587915	2001	1998-12-06	VYDAJ	PREVOD NA UCET	12524	94864	SIPO	MN	24125486
587916	2001	1994-10-19	VYBER	VYBER	13183	43018	\N	\N	\N
587918	2001	1994-11-29	VYBER	VYBER	8983	38174	\N	\N	\N
587928	2001	1996-11-03	VYBER	VYBER	6017	50591	\N	\N	\N
587929	2001	1996-11-15	VYBER	VYBER	3652	60717	\N	\N	\N
587930	2001	1996-08-19	VYBER	VYBER	11524	37964	\N	\N	\N
587931	2001	1996-12-25	VYBER	VYBER	11314	76782	\N	\N	\N
587932	2001	1996-04-18	VYBER	VYBER	2373	32874	\N	\N	\N
587933	2001	1996-02-21	VYBER	VYBER	7982	29015	\N	\N	\N
587934	2001	1997-03-01	VYBER	VYBER	11759	48510	\N	\N	\N
587935	2001	1997-08-24	VYBER	VYBER	20927	47972	\N	\N	\N
587936	2001	1997-02-02	VYBER	VYBER	12637	33975	\N	\N	\N
587937	2001	1997-05-27	VYBER	VYBER	6291	67218	\N	\N	\N
587938	2001	1997-10-31	VYBER	VYBER	23056	25916	\N	\N	\N
587939	2001	1997-09-30	VYBER	VYBER	22354	40721	\N	\N	\N
587941	2001	1997-10-20	VYBER	VYBER	5480	61804	\N	\N	\N
587942	2001	1997-04-06	VYBER	VYBER	9494	79749	\N	\N	\N
587943	2001	1998-11-23	VYBER	VYBER	23941	50562	\N	\N	\N
587945	2001	1995-06-04	VYDAJ	VYBER	30300	20898	\N	\N	\N
587946	2001	1996-06-11	VYDAJ	VYBER	10200	41480	\N	\N	\N
587947	2001	1997-06-01	VYDAJ	VYBER	9300	58199	\N	\N	\N
587948	2001	1998-06-12	VYDAJ	VYBER	25500	77573	\N	\N	\N
587949	2001	1994-12-02	VYDAJ	VYBER	4500	33897	\N	\N	\N
587950	2001	1995-12-16	VYDAJ	VYBER	8700	51491	\N	\N	\N
587951	2001	1996-12-27	VYDAJ	VYBER	8100	68682	\N	\N	\N
587952	2001	1997-12-04	VYDAJ	VYBER	7500	39861	\N	\N	\N
587953	2001	1998-12-07	VYDAJ	VYBER	8700	86164	\N	\N	\N
587960	2001	1995-01-13	VYDAJ	VYBER	2100	72033	\N	\N	\N
587961	2001	1995-01-13	VYDAJ	VYBER	5400	74133	\N	\N	\N
587962	2001	1995-01-26	VYDAJ	VYBER	7200	37933	\N	\N	\N
587963	2001	1995-01-14	VYDAJ	VYBER	3300	68733	\N	\N	\N
587964	2001	1995-01-18	VYDAJ	VYBER	4800	45133	\N	\N	\N
587965	2001	1995-01-28	VYDAJ	VYBER	7500	30433	\N	\N	\N
587966	2001	1996-01-23	VYDAJ	VYBER	8400	24982	\N	\N	\N
587968	2001	1996-01-19	VYDAJ	VYBER KARTOU	3000	37582	\N	\N	0
587969	2001	1996-01-20	VYDAJ	VYBER	4200	33382	\N	\N	\N
587970	2001	1996-01-06	VYDAJ	VYBER	1800	62382	\N	\N	\N
587971	2001	1996-01-08	VYDAJ	VYBER	7500	54882	\N	\N	\N
587972	2001	1997-01-01	VYDAJ	VYBER	6600	62430	\N	\N	\N
587973	2001	1997-01-26	VYDAJ	VYBER KARTOU	3900	46408	\N	\N	0
587974	2001	1997-01-15	VYDAJ	VYBER	7200	50308	\N	\N	\N
587975	2001	1997-01-05	VYDAJ	VYBER	8400	34230	\N	\N	\N
587976	2001	1997-01-03	VYDAJ	VYBER	5700	42630	\N	\N	\N
587977	2001	1997-01-08	VYDAJ	VYBER KARTOU	3300	57508	\N	\N	0
587978	2001	1998-01-03	VYDAJ	VYBER	5100	62897	\N	\N	\N
587979	2001	1998-01-09	VYDAJ	VYBER	4800	84675	\N	\N	\N
587980	2001	1998-01-13	VYDAJ	VYBER	5700	78975	\N	\N	\N
587981	2001	1998-01-15	VYDAJ	VYBER	7200	71775	\N	\N	\N
587982	2001	1998-01-28	VYDAJ	VYBER	6600	56775	\N	\N	\N
587983	2001	1998-01-15	VYDAJ	VYBER	8400	63375	\N	\N	\N
587988	2001	1994-11-22	VYDAJ	VYBER	2700	47157	\N	\N	\N
587989	2001	1995-12-26	VYDAJ	VYBER	14100	37391	\N	\N	\N
587990	2001	1995-09-26	VYDAJ	VYBER	14100	31075	\N	\N	\N
587991	2001	1995-08-20	VYDAJ	VYBER	12600	40187	\N	\N	\N
587992	2001	1996-04-08	VYDAJ	VYBER	14400	51547	\N	\N	\N
587993	2001	1996-05-15	VYDAJ	VYBER	10200	30517	\N	\N	\N
587994	2001	1996-06-07	VYDAJ	VYBER KARTOU	1800	74980	\N	\N	0
587995	2001	1996-10-09	VYDAJ	VYBER	9900	56389	\N	\N	\N
587996	2001	1996-09-22	VYDAJ	VYBER	7500	50309	\N	\N	\N
587998	2001	1997-07-08	VYDAJ	VYBER	12900	68633	\N	\N	\N
587999	2001	1997-06-08	VYDAJ	VYBER KARTOU	3600	88728	\N	\N	0
588000	2001	1997-06-18	VYDAJ	VYBER KARTOU	2100	86628	\N	\N	0
588001	2001	1997-09-01	VYDAJ	VYBER	11400	34616	\N	\N	\N
588002	2001	1997-08-05	VYDAJ	VYBER	14400	42321	\N	\N	\N
588003	2001	1997-07-07	VYDAJ	VYBER	9000	81533	\N	\N	\N
588004	2001	1998-08-11	VYDAJ	VYBER	13500	77934	\N	\N	\N
588005	2001	1998-07-26	VYDAJ	VYBER	11100	75547	\N	\N	\N
588006	2001	1998-06-18	VYDAJ	VYBER	13200	64373	\N	\N	\N
588007	2001	1998-01-29	VYDAJ	VYBER	14100	40975	\N	\N	\N
588008	2001	1998-07-05	VYDAJ	VYBER KARTOU	2100	60069	\N	\N	0
588009	2001	1998-10-10	VYDAJ	VYBER	14700	43326	\N	\N	\N
588020	2001	1994-10-31	VYDAJ	VYBER	15	43279	SLUZBY	\N	\N
588021	2001	1994-11-30	VYDAJ	VYBER	15	38397	SLUZBY	\N	\N
588022	2001	1994-12-31	VYDAJ	VYBER	15	52955	SLUZBY	\N	\N
588023	2001	1995-01-31	VYDAJ	VYBER	15	30650	SLUZBY	\N	\N
588024	2001	1995-02-28	VYDAJ	VYBER	15	41895	SLUZBY	\N	\N
588025	2001	1995-03-31	VYDAJ	VYBER	15	48981	SLUZBY	\N	\N
588026	2001	1995-04-30	VYDAJ	VYBER	15	53889	SLUZBY	\N	\N
588027	2001	1995-05-31	VYDAJ	VYBER	15	51198	SLUZBY	\N	\N
588028	2001	1995-06-30	VYDAJ	VYBER	15	45225	SLUZBY	\N	\N
588029	2001	1995-07-31	VYDAJ	VYBER	15	48409	SLUZBY	\N	\N
588030	2001	1995-08-31	VYDAJ	VYBER	15	40397	SLUZBY	\N	\N
588031	2001	1995-09-30	VYDAJ	VYBER	15	31250	SLUZBY	\N	\N
588032	2001	1995-10-31	VYDAJ	VYBER	15	41900	SLUZBY	\N	\N
588033	2001	1995-11-30	VYDAJ	VYBER	15	45562	SLUZBY	\N	\N
588034	2001	1995-12-31	VYDAJ	VYBER	15	37604	SLUZBY	\N	\N
588035	2001	1996-01-31	VYDAJ	VYBER	15	25119	SLUZBY	\N	\N
588036	2001	1996-02-29	VYDAJ	VYBER	15	29143	SLUZBY	\N	\N
588037	2001	1996-03-31	VYDAJ	VYBER	15	39369	SLUZBY	\N	\N
588038	2001	1996-04-30	VYDAJ	VYBER	15	33039	SLUZBY	\N	\N
588039	2001	1996-05-31	VYDAJ	VYBER	15	30651	SLUZBY	\N	\N
588040	2001	1996-06-30	VYDAJ	VYBER	15	41655	SLUZBY	\N	\N
588041	2001	1996-07-31	VYDAJ	VYBER	15	45810	SLUZBY	\N	\N
588042	2001	1996-08-31	VYDAJ	VYBER	15	38131	SLUZBY	\N	\N
588043	2001	1996-09-30	VYDAJ	VYBER	15	50511	SLUZBY	\N	\N
588044	2001	1996-10-31	VYDAJ	VYBER	15	56608	SLUZBY	\N	\N
588045	2001	1996-11-30	VYDAJ	VYBER	15	60967	SLUZBY	\N	\N
588046	2001	1996-12-31	VYDAJ	VYBER	15	69030	SLUZBY	\N	\N
588047	2001	1997-01-31	VYDAJ	VYBER	15	46612	SLUZBY	\N	\N
588048	2001	1997-02-28	VYDAJ	VYBER	15	60269	SLUZBY	\N	\N
588049	2001	1997-03-31	VYDAJ	VYBER	15	67241	SLUZBY	\N	\N
588050	2001	1997-04-30	VYDAJ	VYBER	15	67531	SLUZBY	\N	\N
588051	2001	1997-05-31	VYDAJ	VYBER	15	67499	SLUZBY	\N	\N
588052	2001	1997-06-30	VYDAJ	VYBER	15	86955	SLUZBY	\N	\N
588053	2001	1997-07-31	VYDAJ	VYBER	15	68921	SLUZBY	\N	\N
588054	2001	1997-08-31	VYDAJ	VYBER	15	48216	SLUZBY	\N	\N
588055	2001	1997-09-30	VYDAJ	VYBER	15	40706	SLUZBY	\N	\N
588056	2001	1997-10-31	VYDAJ	VYBER	15	25901	SLUZBY	\N	\N
588057	2001	1997-11-30	VYDAJ	VYBER	15	47361	SLUZBY	\N	\N
588058	2001	1997-12-31	VYDAJ	VYBER	15	67997	SLUZBY	\N	\N
588059	2001	1998-01-31	VYDAJ	VYBER	15	41260	SLUZBY	\N	\N
588060	2001	1998-02-28	VYDAJ	VYBER	15	59981	SLUZBY	\N	\N
588061	2001	1998-03-31	VYDAJ	VYBER	15	72617	SLUZBY	\N	\N
588062	2001	1998-04-30	VYDAJ	VYBER	15	76362	SLUZBY	\N	\N
588063	2001	1998-05-31	VYDAJ	VYBER	15	56944	SLUZBY	\N	\N
588064	2001	1998-06-30	VYDAJ	VYBER	15	62169	SLUZBY	\N	\N
588065	2001	1998-07-31	VYDAJ	VYBER	15	64856	SLUZBY	\N	\N
588066	2001	1998-08-31	VYDAJ	VYBER	15	66038	SLUZBY	\N	\N
588067	2001	1998-09-30	VYDAJ	VYBER	15	73648	SLUZBY	\N	\N
588068	2001	1998-10-31	VYDAJ	VYBER	15	47925	SLUZBY	\N	\N
588069	2001	1998-11-30	VYDAJ	VYBER	15	48735	SLUZBY	\N	\N
588070	2001	1994-06-18	VYDAJ	VYBER	16500	43153	\N	\N	\N
588071	2001	1994-07-18	VYDAJ	VYBER	30000	52333	\N	\N	\N
588072	2001	1994-08-17	VYDAJ	VYBER	31300	60332	\N	\N	\N
588073	2001	1994-09-16	VYDAJ	VYBER	37700	61968	\N	\N	\N
588074	2001	1994-10-16	VYDAJ	VYBER	32600	56201	\N	\N	\N
588075	2001	1994-11-15	VYDAJ	VYBER	20000	49857	\N	\N	\N
588076	2001	1994-12-15	VYDAJ	VYBER	27300	52726	\N	\N	\N
588077	2001	1995-01-14	VYDAJ	VYBER	18800	49933	\N	\N	\N
588078	2001	1995-02-13	VYDAJ	VYBER	15500	41728	\N	\N	\N
588079	2001	1995-03-15	VYDAJ	VYBER	19700	48773	\N	\N	\N
588080	2001	1995-04-14	VYDAJ	VYBER	21900	53659	\N	\N	\N
588081	2001	1995-05-14	VYDAJ	VYBER	29500	50967	\N	\N	\N
588082	2001	1995-06-13	VYDAJ	VYBER	22000	45027	\N	\N	\N
588083	2001	1995-07-13	VYDAJ	VYBER	23600	48203	\N	\N	\N
588084	2001	1995-08-12	VYDAJ	VYBER	22200	52787	\N	\N	\N
588085	2001	1995-09-11	VYDAJ	VYBER	21800	45175	\N	\N	\N
588086	2001	1995-10-11	VYDAJ	VYBER	16100	41728	\N	\N	\N
588087	2001	1995-11-10	VYDAJ	VYBER	23100	45378	\N	\N	\N
588088	2001	1995-12-10	VYDAJ	VYBER	31500	60191	\N	\N	\N
588089	2001	1996-01-09	VYDAJ	VYBER	14300	40582	\N	\N	\N
588090	2001	1996-02-08	VYDAJ	VYBER	14700	36997	\N	\N	\N
588091	2001	1996-03-09	VYDAJ	VYBER	16500	39221	\N	\N	\N
588092	2001	1996-04-08	VYDAJ	VYBER	16300	35247	\N	\N	\N
588093	2001	1996-05-08	VYDAJ	VYBER	18900	40717	\N	\N	\N
588094	2001	1996-06-07	VYDAJ	VYBER	23300	51680	\N	\N	\N
588095	2001	1996-07-07	VYDAJ	VYBER	22600	45633	\N	\N	\N
588096	2001	1996-08-06	VYDAJ	VYBER	22900	49488	\N	\N	\N
588097	2001	1996-09-05	VYDAJ	VYBER	6900	31231	\N	\N	\N
588098	2001	1996-10-05	VYDAJ	VYBER	10800	39711	\N	\N	\N
588099	2001	1996-11-04	VYDAJ	VYBER	12800	37791	\N	\N	\N
588100	2001	1996-12-04	VYDAJ	VYBER	19000	41967	\N	\N	\N
588101	2001	1997-01-03	VYDAJ	VYBER	14100	48330	\N	\N	\N
588102	2001	1997-02-02	VYDAJ	VYBER KARTOU	500	33475	\N	\N	0
588103	2001	1997-03-04	VYDAJ	VYBER	8100	40410	\N	\N	\N
588104	2001	1997-04-03	VYDAJ	VYBER	17100	50141	\N	\N	\N
588105	2001	1997-05-03	VYDAJ	VYBER	20600	46931	\N	\N	\N
588106	2001	1997-06-02	VYDAJ	VYBER	12000	46199	\N	\N	\N
588107	2001	1997-07-02	VYDAJ	VYBER	23000	63955	\N	\N	\N
588108	2001	1997-08-01	VYDAJ	VYBER	12200	56721	\N	\N	\N
588109	2001	1997-08-31	VYDAJ	VYBER KARTOU	2200	46016	\N	\N	0
588110	2001	1997-09-30	PRIJEM	VKLAD	1600	63075	\N	\N	\N
588111	2001	1997-10-30	VYDAJ	VYBER	13100	48704	\N	\N	\N
588112	2001	1997-11-29	VYDAJ	VYBER	5300	47179	\N	\N	\N
588113	2001	1997-12-29	VYDAJ	VYBER	18300	67690	\N	\N	\N
588114	2001	1998-01-28	VYDAJ	VYBER KARTOU	1700	55075	\N	\N	0
588115	2001	1998-02-27	VYDAJ	VYBER	8100	59738	\N	\N	\N
588116	2001	1998-03-29	VYDAJ	VYBER	14300	72259	\N	\N	\N
588117	2001	1998-04-28	VYDAJ	VYBER	23200	75995	\N	\N	\N
588118	2001	1998-05-06	VYDAJ	VYBER	42100	73364	\N	\N	\N
588119	2001	1998-05-28	VYDAJ	VYBER	4300	56540	\N	\N	\N
588120	2001	1998-06-27	VYDAJ	VYBER KARTOU	2500	61873	\N	\N	0
588121	2001	1998-07-27	VYDAJ	VYBER	11000	64547	\N	\N	\N
588122	2001	1998-08-26	VYDAJ	VYBER	12200	65734	\N	\N	\N
588123	2001	1998-09-25	VYDAJ	VYBER	19300	73316	\N	\N	\N
588124	2001	1998-10-06	VYDAJ	VYBER	42200	70550	\N	\N	\N
588125	2001	1998-10-25	PRIJEM	VKLAD	4400	47726	\N	\N	\N
588126	2001	1998-11-24	VYDAJ	VYBER KARTOU	2100	48462	\N	\N	0
588182	2002	1993-04-08	PRIJEM	VKLAD	400	400	\N	\N	\N
588187	2002	1993-05-06	PRIJEM	PREVOD Z UCTU	6060	6460	DUCHOD	KL	9670401
588188	2002	1993-06-06	PRIJEM	PREVOD Z UCTU	6060	12520	DUCHOD	KL	9670401
588189	2002	1993-07-06	PRIJEM	PREVOD Z UCTU	6060	18580	DUCHOD	KL	9670401
588190	2002	1993-08-06	PRIJEM	PREVOD Z UCTU	6060	24640	DUCHOD	KL	9670401
588191	2002	1993-09-06	PRIJEM	PREVOD Z UCTU	6060	29783	DUCHOD	KL	9670401
588192	2002	1993-10-06	PRIJEM	PREVOD Z UCTU	6060	30846	DUCHOD	KL	9670401
588193	2002	1993-11-06	PRIJEM	PREVOD Z UCTU	6060	30153	DUCHOD	KL	9670401
588194	2002	1993-12-06	PRIJEM	PREVOD Z UCTU	6060	32021	DUCHOD	KL	9670401
588195	2002	1994-01-06	PRIJEM	PREVOD Z UCTU	6060	29816	DUCHOD	KL	9670401
588196	2002	1994-02-06	PRIJEM	PREVOD Z UCTU	6060	23424	DUCHOD	KL	9670401
588197	2002	1994-03-06	PRIJEM	PREVOD Z UCTU	6060	22096	DUCHOD	KL	9670401
588198	2002	1994-04-06	PRIJEM	PREVOD Z UCTU	6060	24528	DUCHOD	KL	9670401
588199	2002	1994-05-06	PRIJEM	PREVOD Z UCTU	6060	26970	DUCHOD	KL	9670401
588200	2002	1994-06-06	PRIJEM	PREVOD Z UCTU	6060	26858	DUCHOD	KL	9670401
588201	2002	1994-07-06	PRIJEM	PREVOD Z UCTU	6060	28909	DUCHOD	KL	9670401
588202	2002	1994-08-06	PRIJEM	PREVOD Z UCTU	6060	27769	DUCHOD	KL	9670401
588203	2002	1994-09-06	PRIJEM	PREVOD Z UCTU	6060	29525	DUCHOD	KL	9670401
588204	2002	1994-10-06	PRIJEM	PREVOD Z UCTU	6060	30088	DUCHOD	KL	9670401
588205	2002	1994-11-06	PRIJEM	PREVOD Z UCTU	6060	32555	DUCHOD	KL	9670401
588206	2002	1994-12-06	PRIJEM	PREVOD Z UCTU	6060	35030	DUCHOD	KL	9670401
588207	2002	1995-01-06	PRIJEM	PREVOD Z UCTU	6060	32906	DUCHOD	KL	9670401
588208	2002	1995-02-06	PRIJEM	PREVOD Z UCTU	6060	23528	DUCHOD	KL	9670401
588209	2002	1995-03-06	PRIJEM	PREVOD Z UCTU	6060	25965	DUCHOD	KL	9670401
588210	2002	1995-04-06	PRIJEM	PREVOD Z UCTU	6060	28413	DUCHOD	KL	9670401
588211	2002	1995-05-06	PRIJEM	PREVOD Z UCTU	6060	30871	DUCHOD	KL	9670401
588212	2002	1995-06-06	PRIJEM	PREVOD Z UCTU	6060	33339	DUCHOD	KL	9670401
588213	2002	1995-07-06	PRIJEM	PREVOD Z UCTU	6060	22246	DUCHOD	KL	9670401
588214	2002	1995-08-06	PRIJEM	PREVOD Z UCTU	6060	21232	DUCHOD	KL	9670401
588215	2002	1995-09-06	PRIJEM	PREVOD Z UCTU	6060	23660	DUCHOD	KL	9670401
588216	2002	1995-10-06	PRIJEM	PREVOD Z UCTU	6060	26098	DUCHOD	KL	9670401
588217	2002	1995-11-06	PRIJEM	PREVOD Z UCTU	6060	25342	DUCHOD	KL	9670401
588218	2002	1995-12-06	PRIJEM	PREVOD Z UCTU	6060	24261	DUCHOD	KL	9670401
588219	2002	1996-01-06	PRIJEM	PREVOD Z UCTU	6060	23582	DUCHOD	KL	9670401
588220	2002	1996-02-06	PRIJEM	PREVOD Z UCTU	6060	21184	DUCHOD	KL	9670401
588221	2002	1996-03-06	PRIJEM	PREVOD Z UCTU	6060	23611	DUCHOD	KL	9670401
588222	2002	1996-04-06	PRIJEM	PREVOD Z UCTU	6060	26048	DUCHOD	KL	9670401
588223	2002	1996-05-06	PRIJEM	PREVOD Z UCTU	6060	26091	DUCHOD	KL	9670401
588224	2002	1996-06-06	PRIJEM	PREVOD Z UCTU	6060	25733	DUCHOD	KL	9670401
588225	2002	1996-07-06	PRIJEM	PREVOD Z UCTU	6060	28179	DUCHOD	KL	9670401
588226	2002	1996-08-06	PRIJEM	PREVOD Z UCTU	6060	30155	DUCHOD	KL	9670401
588227	2002	1996-09-06	PRIJEM	PREVOD Z UCTU	6060	32620	DUCHOD	KL	9670401
588228	2002	1996-10-06	PRIJEM	PREVOD Z UCTU	6060	35094	DUCHOD	KL	9670401
588229	2002	1996-11-06	PRIJEM	PREVOD Z UCTU	6060	37579	DUCHOD	KL	9670401
588230	2002	1996-12-06	PRIJEM	PREVOD Z UCTU	6060	40074	DUCHOD	KL	9670401
588231	2002	1997-01-06	PRIJEM	PREVOD Z UCTU	6060	40120	DUCHOD	KL	9670401
588232	2002	1997-02-06	PRIJEM	PREVOD Z UCTU	6060	36214	DUCHOD	KL	9670401
588233	2002	1997-03-06	PRIJEM	PREVOD Z UCTU	6060	35342	DUCHOD	KL	9670401
588234	2002	1997-04-06	PRIJEM	PREVOD Z UCTU	6060	37828	DUCHOD	KL	9670401
588235	2002	1997-05-06	PRIJEM	PREVOD Z UCTU	6060	38560	DUCHOD	KL	9670401
588236	2002	1997-06-06	PRIJEM	PREVOD Z UCTU	6060	37849	DUCHOD	KL	9670401
588237	2002	1997-07-06	PRIJEM	PREVOD Z UCTU	6060	27928	DUCHOD	KL	9670401
588238	2002	1997-08-06	PRIJEM	PREVOD Z UCTU	6060	30382	DUCHOD	KL	9670401
588239	2002	1997-09-06	PRIJEM	PREVOD Z UCTU	6060	32847	DUCHOD	KL	9670401
588240	2002	1997-10-06	PRIJEM	PREVOD Z UCTU	6060	35322	DUCHOD	KL	9670401
588241	2002	1997-11-06	PRIJEM	PREVOD Z UCTU	6060	37807	DUCHOD	KL	9670401
588242	2002	1997-12-06	PRIJEM	PREVOD Z UCTU	6060	36378	DUCHOD	KL	9670401
588243	2002	1998-01-06	PRIJEM	PREVOD Z UCTU	6060	36307	DUCHOD	KL	9670401
588244	2002	1998-02-06	PRIJEM	PREVOD Z UCTU	6060	23499	DUCHOD	KL	9670401
588245	2002	1998-03-06	PRIJEM	PREVOD Z UCTU	6060	25935	DUCHOD	KL	9670401
588246	2002	1998-04-06	PRIJEM	PREVOD Z UCTU	6060	28380	DUCHOD	KL	9670401
588247	2002	1998-05-06	PRIJEM	PREVOD Z UCTU	6060	30836	DUCHOD	KL	9670401
588248	2002	1998-06-06	PRIJEM	PREVOD Z UCTU	6060	32821	DUCHOD	KL	9670401
588249	2002	1998-07-06	PRIJEM	PREVOD Z UCTU	6060	33640	DUCHOD	KL	9670401
588250	2002	1998-08-06	PRIJEM	PREVOD Z UCTU	6060	36117	DUCHOD	KL	9670401
588251	2002	1998-09-06	PRIJEM	PREVOD Z UCTU	6060	38604	DUCHOD	KL	9670401
588252	2002	1998-10-06	PRIJEM	PREVOD Z UCTU	6060	37655	DUCHOD	KL	9670401
588253	2002	1998-11-06	PRIJEM	PREVOD Z UCTU	6060	40148	DUCHOD	KL	9670401
588254	2002	1998-12-06	PRIJEM	PREVOD Z UCTU	6060	42652	DUCHOD	KL	9670401
588263	2002	1993-09-08	VYDAJ	PREVOD NA UCET	3688	26095	SIPO	EF	59535497
588264	2002	1993-10-08	VYDAJ	PREVOD NA UCET	3688	25798	SIPO	EF	59535497
588265	2002	1993-11-08	VYDAJ	PREVOD NA UCET	3688	26465	SIPO	EF	59535497
588266	2002	1993-12-08	VYDAJ	PREVOD NA UCET	3688	28333	SIPO	EF	59535497
588267	2002	1994-01-08	VYDAJ	PREVOD NA UCET	3688	26128	SIPO	EF	59535497
588268	2002	1994-02-08	VYDAJ	PREVOD NA UCET	3688	19736	SIPO	EF	59535497
588269	2002	1994-03-08	VYDAJ	PREVOD NA UCET	3688	18408	SIPO	EF	59535497
588270	2002	1994-04-08	VYDAJ	PREVOD NA UCET	3688	20840	SIPO	EF	59535497
588271	2002	1994-05-08	VYDAJ	PREVOD NA UCET	3688	23282	SIPO	EF	59535497
588272	2002	1994-06-08	VYDAJ	PREVOD NA UCET	3688	23170	SIPO	EF	59535497
588273	2002	1994-07-08	VYDAJ	PREVOD NA UCET	3688	25221	SIPO	EF	59535497
588274	2002	1994-08-08	VYDAJ	PREVOD NA UCET	3688	24081	SIPO	EF	59535497
588275	2002	1994-09-08	VYDAJ	PREVOD NA UCET	3688	25837	SIPO	EF	59535497
588276	2002	1994-10-08	VYDAJ	PREVOD NA UCET	3688	26400	SIPO	EF	59535497
588277	2002	1994-11-08	VYDAJ	PREVOD NA UCET	3688	28867	SIPO	EF	59535497
588278	2002	1994-12-08	VYDAJ	PREVOD NA UCET	3688	31342	SIPO	EF	59535497
588279	2002	1995-01-08	VYDAJ	PREVOD NA UCET	3688	29218	SIPO	EF	59535497
588280	2002	1995-02-08	VYDAJ	PREVOD NA UCET	3688	19840	SIPO	EF	59535497
588281	2002	1995-03-08	VYDAJ	PREVOD NA UCET	3688	22277	SIPO	EF	59535497
588282	2002	1995-04-08	VYDAJ	PREVOD NA UCET	3688	24725	SIPO	EF	59535497
588283	2002	1995-05-08	VYDAJ	PREVOD NA UCET	3688	27183	SIPO	EF	59535497
588284	2002	1995-06-08	VYDAJ	PREVOD NA UCET	3688	29651	SIPO	EF	59535497
588285	2002	1995-07-08	VYDAJ	PREVOD NA UCET	3688	18558	SIPO	EF	59535497
588286	2002	1995-08-08	VYDAJ	PREVOD NA UCET	3688	17544	SIPO	EF	59535497
588287	2002	1995-09-08	VYDAJ	PREVOD NA UCET	3688	19972	SIPO	EF	59535497
588288	2002	1995-10-08	VYDAJ	PREVOD NA UCET	3688	22410	SIPO	EF	59535497
588289	2002	1995-11-08	VYDAJ	PREVOD NA UCET	3688	21654	SIPO	EF	59535497
588290	2002	1995-12-08	VYDAJ	PREVOD NA UCET	3688	20573	SIPO	EF	59535497
588291	2002	1996-01-08	VYDAJ	PREVOD NA UCET	3688	18854	SIPO	EF	59535497
588292	2002	1996-02-08	VYDAJ	PREVOD NA UCET	3688	17496	SIPO	EF	59535497
588293	2002	1996-03-08	VYDAJ	PREVOD NA UCET	3688	19923	SIPO	EF	59535497
588294	2002	1996-04-08	VYDAJ	PREVOD NA UCET	3688	22360	SIPO	EF	59535497
588295	2002	1996-05-08	VYDAJ	PREVOD NA UCET	3688	22403	SIPO	EF	59535497
588296	2002	1996-06-08	VYDAJ	PREVOD NA UCET	3688	22045	SIPO	EF	59535497
588297	2002	1996-07-08	VYDAJ	PREVOD NA UCET	3688	24491	SIPO	EF	59535497
588298	2002	1996-08-08	VYDAJ	PREVOD NA UCET	3688	26467	SIPO	EF	59535497
588299	2002	1996-09-08	VYDAJ	PREVOD NA UCET	3688	28932	SIPO	EF	59535497
588300	2002	1996-10-08	VYDAJ	PREVOD NA UCET	3688	31406	SIPO	EF	59535497
588301	2002	1996-11-08	VYDAJ	PREVOD NA UCET	3688	33891	SIPO	EF	59535497
588302	2002	1996-12-08	VYDAJ	PREVOD NA UCET	3688	36386	SIPO	EF	59535497
588303	2002	1997-01-08	VYDAJ	PREVOD NA UCET	3688	34432	SIPO	EF	59535497
588304	2002	1997-02-08	VYDAJ	PREVOD NA UCET	3688	32526	SIPO	EF	59535497
588305	2002	1997-03-08	VYDAJ	PREVOD NA UCET	3688	31654	SIPO	EF	59535497
588306	2002	1997-04-08	VYDAJ	PREVOD NA UCET	3688	34140	SIPO	EF	59535497
588307	2002	1997-05-08	VYDAJ	PREVOD NA UCET	3688	31672	SIPO	EF	59535497
588308	2002	1997-06-08	VYDAJ	PREVOD NA UCET	3688	34161	SIPO	EF	59535497
588309	2002	1997-07-08	VYDAJ	PREVOD NA UCET	3688	24240	SIPO	EF	59535497
588310	2002	1997-08-08	VYDAJ	PREVOD NA UCET	3688	26694	SIPO	EF	59535497
588311	2002	1997-09-08	VYDAJ	PREVOD NA UCET	3688	29159	SIPO	EF	59535497
588312	2002	1997-10-08	VYDAJ	PREVOD NA UCET	3688	31634	SIPO	EF	59535497
588313	2002	1997-11-08	VYDAJ	PREVOD NA UCET	3688	34119	SIPO	EF	59535497
588314	2002	1997-12-08	VYDAJ	PREVOD NA UCET	3688	32690	SIPO	EF	59535497
588315	2002	1998-01-08	VYDAJ	PREVOD NA UCET	3688	32619	SIPO	EF	59535497
588316	2002	1998-02-08	VYDAJ	PREVOD NA UCET	3688	19811	SIPO	EF	59535497
588317	2002	1998-03-08	VYDAJ	PREVOD NA UCET	3688	22247	SIPO	EF	59535497
588318	2002	1998-04-08	VYDAJ	PREVOD NA UCET	3688	24692	SIPO	EF	59535497
588319	2002	1998-05-08	VYDAJ	PREVOD NA UCET	3688	27148	SIPO	EF	59535497
588320	2002	1998-06-08	VYDAJ	PREVOD NA UCET	3688	29133	SIPO	EF	59535497
588321	2002	1998-07-08	VYDAJ	PREVOD NA UCET	3688	29952	SIPO	EF	59535497
588322	2002	1998-08-08	VYDAJ	PREVOD NA UCET	3688	32429	SIPO	EF	59535497
588323	2002	1998-09-08	VYDAJ	PREVOD NA UCET	3688	34916	SIPO	EF	59535497
588324	2002	1998-10-08	VYDAJ	PREVOD NA UCET	3688	33967	SIPO	EF	59535497
588325	2002	1998-11-08	VYDAJ	PREVOD NA UCET	3688	36460	SIPO	EF	59535497
588326	2002	1998-12-08	VYDAJ	PREVOD NA UCET	3688	38964	SIPO	EF	59535497
588329	2002	1995-06-25	VYDAJ	VYBER	11000	16091	\N	\N	\N
588331	2002	1997-06-21	VYDAJ	VYBER	12400	21761	\N	\N	\N
588332	2002	1998-06-10	VYDAJ	VYBER	1650	27483	\N	\N	\N
588334	2002	1994-01-22	VYDAJ	VYBER	3000	17768	\N	\N	\N
588335	2002	1995-01-25	VYDAJ	VYBER	4800	20738	\N	\N	\N
588336	2002	1996-01-23	VYDAJ	VYBER	1950	16104	\N	\N	\N
588337	2002	1997-01-05	VYDAJ	VYBER	700	34060	\N	\N	\N
588338	2002	1998-01-25	VYDAJ	VYBER	4400	19499	\N	\N	\N
588345	2002	1994-01-08	VYDAJ	VYBER	2320	23808	\N	\N	\N
588346	2002	1994-01-19	VYDAJ	VYBER	1600	20768	\N	\N	\N
588347	2002	1994-01-02	VYDAJ	VYBER	720	27156	\N	\N	\N
588348	2002	1994-01-29	VYDAJ	VYBER	480	17288	\N	\N	\N
588349	2002	1994-01-08	VYDAJ	VYBER	1440	22368	\N	\N	\N
588350	2002	1994-01-02	VYDAJ	VYBER	560	27876	\N	\N	\N
588351	2002	1995-01-25	VYDAJ	VYBER	1680	19058	\N	\N	\N
588352	2002	1995-01-26	VYDAJ	VYBER	1680	17378	\N	\N	\N
588353	2002	1995-01-17	VYDAJ	VYBER	400	27138	\N	\N	\N
588354	2002	1995-01-24	VYDAJ	VYBER	560	25538	\N	\N	\N
588355	2002	1995-01-14	VYDAJ	VYBER	1680	27538	\N	\N	\N
588356	2002	1995-01-22	VYDAJ	VYBER	1040	26098	\N	\N	\N
588357	2002	1996-01-06	VYDAJ	VYBER	1040	22542	\N	\N	\N
588358	2002	1996-01-04	VYDAJ	VYBER	400	17522	\N	\N	\N
588359	2002	1996-01-02	VYDAJ	VYBER	400	20242	\N	\N	\N
588360	2002	1996-01-15	VYDAJ	VYBER	800	18054	\N	\N	\N
588361	2002	1996-01-29	VYDAJ	VYBER	1040	15064	\N	\N	\N
588362	2002	1996-01-04	VYDAJ	VYBER	2320	17922	\N	\N	\N
588363	2002	1997-01-22	VYDAJ	VYBER	1920	31472	\N	\N	\N
588364	2002	1997-01-03	VYDAJ	VYBER	1360	35160	\N	\N	\N
588365	2002	1997-01-26	VYDAJ	VYBER	1440	30032	\N	\N	\N
588366	2002	1997-01-10	VYDAJ	VYBER	1040	33392	\N	\N	\N
588367	2002	1997-01-04	VYDAJ	VYBER	400	34760	\N	\N	\N
588368	2002	1997-01-07	VYDAJ	VYBER	2000	38120	\N	\N	\N
588369	2002	1998-01-24	VYDAJ	VYBER	1280	23899	\N	\N	\N
588370	2002	1998-01-05	VYDAJ	VYBER	480	32327	\N	\N	\N
588371	2002	1998-01-26	VYDAJ	VYBER	2160	17339	\N	\N	\N
588372	2002	1998-01-19	VYDAJ	VYBER	1840	29499	\N	\N	\N
588373	2002	1998-01-23	VYDAJ	VYBER	880	25179	\N	\N	\N
588374	2002	1998-01-11	VYDAJ	VYBER	1280	31339	\N	\N	\N
588375	2002	1993-10-06	VYDAJ	VYBER	1360	29486	\N	\N	\N
588380	2002	1994-05-19	VYDAJ	VYBER	2560	20722	\N	\N	\N
588381	2002	1994-02-21	VYDAJ	VYBER	3760	15976	\N	\N	\N
588382	2002	1994-12-10	VYDAJ	VYBER	3200	28142	\N	\N	\N
588383	2002	1994-07-28	VYDAJ	VYBER	3600	21621	\N	\N	\N
588384	2002	1995-06-08	VYDAJ	VYBER	2560	27091	\N	\N	\N
588385	2002	1995-11-19	VYDAJ	VYBER	3520	18134	\N	\N	\N
588386	2002	1995-10-24	VYDAJ	VYBER	3200	19210	\N	\N	\N
588387	2002	1995-07-20	VYDAJ	VYBER	3440	15118	\N	\N	\N
588389	2002	1996-04-16	VYDAJ	VYBER	2400	19960	\N	\N	\N
588391	2002	1996-05-18	VYDAJ	VYBER	2800	19603	\N	\N	\N
588392	2002	1996-07-29	VYDAJ	VYBER	480	24011	\N	\N	\N
588393	2002	1997-05-06	VYDAJ	VYBER	3200	35360	\N	\N	\N
588394	2002	1997-02-26	VYDAJ	VYBER	3360	29166	\N	\N	\N
588395	2002	1997-04-17	VYDAJ	VYBER	1760	32380	\N	\N	\N
588396	2002	1997-11-23	VYDAJ	VYBER	3920	30199	\N	\N	\N
588397	2002	1998-09-16	VYDAJ	VYBER	3440	31476	\N	\N	\N
588398	2002	1998-05-21	VYDAJ	VYBER	480	26668	\N	\N	\N
588400	2002	1998-01-19	VYDAJ	VYBER	3440	26059	\N	\N	\N
588401	2002	1998-01-05	VYDAJ	VYBER	2080	30247	\N	\N	\N
588411	2002	1993-09-30	VYDAJ	VYBER	15	26186	SLUZBY	\N	\N
588412	2002	1993-10-31	VYDAJ	VYBER	15	25893	SLUZBY	\N	\N
588413	2002	1993-11-30	VYDAJ	VYBER	15	26561	SLUZBY	\N	\N
588414	2002	1993-12-31	VYDAJ	VYBER	15	28436	SLUZBY	\N	\N
588415	2002	1994-01-31	VYDAJ	VYBER	15	17364	SLUZBY	\N	\N
588416	2002	1994-02-28	VYDAJ	VYBER	15	16036	SLUZBY	\N	\N
588417	2002	1994-03-31	VYDAJ	VYBER	15	18468	SLUZBY	\N	\N
588418	2002	1994-04-30	VYDAJ	VYBER	15	20910	SLUZBY	\N	\N
588419	2002	1994-05-31	VYDAJ	VYBER	15	20798	SLUZBY	\N	\N
588420	2002	1994-06-30	VYDAJ	VYBER	15	23249	SLUZBY	\N	\N
588421	2002	1994-07-31	VYDAJ	VYBER	15	21709	SLUZBY	\N	\N
588422	2002	1994-08-31	VYDAJ	VYBER	15	24165	SLUZBY	\N	\N
588423	2002	1994-09-30	VYDAJ	VYBER	15	25928	SLUZBY	\N	\N
588424	2002	1994-10-31	VYDAJ	VYBER	15	26495	SLUZBY	\N	\N
588425	2002	1994-11-30	VYDAJ	VYBER	15	28970	SLUZBY	\N	\N
588426	2002	1994-12-31	VYDAJ	VYBER	15	26846	SLUZBY	\N	\N
588427	2002	1995-01-31	VYDAJ	VYBER	15	17468	SLUZBY	\N	\N
588428	2002	1995-02-28	VYDAJ	VYBER	15	19905	SLUZBY	\N	\N
588429	2002	1995-03-31	VYDAJ	VYBER	15	22353	SLUZBY	\N	\N
588430	2002	1995-04-30	VYDAJ	VYBER	15	24811	SLUZBY	\N	\N
588431	2002	1995-05-31	VYDAJ	VYBER	15	27279	SLUZBY	\N	\N
588432	2002	1995-06-30	VYDAJ	VYBER	15	16186	SLUZBY	\N	\N
588433	2002	1995-07-31	VYDAJ	VYBER	15	15172	SLUZBY	\N	\N
588434	2002	1995-08-31	VYDAJ	VYBER	15	17600	SLUZBY	\N	\N
588435	2002	1995-09-30	VYDAJ	VYBER	15	20038	SLUZBY	\N	\N
588436	2002	1995-10-31	VYDAJ	VYBER	15	19282	SLUZBY	\N	\N
588437	2002	1995-11-30	VYDAJ	VYBER	15	18201	SLUZBY	\N	\N
588438	2002	1995-12-31	VYDAJ	VYBER	15	20642	SLUZBY	\N	\N
588439	2002	1996-01-31	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
588440	2002	1996-02-29	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
588441	2002	1996-03-31	VYDAJ	VYBER	15	19988	SLUZBY	\N	\N
588442	2002	1996-04-30	VYDAJ	VYBER	15	20031	SLUZBY	\N	\N
588443	2002	1996-05-31	VYDAJ	VYBER	15	19673	SLUZBY	\N	\N
588444	2002	1996-06-30	VYDAJ	VYBER	15	22119	SLUZBY	\N	\N
588445	2002	1996-07-31	VYDAJ	VYBER	15	24095	SLUZBY	\N	\N
588446	2002	1996-08-31	VYDAJ	VYBER	15	26560	SLUZBY	\N	\N
588447	2002	1996-09-30	VYDAJ	VYBER	15	29034	SLUZBY	\N	\N
588448	2002	1996-10-31	VYDAJ	VYBER	15	31519	SLUZBY	\N	\N
588449	2002	1996-11-30	VYDAJ	VYBER	15	34014	SLUZBY	\N	\N
588450	2002	1996-12-31	VYDAJ	VYBER	15	36520	SLUZBY	\N	\N
588451	2002	1997-01-31	VYDAJ	VYBER	15	30154	SLUZBY	\N	\N
588452	2002	1997-02-28	VYDAJ	VYBER	15	29282	SLUZBY	\N	\N
588453	2002	1997-03-31	VYDAJ	VYBER	15	31768	SLUZBY	\N	\N
588454	2002	1997-04-30	VYDAJ	VYBER	15	32500	SLUZBY	\N	\N
588455	2002	1997-05-31	VYDAJ	VYBER	15	31789	SLUZBY	\N	\N
588456	2002	1997-06-30	VYDAJ	VYBER	15	21868	SLUZBY	\N	\N
588457	2002	1997-07-31	VYDAJ	VYBER	15	24322	SLUZBY	\N	\N
588458	2002	1997-08-31	VYDAJ	VYBER	15	26787	SLUZBY	\N	\N
588459	2002	1997-09-30	VYDAJ	VYBER	15	29262	SLUZBY	\N	\N
588460	2002	1997-10-31	VYDAJ	VYBER	15	31747	SLUZBY	\N	\N
588461	2002	1997-11-30	VYDAJ	VYBER	15	30318	SLUZBY	\N	\N
588462	2002	1997-12-31	VYDAJ	VYBER	15	32807	SLUZBY	\N	\N
588463	2002	1998-01-31	VYDAJ	VYBER	15	17439	SLUZBY	\N	\N
588464	2002	1998-02-28	VYDAJ	VYBER	15	19875	SLUZBY	\N	\N
588465	2002	1998-03-31	VYDAJ	VYBER	15	22320	SLUZBY	\N	\N
588466	2002	1998-04-30	VYDAJ	VYBER	15	24776	SLUZBY	\N	\N
588467	2002	1998-05-31	VYDAJ	VYBER	15	26761	SLUZBY	\N	\N
588468	2002	1998-06-30	VYDAJ	VYBER	15	27580	SLUZBY	\N	\N
588469	2002	1998-07-31	VYDAJ	VYBER	15	30057	SLUZBY	\N	\N
588470	2002	1998-08-31	VYDAJ	VYBER	15	32544	SLUZBY	\N	\N
588471	2002	1998-09-30	VYDAJ	VYBER	15	31595	SLUZBY	\N	\N
588472	2002	1998-10-31	VYDAJ	VYBER	15	34088	SLUZBY	\N	\N
588473	2002	1998-11-30	VYDAJ	VYBER	15	36592	SLUZBY	\N	\N
588474	2002	1993-08-06	VYDAJ	VYBER	1000	23640	\N	\N	\N
588475	2002	1993-10-05	VYDAJ	VYBER	1400	24786	\N	\N	\N
588476	2002	1993-11-04	VYDAJ	VYBER	1800	24093	\N	\N	\N
588477	2002	1993-12-04	VYDAJ	VYBER	600	25961	\N	\N	\N
588478	2002	1994-01-03	VYDAJ	VYBER	3400	23756	\N	\N	\N
588479	2002	1994-07-02	VYDAJ	VYBER	400	22849	\N	\N	\N
588480	2002	1994-08-31	VYDAJ	VYBER	700	23465	\N	\N	\N
588481	2002	1994-09-30	VYDAJ	VYBER	1900	24028	\N	\N	\N
588482	2002	1994-12-29	VYDAJ	VYBER	1400	26742	\N	\N	\N
588548	2003	1995-11-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
588560	2003	1995-12-09	PRIJEM	PREVOD Z UCTU	70450	71550	\N	CD	8372825
588561	2003	1996-01-09	PRIJEM	PREVOD Z UCTU	46967	94449	\N	CD	8372825
588562	2003	1996-02-09	PRIJEM	PREVOD Z UCTU	46967	103921	\N	CD	8372825
588563	2003	1996-03-09	PRIJEM	PREVOD Z UCTU	46967	113531	\N	CD	8372825
588564	2003	1996-04-09	PRIJEM	PREVOD Z UCTU	46967	97870	\N	CD	8372825
588565	2003	1996-05-09	PRIJEM	PREVOD Z UCTU	46967	90069	\N	CD	8372825
588566	2003	1996-06-09	PRIJEM	PREVOD Z UCTU	70450	129425	\N	CD	8372825
588567	2003	1996-07-09	PRIJEM	PREVOD Z UCTU	46967	102473	\N	CD	8372825
588568	2003	1996-08-09	PRIJEM	PREVOD Z UCTU	46967	116171	\N	CD	8372825
588569	2003	1996-09-09	PRIJEM	PREVOD Z UCTU	46967	82624	\N	CD	8372825
588570	2003	1996-10-09	PRIJEM	PREVOD Z UCTU	46967	97057	\N	CD	8372825
588571	2003	1996-11-09	PRIJEM	PREVOD Z UCTU	46967	104589	\N	CD	8372825
588572	2003	1996-12-09	PRIJEM	PREVOD Z UCTU	70450	132875	\N	CD	8372825
588573	2003	1997-01-09	PRIJEM	PREVOD Z UCTU	46967	96615	\N	CD	8372825
588574	2003	1997-02-09	PRIJEM	PREVOD Z UCTU	46967	80875	\N	CD	8372825
588575	2003	1997-03-09	PRIJEM	PREVOD Z UCTU	46967	76892	\N	CD	8372825
588576	2003	1997-04-09	PRIJEM	PREVOD Z UCTU	46967	98099	\N	CD	8372825
588577	2003	1997-05-09	PRIJEM	PREVOD Z UCTU	46967	105022	\N	CD	8372825
588578	2003	1997-06-09	PRIJEM	PREVOD Z UCTU	70450	118054	\N	CD	8372825
588579	2003	1997-07-09	PRIJEM	PREVOD Z UCTU	46967	108286	\N	CD	8372825
588580	2003	1997-08-09	PRIJEM	PREVOD Z UCTU	46967	101308	\N	CD	8372825
588581	2003	1997-09-09	PRIJEM	PREVOD Z UCTU	46967	98212	\N	CD	8372825
588582	2003	1997-10-09	PRIJEM	PREVOD Z UCTU	46967	117786	\N	CD	8372825
588583	2003	1997-11-09	PRIJEM	PREVOD Z UCTU	46967	93304	\N	CD	8372825
588584	2003	1997-12-09	PRIJEM	PREVOD Z UCTU	70450	129884	\N	CD	8372825
588585	2003	1998-01-09	PRIJEM	PREVOD Z UCTU	46967	108458	\N	CD	8372825
588586	2003	1998-02-09	PRIJEM	PREVOD Z UCTU	46967	94013	\N	CD	8372825
588587	2003	1998-03-09	PRIJEM	PREVOD Z UCTU	46967	108720	\N	CD	8372825
588588	2003	1998-04-09	PRIJEM	PREVOD Z UCTU	46967	125062	\N	CD	8372825
588589	2003	1998-05-09	PRIJEM	PREVOD Z UCTU	46967	97571	\N	CD	8372825
588590	2003	1998-06-09	PRIJEM	PREVOD Z UCTU	70450	134646	\N	CD	8372825
588591	2003	1998-07-09	PRIJEM	PREVOD Z UCTU	46967	105166	\N	CD	8372825
588592	2003	1998-08-09	PRIJEM	PREVOD Z UCTU	46967	114963	\N	CD	8372825
588593	2003	1998-09-09	PRIJEM	PREVOD Z UCTU	46967	81170	\N	CD	8372825
588594	2003	1998-10-09	PRIJEM	PREVOD Z UCTU	46967	96814	\N	CD	8372825
588595	2003	1998-11-09	PRIJEM	PREVOD Z UCTU	46967	108307	\N	CD	8372825
588596	2003	1998-12-09	PRIJEM	PREVOD Z UCTU	70450	135329	\N	CD	8372825
588654	2003	1996-05-02	VYBER	VYBER	24078	43102	\N	\N	\N
588658	2003	1996-09-16	VYBER	VYBER	18309	64315	\N	\N	\N
588660	2003	1997-04-13	VYBER	VYBER	20477	77622	\N	\N	\N
588661	2003	1997-10-12	VYBER	VYBER	6785	59701	\N	\N	\N
588662	2003	1997-01-03	VYBER	VYBER	17902	53548	\N	\N	\N
588663	2003	1997-01-31	VYBER	VYBER	4548	33922	\N	\N	\N
588664	2003	1997-08-17	VYBER	VYBER	2273	99035	\N	\N	\N
588665	2003	1997-11-15	VYBER	VYBER	19425	73879	\N	\N	\N
588666	2003	1997-09-01	VYBER	VYBER	17937	51245	\N	\N	\N
588667	2003	1997-07-15	VYBER	VYBER	16394	91892	\N	\N	\N
588668	2003	1997-03-08	VYBER	VYBER	5582	29925	\N	\N	\N
588669	2003	1997-02-18	VYBER	VYBER	16519	64356	\N	\N	\N
588670	2003	1997-05-18	VYBER	VYBER	19658	85364	\N	\N	\N
588671	2003	1998-07-18	VYBER	VYBER	6222	67744	\N	\N	\N
588672	2003	1998-08-17	VYBER	VYBER	13838	34025	\N	\N	\N
588673	2003	1998-02-09	VYBER	VYBER	17295	76718	\N	\N	\N
588676	2003	1997-06-01	VYDAJ	VYBER	14100	47604	\N	\N	\N
588680	2003	1997-01-22	VYDAJ	VYBER	10200	42115	\N	\N	\N
588681	2003	1998-01-26	VYDAJ	VYBER	4800	58758	\N	\N	\N
588683	2003	1996-12-03	VYDAJ	VYBER	3300	62425	\N	\N	\N
588684	2003	1997-12-09	VYDAJ	VYBER	6600	123284	\N	\N	\N
588685	2003	1998-12-17	VYDAJ	VYBER	3000	80329	\N	\N	\N
588698	2003	1997-01-04	VYDAJ	VYBER	3900	49648	\N	\N	\N
588699	2003	1997-01-21	VYDAJ	VYBER	5100	52315	\N	\N	\N
588700	2003	1997-01-10	VYDAJ	VYBER	7200	89415	\N	\N	\N
588701	2003	1997-01-29	VYDAJ	VYBER	3900	38215	\N	\N	\N
588702	2003	1997-01-14	VYDAJ	VYBER	7200	79815	\N	\N	\N
588703	2003	1997-01-13	VYDAJ	VYBER	2400	87015	\N	\N	\N
588704	2003	1998-01-05	VYDAJ	VYBER	2400	61491	\N	\N	\N
588705	2003	1998-01-21	VYDAJ	VYBER	8100	70458	\N	\N	\N
588706	2003	1998-01-28	VYDAJ	VYBER	7500	46758	\N	\N	\N
588707	2003	1998-01-23	VYDAJ	VYBER	3300	63558	\N	\N	\N
588708	2003	1998-01-22	VYDAJ	VYBER	3600	66858	\N	\N	\N
588709	2003	1998-01-28	VYDAJ	VYBER	4500	54258	\N	\N	\N
588716	2003	1996-06-29	VYDAJ	VYBER	9300	55125	\N	\N	\N
588717	2003	1996-08-15	VYDAJ	VYBER	14700	38171	\N	\N	\N
588720	2003	1996-10-10	VYDAJ	VYBER	9000	88057	\N	\N	\N
588722	2003	1997-11-03	VYDAJ	VYBER	7500	46337	\N	\N	\N
588723	2003	1997-03-04	VYDAJ	VYBER	12600	35507	\N	\N	\N
588724	2003	1997-03-20	VYDAJ	VYBER	4200	72692	\N	\N	\N
588725	2003	1997-07-22	VYDAJ	VYBER	12600	54092	\N	\N	\N
588726	2003	1997-06-15	VYDAJ	VYBER	5700	75954	\N	\N	\N
588727	2003	1997-08-31	VYDAJ	VYBER	1500	69196	\N	\N	\N
588728	2003	1997-03-28	VYDAJ	VYBER	6900	50892	\N	\N	\N
588729	2003	1998-12-18	VYDAJ	VYBER	12300	68029	\N	\N	\N
588730	2003	1998-06-13	VYDAJ	VYBER	13800	77746	\N	\N	\N
588731	2003	1998-11-10	VYDAJ	VYBER	2400	105907	\N	\N	\N
588732	2003	1998-10-17	VYDAJ	VYBER	9000	61114	\N	\N	\N
588733	2003	1998-09-18	VYDAJ	VYBER	12000	49670	\N	\N	\N
588734	2003	1998-04-10	VYDAJ	VYBER	8700	61262	\N	\N	\N
588735	2003	1998-11-23	VYDAJ	VYBER	10800	64607	\N	\N	\N
588752	2003	1996-04-30	VYDAJ	VYBER	15	67180	SLUZBY	\N	\N
588753	2003	1996-05-31	VYDAJ	VYBER	15	58975	SLUZBY	\N	\N
588754	2003	1996-06-30	VYDAJ	VYBER	15	55506	SLUZBY	\N	\N
588755	2003	1996-07-31	VYDAJ	VYBER	15	69204	SLUZBY	\N	\N
588756	2003	1996-08-31	VYDAJ	VYBER	15	35657	SLUZBY	\N	\N
588757	2003	1996-09-30	VYDAJ	VYBER	15	50090	SLUZBY	\N	\N
588758	2003	1996-10-31	VYDAJ	VYBER	15	57622	SLUZBY	\N	\N
588759	2003	1996-11-30	VYDAJ	VYBER	15	65725	SLUZBY	\N	\N
588760	2003	1996-12-31	VYDAJ	VYBER	15	71450	SLUZBY	\N	\N
588761	2003	1997-01-31	VYDAJ	VYBER	15	33908	SLUZBY	\N	\N
588762	2003	1997-02-28	VYDAJ	VYBER	15	48107	SLUZBY	\N	\N
588763	2003	1997-03-31	VYDAJ	VYBER	15	51132	SLUZBY	\N	\N
588764	2003	1997-04-30	VYDAJ	VYBER	15	58055	SLUZBY	\N	\N
588765	2003	1997-05-31	VYDAJ	VYBER	15	61704	SLUZBY	\N	\N
588766	2003	1997-06-30	VYDAJ	VYBER	15	61319	SLUZBY	\N	\N
588767	2003	1997-07-31	VYDAJ	VYBER	15	54341	SLUZBY	\N	\N
588768	2003	1997-08-31	VYDAJ	VYBER	15	69182	SLUZBY	\N	\N
588769	2003	1997-09-30	VYDAJ	VYBER	15	70819	SLUZBY	\N	\N
588770	2003	1997-10-31	VYDAJ	VYBER	15	53837	SLUZBY	\N	\N
588771	2003	1997-11-30	VYDAJ	VYBER	15	59434	SLUZBY	\N	\N
588772	2003	1997-12-31	VYDAJ	VYBER	15	63891	SLUZBY	\N	\N
588773	2003	1998-01-31	VYDAJ	VYBER	15	47046	SLUZBY	\N	\N
588774	2003	1998-02-28	VYDAJ	VYBER	15	61753	SLUZBY	\N	\N
588775	2003	1998-03-31	VYDAJ	VYBER	15	78095	SLUZBY	\N	\N
588776	2003	1998-04-30	VYDAJ	VYBER	15	50604	SLUZBY	\N	\N
588777	2003	1998-05-31	VYDAJ	VYBER	15	64196	SLUZBY	\N	\N
588778	2003	1998-06-30	VYDAJ	VYBER	15	58199	SLUZBY	\N	\N
588779	2003	1998-07-31	VYDAJ	VYBER	15	67996	SLUZBY	\N	\N
588780	2003	1998-08-31	VYDAJ	VYBER	15	34203	SLUZBY	\N	\N
588781	2003	1998-09-30	VYDAJ	VYBER	15	49847	SLUZBY	\N	\N
588782	2003	1998-10-31	VYDAJ	VYBER	15	61340	SLUZBY	\N	\N
588783	2003	1998-11-30	VYDAJ	VYBER	15	64879	SLUZBY	\N	\N
588784	2003	1995-12-27	VYDAJ	VYBER	24100	47450	\N	\N	\N
588785	2003	1996-01-26	VYDAJ	VYBER	37700	56749	\N	\N	\N
588786	2003	1996-02-25	VYDAJ	VYBER	37600	66321	\N	\N	\N
588787	2003	1996-03-09	VYDAJ	VYBER	36000	77531	\N	\N	\N
588788	2003	1996-03-26	VYDAJ	VYBER	27000	50531	\N	\N	\N
588789	2003	1996-04-25	VYDAJ	VYBER	30900	66970	\N	\N	\N
588790	2003	1996-05-25	VYDAJ	VYBER	31400	58669	\N	\N	\N
588791	2003	1996-06-09	VYDAJ	VYBER	32200	97225	\N	\N	\N
588792	2003	1996-06-24	VYDAJ	VYBER	32800	64425	\N	\N	\N
588793	2003	1996-07-24	VYDAJ	VYBER	33500	68973	\N	\N	\N
588794	2003	1996-08-09	VYDAJ	VYBER	63300	52871	\N	\N	\N
588795	2003	1996-08-23	VYDAJ	VYBER	2700	35471	\N	\N	\N
588796	2003	1996-09-22	VYDAJ	VYBER	14400	49915	\N	\N	\N
588797	2003	1996-10-22	VYDAJ	VYBER	30700	57357	\N	\N	\N
588798	2003	1996-11-21	VYDAJ	VYBER	39100	65489	\N	\N	\N
588799	2003	1996-12-09	VYDAJ	VYBER	21000	111875	\N	\N	\N
588800	2003	1996-12-21	VYDAJ	VYBER	40800	71075	\N	\N	\N
588801	2003	1997-01-20	VYDAJ	VYBER	22400	57415	\N	\N	\N
588802	2003	1997-02-19	VYDAJ	VYBER	16400	47956	\N	\N	\N
588803	2003	1997-03-21	VYDAJ	VYBER	14900	57792	\N	\N	\N
588804	2003	1997-04-20	VYDAJ	VYBER	19800	57822	\N	\N	\N
588805	2003	1997-05-20	VYDAJ	VYBER	23900	61464	\N	\N	\N
588806	2003	1997-06-09	VYDAJ	VYBER	36400	81654	\N	\N	\N
588807	2003	1997-06-19	VYDAJ	VYBER	14900	61054	\N	\N	\N
588808	2003	1997-07-19	VYDAJ	VYBER	25200	66692	\N	\N	\N
588809	2003	1997-08-18	VYDAJ	VYBER	28600	70435	\N	\N	\N
588810	2003	1997-09-17	VYDAJ	VYBER	27700	70512	\N	\N	\N
588811	2003	1997-10-09	VYDAJ	VYBER	51300	66486	\N	\N	\N
588812	2003	1997-10-17	VYDAJ	VYBER	6100	53601	\N	\N	\N
588813	2003	1997-11-16	VYDAJ	VYBER	14700	59179	\N	\N	\N
588814	2003	1997-12-09	VYDAJ	VYBER	42100	81184	\N	\N	\N
588815	2003	1997-12-16	VYDAJ	VYBER	17600	63584	\N	\N	\N
588816	2003	1998-01-15	VYDAJ	VYBER	29900	78558	\N	\N	\N
588817	2003	1998-02-14	VYDAJ	VYBER	15200	61518	\N	\N	\N
588818	2003	1998-03-16	VYDAJ	VYBER	30900	77820	\N	\N	\N
588819	2003	1998-04-09	VYDAJ	VYBER	55100	69962	\N	\N	\N
588820	2003	1998-04-15	VYDAJ	VYBER	10900	50362	\N	\N	\N
588821	2003	1998-05-15	VYDAJ	VYBER	33600	63971	\N	\N	\N
588822	2003	1998-06-09	VYDAJ	VYBER	43100	91546	\N	\N	\N
588823	2003	1998-06-14	VYDAJ	VYBER	19800	57946	\N	\N	\N
588824	2003	1998-07-14	VYDAJ	VYBER	31200	73966	\N	\N	\N
588825	2003	1998-08-09	VYDAJ	VYBER	63900	51063	\N	\N	\N
588826	2003	1998-08-13	VYDAJ	VYBER	3200	47863	\N	\N	\N
588827	2003	1998-09-12	VYDAJ	VYBER	19500	61670	\N	\N	\N
588828	2003	1998-10-12	VYDAJ	VYBER	26700	70114	\N	\N	\N
588829	2003	1998-11-11	VYDAJ	VYBER	30500	75407	\N	\N	\N
588830	2003	1998-12-09	VYDAJ	VYBER	18500	116829	\N	\N	\N
588831	2003	1998-12-11	VYDAJ	VYBER	33500	83329	\N	\N	\N
588869	2004	1996-08-04	PRIJEM	VKLAD	700	700	\N	\N	\N
588877	2004	1996-08-06	PRIJEM	VKLAD	24409	25109	\N	\N	\N
588878	2004	1996-09-06	PRIJEM	VKLAD	24409	49906	\N	\N	\N
588879	2004	1996-10-06	PRIJEM	VKLAD	24409	65406	\N	\N	\N
588880	2004	1996-11-06	PRIJEM	VKLAD	24409	69077	\N	\N	\N
588881	2004	1996-12-06	PRIJEM	VKLAD	36614	84475	\N	\N	\N
588882	2004	1997-01-06	PRIJEM	VKLAD	24409	79717	\N	\N	\N
588883	2004	1997-02-06	PRIJEM	VKLAD	24409	60694	\N	\N	\N
588884	2004	1997-03-06	PRIJEM	VKLAD	24409	66850	\N	\N	\N
588885	2004	1997-04-06	PRIJEM	VKLAD	24409	69043	\N	\N	\N
588886	2004	1997-05-06	PRIJEM	VKLAD	24409	70028	\N	\N	\N
588887	2004	1997-06-06	PRIJEM	VKLAD	36614	51419	\N	\N	\N
588888	2004	1997-07-06	PRIJEM	VKLAD	24409	64960	\N	\N	\N
588889	2004	1997-08-06	PRIJEM	VKLAD	24409	68483	\N	\N	\N
588890	2004	1997-09-06	PRIJEM	VKLAD	24409	69721	\N	\N	\N
588891	2004	1997-10-06	PRIJEM	VKLAD	24409	75692	\N	\N	\N
588892	2004	1997-11-06	PRIJEM	VKLAD	24409	81103	\N	\N	\N
588893	2004	1997-12-06	PRIJEM	VKLAD	36614	94699	\N	\N	\N
588894	2004	1998-01-06	PRIJEM	VKLAD	24409	81768	\N	\N	\N
588895	2004	1998-02-06	PRIJEM	VKLAD	24409	71234	\N	\N	\N
588896	2004	1998-03-06	PRIJEM	VKLAD	24409	70203	\N	\N	\N
588897	2004	1998-04-06	PRIJEM	VKLAD	24409	67564	\N	\N	\N
588898	2004	1998-05-06	PRIJEM	VKLAD	24409	68219	\N	\N	\N
588899	2004	1998-06-06	PRIJEM	VKLAD	36614	59988	\N	\N	\N
588900	2004	1998-07-06	PRIJEM	VKLAD	24409	70536	\N	\N	\N
588901	2004	1998-08-06	PRIJEM	VKLAD	24409	74816	\N	\N	\N
588902	2004	1998-09-06	PRIJEM	VKLAD	24409	81901	\N	\N	\N
588903	2004	1998-10-06	PRIJEM	VKLAD	24409	87826	\N	\N	\N
588904	2004	1998-11-06	PRIJEM	VKLAD	24409	92773	\N	\N	\N
588905	2004	1998-12-06	PRIJEM	VKLAD	36614	105528	\N	\N	\N
588917	2004	1996-12-06	VYDAJ	PREVOD NA UCET	5472	79003	SIPO	MN	4163760
588918	2004	1997-01-06	VYDAJ	PREVOD NA UCET	5472	74245	SIPO	MN	4163760
588919	2004	1997-02-06	VYDAJ	PREVOD NA UCET	5472	55222	SIPO	MN	4163760
588920	2004	1997-03-06	VYDAJ	PREVOD NA UCET	5472	61378	SIPO	MN	4163760
588921	2004	1997-04-06	VYDAJ	PREVOD NA UCET	5472	63571	SIPO	MN	4163760
588922	2004	1997-05-06	VYDAJ	PREVOD NA UCET	5472	64556	SIPO	MN	4163760
588923	2004	1997-06-06	VYDAJ	PREVOD NA UCET	5472	45947	SIPO	MN	4163760
588924	2004	1997-07-06	VYDAJ	PREVOD NA UCET	5472	59488	SIPO	MN	4163760
588925	2004	1997-08-06	VYDAJ	PREVOD NA UCET	5472	63011	SIPO	MN	4163760
588926	2004	1997-09-06	VYDAJ	PREVOD NA UCET	5472	64249	SIPO	MN	4163760
588927	2004	1997-10-06	VYDAJ	PREVOD NA UCET	5472	70220	SIPO	MN	4163760
588928	2004	1997-11-06	VYDAJ	PREVOD NA UCET	5472	75631	SIPO	MN	4163760
588929	2004	1997-12-06	VYDAJ	PREVOD NA UCET	5472	89227	SIPO	MN	4163760
588930	2004	1998-01-06	VYDAJ	PREVOD NA UCET	5472	76296	SIPO	MN	4163760
588931	2004	1998-02-06	VYDAJ	PREVOD NA UCET	5472	65762	SIPO	MN	4163760
588932	2004	1998-03-06	VYDAJ	PREVOD NA UCET	5472	64731	SIPO	MN	4163760
588933	2004	1998-04-06	VYDAJ	PREVOD NA UCET	5472	62092	SIPO	MN	4163760
588934	2004	1998-05-06	VYDAJ	PREVOD NA UCET	5472	62747	SIPO	MN	4163760
588935	2004	1998-06-06	VYDAJ	PREVOD NA UCET	5472	54516	SIPO	MN	4163760
588936	2004	1998-07-06	VYDAJ	PREVOD NA UCET	5472	65064	SIPO	MN	4163760
588937	2004	1998-08-06	VYDAJ	PREVOD NA UCET	5472	69344	SIPO	MN	4163760
588938	2004	1998-09-06	VYDAJ	PREVOD NA UCET	5472	76429	SIPO	MN	4163760
588939	2004	1998-10-06	VYDAJ	PREVOD NA UCET	5472	82354	SIPO	MN	4163760
588940	2004	1998-11-06	VYDAJ	PREVOD NA UCET	5472	87301	SIPO	MN	4163760
588941	2004	1998-12-06	VYDAJ	PREVOD NA UCET	5472	100056	SIPO	MN	4163760
588943	2004	1997-06-05	VYDAJ	VYBER	29600	14806	\N	\N	\N
588944	2004	1998-06-05	VYDAJ	VYBER	20000	23375	\N	\N	\N
588946	2004	1997-01-09	VYDAJ	VYBER	11040	60205	\N	\N	\N
588947	2004	1998-01-19	VYDAJ	VYBER	10720	60976	\N	\N	\N
588948	2004	1996-12-30	VYDAJ	VYBER	3520	75483	\N	\N	\N
588949	2004	1997-12-21	VYDAJ	VYBER	4480	84747	\N	\N	\N
588950	2004	1998-12-21	VYDAJ	VYBER KARTOU	4000	96056	\N	\N	0
588957	2004	1997-01-07	VYDAJ	VYBER	3000	71245	\N	\N	\N
588958	2004	1997-01-16	VYDAJ	VYBER	3480	48685	\N	\N	\N
588959	2004	1997-01-12	VYDAJ	VYBER	1920	58285	\N	\N	\N
588960	2004	1997-01-12	VYDAJ	VYBER	3120	55165	\N	\N	\N
588961	2004	1997-01-13	VYDAJ	VYBER	3000	52165	\N	\N	\N
588962	2004	1997-01-22	VYDAJ	VYBER	1320	47365	\N	\N	\N
588963	2004	1998-01-09	VYDAJ	VYBER KARTOU	1700	74596	\N	\N	0
588964	2004	1998-01-22	VYDAJ	VYBER KARTOU	1600	59376	\N	\N	0
588965	2004	1998-01-24	VYDAJ	VYBER KARTOU	3100	56276	\N	\N	0
588966	2004	1998-01-05	VYDAJ	VYBER KARTOU	1700	57359	\N	\N	0
588967	2004	1998-01-03	VYDAJ	VYBER KARTOU	1100	59059	\N	\N	0
588968	2004	1998-01-11	VYDAJ	VYBER KARTOU	2900	71696	\N	\N	0
588973	2004	1997-08-14	VYDAJ	VYBER	3120	59891	\N	\N	\N
588974	2004	1997-05-15	VYDAJ	VYBER	4800	59756	\N	\N	\N
588975	2004	1997-07-15	VYDAJ	VYBER	4800	54688	\N	\N	\N
588976	2004	1997-11-21	VYDAJ	VYBER	2520	73111	\N	\N	\N
588977	2004	1997-07-26	VYDAJ	VYBER	1320	53368	\N	\N	\N
588978	2004	1998-03-17	VYDAJ	VYBER KARTOU	2300	62431	\N	\N	0
588979	2004	1998-12-05	VYDAJ	VYBER KARTOU	1400	68914	\N	\N	0
588980	2004	1998-02-23	VYDAJ	VYBER KARTOU	3800	61962	\N	\N	0
588981	2004	1998-05-22	VYDAJ	VYBER KARTOU	3100	59647	\N	\N	0
588994	2004	1996-12-31	VYDAJ	VYBER	15	75808	SLUZBY	\N	\N
588995	2004	1997-01-31	VYDAJ	VYBER	15	36285	SLUZBY	\N	\N
588996	2004	1997-02-28	VYDAJ	VYBER	15	55441	SLUZBY	\N	\N
588997	2004	1997-03-31	VYDAJ	VYBER	15	61634	SLUZBY	\N	\N
588998	2004	1997-04-30	VYDAJ	VYBER	15	63819	SLUZBY	\N	\N
588999	2004	1997-05-31	VYDAJ	VYBER	15	60006	SLUZBY	\N	\N
589000	2004	1997-06-30	VYDAJ	VYBER	15	46151	SLUZBY	\N	\N
589001	2004	1997-07-31	VYDAJ	VYBER	15	44074	SLUZBY	\N	\N
589002	2004	1997-08-31	VYDAJ	VYBER	15	45312	SLUZBY	\N	\N
589003	2004	1997-09-30	VYDAJ	VYBER	15	51283	SLUZBY	\N	\N
589004	2004	1997-10-31	VYDAJ	VYBER	15	56694	SLUZBY	\N	\N
589005	2004	1997-11-30	VYDAJ	VYBER	15	58085	SLUZBY	\N	\N
589006	2004	1997-12-31	VYDAJ	VYBER	15	60159	SLUZBY	\N	\N
589007	2004	1998-01-31	VYDAJ	VYBER	15	46825	SLUZBY	\N	\N
589008	2004	1998-02-28	VYDAJ	VYBER	15	45794	SLUZBY	\N	\N
589009	2004	1998-03-31	VYDAJ	VYBER	15	43155	SLUZBY	\N	\N
589010	2004	1998-04-30	VYDAJ	VYBER	15	43810	SLUZBY	\N	\N
589011	2004	1998-05-31	VYDAJ	VYBER	15	43375	SLUZBY	\N	\N
589012	2004	1998-06-30	VYDAJ	VYBER	15	46127	SLUZBY	\N	\N
589013	2004	1998-07-31	VYDAJ	VYBER	15	50407	SLUZBY	\N	\N
589014	2004	1998-08-31	VYDAJ	VYBER	15	57492	SLUZBY	\N	\N
589015	2004	1998-09-30	VYDAJ	VYBER	15	63417	SLUZBY	\N	\N
589016	2004	1998-10-31	VYDAJ	VYBER	15	68364	SLUZBY	\N	\N
589017	2004	1998-11-30	VYDAJ	VYBER	15	70314	SLUZBY	\N	\N
589018	2004	1996-09-03	PRIJEM	VKLAD	300	25497	\N	\N	\N
589019	2004	1996-10-03	VYDAJ	VYBER	9100	40997	\N	\N	\N
589020	2004	1996-11-02	VYDAJ	VYBER	21000	44668	\N	\N	\N
589021	2004	1996-12-02	VYDAJ	VYBER	21500	47862	\N	\N	\N
589022	2004	1997-01-01	VYDAJ	VYBER	20500	55308	\N	\N	\N
589023	2004	1997-01-31	VYDAJ	VYBER	11300	36300	\N	\N	\N
589024	2004	1997-03-02	VYDAJ	VYBER	13000	42441	\N	\N	\N
589025	2004	1997-04-01	VYDAJ	VYBER	17000	44634	\N	\N	\N
589026	2004	1997-05-01	VYDAJ	VYBER	18200	45619	\N	\N	\N
589027	2004	1997-05-31	VYDAJ	VYBER	15600	44406	\N	\N	\N
589028	2004	1997-06-30	VYDAJ	VYBER	5600	40551	\N	\N	\N
589029	2004	1997-07-30	VYDAJ	VYBER	9500	43868	\N	\N	\N
589030	2004	1997-08-29	VYDAJ	VYBER	14800	45091	\N	\N	\N
589031	2004	1997-09-28	VYDAJ	VYBER	13200	51049	\N	\N	\N
589032	2004	1997-10-28	VYDAJ	VYBER	13800	56420	\N	\N	\N
589033	2004	1997-11-27	VYDAJ	VYBER	15300	57811	\N	\N	\N
589034	2004	1997-12-27	VYDAJ	VYBER	24900	59847	\N	\N	\N
589035	2004	1998-01-26	VYDAJ	VYBER	9700	46576	\N	\N	\N
589036	2004	1998-02-25	VYDAJ	VYBER	16400	45562	\N	\N	\N
589037	2004	1998-03-27	VYDAJ	VYBER	19500	42931	\N	\N	\N
589038	2004	1998-04-26	VYDAJ	VYBER	18500	43592	\N	\N	\N
589039	2004	1998-05-26	VYDAJ	VYBER	16500	43147	\N	\N	\N
589040	2004	1998-06-25	VYDAJ	VYBER	8600	45916	\N	\N	\N
589041	2004	1998-07-25	VYDAJ	VYBER	14900	50164	\N	\N	\N
589042	2004	1998-08-24	VYDAJ	VYBER	12100	57244	\N	\N	\N
589043	2004	1998-09-23	VYDAJ	VYBER	13300	63129	\N	\N	\N
589044	2004	1998-10-23	VYDAJ	VYBER	14300	68054	\N	\N	\N
589045	2004	1998-11-22	VYDAJ	VYBER	17300	70001	\N	\N	\N
589075	2005	1997-05-11	PRIJEM	VKLAD	700	700	\N	\N	\N
589081	2005	1997-06-07	PRIJEM	PREVOD Z UCTU	3412	4112	\N	AB	66585641
589082	2005	1997-07-07	PRIJEM	PREVOD Z UCTU	3412	15961	\N	AB	66585641
589083	2005	1997-08-07	PRIJEM	PREVOD Z UCTU	3412	21240	\N	AB	66585641
589084	2005	1997-09-07	PRIJEM	PREVOD Z UCTU	3412	23934	\N	AB	66585641
589085	2005	1997-10-07	PRIJEM	PREVOD Z UCTU	3412	29048	\N	AB	66585641
589086	2005	1997-11-07	PRIJEM	PREVOD Z UCTU	3412	32591	\N	AB	66585641
589087	2005	1997-12-07	PRIJEM	PREVOD Z UCTU	3412	29716	\N	AB	66585641
589088	2005	1998-01-07	PRIJEM	PREVOD Z UCTU	3412	29430	\N	AB	66585641
589089	2005	1998-02-07	PRIJEM	PREVOD Z UCTU	3412	33536	\N	AB	66585641
589090	2005	1998-03-07	PRIJEM	PREVOD Z UCTU	3412	34790	\N	AB	66585641
589091	2005	1998-04-07	PRIJEM	PREVOD Z UCTU	3412	37940	\N	AB	66585641
589092	2005	1998-05-07	PRIJEM	PREVOD Z UCTU	3412	38507	\N	AB	66585641
589093	2005	1998-06-07	PRIJEM	PREVOD Z UCTU	3412	35252	\N	AB	66585641
589094	2005	1998-07-07	PRIJEM	PREVOD Z UCTU	3412	27189	\N	AB	66585641
589095	2005	1998-08-07	PRIJEM	PREVOD Z UCTU	3412	30057	\N	AB	66585641
589096	2005	1998-09-07	PRIJEM	PREVOD Z UCTU	3412	31197	\N	AB	66585641
589097	2005	1998-10-07	PRIJEM	PREVOD Z UCTU	3412	29141	\N	AB	66585641
589098	2005	1998-11-07	PRIJEM	PREVOD Z UCTU	3412	26480	\N	AB	66585641
589099	2005	1998-12-07	PRIJEM	PREVOD Z UCTU	3412	24708	\N	AB	66585641
589109	2005	1997-10-13	VYDAJ	PREVOD NA UCET	1924	29074	SIPO	ST	7945675
589110	2005	1997-11-13	VYDAJ	PREVOD NA UCET	1924	26617	SIPO	ST	7945675
589111	2005	1997-12-13	VYDAJ	PREVOD NA UCET	1924	27442	SIPO	ST	7945675
589112	2005	1998-01-13	VYDAJ	PREVOD NA UCET	1924	26046	SIPO	ST	7945675
589113	2005	1998-02-13	VYDAJ	PREVOD NA UCET	1924	31262	SIPO	ST	7945675
589114	2005	1998-03-13	VYDAJ	PREVOD NA UCET	1924	29825	SIPO	ST	7945675
589115	2005	1998-04-13	VYDAJ	PREVOD NA UCET	1924	35215	SIPO	ST	7945675
589116	2005	1998-05-13	VYDAJ	PREVOD NA UCET	1924	36442	SIPO	ST	7945675
589117	2005	1998-06-13	VYDAJ	PREVOD NA UCET	1924	24487	SIPO	ST	7945675
589118	2005	1998-07-13	VYDAJ	PREVOD NA UCET	1924	24915	SIPO	ST	7945675
589119	2005	1998-08-13	VYDAJ	PREVOD NA UCET	1924	27992	SIPO	ST	7945675
589120	2005	1998-09-13	VYDAJ	PREVOD NA UCET	1924	29132	SIPO	ST	7945675
589121	2005	1998-10-13	VYDAJ	PREVOD NA UCET	1924	27076	SIPO	ST	7945675
589122	2005	1998-11-13	VYDAJ	PREVOD NA UCET	1924	24415	SIPO	ST	7945675
589123	2005	1998-12-13	VYDAJ	PREVOD NA UCET	1924	22643	SIPO	ST	7945675
589133	2005	1997-10-12	VYDAJ	PREVOD NA UCET	141	31207	 	MN	85910385
589134	2005	1997-11-12	VYDAJ	PREVOD NA UCET	141	28750	 	MN	85910385
589135	2005	1997-12-12	VYDAJ	PREVOD NA UCET	141	29575	 	MN	85910385
589136	2005	1998-01-12	VYDAJ	PREVOD NA UCET	141	28179	 	MN	85910385
589137	2005	1998-02-12	VYDAJ	PREVOD NA UCET	141	33395	 	MN	85910385
589138	2005	1998-03-12	VYDAJ	PREVOD NA UCET	141	31749	 	MN	85910385
589139	2005	1998-04-12	VYDAJ	PREVOD NA UCET	141	37139	 	MN	85910385
589140	2005	1998-05-12	VYDAJ	PREVOD NA UCET	141	38366	 	MN	85910385
589141	2005	1998-06-12	VYDAJ	PREVOD NA UCET	141	26411	 	MN	85910385
589142	2005	1998-07-12	VYDAJ	PREVOD NA UCET	141	27048	 	MN	85910385
589143	2005	1998-08-12	VYDAJ	PREVOD NA UCET	141	29916	 	MN	85910385
589144	2005	1998-09-12	VYDAJ	PREVOD NA UCET	141	31056	 	MN	85910385
589145	2005	1998-10-12	VYDAJ	PREVOD NA UCET	141	29000	 	MN	85910385
589146	2005	1998-11-12	VYDAJ	PREVOD NA UCET	141	26339	 	MN	85910385
589147	2005	1998-12-12	VYDAJ	PREVOD NA UCET	141	24567	 	MN	85910385
589157	2005	1997-10-13	VYDAJ	PREVOD NA UCET	209	30998	POJISTNE	GH	61473250
589158	2005	1997-11-13	VYDAJ	PREVOD NA UCET	209	28541	POJISTNE	GH	61473250
589159	2005	1997-12-13	VYDAJ	PREVOD NA UCET	209	29366	POJISTNE	GH	61473250
589160	2005	1998-01-13	VYDAJ	PREVOD NA UCET	209	27970	POJISTNE	GH	61473250
589161	2005	1998-02-13	VYDAJ	PREVOD NA UCET	209	33186	POJISTNE	GH	61473250
589162	2005	1998-03-13	VYDAJ	PREVOD NA UCET	209	29616	POJISTNE	GH	61473250
589163	2005	1998-04-13	VYDAJ	PREVOD NA UCET	209	35006	POJISTNE	GH	61473250
589164	2005	1998-05-13	VYDAJ	PREVOD NA UCET	209	36233	POJISTNE	GH	61473250
589165	2005	1998-06-13	VYDAJ	PREVOD NA UCET	209	24278	POJISTNE	GH	61473250
589166	2005	1998-07-13	VYDAJ	PREVOD NA UCET	209	26839	POJISTNE	GH	61473250
589167	2005	1998-08-13	VYDAJ	PREVOD NA UCET	209	27783	POJISTNE	GH	61473250
589168	2005	1998-09-13	VYDAJ	PREVOD NA UCET	209	28923	POJISTNE	GH	61473250
589169	2005	1998-10-13	VYDAJ	PREVOD NA UCET	209	26867	POJISTNE	GH	61473250
589170	2005	1998-11-13	VYDAJ	PREVOD NA UCET	209	24206	POJISTNE	GH	61473250
589171	2005	1998-12-13	VYDAJ	PREVOD NA UCET	209	22434	POJISTNE	GH	61473250
589173	2005	1998-06-08	VYDAJ	VYBER	8700	26552	\N	\N	\N
589175	2005	1998-01-26	VYDAJ	VYBER	720	24756	\N	\N	\N
589176	2005	1997-12-06	VYDAJ	VYBER	420	26304	\N	\N	\N
589177	2005	1998-12-14	VYDAJ	VYBER	840	21594	\N	\N	\N
589184	2005	1998-01-01	VYDAJ	VYBER	780	26768	\N	\N	\N
589185	2005	1998-01-29	VYDAJ	VYBER	630	24126	\N	\N	\N
589186	2005	1998-01-05	VYDAJ	VYBER	150	26618	\N	\N	\N
589187	2005	1998-01-10	VYDAJ	VYBER	840	28320	\N	\N	\N
589188	2005	1998-01-25	VYDAJ	VYBER	570	25476	\N	\N	\N
589189	2005	1998-01-07	VYDAJ	VYBER	270	29160	\N	\N	\N
589196	2005	1998-05-02	VYDAJ	VYBER	1440	33695	\N	\N	\N
589197	2005	1998-05-26	VYDAJ	VYBER	1230	35003	\N	\N	\N
589198	2005	1998-04-07	VYDAJ	VYBER	660	37280	\N	\N	\N
589199	2005	1998-08-04	VYDAJ	VYBER	1260	26645	\N	\N	\N
589210	2005	1997-10-31	VYDAJ	VYBER	15	29179	SLUZBY	\N	\N
589211	2005	1997-11-30	VYDAJ	VYBER	15	26724	SLUZBY	\N	\N
589212	2005	1997-12-31	VYDAJ	VYBER	15	27548	SLUZBY	\N	\N
589213	2005	1998-01-31	VYDAJ	VYBER	15	24224	SLUZBY	\N	\N
589214	2005	1998-02-28	VYDAJ	VYBER	15	31378	SLUZBY	\N	\N
589215	2005	1998-03-31	VYDAJ	VYBER	15	29728	SLUZBY	\N	\N
589216	2005	1998-04-30	VYDAJ	VYBER	15	35135	SLUZBY	\N	\N
589217	2005	1998-05-31	VYDAJ	VYBER	15	35140	SLUZBY	\N	\N
589218	2005	1998-06-30	VYDAJ	VYBER	15	24377	SLUZBY	\N	\N
589219	2005	1998-07-31	VYDAJ	VYBER	15	25005	SLUZBY	\N	\N
589220	2005	1998-08-31	VYDAJ	VYBER	15	27885	SLUZBY	\N	\N
589221	2005	1998-09-30	VYDAJ	VYBER	15	29029	SLUZBY	\N	\N
589222	2005	1998-10-31	VYDAJ	VYBER	15	26968	SLUZBY	\N	\N
589223	2005	1998-11-30	VYDAJ	VYBER	15	24296	SLUZBY	\N	\N
589224	2005	1997-06-10	PRIJEM	VKLAD	8400	12512	\N	\N	\N
589225	2005	1997-07-10	PRIJEM	VKLAD	1800	17761	\N	\N	\N
589226	2005	1997-08-09	VYDAJ	VYBER	800	20440	\N	\N	\N
589227	2005	1997-09-08	PRIJEM	VKLAD	1600	25534	\N	\N	\N
589228	2005	1997-10-08	PRIJEM	VKLAD	2300	31348	\N	\N	\N
589229	2005	1997-11-07	VYDAJ	VYBER	3700	28891	\N	\N	\N
589230	2005	1998-01-06	VYDAJ	VYBER	600	26018	\N	\N	\N
589231	2005	1998-02-05	PRIJEM	VKLAD	5900	30124	\N	\N	\N
589232	2005	1998-03-07	VYDAJ	VYBER	2900	31890	\N	\N	\N
589233	2005	1998-04-06	PRIJEM	VKLAD	4800	34528	\N	\N	\N
589234	2005	1998-05-06	PRIJEM	VKLAD	1400	35095	\N	\N	\N
589235	2005	1998-06-05	VYDAJ	VYBER	3300	31840	\N	\N	\N
589236	2005	1998-07-05	VYDAJ	VYBER	600	23777	\N	\N	\N
589237	2005	1998-08-04	PRIJEM	VKLAD	2900	27905	\N	\N	\N
589238	2005	1998-09-03	VYDAJ	VYBER	100	27785	\N	\N	\N
589239	2005	1998-10-03	VYDAJ	VYBER	3300	25729	\N	\N	\N
589240	2005	1998-11-02	VYDAJ	VYBER	3900	23068	\N	\N	\N
589241	2005	1998-12-02	VYDAJ	VYBER	3000	21296	\N	\N	\N
589261	2006	1997-06-16	PRIJEM	VKLAD	700	700	\N	\N	\N
589268	2006	1997-07-13	PRIJEM	PREVOD Z UCTU	5261	5961	DUCHOD	OP	23346680
589269	2006	1997-08-13	PRIJEM	PREVOD Z UCTU	5261	11222	DUCHOD	OP	23346680
589270	2006	1997-09-13	PRIJEM	PREVOD Z UCTU	5261	16483	DUCHOD	OP	23346680
589271	2006	1997-10-13	PRIJEM	PREVOD Z UCTU	5261	21744	DUCHOD	OP	23346680
589434	2007	1998-04-02	PRIJEM	VKLAD	28636	56593	\N	\N	\N
589272	2006	1997-11-13	PRIJEM	PREVOD Z UCTU	5261	27005	DUCHOD	OP	23346680
589273	2006	1997-12-13	PRIJEM	PREVOD Z UCTU	5261	29120	DUCHOD	OP	23346680
589274	2006	1998-01-13	PRIJEM	PREVOD Z UCTU	5261	25527	DUCHOD	OP	23346680
589275	2006	1998-02-13	PRIJEM	PREVOD Z UCTU	5261	17344	DUCHOD	OP	23346680
589276	2006	1998-03-13	PRIJEM	PREVOD Z UCTU	5261	14640	DUCHOD	OP	23346680
589277	2006	1998-04-13	PRIJEM	PREVOD Z UCTU	5261	16808	DUCHOD	OP	23346680
589278	2006	1998-05-13	PRIJEM	PREVOD Z UCTU	5261	15304	DUCHOD	OP	23346680
589279	2006	1998-06-13	PRIJEM	PREVOD Z UCTU	5261	17474	DUCHOD	OP	23346680
589280	2006	1998-07-13	PRIJEM	PREVOD Z UCTU	5261	17603	DUCHOD	OP	23346680
589281	2006	1998-08-13	PRIJEM	PREVOD Z UCTU	5261	19783	DUCHOD	OP	23346680
589282	2006	1998-09-13	PRIJEM	PREVOD Z UCTU	5261	21972	DUCHOD	OP	23346680
589283	2006	1998-10-13	PRIJEM	PREVOD Z UCTU	5261	24170	DUCHOD	OP	23346680
589284	2006	1998-11-13	PRIJEM	PREVOD Z UCTU	5261	26377	DUCHOD	OP	23346680
589285	2006	1998-12-13	PRIJEM	PREVOD Z UCTU	5261	25872	DUCHOD	OP	23346680
589297	2006	1997-12-10	VYDAJ	PREVOD NA UCET	2764	23859	SIPO	WX	41503340
589298	2006	1998-01-10	VYDAJ	PREVOD NA UCET	2764	23946	SIPO	WX	41503340
589299	2006	1998-02-10	VYDAJ	PREVOD NA UCET	2764	12083	SIPO	WX	41503340
589300	2006	1998-03-10	VYDAJ	PREVOD NA UCET	2764	9379	SIPO	WX	41503340
589301	2006	1998-04-10	VYDAJ	PREVOD NA UCET	2764	11547	SIPO	WX	41503340
589302	2006	1998-05-10	VYDAJ	PREVOD NA UCET	2764	10043	SIPO	WX	41503340
589303	2006	1998-06-10	VYDAJ	PREVOD NA UCET	2764	12213	SIPO	WX	41503340
589304	2006	1998-07-10	VYDAJ	PREVOD NA UCET	2764	12342	SIPO	WX	41503340
589305	2006	1998-08-10	VYDAJ	PREVOD NA UCET	2764	14522	SIPO	WX	41503340
589306	2006	1998-09-10	VYDAJ	PREVOD NA UCET	2764	16711	SIPO	WX	41503340
589307	2006	1998-10-10	VYDAJ	PREVOD NA UCET	2764	18909	SIPO	WX	41503340
589308	2006	1998-11-10	VYDAJ	PREVOD NA UCET	2764	21116	SIPO	WX	41503340
589309	2006	1998-12-10	VYDAJ	PREVOD NA UCET	2764	20611	SIPO	WX	41503340
589321	2006	1997-12-06	VYDAJ	PREVOD NA UCET	371	26623	 	AB	73561632
589322	2006	1998-01-06	VYDAJ	PREVOD NA UCET	371	27110	 	AB	73561632
589323	2006	1998-02-06	VYDAJ	PREVOD NA UCET	371	14847	 	AB	73561632
589324	2006	1998-03-06	VYDAJ	PREVOD NA UCET	371	12143	 	AB	73561632
589325	2006	1998-04-06	VYDAJ	PREVOD NA UCET	371	14311	 	AB	73561632
589326	2006	1998-05-06	VYDAJ	PREVOD NA UCET	371	12807	 	AB	73561632
589327	2006	1998-06-06	VYDAJ	PREVOD NA UCET	371	14977	 	AB	73561632
589328	2006	1998-07-06	VYDAJ	PREVOD NA UCET	371	15106	 	AB	73561632
589329	2006	1998-08-06	VYDAJ	PREVOD NA UCET	371	17286	 	AB	73561632
589330	2006	1998-09-06	VYDAJ	PREVOD NA UCET	371	19475	 	AB	73561632
589331	2006	1998-10-06	VYDAJ	PREVOD NA UCET	371	21673	 	AB	73561632
589332	2006	1998-11-06	VYDAJ	PREVOD NA UCET	371	23880	 	AB	73561632
589333	2006	1998-12-06	VYDAJ	PREVOD NA UCET	371	23375	 	AB	73561632
589335	2006	1998-06-29	VYDAJ	VYBER	2050	15424	\N	\N	\N
589337	2006	1998-01-27	VYDAJ	VYBER	3750	15137	\N	\N	\N
589338	2006	1997-12-15	VYDAJ	VYBER	700	28420	\N	\N	\N
589339	2006	1998-12-14	VYDAJ	VYBER	1300	24572	\N	\N	\N
589346	2006	1998-01-24	VYDAJ	VYBER	2160	18887	\N	\N	\N
589347	2006	1998-01-22	VYDAJ	VYBER	1120	21047	\N	\N	\N
589348	2006	1998-01-11	VYDAJ	VYBER	1680	22266	\N	\N	\N
589349	2006	1998-01-02	VYDAJ	VYBER	1040	27481	\N	\N	\N
589350	2006	1998-01-08	VYDAJ	VYBER	400	26710	\N	\N	\N
589351	2006	1998-01-12	VYDAJ	VYBER	2000	20266	\N	\N	\N
589357	2006	1998-11-27	VYDAJ	VYBER	2720	23657	\N	\N	\N
589358	2006	1998-02-28	VYDAJ	VYBER	1920	12529	\N	\N	\N
589360	2006	1998-02-24	VYDAJ	VYBER	2960	14384	\N	\N	\N
589361	2006	1998-04-29	VYDAJ	VYBER	3680	13128	\N	\N	\N
589362	2006	1998-01-21	VYDAJ	VYBER	3360	22167	\N	\N	\N
589374	2006	1997-11-30	VYDAJ	VYBER	15	26994	SLUZBY	\N	\N
589375	2006	1997-12-31	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
589376	2006	1998-01-31	VYDAJ	VYBER	15	15218	SLUZBY	\N	\N
589377	2006	1998-02-28	VYDAJ	VYBER	15	12514	SLUZBY	\N	\N
589378	2006	1998-03-31	VYDAJ	VYBER	15	14682	SLUZBY	\N	\N
589379	2006	1998-04-30	VYDAJ	VYBER	15	13178	SLUZBY	\N	\N
589380	2006	1998-05-31	VYDAJ	VYBER	15	15348	SLUZBY	\N	\N
589381	2006	1998-06-30	VYDAJ	VYBER	15	15477	SLUZBY	\N	\N
589382	2006	1998-07-31	VYDAJ	VYBER	15	17657	SLUZBY	\N	\N
589383	2006	1998-08-31	VYDAJ	VYBER	15	19846	SLUZBY	\N	\N
589384	2006	1998-09-30	VYDAJ	VYBER	15	22044	SLUZBY	\N	\N
589385	2006	1998-10-31	VYDAJ	VYBER	15	24251	SLUZBY	\N	\N
589386	2006	1998-11-30	VYDAJ	VYBER	15	23746	SLUZBY	\N	\N
589401	2007	1997-09-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
589403	2007	1997-11-18	PRIJEM	VKLAD	46249	131593	\N	\N	\N
589415	2007	1997-11-02	PRIJEM	VKLAD	16989	38462	\N	\N	\N
589416	2007	1997-11-08	PRIJEM	VKLAD	36138	122744	\N	\N	\N
589423	2007	1997-11-04	PRIJEM	VKLAD	48144	86606	\N	\N	\N
589426	2007	1997-10-02	PRIJEM	VKLAD	15964	17064	\N	\N	\N
589427	2007	1998-01-11	PRIJEM	VKLAD	46088	68305	\N	\N	\N
589428	2007	1998-06-09	PRIJEM	VKLAD	35428	109093	\N	\N	\N
589429	2007	1998-01-19	PRIJEM	VKLAD	49189	95594	\N	\N	\N
589430	2007	1998-07-03	PRIJEM	VKLAD	12817	47577	\N	\N	\N
589431	2007	1998-06-16	PRIJEM	VKLAD	21054	86547	\N	\N	\N
589432	2007	1998-06-07	PRIJEM	VKLAD	32884	73665	\N	\N	\N
589433	2007	1998-05-06	PRIJEM	VKLAD	6117	38853	\N	\N	\N
589435	2007	1998-02-06	PRIJEM	VKLAD	14575	57671	\N	\N	\N
589436	2007	1998-07-12	PRIJEM	VKLAD	29980	102994	\N	\N	\N
589437	2007	1998-12-17	PRIJEM	VKLAD	28720	103512	\N	\N	\N
589438	2007	1998-07-30	PRIJEM	VKLAD	40678	86972	\N	\N	\N
589439	2007	1998-11-12	PRIJEM	VKLAD	20518	64023	\N	\N	\N
589440	2007	1998-11-26	PRIJEM	VKLAD	16544	57235	\N	\N	\N
589441	2007	1998-07-05	PRIJEM	VKLAD	25437	73014	\N	\N	\N
589442	2007	1998-12-01	PRIJEM	VKLAD	34904	92316	\N	\N	\N
589443	2007	1998-09-07	PRIJEM	VKLAD	47521	92017	\N	\N	\N
589444	2007	1998-11-17	PRIJEM	VKLAD	25293	79707	\N	\N	\N
589445	2007	1998-11-08	PRIJEM	VKLAD	20723	43505	\N	\N	\N
589446	2007	1998-02-08	PRIJEM	VKLAD	6413	64084	\N	\N	\N
589447	2007	1998-12-28	PRIJEM	VKLAD	6483	69195	\N	\N	\N
589448	2007	1998-06-01	PRIJEM	VKLAD	19334	45721	\N	\N	\N
589449	2007	1998-08-20	PRIJEM	VKLAD	42551	129800	\N	\N	\N
589452	2007	1997-11-22	VYBER	VYBER	8023	68570	\N	\N	\N
589461	2007	1997-12-24	VYBER	VYBER	23986	19564	\N	\N	\N
589465	2007	1998-11-21	VYBER	VYBER	19916	59791	\N	\N	\N
589466	2007	1998-11-13	VYBER	VYBER	9609	54414	\N	\N	\N
589467	2007	1998-06-02	VYBER	VYBER	4940	40781	\N	\N	\N
589468	2007	1998-09-16	VYBER	VYBER	8299	83718	\N	\N	\N
589470	2007	1998-06-19	VYBER	VYBER	20006	42122	\N	\N	\N
589471	2007	1998-06-17	VYBER	VYBER	24419	62128	\N	\N	\N
589472	2007	1998-01-26	VYBER	VYBER	22720	70474	\N	\N	\N
589473	2007	1998-12-03	VYBER	VYBER	14224	78092	\N	\N	\N
589477	2007	1998-05-06	VYBER	VYBER	16853	22000	\N	\N	\N
589481	2007	1998-01-15	VYDAJ	VYBER	10500	50605	\N	\N	\N
589482	2007	1997-12-14	VYDAJ	VYBER	3000	43550	\N	\N	\N
589483	2007	1998-12-13	VYDAJ	VYBER	3300	74792	\N	\N	\N
589490	2007	1998-01-25	VYDAJ	VYBER	2400	93194	\N	\N	\N
589491	2007	1998-01-11	VYDAJ	VYBER	7200	61105	\N	\N	\N
589492	2007	1998-01-17	VYDAJ	VYBER	2100	46405	\N	\N	\N
589493	2007	1998-01-01	VYDAJ	VYBER	2400	22217	\N	\N	\N
589494	2007	1998-01-27	VYDAJ	VYBER	3300	67174	\N	\N	\N
589495	2007	1998-01-16	VYDAJ	VYBER	2100	48505	\N	\N	\N
589498	2007	1998-03-21	VYDAJ	VYBER	3900	38204	\N	\N	\N
589499	2007	1998-04-08	VYDAJ	VYBER	10800	45793	\N	\N	\N
589501	2007	1998-04-09	VYDAJ	VYBER	3600	42193	\N	\N	\N
589502	2007	1998-07-17	VYDAJ	VYBER	2100	72394	\N	\N	\N
589503	2007	1998-10-07	VYDAJ	VYBER	10200	35232	\N	\N	\N
589515	2007	1997-11-30	VYDAJ	VYBER	15	46550	SLUZBY	\N	\N
589516	2007	1997-12-31	VYDAJ	VYBER	15	24617	SLUZBY	\N	\N
589517	2007	1998-01-31	VYDAJ	VYBER	15	43096	SLUZBY	\N	\N
589518	2007	1998-02-28	VYDAJ	VYBER	15	42104	SLUZBY	\N	\N
589519	2007	1998-03-31	VYDAJ	VYBER	15	27957	SLUZBY	\N	\N
589520	2007	1998-04-30	VYDAJ	VYBER	15	32736	SLUZBY	\N	\N
589521	2007	1998-05-31	VYDAJ	VYBER	15	26387	SLUZBY	\N	\N
589522	2007	1998-06-30	VYDAJ	VYBER	15	34760	SLUZBY	\N	\N
589523	2007	1998-07-31	VYDAJ	VYBER	15	87249	SLUZBY	\N	\N
589524	2007	1998-08-31	VYDAJ	VYBER	15	44496	SLUZBY	\N	\N
589525	2007	1998-09-30	VYDAJ	VYBER	15	45432	SLUZBY	\N	\N
589526	2007	1998-10-31	VYDAJ	VYBER	15	22782	SLUZBY	\N	\N
589527	2007	1998-11-30	VYDAJ	VYBER	15	57412	SLUZBY	\N	\N
589528	2007	1997-10-29	PRIJEM	VKLAD	4400	21464	\N	\N	\N
589529	2007	1997-11-08	VYDAJ	VYBER	37400	85344	\N	\N	\N
589530	2007	1997-11-18	VYDAJ	VYBER	55000	76593	\N	\N	\N
589531	2007	1997-11-28	VYDAJ	VYBER	22300	46270	\N	\N	\N
589532	2007	1997-12-28	PRIJEM	VKLAD	4900	24464	\N	\N	\N
589533	2007	1998-01-27	VYDAJ	VYBER	24300	42874	\N	\N	\N
589534	2007	1998-02-26	VYDAJ	VYBER	22200	41884	\N	\N	\N
589535	2007	1998-03-28	VYDAJ	VYBER	10400	27804	\N	\N	\N
589536	2007	1998-04-27	VYDAJ	VYBER	9600	32593	\N	\N	\N
589537	2007	1998-05-27	PRIJEM	VKLAD	4300	26300	\N	\N	\N
589538	2007	1998-06-09	VYDAJ	VYBER	43600	65493	\N	\N	\N
589539	2007	1998-06-26	VYDAJ	VYBER	7600	34522	\N	\N	\N
589540	2007	1998-07-12	VYDAJ	VYBER	28500	74494	\N	\N	\N
589541	2007	1998-07-26	VYDAJ	VYBER	26100	46294	\N	\N	\N
589542	2007	1998-08-20	VYDAJ	VYBER	62000	67800	\N	\N	\N
589543	2007	1998-08-25	VYDAJ	VYBER	23600	44200	\N	\N	\N
589544	2007	1998-09-24	VYDAJ	VYBER	38500	45218	\N	\N	\N
589545	2007	1998-10-24	VYDAJ	VYBER	12600	22632	\N	\N	\N
589546	2007	1998-11-23	VYDAJ	VYBER	19100	40691	\N	\N	\N
589547	2007	1998-12-23	VYDAJ	VYBER	40800	62712	\N	\N	\N
589563	2008	1993-04-16	PRIJEM	VKLAD	700	700	\N	\N	\N
589568	2008	1993-05-09	PRIJEM	VKLAD	12440	13140	\N	\N	\N
589569	2008	1993-06-09	PRIJEM	VKLAD	18660	35837	\N	\N	\N
589570	2008	1993-07-09	PRIJEM	VKLAD	12440	44882	\N	\N	\N
589571	2008	1993-08-09	PRIJEM	VKLAD	12440	47062	\N	\N	\N
589572	2008	1993-09-09	PRIJEM	VKLAD	12440	46745	\N	\N	\N
589573	2008	1993-10-09	PRIJEM	VKLAD	12440	41020	\N	\N	\N
589574	2008	1993-11-09	PRIJEM	VKLAD	12440	41886	\N	\N	\N
589575	2008	1993-12-09	PRIJEM	VKLAD	18660	47172	\N	\N	\N
589576	2008	1994-01-09	PRIJEM	VKLAD	12440	35159	\N	\N	\N
589577	2008	1994-02-09	PRIJEM	VKLAD	12440	27114	\N	\N	\N
589578	2008	1994-03-09	PRIJEM	VKLAD	12440	34841	\N	\N	\N
589579	2008	1994-04-09	PRIJEM	VKLAD	12440	37387	\N	\N	\N
589580	2008	1994-05-09	PRIJEM	VKLAD	12440	38839	\N	\N	\N
589581	2008	1994-06-09	PRIJEM	VKLAD	18660	31548	\N	\N	\N
589582	2008	1994-07-09	PRIJEM	VKLAD	12440	38392	\N	\N	\N
589583	2008	1994-08-09	PRIJEM	VKLAD	12440	43058	\N	\N	\N
589584	2008	1994-09-09	PRIJEM	VKLAD	12440	41333	\N	\N	\N
589585	2008	1994-10-09	PRIJEM	VKLAD	12440	43980	\N	\N	\N
589586	2008	1994-11-09	PRIJEM	VKLAD	12440	47282	\N	\N	\N
589587	2008	1994-12-09	PRIJEM	VKLAD	18660	52358	\N	\N	\N
589588	2008	1995-01-09	PRIJEM	VKLAD	12440	49512	\N	\N	\N
589589	2008	1995-02-09	PRIJEM	VKLAD	12440	34072	\N	\N	\N
589590	2008	1995-03-09	PRIJEM	VKLAD	12440	41427	\N	\N	\N
589591	2008	1995-04-09	PRIJEM	VKLAD	12440	50215	\N	\N	\N
589592	2008	1995-05-09	PRIJEM	VKLAD	12440	51839	\N	\N	\N
589593	2008	1995-06-09	PRIJEM	VKLAD	18660	57892	\N	\N	\N
589594	2008	1995-07-09	PRIJEM	VKLAD	12440	54843	\N	\N	\N
589595	2008	1995-08-09	PRIJEM	VKLAD	12440	56194	\N	\N	\N
589596	2008	1995-09-09	PRIJEM	VKLAD	12440	55047	\N	\N	\N
589597	2008	1995-10-09	PRIJEM	VKLAD	12440	54896	\N	\N	\N
589598	2008	1995-11-09	PRIJEM	VKLAD	12440	54163	\N	\N	\N
589599	2008	1995-12-09	PRIJEM	VKLAD	18660	62820	\N	\N	\N
589600	2008	1996-01-09	PRIJEM	VKLAD	12440	58836	\N	\N	\N
589601	2008	1996-02-09	PRIJEM	VKLAD	12440	48200	\N	\N	\N
589602	2008	1996-03-09	PRIJEM	VKLAD	12440	53774	\N	\N	\N
589603	2008	1996-04-09	PRIJEM	VKLAD	12440	60012	\N	\N	\N
589604	2008	1996-05-09	PRIJEM	VKLAD	12440	65219	\N	\N	\N
589605	2008	1996-06-09	PRIJEM	VKLAD	18660	47204	\N	\N	\N
589606	2008	1996-07-09	PRIJEM	VKLAD	12440	58833	\N	\N	\N
589607	2008	1996-08-09	PRIJEM	VKLAD	12440	66471	\N	\N	\N
589608	2008	1996-09-09	PRIJEM	VKLAD	12440	71016	\N	\N	\N
589609	2008	1996-10-09	PRIJEM	VKLAD	12440	74724	\N	\N	\N
589610	2008	1996-11-09	PRIJEM	VKLAD	12440	73918	\N	\N	\N
589611	2008	1996-12-09	PRIJEM	VKLAD	18660	79453	\N	\N	\N
589612	2008	1997-01-09	PRIJEM	VKLAD	12440	65495	\N	\N	\N
589613	2008	1997-02-09	PRIJEM	VKLAD	12440	63482	\N	\N	\N
589614	2008	1997-03-09	PRIJEM	VKLAD	12440	68657	\N	\N	\N
589615	2008	1997-04-09	PRIJEM	VKLAD	12440	76656	\N	\N	\N
589616	2008	1997-05-09	PRIJEM	VKLAD	12440	81586	\N	\N	\N
589617	2008	1997-06-09	PRIJEM	VKLAD	18660	87951	\N	\N	\N
589618	2008	1997-07-09	PRIJEM	VKLAD	12440	68268	\N	\N	\N
589619	2008	1997-08-09	PRIJEM	VKLAD	12440	71985	\N	\N	\N
589620	2008	1997-09-09	PRIJEM	VKLAD	12440	77399	\N	\N	\N
589621	2008	1997-10-09	PRIJEM	VKLAD	12440	84333	\N	\N	\N
589622	2008	1997-11-09	PRIJEM	VKLAD	12440	89492	\N	\N	\N
589623	2008	1997-12-09	PRIJEM	VKLAD	18660	94484	\N	\N	\N
589624	2008	1998-01-09	PRIJEM	VKLAD	12440	94271	\N	\N	\N
589625	2008	1998-02-09	PRIJEM	VKLAD	12440	87617	\N	\N	\N
589626	2008	1998-03-09	PRIJEM	VKLAD	12440	95392	\N	\N	\N
589627	2008	1998-04-09	PRIJEM	VKLAD	12440	99695	\N	\N	\N
589628	2008	1998-05-09	PRIJEM	VKLAD	12440	99108	\N	\N	\N
589629	2008	1998-06-09	PRIJEM	VKLAD	18660	102033	\N	\N	\N
589630	2008	1998-07-09	PRIJEM	VKLAD	12440	92651	\N	\N	\N
589631	2008	1998-08-09	PRIJEM	VKLAD	12440	91876	\N	\N	\N
589632	2008	1998-09-09	PRIJEM	VKLAD	12440	95920	\N	\N	\N
589633	2008	1998-10-09	PRIJEM	VKLAD	12440	97717	\N	\N	\N
589634	2008	1998-11-09	PRIJEM	VKLAD	12440	101224	\N	\N	\N
589635	2008	1998-12-09	PRIJEM	VKLAD	18660	101645	\N	\N	\N
589644	2008	1993-09-10	VYDAJ	PREVOD NA UCET	543	46202	SIPO	AB	98016315
589645	2008	1993-10-10	VYDAJ	PREVOD NA UCET	543	36877	SIPO	AB	98016315
589646	2008	1993-11-10	VYDAJ	PREVOD NA UCET	543	41343	SIPO	AB	98016315
589647	2008	1993-12-10	VYDAJ	PREVOD NA UCET	543	46629	SIPO	AB	98016315
589648	2008	1994-01-10	VYDAJ	PREVOD NA UCET	543	34616	SIPO	AB	98016315
589649	2008	1994-02-10	VYDAJ	PREVOD NA UCET	543	26571	SIPO	AB	98016315
589650	2008	1994-03-10	VYDAJ	PREVOD NA UCET	543	34298	SIPO	AB	98016315
589651	2008	1994-04-10	VYDAJ	PREVOD NA UCET	543	36844	SIPO	AB	98016315
589652	2008	1994-05-10	VYDAJ	PREVOD NA UCET	543	38296	SIPO	AB	98016315
589653	2008	1994-06-10	VYDAJ	PREVOD NA UCET	543	29505	SIPO	AB	98016315
589654	2008	1994-07-10	VYDAJ	PREVOD NA UCET	543	34149	SIPO	AB	98016315
589655	2008	1994-08-10	VYDAJ	PREVOD NA UCET	543	36115	SIPO	AB	98016315
589656	2008	1994-09-10	VYDAJ	PREVOD NA UCET	543	40790	SIPO	AB	98016315
589657	2008	1994-10-10	VYDAJ	PREVOD NA UCET	543	43437	SIPO	AB	98016315
589658	2008	1994-11-10	VYDAJ	PREVOD NA UCET	543	46739	SIPO	AB	98016315
589659	2008	1994-12-10	VYDAJ	PREVOD NA UCET	543	51815	SIPO	AB	98016315
589660	2008	1995-01-10	VYDAJ	PREVOD NA UCET	543	48969	SIPO	AB	98016315
589661	2008	1995-02-10	VYDAJ	PREVOD NA UCET	543	33529	SIPO	AB	98016315
589662	2008	1995-03-10	VYDAJ	PREVOD NA UCET	543	40884	SIPO	AB	98016315
589663	2008	1995-04-10	VYDAJ	PREVOD NA UCET	543	49672	SIPO	AB	98016315
589664	2008	1995-05-10	VYDAJ	PREVOD NA UCET	543	51296	SIPO	AB	98016315
589665	2008	1995-06-10	VYDAJ	PREVOD NA UCET	543	57349	SIPO	AB	98016315
589666	2008	1995-07-10	VYDAJ	PREVOD NA UCET	543	54300	SIPO	AB	98016315
589667	2008	1995-08-10	VYDAJ	PREVOD NA UCET	543	55651	SIPO	AB	98016315
589668	2008	1995-09-10	VYDAJ	PREVOD NA UCET	543	54504	SIPO	AB	98016315
589669	2008	1995-10-10	VYDAJ	PREVOD NA UCET	543	54353	SIPO	AB	98016315
589670	2008	1995-11-10	VYDAJ	PREVOD NA UCET	543	53620	SIPO	AB	98016315
589671	2008	1995-12-10	VYDAJ	PREVOD NA UCET	543	58757	SIPO	AB	98016315
589672	2008	1996-01-10	VYDAJ	PREVOD NA UCET	543	58293	SIPO	AB	98016315
589673	2008	1996-02-10	VYDAJ	PREVOD NA UCET	543	47657	SIPO	AB	98016315
589674	2008	1996-03-10	VYDAJ	PREVOD NA UCET	543	53231	SIPO	AB	98016315
589675	2008	1996-04-10	VYDAJ	PREVOD NA UCET	543	59469	SIPO	AB	98016315
589676	2008	1996-05-10	VYDAJ	PREVOD NA UCET	543	64676	SIPO	AB	98016315
589677	2008	1996-06-10	VYDAJ	PREVOD NA UCET	543	46661	SIPO	AB	98016315
589678	2008	1996-07-10	VYDAJ	PREVOD NA UCET	543	58290	SIPO	AB	98016315
589679	2008	1996-08-10	VYDAJ	PREVOD NA UCET	543	65928	SIPO	AB	98016315
589680	2008	1996-09-10	VYDAJ	PREVOD NA UCET	543	70473	SIPO	AB	98016315
589681	2008	1996-10-10	VYDAJ	PREVOD NA UCET	543	74181	SIPO	AB	98016315
589682	2008	1996-11-10	VYDAJ	PREVOD NA UCET	543	73375	SIPO	AB	98016315
589683	2008	1996-12-10	VYDAJ	PREVOD NA UCET	543	78910	SIPO	AB	98016315
589684	2008	1997-01-10	VYDAJ	PREVOD NA UCET	543	60992	SIPO	AB	98016315
589685	2008	1997-02-10	VYDAJ	PREVOD NA UCET	543	62939	SIPO	AB	98016315
589686	2008	1997-03-10	VYDAJ	PREVOD NA UCET	543	68114	SIPO	AB	98016315
589687	2008	1997-04-10	VYDAJ	PREVOD NA UCET	543	76113	SIPO	AB	98016315
589688	2008	1997-05-10	VYDAJ	PREVOD NA UCET	543	81043	SIPO	AB	98016315
589689	2008	1997-06-10	VYDAJ	PREVOD NA UCET	543	87408	SIPO	AB	98016315
589690	2008	1997-07-10	VYDAJ	PREVOD NA UCET	543	67725	SIPO	AB	98016315
589691	2008	1997-08-10	VYDAJ	PREVOD NA UCET	543	71442	SIPO	AB	98016315
589692	2008	1997-09-10	VYDAJ	PREVOD NA UCET	543	76856	SIPO	AB	98016315
589693	2008	1997-10-10	VYDAJ	PREVOD NA UCET	543	83790	SIPO	AB	98016315
589694	2008	1997-11-10	VYDAJ	PREVOD NA UCET	543	88949	SIPO	AB	98016315
589695	2008	1997-12-10	VYDAJ	PREVOD NA UCET	543	93941	SIPO	AB	98016315
589696	2008	1998-01-10	VYDAJ	PREVOD NA UCET	543	91208	SIPO	AB	98016315
589697	2008	1998-02-10	VYDAJ	PREVOD NA UCET	543	87074	SIPO	AB	98016315
589698	2008	1998-03-10	VYDAJ	PREVOD NA UCET	543	94849	SIPO	AB	98016315
589699	2008	1998-04-10	VYDAJ	PREVOD NA UCET	543	99152	SIPO	AB	98016315
589700	2008	1998-05-10	VYDAJ	PREVOD NA UCET	543	98565	SIPO	AB	98016315
589701	2008	1998-06-10	VYDAJ	PREVOD NA UCET	543	101490	SIPO	AB	98016315
589702	2008	1998-07-10	VYDAJ	PREVOD NA UCET	543	92108	SIPO	AB	98016315
589703	2008	1998-08-10	VYDAJ	PREVOD NA UCET	543	89893	SIPO	AB	98016315
589704	2008	1998-09-10	VYDAJ	PREVOD NA UCET	543	95377	SIPO	AB	98016315
589705	2008	1998-10-10	VYDAJ	PREVOD NA UCET	543	97174	SIPO	AB	98016315
589706	2008	1998-11-10	VYDAJ	PREVOD NA UCET	543	100681	SIPO	AB	98016315
589707	2008	1998-12-10	VYDAJ	PREVOD NA UCET	543	101102	SIPO	AB	98016315
589717	2008	1993-10-06	VYDAJ	PREVOD NA UCET	3655	28580	 	EF	16119492
589718	2008	1993-11-06	VYDAJ	PREVOD NA UCET	3655	29446	 	EF	16119492
589719	2008	1993-12-06	VYDAJ	PREVOD NA UCET	3655	28512	 	EF	16119492
589720	2008	1994-01-06	VYDAJ	PREVOD NA UCET	3655	22719	 	EF	16119492
589721	2008	1994-02-06	VYDAJ	PREVOD NA UCET	3655	14674	 	EF	16119492
589722	2008	1994-03-06	VYDAJ	PREVOD NA UCET	3655	22401	 	EF	16119492
589723	2008	1994-04-06	VYDAJ	PREVOD NA UCET	3655	24947	 	EF	16119492
589724	2008	1994-05-06	VYDAJ	PREVOD NA UCET	3655	26399	 	EF	16119492
589725	2008	1994-06-06	VYDAJ	PREVOD NA UCET	3655	12888	 	EF	16119492
589726	2008	1994-07-06	VYDAJ	PREVOD NA UCET	3655	25952	 	EF	16119492
589727	2008	1994-08-06	VYDAJ	PREVOD NA UCET	3655	30618	 	EF	16119492
589728	2008	1994-09-06	VYDAJ	PREVOD NA UCET	3655	32593	 	EF	16119492
589729	2008	1994-10-06	VYDAJ	PREVOD NA UCET	3655	35240	 	EF	16119492
589730	2008	1994-11-06	VYDAJ	PREVOD NA UCET	3655	39942	 	EF	16119492
589731	2008	1994-12-06	VYDAJ	PREVOD NA UCET	3655	41498	 	EF	16119492
589732	2008	1995-01-06	VYDAJ	PREVOD NA UCET	3655	39352	 	EF	16119492
589733	2008	1995-02-06	VYDAJ	PREVOD NA UCET	3655	21632	 	EF	16119492
589734	2008	1995-03-06	VYDAJ	PREVOD NA UCET	3655	29987	 	EF	16119492
589735	2008	1995-04-06	VYDAJ	PREVOD NA UCET	3655	37775	 	EF	16119492
589736	2008	1995-05-06	VYDAJ	PREVOD NA UCET	3655	39399	 	EF	16119492
589737	2008	1995-06-06	VYDAJ	PREVOD NA UCET	3655	39232	 	EF	16119492
589738	2008	1995-07-06	VYDAJ	PREVOD NA UCET	3655	42403	 	EF	16119492
589739	2008	1995-08-06	VYDAJ	PREVOD NA UCET	3655	43754	 	EF	16119492
589740	2008	1995-09-06	VYDAJ	PREVOD NA UCET	3655	42607	 	EF	16119492
589741	2008	1995-10-06	VYDAJ	PREVOD NA UCET	3655	42456	 	EF	16119492
589742	2008	1995-11-06	VYDAJ	PREVOD NA UCET	3655	41723	 	EF	16119492
589743	2008	1995-12-06	VYDAJ	PREVOD NA UCET	3655	44160	 	EF	16119492
589744	2008	1996-01-06	VYDAJ	PREVOD NA UCET	3655	46396	 	EF	16119492
589745	2008	1996-02-06	VYDAJ	PREVOD NA UCET	3655	35760	 	EF	16119492
589746	2008	1996-03-06	VYDAJ	PREVOD NA UCET	3655	41334	 	EF	16119492
589747	2008	1996-04-06	VYDAJ	PREVOD NA UCET	3655	47572	 	EF	16119492
589748	2008	1996-05-06	VYDAJ	PREVOD NA UCET	3655	52779	 	EF	16119492
589749	2008	1996-06-06	VYDAJ	PREVOD NA UCET	3655	53344	 	EF	16119492
589750	2008	1996-07-06	VYDAJ	PREVOD NA UCET	3655	46393	 	EF	16119492
589751	2008	1996-08-06	VYDAJ	PREVOD NA UCET	3655	54031	 	EF	16119492
589752	2008	1996-09-06	VYDAJ	PREVOD NA UCET	3655	58576	 	EF	16119492
589753	2008	1996-10-06	VYDAJ	PREVOD NA UCET	3655	62284	 	EF	16119492
589754	2008	1996-11-06	VYDAJ	PREVOD NA UCET	3655	61478	 	EF	16119492
589755	2008	1996-12-06	VYDAJ	PREVOD NA UCET	3655	60793	 	EF	16119492
589756	2008	1997-01-06	VYDAJ	PREVOD NA UCET	3655	58935	 	EF	16119492
589757	2008	1997-02-06	VYDAJ	PREVOD NA UCET	3655	51042	 	EF	16119492
589758	2008	1997-03-06	VYDAJ	PREVOD NA UCET	3655	56217	 	EF	16119492
589759	2008	1997-04-06	VYDAJ	PREVOD NA UCET	3655	64216	 	EF	16119492
589760	2008	1997-05-06	VYDAJ	PREVOD NA UCET	3655	69146	 	EF	16119492
589761	2008	1997-06-06	VYDAJ	PREVOD NA UCET	3655	69291	 	EF	16119492
589762	2008	1997-07-06	VYDAJ	PREVOD NA UCET	3655	55828	 	EF	16119492
589763	2008	1997-08-06	VYDAJ	PREVOD NA UCET	3655	63625	 	EF	16119492
589764	2008	1997-09-06	VYDAJ	PREVOD NA UCET	3655	64959	 	EF	16119492
589765	2008	1997-10-06	VYDAJ	PREVOD NA UCET	3655	71893	 	EF	16119492
589766	2008	1997-11-06	VYDAJ	PREVOD NA UCET	3655	77052	 	EF	16119492
589767	2008	1997-12-06	VYDAJ	PREVOD NA UCET	3655	75824	 	EF	16119492
589768	2008	1998-01-06	VYDAJ	PREVOD NA UCET	3655	82791	 	EF	16119492
589769	2008	1998-02-06	VYDAJ	PREVOD NA UCET	3655	75177	 	EF	16119492
589770	2008	1998-03-06	VYDAJ	PREVOD NA UCET	3655	82952	 	EF	16119492
589771	2008	1998-04-06	VYDAJ	PREVOD NA UCET	3655	87255	 	EF	16119492
589772	2008	1998-05-06	VYDAJ	PREVOD NA UCET	3655	86668	 	EF	16119492
589773	2008	1998-06-06	VYDAJ	PREVOD NA UCET	3655	83373	 	EF	16119492
589774	2008	1998-07-06	VYDAJ	PREVOD NA UCET	3655	80211	 	EF	16119492
589775	2008	1998-08-06	VYDAJ	PREVOD NA UCET	3655	79436	 	EF	16119492
589776	2008	1998-09-06	VYDAJ	PREVOD NA UCET	3655	83480	 	EF	16119492
589777	2008	1998-10-06	VYDAJ	PREVOD NA UCET	3655	85277	 	EF	16119492
589778	2008	1998-11-06	VYDAJ	PREVOD NA UCET	3655	88784	 	EF	16119492
589779	2008	1998-12-06	VYDAJ	PREVOD NA UCET	3655	82985	 	EF	16119492
589781	2008	1994-06-01	VYDAJ	VYBER	11200	16543	\N	\N	\N
589783	2008	1996-06-08	VYDAJ	VYBER	24800	28544	\N	\N	\N
589784	2008	1997-06-18	VYDAJ	VYBER	32480	54208	\N	\N	\N
589785	2008	1998-06-18	VYDAJ	VYBER	7040	91210	\N	\N	\N
589788	2008	1995-01-28	VYDAJ	VYBER	12160	26489	\N	\N	\N
589789	2008	1996-01-13	VYDAJ	VYBER	14400	43893	\N	\N	\N
589790	2008	1997-01-20	VYDAJ	VYBER	8800	51352	\N	\N	\N
589791	2008	1998-01-14	VYDAJ	VYBER	13440	77768	\N	\N	\N
589792	2008	1993-12-18	VYDAJ	VYBER	2880	31649	\N	\N	\N
589793	2008	1994-12-01	VYDAJ	VYBER	1760	45153	\N	\N	\N
589794	2008	1995-12-09	VYDAJ	VYBER	3520	59300	\N	\N	\N
589795	2008	1996-12-18	VYDAJ	VYBER	3200	75710	\N	\N	\N
589796	2008	1997-12-12	VYDAJ	VYBER	1600	92341	\N	\N	\N
589797	2008	1998-12-20	VYDAJ	VYBER	3360	90342	\N	\N	\N
589804	2008	1994-01-29	VYDAJ	VYBER	2160	20276	\N	\N	\N
589805	2008	1994-01-30	VYDAJ	VYBER	2040	18236	\N	\N	\N
589806	2008	1994-01-05	VYDAJ	VYBER	3120	26374	\N	\N	\N
589807	2008	1994-01-18	VYDAJ	VYBER	2880	25796	\N	\N	\N
589808	2008	1994-01-21	VYDAJ	VYBER	3360	22436	\N	\N	\N
589809	2008	1994-01-12	VYDAJ	VYBER	840	28676	\N	\N	\N
589810	2008	1995-01-14	VYDAJ	VYBER	2400	44049	\N	\N	\N
589811	2008	1995-01-13	VYDAJ	VYBER	2520	46449	\N	\N	\N
589812	2008	1995-01-23	VYDAJ	VYBER	2160	38649	\N	\N	\N
589813	2008	1995-01-07	VYDAJ	VYBER	2280	37072	\N	\N	\N
589814	2008	1995-01-30	VYDAJ	VYBER	2760	23729	\N	\N	\N
589815	2008	1995-01-18	VYDAJ	VYBER	3240	40809	\N	\N	\N
589816	2008	1996-01-14	VYDAJ	VYBER	960	39093	\N	\N	\N
589817	2008	1996-01-22	VYDAJ	VYBER	2760	33453	\N	\N	\N
589818	2008	1996-01-14	VYDAJ	VYBER	2880	41013	\N	\N	\N
589819	2008	1996-01-14	VYDAJ	VYBER	960	40053	\N	\N	\N
589820	2008	1996-01-24	VYDAJ	VYBER	3000	30453	\N	\N	\N
589821	2008	1996-01-21	VYDAJ	VYBER	2880	36213	\N	\N	\N
589822	2008	1997-01-14	VYDAJ	VYBER	840	60152	\N	\N	\N
589823	2008	1997-01-08	VYDAJ	VYBER	3360	55575	\N	\N	\N
589824	2008	1997-01-08	VYDAJ	VYBER	2520	53055	\N	\N	\N
589825	2008	1997-01-25	VYDAJ	VYBER	3480	54472	\N	\N	\N
589826	2008	1997-01-09	VYDAJ	VYBER	600	61535	\N	\N	\N
589827	2008	1997-01-09	VYDAJ	VYBER	3360	62135	\N	\N	\N
589828	2008	1998-01-02	VYDAJ	VYBER	720	86446	\N	\N	\N
589829	2008	1998-01-07	VYDAJ	VYBER	960	81831	\N	\N	\N
589830	2008	1998-01-09	VYDAJ	VYBER	2520	91751	\N	\N	\N
589831	2008	1998-01-19	VYDAJ	VYBER	2400	75368	\N	\N	\N
589832	2008	1998-01-23	VYDAJ	VYBER	1560	78508	\N	\N	\N
589833	2008	1998-01-01	VYDAJ	VYBER	720	87166	\N	\N	\N
589834	2008	1993-09-17	VYDAJ	VYBER	2640	33662	\N	\N	\N
589836	2008	1993-10-09	VYDAJ	VYBER	3600	37420	\N	\N	\N
589837	2008	1993-10-01	VYDAJ	VYBER	1560	32235	\N	\N	\N
589840	2008	1993-12-29	VYDAJ	VYBER	2280	29369	\N	\N	\N
589841	2008	1994-05-14	VYDAJ	VYBER	3360	27636	\N	\N	\N
589842	2008	1994-09-16	VYDAJ	VYBER	2040	38750	\N	\N	\N
589843	2008	1995-10-29	VYDAJ	VYBER	5280	49073	\N	\N	\N
589844	2008	1995-11-22	VYDAJ	VYBER	3600	50020	\N	\N	\N
589845	2008	1995-12-25	VYDAJ	VYBER	4320	54437	\N	\N	\N
589846	2008	1995-05-29	VYDAJ	VYBER	4800	46496	\N	\N	\N
589847	2008	1996-07-13	VYDAJ	VYBER	720	57570	\N	\N	\N
589848	2008	1996-04-30	VYDAJ	VYBER	960	56434	\N	\N	\N
589849	2008	1996-05-18	VYDAJ	VYBER	1920	62756	\N	\N	\N
589850	2008	1996-08-27	VYDAJ	VYBER	1080	63288	\N	\N	\N
589851	2008	1996-02-19	VYDAJ	VYBER	600	47057	\N	\N	\N
589852	2008	1996-03-01	VYDAJ	VYBER	3240	44989	\N	\N	\N
589853	2008	1996-08-11	VYDAJ	VYBER	1560	64368	\N	\N	\N
589854	2008	1996-10-18	VYDAJ	VYBER	4320	69861	\N	\N	\N
589855	2008	1997-08-28	VYDAJ	VYBER	4200	68342	\N	\N	\N
589856	2008	1997-06-13	VYDAJ	VYBER	720	86688	\N	\N	\N
589857	2008	1997-08-07	VYDAJ	VYBER	4080	59545	\N	\N	\N
589858	2008	1998-06-17	VYDAJ	VYBER	3240	98250	\N	\N	\N
589859	2008	1998-06-21	VYDAJ	VYBER	4800	83510	\N	\N	\N
589860	2008	1998-08-02	VYDAJ	VYBER	2160	83091	\N	\N	\N
589861	2008	1998-08-10	VYDAJ	VYBER	1440	90436	\N	\N	\N
589871	2008	1993-09-30	VYDAJ	VYBER	15	33795	SLUZBY	\N	\N
589872	2008	1993-10-31	VYDAJ	VYBER	15	33101	SLUZBY	\N	\N
589873	2008	1993-11-30	VYDAJ	VYBER	15	32167	SLUZBY	\N	\N
589874	2008	1993-12-31	VYDAJ	VYBER	15	29494	SLUZBY	\N	\N
589875	2008	1994-01-31	VYDAJ	VYBER	15	18329	SLUZBY	\N	\N
589876	2008	1994-02-28	VYDAJ	VYBER	15	26056	SLUZBY	\N	\N
589877	2008	1994-03-31	VYDAJ	VYBER	15	28602	SLUZBY	\N	\N
589878	2008	1994-04-30	VYDAJ	VYBER	15	30054	SLUZBY	\N	\N
589879	2008	1994-05-31	VYDAJ	VYBER	15	27743	SLUZBY	\N	\N
589880	2008	1994-06-30	VYDAJ	VYBER	15	29607	SLUZBY	\N	\N
589881	2008	1994-07-31	VYDAJ	VYBER	15	34273	SLUZBY	\N	\N
589882	2008	1994-08-31	VYDAJ	VYBER	15	36248	SLUZBY	\N	\N
589883	2008	1994-09-30	VYDAJ	VYBER	15	38895	SLUZBY	\N	\N
589884	2008	1994-10-31	VYDAJ	VYBER	15	43597	SLUZBY	\N	\N
589885	2008	1994-11-30	VYDAJ	VYBER	15	46913	SLUZBY	\N	\N
589886	2008	1994-12-31	VYDAJ	VYBER	15	52007	SLUZBY	\N	\N
589887	2008	1995-01-31	VYDAJ	VYBER	15	23887	SLUZBY	\N	\N
589888	2008	1995-02-28	VYDAJ	VYBER	15	33642	SLUZBY	\N	\N
589889	2008	1995-03-31	VYDAJ	VYBER	15	41030	SLUZBY	\N	\N
589890	2008	1995-04-30	VYDAJ	VYBER	15	49854	SLUZBY	\N	\N
589891	2008	1995-05-31	VYDAJ	VYBER	15	46687	SLUZBY	\N	\N
589892	2008	1995-06-30	VYDAJ	VYBER	15	57558	SLUZBY	\N	\N
589893	2008	1995-07-31	VYDAJ	VYBER	15	54509	SLUZBY	\N	\N
589894	2008	1995-08-31	VYDAJ	VYBER	15	55862	SLUZBY	\N	\N
589895	2008	1995-09-30	VYDAJ	VYBER	15	54711	SLUZBY	\N	\N
589896	2008	1995-10-31	VYDAJ	VYBER	15	49278	SLUZBY	\N	\N
589897	2008	1995-11-30	VYDAJ	VYBER	15	50215	SLUZBY	\N	\N
589898	2008	1995-12-31	VYDAJ	VYBER	15	54651	SLUZBY	\N	\N
589899	2008	1996-01-31	VYDAJ	VYBER	15	39415	SLUZBY	\N	\N
589900	2008	1996-02-29	VYDAJ	VYBER	15	47229	SLUZBY	\N	\N
589901	2008	1996-03-31	VYDAJ	VYBER	15	53427	SLUZBY	\N	\N
589902	2008	1996-04-30	VYDAJ	VYBER	15	59694	SLUZBY	\N	\N
589903	2008	1996-05-31	VYDAJ	VYBER	15	56999	SLUZBY	\N	\N
589904	2008	1996-06-30	VYDAJ	VYBER	15	50048	SLUZBY	\N	\N
589905	2008	1996-07-31	VYDAJ	VYBER	15	57686	SLUZBY	\N	\N
589906	2008	1996-08-31	VYDAJ	VYBER	15	62231	SLUZBY	\N	\N
589907	2008	1996-09-30	VYDAJ	VYBER	15	65939	SLUZBY	\N	\N
589908	2008	1996-10-31	VYDAJ	VYBER	15	65133	SLUZBY	\N	\N
589909	2008	1996-11-30	VYDAJ	VYBER	15	64448	SLUZBY	\N	\N
589910	2008	1996-12-31	VYDAJ	VYBER	15	62590	SLUZBY	\N	\N
589911	2008	1997-01-31	VYDAJ	VYBER	15	54697	SLUZBY	\N	\N
589912	2008	1997-02-28	VYDAJ	VYBER	15	59872	SLUZBY	\N	\N
589913	2008	1997-03-31	VYDAJ	VYBER	15	67871	SLUZBY	\N	\N
589914	2008	1997-04-30	VYDAJ	VYBER	15	72801	SLUZBY	\N	\N
589915	2008	1997-05-31	VYDAJ	VYBER	15	72946	SLUZBY	\N	\N
589916	2008	1997-06-30	VYDAJ	VYBER	15	59483	SLUZBY	\N	\N
589917	2008	1997-07-31	VYDAJ	VYBER	15	67280	SLUZBY	\N	\N
589918	2008	1997-08-31	VYDAJ	VYBER	15	68614	SLUZBY	\N	\N
589919	2008	1997-09-30	VYDAJ	VYBER	15	75548	SLUZBY	\N	\N
589920	2008	1997-10-31	VYDAJ	VYBER	15	80707	SLUZBY	\N	\N
589921	2008	1997-11-30	VYDAJ	VYBER	15	79479	SLUZBY	\N	\N
589922	2008	1997-12-31	VYDAJ	VYBER	15	87886	SLUZBY	\N	\N
589923	2008	1998-01-31	VYDAJ	VYBER	15	78832	SLUZBY	\N	\N
589924	2008	1998-02-28	VYDAJ	VYBER	15	86607	SLUZBY	\N	\N
589925	2008	1998-03-31	VYDAJ	VYBER	15	90910	SLUZBY	\N	\N
589926	2008	1998-04-30	VYDAJ	VYBER	15	90323	SLUZBY	\N	\N
589927	2008	1998-05-31	VYDAJ	VYBER	15	87028	SLUZBY	\N	\N
589928	2008	1998-06-30	VYDAJ	VYBER	15	83866	SLUZBY	\N	\N
589929	2008	1998-07-31	VYDAJ	VYBER	15	85251	SLUZBY	\N	\N
589930	2008	1998-08-31	VYDAJ	VYBER	15	87135	SLUZBY	\N	\N
589931	2008	1998-09-30	VYDAJ	VYBER	15	88932	SLUZBY	\N	\N
589932	2008	1998-10-31	VYDAJ	VYBER	15	92439	SLUZBY	\N	\N
589933	2008	1998-11-30	VYDAJ	VYBER	15	86640	SLUZBY	\N	\N
589934	2008	1993-05-16	PRIJEM	VKLAD	4000	17140	\N	\N	\N
589935	2008	1993-06-15	VYDAJ	VYBER	3500	32337	\N	\N	\N
589936	2008	1993-07-15	VYDAJ	VYBER	10400	34482	\N	\N	\N
589937	2008	1993-08-14	VYDAJ	VYBER	12900	34162	\N	\N	\N
589938	2008	1993-09-13	VYDAJ	VYBER	9900	36302	\N	\N	\N
589939	2008	1993-10-13	VYDAJ	VYBER	3900	32977	\N	\N	\N
589940	2008	1993-11-12	VYDAJ	VYBER	9300	32043	\N	\N	\N
589941	2008	1993-12-12	VYDAJ	VYBER	12100	34529	\N	\N	\N
589942	2008	1994-01-11	VYDAJ	VYBER	5100	29516	\N	\N	\N
589943	2008	1994-02-10	VYDAJ	VYBER	600	25971	\N	\N	\N
589944	2008	1994-03-12	VYDAJ	VYBER	5800	28498	\N	\N	\N
589945	2008	1994-04-11	VYDAJ	VYBER	6900	29944	\N	\N	\N
589946	2008	1994-05-11	VYDAJ	VYBER	7300	30996	\N	\N	\N
589947	2008	1994-06-10	VYDAJ	VYBER	1500	30048	\N	\N	\N
589948	2008	1994-07-10	VYDAJ	VYBER	3700	34692	\N	\N	\N
589949	2008	1994-08-09	VYDAJ	VYBER	6400	36658	\N	\N	\N
589950	2008	1994-09-08	VYDAJ	VYBER	3700	28893	\N	\N	\N
589951	2008	1994-10-08	VYDAJ	VYBER	3700	31540	\N	\N	\N
589952	2008	1994-11-07	VYDAJ	VYBER	5100	34842	\N	\N	\N
589953	2008	1994-12-07	VYDAJ	VYBER	7800	33698	\N	\N	\N
589954	2008	1995-01-06	VYDAJ	VYBER	9000	43007	\N	\N	\N
589955	2008	1995-02-05	PRIJEM	VKLAD	1400	25287	\N	\N	\N
589956	2008	1995-03-07	VYDAJ	VYBER	1000	28987	\N	\N	\N
589957	2008	1995-04-06	PRIJEM	VKLAD	400	41430	\N	\N	\N
589958	2008	1995-05-06	VYDAJ	VYBER	6800	43054	\N	\N	\N
589959	2008	1995-06-05	VYDAJ	VYBER	3800	42887	\N	\N	\N
589960	2008	1995-07-05	VYDAJ	VYBER	11500	46058	\N	\N	\N
589961	2008	1995-08-04	VYDAJ	VYBER	7100	47409	\N	\N	\N
589962	2008	1995-09-03	VYDAJ	VYBER	9600	46262	\N	\N	\N
589963	2008	1995-10-03	VYDAJ	VYBER	8600	46111	\N	\N	\N
589964	2008	1995-11-02	VYDAJ	VYBER	3900	45378	\N	\N	\N
589965	2008	1995-12-02	VYDAJ	VYBER	2400	47815	\N	\N	\N
589966	2008	1996-01-01	VYDAJ	VYBER	4600	50051	\N	\N	\N
589967	2008	1996-01-31	PRIJEM	VKLAD	8800	39253	\N	\N	\N
589968	2008	1996-03-01	PRIJEM	VKLAD	1000	48229	\N	\N	\N
589969	2008	1996-03-31	VYDAJ	VYBER	2200	51227	\N	\N	\N
589970	2008	1996-04-30	VYDAJ	VYBER	2300	57394	\N	\N	\N
589971	2008	1996-05-30	VYDAJ	VYBER	6000	56756	\N	\N	\N
589972	2008	1996-06-29	PRIJEM	VKLAD	3200	49861	\N	\N	\N
589973	2008	1996-07-29	VYDAJ	VYBER	100	57470	\N	\N	\N
589974	2008	1996-08-28	VYDAJ	VYBER	1300	61988	\N	\N	\N
589975	2008	1996-09-27	VYDAJ	VYBER	4800	65673	\N	\N	\N
589976	2008	1996-10-27	VYDAJ	VYBER	5000	64861	\N	\N	\N
589977	2008	1996-11-26	VYDAJ	VYBER	9200	64175	\N	\N	\N
589978	2008	1996-12-26	VYDAJ	VYBER	13400	62310	\N	\N	\N
589979	2008	1997-01-25	PRIJEM	VKLAD	6600	57952	\N	\N	\N
589980	2008	1997-02-24	VYDAJ	VYBER	3300	59639	\N	\N	\N
589981	2008	1997-03-26	VYDAJ	VYBER	500	67614	\N	\N	\N
589982	2008	1997-04-25	VYDAJ	VYBER	3600	72513	\N	\N	\N
589983	2008	1997-05-25	VYDAJ	VYBER	8400	72643	\N	\N	\N
589984	2008	1997-06-24	PRIJEM	VKLAD	5000	59208	\N	\N	\N
589985	2008	1997-07-24	VYDAJ	VYBER	700	67025	\N	\N	\N
589986	2008	1997-08-23	PRIJEM	VKLAD	1100	72542	\N	\N	\N
589987	2008	1997-09-22	VYDAJ	VYBER	1600	75256	\N	\N	\N
589988	2008	1997-10-22	VYDAJ	VYBER	3400	80390	\N	\N	\N
589989	2008	1997-11-21	VYDAJ	VYBER	9800	79149	\N	\N	\N
589990	2008	1997-12-21	VYDAJ	VYBER	4800	87541	\N	\N	\N
589991	2008	1998-01-20	PRIJEM	VKLAD	4700	80068	\N	\N	\N
589992	2008	1998-02-19	VYDAJ	VYBER	800	86274	\N	\N	\N
589993	2008	1998-03-21	VYDAJ	VYBER	4300	90549	\N	\N	\N
589994	2008	1998-04-20	VYDAJ	VYBER	9200	89952	\N	\N	\N
589995	2008	1998-05-20	VYDAJ	VYBER	11900	86665	\N	\N	\N
589996	2008	1998-06-19	VYDAJ	VYBER	2900	88310	\N	\N	\N
589997	2008	1998-07-19	VYDAJ	VYBER	7200	84908	\N	\N	\N
589998	2008	1998-08-18	VYDAJ	VYBER	3100	86793	\N	\N	\N
589999	2008	1998-09-17	VYDAJ	VYBER	6800	88577	\N	\N	\N
590000	2008	1998-10-17	VYDAJ	VYBER	5100	92074	\N	\N	\N
590001	2008	1998-11-16	VYDAJ	VYBER	14400	86281	\N	\N	\N
590002	2008	1998-12-16	VYDAJ	VYBER	7400	93702	\N	\N	\N
590071	2009	1994-04-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
590076	2009	1994-05-12	PRIJEM	VKLAD	23143	24243	\N	\N	\N
590077	2009	1994-06-12	PRIJEM	VKLAD	34714	58013	\N	\N	\N
590078	2009	1994-07-12	PRIJEM	VKLAD	23143	63295	\N	\N	\N
590079	2009	1994-08-12	PRIJEM	VKLAD	23143	65811	\N	\N	\N
590080	2009	1994-09-12	PRIJEM	VKLAD	23143	58294	\N	\N	\N
590081	2009	1994-10-12	PRIJEM	VKLAD	23143	61214	\N	\N	\N
590082	2009	1994-11-12	PRIJEM	VKLAD	23143	63698	\N	\N	\N
590083	2009	1994-12-12	PRIJEM	VKLAD	34714	73943	\N	\N	\N
590084	2009	1995-01-12	PRIJEM	VKLAD	23143	63368	\N	\N	\N
590085	2009	1995-02-12	PRIJEM	VKLAD	23143	62386	\N	\N	\N
590086	2009	1995-03-12	PRIJEM	VKLAD	23143	67711	\N	\N	\N
590087	2009	1995-04-12	PRIJEM	VKLAD	23143	69847	\N	\N	\N
590088	2009	1995-05-12	PRIJEM	VKLAD	23143	72092	\N	\N	\N
590089	2009	1995-06-12	PRIJEM	VKLAD	34714	83950	\N	\N	\N
590090	2009	1995-07-12	PRIJEM	VKLAD	23143	57073	\N	\N	\N
590091	2009	1995-08-12	PRIJEM	VKLAD	23143	64249	\N	\N	\N
590092	2009	1995-09-12	PRIJEM	VKLAD	23143	66662	\N	\N	\N
590093	2009	1995-10-12	PRIJEM	VKLAD	23143	68186	\N	\N	\N
590094	2009	1995-11-12	PRIJEM	VKLAD	23143	66318	\N	\N	\N
590095	2009	1995-12-12	PRIJEM	VKLAD	34714	80719	\N	\N	\N
590096	2009	1996-01-12	PRIJEM	VKLAD	23143	63097	\N	\N	\N
590097	2009	1996-02-12	PRIJEM	VKLAD	23143	67110	\N	\N	\N
590098	2009	1996-03-12	PRIJEM	VKLAD	23143	68050	\N	\N	\N
590099	2009	1996-04-12	PRIJEM	VKLAD	23143	70420	\N	\N	\N
590100	2009	1996-05-12	PRIJEM	VKLAD	23143	72162	\N	\N	\N
590101	2009	1996-06-12	PRIJEM	VKLAD	34714	79585	\N	\N	\N
590102	2009	1996-07-12	PRIJEM	VKLAD	23143	62941	\N	\N	\N
590103	2009	1996-08-12	PRIJEM	VKLAD	23143	66945	\N	\N	\N
590104	2009	1996-09-12	PRIJEM	VKLAD	23143	68370	\N	\N	\N
590105	2009	1996-10-12	PRIJEM	VKLAD	23143	69085	\N	\N	\N
590106	2009	1996-11-12	PRIJEM	VKLAD	23143	68457	\N	\N	\N
590107	2009	1996-12-12	PRIJEM	VKLAD	34714	77142	\N	\N	\N
590108	2009	1997-01-12	PRIJEM	VKLAD	23143	62635	\N	\N	\N
590109	2009	1997-02-12	PRIJEM	VKLAD	23143	66535	\N	\N	\N
590110	2009	1997-03-12	PRIJEM	VKLAD	23143	68338	\N	\N	\N
590111	2009	1997-04-12	PRIJEM	VKLAD	23143	67448	\N	\N	\N
590112	2009	1997-05-12	PRIJEM	VKLAD	23143	62349	\N	\N	\N
590113	2009	1997-06-12	PRIJEM	VKLAD	34714	76410	\N	\N	\N
590114	2009	1997-07-12	PRIJEM	VKLAD	23143	58757	\N	\N	\N
590115	2009	1997-08-12	PRIJEM	VKLAD	23143	65026	\N	\N	\N
590116	2009	1997-09-12	PRIJEM	VKLAD	23143	69818	\N	\N	\N
590117	2009	1997-10-12	PRIJEM	VKLAD	23143	70916	\N	\N	\N
590118	2009	1997-11-12	PRIJEM	VKLAD	23143	68785	\N	\N	\N
590119	2009	1997-12-12	PRIJEM	VKLAD	34714	81460	\N	\N	\N
590120	2009	1998-01-12	PRIJEM	VKLAD	23143	77195	\N	\N	\N
590121	2009	1998-02-12	PRIJEM	VKLAD	23143	59772	\N	\N	\N
590122	2009	1998-03-12	PRIJEM	VKLAD	23143	67739	\N	\N	\N
590123	2009	1998-04-12	PRIJEM	VKLAD	23143	68036	\N	\N	\N
590124	2009	1998-05-12	PRIJEM	VKLAD	23143	73141	\N	\N	\N
590125	2009	1998-06-12	PRIJEM	VKLAD	34714	81717	\N	\N	\N
590126	2009	1998-07-12	PRIJEM	VKLAD	23143	78241	\N	\N	\N
590127	2009	1998-08-12	PRIJEM	VKLAD	23143	75568	\N	\N	\N
590128	2009	1998-09-12	PRIJEM	VKLAD	23143	80994	\N	\N	\N
590129	2009	1998-10-12	PRIJEM	VKLAD	23143	84236	\N	\N	\N
590130	2009	1998-11-12	PRIJEM	VKLAD	23143	81582	\N	\N	\N
590131	2009	1998-12-12	PRIJEM	VKLAD	34714	86781	\N	\N	\N
590141	2009	1994-10-08	VYDAJ	PREVOD NA UCET	2995	55539	SIPO	WX	4761881
590142	2009	1994-11-08	VYDAJ	PREVOD NA UCET	2995	54123	SIPO	WX	4761881
590143	2009	1994-12-08	VYDAJ	PREVOD NA UCET	2995	59977	SIPO	WX	4761881
590144	2009	1995-01-08	VYDAJ	PREVOD NA UCET	2995	57893	SIPO	WX	4761881
590145	2009	1995-02-08	VYDAJ	PREVOD NA UCET	2995	40511	SIPO	WX	4761881
590146	2009	1995-03-08	VYDAJ	PREVOD NA UCET	2995	59616	SIPO	WX	4761881
590147	2009	1995-04-08	VYDAJ	PREVOD NA UCET	2995	64972	SIPO	WX	4761881
590148	2009	1995-05-08	VYDAJ	PREVOD NA UCET	2995	67117	SIPO	WX	4761881
590149	2009	1995-06-08	VYDAJ	PREVOD NA UCET	2995	66604	SIPO	WX	4761881
590150	2009	1995-07-08	VYDAJ	PREVOD NA UCET	2995	35198	SIPO	WX	4761881
590151	2009	1995-08-08	VYDAJ	PREVOD NA UCET	2995	42374	SIPO	WX	4761881
590152	2009	1995-09-08	VYDAJ	PREVOD NA UCET	2995	44787	SIPO	WX	4761881
590153	2009	1995-10-08	VYDAJ	PREVOD NA UCET	2995	46311	SIPO	WX	4761881
590154	2009	1995-11-08	VYDAJ	PREVOD NA UCET	2995	44443	SIPO	WX	4761881
590155	2009	1995-12-08	VYDAJ	PREVOD NA UCET	2995	47273	SIPO	WX	4761881
590156	2009	1996-01-08	VYDAJ	PREVOD NA UCET	2995	41222	SIPO	WX	4761881
590157	2009	1996-02-08	VYDAJ	PREVOD NA UCET	2995	45235	SIPO	WX	4761881
590158	2009	1996-03-08	VYDAJ	PREVOD NA UCET	2995	46175	SIPO	WX	4761881
590159	2009	1996-04-08	VYDAJ	PREVOD NA UCET	2995	48545	SIPO	WX	4761881
590160	2009	1996-05-08	VYDAJ	PREVOD NA UCET	2995	50287	SIPO	WX	4761881
590161	2009	1996-06-08	VYDAJ	PREVOD NA UCET	2995	46139	SIPO	WX	4761881
590162	2009	1996-07-08	VYDAJ	PREVOD NA UCET	2995	41066	SIPO	WX	4761881
590163	2009	1996-08-08	VYDAJ	PREVOD NA UCET	2995	45070	SIPO	WX	4761881
590164	2009	1996-09-08	VYDAJ	PREVOD NA UCET	2995	46495	SIPO	WX	4761881
590165	2009	1996-10-08	VYDAJ	PREVOD NA UCET	2995	47210	SIPO	WX	4761881
590166	2009	1996-11-08	VYDAJ	PREVOD NA UCET	2995	46582	SIPO	WX	4761881
590167	2009	1996-12-08	VYDAJ	PREVOD NA UCET	2995	43696	SIPO	WX	4761881
590168	2009	1997-01-08	VYDAJ	PREVOD NA UCET	2995	53400	SIPO	WX	4761881
590169	2009	1997-02-08	VYDAJ	PREVOD NA UCET	2995	44660	SIPO	WX	4761881
590170	2009	1997-03-08	VYDAJ	PREVOD NA UCET	2995	46463	SIPO	WX	4761881
590171	2009	1997-04-08	VYDAJ	PREVOD NA UCET	2995	45573	SIPO	WX	4761881
590172	2009	1997-05-08	VYDAJ	PREVOD NA UCET	2995	40474	SIPO	WX	4761881
590173	2009	1997-06-08	VYDAJ	PREVOD NA UCET	2995	42964	SIPO	WX	4761881
590174	2009	1997-07-08	VYDAJ	PREVOD NA UCET	2995	36882	SIPO	WX	4761881
590175	2009	1997-08-08	VYDAJ	PREVOD NA UCET	2995	43151	SIPO	WX	4761881
590176	2009	1997-09-08	VYDAJ	PREVOD NA UCET	2995	47943	SIPO	WX	4761881
590177	2009	1997-10-08	VYDAJ	PREVOD NA UCET	2995	49041	SIPO	WX	4761881
590178	2009	1997-11-08	VYDAJ	PREVOD NA UCET	2995	46910	SIPO	WX	4761881
590179	2009	1997-12-08	VYDAJ	PREVOD NA UCET	2995	51514	SIPO	WX	4761881
590180	2009	1998-01-08	VYDAJ	PREVOD NA UCET	2995	55320	SIPO	WX	4761881
590181	2009	1998-02-08	VYDAJ	PREVOD NA UCET	2995	37897	SIPO	WX	4761881
590182	2009	1998-03-08	VYDAJ	PREVOD NA UCET	2995	45864	SIPO	WX	4761881
590183	2009	1998-04-08	VYDAJ	PREVOD NA UCET	2995	49861	SIPO	WX	4761881
590184	2009	1998-05-08	VYDAJ	PREVOD NA UCET	2995	51266	SIPO	WX	4761881
590185	2009	1998-06-08	VYDAJ	PREVOD NA UCET	2995	48271	SIPO	WX	4761881
590186	2009	1998-07-08	VYDAJ	PREVOD NA UCET	2995	56366	SIPO	WX	4761881
590187	2009	1998-08-08	VYDAJ	PREVOD NA UCET	2995	53693	SIPO	WX	4761881
590188	2009	1998-09-08	VYDAJ	PREVOD NA UCET	2995	59119	SIPO	WX	4761881
590189	2009	1998-10-08	VYDAJ	PREVOD NA UCET	2995	62361	SIPO	WX	4761881
590190	2009	1998-11-08	VYDAJ	PREVOD NA UCET	2995	59707	SIPO	WX	4761881
590191	2009	1998-12-08	VYDAJ	PREVOD NA UCET	2995	53335	SIPO	WX	4761881
590201	2009	1994-10-10	VYDAJ	PREVOD NA UCET	1268	54271	 	MN	55095195
590202	2009	1994-11-10	VYDAJ	PREVOD NA UCET	1268	40555	 	MN	55095195
590203	2009	1994-12-10	VYDAJ	PREVOD NA UCET	1268	39229	 	MN	55095195
590204	2009	1995-01-10	VYDAJ	PREVOD NA UCET	1268	40225	 	MN	55095195
590205	2009	1995-02-10	VYDAJ	PREVOD NA UCET	1268	39243	 	MN	55095195
590206	2009	1995-03-10	VYDAJ	PREVOD NA UCET	1268	44568	 	MN	55095195
590207	2009	1995-04-10	VYDAJ	PREVOD NA UCET	1268	46704	 	MN	55095195
590208	2009	1995-05-10	VYDAJ	PREVOD NA UCET	1268	48949	 	MN	55095195
590209	2009	1995-06-10	VYDAJ	PREVOD NA UCET	1268	49236	 	MN	55095195
590210	2009	1995-07-10	VYDAJ	PREVOD NA UCET	1268	33930	 	MN	55095195
590211	2009	1995-08-10	VYDAJ	PREVOD NA UCET	1268	41106	 	MN	55095195
590212	2009	1995-09-10	VYDAJ	PREVOD NA UCET	1268	43519	 	MN	55095195
590213	2009	1995-10-10	VYDAJ	PREVOD NA UCET	1268	45043	 	MN	55095195
590214	2009	1995-11-10	VYDAJ	PREVOD NA UCET	1268	43175	 	MN	55095195
590215	2009	1995-12-10	VYDAJ	PREVOD NA UCET	1268	46005	 	MN	55095195
590216	2009	1996-01-10	VYDAJ	PREVOD NA UCET	1268	39954	 	MN	55095195
590217	2009	1996-02-10	VYDAJ	PREVOD NA UCET	1268	43967	 	MN	55095195
590218	2009	1996-03-10	VYDAJ	PREVOD NA UCET	1268	44907	 	MN	55095195
590219	2009	1996-04-10	VYDAJ	PREVOD NA UCET	1268	47277	 	MN	55095195
590220	2009	1996-05-10	VYDAJ	PREVOD NA UCET	1268	49019	 	MN	55095195
590221	2009	1996-06-10	VYDAJ	PREVOD NA UCET	1268	44871	 	MN	55095195
590222	2009	1996-07-10	VYDAJ	PREVOD NA UCET	1268	39798	 	MN	55095195
590223	2009	1996-08-10	VYDAJ	PREVOD NA UCET	1268	43802	 	MN	55095195
590224	2009	1996-09-10	VYDAJ	PREVOD NA UCET	1268	45227	 	MN	55095195
590225	2009	1996-10-10	VYDAJ	PREVOD NA UCET	1268	45942	 	MN	55095195
590226	2009	1996-11-10	VYDAJ	PREVOD NA UCET	1268	45314	 	MN	55095195
590227	2009	1996-12-10	VYDAJ	PREVOD NA UCET	1268	42428	 	MN	55095195
590228	2009	1997-01-10	VYDAJ	PREVOD NA UCET	1268	39492	 	MN	55095195
590229	2009	1997-02-10	VYDAJ	PREVOD NA UCET	1268	43392	 	MN	55095195
590230	2009	1997-03-10	VYDAJ	PREVOD NA UCET	1268	45195	 	MN	55095195
590231	2009	1997-04-10	VYDAJ	PREVOD NA UCET	1268	44305	 	MN	55095195
590232	2009	1997-05-10	VYDAJ	PREVOD NA UCET	1268	39206	 	MN	55095195
590233	2009	1997-06-10	VYDAJ	PREVOD NA UCET	1268	41696	 	MN	55095195
590234	2009	1997-07-10	VYDAJ	PREVOD NA UCET	1268	35614	 	MN	55095195
590235	2009	1997-08-10	VYDAJ	PREVOD NA UCET	1268	41883	 	MN	55095195
590236	2009	1997-09-10	VYDAJ	PREVOD NA UCET	1268	46675	 	MN	55095195
590237	2009	1997-10-10	VYDAJ	PREVOD NA UCET	1268	47773	 	MN	55095195
590238	2009	1997-11-10	VYDAJ	PREVOD NA UCET	1268	45642	 	MN	55095195
590239	2009	1997-12-10	VYDAJ	PREVOD NA UCET	1268	50246	 	MN	55095195
590240	2009	1998-01-10	VYDAJ	PREVOD NA UCET	1268	54052	 	MN	55095195
590241	2009	1998-02-10	VYDAJ	PREVOD NA UCET	1268	36629	 	MN	55095195
590242	2009	1998-03-10	VYDAJ	PREVOD NA UCET	1268	44596	 	MN	55095195
590243	2009	1998-04-10	VYDAJ	PREVOD NA UCET	1268	48593	 	MN	55095195
590244	2009	1998-05-10	VYDAJ	PREVOD NA UCET	1268	49998	 	MN	55095195
590245	2009	1998-06-10	VYDAJ	PREVOD NA UCET	1268	47003	 	MN	55095195
590246	2009	1998-07-10	VYDAJ	PREVOD NA UCET	1268	55098	 	MN	55095195
590247	2009	1998-08-10	VYDAJ	PREVOD NA UCET	1268	52425	 	MN	55095195
590248	2009	1998-09-10	VYDAJ	PREVOD NA UCET	1268	57851	 	MN	55095195
590249	2009	1998-10-10	VYDAJ	PREVOD NA UCET	1268	61093	 	MN	55095195
590250	2009	1998-11-10	VYDAJ	PREVOD NA UCET	1268	58439	 	MN	55095195
590251	2009	1998-12-10	VYDAJ	PREVOD NA UCET	1268	52067	 	MN	55095195
590253	2009	1995-06-12	VYDAJ	VYBER	41120	42830	\N	\N	\N
590254	2009	1996-06-22	VYDAJ	VYBER	26880	52705	\N	\N	\N
590255	2009	1997-06-21	VYDAJ	VYBER	31840	44570	\N	\N	\N
590258	2009	1995-01-24	VYDAJ	VYBER	8000	55368	\N	\N	\N
590259	2009	1996-01-05	VYDAJ	VYBER	7360	44217	\N	\N	\N
590260	2009	1997-01-09	VYDAJ	VYBER	12640	40760	\N	\N	\N
590261	2009	1998-01-28	VYDAJ	VYBER	11840	40655	\N	\N	\N
590262	2009	1994-12-09	VYDAJ	VYBER	4480	55497	\N	\N	\N
590263	2009	1995-12-25	VYDAJ	VYBER	4320	72799	\N	\N	\N
590264	2009	1996-12-06	VYDAJ	VYBER KARTOU	3700	46691	\N	\N	0
590265	2009	1997-12-10	VYDAJ	VYBER KARTOU	3500	46746	\N	\N	0
590266	2009	1998-12-14	VYDAJ	VYBER	4640	82141	\N	\N	\N
590267	2009	1994-12-24	VYDAJ	VYBER	1920	70103	\N	\N	\N
590270	2009	1994-12-18	VYDAJ	VYBER	1920	72023	\N	\N	\N
590271	2009	1994-10-17	VYDAJ	VYBER	4320	56894	\N	\N	\N
590273	2009	1994-11-16	VYDAJ	VYBER	960	62738	\N	\N	\N
590275	2009	1995-09-24	VYDAJ	VYBER	4200	62462	\N	\N	\N
590276	2009	1995-01-08	VYDAJ	VYBER	5640	60888	\N	\N	\N
590277	2009	1995-03-10	VYDAJ	VYBER	1680	45836	\N	\N	\N
590278	2009	1995-06-24	VYDAJ	VYBER	3000	39830	\N	\N	\N
590279	2009	1995-12-16	VYDAJ	VYBER	3600	77119	\N	\N	\N
590280	2009	1995-05-12	VYDAJ	VYBER	2760	69332	\N	\N	\N
590281	2009	1995-01-01	VYDAJ	VYBER	3840	66528	\N	\N	\N
590282	2009	1996-09-26	VYDAJ	VYBER	1200	67170	\N	\N	\N
590283	2009	1996-02-17	VYDAJ	VYBER	3480	63630	\N	\N	\N
590284	2009	1996-03-18	VYDAJ	VYBER	960	67090	\N	\N	\N
590285	2009	1996-10-18	VYDAJ	VYBER	3240	65845	\N	\N	\N
590286	2009	1997-04-30	VYDAJ	VYBER	4800	43469	\N	\N	\N
590287	2009	1997-10-23	VYDAJ	VYBER	4080	66836	\N	\N	\N
590288	2009	1997-10-28	VYDAJ	VYBER	4560	49676	\N	\N	\N
590289	2009	1997-12-26	VYDAJ	VYBER KARTOU	1200	58060	\N	\N	0
590290	2009	1997-09-25	VYDAJ	VYBER	4320	65498	\N	\N	\N
590291	2009	1997-04-17	VYDAJ	VYBER KARTOU	3200	64248	\N	\N	0
590292	2009	1998-05-24	VYDAJ	VYBER KARTOU	1300	51041	\N	\N	0
590293	2009	1998-12-20	VYDAJ	VYBER KARTOU	2600	58641	\N	\N	0
590294	2009	1998-05-14	VYDAJ	VYBER KARTOU	3800	69341	\N	\N	0
590295	2009	1998-04-10	VYDAJ	VYBER KARTOU	3700	44893	\N	\N	0
590296	2009	1998-11-22	VYDAJ	VYBER KARTOU	2600	56082	\N	\N	0
590306	2009	1994-09-30	VYDAJ	VYBER	15	58534	SLUZBY	\N	\N
590307	2009	1994-10-31	VYDAJ	VYBER	15	57118	SLUZBY	\N	\N
590308	2009	1994-11-30	VYDAJ	VYBER	15	62972	SLUZBY	\N	\N
590309	2009	1994-12-31	VYDAJ	VYBER	15	70368	SLUZBY	\N	\N
590310	2009	1995-01-31	VYDAJ	VYBER	15	55606	SLUZBY	\N	\N
590311	2009	1995-02-28	VYDAJ	VYBER	15	62611	SLUZBY	\N	\N
590312	2009	1995-03-31	VYDAJ	VYBER	15	67967	SLUZBY	\N	\N
590313	2009	1995-04-30	VYDAJ	VYBER	15	70112	SLUZBY	\N	\N
590314	2009	1995-05-31	VYDAJ	VYBER	15	69599	SLUZBY	\N	\N
590315	2009	1995-06-30	VYDAJ	VYBER	15	40093	SLUZBY	\N	\N
590316	2009	1995-07-31	VYDAJ	VYBER	15	57269	SLUZBY	\N	\N
590317	2009	1995-08-31	VYDAJ	VYBER	15	64482	SLUZBY	\N	\N
590318	2009	1995-09-30	VYDAJ	VYBER	15	62706	SLUZBY	\N	\N
590319	2009	1995-10-31	VYDAJ	VYBER	15	68438	SLUZBY	\N	\N
590320	2009	1995-11-30	VYDAJ	VYBER	15	66568	SLUZBY	\N	\N
590321	2009	1995-12-31	VYDAJ	VYBER	15	73077	SLUZBY	\N	\N
590322	2009	1996-01-31	VYDAJ	VYBER	15	63330	SLUZBY	\N	\N
590323	2009	1996-02-29	VYDAJ	VYBER	15	63870	SLUZBY	\N	\N
590324	2009	1996-03-31	VYDAJ	VYBER	15	67340	SLUZBY	\N	\N
590325	2009	1996-04-30	VYDAJ	VYBER	15	70682	SLUZBY	\N	\N
590326	2009	1996-05-31	VYDAJ	VYBER	15	72434	SLUZBY	\N	\N
590327	2009	1996-06-30	VYDAJ	VYBER	15	52961	SLUZBY	\N	\N
590328	2009	1996-07-31	VYDAJ	VYBER	15	63165	SLUZBY	\N	\N
590329	2009	1996-08-31	VYDAJ	VYBER	15	49490	SLUZBY	\N	\N
590330	2009	1996-09-30	VYDAJ	VYBER	15	67405	SLUZBY	\N	\N
590331	2009	1996-10-31	VYDAJ	VYBER	15	49577	SLUZBY	\N	\N
590332	2009	1996-11-30	VYDAJ	VYBER	15	50391	SLUZBY	\N	\N
590333	2009	1996-12-31	VYDAJ	VYBER	15	56395	SLUZBY	\N	\N
590334	2009	1997-01-31	VYDAJ	VYBER	15	47655	SLUZBY	\N	\N
590335	2009	1997-02-28	VYDAJ	VYBER	15	49458	SLUZBY	\N	\N
590336	2009	1997-03-31	VYDAJ	VYBER	15	48568	SLUZBY	\N	\N
590337	2009	1997-04-30	VYDAJ	VYBER	15	48269	SLUZBY	\N	\N
590338	2009	1997-05-31	VYDAJ	VYBER	15	45959	SLUZBY	\N	\N
590339	2009	1997-06-30	VYDAJ	VYBER	15	39877	SLUZBY	\N	\N
590340	2009	1997-07-31	VYDAJ	VYBER	15	46146	SLUZBY	\N	\N
590341	2009	1997-08-31	VYDAJ	VYBER	15	50938	SLUZBY	\N	\N
590342	2009	1997-09-30	VYDAJ	VYBER	15	52036	SLUZBY	\N	\N
590343	2009	1997-10-31	VYDAJ	VYBER	15	49905	SLUZBY	\N	\N
590344	2009	1997-11-30	VYDAJ	VYBER	15	54509	SLUZBY	\N	\N
590345	2009	1997-12-31	VYDAJ	VYBER	15	58315	SLUZBY	\N	\N
590346	2009	1998-01-31	VYDAJ	VYBER	15	40892	SLUZBY	\N	\N
590347	2009	1998-02-28	VYDAJ	VYBER	15	48859	SLUZBY	\N	\N
590348	2009	1998-03-31	VYDAJ	VYBER	15	52856	SLUZBY	\N	\N
590349	2009	1998-04-30	VYDAJ	VYBER	15	54261	SLUZBY	\N	\N
590350	2009	1998-05-31	VYDAJ	VYBER	15	51266	SLUZBY	\N	\N
590351	2009	1998-06-30	VYDAJ	VYBER	15	59361	SLUZBY	\N	\N
590352	2009	1998-07-31	VYDAJ	VYBER	15	56688	SLUZBY	\N	\N
590353	2009	1998-08-31	VYDAJ	VYBER	15	62114	SLUZBY	\N	\N
590354	2009	1998-09-30	VYDAJ	VYBER	15	65356	SLUZBY	\N	\N
590355	2009	1998-10-31	VYDAJ	VYBER	15	62702	SLUZBY	\N	\N
590356	2009	1998-11-30	VYDAJ	VYBER	15	56330	SLUZBY	\N	\N
590357	2009	1994-05-14	VYDAJ	VYBER	1000	23243	\N	\N	\N
590358	2009	1994-06-13	VYDAJ	VYBER	18000	40013	\N	\N	\N
590359	2009	1994-07-13	VYDAJ	VYBER	20800	42495	\N	\N	\N
590360	2009	1994-08-12	VYDAJ	VYBER	18700	47111	\N	\N	\N
590361	2009	1994-09-11	VYDAJ	VYBER	12200	35151	\N	\N	\N
590362	2009	1994-10-11	VYDAJ	VYBER	16200	38071	\N	\N	\N
590363	2009	1994-11-10	VYDAJ	VYBER	12300	41823	\N	\N	\N
590364	2009	1994-12-10	VYDAJ	VYBER	15000	40497	\N	\N	\N
590365	2009	1995-01-09	VYDAJ	VYBER	16400	41493	\N	\N	\N
590366	2009	1995-02-08	VYDAJ	VYBER	12100	43506	\N	\N	\N
590367	2009	1995-03-10	VYDAJ	VYBER	12100	47516	\N	\N	\N
590368	2009	1995-04-09	VYDAJ	VYBER	17000	47972	\N	\N	\N
590369	2009	1995-05-09	VYDAJ	VYBER	16900	50217	\N	\N	\N
590370	2009	1995-06-08	VYDAJ	VYBER	16100	50504	\N	\N	\N
590371	2009	1995-07-08	VYDAJ	VYBER	1900	38193	\N	\N	\N
590372	2009	1995-08-07	VYDAJ	VYBER	11900	45369	\N	\N	\N
590373	2009	1995-09-06	VYDAJ	VYBER	16700	47782	\N	\N	\N
590374	2009	1995-10-06	VYDAJ	VYBER	13400	49306	\N	\N	\N
590375	2009	1995-11-05	VYDAJ	VYBER	21000	47438	\N	\N	\N
590376	2009	1995-12-05	VYDAJ	VYBER	16300	50268	\N	\N	\N
590377	2009	1996-01-04	VYDAJ	VYBER	21500	51577	\N	\N	\N
590378	2009	1996-02-03	VYDAJ	VYBER	15100	48230	\N	\N	\N
590379	2009	1996-03-04	VYDAJ	VYBER	14700	49170	\N	\N	\N
590380	2009	1996-04-03	VYDAJ	VYBER	15800	51540	\N	\N	\N
590381	2009	1996-05-03	VYDAJ	VYBER	17400	53282	\N	\N	\N
590382	2009	1996-06-02	VYDAJ	VYBER	23300	49134	\N	\N	\N
590383	2009	1996-07-02	VYDAJ	VYBER	8900	44061	\N	\N	\N
590384	2009	1996-08-01	VYDAJ	VYBER	15100	48065	\N	\N	\N
590385	2009	1996-08-31	VYDAJ	VYBER	17700	49505	\N	\N	\N
590386	2009	1996-09-30	VYDAJ	VYBER	17200	50205	\N	\N	\N
590387	2009	1996-10-30	VYDAJ	VYBER	16500	49345	\N	\N	\N
590388	2009	1996-11-29	VYDAJ	VYBER	18300	50157	\N	\N	\N
590389	2009	1996-12-29	VYDAJ	VYBER	21000	56142	\N	\N	\N
590390	2009	1997-01-28	VYDAJ	VYBER	15200	47435	\N	\N	\N
590391	2009	1997-02-27	VYDAJ	VYBER	17300	49235	\N	\N	\N
590392	2009	1997-03-29	VYDAJ	VYBER	20000	48338	\N	\N	\N
590393	2009	1997-04-28	VYDAJ	VYBER	16200	48048	\N	\N	\N
590394	2009	1997-05-28	VYDAJ	VYBER	16600	45749	\N	\N	\N
590395	2009	1997-06-27	VYDAJ	VYBER	4900	39670	\N	\N	\N
590396	2009	1997-07-27	VYDAJ	VYBER	12800	45957	\N	\N	\N
590397	2009	1997-08-26	VYDAJ	VYBER	14300	50726	\N	\N	\N
590398	2009	1997-09-25	VYDAJ	VYBER	13700	51798	\N	\N	\N
590399	2009	1997-10-25	VYDAJ	VYBER	12600	54236	\N	\N	\N
590400	2009	1997-11-24	VYDAJ	VYBER	14500	54285	\N	\N	\N
590401	2009	1997-12-24	VYDAJ	VYBER	22200	59260	\N	\N	\N
590402	2009	1998-01-23	VYDAJ	VYBER	24700	52495	\N	\N	\N
590403	2009	1998-02-22	VYDAJ	VYBER	11100	48672	\N	\N	\N
590404	2009	1998-03-24	VYDAJ	VYBER	15100	52639	\N	\N	\N
590405	2009	1998-04-23	VYDAJ	VYBER	14000	54036	\N	\N	\N
590406	2009	1998-05-23	VYDAJ	VYBER	17000	52341	\N	\N	\N
590407	2009	1998-06-22	VYDAJ	VYBER	22600	59117	\N	\N	\N
590408	2009	1998-07-22	VYDAJ	VYBER	21800	56441	\N	\N	\N
590409	2009	1998-08-21	VYDAJ	VYBER	13700	61868	\N	\N	\N
590410	2009	1998-09-20	VYDAJ	VYBER	15900	65094	\N	\N	\N
590411	2009	1998-10-20	VYDAJ	VYBER	21800	62436	\N	\N	\N
590412	2009	1998-11-19	VYDAJ	VYBER	22900	58682	\N	\N	\N
590413	2009	1998-12-19	VYDAJ	VYBER	20900	61241	\N	\N	\N
590470	2010	1993-12-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
590483	2010	1994-01-09	PRIJEM	PREVOD Z UCTU	5815	6915	DUCHOD	MN	31698858
590484	2010	1994-02-09	PRIJEM	PREVOD Z UCTU	5815	12730	DUCHOD	MN	31698858
590485	2010	1994-03-09	PRIJEM	PREVOD Z UCTU	5815	18545	DUCHOD	MN	31698858
590486	2010	1994-04-09	PRIJEM	PREVOD Z UCTU	5815	24360	DUCHOD	MN	31698858
590487	2010	1994-05-09	PRIJEM	PREVOD Z UCTU	5815	30175	DUCHOD	MN	31698858
590488	2010	1994-06-09	PRIJEM	PREVOD Z UCTU	5815	28402	DUCHOD	MN	31698858
590489	2010	1994-07-09	PRIJEM	PREVOD Z UCTU	5815	24838	DUCHOD	MN	31698858
590490	2010	1994-08-09	PRIJEM	PREVOD Z UCTU	5815	26864	DUCHOD	MN	31698858
590491	2010	1994-09-09	PRIJEM	PREVOD Z UCTU	5815	28017	DUCHOD	MN	31698858
590492	2010	1994-10-09	PRIJEM	PREVOD Z UCTU	5815	30056	DUCHOD	MN	31698858
590493	2010	1994-11-09	PRIJEM	PREVOD Z UCTU	5815	30322	DUCHOD	MN	31698858
590494	2010	1994-12-09	PRIJEM	PREVOD Z UCTU	5815	31271	DUCHOD	MN	31698858
590495	2010	1995-01-09	PRIJEM	PREVOD Z UCTU	5815	32723	DUCHOD	MN	31698858
590496	2010	1995-02-09	PRIJEM	PREVOD Z UCTU	5815	22238	DUCHOD	MN	31698858
590497	2010	1995-03-09	PRIJEM	PREVOD Z UCTU	5815	23691	DUCHOD	MN	31698858
590498	2010	1995-04-09	PRIJEM	PREVOD Z UCTU	5815	25712	DUCHOD	MN	31698858
590499	2010	1995-05-09	PRIJEM	PREVOD Z UCTU	5815	27741	DUCHOD	MN	31698858
590500	2010	1995-06-09	PRIJEM	PREVOD Z UCTU	5815	27779	DUCHOD	MN	31698858
590501	2010	1995-07-09	PRIJEM	PREVOD Z UCTU	5815	16194	DUCHOD	MN	31698858
590502	2010	1995-08-09	PRIJEM	PREVOD Z UCTU	5815	18184	DUCHOD	MN	31698858
590503	2010	1995-09-09	PRIJEM	PREVOD Z UCTU	5815	17295	DUCHOD	MN	31698858
590504	2010	1995-10-09	PRIJEM	PREVOD Z UCTU	5815	19289	DUCHOD	MN	31698858
590505	2010	1995-11-09	PRIJEM	PREVOD Z UCTU	5815	21291	DUCHOD	MN	31698858
590506	2010	1995-12-09	PRIJEM	PREVOD Z UCTU	5815	19941	DUCHOD	MN	31698858
590507	2010	1996-01-09	PRIJEM	PREVOD Z UCTU	5815	17867	DUCHOD	MN	31698858
590508	2010	1996-02-09	PRIJEM	PREVOD Z UCTU	5815	16181	DUCHOD	MN	31698858
590509	2010	1996-03-09	PRIJEM	PREVOD Z UCTU	5815	18170	DUCHOD	MN	31698858
590510	2010	1996-04-09	PRIJEM	PREVOD Z UCTU	5815	19128	DUCHOD	MN	31698858
590511	2010	1996-05-09	PRIJEM	PREVOD Z UCTU	5815	21129	DUCHOD	MN	31698858
590512	2010	1996-06-09	PRIJEM	PREVOD Z UCTU	5815	19209	DUCHOD	MN	31698858
590513	2010	1996-07-09	PRIJEM	PREVOD Z UCTU	5815	21211	DUCHOD	MN	31698858
590514	2010	1996-08-09	PRIJEM	PREVOD Z UCTU	5815	23221	DUCHOD	MN	31698858
590515	2010	1996-09-09	PRIJEM	PREVOD Z UCTU	5815	25240	DUCHOD	MN	31698858
590516	2010	1996-10-09	PRIJEM	PREVOD Z UCTU	5815	23347	DUCHOD	MN	31698858
590517	2010	1996-11-09	PRIJEM	PREVOD Z UCTU	5815	25369	DUCHOD	MN	31698858
590518	2010	1996-12-09	PRIJEM	PREVOD Z UCTU	5815	23313	DUCHOD	MN	31698858
590519	2010	1997-01-09	PRIJEM	PREVOD Z UCTU	5815	19746	DUCHOD	MN	31698858
590520	2010	1997-02-09	PRIJEM	PREVOD Z UCTU	5815	16698	DUCHOD	MN	31698858
590521	2010	1997-03-09	PRIJEM	PREVOD Z UCTU	5815	18689	DUCHOD	MN	31698858
590522	2010	1997-04-09	PRIJEM	PREVOD Z UCTU	5815	20688	DUCHOD	MN	31698858
590523	2010	1997-05-09	PRIJEM	PREVOD Z UCTU	5815	22295	DUCHOD	MN	31698858
590524	2010	1997-06-09	PRIJEM	PREVOD Z UCTU	5815	24310	DUCHOD	MN	31698858
590525	2010	1997-07-09	PRIJEM	PREVOD Z UCTU	5815	18224	DUCHOD	MN	31698858
590526	2010	1997-08-09	PRIJEM	PREVOD Z UCTU	5815	20221	DUCHOD	MN	31698858
590527	2010	1997-09-09	PRIJEM	PREVOD Z UCTU	5815	20625	DUCHOD	MN	31698858
590528	2010	1997-10-09	PRIJEM	PREVOD Z UCTU	5815	20949	DUCHOD	MN	31698858
590529	2010	1997-11-09	PRIJEM	PREVOD Z UCTU	5815	22958	DUCHOD	MN	31698858
590530	2010	1997-12-09	PRIJEM	PREVOD Z UCTU	5815	24094	DUCHOD	MN	31698858
590531	2010	1998-01-09	PRIJEM	PREVOD Z UCTU	5815	21002	DUCHOD	MN	31698858
590532	2010	1998-02-09	PRIJEM	PREVOD Z UCTU	5815	17717	DUCHOD	MN	31698858
590533	2010	1998-03-09	PRIJEM	PREVOD Z UCTU	5815	19711	DUCHOD	MN	31698858
590534	2010	1998-04-09	PRIJEM	PREVOD Z UCTU	5815	21714	DUCHOD	MN	31698858
590535	2010	1998-05-09	PRIJEM	PREVOD Z UCTU	5815	22365	DUCHOD	MN	31698858
590536	2010	1998-06-09	PRIJEM	PREVOD Z UCTU	5815	24379	DUCHOD	MN	31698858
590537	2010	1998-07-09	PRIJEM	PREVOD Z UCTU	5815	19824	DUCHOD	MN	31698858
590538	2010	1998-08-09	PRIJEM	PREVOD Z UCTU	5815	21827	DUCHOD	MN	31698858
590539	2010	1998-09-09	PRIJEM	PREVOD Z UCTU	5815	23839	DUCHOD	MN	31698858
590540	2010	1998-10-09	PRIJEM	PREVOD Z UCTU	5815	25858	DUCHOD	MN	31698858
590541	2010	1998-11-09	PRIJEM	PREVOD Z UCTU	5815	24523	DUCHOD	MN	31698858
590542	2010	1998-12-09	PRIJEM	PREVOD Z UCTU	5815	26546	DUCHOD	MN	31698858
590560	2010	1994-06-08	VYDAJ	PREVOD NA UCET	3876	22587	SIPO	KL	55216366
590561	2010	1994-07-08	VYDAJ	PREVOD NA UCET	3876	19023	SIPO	KL	55216366
590562	2010	1994-08-08	VYDAJ	PREVOD NA UCET	3876	21049	SIPO	KL	55216366
590563	2010	1994-09-08	VYDAJ	PREVOD NA UCET	3876	22202	SIPO	KL	55216366
590564	2010	1994-10-08	VYDAJ	PREVOD NA UCET	3876	24241	SIPO	KL	55216366
590565	2010	1994-11-08	VYDAJ	PREVOD NA UCET	3876	24507	SIPO	KL	55216366
590566	2010	1994-12-08	VYDAJ	PREVOD NA UCET	3876	25456	SIPO	KL	55216366
590567	2010	1995-01-08	VYDAJ	PREVOD NA UCET	3876	26908	SIPO	KL	55216366
590568	2010	1995-02-08	VYDAJ	PREVOD NA UCET	3876	16423	SIPO	KL	55216366
590569	2010	1995-03-08	VYDAJ	PREVOD NA UCET	3876	17876	SIPO	KL	55216366
590570	2010	1995-04-08	VYDAJ	PREVOD NA UCET	3876	19897	SIPO	KL	55216366
590571	2010	1995-05-08	VYDAJ	PREVOD NA UCET	3876	21926	SIPO	KL	55216366
590572	2010	1995-06-08	VYDAJ	PREVOD NA UCET	3876	21964	SIPO	KL	55216366
590573	2010	1995-07-08	VYDAJ	PREVOD NA UCET	3876	10379	SIPO	KL	55216366
590574	2010	1995-08-08	VYDAJ	PREVOD NA UCET	3876	12369	SIPO	KL	55216366
590575	2010	1995-09-08	VYDAJ	PREVOD NA UCET	3876	11480	SIPO	KL	55216366
590576	2010	1995-10-08	VYDAJ	PREVOD NA UCET	3876	13474	SIPO	KL	55216366
590577	2010	1995-11-08	VYDAJ	PREVOD NA UCET	3876	15476	SIPO	KL	55216366
590578	2010	1995-12-08	VYDAJ	PREVOD NA UCET	3876	14126	SIPO	KL	55216366
590579	2010	1996-01-08	VYDAJ	PREVOD NA UCET	3876	12052	SIPO	KL	55216366
590580	2010	1996-02-08	VYDAJ	PREVOD NA UCET	3876	10366	SIPO	KL	55216366
590581	2010	1996-03-08	VYDAJ	PREVOD NA UCET	3876	12355	SIPO	KL	55216366
590582	2010	1996-04-08	VYDAJ	PREVOD NA UCET	3876	13313	SIPO	KL	55216366
590583	2010	1996-05-08	VYDAJ	PREVOD NA UCET	3876	15314	SIPO	KL	55216366
590584	2010	1996-06-08	VYDAJ	PREVOD NA UCET	3876	13394	SIPO	KL	55216366
590585	2010	1996-07-08	VYDAJ	PREVOD NA UCET	3876	15396	SIPO	KL	55216366
590586	2010	1996-08-08	VYDAJ	PREVOD NA UCET	3876	17406	SIPO	KL	55216366
590587	2010	1996-09-08	VYDAJ	PREVOD NA UCET	3876	19425	SIPO	KL	55216366
590588	2010	1996-10-08	VYDAJ	PREVOD NA UCET	3876	17532	SIPO	KL	55216366
590589	2010	1996-11-08	VYDAJ	PREVOD NA UCET	3876	19554	SIPO	KL	55216366
590590	2010	1996-12-08	VYDAJ	PREVOD NA UCET	3876	17498	SIPO	KL	55216366
590591	2010	1997-01-08	VYDAJ	PREVOD NA UCET	3876	13931	SIPO	KL	55216366
590592	2010	1997-02-08	VYDAJ	PREVOD NA UCET	3876	10883	SIPO	KL	55216366
590593	2010	1997-03-08	VYDAJ	PREVOD NA UCET	3876	12874	SIPO	KL	55216366
590594	2010	1997-04-08	VYDAJ	PREVOD NA UCET	3876	14873	SIPO	KL	55216366
590595	2010	1997-05-08	VYDAJ	PREVOD NA UCET	3876	16480	SIPO	KL	55216366
590596	2010	1997-06-08	VYDAJ	PREVOD NA UCET	3876	18495	SIPO	KL	55216366
590597	2010	1997-07-08	VYDAJ	PREVOD NA UCET	3876	12409	SIPO	KL	55216366
590598	2010	1997-08-08	VYDAJ	PREVOD NA UCET	3876	14406	SIPO	KL	55216366
590599	2010	1997-09-08	VYDAJ	PREVOD NA UCET	3876	14810	SIPO	KL	55216366
590600	2010	1997-10-08	VYDAJ	PREVOD NA UCET	3876	15134	SIPO	KL	55216366
590601	2010	1997-11-08	VYDAJ	PREVOD NA UCET	3876	17143	SIPO	KL	55216366
590602	2010	1997-12-08	VYDAJ	PREVOD NA UCET	3876	18279	SIPO	KL	55216366
590603	2010	1998-01-08	VYDAJ	PREVOD NA UCET	3876	15187	SIPO	KL	55216366
590604	2010	1998-02-08	VYDAJ	PREVOD NA UCET	3876	11902	SIPO	KL	55216366
590605	2010	1998-03-08	VYDAJ	PREVOD NA UCET	3876	13896	SIPO	KL	55216366
590606	2010	1998-04-08	VYDAJ	PREVOD NA UCET	3876	15899	SIPO	KL	55216366
590607	2010	1998-05-08	VYDAJ	PREVOD NA UCET	3876	16550	SIPO	KL	55216366
590608	2010	1998-06-08	VYDAJ	PREVOD NA UCET	3876	18564	SIPO	KL	55216366
590609	2010	1998-07-08	VYDAJ	PREVOD NA UCET	3876	14009	SIPO	KL	55216366
590610	2010	1998-08-08	VYDAJ	PREVOD NA UCET	3876	16012	SIPO	KL	55216366
590611	2010	1998-09-08	VYDAJ	PREVOD NA UCET	3876	18024	SIPO	KL	55216366
590612	2010	1998-10-08	VYDAJ	PREVOD NA UCET	3876	20043	SIPO	KL	55216366
590613	2010	1998-11-08	VYDAJ	PREVOD NA UCET	3876	18708	SIPO	KL	55216366
590614	2010	1998-12-08	VYDAJ	PREVOD NA UCET	3876	20731	SIPO	KL	55216366
590616	2010	1994-06-26	VYDAJ	VYBER	3800	22802	\N	\N	\N
590617	2010	1995-06-18	VYDAJ	VYBER	13600	14179	\N	\N	\N
590619	2010	1997-06-24	VYDAJ	VYBER	8100	16210	\N	\N	\N
590620	2010	1998-06-09	VYDAJ	VYBER	5200	19179	\N	\N	\N
590623	2010	1995-01-24	VYDAJ	VYBER	4050	24113	\N	\N	\N
590624	2010	1996-01-05	VYDAJ	VYBER	1650	15928	\N	\N	\N
590628	2010	1994-12-06	VYDAJ	VYBER	1100	29332	\N	\N	\N
590629	2010	1995-12-19	VYDAJ	VYBER	350	19591	\N	\N	\N
590630	2010	1996-12-20	VYDAJ	VYBER	300	21253	\N	\N	\N
590631	2010	1997-12-16	VYDAJ	VYBER	550	23544	\N	\N	\N
590632	2010	1998-12-21	VYDAJ	VYBER	500	26046	\N	\N	\N
590645	2010	1995-01-29	VYDAJ	VYBER	800	23313	\N	\N	\N
590646	2010	1995-01-22	VYDAJ	VYBER	1840	28163	\N	\N	\N
590647	2010	1995-01-12	VYDAJ	VYBER	1040	31683	\N	\N	\N
590648	2010	1995-01-29	VYDAJ	VYBER	800	22513	\N	\N	\N
590649	2010	1995-01-21	VYDAJ	VYBER	1680	30003	\N	\N	\N
590650	2010	1995-01-30	VYDAJ	VYBER	2320	20193	\N	\N	\N
590651	2010	1996-01-05	VYDAJ	VYBER	2080	17578	\N	\N	\N
590652	2010	1996-01-22	VYDAJ	VYBER	1120	16187	\N	\N	\N
590653	2010	1996-01-23	VYDAJ	VYBER	800	15387	\N	\N	\N
590655	2010	1996-01-30	VYDAJ	VYBER	1200	14187	\N	\N	\N
590656	2010	1996-01-14	VYDAJ	VYBER	560	17307	\N	\N	\N
590657	2010	1997-01-09	VYDAJ	VYBER	1920	17826	\N	\N	\N
590658	2010	1997-01-01	VYDAJ	VYBER	960	20367	\N	\N	\N
590659	2010	1997-01-07	VYDAJ	VYBER	400	17807	\N	\N	\N
590660	2010	1997-01-06	VYDAJ	VYBER	2160	18207	\N	\N	\N
590661	2010	1997-01-12	VYDAJ	VYBER	1840	14706	\N	\N	\N
590662	2010	1997-01-12	VYDAJ	VYBER	1280	16546	\N	\N	\N
590663	2010	1998-01-10	VYDAJ	VYBER	1680	15722	\N	\N	\N
590664	2010	1998-01-06	VYDAJ	VYBER	2000	19063	\N	\N	\N
590666	2010	1998-01-09	VYDAJ	VYBER	1200	17402	\N	\N	\N
590674	2010	1994-05-31	VYDAJ	VYBER	1680	26477	\N	\N	\N
590675	2010	1994-05-16	VYDAJ	VYBER	480	29695	\N	\N	\N
590676	2010	1994-10-29	VYDAJ	VYBER	480	28276	\N	\N	\N
590677	2010	1994-08-23	VYDAJ	VYBER	880	25984	\N	\N	\N
590678	2010	1995-06-07	VYDAJ	VYBER	2000	25840	\N	\N	\N
590679	2010	1995-11-21	VYDAJ	VYBER	640	20651	\N	\N	\N
590680	2010	1995-08-14	VYDAJ	VYBER	2880	15304	\N	\N	\N
590681	2010	1995-02-10	VYDAJ	VYBER	560	21678	\N	\N	\N
590682	2010	1995-12-05	VYDAJ	VYBER	2720	18002	\N	\N	\N
590684	2010	1996-10-05	VYDAJ	VYBER	3920	21408	\N	\N	\N
590685	2010	1996-05-13	VYDAJ	VYBER	3920	17209	\N	\N	\N
590686	2010	1996-12-10	VYDAJ	VYBER	1760	21553	\N	\N	\N
590687	2010	1996-11-25	VYDAJ	VYBER	3520	21849	\N	\N	\N
590688	2010	1996-03-31	VYDAJ	VYBER	1040	17203	\N	\N	\N
590689	2010	1996-12-04	VYDAJ	VYBER	560	21374	\N	\N	\N
590690	2010	1997-12-29	VYDAJ	VYBER	2080	20984	\N	\N	\N
590691	2010	1997-04-24	VYDAJ	VYBER	400	20288	\N	\N	\N
590692	2010	1997-12-21	VYDAJ	VYBER	480	23064	\N	\N	\N
590693	2010	1997-08-23	VYDAJ	VYBER	1600	18621	\N	\N	\N
590695	2010	1997-11-29	VYDAJ	VYBER	880	22078	\N	\N	\N
590696	2010	1997-09-20	VYDAJ	VYBER	1680	18945	\N	\N	\N
590697	2010	1998-01-09	VYDAJ	VYBER	2400	18602	\N	\N	\N
590699	2010	1998-06-13	VYDAJ	VYBER	1360	17819	\N	\N	\N
590700	2010	1998-04-09	VYDAJ	VYBER	1360	20354	\N	\N	\N
590701	2010	1998-10-26	VYDAJ	VYBER	3360	22498	\N	\N	\N
590719	2010	1994-05-31	VYDAJ	VYBER	15	26463	SLUZBY	\N	\N
590720	2010	1994-06-30	VYDAJ	VYBER	15	22899	SLUZBY	\N	\N
590721	2010	1994-07-31	VYDAJ	VYBER	15	24925	SLUZBY	\N	\N
590722	2010	1994-08-31	VYDAJ	VYBER	15	26078	SLUZBY	\N	\N
590723	2010	1994-09-30	VYDAJ	VYBER	15	28117	SLUZBY	\N	\N
590724	2010	1994-10-31	VYDAJ	VYBER	15	28383	SLUZBY	\N	\N
590725	2010	1994-11-30	VYDAJ	VYBER	15	30432	SLUZBY	\N	\N
590726	2010	1994-12-31	VYDAJ	VYBER	15	30784	SLUZBY	\N	\N
590727	2010	1995-01-31	VYDAJ	VYBER	15	20299	SLUZBY	\N	\N
590728	2010	1995-02-28	VYDAJ	VYBER	15	21752	SLUZBY	\N	\N
590729	2010	1995-03-31	VYDAJ	VYBER	15	23773	SLUZBY	\N	\N
590730	2010	1995-04-30	VYDAJ	VYBER	15	25802	SLUZBY	\N	\N
590731	2010	1995-05-31	VYDAJ	VYBER	15	27840	SLUZBY	\N	\N
590732	2010	1995-06-30	VYDAJ	VYBER	15	14255	SLUZBY	\N	\N
590733	2010	1995-07-31	VYDAJ	VYBER	15	16245	SLUZBY	\N	\N
590734	2010	1995-08-31	VYDAJ	VYBER	15	15356	SLUZBY	\N	\N
590735	2010	1995-09-30	VYDAJ	VYBER	15	17350	SLUZBY	\N	\N
590736	2010	1995-10-31	VYDAJ	VYBER	15	19352	SLUZBY	\N	\N
590737	2010	1995-11-30	VYDAJ	VYBER	15	20722	SLUZBY	\N	\N
590738	2010	1995-12-31	VYDAJ	VYBER	15	19658	SLUZBY	\N	\N
590739	2010	1996-01-31	VYDAJ	VYBER	15	14242	SLUZBY	\N	\N
590740	2010	1996-02-29	VYDAJ	VYBER	15	16231	SLUZBY	\N	\N
590741	2010	1996-03-31	VYDAJ	VYBER	15	17189	SLUZBY	\N	\N
590742	2010	1996-04-30	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
590743	2010	1996-05-31	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
590744	2010	1996-06-30	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
590745	2010	1996-07-31	VYDAJ	VYBER	15	21282	SLUZBY	\N	\N
590746	2010	1996-08-31	VYDAJ	VYBER	15	23301	SLUZBY	\N	\N
590747	2010	1996-09-30	VYDAJ	VYBER	15	25328	SLUZBY	\N	\N
590748	2010	1996-10-31	VYDAJ	VYBER	15	23430	SLUZBY	\N	\N
590749	2010	1996-11-30	VYDAJ	VYBER	15	21934	SLUZBY	\N	\N
590750	2010	1996-12-31	VYDAJ	VYBER	15	21327	SLUZBY	\N	\N
590751	2010	1997-01-31	VYDAJ	VYBER	15	14759	SLUZBY	\N	\N
590752	2010	1997-02-28	VYDAJ	VYBER	15	16750	SLUZBY	\N	\N
590753	2010	1997-03-31	VYDAJ	VYBER	15	18749	SLUZBY	\N	\N
590754	2010	1997-04-30	VYDAJ	VYBER	15	20356	SLUZBY	\N	\N
590755	2010	1997-05-31	VYDAJ	VYBER	15	22371	SLUZBY	\N	\N
590756	2010	1997-06-30	VYDAJ	VYBER	15	16285	SLUZBY	\N	\N
590757	2010	1997-07-31	VYDAJ	VYBER	15	18282	SLUZBY	\N	\N
590758	2010	1997-08-31	VYDAJ	VYBER	15	18686	SLUZBY	\N	\N
590759	2010	1997-09-30	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
590760	2010	1997-10-31	VYDAJ	VYBER	15	21019	SLUZBY	\N	\N
590761	2010	1997-11-30	VYDAJ	VYBER	15	22155	SLUZBY	\N	\N
590762	2010	1997-12-31	VYDAJ	VYBER	15	21063	SLUZBY	\N	\N
590763	2010	1998-01-31	VYDAJ	VYBER	15	15778	SLUZBY	\N	\N
590764	2010	1998-02-28	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
590765	2010	1998-03-31	VYDAJ	VYBER	15	19775	SLUZBY	\N	\N
590766	2010	1998-04-30	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
590767	2010	1998-05-31	VYDAJ	VYBER	15	22440	SLUZBY	\N	\N
590768	2010	1998-06-30	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
590769	2010	1998-07-31	VYDAJ	VYBER	15	19888	SLUZBY	\N	\N
590770	2010	1998-08-31	VYDAJ	VYBER	15	21900	SLUZBY	\N	\N
590771	2010	1998-09-30	VYDAJ	VYBER	15	23919	SLUZBY	\N	\N
590772	2010	1998-10-31	VYDAJ	VYBER	15	22584	SLUZBY	\N	\N
590773	2010	1998-11-30	VYDAJ	VYBER	15	24607	SLUZBY	\N	\N
590774	2010	1994-05-26	VYDAJ	VYBER	1600	28095	\N	\N	\N
590775	2010	1994-06-25	VYDAJ	VYBER	1800	26602	\N	\N	\N
590776	2010	1994-10-23	VYDAJ	VYBER	1300	28756	\N	\N	\N
590777	2010	1994-12-22	VYDAJ	VYBER	600	30671	\N	\N	\N
590834	2011	1993-03-25	PRIJEM	VKLAD	900	900	\N	\N	\N
590838	2011	1993-04-05	PRIJEM	PREVOD Z UCTU	3016	3916	\N	MN	35820675
590839	2011	1993-05-05	PRIJEM	PREVOD Z UCTU	3016	6932	\N	MN	35820675
590840	2011	1993-06-05	PRIJEM	PREVOD Z UCTU	3016	9948	\N	MN	35820675
590841	2011	1993-07-05	PRIJEM	PREVOD Z UCTU	3016	12964	\N	MN	35820675
590842	2011	1993-08-05	PRIJEM	PREVOD Z UCTU	3016	15980	\N	MN	35820675
590843	2011	1993-09-05	PRIJEM	PREVOD Z UCTU	3016	16723	\N	MN	35820675
590844	2011	1993-10-05	PRIJEM	PREVOD Z UCTU	3016	17776	\N	MN	35820675
590845	2011	1993-11-05	PRIJEM	PREVOD Z UCTU	3016	18834	\N	MN	35820675
590846	2011	1993-12-05	PRIJEM	PREVOD Z UCTU	3016	18845	\N	MN	35820675
590847	2011	1994-01-05	PRIJEM	PREVOD Z UCTU	3016	15702	\N	MN	35820675
590848	2011	1994-02-05	PRIJEM	PREVOD Z UCTU	3016	15459	\N	MN	35820675
590849	2011	1994-03-05	PRIJEM	PREVOD Z UCTU	3016	16357	\N	MN	35820675
590850	2011	1994-04-05	PRIJEM	PREVOD Z UCTU	3016	17409	\N	MN	35820675
590851	2011	1994-05-05	PRIJEM	PREVOD Z UCTU	3016	18465	\N	MN	35820675
590852	2011	1994-06-05	PRIJEM	PREVOD Z UCTU	3016	19525	\N	MN	35820675
590853	2011	1994-07-05	PRIJEM	PREVOD Z UCTU	3016	16285	\N	MN	35820675
590854	2011	1994-08-05	PRIJEM	PREVOD Z UCTU	3016	17337	\N	MN	35820675
590855	2011	1994-09-05	PRIJEM	PREVOD Z UCTU	3016	18392	\N	MN	35820675
590856	2011	1994-10-05	PRIJEM	PREVOD Z UCTU	3016	19452	\N	MN	35820675
590857	2011	1994-11-05	PRIJEM	PREVOD Z UCTU	3016	19314	\N	MN	35820675
590858	2011	1994-12-05	PRIJEM	PREVOD Z UCTU	3016	18488	\N	MN	35820675
590859	2011	1995-01-05	PRIJEM	PREVOD Z UCTU	3016	17195	\N	MN	35820675
590860	2011	1995-02-05	PRIJEM	PREVOD Z UCTU	3016	16088	\N	MN	35820675
590861	2011	1995-03-05	PRIJEM	PREVOD Z UCTU	3016	17138	\N	MN	35820675
590862	2011	1995-04-05	PRIJEM	PREVOD Z UCTU	3016	18193	\N	MN	35820675
590863	2011	1995-05-05	PRIJEM	PREVOD Z UCTU	3016	18050	\N	MN	35820675
590864	2011	1995-06-05	PRIJEM	PREVOD Z UCTU	3016	19108	\N	MN	35820675
590865	2011	1995-07-05	PRIJEM	PREVOD Z UCTU	3016	20171	\N	MN	35820675
590866	2011	1995-08-05	PRIJEM	PREVOD Z UCTU	3016	18431	\N	MN	35820675
590867	2011	1995-09-05	PRIJEM	PREVOD Z UCTU	3016	17807	\N	MN	35820675
590868	2011	1995-10-05	PRIJEM	PREVOD Z UCTU	3016	17460	\N	MN	35820675
590869	2011	1995-11-05	PRIJEM	PREVOD Z UCTU	3016	17814	\N	MN	35820675
590870	2011	1995-12-05	PRIJEM	PREVOD Z UCTU	3016	17568	\N	MN	35820675
590871	2011	1996-01-05	PRIJEM	PREVOD Z UCTU	3016	16881	\N	MN	35820675
590872	2011	1996-02-05	PRIJEM	PREVOD Z UCTU	3016	14615	\N	MN	35820675
590873	2011	1996-03-05	PRIJEM	PREVOD Z UCTU	3016	15659	\N	MN	35820675
590874	2011	1996-04-05	PRIJEM	PREVOD Z UCTU	3016	16506	\N	MN	35820675
590875	2011	1996-05-05	PRIJEM	PREVOD Z UCTU	3016	14649	\N	MN	35820675
590876	2011	1996-06-05	PRIJEM	PREVOD Z UCTU	3016	15693	\N	MN	35820675
590877	2011	1996-07-05	PRIJEM	PREVOD Z UCTU	3016	13300	\N	MN	35820675
590878	2011	1996-08-05	PRIJEM	PREVOD Z UCTU	3016	14338	\N	MN	35820675
590879	2011	1996-09-05	PRIJEM	PREVOD Z UCTU	3016	12872	\N	MN	35820675
590880	2011	1996-10-05	PRIJEM	PREVOD Z UCTU	3016	13908	\N	MN	35820675
590881	2011	1996-11-05	PRIJEM	PREVOD Z UCTU	3016	14949	\N	MN	35820675
590882	2011	1996-12-05	PRIJEM	PREVOD Z UCTU	3016	15994	\N	MN	35820675
590883	2011	1997-01-05	PRIJEM	PREVOD Z UCTU	3016	17044	\N	MN	35820675
590884	2011	1997-02-05	PRIJEM	PREVOD Z UCTU	3016	16833	\N	MN	35820675
590885	2011	1997-03-05	PRIJEM	PREVOD Z UCTU	3016	17886	\N	MN	35820675
590886	2011	1997-04-05	PRIJEM	PREVOD Z UCTU	3016	18943	\N	MN	35820675
590887	2011	1997-05-05	PRIJEM	PREVOD Z UCTU	3016	18743	\N	MN	35820675
590888	2011	1997-06-05	PRIJEM	PREVOD Z UCTU	3016	19804	\N	MN	35820675
590889	2011	1997-07-05	PRIJEM	PREVOD Z UCTU	3016	20869	\N	MN	35820675
590890	2011	1997-08-05	PRIJEM	PREVOD Z UCTU	3016	20556	\N	MN	35820675
590891	2011	1997-09-05	PRIJEM	PREVOD Z UCTU	3016	21624	\N	MN	35820675
590892	2011	1997-10-05	PRIJEM	PREVOD Z UCTU	3016	22696	\N	MN	35820675
590893	2011	1997-11-05	PRIJEM	PREVOD Z UCTU	3016	23773	\N	MN	35820675
590894	2011	1997-12-05	PRIJEM	PREVOD Z UCTU	3016	24855	\N	MN	35820675
590895	2011	1998-01-05	PRIJEM	PREVOD Z UCTU	3016	25640	\N	MN	35820675
590896	2011	1998-02-05	PRIJEM	PREVOD Z UCTU	3016	21286	\N	MN	35820675
590897	2011	1998-03-05	PRIJEM	PREVOD Z UCTU	3016	21786	\N	MN	35820675
590898	2011	1998-04-05	PRIJEM	PREVOD Z UCTU	3016	22197	\N	MN	35820675
590899	2011	1998-05-05	PRIJEM	PREVOD Z UCTU	3016	23271	\N	MN	35820675
590900	2011	1998-06-05	PRIJEM	PREVOD Z UCTU	3016	24350	\N	MN	35820675
590901	2011	1998-07-05	PRIJEM	PREVOD Z UCTU	3016	21946	\N	MN	35820675
590902	2011	1998-08-05	PRIJEM	PREVOD Z UCTU	3016	23019	\N	MN	35820675
590903	2011	1998-09-05	PRIJEM	PREVOD Z UCTU	3016	22685	\N	MN	35820675
590904	2011	1998-10-05	PRIJEM	PREVOD Z UCTU	3016	23761	\N	MN	35820675
590905	2011	1998-11-05	PRIJEM	PREVOD Z UCTU	3016	24421	\N	MN	35820675
590906	2011	1998-12-05	PRIJEM	PREVOD Z UCTU	3016	25505	\N	MN	35820675
590914	2011	1993-08-08	VYDAJ	PREVOD NA UCET	1726	14242	SIPO	YZ	51488196
590915	2011	1993-09-08	VYDAJ	PREVOD NA UCET	1726	14985	SIPO	YZ	51488196
590916	2011	1993-10-08	VYDAJ	PREVOD NA UCET	1726	16038	SIPO	YZ	51488196
590917	2011	1993-11-08	VYDAJ	PREVOD NA UCET	1726	17096	SIPO	YZ	51488196
590918	2011	1993-12-08	VYDAJ	PREVOD NA UCET	1726	17107	SIPO	YZ	51488196
590919	2011	1994-01-08	VYDAJ	PREVOD NA UCET	1726	13964	SIPO	YZ	51488196
590920	2011	1994-02-08	VYDAJ	PREVOD NA UCET	1726	13721	SIPO	YZ	51488196
590921	2011	1994-03-08	VYDAJ	PREVOD NA UCET	1726	14619	SIPO	YZ	51488196
590922	2011	1994-04-08	VYDAJ	PREVOD NA UCET	1726	15671	SIPO	YZ	51488196
590923	2011	1994-05-08	VYDAJ	PREVOD NA UCET	1726	16727	SIPO	YZ	51488196
590924	2011	1994-06-08	VYDAJ	PREVOD NA UCET	1726	13497	SIPO	YZ	51488196
590925	2011	1994-07-08	VYDAJ	PREVOD NA UCET	1726	14547	SIPO	YZ	51488196
590926	2011	1994-08-08	VYDAJ	PREVOD NA UCET	1726	15599	SIPO	YZ	51488196
590927	2011	1994-09-08	VYDAJ	PREVOD NA UCET	1726	16654	SIPO	YZ	51488196
590928	2011	1994-10-08	VYDAJ	PREVOD NA UCET	1726	17714	SIPO	YZ	51488196
590929	2011	1994-11-08	VYDAJ	PREVOD NA UCET	1726	17576	SIPO	YZ	51488196
590930	2011	1994-12-08	VYDAJ	PREVOD NA UCET	1726	16750	SIPO	YZ	51488196
590931	2011	1995-01-08	VYDAJ	PREVOD NA UCET	1726	15457	SIPO	YZ	51488196
590932	2011	1995-02-08	VYDAJ	PREVOD NA UCET	1726	14350	SIPO	YZ	51488196
590933	2011	1995-03-08	VYDAJ	PREVOD NA UCET	1726	15400	SIPO	YZ	51488196
590934	2011	1995-04-08	VYDAJ	PREVOD NA UCET	1726	16455	SIPO	YZ	51488196
590935	2011	1995-05-08	VYDAJ	PREVOD NA UCET	1726	16312	SIPO	YZ	51488196
590936	2011	1995-06-08	VYDAJ	PREVOD NA UCET	1726	17370	SIPO	YZ	51488196
590937	2011	1995-07-08	VYDAJ	PREVOD NA UCET	1726	18433	SIPO	YZ	51488196
590938	2011	1995-08-08	VYDAJ	PREVOD NA UCET	1726	16123	SIPO	YZ	51488196
590939	2011	1995-09-08	VYDAJ	PREVOD NA UCET	1726	16069	SIPO	YZ	51488196
590940	2011	1995-10-08	VYDAJ	PREVOD NA UCET	1726	15722	SIPO	YZ	51488196
590941	2011	1995-11-08	VYDAJ	PREVOD NA UCET	1726	16076	SIPO	YZ	51488196
590942	2011	1995-12-08	VYDAJ	PREVOD NA UCET	1726	15110	SIPO	YZ	51488196
590943	2011	1996-01-08	VYDAJ	PREVOD NA UCET	1726	13733	SIPO	YZ	51488196
590944	2011	1996-02-08	VYDAJ	PREVOD NA UCET	1726	12877	SIPO	YZ	51488196
590945	2011	1996-03-08	VYDAJ	PREVOD NA UCET	1726	13921	SIPO	YZ	51488196
590946	2011	1996-04-08	VYDAJ	PREVOD NA UCET	1726	14768	SIPO	YZ	51488196
590947	2011	1996-05-08	VYDAJ	PREVOD NA UCET	1726	12911	SIPO	YZ	51488196
590948	2011	1996-06-08	VYDAJ	PREVOD NA UCET	1726	10525	SIPO	YZ	51488196
590949	2011	1996-07-08	VYDAJ	PREVOD NA UCET	1726	11562	SIPO	YZ	51488196
590950	2011	1996-08-08	VYDAJ	PREVOD NA UCET	1726	10100	SIPO	YZ	51488196
590951	2011	1996-09-08	VYDAJ	PREVOD NA UCET	1726	11134	SIPO	YZ	51488196
590952	2011	1996-10-08	VYDAJ	PREVOD NA UCET	1726	12170	SIPO	YZ	51488196
590953	2011	1996-11-08	VYDAJ	PREVOD NA UCET	1726	13211	SIPO	YZ	51488196
590954	2011	1996-12-08	VYDAJ	PREVOD NA UCET	1726	14256	SIPO	YZ	51488196
590955	2011	1997-01-08	VYDAJ	PREVOD NA UCET	1726	14046	SIPO	YZ	51488196
590956	2011	1997-02-08	VYDAJ	PREVOD NA UCET	1726	15095	SIPO	YZ	51488196
590957	2011	1997-03-08	VYDAJ	PREVOD NA UCET	1726	16148	SIPO	YZ	51488196
590958	2011	1997-04-08	VYDAJ	PREVOD NA UCET	1726	17205	SIPO	YZ	51488196
590959	2011	1997-05-08	VYDAJ	PREVOD NA UCET	1726	17005	SIPO	YZ	51488196
590960	2011	1997-06-08	VYDAJ	PREVOD NA UCET	1726	18066	SIPO	YZ	51488196
590961	2011	1997-07-08	VYDAJ	PREVOD NA UCET	1726	19131	SIPO	YZ	51488196
590962	2011	1997-08-08	VYDAJ	PREVOD NA UCET	1726	18818	SIPO	YZ	51488196
590963	2011	1997-09-08	VYDAJ	PREVOD NA UCET	1726	19886	SIPO	YZ	51488196
590964	2011	1997-10-08	VYDAJ	PREVOD NA UCET	1726	20958	SIPO	YZ	51488196
590965	2011	1997-11-08	VYDAJ	PREVOD NA UCET	1726	22035	SIPO	YZ	51488196
590966	2011	1997-12-08	VYDAJ	PREVOD NA UCET	1726	23117	SIPO	YZ	51488196
590967	2011	1998-01-08	VYDAJ	PREVOD NA UCET	1726	21022	SIPO	YZ	51488196
590968	2011	1998-02-08	VYDAJ	PREVOD NA UCET	1726	19548	SIPO	YZ	51488196
590969	2011	1998-03-08	VYDAJ	PREVOD NA UCET	1726	20048	SIPO	YZ	51488196
590970	2011	1998-04-08	VYDAJ	PREVOD NA UCET	1726	20459	SIPO	YZ	51488196
590971	2011	1998-05-08	VYDAJ	PREVOD NA UCET	1726	21533	SIPO	YZ	51488196
590972	2011	1998-06-08	VYDAJ	PREVOD NA UCET	1726	22612	SIPO	YZ	51488196
590973	2011	1998-07-08	VYDAJ	PREVOD NA UCET	1726	20208	SIPO	YZ	51488196
590974	2011	1998-08-08	VYDAJ	PREVOD NA UCET	1726	21281	SIPO	YZ	51488196
590975	2011	1998-09-08	VYDAJ	PREVOD NA UCET	1726	20947	SIPO	YZ	51488196
590976	2011	1998-10-08	VYDAJ	PREVOD NA UCET	1726	22023	SIPO	YZ	51488196
590977	2011	1998-11-08	VYDAJ	PREVOD NA UCET	1726	22683	SIPO	YZ	51488196
590978	2011	1998-12-08	VYDAJ	PREVOD NA UCET	1726	23767	SIPO	YZ	51488196
590986	2011	1993-08-14	VYDAJ	PREVOD NA UCET	272	13970	 	KL	32849800
590987	2011	1993-09-14	VYDAJ	PREVOD NA UCET	272	14713	 	KL	32849800
590988	2011	1993-10-14	VYDAJ	PREVOD NA UCET	272	15766	 	KL	32849800
590989	2011	1993-11-14	VYDAJ	PREVOD NA UCET	272	16824	 	KL	32849800
590990	2011	1993-12-14	VYDAJ	PREVOD NA UCET	272	15605	 	KL	32849800
590991	2011	1994-01-14	VYDAJ	PREVOD NA UCET	272	13692	 	KL	32849800
590992	2011	1994-02-14	VYDAJ	PREVOD NA UCET	272	13449	 	KL	32849800
590993	2011	1994-03-14	VYDAJ	PREVOD NA UCET	272	14347	 	KL	32849800
590994	2011	1994-04-14	VYDAJ	PREVOD NA UCET	272	15399	 	KL	32849800
590995	2011	1994-05-14	VYDAJ	PREVOD NA UCET	272	16455	 	KL	32849800
590996	2011	1994-06-14	VYDAJ	PREVOD NA UCET	272	13225	 	KL	32849800
590997	2011	1994-07-14	VYDAJ	PREVOD NA UCET	272	14275	 	KL	32849800
590998	2011	1994-08-14	VYDAJ	PREVOD NA UCET	272	15327	 	KL	32849800
590999	2011	1994-09-14	VYDAJ	PREVOD NA UCET	272	16382	 	KL	32849800
591000	2011	1994-10-14	VYDAJ	PREVOD NA UCET	272	17442	 	KL	32849800
591001	2011	1994-11-14	VYDAJ	PREVOD NA UCET	272	17304	 	KL	32849800
591002	2011	1994-12-14	VYDAJ	PREVOD NA UCET	272	15998	 	KL	32849800
591003	2011	1995-01-14	VYDAJ	PREVOD NA UCET	272	15185	 	KL	32849800
591004	2011	1995-02-14	VYDAJ	PREVOD NA UCET	272	14078	 	KL	32849800
591005	2011	1995-03-14	VYDAJ	PREVOD NA UCET	272	15128	 	KL	32849800
591006	2011	1995-04-14	VYDAJ	PREVOD NA UCET	272	14983	 	KL	32849800
591007	2011	1995-05-14	VYDAJ	PREVOD NA UCET	272	16040	 	KL	32849800
591008	2011	1995-06-14	VYDAJ	PREVOD NA UCET	272	17098	 	KL	32849800
591009	2011	1995-07-14	VYDAJ	PREVOD NA UCET	272	15361	 	KL	32849800
591010	2011	1995-08-14	VYDAJ	PREVOD NA UCET	272	14741	 	KL	32849800
591011	2011	1995-09-14	VYDAJ	PREVOD NA UCET	272	14397	 	KL	32849800
591012	2011	1995-10-14	VYDAJ	PREVOD NA UCET	272	14750	 	KL	32849800
591013	2011	1995-11-14	VYDAJ	PREVOD NA UCET	272	14504	 	KL	32849800
591014	2011	1995-12-14	VYDAJ	PREVOD NA UCET	272	14838	 	KL	32849800
591015	2011	1996-01-14	VYDAJ	PREVOD NA UCET	272	11561	 	KL	32849800
591016	2011	1996-02-14	VYDAJ	PREVOD NA UCET	272	12605	 	KL	32849800
591017	2011	1996-03-14	VYDAJ	PREVOD NA UCET	272	13449	 	KL	32849800
591018	2011	1996-04-14	VYDAJ	PREVOD NA UCET	272	11596	 	KL	32849800
591019	2011	1996-05-14	VYDAJ	PREVOD NA UCET	272	12639	 	KL	32849800
591020	2011	1996-06-14	VYDAJ	PREVOD NA UCET	272	10253	 	KL	32849800
591021	2011	1996-07-14	VYDAJ	PREVOD NA UCET	272	11290	 	KL	32849800
591022	2011	1996-08-14	VYDAJ	PREVOD NA UCET	272	9828	 	KL	32849800
591023	2011	1996-09-14	VYDAJ	PREVOD NA UCET	272	10862	 	KL	32849800
591024	2011	1996-10-14	VYDAJ	PREVOD NA UCET	272	11898	 	KL	32849800
591025	2011	1996-11-14	VYDAJ	PREVOD NA UCET	272	12939	 	KL	32849800
591026	2011	1996-12-14	VYDAJ	PREVOD NA UCET	272	13984	 	KL	32849800
591027	2011	1997-01-14	VYDAJ	PREVOD NA UCET	272	13774	 	KL	32849800
591028	2011	1997-02-14	VYDAJ	PREVOD NA UCET	272	14823	 	KL	32849800
591029	2011	1997-03-14	VYDAJ	PREVOD NA UCET	272	15876	 	KL	32849800
591030	2011	1997-04-14	VYDAJ	PREVOD NA UCET	272	16933	 	KL	32849800
591031	2011	1997-05-14	VYDAJ	PREVOD NA UCET	272	16733	 	KL	32849800
591032	2011	1997-06-14	VYDAJ	PREVOD NA UCET	272	17794	 	KL	32849800
591033	2011	1997-07-14	VYDAJ	PREVOD NA UCET	272	18859	 	KL	32849800
591034	2011	1997-08-14	VYDAJ	PREVOD NA UCET	272	18546	 	KL	32849800
591035	2011	1997-09-14	VYDAJ	PREVOD NA UCET	272	19614	 	KL	32849800
591036	2011	1997-10-14	VYDAJ	PREVOD NA UCET	272	20686	 	KL	32849800
591037	2011	1997-11-14	VYDAJ	PREVOD NA UCET	272	21763	 	KL	32849800
591038	2011	1997-12-14	VYDAJ	PREVOD NA UCET	272	22845	 	KL	32849800
591039	2011	1998-01-14	VYDAJ	PREVOD NA UCET	272	20360	 	KL	32849800
591040	2011	1998-02-14	VYDAJ	PREVOD NA UCET	272	18706	 	KL	32849800
591041	2011	1998-03-14	VYDAJ	PREVOD NA UCET	272	19116	 	KL	32849800
591042	2011	1998-04-14	VYDAJ	PREVOD NA UCET	272	20187	 	KL	32849800
591043	2011	1998-05-14	VYDAJ	PREVOD NA UCET	272	21261	 	KL	32849800
591044	2011	1998-06-14	VYDAJ	PREVOD NA UCET	272	22340	 	KL	32849800
591045	2011	1998-07-14	VYDAJ	PREVOD NA UCET	272	19936	 	KL	32849800
591046	2011	1998-08-14	VYDAJ	PREVOD NA UCET	272	21009	 	KL	32849800
591047	2011	1998-09-14	VYDAJ	PREVOD NA UCET	272	20675	 	KL	32849800
591048	2011	1998-10-14	VYDAJ	PREVOD NA UCET	272	21751	 	KL	32849800
591049	2011	1998-11-14	VYDAJ	PREVOD NA UCET	272	22411	 	KL	32849800
591050	2011	1998-12-14	VYDAJ	PREVOD NA UCET	272	23135	 	KL	32849800
591058	2011	1993-08-05	VYDAJ	PREVOD NA UCET	12	15968	POJISTNE	MN	36082929
591059	2011	1993-09-05	VYDAJ	PREVOD NA UCET	12	16711	POJISTNE	MN	36082929
591060	2011	1993-10-05	VYDAJ	PREVOD NA UCET	12	17764	POJISTNE	MN	36082929
591061	2011	1993-11-05	VYDAJ	PREVOD NA UCET	12	18822	POJISTNE	MN	36082929
591062	2011	1993-12-05	VYDAJ	PREVOD NA UCET	12	18833	POJISTNE	MN	36082929
591063	2011	1994-01-05	VYDAJ	PREVOD NA UCET	12	15690	POJISTNE	MN	36082929
591064	2011	1994-02-05	VYDAJ	PREVOD NA UCET	12	15447	POJISTNE	MN	36082929
591065	2011	1994-03-05	VYDAJ	PREVOD NA UCET	12	16345	POJISTNE	MN	36082929
591066	2011	1994-04-05	VYDAJ	PREVOD NA UCET	12	17397	POJISTNE	MN	36082929
591067	2011	1994-05-05	VYDAJ	PREVOD NA UCET	12	18453	POJISTNE	MN	36082929
591068	2011	1994-06-05	VYDAJ	PREVOD NA UCET	12	19513	POJISTNE	MN	36082929
591069	2011	1994-07-05	VYDAJ	PREVOD NA UCET	12	16273	POJISTNE	MN	36082929
591070	2011	1994-08-05	VYDAJ	PREVOD NA UCET	12	17325	POJISTNE	MN	36082929
591071	2011	1994-09-05	VYDAJ	PREVOD NA UCET	12	18380	POJISTNE	MN	36082929
591072	2011	1994-10-05	VYDAJ	PREVOD NA UCET	12	19440	POJISTNE	MN	36082929
591073	2011	1994-11-05	VYDAJ	PREVOD NA UCET	12	19302	POJISTNE	MN	36082929
591074	2011	1994-12-05	VYDAJ	PREVOD NA UCET	12	18476	POJISTNE	MN	36082929
591075	2011	1995-01-05	VYDAJ	PREVOD NA UCET	12	17183	POJISTNE	MN	36082929
591076	2011	1995-02-05	VYDAJ	PREVOD NA UCET	12	16076	POJISTNE	MN	36082929
591077	2011	1995-03-05	VYDAJ	PREVOD NA UCET	12	17126	POJISTNE	MN	36082929
591078	2011	1995-04-05	VYDAJ	PREVOD NA UCET	12	18181	POJISTNE	MN	36082929
591079	2011	1995-05-05	VYDAJ	PREVOD NA UCET	12	18038	POJISTNE	MN	36082929
591080	2011	1995-06-05	VYDAJ	PREVOD NA UCET	12	19096	POJISTNE	MN	36082929
591081	2011	1995-07-05	VYDAJ	PREVOD NA UCET	12	20159	POJISTNE	MN	36082929
591082	2011	1995-08-05	VYDAJ	PREVOD NA UCET	12	17849	POJISTNE	MN	36082929
591083	2011	1995-09-05	VYDAJ	PREVOD NA UCET	12	17795	POJISTNE	MN	36082929
591084	2011	1995-10-05	VYDAJ	PREVOD NA UCET	12	17448	POJISTNE	MN	36082929
591085	2011	1995-11-05	VYDAJ	PREVOD NA UCET	12	17802	POJISTNE	MN	36082929
591086	2011	1995-12-05	VYDAJ	PREVOD NA UCET	12	16836	POJISTNE	MN	36082929
591087	2011	1996-01-05	VYDAJ	PREVOD NA UCET	12	16869	POJISTNE	MN	36082929
591088	2011	1996-02-05	VYDAJ	PREVOD NA UCET	12	14603	POJISTNE	MN	36082929
591089	2011	1996-03-05	VYDAJ	PREVOD NA UCET	12	15647	POJISTNE	MN	36082929
591090	2011	1996-04-05	VYDAJ	PREVOD NA UCET	12	16494	POJISTNE	MN	36082929
591091	2011	1996-05-05	VYDAJ	PREVOD NA UCET	12	14637	POJISTNE	MN	36082929
591092	2011	1996-06-05	VYDAJ	PREVOD NA UCET	12	15681	POJISTNE	MN	36082929
591093	2011	1996-07-05	VYDAJ	PREVOD NA UCET	12	13288	POJISTNE	MN	36082929
591094	2011	1996-08-05	VYDAJ	PREVOD NA UCET	12	14326	POJISTNE	MN	36082929
591095	2011	1996-09-05	VYDAJ	PREVOD NA UCET	12	12860	POJISTNE	MN	36082929
591096	2011	1996-10-05	VYDAJ	PREVOD NA UCET	12	13896	POJISTNE	MN	36082929
591097	2011	1996-11-05	VYDAJ	PREVOD NA UCET	12	14937	POJISTNE	MN	36082929
591098	2011	1996-12-05	VYDAJ	PREVOD NA UCET	12	15982	POJISTNE	MN	36082929
591099	2011	1997-01-05	VYDAJ	PREVOD NA UCET	12	17032	POJISTNE	MN	36082929
591100	2011	1997-02-05	VYDAJ	PREVOD NA UCET	12	16821	POJISTNE	MN	36082929
591101	2011	1997-03-05	VYDAJ	PREVOD NA UCET	12	17874	POJISTNE	MN	36082929
591102	2011	1997-04-05	VYDAJ	PREVOD NA UCET	12	18931	POJISTNE	MN	36082929
591103	2011	1997-05-05	VYDAJ	PREVOD NA UCET	12	18731	POJISTNE	MN	36082929
591104	2011	1997-06-05	VYDAJ	PREVOD NA UCET	12	19792	POJISTNE	MN	36082929
591105	2011	1997-07-05	VYDAJ	PREVOD NA UCET	12	20857	POJISTNE	MN	36082929
591106	2011	1997-08-05	VYDAJ	PREVOD NA UCET	12	20544	POJISTNE	MN	36082929
591107	2011	1997-09-05	VYDAJ	PREVOD NA UCET	12	21612	POJISTNE	MN	36082929
591108	2011	1997-10-05	VYDAJ	PREVOD NA UCET	12	22684	POJISTNE	MN	36082929
591109	2011	1997-11-05	VYDAJ	PREVOD NA UCET	12	23761	POJISTNE	MN	36082929
591110	2011	1997-12-05	VYDAJ	PREVOD NA UCET	12	24843	POJISTNE	MN	36082929
591111	2011	1998-01-05	VYDAJ	PREVOD NA UCET	12	25628	POJISTNE	MN	36082929
591112	2011	1998-02-05	VYDAJ	PREVOD NA UCET	12	21274	POJISTNE	MN	36082929
591113	2011	1998-03-05	VYDAJ	PREVOD NA UCET	12	21774	POJISTNE	MN	36082929
591114	2011	1998-04-05	VYDAJ	PREVOD NA UCET	12	22185	POJISTNE	MN	36082929
591115	2011	1998-05-05	VYDAJ	PREVOD NA UCET	12	23259	POJISTNE	MN	36082929
591116	2011	1998-06-05	VYDAJ	PREVOD NA UCET	12	24338	POJISTNE	MN	36082929
591117	2011	1998-07-05	VYDAJ	PREVOD NA UCET	12	21934	POJISTNE	MN	36082929
591118	2011	1998-08-05	VYDAJ	PREVOD NA UCET	12	23007	POJISTNE	MN	36082929
591119	2011	1998-09-05	VYDAJ	PREVOD NA UCET	12	22673	POJISTNE	MN	36082929
591120	2011	1998-10-05	VYDAJ	PREVOD NA UCET	12	23749	POJISTNE	MN	36082929
591121	2011	1998-11-05	VYDAJ	PREVOD NA UCET	12	24409	POJISTNE	MN	36082929
591122	2011	1998-12-05	VYDAJ	PREVOD NA UCET	12	25493	POJISTNE	MN	36082929
591124	2011	1994-06-06	VYDAJ	VYBER	4290	15223	\N	\N	\N
591128	2011	1998-06-15	VYDAJ	VYBER	3480	18860	\N	\N	\N
591130	2011	1994-01-01	VYDAJ	VYBER	2550	12686	\N	\N	\N
591131	2011	1995-01-22	VYDAJ	VYBER	2160	13025	\N	\N	\N
591132	2011	1996-01-05	VYDAJ	VYBER	1410	15459	\N	\N	\N
591134	2011	1998-01-08	VYDAJ	VYBER	2880	22748	\N	\N	\N
591135	2011	1993-12-14	VYDAJ	VYBER	420	15185	\N	\N	\N
591136	2011	1994-12-10	VYDAJ	VYBER	480	16270	\N	\N	\N
591137	2011	1995-12-05	VYDAJ	VYBER	720	16848	\N	\N	\N
591139	2011	1997-12-29	VYDAJ	VYBER	300	22545	\N	\N	\N
591140	2011	1998-12-08	VYDAJ	VYBER	360	23407	\N	\N	\N
591147	2011	1994-01-15	VYDAJ	VYBER	690	13002	\N	\N	\N
591149	2011	1994-01-16	VYDAJ	VYBER	150	12852	\N	\N	\N
591152	2011	1994-01-18	VYDAJ	VYBER	450	12402	\N	\N	\N
591157	2011	1995-01-01	VYDAJ	VYBER	630	14179	\N	\N	\N
591160	2011	1996-01-03	VYDAJ	VYBER	840	13865	\N	\N	\N
591171	2011	1998-01-14	VYDAJ	VYBER	600	19760	\N	\N	\N
591172	2011	1998-01-27	VYDAJ	VYBER	420	18770	\N	\N	\N
591173	2011	1998-01-11	VYDAJ	VYBER	390	20632	\N	\N	\N
591174	2011	1998-01-30	VYDAJ	VYBER	570	18200	\N	\N	\N
591175	2011	1998-01-19	VYDAJ	VYBER	390	19370	\N	\N	\N
591176	2011	1998-01-24	VYDAJ	VYBER	180	19190	\N	\N	\N
591177	2011	1993-08-23	VYDAJ	VYBER	300	13670	\N	\N	\N
591178	2011	1993-12-09	VYDAJ	VYBER	1230	15877	\N	\N	\N
591179	2011	1993-11-24	VYDAJ	VYBER	1050	15774	\N	\N	\N
591182	2011	1994-12-03	VYDAJ	VYBER	1260	15472	\N	\N	\N
591183	2011	1994-11-25	VYDAJ	VYBER	630	16674	\N	\N	\N
591184	2011	1994-12-19	VYDAJ	VYBER	1140	14758	\N	\N	\N
591185	2011	1994-03-01	VYDAJ	VYBER	150	13341	\N	\N	\N
591186	2011	1994-10-16	VYDAJ	VYBER	1200	16242	\N	\N	\N
591187	2011	1995-08-13	VYDAJ	VYBER	1110	15013	\N	\N	\N
591188	2011	1995-12-20	VYDAJ	VYBER	180	14658	\N	\N	\N
591189	2011	1995-08-05	VYDAJ	VYBER	570	17861	\N	\N	\N
591192	2011	1996-06-07	VYDAJ	VYBER	930	14751	\N	\N	\N
591195	2011	1997-04-24	VYDAJ	VYBER	1260	15673	\N	\N	\N
591196	2011	1997-07-19	VYDAJ	VYBER	1380	17479	\N	\N	\N
591198	2011	1997-01-05	VYDAJ	VYBER	1260	15772	\N	\N	\N
591199	2011	1998-02-10	VYDAJ	VYBER	570	18978	\N	\N	\N
591200	2011	1998-08-24	VYDAJ	VYBER	1410	19599	\N	\N	\N
591201	2011	1998-10-21	VYDAJ	VYBER	420	21331	\N	\N	\N
591202	2011	1998-03-13	VYDAJ	VYBER	660	19388	\N	\N	\N
591211	2011	1993-08-31	VYDAJ	VYBER	15	13707	SLUZBY	\N	\N
591212	2011	1993-09-30	VYDAJ	VYBER	15	14760	SLUZBY	\N	\N
591213	2011	1993-10-31	VYDAJ	VYBER	15	15818	SLUZBY	\N	\N
591214	2011	1993-11-30	VYDAJ	VYBER	15	15829	SLUZBY	\N	\N
591215	2011	1993-12-31	VYDAJ	VYBER	15	15236	SLUZBY	\N	\N
591216	2011	1994-01-31	VYDAJ	VYBER	15	12443	SLUZBY	\N	\N
591217	2011	1994-02-28	VYDAJ	VYBER	15	13491	SLUZBY	\N	\N
591218	2011	1994-03-31	VYDAJ	VYBER	15	14393	SLUZBY	\N	\N
591219	2011	1994-04-30	VYDAJ	VYBER	15	15449	SLUZBY	\N	\N
591220	2011	1994-05-31	VYDAJ	VYBER	15	16509	SLUZBY	\N	\N
591221	2011	1994-06-30	VYDAJ	VYBER	15	13269	SLUZBY	\N	\N
591222	2011	1994-07-31	VYDAJ	VYBER	15	14321	SLUZBY	\N	\N
591223	2011	1994-08-31	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
591224	2011	1994-09-30	VYDAJ	VYBER	15	16436	SLUZBY	\N	\N
591225	2011	1994-10-31	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
591226	2011	1994-11-30	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
591227	2011	1994-12-31	VYDAJ	VYBER	15	14809	SLUZBY	\N	\N
591228	2011	1995-01-31	VYDAJ	VYBER	15	13072	SLUZBY	\N	\N
591229	2011	1995-02-28	VYDAJ	VYBER	15	14122	SLUZBY	\N	\N
591230	2011	1995-03-31	VYDAJ	VYBER	15	15177	SLUZBY	\N	\N
591231	2011	1995-04-30	VYDAJ	VYBER	15	15034	SLUZBY	\N	\N
591232	2011	1995-05-31	VYDAJ	VYBER	15	16092	SLUZBY	\N	\N
591233	2011	1995-06-30	VYDAJ	VYBER	15	17155	SLUZBY	\N	\N
591234	2011	1995-07-31	VYDAJ	VYBER	15	15415	SLUZBY	\N	\N
591235	2011	1995-08-31	VYDAJ	VYBER	15	14791	SLUZBY	\N	\N
591236	2011	1995-09-30	VYDAJ	VYBER	15	14444	SLUZBY	\N	\N
591237	2011	1995-10-31	VYDAJ	VYBER	15	14798	SLUZBY	\N	\N
591238	2011	1995-11-30	VYDAJ	VYBER	15	14552	SLUZBY	\N	\N
591239	2011	1995-12-31	VYDAJ	VYBER	15	14705	SLUZBY	\N	\N
591240	2011	1996-01-31	VYDAJ	VYBER	15	11599	SLUZBY	\N	\N
591241	2011	1996-02-29	VYDAJ	VYBER	15	12643	SLUZBY	\N	\N
591242	2011	1996-03-31	VYDAJ	VYBER	15	13490	SLUZBY	\N	\N
591243	2011	1996-04-30	VYDAJ	VYBER	15	11633	SLUZBY	\N	\N
591244	2011	1996-05-31	VYDAJ	VYBER	15	12677	SLUZBY	\N	\N
591245	2011	1996-06-30	VYDAJ	VYBER	15	10284	SLUZBY	\N	\N
591246	2011	1996-07-31	VYDAJ	VYBER	15	11322	SLUZBY	\N	\N
591247	2011	1996-08-31	VYDAJ	VYBER	15	9856	SLUZBY	\N	\N
591248	2011	1996-09-30	VYDAJ	VYBER	15	10892	SLUZBY	\N	\N
591249	2011	1996-10-31	VYDAJ	VYBER	15	11933	SLUZBY	\N	\N
591250	2011	1996-11-30	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
591251	2011	1996-12-31	VYDAJ	VYBER	15	14028	SLUZBY	\N	\N
591252	2011	1997-01-31	VYDAJ	VYBER	15	13817	SLUZBY	\N	\N
591253	2011	1997-02-28	VYDAJ	VYBER	15	14870	SLUZBY	\N	\N
591254	2011	1997-03-31	VYDAJ	VYBER	15	15927	SLUZBY	\N	\N
591255	2011	1997-04-30	VYDAJ	VYBER	15	15727	SLUZBY	\N	\N
591256	2011	1997-05-31	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
591257	2011	1997-06-30	VYDAJ	VYBER	15	17853	SLUZBY	\N	\N
591258	2011	1997-07-31	VYDAJ	VYBER	15	17540	SLUZBY	\N	\N
591259	2011	1997-08-31	VYDAJ	VYBER	15	18608	SLUZBY	\N	\N
591260	2011	1997-09-30	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
591261	2011	1997-10-31	VYDAJ	VYBER	15	20757	SLUZBY	\N	\N
591262	2011	1997-11-30	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
591263	2011	1997-12-31	VYDAJ	VYBER	15	22624	SLUZBY	\N	\N
591264	2011	1998-01-31	VYDAJ	VYBER	15	18270	SLUZBY	\N	\N
591265	2011	1998-02-28	VYDAJ	VYBER	15	18770	SLUZBY	\N	\N
591266	2011	1998-03-31	VYDAJ	VYBER	15	19181	SLUZBY	\N	\N
591267	2011	1998-04-30	VYDAJ	VYBER	15	20255	SLUZBY	\N	\N
591268	2011	1998-05-31	VYDAJ	VYBER	15	21334	SLUZBY	\N	\N
591269	2011	1998-06-30	VYDAJ	VYBER	15	18930	SLUZBY	\N	\N
591270	2011	1998-07-31	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
591271	2011	1998-08-31	VYDAJ	VYBER	15	19669	SLUZBY	\N	\N
591272	2011	1998-09-30	VYDAJ	VYBER	15	20745	SLUZBY	\N	\N
591273	2011	1998-10-31	VYDAJ	VYBER	15	21405	SLUZBY	\N	\N
591274	2011	1998-11-30	VYDAJ	VYBER	15	22489	SLUZBY	\N	\N
591275	2011	1994-12-15	VYDAJ	VYBER	100	15898	\N	\N	\N
591276	2011	1995-04-14	VYDAJ	VYBER	1200	15255	\N	\N	\N
591277	2011	1995-07-13	VYDAJ	VYBER	2800	15633	\N	\N	\N
591278	2011	1995-09-11	VYDAJ	VYBER	1400	14669	\N	\N	\N
591279	2011	1995-10-11	VYDAJ	VYBER	700	15022	\N	\N	\N
591280	2011	1995-11-10	VYDAJ	VYBER	1300	14776	\N	\N	\N
591281	2011	1996-01-09	VYDAJ	VYBER	1900	11833	\N	\N	\N
591282	2011	1996-03-09	VYDAJ	VYBER	200	13721	\N	\N	\N
591283	2011	1996-04-08	VYDAJ	VYBER	2900	11868	\N	\N	\N
591284	2011	1996-06-07	VYDAJ	VYBER	2500	12251	\N	\N	\N
591285	2011	1996-08-06	VYDAJ	VYBER	2500	11826	\N	\N	\N
591351	2012	1996-04-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
591356	2012	1996-05-07	PRIJEM	PREVOD Z UCTU	6761	7761	DUCHOD	QR	76336049
591357	2012	1996-06-07	PRIJEM	PREVOD Z UCTU	6761	14522	DUCHOD	QR	76336049
591358	2012	1996-07-07	PRIJEM	PREVOD Z UCTU	6761	21283	DUCHOD	QR	76336049
591359	2012	1996-08-07	PRIJEM	PREVOD Z UCTU	6761	28044	DUCHOD	QR	76336049
591360	2012	1996-09-07	PRIJEM	PREVOD Z UCTU	6761	34805	DUCHOD	QR	76336049
591361	2012	1996-10-07	PRIJEM	PREVOD Z UCTU	6761	37798	DUCHOD	QR	76336049
591362	2012	1996-11-07	PRIJEM	PREVOD Z UCTU	6761	38438	DUCHOD	QR	76336049
591363	2012	1996-12-07	PRIJEM	PREVOD Z UCTU	6761	39159	DUCHOD	QR	76336049
591364	2012	1997-01-07	PRIJEM	PREVOD Z UCTU	6761	38553	DUCHOD	QR	76336049
591365	2012	1997-02-07	PRIJEM	PREVOD Z UCTU	6761	33030	DUCHOD	QR	76336049
591366	2012	1997-03-07	PRIJEM	PREVOD Z UCTU	6761	35550	DUCHOD	QR	76336049
591367	2012	1997-04-07	PRIJEM	PREVOD Z UCTU	6761	38584	DUCHOD	QR	76336049
591368	2012	1997-05-07	PRIJEM	PREVOD Z UCTU	6761	40585	DUCHOD	QR	76336049
591369	2012	1997-06-07	PRIJEM	PREVOD Z UCTU	6761	41873	DUCHOD	QR	76336049
591370	2012	1997-07-07	PRIJEM	PREVOD Z UCTU	6761	38712	DUCHOD	QR	76336049
591371	2012	1997-08-07	PRIJEM	PREVOD Z UCTU	6761	39276	DUCHOD	QR	76336049
591372	2012	1997-09-07	PRIJEM	PREVOD Z UCTU	6761	42327	DUCHOD	QR	76336049
591373	2012	1997-10-07	PRIJEM	PREVOD Z UCTU	6761	40906	DUCHOD	QR	76336049
591374	2012	1997-11-07	PRIJEM	PREVOD Z UCTU	6761	43663	DUCHOD	QR	76336049
591375	2012	1997-12-07	PRIJEM	PREVOD Z UCTU	6761	43026	DUCHOD	QR	76336049
591376	2012	1998-01-07	PRIJEM	PREVOD Z UCTU	6761	41487	DUCHOD	QR	76336049
591377	2012	1998-02-07	PRIJEM	PREVOD Z UCTU	6761	36936	DUCHOD	QR	76336049
591378	2012	1998-03-07	PRIJEM	PREVOD Z UCTU	6761	35775	DUCHOD	QR	76336049
591379	2012	1998-04-07	PRIJEM	PREVOD Z UCTU	6761	35405	DUCHOD	QR	76336049
591380	2012	1998-05-07	PRIJEM	PREVOD Z UCTU	6761	30652	DUCHOD	QR	76336049
591381	2012	1998-06-07	PRIJEM	PREVOD Z UCTU	6761	30845	DUCHOD	QR	76336049
591382	2012	1998-07-07	PRIJEM	PREVOD Z UCTU	6761	23240	DUCHOD	QR	76336049
591383	2012	1998-08-07	PRIJEM	PREVOD Z UCTU	6761	20916	DUCHOD	QR	76336049
591384	2012	1998-09-07	PRIJEM	PREVOD Z UCTU	6761	20283	DUCHOD	QR	76336049
591385	2012	1998-10-07	PRIJEM	PREVOD Z UCTU	6761	23249	DUCHOD	QR	76336049
591386	2012	1998-11-07	PRIJEM	PREVOD Z UCTU	6761	22725	DUCHOD	QR	76336049
591387	2012	1998-12-07	PRIJEM	PREVOD Z UCTU	6761	25702	DUCHOD	QR	76336049
591396	2012	1996-09-10	VYDAJ	PREVOD NA UCET	3844	30961	SIPO	IJ	87907689
591397	2012	1996-10-10	VYDAJ	PREVOD NA UCET	3844	33954	SIPO	IJ	87907689
591398	2012	1996-11-10	VYDAJ	PREVOD NA UCET	3844	32274	SIPO	IJ	87907689
591399	2012	1996-12-10	VYDAJ	PREVOD NA UCET	3844	35315	SIPO	IJ	87907689
591400	2012	1997-01-10	VYDAJ	PREVOD NA UCET	3844	34149	SIPO	IJ	87907689
591401	2012	1997-02-10	VYDAJ	PREVOD NA UCET	3844	29186	SIPO	IJ	87907689
591402	2012	1997-03-10	VYDAJ	PREVOD NA UCET	3844	31706	SIPO	IJ	87907689
591403	2012	1997-04-10	VYDAJ	PREVOD NA UCET	3844	34740	SIPO	IJ	87907689
591404	2012	1997-05-10	VYDAJ	PREVOD NA UCET	3844	36741	SIPO	IJ	87907689
591405	2012	1997-06-10	VYDAJ	PREVOD NA UCET	3844	31829	SIPO	IJ	87907689
591406	2012	1997-07-10	VYDAJ	PREVOD NA UCET	3844	34868	SIPO	IJ	87907689
591407	2012	1997-08-10	VYDAJ	PREVOD NA UCET	3844	35432	SIPO	IJ	87907689
591408	2012	1997-09-10	VYDAJ	PREVOD NA UCET	3844	38483	SIPO	IJ	87907689
591409	2012	1997-10-10	VYDAJ	PREVOD NA UCET	3844	37062	SIPO	IJ	87907689
591410	2012	1997-11-10	VYDAJ	PREVOD NA UCET	3844	39819	SIPO	IJ	87907689
591411	2012	1997-12-10	VYDAJ	PREVOD NA UCET	3844	39182	SIPO	IJ	87907689
591412	2012	1998-01-10	VYDAJ	PREVOD NA UCET	3844	35723	SIPO	IJ	87907689
591413	2012	1998-02-10	VYDAJ	PREVOD NA UCET	3844	33092	SIPO	IJ	87907689
591414	2012	1998-03-10	VYDAJ	PREVOD NA UCET	3844	31931	SIPO	IJ	87907689
591415	2012	1998-04-10	VYDAJ	PREVOD NA UCET	3844	31561	SIPO	IJ	87907689
591416	2012	1998-05-10	VYDAJ	PREVOD NA UCET	3844	26808	SIPO	IJ	87907689
591417	2012	1998-06-10	VYDAJ	PREVOD NA UCET	3844	27001	SIPO	IJ	87907689
591418	2012	1998-07-10	VYDAJ	PREVOD NA UCET	3844	19396	SIPO	IJ	87907689
591419	2012	1998-08-10	VYDAJ	PREVOD NA UCET	3844	17072	SIPO	IJ	87907689
591420	2012	1998-09-10	VYDAJ	PREVOD NA UCET	3844	16439	SIPO	IJ	87907689
591421	2012	1998-10-10	VYDAJ	PREVOD NA UCET	3844	19405	SIPO	IJ	87907689
591422	2012	1998-11-10	VYDAJ	PREVOD NA UCET	3844	18881	SIPO	IJ	87907689
591423	2012	1998-12-10	VYDAJ	PREVOD NA UCET	3844	21858	SIPO	IJ	87907689
591425	2012	1997-06-09	VYDAJ	VYBER	6200	35673	\N	\N	\N
591426	2012	1998-06-18	VYDAJ	VYBER	10600	16401	\N	\N	\N
591428	2012	1997-01-01	VYDAJ	VYBER	2350	31792	\N	\N	\N
591429	2012	1998-01-06	VYDAJ	VYBER	2850	34726	\N	\N	\N
591430	2012	1996-12-19	VYDAJ	VYBER	1300	34015	\N	\N	\N
591431	2012	1997-12-28	VYDAJ	VYBER	850	38332	\N	\N	\N
591432	2012	1998-12-25	VYDAJ	VYBER	450	19908	\N	\N	\N
591439	2012	1997-01-27	VYDAJ	VYBER	1840	26149	\N	\N	\N
591440	2012	1997-01-12	VYDAJ	VYBER	640	33509	\N	\N	\N
591441	2012	1997-01-08	VYDAJ	VYBER	560	37993	\N	\N	\N
591442	2012	1997-01-27	VYDAJ	VYBER	1840	27989	\N	\N	\N
591443	2012	1997-01-21	VYDAJ	VYBER	2320	29829	\N	\N	\N
591444	2012	1997-01-17	VYDAJ	VYBER	1360	32149	\N	\N	\N
591445	2012	1998-01-23	VYDAJ	VYBER	1040	33243	\N	\N	\N
591446	2012	1998-01-08	VYDAJ	VYBER	720	39567	\N	\N	\N
591447	2012	1998-01-08	VYDAJ	VYBER	1200	40287	\N	\N	\N
591448	2012	1998-01-17	VYDAJ	VYBER	1440	34283	\N	\N	\N
591449	2012	1998-01-24	VYDAJ	VYBER	880	32363	\N	\N	\N
591450	2012	1998-01-28	VYDAJ	VYBER	800	31563	\N	\N	\N
591452	2012	1996-11-10	VYDAJ	VYBER	2320	36118	\N	\N	\N
591454	2012	1997-05-17	VYDAJ	VYBER	1760	34981	\N	\N	\N
591455	2012	1997-04-11	VYDAJ	VYBER	1040	33700	\N	\N	\N
591456	2012	1997-08-01	VYDAJ	VYBER	2480	32515	\N	\N	\N
591457	2012	1997-10-01	VYDAJ	VYBER	3840	34785	\N	\N	\N
591458	2012	1997-10-02	VYDAJ	VYBER	640	34145	\N	\N	\N
591460	2012	1998-06-03	VYDAJ	VYBER	1520	24084	\N	\N	\N
591461	2012	1998-05-03	VYDAJ	VYBER	480	23891	\N	\N	\N
591462	2012	1998-02-06	VYDAJ	VYBER	1520	30175	\N	\N	\N
591472	2012	1996-09-30	VYDAJ	VYBER	15	31037	SLUZBY	\N	\N
591473	2012	1996-10-31	VYDAJ	VYBER	15	34077	SLUZBY	\N	\N
591474	2012	1996-11-30	VYDAJ	VYBER	15	32398	SLUZBY	\N	\N
591475	2012	1996-12-31	VYDAJ	VYBER	15	34142	SLUZBY	\N	\N
591476	2012	1997-01-31	VYDAJ	VYBER	15	26269	SLUZBY	\N	\N
591477	2012	1997-02-28	VYDAJ	VYBER	15	29289	SLUZBY	\N	\N
591478	2012	1997-03-31	VYDAJ	VYBER	15	31823	SLUZBY	\N	\N
591479	2012	1997-04-30	VYDAJ	VYBER	15	33824	SLUZBY	\N	\N
591480	2012	1997-05-31	VYDAJ	VYBER	15	35112	SLUZBY	\N	\N
591481	2012	1997-06-30	VYDAJ	VYBER	15	31951	SLUZBY	\N	\N
591482	2012	1997-07-31	VYDAJ	VYBER	15	34995	SLUZBY	\N	\N
591483	2012	1997-08-31	VYDAJ	VYBER	15	35566	SLUZBY	\N	\N
591484	2012	1997-09-30	VYDAJ	VYBER	15	38625	SLUZBY	\N	\N
591485	2012	1997-10-31	VYDAJ	VYBER	15	36902	SLUZBY	\N	\N
591486	2012	1997-11-30	VYDAJ	VYBER	15	36265	SLUZBY	\N	\N
591487	2012	1997-12-31	VYDAJ	VYBER	15	37576	SLUZBY	\N	\N
591488	2012	1998-01-31	VYDAJ	VYBER	15	31695	SLUZBY	\N	\N
591489	2012	1998-02-28	VYDAJ	VYBER	15	29014	SLUZBY	\N	\N
591490	2012	1998-03-31	VYDAJ	VYBER	15	28644	SLUZBY	\N	\N
591491	2012	1998-04-30	VYDAJ	VYBER	15	24371	SLUZBY	\N	\N
591492	2012	1998-05-31	VYDAJ	VYBER	15	25604	SLUZBY	\N	\N
591493	2012	1998-06-30	VYDAJ	VYBER	15	16479	SLUZBY	\N	\N
591494	2012	1998-07-31	VYDAJ	VYBER	15	14155	SLUZBY	\N	\N
591495	2012	1998-08-31	VYDAJ	VYBER	15	13522	SLUZBY	\N	\N
591496	2012	1998-09-30	VYDAJ	VYBER	15	16488	SLUZBY	\N	\N
591497	2012	1998-10-31	VYDAJ	VYBER	15	15964	SLUZBY	\N	\N
591498	2012	1998-11-30	VYDAJ	VYBER	15	18941	SLUZBY	\N	\N
591499	2012	1996-11-04	VYDAJ	VYBER	2400	31677	\N	\N	\N
591500	2012	1997-03-04	VYDAJ	VYBER	500	28789	\N	\N	\N
591501	2012	1997-10-30	VYDAJ	VYBER	300	36762	\N	\N	\N
591502	2012	1997-11-29	VYDAJ	VYBER	3700	36119	\N	\N	\N
591503	2012	1997-12-29	VYDAJ	VYBER	900	37432	\N	\N	\N
591504	2012	1998-02-27	VYDAJ	VYBER	4200	28892	\N	\N	\N
591505	2012	1998-03-29	VYDAJ	VYBER	3400	28531	\N	\N	\N
591506	2012	1998-04-28	VYDAJ	VYBER	7300	24261	\N	\N	\N
591507	2012	1998-05-28	VYDAJ	VYBER	1300	25508	\N	\N	\N
591508	2012	1998-07-27	VYDAJ	VYBER	5300	14096	\N	\N	\N
591509	2012	1998-08-26	VYDAJ	VYBER	3600	13472	\N	\N	\N
591510	2012	1998-10-25	VYDAJ	VYBER	3500	15905	\N	\N	\N
591511	2012	1998-12-24	VYDAJ	VYBER	1500	20358	\N	\N	\N
591540	2013	1996-08-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
591543	2013	1996-12-08	PRIJEM	VKLAD	27999	61468	\N	\N	\N
591544	2013	1996-11-28	PRIJEM	VKLAD	14555	33455	\N	\N	\N
591546	2013	1997-02-11	PRIJEM	VKLAD	47643	74736	\N	\N	\N
591547	2013	1998-12-13	PRIJEM	VKLAD	13128	42419	\N	\N	\N
591548	2013	1998-04-17	PRIJEM	VKLAD	15508	101268	\N	\N	\N
591549	2013	1998-09-13	PRIJEM	VKLAD	20420	79491	\N	\N	\N
591550	2013	1998-01-20	PRIJEM	VKLAD	28513	44323	\N	\N	\N
591551	2013	1998-08-20	PRIJEM	VKLAD	23839	55419	\N	\N	\N
591552	2013	1998-02-19	PRIJEM	VKLAD	26697	61225	\N	\N	\N
591553	2013	1998-06-05	PRIJEM	VKLAD	29232	75589	\N	\N	\N
591554	2013	1998-09-18	PRIJEM	VKLAD	45814	102716	\N	\N	\N
591555	2013	1998-10-23	PRIJEM	VKLAD	26495	55837	\N	\N	\N
591556	2013	1998-07-19	PRIJEM	VKLAD	23047	49513	\N	\N	\N
591557	2013	1998-08-31	PRIJEM	VKLAD	18398	85487	\N	\N	\N
591558	2013	1998-08-26	PRIJEM	VKLAD	11462	66881	\N	\N	\N
591559	2013	1998-05-04	PRIJEM	VKLAD	15668	117242	\N	\N	\N
591560	2013	1998-04-14	PRIJEM	VKLAD	45713	79074	\N	\N	\N
591561	2013	1998-03-23	PRIJEM	VKLAD	43312	70397	\N	\N	\N
591562	2013	1998-02-14	PRIJEM	VKLAD	18993	48628	\N	\N	\N
591563	2013	1998-08-05	PRIJEM	VKLAD	23198	72891	\N	\N	\N
591564	2013	1998-09-27	PRIJEM	VKLAD	21240	123956	\N	\N	\N
591565	2013	1998-09-03	PRIJEM	VKLAD	27882	96971	\N	\N	\N
591566	2013	1998-04-14	PRIJEM	VKLAD	13586	92660	\N	\N	\N
591567	2013	1998-12-21	PRIJEM	VKLAD	5688	29083	\N	\N	\N
591568	2013	1998-06-15	PRIJEM	VKLAD	9064	53253	\N	\N	\N
591569	2013	1998-11-08	PRIJEM	VKLAD	12033	50101	\N	\N	\N
591597	2013	1998-04-01	VYBER	VYBER	10919	59661	\N	\N	\N
591598	2013	1998-09-14	VYBER	VYBER	22589	56902	\N	\N	\N
591601	2013	1998-08-17	VYBER	VYBER	9411	31580	\N	\N	\N
591602	2013	1998-11-21	VYBER	VYBER	18384	31717	\N	\N	\N
591603	2013	1998-12-20	VYBER	VYBER	19024	23395	\N	\N	\N
591604	2013	1998-06-22	VYBER	VYBER	5271	47982	\N	\N	\N
591605	2013	1998-08-31	VYBER	VYBER	16383	69104	\N	\N	\N
591606	2013	1998-10-18	VYBER	VYBER	7836	29342	\N	\N	\N
591607	2013	1998-02-27	VYBER	VYBER	23484	37741	\N	\N	\N
591642	2013	1998-10-14	VYDAJ	VYBER	12900	37178	\N	\N	\N
591643	2013	1998-02-16	VYDAJ	VYBER	14100	34528	\N	\N	\N
591645	2013	1998-04-14	VYDAJ	VYBER KARTOU	6900	85760	\N	\N	0
591647	2013	1998-08-06	VYDAJ	VYBER KARTOU	5400	40991	\N	\N	0
591648	2013	1998-07-16	VYDAJ	VYBER KARTOU	4200	26466	\N	\N	0
591675	2013	1998-02-28	VYDAJ	VYBER	15	37985	SLUZBY	\N	\N
591676	2013	1998-03-31	VYDAJ	VYBER	15	70580	SLUZBY	\N	\N
591677	2013	1998-04-30	VYDAJ	VYBER	15	101574	SLUZBY	\N	\N
591678	2013	1998-05-31	VYDAJ	VYBER	15	46357	SLUZBY	\N	\N
591679	2013	1998-06-30	VYDAJ	VYBER	15	48166	SLUZBY	\N	\N
591680	2013	1998-07-31	VYDAJ	VYBER	15	49693	SLUZBY	\N	\N
591681	2013	1998-08-31	VYDAJ	VYBER	15	69089	SLUZBY	\N	\N
591682	2013	1998-09-30	VYDAJ	VYBER	15	79878	SLUZBY	\N	\N
591683	2013	1998-10-31	VYDAJ	VYBER	15	56068	SLUZBY	\N	\N
591684	2013	1998-11-30	VYDAJ	VYBER	15	31891	SLUZBY	\N	\N
591685	2013	1996-10-14	PRIJEM	VKLAD	10700	11800	\N	\N	\N
591686	2013	1996-11-13	PRIJEM	VKLAD	7100	18900	\N	\N	\N
591687	2013	1996-12-13	VYDAJ	VYBER	21100	40368	\N	\N	\N
591688	2013	1997-01-12	VYDAJ	VYBER	13600	26925	\N	\N	\N
591689	2013	1997-02-11	VYDAJ	VYBER	29500	45236	\N	\N	\N
591690	2013	1997-03-13	VYDAJ	VYBER	12400	33096	\N	\N	\N
591691	2013	1997-04-12	VYDAJ	VYBER	4000	29408	\N	\N	\N
591692	2013	1997-05-12	VYDAJ	VYBER	4600	25119	\N	\N	\N
591693	2013	1997-06-11	VYDAJ	VYBER	2300	23131	\N	\N	\N
591694	2013	1997-07-11	PRIJEM	VKLAD	2200	25642	\N	\N	\N
591695	2013	1997-08-10	PRIJEM	VKLAD	1000	26953	\N	\N	\N
591696	2013	1997-09-09	VYDAJ	VYBER	2900	24365	\N	\N	\N
591697	2013	1997-10-09	VYDAJ	VYBER	3800	20876	\N	\N	\N
591698	2013	1997-11-08	VYDAJ	VYBER	4300	16888	\N	\N	\N
591699	2013	1997-12-08	VYDAJ	VYBER KARTOU	1700	15499	\N	\N	0
591700	2013	1998-02-06	VYDAJ	VYBER	15000	29635	\N	\N	\N
591701	2013	1998-03-08	VYDAJ	VYBER	10900	27085	\N	\N	\N
591702	2013	1998-04-07	VYDAJ	VYBER	26300	33361	\N	\N	\N
591703	2013	1998-05-04	VYDAJ	VYBER	33000	84242	\N	\N	\N
591704	2013	1998-05-07	VYDAJ	VYBER	38100	46142	\N	\N	\N
591705	2013	1998-06-06	VYDAJ	VYBER	31400	44189	\N	\N	\N
591706	2013	1998-07-06	VYDAJ	VYBER	17500	30666	\N	\N	\N
591707	2013	1998-08-05	VYDAJ	VYBER	26500	46391	\N	\N	\N
591708	2013	1998-09-04	VYDAJ	VYBER	37900	59071	\N	\N	\N
591709	2013	1998-09-27	VYDAJ	VYBER	44400	79556	\N	\N	\N
591710	2013	1998-10-04	VYDAJ	VYBER	29800	50078	\N	\N	\N
591711	2013	1998-11-03	VYDAJ	VYBER	18000	38068	\N	\N	\N
591712	2013	1998-12-03	VYDAJ	VYBER KARTOU	2600	29291	\N	\N	0
592044	2015	1995-11-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
592056	2015	1995-12-05	PRIJEM	VKLAD	10204	11304	\N	\N	\N
592057	2015	1996-01-05	PRIJEM	VKLAD	6803	23723	\N	\N	\N
592058	2015	1996-02-05	PRIJEM	VKLAD	6803	30704	\N	\N	\N
592059	2015	1996-03-05	PRIJEM	VKLAD	6803	36612	\N	\N	\N
592060	2015	1996-04-05	PRIJEM	VKLAD	6803	39141	\N	\N	\N
592061	2015	1996-05-05	PRIJEM	VKLAD	6803	37731	\N	\N	\N
592062	2015	1996-06-05	PRIJEM	VKLAD	10204	38213	\N	\N	\N
592063	2015	1996-07-05	PRIJEM	VKLAD	6803	36470	\N	\N	\N
592064	2015	1996-08-05	PRIJEM	VKLAD	6803	34146	\N	\N	\N
592065	2015	1996-09-05	PRIJEM	VKLAD	6803	31312	\N	\N	\N
592066	2015	1996-10-05	PRIJEM	VKLAD	6803	30668	\N	\N	\N
592067	2015	1996-11-05	PRIJEM	VKLAD	6803	30021	\N	\N	\N
592068	2015	1996-12-05	PRIJEM	VKLAD	10204	29067	\N	\N	\N
592069	2015	1997-01-05	PRIJEM	VKLAD	6803	26589	\N	\N	\N
592070	2015	1997-02-05	PRIJEM	VKLAD	6803	23663	\N	\N	\N
592071	2015	1997-03-05	PRIJEM	VKLAD	6803	27695	\N	\N	\N
592072	2015	1997-04-05	PRIJEM	VKLAD	6803	31443	\N	\N	\N
592073	2015	1997-05-05	PRIJEM	VKLAD	6803	29797	\N	\N	\N
592074	2015	1997-06-05	PRIJEM	VKLAD	10204	37134	\N	\N	\N
592075	2015	1997-07-05	PRIJEM	VKLAD	6803	26680	\N	\N	\N
592076	2015	1997-08-05	PRIJEM	VKLAD	6803	33013	\N	\N	\N
592077	2015	1997-09-05	PRIJEM	VKLAD	6803	35181	\N	\N	\N
592078	2015	1997-10-05	PRIJEM	VKLAD	6803	34952	\N	\N	\N
592079	2015	1997-11-05	PRIJEM	VKLAD	6803	36726	\N	\N	\N
592080	2015	1997-12-05	PRIJEM	VKLAD	10204	45627	\N	\N	\N
592081	2015	1998-01-05	PRIJEM	VKLAD	6803	41614	\N	\N	\N
592082	2015	1998-02-05	PRIJEM	VKLAD	6803	23413	\N	\N	\N
592083	2015	1998-03-05	PRIJEM	VKLAD	6803	27447	\N	\N	\N
592084	2015	1998-04-05	PRIJEM	VKLAD	6803	33700	\N	\N	\N
592085	2015	1998-05-05	PRIJEM	VKLAD	6803	32102	\N	\N	\N
592086	2015	1998-06-05	PRIJEM	VKLAD	10204	30171	\N	\N	\N
592087	2015	1998-07-05	PRIJEM	VKLAD	6803	37351	\N	\N	\N
592088	2015	1998-08-05	PRIJEM	VKLAD	6803	41944	\N	\N	\N
592089	2015	1998-09-05	PRIJEM	VKLAD	6803	40440	\N	\N	\N
592090	2015	1998-10-05	PRIJEM	VKLAD	6803	37326	\N	\N	\N
592091	2015	1998-11-05	PRIJEM	VKLAD	6803	37107	\N	\N	\N
592092	2015	1998-12-05	PRIJEM	VKLAD	10204	35707	\N	\N	\N
592108	2015	1996-04-14	VYDAJ	PREVOD NA UCET	4535	34606	SIPO	UV	45701158
592109	2015	1996-05-14	VYDAJ	PREVOD NA UCET	4535	33196	SIPO	UV	45701158
592110	2015	1996-06-14	VYDAJ	PREVOD NA UCET	4535	33678	SIPO	UV	45701158
592111	2015	1996-07-14	VYDAJ	PREVOD NA UCET	4535	31935	SIPO	UV	45701158
592112	2015	1996-08-14	VYDAJ	PREVOD NA UCET	4535	29611	SIPO	UV	45701158
592113	2015	1996-09-14	VYDAJ	PREVOD NA UCET	4535	26777	SIPO	UV	45701158
592114	2015	1996-10-14	VYDAJ	PREVOD NA UCET	4535	26133	SIPO	UV	45701158
592115	2015	1996-11-14	VYDAJ	PREVOD NA UCET	4535	25486	SIPO	UV	45701158
592116	2015	1996-12-14	VYDAJ	PREVOD NA UCET	4535	24532	SIPO	UV	45701158
592117	2015	1997-01-14	VYDAJ	PREVOD NA UCET	4535	22054	SIPO	UV	45701158
592118	2015	1997-02-14	VYDAJ	PREVOD NA UCET	4535	19128	SIPO	UV	45701158
592119	2015	1997-03-14	VYDAJ	PREVOD NA UCET	4535	23160	SIPO	UV	45701158
592120	2015	1997-04-14	VYDAJ	PREVOD NA UCET	4535	25708	SIPO	UV	45701158
592121	2015	1997-05-14	VYDAJ	PREVOD NA UCET	4535	25262	SIPO	UV	45701158
592122	2015	1997-06-14	VYDAJ	PREVOD NA UCET	4535	32599	SIPO	UV	45701158
592123	2015	1997-07-14	VYDAJ	PREVOD NA UCET	4535	20825	SIPO	UV	45701158
592124	2015	1997-08-14	VYDAJ	PREVOD NA UCET	4535	28478	SIPO	UV	45701158
592125	2015	1997-09-14	VYDAJ	PREVOD NA UCET	4535	30646	SIPO	UV	45701158
592126	2015	1997-10-14	VYDAJ	PREVOD NA UCET	4535	30417	SIPO	UV	45701158
592127	2015	1997-11-14	VYDAJ	PREVOD NA UCET	4535	35291	SIPO	UV	45701158
592128	2015	1997-12-14	VYDAJ	PREVOD NA UCET	4535	37392	SIPO	UV	45701158
592129	2015	1998-01-14	VYDAJ	PREVOD NA UCET	4535	31799	SIPO	UV	45701158
592130	2015	1998-02-14	VYDAJ	PREVOD NA UCET	4535	20578	SIPO	UV	45701158
592131	2015	1998-03-14	VYDAJ	PREVOD NA UCET	4535	26812	SIPO	UV	45701158
592132	2015	1998-04-14	VYDAJ	PREVOD NA UCET	4535	25205	SIPO	UV	45701158
592133	2015	1998-05-14	VYDAJ	PREVOD NA UCET	4535	28667	SIPO	UV	45701158
592134	2015	1998-06-14	VYDAJ	PREVOD NA UCET	4535	30436	SIPO	UV	45701158
592135	2015	1998-07-14	VYDAJ	PREVOD NA UCET	4535	35016	SIPO	UV	45701158
592136	2015	1998-08-14	VYDAJ	PREVOD NA UCET	4535	33509	SIPO	UV	45701158
592137	2015	1998-09-14	VYDAJ	PREVOD NA UCET	4535	30405	SIPO	UV	45701158
592138	2015	1998-10-14	VYDAJ	PREVOD NA UCET	4535	30191	SIPO	UV	45701158
592139	2015	1998-11-14	VYDAJ	PREVOD NA UCET	4535	30072	SIPO	UV	45701158
592140	2015	1998-12-14	VYDAJ	PREVOD NA UCET	4535	28372	SIPO	UV	45701158
592143	2015	1997-06-25	VYDAJ	VYBER	10720	19779	\N	\N	\N
592144	2015	1998-06-04	VYDAJ	VYBER	8800	19967	\N	\N	\N
592148	2015	1998-01-15	VYDAJ	VYBER	13120	18679	\N	\N	\N
592150	2015	1996-12-27	VYDAJ	VYBER	4320	19712	\N	\N	\N
592151	2015	1997-12-22	VYDAJ	VYBER	2720	34672	\N	\N	\N
592152	2015	1998-12-29	VYDAJ	VYBER	3520	24852	\N	\N	\N
592160	2015	1996-06-17	VYDAJ	VYBER	1320	32358	\N	\N	\N
592162	2015	1996-11-20	VYDAJ	VYBER	4200	18786	\N	\N	\N
592163	2015	1997-01-22	VYDAJ	VYBER	5160	16794	\N	\N	\N
592164	2015	1997-05-16	VYDAJ	VYBER	3720	21542	\N	\N	\N
592165	2015	1997-04-13	VYDAJ	VYBER	1200	30243	\N	\N	\N
592166	2015	1997-07-08	VYDAJ	VYBER	1320	25360	\N	\N	\N
592167	2015	1998-11-27	VYDAJ	VYBER	4680	25392	\N	\N	\N
592168	2015	1998-01-06	VYDAJ	VYBER	4680	36934	\N	\N	\N
592169	2015	1998-04-13	VYDAJ	VYBER	960	32740	\N	\N	\N
592170	2015	1998-02-08	VYDAJ	VYBER	5400	18013	\N	\N	\N
592172	2015	1998-01-17	VYDAJ	VYBER	2160	16519	\N	\N	\N
592173	2015	1998-05-11	VYDAJ	VYBER	3000	29102	\N	\N	\N
592190	2015	1996-04-30	VYDAJ	VYBER	15	30928	SLUZBY	\N	\N
592191	2015	1996-05-31	VYDAJ	VYBER	15	28009	SLUZBY	\N	\N
592192	2015	1996-06-30	VYDAJ	VYBER	15	29667	SLUZBY	\N	\N
592193	2015	1996-07-31	VYDAJ	VYBER	15	27343	SLUZBY	\N	\N
592194	2015	1996-08-31	VYDAJ	VYBER	15	24509	SLUZBY	\N	\N
592195	2015	1996-09-30	VYDAJ	VYBER	15	23865	SLUZBY	\N	\N
592196	2015	1996-10-31	VYDAJ	VYBER	15	23218	SLUZBY	\N	\N
592197	2015	1996-11-30	VYDAJ	VYBER	15	18863	SLUZBY	\N	\N
592198	2015	1996-12-31	VYDAJ	VYBER	15	19786	SLUZBY	\N	\N
592199	2015	1997-01-31	VYDAJ	VYBER	15	16860	SLUZBY	\N	\N
592200	2015	1997-02-28	VYDAJ	VYBER	15	20892	SLUZBY	\N	\N
592201	2015	1997-03-31	VYDAJ	VYBER	15	24640	SLUZBY	\N	\N
592202	2015	1997-04-30	VYDAJ	VYBER	15	22994	SLUZBY	\N	\N
592203	2015	1997-05-31	VYDAJ	VYBER	15	26930	SLUZBY	\N	\N
592204	2015	1997-06-30	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
592205	2015	1997-07-31	VYDAJ	VYBER	15	26210	SLUZBY	\N	\N
592206	2015	1997-08-31	VYDAJ	VYBER	15	28378	SLUZBY	\N	\N
592207	2015	1997-09-30	VYDAJ	VYBER	15	28149	SLUZBY	\N	\N
592208	2015	1997-10-31	VYDAJ	VYBER	15	29923	SLUZBY	\N	\N
592209	2015	1997-11-30	VYDAJ	VYBER	15	35423	SLUZBY	\N	\N
592210	2015	1997-12-31	VYDAJ	VYBER	15	34811	SLUZBY	\N	\N
592211	2015	1998-01-31	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
592212	2015	1998-02-28	VYDAJ	VYBER	15	20644	SLUZBY	\N	\N
592213	2015	1998-03-31	VYDAJ	VYBER	15	26897	SLUZBY	\N	\N
592214	2015	1998-04-30	VYDAJ	VYBER	15	25299	SLUZBY	\N	\N
592215	2015	1998-05-31	VYDAJ	VYBER	15	28767	SLUZBY	\N	\N
592216	2015	1998-06-30	VYDAJ	VYBER	15	30548	SLUZBY	\N	\N
592217	2015	1998-07-31	VYDAJ	VYBER	15	35141	SLUZBY	\N	\N
592218	2015	1998-08-31	VYDAJ	VYBER	15	33637	SLUZBY	\N	\N
592219	2015	1998-09-30	VYDAJ	VYBER	15	30523	SLUZBY	\N	\N
592220	2015	1998-10-31	VYDAJ	VYBER	15	30304	SLUZBY	\N	\N
592221	2015	1998-11-30	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
592222	2015	1995-12-25	PRIJEM	VKLAD	5600	16904	\N	\N	\N
592223	2015	1996-01-24	PRIJEM	VKLAD	100	23823	\N	\N	\N
592224	2015	1996-02-23	VYDAJ	VYBER	1000	29704	\N	\N	\N
592225	2015	1996-03-24	VYDAJ	VYBER	4400	32212	\N	\N	\N
592226	2015	1996-04-23	VYDAJ	VYBER	3800	30806	\N	\N	\N
592227	2015	1996-05-23	VYDAJ	VYBER	5300	27896	\N	\N	\N
592228	2015	1996-06-22	VYDAJ	VYBER	2800	29558	\N	\N	\N
592229	2015	1996-07-22	VYDAJ	VYBER	4700	27235	\N	\N	\N
592230	2015	1996-08-21	VYDAJ	VYBER	5200	24411	\N	\N	\N
592231	2015	1996-09-20	VYDAJ	VYBER	3000	23777	\N	\N	\N
592232	2015	1996-10-20	VYDAJ	VYBER	3000	23133	\N	\N	\N
592233	2015	1996-11-19	VYDAJ	VYBER	2500	22986	\N	\N	\N
592234	2015	1996-12-19	VYDAJ	VYBER	500	24032	\N	\N	\N
592235	2015	1997-01-18	VYDAJ	VYBER	100	21954	\N	\N	\N
592236	2015	1997-02-17	PRIJEM	VKLAD	1700	20828	\N	\N	\N
592237	2015	1997-03-19	PRIJEM	VKLAD	1400	24560	\N	\N	\N
592238	2015	1997-04-18	VYDAJ	VYBER	2800	22908	\N	\N	\N
592239	2015	1997-05-18	PRIJEM	VKLAD	5300	26842	\N	\N	\N
592240	2015	1997-06-17	VYDAJ	VYBER	2100	30499	\N	\N	\N
592241	2015	1997-07-17	PRIJEM	VKLAD	5300	26125	\N	\N	\N
592242	2015	1997-08-16	VYDAJ	VYBER	200	28278	\N	\N	\N
592243	2015	1997-09-15	VYDAJ	VYBER	2600	28046	\N	\N	\N
592244	2015	1997-10-15	VYDAJ	VYBER	600	29817	\N	\N	\N
592245	2015	1997-11-14	PRIJEM	VKLAD	3100	39826	\N	\N	\N
592246	2015	1997-12-14	VYDAJ	VYBER	3700	41927	\N	\N	\N
592247	2015	1998-01-13	VYDAJ	VYBER	600	36334	\N	\N	\N
592248	2015	1998-02-12	PRIJEM	VKLAD	7100	25113	\N	\N	\N
592249	2015	1998-03-14	PRIJEM	VKLAD	3900	31347	\N	\N	\N
592250	2015	1998-04-13	VYDAJ	VYBER	3000	29740	\N	\N	\N
592251	2015	1998-05-13	PRIJEM	VKLAD	4100	33202	\N	\N	\N
592252	2015	1998-06-12	PRIJEM	VKLAD	4800	34971	\N	\N	\N
592253	2015	1998-07-12	PRIJEM	VKLAD	2200	39551	\N	\N	\N
592254	2015	1998-08-11	VYDAJ	VYBER	3900	38044	\N	\N	\N
592255	2015	1998-09-10	VYDAJ	VYBER	5500	34940	\N	\N	\N
592256	2015	1998-10-10	VYDAJ	VYBER	2600	34726	\N	\N	\N
592257	2015	1998-11-09	VYDAJ	VYBER	2500	34607	\N	\N	\N
592258	2015	1998-12-09	VYDAJ	VYBER	2800	32907	\N	\N	\N
592296	2016	1997-02-23	PRIJEM	VKLAD	800	800	\N	\N	\N
592299	2016	1997-03-08	PRIJEM	PREVOD Z UCTU	2951	3751	\N	WX	52464187
592300	2016	1997-04-08	PRIJEM	PREVOD Z UCTU	2951	15714	\N	WX	52464187
592301	2016	1997-05-08	PRIJEM	PREVOD Z UCTU	2951	21324	\N	WX	52464187
592302	2016	1997-06-08	PRIJEM	PREVOD Z UCTU	2951	23753	\N	WX	52464187
592303	2016	1997-07-08	PRIJEM	PREVOD Z UCTU	2951	28396	\N	WX	52464187
592304	2016	1997-08-08	PRIJEM	PREVOD Z UCTU	2951	24769	\N	WX	52464187
592305	2016	1997-09-08	PRIJEM	PREVOD Z UCTU	2951	24279	\N	WX	52464187
592306	2016	1997-10-08	PRIJEM	PREVOD Z UCTU	2951	22437	\N	WX	52464187
592307	2016	1997-11-08	PRIJEM	PREVOD Z UCTU	2951	22501	\N	WX	52464187
592308	2016	1997-12-08	PRIJEM	PREVOD Z UCTU	2951	20339	\N	WX	52464187
592309	2016	1998-01-08	PRIJEM	PREVOD Z UCTU	2951	21656	\N	WX	52464187
592310	2016	1998-02-08	PRIJEM	PREVOD Z UCTU	2951	19943	\N	WX	52464187
592311	2016	1998-03-08	PRIJEM	PREVOD Z UCTU	2951	25193	\N	WX	52464187
592312	2016	1998-04-08	PRIJEM	PREVOD Z UCTU	2951	28361	\N	WX	52464187
592313	2016	1998-05-08	PRIJEM	PREVOD Z UCTU	2951	27198	\N	WX	52464187
592314	2016	1998-06-08	PRIJEM	PREVOD Z UCTU	2951	28775	\N	WX	52464187
592315	2016	1998-07-08	PRIJEM	PREVOD Z UCTU	2951	21433	\N	WX	52464187
592316	2016	1998-08-08	PRIJEM	PREVOD Z UCTU	2951	17374	\N	WX	52464187
592317	2016	1998-09-08	PRIJEM	PREVOD Z UCTU	2951	15772	\N	WX	52464187
592318	2016	1998-10-08	PRIJEM	PREVOD Z UCTU	2951	18102	\N	WX	52464187
592319	2016	1998-11-08	PRIJEM	PREVOD Z UCTU	2951	19638	\N	WX	52464187
592320	2016	1998-12-08	PRIJEM	PREVOD Z UCTU	2951	20931	\N	WX	52464187
592327	2016	1997-07-10	VYDAJ	PREVOD NA UCET	741	27655	SIPO	WX	59047102
592328	2016	1997-08-10	VYDAJ	PREVOD NA UCET	741	22558	SIPO	WX	59047102
592329	2016	1997-09-10	VYDAJ	PREVOD NA UCET	741	23538	SIPO	WX	59047102
592330	2016	1997-10-10	VYDAJ	PREVOD NA UCET	741	21696	SIPO	WX	59047102
592331	2016	1997-11-10	VYDAJ	PREVOD NA UCET	741	21250	SIPO	WX	59047102
592332	2016	1997-12-10	VYDAJ	PREVOD NA UCET	741	19598	SIPO	WX	59047102
592333	2016	1998-01-10	VYDAJ	PREVOD NA UCET	741	20915	SIPO	WX	59047102
592334	2016	1998-02-10	VYDAJ	PREVOD NA UCET	741	19202	SIPO	WX	59047102
592335	2016	1998-03-10	VYDAJ	PREVOD NA UCET	741	24452	SIPO	WX	59047102
592336	2016	1998-04-10	VYDAJ	PREVOD NA UCET	741	27620	SIPO	WX	59047102
592337	2016	1998-05-10	VYDAJ	PREVOD NA UCET	741	26457	SIPO	WX	59047102
592338	2016	1998-06-10	VYDAJ	PREVOD NA UCET	741	28034	SIPO	WX	59047102
592339	2016	1998-07-10	VYDAJ	PREVOD NA UCET	741	20692	SIPO	WX	59047102
592340	2016	1998-08-10	VYDAJ	PREVOD NA UCET	741	16633	SIPO	WX	59047102
592341	2016	1998-09-10	VYDAJ	PREVOD NA UCET	741	15031	SIPO	WX	59047102
592342	2016	1998-10-10	VYDAJ	PREVOD NA UCET	741	17361	SIPO	WX	59047102
592343	2016	1998-11-10	VYDAJ	PREVOD NA UCET	741	18897	SIPO	WX	59047102
592344	2016	1998-12-10	VYDAJ	PREVOD NA UCET	741	18900	SIPO	WX	59047102
592351	2016	1997-07-11	VYDAJ	PREVOD NA UCET	1069	26586	 	KL	14798927
592352	2016	1997-08-11	VYDAJ	PREVOD NA UCET	1069	21489	 	KL	14798927
592353	2016	1997-09-11	VYDAJ	PREVOD NA UCET	1069	22469	 	KL	14798927
592354	2016	1997-10-11	VYDAJ	PREVOD NA UCET	1069	20627	 	KL	14798927
592355	2016	1997-11-11	VYDAJ	PREVOD NA UCET	1069	20181	 	KL	14798927
592356	2016	1997-12-11	VYDAJ	PREVOD NA UCET	1069	18529	 	KL	14798927
592357	2016	1998-01-11	VYDAJ	PREVOD NA UCET	1069	19846	 	KL	14798927
592358	2016	1998-02-11	VYDAJ	PREVOD NA UCET	1069	18133	 	KL	14798927
592359	2016	1998-03-11	VYDAJ	PREVOD NA UCET	1069	23383	 	KL	14798927
592360	2016	1998-04-11	VYDAJ	PREVOD NA UCET	1069	26551	 	KL	14798927
592361	2016	1998-05-11	VYDAJ	PREVOD NA UCET	1069	25388	 	KL	14798927
592362	2016	1998-06-11	VYDAJ	PREVOD NA UCET	1069	26965	 	KL	14798927
592363	2016	1998-07-11	VYDAJ	PREVOD NA UCET	1069	19623	 	KL	14798927
592364	2016	1998-08-11	VYDAJ	PREVOD NA UCET	1069	15564	 	KL	14798927
592365	2016	1998-09-11	VYDAJ	PREVOD NA UCET	1069	13962	 	KL	14798927
592366	2016	1998-10-11	VYDAJ	PREVOD NA UCET	1069	16292	 	KL	14798927
592367	2016	1998-11-11	VYDAJ	PREVOD NA UCET	1069	17828	 	KL	14798927
592368	2016	1998-12-11	VYDAJ	PREVOD NA UCET	1069	17831	 	KL	14798927
592375	2016	1997-07-13	VYDAJ	PREVOD NA UCET	157	26429	POJISTNE	ST	81232386
592376	2016	1997-08-13	VYDAJ	PREVOD NA UCET	157	21332	POJISTNE	ST	81232386
592377	2016	1997-09-13	VYDAJ	PREVOD NA UCET	157	22312	POJISTNE	ST	81232386
592378	2016	1997-10-13	VYDAJ	PREVOD NA UCET	157	20470	POJISTNE	ST	81232386
592379	2016	1997-11-13	VYDAJ	PREVOD NA UCET	157	20024	POJISTNE	ST	81232386
592380	2016	1997-12-13	VYDAJ	PREVOD NA UCET	157	18372	POJISTNE	ST	81232386
592381	2016	1998-01-13	VYDAJ	PREVOD NA UCET	157	19509	POJISTNE	ST	81232386
592382	2016	1998-02-13	VYDAJ	PREVOD NA UCET	157	17976	POJISTNE	ST	81232386
592383	2016	1998-03-13	VYDAJ	PREVOD NA UCET	157	23226	POJISTNE	ST	81232386
592384	2016	1998-04-13	VYDAJ	PREVOD NA UCET	157	26394	POJISTNE	ST	81232386
592385	2016	1998-05-13	VYDAJ	PREVOD NA UCET	157	25231	POJISTNE	ST	81232386
592386	2016	1998-06-13	VYDAJ	PREVOD NA UCET	157	26808	POJISTNE	ST	81232386
592387	2016	1998-07-13	VYDAJ	PREVOD NA UCET	157	19466	POJISTNE	ST	81232386
592388	2016	1998-08-13	VYDAJ	PREVOD NA UCET	157	15407	POJISTNE	ST	81232386
592521	2017	1998-04-13	PRIJEM	VKLAD	4007	25648	\N	\N	\N
592389	2016	1998-09-13	VYDAJ	PREVOD NA UCET	157	13805	POJISTNE	ST	81232386
592390	2016	1998-10-13	VYDAJ	PREVOD NA UCET	157	16135	POJISTNE	ST	81232386
592391	2016	1998-11-13	VYDAJ	PREVOD NA UCET	157	17671	POJISTNE	ST	81232386
592392	2016	1998-12-13	VYDAJ	PREVOD NA UCET	157	17674	POJISTNE	ST	81232386
592394	2016	1998-06-25	VYDAJ	VYBER	2610	18998	\N	\N	\N
592396	2016	1998-01-14	VYDAJ	VYBER	1920	17589	\N	\N	\N
592397	2016	1997-12-28	VYDAJ	VYBER	540	19332	\N	\N	\N
592398	2016	1998-12-01	VYDAJ	VYBER	450	17980	\N	\N	\N
592405	2016	1998-01-26	VYDAJ	VYBER	570	17409	\N	\N	\N
592406	2016	1998-01-18	VYDAJ	VYBER	480	15579	\N	\N	\N
592407	2016	1998-01-16	VYDAJ	VYBER	690	16059	\N	\N	\N
592408	2016	1998-01-30	VYDAJ	VYBER	480	16929	\N	\N	\N
592409	2016	1998-01-05	VYDAJ	VYBER	690	18705	\N	\N	\N
592410	2016	1998-01-16	VYDAJ	VYBER	840	16749	\N	\N	\N
592411	2016	1997-08-08	VYDAJ	VYBER	1470	23299	\N	\N	\N
592412	2016	1997-10-25	VYDAJ	VYBER	1290	19480	\N	\N	\N
592414	2016	1997-09-14	VYDAJ	VYBER	330	21982	\N	\N	\N
592415	2016	1997-10-07	VYDAJ	VYBER	570	19486	\N	\N	\N
592416	2016	1997-08-30	VYDAJ	VYBER	240	21252	\N	\N	\N
592417	2016	1997-08-22	VYDAJ	VYBER	1140	21492	\N	\N	\N
592419	2016	1997-11-09	VYDAJ	VYBER	510	21991	\N	\N	\N
592420	2016	1998-09-03	VYDAJ	VYBER	330	12821	\N	\N	\N
592422	2016	1998-07-03	VYDAJ	VYBER	600	18482	\N	\N	\N
592423	2016	1998-05-03	VYDAJ	VYBER	1440	24247	\N	\N	\N
592424	2016	1998-12-08	VYDAJ	VYBER	1290	19641	\N	\N	\N
592425	2016	1998-01-13	VYDAJ	VYBER	180	19666	\N	\N	\N
592433	2016	1997-07-31	VYDAJ	VYBER	15	21818	SLUZBY	\N	\N
592434	2016	1997-08-31	VYDAJ	VYBER	15	21328	SLUZBY	\N	\N
592435	2016	1997-09-30	VYDAJ	VYBER	15	20056	SLUZBY	\N	\N
592436	2016	1997-10-31	VYDAJ	VYBER	15	19550	SLUZBY	\N	\N
592437	2016	1997-11-30	VYDAJ	VYBER	15	17388	SLUZBY	\N	\N
592438	2016	1997-12-31	VYDAJ	VYBER	15	19395	SLUZBY	\N	\N
592439	2016	1998-01-31	VYDAJ	VYBER	15	16992	SLUZBY	\N	\N
592440	2016	1998-02-28	VYDAJ	VYBER	15	22242	SLUZBY	\N	\N
592441	2016	1998-03-31	VYDAJ	VYBER	15	25410	SLUZBY	\N	\N
592442	2016	1998-04-30	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
592443	2016	1998-05-31	VYDAJ	VYBER	15	25824	SLUZBY	\N	\N
592444	2016	1998-06-30	VYDAJ	VYBER	15	19082	SLUZBY	\N	\N
592445	2016	1998-07-31	VYDAJ	VYBER	15	14423	SLUZBY	\N	\N
592446	2016	1998-08-31	VYDAJ	VYBER	15	13151	SLUZBY	\N	\N
592447	2016	1998-09-30	VYDAJ	VYBER	15	15151	SLUZBY	\N	\N
592448	2016	1998-10-31	VYDAJ	VYBER	15	16687	SLUZBY	\N	\N
592449	2016	1998-11-30	VYDAJ	VYBER	15	18430	SLUZBY	\N	\N
592450	2016	1997-03-25	PRIJEM	VKLAD	9000	12751	\N	\N	\N
592451	2016	1997-04-24	PRIJEM	VKLAD	2600	18314	\N	\N	\N
592452	2016	1997-05-24	VYDAJ	VYBER	600	20724	\N	\N	\N
592453	2016	1997-06-23	PRIJEM	VKLAD	1600	25353	\N	\N	\N
592454	2016	1997-07-23	VYDAJ	VYBER	4700	21729	\N	\N	\N
592455	2016	1997-08-22	PRIJEM	VKLAD	1300	22632	\N	\N	\N
592456	2016	1997-09-21	VYDAJ	VYBER	2000	19982	\N	\N	\N
592457	2016	1997-10-21	PRIJEM	VKLAD	300	20770	\N	\N	\N
592458	2016	1997-11-20	VYDAJ	VYBER	2700	17324	\N	\N	\N
592459	2016	1997-12-20	PRIJEM	VKLAD	1500	19872	\N	\N	\N
592460	2016	1998-01-19	PRIJEM	VKLAD	2400	17979	\N	\N	\N
592461	2016	1998-02-18	PRIJEM	VKLAD	4200	22176	\N	\N	\N
592462	2016	1998-03-20	PRIJEM	VKLAD	2100	25326	\N	\N	\N
592463	2016	1998-04-19	VYDAJ	VYBER	800	25594	\N	\N	\N
592464	2016	1998-05-19	PRIJEM	VKLAD	500	25731	\N	\N	\N
592465	2016	1998-06-18	VYDAJ	VYBER	5200	21608	\N	\N	\N
592466	2016	1998-07-18	VYDAJ	VYBER	5100	14366	\N	\N	\N
592467	2016	1998-08-17	VYDAJ	VYBER	2300	13107	\N	\N	\N
592468	2016	1998-09-16	PRIJEM	VKLAD	1300	15105	\N	\N	\N
592469	2016	1998-10-16	PRIJEM	VKLAD	500	16635	\N	\N	\N
592470	2016	1998-11-15	PRIJEM	VKLAD	700	18371	\N	\N	\N
592493	2017	1996-02-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
592496	2017	1996-03-13	PRIJEM	VKLAD	4007	5107	\N	\N	\N
592497	2017	1996-04-13	PRIJEM	VKLAD	4007	17833	\N	\N	\N
592498	2017	1996-05-13	PRIJEM	VKLAD	4007	22504	\N	\N	\N
592499	2017	1996-06-13	PRIJEM	VKLAD	6010	25792	\N	\N	\N
592500	2017	1996-07-13	PRIJEM	VKLAD	4007	27888	\N	\N	\N
592501	2017	1996-08-13	PRIJEM	VKLAD	4007	24807	\N	\N	\N
592502	2017	1996-09-13	PRIJEM	VKLAD	4007	24326	\N	\N	\N
592503	2017	1996-10-13	PRIJEM	VKLAD	4007	26247	\N	\N	\N
592504	2017	1996-11-13	PRIJEM	VKLAD	4007	25971	\N	\N	\N
592505	2017	1996-12-13	PRIJEM	VKLAD	6010	30603	\N	\N	\N
592506	2017	1997-01-13	PRIJEM	VKLAD	4007	25047	\N	\N	\N
592507	2017	1997-02-13	PRIJEM	VKLAD	4007	18471	\N	\N	\N
592508	2017	1997-03-13	PRIJEM	VKLAD	4007	24175	\N	\N	\N
592509	2017	1997-04-13	PRIJEM	VKLAD	4007	22989	\N	\N	\N
592510	2017	1997-05-13	PRIJEM	VKLAD	4007	25204	\N	\N	\N
592511	2017	1997-06-13	PRIJEM	VKLAD	6010	31036	\N	\N	\N
592512	2017	1997-07-13	PRIJEM	VKLAD	4007	27669	\N	\N	\N
592513	2017	1997-08-13	PRIJEM	VKLAD	4007	30907	\N	\N	\N
592514	2017	1997-09-13	PRIJEM	VKLAD	4007	25036	\N	\N	\N
592515	2017	1997-10-13	PRIJEM	VKLAD	4007	22448	\N	\N	\N
592516	2017	1997-11-13	PRIJEM	VKLAD	4007	27062	\N	\N	\N
592517	2017	1997-12-13	PRIJEM	VKLAD	6010	27992	\N	\N	\N
592518	2017	1998-01-13	PRIJEM	VKLAD	4007	23926	\N	\N	\N
592519	2017	1998-02-13	PRIJEM	VKLAD	4007	19936	\N	\N	\N
592520	2017	1998-03-13	PRIJEM	VKLAD	4007	26232	\N	\N	\N
592522	2017	1998-05-13	PRIJEM	VKLAD	4007	26273	\N	\N	\N
592523	2017	1998-06-13	PRIJEM	VKLAD	6010	24703	\N	\N	\N
592524	2017	1998-07-13	PRIJEM	VKLAD	4007	23919	\N	\N	\N
592525	2017	1998-08-13	PRIJEM	VKLAD	4007	21625	\N	\N	\N
592526	2017	1998-09-13	PRIJEM	VKLAD	4007	19631	\N	\N	\N
592527	2017	1998-10-13	PRIJEM	VKLAD	4007	19935	\N	\N	\N
592528	2017	1998-11-13	PRIJEM	VKLAD	4007	13535	\N	\N	\N
592529	2017	1998-12-13	PRIJEM	VKLAD	6010	18017	\N	\N	\N
592537	2017	1996-08-11	VYDAJ	PREVOD NA UCET	1855	20800	SIPO	UV	15796089
592538	2017	1996-09-11	VYDAJ	PREVOD NA UCET	1855	20319	SIPO	UV	15796089
592539	2017	1996-10-11	VYDAJ	PREVOD NA UCET	1855	22240	SIPO	UV	15796089
592540	2017	1996-11-11	VYDAJ	PREVOD NA UCET	1855	21964	SIPO	UV	15796089
592541	2017	1996-12-11	VYDAJ	PREVOD NA UCET	1855	24593	SIPO	UV	15796089
592542	2017	1997-01-11	VYDAJ	PREVOD NA UCET	1855	21040	SIPO	UV	15796089
592543	2017	1997-02-11	VYDAJ	PREVOD NA UCET	1855	14464	SIPO	UV	15796089
592544	2017	1997-03-11	VYDAJ	PREVOD NA UCET	1855	20168	SIPO	UV	15796089
592545	2017	1997-04-11	VYDAJ	PREVOD NA UCET	1855	18982	SIPO	UV	15796089
592546	2017	1997-05-11	VYDAJ	PREVOD NA UCET	1855	21197	SIPO	UV	15796089
592547	2017	1997-06-11	VYDAJ	PREVOD NA UCET	1855	25026	SIPO	UV	15796089
592548	2017	1997-07-11	VYDAJ	PREVOD NA UCET	1855	23662	SIPO	UV	15796089
592549	2017	1997-08-11	VYDAJ	PREVOD NA UCET	1855	26900	SIPO	UV	15796089
592550	2017	1997-09-11	VYDAJ	PREVOD NA UCET	1855	20629	SIPO	UV	15796089
592551	2017	1997-10-11	VYDAJ	PREVOD NA UCET	1855	18441	SIPO	UV	15796089
592552	2017	1997-11-11	VYDAJ	PREVOD NA UCET	1855	20255	SIPO	UV	15796089
592553	2017	1997-12-11	VYDAJ	PREVOD NA UCET	1855	22782	SIPO	UV	15796089
592554	2017	1998-01-11	VYDAJ	PREVOD NA UCET	1855	19919	SIPO	UV	15796089
592555	2017	1998-02-11	VYDAJ	PREVOD NA UCET	1855	15929	SIPO	UV	15796089
592556	2017	1998-03-11	VYDAJ	PREVOD NA UCET	1855	17325	SIPO	UV	15796089
592557	2017	1998-04-11	VYDAJ	PREVOD NA UCET	1855	21941	SIPO	UV	15796089
592558	2017	1998-05-11	VYDAJ	PREVOD NA UCET	1855	22266	SIPO	UV	15796089
592559	2017	1998-06-11	VYDAJ	PREVOD NA UCET	1855	18693	SIPO	UV	15796089
592560	2017	1998-07-11	VYDAJ	PREVOD NA UCET	1855	19912	SIPO	UV	15796089
592561	2017	1998-08-11	VYDAJ	PREVOD NA UCET	1855	17618	SIPO	UV	15796089
592562	2017	1998-09-11	VYDAJ	PREVOD NA UCET	1855	15624	SIPO	UV	15796089
592563	2017	1998-10-11	VYDAJ	PREVOD NA UCET	1855	15928	SIPO	UV	15796089
592564	2017	1998-11-11	VYDAJ	PREVOD NA UCET	1855	9528	SIPO	UV	15796089
592565	2017	1998-12-11	VYDAJ	PREVOD NA UCET	1855	12007	SIPO	UV	15796089
592573	2017	1996-08-09	VYDAJ	PREVOD NA UCET	816	22655	 	IJ	86340266
592574	2017	1996-09-09	VYDAJ	PREVOD NA UCET	816	22174	 	IJ	86340266
592575	2017	1996-10-09	VYDAJ	PREVOD NA UCET	816	24095	 	IJ	86340266
592576	2017	1996-11-09	VYDAJ	PREVOD NA UCET	816	23819	 	IJ	86340266
592577	2017	1996-12-09	VYDAJ	PREVOD NA UCET	816	26448	 	IJ	86340266
592578	2017	1997-01-09	VYDAJ	PREVOD NA UCET	816	26095	 	IJ	86340266
592579	2017	1997-02-09	VYDAJ	PREVOD NA UCET	816	16319	 	IJ	86340266
592580	2017	1997-03-09	VYDAJ	PREVOD NA UCET	816	22023	 	IJ	86340266
592581	2017	1997-04-09	VYDAJ	PREVOD NA UCET	816	20837	 	IJ	86340266
592582	2017	1997-05-09	VYDAJ	PREVOD NA UCET	816	23052	 	IJ	86340266
592583	2017	1997-06-09	VYDAJ	PREVOD NA UCET	816	26881	 	IJ	86340266
592584	2017	1997-07-09	VYDAJ	PREVOD NA UCET	816	25517	 	IJ	86340266
592585	2017	1997-08-09	VYDAJ	PREVOD NA UCET	816	28755	 	IJ	86340266
592586	2017	1997-09-09	VYDAJ	PREVOD NA UCET	816	22484	 	IJ	86340266
592587	2017	1997-10-09	VYDAJ	PREVOD NA UCET	816	20296	 	IJ	86340266
592588	2017	1997-11-09	VYDAJ	PREVOD NA UCET	816	22110	 	IJ	86340266
592589	2017	1997-12-09	VYDAJ	PREVOD NA UCET	816	24637	 	IJ	86340266
592590	2017	1998-01-09	VYDAJ	PREVOD NA UCET	816	18774	 	IJ	86340266
592591	2017	1998-02-09	VYDAJ	PREVOD NA UCET	816	13884	 	IJ	86340266
592592	2017	1998-03-09	VYDAJ	PREVOD NA UCET	816	19180	 	IJ	86340266
592593	2017	1998-04-09	VYDAJ	PREVOD NA UCET	816	23796	 	IJ	86340266
592594	2017	1998-05-09	VYDAJ	PREVOD NA UCET	816	21421	 	IJ	86340266
592595	2017	1998-06-09	VYDAJ	PREVOD NA UCET	816	25548	 	IJ	86340266
592596	2017	1998-07-09	VYDAJ	PREVOD NA UCET	816	18467	 	IJ	86340266
592597	2017	1998-08-09	VYDAJ	PREVOD NA UCET	816	19473	 	IJ	86340266
592598	2017	1998-09-09	VYDAJ	PREVOD NA UCET	816	17479	 	IJ	86340266
592599	2017	1998-10-09	VYDAJ	PREVOD NA UCET	816	17783	 	IJ	86340266
592600	2017	1998-11-09	VYDAJ	PREVOD NA UCET	816	11383	 	IJ	86340266
592601	2017	1998-12-09	VYDAJ	PREVOD NA UCET	816	13862	 	IJ	86340266
592603	2017	1997-06-15	VYDAJ	VYBER	8900	26236	\N	\N	\N
592604	2017	1998-06-21	VYDAJ	VYBER	5500	19203	\N	\N	\N
592606	2017	1997-01-29	VYDAJ	VYBER	3500	17047	\N	\N	\N
592607	2017	1998-01-05	VYDAJ	VYBER	7700	19590	\N	\N	\N
592608	2017	1996-12-26	VYDAJ	VYBER	2500	29703	\N	\N	\N
592609	2017	1997-12-02	VYDAJ	VYBER	500	26653	\N	\N	\N
592610	2017	1998-12-14	VYDAJ	VYBER	2700	15317	\N	\N	\N
592617	2017	1997-01-08	VYDAJ	VYBER	2900	26911	\N	\N	\N
592618	2017	1997-01-10	VYDAJ	VYBER	900	25195	\N	\N	\N
592619	2017	1997-01-18	VYDAJ	VYBER	1400	24247	\N	\N	\N
592620	2017	1997-01-10	VYDAJ	VYBER	2300	22895	\N	\N	\N
592621	2017	1997-01-27	VYDAJ	VYBER	2200	20547	\N	\N	\N
592622	2017	1997-01-21	VYDAJ	VYBER	1500	22747	\N	\N	\N
592623	2017	1998-01-16	VYDAJ	VYBER	2000	20126	\N	\N	\N
592624	2017	1998-01-29	VYDAJ	VYBER	1600	14626	\N	\N	\N
592625	2017	1998-01-05	VYDAJ	VYBER	800	27290	\N	\N	\N
592626	2017	1998-01-21	VYDAJ	VYBER	1100	19026	\N	\N	\N
592627	2017	1998-01-15	VYDAJ	VYBER	1800	22126	\N	\N	\N
592628	2017	1998-01-26	VYDAJ	VYBER	2800	16226	\N	\N	\N
592632	2017	1997-08-15	VYDAJ	VYBER	4300	23207	\N	\N	\N
592633	2017	1997-09-22	VYDAJ	VYBER	4000	21036	\N	\N	\N
592634	2017	1997-10-24	VYDAJ	VYBER	900	22848	\N	\N	\N
592635	2017	1997-04-13	VYDAJ	VYBER	700	22289	\N	\N	\N
592636	2017	1997-12-07	VYDAJ	VYBER	1200	25453	\N	\N	\N
592637	2017	1998-07-19	VYDAJ	VYBER	4300	19619	\N	\N	\N
592638	2017	1998-07-24	VYDAJ	VYBER	600	19019	\N	\N	\N
592639	2017	1998-12-16	VYDAJ	VYBER	1400	13917	\N	\N	\N
592640	2017	1998-03-14	VYDAJ	VYBER	1700	24532	\N	\N	\N
592642	2017	1998-05-05	VYDAJ	VYBER	3500	22237	\N	\N	\N
592643	2017	1998-10-30	VYDAJ	VYBER	3700	16235	\N	\N	\N
592651	2017	1996-07-31	VYDAJ	VYBER	15	23471	SLUZBY	\N	\N
592652	2017	1996-08-31	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
592653	2017	1996-09-30	VYDAJ	VYBER	15	24911	SLUZBY	\N	\N
592654	2017	1996-10-31	VYDAJ	VYBER	15	24635	SLUZBY	\N	\N
592655	2017	1996-11-30	VYDAJ	VYBER	15	27264	SLUZBY	\N	\N
592656	2017	1996-12-31	VYDAJ	VYBER	15	29811	SLUZBY	\N	\N
592657	2017	1997-01-31	VYDAJ	VYBER	15	17135	SLUZBY	\N	\N
592658	2017	1997-02-28	VYDAJ	VYBER	15	22839	SLUZBY	\N	\N
592659	2017	1997-03-31	VYDAJ	VYBER	15	21653	SLUZBY	\N	\N
592660	2017	1997-04-30	VYDAJ	VYBER	15	23868	SLUZBY	\N	\N
592661	2017	1997-05-31	VYDAJ	VYBER	15	27697	SLUZBY	\N	\N
592662	2017	1997-06-30	VYDAJ	VYBER	15	26333	SLUZBY	\N	\N
592663	2017	1997-07-31	VYDAJ	VYBER	15	29571	SLUZBY	\N	\N
592664	2017	1997-08-31	VYDAJ	VYBER	15	23300	SLUZBY	\N	\N
592665	2017	1997-09-30	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
592666	2017	1997-10-31	VYDAJ	VYBER	15	22926	SLUZBY	\N	\N
592667	2017	1997-11-30	VYDAJ	VYBER	15	27153	SLUZBY	\N	\N
592668	2017	1997-12-31	VYDAJ	VYBER	15	28090	SLUZBY	\N	\N
592669	2017	1998-01-31	VYDAJ	VYBER	15	14700	SLUZBY	\N	\N
592670	2017	1998-02-28	VYDAJ	VYBER	15	19996	SLUZBY	\N	\N
592671	2017	1998-03-31	VYDAJ	VYBER	15	24612	SLUZBY	\N	\N
592672	2017	1998-04-30	VYDAJ	VYBER	15	25737	SLUZBY	\N	\N
592673	2017	1998-05-31	VYDAJ	VYBER	15	26364	SLUZBY	\N	\N
592674	2017	1998-06-30	VYDAJ	VYBER	15	19283	SLUZBY	\N	\N
592675	2017	1998-07-31	VYDAJ	VYBER	15	19089	SLUZBY	\N	\N
592676	2017	1998-08-31	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
592677	2017	1998-09-30	VYDAJ	VYBER	15	19699	SLUZBY	\N	\N
592678	2017	1998-10-31	VYDAJ	VYBER	15	16299	SLUZBY	\N	\N
592679	2017	1998-11-30	VYDAJ	VYBER	15	13578	SLUZBY	\N	\N
592680	2017	1996-03-22	PRIJEM	VKLAD	8700	13807	\N	\N	\N
592681	2017	1996-04-21	PRIJEM	VKLAD	600	18433	\N	\N	\N
592682	2017	1996-05-21	VYDAJ	VYBER	2800	19704	\N	\N	\N
592683	2017	1996-06-20	VYDAJ	VYBER	2000	23792	\N	\N	\N
592684	2017	1996-07-20	VYDAJ	VYBER	4500	23388	\N	\N	\N
592685	2017	1996-08-19	VYDAJ	VYBER	1900	22907	\N	\N	\N
592686	2017	1996-09-18	PRIJEM	VKLAD	500	24826	\N	\N	\N
592687	2017	1996-10-18	VYDAJ	VYBER	1700	24547	\N	\N	\N
592688	2017	1996-11-17	PRIJEM	VKLAD	1200	27171	\N	\N	\N
592689	2017	1996-12-17	PRIJEM	VKLAD	1600	32203	\N	\N	\N
592690	2017	1997-01-16	PRIJEM	VKLAD	600	25647	\N	\N	\N
592691	2017	1997-02-15	PRIJEM	VKLAD	4300	22771	\N	\N	\N
592692	2017	1997-03-17	VYDAJ	VYBER	2600	21575	\N	\N	\N
592693	2017	1997-04-16	PRIJEM	VKLAD	1500	23789	\N	\N	\N
592694	2017	1997-05-16	PRIJEM	VKLAD	2400	27604	\N	\N	\N
592695	2017	1997-06-15	PRIJEM	VKLAD	4100	35136	\N	\N	\N
592696	2017	1997-07-15	PRIJEM	VKLAD	1800	29469	\N	\N	\N
592697	2017	1997-08-14	VYDAJ	VYBER	3400	27507	\N	\N	\N
592698	2017	1997-09-13	PRIJEM	VKLAD	400	21029	\N	\N	\N
592699	2017	1997-10-13	PRIJEM	VKLAD	1300	23748	\N	\N	\N
592700	2017	1997-11-12	PRIJEM	VKLAD	2800	23055	\N	\N	\N
592701	2017	1997-12-12	VYDAJ	VYBER	800	21982	\N	\N	\N
592702	2017	1998-01-11	PRIJEM	VKLAD	3000	21774	\N	\N	\N
592703	2017	1998-02-10	PRIJEM	VKLAD	3900	17784	\N	\N	\N
592704	2017	1998-03-12	PRIJEM	VKLAD	4900	22225	\N	\N	\N
592705	2017	1998-04-11	VYDAJ	VYBER	300	21641	\N	\N	\N
592706	2017	1998-05-11	PRIJEM	VKLAD	2700	24121	\N	\N	\N
592707	2017	1998-06-10	VYDAJ	VYBER	5000	20548	\N	\N	\N
592708	2017	1998-07-10	PRIJEM	VKLAD	3300	21767	\N	\N	\N
592709	2017	1998-08-09	PRIJEM	VKLAD	1200	20289	\N	\N	\N
592710	2017	1998-09-08	VYDAJ	VYBER	3400	18295	\N	\N	\N
592711	2017	1998-10-08	VYDAJ	VYBER	1100	18599	\N	\N	\N
592712	2017	1998-11-07	VYDAJ	VYBER	4100	12199	\N	\N	\N
592713	2017	1998-12-07	PRIJEM	VKLAD	1100	14678	\N	\N	\N
592748	2018	1995-06-04	PRIJEM	VKLAD	900	900	\N	\N	\N
592754	2018	1995-06-13	PRIJEM	VKLAD	7010	7910	\N	\N	\N
592755	2018	1995-07-13	PRIJEM	VKLAD	4673	21403	\N	\N	\N
592756	2018	1995-08-13	PRIJEM	VKLAD	4673	26243	\N	\N	\N
592757	2018	1995-09-13	PRIJEM	VKLAD	4673	27018	\N	\N	\N
592758	2018	1995-10-13	PRIJEM	VKLAD	4673	31302	\N	\N	\N
592759	2018	1995-11-13	PRIJEM	VKLAD	4673	23961	\N	\N	\N
592760	2018	1995-12-13	PRIJEM	VKLAD	7010	23772	\N	\N	\N
592761	2018	1996-01-13	PRIJEM	VKLAD	4673	15619	\N	\N	\N
592762	2018	1996-02-13	PRIJEM	VKLAD	4673	21319	\N	\N	\N
592763	2018	1996-03-13	PRIJEM	VKLAD	4673	20735	\N	\N	\N
592764	2018	1996-04-13	PRIJEM	VKLAD	4673	24646	\N	\N	\N
592765	2018	1996-05-13	PRIJEM	VKLAD	4673	20971	\N	\N	\N
592766	2018	1996-06-13	PRIJEM	VKLAD	7010	21744	\N	\N	\N
592767	2018	1996-07-13	PRIJEM	VKLAD	4673	25466	\N	\N	\N
592768	2018	1996-08-13	PRIJEM	VKLAD	4673	23503	\N	\N	\N
592769	2018	1996-09-13	PRIJEM	VKLAD	4673	25832	\N	\N	\N
592770	2018	1996-10-13	PRIJEM	VKLAD	4673	27674	\N	\N	\N
592771	2018	1996-11-13	PRIJEM	VKLAD	4673	24720	\N	\N	\N
592772	2018	1996-12-13	PRIJEM	VKLAD	7010	20352	\N	\N	\N
592773	2018	1997-01-13	PRIJEM	VKLAD	4673	22029	\N	\N	\N
592774	2018	1997-02-13	PRIJEM	VKLAD	4673	20022	\N	\N	\N
592775	2018	1997-03-13	PRIJEM	VKLAD	4673	20130	\N	\N	\N
592776	2018	1997-04-13	PRIJEM	VKLAD	4673	17736	\N	\N	\N
592777	2018	1997-05-13	PRIJEM	VKLAD	4673	16333	\N	\N	\N
592778	2018	1997-06-13	PRIJEM	VKLAD	7010	19062	\N	\N	\N
592779	2018	1997-07-13	PRIJEM	VKLAD	4673	17961	\N	\N	\N
592780	2018	1997-08-13	PRIJEM	VKLAD	4673	17159	\N	\N	\N
592781	2018	1997-09-13	PRIJEM	VKLAD	4673	15553	\N	\N	\N
592782	2018	1997-10-13	PRIJEM	VKLAD	4673	13940	\N	\N	\N
592783	2018	1997-11-13	PRIJEM	VKLAD	4673	12320	\N	\N	\N
592784	2018	1997-12-13	PRIJEM	VKLAD	7010	13030	\N	\N	\N
592785	2018	1998-01-13	PRIJEM	VKLAD	4673	11402	\N	\N	\N
592786	2018	1998-02-13	PRIJEM	VKLAD	4673	12981	\N	\N	\N
592787	2018	1998-03-13	PRIJEM	VKLAD	4673	12261	\N	\N	\N
592788	2018	1998-04-13	PRIJEM	VKLAD	4673	19055	\N	\N	\N
592789	2018	1998-05-13	PRIJEM	VKLAD	4673	23871	\N	\N	\N
592790	2018	1998-06-13	PRIJEM	VKLAD	7010	25929	\N	\N	\N
592791	2018	1998-07-13	PRIJEM	VKLAD	4673	23148	\N	\N	\N
592792	2018	1998-08-13	PRIJEM	VKLAD	4673	18965	\N	\N	\N
592793	2018	1998-09-13	PRIJEM	VKLAD	4673	20576	\N	\N	\N
592794	2018	1998-10-13	PRIJEM	VKLAD	4673	18481	\N	\N	\N
592795	2018	1998-11-13	PRIJEM	VKLAD	4673	20887	\N	\N	\N
592796	2018	1998-12-13	PRIJEM	VKLAD	7010	24658	\N	\N	\N
592806	2018	1995-10-14	VYDAJ	PREVOD NA UCET	3115	28187	SIPO	WX	36951273
592807	2018	1995-11-14	VYDAJ	PREVOD NA UCET	3115	20846	SIPO	WX	36951273
592808	2018	1995-12-14	VYDAJ	PREVOD NA UCET	3115	20657	SIPO	WX	36951273
592809	2018	1996-01-14	VYDAJ	PREVOD NA UCET	3115	12504	SIPO	WX	36951273
592810	2018	1996-02-14	VYDAJ	PREVOD NA UCET	3115	18204	SIPO	WX	36951273
592811	2018	1996-03-14	VYDAJ	PREVOD NA UCET	3115	17620	SIPO	WX	36951273
592812	2018	1996-04-14	VYDAJ	PREVOD NA UCET	3115	21531	SIPO	WX	36951273
592813	2018	1996-05-14	VYDAJ	PREVOD NA UCET	3115	17856	SIPO	WX	36951273
592814	2018	1996-06-14	VYDAJ	PREVOD NA UCET	3115	18629	SIPO	WX	36951273
592815	2018	1996-07-14	VYDAJ	PREVOD NA UCET	3115	22351	SIPO	WX	36951273
592816	2018	1996-08-14	VYDAJ	PREVOD NA UCET	3115	20388	SIPO	WX	36951273
592817	2018	1996-09-14	VYDAJ	PREVOD NA UCET	3115	22717	SIPO	WX	36951273
592818	2018	1996-10-14	VYDAJ	PREVOD NA UCET	3115	24559	SIPO	WX	36951273
592819	2018	1996-11-14	VYDAJ	PREVOD NA UCET	3115	21605	SIPO	WX	36951273
592820	2018	1996-12-14	VYDAJ	PREVOD NA UCET	3115	17237	SIPO	WX	36951273
592821	2018	1997-01-14	VYDAJ	PREVOD NA UCET	3115	18914	SIPO	WX	36951273
592822	2018	1997-02-14	VYDAJ	PREVOD NA UCET	3115	16907	SIPO	WX	36951273
592823	2018	1997-03-14	VYDAJ	PREVOD NA UCET	3115	17015	SIPO	WX	36951273
592824	2018	1997-04-14	VYDAJ	PREVOD NA UCET	3115	14621	SIPO	WX	36951273
592825	2018	1997-05-14	VYDAJ	PREVOD NA UCET	3115	13218	SIPO	WX	36951273
592826	2018	1997-06-14	VYDAJ	PREVOD NA UCET	3115	15947	SIPO	WX	36951273
592827	2018	1997-07-14	VYDAJ	PREVOD NA UCET	3115	14846	SIPO	WX	36951273
592828	2018	1997-08-14	VYDAJ	PREVOD NA UCET	3115	14044	SIPO	WX	36951273
592829	2018	1997-09-14	VYDAJ	PREVOD NA UCET	3115	12438	SIPO	WX	36951273
592830	2018	1997-10-14	VYDAJ	PREVOD NA UCET	3115	10825	SIPO	WX	36951273
592831	2018	1997-11-14	VYDAJ	PREVOD NA UCET	3115	9205	SIPO	WX	36951273
592832	2018	1997-12-14	VYDAJ	PREVOD NA UCET	3115	9915	SIPO	WX	36951273
592833	2018	1998-01-14	VYDAJ	PREVOD NA UCET	3115	8287	SIPO	WX	36951273
592834	2018	1998-02-14	VYDAJ	PREVOD NA UCET	3115	9866	SIPO	WX	36951273
592835	2018	1998-03-14	VYDAJ	PREVOD NA UCET	3115	9146	SIPO	WX	36951273
592836	2018	1998-04-14	VYDAJ	PREVOD NA UCET	3115	15940	SIPO	WX	36951273
592837	2018	1998-05-14	VYDAJ	PREVOD NA UCET	3115	20756	SIPO	WX	36951273
592838	2018	1998-06-14	VYDAJ	PREVOD NA UCET	3115	19414	SIPO	WX	36951273
592839	2018	1998-07-14	VYDAJ	PREVOD NA UCET	3115	20033	SIPO	WX	36951273
592840	2018	1998-08-14	VYDAJ	PREVOD NA UCET	3115	15850	SIPO	WX	36951273
592841	2018	1998-09-14	VYDAJ	PREVOD NA UCET	3115	17461	SIPO	WX	36951273
592842	2018	1998-10-14	VYDAJ	PREVOD NA UCET	3115	15366	SIPO	WX	36951273
592843	2018	1998-11-14	VYDAJ	PREVOD NA UCET	3115	17772	SIPO	WX	36951273
592844	2018	1998-12-14	VYDAJ	PREVOD NA UCET	3115	21543	SIPO	WX	36951273
592855	2018	1995-11-05	VYDAJ	VYBER	3600	19288	\N	\N	0
592856	2018	1995-12-01	VYDAJ	VYBER	3400	17722	\N	\N	0
592857	2018	1996-01-06	VYDAJ	VYBER	3000	13226	\N	\N	0
592858	2018	1996-02-29	VYDAJ	VYBER	3500	16077	\N	\N	0
592859	2018	1996-03-17	VYDAJ	VYBER	2300	15320	\N	\N	0
592860	2018	1996-04-18	VYDAJ	VYBER	2600	18931	\N	\N	0
592861	2018	1996-05-11	VYDAJ	VYBER	2700	16298	\N	\N	0
592862	2018	1996-06-10	VYDAJ	VYBER	3000	14734	\N	\N	0
592863	2018	1996-07-08	VYDAJ	VYBER	2100	20793	\N	\N	0
592864	2018	1996-08-20	VYDAJ	VYBER	2000	18388	\N	\N	0
592865	2018	1996-09-07	VYDAJ	VYBER	2800	21159	\N	\N	0
592866	2018	1996-10-08	VYDAJ	VYBER	1900	23001	\N	\N	0
592867	2018	1996-11-06	VYDAJ	VYBER	4100	20047	\N	\N	0
592868	2018	1996-12-07	VYDAJ	VYBER	4300	13342	\N	\N	0
592869	2018	1997-01-04	VYDAJ	VYBER	2800	18196	\N	\N	0
592870	2018	1997-02-12	VYDAJ	PREVOD NA UCET	3210	15349	UVER	ST	33088541
592871	2018	1997-03-12	VYDAJ	PREVOD NA UCET	3210	15457	UVER	ST	33088541
592872	2018	1997-04-12	VYDAJ	PREVOD NA UCET	3210	13063	UVER	ST	33088541
592873	2018	1997-05-12	VYDAJ	PREVOD NA UCET	3210	11660	UVER	ST	33088541
592874	2018	1997-06-12	VYDAJ	PREVOD NA UCET	3210	12052	UVER	ST	33088541
592875	2018	1997-07-12	VYDAJ	PREVOD NA UCET	3210	13288	UVER	ST	33088541
592876	2018	1997-08-12	VYDAJ	PREVOD NA UCET	3210	12486	UVER	ST	33088541
592877	2018	1997-09-12	VYDAJ	PREVOD NA UCET	3210	10880	UVER	ST	33088541
592878	2018	1997-10-12	VYDAJ	PREVOD NA UCET	3210	9267	UVER	ST	33088541
592879	2018	1997-11-12	VYDAJ	PREVOD NA UCET	3210	7647	UVER	ST	33088541
592880	2018	1997-12-12	VYDAJ	PREVOD NA UCET	3210	6020	UVER	ST	33088541
592881	2018	1998-01-12	VYDAJ	PREVOD NA UCET	3210	6729	UVER	ST	33088541
592883	2018	1998-03-11	VYDAJ	VYBER	2300	7588	\N	\N	0
592884	2018	1998-04-02	VYDAJ	VYBER	3000	14382	\N	\N	0
592885	2018	1998-05-17	VYDAJ	VYBER	2800	17956	\N	\N	0
592886	2018	1998-06-13	VYDAJ	VYBER	3400	22529	\N	\N	0
592887	2018	1998-07-14	VYDAJ	VYBER	3200	16833	\N	\N	0
592888	2018	1998-08-08	VYDAJ	VYBER	3900	14292	\N	\N	0
592889	2018	1998-09-20	VYDAJ	VYBER	3700	13761	\N	\N	0
592890	2018	1998-10-21	VYDAJ	VYBER	4200	16166	\N	\N	0
592891	2018	1998-11-16	VYDAJ	VYBER	3100	18872	\N	\N	0
592892	2018	1998-12-20	VYDAJ	VYBER	3500	18043	\N	\N	0
592897	2018	1995-12-10	VYDAJ	VYBER	960	16762	\N	\N	\N
592898	2018	1996-12-01	VYDAJ	VYBER	1440	17642	\N	\N	\N
592900	2018	1998-12-07	VYDAJ	VYBER	1280	17648	\N	\N	\N
592911	2018	1996-01-07	VYDAJ	VYBER	2280	10946	\N	\N	\N
592912	2018	1996-01-05	VYDAJ	VYBER	3120	16226	\N	\N	\N
592915	2018	1997-01-09	VYDAJ	VYBER	840	17356	\N	\N	\N
592916	2018	1997-01-14	VYDAJ	VYBER	2520	13994	\N	\N	\N
592918	2018	1997-01-14	VYDAJ	VYBER	2400	16514	\N	\N	\N
592925	2018	1995-12-24	VYDAJ	VYBER	1680	18977	\N	\N	\N
592930	2018	1996-08-08	VYDAJ	VYBER	1800	18830	\N	\N	\N
592932	2018	1996-05-16	VYDAJ	VYBER	2280	15576	\N	\N	\N
592956	2018	1995-10-31	VYDAJ	VYBER	15	28288	SLUZBY	\N	\N
592957	2018	1995-11-30	VYDAJ	VYBER	15	20922	SLUZBY	\N	\N
592958	2018	1995-12-31	VYDAJ	VYBER	15	19346	SLUZBY	\N	\N
592959	2018	1996-01-31	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
592960	2018	1996-02-29	VYDAJ	VYBER	15	16062	SLUZBY	\N	\N
592961	2018	1996-03-31	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
592962	2018	1996-04-30	VYDAJ	VYBER	15	18998	SLUZBY	\N	\N
592963	2018	1996-05-31	VYDAJ	VYBER	15	17734	SLUZBY	\N	\N
592964	2018	1996-06-30	VYDAJ	VYBER	15	22893	SLUZBY	\N	\N
592965	2018	1996-07-31	VYDAJ	VYBER	15	20630	SLUZBY	\N	\N
592966	2018	1996-08-31	VYDAJ	VYBER	15	23959	SLUZBY	\N	\N
592967	2018	1996-09-30	VYDAJ	VYBER	15	24901	SLUZBY	\N	\N
592968	2018	1996-10-31	VYDAJ	VYBER	15	24147	SLUZBY	\N	\N
592969	2018	1996-11-30	VYDAJ	VYBER	15	19082	SLUZBY	\N	\N
592970	2018	1996-12-31	VYDAJ	VYBER	15	20996	SLUZBY	\N	\N
592971	2018	1997-01-31	VYDAJ	VYBER	15	18559	SLUZBY	\N	\N
592972	2018	1997-02-28	VYDAJ	VYBER	15	18667	SLUZBY	\N	\N
592973	2018	1997-03-31	VYDAJ	VYBER	15	16273	SLUZBY	\N	\N
592974	2018	1997-04-30	VYDAJ	VYBER	15	14870	SLUZBY	\N	\N
592975	2018	1997-05-31	VYDAJ	VYBER	15	15262	SLUZBY	\N	\N
592976	2018	1997-06-30	VYDAJ	VYBER	15	16498	SLUZBY	\N	\N
592977	2018	1997-07-31	VYDAJ	VYBER	15	15696	SLUZBY	\N	\N
592978	2018	1997-08-31	VYDAJ	VYBER	15	14090	SLUZBY	\N	\N
592979	2018	1997-09-30	VYDAJ	VYBER	15	12477	SLUZBY	\N	\N
592980	2018	1997-10-31	VYDAJ	VYBER	15	10857	SLUZBY	\N	\N
592981	2018	1997-11-30	VYDAJ	VYBER	15	9230	SLUZBY	\N	\N
592982	2018	1997-12-31	VYDAJ	VYBER	15	9939	SLUZBY	\N	\N
592983	2018	1998-01-31	VYDAJ	VYBER	15	8308	SLUZBY	\N	\N
592984	2018	1998-02-28	VYDAJ	VYBER	15	9888	SLUZBY	\N	\N
592985	2018	1998-03-31	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
592986	2018	1998-04-30	VYDAJ	VYBER	15	19198	SLUZBY	\N	\N
592987	2018	1998-05-31	VYDAJ	VYBER	15	18919	SLUZBY	\N	\N
592988	2018	1998-06-30	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
592989	2018	1998-07-31	VYDAJ	VYBER	15	18192	SLUZBY	\N	\N
592990	2018	1998-08-31	VYDAJ	VYBER	15	15903	SLUZBY	\N	\N
592991	2018	1998-09-30	VYDAJ	VYBER	15	13808	SLUZBY	\N	\N
592992	2018	1998-10-31	VYDAJ	VYBER	15	16214	SLUZBY	\N	\N
592993	2018	1998-11-30	VYDAJ	VYBER	15	18928	SLUZBY	\N	\N
592994	2018	1995-07-04	PRIJEM	VKLAD	8800	16730	\N	\N	\N
592995	2018	1995-08-03	PRIJEM	VKLAD	100	21570	\N	\N	\N
592996	2018	1995-09-02	VYDAJ	VYBER	4000	22345	\N	\N	\N
592997	2018	1995-10-02	VYDAJ	VYBER	500	26629	\N	\N	\N
592998	2018	1995-11-01	VYDAJ	VYBER	5400	22888	\N	\N	\N
592999	2018	1995-12-01	PRIJEM	VKLAD	200	21122	\N	\N	\N
593000	2018	1995-12-31	PRIJEM	VKLAD	300	19277	\N	\N	\N
593001	2018	1996-01-30	PRIJEM	VKLAD	4100	16604	\N	\N	\N
593002	2018	1996-02-29	PRIJEM	VKLAD	1300	19504	\N	\N	\N
593003	2018	1996-03-30	PRIJEM	VKLAD	4600	19920	\N	\N	\N
593004	2018	1996-05-29	PRIJEM	VKLAD	2100	17676	\N	\N	\N
593005	2018	1996-06-28	PRIJEM	VKLAD	4200	22829	\N	\N	\N
593006	2018	1996-07-28	VYDAJ	VYBER	1800	20551	\N	\N	\N
593007	2018	1996-08-27	PRIJEM	VKLAD	5500	23888	\N	\N	\N
593008	2018	1996-09-26	PRIJEM	VKLAD	2100	24817	\N	\N	\N
593009	2018	1996-10-26	VYDAJ	VYBER	500	24059	\N	\N	\N
593010	2018	1996-11-25	VYDAJ	VYBER	2600	19005	\N	\N	\N
593011	2018	1996-12-25	PRIJEM	VKLAD	3700	20937	\N	\N	\N
593012	2018	1997-01-24	PRIJEM	VKLAD	4500	18494	\N	\N	\N
593013	2018	1997-02-23	PRIJEM	VKLAD	1700	18607	\N	\N	\N
593014	2018	1997-03-25	VYDAJ	VYBER	800	16215	\N	\N	\N
593015	2018	1997-04-24	PRIJEM	VKLAD	200	14821	\N	\N	\N
593016	2018	1997-05-24	PRIJEM	VKLAD	2000	15218	\N	\N	\N
593017	2018	1997-06-23	PRIJEM	VKLAD	500	16447	\N	\N	\N
593018	2018	1997-07-23	PRIJEM	VKLAD	800	15646	\N	\N	\N
593019	2018	1998-03-20	PRIJEM	VKLAD	8200	17346	\N	\N	\N
593020	2018	1998-04-19	PRIJEM	VKLAD	3200	19140	\N	\N	\N
593021	2018	1998-05-19	PRIJEM	VKLAD	900	18856	\N	\N	\N
593022	2018	1998-06-18	VYDAJ	VYBER	1000	18414	\N	\N	\N
593023	2018	1998-07-18	PRIJEM	VKLAD	1300	18133	\N	\N	\N
593024	2018	1998-10-16	PRIJEM	VKLAD	5000	20366	\N	\N	\N
593025	2018	1998-11-15	PRIJEM	VKLAD	4200	21972	\N	\N	\N
593069	2019	1997-06-11	PRIJEM	VKLAD	700	700	\N	\N	\N
593075	2019	1997-06-12	PRIJEM	PREVOD Z UCTU	3153	3853	\N	QR	4209769
593076	2019	1997-07-12	PRIJEM	PREVOD Z UCTU	3153	7016	\N	QR	4209769
593077	2019	1997-08-12	PRIJEM	PREVOD Z UCTU	3153	10185	\N	QR	4209769
593078	2019	1997-09-12	PRIJEM	PREVOD Z UCTU	3153	13354	\N	QR	4209769
593079	2019	1997-10-12	PRIJEM	PREVOD Z UCTU	3153	16523	\N	QR	4209769
593080	2019	1997-11-12	PRIJEM	PREVOD Z UCTU	3153	17604	\N	QR	4209769
593081	2019	1997-12-12	PRIJEM	PREVOD Z UCTU	3153	18704	\N	QR	4209769
593082	2019	1998-01-12	PRIJEM	PREVOD Z UCTU	3153	16329	\N	QR	4209769
593083	2019	1998-02-12	PRIJEM	PREVOD Z UCTU	3153	17428	\N	QR	4209769
593084	2019	1998-03-12	PRIJEM	PREVOD Z UCTU	3153	18528	\N	QR	4209769
593085	2019	1998-04-12	PRIJEM	PREVOD Z UCTU	3153	19632	\N	QR	4209769
593086	2019	1998-05-12	PRIJEM	PREVOD Z UCTU	3153	20742	\N	QR	4209769
593087	2019	1998-06-12	PRIJEM	PREVOD Z UCTU	3153	21466	\N	QR	4209769
593088	2019	1998-07-12	PRIJEM	PREVOD Z UCTU	3153	15612	\N	QR	4209769
593089	2019	1998-08-12	PRIJEM	PREVOD Z UCTU	3153	16704	\N	QR	4209769
593090	2019	1998-09-12	PRIJEM	PREVOD Z UCTU	3153	16811	\N	QR	4209769
593091	2019	1998-10-12	PRIJEM	PREVOD Z UCTU	3153	17910	\N	QR	4209769
593092	2019	1998-11-12	PRIJEM	PREVOD Z UCTU	3153	19012	\N	QR	4209769
593093	2019	1998-12-12	PRIJEM	PREVOD Z UCTU	3153	19518	\N	QR	4209769
593103	2019	1997-10-13	VYDAJ	PREVOD NA UCET	1422	15101	\N	GH	2328062
593104	2019	1997-11-13	VYDAJ	PREVOD NA UCET	1422	16182	\N	GH	2328062
593105	2019	1997-12-13	VYDAJ	PREVOD NA UCET	1422	17282	\N	GH	2328062
593106	2019	1998-01-13	VYDAJ	PREVOD NA UCET	1422	14907	\N	GH	2328062
593107	2019	1998-02-13	VYDAJ	PREVOD NA UCET	1422	16006	\N	GH	2328062
593108	2019	1998-03-13	VYDAJ	PREVOD NA UCET	1422	17106	\N	GH	2328062
593109	2019	1998-04-13	VYDAJ	PREVOD NA UCET	1422	18210	\N	GH	2328062
593110	2019	1998-05-13	VYDAJ	PREVOD NA UCET	1422	19320	\N	GH	2328062
593111	2019	1998-06-13	VYDAJ	PREVOD NA UCET	1422	20044	\N	GH	2328062
593112	2019	1998-07-13	VYDAJ	PREVOD NA UCET	1422	14190	\N	GH	2328062
593113	2019	1998-08-13	VYDAJ	PREVOD NA UCET	1422	15282	\N	GH	2328062
593114	2019	1998-09-13	VYDAJ	PREVOD NA UCET	1422	15389	\N	GH	2328062
593115	2019	1998-10-13	VYDAJ	PREVOD NA UCET	1422	16488	\N	GH	2328062
593116	2019	1998-11-13	VYDAJ	PREVOD NA UCET	1422	17590	\N	GH	2328062
593117	2019	1998-12-13	VYDAJ	PREVOD NA UCET	1422	18096	\N	GH	2328062
593128	2019	1997-11-05	VYDAJ	PREVOD NA UCET	265	14451	\N	AB	41162085
593129	2019	1997-12-05	VYDAJ	PREVOD NA UCET	265	15551	\N	AB	41162085
593130	2019	1998-01-05	VYDAJ	PREVOD NA UCET	265	16086	\N	AB	41162085
593131	2019	1998-02-05	VYDAJ	PREVOD NA UCET	265	14275	\N	AB	41162085
593132	2019	1998-03-05	VYDAJ	PREVOD NA UCET	265	15375	\N	AB	41162085
593133	2019	1998-04-05	VYDAJ	PREVOD NA UCET	265	16479	\N	AB	41162085
593134	2019	1998-05-05	VYDAJ	PREVOD NA UCET	265	17589	\N	AB	41162085
593135	2019	1998-06-05	VYDAJ	PREVOD NA UCET	265	18313	\N	AB	41162085
593136	2019	1998-07-05	VYDAJ	PREVOD NA UCET	265	12459	\N	AB	41162085
593137	2019	1998-08-05	VYDAJ	PREVOD NA UCET	265	13551	\N	AB	41162085
593138	2019	1998-09-05	VYDAJ	PREVOD NA UCET	265	14438	\N	AB	41162085
593139	2019	1998-10-05	VYDAJ	PREVOD NA UCET	265	14757	\N	AB	41162085
593140	2019	1998-11-05	VYDAJ	PREVOD NA UCET	265	15859	\N	AB	41162085
593141	2019	1998-12-05	VYDAJ	PREVOD NA UCET	265	16365	\N	AB	41162085
593151	2019	1997-10-14	VYDAJ	PREVOD NA UCET	415	14686	\N	OP	89666372
593152	2019	1997-11-14	VYDAJ	PREVOD NA UCET	415	15767	\N	OP	89666372
593153	2019	1997-12-14	VYDAJ	PREVOD NA UCET	415	16867	\N	OP	89666372
593154	2019	1998-01-14	VYDAJ	PREVOD NA UCET	415	14492	\N	OP	89666372
593155	2019	1998-02-14	VYDAJ	PREVOD NA UCET	415	15591	\N	OP	89666372
593156	2019	1998-03-14	VYDAJ	PREVOD NA UCET	415	16691	\N	OP	89666372
593157	2019	1998-04-14	VYDAJ	PREVOD NA UCET	415	17795	\N	OP	89666372
593158	2019	1998-05-14	VYDAJ	PREVOD NA UCET	415	18905	\N	OP	89666372
593159	2019	1998-06-14	VYDAJ	PREVOD NA UCET	415	19629	\N	OP	89666372
593160	2019	1998-07-14	VYDAJ	PREVOD NA UCET	415	13775	\N	OP	89666372
593161	2019	1998-08-14	VYDAJ	PREVOD NA UCET	415	14867	\N	OP	89666372
593162	2019	1998-09-14	VYDAJ	PREVOD NA UCET	415	14974	\N	OP	89666372
593163	2019	1998-10-14	VYDAJ	PREVOD NA UCET	415	16073	\N	OP	89666372
593164	2019	1998-11-14	VYDAJ	PREVOD NA UCET	415	17175	\N	OP	89666372
593165	2019	1998-12-14	VYDAJ	PREVOD NA UCET	415	17681	\N	OP	89666372
593167	2019	1998-06-20	VYDAJ	VYBER	6960	12669	\N	\N	\N
593169	2019	1998-01-10	VYDAJ	VYBER	2910	13176	\N	\N	\N
593170	2019	1997-12-20	VYDAJ	VYBER	570	16297	\N	\N	\N
593171	2019	1998-12-03	VYDAJ	VYBER	600	16630	\N	\N	\N
593179	2019	1998-06-02	VYDAJ	VYBER	390	18578	\N	\N	\N
593180	2019	1998-09-11	VYDAJ	VYBER	780	13658	\N	\N	\N
593181	2019	1998-09-02	VYDAJ	VYBER	210	14703	\N	\N	\N
593194	2019	1997-10-31	VYDAJ	VYBER	15	14716	SLUZBY	\N	\N
593195	2019	1997-11-30	VYDAJ	VYBER	15	15816	SLUZBY	\N	\N
593196	2019	1997-12-31	VYDAJ	VYBER	15	16351	SLUZBY	\N	\N
593197	2019	1998-01-31	VYDAJ	VYBER	15	14540	SLUZBY	\N	\N
593198	2019	1998-02-28	VYDAJ	VYBER	15	15640	SLUZBY	\N	\N
593199	2019	1998-03-31	VYDAJ	VYBER	15	16744	SLUZBY	\N	\N
593200	2019	1998-04-30	VYDAJ	VYBER	15	17854	SLUZBY	\N	\N
593201	2019	1998-05-31	VYDAJ	VYBER	15	18968	SLUZBY	\N	\N
593202	2019	1998-06-30	VYDAJ	VYBER	15	12724	SLUZBY	\N	\N
593203	2019	1998-07-31	VYDAJ	VYBER	15	13816	SLUZBY	\N	\N
593204	2019	1998-08-31	VYDAJ	VYBER	15	14913	SLUZBY	\N	\N
593205	2019	1998-09-30	VYDAJ	VYBER	15	15022	SLUZBY	\N	\N
593206	2019	1998-10-31	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
593207	2019	1998-11-30	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
593227	2020	1993-09-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
593236	2020	1993-09-06	PRIJEM	PREVOD Z UCTU	5280	6380	DUCHOD	EF	3500259
593237	2020	1993-10-06	PRIJEM	PREVOD Z UCTU	5280	11682	DUCHOD	EF	3500259
593238	2020	1993-11-06	PRIJEM	PREVOD Z UCTU	5280	16989	DUCHOD	EF	3500259
593239	2020	1993-12-06	PRIJEM	PREVOD Z UCTU	5280	22295	DUCHOD	EF	3500259
593240	2020	1994-01-06	PRIJEM	PREVOD Z UCTU	5280	27402	DUCHOD	EF	3500259
593241	2020	1994-02-06	PRIJEM	PREVOD Z UCTU	5280	24246	DUCHOD	EF	3500259
593242	2020	1994-03-06	PRIJEM	PREVOD Z UCTU	5280	23660	DUCHOD	EF	3500259
593243	2020	1994-04-06	PRIJEM	PREVOD Z UCTU	5280	26381	DUCHOD	EF	3500259
593244	2020	1994-05-06	PRIJEM	PREVOD Z UCTU	5280	29418	DUCHOD	EF	3500259
593245	2020	1994-06-06	PRIJEM	PREVOD Z UCTU	5280	30363	DUCHOD	EF	3500259
593246	2020	1994-07-06	PRIJEM	PREVOD Z UCTU	5280	23059	DUCHOD	EF	3500259
593247	2020	1994-08-06	PRIJEM	PREVOD Z UCTU	5280	26077	DUCHOD	EF	3500259
593248	2020	1994-09-06	PRIJEM	PREVOD Z UCTU	5280	26688	DUCHOD	EF	3500259
593249	2020	1994-10-06	PRIJEM	PREVOD Z UCTU	5280	28722	DUCHOD	EF	3500259
593250	2020	1994-11-06	PRIJEM	PREVOD Z UCTU	5280	29763	DUCHOD	EF	3500259
593251	2020	1994-12-06	PRIJEM	PREVOD Z UCTU	5280	27808	DUCHOD	EF	3500259
593252	2020	1995-01-06	PRIJEM	PREVOD Z UCTU	5280	28543	DUCHOD	EF	3500259
593253	2020	1995-02-06	PRIJEM	PREVOD Z UCTU	5280	23944	DUCHOD	EF	3500259
593254	2020	1995-03-06	PRIJEM	PREVOD Z UCTU	5280	23362	DUCHOD	EF	3500259
593255	2020	1995-04-06	PRIJEM	PREVOD Z UCTU	5280	22880	DUCHOD	EF	3500259
593256	2020	1995-05-06	PRIJEM	PREVOD Z UCTU	5280	25798	DUCHOD	EF	3500259
593257	2020	1995-06-06	PRIJEM	PREVOD Z UCTU	5280	23077	DUCHOD	EF	3500259
593258	2020	1995-07-06	PRIJEM	PREVOD Z UCTU	5280	24294	DUCHOD	EF	3500259
593259	2020	1995-08-06	PRIJEM	PREVOD Z UCTU	5280	24916	DUCHOD	EF	3500259
593260	2020	1995-09-06	PRIJEM	PREVOD Z UCTU	5280	27742	DUCHOD	EF	3500259
593261	2020	1995-10-06	PRIJEM	PREVOD Z UCTU	5280	25953	DUCHOD	EF	3500259
593262	2020	1995-11-06	PRIJEM	PREVOD Z UCTU	5280	23979	DUCHOD	EF	3500259
593263	2020	1995-12-06	PRIJEM	PREVOD Z UCTU	5280	21895	DUCHOD	EF	3500259
593264	2020	1996-01-06	PRIJEM	PREVOD Z UCTU	5280	17299	DUCHOD	EF	3500259
593265	2020	1996-02-06	PRIJEM	PREVOD Z UCTU	5280	16889	DUCHOD	EF	3500259
593266	2020	1996-03-06	PRIJEM	PREVOD Z UCTU	5280	17478	DUCHOD	EF	3500259
593267	2020	1996-04-06	PRIJEM	PREVOD Z UCTU	5280	20473	DUCHOD	EF	3500259
593268	2020	1996-05-06	PRIJEM	PREVOD Z UCTU	5280	20195	DUCHOD	EF	3500259
593269	2020	1996-06-06	PRIJEM	PREVOD Z UCTU	5280	23202	DUCHOD	EF	3500259
593270	2020	1996-07-06	PRIJEM	PREVOD Z UCTU	5280	25338	DUCHOD	EF	3500259
593271	2020	1996-08-06	PRIJEM	PREVOD Z UCTU	5280	23803	DUCHOD	EF	3500259
593272	2020	1996-09-06	PRIJEM	PREVOD Z UCTU	5280	22982	DUCHOD	EF	3500259
593273	2020	1996-10-06	PRIJEM	PREVOD Z UCTU	5280	26005	DUCHOD	EF	3500259
593274	2020	1996-11-06	PRIJEM	PREVOD Z UCTU	5280	29035	DUCHOD	EF	3500259
593275	2020	1996-12-06	PRIJEM	PREVOD Z UCTU	5280	32078	DUCHOD	EF	3500259
593276	2020	1997-01-06	PRIJEM	PREVOD Z UCTU	5280	33890	DUCHOD	EF	3500259
593277	2020	1997-02-06	PRIJEM	PREVOD Z UCTU	5280	35652	DUCHOD	EF	3500259
593278	2020	1997-03-06	PRIJEM	PREVOD Z UCTU	5280	35675	DUCHOD	EF	3500259
593279	2020	1997-04-06	PRIJEM	PREVOD Z UCTU	5280	37623	DUCHOD	EF	3500259
593280	2020	1997-05-06	PRIJEM	PREVOD Z UCTU	5280	37500	DUCHOD	EF	3500259
593281	2020	1997-06-06	PRIJEM	PREVOD Z UCTU	5280	34006	DUCHOD	EF	3500259
593282	2020	1997-07-06	PRIJEM	PREVOD Z UCTU	5280	25641	DUCHOD	EF	3500259
593283	2020	1997-08-06	PRIJEM	PREVOD Z UCTU	5280	28669	DUCHOD	EF	3500259
593284	2020	1997-09-06	PRIJEM	PREVOD Z UCTU	5280	31710	DUCHOD	EF	3500259
593285	2020	1997-10-06	PRIJEM	PREVOD Z UCTU	5280	34763	DUCHOD	EF	3500259
593286	2020	1997-11-06	PRIJEM	PREVOD Z UCTU	5280	37829	DUCHOD	EF	3500259
593287	2020	1997-12-06	PRIJEM	PREVOD Z UCTU	5280	40908	DUCHOD	EF	3500259
593288	2020	1998-01-06	PRIJEM	PREVOD Z UCTU	5280	38799	DUCHOD	EF	3500259
593289	2020	1998-02-06	PRIJEM	PREVOD Z UCTU	5280	41888	DUCHOD	EF	3500259
593290	2020	1998-03-06	PRIJEM	PREVOD Z UCTU	5280	44983	DUCHOD	EF	3500259
593291	2020	1998-04-06	PRIJEM	PREVOD Z UCTU	5280	46171	DUCHOD	EF	3500259
593292	2020	1998-05-06	PRIJEM	PREVOD Z UCTU	5280	49289	DUCHOD	EF	3500259
593293	2020	1998-06-06	PRIJEM	PREVOD Z UCTU	5280	52415	DUCHOD	EF	3500259
593294	2020	1998-07-06	PRIJEM	PREVOD Z UCTU	5280	18046	DUCHOD	EF	3500259
593295	2020	1998-08-06	PRIJEM	PREVOD Z UCTU	5280	21042	DUCHOD	EF	3500259
593296	2020	1998-09-06	PRIJEM	PREVOD Z UCTU	5280	24050	DUCHOD	EF	3500259
593297	2020	1998-10-06	PRIJEM	PREVOD Z UCTU	5280	27070	DUCHOD	EF	3500259
593298	2020	1998-11-06	PRIJEM	PREVOD Z UCTU	5280	30103	DUCHOD	EF	3500259
593299	2020	1998-12-06	PRIJEM	PREVOD Z UCTU	5280	26418	DUCHOD	EF	3500259
593312	2020	1994-01-11	VYDAJ	PREVOD NA UCET	2329	23553	SIPO	WX	37676316
593313	2020	1994-02-11	VYDAJ	PREVOD NA UCET	2329	21917	SIPO	WX	37676316
593314	2020	1994-03-11	VYDAJ	PREVOD NA UCET	2329	21331	SIPO	WX	37676316
593315	2020	1994-04-11	VYDAJ	PREVOD NA UCET	2329	24052	SIPO	WX	37676316
593316	2020	1994-05-11	VYDAJ	PREVOD NA UCET	2329	27089	SIPO	WX	37676316
593317	2020	1994-06-11	VYDAJ	PREVOD NA UCET	2329	28034	SIPO	WX	37676316
593318	2020	1994-07-11	VYDAJ	PREVOD NA UCET	2329	20730	SIPO	WX	37676316
593319	2020	1994-08-11	VYDAJ	PREVOD NA UCET	2329	23748	SIPO	WX	37676316
593320	2020	1994-09-11	VYDAJ	PREVOD NA UCET	2329	24359	SIPO	WX	37676316
593321	2020	1994-10-11	VYDAJ	PREVOD NA UCET	2329	26393	SIPO	WX	37676316
593322	2020	1994-11-11	VYDAJ	PREVOD NA UCET	2329	27434	SIPO	WX	37676316
593323	2020	1994-12-11	VYDAJ	PREVOD NA UCET	2329	25479	SIPO	WX	37676316
593324	2020	1995-01-11	VYDAJ	PREVOD NA UCET	2329	26214	SIPO	WX	37676316
593325	2020	1995-02-11	VYDAJ	PREVOD NA UCET	2329	21615	SIPO	WX	37676316
593326	2020	1995-03-11	VYDAJ	PREVOD NA UCET	2329	21033	SIPO	WX	37676316
593327	2020	1995-04-11	VYDAJ	PREVOD NA UCET	2329	20551	SIPO	WX	37676316
593328	2020	1995-05-11	VYDAJ	PREVOD NA UCET	2329	19629	SIPO	WX	37676316
593329	2020	1995-06-11	VYDAJ	PREVOD NA UCET	2329	20748	SIPO	WX	37676316
593330	2020	1995-07-11	VYDAJ	PREVOD NA UCET	2329	21965	SIPO	WX	37676316
593331	2020	1995-08-11	VYDAJ	PREVOD NA UCET	2329	22587	SIPO	WX	37676316
593332	2020	1995-09-11	VYDAJ	PREVOD NA UCET	2329	25413	SIPO	WX	37676316
593333	2020	1995-10-11	VYDAJ	PREVOD NA UCET	2329	23624	SIPO	WX	37676316
593334	2020	1995-11-11	VYDAJ	PREVOD NA UCET	2329	21650	SIPO	WX	37676316
593335	2020	1995-12-11	VYDAJ	PREVOD NA UCET	2329	19566	SIPO	WX	37676316
593336	2020	1996-01-11	VYDAJ	PREVOD NA UCET	2329	14970	SIPO	WX	37676316
593337	2020	1996-02-11	VYDAJ	PREVOD NA UCET	2329	14560	SIPO	WX	37676316
593338	2020	1996-03-11	VYDAJ	PREVOD NA UCET	2329	15149	SIPO	WX	37676316
593339	2020	1996-04-11	VYDAJ	PREVOD NA UCET	2329	18144	SIPO	WX	37676316
593340	2020	1996-05-11	VYDAJ	PREVOD NA UCET	2329	17866	SIPO	WX	37676316
593341	2020	1996-06-11	VYDAJ	PREVOD NA UCET	2329	20873	SIPO	WX	37676316
593342	2020	1996-07-11	VYDAJ	PREVOD NA UCET	2329	22289	SIPO	WX	37676316
593343	2020	1996-08-11	VYDAJ	PREVOD NA UCET	2329	19954	SIPO	WX	37676316
593344	2020	1996-09-11	VYDAJ	PREVOD NA UCET	2329	20653	SIPO	WX	37676316
593345	2020	1996-10-11	VYDAJ	PREVOD NA UCET	2329	23676	SIPO	WX	37676316
593346	2020	1996-11-11	VYDAJ	PREVOD NA UCET	2329	26706	SIPO	WX	37676316
593347	2020	1996-12-11	VYDAJ	PREVOD NA UCET	2329	29749	SIPO	WX	37676316
593348	2020	1997-01-11	VYDAJ	PREVOD NA UCET	2329	30261	SIPO	WX	37676316
593349	2020	1997-02-11	VYDAJ	PREVOD NA UCET	2329	33323	SIPO	WX	37676316
593350	2020	1997-03-11	VYDAJ	PREVOD NA UCET	2329	33346	SIPO	WX	37676316
593351	2020	1997-04-11	VYDAJ	PREVOD NA UCET	2329	35294	SIPO	WX	37676316
593352	2020	1997-05-11	VYDAJ	PREVOD NA UCET	2329	32371	SIPO	WX	37676316
593353	2020	1997-06-11	VYDAJ	PREVOD NA UCET	2329	31677	SIPO	WX	37676316
593354	2020	1997-07-11	VYDAJ	PREVOD NA UCET	2329	23312	SIPO	WX	37676316
593355	2020	1997-08-11	VYDAJ	PREVOD NA UCET	2329	26340	SIPO	WX	37676316
593356	2020	1997-09-11	VYDAJ	PREVOD NA UCET	2329	29381	SIPO	WX	37676316
593357	2020	1997-10-11	VYDAJ	PREVOD NA UCET	2329	32434	SIPO	WX	37676316
593358	2020	1997-11-11	VYDAJ	PREVOD NA UCET	2329	35500	SIPO	WX	37676316
593359	2020	1997-12-11	VYDAJ	PREVOD NA UCET	2329	38579	SIPO	WX	37676316
593360	2020	1998-01-11	VYDAJ	PREVOD NA UCET	2329	36470	SIPO	WX	37676316
593361	2020	1998-02-11	VYDAJ	PREVOD NA UCET	2329	39559	SIPO	WX	37676316
593362	2020	1998-03-11	VYDAJ	PREVOD NA UCET	2329	42654	SIPO	WX	37676316
593363	2020	1998-04-11	VYDAJ	PREVOD NA UCET	2329	43842	SIPO	WX	37676316
593364	2020	1998-05-11	VYDAJ	PREVOD NA UCET	2329	46960	SIPO	WX	37676316
593365	2020	1998-06-11	VYDAJ	PREVOD NA UCET	2329	12686	SIPO	WX	37676316
593366	2020	1998-07-11	VYDAJ	PREVOD NA UCET	2329	15717	SIPO	WX	37676316
593367	2020	1998-08-11	VYDAJ	PREVOD NA UCET	2329	18713	SIPO	WX	37676316
593368	2020	1998-09-11	VYDAJ	PREVOD NA UCET	2329	21721	SIPO	WX	37676316
593369	2020	1998-10-11	VYDAJ	PREVOD NA UCET	2329	24741	SIPO	WX	37676316
593370	2020	1998-11-11	VYDAJ	PREVOD NA UCET	2329	24334	SIPO	WX	37676316
593371	2020	1998-12-11	VYDAJ	PREVOD NA UCET	2329	24089	SIPO	WX	37676316
593373	2020	1994-06-25	VYDAJ	VYBER	10350	17684	\N	\N	\N
593376	2020	1997-06-13	VYDAJ	VYBER	11400	20277	\N	\N	\N
593379	2020	1994-01-14	VYDAJ	VYBER	4650	18903	\N	\N	\N
593380	2020	1995-01-14	VYDAJ	VYBER	2950	23264	\N	\N	\N
593382	2020	1997-01-06	VYDAJ	VYBER	1300	32590	\N	\N	\N
593383	2020	1998-01-05	VYDAJ	VYBER	3750	33519	\N	\N	\N
593385	2020	1994-12-20	VYDAJ	VYBER	1400	24079	\N	\N	\N
593386	2020	1995-12-22	VYDAJ	VYBER	500	19066	\N	\N	\N
593387	2020	1996-12-12	VYDAJ	VYBER	600	29149	\N	\N	\N
593388	2020	1997-12-30	VYDAJ	VYBER	1450	37129	\N	\N	\N
593389	2020	1998-12-18	VYDAJ	VYBER	750	23339	\N	\N	\N
593395	2020	1994-01-09	VYDAJ	VYBER	1520	25882	\N	\N	\N
593396	2020	1994-08-30	VYDAJ	VYBER	2320	21428	\N	\N	\N
593397	2020	1994-02-12	VYDAJ	VYBER	3600	18317	\N	\N	\N
593398	2020	1995-09-18	VYDAJ	VYBER	1920	23493	\N	\N	\N
593399	2020	1995-02-22	VYDAJ	VYBER	3600	18015	\N	\N	\N
593400	2020	1995-01-18	VYDAJ	VYBER	480	22784	\N	\N	\N
593402	2020	1995-05-06	VYDAJ	VYBER	3840	21958	\N	\N	\N
593403	2020	1996-07-26	VYDAJ	VYBER	3840	18449	\N	\N	\N
593404	2020	1996-09-05	VYDAJ	VYBER	2320	17702	\N	\N	\N
593405	2020	1996-06-17	VYDAJ	VYBER	880	19993	\N	\N	\N
593406	2020	1996-07-08	VYDAJ	VYBER	720	24618	\N	\N	\N
593407	2020	1996-04-19	VYDAJ	VYBER	3280	14864	\N	\N	\N
593408	2020	1996-08-06	VYDAJ	VYBER	1520	22283	\N	\N	\N
593409	2020	1996-12-16	VYDAJ	VYBER	640	28509	\N	\N	\N
593410	2020	1997-02-19	VYDAJ	VYBER	480	30283	\N	\N	\N
593411	2020	1997-05-21	VYDAJ	VYBER	3760	28611	\N	\N	\N
593412	2020	1997-05-06	VYDAJ	VYBER	2800	34700	\N	\N	\N
593413	2020	1997-03-16	VYDAJ	VYBER	1120	32226	\N	\N	\N
593414	2020	1997-02-11	VYDAJ	VYBER	2560	30763	\N	\N	\N
593415	2020	1997-04-29	VYDAJ	VYBER	3200	32094	\N	\N	\N
593416	2020	1998-11-27	VYDAJ	VYBER	3280	21054	\N	\N	\N
593418	2020	1998-04-04	VYDAJ	VYBER	1920	40891	\N	\N	\N
593419	2020	1998-11-10	VYDAJ	VYBER	3440	26663	\N	\N	\N
593433	2020	1994-01-31	VYDAJ	VYBER	15	18966	SLUZBY	\N	\N
593434	2020	1994-02-28	VYDAJ	VYBER	15	18380	SLUZBY	\N	\N
593435	2020	1994-03-31	VYDAJ	VYBER	15	21401	SLUZBY	\N	\N
593436	2020	1994-04-30	VYDAJ	VYBER	15	24138	SLUZBY	\N	\N
593437	2020	1994-05-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
593438	2020	1994-06-30	VYDAJ	VYBER	15	17779	SLUZBY	\N	\N
593439	2020	1994-07-31	VYDAJ	VYBER	15	20797	SLUZBY	\N	\N
593440	2020	1994-08-31	VYDAJ	VYBER	15	21408	SLUZBY	\N	\N
593441	2020	1994-09-30	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
593442	2020	1994-10-31	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
593443	2020	1994-11-30	VYDAJ	VYBER	15	22528	SLUZBY	\N	\N
593444	2020	1994-12-31	VYDAJ	VYBER	15	23263	SLUZBY	\N	\N
593445	2020	1995-01-31	VYDAJ	VYBER	15	18664	SLUZBY	\N	\N
593446	2020	1995-02-28	VYDAJ	VYBER	15	18082	SLUZBY	\N	\N
593447	2020	1995-03-31	VYDAJ	VYBER	15	17600	SLUZBY	\N	\N
593448	2020	1995-04-30	VYDAJ	VYBER	15	20518	SLUZBY	\N	\N
593449	2020	1995-05-31	VYDAJ	VYBER	15	17797	SLUZBY	\N	\N
593450	2020	1995-06-30	VYDAJ	VYBER	15	19014	SLUZBY	\N	\N
593451	2020	1995-07-31	VYDAJ	VYBER	15	19636	SLUZBY	\N	\N
593452	2020	1995-08-31	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
593453	2020	1995-09-30	VYDAJ	VYBER	15	20673	SLUZBY	\N	\N
593454	2020	1995-10-31	VYDAJ	VYBER	15	18699	SLUZBY	\N	\N
593455	2020	1995-11-30	VYDAJ	VYBER	15	16615	SLUZBY	\N	\N
593456	2020	1995-12-31	VYDAJ	VYBER	15	12019	SLUZBY	\N	\N
593457	2020	1996-01-31	VYDAJ	VYBER	15	11609	SLUZBY	\N	\N
593458	2020	1996-02-29	VYDAJ	VYBER	15	12198	SLUZBY	\N	\N
593459	2020	1996-03-31	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
593460	2020	1996-04-30	VYDAJ	VYBER	15	14915	SLUZBY	\N	\N
593461	2020	1996-05-31	VYDAJ	VYBER	15	17922	SLUZBY	\N	\N
593462	2020	1996-06-30	VYDAJ	VYBER	15	20058	SLUZBY	\N	\N
593463	2020	1996-07-31	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
593464	2020	1996-08-31	VYDAJ	VYBER	15	20022	SLUZBY	\N	\N
593465	2020	1996-09-30	VYDAJ	VYBER	15	20725	SLUZBY	\N	\N
593466	2020	1996-10-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
593467	2020	1996-11-30	VYDAJ	VYBER	15	26798	SLUZBY	\N	\N
593468	2020	1996-12-31	VYDAJ	VYBER	15	28610	SLUZBY	\N	\N
593469	2020	1997-01-31	VYDAJ	VYBER	15	30372	SLUZBY	\N	\N
593470	2020	1997-02-28	VYDAJ	VYBER	15	30395	SLUZBY	\N	\N
593471	2020	1997-03-31	VYDAJ	VYBER	15	32343	SLUZBY	\N	\N
593472	2020	1997-04-30	VYDAJ	VYBER	15	32220	SLUZBY	\N	\N
593473	2020	1997-05-31	VYDAJ	VYBER	15	28726	SLUZBY	\N	\N
593474	2020	1997-06-30	VYDAJ	VYBER	15	20361	SLUZBY	\N	\N
593475	2020	1997-07-31	VYDAJ	VYBER	15	23389	SLUZBY	\N	\N
593476	2020	1997-08-31	VYDAJ	VYBER	15	26430	SLUZBY	\N	\N
593477	2020	1997-09-30	VYDAJ	VYBER	15	29483	SLUZBY	\N	\N
593478	2020	1997-10-31	VYDAJ	VYBER	15	32549	SLUZBY	\N	\N
593479	2020	1997-11-30	VYDAJ	VYBER	15	35628	SLUZBY	\N	\N
593480	2020	1997-12-31	VYDAJ	VYBER	15	37269	SLUZBY	\N	\N
593481	2020	1998-01-31	VYDAJ	VYBER	15	36608	SLUZBY	\N	\N
593482	2020	1998-02-28	VYDAJ	VYBER	15	39703	SLUZBY	\N	\N
593483	2020	1998-03-31	VYDAJ	VYBER	15	42811	SLUZBY	\N	\N
593484	2020	1998-04-30	VYDAJ	VYBER	15	44009	SLUZBY	\N	\N
593485	2020	1998-05-31	VYDAJ	VYBER	15	47135	SLUZBY	\N	\N
593486	2020	1998-06-30	VYDAJ	VYBER	15	12766	SLUZBY	\N	\N
593487	2020	1998-07-31	VYDAJ	VYBER	15	15762	SLUZBY	\N	\N
593488	2020	1998-08-31	VYDAJ	VYBER	15	18770	SLUZBY	\N	\N
593489	2020	1998-09-30	VYDAJ	VYBER	15	21790	SLUZBY	\N	\N
593490	2020	1998-10-31	VYDAJ	VYBER	15	24823	SLUZBY	\N	\N
593491	2020	1998-11-30	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
593492	2020	1994-01-02	VYDAJ	VYBER	200	22122	\N	\N	\N
593493	2020	1994-04-02	VYDAJ	VYBER	300	21101	\N	\N	\N
593494	2020	1994-06-01	VYDAJ	VYBER	2100	25083	\N	\N	\N
593495	2020	1994-08-30	VYDAJ	VYBER	100	21328	\N	\N	\N
593496	2020	1994-09-29	VYDAJ	VYBER	1000	23359	\N	\N	\N
593497	2020	1994-10-29	VYDAJ	VYBER	2000	24393	\N	\N	\N
593498	2020	1994-11-28	VYDAJ	VYBER	5000	22434	\N	\N	\N
593499	2020	1994-12-28	VYDAJ	VYBER	900	23179	\N	\N	\N
593500	2020	1995-01-27	VYDAJ	VYBER	4200	18584	\N	\N	\N
593501	2020	1995-03-28	VYDAJ	VYBER	3500	17533	\N	\N	\N
593502	2020	1995-04-27	VYDAJ	VYBER	100	20451	\N	\N	\N
593503	2020	1995-05-27	VYDAJ	VYBER	1900	17729	\N	\N	\N
593504	2020	1995-06-26	VYDAJ	VYBER	1800	18948	\N	\N	\N
593505	2020	1995-07-26	VYDAJ	VYBER	2400	19565	\N	\N	\N
593506	2020	1995-08-25	VYDAJ	VYBER	200	22387	\N	\N	\N
593507	2020	1995-09-24	VYDAJ	VYBER	2900	20593	\N	\N	\N
593508	2020	1995-10-24	VYDAJ	VYBER	5000	18624	\N	\N	\N
593509	2020	1995-11-23	VYDAJ	VYBER	5100	16550	\N	\N	\N
593510	2020	1995-12-23	VYDAJ	VYBER	7100	11966	\N	\N	\N
593511	2020	1996-01-22	VYDAJ	VYBER	3400	11570	\N	\N	\N
593512	2020	1996-02-21	VYDAJ	VYBER	2400	12160	\N	\N	\N
593513	2020	1998-06-10	VYDAJ	VYBER	37400	15015	\N	\N	\N
593578	2021	1997-02-05	PRIJEM	VKLAD	900	900	\N	\N	\N
593627	2021	1997-03-07	PRIJEM	VKLAD	9700	10600	\N	\N	\N
593628	2021	1997-04-06	PRIJEM	VKLAD	7000	17600	\N	\N	\N
593629	2021	1997-05-06	PRIJEM	VKLAD	4100	21700	\N	\N	\N
593630	2021	1997-06-05	VYDAJ	VYBER	1400	20300	\N	\N	\N
593631	2021	1997-07-05	VYDAJ	VYBER	1200	19100	\N	\N	\N
593632	2021	1997-08-04	VYDAJ	VYBER	1800	17300	\N	\N	\N
593633	2021	1997-09-03	PRIJEM	VKLAD	900	18200	\N	\N	\N
593634	2021	1997-10-03	VYDAJ	VYBER	700	17500	\N	\N	\N
593635	2021	1997-11-02	PRIJEM	VKLAD	3700	21200	\N	\N	\N
593636	2021	1997-12-02	VYDAJ	VYBER	4200	17000	\N	\N	\N
593637	2021	1998-01-01	VYDAJ	VYBER	5300	11700	\N	\N	\N
593638	2021	1998-07-30	VYDAJ	VYBER	2400	9300	\N	\N	\N
593639	2021	1998-08-29	PRIJEM	VKLAD	1400	10700	\N	\N	\N
593640	2021	1998-09-28	VYDAJ	VYBER	1400	9300	\N	\N	\N
593641	2021	1998-10-28	PRIJEM	VKLAD	1000	10300	\N	\N	\N
593642	2022	1993-06-11	PRIJEM	VKLAD	700	700	\N	\N	\N
593648	2022	1993-06-14	PRIJEM	PREVOD Z UCTU	4652	5352	DUCHOD	MN	29230445
593649	2022	1993-07-14	PRIJEM	PREVOD Z UCTU	4652	10017	DUCHOD	MN	29230445
593650	2022	1993-08-14	PRIJEM	PREVOD Z UCTU	4652	14691	DUCHOD	MN	29230445
593651	2022	1993-09-14	PRIJEM	PREVOD Z UCTU	4652	19365	DUCHOD	MN	29230445
593652	2022	1993-10-14	PRIJEM	PREVOD Z UCTU	4652	24040	DUCHOD	MN	29230445
593653	2022	1993-11-14	PRIJEM	PREVOD Z UCTU	4652	23324	DUCHOD	MN	29230445
593654	2022	1993-12-14	PRIJEM	PREVOD Z UCTU	4652	24912	DUCHOD	MN	29230445
593655	2022	1994-01-14	PRIJEM	PREVOD Z UCTU	4652	23556	DUCHOD	MN	29230445
593656	2022	1994-02-14	PRIJEM	PREVOD Z UCTU	4652	18655	DUCHOD	MN	29230445
593657	2022	1994-03-14	PRIJEM	PREVOD Z UCTU	4652	21422	DUCHOD	MN	29230445
593658	2022	1994-04-14	PRIJEM	PREVOD Z UCTU	4652	24201	DUCHOD	MN	29230445
593659	2022	1994-05-14	PRIJEM	PREVOD Z UCTU	4652	26591	DUCHOD	MN	29230445
593660	2022	1994-06-14	PRIJEM	PREVOD Z UCTU	4652	29392	DUCHOD	MN	29230445
593661	2022	1994-07-14	PRIJEM	PREVOD Z UCTU	4652	26578	DUCHOD	MN	29230445
593662	2022	1994-08-14	PRIJEM	PREVOD Z UCTU	4652	26019	DUCHOD	MN	29230445
593663	2022	1994-09-14	PRIJEM	PREVOD Z UCTU	4652	28817	DUCHOD	MN	29230445
593664	2022	1994-10-14	PRIJEM	PREVOD Z UCTU	4652	28526	DUCHOD	MN	29230445
593665	2022	1994-11-14	PRIJEM	PREVOD Z UCTU	4652	27319	DUCHOD	MN	29230445
593666	2022	1994-12-14	PRIJEM	PREVOD Z UCTU	4652	30123	DUCHOD	MN	29230445
593667	2022	1995-01-14	PRIJEM	PREVOD Z UCTU	4652	28548	DUCHOD	MN	29230445
593668	2022	1995-02-14	PRIJEM	PREVOD Z UCTU	4652	19894	DUCHOD	MN	29230445
593669	2022	1995-03-14	PRIJEM	PREVOD Z UCTU	4652	22666	DUCHOD	MN	29230445
593670	2022	1995-04-14	PRIJEM	PREVOD Z UCTU	4652	24409	DUCHOD	MN	29230445
593671	2022	1995-05-14	PRIJEM	PREVOD Z UCTU	4652	25042	DUCHOD	MN	29230445
593672	2022	1995-06-14	PRIJEM	PREVOD Z UCTU	4652	27358	DUCHOD	MN	29230445
593673	2022	1995-07-14	PRIJEM	PREVOD Z UCTU	4652	23400	DUCHOD	MN	29230445
593674	2022	1995-08-14	PRIJEM	PREVOD Z UCTU	4652	23300	DUCHOD	MN	29230445
593675	2022	1995-09-14	PRIJEM	PREVOD Z UCTU	4652	25527	DUCHOD	MN	29230445
593676	2022	1995-10-14	PRIJEM	PREVOD Z UCTU	4652	26083	DUCHOD	MN	29230445
593677	2022	1995-11-14	PRIJEM	PREVOD Z UCTU	4652	28883	DUCHOD	MN	29230445
593678	2022	1995-12-14	PRIJEM	PREVOD Z UCTU	4652	31693	DUCHOD	MN	29230445
593679	2022	1996-01-14	PRIJEM	PREVOD Z UCTU	4652	31924	DUCHOD	MN	29230445
593680	2022	1996-02-14	PRIJEM	PREVOD Z UCTU	4652	27209	DUCHOD	MN	29230445
593681	2022	1996-03-14	PRIJEM	PREVOD Z UCTU	4652	30011	DUCHOD	MN	29230445
593682	2022	1996-04-14	PRIJEM	PREVOD Z UCTU	4652	32825	DUCHOD	MN	29230445
593683	2022	1996-05-14	PRIJEM	PREVOD Z UCTU	4652	34529	DUCHOD	MN	29230445
593684	2022	1996-06-14	PRIJEM	PREVOD Z UCTU	4652	37361	DUCHOD	MN	29230445
593685	2022	1996-07-14	PRIJEM	PREVOD Z UCTU	4652	26887	DUCHOD	MN	29230445
593686	2022	1996-08-14	PRIJEM	PREVOD Z UCTU	4652	29688	DUCHOD	MN	29230445
593687	2022	1996-09-14	PRIJEM	PREVOD Z UCTU	4652	25446	DUCHOD	MN	29230445
593688	2022	1996-10-14	PRIJEM	PREVOD Z UCTU	4652	24718	DUCHOD	MN	29230445
593689	2022	1996-11-14	PRIJEM	PREVOD Z UCTU	4652	27510	DUCHOD	MN	29230445
593690	2022	1996-12-14	PRIJEM	PREVOD Z UCTU	4652	30313	DUCHOD	MN	29230445
593691	2022	1997-01-14	PRIJEM	PREVOD Z UCTU	4652	28336	DUCHOD	MN	29230445
593692	2022	1997-02-14	PRIJEM	PREVOD Z UCTU	4652	24850	DUCHOD	MN	29230445
593693	2022	1997-03-14	PRIJEM	PREVOD Z UCTU	4652	27642	DUCHOD	MN	29230445
593694	2022	1997-04-14	PRIJEM	PREVOD Z UCTU	4652	30445	DUCHOD	MN	29230445
593695	2022	1997-05-14	PRIJEM	PREVOD Z UCTU	4652	32860	DUCHOD	MN	29230445
593696	2022	1997-06-14	PRIJEM	PREVOD Z UCTU	4652	30955	DUCHOD	MN	29230445
593697	2022	1997-07-14	PRIJEM	PREVOD Z UCTU	4652	33775	DUCHOD	MN	29230445
593698	2022	1997-08-14	PRIJEM	PREVOD Z UCTU	4652	33244	DUCHOD	MN	29230445
593699	2022	1997-09-14	PRIJEM	PREVOD Z UCTU	4652	36075	DUCHOD	MN	29230445
593700	2022	1997-10-14	PRIJEM	PREVOD Z UCTU	4652	38913	DUCHOD	MN	29230445
593701	2022	1997-11-14	PRIJEM	PREVOD Z UCTU	4652	41762	DUCHOD	MN	29230445
593702	2022	1997-12-14	PRIJEM	PREVOD Z UCTU	4652	38216	DUCHOD	MN	29230445
593703	2022	1998-01-14	PRIJEM	PREVOD Z UCTU	4652	31976	DUCHOD	MN	29230445
593704	2022	1998-02-14	PRIJEM	PREVOD Z UCTU	4652	30400	DUCHOD	MN	29230445
593705	2022	1998-03-14	PRIJEM	PREVOD Z UCTU	4652	30973	DUCHOD	MN	29230445
593706	2022	1998-04-14	PRIJEM	PREVOD Z UCTU	4652	33792	DUCHOD	MN	29230445
593707	2022	1998-05-14	PRIJEM	PREVOD Z UCTU	4652	36620	DUCHOD	MN	29230445
593708	2022	1998-06-14	PRIJEM	PREVOD Z UCTU	4652	39460	DUCHOD	MN	29230445
593709	2022	1998-07-14	PRIJEM	PREVOD Z UCTU	4652	32309	DUCHOD	MN	29230445
593710	2022	1998-08-14	PRIJEM	PREVOD Z UCTU	4652	35130	DUCHOD	MN	29230445
593711	2022	1998-09-14	PRIJEM	PREVOD Z UCTU	4652	37963	DUCHOD	MN	29230445
593712	2022	1998-10-14	PRIJEM	PREVOD Z UCTU	4652	40808	DUCHOD	MN	29230445
593713	2022	1998-11-14	PRIJEM	PREVOD Z UCTU	4652	43665	DUCHOD	MN	29230445
593714	2022	1998-12-14	PRIJEM	PREVOD Z UCTU	4652	46283	DUCHOD	MN	29230445
593725	2022	1993-11-12	VYDAJ	PREVOD NA UCET	1943	18672	SIPO	MN	67742168
593726	2022	1993-12-12	VYDAJ	PREVOD NA UCET	1943	20260	SIPO	MN	67742168
593727	2022	1994-01-12	VYDAJ	PREVOD NA UCET	1943	20184	SIPO	MN	67742168
593728	2022	1994-02-12	VYDAJ	PREVOD NA UCET	1943	14003	SIPO	MN	67742168
593729	2022	1994-03-12	VYDAJ	PREVOD NA UCET	1943	16770	SIPO	MN	67742168
593730	2022	1994-04-12	VYDAJ	PREVOD NA UCET	1943	19549	SIPO	MN	67742168
593731	2022	1994-05-12	VYDAJ	PREVOD NA UCET	1943	21939	SIPO	MN	67742168
593732	2022	1994-06-12	VYDAJ	PREVOD NA UCET	1943	24740	SIPO	MN	67742168
593733	2022	1994-07-12	VYDAJ	PREVOD NA UCET	1943	21926	SIPO	MN	67742168
593734	2022	1994-08-12	VYDAJ	PREVOD NA UCET	1943	21367	SIPO	MN	67742168
593735	2022	1994-09-12	VYDAJ	PREVOD NA UCET	1943	24165	SIPO	MN	67742168
593736	2022	1994-10-12	VYDAJ	PREVOD NA UCET	1943	23874	SIPO	MN	67742168
593737	2022	1994-11-12	VYDAJ	PREVOD NA UCET	1943	22667	SIPO	MN	67742168
593738	2022	1994-12-12	VYDAJ	PREVOD NA UCET	1943	25471	SIPO	MN	67742168
593739	2022	1995-01-12	VYDAJ	PREVOD NA UCET	1943	24616	SIPO	MN	67742168
593740	2022	1995-02-12	VYDAJ	PREVOD NA UCET	1943	15242	SIPO	MN	67742168
593741	2022	1995-03-12	VYDAJ	PREVOD NA UCET	1943	18014	SIPO	MN	67742168
593742	2022	1995-04-12	VYDAJ	PREVOD NA UCET	1943	20797	SIPO	MN	67742168
593743	2022	1995-05-12	VYDAJ	PREVOD NA UCET	1943	22550	SIPO	MN	67742168
593744	2022	1995-06-12	VYDAJ	PREVOD NA UCET	1943	22706	SIPO	MN	67742168
593745	2022	1995-07-12	VYDAJ	PREVOD NA UCET	1943	18748	SIPO	MN	67742168
593746	2022	1995-08-12	VYDAJ	PREVOD NA UCET	1943	18648	SIPO	MN	67742168
593747	2022	1995-09-12	VYDAJ	PREVOD NA UCET	1943	20875	SIPO	MN	67742168
593748	2022	1995-10-12	VYDAJ	PREVOD NA UCET	1943	21431	SIPO	MN	67742168
593749	2022	1995-11-12	VYDAJ	PREVOD NA UCET	1943	24231	SIPO	MN	67742168
593750	2022	1995-12-12	VYDAJ	PREVOD NA UCET	1943	27041	SIPO	MN	67742168
593751	2022	1996-01-12	VYDAJ	PREVOD NA UCET	1943	27272	SIPO	MN	67742168
593752	2022	1996-02-12	VYDAJ	PREVOD NA UCET	1943	22557	SIPO	MN	67742168
593753	2022	1996-03-12	VYDAJ	PREVOD NA UCET	1943	25359	SIPO	MN	67742168
593754	2022	1996-04-12	VYDAJ	PREVOD NA UCET	1943	28173	SIPO	MN	67742168
593755	2022	1996-05-12	VYDAJ	PREVOD NA UCET	1943	29877	SIPO	MN	67742168
593756	2022	1996-06-12	VYDAJ	PREVOD NA UCET	1943	32709	SIPO	MN	67742168
593757	2022	1996-07-12	VYDAJ	PREVOD NA UCET	1943	22235	SIPO	MN	67742168
593758	2022	1996-08-12	VYDAJ	PREVOD NA UCET	1943	25036	SIPO	MN	67742168
593759	2022	1996-09-12	VYDAJ	PREVOD NA UCET	1943	20794	SIPO	MN	67742168
593760	2022	1996-10-12	VYDAJ	PREVOD NA UCET	1943	20066	SIPO	MN	67742168
593761	2022	1996-11-12	VYDAJ	PREVOD NA UCET	1943	22858	SIPO	MN	67742168
593762	2022	1996-12-12	VYDAJ	PREVOD NA UCET	1943	25661	SIPO	MN	67742168
593763	2022	1997-01-12	VYDAJ	PREVOD NA UCET	1943	23684	SIPO	MN	67742168
593764	2022	1997-02-12	VYDAJ	PREVOD NA UCET	1943	20198	SIPO	MN	67742168
593765	2022	1997-03-12	VYDAJ	PREVOD NA UCET	1943	22990	SIPO	MN	67742168
593766	2022	1997-04-12	VYDAJ	PREVOD NA UCET	1943	25793	SIPO	MN	67742168
593767	2022	1997-05-12	VYDAJ	PREVOD NA UCET	1943	28208	SIPO	MN	67742168
593768	2022	1997-06-12	VYDAJ	PREVOD NA UCET	1943	26303	SIPO	MN	67742168
593769	2022	1997-07-12	VYDAJ	PREVOD NA UCET	1943	29123	SIPO	MN	67742168
593770	2022	1997-08-12	VYDAJ	PREVOD NA UCET	1943	28592	SIPO	MN	67742168
593771	2022	1997-09-12	VYDAJ	PREVOD NA UCET	1943	31423	SIPO	MN	67742168
593772	2022	1997-10-12	VYDAJ	PREVOD NA UCET	1943	34261	SIPO	MN	67742168
593773	2022	1997-11-12	VYDAJ	PREVOD NA UCET	1943	37110	SIPO	MN	67742168
593774	2022	1997-12-12	VYDAJ	PREVOD NA UCET	1943	33564	SIPO	MN	67742168
593775	2022	1998-01-12	VYDAJ	PREVOD NA UCET	1943	28924	SIPO	MN	67742168
593776	2022	1998-02-12	VYDAJ	PREVOD NA UCET	1943	25748	SIPO	MN	67742168
593777	2022	1998-03-12	VYDAJ	PREVOD NA UCET	1943	26321	SIPO	MN	67742168
593778	2022	1998-04-12	VYDAJ	PREVOD NA UCET	1943	29140	SIPO	MN	67742168
593779	2022	1998-05-12	VYDAJ	PREVOD NA UCET	1943	31968	SIPO	MN	67742168
593780	2022	1998-06-12	VYDAJ	PREVOD NA UCET	1943	34808	SIPO	MN	67742168
593781	2022	1998-07-12	VYDAJ	PREVOD NA UCET	1943	27657	SIPO	MN	67742168
593782	2022	1998-08-12	VYDAJ	PREVOD NA UCET	1943	30478	SIPO	MN	67742168
593783	2022	1998-09-12	VYDAJ	PREVOD NA UCET	1943	33311	SIPO	MN	67742168
593784	2022	1998-10-12	VYDAJ	PREVOD NA UCET	1943	36156	SIPO	MN	67742168
593785	2022	1998-11-12	VYDAJ	PREVOD NA UCET	1943	39013	SIPO	MN	67742168
593786	2022	1998-12-12	VYDAJ	PREVOD NA UCET	1943	41631	SIPO	MN	67742168
593788	2022	1994-06-20	VYDAJ	VYBER	3900	25492	\N	\N	\N
593789	2022	1995-06-19	VYDAJ	VYBER	6750	20608	\N	\N	\N
593790	2022	1996-06-21	VYDAJ	VYBER	13300	24061	\N	\N	\N
593791	2022	1997-06-04	VYDAJ	VYBER	3050	29926	\N	\N	\N
593792	2022	1998-06-29	VYDAJ	VYBER	10000	29460	\N	\N	\N
593795	2022	1995-01-20	VYDAJ	VYBER	4250	21978	\N	\N	\N
593796	2022	1996-01-17	VYDAJ	VYBER	1850	30074	\N	\N	\N
593797	2022	1997-01-19	VYDAJ	VYBER	850	27486	\N	\N	\N
593798	2022	1998-01-07	VYDAJ	VYBER	3300	34307	\N	\N	\N
593799	2022	1993-12-23	VYDAJ	VYBER	250	24662	\N	\N	\N
593800	2022	1994-12-24	VYDAJ	VYBER	450	29673	\N	\N	\N
593801	2022	1995-12-30	VYDAJ	VYBER	350	31343	\N	\N	\N
593802	2022	1996-12-16	VYDAJ	VYBER	550	29763	\N	\N	\N
593803	2022	1997-12-23	VYDAJ	VYBER	750	37466	\N	\N	\N
593804	2022	1998-12-08	VYDAJ	VYBER	250	43574	\N	\N	\N
593811	2022	1994-01-17	VYDAJ	VYBER	400	18916	\N	\N	\N
593812	2022	1994-01-15	VYDAJ	VYBER	1520	19316	\N	\N	\N
593813	2022	1994-01-10	VYDAJ	VYBER	2320	22127	\N	\N	\N
593814	2022	1994-01-12	VYDAJ	VYBER	1280	18904	\N	\N	\N
593815	2022	1994-01-28	VYDAJ	VYBER	1840	15876	\N	\N	\N
593816	2022	1994-01-19	VYDAJ	VYBER	1200	17716	\N	\N	\N
593817	2022	1995-01-13	VYDAJ	VYBER	720	23896	\N	\N	\N
593818	2022	1995-01-11	VYDAJ	VYBER	1920	26559	\N	\N	\N
593819	2022	1995-01-25	VYDAJ	VYBER	2160	17098	\N	\N	\N
593820	2022	1995-01-17	VYDAJ	VYBER	2320	26228	\N	\N	\N
593821	2022	1995-01-22	VYDAJ	VYBER	2320	19258	\N	\N	\N
593822	2022	1995-01-21	VYDAJ	VYBER	400	21578	\N	\N	\N
593823	2022	1996-01-26	VYDAJ	VYBER	640	26074	\N	\N	\N
593824	2022	1996-01-18	VYDAJ	VYBER	400	28634	\N	\N	\N
593825	2022	1996-01-11	VYDAJ	VYBER	2240	29215	\N	\N	\N
593826	2022	1996-01-18	VYDAJ	VYBER	1040	29034	\N	\N	\N
593827	2022	1996-01-24	VYDAJ	VYBER	1120	27514	\N	\N	\N
593828	2022	1996-01-27	VYDAJ	VYBER	1680	24394	\N	\N	\N
593829	2022	1997-01-27	VYDAJ	VYBER	2240	24366	\N	\N	\N
593830	2022	1997-01-10	VYDAJ	VYBER	1280	25627	\N	\N	\N
593831	2022	1997-01-05	VYDAJ	VYBER	960	26907	\N	\N	\N
593832	2022	1997-01-01	VYDAJ	VYBER	2000	27867	\N	\N	\N
593833	2022	1997-01-28	VYDAJ	VYBER	2320	22046	\N	\N	\N
593834	2022	1997-01-23	VYDAJ	VYBER	880	26606	\N	\N	\N
593835	2022	1998-01-20	VYDAJ	VYBER	1920	28536	\N	\N	\N
593836	2022	1998-01-09	VYDAJ	VYBER	2320	31987	\N	\N	\N
593837	2022	1998-01-12	VYDAJ	VYBER	1600	27324	\N	\N	\N
593838	2022	1998-01-26	VYDAJ	VYBER	960	27576	\N	\N	\N
593839	2022	1998-01-20	VYDAJ	VYBER	1520	30456	\N	\N	\N
593840	2022	1998-01-10	VYDAJ	VYBER	1120	30867	\N	\N	\N
593842	2022	1993-10-19	VYDAJ	VYBER	2560	21480	\N	\N	\N
593846	2022	1994-07-29	VYDAJ	VYBER	3360	23218	\N	\N	\N
593847	2022	1994-05-02	VYDAJ	VYBER	400	23882	\N	\N	\N
593848	2022	1994-11-04	VYDAJ	VYBER	720	24610	\N	\N	\N
593849	2022	1994-01-14	VYDAJ	VYBER	2720	20836	\N	\N	\N
593850	2022	1994-06-30	VYDAJ	VYBER	720	24869	\N	\N	\N
593851	2022	1995-10-04	VYDAJ	VYBER	2240	23374	\N	\N	\N
593852	2022	1995-07-15	VYDAJ	VYBER	2880	20520	\N	\N	\N
593853	2022	1995-09-02	VYDAJ	VYBER	560	22818	\N	\N	\N
593854	2022	1995-05-12	VYDAJ	VYBER	2160	20390	\N	\N	\N
593855	2022	1995-04-12	VYDAJ	VYBER	1040	19757	\N	\N	\N
593856	2022	1995-06-03	VYDAJ	VYBER	480	24649	\N	\N	\N
593857	2022	1996-08-16	VYDAJ	VYBER	3280	26408	\N	\N	\N
593858	2022	1996-04-19	VYDAJ	VYBER	1120	31705	\N	\N	\N
593859	2022	1996-08-18	VYDAJ	VYBER	3760	22648	\N	\N	\N
593860	2022	1996-01-26	VYDAJ	VYBER	800	26714	\N	\N	\N
593861	2022	1996-09-26	VYDAJ	VYBER	3520	21926	\N	\N	\N
593862	2022	1997-08-04	VYDAJ	VYBER	3360	30535	\N	\N	\N
593863	2022	1997-12-01	VYDAJ	VYBER	2720	35507	\N	\N	\N
593864	2022	1997-06-07	VYDAJ	VYBER	1680	28246	\N	\N	\N
593865	2022	1997-11-16	VYDAJ	VYBER	3680	38082	\N	\N	\N
593866	2022	1997-04-24	VYDAJ	VYBER	400	30045	\N	\N	\N
593867	2022	1998-03-04	VYDAJ	VYBER	2240	28264	\N	\N	\N
593878	2022	1993-10-31	VYDAJ	VYBER	15	21515	SLUZBY	\N	\N
593879	2022	1993-11-30	VYDAJ	VYBER	15	23403	SLUZBY	\N	\N
593880	2022	1993-12-31	VYDAJ	VYBER	15	24747	SLUZBY	\N	\N
593881	2022	1994-01-31	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
593882	2022	1994-02-28	VYDAJ	VYBER	15	18713	SLUZBY	\N	\N
593883	2022	1994-03-31	VYDAJ	VYBER	15	21492	SLUZBY	\N	\N
593884	2022	1994-04-30	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
593885	2022	1994-05-31	VYDAJ	VYBER	15	26683	SLUZBY	\N	\N
593886	2022	1994-06-30	VYDAJ	VYBER	15	25589	SLUZBY	\N	\N
593887	2022	1994-07-31	VYDAJ	VYBER	15	23310	SLUZBY	\N	\N
593888	2022	1994-08-31	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
593889	2022	1994-09-30	VYDAJ	VYBER	15	28917	SLUZBY	\N	\N
593890	2022	1994-10-31	VYDAJ	VYBER	15	28630	SLUZBY	\N	\N
593891	2022	1994-11-30	VYDAJ	VYBER	15	27414	SLUZBY	\N	\N
593892	2022	1994-12-31	VYDAJ	VYBER	15	29779	SLUZBY	\N	\N
593893	2022	1995-01-31	VYDAJ	VYBER	15	17185	SLUZBY	\N	\N
593894	2022	1995-02-28	VYDAJ	VYBER	15	19957	SLUZBY	\N	\N
593895	2022	1995-03-31	VYDAJ	VYBER	15	22740	SLUZBY	\N	\N
593896	2022	1995-04-30	VYDAJ	VYBER	15	24493	SLUZBY	\N	\N
593897	2022	1995-05-31	VYDAJ	VYBER	15	25129	SLUZBY	\N	\N
593898	2022	1995-06-30	VYDAJ	VYBER	15	20691	SLUZBY	\N	\N
593899	2022	1995-07-31	VYDAJ	VYBER	15	20591	SLUZBY	\N	\N
593900	2022	1995-08-31	VYDAJ	VYBER	15	23378	SLUZBY	\N	\N
593901	2022	1995-09-30	VYDAJ	VYBER	15	25614	SLUZBY	\N	\N
593902	2022	1995-10-31	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
593903	2022	1995-11-30	VYDAJ	VYBER	15	28984	SLUZBY	\N	\N
593904	2022	1995-12-31	VYDAJ	VYBER	15	31455	SLUZBY	\N	\N
593905	2022	1996-01-31	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
593906	2022	1996-02-29	VYDAJ	VYBER	15	27302	SLUZBY	\N	\N
593907	2022	1996-03-31	VYDAJ	VYBER	15	30116	SLUZBY	\N	\N
593908	2022	1996-04-30	VYDAJ	VYBER	15	31820	SLUZBY	\N	\N
593909	2022	1996-05-31	VYDAJ	VYBER	15	34652	SLUZBY	\N	\N
593910	2022	1996-06-30	VYDAJ	VYBER	15	24178	SLUZBY	\N	\N
593911	2022	1996-07-31	VYDAJ	VYBER	15	26979	SLUZBY	\N	\N
593912	2022	1996-08-31	VYDAJ	VYBER	15	22737	SLUZBY	\N	\N
593913	2022	1996-09-30	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
593914	2022	1996-10-31	VYDAJ	VYBER	15	24801	SLUZBY	\N	\N
593915	2022	1996-11-30	VYDAJ	VYBER	15	27604	SLUZBY	\N	\N
593916	2022	1996-12-31	VYDAJ	VYBER	15	29867	SLUZBY	\N	\N
593917	2022	1997-01-31	VYDAJ	VYBER	15	22141	SLUZBY	\N	\N
593918	2022	1997-02-28	VYDAJ	VYBER	15	24933	SLUZBY	\N	\N
593919	2022	1997-03-31	VYDAJ	VYBER	15	27736	SLUZBY	\N	\N
593920	2022	1997-04-30	VYDAJ	VYBER	15	30151	SLUZBY	\N	\N
593921	2022	1997-05-31	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
593922	2022	1997-06-30	VYDAJ	VYBER	15	31066	SLUZBY	\N	\N
593923	2022	1997-07-31	VYDAJ	VYBER	15	33895	SLUZBY	\N	\N
593924	2022	1997-08-31	VYDAJ	VYBER	15	33366	SLUZBY	\N	\N
593925	2022	1997-09-30	VYDAJ	VYBER	15	36204	SLUZBY	\N	\N
593926	2022	1997-10-31	VYDAJ	VYBER	15	39053	SLUZBY	\N	\N
593927	2022	1997-11-30	VYDAJ	VYBER	15	38227	SLUZBY	\N	\N
593928	2022	1997-12-31	VYDAJ	VYBER	15	37607	SLUZBY	\N	\N
593929	2022	1998-01-31	VYDAJ	VYBER	15	27691	SLUZBY	\N	\N
593930	2022	1998-02-28	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
593931	2022	1998-03-31	VYDAJ	VYBER	15	31083	SLUZBY	\N	\N
593932	2022	1998-04-30	VYDAJ	VYBER	15	33911	SLUZBY	\N	\N
593933	2022	1998-05-31	VYDAJ	VYBER	15	36751	SLUZBY	\N	\N
593934	2022	1998-06-30	VYDAJ	VYBER	15	29600	SLUZBY	\N	\N
593935	2022	1998-07-31	VYDAJ	VYBER	15	32421	SLUZBY	\N	\N
593936	2022	1998-08-31	VYDAJ	VYBER	15	35254	SLUZBY	\N	\N
593937	2022	1998-09-30	VYDAJ	VYBER	15	38099	SLUZBY	\N	\N
593938	2022	1998-10-31	VYDAJ	VYBER	15	40956	SLUZBY	\N	\N
593939	2022	1998-11-30	VYDAJ	VYBER	15	43824	SLUZBY	\N	\N
593940	2022	1993-11-08	VYDAJ	VYBER	900	20615	\N	\N	\N
593941	2022	1993-12-08	VYDAJ	VYBER	1200	22203	\N	\N	\N
593942	2022	1994-01-07	VYDAJ	VYBER	300	24447	\N	\N	\N
593943	2022	1994-07-06	VYDAJ	VYBER	1000	23869	\N	\N	\N
593944	2022	1994-10-04	VYDAJ	VYBER	3100	25817	\N	\N	\N
593945	2022	1994-11-03	VYDAJ	VYBER	3300	25330	\N	\N	\N
593946	2022	1995-01-02	VYDAJ	VYBER	1300	28479	\N	\N	\N
594014	2023	1993-01-26	PRIJEM	VKLAD	200	200	\N	\N	\N
594016	2023	1993-02-10	PRIJEM	VKLAD	23524	23724	\N	\N	\N
594017	2023	1993-03-10	PRIJEM	VKLAD	23524	49964	\N	\N	\N
594018	2023	1993-04-10	PRIJEM	VKLAD	23524	61405	\N	\N	\N
594019	2023	1993-05-10	PRIJEM	VKLAD	23524	67891	\N	\N	\N
594020	2023	1993-06-10	PRIJEM	VKLAD	35286	81863	\N	\N	\N
594021	2023	1993-07-10	PRIJEM	VKLAD	23524	54683	\N	\N	\N
594022	2023	1993-08-10	PRIJEM	VKLAD	23524	57947	\N	\N	\N
594023	2023	1993-09-10	PRIJEM	VKLAD	23524	58720	\N	\N	\N
594024	2023	1993-10-10	PRIJEM	VKLAD	23524	57293	\N	\N	\N
594025	2023	1993-11-10	PRIJEM	VKLAD	23524	52960	\N	\N	\N
594026	2023	1993-12-10	PRIJEM	VKLAD	35286	66076	\N	\N	\N
594027	2023	1994-01-10	PRIJEM	VKLAD	23524	53592	\N	\N	\N
594028	2023	1994-02-10	PRIJEM	VKLAD	23524	53042	\N	\N	\N
594029	2023	1994-03-10	PRIJEM	VKLAD	23524	55091	\N	\N	\N
594030	2023	1994-04-10	PRIJEM	VKLAD	23524	55848	\N	\N	\N
594031	2023	1994-05-10	PRIJEM	VKLAD	23524	59311	\N	\N	\N
594032	2023	1994-06-10	PRIJEM	VKLAD	35286	59741	\N	\N	\N
594033	2023	1994-07-10	PRIJEM	VKLAD	23524	59505	\N	\N	\N
594034	2023	1994-08-10	PRIJEM	VKLAD	23524	60277	\N	\N	\N
594035	2023	1994-09-10	PRIJEM	VKLAD	23524	61851	\N	\N	\N
594036	2023	1994-10-10	PRIJEM	VKLAD	23524	58422	\N	\N	\N
594037	2023	1994-11-10	PRIJEM	VKLAD	23524	59185	\N	\N	\N
594038	2023	1994-12-10	PRIJEM	VKLAD	35286	66445	\N	\N	\N
594039	2023	1995-01-10	PRIJEM	VKLAD	23524	58235	\N	\N	\N
594040	2023	1995-02-10	PRIJEM	VKLAD	23524	51767	\N	\N	\N
594041	2023	1995-03-10	PRIJEM	VKLAD	23524	56406	\N	\N	\N
594042	2023	1995-04-10	PRIJEM	VKLAD	23524	60766	\N	\N	\N
594043	2023	1995-05-10	PRIJEM	VKLAD	23524	63038	\N	\N	\N
594044	2023	1995-06-10	PRIJEM	VKLAD	35286	63550	\N	\N	\N
594045	2023	1995-07-10	PRIJEM	VKLAD	23524	63819	\N	\N	\N
594046	2023	1995-08-10	PRIJEM	VKLAD	23524	62894	\N	\N	\N
594047	2023	1995-09-10	PRIJEM	VKLAD	23524	58956	\N	\N	\N
594048	2023	1995-10-10	PRIJEM	VKLAD	23524	60714	\N	\N	\N
594049	2023	1995-11-10	PRIJEM	VKLAD	23524	47704	\N	\N	\N
594050	2023	1995-12-10	PRIJEM	VKLAD	35286	61881	\N	\N	\N
594051	2023	1996-01-10	PRIJEM	VKLAD	23524	53678	\N	\N	\N
594052	2023	1996-02-10	PRIJEM	VKLAD	23524	44569	\N	\N	\N
594053	2023	1996-03-10	PRIJEM	VKLAD	23524	45498	\N	\N	\N
594054	2023	1996-04-10	PRIJEM	VKLAD	23524	49907	\N	\N	\N
594055	2023	1996-05-10	PRIJEM	VKLAD	23524	52610	\N	\N	\N
594056	2023	1996-06-10	PRIJEM	VKLAD	35286	68374	\N	\N	\N
594057	2023	1996-07-10	PRIJEM	VKLAD	23524	61293	\N	\N	\N
594058	2023	1996-08-10	PRIJEM	VKLAD	23524	69000	\N	\N	\N
594059	2023	1996-09-10	PRIJEM	VKLAD	23524	69239	\N	\N	\N
594060	2023	1996-10-10	PRIJEM	VKLAD	23524	69785	\N	\N	\N
594061	2023	1996-11-10	PRIJEM	VKLAD	23524	70334	\N	\N	\N
594062	2023	1996-12-10	PRIJEM	VKLAD	35286	79146	\N	\N	\N
594063	2023	1997-01-10	PRIJEM	VKLAD	23524	71834	\N	\N	\N
594064	2023	1997-02-10	PRIJEM	VKLAD	23524	69984	\N	\N	\N
594065	2023	1997-03-10	PRIJEM	VKLAD	23524	72231	\N	\N	\N
594066	2023	1997-04-10	PRIJEM	VKLAD	23524	72187	\N	\N	\N
594067	2023	1997-05-10	PRIJEM	VKLAD	23524	68027	\N	\N	\N
594068	2023	1997-06-10	PRIJEM	VKLAD	35286	83723	\N	\N	\N
594069	2023	1997-07-10	PRIJEM	VKLAD	23524	71941	\N	\N	\N
594070	2023	1997-08-10	PRIJEM	VKLAD	23524	74894	\N	\N	\N
594071	2023	1997-09-10	PRIJEM	VKLAD	23524	74660	\N	\N	\N
594072	2023	1997-10-10	PRIJEM	VKLAD	23524	75428	\N	\N	\N
594073	2023	1997-11-10	PRIJEM	VKLAD	23524	75098	\N	\N	\N
594074	2023	1997-12-10	PRIJEM	VKLAD	35286	87369	\N	\N	\N
594075	2023	1998-01-10	PRIJEM	VKLAD	23524	76369	\N	\N	\N
594076	2023	1998-02-10	PRIJEM	VKLAD	23524	77743	\N	\N	\N
594077	2023	1998-03-10	PRIJEM	VKLAD	23524	86108	\N	\N	\N
594078	2023	1998-04-10	PRIJEM	VKLAD	23524	89512	\N	\N	\N
594079	2023	1998-05-10	PRIJEM	VKLAD	23524	93725	\N	\N	\N
594080	2023	1998-06-10	PRIJEM	VKLAD	35286	61975	\N	\N	\N
594081	2023	1998-07-10	PRIJEM	VKLAD	23524	78902	\N	\N	\N
594082	2023	1998-08-10	PRIJEM	VKLAD	23524	86629	\N	\N	\N
594083	2023	1998-09-10	PRIJEM	VKLAD	23524	90324	\N	\N	\N
594084	2023	1998-10-10	PRIJEM	VKLAD	23524	93834	\N	\N	\N
594085	2023	1998-11-10	PRIJEM	VKLAD	23524	92254	\N	\N	\N
594086	2023	1998-12-10	PRIJEM	VKLAD	35286	100923	\N	\N	\N
594092	2023	1993-06-14	VYDAJ	PREVOD NA UCET	1687	78492	SIPO	CD	12073362
594093	2023	1993-07-14	VYDAJ	PREVOD NA UCET	1687	51312	SIPO	CD	12073362
594094	2023	1993-08-14	VYDAJ	PREVOD NA UCET	1687	54576	SIPO	CD	12073362
594095	2023	1993-09-14	VYDAJ	PREVOD NA UCET	1687	55349	SIPO	CD	12073362
594096	2023	1993-10-14	VYDAJ	PREVOD NA UCET	1687	53922	SIPO	CD	12073362
594097	2023	1993-11-14	VYDAJ	PREVOD NA UCET	1687	49589	SIPO	CD	12073362
594098	2023	1993-12-14	VYDAJ	PREVOD NA UCET	1687	59025	SIPO	CD	12073362
594099	2023	1994-01-14	VYDAJ	PREVOD NA UCET	1687	49381	SIPO	CD	12073362
594100	2023	1994-02-14	VYDAJ	PREVOD NA UCET	1687	49671	SIPO	CD	12073362
594101	2023	1994-03-14	VYDAJ	PREVOD NA UCET	1687	51720	SIPO	CD	12073362
594102	2023	1994-04-14	VYDAJ	PREVOD NA UCET	1687	52477	SIPO	CD	12073362
594103	2023	1994-05-14	VYDAJ	PREVOD NA UCET	1687	55940	SIPO	CD	12073362
594104	2023	1994-06-14	VYDAJ	PREVOD NA UCET	1687	56370	SIPO	CD	12073362
594105	2023	1994-07-14	VYDAJ	PREVOD NA UCET	1687	56134	SIPO	CD	12073362
594106	2023	1994-08-14	VYDAJ	PREVOD NA UCET	1687	56906	SIPO	CD	12073362
594107	2023	1994-09-14	VYDAJ	PREVOD NA UCET	1687	58480	SIPO	CD	12073362
594108	2023	1994-10-14	VYDAJ	PREVOD NA UCET	1687	55051	SIPO	CD	12073362
594109	2023	1994-11-14	VYDAJ	PREVOD NA UCET	1687	55814	SIPO	CD	12073362
594110	2023	1994-12-14	VYDAJ	PREVOD NA UCET	1687	63074	SIPO	CD	12073362
594111	2023	1995-01-14	VYDAJ	PREVOD NA UCET	1687	53904	SIPO	CD	12073362
594112	2023	1995-02-14	VYDAJ	PREVOD NA UCET	1687	48396	SIPO	CD	12073362
594113	2023	1995-03-14	VYDAJ	PREVOD NA UCET	1687	53035	SIPO	CD	12073362
594114	2023	1995-04-14	VYDAJ	PREVOD NA UCET	1687	57395	SIPO	CD	12073362
594115	2023	1995-05-14	VYDAJ	PREVOD NA UCET	1687	59667	SIPO	CD	12073362
594116	2023	1995-06-14	VYDAJ	PREVOD NA UCET	1687	60179	SIPO	CD	12073362
594117	2023	1995-07-14	VYDAJ	PREVOD NA UCET	1687	60448	SIPO	CD	12073362
594118	2023	1995-08-14	VYDAJ	PREVOD NA UCET	1687	59523	SIPO	CD	12073362
594119	2023	1995-09-14	VYDAJ	PREVOD NA UCET	1687	42285	SIPO	CD	12073362
594120	2023	1995-10-14	VYDAJ	PREVOD NA UCET	1687	39843	SIPO	CD	12073362
594121	2023	1995-11-14	VYDAJ	PREVOD NA UCET	1687	31733	SIPO	CD	12073362
594122	2023	1995-12-14	VYDAJ	PREVOD NA UCET	1687	40510	SIPO	CD	12073362
594123	2023	1996-01-14	VYDAJ	PREVOD NA UCET	1687	34467	SIPO	CD	12073362
594124	2023	1996-02-14	VYDAJ	PREVOD NA UCET	1687	32398	SIPO	CD	12073362
594125	2023	1996-03-14	VYDAJ	PREVOD NA UCET	1687	31527	SIPO	CD	12073362
594126	2023	1996-04-14	VYDAJ	PREVOD NA UCET	1687	35536	SIPO	CD	12073362
594127	2023	1996-05-14	VYDAJ	PREVOD NA UCET	1687	40739	SIPO	CD	12073362
594128	2023	1996-06-14	VYDAJ	PREVOD NA UCET	1687	48843	SIPO	CD	12073362
594129	2023	1996-07-14	VYDAJ	PREVOD NA UCET	1687	57922	SIPO	CD	12073362
594130	2023	1996-08-14	VYDAJ	PREVOD NA UCET	1687	65629	SIPO	CD	12073362
594131	2023	1996-09-14	VYDAJ	PREVOD NA UCET	1687	65868	SIPO	CD	12073362
594132	2023	1996-10-14	VYDAJ	PREVOD NA UCET	1687	66414	SIPO	CD	12073362
594133	2023	1996-11-14	VYDAJ	PREVOD NA UCET	1687	66963	SIPO	CD	12073362
594134	2023	1996-12-14	VYDAJ	PREVOD NA UCET	1687	72895	SIPO	CD	12073362
594135	2023	1997-01-14	VYDAJ	PREVOD NA UCET	1687	68463	SIPO	CD	12073362
594136	2023	1997-02-14	VYDAJ	PREVOD NA UCET	1687	66613	SIPO	CD	12073362
594137	2023	1997-03-14	VYDAJ	PREVOD NA UCET	1687	68860	SIPO	CD	12073362
594138	2023	1997-04-14	VYDAJ	PREVOD NA UCET	1687	63296	SIPO	CD	12073362
594139	2023	1997-05-14	VYDAJ	PREVOD NA UCET	1687	64656	SIPO	CD	12073362
594140	2023	1997-06-14	VYDAJ	PREVOD NA UCET	1687	75072	SIPO	CD	12073362
594141	2023	1997-07-14	VYDAJ	PREVOD NA UCET	1687	68570	SIPO	CD	12073362
594142	2023	1997-08-14	VYDAJ	PREVOD NA UCET	1687	71523	SIPO	CD	12073362
594143	2023	1997-09-14	VYDAJ	PREVOD NA UCET	1687	71289	SIPO	CD	12073362
594144	2023	1997-10-14	VYDAJ	PREVOD NA UCET	1687	72057	SIPO	CD	12073362
594145	2023	1997-11-14	VYDAJ	PREVOD NA UCET	1687	71727	SIPO	CD	12073362
594146	2023	1997-12-14	VYDAJ	PREVOD NA UCET	1687	83998	SIPO	CD	12073362
594147	2023	1998-01-14	VYDAJ	PREVOD NA UCET	1687	69518	SIPO	CD	12073362
594148	2023	1998-02-14	VYDAJ	PREVOD NA UCET	1687	74372	SIPO	CD	12073362
594149	2023	1998-03-14	VYDAJ	PREVOD NA UCET	1687	82737	SIPO	CD	12073362
594150	2023	1998-04-14	VYDAJ	PREVOD NA UCET	1687	86141	SIPO	CD	12073362
594151	2023	1998-05-14	VYDAJ	PREVOD NA UCET	1687	90354	SIPO	CD	12073362
594152	2023	1998-06-14	VYDAJ	PREVOD NA UCET	1687	58604	SIPO	CD	12073362
594153	2023	1998-07-14	VYDAJ	PREVOD NA UCET	1687	75531	SIPO	CD	12073362
594154	2023	1998-08-14	VYDAJ	PREVOD NA UCET	1687	83258	SIPO	CD	12073362
594155	2023	1998-09-14	VYDAJ	PREVOD NA UCET	1687	86953	SIPO	CD	12073362
594156	2023	1998-10-14	VYDAJ	PREVOD NA UCET	1687	90463	SIPO	CD	12073362
594157	2023	1998-11-14	VYDAJ	PREVOD NA UCET	1687	86483	SIPO	CD	12073362
594158	2023	1998-12-14	VYDAJ	PREVOD NA UCET	1687	97552	SIPO	CD	12073362
594165	2023	1993-07-08	VYDAJ	PREVOD NA UCET	4208	32211	 	YZ	90052854
594166	2023	1993-08-08	VYDAJ	PREVOD NA UCET	4208	35475	 	YZ	90052854
594167	2023	1993-09-08	VYDAJ	PREVOD NA UCET	4208	36248	 	YZ	90052854
594168	2023	1993-10-08	VYDAJ	PREVOD NA UCET	4208	34821	 	YZ	90052854
594169	2023	1993-11-08	VYDAJ	PREVOD NA UCET	4208	30488	 	YZ	90052854
594170	2023	1993-12-08	VYDAJ	PREVOD NA UCET	4208	31842	 	YZ	90052854
594171	2023	1994-01-08	VYDAJ	PREVOD NA UCET	4208	34120	 	YZ	90052854
594172	2023	1994-02-08	VYDAJ	PREVOD NA UCET	4208	30570	 	YZ	90052854
594173	2023	1994-03-08	VYDAJ	PREVOD NA UCET	4208	32619	 	YZ	90052854
594174	2023	1994-04-08	VYDAJ	PREVOD NA UCET	4208	33376	 	YZ	90052854
594175	2023	1994-05-08	VYDAJ	PREVOD NA UCET	4208	36839	 	YZ	90052854
594176	2023	1994-06-08	VYDAJ	PREVOD NA UCET	4208	30427	 	YZ	90052854
594177	2023	1994-07-08	VYDAJ	PREVOD NA UCET	4208	37033	 	YZ	90052854
594178	2023	1994-08-08	VYDAJ	PREVOD NA UCET	4208	37805	 	YZ	90052854
594179	2023	1994-09-08	VYDAJ	PREVOD NA UCET	4208	39379	 	YZ	90052854
594180	2023	1994-10-08	VYDAJ	PREVOD NA UCET	4208	35950	 	YZ	90052854
594181	2023	1994-11-08	VYDAJ	PREVOD NA UCET	4208	36713	 	YZ	90052854
594182	2023	1994-12-08	VYDAJ	PREVOD NA UCET	4208	33971	 	YZ	90052854
594183	2023	1995-01-08	VYDAJ	PREVOD NA UCET	4208	35763	 	YZ	90052854
594184	2023	1995-02-08	VYDAJ	PREVOD NA UCET	4208	29295	 	YZ	90052854
594185	2023	1995-03-08	VYDAJ	PREVOD NA UCET	4208	33934	 	YZ	90052854
594186	2023	1995-04-08	VYDAJ	PREVOD NA UCET	4208	38294	 	YZ	90052854
594187	2023	1995-05-08	VYDAJ	PREVOD NA UCET	4208	40566	 	YZ	90052854
594188	2023	1995-06-08	VYDAJ	PREVOD NA UCET	4208	29316	 	YZ	90052854
594189	2023	1995-07-08	VYDAJ	PREVOD NA UCET	4208	41347	 	YZ	90052854
594190	2023	1995-08-08	VYDAJ	PREVOD NA UCET	4208	40422	 	YZ	90052854
594191	2023	1995-09-08	VYDAJ	PREVOD NA UCET	4208	36484	 	YZ	90052854
594192	2023	1995-10-08	VYDAJ	PREVOD NA UCET	4208	38242	 	YZ	90052854
594193	2023	1995-11-08	VYDAJ	PREVOD NA UCET	4208	25232	 	YZ	90052854
594194	2023	1995-12-08	VYDAJ	PREVOD NA UCET	4208	27647	 	YZ	90052854
594195	2023	1996-01-08	VYDAJ	PREVOD NA UCET	4208	31206	 	YZ	90052854
594196	2023	1996-02-08	VYDAJ	PREVOD NA UCET	4208	22097	 	YZ	90052854
594197	2023	1996-03-08	VYDAJ	PREVOD NA UCET	4208	23026	 	YZ	90052854
594198	2023	1996-04-08	VYDAJ	PREVOD NA UCET	4208	27435	 	YZ	90052854
594199	2023	1996-05-08	VYDAJ	PREVOD NA UCET	4208	30138	 	YZ	90052854
594200	2023	1996-06-08	VYDAJ	PREVOD NA UCET	4208	35240	 	YZ	90052854
594201	2023	1996-07-08	VYDAJ	PREVOD NA UCET	4208	44821	 	YZ	90052854
594202	2023	1996-08-08	VYDAJ	PREVOD NA UCET	4208	46528	 	YZ	90052854
594203	2023	1996-09-08	VYDAJ	PREVOD NA UCET	4208	46767	 	YZ	90052854
594204	2023	1996-10-08	VYDAJ	PREVOD NA UCET	4208	47313	 	YZ	90052854
594205	2023	1996-11-08	VYDAJ	PREVOD NA UCET	4208	47862	 	YZ	90052854
594206	2023	1996-12-08	VYDAJ	PREVOD NA UCET	4208	44912	 	YZ	90052854
594207	2023	1997-01-08	VYDAJ	PREVOD NA UCET	4208	49362	 	YZ	90052854
594208	2023	1997-02-08	VYDAJ	PREVOD NA UCET	4208	47512	 	YZ	90052854
594209	2023	1997-03-08	VYDAJ	PREVOD NA UCET	4208	49759	 	YZ	90052854
594210	2023	1997-04-08	VYDAJ	PREVOD NA UCET	4208	49715	 	YZ	90052854
594211	2023	1997-05-08	VYDAJ	PREVOD NA UCET	4208	45555	 	YZ	90052854
594212	2023	1997-06-08	VYDAJ	PREVOD NA UCET	4208	49489	 	YZ	90052854
594213	2023	1997-07-08	VYDAJ	PREVOD NA UCET	4208	49469	 	YZ	90052854
594214	2023	1997-08-08	VYDAJ	PREVOD NA UCET	4208	52422	 	YZ	90052854
594215	2023	1997-09-08	VYDAJ	PREVOD NA UCET	4208	52188	 	YZ	90052854
594216	2023	1997-10-08	VYDAJ	PREVOD NA UCET	4208	52956	 	YZ	90052854
594217	2023	1997-11-08	VYDAJ	PREVOD NA UCET	4208	52626	 	YZ	90052854
594218	2023	1997-12-08	VYDAJ	PREVOD NA UCET	4208	53135	 	YZ	90052854
594219	2023	1998-01-08	VYDAJ	PREVOD NA UCET	4208	56417	 	YZ	90052854
594220	2023	1998-02-08	VYDAJ	PREVOD NA UCET	4208	55271	 	YZ	90052854
594221	2023	1998-03-08	VYDAJ	PREVOD NA UCET	4208	63636	 	YZ	90052854
594222	2023	1998-04-08	VYDAJ	PREVOD NA UCET	4208	67040	 	YZ	90052854
594223	2023	1998-05-08	VYDAJ	PREVOD NA UCET	4208	71253	 	YZ	90052854
594224	2023	1998-06-08	VYDAJ	PREVOD NA UCET	4208	27741	 	YZ	90052854
594225	2023	1998-07-08	VYDAJ	PREVOD NA UCET	4208	56430	 	YZ	90052854
594226	2023	1998-08-08	VYDAJ	PREVOD NA UCET	4208	64157	 	YZ	90052854
594227	2023	1998-09-08	VYDAJ	PREVOD NA UCET	4208	67852	 	YZ	90052854
594228	2023	1998-10-08	VYDAJ	PREVOD NA UCET	4208	71362	 	YZ	90052854
594229	2023	1998-11-08	VYDAJ	PREVOD NA UCET	4208	69782	 	YZ	90052854
594230	2023	1998-12-08	VYDAJ	PREVOD NA UCET	4208	66689	 	YZ	90052854
594237	2023	1993-07-09	VYDAJ	PREVOD NA UCET	1052	31159	POJISTNE	UV	74848830
594238	2023	1993-08-09	VYDAJ	PREVOD NA UCET	1052	34423	POJISTNE	UV	74848830
594239	2023	1993-09-09	VYDAJ	PREVOD NA UCET	1052	35196	POJISTNE	UV	74848830
594240	2023	1993-10-09	VYDAJ	PREVOD NA UCET	1052	33769	POJISTNE	UV	74848830
594241	2023	1993-11-09	VYDAJ	PREVOD NA UCET	1052	29436	POJISTNE	UV	74848830
594242	2023	1993-12-09	VYDAJ	PREVOD NA UCET	1052	30790	POJISTNE	UV	74848830
594243	2023	1994-01-09	VYDAJ	PREVOD NA UCET	1052	30068	POJISTNE	UV	74848830
594244	2023	1994-02-09	VYDAJ	PREVOD NA UCET	1052	29518	POJISTNE	UV	74848830
594245	2023	1994-03-09	VYDAJ	PREVOD NA UCET	1052	31567	POJISTNE	UV	74848830
594246	2023	1994-04-09	VYDAJ	PREVOD NA UCET	1052	32324	POJISTNE	UV	74848830
594247	2023	1994-05-09	VYDAJ	PREVOD NA UCET	1052	35787	POJISTNE	UV	74848830
594248	2023	1994-06-09	VYDAJ	PREVOD NA UCET	1052	24455	POJISTNE	UV	74848830
594249	2023	1994-07-09	VYDAJ	PREVOD NA UCET	1052	35981	POJISTNE	UV	74848830
594250	2023	1994-08-09	VYDAJ	PREVOD NA UCET	1052	36753	POJISTNE	UV	74848830
594251	2023	1994-09-09	VYDAJ	PREVOD NA UCET	1052	38327	POJISTNE	UV	74848830
594252	2023	1994-10-09	VYDAJ	PREVOD NA UCET	1052	34898	POJISTNE	UV	74848830
594253	2023	1994-11-09	VYDAJ	PREVOD NA UCET	1052	35661	POJISTNE	UV	74848830
594254	2023	1994-12-09	VYDAJ	PREVOD NA UCET	1052	31159	POJISTNE	UV	74848830
594255	2023	1995-01-09	VYDAJ	PREVOD NA UCET	1052	34711	POJISTNE	UV	74848830
594256	2023	1995-02-09	VYDAJ	PREVOD NA UCET	1052	28243	POJISTNE	UV	74848830
594257	2023	1995-03-09	VYDAJ	PREVOD NA UCET	1052	32882	POJISTNE	UV	74848830
594258	2023	1995-04-09	VYDAJ	PREVOD NA UCET	1052	37242	POJISTNE	UV	74848830
594259	2023	1995-05-09	VYDAJ	PREVOD NA UCET	1052	39514	POJISTNE	UV	74848830
594260	2023	1995-06-09	VYDAJ	PREVOD NA UCET	1052	28264	POJISTNE	UV	74848830
594261	2023	1995-07-09	VYDAJ	PREVOD NA UCET	1052	40295	POJISTNE	UV	74848830
594262	2023	1995-08-09	VYDAJ	PREVOD NA UCET	1052	39370	POJISTNE	UV	74848830
594263	2023	1995-09-09	VYDAJ	PREVOD NA UCET	1052	35432	POJISTNE	UV	74848830
594264	2023	1995-10-09	VYDAJ	PREVOD NA UCET	1052	37190	POJISTNE	UV	74848830
594265	2023	1995-11-09	VYDAJ	PREVOD NA UCET	1052	24180	POJISTNE	UV	74848830
594266	2023	1995-12-09	VYDAJ	PREVOD NA UCET	1052	26595	POJISTNE	UV	74848830
594267	2023	1996-01-09	VYDAJ	PREVOD NA UCET	1052	30154	POJISTNE	UV	74848830
594268	2023	1996-02-09	VYDAJ	PREVOD NA UCET	1052	21045	POJISTNE	UV	74848830
594269	2023	1996-03-09	VYDAJ	PREVOD NA UCET	1052	21974	POJISTNE	UV	74848830
594270	2023	1996-04-09	VYDAJ	PREVOD NA UCET	1052	26383	POJISTNE	UV	74848830
594271	2023	1996-05-09	VYDAJ	PREVOD NA UCET	1052	29086	POJISTNE	UV	74848830
594272	2023	1996-06-09	VYDAJ	PREVOD NA UCET	1052	34188	POJISTNE	UV	74848830
594273	2023	1996-07-09	VYDAJ	PREVOD NA UCET	1052	43769	POJISTNE	UV	74848830
594274	2023	1996-08-09	VYDAJ	PREVOD NA UCET	1052	45476	POJISTNE	UV	74848830
594275	2023	1996-09-09	VYDAJ	PREVOD NA UCET	1052	45715	POJISTNE	UV	74848830
594276	2023	1996-10-09	VYDAJ	PREVOD NA UCET	1052	46261	POJISTNE	UV	74848830
594277	2023	1996-11-09	VYDAJ	PREVOD NA UCET	1052	46810	POJISTNE	UV	74848830
594278	2023	1996-12-09	VYDAJ	PREVOD NA UCET	1052	43860	POJISTNE	UV	74848830
594279	2023	1997-01-09	VYDAJ	PREVOD NA UCET	1052	48310	POJISTNE	UV	74848830
594280	2023	1997-02-09	VYDAJ	PREVOD NA UCET	1052	46460	POJISTNE	UV	74848830
594281	2023	1997-03-09	VYDAJ	PREVOD NA UCET	1052	48707	POJISTNE	UV	74848830
594282	2023	1997-04-09	VYDAJ	PREVOD NA UCET	1052	48663	POJISTNE	UV	74848830
594283	2023	1997-05-09	VYDAJ	PREVOD NA UCET	1052	44503	POJISTNE	UV	74848830
594284	2023	1997-06-09	VYDAJ	PREVOD NA UCET	1052	48437	POJISTNE	UV	74848830
594285	2023	1997-07-09	VYDAJ	PREVOD NA UCET	1052	48417	POJISTNE	UV	74848830
594286	2023	1997-08-09	VYDAJ	PREVOD NA UCET	1052	51370	POJISTNE	UV	74848830
594287	2023	1997-09-09	VYDAJ	PREVOD NA UCET	1052	51136	POJISTNE	UV	74848830
594288	2023	1997-10-09	VYDAJ	PREVOD NA UCET	1052	51904	POJISTNE	UV	74848830
594289	2023	1997-11-09	VYDAJ	PREVOD NA UCET	1052	51574	POJISTNE	UV	74848830
594290	2023	1997-12-09	VYDAJ	PREVOD NA UCET	1052	52083	POJISTNE	UV	74848830
594291	2023	1998-01-09	VYDAJ	PREVOD NA UCET	1052	52845	POJISTNE	UV	74848830
594292	2023	1998-02-09	VYDAJ	PREVOD NA UCET	1052	54219	POJISTNE	UV	74848830
594293	2023	1998-03-09	VYDAJ	PREVOD NA UCET	1052	62584	POJISTNE	UV	74848830
594294	2023	1998-04-09	VYDAJ	PREVOD NA UCET	1052	65988	POJISTNE	UV	74848830
594295	2023	1998-05-09	VYDAJ	PREVOD NA UCET	1052	70201	POJISTNE	UV	74848830
594296	2023	1998-06-09	VYDAJ	PREVOD NA UCET	1052	26689	POJISTNE	UV	74848830
594297	2023	1998-07-09	VYDAJ	PREVOD NA UCET	1052	55378	POJISTNE	UV	74848830
594298	2023	1998-08-09	VYDAJ	PREVOD NA UCET	1052	63105	POJISTNE	UV	74848830
594299	2023	1998-09-09	VYDAJ	PREVOD NA UCET	1052	66800	POJISTNE	UV	74848830
594300	2023	1998-10-09	VYDAJ	PREVOD NA UCET	1052	70310	POJISTNE	UV	74848830
594301	2023	1998-11-09	VYDAJ	PREVOD NA UCET	1052	68730	POJISTNE	UV	74848830
594302	2023	1998-12-09	VYDAJ	PREVOD NA UCET	1052	65637	POJISTNE	UV	74848830
594308	2023	1993-06-13	VYDAJ	PREVOD NA UCET	1684	80179	 	OP	19809311
594309	2023	1993-07-13	VYDAJ	PREVOD NA UCET	1684	52999	 	OP	19809311
594310	2023	1993-08-13	VYDAJ	PREVOD NA UCET	1684	56263	 	OP	19809311
594311	2023	1993-09-13	VYDAJ	PREVOD NA UCET	1684	57036	 	OP	19809311
594312	2023	1993-10-13	VYDAJ	PREVOD NA UCET	1684	55609	 	OP	19809311
594313	2023	1993-11-13	VYDAJ	PREVOD NA UCET	1684	51276	 	OP	19809311
594314	2023	1993-12-13	VYDAJ	PREVOD NA UCET	1684	60712	 	OP	19809311
594315	2023	1994-01-13	VYDAJ	PREVOD NA UCET	1684	51068	 	OP	19809311
594316	2023	1994-02-13	VYDAJ	PREVOD NA UCET	1684	51358	 	OP	19809311
594317	2023	1994-03-13	VYDAJ	PREVOD NA UCET	1684	53407	 	OP	19809311
594318	2023	1994-04-13	VYDAJ	PREVOD NA UCET	1684	54164	 	OP	19809311
594319	2023	1994-05-13	VYDAJ	PREVOD NA UCET	1684	57627	 	OP	19809311
594320	2023	1994-06-13	VYDAJ	PREVOD NA UCET	1684	58057	 	OP	19809311
594321	2023	1994-07-13	VYDAJ	PREVOD NA UCET	1684	57821	 	OP	19809311
594322	2023	1994-08-13	VYDAJ	PREVOD NA UCET	1684	58593	 	OP	19809311
594323	2023	1994-09-13	VYDAJ	PREVOD NA UCET	1684	60167	 	OP	19809311
594324	2023	1994-10-13	VYDAJ	PREVOD NA UCET	1684	56738	 	OP	19809311
594325	2023	1994-11-13	VYDAJ	PREVOD NA UCET	1684	57501	 	OP	19809311
594326	2023	1994-12-13	VYDAJ	PREVOD NA UCET	1684	64761	 	OP	19809311
594327	2023	1995-01-13	VYDAJ	PREVOD NA UCET	1684	55591	 	OP	19809311
594328	2023	1995-02-13	VYDAJ	PREVOD NA UCET	1684	50083	 	OP	19809311
594329	2023	1995-03-13	VYDAJ	PREVOD NA UCET	1684	54722	 	OP	19809311
594330	2023	1995-04-13	VYDAJ	PREVOD NA UCET	1684	59082	 	OP	19809311
594331	2023	1995-05-13	VYDAJ	PREVOD NA UCET	1684	61354	 	OP	19809311
594332	2023	1995-06-13	VYDAJ	PREVOD NA UCET	1684	61866	 	OP	19809311
594333	2023	1995-07-13	VYDAJ	PREVOD NA UCET	1684	62135	 	OP	19809311
594334	2023	1995-08-13	VYDAJ	PREVOD NA UCET	1684	61210	 	OP	19809311
594335	2023	1995-09-13	VYDAJ	PREVOD NA UCET	1684	57272	 	OP	19809311
594336	2023	1995-10-13	VYDAJ	PREVOD NA UCET	1684	41530	 	OP	19809311
594337	2023	1995-11-13	VYDAJ	PREVOD NA UCET	1684	33420	 	OP	19809311
594338	2023	1995-12-13	VYDAJ	PREVOD NA UCET	1684	42197	 	OP	19809311
594339	2023	1996-01-13	VYDAJ	PREVOD NA UCET	1684	36154	 	OP	19809311
594340	2023	1996-02-13	VYDAJ	PREVOD NA UCET	1684	34085	 	OP	19809311
594341	2023	1996-03-13	VYDAJ	PREVOD NA UCET	1684	33214	 	OP	19809311
594342	2023	1996-04-13	VYDAJ	PREVOD NA UCET	1684	37223	 	OP	19809311
594343	2023	1996-05-13	VYDAJ	PREVOD NA UCET	1684	42426	 	OP	19809311
594344	2023	1996-06-13	VYDAJ	PREVOD NA UCET	1684	66690	 	OP	19809311
594345	2023	1996-07-13	VYDAJ	PREVOD NA UCET	1684	59609	 	OP	19809311
594346	2023	1996-08-13	VYDAJ	PREVOD NA UCET	1684	67316	 	OP	19809311
594347	2023	1996-09-13	VYDAJ	PREVOD NA UCET	1684	67555	 	OP	19809311
594348	2023	1996-10-13	VYDAJ	PREVOD NA UCET	1684	68101	 	OP	19809311
594349	2023	1996-11-13	VYDAJ	PREVOD NA UCET	1684	68650	 	OP	19809311
594350	2023	1996-12-13	VYDAJ	PREVOD NA UCET	1684	74582	 	OP	19809311
594351	2023	1997-01-13	VYDAJ	PREVOD NA UCET	1684	70150	 	OP	19809311
594352	2023	1997-02-13	VYDAJ	PREVOD NA UCET	1684	68300	 	OP	19809311
594353	2023	1997-03-13	VYDAJ	PREVOD NA UCET	1684	70547	 	OP	19809311
594354	2023	1997-04-13	VYDAJ	PREVOD NA UCET	1684	64983	 	OP	19809311
594355	2023	1997-05-13	VYDAJ	PREVOD NA UCET	1684	66343	 	OP	19809311
594356	2023	1997-06-13	VYDAJ	PREVOD NA UCET	1684	76759	 	OP	19809311
594357	2023	1997-07-13	VYDAJ	PREVOD NA UCET	1684	70257	 	OP	19809311
594358	2023	1997-08-13	VYDAJ	PREVOD NA UCET	1684	73210	 	OP	19809311
594359	2023	1997-09-13	VYDAJ	PREVOD NA UCET	1684	72976	 	OP	19809311
594360	2023	1997-10-13	VYDAJ	PREVOD NA UCET	1684	73744	 	OP	19809311
594361	2023	1997-11-13	VYDAJ	PREVOD NA UCET	1684	73414	 	OP	19809311
594362	2023	1997-12-13	VYDAJ	PREVOD NA UCET	1684	85685	 	OP	19809311
594363	2023	1998-01-13	VYDAJ	PREVOD NA UCET	1684	74685	 	OP	19809311
594364	2023	1998-02-13	VYDAJ	PREVOD NA UCET	1684	76059	 	OP	19809311
594365	2023	1998-03-13	VYDAJ	PREVOD NA UCET	1684	84424	 	OP	19809311
594366	2023	1998-04-13	VYDAJ	PREVOD NA UCET	1684	87828	 	OP	19809311
594367	2023	1998-05-13	VYDAJ	PREVOD NA UCET	1684	92041	 	OP	19809311
594368	2023	1998-06-13	VYDAJ	PREVOD NA UCET	1684	60291	 	OP	19809311
594369	2023	1998-07-13	VYDAJ	PREVOD NA UCET	1684	77218	 	OP	19809311
594370	2023	1998-08-13	VYDAJ	PREVOD NA UCET	1684	84945	 	OP	19809311
594371	2023	1998-09-13	VYDAJ	PREVOD NA UCET	1684	88640	 	OP	19809311
594372	2023	1998-10-13	VYDAJ	PREVOD NA UCET	1684	92150	 	OP	19809311
594373	2023	1998-11-13	VYDAJ	PREVOD NA UCET	1684	88170	 	OP	19809311
594374	2023	1998-12-13	VYDAJ	PREVOD NA UCET	1684	99239	 	OP	19809311
594375	2023	1993-06-26	VYDAJ	VYBER	16800	36192	\N	\N	\N
594377	2023	1995-06-04	VYDAJ	VYBER	7040	33524	\N	\N	\N
594378	2023	1996-06-14	VYDAJ	VYBER	16160	50530	\N	\N	\N
594379	2023	1997-06-19	VYDAJ	VYBER	9760	65312	\N	\N	\N
594380	2023	1998-06-06	VYDAJ	VYBER	44640	31949	\N	\N	\N
594381	2023	1993-12-10	VYDAJ	VYBER	3680	62396	\N	\N	\N
594382	2023	1994-12-08	VYDAJ	VYBER	1760	32211	\N	\N	\N
594383	2023	1995-12-22	VYDAJ	VYBER	1760	38150	\N	\N	\N
594384	2023	1996-12-10	VYDAJ	VYBER	2880	76266	\N	\N	\N
594385	2023	1997-12-05	VYDAJ	VYBER	2560	57343	\N	\N	\N
594386	2023	1998-12-22	VYDAJ	VYBER	2080	95472	\N	\N	\N
594393	2023	1994-01-08	VYDAJ	VYBER	3000	31120	\N	\N	\N
594394	2023	1994-01-05	VYDAJ	VYBER	1440	38328	\N	\N	\N
594395	2023	1994-01-18	VYDAJ	VYBER	720	46741	\N	\N	\N
594396	2023	1994-01-27	VYDAJ	VYBER	1320	34621	\N	\N	\N
594397	2023	1994-01-03	VYDAJ	VYBER	2520	39768	\N	\N	\N
594398	2023	1994-01-16	VYDAJ	VYBER	1920	47461	\N	\N	\N
594399	2023	1995-01-12	VYDAJ	VYBER	960	57275	\N	\N	\N
594400	2023	1995-01-06	VYDAJ	VYBER	1320	41171	\N	\N	\N
594401	2023	1995-01-06	VYDAJ	VYBER	1200	39971	\N	\N	\N
594402	2023	1995-01-30	VYDAJ	VYBER	3360	33344	\N	\N	\N
594403	2023	1995-01-26	VYDAJ	VYBER	1440	36704	\N	\N	\N
594404	2023	1995-01-15	VYDAJ	VYBER	2760	51144	\N	\N	\N
594405	2023	1996-01-14	VYDAJ	VYBER	1920	32547	\N	\N	\N
594406	2023	1996-01-07	VYDAJ	VYBER	2880	35414	\N	\N	\N
594407	2023	1996-01-27	VYDAJ	VYBER	600	26187	\N	\N	\N
594408	2023	1996-01-17	VYDAJ	VYBER	2400	30147	\N	\N	\N
594409	2023	1996-01-11	VYDAJ	VYBER	2640	37838	\N	\N	\N
594410	2023	1996-01-20	VYDAJ	VYBER	3360	26787	\N	\N	\N
594411	2023	1997-01-05	VYDAJ	VYBER	2280	69810	\N	\N	\N
594412	2023	1997-01-01	VYDAJ	VYBER	1080	72090	\N	\N	\N
594413	2023	1997-01-16	VYDAJ	VYBER	1080	67383	\N	\N	\N
594414	2023	1997-01-28	VYDAJ	VYBER	600	64863	\N	\N	\N
594415	2023	1997-01-27	VYDAJ	VYBER	1920	65463	\N	\N	\N
594416	2023	1997-01-07	VYDAJ	VYBER	2040	53570	\N	\N	\N
594417	2023	1998-01-08	VYDAJ	VYBER	2520	53897	\N	\N	\N
594418	2023	1998-01-16	VYDAJ	VYBER	2880	66638	\N	\N	\N
594419	2023	1998-01-02	VYDAJ	VYBER	3000	62305	\N	\N	\N
594420	2023	1998-01-13	VYDAJ	VYBER	3480	71205	\N	\N	\N
594421	2023	1998-01-28	VYDAJ	VYBER	3120	63518	\N	\N	\N
594422	2023	1998-01-04	VYDAJ	VYBER	1680	60625	\N	\N	\N
594424	2023	1993-12-28	VYDAJ	VYBER	1920	42105	\N	\N	\N
594425	2023	1993-11-07	VYDAJ	VYBER	4200	34696	\N	\N	\N
594428	2023	1994-06-08	VYDAJ	VYBER	3000	34635	\N	\N	\N
594429	2023	1994-02-16	VYDAJ	VYBER	600	49071	\N	\N	\N
594430	2023	1994-05-24	VYDAJ	VYBER	2280	37460	\N	\N	\N
594431	2023	1994-01-13	VYDAJ	VYBER	840	52752	\N	\N	\N
594432	2023	1994-12-21	VYDAJ	VYBER	3360	42314	\N	\N	\N
594433	2023	1994-06-08	VYDAJ	VYBER	4920	25507	\N	\N	\N
594434	2023	1995-12-15	VYDAJ	VYBER	600	39910	\N	\N	\N
594435	2023	1995-10-25	VYDAJ	VYBER	4560	35283	\N	\N	\N
594436	2023	1995-11-07	VYDAJ	VYBER	1080	29440	\N	\N	\N
594437	2023	1995-11-02	VYDAJ	VYBER	4920	30520	\N	\N	\N
594438	2023	1995-05-19	VYDAJ	VYBER	5880	40387	\N	\N	\N
594439	2023	1996-03-07	VYDAJ	VYBER	5280	27234	\N	\N	\N
594440	2023	1996-06-08	VYDAJ	VYBER	1440	39448	\N	\N	\N
594441	2023	1996-04-16	VYDAJ	VYBER	1320	34216	\N	\N	\N
594442	2023	1997-04-12	VYDAJ	VYBER	5520	66667	\N	\N	\N
594443	2023	1997-06-12	VYDAJ	VYBER	5280	78443	\N	\N	\N
594444	2023	1997-04-26	VYDAJ	VYBER	5280	58016	\N	\N	\N
594445	2023	1998-11-26	VYDAJ	VYBER	3960	71423	\N	\N	\N
594446	2023	1998-07-25	VYDAJ	VYBER	840	74691	\N	\N	\N
594447	2023	1998-11-13	VYDAJ	VYBER	2400	89854	\N	\N	\N
594448	2023	1998-12-02	VYDAJ	VYBER	840	70897	\N	\N	\N
594455	2023	1993-06-30	VYDAJ	VYBER	15	36419	SLUZBY	\N	\N
594456	2023	1993-07-31	VYDAJ	VYBER	15	39683	SLUZBY	\N	\N
594457	2023	1993-08-31	VYDAJ	VYBER	15	40456	SLUZBY	\N	\N
594458	2023	1993-09-30	VYDAJ	VYBER	15	39029	SLUZBY	\N	\N
594459	2023	1993-10-31	VYDAJ	VYBER	15	38896	SLUZBY	\N	\N
594460	2023	1993-11-30	VYDAJ	VYBER	15	36050	SLUZBY	\N	\N
594461	2023	1993-12-31	VYDAJ	VYBER	15	42288	SLUZBY	\N	\N
594462	2023	1994-01-31	VYDAJ	VYBER	15	34778	SLUZBY	\N	\N
594463	2023	1994-02-28	VYDAJ	VYBER	15	36827	SLUZBY	\N	\N
594464	2023	1994-03-31	VYDAJ	VYBER	15	37584	SLUZBY	\N	\N
594465	2023	1994-04-30	VYDAJ	VYBER	15	41047	SLUZBY	\N	\N
594466	2023	1994-05-31	VYDAJ	VYBER	15	37635	SLUZBY	\N	\N
594467	2023	1994-06-30	VYDAJ	VYBER	15	41241	SLUZBY	\N	\N
594468	2023	1994-07-31	VYDAJ	VYBER	15	42013	SLUZBY	\N	\N
594469	2023	1994-08-31	VYDAJ	VYBER	15	43587	SLUZBY	\N	\N
594470	2023	1994-09-30	VYDAJ	VYBER	15	40158	SLUZBY	\N	\N
594471	2023	1994-10-31	VYDAJ	VYBER	15	40921	SLUZBY	\N	\N
594472	2023	1994-11-30	VYDAJ	VYBER	15	38179	SLUZBY	\N	\N
594473	2023	1994-12-31	VYDAJ	VYBER	15	42491	SLUZBY	\N	\N
594474	2023	1995-01-31	VYDAJ	VYBER	15	33503	SLUZBY	\N	\N
594475	2023	1995-02-28	VYDAJ	VYBER	15	38142	SLUZBY	\N	\N
594476	2023	1995-03-31	VYDAJ	VYBER	15	42502	SLUZBY	\N	\N
594477	2023	1995-04-30	VYDAJ	VYBER	15	44774	SLUZBY	\N	\N
594478	2023	1995-05-31	VYDAJ	VYBER	15	40564	SLUZBY	\N	\N
594479	2023	1995-06-30	VYDAJ	VYBER	15	45555	SLUZBY	\N	\N
594480	2023	1995-07-31	VYDAJ	VYBER	15	44630	SLUZBY	\N	\N
594481	2023	1995-08-31	VYDAJ	VYBER	15	40692	SLUZBY	\N	\N
594482	2023	1995-09-30	VYDAJ	VYBER	15	42450	SLUZBY	\N	\N
594483	2023	1995-10-31	VYDAJ	VYBER	15	35440	SLUZBY	\N	\N
594484	2023	1995-11-30	VYDAJ	VYBER	15	31855	SLUZBY	\N	\N
594485	2023	1995-12-31	VYDAJ	VYBER	15	38294	SLUZBY	\N	\N
594486	2023	1996-01-31	VYDAJ	VYBER	15	26305	SLUZBY	\N	\N
594487	2023	1996-02-29	VYDAJ	VYBER	15	32514	SLUZBY	\N	\N
594488	2023	1996-03-31	VYDAJ	VYBER	15	31643	SLUZBY	\N	\N
594489	2023	1996-04-30	VYDAJ	VYBER	15	34346	SLUZBY	\N	\N
594490	2023	1996-05-31	VYDAJ	VYBER	15	40888	SLUZBY	\N	\N
594491	2023	1996-06-30	VYDAJ	VYBER	15	49029	SLUZBY	\N	\N
594492	2023	1996-07-31	VYDAJ	VYBER	15	58136	SLUZBY	\N	\N
594493	2023	1996-08-31	VYDAJ	VYBER	15	65875	SLUZBY	\N	\N
594494	2023	1996-09-30	VYDAJ	VYBER	15	66121	SLUZBY	\N	\N
594495	2023	1996-10-31	VYDAJ	VYBER	15	66670	SLUZBY	\N	\N
594496	2023	1996-11-30	VYDAJ	VYBER	15	67220	SLUZBY	\N	\N
594497	2023	1996-12-31	VYDAJ	VYBER	15	73170	SLUZBY	\N	\N
594498	2023	1997-01-31	VYDAJ	VYBER	15	65120	SLUZBY	\N	\N
594499	2023	1997-02-28	VYDAJ	VYBER	15	66867	SLUZBY	\N	\N
594500	2023	1997-03-31	VYDAJ	VYBER	15	69123	SLUZBY	\N	\N
594501	2023	1997-04-30	VYDAJ	VYBER	15	58263	SLUZBY	\N	\N
594502	2023	1997-05-31	VYDAJ	VYBER	15	64897	SLUZBY	\N	\N
594503	2023	1997-06-30	VYDAJ	VYBER	15	65577	SLUZBY	\N	\N
594504	2023	1997-07-31	VYDAJ	VYBER	15	68830	SLUZBY	\N	\N
594505	2023	1997-08-31	VYDAJ	VYBER	15	71796	SLUZBY	\N	\N
594506	2023	1997-09-30	VYDAJ	VYBER	15	71564	SLUZBY	\N	\N
594507	2023	1997-10-31	VYDAJ	VYBER	15	72334	SLUZBY	\N	\N
594508	2023	1997-11-30	VYDAJ	VYBER	15	72003	SLUZBY	\N	\N
594509	2023	1997-12-31	VYDAJ	VYBER	15	84305	SLUZBY	\N	\N
594510	2023	1998-01-31	VYDAJ	VYBER	15	59479	SLUZBY	\N	\N
594511	2023	1998-02-28	VYDAJ	VYBER	15	74644	SLUZBY	\N	\N
594512	2023	1998-03-31	VYDAJ	VYBER	15	83048	SLUZBY	\N	\N
594513	2023	1998-04-30	VYDAJ	VYBER	15	86461	SLUZBY	\N	\N
594514	2023	1998-05-31	VYDAJ	VYBER	15	76589	SLUZBY	\N	\N
594515	2023	1998-06-30	VYDAJ	VYBER	15	60638	SLUZBY	\N	\N
594516	2023	1998-07-31	VYDAJ	VYBER	15	68365	SLUZBY	\N	\N
594517	2023	1998-08-31	VYDAJ	VYBER	15	72060	SLUZBY	\N	\N
594518	2023	1998-09-30	VYDAJ	VYBER	15	75570	SLUZBY	\N	\N
594519	2023	1998-10-31	VYDAJ	VYBER	15	73990	SLUZBY	\N	\N
594520	2023	1998-11-30	VYDAJ	VYBER	15	71737	SLUZBY	\N	\N
594521	2023	1993-02-25	PRIJEM	VKLAD	2700	26424	\N	\N	\N
594522	2023	1993-03-27	VYDAJ	VYBER	12200	37764	\N	\N	\N
594523	2023	1993-04-26	VYDAJ	VYBER	17200	44205	\N	\N	\N
594524	2023	1993-05-26	VYDAJ	VYBER	21500	46391	\N	\N	\N
594525	2023	1993-06-25	VYDAJ	VYBER	25500	52992	\N	\N	\N
594526	2023	1993-07-25	VYDAJ	VYBER	11800	39512	\N	\N	\N
594527	2023	1993-08-24	VYDAJ	VYBER	14300	40276	\N	\N	\N
594528	2023	1993-09-23	VYDAJ	VYBER	16500	38849	\N	\N	\N
594529	2023	1993-10-23	VYDAJ	VYBER	15200	38722	\N	\N	\N
594530	2023	1993-11-22	VYDAJ	VYBER	13700	35889	\N	\N	\N
594531	2023	1993-12-22	VYDAJ	VYBER	15000	44025	\N	\N	\N
594532	2023	1994-01-21	VYDAJ	VYBER	10800	35941	\N	\N	\N
594533	2023	1994-02-20	VYDAJ	VYBER	12400	36671	\N	\N	\N
594534	2023	1994-03-22	VYDAJ	VYBER	14300	37420	\N	\N	\N
594535	2023	1994-04-21	VYDAJ	VYBER	11600	40877	\N	\N	\N
594536	2023	1994-05-21	VYDAJ	VYBER	16200	39740	\N	\N	\N
594537	2023	1994-06-20	VYDAJ	VYBER	15300	41070	\N	\N	\N
594538	2023	1994-07-20	VYDAJ	VYBER	14300	41834	\N	\N	\N
594539	2023	1994-08-19	VYDAJ	VYBER	13500	43406	\N	\N	\N
594540	2023	1994-09-18	VYDAJ	VYBER	18500	39980	\N	\N	\N
594541	2023	1994-10-18	VYDAJ	VYBER	14300	40751	\N	\N	\N
594542	2023	1994-11-17	VYDAJ	VYBER	17800	38014	\N	\N	\N
594543	2023	1994-12-17	VYDAJ	VYBER	17400	45674	\N	\N	\N
594544	2023	1995-01-16	VYDAJ	VYBER	13000	38144	\N	\N	\N
594545	2023	1995-02-15	VYDAJ	VYBER	10400	37996	\N	\N	\N
594546	2023	1995-03-17	VYDAJ	VYBER	10700	42335	\N	\N	\N
594547	2023	1995-04-16	VYDAJ	VYBER	12800	44595	\N	\N	\N
594548	2023	1995-05-16	VYDAJ	VYBER	13400	46267	\N	\N	\N
594549	2023	1995-06-15	VYDAJ	VYBER	14800	45379	\N	\N	\N
594550	2023	1995-07-15	VYDAJ	VYBER	16000	44448	\N	\N	\N
594551	2023	1995-08-14	VYDAJ	VYBER	19000	40523	\N	\N	\N
594552	2023	1995-09-13	VYDAJ	VYBER	13300	43972	\N	\N	\N
594553	2023	1995-10-13	VYDAJ	VYBER	17500	43214	\N	\N	\N
594554	2023	1995-11-12	VYDAJ	VYBER	12600	35104	\N	\N	\N
594555	2023	1995-12-12	VYDAJ	VYBER	18000	43881	\N	\N	\N
594556	2023	1996-01-11	VYDAJ	VYBER	13200	40478	\N	\N	\N
594557	2023	1996-02-10	VYDAJ	VYBER	8800	35769	\N	\N	\N
594558	2023	1996-03-11	VYDAJ	VYBER	10600	34898	\N	\N	\N
594559	2023	1996-04-10	VYDAJ	VYBER	11000	38907	\N	\N	\N
594560	2023	1996-05-10	VYDAJ	VYBER	8500	44110	\N	\N	\N
594561	2023	1996-06-09	VYDAJ	VYBER	1100	33088	\N	\N	\N
594562	2023	1996-07-09	VYDAJ	VYBER	6000	37769	\N	\N	\N
594563	2023	1996-08-08	VYDAJ	VYBER	7400	50736	\N	\N	\N
594564	2023	1996-09-07	VYDAJ	VYBER	14900	50975	\N	\N	\N
594565	2023	1996-10-07	VYDAJ	VYBER	14600	51521	\N	\N	\N
594566	2023	1996-11-06	VYDAJ	VYBER	14600	52070	\N	\N	\N
594567	2023	1996-12-06	VYDAJ	VYBER	18100	49120	\N	\N	\N
594568	2023	1997-01-05	VYDAJ	VYBER	14200	55610	\N	\N	\N
594569	2023	1997-02-04	VYDAJ	VYBER	13400	51720	\N	\N	\N
594570	2023	1997-03-06	VYDAJ	VYBER	12900	53967	\N	\N	\N
594571	2023	1997-04-05	VYDAJ	VYBER	15200	53923	\N	\N	\N
594572	2023	1997-05-05	VYDAJ	VYBER	8500	49763	\N	\N	\N
594573	2023	1997-06-04	VYDAJ	VYBER	11200	53697	\N	\N	\N
594574	2023	1997-07-04	VYDAJ	VYBER	11900	53677	\N	\N	\N
594575	2023	1997-08-03	VYDAJ	VYBER	12200	56630	\N	\N	\N
594576	2023	1997-09-02	VYDAJ	VYBER	15400	56396	\N	\N	\N
594577	2023	1997-10-02	VYDAJ	VYBER	14400	57164	\N	\N	\N
594578	2023	1997-11-01	VYDAJ	VYBER	15500	56834	\N	\N	\N
594579	2023	1997-12-01	VYDAJ	VYBER	12100	59903	\N	\N	\N
594580	2023	1997-12-31	VYDAJ	VYBER	19000	65305	\N	\N	\N
594581	2023	1998-01-30	VYDAJ	VYBER	4300	59218	\N	\N	\N
594582	2023	1998-03-01	VYDAJ	VYBER	6800	67844	\N	\N	\N
594583	2023	1998-03-31	VYDAJ	VYBER	11800	71248	\N	\N	\N
594584	2023	1998-04-30	VYDAJ	VYBER	11000	75461	\N	\N	\N
594585	2023	1998-05-30	VYDAJ	VYBER	14100	76254	\N	\N	\N
594586	2023	1998-06-29	PRIJEM	VKLAD	1800	60404	\N	\N	\N
594587	2023	1998-07-29	VYDAJ	VYBER	6600	68091	\N	\N	\N
594588	2023	1998-08-28	VYDAJ	VYBER	11500	71758	\N	\N	\N
594589	2023	1998-09-27	VYDAJ	VYBER	11700	75253	\N	\N	\N
594590	2023	1998-10-27	VYDAJ	VYBER	16800	73663	\N	\N	\N
594591	2023	1998-11-26	VYDAJ	VYBER	11100	75383	\N	\N	\N
594663	2024	1997-03-02	PRIJEM	VKLAD	500	500	\N	\N	\N
594666	2024	1997-03-10	PRIJEM	VKLAD	10536	11036	\N	\N	\N
594667	2024	1997-04-10	PRIJEM	VKLAD	10536	26605	\N	\N	\N
594668	2024	1997-05-10	PRIJEM	VKLAD	10536	34132	\N	\N	\N
594669	2024	1997-06-10	PRIJEM	VKLAD	15804	41968	\N	\N	\N
594670	2024	1997-07-10	PRIJEM	VKLAD	10536	41114	\N	\N	\N
594671	2024	1997-08-10	PRIJEM	VKLAD	10536	32134	\N	\N	\N
594672	2024	1997-09-10	PRIJEM	VKLAD	10536	30047	\N	\N	\N
594673	2024	1997-10-10	PRIJEM	VKLAD	10536	31453	\N	\N	\N
594674	2024	1997-11-10	PRIJEM	VKLAD	10536	28644	\N	\N	\N
594675	2024	1997-12-10	PRIJEM	VKLAD	15804	34210	\N	\N	\N
594676	2024	1998-01-10	PRIJEM	VKLAD	10536	29006	\N	\N	\N
594677	2024	1998-02-10	PRIJEM	VKLAD	10536	25187	\N	\N	\N
594678	2024	1998-03-10	PRIJEM	VKLAD	10536	31272	\N	\N	\N
594679	2024	1998-04-10	PRIJEM	VKLAD	10536	31460	\N	\N	\N
594680	2024	1998-05-10	PRIJEM	VKLAD	10536	32653	\N	\N	\N
594681	2024	1998-06-10	PRIJEM	VKLAD	15804	37016	\N	\N	\N
594682	2024	1998-07-10	PRIJEM	VKLAD	10536	33021	\N	\N	\N
594683	2024	1998-08-10	PRIJEM	VKLAD	10536	26227	\N	\N	\N
594684	2024	1998-09-10	PRIJEM	VKLAD	10536	24908	\N	\N	\N
594685	2024	1998-10-10	PRIJEM	VKLAD	10536	24083	\N	\N	\N
594686	2024	1998-11-10	PRIJEM	VKLAD	10536	23253	\N	\N	\N
594687	2024	1998-12-10	PRIJEM	VKLAD	15804	31481	\N	\N	\N
594694	2024	1997-07-10	VYDAJ	PREVOD NA UCET	7024	34090	SIPO	EF	52183383
594695	2024	1997-08-10	VYDAJ	PREVOD NA UCET	7024	25110	SIPO	EF	52183383
594696	2024	1997-09-10	VYDAJ	PREVOD NA UCET	7024	23023	SIPO	EF	52183383
594697	2024	1997-10-10	VYDAJ	PREVOD NA UCET	7024	24429	SIPO	EF	52183383
594698	2024	1997-11-10	VYDAJ	PREVOD NA UCET	7024	21620	SIPO	EF	52183383
594699	2024	1997-12-10	VYDAJ	PREVOD NA UCET	7024	27186	SIPO	EF	52183383
594700	2024	1998-01-10	VYDAJ	PREVOD NA UCET	7024	20882	SIPO	EF	52183383
594701	2024	1998-02-10	VYDAJ	PREVOD NA UCET	7024	18163	SIPO	EF	52183383
594702	2024	1998-03-10	VYDAJ	PREVOD NA UCET	7024	24248	SIPO	EF	52183383
594703	2024	1998-04-10	VYDAJ	PREVOD NA UCET	7024	24436	SIPO	EF	52183383
594704	2024	1998-05-10	VYDAJ	PREVOD NA UCET	7024	25629	SIPO	EF	52183383
594705	2024	1998-06-10	VYDAJ	PREVOD NA UCET	7024	29992	SIPO	EF	52183383
594706	2024	1998-07-10	VYDAJ	PREVOD NA UCET	7024	25997	SIPO	EF	52183383
594707	2024	1998-08-10	VYDAJ	PREVOD NA UCET	7024	19203	SIPO	EF	52183383
594708	2024	1998-09-10	VYDAJ	PREVOD NA UCET	7024	17884	SIPO	EF	52183383
594709	2024	1998-10-10	VYDAJ	PREVOD NA UCET	7024	17059	SIPO	EF	52183383
594710	2024	1998-11-10	VYDAJ	PREVOD NA UCET	7024	16229	SIPO	EF	52183383
594711	2024	1998-12-10	VYDAJ	PREVOD NA UCET	7024	24457	SIPO	EF	52183383
594712	2024	1997-12-22	VYDAJ	VYBER	2200	22386	\N	\N	\N
594713	2024	1998-12-01	VYDAJ	VYBER	600	15677	\N	\N	\N
594720	2024	1998-01-17	VYDAJ	VYBER	600	20282	\N	\N	\N
594721	2024	1998-01-17	VYDAJ	VYBER	2700	16982	\N	\N	\N
594722	2024	1998-01-17	VYDAJ	VYBER	600	19682	\N	\N	\N
594724	2024	1998-01-10	VYDAJ	VYBER	1100	27906	\N	\N	\N
594725	2024	1998-01-23	VYDAJ	VYBER	2900	14082	\N	\N	\N
594728	2024	1997-12-17	VYDAJ	VYBER	2600	24586	\N	\N	\N
594730	2024	1997-07-17	VYDAJ	VYBER	2700	28690	\N	\N	\N
594731	2024	1997-07-11	VYDAJ	VYBER	2700	31390	\N	\N	\N
594733	2024	1998-12-13	VYDAJ	VYBER	1400	23057	\N	\N	\N
594735	2024	1998-03-19	VYDAJ	VYBER	3400	20848	\N	\N	\N
594736	2024	1998-05-23	VYDAJ	VYBER	1900	23729	\N	\N	\N
594744	2024	1997-07-31	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
594745	2024	1997-08-31	VYDAJ	VYBER	15	19511	SLUZBY	\N	\N
594746	2024	1997-09-30	VYDAJ	VYBER	15	20917	SLUZBY	\N	\N
594747	2024	1997-10-31	VYDAJ	VYBER	15	18108	SLUZBY	\N	\N
594748	2024	1997-11-30	VYDAJ	VYBER	15	18406	SLUZBY	\N	\N
594749	2024	1997-12-31	VYDAJ	VYBER	15	18470	SLUZBY	\N	\N
594750	2024	1998-01-31	VYDAJ	VYBER	15	14651	SLUZBY	\N	\N
594751	2024	1998-02-28	VYDAJ	VYBER	15	20736	SLUZBY	\N	\N
594752	2024	1998-03-31	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
594753	2024	1998-04-30	VYDAJ	VYBER	15	22117	SLUZBY	\N	\N
594754	2024	1998-05-31	VYDAJ	VYBER	15	21212	SLUZBY	\N	\N
594755	2024	1998-06-30	VYDAJ	VYBER	15	22485	SLUZBY	\N	\N
594756	2024	1998-07-31	VYDAJ	VYBER	15	15691	SLUZBY	\N	\N
594757	2024	1998-08-31	VYDAJ	VYBER	15	14372	SLUZBY	\N	\N
594758	2024	1998-09-30	VYDAJ	VYBER	15	13547	SLUZBY	\N	\N
594759	2024	1998-10-31	VYDAJ	VYBER	15	12717	SLUZBY	\N	\N
594760	2024	1998-11-30	VYDAJ	VYBER	15	16277	SLUZBY	\N	\N
594761	2024	1997-04-01	PRIJEM	VKLAD	5000	16069	\N	\N	\N
594762	2024	1997-05-01	VYDAJ	VYBER	3100	23596	\N	\N	\N
594763	2024	1997-05-31	VYDAJ	VYBER	8100	26164	\N	\N	\N
594764	2024	1997-06-30	VYDAJ	VYBER	11500	30578	\N	\N	\N
594765	2024	1997-07-30	VYDAJ	VYBER	7200	21490	\N	\N	\N
594766	2024	1997-08-29	VYDAJ	VYBER	5700	19410	\N	\N	\N
594767	2024	1997-09-28	VYDAJ	VYBER	2200	20823	\N	\N	\N
594768	2024	1997-10-28	VYDAJ	VYBER	6400	18029	\N	\N	\N
594769	2024	1997-11-27	VYDAJ	VYBER	3300	18320	\N	\N	\N
594770	2024	1997-12-27	VYDAJ	VYBER	4000	18386	\N	\N	\N
594771	2024	1998-01-26	PRIJEM	VKLAD	500	14582	\N	\N	\N
594772	2024	1998-02-25	PRIJEM	VKLAD	2500	20663	\N	\N	\N
594773	2024	1998-04-26	VYDAJ	VYBER	2400	22036	\N	\N	\N
594774	2024	1998-05-26	VYDAJ	VYBER	2600	21129	\N	\N	\N
594775	2024	1998-06-25	VYDAJ	VYBER	7600	22392	\N	\N	\N
594776	2024	1998-07-25	VYDAJ	VYBER	10400	15597	\N	\N	\N
594777	2024	1998-08-24	VYDAJ	VYBER	4900	14303	\N	\N	\N
594778	2024	1998-09-23	VYDAJ	VYBER	4400	13484	\N	\N	\N
594779	2024	1998-10-23	VYDAJ	VYBER	4400	12659	\N	\N	\N
594802	2025	1994-10-02	PRIJEM	VKLAD	800	800	\N	\N	\N
594812	2025	1994-10-14	PRIJEM	VKLAD	15139	15939	\N	\N	\N
594813	2025	1994-11-14	PRIJEM	VKLAD	15139	33617	\N	\N	\N
594814	2025	1994-12-14	PRIJEM	VKLAD	22709	49133	\N	\N	\N
594815	2025	1995-01-14	PRIJEM	VKLAD	15139	49748	\N	\N	\N
594816	2025	1995-02-14	PRIJEM	VKLAD	15139	54132	\N	\N	\N
594817	2025	1995-03-14	PRIJEM	VKLAD	15139	44810	\N	\N	\N
594818	2025	1995-04-14	PRIJEM	VKLAD	15139	40024	\N	\N	\N
594819	2025	1995-05-14	PRIJEM	VKLAD	15139	38895	\N	\N	\N
594820	2025	1995-06-14	PRIJEM	VKLAD	22709	44129	\N	\N	\N
594821	2025	1995-07-14	PRIJEM	VKLAD	15139	44302	\N	\N	\N
594822	2025	1995-08-14	PRIJEM	VKLAD	15139	40802	\N	\N	\N
594823	2025	1995-09-14	PRIJEM	VKLAD	15139	41074	\N	\N	\N
594824	2025	1995-10-14	PRIJEM	VKLAD	15139	39644	\N	\N	\N
594825	2025	1995-11-14	PRIJEM	VKLAD	15139	37032	\N	\N	\N
594826	2025	1995-12-14	PRIJEM	VKLAD	22709	47867	\N	\N	\N
594827	2025	1996-01-14	PRIJEM	VKLAD	15139	33447	\N	\N	\N
594828	2025	1996-02-14	PRIJEM	VKLAD	15139	34329	\N	\N	\N
594829	2025	1996-03-14	PRIJEM	VKLAD	15139	33289	\N	\N	\N
594830	2025	1996-04-14	PRIJEM	VKLAD	15139	37030	\N	\N	\N
594831	2025	1996-05-14	PRIJEM	VKLAD	15139	37881	\N	\N	\N
594832	2025	1996-06-14	PRIJEM	VKLAD	22709	42602	\N	\N	\N
594833	2025	1996-07-14	PRIJEM	VKLAD	15139	35017	\N	\N	\N
594834	2025	1996-08-14	PRIJEM	VKLAD	15139	36867	\N	\N	\N
594835	2025	1996-09-14	PRIJEM	VKLAD	15139	30370	\N	\N	\N
594836	2025	1996-10-14	PRIJEM	VKLAD	15139	32799	\N	\N	\N
594837	2025	1996-11-14	PRIJEM	VKLAD	15139	37836	\N	\N	\N
594838	2025	1996-12-14	PRIJEM	VKLAD	22709	48459	\N	\N	\N
594839	2025	1997-01-14	PRIJEM	VKLAD	15139	24269	\N	\N	\N
594840	2025	1997-02-14	PRIJEM	VKLAD	15139	27691	\N	\N	\N
594841	2025	1997-03-14	PRIJEM	VKLAD	15139	32103	\N	\N	\N
594842	2025	1997-04-14	PRIJEM	VKLAD	15139	32165	\N	\N	\N
594843	2025	1997-05-14	PRIJEM	VKLAD	15139	28620	\N	\N	\N
594844	2025	1997-06-14	PRIJEM	VKLAD	22709	40806	\N	\N	\N
594845	2025	1997-07-14	PRIJEM	VKLAD	15139	38347	\N	\N	\N
594846	2025	1997-08-14	PRIJEM	VKLAD	15139	37193	\N	\N	\N
594847	2025	1997-09-14	PRIJEM	VKLAD	15139	34630	\N	\N	\N
594848	2025	1997-10-14	PRIJEM	VKLAD	15139	30251	\N	\N	\N
594849	2025	1997-11-14	PRIJEM	VKLAD	15139	29862	\N	\N	\N
594850	2025	1997-12-14	PRIJEM	VKLAD	22709	38543	\N	\N	\N
594851	2025	1998-01-14	PRIJEM	VKLAD	15139	25606	\N	\N	\N
594852	2025	1998-02-14	PRIJEM	VKLAD	15139	23592	\N	\N	\N
594853	2025	1998-03-14	PRIJEM	VKLAD	15139	32092	\N	\N	\N
594854	2025	1998-04-14	PRIJEM	VKLAD	15139	24393	\N	\N	\N
594855	2025	1998-05-14	PRIJEM	VKLAD	15139	32898	\N	\N	\N
594856	2025	1998-06-14	PRIJEM	VKLAD	22709	30906	\N	\N	\N
594857	2025	1998-07-14	PRIJEM	VKLAD	15139	39424	\N	\N	\N
594858	2025	1998-08-14	PRIJEM	VKLAD	15139	24991	\N	\N	\N
594859	2025	1998-09-14	PRIJEM	VKLAD	15139	33535	\N	\N	\N
594860	2025	1998-10-14	PRIJEM	VKLAD	15139	22597	\N	\N	\N
594861	2025	1998-11-14	PRIJEM	VKLAD	15139	31120	\N	\N	\N
594862	2025	1998-12-14	PRIJEM	VKLAD	22709	44181	\N	\N	\N
594877	2025	1995-03-13	VYDAJ	PREVOD NA UCET	6704	29671	SIPO	OP	27186978
594878	2025	1995-04-13	VYDAJ	PREVOD NA UCET	6704	24885	SIPO	OP	27186978
594879	2025	1995-05-13	VYDAJ	PREVOD NA UCET	6704	23756	SIPO	OP	27186978
594880	2025	1995-06-13	VYDAJ	PREVOD NA UCET	6704	21421	SIPO	OP	27186978
594881	2025	1995-07-13	VYDAJ	PREVOD NA UCET	6704	29163	SIPO	OP	27186978
594882	2025	1995-08-13	VYDAJ	PREVOD NA UCET	6704	25663	SIPO	OP	27186978
594883	2025	1995-09-13	VYDAJ	PREVOD NA UCET	6704	25935	SIPO	OP	27186978
594884	2025	1995-10-13	VYDAJ	PREVOD NA UCET	6704	24505	SIPO	OP	27186978
594885	2025	1995-11-13	VYDAJ	PREVOD NA UCET	6704	21893	SIPO	OP	27186978
594886	2025	1995-12-13	VYDAJ	PREVOD NA UCET	6704	25158	SIPO	OP	27186978
594887	2025	1996-01-13	VYDAJ	PREVOD NA UCET	6704	18308	SIPO	OP	27186978
594888	2025	1996-02-13	VYDAJ	PREVOD NA UCET	6704	19190	SIPO	OP	27186978
594889	2025	1996-03-13	VYDAJ	PREVOD NA UCET	6704	18150	SIPO	OP	27186978
594890	2025	1996-04-13	VYDAJ	PREVOD NA UCET	6704	21891	SIPO	OP	27186978
594891	2025	1996-05-13	VYDAJ	PREVOD NA UCET	6704	22742	SIPO	OP	27186978
594892	2025	1996-06-13	VYDAJ	PREVOD NA UCET	6704	19893	SIPO	OP	27186978
594893	2025	1996-07-13	VYDAJ	PREVOD NA UCET	6704	19878	SIPO	OP	27186978
594894	2025	1996-08-13	VYDAJ	PREVOD NA UCET	6704	21728	SIPO	OP	27186978
594895	2025	1996-09-13	VYDAJ	PREVOD NA UCET	6704	15231	SIPO	OP	27186978
594896	2025	1996-10-13	VYDAJ	PREVOD NA UCET	6704	17660	SIPO	OP	27186978
594897	2025	1996-11-13	VYDAJ	PREVOD NA UCET	6704	22697	SIPO	OP	27186978
594898	2025	1996-12-13	VYDAJ	PREVOD NA UCET	6704	25750	SIPO	OP	27186978
594899	2025	1997-01-13	VYDAJ	PREVOD NA UCET	6704	9130	SIPO	OP	27186978
594900	2025	1997-02-13	VYDAJ	PREVOD NA UCET	6704	12552	SIPO	OP	27186978
594901	2025	1997-03-13	VYDAJ	PREVOD NA UCET	6704	16964	SIPO	OP	27186978
594902	2025	1997-04-13	VYDAJ	PREVOD NA UCET	6704	17026	SIPO	OP	27186978
594903	2025	1997-05-13	VYDAJ	PREVOD NA UCET	6704	13481	SIPO	OP	27186978
594904	2025	1997-06-13	VYDAJ	PREVOD NA UCET	6704	18098	SIPO	OP	27186978
594905	2025	1997-07-13	VYDAJ	PREVOD NA UCET	6704	23208	SIPO	OP	27186978
594906	2025	1997-08-13	VYDAJ	PREVOD NA UCET	6704	22054	SIPO	OP	27186978
594907	2025	1997-09-13	VYDAJ	PREVOD NA UCET	6704	19491	SIPO	OP	27186978
594908	2025	1997-10-13	VYDAJ	PREVOD NA UCET	6704	15112	SIPO	OP	27186978
594909	2025	1997-11-13	VYDAJ	PREVOD NA UCET	6704	14723	SIPO	OP	27186978
594910	2025	1997-12-13	VYDAJ	PREVOD NA UCET	6704	15835	SIPO	OP	27186978
594911	2025	1998-01-13	VYDAJ	PREVOD NA UCET	6704	10467	SIPO	OP	27186978
594912	2025	1998-02-13	VYDAJ	PREVOD NA UCET	6704	8453	SIPO	OP	27186978
594913	2025	1998-03-13	VYDAJ	PREVOD NA UCET	6704	16953	SIPO	OP	27186978
594914	2025	1998-04-13	VYDAJ	PREVOD NA UCET	6704	9254	SIPO	OP	27186978
594915	2025	1998-05-13	VYDAJ	PREVOD NA UCET	6704	17759	SIPO	OP	27186978
594916	2025	1998-06-13	VYDAJ	PREVOD NA UCET	6704	8197	SIPO	OP	27186978
594917	2025	1998-07-13	VYDAJ	PREVOD NA UCET	6704	24285	SIPO	OP	27186978
594918	2025	1998-08-13	VYDAJ	PREVOD NA UCET	6704	9852	SIPO	OP	27186978
594919	2025	1998-09-13	VYDAJ	PREVOD NA UCET	6704	18396	SIPO	OP	27186978
594920	2025	1998-10-13	VYDAJ	PREVOD NA UCET	6704	7458	SIPO	OP	27186978
594921	2025	1998-11-13	VYDAJ	PREVOD NA UCET	6704	15981	SIPO	OP	27186978
594922	2025	1998-12-13	VYDAJ	PREVOD NA UCET	6704	21473	SIPO	OP	27186978
594931	2025	1997-01-09	VYDAJ	VYBER	14240	16914	\N	\N	\N
594934	2025	1995-12-30	VYDAJ	VYBER	3360	31707	\N	\N	\N
594935	2025	1996-12-29	VYDAJ	VYBER	3840	31019	\N	\N	\N
594936	2025	1997-12-14	VYDAJ	VYBER	3680	34863	\N	\N	\N
594937	2025	1998-12-04	VYDAJ	VYBER	3040	28177	\N	\N	\N
594950	2025	1996-01-22	VYDAJ	VYBER	720	31527	\N	\N	\N
594951	2025	1996-01-08	VYDAJ	VYBER	1800	28372	\N	\N	\N
594952	2025	1996-01-18	VYDAJ	VYBER	1200	32247	\N	\N	\N
594953	2025	1996-01-06	VYDAJ	VYBER	1680	30172	\N	\N	\N
594954	2025	1996-01-24	VYDAJ	VYBER	2040	29487	\N	\N	\N
594955	2025	1996-01-10	VYDAJ	VYBER	3360	25012	\N	\N	\N
594956	2025	1997-01-28	VYDAJ	VYBER	3480	19169	\N	\N	\N
594957	2025	1997-01-16	VYDAJ	VYBER	3240	21029	\N	\N	\N
594958	2025	1997-01-17	VYDAJ	VYBER	840	20189	\N	\N	\N
594959	2025	1997-01-24	VYDAJ	VYBER	840	22649	\N	\N	\N
594961	2025	1997-01-12	VYDAJ	VYBER	1080	15834	\N	\N	\N
594972	2025	1995-02-21	VYDAJ	VYBER	2520	51612	\N	\N	\N
594973	2025	1995-11-10	VYDAJ	VYBER	3480	28597	\N	\N	\N
594974	2025	1995-07-21	VYDAJ	VYBER	4680	39622	\N	\N	\N
594975	2025	1995-10-31	VYDAJ	VYBER	3000	32077	\N	\N	\N
594976	2025	1996-03-12	VYDAJ	VYBER	1080	24854	\N	\N	\N
594977	2025	1996-08-20	VYDAJ	VYBER	3840	33027	\N	\N	\N
594978	2025	1996-07-07	VYDAJ	VYBER	4440	26582	\N	\N	\N
594979	2025	1996-09-13	VYDAJ	VYBER	4200	21935	\N	\N	\N
594980	2025	1997-03-15	VYDAJ	VYBER	3360	28743	\N	\N	\N
594981	2025	1997-04-14	VYDAJ	VYBER	3840	28325	\N	\N	\N
594983	2025	1997-04-16	VYDAJ	VYBER	2520	25805	\N	\N	\N
594984	2025	1997-12-18	VYDAJ	VYBER	3360	17103	\N	\N	\N
594985	2025	1998-10-06	VYDAJ	VYBER	1680	31962	\N	\N	\N
595000	2025	1995-02-28	VYDAJ	VYBER	15	51775	SLUZBY	\N	\N
595001	2025	1995-03-31	VYDAJ	VYBER	15	44989	SLUZBY	\N	\N
595002	2025	1995-04-30	VYDAJ	VYBER	15	30460	SLUZBY	\N	\N
595003	2025	1995-05-31	VYDAJ	VYBER	15	28125	SLUZBY	\N	\N
595004	2025	1995-06-30	VYDAJ	VYBER	15	35867	SLUZBY	\N	\N
595005	2025	1995-07-31	VYDAJ	VYBER	15	32367	SLUZBY	\N	\N
595006	2025	1995-08-31	VYDAJ	VYBER	15	32639	SLUZBY	\N	\N
595007	2025	1995-09-30	VYDAJ	VYBER	15	31209	SLUZBY	\N	\N
595008	2025	1995-10-31	VYDAJ	VYBER	15	35077	SLUZBY	\N	\N
595009	2025	1995-11-30	VYDAJ	VYBER	15	31862	SLUZBY	\N	\N
595010	2025	1995-12-31	VYDAJ	VYBER	15	31852	SLUZBY	\N	\N
595011	2025	1996-01-31	VYDAJ	VYBER	15	25894	SLUZBY	\N	\N
595012	2025	1996-02-29	VYDAJ	VYBER	15	25934	SLUZBY	\N	\N
595013	2025	1996-03-31	VYDAJ	VYBER	15	28595	SLUZBY	\N	\N
595014	2025	1996-04-30	VYDAJ	VYBER	15	29446	SLUZBY	\N	\N
595015	2025	1996-05-31	VYDAJ	VYBER	15	26597	SLUZBY	\N	\N
595016	2025	1996-06-30	VYDAJ	VYBER	15	31022	SLUZBY	\N	\N
595017	2025	1996-07-31	VYDAJ	VYBER	15	28432	SLUZBY	\N	\N
595018	2025	1996-08-31	VYDAJ	VYBER	15	26135	SLUZBY	\N	\N
595019	2025	1996-09-30	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
595020	2025	1996-10-31	VYDAJ	VYBER	15	29401	SLUZBY	\N	\N
595021	2025	1996-11-30	VYDAJ	VYBER	15	32454	SLUZBY	\N	\N
595022	2025	1996-12-31	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
595023	2025	1997-01-31	VYDAJ	VYBER	15	19256	SLUZBY	\N	\N
595024	2025	1997-02-28	VYDAJ	VYBER	15	23668	SLUZBY	\N	\N
595025	2025	1997-03-31	VYDAJ	VYBER	15	23730	SLUZBY	\N	\N
595026	2025	1997-04-30	VYDAJ	VYBER	15	20185	SLUZBY	\N	\N
595027	2025	1997-05-31	VYDAJ	VYBER	15	24802	SLUZBY	\N	\N
595028	2025	1997-06-30	VYDAJ	VYBER	15	29912	SLUZBY	\N	\N
595029	2025	1997-07-31	VYDAJ	VYBER	15	28758	SLUZBY	\N	\N
595030	2025	1997-08-31	VYDAJ	VYBER	15	26195	SLUZBY	\N	\N
595031	2025	1997-09-30	VYDAJ	VYBER	15	21816	SLUZBY	\N	\N
595032	2025	1997-10-31	VYDAJ	VYBER	15	21427	SLUZBY	\N	\N
595033	2025	1997-11-30	VYDAJ	VYBER	15	22539	SLUZBY	\N	\N
595034	2025	1997-12-31	VYDAJ	VYBER	15	17171	SLUZBY	\N	\N
595035	2025	1998-01-31	VYDAJ	VYBER	15	15157	SLUZBY	\N	\N
595036	2025	1998-02-28	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
595037	2025	1998-03-31	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
595038	2025	1998-04-30	VYDAJ	VYBER	15	24463	SLUZBY	\N	\N
595039	2025	1998-05-31	VYDAJ	VYBER	15	14901	SLUZBY	\N	\N
595040	2025	1998-06-30	VYDAJ	VYBER	15	30989	SLUZBY	\N	\N
595041	2025	1998-07-31	VYDAJ	VYBER	15	39556	SLUZBY	\N	\N
595042	2025	1998-08-31	VYDAJ	VYBER	15	25100	SLUZBY	\N	\N
595043	2025	1998-09-30	VYDAJ	VYBER	15	33642	SLUZBY	\N	\N
595044	2025	1998-10-31	VYDAJ	VYBER	15	22685	SLUZBY	\N	\N
595045	2025	1998-11-30	VYDAJ	VYBER	15	31217	SLUZBY	\N	\N
595046	2025	1994-11-01	PRIJEM	VKLAD	2500	18478	\N	\N	\N
595047	2025	1994-12-01	VYDAJ	VYBER	7300	26425	\N	\N	\N
595048	2025	1994-12-31	VYDAJ	VYBER	14700	34609	\N	\N	\N
595049	2025	1995-01-30	VYDAJ	VYBER	10900	38848	\N	\N	\N
595050	2025	1995-03-01	VYDAJ	VYBER	15400	36375	\N	\N	\N
595051	2025	1995-03-31	VYDAJ	VYBER	13400	31589	\N	\N	\N
595052	2025	1995-04-30	VYDAJ	VYBER	9700	30474	\N	\N	\N
595053	2025	1995-05-30	VYDAJ	VYBER	10900	27995	\N	\N	\N
595054	2025	1995-06-29	VYDAJ	VYBER	8400	35729	\N	\N	\N
595055	2025	1995-07-29	VYDAJ	VYBER	7400	32222	\N	\N	\N
595056	2025	1995-08-28	VYDAJ	VYBER	8300	32502	\N	\N	\N
595057	2025	1995-09-27	VYDAJ	VYBER	10000	31074	\N	\N	\N
595058	2025	1995-10-27	VYDAJ	VYBER	4700	34944	\N	\N	\N
595059	2025	1995-11-26	VYDAJ	VYBER	5300	31732	\N	\N	\N
595060	2025	1995-12-26	VYDAJ	VYBER	12800	35067	\N	\N	\N
595061	2025	1996-01-25	VYDAJ	VYBER	3700	25787	\N	\N	\N
595062	2025	1996-02-24	VYDAJ	VYBER	8500	25829	\N	\N	\N
595063	2025	1996-03-25	VYDAJ	VYBER	4800	28489	\N	\N	\N
595064	2025	1996-04-24	VYDAJ	VYBER	7700	29330	\N	\N	\N
595065	2025	1996-05-24	VYDAJ	VYBER	11400	26481	\N	\N	\N
595066	2025	1996-06-23	VYDAJ	VYBER	11700	30902	\N	\N	\N
595067	2025	1996-07-23	VYDAJ	VYBER	6700	28317	\N	\N	\N
595068	2025	1996-08-22	VYDAJ	VYBER	7000	26027	\N	\N	\N
595069	2025	1996-09-21	VYDAJ	VYBER	6100	24270	\N	\N	\N
595070	2025	1996-10-21	VYDAJ	VYBER	3500	29299	\N	\N	\N
595071	2025	1996-11-20	VYDAJ	VYBER	5500	32336	\N	\N	\N
595072	2025	1996-12-20	VYDAJ	VYBER	13600	34859	\N	\N	\N
595073	2025	1997-01-19	PRIJEM	VKLAD	3300	23489	\N	\N	\N
595074	2025	1997-02-18	VYDAJ	VYBER	4100	23591	\N	\N	\N
595075	2025	1997-03-20	VYDAJ	VYBER	5100	23643	\N	\N	\N
595076	2025	1997-04-19	VYDAJ	VYBER	5700	20105	\N	\N	\N
595077	2025	1997-05-19	VYDAJ	VYBER	3900	24720	\N	\N	\N
595078	2025	1997-06-18	VYDAJ	VYBER	11000	29806	\N	\N	\N
595079	2025	1997-07-18	VYDAJ	VYBER	9700	28647	\N	\N	\N
595080	2025	1997-08-17	VYDAJ	VYBER	11100	26093	\N	\N	\N
595081	2025	1997-09-16	VYDAJ	VYBER	12900	21730	\N	\N	\N
595082	2025	1997-10-16	VYDAJ	VYBER	8900	21351	\N	\N	\N
595083	2025	1997-11-15	VYDAJ	VYBER	7400	22462	\N	\N	\N
595084	2025	1997-12-15	VYDAJ	VYBER	14400	20463	\N	\N	\N
595085	2025	1998-01-14	VYDAJ	VYBER	10500	15106	\N	\N	\N
595086	2025	1998-03-15	VYDAJ	VYBER	16200	15892	\N	\N	\N
595087	2025	1998-05-14	VYDAJ	VYBER	18100	14798	\N	\N	\N
595088	2025	1998-08-12	VYDAJ	VYBER	23000	16556	\N	\N	\N
595089	2025	1998-10-11	VYDAJ	VYBER	17800	14162	\N	\N	\N
595141	2026	1996-09-14	PRIJEM	VKLAD	900	900	\N	\N	\N
595151	2026	1996-10-13	PRIJEM	VKLAD	13696	14596	\N	\N	\N
595152	2026	1996-11-13	PRIJEM	VKLAD	13696	32237	\N	\N	\N
595153	2026	1996-12-13	PRIJEM	VKLAD	20544	47479	\N	\N	\N
595154	2026	1997-01-13	PRIJEM	VKLAD	13696	42213	\N	\N	\N
595155	2026	1997-02-13	PRIJEM	VKLAD	13696	46277	\N	\N	\N
595156	2026	1997-03-13	PRIJEM	VKLAD	13696	52211	\N	\N	\N
595157	2026	1997-04-13	PRIJEM	VKLAD	13696	40723	\N	\N	\N
595158	2026	1997-05-13	PRIJEM	VKLAD	13696	42329	\N	\N	\N
595159	2026	1997-06-13	PRIJEM	VKLAD	20544	46497	\N	\N	\N
595160	2026	1997-07-13	PRIJEM	VKLAD	13696	45424	\N	\N	\N
595161	2026	1997-08-13	PRIJEM	VKLAD	13696	39564	\N	\N	\N
595162	2026	1997-09-13	PRIJEM	VKLAD	13696	40082	\N	\N	\N
595163	2026	1997-10-13	PRIJEM	VKLAD	13696	41193	\N	\N	\N
595164	2026	1997-11-13	PRIJEM	VKLAD	13696	42203	\N	\N	\N
595165	2026	1997-12-13	PRIJEM	VKLAD	20544	49064	\N	\N	\N
595166	2026	1998-01-13	PRIJEM	VKLAD	13696	45200	\N	\N	\N
595167	2026	1998-02-13	PRIJEM	VKLAD	13696	48518	\N	\N	\N
595168	2026	1998-03-13	PRIJEM	VKLAD	13696	55153	\N	\N	\N
595169	2026	1998-04-13	PRIJEM	VKLAD	13696	54920	\N	\N	\N
595170	2026	1998-05-13	PRIJEM	VKLAD	13696	53894	\N	\N	\N
595171	2026	1998-06-13	PRIJEM	VKLAD	20544	52511	\N	\N	\N
595172	2026	1998-07-13	PRIJEM	VKLAD	13696	61464	\N	\N	\N
595173	2026	1998-08-13	PRIJEM	VKLAD	13696	66155	\N	\N	\N
595174	2026	1998-09-13	PRIJEM	VKLAD	13696	66769	\N	\N	\N
595175	2026	1998-10-13	PRIJEM	VKLAD	13696	64389	\N	\N	\N
595176	2026	1998-11-13	PRIJEM	VKLAD	13696	62595	\N	\N	\N
595177	2026	1998-12-13	PRIJEM	VKLAD	20544	73948	\N	\N	\N
595192	2026	1997-03-11	VYDAJ	PREVOD NA UCET	1943	38515	SIPO	WX	61090582
595193	2026	1997-04-11	VYDAJ	PREVOD NA UCET	1943	26627	SIPO	WX	61090582
595194	2026	1997-05-11	VYDAJ	PREVOD NA UCET	1943	35533	SIPO	WX	61090582
595195	2026	1997-06-11	VYDAJ	PREVOD NA UCET	1943	25953	SIPO	WX	61090582
595196	2026	1997-07-11	VYDAJ	PREVOD NA UCET	1943	41328	SIPO	WX	61090582
595197	2026	1997-08-11	VYDAJ	PREVOD NA UCET	1943	25868	SIPO	WX	61090582
595198	2026	1997-09-11	VYDAJ	PREVOD NA UCET	1943	26386	SIPO	WX	61090582
595199	2026	1997-10-11	VYDAJ	PREVOD NA UCET	1943	27497	SIPO	WX	61090582
595200	2026	1997-11-11	VYDAJ	PREVOD NA UCET	1943	28507	SIPO	WX	61090582
595201	2026	1997-12-11	VYDAJ	PREVOD NA UCET	1943	28520	SIPO	WX	61090582
595202	2026	1998-01-11	VYDAJ	PREVOD NA UCET	1943	31504	SIPO	WX	61090582
595203	2026	1998-02-11	VYDAJ	PREVOD NA UCET	1943	34822	SIPO	WX	61090582
595204	2026	1998-03-11	VYDAJ	PREVOD NA UCET	1943	41457	SIPO	WX	61090582
595205	2026	1998-04-11	VYDAJ	PREVOD NA UCET	1943	41224	SIPO	WX	61090582
595206	2026	1998-05-11	VYDAJ	PREVOD NA UCET	1943	40198	SIPO	WX	61090582
595207	2026	1998-06-11	VYDAJ	PREVOD NA UCET	1943	31967	SIPO	WX	61090582
595208	2026	1998-07-11	VYDAJ	PREVOD NA UCET	1943	47768	SIPO	WX	61090582
595209	2026	1998-08-11	VYDAJ	PREVOD NA UCET	1943	52459	SIPO	WX	61090582
595210	2026	1998-09-11	VYDAJ	PREVOD NA UCET	1943	53073	SIPO	WX	61090582
595211	2026	1998-10-11	VYDAJ	PREVOD NA UCET	1943	50693	SIPO	WX	61090582
595212	2026	1998-11-11	VYDAJ	PREVOD NA UCET	1943	48899	SIPO	WX	61090582
595213	2026	1998-12-11	VYDAJ	PREVOD NA UCET	1943	53404	SIPO	WX	61090582
595228	2026	1997-03-08	VYDAJ	PREVOD NA UCET	3387	40458	 	YZ	17594266
595229	2026	1997-04-08	VYDAJ	PREVOD NA UCET	3387	28570	 	YZ	17594266
595230	2026	1997-05-08	VYDAJ	PREVOD NA UCET	3387	37476	 	YZ	17594266
595231	2026	1997-06-08	VYDAJ	PREVOD NA UCET	3387	29696	 	YZ	17594266
595232	2026	1997-07-08	VYDAJ	PREVOD NA UCET	3387	43271	 	YZ	17594266
595233	2026	1997-08-08	VYDAJ	PREVOD NA UCET	3387	41711	 	YZ	17594266
595234	2026	1997-09-08	VYDAJ	PREVOD NA UCET	3387	36329	 	YZ	17594266
595235	2026	1997-10-08	VYDAJ	PREVOD NA UCET	3387	36840	 	YZ	17594266
595236	2026	1997-11-08	VYDAJ	PREVOD NA UCET	3387	33450	 	YZ	17594266
595237	2026	1997-12-08	VYDAJ	PREVOD NA UCET	3387	34263	 	YZ	17594266
595238	2026	1998-01-08	VYDAJ	PREVOD NA UCET	3387	33447	 	YZ	17594266
595239	2026	1998-02-08	VYDAJ	PREVOD NA UCET	3387	36765	 	YZ	17594266
595240	2026	1998-03-08	VYDAJ	PREVOD NA UCET	3387	43400	 	YZ	17594266
595241	2026	1998-04-08	VYDAJ	PREVOD NA UCET	3387	47667	 	YZ	17594266
595242	2026	1998-05-08	VYDAJ	PREVOD NA UCET	3387	42141	 	YZ	17594266
595243	2026	1998-06-08	VYDAJ	PREVOD NA UCET	3387	33910	 	YZ	17594266
595244	2026	1998-07-08	VYDAJ	PREVOD NA UCET	3387	49711	 	YZ	17594266
595245	2026	1998-08-08	VYDAJ	PREVOD NA UCET	3387	54402	 	YZ	17594266
595246	2026	1998-09-08	VYDAJ	PREVOD NA UCET	3387	55016	 	YZ	17594266
595247	2026	1998-10-08	VYDAJ	PREVOD NA UCET	3387	52636	 	YZ	17594266
595248	2026	1998-11-08	VYDAJ	PREVOD NA UCET	3387	50842	 	YZ	17594266
595249	2026	1998-12-08	VYDAJ	PREVOD NA UCET	3387	55347	 	YZ	17594266
595251	2026	1997-06-03	VYDAJ	VYBER	7300	33083	\N	\N	\N
595252	2026	1998-06-05	VYDAJ	VYBER	24400	29697	\N	\N	\N
595255	2026	1998-01-04	VYDAJ	VYBER	4000	42034	\N	\N	\N
595257	2026	1997-12-26	VYDAJ	VYBER	600	48464	\N	\N	\N
595258	2026	1998-12-16	VYDAJ	VYBER	2700	71248	\N	\N	\N
595271	2026	1998-01-16	VYDAJ	VYBER	700	41400	\N	\N	\N
595272	2026	1998-01-13	VYDAJ	VYBER	1500	43700	\N	\N	\N
595273	2026	1998-01-01	VYDAJ	VYBER	800	47834	\N	\N	\N
595274	2026	1998-01-05	VYDAJ	VYBER	1700	40334	\N	\N	\N
595275	2026	1998-01-02	VYDAJ	VYBER	1800	46034	\N	\N	\N
595276	2026	1998-01-22	VYDAJ	VYBER	1700	39700	\N	\N	\N
595283	2026	1997-07-14	VYDAJ	VYBER	500	44924	\N	\N	\N
595284	2026	1997-10-22	VYDAJ	VYBER	4500	36693	\N	\N	\N
595285	2026	1997-03-28	VYDAJ	VYBER	4900	31811	\N	\N	\N
595286	2026	1997-02-21	VYDAJ	VYBER	2600	43677	\N	\N	\N
595287	2026	1997-12-05	VYDAJ	VYBER	4700	37650	\N	\N	\N
595288	2026	1997-05-20	VYDAJ	VYBER	2100	40229	\N	\N	\N
595289	2026	1998-03-31	VYDAJ	VYBER	700	54654	\N	\N	\N
595290	2026	1998-10-02	VYDAJ	VYBER	2400	64623	\N	\N	\N
595291	2026	1998-01-14	VYDAJ	VYBER	1600	42100	\N	\N	\N
595292	2026	1998-04-11	VYDAJ	VYBER	4500	43167	\N	\N	\N
595293	2026	1998-10-13	VYDAJ	VYBER	600	63789	\N	\N	\N
595308	2026	1997-02-28	VYDAJ	VYBER	15	43845	SLUZBY	\N	\N
595309	2026	1997-03-31	VYDAJ	VYBER	15	31957	SLUZBY	\N	\N
595310	2026	1997-04-30	VYDAJ	VYBER	15	40863	SLUZBY	\N	\N
595311	2026	1997-05-31	VYDAJ	VYBER	15	40383	SLUZBY	\N	\N
595312	2026	1997-06-30	VYDAJ	VYBER	15	46658	SLUZBY	\N	\N
595313	2026	1997-07-31	VYDAJ	VYBER	15	45098	SLUZBY	\N	\N
595314	2026	1997-08-31	VYDAJ	VYBER	15	39716	SLUZBY	\N	\N
595315	2026	1997-09-30	VYDAJ	VYBER	15	40227	SLUZBY	\N	\N
595316	2026	1997-10-31	VYDAJ	VYBER	15	36837	SLUZBY	\N	\N
595317	2026	1997-11-30	VYDAJ	VYBER	15	42350	SLUZBY	\N	\N
595318	2026	1997-12-31	VYDAJ	VYBER	15	48634	SLUZBY	\N	\N
595319	2026	1998-01-31	VYDAJ	VYBER	15	39852	SLUZBY	\N	\N
595320	2026	1998-02-28	VYDAJ	VYBER	15	48687	SLUZBY	\N	\N
595321	2026	1998-03-31	VYDAJ	VYBER	15	55354	SLUZBY	\N	\N
595322	2026	1998-04-30	VYDAJ	VYBER	15	55128	SLUZBY	\N	\N
595323	2026	1998-05-31	VYDAJ	VYBER	15	54097	SLUZBY	\N	\N
595324	2026	1998-06-30	VYDAJ	VYBER	15	52698	SLUZBY	\N	\N
595325	2026	1998-07-31	VYDAJ	VYBER	15	61689	SLUZBY	\N	\N
595326	2026	1998-08-31	VYDAJ	VYBER	15	66403	SLUZBY	\N	\N
595327	2026	1998-09-30	VYDAJ	VYBER	15	67023	SLUZBY	\N	\N
595328	2026	1998-10-31	VYDAJ	VYBER	15	64029	SLUZBY	\N	\N
595329	2026	1998-11-30	VYDAJ	VYBER	15	62834	SLUZBY	\N	\N
595330	2026	1996-10-14	PRIJEM	VKLAD	3900	18496	\N	\N	\N
595331	2026	1996-11-13	VYDAJ	VYBER	5400	26837	\N	\N	\N
595332	2026	1996-12-13	VYDAJ	VYBER	10200	37279	\N	\N	\N
595333	2026	1997-01-12	VYDAJ	VYBER	8900	28517	\N	\N	\N
595334	2026	1997-02-11	VYDAJ	VYBER	9800	32581	\N	\N	\N
595335	2026	1997-03-13	VYDAJ	VYBER	15500	36711	\N	\N	\N
595336	2026	1997-04-12	PRIJEM	VKLAD	400	27027	\N	\N	\N
595337	2026	1997-05-12	VYDAJ	VYBER	6900	28633	\N	\N	\N
595338	2026	1997-06-11	VYDAJ	VYBER	1800	27896	\N	\N	\N
595339	2026	1997-07-11	VYDAJ	VYBER	9600	31728	\N	\N	\N
595340	2026	1997-08-10	VYDAJ	VYBER	13900	27811	\N	\N	\N
595341	2026	1997-09-09	VYDAJ	VYBER	8000	28329	\N	\N	\N
595342	2026	1997-10-09	VYDAJ	VYBER	7400	29440	\N	\N	\N
595343	2026	1997-11-08	VYDAJ	VYBER	3000	30450	\N	\N	\N
595344	2026	1997-12-08	VYDAJ	VYBER	3800	30463	\N	\N	\N
595345	2026	1998-01-07	VYDAJ	VYBER	3500	36834	\N	\N	\N
595346	2026	1998-02-06	PRIJEM	VKLAD	300	40152	\N	\N	\N
595347	2026	1998-03-08	VYDAJ	VYBER	1900	46787	\N	\N	\N
595348	2026	1998-04-07	VYDAJ	VYBER	3600	51054	\N	\N	\N
595349	2026	1998-05-07	VYDAJ	VYBER	9600	45528	\N	\N	\N
595350	2026	1998-06-06	PRIJEM	VKLAD	7600	37297	\N	\N	\N
595351	2026	1998-07-06	PRIJEM	VKLAD	400	53098	\N	\N	\N
595352	2026	1998-08-05	VYDAJ	VYBER	3900	57789	\N	\N	\N
595353	2026	1998-09-04	VYDAJ	VYBER	8000	58403	\N	\N	\N
595354	2026	1998-10-04	VYDAJ	VYBER	8600	56023	\N	\N	\N
595355	2026	1998-11-03	VYDAJ	VYBER	9800	54229	\N	\N	\N
595356	2026	1998-12-03	VYDAJ	VYBER	4100	58734	\N	\N	\N
595384	2027	1994-11-28	PRIJEM	VKLAD	800	800	\N	\N	\N
595396	2027	1994-12-11	PRIJEM	PREVOD Z UCTU	5214	6014	DUCHOD	EF	98024636
595397	2027	1995-01-11	PRIJEM	PREVOD Z UCTU	5214	11228	DUCHOD	EF	98024636
595398	2027	1995-02-11	PRIJEM	PREVOD Z UCTU	5214	16442	DUCHOD	EF	98024636
595399	2027	1995-03-11	PRIJEM	PREVOD Z UCTU	5214	21656	DUCHOD	EF	98024636
595400	2027	1995-04-11	PRIJEM	PREVOD Z UCTU	5214	26281	DUCHOD	EF	98024636
595401	2027	1995-05-11	PRIJEM	PREVOD Z UCTU	5214	26995	DUCHOD	EF	98024636
595402	2027	1995-06-11	PRIJEM	PREVOD Z UCTU	5214	24948	DUCHOD	EF	98024636
595403	2027	1995-07-11	PRIJEM	PREVOD Z UCTU	5214	25672	DUCHOD	EF	98024636
595404	2027	1995-08-11	PRIJEM	PREVOD Z UCTU	5214	27500	DUCHOD	EF	98024636
595405	2027	1995-09-11	PRIJEM	PREVOD Z UCTU	5214	29335	DUCHOD	EF	98024636
595406	2027	1995-10-11	PRIJEM	PREVOD Z UCTU	5214	30778	DUCHOD	EF	98024636
595407	2027	1995-11-11	PRIJEM	PREVOD Z UCTU	5214	31346	DUCHOD	EF	98024636
595408	2027	1995-12-11	PRIJEM	PREVOD Z UCTU	5214	28254	DUCHOD	EF	98024636
595409	2027	1996-01-11	PRIJEM	PREVOD Z UCTU	5214	26069	DUCHOD	EF	98024636
595410	2027	1996-02-11	PRIJEM	PREVOD Z UCTU	5214	18590	DUCHOD	EF	98024636
595411	2027	1996-03-11	PRIJEM	PREVOD Z UCTU	5214	20389	DUCHOD	EF	98024636
595412	2027	1996-04-11	PRIJEM	PREVOD Z UCTU	5214	22194	DUCHOD	EF	98024636
595413	2027	1996-05-11	PRIJEM	PREVOD Z UCTU	5214	24008	DUCHOD	EF	98024636
595414	2027	1996-06-11	PRIJEM	PREVOD Z UCTU	5214	25829	DUCHOD	EF	98024636
595415	2027	1996-07-11	PRIJEM	PREVOD Z UCTU	5214	15729	DUCHOD	EF	98024636
595416	2027	1996-08-11	PRIJEM	PREVOD Z UCTU	5214	17516	DUCHOD	EF	98024636
595417	2027	1996-09-11	PRIJEM	PREVOD Z UCTU	5214	18509	DUCHOD	EF	98024636
595418	2027	1996-10-11	PRIJEM	PREVOD Z UCTU	5214	17739	DUCHOD	EF	98024636
595419	2027	1996-11-11	PRIJEM	PREVOD Z UCTU	5214	19533	DUCHOD	EF	98024636
595420	2027	1996-12-11	PRIJEM	PREVOD Z UCTU	5214	21335	DUCHOD	EF	98024636
595421	2027	1997-01-11	PRIJEM	PREVOD Z UCTU	5214	17456	DUCHOD	EF	98024636
595422	2027	1997-02-11	PRIJEM	PREVOD Z UCTU	5214	15646	DUCHOD	EF	98024636
595423	2027	1997-03-11	PRIJEM	PREVOD Z UCTU	5214	17431	DUCHOD	EF	98024636
595424	2027	1997-04-11	PRIJEM	PREVOD Z UCTU	5214	19224	DUCHOD	EF	98024636
595425	2027	1997-05-11	PRIJEM	PREVOD Z UCTU	5214	21025	DUCHOD	EF	98024636
595426	2027	1997-06-11	PRIJEM	PREVOD Z UCTU	5214	20832	DUCHOD	EF	98024636
595427	2027	1997-07-11	PRIJEM	PREVOD Z UCTU	5214	22639	DUCHOD	EF	98024636
595428	2027	1997-08-11	PRIJEM	PREVOD Z UCTU	5214	24454	DUCHOD	EF	98024636
595546	2027	1998-01-10	VYDAJ	VYBER	1600	21414	\N	\N	\N
595429	2027	1997-09-11	PRIJEM	PREVOD Z UCTU	5214	26276	DUCHOD	EF	98024636
595430	2027	1997-10-11	PRIJEM	PREVOD Z UCTU	5214	28106	DUCHOD	EF	98024636
595431	2027	1997-11-11	PRIJEM	PREVOD Z UCTU	5214	29943	DUCHOD	EF	98024636
595432	2027	1997-12-11	PRIJEM	PREVOD Z UCTU	5214	31788	DUCHOD	EF	98024636
595433	2027	1998-01-11	PRIJEM	PREVOD Z UCTU	5214	26628	DUCHOD	EF	98024636
595434	2027	1998-02-11	PRIJEM	PREVOD Z UCTU	5214	21575	DUCHOD	EF	98024636
595435	2027	1998-03-11	PRIJEM	PREVOD Z UCTU	5214	23385	DUCHOD	EF	98024636
595436	2027	1998-04-11	PRIJEM	PREVOD Z UCTU	5214	25203	DUCHOD	EF	98024636
595437	2027	1998-05-11	PRIJEM	PREVOD Z UCTU	5214	23021	DUCHOD	EF	98024636
595438	2027	1998-06-11	PRIJEM	PREVOD Z UCTU	5214	24837	DUCHOD	EF	98024636
595439	2027	1998-07-11	PRIJEM	PREVOD Z UCTU	5214	26661	DUCHOD	EF	98024636
595440	2027	1998-08-11	PRIJEM	PREVOD Z UCTU	5214	28492	DUCHOD	EF	98024636
595441	2027	1998-09-11	PRIJEM	PREVOD Z UCTU	5214	30330	DUCHOD	EF	98024636
595442	2027	1998-10-11	PRIJEM	PREVOD Z UCTU	5214	30256	DUCHOD	EF	98024636
595443	2027	1998-11-11	PRIJEM	PREVOD Z UCTU	5214	32105	DUCHOD	EF	98024636
595444	2027	1998-12-11	PRIJEM	PREVOD Z UCTU	5214	33958	DUCHOD	EF	98024636
595461	2027	1995-05-05	VYDAJ	PREVOD NA UCET	3476	21781	SIPO	AB	28182983
595462	2027	1995-06-05	VYDAJ	PREVOD NA UCET	3476	19734	SIPO	AB	28182983
595463	2027	1995-07-05	VYDAJ	PREVOD NA UCET	3476	20458	SIPO	AB	28182983
595464	2027	1995-08-05	VYDAJ	PREVOD NA UCET	3476	22286	SIPO	AB	28182983
595465	2027	1995-09-05	VYDAJ	PREVOD NA UCET	3476	24121	SIPO	AB	28182983
595466	2027	1995-10-05	VYDAJ	PREVOD NA UCET	3476	25564	SIPO	AB	28182983
595467	2027	1995-11-05	VYDAJ	PREVOD NA UCET	3476	26132	SIPO	AB	28182983
595468	2027	1995-12-05	VYDAJ	PREVOD NA UCET	3476	23040	SIPO	AB	28182983
595469	2027	1996-01-05	VYDAJ	PREVOD NA UCET	3476	21495	SIPO	AB	28182983
595470	2027	1996-02-05	VYDAJ	PREVOD NA UCET	3476	13376	SIPO	AB	28182983
595471	2027	1996-03-05	VYDAJ	PREVOD NA UCET	3476	15175	SIPO	AB	28182983
595472	2027	1996-04-05	VYDAJ	PREVOD NA UCET	3476	16980	SIPO	AB	28182983
595473	2027	1996-05-05	VYDAJ	PREVOD NA UCET	3476	18794	SIPO	AB	28182983
595474	2027	1996-06-05	VYDAJ	PREVOD NA UCET	3476	20615	SIPO	AB	28182983
595475	2027	1996-07-05	VYDAJ	PREVOD NA UCET	3476	10515	SIPO	AB	28182983
595476	2027	1996-08-05	VYDAJ	PREVOD NA UCET	3476	12302	SIPO	AB	28182983
595477	2027	1996-09-05	VYDAJ	PREVOD NA UCET	3476	13295	SIPO	AB	28182983
595478	2027	1996-10-05	VYDAJ	PREVOD NA UCET	3476	12525	SIPO	AB	28182983
595479	2027	1996-11-05	VYDAJ	PREVOD NA UCET	3476	14319	SIPO	AB	28182983
595480	2027	1996-12-05	VYDAJ	PREVOD NA UCET	3476	16121	SIPO	AB	28182983
595481	2027	1997-01-05	VYDAJ	PREVOD NA UCET	3476	12242	SIPO	AB	28182983
595482	2027	1997-02-05	VYDAJ	PREVOD NA UCET	3476	10432	SIPO	AB	28182983
595483	2027	1997-03-05	VYDAJ	PREVOD NA UCET	3476	12217	SIPO	AB	28182983
595484	2027	1997-04-05	VYDAJ	PREVOD NA UCET	3476	14010	SIPO	AB	28182983
595485	2027	1997-05-05	VYDAJ	PREVOD NA UCET	3476	15811	SIPO	AB	28182983
595486	2027	1997-06-05	VYDAJ	PREVOD NA UCET	3476	15618	SIPO	AB	28182983
595487	2027	1997-07-05	VYDAJ	PREVOD NA UCET	3476	17425	SIPO	AB	28182983
595488	2027	1997-08-05	VYDAJ	PREVOD NA UCET	3476	19240	SIPO	AB	28182983
595489	2027	1997-09-05	VYDAJ	PREVOD NA UCET	3476	21062	SIPO	AB	28182983
595490	2027	1997-10-05	VYDAJ	PREVOD NA UCET	3476	22892	SIPO	AB	28182983
595491	2027	1997-11-05	VYDAJ	PREVOD NA UCET	3476	24729	SIPO	AB	28182983
595492	2027	1997-12-05	VYDAJ	PREVOD NA UCET	3476	26574	SIPO	AB	28182983
595493	2027	1998-01-05	VYDAJ	PREVOD NA UCET	3476	25254	SIPO	AB	28182983
595494	2027	1998-02-05	VYDAJ	PREVOD NA UCET	3476	16361	SIPO	AB	28182983
595495	2027	1998-03-05	VYDAJ	PREVOD NA UCET	3476	18171	SIPO	AB	28182983
595496	2027	1998-04-05	VYDAJ	PREVOD NA UCET	3476	19989	SIPO	AB	28182983
595497	2027	1998-05-05	VYDAJ	PREVOD NA UCET	3476	17807	SIPO	AB	28182983
595498	2027	1998-06-05	VYDAJ	PREVOD NA UCET	3476	19623	SIPO	AB	28182983
595499	2027	1998-07-05	VYDAJ	PREVOD NA UCET	3476	21447	SIPO	AB	28182983
595500	2027	1998-08-05	VYDAJ	PREVOD NA UCET	3476	23278	SIPO	AB	28182983
595501	2027	1998-09-05	VYDAJ	PREVOD NA UCET	3476	25116	SIPO	AB	28182983
595502	2027	1998-10-05	VYDAJ	PREVOD NA UCET	3476	25042	SIPO	AB	28182983
595503	2027	1998-11-05	VYDAJ	PREVOD NA UCET	3476	26891	SIPO	AB	28182983
595504	2027	1998-12-05	VYDAJ	PREVOD NA UCET	3476	28744	SIPO	AB	28182983
595507	2027	1996-06-14	VYDAJ	VYBER	11900	13929	\N	\N	\N
595512	2027	1996-01-20	VYDAJ	VYBER	3050	19419	\N	\N	\N
595514	2027	1998-01-29	VYDAJ	VYBER	4400	20468	\N	\N	\N
595516	2027	1995-12-16	VYDAJ	VYBER	1400	26854	\N	\N	\N
595517	2027	1996-12-12	VYDAJ	VYBER	800	20535	\N	\N	\N
595518	2027	1997-12-15	VYDAJ	VYBER	450	31338	\N	\N	\N
595519	2027	1998-12-17	VYDAJ	VYBER	1300	32658	\N	\N	\N
595532	2027	1996-01-17	VYDAJ	VYBER	1680	22469	\N	\N	\N
595533	2027	1996-01-04	VYDAJ	VYBER	880	24971	\N	\N	\N
595534	2027	1996-01-20	VYDAJ	VYBER	2240	17179	\N	\N	\N
595535	2027	1996-01-15	VYDAJ	VYBER	1920	24149	\N	\N	\N
595536	2027	1996-01-05	VYDAJ	VYBER	640	20855	\N	\N	\N
595537	2027	1996-01-26	VYDAJ	VYBER	400	16779	\N	\N	\N
595538	2027	1997-01-23	VYDAJ	VYBER	480	16976	\N	\N	\N
595540	2027	1997-01-29	VYDAJ	VYBER	1200	13856	\N	\N	\N
595542	2027	1997-01-04	VYDAJ	VYBER	1840	15718	\N	\N	\N
595544	2027	1998-01-06	VYDAJ	VYBER	2240	23014	\N	\N	\N
595545	2027	1998-01-03	VYDAJ	VYBER	1520	28730	\N	\N	\N
595547	2027	1998-01-27	VYDAJ	VYBER	560	24868	\N	\N	\N
595548	2027	1998-01-30	VYDAJ	VYBER	720	19748	\N	\N	\N
595549	2027	1998-01-13	VYDAJ	VYBER	1200	25428	\N	\N	\N
595554	2027	1995-10-24	VYDAJ	VYBER	1280	29498	\N	\N	\N
595555	2027	1995-05-31	VYDAJ	VYBER	3280	23224	\N	\N	\N
595556	2027	1995-11-30	VYDAJ	VYBER	2240	26516	\N	\N	\N
595557	2027	1996-09-14	VYDAJ	VYBER	2560	15949	\N	\N	\N
595558	2027	1996-09-01	VYDAJ	VYBER	800	16771	\N	\N	\N
595559	2027	1996-12-15	VYDAJ	VYBER	3040	17495	\N	\N	\N
595561	2027	1997-05-26	VYDAJ	VYBER	2000	19025	\N	\N	\N
595562	2027	1997-12-20	VYDAJ	VYBER	1200	30138	\N	\N	\N
595563	2027	1997-01-28	VYDAJ	VYBER	1920	15056	\N	\N	\N
595564	2027	1998-04-15	VYDAJ	VYBER	400	24803	\N	\N	\N
595565	2027	1998-04-20	VYDAJ	VYBER	3600	21203	\N	\N	\N
595566	2027	1998-09-30	VYDAJ	VYBER	1920	28518	\N	\N	\N
595583	2027	1995-04-30	VYDAJ	VYBER	15	25257	SLUZBY	\N	\N
595584	2027	1995-05-31	VYDAJ	VYBER	15	23210	SLUZBY	\N	\N
595585	2027	1995-06-30	VYDAJ	VYBER	15	23934	SLUZBY	\N	\N
595586	2027	1995-07-31	VYDAJ	VYBER	15	25762	SLUZBY	\N	\N
595587	2027	1995-08-31	VYDAJ	VYBER	15	27597	SLUZBY	\N	\N
595588	2027	1995-09-30	VYDAJ	VYBER	15	29040	SLUZBY	\N	\N
595589	2027	1995-10-31	VYDAJ	VYBER	15	29608	SLUZBY	\N	\N
595590	2027	1995-11-30	VYDAJ	VYBER	15	28756	SLUZBY	\N	\N
595591	2027	1995-12-31	VYDAJ	VYBER	15	25851	SLUZBY	\N	\N
595592	2027	1996-01-31	VYDAJ	VYBER	15	16852	SLUZBY	\N	\N
595593	2027	1996-02-29	VYDAJ	VYBER	15	18651	SLUZBY	\N	\N
595594	2027	1996-03-31	VYDAJ	VYBER	15	20456	SLUZBY	\N	\N
595595	2027	1996-04-30	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
595596	2027	1996-05-31	VYDAJ	VYBER	15	24091	SLUZBY	\N	\N
595597	2027	1996-06-30	VYDAJ	VYBER	15	13991	SLUZBY	\N	\N
595598	2027	1996-07-31	VYDAJ	VYBER	15	15778	SLUZBY	\N	\N
595599	2027	1996-08-31	VYDAJ	VYBER	15	17571	SLUZBY	\N	\N
595600	2027	1996-09-30	VYDAJ	VYBER	15	16001	SLUZBY	\N	\N
595601	2027	1996-10-31	VYDAJ	VYBER	15	17795	SLUZBY	\N	\N
595602	2027	1996-11-30	VYDAJ	VYBER	15	19597	SLUZBY	\N	\N
595603	2027	1996-12-31	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
595604	2027	1997-01-31	VYDAJ	VYBER	15	13908	SLUZBY	\N	\N
595605	2027	1997-02-28	VYDAJ	VYBER	15	15693	SLUZBY	\N	\N
595606	2027	1997-03-31	VYDAJ	VYBER	15	17486	SLUZBY	\N	\N
595607	2027	1997-04-30	VYDAJ	VYBER	15	19287	SLUZBY	\N	\N
595608	2027	1997-05-31	VYDAJ	VYBER	15	19094	SLUZBY	\N	\N
595609	2027	1997-06-30	VYDAJ	VYBER	15	20901	SLUZBY	\N	\N
595610	2027	1997-07-31	VYDAJ	VYBER	15	22716	SLUZBY	\N	\N
595611	2027	1997-08-31	VYDAJ	VYBER	15	24538	SLUZBY	\N	\N
595612	2027	1997-09-30	VYDAJ	VYBER	15	26368	SLUZBY	\N	\N
595613	2027	1997-10-31	VYDAJ	VYBER	15	28205	SLUZBY	\N	\N
595614	2027	1997-11-30	VYDAJ	VYBER	15	30050	SLUZBY	\N	\N
595615	2027	1997-12-31	VYDAJ	VYBER	15	30250	SLUZBY	\N	\N
595616	2027	1998-01-31	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
595617	2027	1998-02-28	VYDAJ	VYBER	15	21647	SLUZBY	\N	\N
595618	2027	1998-03-31	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
595619	2027	1998-04-30	VYDAJ	VYBER	15	21283	SLUZBY	\N	\N
595620	2027	1998-05-31	VYDAJ	VYBER	15	23099	SLUZBY	\N	\N
595621	2027	1998-06-30	VYDAJ	VYBER	15	24923	SLUZBY	\N	\N
595622	2027	1998-07-31	VYDAJ	VYBER	15	26754	SLUZBY	\N	\N
595623	2027	1998-08-31	VYDAJ	VYBER	15	28592	SLUZBY	\N	\N
595624	2027	1998-09-30	VYDAJ	VYBER	15	30438	SLUZBY	\N	\N
595625	2027	1998-10-31	VYDAJ	VYBER	15	30367	SLUZBY	\N	\N
595626	2027	1998-11-30	VYDAJ	VYBER	15	32220	SLUZBY	\N	\N
595627	2027	1995-03-28	VYDAJ	VYBER	600	21056	\N	\N	\N
595628	2027	1995-04-27	VYDAJ	VYBER	1100	25181	\N	\N	\N
595629	2027	1995-05-27	VYDAJ	VYBER	600	26395	\N	\N	\N
595630	2027	1995-06-26	VYDAJ	VYBER	1100	23848	\N	\N	\N
595631	2027	1995-09-24	VYDAJ	VYBER	400	28935	\N	\N	\N
595632	2027	1995-11-23	VYDAJ	VYBER	2700	28646	\N	\N	\N
595633	2027	1995-12-23	VYDAJ	VYBER	1100	25754	\N	\N	\N
595680	2028	1994-11-26	PRIJEM	VKLAD	500	500	\N	\N	\N
595681	2028	1994-11-29	PRIJEM	VKLAD	14134	14634	\N	\N	\N
595682	2028	1994-12-28	PRIJEM	VKLAD	39022	88084	\N	\N	\N
595691	2028	1994-12-20	PRIJEM	VKLAD	16726	75162	\N	\N	\N
595704	2028	1994-12-09	PRIJEM	VKLAD	43798	58436	\N	\N	\N
595705	2028	1996-01-08	PRIJEM	VKLAD	5698	37689	\N	\N	\N
595706	2028	1996-02-17	PRIJEM	VKLAD	24196	101455	\N	\N	\N
595707	2028	1996-09-04	PRIJEM	VKLAD	36091	100478	\N	\N	\N
595708	2028	1996-02-09	PRIJEM	VKLAD	34344	77259	\N	\N	\N
595709	2028	1996-01-05	PRIJEM	VKLAD	6944	31991	\N	\N	\N
595710	2028	1996-11-24	PRIJEM	VKLAD	37737	111408	\N	\N	\N
595711	2028	1996-03-16	PRIJEM	VKLAD	43922	98775	\N	\N	\N
595712	2028	1996-04-17	PRIJEM	VKLAD	23481	119430	\N	\N	\N
595713	2028	1996-06-27	PRIJEM	VKLAD	32089	95240	\N	\N	\N
595714	2028	1996-06-09	PRIJEM	VKLAD	20273	61916	\N	\N	\N
595715	2028	1996-04-28	PRIJEM	VKLAD	32860	125224	\N	\N	\N
595716	2028	1996-09-03	PRIJEM	VKLAD	23986	64387	\N	\N	\N
595717	2028	1996-11-16	PRIJEM	VKLAD	37208	73671	\N	\N	\N
595718	2028	1996-08-08	PRIJEM	VKLAD	26493	60673	\N	\N	\N
595719	2028	1996-09-18	PRIJEM	VKLAD	45114	109892	\N	\N	\N
595720	2028	1996-06-04	PRIJEM	VKLAD	10746	41643	\N	\N	\N
595721	2028	1996-09-30	PRIJEM	VKLAD	21271	87759	\N	\N	\N
595722	2028	1996-07-05	PRIJEM	VKLAD	47103	142587	\N	\N	\N
595723	2028	1996-06-15	PRIJEM	VKLAD	42035	103951	\N	\N	\N
595724	2028	1996-03-27	PRIJEM	VKLAD	40910	104585	\N	\N	\N
595725	2028	1996-04-24	PRIJEM	VKLAD	48634	92364	\N	\N	\N
595726	2028	1996-01-18	PRIJEM	VKLAD	31324	69013	\N	\N	\N
595727	2028	1996-07-06	PRIJEM	VKLAD	16613	110200	\N	\N	\N
595728	2028	1996-10-22	PRIJEM	VKLAD	6396	49728	\N	\N	\N
595729	2028	1996-12-01	PRIJEM	VKLAD	46546	108009	\N	\N	\N
595730	2028	1996-05-13	PRIJEM	VKLAD	44394	80338	\N	\N	\N
595731	2028	1996-03-31	PRIJEM	VKLAD	15980	120565	\N	\N	\N
595732	2028	1996-05-15	PRIJEM	VKLAD	16385	96723	\N	\N	\N
595733	2028	1997-05-02	PRIJEM	VKLAD	29962	33963	\N	\N	\N
595734	2028	1998-11-27	PRIJEM	VKLAD	28908	32216	\N	\N	\N
595735	2028	1998-02-26	PRIJEM	VKLAD	14826	48604	\N	\N	\N
595736	2028	1998-05-10	PRIJEM	VKLAD	12465	31961	\N	\N	\N
595737	2028	1998-04-09	PRIJEM	VKLAD	8102	37824	\N	\N	\N
595738	2028	1998-02-16	PRIJEM	VKLAD	8308	33778	\N	\N	\N
595739	2028	1998-11-30	PRIJEM	VKLAD	27931	60147	\N	\N	\N
595740	2028	1998-02-03	PRIJEM	VKLAD	26921	38070	\N	\N	\N
595741	2028	1998-12-26	PRIJEM	VKLAD	16792	49639	\N	\N	\N
595742	2028	1998-06-11	PRIJEM	VKLAD	28735	58866	\N	\N	\N
595743	2028	1998-06-02	PRIJEM	VKLAD	6680	38731	\N	\N	\N
595744	2028	1998-09-03	PRIJEM	VKLAD	14828	24975	\N	\N	\N
595765	2028	1996-05-01	VYBER	VYBER	20747	50044	\N	\N	\N
595766	2028	1996-01-20	VYBER	VYBER	14506	54507	\N	\N	\N
595767	2028	1996-10-02	VYBER	VYBER	19997	67732	\N	\N	\N
595768	2028	1996-06-02	VYBER	VYBER	14857	30897	\N	\N	\N
595769	2028	1997-11-12	VYBER	VYBER	6598	9921	\N	\N	\N
595771	2028	1997-07-15	VYBER	VYBER	9657	7278	\N	\N	\N
595774	2028	1997-03-27	VYBER	VYBER	14601	12020	\N	\N	\N
595775	2028	1997-05-16	VYBER	VYBER	16008	4755	\N	\N	\N
595778	2028	1997-01-20	VYBER	VYBER	11818	34039	\N	\N	\N
595779	2028	1998-08-22	VYBER	VYBER	13313	10103	\N	\N	\N
595782	2028	1998-11-06	VYBER	VYBER	15262	3308	\N	\N	\N
595787	2028	1998-06-29	VYDAJ	VYBER	30000	28866	\N	\N	\N
595790	2028	1996-12-25	VYDAJ	VYBER	5400	58009	\N	\N	\N
595791	2028	1997-12-06	VYDAJ	VYBER	6000	3932	\N	\N	\N
595792	2028	1998-12-25	VYDAJ	VYBER	6900	32847	\N	\N	\N
595803	2028	1996-10-13	VYDAJ	VYBER	12900	54832	\N	\N	\N
595804	2028	1996-08-15	VYDAJ	VYBER	9600	51073	\N	\N	\N
595805	2028	1996-05-24	VYDAJ	VYBER	12300	45523	\N	\N	\N
595806	2028	1996-12-11	VYDAJ	VYBER	8100	95109	\N	\N	\N
595807	2028	1996-03-01	VYDAJ	VYBER	9000	54853	\N	\N	\N
595808	2028	1996-05-10	VYDAJ	VYBER	14100	35944	\N	\N	\N
595809	2028	1996-12-10	VYDAJ	VYBER	4800	103209	\N	\N	\N
595810	2028	1997-05-13	VYDAJ	VYBER	12600	21363	\N	\N	\N
595811	2028	1997-06-28	VYDAJ	VYBER	11100	2848	\N	\N	\N
595812	2028	1997-10-02	VYDAJ	VYBER	6300	10096	\N	\N	\N
595813	2028	1997-04-18	VYDAJ	VYBER	14700	3998	\N	\N	\N
595814	2028	1998-10-17	VYDAJ	VYBER	12900	5841	\N	\N	\N
595815	2028	1998-03-18	VYDAJ	VYBER	3000	29589	\N	\N	\N
595816	2028	1998-12-20	VYDAJ	VYBER	2400	39747	\N	\N	\N
595817	2028	1998-10-12	VYDAJ	VYBER	6000	18741	\N	\N	\N
595818	2028	1998-02-08	VYDAJ	VYBER	4200	25470	\N	\N	\N
595845	2028	1996-01-31	VYDAJ	VYBER	30	42915	SLUZBY	\N	\N
595846	2028	1996-02-29	VYDAJ	VYBER	30	63853	SLUZBY	\N	\N
595847	2028	1996-03-31	VYDAJ	VYBER	30	120849	SLUZBY	\N	\N
595848	2028	1996-04-30	VYDAJ	VYBER	30	70791	SLUZBY	\N	\N
595849	2028	1996-05-31	VYDAJ	VYBER	30	45754	SLUZBY	\N	\N
595850	2028	1996-06-30	VYDAJ	VYBER	30	95484	SLUZBY	\N	\N
595851	2028	1996-07-31	VYDAJ	VYBER	30	34180	SLUZBY	\N	\N
595852	2028	1996-08-31	VYDAJ	VYBER	30	40401	SLUZBY	\N	\N
595853	2028	1996-09-30	VYDAJ	VYBER	30	87729	SLUZBY	\N	\N
595854	2028	1996-10-31	VYDAJ	VYBER	30	49963	SLUZBY	\N	\N
595855	2028	1996-11-30	VYDAJ	VYBER	30	61463	SLUZBY	\N	\N
595856	2028	1996-12-31	VYDAJ	VYBER	30	58257	SLUZBY	\N	\N
595857	2028	1997-01-31	VYDAJ	VYBER	30	34211	SLUZBY	\N	\N
595858	2028	1997-02-28	VYDAJ	VYBER	30	29221	SLUZBY	\N	\N
595859	2028	1997-03-31	VYDAJ	VYBER	30	12098	SLUZBY	\N	\N
595860	2028	1997-04-30	VYDAJ	VYBER	30	4001	SLUZBY	\N	\N
595861	2028	1997-05-31	VYDAJ	VYBER	30	4748	SLUZBY	\N	\N
595862	2028	1997-06-30	VYDAJ	VYBER	30	2835	SLUZBY	\N	\N
595863	2028	1997-07-31	VYDAJ	VYBER	30	7267	SLUZBY	\N	\N
595864	2028	1997-08-31	VYDAJ	VYBER	30	15365	SLUZBY	\N	\N
595865	2028	1997-09-30	VYDAJ	VYBER	30	16396	SLUZBY	\N	\N
595866	2028	1997-10-31	VYDAJ	VYBER	30	12119	SLUZBY	\N	\N
595867	2028	1997-11-30	VYDAJ	VYBER	30	9932	SLUZBY	\N	\N
595868	2028	1997-12-31	VYDAJ	VYBER	30	10040	SLUZBY	\N	\N
595869	2028	1998-01-31	VYDAJ	VYBER	30	11149	SLUZBY	\N	\N
595870	2028	1998-02-28	VYDAJ	VYBER	30	48689	SLUZBY	\N	\N
595871	2028	1998-03-31	VYDAJ	VYBER	30	29722	SLUZBY	\N	\N
595872	2028	1998-04-30	VYDAJ	VYBER	30	24096	SLUZBY	\N	\N
595873	2028	1998-05-31	VYDAJ	VYBER	30	32051	SLUZBY	\N	\N
595874	2028	1998-06-30	VYDAJ	VYBER	30	29030	SLUZBY	\N	\N
595875	2028	1998-07-31	VYDAJ	VYBER	30	23116	SLUZBY	\N	\N
595876	2028	1998-08-31	VYDAJ	VYBER	30	10147	SLUZBY	\N	\N
595877	2028	1998-09-30	VYDAJ	VYBER	30	26841	SLUZBY	\N	\N
595878	2028	1998-10-31	VYDAJ	VYBER	30	5870	SLUZBY	\N	\N
595879	2028	1998-11-30	VYDAJ	VYBER	30	60147	SLUZBY	\N	\N
595880	2028	1994-12-26	VYDAJ	VYBER	26100	49062	\N	\N	\N
595881	2028	1995-01-25	VYDAJ	VYBER	33400	54843	\N	\N	\N
595882	2028	1995-02-24	VYDAJ	VYBER	16400	38810	\N	\N	\N
595883	2028	1995-03-26	VYDAJ	VYBER	4900	34277	\N	\N	\N
595884	2028	1995-04-25	VYDAJ	VYBER	3900	30744	\N	\N	\N
595885	2028	1995-05-25	VYDAJ	VYBER	200	30911	\N	\N	\N
595886	2028	1995-06-24	VYDAJ	VYBER	3800	27478	\N	\N	\N
595887	2028	1995-07-24	VYDAJ	VYBER	1900	25945	\N	\N	\N
595888	2028	1995-08-23	PRIJEM	VKLAD	900	27212	\N	\N	\N
595889	2028	1995-09-22	PRIJEM	VKLAD	1100	28679	\N	\N	\N
595890	2028	1995-10-22	VYDAJ	VYBER	1500	27546	\N	\N	\N
595891	2028	1995-11-21	VYDAJ	VYBER	3300	24613	\N	\N	\N
595892	2028	1995-12-21	VYDAJ	VYBER	300	24680	\N	\N	\N
595893	2028	1996-01-20	VYDAJ	VYBER	11800	42707	\N	\N	\N
595894	2028	1996-02-19	VYDAJ	VYBER	37800	63655	\N	\N	\N
595895	2028	1996-03-20	VYDAJ	VYBER	35100	63675	\N	\N	\N
595896	2028	1996-03-31	VYDAJ	VYBER	24900	95949	\N	\N	\N
595897	2028	1996-04-17	VYDAJ	VYBER	56600	62830	\N	\N	\N
595898	2028	1996-04-19	VYDAJ	VYBER	19100	43730	\N	\N	\N
595899	2028	1996-04-28	VYDAJ	VYBER	54800	70424	\N	\N	\N
595900	2028	1996-05-19	VYDAJ	VYBER	38900	57823	\N	\N	\N
595901	2028	1996-06-18	VYDAJ	VYBER	40800	63151	\N	\N	\N
595902	2028	1996-07-05	VYDAJ	VYBER	49000	93587	\N	\N	\N
595903	2028	1996-07-06	VYDAJ	VYBER	63400	46800	\N	\N	\N
595904	2028	1996-07-18	VYDAJ	VYBER	12800	34000	\N	\N	\N
595905	2028	1996-08-17	VYDAJ	VYBER	10800	40273	\N	\N	\N
595906	2028	1996-09-16	VYDAJ	VYBER	35700	64778	\N	\N	\N
595907	2028	1996-09-18	VYDAJ	VYBER	43800	66092	\N	\N	\N
595908	2028	1996-10-16	VYDAJ	VYBER	11500	43332	\N	\N	\N
595909	2028	1996-11-15	VYDAJ	VYBER	13500	36463	\N	\N	\N
595910	2028	1996-11-30	VYDAJ	VYBER	50200	61493	\N	\N	\N
595911	2028	1996-12-15	VYDAJ	VYBER	31700	63409	\N	\N	\N
595912	2028	1997-01-14	VYDAJ	VYBER	12400	45857	\N	\N	\N
595913	2028	1997-02-13	VYDAJ	VYBER	5100	29111	\N	\N	\N
595914	2028	1997-03-15	VYDAJ	VYBER	2600	26621	\N	\N	\N
595915	2028	1997-04-14	PRIJEM	VKLAD	6600	18698	\N	\N	\N
595916	2028	1997-05-14	VYDAJ	VYBER	600	20763	\N	\N	\N
595917	2028	1997-06-13	PRIJEM	VKLAD	9200	13948	\N	\N	\N
595918	2028	1997-07-13	PRIJEM	VKLAD	14100	16935	\N	\N	\N
595919	2028	1997-08-12	PRIJEM	VKLAD	8100	15367	\N	\N	\N
595920	2028	1997-09-11	PRIJEM	VKLAD	1000	16365	\N	\N	\N
595921	2028	1997-10-11	PRIJEM	VKLAD	2000	12096	\N	\N	\N
595922	2028	1997-11-10	PRIJEM	VKLAD	4400	16519	\N	\N	\N
595923	2028	1997-12-10	PRIJEM	VKLAD	6100	10032	\N	\N	\N
595924	2028	1998-01-09	PRIJEM	VKLAD	1100	11140	\N	\N	\N
595925	2028	1998-02-08	VYDAJ	VYBER	8400	29670	\N	\N	\N
595926	2028	1998-03-10	VYDAJ	VYBER	16100	32589	\N	\N	\N
595927	2028	1998-04-09	VYDAJ	VYBER	13800	24024	\N	\N	\N
595928	2028	1998-05-09	VYDAJ	VYBER	4600	19496	\N	\N	\N
595929	2028	1998-06-08	VYDAJ	VYBER	8600	30131	\N	\N	\N
595930	2028	1998-07-08	VYDAJ	VYBER	6000	23030	\N	\N	\N
595931	2028	1998-08-07	PRIJEM	VKLAD	300	23416	\N	\N	\N
595932	2028	1998-09-06	PRIJEM	VKLAD	1800	26775	\N	\N	\N
595933	2028	1998-10-06	VYDAJ	VYBER	2100	24741	\N	\N	\N
595934	2028	1998-11-05	PRIJEM	VKLAD	12700	18570	\N	\N	\N
595935	2028	1998-12-05	VYDAJ	VYBER	18000	42147	\N	\N	\N
595991	2029	1993-05-29	PRIJEM	VKLAD	700	700	\N	\N	\N
596146	2029	1993-06-28	PRIJEM	VKLAD	12400	13100	\N	\N	\N
596147	2029	1993-07-28	PRIJEM	VKLAD	7600	20700	\N	\N	\N
596148	2029	1993-08-27	PRIJEM	VKLAD	2600	23300	\N	\N	\N
596149	2029	1993-09-26	VYDAJ	VYBER	900	22400	\N	\N	\N
596150	2029	1993-10-26	PRIJEM	VKLAD	3100	25500	\N	\N	\N
596151	2029	1993-11-25	VYDAJ	VYBER	1900	23600	\N	\N	\N
596152	2029	1993-12-25	PRIJEM	VKLAD	2500	26100	\N	\N	\N
596153	2029	1994-01-24	PRIJEM	VKLAD	200	26300	\N	\N	\N
596154	2029	1994-02-23	VYDAJ	VYBER	1000	25300	\N	\N	\N
596155	2029	1994-03-25	VYDAJ	VYBER	1200	24100	\N	\N	\N
596156	2029	1994-04-24	PRIJEM	VKLAD	200	24300	\N	\N	\N
596157	2029	1994-05-24	VYDAJ	VYBER	2600	21700	\N	\N	\N
596158	2029	1994-06-23	VYDAJ	VYBER	600	21100	\N	\N	\N
596159	2029	1994-07-23	VYDAJ	VYBER	200	20900	\N	\N	\N
596160	2029	1994-08-22	PRIJEM	VKLAD	2000	22900	\N	\N	\N
596161	2029	1994-09-21	VYDAJ	VYBER	1600	21300	\N	\N	\N
596162	2029	1994-10-21	VYDAJ	VYBER	1300	20000	\N	\N	\N
596163	2029	1994-11-20	VYDAJ	VYBER	2200	17800	\N	\N	\N
596164	2029	1994-12-20	PRIJEM	VKLAD	900	18700	\N	\N	\N
596165	2029	1995-01-19	PRIJEM	VKLAD	2300	21000	\N	\N	\N
596166	2029	1995-02-18	PRIJEM	VKLAD	100	21100	\N	\N	\N
596167	2029	1995-03-20	PRIJEM	VKLAD	900	22000	\N	\N	\N
596168	2029	1995-04-19	VYDAJ	VYBER	3100	18900	\N	\N	\N
596169	2029	1995-05-19	VYDAJ	VYBER	3700	15200	\N	\N	\N
596170	2029	1995-06-18	VYDAJ	VYBER	2300	12900	\N	\N	\N
596171	2029	1995-07-18	PRIJEM	VKLAD	2600	15500	\N	\N	\N
596172	2029	1995-08-17	VYDAJ	VYBER	400	15100	\N	\N	\N
596173	2029	1995-09-16	VYDAJ	VYBER	2000	13100	\N	\N	\N
596174	2029	1995-11-15	VYDAJ	VYBER	2000	11100	\N	\N	\N
596175	2029	1995-12-15	VYDAJ	VYBER	1100	10000	\N	\N	\N
596176	2029	1996-01-14	VYDAJ	VYBER	1100	8900	\N	\N	\N
596177	2029	1996-04-13	VYDAJ	VYBER	100	8800	\N	\N	\N
596178	2029	1996-09-10	PRIJEM	VKLAD	900	9700	\N	\N	\N
596179	2029	1996-10-10	VYDAJ	VYBER	500	9200	\N	\N	\N
596180	2029	1996-12-09	VYDAJ	VYBER	300	8900	\N	\N	\N
596181	2030	1994-09-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
596191	2030	1994-10-05	PRIJEM	VKLAD	22544	23644	\N	\N	\N
596192	2030	1994-11-05	PRIJEM	VKLAD	22544	47151	\N	\N	\N
596193	2030	1994-12-05	PRIJEM	VKLAD	33816	71303	\N	\N	\N
596194	2030	1995-01-05	PRIJEM	VKLAD	22544	69528	\N	\N	\N
596195	2030	1995-02-05	PRIJEM	VKLAD	22544	69467	\N	\N	\N
596196	2030	1995-03-05	PRIJEM	VKLAD	22544	63752	\N	\N	\N
596197	2030	1995-04-05	PRIJEM	VKLAD	22544	63828	\N	\N	\N
596198	2030	1995-05-05	PRIJEM	VKLAD	22544	62917	\N	\N	\N
596199	2030	1995-06-05	PRIJEM	VKLAD	33816	68254	\N	\N	\N
596200	2030	1995-07-05	PRIJEM	VKLAD	22544	62632	\N	\N	\N
596201	2030	1995-08-05	PRIJEM	VKLAD	22544	63318	\N	\N	\N
596202	2030	1995-09-05	PRIJEM	VKLAD	22544	65501	\N	\N	\N
596203	2030	1995-10-05	PRIJEM	VKLAD	22544	67293	\N	\N	\N
596204	2030	1995-11-05	PRIJEM	VKLAD	22544	67792	\N	\N	\N
596205	2030	1995-12-05	PRIJEM	VKLAD	33816	70560	\N	\N	\N
596206	2030	1996-01-05	PRIJEM	VKLAD	22544	74180	\N	\N	\N
596207	2030	1996-02-05	PRIJEM	VKLAD	22544	75507	\N	\N	\N
596208	2030	1996-03-05	PRIJEM	VKLAD	22544	76059	\N	\N	\N
596209	2030	1996-04-05	PRIJEM	VKLAD	22544	76290	\N	\N	\N
596210	2030	1996-05-05	PRIJEM	VKLAD	22544	81240	\N	\N	\N
596211	2030	1996-06-05	PRIJEM	VKLAD	33816	86592	\N	\N	\N
596212	2030	1996-07-05	PRIJEM	VKLAD	22544	74169	\N	\N	\N
596213	2030	1996-08-05	PRIJEM	VKLAD	22544	81563	\N	\N	\N
596214	2030	1996-09-05	PRIJEM	VKLAD	22544	79382	\N	\N	\N
596215	2030	1996-10-05	PRIJEM	VKLAD	22544	85502	\N	\N	\N
596216	2030	1996-11-05	PRIJEM	VKLAD	22544	87145	\N	\N	\N
596217	2030	1996-12-05	PRIJEM	VKLAD	33816	98070	\N	\N	\N
596218	2030	1997-01-05	PRIJEM	VKLAD	22544	96460	\N	\N	\N
596219	2030	1997-02-05	PRIJEM	VKLAD	22544	91244	\N	\N	\N
596220	2030	1997-03-05	PRIJEM	VKLAD	22544	85076	\N	\N	\N
596221	2030	1997-04-05	PRIJEM	VKLAD	22544	88023	\N	\N	\N
596222	2030	1997-05-05	PRIJEM	VKLAD	22544	88268	\N	\N	\N
596223	2030	1997-06-05	PRIJEM	VKLAD	33816	97782	\N	\N	\N
596224	2030	1997-07-05	PRIJEM	VKLAD	22544	85985	\N	\N	\N
596225	2030	1997-08-05	PRIJEM	VKLAD	22544	85591	\N	\N	\N
596226	2030	1997-09-05	PRIJEM	VKLAD	22544	79386	\N	\N	\N
596227	2030	1997-10-05	PRIJEM	VKLAD	22544	78960	\N	\N	\N
596228	2030	1997-11-05	PRIJEM	VKLAD	22544	79232	\N	\N	\N
596229	2030	1997-12-05	PRIJEM	VKLAD	33816	87369	\N	\N	\N
596230	2030	1998-01-05	PRIJEM	VKLAD	22544	77074	\N	\N	\N
596231	2030	1998-02-05	PRIJEM	VKLAD	22544	75756	\N	\N	\N
596232	2030	1998-03-05	PRIJEM	VKLAD	22544	75308	\N	\N	\N
596233	2030	1998-04-05	PRIJEM	VKLAD	22544	71658	\N	\N	\N
596234	2030	1998-05-05	PRIJEM	VKLAD	22544	72094	\N	\N	\N
596235	2030	1998-06-05	PRIJEM	VKLAD	33816	82501	\N	\N	\N
596236	2030	1998-07-05	PRIJEM	VKLAD	22544	74343	\N	\N	\N
596237	2030	1998-08-05	PRIJEM	VKLAD	22544	74386	\N	\N	\N
596238	2030	1998-09-05	PRIJEM	VKLAD	22544	74526	\N	\N	\N
596239	2030	1998-10-05	PRIJEM	VKLAD	22544	68979	\N	\N	\N
596240	2030	1998-11-05	PRIJEM	VKLAD	22544	68694	\N	\N	\N
596241	2030	1998-12-05	PRIJEM	VKLAD	33816	83183	\N	\N	\N
596255	2030	1995-02-13	VYDAJ	PREVOD NA UCET	4325	41042	SIPO	CD	8332980
596256	2030	1995-03-13	VYDAJ	PREVOD NA UCET	4325	41127	SIPO	CD	8332980
596257	2030	1995-04-13	VYDAJ	PREVOD NA UCET	4325	40203	SIPO	CD	8332980
596258	2030	1995-05-13	VYDAJ	PREVOD NA UCET	4325	39592	SIPO	CD	8332980
596259	2030	1995-06-13	VYDAJ	PREVOD NA UCET	4325	46329	SIPO	CD	8332980
596260	2030	1995-07-13	VYDAJ	PREVOD NA UCET	4325	40607	SIPO	CD	8332980
596261	2030	1995-08-13	VYDAJ	PREVOD NA UCET	4325	42793	SIPO	CD	8332980
596262	2030	1995-09-13	VYDAJ	PREVOD NA UCET	4325	44576	SIPO	CD	8332980
596263	2030	1995-10-13	VYDAJ	PREVOD NA UCET	4325	45068	SIPO	CD	8332980
596264	2030	1995-11-13	VYDAJ	PREVOD NA UCET	4325	46367	SIPO	CD	8332980
596265	2030	1995-12-13	VYDAJ	PREVOD NA UCET	4325	51435	SIPO	CD	8332980
596266	2030	1996-01-13	VYDAJ	PREVOD NA UCET	4325	52755	SIPO	CD	8332980
596267	2030	1996-02-13	VYDAJ	PREVOD NA UCET	4325	53282	SIPO	CD	8332980
596268	2030	1996-03-13	VYDAJ	PREVOD NA UCET	4325	53534	SIPO	CD	8332980
596269	2030	1996-04-13	VYDAJ	PREVOD NA UCET	4325	58465	SIPO	CD	8332980
596270	2030	1996-05-13	VYDAJ	PREVOD NA UCET	4325	61815	SIPO	CD	8332980
596271	2030	1996-06-13	VYDAJ	PREVOD NA UCET	4325	58367	SIPO	CD	8332980
596272	2030	1996-07-13	VYDAJ	PREVOD NA UCET	4325	69844	SIPO	CD	8332980
596273	2030	1996-08-13	VYDAJ	PREVOD NA UCET	4325	77238	SIPO	CD	8332980
596274	2030	1996-09-13	VYDAJ	PREVOD NA UCET	4325	75057	SIPO	CD	8332980
596275	2030	1996-10-13	VYDAJ	PREVOD NA UCET	4325	81177	SIPO	CD	8332980
596276	2030	1996-11-13	VYDAJ	PREVOD NA UCET	4325	82820	SIPO	CD	8332980
596277	2030	1996-12-13	VYDAJ	PREVOD NA UCET	4325	93745	SIPO	CD	8332980
596278	2030	1997-01-13	VYDAJ	PREVOD NA UCET	4325	92135	SIPO	CD	8332980
596279	2030	1997-02-13	VYDAJ	PREVOD NA UCET	4325	86919	SIPO	CD	8332980
596280	2030	1997-03-13	VYDAJ	PREVOD NA UCET	4325	80751	SIPO	CD	8332980
596281	2030	1997-04-13	VYDAJ	PREVOD NA UCET	4325	83698	SIPO	CD	8332980
596282	2030	1997-05-13	VYDAJ	PREVOD NA UCET	4325	83943	SIPO	CD	8332980
596283	2030	1997-06-13	VYDAJ	PREVOD NA UCET	4325	77457	SIPO	CD	8332980
596284	2030	1997-07-13	VYDAJ	PREVOD NA UCET	4325	81660	SIPO	CD	8332980
596285	2030	1997-08-13	VYDAJ	PREVOD NA UCET	4325	81266	SIPO	CD	8332980
596286	2030	1997-09-13	VYDAJ	PREVOD NA UCET	4325	75061	SIPO	CD	8332980
596287	2030	1997-10-13	VYDAJ	PREVOD NA UCET	4325	74635	SIPO	CD	8332980
596288	2030	1997-11-13	VYDAJ	PREVOD NA UCET	4325	74907	SIPO	CD	8332980
596289	2030	1997-12-13	VYDAJ	PREVOD NA UCET	4325	82444	SIPO	CD	8332980
596290	2030	1998-01-13	VYDAJ	PREVOD NA UCET	4325	72749	SIPO	CD	8332980
596291	2030	1998-02-13	VYDAJ	PREVOD NA UCET	4325	71431	SIPO	CD	8332980
596292	2030	1998-03-13	VYDAJ	PREVOD NA UCET	4325	70983	SIPO	CD	8332980
596293	2030	1998-04-13	VYDAJ	PREVOD NA UCET	4325	67333	SIPO	CD	8332980
596294	2030	1998-05-13	VYDAJ	PREVOD NA UCET	4325	67769	SIPO	CD	8332980
596295	2030	1998-06-13	VYDAJ	PREVOD NA UCET	4325	78176	SIPO	CD	8332980
596296	2030	1998-07-13	VYDAJ	PREVOD NA UCET	4325	70018	SIPO	CD	8332980
596297	2030	1998-08-13	VYDAJ	PREVOD NA UCET	4325	70061	SIPO	CD	8332980
596298	2030	1998-09-13	VYDAJ	PREVOD NA UCET	4325	70201	SIPO	CD	8332980
596299	2030	1998-10-13	VYDAJ	PREVOD NA UCET	4325	64654	SIPO	CD	8332980
596300	2030	1998-11-13	VYDAJ	PREVOD NA UCET	4325	64369	SIPO	CD	8332980
596301	2030	1998-12-13	VYDAJ	PREVOD NA UCET	4325	78858	SIPO	CD	8332980
596303	2030	1995-06-23	VYDAJ	VYBER	6400	39929	\N	\N	\N
596304	2030	1996-06-12	VYDAJ	VYBER	23900	62692	\N	\N	\N
596305	2030	1997-06-11	VYDAJ	VYBER	16000	81782	\N	\N	\N
596306	2030	1998-06-19	VYDAJ	VYBER	14200	63976	\N	\N	\N
596308	2030	1995-12-04	VYDAJ	VYBER	2600	36744	\N	\N	\N
596309	2030	1996-12-04	VYDAJ	VYBER	2100	64254	\N	\N	\N
596310	2030	1997-12-07	VYDAJ	VYBER	600	86769	\N	\N	\N
596311	2030	1998-12-14	VYDAJ	VYBER	2200	76658	\N	\N	\N
596317	2030	1995-10-06	VYDAJ	VYBER	3300	63993	\N	\N	\N
596318	2030	1995-04-06	VYDAJ	VYBER	1300	62528	\N	\N	\N
596319	2030	1995-11-25	VYDAJ	VYBER	4900	41467	\N	\N	\N
596320	2030	1995-11-28	VYDAJ	VYBER	2300	39167	\N	\N	\N
596321	2030	1995-07-05	VYDAJ	VYBER	4400	58232	\N	\N	\N
596322	2030	1995-05-16	VYDAJ	VYBER	1700	37892	\N	\N	\N
596323	2030	1995-05-26	VYDAJ	VYBER	3600	34292	\N	\N	\N
596324	2030	1996-08-21	VYDAJ	VYBER	4800	72438	\N	\N	\N
596325	2030	1996-08-31	VYDAJ	VYBER	3700	69038	\N	\N	\N
596326	2030	1997-06-21	VYDAJ	VYBER	600	76857	\N	\N	\N
596327	2030	1997-05-01	VYDAJ	VYBER	1200	65724	\N	\N	\N
596328	2030	1997-08-23	VYDAJ	VYBER	3400	77866	\N	\N	\N
596329	2030	1997-02-27	VYDAJ	VYBER	1800	85119	\N	\N	\N
596330	2030	1997-11-20	VYDAJ	VYBER	3900	71007	\N	\N	\N
596331	2030	1998-09-22	VYDAJ	VYBER	1900	65101	\N	\N	\N
596332	2030	1998-10-18	VYDAJ	VYBER	3000	61654	\N	\N	\N
596333	2030	1998-09-21	VYDAJ	VYBER	3200	67001	\N	\N	\N
596334	2030	1998-01-03	VYDAJ	VYBER	2900	54530	\N	\N	\N
596335	2030	1998-10-31	VYDAJ	VYBER	1700	46165	\N	\N	\N
596336	2030	1998-05-24	VYDAJ	VYBER	2700	65069	\N	\N	\N
596351	2030	1995-02-28	VYDAJ	VYBER	15	41208	SLUZBY	\N	\N
596352	2030	1995-03-31	VYDAJ	VYBER	15	41284	SLUZBY	\N	\N
596353	2030	1995-04-30	VYDAJ	VYBER	15	40373	SLUZBY	\N	\N
596354	2030	1995-05-31	VYDAJ	VYBER	15	34438	SLUZBY	\N	\N
596355	2030	1995-06-30	VYDAJ	VYBER	15	40088	SLUZBY	\N	\N
596356	2030	1995-07-31	VYDAJ	VYBER	15	40774	SLUZBY	\N	\N
596357	2030	1995-08-31	VYDAJ	VYBER	15	42957	SLUZBY	\N	\N
596358	2030	1995-09-30	VYDAJ	VYBER	15	44749	SLUZBY	\N	\N
596359	2030	1995-10-31	VYDAJ	VYBER	15	45248	SLUZBY	\N	\N
596360	2030	1995-11-30	VYDAJ	VYBER	15	39344	SLUZBY	\N	\N
596361	2030	1995-12-31	VYDAJ	VYBER	15	51636	SLUZBY	\N	\N
596362	2030	1996-01-31	VYDAJ	VYBER	15	52963	SLUZBY	\N	\N
596363	2030	1996-02-29	VYDAJ	VYBER	15	53515	SLUZBY	\N	\N
596364	2030	1996-03-31	VYDAJ	VYBER	15	53746	SLUZBY	\N	\N
596365	2030	1996-04-30	VYDAJ	VYBER	15	58696	SLUZBY	\N	\N
596366	2030	1996-05-31	VYDAJ	VYBER	15	62076	SLUZBY	\N	\N
596367	2030	1996-06-30	VYDAJ	VYBER	15	58625	SLUZBY	\N	\N
596368	2030	1996-07-31	VYDAJ	VYBER	15	70119	SLUZBY	\N	\N
596369	2030	1996-08-31	VYDAJ	VYBER	15	72738	SLUZBY	\N	\N
596370	2030	1996-09-30	VYDAJ	VYBER	15	75358	SLUZBY	\N	\N
596371	2030	1996-10-31	VYDAJ	VYBER	15	81501	SLUZBY	\N	\N
596372	2030	1996-11-30	VYDAJ	VYBER	15	83154	SLUZBY	\N	\N
596373	2030	1996-12-31	VYDAJ	VYBER	15	94116	SLUZBY	\N	\N
596374	2030	1997-01-31	VYDAJ	VYBER	15	68700	SLUZBY	\N	\N
596375	2030	1997-02-28	VYDAJ	VYBER	15	85432	SLUZBY	\N	\N
596376	2030	1997-03-31	VYDAJ	VYBER	15	81079	SLUZBY	\N	\N
596377	2030	1997-04-30	VYDAJ	VYBER	15	84024	SLUZBY	\N	\N
596378	2030	1997-05-31	VYDAJ	VYBER	15	63966	SLUZBY	\N	\N
596379	2030	1997-06-30	VYDAJ	VYBER	15	63441	SLUZBY	\N	\N
596380	2030	1997-07-31	VYDAJ	VYBER	15	63047	SLUZBY	\N	\N
596381	2030	1997-08-31	VYDAJ	VYBER	15	56842	SLUZBY	\N	\N
596382	2030	1997-09-30	VYDAJ	VYBER	15	56416	SLUZBY	\N	\N
596383	2030	1997-10-31	VYDAJ	VYBER	15	56688	SLUZBY	\N	\N
596384	2030	1997-11-30	VYDAJ	VYBER	15	53553	SLUZBY	\N	\N
596385	2030	1997-12-31	VYDAJ	VYBER	15	57430	SLUZBY	\N	\N
596386	2030	1998-01-31	VYDAJ	VYBER	15	53212	SLUZBY	\N	\N
596387	2030	1998-02-28	VYDAJ	VYBER	15	52764	SLUZBY	\N	\N
596388	2030	1998-03-31	VYDAJ	VYBER	15	49114	SLUZBY	\N	\N
596389	2030	1998-04-30	VYDAJ	VYBER	15	49550	SLUZBY	\N	\N
596390	2030	1998-05-31	VYDAJ	VYBER	15	48685	SLUZBY	\N	\N
596391	2030	1998-06-30	VYDAJ	VYBER	15	51799	SLUZBY	\N	\N
596392	2030	1998-07-31	VYDAJ	VYBER	15	51842	SLUZBY	\N	\N
596393	2030	1998-08-31	VYDAJ	VYBER	15	51982	SLUZBY	\N	\N
596394	2030	1998-09-30	VYDAJ	VYBER	15	46435	SLUZBY	\N	\N
596395	2030	1998-10-31	VYDAJ	VYBER	15	46150	SLUZBY	\N	\N
596396	2030	1998-11-30	VYDAJ	VYBER	15	49367	SLUZBY	\N	\N
596397	2030	1994-10-13	PRIJEM	VKLAD	900	24544	\N	\N	\N
596398	2030	1994-11-12	VYDAJ	VYBER	9800	37351	\N	\N	\N
596399	2030	1994-12-12	VYDAJ	VYBER	24500	46803	\N	\N	\N
596400	2030	1995-01-11	VYDAJ	VYBER	22800	46728	\N	\N	\N
596401	2030	1995-02-10	VYDAJ	VYBER	24100	45367	\N	\N	\N
596402	2030	1995-03-12	VYDAJ	VYBER	18300	45452	\N	\N	\N
596403	2030	1995-04-11	VYDAJ	VYBER	18000	44528	\N	\N	\N
596404	2030	1995-05-11	VYDAJ	VYBER	19000	43917	\N	\N	\N
596405	2030	1995-06-10	VYDAJ	VYBER	17600	50654	\N	\N	\N
596406	2030	1995-07-10	VYDAJ	VYBER	13300	44932	\N	\N	\N
596407	2030	1995-08-09	VYDAJ	VYBER	16200	47118	\N	\N	\N
596408	2030	1995-09-08	VYDAJ	VYBER	16600	48901	\N	\N	\N
596409	2030	1995-10-08	VYDAJ	VYBER	14600	49393	\N	\N	\N
596410	2030	1995-11-07	VYDAJ	VYBER	17100	50692	\N	\N	\N
596411	2030	1995-12-07	VYDAJ	VYBER	14800	55760	\N	\N	\N
596412	2030	1996-01-06	VYDAJ	VYBER	17100	57080	\N	\N	\N
596413	2030	1996-02-05	VYDAJ	VYBER	17900	57607	\N	\N	\N
596414	2030	1996-03-06	VYDAJ	VYBER	18200	57859	\N	\N	\N
596415	2030	1996-04-05	VYDAJ	VYBER	13500	62790	\N	\N	\N
596416	2030	1996-05-05	VYDAJ	VYBER	15100	66140	\N	\N	\N
596417	2030	1996-06-04	VYDAJ	VYBER	9300	52776	\N	\N	\N
596418	2030	1996-07-04	VYDAJ	VYBER	7000	51625	\N	\N	\N
596419	2030	1996-08-03	VYDAJ	VYBER	11100	59019	\N	\N	\N
596420	2030	1996-09-02	VYDAJ	VYBER	12200	56838	\N	\N	\N
596421	2030	1996-10-02	VYDAJ	VYBER	12400	62958	\N	\N	\N
596422	2030	1996-11-01	VYDAJ	VYBER	16900	64601	\N	\N	\N
596423	2030	1996-12-01	VYDAJ	VYBER	16800	66354	\N	\N	\N
596424	2030	1996-12-31	VYDAJ	VYBER	20200	73916	\N	\N	\N
596425	2030	1997-01-30	VYDAJ	VYBER	23800	68335	\N	\N	\N
596426	2030	1997-03-01	VYDAJ	VYBER	22900	62532	\N	\N	\N
596427	2030	1997-03-31	VYDAJ	VYBER	15600	65479	\N	\N	\N
596428	2030	1997-04-30	VYDAJ	VYBER	17100	66924	\N	\N	\N
596429	2030	1997-05-30	VYDAJ	VYBER	20300	63643	\N	\N	\N
596430	2030	1997-06-29	VYDAJ	VYBER	13700	63157	\N	\N	\N
596431	2030	1997-07-29	VYDAJ	VYBER	18900	62760	\N	\N	\N
596432	2030	1997-08-28	VYDAJ	VYBER	21300	56566	\N	\N	\N
596433	2030	1997-09-27	VYDAJ	VYBER	18900	56161	\N	\N	\N
596434	2030	1997-10-27	VYDAJ	VYBER	18200	56435	\N	\N	\N
596435	2030	1997-11-26	VYDAJ	VYBER	17700	53307	\N	\N	\N
596436	2030	1997-12-26	VYDAJ	VYBER	25300	57144	\N	\N	\N
596437	2030	1998-01-25	VYDAJ	VYBER	19800	52949	\N	\N	\N
596438	2030	1998-02-24	VYDAJ	VYBER	18900	52531	\N	\N	\N
596439	2030	1998-03-26	VYDAJ	VYBER	22100	48883	\N	\N	\N
596440	2030	1998-04-25	VYDAJ	VYBER	18000	49333	\N	\N	\N
596441	2030	1998-05-25	VYDAJ	VYBER	16600	48469	\N	\N	\N
596442	2030	1998-06-24	VYDAJ	VYBER	12400	51576	\N	\N	\N
596443	2030	1998-07-24	VYDAJ	VYBER	18400	51618	\N	\N	\N
596444	2030	1998-08-23	VYDAJ	VYBER	18300	51761	\N	\N	\N
596445	2030	1998-09-22	VYDAJ	VYBER	18900	46201	\N	\N	\N
596446	2030	1998-10-22	VYDAJ	VYBER	14000	47654	\N	\N	\N
596447	2030	1998-11-21	VYDAJ	VYBER	15200	49169	\N	\N	\N
597042	2032	1996-11-14	PRIJEM	VKLAD	200	200	\N	\N	\N
597054	2032	1996-12-08	PRIJEM	VKLAD	11766	11966	\N	\N	\N
597055	2032	1997-01-08	PRIJEM	VKLAD	7844	26555	\N	\N	\N
597056	2032	1997-02-08	PRIJEM	VKLAD	7844	29885	\N	\N	\N
597057	2032	1997-03-08	PRIJEM	VKLAD	7844	28718	\N	\N	\N
597058	2032	1997-04-08	PRIJEM	VKLAD	7844	26042	\N	\N	\N
597059	2032	1997-05-08	PRIJEM	VKLAD	7844	22536	\N	\N	\N
597060	2032	1997-06-08	PRIJEM	VKLAD	11766	19639	\N	\N	\N
597061	2032	1997-07-08	PRIJEM	VKLAD	7844	14686	\N	\N	\N
597062	2032	1997-08-08	PRIJEM	VKLAD	7844	17337	\N	\N	\N
597063	2032	1997-09-08	PRIJEM	VKLAD	7844	19998	\N	\N	\N
597064	2032	1997-10-08	PRIJEM	VKLAD	7844	13744	\N	\N	\N
597065	2032	1997-11-08	PRIJEM	VKLAD	7844	16391	\N	\N	\N
597066	2032	1997-12-08	PRIJEM	VKLAD	11766	22970	\N	\N	\N
597067	2032	1998-01-08	PRIJEM	VKLAD	7844	19753	\N	\N	\N
597068	2032	1998-02-08	PRIJEM	VKLAD	7844	13998	\N	\N	\N
597069	2032	1998-03-08	PRIJEM	VKLAD	7844	16645	\N	\N	\N
597070	2032	1998-04-08	PRIJEM	VKLAD	7844	16595	\N	\N	\N
597071	2032	1998-05-08	PRIJEM	VKLAD	7844	14238	\N	\N	\N
597072	2032	1998-06-08	PRIJEM	VKLAD	11766	20808	\N	\N	\N
597073	2032	1998-07-08	PRIJEM	VKLAD	7844	23480	\N	\N	\N
597074	2032	1998-08-08	PRIJEM	VKLAD	7844	24124	\N	\N	\N
597075	2032	1998-09-08	PRIJEM	VKLAD	7844	26813	\N	\N	\N
597076	2032	1998-10-08	PRIJEM	VKLAD	7844	29514	\N	\N	\N
597077	2032	1998-11-08	PRIJEM	VKLAD	7844	27184	\N	\N	\N
597078	2032	1998-12-08	PRIJEM	VKLAD	11766	26841	\N	\N	\N
597095	2032	1997-05-05	VYDAJ	PREVOD NA UCET	2873	14917	SIPO	KL	81025844
597096	2032	1997-06-05	VYDAJ	PREVOD NA UCET	2873	8098	SIPO	KL	81025844
597097	2032	1997-07-05	VYDAJ	PREVOD NA UCET	2873	7067	SIPO	KL	81025844
597098	2032	1997-08-05	VYDAJ	PREVOD NA UCET	2873	9718	SIPO	KL	81025844
597099	2032	1997-09-05	VYDAJ	PREVOD NA UCET	2873	12379	SIPO	KL	81025844
597100	2032	1997-10-05	VYDAJ	PREVOD NA UCET	2873	6125	SIPO	KL	81025844
597101	2032	1997-11-05	VYDAJ	PREVOD NA UCET	2873	8772	SIPO	KL	81025844
597102	2032	1997-12-05	VYDAJ	PREVOD NA UCET	2873	11429	SIPO	KL	81025844
597103	2032	1998-01-05	VYDAJ	PREVOD NA UCET	2873	12134	SIPO	KL	81025844
597104	2032	1998-02-05	VYDAJ	PREVOD NA UCET	2873	6379	SIPO	KL	81025844
597105	2032	1998-03-05	VYDAJ	PREVOD NA UCET	2873	9026	SIPO	KL	81025844
597106	2032	1998-04-05	VYDAJ	PREVOD NA UCET	2873	8976	SIPO	KL	81025844
597107	2032	1998-05-05	VYDAJ	PREVOD NA UCET	2873	6619	SIPO	KL	81025844
597108	2032	1998-06-05	VYDAJ	PREVOD NA UCET	2873	9267	SIPO	KL	81025844
597109	2032	1998-07-05	VYDAJ	PREVOD NA UCET	2873	15861	SIPO	KL	81025844
597110	2032	1998-08-05	VYDAJ	PREVOD NA UCET	2873	16505	SIPO	KL	81025844
597111	2032	1998-09-05	VYDAJ	PREVOD NA UCET	2873	19194	SIPO	KL	81025844
597112	2032	1998-10-05	VYDAJ	PREVOD NA UCET	2873	21895	SIPO	KL	81025844
597113	2032	1998-11-05	VYDAJ	PREVOD NA UCET	2873	19565	SIPO	KL	81025844
597114	2032	1998-12-05	VYDAJ	PREVOD NA UCET	2873	15300	SIPO	KL	81025844
597131	2032	1997-05-06	VYDAJ	PREVOD NA UCET	225	14692	 	QR	61507683
597132	2032	1997-06-06	VYDAJ	PREVOD NA UCET	225	7873	 	QR	61507683
597133	2032	1997-07-06	VYDAJ	PREVOD NA UCET	225	6842	 	QR	61507683
597134	2032	1997-08-06	VYDAJ	PREVOD NA UCET	225	9493	 	QR	61507683
597135	2032	1997-09-06	VYDAJ	PREVOD NA UCET	225	12154	 	QR	61507683
597136	2032	1997-10-06	VYDAJ	PREVOD NA UCET	225	5900	 	QR	61507683
597137	2032	1997-11-06	VYDAJ	PREVOD NA UCET	225	8547	 	QR	61507683
597138	2032	1997-12-06	VYDAJ	PREVOD NA UCET	225	11204	 	QR	61507683
597139	2032	1998-01-06	VYDAJ	PREVOD NA UCET	225	11909	 	QR	61507683
597140	2032	1998-02-06	VYDAJ	PREVOD NA UCET	225	6154	 	QR	61507683
597141	2032	1998-03-06	VYDAJ	PREVOD NA UCET	225	8801	 	QR	61507683
597142	2032	1998-04-06	VYDAJ	PREVOD NA UCET	225	8751	 	QR	61507683
597143	2032	1998-05-06	VYDAJ	PREVOD NA UCET	225	6394	 	QR	61507683
597144	2032	1998-06-06	VYDAJ	PREVOD NA UCET	225	9042	 	QR	61507683
597145	2032	1998-07-06	VYDAJ	PREVOD NA UCET	225	15636	 	QR	61507683
597146	2032	1998-08-06	VYDAJ	PREVOD NA UCET	225	16280	 	QR	61507683
597147	2032	1998-09-06	VYDAJ	PREVOD NA UCET	225	18969	 	QR	61507683
597148	2032	1998-10-06	VYDAJ	PREVOD NA UCET	225	21670	 	QR	61507683
597149	2032	1998-11-06	VYDAJ	PREVOD NA UCET	225	19340	 	QR	61507683
597150	2032	1998-12-06	VYDAJ	PREVOD NA UCET	225	15075	 	QR	61507683
597166	2032	1997-04-09	VYDAJ	PREVOD NA UCET	690	25352	POJISTNE	KL	53290563
597167	2032	1997-05-09	VYDAJ	PREVOD NA UCET	690	21846	POJISTNE	KL	53290563
597168	2032	1997-06-09	VYDAJ	PREVOD NA UCET	690	18949	POJISTNE	KL	53290563
597169	2032	1997-07-09	VYDAJ	PREVOD NA UCET	690	13996	POJISTNE	KL	53290563
597170	2032	1997-08-09	VYDAJ	PREVOD NA UCET	690	16647	POJISTNE	KL	53290563
597171	2032	1997-09-09	VYDAJ	PREVOD NA UCET	690	19308	POJISTNE	KL	53290563
597172	2032	1997-10-09	VYDAJ	PREVOD NA UCET	690	13054	POJISTNE	KL	53290563
597173	2032	1997-11-09	VYDAJ	PREVOD NA UCET	690	15701	POJISTNE	KL	53290563
597174	2032	1997-12-09	VYDAJ	PREVOD NA UCET	690	16400	POJISTNE	KL	53290563
597175	2032	1998-01-09	VYDAJ	PREVOD NA UCET	690	10663	POJISTNE	KL	53290563
597176	2032	1998-02-09	VYDAJ	PREVOD NA UCET	690	13308	POJISTNE	KL	53290563
597177	2032	1998-03-09	VYDAJ	PREVOD NA UCET	690	15955	POJISTNE	KL	53290563
597178	2032	1998-04-09	VYDAJ	PREVOD NA UCET	690	10905	POJISTNE	KL	53290563
597179	2032	1998-05-09	VYDAJ	PREVOD NA UCET	690	13548	POJISTNE	KL	53290563
597180	2032	1998-06-09	VYDAJ	PREVOD NA UCET	690	20118	POJISTNE	KL	53290563
597181	2032	1998-07-09	VYDAJ	PREVOD NA UCET	690	22790	POJISTNE	KL	53290563
597182	2032	1998-08-09	VYDAJ	PREVOD NA UCET	690	23434	POJISTNE	KL	53290563
597183	2032	1998-09-09	VYDAJ	PREVOD NA UCET	690	26123	POJISTNE	KL	53290563
597184	2032	1998-10-09	VYDAJ	PREVOD NA UCET	690	28824	POJISTNE	KL	53290563
597185	2032	1998-11-09	VYDAJ	PREVOD NA UCET	690	26494	POJISTNE	KL	53290563
597186	2032	1998-12-09	VYDAJ	PREVOD NA UCET	690	26151	POJISTNE	KL	53290563
597202	2032	1997-04-13	VYDAJ	PREVOD NA UCET	1441	23911	 	IJ	51595652
597203	2032	1997-05-13	VYDAJ	PREVOD NA UCET	1441	20405	 	IJ	51595652
597204	2032	1997-06-13	VYDAJ	PREVOD NA UCET	1441	9908	 	IJ	51595652
597205	2032	1997-07-13	VYDAJ	PREVOD NA UCET	1441	12555	 	IJ	51595652
597206	2032	1997-08-13	VYDAJ	PREVOD NA UCET	1441	15206	 	IJ	51595652
597207	2032	1997-09-13	VYDAJ	PREVOD NA UCET	1441	8967	 	IJ	51595652
597208	2032	1997-10-13	VYDAJ	PREVOD NA UCET	1441	11613	 	IJ	51595652
597209	2032	1997-11-13	VYDAJ	PREVOD NA UCET	1441	14260	 	IJ	51595652
597210	2032	1997-12-13	VYDAJ	PREVOD NA UCET	1441	14959	 	IJ	51595652
597211	2032	1998-01-13	VYDAJ	PREVOD NA UCET	1441	9222	 	IJ	51595652
597212	2032	1998-02-13	VYDAJ	PREVOD NA UCET	1441	11867	 	IJ	51595652
597213	2032	1998-03-13	VYDAJ	PREVOD NA UCET	1441	11814	 	IJ	51595652
597214	2032	1998-04-13	VYDAJ	PREVOD NA UCET	1441	9464	 	IJ	51595652
597215	2032	1998-05-13	VYDAJ	PREVOD NA UCET	1441	12107	 	IJ	51595652
597216	2032	1998-06-13	VYDAJ	PREVOD NA UCET	1441	18677	 	IJ	51595652
597217	2032	1998-07-13	VYDAJ	PREVOD NA UCET	1441	21349	 	IJ	51595652
597218	2032	1998-08-13	VYDAJ	PREVOD NA UCET	1441	21993	 	IJ	51595652
597219	2032	1998-09-13	VYDAJ	PREVOD NA UCET	1441	24682	 	IJ	51595652
597220	2032	1998-10-13	VYDAJ	PREVOD NA UCET	1441	27383	 	IJ	51595652
597221	2032	1998-11-13	VYDAJ	PREVOD NA UCET	1441	25053	 	IJ	51595652
597222	2032	1998-12-13	VYDAJ	PREVOD NA UCET	1441	19430	 	IJ	51595652
597231	2032	1998-12-24	VYDAJ	VYBER	4480	14950	\N	\N	\N
597257	2032	1997-12-08	VYDAJ	VYBER	5880	17090	\N	\N	\N
597259	2032	1998-07-23	VYDAJ	VYBER	2040	19309	\N	\N	\N
597260	2032	1998-11-29	VYDAJ	VYBER	1560	18093	\N	\N	\N
597261	2032	1998-11-22	VYDAJ	VYBER	5400	19653	\N	\N	\N
597262	2032	1998-10-30	VYDAJ	VYBER	5040	22343	\N	\N	\N
597264	2032	1998-12-11	VYDAJ	VYBER	5280	20871	\N	\N	\N
597281	2032	1997-04-30	VYDAJ	VYBER	15	17790	SLUZBY	\N	\N
597282	2032	1997-05-31	VYDAJ	VYBER	15	10971	SLUZBY	\N	\N
597283	2032	1997-06-30	VYDAJ	VYBER	15	9940	SLUZBY	\N	\N
597284	2032	1997-07-31	VYDAJ	VYBER	15	12591	SLUZBY	\N	\N
597285	2032	1997-08-31	VYDAJ	VYBER	15	15252	SLUZBY	\N	\N
597286	2032	1997-09-30	VYDAJ	VYBER	15	8998	SLUZBY	\N	\N
597287	2032	1997-10-31	VYDAJ	VYBER	15	11645	SLUZBY	\N	\N
597288	2032	1997-11-30	VYDAJ	VYBER	15	14302	SLUZBY	\N	\N
597289	2032	1997-12-31	VYDAJ	VYBER	15	15007	SLUZBY	\N	\N
597290	2032	1998-01-31	VYDAJ	VYBER	15	9252	SLUZBY	\N	\N
597291	2032	1998-02-28	VYDAJ	VYBER	15	11899	SLUZBY	\N	\N
597292	2032	1998-03-31	VYDAJ	VYBER	15	11849	SLUZBY	\N	\N
597293	2032	1998-04-30	VYDAJ	VYBER	15	9492	SLUZBY	\N	\N
597294	2032	1998-05-31	VYDAJ	VYBER	15	12140	SLUZBY	\N	\N
597295	2032	1998-06-30	VYDAJ	VYBER	15	18734	SLUZBY	\N	\N
597296	2032	1998-07-31	VYDAJ	VYBER	15	19378	SLUZBY	\N	\N
597297	2032	1998-08-31	VYDAJ	VYBER	15	22067	SLUZBY	\N	\N
597298	2032	1998-09-30	VYDAJ	VYBER	15	24768	SLUZBY	\N	\N
597299	2032	1998-10-31	VYDAJ	VYBER	15	22438	SLUZBY	\N	\N
597300	2032	1998-11-30	VYDAJ	VYBER	15	18173	SLUZBY	\N	\N
597301	2032	1996-12-14	PRIJEM	VKLAD	6700	18666	\N	\N	\N
597302	2032	1997-01-13	VYDAJ	VYBER	4600	21955	\N	\N	\N
597303	2032	1997-02-12	VYDAJ	VYBER	9100	20785	\N	\N	\N
597304	2032	1997-03-14	VYDAJ	VYBER	10600	18118	\N	\N	\N
597305	2032	1997-04-13	VYDAJ	VYBER	6200	17711	\N	\N	\N
597306	2032	1997-05-13	VYDAJ	VYBER	9500	10905	\N	\N	\N
597307	2032	1997-06-12	VYDAJ	VYBER	7600	11349	\N	\N	\N
597308	2032	1997-09-10	VYDAJ	VYBER	8900	10408	\N	\N	\N
597309	2032	1998-01-08	VYDAJ	VYBER	8400	11353	\N	\N	\N
597310	2032	1998-03-09	VYDAJ	VYBER	2700	13255	\N	\N	\N
597311	2032	1998-04-08	VYDAJ	VYBER	5000	11595	\N	\N	\N
597337	2033	1996-03-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
597341	2033	1996-04-06	PRIJEM	VKLAD	10929	12029	\N	\N	\N
597342	2033	1996-05-06	PRIJEM	VKLAD	10929	27486	\N	\N	\N
597343	2033	1996-06-06	PRIJEM	VKLAD	16394	39560	\N	\N	\N
597344	2033	1996-07-06	PRIJEM	VKLAD	10929	38894	\N	\N	\N
597345	2033	1996-08-06	PRIJEM	VKLAD	10929	42946	\N	\N	\N
597346	2033	1996-09-06	PRIJEM	VKLAD	10929	40764	\N	\N	\N
597347	2033	1996-10-06	PRIJEM	VKLAD	10929	38530	\N	\N	\N
597348	2033	1996-11-06	PRIJEM	VKLAD	10929	40195	\N	\N	\N
597349	2033	1996-12-06	PRIJEM	VKLAD	16394	46329	\N	\N	\N
597350	2033	1997-01-06	PRIJEM	VKLAD	10929	41064	\N	\N	\N
597351	2033	1997-02-06	PRIJEM	VKLAD	10929	24402	\N	\N	\N
597352	2033	1997-03-06	PRIJEM	VKLAD	10929	34326	\N	\N	\N
597353	2033	1997-04-06	PRIJEM	VKLAD	10929	35571	\N	\N	\N
597354	2033	1997-05-06	PRIJEM	VKLAD	10929	39127	\N	\N	\N
597355	2033	1997-06-06	PRIJEM	VKLAD	16394	44955	\N	\N	\N
597356	2033	1997-07-06	PRIJEM	VKLAD	10929	25613	\N	\N	\N
597357	2033	1997-08-06	PRIJEM	VKLAD	10929	33330	\N	\N	\N
597358	2033	1997-09-06	PRIJEM	VKLAD	10929	32990	\N	\N	\N
597359	2033	1997-10-06	PRIJEM	VKLAD	10929	39241	\N	\N	\N
597360	2033	1997-11-06	PRIJEM	VKLAD	10929	44515	\N	\N	\N
597361	2033	1997-12-06	PRIJEM	VKLAD	16394	43141	\N	\N	\N
597362	2033	1998-01-06	PRIJEM	VKLAD	10929	35856	\N	\N	\N
597363	2033	1998-02-06	PRIJEM	VKLAD	10929	31455	\N	\N	\N
597364	2033	1998-03-06	PRIJEM	VKLAD	10929	29825	\N	\N	\N
597365	2033	1998-04-06	PRIJEM	VKLAD	10929	39975	\N	\N	\N
597366	2033	1998-05-06	PRIJEM	VKLAD	10929	41440	\N	\N	\N
597367	2033	1998-06-06	PRIJEM	VKLAD	16394	47667	\N	\N	\N
597368	2033	1998-07-06	PRIJEM	VKLAD	10929	35529	\N	\N	\N
597369	2033	1998-08-06	PRIJEM	VKLAD	10929	37277	\N	\N	\N
597370	2033	1998-09-06	PRIJEM	VKLAD	10929	41140	\N	\N	\N
597371	2033	1998-10-06	PRIJEM	VKLAD	10929	47830	\N	\N	\N
597372	2033	1998-11-06	PRIJEM	VKLAD	10929	46130	\N	\N	\N
597373	2033	1998-12-06	PRIJEM	VKLAD	16394	56408	\N	\N	\N
597381	2033	1996-08-09	VYDAJ	PREVOD NA UCET	4274	35312	SIPO	MN	78654551
597382	2033	1996-09-09	VYDAJ	PREVOD NA UCET	4274	36490	SIPO	MN	78654551
597383	2033	1996-10-09	VYDAJ	PREVOD NA UCET	4274	34256	SIPO	MN	78654551
597384	2033	1996-11-09	VYDAJ	PREVOD NA UCET	4274	35921	SIPO	MN	78654551
597385	2033	1996-12-09	VYDAJ	PREVOD NA UCET	4274	42055	SIPO	MN	78654551
597386	2033	1997-01-09	VYDAJ	PREVOD NA UCET	4274	35830	SIPO	MN	78654551
597387	2033	1997-02-09	VYDAJ	PREVOD NA UCET	4274	20128	SIPO	MN	78654551
597388	2033	1997-03-09	VYDAJ	PREVOD NA UCET	4274	30052	SIPO	MN	78654551
597389	2033	1997-04-09	VYDAJ	PREVOD NA UCET	4274	31297	SIPO	MN	78654551
597390	2033	1997-05-09	VYDAJ	PREVOD NA UCET	4274	34853	SIPO	MN	78654551
597391	2033	1997-06-09	VYDAJ	PREVOD NA UCET	4274	40681	SIPO	MN	78654551
597392	2033	1997-07-09	VYDAJ	PREVOD NA UCET	4274	21339	SIPO	MN	78654551
597393	2033	1997-08-09	VYDAJ	PREVOD NA UCET	4274	29056	SIPO	MN	78654551
597394	2033	1997-09-09	VYDAJ	PREVOD NA UCET	4274	28716	SIPO	MN	78654551
597395	2033	1997-10-09	VYDAJ	PREVOD NA UCET	4274	34967	SIPO	MN	78654551
597396	2033	1997-11-09	VYDAJ	PREVOD NA UCET	4274	40241	SIPO	MN	78654551
597397	2033	1997-12-09	VYDAJ	PREVOD NA UCET	4274	38867	SIPO	MN	78654551
597398	2033	1998-01-09	VYDAJ	PREVOD NA UCET	4274	25242	SIPO	MN	78654551
597399	2033	1998-02-09	VYDAJ	PREVOD NA UCET	4274	22181	SIPO	MN	78654551
597400	2033	1998-03-09	VYDAJ	PREVOD NA UCET	4274	25551	SIPO	MN	78654551
597401	2033	1998-04-09	VYDAJ	PREVOD NA UCET	4274	30401	SIPO	MN	78654551
597402	2033	1998-05-09	VYDAJ	PREVOD NA UCET	4274	33666	SIPO	MN	78654551
597403	2033	1998-06-09	VYDAJ	PREVOD NA UCET	4274	28453	SIPO	MN	78654551
597404	2033	1998-07-09	VYDAJ	PREVOD NA UCET	4274	26255	SIPO	MN	78654551
597405	2033	1998-08-09	VYDAJ	PREVOD NA UCET	4274	30103	SIPO	MN	78654551
597406	2033	1998-09-09	VYDAJ	PREVOD NA UCET	4274	36766	SIPO	MN	78654551
597407	2033	1998-10-09	VYDAJ	PREVOD NA UCET	4274	38256	SIPO	MN	78654551
597408	2033	1998-11-09	VYDAJ	PREVOD NA UCET	4274	41856	SIPO	MN	78654551
597409	2033	1998-12-09	VYDAJ	PREVOD NA UCET	4274	52134	SIPO	MN	78654551
597411	2033	1997-06-16	VYDAJ	VYBER	18080	14601	\N	\N	\N
597412	2033	1998-06-06	VYDAJ	VYBER	12640	35027	\N	\N	\N
597414	2033	1997-01-16	VYDAJ	VYBER	10240	15070	\N	\N	\N
597415	2033	1998-01-07	VYDAJ	VYBER	1760	32296	\N	\N	\N
597416	2033	1996-12-14	VYDAJ	VYBER	1440	40615	\N	\N	\N
597417	2033	1997-12-05	VYDAJ	VYBER	4640	26747	\N	\N	\N
597418	2033	1998-12-30	VYDAJ	VYBER	2720	49414	\N	\N	\N
597425	2033	1997-01-14	VYDAJ	VYBER	1080	28550	\N	\N	\N
597427	2033	1997-01-16	VYDAJ	VYBER	3240	25310	\N	\N	\N
597428	2033	1997-01-18	VYDAJ	VYBER	840	13390	\N	\N	\N
597429	2033	1997-01-07	VYDAJ	VYBER	960	40104	\N	\N	\N
597430	2033	1997-01-17	VYDAJ	VYBER	840	14230	\N	\N	\N
597431	2033	1998-01-09	VYDAJ	VYBER	1800	29516	\N	\N	\N
597432	2033	1998-01-06	VYDAJ	VYBER	1800	34056	\N	\N	\N
597433	2033	1998-01-11	VYDAJ	VYBER	3480	20442	\N	\N	\N
597434	2033	1998-01-08	VYDAJ	VYBER	1680	30616	\N	\N	\N
597435	2033	1998-01-10	VYDAJ	VYBER	1320	23922	\N	\N	\N
597436	2033	1998-01-05	VYDAJ	VYBER	840	24927	\N	\N	\N
597440	2033	1996-08-09	VYDAJ	VYBER	3360	39586	\N	\N	\N
597441	2033	1997-08-14	VYDAJ	VYBER	5640	24016	\N	\N	\N
597442	2033	1997-11-29	VYDAJ	VYBER	2280	31261	\N	\N	\N
597443	2033	1997-08-25	VYDAJ	VYBER	2040	21976	\N	\N	\N
597445	2033	1997-07-29	VYDAJ	VYBER	5520	22319	\N	\N	\N
597446	2033	1998-02-06	VYDAJ	VYBER	4320	22455	\N	\N	\N
597447	2033	1998-01-02	VYDAJ	VYBER	5520	25767	\N	\N	\N
597448	2033	1998-02-24	VYDAJ	VYBER	3360	18821	\N	\N	\N
597449	2033	1998-02-06	VYDAJ	VYBER	4680	26775	\N	\N	\N
597450	2033	1998-06-30	VYDAJ	VYBER	3960	24614	\N	\N	\N
597451	2033	1998-05-23	VYDAJ	VYBER	2520	31146	\N	\N	\N
597460	2033	1996-08-31	VYDAJ	VYBER	15	29835	SLUZBY	\N	\N
597461	2033	1996-09-30	VYDAJ	VYBER	15	27601	SLUZBY	\N	\N
597462	2033	1996-10-31	VYDAJ	VYBER	15	29266	SLUZBY	\N	\N
597463	2033	1996-11-30	VYDAJ	VYBER	15	29935	SLUZBY	\N	\N
597464	2033	1996-12-31	VYDAJ	VYBER	15	30135	SLUZBY	\N	\N
597465	2033	1997-01-31	VYDAJ	VYBER	15	13473	SLUZBY	\N	\N
597466	2033	1997-02-28	VYDAJ	VYBER	15	23397	SLUZBY	\N	\N
597467	2033	1997-03-31	VYDAJ	VYBER	15	24642	SLUZBY	\N	\N
597468	2033	1997-04-30	VYDAJ	VYBER	15	28198	SLUZBY	\N	\N
597469	2033	1997-05-31	VYDAJ	VYBER	15	28561	SLUZBY	\N	\N
597470	2033	1997-06-30	VYDAJ	VYBER	15	14684	SLUZBY	\N	\N
597471	2033	1997-07-31	VYDAJ	VYBER	15	22401	SLUZBY	\N	\N
597472	2033	1997-08-31	VYDAJ	VYBER	15	22061	SLUZBY	\N	\N
597473	2033	1997-09-30	VYDAJ	VYBER	15	28312	SLUZBY	\N	\N
597474	2033	1997-10-31	VYDAJ	VYBER	15	33586	SLUZBY	\N	\N
597475	2033	1997-11-30	VYDAJ	VYBER	15	31387	SLUZBY	\N	\N
597476	2033	1997-12-31	VYDAJ	VYBER	15	31287	SLUZBY	\N	\N
597477	2033	1998-01-31	VYDAJ	VYBER	15	20526	SLUZBY	\N	\N
597478	2033	1998-02-28	VYDAJ	VYBER	15	18896	SLUZBY	\N	\N
597479	2033	1998-03-31	VYDAJ	VYBER	15	29046	SLUZBY	\N	\N
597480	2033	1998-04-30	VYDAJ	VYBER	15	30511	SLUZBY	\N	\N
597481	2033	1998-05-31	VYDAJ	VYBER	15	31273	SLUZBY	\N	\N
597482	2033	1998-06-30	VYDAJ	VYBER	15	24600	SLUZBY	\N	\N
597483	2033	1998-07-31	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
597484	2033	1998-08-31	VYDAJ	VYBER	15	30211	SLUZBY	\N	\N
597485	2033	1998-09-30	VYDAJ	VYBER	15	36901	SLUZBY	\N	\N
597486	2033	1998-10-31	VYDAJ	VYBER	15	38401	SLUZBY	\N	\N
597487	2033	1998-11-30	VYDAJ	VYBER	15	42014	SLUZBY	\N	\N
597488	2033	1996-04-19	PRIJEM	VKLAD	4500	16529	\N	\N	\N
597489	2033	1996-05-19	VYDAJ	VYBER	4400	23086	\N	\N	\N
597490	2033	1996-06-18	VYDAJ	VYBER	11700	27860	\N	\N	\N
597491	2033	1996-07-18	VYDAJ	VYBER	7000	31894	\N	\N	\N
597492	2033	1996-08-17	VYDAJ	VYBER	5600	29712	\N	\N	\N
597493	2033	1996-09-16	VYDAJ	VYBER	9000	27490	\N	\N	\N
597494	2033	1996-10-16	VYDAJ	VYBER	5100	29156	\N	\N	\N
597495	2033	1996-11-15	VYDAJ	VYBER	6100	29821	\N	\N	\N
597496	2033	1996-12-15	VYDAJ	VYBER	10600	30015	\N	\N	\N
597497	2033	1997-01-14	VYDAJ	VYBER	6200	29630	\N	\N	\N
597498	2033	1997-02-13	PRIJEM	VKLAD	3200	23328	\N	\N	\N
597499	2033	1997-03-15	VYDAJ	VYBER	5500	24552	\N	\N	\N
597500	2033	1997-04-14	VYDAJ	VYBER	3200	28097	\N	\N	\N
597501	2033	1997-05-14	VYDAJ	VYBER	6400	28453	\N	\N	\N
597502	2033	1997-06-13	VYDAJ	VYBER	8000	32681	\N	\N	\N
597503	2033	1997-07-13	PRIJEM	VKLAD	6500	27839	\N	\N	\N
597504	2033	1997-08-12	PRIJEM	VKLAD	600	29656	\N	\N	\N
597505	2033	1997-09-11	VYDAJ	VYBER	500	28216	\N	\N	\N
597506	2033	1997-10-11	VYDAJ	VYBER	1500	33467	\N	\N	\N
597507	2033	1997-11-10	VYDAJ	VYBER	6700	33541	\N	\N	\N
597508	2033	1997-12-10	VYDAJ	VYBER	7700	31167	\N	\N	\N
597509	2033	1998-01-09	PRIJEM	VKLAD	700	31316	\N	\N	\N
597510	2033	1998-02-08	PRIJEM	VKLAD	4000	26455	\N	\N	\N
597511	2033	1998-03-10	PRIJEM	VKLAD	3400	28951	\N	\N	\N
597512	2033	1998-04-09	VYDAJ	VYBER	5300	34675	\N	\N	\N
597513	2033	1998-05-09	VYDAJ	VYBER	3500	37940	\N	\N	\N
597514	2033	1998-06-08	VYDAJ	VYBER	2300	32727	\N	\N	\N
597515	2033	1998-07-08	VYDAJ	VYBER	5000	30529	\N	\N	\N
597516	2033	1998-08-07	VYDAJ	VYBER	2900	34377	\N	\N	\N
597517	2033	1998-09-06	VYDAJ	VYBER	100	41040	\N	\N	\N
597518	2033	1998-10-06	VYDAJ	VYBER	5300	42530	\N	\N	\N
597519	2033	1998-11-05	VYDAJ	VYBER	3200	35201	\N	\N	\N
597520	2033	1998-12-05	VYDAJ	VYBER	2000	40014	\N	\N	\N
597554	2034	1996-08-21	PRIJEM	VKLAD	400	400	\N	\N	\N
597563	2034	1996-09-08	PRIJEM	VKLAD	22428	22828	\N	\N	\N
597564	2034	1996-10-08	PRIJEM	VKLAD	22428	48195	\N	\N	\N
597565	2034	1996-11-08	PRIJEM	VKLAD	22428	58347	\N	\N	\N
597566	2034	1996-12-08	PRIJEM	VKLAD	33642	75748	\N	\N	\N
597567	2034	1997-01-08	PRIJEM	VKLAD	22428	74168	\N	\N	\N
597568	2034	1997-02-08	PRIJEM	VKLAD	22428	45259	\N	\N	\N
597569	2034	1997-03-08	PRIJEM	VKLAD	22428	54466	\N	\N	\N
597570	2034	1997-04-08	PRIJEM	VKLAD	22428	59891	\N	\N	\N
597571	2034	1997-05-08	PRIJEM	VKLAD	22428	62332	\N	\N	\N
597572	2034	1997-06-08	PRIJEM	VKLAD	33642	78201	\N	\N	\N
597573	2034	1997-07-08	PRIJEM	VKLAD	22428	68224	\N	\N	\N
597574	2034	1997-08-08	PRIJEM	VKLAD	22428	69801	\N	\N	\N
597575	2034	1997-09-08	PRIJEM	VKLAD	22428	72796	\N	\N	\N
597576	2034	1997-10-08	PRIJEM	VKLAD	22428	76488	\N	\N	\N
597577	2034	1997-11-08	PRIJEM	VKLAD	22428	78291	\N	\N	\N
597578	2034	1997-12-08	PRIJEM	VKLAD	33642	95224	\N	\N	\N
597579	2034	1998-01-08	PRIJEM	VKLAD	22428	88672	\N	\N	\N
597580	2034	1998-02-08	PRIJEM	VKLAD	22428	61574	\N	\N	\N
597581	2034	1998-03-08	PRIJEM	VKLAD	22428	66534	\N	\N	\N
597582	2034	1998-04-08	PRIJEM	VKLAD	22428	76514	\N	\N	\N
597583	2034	1998-05-08	PRIJEM	VKLAD	22428	81822	\N	\N	\N
597584	2034	1998-06-08	PRIJEM	VKLAD	33642	96562	\N	\N	\N
597585	2034	1998-07-08	PRIJEM	VKLAD	22428	51575	\N	\N	\N
597586	2034	1998-08-08	PRIJEM	VKLAD	22428	67116	\N	\N	\N
597587	2034	1998-09-08	PRIJEM	VKLAD	22428	74492	\N	\N	\N
597588	2034	1998-10-08	PRIJEM	VKLAD	22428	79393	\N	\N	\N
597589	2034	1998-11-08	PRIJEM	VKLAD	22428	86120	\N	\N	\N
597590	2034	1998-12-08	PRIJEM	VKLAD	33642	96679	\N	\N	\N
597603	2034	1997-01-12	VYDAJ	PREVOD NA UCET	8744	65424	SIPO	OP	92716079
597604	2034	1997-02-12	VYDAJ	PREVOD NA UCET	8744	36515	SIPO	OP	92716079
597605	2034	1997-03-12	VYDAJ	PREVOD NA UCET	8744	45722	SIPO	OP	92716079
597606	2034	1997-04-12	VYDAJ	PREVOD NA UCET	8744	51147	SIPO	OP	92716079
597607	2034	1997-05-12	VYDAJ	PREVOD NA UCET	8744	53588	SIPO	OP	92716079
597608	2034	1997-06-12	VYDAJ	PREVOD NA UCET	8744	69457	SIPO	OP	92716079
597609	2034	1997-07-12	VYDAJ	PREVOD NA UCET	8744	59480	SIPO	OP	92716079
597610	2034	1997-08-12	VYDAJ	PREVOD NA UCET	8744	61057	SIPO	OP	92716079
597611	2034	1997-09-12	VYDAJ	PREVOD NA UCET	8744	64052	SIPO	OP	92716079
597612	2034	1997-10-12	VYDAJ	PREVOD NA UCET	8744	67744	SIPO	OP	92716079
597613	2034	1997-11-12	VYDAJ	PREVOD NA UCET	8744	69547	SIPO	OP	92716079
597614	2034	1997-12-12	VYDAJ	PREVOD NA UCET	8744	82680	SIPO	OP	92716079
597615	2034	1998-01-12	VYDAJ	PREVOD NA UCET	8744	78128	SIPO	OP	92716079
597616	2034	1998-02-12	VYDAJ	PREVOD NA UCET	8744	52830	SIPO	OP	92716079
597617	2034	1998-03-12	VYDAJ	PREVOD NA UCET	8744	57790	SIPO	OP	92716079
597618	2034	1998-04-12	VYDAJ	PREVOD NA UCET	8744	67770	SIPO	OP	92716079
597619	2034	1998-05-12	VYDAJ	PREVOD NA UCET	8744	73078	SIPO	OP	92716079
597620	2034	1998-06-12	VYDAJ	PREVOD NA UCET	8744	87818	SIPO	OP	92716079
597621	2034	1998-07-12	VYDAJ	PREVOD NA UCET	8744	48631	SIPO	OP	92716079
597622	2034	1998-08-12	VYDAJ	PREVOD NA UCET	8744	51872	SIPO	OP	92716079
597623	2034	1998-09-12	VYDAJ	PREVOD NA UCET	8744	56748	SIPO	OP	92716079
597624	2034	1998-10-12	VYDAJ	PREVOD NA UCET	8744	63449	SIPO	OP	92716079
597625	2034	1998-11-12	VYDAJ	PREVOD NA UCET	8744	67276	SIPO	OP	92716079
597626	2034	1998-12-12	VYDAJ	PREVOD NA UCET	8744	67535	SIPO	OP	92716079
597628	2034	1997-06-25	VYDAJ	VYBER	7360	45597	\N	\N	\N
597629	2034	1998-06-13	VYDAJ	VYBER	32960	33658	\N	\N	\N
597631	2034	1997-01-30	VYDAJ	VYBER	12160	25164	\N	\N	\N
597632	2034	1998-01-15	VYDAJ	VYBER	11200	46828	\N	\N	\N
597634	2034	1997-12-11	VYDAJ	VYBER KARTOU	3800	91424	\N	\N	0
597635	2034	1998-12-27	VYDAJ	VYBER KARTOU	3200	60335	\N	\N	0
597643	2034	1997-01-19	VYDAJ	VYBER	3120	43204	\N	\N	\N
597645	2034	1997-01-24	VYDAJ	VYBER	1440	41764	\N	\N	\N
597646	2034	1997-01-28	VYDAJ	VYBER	1200	37324	\N	\N	\N
597647	2034	1997-01-25	VYDAJ	VYBER	3240	38524	\N	\N	\N
597648	2034	1998-01-22	VYDAJ	VYBER KARTOU	3400	40828	\N	\N	0
597649	2034	1998-01-14	VYDAJ	VYBER KARTOU	2900	58028	\N	\N	0
597650	2034	1998-01-27	VYDAJ	VYBER KARTOU	1900	38928	\N	\N	0
597651	2034	1998-01-05	VYDAJ	VYBER KARTOU	800	66244	\N	\N	0
597652	2034	1998-01-08	VYDAJ	VYBER KARTOU	1800	86872	\N	\N	0
597653	2034	1998-01-22	VYDAJ	VYBER KARTOU	2600	44228	\N	\N	0
597658	2034	1997-02-03	VYDAJ	VYBER	2520	22831	\N	\N	\N
597659	2034	1997-08-07	VYDAJ	VYBER KARTOU	2600	47373	\N	\N	0
597660	2034	1998-11-16	VYDAJ	VYBER KARTOU	1700	65576	\N	\N	0
597661	2034	1998-06-18	VYDAJ	VYBER	4680	28978	\N	\N	\N
597662	2034	1998-12-18	VYDAJ	VYBER KARTOU	4000	63535	\N	\N	0
597663	2034	1998-02-24	VYDAJ	VYBER KARTOU	2800	43930	\N	\N	0
597664	2034	1998-07-14	VYDAJ	VYBER KARTOU	2200	46431	\N	\N	0
597665	2034	1998-12-03	VYDAJ	VYBER KARTOU	2800	63037	\N	\N	0
597666	2034	1998-07-10	VYDAJ	VYBER KARTOU	1900	49675	\N	\N	0
597667	2034	1998-07-28	VYDAJ	VYBER KARTOU	1900	44531	\N	\N	0
597681	2034	1997-01-31	VYDAJ	VYBER	15	25351	SLUZBY	\N	\N
597682	2034	1997-02-28	VYDAJ	VYBER	15	32038	SLUZBY	\N	\N
597683	2034	1997-03-31	VYDAJ	VYBER	15	37463	SLUZBY	\N	\N
597684	2034	1997-04-30	VYDAJ	VYBER	15	39904	SLUZBY	\N	\N
597685	2034	1997-05-31	VYDAJ	VYBER	15	44559	SLUZBY	\N	\N
597686	2034	1997-06-30	VYDAJ	VYBER	15	45796	SLUZBY	\N	\N
597687	2034	1997-07-31	VYDAJ	VYBER	15	49973	SLUZBY	\N	\N
597688	2034	1997-08-31	VYDAJ	VYBER	15	50368	SLUZBY	\N	\N
597689	2034	1997-09-30	VYDAJ	VYBER	15	54060	SLUZBY	\N	\N
597690	2034	1997-10-31	VYDAJ	VYBER	15	55863	SLUZBY	\N	\N
597691	2034	1997-11-30	VYDAJ	VYBER	15	61582	SLUZBY	\N	\N
597692	2034	1997-12-31	VYDAJ	VYBER	15	67044	SLUZBY	\N	\N
597693	2034	1998-01-31	VYDAJ	VYBER	15	39146	SLUZBY	\N	\N
597694	2034	1998-02-28	VYDAJ	VYBER	15	44106	SLUZBY	\N	\N
597695	2034	1998-03-31	VYDAJ	VYBER	15	54086	SLUZBY	\N	\N
597696	2034	1998-04-30	VYDAJ	VYBER	15	59394	SLUZBY	\N	\N
597697	2034	1998-05-31	VYDAJ	VYBER	15	62920	SLUZBY	\N	\N
597698	2034	1998-06-30	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
597699	2034	1998-07-31	VYDAJ	VYBER	15	44688	SLUZBY	\N	\N
597700	2034	1998-08-31	VYDAJ	VYBER	15	52064	SLUZBY	\N	\N
597701	2034	1998-09-30	VYDAJ	VYBER	15	56965	SLUZBY	\N	\N
597702	2034	1998-10-31	VYDAJ	VYBER	15	63692	SLUZBY	\N	\N
597703	2034	1998-11-30	VYDAJ	VYBER	15	65837	SLUZBY	\N	\N
597704	2034	1996-09-20	PRIJEM	VKLAD	2900	25728	\N	\N	\N
597705	2034	1996-10-20	VYDAJ	VYBER	12400	35795	\N	\N	\N
597706	2034	1996-11-19	VYDAJ	VYBER	16400	41947	\N	\N	\N
597707	2034	1996-12-19	VYDAJ	VYBER	24200	51548	\N	\N	\N
597708	2034	1997-01-18	VYDAJ	VYBER	19100	46324	\N	\N	\N
597709	2034	1997-02-17	VYDAJ	VYBER	4600	31915	\N	\N	\N
597710	2034	1997-03-19	VYDAJ	VYBER	8400	37322	\N	\N	\N
597711	2034	1997-04-18	VYDAJ	VYBER	11400	39747	\N	\N	\N
597712	2034	1997-05-18	VYDAJ	VYBER	9200	44388	\N	\N	\N
597713	2034	1997-06-17	VYDAJ	VYBER	16500	52957	\N	\N	\N
597714	2034	1997-07-17	VYDAJ	VYBER	9700	49780	\N	\N	\N
597715	2034	1997-08-16	VYDAJ	VYBER	10900	50157	\N	\N	\N
597716	2034	1997-09-15	VYDAJ	VYBER	10200	53852	\N	\N	\N
597717	2034	1997-10-15	VYDAJ	VYBER	12100	55644	\N	\N	\N
597718	2034	1997-11-14	VYDAJ	VYBER	8200	61347	\N	\N	\N
597719	2034	1997-12-14	VYDAJ	VYBER	15900	66780	\N	\N	\N
597720	2034	1998-01-13	VYDAJ	VYBER	17200	60928	\N	\N	\N
597721	2034	1998-02-12	VYDAJ	VYBER	6100	46730	\N	\N	\N
597722	2034	1998-03-14	VYDAJ	VYBER KARTOU	3900	53890	\N	\N	0
597723	2034	1998-04-13	VYDAJ	VYBER	8600	59170	\N	\N	\N
597724	2034	1998-05-13	VYDAJ	VYBER	10400	62678	\N	\N	\N
597725	2034	1998-06-12	VYDAJ	VYBER	21200	66618	\N	\N	\N
597726	2034	1998-07-12	PRIJEM	VKLAD	7700	57375	\N	\N	\N
597727	2034	1998-08-11	VYDAJ	VYBER	6500	60616	\N	\N	\N
597728	2034	1998-09-10	VYDAJ	VYBER	9000	65492	\N	\N	\N
597729	2034	1998-10-10	VYDAJ	VYBER	7200	72193	\N	\N	\N
597730	2034	1998-11-09	VYDAJ	VYBER	10100	76020	\N	\N	\N
597731	2034	1998-12-09	VYDAJ	VYBER	20400	76279	\N	\N	\N
597760	2035	1996-05-10	PRIJEM	VKLAD	400	400	\N	\N	\N
597766	2035	1996-06-05	PRIJEM	PREVOD Z UCTU	44084	44484	\N	OP	31750983
597767	2035	1996-07-05	PRIJEM	PREVOD Z UCTU	29389	67188	\N	OP	31750983
597768	2035	1996-08-05	PRIJEM	PREVOD Z UCTU	29389	75159	\N	OP	31750983
597769	2035	1996-09-05	PRIJEM	PREVOD Z UCTU	29389	81859	\N	OP	31750983
597770	2035	1996-10-05	PRIJEM	PREVOD Z UCTU	29389	84976	\N	OP	31750983
597771	2035	1996-11-05	PRIJEM	PREVOD Z UCTU	29389	44888	\N	OP	31750983
597772	2035	1996-12-05	PRIJEM	PREVOD Z UCTU	44084	58205	\N	OP	31750983
597773	2035	1997-01-05	PRIJEM	PREVOD Z UCTU	29389	53923	\N	OP	31750983
597774	2035	1997-02-05	PRIJEM	PREVOD Z UCTU	29389	56383	\N	OP	31750983
597775	2035	1997-03-05	PRIJEM	PREVOD Z UCTU	29389	63488	\N	OP	31750983
597776	2035	1997-04-05	PRIJEM	PREVOD Z UCTU	29389	62280	\N	OP	31750983
597777	2035	1997-05-05	PRIJEM	PREVOD Z UCTU	29389	64075	\N	OP	31750983
597778	2035	1997-06-05	PRIJEM	PREVOD Z UCTU	44084	72651	\N	OP	31750983
597779	2035	1997-07-05	PRIJEM	PREVOD Z UCTU	29389	62991	\N	OP	31750983
597780	2035	1997-08-05	PRIJEM	PREVOD Z UCTU	29389	66527	\N	OP	31750983
597781	2035	1997-09-05	PRIJEM	PREVOD Z UCTU	29389	68690	\N	OP	31750983
597782	2035	1997-10-05	PRIJEM	PREVOD Z UCTU	29389	72063	\N	OP	31750983
597783	2035	1997-11-05	PRIJEM	PREVOD Z UCTU	29389	69851	\N	OP	31750983
597784	2035	1997-12-05	PRIJEM	PREVOD Z UCTU	44084	87432	\N	OP	31750983
597785	2035	1998-01-05	PRIJEM	PREVOD Z UCTU	29389	63858	\N	OP	31750983
597786	2035	1998-02-05	PRIJEM	PREVOD Z UCTU	29389	66878	\N	OP	31750983
597787	2035	1998-03-05	PRIJEM	PREVOD Z UCTU	29389	66001	\N	OP	31750983
597788	2035	1998-04-05	PRIJEM	PREVOD Z UCTU	29389	72555	\N	OP	31750983
597789	2035	1998-05-05	PRIJEM	PREVOD Z UCTU	29389	69238	\N	OP	31750983
597790	2035	1998-06-05	PRIJEM	PREVOD Z UCTU	44084	82499	\N	OP	31750983
597791	2035	1998-07-05	PRIJEM	PREVOD Z UCTU	29389	72270	\N	OP	31750983
597792	2035	1998-08-05	PRIJEM	PREVOD Z UCTU	29389	64701	\N	OP	31750983
597793	2035	1998-09-05	PRIJEM	PREVOD Z UCTU	29389	69733	\N	OP	31750983
597794	2035	1998-10-05	PRIJEM	PREVOD Z UCTU	29389	70677	\N	OP	31750983
597795	2035	1998-11-05	PRIJEM	PREVOD Z UCTU	29389	65401	\N	OP	31750983
597796	2035	1998-12-05	PRIJEM	PREVOD Z UCTU	44084	92534	\N	OP	31750983
597806	2035	1996-10-18	VYDAJ	VYBER	4500	24484	\N	\N	0
597807	2035	1996-11-02	VYDAJ	VYBER	4000	15499	\N	\N	0
597808	2035	1996-11-29	VYDAJ	VYBER	3600	14053	\N	\N	0
597809	2035	1997-01-21	VYDAJ	VYBER	3900	22588	\N	\N	0
597810	2035	1997-02-14	VYDAJ	VYBER	3900	43041	\N	\N	0
597811	2035	1997-03-19	VYDAJ	VYBER	6100	32753	\N	\N	0
597812	2035	1997-04-21	VYDAJ	VYBER	2800	34545	\N	\N	0
597813	2035	1997-05-11	VYDAJ	VYBER	3200	31733	\N	\N	0
597814	2035	1997-06-06	VYDAJ	VYBER	4100	68551	\N	\N	0
597815	2035	1997-07-07	VYDAJ	VYBER	3800	55891	\N	\N	0
597816	2035	1997-08-05	VYDAJ	VYBER	3700	62827	\N	\N	0
597817	2035	1997-09-09	VYDAJ	VYBER	4900	62752	\N	\N	0
597818	2035	1997-10-09	VYDAJ	VYBER	3900	67125	\N	\N	0
597819	2035	1997-11-13	VYDAJ	VYBER	3700	56709	\N	\N	0
597820	2035	1997-12-07	VYDAJ	VYBER	5400	82032	\N	\N	0
597821	2035	1998-01-06	VYDAJ	VYBER	5600	58258	\N	\N	0
597822	2035	1998-02-12	VYDAJ	PREVOD NA UCET	4898	52538	UVER	WX	13259464
597823	2035	1998-03-12	VYDAJ	PREVOD NA UCET	4898	51661	UVER	WX	13259464
597824	2035	1998-04-12	VYDAJ	PREVOD NA UCET	4898	58215	UVER	WX	13259464
597825	2035	1998-05-12	VYDAJ	PREVOD NA UCET	4898	50197	UVER	WX	13259464
597826	2035	1998-06-12	VYDAJ	PREVOD NA UCET	4898	68159	UVER	WX	13259464
597827	2035	1998-07-12	VYDAJ	PREVOD NA UCET	4898	45030	UVER	WX	13259464
597828	2035	1998-08-12	VYDAJ	PREVOD NA UCET	4898	50361	UVER	WX	13259464
597829	2035	1998-09-12	VYDAJ	PREVOD NA UCET	4898	55393	UVER	WX	13259464
597830	2035	1998-10-12	VYDAJ	PREVOD NA UCET	4898	32964	UVER	WX	13259464
597831	2035	1998-11-12	VYDAJ	PREVOD NA UCET	4898	51061	UVER	WX	13259464
597832	2035	1998-12-12	VYDAJ	PREVOD NA UCET	4898	78194	UVER	WX	13259464
597842	2035	1996-10-10	VYDAJ	PREVOD NA UCET	8404	49334	SIPO	GH	67583274
597843	2035	1996-11-10	VYDAJ	PREVOD NA UCET	8404	17746	SIPO	GH	67583274
597844	2035	1996-12-10	VYDAJ	PREVOD NA UCET	8404	30063	SIPO	GH	67583274
597845	2035	1997-01-10	VYDAJ	PREVOD NA UCET	8404	32281	SIPO	GH	67583274
597846	2035	1997-02-10	VYDAJ	PREVOD NA UCET	8404	46941	SIPO	GH	67583274
597847	2035	1997-03-10	VYDAJ	PREVOD NA UCET	8404	38946	SIPO	GH	67583274
597848	2035	1997-04-10	VYDAJ	PREVOD NA UCET	8404	37438	SIPO	GH	67583274
597849	2035	1997-05-10	VYDAJ	PREVOD NA UCET	8404	34933	SIPO	GH	67583274
597850	2035	1997-06-10	VYDAJ	PREVOD NA UCET	8404	59109	SIPO	GH	67583274
597851	2035	1997-07-10	VYDAJ	PREVOD NA UCET	8404	46449	SIPO	GH	67583274
597852	2035	1997-08-10	VYDAJ	PREVOD NA UCET	8404	53385	SIPO	GH	67583274
597853	2035	1997-09-10	VYDAJ	PREVOD NA UCET	8404	54348	SIPO	GH	67583274
597854	2035	1997-10-10	VYDAJ	PREVOD NA UCET	8404	58721	SIPO	GH	67583274
597855	2035	1997-11-10	VYDAJ	PREVOD NA UCET	8404	60409	SIPO	GH	67583274
597856	2035	1997-12-10	VYDAJ	PREVOD NA UCET	8404	72590	SIPO	GH	67583274
597857	2035	1998-01-10	VYDAJ	PREVOD NA UCET	8404	48816	SIPO	GH	67583274
597858	2035	1998-02-10	VYDAJ	PREVOD NA UCET	8404	57436	SIPO	GH	67583274
597859	2035	1998-03-10	VYDAJ	PREVOD NA UCET	8404	56559	SIPO	GH	67583274
597860	2035	1998-04-10	VYDAJ	PREVOD NA UCET	8404	63113	SIPO	GH	67583274
597861	2035	1998-05-10	VYDAJ	PREVOD NA UCET	8404	59796	SIPO	GH	67583274
597862	2035	1998-06-10	VYDAJ	PREVOD NA UCET	8404	73057	SIPO	GH	67583274
597863	2035	1998-07-10	VYDAJ	PREVOD NA UCET	8404	62828	SIPO	GH	67583274
597864	2035	1998-08-10	VYDAJ	PREVOD NA UCET	8404	55259	SIPO	GH	67583274
597865	2035	1998-09-10	VYDAJ	PREVOD NA UCET	8404	60291	SIPO	GH	67583274
597866	2035	1998-10-10	VYDAJ	PREVOD NA UCET	8404	37862	SIPO	GH	67583274
597867	2035	1998-11-10	VYDAJ	PREVOD NA UCET	8404	55959	SIPO	GH	67583274
597868	2035	1998-12-10	VYDAJ	PREVOD NA UCET	8404	83092	SIPO	GH	67583274
597878	2035	1996-10-08	VYDAJ	PREVOD NA UCET	917	57738	 	CD	27185577
597879	2035	1996-11-08	VYDAJ	PREVOD NA UCET	917	26150	 	CD	27185577
597880	2035	1996-12-08	VYDAJ	PREVOD NA UCET	917	38588	 	CD	27185577
597881	2035	1997-01-08	VYDAJ	PREVOD NA UCET	917	40806	 	CD	27185577
597882	2035	1997-02-08	VYDAJ	PREVOD NA UCET	917	55466	 	CD	27185577
597883	2035	1997-03-08	VYDAJ	PREVOD NA UCET	917	47471	 	CD	27185577
597884	2035	1997-04-08	VYDAJ	PREVOD NA UCET	917	45842	 	CD	27185577
597885	2035	1997-05-08	VYDAJ	PREVOD NA UCET	917	43458	 	CD	27185577
597886	2035	1997-06-08	VYDAJ	PREVOD NA UCET	917	67634	 	CD	27185577
597887	2035	1997-07-08	VYDAJ	PREVOD NA UCET	917	54853	 	CD	27185577
597888	2035	1997-08-08	VYDAJ	PREVOD NA UCET	917	61910	 	CD	27185577
597889	2035	1997-09-08	VYDAJ	PREVOD NA UCET	917	67773	 	CD	27185577
597890	2035	1997-10-08	VYDAJ	PREVOD NA UCET	917	71146	 	CD	27185577
597891	2035	1997-11-08	VYDAJ	PREVOD NA UCET	917	68813	 	CD	27185577
597892	2035	1997-12-08	VYDAJ	PREVOD NA UCET	917	81115	 	CD	27185577
597893	2035	1998-01-08	VYDAJ	PREVOD NA UCET	917	57341	 	CD	27185577
597894	2035	1998-02-08	VYDAJ	PREVOD NA UCET	917	65961	 	CD	27185577
597895	2035	1998-03-08	VYDAJ	PREVOD NA UCET	917	65084	 	CD	27185577
597896	2035	1998-04-08	VYDAJ	PREVOD NA UCET	917	71638	 	CD	27185577
597897	2035	1998-05-08	VYDAJ	PREVOD NA UCET	917	68200	 	CD	27185577
597898	2035	1998-06-08	VYDAJ	PREVOD NA UCET	917	81461	 	CD	27185577
597899	2035	1998-07-08	VYDAJ	PREVOD NA UCET	917	71353	 	CD	27185577
597900	2035	1998-08-08	VYDAJ	PREVOD NA UCET	917	63784	 	CD	27185577
597901	2035	1998-09-08	VYDAJ	PREVOD NA UCET	917	68695	 	CD	27185577
597902	2035	1998-10-08	VYDAJ	PREVOD NA UCET	917	69760	 	CD	27185577
597903	2035	1998-11-08	VYDAJ	PREVOD NA UCET	917	64484	 	CD	27185577
597904	2035	1998-12-08	VYDAJ	PREVOD NA UCET	917	91496	 	CD	27185577
597914	2035	1996-10-08	VYDAJ	PREVOD NA UCET	121	58655	POJISTNE	EF	38668644
597915	2035	1996-11-08	VYDAJ	PREVOD NA UCET	121	27067	POJISTNE	EF	38668644
597916	2035	1996-12-08	VYDAJ	PREVOD NA UCET	121	38467	POJISTNE	EF	38668644
597917	2035	1997-01-08	VYDAJ	PREVOD NA UCET	121	40685	POJISTNE	EF	38668644
597918	2035	1997-02-08	VYDAJ	PREVOD NA UCET	121	55345	POJISTNE	EF	38668644
597919	2035	1997-03-08	VYDAJ	PREVOD NA UCET	121	47350	POJISTNE	EF	38668644
597920	2035	1997-04-08	VYDAJ	PREVOD NA UCET	121	46759	POJISTNE	EF	38668644
597921	2035	1997-05-08	VYDAJ	PREVOD NA UCET	121	43337	POJISTNE	EF	38668644
597922	2035	1997-06-08	VYDAJ	PREVOD NA UCET	121	67513	POJISTNE	EF	38668644
597923	2035	1997-07-08	VYDAJ	PREVOD NA UCET	121	55770	POJISTNE	EF	38668644
597924	2035	1997-08-08	VYDAJ	PREVOD NA UCET	121	61789	POJISTNE	EF	38668644
597925	2035	1997-09-08	VYDAJ	PREVOD NA UCET	121	67652	POJISTNE	EF	38668644
597926	2035	1997-10-08	VYDAJ	PREVOD NA UCET	121	71025	POJISTNE	EF	38668644
597927	2035	1997-11-08	VYDAJ	PREVOD NA UCET	121	69730	POJISTNE	EF	38668644
597928	2035	1997-12-08	VYDAJ	PREVOD NA UCET	121	80994	POJISTNE	EF	38668644
597929	2035	1998-01-08	VYDAJ	PREVOD NA UCET	121	57220	POJISTNE	EF	38668644
597930	2035	1998-02-08	VYDAJ	PREVOD NA UCET	121	65840	POJISTNE	EF	38668644
597931	2035	1998-03-08	VYDAJ	PREVOD NA UCET	121	64963	POJISTNE	EF	38668644
597932	2035	1998-04-08	VYDAJ	PREVOD NA UCET	121	71517	POJISTNE	EF	38668644
597933	2035	1998-05-08	VYDAJ	PREVOD NA UCET	121	69117	POJISTNE	EF	38668644
597934	2035	1998-06-08	VYDAJ	PREVOD NA UCET	121	82378	POJISTNE	EF	38668644
597935	2035	1998-07-08	VYDAJ	PREVOD NA UCET	121	71232	POJISTNE	EF	38668644
597936	2035	1998-08-08	VYDAJ	PREVOD NA UCET	121	63663	POJISTNE	EF	38668644
597937	2035	1998-09-08	VYDAJ	PREVOD NA UCET	121	69612	POJISTNE	EF	38668644
597938	2035	1998-10-08	VYDAJ	PREVOD NA UCET	121	69639	POJISTNE	EF	38668644
597939	2035	1998-11-08	VYDAJ	PREVOD NA UCET	121	64363	POJISTNE	EF	38668644
597940	2035	1998-12-08	VYDAJ	PREVOD NA UCET	121	92413	POJISTNE	EF	38668644
597950	2035	1996-10-14	VYDAJ	PREVOD NA UCET	93	28984	 	WX	54719960
597951	2035	1996-11-14	VYDAJ	PREVOD NA UCET	93	17653	 	WX	54719960
597952	2035	1996-12-14	VYDAJ	PREVOD NA UCET	93	27570	 	WX	54719960
597953	2035	1997-01-14	VYDAJ	PREVOD NA UCET	93	26488	 	WX	54719960
597954	2035	1997-02-14	VYDAJ	PREVOD NA UCET	93	42948	 	WX	54719960
597955	2035	1997-03-14	VYDAJ	PREVOD NA UCET	93	38853	 	WX	54719960
597956	2035	1997-04-14	VYDAJ	PREVOD NA UCET	93	37345	 	WX	54719960
597957	2035	1997-05-14	VYDAJ	PREVOD NA UCET	93	31640	 	WX	54719960
597958	2035	1997-06-14	VYDAJ	PREVOD NA UCET	93	47916	 	WX	54719960
597959	2035	1997-07-14	VYDAJ	PREVOD NA UCET	93	46356	 	WX	54719960
597960	2035	1997-08-14	VYDAJ	PREVOD NA UCET	93	53292	 	WX	54719960
597961	2035	1997-09-14	VYDAJ	PREVOD NA UCET	93	54255	 	WX	54719960
597962	2035	1997-10-14	VYDAJ	PREVOD NA UCET	93	58628	 	WX	54719960
597963	2035	1997-11-14	VYDAJ	PREVOD NA UCET	93	56616	 	WX	54719960
597964	2035	1997-12-14	VYDAJ	PREVOD NA UCET	93	72497	 	WX	54719960
597965	2035	1998-01-14	VYDAJ	PREVOD NA UCET	93	43023	 	WX	54719960
597966	2035	1998-02-14	VYDAJ	PREVOD NA UCET	93	52445	 	WX	54719960
597967	2035	1998-03-14	VYDAJ	PREVOD NA UCET	93	51568	 	WX	54719960
597968	2035	1998-04-14	VYDAJ	PREVOD NA UCET	93	58122	 	WX	54719960
597969	2035	1998-05-14	VYDAJ	PREVOD NA UCET	93	50104	 	WX	54719960
597970	2035	1998-06-14	VYDAJ	PREVOD NA UCET	93	59066	 	WX	54719960
597971	2035	1998-07-14	VYDAJ	PREVOD NA UCET	93	44937	 	WX	54719960
597972	2035	1998-08-14	VYDAJ	PREVOD NA UCET	93	50268	 	WX	54719960
597973	2035	1998-09-14	VYDAJ	PREVOD NA UCET	93	55300	 	WX	54719960
597974	2035	1998-10-14	VYDAJ	PREVOD NA UCET	93	32871	 	WX	54719960
597975	2035	1998-11-14	VYDAJ	PREVOD NA UCET	93	50968	 	WX	54719960
597976	2035	1998-12-14	VYDAJ	PREVOD NA UCET	93	78101	 	WX	54719960
597979	2035	1996-11-02	VYBER	VYBER	5122	19499	\N	\N	\N
597983	2035	1996-10-12	VYBER	VYBER	20257	29077	\N	\N	\N
597984	2035	1996-12-28	VYBER	VYBER	3133	24437	\N	\N	\N
597989	2035	1998-05-29	VYBER	VYBER	3873	46231	\N	\N	\N
597991	2035	1998-04-27	VYBER	VYBER	9582	48540	\N	\N	\N
597992	2035	1998-05-11	VYBER	VYBER	4701	55095	\N	\N	\N
597993	2035	1998-10-10	VYBER	VYBER	23373	46266	\N	\N	\N
597999	2035	1998-01-03	VYDAJ	VYBER	18900	34469	\N	\N	\N
598000	2035	1996-12-12	VYDAJ	VYBER	2400	27663	\N	\N	\N
598001	2035	1997-12-20	VYDAJ	VYBER	6600	65897	\N	\N	\N
598002	2035	1998-12-16	VYDAJ	VYBER	3000	75101	\N	\N	\N
598009	2035	1997-01-08	VYDAJ	VYBER	1500	41723	\N	\N	\N
598012	2035	1997-01-11	VYDAJ	VYBER	4200	26581	\N	\N	\N
598014	2035	1997-01-11	VYDAJ	VYBER	1500	30781	\N	\N	\N
598015	2035	1998-01-12	VYDAJ	VYBER	5700	43116	\N	\N	\N
598018	2035	1998-01-15	VYDAJ	VYBER	6600	36423	\N	\N	\N
598019	2035	1998-01-30	VYDAJ	VYBER	1500	37323	\N	\N	\N
598022	2035	1996-11-05	VYDAJ	VYBER	10500	34388	\N	\N	\N
598026	2035	1997-07-05	VYDAJ	VYBER	3300	59691	\N	\N	\N
598027	2035	1997-06-24	VYDAJ	VYBER	8400	39516	\N	\N	\N
598029	2035	1997-06-13	VYDAJ	VYBER	11100	48009	\N	\N	\N
598030	2035	1997-02-19	VYDAJ	VYBER	9000	33948	\N	\N	\N
598032	2035	1998-02-18	VYDAJ	VYBER	8700	43745	\N	\N	\N
598033	2035	1998-02-22	VYDAJ	VYBER	9600	34145	\N	\N	\N
598034	2035	1998-07-12	VYDAJ	VYBER	12900	49928	\N	\N	\N
598035	2035	1998-09-20	VYDAJ	VYBER	6900	48400	\N	\N	\N
598036	2035	1998-06-13	VYDAJ	VYBER	9000	59159	\N	\N	\N
598047	2035	1996-10-31	VYDAJ	VYBER	15	24621	SLUZBY	\N	\N
598048	2035	1996-11-30	VYDAJ	VYBER	15	14121	SLUZBY	\N	\N
598049	2035	1996-12-31	VYDAJ	VYBER	15	24534	SLUZBY	\N	\N
598050	2035	1997-01-31	VYDAJ	VYBER	15	22694	SLUZBY	\N	\N
598051	2035	1997-02-28	VYDAJ	VYBER	15	34099	SLUZBY	\N	\N
598052	2035	1997-03-31	VYDAJ	VYBER	15	32891	SLUZBY	\N	\N
598053	2035	1997-04-30	VYDAJ	VYBER	15	34686	SLUZBY	\N	\N
598054	2035	1997-05-31	VYDAJ	VYBER	15	31767	SLUZBY	\N	\N
598055	2035	1997-06-30	VYDAJ	VYBER	15	39702	SLUZBY	\N	\N
598056	2035	1997-07-31	VYDAJ	VYBER	15	46538	SLUZBY	\N	\N
598057	2035	1997-08-31	VYDAJ	VYBER	15	53501	SLUZBY	\N	\N
598058	2035	1997-09-30	VYDAJ	VYBER	15	54474	SLUZBY	\N	\N
598059	2035	1997-10-31	VYDAJ	VYBER	15	58862	SLUZBY	\N	\N
598060	2035	1997-11-30	VYDAJ	VYBER	15	56848	SLUZBY	\N	\N
598061	2035	1997-12-31	VYDAJ	VYBER	15	53369	SLUZBY	\N	\N
598062	2035	1998-01-31	VYDAJ	VYBER	15	37489	SLUZBY	\N	\N
598063	2035	1998-02-28	VYDAJ	VYBER	15	34312	SLUZBY	\N	\N
598064	2035	1998-03-31	VYDAJ	VYBER	15	51766	SLUZBY	\N	\N
598065	2035	1998-04-30	VYDAJ	VYBER	15	48749	SLUZBY	\N	\N
598066	2035	1998-05-31	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
598067	2035	1998-06-30	VYDAJ	VYBER	15	42881	SLUZBY	\N	\N
598068	2035	1998-07-31	VYDAJ	VYBER	15	35312	SLUZBY	\N	\N
598069	2035	1998-08-31	VYDAJ	VYBER	15	40344	SLUZBY	\N	\N
598070	2035	1998-09-30	VYDAJ	VYBER	15	41288	SLUZBY	\N	\N
598071	2035	1998-10-31	VYDAJ	VYBER	15	36012	SLUZBY	\N	\N
598072	2035	1998-11-30	VYDAJ	VYBER	15	48450	SLUZBY	\N	\N
598073	2035	1996-06-09	VYDAJ	VYBER	6800	37684	\N	\N	\N
598074	2035	1996-07-09	VYDAJ	VYBER	21600	45588	\N	\N	\N
598075	2035	1996-08-08	VYDAJ	VYBER	22900	52259	\N	\N	\N
598076	2035	1996-09-07	VYDAJ	VYBER	26500	55359	\N	\N	\N
598077	2035	1996-10-07	VYDAJ	VYBER	26200	58776	\N	\N	\N
598078	2035	1996-11-06	VYDAJ	VYBER	7200	27188	\N	\N	\N
598079	2035	1996-12-06	VYDAJ	VYBER	18700	39505	\N	\N	\N
598080	2035	1997-01-05	VYDAJ	VYBER	10700	43223	\N	\N	\N
598081	2035	1997-02-04	PRIJEM	VKLAD	4300	26994	\N	\N	\N
598082	2035	1997-03-06	VYDAJ	VYBER	15100	48388	\N	\N	\N
598083	2035	1997-04-05	VYDAJ	VYBER	15400	46880	\N	\N	\N
598084	2035	1997-05-05	VYDAJ	VYBER	19700	44375	\N	\N	\N
598085	2035	1997-06-04	VYDAJ	VYBER	3200	28567	\N	\N	\N
598086	2035	1997-07-04	VYDAJ	VYBER	6100	33602	\N	\N	\N
598087	2035	1997-08-03	VYDAJ	VYBER	9400	37138	\N	\N	\N
598088	2035	1997-09-02	VYDAJ	VYBER	14200	39301	\N	\N	\N
598089	2035	1997-10-02	VYDAJ	VYBER	11800	42674	\N	\N	\N
598090	2035	1997-11-01	VYDAJ	VYBER	18400	40462	\N	\N	\N
598091	2035	1997-12-01	VYDAJ	VYBER	13500	43348	\N	\N	\N
598092	2035	1997-12-31	VYDAJ	VYBER	12800	53384	\N	\N	\N
598093	2035	1998-01-30	PRIJEM	VKLAD	2400	38823	\N	\N	\N
598094	2035	1998-03-01	PRIJEM	VKLAD	2300	36612	\N	\N	\N
598095	2035	1998-03-31	VYDAJ	VYBER	8600	43166	\N	\N	\N
598096	2035	1998-04-30	VYDAJ	VYBER	8900	39849	\N	\N	\N
598097	2035	1998-05-30	VYDAJ	VYBER	8000	38231	\N	\N	\N
598098	2035	1998-06-29	VYDAJ	VYBER	16400	42666	\N	\N	\N
598099	2035	1998-07-29	VYDAJ	VYBER	9800	35137	\N	\N	\N
598100	2035	1998-08-28	VYDAJ	VYBER	10100	40168	\N	\N	\N
598101	2035	1998-09-27	VYDAJ	VYBER	7300	41100	\N	\N	\N
598102	2035	1998-10-27	PRIJEM	VKLAD	3000	35871	\N	\N	\N
598103	2035	1998-11-26	VYDAJ	VYBER	2700	48268	\N	\N	\N
598135	2036	1997-10-03	PRIJEM	VKLAD	400	400	\N	\N	\N
598137	2036	1997-10-19	PRIJEM	VKLAD	14608	15608	\N	\N	\N
598138	2036	1998-07-12	PRIJEM	VKLAD	24439	57565	\N	\N	\N
598139	2036	1998-05-18	PRIJEM	VKLAD	33574	66265	\N	\N	\N
598149	2036	1997-10-16	PRIJEM	VKLAD	600	1000	\N	\N	\N
598150	2036	1997-11-13	PRIJEM	VKLAD	600	20836	\N	\N	\N
598151	2036	1997-12-13	PRIJEM	VKLAD	600	21814	\N	\N	\N
598152	2036	1998-01-13	PRIJEM	VKLAD	600	26003	\N	\N	\N
598153	2036	1998-02-17	PRIJEM	VKLAD	600	26584	\N	\N	\N
598154	2036	1998-03-17	PRIJEM	VKLAD	600	28180	\N	\N	\N
598155	2036	1998-04-13	PRIJEM	VKLAD	600	31580	\N	\N	\N
598156	2036	1998-05-13	PRIJEM	VKLAD	600	32691	\N	\N	\N
598157	2036	1998-06-13	PRIJEM	VKLAD	600	24744	\N	\N	\N
598158	2036	1998-07-14	PRIJEM	VKLAD	600	58165	\N	\N	\N
598159	2036	1998-08-13	PRIJEM	VKLAD	600	50346	\N	\N	\N
598160	2036	1998-09-13	PRIJEM	VKLAD	600	45237	\N	\N	\N
598161	2036	1998-10-16	PRIJEM	VKLAD	600	39906	\N	\N	\N
598162	2036	1998-11-13	PRIJEM	VKLAD	600	39154	\N	\N	\N
598163	2036	1998-12-14	PRIJEM	VKLAD	600	40948	\N	\N	\N
598165	2036	1998-06-08	VYDAJ	VYBER	27500	24144	\N	\N	\N
598171	2036	1998-01-24	VYDAJ	VYBER	1600	20653	\N	\N	\N
598173	2036	1998-12-15	VYDAJ	VYBER	2100	38848	\N	\N	\N
598180	2036	1998-01-18	VYDAJ	VYBER	1000	25003	\N	\N	\N
598181	2036	1998-01-22	VYDAJ	VYBER	1400	23603	\N	\N	\N
598184	2036	1998-01-24	VYDAJ	VYBER	350	22253	\N	\N	\N
598193	2036	1998-02-03	VYDAJ	VYBER	850	25984	\N	\N	\N
598194	2036	1998-11-14	VYDAJ	VYBER	2450	36704	\N	\N	\N
598195	2036	1998-07-19	VYDAJ	VYBER	400	57765	\N	\N	\N
598196	2036	1998-01-23	VYDAJ	VYBER	1000	22603	\N	\N	\N
598197	2036	1998-06-18	VYDAJ	VYBER	1050	23694	\N	\N	\N
598198	2036	1998-06-24	VYDAJ	VYBER	500	23194	\N	\N	\N
598199	2036	1998-04-26	VYDAJ	VYBER	1100	30480	\N	\N	\N
598213	2036	1998-01-31	VYDAJ	VYBER	15	26834	SLUZBY	\N	\N
598214	2036	1998-02-28	VYDAJ	VYBER	15	26680	SLUZBY	\N	\N
598215	2036	1998-03-31	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
598216	2036	1998-04-30	VYDAJ	VYBER	15	30591	SLUZBY	\N	\N
598217	2036	1998-05-31	VYDAJ	VYBER	15	66444	SLUZBY	\N	\N
598218	2036	1998-06-30	VYDAJ	VYBER	15	33126	SLUZBY	\N	\N
598219	2036	1998-07-31	VYDAJ	VYBER	15	49746	SLUZBY	\N	\N
598220	2036	1998-08-31	VYDAJ	VYBER	15	44637	SLUZBY	\N	\N
598221	2036	1998-09-30	VYDAJ	VYBER	15	39306	SLUZBY	\N	\N
598222	2036	1998-10-31	VYDAJ	VYBER	15	38554	SLUZBY	\N	\N
598223	2036	1998-11-30	VYDAJ	VYBER	15	40348	SLUZBY	\N	\N
598224	2036	1997-11-02	PRIJEM	VKLAD	4600	20236	\N	\N	\N
598225	2036	1997-12-02	PRIJEM	VKLAD	300	21214	\N	\N	\N
598226	2036	1998-01-01	PRIJEM	VKLAD	3500	25403	\N	\N	\N
598227	2036	1998-01-31	PRIJEM	VKLAD	6100	26753	\N	\N	\N
598228	2036	1998-03-02	PRIJEM	VKLAD	900	27580	\N	\N	\N
598229	2036	1998-04-01	PRIJEM	VKLAD	2700	30980	\N	\N	\N
598230	2036	1998-05-01	PRIJEM	VKLAD	1500	32091	\N	\N	\N
598231	2036	1998-05-31	VYDAJ	VYBER	14800	51644	\N	\N	\N
598232	2036	1998-06-30	PRIJEM	VKLAD	9800	32994	\N	\N	\N
598233	2036	1998-07-30	VYDAJ	VYBER	8200	49565	\N	\N	\N
598234	2036	1998-08-29	VYDAJ	VYBER	5900	44446	\N	\N	\N
598235	2036	1998-09-28	VYDAJ	VYBER	6100	39137	\N	\N	\N
598236	2036	1998-10-28	VYDAJ	VYBER	1500	38406	\N	\N	\N
598237	2036	1998-11-27	PRIJEM	VKLAD	3500	40204	\N	\N	\N
598253	2037	1993-05-06	PRIJEM	VKLAD	900	900	\N	\N	\N
598258	2037	1993-05-10	PRIJEM	VKLAD	16576	17476	\N	\N	\N
598259	2037	1993-06-10	PRIJEM	VKLAD	24864	46092	\N	\N	\N
598260	2037	1993-07-10	PRIJEM	VKLAD	16576	51524	\N	\N	\N
598261	2037	1993-08-10	PRIJEM	VKLAD	16576	52808	\N	\N	\N
598262	2037	1993-09-10	PRIJEM	VKLAD	16576	55303	\N	\N	\N
598263	2037	1993-10-10	PRIJEM	VKLAD	16576	47792	\N	\N	\N
598264	2037	1993-11-10	PRIJEM	VKLAD	16576	40725	\N	\N	\N
598265	2037	1993-12-10	PRIJEM	VKLAD	24864	47498	\N	\N	\N
598266	2037	1994-01-10	PRIJEM	VKLAD	16576	40869	\N	\N	\N
598267	2037	1994-02-10	PRIJEM	VKLAD	16576	38846	\N	\N	\N
598268	2037	1994-03-10	PRIJEM	VKLAD	16576	39560	\N	\N	\N
598269	2037	1994-04-10	PRIJEM	VKLAD	16576	41875	\N	\N	\N
598270	2037	1994-05-10	PRIJEM	VKLAD	16576	39065	\N	\N	\N
598271	2037	1994-06-10	PRIJEM	VKLAD	24864	32583	\N	\N	\N
598272	2037	1994-07-10	PRIJEM	VKLAD	16576	36925	\N	\N	\N
598273	2037	1994-08-10	PRIJEM	VKLAD	16576	33864	\N	\N	\N
598274	2037	1994-09-10	PRIJEM	VKLAD	16576	38755	\N	\N	\N
598275	2037	1994-10-10	PRIJEM	VKLAD	16576	40166	\N	\N	\N
598276	2037	1994-11-10	PRIJEM	VKLAD	16576	42683	\N	\N	\N
598277	2037	1994-12-10	PRIJEM	VKLAD	24864	52898	\N	\N	\N
598278	2037	1995-01-10	PRIJEM	VKLAD	16576	31760	\N	\N	\N
598279	2037	1995-02-10	PRIJEM	VKLAD	16576	35387	\N	\N	\N
598280	2037	1995-03-10	PRIJEM	VKLAD	16576	37180	\N	\N	\N
598281	2037	1995-04-10	PRIJEM	VKLAD	16576	40206	\N	\N	\N
598282	2037	1995-05-10	PRIJEM	VKLAD	16576	42020	\N	\N	\N
598283	2037	1995-06-10	PRIJEM	VKLAD	24864	51806	\N	\N	\N
598284	2037	1995-07-10	PRIJEM	VKLAD	16576	49755	\N	\N	\N
598285	2037	1995-08-10	PRIJEM	VKLAD	16576	45102	\N	\N	\N
598286	2037	1995-09-10	PRIJEM	VKLAD	16576	39279	\N	\N	\N
598287	2037	1995-10-10	PRIJEM	VKLAD	16576	41450	\N	\N	\N
598288	2037	1995-11-10	PRIJEM	VKLAD	16576	46872	\N	\N	\N
598289	2037	1995-12-10	PRIJEM	VKLAD	24864	51055	\N	\N	\N
598290	2037	1996-01-10	PRIJEM	VKLAD	16576	47994	\N	\N	\N
598291	2037	1996-02-10	PRIJEM	VKLAD	16576	47333	\N	\N	\N
598292	2037	1996-03-10	PRIJEM	VKLAD	16576	44566	\N	\N	\N
598293	2037	1996-04-10	PRIJEM	VKLAD	16576	43591	\N	\N	\N
598294	2037	1996-05-10	PRIJEM	VKLAD	16576	44814	\N	\N	\N
598295	2037	1996-06-10	PRIJEM	VKLAD	24864	56733	\N	\N	\N
598296	2037	1996-07-10	PRIJEM	VKLAD	16576	41680	\N	\N	\N
598297	2037	1996-08-10	PRIJEM	VKLAD	16576	44679	\N	\N	\N
598298	2037	1996-09-10	PRIJEM	VKLAD	16576	48029	\N	\N	\N
598299	2037	1996-10-10	PRIJEM	VKLAD	16576	46462	\N	\N	\N
598300	2037	1996-11-10	PRIJEM	VKLAD	16576	47413	\N	\N	\N
598301	2037	1996-12-10	PRIJEM	VKLAD	24864	53629	\N	\N	\N
598302	2037	1997-01-10	PRIJEM	VKLAD	16576	45026	\N	\N	\N
598303	2037	1997-02-10	PRIJEM	VKLAD	16576	39297	\N	\N	\N
598304	2037	1997-03-10	PRIJEM	VKLAD	16576	43743	\N	\N	\N
598305	2037	1997-04-10	PRIJEM	VKLAD	16576	46665	\N	\N	\N
598306	2037	1997-05-10	PRIJEM	VKLAD	16576	43244	\N	\N	\N
598307	2037	1997-06-10	PRIJEM	VKLAD	24864	55855	\N	\N	\N
598308	2037	1997-07-10	PRIJEM	VKLAD	16576	51699	\N	\N	\N
598309	2037	1997-08-10	PRIJEM	VKLAD	16576	43955	\N	\N	\N
598310	2037	1997-09-10	PRIJEM	VKLAD	16576	44365	\N	\N	\N
598311	2037	1997-10-10	PRIJEM	VKLAD	16576	43577	\N	\N	\N
598312	2037	1997-11-10	PRIJEM	VKLAD	16576	43206	\N	\N	\N
598313	2037	1997-12-10	PRIJEM	VKLAD	24864	47692	\N	\N	\N
598314	2037	1998-01-10	PRIJEM	VKLAD	16576	42514	\N	\N	\N
598315	2037	1998-02-10	PRIJEM	VKLAD	16576	40407	\N	\N	\N
598316	2037	1998-03-10	PRIJEM	VKLAD	16576	47819	\N	\N	\N
598317	2037	1998-04-10	PRIJEM	VKLAD	16576	44236	\N	\N	\N
598318	2037	1998-05-10	PRIJEM	VKLAD	16576	43806	\N	\N	\N
598319	2037	1998-06-10	PRIJEM	VKLAD	24864	45979	\N	\N	\N
598320	2037	1998-07-10	PRIJEM	VKLAD	16576	45002	\N	\N	\N
598321	2037	1998-08-10	PRIJEM	VKLAD	16576	45292	\N	\N	\N
598322	2037	1998-09-10	PRIJEM	VKLAD	16576	48190	\N	\N	\N
598323	2037	1998-10-10	PRIJEM	VKLAD	16576	52632	\N	\N	\N
598324	2037	1998-11-10	PRIJEM	VKLAD	16576	54897	\N	\N	\N
598325	2037	1998-12-10	PRIJEM	VKLAD	24864	66500	\N	\N	\N
598334	2037	1993-09-12	VYDAJ	PREVOD NA UCET	762	54541	SIPO	GH	62236136
598335	2037	1993-10-12	VYDAJ	PREVOD NA UCET	762	47030	SIPO	GH	62236136
598336	2037	1993-11-12	VYDAJ	PREVOD NA UCET	762	39963	SIPO	GH	62236136
598337	2037	1993-12-12	VYDAJ	PREVOD NA UCET	762	46736	SIPO	GH	62236136
598338	2037	1994-01-12	VYDAJ	PREVOD NA UCET	762	40107	SIPO	GH	62236136
598339	2037	1994-02-12	VYDAJ	PREVOD NA UCET	762	38084	SIPO	GH	62236136
598340	2037	1994-03-12	VYDAJ	PREVOD NA UCET	762	38798	SIPO	GH	62236136
598341	2037	1994-04-12	VYDAJ	PREVOD NA UCET	762	41113	SIPO	GH	62236136
598342	2037	1994-05-12	VYDAJ	PREVOD NA UCET	762	38303	SIPO	GH	62236136
598343	2037	1994-06-12	VYDAJ	PREVOD NA UCET	762	31821	SIPO	GH	62236136
598344	2037	1994-07-12	VYDAJ	PREVOD NA UCET	762	36163	SIPO	GH	62236136
598345	2037	1994-08-12	VYDAJ	PREVOD NA UCET	762	33102	SIPO	GH	62236136
598346	2037	1994-09-12	VYDAJ	PREVOD NA UCET	762	37993	SIPO	GH	62236136
598347	2037	1994-10-12	VYDAJ	PREVOD NA UCET	762	39404	SIPO	GH	62236136
598348	2037	1994-11-12	VYDAJ	PREVOD NA UCET	762	41921	SIPO	GH	62236136
598349	2037	1994-12-12	VYDAJ	PREVOD NA UCET	762	52136	SIPO	GH	62236136
598350	2037	1995-01-12	VYDAJ	PREVOD NA UCET	762	30998	SIPO	GH	62236136
598351	2037	1995-02-12	VYDAJ	PREVOD NA UCET	762	34625	SIPO	GH	62236136
598352	2037	1995-03-12	VYDAJ	PREVOD NA UCET	762	36418	SIPO	GH	62236136
598353	2037	1995-04-12	VYDAJ	PREVOD NA UCET	762	39444	SIPO	GH	62236136
598354	2037	1995-05-12	VYDAJ	PREVOD NA UCET	762	41258	SIPO	GH	62236136
598355	2037	1995-06-12	VYDAJ	PREVOD NA UCET	762	51044	SIPO	GH	62236136
598356	2037	1995-07-12	VYDAJ	PREVOD NA UCET	762	48993	SIPO	GH	62236136
598357	2037	1995-08-12	VYDAJ	PREVOD NA UCET	762	44340	SIPO	GH	62236136
598358	2037	1995-09-12	VYDAJ	PREVOD NA UCET	762	38517	SIPO	GH	62236136
598359	2037	1995-10-12	VYDAJ	PREVOD NA UCET	762	40688	SIPO	GH	62236136
598360	2037	1995-11-12	VYDAJ	PREVOD NA UCET	762	46110	SIPO	GH	62236136
598361	2037	1995-12-12	VYDAJ	PREVOD NA UCET	762	50293	SIPO	GH	62236136
598362	2037	1996-01-12	VYDAJ	PREVOD NA UCET	762	47232	SIPO	GH	62236136
598363	2037	1996-02-12	VYDAJ	PREVOD NA UCET	762	46571	SIPO	GH	62236136
598364	2037	1996-03-12	VYDAJ	PREVOD NA UCET	762	43804	SIPO	GH	62236136
598365	2037	1996-04-12	VYDAJ	PREVOD NA UCET	762	42829	SIPO	GH	62236136
598366	2037	1996-05-12	VYDAJ	PREVOD NA UCET	762	44052	SIPO	GH	62236136
598367	2037	1996-06-12	VYDAJ	PREVOD NA UCET	762	45091	SIPO	GH	62236136
598368	2037	1996-07-12	VYDAJ	PREVOD NA UCET	762	40918	SIPO	GH	62236136
598369	2037	1996-08-12	VYDAJ	PREVOD NA UCET	762	43917	SIPO	GH	62236136
598370	2037	1996-09-12	VYDAJ	PREVOD NA UCET	762	47267	SIPO	GH	62236136
598371	2037	1996-10-12	VYDAJ	PREVOD NA UCET	762	45700	SIPO	GH	62236136
598372	2037	1996-11-12	VYDAJ	PREVOD NA UCET	762	46651	SIPO	GH	62236136
598373	2037	1996-12-12	VYDAJ	PREVOD NA UCET	762	52867	SIPO	GH	62236136
598374	2037	1997-01-12	VYDAJ	PREVOD NA UCET	762	44264	SIPO	GH	62236136
598375	2037	1997-02-12	VYDAJ	PREVOD NA UCET	762	36375	SIPO	GH	62236136
598376	2037	1997-03-12	VYDAJ	PREVOD NA UCET	762	42981	SIPO	GH	62236136
598377	2037	1997-04-12	VYDAJ	PREVOD NA UCET	762	45903	SIPO	GH	62236136
598378	2037	1997-05-12	VYDAJ	PREVOD NA UCET	762	42482	SIPO	GH	62236136
598379	2037	1997-06-12	VYDAJ	PREVOD NA UCET	762	55093	SIPO	GH	62236136
598380	2037	1997-07-12	VYDAJ	PREVOD NA UCET	762	50937	SIPO	GH	62236136
598381	2037	1997-08-12	VYDAJ	PREVOD NA UCET	762	43193	SIPO	GH	62236136
598382	2037	1997-09-12	VYDAJ	PREVOD NA UCET	762	35403	SIPO	GH	62236136
598383	2037	1997-10-12	VYDAJ	PREVOD NA UCET	762	42815	SIPO	GH	62236136
598384	2037	1997-11-12	VYDAJ	PREVOD NA UCET	762	31244	SIPO	GH	62236136
598385	2037	1997-12-12	VYDAJ	PREVOD NA UCET	762	35630	SIPO	GH	62236136
598386	2037	1998-01-12	VYDAJ	PREVOD NA UCET	762	30552	SIPO	GH	62236136
598387	2037	1998-02-12	VYDAJ	PREVOD NA UCET	762	39645	SIPO	GH	62236136
598388	2037	1998-03-12	VYDAJ	PREVOD NA UCET	762	36057	SIPO	GH	62236136
598389	2037	1998-04-12	VYDAJ	PREVOD NA UCET	762	35634	SIPO	GH	62236136
598390	2037	1998-05-12	VYDAJ	PREVOD NA UCET	762	34844	SIPO	GH	62236136
598391	2037	1998-06-12	VYDAJ	PREVOD NA UCET	762	39337	SIPO	GH	62236136
598392	2037	1998-07-12	VYDAJ	PREVOD NA UCET	762	44240	SIPO	GH	62236136
598393	2037	1998-08-12	VYDAJ	PREVOD NA UCET	762	44530	SIPO	GH	62236136
598394	2037	1998-09-12	VYDAJ	PREVOD NA UCET	762	47428	SIPO	GH	62236136
598395	2037	1998-10-12	VYDAJ	PREVOD NA UCET	762	51870	SIPO	GH	62236136
598396	2037	1998-11-12	VYDAJ	PREVOD NA UCET	762	54135	SIPO	GH	62236136
598397	2037	1998-12-12	VYDAJ	PREVOD NA UCET	762	65738	SIPO	GH	62236136
598407	2037	1993-10-05	VYDAJ	PREVOD NA UCET	8535	31216	 	CD	40179944
598408	2037	1993-11-05	VYDAJ	PREVOD NA UCET	8535	28589	 	CD	40179944
598409	2037	1993-12-05	VYDAJ	PREVOD NA UCET	8535	26474	 	CD	40179944
598410	2037	1994-01-05	VYDAJ	PREVOD NA UCET	8535	24293	 	CD	40179944
598411	2037	1994-02-05	VYDAJ	PREVOD NA UCET	8535	22270	 	CD	40179944
598412	2037	1994-03-05	VYDAJ	PREVOD NA UCET	8535	22984	 	CD	40179944
598413	2037	1994-04-05	VYDAJ	PREVOD NA UCET	8535	25299	 	CD	40179944
598414	2037	1994-05-05	VYDAJ	PREVOD NA UCET	8535	22489	 	CD	40179944
598415	2037	1994-06-05	VYDAJ	PREVOD NA UCET	8535	7719	 	CD	40179944
598416	2037	1994-07-05	VYDAJ	PREVOD NA UCET	8535	20349	 	CD	40179944
598417	2037	1994-08-05	VYDAJ	PREVOD NA UCET	8535	20048	 	CD	40179944
598418	2037	1994-09-05	VYDAJ	PREVOD NA UCET	8535	22179	 	CD	40179944
598419	2037	1994-10-05	VYDAJ	PREVOD NA UCET	8535	23590	 	CD	40179944
598420	2037	1994-11-05	VYDAJ	PREVOD NA UCET	8535	26107	 	CD	40179944
598421	2037	1994-12-05	VYDAJ	PREVOD NA UCET	8535	28034	 	CD	40179944
598422	2037	1995-01-05	VYDAJ	PREVOD NA UCET	8535	26544	 	CD	40179944
598423	2037	1995-02-05	VYDAJ	PREVOD NA UCET	8535	22171	 	CD	40179944
598424	2037	1995-03-05	VYDAJ	PREVOD NA UCET	8535	20604	 	CD	40179944
598425	2037	1995-04-05	VYDAJ	PREVOD NA UCET	8535	25910	 	CD	40179944
598426	2037	1995-05-05	VYDAJ	PREVOD NA UCET	8535	25444	 	CD	40179944
598427	2037	1995-06-05	VYDAJ	PREVOD NA UCET	8535	26942	 	CD	40179944
598428	2037	1995-07-05	VYDAJ	PREVOD NA UCET	8535	33179	 	CD	40179944
598429	2037	1995-08-05	VYDAJ	PREVOD NA UCET	8535	28526	 	CD	40179944
598430	2037	1995-09-05	VYDAJ	PREVOD NA UCET	8535	22703	 	CD	40179944
598431	2037	1995-10-05	VYDAJ	PREVOD NA UCET	8535	24874	 	CD	40179944
598432	2037	1995-11-05	VYDAJ	PREVOD NA UCET	8535	30296	 	CD	40179944
598433	2037	1995-12-05	VYDAJ	PREVOD NA UCET	8535	29231	 	CD	40179944
598434	2037	1996-01-05	VYDAJ	PREVOD NA UCET	8535	31418	 	CD	40179944
598435	2037	1996-02-05	VYDAJ	PREVOD NA UCET	8535	30757	 	CD	40179944
598436	2037	1996-03-05	VYDAJ	PREVOD NA UCET	8535	27990	 	CD	40179944
598437	2037	1996-04-05	VYDAJ	PREVOD NA UCET	8535	27015	 	CD	40179944
598438	2037	1996-05-05	VYDAJ	PREVOD NA UCET	8535	28238	 	CD	40179944
598439	2037	1996-06-05	VYDAJ	PREVOD NA UCET	8535	31869	 	CD	40179944
598440	2037	1996-07-05	VYDAJ	PREVOD NA UCET	8535	25104	 	CD	40179944
598441	2037	1996-08-05	VYDAJ	PREVOD NA UCET	8535	28103	 	CD	40179944
598442	2037	1996-09-05	VYDAJ	PREVOD NA UCET	8535	31453	 	CD	40179944
598443	2037	1996-10-05	VYDAJ	PREVOD NA UCET	8535	29886	 	CD	40179944
598444	2037	1996-11-05	VYDAJ	PREVOD NA UCET	8535	30837	 	CD	40179944
598445	2037	1996-12-05	VYDAJ	PREVOD NA UCET	8535	28765	 	CD	40179944
598446	2037	1997-01-05	VYDAJ	PREVOD NA UCET	8535	30610	 	CD	40179944
598447	2037	1997-02-05	VYDAJ	PREVOD NA UCET	8535	22721	 	CD	40179944
598448	2037	1997-03-05	VYDAJ	PREVOD NA UCET	8535	27167	 	CD	40179944
598449	2037	1997-04-05	VYDAJ	PREVOD NA UCET	8535	30089	 	CD	40179944
598450	2037	1997-05-05	VYDAJ	PREVOD NA UCET	8535	26668	 	CD	40179944
598451	2037	1997-06-05	VYDAJ	PREVOD NA UCET	8535	30991	 	CD	40179944
598452	2037	1997-07-05	VYDAJ	PREVOD NA UCET	8535	35123	 	CD	40179944
598453	2037	1997-08-05	VYDAJ	PREVOD NA UCET	8535	27379	 	CD	40179944
598454	2037	1997-09-05	VYDAJ	PREVOD NA UCET	8535	27789	 	CD	40179944
598455	2037	1997-10-05	VYDAJ	PREVOD NA UCET	8535	27001	 	CD	40179944
598456	2037	1997-11-05	VYDAJ	PREVOD NA UCET	8535	26630	 	CD	40179944
598457	2037	1997-12-05	VYDAJ	PREVOD NA UCET	8535	22828	 	CD	40179944
598458	2037	1998-01-05	VYDAJ	PREVOD NA UCET	8535	25938	 	CD	40179944
598459	2037	1998-02-05	VYDAJ	PREVOD NA UCET	8535	22131	 	CD	40179944
598460	2037	1998-03-05	VYDAJ	PREVOD NA UCET	8535	31243	 	CD	40179944
598461	2037	1998-04-05	VYDAJ	PREVOD NA UCET	8535	27660	 	CD	40179944
598462	2037	1998-05-05	VYDAJ	PREVOD NA UCET	8535	27230	 	CD	40179944
598463	2037	1998-06-05	VYDAJ	PREVOD NA UCET	8535	13515	 	CD	40179944
598464	2037	1998-07-05	VYDAJ	PREVOD NA UCET	8535	30926	 	CD	40179944
598465	2037	1998-08-05	VYDAJ	PREVOD NA UCET	8535	30816	 	CD	40179944
598466	2037	1998-09-05	VYDAJ	PREVOD NA UCET	8535	28214	 	CD	40179944
598467	2037	1998-10-05	VYDAJ	PREVOD NA UCET	8535	39056	 	CD	40179944
598468	2037	1998-11-05	VYDAJ	PREVOD NA UCET	8535	43521	 	CD	40179944
598469	2037	1998-12-05	VYDAJ	PREVOD NA UCET	8535	45796	 	CD	40179944
598471	2037	1994-06-01	VYDAJ	VYBER	18080	16254	\N	\N	\N
598473	2037	1996-06-10	VYDAJ	VYBER	10880	45853	\N	\N	\N
598475	2037	1998-06-04	VYDAJ	VYBER	8480	22050	\N	\N	\N
598477	2037	1994-01-28	VYDAJ	VYBER	5440	34667	\N	\N	\N
598478	2037	1995-01-06	VYDAJ	VYBER	11360	15184	\N	\N	\N
598479	2037	1996-01-20	VYDAJ	VYBER	5600	41632	\N	\N	\N
598480	2037	1997-01-19	VYDAJ	VYBER	7040	31124	\N	\N	\N
598482	2037	1993-12-08	VYDAJ	VYBER	3840	22634	\N	\N	\N
598483	2037	1994-12-12	VYDAJ	VYBER	4320	47816	\N	\N	\N
598484	2037	1995-12-07	VYDAJ	VYBER	3040	26191	\N	\N	\N
598485	2037	1996-12-29	VYDAJ	VYBER	960	38987	\N	\N	\N
598486	2037	1997-12-14	VYDAJ	VYBER	1280	34350	\N	\N	\N
598487	2037	1998-12-07	VYDAJ	VYBER	1760	41636	\N	\N	\N
598488	2037	1993-12-24	VYDAJ	VYBER	2880	38576	\N	\N	\N
598491	2037	1993-12-23	VYDAJ	VYBER	5280	41456	\N	\N	\N
598492	2037	1993-10-24	VYDAJ	VYBER	1680	45350	\N	\N	\N
598494	2037	1993-11-08	VYDAJ	VYBER	4440	24149	\N	\N	\N
598495	2037	1994-04-30	VYDAJ	VYBER	2520	33339	\N	\N	\N
598496	2037	1994-07-04	VYDAJ	VYBER	840	28884	\N	\N	\N
598497	2037	1994-04-14	VYDAJ	VYBER	5400	35713	\N	\N	\N
598498	2037	1994-08-07	VYDAJ	VYBER	2760	17288	\N	\N	\N
598499	2037	1995-04-07	VYDAJ	VYBER	2280	23630	\N	\N	\N
598500	2037	1995-02-05	VYDAJ	VYBER	3360	18811	\N	\N	\N
598501	2037	1995-08-19	VYDAJ	VYBER	4920	35100	\N	\N	\N
598502	2037	1995-09-27	VYDAJ	VYBER	2040	33277	\N	\N	\N
598503	2037	1995-08-15	VYDAJ	VYBER	4320	40020	\N	\N	\N
598504	2037	1995-05-14	VYDAJ	VYBER	2520	38738	\N	\N	\N
598505	2037	1996-06-21	VYDAJ	VYBER	5400	33491	\N	\N	\N
598506	2037	1996-07-24	VYDAJ	VYBER	2520	36498	\N	\N	\N
598507	2037	1996-10-21	VYDAJ	VYBER	1680	39220	\N	\N	\N
598508	2037	1996-08-21	VYDAJ	VYBER	1680	39837	\N	\N	\N
598509	2037	1996-12-26	VYDAJ	VYBER	720	39947	\N	\N	\N
598510	2037	1997-08-05	VYDAJ	VYBER	1440	35914	\N	\N	\N
598511	2037	1997-07-20	VYDAJ	VYBER	5040	37197	\N	\N	\N
598512	2037	1997-01-08	VYDAJ	VYBER	2160	28450	\N	\N	\N
598513	2037	1997-04-15	VYDAJ	VYBER	1560	44343	\N	\N	\N
598514	2037	1997-02-11	VYDAJ	VYBER	2160	37137	\N	\N	\N
598515	2037	1998-04-12	VYDAJ	VYBER	2640	36396	\N	\N	\N
598516	2037	1998-07-22	VYDAJ	VYBER	5040	39200	\N	\N	\N
598517	2037	1998-08-17	VYDAJ	VYBER	5880	36610	\N	\N	\N
598518	2037	1998-08-12	VYDAJ	VYBER	2040	42490	\N	\N	\N
598519	2037	1998-06-11	VYDAJ	VYBER	5880	40099	\N	\N	\N
598520	2037	1998-05-30	VYDAJ	VYBER	4440	30404	\N	\N	\N
598530	2037	1993-09-30	VYDAJ	VYBER	15	54751	SLUZBY	\N	\N
598531	2037	1993-10-31	VYDAJ	VYBER	15	45524	SLUZBY	\N	\N
598532	2037	1993-11-30	VYDAJ	VYBER	15	40109	SLUZBY	\N	\N
598533	2037	1993-12-31	VYDAJ	VYBER	15	38728	SLUZBY	\N	\N
598534	2037	1994-01-31	VYDAJ	VYBER	15	30805	SLUZBY	\N	\N
598535	2037	1994-02-28	VYDAJ	VYBER	15	38219	SLUZBY	\N	\N
598536	2037	1994-03-31	VYDAJ	VYBER	15	38934	SLUZBY	\N	\N
598537	2037	1994-04-30	VYDAJ	VYBER	15	33324	SLUZBY	\N	\N
598538	2037	1994-05-31	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
598539	2037	1994-06-30	VYDAJ	VYBER	15	31924	SLUZBY	\N	\N
598540	2037	1994-07-31	VYDAJ	VYBER	15	28583	SLUZBY	\N	\N
598541	2037	1994-08-31	VYDAJ	VYBER	15	30714	SLUZBY	\N	\N
598542	2037	1994-09-30	VYDAJ	VYBER	15	32125	SLUZBY	\N	\N
598543	2037	1994-10-31	VYDAJ	VYBER	15	34642	SLUZBY	\N	\N
598544	2037	1994-11-30	VYDAJ	VYBER	15	36569	SLUZBY	\N	\N
598545	2037	1994-12-31	VYDAJ	VYBER	15	35079	SLUZBY	\N	\N
598546	2037	1995-01-31	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
598547	2037	1995-02-28	VYDAJ	VYBER	15	29139	SLUZBY	\N	\N
598548	2037	1995-03-31	VYDAJ	VYBER	15	34445	SLUZBY	\N	\N
598549	2037	1995-04-30	VYDAJ	VYBER	15	33979	SLUZBY	\N	\N
598550	2037	1995-05-31	VYDAJ	VYBER	15	35477	SLUZBY	\N	\N
598551	2037	1995-06-30	VYDAJ	VYBER	15	41714	SLUZBY	\N	\N
598552	2037	1995-07-31	VYDAJ	VYBER	15	37061	SLUZBY	\N	\N
598553	2037	1995-08-31	VYDAJ	VYBER	15	31238	SLUZBY	\N	\N
598554	2037	1995-09-30	VYDAJ	VYBER	15	33409	SLUZBY	\N	\N
598555	2037	1995-10-31	VYDAJ	VYBER	15	38831	SLUZBY	\N	\N
598556	2037	1995-11-30	VYDAJ	VYBER	15	37766	SLUZBY	\N	\N
598557	2037	1995-12-31	VYDAJ	VYBER	15	39953	SLUZBY	\N	\N
598558	2037	1996-01-31	VYDAJ	VYBER	15	39292	SLUZBY	\N	\N
598559	2037	1996-02-29	VYDAJ	VYBER	15	36525	SLUZBY	\N	\N
598560	2037	1996-03-31	VYDAJ	VYBER	15	35550	SLUZBY	\N	\N
598561	2037	1996-04-30	VYDAJ	VYBER	15	36773	SLUZBY	\N	\N
598562	2037	1996-05-31	VYDAJ	VYBER	15	40404	SLUZBY	\N	\N
598563	2037	1996-06-30	VYDAJ	VYBER	15	33639	SLUZBY	\N	\N
598564	2037	1996-07-31	VYDAJ	VYBER	15	36638	SLUZBY	\N	\N
598565	2037	1996-08-31	VYDAJ	VYBER	15	39988	SLUZBY	\N	\N
598566	2037	1996-09-30	VYDAJ	VYBER	15	38421	SLUZBY	\N	\N
598567	2037	1996-10-31	VYDAJ	VYBER	15	39372	SLUZBY	\N	\N
598568	2037	1996-11-30	VYDAJ	VYBER	15	37300	SLUZBY	\N	\N
598569	2037	1996-12-31	VYDAJ	VYBER	15	39145	SLUZBY	\N	\N
598570	2037	1997-01-31	VYDAJ	VYBER	15	31256	SLUZBY	\N	\N
598571	2037	1997-02-28	VYDAJ	VYBER	15	35702	SLUZBY	\N	\N
598572	2037	1997-03-31	VYDAJ	VYBER	15	38624	SLUZBY	\N	\N
598573	2037	1997-04-30	VYDAJ	VYBER	15	35203	SLUZBY	\N	\N
598574	2037	1997-05-31	VYDAJ	VYBER	15	39526	SLUZBY	\N	\N
598575	2037	1997-06-30	VYDAJ	VYBER	15	43658	SLUZBY	\N	\N
598576	2037	1997-07-31	VYDAJ	VYBER	15	37354	SLUZBY	\N	\N
598577	2037	1997-08-31	VYDAJ	VYBER	15	36324	SLUZBY	\N	\N
598578	2037	1997-09-30	VYDAJ	VYBER	15	35536	SLUZBY	\N	\N
598579	2037	1997-10-31	VYDAJ	VYBER	15	35165	SLUZBY	\N	\N
598580	2037	1997-11-30	VYDAJ	VYBER	15	31363	SLUZBY	\N	\N
598581	2037	1997-12-31	VYDAJ	VYBER	15	34473	SLUZBY	\N	\N
598582	2037	1998-01-31	VYDAJ	VYBER	15	30666	SLUZBY	\N	\N
598583	2037	1998-02-28	VYDAJ	VYBER	15	39778	SLUZBY	\N	\N
598584	2037	1998-03-31	VYDAJ	VYBER	15	36195	SLUZBY	\N	\N
598585	2037	1998-04-30	VYDAJ	VYBER	15	35765	SLUZBY	\N	\N
598586	2037	1998-05-31	VYDAJ	VYBER	15	30530	SLUZBY	\N	\N
598587	2037	1998-06-30	VYDAJ	VYBER	15	39461	SLUZBY	\N	\N
598588	2037	1998-07-31	VYDAJ	VYBER	15	39351	SLUZBY	\N	\N
598589	2037	1998-08-31	VYDAJ	VYBER	15	36749	SLUZBY	\N	\N
598590	2037	1998-09-30	VYDAJ	VYBER	15	47591	SLUZBY	\N	\N
598591	2037	1998-10-31	VYDAJ	VYBER	15	52056	SLUZBY	\N	\N
598592	2037	1998-11-30	VYDAJ	VYBER	15	54331	SLUZBY	\N	\N
598593	2037	1993-06-05	PRIJEM	VKLAD	3700	21228	\N	\N	\N
598594	2037	1993-07-05	VYDAJ	VYBER	11300	34948	\N	\N	\N
598595	2037	1993-08-04	VYDAJ	VYBER	15500	36232	\N	\N	\N
598596	2037	1993-09-03	VYDAJ	VYBER	14300	38727	\N	\N	\N
598597	2037	1993-10-03	VYDAJ	VYBER	15000	39751	\N	\N	\N
598598	2037	1993-11-02	VYDAJ	VYBER	8400	37124	\N	\N	\N
598599	2037	1993-12-02	VYDAJ	VYBER	5100	35009	\N	\N	\N
598600	2037	1994-01-01	VYDAJ	VYBER	5900	32828	\N	\N	\N
598601	2037	1994-01-31	VYDAJ	VYBER	4000	30820	\N	\N	\N
598602	2037	1994-03-02	VYDAJ	VYBER	6700	31519	\N	\N	\N
598603	2037	1994-04-01	VYDAJ	VYBER	5100	33834	\N	\N	\N
598604	2037	1994-05-01	VYDAJ	VYBER	2300	31024	\N	\N	\N
598605	2037	1994-05-31	VYDAJ	VYBER	4100	34349	\N	\N	\N
598606	2037	1994-06-30	VYDAJ	VYBER	2200	29724	\N	\N	\N
598607	2037	1994-07-30	VYDAJ	VYBER	7700	28463	\N	\N	\N
598608	2037	1994-08-29	VYDAJ	VYBER	2500	30602	\N	\N	\N
598609	2037	1994-09-28	VYDAJ	VYBER	6000	31993	\N	\N	\N
598610	2037	1994-10-28	VYDAJ	VYBER	4900	34504	\N	\N	\N
598611	2037	1994-11-27	VYDAJ	VYBER	5500	36421	\N	\N	\N
598612	2037	1994-12-27	VYDAJ	VYBER	12900	34916	\N	\N	\N
598613	2037	1995-01-26	VYDAJ	VYBER	400	30598	\N	\N	\N
598614	2037	1995-02-25	VYDAJ	VYBER	5600	29025	\N	\N	\N
598615	2037	1995-03-27	VYDAJ	VYBER	2100	34318	\N	\N	\N
598616	2037	1995-04-26	VYDAJ	VYBER	5600	33844	\N	\N	\N
598617	2037	1995-05-26	VYDAJ	VYBER	3400	35338	\N	\N	\N
598618	2037	1995-06-25	VYDAJ	VYBER	9500	41544	\N	\N	\N
598619	2037	1995-07-25	VYDAJ	VYBER	12100	36893	\N	\N	\N
598620	2037	1995-08-24	VYDAJ	VYBER	4000	31100	\N	\N	\N
598621	2037	1995-09-23	VYDAJ	VYBER	3200	35317	\N	\N	\N
598622	2037	1995-10-23	VYDAJ	VYBER	2000	38688	\N	\N	\N
598623	2037	1995-11-22	VYDAJ	VYBER	8500	37610	\N	\N	\N
598624	2037	1995-12-22	VYDAJ	VYBER	10500	39793	\N	\N	\N
598625	2037	1996-01-21	VYDAJ	VYBER	2500	39132	\N	\N	\N
598626	2037	1996-02-20	VYDAJ	VYBER	10200	36371	\N	\N	\N
598627	2037	1996-03-21	VYDAJ	VYBER	8400	35404	\N	\N	\N
598628	2037	1996-04-20	VYDAJ	VYBER	6200	36629	\N	\N	\N
598629	2037	1996-05-20	VYDAJ	VYBER	3800	40252	\N	\N	\N
598630	2037	1996-06-19	VYDAJ	VYBER	6200	38891	\N	\N	\N
598631	2037	1996-07-19	VYDAJ	VYBER	1900	39018	\N	\N	\N
598632	2037	1996-08-18	VYDAJ	VYBER	2400	41517	\N	\N	\N
598633	2037	1996-09-17	VYDAJ	VYBER	9000	38267	\N	\N	\N
598634	2037	1996-10-17	VYDAJ	VYBER	4800	40900	\N	\N	\N
598635	2037	1996-11-16	VYDAJ	VYBER	9500	37151	\N	\N	\N
598636	2037	1996-12-16	VYDAJ	VYBER	12200	40667	\N	\N	\N
598637	2037	1997-01-15	VYDAJ	VYBER	6100	38164	\N	\N	\N
598638	2037	1997-02-14	VYDAJ	VYBER	800	35575	\N	\N	\N
598639	2037	1997-03-16	VYDAJ	VYBER	4500	38481	\N	\N	\N
598640	2037	1997-04-15	VYDAJ	VYBER	9300	35043	\N	\N	\N
598641	2037	1997-05-15	VYDAJ	VYBER	3100	39382	\N	\N	\N
598642	2037	1997-06-14	VYDAJ	VYBER	11600	43493	\N	\N	\N
598643	2037	1997-07-14	VYDAJ	VYBER	8700	42237	\N	\N	\N
598644	2037	1997-08-13	VYDAJ	VYBER	7000	36193	\N	\N	\N
598645	2037	1997-09-12	VYDAJ	VYBER	8200	36165	\N	\N	\N
598646	2037	1997-10-12	VYDAJ	VYBER	7800	35015	\N	\N	\N
598647	2037	1997-11-11	VYDAJ	VYBER	11200	32006	\N	\N	\N
598648	2037	1997-12-11	VYDAJ	VYBER	11300	36392	\N	\N	\N
598649	2037	1998-01-10	VYDAJ	VYBER	11200	31314	\N	\N	\N
598650	2037	1998-02-09	PRIJEM	VKLAD	1700	23831	\N	\N	\N
598651	2037	1998-03-11	VYDAJ	VYBER	11000	36819	\N	\N	\N
598652	2037	1998-04-10	VYDAJ	VYBER	5200	39036	\N	\N	\N
598653	2037	1998-05-10	VYDAJ	VYBER	8200	35606	\N	\N	\N
598654	2037	1998-06-09	PRIJEM	VKLAD	7600	21115	\N	\N	\N
598655	2037	1998-07-09	VYDAJ	VYBER	2500	28426	\N	\N	\N
598656	2037	1998-08-08	VYDAJ	VYBER	2100	28716	\N	\N	\N
598657	2037	1998-09-07	PRIJEM	VKLAD	3400	31614	\N	\N	\N
598658	2037	1998-10-07	VYDAJ	VYBER	3000	36056	\N	\N	\N
598659	2037	1998-11-06	VYDAJ	VYBER	5200	38321	\N	\N	\N
598660	2037	1998-12-06	VYDAJ	VYBER	2400	43396	\N	\N	\N
598729	2038	1993-08-06	PRIJEM	VKLAD	900	900	\N	\N	\N
598738	2038	1993-09-05	PRIJEM	VKLAD	5463	13963	\N	\N	\N
598739	2038	1993-10-05	PRIJEM	VKLAD	5463	24157	\N	\N	\N
598740	2038	1993-11-05	PRIJEM	VKLAD	5463	27892	\N	\N	\N
598741	2038	1993-12-05	PRIJEM	VKLAD	8194	35097	\N	\N	\N
598742	2038	1994-01-05	PRIJEM	VKLAD	5463	35603	\N	\N	\N
598743	2038	1994-02-05	PRIJEM	VKLAD	5463	33406	\N	\N	\N
598744	2038	1994-03-05	PRIJEM	VKLAD	5463	31539	\N	\N	\N
598745	2038	1994-04-05	PRIJEM	VKLAD	5463	30165	\N	\N	\N
598746	2038	1994-05-05	PRIJEM	VKLAD	5463	32987	\N	\N	\N
598747	2038	1994-06-05	PRIJEM	VKLAD	8194	37550	\N	\N	\N
598748	2038	1994-07-05	PRIJEM	VKLAD	5463	30857	\N	\N	\N
598749	2038	1994-08-05	PRIJEM	VKLAD	5463	33681	\N	\N	\N
598750	2038	1994-09-05	PRIJEM	VKLAD	5463	31709	\N	\N	\N
598751	2038	1994-10-05	PRIJEM	VKLAD	5463	33337	\N	\N	\N
598752	2038	1994-11-05	PRIJEM	VKLAD	5463	31170	\N	\N	\N
598753	2038	1994-12-05	PRIJEM	VKLAD	8194	33025	\N	\N	\N
598754	2038	1995-01-05	PRIJEM	VKLAD	5463	30306	\N	\N	\N
598755	2038	1995-02-05	PRIJEM	VKLAD	5463	33928	\N	\N	\N
598756	2038	1995-03-05	PRIJEM	VKLAD	5463	35262	\N	\N	\N
598757	2038	1995-04-05	PRIJEM	VKLAD	5463	30994	\N	\N	\N
598758	2038	1995-05-05	PRIJEM	VKLAD	5463	31815	\N	\N	\N
598759	2038	1995-06-05	PRIJEM	VKLAD	8194	31511	\N	\N	\N
598760	2038	1995-07-05	PRIJEM	VKLAD	5463	30431	\N	\N	\N
598761	2038	1995-08-05	PRIJEM	VKLAD	5463	31749	\N	\N	\N
598762	2038	1995-09-05	PRIJEM	VKLAD	5463	32250	\N	\N	\N
598763	2038	1995-10-05	PRIJEM	VKLAD	5463	31274	\N	\N	\N
598764	2038	1995-11-05	PRIJEM	VKLAD	5463	32612	\N	\N	\N
598765	2038	1995-12-05	PRIJEM	VKLAD	8194	36011	\N	\N	\N
598766	2038	1996-01-05	PRIJEM	VKLAD	5463	25110	\N	\N	\N
598767	2038	1996-02-05	PRIJEM	VKLAD	5463	31419	\N	\N	\N
598768	2038	1996-03-05	PRIJEM	VKLAD	5463	28036	\N	\N	\N
598769	2038	1996-04-05	PRIJEM	VKLAD	5463	30048	\N	\N	\N
598770	2038	1996-05-05	PRIJEM	VKLAD	5463	30565	\N	\N	\N
598771	2038	1996-06-05	PRIJEM	VKLAD	8194	36717	\N	\N	\N
598772	2038	1996-07-05	PRIJEM	VKLAD	5463	35859	\N	\N	\N
598773	2038	1996-08-05	PRIJEM	VKLAD	5463	32493	\N	\N	\N
598774	2038	1996-09-05	PRIJEM	VKLAD	5463	32977	\N	\N	\N
598775	2038	1996-10-05	PRIJEM	VKLAD	5463	32165	\N	\N	\N
598776	2038	1996-11-05	PRIJEM	VKLAD	5463	33890	\N	\N	\N
598777	2038	1996-12-05	PRIJEM	VKLAD	8194	37818	\N	\N	\N
598778	2038	1997-01-05	PRIJEM	VKLAD	5463	40668	\N	\N	\N
598779	2038	1997-02-05	PRIJEM	VKLAD	5463	32170	\N	\N	\N
598780	2038	1997-03-05	PRIJEM	VKLAD	5463	34599	\N	\N	\N
598781	2038	1997-04-05	PRIJEM	VKLAD	5463	35290	\N	\N	\N
598782	2038	1997-05-05	PRIJEM	VKLAD	5463	38230	\N	\N	\N
598783	2038	1997-06-05	PRIJEM	VKLAD	8194	42710	\N	\N	\N
598784	2038	1997-07-05	PRIJEM	VKLAD	5463	35886	\N	\N	\N
598785	2038	1997-08-05	PRIJEM	VKLAD	5463	40835	\N	\N	\N
598786	2038	1997-09-05	PRIJEM	VKLAD	5463	37668	\N	\N	\N
598787	2038	1997-10-05	PRIJEM	VKLAD	5463	40045	\N	\N	\N
598788	2038	1997-11-05	PRIJEM	VKLAD	5463	41805	\N	\N	\N
598789	2038	1997-12-05	PRIJEM	VKLAD	8194	43011	\N	\N	\N
598790	2038	1998-01-05	PRIJEM	VKLAD	5463	39426	\N	\N	\N
598791	2038	1998-02-05	PRIJEM	VKLAD	5463	34858	\N	\N	\N
598792	2038	1998-03-05	PRIJEM	VKLAD	5463	34844	\N	\N	\N
598793	2038	1998-04-05	PRIJEM	VKLAD	5463	34436	\N	\N	\N
598794	2038	1998-05-05	PRIJEM	VKLAD	5463	38075	\N	\N	\N
598795	2038	1998-06-05	PRIJEM	VKLAD	8194	42355	\N	\N	\N
598796	2038	1998-07-05	PRIJEM	VKLAD	5463	41714	\N	\N	\N
598797	2038	1998-08-05	PRIJEM	VKLAD	5463	37404	\N	\N	\N
598798	2038	1998-09-05	PRIJEM	VKLAD	5463	39549	\N	\N	\N
598799	2038	1998-10-05	PRIJEM	VKLAD	5463	42268	\N	\N	\N
598800	2038	1998-11-05	PRIJEM	VKLAD	5463	47944	\N	\N	\N
598801	2038	1998-12-05	PRIJEM	VKLAD	8194	36556	\N	\N	\N
598814	2038	1994-01-14	VYDAJ	PREVOD NA UCET	1580	31961	SIPO	KL	62453108
598815	2038	1994-02-14	VYDAJ	PREVOD NA UCET	1580	29764	SIPO	KL	62453108
598816	2038	1994-03-14	VYDAJ	PREVOD NA UCET	1580	27897	SIPO	KL	62453108
598817	2038	1994-04-14	VYDAJ	PREVOD NA UCET	1580	26523	SIPO	KL	62453108
598818	2038	1994-05-14	VYDAJ	PREVOD NA UCET	1580	29345	SIPO	KL	62453108
598819	2038	1994-06-14	VYDAJ	PREVOD NA UCET	1580	33908	SIPO	KL	62453108
598820	2038	1994-07-14	VYDAJ	PREVOD NA UCET	1580	27215	SIPO	KL	62453108
598821	2038	1994-08-14	VYDAJ	PREVOD NA UCET	1580	27639	SIPO	KL	62453108
598822	2038	1994-09-14	VYDAJ	PREVOD NA UCET	1580	28067	SIPO	KL	62453108
598823	2038	1994-10-14	VYDAJ	PREVOD NA UCET	1580	29695	SIPO	KL	62453108
598824	2038	1994-11-14	VYDAJ	PREVOD NA UCET	1580	27528	SIPO	KL	62453108
598825	2038	1994-12-14	VYDAJ	PREVOD NA UCET	1580	29383	SIPO	KL	62453108
598826	2038	1995-01-14	VYDAJ	PREVOD NA UCET	1580	26664	SIPO	KL	62453108
598827	2038	1995-02-14	VYDAJ	PREVOD NA UCET	1580	30286	SIPO	KL	62453108
598828	2038	1995-03-14	VYDAJ	PREVOD NA UCET	1580	31620	SIPO	KL	62453108
598829	2038	1995-04-14	VYDAJ	PREVOD NA UCET	1580	27352	SIPO	KL	62453108
598830	2038	1995-05-14	VYDAJ	PREVOD NA UCET	1580	28173	SIPO	KL	62453108
598831	2038	1995-06-14	VYDAJ	PREVOD NA UCET	1580	27869	SIPO	KL	62453108
598832	2038	1995-07-14	VYDAJ	PREVOD NA UCET	1580	26789	SIPO	KL	62453108
598833	2038	1995-08-14	VYDAJ	PREVOD NA UCET	1580	26787	SIPO	KL	62453108
598834	2038	1995-09-14	VYDAJ	PREVOD NA UCET	1580	28608	SIPO	KL	62453108
598835	2038	1995-10-14	VYDAJ	PREVOD NA UCET	1580	27632	SIPO	KL	62453108
598836	2038	1995-11-14	VYDAJ	PREVOD NA UCET	1580	28970	SIPO	KL	62453108
598837	2038	1995-12-14	VYDAJ	PREVOD NA UCET	1580	32369	SIPO	KL	62453108
598838	2038	1996-01-14	VYDAJ	PREVOD NA UCET	1580	21468	SIPO	KL	62453108
598839	2038	1996-02-14	VYDAJ	PREVOD NA UCET	1580	24657	SIPO	KL	62453108
598840	2038	1996-03-14	VYDAJ	PREVOD NA UCET	1580	24394	SIPO	KL	62453108
598841	2038	1996-04-14	VYDAJ	PREVOD NA UCET	1580	26406	SIPO	KL	62453108
598842	2038	1996-05-14	VYDAJ	PREVOD NA UCET	1580	26923	SIPO	KL	62453108
598843	2038	1996-06-14	VYDAJ	PREVOD NA UCET	1580	33075	SIPO	KL	62453108
598844	2038	1996-07-14	VYDAJ	PREVOD NA UCET	1580	32217	SIPO	KL	62453108
598845	2038	1996-08-14	VYDAJ	PREVOD NA UCET	1580	26811	SIPO	KL	62453108
598846	2038	1996-09-14	VYDAJ	PREVOD NA UCET	1580	29335	SIPO	KL	62453108
598847	2038	1996-10-14	VYDAJ	PREVOD NA UCET	1580	28523	SIPO	KL	62453108
598848	2038	1996-11-14	VYDAJ	PREVOD NA UCET	1580	30248	SIPO	KL	62453108
598849	2038	1996-12-14	VYDAJ	PREVOD NA UCET	1580	33376	SIPO	KL	62453108
598850	2038	1997-01-14	VYDAJ	PREVOD NA UCET	1580	31746	SIPO	KL	62453108
598851	2038	1997-02-14	VYDAJ	PREVOD NA UCET	1580	28528	SIPO	KL	62453108
598852	2038	1997-03-14	VYDAJ	PREVOD NA UCET	1580	30117	SIPO	KL	62453108
598853	2038	1997-04-14	VYDAJ	PREVOD NA UCET	1580	31648	SIPO	KL	62453108
598854	2038	1997-05-14	VYDAJ	PREVOD NA UCET	1580	34588	SIPO	KL	62453108
598855	2038	1997-06-14	VYDAJ	PREVOD NA UCET	1580	22108	SIPO	KL	62453108
598856	2038	1997-07-14	VYDAJ	PREVOD NA UCET	1580	32244	SIPO	KL	62453108
598857	2038	1997-08-14	VYDAJ	PREVOD NA UCET	1580	37193	SIPO	KL	62453108
598858	2038	1997-09-14	VYDAJ	PREVOD NA UCET	1580	36726	SIPO	KL	62453108
598859	2038	1997-10-14	VYDAJ	PREVOD NA UCET	1580	36203	SIPO	KL	62453108
598860	2038	1997-11-14	VYDAJ	PREVOD NA UCET	1580	35763	SIPO	KL	62453108
598861	2038	1997-12-14	VYDAJ	PREVOD NA UCET	1580	37669	SIPO	KL	62453108
598862	2038	1998-01-14	VYDAJ	PREVOD NA UCET	1580	37584	SIPO	KL	62453108
598863	2038	1998-02-14	VYDAJ	PREVOD NA UCET	1580	35016	SIPO	KL	62453108
598864	2038	1998-03-14	VYDAJ	PREVOD NA UCET	1580	33902	SIPO	KL	62453108
598865	2038	1998-04-14	VYDAJ	PREVOD NA UCET	1580	32494	SIPO	KL	62453108
598866	2038	1998-05-14	VYDAJ	PREVOD NA UCET	1580	34033	SIPO	KL	62453108
598867	2038	1998-06-14	VYDAJ	PREVOD NA UCET	1580	36113	SIPO	KL	62453108
598868	2038	1998-07-14	VYDAJ	PREVOD NA UCET	1580	34572	SIPO	KL	62453108
598869	2038	1998-08-14	VYDAJ	PREVOD NA UCET	1580	33962	SIPO	KL	62453108
598870	2038	1998-09-14	VYDAJ	PREVOD NA UCET	1580	38107	SIPO	KL	62453108
598871	2038	1998-10-14	VYDAJ	PREVOD NA UCET	1580	42326	SIPO	KL	62453108
598872	2038	1998-11-14	VYDAJ	PREVOD NA UCET	1580	36062	SIPO	KL	62453108
598873	2038	1998-12-14	VYDAJ	PREVOD NA UCET	1580	40914	SIPO	KL	62453108
598886	2038	1994-01-05	VYDAJ	PREVOD NA UCET	2062	33541	 	CD	20491111
598887	2038	1994-02-05	VYDAJ	PREVOD NA UCET	2062	31344	 	CD	20491111
598888	2038	1994-03-05	VYDAJ	PREVOD NA UCET	2062	29477	 	CD	20491111
598889	2038	1994-04-05	VYDAJ	PREVOD NA UCET	2062	28103	 	CD	20491111
598890	2038	1994-05-05	VYDAJ	PREVOD NA UCET	2062	30925	 	CD	20491111
598891	2038	1994-06-05	VYDAJ	PREVOD NA UCET	2062	35488	 	CD	20491111
598892	2038	1994-07-05	VYDAJ	PREVOD NA UCET	2062	28795	 	CD	20491111
598893	2038	1994-08-05	VYDAJ	PREVOD NA UCET	2062	31619	 	CD	20491111
598894	2038	1994-09-05	VYDAJ	PREVOD NA UCET	2062	29647	 	CD	20491111
598895	2038	1994-10-05	VYDAJ	PREVOD NA UCET	2062	31275	 	CD	20491111
598896	2038	1994-11-05	VYDAJ	PREVOD NA UCET	2062	29108	 	CD	20491111
598897	2038	1994-12-05	VYDAJ	PREVOD NA UCET	2062	30963	 	CD	20491111
598898	2038	1995-01-05	VYDAJ	PREVOD NA UCET	2062	28244	 	CD	20491111
598899	2038	1995-02-05	VYDAJ	PREVOD NA UCET	2062	31866	 	CD	20491111
598900	2038	1995-03-05	VYDAJ	PREVOD NA UCET	2062	33200	 	CD	20491111
598901	2038	1995-04-05	VYDAJ	PREVOD NA UCET	2062	28932	 	CD	20491111
598902	2038	1995-05-05	VYDAJ	PREVOD NA UCET	2062	29753	 	CD	20491111
598903	2038	1995-06-05	VYDAJ	PREVOD NA UCET	2062	29449	 	CD	20491111
598904	2038	1995-07-05	VYDAJ	PREVOD NA UCET	2062	28369	 	CD	20491111
598905	2038	1995-08-05	VYDAJ	PREVOD NA UCET	2062	29687	 	CD	20491111
598906	2038	1995-09-05	VYDAJ	PREVOD NA UCET	2062	30188	 	CD	20491111
598907	2038	1995-10-05	VYDAJ	PREVOD NA UCET	2062	29212	 	CD	20491111
598908	2038	1995-11-05	VYDAJ	PREVOD NA UCET	2062	30550	 	CD	20491111
598909	2038	1995-12-05	VYDAJ	PREVOD NA UCET	2062	33949	 	CD	20491111
598910	2038	1996-01-05	VYDAJ	PREVOD NA UCET	2062	23048	 	CD	20491111
598911	2038	1996-02-05	VYDAJ	PREVOD NA UCET	2062	29357	 	CD	20491111
598912	2038	1996-03-05	VYDAJ	PREVOD NA UCET	2062	25974	 	CD	20491111
598913	2038	1996-04-05	VYDAJ	PREVOD NA UCET	2062	27986	 	CD	20491111
598914	2038	1996-05-05	VYDAJ	PREVOD NA UCET	2062	28503	 	CD	20491111
598915	2038	1996-06-05	VYDAJ	PREVOD NA UCET	2062	34655	 	CD	20491111
598916	2038	1996-07-05	VYDAJ	PREVOD NA UCET	2062	33797	 	CD	20491111
598917	2038	1996-08-05	VYDAJ	PREVOD NA UCET	2062	30431	 	CD	20491111
598918	2038	1996-09-05	VYDAJ	PREVOD NA UCET	2062	30915	 	CD	20491111
598919	2038	1996-10-05	VYDAJ	PREVOD NA UCET	2062	30103	 	CD	20491111
598920	2038	1996-11-05	VYDAJ	PREVOD NA UCET	2062	31828	 	CD	20491111
598921	2038	1996-12-05	VYDAJ	PREVOD NA UCET	2062	34956	 	CD	20491111
598922	2038	1997-01-05	VYDAJ	PREVOD NA UCET	2062	38606	 	CD	20491111
598923	2038	1997-02-05	VYDAJ	PREVOD NA UCET	2062	30108	 	CD	20491111
598924	2038	1997-03-05	VYDAJ	PREVOD NA UCET	2062	32537	 	CD	20491111
598925	2038	1997-04-05	VYDAJ	PREVOD NA UCET	2062	33228	 	CD	20491111
598926	2038	1997-05-05	VYDAJ	PREVOD NA UCET	2062	36168	 	CD	20491111
598927	2038	1997-06-05	VYDAJ	PREVOD NA UCET	2062	40648	 	CD	20491111
598928	2038	1997-07-05	VYDAJ	PREVOD NA UCET	2062	33824	 	CD	20491111
598929	2038	1997-08-05	VYDAJ	PREVOD NA UCET	2062	38773	 	CD	20491111
598930	2038	1997-09-05	VYDAJ	PREVOD NA UCET	2062	35606	 	CD	20491111
598931	2038	1997-10-05	VYDAJ	PREVOD NA UCET	2062	37983	 	CD	20491111
598932	2038	1997-11-05	VYDAJ	PREVOD NA UCET	2062	39743	 	CD	20491111
598933	2038	1997-12-05	VYDAJ	PREVOD NA UCET	2062	40949	 	CD	20491111
598934	2038	1998-01-05	VYDAJ	PREVOD NA UCET	2062	37364	 	CD	20491111
598935	2038	1998-02-05	VYDAJ	PREVOD NA UCET	2062	32796	 	CD	20491111
598936	2038	1998-03-05	VYDAJ	PREVOD NA UCET	2062	32782	 	CD	20491111
598937	2038	1998-04-05	VYDAJ	PREVOD NA UCET	2062	32374	 	CD	20491111
598938	2038	1998-05-05	VYDAJ	PREVOD NA UCET	2062	36013	 	CD	20491111
598939	2038	1998-06-05	VYDAJ	PREVOD NA UCET	2062	40293	 	CD	20491111
598940	2038	1998-07-05	VYDAJ	PREVOD NA UCET	2062	39652	 	CD	20491111
598941	2038	1998-08-05	VYDAJ	PREVOD NA UCET	2062	35342	 	CD	20491111
598942	2038	1998-09-05	VYDAJ	PREVOD NA UCET	2062	37487	 	CD	20491111
598943	2038	1998-10-05	VYDAJ	PREVOD NA UCET	2062	40206	 	CD	20491111
598944	2038	1998-11-05	VYDAJ	PREVOD NA UCET	2062	45882	 	CD	20491111
598945	2038	1998-12-05	VYDAJ	PREVOD NA UCET	2062	34494	 	CD	20491111
598947	2038	1994-06-28	VYDAJ	VYBER	7040	26868	\N	\N	\N
598950	2038	1997-06-10	VYDAJ	VYBER	16960	23688	\N	\N	\N
598955	2038	1996-01-01	VYDAJ	VYBER	8640	19647	\N	\N	\N
598956	2038	1997-01-25	VYDAJ	VYBER	7360	26586	\N	\N	\N
598957	2038	1998-01-24	VYDAJ	VYBER	8320	29264	\N	\N	\N
598959	2038	1994-12-14	VYDAJ	VYBER	4640	24743	\N	\N	\N
598960	2038	1995-12-01	VYDAJ	VYBER	1760	27817	\N	\N	\N
598961	2038	1996-12-05	VYDAJ	VYBER	800	37018	\N	\N	\N
598962	2038	1997-12-16	VYDAJ	VYBER	3840	33829	\N	\N	\N
598963	2038	1998-12-02	VYDAJ	VYBER	2080	29442	\N	\N	\N
598967	2038	1994-12-04	VYDAJ	VYBER	3000	24831	\N	\N	\N
598968	2038	1994-08-13	VYDAJ	VYBER	2400	29219	\N	\N	\N
598969	2038	1994-01-29	VYDAJ	VYBER	1440	30521	\N	\N	\N
598970	2038	1995-10-20	VYDAJ	VYBER	5280	22352	\N	\N	\N
598971	2038	1995-08-10	VYDAJ	VYBER	1320	28367	\N	\N	\N
598972	2038	1995-05-30	VYDAJ	VYBER	960	23213	\N	\N	\N
598973	2038	1995-03-24	VYDAJ	VYBER	5400	26220	\N	\N	\N
598974	2038	1996-07-19	VYDAJ	VYBER	4200	28017	\N	\N	\N
598975	2038	1996-10-03	VYDAJ	VYBER	840	26702	\N	\N	\N
598976	2038	1996-08-12	VYDAJ	VYBER	2040	28391	\N	\N	\N
598977	2038	1996-02-07	VYDAJ	VYBER	3120	26237	\N	\N	\N
598978	2038	1996-03-01	VYDAJ	VYBER	5880	22573	\N	\N	\N
598979	2038	1996-11-27	VYDAJ	VYBER	5040	29508	\N	\N	\N
598980	2038	1997-01-10	VYDAJ	VYBER	5280	33326	\N	\N	\N
598981	2038	1997-11-14	VYDAJ	VYBER	1080	34683	\N	\N	\N
598982	2038	1997-09-26	VYDAJ	VYBER	2280	34446	\N	\N	\N
598983	2038	1997-08-27	VYDAJ	VYBER	2520	32073	\N	\N	\N
598984	2038	1997-03-09	VYDAJ	VYBER	840	31697	\N	\N	\N
598985	2038	1998-11-25	VYDAJ	VYBER	4680	31382	\N	\N	\N
598986	2038	1998-11-10	VYDAJ	VYBER	5040	37642	\N	\N	\N
598987	2038	1998-02-27	VYDAJ	VYBER	5760	29256	\N	\N	\N
598988	2038	1998-12-02	VYDAJ	VYBER	1080	28362	\N	\N	\N
598989	2038	1998-03-18	VYDAJ	VYBER	5040	28862	\N	\N	\N
598990	2038	1998-07-23	VYDAJ	VYBER	2760	31812	\N	\N	\N
598991	2038	1998-09-18	VYDAJ	VYBER	1440	36667	\N	\N	\N
599005	2038	1994-01-31	VYDAJ	VYBER	15	30643	SLUZBY	\N	\N
599006	2038	1994-02-28	VYDAJ	VYBER	15	29876	SLUZBY	\N	\N
599007	2038	1994-03-31	VYDAJ	VYBER	15	28002	SLUZBY	\N	\N
599008	2038	1994-04-30	VYDAJ	VYBER	15	26624	SLUZBY	\N	\N
599009	2038	1994-05-31	VYDAJ	VYBER	15	29456	SLUZBY	\N	\N
599010	2038	1994-06-30	VYDAJ	VYBER	15	26994	SLUZBY	\N	\N
599011	2038	1994-07-31	VYDAJ	VYBER	15	27318	SLUZBY	\N	\N
599012	2038	1994-08-31	VYDAJ	VYBER	15	27746	SLUZBY	\N	\N
599013	2038	1994-09-30	VYDAJ	VYBER	15	27874	SLUZBY	\N	\N
599014	2038	1994-10-31	VYDAJ	VYBER	15	25707	SLUZBY	\N	\N
599015	2038	1994-11-30	VYDAJ	VYBER	15	27831	SLUZBY	\N	\N
599016	2038	1994-12-31	VYDAJ	VYBER	15	24843	SLUZBY	\N	\N
599017	2038	1995-01-31	VYDAJ	VYBER	15	28465	SLUZBY	\N	\N
599018	2038	1995-02-28	VYDAJ	VYBER	15	29799	SLUZBY	\N	\N
599019	2038	1995-03-31	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
599020	2038	1995-04-30	VYDAJ	VYBER	15	26352	SLUZBY	\N	\N
599021	2038	1995-05-31	VYDAJ	VYBER	15	23317	SLUZBY	\N	\N
599022	2038	1995-06-30	VYDAJ	VYBER	15	24968	SLUZBY	\N	\N
599023	2038	1995-07-31	VYDAJ	VYBER	15	26286	SLUZBY	\N	\N
599024	2038	1995-08-31	VYDAJ	VYBER	15	26787	SLUZBY	\N	\N
599025	2038	1995-09-30	VYDAJ	VYBER	15	25811	SLUZBY	\N	\N
599026	2038	1995-10-31	VYDAJ	VYBER	15	27149	SLUZBY	\N	\N
599027	2038	1995-11-30	VYDAJ	VYBER	15	29577	SLUZBY	\N	\N
599028	2038	1995-12-31	VYDAJ	VYBER	15	28287	SLUZBY	\N	\N
599029	2038	1996-01-31	VYDAJ	VYBER	15	25956	SLUZBY	\N	\N
599030	2038	1996-02-29	VYDAJ	VYBER	15	28453	SLUZBY	\N	\N
599031	2038	1996-03-31	VYDAJ	VYBER	15	24585	SLUZBY	\N	\N
599032	2038	1996-04-30	VYDAJ	VYBER	15	25102	SLUZBY	\N	\N
599033	2038	1996-05-31	VYDAJ	VYBER	15	28523	SLUZBY	\N	\N
599034	2038	1996-06-30	VYDAJ	VYBER	15	30396	SLUZBY	\N	\N
599035	2038	1996-07-31	VYDAJ	VYBER	15	27030	SLUZBY	\N	\N
599036	2038	1996-08-31	VYDAJ	VYBER	15	27514	SLUZBY	\N	\N
599037	2038	1996-09-30	VYDAJ	VYBER	15	27542	SLUZBY	\N	\N
599038	2038	1996-10-31	VYDAJ	VYBER	15	28427	SLUZBY	\N	\N
599039	2038	1996-11-30	VYDAJ	VYBER	15	29624	SLUZBY	\N	\N
599040	2038	1996-12-31	VYDAJ	VYBER	15	35205	SLUZBY	\N	\N
599041	2038	1997-01-31	VYDAJ	VYBER	15	26707	SLUZBY	\N	\N
599042	2038	1997-02-28	VYDAJ	VYBER	15	29136	SLUZBY	\N	\N
599043	2038	1997-03-31	VYDAJ	VYBER	15	29827	SLUZBY	\N	\N
599044	2038	1997-04-30	VYDAJ	VYBER	15	32767	SLUZBY	\N	\N
599045	2038	1997-05-31	VYDAJ	VYBER	15	34516	SLUZBY	\N	\N
599046	2038	1997-06-30	VYDAJ	VYBER	15	30423	SLUZBY	\N	\N
599047	2038	1997-07-31	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
599048	2038	1997-08-31	VYDAJ	VYBER	15	32205	SLUZBY	\N	\N
599049	2038	1997-09-30	VYDAJ	VYBER	15	34582	SLUZBY	\N	\N
599050	2038	1997-10-31	VYDAJ	VYBER	15	36342	SLUZBY	\N	\N
599051	2038	1997-11-30	VYDAJ	VYBER	15	34817	SLUZBY	\N	\N
599052	2038	1997-12-31	VYDAJ	VYBER	15	33963	SLUZBY	\N	\N
599053	2038	1998-01-31	VYDAJ	VYBER	15	29395	SLUZBY	\N	\N
599054	2038	1998-02-28	VYDAJ	VYBER	15	29381	SLUZBY	\N	\N
599055	2038	1998-03-31	VYDAJ	VYBER	15	28973	SLUZBY	\N	\N
599056	2038	1998-04-30	VYDAJ	VYBER	15	32612	SLUZBY	\N	\N
599057	2038	1998-05-31	VYDAJ	VYBER	15	34161	SLUZBY	\N	\N
599058	2038	1998-06-30	VYDAJ	VYBER	15	36251	SLUZBY	\N	\N
599059	2038	1998-07-31	VYDAJ	VYBER	15	31941	SLUZBY	\N	\N
599060	2038	1998-08-31	VYDAJ	VYBER	15	34086	SLUZBY	\N	\N
599061	2038	1998-09-30	VYDAJ	VYBER	15	36805	SLUZBY	\N	\N
599062	2038	1998-10-31	VYDAJ	VYBER	15	42481	SLUZBY	\N	\N
599063	2038	1998-11-30	VYDAJ	VYBER	15	31522	SLUZBY	\N	\N
599064	2038	1993-09-05	PRIJEM	VKLAD	7600	8500	\N	\N	\N
599065	2038	1993-10-05	PRIJEM	VKLAD	4700	18694	\N	\N	\N
599066	2038	1993-11-04	VYDAJ	VYBER	1800	22429	\N	\N	\N
599067	2038	1993-12-04	VYDAJ	VYBER	1100	26903	\N	\N	\N
599068	2038	1994-01-03	VYDAJ	VYBER	5100	30140	\N	\N	\N
599069	2038	1994-02-02	VYDAJ	VYBER	2700	27943	\N	\N	\N
599070	2038	1994-03-04	VYDAJ	VYBER	3800	26076	\N	\N	\N
599071	2038	1994-04-03	VYDAJ	VYBER	3300	24702	\N	\N	\N
599072	2038	1994-05-03	PRIJEM	VKLAD	900	27524	\N	\N	\N
599073	2038	1994-06-02	VYDAJ	VYBER	100	29356	\N	\N	\N
599074	2038	1994-07-02	VYDAJ	VYBER	1600	25394	\N	\N	\N
599075	2038	1994-08-01	PRIJEM	VKLAD	900	28218	\N	\N	\N
599076	2038	1994-08-31	VYDAJ	VYBER	1500	26246	\N	\N	\N
599077	2038	1994-09-30	VYDAJ	VYBER	300	27889	\N	\N	\N
599078	2038	1994-10-30	VYDAJ	VYBER	4100	25595	\N	\N	\N
599079	2038	1994-11-29	PRIJEM	VKLAD	200	27728	\N	\N	\N
599080	2038	1995-01-28	PRIJEM	VKLAD	1700	28364	\N	\N	\N
599081	2038	1995-02-27	VYDAJ	VYBER	600	29686	\N	\N	\N
599082	2038	1995-03-29	VYDAJ	VYBER	800	25420	\N	\N	\N
599083	2038	1995-04-28	VYDAJ	VYBER	1100	26252	\N	\N	\N
599084	2038	1995-05-28	VYDAJ	VYBER	4000	24173	\N	\N	\N
599085	2038	1995-06-27	VYDAJ	VYBER	3000	24869	\N	\N	\N
599086	2038	1995-07-27	VYDAJ	VYBER	600	26189	\N	\N	\N
599087	2038	1995-08-26	VYDAJ	VYBER	100	26687	\N	\N	\N
599088	2038	1995-09-25	VYDAJ	VYBER	2900	25708	\N	\N	\N
599089	2038	1995-10-25	PRIJEM	VKLAD	4700	27052	\N	\N	\N
599090	2038	1995-11-24	PRIJEM	VKLAD	500	29470	\N	\N	\N
599091	2038	1995-12-24	VYDAJ	VYBER	4200	28169	\N	\N	\N
599092	2038	1996-01-23	PRIJEM	VKLAD	4400	25868	\N	\N	\N
599093	2038	1996-02-22	PRIJEM	VKLAD	3700	28357	\N	\N	\N
599094	2038	1996-03-23	PRIJEM	VKLAD	100	24494	\N	\N	\N
599095	2038	1996-04-22	VYDAJ	VYBER	1400	25006	\N	\N	\N
599096	2038	1996-05-22	PRIJEM	VKLAD	1500	28423	\N	\N	\N
599097	2038	1996-06-21	VYDAJ	VYBER	2800	30275	\N	\N	\N
599098	2038	1996-07-21	VYDAJ	VYBER	1100	26917	\N	\N	\N
599099	2038	1996-08-20	PRIJEM	VKLAD	600	27411	\N	\N	\N
599100	2038	1996-09-19	VYDAJ	VYBER	1900	27435	\N	\N	\N
599101	2038	1996-10-19	VYDAJ	VYBER	200	28323	\N	\N	\N
599102	2038	1996-11-18	PRIJEM	VKLAD	4300	34548	\N	\N	\N
599103	2038	1996-12-18	PRIJEM	VKLAD	1700	35076	\N	\N	\N
599104	2038	1997-01-17	PRIJEM	VKLAD	2200	33946	\N	\N	\N
599105	2038	1997-02-16	PRIJEM	VKLAD	500	29028	\N	\N	\N
599106	2038	1997-03-18	VYDAJ	VYBER	400	29717	\N	\N	\N
599107	2038	1997-04-17	PRIJEM	VKLAD	1000	32648	\N	\N	\N
599108	2038	1997-05-17	VYDAJ	VYBER	200	34388	\N	\N	\N
599109	2038	1997-06-16	PRIJEM	VKLAD	8200	30308	\N	\N	\N
599110	2038	1997-07-16	PRIJEM	VKLAD	3000	35244	\N	\N	\N
599111	2038	1997-08-15	VYDAJ	VYBER	2600	34593	\N	\N	\N
599112	2038	1997-09-14	PRIJEM	VKLAD	2700	38306	\N	\N	\N
599113	2038	1997-10-14	VYDAJ	VYBER	200	37783	\N	\N	\N
599114	2038	1997-11-13	VYDAJ	VYBER	2400	37343	\N	\N	\N
599115	2038	1997-12-13	VYDAJ	VYBER	1700	39249	\N	\N	\N
599116	2038	1998-01-12	PRIJEM	VKLAD	1800	39164	\N	\N	\N
599117	2038	1998-02-11	PRIJEM	VKLAD	3800	36596	\N	\N	\N
599118	2038	1998-03-13	PRIJEM	VKLAD	2700	35482	\N	\N	\N
599119	2038	1998-04-12	PRIJEM	VKLAD	1700	34074	\N	\N	\N
599120	2038	1998-05-12	VYDAJ	VYBER	400	35613	\N	\N	\N
599121	2038	1998-06-11	VYDAJ	VYBER	2600	37693	\N	\N	\N
599122	2038	1998-07-11	VYDAJ	VYBER	3500	36152	\N	\N	\N
599123	2038	1998-08-10	PRIJEM	VKLAD	200	35542	\N	\N	\N
599124	2038	1998-09-09	PRIJEM	VKLAD	2200	39687	\N	\N	\N
599125	2038	1998-10-09	PRIJEM	VKLAD	3700	43906	\N	\N	\N
599126	2038	1998-11-08	VYDAJ	VYBER	3200	42682	\N	\N	\N
599127	2038	1998-12-08	PRIJEM	VKLAD	8000	42494	\N	\N	\N
599192	2039	1993-03-12	PRIJEM	VKLAD	300	300	\N	\N	\N
599193	2039	1993-10-02	PRIJEM	VKLAD	34564	58264	\N	\N	\N
599195	2039	1994-12-29	PRIJEM	VKLAD	42133	70827	\N	\N	\N
599196	2039	1994-04-13	PRIJEM	VKLAD	49264	77469	\N	\N	\N
599197	2039	1995-12-11	PRIJEM	VKLAD	14930	45353	\N	\N	\N
599198	2039	1995-05-11	PRIJEM	VKLAD	43243	73543	\N	\N	\N
599199	2039	1996-03-27	PRIJEM	VKLAD	45982	89782	\N	\N	\N
599200	2039	1996-02-17	PRIJEM	VKLAD	33891	65969	\N	\N	\N
599201	2039	1997-09-20	PRIJEM	VKLAD	2424	38754	\N	\N	\N
599202	2039	1997-06-16	PRIJEM	VKLAD	7428	25556	\N	\N	\N
599203	2039	1998-04-29	PRIJEM	VKLAD	30253	71135	\N	\N	\N
599204	2039	1998-10-12	PRIJEM	VKLAD	11811	46874	\N	\N	\N
599208	2039	1996-06-13	VYDAJ	VYBER	12000	36970	\N	\N	\N
599209	2039	1997-06-06	VYDAJ	VYBER	20200	18128	\N	\N	\N
599210	2039	1998-06-01	VYDAJ	VYBER	4800	51077	\N	\N	\N
599214	2039	1996-01-12	VYDAJ	VYBER	5600	34241	\N	\N	\N
599215	2039	1997-01-25	VYDAJ	VYBER KARTOU	1600	32417	\N	\N	0
599216	2039	1998-01-14	VYDAJ	VYBER KARTOU	2600	37647	\N	\N	0
599220	2039	1996-06-20	VYDAJ	VYBER	17800	19170	\N	\N	\N
599221	2039	1997-06-20	VYDAJ	VYBER	14700	18556	\N	\N	\N
599222	2039	1998-06-21	VYDAJ	VYBER	22700	23277	\N	\N	\N
599226	2039	1996-01-30	VYDAJ	VYBER KARTOU	1500	31941	\N	\N	0
599227	2039	1997-01-28	VYDAJ	VYBER	7500	24417	\N	\N	\N
599228	2039	1998-01-15	VYDAJ	VYBER	4100	38847	\N	\N	\N
599231	2039	1995-12-18	VYDAJ	VYBER KARTOU	1200	44153	\N	\N	0
599232	2039	1996-12-27	VYDAJ	VYBER KARTOU	2900	34575	\N	\N	0
599233	2039	1997-12-10	VYDAJ	VYBER KARTOU	2500	39285	\N	\N	0
599234	2039	1998-12-05	VYDAJ	VYBER KARTOU	900	32751	\N	\N	0
599253	2039	1996-01-26	VYDAJ	VYBER KARTOU	1200	34941	\N	\N	0
599254	2039	1996-01-08	VYDAJ	VYBER KARTOU	1300	39841	\N	\N	0
599255	2039	1996-01-28	VYDAJ	VYBER KARTOU	500	34441	\N	\N	0
599256	2039	1996-01-29	VYDAJ	VYBER KARTOU	1000	33441	\N	\N	0
599257	2039	1996-01-01	VYDAJ	VYBER KARTOU	1300	41141	\N	\N	0
599258	2039	1996-01-19	VYDAJ	VYBER KARTOU	1000	33241	\N	\N	0
599259	2039	1997-01-21	VYDAJ	VYBER KARTOU	800	34017	\N	\N	0
599260	2039	1997-01-30	VYDAJ	VYBER KARTOU	900	22317	\N	\N	0
599261	2039	1997-01-02	VYDAJ	VYBER KARTOU	1300	33417	\N	\N	0
599262	2039	1997-01-16	VYDAJ	VYBER KARTOU	1200	32217	\N	\N	0
599263	2039	1997-01-30	VYDAJ	VYBER KARTOU	1200	23217	\N	\N	0
599264	2039	1997-01-26	VYDAJ	VYBER KARTOU	500	31917	\N	\N	0
599265	2039	1998-01-22	VYDAJ	VYBER KARTOU	700	37847	\N	\N	0
599266	2039	1998-01-12	VYDAJ	VYBER KARTOU	1200	40247	\N	\N	0
599267	2039	1998-01-14	VYDAJ	VYBER KARTOU	900	36747	\N	\N	0
599268	2039	1998-01-05	VYDAJ	VYBER KARTOU	500	41447	\N	\N	0
599269	2039	1998-01-19	VYDAJ	VYBER KARTOU	300	38547	\N	\N	0
599270	2039	1998-01-04	VYDAJ	VYBER KARTOU	1500	41947	\N	\N	0
599285	2039	1996-09-26	VYDAJ	VYBER KARTOU	700	37554	\N	\N	0
599286	2039	1996-04-22	VYDAJ	VYBER KARTOU	1300	88701	\N	\N	0
599287	2039	1996-08-04	VYDAJ	VYBER KARTOU	1500	33122	\N	\N	0
599288	2039	1996-01-26	VYDAJ	VYBER KARTOU	600	36141	\N	\N	0
599289	2039	1997-02-14	VYDAJ	VYBER KARTOU	300	22137	\N	\N	0
599290	2039	1997-03-05	VYDAJ	VYBER KARTOU	600	28225	\N	\N	0
599291	2039	1997-08-23	VYDAJ	VYBER KARTOU	2000	32028	\N	\N	0
599292	2039	1997-09-14	VYDAJ	VYBER KARTOU	1900	28930	\N	\N	0
599293	2039	1997-02-21	VYDAJ	VYBER KARTOU	1400	28737	\N	\N	0
599294	2039	1997-09-12	VYDAJ	VYBER KARTOU	1300	30830	\N	\N	0
599295	2039	1997-12-17	VYDAJ	VYBER KARTOU	1200	43285	\N	\N	0
599296	2039	1998-02-18	VYDAJ	VYBER KARTOU	1500	37299	\N	\N	0
599297	2039	1998-10-13	VYDAJ	VYBER KARTOU	2300	37674	\N	\N	0
599298	2039	1998-06-22	VYDAJ	VYBER KARTOU	600	22677	\N	\N	0
599335	2039	1995-12-31	VYDAJ	VYBER	15	42441	SLUZBY	\N	\N
599336	2039	1996-01-31	VYDAJ	VYBER	15	32078	SLUZBY	\N	\N
599337	2039	1996-02-29	VYDAJ	VYBER	15	49700	SLUZBY	\N	\N
599338	2039	1996-03-31	VYDAJ	VYBER	15	90001	SLUZBY	\N	\N
599339	2039	1996-04-30	VYDAJ	VYBER	15	60335	SLUZBY	\N	\N
599340	2039	1996-05-31	VYDAJ	VYBER	15	48970	SLUZBY	\N	\N
599341	2039	1996-06-30	VYDAJ	VYBER	15	27721	SLUZBY	\N	\N
599342	2039	1996-07-31	VYDAJ	VYBER	15	34622	SLUZBY	\N	\N
599343	2039	1996-08-31	VYDAJ	VYBER	15	37554	SLUZBY	\N	\N
599344	2039	1996-09-30	VYDAJ	VYBER	15	37695	SLUZBY	\N	\N
599345	2039	1996-10-31	VYDAJ	VYBER	15	36937	SLUZBY	\N	\N
599346	2039	1996-11-30	VYDAJ	VYBER	15	38475	SLUZBY	\N	\N
599347	2039	1996-12-31	VYDAJ	VYBER	15	34717	SLUZBY	\N	\N
599348	2039	1997-01-31	VYDAJ	VYBER	15	22437	SLUZBY	\N	\N
599349	2039	1997-02-28	VYDAJ	VYBER	15	28825	SLUZBY	\N	\N
599350	2039	1997-03-31	VYDAJ	VYBER	15	37442	SLUZBY	\N	\N
599351	2039	1997-04-30	VYDAJ	VYBER	15	38583	SLUZBY	\N	\N
599352	2039	1997-05-31	VYDAJ	VYBER	15	38328	SLUZBY	\N	\N
599353	2039	1997-06-30	VYDAJ	VYBER	15	18664	SLUZBY	\N	\N
599354	2039	1997-07-31	VYDAJ	VYBER	15	26828	SLUZBY	\N	\N
599355	2039	1997-08-31	VYDAJ	VYBER	15	32130	SLUZBY	\N	\N
599356	2039	1997-09-30	VYDAJ	VYBER	15	38883	SLUZBY	\N	\N
599357	2039	1997-10-31	VYDAJ	VYBER	15	41229	SLUZBY	\N	\N
599358	2039	1997-11-30	VYDAJ	VYBER	15	41785	SLUZBY	\N	\N
599359	2039	1997-12-31	VYDAJ	VYBER	15	43447	SLUZBY	\N	\N
599360	2039	1998-01-31	VYDAJ	VYBER	15	37999	SLUZBY	\N	\N
599361	2039	1998-02-28	VYDAJ	VYBER	15	37441	SLUZBY	\N	\N
599362	2039	1998-03-31	VYDAJ	VYBER	15	40682	SLUZBY	\N	\N
599363	2039	1998-04-30	VYDAJ	VYBER	15	71298	SLUZBY	\N	\N
599364	2039	1998-05-31	VYDAJ	VYBER	15	55877	SLUZBY	\N	\N
599365	2039	1998-06-30	VYDAJ	VYBER	15	22838	SLUZBY	\N	\N
599366	2039	1998-07-31	VYDAJ	VYBER	15	30918	SLUZBY	\N	\N
599367	2039	1998-08-31	VYDAJ	VYBER	15	35332	SLUZBY	\N	\N
599368	2039	1998-09-30	VYDAJ	VYBER	15	35063	SLUZBY	\N	\N
599369	2039	1998-10-31	VYDAJ	VYBER	15	37811	SLUZBY	\N	\N
599370	2039	1998-11-30	VYDAJ	VYBER	15	33651	SLUZBY	\N	\N
599371	2039	1993-04-11	PRIJEM	VKLAD	13700	14000	\N	\N	\N
599372	2039	1993-05-11	PRIJEM	VKLAD	7100	21100	\N	\N	\N
599373	2039	1993-06-10	PRIJEM	VKLAD	1800	22900	\N	\N	\N
599374	2039	1993-07-10	PRIJEM	VKLAD	2300	25200	\N	\N	\N
599375	2039	1993-08-09	VYDAJ	VYBER	1700	23500	\N	\N	\N
599376	2039	1993-09-08	PRIJEM	VKLAD	200	23700	\N	\N	\N
599377	2039	1993-10-08	VYDAJ	VYBER	15000	43264	\N	\N	\N
599378	2039	1993-11-07	VYDAJ	VYBER	9900	33504	\N	\N	\N
599379	2039	1993-12-07	VYDAJ	VYBER	3000	30684	\N	\N	\N
599380	2039	1994-01-06	VYDAJ	VYBER	2500	28364	\N	\N	\N
599381	2039	1994-02-05	VYDAJ	VYBER	2600	25944	\N	\N	\N
599382	2039	1994-03-07	PRIJEM	VKLAD	1200	27325	\N	\N	\N
599383	2039	1994-04-06	PRIJEM	VKLAD	700	28205	\N	\N	\N
599384	2039	1994-05-06	VYDAJ	VYBER	24700	53035	\N	\N	\N
599385	2039	1994-06-05	VYDAJ	VYBER	12300	41057	\N	\N	\N
599386	2039	1994-07-05	VYDAJ	VYBER	9700	31680	\N	\N	\N
599387	2039	1994-08-04	VYDAJ	VYBER	5200	26803	\N	\N	\N
599388	2039	1994-09-03	PRIJEM	VKLAD	1100	28226	\N	\N	\N
599389	2039	1994-10-03	VYDAJ	VYBER KARTOU	100	28449	\N	\N	0
599390	2039	1994-11-02	PRIJEM	VKLAD	600	29371	\N	\N	\N
599391	2039	1994-12-02	VYDAJ	VYBER KARTOU	1000	28694	\N	\N	0
599392	2039	1995-01-01	VYDAJ	VYBER	18000	53147	\N	\N	\N
599393	2039	1995-01-31	VYDAJ	VYBER	10000	43439	\N	\N	\N
599394	2039	1995-03-02	VYDAJ	VYBER	6900	36539	\N	\N	\N
599395	2039	1995-04-01	VYDAJ	VYBER KARTOU	1900	34819	\N	\N	0
599396	2039	1995-05-01	VYDAJ	VYBER	4700	30300	\N	\N	\N
599397	2039	1995-05-31	VYDAJ	VYBER	21000	52806	\N	\N	\N
599398	2039	1995-06-30	VYDAJ	VYBER	11800	41225	\N	\N	\N
599399	2039	1995-07-30	VYDAJ	VYBER	7200	34025	\N	\N	\N
599400	2039	1995-08-29	VYDAJ	VYBER KARTOU	800	33445	\N	\N	0
599401	2039	1995-09-28	VYDAJ	VYBER KARTOU	3600	30065	\N	\N	0
599402	2039	1995-10-28	VYDAJ	VYBER KARTOU	1700	28584	\N	\N	0
599403	2039	1995-11-27	PRIJEM	VKLAD	1400	30204	\N	\N	\N
599404	2039	1995-12-27	VYDAJ	VYBER KARTOU	1900	42253	\N	\N	0
599405	2039	1996-01-26	PRIJEM	VKLAD	3500	36741	\N	\N	\N
599406	2039	1996-02-25	VYDAJ	VYBER	16400	49569	\N	\N	\N
599407	2039	1996-03-26	VYDAJ	VYBER	5900	43800	\N	\N	\N
599408	2039	1996-04-25	VYDAJ	VYBER	28700	60001	\N	\N	\N
599409	2039	1996-05-25	VYDAJ	VYBER	11600	48735	\N	\N	\N
599410	2039	1996-06-24	PRIJEM	VKLAD	8400	27570	\N	\N	\N
599411	2039	1996-07-24	PRIJEM	VKLAD	6800	34521	\N	\N	\N
599412	2039	1996-08-23	PRIJEM	VKLAD	4300	37422	\N	\N	\N
599413	2039	1996-09-22	PRIJEM	VKLAD	700	38254	\N	\N	\N
599414	2039	1996-10-22	VYDAJ	VYBER KARTOU	900	36795	\N	\N	0
599415	2039	1996-11-21	PRIJEM	VKLAD	1400	38337	\N	\N	\N
599416	2039	1996-12-21	VYDAJ	VYBER KARTOU	1000	37475	\N	\N	0
599417	2039	1997-01-20	PRIJEM	VKLAD	2600	34817	\N	\N	\N
599418	2039	1997-02-19	PRIJEM	VKLAD	8000	30137	\N	\N	\N
599419	2039	1997-03-21	PRIJEM	VKLAD	9100	37325	\N	\N	\N
599420	2039	1997-04-20	PRIJEM	VKLAD	1000	38442	\N	\N	\N
599421	2039	1997-05-20	VYDAJ	VYBER KARTOU	400	38183	\N	\N	0
599422	2039	1997-06-19	PRIJEM	VKLAD	7700	33256	\N	\N	\N
599423	2039	1997-07-19	PRIJEM	VKLAD	8100	26764	\N	\N	\N
599424	2039	1997-08-18	PRIJEM	VKLAD	7200	34028	\N	\N	\N
599425	2039	1997-09-17	PRIJEM	VKLAD	7400	36330	\N	\N	\N
599426	2039	1997-10-17	PRIJEM	VKLAD	2200	41083	\N	\N	\N
599427	2039	1997-11-16	PRIJEM	VKLAD	400	41629	\N	\N	\N
599428	2039	1997-12-16	PRIJEM	VKLAD	5200	44485	\N	\N	\N
599429	2039	1998-01-15	PRIJEM	VKLAD	6200	42947	\N	\N	\N
599430	2039	1998-02-14	PRIJEM	VKLAD	800	38799	\N	\N	\N
599431	2039	1998-03-16	PRIJEM	VKLAD	3100	40541	\N	\N	\N
599432	2039	1998-04-15	PRIJEM	VKLAD	200	40882	\N	\N	\N
599433	2039	1998-05-15	VYDAJ	VYBER	15700	55598	\N	\N	\N
599434	2039	1998-06-14	VYDAJ	VYBER	5100	45977	\N	\N	\N
599435	2039	1998-07-14	PRIJEM	VKLAD	8000	30838	\N	\N	\N
599436	2039	1998-08-13	PRIJEM	VKLAD	4300	35218	\N	\N	\N
599437	2039	1998-09-12	VYDAJ	VYBER KARTOU	400	34932	\N	\N	0
599438	2039	1998-10-12	VYDAJ	VYBER	6900	39974	\N	\N	\N
599439	2039	1998-11-11	VYDAJ	VYBER	4300	33511	\N	\N	\N
599501	2040	1996-06-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
599508	2040	1996-07-13	PRIJEM	VKLAD	7893	8993	\N	\N	\N
599509	2040	1996-08-13	PRIJEM	VKLAD	7893	26003	\N	\N	\N
599510	2040	1996-09-13	PRIJEM	VKLAD	7893	34781	\N	\N	\N
599511	2040	1996-10-13	PRIJEM	VKLAD	7893	39090	\N	\N	\N
599512	2040	1996-11-13	PRIJEM	VKLAD	7893	39713	\N	\N	\N
599513	2040	1996-12-13	PRIJEM	VKLAD	11840	36293	\N	\N	\N
599514	2040	1997-01-13	PRIJEM	VKLAD	7893	35844	\N	\N	\N
599515	2040	1997-02-13	PRIJEM	VKLAD	7893	34099	\N	\N	\N
599516	2040	1997-03-13	PRIJEM	VKLAD	7893	33529	\N	\N	\N
599517	2040	1997-04-13	PRIJEM	VKLAD	7893	30172	\N	\N	\N
599518	2040	1997-05-13	PRIJEM	VKLAD	7893	25883	\N	\N	\N
599519	2040	1997-06-13	PRIJEM	VKLAD	11840	32451	\N	\N	\N
599520	2040	1997-07-13	PRIJEM	VKLAD	7893	30585	\N	\N	\N
599521	2040	1997-08-13	PRIJEM	VKLAD	7893	22095	\N	\N	\N
599522	2040	1997-09-13	PRIJEM	VKLAD	7893	28506	\N	\N	\N
599523	2040	1997-10-13	PRIJEM	VKLAD	7893	31136	\N	\N	\N
599524	2040	1997-11-13	PRIJEM	VKLAD	7893	34780	\N	\N	\N
599525	2040	1997-12-13	PRIJEM	VKLAD	11840	37735	\N	\N	\N
599526	2040	1998-01-13	PRIJEM	VKLAD	7893	36390	\N	\N	\N
599527	2040	1998-02-13	PRIJEM	VKLAD	7893	40256	\N	\N	\N
599528	2040	1998-03-13	PRIJEM	VKLAD	7893	37924	\N	\N	\N
599529	2040	1998-04-13	PRIJEM	VKLAD	7893	41095	\N	\N	\N
599530	2040	1998-05-13	PRIJEM	VKLAD	7893	45181	\N	\N	\N
599531	2040	1998-06-13	PRIJEM	VKLAD	11840	24231	\N	\N	\N
599532	2040	1998-07-13	PRIJEM	VKLAD	7893	39586	\N	\N	\N
599533	2040	1998-08-13	PRIJEM	VKLAD	7893	49478	\N	\N	\N
599534	2040	1998-09-13	PRIJEM	VKLAD	7893	48509	\N	\N	\N
599535	2040	1998-10-13	PRIJEM	VKLAD	7893	51294	\N	\N	\N
599536	2040	1998-11-13	PRIJEM	VKLAD	7893	62521	\N	\N	\N
599537	2040	1998-12-13	PRIJEM	VKLAD	11840	70435	\N	\N	\N
599549	2040	1996-12-07	VYDAJ	PREVOD NA UCET	5262	24453	SIPO	UV	19336450
599550	2040	1997-01-07	VYDAJ	PREVOD NA UCET	5262	27951	SIPO	UV	19336450
599551	2040	1997-02-07	VYDAJ	PREVOD NA UCET	5262	26206	SIPO	UV	19336450
599552	2040	1997-03-07	VYDAJ	PREVOD NA UCET	5262	25636	SIPO	UV	19336450
599553	2040	1997-04-07	VYDAJ	PREVOD NA UCET	5262	22279	SIPO	UV	19336450
599554	2040	1997-05-07	VYDAJ	PREVOD NA UCET	5262	19910	SIPO	UV	19336450
599555	2040	1997-06-07	VYDAJ	PREVOD NA UCET	5262	20612	SIPO	UV	19336450
599556	2040	1997-07-07	VYDAJ	PREVOD NA UCET	5262	22692	SIPO	UV	19336450
599557	2040	1997-08-07	VYDAJ	PREVOD NA UCET	5262	14202	SIPO	UV	19336450
599558	2040	1997-09-07	VYDAJ	PREVOD NA UCET	5262	20613	SIPO	UV	19336450
599559	2040	1997-10-07	VYDAJ	PREVOD NA UCET	5262	23243	SIPO	UV	19336450
599560	2040	1997-11-07	VYDAJ	PREVOD NA UCET	5262	26887	SIPO	UV	19336450
599561	2040	1997-12-07	VYDAJ	PREVOD NA UCET	5262	25896	SIPO	UV	19336450
599562	2040	1998-01-07	VYDAJ	PREVOD NA UCET	5262	28497	SIPO	UV	19336450
599563	2040	1998-02-07	VYDAJ	PREVOD NA UCET	5262	32363	SIPO	UV	19336450
599564	2040	1998-03-07	VYDAJ	PREVOD NA UCET	5262	30031	SIPO	UV	19336450
599565	2040	1998-04-07	VYDAJ	PREVOD NA UCET	5262	33202	SIPO	UV	19336450
599566	2040	1998-05-07	VYDAJ	PREVOD NA UCET	5262	37288	SIPO	UV	19336450
599567	2040	1998-06-07	VYDAJ	PREVOD NA UCET	5262	12392	SIPO	UV	19336450
599568	2040	1998-07-07	VYDAJ	PREVOD NA UCET	5262	31693	SIPO	UV	19336450
599569	2040	1998-08-07	VYDAJ	PREVOD NA UCET	5262	41585	SIPO	UV	19336450
599570	2040	1998-09-07	VYDAJ	PREVOD NA UCET	5262	39216	SIPO	UV	19336450
599571	2040	1998-10-07	VYDAJ	PREVOD NA UCET	5262	43401	SIPO	UV	19336450
599572	2040	1998-11-07	VYDAJ	PREVOD NA UCET	5262	52628	SIPO	UV	19336450
599573	2040	1998-12-07	VYDAJ	PREVOD NA UCET	5262	57496	SIPO	UV	19336450
599576	2040	1998-06-06	VYDAJ	VYBER	29600	17654	\N	\N	\N
599577	2040	1996-12-01	VYDAJ	VYBER	3360	31875	\N	\N	\N
599578	2040	1997-12-18	VYDAJ	VYBER	800	33635	\N	\N	\N
599579	2040	1998-12-12	VYDAJ	VYBER KARTOU	800	58596	\N	\N	0
599581	2040	1996-12-05	VYDAJ	VYBER	2160	29715	\N	\N	\N
599584	2040	1997-05-12	VYDAJ	VYBER	1920	17990	\N	\N	\N
599585	2040	1997-08-04	VYDAJ	VYBER	5520	19464	\N	\N	\N
599586	2040	1997-02-23	VYDAJ	VYBER	720	30779	\N	\N	\N
599587	2040	1997-11-15	VYDAJ	VYBER	840	33940	\N	\N	\N
599588	2040	1998-08-22	VYDAJ	VYBER	5280	44298	\N	\N	\N
599589	2040	1998-12-19	VYDAJ	VYBER KARTOU	3400	67035	\N	\N	0
599590	2040	1998-09-08	VYDAJ	VYBER	5400	33816	\N	\N	\N
599602	2040	1996-11-30	VYDAJ	VYBER	15	35235	SLUZBY	\N	\N
599603	2040	1996-12-31	VYDAJ	VYBER	15	33213	SLUZBY	\N	\N
599604	2040	1997-01-31	VYDAJ	VYBER	15	31468	SLUZBY	\N	\N
599605	2040	1997-02-28	VYDAJ	VYBER	15	30898	SLUZBY	\N	\N
599606	2040	1997-03-31	VYDAJ	VYBER	15	27541	SLUZBY	\N	\N
599607	2040	1997-04-30	VYDAJ	VYBER	15	25172	SLUZBY	\N	\N
599608	2040	1997-05-31	VYDAJ	VYBER	15	25874	SLUZBY	\N	\N
599609	2040	1997-06-30	VYDAJ	VYBER	15	27954	SLUZBY	\N	\N
599610	2040	1997-07-31	VYDAJ	VYBER	15	24984	SLUZBY	\N	\N
599611	2040	1997-08-31	VYDAJ	VYBER	15	25875	SLUZBY	\N	\N
599612	2040	1997-09-30	VYDAJ	VYBER	15	28505	SLUZBY	\N	\N
599613	2040	1997-10-31	VYDAJ	VYBER	15	32149	SLUZBY	\N	\N
599614	2040	1997-11-30	VYDAJ	VYBER	15	31158	SLUZBY	\N	\N
599615	2040	1997-12-31	VYDAJ	VYBER	15	33759	SLUZBY	\N	\N
599616	2040	1998-01-31	VYDAJ	VYBER	15	37625	SLUZBY	\N	\N
599617	2040	1998-02-28	VYDAJ	VYBER	15	35293	SLUZBY	\N	\N
599618	2040	1998-03-31	VYDAJ	VYBER	15	38464	SLUZBY	\N	\N
599619	2040	1998-04-30	VYDAJ	VYBER	15	42550	SLUZBY	\N	\N
599620	2040	1998-05-31	VYDAJ	VYBER	15	47254	SLUZBY	\N	\N
599621	2040	1998-06-30	VYDAJ	VYBER	15	36955	SLUZBY	\N	\N
599622	2040	1998-07-31	VYDAJ	VYBER	15	46847	SLUZBY	\N	\N
599623	2040	1998-08-31	VYDAJ	VYBER	15	44478	SLUZBY	\N	\N
599624	2040	1998-09-30	VYDAJ	VYBER	15	48663	SLUZBY	\N	\N
599625	2040	1998-10-31	VYDAJ	VYBER	15	57890	SLUZBY	\N	\N
599626	2040	1998-11-30	VYDAJ	VYBER	15	62758	SLUZBY	\N	\N
599627	2040	1996-07-25	PRIJEM	VKLAD	9100	18093	\N	\N	\N
599628	2040	1996-08-24	PRIJEM	VKLAD	800	26803	\N	\N	\N
599629	2040	1996-09-23	VYDAJ	VYBER	3700	31081	\N	\N	\N
599630	2040	1996-10-23	VYDAJ	VYBER	7400	31690	\N	\N	\N
599631	2040	1996-11-22	VYDAJ	VYBER	4600	35113	\N	\N	\N
599632	2040	1996-12-22	VYDAJ	VYBER	3200	33093	\N	\N	\N
599633	2040	1997-01-21	VYDAJ	VYBER	4500	31344	\N	\N	\N
599634	2040	1997-02-20	VYDAJ	VYBER	2600	31499	\N	\N	\N
599635	2040	1997-03-22	VYDAJ	VYBER	6100	27429	\N	\N	\N
599636	2040	1997-04-21	VYDAJ	VYBER	5100	25072	\N	\N	\N
599637	2040	1997-05-21	VYDAJ	VYBER	100	25783	\N	\N	\N
599638	2040	1997-06-20	VYDAJ	VYBER	4600	27851	\N	\N	\N
599639	2040	1997-07-20	VYDAJ	VYBER	5700	24885	\N	\N	\N
599640	2040	1997-08-19	PRIJEM	VKLAD	3700	25795	\N	\N	\N
599641	2040	1997-09-18	VYDAJ	VYBER	100	28406	\N	\N	\N
599642	2040	1997-10-18	PRIJEM	VKLAD	900	32036	\N	\N	\N
599643	2040	1997-11-17	VYDAJ	VYBER	2900	31040	\N	\N	\N
599644	2040	1997-12-17	VYDAJ	VYBER	3300	34435	\N	\N	\N
599645	2040	1998-01-16	PRIJEM	VKLAD	1100	37490	\N	\N	\N
599646	2040	1998-02-15	VYDAJ	VYBER	5100	35156	\N	\N	\N
599647	2040	1998-03-17	PRIJEM	VKLAD	400	38324	\N	\N	\N
599648	2040	1998-04-16	PRIJEM	VKLAD	1300	42395	\N	\N	\N
599649	2040	1998-05-16	PRIJEM	VKLAD	1900	47081	\N	\N	\N
599650	2040	1998-06-15	PRIJEM	VKLAD	12600	36831	\N	\N	\N
599651	2040	1998-07-15	PRIJEM	VKLAD	7100	46686	\N	\N	\N
599652	2040	1998-08-14	PRIJEM	VKLAD	100	49578	\N	\N	\N
599653	2040	1998-09-13	PRIJEM	VKLAD	6800	40616	\N	\N	\N
599654	2040	1998-10-13	PRIJEM	VKLAD	6400	57694	\N	\N	\N
599655	2040	1998-11-12	PRIJEM	VKLAD	2000	54628	\N	\N	\N
599656	2040	1998-12-12	PRIJEM	VKLAD	1900	59396	\N	\N	\N
599687	2041	1995-07-05	PRIJEM	VKLAD	600	600	\N	\N	\N
599694	2041	1995-07-08	PRIJEM	VKLAD	4631	5231	\N	\N	\N
599695	2041	1995-08-08	PRIJEM	VKLAD	4631	20179	\N	\N	\N
599696	2041	1995-09-08	PRIJEM	VKLAD	4631	28280	\N	\N	\N
599697	2041	1995-10-08	PRIJEM	VKLAD	4631	30721	\N	\N	\N
599698	2041	1995-11-08	PRIJEM	VKLAD	4631	33378	\N	\N	\N
599699	2041	1995-12-08	PRIJEM	VKLAD	6947	40146	\N	\N	\N
599700	2041	1996-01-08	PRIJEM	VKLAD	4631	35183	\N	\N	\N
599701	2041	1996-02-08	PRIJEM	VKLAD	4631	28999	\N	\N	\N
599702	2041	1996-03-08	PRIJEM	VKLAD	4631	31718	\N	\N	\N
599703	2041	1996-04-08	PRIJEM	VKLAD	4631	34063	\N	\N	\N
599704	2041	1996-05-08	PRIJEM	VKLAD	4631	34102	\N	\N	\N
599705	2041	1996-06-08	PRIJEM	VKLAD	6947	39858	\N	\N	\N
599706	2041	1996-07-08	PRIJEM	VKLAD	4631	39812	\N	\N	\N
599707	2041	1996-08-08	PRIJEM	VKLAD	4631	38174	\N	\N	\N
599708	2041	1996-09-08	PRIJEM	VKLAD	4631	35128	\N	\N	\N
599709	2041	1996-10-08	PRIJEM	VKLAD	4631	27271	\N	\N	\N
599710	2041	1996-11-08	PRIJEM	VKLAD	4631	23176	\N	\N	\N
599711	2041	1996-12-08	PRIJEM	VKLAD	6947	29001	\N	\N	\N
599712	2041	1997-01-08	PRIJEM	VKLAD	4631	19865	\N	\N	\N
599713	2041	1997-02-08	PRIJEM	VKLAD	4631	20458	\N	\N	\N
599714	2041	1997-03-08	PRIJEM	VKLAD	4631	28146	\N	\N	\N
599715	2041	1997-04-08	PRIJEM	VKLAD	4631	33564	\N	\N	\N
599716	2041	1997-05-08	PRIJEM	VKLAD	4631	30500	\N	\N	\N
599717	2041	1997-06-08	PRIJEM	VKLAD	6947	36755	\N	\N	\N
599718	2041	1997-07-08	PRIJEM	VKLAD	4631	35996	\N	\N	\N
599719	2041	1997-08-08	PRIJEM	VKLAD	4631	35742	\N	\N	\N
599720	2041	1997-09-08	PRIJEM	VKLAD	4631	36188	\N	\N	\N
599721	2041	1997-10-08	PRIJEM	VKLAD	4631	37137	\N	\N	\N
599722	2041	1997-11-08	PRIJEM	VKLAD	4631	35787	\N	\N	\N
599723	2041	1997-12-08	PRIJEM	VKLAD	6947	41953	\N	\N	\N
599724	2041	1998-01-08	PRIJEM	VKLAD	4631	34619	\N	\N	\N
599725	2041	1998-02-08	PRIJEM	VKLAD	4631	27610	\N	\N	\N
599726	2041	1998-03-08	PRIJEM	VKLAD	4631	38651	\N	\N	\N
599727	2041	1998-04-08	PRIJEM	VKLAD	4631	43015	\N	\N	\N
599728	2041	1998-05-08	PRIJEM	VKLAD	4631	44532	\N	\N	\N
599729	2041	1998-06-08	PRIJEM	VKLAD	6947	51537	\N	\N	\N
599730	2041	1998-07-08	PRIJEM	VKLAD	4631	54146	\N	\N	\N
599731	2041	1998-08-08	PRIJEM	VKLAD	4631	56571	\N	\N	\N
599732	2041	1998-09-08	PRIJEM	VKLAD	4631	52996	\N	\N	\N
599733	2041	1998-10-08	PRIJEM	VKLAD	4631	50206	\N	\N	\N
599734	2041	1998-11-08	PRIJEM	VKLAD	4631	48147	\N	\N	\N
599735	2041	1998-12-08	PRIJEM	VKLAD	6947	61181	\N	\N	\N
599741	2041	1996-01-19	VYDAJ	VYBER	7040	24543	\N	\N	\N
599743	2041	1998-01-07	VYDAJ	VYBER	7040	29988	\N	\N	\N
599744	2041	1995-12-29	VYDAJ	VYBER	800	39346	\N	\N	\N
599745	2041	1996-12-07	VYDAJ	VYBER	960	22055	\N	\N	\N
599746	2041	1997-12-19	VYDAJ	VYBER	960	40993	\N	\N	\N
599747	2041	1998-12-19	VYDAJ	VYBER KARTOU	3700	57681	\N	\N	0
599754	2041	1996-01-21	VYDAJ	VYBER	720	20943	\N	\N	\N
599755	2041	1996-01-14	VYDAJ	VYBER	2880	31583	\N	\N	\N
599756	2041	1996-01-07	VYDAJ	VYBER	2040	30552	\N	\N	\N
599757	2041	1996-01-25	VYDAJ	VYBER	3480	17463	\N	\N	\N
599758	2041	1996-01-20	VYDAJ	VYBER	2880	21663	\N	\N	\N
599759	2041	1996-01-10	VYDAJ	VYBER	720	34463	\N	\N	\N
599760	2041	1997-01-15	VYDAJ	VYBER	840	19025	\N	\N	\N
599761	2041	1997-01-26	VYDAJ	VYBER	2400	15765	\N	\N	\N
599762	2041	1997-01-16	VYDAJ	VYBER	1080	17945	\N	\N	\N
599764	2041	1997-01-04	VYDAJ	VYBER	3360	20634	\N	\N	\N
599765	2041	1997-01-24	VYDAJ	VYBER	2280	15665	\N	\N	\N
599766	2041	1998-01-17	VYDAJ	VYBER	1560	29459	\N	\N	\N
599767	2041	1998-01-22	VYDAJ	VYBER	3120	31139	\N	\N	\N
599768	2041	1998-01-12	VYDAJ	VYBER	2040	31979	\N	\N	\N
599769	2041	1998-01-26	VYDAJ	VYBER	2400	28739	\N	\N	\N
599770	2041	1998-01-17	VYDAJ	VYBER	960	31019	\N	\N	\N
599771	2041	1998-01-09	VYDAJ	VYBER	600	34019	\N	\N	\N
599780	2041	1996-10-03	VYDAJ	VYBER	5160	23480	\N	\N	\N
599781	2041	1996-11-06	VYDAJ	VYBER	5520	18545	\N	\N	\N
599782	2041	1996-12-16	VYDAJ	VYBER	2400	26601	\N	\N	\N
599783	2041	1996-10-03	VYDAJ	VYBER	840	22640	\N	\N	\N
599784	2041	1996-11-12	VYDAJ	VYBER	2040	21136	\N	\N	\N
599785	2041	1997-10-18	VYDAJ	VYBER	3000	34137	\N	\N	\N
599786	2041	1997-01-05	VYDAJ	VYBER	5400	15234	\N	\N	\N
599787	2041	1997-05-04	VYDAJ	VYBER	1800	25869	\N	\N	\N
599788	2041	1998-04-16	VYDAJ	VYBER	3960	39055	\N	\N	\N
599789	2041	1998-02-01	VYDAJ	VYBER	5880	22979	\N	\N	\N
599790	2041	1998-04-19	VYDAJ	VYBER	3600	35455	\N	\N	\N
599791	2041	1998-10-17	VYDAJ	VYBER KARTOU	3500	43346	\N	\N	0
599792	2041	1998-10-10	VYDAJ	VYBER	4560	45646	\N	\N	\N
599804	2041	1995-11-30	VYDAJ	VYBER	15	33499	SLUZBY	\N	\N
599805	2041	1995-12-31	VYDAJ	VYBER	15	39492	SLUZBY	\N	\N
599806	2041	1996-01-31	VYDAJ	VYBER	15	24368	SLUZBY	\N	\N
599807	2041	1996-02-29	VYDAJ	VYBER	15	29087	SLUZBY	\N	\N
599808	2041	1996-03-31	VYDAJ	VYBER	15	31832	SLUZBY	\N	\N
599809	2041	1996-04-30	VYDAJ	VYBER	15	29471	SLUZBY	\N	\N
599810	2041	1996-05-31	VYDAJ	VYBER	15	32911	SLUZBY	\N	\N
599811	2041	1996-06-30	VYDAJ	VYBER	15	35181	SLUZBY	\N	\N
599812	2041	1996-07-31	VYDAJ	VYBER	15	33543	SLUZBY	\N	\N
599813	2041	1996-08-31	VYDAJ	VYBER	15	30497	SLUZBY	\N	\N
599814	2041	1996-09-30	VYDAJ	VYBER	15	28640	SLUZBY	\N	\N
599815	2041	1996-10-31	VYDAJ	VYBER	15	24065	SLUZBY	\N	\N
599816	2041	1996-11-30	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
599817	2041	1996-12-31	VYDAJ	VYBER	15	23994	SLUZBY	\N	\N
599818	2041	1997-01-31	VYDAJ	VYBER	15	15827	SLUZBY	\N	\N
599819	2041	1997-02-28	VYDAJ	VYBER	15	23515	SLUZBY	\N	\N
599820	2041	1997-03-31	VYDAJ	VYBER	15	28933	SLUZBY	\N	\N
599821	2041	1997-04-30	VYDAJ	VYBER	15	27669	SLUZBY	\N	\N
599822	2041	1997-05-31	VYDAJ	VYBER	15	29808	SLUZBY	\N	\N
599823	2041	1997-06-30	VYDAJ	VYBER	15	31365	SLUZBY	\N	\N
599824	2041	1997-07-31	VYDAJ	VYBER	15	31111	SLUZBY	\N	\N
599825	2041	1997-08-31	VYDAJ	VYBER	15	31557	SLUZBY	\N	\N
599826	2041	1997-09-30	VYDAJ	VYBER	15	32506	SLUZBY	\N	\N
599827	2041	1997-10-31	VYDAJ	VYBER	15	31156	SLUZBY	\N	\N
599828	2041	1997-11-30	VYDAJ	VYBER	15	35006	SLUZBY	\N	\N
599829	2041	1997-12-31	VYDAJ	VYBER	15	37028	SLUZBY	\N	\N
599830	2041	1998-01-31	VYDAJ	VYBER	15	28859	SLUZBY	\N	\N
599831	2041	1998-02-28	VYDAJ	VYBER	15	34020	SLUZBY	\N	\N
599832	2041	1998-03-31	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
599833	2041	1998-04-30	VYDAJ	VYBER	15	39901	SLUZBY	\N	\N
599834	2041	1998-05-31	VYDAJ	VYBER	15	44590	SLUZBY	\N	\N
599835	2041	1998-06-30	VYDAJ	VYBER	15	49515	SLUZBY	\N	\N
599836	2041	1998-07-31	VYDAJ	VYBER	15	51940	SLUZBY	\N	\N
599837	2041	1998-08-31	VYDAJ	VYBER	15	48365	SLUZBY	\N	\N
599838	2041	1998-09-30	VYDAJ	VYBER	15	45575	SLUZBY	\N	\N
599839	2041	1998-10-31	VYDAJ	VYBER	15	43516	SLUZBY	\N	\N
599840	2041	1998-11-30	VYDAJ	VYBER	15	54234	SLUZBY	\N	\N
599841	2041	1995-08-04	PRIJEM	VKLAD	10300	15548	\N	\N	\N
599842	2041	1995-09-03	PRIJEM	VKLAD	3400	23649	\N	\N	\N
599843	2041	1995-10-03	VYDAJ	VYBER	2300	26090	\N	\N	\N
599844	2041	1995-11-02	VYDAJ	VYBER	2100	28747	\N	\N	\N
599845	2041	1995-12-02	VYDAJ	VYBER	300	33199	\N	\N	\N
599846	2041	1996-01-01	VYDAJ	VYBER	6900	32592	\N	\N	\N
599847	2041	1996-01-31	PRIJEM	VKLAD	6800	24263	\N	\N	\N
599848	2041	1996-03-01	VYDAJ	VYBER	2000	27087	\N	\N	\N
599849	2041	1996-03-31	VYDAJ	VYBER	2400	29432	\N	\N	\N
599850	2041	1996-04-30	VYDAJ	VYBER	4700	29486	\N	\N	\N
599851	2041	1996-05-30	VYDAJ	VYBER	1300	32802	\N	\N	\N
599852	2041	1996-06-29	VYDAJ	VYBER	4800	35058	\N	\N	\N
599853	2041	1996-07-29	VYDAJ	VYBER	6400	33412	\N	\N	\N
599854	2041	1996-08-28	VYDAJ	VYBER	7800	30374	\N	\N	\N
599855	2041	1996-09-27	VYDAJ	VYBER	6600	28528	\N	\N	\N
599856	2041	1996-10-27	VYDAJ	VYBER	3300	23971	\N	\N	\N
599857	2041	1996-11-26	PRIJEM	VKLAD	1800	22936	\N	\N	\N
599858	2041	1996-12-26	VYDAJ	VYBER	2700	23901	\N	\N	\N
599859	2041	1997-01-25	PRIJEM	VKLAD	2500	18165	\N	\N	\N
599860	2041	1997-02-24	PRIJEM	VKLAD	3000	23458	\N	\N	\N
599861	2041	1997-03-26	PRIJEM	VKLAD	700	28846	\N	\N	\N
599862	2041	1997-04-25	VYDAJ	VYBER	6000	27564	\N	\N	\N
599863	2041	1997-05-25	VYDAJ	VYBER	800	29700	\N	\N	\N
599864	2041	1997-06-24	VYDAJ	VYBER	5500	31255	\N	\N	\N
599865	2041	1997-07-24	VYDAJ	VYBER	5000	30996	\N	\N	\N
599866	2041	1997-08-23	VYDAJ	VYBER	4300	31442	\N	\N	\N
599867	2041	1997-09-22	VYDAJ	VYBER	3800	32388	\N	\N	\N
599868	2041	1997-10-22	VYDAJ	VYBER	3100	31037	\N	\N	\N
599869	2041	1997-11-21	VYDAJ	VYBER	900	34887	\N	\N	\N
599870	2041	1997-12-21	VYDAJ	VYBER	4100	36893	\N	\N	\N
599871	2041	1998-01-20	PRIJEM	VKLAD	4800	34259	\N	\N	\N
599872	2041	1998-02-19	PRIJEM	VKLAD	6300	33910	\N	\N	\N
599873	2041	1998-03-21	VYDAJ	VYBER	400	38251	\N	\N	\N
599874	2041	1998-04-20	PRIJEM	VKLAD	4300	39755	\N	\N	\N
599875	2041	1998-05-20	VYDAJ	VYBER	100	44432	\N	\N	\N
599876	2041	1998-06-19	VYDAJ	VYBER	2200	49337	\N	\N	\N
599877	2041	1998-07-19	VYDAJ	VYBER	2400	51746	\N	\N	\N
599878	2041	1998-08-18	VYDAJ	VYBER	8400	48171	\N	\N	\N
599879	2041	1998-09-17	VYDAJ	VYBER	7600	45396	\N	\N	\N
599880	2041	1998-10-17	PRIJEM	VKLAD	1200	46846	\N	\N	\N
599881	2041	1998-11-16	PRIJEM	VKLAD	5900	54047	\N	\N	\N
599882	2041	1998-12-16	PRIJEM	VKLAD	200	61381	\N	\N	\N
599925	2042	1997-02-12	PRIJEM	VKLAD	900	900	\N	\N	\N
599928	2042	1997-03-06	PRIJEM	PREVOD Z UCTU	3400	4300	\N	KL	35156536
599929	2042	1997-04-06	PRIJEM	PREVOD Z UCTU	3400	7700	\N	KL	35156536
599930	2042	1997-05-06	PRIJEM	PREVOD Z UCTU	3400	11100	\N	KL	35156536
599931	2042	1997-06-06	PRIJEM	PREVOD Z UCTU	3400	14500	\N	KL	35156536
599932	2042	1997-07-06	PRIJEM	PREVOD Z UCTU	3400	17900	\N	KL	35156536
599933	2042	1997-08-06	PRIJEM	PREVOD Z UCTU	3400	18405	\N	KL	35156536
599934	2042	1997-09-06	PRIJEM	PREVOD Z UCTU	3400	18217	\N	KL	35156536
599935	2042	1997-10-06	PRIJEM	PREVOD Z UCTU	3400	18702	\N	KL	35156536
599936	2042	1997-11-06	PRIJEM	PREVOD Z UCTU	3400	19019	\N	KL	35156536
599937	2042	1997-12-06	PRIJEM	PREVOD Z UCTU	3400	20210	\N	KL	35156536
599938	2042	1998-01-06	PRIJEM	PREVOD Z UCTU	3400	17113	\N	KL	35156536
599939	2042	1998-02-06	PRIJEM	PREVOD Z UCTU	3400	13529	\N	KL	35156536
599940	2042	1998-03-06	PRIJEM	PREVOD Z UCTU	3400	12990	\N	KL	35156536
599941	2042	1998-04-06	PRIJEM	PREVOD Z UCTU	3400	14153	\N	KL	35156536
599942	2042	1998-05-06	PRIJEM	PREVOD Z UCTU	3400	15321	\N	KL	35156536
599943	2042	1998-06-06	PRIJEM	PREVOD Z UCTU	3400	16494	\N	KL	35156536
599944	2042	1998-07-06	PRIJEM	PREVOD Z UCTU	3400	16378	\N	KL	35156536
599945	2042	1998-08-06	PRIJEM	PREVOD Z UCTU	3400	17555	\N	KL	35156536
599946	2042	1998-09-06	PRIJEM	PREVOD Z UCTU	3400	18737	\N	KL	35156536
599947	2042	1998-10-06	PRIJEM	PREVOD Z UCTU	3400	19924	\N	KL	35156536
599948	2042	1998-11-06	PRIJEM	PREVOD Z UCTU	3400	20307	\N	KL	35156536
599949	2042	1998-12-06	PRIJEM	PREVOD Z UCTU	3400	21500	\N	KL	35156536
599956	2042	1997-07-10	VYDAJ	PREVOD NA UCET	1258	16642	SIPO	YZ	33737266
599957	2042	1997-08-10	VYDAJ	PREVOD NA UCET	1258	17147	SIPO	YZ	33737266
599958	2042	1997-09-10	VYDAJ	PREVOD NA UCET	1258	16959	SIPO	YZ	33737266
599959	2042	1997-10-10	VYDAJ	PREVOD NA UCET	1258	17444	SIPO	YZ	33737266
599960	2042	1997-11-10	VYDAJ	PREVOD NA UCET	1258	17761	SIPO	YZ	33737266
599961	2042	1997-12-10	VYDAJ	PREVOD NA UCET	1258	15452	SIPO	YZ	33737266
599962	2042	1998-01-10	VYDAJ	PREVOD NA UCET	1258	11105	SIPO	YZ	33737266
599963	2042	1998-02-10	VYDAJ	PREVOD NA UCET	1258	10571	SIPO	YZ	33737266
599964	2042	1998-03-10	VYDAJ	PREVOD NA UCET	1258	11732	SIPO	YZ	33737266
599965	2042	1998-04-10	VYDAJ	PREVOD NA UCET	1258	12895	SIPO	YZ	33737266
599966	2042	1998-05-10	VYDAJ	PREVOD NA UCET	1258	14063	SIPO	YZ	33737266
599967	2042	1998-06-10	VYDAJ	PREVOD NA UCET	1258	13946	SIPO	YZ	33737266
599968	2042	1998-07-10	VYDAJ	PREVOD NA UCET	1258	15120	SIPO	YZ	33737266
599969	2042	1998-08-10	VYDAJ	PREVOD NA UCET	1258	16297	SIPO	YZ	33737266
599970	2042	1998-09-10	VYDAJ	PREVOD NA UCET	1258	17479	SIPO	YZ	33737266
599971	2042	1998-10-10	VYDAJ	PREVOD NA UCET	1258	18666	SIPO	YZ	33737266
599972	2042	1998-11-10	VYDAJ	PREVOD NA UCET	1258	19049	SIPO	YZ	33737266
599973	2042	1998-12-10	VYDAJ	PREVOD NA UCET	1258	20242	SIPO	YZ	33737266
599980	2042	1997-07-13	VYDAJ	PREVOD NA UCET	1008	15634	 	IJ	24157494
599981	2042	1997-08-13	VYDAJ	PREVOD NA UCET	1008	15039	 	IJ	24157494
599982	2042	1997-09-13	VYDAJ	PREVOD NA UCET	1008	15251	 	IJ	24157494
599983	2042	1997-10-13	VYDAJ	PREVOD NA UCET	1008	16436	 	IJ	24157494
599984	2042	1997-11-13	VYDAJ	PREVOD NA UCET	1008	16753	 	IJ	24157494
599985	2042	1997-12-13	VYDAJ	PREVOD NA UCET	1008	14444	 	IJ	24157494
599986	2042	1998-01-13	VYDAJ	PREVOD NA UCET	1008	10097	 	IJ	24157494
599987	2042	1998-02-13	VYDAJ	PREVOD NA UCET	1008	9563	 	IJ	24157494
599988	2042	1998-03-13	VYDAJ	PREVOD NA UCET	1008	10724	 	IJ	24157494
599989	2042	1998-04-13	VYDAJ	PREVOD NA UCET	1008	11887	 	IJ	24157494
599990	2042	1998-05-13	VYDAJ	PREVOD NA UCET	1008	13055	 	IJ	24157494
599991	2042	1998-06-13	VYDAJ	PREVOD NA UCET	1008	12938	 	IJ	24157494
599992	2042	1998-07-13	VYDAJ	PREVOD NA UCET	1008	14112	 	IJ	24157494
599993	2042	1998-08-13	VYDAJ	PREVOD NA UCET	1008	15289	 	IJ	24157494
599994	2042	1998-09-13	VYDAJ	PREVOD NA UCET	1008	16471	 	IJ	24157494
599995	2042	1998-10-13	VYDAJ	PREVOD NA UCET	1008	16848	 	IJ	24157494
599996	2042	1998-11-13	VYDAJ	PREVOD NA UCET	1008	18041	 	IJ	24157494
599997	2042	1998-12-13	VYDAJ	PREVOD NA UCET	1008	18844	 	IJ	24157494
600002	2042	1997-12-30	VYDAJ	VYBER	780	13664	\N	\N	\N
600003	2042	1998-12-17	VYDAJ	VYBER	540	18304	\N	\N	\N
600010	2042	1998-01-09	VYDAJ	VYBER	150	12363	\N	\N	\N
600016	2042	1997-07-16	VYDAJ	VYBER	660	14974	\N	\N	\N
600017	2042	1997-11-01	VYDAJ	VYBER	870	15619	\N	\N	\N
600018	2042	1997-09-03	VYDAJ	VYBER	270	14817	\N	\N	\N
600020	2042	1998-10-13	VYDAJ	VYBER	810	17856	\N	\N	\N
600021	2042	1998-06-07	VYDAJ	VYBER	1290	15204	\N	\N	\N
600022	2042	1998-12-11	VYDAJ	VYBER	390	19852	\N	\N	\N
600030	2042	1997-07-31	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
600031	2042	1997-08-31	VYDAJ	VYBER	15	15087	SLUZBY	\N	\N
600032	2042	1997-09-30	VYDAJ	VYBER	15	15302	SLUZBY	\N	\N
600033	2042	1997-10-31	VYDAJ	VYBER	15	16489	SLUZBY	\N	\N
600034	2042	1997-11-30	VYDAJ	VYBER	15	16810	SLUZBY	\N	\N
600035	2042	1997-12-31	VYDAJ	VYBER	15	13713	SLUZBY	\N	\N
600036	2042	1998-01-31	VYDAJ	VYBER	15	10129	SLUZBY	\N	\N
600037	2042	1998-02-28	VYDAJ	VYBER	15	9590	SLUZBY	\N	\N
600038	2042	1998-03-31	VYDAJ	VYBER	15	10753	SLUZBY	\N	\N
600039	2042	1998-04-30	VYDAJ	VYBER	15	11921	SLUZBY	\N	\N
600040	2042	1998-05-31	VYDAJ	VYBER	15	13094	SLUZBY	\N	\N
600041	2042	1998-06-30	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
600042	2042	1998-07-31	VYDAJ	VYBER	15	14155	SLUZBY	\N	\N
600043	2042	1998-08-31	VYDAJ	VYBER	15	15337	SLUZBY	\N	\N
600044	2042	1998-09-30	VYDAJ	VYBER	15	16524	SLUZBY	\N	\N
600045	2042	1998-10-31	VYDAJ	VYBER	15	16907	SLUZBY	\N	\N
600046	2042	1998-11-30	VYDAJ	VYBER	15	18100	SLUZBY	\N	\N
600047	2042	1997-08-11	VYDAJ	VYBER	1100	16047	\N	\N	\N
600048	2042	1997-09-10	VYDAJ	VYBER	700	16259	\N	\N	\N
600049	2042	1997-12-09	VYDAJ	VYBER	3500	16710	\N	\N	\N
600050	2042	1998-01-08	VYDAJ	VYBER	4600	12513	\N	\N	\N
600051	2042	1998-02-07	VYDAJ	VYBER	1700	11829	\N	\N	\N
600070	2043	1995-11-27	PRIJEM	VKLAD	400	400	\N	\N	\N
600082	2043	1995-12-07	PRIJEM	VKLAD	9825	10225	\N	\N	\N
600083	2043	1996-01-07	PRIJEM	VKLAD	6550	26088	\N	\N	\N
600084	2043	1996-02-07	PRIJEM	VKLAD	6550	31124	\N	\N	\N
600085	2043	1996-03-07	PRIJEM	VKLAD	6550	33677	\N	\N	\N
600086	2043	1996-04-07	PRIJEM	VKLAD	6550	33840	\N	\N	\N
600087	2043	1996-05-07	PRIJEM	VKLAD	6550	30223	\N	\N	\N
600088	2043	1996-06-07	PRIJEM	VKLAD	9825	31188	\N	\N	\N
600089	2043	1996-07-07	PRIJEM	VKLAD	6550	28366	\N	\N	\N
600090	2043	1996-08-07	PRIJEM	VKLAD	6550	28939	\N	\N	\N
600091	2043	1996-09-07	PRIJEM	VKLAD	6550	26701	\N	\N	\N
600092	2043	1996-10-07	PRIJEM	VKLAD	6550	25556	\N	\N	\N
600093	2043	1996-11-07	PRIJEM	VKLAD	6550	28811	\N	\N	\N
600094	2043	1996-12-07	PRIJEM	VKLAD	9825	32311	\N	\N	\N
600095	2043	1997-01-07	PRIJEM	VKLAD	6550	30463	\N	\N	\N
600096	2043	1997-02-07	PRIJEM	VKLAD	6550	22644	\N	\N	\N
600097	2043	1997-03-07	PRIJEM	VKLAD	6550	27589	\N	\N	\N
600098	2043	1997-04-07	PRIJEM	VKLAD	6550	30051	\N	\N	\N
600099	2043	1997-05-07	PRIJEM	VKLAD	6550	28618	\N	\N	\N
600100	2043	1997-06-07	PRIJEM	VKLAD	9825	31655	\N	\N	\N
600101	2043	1997-07-07	PRIJEM	VKLAD	6550	33728	\N	\N	\N
600102	2043	1997-08-07	PRIJEM	VKLAD	6550	32832	\N	\N	\N
600103	2043	1997-09-07	PRIJEM	VKLAD	6550	28846	\N	\N	\N
600104	2043	1997-10-07	PRIJEM	VKLAD	6550	26713	\N	\N	\N
600105	2043	1997-11-07	PRIJEM	VKLAD	6550	19957	\N	\N	\N
600106	2043	1997-12-07	PRIJEM	VKLAD	9825	27867	\N	\N	\N
600107	2043	1998-01-07	PRIJEM	VKLAD	6550	20896	\N	\N	\N
600108	2043	1998-02-07	PRIJEM	VKLAD	6550	20071	\N	\N	\N
600109	2043	1998-03-07	PRIJEM	VKLAD	6550	20598	\N	\N	\N
600110	2043	1998-04-07	PRIJEM	VKLAD	6550	21528	\N	\N	\N
600111	2043	1998-05-07	PRIJEM	VKLAD	6550	27673	\N	\N	\N
600112	2043	1998-06-07	PRIJEM	VKLAD	9825	30685	\N	\N	\N
600113	2043	1998-07-07	PRIJEM	VKLAD	6550	29144	\N	\N	\N
600114	2043	1998-08-07	PRIJEM	VKLAD	6550	25699	\N	\N	\N
600115	2043	1998-09-07	PRIJEM	VKLAD	6550	23341	\N	\N	\N
600116	2043	1998-10-07	PRIJEM	VKLAD	6550	21981	\N	\N	\N
600117	2043	1998-11-07	PRIJEM	VKLAD	6550	19778	\N	\N	\N
600118	2043	1998-12-07	PRIJEM	VKLAD	9825	21880	\N	\N	\N
600134	2043	1996-04-14	VYDAJ	PREVOD NA UCET	4366	29474	SIPO	QR	39356404
600135	2043	1996-05-14	VYDAJ	PREVOD NA UCET	4366	25857	SIPO	QR	39356404
600136	2043	1996-06-14	VYDAJ	PREVOD NA UCET	4366	26102	SIPO	QR	39356404
600137	2043	1996-07-14	VYDAJ	PREVOD NA UCET	4366	24000	SIPO	QR	39356404
600138	2043	1996-08-14	VYDAJ	PREVOD NA UCET	4366	24573	SIPO	QR	39356404
600139	2043	1996-09-14	VYDAJ	PREVOD NA UCET	4366	22335	SIPO	QR	39356404
600140	2043	1996-10-14	VYDAJ	PREVOD NA UCET	4366	21190	SIPO	QR	39356404
600141	2043	1996-11-14	VYDAJ	PREVOD NA UCET	4366	24445	SIPO	QR	39356404
600142	2043	1996-12-14	VYDAJ	PREVOD NA UCET	4366	27945	SIPO	QR	39356404
600143	2043	1997-01-14	VYDAJ	PREVOD NA UCET	4366	20337	SIPO	QR	39356404
600144	2043	1997-02-14	VYDAJ	PREVOD NA UCET	4366	18278	SIPO	QR	39356404
600145	2043	1997-03-14	VYDAJ	PREVOD NA UCET	4366	23223	SIPO	QR	39356404
600146	2043	1997-04-14	VYDAJ	PREVOD NA UCET	4366	25685	SIPO	QR	39356404
600147	2043	1997-05-14	VYDAJ	PREVOD NA UCET	4366	24252	SIPO	QR	39356404
600148	2043	1997-06-14	VYDAJ	PREVOD NA UCET	4366	27289	SIPO	QR	39356404
600149	2043	1997-07-14	VYDAJ	PREVOD NA UCET	4366	27082	SIPO	QR	39356404
600150	2043	1997-08-14	VYDAJ	PREVOD NA UCET	4366	23186	SIPO	QR	39356404
600151	2043	1997-09-14	VYDAJ	PREVOD NA UCET	4366	24480	SIPO	QR	39356404
600152	2043	1997-10-14	VYDAJ	PREVOD NA UCET	4366	18147	SIPO	QR	39356404
600153	2043	1997-11-14	VYDAJ	PREVOD NA UCET	4366	15591	SIPO	QR	39356404
600154	2043	1997-12-14	VYDAJ	PREVOD NA UCET	4366	23501	SIPO	QR	39356404
600155	2043	1998-01-14	VYDAJ	PREVOD NA UCET	4366	16530	SIPO	QR	39356404
600156	2043	1998-02-14	VYDAJ	PREVOD NA UCET	4366	15705	SIPO	QR	39356404
600157	2043	1998-03-14	VYDAJ	PREVOD NA UCET	4366	16232	SIPO	QR	39356404
600158	2043	1998-04-14	VYDAJ	PREVOD NA UCET	4366	17162	SIPO	QR	39356404
600159	2043	1998-05-14	VYDAJ	PREVOD NA UCET	4366	23307	SIPO	QR	39356404
600160	2043	1998-06-14	VYDAJ	PREVOD NA UCET	4366	22519	SIPO	QR	39356404
600161	2043	1998-07-14	VYDAJ	PREVOD NA UCET	4366	19078	SIPO	QR	39356404
600162	2043	1998-08-14	VYDAJ	PREVOD NA UCET	4366	16733	SIPO	QR	39356404
600163	2043	1998-09-14	VYDAJ	PREVOD NA UCET	4366	16575	SIPO	QR	39356404
600164	2043	1998-10-14	VYDAJ	PREVOD NA UCET	4366	14615	SIPO	QR	39356404
600165	2043	1998-11-14	VYDAJ	PREVOD NA UCET	4366	12012	SIPO	QR	39356404
600166	2043	1998-12-14	VYDAJ	PREVOD NA UCET	4366	15714	SIPO	QR	39356404
600173	2043	1997-01-20	VYDAJ	VYBER	3040	19137	\N	\N	\N
600176	2043	1996-12-15	VYDAJ	VYBER	1120	26825	\N	\N	\N
600177	2043	1997-12-20	VYDAJ	VYBER	2080	19321	\N	\N	\N
600191	2043	1997-01-22	VYDAJ	VYBER	3120	16017	\N	\N	\N
600192	2043	1997-01-06	VYDAJ	VYBER	2400	23913	\N	\N	\N
600193	2043	1997-01-11	VYDAJ	VYBER	2280	24703	\N	\N	\N
600194	2043	1997-01-14	VYDAJ	VYBER	1920	18417	\N	\N	\N
600195	2043	1997-01-19	VYDAJ	VYBER	2040	16377	\N	\N	\N
600196	2043	1997-01-11	VYDAJ	VYBER	3480	26983	\N	\N	\N
600197	2043	1998-01-01	VYDAJ	VYBER	2880	16506	\N	\N	\N
600201	2043	1998-01-21	VYDAJ	VYBER	1560	13470	\N	\N	\N
600202	2043	1998-01-02	VYDAJ	VYBER	2160	14346	\N	\N	\N
600212	2043	1996-05-27	VYDAJ	VYBER	2280	21277	\N	\N	\N
600213	2043	1996-07-06	VYDAJ	VYBER	3480	21816	\N	\N	\N
600214	2043	1996-11-23	VYDAJ	VYBER	1440	22405	\N	\N	\N
600215	2043	1996-06-07	VYDAJ	VYBER	720	30468	\N	\N	\N
600216	2043	1997-10-09	VYDAJ	VYBER	4200	22513	\N	\N	\N
600217	2043	1997-07-08	VYDAJ	VYBER	2280	31448	\N	\N	\N
600218	2043	1997-08-13	VYDAJ	VYBER	5280	27552	\N	\N	\N
600219	2043	1997-09-03	VYDAJ	VYBER	2280	22296	\N	\N	\N
600220	2043	1997-10-30	VYDAJ	VYBER	2400	13347	\N	\N	\N
600222	2043	1998-05-19	VYDAJ	VYBER	1320	20787	\N	\N	\N
600224	2043	1998-10-05	VYDAJ	VYBER	1200	15431	\N	\N	\N
600226	2043	1998-11-03	VYDAJ	VYBER	1440	13228	\N	\N	\N
600244	2043	1996-04-30	VYDAJ	VYBER	15	23673	SLUZBY	\N	\N
600245	2043	1996-05-31	VYDAJ	VYBER	15	21363	SLUZBY	\N	\N
600246	2043	1996-06-30	VYDAJ	VYBER	15	25296	SLUZBY	\N	\N
600247	2043	1996-07-31	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
600248	2043	1996-08-31	VYDAJ	VYBER	15	20151	SLUZBY	\N	\N
600249	2043	1996-09-30	VYDAJ	VYBER	15	19006	SLUZBY	\N	\N
600250	2043	1996-10-31	VYDAJ	VYBER	15	22261	SLUZBY	\N	\N
600251	2043	1996-11-30	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
600252	2043	1996-12-31	VYDAJ	VYBER	15	26313	SLUZBY	\N	\N
600253	2043	1997-01-31	VYDAJ	VYBER	15	16094	SLUZBY	\N	\N
600254	2043	1997-02-28	VYDAJ	VYBER	15	21039	SLUZBY	\N	\N
600255	2043	1997-03-31	VYDAJ	VYBER	15	23501	SLUZBY	\N	\N
600256	2043	1997-04-30	VYDAJ	VYBER	15	22068	SLUZBY	\N	\N
600257	2043	1997-05-31	VYDAJ	VYBER	15	21830	SLUZBY	\N	\N
600258	2043	1997-06-30	VYDAJ	VYBER	15	27178	SLUZBY	\N	\N
600259	2043	1997-07-31	VYDAJ	VYBER	15	26282	SLUZBY	\N	\N
600260	2043	1997-08-31	VYDAJ	VYBER	15	24576	SLUZBY	\N	\N
600261	2043	1997-09-30	VYDAJ	VYBER	15	20163	SLUZBY	\N	\N
600262	2043	1997-10-31	VYDAJ	VYBER	15	13407	SLUZBY	\N	\N
600263	2043	1997-11-30	VYDAJ	VYBER	15	18042	SLUZBY	\N	\N
600264	2043	1997-12-31	VYDAJ	VYBER	15	19386	SLUZBY	\N	\N
600265	2043	1998-01-31	VYDAJ	VYBER	15	13521	SLUZBY	\N	\N
600266	2043	1998-02-28	VYDAJ	VYBER	15	14048	SLUZBY	\N	\N
600267	2043	1998-03-31	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
600268	2043	1998-04-30	VYDAJ	VYBER	15	21123	SLUZBY	\N	\N
600269	2043	1998-05-31	VYDAJ	VYBER	15	20860	SLUZBY	\N	\N
600270	2043	1998-06-30	VYDAJ	VYBER	15	22594	SLUZBY	\N	\N
600271	2043	1998-07-31	VYDAJ	VYBER	15	19149	SLUZBY	\N	\N
600272	2043	1998-08-31	VYDAJ	VYBER	15	16791	SLUZBY	\N	\N
600273	2043	1998-09-30	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
600274	2043	1998-10-31	VYDAJ	VYBER	15	14668	SLUZBY	\N	\N
600275	2043	1998-11-30	VYDAJ	VYBER	15	12055	SLUZBY	\N	\N
600276	2043	1995-12-27	PRIJEM	VKLAD	9300	19525	\N	\N	\N
600277	2043	1996-01-26	VYDAJ	VYBER	1600	24488	\N	\N	\N
600278	2043	1996-02-25	VYDAJ	VYBER	4100	27024	\N	\N	\N
600279	2043	1996-03-26	VYDAJ	VYBER	6500	27177	\N	\N	\N
600280	2043	1996-04-25	VYDAJ	VYBER	5900	23574	\N	\N	\N
600281	2043	1996-05-25	VYDAJ	VYBER	2300	23557	\N	\N	\N
600282	2043	1996-06-24	VYDAJ	VYBER	900	25202	\N	\N	\N
600283	2043	1996-07-24	VYDAJ	VYBER	1700	22300	\N	\N	\N
600284	2043	1996-08-23	VYDAJ	VYBER	4500	20073	\N	\N	\N
600285	2043	1996-09-22	VYDAJ	VYBER	3400	18935	\N	\N	\N
600286	2043	1996-10-22	PRIJEM	VKLAD	1000	22190	\N	\N	\N
600287	2043	1996-11-21	VYDAJ	VYBER	600	23845	\N	\N	\N
600288	2043	1996-12-21	VYDAJ	VYBER	600	26225	\N	\N	\N
600289	2043	1997-01-20	PRIJEM	VKLAD	5800	22177	\N	\N	\N
600290	2043	1997-02-19	PRIJEM	VKLAD	2700	20978	\N	\N	\N
600291	2043	1997-03-21	PRIJEM	VKLAD	200	23423	\N	\N	\N
600292	2043	1997-04-20	VYDAJ	VYBER	3700	21985	\N	\N	\N
600293	2043	1997-05-20	VYDAJ	VYBER	2500	21752	\N	\N	\N
600294	2043	1997-06-19	VYDAJ	VYBER	200	27089	\N	\N	\N
600295	2043	1997-07-19	VYDAJ	VYBER	900	26182	\N	\N	\N
600296	2043	1997-08-18	PRIJEM	VKLAD	1300	24486	\N	\N	\N
600297	2043	1997-09-17	VYDAJ	VYBER	4400	20080	\N	\N	\N
600298	2043	1997-10-17	VYDAJ	VYBER	2400	15747	\N	\N	\N
600299	2043	1997-11-16	PRIJEM	VKLAD	2400	17991	\N	\N	\N
600300	2043	1997-12-16	VYDAJ	VYBER	2100	21401	\N	\N	\N
600301	2043	1998-01-15	VYDAJ	VYBER	1500	15030	\N	\N	\N
600302	2043	1998-02-14	VYDAJ	VYBER	1700	14005	\N	\N	\N
600303	2043	1998-03-16	VYDAJ	VYBER	1300	14932	\N	\N	\N
600304	2043	1998-04-15	PRIJEM	VKLAD	3900	21062	\N	\N	\N
600305	2043	1998-05-15	VYDAJ	VYBER	1200	22107	\N	\N	\N
600306	2043	1998-06-14	VYDAJ	VYBER	3800	26885	\N	\N	\N
600307	2043	1998-07-14	VYDAJ	VYBER	5700	23444	\N	\N	\N
600308	2043	1998-08-13	VYDAJ	VYBER	4600	21099	\N	\N	\N
600309	2043	1998-09-12	VYDAJ	VYBER	2400	20941	\N	\N	\N
600310	2043	1998-10-12	VYDAJ	VYBER	3000	18981	\N	\N	\N
600311	2043	1998-11-11	VYDAJ	VYBER	3400	16378	\N	\N	\N
600312	2043	1998-12-11	VYDAJ	VYBER	1800	20080	\N	\N	\N
600350	2044	1994-11-23	PRIJEM	VKLAD	300	300	\N	\N	\N
600362	2044	1994-12-11	PRIJEM	VKLAD	27657	27957	\N	\N	\N
600363	2044	1995-01-11	PRIJEM	VKLAD	18438	45628	\N	\N	\N
600364	2044	1995-02-11	PRIJEM	VKLAD	18438	52588	\N	\N	\N
600365	2044	1995-03-11	PRIJEM	VKLAD	18438	57073	\N	\N	\N
600366	2044	1995-04-11	PRIJEM	VKLAD	18438	60276	\N	\N	\N
600367	2044	1995-05-11	PRIJEM	VKLAD	18438	50859	\N	\N	\N
600368	2044	1995-06-11	PRIJEM	VKLAD	27657	56163	\N	\N	\N
600369	2044	1995-07-11	PRIJEM	VKLAD	18438	45447	\N	\N	\N
600370	2044	1995-08-11	PRIJEM	VKLAD	18438	45314	\N	\N	\N
600371	2044	1995-09-11	PRIJEM	VKLAD	18438	46081	\N	\N	\N
600372	2044	1995-10-11	PRIJEM	VKLAD	18438	42943	\N	\N	\N
600373	2044	1995-11-11	PRIJEM	VKLAD	18438	41695	\N	\N	\N
600374	2044	1995-12-11	PRIJEM	VKLAD	27657	48867	\N	\N	\N
600375	2044	1996-01-11	PRIJEM	VKLAD	18438	43323	\N	\N	\N
600376	2044	1996-02-11	PRIJEM	VKLAD	18438	42675	\N	\N	\N
600377	2044	1996-03-11	PRIJEM	VKLAD	18438	45630	\N	\N	\N
600378	2044	1996-04-11	PRIJEM	VKLAD	18438	46091	\N	\N	\N
600379	2044	1996-05-11	PRIJEM	VKLAD	18438	38544	\N	\N	\N
600380	2044	1996-06-11	PRIJEM	VKLAD	27657	47700	\N	\N	\N
600381	2044	1996-07-11	PRIJEM	VKLAD	18438	41145	\N	\N	\N
600382	2044	1996-08-11	PRIJEM	VKLAD	18438	43692	\N	\N	\N
600383	2044	1996-09-11	PRIJEM	VKLAD	18438	40140	\N	\N	\N
600384	2044	1996-10-11	PRIJEM	VKLAD	18438	46891	\N	\N	\N
600385	2044	1996-11-11	PRIJEM	VKLAD	18438	49960	\N	\N	\N
600386	2044	1996-12-11	PRIJEM	VKLAD	27657	55358	\N	\N	\N
600387	2044	1997-01-11	PRIJEM	VKLAD	18438	54241	\N	\N	\N
600388	2044	1997-02-11	PRIJEM	VKLAD	18438	54648	\N	\N	\N
600389	2044	1997-03-11	PRIJEM	VKLAD	18438	64867	\N	\N	\N
600390	2044	1997-04-11	PRIJEM	VKLAD	18438	56684	\N	\N	\N
600391	2044	1997-05-11	PRIJEM	VKLAD	18438	56883	\N	\N	\N
600392	2044	1997-06-11	PRIJEM	VKLAD	27657	64230	\N	\N	\N
600393	2044	1997-07-11	PRIJEM	VKLAD	18438	54119	\N	\N	\N
600394	2044	1997-08-11	PRIJEM	VKLAD	18438	61230	\N	\N	\N
600395	2044	1997-09-11	PRIJEM	VKLAD	18438	65478	\N	\N	\N
600396	2044	1997-10-11	PRIJEM	VKLAD	18438	71144	\N	\N	\N
600397	2044	1997-11-11	PRIJEM	VKLAD	18438	73832	\N	\N	\N
600398	2044	1997-12-11	PRIJEM	VKLAD	27657	85152	\N	\N	\N
600399	2044	1998-01-11	PRIJEM	VKLAD	18438	78088	\N	\N	\N
600400	2044	1998-02-11	PRIJEM	VKLAD	18438	67401	\N	\N	\N
600401	2044	1998-03-11	PRIJEM	VKLAD	18438	69880	\N	\N	\N
600402	2044	1998-04-11	PRIJEM	VKLAD	18438	65164	\N	\N	\N
600403	2044	1998-05-11	PRIJEM	VKLAD	18438	60829	\N	\N	\N
600404	2044	1998-06-11	PRIJEM	VKLAD	27657	56198	\N	\N	\N
600405	2044	1998-07-11	PRIJEM	VKLAD	18438	63218	\N	\N	\N
600406	2044	1998-08-11	PRIJEM	VKLAD	18438	63670	\N	\N	\N
600407	2044	1998-09-11	PRIJEM	VKLAD	18438	65529	\N	\N	\N
600408	2044	1998-10-11	PRIJEM	VKLAD	18438	63691	\N	\N	\N
600409	2044	1998-11-11	PRIJEM	VKLAD	18438	61947	\N	\N	\N
600410	2044	1998-12-11	PRIJEM	VKLAD	27657	68115	\N	\N	\N
600427	2044	1995-05-07	VYDAJ	PREVOD NA UCET	8417	32421	SIPO	IJ	24649983
600428	2044	1995-06-07	VYDAJ	PREVOD NA UCET	8417	28506	SIPO	IJ	24649983
600429	2044	1995-07-07	VYDAJ	PREVOD NA UCET	8417	27009	SIPO	IJ	24649983
600430	2044	1995-08-07	VYDAJ	PREVOD NA UCET	8417	26876	SIPO	IJ	24649983
600431	2044	1995-09-07	VYDAJ	PREVOD NA UCET	8417	27643	SIPO	IJ	24649983
600432	2044	1995-10-07	VYDAJ	PREVOD NA UCET	8417	24505	SIPO	IJ	24649983
600433	2044	1995-11-07	VYDAJ	PREVOD NA UCET	8417	23257	SIPO	IJ	24649983
600434	2044	1995-12-07	VYDAJ	PREVOD NA UCET	8417	21210	SIPO	IJ	24649983
600435	2044	1996-01-07	VYDAJ	PREVOD NA UCET	8417	24885	SIPO	IJ	24649983
600436	2044	1996-02-07	VYDAJ	PREVOD NA UCET	8417	24237	SIPO	IJ	24649983
600437	2044	1996-03-07	VYDAJ	PREVOD NA UCET	8417	27192	SIPO	IJ	24649983
600438	2044	1996-04-07	VYDAJ	PREVOD NA UCET	8417	27653	SIPO	IJ	24649983
600439	2044	1996-05-07	VYDAJ	PREVOD NA UCET	8417	20106	SIPO	IJ	24649983
600440	2044	1996-06-07	VYDAJ	PREVOD NA UCET	8417	22543	SIPO	IJ	24649983
600441	2044	1996-07-07	VYDAJ	PREVOD NA UCET	8417	22707	SIPO	IJ	24649983
600442	2044	1996-08-07	VYDAJ	PREVOD NA UCET	8417	25254	SIPO	IJ	24649983
600443	2044	1996-09-07	VYDAJ	PREVOD NA UCET	8417	21702	SIPO	IJ	24649983
600444	2044	1996-10-07	VYDAJ	PREVOD NA UCET	8417	28453	SIPO	IJ	24649983
600445	2044	1996-11-07	VYDAJ	PREVOD NA UCET	8417	31522	SIPO	IJ	24649983
600446	2044	1996-12-07	VYDAJ	PREVOD NA UCET	8417	33601	SIPO	IJ	24649983
600447	2044	1997-01-07	VYDAJ	PREVOD NA UCET	8417	35803	SIPO	IJ	24649983
600448	2044	1997-02-07	VYDAJ	PREVOD NA UCET	8417	37610	SIPO	IJ	24649983
600449	2044	1997-03-07	VYDAJ	PREVOD NA UCET	8417	46429	SIPO	IJ	24649983
600450	2044	1997-04-07	VYDAJ	PREVOD NA UCET	8417	38246	SIPO	IJ	24649983
600451	2044	1997-05-07	VYDAJ	PREVOD NA UCET	8417	38445	SIPO	IJ	24649983
600452	2044	1997-06-07	VYDAJ	PREVOD NA UCET	8417	40373	SIPO	IJ	24649983
600453	2044	1997-07-07	VYDAJ	PREVOD NA UCET	8417	31381	SIPO	IJ	24649983
600454	2044	1997-08-07	VYDAJ	PREVOD NA UCET	8417	45892	SIPO	IJ	24649983
600455	2044	1997-09-07	VYDAJ	PREVOD NA UCET	8417	53040	SIPO	IJ	24649983
600456	2044	1997-10-07	VYDAJ	PREVOD NA UCET	8417	55206	SIPO	IJ	24649983
600457	2044	1997-11-07	VYDAJ	PREVOD NA UCET	8417	57194	SIPO	IJ	24649983
600458	2044	1997-12-07	VYDAJ	PREVOD NA UCET	8417	65695	SIPO	IJ	24649983
600459	2044	1998-01-07	VYDAJ	PREVOD NA UCET	8417	59650	SIPO	IJ	24649983
600460	2044	1998-02-07	VYDAJ	PREVOD NA UCET	8417	48963	SIPO	IJ	24649983
600461	2044	1998-03-07	VYDAJ	PREVOD NA UCET	8417	51442	SIPO	IJ	24649983
600462	2044	1998-04-07	VYDAJ	PREVOD NA UCET	8417	46726	SIPO	IJ	24649983
600463	2044	1998-05-07	VYDAJ	PREVOD NA UCET	8417	42391	SIPO	IJ	24649983
600464	2044	1998-06-07	VYDAJ	PREVOD NA UCET	8417	28541	SIPO	IJ	24649983
600465	2044	1998-07-07	VYDAJ	PREVOD NA UCET	8417	44780	SIPO	IJ	24649983
600466	2044	1998-08-07	VYDAJ	PREVOD NA UCET	8417	45232	SIPO	IJ	24649983
600467	2044	1998-09-07	VYDAJ	PREVOD NA UCET	8417	47091	SIPO	IJ	24649983
600468	2044	1998-10-07	VYDAJ	PREVOD NA UCET	8417	45253	SIPO	IJ	24649983
600469	2044	1998-11-07	VYDAJ	PREVOD NA UCET	8417	43509	SIPO	IJ	24649983
600470	2044	1998-12-07	VYDAJ	PREVOD NA UCET	8417	42158	SIPO	IJ	24649983
600532	2044	1995-06-21	VYDAJ	VYBER	15400	35263	\N	\N	\N
600533	2044	1996-06-23	VYDAJ	VYBER	3800	31000	\N	\N	\N
600534	2044	1997-06-13	VYDAJ	VYBER	24600	39630	\N	\N	\N
600535	2044	1998-06-02	VYDAJ	VYBER	28900	32158	\N	\N	\N
600538	2044	1996-01-11	VYDAJ	VYBER	5000	38323	\N	\N	\N
600539	2044	1997-01-22	VYDAJ	VYBER	1400	45841	\N	\N	\N
600540	2044	1998-01-20	VYDAJ	VYBER	6500	71588	\N	\N	\N
600542	2044	1995-12-03	VYDAJ	VYBER	2900	31327	\N	\N	\N
600543	2044	1996-12-10	VYDAJ	VYBER	1200	27701	\N	\N	\N
600544	2044	1997-12-07	VYDAJ	VYBER KARTOU	2500	57495	\N	\N	0
600545	2044	1998-12-01	VYDAJ	VYBER KARTOU	900	61275	\N	\N	0
600549	2044	1995-05-03	VYDAJ	VYBER	3900	40838	\N	\N	\N
600550	2044	1995-12-24	VYDAJ	VYBER	4600	33167	\N	\N	\N
600551	2044	1995-12-06	VYDAJ	VYBER	1700	29627	\N	\N	\N
600553	2044	1996-04-28	VYDAJ	VYBER	3600	28391	\N	\N	\N
600554	2044	1996-06-09	VYDAJ	VYBER	2500	20043	\N	\N	\N
600555	2044	1996-08-25	VYDAJ	VYBER	4400	29992	\N	\N	\N
600556	2044	1996-12-08	VYDAJ	VYBER	4700	28901	\N	\N	\N
600557	2044	1996-03-12	VYDAJ	VYBER	2700	42930	\N	\N	\N
600558	2044	1996-04-14	VYDAJ	VYBER	2200	43891	\N	\N	\N
600559	2044	1997-11-08	VYDAJ	VYBER KARTOU	1800	55394	\N	\N	0
600560	2044	1997-03-17	VYDAJ	VYBER	3800	47567	\N	\N	\N
600561	2044	1997-10-01	VYDAJ	VYBER KARTOU	2100	63623	\N	\N	0
600562	2044	1997-03-22	VYDAJ	VYBER	1100	46467	\N	\N	\N
600563	2044	1998-04-15	VYDAJ	VYBER KARTOU	2200	62964	\N	\N	0
600564	2044	1998-12-10	VYDAJ	VYBER KARTOU	1700	40458	\N	\N	0
600565	2044	1998-10-27	VYDAJ	VYBER	4600	59091	\N	\N	\N
600566	2044	1998-12-02	VYDAJ	VYBER KARTOU	2800	50575	\N	\N	0
600567	2044	1998-01-01	VYDAJ	VYBER KARTOU	800	84667	\N	\N	0
600568	2044	1998-09-17	VYDAJ	VYBER KARTOU	2100	63429	\N	\N	0
600585	2044	1995-04-30	VYDAJ	VYBER	15	44738	SLUZBY	\N	\N
600586	2044	1995-05-31	VYDAJ	VYBER	15	36923	SLUZBY	\N	\N
600587	2044	1995-06-30	VYDAJ	VYBER	15	35426	SLUZBY	\N	\N
600588	2044	1995-07-31	VYDAJ	VYBER	15	35293	SLUZBY	\N	\N
600589	2044	1995-08-31	VYDAJ	VYBER	15	36060	SLUZBY	\N	\N
600590	2044	1995-09-30	VYDAJ	VYBER	15	32922	SLUZBY	\N	\N
600591	2044	1995-10-31	VYDAJ	VYBER	15	31674	SLUZBY	\N	\N
600592	2044	1995-11-30	VYDAJ	VYBER	15	34227	SLUZBY	\N	\N
600593	2044	1995-12-31	VYDAJ	VYBER	15	33302	SLUZBY	\N	\N
600594	2044	1996-01-31	VYDAJ	VYBER	15	32654	SLUZBY	\N	\N
600595	2044	1996-02-29	VYDAJ	VYBER	15	35609	SLUZBY	\N	\N
600596	2044	1996-03-31	VYDAJ	VYBER	15	36070	SLUZBY	\N	\N
600597	2044	1996-04-30	VYDAJ	VYBER	15	28523	SLUZBY	\N	\N
600598	2044	1996-05-31	VYDAJ	VYBER	15	30960	SLUZBY	\N	\N
600599	2044	1996-06-30	VYDAJ	VYBER	15	31124	SLUZBY	\N	\N
600600	2044	1996-07-31	VYDAJ	VYBER	15	33671	SLUZBY	\N	\N
600601	2044	1996-08-31	VYDAJ	VYBER	15	30119	SLUZBY	\N	\N
600602	2044	1996-09-30	VYDAJ	VYBER	15	36870	SLUZBY	\N	\N
600603	2044	1996-10-31	VYDAJ	VYBER	15	39939	SLUZBY	\N	\N
600604	2044	1996-11-30	VYDAJ	VYBER	15	42018	SLUZBY	\N	\N
600605	2044	1996-12-31	VYDAJ	VYBER	15	44220	SLUZBY	\N	\N
600606	2044	1997-01-31	VYDAJ	VYBER	15	46027	SLUZBY	\N	\N
600607	2044	1997-02-28	VYDAJ	VYBER	15	54846	SLUZBY	\N	\N
600608	2044	1997-03-31	VYDAJ	VYBER	15	46663	SLUZBY	\N	\N
600609	2044	1997-04-30	VYDAJ	VYBER	15	46862	SLUZBY	\N	\N
600610	2044	1997-05-31	VYDAJ	VYBER	15	48790	SLUZBY	\N	\N
600611	2044	1997-06-30	VYDAJ	VYBER	15	39798	SLUZBY	\N	\N
600612	2044	1997-07-31	VYDAJ	VYBER	15	54309	SLUZBY	\N	\N
600613	2044	1997-08-31	VYDAJ	VYBER	15	61457	SLUZBY	\N	\N
600614	2044	1997-09-30	VYDAJ	VYBER	15	65723	SLUZBY	\N	\N
600615	2044	1997-10-31	VYDAJ	VYBER	15	71411	SLUZBY	\N	\N
600616	2044	1997-11-30	VYDAJ	VYBER	15	74112	SLUZBY	\N	\N
600617	2044	1997-12-31	VYDAJ	VYBER	15	85467	SLUZBY	\N	\N
600618	2044	1998-01-31	VYDAJ	VYBER	15	71880	SLUZBY	\N	\N
600619	2044	1998-02-28	VYDAJ	VYBER	15	67659	SLUZBY	\N	\N
600620	2044	1998-03-31	VYDAJ	VYBER	15	70143	SLUZBY	\N	\N
600621	2044	1998-04-30	VYDAJ	VYBER	15	63208	SLUZBY	\N	\N
600622	2044	1998-05-31	VYDAJ	VYBER	15	61058	SLUZBY	\N	\N
600623	2044	1998-06-30	VYDAJ	VYBER	15	56397	SLUZBY	\N	\N
600624	2044	1998-07-31	VYDAJ	VYBER	15	63449	SLUZBY	\N	\N
600625	2044	1998-08-31	VYDAJ	VYBER	15	63908	SLUZBY	\N	\N
600626	2044	1998-09-30	VYDAJ	VYBER	15	63670	SLUZBY	\N	\N
600627	2044	1998-10-31	VYDAJ	VYBER	15	59326	SLUZBY	\N	\N
600628	2044	1998-11-30	VYDAJ	VYBER	15	62175	SLUZBY	\N	\N
600629	2044	1994-12-23	VYDAJ	VYBER	800	27157	\N	\N	\N
600630	2044	1995-01-22	VYDAJ	VYBER	11600	34028	\N	\N	\N
600631	2044	1995-02-21	VYDAJ	VYBER	14100	38488	\N	\N	\N
600632	2044	1995-03-23	VYDAJ	VYBER	15400	41673	\N	\N	\N
600633	2044	1995-04-22	VYDAJ	VYBER	15700	44576	\N	\N	\N
600634	2044	1995-05-22	VYDAJ	VYBER	14100	36759	\N	\N	\N
600635	2044	1995-06-21	VYDAJ	VYBER	5500	50663	\N	\N	\N
600636	2044	1995-07-21	VYDAJ	VYBER	10300	35147	\N	\N	\N
600637	2044	1995-08-20	VYDAJ	VYBER	9400	35914	\N	\N	\N
600638	2044	1995-09-19	VYDAJ	VYBER	13300	32781	\N	\N	\N
600639	2044	1995-10-19	VYDAJ	VYBER	11400	31543	\N	\N	\N
600640	2044	1995-11-18	VYDAJ	VYBER	7600	34095	\N	\N	\N
600641	2044	1995-12-18	VYDAJ	VYBER	11100	37767	\N	\N	\N
600642	2044	1996-01-17	VYDAJ	VYBER	5800	32523	\N	\N	\N
600643	2044	1996-02-16	VYDAJ	VYBER	7200	35475	\N	\N	\N
600644	2044	1996-03-17	VYDAJ	VYBER	7000	35930	\N	\N	\N
600645	2044	1996-04-16	VYDAJ	VYBER	11900	31991	\N	\N	\N
600646	2044	1996-05-16	VYDAJ	VYBER	7700	30844	\N	\N	\N
600647	2044	1996-06-15	VYDAJ	VYBER	12900	34800	\N	\N	\N
600648	2044	1996-07-15	VYDAJ	VYBER	7600	33545	\N	\N	\N
600649	2044	1996-08-14	VYDAJ	VYBER	9300	34392	\N	\N	\N
600650	2044	1996-09-13	VYDAJ	VYBER	3400	36740	\N	\N	\N
600651	2044	1996-10-13	VYDAJ	VYBER	7100	39791	\N	\N	\N
600652	2044	1996-11-12	VYDAJ	VYBER	8100	41860	\N	\N	\N
600653	2044	1996-12-12	VYDAJ	VYBER	11300	44058	\N	\N	\N
600654	2044	1997-01-11	VYDAJ	VYBER	7000	47241	\N	\N	\N
600655	2044	1997-02-10	VYDAJ	VYBER	1400	36210	\N	\N	\N
600656	2044	1997-03-12	VYDAJ	VYBER	13500	51367	\N	\N	\N
600657	2044	1997-04-11	VYDAJ	VYBER	10000	46684	\N	\N	\N
600658	2044	1997-05-11	VYDAJ	VYBER	8300	48583	\N	\N	\N
600659	2044	1997-06-10	VYDAJ	VYBER KARTOU	3800	36573	\N	\N	0
600660	2044	1997-07-10	PRIJEM	VKLAD	4300	35681	\N	\N	\N
600661	2044	1997-08-09	VYDAJ	VYBER KARTOU	3100	42792	\N	\N	0
600662	2044	1997-09-08	VYDAJ	VYBER	6000	47040	\N	\N	\N
600663	2044	1997-10-08	VYDAJ	VYBER KARTOU	2500	52706	\N	\N	0
600664	2044	1997-11-07	VYDAJ	VYBER	5800	65611	\N	\N	\N
600665	2044	1997-12-07	VYDAJ	VYBER	5700	59995	\N	\N	\N
600666	2044	1998-01-06	VYDAJ	VYBER	16600	68067	\N	\N	\N
600667	2044	1998-02-05	VYDAJ	VYBER	14500	57380	\N	\N	\N
600668	2044	1998-03-07	VYDAJ	VYBER	7800	59859	\N	\N	\N
600669	2044	1998-04-06	VYDAJ	VYBER	15000	55143	\N	\N	\N
600670	2044	1998-05-06	VYDAJ	VYBER	12400	50808	\N	\N	\N
600671	2044	1998-06-05	PRIJEM	VKLAD	4800	36958	\N	\N	\N
600672	2044	1998-07-05	VYDAJ	VYBER KARTOU	3200	53197	\N	\N	0
600673	2044	1998-08-04	VYDAJ	VYBER	9800	53649	\N	\N	\N
600674	2044	1998-09-03	VYDAJ	VYBER	8400	55508	\N	\N	\N
600675	2044	1998-10-03	VYDAJ	VYBER	10000	53670	\N	\N	\N
600676	2044	1998-11-02	VYDAJ	VYBER	7400	51926	\N	\N	\N
600677	2044	1998-12-02	VYDAJ	VYBER	7900	53375	\N	\N	\N
600727	2045	1996-09-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
600737	2045	1996-10-08	PRIJEM	PREVOD Z UCTU	6310	7410	DUCHOD	OP	9072041
600738	2045	1996-11-08	PRIJEM	PREVOD Z UCTU	6310	13720	DUCHOD	OP	9072041
600739	2045	1996-12-08	PRIJEM	PREVOD Z UCTU	6310	20030	DUCHOD	OP	9072041
600740	2045	1997-01-08	PRIJEM	PREVOD Z UCTU	6310	26340	DUCHOD	OP	9072041
600741	2045	1997-02-08	PRIJEM	PREVOD Z UCTU	6310	32650	DUCHOD	OP	9072041
600742	2045	1997-03-08	PRIJEM	PREVOD Z UCTU	6310	37484	DUCHOD	OP	9072041
600743	2045	1997-04-08	PRIJEM	PREVOD Z UCTU	6310	29005	DUCHOD	OP	9072041
600744	2045	1997-05-08	PRIJEM	PREVOD Z UCTU	6310	32978	DUCHOD	OP	9072041
600745	2045	1997-06-08	PRIJEM	PREVOD Z UCTU	6310	32766	DUCHOD	OP	9072041
600746	2045	1997-07-08	PRIJEM	PREVOD Z UCTU	6310	25846	DUCHOD	OP	9072041
600747	2045	1997-08-08	PRIJEM	PREVOD Z UCTU	6310	30699	DUCHOD	OP	9072041
600748	2045	1997-09-08	PRIJEM	PREVOD Z UCTU	6310	33272	DUCHOD	OP	9072041
600749	2045	1997-10-08	PRIJEM	PREVOD Z UCTU	6310	32417	DUCHOD	OP	9072041
600750	2045	1997-11-08	PRIJEM	PREVOD Z UCTU	6310	31003	DUCHOD	OP	9072041
600751	2045	1997-12-08	PRIJEM	PREVOD Z UCTU	6310	31388	DUCHOD	OP	9072041
600752	2045	1998-01-08	PRIJEM	PREVOD Z UCTU	6310	23862	DUCHOD	OP	9072041
600753	2045	1998-02-08	PRIJEM	PREVOD Z UCTU	6310	19747	DUCHOD	OP	9072041
600754	2045	1998-03-08	PRIJEM	PREVOD Z UCTU	6310	21037	DUCHOD	OP	9072041
600755	2045	1998-04-08	PRIJEM	PREVOD Z UCTU	6310	22077	DUCHOD	OP	9072041
600756	2045	1998-05-08	PRIJEM	PREVOD Z UCTU	6310	19122	DUCHOD	OP	9072041
600757	2045	1998-06-08	PRIJEM	PREVOD Z UCTU	6310	19258	DUCHOD	OP	9072041
600758	2045	1998-07-08	PRIJEM	PREVOD Z UCTU	6310	21050	DUCHOD	OP	9072041
600759	2045	1998-08-08	PRIJEM	PREVOD Z UCTU	6310	21482	DUCHOD	OP	9072041
600760	2045	1998-09-08	PRIJEM	PREVOD Z UCTU	6310	23323	DUCHOD	OP	9072041
600761	2045	1998-10-08	PRIJEM	PREVOD Z UCTU	6310	19162	DUCHOD	OP	9072041
600762	2045	1998-11-08	PRIJEM	PREVOD Z UCTU	6310	20544	DUCHOD	OP	9072041
600763	2045	1998-12-08	PRIJEM	PREVOD Z UCTU	6310	19272	DUCHOD	OP	9072041
600777	2045	1997-02-13	VYDAJ	PREVOD NA UCET	1536	31114	SIPO	EF	65556877
600778	2045	1997-03-13	VYDAJ	PREVOD NA UCET	1536	26448	SIPO	EF	65556877
600779	2045	1997-04-13	VYDAJ	PREVOD NA UCET	1536	27469	SIPO	EF	65556877
600780	2045	1997-05-13	VYDAJ	PREVOD NA UCET	1536	31442	SIPO	EF	65556877
600781	2045	1997-06-13	VYDAJ	PREVOD NA UCET	1536	31230	SIPO	EF	65556877
600782	2045	1997-07-13	VYDAJ	PREVOD NA UCET	1536	24310	SIPO	EF	65556877
600783	2045	1997-08-13	VYDAJ	PREVOD NA UCET	1536	29163	SIPO	EF	65556877
600784	2045	1997-09-13	VYDAJ	PREVOD NA UCET	1536	31736	SIPO	EF	65556877
600785	2045	1997-10-13	VYDAJ	PREVOD NA UCET	1536	30881	SIPO	EF	65556877
600786	2045	1997-11-13	VYDAJ	PREVOD NA UCET	1536	29467	SIPO	EF	65556877
600787	2045	1997-12-13	VYDAJ	PREVOD NA UCET	1536	29852	SIPO	EF	65556877
600788	2045	1998-01-13	VYDAJ	PREVOD NA UCET	1536	22326	SIPO	EF	65556877
600789	2045	1998-02-13	VYDAJ	PREVOD NA UCET	1536	17171	SIPO	EF	65556877
600790	2045	1998-03-13	VYDAJ	PREVOD NA UCET	1536	19501	SIPO	EF	65556877
600791	2045	1998-04-13	VYDAJ	PREVOD NA UCET	1536	20541	SIPO	EF	65556877
600792	2045	1998-05-13	VYDAJ	PREVOD NA UCET	1536	17586	SIPO	EF	65556877
600793	2045	1998-06-13	VYDAJ	PREVOD NA UCET	1536	17722	SIPO	EF	65556877
600794	2045	1998-07-13	VYDAJ	PREVOD NA UCET	1536	19514	SIPO	EF	65556877
600795	2045	1998-08-13	VYDAJ	PREVOD NA UCET	1536	19946	SIPO	EF	65556877
600796	2045	1998-09-13	VYDAJ	PREVOD NA UCET	1536	21787	SIPO	EF	65556877
600797	2045	1998-10-13	VYDAJ	PREVOD NA UCET	1536	17626	SIPO	EF	65556877
600798	2045	1998-11-13	VYDAJ	PREVOD NA UCET	1536	19008	SIPO	EF	65556877
600799	2045	1998-12-13	VYDAJ	PREVOD NA UCET	1536	16836	SIPO	EF	65556877
600801	2045	1997-06-17	VYDAJ	VYBER	7550	20160	\N	\N	\N
600805	2045	1998-01-06	VYDAJ	VYBER	3550	17552	\N	\N	\N
600807	2045	1997-12-21	VYDAJ	VYBER	500	29352	\N	\N	\N
600808	2045	1998-12-08	VYDAJ	VYBER	900	18372	\N	\N	\N
600821	2045	1998-01-19	VYDAJ	VYBER	880	21446	\N	\N	\N
600822	2045	1998-01-25	VYDAJ	VYBER	1040	17126	\N	\N	\N
600823	2045	1998-01-27	VYDAJ	VYBER	2160	14966	\N	\N	\N
600824	2045	1998-01-03	VYDAJ	VYBER	560	21102	\N	\N	\N
600825	2045	1998-01-25	VYDAJ	VYBER	1840	18166	\N	\N	\N
600826	2045	1998-01-21	VYDAJ	VYBER	1440	20006	\N	\N	\N
600835	2045	1997-06-19	VYDAJ	VYBER	720	19440	\N	\N	\N
600837	2045	1997-04-06	VYDAJ	VYBER	1520	23195	\N	\N	\N
600838	2045	1997-06-17	VYDAJ	VYBER	3520	27710	\N	\N	\N
600839	2045	1997-09-19	VYDAJ	VYBER	3440	28296	\N	\N	\N
600840	2045	1997-04-02	VYDAJ	VYBER	1840	24715	\N	\N	\N
600842	2045	1998-10-26	VYDAJ	VYBER	3440	14186	\N	\N	\N
600844	2045	1998-02-11	VYDAJ	VYBER	1040	18707	\N	\N	\N
600845	2045	1998-06-25	VYDAJ	VYBER	3040	14682	\N	\N	\N
600860	2045	1997-02-28	VYDAJ	VYBER	15	31174	SLUZBY	\N	\N
600861	2045	1997-03-31	VYDAJ	VYBER	15	26555	SLUZBY	\N	\N
600862	2045	1997-04-30	VYDAJ	VYBER	15	27568	SLUZBY	\N	\N
600863	2045	1997-05-31	VYDAJ	VYBER	15	31556	SLUZBY	\N	\N
600864	2045	1997-06-30	VYDAJ	VYBER	15	19536	SLUZBY	\N	\N
600865	2045	1997-07-31	VYDAJ	VYBER	15	24389	SLUZBY	\N	\N
600866	2045	1997-08-31	VYDAJ	VYBER	15	29262	SLUZBY	\N	\N
600867	2045	1997-09-30	VYDAJ	VYBER	15	28407	SLUZBY	\N	\N
600868	2045	1997-10-31	VYDAJ	VYBER	15	30993	SLUZBY	\N	\N
600869	2045	1997-11-30	VYDAJ	VYBER	15	29578	SLUZBY	\N	\N
600870	2045	1997-12-31	VYDAJ	VYBER	15	29462	SLUZBY	\N	\N
600871	2045	1998-01-31	VYDAJ	VYBER	15	15037	SLUZBY	\N	\N
600872	2045	1998-02-28	VYDAJ	VYBER	15	17227	SLUZBY	\N	\N
600873	2045	1998-03-31	VYDAJ	VYBER	15	19567	SLUZBY	\N	\N
600874	2045	1998-04-30	VYDAJ	VYBER	15	20612	SLUZBY	\N	\N
600875	2045	1998-05-31	VYDAJ	VYBER	15	17648	SLUZBY	\N	\N
600876	2045	1998-06-30	VYDAJ	VYBER	15	14740	SLUZBY	\N	\N
600877	2045	1998-07-31	VYDAJ	VYBER	15	19572	SLUZBY	\N	\N
600878	2045	1998-08-31	VYDAJ	VYBER	15	17013	SLUZBY	\N	\N
600879	2045	1998-09-30	VYDAJ	VYBER	15	12852	SLUZBY	\N	\N
600880	2045	1998-10-31	VYDAJ	VYBER	15	14234	SLUZBY	\N	\N
600881	2045	1998-11-30	VYDAJ	VYBER	15	12962	SLUZBY	\N	\N
600882	2045	1997-03-08	VYDAJ	VYBER	9500	27984	\N	\N	\N
600883	2045	1997-04-07	VYDAJ	VYBER	500	22695	\N	\N	\N
600884	2045	1997-05-07	VYDAJ	VYBER	900	26668	\N	\N	\N
600885	2045	1997-06-06	VYDAJ	VYBER	5100	26456	\N	\N	\N
600886	2045	1997-09-04	VYDAJ	VYBER	2300	26962	\N	\N	\N
600887	2045	1997-10-04	VYDAJ	VYBER	2300	26107	\N	\N	\N
600888	2045	1997-11-03	VYDAJ	VYBER	6300	24693	\N	\N	\N
600889	2045	1997-12-03	VYDAJ	VYBER	4500	25078	\N	\N	\N
600890	2045	1998-01-02	VYDAJ	VYBER	7800	21662	\N	\N	\N
600891	2045	1998-02-01	VYDAJ	VYBER	1600	13437	\N	\N	\N
600892	2045	1998-03-03	VYDAJ	VYBER	2500	14727	\N	\N	\N
600893	2045	1998-04-02	VYDAJ	VYBER	3800	15767	\N	\N	\N
600894	2045	1998-05-02	VYDAJ	VYBER	7800	12812	\N	\N	\N
600895	2045	1998-06-01	VYDAJ	VYBER	4700	12948	\N	\N	\N
600896	2045	1998-07-31	VYDAJ	VYBER	4400	15172	\N	\N	\N
600897	2045	1998-08-30	VYDAJ	VYBER	3000	16946	\N	\N	\N
600898	2045	1998-09-29	VYDAJ	VYBER	9000	12787	\N	\N	\N
600899	2045	1998-11-28	VYDAJ	VYBER	6100	12908	\N	\N	\N
600923	2046	1996-10-17	PRIJEM	VKLAD	900	900	\N	\N	\N
600934	2046	1996-11-13	PRIJEM	PREVOD Z UCTU	3110	4010	\N	KL	38624864
600935	2046	1996-12-13	PRIJEM	PREVOD Z UCTU	3110	16849	\N	KL	38624864
600936	2046	1997-01-13	PRIJEM	PREVOD Z UCTU	3110	24733	\N	KL	38624864
600937	2046	1997-02-13	PRIJEM	PREVOD Z UCTU	3110	26837	\N	KL	38624864
600938	2046	1997-03-13	PRIJEM	PREVOD Z UCTU	3110	28148	\N	KL	38624864
600939	2046	1997-04-13	PRIJEM	PREVOD Z UCTU	3110	26175	\N	KL	38624864
600940	2046	1997-05-13	PRIJEM	PREVOD Z UCTU	3110	22704	\N	KL	38624864
600941	2046	1997-06-13	PRIJEM	PREVOD Z UCTU	3110	19508	\N	KL	38624864
600942	2046	1997-07-13	PRIJEM	PREVOD Z UCTU	3110	19706	\N	KL	38624864
600943	2046	1997-08-13	PRIJEM	PREVOD Z UCTU	3110	19003	\N	KL	38624864
600944	2046	1997-09-13	PRIJEM	PREVOD Z UCTU	3110	24201	\N	KL	38624864
600945	2046	1997-10-13	PRIJEM	PREVOD Z UCTU	3110	25213	\N	KL	38624864
600946	2046	1997-11-13	PRIJEM	PREVOD Z UCTU	3110	27838	\N	KL	38624864
600947	2046	1997-12-13	PRIJEM	PREVOD Z UCTU	3110	28970	\N	KL	38624864
600948	2046	1998-01-13	PRIJEM	PREVOD Z UCTU	3110	22479	\N	KL	38624864
600949	2046	1998-02-13	PRIJEM	PREVOD Z UCTU	3110	20558	\N	KL	38624864
600950	2046	1998-03-13	PRIJEM	PREVOD Z UCTU	3110	19164	\N	KL	38624864
600951	2046	1998-04-13	PRIJEM	PREVOD Z UCTU	3110	17966	\N	KL	38624864
600952	2046	1998-05-13	PRIJEM	PREVOD Z UCTU	3110	19002	\N	KL	38624864
600953	2046	1998-06-13	PRIJEM	PREVOD Z UCTU	3110	20201	\N	KL	38624864
600954	2046	1998-07-13	PRIJEM	PREVOD Z UCTU	3110	17971	\N	KL	38624864
600955	2046	1998-08-13	PRIJEM	PREVOD Z UCTU	3110	21340	\N	KL	38624864
600956	2046	1998-09-13	PRIJEM	PREVOD Z UCTU	3110	25246	\N	KL	38624864
600957	2046	1998-10-13	PRIJEM	PREVOD Z UCTU	3110	28768	\N	KL	38624864
600958	2046	1998-11-13	PRIJEM	PREVOD Z UCTU	3110	30862	\N	KL	38624864
600959	2046	1998-12-13	PRIJEM	PREVOD Z UCTU	3110	31907	\N	KL	38624864
600975	2046	1997-04-07	VYDAJ	PREVOD NA UCET	426	23065	SIPO	KL	85085910
600976	2046	1997-05-07	VYDAJ	PREVOD NA UCET	426	19594	SIPO	KL	85085910
600977	2046	1997-06-07	VYDAJ	PREVOD NA UCET	426	16398	SIPO	KL	85085910
600978	2046	1997-07-07	VYDAJ	PREVOD NA UCET	426	16596	SIPO	KL	85085910
600979	2046	1997-08-07	VYDAJ	PREVOD NA UCET	426	15893	SIPO	KL	85085910
600980	2046	1997-09-07	VYDAJ	PREVOD NA UCET	426	16491	SIPO	KL	85085910
600981	2046	1997-10-07	VYDAJ	PREVOD NA UCET	426	22203	SIPO	KL	85085910
600982	2046	1997-11-07	VYDAJ	PREVOD NA UCET	426	23228	SIPO	KL	85085910
600983	2046	1997-12-07	VYDAJ	PREVOD NA UCET	426	25860	SIPO	KL	85085910
600984	2046	1998-01-07	VYDAJ	PREVOD NA UCET	426	25679	SIPO	KL	85085910
600985	2046	1998-02-07	VYDAJ	PREVOD NA UCET	426	18748	SIPO	KL	85085910
600986	2046	1998-03-07	VYDAJ	PREVOD NA UCET	426	18554	SIPO	KL	85085910
600987	2046	1998-04-07	VYDAJ	PREVOD NA UCET	426	17156	SIPO	KL	85085910
600988	2046	1998-05-07	VYDAJ	PREVOD NA UCET	426	15952	SIPO	KL	85085910
600989	2046	1998-06-07	VYDAJ	PREVOD NA UCET	426	16991	SIPO	KL	85085910
600990	2046	1998-07-07	VYDAJ	PREVOD NA UCET	426	11161	SIPO	KL	85085910
600991	2046	1998-08-07	VYDAJ	PREVOD NA UCET	426	15950	SIPO	KL	85085910
600992	2046	1998-09-07	VYDAJ	PREVOD NA UCET	426	22136	SIPO	KL	85085910
600993	2046	1998-10-07	VYDAJ	PREVOD NA UCET	426	25658	SIPO	KL	85085910
600994	2046	1998-11-07	VYDAJ	PREVOD NA UCET	426	27752	SIPO	KL	85085910
600995	2046	1998-12-07	VYDAJ	PREVOD NA UCET	426	28797	SIPO	KL	85085910
601011	2046	1997-04-05	VYDAJ	PREVOD NA UCET	1647	23491	 	EF	49969434
601012	2046	1997-05-05	VYDAJ	PREVOD NA UCET	1647	20020	 	EF	49969434
601013	2046	1997-06-05	VYDAJ	PREVOD NA UCET	1647	16824	 	EF	49969434
601014	2046	1997-07-05	VYDAJ	PREVOD NA UCET	1647	17022	 	EF	49969434
601015	2046	1997-08-05	VYDAJ	PREVOD NA UCET	1647	16319	 	EF	49969434
601016	2046	1997-09-05	VYDAJ	PREVOD NA UCET	1647	16917	 	EF	49969434
601017	2046	1997-10-05	VYDAJ	PREVOD NA UCET	1647	22629	 	EF	49969434
601018	2046	1997-11-05	VYDAJ	PREVOD NA UCET	1647	23654	 	EF	49969434
601019	2046	1997-12-05	VYDAJ	PREVOD NA UCET	1647	26286	 	EF	49969434
601020	2046	1998-01-05	VYDAJ	PREVOD NA UCET	1647	26105	 	EF	49969434
601021	2046	1998-02-05	VYDAJ	PREVOD NA UCET	1647	19174	 	EF	49969434
601022	2046	1998-03-05	VYDAJ	PREVOD NA UCET	1647	18980	 	EF	49969434
601023	2046	1998-04-05	VYDAJ	PREVOD NA UCET	1647	17582	 	EF	49969434
601024	2046	1998-05-05	VYDAJ	PREVOD NA UCET	1647	16378	 	EF	49969434
601025	2046	1998-06-05	VYDAJ	PREVOD NA UCET	1647	17417	 	EF	49969434
601026	2046	1998-07-05	VYDAJ	PREVOD NA UCET	1647	11587	 	EF	49969434
601027	2046	1998-08-05	VYDAJ	PREVOD NA UCET	1647	16376	 	EF	49969434
601028	2046	1998-09-05	VYDAJ	PREVOD NA UCET	1647	19762	 	EF	49969434
601029	2046	1998-10-05	VYDAJ	PREVOD NA UCET	1647	23684	 	EF	49969434
601030	2046	1998-11-05	VYDAJ	PREVOD NA UCET	1647	26078	 	EF	49969434
601031	2046	1998-12-05	VYDAJ	PREVOD NA UCET	1647	29323	 	EF	49969434
601034	2046	1998-06-18	VYDAJ	VYBER	7020	13181	\N	\N	\N
601036	2046	1997-12-18	VYDAJ	VYBER	240	28730	\N	\N	\N
601037	2046	1998-12-16	VYDAJ	VYBER	480	31427	\N	\N	\N
601050	2046	1998-01-03	VYDAJ	VYBER	690	27752	\N	\N	\N
601051	2046	1998-01-28	VYDAJ	VYBER	870	20739	\N	\N	\N
601052	2046	1998-01-01	VYDAJ	VYBER	150	28442	\N	\N	\N
601053	2046	1998-01-18	VYDAJ	VYBER	270	22209	\N	\N	\N
601054	2046	1998-01-08	VYDAJ	VYBER	510	25169	\N	\N	\N
601055	2046	1998-01-27	VYDAJ	VYBER	600	21609	\N	\N	\N
601061	2046	1997-04-20	VYDAJ	VYBER	990	21885	\N	\N	\N
601062	2046	1997-04-22	VYDAJ	VYBER	300	21585	\N	\N	\N
601063	2046	1997-12-30	VYDAJ	VYBER	240	28490	\N	\N	\N
601064	2046	1998-08-09	VYDAJ	VYBER	1320	18230	\N	\N	\N
601065	2046	1998-10-17	VYDAJ	VYBER	1140	27628	\N	\N	\N
601066	2046	1998-05-12	VYDAJ	VYBER	960	15892	\N	\N	\N
601082	2046	1997-03-31	VYDAJ	VYBER	15	25138	SLUZBY	\N	\N
601083	2046	1997-04-30	VYDAJ	VYBER	15	21667	SLUZBY	\N	\N
601084	2046	1997-05-31	VYDAJ	VYBER	15	18471	SLUZBY	\N	\N
601085	2046	1997-06-30	VYDAJ	VYBER	15	18669	SLUZBY	\N	\N
601086	2046	1997-07-31	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
601087	2046	1997-08-31	VYDAJ	VYBER	15	18564	SLUZBY	\N	\N
601088	2046	1997-09-30	VYDAJ	VYBER	15	24276	SLUZBY	\N	\N
601089	2046	1997-10-31	VYDAJ	VYBER	15	25301	SLUZBY	\N	\N
601090	2046	1997-11-30	VYDAJ	VYBER	15	27933	SLUZBY	\N	\N
601091	2046	1997-12-31	VYDAJ	VYBER	15	28592	SLUZBY	\N	\N
601092	2046	1998-01-31	VYDAJ	VYBER	15	20821	SLUZBY	\N	\N
601093	2046	1998-02-28	VYDAJ	VYBER	15	20627	SLUZBY	\N	\N
601094	2046	1998-03-31	VYDAJ	VYBER	15	19229	SLUZBY	\N	\N
601095	2046	1998-04-30	VYDAJ	VYBER	15	18025	SLUZBY	\N	\N
601096	2046	1998-05-31	VYDAJ	VYBER	15	19064	SLUZBY	\N	\N
601097	2046	1998-06-30	VYDAJ	VYBER	15	13234	SLUZBY	\N	\N
601098	2046	1998-07-31	VYDAJ	VYBER	15	18023	SLUZBY	\N	\N
601099	2046	1998-08-31	VYDAJ	VYBER	15	21409	SLUZBY	\N	\N
601100	2046	1998-09-30	VYDAJ	VYBER	15	25331	SLUZBY	\N	\N
601101	2046	1998-10-31	VYDAJ	VYBER	15	27725	SLUZBY	\N	\N
601102	2046	1998-11-30	VYDAJ	VYBER	15	30970	SLUZBY	\N	\N
601103	2046	1996-11-16	PRIJEM	VKLAD	9700	13710	\N	\N	\N
601104	2046	1996-12-16	PRIJEM	VKLAD	4700	21549	\N	\N	\N
601105	2046	1997-01-15	VYDAJ	VYBER	1100	23633	\N	\N	\N
601106	2046	1997-02-14	VYDAJ	VYBER	1900	24937	\N	\N	\N
601107	2046	1997-03-16	VYDAJ	VYBER	3100	25048	\N	\N	\N
601108	2046	1997-04-15	VYDAJ	VYBER	3300	22875	\N	\N	\N
601109	2046	1997-05-15	VYDAJ	VYBER	4300	18404	\N	\N	\N
601110	2046	1997-06-14	VYDAJ	VYBER	900	18608	\N	\N	\N
601111	2046	1997-07-14	VYDAJ	VYBER	1800	17906	\N	\N	\N
601112	2046	1997-08-13	VYDAJ	VYBER	500	18503	\N	\N	\N
601113	2046	1997-09-12	PRIJEM	VKLAD	4600	21091	\N	\N	\N
601114	2046	1997-10-12	VYDAJ	VYBER	100	22103	\N	\N	\N
601115	2046	1997-11-11	PRIJEM	VKLAD	1500	24728	\N	\N	\N
601116	2046	1998-01-10	VYDAJ	VYBER	5800	19369	\N	\N	\N
601117	2046	1998-02-09	VYDAJ	VYBER	1300	17448	\N	\N	\N
601118	2046	1998-03-11	VYDAJ	VYBER	2500	16054	\N	\N	\N
601119	2046	1998-04-10	VYDAJ	VYBER	2300	14856	\N	\N	\N
601120	2046	1998-05-10	PRIJEM	VKLAD	900	16852	\N	\N	\N
601121	2046	1998-06-09	PRIJEM	VKLAD	100	17091	\N	\N	\N
601122	2046	1998-07-09	PRIJEM	VKLAD	3700	14861	\N	\N	\N
601123	2046	1998-08-08	PRIJEM	VKLAD	3600	19550	\N	\N	\N
601124	2046	1998-09-07	PRIJEM	VKLAD	2800	22562	\N	\N	\N
601125	2046	1998-10-07	PRIJEM	VKLAD	2400	26084	\N	\N	\N
601126	2046	1998-11-06	PRIJEM	VKLAD	2100	28178	\N	\N	\N
601127	2046	1998-12-06	VYDAJ	VYBER	100	29223	\N	\N	\N
601154	2047	1995-02-21	PRIJEM	VKLAD	600	600	\N	\N	\N
601157	2047	1995-03-08	PRIJEM	PREVOD Z UCTU	4727	5327	DUCHOD	MN	94977980
601158	2047	1995-04-08	PRIJEM	PREVOD Z UCTU	4727	10054	DUCHOD	MN	94977980
601159	2047	1995-05-08	PRIJEM	PREVOD Z UCTU	4727	14781	DUCHOD	MN	94977980
601160	2047	1995-06-08	PRIJEM	PREVOD Z UCTU	4727	19508	DUCHOD	MN	94977980
601161	2047	1995-07-08	PRIJEM	PREVOD Z UCTU	4727	24235	DUCHOD	MN	94977980
601162	2047	1995-08-08	PRIJEM	PREVOD Z UCTU	4727	26347	DUCHOD	MN	94977980
601163	2047	1995-09-08	PRIJEM	PREVOD Z UCTU	4727	28494	DUCHOD	MN	94977980
601164	2047	1995-10-08	PRIJEM	PREVOD Z UCTU	4727	28079	DUCHOD	MN	94977980
601165	2047	1995-11-08	PRIJEM	PREVOD Z UCTU	4727	30233	DUCHOD	MN	94977980
601166	2047	1995-12-08	PRIJEM	PREVOD Z UCTU	4727	32289	DUCHOD	MN	94977980
601167	2047	1996-01-08	PRIJEM	PREVOD Z UCTU	4727	31171	DUCHOD	MN	94977980
601168	2047	1996-02-08	PRIJEM	PREVOD Z UCTU	4727	32438	DUCHOD	MN	94977980
601169	2047	1996-03-08	PRIJEM	PREVOD Z UCTU	4727	33501	DUCHOD	MN	94977980
601170	2047	1996-04-08	PRIJEM	PREVOD Z UCTU	4727	35669	DUCHOD	MN	94977980
601171	2047	1996-05-08	PRIJEM	PREVOD Z UCTU	4727	36344	DUCHOD	MN	94977980
601172	2047	1996-06-08	PRIJEM	PREVOD Z UCTU	4727	38125	DUCHOD	MN	94977980
601173	2047	1996-07-08	PRIJEM	PREVOD Z UCTU	4727	33657	DUCHOD	MN	94977980
601174	2047	1996-08-08	PRIJEM	PREVOD Z UCTU	4727	31910	DUCHOD	MN	94977980
601175	2047	1996-09-08	PRIJEM	PREVOD Z UCTU	4727	34073	DUCHOD	MN	94977980
601176	2047	1996-10-08	PRIJEM	PREVOD Z UCTU	4727	34244	DUCHOD	MN	94977980
601177	2047	1996-11-08	PRIJEM	PREVOD Z UCTU	4727	36426	DUCHOD	MN	94977980
601178	2047	1996-12-08	PRIJEM	PREVOD Z UCTU	4727	38607	DUCHOD	MN	94977980
601179	2047	1997-01-08	PRIJEM	PREVOD Z UCTU	4727	39464	DUCHOD	MN	94977980
601180	2047	1997-02-08	PRIJEM	PREVOD Z UCTU	4727	38601	DUCHOD	MN	94977980
601181	2047	1997-03-08	PRIJEM	PREVOD Z UCTU	4727	40791	DUCHOD	MN	94977980
601182	2047	1997-04-08	PRIJEM	PREVOD Z UCTU	4727	41147	DUCHOD	MN	94977980
601183	2047	1997-05-08	PRIJEM	PREVOD Z UCTU	4727	41906	DUCHOD	MN	94977980
601184	2047	1997-06-08	PRIJEM	PREVOD Z UCTU	4727	40941	DUCHOD	MN	94977980
601185	2047	1997-07-08	PRIJEM	PREVOD Z UCTU	4727	43142	DUCHOD	MN	94977980
601186	2047	1997-08-08	PRIJEM	PREVOD Z UCTU	4727	45351	DUCHOD	MN	94977980
601187	2047	1997-09-08	PRIJEM	PREVOD Z UCTU	4727	44123	DUCHOD	MN	94977980
601188	2047	1997-10-08	PRIJEM	PREVOD Z UCTU	4727	44010	DUCHOD	MN	94977980
601189	2047	1997-11-08	PRIJEM	PREVOD Z UCTU	4727	44015	DUCHOD	MN	94977980
601190	2047	1997-12-08	PRIJEM	PREVOD Z UCTU	4727	45227	DUCHOD	MN	94977980
601191	2047	1998-01-08	PRIJEM	PREVOD Z UCTU	4727	41645	DUCHOD	MN	94977980
601192	2047	1998-02-08	PRIJEM	PREVOD Z UCTU	4727	37635	DUCHOD	MN	94977980
601193	2047	1998-03-08	PRIJEM	PREVOD Z UCTU	4727	39830	DUCHOD	MN	94977980
601194	2047	1998-04-08	PRIJEM	PREVOD Z UCTU	4727	42033	DUCHOD	MN	94977980
601195	2047	1998-05-08	PRIJEM	PREVOD Z UCTU	4727	44244	DUCHOD	MN	94977980
601196	2047	1998-06-08	PRIJEM	PREVOD Z UCTU	4727	41906	DUCHOD	MN	94977980
601197	2047	1998-07-08	PRIJEM	PREVOD Z UCTU	4727	40832	DUCHOD	MN	94977980
601198	2047	1998-08-08	PRIJEM	PREVOD Z UCTU	4727	39912	DUCHOD	MN	94977980
601199	2047	1998-09-08	PRIJEM	PREVOD Z UCTU	4727	42107	DUCHOD	MN	94977980
601200	2047	1998-10-08	PRIJEM	PREVOD Z UCTU	4727	42391	DUCHOD	MN	94977980
601201	2047	1998-11-08	PRIJEM	PREVOD Z UCTU	4727	44595	DUCHOD	MN	94977980
601202	2047	1998-12-08	PRIJEM	PREVOD Z UCTU	4727	45817	DUCHOD	MN	94977980
601209	2047	1995-07-08	VYDAJ	PREVOD NA UCET	2670	21565	SIPO	AB	49330854
601210	2047	1995-08-08	VYDAJ	PREVOD NA UCET	2670	23677	SIPO	AB	49330854
601211	2047	1995-09-08	VYDAJ	PREVOD NA UCET	2670	25824	SIPO	AB	49330854
601212	2047	1995-10-08	VYDAJ	PREVOD NA UCET	2670	25409	SIPO	AB	49330854
601213	2047	1995-11-08	VYDAJ	PREVOD NA UCET	2670	27563	SIPO	AB	49330854
601214	2047	1995-12-08	VYDAJ	PREVOD NA UCET	2670	29619	SIPO	AB	49330854
601215	2047	1996-01-08	VYDAJ	PREVOD NA UCET	2670	28501	SIPO	AB	49330854
601216	2047	1996-02-08	VYDAJ	PREVOD NA UCET	2670	29768	SIPO	AB	49330854
601217	2047	1996-03-08	VYDAJ	PREVOD NA UCET	2670	30831	SIPO	AB	49330854
601218	2047	1996-04-08	VYDAJ	PREVOD NA UCET	2670	32999	SIPO	AB	49330854
601219	2047	1996-05-08	VYDAJ	PREVOD NA UCET	2670	33674	SIPO	AB	49330854
601220	2047	1996-06-08	VYDAJ	PREVOD NA UCET	2670	35455	SIPO	AB	49330854
601221	2047	1996-07-08	VYDAJ	PREVOD NA UCET	2670	30987	SIPO	AB	49330854
601222	2047	1996-08-08	VYDAJ	PREVOD NA UCET	2670	29240	SIPO	AB	49330854
601223	2047	1996-09-08	VYDAJ	PREVOD NA UCET	2670	31403	SIPO	AB	49330854
601224	2047	1996-10-08	VYDAJ	PREVOD NA UCET	2670	31574	SIPO	AB	49330854
601225	2047	1996-11-08	VYDAJ	PREVOD NA UCET	2670	33756	SIPO	AB	49330854
601226	2047	1996-12-08	VYDAJ	PREVOD NA UCET	2670	35937	SIPO	AB	49330854
601227	2047	1997-01-08	VYDAJ	PREVOD NA UCET	2670	36794	SIPO	AB	49330854
601228	2047	1997-02-08	VYDAJ	PREVOD NA UCET	2670	35931	SIPO	AB	49330854
601229	2047	1997-03-08	VYDAJ	PREVOD NA UCET	2670	38121	SIPO	AB	49330854
601230	2047	1997-04-08	VYDAJ	PREVOD NA UCET	2670	38477	SIPO	AB	49330854
601231	2047	1997-05-08	VYDAJ	PREVOD NA UCET	2670	39236	SIPO	AB	49330854
601232	2047	1997-06-08	VYDAJ	PREVOD NA UCET	2670	38271	SIPO	AB	49330854
601233	2047	1997-07-08	VYDAJ	PREVOD NA UCET	2670	40472	SIPO	AB	49330854
601234	2047	1997-08-08	VYDAJ	PREVOD NA UCET	2670	42681	SIPO	AB	49330854
601235	2047	1997-09-08	VYDAJ	PREVOD NA UCET	2670	39853	SIPO	AB	49330854
601236	2047	1997-10-08	VYDAJ	PREVOD NA UCET	2670	39140	SIPO	AB	49330854
601237	2047	1997-11-08	VYDAJ	PREVOD NA UCET	2670	41345	SIPO	AB	49330854
601238	2047	1997-12-08	VYDAJ	PREVOD NA UCET	2670	42557	SIPO	AB	49330854
601239	2047	1998-01-08	VYDAJ	PREVOD NA UCET	2670	38975	SIPO	AB	49330854
601240	2047	1998-02-08	VYDAJ	PREVOD NA UCET	2670	34965	SIPO	AB	49330854
601241	2047	1998-03-08	VYDAJ	PREVOD NA UCET	2670	37160	SIPO	AB	49330854
601242	2047	1998-04-08	VYDAJ	PREVOD NA UCET	2670	39363	SIPO	AB	49330854
601243	2047	1998-05-08	VYDAJ	PREVOD NA UCET	2670	41574	SIPO	AB	49330854
601244	2047	1998-06-08	VYDAJ	PREVOD NA UCET	2670	39236	SIPO	AB	49330854
601245	2047	1998-07-08	VYDAJ	PREVOD NA UCET	2670	38162	SIPO	AB	49330854
601246	2047	1998-08-08	VYDAJ	PREVOD NA UCET	2670	37242	SIPO	AB	49330854
601247	2047	1998-09-08	VYDAJ	PREVOD NA UCET	2670	39437	SIPO	AB	49330854
601248	2047	1998-10-08	VYDAJ	PREVOD NA UCET	2670	39721	SIPO	AB	49330854
601249	2047	1998-11-08	VYDAJ	PREVOD NA UCET	2670	41925	SIPO	AB	49330854
601250	2047	1998-12-08	VYDAJ	PREVOD NA UCET	2670	43147	SIPO	AB	49330854
601252	2047	1996-06-27	VYDAJ	VYBER	5150	28805	\N	\N	\N
601253	2047	1997-06-04	VYDAJ	VYBER	1650	36214	\N	\N	\N
601254	2047	1998-06-04	VYDAJ	VYBER	2950	37179	\N	\N	\N
601256	2047	1996-01-30	VYDAJ	VYBER	900	27601	\N	\N	\N
601257	2047	1997-01-17	VYDAJ	VYBER	2950	33744	\N	\N	\N
601258	2047	1998-01-18	VYDAJ	VYBER	1950	37025	\N	\N	\N
601259	2047	1995-12-23	VYDAJ	VYBER	1200	26339	\N	\N	\N
601260	2047	1996-12-30	VYDAJ	VYBER	700	34597	\N	\N	\N
601261	2047	1997-12-11	VYDAJ	VYBER	400	42157	\N	\N	\N
601262	2047	1998-12-06	VYDAJ	VYBER	1000	41090	\N	\N	\N
601263	2047	1995-12-19	VYDAJ	VYBER	2080	27539	\N	\N	\N
601266	2047	1995-09-21	VYDAJ	VYBER	2560	23264	\N	\N	\N
601267	2047	1996-12-28	VYDAJ	VYBER	640	35297	\N	\N	\N
601268	2047	1996-07-27	VYDAJ	VYBER	3920	27067	\N	\N	\N
601269	2047	1996-05-30	VYDAJ	VYBER	400	33274	\N	\N	\N
601270	2047	1996-02-23	VYDAJ	VYBER	400	28668	\N	\N	\N
601271	2047	1996-10-02	VYDAJ	VYBER	2000	29517	\N	\N	\N
601272	2047	1997-09-28	VYDAJ	VYBER	720	39133	\N	\N	\N
601273	2047	1997-08-14	VYDAJ	VYBER	3440	39241	\N	\N	\N
601274	2047	1997-03-21	VYDAJ	VYBER	1840	36281	\N	\N	\N
601275	2047	1997-05-20	VYDAJ	VYBER	1520	37716	\N	\N	\N
601276	2047	1997-04-22	VYDAJ	VYBER	1440	37037	\N	\N	\N
601277	2047	1998-07-29	VYDAJ	VYBER	3120	35042	\N	\N	\N
601278	2047	1998-05-28	VYDAJ	VYBER	1600	39974	\N	\N	\N
601279	2047	1998-01-23	VYDAJ	VYBER	2960	34065	\N	\N	\N
601280	2047	1998-07-01	VYDAJ	VYBER	3280	36105	\N	\N	\N
601281	2047	1998-09-18	VYDAJ	VYBER	1920	37517	\N	\N	\N
601289	2047	1995-07-31	VYDAJ	VYBER	15	21620	SLUZBY	\N	\N
601290	2047	1995-08-31	VYDAJ	VYBER	15	23767	SLUZBY	\N	\N
601291	2047	1995-09-30	VYDAJ	VYBER	15	23352	SLUZBY	\N	\N
601292	2047	1995-10-31	VYDAJ	VYBER	15	25506	SLUZBY	\N	\N
601293	2047	1995-11-30	VYDAJ	VYBER	15	27562	SLUZBY	\N	\N
601294	2047	1995-12-31	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
601295	2047	1996-01-31	VYDAJ	VYBER	15	27711	SLUZBY	\N	\N
601296	2047	1996-02-29	VYDAJ	VYBER	15	28774	SLUZBY	\N	\N
601297	2047	1996-03-31	VYDAJ	VYBER	15	30942	SLUZBY	\N	\N
601298	2047	1996-04-30	VYDAJ	VYBER	15	31617	SLUZBY	\N	\N
601299	2047	1996-05-31	VYDAJ	VYBER	15	33398	SLUZBY	\N	\N
601300	2047	1996-06-30	VYDAJ	VYBER	15	28930	SLUZBY	\N	\N
601301	2047	1996-07-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
601302	2047	1996-08-31	VYDAJ	VYBER	15	29346	SLUZBY	\N	\N
601303	2047	1996-09-30	VYDAJ	VYBER	15	31517	SLUZBY	\N	\N
601304	2047	1996-10-31	VYDAJ	VYBER	15	31699	SLUZBY	\N	\N
601305	2047	1996-11-30	VYDAJ	VYBER	15	33880	SLUZBY	\N	\N
601306	2047	1996-12-31	VYDAJ	VYBER	15	34737	SLUZBY	\N	\N
601307	2047	1997-01-31	VYDAJ	VYBER	15	33874	SLUZBY	\N	\N
601308	2047	1997-02-28	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
601309	2047	1997-03-31	VYDAJ	VYBER	15	36420	SLUZBY	\N	\N
601310	2047	1997-04-30	VYDAJ	VYBER	15	37179	SLUZBY	\N	\N
601311	2047	1997-05-31	VYDAJ	VYBER	15	37864	SLUZBY	\N	\N
601312	2047	1997-06-30	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
601313	2047	1997-07-31	VYDAJ	VYBER	15	40624	SLUZBY	\N	\N
601314	2047	1997-08-31	VYDAJ	VYBER	15	39396	SLUZBY	\N	\N
601315	2047	1997-09-30	VYDAJ	VYBER	15	39283	SLUZBY	\N	\N
601316	2047	1997-10-31	VYDAJ	VYBER	15	39288	SLUZBY	\N	\N
601317	2047	1997-11-30	VYDAJ	VYBER	15	41500	SLUZBY	\N	\N
601318	2047	1997-12-31	VYDAJ	VYBER	15	42318	SLUZBY	\N	\N
601319	2047	1998-01-31	VYDAJ	VYBER	15	34208	SLUZBY	\N	\N
601320	2047	1998-02-28	VYDAJ	VYBER	15	35103	SLUZBY	\N	\N
601321	2047	1998-03-31	VYDAJ	VYBER	15	37306	SLUZBY	\N	\N
601322	2047	1998-04-30	VYDAJ	VYBER	15	39517	SLUZBY	\N	\N
601323	2047	1998-05-31	VYDAJ	VYBER	15	40129	SLUZBY	\N	\N
601324	2047	1998-06-30	VYDAJ	VYBER	15	39385	SLUZBY	\N	\N
601325	2047	1998-07-31	VYDAJ	VYBER	15	35185	SLUZBY	\N	\N
601326	2047	1998-08-31	VYDAJ	VYBER	15	37380	SLUZBY	\N	\N
601327	2047	1998-09-30	VYDAJ	VYBER	15	37664	SLUZBY	\N	\N
601328	2047	1998-10-31	VYDAJ	VYBER	15	39868	SLUZBY	\N	\N
601329	2047	1998-11-30	VYDAJ	VYBER	15	42090	SLUZBY	\N	\N
601330	2047	1995-11-18	VYDAJ	VYBER	100	27463	\N	\N	\N
601331	2047	1996-02-16	VYDAJ	VYBER	700	29068	\N	\N	\N
601332	2047	1996-04-16	VYDAJ	VYBER	1500	31499	\N	\N	\N
601333	2047	1996-06-15	VYDAJ	VYBER	1500	33955	\N	\N	\N
601334	2047	1997-01-11	VYDAJ	VYBER	100	36694	\N	\N	\N
601335	2047	1997-09-08	VYDAJ	VYBER	1600	42523	\N	\N	\N
601336	2047	1997-10-08	VYDAJ	VYBER	2200	41810	\N	\N	\N
601337	2047	1997-12-07	VYDAJ	VYBER	1000	40500	\N	\N	\N
601338	2047	1998-01-06	VYDAJ	VYBER	5400	36918	\N	\N	\N
601339	2047	1998-02-05	VYDAJ	VYBER	1300	32908	\N	\N	\N
601382	2048	1997-03-30	PRIJEM	VKLAD	300	300	\N	\N	\N
601386	2048	1997-04-09	PRIJEM	VKLAD	14532	14832	\N	\N	\N
601387	2048	1997-05-09	PRIJEM	VKLAD	14532	33769	\N	\N	\N
601388	2048	1997-06-09	PRIJEM	VKLAD	21798	51652	\N	\N	\N
601389	2048	1997-07-09	PRIJEM	VKLAD	14532	48209	\N	\N	\N
601390	2048	1997-08-09	PRIJEM	VKLAD	14532	44579	\N	\N	\N
601391	2048	1997-09-09	PRIJEM	VKLAD	14532	42267	\N	\N	\N
601392	2048	1997-10-09	PRIJEM	VKLAD	14532	39412	\N	\N	\N
601393	2048	1997-11-09	PRIJEM	VKLAD	14532	44500	\N	\N	\N
601394	2048	1997-12-09	PRIJEM	VKLAD	21798	52589	\N	\N	\N
601395	2048	1998-01-09	PRIJEM	VKLAD	14532	42897	\N	\N	\N
601396	2048	1998-02-09	PRIJEM	VKLAD	14532	39025	\N	\N	\N
601397	2048	1998-03-09	PRIJEM	VKLAD	14532	44474	\N	\N	\N
601398	2048	1998-04-09	PRIJEM	VKLAD	14532	50767	\N	\N	\N
601399	2048	1998-05-09	PRIJEM	VKLAD	14532	54264	\N	\N	\N
601400	2048	1998-06-09	PRIJEM	VKLAD	21798	68763	\N	\N	\N
601401	2048	1998-07-09	PRIJEM	VKLAD	14532	55596	\N	\N	\N
601402	2048	1998-08-09	PRIJEM	VKLAD	14532	54419	\N	\N	\N
601403	2048	1998-09-09	PRIJEM	VKLAD	14532	55729	\N	\N	\N
601404	2048	1998-10-09	PRIJEM	VKLAD	14532	55638	\N	\N	\N
601405	2048	1998-11-09	PRIJEM	VKLAD	14532	54146	\N	\N	\N
601406	2048	1998-12-09	PRIJEM	VKLAD	21798	55002	\N	\N	\N
601414	2048	1997-08-13	VYDAJ	PREVOD NA UCET	2525	42054	SIPO	UV	69120418
601415	2048	1997-09-13	VYDAJ	PREVOD NA UCET	2525	39742	SIPO	UV	69120418
601416	2048	1997-10-13	VYDAJ	PREVOD NA UCET	2525	36887	SIPO	UV	69120418
601417	2048	1997-11-13	VYDAJ	PREVOD NA UCET	2525	41975	SIPO	UV	69120418
601418	2048	1997-12-13	VYDAJ	PREVOD NA UCET	2525	50064	SIPO	UV	69120418
601419	2048	1998-01-13	VYDAJ	PREVOD NA UCET	2525	38692	SIPO	UV	69120418
601420	2048	1998-02-13	VYDAJ	PREVOD NA UCET	2525	36500	SIPO	UV	69120418
601421	2048	1998-03-13	VYDAJ	PREVOD NA UCET	2525	41949	SIPO	UV	69120418
601422	2048	1998-04-13	VYDAJ	PREVOD NA UCET	2525	46776	SIPO	UV	69120418
601423	2048	1998-05-13	VYDAJ	PREVOD NA UCET	2525	51739	SIPO	UV	69120418
601424	2048	1998-06-13	VYDAJ	PREVOD NA UCET	2525	66238	SIPO	UV	69120418
601425	2048	1998-07-13	VYDAJ	PREVOD NA UCET	2525	51605	SIPO	UV	69120418
601426	2048	1998-08-13	VYDAJ	PREVOD NA UCET	2525	50428	SIPO	UV	69120418
601427	2048	1998-09-13	VYDAJ	PREVOD NA UCET	2525	53204	SIPO	UV	69120418
601428	2048	1998-10-13	VYDAJ	PREVOD NA UCET	2525	53113	SIPO	UV	69120418
601429	2048	1998-11-13	VYDAJ	PREVOD NA UCET	2525	51621	SIPO	UV	69120418
601430	2048	1998-12-13	VYDAJ	PREVOD NA UCET	2525	52477	SIPO	UV	69120418
601438	2048	1997-08-13	VYDAJ	PREVOD NA UCET	1466	40588	 	KL	96522324
601439	2048	1997-09-13	VYDAJ	PREVOD NA UCET	1466	38276	 	KL	96522324
601440	2048	1997-10-13	VYDAJ	PREVOD NA UCET	1466	35421	 	KL	96522324
601441	2048	1997-11-13	VYDAJ	PREVOD NA UCET	1466	40509	 	KL	96522324
601442	2048	1997-12-13	VYDAJ	PREVOD NA UCET	1466	48598	 	KL	96522324
601443	2048	1998-01-13	VYDAJ	PREVOD NA UCET	1466	37226	 	KL	96522324
601444	2048	1998-02-13	VYDAJ	PREVOD NA UCET	1466	35034	 	KL	96522324
601445	2048	1998-03-13	VYDAJ	PREVOD NA UCET	1466	40483	 	KL	96522324
601446	2048	1998-04-13	VYDAJ	PREVOD NA UCET	1466	49301	 	KL	96522324
601447	2048	1998-05-13	VYDAJ	PREVOD NA UCET	1466	50273	 	KL	96522324
601448	2048	1998-06-13	VYDAJ	PREVOD NA UCET	1466	64772	 	KL	96522324
601449	2048	1998-07-13	VYDAJ	PREVOD NA UCET	1466	54130	 	KL	96522324
601450	2048	1998-08-13	VYDAJ	PREVOD NA UCET	1466	52953	 	KL	96522324
601451	2048	1998-09-13	VYDAJ	PREVOD NA UCET	1466	51738	 	KL	96522324
601452	2048	1998-10-13	VYDAJ	PREVOD NA UCET	1466	51647	 	KL	96522324
601453	2048	1998-11-13	VYDAJ	PREVOD NA UCET	1466	50155	 	KL	96522324
601454	2048	1998-12-13	VYDAJ	PREVOD NA UCET	1466	51011	 	KL	96522324
601480	2048	1998-06-19	VYDAJ	VYBER	10240	49252	\N	\N	\N
601482	2048	1998-01-01	VYDAJ	VYBER	9600	28365	\N	\N	\N
601483	2048	1997-12-02	VYDAJ	VYBER	3360	30791	\N	\N	\N
601484	2048	1998-12-14	VYDAJ	VYBER	2880	48131	\N	\N	\N
601491	2048	1998-01-21	VYDAJ	VYBER	1920	30026	\N	\N	\N
601492	2048	1998-01-18	VYDAJ	VYBER	3000	34226	\N	\N	\N
601493	2048	1998-01-20	VYDAJ	VYBER	2280	31946	\N	\N	\N
601494	2048	1998-01-23	VYDAJ	VYBER	1680	28346	\N	\N	\N
601495	2048	1998-01-29	VYDAJ	VYBER	2400	24366	\N	\N	\N
601496	2048	1998-01-11	VYDAJ	VYBER	1680	41217	\N	\N	\N
601497	2048	1997-10-07	VYDAJ	VYBER	5520	24880	\N	\N	\N
601502	2048	1997-11-02	VYDAJ	VYBER	2280	29968	\N	\N	\N
601503	2048	1997-08-24	VYDAJ	VYBER	4680	35908	\N	\N	\N
601504	2048	1998-03-24	VYDAJ	VYBER	4680	35803	\N	\N	\N
601505	2048	1998-12-19	VYDAJ	VYBER	720	47411	\N	\N	\N
601506	2048	1998-07-04	VYDAJ	VYBER	720	43824	\N	\N	\N
601507	2048	1998-05-17	VYDAJ	VYBER	2880	47393	\N	\N	\N
601508	2048	1998-06-15	VYDAJ	VYBER	5280	59492	\N	\N	\N
601509	2048	1998-11-17	VYDAJ	VYBER	3000	47155	\N	\N	\N
601510	2048	1998-07-06	VYDAJ	VYBER	2760	41064	\N	\N	\N
601511	2048	1998-01-28	VYDAJ	VYBER	1080	26766	\N	\N	\N
601520	2048	1997-08-31	VYDAJ	VYBER	15	27735	SLUZBY	\N	\N
601521	2048	1997-09-30	VYDAJ	VYBER	15	30400	SLUZBY	\N	\N
601522	2048	1997-10-31	VYDAJ	VYBER	15	32248	SLUZBY	\N	\N
601523	2048	1997-11-30	VYDAJ	VYBER	15	34151	SLUZBY	\N	\N
601524	2048	1997-12-31	VYDAJ	VYBER	15	37965	SLUZBY	\N	\N
601525	2048	1998-01-31	VYDAJ	VYBER	15	24493	SLUZBY	\N	\N
601526	2048	1998-02-28	VYDAJ	VYBER	15	29942	SLUZBY	\N	\N
601527	2048	1998-03-31	VYDAJ	VYBER	15	36235	SLUZBY	\N	\N
601528	2048	1998-04-30	VYDAJ	VYBER	15	39732	SLUZBY	\N	\N
601529	2048	1998-05-31	VYDAJ	VYBER	15	46965	SLUZBY	\N	\N
601530	2048	1998-06-30	VYDAJ	VYBER	15	44544	SLUZBY	\N	\N
601531	2048	1998-07-31	VYDAJ	VYBER	15	39887	SLUZBY	\N	\N
601532	2048	1998-08-31	VYDAJ	VYBER	15	41197	SLUZBY	\N	\N
601533	2048	1998-09-30	VYDAJ	VYBER	15	41106	SLUZBY	\N	\N
601534	2048	1998-10-31	VYDAJ	VYBER	15	39614	SLUZBY	\N	\N
601535	2048	1998-11-30	VYDAJ	VYBER	15	33204	SLUZBY	\N	\N
601536	2048	1997-04-29	PRIJEM	VKLAD	4400	19232	\N	\N	\N
601537	2048	1997-05-29	VYDAJ	VYBER	4000	29769	\N	\N	\N
601538	2048	1997-06-28	VYDAJ	VYBER	18100	33552	\N	\N	\N
601539	2048	1997-07-28	VYDAJ	VYBER	18300	29909	\N	\N	\N
601540	2048	1997-08-27	VYDAJ	VYBER	8300	27608	\N	\N	\N
601541	2048	1997-09-26	VYDAJ	VYBER	8000	30276	\N	\N	\N
601542	2048	1997-10-26	VYDAJ	VYBER	3300	32121	\N	\N	\N
601543	2048	1997-11-25	VYDAJ	VYBER	6500	34009	\N	\N	\N
601544	2048	1997-12-25	VYDAJ	VYBER	10800	37798	\N	\N	\N
601545	2048	1998-01-24	VYDAJ	VYBER	500	27846	\N	\N	\N
601546	2048	1998-02-23	VYDAJ	VYBER	5200	29834	\N	\N	\N
601547	2048	1998-03-25	PRIJEM	VKLAD	300	36103	\N	\N	\N
601548	2048	1998-04-24	VYDAJ	VYBER	7200	39576	\N	\N	\N
601549	2048	1998-05-24	VYDAJ	VYBER	600	46793	\N	\N	\N
601550	2048	1998-06-23	VYDAJ	VYBER	4900	44352	\N	\N	\N
601551	2048	1998-07-23	VYDAJ	VYBER	11900	39705	\N	\N	\N
601552	2048	1998-08-22	VYDAJ	VYBER	9400	41028	\N	\N	\N
601553	2048	1998-09-21	VYDAJ	VYBER	10800	40938	\N	\N	\N
601554	2048	1998-10-21	VYDAJ	VYBER	12200	39447	\N	\N	\N
601555	2048	1998-11-20	VYDAJ	VYBER	14100	33055	\N	\N	\N
601577	2049	1997-12-19	PRIJEM	VKLAD	200	200	\N	\N	\N
601590	2049	1998-01-11	PRIJEM	VKLAD	8837	9037	\N	\N	\N
601591	2049	1998-02-11	PRIJEM	VKLAD	8837	26006	\N	\N	\N
601592	2049	1998-03-11	PRIJEM	VKLAD	8837	29521	\N	\N	\N
601593	2049	1998-04-11	PRIJEM	VKLAD	8837	35654	\N	\N	\N
601594	2049	1998-05-11	PRIJEM	VKLAD	8837	37807	\N	\N	\N
601595	2049	1998-06-11	PRIJEM	VKLAD	13256	39383	\N	\N	\N
601596	2049	1998-07-11	PRIJEM	VKLAD	8837	33610	\N	\N	\N
601597	2049	1998-08-11	PRIJEM	VKLAD	8837	36477	\N	\N	\N
601598	2049	1998-09-11	PRIJEM	VKLAD	8837	24497	\N	\N	\N
601599	2049	1998-10-11	PRIJEM	VKLAD	8837	23300	\N	\N	\N
601600	2049	1998-11-11	PRIJEM	VKLAD	8837	24041	\N	\N	\N
601601	2049	1998-12-11	PRIJEM	VKLAD	13256	29182	\N	\N	\N
601619	2049	1998-06-10	VYDAJ	PREVOD NA UCET	4854	26127	SIPO	AB	66625147
601620	2049	1998-07-10	VYDAJ	PREVOD NA UCET	4854	24773	SIPO	AB	66625147
601621	2049	1998-08-10	VYDAJ	PREVOD NA UCET	4854	27640	SIPO	AB	66625147
601622	2049	1998-09-10	VYDAJ	PREVOD NA UCET	4854	15660	SIPO	AB	66625147
601623	2049	1998-10-10	VYDAJ	PREVOD NA UCET	4854	14463	SIPO	AB	66625147
601624	2049	1998-11-10	VYDAJ	PREVOD NA UCET	4854	15204	SIPO	AB	66625147
601625	2049	1998-12-10	VYDAJ	PREVOD NA UCET	4854	15926	SIPO	AB	66625147
601643	2049	1998-06-07	VYDAJ	PREVOD NA UCET	1037	30981	 	GH	14193714
601644	2049	1998-07-07	VYDAJ	PREVOD NA UCET	1037	29627	 	GH	14193714
601645	2049	1998-08-07	VYDAJ	PREVOD NA UCET	1037	32494	 	GH	14193714
601646	2049	1998-09-07	VYDAJ	PREVOD NA UCET	1037	20514	 	GH	14193714
601647	2049	1998-10-07	VYDAJ	PREVOD NA UCET	1037	19317	 	GH	14193714
601648	2049	1998-11-07	VYDAJ	PREVOD NA UCET	1037	20058	 	GH	14193714
601649	2049	1998-12-07	VYDAJ	PREVOD NA UCET	1037	20780	 	GH	14193714
601655	2049	1998-12-29	VYDAJ	VYBER	4480	21902	\N	\N	\N
601675	2049	1998-09-02	VYDAJ	VYBER	5640	21551	\N	\N	\N
601676	2049	1998-09-13	VYDAJ	VYBER	3120	21377	\N	\N	\N
601677	2049	1998-08-15	VYDAJ	VYBER	1440	35037	\N	\N	\N
601678	2049	1998-06-17	VYDAJ	VYBER	5040	34343	\N	\N	\N
601679	2049	1998-08-29	VYDAJ	VYBER	1560	27077	\N	\N	\N
601680	2049	1998-11-03	VYDAJ	VYBER	1080	21095	\N	\N	\N
601698	2049	1998-05-31	VYDAJ	VYBER	15	32018	SLUZBY	\N	\N
601699	2049	1998-06-30	VYDAJ	VYBER	15	30664	SLUZBY	\N	\N
601700	2049	1998-07-31	VYDAJ	VYBER	15	33531	SLUZBY	\N	\N
601701	2049	1998-08-31	VYDAJ	VYBER	15	27191	SLUZBY	\N	\N
601702	2049	1998-09-30	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
601703	2049	1998-10-31	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
601704	2049	1998-11-30	VYDAJ	VYBER	15	21817	SLUZBY	\N	\N
601705	2049	1998-01-18	PRIJEM	VKLAD	8100	17137	\N	\N	\N
601706	2049	1998-02-17	VYDAJ	VYBER	5400	20606	\N	\N	\N
601707	2049	1998-03-19	VYDAJ	VYBER	2800	26721	\N	\N	\N
601708	2049	1998-04-18	VYDAJ	VYBER	6800	28854	\N	\N	\N
601709	2049	1998-05-18	VYDAJ	VYBER	5900	31907	\N	\N	\N
601710	2049	1998-06-17	VYDAJ	VYBER	3800	30543	\N	\N	\N
601711	2049	1998-07-17	VYDAJ	VYBER	200	33410	\N	\N	\N
601712	2049	1998-08-16	VYDAJ	VYBER	6400	28637	\N	\N	\N
601713	2049	1998-09-15	VYDAJ	VYBER	1100	20277	\N	\N	\N
601714	2049	1998-10-15	VYDAJ	VYBER	1200	22100	\N	\N	\N
601715	2049	1998-11-14	VYDAJ	VYBER	2300	21741	\N	\N	\N
601716	2049	1998-12-14	VYDAJ	VYBER	2800	26382	\N	\N	\N
601729	2050	1993-10-22	PRIJEM	VKLAD	900	900	\N	\N	\N
601740	2050	1993-11-06	PRIJEM	VKLAD	16411	17311	\N	\N	\N
601741	2050	1993-12-06	PRIJEM	VKLAD	24616	45756	\N	\N	\N
601742	2050	1994-01-06	PRIJEM	VKLAD	16411	50374	\N	\N	\N
601743	2050	1994-02-06	PRIJEM	VKLAD	16411	55835	\N	\N	\N
601744	2050	1994-03-06	PRIJEM	VKLAD	16411	55209	\N	\N	\N
601745	2050	1994-04-06	PRIJEM	VKLAD	16411	54179	\N	\N	\N
601746	2050	1994-05-06	PRIJEM	VKLAD	16411	53145	\N	\N	\N
601747	2050	1994-06-06	PRIJEM	VKLAD	24616	41710	\N	\N	\N
601748	2050	1994-07-06	PRIJEM	VKLAD	16411	43735	\N	\N	\N
601749	2050	1994-08-06	PRIJEM	VKLAD	16411	42354	\N	\N	\N
601750	2050	1994-09-06	PRIJEM	VKLAD	16411	46577	\N	\N	\N
601751	2050	1994-10-06	PRIJEM	VKLAD	16411	48513	\N	\N	\N
601752	2050	1994-11-06	PRIJEM	VKLAD	16411	50558	\N	\N	\N
601753	2050	1994-12-06	PRIJEM	VKLAD	24616	55806	\N	\N	\N
601754	2050	1995-01-06	PRIJEM	VKLAD	16411	49061	\N	\N	\N
601755	2050	1995-02-06	PRIJEM	VKLAD	16411	37482	\N	\N	\N
601756	2050	1995-03-06	PRIJEM	VKLAD	16411	40585	\N	\N	\N
601757	2050	1995-04-06	PRIJEM	VKLAD	16411	42000	\N	\N	\N
601758	2050	1995-05-06	PRIJEM	VKLAD	16411	39212	\N	\N	\N
601759	2050	1995-06-06	PRIJEM	VKLAD	24616	48020	\N	\N	\N
601760	2050	1995-07-06	PRIJEM	VKLAD	16411	45644	\N	\N	\N
601761	2050	1995-08-06	PRIJEM	VKLAD	16411	45970	\N	\N	\N
601762	2050	1995-09-06	PRIJEM	VKLAD	16411	46197	\N	\N	\N
601763	2050	1995-10-06	PRIJEM	VKLAD	16411	43214	\N	\N	\N
601764	2050	1995-11-06	PRIJEM	VKLAD	16411	42826	\N	\N	\N
601765	2050	1995-12-06	PRIJEM	VKLAD	24616	50442	\N	\N	\N
601766	2050	1996-01-06	PRIJEM	VKLAD	16411	36472	\N	\N	\N
601767	2050	1996-02-06	PRIJEM	VKLAD	16411	31872	\N	\N	\N
601768	2050	1996-03-06	PRIJEM	VKLAD	16411	34043	\N	\N	\N
601769	2050	1996-04-06	PRIJEM	VKLAD	16411	42340	\N	\N	\N
601770	2050	1996-05-06	PRIJEM	VKLAD	16411	44955	\N	\N	\N
601771	2050	1996-06-06	PRIJEM	VKLAD	24616	53378	\N	\N	\N
601772	2050	1996-07-06	PRIJEM	VKLAD	16411	38092	\N	\N	\N
601773	2050	1996-08-06	PRIJEM	VKLAD	16411	44200	\N	\N	\N
601774	2050	1996-09-06	PRIJEM	VKLAD	16411	40524	\N	\N	\N
601775	2050	1996-10-06	PRIJEM	VKLAD	16411	43331	\N	\N	\N
601776	2050	1996-11-06	PRIJEM	VKLAD	16411	47950	\N	\N	\N
601777	2050	1996-12-06	PRIJEM	VKLAD	24616	59494	\N	\N	\N
601778	2050	1997-01-06	PRIJEM	VKLAD	16411	53480	\N	\N	\N
601779	2050	1997-02-06	PRIJEM	VKLAD	16411	49746	\N	\N	\N
601780	2050	1997-03-06	PRIJEM	VKLAD	16411	53007	\N	\N	\N
601781	2050	1997-04-06	PRIJEM	VKLAD	16411	46969	\N	\N	\N
601782	2050	1997-05-06	PRIJEM	VKLAD	16411	48118	\N	\N	\N
601783	2050	1997-06-06	PRIJEM	VKLAD	24616	50265	\N	\N	\N
601784	2050	1997-07-06	PRIJEM	VKLAD	16411	44023	\N	\N	\N
601785	2050	1997-08-06	PRIJEM	VKLAD	16411	44265	\N	\N	\N
601786	2050	1997-09-06	PRIJEM	VKLAD	16411	45104	\N	\N	\N
601787	2050	1997-10-06	PRIJEM	VKLAD	16411	48246	\N	\N	\N
601788	2050	1997-11-06	PRIJEM	VKLAD	16411	47299	\N	\N	\N
601789	2050	1997-12-06	PRIJEM	VKLAD	24616	63253	\N	\N	\N
601790	2050	1998-01-06	PRIJEM	VKLAD	16411	60155	\N	\N	\N
601791	2050	1998-02-06	PRIJEM	VKLAD	16411	55623	\N	\N	\N
601792	2050	1998-03-06	PRIJEM	VKLAD	16411	64505	\N	\N	\N
601793	2050	1998-04-06	PRIJEM	VKLAD	16411	70222	\N	\N	\N
601794	2050	1998-05-06	PRIJEM	VKLAD	16411	71862	\N	\N	\N
601795	2050	1998-06-06	PRIJEM	VKLAD	24616	82914	\N	\N	\N
601796	2050	1998-07-06	PRIJEM	VKLAD	16411	68642	\N	\N	\N
601797	2050	1998-08-06	PRIJEM	VKLAD	16411	72875	\N	\N	\N
601798	2050	1998-09-06	PRIJEM	VKLAD	16411	72224	\N	\N	\N
601799	2050	1998-10-06	PRIJEM	VKLAD	16411	71970	\N	\N	\N
601800	2050	1998-11-06	PRIJEM	VKLAD	16411	72113	\N	\N	\N
601801	2050	1998-12-06	PRIJEM	VKLAD	24616	76758	\N	\N	\N
601816	2050	1994-03-13	VYDAJ	PREVOD NA UCET	3564	45906	SIPO	OP	79913246
601817	2050	1994-04-13	VYDAJ	PREVOD NA UCET	3564	44876	SIPO	OP	79913246
601818	2050	1994-05-13	VYDAJ	PREVOD NA UCET	3564	43842	SIPO	OP	79913246
601819	2050	1994-06-13	VYDAJ	PREVOD NA UCET	3564	32407	SIPO	OP	79913246
601820	2050	1994-07-13	VYDAJ	PREVOD NA UCET	3564	30632	SIPO	OP	79913246
601821	2050	1994-08-13	VYDAJ	PREVOD NA UCET	3564	33051	SIPO	OP	79913246
601822	2050	1994-09-13	VYDAJ	PREVOD NA UCET	3564	37274	SIPO	OP	79913246
601823	2050	1994-10-13	VYDAJ	PREVOD NA UCET	3564	39210	SIPO	OP	79913246
601824	2050	1994-11-13	VYDAJ	PREVOD NA UCET	3564	41255	SIPO	OP	79913246
601825	2050	1994-12-13	VYDAJ	PREVOD NA UCET	3564	44603	SIPO	OP	79913246
601826	2050	1995-01-13	VYDAJ	PREVOD NA UCET	3564	38058	SIPO	OP	79913246
601827	2050	1995-02-13	VYDAJ	PREVOD NA UCET	3564	28179	SIPO	OP	79913246
601828	2050	1995-03-13	VYDAJ	PREVOD NA UCET	3564	31282	SIPO	OP	79913246
601829	2050	1995-04-13	VYDAJ	PREVOD NA UCET	3564	32697	SIPO	OP	79913246
601830	2050	1995-05-13	VYDAJ	PREVOD NA UCET	3564	29909	SIPO	OP	79913246
601831	2050	1995-06-13	VYDAJ	PREVOD NA UCET	3564	38717	SIPO	OP	79913246
601832	2050	1995-07-13	VYDAJ	PREVOD NA UCET	3564	36341	SIPO	OP	79913246
601833	2050	1995-08-13	VYDAJ	PREVOD NA UCET	3564	30067	SIPO	OP	79913246
601834	2050	1995-09-13	VYDAJ	PREVOD NA UCET	3564	27094	SIPO	OP	79913246
601835	2050	1995-10-13	VYDAJ	PREVOD NA UCET	3564	26711	SIPO	OP	79913246
601836	2050	1995-11-13	VYDAJ	PREVOD NA UCET	3564	26823	SIPO	OP	79913246
601837	2050	1995-12-13	VYDAJ	PREVOD NA UCET	3564	32239	SIPO	OP	79913246
601838	2050	1996-01-13	VYDAJ	PREVOD NA UCET	3564	26469	SIPO	OP	79913246
601839	2050	1996-02-13	VYDAJ	PREVOD NA UCET	3564	18469	SIPO	OP	79913246
601840	2050	1996-03-13	VYDAJ	PREVOD NA UCET	3564	26240	SIPO	OP	79913246
601841	2050	1996-04-13	VYDAJ	PREVOD NA UCET	3564	28837	SIPO	OP	79913246
601842	2050	1996-05-13	VYDAJ	PREVOD NA UCET	3564	29052	SIPO	OP	79913246
601843	2050	1996-06-13	VYDAJ	PREVOD NA UCET	3564	31375	SIPO	OP	79913246
601844	2050	1996-07-13	VYDAJ	PREVOD NA UCET	3564	28089	SIPO	OP	79913246
601845	2050	1996-08-13	VYDAJ	PREVOD NA UCET	3564	32397	SIPO	OP	79913246
601846	2050	1996-09-13	VYDAJ	PREVOD NA UCET	3564	27221	SIPO	OP	79913246
601847	2050	1996-10-13	VYDAJ	PREVOD NA UCET	3564	30528	SIPO	OP	79913246
601848	2050	1996-11-13	VYDAJ	PREVOD NA UCET	3564	35447	SIPO	OP	79913246
601849	2050	1996-12-13	VYDAJ	PREVOD NA UCET	3564	49491	SIPO	OP	79913246
601850	2050	1997-01-13	VYDAJ	PREVOD NA UCET	3564	42577	SIPO	OP	79913246
601851	2050	1997-02-13	VYDAJ	PREVOD NA UCET	3564	40443	SIPO	OP	79913246
601852	2050	1997-03-13	VYDAJ	PREVOD NA UCET	3564	43704	SIPO	OP	79913246
601853	2050	1997-04-13	VYDAJ	PREVOD NA UCET	3564	37666	SIPO	OP	79913246
601854	2050	1997-05-13	VYDAJ	PREVOD NA UCET	3564	35015	SIPO	OP	79913246
601855	2050	1997-06-13	VYDAJ	PREVOD NA UCET	3564	40962	SIPO	OP	79913246
601856	2050	1997-07-13	VYDAJ	PREVOD NA UCET	3564	34720	SIPO	OP	79913246
601857	2050	1997-08-13	VYDAJ	PREVOD NA UCET	3564	34962	SIPO	OP	79913246
601858	2050	1997-09-13	VYDAJ	PREVOD NA UCET	3564	35801	SIPO	OP	79913246
601859	2050	1997-10-13	VYDAJ	PREVOD NA UCET	3564	38943	SIPO	OP	79913246
601860	2050	1997-11-13	VYDAJ	PREVOD NA UCET	3564	37996	SIPO	OP	79913246
601861	2050	1997-12-13	VYDAJ	PREVOD NA UCET	3564	53950	SIPO	OP	79913246
601862	2050	1998-01-13	VYDAJ	PREVOD NA UCET	3564	48652	SIPO	OP	79913246
601863	2050	1998-02-13	VYDAJ	PREVOD NA UCET	3564	46320	SIPO	OP	79913246
601864	2050	1998-03-13	VYDAJ	PREVOD NA UCET	3564	55202	SIPO	OP	79913246
601865	2050	1998-04-13	VYDAJ	PREVOD NA UCET	3564	60919	SIPO	OP	79913246
601866	2050	1998-05-13	VYDAJ	PREVOD NA UCET	3564	62559	SIPO	OP	79913246
601867	2050	1998-06-13	VYDAJ	PREVOD NA UCET	3564	53911	SIPO	OP	79913246
601868	2050	1998-07-13	VYDAJ	PREVOD NA UCET	3564	59339	SIPO	OP	79913246
601869	2050	1998-08-13	VYDAJ	PREVOD NA UCET	3564	63572	SIPO	OP	79913246
601870	2050	1998-09-13	VYDAJ	PREVOD NA UCET	3564	62921	SIPO	OP	79913246
601871	2050	1998-10-13	VYDAJ	PREVOD NA UCET	3564	62667	SIPO	OP	79913246
601872	2050	1998-11-13	VYDAJ	PREVOD NA UCET	3564	62810	SIPO	OP	79913246
601873	2050	1998-12-13	VYDAJ	PREVOD NA UCET	3564	67455	SIPO	OP	79913246
601888	2050	1994-03-07	VYDAJ	PREVOD NA UCET	5542	49470	 	WX	28735864
601889	2050	1994-04-07	VYDAJ	PREVOD NA UCET	5542	48440	 	WX	28735864
601890	2050	1994-05-07	VYDAJ	PREVOD NA UCET	5542	47406	 	WX	28735864
601891	2050	1994-06-07	VYDAJ	PREVOD NA UCET	5542	35971	 	WX	28735864
601892	2050	1994-07-07	VYDAJ	PREVOD NA UCET	5542	37996	 	WX	28735864
601893	2050	1994-08-07	VYDAJ	PREVOD NA UCET	5542	36615	 	WX	28735864
601894	2050	1994-09-07	VYDAJ	PREVOD NA UCET	5542	40838	 	WX	28735864
601895	2050	1994-10-07	VYDAJ	PREVOD NA UCET	5542	42774	 	WX	28735864
601896	2050	1994-11-07	VYDAJ	PREVOD NA UCET	5542	44819	 	WX	28735864
601897	2050	1994-12-07	VYDAJ	PREVOD NA UCET	5542	50067	 	WX	28735864
601898	2050	1995-01-07	VYDAJ	PREVOD NA UCET	5542	43322	 	WX	28735864
601899	2050	1995-02-07	VYDAJ	PREVOD NA UCET	5542	31743	 	WX	28735864
601900	2050	1995-03-07	VYDAJ	PREVOD NA UCET	5542	34846	 	WX	28735864
601901	2050	1995-04-07	VYDAJ	PREVOD NA UCET	5542	36261	 	WX	28735864
601902	2050	1995-05-07	VYDAJ	PREVOD NA UCET	5542	33473	 	WX	28735864
601903	2050	1995-06-07	VYDAJ	PREVOD NA UCET	5542	42281	 	WX	28735864
601904	2050	1995-07-07	VYDAJ	PREVOD NA UCET	5542	39905	 	WX	28735864
601905	2050	1995-08-07	VYDAJ	PREVOD NA UCET	5542	40231	 	WX	28735864
601906	2050	1995-09-07	VYDAJ	PREVOD NA UCET	5542	40458	 	WX	28735864
601907	2050	1995-10-07	VYDAJ	PREVOD NA UCET	5542	37475	 	WX	28735864
601908	2050	1995-11-07	VYDAJ	PREVOD NA UCET	5542	37087	 	WX	28735864
601909	2050	1995-12-07	VYDAJ	PREVOD NA UCET	5542	44703	 	WX	28735864
601910	2050	1996-01-07	VYDAJ	PREVOD NA UCET	5542	30733	 	WX	28735864
601911	2050	1996-02-07	VYDAJ	PREVOD NA UCET	5542	26133	 	WX	28735864
601912	2050	1996-03-07	VYDAJ	PREVOD NA UCET	5542	28304	 	WX	28735864
601913	2050	1996-04-07	VYDAJ	PREVOD NA UCET	5542	36601	 	WX	28735864
601914	2050	1996-05-07	VYDAJ	PREVOD NA UCET	5542	39216	 	WX	28735864
601915	2050	1996-06-07	VYDAJ	PREVOD NA UCET	5542	47639	 	WX	28735864
601916	2050	1996-07-07	VYDAJ	PREVOD NA UCET	5542	32353	 	WX	28735864
601917	2050	1996-08-07	VYDAJ	PREVOD NA UCET	5542	35961	 	WX	28735864
601918	2050	1996-09-07	VYDAJ	PREVOD NA UCET	5542	30785	 	WX	28735864
601919	2050	1996-10-07	VYDAJ	PREVOD NA UCET	5542	34092	 	WX	28735864
601920	2050	1996-11-07	VYDAJ	PREVOD NA UCET	5542	39011	 	WX	28735864
601921	2050	1996-12-07	VYDAJ	PREVOD NA UCET	5542	53755	 	WX	28735864
601922	2050	1997-01-07	VYDAJ	PREVOD NA UCET	5542	46941	 	WX	28735864
601923	2050	1997-02-07	VYDAJ	PREVOD NA UCET	5542	44007	 	WX	28735864
601924	2050	1997-03-07	VYDAJ	PREVOD NA UCET	5542	47268	 	WX	28735864
601925	2050	1997-04-07	VYDAJ	PREVOD NA UCET	5542	41230	 	WX	28735864
601926	2050	1997-05-07	VYDAJ	PREVOD NA UCET	5542	42379	 	WX	28735864
601927	2050	1997-06-07	VYDAJ	PREVOD NA UCET	5542	44526	 	WX	28735864
601928	2050	1997-07-07	VYDAJ	PREVOD NA UCET	5542	38284	 	WX	28735864
601929	2050	1997-08-07	VYDAJ	PREVOD NA UCET	5542	38526	 	WX	28735864
601930	2050	1997-09-07	VYDAJ	PREVOD NA UCET	5542	39365	 	WX	28735864
601931	2050	1997-10-07	VYDAJ	PREVOD NA UCET	5542	42507	 	WX	28735864
601932	2050	1997-11-07	VYDAJ	PREVOD NA UCET	5542	41560	 	WX	28735864
601933	2050	1997-12-07	VYDAJ	PREVOD NA UCET	5542	57514	 	WX	28735864
601934	2050	1998-01-07	VYDAJ	PREVOD NA UCET	5542	54416	 	WX	28735864
601935	2050	1998-02-07	VYDAJ	PREVOD NA UCET	5542	49884	 	WX	28735864
601936	2050	1998-03-07	VYDAJ	PREVOD NA UCET	5542	58766	 	WX	28735864
601937	2050	1998-04-07	VYDAJ	PREVOD NA UCET	5542	64483	 	WX	28735864
601938	2050	1998-05-07	VYDAJ	PREVOD NA UCET	5542	66123	 	WX	28735864
601939	2050	1998-06-07	VYDAJ	PREVOD NA UCET	5542	77175	 	WX	28735864
601940	2050	1998-07-07	VYDAJ	PREVOD NA UCET	5542	62903	 	WX	28735864
601941	2050	1998-08-07	VYDAJ	PREVOD NA UCET	5542	67136	 	WX	28735864
601942	2050	1998-09-07	VYDAJ	PREVOD NA UCET	5542	66485	 	WX	28735864
601943	2050	1998-10-07	VYDAJ	PREVOD NA UCET	5542	66231	 	WX	28735864
601944	2050	1998-11-07	VYDAJ	PREVOD NA UCET	5542	66374	 	WX	28735864
601945	2050	1998-12-07	VYDAJ	PREVOD NA UCET	5542	71019	 	WX	28735864
601960	2050	1994-03-06	VYDAJ	PREVOD NA UCET	197	55012	POJISTNE	WX	44012415
601961	2050	1994-04-06	VYDAJ	PREVOD NA UCET	197	53982	POJISTNE	WX	44012415
601962	2050	1994-05-06	VYDAJ	PREVOD NA UCET	197	52948	POJISTNE	WX	44012415
601963	2050	1994-06-06	VYDAJ	PREVOD NA UCET	197	41513	POJISTNE	WX	44012415
601964	2050	1994-07-06	VYDAJ	PREVOD NA UCET	197	43538	POJISTNE	WX	44012415
601965	2050	1994-08-06	VYDAJ	PREVOD NA UCET	197	42157	POJISTNE	WX	44012415
601966	2050	1994-09-06	VYDAJ	PREVOD NA UCET	197	46380	POJISTNE	WX	44012415
601967	2050	1994-10-06	VYDAJ	PREVOD NA UCET	197	48316	POJISTNE	WX	44012415
601968	2050	1994-11-06	VYDAJ	PREVOD NA UCET	197	50361	POJISTNE	WX	44012415
601969	2050	1994-12-06	VYDAJ	PREVOD NA UCET	197	55609	POJISTNE	WX	44012415
601970	2050	1995-01-06	VYDAJ	PREVOD NA UCET	197	48864	POJISTNE	WX	44012415
601971	2050	1995-02-06	VYDAJ	PREVOD NA UCET	197	37285	POJISTNE	WX	44012415
601972	2050	1995-03-06	VYDAJ	PREVOD NA UCET	197	40388	POJISTNE	WX	44012415
601973	2050	1995-04-06	VYDAJ	PREVOD NA UCET	197	41803	POJISTNE	WX	44012415
601974	2050	1995-05-06	VYDAJ	PREVOD NA UCET	197	39015	POJISTNE	WX	44012415
601975	2050	1995-06-06	VYDAJ	PREVOD NA UCET	197	47823	POJISTNE	WX	44012415
601976	2050	1995-07-06	VYDAJ	PREVOD NA UCET	197	45447	POJISTNE	WX	44012415
601977	2050	1995-08-06	VYDAJ	PREVOD NA UCET	197	45773	POJISTNE	WX	44012415
601978	2050	1995-09-06	VYDAJ	PREVOD NA UCET	197	46000	POJISTNE	WX	44012415
601979	2050	1995-10-06	VYDAJ	PREVOD NA UCET	197	43017	POJISTNE	WX	44012415
601980	2050	1995-11-06	VYDAJ	PREVOD NA UCET	197	42629	POJISTNE	WX	44012415
601981	2050	1995-12-06	VYDAJ	PREVOD NA UCET	197	50245	POJISTNE	WX	44012415
601982	2050	1996-01-06	VYDAJ	PREVOD NA UCET	197	36275	POJISTNE	WX	44012415
601983	2050	1996-02-06	VYDAJ	PREVOD NA UCET	197	31675	POJISTNE	WX	44012415
601984	2050	1996-03-06	VYDAJ	PREVOD NA UCET	197	33846	POJISTNE	WX	44012415
601985	2050	1996-04-06	VYDAJ	PREVOD NA UCET	197	42143	POJISTNE	WX	44012415
601986	2050	1996-05-06	VYDAJ	PREVOD NA UCET	197	44758	POJISTNE	WX	44012415
601987	2050	1996-06-06	VYDAJ	PREVOD NA UCET	197	53181	POJISTNE	WX	44012415
601988	2050	1996-07-06	VYDAJ	PREVOD NA UCET	197	37895	POJISTNE	WX	44012415
601989	2050	1996-08-06	VYDAJ	PREVOD NA UCET	197	44003	POJISTNE	WX	44012415
601990	2050	1996-09-06	VYDAJ	PREVOD NA UCET	197	36327	POJISTNE	WX	44012415
601991	2050	1996-10-06	VYDAJ	PREVOD NA UCET	197	43134	POJISTNE	WX	44012415
601992	2050	1996-11-06	VYDAJ	PREVOD NA UCET	197	47753	POJISTNE	WX	44012415
601993	2050	1996-12-06	VYDAJ	PREVOD NA UCET	197	59297	POJISTNE	WX	44012415
601994	2050	1997-01-06	VYDAJ	PREVOD NA UCET	197	52483	POJISTNE	WX	44012415
601995	2050	1997-02-06	VYDAJ	PREVOD NA UCET	197	49549	POJISTNE	WX	44012415
601996	2050	1997-03-06	VYDAJ	PREVOD NA UCET	197	52810	POJISTNE	WX	44012415
601997	2050	1997-04-06	VYDAJ	PREVOD NA UCET	197	46772	POJISTNE	WX	44012415
601998	2050	1997-05-06	VYDAJ	PREVOD NA UCET	197	47921	POJISTNE	WX	44012415
601999	2050	1997-06-06	VYDAJ	PREVOD NA UCET	197	50068	POJISTNE	WX	44012415
602000	2050	1997-07-06	VYDAJ	PREVOD NA UCET	197	43826	POJISTNE	WX	44012415
602001	2050	1997-08-06	VYDAJ	PREVOD NA UCET	197	44068	POJISTNE	WX	44012415
602002	2050	1997-09-06	VYDAJ	PREVOD NA UCET	197	44907	POJISTNE	WX	44012415
602003	2050	1997-10-06	VYDAJ	PREVOD NA UCET	197	48049	POJISTNE	WX	44012415
602004	2050	1997-11-06	VYDAJ	PREVOD NA UCET	197	47102	POJISTNE	WX	44012415
602005	2050	1997-12-06	VYDAJ	PREVOD NA UCET	197	63056	POJISTNE	WX	44012415
602006	2050	1998-01-06	VYDAJ	PREVOD NA UCET	197	59958	POJISTNE	WX	44012415
602007	2050	1998-02-06	VYDAJ	PREVOD NA UCET	197	55426	POJISTNE	WX	44012415
602008	2050	1998-03-06	VYDAJ	PREVOD NA UCET	197	64308	POJISTNE	WX	44012415
602009	2050	1998-04-06	VYDAJ	PREVOD NA UCET	197	70025	POJISTNE	WX	44012415
602010	2050	1998-05-06	VYDAJ	PREVOD NA UCET	197	71665	POJISTNE	WX	44012415
602011	2050	1998-06-06	VYDAJ	PREVOD NA UCET	197	82717	POJISTNE	WX	44012415
602012	2050	1998-07-06	VYDAJ	PREVOD NA UCET	197	68445	POJISTNE	WX	44012415
602013	2050	1998-08-06	VYDAJ	PREVOD NA UCET	197	72678	POJISTNE	WX	44012415
602014	2050	1998-09-06	VYDAJ	PREVOD NA UCET	197	72027	POJISTNE	WX	44012415
602015	2050	1998-10-06	VYDAJ	PREVOD NA UCET	197	71773	POJISTNE	WX	44012415
602016	2050	1998-11-06	VYDAJ	PREVOD NA UCET	197	71916	POJISTNE	WX	44012415
602017	2050	1998-12-06	VYDAJ	PREVOD NA UCET	197	76561	POJISTNE	WX	44012415
602032	2050	1994-03-14	VYDAJ	PREVOD NA UCET	401	45505	 	KL	89135688
602033	2050	1994-04-14	VYDAJ	PREVOD NA UCET	401	44475	 	KL	89135688
602034	2050	1994-05-14	VYDAJ	PREVOD NA UCET	401	43441	 	KL	89135688
602035	2050	1994-06-14	VYDAJ	PREVOD NA UCET	401	32006	 	KL	89135688
602036	2050	1994-07-14	VYDAJ	PREVOD NA UCET	401	30231	 	KL	89135688
602037	2050	1994-08-14	VYDAJ	PREVOD NA UCET	401	32650	 	KL	89135688
602038	2050	1994-09-14	VYDAJ	PREVOD NA UCET	401	35373	 	KL	89135688
602039	2050	1994-10-14	VYDAJ	PREVOD NA UCET	401	38809	 	KL	89135688
602040	2050	1994-11-14	VYDAJ	PREVOD NA UCET	401	40854	 	KL	89135688
602041	2050	1994-12-14	VYDAJ	PREVOD NA UCET	401	44202	 	KL	89135688
602042	2050	1995-01-14	VYDAJ	PREVOD NA UCET	401	37657	 	KL	89135688
602043	2050	1995-02-14	VYDAJ	PREVOD NA UCET	401	26978	 	KL	89135688
602044	2050	1995-03-14	VYDAJ	PREVOD NA UCET	401	30881	 	KL	89135688
602045	2050	1995-04-14	VYDAJ	PREVOD NA UCET	401	32296	 	KL	89135688
602046	2050	1995-05-14	VYDAJ	PREVOD NA UCET	401	29508	 	KL	89135688
602047	2050	1995-06-14	VYDAJ	PREVOD NA UCET	401	38316	 	KL	89135688
602048	2050	1995-07-14	VYDAJ	PREVOD NA UCET	401	29440	 	KL	89135688
602049	2050	1995-08-14	VYDAJ	PREVOD NA UCET	401	29666	 	KL	89135688
602050	2050	1995-09-14	VYDAJ	PREVOD NA UCET	401	26693	 	KL	89135688
602051	2050	1995-10-14	VYDAJ	PREVOD NA UCET	401	26310	 	KL	89135688
602052	2050	1995-11-14	VYDAJ	PREVOD NA UCET	401	26422	 	KL	89135688
602053	2050	1995-12-14	VYDAJ	PREVOD NA UCET	401	31838	 	KL	89135688
602054	2050	1996-01-14	VYDAJ	PREVOD NA UCET	401	26068	 	KL	89135688
602055	2050	1996-02-14	VYDAJ	PREVOD NA UCET	401	18068	 	KL	89135688
602056	2050	1996-03-14	VYDAJ	PREVOD NA UCET	401	25839	 	KL	89135688
602057	2050	1996-04-14	VYDAJ	PREVOD NA UCET	401	28436	 	KL	89135688
602058	2050	1996-05-14	VYDAJ	PREVOD NA UCET	401	28651	 	KL	89135688
602059	2050	1996-06-14	VYDAJ	PREVOD NA UCET	401	30974	 	KL	89135688
602060	2050	1996-07-14	VYDAJ	PREVOD NA UCET	401	27688	 	KL	89135688
602061	2050	1996-08-14	VYDAJ	PREVOD NA UCET	401	31996	 	KL	89135688
602062	2050	1996-09-14	VYDAJ	PREVOD NA UCET	401	26820	 	KL	89135688
602063	2050	1996-10-14	VYDAJ	PREVOD NA UCET	401	30127	 	KL	89135688
602064	2050	1996-11-14	VYDAJ	PREVOD NA UCET	401	35046	 	KL	89135688
602065	2050	1996-12-14	VYDAJ	PREVOD NA UCET	401	49090	 	KL	89135688
602066	2050	1997-01-14	VYDAJ	PREVOD NA UCET	401	42176	 	KL	89135688
602067	2050	1997-02-14	VYDAJ	PREVOD NA UCET	401	40042	 	KL	89135688
602068	2050	1997-03-14	VYDAJ	PREVOD NA UCET	401	43303	 	KL	89135688
602069	2050	1997-04-14	VYDAJ	PREVOD NA UCET	401	37265	 	KL	89135688
602070	2050	1997-05-14	VYDAJ	PREVOD NA UCET	401	34614	 	KL	89135688
602071	2050	1997-06-14	VYDAJ	PREVOD NA UCET	401	40561	 	KL	89135688
602072	2050	1997-07-14	VYDAJ	PREVOD NA UCET	401	34319	 	KL	89135688
602073	2050	1997-08-14	VYDAJ	PREVOD NA UCET	401	34561	 	KL	89135688
602074	2050	1997-09-14	VYDAJ	PREVOD NA UCET	401	35400	 	KL	89135688
602075	2050	1997-10-14	VYDAJ	PREVOD NA UCET	401	38542	 	KL	89135688
602076	2050	1997-11-14	VYDAJ	PREVOD NA UCET	401	37595	 	KL	89135688
602077	2050	1997-12-14	VYDAJ	PREVOD NA UCET	401	53549	 	KL	89135688
602078	2050	1998-01-14	VYDAJ	PREVOD NA UCET	401	47351	 	KL	89135688
602079	2050	1998-02-14	VYDAJ	PREVOD NA UCET	401	45919	 	KL	89135688
602080	2050	1998-03-14	VYDAJ	PREVOD NA UCET	401	54801	 	KL	89135688
602081	2050	1998-04-14	VYDAJ	PREVOD NA UCET	401	60518	 	KL	89135688
602082	2050	1998-05-14	VYDAJ	PREVOD NA UCET	401	62158	 	KL	89135688
602083	2050	1998-06-14	VYDAJ	PREVOD NA UCET	401	53510	 	KL	89135688
602084	2050	1998-07-14	VYDAJ	PREVOD NA UCET	401	58938	 	KL	89135688
602085	2050	1998-08-14	VYDAJ	PREVOD NA UCET	401	63171	 	KL	89135688
602086	2050	1998-09-14	VYDAJ	PREVOD NA UCET	401	62520	 	KL	89135688
602087	2050	1998-10-14	VYDAJ	PREVOD NA UCET	401	62266	 	KL	89135688
602088	2050	1998-11-14	VYDAJ	PREVOD NA UCET	401	62409	 	KL	89135688
602089	2050	1998-12-14	VYDAJ	PREVOD NA UCET	401	67054	 	KL	89135688
602091	2050	1994-06-05	VYDAJ	VYBER	18400	17094	\N	\N	\N
602093	2050	1996-06-21	VYDAJ	VYBER	9400	21574	\N	\N	\N
602095	2050	1998-06-09	VYDAJ	VYBER	19700	57475	\N	\N	\N
602098	2050	1995-01-20	VYDAJ	VYBER	8300	20957	\N	\N	\N
602099	2050	1996-01-29	VYDAJ	VYBER	8500	15368	\N	\N	\N
602100	2050	1997-01-01	VYDAJ	VYBER	4300	41969	\N	\N	\N
602101	2050	1998-01-15	VYDAJ	VYBER	9100	38251	\N	\N	\N
602103	2050	1994-12-08	VYDAJ	VYBER	1900	48167	\N	\N	\N
602104	2050	1995-12-26	VYDAJ	VYBER	1900	29938	\N	\N	\N
602105	2050	1996-12-11	VYDAJ	VYBER	700	53055	\N	\N	\N
602106	2050	1997-12-18	VYDAJ	VYBER	2300	51249	\N	\N	\N
602107	2050	1998-12-19	VYDAJ	VYBER KARTOU	2000	65054	\N	\N	0
602120	2050	1995-01-09	VYDAJ	VYBER	600	42722	\N	\N	\N
602121	2050	1995-01-03	VYDAJ	VYBER	800	32650	\N	\N	\N
602122	2050	1995-01-10	VYDAJ	VYBER	1100	41622	\N	\N	\N
602123	2050	1995-01-19	VYDAJ	VYBER	1000	29257	\N	\N	\N
602124	2050	1995-01-15	VYDAJ	VYBER	2100	30257	\N	\N	\N
602125	2050	1995-01-01	VYDAJ	VYBER	2800	33450	\N	\N	\N
602126	2050	1996-01-04	VYDAJ	VYBER	2900	22361	\N	\N	\N
602127	2050	1996-01-04	VYDAJ	VYBER	2200	25261	\N	\N	\N
602128	2050	1996-01-05	VYDAJ	VYBER	2300	20061	\N	\N	\N
602129	2050	1996-01-01	VYDAJ	VYBER	2600	27461	\N	\N	\N
602130	2050	1996-01-10	VYDAJ	VYBER	1000	30033	\N	\N	\N
602131	2050	1996-01-27	VYDAJ	VYBER	2200	23868	\N	\N	\N
602132	2050	1997-01-04	VYDAJ	VYBER	2500	39469	\N	\N	\N
602133	2050	1997-01-22	VYDAJ	VYBER	2600	38176	\N	\N	\N
602134	2050	1997-01-14	VYDAJ	VYBER	1400	40776	\N	\N	\N
602135	2050	1997-01-12	VYDAJ	VYBER	800	46141	\N	\N	\N
602136	2050	1997-01-06	VYDAJ	VYBER	800	52680	\N	\N	\N
602137	2050	1997-01-29	VYDAJ	VYBER	900	37276	\N	\N	\N
602138	2050	1998-01-05	VYDAJ	VYBER	2100	43744	\N	\N	\N
602139	2050	1998-01-09	VYDAJ	VYBER	2200	52216	\N	\N	\N
602140	2050	1998-01-13	VYDAJ	VYBER	900	47752	\N	\N	\N
602141	2050	1998-01-28	VYDAJ	VYBER	2700	32851	\N	\N	\N
602142	2050	1998-01-20	VYDAJ	VYBER	2700	35551	\N	\N	\N
602143	2050	1998-01-01	VYDAJ	VYBER	600	45844	\N	\N	\N
602149	2050	1994-07-28	VYDAJ	VYBER	3800	25831	\N	\N	\N
602150	2050	1994-09-14	VYDAJ	VYBER	1500	35774	\N	\N	\N
602151	2050	1994-11-26	VYDAJ	VYBER	700	31054	\N	\N	\N
602152	2050	1994-07-08	VYDAJ	VYBER	3800	34196	\N	\N	\N
602153	2050	1995-03-31	VYDAJ	VYBER	3100	25589	\N	\N	\N
602154	2050	1995-04-27	VYDAJ	VYBER	3700	22696	\N	\N	\N
602155	2050	1995-11-14	VYDAJ	VYBER	700	25722	\N	\N	\N
602156	2050	1995-02-21	VYDAJ	VYBER	2900	24078	\N	\N	\N
602157	2050	1995-05-28	VYDAJ	VYBER	1100	23308	\N	\N	\N
602158	2050	1995-09-10	VYDAJ	VYBER	2400	38058	\N	\N	\N
602159	2050	1996-02-08	VYDAJ	VYBER	3000	23133	\N	\N	\N
602160	2050	1996-08-28	VYDAJ	VYBER	3200	23996	\N	\N	\N
602161	2050	1996-12-18	VYDAJ	VYBER	3000	46090	\N	\N	\N
602162	2050	1996-08-25	VYDAJ	VYBER	4800	27196	\N	\N	\N
602163	2050	1996-02-20	VYDAJ	VYBER	500	17568	\N	\N	\N
602164	2050	1996-11-06	VYDAJ	VYBER	3200	44553	\N	\N	\N
602165	2050	1997-05-30	VYDAJ	VYBER	2400	32214	\N	\N	\N
602166	2050	1997-03-15	VYDAJ	VYBER	3300	40003	\N	\N	\N
602167	2050	1997-11-30	VYDAJ	VYBER	3000	38652	\N	\N	\N
602168	2050	1997-05-08	VYDAJ	VYBER	3800	38579	\N	\N	\N
602169	2050	1997-11-03	VYDAJ	VYBER	2200	33488	\N	\N	\N
602170	2050	1997-03-26	VYDAJ	VYBER	4700	35303	\N	\N	\N
602171	2050	1997-11-05	VYDAJ	VYBER	2600	30888	\N	\N	\N
602172	2050	1998-09-02	VYDAJ	VYBER	2500	55813	\N	\N	\N
602188	2050	1994-03-31	VYDAJ	VYBER	15	37768	SLUZBY	\N	\N
602189	2050	1994-04-30	VYDAJ	VYBER	15	36734	SLUZBY	\N	\N
602190	2050	1994-05-31	VYDAJ	VYBER	15	35494	SLUZBY	\N	\N
602191	2050	1994-06-30	VYDAJ	VYBER	15	27324	SLUZBY	\N	\N
602192	2050	1994-07-31	VYDAJ	VYBER	15	25943	SLUZBY	\N	\N
602193	2050	1994-08-31	VYDAJ	VYBER	15	30166	SLUZBY	\N	\N
602194	2050	1994-09-30	VYDAJ	VYBER	15	32102	SLUZBY	\N	\N
602195	2050	1994-10-31	VYDAJ	VYBER	15	34147	SLUZBY	\N	\N
602196	2050	1994-11-30	VYDAJ	VYBER	15	31190	SLUZBY	\N	\N
602197	2050	1994-12-31	VYDAJ	VYBER	15	36250	SLUZBY	\N	\N
602198	2050	1995-01-31	VYDAJ	VYBER	15	21071	SLUZBY	\N	\N
602199	2050	1995-02-28	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
602200	2050	1995-03-31	VYDAJ	VYBER	15	28689	SLUZBY	\N	\N
602201	2050	1995-04-30	VYDAJ	VYBER	15	22801	SLUZBY	\N	\N
602202	2050	1995-05-31	VYDAJ	VYBER	15	23404	SLUZBY	\N	\N
602203	2050	1995-06-30	VYDAJ	VYBER	15	29233	SLUZBY	\N	\N
602204	2050	1995-07-31	VYDAJ	VYBER	15	29559	SLUZBY	\N	\N
602205	2050	1995-08-31	VYDAJ	VYBER	15	29786	SLUZBY	\N	\N
602206	2050	1995-09-30	VYDAJ	VYBER	15	26803	SLUZBY	\N	\N
602207	2050	1995-10-31	VYDAJ	VYBER	15	26415	SLUZBY	\N	\N
602208	2050	1995-11-30	VYDAJ	VYBER	15	25826	SLUZBY	\N	\N
602209	2050	1995-12-31	VYDAJ	VYBER	15	30061	SLUZBY	\N	\N
602210	2050	1996-01-31	VYDAJ	VYBER	15	15461	SLUZBY	\N	\N
602211	2050	1996-02-29	VYDAJ	VYBER	15	17632	SLUZBY	\N	\N
602212	2050	1996-03-31	VYDAJ	VYBER	15	25929	SLUZBY	\N	\N
602213	2050	1996-04-30	VYDAJ	VYBER	15	28544	SLUZBY	\N	\N
602214	2050	1996-05-31	VYDAJ	VYBER	15	28762	SLUZBY	\N	\N
602215	2050	1996-06-30	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
602216	2050	1996-07-31	VYDAJ	VYBER	15	27789	SLUZBY	\N	\N
602217	2050	1996-08-31	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
602218	2050	1996-09-30	VYDAJ	VYBER	15	26920	SLUZBY	\N	\N
602219	2050	1996-10-31	VYDAJ	VYBER	15	30239	SLUZBY	\N	\N
602220	2050	1996-11-30	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
602221	2050	1996-12-31	VYDAJ	VYBER	15	46269	SLUZBY	\N	\N
602222	2050	1997-01-31	VYDAJ	VYBER	15	37435	SLUZBY	\N	\N
602223	2050	1997-02-28	VYDAJ	VYBER	15	40196	SLUZBY	\N	\N
602224	2050	1997-03-31	VYDAJ	VYBER	15	35458	SLUZBY	\N	\N
602225	2050	1997-04-30	VYDAJ	VYBER	15	37407	SLUZBY	\N	\N
602226	2050	1997-05-31	VYDAJ	VYBER	15	32349	SLUZBY	\N	\N
602227	2050	1997-06-30	VYDAJ	VYBER	15	40712	SLUZBY	\N	\N
602228	2050	1997-07-31	VYDAJ	VYBER	15	34454	SLUZBY	\N	\N
602229	2050	1997-08-31	VYDAJ	VYBER	15	34693	SLUZBY	\N	\N
602230	2050	1997-09-30	VYDAJ	VYBER	15	35535	SLUZBY	\N	\N
602231	2050	1997-10-31	VYDAJ	VYBER	15	38688	SLUZBY	\N	\N
602232	2050	1997-11-30	VYDAJ	VYBER	15	38637	SLUZBY	\N	\N
602233	2050	1997-12-31	VYDAJ	VYBER	15	46444	SLUZBY	\N	\N
602234	2050	1998-01-31	VYDAJ	VYBER	15	39212	SLUZBY	\N	\N
602235	2050	1998-02-28	VYDAJ	VYBER	15	48094	SLUZBY	\N	\N
602236	2050	1998-03-31	VYDAJ	VYBER	15	53811	SLUZBY	\N	\N
602237	2050	1998-04-30	VYDAJ	VYBER	15	55451	SLUZBY	\N	\N
602238	2050	1998-05-31	VYDAJ	VYBER	15	58298	SLUZBY	\N	\N
602239	2050	1998-06-30	VYDAJ	VYBER	15	52231	SLUZBY	\N	\N
602240	2050	1998-07-31	VYDAJ	VYBER	15	56464	SLUZBY	\N	\N
602241	2050	1998-08-31	VYDAJ	VYBER	15	58313	SLUZBY	\N	\N
602242	2050	1998-09-30	VYDAJ	VYBER	15	55559	SLUZBY	\N	\N
602243	2050	1998-10-31	VYDAJ	VYBER	15	55702	SLUZBY	\N	\N
602244	2050	1998-11-30	VYDAJ	VYBER	15	52142	SLUZBY	\N	\N
602245	2050	1993-11-21	PRIJEM	VKLAD	3800	21111	\N	\N	\N
602246	2050	1993-12-21	VYDAJ	VYBER	11900	33856	\N	\N	\N
602247	2050	1994-01-20	VYDAJ	VYBER	11100	39274	\N	\N	\N
602248	2050	1994-02-19	VYDAJ	VYBER	17200	38635	\N	\N	\N
602249	2050	1994-03-21	VYDAJ	VYBER	7900	37605	\N	\N	\N
602250	2050	1994-04-20	VYDAJ	VYBER	7900	36575	\N	\N	\N
602251	2050	1994-05-20	VYDAJ	VYBER	8100	35341	\N	\N	\N
602252	2050	1994-06-19	VYDAJ	VYBER	4800	27206	\N	\N	\N
602253	2050	1994-07-19	VYDAJ	VYBER	600	29631	\N	\N	\N
602254	2050	1994-08-18	VYDAJ	VYBER	2600	30050	\N	\N	\N
602255	2050	1994-09-17	VYDAJ	VYBER	3400	31973	\N	\N	\N
602256	2050	1994-10-17	VYDAJ	VYBER	4800	34009	\N	\N	\N
602257	2050	1994-11-16	VYDAJ	VYBER	9100	31754	\N	\N	\N
602258	2050	1994-12-16	VYDAJ	VYBER	8100	36102	\N	\N	\N
602259	2050	1995-01-15	VYDAJ	VYBER	5300	32357	\N	\N	\N
602260	2050	1995-02-14	VYDAJ	VYBER	800	27379	\N	\N	\N
602261	2050	1995-03-16	VYDAJ	VYBER	2300	28581	\N	\N	\N
602262	2050	1995-04-15	VYDAJ	VYBER	5900	26396	\N	\N	\N
602263	2050	1995-05-15	VYDAJ	VYBER	5100	24408	\N	\N	\N
602264	2050	1995-06-14	VYDAJ	VYBER	9200	29116	\N	\N	\N
602265	2050	1995-07-14	VYDAJ	VYBER	6500	29841	\N	\N	\N
602266	2050	1995-08-13	VYDAJ	VYBER	6600	33631	\N	\N	\N
602267	2050	1995-09-12	VYDAJ	VYBER	7400	30658	\N	\N	\N
602268	2050	1995-10-12	VYDAJ	VYBER	7200	30275	\N	\N	\N
602269	2050	1995-11-11	VYDAJ	VYBER	6700	30387	\N	\N	\N
602270	2050	1995-12-11	VYDAJ	VYBER	8900	35803	\N	\N	\N
602271	2050	1996-01-10	PRIJEM	VKLAD	300	31033	\N	\N	\N
602272	2050	1996-02-09	VYDAJ	VYBER	1100	22033	\N	\N	\N
602273	2050	1996-03-10	PRIJEM	VKLAD	1500	29804	\N	\N	\N
602274	2050	1996-04-09	VYDAJ	VYBER	4200	32401	\N	\N	\N
602275	2050	1996-05-09	VYDAJ	VYBER	6600	32616	\N	\N	\N
602276	2050	1996-06-08	VYDAJ	VYBER	12700	34939	\N	\N	\N
602277	2050	1996-07-08	VYDAJ	VYBER	700	31653	\N	\N	\N
602278	2050	1996-08-07	VYDAJ	VYBER	2500	41503	\N	\N	\N
602279	2050	1996-09-06	VYDAJ	VYBER	4000	36524	\N	\N	\N
602280	2050	1996-10-06	VYDAJ	VYBER	3500	39634	\N	\N	\N
602281	2050	1996-11-05	PRIJEM	VKLAD	1300	31539	\N	\N	\N
602282	2050	1996-12-05	VYDAJ	VYBER	300	34878	\N	\N	\N
602283	2050	1997-01-04	VYDAJ	VYBER	2400	37069	\N	\N	\N
602284	2050	1997-02-03	VYDAJ	VYBER	4100	33335	\N	\N	\N
602285	2050	1997-03-05	VYDAJ	VYBER	3600	36596	\N	\N	\N
602286	2050	1997-04-04	VYDAJ	VYBER	4900	30558	\N	\N	\N
602287	2050	1997-05-04	VYDAJ	VYBER	5700	31707	\N	\N	\N
602288	2050	1997-06-03	VYDAJ	VYBER	6700	25649	\N	\N	\N
602289	2050	1997-07-03	VYDAJ	VYBER	13100	27612	\N	\N	\N
602290	2050	1997-08-02	VYDAJ	VYBER	6600	27854	\N	\N	\N
602291	2050	1997-09-01	VYDAJ	VYBER	6000	28693	\N	\N	\N
602292	2050	1997-10-01	VYDAJ	VYBER	3700	31835	\N	\N	\N
602293	2050	1997-10-31	VYDAJ	VYBER	3000	35688	\N	\N	\N
602294	2050	1997-11-30	PRIJEM	VKLAD	3900	41495	\N	\N	\N
602295	2050	1997-12-30	VYDAJ	VYBER	5000	46249	\N	\N	\N
602296	2050	1998-01-29	PRIJEM	VKLAD	6200	39051	\N	\N	\N
602297	2050	1998-02-28	PRIJEM	VKLAD	2000	48108	\N	\N	\N
602298	2050	1998-03-30	VYDAJ	VYBER	1200	53601	\N	\N	\N
602299	2050	1998-04-29	VYDAJ	VYBER	5300	55218	\N	\N	\N
602300	2050	1998-05-29	VYDAJ	VYBER	4100	58058	\N	\N	\N
602301	2050	1998-06-28	VYDAJ	VYBER	1500	52010	\N	\N	\N
602302	2050	1998-07-28	VYDAJ	VYBER	2700	56238	\N	\N	\N
602303	2050	1998-08-27	VYDAJ	VYBER	5100	58071	\N	\N	\N
602304	2050	1998-09-26	VYDAJ	VYBER	7200	55320	\N	\N	\N
602305	2050	1998-10-26	VYDAJ	VYBER	6800	55466	\N	\N	\N
602306	2050	1998-11-25	VYDAJ	VYBER	10500	51909	\N	\N	\N
602369	2051	1995-11-08	PRIJEM	VKLAD	900	900	\N	\N	\N
602372	2051	1996-12-08	PRIJEM	VKLAD	10422	87707	\N	\N	\N
602373	2051	1996-07-10	PRIJEM	VKLAD	29124	74555	\N	\N	\N
602374	2051	1996-08-23	PRIJEM	VKLAD	23385	123603	\N	\N	\N
602375	2051	1996-12-04	PRIJEM	VKLAD	47725	77285	\N	\N	\N
602376	2051	1996-08-13	PRIJEM	VKLAD	28214	89630	\N	\N	\N
602377	2051	1996-09-21	PRIJEM	VKLAD	23004	100774	\N	\N	\N
602378	2051	1996-03-10	PRIJEM	VKLAD	47093	80523	\N	\N	\N
602379	2051	1996-07-15	PRIJEM	VKLAD	25243	99798	\N	\N	\N
602380	2051	1996-08-16	PRIJEM	VKLAD	43188	132818	\N	\N	\N
602381	2051	1996-05-29	PRIJEM	VKLAD	43559	94418	\N	\N	\N
602382	2051	1996-11-24	PRIJEM	VKLAD	14162	41549	\N	\N	\N
602383	2051	1996-09-05	PRIJEM	VKLAD	17539	76430	\N	\N	\N
602384	2051	1996-09-08	PRIJEM	VKLAD	6940	83370	\N	\N	\N
602385	2051	1996-02-16	PRIJEM	VKLAD	15137	42605	\N	\N	\N
602386	2051	1996-08-31	PRIJEM	VKLAD	8725	92621	\N	\N	\N
602387	2051	1996-05-15	PRIJEM	VKLAD	16811	50859	\N	\N	\N
602388	2051	1996-12-27	PRIJEM	VKLAD	29265	84159	\N	\N	\N
602389	2051	1996-06-30	PRIJEM	VKLAD	25915	67641	\N	\N	\N
602390	2051	1996-02-01	PRIJEM	VKLAD	14368	32768	\N	\N	\N
602391	2051	1997-10-16	PRIJEM	VKLAD	48271	64242	\N	\N	\N
602392	2051	1997-09-03	PRIJEM	VKLAD	34597	39006	\N	\N	\N
602393	2051	1997-06-24	PRIJEM	VKLAD	37396	35501	\N	\N	\N
602394	2051	1998-08-17	PRIJEM	VKLAD	47977	109270	\N	\N	\N
602395	2051	1998-04-13	PRIJEM	VKLAD	39844	128092	\N	\N	\N
602396	2051	1998-01-27	PRIJEM	VKLAD	31918	65991	\N	\N	\N
602397	2051	1998-10-09	PRIJEM	VKLAD	30507	127963	\N	\N	\N
602398	2051	1998-11-14	PRIJEM	VKLAD	39660	84700	\N	\N	\N
602399	2051	1998-05-26	PRIJEM	VKLAD	26208	87156	\N	\N	\N
602400	2051	1998-05-29	PRIJEM	VKLAD	10135	105202	\N	\N	\N
602401	2051	1998-03-30	PRIJEM	VKLAD	22941	81310	\N	\N	\N
602402	2051	1998-01-10	PRIJEM	VKLAD	47900	97038	\N	\N	\N
602403	2051	1998-01-03	PRIJEM	VKLAD	22367	35279	\N	\N	\N
602404	2051	1998-08-31	PRIJEM	VKLAD	38538	84406	\N	\N	\N
602405	2051	1998-10-10	PRIJEM	VKLAD	35332	107495	\N	\N	\N
602406	2051	1998-10-03	PRIJEM	VKLAD	40288	97456	\N	\N	\N
602407	2051	1998-01-17	PRIJEM	VKLAD	6634	98774	\N	\N	\N
602408	2051	1998-05-10	PRIJEM	VKLAD	11944	65846	\N	\N	\N
602409	2051	1998-12-22	PRIJEM	VKLAD	21033	92221	\N	\N	\N
602410	2051	1998-07-18	PRIJEM	VKLAD	46991	103821	\N	\N	\N
602411	2051	1998-12-01	PRIJEM	VKLAD	25525	74953	\N	\N	\N
602412	2051	1998-01-25	PRIJEM	VKLAD	33999	108473	\N	\N	\N
602413	2051	1998-03-01	PRIJEM	VKLAD	12849	53810	\N	\N	\N
602414	2051	1998-03-19	PRIJEM	VKLAD	48257	97169	\N	\N	\N
602415	2051	1998-12-21	PRIJEM	VKLAD	36259	133188	\N	\N	\N
602416	2051	1998-12-20	PRIJEM	VKLAD	34674	96929	\N	\N	\N
602417	2051	1998-11-05	PRIJEM	VKLAD	10537	49938	\N	\N	\N
602418	2051	1998-05-28	PRIJEM	VKLAD	41911	95067	\N	\N	\N
602419	2051	1998-01-08	PRIJEM	VKLAD	19259	51538	\N	\N	\N
602420	2051	1998-04-24	PRIJEM	VKLAD	17773	115865	\N	\N	\N
602421	2051	1998-04-01	PRIJEM	VKLAD	48310	129846	\N	\N	\N
602439	2051	1996-06-06	VYDAJ	VYBER	4700	50726	\N	\N	0
602440	2051	1996-07-18	VYDAJ	VYBER	6200	93598	\N	\N	0
602441	2051	1996-08-18	VYDAJ	VYBER	3600	100218	\N	\N	0
602442	2051	1996-09-13	VYDAJ	VYBER	5600	77770	\N	\N	0
602443	2051	1996-10-03	VYDAJ	VYBER	4100	79549	\N	\N	0
602444	2051	1996-11-11	VYDAJ	VYBER	5100	27387	\N	\N	0
602445	2051	1996-12-09	VYDAJ	VYBER	4600	83107	\N	\N	0
602446	2051	1997-01-23	VYDAJ	VYBER	5000	4365	\N	\N	0
602447	2051	1997-02-16	VYDAJ	VYBER	6800	1993	\N	\N	0
602454	2051	1997-09-12	VYDAJ	PREVOD NA UCET	4898	34108	UVER	UV	74274343
602455	2051	1997-10-12	VYDAJ	PREVOD NA UCET	4898	15971	UVER	UV	74274343
602456	2051	1997-11-12	VYDAJ	PREVOD NA UCET	4898	24586	UVER	UV	74274343
602457	2051	1997-12-12	VYDAJ	PREVOD NA UCET	4898	14072	UVER	UV	74274343
602458	2051	1998-01-12	VYDAJ	PREVOD NA UCET	4898	92140	UVER	UV	74274343
602459	2051	1998-02-12	VYDAJ	PREVOD NA UCET	4898	61331	UVER	UV	74274343
602460	2051	1998-03-12	VYDAJ	PREVOD NA UCET	4898	48912	UVER	UV	74274343
602461	2051	1998-04-12	VYDAJ	PREVOD NA UCET	4898	88248	UVER	UV	74274343
602462	2051	1998-05-12	VYDAJ	PREVOD NA UCET	4898	60948	UVER	UV	74274343
602463	2051	1998-06-12	VYDAJ	PREVOD NA UCET	4898	100556	UVER	UV	74274343
602464	2051	1998-07-12	VYDAJ	PREVOD NA UCET	4898	56830	UVER	UV	74274343
602465	2051	1998-08-12	VYDAJ	PREVOD NA UCET	4898	61293	UVER	UV	74274343
602466	2051	1998-09-12	VYDAJ	PREVOD NA UCET	4898	79478	UVER	UV	74274343
602467	2051	1998-10-12	VYDAJ	PREVOD NA UCET	4898	54996	UVER	UV	74274343
602468	2051	1998-11-12	VYDAJ	PREVOD NA UCET	4898	45040	UVER	UV	74274343
602469	2051	1998-12-12	VYDAJ	PREVOD NA UCET	4898	62255	UVER	UV	74274343
602474	2051	1996-10-07	VYBER	VYBER	12206	36943	\N	\N	\N
602475	2051	1996-05-30	VYBER	VYBER	4147	90271	\N	\N	\N
602477	2051	1996-12-26	VYBER	VYBER	8581	54894	\N	\N	\N
602478	2051	1996-12-26	VYBER	VYBER	3432	63475	\N	\N	\N
602483	2051	1996-09-21	VYBER	VYBER	17460	83314	\N	\N	\N
602484	2051	1997-01-02	VYBER	VYBER	23460	24965	\N	\N	\N
602486	2051	1997-03-11	VYBER	VYBER	8364	-2763	\N	\N	\N
602488	2051	1997-06-24	VYBER	VYBER	3535	31966	\N	\N	\N
602489	2051	1997-11-02	VYBER	VYBER	5492	29484	\N	\N	\N
602493	2051	1997-03-01	VYBER	VYBER	3297	-1299	\N	\N	\N
602496	2051	1997-07-08	VYBER	VYBER	20890	-2213	\N	\N	\N
602497	2051	1998-11-14	VYBER	VYBER	16149	68551	\N	\N	\N
602499	2051	1996-12-19	VYDAJ	VYBER	2100	66907	\N	\N	\N
602500	2051	1997-12-21	VYDAJ	VYBER	1500	12572	\N	\N	\N
602501	2051	1998-12-01	VYDAJ	VYBER KARTOU	7800	67153	\N	\N	0
602514	2051	1997-01-05	VYDAJ	VYBER	6600	18365	\N	\N	\N
602516	2051	1997-01-01	VYDAJ	VYBER	1500	48425	\N	\N	\N
602517	2051	1997-01-16	VYDAJ	VYBER	2700	15665	\N	\N	\N
602519	2051	1997-01-17	VYDAJ	VYBER	6300	9365	\N	\N	\N
602520	2051	1998-01-20	VYDAJ	VYBER	5400	78674	\N	\N	\N
602521	2051	1998-01-04	VYDAJ	VYBER	3000	32279	\N	\N	\N
602522	2051	1998-01-23	VYDAJ	VYBER	2700	74474	\N	\N	\N
602523	2051	1998-01-21	VYDAJ	VYBER	1500	77174	\N	\N	\N
602524	2051	1998-01-09	VYDAJ	VYBER	2400	49138	\N	\N	\N
602525	2051	1998-01-18	VYDAJ	VYBER	4800	93974	\N	\N	\N
602533	2051	1996-12-12	VYDAJ	VYBER	14100	69007	\N	\N	\N
602534	2051	1996-06-13	VYDAJ	VYBER	9000	41726	\N	\N	\N
602537	2051	1997-01-28	VYDAJ	VYBER	2700	1665	\N	\N	\N
602539	2051	1997-06-20	VYDAJ	VYBER	5700	-1895	\N	\N	\N
602541	2051	1998-04-01	VYDAJ	VYBER	7500	122346	\N	\N	\N
602542	2051	1998-05-07	VYDAJ	VYBER	5700	53902	\N	\N	\N
602543	2051	1998-11-17	VYDAJ	VYBER KARTOU	3300	65251	\N	\N	0
602544	2051	1998-01-19	VYDAJ	VYBER	9900	84074	\N	\N	\N
602562	2051	1996-05-31	VYDAJ	VYBER	30	90526	SLUZBY	\N	\N
602563	2051	1996-06-30	VYDAJ	VYBER	30	67831	SLUZBY	\N	\N
602564	2051	1996-07-31	VYDAJ	VYBER	30	93916	SLUZBY	\N	\N
602565	2051	1996-08-31	VYDAJ	VYBER	30	92591	SLUZBY	\N	\N
602566	2051	1996-09-30	VYDAJ	VYBER	30	83649	SLUZBY	\N	\N
602567	2051	1996-10-31	VYDAJ	VYBER	30	37087	SLUZBY	\N	\N
602568	2051	1996-11-30	VYDAJ	VYBER	30	41660	SLUZBY	\N	\N
602569	2051	1996-12-31	VYDAJ	VYBER	30	84425	SLUZBY	\N	\N
602570	2051	1997-01-31	VYDAJ	VYBER	30	8793	SLUZBY	\N	\N
602571	2051	1997-02-28	VYDAJ	VYBER	30	1998	SLUZBY	\N	\N
602572	2051	1997-03-31	VYDAJ	VYBER	30	-2786	SLUZBY	\N	\N
602573	2051	1997-04-30	VYDAJ	VYBER	30	-263	SLUZBY	\N	\N
602574	2051	1997-05-31	VYDAJ	VYBER	30	3808	SLUZBY	\N	\N
602575	2051	1997-06-30	VYDAJ	VYBER	30	31977	SLUZBY	\N	\N
602576	2051	1997-07-31	VYDAJ	VYBER	30	2230	SLUZBY	\N	\N
602577	2051	1997-08-31	VYDAJ	VYBER	30	4409	SLUZBY	\N	\N
602578	2051	1997-09-30	VYDAJ	VYBER	30	20869	SLUZBY	\N	\N
602579	2051	1997-10-31	VYDAJ	VYBER	30	34976	SLUZBY	\N	\N
602580	2051	1997-11-30	VYDAJ	VYBER	30	18970	SLUZBY	\N	\N
602581	2051	1997-12-31	VYDAJ	VYBER	30	12912	SLUZBY	\N	\N
602582	2051	1998-01-31	VYDAJ	VYBER	30	66229	SLUZBY	\N	\N
602583	2051	1998-02-28	VYDAJ	VYBER	30	40961	SLUZBY	\N	\N
602584	2051	1998-03-31	VYDAJ	VYBER	30	81536	SLUZBY	\N	\N
602585	2051	1998-04-30	VYDAJ	VYBER	30	59602	SLUZBY	\N	\N
602586	2051	1998-05-31	VYDAJ	VYBER	30	105455	SLUZBY	\N	\N
602587	2051	1998-06-30	VYDAJ	VYBER	30	61728	SLUZBY	\N	\N
602588	2051	1998-07-31	VYDAJ	VYBER	30	66191	SLUZBY	\N	\N
602589	2051	1998-08-31	VYDAJ	VYBER	30	84376	SLUZBY	\N	\N
602590	2051	1998-09-30	VYDAJ	VYBER	30	57168	SLUZBY	\N	\N
602591	2051	1998-10-31	VYDAJ	VYBER	30	39401	SLUZBY	\N	\N
602592	2051	1998-11-30	VYDAJ	VYBER	30	49428	SLUZBY	\N	\N
602593	2051	1995-12-08	PRIJEM	VKLAD	10100	11000	\N	\N	\N
602594	2051	1996-01-07	PRIJEM	VKLAD	7400	18400	\N	\N	\N
602595	2051	1996-02-06	VYDAJ	VYBER	5300	27468	\N	\N	\N
602596	2051	1996-03-07	VYDAJ	VYBER	9300	33430	\N	\N	\N
602597	2051	1996-04-06	VYDAJ	VYBER	32500	48313	\N	\N	\N
602598	2051	1996-05-06	VYDAJ	VYBER	14600	34048	\N	\N	\N
602599	2051	1996-06-05	VYDAJ	VYBER	35100	55426	\N	\N	\N
602600	2051	1996-07-05	VYDAJ	VYBER	22400	45431	\N	\N	\N
602601	2051	1996-08-04	VYDAJ	VYBER	32500	61416	\N	\N	\N
602602	2051	1996-08-16	VYDAJ	VYBER	29000	103818	\N	\N	\N
602603	2051	1996-08-23	VYDAJ	VYBER	40100	83503	\N	\N	\N
602604	2051	1996-09-03	VYDAJ	VYBER	33700	58891	\N	\N	\N
602605	2051	1996-10-03	VYDAJ	VYBER	30400	49149	\N	\N	\N
602606	2051	1996-11-02	VYDAJ	VYBER	4600	32487	\N	\N	\N
602607	2051	1996-12-02	VYDAJ	VYBER	12100	29560	\N	\N	\N
602608	2051	1997-01-01	VYDAJ	VYBER	34500	49925	\N	\N	\N
602609	2051	1997-01-31	PRIJEM	VKLAD	7100	8765	\N	\N	\N
602610	2051	1997-03-02	PRIJEM	VKLAD	6900	5601	\N	\N	\N
602611	2051	1997-04-01	PRIJEM	VKLAD	2600	-205	\N	\N	\N
602612	2051	1997-05-01	PRIJEM	VKLAD	900	638	\N	\N	\N
602613	2051	1997-05-31	PRIJEM	VKLAD	3200	3838	\N	\N	\N
602614	2051	1997-06-30	VYDAJ	VYBER	13300	18677	\N	\N	\N
602615	2051	1997-07-30	PRIJEM	VKLAD	4400	2187	\N	\N	\N
602616	2051	1997-08-29	PRIJEM	VKLAD	2200	4430	\N	\N	\N
602617	2051	1997-09-28	VYDAJ	VYBER	13300	20808	\N	\N	\N
602618	2051	1997-10-28	VYDAJ	VYBER	29400	34842	\N	\N	\N
602619	2051	1997-11-27	VYDAJ	VYBER	5700	18886	\N	\N	\N
602620	2051	1997-12-27	PRIJEM	VKLAD	300	12872	\N	\N	\N
602621	2051	1998-01-25	VYDAJ	VYBER	54100	54373	\N	\N	\N
602622	2051	1998-01-26	VYDAJ	VYBER	20300	34073	\N	\N	\N
602623	2051	1998-02-25	VYDAJ	VYBER	20600	40731	\N	\N	\N
602624	2051	1998-03-27	VYDAJ	VYBER	38800	58369	\N	\N	\N
602625	2051	1998-04-01	VYDAJ	VYBER	29200	93146	\N	\N	\N
602626	2051	1998-04-13	VYDAJ	VYBER	30000	98092	\N	\N	\N
602627	2051	1998-04-24	VYDAJ	VYBER	19400	96465	\N	\N	\N
602628	2051	1998-04-26	VYDAJ	VYBER	37300	59165	\N	\N	\N
602629	2051	1998-05-26	VYDAJ	VYBER	34000	53156	\N	\N	\N
602630	2051	1998-06-25	VYDAJ	VYBER	39200	61356	\N	\N	\N
602631	2051	1998-07-25	VYDAJ	VYBER	37900	65921	\N	\N	\N
602632	2051	1998-08-17	VYDAJ	VYBER	56400	52870	\N	\N	\N
602633	2051	1998-08-24	VYDAJ	VYBER	7300	45570	\N	\N	\N
602634	2051	1998-09-23	VYDAJ	VYBER	22600	56878	\N	\N	\N
602635	2051	1998-10-09	VYDAJ	VYBER	55800	72163	\N	\N	\N
602636	2051	1998-10-10	VYDAJ	VYBER	47600	59895	\N	\N	\N
602637	2051	1998-10-23	VYDAJ	VYBER	15800	39196	\N	\N	\N
602638	2051	1998-11-22	VYDAJ	VYBER	16000	49251	\N	\N	\N
602639	2051	1998-12-21	VYDAJ	VYBER	62000	71188	\N	\N	\N
602678	2052	1993-10-20	PRIJEM	VKLAD	800	800	\N	\N	\N
602689	2052	1993-11-11	PRIJEM	VKLAD	9885	10685	\N	\N	\N
602690	2052	1993-12-11	PRIJEM	VKLAD	14828	33043	\N	\N	\N
602691	2052	1994-01-11	PRIJEM	VKLAD	9885	40926	\N	\N	\N
602692	2052	1994-02-11	PRIJEM	VKLAD	9885	42543	\N	\N	\N
602693	2052	1994-03-11	PRIJEM	VKLAD	9885	44567	\N	\N	\N
602694	2052	1994-04-11	PRIJEM	VKLAD	9885	38877	\N	\N	\N
602695	2052	1994-05-11	PRIJEM	VKLAD	9885	35378	\N	\N	\N
602696	2052	1994-06-11	PRIJEM	VKLAD	14828	42911	\N	\N	\N
602697	2052	1994-07-11	PRIJEM	VKLAD	9885	38612	\N	\N	\N
602698	2052	1994-08-11	PRIJEM	VKLAD	9885	40314	\N	\N	\N
602699	2052	1994-09-11	PRIJEM	VKLAD	9885	40419	\N	\N	\N
602700	2052	1994-10-11	PRIJEM	VKLAD	9885	40724	\N	\N	\N
602701	2052	1994-11-11	PRIJEM	VKLAD	9885	40729	\N	\N	\N
602702	2052	1994-12-11	PRIJEM	VKLAD	14828	46980	\N	\N	\N
602703	2052	1995-01-11	PRIJEM	VKLAD	9885	33987	\N	\N	\N
602704	2052	1995-02-11	PRIJEM	VKLAD	9885	33368	\N	\N	\N
602705	2052	1995-03-11	PRIJEM	VKLAD	9885	40859	\N	\N	\N
602706	2052	1995-04-11	PRIJEM	VKLAD	9885	42271	\N	\N	\N
602707	2052	1995-05-11	PRIJEM	VKLAD	9885	47496	\N	\N	\N
602708	2052	1995-06-11	PRIJEM	VKLAD	14828	50570	\N	\N	\N
602709	2052	1995-07-11	PRIJEM	VKLAD	9885	49406	\N	\N	\N
602710	2052	1995-08-11	PRIJEM	VKLAD	9885	49145	\N	\N	\N
602711	2052	1995-09-11	PRIJEM	VKLAD	9885	47097	\N	\N	\N
602712	2052	1995-10-11	PRIJEM	VKLAD	9885	49741	\N	\N	\N
602713	2052	1995-11-11	PRIJEM	VKLAD	9885	52599	\N	\N	\N
602714	2052	1995-12-11	PRIJEM	VKLAD	14828	59012	\N	\N	\N
602715	2052	1996-01-11	PRIJEM	VKLAD	9885	51102	\N	\N	\N
602716	2052	1996-02-11	PRIJEM	VKLAD	9885	53161	\N	\N	\N
602717	2052	1996-03-11	PRIJEM	VKLAD	9885	52328	\N	\N	\N
602718	2052	1996-04-11	PRIJEM	VKLAD	9885	55400	\N	\N	\N
602719	2052	1996-05-11	PRIJEM	VKLAD	9885	49177	\N	\N	\N
602720	2052	1996-06-11	PRIJEM	VKLAD	14828	48379	\N	\N	\N
602721	2052	1996-07-11	PRIJEM	VKLAD	9885	50326	\N	\N	\N
602722	2052	1996-08-11	PRIJEM	VKLAD	9885	53385	\N	\N	\N
602723	2052	1996-09-11	PRIJEM	VKLAD	9885	50156	\N	\N	\N
602724	2052	1996-10-11	PRIJEM	VKLAD	9885	54218	\N	\N	\N
602725	2052	1996-11-11	PRIJEM	VKLAD	9885	52591	\N	\N	\N
602726	2052	1996-12-11	PRIJEM	VKLAD	14828	51303	\N	\N	\N
602727	2052	1997-01-11	PRIJEM	VKLAD	9885	44565	\N	\N	\N
602728	2052	1997-02-11	PRIJEM	VKLAD	9885	43095	\N	\N	\N
602729	2052	1997-03-11	PRIJEM	VKLAD	9885	45522	\N	\N	\N
602730	2052	1997-04-11	PRIJEM	VKLAD	9885	49259	\N	\N	\N
602731	2052	1997-05-11	PRIJEM	VKLAD	9885	51311	\N	\N	\N
602732	2052	1997-06-11	PRIJEM	VKLAD	14828	57516	\N	\N	\N
602733	2052	1997-07-11	PRIJEM	VKLAD	9885	41973	\N	\N	\N
602734	2052	1997-08-11	PRIJEM	VKLAD	9885	44091	\N	\N	\N
602735	2052	1997-09-11	PRIJEM	VKLAD	9885	43212	\N	\N	\N
602736	2052	1997-10-11	PRIJEM	VKLAD	9885	39137	\N	\N	\N
602737	2052	1997-11-11	PRIJEM	VKLAD	9885	42145	\N	\N	\N
602738	2052	1997-12-11	PRIJEM	VKLAD	14828	52508	\N	\N	\N
602739	2052	1998-01-11	PRIJEM	VKLAD	9885	41059	\N	\N	\N
602740	2052	1998-02-11	PRIJEM	VKLAD	9885	44769	\N	\N	\N
602741	2052	1998-03-11	PRIJEM	VKLAD	9885	44196	\N	\N	\N
602742	2052	1998-04-11	PRIJEM	VKLAD	9885	46524	\N	\N	\N
602743	2052	1998-05-11	PRIJEM	VKLAD	9885	46259	\N	\N	\N
602744	2052	1998-06-11	PRIJEM	VKLAD	14828	46032	\N	\N	\N
602745	2052	1998-07-11	PRIJEM	VKLAD	9885	37450	\N	\N	\N
602746	2052	1998-08-11	PRIJEM	VKLAD	9885	35043	\N	\N	\N
602747	2052	1998-09-11	PRIJEM	VKLAD	9885	37431	\N	\N	\N
602748	2052	1998-10-11	PRIJEM	VKLAD	9885	43932	\N	\N	\N
602749	2052	1998-11-11	PRIJEM	VKLAD	9885	45154	\N	\N	\N
602750	2052	1998-12-11	PRIJEM	VKLAD	14828	53226	\N	\N	\N
602766	2052	1994-04-09	VYDAJ	PREVOD NA UCET	4278	28992	SIPO	EF	4608887
602767	2052	1994-05-09	VYDAJ	PREVOD NA UCET	4278	25493	SIPO	EF	4608887
602768	2052	1994-06-09	VYDAJ	PREVOD NA UCET	4278	28083	SIPO	EF	4608887
602769	2052	1994-07-09	VYDAJ	PREVOD NA UCET	4278	28727	SIPO	EF	4608887
602770	2052	1994-08-09	VYDAJ	PREVOD NA UCET	4278	30429	SIPO	EF	4608887
602771	2052	1994-09-09	VYDAJ	PREVOD NA UCET	4278	30534	SIPO	EF	4608887
602772	2052	1994-10-09	VYDAJ	PREVOD NA UCET	4278	30839	SIPO	EF	4608887
602773	2052	1994-11-09	VYDAJ	PREVOD NA UCET	4278	30844	SIPO	EF	4608887
602774	2052	1994-12-09	VYDAJ	PREVOD NA UCET	4278	32152	SIPO	EF	4608887
602775	2052	1995-01-09	VYDAJ	PREVOD NA UCET	4278	24102	SIPO	EF	4608887
602776	2052	1995-02-09	VYDAJ	PREVOD NA UCET	4278	23483	SIPO	EF	4608887
602777	2052	1995-03-09	VYDAJ	PREVOD NA UCET	4278	30974	SIPO	EF	4608887
602778	2052	1995-04-09	VYDAJ	PREVOD NA UCET	4278	32386	SIPO	EF	4608887
602779	2052	1995-05-09	VYDAJ	PREVOD NA UCET	4278	37611	SIPO	EF	4608887
602780	2052	1995-06-09	VYDAJ	PREVOD NA UCET	4278	35742	SIPO	EF	4608887
602781	2052	1995-07-09	VYDAJ	PREVOD NA UCET	4278	39521	SIPO	EF	4608887
602782	2052	1995-08-09	VYDAJ	PREVOD NA UCET	4278	39260	SIPO	EF	4608887
602783	2052	1995-09-09	VYDAJ	PREVOD NA UCET	4278	38012	SIPO	EF	4608887
602784	2052	1995-10-09	VYDAJ	PREVOD NA UCET	4278	42656	SIPO	EF	4608887
602785	2052	1995-11-09	VYDAJ	PREVOD NA UCET	4278	45314	SIPO	EF	4608887
602786	2052	1995-12-09	VYDAJ	PREVOD NA UCET	4278	44184	SIPO	EF	4608887
602787	2052	1996-01-09	VYDAJ	PREVOD NA UCET	4278	41717	SIPO	EF	4608887
602788	2052	1996-02-09	VYDAJ	PREVOD NA UCET	4278	43276	SIPO	EF	4608887
602789	2052	1996-03-09	VYDAJ	PREVOD NA UCET	4278	42443	SIPO	EF	4608887
602790	2052	1996-04-09	VYDAJ	PREVOD NA UCET	4278	45515	SIPO	EF	4608887
602791	2052	1996-05-09	VYDAJ	PREVOD NA UCET	4278	39292	SIPO	EF	4608887
602792	2052	1996-06-09	VYDAJ	PREVOD NA UCET	4278	33551	SIPO	EF	4608887
602793	2052	1996-07-09	VYDAJ	PREVOD NA UCET	4278	40441	SIPO	EF	4608887
602794	2052	1996-08-09	VYDAJ	PREVOD NA UCET	4278	43500	SIPO	EF	4608887
602795	2052	1996-09-09	VYDAJ	PREVOD NA UCET	4278	40271	SIPO	EF	4608887
602796	2052	1996-10-09	VYDAJ	PREVOD NA UCET	4278	44333	SIPO	EF	4608887
602797	2052	1996-11-09	VYDAJ	PREVOD NA UCET	4278	42706	SIPO	EF	4608887
602798	2052	1996-12-09	VYDAJ	PREVOD NA UCET	4278	40975	SIPO	EF	4608887
602799	2052	1997-01-09	VYDAJ	PREVOD NA UCET	4278	35180	SIPO	EF	4608887
602800	2052	1997-02-09	VYDAJ	PREVOD NA UCET	4278	33210	SIPO	EF	4608887
602801	2052	1997-03-09	VYDAJ	PREVOD NA UCET	4278	35637	SIPO	EF	4608887
602802	2052	1997-04-09	VYDAJ	PREVOD NA UCET	4278	39374	SIPO	EF	4608887
602803	2052	1997-05-09	VYDAJ	PREVOD NA UCET	4278	41426	SIPO	EF	4608887
602804	2052	1997-06-09	VYDAJ	PREVOD NA UCET	4278	42688	SIPO	EF	4608887
602805	2052	1997-07-09	VYDAJ	PREVOD NA UCET	4278	32088	SIPO	EF	4608887
602806	2052	1997-08-09	VYDAJ	PREVOD NA UCET	4278	34206	SIPO	EF	4608887
602807	2052	1997-09-09	VYDAJ	PREVOD NA UCET	4278	33327	SIPO	EF	4608887
602808	2052	1997-10-09	VYDAJ	PREVOD NA UCET	4278	29252	SIPO	EF	4608887
602809	2052	1997-11-09	VYDAJ	PREVOD NA UCET	4278	32260	SIPO	EF	4608887
602810	2052	1997-12-09	VYDAJ	PREVOD NA UCET	4278	37680	SIPO	EF	4608887
602811	2052	1998-01-09	VYDAJ	PREVOD NA UCET	4278	31174	SIPO	EF	4608887
602812	2052	1998-02-09	VYDAJ	PREVOD NA UCET	4278	34884	SIPO	EF	4608887
602813	2052	1998-03-09	VYDAJ	PREVOD NA UCET	4278	34311	SIPO	EF	4608887
602814	2052	1998-04-09	VYDAJ	PREVOD NA UCET	4278	36639	SIPO	EF	4608887
602815	2052	1998-05-09	VYDAJ	PREVOD NA UCET	4278	36374	SIPO	EF	4608887
602816	2052	1998-06-09	VYDAJ	PREVOD NA UCET	4278	31204	SIPO	EF	4608887
602817	2052	1998-07-09	VYDAJ	PREVOD NA UCET	4278	27565	SIPO	EF	4608887
602818	2052	1998-08-09	VYDAJ	PREVOD NA UCET	4278	25158	SIPO	EF	4608887
602819	2052	1998-09-09	VYDAJ	PREVOD NA UCET	4278	27546	SIPO	EF	4608887
602820	2052	1998-10-09	VYDAJ	PREVOD NA UCET	4278	34047	SIPO	EF	4608887
602821	2052	1998-11-09	VYDAJ	PREVOD NA UCET	4278	35269	SIPO	EF	4608887
602822	2052	1998-12-09	VYDAJ	PREVOD NA UCET	4278	38398	SIPO	EF	4608887
602838	2052	1994-04-05	VYDAJ	PREVOD NA UCET	72	33270	 	GH	20415777
602839	2052	1994-05-05	VYDAJ	PREVOD NA UCET	72	29771	 	GH	20415777
602840	2052	1994-06-05	VYDAJ	PREVOD NA UCET	72	32361	 	GH	20415777
602841	2052	1994-07-05	VYDAJ	PREVOD NA UCET	72	33005	 	GH	20415777
602842	2052	1994-08-05	VYDAJ	PREVOD NA UCET	72	34707	 	GH	20415777
602843	2052	1994-09-05	VYDAJ	PREVOD NA UCET	72	34812	 	GH	20415777
602844	2052	1994-10-05	VYDAJ	PREVOD NA UCET	72	35117	 	GH	20415777
602845	2052	1994-11-05	VYDAJ	PREVOD NA UCET	72	35122	 	GH	20415777
602846	2052	1994-12-05	VYDAJ	PREVOD NA UCET	72	36430	 	GH	20415777
602847	2052	1995-01-05	VYDAJ	PREVOD NA UCET	72	29980	 	GH	20415777
602848	2052	1995-02-05	VYDAJ	PREVOD NA UCET	72	27761	 	GH	20415777
602849	2052	1995-03-05	VYDAJ	PREVOD NA UCET	72	35252	 	GH	20415777
602850	2052	1995-04-05	VYDAJ	PREVOD NA UCET	72	38264	 	GH	20415777
602851	2052	1995-05-05	VYDAJ	PREVOD NA UCET	72	41889	 	GH	20415777
602852	2052	1995-06-05	VYDAJ	PREVOD NA UCET	72	40020	 	GH	20415777
602853	2052	1995-07-05	VYDAJ	PREVOD NA UCET	72	43799	 	GH	20415777
602854	2052	1995-08-05	VYDAJ	PREVOD NA UCET	72	43538	 	GH	20415777
602855	2052	1995-09-05	VYDAJ	PREVOD NA UCET	72	42290	 	GH	20415777
602856	2052	1995-10-05	VYDAJ	PREVOD NA UCET	72	46934	 	GH	20415777
602857	2052	1995-11-05	VYDAJ	PREVOD NA UCET	72	49592	 	GH	20415777
602858	2052	1995-12-05	VYDAJ	PREVOD NA UCET	72	52462	 	GH	20415777
602859	2052	1996-01-05	VYDAJ	PREVOD NA UCET	72	55095	 	GH	20415777
602860	2052	1996-02-05	VYDAJ	PREVOD NA UCET	72	46054	 	GH	20415777
602861	2052	1996-03-05	VYDAJ	PREVOD NA UCET	72	53021	 	GH	20415777
602862	2052	1996-04-05	VYDAJ	PREVOD NA UCET	72	52193	 	GH	20415777
602863	2052	1996-05-05	VYDAJ	PREVOD NA UCET	72	51270	 	GH	20415777
602864	2052	1996-06-05	VYDAJ	PREVOD NA UCET	72	31529	 	GH	20415777
602865	2052	1996-07-05	VYDAJ	PREVOD NA UCET	72	48219	 	GH	20415777
602866	2052	1996-08-05	VYDAJ	PREVOD NA UCET	72	47778	 	GH	20415777
602867	2052	1996-09-05	VYDAJ	PREVOD NA UCET	72	49249	 	GH	20415777
602868	2052	1996-10-05	VYDAJ	PREVOD NA UCET	72	48611	 	GH	20415777
602869	2052	1996-11-05	VYDAJ	PREVOD NA UCET	72	46984	 	GH	20415777
602870	2052	1996-12-05	VYDAJ	PREVOD NA UCET	72	45253	 	GH	20415777
602871	2052	1997-01-05	VYDAJ	PREVOD NA UCET	72	42358	 	GH	20415777
602872	2052	1997-02-05	VYDAJ	PREVOD NA UCET	72	37488	 	GH	20415777
602873	2052	1997-03-05	VYDAJ	PREVOD NA UCET	72	39915	 	GH	20415777
602874	2052	1997-04-05	VYDAJ	PREVOD NA UCET	72	43652	 	GH	20415777
602875	2052	1997-05-05	VYDAJ	PREVOD NA UCET	72	45704	 	GH	20415777
602876	2052	1997-06-05	VYDAJ	PREVOD NA UCET	72	46966	 	GH	20415777
602877	2052	1997-07-05	VYDAJ	PREVOD NA UCET	72	36366	 	GH	20415777
602878	2052	1997-08-05	VYDAJ	PREVOD NA UCET	72	38484	 	GH	20415777
602879	2052	1997-09-05	VYDAJ	PREVOD NA UCET	72	37605	 	GH	20415777
602880	2052	1997-10-05	VYDAJ	PREVOD NA UCET	72	37830	 	GH	20415777
602881	2052	1997-11-05	VYDAJ	PREVOD NA UCET	72	36538	 	GH	20415777
602882	2052	1997-12-05	VYDAJ	PREVOD NA UCET	72	41958	 	GH	20415777
602883	2052	1998-01-05	VYDAJ	PREVOD NA UCET	72	35452	 	GH	20415777
602884	2052	1998-02-05	VYDAJ	PREVOD NA UCET	72	39162	 	GH	20415777
602885	2052	1998-03-05	VYDAJ	PREVOD NA UCET	72	38589	 	GH	20415777
602886	2052	1998-04-05	VYDAJ	PREVOD NA UCET	72	40917	 	GH	20415777
602887	2052	1998-05-05	VYDAJ	PREVOD NA UCET	72	40652	 	GH	20415777
602888	2052	1998-06-05	VYDAJ	PREVOD NA UCET	72	35482	 	GH	20415777
602889	2052	1998-07-05	VYDAJ	PREVOD NA UCET	72	31843	 	GH	20415777
602890	2052	1998-08-05	VYDAJ	PREVOD NA UCET	72	29436	 	GH	20415777
602891	2052	1998-09-05	VYDAJ	PREVOD NA UCET	72	31824	 	GH	20415777
602892	2052	1998-10-05	VYDAJ	PREVOD NA UCET	72	38325	 	GH	20415777
602893	2052	1998-11-05	VYDAJ	PREVOD NA UCET	72	39547	 	GH	20415777
602894	2052	1998-12-05	VYDAJ	PREVOD NA UCET	72	42676	 	GH	20415777
602909	2052	1994-03-11	VYDAJ	PREVOD NA UCET	263	44304	POJISTNE	OP	20428276
602910	2052	1994-04-11	VYDAJ	PREVOD NA UCET	263	38614	POJISTNE	OP	20428276
602911	2052	1994-05-11	VYDAJ	PREVOD NA UCET	263	35115	POJISTNE	OP	20428276
602912	2052	1994-06-11	VYDAJ	PREVOD NA UCET	263	42648	POJISTNE	OP	20428276
602913	2052	1994-07-11	VYDAJ	PREVOD NA UCET	263	38349	POJISTNE	OP	20428276
602914	2052	1994-08-11	VYDAJ	PREVOD NA UCET	263	40051	POJISTNE	OP	20428276
602915	2052	1994-09-11	VYDAJ	PREVOD NA UCET	263	40156	POJISTNE	OP	20428276
602916	2052	1994-10-11	VYDAJ	PREVOD NA UCET	263	40461	POJISTNE	OP	20428276
602917	2052	1994-11-11	VYDAJ	PREVOD NA UCET	263	40466	POJISTNE	OP	20428276
602918	2052	1994-12-11	VYDAJ	PREVOD NA UCET	263	46717	POJISTNE	OP	20428276
602919	2052	1995-01-11	VYDAJ	PREVOD NA UCET	263	33724	POJISTNE	OP	20428276
602920	2052	1995-02-11	VYDAJ	PREVOD NA UCET	263	33105	POJISTNE	OP	20428276
602921	2052	1995-03-11	VYDAJ	PREVOD NA UCET	263	40596	POJISTNE	OP	20428276
602922	2052	1995-04-11	VYDAJ	PREVOD NA UCET	263	42008	POJISTNE	OP	20428276
602923	2052	1995-05-11	VYDAJ	PREVOD NA UCET	263	47233	POJISTNE	OP	20428276
602924	2052	1995-06-11	VYDAJ	PREVOD NA UCET	263	50307	POJISTNE	OP	20428276
602925	2052	1995-07-11	VYDAJ	PREVOD NA UCET	263	49143	POJISTNE	OP	20428276
602926	2052	1995-08-11	VYDAJ	PREVOD NA UCET	263	42182	POJISTNE	OP	20428276
602927	2052	1995-09-11	VYDAJ	PREVOD NA UCET	263	46834	POJISTNE	OP	20428276
602928	2052	1995-10-11	VYDAJ	PREVOD NA UCET	263	49478	POJISTNE	OP	20428276
602929	2052	1995-11-11	VYDAJ	PREVOD NA UCET	263	52336	POJISTNE	OP	20428276
602930	2052	1995-12-11	VYDAJ	PREVOD NA UCET	263	58749	POJISTNE	OP	20428276
602931	2052	1996-01-11	VYDAJ	PREVOD NA UCET	263	50839	POJISTNE	OP	20428276
602932	2052	1996-02-11	VYDAJ	PREVOD NA UCET	263	52898	POJISTNE	OP	20428276
602933	2052	1996-03-11	VYDAJ	PREVOD NA UCET	263	52065	POJISTNE	OP	20428276
602934	2052	1996-04-11	VYDAJ	PREVOD NA UCET	263	55137	POJISTNE	OP	20428276
602935	2052	1996-05-11	VYDAJ	PREVOD NA UCET	263	48914	POJISTNE	OP	20428276
602936	2052	1996-06-11	VYDAJ	PREVOD NA UCET	263	48116	POJISTNE	OP	20428276
602937	2052	1996-07-11	VYDAJ	PREVOD NA UCET	263	50063	POJISTNE	OP	20428276
602938	2052	1996-08-11	VYDAJ	PREVOD NA UCET	263	53122	POJISTNE	OP	20428276
602939	2052	1996-09-11	VYDAJ	PREVOD NA UCET	263	49893	POJISTNE	OP	20428276
602940	2052	1996-10-11	VYDAJ	PREVOD NA UCET	263	53955	POJISTNE	OP	20428276
602941	2052	1996-11-11	VYDAJ	PREVOD NA UCET	263	52328	POJISTNE	OP	20428276
602942	2052	1996-12-11	VYDAJ	PREVOD NA UCET	263	51040	POJISTNE	OP	20428276
602943	2052	1997-01-11	VYDAJ	PREVOD NA UCET	263	44302	POJISTNE	OP	20428276
602944	2052	1997-02-11	VYDAJ	PREVOD NA UCET	263	42832	POJISTNE	OP	20428276
602945	2052	1997-03-11	VYDAJ	PREVOD NA UCET	263	45259	POJISTNE	OP	20428276
602946	2052	1997-04-11	VYDAJ	PREVOD NA UCET	263	48996	POJISTNE	OP	20428276
602947	2052	1997-05-11	VYDAJ	PREVOD NA UCET	263	51048	POJISTNE	OP	20428276
602948	2052	1997-06-11	VYDAJ	PREVOD NA UCET	263	57253	POJISTNE	OP	20428276
602949	2052	1997-07-11	VYDAJ	PREVOD NA UCET	263	41710	POJISTNE	OP	20428276
602950	2052	1997-08-11	VYDAJ	PREVOD NA UCET	263	43828	POJISTNE	OP	20428276
602951	2052	1997-09-11	VYDAJ	PREVOD NA UCET	263	42949	POJISTNE	OP	20428276
602952	2052	1997-10-11	VYDAJ	PREVOD NA UCET	263	38874	POJISTNE	OP	20428276
602953	2052	1997-11-11	VYDAJ	PREVOD NA UCET	263	41882	POJISTNE	OP	20428276
602954	2052	1997-12-11	VYDAJ	PREVOD NA UCET	263	52245	POJISTNE	OP	20428276
602955	2052	1998-01-11	VYDAJ	PREVOD NA UCET	263	39596	POJISTNE	OP	20428276
602956	2052	1998-02-11	VYDAJ	PREVOD NA UCET	263	44506	POJISTNE	OP	20428276
602957	2052	1998-03-11	VYDAJ	PREVOD NA UCET	263	43933	POJISTNE	OP	20428276
602958	2052	1998-04-11	VYDAJ	PREVOD NA UCET	263	46261	POJISTNE	OP	20428276
602959	2052	1998-05-11	VYDAJ	PREVOD NA UCET	263	45996	POJISTNE	OP	20428276
602960	2052	1998-06-11	VYDAJ	PREVOD NA UCET	263	45769	POJISTNE	OP	20428276
602961	2052	1998-07-11	VYDAJ	PREVOD NA UCET	263	37187	POJISTNE	OP	20428276
602962	2052	1998-08-11	VYDAJ	PREVOD NA UCET	263	34780	POJISTNE	OP	20428276
602963	2052	1998-09-11	VYDAJ	PREVOD NA UCET	263	37168	POJISTNE	OP	20428276
602964	2052	1998-10-11	VYDAJ	PREVOD NA UCET	263	43669	POJISTNE	OP	20428276
602965	2052	1998-11-11	VYDAJ	PREVOD NA UCET	263	44891	POJISTNE	OP	20428276
602966	2052	1998-12-11	VYDAJ	PREVOD NA UCET	263	52963	POJISTNE	OP	20428276
603042	2052	1996-06-02	VYDAJ	VYBER	17500	31601	\N	\N	\N
603043	2052	1997-06-24	VYDAJ	VYBER	24900	32353	\N	\N	\N
603044	2052	1998-06-25	VYDAJ	VYBER	12000	33769	\N	\N	\N
603046	2052	1994-12-18	VYDAJ	VYBER	2800	35117	\N	\N	\N
603047	2052	1995-12-06	VYDAJ	VYBER	2000	50462	\N	\N	\N
603048	2052	1996-12-18	VYDAJ	VYBER KARTOU	600	50440	\N	\N	0
603049	2052	1997-12-30	VYDAJ	VYBER KARTOU	2600	42745	\N	\N	0
603050	2052	1998-12-19	VYDAJ	VYBER KARTOU	1500	51463	\N	\N	0
603063	2052	1995-01-05	VYDAJ	VYBER	800	29180	\N	\N	\N
603064	2052	1995-01-24	VYDAJ	VYBER	2000	27724	\N	\N	\N
603065	2052	1995-01-06	VYDAJ	VYBER	800	28380	\N	\N	\N
603066	2052	1995-01-20	VYDAJ	VYBER	1600	29724	\N	\N	\N
603067	2052	1995-01-01	VYDAJ	VYBER	1400	31752	\N	\N	\N
603068	2052	1995-01-04	VYDAJ	VYBER	1700	30052	\N	\N	\N
603069	2052	1996-01-01	VYDAJ	VYBER	1900	55167	\N	\N	\N
603070	2052	1996-01-09	VYDAJ	VYBER	500	41217	\N	\N	\N
603071	2052	1996-01-22	VYDAJ	VYBER	600	45939	\N	\N	\N
603072	2052	1996-01-13	VYDAJ	VYBER	2100	48739	\N	\N	\N
603073	2052	1996-01-05	VYDAJ	VYBER	500	54595	\N	\N	\N
603074	2052	1996-01-17	VYDAJ	VYBER	2200	46539	\N	\N	\N
603075	2052	1997-01-06	VYDAJ	VYBER KARTOU	500	41858	\N	\N	0
603076	2052	1997-01-23	VYDAJ	VYBER KARTOU	2600	39302	\N	\N	0
603077	2052	1997-01-08	VYDAJ	VYBER KARTOU	2400	39458	\N	\N	0
603078	2052	1997-01-10	VYDAJ	VYBER KARTOU	500	34680	\N	\N	0
603079	2052	1997-01-12	VYDAJ	VYBER KARTOU	700	43602	\N	\N	0
603080	2052	1997-01-14	VYDAJ	VYBER KARTOU	1700	41902	\N	\N	0
603081	2052	1998-01-11	VYDAJ	VYBER KARTOU	1200	39859	\N	\N	0
603082	2052	1998-01-30	VYDAJ	VYBER KARTOU	1300	39096	\N	\N	0
603083	2052	1998-01-02	VYDAJ	VYBER KARTOU	1800	41124	\N	\N	0
603084	2052	1998-01-19	VYDAJ	VYBER KARTOU	500	36796	\N	\N	0
603085	2052	1998-01-12	VYDAJ	VYBER KARTOU	2300	37296	\N	\N	0
603086	2052	1998-01-02	VYDAJ	VYBER KARTOU	1400	39724	\N	\N	0
603090	2052	1994-06-19	VYDAJ	VYBER	3500	32948	\N	\N	\N
603091	2052	1994-04-29	VYDAJ	VYBER	4400	29714	\N	\N	\N
603092	2052	1994-05-16	VYDAJ	VYBER	1300	33815	\N	\N	\N
603093	2052	1994-12-21	VYDAJ	VYBER	2100	33017	\N	\N	\N
603094	2052	1995-05-19	VYDAJ	VYBER	4500	39933	\N	\N	\N
603095	2052	1995-06-21	VYDAJ	VYBER	2000	43707	\N	\N	\N
603096	2052	1995-12-24	VYDAJ	VYBER	1900	56849	\N	\N	\N
603097	2052	1995-04-08	VYDAJ	VYBER	1600	36664	\N	\N	\N
603098	2052	1996-12-10	VYDAJ	VYBER	4500	36475	\N	\N	\N
603099	2052	1996-04-27	VYDAJ	VYBER	4000	51137	\N	\N	\N
603100	2052	1996-05-08	VYDAJ	VYBER	4300	43570	\N	\N	\N
603101	2052	1996-09-06	VYDAJ	VYBER	4700	44549	\N	\N	\N
603102	2052	1997-10-17	VYDAJ	VYBER KARTOU	1300	37574	\N	\N	0
603103	2052	1997-12-12	VYDAJ	VYBER KARTOU	900	51345	\N	\N	0
603104	2052	1997-08-19	VYDAJ	VYBER	4400	39428	\N	\N	\N
603105	2052	1997-10-06	VYDAJ	VYBER	4300	33530	\N	\N	\N
603106	2052	1998-07-26	VYDAJ	VYBER KARTOU	3500	33687	\N	\N	0
603107	2052	1998-03-28	VYDAJ	VYBER KARTOU	1400	40833	\N	\N	0
603108	2052	1998-01-04	VYDAJ	VYBER	4200	35524	\N	\N	\N
603109	2052	1998-05-25	VYDAJ	VYBER	4500	41496	\N	\N	\N
603125	2052	1994-03-31	VYDAJ	VYBER	15	33342	SLUZBY	\N	\N
603126	2052	1994-04-30	VYDAJ	VYBER	15	29843	SLUZBY	\N	\N
603127	2052	1994-05-31	VYDAJ	VYBER	15	32433	SLUZBY	\N	\N
603128	2052	1994-06-30	VYDAJ	VYBER	15	33077	SLUZBY	\N	\N
603129	2052	1994-07-31	VYDAJ	VYBER	15	34779	SLUZBY	\N	\N
603130	2052	1994-08-31	VYDAJ	VYBER	15	34884	SLUZBY	\N	\N
603131	2052	1994-09-30	VYDAJ	VYBER	15	35189	SLUZBY	\N	\N
603132	2052	1994-10-31	VYDAJ	VYBER	15	35194	SLUZBY	\N	\N
603133	2052	1994-11-30	VYDAJ	VYBER	15	36502	SLUZBY	\N	\N
603134	2052	1994-12-31	VYDAJ	VYBER	15	33152	SLUZBY	\N	\N
603135	2052	1995-01-31	VYDAJ	VYBER	15	27833	SLUZBY	\N	\N
603136	2052	1995-02-28	VYDAJ	VYBER	15	35324	SLUZBY	\N	\N
603137	2052	1995-03-31	VYDAJ	VYBER	15	38336	SLUZBY	\N	\N
603138	2052	1995-04-30	VYDAJ	VYBER	15	41961	SLUZBY	\N	\N
603139	2052	1995-05-31	VYDAJ	VYBER	15	40092	SLUZBY	\N	\N
603140	2052	1995-06-30	VYDAJ	VYBER	15	43871	SLUZBY	\N	\N
603141	2052	1995-07-31	VYDAJ	VYBER	15	43610	SLUZBY	\N	\N
603142	2052	1995-08-31	VYDAJ	VYBER	15	42362	SLUZBY	\N	\N
603143	2052	1995-09-30	VYDAJ	VYBER	15	47006	SLUZBY	\N	\N
603144	2052	1995-10-31	VYDAJ	VYBER	15	49664	SLUZBY	\N	\N
603145	2052	1995-11-30	VYDAJ	VYBER	15	52534	SLUZBY	\N	\N
603146	2052	1995-12-31	VYDAJ	VYBER	15	57067	SLUZBY	\N	\N
603147	2052	1996-01-31	VYDAJ	VYBER	15	46126	SLUZBY	\N	\N
603148	2052	1996-02-29	VYDAJ	VYBER	15	53093	SLUZBY	\N	\N
603149	2052	1996-03-31	VYDAJ	VYBER	15	52265	SLUZBY	\N	\N
603150	2052	1996-04-30	VYDAJ	VYBER	15	51342	SLUZBY	\N	\N
603151	2052	1996-05-31	VYDAJ	VYBER	15	49101	SLUZBY	\N	\N
603152	2052	1996-06-30	VYDAJ	VYBER	15	48291	SLUZBY	\N	\N
603153	2052	1996-07-31	VYDAJ	VYBER	15	50250	SLUZBY	\N	\N
603154	2052	1996-08-31	VYDAJ	VYBER	15	53321	SLUZBY	\N	\N
603155	2052	1996-09-30	VYDAJ	VYBER	15	50083	SLUZBY	\N	\N
603156	2052	1996-10-31	VYDAJ	VYBER	15	54156	SLUZBY	\N	\N
603157	2052	1996-11-30	VYDAJ	VYBER	15	52525	SLUZBY	\N	\N
603158	2052	1996-12-31	VYDAJ	VYBER	15	50630	SLUZBY	\N	\N
603159	2052	1997-01-31	VYDAJ	VYBER	15	39460	SLUZBY	\N	\N
603160	2052	1997-02-28	VYDAJ	VYBER	15	42987	SLUZBY	\N	\N
603161	2052	1997-03-31	VYDAJ	VYBER	15	45424	SLUZBY	\N	\N
603162	2052	1997-04-30	VYDAJ	VYBER	15	49176	SLUZBY	\N	\N
603163	2052	1997-05-31	VYDAJ	VYBER	15	51238	SLUZBY	\N	\N
603164	2052	1997-06-30	VYDAJ	VYBER	15	32538	SLUZBY	\N	\N
603165	2052	1997-07-31	VYDAJ	VYBER	15	38556	SLUZBY	\N	\N
603166	2052	1997-08-31	VYDAJ	VYBER	15	37677	SLUZBY	\N	\N
603167	2052	1997-09-30	VYDAJ	VYBER	15	37902	SLUZBY	\N	\N
603168	2052	1997-10-31	VYDAJ	VYBER	15	36610	SLUZBY	\N	\N
603169	2052	1997-11-30	VYDAJ	VYBER	15	42030	SLUZBY	\N	\N
603170	2052	1997-12-31	VYDAJ	VYBER	15	42924	SLUZBY	\N	\N
603171	2052	1998-01-31	VYDAJ	VYBER	15	39234	SLUZBY	\N	\N
603172	2052	1998-02-28	VYDAJ	VYBER	15	38661	SLUZBY	\N	\N
603173	2052	1998-03-31	VYDAJ	VYBER	15	40989	SLUZBY	\N	\N
603174	2052	1998-04-30	VYDAJ	VYBER	15	40724	SLUZBY	\N	\N
603175	2052	1998-05-31	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
603176	2052	1998-06-30	VYDAJ	VYBER	15	31915	SLUZBY	\N	\N
603177	2052	1998-07-31	VYDAJ	VYBER	15	29508	SLUZBY	\N	\N
603178	2052	1998-08-31	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
603179	2052	1998-09-30	VYDAJ	VYBER	15	38397	SLUZBY	\N	\N
603180	2052	1998-10-31	VYDAJ	VYBER	15	39619	SLUZBY	\N	\N
603181	2052	1998-11-30	VYDAJ	VYBER	15	42748	SLUZBY	\N	\N
603182	2052	1993-11-19	PRIJEM	VKLAD	7500	18185	\N	\N	\N
603183	2052	1993-12-19	VYDAJ	VYBER	2100	30943	\N	\N	\N
603184	2052	1994-01-18	VYDAJ	VYBER	8400	32526	\N	\N	\N
603185	2052	1994-02-17	VYDAJ	VYBER	8000	34543	\N	\N	\N
603186	2052	1994-03-19	VYDAJ	VYBER	11100	33204	\N	\N	\N
603187	2052	1994-04-18	VYDAJ	VYBER	4500	34114	\N	\N	\N
603188	2052	1994-05-18	VYDAJ	VYBER	1500	32315	\N	\N	\N
603189	2052	1994-06-17	VYDAJ	VYBER	6200	36448	\N	\N	\N
603190	2052	1994-07-17	VYDAJ	VYBER	3700	34649	\N	\N	\N
603191	2052	1994-08-16	VYDAJ	VYBER	5300	34751	\N	\N	\N
603192	2052	1994-09-15	VYDAJ	VYBER	5100	35056	\N	\N	\N
603193	2052	1994-10-15	VYDAJ	VYBER	5400	35061	\N	\N	\N
603194	2052	1994-11-14	VYDAJ	VYBER	4100	36366	\N	\N	\N
603195	2052	1994-12-14	VYDAJ	VYBER	8800	37917	\N	\N	\N
603196	2052	1995-01-13	VYDAJ	VYBER	2400	31324	\N	\N	\N
603197	2052	1995-02-12	PRIJEM	VKLAD	2100	35205	\N	\N	\N
603198	2052	1995-03-14	VYDAJ	VYBER	2400	38196	\N	\N	\N
603199	2052	1995-04-13	VYDAJ	VYBER	200	41808	\N	\N	\N
603200	2052	1995-05-13	VYDAJ	VYBER	2800	44433	\N	\N	\N
603201	2052	1995-06-12	VYDAJ	VYBER	4600	45707	\N	\N	\N
603202	2052	1995-07-12	VYDAJ	VYBER	5700	43443	\N	\N	\N
603203	2052	1995-08-11	VYDAJ	VYBER	6700	42445	\N	\N	\N
603204	2052	1995-09-10	VYDAJ	VYBER	800	37212	\N	\N	\N
603205	2052	1995-10-10	VYDAJ	VYBER	2800	39856	\N	\N	\N
603206	2052	1995-11-09	VYDAJ	VYBER	2600	42714	\N	\N	\N
603207	2052	1995-12-09	VYDAJ	VYBER	2000	48462	\N	\N	\N
603208	2052	1996-01-08	VYDAJ	VYBER	8600	45995	\N	\N	\N
603209	2052	1996-02-07	PRIJEM	VKLAD	1500	47554	\N	\N	\N
603210	2052	1996-03-08	VYDAJ	VYBER	6300	46721	\N	\N	\N
603211	2052	1996-04-07	VYDAJ	VYBER	2400	49793	\N	\N	\N
603212	2052	1996-05-07	VYDAJ	VYBER	3400	47870	\N	\N	\N
603213	2052	1996-06-06	PRIJEM	VKLAD	6300	37829	\N	\N	\N
603214	2052	1996-07-06	VYDAJ	VYBER	3500	44719	\N	\N	\N
603215	2052	1996-08-05	VYDAJ	VYBER	2400	47850	\N	\N	\N
603216	2052	1996-09-04	VYDAJ	VYBER	4000	49321	\N	\N	\N
603217	2052	1996-10-04	VYDAJ	VYBER	1400	48683	\N	\N	\N
603218	2052	1996-11-03	VYDAJ	VYBER	7100	47056	\N	\N	\N
603219	2052	1996-12-03	VYDAJ	VYBER	7200	45325	\N	\N	\N
603220	2052	1997-01-02	VYDAJ	VYBER	8200	42430	\N	\N	\N
603221	2052	1997-02-01	VYDAJ	VYBER KARTOU	1900	37560	\N	\N	0
603222	2052	1997-03-03	VYDAJ	VYBER KARTOU	3000	39987	\N	\N	0
603223	2052	1997-04-02	VYDAJ	VYBER KARTOU	1700	43724	\N	\N	0
603224	2052	1997-05-02	VYDAJ	VYBER KARTOU	3400	45776	\N	\N	0
603225	2052	1997-06-01	VYDAJ	VYBER	4200	47038	\N	\N	\N
603226	2052	1997-07-01	PRIJEM	VKLAD	3900	36438	\N	\N	\N
603227	2052	1997-07-31	VYDAJ	VYBER KARTOU	3300	38571	\N	\N	0
603228	2052	1997-08-30	VYDAJ	VYBER KARTOU	1900	37528	\N	\N	0
603229	2052	1997-09-29	VYDAJ	VYBER	5200	37749	\N	\N	\N
603230	2052	1997-10-29	VYDAJ	VYBER KARTOU	1100	36474	\N	\N	0
603231	2052	1997-12-28	VYDAJ	VYBER	6000	45345	\N	\N	\N
603232	2052	1998-01-27	PRIJEM	VKLAD	3600	40396	\N	\N	\N
603233	2052	1998-02-26	VYDAJ	VYBER	6000	38506	\N	\N	\N
603234	2052	1998-03-28	VYDAJ	VYBER KARTOU	1700	42233	\N	\N	0
603235	2052	1998-04-27	VYDAJ	VYBER	5700	40561	\N	\N	\N
603236	2052	1998-05-27	VYDAJ	VYBER	6100	35396	\N	\N	\N
603237	2052	1998-06-26	VYDAJ	VYBER KARTOU	2000	31769	\N	\N	0
603238	2052	1998-07-26	VYDAJ	VYBER	4300	29387	\N	\N	\N
603239	2052	1998-08-25	VYDAJ	VYBER KARTOU	3000	31780	\N	\N	0
603240	2052	1998-09-24	PRIJEM	VKLAD	1100	38268	\N	\N	\N
603241	2052	1998-10-24	VYDAJ	VYBER	4200	39469	\N	\N	\N
603242	2052	1998-11-23	VYDAJ	VYBER KARTOU	2300	42591	\N	\N	0
603305	2053	1997-10-16	PRIJEM	VKLAD	800	800	\N	\N	\N
603316	2053	1997-11-14	PRIJEM	VKLAD	6614	7414	\N	\N	\N
603317	2053	1997-12-14	PRIJEM	VKLAD	9921	26973	\N	\N	\N
603318	2053	1998-01-14	PRIJEM	VKLAD	6614	33179	\N	\N	\N
603319	2053	1998-02-14	PRIJEM	VKLAD	6614	35117	\N	\N	\N
603320	2053	1998-03-14	PRIJEM	VKLAD	6614	41872	\N	\N	\N
603321	2053	1998-04-14	PRIJEM	VKLAD	6614	33299	\N	\N	\N
603322	2053	1998-05-14	PRIJEM	VKLAD	6614	29029	\N	\N	\N
603323	2053	1998-06-14	PRIJEM	VKLAD	9921	29343	\N	\N	\N
603324	2053	1998-07-14	PRIJEM	VKLAD	6614	24999	\N	\N	\N
603325	2053	1998-08-14	PRIJEM	VKLAD	6614	27599	\N	\N	\N
603326	2053	1998-09-14	PRIJEM	VKLAD	6614	24800	\N	\N	\N
603327	2053	1998-10-14	PRIJEM	VKLAD	6614	25196	\N	\N	\N
603328	2053	1998-11-14	PRIJEM	VKLAD	6614	22724	\N	\N	\N
603329	2053	1998-12-14	PRIJEM	VKLAD	9921	22674	\N	\N	\N
603345	2053	1998-04-12	VYDAJ	PREVOD NA UCET	4409	26685	SIPO	UV	22726750
603346	2053	1998-05-12	VYDAJ	PREVOD NA UCET	4409	22415	SIPO	UV	22726750
603347	2053	1998-06-12	VYDAJ	PREVOD NA UCET	4409	16022	SIPO	UV	22726750
603348	2053	1998-07-12	VYDAJ	PREVOD NA UCET	4409	23585	SIPO	UV	22726750
603349	2053	1998-08-12	VYDAJ	PREVOD NA UCET	4409	20985	SIPO	UV	22726750
603350	2053	1998-09-12	VYDAJ	PREVOD NA UCET	4409	18186	SIPO	UV	22726750
603351	2053	1998-10-12	VYDAJ	PREVOD NA UCET	4409	18582	SIPO	UV	22726750
603352	2053	1998-11-12	VYDAJ	PREVOD NA UCET	4409	16110	SIPO	UV	22726750
603353	2053	1998-12-12	VYDAJ	PREVOD NA UCET	4409	12753	SIPO	UV	22726750
603361	2053	1998-07-07	VYDAJ	VYBER	1440	27994	\N	\N	\N
603362	2053	1998-04-15	VYDAJ	VYBER	1680	26719	\N	\N	\N
603363	2053	1998-09-03	VYDAJ	VYBER	2400	25295	\N	\N	\N
603364	2053	1998-12-11	VYDAJ	VYBER	3000	17162	\N	\N	\N
603365	2053	1998-12-02	VYDAJ	VYBER	2040	20762	\N	\N	\N
603366	2053	1998-10-14	VYDAJ	VYBER	2160	23036	\N	\N	\N
603382	2053	1998-03-31	VYDAJ	VYBER	15	31094	SLUZBY	\N	\N
603383	2053	1998-04-30	VYDAJ	VYBER	15	26824	SLUZBY	\N	\N
603384	2053	1998-05-31	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
603385	2053	1998-06-30	VYDAJ	VYBER	15	29434	SLUZBY	\N	\N
603386	2053	1998-07-31	VYDAJ	VYBER	15	25094	SLUZBY	\N	\N
603387	2053	1998-08-31	VYDAJ	VYBER	15	27695	SLUZBY	\N	\N
603388	2053	1998-09-30	VYDAJ	VYBER	15	24891	SLUZBY	\N	\N
603389	2053	1998-10-31	VYDAJ	VYBER	15	23119	SLUZBY	\N	\N
603390	2053	1998-11-30	VYDAJ	VYBER	15	22802	SLUZBY	\N	\N
603391	2053	1997-11-15	PRIJEM	VKLAD	9600	17014	\N	\N	\N
603392	2053	1997-12-15	VYDAJ	VYBER	500	26473	\N	\N	\N
603393	2053	1998-01-14	VYDAJ	VYBER	1100	32079	\N	\N	\N
603394	2053	1998-02-13	VYDAJ	VYBER	3700	28503	\N	\N	\N
603395	2053	1998-03-15	VYDAJ	VYBER	10900	30972	\N	\N	\N
603396	2053	1998-04-14	VYDAJ	VYBER	4900	28399	\N	\N	\N
603397	2053	1998-05-14	VYDAJ	VYBER	8700	20329	\N	\N	\N
603398	2053	1998-06-13	PRIJEM	VKLAD	3400	19422	\N	\N	\N
603399	2053	1998-07-13	VYDAJ	VYBER	5200	18385	\N	\N	\N
603400	2053	1998-08-12	PRIJEM	VKLAD	300	25394	\N	\N	\N
603401	2053	1998-09-11	VYDAJ	VYBER	2700	22595	\N	\N	\N
603402	2053	1998-10-11	VYDAJ	VYBER	1900	22991	\N	\N	\N
603403	2053	1998-11-10	VYDAJ	VYBER	2600	20519	\N	\N	\N
603404	2053	1998-12-10	VYDAJ	VYBER	600	20162	\N	\N	\N
603419	2054	1995-01-24	PRIJEM	VKLAD	600	600	\N	\N	\N
603421	2054	1995-02-13	PRIJEM	VKLAD	19902	20502	\N	\N	\N
603422	2054	1995-03-13	PRIJEM	VKLAD	19902	43525	\N	\N	\N
603423	2054	1995-04-13	PRIJEM	VKLAD	19902	50732	\N	\N	\N
603424	2054	1995-05-13	PRIJEM	VKLAD	19902	56768	\N	\N	\N
603425	2054	1995-06-13	PRIJEM	VKLAD	29853	68776	\N	\N	\N
603426	2054	1995-07-13	PRIJEM	VKLAD	19902	60135	\N	\N	\N
603427	2054	1995-08-13	PRIJEM	VKLAD	19902	53183	\N	\N	\N
603428	2054	1995-09-13	PRIJEM	VKLAD	19902	46297	\N	\N	\N
603429	2054	1995-10-13	PRIJEM	VKLAD	19902	46893	\N	\N	\N
603430	2054	1995-11-13	PRIJEM	VKLAD	19902	46686	\N	\N	\N
603431	2054	1995-12-13	PRIJEM	VKLAD	29853	56327	\N	\N	\N
603432	2054	1996-01-13	PRIJEM	VKLAD	19902	51833	\N	\N	\N
603433	2054	1996-02-13	PRIJEM	VKLAD	19902	48540	\N	\N	\N
603434	2054	1996-03-13	PRIJEM	VKLAD	19902	45934	\N	\N	\N
603435	2054	1996-04-13	PRIJEM	VKLAD	19902	44820	\N	\N	\N
603436	2054	1996-05-13	PRIJEM	VKLAD	19902	45901	\N	\N	\N
603437	2054	1996-06-13	PRIJEM	VKLAD	29853	54536	\N	\N	\N
603438	2054	1996-07-13	PRIJEM	VKLAD	19902	48125	\N	\N	\N
603439	2054	1996-08-13	PRIJEM	VKLAD	19902	43715	\N	\N	\N
603440	2054	1996-09-13	PRIJEM	VKLAD	19902	42491	\N	\N	\N
603441	2054	1996-10-13	PRIJEM	VKLAD	19902	42557	\N	\N	\N
603442	2054	1996-11-13	PRIJEM	VKLAD	19902	39024	\N	\N	\N
603443	2054	1996-12-13	PRIJEM	VKLAD	29853	50535	\N	\N	\N
603444	2054	1997-01-13	PRIJEM	VKLAD	19902	46509	\N	\N	\N
603445	2054	1997-02-13	PRIJEM	VKLAD	19902	46187	\N	\N	\N
603446	2054	1997-03-13	PRIJEM	VKLAD	19902	57491	\N	\N	\N
603447	2054	1997-04-13	PRIJEM	VKLAD	19902	54609	\N	\N	\N
603448	2054	1997-05-13	PRIJEM	VKLAD	19902	57126	\N	\N	\N
603449	2054	1997-06-13	PRIJEM	VKLAD	29853	53603	\N	\N	\N
603450	2054	1997-07-13	PRIJEM	VKLAD	19902	57229	\N	\N	\N
603451	2054	1997-08-13	PRIJEM	VKLAD	19902	57585	\N	\N	\N
603452	2054	1997-09-13	PRIJEM	VKLAD	19902	62062	\N	\N	\N
603453	2054	1997-10-13	PRIJEM	VKLAD	19902	59739	\N	\N	\N
603454	2054	1997-11-13	PRIJEM	VKLAD	19902	62117	\N	\N	\N
603455	2054	1997-12-13	PRIJEM	VKLAD	29853	75956	\N	\N	\N
603456	2054	1998-01-13	PRIJEM	VKLAD	19902	66575	\N	\N	\N
603457	2054	1998-02-13	PRIJEM	VKLAD	19902	66678	\N	\N	\N
603458	2054	1998-03-13	PRIJEM	VKLAD	19902	62676	\N	\N	\N
603459	2054	1998-04-13	PRIJEM	VKLAD	19902	63066	\N	\N	\N
603460	2054	1998-05-13	PRIJEM	VKLAD	19902	64158	\N	\N	\N
603461	2054	1998-06-13	PRIJEM	VKLAD	29853	74793	\N	\N	\N
603462	2054	1998-07-13	PRIJEM	VKLAD	19902	56874	\N	\N	\N
603463	2054	1998-08-13	PRIJEM	VKLAD	19902	63129	\N	\N	\N
603464	2054	1998-09-13	PRIJEM	VKLAD	19902	57906	\N	\N	\N
603465	2054	1998-10-13	PRIJEM	VKLAD	19902	54869	\N	\N	\N
603466	2054	1998-11-13	PRIJEM	VKLAD	19902	48010	\N	\N	\N
603467	2054	1998-12-13	PRIJEM	VKLAD	29853	57784	\N	\N	\N
603473	2054	1995-06-13	VYDAJ	PREVOD NA UCET	1488	67288	SIPO	ST	18836146
603474	2054	1995-07-13	VYDAJ	PREVOD NA UCET	1488	58647	SIPO	ST	18836146
603475	2054	1995-08-13	VYDAJ	PREVOD NA UCET	1488	48893	SIPO	ST	18836146
603476	2054	1995-09-13	VYDAJ	PREVOD NA UCET	1488	42007	SIPO	ST	18836146
603477	2054	1995-10-13	VYDAJ	PREVOD NA UCET	1488	42603	SIPO	ST	18836146
603478	2054	1995-11-13	VYDAJ	PREVOD NA UCET	1488	45198	SIPO	ST	18836146
603479	2054	1995-12-13	VYDAJ	PREVOD NA UCET	1488	54839	SIPO	ST	18836146
603480	2054	1996-01-13	VYDAJ	PREVOD NA UCET	1488	50345	SIPO	ST	18836146
603481	2054	1996-02-13	VYDAJ	PREVOD NA UCET	1488	44250	SIPO	ST	18836146
603482	2054	1996-03-13	VYDAJ	PREVOD NA UCET	1488	41644	SIPO	ST	18836146
603483	2054	1996-04-13	VYDAJ	PREVOD NA UCET	1488	43332	SIPO	ST	18836146
603484	2054	1996-05-13	VYDAJ	PREVOD NA UCET	1488	44413	SIPO	ST	18836146
603485	2054	1996-06-13	VYDAJ	PREVOD NA UCET	1488	50246	SIPO	ST	18836146
603486	2054	1996-07-13	VYDAJ	PREVOD NA UCET	1488	43835	SIPO	ST	18836146
603487	2054	1996-08-13	VYDAJ	PREVOD NA UCET	1488	42227	SIPO	ST	18836146
603488	2054	1996-09-13	VYDAJ	PREVOD NA UCET	1488	38201	SIPO	ST	18836146
603489	2054	1996-10-13	VYDAJ	PREVOD NA UCET	1488	38267	SIPO	ST	18836146
603490	2054	1996-11-13	VYDAJ	PREVOD NA UCET	1488	37536	SIPO	ST	18836146
603491	2054	1996-12-13	VYDAJ	PREVOD NA UCET	1488	49047	SIPO	ST	18836146
603492	2054	1997-01-13	VYDAJ	PREVOD NA UCET	1488	31319	SIPO	ST	18836146
603493	2054	1997-02-13	VYDAJ	PREVOD NA UCET	1488	41897	SIPO	ST	18836146
603494	2054	1997-03-13	VYDAJ	PREVOD NA UCET	1488	53201	SIPO	ST	18836146
603495	2054	1997-04-13	VYDAJ	PREVOD NA UCET	1488	44321	SIPO	ST	18836146
603496	2054	1997-05-13	VYDAJ	PREVOD NA UCET	1488	41636	SIPO	ST	18836146
603497	2054	1997-06-13	VYDAJ	PREVOD NA UCET	1488	52115	SIPO	ST	18836146
603498	2054	1997-07-13	VYDAJ	PREVOD NA UCET	1488	52939	SIPO	ST	18836146
603499	2054	1997-08-13	VYDAJ	PREVOD NA UCET	1488	56097	SIPO	ST	18836146
603500	2054	1997-09-13	VYDAJ	PREVOD NA UCET	1488	57772	SIPO	ST	18836146
603501	2054	1997-10-13	VYDAJ	PREVOD NA UCET	1488	58251	SIPO	ST	18836146
603502	2054	1997-11-13	VYDAJ	PREVOD NA UCET	1488	60629	SIPO	ST	18836146
603503	2054	1997-12-13	VYDAJ	PREVOD NA UCET	1488	74468	SIPO	ST	18836146
603504	2054	1998-01-13	VYDAJ	PREVOD NA UCET	1488	62285	SIPO	ST	18836146
603505	2054	1998-02-13	VYDAJ	PREVOD NA UCET	1488	62388	SIPO	ST	18836146
603506	2054	1998-03-13	VYDAJ	PREVOD NA UCET	1488	58386	SIPO	ST	18836146
603507	2054	1998-04-13	VYDAJ	PREVOD NA UCET	1488	61578	SIPO	ST	18836146
603508	2054	1998-05-13	VYDAJ	PREVOD NA UCET	1488	62670	SIPO	ST	18836146
603509	2054	1998-06-13	VYDAJ	PREVOD NA UCET	1488	73305	SIPO	ST	18836146
603510	2054	1998-07-13	VYDAJ	PREVOD NA UCET	1488	55386	SIPO	ST	18836146
603511	2054	1998-08-13	VYDAJ	PREVOD NA UCET	1488	58839	SIPO	ST	18836146
603512	2054	1998-09-13	VYDAJ	PREVOD NA UCET	1488	53616	SIPO	ST	18836146
603513	2054	1998-10-13	VYDAJ	PREVOD NA UCET	1488	50579	SIPO	ST	18836146
603514	2054	1998-11-13	VYDAJ	PREVOD NA UCET	1488	43720	SIPO	ST	18836146
603515	2054	1998-12-13	VYDAJ	PREVOD NA UCET	1488	56296	SIPO	ST	18836146
603522	2054	1995-07-06	VYDAJ	PREVOD NA UCET	4448	40233	 	CD	30685097
603523	2054	1995-08-06	VYDAJ	PREVOD NA UCET	4448	33281	 	CD	30685097
603524	2054	1995-09-06	VYDAJ	PREVOD NA UCET	4448	28995	 	CD	30685097
603525	2054	1995-10-06	VYDAJ	PREVOD NA UCET	4448	26991	 	CD	30685097
603526	2054	1995-11-06	VYDAJ	PREVOD NA UCET	4448	26784	 	CD	30685097
603527	2054	1995-12-06	VYDAJ	PREVOD NA UCET	4448	26474	 	CD	30685097
603528	2054	1996-01-06	VYDAJ	PREVOD NA UCET	4448	31931	 	CD	30685097
603529	2054	1996-02-06	VYDAJ	PREVOD NA UCET	4448	28638	 	CD	30685097
603530	2054	1996-03-06	VYDAJ	PREVOD NA UCET	4448	26032	 	CD	30685097
603531	2054	1996-04-06	VYDAJ	PREVOD NA UCET	4448	24918	 	CD	30685097
603532	2054	1996-05-06	VYDAJ	PREVOD NA UCET	4448	25999	 	CD	30685097
603533	2054	1996-06-06	VYDAJ	PREVOD NA UCET	4448	24683	 	CD	30685097
603534	2054	1996-07-06	VYDAJ	PREVOD NA UCET	4448	28223	 	CD	30685097
603535	2054	1996-08-06	VYDAJ	PREVOD NA UCET	4448	26713	 	CD	30685097
603536	2054	1996-09-06	VYDAJ	PREVOD NA UCET	4448	22589	 	CD	30685097
603537	2054	1996-10-06	VYDAJ	PREVOD NA UCET	4448	22655	 	CD	30685097
603538	2054	1996-11-06	VYDAJ	PREVOD NA UCET	4448	23522	 	CD	30685097
603539	2054	1996-12-06	VYDAJ	PREVOD NA UCET	4448	20682	 	CD	30685097
603540	2054	1997-01-06	VYDAJ	PREVOD NA UCET	4448	28607	 	CD	30685097
603541	2054	1997-02-06	VYDAJ	PREVOD NA UCET	4448	26985	 	CD	30685097
603542	2054	1997-03-06	VYDAJ	PREVOD NA UCET	4448	37589	 	CD	30685097
603543	2054	1997-04-06	VYDAJ	PREVOD NA UCET	4448	34707	 	CD	30685097
603544	2054	1997-05-06	VYDAJ	PREVOD NA UCET	4448	37224	 	CD	30685097
603545	2054	1997-06-06	VYDAJ	PREVOD NA UCET	4448	37350	 	CD	30685097
603629	2054	1997-10-02	VYDAJ	VYBER	4900	53085	\N	\N	\N
603546	2054	1997-07-06	VYDAJ	PREVOD NA UCET	4448	41327	 	CD	30685097
603547	2054	1997-08-06	VYDAJ	PREVOD NA UCET	4448	48683	 	CD	30685097
603548	2054	1997-09-06	VYDAJ	PREVOD NA UCET	4448	49060	 	CD	30685097
603549	2054	1997-10-06	VYDAJ	PREVOD NA UCET	4448	48637	 	CD	30685097
603550	2054	1997-11-06	VYDAJ	PREVOD NA UCET	4448	51215	 	CD	30685097
603551	2054	1997-12-06	VYDAJ	PREVOD NA UCET	4448	53603	 	CD	30685097
603552	2054	1998-01-06	VYDAJ	PREVOD NA UCET	4448	64873	 	CD	30685097
603553	2054	1998-02-06	VYDAJ	PREVOD NA UCET	4448	58076	 	CD	30685097
603554	2054	1998-03-06	VYDAJ	PREVOD NA UCET	4448	58174	 	CD	30685097
603555	2054	1998-04-06	VYDAJ	PREVOD NA UCET	4448	54164	 	CD	30685097
603556	2054	1998-05-06	VYDAJ	PREVOD NA UCET	4448	54556	 	CD	30685097
603557	2054	1998-06-06	VYDAJ	PREVOD NA UCET	4448	51540	 	CD	30685097
603558	2054	1998-07-06	VYDAJ	PREVOD NA UCET	4448	40872	 	CD	30685097
603559	2054	1998-08-06	VYDAJ	PREVOD NA UCET	4448	48327	 	CD	30685097
603560	2054	1998-09-06	VYDAJ	PREVOD NA UCET	4448	38004	 	CD	30685097
603561	2054	1998-10-06	VYDAJ	PREVOD NA UCET	4448	34967	 	CD	30685097
603562	2054	1998-11-06	VYDAJ	PREVOD NA UCET	4448	30408	 	CD	30685097
603563	2054	1998-12-06	VYDAJ	PREVOD NA UCET	4448	27931	 	CD	30685097
603569	2054	1995-06-13	VYDAJ	PREVOD NA UCET	2802	64486	POJISTNE	UV	2714741
603570	2054	1995-07-13	VYDAJ	PREVOD NA UCET	2802	55845	POJISTNE	UV	2714741
603571	2054	1995-08-13	VYDAJ	PREVOD NA UCET	2802	50381	POJISTNE	UV	2714741
603572	2054	1995-09-13	VYDAJ	PREVOD NA UCET	2802	43495	POJISTNE	UV	2714741
603573	2054	1995-10-13	VYDAJ	PREVOD NA UCET	2802	44091	POJISTNE	UV	2714741
603574	2054	1995-11-13	VYDAJ	PREVOD NA UCET	2802	42396	POJISTNE	UV	2714741
603575	2054	1995-12-13	VYDAJ	PREVOD NA UCET	2802	52037	POJISTNE	UV	2714741
603576	2054	1996-01-13	VYDAJ	PREVOD NA UCET	2802	47543	POJISTNE	UV	2714741
603577	2054	1996-02-13	VYDAJ	PREVOD NA UCET	2802	45738	POJISTNE	UV	2714741
603578	2054	1996-03-13	VYDAJ	PREVOD NA UCET	2802	43132	POJISTNE	UV	2714741
603579	2054	1996-04-13	VYDAJ	PREVOD NA UCET	2802	40530	POJISTNE	UV	2714741
603580	2054	1996-05-13	VYDAJ	PREVOD NA UCET	2802	41611	POJISTNE	UV	2714741
603581	2054	1996-06-13	VYDAJ	PREVOD NA UCET	2802	51734	POJISTNE	UV	2714741
603582	2054	1996-07-13	VYDAJ	PREVOD NA UCET	2802	45323	POJISTNE	UV	2714741
603583	2054	1996-08-13	VYDAJ	PREVOD NA UCET	2802	39425	POJISTNE	UV	2714741
603584	2054	1996-09-13	VYDAJ	PREVOD NA UCET	2802	39689	POJISTNE	UV	2714741
603585	2054	1996-10-13	VYDAJ	PREVOD NA UCET	2802	39755	POJISTNE	UV	2714741
603586	2054	1996-11-13	VYDAJ	PREVOD NA UCET	2802	34734	POJISTNE	UV	2714741
603587	2054	1996-12-13	VYDAJ	PREVOD NA UCET	2802	46245	POJISTNE	UV	2714741
603588	2054	1997-01-13	VYDAJ	PREVOD NA UCET	2802	43707	POJISTNE	UV	2714741
603589	2054	1997-02-13	VYDAJ	PREVOD NA UCET	2802	43385	POJISTNE	UV	2714741
603590	2054	1997-03-13	VYDAJ	PREVOD NA UCET	2802	54689	POJISTNE	UV	2714741
603591	2054	1997-04-13	VYDAJ	PREVOD NA UCET	2802	41519	POJISTNE	UV	2714741
603592	2054	1997-05-13	VYDAJ	PREVOD NA UCET	2802	54324	POJISTNE	UV	2714741
603593	2054	1997-06-13	VYDAJ	PREVOD NA UCET	2802	49313	POJISTNE	UV	2714741
603594	2054	1997-07-13	VYDAJ	PREVOD NA UCET	2802	54427	POJISTNE	UV	2714741
603595	2054	1997-08-13	VYDAJ	PREVOD NA UCET	2802	53295	POJISTNE	UV	2714741
603596	2054	1997-09-13	VYDAJ	PREVOD NA UCET	2802	59260	POJISTNE	UV	2714741
603597	2054	1997-10-13	VYDAJ	PREVOD NA UCET	2802	55449	POJISTNE	UV	2714741
603598	2054	1997-11-13	VYDAJ	PREVOD NA UCET	2802	57827	POJISTNE	UV	2714741
603599	2054	1997-12-13	VYDAJ	PREVOD NA UCET	2802	71666	POJISTNE	UV	2714741
603600	2054	1998-01-13	VYDAJ	PREVOD NA UCET	2802	63773	POJISTNE	UV	2714741
603601	2054	1998-02-13	VYDAJ	PREVOD NA UCET	2802	63876	POJISTNE	UV	2714741
603602	2054	1998-03-13	VYDAJ	PREVOD NA UCET	2802	59874	POJISTNE	UV	2714741
603603	2054	1998-04-13	VYDAJ	PREVOD NA UCET	2802	58776	POJISTNE	UV	2714741
603604	2054	1998-05-13	VYDAJ	PREVOD NA UCET	2802	59868	POJISTNE	UV	2714741
603605	2054	1998-06-13	VYDAJ	PREVOD NA UCET	2802	70503	POJISTNE	UV	2714741
603606	2054	1998-07-13	VYDAJ	PREVOD NA UCET	2802	52584	POJISTNE	UV	2714741
603607	2054	1998-08-13	VYDAJ	PREVOD NA UCET	2802	60327	POJISTNE	UV	2714741
603608	2054	1998-09-13	VYDAJ	PREVOD NA UCET	2802	55104	POJISTNE	UV	2714741
603609	2054	1998-10-13	VYDAJ	PREVOD NA UCET	2802	52067	POJISTNE	UV	2714741
603610	2054	1998-11-13	VYDAJ	PREVOD NA UCET	2802	45208	POJISTNE	UV	2714741
603611	2054	1998-12-13	VYDAJ	PREVOD NA UCET	2802	53494	POJISTNE	UV	2714741
603614	2054	1997-06-09	VYDAJ	VYBER	20300	17050	\N	\N	\N
603615	2054	1998-06-22	VYDAJ	VYBER	25400	45103	\N	\N	\N
603616	2054	1995-12-15	VYDAJ	VYBER	500	51537	\N	\N	\N
603617	2054	1996-12-20	VYDAJ	VYBER	1100	32945	\N	\N	\N
603618	2054	1997-12-23	VYDAJ	VYBER	2600	69066	\N	\N	\N
603619	2054	1998-12-06	VYDAJ	VYBER KARTOU	1600	32379	\N	\N	0
603620	2054	1995-09-12	VYDAJ	VYBER	2600	26395	\N	\N	\N
603622	2054	1996-11-26	VYDAJ	VYBER	1100	28234	\N	\N	\N
603623	2054	1996-12-05	VYDAJ	VYBER	3200	25130	\N	\N	\N
603624	2054	1996-11-06	VYDAJ	VYBER	4400	19122	\N	\N	\N
603625	2054	1996-09-01	VYDAJ	VYBER	1800	27037	\N	\N	\N
603626	2054	1996-08-11	VYDAJ	VYBER	2900	23813	\N	\N	\N
603627	2054	1996-09-25	VYDAJ	VYBER	2400	27001	\N	\N	\N
603628	2054	1997-01-08	VYDAJ	VYBER	2000	26607	\N	\N	\N
603630	2054	1997-06-20	VYDAJ	VYBER	3700	45613	\N	\N	\N
603631	2054	1998-05-22	VYDAJ	VYBER	4100	55768	\N	\N	\N
603632	2054	1998-10-03	VYDAJ	VYBER KARTOU	2200	51615	\N	\N	0
603633	2054	1998-11-06	VYDAJ	VYBER KARTOU	2300	28108	\N	\N	0
603634	2054	1998-10-26	VYDAJ	VYBER KARTOU	2500	48079	\N	\N	0
603635	2054	1998-04-09	VYDAJ	VYBER KARTOU	1500	43164	\N	\N	0
603642	2054	1995-06-30	VYDAJ	VYBER	15	44681	SLUZBY	\N	\N
603643	2054	1995-07-31	VYDAJ	VYBER	15	37729	SLUZBY	\N	\N
603644	2054	1995-08-31	VYDAJ	VYBER	15	33443	SLUZBY	\N	\N
603645	2054	1995-09-30	VYDAJ	VYBER	15	31439	SLUZBY	\N	\N
603646	2054	1995-10-31	VYDAJ	VYBER	15	31232	SLUZBY	\N	\N
603647	2054	1995-11-30	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
603648	2054	1995-12-31	VYDAJ	VYBER	15	36379	SLUZBY	\N	\N
603649	2054	1996-01-31	VYDAJ	VYBER	15	33086	SLUZBY	\N	\N
603650	2054	1996-02-29	VYDAJ	VYBER	15	30480	SLUZBY	\N	\N
603651	2054	1996-03-31	VYDAJ	VYBER	15	29366	SLUZBY	\N	\N
603652	2054	1996-04-30	VYDAJ	VYBER	15	30447	SLUZBY	\N	\N
603653	2054	1996-05-31	VYDAJ	VYBER	15	29131	SLUZBY	\N	\N
603654	2054	1996-06-30	VYDAJ	VYBER	15	32671	SLUZBY	\N	\N
603655	2054	1996-07-31	VYDAJ	VYBER	15	31161	SLUZBY	\N	\N
603656	2054	1996-08-31	VYDAJ	VYBER	15	28837	SLUZBY	\N	\N
603657	2054	1996-09-30	VYDAJ	VYBER	15	27103	SLUZBY	\N	\N
603658	2054	1996-10-31	VYDAJ	VYBER	15	27970	SLUZBY	\N	\N
603659	2054	1996-11-30	VYDAJ	VYBER	15	28330	SLUZBY	\N	\N
603660	2054	1996-12-31	VYDAJ	VYBER	15	33055	SLUZBY	\N	\N
603661	2054	1997-01-31	VYDAJ	VYBER	15	31433	SLUZBY	\N	\N
603662	2054	1997-02-28	VYDAJ	VYBER	15	42037	SLUZBY	\N	\N
603663	2054	1997-03-31	VYDAJ	VYBER	15	39155	SLUZBY	\N	\N
603664	2054	1997-04-30	VYDAJ	VYBER	15	41672	SLUZBY	\N	\N
603665	2054	1997-05-31	VYDAJ	VYBER	15	41798	SLUZBY	\N	\N
603666	2054	1997-06-30	VYDAJ	VYBER	15	45775	SLUZBY	\N	\N
603667	2054	1997-07-31	VYDAJ	VYBER	15	53131	SLUZBY	\N	\N
603668	2054	1997-08-31	VYDAJ	VYBER	15	53508	SLUZBY	\N	\N
603669	2054	1997-09-30	VYDAJ	VYBER	15	57985	SLUZBY	\N	\N
603670	2054	1997-10-31	VYDAJ	VYBER	15	55663	SLUZBY	\N	\N
603671	2054	1997-11-30	VYDAJ	VYBER	15	58051	SLUZBY	\N	\N
603672	2054	1997-12-31	VYDAJ	VYBER	15	69321	SLUZBY	\N	\N
603673	2054	1998-01-31	VYDAJ	VYBER	15	62524	SLUZBY	\N	\N
603674	2054	1998-02-28	VYDAJ	VYBER	15	62622	SLUZBY	\N	\N
603675	2054	1998-03-31	VYDAJ	VYBER	15	58612	SLUZBY	\N	\N
603676	2054	1998-04-30	VYDAJ	VYBER	15	59004	SLUZBY	\N	\N
603677	2054	1998-05-31	VYDAJ	VYBER	15	55988	SLUZBY	\N	\N
603678	2054	1998-06-30	VYDAJ	VYBER	15	45320	SLUZBY	\N	\N
603679	2054	1998-07-31	VYDAJ	VYBER	15	52775	SLUZBY	\N	\N
603680	2054	1998-08-31	VYDAJ	VYBER	15	59052	SLUZBY	\N	\N
603681	2054	1998-09-30	VYDAJ	VYBER	15	53815	SLUZBY	\N	\N
603682	2054	1998-10-31	VYDAJ	VYBER	15	48256	SLUZBY	\N	\N
603683	2054	1998-11-30	VYDAJ	VYBER	15	43879	SLUZBY	\N	\N
603684	2054	1995-02-23	PRIJEM	VKLAD	3100	23602	\N	\N	\N
603685	2054	1995-03-25	VYDAJ	VYBER	12800	30725	\N	\N	\N
603686	2054	1995-04-24	VYDAJ	VYBER	14000	36732	\N	\N	\N
603687	2054	1995-05-24	VYDAJ	VYBER	18000	38768	\N	\N	\N
603688	2054	1995-06-23	VYDAJ	VYBER	20000	44486	\N	\N	\N
603689	2054	1995-07-23	VYDAJ	VYBER	18300	37545	\N	\N	\N
603690	2054	1995-08-22	VYDAJ	VYBER	15600	33293	\N	\N	\N
603691	2054	1995-09-21	VYDAJ	VYBER	10700	31307	\N	\N	\N
603692	2054	1995-10-21	VYDAJ	VYBER	11500	31103	\N	\N	\N
603693	2054	1995-11-20	VYDAJ	VYBER	11600	30796	\N	\N	\N
603694	2054	1995-12-20	VYDAJ	VYBER	15300	36237	\N	\N	\N
603695	2054	1996-01-19	VYDAJ	VYBER	14600	32943	\N	\N	\N
603696	2054	1996-02-18	VYDAJ	VYBER	13900	30350	\N	\N	\N
603697	2054	1996-03-19	VYDAJ	VYBER	12400	29244	\N	\N	\N
603698	2054	1996-04-18	VYDAJ	VYBER	10200	30330	\N	\N	\N
603699	2054	1996-05-18	VYDAJ	VYBER	12600	29011	\N	\N	\N
603700	2054	1996-06-17	VYDAJ	VYBER	17700	32546	\N	\N	\N
603701	2054	1996-07-17	VYDAJ	VYBER	12800	31035	\N	\N	\N
603702	2054	1996-08-16	VYDAJ	VYBER	10700	28725	\N	\N	\N
603703	2054	1996-09-15	VYDAJ	VYBER	8800	29401	\N	\N	\N
603704	2054	1996-10-15	VYDAJ	VYBER	10400	27867	\N	\N	\N
603705	2054	1996-11-14	VYDAJ	VYBER	5400	29334	\N	\N	\N
603706	2054	1996-12-14	VYDAJ	VYBER	12200	34045	\N	\N	\N
603707	2054	1997-01-13	VYDAJ	VYBER	10900	32807	\N	\N	\N
603708	2054	1997-02-12	VYDAJ	VYBER	700	26285	\N	\N	\N
603709	2054	1997-03-14	VYDAJ	VYBER	14200	39001	\N	\N	\N
603710	2054	1997-04-13	VYDAJ	VYBER	8800	45809	\N	\N	\N
603711	2054	1997-05-13	VYDAJ	VYBER	11200	43124	\N	\N	\N
603712	2054	1997-06-12	PRIJEM	VKLAD	6700	23750	\N	\N	\N
603713	2054	1997-07-12	VYDAJ	VYBER	4000	37327	\N	\N	\N
603714	2054	1997-08-11	VYDAJ	VYBER	11000	37683	\N	\N	\N
603715	2054	1997-09-10	VYDAJ	VYBER	6900	42160	\N	\N	\N
603716	2054	1997-10-10	VYDAJ	VYBER	8800	39837	\N	\N	\N
603717	2054	1997-11-09	VYDAJ	VYBER	9000	42215	\N	\N	\N
603718	2054	1997-12-09	VYDAJ	VYBER	7500	46103	\N	\N	\N
603719	2054	1998-01-08	VYDAJ	VYBER	18200	46673	\N	\N	\N
603720	2054	1998-02-07	VYDAJ	VYBER	11300	46776	\N	\N	\N
603721	2054	1998-03-09	VYDAJ	VYBER	15400	42774	\N	\N	\N
603722	2054	1998-04-08	VYDAJ	VYBER	9500	44664	\N	\N	\N
603723	2054	1998-05-08	VYDAJ	VYBER	10300	44256	\N	\N	\N
603724	2054	1998-06-07	VYDAJ	VYBER	6600	44940	\N	\N	\N
603725	2054	1998-07-07	VYDAJ	VYBER KARTOU	3900	36972	\N	\N	0
603726	2054	1998-08-06	VYDAJ	VYBER	5100	43227	\N	\N	\N
603727	2054	1998-09-05	VYDAJ	VYBER	16600	42452	\N	\N	\N
603728	2054	1998-10-05	VYDAJ	VYBER	12200	39415	\N	\N	\N
603729	2054	1998-11-04	VYDAJ	VYBER	13400	34856	\N	\N	\N
603730	2054	1998-12-04	VYDAJ	VYBER	9900	33979	\N	\N	\N
603778	2055	1997-04-17	PRIJEM	VKLAD	700	700	\N	\N	\N
603783	2055	1997-05-07	PRIJEM	VKLAD	10267	10967	\N	\N	\N
603784	2055	1997-06-07	PRIJEM	VKLAD	15400	33503	\N	\N	\N
603785	2055	1997-07-07	PRIJEM	VKLAD	10267	36763	\N	\N	\N
603786	2055	1997-08-07	PRIJEM	VKLAD	10267	36339	\N	\N	\N
603787	2055	1997-09-07	PRIJEM	VKLAD	10267	34510	\N	\N	\N
603788	2055	1997-10-07	PRIJEM	VKLAD	10267	18409	\N	\N	\N
603789	2055	1997-11-07	PRIJEM	VKLAD	10267	18385	\N	\N	\N
603790	2055	1997-12-07	PRIJEM	VKLAD	15400	20883	\N	\N	\N
603791	2055	1998-01-07	PRIJEM	VKLAD	10267	14969	\N	\N	\N
603792	2055	1998-02-07	PRIJEM	VKLAD	10267	16532	\N	\N	\N
603793	2055	1998-03-07	PRIJEM	VKLAD	10267	12497	\N	\N	\N
603794	2055	1998-04-07	PRIJEM	VKLAD	10267	15956	\N	\N	\N
603795	2055	1998-05-07	PRIJEM	VKLAD	10267	13625	\N	\N	\N
603796	2055	1998-06-07	PRIJEM	VKLAD	15400	18211	\N	\N	\N
603797	2055	1998-07-07	PRIJEM	VKLAD	10267	15885	\N	\N	\N
603798	2055	1998-08-07	PRIJEM	VKLAD	10267	15043	\N	\N	\N
603799	2055	1998-09-07	PRIJEM	VKLAD	10267	13978	\N	\N	\N
603800	2055	1998-10-07	PRIJEM	VKLAD	10267	12908	\N	\N	\N
603801	2055	1998-11-07	PRIJEM	VKLAD	10267	11834	\N	\N	\N
603802	2055	1998-12-07	PRIJEM	VKLAD	15400	15889	\N	\N	\N
603812	2055	1997-10-06	VYDAJ	PREVOD NA UCET	6844	8142	SIPO	WX	8321655
603813	2055	1997-11-06	VYDAJ	PREVOD NA UCET	6844	8118	SIPO	WX	8321655
603814	2055	1997-12-06	VYDAJ	PREVOD NA UCET	6844	5483	SIPO	WX	8321655
603815	2055	1998-01-06	VYDAJ	PREVOD NA UCET	6844	4702	SIPO	WX	8321655
603816	2055	1998-02-06	VYDAJ	PREVOD NA UCET	6844	6265	SIPO	WX	8321655
603817	2055	1998-03-06	VYDAJ	PREVOD NA UCET	6844	4930	SIPO	WX	8321655
603818	2055	1998-04-06	VYDAJ	PREVOD NA UCET	6844	5689	SIPO	WX	8321655
603819	2055	1998-05-06	VYDAJ	PREVOD NA UCET	6844	3358	SIPO	WX	8321655
603820	2055	1998-06-06	VYDAJ	PREVOD NA UCET	6844	2811	SIPO	WX	8321655
603821	2055	1998-07-06	VYDAJ	PREVOD NA UCET	6844	5618	SIPO	WX	8321655
603822	2055	1998-08-06	VYDAJ	PREVOD NA UCET	6844	4776	SIPO	WX	8321655
603823	2055	1998-09-06	VYDAJ	PREVOD NA UCET	6844	3711	SIPO	WX	8321655
603824	2055	1998-10-06	VYDAJ	PREVOD NA UCET	6844	2641	SIPO	WX	8321655
603825	2055	1998-11-06	VYDAJ	PREVOD NA UCET	6844	1567	SIPO	WX	8321655
603826	2055	1998-12-06	VYDAJ	PREVOD NA UCET	6844	489	SIPO	WX	8321655
603835	2055	1997-09-12	VYDAJ	VYBER	5100	29410	\N	\N	0
603836	2055	1997-10-01	VYDAJ	VYBER	4500	14986	\N	\N	0
603837	2055	1997-11-10	VYDAJ	VYBER	6200	12185	\N	\N	0
603838	2055	1997-12-22	VYDAJ	VYBER	3000	11503	\N	\N	0
603839	2055	1998-01-13	VYDAJ	VYBER	2900	13069	\N	\N	0
603840	2055	1998-02-16	VYDAJ	VYBER	4500	11732	\N	\N	0
603841	2055	1998-03-06	VYDAJ	VYBER	2700	2230	\N	\N	0
603842	2055	1998-04-27	VYDAJ	VYBER	5800	10156	\N	\N	0
603843	2055	1998-05-16	VYDAJ	VYBER	4000	9625	\N	\N	0
603844	2055	1998-06-27	VYDAJ	VYBER	5800	12411	\N	\N	0
603845	2055	1998-07-08	VYDAJ	VYBER	4300	11585	\N	\N	0
603846	2055	1998-08-12	VYDAJ	PREVOD NA UCET	4521	10522	UVER	KL	87599461
603847	2055	1998-09-12	VYDAJ	PREVOD NA UCET	4521	9457	UVER	KL	87599461
603848	2055	1998-10-12	VYDAJ	PREVOD NA UCET	4521	8387	UVER	KL	87599461
603849	2055	1998-11-12	VYDAJ	PREVOD NA UCET	4521	7313	UVER	KL	87599461
603850	2055	1998-12-12	VYDAJ	PREVOD NA UCET	4521	11368	UVER	KL	87599461
603855	2055	1997-12-10	VYDAJ	VYBER	3360	15603	\N	\N	\N
603860	2055	1997-12-09	VYDAJ	VYBER	1920	18963	\N	\N	\N
603879	2055	1997-09-30	VYDAJ	VYBER	15	19486	SLUZBY	\N	\N
603880	2055	1997-10-31	VYDAJ	VYBER	15	14962	SLUZBY	\N	\N
603881	2055	1997-11-30	VYDAJ	VYBER	15	12327	SLUZBY	\N	\N
603882	2055	1997-12-31	VYDAJ	VYBER	15	11546	SLUZBY	\N	\N
603883	2055	1998-01-31	VYDAJ	VYBER	15	13109	SLUZBY	\N	\N
603884	2055	1998-02-28	VYDAJ	VYBER	15	11774	SLUZBY	\N	\N
603885	2055	1998-03-31	VYDAJ	VYBER	15	12533	SLUZBY	\N	\N
603886	2055	1998-04-30	VYDAJ	VYBER	15	10202	SLUZBY	\N	\N
603887	2055	1998-05-31	VYDAJ	VYBER	15	9655	SLUZBY	\N	\N
603888	2055	1998-06-30	VYDAJ	VYBER	15	12462	SLUZBY	\N	\N
603889	2055	1998-07-31	VYDAJ	VYBER	15	11620	SLUZBY	\N	\N
603890	2055	1998-08-31	VYDAJ	VYBER	15	10555	SLUZBY	\N	\N
603891	2055	1998-09-30	VYDAJ	VYBER	15	9485	SLUZBY	\N	\N
603892	2055	1998-10-31	VYDAJ	VYBER	15	8411	SLUZBY	\N	\N
603893	2055	1998-11-30	VYDAJ	VYBER	15	7333	SLUZBY	\N	\N
603894	2055	1997-05-17	PRIJEM	VKLAD	7100	18067	\N	\N	\N
603895	2055	1997-06-16	VYDAJ	VYBER	7100	26403	\N	\N	\N
603896	2055	1997-07-16	VYDAJ	VYBER	10800	25963	\N	\N	\N
603897	2055	1997-08-15	VYDAJ	VYBER	12200	24139	\N	\N	\N
603898	2055	1997-09-14	VYDAJ	VYBER	10000	19410	\N	\N	\N
603899	2055	1997-10-14	VYDAJ	VYBER	3500	14909	\N	\N	\N
603900	2055	1997-11-13	PRIJEM	VKLAD	100	12285	\N	\N	\N
603901	2055	1997-12-13	VYDAJ	VYBER	1100	14503	\N	\N	\N
603902	2055	1998-01-12	PRIJEM	VKLAD	1000	15969	\N	\N	\N
603903	2055	1998-02-11	VYDAJ	VYBER	300	16232	\N	\N	\N
603924	2056	1993-04-07	PRIJEM	VKLAD	200	200	\N	\N	\N
603925	2056	1993-09-06	PRIJEM	VKLAD	12703	55472	\N	\N	\N
603926	2056	1993-05-20	PRIJEM	VKLAD	7697	64868	\N	\N	\N
603927	2056	1993-08-31	PRIJEM	VKLAD	26725	59713	\N	\N	\N
603928	2056	1993-07-05	PRIJEM	VKLAD	32230	80367	\N	\N	\N
603929	2056	1993-04-27	PRIJEM	VKLAD	7520	7720	\N	\N	\N
603930	2056	1993-11-30	PRIJEM	VKLAD	39320	65063	\N	\N	\N
603931	2056	1993-07-02	PRIJEM	VKLAD	25733	48137	\N	\N	\N
603932	2056	1993-05-25	PRIJEM	VKLAD	17894	82762	\N	\N	\N
603933	2056	1993-07-15	PRIJEM	VKLAD	9845	63412	\N	\N	\N
603935	2056	1993-06-10	PRIJEM	VKLAD	28128	81005	\N	\N	\N
603937	2056	1993-05-09	PRIJEM	VKLAD	41847	57171	\N	\N	\N
603938	2056	1994-07-19	PRIJEM	VKLAD	49746	93089	\N	\N	\N
603939	2056	1994-12-07	PRIJEM	VKLAD	16727	41701	\N	\N	\N
603940	2056	1994-08-20	PRIJEM	VKLAD	35055	122463	\N	\N	\N
603941	2056	1994-05-19	PRIJEM	VKLAD	46951	98732	\N	\N	\N
603942	2056	1994-09-04	PRIJEM	VKLAD	14067	68810	\N	\N	\N
603943	2056	1994-01-20	PRIJEM	VKLAD	11016	34351	\N	\N	\N
603944	2056	1994-06-15	PRIJEM	VKLAD	32215	72197	\N	\N	\N
603945	2056	1994-08-18	PRIJEM	VKLAD	8427	87408	\N	\N	\N
603946	2056	1994-09-15	PRIJEM	VKLAD	45675	114485	\N	\N	\N
603947	2056	1994-05-07	PRIJEM	VKLAD	10414	58292	\N	\N	\N
603948	2056	1994-02-18	PRIJEM	VKLAD	26140	95414	\N	\N	\N
603949	2056	1994-02-13	PRIJEM	VKLAD	37821	69274	\N	\N	\N
603950	2056	1994-08-29	PRIJEM	VKLAD	31828	109491	\N	\N	\N
603951	2056	1994-12-15	PRIJEM	VKLAD	35247	76948	\N	\N	\N
603952	2056	1994-12-20	PRIJEM	VKLAD	19753	94001	\N	\N	\N
603953	2056	1994-08-04	PRIJEM	VKLAD	26435	78981	\N	\N	\N
603954	2056	1994-04-03	PRIJEM	VKLAD	29237	67516	\N	\N	\N
603955	2056	1994-05-13	PRIJEM	VKLAD	10916	56040	\N	\N	\N
603956	2056	1994-03-25	PRIJEM	VKLAD	16678	50991	\N	\N	\N
603957	2056	1994-05-17	PRIJEM	VKLAD	6897	51781	\N	\N	\N
603958	2056	1994-05-30	PRIJEM	VKLAD	16566	115298	\N	\N	\N
603959	2056	1995-11-10	PRIJEM	VKLAD	43912	89704	\N	\N	\N
603960	2056	1995-10-16	PRIJEM	VKLAD	32848	64170	\N	\N	\N
603961	2056	1995-01-16	PRIJEM	VKLAD	44028	97985	\N	\N	\N
603962	2056	1995-08-05	PRIJEM	VKLAD	38924	71394	\N	\N	\N
603963	2056	1995-09-28	PRIJEM	VKLAD	8992	37151	\N	\N	\N
603964	2056	1995-03-27	PRIJEM	VKLAD	41177	80244	\N	\N	\N
603965	2056	1996-02-11	PRIJEM	VKLAD	25412	54337	\N	\N	\N
603966	2056	1997-01-14	PRIJEM	VKLAD	27234	55869	\N	\N	\N
603967	2056	1997-07-06	PRIJEM	VKLAD	45608	80002	\N	\N	\N
603968	2056	1997-10-23	PRIJEM	VKLAD	49623	86009	\N	\N	\N
603969	2056	1997-01-23	PRIJEM	VKLAD	6045	37514	\N	\N	\N
603970	2056	1997-11-17	PRIJEM	VKLAD	43990	104426	\N	\N	\N
603971	2056	1997-12-01	PRIJEM	VKLAD	49329	154131	\N	\N	\N
603972	2056	1997-09-14	PRIJEM	VKLAD	19348	57735	\N	\N	\N
603973	2056	1998-10-26	PRIJEM	VKLAD	21383	63256	\N	\N	\N
603974	2056	1998-07-29	PRIJEM	VKLAD	47114	79551	\N	\N	\N
603975	2056	1998-10-01	PRIJEM	VKLAD	21939	51373	\N	\N	\N
603976	2056	1998-02-16	PRIJEM	VKLAD	27003	59132	\N	\N	\N
603977	2056	1998-04-18	PRIJEM	VKLAD	19907	64164	\N	\N	\N
603978	2056	1998-02-25	PRIJEM	VKLAD	44429	103561	\N	\N	\N
603979	2056	1993-11-21	VYBER	VYBER	3468	25609	\N	\N	\N
603985	2056	1993-09-13	VYBER	VYBER	13441	42031	\N	\N	\N
603986	2056	1993-12-08	VYBER	VYBER	16340	26808	\N	\N	\N
603987	2056	1994-05-11	VYBER	VYBER	13168	45124	\N	\N	\N
603988	2056	1994-07-24	VYBER	VYBER	18880	74209	\N	\N	\N
603989	2056	1994-05-13	VYBER	VYBER	11156	44884	\N	\N	\N
603990	2056	1994-09-30	VYBER	VYBER	18927	26197	\N	\N	\N
603991	2056	1994-03-17	VYBER	VYBER	14009	48959	\N	\N	\N
603992	2056	1994-12-24	VYBER	VYBER	20544	73457	\N	\N	\N
603995	2056	1994-03-23	VYBER	VYBER	14646	34313	\N	\N	\N
603997	2056	1995-09-20	VYBER	VYBER	22174	22759	\N	\N	\N
603998	2056	1995-11-01	VYBER	VYBER	6962	45792	\N	\N	\N
603999	2056	1996-03-10	VYBER	VYBER	15618	29244	\N	\N	\N
604002	2056	1997-10-08	VYBER	VYBER	24946	32986	\N	\N	\N
604003	2056	1997-12-04	VYBER	VYBER	15458	75473	\N	\N	\N
604006	2056	1993-06-14	VYDAJ	VYBER	52500	28505	\N	\N	\N
604011	2056	1998-06-08	VYDAJ	VYBER	10800	31704	\N	\N	\N
604014	2056	1995-01-30	VYDAJ	VYBER	21300	44685	\N	\N	\N
604015	2056	1996-01-02	VYDAJ	VYBER	12900	29896	\N	\N	\N
604016	2056	1997-01-20	VYDAJ	VYBER	12600	31469	\N	\N	\N
604018	2056	1993-12-17	VYDAJ	VYBER	3000	23808	\N	\N	\N
604019	2056	1994-12-16	VYDAJ	VYBER	2700	74248	\N	\N	\N
604020	2056	1995-12-18	VYDAJ	VYBER	8700	45286	\N	\N	\N
604022	2056	1997-12-19	VYDAJ	VYBER	2400	51173	\N	\N	\N
604025	2056	1993-06-29	VYDAJ	VYBER	6300	22205	\N	\N	\N
604027	2056	1993-07-20	VYDAJ	VYBER	4800	40012	\N	\N	\N
604028	2056	1993-07-18	VYDAJ	VYBER	10800	52612	\N	\N	\N
604029	2056	1993-07-19	VYDAJ	VYBER	7800	44812	\N	\N	\N
604032	2056	1994-11-26	VYDAJ	VYBER	5700	21776	\N	\N	\N
604033	2056	1994-06-09	VYDAJ	VYBER	3000	39982	\N	\N	\N
604035	2056	1994-07-03	VYDAJ	VYBER	5100	43343	\N	\N	\N
604037	2056	1995-05-14	VYDAJ	VYBER	9000	35410	\N	\N	\N
604039	2056	1995-05-15	VYDAJ	VYBER	9900	25510	\N	\N	\N
604040	2056	1995-12-13	VYDAJ	VYBER	9300	53986	\N	\N	\N
604041	2056	1995-10-09	VYDAJ	VYBER	6000	31322	\N	\N	\N
604042	2056	1995-09-07	VYDAJ	VYBER	9300	44933	\N	\N	\N
604047	2056	1996-01-17	VYDAJ	VYBER	6300	23596	\N	\N	\N
604048	2056	1996-06-05	VYDAJ	VYBER	1800	30413	\N	\N	\N
604049	2056	1996-12-10	VYDAJ	VYBER	10200	25718	\N	\N	\N
604050	2056	1996-08-12	VYDAJ	VYBER	7800	24041	\N	\N	\N
604052	2056	1997-03-07	VYDAJ	VYBER	2100	28571	\N	\N	\N
604054	2056	1997-02-26	VYDAJ	VYBER	6900	30536	\N	\N	\N
604055	2056	1998-09-10	VYDAJ	VYBER	13200	29301	\N	\N	\N
604056	2056	1998-12-11	VYDAJ	VYBER	9600	31755	\N	\N	\N
604057	2056	1998-03-03	VYDAJ	VYBER	14100	89672	\N	\N	\N
604058	2056	1998-05-23	VYDAJ	VYBER	8100	42283	\N	\N	\N
604059	2056	1998-02-10	VYDAJ	VYBER	9900	32129	\N	\N	\N
604060	2056	1998-03-11	VYDAJ	VYBER	7800	81872	\N	\N	\N
604061	2056	1998-04-11	VYDAJ	VYBER	6300	44257	\N	\N	\N
604068	2056	1993-06-30	VYDAJ	VYBER	15	22404	SLUZBY	\N	\N
604069	2056	1993-07-31	VYDAJ	VYBER	15	40188	SLUZBY	\N	\N
604070	2056	1993-08-31	VYDAJ	VYBER	15	59869	SLUZBY	\N	\N
604071	2056	1993-09-30	VYDAJ	VYBER	15	42217	SLUZBY	\N	\N
604072	2056	1993-10-31	VYDAJ	VYBER	15	33477	SLUZBY	\N	\N
604073	2056	1993-11-30	VYDAJ	VYBER	15	65048	SLUZBY	\N	\N
604074	2056	1993-12-31	VYDAJ	VYBER	15	23935	SLUZBY	\N	\N
604075	2056	1994-01-31	VYDAJ	VYBER	15	34453	SLUZBY	\N	\N
604076	2056	1994-02-28	VYDAJ	VYBER	15	95668	SLUZBY	\N	\N
604077	2056	1994-03-31	VYDAJ	VYBER	15	51279	SLUZBY	\N	\N
604078	2056	1994-04-30	VYDAJ	VYBER	15	67778	SLUZBY	\N	\N
604079	2056	1994-05-31	VYDAJ	VYBER	15	60582	SLUZBY	\N	\N
604080	2056	1994-06-30	VYDAJ	VYBER	15	72443	SLUZBY	\N	\N
604081	2056	1994-07-31	VYDAJ	VYBER	15	52546	SLUZBY	\N	\N
604082	2056	1994-08-31	VYDAJ	VYBER	15	54743	SLUZBY	\N	\N
604083	2056	1994-09-30	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
604084	2056	1994-10-31	VYDAJ	VYBER	15	27476	SLUZBY	\N	\N
604085	2056	1994-11-30	VYDAJ	VYBER	15	24974	SLUZBY	\N	\N
604086	2056	1994-12-31	VYDAJ	VYBER	15	53957	SLUZBY	\N	\N
604087	2056	1995-01-31	VYDAJ	VYBER	15	44897	SLUZBY	\N	\N
604088	2056	1995-02-28	VYDAJ	VYBER	15	39067	SLUZBY	\N	\N
604089	2056	1995-03-31	VYDAJ	VYBER	15	54600	SLUZBY	\N	\N
604090	2056	1995-04-30	VYDAJ	VYBER	15	44410	SLUZBY	\N	\N
604091	2056	1995-05-31	VYDAJ	VYBER	15	31740	SLUZBY	\N	\N
604092	2056	1995-06-30	VYDAJ	VYBER	15	31156	SLUZBY	\N	\N
604093	2056	1995-07-31	VYDAJ	VYBER	15	32470	SLUZBY	\N	\N
604094	2056	1995-08-31	VYDAJ	VYBER	15	54233	SLUZBY	\N	\N
604095	2056	1995-09-30	VYDAJ	VYBER	15	37322	SLUZBY	\N	\N
604096	2056	1995-10-31	VYDAJ	VYBER	15	52754	SLUZBY	\N	\N
604097	2056	1995-11-30	VYDAJ	VYBER	15	63286	SLUZBY	\N	\N
604098	2056	1995-12-31	VYDAJ	VYBER	15	42796	SLUZBY	\N	\N
604099	2056	1996-01-31	VYDAJ	VYBER	15	28925	SLUZBY	\N	\N
604100	2056	1996-02-29	VYDAJ	VYBER	15	44862	SLUZBY	\N	\N
604101	2056	1996-03-31	VYDAJ	VYBER	15	29293	SLUZBY	\N	\N
604102	2056	1996-04-30	VYDAJ	VYBER	15	31798	SLUZBY	\N	\N
604103	2056	1996-05-31	VYDAJ	VYBER	15	32213	SLUZBY	\N	\N
604104	2056	1996-06-30	VYDAJ	VYBER	15	31229	SLUZBY	\N	\N
604105	2056	1996-07-31	VYDAJ	VYBER	15	31841	SLUZBY	\N	\N
604106	2056	1996-08-31	VYDAJ	VYBER	15	32458	SLUZBY	\N	\N
604107	2056	1996-09-30	VYDAJ	VYBER	15	32675	SLUZBY	\N	\N
604108	2056	1996-10-31	VYDAJ	VYBER	15	34094	SLUZBY	\N	\N
604109	2056	1996-11-30	VYDAJ	VYBER	15	35918	SLUZBY	\N	\N
604110	2056	1996-12-31	VYDAJ	VYBER	15	28635	SLUZBY	\N	\N
604111	2056	1997-01-31	VYDAJ	VYBER	15	37636	SLUZBY	\N	\N
604112	2056	1997-02-28	VYDAJ	VYBER	15	30671	SLUZBY	\N	\N
604113	2056	1997-03-31	VYDAJ	VYBER	15	29678	SLUZBY	\N	\N
604114	2056	1997-04-30	VYDAJ	VYBER	15	29383	SLUZBY	\N	\N
604115	2056	1997-05-31	VYDAJ	VYBER	15	30087	SLUZBY	\N	\N
604116	2056	1997-06-30	VYDAJ	VYBER	15	34394	SLUZBY	\N	\N
604117	2056	1997-07-31	VYDAJ	VYBER	15	55775	SLUZBY	\N	\N
604118	2056	1997-08-31	VYDAJ	VYBER	15	44187	SLUZBY	\N	\N
604119	2056	1997-09-30	VYDAJ	VYBER	15	57932	SLUZBY	\N	\N
604120	2056	1997-10-31	VYDAJ	VYBER	15	86236	SLUZBY	\N	\N
604121	2056	1997-11-30	VYDAJ	VYBER	15	104802	SLUZBY	\N	\N
604122	2056	1997-12-31	VYDAJ	VYBER	15	51436	SLUZBY	\N	\N
604123	2056	1998-01-31	VYDAJ	VYBER	15	39329	SLUZBY	\N	\N
604124	2056	1998-02-28	VYDAJ	VYBER	15	103772	SLUZBY	\N	\N
604125	2056	1998-03-31	VYDAJ	VYBER	15	57757	SLUZBY	\N	\N
604126	2056	1998-04-30	VYDAJ	VYBER	15	64383	SLUZBY	\N	\N
604127	2056	1998-05-31	VYDAJ	VYBER	15	42504	SLUZBY	\N	\N
604128	2056	1998-06-30	VYDAJ	VYBER	15	34737	SLUZBY	\N	\N
604129	2056	1998-07-31	VYDAJ	VYBER	15	79693	SLUZBY	\N	\N
604130	2056	1998-08-31	VYDAJ	VYBER	15	55001	SLUZBY	\N	\N
604131	2056	1998-09-30	VYDAJ	VYBER	15	29434	SLUZBY	\N	\N
604132	2056	1998-10-31	VYDAJ	VYBER	15	63414	SLUZBY	\N	\N
604133	2056	1998-11-30	VYDAJ	VYBER	15	49855	SLUZBY	\N	\N
604134	2056	1993-05-07	PRIJEM	VKLAD	7600	15324	\N	\N	\N
604135	2056	1993-06-06	VYDAJ	VYBER	30100	52877	\N	\N	\N
604136	2056	1993-07-06	VYDAJ	VYBER	26800	53567	\N	\N	\N
604137	2056	1993-08-05	VYDAJ	VYBER	7200	32988	\N	\N	\N
604138	2056	1993-09-04	VYDAJ	VYBER	17100	42769	\N	\N	\N
604139	2056	1993-10-04	VYDAJ	VYBER	8900	33317	\N	\N	\N
604140	2056	1993-11-03	VYDAJ	VYBER	4400	29077	\N	\N	\N
604141	2056	1993-12-03	VYDAJ	VYBER	21900	43148	\N	\N	\N
604142	2056	1994-01-02	VYDAJ	VYBER	600	23335	\N	\N	\N
604143	2056	1994-02-01	VYDAJ	VYBER	3000	31453	\N	\N	\N
604144	2056	1994-03-03	VYDAJ	VYBER	32700	62968	\N	\N	\N
604145	2056	1994-04-02	VYDAJ	VYBER	13000	38279	\N	\N	\N
604146	2056	1994-05-02	VYDAJ	VYBER	19900	47878	\N	\N	\N
604147	2056	1994-05-30	VYDAJ	VYBER	55000	60298	\N	\N	\N
604148	2056	1994-06-01	VYDAJ	VYBER	17600	42982	\N	\N	\N
604149	2056	1994-07-01	VYDAJ	VYBER	24000	48443	\N	\N	\N
604150	2056	1994-07-31	VYDAJ	VYBER	21900	52561	\N	\N	\N
604151	2056	1994-08-20	VYDAJ	VYBER	44800	77663	\N	\N	\N
604152	2056	1994-08-29	VYDAJ	VYBER	31500	77991	\N	\N	\N
604153	2056	1994-08-30	VYDAJ	VYBER	23500	54491	\N	\N	\N
604154	2056	1994-09-15	VYDAJ	VYBER	53500	60985	\N	\N	\N
604155	2056	1994-09-29	VYDAJ	VYBER	16200	44785	\N	\N	\N
604156	2056	1994-10-29	PRIJEM	VKLAD	1200	27382	\N	\N	\N
604157	2056	1994-11-28	PRIJEM	VKLAD	3100	24876	\N	\N	\N
604158	2056	1994-12-28	VYDAJ	VYBER	19700	53757	\N	\N	\N
604159	2056	1995-01-27	VYDAJ	VYBER	32000	65985	\N	\N	\N
604160	2056	1995-02-26	VYDAJ	VYBER	6000	38897	\N	\N	\N
604161	2056	1995-03-28	VYDAJ	VYBER	25800	54444	\N	\N	\N
604162	2056	1995-04-27	VYDAJ	VYBER	10400	44200	\N	\N	\N
604163	2056	1995-05-27	PRIJEM	VKLAD	6100	31610	\N	\N	\N
604164	2056	1995-06-26	VYDAJ	VYBER	700	31040	\N	\N	\N
604165	2056	1995-07-26	PRIJEM	VKLAD	1200	32356	\N	\N	\N
604166	2056	1995-08-25	VYDAJ	VYBER	17300	54094	\N	\N	\N
604167	2056	1995-09-24	PRIJEM	VKLAD	5400	28159	\N	\N	\N
604168	2056	1995-10-24	VYDAJ	VYBER	11600	52570	\N	\N	\N
604169	2056	1995-11-23	VYDAJ	VYBER	26700	63004	\N	\N	\N
604170	2056	1995-12-23	VYDAJ	VYBER	2700	42586	\N	\N	\N
604171	2056	1996-01-22	PRIJEM	VKLAD	5200	28796	\N	\N	\N
604172	2056	1996-02-21	VYDAJ	VYBER	9600	44737	\N	\N	\N
604173	2056	1996-03-22	VYDAJ	VYBER	100	29144	\N	\N	\N
604174	2056	1996-04-21	PRIJEM	VKLAD	2400	31693	\N	\N	\N
604175	2056	1996-05-21	PRIJEM	VKLAD	300	32098	\N	\N	\N
604176	2056	1996-06-20	PRIJEM	VKLAD	700	31113	\N	\N	\N
604177	2056	1996-07-20	PRIJEM	VKLAD	500	31729	\N	\N	\N
604178	2056	1996-08-19	PRIJEM	VKLAD	8300	32341	\N	\N	\N
604179	2056	1996-09-18	PRIJEM	VKLAD	100	32558	\N	\N	\N
604180	2056	1996-10-18	PRIJEM	VKLAD	1300	33975	\N	\N	\N
604181	2056	1996-11-17	PRIJEM	VKLAD	1700	35794	\N	\N	\N
604182	2056	1996-12-17	PRIJEM	VKLAD	2800	28518	\N	\N	\N
604183	2056	1997-01-16	VYDAJ	VYBER	11800	44069	\N	\N	\N
604184	2056	1997-02-15	VYDAJ	VYBER	200	37436	\N	\N	\N
604185	2056	1997-03-17	PRIJEM	VKLAD	1000	29571	\N	\N	\N
604186	2056	1997-04-16	VYDAJ	VYBER	400	29278	\N	\N	\N
604187	2056	1997-05-16	PRIJEM	VKLAD	600	29983	\N	\N	\N
604188	2056	1997-06-15	PRIJEM	VKLAD	4200	34287	\N	\N	\N
604189	2056	1997-07-15	VYDAJ	VYBER	24400	55602	\N	\N	\N
604190	2056	1997-08-14	VYDAJ	VYBER	11800	43975	\N	\N	\N
604191	2056	1997-09-13	VYDAJ	VYBER	5800	38387	\N	\N	\N
604192	2056	1997-10-13	PRIJEM	VKLAD	3400	36386	\N	\N	\N
604193	2056	1997-11-12	VYDAJ	VYBER	25800	60436	\N	\N	\N
604194	2056	1997-12-01	VYDAJ	VYBER	63200	90931	\N	\N	\N
604195	2056	1997-12-12	VYDAJ	VYBER	21900	53573	\N	\N	\N
604196	2056	1998-01-11	VYDAJ	VYBER	12300	39136	\N	\N	\N
604197	2056	1998-02-10	PRIJEM	VKLAD	2700	42029	\N	\N	\N
604198	2056	1998-03-12	VYDAJ	VYBER	24400	57472	\N	\N	\N
604199	2056	1998-04-11	VYDAJ	VYBER	7200	50557	\N	\N	\N
604200	2056	1998-05-11	VYDAJ	VYBER	14000	50383	\N	\N	\N
604201	2056	1998-06-10	PRIJEM	VKLAD	2900	34604	\N	\N	\N
604202	2056	1998-07-10	VYDAJ	VYBER	2300	32437	\N	\N	\N
604203	2056	1998-08-09	VYDAJ	VYBER	25000	54693	\N	\N	\N
604204	2056	1998-09-08	VYDAJ	VYBER	12500	42501	\N	\N	\N
604205	2056	1998-10-08	VYDAJ	VYBER	9500	41873	\N	\N	\N
604206	2056	1998-11-07	VYDAJ	VYBER	13800	49614	\N	\N	\N
604207	2056	1998-12-07	VYDAJ	VYBER	8500	41355	\N	\N	\N
604277	2057	1997-06-20	PRIJEM	VKLAD	900	900	\N	\N	\N
604284	2057	1997-07-08	PRIJEM	VKLAD	21043	21943	\N	\N	\N
604285	2057	1997-08-08	PRIJEM	VKLAD	21043	43923	\N	\N	\N
604286	2057	1997-09-08	PRIJEM	VKLAD	21043	58086	\N	\N	\N
604287	2057	1997-10-08	PRIJEM	VKLAD	21043	65095	\N	\N	\N
604288	2057	1997-11-08	PRIJEM	VKLAD	21043	64720	\N	\N	\N
604289	2057	1997-12-08	PRIJEM	VKLAD	31564	76860	\N	\N	\N
604290	2057	1998-01-08	PRIJEM	VKLAD	21043	70611	\N	\N	\N
604291	2057	1998-02-08	PRIJEM	VKLAD	21043	66045	\N	\N	\N
604292	2057	1998-03-08	PRIJEM	VKLAD	21043	65168	\N	\N	\N
604293	2057	1998-04-08	PRIJEM	VKLAD	21043	64990	\N	\N	\N
604294	2057	1998-05-08	PRIJEM	VKLAD	21043	71124	\N	\N	\N
604295	2057	1998-06-08	PRIJEM	VKLAD	31564	81090	\N	\N	\N
604296	2057	1998-07-08	PRIJEM	VKLAD	21043	75158	\N	\N	\N
604297	2057	1998-08-08	PRIJEM	VKLAD	21043	69608	\N	\N	\N
604298	2057	1998-09-08	PRIJEM	VKLAD	21043	66871	\N	\N	\N
604299	2057	1998-10-08	PRIJEM	VKLAD	21043	61785	\N	\N	\N
604300	2057	1998-11-08	PRIJEM	VKLAD	21043	65424	\N	\N	\N
604301	2057	1998-12-08	PRIJEM	VKLAD	31564	76262	\N	\N	\N
604312	2057	1997-11-13	VYDAJ	PREVOD NA UCET	3573	60276	SIPO	OP	70669543
604313	2057	1997-12-13	VYDAJ	PREVOD NA UCET	3573	72416	SIPO	OP	70669543
604314	2057	1998-01-13	VYDAJ	PREVOD NA UCET	3573	66167	SIPO	OP	70669543
604315	2057	1998-02-13	VYDAJ	PREVOD NA UCET	3573	61601	SIPO	OP	70669543
604316	2057	1998-03-13	VYDAJ	PREVOD NA UCET	3573	60724	SIPO	OP	70669543
604317	2057	1998-04-13	VYDAJ	PREVOD NA UCET	3573	60546	SIPO	OP	70669543
604318	2057	1998-05-13	VYDAJ	PREVOD NA UCET	3573	66680	SIPO	OP	70669543
604319	2057	1998-06-13	VYDAJ	PREVOD NA UCET	3573	76646	SIPO	OP	70669543
604320	2057	1998-07-13	VYDAJ	PREVOD NA UCET	3573	70714	SIPO	OP	70669543
604321	2057	1998-08-13	VYDAJ	PREVOD NA UCET	3573	65164	SIPO	OP	70669543
604322	2057	1998-09-13	VYDAJ	PREVOD NA UCET	3573	44427	SIPO	OP	70669543
604323	2057	1998-10-13	VYDAJ	PREVOD NA UCET	3573	57341	SIPO	OP	70669543
604324	2057	1998-11-13	VYDAJ	PREVOD NA UCET	3573	46580	SIPO	OP	70669543
604325	2057	1998-12-13	VYDAJ	PREVOD NA UCET	3573	52018	SIPO	OP	70669543
604337	2057	1997-12-05	VYDAJ	PREVOD NA UCET	970	45296	 	YZ	1773274
604338	2057	1998-01-05	VYDAJ	PREVOD NA UCET	970	49568	 	YZ	1773274
604339	2057	1998-02-05	VYDAJ	PREVOD NA UCET	970	45002	 	YZ	1773274
604340	2057	1998-03-05	VYDAJ	PREVOD NA UCET	970	44125	 	YZ	1773274
604341	2057	1998-04-05	VYDAJ	PREVOD NA UCET	970	43947	 	YZ	1773274
604342	2057	1998-05-05	VYDAJ	PREVOD NA UCET	970	50081	 	YZ	1773274
604343	2057	1998-06-05	VYDAJ	PREVOD NA UCET	970	49526	 	YZ	1773274
604344	2057	1998-07-05	VYDAJ	PREVOD NA UCET	970	56515	 	YZ	1773274
604345	2057	1998-08-05	VYDAJ	PREVOD NA UCET	970	48565	 	YZ	1773274
604346	2057	1998-09-05	VYDAJ	PREVOD NA UCET	970	45828	 	YZ	1773274
604347	2057	1998-10-05	VYDAJ	PREVOD NA UCET	970	40742	 	YZ	1773274
604348	2057	1998-11-05	VYDAJ	PREVOD NA UCET	970	44381	 	YZ	1773274
604349	2057	1998-12-05	VYDAJ	PREVOD NA UCET	970	45798	 	YZ	1773274
604360	2057	1997-11-11	VYDAJ	PREVOD NA UCET	769	63849	POJISTNE	KL	24007451
604361	2057	1997-12-11	VYDAJ	PREVOD NA UCET	769	75989	POJISTNE	KL	24007451
604362	2057	1998-01-11	VYDAJ	PREVOD NA UCET	769	69740	POJISTNE	KL	24007451
604363	2057	1998-02-11	VYDAJ	PREVOD NA UCET	769	65174	POJISTNE	KL	24007451
604364	2057	1998-03-11	VYDAJ	PREVOD NA UCET	769	64297	POJISTNE	KL	24007451
604365	2057	1998-04-11	VYDAJ	PREVOD NA UCET	769	64119	POJISTNE	KL	24007451
604366	2057	1998-05-11	VYDAJ	PREVOD NA UCET	769	70253	POJISTNE	KL	24007451
604367	2057	1998-06-11	VYDAJ	PREVOD NA UCET	769	80219	POJISTNE	KL	24007451
604368	2057	1998-07-11	VYDAJ	PREVOD NA UCET	769	74287	POJISTNE	KL	24007451
604369	2057	1998-08-11	VYDAJ	PREVOD NA UCET	769	68737	POJISTNE	KL	24007451
604370	2057	1998-09-11	VYDAJ	PREVOD NA UCET	769	66000	POJISTNE	KL	24007451
604371	2057	1998-10-11	VYDAJ	PREVOD NA UCET	769	60914	POJISTNE	KL	24007451
604372	2057	1998-11-11	VYDAJ	PREVOD NA UCET	769	64553	POJISTNE	KL	24007451
604373	2057	1998-12-11	VYDAJ	PREVOD NA UCET	769	75391	POJISTNE	KL	24007451
604384	2057	1997-11-10	VYDAJ	PREVOD NA UCET	102	64618	 	AB	71481627
604385	2057	1997-12-10	VYDAJ	PREVOD NA UCET	102	76758	 	AB	71481627
604386	2057	1998-01-10	VYDAJ	PREVOD NA UCET	102	70509	 	AB	71481627
604387	2057	1998-02-10	VYDAJ	PREVOD NA UCET	102	65943	 	AB	71481627
604388	2057	1998-03-10	VYDAJ	PREVOD NA UCET	102	65066	 	AB	71481627
604389	2057	1998-04-10	VYDAJ	PREVOD NA UCET	102	64888	 	AB	71481627
604390	2057	1998-05-10	VYDAJ	PREVOD NA UCET	102	71022	 	AB	71481627
604391	2057	1998-06-10	VYDAJ	PREVOD NA UCET	102	80988	 	AB	71481627
604392	2057	1998-07-10	VYDAJ	PREVOD NA UCET	102	75056	 	AB	71481627
604393	2057	1998-08-10	VYDAJ	PREVOD NA UCET	102	69506	 	AB	71481627
604394	2057	1998-09-10	VYDAJ	PREVOD NA UCET	102	66769	 	AB	71481627
604395	2057	1998-10-10	VYDAJ	PREVOD NA UCET	102	61683	 	AB	71481627
604396	2057	1998-11-10	VYDAJ	PREVOD NA UCET	102	65322	 	AB	71481627
604397	2057	1998-12-10	VYDAJ	PREVOD NA UCET	102	76160	 	AB	71481627
604398	2057	1997-12-26	VYDAJ	VYBER	1100	50316	\N	\N	\N
604399	2057	1998-12-07	VYDAJ	VYBER KARTOU	1100	44698	\N	\N	0
604403	2057	1998-03-13	VYDAJ	VYBER	2100	58624	\N	\N	\N
604404	2057	1998-08-14	VYDAJ	VYBER	3500	61664	\N	\N	\N
604405	2057	1998-07-07	VYDAJ	VYBER	2400	54115	\N	\N	\N
604406	2057	1998-09-23	VYDAJ	VYBER	2900	41527	\N	\N	\N
604418	2057	1997-11-30	VYDAJ	VYBER	15	46266	SLUZBY	\N	\N
604419	2057	1997-12-31	VYDAJ	VYBER	15	50538	SLUZBY	\N	\N
604420	2057	1998-01-31	VYDAJ	VYBER	15	45972	SLUZBY	\N	\N
604421	2057	1998-02-28	VYDAJ	VYBER	15	45095	SLUZBY	\N	\N
604422	2057	1998-03-31	VYDAJ	VYBER	15	44917	SLUZBY	\N	\N
604423	2057	1998-04-30	VYDAJ	VYBER	15	51051	SLUZBY	\N	\N
604424	2057	1998-05-31	VYDAJ	VYBER	15	50496	SLUZBY	\N	\N
604425	2057	1998-06-30	VYDAJ	VYBER	15	57485	SLUZBY	\N	\N
604426	2057	1998-07-31	VYDAJ	VYBER	15	49535	SLUZBY	\N	\N
604427	2057	1998-08-31	VYDAJ	VYBER	15	46798	SLUZBY	\N	\N
604428	2057	1998-09-30	VYDAJ	VYBER	15	41712	SLUZBY	\N	\N
604429	2057	1998-10-31	VYDAJ	VYBER	15	45351	SLUZBY	\N	\N
604430	2057	1998-11-30	VYDAJ	VYBER	15	46768	SLUZBY	\N	\N
604431	2057	1997-07-20	PRIJEM	VKLAD	900	22843	\N	\N	\N
604432	2057	1997-08-19	VYDAJ	VYBER	7000	36923	\N	\N	\N
604433	2057	1997-09-18	VYDAJ	VYBER	14200	43886	\N	\N	\N
604434	2057	1997-10-18	VYDAJ	VYBER	21600	43495	\N	\N	\N
604435	2057	1997-11-17	VYDAJ	VYBER	14200	46076	\N	\N	\N
604436	2057	1997-12-17	VYDAJ	VYBER	21000	51416	\N	\N	\N
604437	2057	1998-01-16	VYDAJ	VYBER	20400	45767	\N	\N	\N
604438	2057	1998-02-15	VYDAJ	VYBER	16700	44901	\N	\N	\N
604439	2057	1998-03-17	VYDAJ	VYBER	13900	44724	\N	\N	\N
604440	2057	1998-04-16	VYDAJ	VYBER	9700	50846	\N	\N	\N
604441	2057	1998-05-16	VYDAJ	VYBER	16400	50280	\N	\N	\N
604442	2057	1998-06-15	VYDAJ	VYBER	19400	57246	\N	\N	\N
604443	2057	1998-07-15	VYDAJ	VYBER	21400	49314	\N	\N	\N
604444	2057	1998-08-14	VYDAJ	VYBER	15100	46564	\N	\N	\N
604445	2057	1998-09-13	VYDAJ	VYBER	18000	48000	\N	\N	\N
604446	2057	1998-10-13	VYDAJ	VYBER	12200	45141	\N	\N	\N
604447	2057	1998-11-12	VYDAJ	VYBER	14400	50153	\N	\N	\N
604448	2057	1998-12-12	VYDAJ	VYBER	19800	55591	\N	\N	\N
604467	2058	1996-09-09	PRIJEM	VKLAD	200	200	\N	\N	\N
604476	2058	1996-09-12	PRIJEM	VKLAD	4053	4253	\N	\N	\N
604477	2058	1996-10-12	PRIJEM	VKLAD	4053	16817	\N	\N	\N
604478	2058	1996-11-12	PRIJEM	VKLAD	4053	23022	\N	\N	\N
604479	2058	1996-12-12	PRIJEM	VKLAD	6080	27188	\N	\N	\N
604480	2058	1997-01-12	PRIJEM	VKLAD	4053	28348	\N	\N	\N
604481	2058	1997-02-12	PRIJEM	VKLAD	4053	25205	\N	\N	\N
604482	2058	1997-03-12	PRIJEM	VKLAD	4053	24653	\N	\N	\N
604483	2058	1997-04-12	PRIJEM	VKLAD	4053	23986	\N	\N	\N
604484	2058	1997-05-12	PRIJEM	VKLAD	4053	26522	\N	\N	\N
604485	2058	1997-06-12	PRIJEM	VKLAD	6080	25691	\N	\N	\N
604486	2058	1997-07-12	PRIJEM	VKLAD	4053	27934	\N	\N	\N
604487	2058	1997-08-12	PRIJEM	VKLAD	4053	25038	\N	\N	\N
604488	2058	1997-09-12	PRIJEM	VKLAD	4053	24373	\N	\N	\N
604489	2058	1997-10-12	PRIJEM	VKLAD	4053	22005	\N	\N	\N
604490	2058	1997-11-12	PRIJEM	VKLAD	4053	18234	\N	\N	\N
604491	2058	1997-12-12	PRIJEM	VKLAD	6080	23875	\N	\N	\N
604492	2058	1998-01-12	PRIJEM	VKLAD	4053	15093	\N	\N	\N
604493	2058	1998-02-12	PRIJEM	VKLAD	4053	23015	\N	\N	\N
604494	2058	1998-03-12	PRIJEM	VKLAD	4053	25635	\N	\N	\N
604495	2058	1998-04-12	PRIJEM	VKLAD	4053	19874	\N	\N	\N
604496	2058	1998-05-12	PRIJEM	VKLAD	4053	18798	\N	\N	\N
604497	2058	1998-06-12	PRIJEM	VKLAD	6080	20139	\N	\N	\N
604498	2058	1998-07-12	PRIJEM	VKLAD	4053	15930	\N	\N	\N
604499	2058	1998-08-12	PRIJEM	VKLAD	4053	15051	\N	\N	\N
604500	2058	1998-09-12	PRIJEM	VKLAD	4053	14604	\N	\N	\N
604501	2058	1998-10-12	PRIJEM	VKLAD	4053	15498	\N	\N	\N
604502	2058	1998-11-12	PRIJEM	VKLAD	4053	14795	\N	\N	\N
604503	2058	1998-12-12	PRIJEM	VKLAD	6080	15515	\N	\N	\N
604517	2058	1997-02-10	VYDAJ	PREVOD NA UCET	2564	21154	SIPO	ST	74001115
604518	2058	1997-03-10	VYDAJ	PREVOD NA UCET	2564	20602	SIPO	ST	74001115
604519	2058	1997-04-10	VYDAJ	PREVOD NA UCET	2564	19935	SIPO	ST	74001115
604520	2058	1997-05-10	VYDAJ	PREVOD NA UCET	2564	22471	SIPO	ST	74001115
604521	2058	1997-06-10	VYDAJ	PREVOD NA UCET	2564	19614	SIPO	ST	74001115
604522	2058	1997-07-10	VYDAJ	PREVOD NA UCET	2564	23883	SIPO	ST	74001115
604523	2058	1997-08-10	VYDAJ	PREVOD NA UCET	2564	20987	SIPO	ST	74001115
604524	2058	1997-09-10	VYDAJ	PREVOD NA UCET	2564	20322	SIPO	ST	74001115
604525	2058	1997-10-10	VYDAJ	PREVOD NA UCET	2564	17954	SIPO	ST	74001115
604526	2058	1997-11-10	VYDAJ	PREVOD NA UCET	2564	14183	SIPO	ST	74001115
604527	2058	1997-12-10	VYDAJ	PREVOD NA UCET	2564	17798	SIPO	ST	74001115
604528	2058	1998-01-10	VYDAJ	PREVOD NA UCET	2564	11042	SIPO	ST	74001115
604529	2058	1998-02-10	VYDAJ	PREVOD NA UCET	2564	18964	SIPO	ST	74001115
604530	2058	1998-03-10	VYDAJ	PREVOD NA UCET	2564	21584	SIPO	ST	74001115
604531	2058	1998-04-10	VYDAJ	PREVOD NA UCET	2564	15823	SIPO	ST	74001115
604532	2058	1998-05-10	VYDAJ	PREVOD NA UCET	2564	14747	SIPO	ST	74001115
604533	2058	1998-06-10	VYDAJ	PREVOD NA UCET	2564	14061	SIPO	ST	74001115
604534	2058	1998-07-10	VYDAJ	PREVOD NA UCET	2564	11879	SIPO	ST	74001115
604535	2058	1998-08-10	VYDAJ	PREVOD NA UCET	2564	11000	SIPO	ST	74001115
604536	2058	1998-09-10	VYDAJ	PREVOD NA UCET	2564	10553	SIPO	ST	74001115
604537	2058	1998-10-10	VYDAJ	PREVOD NA UCET	2564	11447	SIPO	ST	74001115
604538	2058	1998-11-10	VYDAJ	PREVOD NA UCET	2564	10744	SIPO	ST	74001115
604539	2058	1998-12-10	VYDAJ	PREVOD NA UCET	2564	9437	SIPO	ST	74001115
604553	2058	1997-02-09	VYDAJ	PREVOD NA UCET	131	23723	 	ST	17455786
604554	2058	1997-03-09	VYDAJ	PREVOD NA UCET	131	23166	 	ST	17455786
604555	2058	1997-04-09	VYDAJ	PREVOD NA UCET	131	22504	 	ST	17455786
604556	2058	1997-05-09	VYDAJ	PREVOD NA UCET	131	25035	 	ST	17455786
604557	2058	1997-06-09	VYDAJ	PREVOD NA UCET	131	22178	 	ST	17455786
604558	2058	1997-07-09	VYDAJ	PREVOD NA UCET	131	26452	 	ST	17455786
604559	2058	1997-08-09	VYDAJ	PREVOD NA UCET	131	23551	 	ST	17455786
604560	2058	1997-09-09	VYDAJ	PREVOD NA UCET	131	22891	 	ST	17455786
604561	2058	1997-10-09	VYDAJ	PREVOD NA UCET	131	20523	 	ST	17455786
604562	2058	1997-11-09	VYDAJ	PREVOD NA UCET	131	16752	 	ST	17455786
604563	2058	1997-12-09	VYDAJ	PREVOD NA UCET	131	20362	 	ST	17455786
604564	2058	1998-01-09	VYDAJ	PREVOD NA UCET	131	18526	 	ST	17455786
604565	2058	1998-02-09	VYDAJ	PREVOD NA UCET	131	21533	 	ST	17455786
604566	2058	1998-03-09	VYDAJ	PREVOD NA UCET	131	24153	 	ST	17455786
604567	2058	1998-04-09	VYDAJ	PREVOD NA UCET	131	18392	 	ST	17455786
604568	2058	1998-05-09	VYDAJ	PREVOD NA UCET	131	17316	 	ST	17455786
604569	2058	1998-06-09	VYDAJ	PREVOD NA UCET	131	16630	 	ST	17455786
604570	2058	1998-07-09	VYDAJ	PREVOD NA UCET	131	14443	 	ST	17455786
604571	2058	1998-08-09	VYDAJ	PREVOD NA UCET	131	13569	 	ST	17455786
604572	2058	1998-09-09	VYDAJ	PREVOD NA UCET	131	13117	 	ST	17455786
604573	2058	1998-10-09	VYDAJ	PREVOD NA UCET	131	14016	 	ST	17455786
604574	2058	1998-11-09	VYDAJ	PREVOD NA UCET	131	13313	 	ST	17455786
604575	2058	1998-12-09	VYDAJ	PREVOD NA UCET	131	12001	 	ST	17455786
604589	2058	1997-02-09	VYDAJ	PREVOD NA UCET	5	23718	POJISTNE	YZ	6131786
604590	2058	1997-03-09	VYDAJ	PREVOD NA UCET	5	23297	POJISTNE	YZ	6131786
604591	2058	1997-04-09	VYDAJ	PREVOD NA UCET	5	22499	POJISTNE	YZ	6131786
604592	2058	1997-05-09	VYDAJ	PREVOD NA UCET	5	25166	POJISTNE	YZ	6131786
604593	2058	1997-06-09	VYDAJ	PREVOD NA UCET	5	22309	POJISTNE	YZ	6131786
604594	2058	1997-07-09	VYDAJ	PREVOD NA UCET	5	26447	POJISTNE	YZ	6131786
604595	2058	1997-08-09	VYDAJ	PREVOD NA UCET	5	23682	POJISTNE	YZ	6131786
604596	2058	1997-09-09	VYDAJ	PREVOD NA UCET	5	22886	POJISTNE	YZ	6131786
604597	2058	1997-10-09	VYDAJ	PREVOD NA UCET	5	20518	POJISTNE	YZ	6131786
604598	2058	1997-11-09	VYDAJ	PREVOD NA UCET	5	16747	POJISTNE	YZ	6131786
604599	2058	1997-12-09	VYDAJ	PREVOD NA UCET	5	20493	POJISTNE	YZ	6131786
604600	2058	1998-01-09	VYDAJ	PREVOD NA UCET	5	18657	POJISTNE	YZ	6131786
604601	2058	1998-02-09	VYDAJ	PREVOD NA UCET	5	21528	POJISTNE	YZ	6131786
604602	2058	1998-03-09	VYDAJ	PREVOD NA UCET	5	24148	POJISTNE	YZ	6131786
604603	2058	1998-04-09	VYDAJ	PREVOD NA UCET	5	18387	POJISTNE	YZ	6131786
604604	2058	1998-05-09	VYDAJ	PREVOD NA UCET	5	17311	POJISTNE	YZ	6131786
604605	2058	1998-06-09	VYDAJ	PREVOD NA UCET	5	16625	POJISTNE	YZ	6131786
604606	2058	1998-07-09	VYDAJ	PREVOD NA UCET	5	14574	POJISTNE	YZ	6131786
604607	2058	1998-08-09	VYDAJ	PREVOD NA UCET	5	13564	POJISTNE	YZ	6131786
604608	2058	1998-09-09	VYDAJ	PREVOD NA UCET	5	13248	POJISTNE	YZ	6131786
604609	2058	1998-10-09	VYDAJ	PREVOD NA UCET	5	14011	POJISTNE	YZ	6131786
604610	2058	1998-11-09	VYDAJ	PREVOD NA UCET	5	13308	POJISTNE	YZ	6131786
604611	2058	1998-12-09	VYDAJ	PREVOD NA UCET	5	12132	POJISTNE	YZ	6131786
604625	2058	1997-02-11	VYDAJ	PREVOD NA UCET	2	21152	 	IJ	17472982
604626	2058	1997-03-11	VYDAJ	PREVOD NA UCET	2	20600	 	IJ	17472982
604627	2058	1997-04-11	VYDAJ	PREVOD NA UCET	2	19933	 	IJ	17472982
604628	2058	1997-05-11	VYDAJ	PREVOD NA UCET	2	22469	 	IJ	17472982
604629	2058	1997-06-11	VYDAJ	PREVOD NA UCET	2	19612	 	IJ	17472982
604630	2058	1997-07-11	VYDAJ	PREVOD NA UCET	2	23881	 	IJ	17472982
604631	2058	1997-08-11	VYDAJ	PREVOD NA UCET	2	20985	 	IJ	17472982
604632	2058	1997-09-11	VYDAJ	PREVOD NA UCET	2	20320	 	IJ	17472982
604633	2058	1997-10-11	VYDAJ	PREVOD NA UCET	2	17952	 	IJ	17472982
604634	2058	1997-11-11	VYDAJ	PREVOD NA UCET	2	14181	 	IJ	17472982
604635	2058	1997-12-11	VYDAJ	PREVOD NA UCET	2	17796	 	IJ	17472982
604636	2058	1998-01-11	VYDAJ	PREVOD NA UCET	2	11040	 	IJ	17472982
604637	2058	1998-02-11	VYDAJ	PREVOD NA UCET	2	18962	 	IJ	17472982
604638	2058	1998-03-11	VYDAJ	PREVOD NA UCET	2	21582	 	IJ	17472982
604639	2058	1998-04-11	VYDAJ	PREVOD NA UCET	2	15821	 	IJ	17472982
604640	2058	1998-05-11	VYDAJ	PREVOD NA UCET	2	14745	 	IJ	17472982
604641	2058	1998-06-11	VYDAJ	PREVOD NA UCET	2	14059	 	IJ	17472982
604642	2058	1998-07-11	VYDAJ	PREVOD NA UCET	2	11877	 	IJ	17472982
604643	2058	1998-08-11	VYDAJ	PREVOD NA UCET	2	10998	 	IJ	17472982
604644	2058	1998-09-11	VYDAJ	PREVOD NA UCET	2	10551	 	IJ	17472982
604645	2058	1998-10-11	VYDAJ	PREVOD NA UCET	2	11445	 	IJ	17472982
604646	2058	1998-11-11	VYDAJ	PREVOD NA UCET	2	10742	 	IJ	17472982
604647	2058	1998-12-11	VYDAJ	PREVOD NA UCET	2	9435	 	IJ	17472982
604649	2058	1997-12-16	VYDAJ	VYBER	4480	19395	\N	\N	\N
604650	2058	1998-12-24	VYDAJ	VYBER	1920	13595	\N	\N	\N
604657	2058	1997-01-14	VYDAJ	VYBER	2760	23788	\N	\N	\N
604658	2058	1997-01-28	VYDAJ	VYBER	2280	18868	\N	\N	\N
604659	2058	1997-01-13	VYDAJ	VYBER	1800	26548	\N	\N	\N
604661	2058	1997-01-24	VYDAJ	VYBER	1440	22348	\N	\N	\N
604662	2058	1997-01-25	VYDAJ	VYBER	1200	21148	\N	\N	\N
604663	2058	1998-01-08	VYDAJ	VYBER	600	18662	\N	\N	\N
604664	2058	1998-01-09	VYDAJ	VYBER	1440	13606	\N	\N	\N
604666	2058	1998-01-24	VYDAJ	VYBER	1080	14013	\N	\N	\N
604667	2058	1998-01-09	VYDAJ	VYBER	3480	15046	\N	\N	\N
604674	2058	1997-02-23	VYDAJ	VYBER	5280	19925	\N	\N	\N
604675	2058	1997-11-08	VYDAJ	VYBER	1800	16883	\N	\N	\N
604676	2058	1997-07-21	VYDAJ	VYBER	3240	24694	\N	\N	\N
604677	2058	1997-08-27	VYDAJ	VYBER	5400	19638	\N	\N	\N
604679	2058	1998-07-27	VYDAJ	VYBER	2280	13650	\N	\N	\N
604681	2058	1998-08-21	VYDAJ	VYBER	2040	13011	\N	\N	\N
604682	2058	1998-06-22	VYDAJ	VYBER	3720	16419	\N	\N	\N
604696	2058	1997-01-31	VYDAJ	VYBER	15	18954	SLUZBY	\N	\N
604697	2058	1997-02-28	VYDAJ	VYBER	15	20002	SLUZBY	\N	\N
604698	2058	1997-03-31	VYDAJ	VYBER	15	24735	SLUZBY	\N	\N
604699	2058	1997-04-30	VYDAJ	VYBER	15	24071	SLUZBY	\N	\N
604700	2058	1997-05-31	VYDAJ	VYBER	15	26614	SLUZBY	\N	\N
604701	2058	1997-06-30	VYDAJ	VYBER	15	25783	SLUZBY	\N	\N
604702	2058	1997-07-31	VYDAJ	VYBER	15	24787	SLUZBY	\N	\N
604703	2058	1997-08-31	VYDAJ	VYBER	15	19722	SLUZBY	\N	\N
604704	2058	1997-09-30	VYDAJ	VYBER	15	24454	SLUZBY	\N	\N
604705	2058	1997-10-31	VYDAJ	VYBER	15	22083	SLUZBY	\N	\N
604706	2058	1997-11-30	VYDAJ	VYBER	15	18298	SLUZBY	\N	\N
604707	2058	1997-12-31	VYDAJ	VYBER	15	19462	SLUZBY	\N	\N
604708	2058	1998-01-31	VYDAJ	VYBER	15	14064	SLUZBY	\N	\N
604709	2058	1998-02-28	VYDAJ	VYBER	15	23084	SLUZBY	\N	\N
604710	2058	1998-03-31	VYDAJ	VYBER	15	25723	SLUZBY	\N	\N
604711	2058	1998-04-30	VYDAJ	VYBER	15	19947	SLUZBY	\N	\N
604712	2058	1998-05-31	VYDAJ	VYBER	15	18861	SLUZBY	\N	\N
604713	2058	1998-06-30	VYDAJ	VYBER	15	16479	SLUZBY	\N	\N
604714	2058	1998-07-31	VYDAJ	VYBER	15	13700	SLUZBY	\N	\N
604715	2058	1998-08-31	VYDAJ	VYBER	15	13253	SLUZBY	\N	\N
604716	2058	1998-09-30	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
604717	2058	1998-10-31	VYDAJ	VYBER	15	13444	SLUZBY	\N	\N
604718	2058	1998-11-30	VYDAJ	VYBER	15	12137	SLUZBY	\N	\N
604719	2058	1996-10-09	PRIJEM	VKLAD	8500	12764	\N	\N	\N
604720	2058	1996-11-08	PRIJEM	VKLAD	2100	18969	\N	\N	\N
604721	2058	1996-12-08	VYDAJ	VYBER	2000	21108	\N	\N	\N
604722	2058	1997-01-07	VYDAJ	VYBER	3000	24295	\N	\N	\N
604723	2058	1997-02-06	PRIJEM	VKLAD	4900	23854	\N	\N	\N
604724	2058	1997-03-08	PRIJEM	VKLAD	3300	23302	\N	\N	\N
604725	2058	1997-04-07	VYDAJ	VYBER	2100	22635	\N	\N	\N
604726	2058	1997-05-07	PRIJEM	VKLAD	1100	25171	\N	\N	\N
604727	2058	1997-06-06	VYDAJ	VYBER	4300	22314	\N	\N	\N
604728	2058	1997-07-06	PRIJEM	VKLAD	800	26583	\N	\N	\N
604729	2058	1997-08-05	VYDAJ	VYBER	1100	23687	\N	\N	\N
604730	2058	1997-09-04	PRIJEM	VKLAD	3300	23022	\N	\N	\N
604731	2058	1997-10-04	VYDAJ	VYBER	3800	20654	\N	\N	\N
604732	2058	1997-11-03	VYDAJ	VYBER	3400	18683	\N	\N	\N
604733	2058	1997-12-03	PRIJEM	VKLAD	2200	20498	\N	\N	\N
604734	2058	1998-01-02	VYDAJ	VYBER	200	19262	\N	\N	\N
604735	2058	1998-02-01	PRIJEM	VKLAD	7600	21664	\N	\N	\N
604736	2058	1998-03-03	PRIJEM	VKLAD	1200	24284	\N	\N	\N
604737	2058	1998-04-02	VYDAJ	VYBER	7200	18523	\N	\N	\N
604738	2058	1998-05-02	VYDAJ	VYBER	2500	17447	\N	\N	\N
604739	2058	1998-06-01	VYDAJ	VYBER	2100	16761	\N	\N	\N
604740	2058	1998-07-01	VYDAJ	VYBER	1900	14579	\N	\N	\N
604741	2058	1998-08-30	PRIJEM	VKLAD	200	13211	\N	\N	\N
604742	2058	1998-09-29	VYDAJ	VYBER	500	14104	\N	\N	\N
604743	2058	1998-10-29	VYDAJ	VYBER	2100	13398	\N	\N	\N
604744	2058	1998-11-28	VYDAJ	VYBER	2700	12095	\N	\N	\N
604773	2059	1994-10-08	PRIJEM	VKLAD	200	200	\N	\N	\N
604784	2059	1994-11-07	PRIJEM	VKLAD	11293	11493	\N	\N	\N
604785	2059	1994-12-07	PRIJEM	VKLAD	16940	36699	\N	\N	\N
604786	2059	1995-01-07	PRIJEM	VKLAD	11293	38106	\N	\N	\N
604787	2059	1995-02-07	PRIJEM	VKLAD	11293	45351	\N	\N	\N
604788	2059	1995-03-07	PRIJEM	VKLAD	11293	56826	\N	\N	\N
604789	2059	1995-04-07	PRIJEM	VKLAD	11293	40274	\N	\N	\N
604790	2059	1995-05-07	PRIJEM	VKLAD	11293	40801	\N	\N	\N
604791	2059	1995-06-07	PRIJEM	VKLAD	16940	53393	\N	\N	\N
604792	2059	1995-07-07	PRIJEM	VKLAD	11293	36406	\N	\N	\N
604793	2059	1995-08-07	PRIJEM	VKLAD	11293	45528	\N	\N	\N
604794	2059	1995-09-07	PRIJEM	VKLAD	11293	42484	\N	\N	\N
604795	2059	1995-10-07	PRIJEM	VKLAD	11293	47939	\N	\N	\N
604796	2059	1995-11-07	PRIJEM	VKLAD	11293	48713	\N	\N	\N
604797	2059	1995-12-07	PRIJEM	VKLAD	16940	54241	\N	\N	\N
604798	2059	1996-01-07	PRIJEM	VKLAD	11293	48427	\N	\N	\N
604799	2059	1996-02-07	PRIJEM	VKLAD	11293	37467	\N	\N	\N
604800	2059	1996-03-07	PRIJEM	VKLAD	11293	40766	\N	\N	\N
604801	2059	1996-04-07	PRIJEM	VKLAD	11293	41110	\N	\N	\N
604802	2059	1996-05-07	PRIJEM	VKLAD	11293	43113	\N	\N	\N
604803	2059	1996-06-07	PRIJEM	VKLAD	16940	50397	\N	\N	\N
604804	2059	1996-07-07	PRIJEM	VKLAD	11293	44242	\N	\N	\N
604805	2059	1996-08-07	PRIJEM	VKLAD	11293	44357	\N	\N	\N
604806	2059	1996-09-07	PRIJEM	VKLAD	11293	44073	\N	\N	\N
604807	2059	1996-10-07	PRIJEM	VKLAD	11293	41495	\N	\N	\N
604808	2059	1996-11-07	PRIJEM	VKLAD	11293	42599	\N	\N	\N
604809	2059	1996-12-07	PRIJEM	VKLAD	16940	48556	\N	\N	\N
604810	2059	1997-01-07	PRIJEM	VKLAD	11293	40312	\N	\N	\N
604811	2059	1997-02-07	PRIJEM	VKLAD	11293	37221	\N	\N	\N
604812	2059	1997-03-07	PRIJEM	VKLAD	11293	45012	\N	\N	\N
604813	2059	1997-04-07	PRIJEM	VKLAD	11293	47632	\N	\N	\N
604814	2059	1997-05-07	PRIJEM	VKLAD	11293	47161	\N	\N	\N
604815	2059	1997-06-07	PRIJEM	VKLAD	16940	49948	\N	\N	\N
604816	2059	1997-07-07	PRIJEM	VKLAD	11293	50269	\N	\N	\N
604817	2059	1997-08-07	PRIJEM	VKLAD	11293	49408	\N	\N	\N
604818	2059	1997-09-07	PRIJEM	VKLAD	11293	48042	\N	\N	\N
604819	2059	1997-10-07	PRIJEM	VKLAD	11293	45086	\N	\N	\N
604820	2059	1997-11-07	PRIJEM	VKLAD	11293	47006	\N	\N	\N
604821	2059	1997-12-07	PRIJEM	VKLAD	16940	48176	\N	\N	\N
604822	2059	1998-01-07	PRIJEM	VKLAD	11293	42598	\N	\N	\N
604823	2059	1998-02-07	PRIJEM	VKLAD	11293	28297	\N	\N	\N
604824	2059	1998-03-07	PRIJEM	VKLAD	11293	27444	\N	\N	\N
604825	2059	1998-04-07	PRIJEM	VKLAD	11293	26386	\N	\N	\N
604826	2059	1998-05-07	PRIJEM	VKLAD	11293	30432	\N	\N	\N
604827	2059	1998-06-07	PRIJEM	VKLAD	16940	38438	\N	\N	\N
604828	2059	1998-07-07	PRIJEM	VKLAD	11293	33607	\N	\N	\N
604829	2059	1998-08-07	PRIJEM	VKLAD	11293	28669	\N	\N	\N
604830	2059	1998-09-07	PRIJEM	VKLAD	11293	26012	\N	\N	\N
604831	2059	1998-10-07	PRIJEM	VKLAD	11293	26751	\N	\N	\N
604832	2059	1998-11-07	PRIJEM	VKLAD	11293	38093	\N	\N	\N
604833	2059	1998-12-07	PRIJEM	VKLAD	16940	38516	\N	\N	\N
604835	2059	1995-06-10	VYDAJ	VYBER	26600	26793	\N	\N	\N
604836	2059	1996-06-12	VYDAJ	VYBER	5300	45097	\N	\N	\N
604838	2059	1998-06-22	VYDAJ	VYBER KARTOU	3000	22238	\N	\N	0
604841	2059	1996-01-15	VYDAJ	VYBER	9200	35427	\N	\N	\N
604842	2059	1997-01-11	VYDAJ	VYBER	7000	31412	\N	\N	\N
604843	2059	1998-01-18	VYDAJ	VYBER	8000	29498	\N	\N	\N
604845	2059	1995-12-08	VYDAJ	VYBER KARTOU	800	53441	\N	\N	0
604846	2059	1996-12-06	VYDAJ	VYBER KARTOU	1700	31616	\N	\N	0
604847	2059	1997-12-15	VYDAJ	VYBER KARTOU	1000	47176	\N	\N	0
604848	2059	1998-12-12	VYDAJ	VYBER KARTOU	1700	36816	\N	\N	0
604861	2059	1996-01-11	VYDAJ	VYBER KARTOU	2100	46327	\N	\N	0
604862	2059	1996-01-13	VYDAJ	VYBER KARTOU	900	44627	\N	\N	0
604863	2059	1996-01-30	VYDAJ	VYBER KARTOU	1200	28427	\N	\N	0
604864	2059	1996-01-11	VYDAJ	VYBER KARTOU	800	45527	\N	\N	0
604865	2059	1996-01-19	VYDAJ	VYBER KARTOU	1600	32027	\N	\N	0
604866	2059	1996-01-28	VYDAJ	VYBER KARTOU	2400	29627	\N	\N	0
604867	2059	1997-01-02	VYDAJ	VYBER KARTOU	1500	33119	\N	\N	0
604868	2059	1997-01-25	VYDAJ	VYBER KARTOU	2600	25812	\N	\N	0
604869	2059	1997-01-10	VYDAJ	VYBER KARTOU	1900	38412	\N	\N	0
604870	2059	1997-01-24	VYDAJ	VYBER KARTOU	1400	28212	\N	\N	0
604871	2059	1997-01-15	VYDAJ	VYBER KARTOU	1200	30212	\N	\N	0
604872	2059	1997-01-18	VYDAJ	VYBER KARTOU	600	29612	\N	\N	0
604874	2059	1998-01-07	VYDAJ	VYBER KARTOU	2400	39298	\N	\N	0
604876	2059	1998-01-17	VYDAJ	VYBER KARTOU	1800	37498	\N	\N	0
604877	2059	1998-01-07	VYDAJ	VYBER KARTOU	900	41698	\N	\N	0
604878	2059	1998-01-01	VYDAJ	VYBER KARTOU	1600	31305	\N	\N	0
604884	2059	1995-12-14	VYDAJ	VYBER	4900	48541	\N	\N	\N
604885	2059	1995-09-06	VYDAJ	VYBER	4300	31191	\N	\N	\N
604886	2059	1995-08-03	VYDAJ	VYBER	1300	35235	\N	\N	\N
604887	2059	1995-03-26	VYDAJ	VYBER	3600	35926	\N	\N	\N
604888	2059	1995-04-08	VYDAJ	VYBER	4900	35374	\N	\N	\N
604889	2059	1995-08-09	VYDAJ	VYBER	1500	44028	\N	\N	\N
604890	2059	1995-03-21	VYDAJ	VYBER	1300	39526	\N	\N	\N
604891	2059	1996-05-09	VYDAJ	VYBER KARTOU	2100	41013	\N	\N	0
604892	2059	1996-09-20	VYDAJ	VYBER KARTOU	2700	41373	\N	\N	0
604893	2059	1996-01-16	VYDAJ	VYBER KARTOU	1800	33627	\N	\N	0
604894	2059	1997-06-30	VYDAJ	VYBER KARTOU	500	38991	\N	\N	0
604895	2059	1997-11-29	VYDAJ	VYBER KARTOU	2600	31106	\N	\N	0
604896	2059	1997-09-10	VYDAJ	VYBER KARTOU	1100	46942	\N	\N	0
604897	2059	1997-05-24	VYDAJ	VYBER KARTOU	900	41761	\N	\N	0
604898	2059	1997-01-05	VYDAJ	VYBER	4100	29019	\N	\N	\N
604899	2059	1997-05-07	VYDAJ	VYBER	4500	42661	\N	\N	\N
604901	2059	1998-07-18	VYDAJ	VYBER KARTOU	2900	30707	\N	\N	0
604917	2059	1995-03-31	VYDAJ	VYBER	15	36081	SLUZBY	\N	\N
604918	2059	1995-04-30	VYDAJ	VYBER	15	35508	SLUZBY	\N	\N
604919	2059	1995-05-31	VYDAJ	VYBER	15	40953	SLUZBY	\N	\N
604920	2059	1995-06-30	VYDAJ	VYBER	15	26913	SLUZBY	\N	\N
604921	2059	1995-07-31	VYDAJ	VYBER	15	36535	SLUZBY	\N	\N
604922	2059	1995-08-31	VYDAJ	VYBER	15	44191	SLUZBY	\N	\N
604923	2059	1995-09-30	VYDAJ	VYBER	15	42646	SLUZBY	\N	\N
604924	2059	1995-10-31	VYDAJ	VYBER	15	48120	SLUZBY	\N	\N
604925	2059	1995-11-30	VYDAJ	VYBER	15	48901	SLUZBY	\N	\N
604926	2059	1995-12-31	VYDAJ	VYBER	15	48734	SLUZBY	\N	\N
604927	2059	1996-01-31	VYDAJ	VYBER	15	28574	SLUZBY	\N	\N
604928	2059	1996-02-29	VYDAJ	VYBER	15	37573	SLUZBY	\N	\N
604929	2059	1996-03-31	VYDAJ	VYBER	15	29817	SLUZBY	\N	\N
604930	2059	1996-04-30	VYDAJ	VYBER	15	41220	SLUZBY	\N	\N
604931	2059	1996-05-31	VYDAJ	VYBER	15	33457	SLUZBY	\N	\N
604932	2059	1996-06-30	VYDAJ	VYBER	15	32949	SLUZBY	\N	\N
604933	2059	1996-07-31	VYDAJ	VYBER	15	33064	SLUZBY	\N	\N
604934	2059	1996-08-31	VYDAJ	VYBER	15	32780	SLUZBY	\N	\N
604935	2059	1996-09-30	VYDAJ	VYBER	15	30202	SLUZBY	\N	\N
604936	2059	1996-10-31	VYDAJ	VYBER	15	31306	SLUZBY	\N	\N
604937	2059	1996-11-30	VYDAJ	VYBER	15	33316	SLUZBY	\N	\N
604938	2059	1996-12-31	VYDAJ	VYBER	15	34619	SLUZBY	\N	\N
604939	2059	1997-01-31	VYDAJ	VYBER	15	25928	SLUZBY	\N	\N
604940	2059	1997-02-28	VYDAJ	VYBER	15	33719	SLUZBY	\N	\N
604941	2059	1997-03-31	VYDAJ	VYBER	15	36339	SLUZBY	\N	\N
604942	2059	1997-04-30	VYDAJ	VYBER	15	35868	SLUZBY	\N	\N
604943	2059	1997-05-31	VYDAJ	VYBER	15	33008	SLUZBY	\N	\N
604944	2059	1997-06-30	VYDAJ	VYBER	15	38976	SLUZBY	\N	\N
604945	2059	1997-07-31	VYDAJ	VYBER	15	38115	SLUZBY	\N	\N
604946	2059	1997-08-31	VYDAJ	VYBER	15	36749	SLUZBY	\N	\N
604947	2059	1997-09-30	VYDAJ	VYBER	15	33793	SLUZBY	\N	\N
604948	2059	1997-10-31	VYDAJ	VYBER	15	35713	SLUZBY	\N	\N
604949	2059	1997-11-30	VYDAJ	VYBER	15	31236	SLUZBY	\N	\N
604950	2059	1997-12-31	VYDAJ	VYBER	15	32905	SLUZBY	\N	\N
604951	2059	1998-01-31	VYDAJ	VYBER	15	17004	SLUZBY	\N	\N
604952	2059	1998-02-28	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
604953	2059	1998-03-31	VYDAJ	VYBER	15	15093	SLUZBY	\N	\N
604954	2059	1998-04-30	VYDAJ	VYBER	15	19139	SLUZBY	\N	\N
604955	2059	1998-05-31	VYDAJ	VYBER	15	21498	SLUZBY	\N	\N
604956	2059	1998-06-30	VYDAJ	VYBER	15	22314	SLUZBY	\N	\N
604957	2059	1998-07-31	VYDAJ	VYBER	15	17376	SLUZBY	\N	\N
604958	2059	1998-08-31	VYDAJ	VYBER	15	14719	SLUZBY	\N	\N
604959	2059	1998-09-30	VYDAJ	VYBER	15	15458	SLUZBY	\N	\N
604960	2059	1998-10-31	VYDAJ	VYBER	15	26800	SLUZBY	\N	\N
604961	2059	1998-11-30	VYDAJ	VYBER	15	21576	SLUZBY	\N	\N
604962	2059	1994-11-07	PRIJEM	VKLAD	8200	19693	\N	\N	\N
604963	2059	1994-12-07	VYDAJ	VYBER	7400	29299	\N	\N	\N
604964	2059	1995-01-06	VYDAJ	VYBER	2600	26813	\N	\N	\N
604965	2059	1995-02-05	VYDAJ	VYBER	4200	34058	\N	\N	\N
604966	2059	1995-03-07	VYDAJ	VYBER	16000	40826	\N	\N	\N
604967	2059	1995-04-06	VYDAJ	VYBER	7100	28981	\N	\N	\N
604968	2059	1995-05-06	VYDAJ	VYBER	6000	29508	\N	\N	\N
604969	2059	1995-06-05	VYDAJ	VYBER	4500	36453	\N	\N	\N
604970	2059	1995-07-05	VYDAJ	VYBER	1800	25113	\N	\N	\N
604971	2059	1995-08-04	VYDAJ	VYBER	1000	34235	\N	\N	\N
604972	2059	1995-09-03	VYDAJ	VYBER	8700	35491	\N	\N	\N
604973	2059	1995-10-03	VYDAJ	VYBER	6000	36646	\N	\N	\N
604974	2059	1995-11-02	VYDAJ	VYBER	10700	37420	\N	\N	\N
604975	2059	1995-12-02	VYDAJ	VYBER	11600	37301	\N	\N	\N
604976	2059	1996-01-01	VYDAJ	VYBER	11600	37134	\N	\N	\N
604977	2059	1996-01-31	VYDAJ	VYBER KARTOU	2400	26174	\N	\N	0
604978	2059	1996-03-01	VYDAJ	VYBER	8100	29473	\N	\N	\N
604979	2059	1996-03-31	VYDAJ	VYBER	11100	29832	\N	\N	\N
604980	2059	1996-04-30	VYDAJ	VYBER	9400	31820	\N	\N	\N
604981	2059	1996-05-30	VYDAJ	VYBER	7700	33313	\N	\N	\N
604982	2059	1996-06-29	VYDAJ	VYBER	12300	32797	\N	\N	\N
604983	2059	1996-07-29	VYDAJ	VYBER	11300	32942	\N	\N	\N
604984	2059	1996-08-28	VYDAJ	VYBER	11700	32657	\N	\N	\N
604985	2059	1996-09-27	VYDAJ	VYBER	11300	30073	\N	\N	\N
604986	2059	1996-10-27	VYDAJ	VYBER	10300	31195	\N	\N	\N
604987	2059	1996-11-26	VYDAJ	VYBER	9400	33199	\N	\N	\N
604988	2059	1996-12-26	VYDAJ	VYBER	14100	34456	\N	\N	\N
604989	2059	1997-01-25	PRIJEM	VKLAD	200	28412	\N	\N	\N
604990	2059	1997-02-24	VYDAJ	VYBER KARTOU	3600	33621	\N	\N	0
604991	2059	1997-03-26	VYDAJ	VYBER	8800	36212	\N	\N	\N
604992	2059	1997-04-25	VYDAJ	VYBER	11900	35732	\N	\N	\N
604993	2059	1997-05-25	VYDAJ	VYBER	8900	32861	\N	\N	\N
604994	2059	1997-06-24	VYDAJ	VYBER	10600	39348	\N	\N	\N
604995	2059	1997-07-24	VYDAJ	VYBER	12300	37969	\N	\N	\N
604996	2059	1997-08-23	VYDAJ	VYBER	12800	36608	\N	\N	\N
604997	2059	1997-09-22	VYDAJ	VYBER	13300	33642	\N	\N	\N
604998	2059	1997-10-22	VYDAJ	VYBER	9500	35586	\N	\N	\N
604999	2059	1997-11-21	VYDAJ	VYBER	13300	33706	\N	\N	\N
605000	2059	1997-12-21	VYDAJ	VYBER	14400	32776	\N	\N	\N
605001	2059	1998-01-20	VYDAJ	VYBER	12600	16898	\N	\N	\N
605002	2059	1998-02-19	VYDAJ	VYBER	12200	16097	\N	\N	\N
605003	2059	1998-03-21	VYDAJ	VYBER	12400	15044	\N	\N	\N
605004	2059	1998-04-20	VYDAJ	VYBER	7300	19086	\N	\N	\N
605005	2059	1998-05-20	VYDAJ	VYBER	9000	21432	\N	\N	\N
605006	2059	1998-06-19	VYDAJ	VYBER	13200	25238	\N	\N	\N
605007	2059	1998-07-19	VYDAJ	VYBER	13400	17307	\N	\N	\N
605008	2059	1998-08-18	VYDAJ	VYBER	14000	14669	\N	\N	\N
605009	2059	1998-09-17	VYDAJ	VYBER	10600	15412	\N	\N	\N
605010	2059	1998-11-16	VYDAJ	VYBER	16600	21493	\N	\N	\N
605061	2060	1996-12-05	PRIJEM	VKLAD	200	200	\N	\N	\N
605073	2060	1996-12-11	PRIJEM	VKLAD	22785	22985	\N	\N	\N
605074	2060	1997-01-11	PRIJEM	VKLAD	15190	40840	\N	\N	\N
605075	2060	1997-02-11	PRIJEM	VKLAD	15190	50676	\N	\N	\N
605076	2060	1997-03-11	PRIJEM	VKLAD	15190	55763	\N	\N	\N
605077	2060	1997-04-11	PRIJEM	VKLAD	15190	60978	\N	\N	\N
605078	2060	1997-05-11	PRIJEM	VKLAD	15190	50577	\N	\N	\N
605079	2060	1997-06-11	PRIJEM	VKLAD	22785	55832	\N	\N	\N
605080	2060	1997-07-11	PRIJEM	VKLAD	15190	29733	\N	\N	\N
605081	2060	1997-08-11	PRIJEM	VKLAD	15190	36393	\N	\N	\N
605082	2060	1997-09-11	PRIJEM	VKLAD	15190	37782	\N	\N	\N
605083	2060	1997-10-11	PRIJEM	VKLAD	15190	42880	\N	\N	\N
605084	2060	1997-11-11	PRIJEM	VKLAD	15190	39436	\N	\N	\N
605085	2060	1997-12-11	PRIJEM	VKLAD	22785	49497	\N	\N	\N
605086	2060	1998-01-11	PRIJEM	VKLAD	15190	37670	\N	\N	\N
605087	2060	1998-02-11	PRIJEM	VKLAD	15190	36254	\N	\N	\N
605088	2060	1998-03-11	PRIJEM	VKLAD	15190	37645	\N	\N	\N
605089	2060	1998-04-11	PRIJEM	VKLAD	15190	32349	\N	\N	\N
605090	2060	1998-05-11	PRIJEM	VKLAD	15190	34323	\N	\N	\N
605091	2060	1998-06-11	PRIJEM	VKLAD	22785	41900	\N	\N	\N
605092	2060	1998-07-11	PRIJEM	VKLAD	15190	37181	\N	\N	\N
605093	2060	1998-08-11	PRIJEM	VKLAD	15190	35073	\N	\N	\N
605094	2060	1998-09-11	PRIJEM	VKLAD	15190	34755	\N	\N	\N
605095	2060	1998-10-11	PRIJEM	VKLAD	15190	36537	\N	\N	\N
605096	2060	1998-11-11	PRIJEM	VKLAD	15190	31920	\N	\N	\N
605097	2060	1998-12-11	PRIJEM	VKLAD	22785	34256	\N	\N	\N
605114	2060	1997-05-06	VYDAJ	PREVOD NA UCET	7523	35387	SIPO	WX	37982398
605115	2060	1997-06-06	VYDAJ	PREVOD NA UCET	7523	33047	SIPO	WX	37982398
605116	2060	1997-07-06	VYDAJ	PREVOD NA UCET	7523	14543	SIPO	WX	37982398
605117	2060	1997-08-06	VYDAJ	PREVOD NA UCET	7523	21203	SIPO	WX	37982398
605118	2060	1997-09-06	VYDAJ	PREVOD NA UCET	7523	22592	SIPO	WX	37982398
605119	2060	1997-10-06	VYDAJ	PREVOD NA UCET	7523	27690	SIPO	WX	37982398
605120	2060	1997-11-06	VYDAJ	PREVOD NA UCET	7523	28806	SIPO	WX	37982398
605121	2060	1997-12-06	VYDAJ	PREVOD NA UCET	7523	27552	SIPO	WX	37982398
605122	2060	1998-01-06	VYDAJ	PREVOD NA UCET	7523	24760	SIPO	WX	37982398
605123	2060	1998-02-06	VYDAJ	PREVOD NA UCET	7523	21064	SIPO	WX	37982398
605124	2060	1998-03-06	VYDAJ	PREVOD NA UCET	7523	22455	SIPO	WX	37982398
605125	2060	1998-04-06	VYDAJ	PREVOD NA UCET	7523	17159	SIPO	WX	37982398
605126	2060	1998-05-06	VYDAJ	PREVOD NA UCET	7523	19133	SIPO	WX	37982398
605127	2060	1998-06-06	VYDAJ	PREVOD NA UCET	7523	19115	SIPO	WX	37982398
605128	2060	1998-07-06	VYDAJ	PREVOD NA UCET	7523	24511	SIPO	WX	37982398
605129	2060	1998-08-06	VYDAJ	PREVOD NA UCET	7523	19883	SIPO	WX	37982398
605130	2060	1998-09-06	VYDAJ	PREVOD NA UCET	7523	19565	SIPO	WX	37982398
605131	2060	1998-10-06	VYDAJ	PREVOD NA UCET	7523	21347	SIPO	WX	37982398
605132	2060	1998-11-06	VYDAJ	PREVOD NA UCET	7523	16730	SIPO	WX	37982398
605133	2060	1998-12-06	VYDAJ	PREVOD NA UCET	7523	11471	SIPO	WX	37982398
605135	2060	1997-06-11	VYDAJ	VYBER	35360	20472	\N	\N	\N
605149	2060	1998-01-14	VYDAJ	VYBER	1800	35870	\N	\N	\N
605150	2060	1998-01-17	VYDAJ	VYBER	600	35270	\N	\N	\N
605151	2060	1998-01-10	VYDAJ	VYBER	2280	22480	\N	\N	\N
605152	2060	1998-01-27	VYDAJ	VYBER	2040	28670	\N	\N	\N
605153	2060	1998-01-18	VYDAJ	VYBER	1800	30710	\N	\N	\N
605154	2060	1998-01-18	VYDAJ	VYBER	2760	32510	\N	\N	\N
605160	2060	1997-12-09	VYDAJ	VYBER	840	26712	\N	\N	\N
605162	2060	1997-12-29	VYDAJ	VYBER	2280	47217	\N	\N	\N
605163	2060	1997-11-08	VYDAJ	VYBER	4560	24246	\N	\N	\N
605165	2060	1998-11-23	VYDAJ	VYBER	3120	25200	\N	\N	\N
605166	2060	1998-03-14	VYDAJ	VYBER	4680	32965	\N	\N	\N
605167	2060	1998-11-22	VYDAJ	VYBER	3600	28320	\N	\N	\N
605168	2060	1998-07-10	VYDAJ	VYBER	2520	21991	\N	\N	\N
605169	2060	1998-01-02	VYDAJ	VYBER	5400	32283	\N	\N	\N
605186	2060	1997-04-30	VYDAJ	VYBER	15	61210	SLUZBY	\N	\N
605187	2060	1997-05-31	VYDAJ	VYBER	15	50770	SLUZBY	\N	\N
605188	2060	1997-06-30	VYDAJ	VYBER	15	20666	SLUZBY	\N	\N
605189	2060	1997-07-31	VYDAJ	VYBER	15	29826	SLUZBY	\N	\N
605190	2060	1997-08-31	VYDAJ	VYBER	15	36515	SLUZBY	\N	\N
605191	2060	1997-09-30	VYDAJ	VYBER	15	37913	SLUZBY	\N	\N
605192	2060	1997-10-31	VYDAJ	VYBER	15	43029	SLUZBY	\N	\N
605193	2060	1997-11-30	VYDAJ	VYBER	15	39575	SLUZBY	\N	\N
605194	2060	1997-12-31	VYDAJ	VYBER	15	37683	SLUZBY	\N	\N
605195	2060	1998-01-31	VYDAJ	VYBER	15	28587	SLUZBY	\N	\N
605196	2060	1998-02-28	VYDAJ	VYBER	15	29978	SLUZBY	\N	\N
605197	2060	1998-03-31	VYDAJ	VYBER	15	24682	SLUZBY	\N	\N
605198	2060	1998-04-30	VYDAJ	VYBER	15	26656	SLUZBY	\N	\N
605199	2060	1998-05-31	VYDAJ	VYBER	15	26638	SLUZBY	\N	\N
605200	2060	1998-06-30	VYDAJ	VYBER	15	32034	SLUZBY	\N	\N
605201	2060	1998-07-31	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
605202	2060	1998-08-31	VYDAJ	VYBER	15	27088	SLUZBY	\N	\N
605203	2060	1998-09-30	VYDAJ	VYBER	15	28870	SLUZBY	\N	\N
605204	2060	1998-10-31	VYDAJ	VYBER	15	24253	SLUZBY	\N	\N
605205	2060	1998-11-30	VYDAJ	VYBER	15	18994	SLUZBY	\N	\N
605206	2060	1997-01-04	PRIJEM	VKLAD	2600	25650	\N	\N	\N
605207	2060	1997-02-03	VYDAJ	VYBER	5500	35486	\N	\N	\N
605208	2060	1997-03-05	VYDAJ	VYBER	10300	40573	\N	\N	\N
605209	2060	1997-04-04	VYDAJ	VYBER	10200	45788	\N	\N	\N
605210	2060	1997-05-04	VYDAJ	VYBER	18300	42910	\N	\N	\N
605211	2060	1997-06-03	VYDAJ	VYBER	10200	40570	\N	\N	\N
605212	2060	1997-07-03	PRIJEM	VKLAD	1400	22066	\N	\N	\N
605213	2060	1997-08-02	VYDAJ	VYBER	1100	28726	\N	\N	\N
605214	2060	1997-09-01	VYDAJ	VYBER	6400	30115	\N	\N	\N
605215	2060	1997-10-01	VYDAJ	VYBER	2700	35213	\N	\N	\N
605216	2060	1997-10-31	VYDAJ	VYBER	6700	36329	\N	\N	\N
605217	2060	1997-11-30	VYDAJ	VYBER	4500	35075	\N	\N	\N
605218	2060	1997-12-30	VYDAJ	VYBER	9700	37517	\N	\N	\N
605219	2060	1998-01-29	VYDAJ	VYBER	200	28470	\N	\N	\N
605220	2060	1998-02-28	VYDAJ	VYBER	6400	29992	\N	\N	\N
605221	2060	1998-03-30	VYDAJ	VYBER	8400	24565	\N	\N	\N
605222	2060	1998-04-29	VYDAJ	VYBER	5800	26549	\N	\N	\N
605223	2060	1998-05-29	VYDAJ	VYBER	7800	26523	\N	\N	\N
605224	2060	1998-06-28	VYDAJ	VYBER	10000	31900	\N	\N	\N
605225	2060	1998-07-28	VYDAJ	VYBER	9900	27281	\N	\N	\N
605226	2060	1998-08-27	VYDAJ	VYBER	8100	26973	\N	\N	\N
605227	2060	1998-09-26	VYDAJ	VYBER	6000	28755	\N	\N	\N
605228	2060	1998-10-26	VYDAJ	VYBER	12400	24137	\N	\N	\N
605229	2060	1998-11-25	VYDAJ	VYBER	6300	18900	\N	\N	\N
605255	2061	1993-05-12	PRIJEM	VKLAD	200	200	\N	\N	\N
605261	2061	1993-06-11	PRIJEM	VKLAD	6006	6206	\N	\N	\N
605262	2061	1993-07-11	PRIJEM	VKLAD	4004	21860	\N	\N	\N
605263	2061	1993-08-11	PRIJEM	VKLAD	4004	25950	\N	\N	\N
605264	2061	1993-09-11	PRIJEM	VKLAD	4004	30257	\N	\N	\N
605265	2061	1993-10-11	PRIJEM	VKLAD	4004	33382	\N	\N	\N
605266	2061	1993-11-11	PRIJEM	VKLAD	4004	31737	\N	\N	\N
605267	2061	1993-12-11	PRIJEM	VKLAD	6006	29892	\N	\N	\N
605268	2061	1994-01-11	PRIJEM	VKLAD	4004	26337	\N	\N	\N
605269	2061	1994-02-11	PRIJEM	VKLAD	4004	21244	\N	\N	\N
605270	2061	1994-03-11	PRIJEM	VKLAD	4004	23630	\N	\N	\N
605271	2061	1994-04-11	PRIJEM	VKLAD	4004	22040	\N	\N	\N
605272	2061	1994-05-11	PRIJEM	VKLAD	4004	26447	\N	\N	\N
605273	2061	1994-06-11	PRIJEM	VKLAD	6006	29774	\N	\N	\N
605274	2061	1994-07-11	PRIJEM	VKLAD	4004	24474	\N	\N	\N
605275	2061	1994-08-11	PRIJEM	VKLAD	4004	23901	\N	\N	\N
605276	2061	1994-09-11	PRIJEM	VKLAD	4004	24821	\N	\N	\N
605277	2061	1994-10-11	PRIJEM	VKLAD	4004	23243	\N	\N	\N
605278	2061	1994-11-11	PRIJEM	VKLAD	4004	21961	\N	\N	\N
605279	2061	1994-12-11	PRIJEM	VKLAD	6006	19733	\N	\N	\N
605280	2061	1995-01-11	PRIJEM	VKLAD	4004	19430	\N	\N	\N
605281	2061	1995-02-11	PRIJEM	VKLAD	4004	21430	\N	\N	\N
605282	2061	1995-03-11	PRIJEM	VKLAD	4004	20336	\N	\N	\N
605283	2061	1995-04-11	PRIJEM	VKLAD	4004	21542	\N	\N	\N
605284	2061	1995-05-11	PRIJEM	VKLAD	4004	20867	\N	\N	\N
605285	2061	1995-06-11	PRIJEM	VKLAD	6006	25473	\N	\N	\N
605286	2061	1995-07-11	PRIJEM	VKLAD	4004	25691	\N	\N	\N
605287	2061	1995-08-11	PRIJEM	VKLAD	4004	28015	\N	\N	\N
605288	2061	1995-09-11	PRIJEM	VKLAD	4004	28449	\N	\N	\N
605289	2061	1995-10-11	PRIJEM	VKLAD	4004	26334	\N	\N	\N
605290	2061	1995-11-11	PRIJEM	VKLAD	4004	27961	\N	\N	\N
605291	2061	1995-12-11	PRIJEM	VKLAD	6006	26875	\N	\N	\N
605292	2061	1996-01-11	PRIJEM	VKLAD	4004	27254	\N	\N	\N
605293	2061	1996-02-11	PRIJEM	VKLAD	4004	16357	\N	\N	\N
605294	2061	1996-03-11	PRIJEM	VKLAD	4004	18647	\N	\N	\N
605295	2061	1996-04-11	PRIJEM	VKLAD	4004	21143	\N	\N	\N
605296	2061	1996-05-11	PRIJEM	VKLAD	4004	23548	\N	\N	\N
605297	2061	1996-06-11	PRIJEM	VKLAD	6006	27165	\N	\N	\N
605298	2061	1996-07-11	PRIJEM	VKLAD	4004	26491	\N	\N	\N
605299	2061	1996-08-11	PRIJEM	VKLAD	4004	26617	\N	\N	\N
605300	2061	1996-09-11	PRIJEM	VKLAD	4004	27744	\N	\N	\N
605301	2061	1996-10-11	PRIJEM	VKLAD	4004	29777	\N	\N	\N
605302	2061	1996-11-11	PRIJEM	VKLAD	4004	27614	\N	\N	\N
605303	2061	1996-12-11	PRIJEM	VKLAD	6006	25186	\N	\N	\N
605304	2061	1997-01-11	PRIJEM	VKLAD	4004	17197	\N	\N	\N
605305	2061	1997-02-11	PRIJEM	VKLAD	4004	17985	\N	\N	\N
605306	2061	1997-03-11	PRIJEM	VKLAD	4004	16272	\N	\N	\N
605307	2061	1997-04-11	PRIJEM	VKLAD	4004	17857	\N	\N	\N
605308	2061	1997-05-11	PRIJEM	VKLAD	4004	16441	\N	\N	\N
605309	2061	1997-06-11	PRIJEM	VKLAD	6006	19828	\N	\N	\N
605310	2061	1997-07-11	PRIJEM	VKLAD	4004	17318	\N	\N	\N
605311	2061	1997-08-11	PRIJEM	VKLAD	4004	14099	\N	\N	\N
605312	2061	1997-09-11	PRIJEM	VKLAD	4004	17377	\N	\N	\N
605313	2061	1997-10-11	PRIJEM	VKLAD	4004	20670	\N	\N	\N
605314	2061	1997-11-11	PRIJEM	VKLAD	4004	22973	\N	\N	\N
605315	2061	1997-12-11	PRIJEM	VKLAD	6006	24182	\N	\N	\N
605316	2061	1998-01-11	PRIJEM	VKLAD	4004	21488	\N	\N	\N
605317	2061	1998-02-11	PRIJEM	VKLAD	4004	18633	\N	\N	\N
605318	2061	1998-03-11	PRIJEM	VKLAD	4004	21428	\N	\N	\N
605319	2061	1998-04-11	PRIJEM	VKLAD	4004	21030	\N	\N	\N
605320	2061	1998-05-11	PRIJEM	VKLAD	4004	17523	\N	\N	\N
605321	2061	1998-06-11	PRIJEM	VKLAD	6006	22116	\N	\N	\N
605322	2061	1998-07-11	PRIJEM	VKLAD	4004	21616	\N	\N	\N
605323	2061	1998-08-11	PRIJEM	VKLAD	4004	18211	\N	\N	\N
605324	2061	1998-09-11	PRIJEM	VKLAD	4004	18880	\N	\N	\N
605325	2061	1998-10-11	PRIJEM	VKLAD	4004	19170	\N	\N	\N
605326	2061	1998-11-11	PRIJEM	VKLAD	4004	18301	\N	\N	\N
605327	2061	1998-12-11	PRIJEM	VKLAD	6006	22596	\N	\N	\N
605338	2061	1993-11-09	VYDAJ	PREVOD NA UCET	1994	28408	SIPO	QR	55974131
605339	2061	1993-12-09	VYDAJ	PREVOD NA UCET	1994	23886	SIPO	QR	55974131
605340	2061	1994-01-09	VYDAJ	PREVOD NA UCET	1994	22333	SIPO	QR	55974131
605341	2061	1994-02-09	VYDAJ	PREVOD NA UCET	1994	17240	SIPO	QR	55974131
605342	2061	1994-03-09	VYDAJ	PREVOD NA UCET	1994	19626	SIPO	QR	55974131
605343	2061	1994-04-09	VYDAJ	PREVOD NA UCET	1994	18036	SIPO	QR	55974131
605344	2061	1994-05-09	VYDAJ	PREVOD NA UCET	1994	22443	SIPO	QR	55974131
605345	2061	1994-06-09	VYDAJ	PREVOD NA UCET	1994	23768	SIPO	QR	55974131
605346	2061	1994-07-09	VYDAJ	PREVOD NA UCET	1994	26185	SIPO	QR	55974131
605347	2061	1994-08-09	VYDAJ	PREVOD NA UCET	1994	20572	SIPO	QR	55974131
605348	2061	1994-09-09	VYDAJ	PREVOD NA UCET	1994	20817	SIPO	QR	55974131
605349	2061	1994-10-09	VYDAJ	PREVOD NA UCET	1994	19914	SIPO	QR	55974131
605350	2061	1994-11-09	VYDAJ	PREVOD NA UCET	1994	17957	SIPO	QR	55974131
605351	2061	1994-12-09	VYDAJ	PREVOD NA UCET	1994	18082	SIPO	QR	55974131
605352	2061	1995-01-09	VYDAJ	PREVOD NA UCET	1994	15426	SIPO	QR	55974131
605353	2061	1995-02-09	VYDAJ	PREVOD NA UCET	1994	18101	SIPO	QR	55974131
605354	2061	1995-03-09	VYDAJ	PREVOD NA UCET	1994	16332	SIPO	QR	55974131
605355	2061	1995-04-09	VYDAJ	PREVOD NA UCET	1994	17538	SIPO	QR	55974131
605356	2061	1995-05-09	VYDAJ	PREVOD NA UCET	1994	17538	SIPO	QR	55974131
605357	2061	1995-06-09	VYDAJ	PREVOD NA UCET	1994	19467	SIPO	QR	55974131
605358	2061	1995-07-09	VYDAJ	PREVOD NA UCET	1994	22362	SIPO	QR	55974131
605359	2061	1995-08-09	VYDAJ	PREVOD NA UCET	1994	24686	SIPO	QR	55974131
605360	2061	1995-09-09	VYDAJ	PREVOD NA UCET	1994	25120	SIPO	QR	55974131
605361	2061	1995-10-09	VYDAJ	PREVOD NA UCET	1994	23005	SIPO	QR	55974131
605362	2061	1995-11-09	VYDAJ	PREVOD NA UCET	1994	24632	SIPO	QR	55974131
605363	2061	1995-12-09	VYDAJ	PREVOD NA UCET	1994	20869	SIPO	QR	55974131
605364	2061	1996-01-09	VYDAJ	PREVOD NA UCET	1994	23925	SIPO	QR	55974131
605365	2061	1996-02-09	VYDAJ	PREVOD NA UCET	1994	13028	SIPO	QR	55974131
605366	2061	1996-03-09	VYDAJ	PREVOD NA UCET	1994	14643	SIPO	QR	55974131
605367	2061	1996-04-09	VYDAJ	PREVOD NA UCET	1994	17814	SIPO	QR	55974131
605368	2061	1996-05-09	VYDAJ	PREVOD NA UCET	1994	19544	SIPO	QR	55974131
605369	2061	1996-06-09	VYDAJ	PREVOD NA UCET	1994	21834	SIPO	QR	55974131
605370	2061	1996-07-09	VYDAJ	PREVOD NA UCET	1994	22487	SIPO	QR	55974131
605371	2061	1996-08-09	VYDAJ	PREVOD NA UCET	1994	23288	SIPO	QR	55974131
605372	2061	1996-09-09	VYDAJ	PREVOD NA UCET	1994	24415	SIPO	QR	55974131
605373	2061	1996-10-09	VYDAJ	PREVOD NA UCET	1994	25773	SIPO	QR	55974131
605374	2061	1996-11-09	VYDAJ	PREVOD NA UCET	1994	23610	SIPO	QR	55974131
605375	2061	1996-12-09	VYDAJ	PREVOD NA UCET	1994	19855	SIPO	QR	55974131
605376	2061	1997-01-09	VYDAJ	PREVOD NA UCET	1994	13193	SIPO	QR	55974131
605377	2061	1997-02-09	VYDAJ	PREVOD NA UCET	1994	13981	SIPO	QR	55974131
605378	2061	1997-03-09	VYDAJ	PREVOD NA UCET	1994	12268	SIPO	QR	55974131
605379	2061	1997-04-09	VYDAJ	PREVOD NA UCET	1994	14528	SIPO	QR	55974131
605380	2061	1997-05-09	VYDAJ	PREVOD NA UCET	1994	13112	SIPO	QR	55974131
605381	2061	1997-06-09	VYDAJ	PREVOD NA UCET	1994	14497	SIPO	QR	55974131
605382	2061	1997-07-09	VYDAJ	PREVOD NA UCET	1994	13314	SIPO	QR	55974131
605383	2061	1997-08-09	VYDAJ	PREVOD NA UCET	1994	10095	SIPO	QR	55974131
605384	2061	1997-09-09	VYDAJ	PREVOD NA UCET	1994	13373	SIPO	QR	55974131
605385	2061	1997-10-09	VYDAJ	PREVOD NA UCET	1994	17341	SIPO	QR	55974131
605386	2061	1997-11-09	VYDAJ	PREVOD NA UCET	1994	18969	SIPO	QR	55974131
605387	2061	1997-12-09	VYDAJ	PREVOD NA UCET	1994	18851	SIPO	QR	55974131
605388	2061	1998-01-09	VYDAJ	PREVOD NA UCET	1994	17484	SIPO	QR	55974131
605389	2061	1998-02-09	VYDAJ	PREVOD NA UCET	1994	15304	SIPO	QR	55974131
605390	2061	1998-03-09	VYDAJ	PREVOD NA UCET	1994	17424	SIPO	QR	55974131
605391	2061	1998-04-09	VYDAJ	PREVOD NA UCET	1994	17026	SIPO	QR	55974131
605392	2061	1998-05-09	VYDAJ	PREVOD NA UCET	1994	13519	SIPO	QR	55974131
605393	2061	1998-06-09	VYDAJ	PREVOD NA UCET	1994	16785	SIPO	QR	55974131
605394	2061	1998-07-09	VYDAJ	PREVOD NA UCET	1994	17612	SIPO	QR	55974131
605395	2061	1998-08-09	VYDAJ	PREVOD NA UCET	1994	14207	SIPO	QR	55974131
605396	2061	1998-09-09	VYDAJ	PREVOD NA UCET	1994	15551	SIPO	QR	55974131
605397	2061	1998-10-09	VYDAJ	PREVOD NA UCET	1994	15841	SIPO	QR	55974131
605398	2061	1998-11-09	VYDAJ	PREVOD NA UCET	1994	14972	SIPO	QR	55974131
605399	2061	1998-12-09	VYDAJ	PREVOD NA UCET	1994	16590	SIPO	QR	55974131
605410	2061	1993-11-09	VYDAJ	PREVOD NA UCET	675	27733	 	OP	78724276
605411	2061	1993-12-09	VYDAJ	PREVOD NA UCET	675	25880	 	OP	78724276
605412	2061	1994-01-09	VYDAJ	PREVOD NA UCET	675	24327	 	OP	78724276
605413	2061	1994-02-09	VYDAJ	PREVOD NA UCET	675	19234	 	OP	78724276
605414	2061	1994-03-09	VYDAJ	PREVOD NA UCET	675	21620	 	OP	78724276
605415	2061	1994-04-09	VYDAJ	PREVOD NA UCET	675	20030	 	OP	78724276
605416	2061	1994-05-09	VYDAJ	PREVOD NA UCET	675	24437	 	OP	78724276
605417	2061	1994-06-09	VYDAJ	PREVOD NA UCET	675	25762	 	OP	78724276
605418	2061	1994-07-09	VYDAJ	PREVOD NA UCET	675	25510	 	OP	78724276
605419	2061	1994-08-09	VYDAJ	PREVOD NA UCET	675	19897	 	OP	78724276
605420	2061	1994-09-09	VYDAJ	PREVOD NA UCET	675	22811	 	OP	78724276
605421	2061	1994-10-09	VYDAJ	PREVOD NA UCET	675	19239	 	OP	78724276
605422	2061	1994-11-09	VYDAJ	PREVOD NA UCET	675	19951	 	OP	78724276
605423	2061	1994-12-09	VYDAJ	PREVOD NA UCET	675	13727	 	OP	78724276
605424	2061	1995-01-09	VYDAJ	PREVOD NA UCET	675	17420	 	OP	78724276
605425	2061	1995-02-09	VYDAJ	PREVOD NA UCET	675	17426	 	OP	78724276
605426	2061	1995-03-09	VYDAJ	PREVOD NA UCET	675	18326	 	OP	78724276
605427	2061	1995-04-09	VYDAJ	PREVOD NA UCET	675	19532	 	OP	78724276
605428	2061	1995-05-09	VYDAJ	PREVOD NA UCET	675	16863	 	OP	78724276
605429	2061	1995-06-09	VYDAJ	PREVOD NA UCET	675	21461	 	OP	78724276
605430	2061	1995-07-09	VYDAJ	PREVOD NA UCET	675	21687	 	OP	78724276
605431	2061	1995-08-09	VYDAJ	PREVOD NA UCET	675	24011	 	OP	78724276
605432	2061	1995-09-09	VYDAJ	PREVOD NA UCET	675	24445	 	OP	78724276
605433	2061	1995-10-09	VYDAJ	PREVOD NA UCET	675	22330	 	OP	78724276
605434	2061	1995-11-09	VYDAJ	PREVOD NA UCET	675	23957	 	OP	78724276
605435	2061	1995-12-09	VYDAJ	PREVOD NA UCET	675	22863	 	OP	78724276
605436	2061	1996-01-09	VYDAJ	PREVOD NA UCET	675	23250	 	OP	78724276
605437	2061	1996-02-09	VYDAJ	PREVOD NA UCET	675	12353	 	OP	78724276
605438	2061	1996-03-09	VYDAJ	PREVOD NA UCET	675	16637	 	OP	78724276
605439	2061	1996-04-09	VYDAJ	PREVOD NA UCET	675	17139	 	OP	78724276
605440	2061	1996-05-09	VYDAJ	PREVOD NA UCET	675	21538	 	OP	78724276
605441	2061	1996-06-09	VYDAJ	PREVOD NA UCET	675	21159	 	OP	78724276
605442	2061	1996-07-09	VYDAJ	PREVOD NA UCET	675	24481	 	OP	78724276
605443	2061	1996-08-09	VYDAJ	PREVOD NA UCET	675	22613	 	OP	78724276
605444	2061	1996-09-09	VYDAJ	PREVOD NA UCET	675	23740	 	OP	78724276
605445	2061	1996-10-09	VYDAJ	PREVOD NA UCET	675	27767	 	OP	78724276
605446	2061	1996-11-09	VYDAJ	PREVOD NA UCET	675	25604	 	OP	78724276
605447	2061	1996-12-09	VYDAJ	PREVOD NA UCET	675	19180	 	OP	78724276
605448	2061	1997-01-09	VYDAJ	PREVOD NA UCET	675	15187	 	OP	78724276
605449	2061	1997-02-09	VYDAJ	PREVOD NA UCET	675	15975	 	OP	78724276
605450	2061	1997-03-09	VYDAJ	PREVOD NA UCET	675	14262	 	OP	78724276
605451	2061	1997-04-09	VYDAJ	PREVOD NA UCET	675	13853	 	OP	78724276
605452	2061	1997-05-09	VYDAJ	PREVOD NA UCET	675	12437	 	OP	78724276
605453	2061	1997-06-09	VYDAJ	PREVOD NA UCET	675	13822	 	OP	78724276
605454	2061	1997-07-09	VYDAJ	PREVOD NA UCET	675	15308	 	OP	78724276
605455	2061	1997-08-09	VYDAJ	PREVOD NA UCET	675	12089	 	OP	78724276
605456	2061	1997-09-09	VYDAJ	PREVOD NA UCET	675	15367	 	OP	78724276
605457	2061	1997-10-09	VYDAJ	PREVOD NA UCET	675	16666	 	OP	78724276
605458	2061	1997-11-09	VYDAJ	PREVOD NA UCET	675	20963	 	OP	78724276
605459	2061	1997-12-09	VYDAJ	PREVOD NA UCET	675	18176	 	OP	78724276
605460	2061	1998-01-09	VYDAJ	PREVOD NA UCET	675	19478	 	OP	78724276
605461	2061	1998-02-09	VYDAJ	PREVOD NA UCET	675	14629	 	OP	78724276
605462	2061	1998-03-09	VYDAJ	PREVOD NA UCET	675	19418	 	OP	78724276
605463	2061	1998-04-09	VYDAJ	PREVOD NA UCET	675	19020	 	OP	78724276
605464	2061	1998-05-09	VYDAJ	PREVOD NA UCET	675	15513	 	OP	78724276
605465	2061	1998-06-09	VYDAJ	PREVOD NA UCET	675	16110	 	OP	78724276
605466	2061	1998-07-09	VYDAJ	PREVOD NA UCET	675	19606	 	OP	78724276
605467	2061	1998-08-09	VYDAJ	PREVOD NA UCET	675	16201	 	OP	78724276
605468	2061	1998-09-09	VYDAJ	PREVOD NA UCET	675	14876	 	OP	78724276
605469	2061	1998-10-09	VYDAJ	PREVOD NA UCET	675	15166	 	OP	78724276
605470	2061	1998-11-09	VYDAJ	PREVOD NA UCET	675	14297	 	OP	78724276
605471	2061	1998-12-09	VYDAJ	PREVOD NA UCET	675	18584	 	OP	78724276
605479	2061	1994-01-28	VYDAJ	VYBER	6720	19617	\N	\N	\N
605481	2061	1996-01-26	VYDAJ	VYBER	6880	18694	\N	\N	\N
605483	2061	1998-01-26	VYDAJ	VYBER	5760	17228	\N	\N	\N
605484	2061	1993-12-30	VYDAJ	VYBER	3200	26692	\N	\N	\N
605485	2061	1994-12-09	VYDAJ	VYBER	3680	14402	\N	\N	\N
605486	2061	1995-12-12	VYDAJ	VYBER	3040	23835	\N	\N	\N
605487	2061	1996-12-05	VYDAJ	VYBER	4160	21849	\N	\N	\N
605488	2061	1997-12-19	VYDAJ	VYBER	3200	20082	\N	\N	\N
605489	2061	1998-12-27	VYDAJ	VYBER	1760	21196	\N	\N	\N
605492	2061	1994-11-27	VYDAJ	VYBER	5760	16201	\N	\N	\N
605493	2061	1994-07-10	VYDAJ	VYBER	5040	20470	\N	\N	\N
605494	2061	1994-03-22	VYDAJ	VYBER	4800	18830	\N	\N	\N
605495	2061	1994-03-02	VYDAJ	VYBER	2520	18795	\N	\N	\N
605496	2061	1994-02-07	VYDAJ	VYBER	3000	19909	\N	\N	\N
605497	2061	1995-04-25	VYDAJ	VYBER	2880	18662	\N	\N	\N
605498	2061	1995-06-27	VYDAJ	VYBER	2400	23073	\N	\N	\N
605499	2061	1995-11-27	VYDAJ	VYBER	4920	23041	\N	\N	\N
605500	2061	1995-09-12	VYDAJ	VYBER	3840	24609	\N	\N	\N
605501	2061	1996-12-21	VYDAJ	VYBER	3120	22066	\N	\N	\N
605502	2061	1996-12-23	VYDAJ	VYBER	4680	15786	\N	\N	\N
605503	2061	1996-02-05	VYDAJ	VYBER	3360	15022	\N	\N	\N
605504	2061	1996-01-25	VYDAJ	VYBER	1680	25574	\N	\N	\N
605506	2061	1997-04-15	VYDAJ	VYBER	3000	14857	\N	\N	\N
605508	2061	1998-08-14	VYDAJ	VYBER	720	17491	\N	\N	\N
605509	2061	1998-12-11	VYDAJ	VYBER	4800	16956	\N	\N	\N
605510	2061	1998-10-19	VYDAJ	VYBER	1560	16910	\N	\N	\N
605512	2061	1998-12-11	VYDAJ	VYBER	840	21756	\N	\N	\N
605526	2061	1993-10-31	VYDAJ	VYBER	15	33502	SLUZBY	\N	\N
605527	2061	1993-11-30	VYDAJ	VYBER	15	31855	SLUZBY	\N	\N
605528	2061	1993-12-31	VYDAJ	VYBER	15	26802	SLUZBY	\N	\N
605529	2061	1994-01-31	VYDAJ	VYBER	15	19709	SLUZBY	\N	\N
605530	2061	1994-02-28	VYDAJ	VYBER	15	21315	SLUZBY	\N	\N
605531	2061	1994-03-31	VYDAJ	VYBER	15	18905	SLUZBY	\N	\N
605532	2061	1994-04-30	VYDAJ	VYBER	15	22112	SLUZBY	\N	\N
605533	2061	1994-05-31	VYDAJ	VYBER	15	26537	SLUZBY	\N	\N
605534	2061	1994-06-30	VYDAJ	VYBER	15	29879	SLUZBY	\N	\N
605535	2061	1994-07-31	VYDAJ	VYBER	15	24566	SLUZBY	\N	\N
605536	2061	1994-08-31	VYDAJ	VYBER	15	23986	SLUZBY	\N	\N
605537	2061	1994-09-30	VYDAJ	VYBER	15	24908	SLUZBY	\N	\N
605538	2061	1994-10-31	VYDAJ	VYBER	15	23326	SLUZBY	\N	\N
605539	2061	1994-11-30	VYDAJ	VYBER	15	16276	SLUZBY	\N	\N
605540	2061	1994-12-31	VYDAJ	VYBER	15	19795	SLUZBY	\N	\N
605541	2061	1995-01-31	VYDAJ	VYBER	15	19495	SLUZBY	\N	\N
605542	2061	1995-02-28	VYDAJ	VYBER	15	21501	SLUZBY	\N	\N
605543	2061	1995-03-31	VYDAJ	VYBER	15	20407	SLUZBY	\N	\N
605544	2061	1995-04-30	VYDAJ	VYBER	15	18732	SLUZBY	\N	\N
605545	2061	1995-05-31	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
605546	2061	1995-06-30	VYDAJ	VYBER	15	23156	SLUZBY	\N	\N
605547	2061	1995-07-31	VYDAJ	VYBER	15	26680	SLUZBY	\N	\N
605548	2061	1995-08-31	VYDAJ	VYBER	15	27114	SLUZBY	\N	\N
605549	2061	1995-09-30	VYDAJ	VYBER	15	24999	SLUZBY	\N	\N
605550	2061	1995-10-31	VYDAJ	VYBER	15	26626	SLUZBY	\N	\N
605551	2061	1995-11-30	VYDAJ	VYBER	15	23538	SLUZBY	\N	\N
605552	2061	1995-12-31	VYDAJ	VYBER	15	25919	SLUZBY	\N	\N
605553	2061	1996-01-31	VYDAJ	VYBER	15	18382	SLUZBY	\N	\N
605554	2061	1996-02-29	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
605555	2061	1996-03-31	VYDAJ	VYBER	15	19808	SLUZBY	\N	\N
605556	2061	1996-04-30	VYDAJ	VYBER	15	22213	SLUZBY	\N	\N
605557	2061	1996-05-31	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
605558	2061	1996-06-30	VYDAJ	VYBER	15	25156	SLUZBY	\N	\N
605559	2061	1996-07-31	VYDAJ	VYBER	15	25282	SLUZBY	\N	\N
605560	2061	1996-08-31	VYDAJ	VYBER	15	26409	SLUZBY	\N	\N
605561	2061	1996-09-30	VYDAJ	VYBER	15	28442	SLUZBY	\N	\N
605562	2061	1996-10-31	VYDAJ	VYBER	15	26279	SLUZBY	\N	\N
605563	2061	1996-11-30	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
605564	2061	1996-12-31	VYDAJ	VYBER	15	15862	SLUZBY	\N	\N
605565	2061	1997-01-31	VYDAJ	VYBER	15	16650	SLUZBY	\N	\N
605566	2061	1997-02-28	VYDAJ	VYBER	15	14937	SLUZBY	\N	\N
605567	2061	1997-03-31	VYDAJ	VYBER	15	16522	SLUZBY	\N	\N
605568	2061	1997-04-30	VYDAJ	VYBER	15	15106	SLUZBY	\N	\N
605569	2061	1997-05-31	VYDAJ	VYBER	15	16491	SLUZBY	\N	\N
605570	2061	1997-06-30	VYDAJ	VYBER	15	15983	SLUZBY	\N	\N
605571	2061	1997-07-31	VYDAJ	VYBER	15	12764	SLUZBY	\N	\N
605572	2061	1997-08-31	VYDAJ	VYBER	15	16042	SLUZBY	\N	\N
605573	2061	1997-09-30	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
605574	2061	1997-10-31	VYDAJ	VYBER	15	21638	SLUZBY	\N	\N
605575	2061	1997-11-30	VYDAJ	VYBER	15	20845	SLUZBY	\N	\N
605576	2061	1997-12-31	VYDAJ	VYBER	15	20153	SLUZBY	\N	\N
605577	2061	1998-01-31	VYDAJ	VYBER	15	17298	SLUZBY	\N	\N
605578	2061	1998-02-28	VYDAJ	VYBER	15	20093	SLUZBY	\N	\N
605579	2061	1998-03-31	VYDAJ	VYBER	15	19695	SLUZBY	\N	\N
605580	2061	1998-04-30	VYDAJ	VYBER	15	16188	SLUZBY	\N	\N
605581	2061	1998-05-31	VYDAJ	VYBER	15	18779	SLUZBY	\N	\N
605582	2061	1998-06-30	VYDAJ	VYBER	15	20281	SLUZBY	\N	\N
605583	2061	1998-07-31	VYDAJ	VYBER	15	16876	SLUZBY	\N	\N
605584	2061	1998-08-31	VYDAJ	VYBER	15	17545	SLUZBY	\N	\N
605585	2061	1998-09-30	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
605586	2061	1998-10-31	VYDAJ	VYBER	15	16966	SLUZBY	\N	\N
605587	2061	1998-11-30	VYDAJ	VYBER	15	19259	SLUZBY	\N	\N
605588	2061	1993-06-11	PRIJEM	VKLAD	11600	17806	\N	\N	\N
605589	2061	1993-07-11	PRIJEM	VKLAD	400	22260	\N	\N	\N
605590	2061	1993-08-10	VYDAJ	VYBER	400	21946	\N	\N	\N
605591	2061	1993-09-09	PRIJEM	VKLAD	200	26253	\N	\N	\N
605592	2061	1993-10-09	VYDAJ	VYBER	1000	29378	\N	\N	\N
605593	2061	1993-11-08	VYDAJ	VYBER	3100	30402	\N	\N	\N
605594	2061	1993-12-08	VYDAJ	VYBER	5300	26555	\N	\N	\N
605595	2061	1994-01-07	VYDAJ	VYBER	1800	25002	\N	\N	\N
605596	2061	1994-02-06	PRIJEM	VKLAD	3200	22909	\N	\N	\N
605597	2061	1994-03-08	PRIJEM	VKLAD	3500	22295	\N	\N	\N
605598	2061	1994-04-07	PRIJEM	VKLAD	1800	20705	\N	\N	\N
605599	2061	1994-05-07	PRIJEM	VKLAD	3000	25112	\N	\N	\N
605600	2061	1994-06-06	VYDAJ	VYBER	100	26437	\N	\N	\N
605601	2061	1994-07-06	VYDAJ	VYBER	1700	28179	\N	\N	\N
605602	2061	1994-08-05	VYDAJ	VYBER	2000	22566	\N	\N	\N
605603	2061	1994-09-04	VYDAJ	VYBER	500	23486	\N	\N	\N
605604	2061	1994-10-04	VYDAJ	VYBER	3000	21908	\N	\N	\N
605605	2061	1994-11-03	VYDAJ	VYBER	2700	20626	\N	\N	\N
605606	2061	1994-12-03	PRIJEM	VKLAD	3800	20076	\N	\N	\N
605607	2061	1995-01-02	VYDAJ	VYBER	1700	18095	\N	\N	\N
605608	2061	1995-02-01	PRIJEM	VKLAD	600	20095	\N	\N	\N
605609	2061	1995-03-03	VYDAJ	VYBER	2500	19001	\N	\N	\N
605610	2061	1995-04-02	VYDAJ	VYBER	200	20207	\N	\N	\N
605611	2061	1995-05-02	PRIJEM	VKLAD	800	19532	\N	\N	\N
605612	2061	1995-06-01	PRIJEM	VKLAD	1200	22136	\N	\N	\N
605613	2061	1995-07-01	PRIJEM	VKLAD	1200	24356	\N	\N	\N
605614	2061	1995-07-31	PRIJEM	VKLAD	900	26591	\N	\N	\N
605615	2061	1995-08-30	VYDAJ	VYBER	1000	27015	\N	\N	\N
605616	2061	1995-09-29	PRIJEM	VKLAD	300	24909	\N	\N	\N
605617	2061	1995-10-29	PRIJEM	VKLAD	200	26534	\N	\N	\N
605618	2061	1995-11-28	PRIJEM	VKLAD	400	23441	\N	\N	\N
605619	2061	1995-12-28	PRIJEM	VKLAD	2000	25835	\N	\N	\N
605620	2061	1996-01-27	VYDAJ	VYBER	400	18294	\N	\N	\N
605621	2061	1996-02-26	PRIJEM	VKLAD	900	17257	\N	\N	\N
605622	2061	1996-03-27	PRIJEM	VKLAD	1100	19747	\N	\N	\N
605623	2061	1996-04-26	PRIJEM	VKLAD	1000	22143	\N	\N	\N
605624	2061	1996-05-26	PRIJEM	VKLAD	200	23748	\N	\N	\N
605625	2061	1996-06-25	VYDAJ	VYBER	2100	25065	\N	\N	\N
605626	2061	1996-07-25	VYDAJ	VYBER	1300	25191	\N	\N	\N
605627	2061	1996-08-24	VYDAJ	VYBER	300	26317	\N	\N	\N
605628	2061	1996-09-23	PRIJEM	VKLAD	600	28344	\N	\N	\N
605629	2061	1996-10-23	VYDAJ	VYBER	3600	26177	\N	\N	\N
605630	2061	1996-11-22	VYDAJ	VYBER	1700	25914	\N	\N	\N
605631	2061	1996-12-22	VYDAJ	VYBER	1600	20466	\N	\N	\N
605632	2061	1997-01-21	VYDAJ	VYBER	600	16597	\N	\N	\N
605633	2061	1997-02-20	VYDAJ	VYBER	3100	14885	\N	\N	\N
605634	2061	1997-03-22	PRIJEM	VKLAD	200	16472	\N	\N	\N
605635	2061	1997-04-21	PRIJEM	VKLAD	200	15057	\N	\N	\N
605636	2061	1997-06-20	VYDAJ	VYBER	3900	15928	\N	\N	\N
605637	2061	1997-07-20	VYDAJ	VYBER	4600	12718	\N	\N	\N
605638	2061	1997-08-19	PRIJEM	VKLAD	1900	15999	\N	\N	\N
605639	2061	1997-09-18	PRIJEM	VKLAD	1900	19277	\N	\N	\N
605640	2061	1997-10-18	PRIJEM	VKLAD	900	21570	\N	\N	\N
605641	2061	1997-11-17	VYDAJ	VYBER	2200	20773	\N	\N	\N
605642	2061	1997-12-17	VYDAJ	VYBER	900	23282	\N	\N	\N
605643	2061	1998-01-16	PRIJEM	VKLAD	1500	22988	\N	\N	\N
605644	2061	1998-02-15	PRIJEM	VKLAD	1400	20033	\N	\N	\N
605645	2061	1998-03-17	VYDAJ	VYBER	1800	19628	\N	\N	\N
605646	2061	1998-04-16	VYDAJ	VYBER	4900	16130	\N	\N	\N
605647	2061	1998-05-16	PRIJEM	VKLAD	1200	18723	\N	\N	\N
605648	2061	1998-06-15	VYDAJ	VYBER	1900	20216	\N	\N	\N
605649	2061	1998-07-15	VYDAJ	VYBER	4800	16816	\N	\N	\N
605650	2061	1998-09-13	VYDAJ	VYBER	1100	17780	\N	\N	\N
605651	2061	1998-10-13	VYDAJ	VYBER	700	18470	\N	\N	\N
605652	2061	1998-11-12	PRIJEM	VKLAD	900	19201	\N	\N	\N
605653	2061	1998-12-12	PRIJEM	VKLAD	6000	22956	\N	\N	\N
605721	2062	1996-03-06	PRIJEM	VKLAD	300	300	\N	\N	\N
605724	2062	1996-03-14	PRIJEM	PREVOD Z UCTU	43095	43395	\N	EF	10179949
605725	2062	1996-04-14	PRIJEM	PREVOD Z UCTU	43095	74895	\N	EF	10179949
605726	2062	1996-05-14	PRIJEM	PREVOD Z UCTU	43095	94245	\N	EF	10179949
605727	2062	1996-06-14	PRIJEM	PREVOD Z UCTU	64642	128146	\N	EF	10179949
605728	2062	1996-07-14	PRIJEM	PREVOD Z UCTU	43095	98395	\N	EF	10179949
605729	2062	1996-08-14	PRIJEM	PREVOD Z UCTU	43095	97706	\N	EF	10179949
605730	2062	1996-09-14	PRIJEM	PREVOD Z UCTU	43095	71895	\N	EF	10179949
605731	2062	1996-10-14	PRIJEM	PREVOD Z UCTU	43095	65107	\N	EF	10179949
605732	2062	1996-11-14	PRIJEM	PREVOD Z UCTU	43095	64048	\N	EF	10179949
605733	2062	1996-12-14	PRIJEM	PREVOD Z UCTU	64642	83220	\N	EF	10179949
605734	2062	1997-01-14	PRIJEM	PREVOD Z UCTU	43095	62440	\N	EF	10179949
605735	2062	1997-02-14	PRIJEM	PREVOD Z UCTU	43095	60127	\N	EF	10179949
605736	2062	1997-03-14	PRIJEM	PREVOD Z UCTU	43095	62571	\N	EF	10179949
605737	2062	1997-04-14	PRIJEM	PREVOD Z UCTU	43095	75436	\N	EF	10179949
605738	2062	1997-05-14	PRIJEM	PREVOD Z UCTU	43095	83964	\N	EF	10179949
605739	2062	1997-06-14	PRIJEM	PREVOD Z UCTU	64642	87460	\N	EF	10179949
605740	2062	1997-07-14	PRIJEM	PREVOD Z UCTU	43095	62184	\N	EF	10179949
605741	2062	1997-08-14	PRIJEM	PREVOD Z UCTU	43095	76729	\N	EF	10179949
605742	2062	1997-09-14	PRIJEM	PREVOD Z UCTU	43095	84829	\N	EF	10179949
605743	2062	1997-10-14	PRIJEM	PREVOD Z UCTU	43095	60994	\N	EF	10179949
605744	2062	1997-11-14	PRIJEM	PREVOD Z UCTU	43095	79324	\N	EF	10179949
605745	2062	1997-12-14	PRIJEM	PREVOD Z UCTU	64642	117158	\N	EF	10179949
605746	2062	1998-01-14	PRIJEM	PREVOD Z UCTU	43095	54925	\N	EF	10179949
605747	2062	1998-02-14	PRIJEM	PREVOD Z UCTU	43095	65882	\N	EF	10179949
605748	2062	1998-03-14	PRIJEM	PREVOD Z UCTU	43095	55291	\N	EF	10179949
605749	2062	1998-04-14	PRIJEM	PREVOD Z UCTU	43095	65199	\N	EF	10179949
605750	2062	1998-05-14	PRIJEM	PREVOD Z UCTU	43095	84110	\N	EF	10179949
605751	2062	1998-06-14	PRIJEM	PREVOD Z UCTU	64642	112945	\N	EF	10179949
605752	2062	1998-07-14	PRIJEM	PREVOD Z UCTU	43095	72685	\N	EF	10179949
605753	2062	1998-08-14	PRIJEM	PREVOD Z UCTU	43095	65442	\N	EF	10179949
605754	2062	1998-09-14	PRIJEM	PREVOD Z UCTU	43095	83357	\N	EF	10179949
605755	2062	1998-10-14	PRIJEM	PREVOD Z UCTU	43095	80318	\N	EF	10179949
605756	2062	1998-11-14	PRIJEM	PREVOD Z UCTU	43095	79543	\N	EF	10179949
605757	2062	1998-12-14	PRIJEM	PREVOD Z UCTU	64642	97553	\N	EF	10179949
605765	2062	1996-08-19	VYDAJ	VYBER	7300	90406	\N	\N	0
605766	2062	1996-09-11	VYDAJ	VYBER	7600	28800	\N	\N	0
605767	2062	1996-10-25	VYDAJ	VYBER	7100	58007	\N	\N	0
605768	2062	1996-11-12	VYDAJ	PREVOD NA UCET	7183	20953	UVER	QR	97387158
605769	2062	1996-12-12	VYDAJ	PREVOD NA UCET	7183	18578	UVER	QR	97387158
605770	2062	1997-01-12	VYDAJ	PREVOD NA UCET	7183	19345	UVER	QR	97387158
605771	2062	1997-02-12	VYDAJ	PREVOD NA UCET	7183	17032	UVER	QR	97387158
605772	2062	1997-03-12	VYDAJ	PREVOD NA UCET	7183	19476	UVER	QR	97387158
605773	2062	1997-04-12	VYDAJ	PREVOD NA UCET	7183	32341	UVER	QR	97387158
605774	2062	1997-05-12	VYDAJ	PREVOD NA UCET	7183	40869	UVER	QR	97387158
605775	2062	1997-06-12	VYDAJ	PREVOD NA UCET	7183	22818	UVER	QR	97387158
605776	2062	1997-07-12	VYDAJ	PREVOD NA UCET	7183	19089	UVER	QR	97387158
605777	2062	1997-08-12	VYDAJ	PREVOD NA UCET	7183	33634	UVER	QR	97387158
605778	2062	1997-09-12	VYDAJ	PREVOD NA UCET	7183	41734	UVER	QR	97387158
605779	2062	1997-10-12	VYDAJ	PREVOD NA UCET	7183	17899	UVER	QR	97387158
605780	2062	1997-11-10	VYDAJ	VYBER	8200	36336	\N	\N	0
605781	2062	1997-12-17	VYDAJ	VYBER	9200	61258	\N	\N	0
605782	2062	1998-01-03	VYDAJ	VYBER	6200	15073	\N	\N	0
605783	2062	1998-02-16	VYDAJ	VYBER	5500	60382	\N	\N	0
605784	2062	1998-03-06	VYDAJ	VYBER	9100	35205	\N	\N	0
605785	2062	1998-04-20	VYDAJ	VYBER	9500	55699	\N	\N	0
605786	2062	1998-05-25	VYDAJ	VYBER	6300	51310	\N	\N	0
605787	2062	1998-06-22	VYDAJ	VYBER	6600	79945	\N	\N	0
605788	2062	1998-07-15	VYDAJ	VYBER	7800	64885	\N	\N	0
605789	2062	1998-07-28	VYDAJ	VYBER	7800	34085	\N	\N	0
605790	2062	1998-09-21	VYDAJ	VYBER	5400	77957	\N	\N	0
605791	2062	1998-10-01	VYDAJ	VYBER	4800	40466	\N	\N	0
605792	2062	1998-11-12	VYDAJ	VYBER	6400	36448	\N	\N	0
605793	2062	1998-12-20	VYDAJ	VYBER	9100	86053	\N	\N	0
605801	2062	1996-08-10	VYDAJ	PREVOD NA UCET	107	54611	SIPO	ST	30643040
605802	2062	1996-09-10	VYDAJ	PREVOD NA UCET	107	36400	SIPO	ST	30643040
605803	2062	1996-10-10	VYDAJ	PREVOD NA UCET	107	22012	SIPO	ST	30643040
605804	2062	1996-11-10	VYDAJ	PREVOD NA UCET	107	28135	SIPO	ST	30643040
605805	2062	1996-12-10	VYDAJ	PREVOD NA UCET	107	25760	SIPO	ST	30643040
605806	2062	1997-01-10	VYDAJ	PREVOD NA UCET	107	26527	SIPO	ST	30643040
605807	2062	1997-02-10	VYDAJ	PREVOD NA UCET	107	24215	SIPO	ST	30643040
605808	2062	1997-03-10	VYDAJ	PREVOD NA UCET	107	30310	SIPO	ST	30643040
605809	2062	1997-04-10	VYDAJ	PREVOD NA UCET	107	39523	SIPO	ST	30643040
605810	2062	1997-05-10	VYDAJ	PREVOD NA UCET	107	48051	SIPO	ST	30643040
605811	2062	1997-06-10	VYDAJ	PREVOD NA UCET	107	30001	SIPO	ST	30643040
605812	2062	1997-07-10	VYDAJ	PREVOD NA UCET	107	26271	SIPO	ST	30643040
605813	2062	1997-08-10	VYDAJ	PREVOD NA UCET	107	40816	SIPO	ST	30643040
605814	2062	1997-09-10	VYDAJ	PREVOD NA UCET	107	48916	SIPO	ST	30643040
605815	2062	1997-10-10	VYDAJ	PREVOD NA UCET	107	25081	SIPO	ST	30643040
605816	2062	1997-11-10	VYDAJ	PREVOD NA UCET	107	36229	SIPO	ST	30643040
605817	2062	1997-12-10	VYDAJ	PREVOD NA UCET	107	52516	SIPO	ST	30643040
605818	2062	1998-01-10	VYDAJ	PREVOD NA UCET	107	11830	SIPO	ST	30643040
605819	2062	1998-02-10	VYDAJ	PREVOD NA UCET	107	22787	SIPO	ST	30643040
605820	2062	1998-03-10	VYDAJ	PREVOD NA UCET	107	35098	SIPO	ST	30643040
605821	2062	1998-04-10	VYDAJ	PREVOD NA UCET	107	22104	SIPO	ST	30643040
605822	2062	1998-05-10	VYDAJ	PREVOD NA UCET	107	41015	SIPO	ST	30643040
605823	2062	1998-06-10	VYDAJ	PREVOD NA UCET	107	48303	SIPO	ST	30643040
605824	2062	1998-07-10	VYDAJ	PREVOD NA UCET	107	29590	SIPO	ST	30643040
605825	2062	1998-08-10	VYDAJ	PREVOD NA UCET	107	22347	SIPO	ST	30643040
605826	2062	1998-09-10	VYDAJ	PREVOD NA UCET	107	40262	SIPO	ST	30643040
605827	2062	1998-10-10	VYDAJ	PREVOD NA UCET	107	37223	SIPO	ST	30643040
605828	2062	1998-11-10	VYDAJ	PREVOD NA UCET	107	42848	SIPO	ST	30643040
605829	2062	1998-12-10	VYDAJ	PREVOD NA UCET	107	46711	SIPO	ST	30643040
605837	2062	1996-08-05	VYDAJ	PREVOD NA UCET	3136	54718	 	YZ	28156739
605838	2062	1996-09-05	VYDAJ	PREVOD NA UCET	3136	36507	 	YZ	28156739
605839	2062	1996-10-05	VYDAJ	PREVOD NA UCET	3136	43159	 	YZ	28156739
605840	2062	1996-11-05	VYDAJ	PREVOD NA UCET	3136	30517	 	YZ	28156739
605841	2062	1996-12-05	VYDAJ	PREVOD NA UCET	3136	25867	 	YZ	28156739
605842	2062	1997-01-05	VYDAJ	PREVOD NA UCET	3136	49434	 	YZ	28156739
605843	2062	1997-02-05	VYDAJ	PREVOD NA UCET	3136	24322	 	YZ	28156739
605844	2062	1997-03-05	VYDAJ	PREVOD NA UCET	3136	30417	 	YZ	28156739
605845	2062	1997-04-05	VYDAJ	PREVOD NA UCET	3136	39630	 	YZ	28156739
605846	2062	1997-05-05	VYDAJ	PREVOD NA UCET	3136	48158	 	YZ	28156739
605847	2062	1997-06-05	VYDAJ	PREVOD NA UCET	3136	30108	 	YZ	28156739
605848	2062	1997-07-05	VYDAJ	PREVOD NA UCET	3136	26378	 	YZ	28156739
605849	2062	1997-08-05	VYDAJ	PREVOD NA UCET	3136	40923	 	YZ	28156739
605850	2062	1997-09-05	VYDAJ	PREVOD NA UCET	3136	49023	 	YZ	28156739
605851	2062	1997-10-05	VYDAJ	PREVOD NA UCET	3136	38388	 	YZ	28156739
605852	2062	1997-11-05	VYDAJ	PREVOD NA UCET	3136	44536	 	YZ	28156739
605853	2062	1997-12-05	VYDAJ	PREVOD NA UCET	3136	52623	 	YZ	28156739
605854	2062	1998-01-05	VYDAJ	PREVOD NA UCET	3136	11937	 	YZ	28156739
605855	2062	1998-02-05	VYDAJ	PREVOD NA UCET	3136	22894	 	YZ	28156739
605856	2062	1998-03-05	VYDAJ	PREVOD NA UCET	3136	44305	 	YZ	28156739
605857	2062	1998-04-05	VYDAJ	PREVOD NA UCET	3136	22211	 	YZ	28156739
605858	2062	1998-05-05	VYDAJ	PREVOD NA UCET	3136	41122	 	YZ	28156739
605859	2062	1998-06-05	VYDAJ	PREVOD NA UCET	3136	48410	 	YZ	28156739
605860	2062	1998-07-05	VYDAJ	PREVOD NA UCET	3136	29697	 	YZ	28156739
605861	2062	1998-08-05	VYDAJ	PREVOD NA UCET	3136	22454	 	YZ	28156739
605862	2062	1998-09-05	VYDAJ	PREVOD NA UCET	3136	40369	 	YZ	28156739
605863	2062	1998-10-05	VYDAJ	PREVOD NA UCET	3136	37330	 	YZ	28156739
605864	2062	1998-11-05	VYDAJ	PREVOD NA UCET	3136	42955	 	YZ	28156739
605865	2062	1998-12-05	VYDAJ	PREVOD NA UCET	3136	46818	 	YZ	28156739
605867	2062	1996-11-06	VYBER	VYBER	2275	28242	\N	\N	\N
605869	2062	1996-12-19	VYBER	VYBER	10964	72256	\N	\N	\N
605873	2062	1996-08-30	VYBER	VYBER	21895	49048	\N	\N	\N
605875	2062	1996-10-08	VYBER	VYBER	21040	22119	\N	\N	\N
605877	2062	1996-10-28	VYBER	VYBER	18346	39661	\N	\N	\N
605878	2062	1996-12-02	VYBER	VYBER	21237	29003	\N	\N	\N
605879	2062	1996-08-26	VYBER	VYBER	19463	70943	\N	\N	\N
605880	2062	1997-02-14	VYBER	VYBER	16440	43687	\N	\N	\N
605881	2062	1997-05-18	VYBER	VYBER	10480	73484	\N	\N	\N
605883	2062	1997-05-24	VYBER	VYBER	15346	36739	\N	\N	\N
605884	2062	1997-09-30	VYBER	VYBER	14556	41539	\N	\N	\N
605885	2062	1997-05-21	VYBER	VYBER	21399	52085	\N	\N	\N
605887	2062	1997-01-18	VYBER	VYBER	10339	44301	\N	\N	\N
605888	2062	1997-03-12	VYBER	VYBER	3652	26658	\N	\N	\N
605890	2062	1998-03-15	VYBER	VYBER	15239	40052	\N	\N	\N
605893	2062	1998-12-25	VYBER	VYBER	14781	35572	\N	\N	\N
605894	2062	1998-03-11	VYBER	VYBER	22902	12196	\N	\N	\N
605895	2062	1998-03-22	VYBER	VYBER	4619	22833	\N	\N	\N
605896	2062	1998-07-03	VYBER	VYBER	18285	32833	\N	\N	\N
605897	2062	1998-08-05	VYBER	VYBER	8672	25590	\N	\N	\N
605898	2062	1998-10-24	VYBER	VYBER	5230	45888	\N	\N	\N
605901	2062	1997-06-19	VYDAJ	VYBER	55500	31960	\N	\N	\N
605904	2062	1997-01-10	VYDAJ	VYBER	14100	35334	\N	\N	\N
605905	2062	1998-01-01	VYDAJ	VYBER	9300	27873	\N	\N	\N
605907	2062	1997-12-30	VYDAJ	VYBER	4800	36958	\N	\N	\N
605908	2062	1998-12-20	VYDAJ	VYBER KARTOU	2400	95153	\N	\N	0
605915	2062	1997-01-28	VYDAJ	VYBER	1500	30201	\N	\N	\N
605916	2062	1997-01-16	VYDAJ	VYBER	7800	54640	\N	\N	\N
605917	2062	1997-01-23	VYDAJ	VYBER	6300	31701	\N	\N	\N
605918	2062	1997-01-29	VYDAJ	VYBER	3000	27201	\N	\N	\N
605919	2062	1997-01-10	VYDAJ	VYBER	8700	26634	\N	\N	\N
605920	2062	1997-01-20	VYDAJ	VYBER	2100	42201	\N	\N	\N
605921	2062	1998-01-18	VYDAJ	VYBER	2100	45625	\N	\N	\N
605922	2062	1998-01-19	VYDAJ	VYBER	7200	38425	\N	\N	\N
605923	2062	1998-01-28	VYDAJ	VYBER	6300	25925	\N	\N	\N
605924	2062	1998-01-02	VYDAJ	VYBER	1800	26073	\N	\N	\N
605925	2062	1998-01-03	VYDAJ	VYBER	4800	21273	\N	\N	\N
605926	2062	1998-01-16	VYDAJ	VYBER	7200	47725	\N	\N	\N
605928	2062	1996-09-18	VYDAJ	VYBER	14100	57795	\N	\N	\N
605931	2062	1996-08-03	VYDAJ	VYBER	8700	57854	\N	\N	\N
605934	2062	1997-01-22	VYDAJ	VYBER	4200	38001	\N	\N	\N
605935	2062	1997-09-14	VYDAJ	VYBER	3000	81829	\N	\N	\N
605936	2062	1997-03-31	VYDAJ	VYBER	9600	42766	\N	\N	\N
605937	2062	1997-10-07	VYDAJ	VYBER	13200	25188	\N	\N	\N
605938	2062	1998-12-13	VYDAJ	VYBER	13800	32911	\N	\N	\N
605939	2062	1998-05-19	VYDAJ	VYBER	1500	82610	\N	\N	\N
605941	2062	1998-03-17	VYDAJ	VYBER	12600	27452	\N	\N	\N
605949	2062	1996-07-31	VYDAJ	VYBER	15	98754	SLUZBY	\N	\N
605950	2062	1996-08-31	VYDAJ	VYBER	15	49343	SLUZBY	\N	\N
605951	2062	1996-09-30	VYDAJ	VYBER	15	57995	SLUZBY	\N	\N
605952	2062	1996-10-31	VYDAJ	VYBER	15	39853	SLUZBY	\N	\N
605953	2062	1996-11-30	VYDAJ	VYBER	15	64240	SLUZBY	\N	\N
605954	2062	1996-12-31	VYDAJ	VYBER	15	72470	SLUZBY	\N	\N
605955	2062	1997-01-31	VYDAJ	VYBER	15	27458	SLUZBY	\N	\N
605956	2062	1997-02-28	VYDAJ	VYBER	15	43853	SLUZBY	\N	\N
605957	2062	1997-03-31	VYDAJ	VYBER	15	62766	SLUZBY	\N	\N
605958	2062	1997-04-30	VYDAJ	VYBER	15	51294	SLUZBY	\N	\N
605959	2062	1997-05-31	VYDAJ	VYBER	15	33244	SLUZBY	\N	\N
605960	2062	1997-06-30	VYDAJ	VYBER	15	29514	SLUZBY	\N	\N
605961	2062	1997-07-31	VYDAJ	VYBER	15	44059	SLUZBY	\N	\N
605962	2062	1997-08-31	VYDAJ	VYBER	15	52159	SLUZBY	\N	\N
605963	2062	1997-09-30	VYDAJ	VYBER	15	41524	SLUZBY	\N	\N
605964	2062	1997-10-31	VYDAJ	VYBER	15	47672	SLUZBY	\N	\N
605965	2062	1997-11-30	VYDAJ	VYBER	15	55759	SLUZBY	\N	\N
605966	2062	1997-12-31	VYDAJ	VYBER	15	37173	SLUZBY	\N	\N
605967	2062	1998-01-31	VYDAJ	VYBER	15	26030	SLUZBY	\N	\N
605968	2062	1998-02-28	VYDAJ	VYBER	15	47441	SLUZBY	\N	\N
605969	2062	1998-03-31	VYDAJ	VYBER	15	25347	SLUZBY	\N	\N
605970	2062	1998-04-30	VYDAJ	VYBER	15	44258	SLUZBY	\N	\N
605971	2062	1998-05-31	VYDAJ	VYBER	15	51546	SLUZBY	\N	\N
605972	2062	1998-06-30	VYDAJ	VYBER	15	51118	SLUZBY	\N	\N
605973	2062	1998-07-31	VYDAJ	VYBER	15	34262	SLUZBY	\N	\N
605974	2062	1998-08-31	VYDAJ	VYBER	15	43505	SLUZBY	\N	\N
605975	2062	1998-09-30	VYDAJ	VYBER	15	45266	SLUZBY	\N	\N
605976	2062	1998-10-31	VYDAJ	VYBER	15	46091	SLUZBY	\N	\N
605977	2062	1998-11-30	VYDAJ	VYBER	15	49954	SLUZBY	\N	\N
605978	2062	1996-04-05	VYDAJ	VYBER	11700	31800	\N	\N	\N
605979	2062	1996-05-05	VYDAJ	VYBER	24000	51150	\N	\N	\N
605980	2062	1996-06-04	VYDAJ	VYBER	31100	63504	\N	\N	\N
605981	2062	1996-06-14	VYDAJ	VYBER	50500	77646	\N	\N	\N
605982	2062	1996-07-04	VYDAJ	VYBER	22700	55300	\N	\N	\N
605983	2062	1996-08-03	VYDAJ	VYBER	32200	66554	\N	\N	\N
605984	2062	1996-09-02	VYDAJ	VYBER	9700	39643	\N	\N	\N
605985	2062	1996-10-02	VYDAJ	VYBER	11700	46295	\N	\N	\N
605986	2062	1996-11-01	VYDAJ	VYBER	6200	33653	\N	\N	\N
605987	2062	1996-12-01	VYDAJ	VYBER	14000	50240	\N	\N	\N
605988	2062	1996-12-31	VYDAJ	VYBER	19900	52570	\N	\N	\N
605989	2062	1997-01-30	PRIJEM	VKLAD	100	27301	\N	\N	\N
605990	2062	1997-03-01	VYDAJ	VYBER	10300	33553	\N	\N	\N
605991	2062	1997-03-31	VYDAJ	VYBER	10400	52366	\N	\N	\N
605992	2062	1997-04-30	VYDAJ	VYBER	24400	51309	\N	\N	\N
605993	2062	1997-05-30	VYDAJ	VYBER	3700	33039	\N	\N	\N
605994	2062	1997-06-29	VYDAJ	VYBER	2600	29360	\N	\N	\N
605995	2062	1997-07-29	VYDAJ	VYBER	18300	43884	\N	\N	\N
605996	2062	1997-08-28	VYDAJ	VYBER	24800	51929	\N	\N	\N
605997	2062	1997-09-27	VYDAJ	VYBER	26000	55829	\N	\N	\N
605998	2062	1997-10-27	VYDAJ	VYBER	13500	47494	\N	\N	\N
605999	2062	1997-11-26	VYDAJ	VYBER	23800	55524	\N	\N	\N
606000	2062	1997-12-14	VYDAJ	VYBER	46700	70458	\N	\N	\N
606001	2062	1997-12-26	VYDAJ	VYBER	19500	41758	\N	\N	\N
606002	2062	1998-01-25	VYDAJ	VYBER	6200	32225	\N	\N	\N
606003	2062	1998-02-24	VYDAJ	VYBER	13100	47282	\N	\N	\N
606004	2062	1998-03-26	PRIJEM	VKLAD	2400	25233	\N	\N	\N
606005	2062	1998-04-25	VYDAJ	VYBER	11600	44099	\N	\N	\N
606006	2062	1998-05-25	VYDAJ	VYBER	25000	57610	\N	\N	\N
606007	2062	1998-06-14	VYDAJ	VYBER	26400	86545	\N	\N	\N
606008	2062	1998-06-24	VYDAJ	VYBER	29100	50845	\N	\N	\N
606009	2062	1998-07-24	VYDAJ	VYBER	23000	41885	\N	\N	\N
606010	2062	1998-08-23	VYDAJ	VYBER	22100	43342	\N	\N	\N
606011	2062	1998-09-22	VYDAJ	VYBER	32900	45057	\N	\N	\N
606012	2062	1998-10-22	VYDAJ	VYBER	29200	51118	\N	\N	\N
606013	2062	1998-11-21	VYDAJ	VYBER	29800	49743	\N	\N	\N
606014	2062	1998-12-21	VYDAJ	VYBER	35700	50353	\N	\N	\N
606049	2063	1993-12-04	PRIJEM	VKLAD	700	700	\N	\N	\N
606061	2063	1993-12-09	PRIJEM	PREVOD Z UCTU	5885	6585	DUCHOD	MN	52298969
606062	2063	1994-01-09	PRIJEM	PREVOD Z UCTU	5885	12490	DUCHOD	MN	52298969
606063	2063	1994-02-09	PRIJEM	PREVOD Z UCTU	5885	18403	DUCHOD	MN	52298969
606064	2063	1994-03-09	PRIJEM	PREVOD Z UCTU	5885	24315	DUCHOD	MN	52298969
606065	2063	1994-04-09	PRIJEM	PREVOD Z UCTU	5885	30028	DUCHOD	MN	52298969
606066	2063	1994-05-09	PRIJEM	PREVOD Z UCTU	5885	33651	DUCHOD	MN	52298969
606067	2063	1994-06-09	PRIJEM	PREVOD Z UCTU	5885	30959	DUCHOD	MN	52298969
606068	2063	1994-07-09	PRIJEM	PREVOD Z UCTU	5885	34807	DUCHOD	MN	52298969
606069	2063	1994-08-09	PRIJEM	PREVOD Z UCTU	5885	35270	DUCHOD	MN	52298969
606070	2063	1994-09-09	PRIJEM	PREVOD Z UCTU	5885	31739	DUCHOD	MN	52298969
606071	2063	1994-10-09	PRIJEM	PREVOD Z UCTU	5885	34797	DUCHOD	MN	52298969
606072	2063	1994-11-09	PRIJEM	PREVOD Z UCTU	5885	34857	DUCHOD	MN	52298969
606073	2063	1994-12-09	PRIJEM	PREVOD Z UCTU	5885	32414	DUCHOD	MN	52298969
606074	2063	1995-01-09	PRIJEM	PREVOD Z UCTU	5885	27625	DUCHOD	MN	52298969
606075	2063	1995-02-09	PRIJEM	PREVOD Z UCTU	5885	29456	DUCHOD	MN	52298969
606076	2063	1995-03-09	PRIJEM	PREVOD Z UCTU	5885	28493	DUCHOD	MN	52298969
606077	2063	1995-04-09	PRIJEM	PREVOD Z UCTU	5885	28727	DUCHOD	MN	52298969
606078	2063	1995-05-09	PRIJEM	PREVOD Z UCTU	5885	31162	DUCHOD	MN	52298969
606079	2063	1995-06-09	PRIJEM	PREVOD Z UCTU	5885	30706	DUCHOD	MN	52298969
606080	2063	1995-07-09	PRIJEM	PREVOD Z UCTU	5885	26744	DUCHOD	MN	52298969
606081	2063	1995-08-09	PRIJEM	PREVOD Z UCTU	5885	25630	DUCHOD	MN	52298969
606082	2063	1995-09-09	PRIJEM	PREVOD Z UCTU	5885	24762	DUCHOD	MN	52298969
606083	2063	1995-10-09	PRIJEM	PREVOD Z UCTU	5885	26179	DUCHOD	MN	52298969
606084	2063	1995-11-09	PRIJEM	PREVOD Z UCTU	5885	30604	DUCHOD	MN	52298969
606085	2063	1995-12-09	PRIJEM	PREVOD Z UCTU	5885	34347	DUCHOD	MN	52298969
606086	2063	1996-01-09	PRIJEM	PREVOD Z UCTU	5885	29249	DUCHOD	MN	52298969
606087	2063	1996-02-09	PRIJEM	PREVOD Z UCTU	5885	31186	DUCHOD	MN	52298969
606088	2063	1996-03-09	PRIJEM	PREVOD Z UCTU	5885	34631	DUCHOD	MN	52298969
606089	2063	1996-04-09	PRIJEM	PREVOD Z UCTU	5885	32085	DUCHOD	MN	52298969
606090	2063	1996-05-09	PRIJEM	PREVOD Z UCTU	5885	31247	DUCHOD	MN	52298969
606091	2063	1996-06-09	PRIJEM	PREVOD Z UCTU	5885	33891	DUCHOD	MN	52298969
606092	2063	1996-07-09	PRIJEM	PREVOD Z UCTU	5885	34591	DUCHOD	MN	52298969
606093	2063	1996-08-09	PRIJEM	PREVOD Z UCTU	5885	35045	DUCHOD	MN	52298969
606094	2063	1996-09-09	PRIJEM	PREVOD Z UCTU	5885	36202	DUCHOD	MN	52298969
606095	2063	1996-10-09	PRIJEM	PREVOD Z UCTU	5885	34238	DUCHOD	MN	52298969
606096	2063	1996-11-09	PRIJEM	PREVOD Z UCTU	5885	34690	DUCHOD	MN	52298969
606097	2063	1996-12-09	PRIJEM	PREVOD Z UCTU	5885	36948	DUCHOD	MN	52298969
606098	2063	1997-01-09	PRIJEM	PREVOD Z UCTU	5885	38914	DUCHOD	MN	52298969
606099	2063	1997-02-09	PRIJEM	PREVOD Z UCTU	5885	36676	DUCHOD	MN	52298969
606100	2063	1997-03-09	PRIJEM	PREVOD Z UCTU	5885	40843	DUCHOD	MN	52298969
606101	2063	1997-04-09	PRIJEM	PREVOD Z UCTU	5885	35971	DUCHOD	MN	52298969
606102	2063	1997-05-09	PRIJEM	PREVOD Z UCTU	5885	40436	DUCHOD	MN	52298969
606103	2063	1997-06-09	PRIJEM	PREVOD Z UCTU	5885	41713	DUCHOD	MN	52298969
606104	2063	1997-07-09	PRIJEM	PREVOD Z UCTU	5885	39789	DUCHOD	MN	52298969
606105	2063	1997-08-09	PRIJEM	PREVOD Z UCTU	5885	43969	DUCHOD	MN	52298969
606106	2063	1997-09-09	PRIJEM	PREVOD Z UCTU	5885	46062	DUCHOD	MN	52298969
606107	2063	1997-10-09	PRIJEM	PREVOD Z UCTU	5885	47722	DUCHOD	MN	52298969
606108	2063	1997-11-09	PRIJEM	PREVOD Z UCTU	5885	47625	DUCHOD	MN	52298969
606109	2063	1997-12-09	PRIJEM	PREVOD Z UCTU	5885	46210	DUCHOD	MN	52298969
606110	2063	1998-01-09	PRIJEM	PREVOD Z UCTU	5885	50016	DUCHOD	MN	52298969
606111	2063	1998-02-09	PRIJEM	PREVOD Z UCTU	5885	45120	DUCHOD	MN	52298969
606112	2063	1998-03-09	PRIJEM	PREVOD Z UCTU	5885	48724	DUCHOD	MN	52298969
606113	2063	1998-04-09	PRIJEM	PREVOD Z UCTU	5885	49833	DUCHOD	MN	52298969
606114	2063	1998-05-09	PRIJEM	PREVOD Z UCTU	5885	53853	DUCHOD	MN	52298969
606115	2063	1998-06-09	PRIJEM	PREVOD Z UCTU	5885	51760	DUCHOD	MN	52298969
606116	2063	1998-07-09	PRIJEM	PREVOD Z UCTU	5885	52284	DUCHOD	MN	52298969
606117	2063	1998-08-09	PRIJEM	PREVOD Z UCTU	5885	51102	DUCHOD	MN	52298969
606118	2063	1998-09-09	PRIJEM	PREVOD Z UCTU	5885	50616	DUCHOD	MN	52298969
606119	2063	1998-10-09	PRIJEM	PREVOD Z UCTU	5885	50227	DUCHOD	MN	52298969
606120	2063	1998-11-09	PRIJEM	PREVOD Z UCTU	5885	39927	DUCHOD	MN	52298969
606121	2063	1998-12-09	PRIJEM	PREVOD Z UCTU	5885	44411	DUCHOD	MN	52298969
606137	2063	1994-04-10	VYDAJ	PREVOD NA UCET	1542	28486	SIPO	YZ	7305825
606138	2063	1994-05-10	VYDAJ	PREVOD NA UCET	1542	32109	SIPO	YZ	7305825
606139	2063	1994-06-10	VYDAJ	PREVOD NA UCET	1542	29417	SIPO	YZ	7305825
606140	2063	1994-07-10	VYDAJ	PREVOD NA UCET	1542	33265	SIPO	YZ	7305825
606141	2063	1994-08-10	VYDAJ	PREVOD NA UCET	1542	33728	SIPO	YZ	7305825
606142	2063	1994-09-10	VYDAJ	PREVOD NA UCET	1542	30197	SIPO	YZ	7305825
606143	2063	1994-10-10	VYDAJ	PREVOD NA UCET	1542	33255	SIPO	YZ	7305825
606144	2063	1994-11-10	VYDAJ	PREVOD NA UCET	1542	33315	SIPO	YZ	7305825
606145	2063	1994-12-10	VYDAJ	PREVOD NA UCET	1542	28392	SIPO	YZ	7305825
606146	2063	1995-01-10	VYDAJ	PREVOD NA UCET	1542	26083	SIPO	YZ	7305825
606147	2063	1995-02-10	VYDAJ	PREVOD NA UCET	1542	27914	SIPO	YZ	7305825
606148	2063	1995-03-10	VYDAJ	PREVOD NA UCET	1542	26951	SIPO	YZ	7305825
606149	2063	1995-04-10	VYDAJ	PREVOD NA UCET	1542	27185	SIPO	YZ	7305825
606150	2063	1995-05-10	VYDAJ	PREVOD NA UCET	1542	29620	SIPO	YZ	7305825
606151	2063	1995-06-10	VYDAJ	PREVOD NA UCET	1542	26924	SIPO	YZ	7305825
606152	2063	1995-07-10	VYDAJ	PREVOD NA UCET	1542	25202	SIPO	YZ	7305825
606153	2063	1995-08-10	VYDAJ	PREVOD NA UCET	1542	24088	SIPO	YZ	7305825
606154	2063	1995-09-10	VYDAJ	PREVOD NA UCET	1542	23220	SIPO	YZ	7305825
606155	2063	1995-10-10	VYDAJ	PREVOD NA UCET	1542	24637	SIPO	YZ	7305825
606156	2063	1995-11-10	VYDAJ	PREVOD NA UCET	1542	29062	SIPO	YZ	7305825
606157	2063	1995-12-10	VYDAJ	PREVOD NA UCET	1542	32805	SIPO	YZ	7305825
606158	2063	1996-01-10	VYDAJ	PREVOD NA UCET	1542	27707	SIPO	YZ	7305825
606159	2063	1996-02-10	VYDAJ	PREVOD NA UCET	1542	29644	SIPO	YZ	7305825
606160	2063	1996-03-10	VYDAJ	PREVOD NA UCET	1542	33089	SIPO	YZ	7305825
606161	2063	1996-04-10	VYDAJ	PREVOD NA UCET	1542	30543	SIPO	YZ	7305825
606162	2063	1996-05-10	VYDAJ	PREVOD NA UCET	1542	29705	SIPO	YZ	7305825
606163	2063	1996-06-10	VYDAJ	PREVOD NA UCET	1542	32349	SIPO	YZ	7305825
606164	2063	1996-07-10	VYDAJ	PREVOD NA UCET	1542	33049	SIPO	YZ	7305825
606165	2063	1996-08-10	VYDAJ	PREVOD NA UCET	1542	33503	SIPO	YZ	7305825
606166	2063	1996-09-10	VYDAJ	PREVOD NA UCET	1542	34660	SIPO	YZ	7305825
606167	2063	1996-10-10	VYDAJ	PREVOD NA UCET	1542	32696	SIPO	YZ	7305825
606168	2063	1996-11-10	VYDAJ	PREVOD NA UCET	1542	33148	SIPO	YZ	7305825
606169	2063	1996-12-10	VYDAJ	PREVOD NA UCET	1542	35406	SIPO	YZ	7305825
606170	2063	1997-01-10	VYDAJ	PREVOD NA UCET	1542	33972	SIPO	YZ	7305825
606171	2063	1997-02-10	VYDAJ	PREVOD NA UCET	1542	35134	SIPO	YZ	7305825
606172	2063	1997-03-10	VYDAJ	PREVOD NA UCET	1542	39301	SIPO	YZ	7305825
606173	2063	1997-04-10	VYDAJ	PREVOD NA UCET	1542	34429	SIPO	YZ	7305825
606174	2063	1997-05-10	VYDAJ	PREVOD NA UCET	1542	38894	SIPO	YZ	7305825
606175	2063	1997-06-10	VYDAJ	PREVOD NA UCET	1542	40171	SIPO	YZ	7305825
606176	2063	1997-07-10	VYDAJ	PREVOD NA UCET	1542	38247	SIPO	YZ	7305825
606177	2063	1997-08-10	VYDAJ	PREVOD NA UCET	1542	42427	SIPO	YZ	7305825
606178	2063	1997-09-10	VYDAJ	PREVOD NA UCET	1542	44520	SIPO	YZ	7305825
606179	2063	1997-10-10	VYDAJ	PREVOD NA UCET	1542	46180	SIPO	YZ	7305825
606180	2063	1997-11-10	VYDAJ	PREVOD NA UCET	1542	46083	SIPO	YZ	7305825
606181	2063	1997-12-10	VYDAJ	PREVOD NA UCET	1542	44668	SIPO	YZ	7305825
606182	2063	1998-01-10	VYDAJ	PREVOD NA UCET	1542	48474	SIPO	YZ	7305825
606183	2063	1998-02-10	VYDAJ	PREVOD NA UCET	1542	43578	SIPO	YZ	7305825
606184	2063	1998-03-10	VYDAJ	PREVOD NA UCET	1542	47182	SIPO	YZ	7305825
606185	2063	1998-04-10	VYDAJ	PREVOD NA UCET	1542	48291	SIPO	YZ	7305825
606186	2063	1998-05-10	VYDAJ	PREVOD NA UCET	1542	52311	SIPO	YZ	7305825
606187	2063	1998-06-10	VYDAJ	PREVOD NA UCET	1542	50218	SIPO	YZ	7305825
606188	2063	1998-07-10	VYDAJ	PREVOD NA UCET	1542	50742	SIPO	YZ	7305825
606189	2063	1998-08-10	VYDAJ	PREVOD NA UCET	1542	45260	SIPO	YZ	7305825
606190	2063	1998-09-10	VYDAJ	PREVOD NA UCET	1542	44174	SIPO	YZ	7305825
606191	2063	1998-10-10	VYDAJ	PREVOD NA UCET	1542	41085	SIPO	YZ	7305825
606192	2063	1998-11-10	VYDAJ	PREVOD NA UCET	1542	38385	SIPO	YZ	7305825
606193	2063	1998-12-10	VYDAJ	PREVOD NA UCET	1542	42869	SIPO	YZ	7305825
606195	2063	1994-06-01	VYDAJ	VYBER	3750	28474	\N	\N	\N
606196	2063	1995-06-20	VYDAJ	VYBER	6150	20774	\N	\N	\N
606197	2063	1996-06-14	VYDAJ	VYBER	1650	30699	\N	\N	\N
606198	2063	1997-06-10	VYDAJ	VYBER	5000	35171	\N	\N	\N
606199	2063	1998-06-14	VYDAJ	VYBER	2400	47818	\N	\N	\N
606202	2063	1995-01-21	VYDAJ	VYBER	1800	24283	\N	\N	\N
606203	2063	1996-01-03	VYDAJ	VYBER	1400	23364	\N	\N	\N
606204	2063	1997-01-09	VYDAJ	VYBER	3400	35514	\N	\N	\N
606205	2063	1998-01-10	VYDAJ	VYBER	3300	45174	\N	\N	\N
606207	2063	1994-12-12	VYDAJ	VYBER	950	27442	\N	\N	\N
606208	2063	1995-12-27	VYDAJ	VYBER	1350	24655	\N	\N	\N
606209	2063	1996-12-04	VYDAJ	VYBER	1000	31063	\N	\N	\N
606210	2063	1997-12-16	VYDAJ	VYBER	700	43968	\N	\N	\N
606211	2063	1998-12-30	VYDAJ	VYBER KARTOU	1400	39969	\N	\N	0
606220	2063	1994-11-15	VYDAJ	VYBER	1200	32115	\N	\N	\N
606221	2063	1994-11-28	VYDAJ	VYBER	3600	28515	\N	\N	\N
606223	2063	1994-09-01	VYDAJ	VYBER	2000	25854	\N	\N	\N
606224	2063	1994-12-09	VYDAJ	VYBER	2480	29934	\N	\N	\N
606226	2063	1995-08-22	VYDAJ	VYBER	2640	18808	\N	\N	\N
606227	2063	1995-07-30	VYDAJ	VYBER	3040	19662	\N	\N	\N
606228	2063	1995-08-11	VYDAJ	VYBER	2640	21448	\N	\N	\N
606229	2063	1995-06-09	VYDAJ	VYBER	2240	28466	\N	\N	\N
606230	2063	1995-01-05	VYDAJ	VYBER	1600	21740	\N	\N	\N
606231	2063	1996-04-19	VYDAJ	VYBER	2480	28063	\N	\N	\N
606232	2063	1996-09-26	VYDAJ	VYBER	720	28240	\N	\N	\N
606233	2063	1996-03-10	VYDAJ	VYBER	1280	31809	\N	\N	\N
606234	2063	1996-03-31	VYDAJ	VYBER	2320	26215	\N	\N	\N
606235	2063	1996-07-20	VYDAJ	VYBER	2800	30249	\N	\N	\N
606236	2063	1997-11-28	VYDAJ	VYBER	3120	40163	\N	\N	\N
606237	2063	1997-09-12	VYDAJ	VYBER	880	43640	\N	\N	\N
606238	2063	1997-03-20	VYDAJ	VYBER	3600	29961	\N	\N	\N
606239	2063	1997-03-11	VYDAJ	VYBER	1440	37861	\N	\N	\N
606240	2063	1997-09-16	VYDAJ	VYBER	1760	41680	\N	\N	\N
606241	2063	1998-02-02	VYDAJ	VYBER	2800	39235	\N	\N	\N
606242	2063	1998-08-27	VYDAJ	VYBER KARTOU	700	44560	\N	\N	0
606243	2063	1998-12-29	VYDAJ	VYBER KARTOU	1500	41369	\N	\N	0
606244	2063	1998-05-30	VYDAJ	VYBER	2320	45691	\N	\N	\N
606245	2063	1998-07-02	VYDAJ	VYBER	1600	46399	\N	\N	\N
606246	2063	1998-10-29	VYDAJ	VYBER KARTOU	3800	37285	\N	\N	0
606263	2063	1994-04-30	VYDAJ	VYBER	15	28566	SLUZBY	\N	\N
606264	2063	1994-05-31	VYDAJ	VYBER	15	32224	SLUZBY	\N	\N
606265	2063	1994-06-30	VYDAJ	VYBER	15	29522	SLUZBY	\N	\N
606266	2063	1994-07-31	VYDAJ	VYBER	15	33385	SLUZBY	\N	\N
606267	2063	1994-08-31	VYDAJ	VYBER	15	33854	SLUZBY	\N	\N
606268	2063	1994-09-30	VYDAJ	VYBER	15	28912	SLUZBY	\N	\N
606269	2063	1994-10-31	VYDAJ	VYBER	15	28972	SLUZBY	\N	\N
606270	2063	1994-11-30	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
606271	2063	1994-12-31	VYDAJ	VYBER	15	23340	SLUZBY	\N	\N
606272	2063	1995-01-31	VYDAJ	VYBER	15	23571	SLUZBY	\N	\N
606273	2063	1995-02-28	VYDAJ	VYBER	15	22608	SLUZBY	\N	\N
606274	2063	1995-03-31	VYDAJ	VYBER	15	22842	SLUZBY	\N	\N
606275	2063	1995-04-30	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
606276	2063	1995-05-31	VYDAJ	VYBER	15	24821	SLUZBY	\N	\N
606277	2063	1995-06-30	VYDAJ	VYBER	15	20859	SLUZBY	\N	\N
606278	2063	1995-07-31	VYDAJ	VYBER	15	19745	SLUZBY	\N	\N
606279	2063	1995-08-31	VYDAJ	VYBER	15	18877	SLUZBY	\N	\N
606280	2063	1995-09-30	VYDAJ	VYBER	15	20294	SLUZBY	\N	\N
606281	2063	1995-10-31	VYDAJ	VYBER	15	24719	SLUZBY	\N	\N
606282	2063	1995-11-30	VYDAJ	VYBER	15	28462	SLUZBY	\N	\N
606283	2063	1995-12-31	VYDAJ	VYBER	15	24764	SLUZBY	\N	\N
606284	2063	1996-01-31	VYDAJ	VYBER	15	25301	SLUZBY	\N	\N
606285	2063	1996-02-29	VYDAJ	VYBER	15	28746	SLUZBY	\N	\N
606286	2063	1996-03-31	VYDAJ	VYBER	15	26200	SLUZBY	\N	\N
606287	2063	1996-04-30	VYDAJ	VYBER	15	25362	SLUZBY	\N	\N
606288	2063	1996-05-31	VYDAJ	VYBER	15	28006	SLUZBY	\N	\N
606289	2063	1996-06-30	VYDAJ	VYBER	15	28706	SLUZBY	\N	\N
606290	2063	1996-07-31	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
606291	2063	1996-08-31	VYDAJ	VYBER	15	30317	SLUZBY	\N	\N
606292	2063	1996-09-30	VYDAJ	VYBER	15	28353	SLUZBY	\N	\N
606293	2063	1996-10-31	VYDAJ	VYBER	15	28805	SLUZBY	\N	\N
606294	2063	1996-11-30	VYDAJ	VYBER	15	32063	SLUZBY	\N	\N
606295	2063	1996-12-31	VYDAJ	VYBER	15	33029	SLUZBY	\N	\N
606296	2063	1997-01-31	VYDAJ	VYBER	15	30791	SLUZBY	\N	\N
606297	2063	1997-02-28	VYDAJ	VYBER	15	34958	SLUZBY	\N	\N
606298	2063	1997-03-31	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
606299	2063	1997-04-30	VYDAJ	VYBER	15	34551	SLUZBY	\N	\N
606300	2063	1997-05-31	VYDAJ	VYBER	15	35828	SLUZBY	\N	\N
606301	2063	1997-06-30	VYDAJ	VYBER	15	33904	SLUZBY	\N	\N
606302	2063	1997-07-31	VYDAJ	VYBER	15	38084	SLUZBY	\N	\N
606303	2063	1997-08-31	VYDAJ	VYBER	15	40177	SLUZBY	\N	\N
606304	2063	1997-09-30	VYDAJ	VYBER	15	41837	SLUZBY	\N	\N
606305	2063	1997-10-31	VYDAJ	VYBER	15	41740	SLUZBY	\N	\N
606306	2063	1997-11-30	VYDAJ	VYBER	15	40325	SLUZBY	\N	\N
606307	2063	1997-12-31	VYDAJ	VYBER	15	44131	SLUZBY	\N	\N
606308	2063	1998-01-31	VYDAJ	VYBER	15	42035	SLUZBY	\N	\N
606309	2063	1998-02-28	VYDAJ	VYBER	15	42839	SLUZBY	\N	\N
606310	2063	1998-03-31	VYDAJ	VYBER	15	43948	SLUZBY	\N	\N
606311	2063	1998-04-30	VYDAJ	VYBER	15	47968	SLUZBY	\N	\N
606312	2063	1998-05-31	VYDAJ	VYBER	15	45875	SLUZBY	\N	\N
606313	2063	1998-06-30	VYDAJ	VYBER	15	47999	SLUZBY	\N	\N
606314	2063	1998-07-31	VYDAJ	VYBER	15	45217	SLUZBY	\N	\N
606315	2063	1998-08-31	VYDAJ	VYBER	15	44731	SLUZBY	\N	\N
606316	2063	1998-09-30	VYDAJ	VYBER	15	44342	SLUZBY	\N	\N
606317	2063	1998-10-31	VYDAJ	VYBER	15	37442	SLUZBY	\N	\N
606318	2063	1998-11-30	VYDAJ	VYBER	15	38526	SLUZBY	\N	\N
606319	2063	1994-04-03	VYDAJ	VYBER	200	24143	\N	\N	\N
606320	2063	1994-05-03	VYDAJ	VYBER	800	27766	\N	\N	\N
606321	2063	1994-06-02	VYDAJ	VYBER	3400	25074	\N	\N	\N
606322	2063	1994-07-02	VYDAJ	VYBER	600	28922	\N	\N	\N
606323	2063	1994-08-01	VYDAJ	VYBER	4000	29385	\N	\N	\N
606324	2063	1994-08-31	VYDAJ	VYBER	6000	27854	\N	\N	\N
606325	2063	1994-09-30	VYDAJ	VYBER	1400	28926	\N	\N	\N
606326	2063	1994-10-30	VYDAJ	VYBER	4400	28855	\N	\N	\N
606327	2063	1994-11-29	VYDAJ	VYBER	2100	26415	\N	\N	\N
606328	2063	1994-12-29	VYDAJ	VYBER	4200	23242	\N	\N	\N
606329	2063	1995-01-28	VYDAJ	VYBER	800	23483	\N	\N	\N
606330	2063	1995-02-27	VYDAJ	VYBER	5400	22514	\N	\N	\N
606331	2063	1995-03-29	VYDAJ	VYBER	4200	22751	\N	\N	\N
606332	2063	1995-04-28	VYDAJ	VYBER	2000	25185	\N	\N	\N
606333	2063	1995-05-28	VYDAJ	VYBER	4900	24720	\N	\N	\N
606334	2063	1995-07-27	VYDAJ	VYBER	2500	22702	\N	\N	\N
606335	2063	1995-09-25	VYDAJ	VYBER	3000	20220	\N	\N	\N
606336	2063	1995-11-24	VYDAJ	VYBER	700	28362	\N	\N	\N
606337	2063	1995-12-24	VYDAJ	VYBER	6800	26005	\N	\N	\N
606338	2063	1996-01-23	VYDAJ	VYBER	2500	25207	\N	\N	\N
606339	2063	1996-02-22	VYDAJ	VYBER	1000	28644	\N	\N	\N
606340	2063	1996-03-23	VYDAJ	VYBER	3400	28409	\N	\N	\N
606341	2063	1996-04-22	VYDAJ	VYBER	2800	25263	\N	\N	\N
606342	2063	1996-05-22	VYDAJ	VYBER	1800	27905	\N	\N	\N
606343	2063	1996-06-21	VYDAJ	VYBER	2100	28599	\N	\N	\N
606344	2063	1996-07-21	VYDAJ	VYBER	1200	29049	\N	\N	\N
606345	2063	1996-08-20	VYDAJ	VYBER	3300	30203	\N	\N	\N
606346	2063	1996-09-19	VYDAJ	VYBER	5700	28960	\N	\N	\N
606347	2063	1996-10-19	VYDAJ	VYBER	4000	28696	\N	\N	\N
606348	2063	1996-11-18	VYDAJ	VYBER	1200	31948	\N	\N	\N
606349	2063	1996-12-18	VYDAJ	VYBER	2500	32906	\N	\N	\N
606350	2063	1997-01-17	VYDAJ	VYBER	3300	30672	\N	\N	\N
606351	2063	1997-02-16	VYDAJ	VYBER	300	34834	\N	\N	\N
606352	2063	1997-03-18	VYDAJ	VYBER	4300	33561	\N	\N	\N
606353	2063	1997-05-17	VYDAJ	VYBER	3200	35694	\N	\N	\N
606354	2063	1997-06-16	VYDAJ	VYBER	1400	33771	\N	\N	\N
606355	2063	1997-07-16	VYDAJ	VYBER	300	37947	\N	\N	\N
606356	2063	1997-08-15	VYDAJ	VYBER	2400	40027	\N	\N	\N
606357	2063	1997-09-14	VYDAJ	VYBER	200	43440	\N	\N	\N
606358	2063	1997-10-14	VYDAJ	VYBER	4600	41580	\N	\N	\N
606359	2063	1997-11-13	VYDAJ	VYBER	2800	43283	\N	\N	\N
606360	2063	1998-01-12	VYDAJ	VYBER	3300	41874	\N	\N	\N
606361	2063	1998-02-11	VYDAJ	VYBER	900	42678	\N	\N	\N
606362	2063	1998-03-13	VYDAJ	VYBER	3400	43782	\N	\N	\N
606363	2063	1998-04-12	VYDAJ	VYBER	500	47791	\N	\N	\N
606364	2063	1998-05-12	VYDAJ	VYBER	4300	48011	\N	\N	\N
606365	2063	1998-07-11	VYDAJ	VYBER	5700	45042	\N	\N	\N
606366	2063	1998-08-10	VYDAJ	VYBER	4300	46802	\N	\N	\N
606367	2063	1998-09-09	VYDAJ	VYBER	4900	45716	\N	\N	\N
606368	2063	1998-10-09	VYDAJ	VYBER	7600	42627	\N	\N	\N
606369	2063	1998-11-08	VYDAJ	VYBER KARTOU	3400	34042	\N	\N	0
606431	2064	1996-12-30	PRIJEM	VKLAD	500	500	\N	\N	\N
606444	2064	1997-01-09	PRIJEM	PREVOD Z UCTU	13936	14436	\N	MN	56820648
606445	2064	1997-02-09	PRIJEM	PREVOD Z UCTU	13936	34380	\N	MN	56820648
606446	2064	1997-03-09	PRIJEM	PREVOD Z UCTU	13936	42303	\N	MN	56820648
606447	2064	1997-04-09	PRIJEM	PREVOD Z UCTU	13936	46458	\N	MN	56820648
606448	2064	1997-05-09	PRIJEM	PREVOD Z UCTU	13936	43329	\N	MN	56820648
606449	2064	1997-06-09	PRIJEM	PREVOD Z UCTU	20904	51781	\N	MN	56820648
606450	2064	1997-07-09	PRIJEM	PREVOD Z UCTU	13936	34903	\N	MN	56820648
606451	2064	1997-08-09	PRIJEM	PREVOD Z UCTU	13936	31815	\N	MN	56820648
606452	2064	1997-09-09	PRIJEM	PREVOD Z UCTU	13936	36455	\N	MN	56820648
606453	2064	1997-10-09	PRIJEM	PREVOD Z UCTU	13936	38471	\N	MN	56820648
606454	2064	1997-11-09	PRIJEM	PREVOD Z UCTU	13936	34734	\N	MN	56820648
606455	2064	1997-12-09	PRIJEM	PREVOD Z UCTU	20904	34659	\N	MN	56820648
606456	2064	1998-01-09	PRIJEM	PREVOD Z UCTU	13936	37054	\N	MN	56820648
606457	2064	1998-02-09	PRIJEM	PREVOD Z UCTU	13936	26743	\N	MN	56820648
606458	2064	1998-03-09	PRIJEM	PREVOD Z UCTU	13936	26447	\N	MN	56820648
606459	2064	1998-04-09	PRIJEM	PREVOD Z UCTU	13936	34926	\N	MN	56820648
606460	2064	1998-05-09	PRIJEM	PREVOD Z UCTU	13936	37634	\N	MN	56820648
606461	2064	1998-06-09	PRIJEM	PREVOD Z UCTU	20904	40217	\N	MN	56820648
606462	2064	1998-07-09	PRIJEM	PREVOD Z UCTU	13936	38030	\N	MN	56820648
606463	2064	1998-08-09	PRIJEM	PREVOD Z UCTU	13936	35243	\N	MN	56820648
606464	2064	1998-09-09	PRIJEM	PREVOD Z UCTU	13936	32983	\N	MN	56820648
606465	2064	1998-10-09	PRIJEM	PREVOD Z UCTU	13936	33776	\N	MN	56820648
606466	2064	1998-11-09	PRIJEM	PREVOD Z UCTU	13936	36776	\N	MN	56820648
606467	2064	1998-12-09	PRIJEM	PREVOD Z UCTU	20904	43112	\N	MN	56820648
606484	2064	1997-05-06	VYDAJ	VYBER	1800	29393	\N	\N	0
606485	2064	1997-06-05	VYDAJ	VYBER	2100	30877	\N	\N	0
606486	2064	1997-06-26	VYDAJ	VYBER	2000	22030	\N	\N	0
606487	2064	1997-08-07	VYDAJ	VYBER	3100	17879	\N	\N	0
606488	2064	1997-09-12	VYDAJ	PREVOD NA UCET	2323	34132	UVER	EF	1838881
606489	2064	1997-10-12	VYDAJ	PREVOD NA UCET	2323	23516	UVER	EF	1838881
606490	2064	1997-11-12	VYDAJ	PREVOD NA UCET	2323	16996	UVER	EF	1838881
606491	2064	1997-12-12	VYDAJ	PREVOD NA UCET	2323	32336	UVER	EF	1838881
606492	2064	1998-01-12	VYDAJ	PREVOD NA UCET	2323	32032	UVER	EF	1838881
606493	2064	1998-02-12	VYDAJ	PREVOD NA UCET	2323	21058	UVER	EF	1838881
606494	2064	1998-03-12	VYDAJ	PREVOD NA UCET	2323	24125	UVER	EF	1838881
606495	2064	1998-04-12	VYDAJ	PREVOD NA UCET	2323	32604	UVER	EF	1838881
606496	2064	1998-05-12	VYDAJ	PREVOD NA UCET	2323	35311	UVER	EF	1838881
606497	2064	1998-06-12	VYDAJ	PREVOD NA UCET	2323	37895	UVER	EF	1838881
606498	2064	1998-07-12	VYDAJ	PREVOD NA UCET	2323	35707	UVER	EF	1838881
606499	2064	1998-08-12	VYDAJ	PREVOD NA UCET	2323	32920	UVER	EF	1838881
606500	2064	1998-09-12	VYDAJ	PREVOD NA UCET	2323	30661	UVER	EF	1838881
606501	2064	1998-10-12	VYDAJ	PREVOD NA UCET	2323	31454	UVER	EF	1838881
606502	2064	1998-11-12	VYDAJ	PREVOD NA UCET	2323	31440	UVER	EF	1838881
606503	2064	1998-12-12	VYDAJ	PREVOD NA UCET	2323	40790	UVER	EF	1838881
606517	2064	1997-06-15	VYBER	VYBER	10651	41130	\N	\N	\N
606519	2064	1997-11-12	VYBER	VYBER	15416	19318	\N	\N	\N
606521	2064	1997-10-11	VYBER	VYBER	12633	25838	\N	\N	\N
606525	2064	1998-08-16	VYBER	VYBER	2657	30263	\N	\N	\N
606527	2064	1998-05-27	VYBER	VYBER	2797	19214	\N	\N	\N
606529	2064	1998-11-10	VYBER	VYBER	3013	33763	\N	\N	\N
606530	2064	1998-12-01	VYBER	VYBER	3529	22208	\N	\N	\N
606533	2064	1998-02-11	VYBER	VYBER	3363	23380	\N	\N	\N
606556	2064	1998-01-09	VYDAJ	VYBER	2700	34354	\N	\N	\N
606557	2064	1998-01-12	VYDAJ	VYBER	1500	30532	\N	\N	\N
606559	2064	1998-01-23	VYDAJ	VYBER	3300	19132	\N	\N	\N
606560	2064	1998-01-15	VYDAJ	VYBER	5400	22432	\N	\N	\N
606561	2064	1998-01-12	VYDAJ	VYBER	2700	27832	\N	\N	\N
606568	2064	1997-06-23	VYDAJ	VYBER	12900	28230	\N	\N	\N
606569	2064	1997-08-06	VYDAJ	VYBER	6000	20979	\N	\N	\N
606570	2064	1997-12-16	VYDAJ	VYBER	1500	30836	\N	\N	\N
606571	2064	1997-06-25	VYDAJ	VYBER	4200	24030	\N	\N	\N
606594	2064	1997-05-31	VYDAJ	VYBER	15	32977	SLUZBY	\N	\N
606595	2064	1997-06-30	VYDAJ	VYBER	15	20967	SLUZBY	\N	\N
606596	2064	1997-07-31	VYDAJ	VYBER	15	26979	SLUZBY	\N	\N
606597	2064	1997-08-31	VYDAJ	VYBER	15	22519	SLUZBY	\N	\N
606598	2064	1997-09-30	VYDAJ	VYBER	15	24535	SLUZBY	\N	\N
606599	2064	1997-10-31	VYDAJ	VYBER	15	20798	SLUZBY	\N	\N
606600	2064	1997-11-30	VYDAJ	VYBER	15	13755	SLUZBY	\N	\N
606601	2064	1997-12-31	VYDAJ	VYBER	15	23118	SLUZBY	\N	\N
606602	2064	1998-01-31	VYDAJ	VYBER	15	12807	SLUZBY	\N	\N
606603	2064	1998-02-28	VYDAJ	VYBER	15	12511	SLUZBY	\N	\N
606604	2064	1998-03-31	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
606605	2064	1998-04-30	VYDAJ	VYBER	15	23698	SLUZBY	\N	\N
606606	2064	1998-05-31	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
606607	2064	1998-06-30	VYDAJ	VYBER	15	24094	SLUZBY	\N	\N
606608	2064	1998-07-31	VYDAJ	VYBER	15	21307	SLUZBY	\N	\N
606609	2064	1998-08-31	VYDAJ	VYBER	15	19047	SLUZBY	\N	\N
606610	2064	1998-09-30	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
606611	2064	1998-10-31	VYDAJ	VYBER	15	22840	SLUZBY	\N	\N
606612	2064	1998-11-30	VYDAJ	VYBER	15	25737	SLUZBY	\N	\N
606613	2064	1997-01-29	PRIJEM	VKLAD	6000	20436	\N	\N	\N
606614	2064	1997-02-28	VYDAJ	VYBER	6100	28367	\N	\N	\N
606615	2064	1997-03-30	VYDAJ	VYBER	9900	32403	\N	\N	\N
606616	2064	1997-04-29	VYDAJ	VYBER	15400	31058	\N	\N	\N
606617	2064	1997-05-29	VYDAJ	VYBER	10500	32829	\N	\N	\N
606618	2064	1997-06-28	VYDAJ	VYBER	1200	20830	\N	\N	\N
606619	2064	1997-07-28	VYDAJ	VYBER	8000	26903	\N	\N	\N
606620	2064	1997-08-27	VYDAJ	VYBER	9400	22415	\N	\N	\N
606621	2064	1997-09-26	VYDAJ	VYBER	9700	24432	\N	\N	\N
606622	2064	1997-10-26	VYDAJ	VYBER	2800	20716	\N	\N	\N
606623	2064	1997-11-25	VYDAJ	VYBER	3300	13696	\N	\N	\N
606624	2064	1997-12-25	VYDAJ	VYBER	7800	23036	\N	\N	\N
606625	2064	1998-01-24	VYDAJ	VYBER	6400	12732	\N	\N	\N
606626	2064	1998-02-23	VYDAJ	VYBER	8600	12458	\N	\N	\N
606627	2064	1998-03-25	VYDAJ	VYBER	3200	20925	\N	\N	\N
606628	2064	1998-04-24	VYDAJ	VYBER	9000	23604	\N	\N	\N
606629	2064	1998-05-24	VYDAJ	VYBER	13300	22011	\N	\N	\N
606630	2064	1998-06-23	VYDAJ	VYBER	13900	23995	\N	\N	\N
606631	2064	1998-07-23	VYDAJ	VYBER	14500	21207	\N	\N	\N
606632	2064	1998-08-22	VYDAJ	VYBER	11300	18963	\N	\N	\N
606633	2064	1998-09-21	VYDAJ	VYBER	10900	19761	\N	\N	\N
606634	2064	1998-10-21	VYDAJ	VYBER	8700	22754	\N	\N	\N
606635	2064	1998-11-20	VYDAJ	VYBER	5800	25640	\N	\N	\N
606660	2065	1996-08-28	PRIJEM	VKLAD	400	400	\N	\N	\N
606669	2065	1996-09-12	PRIJEM	VKLAD	18648	19048	\N	\N	\N
606670	2065	1996-10-12	PRIJEM	VKLAD	18648	42009	\N	\N	\N
606671	2065	1996-11-12	PRIJEM	VKLAD	18648	51160	\N	\N	\N
606672	2065	1996-12-12	PRIJEM	VKLAD	27972	67772	\N	\N	\N
606673	2065	1997-01-12	PRIJEM	VKLAD	18648	67993	\N	\N	\N
606674	2065	1997-02-12	PRIJEM	VKLAD	18648	55822	\N	\N	\N
606675	2065	1997-03-12	PRIJEM	VKLAD	18648	52977	\N	\N	\N
606676	2065	1997-04-12	PRIJEM	VKLAD	18648	48302	\N	\N	\N
606677	2065	1997-05-12	PRIJEM	VKLAD	18648	52328	\N	\N	\N
606678	2065	1997-06-12	PRIJEM	VKLAD	27972	63691	\N	\N	\N
606679	2065	1997-07-12	PRIJEM	VKLAD	18648	53486	\N	\N	\N
606680	2065	1997-08-12	PRIJEM	VKLAD	18648	52025	\N	\N	\N
606681	2065	1997-09-12	PRIJEM	VKLAD	18648	49555	\N	\N	\N
606682	2065	1997-10-12	PRIJEM	VKLAD	18648	47574	\N	\N	\N
606683	2065	1997-11-12	PRIJEM	VKLAD	18648	44983	\N	\N	\N
606684	2065	1997-12-12	PRIJEM	VKLAD	27972	57712	\N	\N	\N
606685	2065	1998-01-12	PRIJEM	VKLAD	18648	50621	\N	\N	\N
606686	2065	1998-02-12	PRIJEM	VKLAD	18648	39803	\N	\N	\N
606687	2065	1998-03-12	PRIJEM	VKLAD	18648	42683	\N	\N	\N
606688	2065	1998-04-12	PRIJEM	VKLAD	18648	42412	\N	\N	\N
606689	2065	1998-05-12	PRIJEM	VKLAD	18648	39895	\N	\N	\N
606690	2065	1998-06-12	PRIJEM	VKLAD	27972	49996	\N	\N	\N
606691	2065	1998-07-12	PRIJEM	VKLAD	18648	43086	\N	\N	\N
606692	2065	1998-08-12	PRIJEM	VKLAD	18648	39267	\N	\N	\N
606693	2065	1998-09-12	PRIJEM	VKLAD	18648	39336	\N	\N	\N
606694	2065	1998-10-12	PRIJEM	VKLAD	18648	34293	\N	\N	\N
606695	2065	1998-11-12	PRIJEM	VKLAD	18648	31917	\N	\N	\N
606696	2065	1998-12-12	PRIJEM	VKLAD	27972	43279	\N	\N	\N
606710	2065	1997-02-06	VYDAJ	PREVOD NA UCET	3075	37174	SIPO	OP	16683084
606711	2065	1997-03-06	VYDAJ	PREVOD NA UCET	3075	38529	SIPO	OP	16683084
606712	2065	1997-04-06	VYDAJ	PREVOD NA UCET	3075	29654	SIPO	OP	16683084
606713	2065	1997-05-06	VYDAJ	PREVOD NA UCET	3075	33680	SIPO	OP	16683084
606714	2065	1997-06-06	VYDAJ	PREVOD NA UCET	3075	35719	SIPO	OP	16683084
606715	2065	1997-07-06	VYDAJ	PREVOD NA UCET	3075	34838	SIPO	OP	16683084
606716	2065	1997-08-06	VYDAJ	PREVOD NA UCET	3075	33377	SIPO	OP	16683084
606717	2065	1997-09-06	VYDAJ	PREVOD NA UCET	3075	30907	SIPO	OP	16683084
606718	2065	1997-10-06	VYDAJ	PREVOD NA UCET	3075	28926	SIPO	OP	16683084
606719	2065	1997-11-06	VYDAJ	PREVOD NA UCET	3075	26335	SIPO	OP	16683084
606720	2065	1997-12-06	VYDAJ	PREVOD NA UCET	3075	29740	SIPO	OP	16683084
606721	2065	1998-01-06	VYDAJ	PREVOD NA UCET	3075	33173	SIPO	OP	16683084
606722	2065	1998-02-06	VYDAJ	PREVOD NA UCET	3075	21155	SIPO	OP	16683084
606723	2065	1998-03-06	VYDAJ	PREVOD NA UCET	3075	24035	SIPO	OP	16683084
606724	2065	1998-04-06	VYDAJ	PREVOD NA UCET	3075	23764	SIPO	OP	16683084
606725	2065	1998-05-06	VYDAJ	PREVOD NA UCET	3075	21247	SIPO	OP	16683084
606726	2065	1998-06-06	VYDAJ	PREVOD NA UCET	3075	22024	SIPO	OP	16683084
606727	2065	1998-07-06	VYDAJ	PREVOD NA UCET	3075	24438	SIPO	OP	16683084
606728	2065	1998-08-06	VYDAJ	PREVOD NA UCET	3075	20619	SIPO	OP	16683084
606729	2065	1998-09-06	VYDAJ	PREVOD NA UCET	3075	20688	SIPO	OP	16683084
606730	2065	1998-10-06	VYDAJ	PREVOD NA UCET	3075	15645	SIPO	OP	16683084
606731	2065	1998-11-06	VYDAJ	PREVOD NA UCET	3075	13269	SIPO	OP	16683084
606732	2065	1998-12-06	VYDAJ	PREVOD NA UCET	3075	15307	SIPO	OP	16683084
606734	2065	1997-06-21	VYDAJ	VYBER	13760	49931	\N	\N	\N
606737	2065	1997-01-29	VYDAJ	VYBER	6560	40053	\N	\N	\N
606738	2065	1998-01-20	VYDAJ	VYBER	9600	27341	\N	\N	\N
606740	2065	1997-12-17	VYDAJ	VYBER	2720	54992	\N	\N	\N
606741	2065	1998-12-30	VYDAJ	VYBER	4640	16339	\N	\N	\N
606748	2065	1997-01-23	VYDAJ	VYBER	1800	63313	\N	\N	\N
606749	2065	1997-01-20	VYDAJ	VYBER	2880	65113	\N	\N	\N
606754	2065	1998-01-17	VYDAJ	VYBER	2040	47021	\N	\N	\N
606755	2065	1998-01-02	VYDAJ	VYBER	600	36248	\N	\N	\N
606756	2065	1998-01-19	VYDAJ	VYBER	3480	43541	\N	\N	\N
606757	2065	1998-01-16	VYDAJ	VYBER	1560	49061	\N	\N	\N
606758	2065	1998-01-08	VYDAJ	VYBER	1200	31973	\N	\N	\N
606759	2065	1998-01-25	VYDAJ	VYBER	3240	24101	\N	\N	\N
606763	2065	1997-03-27	VYDAJ	VYBER	3720	32557	\N	\N	\N
606764	2065	1997-05-22	VYDAJ	VYBER	4200	48128	\N	\N	\N
606765	2065	1997-03-11	VYDAJ	VYBER	4200	34329	\N	\N	\N
606766	2065	1998-03-20	VYDAJ	VYBER	2160	40523	\N	\N	\N
606768	2065	1998-10-30	VYDAJ	VYBER	1320	16273	\N	\N	\N
606782	2065	1997-01-31	VYDAJ	VYBER	15	40249	SLUZBY	\N	\N
606783	2065	1997-02-28	VYDAJ	VYBER	15	41604	SLUZBY	\N	\N
606784	2065	1997-03-31	VYDAJ	VYBER	15	32729	SLUZBY	\N	\N
606785	2065	1997-04-30	VYDAJ	VYBER	15	36755	SLUZBY	\N	\N
606786	2065	1997-05-31	VYDAJ	VYBER	15	38794	SLUZBY	\N	\N
606787	2065	1997-06-30	VYDAJ	VYBER	15	37913	SLUZBY	\N	\N
606788	2065	1997-07-31	VYDAJ	VYBER	15	36452	SLUZBY	\N	\N
606789	2065	1997-08-31	VYDAJ	VYBER	15	33982	SLUZBY	\N	\N
606790	2065	1997-09-30	VYDAJ	VYBER	15	32001	SLUZBY	\N	\N
606791	2065	1997-10-31	VYDAJ	VYBER	15	29410	SLUZBY	\N	\N
606792	2065	1997-11-30	VYDAJ	VYBER	15	32815	SLUZBY	\N	\N
606793	2065	1997-12-31	VYDAJ	VYBER	15	36848	SLUZBY	\N	\N
606794	2065	1998-01-31	VYDAJ	VYBER	15	24230	SLUZBY	\N	\N
606795	2065	1998-02-28	VYDAJ	VYBER	15	27110	SLUZBY	\N	\N
606796	2065	1998-03-31	VYDAJ	VYBER	15	26839	SLUZBY	\N	\N
606797	2065	1998-04-30	VYDAJ	VYBER	15	24322	SLUZBY	\N	\N
606798	2065	1998-05-31	VYDAJ	VYBER	15	25099	SLUZBY	\N	\N
606799	2065	1998-06-30	VYDAJ	VYBER	15	27513	SLUZBY	\N	\N
606800	2065	1998-07-31	VYDAJ	VYBER	15	23694	SLUZBY	\N	\N
606801	2065	1998-08-31	VYDAJ	VYBER	15	23763	SLUZBY	\N	\N
606802	2065	1998-09-30	VYDAJ	VYBER	15	18720	SLUZBY	\N	\N
606803	2065	1998-10-31	VYDAJ	VYBER	15	16344	SLUZBY	\N	\N
606804	2065	1998-11-30	VYDAJ	VYBER	15	18382	SLUZBY	\N	\N
606805	2065	1996-09-27	PRIJEM	VKLAD	4300	23348	\N	\N	\N
606806	2065	1996-10-27	VYDAJ	VYBER	9600	32409	\N	\N	\N
606807	2065	1996-11-26	VYDAJ	VYBER	11500	39660	\N	\N	\N
606808	2065	1996-12-26	VYDAJ	VYBER	18600	49172	\N	\N	\N
606809	2065	1997-01-25	VYDAJ	VYBER	16700	46613	\N	\N	\N
606810	2065	1997-02-24	VYDAJ	VYBER	14400	41422	\N	\N	\N
606811	2065	1997-03-26	VYDAJ	VYBER	16700	36277	\N	\N	\N
606812	2065	1997-04-25	VYDAJ	VYBER	11700	36602	\N	\N	\N
606813	2065	1997-05-25	VYDAJ	VYBER	9500	38628	\N	\N	\N
606814	2065	1997-06-24	VYDAJ	VYBER	12200	37731	\N	\N	\N
606815	2065	1997-07-24	VYDAJ	VYBER	17200	36286	\N	\N	\N
606816	2065	1997-08-23	VYDAJ	VYBER	18200	33825	\N	\N	\N
606817	2065	1997-09-22	VYDAJ	VYBER	17700	31855	\N	\N	\N
606818	2065	1997-10-22	VYDAJ	VYBER	18300	29274	\N	\N	\N
606819	2065	1997-11-21	VYDAJ	VYBER	12300	32683	\N	\N	\N
606820	2065	1997-12-21	VYDAJ	VYBER	18300	36692	\N	\N	\N
606821	2065	1998-01-20	VYDAJ	VYBER	6600	36941	\N	\N	\N
606822	2065	1998-02-19	VYDAJ	VYBER	12800	27003	\N	\N	\N
606823	2065	1998-03-21	VYDAJ	VYBER	13800	26723	\N	\N	\N
606824	2065	1998-04-20	VYDAJ	VYBER	18200	24212	\N	\N	\N
606825	2065	1998-05-20	VYDAJ	VYBER	14900	24995	\N	\N	\N
606826	2065	1998-06-19	VYDAJ	VYBER	22600	27396	\N	\N	\N
606827	2065	1998-07-19	VYDAJ	VYBER	19500	23586	\N	\N	\N
606828	2065	1998-08-18	VYDAJ	VYBER	15600	23667	\N	\N	\N
606829	2065	1998-09-17	VYDAJ	VYBER	20700	18636	\N	\N	\N
606830	2065	1998-10-17	VYDAJ	VYBER	16700	17593	\N	\N	\N
606831	2065	1998-11-16	VYDAJ	VYBER	13600	18317	\N	\N	\N
606832	2065	1998-12-16	VYDAJ	VYBER	22300	20979	\N	\N	\N
606861	2066	1996-08-07	PRIJEM	VKLAD	400	400	\N	\N	\N
606869	2066	1996-08-11	PRIJEM	PREVOD Z UCTU	3758	4158	\N	EF	93834441
606870	2066	1996-09-11	PRIJEM	PREVOD Z UCTU	3758	17128	\N	EF	93834441
606871	2066	1996-10-11	PRIJEM	PREVOD Z UCTU	3758	27539	\N	EF	93834441
606872	2066	1996-11-11	PRIJEM	PREVOD Z UCTU	3758	32498	\N	EF	93834441
606873	2066	1996-12-11	PRIJEM	PREVOD Z UCTU	3758	33684	\N	EF	93834441
606874	2066	1997-01-11	PRIJEM	PREVOD Z UCTU	3758	31768	\N	EF	93834441
606875	2066	1997-02-11	PRIJEM	PREVOD Z UCTU	3758	34443	\N	EF	93834441
606876	2066	1997-03-11	PRIJEM	PREVOD Z UCTU	3758	32996	\N	EF	93834441
606877	2066	1997-04-11	PRIJEM	PREVOD Z UCTU	3758	30957	\N	EF	93834441
606878	2066	1997-05-11	PRIJEM	PREVOD Z UCTU	3758	30403	\N	EF	93834441
606879	2066	1997-06-11	PRIJEM	PREVOD Z UCTU	3758	30042	\N	EF	93834441
606880	2066	1997-07-11	PRIJEM	PREVOD Z UCTU	3758	28488	\N	EF	93834441
606881	2066	1997-08-11	PRIJEM	PREVOD Z UCTU	3758	27928	\N	EF	93834441
606882	2066	1997-09-11	PRIJEM	PREVOD Z UCTU	3758	23579	\N	EF	93834441
606883	2066	1997-10-11	PRIJEM	PREVOD Z UCTU	3758	22505	\N	EF	93834441
606884	2066	1997-11-11	PRIJEM	PREVOD Z UCTU	3758	22224	\N	EF	93834441
606885	2066	1997-12-11	PRIJEM	PREVOD Z UCTU	3758	20898	\N	EF	93834441
606886	2066	1998-01-11	PRIJEM	PREVOD Z UCTU	3758	23809	\N	EF	93834441
606887	2066	1998-02-11	PRIJEM	PREVOD Z UCTU	3758	23508	\N	EF	93834441
606888	2066	1998-03-11	PRIJEM	PREVOD Z UCTU	3758	21927	\N	EF	93834441
606889	2066	1998-04-11	PRIJEM	PREVOD Z UCTU	3758	18748	\N	EF	93834441
606890	2066	1998-05-11	PRIJEM	PREVOD Z UCTU	3758	17147	\N	EF	93834441
606891	2066	1998-06-11	PRIJEM	PREVOD Z UCTU	3758	15039	\N	EF	93834441
606892	2066	1998-07-11	PRIJEM	PREVOD Z UCTU	3758	15023	\N	EF	93834441
606893	2066	1998-08-11	PRIJEM	PREVOD Z UCTU	3758	13806	\N	EF	93834441
606894	2066	1998-09-11	PRIJEM	PREVOD Z UCTU	3758	13385	\N	EF	93834441
606895	2066	1998-10-11	PRIJEM	PREVOD Z UCTU	3758	14862	\N	EF	93834441
606896	2066	1998-11-11	PRIJEM	PREVOD Z UCTU	3758	16346	\N	EF	93834441
606897	2066	1998-12-11	PRIJEM	PREVOD Z UCTU	3758	17836	\N	EF	93834441
606910	2066	1997-01-10	VYDAJ	PREVOD NA UCET	2319	28010	SIPO	WX	35182011
606911	2066	1997-02-10	VYDAJ	PREVOD NA UCET	2319	30685	SIPO	WX	35182011
606912	2066	1997-03-10	VYDAJ	PREVOD NA UCET	2319	29238	SIPO	WX	35182011
606913	2066	1997-04-10	VYDAJ	PREVOD NA UCET	2319	27199	SIPO	WX	35182011
606914	2066	1997-05-10	VYDAJ	PREVOD NA UCET	2319	26645	SIPO	WX	35182011
606915	2066	1997-06-10	VYDAJ	PREVOD NA UCET	2319	26284	SIPO	WX	35182011
606916	2066	1997-07-10	VYDAJ	PREVOD NA UCET	2319	24730	SIPO	WX	35182011
606917	2066	1997-08-10	VYDAJ	PREVOD NA UCET	2319	24170	SIPO	WX	35182011
606918	2066	1997-09-10	VYDAJ	PREVOD NA UCET	2319	19821	SIPO	WX	35182011
606919	2066	1997-10-10	VYDAJ	PREVOD NA UCET	2319	18747	SIPO	WX	35182011
606920	2066	1997-11-10	VYDAJ	PREVOD NA UCET	2319	18466	SIPO	WX	35182011
606921	2066	1997-12-10	VYDAJ	PREVOD NA UCET	2319	17140	SIPO	WX	35182011
606922	2066	1998-01-10	VYDAJ	PREVOD NA UCET	2319	20051	SIPO	WX	35182011
606923	2066	1998-02-10	VYDAJ	PREVOD NA UCET	2319	19750	SIPO	WX	35182011
606924	2066	1998-03-10	VYDAJ	PREVOD NA UCET	2319	18169	SIPO	WX	35182011
606925	2066	1998-04-10	VYDAJ	PREVOD NA UCET	2319	14990	SIPO	WX	35182011
606926	2066	1998-05-10	VYDAJ	PREVOD NA UCET	2319	13389	SIPO	WX	35182011
606927	2066	1998-06-10	VYDAJ	PREVOD NA UCET	2319	11281	SIPO	WX	35182011
606928	2066	1998-07-10	VYDAJ	PREVOD NA UCET	2319	11265	SIPO	WX	35182011
606929	2066	1998-08-10	VYDAJ	PREVOD NA UCET	2319	10048	SIPO	WX	35182011
606930	2066	1998-09-10	VYDAJ	PREVOD NA UCET	2319	9627	SIPO	WX	35182011
606931	2066	1998-10-10	VYDAJ	PREVOD NA UCET	2319	11104	SIPO	WX	35182011
606932	2066	1998-11-10	VYDAJ	PREVOD NA UCET	2319	12588	SIPO	WX	35182011
606933	2066	1998-12-10	VYDAJ	PREVOD NA UCET	2319	14078	SIPO	WX	35182011
606935	2066	1997-06-27	VYDAJ	VYBER	4200	25842	\N	\N	\N
606938	2066	1997-01-08	VYDAJ	VYBER	2280	30329	\N	\N	\N
606939	2066	1998-01-14	VYDAJ	VYBER	780	23029	\N	\N	\N
606941	2066	1997-12-05	VYDAJ	VYBER	840	19459	\N	\N	\N
606942	2066	1998-12-29	VYDAJ	VYBER	450	14186	\N	\N	\N
606947	2066	1997-01-13	VYDAJ	VYBER	780	30988	\N	\N	\N
606948	2066	1997-08-11	VYDAJ	VYBER	990	26938	\N	\N	\N
606949	2066	1997-03-04	VYDAJ	VYBER	510	34057	\N	\N	\N
606950	2066	1997-05-19	VYDAJ	VYBER	510	29893	\N	\N	\N
606951	2066	1997-05-01	VYDAJ	VYBER	510	30564	\N	\N	\N
606952	2066	1998-03-11	VYDAJ	VYBER	690	21237	\N	\N	\N
606954	2066	1998-01-14	VYDAJ	VYBER	1140	21889	\N	\N	\N
606967	2066	1996-12-31	VYDAJ	VYBER	15	33809	SLUZBY	\N	\N
606968	2066	1997-01-31	VYDAJ	VYBER	15	31104	SLUZBY	\N	\N
606969	2066	1997-02-28	VYDAJ	VYBER	15	34567	SLUZBY	\N	\N
606970	2066	1997-03-31	VYDAJ	VYBER	15	33118	SLUZBY	\N	\N
606971	2066	1997-04-30	VYDAJ	VYBER	15	31074	SLUZBY	\N	\N
606972	2066	1997-05-31	VYDAJ	VYBER	15	30003	SLUZBY	\N	\N
606973	2066	1997-06-30	VYDAJ	VYBER	15	25949	SLUZBY	\N	\N
606974	2066	1997-07-31	VYDAJ	VYBER	15	28589	SLUZBY	\N	\N
606975	2066	1997-08-31	VYDAJ	VYBER	15	27040	SLUZBY	\N	\N
606976	2066	1997-09-30	VYDAJ	VYBER	15	23666	SLUZBY	\N	\N
606977	2066	1997-10-31	VYDAJ	VYBER	15	20785	SLUZBY	\N	\N
606978	2066	1997-11-30	VYDAJ	VYBER	15	20299	SLUZBY	\N	\N
606979	2066	1997-12-31	VYDAJ	VYBER	15	22370	SLUZBY	\N	\N
606980	2066	1998-01-31	VYDAJ	VYBER	15	22069	SLUZBY	\N	\N
606981	2066	1998-02-28	VYDAJ	VYBER	15	20488	SLUZBY	\N	\N
606982	2066	1998-03-31	VYDAJ	VYBER	15	17309	SLUZBY	\N	\N
606983	2066	1998-04-30	VYDAJ	VYBER	15	15708	SLUZBY	\N	\N
606984	2066	1998-05-31	VYDAJ	VYBER	15	13600	SLUZBY	\N	\N
606985	2066	1998-06-30	VYDAJ	VYBER	15	13584	SLUZBY	\N	\N
606986	2066	1998-07-31	VYDAJ	VYBER	15	12367	SLUZBY	\N	\N
606987	2066	1998-08-31	VYDAJ	VYBER	15	11946	SLUZBY	\N	\N
606988	2066	1998-09-30	VYDAJ	VYBER	15	13423	SLUZBY	\N	\N
606989	2066	1998-10-31	VYDAJ	VYBER	15	14907	SLUZBY	\N	\N
606990	2066	1998-11-30	VYDAJ	VYBER	15	16397	SLUZBY	\N	\N
606991	2066	1996-09-06	PRIJEM	VKLAD	9200	13370	\N	\N	\N
606992	2066	1996-10-06	PRIJEM	VKLAD	6600	23781	\N	\N	\N
606993	2066	1996-11-05	PRIJEM	VKLAD	1100	28740	\N	\N	\N
606994	2066	1996-12-05	VYDAJ	VYBER	2700	29926	\N	\N	\N
606995	2066	1997-01-04	VYDAJ	VYBER	1200	32609	\N	\N	\N
606996	2066	1997-02-03	PRIJEM	VKLAD	1900	33004	\N	\N	\N
606997	2066	1997-03-05	VYDAJ	VYBER	2500	31557	\N	\N	\N
606998	2066	1997-04-04	VYDAJ	VYBER	3600	29518	\N	\N	\N
606999	2066	1997-05-04	VYDAJ	VYBER	1600	28964	\N	\N	\N
607000	2066	1997-06-03	VYDAJ	VYBER	1400	28603	\N	\N	\N
607001	2066	1997-07-03	PRIJEM	VKLAD	1100	27049	\N	\N	\N
607002	2066	1997-08-02	VYDAJ	VYBER	2100	26489	\N	\N	\N
607003	2066	1997-09-01	VYDAJ	VYBER	4900	22140	\N	\N	\N
607004	2066	1997-10-01	VYDAJ	VYBER	2600	21066	\N	\N	\N
607005	2066	1997-10-31	VYDAJ	VYBER	1800	20799	\N	\N	\N
607006	2066	1997-11-30	VYDAJ	VYBER	2000	20314	\N	\N	\N
607007	2066	1997-12-30	PRIJEM	VKLAD	1400	22298	\N	\N	\N
607008	2066	1998-01-29	PRIJEM	VKLAD	100	21989	\N	\N	\N
607009	2066	1998-02-28	VYDAJ	VYBER	3100	20503	\N	\N	\N
607010	2066	1998-03-30	VYDAJ	VYBER	4000	17237	\N	\N	\N
607011	2066	1998-04-29	VYDAJ	VYBER	3100	15648	\N	\N	\N
607012	2066	1998-05-29	VYDAJ	VYBER	3600	13547	\N	\N	\N
607013	2066	1998-06-28	VYDAJ	VYBER	1500	13539	\N	\N	\N
607014	2066	1998-07-28	VYDAJ	VYBER	2700	12323	\N	\N	\N
607015	2066	1998-08-27	VYDAJ	VYBER	1900	11906	\N	\N	\N
607016	2066	1998-12-25	VYDAJ	VYBER	3200	14636	\N	\N	\N
607046	2067	1994-04-07	PRIJEM	VKLAD	400	400	\N	\N	\N
607047	2067	1994-08-13	PRIJEM	VKLAD	16405	41123	\N	\N	\N
607048	2067	1994-08-30	PRIJEM	VKLAD	14471	55294	\N	\N	\N
607049	2067	1995-08-06	PRIJEM	VKLAD	32612	59769	\N	\N	\N
607050	2067	1995-01-16	PRIJEM	VKLAD	11763	28602	\N	\N	\N
607051	2067	1996-10-13	PRIJEM	VKLAD	15102	49813	\N	\N	\N
607052	2067	1996-10-17	PRIJEM	VKLAD	11977	62990	\N	\N	\N
607053	2067	1997-03-20	PRIJEM	VKLAD	45276	86543	\N	\N	\N
607054	2067	1997-05-27	PRIJEM	VKLAD	9728	59808	\N	\N	\N
607055	2067	1998-04-15	PRIJEM	VKLAD	8646	78411	\N	\N	\N
607056	2067	1998-07-30	PRIJEM	VKLAD	12610	83820	\N	\N	\N
607060	2067	1994-04-13	PRIJEM	VKLAD	1200	1600	\N	\N	\N
607061	2067	1994-05-13	PRIJEM	VKLAD	1200	14804	\N	\N	\N
607062	2067	1994-06-14	PRIJEM	VKLAD	1200	21844	\N	\N	\N
607063	2067	1994-07-14	PRIJEM	VKLAD	1200	23623	\N	\N	\N
607064	2067	1994-08-13	PRIJEM	VKLAD	1200	24718	\N	\N	\N
607065	2067	1994-09-17	PRIJEM	VKLAD	1200	40098	\N	\N	\N
607066	2067	1994-10-14	PRIJEM	VKLAD	1200	32484	\N	\N	\N
607067	2067	1994-11-13	PRIJEM	VKLAD	1200	30619	\N	\N	\N
607068	2067	1994-12-13	PRIJEM	VKLAD	1200	28433	\N	\N	\N
607069	2067	1995-01-15	PRIJEM	VKLAD	1200	16839	\N	\N	\N
607070	2067	1995-02-16	PRIJEM	VKLAD	1200	26129	\N	\N	\N
607071	2067	1995-03-17	PRIJEM	VKLAD	1200	26913	\N	\N	\N
607072	2067	1995-04-13	PRIJEM	VKLAD	1200	25409	\N	\N	\N
607073	2067	1995-05-16	PRIJEM	VKLAD	1200	24603	\N	\N	\N
607074	2067	1995-06-16	PRIJEM	VKLAD	1200	25190	\N	\N	\N
607075	2067	1995-07-16	PRIJEM	VKLAD	1200	26773	\N	\N	\N
607076	2067	1995-08-17	PRIJEM	VKLAD	1200	60969	\N	\N	\N
607077	2067	1995-09-13	PRIJEM	VKLAD	1200	45431	\N	\N	\N
607078	2067	1995-10-17	PRIJEM	VKLAD	1200	37999	\N	\N	\N
607079	2067	1995-11-14	PRIJEM	VKLAD	1200	34436	\N	\N	\N
607080	2067	1995-12-17	PRIJEM	VKLAD	1200	29859	\N	\N	\N
607081	2067	1996-01-17	PRIJEM	VKLAD	1200	25421	\N	\N	\N
607082	2067	1996-02-13	PRIJEM	VKLAD	1200	21611	\N	\N	\N
607083	2067	1996-03-16	PRIJEM	VKLAD	1200	29988	\N	\N	\N
607084	2067	1996-04-14	PRIJEM	VKLAD	1200	34896	\N	\N	\N
607085	2067	1996-05-16	PRIJEM	VKLAD	1200	38374	\N	\N	\N
607086	2067	1996-06-14	PRIJEM	VKLAD	1200	38314	\N	\N	\N
607087	2067	1996-07-17	PRIJEM	VKLAD	1200	32840	\N	\N	\N
607088	2067	1996-08-13	PRIJEM	VKLAD	1200	34958	\N	\N	\N
607089	2067	1996-09-15	PRIJEM	VKLAD	1200	35184	\N	\N	\N
607090	2067	1996-10-13	PRIJEM	VKLAD	1200	51013	\N	\N	\N
607091	2067	1996-11-17	PRIJEM	VKLAD	1200	52670	\N	\N	\N
607092	2067	1996-12-15	PRIJEM	VKLAD	1200	50166	\N	\N	\N
607093	2067	1997-01-16	PRIJEM	VKLAD	1200	34797	\N	\N	\N
607094	2067	1997-02-15	PRIJEM	VKLAD	1200	36130	\N	\N	\N
607095	2067	1997-03-16	PRIJEM	VKLAD	1200	41267	\N	\N	\N
607096	2067	1997-04-15	PRIJEM	VKLAD	1200	64240	\N	\N	\N
607097	2067	1997-05-16	PRIJEM	VKLAD	1200	56280	\N	\N	\N
607098	2067	1997-06-13	PRIJEM	VKLAD	1200	40621	\N	\N	\N
607099	2067	1997-07-17	PRIJEM	VKLAD	1200	35008	\N	\N	\N
607100	2067	1997-08-14	PRIJEM	VKLAD	1200	48054	\N	\N	\N
607101	2067	1997-09-13	PRIJEM	VKLAD	1200	53643	\N	\N	\N
607102	2067	1997-10-14	PRIJEM	VKLAD	1200	58605	\N	\N	\N
607103	2067	1997-11-16	PRIJEM	VKLAD	1200	60632	\N	\N	\N
607104	2067	1997-12-14	PRIJEM	VKLAD	1200	61464	\N	\N	\N
607105	2067	1998-01-15	PRIJEM	VKLAD	1200	57209	\N	\N	\N
607106	2067	1998-02-13	PRIJEM	VKLAD	1200	53185	\N	\N	\N
607107	2067	1998-03-16	PRIJEM	VKLAD	1200	63608	\N	\N	\N
607108	2067	1998-04-16	PRIJEM	VKLAD	1200	79611	\N	\N	\N
607109	2067	1998-05-15	PRIJEM	VKLAD	1200	79202	\N	\N	\N
607110	2067	1998-06-17	PRIJEM	VKLAD	1200	56259	\N	\N	\N
607111	2067	1998-07-14	PRIJEM	VKLAD	1200	57710	\N	\N	\N
607112	2067	1998-08-17	PRIJEM	VKLAD	1200	91075	\N	\N	\N
607113	2067	1998-09-15	PRIJEM	VKLAD	1200	94522	\N	\N	\N
607114	2067	1998-10-13	PRIJEM	VKLAD	1200	95393	\N	\N	\N
607115	2067	1998-11-15	PRIJEM	VKLAD	1200	89108	\N	\N	\N
607116	2067	1998-12-15	PRIJEM	VKLAD	1200	88163	\N	\N	\N
607118	2067	1995-06-21	VYDAJ	VYBER	4800	20390	\N	\N	\N
607119	2067	1996-06-19	VYDAJ	VYBER	12400	25914	\N	\N	\N
607120	2067	1997-06-27	VYDAJ	VYBER	12400	33621	\N	\N	\N
607121	2067	1998-06-14	VYDAJ	VYBER	29500	34559	\N	\N	\N
607123	2067	1995-01-03	VYDAJ	VYBER	9400	18839	\N	\N	\N
607124	2067	1996-01-24	VYDAJ	VYBER	9700	15471	\N	\N	\N
607125	2067	1997-01-03	VYDAJ	VYBER	5000	35647	\N	\N	\N
607126	2067	1998-01-10	VYDAJ	VYBER	6300	56009	\N	\N	\N
607130	2067	1997-06-03	VYDAJ	VYBER	20600	39421	\N	\N	\N
607131	2067	1998-06-01	VYDAJ	VYBER	12900	64059	\N	\N	\N
607133	2067	1995-01-24	VYDAJ	VYBER	3300	23902	\N	\N	\N
607134	2067	1996-01-07	VYDAJ	VYBER	5400	25471	\N	\N	\N
607135	2067	1997-01-23	VYDAJ	VYBER	5100	34797	\N	\N	\N
607136	2067	1998-01-24	VYDAJ	VYBER	2500	54259	\N	\N	\N
607137	2067	1994-12-08	VYDAJ	VYBER	600	27233	\N	\N	\N
607138	2067	1995-12-10	VYDAJ	VYBER	2100	28659	\N	\N	\N
607139	2067	1996-12-29	VYDAJ	VYBER	2800	41166	\N	\N	\N
607140	2067	1997-12-27	VYDAJ	VYBER	2800	63164	\N	\N	\N
607141	2067	1998-12-24	VYDAJ	VYBER	1600	86563	\N	\N	\N
607148	2067	1995-01-21	VYDAJ	VYBER	1400	27202	\N	\N	\N
607149	2067	1995-01-10	VYDAJ	VYBER	1400	16389	\N	\N	\N
607150	2067	1995-01-25	VYDAJ	VYBER	1250	22652	\N	\N	\N
607151	2067	1995-01-06	VYDAJ	VYBER	1050	17789	\N	\N	\N
607152	2067	1995-01-12	VYDAJ	VYBER	750	15639	\N	\N	\N
607153	2067	1995-01-01	VYDAJ	VYBER	300	28239	\N	\N	\N
607154	2067	1996-01-23	VYDAJ	VYBER	250	25171	\N	\N	\N
607155	2067	1996-01-16	VYDAJ	VYBER	1250	24221	\N	\N	\N
607156	2067	1996-01-25	VYDAJ	VYBER	1000	13621	\N	\N	\N
607157	2067	1996-01-29	VYDAJ	VYBER	1450	21971	\N	\N	\N
607158	2067	1996-01-05	VYDAJ	VYBER	1200	30871	\N	\N	\N
607160	2067	1997-01-02	VYDAJ	VYBER	700	40647	\N	\N	\N
607161	2067	1997-01-22	VYDAJ	VYBER	600	39897	\N	\N	\N
607162	2067	1997-01-13	VYDAJ	VYBER	1300	34347	\N	\N	\N
607163	2067	1997-01-21	VYDAJ	VYBER	550	40497	\N	\N	\N
607164	2067	1997-01-14	VYDAJ	VYBER	750	33597	\N	\N	\N
607165	2067	1997-01-17	VYDAJ	VYBER	350	34447	\N	\N	\N
607166	2067	1998-01-23	VYDAJ	VYBER	1400	56759	\N	\N	\N
607167	2067	1998-01-20	VYDAJ	VYBER	1300	58159	\N	\N	\N
607168	2067	1998-01-18	VYDAJ	VYBER	1100	60809	\N	\N	\N
607169	2067	1998-01-26	VYDAJ	VYBER	800	53459	\N	\N	\N
607170	2067	1998-01-17	VYDAJ	VYBER	800	61909	\N	\N	\N
607171	2067	1998-01-19	VYDAJ	VYBER	1350	59459	\N	\N	\N
607172	2067	1994-11-09	VYDAJ	VYBER	1100	29419	\N	\N	\N
607174	2067	1994-08-26	VYDAJ	VYBER	300	40823	\N	\N	\N
607176	2067	1995-05-07	VYDAJ	VYBER	1700	23403	\N	\N	\N
607177	2067	1995-01-30	VYDAJ	VYBER	1300	21352	\N	\N	\N
607178	2067	1996-01-24	VYDAJ	VYBER	850	14621	\N	\N	\N
607179	2067	1996-06-25	VYDAJ	VYBER	800	31514	\N	\N	\N
607180	2067	1996-04-24	VYDAJ	VYBER	650	34246	\N	\N	\N
607181	2067	1996-02-17	VYDAJ	VYBER	2200	19411	\N	\N	\N
607182	2067	1996-02-12	VYDAJ	VYBER	1650	20411	\N	\N	\N
607183	2067	1997-04-05	VYDAJ	VYBER	1800	63040	\N	\N	\N
607184	2067	1997-09-25	VYDAJ	VYBER	1650	57193	\N	\N	\N
607185	2067	1997-08-28	VYDAJ	VYBER	400	52254	\N	\N	\N
607186	2067	1998-10-15	VYDAJ	VYBER	1850	89643	\N	\N	\N
607187	2067	1998-02-02	VYDAJ	VYBER	350	51985	\N	\N	\N
607188	2067	1998-10-10	VYDAJ	VYBER	700	94193	\N	\N	\N
607189	2067	1998-01-29	VYDAJ	VYBER	1100	52359	\N	\N	\N
607190	2067	1998-01-29	VYDAJ	VYBER	250	52109	\N	\N	\N
607191	2067	1998-01-09	VYDAJ	VYBER	1100	62309	\N	\N	\N
607192	2067	1998-05-27	VYDAJ	VYBER	1250	76652	\N	\N	\N
607201	2067	1994-08-31	VYDAJ	VYBER	15	55398	SLUZBY	\N	\N
607202	2067	1994-09-30	VYDAJ	VYBER	15	40284	SLUZBY	\N	\N
607203	2067	1994-10-31	VYDAJ	VYBER	15	32619	SLUZBY	\N	\N
607204	2067	1994-11-30	VYDAJ	VYBER	15	30733	SLUZBY	\N	\N
607205	2067	1994-12-31	VYDAJ	VYBER	15	28539	SLUZBY	\N	\N
607206	2067	1995-01-31	VYDAJ	VYBER	15	21429	SLUZBY	\N	\N
607207	2067	1995-02-28	VYDAJ	VYBER	15	26213	SLUZBY	\N	\N
607208	2067	1995-03-31	VYDAJ	VYBER	15	27009	SLUZBY	\N	\N
607209	2067	1995-04-30	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
607210	2067	1995-05-31	VYDAJ	VYBER	15	24690	SLUZBY	\N	\N
607211	2067	1995-06-30	VYDAJ	VYBER	15	20473	SLUZBY	\N	\N
607212	2067	1995-07-31	VYDAJ	VYBER	15	27157	SLUZBY	\N	\N
607213	2067	1995-08-31	VYDAJ	VYBER	15	44231	SLUZBY	\N	\N
607214	2067	1995-09-30	VYDAJ	VYBER	15	36799	SLUZBY	\N	\N
607215	2067	1995-10-31	VYDAJ	VYBER	15	33236	SLUZBY	\N	\N
607216	2067	1995-11-30	VYDAJ	VYBER	15	30759	SLUZBY	\N	\N
607217	2067	1995-12-31	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
607218	2067	1996-01-31	VYDAJ	VYBER	15	22061	SLUZBY	\N	\N
607219	2067	1996-02-29	VYDAJ	VYBER	15	28788	SLUZBY	\N	\N
607220	2067	1996-03-31	VYDAJ	VYBER	15	33696	SLUZBY	\N	\N
607221	2067	1996-04-30	VYDAJ	VYBER	15	37174	SLUZBY	\N	\N
607222	2067	1996-05-31	VYDAJ	VYBER	15	37114	SLUZBY	\N	\N
607223	2067	1996-06-30	VYDAJ	VYBER	15	31640	SLUZBY	\N	\N
607224	2067	1996-07-31	VYDAJ	VYBER	15	33758	SLUZBY	\N	\N
607225	2067	1996-08-31	VYDAJ	VYBER	15	33984	SLUZBY	\N	\N
607226	2067	1996-09-30	VYDAJ	VYBER	15	34711	SLUZBY	\N	\N
607227	2067	1996-10-31	VYDAJ	VYBER	15	51470	SLUZBY	\N	\N
607228	2067	1996-11-30	VYDAJ	VYBER	15	48966	SLUZBY	\N	\N
607229	2067	1996-12-31	VYDAJ	VYBER	15	41347	SLUZBY	\N	\N
607230	2067	1997-01-31	VYDAJ	VYBER	15	34930	SLUZBY	\N	\N
607231	2067	1997-02-28	VYDAJ	VYBER	15	40067	SLUZBY	\N	\N
607232	2067	1997-03-31	VYDAJ	VYBER	15	64840	SLUZBY	\N	\N
607233	2067	1997-04-30	VYDAJ	VYBER	15	55080	SLUZBY	\N	\N
607234	2067	1997-05-31	VYDAJ	VYBER	15	60021	SLUZBY	\N	\N
607235	2067	1997-06-30	VYDAJ	VYBER	15	33808	SLUZBY	\N	\N
607236	2067	1997-07-31	VYDAJ	VYBER	15	46854	SLUZBY	\N	\N
607237	2067	1997-08-31	VYDAJ	VYBER	15	52443	SLUZBY	\N	\N
607238	2067	1997-09-30	VYDAJ	VYBER	15	57405	SLUZBY	\N	\N
607239	2067	1997-10-31	VYDAJ	VYBER	15	59432	SLUZBY	\N	\N
607240	2067	1997-11-30	VYDAJ	VYBER	15	60264	SLUZBY	\N	\N
607241	2067	1997-12-31	VYDAJ	VYBER	15	63409	SLUZBY	\N	\N
607242	2067	1998-01-31	VYDAJ	VYBER	15	52335	SLUZBY	\N	\N
607243	2067	1998-02-28	VYDAJ	VYBER	15	62408	SLUZBY	\N	\N
607244	2067	1998-03-31	VYDAJ	VYBER	15	69765	SLUZBY	\N	\N
607245	2067	1998-04-30	VYDAJ	VYBER	15	78002	SLUZBY	\N	\N
607246	2067	1998-05-31	VYDAJ	VYBER	15	76959	SLUZBY	\N	\N
607247	2067	1998-06-30	VYDAJ	VYBER	15	56510	SLUZBY	\N	\N
607248	2067	1998-07-31	VYDAJ	VYBER	15	84075	SLUZBY	\N	\N
607249	2067	1998-08-31	VYDAJ	VYBER	15	91422	SLUZBY	\N	\N
607250	2067	1998-09-30	VYDAJ	VYBER	15	94893	SLUZBY	\N	\N
607251	2067	1998-10-31	VYDAJ	VYBER	15	90008	SLUZBY	\N	\N
607252	2067	1998-11-30	VYDAJ	VYBER	15	89463	SLUZBY	\N	\N
607253	2067	1994-05-07	PRIJEM	VKLAD	12000	13604	\N	\N	\N
607254	2067	1994-06-06	PRIJEM	VKLAD	5800	20644	\N	\N	\N
607255	2067	1994-07-06	PRIJEM	VKLAD	500	22423	\N	\N	\N
607256	2067	1994-08-05	VYDAJ	VYBER	200	23518	\N	\N	\N
607257	2067	1994-09-04	VYDAJ	VYBER	16500	38898	\N	\N	\N
607258	2067	1994-10-04	VYDAJ	VYBER	9000	31284	\N	\N	\N
607259	2067	1994-11-03	VYDAJ	VYBER	2100	30519	\N	\N	\N
607260	2067	1994-12-03	VYDAJ	VYBER	2900	27833	\N	\N	\N
607261	2067	1995-02-01	PRIJEM	VKLAD	3500	24929	\N	\N	\N
607262	2067	1995-03-03	VYDAJ	VYBER	500	25713	\N	\N	\N
607263	2067	1995-04-02	VYDAJ	VYBER	2800	24209	\N	\N	\N
607264	2067	1995-05-02	VYDAJ	VYBER	400	25103	\N	\N	\N
607265	2067	1995-06-01	VYDAJ	VYBER	700	23990	\N	\N	\N
607266	2067	1995-07-01	PRIJEM	VKLAD	5100	25573	\N	\N	\N
607267	2067	1995-07-31	PRIJEM	VKLAD	300	27172	\N	\N	\N
607268	2067	1995-08-30	VYDAJ	VYBER	16900	44069	\N	\N	\N
607269	2067	1995-09-29	VYDAJ	VYBER	8800	36631	\N	\N	\N
607270	2067	1995-10-29	VYDAJ	VYBER	4900	33099	\N	\N	\N
607271	2067	1995-11-28	VYDAJ	VYBER	3800	30636	\N	\N	\N
607272	2067	1995-12-28	PRIJEM	VKLAD	2100	31959	\N	\N	\N
607273	2067	1996-01-27	PRIJEM	VKLAD	9800	23421	\N	\N	\N
607274	2067	1996-02-26	PRIJEM	VKLAD	9300	28711	\N	\N	\N
607275	2067	1996-03-27	PRIJEM	VKLAD	3600	33588	\N	\N	\N
607276	2067	1996-04-26	PRIJEM	VKLAD	2800	37046	\N	\N	\N
607277	2067	1996-05-26	VYDAJ	VYBER	1400	36974	\N	\N	\N
607278	2067	1996-06-25	PRIJEM	VKLAD	6400	32314	\N	\N	\N
607279	2067	1996-07-25	PRIJEM	VKLAD	800	33640	\N	\N	\N
607280	2067	1996-08-24	VYDAJ	VYBER	1100	33858	\N	\N	\N
607281	2067	1996-09-23	VYDAJ	VYBER	600	34584	\N	\N	\N
607282	2067	1996-10-23	VYDAJ	VYBER	11700	51290	\N	\N	\N
607283	2067	1996-11-22	VYDAJ	VYBER	3900	48770	\N	\N	\N
607284	2067	1996-12-22	VYDAJ	VYBER	6200	43966	\N	\N	\N
607285	2067	1997-01-21	PRIJEM	VKLAD	6600	41047	\N	\N	\N
607286	2067	1997-02-20	PRIJEM	VKLAD	3800	39930	\N	\N	\N
607287	2067	1997-03-22	VYDAJ	VYBER	21900	64643	\N	\N	\N
607288	2067	1997-04-21	VYDAJ	VYBER	9400	54840	\N	\N	\N
607289	2067	1997-05-21	VYDAJ	VYBER	6200	50080	\N	\N	\N
607290	2067	1997-06-20	PRIJEM	VKLAD	5400	46021	\N	\N	\N
607291	2067	1997-07-20	PRIJEM	VKLAD	11700	46708	\N	\N	\N
607292	2067	1997-08-19	PRIJEM	VKLAD	4600	52654	\N	\N	\N
607293	2067	1997-09-18	PRIJEM	VKLAD	5200	58843	\N	\N	\N
607294	2067	1997-10-18	PRIJEM	VKLAD	600	59205	\N	\N	\N
607295	2067	1997-11-17	VYDAJ	VYBER	600	60032	\N	\N	\N
607296	2067	1997-12-17	PRIJEM	VKLAD	4500	65964	\N	\N	\N
607297	2067	1998-01-16	PRIJEM	VKLAD	5500	62709	\N	\N	\N
607298	2067	1998-02-15	PRIJEM	VKLAD	9000	62185	\N	\N	\N
607299	2067	1998-03-17	PRIJEM	VKLAD	5900	69508	\N	\N	\N
607300	2067	1998-04-16	VYDAJ	VYBER	1900	77711	\N	\N	\N
607301	2067	1998-05-16	VYDAJ	VYBER	1300	77902	\N	\N	\N
607302	2067	1998-06-15	PRIJEM	VKLAD	20500	55059	\N	\N	\N
607303	2067	1998-07-15	PRIJEM	VKLAD	13500	71210	\N	\N	\N
607304	2067	1998-08-14	PRIJEM	VKLAD	5800	89875	\N	\N	\N
607305	2067	1998-09-13	PRIJEM	VKLAD	1900	93322	\N	\N	\N
607306	2067	1998-10-13	VYDAJ	VYBER	3900	91493	\N	\N	\N
607307	2067	1998-11-12	VYDAJ	VYBER	2100	87908	\N	\N	\N
607308	2067	1998-12-12	VYDAJ	VYBER	2500	86963	\N	\N	\N
607366	2068	1993-06-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
607372	2068	1993-06-09	PRIJEM	PREVOD Z UCTU	3937	5037	\N	AB	42463767
607373	2068	1993-07-09	PRIJEM	PREVOD Z UCTU	3937	19589	\N	AB	42463767
607374	2068	1993-08-09	PRIJEM	PREVOD Z UCTU	3937	24392	\N	AB	42463767
607375	2068	1993-09-09	PRIJEM	PREVOD Z UCTU	3937	26626	\N	AB	42463767
607376	2068	1993-10-09	PRIJEM	PREVOD Z UCTU	3937	28357	\N	AB	42463767
607377	2068	1993-11-09	PRIJEM	PREVOD Z UCTU	3937	30013	\N	AB	42463767
607378	2068	1993-12-09	PRIJEM	PREVOD Z UCTU	3937	27726	\N	AB	42463767
607379	2068	1994-01-09	PRIJEM	PREVOD Z UCTU	3937	29487	\N	AB	42463767
607380	2068	1994-02-09	PRIJEM	PREVOD Z UCTU	3937	29485	\N	AB	42463767
607381	2068	1994-03-09	PRIJEM	PREVOD Z UCTU	3937	27794	\N	AB	42463767
607382	2068	1994-04-09	PRIJEM	PREVOD Z UCTU	3937	28096	\N	AB	42463767
607383	2068	1994-05-09	PRIJEM	PREVOD Z UCTU	3937	29499	\N	AB	42463767
607384	2068	1994-06-09	PRIJEM	PREVOD Z UCTU	3937	29460	\N	AB	42463767
607385	2068	1994-07-09	PRIJEM	PREVOD Z UCTU	3937	31674	\N	AB	42463767
607386	2068	1994-08-09	PRIJEM	PREVOD Z UCTU	3937	28736	\N	AB	42463767
607387	2068	1994-09-09	PRIJEM	PREVOD Z UCTU	3937	28642	\N	AB	42463767
607388	2068	1994-10-09	PRIJEM	PREVOD Z UCTU	3937	29937	\N	AB	42463767
607389	2068	1994-11-09	PRIJEM	PREVOD Z UCTU	3937	29646	\N	AB	42463767
607390	2068	1994-12-09	PRIJEM	PREVOD Z UCTU	3937	30456	\N	AB	42463767
607391	2068	1995-01-09	PRIJEM	PREVOD Z UCTU	3937	28316	\N	AB	42463767
607392	2068	1995-02-09	PRIJEM	PREVOD Z UCTU	3937	25398	\N	AB	42463767
607393	2068	1995-03-09	PRIJEM	PREVOD Z UCTU	3937	25488	\N	AB	42463767
607394	2068	1995-04-09	PRIJEM	PREVOD Z UCTU	3937	25128	\N	AB	42463767
607395	2068	1995-05-09	PRIJEM	PREVOD Z UCTU	3937	24918	\N	AB	42463767
607396	2068	1995-06-09	PRIJEM	PREVOD Z UCTU	3937	20269	\N	AB	42463767
607397	2068	1995-07-09	PRIJEM	PREVOD Z UCTU	3937	24632	\N	AB	42463767
607398	2068	1995-08-09	PRIJEM	PREVOD Z UCTU	3937	24119	\N	AB	42463767
607399	2068	1995-09-09	PRIJEM	PREVOD Z UCTU	3937	23503	\N	AB	42463767
607400	2068	1995-10-09	PRIJEM	PREVOD Z UCTU	3937	19861	\N	AB	42463767
607401	2068	1995-11-09	PRIJEM	PREVOD Z UCTU	3937	18920	\N	AB	42463767
607402	2068	1995-12-09	PRIJEM	PREVOD Z UCTU	3937	19185	\N	AB	42463767
607403	2068	1996-01-09	PRIJEM	PREVOD Z UCTU	3937	21164	\N	AB	42463767
607404	2068	1996-02-09	PRIJEM	PREVOD Z UCTU	3937	22549	\N	AB	42463767
607405	2068	1996-03-09	PRIJEM	PREVOD Z UCTU	3937	20774	\N	AB	42463767
607406	2068	1996-04-09	PRIJEM	PREVOD Z UCTU	3937	20343	\N	AB	42463767
607407	2068	1996-05-09	PRIJEM	PREVOD Z UCTU	3937	20331	\N	AB	42463767
607408	2068	1996-06-09	PRIJEM	PREVOD Z UCTU	3937	17293	\N	AB	42463767
607409	2068	1996-07-09	PRIJEM	PREVOD Z UCTU	3937	19553	\N	AB	42463767
607410	2068	1996-08-09	PRIJEM	PREVOD Z UCTU	3937	15909	\N	AB	42463767
607411	2068	1996-09-09	PRIJEM	PREVOD Z UCTU	3937	17863	\N	AB	42463767
607412	2068	1996-10-09	PRIJEM	PREVOD Z UCTU	3937	17522	\N	AB	42463767
607413	2068	1996-11-09	PRIJEM	PREVOD Z UCTU	3937	18580	\N	AB	42463767
607414	2068	1996-12-09	PRIJEM	PREVOD Z UCTU	3937	15532	\N	AB	42463767
607415	2068	1997-01-09	PRIJEM	PREVOD Z UCTU	3937	16882	\N	AB	42463767
607416	2068	1997-02-09	PRIJEM	PREVOD Z UCTU	3937	14658	\N	AB	42463767
607417	2068	1997-03-09	PRIJEM	PREVOD Z UCTU	3937	16005	\N	AB	42463767
607418	2068	1997-04-09	PRIJEM	PREVOD Z UCTU	3937	18349	\N	AB	42463767
607419	2068	1997-05-09	PRIJEM	PREVOD Z UCTU	3937	17204	\N	AB	42463767
607420	2068	1997-06-09	PRIJEM	PREVOD Z UCTU	3937	16556	\N	AB	42463767
607421	2068	1997-07-09	PRIJEM	PREVOD Z UCTU	3937	18111	\N	AB	42463767
607422	2068	1997-08-09	PRIJEM	PREVOD Z UCTU	3937	16463	\N	AB	42463767
607423	2068	1997-09-09	PRIJEM	PREVOD Z UCTU	3937	16914	\N	AB	42463767
607424	2068	1997-10-09	PRIJEM	PREVOD Z UCTU	3937	14960	\N	AB	42463767
607425	2068	1997-11-09	PRIJEM	PREVOD Z UCTU	3937	16307	\N	AB	42463767
607426	2068	1997-12-09	PRIJEM	PREVOD Z UCTU	3937	16959	\N	AB	42463767
607427	2068	1998-01-09	PRIJEM	PREVOD Z UCTU	3937	18316	\N	AB	42463767
607428	2068	1998-02-09	PRIJEM	PREVOD Z UCTU	3937	16315	\N	AB	42463767
607429	2068	1998-03-09	PRIJEM	PREVOD Z UCTU	3937	19770	\N	AB	42463767
607430	2068	1998-04-09	PRIJEM	PREVOD Z UCTU	3937	17115	\N	AB	42463767
607431	2068	1998-05-09	PRIJEM	PREVOD Z UCTU	3937	16574	\N	AB	42463767
607432	2068	1998-06-09	PRIJEM	PREVOD Z UCTU	3937	17930	\N	AB	42463767
607433	2068	1998-07-09	PRIJEM	PREVOD Z UCTU	3937	16789	\N	AB	42463767
607434	2068	1998-08-09	PRIJEM	PREVOD Z UCTU	3937	18146	\N	AB	42463767
607435	2068	1998-09-09	PRIJEM	PREVOD Z UCTU	3937	19236	\N	AB	42463767
607436	2068	1998-10-09	PRIJEM	PREVOD Z UCTU	3937	20201	\N	AB	42463767
607437	2068	1998-11-09	PRIJEM	PREVOD Z UCTU	3937	17489	\N	AB	42463767
607438	2068	1998-12-09	PRIJEM	PREVOD Z UCTU	3937	16899	\N	AB	42463767
607448	2068	1993-10-10	VYDAJ	PREVOD NA UCET	172	28185	SIPO	QR	33975577
607449	2068	1993-11-10	VYDAJ	PREVOD NA UCET	172	29841	SIPO	QR	33975577
607450	2068	1993-12-10	VYDAJ	PREVOD NA UCET	172	27554	SIPO	QR	33975577
607451	2068	1994-01-10	VYDAJ	PREVOD NA UCET	172	29315	SIPO	QR	33975577
607452	2068	1994-02-10	VYDAJ	PREVOD NA UCET	172	29313	SIPO	QR	33975577
607453	2068	1994-03-10	VYDAJ	PREVOD NA UCET	172	27622	SIPO	QR	33975577
607454	2068	1994-04-10	VYDAJ	PREVOD NA UCET	172	27924	SIPO	QR	33975577
607455	2068	1994-05-10	VYDAJ	PREVOD NA UCET	172	29327	SIPO	QR	33975577
607456	2068	1994-06-10	VYDAJ	PREVOD NA UCET	172	29288	SIPO	QR	33975577
607457	2068	1994-07-10	VYDAJ	PREVOD NA UCET	172	31502	SIPO	QR	33975577
607458	2068	1994-08-10	VYDAJ	PREVOD NA UCET	172	28564	SIPO	QR	33975577
607459	2068	1994-09-10	VYDAJ	PREVOD NA UCET	172	28470	SIPO	QR	33975577
607460	2068	1994-10-10	VYDAJ	PREVOD NA UCET	172	29765	SIPO	QR	33975577
607461	2068	1994-11-10	VYDAJ	PREVOD NA UCET	172	29474	SIPO	QR	33975577
607462	2068	1994-12-10	VYDAJ	PREVOD NA UCET	172	30284	SIPO	QR	33975577
607463	2068	1995-01-10	VYDAJ	PREVOD NA UCET	172	28144	SIPO	QR	33975577
607464	2068	1995-02-10	VYDAJ	PREVOD NA UCET	172	25226	SIPO	QR	33975577
607465	2068	1995-03-10	VYDAJ	PREVOD NA UCET	172	25316	SIPO	QR	33975577
607466	2068	1995-04-10	VYDAJ	PREVOD NA UCET	172	24956	SIPO	QR	33975577
607467	2068	1995-05-10	VYDAJ	PREVOD NA UCET	172	24746	SIPO	QR	33975577
607468	2068	1995-06-10	VYDAJ	PREVOD NA UCET	172	20097	SIPO	QR	33975577
607469	2068	1995-07-10	VYDAJ	PREVOD NA UCET	172	24460	SIPO	QR	33975577
607470	2068	1995-08-10	VYDAJ	PREVOD NA UCET	172	23947	SIPO	QR	33975577
607471	2068	1995-09-10	VYDAJ	PREVOD NA UCET	172	23331	SIPO	QR	33975577
607472	2068	1995-10-10	VYDAJ	PREVOD NA UCET	172	19689	SIPO	QR	33975577
607473	2068	1995-11-10	VYDAJ	PREVOD NA UCET	172	18748	SIPO	QR	33975577
607474	2068	1995-12-10	VYDAJ	PREVOD NA UCET	172	19013	SIPO	QR	33975577
607475	2068	1996-01-10	VYDAJ	PREVOD NA UCET	172	19612	SIPO	QR	33975577
607476	2068	1996-02-10	VYDAJ	PREVOD NA UCET	172	22377	SIPO	QR	33975577
607477	2068	1996-03-10	VYDAJ	PREVOD NA UCET	172	20602	SIPO	QR	33975577
607478	2068	1996-04-10	VYDAJ	PREVOD NA UCET	172	20171	SIPO	QR	33975577
607479	2068	1996-05-10	VYDAJ	PREVOD NA UCET	172	20159	SIPO	QR	33975577
607480	2068	1996-06-10	VYDAJ	PREVOD NA UCET	172	17121	SIPO	QR	33975577
607481	2068	1996-07-10	VYDAJ	PREVOD NA UCET	172	19381	SIPO	QR	33975577
607482	2068	1996-08-10	VYDAJ	PREVOD NA UCET	172	15737	SIPO	QR	33975577
607483	2068	1996-09-10	VYDAJ	PREVOD NA UCET	172	17691	SIPO	QR	33975577
607484	2068	1996-10-10	VYDAJ	PREVOD NA UCET	172	17350	SIPO	QR	33975577
607485	2068	1996-11-10	VYDAJ	PREVOD NA UCET	172	18408	SIPO	QR	33975577
607486	2068	1996-12-10	VYDAJ	PREVOD NA UCET	172	15360	SIPO	QR	33975577
607487	2068	1997-01-10	VYDAJ	PREVOD NA UCET	172	16710	SIPO	QR	33975577
607488	2068	1997-02-10	VYDAJ	PREVOD NA UCET	172	14486	SIPO	QR	33975577
607489	2068	1997-03-10	VYDAJ	PREVOD NA UCET	172	15833	SIPO	QR	33975577
607490	2068	1997-04-10	VYDAJ	PREVOD NA UCET	172	18177	SIPO	QR	33975577
607491	2068	1997-05-10	VYDAJ	PREVOD NA UCET	172	17032	SIPO	QR	33975577
607492	2068	1997-06-10	VYDAJ	PREVOD NA UCET	172	16384	SIPO	QR	33975577
607493	2068	1997-07-10	VYDAJ	PREVOD NA UCET	172	17939	SIPO	QR	33975577
607494	2068	1997-08-10	VYDAJ	PREVOD NA UCET	172	16291	SIPO	QR	33975577
607495	2068	1997-09-10	VYDAJ	PREVOD NA UCET	172	13442	SIPO	QR	33975577
607496	2068	1997-10-10	VYDAJ	PREVOD NA UCET	172	14788	SIPO	QR	33975577
607497	2068	1997-11-10	VYDAJ	PREVOD NA UCET	172	16135	SIPO	QR	33975577
607498	2068	1997-12-10	VYDAJ	PREVOD NA UCET	172	16787	SIPO	QR	33975577
607499	2068	1998-01-10	VYDAJ	PREVOD NA UCET	172	18144	SIPO	QR	33975577
607500	2068	1998-02-10	VYDAJ	PREVOD NA UCET	172	16143	SIPO	QR	33975577
607501	2068	1998-03-10	VYDAJ	PREVOD NA UCET	172	19598	SIPO	QR	33975577
607502	2068	1998-04-10	VYDAJ	PREVOD NA UCET	172	16943	SIPO	QR	33975577
607503	2068	1998-05-10	VYDAJ	PREVOD NA UCET	172	16402	SIPO	QR	33975577
607504	2068	1998-06-10	VYDAJ	PREVOD NA UCET	172	17758	SIPO	QR	33975577
607505	2068	1998-07-10	VYDAJ	PREVOD NA UCET	172	16617	SIPO	QR	33975577
607506	2068	1998-08-10	VYDAJ	PREVOD NA UCET	172	17974	SIPO	QR	33975577
607507	2068	1998-09-10	VYDAJ	PREVOD NA UCET	172	19064	SIPO	QR	33975577
607508	2068	1998-10-10	VYDAJ	PREVOD NA UCET	172	20029	SIPO	QR	33975577
607509	2068	1998-11-10	VYDAJ	PREVOD NA UCET	172	17317	SIPO	QR	33975577
607510	2068	1998-12-10	VYDAJ	PREVOD NA UCET	172	16727	SIPO	QR	33975577
607520	2068	1993-10-14	VYDAJ	PREVOD NA UCET	1405	25733	 	WX	6661606
607521	2068	1993-11-14	VYDAJ	PREVOD NA UCET	1405	27389	 	WX	6661606
607522	2068	1993-12-14	VYDAJ	PREVOD NA UCET	1405	24532	 	WX	6661606
607523	2068	1994-01-14	VYDAJ	PREVOD NA UCET	1405	26503	 	WX	6661606
607524	2068	1994-02-14	VYDAJ	PREVOD NA UCET	1405	26861	 	WX	6661606
607525	2068	1994-03-14	VYDAJ	PREVOD NA UCET	1405	25170	 	WX	6661606
607526	2068	1994-04-14	VYDAJ	PREVOD NA UCET	1405	25472	 	WX	6661606
607527	2068	1994-05-14	VYDAJ	PREVOD NA UCET	1405	26875	 	WX	6661606
607528	2068	1994-06-14	VYDAJ	PREVOD NA UCET	1405	26836	 	WX	6661606
607529	2068	1994-07-14	VYDAJ	PREVOD NA UCET	1405	27700	 	WX	6661606
607530	2068	1994-08-14	VYDAJ	PREVOD NA UCET	1405	26112	 	WX	6661606
607531	2068	1994-09-14	VYDAJ	PREVOD NA UCET	1405	26018	 	WX	6661606
607532	2068	1994-10-14	VYDAJ	PREVOD NA UCET	1405	27313	 	WX	6661606
607533	2068	1994-11-14	VYDAJ	PREVOD NA UCET	1405	27022	 	WX	6661606
607534	2068	1994-12-14	VYDAJ	PREVOD NA UCET	1405	27832	 	WX	6661606
607535	2068	1995-01-14	VYDAJ	PREVOD NA UCET	1405	25692	 	WX	6661606
607536	2068	1995-02-14	VYDAJ	PREVOD NA UCET	1405	22774	 	WX	6661606
607537	2068	1995-03-14	VYDAJ	PREVOD NA UCET	1405	22864	 	WX	6661606
607538	2068	1995-04-14	VYDAJ	PREVOD NA UCET	1405	22504	 	WX	6661606
607539	2068	1995-05-14	VYDAJ	PREVOD NA UCET	1405	22294	 	WX	6661606
607540	2068	1995-06-14	VYDAJ	PREVOD NA UCET	1405	17645	 	WX	6661606
607541	2068	1995-07-14	VYDAJ	PREVOD NA UCET	1405	22008	 	WX	6661606
607542	2068	1995-08-14	VYDAJ	PREVOD NA UCET	1405	21495	 	WX	6661606
607543	2068	1995-09-14	VYDAJ	PREVOD NA UCET	1405	20879	 	WX	6661606
607544	2068	1995-10-14	VYDAJ	PREVOD NA UCET	1405	17237	 	WX	6661606
607545	2068	1995-11-14	VYDAJ	PREVOD NA UCET	1405	16296	 	WX	6661606
607546	2068	1995-12-14	VYDAJ	PREVOD NA UCET	1405	16561	 	WX	6661606
607547	2068	1996-01-14	VYDAJ	PREVOD NA UCET	1405	17160	 	WX	6661606
607548	2068	1996-02-14	VYDAJ	PREVOD NA UCET	1405	19925	 	WX	6661606
607549	2068	1996-03-14	VYDAJ	PREVOD NA UCET	1405	18150	 	WX	6661606
607550	2068	1996-04-14	VYDAJ	PREVOD NA UCET	1405	17719	 	WX	6661606
607551	2068	1996-05-14	VYDAJ	PREVOD NA UCET	1405	16807	 	WX	6661606
607552	2068	1996-06-14	VYDAJ	PREVOD NA UCET	1405	14669	 	WX	6661606
607553	2068	1996-07-14	VYDAJ	PREVOD NA UCET	1405	16929	 	WX	6661606
607554	2068	1996-08-14	VYDAJ	PREVOD NA UCET	1405	13285	 	WX	6661606
607555	2068	1996-09-14	VYDAJ	PREVOD NA UCET	1405	13539	 	WX	6661606
607556	2068	1996-10-14	VYDAJ	PREVOD NA UCET	1405	14898	 	WX	6661606
607557	2068	1996-11-14	VYDAJ	PREVOD NA UCET	1405	11556	 	WX	6661606
607558	2068	1996-12-14	VYDAJ	PREVOD NA UCET	1405	12908	 	WX	6661606
607559	2068	1997-01-14	VYDAJ	PREVOD NA UCET	1405	10688	 	WX	6661606
607560	2068	1997-02-14	VYDAJ	PREVOD NA UCET	1405	12034	 	WX	6661606
607561	2068	1997-03-14	VYDAJ	PREVOD NA UCET	1405	14581	 	WX	6661606
607562	2068	1997-04-14	VYDAJ	PREVOD NA UCET	1405	13225	 	WX	6661606
607563	2068	1997-05-14	VYDAJ	PREVOD NA UCET	1405	12580	 	WX	6661606
607564	2068	1997-06-14	VYDAJ	PREVOD NA UCET	1405	14132	 	WX	6661606
607565	2068	1997-07-14	VYDAJ	PREVOD NA UCET	1405	12487	 	WX	6661606
607566	2068	1997-08-14	VYDAJ	PREVOD NA UCET	1405	12939	 	WX	6661606
607567	2068	1997-09-14	VYDAJ	PREVOD NA UCET	1405	10990	 	WX	6661606
607568	2068	1997-10-14	VYDAJ	PREVOD NA UCET	1405	12336	 	WX	6661606
607569	2068	1997-11-14	VYDAJ	PREVOD NA UCET	1405	13683	 	WX	6661606
607570	2068	1997-12-14	VYDAJ	PREVOD NA UCET	1405	14335	 	WX	6661606
607571	2068	1998-01-14	VYDAJ	PREVOD NA UCET	1405	15122	 	WX	6661606
607572	2068	1998-02-14	VYDAJ	PREVOD NA UCET	1405	13691	 	WX	6661606
607573	2068	1998-03-14	VYDAJ	PREVOD NA UCET	1405	17146	 	WX	6661606
607574	2068	1998-04-14	VYDAJ	PREVOD NA UCET	1405	14491	 	WX	6661606
607575	2068	1998-05-14	VYDAJ	PREVOD NA UCET	1405	13950	 	WX	6661606
607576	2068	1998-06-14	VYDAJ	PREVOD NA UCET	1405	15306	 	WX	6661606
607577	2068	1998-07-14	VYDAJ	PREVOD NA UCET	1405	14165	 	WX	6661606
607578	2068	1998-08-14	VYDAJ	PREVOD NA UCET	1405	15522	 	WX	6661606
607579	2068	1998-09-14	VYDAJ	PREVOD NA UCET	1405	16612	 	WX	6661606
607580	2068	1998-10-14	VYDAJ	PREVOD NA UCET	1405	17577	 	WX	6661606
607581	2068	1998-11-14	VYDAJ	PREVOD NA UCET	1405	14865	 	WX	6661606
607582	2068	1998-12-14	VYDAJ	PREVOD NA UCET	1405	14275	 	WX	6661606
607592	2068	1993-10-11	VYDAJ	PREVOD NA UCET	1047	27138	POJISTNE	OP	17151004
607593	2068	1993-11-11	VYDAJ	PREVOD NA UCET	1047	28794	POJISTNE	OP	17151004
607594	2068	1993-12-11	VYDAJ	PREVOD NA UCET	1047	26507	POJISTNE	OP	17151004
607595	2068	1994-01-11	VYDAJ	PREVOD NA UCET	1047	28268	POJISTNE	OP	17151004
607596	2068	1994-02-11	VYDAJ	PREVOD NA UCET	1047	28266	POJISTNE	OP	17151004
607597	2068	1994-03-11	VYDAJ	PREVOD NA UCET	1047	26575	POJISTNE	OP	17151004
607598	2068	1994-04-11	VYDAJ	PREVOD NA UCET	1047	26877	POJISTNE	OP	17151004
607599	2068	1994-05-11	VYDAJ	PREVOD NA UCET	1047	28280	POJISTNE	OP	17151004
607600	2068	1994-06-11	VYDAJ	PREVOD NA UCET	1047	28241	POJISTNE	OP	17151004
607601	2068	1994-07-11	VYDAJ	PREVOD NA UCET	1047	29105	POJISTNE	OP	17151004
607602	2068	1994-08-11	VYDAJ	PREVOD NA UCET	1047	27517	POJISTNE	OP	17151004
607603	2068	1994-09-11	VYDAJ	PREVOD NA UCET	1047	27423	POJISTNE	OP	17151004
607604	2068	1994-10-11	VYDAJ	PREVOD NA UCET	1047	28718	POJISTNE	OP	17151004
607605	2068	1994-11-11	VYDAJ	PREVOD NA UCET	1047	28427	POJISTNE	OP	17151004
607606	2068	1994-12-11	VYDAJ	PREVOD NA UCET	1047	29237	POJISTNE	OP	17151004
607607	2068	1995-01-11	VYDAJ	PREVOD NA UCET	1047	27097	POJISTNE	OP	17151004
607608	2068	1995-02-11	VYDAJ	PREVOD NA UCET	1047	24179	POJISTNE	OP	17151004
607609	2068	1995-03-11	VYDAJ	PREVOD NA UCET	1047	24269	POJISTNE	OP	17151004
607610	2068	1995-04-11	VYDAJ	PREVOD NA UCET	1047	23909	POJISTNE	OP	17151004
607611	2068	1995-05-11	VYDAJ	PREVOD NA UCET	1047	23699	POJISTNE	OP	17151004
607612	2068	1995-06-11	VYDAJ	PREVOD NA UCET	1047	19050	POJISTNE	OP	17151004
607613	2068	1995-07-11	VYDAJ	PREVOD NA UCET	1047	23413	POJISTNE	OP	17151004
607614	2068	1995-08-11	VYDAJ	PREVOD NA UCET	1047	22900	POJISTNE	OP	17151004
607615	2068	1995-09-11	VYDAJ	PREVOD NA UCET	1047	22284	POJISTNE	OP	17151004
607616	2068	1995-10-11	VYDAJ	PREVOD NA UCET	1047	18642	POJISTNE	OP	17151004
607617	2068	1995-11-11	VYDAJ	PREVOD NA UCET	1047	17701	POJISTNE	OP	17151004
607618	2068	1995-12-11	VYDAJ	PREVOD NA UCET	1047	17966	POJISTNE	OP	17151004
607619	2068	1996-01-11	VYDAJ	PREVOD NA UCET	1047	18565	POJISTNE	OP	17151004
607620	2068	1996-02-11	VYDAJ	PREVOD NA UCET	1047	21330	POJISTNE	OP	17151004
607621	2068	1996-03-11	VYDAJ	PREVOD NA UCET	1047	19555	POJISTNE	OP	17151004
607622	2068	1996-04-11	VYDAJ	PREVOD NA UCET	1047	19124	POJISTNE	OP	17151004
607623	2068	1996-05-11	VYDAJ	PREVOD NA UCET	1047	19112	POJISTNE	OP	17151004
607624	2068	1996-06-11	VYDAJ	PREVOD NA UCET	1047	16074	POJISTNE	OP	17151004
607625	2068	1996-07-11	VYDAJ	PREVOD NA UCET	1047	18334	POJISTNE	OP	17151004
607626	2068	1996-08-11	VYDAJ	PREVOD NA UCET	1047	14690	POJISTNE	OP	17151004
607627	2068	1996-09-11	VYDAJ	PREVOD NA UCET	1047	16644	POJISTNE	OP	17151004
607628	2068	1996-10-11	VYDAJ	PREVOD NA UCET	1047	16303	POJISTNE	OP	17151004
607629	2068	1996-11-11	VYDAJ	PREVOD NA UCET	1047	17361	POJISTNE	OP	17151004
607630	2068	1996-12-11	VYDAJ	PREVOD NA UCET	1047	14313	POJISTNE	OP	17151004
607631	2068	1997-01-11	VYDAJ	PREVOD NA UCET	1047	15363	POJISTNE	OP	17151004
607632	2068	1997-02-11	VYDAJ	PREVOD NA UCET	1047	13439	POJISTNE	OP	17151004
607633	2068	1997-03-11	VYDAJ	PREVOD NA UCET	1047	14786	POJISTNE	OP	17151004
607634	2068	1997-04-11	VYDAJ	PREVOD NA UCET	1047	17130	POJISTNE	OP	17151004
607635	2068	1997-05-11	VYDAJ	PREVOD NA UCET	1047	15985	POJISTNE	OP	17151004
607636	2068	1997-06-11	VYDAJ	PREVOD NA UCET	1047	15537	POJISTNE	OP	17151004
607637	2068	1997-07-11	VYDAJ	PREVOD NA UCET	1047	13892	POJISTNE	OP	17151004
607638	2068	1997-08-11	VYDAJ	PREVOD NA UCET	1047	14344	POJISTNE	OP	17151004
607639	2068	1997-09-11	VYDAJ	PREVOD NA UCET	1047	12395	POJISTNE	OP	17151004
607640	2068	1997-10-11	VYDAJ	PREVOD NA UCET	1047	13741	POJISTNE	OP	17151004
607641	2068	1997-11-11	VYDAJ	PREVOD NA UCET	1047	15088	POJISTNE	OP	17151004
607642	2068	1997-12-11	VYDAJ	PREVOD NA UCET	1047	15740	POJISTNE	OP	17151004
607643	2068	1998-01-11	VYDAJ	PREVOD NA UCET	1047	17097	POJISTNE	OP	17151004
607644	2068	1998-02-11	VYDAJ	PREVOD NA UCET	1047	15096	POJISTNE	OP	17151004
607645	2068	1998-03-11	VYDAJ	PREVOD NA UCET	1047	18551	POJISTNE	OP	17151004
607646	2068	1998-04-11	VYDAJ	PREVOD NA UCET	1047	15896	POJISTNE	OP	17151004
607647	2068	1998-05-11	VYDAJ	PREVOD NA UCET	1047	15355	POJISTNE	OP	17151004
607648	2068	1998-06-11	VYDAJ	PREVOD NA UCET	1047	16711	POJISTNE	OP	17151004
607649	2068	1998-07-11	VYDAJ	PREVOD NA UCET	1047	15570	POJISTNE	OP	17151004
607650	2068	1998-08-11	VYDAJ	PREVOD NA UCET	1047	16927	POJISTNE	OP	17151004
607651	2068	1998-09-11	VYDAJ	PREVOD NA UCET	1047	18017	POJISTNE	OP	17151004
607652	2068	1998-10-11	VYDAJ	PREVOD NA UCET	1047	18982	POJISTNE	OP	17151004
607653	2068	1998-11-11	VYDAJ	PREVOD NA UCET	1047	16270	POJISTNE	OP	17151004
607654	2068	1998-12-11	VYDAJ	PREVOD NA UCET	1047	15680	POJISTNE	OP	17151004
607656	2068	1994-06-02	VYDAJ	VYBER	3150	25523	\N	\N	\N
607657	2068	1995-06-03	VYDAJ	VYBER	6540	16332	\N	\N	\N
607661	2068	1993-12-12	VYDAJ	VYBER	570	25937	\N	\N	\N
607662	2068	1994-12-26	VYDAJ	VYBER	750	24282	\N	\N	\N
607663	2068	1995-12-26	VYDAJ	VYBER	810	17651	\N	\N	\N
607673	2068	1994-01-05	VYDAJ	VYBER	870	25550	\N	\N	\N
607674	2068	1994-01-23	VYDAJ	VYBER	840	25063	\N	\N	\N
607675	2068	1994-01-14	VYDAJ	VYBER	360	27908	\N	\N	\N
607676	2068	1994-01-16	VYDAJ	VYBER	600	25903	\N	\N	\N
607677	2068	1994-01-26	VYDAJ	VYBER	240	24103	\N	\N	\N
607678	2068	1994-01-29	VYDAJ	VYBER	750	25453	\N	\N	\N
607679	2068	1995-01-30	VYDAJ	VYBER	780	21372	\N	\N	\N
607680	2068	1995-01-29	VYDAJ	VYBER	870	23532	\N	\N	\N
607681	2068	1995-01-24	VYDAJ	VYBER	570	24402	\N	\N	\N
607682	2068	1995-01-29	VYDAJ	VYBER	630	22152	\N	\N	\N
607683	2068	1995-01-21	VYDAJ	VYBER	720	24972	\N	\N	\N
607684	2068	1995-01-29	VYDAJ	VYBER	750	22782	\N	\N	\N
607685	2068	1996-01-02	VYDAJ	VYBER	480	17227	\N	\N	\N
607686	2068	1996-01-10	VYDAJ	VYBER	720	20444	\N	\N	\N
607687	2068	1996-01-28	VYDAJ	VYBER	240	18550	\N	\N	\N
607688	2068	1996-01-10	VYDAJ	VYBER	660	19784	\N	\N	\N
607689	2068	1996-01-26	VYDAJ	VYBER	750	18790	\N	\N	\N
607690	2068	1996-01-21	VYDAJ	VYBER	210	19540	\N	\N	\N
607691	2068	1997-01-10	VYDAJ	VYBER	300	16410	\N	\N	\N
607692	2068	1997-01-12	VYDAJ	VYBER	870	12093	\N	\N	\N
607697	2068	1998-01-14	VYDAJ	VYBER	390	14732	\N	\N	\N
607700	2068	1998-01-13	VYDAJ	VYBER	570	16527	\N	\N	\N
607705	2068	1993-11-04	VYDAJ	VYBER	1350	26076	\N	\N	\N
607708	2068	1994-07-10	VYDAJ	VYBER	1350	30152	\N	\N	\N
607709	2068	1994-01-25	VYDAJ	VYBER	720	24343	\N	\N	\N
607710	2068	1994-09-17	VYDAJ	VYBER	810	25208	\N	\N	\N
607711	2068	1995-07-01	VYDAJ	VYBER	720	20695	\N	\N	\N
607712	2068	1995-10-23	VYDAJ	VYBER	720	17417	\N	\N	\N
607713	2068	1995-10-29	VYDAJ	VYBER	1020	16397	\N	\N	\N
607714	2068	1995-11-04	VYDAJ	VYBER	1470	14983	\N	\N	\N
607715	2068	1995-03-19	VYDAJ	VYBER	1050	21814	\N	\N	\N
607716	2068	1995-09-26	VYDAJ	VYBER	1020	15859	\N	\N	\N
607717	2068	1996-02-24	VYDAJ	VYBER	1350	16775	\N	\N	\N
607719	2068	1996-04-14	VYDAJ	VYBER	750	16969	\N	\N	\N
607720	2068	1996-04-21	VYDAJ	VYBER	330	16339	\N	\N	\N
607721	2068	1996-05-14	VYDAJ	VYBER	900	18212	\N	\N	\N
607722	2068	1996-01-20	VYDAJ	VYBER	510	19750	\N	\N	\N
607727	2068	1997-03-21	VYDAJ	VYBER	210	14371	\N	\N	\N
607728	2068	1998-11-22	VYDAJ	VYBER	150	14715	\N	\N	\N
607730	2068	1998-03-24	VYDAJ	VYBER	1020	16126	\N	\N	\N
607731	2068	1998-09-07	VYDAJ	VYBER	270	15299	\N	\N	\N
607733	2068	1998-10-23	VYDAJ	VYBER	1380	16197	\N	\N	\N
607746	2068	1993-10-31	VYDAJ	VYBER	15	27426	SLUZBY	\N	\N
607747	2068	1993-11-30	VYDAJ	VYBER	15	23789	SLUZBY	\N	\N
607748	2068	1993-12-31	VYDAJ	VYBER	15	26420	SLUZBY	\N	\N
607749	2068	1994-01-31	VYDAJ	VYBER	15	25548	SLUZBY	\N	\N
607750	2068	1994-02-28	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
607751	2068	1994-03-31	VYDAJ	VYBER	15	24159	SLUZBY	\N	\N
607752	2068	1994-04-30	VYDAJ	VYBER	15	25562	SLUZBY	\N	\N
607753	2068	1994-05-31	VYDAJ	VYBER	15	28673	SLUZBY	\N	\N
607754	2068	1994-06-30	VYDAJ	VYBER	15	27737	SLUZBY	\N	\N
607755	2068	1994-07-31	VYDAJ	VYBER	15	24799	SLUZBY	\N	\N
607756	2068	1994-08-31	VYDAJ	VYBER	15	24705	SLUZBY	\N	\N
607757	2068	1994-09-30	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
607758	2068	1994-10-31	VYDAJ	VYBER	15	25709	SLUZBY	\N	\N
607759	2068	1994-11-30	VYDAJ	VYBER	15	26519	SLUZBY	\N	\N
607760	2068	1994-12-31	VYDAJ	VYBER	15	24379	SLUZBY	\N	\N
607761	2068	1995-01-31	VYDAJ	VYBER	15	21461	SLUZBY	\N	\N
607762	2068	1995-02-28	VYDAJ	VYBER	15	21551	SLUZBY	\N	\N
607763	2068	1995-03-31	VYDAJ	VYBER	15	21191	SLUZBY	\N	\N
607764	2068	1995-04-30	VYDAJ	VYBER	15	20981	SLUZBY	\N	\N
607765	2068	1995-05-31	VYDAJ	VYBER	15	22872	SLUZBY	\N	\N
607766	2068	1995-06-30	VYDAJ	VYBER	15	21415	SLUZBY	\N	\N
607767	2068	1995-07-31	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
607768	2068	1995-08-31	VYDAJ	VYBER	15	19566	SLUZBY	\N	\N
607769	2068	1995-09-30	VYDAJ	VYBER	15	15924	SLUZBY	\N	\N
607770	2068	1995-10-31	VYDAJ	VYBER	15	16453	SLUZBY	\N	\N
607771	2068	1995-11-30	VYDAJ	VYBER	15	15248	SLUZBY	\N	\N
607772	2068	1995-12-31	VYDAJ	VYBER	15	17707	SLUZBY	\N	\N
607773	2068	1996-01-31	VYDAJ	VYBER	15	18612	SLUZBY	\N	\N
607774	2068	1996-02-29	VYDAJ	VYBER	15	16837	SLUZBY	\N	\N
607775	2068	1996-03-31	VYDAJ	VYBER	15	16406	SLUZBY	\N	\N
607776	2068	1996-04-30	VYDAJ	VYBER	15	16394	SLUZBY	\N	\N
607777	2068	1996-05-31	VYDAJ	VYBER	15	13356	SLUZBY	\N	\N
607778	2068	1996-06-30	VYDAJ	VYBER	15	15616	SLUZBY	\N	\N
607779	2068	1996-07-31	VYDAJ	VYBER	15	11972	SLUZBY	\N	\N
607780	2068	1996-08-31	VYDAJ	VYBER	15	13926	SLUZBY	\N	\N
607781	2068	1996-09-30	VYDAJ	VYBER	15	13585	SLUZBY	\N	\N
607782	2068	1996-10-31	VYDAJ	VYBER	15	14643	SLUZBY	\N	\N
607783	2068	1996-11-30	VYDAJ	VYBER	15	11595	SLUZBY	\N	\N
607784	2068	1996-12-31	VYDAJ	VYBER	15	12945	SLUZBY	\N	\N
607785	2068	1997-01-31	VYDAJ	VYBER	15	10721	SLUZBY	\N	\N
607786	2068	1997-02-28	VYDAJ	VYBER	15	12068	SLUZBY	\N	\N
607787	2068	1997-03-31	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
607788	2068	1997-04-30	VYDAJ	VYBER	15	13267	SLUZBY	\N	\N
607789	2068	1997-05-31	VYDAJ	VYBER	15	12619	SLUZBY	\N	\N
607790	2068	1997-06-30	VYDAJ	VYBER	15	14174	SLUZBY	\N	\N
607791	2068	1997-07-31	VYDAJ	VYBER	15	12526	SLUZBY	\N	\N
607792	2068	1997-08-31	VYDAJ	VYBER	15	12977	SLUZBY	\N	\N
607793	2068	1997-09-30	VYDAJ	VYBER	15	11023	SLUZBY	\N	\N
607794	2068	1997-10-31	VYDAJ	VYBER	15	12370	SLUZBY	\N	\N
607795	2068	1997-11-30	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
607796	2068	1997-12-31	VYDAJ	VYBER	15	14379	SLUZBY	\N	\N
607797	2068	1998-01-31	VYDAJ	VYBER	15	14778	SLUZBY	\N	\N
607798	2068	1998-02-28	VYDAJ	VYBER	15	13733	SLUZBY	\N	\N
607799	2068	1998-03-31	VYDAJ	VYBER	15	16178	SLUZBY	\N	\N
607800	2068	1998-04-30	VYDAJ	VYBER	15	14537	SLUZBY	\N	\N
607801	2068	1998-05-31	VYDAJ	VYBER	15	13993	SLUZBY	\N	\N
607802	2068	1998-06-30	VYDAJ	VYBER	15	15352	SLUZBY	\N	\N
607803	2068	1998-07-31	VYDAJ	VYBER	15	14209	SLUZBY	\N	\N
607804	2068	1998-08-31	VYDAJ	VYBER	15	15569	SLUZBY	\N	\N
607805	2068	1998-09-30	VYDAJ	VYBER	15	16664	SLUZBY	\N	\N
607806	2068	1998-10-31	VYDAJ	VYBER	15	16252	SLUZBY	\N	\N
607807	2068	1998-11-30	VYDAJ	VYBER	15	14762	SLUZBY	\N	\N
607808	2068	1993-07-02	PRIJEM	VKLAD	10600	15652	\N	\N	\N
607809	2068	1993-08-01	PRIJEM	VKLAD	800	20455	\N	\N	\N
607810	2068	1993-08-31	VYDAJ	VYBER	1800	22689	\N	\N	\N
607811	2068	1993-09-30	VYDAJ	VYBER	2300	24420	\N	\N	\N
607812	2068	1993-10-30	PRIJEM	VKLAD	1600	27333	\N	\N	\N
607813	2068	1993-11-29	VYDAJ	VYBER	3700	23689	\N	\N	\N
607814	2068	1993-12-29	PRIJEM	VKLAD	1800	26332	\N	\N	\N
607815	2068	1994-01-28	PRIJEM	VKLAD	2100	26203	\N	\N	\N
607816	2068	1994-02-27	VYDAJ	VYBER	3100	23761	\N	\N	\N
607817	2068	1994-03-29	VYDAJ	VYBER	1100	24070	\N	\N	\N
607818	2068	1994-05-28	PRIJEM	VKLAD	1700	28575	\N	\N	\N
607819	2068	1994-06-27	PRIJEM	VKLAD	800	27636	\N	\N	\N
607820	2068	1994-07-27	VYDAJ	VYBER	3000	24700	\N	\N	\N
607821	2068	1994-08-26	VYDAJ	VYBER	1500	24612	\N	\N	\N
607822	2068	1994-09-25	PRIJEM	VKLAD	700	25908	\N	\N	\N
607823	2068	1994-10-25	VYDAJ	VYBER	1700	25613	\N	\N	\N
607824	2068	1994-11-24	VYDAJ	VYBER	600	26422	\N	\N	\N
607825	2068	1994-12-24	VYDAJ	VYBER	2800	25032	\N	\N	\N
607826	2068	1995-02-22	VYDAJ	VYBER	1300	21474	\N	\N	\N
607827	2068	1995-03-24	VYDAJ	VYBER	700	21114	\N	\N	\N
607828	2068	1995-04-23	VYDAJ	VYBER	1600	20904	\N	\N	\N
607829	2068	1995-05-23	PRIJEM	VKLAD	500	22794	\N	\N	\N
607830	2068	1995-06-22	PRIJEM	VKLAD	3700	21345	\N	\N	\N
607831	2068	1995-07-22	VYDAJ	VYBER	1900	20108	\N	\N	\N
607832	2068	1995-08-21	VYDAJ	VYBER	2000	19495	\N	\N	\N
607833	2068	1995-09-20	VYDAJ	VYBER	4000	16879	\N	\N	\N
607834	2068	1995-10-20	PRIJEM	VKLAD	900	18137	\N	\N	\N
607835	2068	1995-11-19	VYDAJ	VYBER	1100	15196	\N	\N	\N
607836	2068	1995-12-19	PRIJEM	VKLAD	1900	18461	\N	\N	\N
607837	2068	1996-01-18	PRIJEM	VKLAD	3100	20260	\N	\N	\N
607838	2068	1996-02-17	VYDAJ	VYBER	1800	18125	\N	\N	\N
607839	2068	1996-03-18	VYDAJ	VYBER	1800	16350	\N	\N	\N
607840	2068	1996-04-17	VYDAJ	VYBER	300	16669	\N	\N	\N
607841	2068	1996-05-17	VYDAJ	VYBER	3500	13307	\N	\N	\N
607842	2068	1996-06-16	PRIJEM	VKLAD	900	15569	\N	\N	\N
607843	2068	1996-07-16	VYDAJ	VYBER	5000	11929	\N	\N	\N
607844	2068	1996-08-15	PRIJEM	VKLAD	600	13885	\N	\N	\N
607845	2068	1996-09-14	VYDAJ	VYBER	1700	14944	\N	\N	\N
607846	2068	1996-10-14	VYDAJ	VYBER	300	14598	\N	\N	\N
607847	2068	1996-11-13	VYDAJ	VYBER	4400	12961	\N	\N	\N
607848	2068	1997-01-12	VYDAJ	VYBER	2400	12963	\N	\N	\N
607849	2068	1997-03-13	PRIJEM	VKLAD	1200	15986	\N	\N	\N
607850	2068	1997-04-12	VYDAJ	VYBER	2500	14630	\N	\N	\N
607851	2068	1997-05-12	VYDAJ	VYBER	2000	13985	\N	\N	\N
607852	2068	1997-06-11	PRIJEM	VKLAD	200	16584	\N	\N	\N
607853	2068	1997-07-11	VYDAJ	VYBER	3000	14939	\N	\N	\N
607854	2068	1997-08-10	VYDAJ	VYBER	900	15391	\N	\N	\N
607855	2068	1997-09-09	VYDAJ	VYBER	3300	13614	\N	\N	\N
607856	2068	1997-12-08	VYDAJ	VYBER	700	13022	\N	\N	\N
607857	2068	1998-02-06	VYDAJ	VYBER	2400	12378	\N	\N	\N
607858	2068	1998-03-08	PRIJEM	VKLAD	2100	15833	\N	\N	\N
607859	2068	1998-04-07	VYDAJ	VYBER	3000	13178	\N	\N	\N
607860	2068	1998-05-07	VYDAJ	VYBER	1900	12637	\N	\N	\N
607861	2068	1998-07-06	VYDAJ	VYBER	2500	12852	\N	\N	\N
607862	2068	1998-10-04	VYDAJ	VYBER	400	16264	\N	\N	\N
607863	2068	1998-11-03	VYDAJ	VYBER	2700	13552	\N	\N	\N
607864	2068	1998-12-03	VYDAJ	VYBER	1800	12962	\N	\N	\N
607932	2069	1997-10-08	PRIJEM	VKLAD	900	900	\N	\N	\N
607942	2069	1997-10-13	PRIJEM	VKLAD	15311	16211	\N	\N	\N
607943	2069	1997-11-13	PRIJEM	VKLAD	15311	37863	\N	\N	\N
607944	2069	1997-12-13	PRIJEM	VKLAD	22966	55451	\N	\N	\N
607945	2069	1998-01-13	PRIJEM	VKLAD	15311	58665	\N	\N	\N
607946	2069	1998-02-13	PRIJEM	VKLAD	15311	57615	\N	\N	\N
607947	2069	1998-03-13	PRIJEM	VKLAD	15311	53479	\N	\N	\N
607948	2069	1998-04-13	PRIJEM	VKLAD	15311	54956	\N	\N	\N
607949	2069	1998-05-13	PRIJEM	VKLAD	15311	55434	\N	\N	\N
607950	2069	1998-06-13	PRIJEM	VKLAD	22966	60072	\N	\N	\N
607951	2069	1998-07-13	PRIJEM	VKLAD	15311	39245	\N	\N	\N
607952	2069	1998-08-13	PRIJEM	VKLAD	15311	50245	\N	\N	\N
607953	2069	1998-09-13	PRIJEM	VKLAD	15311	49998	\N	\N	\N
607954	2069	1998-10-13	PRIJEM	VKLAD	15311	48324	\N	\N	\N
607955	2069	1998-11-13	PRIJEM	VKLAD	15311	50371	\N	\N	\N
607956	2069	1998-12-13	PRIJEM	VKLAD	22966	53684	\N	\N	\N
607970	2069	1998-02-13	VYDAJ	PREVOD NA UCET	484	57131	SIPO	YZ	91279679
607971	2069	1998-03-13	VYDAJ	PREVOD NA UCET	484	52995	SIPO	YZ	91279679
607972	2069	1998-04-13	VYDAJ	PREVOD NA UCET	484	54472	SIPO	YZ	91279679
607973	2069	1998-05-13	VYDAJ	PREVOD NA UCET	484	54950	SIPO	YZ	91279679
607974	2069	1998-06-13	VYDAJ	PREVOD NA UCET	484	59588	SIPO	YZ	91279679
607975	2069	1998-07-13	VYDAJ	PREVOD NA UCET	484	38761	SIPO	YZ	91279679
607976	2069	1998-08-13	VYDAJ	PREVOD NA UCET	484	49761	SIPO	YZ	91279679
607977	2069	1998-09-13	VYDAJ	PREVOD NA UCET	484	49514	SIPO	YZ	91279679
607978	2069	1998-10-13	VYDAJ	PREVOD NA UCET	484	47840	SIPO	YZ	91279679
607979	2069	1998-11-13	VYDAJ	PREVOD NA UCET	484	49887	SIPO	YZ	91279679
607980	2069	1998-12-13	VYDAJ	PREVOD NA UCET	484	53200	SIPO	YZ	91279679
607995	2069	1998-03-11	VYDAJ	PREVOD NA UCET	2223	40276	 	CD	57790952
608159	2070	1994-12-14	PRIJEM	VKLAD	18207	44193	\N	\N	\N
607996	2069	1998-04-11	VYDAJ	PREVOD NA UCET	2223	41753	 	CD	57790952
607997	2069	1998-05-11	VYDAJ	PREVOD NA UCET	2223	42231	 	CD	57790952
607998	2069	1998-06-11	VYDAJ	PREVOD NA UCET	2223	44014	 	CD	57790952
607999	2069	1998-07-11	VYDAJ	PREVOD NA UCET	2223	26042	 	CD	57790952
608000	2069	1998-08-11	VYDAJ	PREVOD NA UCET	2223	37042	 	CD	57790952
608001	2069	1998-09-11	VYDAJ	PREVOD NA UCET	2223	36795	 	CD	57790952
608002	2069	1998-10-11	VYDAJ	PREVOD NA UCET	2223	35121	 	CD	57790952
608003	2069	1998-11-11	VYDAJ	PREVOD NA UCET	2223	37168	 	CD	57790952
608004	2069	1998-12-11	VYDAJ	PREVOD NA UCET	2223	32826	 	CD	57790952
608019	2069	1998-03-12	VYDAJ	PREVOD NA UCET	2108	38168	POJISTNE	MN	75770503
608020	2069	1998-04-12	VYDAJ	PREVOD NA UCET	2108	39645	POJISTNE	MN	75770503
608021	2069	1998-05-12	VYDAJ	PREVOD NA UCET	2108	40123	POJISTNE	MN	75770503
608022	2069	1998-06-12	VYDAJ	PREVOD NA UCET	2108	41906	POJISTNE	MN	75770503
608023	2069	1998-07-12	VYDAJ	PREVOD NA UCET	2108	23934	POJISTNE	MN	75770503
608024	2069	1998-08-12	VYDAJ	PREVOD NA UCET	2108	34934	POJISTNE	MN	75770503
608025	2069	1998-09-12	VYDAJ	PREVOD NA UCET	2108	34687	POJISTNE	MN	75770503
608026	2069	1998-10-12	VYDAJ	PREVOD NA UCET	2108	33013	POJISTNE	MN	75770503
608027	2069	1998-11-12	VYDAJ	PREVOD NA UCET	2108	35060	POJISTNE	MN	75770503
608028	2069	1998-12-12	VYDAJ	PREVOD NA UCET	2108	30718	POJISTNE	MN	75770503
608043	2069	1998-03-05	VYDAJ	PREVOD NA UCET	118	51599	 	YZ	80550372
608044	2069	1998-04-05	VYDAJ	PREVOD NA UCET	118	53076	 	YZ	80550372
608045	2069	1998-05-05	VYDAJ	PREVOD NA UCET	118	54554	 	YZ	80550372
608046	2069	1998-06-05	VYDAJ	PREVOD NA UCET	118	55037	 	YZ	80550372
608047	2069	1998-07-05	VYDAJ	PREVOD NA UCET	118	28265	 	YZ	80550372
608048	2069	1998-08-05	VYDAJ	PREVOD NA UCET	118	39265	 	YZ	80550372
608049	2069	1998-09-05	VYDAJ	PREVOD NA UCET	118	39018	 	YZ	80550372
608050	2069	1998-10-05	VYDAJ	PREVOD NA UCET	118	37344	 	YZ	80550372
608051	2069	1998-11-05	VYDAJ	PREVOD NA UCET	118	39391	 	YZ	80550372
608052	2069	1998-12-05	VYDAJ	PREVOD NA UCET	118	35049	 	YZ	80550372
608054	2069	1998-06-21	VYDAJ	VYBER	43360	16228	\N	\N	\N
608058	2069	1998-12-21	VYDAJ	VYBER KARTOU	1300	51900	\N	\N	0
608076	2069	1998-03-03	VYDAJ	VYBER	5640	51717	\N	\N	\N
608077	2069	1998-09-17	VYDAJ	VYBER	4320	45194	\N	\N	\N
608078	2069	1998-06-12	VYDAJ	VYBER	4800	37106	\N	\N	\N
608079	2069	1998-10-22	VYDAJ	VYBER KARTOU	1100	46740	\N	\N	0
608080	2069	1998-09-02	VYDAJ	VYBER KARTOU	800	49136	\N	\N	0
608081	2069	1998-03-06	VYDAJ	VYBER	3600	47999	\N	\N	\N
608096	2069	1998-02-28	VYDAJ	VYBER	15	57357	SLUZBY	\N	\N
608097	2069	1998-03-31	VYDAJ	VYBER	15	53194	SLUZBY	\N	\N
608098	2069	1998-04-30	VYDAJ	VYBER	15	54672	SLUZBY	\N	\N
608099	2069	1998-05-31	VYDAJ	VYBER	15	55155	SLUZBY	\N	\N
608100	2069	1998-06-30	VYDAJ	VYBER	15	16383	SLUZBY	\N	\N
608101	2069	1998-07-31	VYDAJ	VYBER	15	38883	SLUZBY	\N	\N
608102	2069	1998-08-31	VYDAJ	VYBER	15	49936	SLUZBY	\N	\N
608103	2069	1998-09-30	VYDAJ	VYBER	15	45362	SLUZBY	\N	\N
608104	2069	1998-10-31	VYDAJ	VYBER	15	46909	SLUZBY	\N	\N
608105	2069	1998-11-30	VYDAJ	VYBER	15	50067	SLUZBY	\N	\N
608106	2069	1997-11-07	PRIJEM	VKLAD	6300	22552	\N	\N	\N
608107	2069	1997-12-07	VYDAJ	VYBER	5500	32485	\N	\N	\N
608108	2069	1998-01-06	VYDAJ	VYBER	12300	43354	\N	\N	\N
608109	2069	1998-02-05	VYDAJ	VYBER	16600	42304	\N	\N	\N
608110	2069	1998-03-07	VYDAJ	VYBER	5500	42499	\N	\N	\N
608111	2069	1998-04-06	VYDAJ	VYBER	9100	43976	\N	\N	\N
608112	2069	1998-05-06	VYDAJ	VYBER	10100	44454	\N	\N	\N
608113	2069	1998-06-05	VYDAJ	VYBER	8800	46237	\N	\N	\N
608114	2069	1998-07-05	PRIJEM	VKLAD	12000	28383	\N	\N	\N
608115	2069	1998-08-04	PRIJEM	VKLAD	500	39383	\N	\N	\N
608116	2069	1998-09-03	VYDAJ	VYBER	10000	39136	\N	\N	\N
608117	2069	1998-10-03	VYDAJ	VYBER	7900	37462	\N	\N	\N
608118	2069	1998-11-02	VYDAJ	VYBER	7400	39509	\N	\N	\N
608119	2069	1998-12-02	VYDAJ	VYBER	14900	35167	\N	\N	\N
608135	2070	1993-01-29	PRIJEM	VKLAD	300	300	\N	\N	\N
608137	2070	1993-02-14	PRIJEM	VKLAD	12138	12438	\N	\N	\N
608138	2070	1993-03-14	PRIJEM	VKLAD	12138	32279	\N	\N	\N
608139	2070	1993-04-14	PRIJEM	VKLAD	12138	40803	\N	\N	\N
608140	2070	1993-05-14	PRIJEM	VKLAD	12138	42561	\N	\N	\N
608141	2070	1993-06-14	PRIJEM	VKLAD	18207	50095	\N	\N	\N
608142	2070	1993-07-14	PRIJEM	VKLAD	12138	33396	\N	\N	\N
608143	2070	1993-08-14	PRIJEM	VKLAD	12138	33457	\N	\N	\N
608144	2070	1993-09-14	PRIJEM	VKLAD	12138	33618	\N	\N	\N
608145	2070	1993-10-14	PRIJEM	VKLAD	12138	31678	\N	\N	\N
608146	2070	1993-11-14	PRIJEM	VKLAD	12138	32732	\N	\N	\N
608147	2070	1993-12-14	PRIJEM	VKLAD	18207	36160	\N	\N	\N
608148	2070	1994-01-14	PRIJEM	VKLAD	12138	22614	\N	\N	\N
608149	2070	1994-02-14	PRIJEM	VKLAD	12138	25314	\N	\N	\N
608150	2070	1994-03-14	PRIJEM	VKLAD	12138	29722	\N	\N	\N
608151	2070	1994-04-14	PRIJEM	VKLAD	12138	31268	\N	\N	\N
608152	2070	1994-05-14	PRIJEM	VKLAD	12138	35021	\N	\N	\N
608153	2070	1994-06-14	PRIJEM	VKLAD	18207	43258	\N	\N	\N
608154	2070	1994-07-14	PRIJEM	VKLAD	12138	38642	\N	\N	\N
608155	2070	1994-08-14	PRIJEM	VKLAD	12138	36920	\N	\N	\N
608156	2070	1994-09-14	PRIJEM	VKLAD	12138	37793	\N	\N	\N
608157	2070	1994-10-14	PRIJEM	VKLAD	12138	39671	\N	\N	\N
608158	2070	1994-11-14	PRIJEM	VKLAD	12138	37050	\N	\N	\N
608160	2070	1995-01-14	PRIJEM	VKLAD	12138	33239	\N	\N	\N
608161	2070	1995-02-14	PRIJEM	VKLAD	12138	30155	\N	\N	\N
608162	2070	1995-03-14	PRIJEM	VKLAD	12138	32901	\N	\N	\N
608163	2070	1995-04-14	PRIJEM	VKLAD	12138	28549	\N	\N	\N
608164	2070	1995-05-14	PRIJEM	VKLAD	12138	33793	\N	\N	\N
608165	2070	1995-06-14	PRIJEM	VKLAD	18207	43526	\N	\N	\N
608166	2070	1995-07-14	PRIJEM	VKLAD	12138	39805	\N	\N	\N
608167	2070	1995-08-14	PRIJEM	VKLAD	12138	30296	\N	\N	\N
608168	2070	1995-09-14	PRIJEM	VKLAD	12138	32932	\N	\N	\N
608169	2070	1995-10-14	PRIJEM	VKLAD	12138	31915	\N	\N	\N
608170	2070	1995-11-14	PRIJEM	VKLAD	12138	34772	\N	\N	\N
608171	2070	1995-12-14	PRIJEM	VKLAD	18207	42203	\N	\N	\N
608172	2070	1996-01-14	PRIJEM	VKLAD	12138	37498	\N	\N	\N
608173	2070	1996-02-14	PRIJEM	VKLAD	12138	41742	\N	\N	\N
608174	2070	1996-03-14	PRIJEM	VKLAD	12138	41339	\N	\N	\N
608175	2070	1996-04-14	PRIJEM	VKLAD	12138	47234	\N	\N	\N
608176	2070	1996-05-14	PRIJEM	VKLAD	12138	48870	\N	\N	\N
608177	2070	1996-06-14	PRIJEM	VKLAD	18207	46164	\N	\N	\N
608178	2070	1996-07-14	PRIJEM	VKLAD	12138	50977	\N	\N	\N
608179	2070	1996-08-14	PRIJEM	VKLAD	12138	51085	\N	\N	\N
608180	2070	1996-09-14	PRIJEM	VKLAD	12138	49521	\N	\N	\N
608181	2070	1996-10-14	PRIJEM	VKLAD	12138	47254	\N	\N	\N
608182	2070	1996-11-14	PRIJEM	VKLAD	12138	48779	\N	\N	\N
608183	2070	1996-12-14	PRIJEM	VKLAD	18207	52974	\N	\N	\N
608184	2070	1997-01-14	PRIJEM	VKLAD	12138	46847	\N	\N	\N
608185	2070	1997-02-14	PRIJEM	VKLAD	12138	45400	\N	\N	\N
608186	2070	1997-03-14	PRIJEM	VKLAD	12138	49301	\N	\N	\N
608187	2070	1997-04-14	PRIJEM	VKLAD	12138	48226	\N	\N	\N
608188	2070	1997-05-14	PRIJEM	VKLAD	12138	49052	\N	\N	\N
608189	2070	1997-06-14	PRIJEM	VKLAD	18207	53609	\N	\N	\N
608190	2070	1997-07-14	PRIJEM	VKLAD	12138	54043	\N	\N	\N
608191	2070	1997-08-14	PRIJEM	VKLAD	12138	52687	\N	\N	\N
608192	2070	1997-09-14	PRIJEM	VKLAD	12138	54032	\N	\N	\N
608193	2070	1997-10-14	PRIJEM	VKLAD	12138	47319	\N	\N	\N
608194	2070	1997-11-14	PRIJEM	VKLAD	12138	45281	\N	\N	\N
608195	2070	1997-12-14	PRIJEM	VKLAD	18207	49639	\N	\N	\N
608196	2070	1998-01-14	PRIJEM	VKLAD	12138	47021	\N	\N	\N
608197	2070	1998-02-14	PRIJEM	VKLAD	12138	47324	\N	\N	\N
608198	2070	1998-03-14	PRIJEM	VKLAD	12138	53428	\N	\N	\N
608199	2070	1998-04-14	PRIJEM	VKLAD	12138	57665	\N	\N	\N
608200	2070	1998-05-14	PRIJEM	VKLAD	12138	63625	\N	\N	\N
608201	2070	1998-06-14	PRIJEM	VKLAD	18207	74511	\N	\N	\N
608202	2070	1998-07-14	PRIJEM	VKLAD	12138	60509	\N	\N	\N
608203	2070	1998-08-14	PRIJEM	VKLAD	12138	64082	\N	\N	\N
608204	2070	1998-09-14	PRIJEM	VKLAD	12138	61667	\N	\N	\N
608205	2070	1998-10-14	PRIJEM	VKLAD	12138	61795	\N	\N	\N
608206	2070	1998-11-14	PRIJEM	VKLAD	12138	62672	\N	\N	\N
608207	2070	1998-12-14	PRIJEM	VKLAD	18207	69319	\N	\N	\N
608214	2070	1993-07-11	VYDAJ	PREVOD NA UCET	8092	21258	SIPO	QR	36406797
608215	2070	1993-08-11	VYDAJ	PREVOD NA UCET	8092	21319	SIPO	QR	36406797
608216	2070	1993-09-11	VYDAJ	PREVOD NA UCET	8092	21480	SIPO	QR	36406797
608217	2070	1993-10-11	VYDAJ	PREVOD NA UCET	8092	19540	SIPO	QR	36406797
608218	2070	1993-11-11	VYDAJ	PREVOD NA UCET	8092	20594	SIPO	QR	36406797
608219	2070	1993-12-11	VYDAJ	PREVOD NA UCET	8092	21793	SIPO	QR	36406797
608220	2070	1994-01-11	VYDAJ	PREVOD NA UCET	8092	10476	SIPO	QR	36406797
608221	2070	1994-02-11	VYDAJ	PREVOD NA UCET	8092	13176	SIPO	QR	36406797
608222	2070	1994-03-11	VYDAJ	PREVOD NA UCET	8092	17584	SIPO	QR	36406797
608223	2070	1994-04-11	VYDAJ	PREVOD NA UCET	8092	19130	SIPO	QR	36406797
608224	2070	1994-05-11	VYDAJ	PREVOD NA UCET	8092	22883	SIPO	QR	36406797
608225	2070	1994-06-11	VYDAJ	PREVOD NA UCET	8092	25051	SIPO	QR	36406797
608226	2070	1994-07-11	VYDAJ	PREVOD NA UCET	8092	26504	SIPO	QR	36406797
608227	2070	1994-08-11	VYDAJ	PREVOD NA UCET	8092	24782	SIPO	QR	36406797
608228	2070	1994-09-11	VYDAJ	PREVOD NA UCET	8092	25655	SIPO	QR	36406797
608229	2070	1994-10-11	VYDAJ	PREVOD NA UCET	8092	27533	SIPO	QR	36406797
608230	2070	1994-11-11	VYDAJ	PREVOD NA UCET	8092	24912	SIPO	QR	36406797
608231	2070	1994-12-11	VYDAJ	PREVOD NA UCET	8092	25986	SIPO	QR	36406797
608232	2070	1995-01-11	VYDAJ	PREVOD NA UCET	8092	21101	SIPO	QR	36406797
608233	2070	1995-02-11	VYDAJ	PREVOD NA UCET	8092	18017	SIPO	QR	36406797
608234	2070	1995-03-11	VYDAJ	PREVOD NA UCET	8092	20763	SIPO	QR	36406797
608235	2070	1995-04-11	VYDAJ	PREVOD NA UCET	8092	16411	SIPO	QR	36406797
608236	2070	1995-05-11	VYDAJ	PREVOD NA UCET	8092	21655	SIPO	QR	36406797
608237	2070	1995-06-11	VYDAJ	PREVOD NA UCET	8092	25319	SIPO	QR	36406797
608238	2070	1995-07-11	VYDAJ	PREVOD NA UCET	8092	27667	SIPO	QR	36406797
608239	2070	1995-08-11	VYDAJ	PREVOD NA UCET	8092	18158	SIPO	QR	36406797
608240	2070	1995-09-11	VYDAJ	PREVOD NA UCET	8092	20794	SIPO	QR	36406797
608241	2070	1995-10-11	VYDAJ	PREVOD NA UCET	8092	19777	SIPO	QR	36406797
608242	2070	1995-11-11	VYDAJ	PREVOD NA UCET	8092	22634	SIPO	QR	36406797
608243	2070	1995-12-11	VYDAJ	PREVOD NA UCET	8092	23996	SIPO	QR	36406797
608244	2070	1996-01-11	VYDAJ	PREVOD NA UCET	8092	25100	SIPO	QR	36406797
608245	2070	1996-02-11	VYDAJ	PREVOD NA UCET	8092	25204	SIPO	QR	36406797
608246	2070	1996-03-11	VYDAJ	PREVOD NA UCET	8092	29101	SIPO	QR	36406797
608247	2070	1996-04-11	VYDAJ	PREVOD NA UCET	8092	33396	SIPO	QR	36406797
608248	2070	1996-05-11	VYDAJ	PREVOD NA UCET	8092	33432	SIPO	QR	36406797
608249	2070	1996-06-11	VYDAJ	PREVOD NA UCET	8092	17357	SIPO	QR	36406797
608250	2070	1996-07-11	VYDAJ	PREVOD NA UCET	8092	37039	SIPO	QR	36406797
608251	2070	1996-08-11	VYDAJ	PREVOD NA UCET	8092	41147	SIPO	QR	36406797
608252	2070	1996-09-11	VYDAJ	PREVOD NA UCET	8092	37383	SIPO	QR	36406797
608253	2070	1996-10-11	VYDAJ	PREVOD NA UCET	8092	35116	SIPO	QR	36406797
608254	2070	1996-11-11	VYDAJ	PREVOD NA UCET	8092	36641	SIPO	QR	36406797
608255	2070	1996-12-11	VYDAJ	PREVOD NA UCET	8092	34767	SIPO	QR	36406797
608256	2070	1997-01-11	VYDAJ	PREVOD NA UCET	8092	34709	SIPO	QR	36406797
608257	2070	1997-02-11	VYDAJ	PREVOD NA UCET	8092	33262	SIPO	QR	36406797
608258	2070	1997-03-11	VYDAJ	PREVOD NA UCET	8092	37163	SIPO	QR	36406797
608259	2070	1997-04-11	VYDAJ	PREVOD NA UCET	8092	36088	SIPO	QR	36406797
608260	2070	1997-05-11	VYDAJ	PREVOD NA UCET	8092	36914	SIPO	QR	36406797
608261	2070	1997-06-11	VYDAJ	PREVOD NA UCET	8092	35402	SIPO	QR	36406797
608262	2070	1997-07-11	VYDAJ	PREVOD NA UCET	8092	41905	SIPO	QR	36406797
608263	2070	1997-08-11	VYDAJ	PREVOD NA UCET	8092	40549	SIPO	QR	36406797
608264	2070	1997-09-11	VYDAJ	PREVOD NA UCET	8092	41894	SIPO	QR	36406797
608265	2070	1997-10-11	VYDAJ	PREVOD NA UCET	8092	35181	SIPO	QR	36406797
608266	2070	1997-11-11	VYDAJ	PREVOD NA UCET	8092	33143	SIPO	QR	36406797
608267	2070	1997-12-11	VYDAJ	PREVOD NA UCET	8092	34152	SIPO	QR	36406797
608268	2070	1998-01-11	VYDAJ	PREVOD NA UCET	8092	34883	SIPO	QR	36406797
608269	2070	1998-02-11	VYDAJ	PREVOD NA UCET	8092	35186	SIPO	QR	36406797
608270	2070	1998-03-11	VYDAJ	PREVOD NA UCET	8092	41290	SIPO	QR	36406797
608271	2070	1998-04-11	VYDAJ	PREVOD NA UCET	8092	45527	SIPO	QR	36406797
608272	2070	1998-05-11	VYDAJ	PREVOD NA UCET	8092	51487	SIPO	QR	36406797
608273	2070	1998-06-11	VYDAJ	PREVOD NA UCET	8092	56304	SIPO	QR	36406797
608274	2070	1998-07-11	VYDAJ	PREVOD NA UCET	8092	48371	SIPO	QR	36406797
608275	2070	1998-08-11	VYDAJ	PREVOD NA UCET	8092	51944	SIPO	QR	36406797
608276	2070	1998-09-11	VYDAJ	PREVOD NA UCET	8092	49529	SIPO	QR	36406797
608277	2070	1998-10-11	VYDAJ	PREVOD NA UCET	8092	49657	SIPO	QR	36406797
608278	2070	1998-11-11	VYDAJ	PREVOD NA UCET	8092	50534	SIPO	QR	36406797
608279	2070	1998-12-11	VYDAJ	PREVOD NA UCET	8092	51112	SIPO	QR	36406797
608280	2070	1993-06-18	VYDAJ	VYBER	19360	30735	\N	\N	\N
608283	2070	1996-06-05	VYDAJ	VYBER	20960	25449	\N	\N	\N
608284	2070	1997-06-06	VYDAJ	VYBER	12640	36594	\N	\N	\N
608285	2070	1998-06-23	VYDAJ	VYBER	13120	61391	\N	\N	\N
608286	2070	1993-12-11	VYDAJ	VYBER	3840	17953	\N	\N	\N
608287	2070	1994-12-27	VYDAJ	VYBER	4640	34453	\N	\N	\N
608288	2070	1995-12-15	VYDAJ	VYBER	1600	40603	\N	\N	\N
608289	2070	1996-12-22	VYDAJ	VYBER	2720	50254	\N	\N	\N
608290	2070	1997-12-13	VYDAJ	VYBER	2720	31432	\N	\N	\N
608291	2070	1998-12-08	VYDAJ	VYBER	2240	59204	\N	\N	\N
608299	2070	1994-01-09	VYDAJ	VYBER	960	19288	\N	\N	\N
608300	2070	1994-01-19	VYDAJ	VYBER	3240	19374	\N	\N	\N
608301	2070	1994-01-22	VYDAJ	VYBER	2880	16494	\N	\N	\N
608302	2070	1994-01-10	VYDAJ	VYBER	720	18568	\N	\N	\N
608303	2070	1994-01-05	VYDAJ	VYBER	2040	26128	\N	\N	\N
608304	2070	1995-01-21	VYDAJ	VYBER	1200	25999	\N	\N	\N
608305	2070	1995-01-02	VYDAJ	VYBER	1080	33513	\N	\N	\N
608306	2070	1995-01-21	VYDAJ	VYBER	3240	27199	\N	\N	\N
608307	2070	1995-01-11	VYDAJ	VYBER	1200	29193	\N	\N	\N
608308	2070	1995-01-02	VYDAJ	VYBER	840	32673	\N	\N	\N
608309	2070	1995-01-05	VYDAJ	VYBER	2280	30393	\N	\N	\N
608310	2070	1996-01-17	VYDAJ	VYBER	1680	33778	\N	\N	\N
608311	2070	1996-01-13	VYDAJ	VYBER	1440	23660	\N	\N	\N
608312	2070	1996-01-14	VYDAJ	VYBER	2040	35458	\N	\N	\N
608313	2070	1996-01-07	VYDAJ	VYBER	600	33192	\N	\N	\N
608314	2070	1996-01-02	VYDAJ	VYBER	1200	33792	\N	\N	\N
608315	2070	1996-01-28	VYDAJ	VYBER	600	33178	\N	\N	\N
608316	2070	1997-01-26	VYDAJ	VYBER	1320	42287	\N	\N	\N
608317	2070	1997-01-25	VYDAJ	VYBER	1200	43607	\N	\N	\N
608318	2070	1997-01-19	VYDAJ	VYBER	2040	44807	\N	\N	\N
608319	2070	1997-01-28	VYDAJ	VYBER	2280	37487	\N	\N	\N
608320	2070	1997-01-27	VYDAJ	VYBER	2520	39767	\N	\N	\N
608321	2070	1997-01-05	VYDAJ	VYBER	3240	47201	\N	\N	\N
608322	2070	1998-01-19	VYDAJ	VYBER	3360	40301	\N	\N	\N
608323	2070	1998-01-16	VYDAJ	VYBER	1920	45101	\N	\N	\N
608324	2070	1998-01-07	VYDAJ	VYBER	600	46215	\N	\N	\N
608325	2070	1998-01-23	VYDAJ	VYBER	1680	36821	\N	\N	\N
608326	2070	1998-01-22	VYDAJ	VYBER	1800	38501	\N	\N	\N
608327	2070	1998-01-08	VYDAJ	VYBER	3240	42975	\N	\N	\N
608328	2070	1993-12-06	VYDAJ	VYBER	960	29885	\N	\N	\N
608329	2070	1993-12-16	VYDAJ	VYBER	2880	33280	\N	\N	\N
608331	2070	1993-12-22	VYDAJ	VYBER	5520	27760	\N	\N	\N
608332	2070	1994-01-05	VYDAJ	VYBER	5880	20248	\N	\N	\N
608333	2070	1994-02-17	VYDAJ	VYBER	1320	23994	\N	\N	\N
608334	2070	1995-10-07	VYDAJ	VYBER	5280	27869	\N	\N	\N
608335	2070	1995-08-07	VYDAJ	VYBER	2640	26250	\N	\N	\N
608336	2070	1995-03-21	VYDAJ	VYBER	5400	24401	\N	\N	\N
608337	2070	1995-11-16	VYDAJ	VYBER	1200	31972	\N	\N	\N
608338	2070	1995-12-19	VYDAJ	VYBER	3840	34863	\N	\N	\N
608339	2070	1995-09-08	VYDAJ	VYBER	4320	28886	\N	\N	\N
608340	2070	1995-07-21	VYDAJ	VYBER	5640	28765	\N	\N	\N
608341	2070	1996-02-14	VYDAJ	VYBER	4680	37062	\N	\N	\N
608342	2070	1996-07-19	VYDAJ	VYBER	1920	49057	\N	\N	\N
608343	2070	1996-05-03	VYDAJ	VYBER	5880	41524	\N	\N	\N
608344	2070	1996-05-30	VYDAJ	VYBER	2640	46230	\N	\N	\N
608345	2070	1996-07-06	VYDAJ	VYBER	1200	45131	\N	\N	\N
608346	2070	1997-11-01	VYDAJ	VYBER	3360	44135	\N	\N	\N
608347	2070	1997-06-28	VYDAJ	VYBER	3000	50609	\N	\N	\N
608348	2070	1997-10-06	VYDAJ	VYBER	4560	43273	\N	\N	\N
608349	2070	1998-10-05	VYDAJ	VYBER	720	60989	\N	\N	\N
608350	2070	1998-05-23	VYDAJ	VYBER	2160	61465	\N	\N	\N
608351	2070	1998-10-05	VYDAJ	VYBER	3240	57749	\N	\N	\N
608352	2070	1998-01-18	VYDAJ	VYBER	1440	43661	\N	\N	\N
608353	2070	1998-11-17	VYDAJ	VYBER	960	61712	\N	\N	\N
608354	2070	1998-07-08	VYDAJ	VYBER	2280	56463	\N	\N	\N
608361	2070	1993-06-30	VYDAJ	VYBER	15	29350	SLUZBY	\N	\N
608362	2070	1993-07-31	VYDAJ	VYBER	15	29411	SLUZBY	\N	\N
608363	2070	1993-08-31	VYDAJ	VYBER	15	29572	SLUZBY	\N	\N
608364	2070	1993-09-30	VYDAJ	VYBER	15	27632	SLUZBY	\N	\N
608365	2070	1993-10-31	VYDAJ	VYBER	15	28686	SLUZBY	\N	\N
608366	2070	1993-11-30	VYDAJ	VYBER	15	30845	SLUZBY	\N	\N
608367	2070	1993-12-31	VYDAJ	VYBER	15	28168	SLUZBY	\N	\N
608368	2070	1994-01-31	VYDAJ	VYBER	15	21268	SLUZBY	\N	\N
608369	2070	1994-02-28	VYDAJ	VYBER	15	25676	SLUZBY	\N	\N
608370	2070	1994-03-31	VYDAJ	VYBER	15	27222	SLUZBY	\N	\N
608371	2070	1994-04-30	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
608372	2070	1994-05-31	VYDAJ	VYBER	15	33143	SLUZBY	\N	\N
608373	2070	1994-06-30	VYDAJ	VYBER	15	34596	SLUZBY	\N	\N
608374	2070	1994-07-31	VYDAJ	VYBER	15	32874	SLUZBY	\N	\N
608375	2070	1994-08-31	VYDAJ	VYBER	15	33747	SLUZBY	\N	\N
608376	2070	1994-09-30	VYDAJ	VYBER	15	35625	SLUZBY	\N	\N
608377	2070	1994-10-31	VYDAJ	VYBER	15	33004	SLUZBY	\N	\N
608378	2070	1994-11-30	VYDAJ	VYBER	15	34078	SLUZBY	\N	\N
608379	2070	1994-12-31	VYDAJ	VYBER	15	34593	SLUZBY	\N	\N
608380	2070	1995-01-31	VYDAJ	VYBER	15	26109	SLUZBY	\N	\N
608381	2070	1995-02-28	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
608382	2070	1995-03-31	VYDAJ	VYBER	15	24503	SLUZBY	\N	\N
608383	2070	1995-04-30	VYDAJ	VYBER	15	29747	SLUZBY	\N	\N
608384	2070	1995-05-31	VYDAJ	VYBER	15	33411	SLUZBY	\N	\N
608385	2070	1995-06-30	VYDAJ	VYBER	15	35759	SLUZBY	\N	\N
608386	2070	1995-07-31	VYDAJ	VYBER	15	28890	SLUZBY	\N	\N
608387	2070	1995-08-31	VYDAJ	VYBER	15	33206	SLUZBY	\N	\N
608388	2070	1995-09-30	VYDAJ	VYBER	15	33149	SLUZBY	\N	\N
608389	2070	1995-10-31	VYDAJ	VYBER	15	30726	SLUZBY	\N	\N
608390	2070	1995-11-30	VYDAJ	VYBER	15	32088	SLUZBY	\N	\N
608391	2070	1995-12-31	VYDAJ	VYBER	15	34992	SLUZBY	\N	\N
608392	2070	1996-01-31	VYDAJ	VYBER	15	33296	SLUZBY	\N	\N
608393	2070	1996-02-29	VYDAJ	VYBER	15	37193	SLUZBY	\N	\N
608394	2070	1996-03-31	VYDAJ	VYBER	15	41488	SLUZBY	\N	\N
608395	2070	1996-04-30	VYDAJ	VYBER	15	47404	SLUZBY	\N	\N
608396	2070	1996-05-31	VYDAJ	VYBER	15	46409	SLUZBY	\N	\N
608397	2070	1996-06-30	VYDAJ	VYBER	15	46331	SLUZBY	\N	\N
608398	2070	1996-07-31	VYDAJ	VYBER	15	49239	SLUZBY	\N	\N
608399	2070	1996-08-31	VYDAJ	VYBER	15	51275	SLUZBY	\N	\N
608400	2070	1996-09-30	VYDAJ	VYBER	15	49708	SLUZBY	\N	\N
608401	2070	1996-10-31	VYDAJ	VYBER	15	47433	SLUZBY	\N	\N
608402	2070	1996-11-30	VYDAJ	VYBER	15	48959	SLUZBY	\N	\N
608403	2070	1996-12-31	VYDAJ	VYBER	15	50441	SLUZBY	\N	\N
608404	2070	1997-01-31	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
608405	2070	1997-02-28	VYDAJ	VYBER	15	45555	SLUZBY	\N	\N
608406	2070	1997-03-31	VYDAJ	VYBER	15	49480	SLUZBY	\N	\N
608407	2070	1997-04-30	VYDAJ	VYBER	15	48406	SLUZBY	\N	\N
608408	2070	1997-05-31	VYDAJ	VYBER	15	49234	SLUZBY	\N	\N
608409	2070	1997-06-30	VYDAJ	VYBER	15	50797	SLUZBY	\N	\N
608410	2070	1997-07-31	VYDAJ	VYBER	15	54241	SLUZBY	\N	\N
608411	2070	1997-08-31	VYDAJ	VYBER	15	52886	SLUZBY	\N	\N
608412	2070	1997-09-30	VYDAJ	VYBER	15	54233	SLUZBY	\N	\N
608413	2070	1997-10-31	VYDAJ	VYBER	15	47495	SLUZBY	\N	\N
608414	2070	1997-11-30	VYDAJ	VYBER	15	45444	SLUZBY	\N	\N
608415	2070	1997-12-31	VYDAJ	VYBER	15	49815	SLUZBY	\N	\N
608416	2070	1998-01-31	VYDAJ	VYBER	15	36978	SLUZBY	\N	\N
608417	2070	1998-02-28	VYDAJ	VYBER	15	47482	SLUZBY	\N	\N
608418	2070	1998-03-31	VYDAJ	VYBER	15	53619	SLUZBY	\N	\N
608419	2070	1998-04-30	VYDAJ	VYBER	15	57879	SLUZBY	\N	\N
608420	2070	1998-05-31	VYDAJ	VYBER	15	61696	SLUZBY	\N	\N
608421	2070	1998-06-30	VYDAJ	VYBER	15	61643	SLUZBY	\N	\N
608422	2070	1998-07-31	VYDAJ	VYBER	15	60736	SLUZBY	\N	\N
608423	2070	1998-08-31	VYDAJ	VYBER	15	64321	SLUZBY	\N	\N
608424	2070	1998-09-30	VYDAJ	VYBER	15	61709	SLUZBY	\N	\N
608425	2070	1998-10-31	VYDAJ	VYBER	15	58626	SLUZBY	\N	\N
608426	2070	1998-11-30	VYDAJ	VYBER	15	61444	SLUZBY	\N	\N
608427	2070	1993-02-28	PRIJEM	VKLAD	7700	20138	\N	\N	\N
608428	2070	1993-03-30	VYDAJ	VYBER	3700	28579	\N	\N	\N
608429	2070	1993-04-29	VYDAJ	VYBER	10500	30303	\N	\N	\N
608430	2070	1993-05-29	VYDAJ	VYBER	10800	31761	\N	\N	\N
608431	2070	1993-06-28	VYDAJ	VYBER	1500	29235	\N	\N	\N
608432	2070	1993-07-28	VYDAJ	VYBER	4100	29296	\N	\N	\N
608433	2070	1993-08-27	VYDAJ	VYBER	4000	29457	\N	\N	\N
608434	2070	1993-09-26	VYDAJ	VYBER	6100	27518	\N	\N	\N
608435	2070	1993-10-26	VYDAJ	VYBER	3100	28578	\N	\N	\N
608436	2070	1993-11-25	VYDAJ	VYBER	2000	30732	\N	\N	\N
608437	2070	1993-12-25	PRIJEM	VKLAD	300	28060	\N	\N	\N
608438	2070	1994-01-24	PRIJEM	VKLAD	4700	21194	\N	\N	\N
608439	2070	1994-02-23	PRIJEM	VKLAD	1600	25594	\N	\N	\N
608440	2070	1994-03-25	VYDAJ	VYBER	2600	27122	\N	\N	\N
608441	2070	1994-04-24	VYDAJ	VYBER	400	30868	\N	\N	\N
608442	2070	1994-05-24	VYDAJ	VYBER	2000	33021	\N	\N	\N
608443	2070	1994-06-23	VYDAJ	VYBER	8800	34458	\N	\N	\N
608444	2070	1994-07-23	VYDAJ	VYBER	5900	32742	\N	\N	\N
608445	2070	1994-08-22	VYDAJ	VYBER	3300	33620	\N	\N	\N
608446	2070	1994-09-21	VYDAJ	VYBER	2300	35493	\N	\N	\N
608447	2070	1994-10-21	VYDAJ	VYBER	6800	32871	\N	\N	\N
608448	2070	1994-11-20	VYDAJ	VYBER	3100	33950	\N	\N	\N
608449	2070	1994-12-20	VYDAJ	VYBER	5100	39093	\N	\N	\N
608450	2070	1995-01-19	VYDAJ	VYBER	2800	30439	\N	\N	\N
608451	2070	1995-02-18	VYDAJ	VYBER	1400	28755	\N	\N	\N
608452	2070	1995-03-20	VYDAJ	VYBER	3100	29801	\N	\N	\N
608453	2070	1995-04-19	PRIJEM	VKLAD	1100	29649	\N	\N	\N
608454	2070	1995-05-19	VYDAJ	VYBER	500	33293	\N	\N	\N
608455	2070	1995-06-18	VYDAJ	VYBER	7900	35626	\N	\N	\N
608456	2070	1995-07-18	VYDAJ	VYBER	5400	34405	\N	\N	\N
608457	2070	1995-08-17	PRIJEM	VKLAD	2800	33096	\N	\N	\N
608458	2070	1995-09-16	PRIJEM	VKLAD	100	33032	\N	\N	\N
608459	2070	1995-10-16	VYDAJ	VYBER	1300	30615	\N	\N	\N
608460	2070	1995-11-15	VYDAJ	VYBER	1600	33172	\N	\N	\N
608461	2070	1995-12-15	VYDAJ	VYBER	1900	38703	\N	\N	\N
608462	2070	1996-01-14	PRIJEM	VKLAD	1700	25360	\N	\N	\N
608463	2070	1996-02-13	PRIJEM	VKLAD	4400	29604	\N	\N	\N
608464	2070	1996-03-14	PRIJEM	VKLAD	100	29201	\N	\N	\N
608465	2070	1996-04-13	PRIJEM	VKLAD	1700	35096	\N	\N	\N
608466	2070	1996-05-13	PRIJEM	VKLAD	3300	36732	\N	\N	\N
608467	2070	1996-06-12	PRIJEM	VKLAD	10600	27957	\N	\N	\N
608468	2070	1996-07-12	PRIJEM	VKLAD	1800	38839	\N	\N	\N
608469	2070	1996-08-11	VYDAJ	VYBER	2200	38947	\N	\N	\N
608470	2070	1996-09-10	VYDAJ	VYBER	5800	45475	\N	\N	\N
608471	2070	1996-10-10	VYDAJ	VYBER	6500	43208	\N	\N	\N
608472	2070	1996-11-09	VYDAJ	VYBER	2700	44733	\N	\N	\N
608473	2070	1996-12-09	VYDAJ	VYBER	6100	42859	\N	\N	\N
608474	2070	1997-01-08	VYDAJ	VYBER	4400	42801	\N	\N	\N
608475	2070	1997-02-07	PRIJEM	VKLAD	3700	41354	\N	\N	\N
608476	2070	1997-03-09	VYDAJ	VYBER	300	45255	\N	\N	\N
608477	2070	1997-04-08	VYDAJ	VYBER	5300	44180	\N	\N	\N
608478	2070	1997-05-08	VYDAJ	VYBER	3400	45006	\N	\N	\N
608479	2070	1997-06-07	PRIJEM	VKLAD	6900	43494	\N	\N	\N
608480	2070	1997-07-07	VYDAJ	VYBER	800	49997	\N	\N	\N
608481	2070	1997-08-06	VYDAJ	VYBER	5600	48641	\N	\N	\N
608482	2070	1997-09-05	VYDAJ	VYBER	2900	49986	\N	\N	\N
608483	2070	1997-10-05	VYDAJ	VYBER	6400	47833	\N	\N	\N
608484	2070	1997-11-04	VYDAJ	VYBER	2900	41235	\N	\N	\N
608485	2070	1997-12-04	VYDAJ	VYBER	3200	42244	\N	\N	\N
608486	2070	1998-01-03	VYDAJ	VYBER	3000	46815	\N	\N	\N
608487	2070	1998-02-02	PRIJEM	VKLAD	6300	43278	\N	\N	\N
608488	2070	1998-03-04	PRIJEM	VKLAD	1900	49382	\N	\N	\N
608489	2070	1998-05-03	PRIJEM	VKLAD	1700	59579	\N	\N	\N
608490	2070	1998-06-02	PRIJEM	VKLAD	2700	64396	\N	\N	\N
608491	2070	1998-07-02	VYDAJ	VYBER	2900	58743	\N	\N	\N
608492	2070	1998-08-01	VYDAJ	VYBER	700	60036	\N	\N	\N
608493	2070	1998-08-31	VYDAJ	VYBER	6700	57621	\N	\N	\N
608494	2070	1998-09-30	VYDAJ	VYBER	200	61724	\N	\N	\N
608495	2070	1998-10-30	VYDAJ	VYBER	3400	58395	\N	\N	\N
608496	2070	1998-11-29	VYDAJ	VYBER	500	61212	\N	\N	\N
608568	2071	1997-05-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
608573	2071	1997-05-11	PRIJEM	VKLAD	15407	16407	\N	\N	\N
608574	2071	1997-06-11	PRIJEM	VKLAD	23110	43563	\N	\N	\N
608575	2071	1997-07-11	PRIJEM	VKLAD	15407	47414	\N	\N	\N
608576	2071	1997-08-11	PRIJEM	VKLAD	15407	50614	\N	\N	\N
608577	2071	1997-09-11	PRIJEM	VKLAD	15407	50527	\N	\N	\N
608578	2071	1997-10-11	PRIJEM	VKLAD	15407	46312	\N	\N	\N
608579	2071	1997-11-11	PRIJEM	VKLAD	15407	44171	\N	\N	\N
608580	2071	1997-12-11	PRIJEM	VKLAD	23110	47922	\N	\N	\N
608581	2071	1998-01-11	PRIJEM	VKLAD	15407	31607	\N	\N	\N
608582	2071	1998-02-11	PRIJEM	VKLAD	15407	26555	\N	\N	\N
608583	2071	1998-03-11	PRIJEM	VKLAD	15407	28721	\N	\N	\N
608584	2071	1998-04-11	PRIJEM	VKLAD	15407	30702	\N	\N	\N
608585	2071	1998-05-11	PRIJEM	VKLAD	15407	25824	\N	\N	\N
608586	2071	1998-06-11	PRIJEM	VKLAD	23110	45799	\N	\N	\N
608587	2071	1998-07-11	PRIJEM	VKLAD	15407	28973	\N	\N	\N
608588	2071	1998-08-11	PRIJEM	VKLAD	15407	26051	\N	\N	\N
608589	2071	1998-09-11	PRIJEM	VKLAD	15407	38324	\N	\N	\N
608590	2071	1998-10-11	PRIJEM	VKLAD	15407	24096	\N	\N	\N
608591	2071	1998-11-11	PRIJEM	VKLAD	15407	36353	\N	\N	\N
608592	2071	1998-12-11	PRIJEM	VKLAD	23110	53362	\N	\N	\N
608602	2071	1997-10-05	VYDAJ	PREVOD NA UCET	125	50598	SIPO	ST	19791907
608603	2071	1997-11-05	VYDAJ	PREVOD NA UCET	125	31857	SIPO	ST	19791907
608604	2071	1997-12-05	VYDAJ	PREVOD NA UCET	125	27905	SIPO	ST	19791907
608605	2071	1998-01-05	VYDAJ	PREVOD NA UCET	125	19293	SIPO	ST	19791907
608606	2071	1998-02-05	VYDAJ	PREVOD NA UCET	125	14241	SIPO	ST	19791907
608607	2071	1998-03-05	VYDAJ	PREVOD NA UCET	125	16407	SIPO	ST	19791907
608608	2071	1998-04-05	VYDAJ	PREVOD NA UCET	125	18388	SIPO	ST	19791907
608609	2071	1998-05-05	VYDAJ	PREVOD NA UCET	125	13510	SIPO	ST	19791907
608610	2071	1998-06-05	VYDAJ	PREVOD NA UCET	125	25782	SIPO	ST	19791907
608611	2071	1998-07-05	VYDAJ	PREVOD NA UCET	125	17739	SIPO	ST	19791907
608612	2071	1998-08-05	VYDAJ	PREVOD NA UCET	125	13737	SIPO	ST	19791907
608613	2071	1998-09-05	VYDAJ	PREVOD NA UCET	125	26010	SIPO	ST	19791907
608614	2071	1998-10-05	VYDAJ	PREVOD NA UCET	125	11782	SIPO	ST	19791907
608615	2071	1998-11-05	VYDAJ	PREVOD NA UCET	125	24039	SIPO	ST	19791907
608616	2071	1998-12-05	VYDAJ	PREVOD NA UCET	125	33345	SIPO	ST	19791907
608626	2071	1997-10-08	VYDAJ	PREVOD NA UCET	3093	30905	 	WX	44377255
608627	2071	1997-11-08	VYDAJ	PREVOD NA UCET	3093	28764	 	WX	44377255
608628	2071	1997-12-08	VYDAJ	PREVOD NA UCET	3093	24812	 	WX	44377255
608629	2071	1998-01-08	VYDAJ	PREVOD NA UCET	3093	16200	 	WX	44377255
608630	2071	1998-02-08	VYDAJ	PREVOD NA UCET	3093	11148	 	WX	44377255
608631	2071	1998-03-08	VYDAJ	PREVOD NA UCET	3093	13314	 	WX	44377255
608632	2071	1998-04-08	VYDAJ	PREVOD NA UCET	3093	15295	 	WX	44377255
608633	2071	1998-05-08	VYDAJ	PREVOD NA UCET	3093	10417	 	WX	44377255
608634	2071	1998-06-08	VYDAJ	PREVOD NA UCET	3093	22689	 	WX	44377255
608635	2071	1998-07-08	VYDAJ	PREVOD NA UCET	3093	13566	 	WX	44377255
608636	2071	1998-08-08	VYDAJ	PREVOD NA UCET	3093	10644	 	WX	44377255
608637	2071	1998-09-08	VYDAJ	PREVOD NA UCET	3093	22917	 	WX	44377255
608638	2071	1998-10-08	VYDAJ	PREVOD NA UCET	3093	8689	 	WX	44377255
608639	2071	1998-11-08	VYDAJ	PREVOD NA UCET	3093	20946	 	WX	44377255
608640	2071	1998-12-08	VYDAJ	PREVOD NA UCET	3093	30252	 	WX	44377255
608642	2071	1998-06-19	VYDAJ	VYBER	22400	23399	\N	\N	\N
608644	2071	1998-01-19	VYDAJ	VYBER	12160	18247	\N	\N	\N
608645	2071	1997-12-12	VYDAJ	VYBER	3680	44242	\N	\N	\N
608646	2071	1998-12-22	VYDAJ	VYBER	2720	50642	\N	\N	\N
608653	2071	1998-01-27	VYDAJ	VYBER	1320	14287	\N	\N	\N
608656	2071	1998-01-04	VYDAJ	VYBER	3240	19418	\N	\N	\N
608657	2071	1998-01-26	VYDAJ	VYBER	2640	15607	\N	\N	\N
608658	2071	1998-01-15	VYDAJ	VYBER	1200	30407	\N	\N	\N
608664	2071	1998-06-25	VYDAJ	VYBER	5640	17759	\N	\N	\N
608665	2071	1998-09-30	VYDAJ	VYBER	4440	11907	\N	\N	\N
608666	2071	1998-04-11	VYDAJ	VYBER	2760	27942	\N	\N	\N
608667	2071	1998-01-03	VYDAJ	VYBER	5640	22658	\N	\N	\N
608668	2071	1998-11-29	VYDAJ	VYBER	3000	33353	\N	\N	\N
608669	2071	1998-07-07	VYDAJ	VYBER	1080	16659	\N	\N	\N
608679	2071	1997-09-30	VYDAJ	VYBER	15	50723	SLUZBY	\N	\N
608680	2071	1997-10-31	VYDAJ	VYBER	15	46482	SLUZBY	\N	\N
608681	2071	1997-11-30	VYDAJ	VYBER	15	44330	SLUZBY	\N	\N
608682	2071	1997-12-31	VYDAJ	VYBER	15	44398	SLUZBY	\N	\N
608683	2071	1998-01-31	VYDAJ	VYBER	15	14366	SLUZBY	\N	\N
608684	2071	1998-02-28	VYDAJ	VYBER	15	26632	SLUZBY	\N	\N
608685	2071	1998-03-31	VYDAJ	VYBER	15	28813	SLUZBY	\N	\N
608686	2071	1998-04-30	VYDAJ	VYBER	15	28035	SLUZBY	\N	\N
608687	2071	1998-05-31	VYDAJ	VYBER	15	25907	SLUZBY	\N	\N
608688	2071	1998-06-30	VYDAJ	VYBER	15	17864	SLUZBY	\N	\N
608689	2071	1998-07-31	VYDAJ	VYBER	15	29062	SLUZBY	\N	\N
608690	2071	1998-08-31	VYDAJ	VYBER	15	26135	SLUZBY	\N	\N
608691	2071	1998-09-30	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
608692	2071	1998-10-31	VYDAJ	VYBER	15	24164	SLUZBY	\N	\N
608693	2071	1998-11-30	VYDAJ	VYBER	15	33470	SLUZBY	\N	\N
608694	2071	1997-06-07	PRIJEM	VKLAD	4000	20453	\N	\N	\N
608695	2071	1997-07-07	VYDAJ	VYBER	11700	32007	\N	\N	\N
608696	2071	1997-08-06	VYDAJ	VYBER	12400	35207	\N	\N	\N
608697	2071	1997-09-05	VYDAJ	VYBER	15700	35120	\N	\N	\N
608698	2071	1997-10-05	VYDAJ	VYBER	16600	33998	\N	\N	\N
608699	2071	1997-11-04	VYDAJ	VYBER	14500	31982	\N	\N	\N
608700	2071	1997-12-04	VYDAJ	VYBER	16300	28030	\N	\N	\N
608701	2071	1998-01-03	VYDAJ	VYBER	16100	28298	\N	\N	\N
608702	2071	1998-03-04	VYDAJ	VYBER	10100	16532	\N	\N	\N
608703	2071	1998-04-03	VYDAJ	VYBER	10300	18513	\N	\N	\N
608704	2071	1998-05-03	VYDAJ	VYBER	14400	13635	\N	\N	\N
608705	2071	1998-08-01	VYDAJ	VYBER	15200	13862	\N	\N	\N
608706	2071	1998-09-30	VYDAJ	VYBER	22100	16362	\N	\N	\N
608727	2072	1993-10-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
608738	2072	1993-11-08	PRIJEM	VKLAD	24225	25225	\N	\N	\N
608739	2072	1993-12-08	PRIJEM	VKLAD	36338	62918	\N	\N	\N
608740	2072	1994-01-08	PRIJEM	VKLAD	24225	66787	\N	\N	\N
608741	2072	1994-02-08	PRIJEM	VKLAD	24225	68293	\N	\N	\N
608742	2072	1994-03-08	PRIJEM	VKLAD	24225	72610	\N	\N	\N
608743	2072	1994-04-08	PRIJEM	VKLAD	24225	63789	\N	\N	\N
608744	2072	1994-05-08	PRIJEM	VKLAD	24225	62059	\N	\N	\N
608745	2072	1994-06-08	PRIJEM	VKLAD	36338	74639	\N	\N	\N
608746	2072	1994-07-08	PRIJEM	VKLAD	24225	46119	\N	\N	\N
608747	2072	1994-08-08	PRIJEM	VKLAD	24225	55740	\N	\N	\N
608748	2072	1994-09-08	PRIJEM	VKLAD	24225	59284	\N	\N	\N
608749	2072	1994-10-08	PRIJEM	VKLAD	24225	61538	\N	\N	\N
608750	2072	1994-11-08	PRIJEM	VKLAD	24225	61494	\N	\N	\N
608751	2072	1994-12-08	PRIJEM	VKLAD	36338	74564	\N	\N	\N
608752	2072	1995-01-08	PRIJEM	VKLAD	24225	48491	\N	\N	\N
608753	2072	1995-02-08	PRIJEM	VKLAD	24225	55318	\N	\N	\N
608754	2072	1995-03-08	PRIJEM	VKLAD	24225	61460	\N	\N	\N
608755	2072	1995-04-08	PRIJEM	VKLAD	24225	62517	\N	\N	\N
608756	2072	1995-05-08	PRIJEM	VKLAD	24225	67086	\N	\N	\N
608757	2072	1995-06-08	PRIJEM	VKLAD	36338	73345	\N	\N	\N
608758	2072	1995-07-08	PRIJEM	VKLAD	24225	70222	\N	\N	\N
608759	2072	1995-08-08	PRIJEM	VKLAD	24225	70408	\N	\N	\N
608760	2072	1995-09-08	PRIJEM	VKLAD	24225	68647	\N	\N	\N
608761	2072	1995-10-08	PRIJEM	VKLAD	24225	76682	\N	\N	\N
608762	2072	1995-11-08	PRIJEM	VKLAD	24225	80857	\N	\N	\N
608763	2072	1995-12-08	PRIJEM	VKLAD	36338	92963	\N	\N	\N
608764	2072	1996-01-08	PRIJEM	VKLAD	24225	85192	\N	\N	\N
608765	2072	1996-02-08	PRIJEM	VKLAD	24225	79996	\N	\N	\N
608766	2072	1996-03-08	PRIJEM	VKLAD	24225	82988	\N	\N	\N
608767	2072	1996-04-08	PRIJEM	VKLAD	24225	83190	\N	\N	\N
608768	2072	1996-05-08	PRIJEM	VKLAD	24225	81635	\N	\N	\N
608769	2072	1996-06-08	PRIJEM	VKLAD	36338	86581	\N	\N	\N
608770	2072	1996-07-08	PRIJEM	VKLAD	24225	89482	\N	\N	\N
608771	2072	1996-08-08	PRIJEM	VKLAD	24225	93212	\N	\N	\N
608772	2072	1996-09-08	PRIJEM	VKLAD	24225	96657	\N	\N	\N
608773	2072	1996-10-08	PRIJEM	VKLAD	24225	94407	\N	\N	\N
608774	2072	1996-11-08	PRIJEM	VKLAD	24225	95355	\N	\N	\N
608775	2072	1996-12-08	PRIJEM	VKLAD	36338	105997	\N	\N	\N
608776	2072	1997-01-08	PRIJEM	VKLAD	24225	93265	\N	\N	\N
608777	2072	1997-02-08	PRIJEM	VKLAD	24225	84826	\N	\N	\N
608778	2072	1997-03-08	PRIJEM	VKLAD	24225	89221	\N	\N	\N
608779	2072	1997-04-08	PRIJEM	VKLAD	24225	96635	\N	\N	\N
608780	2072	1997-05-08	PRIJEM	VKLAD	24225	101078	\N	\N	\N
608781	2072	1997-06-08	PRIJEM	VKLAD	36338	120252	\N	\N	\N
608782	2072	1997-07-08	PRIJEM	VKLAD	24225	76941	\N	\N	\N
608783	2072	1997-08-08	PRIJEM	VKLAD	24225	92604	\N	\N	\N
608784	2072	1997-09-08	PRIJEM	VKLAD	24225	101525	\N	\N	\N
608785	2072	1997-10-08	PRIJEM	VKLAD	24225	107683	\N	\N	\N
608786	2072	1997-11-08	PRIJEM	VKLAD	24225	107460	\N	\N	\N
608787	2072	1997-12-08	PRIJEM	VKLAD	36338	119571	\N	\N	\N
608788	2072	1998-01-08	PRIJEM	VKLAD	24225	102345	\N	\N	\N
608789	2072	1998-02-08	PRIJEM	VKLAD	24225	108664	\N	\N	\N
608790	2072	1998-03-08	PRIJEM	VKLAD	24225	113141	\N	\N	\N
608791	2072	1998-04-08	PRIJEM	VKLAD	24225	116241	\N	\N	\N
608792	2072	1998-05-08	PRIJEM	VKLAD	24225	117051	\N	\N	\N
608793	2072	1998-06-08	PRIJEM	VKLAD	36338	126871	\N	\N	\N
608794	2072	1998-07-08	PRIJEM	VKLAD	24225	84011	\N	\N	\N
608795	2072	1998-08-08	PRIJEM	VKLAD	24225	95896	\N	\N	\N
608796	2072	1998-09-08	PRIJEM	VKLAD	24225	102022	\N	\N	\N
608797	2072	1998-10-08	PRIJEM	VKLAD	24225	105069	\N	\N	\N
608798	2072	1998-11-08	PRIJEM	VKLAD	24225	103063	\N	\N	\N
608799	2072	1998-12-08	PRIJEM	VKLAD	36338	117397	\N	\N	\N
608815	2072	1994-04-07	VYDAJ	PREVOD NA UCET	6746	39564	SIPO	QR	48987203
608816	2072	1994-05-07	VYDAJ	PREVOD NA UCET	6746	37834	SIPO	QR	48987203
608817	2072	1994-06-07	VYDAJ	PREVOD NA UCET	6746	38302	SIPO	QR	48987203
608818	2072	1994-07-07	VYDAJ	PREVOD NA UCET	6746	21894	SIPO	QR	48987203
608819	2072	1994-08-07	VYDAJ	PREVOD NA UCET	6746	31515	SIPO	QR	48987203
608820	2072	1994-09-07	VYDAJ	PREVOD NA UCET	6746	35059	SIPO	QR	48987203
608821	2072	1994-10-07	VYDAJ	PREVOD NA UCET	6746	37313	SIPO	QR	48987203
608822	2072	1994-11-07	VYDAJ	PREVOD NA UCET	6746	37269	SIPO	QR	48987203
608823	2072	1994-12-07	VYDAJ	PREVOD NA UCET	6746	38227	SIPO	QR	48987203
608824	2072	1995-01-07	VYDAJ	PREVOD NA UCET	6746	24266	SIPO	QR	48987203
608825	2072	1995-02-07	VYDAJ	PREVOD NA UCET	6746	31093	SIPO	QR	48987203
608826	2072	1995-03-07	VYDAJ	PREVOD NA UCET	6746	37235	SIPO	QR	48987203
608827	2072	1995-04-07	VYDAJ	PREVOD NA UCET	6746	38292	SIPO	QR	48987203
608828	2072	1995-05-07	VYDAJ	PREVOD NA UCET	6746	42861	SIPO	QR	48987203
608829	2072	1995-06-07	VYDAJ	PREVOD NA UCET	6746	37007	SIPO	QR	48987203
608830	2072	1995-07-07	VYDAJ	PREVOD NA UCET	6746	45997	SIPO	QR	48987203
608831	2072	1995-08-07	VYDAJ	PREVOD NA UCET	6746	46183	SIPO	QR	48987203
608832	2072	1995-09-07	VYDAJ	PREVOD NA UCET	6746	44422	SIPO	QR	48987203
608833	2072	1995-10-07	VYDAJ	PREVOD NA UCET	6746	62157	SIPO	QR	48987203
608834	2072	1995-11-07	VYDAJ	PREVOD NA UCET	6746	56632	SIPO	QR	48987203
608835	2072	1995-12-07	VYDAJ	PREVOD NA UCET	6746	56626	SIPO	QR	48987203
608836	2072	1996-01-07	VYDAJ	PREVOD NA UCET	6746	60967	SIPO	QR	48987203
608837	2072	1996-02-07	VYDAJ	PREVOD NA UCET	6746	55771	SIPO	QR	48987203
608838	2072	1996-03-07	VYDAJ	PREVOD NA UCET	6746	58763	SIPO	QR	48987203
608839	2072	1996-04-07	VYDAJ	PREVOD NA UCET	6746	58965	SIPO	QR	48987203
608840	2072	1996-05-07	VYDAJ	PREVOD NA UCET	6746	57410	SIPO	QR	48987203
608841	2072	1996-06-07	VYDAJ	PREVOD NA UCET	6746	50244	SIPO	QR	48987203
608842	2072	1996-07-07	VYDAJ	PREVOD NA UCET	6746	65257	SIPO	QR	48987203
608843	2072	1996-08-07	VYDAJ	PREVOD NA UCET	6746	68987	SIPO	QR	48987203
608844	2072	1996-09-07	VYDAJ	PREVOD NA UCET	6746	72432	SIPO	QR	48987203
608845	2072	1996-10-07	VYDAJ	PREVOD NA UCET	6746	70182	SIPO	QR	48987203
608846	2072	1996-11-07	VYDAJ	PREVOD NA UCET	6746	71130	SIPO	QR	48987203
608847	2072	1996-12-07	VYDAJ	PREVOD NA UCET	6746	69660	SIPO	QR	48987203
608848	2072	1997-01-07	VYDAJ	PREVOD NA UCET	6746	69040	SIPO	QR	48987203
608849	2072	1997-02-07	VYDAJ	PREVOD NA UCET	6746	60601	SIPO	QR	48987203
608850	2072	1997-03-07	VYDAJ	PREVOD NA UCET	6746	64996	SIPO	QR	48987203
608851	2072	1997-04-07	VYDAJ	PREVOD NA UCET	6746	72410	SIPO	QR	48987203
608852	2072	1997-05-07	VYDAJ	PREVOD NA UCET	6746	76853	SIPO	QR	48987203
608853	2072	1997-06-07	VYDAJ	PREVOD NA UCET	6746	83914	SIPO	QR	48987203
608854	2072	1997-07-07	VYDAJ	PREVOD NA UCET	6746	52716	SIPO	QR	48987203
608855	2072	1997-08-07	VYDAJ	PREVOD NA UCET	6746	68379	SIPO	QR	48987203
608856	2072	1997-09-07	VYDAJ	PREVOD NA UCET	6746	77300	SIPO	QR	48987203
608857	2072	1997-10-07	VYDAJ	PREVOD NA UCET	6746	83458	SIPO	QR	48987203
608858	2072	1997-11-07	VYDAJ	PREVOD NA UCET	6746	83235	SIPO	QR	48987203
608859	2072	1997-12-07	VYDAJ	PREVOD NA UCET	6746	83233	SIPO	QR	48987203
608860	2072	1998-01-07	VYDAJ	PREVOD NA UCET	6746	78120	SIPO	QR	48987203
608861	2072	1998-02-07	VYDAJ	PREVOD NA UCET	6746	84439	SIPO	QR	48987203
608862	2072	1998-03-07	VYDAJ	PREVOD NA UCET	6746	88916	SIPO	QR	48987203
608863	2072	1998-04-07	VYDAJ	PREVOD NA UCET	6746	92016	SIPO	QR	48987203
608864	2072	1998-05-07	VYDAJ	PREVOD NA UCET	6746	92826	SIPO	QR	48987203
608865	2072	1998-06-07	VYDAJ	PREVOD NA UCET	6746	90534	SIPO	QR	48987203
608866	2072	1998-07-07	VYDAJ	PREVOD NA UCET	6746	59786	SIPO	QR	48987203
608867	2072	1998-08-07	VYDAJ	PREVOD NA UCET	6746	71671	SIPO	QR	48987203
608868	2072	1998-09-07	VYDAJ	PREVOD NA UCET	6746	77797	SIPO	QR	48987203
608869	2072	1998-10-07	VYDAJ	PREVOD NA UCET	6746	80844	SIPO	QR	48987203
608870	2072	1998-11-07	VYDAJ	PREVOD NA UCET	6746	78838	SIPO	QR	48987203
608871	2072	1998-12-07	VYDAJ	PREVOD NA UCET	6746	81060	SIPO	QR	48987203
608873	2072	1994-06-14	VYDAJ	VYBER	44960	29679	\N	\N	\N
608875	2072	1996-06-01	VYDAJ	VYBER	27360	54590	\N	\N	\N
608876	2072	1997-06-26	VYDAJ	VYBER	17600	50952	\N	\N	\N
608877	2072	1998-06-08	VYDAJ	VYBER	39200	54071	\N	\N	\N
608880	2072	1995-01-01	VYDAJ	VYBER	12320	31012	\N	\N	\N
608881	2072	1996-01-13	VYDAJ	VYBER	5600	79592	\N	\N	\N
608882	2072	1997-01-29	VYDAJ	VYBER	13280	67005	\N	\N	\N
608883	2072	1998-01-24	VYDAJ	VYBER	7040	90805	\N	\N	\N
608885	2072	1994-12-17	VYDAJ	VYBER	3520	47344	\N	\N	\N
608886	2072	1995-12-14	VYDAJ	VYBER KARTOU	3200	89763	\N	\N	0
608887	2072	1996-12-25	VYDAJ	VYBER	4640	101357	\N	\N	\N
608888	2072	1997-12-15	VYDAJ	VYBER KARTOU	2900	99771	\N	\N	0
608889	2072	1998-12-20	VYDAJ	VYBER KARTOU	3200	114197	\N	\N	0
608896	2072	1994-12-21	VYDAJ	VYBER	3240	43144	\N	\N	\N
608897	2072	1994-03-09	VYDAJ	VYBER	4800	67810	\N	\N	\N
608898	2072	1994-12-20	VYDAJ	VYBER	960	46384	\N	\N	\N
608899	2072	1995-05-22	VYDAJ	VYBER	5520	43566	\N	\N	\N
608900	2072	1996-04-16	VYDAJ	VYBER KARTOU	700	82490	\N	\N	0
608901	2072	1996-12-30	VYDAJ	VYBER	4560	96797	\N	\N	\N
608902	2072	1996-10-22	VYDAJ	VYBER KARTOU	1200	93207	\N	\N	0
608903	2072	1996-05-01	VYDAJ	VYBER	5760	77056	\N	\N	\N
608904	2072	1996-11-11	VYDAJ	VYBER KARTOU	3600	91755	\N	\N	0
608905	2072	1996-02-17	VYDAJ	VYBER KARTOU	1000	78996	\N	\N	0
608906	2072	1996-09-09	VYDAJ	VYBER KARTOU	3200	93457	\N	\N	0
608907	2072	1997-06-29	VYDAJ	VYBER KARTOU	4000	59052	\N	\N	0
608908	2072	1997-11-30	VYDAJ	VYBER	4080	89994	\N	\N	\N
608909	2072	1997-01-22	VYDAJ	VYBER	5880	87385	\N	\N	\N
608910	2072	1997-10-06	VYDAJ	VYBER KARTOU	600	90204	\N	\N	0
608911	2072	1997-06-08	VYDAJ	VYBER KARTOU	1300	68552	\N	\N	0
608912	2072	1997-08-15	VYDAJ	VYBER KARTOU	1600	91004	\N	\N	0
608913	2072	1998-02-10	VYDAJ	VYBER KARTOU	2800	105864	\N	\N	0
608914	2072	1998-11-13	VYDAJ	VYBER	4320	98743	\N	\N	\N
608915	2072	1998-10-26	VYDAJ	VYBER	5760	85209	\N	\N	\N
608916	2072	1998-01-05	VYDAJ	VYBER KARTOU	4000	84866	\N	\N	0
608917	2072	1998-09-23	VYDAJ	VYBER KARTOU	3400	87222	\N	\N	0
608933	2072	1994-03-31	VYDAJ	VYBER	15	46310	SLUZBY	\N	\N
608934	2072	1994-04-30	VYDAJ	VYBER	15	44580	SLUZBY	\N	\N
608935	2072	1994-05-31	VYDAJ	VYBER	15	45048	SLUZBY	\N	\N
608936	2072	1994-06-30	VYDAJ	VYBER	15	28640	SLUZBY	\N	\N
608937	2072	1994-07-31	VYDAJ	VYBER	15	38261	SLUZBY	\N	\N
608938	2072	1994-08-31	VYDAJ	VYBER	15	41805	SLUZBY	\N	\N
608939	2072	1994-09-30	VYDAJ	VYBER	15	44059	SLUZBY	\N	\N
608940	2072	1994-10-31	VYDAJ	VYBER	15	44015	SLUZBY	\N	\N
608941	2072	1994-11-30	VYDAJ	VYBER	15	44973	SLUZBY	\N	\N
608942	2072	1994-12-31	VYDAJ	VYBER	15	43332	SLUZBY	\N	\N
608943	2072	1995-01-31	VYDAJ	VYBER	15	37839	SLUZBY	\N	\N
608944	2072	1995-02-28	VYDAJ	VYBER	15	43981	SLUZBY	\N	\N
608945	2072	1995-03-31	VYDAJ	VYBER	15	45038	SLUZBY	\N	\N
608946	2072	1995-04-30	VYDAJ	VYBER	15	49607	SLUZBY	\N	\N
608947	2072	1995-05-31	VYDAJ	VYBER	15	43753	SLUZBY	\N	\N
608948	2072	1995-06-30	VYDAJ	VYBER	15	52743	SLUZBY	\N	\N
608949	2072	1995-07-31	VYDAJ	VYBER	15	52929	SLUZBY	\N	\N
608950	2072	1995-08-31	VYDAJ	VYBER	15	55968	SLUZBY	\N	\N
608951	2072	1995-09-30	VYDAJ	VYBER	15	68903	SLUZBY	\N	\N
608952	2072	1995-10-31	VYDAJ	VYBER	15	76978	SLUZBY	\N	\N
608953	2072	1995-11-30	VYDAJ	VYBER	15	81172	SLUZBY	\N	\N
608954	2072	1995-12-31	VYDAJ	VYBER	15	90113	SLUZBY	\N	\N
608955	2072	1996-01-31	VYDAJ	VYBER	15	79917	SLUZBY	\N	\N
608956	2072	1996-02-29	VYDAJ	VYBER	15	79309	SLUZBY	\N	\N
608957	2072	1996-03-31	VYDAJ	VYBER	15	83311	SLUZBY	\N	\N
608958	2072	1996-04-30	VYDAJ	VYBER	15	82816	SLUZBY	\N	\N
608959	2072	1996-05-31	VYDAJ	VYBER	15	81950	SLUZBY	\N	\N
608960	2072	1996-06-30	VYDAJ	VYBER	15	86903	SLUZBY	\N	\N
608961	2072	1996-07-31	VYDAJ	VYBER	15	89833	SLUZBY	\N	\N
608962	2072	1996-08-31	VYDAJ	VYBER	15	93578	SLUZBY	\N	\N
608963	2072	1996-09-30	VYDAJ	VYBER	15	93828	SLUZBY	\N	\N
608964	2072	1996-10-31	VYDAJ	VYBER	15	77876	SLUZBY	\N	\N
608965	2072	1996-11-30	VYDAJ	VYBER	15	76406	SLUZBY	\N	\N
608966	2072	1996-12-31	VYDAJ	VYBER	15	75786	SLUZBY	\N	\N
608967	2072	1997-01-31	VYDAJ	VYBER	15	67347	SLUZBY	\N	\N
608968	2072	1997-02-28	VYDAJ	VYBER	15	71742	SLUZBY	\N	\N
608969	2072	1997-03-31	VYDAJ	VYBER	15	79156	SLUZBY	\N	\N
608970	2072	1997-04-30	VYDAJ	VYBER	15	83599	SLUZBY	\N	\N
608971	2072	1997-05-31	VYDAJ	VYBER	15	90660	SLUZBY	\N	\N
608972	2072	1997-06-30	VYDAJ	VYBER	15	59462	SLUZBY	\N	\N
608973	2072	1997-07-31	VYDAJ	VYBER	15	75125	SLUZBY	\N	\N
608974	2072	1997-08-31	VYDAJ	VYBER	15	84046	SLUZBY	\N	\N
608975	2072	1997-09-30	VYDAJ	VYBER	15	90804	SLUZBY	\N	\N
608976	2072	1997-10-31	VYDAJ	VYBER	15	89981	SLUZBY	\N	\N
608977	2072	1997-11-30	VYDAJ	VYBER	15	89979	SLUZBY	\N	\N
608978	2072	1997-12-31	VYDAJ	VYBER	15	88866	SLUZBY	\N	\N
608979	2072	1998-01-31	VYDAJ	VYBER	15	91185	SLUZBY	\N	\N
608980	2072	1998-02-28	VYDAJ	VYBER	15	95662	SLUZBY	\N	\N
608981	2072	1998-03-31	VYDAJ	VYBER	15	98762	SLUZBY	\N	\N
608982	2072	1998-04-30	VYDAJ	VYBER	15	99572	SLUZBY	\N	\N
608983	2072	1998-05-31	VYDAJ	VYBER	15	97280	SLUZBY	\N	\N
608984	2072	1998-06-30	VYDAJ	VYBER	15	66532	SLUZBY	\N	\N
608985	2072	1998-07-31	VYDAJ	VYBER	15	78417	SLUZBY	\N	\N
608986	2072	1998-08-31	VYDAJ	VYBER	15	84543	SLUZBY	\N	\N
608987	2072	1998-09-30	VYDAJ	VYBER	15	87590	SLUZBY	\N	\N
608988	2072	1998-10-31	VYDAJ	VYBER	15	85584	SLUZBY	\N	\N
608989	2072	1998-11-30	VYDAJ	VYBER	15	87806	SLUZBY	\N	\N
608990	2072	1993-11-16	PRIJEM	VKLAD	1300	26525	\N	\N	\N
608991	2072	1993-12-16	VYDAJ	VYBER	20500	42418	\N	\N	\N
608992	2072	1994-01-15	VYDAJ	VYBER	22900	43887	\N	\N	\N
608993	2072	1994-02-14	VYDAJ	VYBER	20100	48193	\N	\N	\N
608994	2072	1994-03-16	VYDAJ	VYBER	21700	46110	\N	\N	\N
608995	2072	1994-04-15	VYDAJ	VYBER	19400	44389	\N	\N	\N
608996	2072	1994-05-15	VYDAJ	VYBER	17200	44859	\N	\N	\N
608997	2072	1994-06-14	VYDAJ	VYBER	1200	28479	\N	\N	\N
608998	2072	1994-07-14	VYDAJ	VYBER	8000	38119	\N	\N	\N
608999	2072	1994-08-13	VYDAJ	VYBER	14100	41640	\N	\N	\N
609000	2072	1994-09-12	VYDAJ	VYBER	15400	43884	\N	\N	\N
609001	2072	1994-10-12	VYDAJ	VYBER	17700	43838	\N	\N	\N
609002	2072	1994-11-11	VYDAJ	VYBER	16700	44794	\N	\N	\N
609003	2072	1994-12-11	VYDAJ	VYBER	23700	50864	\N	\N	\N
609004	2072	1995-01-10	VYDAJ	VYBER	10800	37691	\N	\N	\N
609005	2072	1995-02-09	VYDAJ	VYBER	11500	43818	\N	\N	\N
609006	2072	1995-03-11	VYDAJ	VYBER	16600	44860	\N	\N	\N
609007	2072	1995-04-10	VYDAJ	VYBER	13100	49417	\N	\N	\N
609008	2072	1995-05-10	VYDAJ	VYBER	18000	49086	\N	\N	\N
609009	2072	1995-06-09	VYDAJ	VYBER	20800	52545	\N	\N	\N
609010	2072	1995-07-09	VYDAJ	VYBER	17500	52722	\N	\N	\N
609011	2072	1995-08-08	VYDAJ	VYBER	14700	55708	\N	\N	\N
609012	2072	1995-09-07	VYDAJ	VYBER	4800	51168	\N	\N	\N
609013	2072	1995-10-07	VYDAJ	VYBER	9700	52457	\N	\N	\N
609014	2072	1995-11-06	VYDAJ	VYBER	13600	63378	\N	\N	\N
609015	2072	1995-12-06	VYDAJ	VYBER	17800	63372	\N	\N	\N
609016	2072	1996-01-05	VYDAJ	VYBER	22400	67713	\N	\N	\N
609017	2072	1996-02-04	VYDAJ	VYBER	17400	62517	\N	\N	\N
609018	2072	1996-03-05	VYDAJ	VYBER	13800	65509	\N	\N	\N
609019	2072	1996-04-04	VYDAJ	VYBER	17600	65711	\N	\N	\N
609020	2072	1996-05-04	VYDAJ	VYBER	12900	64156	\N	\N	\N
609021	2072	1996-06-03	PRIJEM	VKLAD	2400	56990	\N	\N	\N
609022	2072	1996-07-03	VYDAJ	VYBER	14900	72003	\N	\N	\N
609023	2072	1996-08-02	VYDAJ	VYBER	14100	75733	\N	\N	\N
609024	2072	1996-09-01	VYDAJ	VYBER	14400	79178	\N	\N	\N
609025	2072	1996-10-01	VYDAJ	VYBER	16900	76928	\N	\N	\N
609026	2072	1996-10-31	VYDAJ	VYBER	15700	77890	\N	\N	\N
609027	2072	1996-11-30	VYDAJ	VYBER	15700	76420	\N	\N	\N
609028	2072	1996-12-30	VYDAJ	VYBER	21400	75397	\N	\N	\N
609029	2072	1997-01-29	VYDAJ	VYBER	7100	80285	\N	\N	\N
609030	2072	1997-02-28	VYDAJ	VYBER	13400	71756	\N	\N	\N
609031	2072	1997-03-30	VYDAJ	VYBER	10400	78821	\N	\N	\N
609032	2072	1997-04-29	VYDAJ	VYBER	13400	83235	\N	\N	\N
609033	2072	1997-05-29	VYDAJ	VYBER	10800	90278	\N	\N	\N
609034	2072	1997-06-08	VYDAJ	VYBER	50400	69852	\N	\N	\N
609035	2072	1997-06-28	PRIJEM	VKLAD	12100	63052	\N	\N	\N
609036	2072	1997-07-28	VYDAJ	VYBER KARTOU	2100	74841	\N	\N	0
609037	2072	1997-08-27	VYDAJ	VYBER	7300	83704	\N	\N	\N
609038	2072	1997-09-26	VYDAJ	VYBER	11100	90425	\N	\N	\N
609039	2072	1997-10-26	VYDAJ	VYBER	18100	89583	\N	\N	\N
609040	2072	1997-11-25	VYDAJ	VYBER	13800	93660	\N	\N	\N
609041	2072	1997-12-08	VYDAJ	VYBER	16900	102671	\N	\N	\N
609042	2072	1997-12-25	VYDAJ	VYBER	11300	88471	\N	\N	\N
609043	2072	1998-01-24	VYDAJ	VYBER	4500	97845	\N	\N	\N
609044	2072	1998-02-23	VYDAJ	VYBER	10600	95264	\N	\N	\N
609045	2072	1998-03-25	VYDAJ	VYBER	14800	98341	\N	\N	\N
609046	2072	1998-04-24	VYDAJ	VYBER	17100	99141	\N	\N	\N
609047	2072	1998-05-24	VYDAJ	VYBER	20200	96851	\N	\N	\N
609048	2072	1998-06-08	VYDAJ	VYBER	33600	93271	\N	\N	\N
609049	2072	1998-06-23	PRIJEM	VKLAD	12200	66271	\N	\N	\N
609050	2072	1998-07-23	VYDAJ	VYBER	5900	78111	\N	\N	\N
609051	2072	1998-08-22	VYDAJ	VYBER	11700	84196	\N	\N	\N
609052	2072	1998-09-21	VYDAJ	VYBER	11400	90622	\N	\N	\N
609053	2072	1998-10-21	VYDAJ	VYBER	14100	90969	\N	\N	\N
609054	2072	1998-11-20	VYDAJ	VYBER	11300	87443	\N	\N	\N
609117	2073	1997-08-14	PRIJEM	VKLAD	600	600	\N	\N	\N
609126	2073	1997-09-05	PRIJEM	VKLAD	17275	17875	\N	\N	\N
609127	2073	1997-10-05	PRIJEM	VKLAD	17275	36498	\N	\N	\N
609128	2073	1997-11-05	PRIJEM	VKLAD	17275	47782	\N	\N	\N
609129	2073	1997-12-05	PRIJEM	VKLAD	25913	65444	\N	\N	\N
609130	2073	1998-01-05	PRIJEM	VKLAD	17275	62304	\N	\N	\N
609131	2073	1998-02-05	PRIJEM	VKLAD	17275	49764	\N	\N	\N
609132	2073	1998-03-05	PRIJEM	VKLAD	17275	58398	\N	\N	\N
609133	2073	1998-04-05	PRIJEM	VKLAD	17275	65664	\N	\N	\N
609134	2073	1998-05-05	PRIJEM	VKLAD	17275	63748	\N	\N	\N
609135	2073	1998-06-05	PRIJEM	VKLAD	25913	36550	\N	\N	\N
609136	2073	1998-07-05	PRIJEM	VKLAD	17275	48257	\N	\N	\N
609137	2073	1998-08-05	PRIJEM	VKLAD	17275	52986	\N	\N	\N
609138	2073	1998-09-05	PRIJEM	VKLAD	17275	53801	\N	\N	\N
609139	2073	1998-10-05	PRIJEM	VKLAD	17275	56522	\N	\N	\N
609140	2073	1998-11-05	PRIJEM	VKLAD	17275	48079	\N	\N	\N
609141	2073	1998-12-05	PRIJEM	VKLAD	25913	59556	\N	\N	\N
609154	2073	1998-01-04	VYDAJ	VYBER	2100	45029	\N	\N	0
609155	2073	1998-02-03	VYDAJ	VYBER	1300	32489	\N	\N	0
609156	2073	1998-03-05	VYDAJ	VYBER	1300	57098	\N	\N	0
609157	2073	1998-04-21	VYDAJ	VYBER	1800	49464	\N	\N	0
609158	2073	1998-04-24	VYDAJ	VYBER	2100	46284	\N	\N	0
609159	2073	1998-06-20	VYDAJ	VYBER	2100	30850	\N	\N	0
609160	2073	1998-07-17	VYDAJ	VYBER	1600	37257	\N	\N	0
609161	2073	1998-08-14	VYDAJ	VYBER	1400	37786	\N	\N	0
609162	2073	1998-08-30	VYDAJ	VYBER	1400	36386	\N	\N	0
609163	2073	1998-10-12	VYDAJ	PREVOD NA UCET	1860	30682	UVER	KL	67186093
609164	2073	1998-11-12	VYDAJ	PREVOD NA UCET	1860	33519	UVER	KL	67186093
609165	2073	1998-12-12	VYDAJ	PREVOD NA UCET	1860	38496	UVER	KL	67186093
609167	2073	1998-06-01	VYDAJ	VYBER	40000	10638	\N	\N	\N
609169	2073	1998-12-27	VYDAJ	VYBER	1760	36736	\N	\N	\N
609176	2073	1998-01-28	VYDAJ	VYBER	720	35784	\N	\N	\N
609179	2073	1998-01-30	VYDAJ	VYBER	2160	33624	\N	\N	\N
609180	2073	1998-01-07	VYDAJ	VYBER	1680	60624	\N	\N	\N
609181	2073	1998-01-21	VYDAJ	VYBER	960	36504	\N	\N	\N
609188	2073	1998-10-09	VYDAJ	VYBER	4680	32542	\N	\N	\N
609189	2073	1998-04-24	VYDAJ	VYBER	1080	48384	\N	\N	\N
609190	2073	1998-07-29	VYDAJ	VYBER	1680	35577	\N	\N	\N
609191	2073	1998-01-12	VYDAJ	VYBER	2760	42264	\N	\N	\N
609192	2073	1998-01-14	VYDAJ	VYBER	4800	37464	\N	\N	\N
609206	2073	1998-01-31	VYDAJ	VYBER	15	33789	SLUZBY	\N	\N
609207	2073	1998-02-28	VYDAJ	VYBER	15	41123	SLUZBY	\N	\N
609208	2073	1998-03-31	VYDAJ	VYBER	15	48389	SLUZBY	\N	\N
609209	2073	1998-04-30	VYDAJ	VYBER	15	46473	SLUZBY	\N	\N
609210	2073	1998-05-31	VYDAJ	VYBER	15	50638	SLUZBY	\N	\N
609211	2073	1998-06-30	VYDAJ	VYBER	15	30982	SLUZBY	\N	\N
609212	2073	1998-07-31	VYDAJ	VYBER	15	35711	SLUZBY	\N	\N
609213	2073	1998-08-31	VYDAJ	VYBER	15	36526	SLUZBY	\N	\N
609214	2073	1998-09-30	VYDAJ	VYBER	15	39247	SLUZBY	\N	\N
609215	2073	1998-10-31	VYDAJ	VYBER	15	30804	SLUZBY	\N	\N
609216	2073	1998-11-30	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
609217	2073	1997-09-13	PRIJEM	VKLAD	1300	19175	\N	\N	\N
609218	2073	1997-10-13	VYDAJ	VYBER	6100	30398	\N	\N	\N
609219	2073	1997-11-12	VYDAJ	VYBER	8400	39382	\N	\N	\N
609220	2073	1997-12-12	VYDAJ	VYBER	18500	46944	\N	\N	\N
609221	2073	1998-01-11	VYDAJ	VYBER	15600	45024	\N	\N	\N
609222	2073	1998-02-10	VYDAJ	VYBER	8800	40964	\N	\N	\N
609223	2073	1998-03-12	VYDAJ	VYBER	8900	48198	\N	\N	\N
609224	2073	1998-04-11	VYDAJ	VYBER	14400	51264	\N	\N	\N
609225	2073	1998-05-11	VYDAJ	VYBER	13300	50448	\N	\N	\N
609226	2073	1998-06-10	VYDAJ	VYBER	3600	32950	\N	\N	\N
609227	2073	1998-07-10	VYDAJ	VYBER	9400	38857	\N	\N	\N
609228	2073	1998-08-09	VYDAJ	VYBER	13800	39186	\N	\N	\N
609229	2073	1998-09-08	VYDAJ	VYBER	14700	39101	\N	\N	\N
609230	2073	1998-10-08	VYDAJ	VYBER	19300	37222	\N	\N	\N
609231	2073	1998-11-07	VYDAJ	VYBER	12700	35379	\N	\N	\N
609232	2073	1998-12-07	VYDAJ	VYBER	19200	40356	\N	\N	\N
609249	2074	1996-02-18	PRIJEM	VKLAD	900	900	\N	\N	\N
609252	2074	1996-03-05	PRIJEM	VKLAD	23271	24171	\N	\N	\N
609253	2074	1996-04-05	PRIJEM	VKLAD	23271	47384	\N	\N	\N
609254	2074	1996-05-05	PRIJEM	VKLAD	23271	58776	\N	\N	\N
609255	2074	1996-06-05	PRIJEM	VKLAD	34907	76441	\N	\N	\N
609256	2074	1996-07-05	PRIJEM	VKLAD	23271	75505	\N	\N	\N
609257	2074	1996-08-05	PRIJEM	VKLAD	23271	70778	\N	\N	\N
609258	2074	1996-09-05	PRIJEM	VKLAD	23271	57059	\N	\N	\N
609259	2074	1996-10-05	PRIJEM	VKLAD	23271	63577	\N	\N	\N
609260	2074	1996-11-05	PRIJEM	VKLAD	23271	66614	\N	\N	\N
609261	2074	1996-12-05	PRIJEM	VKLAD	34907	79391	\N	\N	\N
609262	2074	1997-01-05	PRIJEM	VKLAD	23271	67111	\N	\N	\N
609263	2074	1997-02-05	PRIJEM	VKLAD	23271	46290	\N	\N	\N
609264	2074	1997-03-05	PRIJEM	VKLAD	23271	48647	\N	\N	\N
609265	2074	1997-04-05	PRIJEM	VKLAD	23271	41186	\N	\N	\N
609266	2074	1997-05-05	PRIJEM	VKLAD	23271	44426	\N	\N	\N
609267	2074	1997-06-05	PRIJEM	VKLAD	34907	56308	\N	\N	\N
609268	2074	1997-07-05	PRIJEM	VKLAD	23271	48575	\N	\N	\N
609269	2074	1997-08-05	PRIJEM	VKLAD	23271	47430	\N	\N	\N
609270	2074	1997-09-05	PRIJEM	VKLAD	23271	45578	\N	\N	\N
609271	2074	1997-10-05	PRIJEM	VKLAD	23271	45070	\N	\N	\N
609272	2074	1997-11-05	PRIJEM	VKLAD	23271	39702	\N	\N	\N
609273	2074	1997-12-05	PRIJEM	VKLAD	34907	49472	\N	\N	\N
609274	2074	1998-01-05	PRIJEM	VKLAD	23271	37937	\N	\N	\N
609275	2074	1998-02-05	PRIJEM	VKLAD	23271	44619	\N	\N	\N
609276	2074	1998-03-05	PRIJEM	VKLAD	23271	35921	\N	\N	\N
609277	2074	1998-04-05	PRIJEM	VKLAD	23271	36220	\N	\N	\N
609278	2074	1998-05-05	PRIJEM	VKLAD	23271	54675	\N	\N	\N
609279	2074	1998-06-05	PRIJEM	VKLAD	34907	53242	\N	\N	\N
609280	2074	1998-07-05	PRIJEM	VKLAD	23271	39756	\N	\N	\N
609281	2074	1998-08-05	PRIJEM	VKLAD	23271	33543	\N	\N	\N
609282	2074	1998-09-05	PRIJEM	VKLAD	23271	51989	\N	\N	\N
609283	2074	1998-10-05	PRIJEM	VKLAD	23271	65094	\N	\N	\N
609284	2074	1998-11-05	PRIJEM	VKLAD	23271	42149	\N	\N	\N
609285	2074	1998-12-05	PRIJEM	VKLAD	34907	71424	\N	\N	\N
609292	2074	1996-07-05	VYDAJ	PREVOD NA UCET	2354	73151	SIPO	ST	88473778
609293	2074	1996-08-05	VYDAJ	PREVOD NA UCET	2354	68424	SIPO	ST	88473778
609294	2074	1996-09-05	VYDAJ	PREVOD NA UCET	2354	54705	SIPO	ST	88473778
609295	2074	1996-10-05	VYDAJ	PREVOD NA UCET	2354	61223	SIPO	ST	88473778
609296	2074	1996-11-05	VYDAJ	PREVOD NA UCET	2354	64260	SIPO	ST	88473778
609297	2074	1996-12-05	VYDAJ	PREVOD NA UCET	2354	77037	SIPO	ST	88473778
609298	2074	1997-01-05	VYDAJ	PREVOD NA UCET	2354	63557	SIPO	ST	88473778
609299	2074	1997-02-05	VYDAJ	PREVOD NA UCET	2354	43936	SIPO	ST	88473778
609300	2074	1997-03-05	VYDAJ	PREVOD NA UCET	2354	46293	SIPO	ST	88473778
609301	2074	1997-04-05	VYDAJ	PREVOD NA UCET	2354	38832	SIPO	ST	88473778
609302	2074	1997-05-05	VYDAJ	PREVOD NA UCET	2354	42072	SIPO	ST	88473778
609303	2074	1997-06-05	VYDAJ	PREVOD NA UCET	2354	53954	SIPO	ST	88473778
609304	2074	1997-07-05	VYDAJ	PREVOD NA UCET	2354	46221	SIPO	ST	88473778
609305	2074	1997-08-05	VYDAJ	PREVOD NA UCET	2354	45076	SIPO	ST	88473778
609306	2074	1997-09-05	VYDAJ	PREVOD NA UCET	2354	43224	SIPO	ST	88473778
609307	2074	1997-10-05	VYDAJ	PREVOD NA UCET	2354	42716	SIPO	ST	88473778
609308	2074	1997-11-05	VYDAJ	PREVOD NA UCET	2354	37348	SIPO	ST	88473778
609309	2074	1997-12-05	VYDAJ	PREVOD NA UCET	2354	47118	SIPO	ST	88473778
609310	2074	1998-01-05	VYDAJ	PREVOD NA UCET	2354	35583	SIPO	ST	88473778
609311	2074	1998-02-05	VYDAJ	PREVOD NA UCET	2354	42265	SIPO	ST	88473778
609312	2074	1998-03-05	VYDAJ	PREVOD NA UCET	2354	33567	SIPO	ST	88473778
609313	2074	1998-04-05	VYDAJ	PREVOD NA UCET	2354	33866	SIPO	ST	88473778
609314	2074	1998-05-05	VYDAJ	PREVOD NA UCET	2354	52321	SIPO	ST	88473778
609315	2074	1998-06-05	VYDAJ	PREVOD NA UCET	2354	50888	SIPO	ST	88473778
609316	2074	1998-07-05	VYDAJ	PREVOD NA UCET	2354	37402	SIPO	ST	88473778
609317	2074	1998-08-05	VYDAJ	PREVOD NA UCET	2354	31189	SIPO	ST	88473778
609318	2074	1998-09-05	VYDAJ	PREVOD NA UCET	2354	49635	SIPO	ST	88473778
609319	2074	1998-10-05	VYDAJ	PREVOD NA UCET	2354	62740	SIPO	ST	88473778
609320	2074	1998-11-05	VYDAJ	PREVOD NA UCET	2354	38955	SIPO	ST	88473778
609321	2074	1998-12-05	VYDAJ	PREVOD NA UCET	2354	69070	SIPO	ST	88473778
609328	2074	1996-07-10	VYDAJ	PREVOD NA UCET	2568	70583	 	EF	58509194
609329	2074	1996-08-10	VYDAJ	PREVOD NA UCET	2568	65856	 	EF	58509194
609330	2074	1996-09-10	VYDAJ	PREVOD NA UCET	2568	52137	 	EF	58509194
609331	2074	1996-10-10	VYDAJ	PREVOD NA UCET	2568	58655	 	EF	58509194
609332	2074	1996-11-10	VYDAJ	PREVOD NA UCET	2568	61692	 	EF	58509194
609333	2074	1996-12-10	VYDAJ	PREVOD NA UCET	2568	74469	 	EF	58509194
609334	2074	1997-01-10	VYDAJ	PREVOD NA UCET	2568	60989	 	EF	58509194
609335	2074	1997-02-10	VYDAJ	PREVOD NA UCET	2568	41368	 	EF	58509194
609336	2074	1997-03-10	VYDAJ	PREVOD NA UCET	2568	43725	 	EF	58509194
609337	2074	1997-04-10	VYDAJ	PREVOD NA UCET	2568	36264	 	EF	58509194
609338	2074	1997-05-10	VYDAJ	PREVOD NA UCET	2568	39504	 	EF	58509194
609339	2074	1997-06-10	VYDAJ	PREVOD NA UCET	2568	51386	 	EF	58509194
609340	2074	1997-07-10	VYDAJ	PREVOD NA UCET	2568	43653	 	EF	58509194
609341	2074	1997-08-10	VYDAJ	PREVOD NA UCET	2568	42508	 	EF	58509194
609342	2074	1997-09-10	VYDAJ	PREVOD NA UCET	2568	40656	 	EF	58509194
609343	2074	1997-10-10	VYDAJ	PREVOD NA UCET	2568	16348	 	EF	58509194
609344	2074	1997-11-10	VYDAJ	PREVOD NA UCET	2568	16580	 	EF	58509194
609345	2074	1997-12-10	VYDAJ	PREVOD NA UCET	2568	17950	 	EF	58509194
609346	2074	1998-01-10	VYDAJ	PREVOD NA UCET	2568	28815	 	EF	58509194
609347	2074	1998-02-10	VYDAJ	PREVOD NA UCET	2568	12597	 	EF	58509194
609348	2074	1998-03-10	VYDAJ	PREVOD NA UCET	2568	12899	 	EF	58509194
609349	2074	1998-04-10	VYDAJ	PREVOD NA UCET	2568	31298	 	EF	58509194
609350	2074	1998-05-10	VYDAJ	PREVOD NA UCET	2568	18253	 	EF	58509194
609351	2074	1998-06-10	VYDAJ	PREVOD NA UCET	2568	16420	 	EF	58509194
609352	2074	1998-07-10	VYDAJ	PREVOD NA UCET	2568	10234	 	EF	58509194
609353	2074	1998-08-10	VYDAJ	PREVOD NA UCET	2568	28621	 	EF	58509194
609354	2074	1998-09-10	VYDAJ	PREVOD NA UCET	2568	41667	 	EF	58509194
609355	2074	1998-10-10	VYDAJ	PREVOD NA UCET	2568	18772	 	EF	58509194
609356	2074	1998-11-10	VYDAJ	PREVOD NA UCET	2568	36387	 	EF	58509194
609357	2074	1998-12-10	VYDAJ	PREVOD NA UCET	2568	66502	 	EF	58509194
609361	2074	1996-12-26	VYDAJ	VYBER	1440	43629	\N	\N	\N
609362	2074	1997-12-01	VYDAJ	VYBER	2080	14565	\N	\N	\N
609363	2074	1998-12-22	VYDAJ	VYBER	2560	63942	\N	\N	\N
609370	2074	1997-01-16	VYDAJ	VYBER	3000	31269	\N	\N	\N
609371	2074	1997-01-05	VYDAJ	VYBER	1200	65911	\N	\N	\N
609372	2074	1997-01-24	VYDAJ	VYBER	3360	26109	\N	\N	\N
609373	2074	1997-01-11	VYDAJ	VYBER	3120	57869	\N	\N	\N
609374	2074	1997-01-18	VYDAJ	VYBER	1800	29469	\N	\N	\N
609375	2074	1997-01-29	VYDAJ	VYBER	3240	22869	\N	\N	\N
609376	2074	1998-01-05	VYDAJ	VYBER	2520	33063	\N	\N	\N
609377	2074	1998-01-01	VYDAJ	VYBER	3360	14666	\N	\N	\N
609378	2074	1998-01-20	VYDAJ	VYBER	3360	24495	\N	\N	\N
609379	2074	1998-01-09	VYDAJ	VYBER	1680	31383	\N	\N	\N
609380	2074	1998-01-24	VYDAJ	VYBER	3240	21255	\N	\N	\N
609381	2074	1998-01-16	VYDAJ	VYBER	960	27855	\N	\N	\N
609384	2074	1996-08-20	VYDAJ	VYBER	5880	38876	\N	\N	\N
609386	2074	1996-08-24	VYDAJ	VYBER	5280	33596	\N	\N	\N
609387	2074	1997-06-20	VYDAJ	VYBER	1800	25186	\N	\N	\N
609388	2074	1997-03-25	VYDAJ	VYBER	4800	20925	\N	\N	\N
609389	2074	1997-03-25	VYDAJ	VYBER	3120	17805	\N	\N	\N
609390	2074	1998-11-05	VYDAJ	VYBER	840	41309	\N	\N	\N
609391	2074	1998-09-09	VYDAJ	VYBER	5400	44235	\N	\N	\N
609401	2074	1996-07-31	VYDAJ	VYBER	15	47507	SLUZBY	\N	\N
609402	2074	1996-08-31	VYDAJ	VYBER	15	33788	SLUZBY	\N	\N
609403	2074	1996-09-30	VYDAJ	VYBER	15	40306	SLUZBY	\N	\N
609404	2074	1996-10-31	VYDAJ	VYBER	15	43343	SLUZBY	\N	\N
609405	2074	1996-11-30	VYDAJ	VYBER	15	44485	SLUZBY	\N	\N
609406	2074	1996-12-31	VYDAJ	VYBER	15	43840	SLUZBY	\N	\N
609407	2074	1997-01-31	VYDAJ	VYBER	15	23019	SLUZBY	\N	\N
609408	2074	1997-02-28	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
609409	2074	1997-03-31	VYDAJ	VYBER	15	17915	SLUZBY	\N	\N
609410	2074	1997-04-30	VYDAJ	VYBER	15	21155	SLUZBY	\N	\N
609411	2074	1997-05-31	VYDAJ	VYBER	15	21401	SLUZBY	\N	\N
609412	2074	1997-06-30	VYDAJ	VYBER	15	25304	SLUZBY	\N	\N
609413	2074	1997-07-31	VYDAJ	VYBER	15	24159	SLUZBY	\N	\N
609414	2074	1997-08-31	VYDAJ	VYBER	15	22307	SLUZBY	\N	\N
609415	2074	1997-09-30	VYDAJ	VYBER	15	21799	SLUZBY	\N	\N
609416	2074	1997-10-31	VYDAJ	VYBER	15	16431	SLUZBY	\N	\N
609417	2074	1997-11-30	VYDAJ	VYBER	15	16645	SLUZBY	\N	\N
609418	2074	1997-12-31	VYDAJ	VYBER	15	18026	SLUZBY	\N	\N
609419	2074	1998-01-31	VYDAJ	VYBER	15	21348	SLUZBY	\N	\N
609420	2074	1998-02-28	VYDAJ	VYBER	15	12650	SLUZBY	\N	\N
609421	2074	1998-03-31	VYDAJ	VYBER	15	12949	SLUZBY	\N	\N
609422	2074	1998-04-30	VYDAJ	VYBER	15	31404	SLUZBY	\N	\N
609423	2074	1998-05-31	VYDAJ	VYBER	15	18335	SLUZBY	\N	\N
609424	2074	1998-06-30	VYDAJ	VYBER	15	16485	SLUZBY	\N	\N
609425	2074	1998-07-31	VYDAJ	VYBER	15	10272	SLUZBY	\N	\N
609426	2074	1998-08-31	VYDAJ	VYBER	15	28718	SLUZBY	\N	\N
609427	2074	1998-09-30	VYDAJ	VYBER	15	41823	SLUZBY	\N	\N
609428	2074	1998-10-31	VYDAJ	VYBER	15	18878	SLUZBY	\N	\N
609429	2074	1998-11-30	VYDAJ	VYBER	15	36517	SLUZBY	\N	\N
609430	2074	1996-03-19	VYDAJ	VYBER	100	24071	\N	\N	\N
609431	2074	1996-04-18	VYDAJ	VYBER	12000	35384	\N	\N	\N
609432	2074	1996-05-18	VYDAJ	VYBER	17400	41376	\N	\N	\N
609433	2074	1996-06-17	VYDAJ	VYBER	24400	52041	\N	\N	\N
609434	2074	1996-07-17	VYDAJ	VYBER	23300	47283	\N	\N	\N
609435	2074	1996-08-16	VYDAJ	VYBER	21100	44756	\N	\N	\N
609436	2074	1996-09-15	VYDAJ	VYBER	12000	40137	\N	\N	\N
609437	2074	1996-10-15	VYDAJ	VYBER	15500	43155	\N	\N	\N
609438	2074	1996-11-14	VYDAJ	VYBER	17400	44292	\N	\N	\N
609439	2074	1996-12-14	VYDAJ	VYBER	29400	45069	\N	\N	\N
609440	2074	1997-01-13	VYDAJ	VYBER	23600	34269	\N	\N	\N
609441	2074	1997-02-12	VYDAJ	VYBER	16100	25268	\N	\N	\N
609442	2074	1997-03-14	VYDAJ	VYBER	18000	25725	\N	\N	\N
609443	2074	1997-04-13	VYDAJ	VYBER	15200	21064	\N	\N	\N
609444	2074	1997-05-13	VYDAJ	VYBER	18200	21304	\N	\N	\N
609445	2074	1997-06-12	VYDAJ	VYBER	24400	26986	\N	\N	\N
609446	2074	1997-07-12	VYDAJ	VYBER	19600	24053	\N	\N	\N
609447	2074	1997-08-11	VYDAJ	VYBER	20300	22208	\N	\N	\N
609448	2074	1997-09-10	VYDAJ	VYBER	19000	21656	\N	\N	\N
609449	2074	1997-10-10	VYDAJ	VYBER	23800	18916	\N	\N	\N
609450	2074	1997-11-09	VYDAJ	VYBER	18200	19148	\N	\N	\N
609451	2074	1997-12-09	VYDAJ	VYBER	26600	20518	\N	\N	\N
609452	2074	1998-02-07	VYDAJ	VYBER	27100	15165	\N	\N	\N
609453	2074	1998-03-09	VYDAJ	VYBER	18100	15467	\N	\N	\N
609454	2074	1998-05-08	VYDAJ	VYBER	31500	20821	\N	\N	\N
609455	2074	1998-06-07	VYDAJ	VYBER	31900	18988	\N	\N	\N
609456	2074	1998-07-07	VYDAJ	VYBER	24600	12802	\N	\N	\N
609457	2074	1998-10-05	VYDAJ	VYBER	41400	21340	\N	\N	\N
609492	2075	1996-01-01	PRIJEM	VKLAD	800	800	\N	\N	\N
609493	2075	1996-01-06	PRIJEM	PREVOD Z UCTU	3300	4100	\N	UV	19261747
609494	2075	1996-02-06	PRIJEM	PREVOD Z UCTU	3300	7414	\N	UV	19261747
609495	2075	1996-03-06	PRIJEM	PREVOD Z UCTU	3300	10731	\N	UV	19261747
609496	2075	1996-04-06	PRIJEM	PREVOD Z UCTU	3300	14049	\N	UV	19261747
609497	2075	1996-05-06	PRIJEM	PREVOD Z UCTU	3300	17366	\N	UV	19261747
609498	2075	1996-06-06	PRIJEM	PREVOD Z UCTU	3300	18502	\N	UV	19261747
609499	2075	1996-07-06	PRIJEM	PREVOD Z UCTU	3300	19654	\N	UV	19261747
609500	2075	1996-08-06	PRIJEM	PREVOD Z UCTU	3300	20812	\N	UV	19261747
609501	2075	1996-09-06	PRIJEM	PREVOD Z UCTU	3300	21974	\N	UV	19261747
609502	2075	1996-10-06	PRIJEM	PREVOD Z UCTU	3300	21251	\N	UV	19261747
609503	2075	1996-11-06	PRIJEM	PREVOD Z UCTU	3300	22415	\N	UV	19261747
609504	2075	1996-12-06	PRIJEM	PREVOD Z UCTU	3300	22774	\N	UV	19261747
609505	2075	1997-01-06	PRIJEM	PREVOD Z UCTU	3300	21515	\N	UV	19261747
609506	2075	1997-02-06	PRIJEM	PREVOD Z UCTU	3300	18475	\N	UV	19261747
609507	2075	1997-03-06	PRIJEM	PREVOD Z UCTU	3300	19628	\N	UV	19261747
609508	2075	1997-04-06	PRIJEM	PREVOD Z UCTU	3300	20245	\N	UV	19261747
609509	2075	1997-05-06	PRIJEM	PREVOD Z UCTU	3300	21105	\N	UV	19261747
609510	2075	1997-06-06	PRIJEM	PREVOD Z UCTU	3300	22268	\N	UV	19261747
609511	2075	1997-07-06	PRIJEM	PREVOD Z UCTU	3300	17905	\N	UV	19261747
609512	2075	1997-08-06	PRIJEM	PREVOD Z UCTU	3300	18214	\N	UV	19261747
609513	2075	1997-09-06	PRIJEM	PREVOD Z UCTU	3300	19165	\N	UV	19261747
609514	2075	1997-10-06	PRIJEM	PREVOD Z UCTU	3300	20321	\N	UV	19261747
609515	2075	1997-11-06	PRIJEM	PREVOD Z UCTU	3300	21481	\N	UV	19261747
609516	2075	1997-12-06	PRIJEM	PREVOD Z UCTU	3300	22245	\N	UV	19261747
609694	2075	1997-06-30	VYDAJ	VYBER	15	14605	SLUZBY	\N	\N
609517	2075	1998-01-06	PRIJEM	PREVOD Z UCTU	3300	22542	\N	UV	19261747
609518	2075	1998-02-06	PRIJEM	PREVOD Z UCTU	3300	19295	\N	UV	19261747
609519	2075	1998-03-06	PRIJEM	PREVOD Z UCTU	3300	20450	\N	UV	19261747
609520	2075	1998-04-06	PRIJEM	PREVOD Z UCTU	3300	21611	\N	UV	19261747
609521	2075	1998-05-06	PRIJEM	PREVOD Z UCTU	3300	22776	\N	UV	19261747
609522	2075	1998-06-06	PRIJEM	PREVOD Z UCTU	3300	23946	\N	UV	19261747
609523	2075	1998-07-06	PRIJEM	PREVOD Z UCTU	3300	18809	\N	UV	19261747
609524	2075	1998-08-06	PRIJEM	PREVOD Z UCTU	3300	19602	\N	UV	19261747
609525	2075	1998-09-06	PRIJEM	PREVOD Z UCTU	3300	20759	\N	UV	19261747
609526	2075	1998-10-06	PRIJEM	PREVOD Z UCTU	3300	21650	\N	UV	19261747
609527	2075	1998-11-06	PRIJEM	PREVOD Z UCTU	3300	22244	\N	UV	19261747
609528	2075	1998-12-06	PRIJEM	PREVOD Z UCTU	3300	23412	\N	UV	19261747
609533	2075	1996-05-12	VYDAJ	PREVOD NA UCET	589	16158	\N	KL	26600021
609534	2075	1996-06-12	VYDAJ	PREVOD NA UCET	589	17294	\N	KL	26600021
609535	2075	1996-07-12	VYDAJ	PREVOD NA UCET	589	18446	\N	KL	26600021
609536	2075	1996-08-12	VYDAJ	PREVOD NA UCET	589	19604	\N	KL	26600021
609537	2075	1996-09-12	VYDAJ	PREVOD NA UCET	589	20766	\N	KL	26600021
609538	2075	1996-10-12	VYDAJ	PREVOD NA UCET	589	20043	\N	KL	26600021
609539	2075	1996-11-12	VYDAJ	PREVOD NA UCET	589	21207	\N	KL	26600021
609540	2075	1996-12-12	VYDAJ	PREVOD NA UCET	589	21566	\N	KL	26600021
609541	2075	1997-01-12	VYDAJ	PREVOD NA UCET	589	20157	\N	KL	26600021
609542	2075	1997-02-12	VYDAJ	PREVOD NA UCET	589	17267	\N	KL	26600021
609543	2075	1997-03-12	VYDAJ	PREVOD NA UCET	589	18420	\N	KL	26600021
609544	2075	1997-04-12	VYDAJ	PREVOD NA UCET	589	19037	\N	KL	26600021
609545	2075	1997-05-12	VYDAJ	PREVOD NA UCET	589	19897	\N	KL	26600021
609546	2075	1997-06-12	VYDAJ	PREVOD NA UCET	589	21060	\N	KL	26600021
609547	2075	1997-07-12	VYDAJ	PREVOD NA UCET	589	16697	\N	KL	26600021
609548	2075	1997-08-12	VYDAJ	PREVOD NA UCET	589	17006	\N	KL	26600021
609549	2075	1997-09-12	VYDAJ	PREVOD NA UCET	589	17957	\N	KL	26600021
609550	2075	1997-10-12	VYDAJ	PREVOD NA UCET	589	19113	\N	KL	26600021
609551	2075	1997-11-12	VYDAJ	PREVOD NA UCET	589	20273	\N	KL	26600021
609552	2075	1997-12-12	VYDAJ	PREVOD NA UCET	589	21037	\N	KL	26600021
609553	2075	1998-01-12	VYDAJ	PREVOD NA UCET	589	21334	\N	KL	26600021
609554	2075	1998-02-12	VYDAJ	PREVOD NA UCET	589	18087	\N	KL	26600021
609555	2075	1998-03-12	VYDAJ	PREVOD NA UCET	589	19242	\N	KL	26600021
609556	2075	1998-04-12	VYDAJ	PREVOD NA UCET	589	20403	\N	KL	26600021
609557	2075	1998-05-12	VYDAJ	PREVOD NA UCET	589	21568	\N	KL	26600021
609558	2075	1998-06-12	VYDAJ	PREVOD NA UCET	589	22738	\N	KL	26600021
609559	2075	1998-07-12	VYDAJ	PREVOD NA UCET	589	17241	\N	KL	26600021
609560	2075	1998-08-12	VYDAJ	PREVOD NA UCET	589	18394	\N	KL	26600021
609561	2075	1998-09-12	VYDAJ	PREVOD NA UCET	589	19551	\N	KL	26600021
609562	2075	1998-10-12	VYDAJ	PREVOD NA UCET	589	19872	\N	KL	26600021
609563	2075	1998-11-12	VYDAJ	PREVOD NA UCET	589	21036	\N	KL	26600021
609564	2075	1998-12-12	VYDAJ	PREVOD NA UCET	589	21034	\N	KL	26600021
609569	2075	1996-05-14	VYDAJ	PREVOD NA UCET	992	15166	\N	OP	56678074
609570	2075	1996-06-14	VYDAJ	PREVOD NA UCET	992	16302	\N	OP	56678074
609571	2075	1996-07-14	VYDAJ	PREVOD NA UCET	992	17454	\N	OP	56678074
609572	2075	1996-08-14	VYDAJ	PREVOD NA UCET	992	18612	\N	OP	56678074
609573	2075	1996-09-14	VYDAJ	PREVOD NA UCET	992	19774	\N	OP	56678074
609574	2075	1996-10-14	VYDAJ	PREVOD NA UCET	992	19051	\N	OP	56678074
609575	2075	1996-11-14	VYDAJ	PREVOD NA UCET	992	20215	\N	OP	56678074
609576	2075	1996-12-14	VYDAJ	PREVOD NA UCET	992	20574	\N	OP	56678074
609577	2075	1997-01-14	VYDAJ	PREVOD NA UCET	992	19165	\N	OP	56678074
609578	2075	1997-02-14	VYDAJ	PREVOD NA UCET	992	16275	\N	OP	56678074
609579	2075	1997-03-14	VYDAJ	PREVOD NA UCET	992	17428	\N	OP	56678074
609580	2075	1997-04-14	VYDAJ	PREVOD NA UCET	992	18045	\N	OP	56678074
609581	2075	1997-05-14	VYDAJ	PREVOD NA UCET	992	18905	\N	OP	56678074
609582	2075	1997-06-14	VYDAJ	PREVOD NA UCET	992	20068	\N	OP	56678074
609583	2075	1997-07-14	VYDAJ	PREVOD NA UCET	992	15705	\N	OP	56678074
609584	2075	1997-08-14	VYDAJ	PREVOD NA UCET	992	16014	\N	OP	56678074
609585	2075	1997-09-14	VYDAJ	PREVOD NA UCET	992	16965	\N	OP	56678074
609586	2075	1997-10-14	VYDAJ	PREVOD NA UCET	992	18121	\N	OP	56678074
609587	2075	1997-11-14	VYDAJ	PREVOD NA UCET	992	19281	\N	OP	56678074
609588	2075	1997-12-14	VYDAJ	PREVOD NA UCET	992	20045	\N	OP	56678074
609589	2075	1998-01-14	VYDAJ	PREVOD NA UCET	992	18872	\N	OP	56678074
609590	2075	1998-02-14	VYDAJ	PREVOD NA UCET	992	17095	\N	OP	56678074
609591	2075	1998-03-14	VYDAJ	PREVOD NA UCET	992	18250	\N	OP	56678074
609592	2075	1998-04-14	VYDAJ	PREVOD NA UCET	992	19411	\N	OP	56678074
609593	2075	1998-05-14	VYDAJ	PREVOD NA UCET	992	20576	\N	OP	56678074
609594	2075	1998-06-14	VYDAJ	PREVOD NA UCET	992	21746	\N	OP	56678074
609595	2075	1998-07-14	VYDAJ	PREVOD NA UCET	992	16249	\N	OP	56678074
609596	2075	1998-08-14	VYDAJ	PREVOD NA UCET	992	17402	\N	OP	56678074
609597	2075	1998-09-14	VYDAJ	PREVOD NA UCET	992	18559	\N	OP	56678074
609598	2075	1998-10-14	VYDAJ	PREVOD NA UCET	992	18880	\N	OP	56678074
609599	2075	1998-11-14	VYDAJ	PREVOD NA UCET	992	20044	\N	OP	56678074
609600	2075	1998-12-14	VYDAJ	PREVOD NA UCET	992	20042	\N	OP	56678074
609605	2075	1996-05-10	VYDAJ	PREVOD NA UCET	619	16747	\N	UV	65491747
609606	2075	1996-06-10	VYDAJ	PREVOD NA UCET	619	17883	\N	UV	65491747
609607	2075	1996-07-10	VYDAJ	PREVOD NA UCET	619	19035	\N	UV	65491747
609608	2075	1996-08-10	VYDAJ	PREVOD NA UCET	619	20193	\N	UV	65491747
609609	2075	1996-09-10	VYDAJ	PREVOD NA UCET	619	21355	\N	UV	65491747
609610	2075	1996-10-10	VYDAJ	PREVOD NA UCET	619	20632	\N	UV	65491747
609611	2075	1996-11-10	VYDAJ	PREVOD NA UCET	619	21796	\N	UV	65491747
609612	2075	1996-12-10	VYDAJ	PREVOD NA UCET	619	22155	\N	UV	65491747
609613	2075	1997-01-10	VYDAJ	PREVOD NA UCET	619	20746	\N	UV	65491747
609614	2075	1997-02-10	VYDAJ	PREVOD NA UCET	619	17856	\N	UV	65491747
609615	2075	1997-03-10	VYDAJ	PREVOD NA UCET	619	19009	\N	UV	65491747
609616	2075	1997-04-10	VYDAJ	PREVOD NA UCET	619	19626	\N	UV	65491747
609617	2075	1997-05-10	VYDAJ	PREVOD NA UCET	619	20486	\N	UV	65491747
609618	2075	1997-06-10	VYDAJ	PREVOD NA UCET	619	21649	\N	UV	65491747
609619	2075	1997-07-10	VYDAJ	PREVOD NA UCET	619	17286	\N	UV	65491747
609620	2075	1997-08-10	VYDAJ	PREVOD NA UCET	619	17595	\N	UV	65491747
609621	2075	1997-09-10	VYDAJ	PREVOD NA UCET	619	18546	\N	UV	65491747
609622	2075	1997-10-10	VYDAJ	PREVOD NA UCET	619	19702	\N	UV	65491747
609623	2075	1997-11-10	VYDAJ	PREVOD NA UCET	619	20862	\N	UV	65491747
609624	2075	1997-12-10	VYDAJ	PREVOD NA UCET	619	21626	\N	UV	65491747
609625	2075	1998-01-10	VYDAJ	PREVOD NA UCET	619	21923	\N	UV	65491747
609626	2075	1998-02-10	VYDAJ	PREVOD NA UCET	619	18676	\N	UV	65491747
609627	2075	1998-03-10	VYDAJ	PREVOD NA UCET	619	19831	\N	UV	65491747
609628	2075	1998-04-10	VYDAJ	PREVOD NA UCET	619	20992	\N	UV	65491747
609629	2075	1998-05-10	VYDAJ	PREVOD NA UCET	619	22157	\N	UV	65491747
609630	2075	1998-06-10	VYDAJ	PREVOD NA UCET	619	23327	\N	UV	65491747
609631	2075	1998-07-10	VYDAJ	PREVOD NA UCET	619	18190	\N	UV	65491747
609632	2075	1998-08-10	VYDAJ	PREVOD NA UCET	619	18983	\N	UV	65491747
609633	2075	1998-09-10	VYDAJ	PREVOD NA UCET	619	20140	\N	UV	65491747
609634	2075	1998-10-10	VYDAJ	PREVOD NA UCET	619	20461	\N	UV	65491747
609635	2075	1998-11-10	VYDAJ	PREVOD NA UCET	619	21625	\N	UV	65491747
609636	2075	1998-12-10	VYDAJ	PREVOD NA UCET	619	21623	\N	UV	65491747
609638	2075	1997-06-16	VYDAJ	VYBER	4770	15298	\N	\N	\N
609639	2075	1998-06-14	VYDAJ	VYBER	5190	16556	\N	\N	\N
609641	2075	1997-01-15	VYDAJ	VYBER	1650	17515	\N	\N	\N
609642	2075	1998-01-16	VYDAJ	VYBER	570	18302	\N	\N	\N
609643	2075	1996-12-04	VYDAJ	VYBER	810	19474	\N	\N	\N
609644	2075	1997-12-27	VYDAJ	VYBER	870	19175	\N	\N	\N
609645	2075	1998-12-23	VYDAJ	VYBER	300	19742	\N	\N	\N
609652	2075	1997-01-30	VYDAJ	VYBER	720	15115	\N	\N	\N
609653	2075	1997-01-29	VYDAJ	VYBER	270	15835	\N	\N	\N
609654	2075	1997-01-17	VYDAJ	VYBER	840	16675	\N	\N	\N
609655	2075	1997-01-24	VYDAJ	VYBER	570	16105	\N	\N	\N
609656	2075	1997-01-01	VYDAJ	VYBER	330	18215	\N	\N	\N
609657	2075	1997-01-10	VYDAJ	VYBER	150	21365	\N	\N	\N
609658	2075	1998-01-25	VYDAJ	VYBER	570	17492	\N	\N	\N
609659	2075	1998-01-28	VYDAJ	VYBER	690	15932	\N	\N	\N
609660	2075	1998-01-13	VYDAJ	VYBER	600	20734	\N	\N	\N
609661	2075	1998-01-13	VYDAJ	VYBER	870	19864	\N	\N	\N
609662	2075	1998-01-26	VYDAJ	VYBER	870	16622	\N	\N	\N
609663	2075	1998-01-21	VYDAJ	VYBER	240	18062	\N	\N	\N
609664	2075	1996-09-29	VYDAJ	VYBER	810	17884	\N	\N	\N
609666	2075	1996-09-14	VYDAJ	VYBER	1080	18694	\N	\N	\N
609667	2075	1997-03-31	VYDAJ	VYBER	540	16959	\N	\N	\N
609668	2075	1997-06-18	VYDAJ	VYBER	750	14548	\N	\N	\N
609669	2075	1997-07-26	VYDAJ	VYBER	840	14865	\N	\N	\N
609670	2075	1998-06-30	VYDAJ	VYBER	180	15509	\N	\N	\N
609671	2075	1998-07-10	VYDAJ	VYBER	360	17830	\N	\N	\N
609672	2075	1998-12-06	VYDAJ	VYBER	1170	22242	\N	\N	\N
609673	2075	1998-10-08	VYDAJ	VYBER	570	21080	\N	\N	\N
609674	2075	1998-06-17	VYDAJ	VYBER	930	15626	\N	\N	\N
609675	2075	1998-09-20	VYDAJ	VYBER	270	18289	\N	\N	\N
609681	2075	1996-05-31	VYDAJ	VYBER	15	15202	SLUZBY	\N	\N
609682	2075	1996-06-30	VYDAJ	VYBER	15	16354	SLUZBY	\N	\N
609683	2075	1996-07-31	VYDAJ	VYBER	15	17512	SLUZBY	\N	\N
609684	2075	1996-08-31	VYDAJ	VYBER	15	18674	SLUZBY	\N	\N
609685	2075	1996-09-30	VYDAJ	VYBER	15	17951	SLUZBY	\N	\N
609686	2075	1996-10-31	VYDAJ	VYBER	15	19115	SLUZBY	\N	\N
609687	2075	1996-11-30	VYDAJ	VYBER	15	20284	SLUZBY	\N	\N
609688	2075	1996-12-31	VYDAJ	VYBER	15	18545	SLUZBY	\N	\N
609689	2075	1997-01-31	VYDAJ	VYBER	15	15175	SLUZBY	\N	\N
609690	2075	1997-02-28	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
609691	2075	1997-03-31	VYDAJ	VYBER	15	16945	SLUZBY	\N	\N
609692	2075	1997-04-30	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
609693	2075	1997-05-31	VYDAJ	VYBER	15	18968	SLUZBY	\N	\N
609695	2075	1997-07-31	VYDAJ	VYBER	15	14914	SLUZBY	\N	\N
609696	2075	1997-08-31	VYDAJ	VYBER	15	15865	SLUZBY	\N	\N
609697	2075	1997-09-30	VYDAJ	VYBER	15	17021	SLUZBY	\N	\N
609698	2075	1997-10-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
609699	2075	1997-11-30	VYDAJ	VYBER	15	18945	SLUZBY	\N	\N
609700	2075	1997-12-31	VYDAJ	VYBER	15	19242	SLUZBY	\N	\N
609701	2075	1998-01-31	VYDAJ	VYBER	15	15995	SLUZBY	\N	\N
609702	2075	1998-02-28	VYDAJ	VYBER	15	17150	SLUZBY	\N	\N
609703	2075	1998-03-31	VYDAJ	VYBER	15	18311	SLUZBY	\N	\N
609704	2075	1998-04-30	VYDAJ	VYBER	15	19476	SLUZBY	\N	\N
609705	2075	1998-05-31	VYDAJ	VYBER	15	20646	SLUZBY	\N	\N
609706	2075	1998-06-30	VYDAJ	VYBER	15	15689	SLUZBY	\N	\N
609707	2075	1998-07-31	VYDAJ	VYBER	15	16302	SLUZBY	\N	\N
609708	2075	1998-08-31	VYDAJ	VYBER	15	17459	SLUZBY	\N	\N
609709	2075	1998-09-30	VYDAJ	VYBER	15	18350	SLUZBY	\N	\N
609710	2075	1998-10-31	VYDAJ	VYBER	15	18944	SLUZBY	\N	\N
609711	2075	1998-11-30	VYDAJ	VYBER	15	20112	SLUZBY	\N	\N
609712	2075	1996-12-26	VYDAJ	VYBER	2100	18474	\N	\N	\N
609713	2075	1997-04-25	VYDAJ	VYBER	300	17745	\N	\N	\N
609714	2075	1997-08-23	VYDAJ	VYBER	200	15814	\N	\N	\N
609715	2075	1997-11-21	VYDAJ	VYBER	400	18881	\N	\N	\N
609752	2076	1996-09-17	PRIJEM	VKLAD	800	800	\N	\N	\N
609762	2076	1996-10-12	PRIJEM	PREVOD Z UCTU	6179	6979	DUCHOD	QR	82176673
609763	2076	1996-11-12	PRIJEM	PREVOD Z UCTU	6179	13158	DUCHOD	QR	82176673
609764	2076	1996-12-12	PRIJEM	PREVOD Z UCTU	6179	19337	DUCHOD	QR	82176673
609765	2076	1997-01-12	PRIJEM	PREVOD Z UCTU	6179	25516	DUCHOD	QR	82176673
609766	2076	1997-02-12	PRIJEM	PREVOD Z UCTU	6179	30250	DUCHOD	QR	82176673
609767	2076	1997-03-12	PRIJEM	PREVOD Z UCTU	6179	29365	DUCHOD	QR	82176673
609768	2076	1997-04-12	PRIJEM	PREVOD Z UCTU	6179	29951	DUCHOD	QR	82176673
609769	2076	1997-05-12	PRIJEM	PREVOD Z UCTU	6179	29070	DUCHOD	QR	82176673
609770	2076	1997-06-12	PRIJEM	PREVOD Z UCTU	6179	27483	DUCHOD	QR	82176673
609771	2076	1997-07-12	PRIJEM	PREVOD Z UCTU	6179	19280	DUCHOD	QR	82176673
609772	2076	1997-08-12	PRIJEM	PREVOD Z UCTU	6179	20259	DUCHOD	QR	82176673
609773	2076	1997-09-12	PRIJEM	PREVOD Z UCTU	6179	18834	DUCHOD	QR	82176673
609774	2076	1997-10-12	PRIJEM	PREVOD Z UCTU	6179	21413	DUCHOD	QR	82176673
609775	2076	1997-11-12	PRIJEM	PREVOD Z UCTU	6179	19736	DUCHOD	QR	82176673
609776	2076	1997-12-12	PRIJEM	PREVOD Z UCTU	6179	23923	DUCHOD	QR	82176673
609777	2076	1998-01-12	PRIJEM	PREVOD Z UCTU	6179	19057	DUCHOD	QR	82176673
609778	2076	1998-02-12	PRIJEM	PREVOD Z UCTU	6179	18204	DUCHOD	QR	82176673
609779	2076	1998-03-12	PRIJEM	PREVOD Z UCTU	6179	22284	DUCHOD	QR	82176673
609780	2076	1998-04-12	PRIJEM	PREVOD Z UCTU	6179	25081	DUCHOD	QR	82176673
609781	2076	1998-05-12	PRIJEM	PREVOD Z UCTU	6179	22692	DUCHOD	QR	82176673
609782	2076	1998-06-12	PRIJEM	PREVOD Z UCTU	6179	21698	DUCHOD	QR	82176673
609783	2076	1998-07-12	PRIJEM	PREVOD Z UCTU	6179	22137	DUCHOD	QR	82176673
609784	2076	1998-08-12	PRIJEM	PREVOD Z UCTU	6179	24436	DUCHOD	QR	82176673
609785	2076	1998-09-12	PRIJEM	PREVOD Z UCTU	6179	26043	DUCHOD	QR	82176673
609786	2076	1998-10-12	PRIJEM	PREVOD Z UCTU	6179	23716	DUCHOD	QR	82176673
609787	2076	1998-11-12	PRIJEM	PREVOD Z UCTU	6179	19222	DUCHOD	QR	82176673
609788	2076	1998-12-12	PRIJEM	PREVOD Z UCTU	6179	17512	DUCHOD	QR	82176673
609802	2076	1997-02-14	VYDAJ	PREVOD NA UCET	382	24768	SIPO	OP	71402716
609803	2076	1997-03-14	VYDAJ	PREVOD NA UCET	382	28983	SIPO	OP	71402716
609804	2076	1997-04-14	VYDAJ	PREVOD NA UCET	382	29569	SIPO	OP	71402716
609805	2076	1997-05-14	VYDAJ	PREVOD NA UCET	382	28688	SIPO	OP	71402716
609806	2076	1997-06-14	VYDAJ	PREVOD NA UCET	382	27101	SIPO	OP	71402716
609807	2076	1997-07-14	VYDAJ	PREVOD NA UCET	382	15698	SIPO	OP	71402716
609808	2076	1997-08-14	VYDAJ	PREVOD NA UCET	382	14277	SIPO	OP	71402716
609809	2076	1997-09-14	VYDAJ	PREVOD NA UCET	382	16852	SIPO	OP	71402716
609810	2076	1997-10-14	VYDAJ	PREVOD NA UCET	382	17331	SIPO	OP	71402716
609811	2076	1997-11-14	VYDAJ	PREVOD NA UCET	382	19354	SIPO	OP	71402716
609812	2076	1997-12-14	VYDAJ	PREVOD NA UCET	382	23541	SIPO	OP	71402716
609813	2076	1998-01-14	VYDAJ	PREVOD NA UCET	382	18675	SIPO	OP	71402716
609814	2076	1998-02-14	VYDAJ	PREVOD NA UCET	382	17822	SIPO	OP	71402716
609815	2076	1998-03-14	VYDAJ	PREVOD NA UCET	382	21902	SIPO	OP	71402716
609816	2076	1998-04-14	VYDAJ	PREVOD NA UCET	382	24699	SIPO	OP	71402716
609817	2076	1998-05-14	VYDAJ	PREVOD NA UCET	382	22310	SIPO	OP	71402716
609818	2076	1998-06-14	VYDAJ	PREVOD NA UCET	382	21316	SIPO	OP	71402716
609819	2076	1998-07-14	VYDAJ	PREVOD NA UCET	382	21755	SIPO	OP	71402716
609820	2076	1998-08-14	VYDAJ	PREVOD NA UCET	382	24054	SIPO	OP	71402716
609821	2076	1998-09-14	VYDAJ	PREVOD NA UCET	382	25661	SIPO	OP	71402716
609822	2076	1998-10-14	VYDAJ	PREVOD NA UCET	382	23334	SIPO	OP	71402716
609823	2076	1998-11-14	VYDAJ	PREVOD NA UCET	382	18840	SIPO	OP	71402716
609824	2076	1998-12-14	VYDAJ	PREVOD NA UCET	382	17130	SIPO	OP	71402716
609839	2076	1997-03-07	VYDAJ	PREVOD NA UCET	1670	23186	 	OP	3638083
609840	2076	1997-04-07	VYDAJ	PREVOD NA UCET	1670	23772	 	OP	3638083
609841	2076	1997-05-07	VYDAJ	PREVOD NA UCET	1670	22891	 	OP	3638083
609842	2076	1997-06-07	VYDAJ	PREVOD NA UCET	1670	21304	 	OP	3638083
609843	2076	1997-07-07	VYDAJ	PREVOD NA UCET	1670	13101	 	OP	3638083
609844	2076	1997-08-07	VYDAJ	PREVOD NA UCET	1670	14080	 	OP	3638083
609845	2076	1997-09-07	VYDAJ	PREVOD NA UCET	1670	12655	 	OP	3638083
609846	2076	1997-10-07	VYDAJ	PREVOD NA UCET	1670	15234	 	OP	3638083
609847	2076	1997-11-07	VYDAJ	PREVOD NA UCET	1670	13557	 	OP	3638083
609848	2076	1997-12-07	VYDAJ	PREVOD NA UCET	1670	17744	 	OP	3638083
609849	2076	1998-01-07	VYDAJ	PREVOD NA UCET	1670	17378	 	OP	3638083
609850	2076	1998-02-07	VYDAJ	PREVOD NA UCET	1670	12025	 	OP	3638083
609851	2076	1998-03-07	VYDAJ	PREVOD NA UCET	1670	16205	 	OP	3638083
609852	2076	1998-04-07	VYDAJ	PREVOD NA UCET	1670	20302	 	OP	3638083
609853	2076	1998-05-07	VYDAJ	PREVOD NA UCET	1670	23113	 	OP	3638083
609854	2076	1998-06-07	VYDAJ	PREVOD NA UCET	1670	18019	 	OP	3638083
609855	2076	1998-07-07	VYDAJ	PREVOD NA UCET	1670	15958	 	OP	3638083
609856	2076	1998-08-07	VYDAJ	PREVOD NA UCET	1670	20157	 	OP	3638083
609857	2076	1998-09-07	VYDAJ	PREVOD NA UCET	1670	22464	 	OP	3638083
609858	2076	1998-10-07	VYDAJ	PREVOD NA UCET	1670	22637	 	OP	3638083
609859	2076	1998-11-07	VYDAJ	PREVOD NA UCET	1670	13043	 	OP	3638083
609860	2076	1998-12-07	VYDAJ	PREVOD NA UCET	1670	11333	 	OP	3638083
609862	2076	1997-06-22	VYDAJ	VYBER	6900	14701	\N	\N	\N
609863	2076	1998-06-03	VYDAJ	VYBER	2700	19689	\N	\N	\N
609866	2076	1998-01-07	VYDAJ	VYBER	4500	12878	\N	\N	\N
609868	2076	1997-12-27	VYDAJ	VYBER	1050	22491	\N	\N	\N
609869	2076	1998-12-23	VYDAJ	VYBER	1450	15680	\N	\N	\N
609882	2076	1998-01-18	VYDAJ	VYBER	1600	17075	\N	\N	\N
609883	2076	1998-01-02	VYDAJ	VYBER	960	21608	\N	\N	\N
609886	2076	1998-01-27	VYDAJ	VYBER	1680	15395	\N	\N	\N
609887	2076	1998-01-03	VYDAJ	VYBER	1520	20088	\N	\N	\N
609895	2076	1997-10-27	VYDAJ	VYBER	2160	15171	\N	\N	\N
609897	2076	1997-04-05	VYDAJ	VYBER	3040	25442	\N	\N	\N
609898	2076	1998-07-05	VYDAJ	VYBER	3760	17628	\N	\N	\N
609899	2076	1998-01-06	VYDAJ	VYBER	1040	19048	\N	\N	\N
609901	2076	1998-02-02	VYDAJ	VYBER	1760	13695	\N	\N	\N
609902	2076	1998-09-17	VYDAJ	VYBER	1440	24221	\N	\N	\N
609917	2076	1997-02-28	VYDAJ	VYBER	15	24856	SLUZBY	\N	\N
609918	2076	1997-03-31	VYDAJ	VYBER	15	28482	SLUZBY	\N	\N
609919	2076	1997-04-30	VYDAJ	VYBER	15	24561	SLUZBY	\N	\N
609920	2076	1997-05-31	VYDAJ	VYBER	15	22974	SLUZBY	\N	\N
609921	2076	1997-06-30	VYDAJ	VYBER	15	14771	SLUZBY	\N	\N
609922	2076	1997-07-31	VYDAJ	VYBER	15	15750	SLUZBY	\N	\N
609923	2076	1997-08-31	VYDAJ	VYBER	15	14325	SLUZBY	\N	\N
609924	2076	1997-09-30	VYDAJ	VYBER	15	16904	SLUZBY	\N	\N
609925	2076	1997-10-31	VYDAJ	VYBER	15	15227	SLUZBY	\N	\N
609926	2076	1997-11-30	VYDAJ	VYBER	15	19414	SLUZBY	\N	\N
609927	2076	1997-12-31	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
609928	2076	1998-01-31	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
609929	2076	1998-02-28	VYDAJ	VYBER	15	17875	SLUZBY	\N	\N
609930	2076	1998-03-31	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
609931	2076	1998-04-30	VYDAJ	VYBER	15	24783	SLUZBY	\N	\N
609932	2076	1998-05-31	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
609933	2076	1998-06-30	VYDAJ	VYBER	15	21388	SLUZBY	\N	\N
609934	2076	1998-07-31	VYDAJ	VYBER	15	21827	SLUZBY	\N	\N
609935	2076	1998-08-31	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
609936	2076	1998-09-30	VYDAJ	VYBER	15	24307	SLUZBY	\N	\N
609937	2076	1998-10-31	VYDAJ	VYBER	15	23413	SLUZBY	\N	\N
609938	2076	1998-11-30	VYDAJ	VYBER	15	18903	SLUZBY	\N	\N
609939	2076	1997-01-15	VYDAJ	VYBER	1500	24016	\N	\N	\N
609940	2076	1997-02-14	VYDAJ	VYBER	5100	25150	\N	\N	\N
609941	2076	1997-03-16	VYDAJ	VYBER	600	28383	\N	\N	\N
609942	2076	1997-04-15	VYDAJ	VYBER	5100	24469	\N	\N	\N
609943	2076	1997-05-15	VYDAJ	VYBER	5800	22888	\N	\N	\N
609944	2076	1997-06-14	VYDAJ	VYBER	5500	21601	\N	\N	\N
609945	2076	1997-07-14	VYDAJ	VYBER	3200	16080	\N	\N	\N
609946	2076	1997-08-13	VYDAJ	VYBER	5600	14659	\N	\N	\N
609947	2076	1997-09-12	VYDAJ	VYBER	1600	17234	\N	\N	\N
609948	2076	1997-10-12	VYDAJ	VYBER	3700	17713	\N	\N	\N
609949	2076	1998-03-11	VYDAJ	VYBER	100	16105	\N	\N	\N
609950	2076	1998-04-10	VYDAJ	VYBER	1400	18902	\N	\N	\N
609951	2076	1998-05-10	VYDAJ	VYBER	6600	16513	\N	\N	\N
609952	2076	1998-06-09	VYDAJ	VYBER	2500	15519	\N	\N	\N
609953	2076	1998-08-08	VYDAJ	VYBER	1900	18257	\N	\N	\N
609954	2076	1998-09-07	VYDAJ	VYBER	2600	19864	\N	\N	\N
609955	2076	1998-10-07	VYDAJ	VYBER	5100	17537	\N	\N	\N
609956	2076	1998-11-06	VYDAJ	VYBER	8700	14713	\N	\N	\N
609957	2076	1998-12-06	VYDAJ	VYBER	5900	13003	\N	\N	\N
609982	2077	1995-01-04	PRIJEM	VKLAD	700	700	\N	\N	\N
609983	2077	1995-01-05	PRIJEM	VKLAD	4305	5005	\N	\N	\N
609984	2077	1995-02-05	PRIJEM	VKLAD	4305	16028	\N	\N	\N
609985	2077	1995-03-05	PRIJEM	VKLAD	4305	21793	\N	\N	\N
609986	2077	1995-04-05	PRIJEM	VKLAD	4305	27086	\N	\N	\N
609987	2077	1995-05-05	PRIJEM	VKLAD	4305	28601	\N	\N	\N
609988	2077	1995-06-05	PRIJEM	VKLAD	6458	32663	\N	\N	\N
609989	2077	1995-07-05	PRIJEM	VKLAD	4305	33887	\N	\N	\N
609990	2077	1995-08-05	PRIJEM	VKLAD	4305	33102	\N	\N	\N
609991	2077	1995-09-05	PRIJEM	VKLAD	4305	37826	\N	\N	\N
609992	2077	1995-10-05	PRIJEM	VKLAD	4305	35563	\N	\N	\N
609993	2077	1995-11-05	PRIJEM	VKLAD	4305	32985	\N	\N	\N
609994	2077	1995-12-05	PRIJEM	VKLAD	6458	33647	\N	\N	\N
609995	2077	1996-01-05	PRIJEM	VKLAD	4305	32465	\N	\N	\N
609996	2077	1996-02-05	PRIJEM	VKLAD	4305	26767	\N	\N	\N
609997	2077	1996-03-05	PRIJEM	VKLAD	4305	29853	\N	\N	\N
609998	2077	1996-04-05	PRIJEM	VKLAD	4305	29650	\N	\N	\N
609999	2077	1996-05-05	PRIJEM	VKLAD	4305	30946	\N	\N	\N
610000	2077	1996-06-05	PRIJEM	VKLAD	6458	29498	\N	\N	\N
610001	2077	1996-07-05	PRIJEM	VKLAD	4305	21178	\N	\N	\N
610002	2077	1996-08-05	PRIJEM	VKLAD	4305	26155	\N	\N	\N
610003	2077	1996-09-05	PRIJEM	VKLAD	4305	28443	\N	\N	\N
610004	2077	1996-10-05	PRIJEM	VKLAD	4305	28033	\N	\N	\N
610005	2077	1996-11-05	PRIJEM	VKLAD	4305	28823	\N	\N	\N
610006	2077	1996-12-05	PRIJEM	VKLAD	6458	32169	\N	\N	\N
610007	2077	1997-01-05	PRIJEM	VKLAD	4305	30678	\N	\N	\N
610008	2077	1997-02-05	PRIJEM	VKLAD	4305	23565	\N	\N	\N
610009	2077	1997-03-05	PRIJEM	VKLAD	4305	27240	\N	\N	\N
610010	2077	1997-04-05	PRIJEM	VKLAD	4305	26035	\N	\N	\N
610011	2077	1997-05-05	PRIJEM	VKLAD	4305	29523	\N	\N	\N
610012	2077	1997-06-05	PRIJEM	VKLAD	6458	34975	\N	\N	\N
610013	2077	1997-07-05	PRIJEM	VKLAD	4305	28875	\N	\N	\N
610014	2077	1997-08-05	PRIJEM	VKLAD	4305	32675	\N	\N	\N
610015	2077	1997-09-05	PRIJEM	VKLAD	4305	37189	\N	\N	\N
610016	2077	1997-10-05	PRIJEM	VKLAD	4305	41522	\N	\N	\N
610017	2077	1997-11-05	PRIJEM	VKLAD	4305	42969	\N	\N	\N
610018	2077	1997-12-05	PRIJEM	VKLAD	6458	40365	\N	\N	\N
610019	2077	1998-01-05	PRIJEM	VKLAD	4305	37801	\N	\N	\N
610020	2077	1998-02-05	PRIJEM	VKLAD	4305	28106	\N	\N	\N
610021	2077	1998-03-05	PRIJEM	VKLAD	4305	30801	\N	\N	\N
610022	2077	1998-04-05	PRIJEM	VKLAD	4305	32904	\N	\N	\N
610023	2077	1998-05-05	PRIJEM	VKLAD	4305	33112	\N	\N	\N
610024	2077	1998-06-05	PRIJEM	VKLAD	6458	36577	\N	\N	\N
610025	2077	1998-07-05	PRIJEM	VKLAD	4305	38299	\N	\N	\N
610026	2077	1998-08-05	PRIJEM	VKLAD	4305	43841	\N	\N	\N
610027	2077	1998-09-05	PRIJEM	VKLAD	4305	46002	\N	\N	\N
610028	2077	1998-10-05	PRIJEM	VKLAD	4305	52779	\N	\N	\N
610029	2077	1998-11-05	PRIJEM	VKLAD	4305	60888	\N	\N	\N
610030	2077	1998-12-05	PRIJEM	VKLAD	6458	68277	\N	\N	\N
610032	2077	1996-06-14	VYDAJ	VYBER	8600	20898	\N	\N	\N
610033	2077	1997-06-20	VYDAJ	VYBER	16600	18375	\N	\N	\N
610034	2077	1998-06-15	VYDAJ	VYBER	3800	32777	\N	\N	\N
610036	2077	1996-01-25	VYDAJ	VYBER	5000	21165	\N	\N	\N
610037	2077	1997-01-10	VYDAJ	VYBER	6300	24378	\N	\N	\N
610038	2077	1998-01-07	VYDAJ	VYBER	8900	26301	\N	\N	\N
610039	2077	1995-12-12	VYDAJ	VYBER	900	32747	\N	\N	\N
610040	2077	1996-12-07	VYDAJ	VYBER	1800	30369	\N	\N	\N
610041	2077	1997-12-27	VYDAJ	VYBER	1700	34865	\N	\N	\N
610042	2077	1998-12-10	VYDAJ	VYBER	900	67377	\N	\N	\N
610049	2077	1996-01-08	VYDAJ	VYBER	1000	31465	\N	\N	\N
610050	2077	1996-01-10	VYDAJ	VYBER	2700	28765	\N	\N	\N
610051	2077	1996-01-27	VYDAJ	VYBER	600	20565	\N	\N	\N
610052	2077	1996-01-27	VYDAJ	VYBER	1900	18665	\N	\N	\N
610053	2077	1996-01-11	VYDAJ	VYBER	2600	26165	\N	\N	\N
610054	2077	1996-01-03	VYDAJ	VYBER	2600	28160	\N	\N	\N
610055	2077	1997-01-02	VYDAJ	VYBER	800	26373	\N	\N	\N
610056	2077	1997-01-17	VYDAJ	VYBER	1600	18278	\N	\N	\N
610057	2077	1997-01-17	VYDAJ	VYBER	1400	19878	\N	\N	\N
610058	2077	1997-01-14	VYDAJ	VYBER	1500	21278	\N	\N	\N
610059	2077	1997-01-13	VYDAJ	VYBER	1600	22778	\N	\N	\N
610060	2077	1997-01-28	VYDAJ	VYBER	2800	19178	\N	\N	\N
610061	2077	1998-01-08	VYDAJ	VYBER	900	25401	\N	\N	\N
610062	2077	1998-01-26	VYDAJ	VYBER	2700	23701	\N	\N	\N
610063	2077	1998-01-04	VYDAJ	VYBER	800	33496	\N	\N	\N
610064	2077	1998-01-24	VYDAJ	VYBER	2900	26401	\N	\N	\N
610065	2077	1998-01-03	VYDAJ	VYBER	700	34296	\N	\N	\N
610066	2077	1998-01-05	VYDAJ	VYBER	2600	35201	\N	\N	\N
610067	2077	1995-11-10	VYDAJ	VYBER	4600	28385	\N	\N	\N
610068	2077	1995-07-21	VYDAJ	VYBER	2500	28187	\N	\N	\N
610069	2077	1995-07-30	VYDAJ	VYBER	3300	24887	\N	\N	\N
610071	2077	1995-10-08	VYDAJ	VYBER	4600	30963	\N	\N	\N
610072	2077	1995-09-15	VYDAJ	VYBER	4000	33826	\N	\N	\N
610073	2077	1995-07-06	VYDAJ	VYBER	3200	30687	\N	\N	\N
610074	2077	1996-07-04	VYDAJ	VYBER	1800	16873	\N	\N	\N
610075	2077	1996-06-27	VYDAJ	VYBER	800	18598	\N	\N	\N
610076	2077	1996-08-10	VYDAJ	VYBER	2100	24055	\N	\N	\N
610077	2077	1996-02-17	VYDAJ	VYBER	3400	23367	\N	\N	\N
610078	2077	1997-11-12	VYDAJ	VYBER	4100	38869	\N	\N	\N
610079	2077	1997-03-04	VYDAJ	VYBER	1200	22935	\N	\N	\N
610080	2077	1997-03-28	VYDAJ	VYBER	3300	21640	\N	\N	\N
610081	2077	1997-12-15	VYDAJ	VYBER	2500	37865	\N	\N	\N
610082	2077	1997-03-17	VYDAJ	VYBER	2000	25240	\N	\N	\N
610083	2077	1997-04-09	VYDAJ	VYBER	2500	23535	\N	\N	\N
610084	2077	1997-07-28	VYDAJ	VYBER	3200	28275	\N	\N	\N
610085	2077	1998-05-19	VYDAJ	VYBER	1000	30012	\N	\N	\N
610086	2077	1998-02-12	VYDAJ	VYBER	2800	24406	\N	\N	\N
610087	2077	1998-02-09	VYDAJ	VYBER	900	27206	\N	\N	\N
610088	2077	1998-08-25	VYDAJ	VYBER	2500	41541	\N	\N	\N
610094	2077	1995-05-31	VYDAJ	VYBER	15	28705	SLUZBY	\N	\N
610095	2077	1995-06-30	VYDAJ	VYBER	15	32782	SLUZBY	\N	\N
610096	2077	1995-07-31	VYDAJ	VYBER	15	24997	SLUZBY	\N	\N
610097	2077	1995-08-31	VYDAJ	VYBER	15	33221	SLUZBY	\N	\N
610098	2077	1995-09-30	VYDAJ	VYBER	15	33958	SLUZBY	\N	\N
610099	2077	1995-10-31	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
610100	2077	1995-11-30	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
610101	2077	1995-12-31	VYDAJ	VYBER	15	30760	SLUZBY	\N	\N
610102	2077	1996-01-31	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
610103	2077	1996-02-29	VYDAJ	VYBER	15	25548	SLUZBY	\N	\N
610104	2077	1996-03-31	VYDAJ	VYBER	15	25345	SLUZBY	\N	\N
610105	2077	1996-04-30	VYDAJ	VYBER	15	26641	SLUZBY	\N	\N
610106	2077	1996-05-31	VYDAJ	VYBER	15	23040	SLUZBY	\N	\N
610107	2077	1996-06-30	VYDAJ	VYBER	15	18673	SLUZBY	\N	\N
610108	2077	1996-07-31	VYDAJ	VYBER	15	21850	SLUZBY	\N	\N
610109	2077	1996-08-31	VYDAJ	VYBER	15	24138	SLUZBY	\N	\N
610110	2077	1996-09-30	VYDAJ	VYBER	15	23728	SLUZBY	\N	\N
610111	2077	1996-10-31	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
610112	2077	1996-11-30	VYDAJ	VYBER	15	25711	SLUZBY	\N	\N
610113	2077	1996-12-31	VYDAJ	VYBER	15	27173	SLUZBY	\N	\N
610114	2077	1997-01-31	VYDAJ	VYBER	15	19260	SLUZBY	\N	\N
610115	2077	1997-02-28	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
610116	2077	1997-03-31	VYDAJ	VYBER	15	21730	SLUZBY	\N	\N
610117	2077	1997-04-30	VYDAJ	VYBER	15	25218	SLUZBY	\N	\N
610118	2077	1997-05-31	VYDAJ	VYBER	15	28517	SLUZBY	\N	\N
610119	2077	1997-06-30	VYDAJ	VYBER	15	24570	SLUZBY	\N	\N
610120	2077	1997-07-31	VYDAJ	VYBER	15	28370	SLUZBY	\N	\N
610121	2077	1997-08-31	VYDAJ	VYBER	15	32884	SLUZBY	\N	\N
610122	2077	1997-09-30	VYDAJ	VYBER	15	37217	SLUZBY	\N	\N
610123	2077	1997-10-31	VYDAJ	VYBER	15	38664	SLUZBY	\N	\N
610124	2077	1997-11-30	VYDAJ	VYBER	15	33907	SLUZBY	\N	\N
610125	2077	1997-12-31	VYDAJ	VYBER	15	34996	SLUZBY	\N	\N
610126	2077	1998-01-31	VYDAJ	VYBER	15	23801	SLUZBY	\N	\N
610127	2077	1998-02-28	VYDAJ	VYBER	15	26496	SLUZBY	\N	\N
610128	2077	1998-03-31	VYDAJ	VYBER	15	28599	SLUZBY	\N	\N
610129	2077	1998-04-30	VYDAJ	VYBER	15	28807	SLUZBY	\N	\N
610130	2077	1998-05-31	VYDAJ	VYBER	15	30119	SLUZBY	\N	\N
610131	2077	1998-06-30	VYDAJ	VYBER	15	33994	SLUZBY	\N	\N
610132	2077	1998-07-31	VYDAJ	VYBER	15	39536	SLUZBY	\N	\N
610133	2077	1998-08-31	VYDAJ	VYBER	15	41697	SLUZBY	\N	\N
610134	2077	1998-09-30	VYDAJ	VYBER	15	48474	SLUZBY	\N	\N
610135	2077	1998-10-31	VYDAJ	VYBER	15	56583	SLUZBY	\N	\N
610136	2077	1998-11-30	VYDAJ	VYBER	15	61819	SLUZBY	\N	\N
610137	2077	1995-02-03	PRIJEM	VKLAD	6700	11723	\N	\N	\N
610138	2077	1995-03-05	PRIJEM	VKLAD	1400	17488	\N	\N	\N
610139	2077	1995-04-04	PRIJEM	VKLAD	900	22781	\N	\N	\N
610140	2077	1995-05-04	VYDAJ	VYBER	2900	24296	\N	\N	\N
610141	2077	1995-06-03	VYDAJ	VYBER	2500	26205	\N	\N	\N
610142	2077	1995-07-03	VYDAJ	VYBER	3200	29582	\N	\N	\N
610143	2077	1995-08-02	PRIJEM	VKLAD	3800	28797	\N	\N	\N
610144	2077	1995-09-01	PRIJEM	VKLAD	300	33521	\N	\N	\N
610145	2077	1995-10-01	VYDAJ	VYBER	2700	31258	\N	\N	\N
610146	2077	1995-10-31	VYDAJ	VYBER	2400	28680	\N	\N	\N
610147	2077	1995-11-30	VYDAJ	VYBER	1300	27204	\N	\N	\N
610148	2077	1995-12-30	VYDAJ	VYBER	2100	30647	\N	\N	\N
610149	2077	1996-01-29	PRIJEM	VKLAD	3700	22365	\N	\N	\N
610150	2077	1996-02-28	PRIJEM	VKLAD	2100	25467	\N	\N	\N
610151	2077	1996-03-29	VYDAJ	VYBER	4600	25253	\N	\N	\N
610152	2077	1996-04-28	VYDAJ	VYBER	3100	26550	\N	\N	\N
610153	2077	1996-05-28	VYDAJ	VYBER	8000	22946	\N	\N	\N
610154	2077	1996-06-27	VYDAJ	VYBER	1500	19398	\N	\N	\N
610155	2077	1996-07-27	PRIJEM	VKLAD	600	21778	\N	\N	\N
610156	2077	1996-09-25	VYDAJ	VYBER	4800	23643	\N	\N	\N
610157	2077	1996-10-25	VYDAJ	VYBER	3600	24433	\N	\N	\N
610158	2077	1996-11-24	VYDAJ	VYBER	3200	25623	\N	\N	\N
610159	2077	1996-12-24	VYDAJ	VYBER	3300	27069	\N	\N	\N
610160	2077	1997-01-23	PRIJEM	VKLAD	3700	21978	\N	\N	\N
610161	2077	1997-02-22	PRIJEM	VKLAD	500	24065	\N	\N	\N
610162	2077	1997-03-24	VYDAJ	VYBER	300	24940	\N	\N	\N
610163	2077	1997-04-23	PRIJEM	VKLAD	1600	25135	\N	\N	\N
610164	2077	1997-05-23	VYDAJ	VYBER	1100	28423	\N	\N	\N
610165	2077	1997-06-22	PRIJEM	VKLAD	6100	24475	\N	\N	\N
610166	2077	1997-07-22	PRIJEM	VKLAD	2600	31475	\N	\N	\N
610167	2077	1997-08-21	PRIJEM	VKLAD	100	32775	\N	\N	\N
610168	2077	1997-09-20	VYDAJ	VYBER	100	37089	\N	\N	\N
610169	2077	1997-10-20	VYDAJ	VYBER	3000	38522	\N	\N	\N
610170	2077	1997-11-19	VYDAJ	VYBER	5100	33769	\N	\N	\N
610171	2077	1997-12-19	VYDAJ	VYBER	1300	36565	\N	\N	\N
610172	2077	1998-01-18	PRIJEM	VKLAD	3900	29301	\N	\N	\N
610173	2077	1998-02-17	PRIJEM	VKLAD	2000	26406	\N	\N	\N
610174	2077	1998-03-19	VYDAJ	VYBER	2300	28501	\N	\N	\N
610175	2077	1998-04-18	VYDAJ	VYBER	4200	28704	\N	\N	\N
610176	2077	1998-05-18	VYDAJ	VYBER	2100	31012	\N	\N	\N
610177	2077	1998-06-17	PRIJEM	VKLAD	1100	33877	\N	\N	\N
610178	2077	1998-07-17	PRIJEM	VKLAD	1100	39399	\N	\N	\N
610179	2077	1998-08-16	PRIJEM	VKLAD	200	44041	\N	\N	\N
610180	2077	1998-09-15	PRIJEM	VKLAD	2300	48302	\N	\N	\N
610181	2077	1998-10-15	PRIJEM	VKLAD	3600	56379	\N	\N	\N
610182	2077	1998-11-14	PRIJEM	VKLAD	700	61588	\N	\N	\N
610231	2078	1993-07-08	PRIJEM	VKLAD	700	700	\N	\N	\N
610239	2078	1993-08-08	PRIJEM	VKLAD	14633	26233	\N	\N	\N
610240	2078	1993-09-08	PRIJEM	VKLAD	14633	41151	\N	\N	\N
610241	2078	1993-10-08	PRIJEM	VKLAD	14633	49641	\N	\N	\N
610242	2078	1993-11-08	PRIJEM	VKLAD	14633	49572	\N	\N	\N
610243	2078	1993-12-08	PRIJEM	VKLAD	21950	59429	\N	\N	\N
610244	2078	1994-01-08	PRIJEM	VKLAD	14633	49687	\N	\N	\N
610245	2078	1994-02-08	PRIJEM	VKLAD	14633	40067	\N	\N	\N
610246	2078	1994-03-08	PRIJEM	VKLAD	14633	45144	\N	\N	\N
610247	2078	1994-04-08	PRIJEM	VKLAD	14633	46447	\N	\N	\N
610248	2078	1994-05-08	PRIJEM	VKLAD	14633	45158	\N	\N	\N
610249	2078	1994-06-08	PRIJEM	VKLAD	21950	53282	\N	\N	\N
610250	2078	1994-07-08	PRIJEM	VKLAD	14633	44591	\N	\N	\N
610251	2078	1994-08-08	PRIJEM	VKLAD	14633	48591	\N	\N	\N
610252	2078	1994-09-08	PRIJEM	VKLAD	14633	50108	\N	\N	\N
610253	2078	1994-10-08	PRIJEM	VKLAD	14633	50434	\N	\N	\N
610254	2078	1994-11-08	PRIJEM	VKLAD	14633	51362	\N	\N	\N
610255	2078	1994-12-08	PRIJEM	VKLAD	21950	53932	\N	\N	\N
610256	2078	1995-01-08	PRIJEM	VKLAD	14633	42167	\N	\N	\N
610257	2078	1995-02-08	PRIJEM	VKLAD	14633	39031	\N	\N	\N
610258	2078	1995-03-08	PRIJEM	VKLAD	14633	43901	\N	\N	\N
610259	2078	1995-04-08	PRIJEM	VKLAD	14633	44704	\N	\N	\N
610260	2078	1995-05-08	PRIJEM	VKLAD	14633	47096	\N	\N	\N
610261	2078	1995-06-08	PRIJEM	VKLAD	21950	56515	\N	\N	\N
610262	2078	1995-07-08	PRIJEM	VKLAD	14633	35720	\N	\N	\N
610263	2078	1995-08-08	PRIJEM	VKLAD	14633	43676	\N	\N	\N
610264	2078	1995-09-08	PRIJEM	VKLAD	14633	45661	\N	\N	\N
610265	2078	1995-10-08	PRIJEM	VKLAD	14633	45428	\N	\N	\N
610266	2078	1995-11-08	PRIJEM	VKLAD	14633	50421	\N	\N	\N
610267	2078	1995-12-08	PRIJEM	VKLAD	21950	55945	\N	\N	\N
610268	2078	1996-01-08	PRIJEM	VKLAD	14633	52027	\N	\N	\N
610269	2078	1996-02-08	PRIJEM	VKLAD	14633	45290	\N	\N	\N
610270	2078	1996-03-08	PRIJEM	VKLAD	14633	47277	\N	\N	\N
610271	2078	1996-04-08	PRIJEM	VKLAD	14633	43452	\N	\N	\N
610272	2078	1996-05-08	PRIJEM	VKLAD	14633	44210	\N	\N	\N
610273	2078	1996-06-08	PRIJEM	VKLAD	21950	51806	\N	\N	\N
610274	2078	1996-07-08	PRIJEM	VKLAD	14633	39793	\N	\N	\N
610275	2078	1996-08-08	PRIJEM	VKLAD	14633	43557	\N	\N	\N
610276	2078	1996-09-08	PRIJEM	VKLAD	14633	45132	\N	\N	\N
610277	2078	1996-10-08	PRIJEM	VKLAD	14633	50319	\N	\N	\N
610278	2078	1996-11-08	PRIJEM	VKLAD	14633	50418	\N	\N	\N
610279	2078	1996-12-08	PRIJEM	VKLAD	21950	53927	\N	\N	\N
610280	2078	1997-01-08	PRIJEM	VKLAD	14633	46778	\N	\N	\N
610281	2078	1997-02-08	PRIJEM	VKLAD	14633	30182	\N	\N	\N
610282	2078	1997-03-08	PRIJEM	VKLAD	14633	33604	\N	\N	\N
610283	2078	1997-04-08	PRIJEM	VKLAD	14633	39542	\N	\N	\N
610284	2078	1997-05-08	PRIJEM	VKLAD	14633	42299	\N	\N	\N
610285	2078	1997-06-08	PRIJEM	VKLAD	21950	45369	\N	\N	\N
610286	2078	1997-07-08	PRIJEM	VKLAD	14633	42331	\N	\N	\N
610287	2078	1997-08-08	PRIJEM	VKLAD	14633	41089	\N	\N	\N
610288	2078	1997-09-08	PRIJEM	VKLAD	14633	41404	\N	\N	\N
610289	2078	1997-10-08	PRIJEM	VKLAD	14633	38824	\N	\N	\N
610290	2078	1997-11-08	PRIJEM	VKLAD	14633	43482	\N	\N	\N
610291	2078	1997-12-08	PRIJEM	VKLAD	21950	52563	\N	\N	\N
610292	2078	1998-01-08	PRIJEM	VKLAD	14633	43649	\N	\N	\N
610293	2078	1998-02-08	PRIJEM	VKLAD	14633	40807	\N	\N	\N
610294	2078	1998-03-08	PRIJEM	VKLAD	14633	46267	\N	\N	\N
610295	2078	1998-04-08	PRIJEM	VKLAD	14633	47943	\N	\N	\N
610296	2078	1998-05-08	PRIJEM	VKLAD	14633	52531	\N	\N	\N
610297	2078	1998-06-08	PRIJEM	VKLAD	21950	63152	\N	\N	\N
610298	2078	1998-07-08	PRIJEM	VKLAD	14633	59474	\N	\N	\N
610299	2078	1998-08-08	PRIJEM	VKLAD	14633	51368	\N	\N	\N
610300	2078	1998-09-08	PRIJEM	VKLAD	14633	49094	\N	\N	\N
610301	2078	1998-10-08	PRIJEM	VKLAD	14633	54386	\N	\N	\N
610302	2078	1998-11-08	PRIJEM	VKLAD	14633	56490	\N	\N	\N
610303	2078	1998-12-08	PRIJEM	VKLAD	21950	67122	\N	\N	\N
610316	2078	1994-01-07	VYDAJ	PREVOD NA UCET	3598	35054	SIPO	GH	3833902
610317	2078	1994-02-07	VYDAJ	PREVOD NA UCET	3598	25434	SIPO	GH	3833902
610318	2078	1994-03-07	VYDAJ	PREVOD NA UCET	3598	30511	SIPO	GH	3833902
610319	2078	1994-04-07	VYDAJ	PREVOD NA UCET	3598	31814	SIPO	GH	3833902
610320	2078	1994-05-07	VYDAJ	PREVOD NA UCET	3598	30525	SIPO	GH	3833902
610321	2078	1994-06-07	VYDAJ	PREVOD NA UCET	3598	31332	SIPO	GH	3833902
610322	2078	1994-07-07	VYDAJ	PREVOD NA UCET	3598	29958	SIPO	GH	3833902
610323	2078	1994-08-07	VYDAJ	PREVOD NA UCET	3598	33958	SIPO	GH	3833902
610324	2078	1994-09-07	VYDAJ	PREVOD NA UCET	3598	35475	SIPO	GH	3833902
610325	2078	1994-10-07	VYDAJ	PREVOD NA UCET	3598	35801	SIPO	GH	3833902
610326	2078	1994-11-07	VYDAJ	PREVOD NA UCET	3598	36729	SIPO	GH	3833902
610327	2078	1994-12-07	VYDAJ	PREVOD NA UCET	3598	31982	SIPO	GH	3833902
610328	2078	1995-01-07	VYDAJ	PREVOD NA UCET	3598	27534	SIPO	GH	3833902
610329	2078	1995-02-07	VYDAJ	PREVOD NA UCET	3598	24398	SIPO	GH	3833902
610330	2078	1995-03-07	VYDAJ	PREVOD NA UCET	3598	29268	SIPO	GH	3833902
610331	2078	1995-04-07	VYDAJ	PREVOD NA UCET	3598	30071	SIPO	GH	3833902
610332	2078	1995-05-07	VYDAJ	PREVOD NA UCET	3598	32463	SIPO	GH	3833902
610333	2078	1995-06-07	VYDAJ	PREVOD NA UCET	3598	34565	SIPO	GH	3833902
610334	2078	1995-07-07	VYDAJ	PREVOD NA UCET	3598	21087	SIPO	GH	3833902
610335	2078	1995-08-07	VYDAJ	PREVOD NA UCET	3598	29043	SIPO	GH	3833902
610336	2078	1995-09-07	VYDAJ	PREVOD NA UCET	3598	31028	SIPO	GH	3833902
610337	2078	1995-10-07	VYDAJ	PREVOD NA UCET	3598	30795	SIPO	GH	3833902
610338	2078	1995-11-07	VYDAJ	PREVOD NA UCET	3598	35788	SIPO	GH	3833902
610339	2078	1995-12-07	VYDAJ	PREVOD NA UCET	3598	33996	SIPO	GH	3833902
610340	2078	1996-01-07	VYDAJ	PREVOD NA UCET	3598	37394	SIPO	GH	3833902
610341	2078	1996-02-07	VYDAJ	PREVOD NA UCET	3598	30657	SIPO	GH	3833902
610342	2078	1996-03-07	VYDAJ	PREVOD NA UCET	3598	32644	SIPO	GH	3833902
610343	2078	1996-04-07	VYDAJ	PREVOD NA UCET	3598	28819	SIPO	GH	3833902
610344	2078	1996-05-07	VYDAJ	PREVOD NA UCET	3598	29577	SIPO	GH	3833902
610345	2078	1996-06-07	VYDAJ	PREVOD NA UCET	3598	29856	SIPO	GH	3833902
610346	2078	1996-07-07	VYDAJ	PREVOD NA UCET	3598	25160	SIPO	GH	3833902
610347	2078	1996-08-07	VYDAJ	PREVOD NA UCET	3598	28924	SIPO	GH	3833902
610348	2078	1996-09-07	VYDAJ	PREVOD NA UCET	3598	30499	SIPO	GH	3833902
610349	2078	1996-10-07	VYDAJ	PREVOD NA UCET	3598	35686	SIPO	GH	3833902
610350	2078	1996-11-07	VYDAJ	PREVOD NA UCET	3598	35785	SIPO	GH	3833902
610351	2078	1996-12-07	VYDAJ	PREVOD NA UCET	3598	31978	SIPO	GH	3833902
610352	2078	1997-01-07	VYDAJ	PREVOD NA UCET	3598	32145	SIPO	GH	3833902
610353	2078	1997-02-07	VYDAJ	PREVOD NA UCET	3598	15549	SIPO	GH	3833902
610354	2078	1997-03-07	VYDAJ	PREVOD NA UCET	3598	18971	SIPO	GH	3833902
610355	2078	1997-04-07	VYDAJ	PREVOD NA UCET	3598	24909	SIPO	GH	3833902
610356	2078	1997-05-07	VYDAJ	PREVOD NA UCET	3598	27666	SIPO	GH	3833902
610357	2078	1997-06-07	VYDAJ	PREVOD NA UCET	3598	23420	SIPO	GH	3833902
610358	2078	1997-07-07	VYDAJ	PREVOD NA UCET	3598	27698	SIPO	GH	3833902
610359	2078	1997-08-07	VYDAJ	PREVOD NA UCET	3598	26456	SIPO	GH	3833902
610360	2078	1997-09-07	VYDAJ	PREVOD NA UCET	3598	26771	SIPO	GH	3833902
610361	2078	1997-10-07	VYDAJ	PREVOD NA UCET	3598	24191	SIPO	GH	3833902
610362	2078	1997-11-07	VYDAJ	PREVOD NA UCET	3598	28849	SIPO	GH	3833902
610363	2078	1997-12-07	VYDAJ	PREVOD NA UCET	3598	30614	SIPO	GH	3833902
610364	2078	1998-01-07	VYDAJ	PREVOD NA UCET	3598	30096	SIPO	GH	3833902
610365	2078	1998-02-07	VYDAJ	PREVOD NA UCET	3598	26174	SIPO	GH	3833902
610366	2078	1998-03-07	VYDAJ	PREVOD NA UCET	3598	31634	SIPO	GH	3833902
610367	2078	1998-04-07	VYDAJ	PREVOD NA UCET	3598	33310	SIPO	GH	3833902
610368	2078	1998-05-07	VYDAJ	PREVOD NA UCET	3598	37898	SIPO	GH	3833902
610369	2078	1998-06-07	VYDAJ	PREVOD NA UCET	3598	41203	SIPO	GH	3833902
610370	2078	1998-07-07	VYDAJ	PREVOD NA UCET	3598	44841	SIPO	GH	3833902
610371	2078	1998-08-07	VYDAJ	PREVOD NA UCET	3598	36735	SIPO	GH	3833902
610372	2078	1998-09-07	VYDAJ	PREVOD NA UCET	3598	34461	SIPO	GH	3833902
610373	2078	1998-10-07	VYDAJ	PREVOD NA UCET	3598	39753	SIPO	GH	3833902
610374	2078	1998-11-07	VYDAJ	PREVOD NA UCET	3598	41857	SIPO	GH	3833902
610375	2078	1998-12-07	VYDAJ	PREVOD NA UCET	3598	45172	SIPO	GH	3833902
610377	2078	1994-06-08	VYDAJ	VYBER	9760	43522	\N	\N	\N
610378	2078	1995-06-11	VYDAJ	VYBER	33440	23075	\N	\N	\N
610379	2078	1996-06-22	VYDAJ	VYBER	23200	28606	\N	\N	\N
610383	2078	1994-01-14	VYDAJ	VYBER	11040	35287	\N	\N	\N
610384	2078	1995-01-19	VYDAJ	VYBER	8480	29247	\N	\N	\N
610385	2078	1996-01-17	VYDAJ	VYBER	3840	46747	\N	\N	\N
610386	2078	1997-01-11	VYDAJ	VYBER	9760	34498	\N	\N	\N
610387	2078	1998-01-09	VYDAJ	VYBER	6560	37089	\N	\N	\N
610388	2078	1993-12-28	VYDAJ	VYBER	800	58629	\N	\N	\N
610389	2078	1994-12-05	VYDAJ	VYBER	4480	35580	\N	\N	\N
610390	2078	1995-12-11	VYDAJ	VYBER	960	54985	\N	\N	\N
610391	2078	1996-12-23	VYDAJ	VYBER	1440	37147	\N	\N	\N
610392	2078	1997-12-18	VYDAJ	VYBER	2080	38583	\N	\N	\N
610393	2078	1998-12-13	VYDAJ	VYBER	4000	46822	\N	\N	\N
610400	2078	1994-01-17	VYDAJ	VYBER	3000	31087	\N	\N	\N
610401	2078	1994-01-09	VYDAJ	VYBER	2400	47287	\N	\N	\N
610402	2078	1994-01-16	VYDAJ	VYBER	1200	34087	\N	\N	\N
610403	2078	1994-01-06	VYDAJ	VYBER	2760	38652	\N	\N	\N
610404	2078	1994-01-11	VYDAJ	VYBER	960	46327	\N	\N	\N
610405	2078	1994-01-03	VYDAJ	VYBER	2640	56212	\N	\N	\N
610406	2078	1995-01-01	VYDAJ	VYBER	1680	36052	\N	\N	\N
610407	2078	1995-01-29	VYDAJ	VYBER	2880	27867	\N	\N	\N
610408	2078	1995-01-17	VYDAJ	VYBER	2640	39527	\N	\N	\N
610409	2078	1995-01-05	VYDAJ	VYBER	2880	31132	\N	\N	\N
610410	2078	1995-01-04	VYDAJ	VYBER	2040	34012	\N	\N	\N
610411	2078	1995-01-17	VYDAJ	VYBER	1800	37727	\N	\N	\N
610412	2078	1996-01-02	VYDAJ	VYBER	2880	40992	\N	\N	\N
610413	2078	1996-01-24	VYDAJ	VYBER	2520	40867	\N	\N	\N
610414	2078	1996-01-08	VYDAJ	VYBER	1440	50587	\N	\N	\N
610415	2078	1996-01-19	VYDAJ	VYBER	3360	43387	\N	\N	\N
610416	2078	1996-01-26	VYDAJ	VYBER	960	37207	\N	\N	\N
610417	2078	1996-01-28	VYDAJ	VYBER	3120	34087	\N	\N	\N
610418	2078	1997-01-04	VYDAJ	VYBER	1560	35743	\N	\N	\N
610419	2078	1997-01-18	VYDAJ	VYBER	2760	25498	\N	\N	\N
610420	2078	1997-01-17	VYDAJ	VYBER	3000	28258	\N	\N	\N
610421	2078	1997-01-23	VYDAJ	VYBER	840	22758	\N	\N	\N
610422	2078	1997-01-09	VYDAJ	VYBER	2520	44258	\N	\N	\N
610423	2078	1997-01-14	VYDAJ	VYBER	2280	32218	\N	\N	\N
610424	2078	1998-01-24	VYDAJ	VYBER	1800	29649	\N	\N	\N
610425	2078	1998-01-05	VYDAJ	VYBER	3360	33694	\N	\N	\N
610426	2078	1998-01-19	VYDAJ	VYBER	720	33969	\N	\N	\N
610427	2078	1998-01-03	VYDAJ	VYBER	1680	37054	\N	\N	\N
610428	2078	1998-01-23	VYDAJ	VYBER	2520	31449	\N	\N	\N
610429	2078	1998-01-07	VYDAJ	VYBER	1080	29016	\N	\N	\N
610432	2078	1994-06-29	VYDAJ	VYBER	3960	39562	\N	\N	\N
610433	2078	1995-03-13	VYDAJ	VYBER	2880	41021	\N	\N	\N
610434	2078	1995-09-11	VYDAJ	VYBER	2160	43501	\N	\N	\N
610435	2078	1995-10-06	VYDAJ	VYBER	960	34393	\N	\N	\N
610436	2078	1996-04-25	VYDAJ	VYBER	1920	33032	\N	\N	\N
610437	2078	1996-03-24	VYDAJ	VYBER	1200	37677	\N	\N	\N
610438	2078	1996-03-19	VYDAJ	VYBER	1560	38877	\N	\N	\N
610439	2078	1996-03-09	VYDAJ	VYBER	5040	40437	\N	\N	\N
610440	2078	1996-03-08	VYDAJ	VYBER	1800	45477	\N	\N	\N
610441	2078	1996-12-08	VYDAJ	VYBER	3840	50087	\N	\N	\N
610442	2078	1997-08-23	VYDAJ	VYBER	1920	30249	\N	\N	\N
610443	2078	1997-10-05	VYDAJ	VYBER	5640	27789	\N	\N	\N
610444	2078	1997-06-27	VYDAJ	VYBER	600	31169	\N	\N	\N
610445	2078	1997-08-09	VYDAJ	VYBER	1920	39169	\N	\N	\N
610446	2078	1997-01-16	VYDAJ	VYBER	960	31258	\N	\N	\N
610447	2078	1997-02-24	VYDAJ	VYBER	3600	22482	\N	\N	\N
610448	2078	1997-01-28	VYDAJ	VYBER	3720	19038	\N	\N	\N
610449	2078	1998-12-19	VYDAJ	VYBER	2400	44422	\N	\N	\N
610450	2078	1998-08-27	VYDAJ	VYBER	2160	37908	\N	\N	\N
610451	2078	1998-07-30	VYDAJ	VYBER	5520	40154	\N	\N	\N
610464	2078	1993-12-31	VYDAJ	VYBER	15	58852	SLUZBY	\N	\N
610465	2078	1994-01-31	VYDAJ	VYBER	15	31232	SLUZBY	\N	\N
610466	2078	1994-02-28	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
610467	2078	1994-03-31	VYDAJ	VYBER	15	45312	SLUZBY	\N	\N
610468	2078	1994-04-30	VYDAJ	VYBER	15	46623	SLUZBY	\N	\N
610469	2078	1994-05-31	VYDAJ	VYBER	15	45330	SLUZBY	\N	\N
610470	2078	1994-06-30	VYDAJ	VYBER	15	39756	SLUZBY	\N	\N
610471	2078	1994-07-31	VYDAJ	VYBER	15	44756	SLUZBY	\N	\N
610472	2078	1994-08-31	VYDAJ	VYBER	15	48773	SLUZBY	\N	\N
610473	2078	1994-09-30	VYDAJ	VYBER	15	50299	SLUZBY	\N	\N
610474	2078	1994-10-31	VYDAJ	VYBER	15	50627	SLUZBY	\N	\N
610475	2078	1994-11-30	VYDAJ	VYBER	15	51560	SLUZBY	\N	\N
610476	2078	1994-12-31	VYDAJ	VYBER	15	37732	SLUZBY	\N	\N
610477	2078	1995-01-31	VYDAJ	VYBER	15	27996	SLUZBY	\N	\N
610478	2078	1995-02-28	VYDAJ	VYBER	15	39166	SLUZBY	\N	\N
610479	2078	1995-03-31	VYDAJ	VYBER	15	33669	SLUZBY	\N	\N
610480	2078	1995-04-30	VYDAJ	VYBER	15	36061	SLUZBY	\N	\N
610481	2078	1995-05-31	VYDAJ	VYBER	15	38163	SLUZBY	\N	\N
610482	2078	1995-06-30	VYDAJ	VYBER	15	24685	SLUZBY	\N	\N
610483	2078	1995-07-31	VYDAJ	VYBER	15	32641	SLUZBY	\N	\N
610484	2078	1995-08-31	VYDAJ	VYBER	15	34626	SLUZBY	\N	\N
610485	2078	1995-09-30	VYDAJ	VYBER	15	35353	SLUZBY	\N	\N
610486	2078	1995-10-31	VYDAJ	VYBER	15	39386	SLUZBY	\N	\N
610487	2078	1995-11-30	VYDAJ	VYBER	15	37594	SLUZBY	\N	\N
610488	2078	1995-12-31	VYDAJ	VYBER	15	43872	SLUZBY	\N	\N
610489	2078	1996-01-31	VYDAJ	VYBER	15	34255	SLUZBY	\N	\N
610490	2078	1996-02-29	VYDAJ	VYBER	15	36242	SLUZBY	\N	\N
610491	2078	1996-03-31	VYDAJ	VYBER	15	32417	SLUZBY	\N	\N
610492	2078	1996-04-30	VYDAJ	VYBER	15	33175	SLUZBY	\N	\N
610493	2078	1996-05-31	VYDAJ	VYBER	15	33454	SLUZBY	\N	\N
610494	2078	1996-06-30	VYDAJ	VYBER	15	28758	SLUZBY	\N	\N
610495	2078	1996-07-31	VYDAJ	VYBER	15	32522	SLUZBY	\N	\N
610496	2078	1996-08-31	VYDAJ	VYBER	15	34097	SLUZBY	\N	\N
610497	2078	1996-09-30	VYDAJ	VYBER	15	39284	SLUZBY	\N	\N
610498	2078	1996-10-31	VYDAJ	VYBER	15	39383	SLUZBY	\N	\N
610499	2078	1996-11-30	VYDAJ	VYBER	15	35576	SLUZBY	\N	\N
610500	2078	1996-12-31	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
610501	2078	1997-01-31	VYDAJ	VYBER	15	19147	SLUZBY	\N	\N
610502	2078	1997-02-28	VYDAJ	VYBER	15	22569	SLUZBY	\N	\N
610503	2078	1997-03-31	VYDAJ	VYBER	15	28507	SLUZBY	\N	\N
610504	2078	1997-04-30	VYDAJ	VYBER	15	31264	SLUZBY	\N	\N
610505	2078	1997-05-31	VYDAJ	VYBER	15	27018	SLUZBY	\N	\N
610506	2078	1997-06-30	VYDAJ	VYBER	15	31296	SLUZBY	\N	\N
610507	2078	1997-07-31	VYDAJ	VYBER	15	30054	SLUZBY	\N	\N
610508	2078	1997-08-31	VYDAJ	VYBER	15	30369	SLUZBY	\N	\N
610509	2078	1997-09-30	VYDAJ	VYBER	15	33429	SLUZBY	\N	\N
610510	2078	1997-10-31	VYDAJ	VYBER	15	32447	SLUZBY	\N	\N
610511	2078	1997-11-30	VYDAJ	VYBER	15	34212	SLUZBY	\N	\N
610512	2078	1997-12-31	VYDAJ	VYBER	15	38734	SLUZBY	\N	\N
610513	2078	1998-01-31	VYDAJ	VYBER	15	29772	SLUZBY	\N	\N
610514	2078	1998-02-28	VYDAJ	VYBER	15	35232	SLUZBY	\N	\N
610515	2078	1998-03-31	VYDAJ	VYBER	15	36908	SLUZBY	\N	\N
610516	2078	1998-04-30	VYDAJ	VYBER	15	41496	SLUZBY	\N	\N
610517	2078	1998-05-31	VYDAJ	VYBER	15	44801	SLUZBY	\N	\N
610518	2078	1998-06-30	VYDAJ	VYBER	15	48439	SLUZBY	\N	\N
610519	2078	1998-07-31	VYDAJ	VYBER	15	40333	SLUZBY	\N	\N
610520	2078	1998-08-31	VYDAJ	VYBER	15	38059	SLUZBY	\N	\N
610521	2078	1998-09-30	VYDAJ	VYBER	15	43351	SLUZBY	\N	\N
610522	2078	1998-10-31	VYDAJ	VYBER	15	45455	SLUZBY	\N	\N
610523	2078	1998-11-30	VYDAJ	VYBER	15	48770	SLUZBY	\N	\N
610524	2078	1993-08-07	PRIJEM	VKLAD	10900	11600	\N	\N	\N
610525	2078	1993-09-06	PRIJEM	VKLAD	200	26518	\N	\N	\N
610526	2078	1993-10-06	VYDAJ	VYBER	6300	35008	\N	\N	\N
610527	2078	1993-11-05	VYDAJ	VYBER	14900	34939	\N	\N	\N
610528	2078	1993-12-05	VYDAJ	VYBER	12300	37479	\N	\N	\N
610529	2078	1994-01-04	VYDAJ	VYBER	14800	41412	\N	\N	\N
610530	2078	1994-02-03	VYDAJ	VYBER	2200	29032	\N	\N	\N
610531	2078	1994-03-05	VYDAJ	VYBER	6100	34109	\N	\N	\N
610532	2078	1994-04-04	VYDAJ	VYBER	9900	35412	\N	\N	\N
610533	2078	1994-05-04	VYDAJ	VYBER	12500	34123	\N	\N	\N
610534	2078	1994-06-03	VYDAJ	VYBER	10400	34930	\N	\N	\N
610535	2078	1994-07-03	VYDAJ	VYBER	6200	33556	\N	\N	\N
610536	2078	1994-08-02	VYDAJ	VYBER	7200	37556	\N	\N	\N
610537	2078	1994-09-01	VYDAJ	VYBER	9700	39073	\N	\N	\N
610538	2078	1994-10-01	VYDAJ	VYBER	10900	39399	\N	\N	\N
610539	2078	1994-10-31	VYDAJ	VYBER	10300	40327	\N	\N	\N
610540	2078	1994-11-30	VYDAJ	VYBER	11500	40060	\N	\N	\N
610541	2078	1994-12-30	VYDAJ	VYBER	16400	37532	\N	\N	\N
610542	2078	1995-01-29	PRIJEM	VKLAD	1500	30747	\N	\N	\N
610543	2078	1995-02-28	VYDAJ	VYBER	6300	32866	\N	\N	\N
610544	2078	1995-03-30	VYDAJ	VYBER	7500	33521	\N	\N	\N
610545	2078	1995-04-29	VYDAJ	VYBER	8800	35904	\N	\N	\N
610546	2078	1995-05-29	VYDAJ	VYBER	9100	37996	\N	\N	\N
610547	2078	1995-06-28	PRIJEM	VKLAD	1500	24575	\N	\N	\N
610548	2078	1995-07-28	VYDAJ	VYBER	3200	32520	\N	\N	\N
610549	2078	1995-08-27	VYDAJ	VYBER	9200	34476	\N	\N	\N
610550	2078	1995-09-26	VYDAJ	VYBER	8300	35201	\N	\N	\N
610551	2078	1995-10-26	VYDAJ	VYBER	6200	39228	\N	\N	\N
610552	2078	1995-11-25	VYDAJ	VYBER	13000	37421	\N	\N	\N
610553	2078	1995-12-25	VYDAJ	VYBER	11300	43685	\N	\N	\N
610554	2078	1996-01-24	VYDAJ	VYBER	2700	38167	\N	\N	\N
610555	2078	1996-02-23	VYDAJ	VYBER	9200	36090	\N	\N	\N
610556	2078	1996-03-24	VYDAJ	VYBER	5400	32277	\N	\N	\N
610557	2078	1996-04-23	VYDAJ	VYBER	8500	34952	\N	\N	\N
610558	2078	1996-05-23	VYDAJ	VYBER	10900	33310	\N	\N	\N
610559	2078	1996-07-22	VYDAJ	VYBER	7400	32393	\N	\N	\N
610560	2078	1996-08-21	VYDAJ	VYBER	9600	33957	\N	\N	\N
610561	2078	1996-09-20	VYDAJ	VYBER	6000	39132	\N	\N	\N
610562	2078	1996-10-20	VYDAJ	VYBER	11100	39219	\N	\N	\N
610563	2078	1996-11-19	VYDAJ	VYBER	15000	35418	\N	\N	\N
610564	2078	1996-12-19	VYDAJ	VYBER	11500	38587	\N	\N	\N
610565	2078	1997-01-18	VYDAJ	VYBER	1900	23598	\N	\N	\N
610566	2078	1997-02-17	VYDAJ	VYBER	4100	26082	\N	\N	\N
610567	2078	1997-03-19	VYDAJ	VYBER	5200	28404	\N	\N	\N
610568	2078	1997-04-18	VYDAJ	VYBER	8400	31142	\N	\N	\N
610569	2078	1997-05-18	VYDAJ	VYBER	15400	26899	\N	\N	\N
610570	2078	1997-06-17	VYDAJ	VYBER	13600	31769	\N	\N	\N
610571	2078	1997-07-17	VYDAJ	VYBER	12400	29931	\N	\N	\N
610572	2078	1997-08-16	VYDAJ	VYBER	7000	32169	\N	\N	\N
610573	2078	1997-09-15	VYDAJ	VYBER	8100	33304	\N	\N	\N
610574	2078	1997-10-15	VYDAJ	VYBER	6500	32324	\N	\N	\N
610575	2078	1997-11-14	VYDAJ	VYBER	9400	34082	\N	\N	\N
610576	2078	1997-12-14	VYDAJ	VYBER	11900	40663	\N	\N	\N
610577	2078	1998-01-13	VYDAJ	VYBER	2400	34689	\N	\N	\N
610578	2078	1998-02-12	VYDAJ	VYBER	5700	35107	\N	\N	\N
610579	2078	1998-03-14	VYDAJ	VYBER	9500	36767	\N	\N	\N
610580	2078	1998-04-13	VYDAJ	VYBER	6600	41343	\N	\N	\N
610581	2078	1998-05-13	VYDAJ	VYBER	7900	44631	\N	\N	\N
610582	2078	1998-06-12	VYDAJ	VYBER	14900	48252	\N	\N	\N
610583	2078	1998-07-12	VYDAJ	VYBER	13800	45674	\N	\N	\N
610584	2078	1998-08-11	VYDAJ	VYBER	11300	40068	\N	\N	\N
610585	2078	1998-09-10	VYDAJ	VYBER	5900	43194	\N	\N	\N
610586	2078	1998-10-10	VYDAJ	VYBER	9100	45286	\N	\N	\N
610587	2078	1998-11-09	VYDAJ	VYBER	7900	48590	\N	\N	\N
610588	2078	1998-12-09	VYDAJ	VYBER	16300	50822	\N	\N	\N
610654	2079	1997-09-06	PRIJEM	VKLAD	300	300	\N	\N	\N
610663	2079	1997-09-07	PRIJEM	VKLAD	17406	17706	\N	\N	\N
610664	2079	1997-10-07	PRIJEM	VKLAD	17406	39771	\N	\N	\N
610665	2079	1997-11-07	PRIJEM	VKLAD	17406	54225	\N	\N	\N
610666	2079	1997-12-07	PRIJEM	VKLAD	26109	69348	\N	\N	\N
610667	2079	1998-01-07	PRIJEM	VKLAD	17406	73031	\N	\N	\N
610668	2079	1998-02-07	PRIJEM	VKLAD	17406	67214	\N	\N	\N
610669	2079	1998-03-07	PRIJEM	VKLAD	17406	70886	\N	\N	\N
610670	2079	1998-04-07	PRIJEM	VKLAD	17406	74870	\N	\N	\N
610671	2079	1998-05-07	PRIJEM	VKLAD	17406	72862	\N	\N	\N
610672	2079	1998-06-07	PRIJEM	VKLAD	26109	80855	\N	\N	\N
610673	2079	1998-07-07	PRIJEM	VKLAD	17406	67169	\N	\N	\N
610674	2079	1998-08-07	PRIJEM	VKLAD	17406	67837	\N	\N	\N
610675	2079	1998-09-07	PRIJEM	VKLAD	17406	66411	\N	\N	\N
610676	2079	1998-10-07	PRIJEM	VKLAD	17406	67469	\N	\N	\N
610677	2079	1998-11-07	PRIJEM	VKLAD	17406	73336	\N	\N	\N
610678	2079	1998-12-07	PRIJEM	VKLAD	26109	85363	\N	\N	\N
610680	2079	1998-06-29	VYDAJ	VYBER	17100	63755	\N	\N	\N
610682	2079	1998-12-25	VYDAJ	VYBER	2500	82863	\N	\N	\N
610689	2079	1998-01-28	VYDAJ	VYBER	700	67031	\N	\N	\N
610690	2079	1998-01-19	VYDAJ	VYBER	1200	70631	\N	\N	\N
610691	2079	1998-01-24	VYDAJ	VYBER	1600	69031	\N	\N	\N
610693	2079	1998-01-24	VYDAJ	VYBER	1300	67731	\N	\N	\N
610694	2079	1998-01-07	VYDAJ	VYBER	1200	71831	\N	\N	\N
610699	2079	1998-04-22	VYDAJ	VYBER	4400	68970	\N	\N	\N
610700	2079	1998-04-20	VYDAJ	VYBER	1500	73370	\N	\N	\N
610701	2079	1998-12-27	VYDAJ	VYBER	4000	78863	\N	\N	\N
610702	2079	1998-05-27	VYDAJ	VYBER	3800	69062	\N	\N	\N
610703	2079	1998-09-13	VYDAJ	VYBER	3600	62111	\N	\N	\N
610704	2079	1998-09-11	VYDAJ	VYBER	700	65711	\N	\N	\N
610718	2079	1998-01-31	VYDAJ	VYBER	15	67308	SLUZBY	\N	\N
610719	2079	1998-02-28	VYDAJ	VYBER	15	67480	SLUZBY	\N	\N
610720	2079	1998-03-31	VYDAJ	VYBER	15	71164	SLUZBY	\N	\N
610721	2079	1998-04-30	VYDAJ	VYBER	15	69256	SLUZBY	\N	\N
610722	2079	1998-05-31	VYDAJ	VYBER	15	69346	SLUZBY	\N	\N
610723	2079	1998-06-30	VYDAJ	VYBER	15	64063	SLUZBY	\N	\N
610724	2079	1998-07-31	VYDAJ	VYBER	15	67431	SLUZBY	\N	\N
610725	2079	1998-08-31	VYDAJ	VYBER	15	68105	SLUZBY	\N	\N
610726	2079	1998-09-30	VYDAJ	VYBER	15	62363	SLUZBY	\N	\N
610727	2079	1998-10-31	VYDAJ	VYBER	15	55930	SLUZBY	\N	\N
610728	2079	1998-11-30	VYDAJ	VYBER	15	59254	SLUZBY	\N	\N
610729	2079	1997-10-06	PRIJEM	VKLAD	4600	22365	\N	\N	\N
610730	2079	1997-11-05	VYDAJ	VYBER	3100	36819	\N	\N	\N
610731	2079	1997-12-05	VYDAJ	VYBER	11200	43239	\N	\N	\N
610732	2079	1998-01-04	VYDAJ	VYBER	14000	55625	\N	\N	\N
610733	2079	1998-02-03	VYDAJ	VYBER	17500	49808	\N	\N	\N
610734	2079	1998-03-05	VYDAJ	VYBER	14000	53480	\N	\N	\N
610735	2079	1998-04-04	VYDAJ	VYBER	13700	57464	\N	\N	\N
610736	2079	1998-05-04	VYDAJ	VYBER	13800	55456	\N	\N	\N
610737	2079	1998-06-03	VYDAJ	VYBER	14600	54746	\N	\N	\N
610738	2079	1998-07-03	VYDAJ	VYBER	14300	49763	\N	\N	\N
610739	2079	1998-08-02	VYDAJ	VYBER	17000	50431	\N	\N	\N
610740	2079	1998-09-01	VYDAJ	VYBER	19100	49005	\N	\N	\N
610741	2079	1998-10-01	VYDAJ	VYBER	12300	50063	\N	\N	\N
610742	2079	1998-10-31	VYDAJ	VYBER	11800	55944	\N	\N	\N
610743	2079	1998-11-30	VYDAJ	VYBER	14300	59269	\N	\N	\N
610760	2080	1997-04-27	PRIJEM	VKLAD	400	400	\N	\N	\N
610765	2080	1997-05-07	PRIJEM	PREVOD Z UCTU	49313	49713	\N	EF	43858921
610766	2080	1997-06-07	PRIJEM	PREVOD Z UCTU	73970	112409	\N	EF	43858921
610767	2080	1997-07-07	PRIJEM	PREVOD Z UCTU	49313	108591	\N	EF	43858921
610768	2080	1997-08-07	PRIJEM	PREVOD Z UCTU	49313	107213	\N	EF	43858921
610769	2080	1997-09-07	PRIJEM	PREVOD Z UCTU	49313	86514	\N	EF	43858921
610770	2080	1997-10-07	PRIJEM	PREVOD Z UCTU	49313	95537	\N	EF	43858921
610771	2080	1997-11-07	PRIJEM	PREVOD Z UCTU	49313	101793	\N	EF	43858921
610772	2080	1997-12-07	PRIJEM	PREVOD Z UCTU	73970	130060	\N	EF	43858921
610773	2080	1998-01-07	PRIJEM	PREVOD Z UCTU	49313	92503	\N	EF	43858921
610774	2080	1998-02-07	PRIJEM	PREVOD Z UCTU	49313	92391	\N	EF	43858921
610775	2080	1998-03-07	PRIJEM	PREVOD Z UCTU	49313	94208	\N	EF	43858921
610776	2080	1998-04-07	PRIJEM	PREVOD Z UCTU	49313	99263	\N	EF	43858921
610777	2080	1998-05-07	PRIJEM	PREVOD Z UCTU	49313	95435	\N	EF	43858921
610778	2080	1998-06-07	PRIJEM	PREVOD Z UCTU	73970	116741	\N	EF	43858921
610779	2080	1998-07-07	PRIJEM	PREVOD Z UCTU	49313	93600	\N	EF	43858921
610780	2080	1998-08-07	PRIJEM	PREVOD Z UCTU	49313	72217	\N	EF	43858921
610781	2080	1998-09-07	PRIJEM	PREVOD Z UCTU	49313	91900	\N	EF	43858921
610782	2080	1998-10-07	PRIJEM	PREVOD Z UCTU	49313	93339	\N	EF	43858921
610783	2080	1998-11-07	PRIJEM	PREVOD Z UCTU	49313	93376	\N	EF	43858921
610784	2080	1998-12-07	PRIJEM	PREVOD Z UCTU	73970	105982	\N	EF	43858921
610793	2080	1997-09-12	VYDAJ	PREVOD NA UCET	5961	66925	UVER	UV	34001827
610794	2080	1997-10-12	VYDAJ	PREVOD NA UCET	5961	89576	UVER	UV	34001827
610795	2080	1997-11-12	VYDAJ	PREVOD NA UCET	5961	95832	UVER	UV	34001827
610796	2080	1997-12-12	VYDAJ	PREVOD NA UCET	5961	91099	UVER	UV	34001827
610797	2080	1998-01-12	VYDAJ	PREVOD NA UCET	5961	72914	UVER	UV	34001827
610798	2080	1998-02-12	VYDAJ	PREVOD NA UCET	5961	86430	UVER	UV	34001827
610799	2080	1998-03-12	VYDAJ	PREVOD NA UCET	5961	74619	UVER	UV	34001827
610800	2080	1998-04-12	VYDAJ	PREVOD NA UCET	5961	79674	UVER	UV	34001827
610801	2080	1998-05-12	VYDAJ	PREVOD NA UCET	5961	89474	UVER	UV	34001827
610802	2080	1998-06-12	VYDAJ	PREVOD NA UCET	5961	70980	UVER	UV	34001827
610803	2080	1998-07-12	VYDAJ	PREVOD NA UCET	5961	87639	UVER	UV	34001827
610804	2080	1998-08-12	VYDAJ	PREVOD NA UCET	5961	66256	UVER	UV	34001827
610805	2080	1998-09-12	VYDAJ	PREVOD NA UCET	5961	72311	UVER	UV	34001827
610806	2080	1998-10-12	VYDAJ	PREVOD NA UCET	5961	55974	UVER	UV	34001827
610807	2080	1998-11-12	VYDAJ	PREVOD NA UCET	5961	87415	UVER	UV	34001827
610808	2080	1998-12-12	VYDAJ	PREVOD NA UCET	5961	86393	UVER	UV	34001827
610817	2080	1997-09-12	VYDAJ	PREVOD NA UCET	13628	72886	SIPO	UV	62451505
610818	2080	1997-10-12	VYDAJ	PREVOD NA UCET	13628	75948	SIPO	UV	62451505
610819	2080	1997-11-12	VYDAJ	PREVOD NA UCET	13628	82204	SIPO	UV	62451505
610820	2080	1997-12-12	VYDAJ	PREVOD NA UCET	13628	77471	SIPO	UV	62451505
610821	2080	1998-01-12	VYDAJ	PREVOD NA UCET	13628	78875	SIPO	UV	62451505
610822	2080	1998-02-12	VYDAJ	PREVOD NA UCET	13628	72802	SIPO	UV	62451505
610823	2080	1998-03-12	VYDAJ	PREVOD NA UCET	13628	80580	SIPO	UV	62451505
610824	2080	1998-04-12	VYDAJ	PREVOD NA UCET	13628	85635	SIPO	UV	62451505
610825	2080	1998-05-12	VYDAJ	PREVOD NA UCET	13628	75846	SIPO	UV	62451505
610826	2080	1998-06-12	VYDAJ	PREVOD NA UCET	13628	57352	SIPO	UV	62451505
610827	2080	1998-07-12	VYDAJ	PREVOD NA UCET	13628	74011	SIPO	UV	62451505
610828	2080	1998-08-12	VYDAJ	PREVOD NA UCET	13628	52628	SIPO	UV	62451505
610829	2080	1998-09-12	VYDAJ	PREVOD NA UCET	13628	78272	SIPO	UV	62451505
610830	2080	1998-10-12	VYDAJ	PREVOD NA UCET	13628	61935	SIPO	UV	62451505
610831	2080	1998-11-12	VYDAJ	PREVOD NA UCET	13628	73787	SIPO	UV	62451505
610832	2080	1998-12-12	VYDAJ	PREVOD NA UCET	13628	92354	SIPO	UV	62451505
610833	2080	1997-11-22	VYBER	VYBER	4186	78018	\N	\N	\N
610836	2080	1998-10-11	VYBER	VYBER	17776	75563	\N	\N	\N
610837	2080	1998-11-25	VYBER	VYBER	18664	31823	\N	\N	\N
610838	2080	1998-09-26	VYBER	VYBER	7794	45917	\N	\N	\N
610839	2080	1998-02-24	VYBER	VYBER	4715	44687	\N	\N	\N
610840	2080	1998-05-14	VYBER	VYBER	13212	62634	\N	\N	\N
610841	2080	1998-07-24	VYBER	VYBER	13104	22707	\N	\N	\N
610848	2080	1998-01-18	VYDAJ	VYBER	3300	69614	\N	\N	\N
610849	2080	1998-01-20	VYDAJ	VYBER	1800	67814	\N	\N	\N
610850	2080	1998-01-03	VYDAJ	VYBER	5100	49790	\N	\N	\N
610851	2080	1998-01-05	VYDAJ	VYBER	3600	46190	\N	\N	\N
610852	2080	1998-01-22	VYDAJ	VYBER	7800	60014	\N	\N	\N
610853	2080	1998-01-06	VYDAJ	VYBER	3000	43190	\N	\N	\N
610859	2080	1998-07-22	VYDAJ	VYBER	12900	35811	\N	\N	\N
610860	2080	1998-09-28	VYDAJ	VYBER KARTOU	2100	43817	\N	\N	0
610861	2080	1998-05-06	VYDAJ	VYBER	7500	46122	\N	\N	\N
610871	2080	1997-09-30	VYDAJ	VYBER	15	46224	SLUZBY	\N	\N
610872	2080	1997-10-31	VYDAJ	VYBER	15	52480	SLUZBY	\N	\N
610873	2080	1997-11-30	VYDAJ	VYBER	15	56090	SLUZBY	\N	\N
610874	2080	1997-12-31	VYDAJ	VYBER	15	54890	SLUZBY	\N	\N
610875	2080	1998-01-31	VYDAJ	VYBER	15	43078	SLUZBY	\N	\N
610876	2080	1998-02-28	VYDAJ	VYBER	15	44895	SLUZBY	\N	\N
610877	2080	1998-03-31	VYDAJ	VYBER	15	49950	SLUZBY	\N	\N
610878	2080	1998-04-30	VYDAJ	VYBER	15	53622	SLUZBY	\N	\N
610879	2080	1998-05-31	VYDAJ	VYBER	15	42771	SLUZBY	\N	\N
610880	2080	1998-06-30	VYDAJ	VYBER	15	44287	SLUZBY	\N	\N
610881	2080	1998-07-31	VYDAJ	VYBER	15	22904	SLUZBY	\N	\N
610882	2080	1998-08-31	VYDAJ	VYBER	15	42587	SLUZBY	\N	\N
610883	2080	1998-09-30	VYDAJ	VYBER	15	44026	SLUZBY	\N	\N
610884	2080	1998-10-31	VYDAJ	VYBER	15	44063	SLUZBY	\N	\N
610885	2080	1998-11-30	VYDAJ	VYBER	15	32012	SLUZBY	\N	\N
610886	2080	1997-05-27	VYDAJ	VYBER	11300	38413	\N	\N	\N
610887	2080	1997-06-07	VYDAJ	VYBER	21900	90509	\N	\N	\N
610888	2080	1997-06-26	VYDAJ	VYBER	31600	58909	\N	\N	\N
610889	2080	1997-07-07	VYDAJ	VYBER	24300	84291	\N	\N	\N
610890	2080	1997-07-26	VYDAJ	VYBER	26700	57591	\N	\N	\N
610891	2080	1997-08-07	VYDAJ	VYBER	63100	44113	\N	\N	\N
610892	2080	1997-08-25	VYDAJ	VYBER	7100	37013	\N	\N	\N
610893	2080	1997-09-24	VYDAJ	VYBER	20900	46025	\N	\N	\N
610894	2080	1997-10-24	VYDAJ	VYBER	23700	52248	\N	\N	\N
610895	2080	1997-11-23	VYDAJ	VYBER	22200	55818	\N	\N	\N
610896	2080	1997-12-07	VYDAJ	VYBER	33000	97060	\N	\N	\N
610897	2080	1997-12-23	VYDAJ	VYBER	22900	54571	\N	\N	\N
610898	2080	1998-01-22	VYDAJ	VYBER	17200	42814	\N	\N	\N
610899	2080	1998-02-21	VYDAJ	VYBER	23400	49402	\N	\N	\N
610900	2080	1998-03-23	VYDAJ	VYBER	24900	49719	\N	\N	\N
610901	2080	1998-04-22	VYDAJ	VYBER	26300	53374	\N	\N	\N
610902	2080	1998-05-22	VYDAJ	VYBER	20100	42534	\N	\N	\N
610903	2080	1998-06-07	VYDAJ	VYBER	39800	76941	\N	\N	\N
610904	2080	1998-06-21	VYDAJ	VYBER	13300	44052	\N	\N	\N
610905	2080	1998-07-21	VYDAJ	VYBER	25300	48711	\N	\N	\N
610906	2080	1998-08-20	VYDAJ	VYBER	10200	42428	\N	\N	\N
610907	2080	1998-09-19	VYDAJ	VYBER	18600	53711	\N	\N	\N
610908	2080	1998-10-19	VYDAJ	VYBER	12100	43874	\N	\N	\N
610909	2080	1998-11-18	VYDAJ	VYBER	23300	50487	\N	\N	\N
610930	2081	1997-07-02	PRIJEM	VKLAD	600	600	\N	\N	\N
610937	2081	1997-07-11	PRIJEM	PREVOD Z UCTU	3042	3642	\N	MN	82685076
610938	2081	1997-08-11	PRIJEM	PREVOD Z UCTU	3042	16994	\N	MN	82685076
610939	2081	1997-09-11	PRIJEM	PREVOD Z UCTU	3042	22490	\N	MN	82685076
610940	2081	1997-10-11	PRIJEM	PREVOD Z UCTU	3042	25713	\N	MN	82685076
610941	2081	1997-11-11	PRIJEM	PREVOD Z UCTU	3042	29850	\N	MN	82685076
610942	2081	1997-12-11	PRIJEM	PREVOD Z UCTU	3042	33262	\N	MN	82685076
610943	2081	1998-01-11	PRIJEM	PREVOD Z UCTU	3042	30858	\N	MN	82685076
610944	2081	1998-02-11	PRIJEM	PREVOD Z UCTU	3042	29741	\N	MN	82685076
610945	2081	1998-03-11	PRIJEM	PREVOD Z UCTU	3042	31963	\N	MN	82685076
610946	2081	1998-04-11	PRIJEM	PREVOD Z UCTU	3042	27792	\N	MN	82685076
610947	2081	1998-05-11	PRIJEM	PREVOD Z UCTU	3042	26005	\N	MN	82685076
610948	2081	1998-06-11	PRIJEM	PREVOD Z UCTU	3042	24010	\N	MN	82685076
610949	2081	1998-07-11	PRIJEM	PREVOD Z UCTU	3042	22108	\N	MN	82685076
610950	2081	1998-08-11	PRIJEM	PREVOD Z UCTU	3042	24855	\N	MN	82685076
610951	2081	1998-09-11	PRIJEM	PREVOD Z UCTU	3042	24456	\N	MN	82685076
610952	2081	1998-10-11	PRIJEM	PREVOD Z UCTU	3042	24254	\N	MN	82685076
610953	2081	1998-11-11	PRIJEM	PREVOD Z UCTU	3042	19748	\N	MN	82685076
610954	2081	1998-12-11	PRIJEM	PREVOD Z UCTU	3042	15954	\N	MN	82685076
610966	2081	1997-12-07	VYDAJ	PREVOD NA UCET	2028	30220	SIPO	AB	25160008
610967	2081	1998-01-07	VYDAJ	PREVOD NA UCET	2028	27816	SIPO	AB	25160008
610968	2081	1998-02-07	VYDAJ	PREVOD NA UCET	2028	26699	SIPO	AB	25160008
610969	2081	1998-03-07	VYDAJ	PREVOD NA UCET	2028	28921	SIPO	AB	25160008
610970	2081	1998-04-07	VYDAJ	PREVOD NA UCET	2028	24750	SIPO	AB	25160008
610971	2081	1998-05-07	VYDAJ	PREVOD NA UCET	2028	22963	SIPO	AB	25160008
610972	2081	1998-06-07	VYDAJ	PREVOD NA UCET	2028	21688	SIPO	AB	25160008
610973	2081	1998-07-07	VYDAJ	PREVOD NA UCET	2028	19066	SIPO	AB	25160008
610974	2081	1998-08-07	VYDAJ	PREVOD NA UCET	2028	21813	SIPO	AB	25160008
610975	2081	1998-09-07	VYDAJ	PREVOD NA UCET	2028	21414	SIPO	AB	25160008
610976	2081	1998-10-07	VYDAJ	PREVOD NA UCET	2028	21212	SIPO	AB	25160008
610977	2081	1998-11-07	VYDAJ	PREVOD NA UCET	2028	16706	SIPO	AB	25160008
610978	2081	1998-12-07	VYDAJ	PREVOD NA UCET	2028	13782	SIPO	AB	25160008
610980	2081	1998-06-16	VYDAJ	VYBER	6090	17920	\N	\N	\N
610981	2081	1997-12-21	VYDAJ	VYBER	150	33112	\N	\N	\N
610982	2081	1998-12-07	VYDAJ	VYBER	870	12912	\N	\N	\N
610989	2081	1998-01-17	VYDAJ	VYBER	840	29658	\N	\N	\N
610990	2081	1998-01-04	VYDAJ	VYBER	420	31014	\N	\N	\N
610991	2081	1998-01-06	VYDAJ	VYBER	810	29844	\N	\N	\N
610992	2081	1998-01-05	VYDAJ	VYBER	360	30654	\N	\N	\N
610993	2081	1998-01-15	VYDAJ	VYBER	360	30498	\N	\N	\N
610994	2081	1998-01-30	VYDAJ	VYBER	810	29338	\N	\N	\N
611001	2081	1998-05-28	VYDAJ	VYBER	1380	24625	\N	\N	\N
611002	2081	1998-06-10	VYDAJ	VYBER	720	20968	\N	\N	\N
611003	2081	1998-01-24	VYDAJ	VYBER	1410	28248	\N	\N	\N
611004	2081	1998-07-13	VYDAJ	VYBER	1110	20998	\N	\N	\N
611005	2081	1998-01-30	VYDAJ	VYBER	720	28618	\N	\N	\N
611006	2081	1998-07-18	VYDAJ	VYBER	1230	19768	\N	\N	\N
611018	2081	1997-11-30	VYDAJ	VYBER	15	32248	SLUZBY	\N	\N
611019	2081	1997-12-31	VYDAJ	VYBER	15	31434	SLUZBY	\N	\N
611020	2081	1998-01-31	VYDAJ	VYBER	15	28727	SLUZBY	\N	\N
611021	2081	1998-02-28	VYDAJ	VYBER	15	30949	SLUZBY	\N	\N
611022	2081	1998-03-31	VYDAJ	VYBER	15	26778	SLUZBY	\N	\N
611023	2081	1998-04-30	VYDAJ	VYBER	15	24991	SLUZBY	\N	\N
611024	2081	1998-05-31	VYDAJ	VYBER	15	23716	SLUZBY	\N	\N
611025	2081	1998-06-30	VYDAJ	VYBER	15	21094	SLUZBY	\N	\N
611026	2081	1998-07-31	VYDAJ	VYBER	15	23841	SLUZBY	\N	\N
611027	2081	1998-08-31	VYDAJ	VYBER	15	23442	SLUZBY	\N	\N
611028	2081	1998-09-30	VYDAJ	VYBER	15	23240	SLUZBY	\N	\N
611029	2081	1998-10-31	VYDAJ	VYBER	15	18734	SLUZBY	\N	\N
611030	2081	1998-11-30	VYDAJ	VYBER	15	15810	SLUZBY	\N	\N
611031	2081	1997-08-01	PRIJEM	VKLAD	10300	13952	\N	\N	\N
611032	2081	1997-08-31	PRIJEM	VKLAD	2400	19394	\N	\N	\N
611033	2081	1997-09-30	PRIJEM	VKLAD	100	22590	\N	\N	\N
611034	2081	1997-10-30	PRIJEM	VKLAD	1000	26713	\N	\N	\N
611035	2081	1997-11-29	PRIJEM	VKLAD	2300	32150	\N	\N	\N
611036	2081	1997-12-29	VYDAJ	VYBER	1800	31312	\N	\N	\N
611037	2081	1998-01-28	PRIJEM	VKLAD	1900	30148	\N	\N	\N
611038	2081	1998-02-27	PRIJEM	VKLAD	1100	30841	\N	\N	\N
611039	2081	1998-03-29	VYDAJ	VYBER	5300	26663	\N	\N	\N
611040	2081	1998-04-28	VYDAJ	VYBER	2900	24892	\N	\N	\N
611041	2081	1998-05-28	VYDAJ	VYBER	1000	23625	\N	\N	\N
611042	2081	1998-06-27	PRIJEM	VKLAD	3100	21020	\N	\N	\N
611043	2081	1998-07-27	PRIJEM	VKLAD	4000	23768	\N	\N	\N
611044	2081	1998-08-26	VYDAJ	VYBER	1500	23355	\N	\N	\N
611045	2081	1998-09-25	VYDAJ	VYBER	1300	23156	\N	\N	\N
611046	2081	1998-10-25	VYDAJ	VYBER	5600	18654	\N	\N	\N
611047	2081	1998-11-24	VYDAJ	VYBER	4000	15748	\N	\N	\N
611066	2082	1993-09-03	PRIJEM	VKLAD	200	200	\N	\N	\N
611067	2082	1993-12-14	PRIJEM	VKLAD	49154	72082	\N	\N	\N
611071	2082	1993-09-10	PRIJEM	VKLAD	9321	9521	\N	\N	\N
611072	2082	1994-11-10	PRIJEM	VKLAD	8433	94859	\N	\N	\N
611073	2082	1994-06-27	PRIJEM	VKLAD	25709	88352	\N	\N	\N
611074	2082	1994-07-02	PRIJEM	VKLAD	44262	94235	\N	\N	\N
611075	2082	1994-07-16	PRIJEM	VKLAD	36437	122881	\N	\N	\N
611076	2082	1994-06-29	PRIJEM	VKLAD	35279	123631	\N	\N	\N
611077	2082	1994-04-14	PRIJEM	VKLAD	40780	103609	\N	\N	\N
611078	2082	1994-08-05	PRIJEM	VKLAD	31058	55953	\N	\N	\N
611079	2082	1994-09-01	PRIJEM	VKLAD	18020	76519	\N	\N	\N
611080	2082	1994-06-03	PRIJEM	VKLAD	8267	46003	\N	\N	\N
611081	2082	1994-05-19	PRIJEM	VKLAD	11293	49227	\N	\N	\N
611082	2082	1994-04-12	PRIJEM	VKLAD	23247	65433	\N	\N	\N
611083	2082	1994-04-19	PRIJEM	VKLAD	15790	103499	\N	\N	\N
611084	2082	1994-03-31	PRIJEM	VKLAD	15839	60118	\N	\N	\N
611085	2082	1994-03-18	PRIJEM	VKLAD	13210	44279	\N	\N	\N
611086	2082	1994-06-25	PRIJEM	VKLAD	29463	62643	\N	\N	\N
611087	2082	1994-09-29	PRIJEM	VKLAD	17464	65592	\N	\N	\N
611088	2082	1994-11-01	PRIJEM	VKLAD	37448	91613	\N	\N	\N
611089	2082	1994-08-07	PRIJEM	VKLAD	41628	97581	\N	\N	\N
611090	2082	1994-08-23	PRIJEM	VKLAD	5608	95398	\N	\N	\N
611091	2082	1994-12-20	PRIJEM	VKLAD	31149	54296	\N	\N	\N
611092	2082	1994-10-29	PRIJEM	VKLAD	11068	53930	\N	\N	\N
611093	2082	1995-03-01	PRIJEM	VKLAD	17157	75223	\N	\N	\N
611094	2082	1995-04-14	PRIJEM	VKLAD	14843	57603	\N	\N	\N
611095	2082	1995-09-06	PRIJEM	VKLAD	8313	68866	\N	\N	\N
611096	2082	1995-06-04	PRIJEM	VKLAD	10675	34443	\N	\N	\N
611097	2082	1995-03-03	PRIJEM	VKLAD	19683	94906	\N	\N	\N
611098	2082	1995-12-22	PRIJEM	VKLAD	13011	55507	\N	\N	\N
611099	2082	1995-08-21	PRIJEM	VKLAD	40736	109003	\N	\N	\N
611100	2082	1995-09-12	PRIJEM	VKLAD	22680	86359	\N	\N	\N
611101	2082	1995-07-14	PRIJEM	VKLAD	39535	56790	\N	\N	\N
611102	2082	1995-03-12	PRIJEM	VKLAD	27896	117615	\N	\N	\N
611103	2082	1995-11-11	PRIJEM	VKLAD	5637	28390	\N	\N	\N
611104	2082	1995-02-28	PRIJEM	VKLAD	30276	57947	\N	\N	\N
611105	2082	1995-08-05	PRIJEM	VKLAD	49226	82058	\N	\N	\N
611106	2082	1995-12-05	PRIJEM	VKLAD	37106	62587	\N	\N	\N
611107	2082	1995-04-17	PRIJEM	VKLAD	16506	74109	\N	\N	\N
611108	2082	1995-03-19	PRIJEM	VKLAD	19859	97970	\N	\N	\N
611109	2082	1995-01-04	PRIJEM	VKLAD	16345	41700	\N	\N	\N
611110	2082	1995-02-17	PRIJEM	VKLAD	18956	39071	\N	\N	\N
611111	2082	1996-08-29	PRIJEM	VKLAD	24395	46716	\N	\N	\N
611112	2082	1996-03-30	PRIJEM	VKLAD	26017	53762	\N	\N	\N
611113	2082	1996-05-01	PRIJEM	VKLAD	16889	45753	\N	\N	\N
611114	2082	1996-02-04	PRIJEM	VKLAD	13762	48489	\N	\N	\N
611115	2082	1996-04-14	PRIJEM	VKLAD	44343	65590	\N	\N	\N
611116	2082	1997-03-07	PRIJEM	VKLAD	28621	53536	\N	\N	\N
611117	2082	1997-06-22	PRIJEM	VKLAD	42341	74510	\N	\N	\N
611118	2082	1997-10-15	PRIJEM	VKLAD	24728	51720	\N	\N	\N
611119	2082	1997-01-13	PRIJEM	VKLAD	13829	26252	\N	\N	\N
611120	2082	1997-05-26	PRIJEM	VKLAD	6849	29957	\N	\N	\N
611121	2082	1997-10-10	PRIJEM	VKLAD	21518	33496	\N	\N	\N
611122	2082	1997-06-04	PRIJEM	VKLAD	18417	48460	\N	\N	\N
611123	2082	1998-08-20	PRIJEM	VKLAD	8633	27818	\N	\N	\N
611124	2082	1998-07-11	PRIJEM	VKLAD	45315	49172	\N	\N	\N
611125	2082	1998-11-24	PRIJEM	VKLAD	43496	48158	\N	\N	\N
611126	2082	1998-03-09	PRIJEM	VKLAD	32058	35326	\N	\N	\N
611142	2082	1994-04-13	VYDAJ	PREVOD NA UCET	822	62829	SIPO	CD	31757211
611143	2082	1994-05-13	VYDAJ	PREVOD NA UCET	822	37934	SIPO	CD	31757211
611144	2082	1994-06-13	VYDAJ	PREVOD NA UCET	822	38212	SIPO	CD	31757211
611145	2082	1994-07-13	VYDAJ	PREVOD NA UCET	822	86444	SIPO	CD	31757211
611146	2082	1994-08-13	VYDAJ	PREVOD NA UCET	822	89790	SIPO	CD	31757211
611147	2082	1994-09-13	VYDAJ	PREVOD NA UCET	822	68728	SIPO	CD	31757211
611148	2082	1994-10-13	VYDAJ	PREVOD NA UCET	822	58062	SIPO	CD	31757211
611149	2082	1994-11-13	VYDAJ	PREVOD NA UCET	822	92255	SIPO	CD	31757211
611150	2082	1994-12-13	VYDAJ	PREVOD NA UCET	822	44682	SIPO	CD	31757211
611151	2082	1995-01-13	VYDAJ	PREVOD NA UCET	822	25209	SIPO	CD	31757211
611152	2082	1995-02-13	VYDAJ	PREVOD NA UCET	822	20115	SIPO	CD	31757211
611153	2082	1995-03-13	VYDAJ	PREVOD NA UCET	822	78111	SIPO	CD	31757211
611154	2082	1995-04-13	VYDAJ	PREVOD NA UCET	822	42760	SIPO	CD	31757211
611155	2082	1995-05-13	VYDAJ	PREVOD NA UCET	822	44651	SIPO	CD	31757211
611156	2082	1995-06-13	VYDAJ	PREVOD NA UCET	822	26652	SIPO	CD	31757211
611157	2082	1995-07-13	VYDAJ	PREVOD NA UCET	822	17255	SIPO	CD	31757211
611158	2082	1995-08-13	VYDAJ	PREVOD NA UCET	822	74267	SIPO	CD	31757211
611159	2082	1995-09-13	VYDAJ	PREVOD NA UCET	822	83755	SIPO	CD	31757211
611160	2082	1995-10-13	VYDAJ	PREVOD NA UCET	822	47333	SIPO	CD	31757211
611161	2082	1995-11-13	VYDAJ	PREVOD NA UCET	822	25786	SIPO	CD	31757211
611162	2082	1995-12-13	VYDAJ	PREVOD NA UCET	822	52096	SIPO	CD	31757211
611163	2082	1996-01-13	VYDAJ	PREVOD NA UCET	822	36083	SIPO	CD	31757211
611164	2082	1996-02-13	VYDAJ	PREVOD NA UCET	822	40698	SIPO	CD	31757211
611165	2082	1996-03-13	VYDAJ	PREVOD NA UCET	822	24045	SIPO	CD	31757211
611166	2082	1996-04-13	VYDAJ	PREVOD NA UCET	822	21247	SIPO	CD	31757211
611167	2082	1996-05-13	VYDAJ	PREVOD NA UCET	822	15165	SIPO	CD	31757211
611168	2082	1996-06-13	VYDAJ	PREVOD NA UCET	822	16048	SIPO	CD	31757211
611169	2082	1996-07-13	VYDAJ	PREVOD NA UCET	822	17334	SIPO	CD	31757211
611170	2082	1996-08-13	VYDAJ	PREVOD NA UCET	822	15621	SIPO	CD	31757211
611171	2082	1996-09-13	VYDAJ	PREVOD NA UCET	822	39008	SIPO	CD	31757211
611172	2082	1996-10-13	VYDAJ	PREVOD NA UCET	822	20551	SIPO	CD	31757211
611173	2082	1996-11-13	VYDAJ	PREVOD NA UCET	822	15947	SIPO	CD	31757211
611174	2082	1996-12-13	VYDAJ	PREVOD NA UCET	822	13528	SIPO	CD	31757211
611175	2082	1997-01-13	VYDAJ	PREVOD NA UCET	822	25430	SIPO	CD	31757211
611176	2082	1997-02-13	VYDAJ	PREVOD NA UCET	822	20524	SIPO	CD	31757211
611177	2082	1997-03-13	VYDAJ	PREVOD NA UCET	822	45745	SIPO	CD	31757211
611178	2082	1997-04-13	VYDAJ	PREVOD NA UCET	822	27795	SIPO	CD	31757211
611179	2082	1997-05-13	VYDAJ	PREVOD NA UCET	822	17408	SIPO	CD	31757211
611180	2082	1997-06-13	VYDAJ	PREVOD NA UCET	822	40669	SIPO	CD	31757211
611181	2082	1997-07-13	VYDAJ	PREVOD NA UCET	822	66896	SIPO	CD	31757211
611182	2082	1997-08-13	VYDAJ	PREVOD NA UCET	822	22301	SIPO	CD	31757211
611183	2082	1997-09-13	VYDAJ	PREVOD NA UCET	822	17104	SIPO	CD	31757211
611184	2082	1997-10-13	VYDAJ	PREVOD NA UCET	822	26992	SIPO	CD	31757211
611185	2082	1997-11-13	VYDAJ	PREVOD NA UCET	822	32470	SIPO	CD	31757211
611186	2082	1997-12-13	VYDAJ	PREVOD NA UCET	822	18724	SIPO	CD	31757211
611187	2082	1998-01-13	VYDAJ	PREVOD NA UCET	822	11012	SIPO	CD	31757211
611188	2082	1998-02-13	VYDAJ	PREVOD NA UCET	822	3260	SIPO	CD	31757211
611189	2082	1998-03-13	VYDAJ	PREVOD NA UCET	822	21922	SIPO	CD	31757211
611190	2082	1998-04-13	VYDAJ	PREVOD NA UCET	822	14179	SIPO	CD	31757211
611191	2082	1998-05-13	VYDAJ	PREVOD NA UCET	822	6440	SIPO	CD	31757211
611192	2082	1998-06-13	VYDAJ	PREVOD NA UCET	822	3856	SIPO	CD	31757211
611193	2082	1998-07-13	VYDAJ	PREVOD NA UCET	822	46568	SIPO	CD	31757211
611194	2082	1998-08-13	VYDAJ	PREVOD NA UCET	822	19185	SIPO	CD	31757211
611195	2082	1998-09-13	VYDAJ	PREVOD NA UCET	822	20124	SIPO	CD	31757211
611196	2082	1998-10-13	VYDAJ	PREVOD NA UCET	822	12410	SIPO	CD	31757211
611197	2082	1998-11-13	VYDAJ	PREVOD NA UCET	822	4662	SIPO	CD	31757211
611198	2082	1998-12-13	VYDAJ	PREVOD NA UCET	822	19440	SIPO	CD	31757211
611214	2082	1994-04-12	VYDAJ	PREVOD NA UCET	1782	63651	 	CD	92538064
611215	2082	1994-05-12	VYDAJ	PREVOD NA UCET	1782	38756	 	CD	92538064
611216	2082	1994-06-12	VYDAJ	PREVOD NA UCET	1782	39034	 	CD	92538064
611217	2082	1994-07-12	VYDAJ	PREVOD NA UCET	1782	87266	 	CD	92538064
611218	2082	1994-08-12	VYDAJ	PREVOD NA UCET	1782	90612	 	CD	92538064
611219	2082	1994-09-12	VYDAJ	PREVOD NA UCET	1782	69550	 	CD	92538064
611220	2082	1994-10-12	VYDAJ	PREVOD NA UCET	1782	58884	 	CD	92538064
611221	2082	1994-11-12	VYDAJ	PREVOD NA UCET	1782	93077	 	CD	92538064
611222	2082	1994-12-12	VYDAJ	PREVOD NA UCET	1782	45504	 	CD	92538064
611223	2082	1995-01-12	VYDAJ	PREVOD NA UCET	1782	26031	 	CD	92538064
611224	2082	1995-02-12	VYDAJ	PREVOD NA UCET	1782	20937	 	CD	92538064
611225	2082	1995-03-12	VYDAJ	PREVOD NA UCET	1782	115833	 	CD	92538064
611226	2082	1995-04-12	VYDAJ	PREVOD NA UCET	1782	47518	 	CD	92538064
611227	2082	1995-05-12	VYDAJ	PREVOD NA UCET	1782	45473	 	CD	92538064
611228	2082	1995-06-12	VYDAJ	PREVOD NA UCET	1782	27474	 	CD	92538064
611229	2082	1995-07-12	VYDAJ	PREVOD NA UCET	1782	18077	 	CD	92538064
611230	2082	1995-08-12	VYDAJ	PREVOD NA UCET	1782	75089	 	CD	92538064
611231	2082	1995-09-12	VYDAJ	PREVOD NA UCET	1782	84577	 	CD	92538064
611232	2082	1995-10-12	VYDAJ	PREVOD NA UCET	1782	48155	 	CD	92538064
611233	2082	1995-11-12	VYDAJ	PREVOD NA UCET	1782	26608	 	CD	92538064
611234	2082	1995-12-12	VYDAJ	PREVOD NA UCET	1782	52918	 	CD	92538064
611235	2082	1996-01-12	VYDAJ	PREVOD NA UCET	1782	36905	 	CD	92538064
611236	2082	1996-02-12	VYDAJ	PREVOD NA UCET	1782	41520	 	CD	92538064
611237	2082	1996-03-12	VYDAJ	PREVOD NA UCET	1782	24867	 	CD	92538064
611238	2082	1996-04-12	VYDAJ	PREVOD NA UCET	1782	22069	 	CD	92538064
611239	2082	1996-05-12	VYDAJ	PREVOD NA UCET	1782	15987	 	CD	92538064
611240	2082	1996-06-12	VYDAJ	PREVOD NA UCET	1782	16870	 	CD	92538064
611241	2082	1996-07-12	VYDAJ	PREVOD NA UCET	1782	18156	 	CD	92538064
611242	2082	1996-08-12	VYDAJ	PREVOD NA UCET	1782	16443	 	CD	92538064
611243	2082	1996-09-12	VYDAJ	PREVOD NA UCET	1782	39830	 	CD	92538064
611244	2082	1996-10-12	VYDAJ	PREVOD NA UCET	1782	21373	 	CD	92538064
611245	2082	1996-11-12	VYDAJ	PREVOD NA UCET	1782	16769	 	CD	92538064
611246	2082	1996-12-12	VYDAJ	PREVOD NA UCET	1782	14350	 	CD	92538064
611247	2082	1997-01-12	VYDAJ	PREVOD NA UCET	1782	12423	 	CD	92538064
611248	2082	1997-02-12	VYDAJ	PREVOD NA UCET	1782	21346	 	CD	92538064
611249	2082	1997-03-12	VYDAJ	PREVOD NA UCET	1782	46567	 	CD	92538064
611250	2082	1997-04-12	VYDAJ	PREVOD NA UCET	1782	28617	 	CD	92538064
611251	2082	1997-05-12	VYDAJ	PREVOD NA UCET	1782	18230	 	CD	92538064
611252	2082	1997-06-12	VYDAJ	PREVOD NA UCET	1782	41491	 	CD	92538064
611253	2082	1997-07-12	VYDAJ	PREVOD NA UCET	1782	67718	 	CD	92538064
611254	2082	1997-08-12	VYDAJ	PREVOD NA UCET	1782	27523	 	CD	92538064
611255	2082	1997-09-12	VYDAJ	PREVOD NA UCET	1782	17926	 	CD	92538064
611256	2082	1997-10-12	VYDAJ	PREVOD NA UCET	1782	27814	 	CD	92538064
611257	2082	1997-11-12	VYDAJ	PREVOD NA UCET	1782	33292	 	CD	92538064
611258	2082	1997-12-12	VYDAJ	PREVOD NA UCET	1782	19546	 	CD	92538064
611259	2082	1998-01-12	VYDAJ	PREVOD NA UCET	1782	11834	 	CD	92538064
611260	2082	1998-02-12	VYDAJ	PREVOD NA UCET	1782	4082	 	CD	92538064
611261	2082	1998-03-12	VYDAJ	PREVOD NA UCET	1782	22744	 	CD	92538064
611262	2082	1998-04-12	VYDAJ	PREVOD NA UCET	1782	15001	 	CD	92538064
611263	2082	1998-05-12	VYDAJ	PREVOD NA UCET	1782	7262	 	CD	92538064
611264	2082	1998-06-12	VYDAJ	PREVOD NA UCET	1782	4678	 	CD	92538064
611265	2082	1998-07-12	VYDAJ	PREVOD NA UCET	1782	47390	 	CD	92538064
611266	2082	1998-08-12	VYDAJ	PREVOD NA UCET	1782	20007	 	CD	92538064
611267	2082	1998-09-12	VYDAJ	PREVOD NA UCET	1782	20946	 	CD	92538064
611268	2082	1998-10-12	VYDAJ	PREVOD NA UCET	1782	13232	 	CD	92538064
611269	2082	1998-11-12	VYDAJ	PREVOD NA UCET	1782	5484	 	CD	92538064
611270	2082	1998-12-12	VYDAJ	PREVOD NA UCET	1782	20262	 	CD	92538064
611287	2082	1994-05-07	VYDAJ	PREVOD NA UCET	5187	52238	POJISTNE	YZ	18167418
611288	2082	1994-06-07	VYDAJ	PREVOD NA UCET	5187	40816	POJISTNE	YZ	18167418
611289	2082	1994-07-07	VYDAJ	PREVOD NA UCET	5187	89048	POJISTNE	YZ	18167418
611290	2082	1994-08-07	VYDAJ	PREVOD NA UCET	5187	92394	POJISTNE	YZ	18167418
611291	2082	1994-09-07	VYDAJ	PREVOD NA UCET	5187	71332	POJISTNE	YZ	18167418
611292	2082	1994-10-07	VYDAJ	PREVOD NA UCET	5187	60666	POJISTNE	YZ	18167418
611293	2082	1994-11-07	VYDAJ	PREVOD NA UCET	5187	86426	POJISTNE	YZ	18167418
611294	2082	1994-12-07	VYDAJ	PREVOD NA UCET	5187	54186	POJISTNE	YZ	18167418
611295	2082	1995-01-07	VYDAJ	PREVOD NA UCET	5187	27813	POJISTNE	YZ	18167418
611296	2082	1995-02-07	VYDAJ	PREVOD NA UCET	5187	22719	POJISTNE	YZ	18167418
611297	2082	1995-03-07	VYDAJ	PREVOD NA UCET	5187	89719	POJISTNE	YZ	18167418
611298	2082	1995-04-07	VYDAJ	PREVOD NA UCET	5187	49300	POJISTNE	YZ	18167418
611299	2082	1995-05-07	VYDAJ	PREVOD NA UCET	5187	47255	POJISTNE	YZ	18167418
611300	2082	1995-06-07	VYDAJ	PREVOD NA UCET	5187	29256	POJISTNE	YZ	18167418
611301	2082	1995-07-07	VYDAJ	PREVOD NA UCET	5187	19859	POJISTNE	YZ	18167418
611302	2082	1995-08-07	VYDAJ	PREVOD NA UCET	5187	76871	POJISTNE	YZ	18167418
611303	2082	1995-09-07	VYDAJ	PREVOD NA UCET	5187	63679	POJISTNE	YZ	18167418
611304	2082	1995-10-07	VYDAJ	PREVOD NA UCET	5187	49937	POJISTNE	YZ	18167418
611305	2082	1995-11-07	VYDAJ	PREVOD NA UCET	5187	22753	POJISTNE	YZ	18167418
611306	2082	1995-12-07	VYDAJ	PREVOD NA UCET	5187	57400	POJISTNE	YZ	18167418
611307	2082	1996-01-07	VYDAJ	PREVOD NA UCET	5187	38687	POJISTNE	YZ	18167418
611308	2082	1996-02-07	VYDAJ	PREVOD NA UCET	5187	43302	POJISTNE	YZ	18167418
611309	2082	1996-03-07	VYDAJ	PREVOD NA UCET	5187	26649	POJISTNE	YZ	18167418
611310	2082	1996-04-07	VYDAJ	PREVOD NA UCET	5187	23851	POJISTNE	YZ	18167418
611311	2082	1996-05-07	VYDAJ	PREVOD NA UCET	5187	17769	POJISTNE	YZ	18167418
611312	2082	1996-06-07	VYDAJ	PREVOD NA UCET	5187	18652	POJISTNE	YZ	18167418
611313	2082	1996-07-07	VYDAJ	PREVOD NA UCET	5187	19938	POJISTNE	YZ	18167418
611314	2082	1996-08-07	VYDAJ	PREVOD NA UCET	5187	18225	POJISTNE	YZ	18167418
611315	2082	1996-09-07	VYDAJ	PREVOD NA UCET	5187	41612	POJISTNE	YZ	18167418
611316	2082	1996-10-07	VYDAJ	PREVOD NA UCET	5187	23155	POJISTNE	YZ	18167418
611317	2082	1996-11-07	VYDAJ	PREVOD NA UCET	5187	18551	POJISTNE	YZ	18167418
611318	2082	1996-12-07	VYDAJ	PREVOD NA UCET	5187	16132	POJISTNE	YZ	18167418
611319	2082	1997-01-07	VYDAJ	PREVOD NA UCET	5187	14205	POJISTNE	YZ	18167418
611320	2082	1997-02-07	VYDAJ	PREVOD NA UCET	5187	23128	POJISTNE	YZ	18167418
611321	2082	1997-03-07	VYDAJ	PREVOD NA UCET	5187	48349	POJISTNE	YZ	18167418
611322	2082	1997-04-07	VYDAJ	PREVOD NA UCET	5187	30399	POJISTNE	YZ	18167418
611323	2082	1997-05-07	VYDAJ	PREVOD NA UCET	5187	20012	POJISTNE	YZ	18167418
611324	2082	1997-06-07	VYDAJ	PREVOD NA UCET	5187	43273	POJISTNE	YZ	18167418
611325	2082	1997-07-07	VYDAJ	PREVOD NA UCET	5187	69500	POJISTNE	YZ	18167418
611326	2082	1997-08-07	VYDAJ	PREVOD NA UCET	5187	29305	POJISTNE	YZ	18167418
611327	2082	1997-09-07	VYDAJ	PREVOD NA UCET	5187	17208	POJISTNE	YZ	18167418
611328	2082	1997-10-07	VYDAJ	PREVOD NA UCET	5187	11978	POJISTNE	YZ	18167418
611329	2082	1997-11-07	VYDAJ	PREVOD NA UCET	5187	46674	POJISTNE	YZ	18167418
611330	2082	1997-12-07	VYDAJ	PREVOD NA UCET	5187	27428	POJISTNE	YZ	18167418
611331	2082	1998-01-07	VYDAJ	PREVOD NA UCET	5187	13616	POJISTNE	YZ	18167418
611332	2082	1998-02-07	VYDAJ	PREVOD NA UCET	5187	5864	POJISTNE	YZ	18167418
611334	2082	1998-04-07	VYDAJ	PREVOD NA UCET	5187	16783	POJISTNE	YZ	18167418
611335	2082	1998-05-07	VYDAJ	PREVOD NA UCET	5187	9044	POJISTNE	YZ	18167418
611338	2082	1998-08-07	VYDAJ	PREVOD NA UCET	5187	36989	POJISTNE	YZ	18167418
611339	2082	1998-09-07	VYDAJ	PREVOD NA UCET	5187	22728	POJISTNE	YZ	18167418
611340	2082	1998-10-07	VYDAJ	PREVOD NA UCET	5187	15014	POJISTNE	YZ	18167418
611341	2082	1998-11-07	VYDAJ	PREVOD NA UCET	5187	7266	POJISTNE	YZ	18167418
611342	2082	1998-12-07	VYDAJ	PREVOD NA UCET	5187	22044	POJISTNE	YZ	18167418
611346	2082	1994-06-29	VYBER	VYBER	13938	109693	\N	\N	\N
611347	2082	1994-06-22	VYBER	VYBER	5032	33180	\N	\N	\N
611348	2082	1994-12-14	VYBER	VYBER	21535	23147	\N	\N	\N
611349	2082	1994-07-28	VYBER	VYBER	16455	24673	\N	\N	\N
611351	2082	1994-12-21	VYBER	VYBER	18890	35406	\N	\N	\N
611353	2082	1994-07-18	VYBER	VYBER	8053	53728	\N	\N	\N
611355	2082	1995-10-24	VYBER	VYBER	4423	27770	\N	\N	\N
611356	2082	1995-10-23	VYBER	VYBER	12940	34393	\N	\N	\N
611358	2082	1995-04-13	VYBER	VYBER	3936	43582	\N	\N	\N
611359	2082	1995-05-24	VYBER	VYBER	19044	25607	\N	\N	\N
611362	2082	1996-04-30	VYBER	VYBER	20104	28878	\N	\N	\N
611364	2082	1996-05-07	VYBER	VYBER	22797	22956	\N	\N	\N
611367	2082	1996-04-02	VYBER	VYBER	24832	29038	\N	\N	\N
611369	2082	1996-10-25	VYBER	VYBER	4905	23646	\N	\N	\N
611385	2082	1998-12-01	VYBER	VYBER	20981	27231	\N	\N	\N
611387	2082	1994-12-23	VYDAJ	VYBER	8400	27006	\N	\N	\N
611388	2082	1995-12-11	VYDAJ	VYBER	2700	54700	\N	\N	\N
611397	2082	1994-07-23	VYDAJ	VYBER	6300	41128	\N	\N	\N
611398	2082	1994-04-23	VYDAJ	VYBER	12300	91199	\N	\N	\N
611399	2082	1994-05-07	VYDAJ	VYBER	11700	40538	\N	\N	\N
611400	2082	1994-12-10	VYDAJ	VYBER	6900	47286	\N	\N	\N
611401	2082	1994-07-19	VYDAJ	VYBER	6300	47428	\N	\N	\N
611402	2082	1995-01-04	VYDAJ	VYBER	8700	33000	\N	\N	\N
611403	2082	1995-07-26	VYDAJ	VYBER	10800	32690	\N	\N	\N
611405	2082	1995-08-18	VYDAJ	VYBER	6000	68267	\N	\N	\N
611406	2082	1995-03-22	VYDAJ	VYBER	1800	84770	\N	\N	\N
611407	2082	1995-12-18	VYDAJ	VYBER	9600	42496	\N	\N	\N
611408	2082	1995-02-25	VYDAJ	VYBER	12900	27671	\N	\N	\N
611409	2082	1995-03-21	VYDAJ	VYBER	11400	86570	\N	\N	\N
611410	2082	1996-09-15	VYDAJ	VYBER	12600	26408	\N	\N	\N
611416	2082	1997-03-18	VYDAJ	VYBER	3000	35445	\N	\N	\N
611417	2082	1997-07-15	VYDAJ	VYBER	10800	34296	\N	\N	\N
611418	2082	1998-07-26	VYDAJ	VYBER	4500	42068	\N	\N	\N
611436	2082	1994-04-30	VYDAJ	VYBER	15	91525	SLUZBY	\N	\N
611437	2082	1994-05-31	VYDAJ	VYBER	15	37736	SLUZBY	\N	\N
611438	2082	1994-06-30	VYDAJ	VYBER	15	49973	SLUZBY	\N	\N
611439	2082	1994-07-31	VYDAJ	VYBER	15	24895	SLUZBY	\N	\N
611440	2082	1994-08-31	VYDAJ	VYBER	15	58499	SLUZBY	\N	\N
611441	2082	1994-09-30	VYDAJ	VYBER	15	65853	SLUZBY	\N	\N
611442	2082	1994-10-31	VYDAJ	VYBER	15	54165	SLUZBY	\N	\N
611443	2082	1994-11-30	VYDAJ	VYBER	15	59373	SLUZBY	\N	\N
611444	2082	1994-12-31	VYDAJ	VYBER	15	25355	SLUZBY	\N	\N
611445	2082	1995-01-31	VYDAJ	VYBER	15	27906	SLUZBY	\N	\N
611446	2082	1995-02-28	VYDAJ	VYBER	15	58066	SLUZBY	\N	\N
611447	2082	1995-03-31	VYDAJ	VYBER	15	54487	SLUZBY	\N	\N
611448	2082	1995-04-30	VYDAJ	VYBER	15	52442	SLUZBY	\N	\N
611449	2082	1995-05-31	VYDAJ	VYBER	15	23768	SLUZBY	\N	\N
611450	2082	1995-06-30	VYDAJ	VYBER	15	25046	SLUZBY	\N	\N
611451	2082	1995-07-31	VYDAJ	VYBER	15	32832	SLUZBY	\N	\N
611452	2082	1995-08-31	VYDAJ	VYBER	15	60553	SLUZBY	\N	\N
611453	2082	1995-09-30	VYDAJ	VYBER	15	55124	SLUZBY	\N	\N
611454	2082	1995-10-31	VYDAJ	VYBER	15	27940	SLUZBY	\N	\N
611455	2082	1995-11-30	VYDAJ	VYBER	15	25481	SLUZBY	\N	\N
611456	2082	1995-12-31	VYDAJ	VYBER	15	43874	SLUZBY	\N	\N
611457	2082	1996-01-31	VYDAJ	VYBER	15	34727	SLUZBY	\N	\N
611458	2082	1996-02-29	VYDAJ	VYBER	15	31836	SLUZBY	\N	\N
611459	2082	1996-03-31	VYDAJ	VYBER	15	53870	SLUZBY	\N	\N
611460	2082	1996-04-30	VYDAJ	VYBER	15	28864	SLUZBY	\N	\N
611461	2082	1996-05-31	VYDAJ	VYBER	15	23839	SLUZBY	\N	\N
611462	2082	1996-06-30	VYDAJ	VYBER	15	25125	SLUZBY	\N	\N
611463	2082	1996-07-31	VYDAJ	VYBER	15	23412	SLUZBY	\N	\N
611464	2082	1996-08-31	VYDAJ	VYBER	15	46799	SLUZBY	\N	\N
611465	2082	1996-09-30	VYDAJ	VYBER	15	28342	SLUZBY	\N	\N
611466	2082	1996-10-31	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
611467	2082	1996-11-30	VYDAJ	VYBER	15	21319	SLUZBY	\N	\N
611468	2082	1996-12-31	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
611469	2082	1997-01-31	VYDAJ	VYBER	15	28315	SLUZBY	\N	\N
611470	2082	1997-02-28	VYDAJ	VYBER	15	24915	SLUZBY	\N	\N
611471	2082	1997-03-31	VYDAJ	VYBER	15	35586	SLUZBY	\N	\N
611472	2082	1997-04-30	VYDAJ	VYBER	15	25199	SLUZBY	\N	\N
611473	2082	1997-05-31	VYDAJ	VYBER	15	30043	SLUZBY	\N	\N
611474	2082	1997-06-30	VYDAJ	VYBER	15	74687	SLUZBY	\N	\N
611475	2082	1997-07-31	VYDAJ	VYBER	15	34492	SLUZBY	\N	\N
611476	2082	1997-08-31	VYDAJ	VYBER	15	22395	SLUZBY	\N	\N
611477	2082	1997-09-30	VYDAJ	VYBER	15	17165	SLUZBY	\N	\N
611478	2082	1997-10-31	VYDAJ	VYBER	15	51861	SLUZBY	\N	\N
611479	2082	1997-11-30	VYDAJ	VYBER	15	32615	SLUZBY	\N	\N
611480	2082	1997-12-31	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
611481	2082	1998-01-31	VYDAJ	VYBER	15	11051	SLUZBY	\N	\N
611482	2082	1998-02-28	VYDAJ	VYBER	15	3268	SLUZBY	\N	\N
611483	2082	1998-03-31	VYDAJ	VYBER	15	21970	SLUZBY	\N	\N
611484	2082	1998-04-30	VYDAJ	VYBER	15	14231	SLUZBY	\N	\N
611485	2082	1998-05-31	VYDAJ	VYBER	15	6460	SLUZBY	\N	\N
611486	2082	1998-06-30	VYDAJ	VYBER	15	3857	SLUZBY	\N	\N
611487	2082	1998-07-31	VYDAJ	VYBER	15	42176	SLUZBY	\N	\N
611488	2082	1998-08-31	VYDAJ	VYBER	15	27915	SLUZBY	\N	\N
611489	2082	1998-09-30	VYDAJ	VYBER	15	20201	SLUZBY	\N	\N
611490	2082	1998-10-31	VYDAJ	VYBER	15	12453	SLUZBY	\N	\N
611491	2082	1998-11-30	VYDAJ	VYBER	15	48212	SLUZBY	\N	\N
611492	2082	1993-10-03	PRIJEM	VKLAD	5700	15249	\N	\N	\N
611493	2082	1993-11-02	PRIJEM	VKLAD	6700	21988	\N	\N	\N
611494	2082	1993-12-02	PRIJEM	VKLAD	900	22928	\N	\N	\N
611495	2082	1994-01-01	VYDAJ	VYBER	23100	49173	\N	\N	\N
611496	2082	1994-01-31	VYDAJ	VYBER	13000	36469	\N	\N	\N
611497	2082	1994-03-02	VYDAJ	VYBER	5400	31069	\N	\N	\N
611498	2082	1994-04-01	VYDAJ	VYBER	18100	42186	\N	\N	\N
611499	2082	1994-04-14	VYDAJ	VYBER	15900	87709	\N	\N	\N
611500	2082	1994-05-01	VYDAJ	VYBER	34100	57425	\N	\N	\N
611501	2082	1994-05-31	VYDAJ	VYBER	11700	37750	\N	\N	\N
611502	2082	1994-06-29	VYDAJ	VYBER	40100	69593	\N	\N	\N
611503	2082	1994-06-30	VYDAJ	VYBER	19800	49988	\N	\N	\N
611504	2082	1994-07-16	VYDAJ	VYBER	61100	61781	\N	\N	\N
611505	2082	1994-08-29	VYDAJ	VYBER	37200	58198	\N	\N	\N
611506	2082	1994-09-28	VYDAJ	VYBER	20600	48128	\N	\N	\N
611507	2082	1994-10-28	VYDAJ	VYBER	15200	42862	\N	\N	\N
611508	2082	1994-11-27	VYDAJ	VYBER	33200	59055	\N	\N	\N
611509	2082	1994-12-27	VYDAJ	VYBER	1800	25206	\N	\N	\N
611510	2082	1995-01-26	PRIJEM	VKLAD	2600	27809	\N	\N	\N
611511	2082	1995-02-25	PRIJEM	VKLAD	1500	40571	\N	\N	\N
611512	2082	1995-03-12	VYDAJ	VYBER	36900	78933	\N	\N	\N
611513	2082	1995-03-27	VYDAJ	VYBER	30600	54170	\N	\N	\N
611514	2082	1995-04-26	VYDAJ	VYBER	21900	52209	\N	\N	\N
611515	2082	1995-05-26	VYDAJ	VYBER	2000	23607	\N	\N	\N
611516	2082	1995-06-25	VYDAJ	VYBER	1700	24952	\N	\N	\N
611517	2082	1995-07-25	VYDAJ	VYBER	13300	43490	\N	\N	\N
611518	2082	1995-08-21	VYDAJ	VYBER	22900	86103	\N	\N	\N
611519	2082	1995-08-24	VYDAJ	VYBER	25800	60303	\N	\N	\N
611520	2082	1995-09-23	VYDAJ	VYBER	28900	54855	\N	\N	\N
611521	2082	1995-10-23	VYDAJ	VYBER	2200	32193	\N	\N	\N
611522	2082	1995-11-22	VYDAJ	VYBER	400	25386	\N	\N	\N
611523	2082	1995-12-22	VYDAJ	VYBER	11800	43707	\N	\N	\N
611524	2082	1996-01-21	VYDAJ	VYBER	1500	34583	\N	\N	\N
611525	2082	1996-02-20	VYDAJ	VYBER	9000	31698	\N	\N	\N
611526	2082	1996-03-21	PRIJEM	VKLAD	3700	27745	\N	\N	\N
611527	2082	1996-04-20	VYDAJ	VYBER	16800	48790	\N	\N	\N
611528	2082	1996-05-20	PRIJEM	VKLAD	8600	23765	\N	\N	\N
611529	2082	1996-06-19	PRIJEM	VKLAD	9000	25048	\N	\N	\N
611530	2082	1996-07-19	PRIJEM	VKLAD	6000	23334	\N	\N	\N
611531	2082	1996-08-18	PRIJEM	VKLAD	6700	22321	\N	\N	\N
611532	2082	1996-09-17	PRIJEM	VKLAD	1800	28208	\N	\N	\N
611533	2082	1996-10-17	PRIJEM	VKLAD	8000	28551	\N	\N	\N
611534	2082	1996-11-16	PRIJEM	VKLAD	5300	21247	\N	\N	\N
611535	2082	1996-12-16	PRIJEM	VKLAD	5800	19328	\N	\N	\N
611536	2082	1997-01-15	PRIJEM	VKLAD	2800	28230	\N	\N	\N
611537	2082	1997-02-14	PRIJEM	VKLAD	4300	24824	\N	\N	\N
611538	2082	1997-03-16	VYDAJ	VYBER	7300	38445	\N	\N	\N
611539	2082	1997-04-15	VYDAJ	VYBER	2700	25095	\N	\N	\N
611540	2082	1997-05-15	PRIJEM	VKLAD	5700	23108	\N	\N	\N
611541	2082	1997-06-14	VYDAJ	VYBER	8500	32169	\N	\N	\N
611542	2082	1997-07-14	VYDAJ	VYBER	21800	45096	\N	\N	\N
611543	2082	1997-08-13	VYDAJ	VYBER	4400	23123	\N	\N	\N
611544	2082	1997-09-12	PRIJEM	VKLAD	2500	19708	\N	\N	\N
611545	2082	1997-10-12	VYDAJ	VYBER	3900	29596	\N	\N	\N
611546	2082	1997-11-11	VYDAJ	VYBER	11600	35074	\N	\N	\N
611547	2082	1997-12-11	VYDAJ	VYBER	6100	21328	\N	\N	\N
611548	2082	1998-03-11	VYDAJ	VYBER	10800	24526	\N	\N	\N
611549	2082	1998-08-08	VYDAJ	VYBER	15200	21789	\N	\N	\N
611618	2083	1996-09-28	PRIJEM	VKLAD	300	300	\N	\N	\N
611628	2083	1996-10-13	PRIJEM	VKLAD	23981	24281	\N	\N	\N
611629	2083	1996-11-13	PRIJEM	VKLAD	23981	47775	\N	\N	\N
611630	2083	1996-12-13	PRIJEM	VKLAD	35972	71852	\N	\N	\N
611631	2083	1997-01-13	PRIJEM	VKLAD	23981	73691	\N	\N	\N
611632	2083	1997-02-13	PRIJEM	VKLAD	23981	72578	\N	\N	\N
611633	2083	1997-03-13	PRIJEM	VKLAD	23981	60962	\N	\N	\N
611634	2083	1997-04-13	PRIJEM	VKLAD	23981	52659	\N	\N	\N
611635	2083	1997-05-13	PRIJEM	VKLAD	23981	48523	\N	\N	\N
611636	2083	1997-06-13	PRIJEM	VKLAD	35972	57359	\N	\N	\N
611637	2083	1997-07-13	PRIJEM	VKLAD	23981	33183	\N	\N	\N
611638	2083	1997-08-13	PRIJEM	VKLAD	23981	33213	\N	\N	\N
611639	2083	1997-09-13	PRIJEM	VKLAD	23981	38099	\N	\N	\N
611640	2083	1997-10-13	PRIJEM	VKLAD	23981	36961	\N	\N	\N
611641	2083	1997-11-13	PRIJEM	VKLAD	23981	35558	\N	\N	\N
611642	2083	1997-12-13	PRIJEM	VKLAD	35972	42515	\N	\N	\N
611643	2083	1998-01-13	PRIJEM	VKLAD	23981	39808	\N	\N	\N
611644	2083	1998-02-13	PRIJEM	VKLAD	23981	41111	\N	\N	\N
611645	2083	1998-03-13	PRIJEM	VKLAD	23981	44121	\N	\N	\N
611646	2083	1998-04-13	PRIJEM	VKLAD	23981	45244	\N	\N	\N
611647	2083	1998-05-13	PRIJEM	VKLAD	23981	38240	\N	\N	\N
611648	2083	1998-06-13	PRIJEM	VKLAD	35972	48823	\N	\N	\N
611649	2083	1998-07-13	PRIJEM	VKLAD	23981	44533	\N	\N	\N
611650	2083	1998-08-13	PRIJEM	VKLAD	23981	40645	\N	\N	\N
611651	2083	1998-09-13	PRIJEM	VKLAD	23981	33841	\N	\N	\N
611652	2083	1998-10-13	PRIJEM	VKLAD	23981	38124	\N	\N	\N
611653	2083	1998-11-13	PRIJEM	VKLAD	23981	36708	\N	\N	\N
611654	2083	1998-12-13	PRIJEM	VKLAD	35972	47977	\N	\N	\N
611669	2083	1997-03-12	VYDAJ	PREVOD NA UCET	8282	36981	SIPO	WX	89846694
611670	2083	1997-04-12	VYDAJ	PREVOD NA UCET	8282	28678	SIPO	WX	89846694
611671	2083	1997-05-12	VYDAJ	PREVOD NA UCET	8282	24542	SIPO	WX	89846694
611672	2083	1997-06-12	VYDAJ	PREVOD NA UCET	8282	21388	SIPO	WX	89846694
611673	2083	1997-07-12	VYDAJ	PREVOD NA UCET	8282	9202	SIPO	WX	89846694
611674	2083	1997-08-12	VYDAJ	PREVOD NA UCET	8282	9232	SIPO	WX	89846694
611675	2083	1997-09-12	VYDAJ	PREVOD NA UCET	8282	14118	SIPO	WX	89846694
611676	2083	1997-10-12	VYDAJ	PREVOD NA UCET	8282	12980	SIPO	WX	89846694
611677	2083	1997-11-12	VYDAJ	PREVOD NA UCET	8282	11577	SIPO	WX	89846694
611678	2083	1997-12-12	VYDAJ	PREVOD NA UCET	8282	6544	SIPO	WX	89846694
611679	2083	1998-01-12	VYDAJ	PREVOD NA UCET	8282	15827	SIPO	WX	89846694
611680	2083	1998-02-12	VYDAJ	PREVOD NA UCET	8282	17130	SIPO	WX	89846694
611681	2083	1998-03-12	VYDAJ	PREVOD NA UCET	8282	20140	SIPO	WX	89846694
611682	2083	1998-04-12	VYDAJ	PREVOD NA UCET	8282	21263	SIPO	WX	89846694
611683	2083	1998-05-12	VYDAJ	PREVOD NA UCET	8282	14259	SIPO	WX	89846694
611684	2083	1998-06-12	VYDAJ	PREVOD NA UCET	8282	12851	SIPO	WX	89846694
611685	2083	1998-07-12	VYDAJ	PREVOD NA UCET	8282	20552	SIPO	WX	89846694
611686	2083	1998-08-12	VYDAJ	PREVOD NA UCET	8282	16664	SIPO	WX	89846694
611687	2083	1998-09-12	VYDAJ	PREVOD NA UCET	8282	9860	SIPO	WX	89846694
611688	2083	1998-10-12	VYDAJ	PREVOD NA UCET	8282	14143	SIPO	WX	89846694
611689	2083	1998-11-12	VYDAJ	PREVOD NA UCET	8282	12727	SIPO	WX	89846694
611690	2083	1998-12-12	VYDAJ	PREVOD NA UCET	8282	12006	SIPO	WX	89846694
611692	2083	1997-06-13	VYDAJ	VYBER	36320	21039	\N	\N	\N
611698	2083	1997-12-06	VYDAJ	VYBER	1760	14826	\N	\N	\N
611699	2083	1998-12-20	VYDAJ	VYBER	3840	21537	\N	\N	\N
611704	2083	1997-08-03	VYDAJ	VYBER	4560	17514	\N	\N	\N
611705	2083	1997-11-29	VYDAJ	VYBER	5160	16498	\N	\N	\N
611706	2083	1997-08-01	VYDAJ	VYBER	3600	22074	\N	\N	\N
611707	2083	1997-10-03	VYDAJ	VYBER	3840	21262	\N	\N	\N
611708	2083	1998-09-02	VYDAJ	VYBER	4200	18142	\N	\N	\N
611709	2083	1998-04-23	VYDAJ	VYBER	4920	22424	\N	\N	\N
611710	2083	1998-12-23	VYDAJ	VYBER	3720	17817	\N	\N	\N
611725	2083	1997-02-28	VYDAJ	VYBER	15	45263	SLUZBY	\N	\N
611726	2083	1997-03-31	VYDAJ	VYBER	15	36960	SLUZBY	\N	\N
611727	2083	1997-04-30	VYDAJ	VYBER	15	32824	SLUZBY	\N	\N
611728	2083	1997-05-31	VYDAJ	VYBER	15	29670	SLUZBY	\N	\N
611729	2083	1997-06-30	VYDAJ	VYBER	15	17484	SLUZBY	\N	\N
611730	2083	1997-07-31	VYDAJ	VYBER	15	25674	SLUZBY	\N	\N
611731	2083	1997-08-31	VYDAJ	VYBER	15	22400	SLUZBY	\N	\N
611732	2083	1997-09-30	VYDAJ	VYBER	15	25102	SLUZBY	\N	\N
611733	2083	1997-10-31	VYDAJ	VYBER	15	19859	SLUZBY	\N	\N
611734	2083	1997-11-30	VYDAJ	VYBER	15	16586	SLUZBY	\N	\N
611735	2083	1997-12-31	VYDAJ	VYBER	15	24109	SLUZBY	\N	\N
611736	2083	1998-01-31	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
611737	2083	1998-02-28	VYDAJ	VYBER	15	28422	SLUZBY	\N	\N
611738	2083	1998-03-31	VYDAJ	VYBER	15	29545	SLUZBY	\N	\N
611739	2083	1998-04-30	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
611740	2083	1998-05-31	VYDAJ	VYBER	15	21133	SLUZBY	\N	\N
611741	2083	1998-06-30	VYDAJ	VYBER	15	28834	SLUZBY	\N	\N
611742	2083	1998-07-31	VYDAJ	VYBER	15	24946	SLUZBY	\N	\N
611743	2083	1998-08-31	VYDAJ	VYBER	15	22342	SLUZBY	\N	\N
611744	2083	1998-09-30	VYDAJ	VYBER	15	22425	SLUZBY	\N	\N
611745	2083	1998-10-31	VYDAJ	VYBER	15	21009	SLUZBY	\N	\N
611746	2083	1998-11-30	VYDAJ	VYBER	15	20288	SLUZBY	\N	\N
611747	2083	1996-10-28	VYDAJ	VYBER	500	23781	\N	\N	\N
611748	2083	1996-11-27	VYDAJ	VYBER	12000	35775	\N	\N	\N
611749	2083	1996-12-27	VYDAJ	VYBER	22300	49552	\N	\N	\N
611750	2083	1997-01-26	VYDAJ	VYBER	25300	48391	\N	\N	\N
611751	2083	1997-02-25	VYDAJ	VYBER	27500	45078	\N	\N	\N
611752	2083	1997-03-27	VYDAJ	VYBER	24200	36762	\N	\N	\N
611753	2083	1997-04-26	VYDAJ	VYBER	20000	32659	\N	\N	\N
611754	2083	1997-05-26	VYDAJ	VYBER	19000	29523	\N	\N	\N
611755	2083	1997-06-25	VYDAJ	VYBER	3700	17339	\N	\N	\N
611756	2083	1997-07-25	VYDAJ	VYBER	7600	25583	\N	\N	\N
611757	2083	1997-08-24	VYDAJ	VYBER	10900	22313	\N	\N	\N
611758	2083	1997-09-23	VYDAJ	VYBER	13100	24999	\N	\N	\N
611759	2083	1997-10-23	VYDAJ	VYBER	17200	19761	\N	\N	\N
611760	2083	1997-11-22	VYDAJ	VYBER	13900	21658	\N	\N	\N
611761	2083	1997-12-22	VYDAJ	VYBER	18500	24015	\N	\N	\N
611762	2083	1998-01-21	VYDAJ	VYBER	14500	25308	\N	\N	\N
611763	2083	1998-02-20	VYDAJ	VYBER	12800	28311	\N	\N	\N
611764	2083	1998-03-22	VYDAJ	VYBER	14700	29421	\N	\N	\N
611765	2083	1998-04-21	VYDAJ	VYBER	17900	27344	\N	\N	\N
611766	2083	1998-05-21	VYDAJ	VYBER	17200	21040	\N	\N	\N
611767	2083	1998-06-20	VYDAJ	VYBER	20100	28723	\N	\N	\N
611768	2083	1998-07-20	VYDAJ	VYBER	19700	24833	\N	\N	\N
611769	2083	1998-08-19	VYDAJ	VYBER	18400	22245	\N	\N	\N
611770	2083	1998-09-18	VYDAJ	VYBER	11500	22341	\N	\N	\N
611771	2083	1998-10-18	VYDAJ	VYBER	17200	20924	\N	\N	\N
611772	2083	1998-11-17	VYDAJ	VYBER	16500	20208	\N	\N	\N
611773	2083	1998-12-17	VYDAJ	VYBER	22600	25377	\N	\N	\N
611801	2084	1996-09-08	PRIJEM	VKLAD	900	900	\N	\N	\N
611810	2084	1996-09-13	PRIJEM	VKLAD	20290	21190	\N	\N	\N
611811	2084	1996-10-13	PRIJEM	VKLAD	20290	43233	\N	\N	\N
611812	2084	1996-11-13	PRIJEM	VKLAD	20290	53168	\N	\N	\N
611813	2084	1996-12-13	PRIJEM	VKLAD	30435	72008	\N	\N	\N
611814	2084	1997-01-13	PRIJEM	VKLAD	20290	71967	\N	\N	\N
611815	2084	1997-02-13	PRIJEM	VKLAD	20290	64666	\N	\N	\N
611816	2084	1997-03-13	PRIJEM	VKLAD	20290	65752	\N	\N	\N
611817	2084	1997-04-13	PRIJEM	VKLAD	20290	64417	\N	\N	\N
611818	2084	1997-05-13	PRIJEM	VKLAD	20290	61894	\N	\N	\N
611819	2084	1997-06-13	PRIJEM	VKLAD	30435	47714	\N	\N	\N
611820	2084	1997-07-13	PRIJEM	VKLAD	20290	56611	\N	\N	\N
611821	2084	1997-08-13	PRIJEM	VKLAD	20290	59249	\N	\N	\N
611822	2084	1997-09-13	PRIJEM	VKLAD	20290	61806	\N	\N	\N
611823	2084	1997-10-13	PRIJEM	VKLAD	20290	61072	\N	\N	\N
611824	2084	1997-11-13	PRIJEM	VKLAD	20290	64325	\N	\N	\N
611825	2084	1997-12-13	PRIJEM	VKLAD	30435	76146	\N	\N	\N
611826	2084	1998-01-13	PRIJEM	VKLAD	20290	71749	\N	\N	\N
611827	2084	1998-02-13	PRIJEM	VKLAD	20290	61515	\N	\N	\N
611828	2084	1998-03-13	PRIJEM	VKLAD	20290	61695	\N	\N	\N
611829	2084	1998-04-13	PRIJEM	VKLAD	20290	68658	\N	\N	\N
611830	2084	1998-05-13	PRIJEM	VKLAD	20290	71448	\N	\N	\N
611831	2084	1998-06-13	PRIJEM	VKLAD	30435	75811	\N	\N	\N
611832	2084	1998-07-13	PRIJEM	VKLAD	20290	59617	\N	\N	\N
611833	2084	1998-08-13	PRIJEM	VKLAD	20290	63958	\N	\N	\N
611834	2084	1998-09-13	PRIJEM	VKLAD	20290	69715	\N	\N	\N
611835	2084	1998-10-13	PRIJEM	VKLAD	20290	73795	\N	\N	\N
611836	2084	1998-11-13	PRIJEM	VKLAD	20290	76390	\N	\N	\N
611837	2084	1998-12-13	PRIJEM	VKLAD	30435	84641	\N	\N	\N
611851	2084	1997-02-10	VYDAJ	PREVOD NA UCET	4554	44376	SIPO	YZ	30369031
611852	2084	1997-03-10	VYDAJ	PREVOD NA UCET	4554	45462	SIPO	YZ	30369031
611853	2084	1997-04-10	VYDAJ	PREVOD NA UCET	4554	44127	SIPO	YZ	30369031
611854	2084	1997-05-10	VYDAJ	PREVOD NA UCET	4554	41604	SIPO	YZ	30369031
611855	2084	1997-06-10	VYDAJ	PREVOD NA UCET	4554	17279	SIPO	YZ	30369031
611856	2084	1997-07-10	VYDAJ	PREVOD NA UCET	4554	36321	SIPO	YZ	30369031
611857	2084	1997-08-10	VYDAJ	PREVOD NA UCET	4554	38959	SIPO	YZ	30369031
611858	2084	1997-09-10	VYDAJ	PREVOD NA UCET	4554	41516	SIPO	YZ	30369031
611859	2084	1997-10-10	VYDAJ	PREVOD NA UCET	4554	40782	SIPO	YZ	30369031
611860	2084	1997-11-10	VYDAJ	PREVOD NA UCET	4554	44035	SIPO	YZ	30369031
611861	2084	1997-12-10	VYDAJ	PREVOD NA UCET	4554	45711	SIPO	YZ	30369031
611862	2084	1998-01-10	VYDAJ	PREVOD NA UCET	4554	51459	SIPO	YZ	30369031
611863	2084	1998-02-10	VYDAJ	PREVOD NA UCET	4554	41225	SIPO	YZ	30369031
611864	2084	1998-03-10	VYDAJ	PREVOD NA UCET	4554	41405	SIPO	YZ	30369031
611865	2084	1998-04-10	VYDAJ	PREVOD NA UCET	4554	48368	SIPO	YZ	30369031
611866	2084	1998-05-10	VYDAJ	PREVOD NA UCET	4554	51158	SIPO	YZ	30369031
611867	2084	1998-06-10	VYDAJ	PREVOD NA UCET	4554	45376	SIPO	YZ	30369031
611868	2084	1998-07-10	VYDAJ	PREVOD NA UCET	4554	39327	SIPO	YZ	30369031
611869	2084	1998-08-10	VYDAJ	PREVOD NA UCET	4554	43668	SIPO	YZ	30369031
611870	2084	1998-09-10	VYDAJ	PREVOD NA UCET	4554	49425	SIPO	YZ	30369031
611871	2084	1998-10-10	VYDAJ	PREVOD NA UCET	4554	53505	SIPO	YZ	30369031
611872	2084	1998-11-10	VYDAJ	PREVOD NA UCET	4554	56100	SIPO	YZ	30369031
611873	2084	1998-12-10	VYDAJ	PREVOD NA UCET	4554	57406	SIPO	YZ	30369031
611875	2084	1997-06-01	VYDAJ	VYBER	47200	14133	\N	\N	\N
611876	2084	1998-06-14	VYDAJ	VYBER	19520	56291	\N	\N	\N
611878	2084	1997-01-29	VYDAJ	VYBER	5120	66847	\N	\N	\N
611879	2084	1998-01-28	VYDAJ	VYBER	14240	57509	\N	\N	\N
611881	2084	1997-12-14	VYDAJ	VYBER KARTOU	3500	72646	\N	\N	0
611882	2084	1998-12-05	VYDAJ	VYBER KARTOU	3500	61960	\N	\N	0
611890	2084	1997-10-01	VYDAJ	VYBER KARTOU	1600	58836	\N	\N	0
611891	2084	1997-05-31	VYDAJ	VYBER KARTOU	800	61333	\N	\N	0
611892	2084	1997-03-13	VYDAJ	VYBER	4920	60832	\N	\N	\N
611893	2084	1997-11-27	VYDAJ	VYBER KARTOU	1000	63325	\N	\N	0
611894	2084	1997-09-29	VYDAJ	VYBER KARTOU	1600	60206	\N	\N	0
611895	2084	1998-07-08	VYDAJ	VYBER	4320	43881	\N	\N	\N
611896	2084	1998-02-17	VYDAJ	VYBER	5880	55635	\N	\N	\N
611897	2084	1998-05-26	VYDAJ	VYBER	5160	66288	\N	\N	\N
611898	2084	1998-05-27	VYDAJ	VYBER	5520	60768	\N	\N	\N
611899	2084	1998-07-19	VYDAJ	VYBER KARTOU	2000	57617	\N	\N	0
611900	2084	1998-12-11	VYDAJ	VYBER KARTOU	3200	54206	\N	\N	0
611914	2084	1997-01-31	VYDAJ	VYBER	15	67130	SLUZBY	\N	\N
611915	2084	1997-02-28	VYDAJ	VYBER	15	64916	SLUZBY	\N	\N
611916	2084	1997-03-31	VYDAJ	VYBER	15	61081	SLUZBY	\N	\N
611917	2084	1997-04-30	VYDAJ	VYBER	15	64658	SLUZBY	\N	\N
611918	2084	1997-05-31	VYDAJ	VYBER	15	62133	SLUZBY	\N	\N
611919	2084	1997-06-30	VYDAJ	VYBER	15	47875	SLUZBY	\N	\N
611920	2084	1997-07-31	VYDAJ	VYBER	15	56813	SLUZBY	\N	\N
611921	2084	1997-08-31	VYDAJ	VYBER	15	59470	SLUZBY	\N	\N
611922	2084	1997-09-30	VYDAJ	VYBER	15	60436	SLUZBY	\N	\N
611923	2084	1997-10-31	VYDAJ	VYBER	15	61289	SLUZBY	\N	\N
611924	2084	1997-11-30	VYDAJ	VYBER	15	63565	SLUZBY	\N	\N
611925	2084	1997-12-31	VYDAJ	VYBER	15	72913	SLUZBY	\N	\N
611926	2084	1998-01-31	VYDAJ	VYBER	15	57779	SLUZBY	\N	\N
611927	2084	1998-02-28	VYDAJ	VYBER	15	55859	SLUZBY	\N	\N
611928	2084	1998-03-31	VYDAJ	VYBER	15	61922	SLUZBY	\N	\N
611929	2084	1998-04-30	VYDAJ	VYBER	15	68912	SLUZBY	\N	\N
611930	2084	1998-05-31	VYDAJ	VYBER	15	49930	SLUZBY	\N	\N
611931	2084	1998-06-30	VYDAJ	VYBER	15	56501	SLUZBY	\N	\N
611932	2084	1998-07-31	VYDAJ	VYBER	15	48222	SLUZBY	\N	\N
611933	2084	1998-08-31	VYDAJ	VYBER	15	53979	SLUZBY	\N	\N
611934	2084	1998-09-30	VYDAJ	VYBER	15	58059	SLUZBY	\N	\N
611935	2084	1998-10-31	VYDAJ	VYBER	15	60654	SLUZBY	\N	\N
611936	2084	1998-11-30	VYDAJ	VYBER	15	65460	SLUZBY	\N	\N
611937	2084	1996-10-08	PRIJEM	VKLAD	1700	22943	\N	\N	\N
611938	2084	1996-11-07	VYDAJ	VYBER	10500	32878	\N	\N	\N
611939	2084	1996-12-07	VYDAJ	VYBER	11800	41573	\N	\N	\N
611940	2084	1997-01-06	VYDAJ	VYBER	20600	51677	\N	\N	\N
611941	2084	1997-02-05	VYDAJ	VYBER	18200	48930	\N	\N	\N
611942	2084	1997-03-07	VYDAJ	VYBER	14900	50016	\N	\N	\N
611943	2084	1997-04-06	VYDAJ	VYBER	12400	48681	\N	\N	\N
611944	2084	1997-05-06	VYDAJ	VYBER	18500	46158	\N	\N	\N
611945	2084	1997-06-05	PRIJEM	VKLAD	7700	21833	\N	\N	\N
611946	2084	1997-07-05	VYDAJ	VYBER	7000	40875	\N	\N	\N
611947	2084	1997-08-04	VYDAJ	VYBER	13300	43513	\N	\N	\N
611948	2084	1997-09-03	VYDAJ	VYBER	13400	46070	\N	\N	\N
611949	2084	1997-10-03	VYDAJ	VYBER	13500	45336	\N	\N	\N
611950	2084	1997-11-02	VYDAJ	VYBER	12700	48589	\N	\N	\N
611951	2084	1997-12-02	VYDAJ	VYBER	13300	50265	\N	\N	\N
611952	2084	1998-01-01	VYDAJ	VYBER	16900	56013	\N	\N	\N
611953	2084	1998-01-31	VYDAJ	VYBER	12000	45779	\N	\N	\N
611954	2084	1998-03-02	VYDAJ	VYBER	9900	45959	\N	\N	\N
611955	2084	1998-04-01	VYDAJ	VYBER	9000	52922	\N	\N	\N
611956	2084	1998-05-01	VYDAJ	VYBER	13200	55712	\N	\N	\N
611957	2084	1998-05-31	VYDAJ	VYBER	11100	49944	\N	\N	\N
611958	2084	1998-06-30	VYDAJ	VYBER	8300	48201	\N	\N	\N
611959	2084	1998-07-30	VYDAJ	VYBER	9600	48017	\N	\N	\N
611960	2084	1998-08-29	VYDAJ	VYBER	10200	53758	\N	\N	\N
611961	2084	1998-09-28	VYDAJ	VYBER	11900	57815	\N	\N	\N
611962	2084	1998-10-28	VYDAJ	VYBER	13400	60395	\N	\N	\N
611963	2084	1998-11-27	VYDAJ	VYBER	11200	65190	\N	\N	\N
611992	2085	1997-02-13	PRIJEM	VKLAD	600	600	\N	\N	\N
611995	2085	1997-03-06	PRIJEM	VKLAD	9712	10312	\N	\N	\N
611996	2085	1997-04-06	PRIJEM	VKLAD	9712	26663	\N	\N	\N
611997	2085	1997-05-06	PRIJEM	VKLAD	9712	32659	\N	\N	\N
611998	2085	1997-06-06	PRIJEM	VKLAD	14568	43336	\N	\N	\N
611999	2085	1997-07-06	PRIJEM	VKLAD	9712	43079	\N	\N	\N
612000	2085	1997-08-06	PRIJEM	VKLAD	9712	39549	\N	\N	\N
612001	2085	1997-09-06	PRIJEM	VKLAD	9712	40326	\N	\N	\N
612002	2085	1997-10-06	PRIJEM	VKLAD	9712	39101	\N	\N	\N
612003	2085	1997-11-06	PRIJEM	VKLAD	9712	42182	\N	\N	\N
612004	2085	1997-12-06	PRIJEM	VKLAD	14568	44322	\N	\N	\N
612005	2085	1998-01-06	PRIJEM	VKLAD	9712	34598	\N	\N	\N
612006	2085	1998-02-06	PRIJEM	VKLAD	9712	25439	\N	\N	\N
612007	2085	1998-03-06	PRIJEM	VKLAD	9712	26460	\N	\N	\N
612008	2085	1998-04-06	PRIJEM	VKLAD	9712	28987	\N	\N	\N
612009	2085	1998-05-06	PRIJEM	VKLAD	9712	32227	\N	\N	\N
612010	2085	1998-06-06	PRIJEM	VKLAD	14568	33415	\N	\N	\N
612011	2085	1998-07-06	PRIJEM	VKLAD	9712	31252	\N	\N	\N
612012	2085	1998-08-06	PRIJEM	VKLAD	9712	29084	\N	\N	\N
612013	2085	1998-09-06	PRIJEM	VKLAD	9712	26907	\N	\N	\N
612014	2085	1998-10-06	PRIJEM	VKLAD	9712	18907	\N	\N	\N
612015	2085	1998-11-06	PRIJEM	VKLAD	9712	22097	\N	\N	\N
612016	2085	1998-12-06	PRIJEM	VKLAD	14568	26459	\N	\N	\N
612024	2085	1997-08-05	VYDAJ	PREVOD NA UCET	2124	33882	SIPO	AB	3505379
612025	2085	1997-09-05	VYDAJ	PREVOD NA UCET	2124	30614	SIPO	AB	3505379
612026	2085	1997-10-05	VYDAJ	PREVOD NA UCET	2124	33434	SIPO	AB	3505379
612027	2085	1997-11-05	VYDAJ	PREVOD NA UCET	2124	32470	SIPO	AB	3505379
612028	2085	1997-12-05	VYDAJ	PREVOD NA UCET	2124	33799	SIPO	AB	3505379
612029	2085	1998-01-05	VYDAJ	PREVOD NA UCET	2124	24886	SIPO	AB	3505379
612030	2085	1998-02-05	VYDAJ	PREVOD NA UCET	2124	15727	SIPO	AB	3505379
612031	2085	1998-03-05	VYDAJ	PREVOD NA UCET	2124	16748	SIPO	AB	3505379
612032	2085	1998-04-05	VYDAJ	PREVOD NA UCET	2124	19275	SIPO	AB	3505379
612033	2085	1998-05-05	VYDAJ	PREVOD NA UCET	2124	26560	SIPO	AB	3505379
612034	2085	1998-06-05	VYDAJ	PREVOD NA UCET	2124	18847	SIPO	AB	3505379
612035	2085	1998-07-05	VYDAJ	PREVOD NA UCET	2124	25585	SIPO	AB	3505379
612036	2085	1998-08-05	VYDAJ	PREVOD NA UCET	2124	23417	SIPO	AB	3505379
612037	2085	1998-09-05	VYDAJ	PREVOD NA UCET	2124	17195	SIPO	AB	3505379
612038	2085	1998-10-05	VYDAJ	PREVOD NA UCET	2124	13240	SIPO	AB	3505379
612039	2085	1998-11-05	VYDAJ	PREVOD NA UCET	2124	16430	SIPO	AB	3505379
612040	2085	1998-12-05	VYDAJ	PREVOD NA UCET	2124	15936	SIPO	AB	3505379
612047	2085	1997-07-13	VYDAJ	PREVOD NA UCET	305	35874	 	UV	94459324
612048	2085	1997-08-13	VYDAJ	PREVOD NA UCET	305	36644	 	UV	94459324
612049	2085	1997-09-13	VYDAJ	PREVOD NA UCET	305	35421	 	UV	94459324
612050	2085	1997-10-13	VYDAJ	PREVOD NA UCET	305	38496	 	UV	94459324
612051	2085	1997-11-13	VYDAJ	PREVOD NA UCET	305	38177	 	UV	94459324
612052	2085	1997-12-13	VYDAJ	PREVOD NA UCET	305	38917	 	UV	94459324
612053	2085	1998-01-13	VYDAJ	PREVOD NA UCET	305	34093	 	UV	94459324
612054	2085	1998-02-13	VYDAJ	PREVOD NA UCET	305	26234	 	UV	94459324
612055	2085	1998-03-13	VYDAJ	PREVOD NA UCET	305	25355	 	UV	94459324
612056	2085	1998-04-13	VYDAJ	PREVOD NA UCET	305	28582	 	UV	94459324
612057	2085	1998-05-13	VYDAJ	PREVOD NA UCET	305	24922	 	UV	94459324
612058	2085	1998-06-13	VYDAJ	PREVOD NA UCET	305	27610	 	UV	94459324
612059	2085	1998-07-13	VYDAJ	PREVOD NA UCET	305	25447	 	UV	94459324
612060	2085	1998-08-13	VYDAJ	PREVOD NA UCET	305	23279	 	UV	94459324
612061	2085	1998-09-13	VYDAJ	PREVOD NA UCET	305	18202	 	UV	94459324
612062	2085	1998-10-13	VYDAJ	PREVOD NA UCET	305	15302	 	UV	94459324
612063	2085	1998-11-13	VYDAJ	PREVOD NA UCET	305	21792	 	UV	94459324
612064	2085	1998-12-13	VYDAJ	PREVOD NA UCET	305	26154	 	UV	94459324
612072	2085	1997-08-05	VYDAJ	PREVOD NA UCET	4045	29837	POJISTNE	IJ	30590856
612073	2085	1997-09-05	VYDAJ	PREVOD NA UCET	4045	32738	POJISTNE	IJ	30590856
612074	2085	1997-10-05	VYDAJ	PREVOD NA UCET	4045	29389	POJISTNE	IJ	30590856
612075	2085	1997-11-05	VYDAJ	PREVOD NA UCET	4045	34594	POJISTNE	IJ	30590856
612076	2085	1997-12-05	VYDAJ	PREVOD NA UCET	4045	29754	POJISTNE	IJ	30590856
612077	2085	1998-01-05	VYDAJ	PREVOD NA UCET	4045	27010	POJISTNE	IJ	30590856
612078	2085	1998-02-05	VYDAJ	PREVOD NA UCET	4045	17851	POJISTNE	IJ	30590856
612079	2085	1998-03-05	VYDAJ	PREVOD NA UCET	4045	18872	POJISTNE	IJ	30590856
612080	2085	1998-04-05	VYDAJ	PREVOD NA UCET	4045	21399	POJISTNE	IJ	30590856
612081	2085	1998-05-05	VYDAJ	PREVOD NA UCET	4045	22515	POJISTNE	IJ	30590856
612082	2085	1998-06-05	VYDAJ	PREVOD NA UCET	4045	20971	POJISTNE	IJ	30590856
612083	2085	1998-07-05	VYDAJ	PREVOD NA UCET	4045	21540	POJISTNE	IJ	30590856
612084	2085	1998-08-05	VYDAJ	PREVOD NA UCET	4045	19372	POJISTNE	IJ	30590856
612085	2085	1998-09-05	VYDAJ	PREVOD NA UCET	4045	19319	POJISTNE	IJ	30590856
612086	2085	1998-10-05	VYDAJ	PREVOD NA UCET	4045	9195	POJISTNE	IJ	30590856
612087	2085	1998-11-05	VYDAJ	PREVOD NA UCET	4045	12385	POJISTNE	IJ	30590856
612088	2085	1998-12-05	VYDAJ	PREVOD NA UCET	4045	11891	POJISTNE	IJ	30590856
612092	2085	1998-01-14	VYDAJ	VYBER	1700	32393	\N	\N	\N
612093	2085	1997-12-23	VYDAJ	VYBER	1900	33817	\N	\N	\N
612094	2085	1998-12-27	VYDAJ	VYBER	2600	23554	\N	\N	\N
612101	2085	1998-01-02	VYDAJ	VYBER	2900	31055	\N	\N	\N
612102	2085	1998-01-15	VYDAJ	VYBER	2300	30093	\N	\N	\N
612103	2085	1998-01-19	VYDAJ	VYBER	1300	26093	\N	\N	\N
612104	2085	1998-01-07	VYDAJ	VYBER	1700	32898	\N	\N	\N
612105	2085	1998-01-28	VYDAJ	VYBER	1800	21793	\N	\N	\N
612106	2085	1998-01-19	VYDAJ	VYBER	2500	23593	\N	\N	\N
612111	2085	1997-12-15	VYDAJ	VYBER	3200	35717	\N	\N	\N
612112	2085	1997-11-30	VYDAJ	VYBER	2400	35923	\N	\N	\N
612114	2085	1998-11-25	VYDAJ	VYBER	3800	17992	\N	\N	\N
612115	2085	1998-02-14	VYDAJ	VYBER	3400	22834	\N	\N	\N
612116	2085	1998-01-15	VYDAJ	VYBER	2700	27393	\N	\N	\N
612117	2085	1998-09-26	VYDAJ	VYBER	2900	15302	\N	\N	\N
612125	2085	1997-07-31	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
612126	2085	1997-08-31	VYDAJ	VYBER	15	36783	SLUZBY	\N	\N
612127	2085	1997-09-30	VYDAJ	VYBER	15	35558	SLUZBY	\N	\N
612128	2085	1997-10-31	VYDAJ	VYBER	15	38639	SLUZBY	\N	\N
612129	2085	1997-11-30	VYDAJ	VYBER	15	38323	SLUZBY	\N	\N
612130	2085	1997-12-31	VYDAJ	VYBER	15	33955	SLUZBY	\N	\N
612131	2085	1998-01-31	VYDAJ	VYBER	15	21896	SLUZBY	\N	\N
612132	2085	1998-02-28	VYDAJ	VYBER	15	22917	SLUZBY	\N	\N
612133	2085	1998-03-31	VYDAJ	VYBER	15	25444	SLUZBY	\N	\N
612134	2085	1998-04-30	VYDAJ	VYBER	15	28684	SLUZBY	\N	\N
612135	2085	1998-05-31	VYDAJ	VYBER	15	25016	SLUZBY	\N	\N
612136	2085	1998-06-30	VYDAJ	VYBER	15	27709	SLUZBY	\N	\N
612137	2085	1998-07-31	VYDAJ	VYBER	15	25541	SLUZBY	\N	\N
612138	2085	1998-08-31	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
612139	2085	1998-09-30	VYDAJ	VYBER	15	15364	SLUZBY	\N	\N
612140	2085	1998-10-31	VYDAJ	VYBER	15	15354	SLUZBY	\N	\N
612141	2085	1998-11-30	VYDAJ	VYBER	15	18060	SLUZBY	\N	\N
612142	2085	1997-03-15	PRIJEM	VKLAD	6600	16912	\N	\N	\N
612143	2085	1997-04-14	VYDAJ	VYBER	3800	22863	\N	\N	\N
612144	2085	1997-05-14	VYDAJ	VYBER	4000	28659	\N	\N	\N
612145	2085	1997-06-13	VYDAJ	VYBER	10100	33236	\N	\N	\N
612146	2085	1997-07-13	VYDAJ	VYBER	6900	36179	\N	\N	\N
612147	2085	1997-08-12	VYDAJ	VYBER	2600	36949	\N	\N	\N
612148	2085	1997-09-11	VYDAJ	VYBER	4600	35726	\N	\N	\N
612149	2085	1997-10-11	VYDAJ	VYBER	300	38801	\N	\N	\N
612150	2085	1997-11-10	VYDAJ	VYBER	3700	38482	\N	\N	\N
612151	2085	1997-12-10	VYDAJ	VYBER	5100	39222	\N	\N	\N
612152	2085	1998-01-09	PRIJEM	VKLAD	1500	34398	\N	\N	\N
612153	2085	1998-02-08	PRIJEM	VKLAD	1100	26539	\N	\N	\N
612154	2085	1998-03-10	VYDAJ	VYBER	800	25660	\N	\N	\N
612155	2085	1998-04-09	VYDAJ	VYBER	100	28887	\N	\N	\N
612156	2085	1998-05-09	VYDAJ	VYBER	7000	25227	\N	\N	\N
612157	2085	1998-06-08	VYDAJ	VYBER	5500	27915	\N	\N	\N
612158	2085	1998-07-08	VYDAJ	VYBER	5500	25752	\N	\N	\N
612159	2085	1998-08-07	VYDAJ	VYBER	5500	23584	\N	\N	\N
612160	2085	1998-09-06	VYDAJ	VYBER	8400	18507	\N	\N	\N
612161	2085	1998-10-06	VYDAJ	VYBER	3300	15607	\N	\N	\N
612162	2085	1998-11-05	PRIJEM	VKLAD	3200	18554	\N	\N	\N
612185	2086	1996-08-09	PRIJEM	VKLAD	500	500	\N	\N	\N
612194	2086	1996-09-08	PRIJEM	PREVOD Z UCTU	46199	46699	\N	KL	39209967
612195	2086	1996-10-08	PRIJEM	PREVOD Z UCTU	46199	84821	\N	KL	39209967
612196	2086	1996-11-08	PRIJEM	PREVOD Z UCTU	46199	91038	\N	KL	39209967
612197	2086	1996-12-08	PRIJEM	PREVOD Z UCTU	69298	132582	\N	KL	39209967
612198	2086	1997-01-08	PRIJEM	PREVOD Z UCTU	46199	100216	\N	KL	39209967
612199	2086	1997-02-08	PRIJEM	PREVOD Z UCTU	46199	85106	\N	KL	39209967
612200	2086	1997-03-08	PRIJEM	PREVOD Z UCTU	46199	102289	\N	KL	39209967
612201	2086	1997-04-08	PRIJEM	PREVOD Z UCTU	46199	89263	\N	KL	39209967
612202	2086	1997-05-08	PRIJEM	PREVOD Z UCTU	46199	104392	\N	KL	39209967
612203	2086	1997-06-08	PRIJEM	PREVOD Z UCTU	69298	98541	\N	KL	39209967
612204	2086	1997-07-08	PRIJEM	PREVOD Z UCTU	46199	92266	\N	KL	39209967
612205	2086	1997-08-08	PRIJEM	PREVOD Z UCTU	46199	93473	\N	KL	39209967
612206	2086	1997-09-08	PRIJEM	PREVOD Z UCTU	46199	98921	\N	KL	39209967
612207	2086	1997-10-08	PRIJEM	PREVOD Z UCTU	46199	108483	\N	KL	39209967
612208	2086	1997-11-08	PRIJEM	PREVOD Z UCTU	46199	83994	\N	KL	39209967
612209	2086	1997-12-08	PRIJEM	PREVOD Z UCTU	69298	101078	\N	KL	39209967
612210	2086	1998-01-08	PRIJEM	PREVOD Z UCTU	46199	97436	\N	KL	39209967
612211	2086	1998-02-08	PRIJEM	PREVOD Z UCTU	46199	80201	\N	KL	39209967
612212	2086	1998-03-08	PRIJEM	PREVOD Z UCTU	46199	86729	\N	KL	39209967
612213	2086	1998-04-08	PRIJEM	PREVOD Z UCTU	46199	77063	\N	KL	39209967
612214	2086	1998-05-08	PRIJEM	PREVOD Z UCTU	46199	100820	\N	KL	39209967
612215	2086	1998-06-08	PRIJEM	PREVOD Z UCTU	69298	133070	\N	KL	39209967
612216	2086	1998-07-08	PRIJEM	PREVOD Z UCTU	46199	108096	\N	KL	39209967
612217	2086	1998-08-08	PRIJEM	PREVOD Z UCTU	46199	115123	\N	KL	39209967
612218	2086	1998-09-08	PRIJEM	PREVOD Z UCTU	46199	70790	\N	KL	39209967
612219	2086	1998-10-08	PRIJEM	PREVOD Z UCTU	46199	93979	\N	KL	39209967
612220	2086	1998-11-08	PRIJEM	PREVOD Z UCTU	46199	111155	\N	KL	39209967
612221	2086	1998-12-08	PRIJEM	PREVOD Z UCTU	69298	131193	\N	KL	39209967
612231	2086	1997-05-18	VYBER	VYBER	15795	88597	\N	\N	\N
612232	2086	1997-08-16	VYBER	VYBER	6953	86520	\N	\N	\N
612233	2086	1997-06-10	VYBER	VYBER	9157	89384	\N	\N	\N
612234	2086	1997-07-12	VYBER	VYBER	17566	74700	\N	\N	\N
612235	2086	1997-06-19	VYBER	VYBER	24902	64482	\N	\N	\N
612236	2086	1997-11-18	VYBER	VYBER	16344	67650	\N	\N	\N
612237	2086	1997-12-15	VYBER	VYBER	15534	85544	\N	\N	\N
612238	2086	1997-11-20	VYBER	VYBER	15681	39369	\N	\N	\N
612239	2086	1997-04-21	VYBER	VYBER	3474	85789	\N	\N	\N
612240	2086	1998-08-22	VYBER	VYBER	17170	36053	\N	\N	\N
612241	2086	1998-05-25	VYBER	VYBER	5705	95115	\N	\N	\N
612242	2086	1998-03-26	VYBER	VYBER	19101	67628	\N	\N	\N
612243	2086	1998-08-31	VYBER	VYBER	4359	30021	\N	\N	\N
612244	2086	1998-02-26	VYBER	VYBER	22490	53211	\N	\N	\N
612245	2086	1998-04-03	VYBER	VYBER	13448	35664	\N	\N	\N
612246	2086	1998-01-26	VYBER	VYBER	3543	67793	\N	\N	\N
612248	2086	1997-06-07	VYDAJ	VYBER	25500	29243	\N	\N	\N
612251	2086	1997-01-30	VYDAJ	VYBER	8400	46216	\N	\N	\N
612252	2086	1998-01-30	VYDAJ	VYBER	23400	44393	\N	\N	\N
612254	2086	1997-12-18	VYDAJ	VYBER KARTOU	2100	83444	\N	\N	0
612255	2086	1998-12-06	VYDAJ	VYBER	6900	61895	\N	\N	\N
612262	2086	1997-01-28	VYDAJ	VYBER	6600	60316	\N	\N	\N
612263	2086	1997-01-18	VYDAJ	VYBER	8700	72616	\N	\N	\N
612264	2086	1997-01-20	VYDAJ	VYBER	5700	66916	\N	\N	\N
612266	2086	1997-01-30	VYDAJ	VYBER	5700	54616	\N	\N	\N
612267	2086	1997-01-12	VYDAJ	VYBER	5400	94816	\N	\N	\N
612268	2086	1998-01-21	VYDAJ	VYBER KARTOU	3900	89636	\N	\N	0
612269	2086	1998-01-06	VYDAJ	VYBER	6900	51237	\N	\N	\N
612270	2086	1998-01-22	VYDAJ	VYBER KARTOU	2400	87236	\N	\N	0
612271	2086	1998-01-18	VYDAJ	VYBER KARTOU	3900	93536	\N	\N	0
612272	2086	1998-01-22	VYDAJ	VYBER	7200	80036	\N	\N	\N
612273	2086	1998-01-25	VYDAJ	VYBER	8700	71336	\N	\N	\N
612280	2086	1997-06-19	VYDAJ	VYBER KARTOU	2700	61782	\N	\N	0
612281	2086	1997-08-18	VYDAJ	VYBER	7500	79020	\N	\N	\N
612282	2086	1997-01-16	VYDAJ	VYBER	13500	81316	\N	\N	\N
612283	2086	1997-07-29	VYDAJ	VYBER	10800	63900	\N	\N	\N
612284	2086	1997-05-18	VYDAJ	VYBER	6300	82297	\N	\N	\N
612285	2086	1997-11-18	VYDAJ	VYBER	12600	55050	\N	\N	\N
612286	2086	1997-04-01	VYDAJ	VYBER	6000	53464	\N	\N	\N
612287	2086	1998-09-06	VYDAJ	VYBER	5400	24591	\N	\N	\N
612288	2086	1998-06-27	VYDAJ	VYBER KARTOU	2100	87070	\N	\N	0
612289	2086	1998-04-07	VYDAJ	VYBER	4800	30864	\N	\N	\N
612290	2086	1998-12-09	VYDAJ	VYBER KARTOU	1500	74293	\N	\N	0
612291	2086	1998-02-10	VYDAJ	VYBER	4500	75701	\N	\N	\N
612292	2086	1998-12-17	VYDAJ	VYBER	5100	69193	\N	\N	\N
612293	2086	1998-09-09	VYDAJ	VYBER	8700	62090	\N	\N	\N
612307	2086	1997-01-31	VYDAJ	VYBER	30	46507	SLUZBY	\N	\N
612308	2086	1997-02-28	VYDAJ	VYBER	30	85390	SLUZBY	\N	\N
612309	2086	1997-03-31	VYDAJ	VYBER	30	59464	SLUZBY	\N	\N
612310	2086	1997-04-30	VYDAJ	VYBER	30	86093	SLUZBY	\N	\N
612311	2086	1997-05-31	VYDAJ	VYBER	30	82643	SLUZBY	\N	\N
612312	2086	1997-06-30	VYDAJ	VYBER	30	62067	SLUZBY	\N	\N
612313	2086	1997-07-31	VYDAJ	VYBER	30	64174	SLUZBY	\N	\N
612314	2086	1997-08-31	VYDAJ	VYBER	30	79322	SLUZBY	\N	\N
612315	2086	1997-09-30	VYDAJ	VYBER	30	99284	SLUZBY	\N	\N
612316	2086	1997-10-31	VYDAJ	VYBER	30	46495	SLUZBY	\N	\N
612317	2086	1997-11-30	VYDAJ	VYBER	30	39580	SLUZBY	\N	\N
612318	2086	1997-12-31	VYDAJ	VYBER	30	83737	SLUZBY	\N	\N
612319	2086	1998-01-31	VYDAJ	VYBER	30	44702	SLUZBY	\N	\N
612320	2086	1998-02-28	VYDAJ	VYBER	30	53430	SLUZBY	\N	\N
612321	2086	1998-03-31	VYDAJ	VYBER	30	67912	SLUZBY	\N	\N
612322	2086	1998-04-30	VYDAJ	VYBER	30	77321	SLUZBY	\N	\N
612323	2086	1998-05-31	VYDAJ	VYBER	30	63772	SLUZBY	\N	\N
612324	2086	1998-06-30	VYDAJ	VYBER	30	61897	SLUZBY	\N	\N
612325	2086	1998-07-31	VYDAJ	VYBER	30	68924	SLUZBY	\N	\N
612326	2086	1998-08-31	VYDAJ	VYBER	30	29991	SLUZBY	\N	\N
612327	2086	1998-09-30	VYDAJ	VYBER	30	47780	SLUZBY	\N	\N
612328	2086	1998-10-31	VYDAJ	VYBER	30	64956	SLUZBY	\N	\N
612329	2086	1998-11-30	VYDAJ	VYBER	30	68795	SLUZBY	\N	\N
612330	2086	1996-09-08	VYDAJ	VYBER	8200	38499	\N	\N	\N
612331	2086	1996-10-08	VYDAJ	VYBER	28500	56321	\N	\N	\N
612332	2086	1996-11-07	VYDAJ	VYBER	11700	44839	\N	\N	\N
612333	2086	1996-12-07	VYDAJ	VYBER	28100	63284	\N	\N	\N
612334	2086	1996-12-08	VYDAJ	VYBER	55500	77082	\N	\N	\N
612335	2086	1997-01-06	VYDAJ	VYBER	23400	54017	\N	\N	\N
612336	2086	1997-02-05	VYDAJ	VYBER	7600	38907	\N	\N	\N
612337	2086	1997-03-07	VYDAJ	VYBER	29300	56090	\N	\N	\N
612338	2086	1997-03-08	VYDAJ	VYBER	43200	59089	\N	\N	\N
612339	2086	1997-04-06	VYDAJ	VYBER	10400	43064	\N	\N	\N
612340	2086	1997-05-06	VYDAJ	VYBER	27900	58193	\N	\N	\N
612341	2086	1997-06-05	VYDAJ	VYBER	27900	54743	\N	\N	\N
612342	2086	1997-07-05	VYDAJ	VYBER	16000	46067	\N	\N	\N
612343	2086	1997-08-04	VYDAJ	VYBER	16900	47274	\N	\N	\N
612344	2086	1997-09-03	VYDAJ	VYBER	26600	52722	\N	\N	\N
612345	2086	1997-10-03	VYDAJ	VYBER	37000	62284	\N	\N	\N
612346	2086	1997-10-08	VYDAJ	VYBER	62200	46283	\N	\N	\N
612347	2086	1997-11-02	VYDAJ	VYBER	8700	37795	\N	\N	\N
612348	2086	1997-12-02	VYDAJ	VYBER	7800	31780	\N	\N	\N
612349	2086	1998-01-01	VYDAJ	VYBER	25600	58137	\N	\N	\N
612350	2086	1998-01-31	VYDAJ	VYBER	10700	34002	\N	\N	\N
612351	2086	1998-03-02	VYDAJ	VYBER	12900	40530	\N	\N	\N
612352	2086	1998-04-01	VYDAJ	VYBER	18800	49112	\N	\N	\N
612353	2086	1998-05-01	VYDAJ	VYBER	22700	54621	\N	\N	\N
612354	2086	1998-05-31	VYDAJ	VYBER	31700	63802	\N	\N	\N
612355	2086	1998-06-08	VYDAJ	VYBER	43900	89170	\N	\N	\N
612356	2086	1998-06-30	VYDAJ	VYBER	25600	61927	\N	\N	\N
612357	2086	1998-07-30	VYDAJ	VYBER	39400	68696	\N	\N	\N
612358	2086	1998-08-08	VYDAJ	VYBER	61900	53223	\N	\N	\N
612359	2086	1998-08-29	VYDAJ	VYBER KARTOU	2000	34053	\N	\N	0
612360	2086	1998-09-28	VYDAJ	VYBER	14500	47590	\N	\N	\N
612361	2086	1998-10-28	VYDAJ	VYBER	29200	64779	\N	\N	\N
612362	2086	1998-11-27	VYDAJ	VYBER	42600	68555	\N	\N	\N
612363	2086	1998-12-08	VYDAJ	VYBER	55400	75793	\N	\N	\N
612392	2087	1993-01-08	PRIJEM	VKLAD	600	600	\N	\N	\N
612393	2087	1993-07-09	PRIJEM	VKLAD	29416	89032	\N	\N	\N
612394	2087	1993-09-29	PRIJEM	VKLAD	27651	118788	\N	\N	\N
612395	2087	1993-08-01	PRIJEM	VKLAD	33346	105933	\N	\N	\N
612396	2087	1993-12-03	PRIJEM	VKLAD	31396	98013	\N	\N	\N
612397	2087	1993-08-31	PRIJEM	VKLAD	7490	69554	\N	\N	\N
612398	2087	1993-12-03	PRIJEM	VKLAD	27584	125597	\N	\N	\N
612399	2087	1993-10-30	PRIJEM	VKLAD	8179	81558	\N	\N	\N
612400	2087	1993-11-18	PRIJEM	VKLAD	33805	66413	\N	\N	\N
612401	2087	1993-12-13	PRIJEM	VKLAD	19364	79861	\N	\N	\N
612402	2087	1993-05-15	PRIJEM	VKLAD	46249	96735	\N	\N	\N
612403	2087	1993-10-04	PRIJEM	VKLAD	12384	61026	\N	\N	\N
612404	2087	1993-07-07	PRIJEM	VKLAD	37598	122816	\N	\N	\N
612405	2087	1993-01-29	PRIJEM	VKLAD	16983	17583	\N	\N	\N
612406	2087	1993-05-31	PRIJEM	VKLAD	11159	108181	\N	\N	\N
612407	2087	1993-05-13	PRIJEM	VKLAD	23573	50486	\N	\N	\N
612408	2087	1993-10-02	PRIJEM	VKLAD	21265	107742	\N	\N	\N
612409	2087	1993-06-14	PRIJEM	VKLAD	31748	84899	\N	\N	\N
612410	2087	1993-09-19	PRIJEM	VKLAD	24904	91137	\N	\N	\N
612411	2087	1993-08-03	PRIJEM	VKLAD	20056	125989	\N	\N	\N
612412	2087	1993-02-11	PRIJEM	VKLAD	14622	34012	\N	\N	\N
612413	2087	1993-09-06	PRIJEM	VKLAD	17009	66233	\N	\N	\N
612414	2087	1993-10-09	PRIJEM	VKLAD	27653	73379	\N	\N	\N
612415	2087	1993-10-31	PRIJEM	VKLAD	48351	129909	\N	\N	\N
612416	2087	1994-01-05	PRIJEM	VKLAD	13280	55918	\N	\N	\N
612417	2087	1994-11-17	PRIJEM	VKLAD	8818	55137	\N	\N	\N
612418	2087	1994-05-07	PRIJEM	VKLAD	22634	64314	\N	\N	\N
612419	2087	1994-12-01	PRIJEM	VKLAD	25259	68857	\N	\N	\N
612420	2087	1994-10-28	PRIJEM	VKLAD	10923	59448	\N	\N	\N
612421	2087	1994-07-11	PRIJEM	VKLAD	12787	35728	\N	\N	\N
612422	2087	1994-01-20	PRIJEM	VKLAD	14978	62796	\N	\N	\N
612423	2087	1994-04-19	PRIJEM	VKLAD	15988	51914	\N	\N	\N
612424	2087	1994-06-20	PRIJEM	VKLAD	14190	47584	\N	\N	\N
612425	2087	1994-04-14	PRIJEM	VKLAD	12518	60323	\N	\N	\N
612426	2087	1994-08-30	PRIJEM	VKLAD	15592	48528	\N	\N	\N
612427	2087	1994-12-13	PRIJEM	VKLAD	48809	105323	\N	\N	\N
612428	2087	1994-12-18	PRIJEM	VKLAD	15190	118713	\N	\N	\N
612429	2087	1994-05-20	PRIJEM	VKLAD	27019	55355	\N	\N	\N
612430	2087	1994-04-08	PRIJEM	VKLAD	15535	47805	\N	\N	\N
612431	2087	1994-09-27	PRIJEM	VKLAD	43236	66885	\N	\N	\N
612432	2087	1994-02-08	PRIJEM	VKLAD	9553	36234	\N	\N	\N
612433	2087	1995-05-07	PRIJEM	VKLAD	47810	80272	\N	\N	\N
612434	2087	1995-01-14	PRIJEM	VKLAD	49284	55013	\N	\N	\N
612435	2087	1995-04-23	PRIJEM	VKLAD	35360	42869	\N	\N	\N
612436	2087	1995-10-27	PRIJEM	VKLAD	47822	64470	\N	\N	\N
612437	2087	1995-07-13	PRIJEM	VKLAD	27491	81659	\N	\N	\N
612438	2087	1995-02-25	PRIJEM	VKLAD	24662	67402	\N	\N	\N
612439	2087	1995-05-30	PRIJEM	VKLAD	22987	77159	\N	\N	\N
612440	2087	1996-06-07	PRIJEM	VKLAD	13807	46606	\N	\N	\N
612441	2087	1996-04-08	PRIJEM	VKLAD	8384	34327	\N	\N	\N
612442	2087	1996-09-13	PRIJEM	VKLAD	39657	61781	\N	\N	\N
612443	2087	1996-04-21	PRIJEM	VKLAD	29324	63651	\N	\N	\N
612444	2087	1996-07-19	PRIJEM	VKLAD	32760	76607	\N	\N	\N
612445	2087	1996-08-22	PRIJEM	VKLAD	9021	40949	\N	\N	\N
612446	2087	1996-01-06	PRIJEM	VKLAD	45963	76348	\N	\N	\N
612447	2087	1996-10-03	PRIJEM	VKLAD	46223	95172	\N	\N	\N
612448	2087	1996-07-13	PRIJEM	VKLAD	6123	43847	\N	\N	\N
612449	2087	1998-11-24	PRIJEM	VKLAD	29806	92096	\N	\N	\N
612450	2087	1998-10-18	PRIJEM	VKLAD	19856	82112	\N	\N	\N
612451	2087	1998-06-17	PRIJEM	VKLAD	30246	81012	\N	\N	\N
612452	2087	1998-03-20	PRIJEM	VKLAD	10740	79176	\N	\N	\N
612453	2087	1998-07-28	PRIJEM	VKLAD	10543	92391	\N	\N	\N
612454	2087	1998-04-23	PRIJEM	VKLAD	34443	100338	\N	\N	\N
612455	2087	1998-04-20	PRIJEM	VKLAD	8120	65895	\N	\N	\N
612456	2087	1998-10-24	PRIJEM	VKLAD	5889	88001	\N	\N	\N
612457	2087	1998-05-18	PRIJEM	VKLAD	5423	80788	\N	\N	\N
612458	2087	1998-06-12	PRIJEM	VKLAD	20222	86220	\N	\N	\N
612459	2087	1998-05-29	PRIJEM	VKLAD	31876	112664	\N	\N	\N
612460	2087	1998-09-27	PRIJEM	VKLAD	10385	72333	\N	\N	\N
612461	2087	1998-04-24	PRIJEM	VKLAD	7085	107423	\N	\N	\N
612462	2087	1998-02-14	PRIJEM	VKLAD	45946	98516	\N	\N	\N
612463	2087	1998-01-13	PRIJEM	VKLAD	45287	69421	\N	\N	\N
612464	2087	1998-03-27	PRIJEM	VKLAD	13176	92352	\N	\N	\N
612465	2087	1998-07-02	PRIJEM	VKLAD	6058	87367	\N	\N	\N
612466	2087	1998-07-09	PRIJEM	VKLAD	26381	113748	\N	\N	\N
612467	2087	1998-10-25	PRIJEM	VKLAD	46264	134265	\N	\N	\N
612468	2087	1998-01-18	PRIJEM	VKLAD	40476	109897	\N	\N	\N
612469	2087	1998-09-20	PRIJEM	VKLAD	13264	61948	\N	\N	\N
612544	2087	1993-07-15	VYBER	VYBER	8648	80384	\N	\N	\N
612546	2087	1993-11-09	VYBER	VYBER	11371	32608	\N	\N	\N
612550	2087	1994-04-18	VYBER	VYBER	24397	35926	\N	\N	\N
612551	2087	1994-05-14	VYBER	VYBER	15555	28336	\N	\N	\N
612552	2087	1994-05-20	VYBER	VYBER	19295	36060	\N	\N	\N
612553	2087	1994-06-23	VYBER	VYBER	9270	38314	\N	\N	\N
612554	2087	1994-05-07	VYBER	VYBER	20423	43891	\N	\N	\N
612555	2087	1994-12-09	VYBER	VYBER	9643	56514	\N	\N	\N
612556	2087	1995-09-30	VYBER	VYBER	13722	19078	\N	\N	\N
612557	2087	1996-10-30	VYBER	VYBER	20936	46836	\N	\N	\N
612558	2087	1996-09-01	VYBER	VYBER	18957	22124	\N	\N	\N
612559	2087	1996-07-23	VYBER	VYBER	15821	39586	\N	\N	\N
612560	2087	1997-05-31	VYBER	VYBER	4132	20916	\N	\N	\N
612561	2087	1997-03-02	VYBER	VYBER	4819	20246	\N	\N	\N
612563	2087	1997-03-23	VYBER	VYBER	8049	20597	\N	\N	\N
612564	2087	1997-05-04	VYBER	VYBER	16010	9548	\N	\N	\N
612565	2087	1997-06-30	VYBER	VYBER	11935	15833	\N	\N	\N
612566	2087	1997-07-28	VYBER	VYBER	18164	5639	\N	\N	\N
612567	2087	1997-08-24	VYBER	VYBER	11875	3490	\N	\N	\N
612568	2087	1997-04-01	VYBER	VYBER	3667	16997	\N	\N	\N
612569	2087	1998-09-11	VYBER	VYBER	16271	48684	\N	\N	\N
612570	2087	1998-06-12	VYBER	VYBER	24954	61266	\N	\N	\N
612571	2087	1998-12-19	VYBER	VYBER	7126	61666	\N	\N	\N
612572	2087	1998-01-27	VYBER	VYBER	6451	74946	\N	\N	\N
612573	2087	1993-12-24	VYDAJ	VYBER	4500	75361	\N	\N	\N
612574	2087	1994-12-15	VYDAJ	VYBER	1800	103523	\N	\N	\N
612575	2087	1995-12-14	VYDAJ	VYBER	2100	38260	\N	\N	\N
612576	2087	1996-12-16	VYDAJ	VYBER	8100	21195	\N	\N	\N
612577	2087	1997-12-15	VYDAJ	VYBER	6000	25558	\N	\N	\N
612578	2087	1998-12-01	VYDAJ	VYBER	5100	87292	\N	\N	\N
612585	2087	1994-01-04	VYDAJ	VYBER	8700	42638	\N	\N	\N
612586	2087	1994-01-27	VYDAJ	VYBER	6300	30996	\N	\N	\N
612587	2087	1994-01-16	VYDAJ	VYBER	6000	47818	\N	\N	\N
612588	2087	1994-01-26	VYDAJ	VYBER	8700	40896	\N	\N	\N
612589	2087	1994-01-26	VYDAJ	VYBER	3600	37296	\N	\N	\N
612590	2087	1994-01-11	VYDAJ	VYBER	2100	53818	\N	\N	\N
612591	2087	1995-01-01	VYDAJ	VYBER	4500	31829	\N	\N	\N
612592	2087	1995-01-24	VYDAJ	VYBER	2400	52613	\N	\N	\N
612593	2087	1995-01-10	VYDAJ	VYBER	8400	5729	\N	\N	\N
612594	2087	1995-01-10	VYDAJ	VYBER	2400	14129	\N	\N	\N
612595	2087	1995-01-01	VYDAJ	VYBER	6600	25229	\N	\N	\N
612596	2087	1995-01-07	VYDAJ	VYBER	8700	16529	\N	\N	\N
612597	2087	1996-01-23	VYDAJ	VYBER	3600	30548	\N	\N	\N
612598	2087	1996-01-18	VYDAJ	VYBER	6600	46948	\N	\N	\N
612599	2087	1996-01-17	VYDAJ	VYBER	6300	53548	\N	\N	\N
612600	2087	1996-01-10	VYDAJ	VYBER	8400	59848	\N	\N	\N
612601	2087	1996-01-19	VYDAJ	VYBER	4500	42448	\N	\N	\N
612602	2087	1996-01-09	VYDAJ	VYBER	8100	68248	\N	\N	\N
612603	2087	1997-01-03	VYDAJ	VYBER	3300	28412	\N	\N	\N
612605	2087	1997-01-04	VYDAJ	VYBER	4500	23912	\N	\N	\N
612606	2087	1997-01-16	VYDAJ	VYBER	5100	11612	\N	\N	\N
612607	2087	1997-01-06	VYDAJ	VYBER	7200	16712	\N	\N	\N
612608	2087	1997-01-26	VYDAJ	VYBER	7800	10412	\N	\N	\N
612609	2087	1998-01-23	VYDAJ	VYBER	8100	101797	\N	\N	\N
612610	2087	1998-01-23	VYDAJ	VYBER	5700	96097	\N	\N	\N
612611	2087	1998-01-30	VYDAJ	VYBER	4500	70446	\N	\N	\N
612612	2087	1998-01-26	VYDAJ	VYBER	8400	81397	\N	\N	\N
612613	2087	1998-01-25	VYDAJ	VYBER	6300	89797	\N	\N	\N
612614	2087	1998-01-08	VYDAJ	VYBER	7500	18134	\N	\N	\N
612615	2087	1993-07-17	VYDAJ	VYBER	8100	72284	\N	\N	\N
612620	2087	1994-12-28	VYDAJ	VYBER	12000	46813	\N	\N	\N
612621	2087	1994-01-23	VYDAJ	VYBER	13200	49596	\N	\N	\N
612622	2087	1994-07-04	VYDAJ	VYBER	7800	22941	\N	\N	\N
612623	2087	1994-09-13	VYDAJ	VYBER	14100	23649	\N	\N	\N
612624	2087	1994-12-03	VYDAJ	VYBER	2700	66157	\N	\N	\N
612625	2087	1995-10-06	VYDAJ	VYBER	8100	10948	\N	\N	\N
612626	2087	1995-04-20	VYDAJ	VYBER	12600	7509	\N	\N	\N
612627	2087	1995-04-08	VYDAJ	VYBER	9300	20109	\N	\N	\N
612628	2087	1995-11-16	VYDAJ	VYBER	7800	56747	\N	\N	\N
612629	2087	1995-03-28	VYDAJ	VYBER	12000	35450	\N	\N	\N
612630	2087	1996-02-05	VYDAJ	VYBER	11100	19596	\N	\N	\N
612631	2087	1996-12-01	VYDAJ	VYBER	13500	29295	\N	\N	\N
612632	2087	1996-08-07	VYDAJ	VYBER	6300	33428	\N	\N	\N
612633	2087	1996-06-16	VYDAJ	VYBER	2100	44506	\N	\N	\N
612634	2087	1997-01-18	VYDAJ	VYBER	8700	18212	\N	\N	\N
612636	2087	1998-04-19	VYDAJ	VYBER	9600	57775	\N	\N	\N
612637	2087	1998-03-28	VYDAJ	VYBER	2700	89652	\N	\N	\N
612638	2087	1998-06-12	VYDAJ	VYBER	10500	50766	\N	\N	\N
612639	2087	1998-03-06	VYDAJ	VYBER	5100	93736	\N	\N	\N
612640	2087	1998-05-12	VYDAJ	VYBER	5100	75365	\N	\N	\N
612646	2087	1993-05-31	VYDAJ	VYBER	30	82251	SLUZBY	\N	\N
612647	2087	1993-06-30	VYDAJ	VYBER	30	85218	SLUZBY	\N	\N
612648	2087	1993-07-31	VYDAJ	VYBER	30	72587	SLUZBY	\N	\N
612649	2087	1993-08-31	VYDAJ	VYBER	30	69524	SLUZBY	\N	\N
612650	2087	1993-09-30	VYDAJ	VYBER	30	86477	SLUZBY	\N	\N
612651	2087	1993-10-31	VYDAJ	VYBER	30	130179	SLUZBY	\N	\N
612652	2087	1993-11-30	VYDAJ	VYBER	30	66617	SLUZBY	\N	\N
612653	2087	1993-12-31	VYDAJ	VYBER	30	75638	SLUZBY	\N	\N
612654	2087	1994-01-31	VYDAJ	VYBER	30	31181	SLUZBY	\N	\N
612655	2087	1994-02-28	VYDAJ	VYBER	30	36349	SLUZBY	\N	\N
612656	2087	1994-03-31	VYDAJ	VYBER	30	32570	SLUZBY	\N	\N
612657	2087	1994-04-30	VYDAJ	VYBER	30	52080	SLUZBY	\N	\N
612658	2087	1994-05-31	VYDAJ	VYBER	30	36194	SLUZBY	\N	\N
612659	2087	1994-06-30	VYDAJ	VYBER	30	38441	SLUZBY	\N	\N
612660	2087	1994-07-31	VYDAJ	VYBER	30	35836	SLUZBY	\N	\N
612661	2087	1994-08-31	VYDAJ	VYBER	30	37749	SLUZBY	\N	\N
612662	2087	1994-09-30	VYDAJ	VYBER	30	67025	SLUZBY	\N	\N
612663	2087	1994-10-31	VYDAJ	VYBER	30	46319	SLUZBY	\N	\N
612664	2087	1994-11-30	VYDAJ	VYBER	30	43598	SLUZBY	\N	\N
612665	2087	1994-12-31	VYDAJ	VYBER	30	36329	SLUZBY	\N	\N
612666	2087	1995-01-31	VYDAJ	VYBER	30	42740	SLUZBY	\N	\N
612667	2087	1995-02-28	VYDAJ	VYBER	30	47450	SLUZBY	\N	\N
612668	2087	1995-03-31	VYDAJ	VYBER	30	29409	SLUZBY	\N	\N
612669	2087	1995-04-30	VYDAJ	VYBER	30	32462	SLUZBY	\N	\N
612670	2087	1995-05-31	VYDAJ	VYBER	30	77280	SLUZBY	\N	\N
612671	2087	1995-06-30	VYDAJ	VYBER	30	54168	SLUZBY	\N	\N
612672	2087	1995-07-31	VYDAJ	VYBER	30	52651	SLUZBY	\N	\N
612673	2087	1995-08-31	VYDAJ	VYBER	30	40237	SLUZBY	\N	\N
612674	2087	1995-09-30	VYDAJ	VYBER	30	19048	SLUZBY	\N	\N
612675	2087	1995-10-31	VYDAJ	VYBER	30	64547	SLUZBY	\N	\N
612676	2087	1995-11-30	VYDAJ	VYBER	30	40360	SLUZBY	\N	\N
612677	2087	1995-12-31	VYDAJ	VYBER	30	30385	SLUZBY	\N	\N
612678	2087	1996-01-31	VYDAJ	VYBER	30	30696	SLUZBY	\N	\N
612679	2087	1996-02-29	VYDAJ	VYBER	30	22382	SLUZBY	\N	\N
612680	2087	1996-03-31	VYDAJ	VYBER	30	25943	SLUZBY	\N	\N
612681	2087	1996-04-30	VYDAJ	VYBER	30	43253	SLUZBY	\N	\N
612682	2087	1996-05-31	VYDAJ	VYBER	30	32799	SLUZBY	\N	\N
612683	2087	1996-06-30	VYDAJ	VYBER	30	37724	SLUZBY	\N	\N
612684	2087	1996-07-31	VYDAJ	VYBER	30	39728	SLUZBY	\N	\N
612685	2087	1996-08-31	VYDAJ	VYBER	30	41081	SLUZBY	\N	\N
612686	2087	1996-09-30	VYDAJ	VYBER	30	48949	SLUZBY	\N	\N
612687	2087	1996-10-31	VYDAJ	VYBER	30	47033	SLUZBY	\N	\N
612688	2087	1996-11-30	VYDAJ	VYBER	30	42795	SLUZBY	\N	\N
612689	2087	1996-12-31	VYDAJ	VYBER	30	31712	SLUZBY	\N	\N
612690	2087	1997-01-31	VYDAJ	VYBER	30	10453	SLUZBY	\N	\N
612691	2087	1997-02-28	VYDAJ	VYBER	30	25065	SLUZBY	\N	\N
612692	2087	1997-03-31	VYDAJ	VYBER	30	20664	SLUZBY	\N	\N
612693	2087	1997-04-30	VYDAJ	VYBER	30	25558	SLUZBY	\N	\N
612694	2087	1997-05-31	VYDAJ	VYBER	30	20886	SLUZBY	\N	\N
612695	2087	1997-06-30	VYDAJ	VYBER	30	15803	SLUZBY	\N	\N
612696	2087	1997-07-31	VYDAJ	VYBER	30	5665	SLUZBY	\N	\N
612697	2087	1997-08-31	VYDAJ	VYBER	30	3476	SLUZBY	\N	\N
612698	2087	1997-09-30	VYDAJ	VYBER	30	16357	SLUZBY	\N	\N
612699	2087	1997-10-31	VYDAJ	VYBER	30	24491	SLUZBY	\N	\N
612700	2087	1997-11-30	VYDAJ	VYBER	30	28358	SLUZBY	\N	\N
612701	2087	1997-12-31	VYDAJ	VYBER	30	25634	SLUZBY	\N	\N
612702	2087	1998-01-31	VYDAJ	VYBER	30	70670	SLUZBY	\N	\N
612703	2087	1998-02-28	VYDAJ	VYBER	30	98836	SLUZBY	\N	\N
612704	2087	1998-03-31	VYDAJ	VYBER	30	89975	SLUZBY	\N	\N
612705	2087	1998-04-30	VYDAJ	VYBER	30	107765	SLUZBY	\N	\N
612706	2087	1998-05-31	VYDAJ	VYBER	30	76298	SLUZBY	\N	\N
612707	2087	1998-06-30	VYDAJ	VYBER	30	81309	SLUZBY	\N	\N
612708	2087	1998-07-31	VYDAJ	VYBER	30	92709	SLUZBY	\N	\N
612709	2087	1998-08-31	VYDAJ	VYBER	30	71755	SLUZBY	\N	\N
612710	2087	1998-09-30	VYDAJ	VYBER	30	72556	SLUZBY	\N	\N
612711	2087	1998-10-31	VYDAJ	VYBER	30	119590	SLUZBY	\N	\N
612712	2087	1998-11-30	VYDAJ	VYBER	30	92392	SLUZBY	\N	\N
612713	2087	1993-02-07	PRIJEM	VKLAD	1800	19390	\N	\N	\N
612714	2087	1993-03-09	VYDAJ	VYBER	6500	27629	\N	\N	\N
612715	2087	1993-04-08	VYDAJ	VYBER	2300	25471	\N	\N	\N
612716	2087	1993-05-08	PRIJEM	VKLAD	1300	26913	\N	\N	\N
612717	2087	1993-05-31	VYDAJ	VYBER	25900	82281	\N	\N	\N
612718	2087	1993-06-07	VYDAJ	VYBER	29100	53151	\N	\N	\N
612719	2087	1993-07-07	VYDAJ	VYBER	33000	89816	\N	\N	\N
612720	2087	1993-07-07	VYDAJ	VYBER	30200	59616	\N	\N	\N
612721	2087	1993-08-03	VYDAJ	VYBER	30300	95689	\N	\N	\N
612722	2087	1993-08-06	VYDAJ	VYBER	33900	61789	\N	\N	\N
612723	2087	1993-09-05	VYDAJ	VYBER	20300	49224	\N	\N	\N
612724	2087	1993-09-29	VYDAJ	VYBER	32600	86188	\N	\N	\N
612725	2087	1993-10-02	VYDAJ	VYBER	59100	48642	\N	\N	\N
612726	2087	1993-10-05	VYDAJ	VYBER	15300	45726	\N	\N	\N
612727	2087	1993-10-31	VYDAJ	VYBER	63700	66479	\N	\N	\N
612728	2087	1993-11-04	VYDAJ	VYBER	22500	43979	\N	\N	\N
612729	2087	1993-12-03	VYDAJ	VYBER	31400	94197	\N	\N	\N
612730	2087	1993-12-04	VYDAJ	VYBER	33700	60497	\N	\N	\N
612731	2087	1994-01-03	VYDAJ	VYBER	24300	51338	\N	\N	\N
612732	2087	1994-02-02	VYDAJ	VYBER	4500	26681	\N	\N	\N
612733	2087	1994-03-04	VYDAJ	VYBER	3900	32449	\N	\N	\N
612734	2087	1994-04-03	VYDAJ	VYBER	300	32270	\N	\N	\N
612735	2087	1994-05-03	VYDAJ	VYBER	10400	41680	\N	\N	\N
612736	2087	1994-06-02	VYDAJ	VYBER	2800	33394	\N	\N	\N
612737	2087	1994-07-02	VYDAJ	VYBER	7700	30741	\N	\N	\N
612738	2087	1994-08-01	VYDAJ	VYBER	2900	32936	\N	\N	\N
612739	2087	1994-08-31	VYDAJ	VYBER	10900	37779	\N	\N	\N
612740	2087	1994-09-30	VYDAJ	VYBER	18500	48525	\N	\N	\N
612741	2087	1994-10-30	VYDAJ	VYBER	13300	46148	\N	\N	\N
612742	2087	1994-11-29	VYDAJ	VYBER	11700	43437	\N	\N	\N
612743	2087	1994-12-18	VYDAJ	VYBER	59900	58813	\N	\N	\N
612744	2087	1994-12-29	VYDAJ	VYBER	10800	36013	\N	\N	\N
612745	2087	1995-01-28	VYDAJ	VYBER	10000	42613	\N	\N	\N
612746	2087	1995-02-27	VYDAJ	VYBER	20100	47302	\N	\N	\N
612747	2087	1995-03-29	VYDAJ	VYBER	6200	29250	\N	\N	\N
612748	2087	1995-04-28	VYDAJ	VYBER	10500	32369	\N	\N	\N
612749	2087	1995-05-28	VYDAJ	VYBER	26100	54172	\N	\N	\N
612750	2087	1995-06-27	VYDAJ	VYBER	23400	53880	\N	\N	\N
612751	2087	1995-07-27	VYDAJ	VYBER	29200	52459	\N	\N	\N
612752	2087	1995-08-26	VYDAJ	VYBER	12600	40051	\N	\N	\N
612753	2087	1995-09-25	VYDAJ	VYBER	7600	32637	\N	\N	\N
612754	2087	1995-10-25	PRIJEM	VKLAD	5700	16648	\N	\N	\N
612755	2087	1995-11-24	VYDAJ	VYBER	16600	40147	\N	\N	\N
612756	2087	1995-12-24	VYDAJ	VYBER	8000	30260	\N	\N	\N
612757	2087	1996-01-23	VYDAJ	VYBER	8300	34148	\N	\N	\N
612758	2087	1996-02-22	PRIJEM	VKLAD	2700	22296	\N	\N	\N
612759	2087	1996-03-23	PRIJEM	VKLAD	3500	25882	\N	\N	\N
612760	2087	1996-04-22	VYDAJ	VYBER	20500	43151	\N	\N	\N
612761	2087	1996-05-22	VYDAJ	VYBER	10600	32653	\N	\N	\N
612762	2087	1996-06-21	VYDAJ	VYBER	6900	37606	\N	\N	\N
612763	2087	1996-07-21	VYDAJ	VYBER	21200	55407	\N	\N	\N
612764	2087	1996-08-20	VYDAJ	VYBER	1500	31928	\N	\N	\N
612765	2087	1996-09-19	VYDAJ	VYBER	13000	48781	\N	\N	\N
612766	2087	1996-10-19	VYDAJ	VYBER	27400	67772	\N	\N	\N
612767	2087	1996-11-18	VYDAJ	VYBER	4400	42633	\N	\N	\N
612768	2087	1996-12-18	PRIJEM	VKLAD	10400	31595	\N	\N	\N
612769	2087	1997-01-17	PRIJEM	VKLAD	15300	26912	\N	\N	\N
612770	2087	1997-02-16	PRIJEM	VKLAD	14600	25053	\N	\N	\N
612771	2087	1997-03-18	PRIJEM	VKLAD	8400	28646	\N	\N	\N
612772	2087	1997-04-17	PRIJEM	VKLAD	8500	25497	\N	\N	\N
612773	2087	1997-05-17	PRIJEM	VKLAD	15400	24948	\N	\N	\N
612774	2087	1997-06-16	PRIJEM	VKLAD	6800	27686	\N	\N	\N
612775	2087	1997-07-16	PRIJEM	VKLAD	8000	23803	\N	\N	\N
612776	2087	1997-08-15	PRIJEM	VKLAD	9700	15365	\N	\N	\N
612777	2087	1997-09-14	PRIJEM	VKLAD	12900	16376	\N	\N	\N
612778	2087	1997-10-14	PRIJEM	VKLAD	8100	24457	\N	\N	\N
612779	2087	1997-11-13	PRIJEM	VKLAD	3800	28291	\N	\N	\N
612780	2087	1997-12-13	PRIJEM	VKLAD	3200	31558	\N	\N	\N
612781	2087	1998-01-12	PRIJEM	VKLAD	6000	24134	\N	\N	\N
612782	2087	1998-02-11	VYDAJ	VYBER	18100	52570	\N	\N	\N
612783	2087	1998-03-13	VYDAJ	VYBER	25300	68436	\N	\N	\N
612784	2087	1998-04-12	VYDAJ	VYBER	22600	67375	\N	\N	\N
612785	2087	1998-05-12	VYDAJ	VYBER	27300	80465	\N	\N	\N
612786	2087	1998-05-29	VYDAJ	VYBER	36700	75964	\N	\N	\N
612787	2087	1998-06-11	VYDAJ	VYBER	10300	65998	\N	\N	\N
612788	2087	1998-07-11	VYDAJ	VYBER	31900	81848	\N	\N	\N
612789	2087	1998-08-10	VYDAJ	VYBER	21300	71409	\N	\N	\N
612790	2087	1998-09-09	VYDAJ	VYBER	6800	64955	\N	\N	\N
612791	2087	1998-10-09	VYDAJ	VYBER	10300	62256	\N	\N	\N
612792	2087	1998-10-25	VYDAJ	VYBER	15000	119265	\N	\N	\N
612793	2087	1998-10-31	VYDAJ	VYBER	43100	76490	\N	\N	\N
612794	2087	1998-11-08	VYDAJ	VYBER	14200	62290	\N	\N	\N
612795	2087	1998-12-08	VYDAJ	VYBER	18500	68792	\N	\N	\N
612870	2088	1993-07-28	PRIJEM	VKLAD	400	400	\N	\N	\N
612878	2088	1993-08-07	PRIJEM	VKLAD	4861	5261	\N	\N	\N
612879	2088	1993-09-07	PRIJEM	VKLAD	4861	17531	\N	\N	\N
612880	2088	1993-10-07	PRIJEM	VKLAD	4861	27151	\N	\N	\N
612881	2088	1993-11-07	PRIJEM	VKLAD	4861	30507	\N	\N	\N
612882	2088	1993-12-07	PRIJEM	VKLAD	7292	36609	\N	\N	\N
612883	2088	1994-01-07	PRIJEM	VKLAD	4861	20774	\N	\N	\N
612884	2088	1994-02-07	PRIJEM	VKLAD	4861	24797	\N	\N	\N
612885	2088	1994-03-07	PRIJEM	VKLAD	4861	28894	\N	\N	\N
612886	2088	1994-04-07	PRIJEM	VKLAD	4861	31507	\N	\N	\N
612887	2088	1994-05-07	PRIJEM	VKLAD	4861	32837	\N	\N	\N
612888	2088	1994-06-07	PRIJEM	VKLAD	7292	32491	\N	\N	\N
612889	2088	1994-07-07	PRIJEM	VKLAD	4861	34123	\N	\N	\N
612890	2088	1994-08-07	PRIJEM	VKLAD	4861	34863	\N	\N	\N
612891	2088	1994-09-07	PRIJEM	VKLAD	4861	33027	\N	\N	\N
612892	2088	1994-10-07	PRIJEM	VKLAD	4861	26278	\N	\N	\N
612893	2088	1994-11-07	PRIJEM	VKLAD	4861	28090	\N	\N	\N
612894	2088	1994-12-07	PRIJEM	VKLAD	7292	25868	\N	\N	\N
612895	2088	1995-01-07	PRIJEM	VKLAD	4861	24476	\N	\N	\N
612896	2088	1995-02-07	PRIJEM	VKLAD	4861	20822	\N	\N	\N
612897	2088	1995-03-07	PRIJEM	VKLAD	4861	23431	\N	\N	\N
612898	2088	1995-04-07	PRIJEM	VKLAD	4861	28124	\N	\N	\N
612899	2088	1995-05-07	PRIJEM	VKLAD	4861	29332	\N	\N	\N
612900	2088	1995-06-07	PRIJEM	VKLAD	7292	31478	\N	\N	\N
612901	2088	1995-07-07	PRIJEM	VKLAD	4861	27402	\N	\N	\N
612902	2088	1995-08-07	PRIJEM	VKLAD	4861	30916	\N	\N	\N
612903	2088	1995-09-07	PRIJEM	VKLAD	4861	31433	\N	\N	\N
612904	2088	1995-10-07	PRIJEM	VKLAD	4861	35464	\N	\N	\N
612905	2088	1995-11-07	PRIJEM	VKLAD	4861	35904	\N	\N	\N
612906	2088	1995-12-07	PRIJEM	VKLAD	7292	32544	\N	\N	\N
612907	2088	1996-01-07	PRIJEM	VKLAD	4861	32288	\N	\N	\N
612908	2088	1996-02-07	PRIJEM	VKLAD	4861	24713	\N	\N	\N
612909	2088	1996-03-07	PRIJEM	VKLAD	4861	27612	\N	\N	\N
612910	2088	1996-04-07	PRIJEM	VKLAD	4861	30123	\N	\N	\N
612911	2088	1996-05-07	PRIJEM	VKLAD	4861	30138	\N	\N	\N
612912	2088	1996-06-07	PRIJEM	VKLAD	7292	34188	\N	\N	\N
612913	2088	1996-07-07	PRIJEM	VKLAD	4861	33715	\N	\N	\N
612914	2088	1996-08-07	PRIJEM	VKLAD	4861	31237	\N	\N	\N
612915	2088	1996-09-07	PRIJEM	VKLAD	4861	28345	\N	\N	\N
612916	2088	1996-10-07	PRIJEM	VKLAD	4861	25139	\N	\N	\N
612917	2088	1996-11-07	PRIJEM	VKLAD	4861	27036	\N	\N	\N
612918	2088	1996-12-07	PRIJEM	VKLAD	7292	26957	\N	\N	\N
612919	2088	1997-01-07	PRIJEM	VKLAD	4861	22298	\N	\N	\N
612920	2088	1997-02-07	PRIJEM	VKLAD	4861	20089	\N	\N	\N
612921	2088	1997-03-07	PRIJEM	VKLAD	4861	22373	\N	\N	\N
612922	2088	1997-04-07	PRIJEM	VKLAD	4861	25963	\N	\N	\N
612923	2088	1997-05-07	PRIJEM	VKLAD	4861	28063	\N	\N	\N
612924	2088	1997-06-07	PRIJEM	VKLAD	7292	32000	\N	\N	\N
612925	2088	1997-07-07	PRIJEM	VKLAD	4861	20007	\N	\N	\N
612926	2088	1997-08-07	PRIJEM	VKLAD	4861	20191	\N	\N	\N
612927	2088	1997-09-07	PRIJEM	VKLAD	4861	19766	\N	\N	\N
612928	2088	1997-10-07	PRIJEM	VKLAD	4861	21440	\N	\N	\N
612929	2088	1997-11-07	PRIJEM	VKLAD	4861	23129	\N	\N	\N
612930	2088	1997-12-07	PRIJEM	VKLAD	7292	22346	\N	\N	\N
612931	2088	1998-01-07	PRIJEM	VKLAD	4861	18428	\N	\N	\N
612932	2088	1998-02-07	PRIJEM	VKLAD	4861	19809	\N	\N	\N
612933	2088	1998-03-07	PRIJEM	VKLAD	4861	21481	\N	\N	\N
612934	2088	1998-04-07	PRIJEM	VKLAD	4861	23171	\N	\N	\N
612935	2088	1998-05-07	PRIJEM	VKLAD	4861	19956	\N	\N	\N
612936	2088	1998-06-07	PRIJEM	VKLAD	7292	24063	\N	\N	\N
612937	2088	1998-07-07	PRIJEM	VKLAD	4861	25750	\N	\N	\N
612938	2088	1998-08-07	PRIJEM	VKLAD	4861	27447	\N	\N	\N
612939	2088	1998-09-07	PRIJEM	VKLAD	4861	20866	\N	\N	\N
612940	2088	1998-10-07	PRIJEM	VKLAD	4861	20981	\N	\N	\N
612941	2088	1998-11-07	PRIJEM	VKLAD	4861	20745	\N	\N	\N
612942	2088	1998-12-07	PRIJEM	VKLAD	7292	23411	\N	\N	\N
612954	2088	1993-12-07	VYDAJ	PREVOD NA UCET	3240	33369	SIPO	AB	86339223
612955	2088	1994-01-07	VYDAJ	PREVOD NA UCET	3240	17534	SIPO	AB	86339223
612956	2088	1994-02-07	VYDAJ	PREVOD NA UCET	3240	21557	SIPO	AB	86339223
612957	2088	1994-03-07	VYDAJ	PREVOD NA UCET	3240	25654	SIPO	AB	86339223
612958	2088	1994-04-07	VYDAJ	PREVOD NA UCET	3240	28267	SIPO	AB	86339223
612959	2088	1994-05-07	VYDAJ	PREVOD NA UCET	3240	29597	SIPO	AB	86339223
612960	2088	1994-06-07	VYDAJ	PREVOD NA UCET	3240	29251	SIPO	AB	86339223
612961	2088	1994-07-07	VYDAJ	PREVOD NA UCET	3240	30883	SIPO	AB	86339223
612962	2088	1994-08-07	VYDAJ	PREVOD NA UCET	3240	31623	SIPO	AB	86339223
612963	2088	1994-09-07	VYDAJ	PREVOD NA UCET	3240	29787	SIPO	AB	86339223
612964	2088	1994-10-07	VYDAJ	PREVOD NA UCET	3240	23038	SIPO	AB	86339223
612965	2088	1994-11-07	VYDAJ	PREVOD NA UCET	3240	24850	SIPO	AB	86339223
612966	2088	1994-12-07	VYDAJ	PREVOD NA UCET	3240	22628	SIPO	AB	86339223
612967	2088	1995-01-07	VYDAJ	PREVOD NA UCET	3240	21236	SIPO	AB	86339223
612968	2088	1995-02-07	VYDAJ	PREVOD NA UCET	3240	17582	SIPO	AB	86339223
612969	2088	1995-03-07	VYDAJ	PREVOD NA UCET	3240	20191	SIPO	AB	86339223
612970	2088	1995-04-07	VYDAJ	PREVOD NA UCET	3240	24884	SIPO	AB	86339223
612971	2088	1995-05-07	VYDAJ	PREVOD NA UCET	3240	26092	SIPO	AB	86339223
612972	2088	1995-06-07	VYDAJ	PREVOD NA UCET	3240	28238	SIPO	AB	86339223
612973	2088	1995-07-07	VYDAJ	PREVOD NA UCET	3240	24162	SIPO	AB	86339223
612974	2088	1995-08-07	VYDAJ	PREVOD NA UCET	3240	27676	SIPO	AB	86339223
612975	2088	1995-09-07	VYDAJ	PREVOD NA UCET	3240	28193	SIPO	AB	86339223
612976	2088	1995-10-07	VYDAJ	PREVOD NA UCET	3240	32224	SIPO	AB	86339223
612977	2088	1995-11-07	VYDAJ	PREVOD NA UCET	3240	32664	SIPO	AB	86339223
612978	2088	1995-12-07	VYDAJ	PREVOD NA UCET	3240	29304	SIPO	AB	86339223
612979	2088	1996-01-07	VYDAJ	PREVOD NA UCET	3240	29048	SIPO	AB	86339223
612980	2088	1996-02-07	VYDAJ	PREVOD NA UCET	3240	21473	SIPO	AB	86339223
612981	2088	1996-03-07	VYDAJ	PREVOD NA UCET	3240	24372	SIPO	AB	86339223
612982	2088	1996-04-07	VYDAJ	PREVOD NA UCET	3240	26883	SIPO	AB	86339223
612983	2088	1996-05-07	VYDAJ	PREVOD NA UCET	3240	26898	SIPO	AB	86339223
612984	2088	1996-06-07	VYDAJ	PREVOD NA UCET	3240	30948	SIPO	AB	86339223
612985	2088	1996-07-07	VYDAJ	PREVOD NA UCET	3240	30475	SIPO	AB	86339223
612986	2088	1996-08-07	VYDAJ	PREVOD NA UCET	3240	27997	SIPO	AB	86339223
612987	2088	1996-09-07	VYDAJ	PREVOD NA UCET	3240	25105	SIPO	AB	86339223
612988	2088	1996-10-07	VYDAJ	PREVOD NA UCET	3240	21899	SIPO	AB	86339223
612989	2088	1996-11-07	VYDAJ	PREVOD NA UCET	3240	23796	SIPO	AB	86339223
612990	2088	1996-12-07	VYDAJ	PREVOD NA UCET	3240	23717	SIPO	AB	86339223
612991	2088	1997-01-07	VYDAJ	PREVOD NA UCET	3240	19058	SIPO	AB	86339223
612992	2088	1997-02-07	VYDAJ	PREVOD NA UCET	3240	17449	SIPO	AB	86339223
612993	2088	1997-03-07	VYDAJ	PREVOD NA UCET	3240	19133	SIPO	AB	86339223
612994	2088	1997-04-07	VYDAJ	PREVOD NA UCET	3240	22723	SIPO	AB	86339223
612995	2088	1997-05-07	VYDAJ	PREVOD NA UCET	3240	24823	SIPO	AB	86339223
612996	2088	1997-06-07	VYDAJ	PREVOD NA UCET	3240	28760	SIPO	AB	86339223
612997	2088	1997-07-07	VYDAJ	PREVOD NA UCET	3240	17967	SIPO	AB	86339223
612998	2088	1997-08-07	VYDAJ	PREVOD NA UCET	3240	16951	SIPO	AB	86339223
612999	2088	1997-09-07	VYDAJ	PREVOD NA UCET	3240	16526	SIPO	AB	86339223
613000	2088	1997-10-07	VYDAJ	PREVOD NA UCET	3240	18200	SIPO	AB	86339223
613001	2088	1997-11-07	VYDAJ	PREVOD NA UCET	3240	19889	SIPO	AB	86339223
613002	2088	1997-12-07	VYDAJ	PREVOD NA UCET	3240	19106	SIPO	AB	86339223
613003	2088	1998-01-07	VYDAJ	PREVOD NA UCET	3240	15188	SIPO	AB	86339223
613004	2088	1998-02-07	VYDAJ	PREVOD NA UCET	3240	16569	SIPO	AB	86339223
613005	2088	1998-03-07	VYDAJ	PREVOD NA UCET	3240	18241	SIPO	AB	86339223
613006	2088	1998-04-07	VYDAJ	PREVOD NA UCET	3240	19931	SIPO	AB	86339223
613007	2088	1998-05-07	VYDAJ	PREVOD NA UCET	3240	16716	SIPO	AB	86339223
613008	2088	1998-06-07	VYDAJ	PREVOD NA UCET	3240	20823	SIPO	AB	86339223
613009	2088	1998-07-07	VYDAJ	PREVOD NA UCET	3240	22510	SIPO	AB	86339223
613010	2088	1998-08-07	VYDAJ	PREVOD NA UCET	3240	20727	SIPO	AB	86339223
613011	2088	1998-09-07	VYDAJ	PREVOD NA UCET	3240	17626	SIPO	AB	86339223
613012	2088	1998-10-07	VYDAJ	PREVOD NA UCET	3240	17741	SIPO	AB	86339223
613013	2088	1998-11-07	VYDAJ	PREVOD NA UCET	3240	17505	SIPO	AB	86339223
613014	2088	1998-12-07	VYDAJ	PREVOD NA UCET	3240	20171	SIPO	AB	86339223
613017	2088	1995-06-28	VYDAJ	VYBER	6400	22438	\N	\N	\N
613021	2088	1993-12-08	VYDAJ	VYBER	4480	28889	\N	\N	\N
613022	2088	1994-12-23	VYDAJ	VYBER	4160	22168	\N	\N	\N
613023	2088	1995-12-25	VYDAJ	VYBER	1760	28044	\N	\N	\N
613024	2088	1996-12-08	VYDAJ	VYBER	3840	19877	\N	\N	\N
613025	2088	1997-12-02	VYDAJ	VYBER	1600	18354	\N	\N	\N
613026	2088	1998-12-03	VYDAJ	VYBER	1440	16119	\N	\N	\N
613033	2088	1994-01-02	VYDAJ	VYBER	2880	17713	\N	\N	\N
613034	2088	1994-01-01	VYDAJ	VYBER	1320	20593	\N	\N	\N
613035	2088	1994-01-05	VYDAJ	VYBER	1800	15913	\N	\N	\N
613036	2088	1994-01-17	VYDAJ	VYBER	1200	13574	\N	\N	\N
613038	2088	1994-01-07	VYDAJ	VYBER	2760	14774	\N	\N	\N
613039	2088	1995-01-29	VYDAJ	VYBER	1200	15896	\N	\N	\N
613040	2088	1995-01-13	VYDAJ	VYBER	2520	18716	\N	\N	\N
613041	2088	1995-01-15	VYDAJ	VYBER	600	18116	\N	\N	\N
613042	2088	1995-01-24	VYDAJ	VYBER	2520	17096	\N	\N	\N
613043	2088	1995-01-19	VYDAJ	VYBER	600	19616	\N	\N	\N
613044	2088	1995-01-05	VYDAJ	VYBER	840	19615	\N	\N	\N
613045	2088	1996-01-05	VYDAJ	VYBER	720	27427	\N	\N	\N
613046	2088	1996-01-11	VYDAJ	VYBER	2520	21728	\N	\N	\N
613047	2088	1996-01-23	VYDAJ	VYBER	1680	19768	\N	\N	\N
613048	2088	1996-01-23	VYDAJ	VYBER	1800	21448	\N	\N	\N
613049	2088	1996-01-23	VYDAJ	VYBER	1440	23248	\N	\N	\N
613050	2088	1996-01-15	VYDAJ	VYBER	1440	24688	\N	\N	\N
613051	2088	1997-01-14	VYDAJ	VYBER	1080	15178	\N	\N	\N
613056	2088	1997-01-07	VYDAJ	VYBER	2400	16658	\N	\N	\N
613071	2088	1994-12-30	VYDAJ	VYBER	1800	20368	\N	\N	\N
613072	2088	1994-12-06	VYDAJ	VYBER	5760	18576	\N	\N	\N
613073	2088	1994-09-30	VYDAJ	VYBER	5280	21417	\N	\N	\N
613074	2088	1994-01-01	VYDAJ	VYBER	4680	21913	\N	\N	\N
613075	2088	1994-08-08	VYDAJ	VYBER	3960	27663	\N	\N	\N
613076	2088	1995-11-17	VYDAJ	VYBER	4920	25144	\N	\N	\N
613077	2088	1995-02-23	VYDAJ	VYBER	4680	18502	\N	\N	\N
613078	2088	1996-01-08	VYDAJ	VYBER	4800	24248	\N	\N	\N
613079	2088	1997-06-17	VYDAJ	VYBER	2040	15080	\N	\N	\N
613081	2088	1997-06-11	VYDAJ	VYBER	2160	20000	\N	\N	\N
613082	2088	1997-08-26	VYDAJ	VYBER	600	16351	\N	\N	\N
613084	2088	1997-06-16	VYDAJ	VYBER	2880	17120	\N	\N	\N
613085	2088	1998-08-07	VYDAJ	VYBER	3480	23967	\N	\N	\N
613086	2088	1998-08-29	VYDAJ	VYBER	4800	15927	\N	\N	\N
613088	2088	1998-10-28	VYDAJ	VYBER	1920	15821	\N	\N	\N
613089	2088	1998-09-30	VYDAJ	VYBER	1560	16120	\N	\N	\N
613102	2088	1993-12-31	VYDAJ	VYBER	15	26593	SLUZBY	\N	\N
613103	2088	1994-01-31	VYDAJ	VYBER	15	19936	SLUZBY	\N	\N
613104	2088	1994-02-28	VYDAJ	VYBER	15	24033	SLUZBY	\N	\N
613105	2088	1994-03-31	VYDAJ	VYBER	15	26646	SLUZBY	\N	\N
613106	2088	1994-04-30	VYDAJ	VYBER	15	27976	SLUZBY	\N	\N
613107	2088	1994-05-31	VYDAJ	VYBER	15	25199	SLUZBY	\N	\N
613108	2088	1994-06-30	VYDAJ	VYBER	15	29262	SLUZBY	\N	\N
613109	2088	1994-07-31	VYDAJ	VYBER	15	30002	SLUZBY	\N	\N
613110	2088	1994-08-31	VYDAJ	VYBER	15	28166	SLUZBY	\N	\N
613111	2088	1994-09-30	VYDAJ	VYBER	15	26697	SLUZBY	\N	\N
613112	2088	1994-10-31	VYDAJ	VYBER	15	23229	SLUZBY	\N	\N
613113	2088	1994-11-30	VYDAJ	VYBER	15	24336	SLUZBY	\N	\N
613114	2088	1994-12-31	VYDAJ	VYBER	15	20455	SLUZBY	\N	\N
613115	2088	1995-01-31	VYDAJ	VYBER	15	15961	SLUZBY	\N	\N
613116	2088	1995-02-28	VYDAJ	VYBER	15	18570	SLUZBY	\N	\N
613117	2088	1995-03-31	VYDAJ	VYBER	15	23263	SLUZBY	\N	\N
613118	2088	1995-04-30	VYDAJ	VYBER	15	24471	SLUZBY	\N	\N
613119	2088	1995-05-31	VYDAJ	VYBER	15	24186	SLUZBY	\N	\N
613120	2088	1995-06-30	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
613121	2088	1995-07-31	VYDAJ	VYBER	15	26055	SLUZBY	\N	\N
613122	2088	1995-08-31	VYDAJ	VYBER	15	26572	SLUZBY	\N	\N
613123	2088	1995-09-30	VYDAJ	VYBER	15	30603	SLUZBY	\N	\N
613124	2088	1995-10-31	VYDAJ	VYBER	15	31043	SLUZBY	\N	\N
613125	2088	1995-11-30	VYDAJ	VYBER	15	25252	SLUZBY	\N	\N
613126	2088	1995-12-31	VYDAJ	VYBER	15	28147	SLUZBY	\N	\N
613127	2088	1996-01-31	VYDAJ	VYBER	15	19852	SLUZBY	\N	\N
613128	2088	1996-02-29	VYDAJ	VYBER	15	22751	SLUZBY	\N	\N
613129	2088	1996-03-31	VYDAJ	VYBER	15	25262	SLUZBY	\N	\N
613130	2088	1996-04-30	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
613131	2088	1996-05-31	VYDAJ	VYBER	15	26896	SLUZBY	\N	\N
613132	2088	1996-06-30	VYDAJ	VYBER	15	28854	SLUZBY	\N	\N
613133	2088	1996-07-31	VYDAJ	VYBER	15	26376	SLUZBY	\N	\N
613134	2088	1996-08-31	VYDAJ	VYBER	15	23484	SLUZBY	\N	\N
613135	2088	1996-09-30	VYDAJ	VYBER	15	20278	SLUZBY	\N	\N
613136	2088	1996-10-31	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
613137	2088	1996-11-30	VYDAJ	VYBER	15	19665	SLUZBY	\N	\N
613138	2088	1996-12-31	VYDAJ	VYBER	15	17437	SLUZBY	\N	\N
613139	2088	1997-01-31	VYDAJ	VYBER	15	15228	SLUZBY	\N	\N
613140	2088	1997-02-28	VYDAJ	VYBER	15	17512	SLUZBY	\N	\N
613141	2088	1997-03-31	VYDAJ	VYBER	15	21102	SLUZBY	\N	\N
613142	2088	1997-04-30	VYDAJ	VYBER	15	23202	SLUZBY	\N	\N
613143	2088	1997-05-31	VYDAJ	VYBER	15	24708	SLUZBY	\N	\N
613144	2088	1997-06-30	VYDAJ	VYBER	15	15146	SLUZBY	\N	\N
613145	2088	1997-07-31	VYDAJ	VYBER	15	18030	SLUZBY	\N	\N
613146	2088	1997-08-31	VYDAJ	VYBER	15	16405	SLUZBY	\N	\N
613147	2088	1997-09-30	VYDAJ	VYBER	15	16579	SLUZBY	\N	\N
613148	2088	1997-10-31	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
613149	2088	1997-11-30	VYDAJ	VYBER	15	19954	SLUZBY	\N	\N
613150	2088	1997-12-31	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
613151	2088	1998-01-31	VYDAJ	VYBER	15	15248	SLUZBY	\N	\N
613152	2088	1998-02-28	VYDAJ	VYBER	15	16620	SLUZBY	\N	\N
613153	2088	1998-03-31	VYDAJ	VYBER	15	18310	SLUZBY	\N	\N
613154	2088	1998-04-30	VYDAJ	VYBER	15	19995	SLUZBY	\N	\N
613155	2088	1998-05-31	VYDAJ	VYBER	15	16771	SLUZBY	\N	\N
613156	2088	1998-06-30	VYDAJ	VYBER	15	20889	SLUZBY	\N	\N
613157	2088	1998-07-31	VYDAJ	VYBER	15	22586	SLUZBY	\N	\N
613158	2088	1998-08-31	VYDAJ	VYBER	15	16005	SLUZBY	\N	\N
613159	2088	1998-09-30	VYDAJ	VYBER	15	17680	SLUZBY	\N	\N
613160	2088	1998-10-31	VYDAJ	VYBER	15	15884	SLUZBY	\N	\N
613161	2088	1998-11-30	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
613162	2088	1993-08-27	PRIJEM	VKLAD	7400	12661	\N	\N	\N
613163	2088	1993-09-26	PRIJEM	VKLAD	4700	22231	\N	\N	\N
613164	2088	1993-10-26	VYDAJ	VYBER	1600	25551	\N	\N	\N
613165	2088	1993-11-25	VYDAJ	VYBER	1300	29207	\N	\N	\N
613166	2088	1993-12-25	VYDAJ	VYBER	2400	26489	\N	\N	\N
613167	2088	1994-01-24	PRIJEM	VKLAD	6300	19874	\N	\N	\N
613168	2088	1994-02-23	PRIJEM	VKLAD	2400	23957	\N	\N	\N
613169	2088	1994-03-25	PRIJEM	VKLAD	900	26554	\N	\N	\N
613170	2088	1994-04-24	VYDAJ	VYBER	400	27867	\N	\N	\N
613171	2088	1994-05-24	VYDAJ	VYBER	4500	25097	\N	\N	\N
613172	2088	1994-06-23	VYDAJ	VYBER	100	29151	\N	\N	\N
613173	2088	1994-07-23	VYDAJ	VYBER	1000	29883	\N	\N	\N
613174	2088	1994-08-22	PRIJEM	VKLAD	400	28063	\N	\N	\N
613175	2088	1994-09-21	VYDAJ	VYBER	3200	26587	\N	\N	\N
613176	2088	1994-10-21	PRIJEM	VKLAD	100	23138	\N	\N	\N
613177	2088	1994-11-20	VYDAJ	VYBER	600	24250	\N	\N	\N
613178	2088	1994-12-20	PRIJEM	VKLAD	3700	26328	\N	\N	\N
613179	2088	1995-01-19	PRIJEM	VKLAD	2100	20216	\N	\N	\N
613180	2088	1995-02-18	PRIJEM	VKLAD	5600	23182	\N	\N	\N
613181	2088	1995-03-20	PRIJEM	VKLAD	3000	23191	\N	\N	\N
613182	2088	1995-04-19	VYDAJ	VYBER	500	24384	\N	\N	\N
613183	2088	1995-05-19	VYDAJ	VYBER	2000	24092	\N	\N	\N
613184	2088	1995-06-18	PRIJEM	VKLAD	600	28838	\N	\N	\N
613185	2088	1995-07-18	PRIJEM	VKLAD	1800	25962	\N	\N	\N
613186	2088	1995-08-17	VYDAJ	VYBER	1200	26476	\N	\N	\N
613187	2088	1995-09-16	PRIJEM	VKLAD	2300	30493	\N	\N	\N
613188	2088	1995-10-16	VYDAJ	VYBER	1300	30924	\N	\N	\N
613189	2088	1995-11-15	VYDAJ	VYBER	2600	30064	\N	\N	\N
613190	2088	1995-12-15	PRIJEM	VKLAD	500	29804	\N	\N	\N
613191	2088	1996-01-14	PRIJEM	VKLAD	4400	26128	\N	\N	\N
613192	2088	1996-02-13	PRIJEM	VKLAD	1200	22673	\N	\N	\N
613193	2088	1996-03-14	PRIJEM	VKLAD	800	25172	\N	\N	\N
613194	2088	1996-04-13	VYDAJ	VYBER	1700	25183	\N	\N	\N
613195	2088	1996-05-13	VYDAJ	VYBER	100	26798	\N	\N	\N
613196	2088	1996-06-12	VYDAJ	VYBER	2200	28748	\N	\N	\N
613197	2088	1996-07-12	VYDAJ	VYBER	4200	26275	\N	\N	\N
613198	2088	1996-08-11	VYDAJ	VYBER	4600	23397	\N	\N	\N
613199	2088	1996-09-10	VYDAJ	VYBER	4900	20205	\N	\N	\N
613200	2088	1996-10-10	PRIJEM	VKLAD	200	22099	\N	\N	\N
613201	2088	1996-11-09	VYDAJ	VYBER	4200	19596	\N	\N	\N
613202	2088	1996-12-09	VYDAJ	VYBER	2500	17377	\N	\N	\N
613203	2088	1997-01-08	VYDAJ	VYBER	400	16258	\N	\N	\N
613204	2088	1997-02-07	PRIJEM	VKLAD	600	20689	\N	\N	\N
613205	2088	1997-03-09	PRIJEM	VKLAD	1900	21033	\N	\N	\N
613206	2088	1997-04-08	PRIJEM	VKLAD	400	23123	\N	\N	\N
613207	2088	1997-05-08	VYDAJ	VYBER	200	24623	\N	\N	\N
613208	2088	1997-06-07	VYDAJ	VYBER	6600	22160	\N	\N	\N
613209	2088	1997-07-07	PRIJEM	VKLAD	1200	21207	\N	\N	\N
613210	2088	1997-08-06	VYDAJ	VYBER	2700	15330	\N	\N	\N
613211	2088	1997-09-05	VYDAJ	VYBER	1500	14905	\N	\N	\N
613212	2088	1997-12-04	VYDAJ	VYBER	3300	15054	\N	\N	\N
613213	2088	1998-01-03	VYDAJ	VYBER	5600	13567	\N	\N	\N
613214	2088	1998-02-02	VYDAJ	VYBER	300	14948	\N	\N	\N
613215	2088	1998-05-03	VYDAJ	VYBER	4900	15095	\N	\N	\N
613281	2089	1997-03-05	PRIJEM	VKLAD	600	600	\N	\N	\N
613283	2089	1997-09-19	PRIJEM	VKLAD	47916	103368	\N	\N	\N
613284	2089	1997-10-06	PRIJEM	VKLAD	35139	88558	\N	\N	\N
613286	2089	1997-11-06	PRIJEM	VKLAD	21966	65940	\N	\N	\N
613287	2089	1997-04-17	PRIJEM	VKLAD	47626	116891	\N	\N	\N
613288	2089	1997-06-06	PRIJEM	VKLAD	40127	60671	\N	\N	\N
613289	2089	1997-06-16	PRIJEM	VKLAD	9214	73615	\N	\N	\N
613290	2089	1997-07-11	PRIJEM	VKLAD	37660	87525	\N	\N	\N
613291	2089	1997-11-25	PRIJEM	VKLAD	16121	82061	\N	\N	\N
613292	2089	1997-07-22	PRIJEM	VKLAD	46844	134369	\N	\N	\N
613293	2089	1997-06-11	PRIJEM	VKLAD	26996	127833	\N	\N	\N
613295	2089	1997-09-08	PRIJEM	VKLAD	33756	55452	\N	\N	\N
613296	2089	1997-06-07	PRIJEM	VKLAD	13476	74147	\N	\N	\N
613297	2089	1997-08-04	PRIJEM	VKLAD	22913	62811	\N	\N	\N
613298	2089	1997-08-07	PRIJEM	VKLAD	13028	75839	\N	\N	\N
613299	2089	1997-04-23	PRIJEM	VKLAD	38151	121020	\N	\N	\N
613300	2089	1997-12-27	PRIJEM	VKLAD	8598	31140	\N	\N	\N
613301	2089	1997-04-03	PRIJEM	VKLAD	29155	44640	\N	\N	\N
613302	2089	1997-06-23	PRIJEM	VKLAD	25480	99095	\N	\N	\N
613303	2089	1997-06-10	PRIJEM	VKLAD	26690	100837	\N	\N	\N
613304	2089	1997-04-17	PRIJEM	VKLAD	8678	125569	\N	\N	\N
613306	2089	1997-03-22	PRIJEM	VKLAD	14864	15464	\N	\N	\N
613307	2089	1997-04-10	PRIJEM	VKLAD	34025	69265	\N	\N	\N
613308	2089	1998-10-02	PRIJEM	VKLAD	7421	678	\N	\N	\N
613309	2089	1998-10-24	PRIJEM	VKLAD	21590	22268	\N	\N	\N
613310	2089	1998-04-28	PRIJEM	VKLAD	18382	15281	\N	\N	\N
613339	2089	1997-05-17	VYDAJ	VYBER	5600	35061	SIPO	\N	0
613340	2089	1997-06-04	VYDAJ	VYBER	8200	20544	SIPO	\N	0
613341	2089	1997-07-03	VYDAJ	VYBER	6800	49865	SIPO	\N	0
613342	2089	1997-07-31	VYDAJ	VYBER	6800	107128	SIPO	\N	0
613343	2089	1997-09-07	VYDAJ	VYBER	9000	21696	SIPO	\N	0
613344	2089	1997-09-28	VYDAJ	VYBER	8400	84468	SIPO	\N	0
613345	2089	1997-10-30	VYDAJ	VYBER	7900	68851	SIPO	\N	0
613346	2089	1997-12-11	VYDAJ	VYBER	8500	40242	SIPO	\N	0
613347	2089	1998-01-06	VYDAJ	VYBER	8400	10678	SIPO	\N	0
613348	2089	1998-02-01	VYDAJ	VYBER	9100	2700	SIPO	\N	0
613349	2089	1998-03-04	VYDAJ	VYBER	5800	-3081	SIPO	\N	0
613351	2089	1998-05-03	VYDAJ	VYBER	8000	2226	SIPO	\N	0
613356	2089	1998-10-01	VYDAJ	VYBER	8900	-6743	SIPO	\N	0
613357	2089	1998-11-01	VYDAJ	VYBER	7200	5457	SIPO	\N	0
613358	2089	1998-12-16	VYDAJ	VYBER	7300	-1821	SIPO	\N	0
613363	2089	1997-06-12	VYBER	VYBER	21746	66587	\N	\N	\N
613365	2089	1997-05-02	VYBER	VYBER	4064	52961	\N	\N	\N
613366	2089	1997-06-15	VYBER	VYBER	2186	64401	\N	\N	\N
613367	2089	1997-09-03	VYBER	VYBER	16825	30696	\N	\N	\N
613368	2089	1997-05-22	VYBER	VYBER	6943	28118	\N	\N	\N
613369	2089	1997-10-27	VYBER	VYBER	11807	76751	\N	\N	\N
613382	2089	1997-12-18	VYDAJ	VYBER	3900	36342	\N	\N	\N
613395	2089	1998-01-01	VYDAJ	VYBER	2100	19078	\N	\N	\N
613396	2089	1997-08-27	VYDAJ	VYBER	5700	65039	\N	\N	\N
613397	2089	1997-08-21	VYDAJ	VYBER	5100	70739	\N	\N	\N
613398	2089	1997-12-24	VYDAJ	VYBER	13800	22542	\N	\N	\N
613399	2089	1997-06-26	VYDAJ	VYBER	10500	88595	\N	\N	\N
613400	2089	1997-09-23	VYDAJ	VYBER	10500	92868	\N	\N	\N
613411	2089	1997-04-30	VYDAJ	VYBER	30	57025	SLUZBY	\N	\N
613412	2089	1997-05-31	VYDAJ	VYBER	30	28244	SLUZBY	\N	\N
613413	2089	1997-06-30	VYDAJ	VYBER	30	88865	SLUZBY	\N	\N
613414	2089	1997-07-31	VYDAJ	VYBER	30	107098	SLUZBY	\N	\N
613415	2089	1997-08-31	VYDAJ	VYBER	30	65321	SLUZBY	\N	\N
613416	2089	1997-09-30	VYDAJ	VYBER	30	84719	SLUZBY	\N	\N
613417	2089	1997-10-31	VYDAJ	VYBER	30	69174	SLUZBY	\N	\N
613418	2089	1997-11-30	VYDAJ	VYBER	30	48742	SLUZBY	\N	\N
613419	2089	1997-12-31	VYDAJ	VYBER	30	21178	SLUZBY	\N	\N
613420	2089	1998-01-31	VYDAJ	VYBER	30	11800	SLUZBY	\N	\N
613421	2089	1998-02-28	VYDAJ	VYBER	30	2719	SLUZBY	\N	\N
613422	2089	1998-03-31	VYDAJ	VYBER	30	-3100	SLUZBY	\N	\N
613423	2089	1998-04-30	VYDAJ	VYBER	30	10226	SLUZBY	\N	\N
613424	2089	1998-05-31	VYDAJ	VYBER	30	2238	SLUZBY	\N	\N
613425	2089	1998-06-30	VYDAJ	VYBER	30	2218	SLUZBY	\N	\N
613426	2089	1998-07-31	VYDAJ	VYBER	30	2197	SLUZBY	\N	\N
613427	2089	1998-08-31	VYDAJ	VYBER	30	2167	SLUZBY	\N	\N
613428	2089	1998-09-30	VYDAJ	VYBER	30	2157	SLUZBY	\N	\N
613429	2089	1998-10-31	VYDAJ	VYBER	30	12657	SLUZBY	\N	\N
613430	2089	1998-11-30	VYDAJ	VYBER	30	5479	SLUZBY	\N	\N
613431	2089	1997-04-04	VYDAJ	VYBER	9400	35240	\N	\N	\N
613432	2089	1997-04-17	VYDAJ	VYBER	42700	82869	\N	\N	\N
613433	2089	1997-04-23	VYDAJ	VYBER	64200	56820	\N	\N	\N
613434	2089	1997-05-04	VYDAJ	VYBER	12300	40661	\N	\N	\N
613435	2089	1997-06-03	PRIJEM	VKLAD	500	28744	\N	\N	\N
613436	2089	1997-06-11	VYDAJ	VYBER	39500	88333	\N	\N	\N
613437	2089	1997-07-03	VYDAJ	VYBER	32200	56665	\N	\N	\N
613438	2089	1997-07-22	VYDAJ	VYBER	20800	113569	\N	\N	\N
613439	2089	1997-07-31	VYDAJ	VYBER	50700	56398	\N	\N	\N
613440	2089	1997-08-02	VYDAJ	VYBER	16500	39898	\N	\N	\N
613441	2089	1997-09-01	VYDAJ	VYBER	17800	47521	\N	\N	\N
613442	2089	1997-10-01	VYDAJ	VYBER	31300	53419	\N	\N	\N
613443	2089	1997-10-31	VYDAJ	VYBER	25200	43974	\N	\N	\N
613444	2089	1997-11-30	VYDAJ	VYBER	33500	48772	\N	\N	\N
613445	2089	1997-12-30	VYDAJ	VYBER	10100	21040	\N	\N	\N
613446	2089	1998-01-29	PRIJEM	VKLAD	1100	11778	\N	\N	\N
613447	2089	1998-04-29	VYDAJ	VYBER	5000	10281	\N	\N	\N
613448	2089	1998-10-26	VYDAJ	VYBER	9600	12668	\N	\N	\N
613472	2090	1996-11-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
613484	2090	1996-12-09	PRIJEM	PREVOD Z UCTU	5299	6299	DUCHOD	IJ	1385760
613485	2090	1997-01-09	PRIJEM	PREVOD Z UCTU	5299	11598	DUCHOD	IJ	1385760
613486	2090	1997-02-09	PRIJEM	PREVOD Z UCTU	5299	16897	DUCHOD	IJ	1385760
613487	2090	1997-03-09	PRIJEM	PREVOD Z UCTU	5299	22196	DUCHOD	IJ	1385760
613488	2090	1997-04-09	PRIJEM	PREVOD Z UCTU	5299	27495	DUCHOD	IJ	1385760
613489	2090	1997-05-09	PRIJEM	PREVOD Z UCTU	5299	27709	DUCHOD	IJ	1385760
613490	2090	1997-06-09	PRIJEM	PREVOD Z UCTU	5299	29559	DUCHOD	IJ	1385760
613491	2090	1997-07-09	PRIJEM	PREVOD Z UCTU	5299	28012	DUCHOD	IJ	1385760
613492	2090	1997-08-09	PRIJEM	PREVOD Z UCTU	5299	28742	DUCHOD	IJ	1385760
613493	2090	1997-09-09	PRIJEM	PREVOD Z UCTU	5299	30597	DUCHOD	IJ	1385760
613494	2090	1997-10-09	PRIJEM	PREVOD Z UCTU	5299	32459	DUCHOD	IJ	1385760
613495	2090	1997-11-09	PRIJEM	PREVOD Z UCTU	5299	34330	DUCHOD	IJ	1385760
613496	2090	1997-12-09	PRIJEM	PREVOD Z UCTU	5299	36208	DUCHOD	IJ	1385760
613497	2090	1998-01-09	PRIJEM	PREVOD Z UCTU	5299	32583	DUCHOD	IJ	1385760
613498	2090	1998-02-09	PRIJEM	PREVOD Z UCTU	5299	30132	DUCHOD	IJ	1385760
613499	2090	1998-03-09	PRIJEM	PREVOD Z UCTU	5299	31992	DUCHOD	IJ	1385760
613500	2090	1998-04-09	PRIJEM	PREVOD Z UCTU	5299	33861	DUCHOD	IJ	1385760
613501	2090	1998-05-09	PRIJEM	PREVOD Z UCTU	5299	35737	DUCHOD	IJ	1385760
613502	2090	1998-06-09	PRIJEM	PREVOD Z UCTU	5299	35937	DUCHOD	IJ	1385760
613503	2090	1998-07-09	PRIJEM	PREVOD Z UCTU	5299	26089	DUCHOD	IJ	1385760
613504	2090	1998-08-09	PRIJEM	PREVOD Z UCTU	5299	26417	DUCHOD	IJ	1385760
613505	2090	1998-09-09	PRIJEM	PREVOD Z UCTU	5299	28262	DUCHOD	IJ	1385760
613506	2090	1998-10-09	PRIJEM	PREVOD Z UCTU	5299	30114	DUCHOD	IJ	1385760
613507	2090	1998-11-09	PRIJEM	PREVOD Z UCTU	5299	31975	DUCHOD	IJ	1385760
613508	2090	1998-12-09	PRIJEM	PREVOD Z UCTU	5299	32793	DUCHOD	IJ	1385760
613524	2090	1997-04-12	VYDAJ	PREVOD NA UCET	3532	23963	SIPO	UV	78000944
613525	2090	1997-05-12	VYDAJ	PREVOD NA UCET	3532	24177	SIPO	UV	78000944
613526	2090	1997-06-12	VYDAJ	PREVOD NA UCET	3532	26027	SIPO	UV	78000944
613527	2090	1997-07-12	VYDAJ	PREVOD NA UCET	3532	24480	SIPO	UV	78000944
613528	2090	1997-08-12	VYDAJ	PREVOD NA UCET	3532	25210	SIPO	UV	78000944
613529	2090	1997-09-12	VYDAJ	PREVOD NA UCET	3532	27065	SIPO	UV	78000944
613530	2090	1997-10-12	VYDAJ	PREVOD NA UCET	3532	28927	SIPO	UV	78000944
613531	2090	1997-11-12	VYDAJ	PREVOD NA UCET	3532	30798	SIPO	UV	78000944
613532	2090	1997-12-12	VYDAJ	PREVOD NA UCET	3532	32126	SIPO	UV	78000944
613533	2090	1998-01-12	VYDAJ	PREVOD NA UCET	3532	29051	SIPO	UV	78000944
613534	2090	1998-02-12	VYDAJ	PREVOD NA UCET	3532	26600	SIPO	UV	78000944
613535	2090	1998-03-12	VYDAJ	PREVOD NA UCET	3532	28460	SIPO	UV	78000944
613536	2090	1998-04-12	VYDAJ	PREVOD NA UCET	3532	30329	SIPO	UV	78000944
613537	2090	1998-05-12	VYDAJ	PREVOD NA UCET	3532	32205	SIPO	UV	78000944
613538	2090	1998-06-12	VYDAJ	PREVOD NA UCET	3532	20705	SIPO	UV	78000944
613539	2090	1998-07-12	VYDAJ	PREVOD NA UCET	3532	21037	SIPO	UV	78000944
613540	2090	1998-08-12	VYDAJ	PREVOD NA UCET	3532	22885	SIPO	UV	78000944
613541	2090	1998-09-12	VYDAJ	PREVOD NA UCET	3532	24730	SIPO	UV	78000944
613542	2090	1998-10-12	VYDAJ	PREVOD NA UCET	3532	26582	SIPO	UV	78000944
613543	2090	1998-11-12	VYDAJ	PREVOD NA UCET	3532	28443	SIPO	UV	78000944
613544	2090	1998-12-12	VYDAJ	PREVOD NA UCET	3532	29261	SIPO	UV	78000944
613546	2090	1997-06-19	VYDAJ	VYBER	3400	22627	\N	\N	\N
613547	2090	1998-06-10	VYDAJ	VYBER	11700	24237	\N	\N	\N
613549	2090	1997-12-11	VYDAJ	VYBER	550	35658	\N	\N	\N
613550	2090	1998-12-08	VYDAJ	VYBER	1050	27494	\N	\N	\N
613563	2090	1998-01-08	VYDAJ	VYBER	1520	27284	\N	\N	\N
613564	2090	1998-01-21	VYDAJ	VYBER	960	26731	\N	\N	\N
613565	2090	1998-01-22	VYDAJ	VYBER	2000	24731	\N	\N	\N
613566	2090	1998-01-15	VYDAJ	VYBER	1360	27691	\N	\N	\N
613567	2090	1998-01-03	VYDAJ	VYBER	1280	30964	\N	\N	\N
613568	2090	1998-01-06	VYDAJ	VYBER	2160	28804	\N	\N	\N
613574	2090	1997-07-22	VYDAJ	VYBER	1120	23360	\N	\N	\N
613575	2090	1997-04-22	VYDAJ	VYBER	1600	22363	\N	\N	\N
613578	2090	1998-07-12	VYDAJ	VYBER	1520	24569	\N	\N	\N
613579	2090	1998-05-15	VYDAJ	VYBER	1680	30525	\N	\N	\N
613596	2090	1997-04-30	VYDAJ	VYBER	15	22410	SLUZBY	\N	\N
613597	2090	1997-05-31	VYDAJ	VYBER	15	24260	SLUZBY	\N	\N
613598	2090	1997-06-30	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
613599	2090	1997-07-31	VYDAJ	VYBER	15	23443	SLUZBY	\N	\N
613600	2090	1997-08-31	VYDAJ	VYBER	15	25298	SLUZBY	\N	\N
613601	2090	1997-09-30	VYDAJ	VYBER	15	27160	SLUZBY	\N	\N
613602	2090	1997-10-31	VYDAJ	VYBER	15	29031	SLUZBY	\N	\N
613603	2090	1997-11-30	VYDAJ	VYBER	15	30909	SLUZBY	\N	\N
613604	2090	1997-12-31	VYDAJ	VYBER	15	32244	SLUZBY	\N	\N
613605	2090	1998-01-31	VYDAJ	VYBER	15	24833	SLUZBY	\N	\N
613606	2090	1998-02-28	VYDAJ	VYBER	15	26693	SLUZBY	\N	\N
613607	2090	1998-03-31	VYDAJ	VYBER	15	28562	SLUZBY	\N	\N
613608	2090	1998-04-30	VYDAJ	VYBER	15	30438	SLUZBY	\N	\N
613609	2090	1998-05-31	VYDAJ	VYBER	15	30638	SLUZBY	\N	\N
613610	2090	1998-06-30	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
613611	2090	1998-07-31	VYDAJ	VYBER	15	21118	SLUZBY	\N	\N
613612	2090	1998-08-31	VYDAJ	VYBER	15	22963	SLUZBY	\N	\N
613613	2090	1998-09-30	VYDAJ	VYBER	15	24815	SLUZBY	\N	\N
613614	2090	1998-10-31	VYDAJ	VYBER	15	26676	SLUZBY	\N	\N
613615	2090	1998-11-30	VYDAJ	VYBER	15	28544	SLUZBY	\N	\N
613637	2091	1996-09-25	PRIJEM	VKLAD	800	800	\N	\N	\N
613647	2091	1996-10-10	PRIJEM	VKLAD	4623	5423	\N	\N	\N
613648	2091	1996-11-10	PRIJEM	VKLAD	4623	22363	\N	\N	\N
613649	2091	1996-12-10	PRIJEM	VKLAD	6934	32278	\N	\N	\N
613650	2091	1997-01-10	PRIJEM	VKLAD	4623	36713	\N	\N	\N
613651	2091	1997-02-10	PRIJEM	VKLAD	4623	38772	\N	\N	\N
613652	2091	1997-03-10	PRIJEM	VKLAD	4623	42326	\N	\N	\N
613653	2091	1997-04-10	PRIJEM	VKLAD	4623	43993	\N	\N	\N
613654	2091	1997-05-10	PRIJEM	VKLAD	4623	47469	\N	\N	\N
613655	2091	1997-06-10	PRIJEM	VKLAD	6934	47470	\N	\N	\N
613656	2091	1997-07-10	PRIJEM	VKLAD	4623	44969	\N	\N	\N
613657	2091	1997-08-10	PRIJEM	VKLAD	4623	47048	\N	\N	\N
613658	2091	1997-09-10	PRIJEM	VKLAD	4623	46532	\N	\N	\N
613659	2091	1997-10-10	PRIJEM	VKLAD	4623	40717	\N	\N	\N
613660	2091	1997-11-10	PRIJEM	VKLAD	4623	40889	\N	\N	\N
613661	2091	1997-12-10	PRIJEM	VKLAD	6934	38759	\N	\N	\N
613662	2091	1998-01-10	PRIJEM	VKLAD	4623	43926	\N	\N	\N
613663	2091	1998-02-10	PRIJEM	VKLAD	4623	31193	\N	\N	\N
613664	2091	1998-03-10	PRIJEM	VKLAD	4623	40328	\N	\N	\N
613665	2091	1998-04-10	PRIJEM	VKLAD	4623	46095	\N	\N	\N
613666	2091	1998-05-10	PRIJEM	VKLAD	4623	45077	\N	\N	\N
613667	2091	1998-06-10	PRIJEM	VKLAD	6934	54678	\N	\N	\N
613668	2091	1998-07-10	PRIJEM	VKLAD	4623	42374	\N	\N	\N
613669	2091	1998-08-10	PRIJEM	VKLAD	4623	47248	\N	\N	\N
613670	2091	1998-09-10	PRIJEM	VKLAD	4623	52034	\N	\N	\N
613671	2091	1998-10-10	PRIJEM	VKLAD	4623	54545	\N	\N	\N
613672	2091	1998-11-10	PRIJEM	VKLAD	4623	50467	\N	\N	\N
613673	2091	1998-12-10	PRIJEM	VKLAD	6934	57095	\N	\N	\N
613675	2091	1997-06-28	VYDAJ	VYBER	5900	40170	\N	\N	\N
613676	2091	1998-06-10	VYDAJ	VYBER	22200	32478	\N	\N	\N
613679	2091	1998-01-25	VYDAJ	VYBER	8200	31026	\N	\N	\N
613681	2091	1997-12-08	VYDAJ	VYBER	2800	31825	\N	\N	\N
613682	2091	1998-12-24	VYDAJ	VYBER	2900	51195	\N	\N	\N
613695	2091	1998-01-18	VYDAJ	VYBER	500	41726	\N	\N	\N
613696	2091	1998-01-28	VYDAJ	VYBER	2300	28726	\N	\N	\N
613697	2091	1998-01-30	VYDAJ	VYBER	2300	26426	\N	\N	\N
613698	2091	1998-01-03	VYDAJ	VYBER	800	39303	\N	\N	\N
613699	2091	1998-01-12	VYDAJ	VYBER	1700	42226	\N	\N	\N
613700	2091	1998-01-21	VYDAJ	VYBER	900	39226	\N	\N	\N
613708	2091	1997-10-08	VYDAJ	VYBER	3500	36094	\N	\N	\N
613709	2091	1997-06-04	VYDAJ	VYBER	4800	40536	\N	\N	\N
613710	2091	1997-12-03	VYDAJ	VYBER	1200	34625	\N	\N	\N
613711	2091	1997-10-04	VYDAJ	VYBER	3800	39594	\N	\N	\N
613712	2091	1998-06-22	VYDAJ	VYBER	2900	37578	\N	\N	\N
613713	2091	1998-11-07	VYDAJ	VYBER	3400	46444	\N	\N	\N
613714	2091	1998-04-25	VYDAJ	VYBER	3700	40295	\N	\N	\N
613715	2091	1998-11-04	VYDAJ	VYBER	3000	49844	\N	\N	\N
613716	2091	1998-11-07	VYDAJ	VYBER	600	45844	\N	\N	\N
613717	2091	1998-07-15	VYDAJ	VYBER	4900	37474	\N	\N	\N
613732	2091	1997-02-28	VYDAJ	VYBER	15	37703	SLUZBY	\N	\N
613733	2091	1997-03-31	VYDAJ	VYBER	15	39370	SLUZBY	\N	\N
613734	2091	1997-04-30	VYDAJ	VYBER	15	42846	SLUZBY	\N	\N
613735	2091	1997-05-31	VYDAJ	VYBER	15	45336	SLUZBY	\N	\N
613736	2091	1997-06-30	VYDAJ	VYBER	15	40346	SLUZBY	\N	\N
613737	2091	1997-07-31	VYDAJ	VYBER	15	42425	SLUZBY	\N	\N
613738	2091	1997-08-31	VYDAJ	VYBER	15	41909	SLUZBY	\N	\N
613739	2091	1997-09-30	VYDAJ	VYBER	15	43394	SLUZBY	\N	\N
613740	2091	1997-10-31	VYDAJ	VYBER	15	36266	SLUZBY	\N	\N
613741	2091	1997-11-30	VYDAJ	VYBER	15	35825	SLUZBY	\N	\N
613742	2091	1997-12-31	VYDAJ	VYBER	15	40103	SLUZBY	\N	\N
613743	2091	1998-01-31	VYDAJ	VYBER	15	26570	SLUZBY	\N	\N
613744	2091	1998-02-28	VYDAJ	VYBER	15	35705	SLUZBY	\N	\N
613745	2091	1998-03-31	VYDAJ	VYBER	15	41472	SLUZBY	\N	\N
613746	2091	1998-04-30	VYDAJ	VYBER	15	40454	SLUZBY	\N	\N
613747	2091	1998-05-31	VYDAJ	VYBER	15	47744	SLUZBY	\N	\N
613748	2091	1998-06-30	VYDAJ	VYBER	15	37751	SLUZBY	\N	\N
613749	2091	1998-07-31	VYDAJ	VYBER	15	42625	SLUZBY	\N	\N
613750	2091	1998-08-31	VYDAJ	VYBER	15	47411	SLUZBY	\N	\N
613751	2091	1998-09-30	VYDAJ	VYBER	15	49922	SLUZBY	\N	\N
613752	2091	1998-10-31	VYDAJ	VYBER	15	52844	SLUZBY	\N	\N
613753	2091	1998-11-30	VYDAJ	VYBER	15	50161	SLUZBY	\N	\N
613754	2091	1996-10-25	PRIJEM	VKLAD	12300	17723	\N	\N	\N
613755	2091	1996-11-24	PRIJEM	VKLAD	2900	25263	\N	\N	\N
613756	2091	1996-12-24	VYDAJ	VYBER	300	31978	\N	\N	\N
613757	2091	1997-01-23	VYDAJ	VYBER	2700	34013	\N	\N	\N
613758	2091	1997-02-22	VYDAJ	VYBER	1200	37572	\N	\N	\N
613759	2091	1997-03-24	VYDAJ	VYBER	3100	39226	\N	\N	\N
613760	2091	1997-04-23	VYDAJ	VYBER	1300	42693	\N	\N	\N
613761	2091	1997-05-23	VYDAJ	VYBER	2300	45169	\N	\N	\N
613762	2091	1997-06-22	VYDAJ	VYBER	1400	46070	\N	\N	\N
613763	2091	1997-07-22	VYDAJ	VYBER	2700	42269	\N	\N	\N
613764	2091	1997-08-21	VYDAJ	VYBER	5300	41748	\N	\N	\N
613765	2091	1997-09-20	VYDAJ	VYBER	3300	43232	\N	\N	\N
613766	2091	1997-10-20	VYDAJ	VYBER	4600	36117	\N	\N	\N
613767	2091	1997-11-19	VYDAJ	VYBER	5200	35689	\N	\N	\N
613768	2091	1997-12-19	PRIJEM	VKLAD	1200	39959	\N	\N	\N
613769	2091	1998-01-18	VYDAJ	VYBER	1600	40126	\N	\N	\N
613770	2091	1998-02-17	PRIJEM	VKLAD	4400	35593	\N	\N	\N
613771	2091	1998-03-19	PRIJEM	VKLAD	1000	41328	\N	\N	\N
613772	2091	1998-04-18	VYDAJ	VYBER	2100	43995	\N	\N	\N
613773	2091	1998-05-18	PRIJEM	VKLAD	2500	47577	\N	\N	\N
613774	2091	1998-06-17	PRIJEM	VKLAD	8000	40478	\N	\N	\N
613775	2091	1998-07-17	PRIJEM	VKLAD	5000	42474	\N	\N	\N
613776	2091	1998-09-15	VYDAJ	VYBER	2300	49734	\N	\N	\N
613777	2091	1998-10-15	VYDAJ	VYBER	1900	52645	\N	\N	\N
613778	2091	1998-11-14	VYDAJ	VYBER	500	49967	\N	\N	\N
613779	2091	1998-12-14	VYDAJ	VYBER	3000	54095	\N	\N	\N
613807	2092	1994-04-29	PRIJEM	VKLAD	200	200	\N	\N	\N
613810	2092	1994-11-10	PRIJEM	VKLAD	43170	72048	\N	\N	\N
613812	2092	1994-07-29	PRIJEM	VKLAD	12878	44830	\N	\N	\N
613813	2092	1994-09-20	PRIJEM	VKLAD	34848	85576	\N	\N	\N
613814	2092	1994-05-10	PRIJEM	VKLAD	6276	6476	\N	\N	\N
613815	2092	1994-08-12	PRIJEM	VKLAD	29853	74837	\N	\N	\N
613818	2092	1994-12-29	PRIJEM	VKLAD	9616	34187	\N	\N	\N
613819	2092	1994-06-06	PRIJEM	VKLAD	29198	44480	\N	\N	\N
613820	2092	1995-09-24	PRIJEM	VKLAD	6491	55055	\N	\N	\N
613821	2092	1995-08-14	PRIJEM	VKLAD	13267	60253	\N	\N	\N
613822	2092	1995-07-12	PRIJEM	VKLAD	33874	70837	\N	\N	\N
613823	2092	1995-09-08	PRIJEM	VKLAD	13467	55121	\N	\N	\N
613824	2092	1995-05-28	PRIJEM	VKLAD	24445	83761	\N	\N	\N
613825	2092	1995-10-28	PRIJEM	VKLAD	7552	45452	\N	\N	\N
613826	2092	1995-10-10	PRIJEM	VKLAD	6738	54400	\N	\N	\N
613827	2092	1995-05-07	PRIJEM	VKLAD	32955	59972	\N	\N	\N
613828	2092	1995-02-13	PRIJEM	VKLAD	8276	26756	\N	\N	\N
613829	2092	1995-03-07	PRIJEM	VKLAD	28012	66567	\N	\N	\N
613830	2092	1995-05-14	PRIJEM	VKLAD	19713	121316	\N	\N	\N
613831	2092	1995-05-13	PRIJEM	VKLAD	49229	101603	\N	\N	\N
613832	2092	1995-07-22	PRIJEM	VKLAD	15223	86060	\N	\N	\N
613833	2092	1995-10-31	PRIJEM	VKLAD	49797	95463	\N	\N	\N
613834	2092	1995-09-16	PRIJEM	VKLAD	29141	76664	\N	\N	\N
613835	2092	1995-06-06	PRIJEM	VKLAD	29354	113380	\N	\N	\N
613836	2092	1995-12-24	PRIJEM	VKLAD	18853	42723	\N	\N	\N
613837	2092	1995-02-25	PRIJEM	VKLAD	15008	38464	\N	\N	\N
613838	2092	1995-01-16	PRIJEM	VKLAD	8939	29077	\N	\N	\N
613839	2092	1996-05-14	PRIJEM	VKLAD	36258	47759	\N	\N	\N
613840	2092	1996-09-01	PRIJEM	VKLAD	37975	63279	\N	\N	\N
613841	2092	1997-12-07	PRIJEM	VKLAD	18104	42002	\N	\N	\N
613842	2092	1997-04-06	PRIJEM	VKLAD	22922	38503	\N	\N	\N
613843	2092	1997-09-23	PRIJEM	VKLAD	32069	39160	\N	\N	\N
613844	2092	1997-03-25	PRIJEM	VKLAD	8885	15536	\N	\N	\N
613845	2092	1997-10-11	PRIJEM	VKLAD	43211	56820	\N	\N	\N
613846	2092	1998-11-03	PRIJEM	VKLAD	35829	85675	\N	\N	\N
613847	2092	1998-12-23	PRIJEM	VKLAD	48618	83517	\N	\N	\N
613848	2092	1998-05-09	PRIJEM	VKLAD	15105	43431	\N	\N	\N
613849	2092	1998-08-25	PRIJEM	VKLAD	18484	52910	\N	\N	\N
613850	2092	1998-01-25	PRIJEM	VKLAD	26320	159780	\N	\N	\N
613851	2092	1998-02-14	PRIJEM	VKLAD	6145	34601	\N	\N	\N
613852	2092	1998-10-14	PRIJEM	VKLAD	20849	49687	\N	\N	\N
613853	2092	1998-10-04	PRIJEM	VKLAD	7122	62836	\N	\N	\N
613854	2092	1998-11-20	PRIJEM	VKLAD	31503	129588	\N	\N	\N
613855	2092	1998-01-23	PRIJEM	VKLAD	29809	85927	\N	\N	\N
613856	2092	1998-01-09	PRIJEM	VKLAD	26971	52094	\N	\N	\N
613857	2092	1998-01-01	PRIJEM	VKLAD	45558	62723	\N	\N	\N
613858	2092	1998-01-25	PRIJEM	VKLAD	47533	133460	\N	\N	\N
613859	2092	1998-08-07	PRIJEM	VKLAD	40001	52524	\N	\N	\N
613860	2092	1998-04-30	PRIJEM	VKLAD	37007	64441	\N	\N	\N
613861	2092	1998-10-02	PRIJEM	VKLAD	30632	55714	\N	\N	\N
613862	2092	1998-12-30	PRIJEM	VKLAD	45955	129472	\N	\N	\N
613863	2092	1998-04-25	PRIJEM	VKLAD	5631	39595	\N	\N	\N
613864	2092	1998-11-08	PRIJEM	VKLAD	41135	86310	\N	\N	\N
613865	2092	1998-05-31	PRIJEM	VKLAD	8947	44976	\N	\N	\N
613866	2092	1998-03-21	PRIJEM	VKLAD	41205	76681	\N	\N	\N
613867	2092	1998-01-15	PRIJEM	VKLAD	11622	56118	\N	\N	\N
613868	2092	1998-02-23	PRIJEM	VKLAD	38676	73277	\N	\N	\N
613869	2092	1998-11-17	PRIJEM	VKLAD	19373	98085	\N	\N	\N
613879	2092	1994-10-09	VYDAJ	PREVOD NA UCET	7598	47377	SIPO	KL	8791333
613880	2092	1994-11-09	VYDAJ	PREVOD NA UCET	7598	28878	SIPO	KL	8791333
613881	2092	1994-12-09	VYDAJ	PREVOD NA UCET	7598	40171	SIPO	KL	8791333
613882	2092	1995-01-09	VYDAJ	PREVOD NA UCET	7598	20138	SIPO	KL	8791333
613883	2092	1995-02-09	VYDAJ	PREVOD NA UCET	7598	18480	SIPO	KL	8791333
613884	2092	1995-03-09	VYDAJ	PREVOD NA UCET	7598	58969	SIPO	KL	8791333
613885	2092	1995-04-09	VYDAJ	PREVOD NA UCET	7598	35566	SIPO	KL	8791333
613886	2092	1995-05-09	VYDAJ	PREVOD NA UCET	7598	52374	SIPO	KL	8791333
613887	2092	1995-06-09	VYDAJ	PREVOD NA UCET	7598	85782	SIPO	KL	8791333
613888	2092	1995-07-09	VYDAJ	PREVOD NA UCET	7598	36963	SIPO	KL	8791333
613889	2092	1995-08-09	VYDAJ	PREVOD NA UCET	7598	46986	SIPO	KL	8791333
613890	2092	1995-09-09	VYDAJ	PREVOD NA UCET	7598	47523	SIPO	KL	8791333
613891	2092	1995-10-09	VYDAJ	PREVOD NA UCET	7598	47662	SIPO	KL	8791333
613892	2092	1995-11-09	VYDAJ	PREVOD NA UCET	7598	64500	SIPO	KL	8791333
613893	2092	1995-12-09	VYDAJ	PREVOD NA UCET	7598	25770	SIPO	KL	8791333
613894	2092	1996-01-09	VYDAJ	PREVOD NA UCET	7598	35251	SIPO	KL	8791333
613895	2092	1996-02-09	VYDAJ	PREVOD NA UCET	7598	15989	SIPO	KL	8791333
613896	2092	1996-03-09	VYDAJ	PREVOD NA UCET	7598	11366	SIPO	KL	8791333
613897	2092	1996-04-09	VYDAJ	PREVOD NA UCET	7598	12033	SIPO	KL	8791333
613898	2092	1996-05-09	VYDAJ	PREVOD NA UCET	7598	11501	SIPO	KL	8791333
613899	2092	1996-06-09	VYDAJ	PREVOD NA UCET	7598	31578	SIPO	KL	8791333
613900	2092	1996-07-09	VYDAJ	PREVOD NA UCET	7598	20706	SIPO	KL	8791333
613901	2092	1996-08-09	VYDAJ	PREVOD NA UCET	7598	20109	SIPO	KL	8791333
613902	2092	1996-09-09	VYDAJ	PREVOD NA UCET	7598	55681	SIPO	KL	8791333
613903	2092	1996-10-09	VYDAJ	PREVOD NA UCET	7598	25325	SIPO	KL	8791333
613904	2092	1996-11-09	VYDAJ	PREVOD NA UCET	7598	17130	SIPO	KL	8791333
613905	2092	1996-12-09	VYDAJ	PREVOD NA UCET	7598	11806	SIPO	KL	8791333
613906	2092	1997-01-09	VYDAJ	PREVOD NA UCET	7598	6962	SIPO	KL	8791333
613907	2092	1997-02-09	VYDAJ	PREVOD NA UCET	7598	6306	SIPO	KL	8791333
613908	2092	1997-03-09	VYDAJ	PREVOD NA UCET	7598	6651	SIPO	KL	8791333
613909	2092	1997-04-09	VYDAJ	PREVOD NA UCET	7598	30905	SIPO	KL	8791333
613910	2092	1997-05-09	VYDAJ	PREVOD NA UCET	7598	16986	SIPO	KL	8791333
613911	2092	1997-06-09	VYDAJ	PREVOD NA UCET	7598	7049	SIPO	KL	8791333
613915	2092	1997-10-09	VYDAJ	PREVOD NA UCET	7598	22409	SIPO	KL	8791333
613916	2092	1997-11-09	VYDAJ	PREVOD NA UCET	7598	49404	SIPO	KL	8791333
613917	2092	1997-12-09	VYDAJ	PREVOD NA UCET	7598	34404	SIPO	KL	8791333
613918	2092	1998-01-09	VYDAJ	PREVOD NA UCET	7598	44496	SIPO	KL	8791333
613919	2092	1998-02-09	VYDAJ	PREVOD NA UCET	7598	28456	SIPO	KL	8791333
613920	2092	1998-03-09	VYDAJ	PREVOD NA UCET	7598	65876	SIPO	KL	8791333
613921	2092	1998-04-09	VYDAJ	PREVOD NA UCET	7598	33964	SIPO	KL	8791333
613922	2092	1998-05-09	VYDAJ	PREVOD NA UCET	7598	35833	SIPO	KL	8791333
613923	2092	1998-06-09	VYDAJ	PREVOD NA UCET	7598	19963	SIPO	KL	8791333
613924	2092	1998-07-09	VYDAJ	PREVOD NA UCET	7598	12458	SIPO	KL	8791333
613925	2092	1998-08-09	VYDAJ	PREVOD NA UCET	7598	44926	SIPO	KL	8791333
613926	2092	1998-09-09	VYDAJ	PREVOD NA UCET	7598	24976	SIPO	KL	8791333
613927	2092	1998-10-09	VYDAJ	PREVOD NA UCET	7598	28838	SIPO	KL	8791333
613928	2092	1998-11-09	VYDAJ	PREVOD NA UCET	7598	78712	SIPO	KL	8791333
613929	2092	1998-12-09	VYDAJ	PREVOD NA UCET	7598	34899	SIPO	KL	8791333
613935	2092	1995-11-08	VYBER	VYBER	12250	73598	\N	\N	\N
613943	2092	1997-09-30	VYBER	VYBER	9198	30022	\N	\N	\N
613948	2092	1998-09-03	VYBER	VYBER	4869	48174	\N	\N	\N
613951	2092	1998-04-25	VYBER	VYBER	12356	27239	\N	\N	\N
613954	2092	1998-01-31	VYBER	VYBER	20291	68568	\N	\N	\N
613957	2092	1995-06-14	VYDAJ	VYBER	22800	62982	\N	\N	\N
613961	2092	1994-12-26	VYDAJ	VYBER	1500	24571	\N	\N	\N
613965	2092	1998-12-06	VYDAJ	VYBER	4800	42497	\N	\N	\N
613968	2092	1994-12-18	VYDAJ	VYBER	10500	29671	\N	\N	\N
613973	2092	1995-04-28	VYDAJ	VYBER	3300	26866	\N	\N	\N
613974	2092	1995-11-07	VYDAJ	VYBER	9600	85848	\N	\N	\N
613975	2092	1995-12-03	VYDAJ	VYBER	1500	44468	\N	\N	\N
613976	2092	1995-12-06	VYDAJ	VYBER	11100	33368	\N	\N	\N
613977	2092	1995-11-09	VYDAJ	VYBER	1500	72098	\N	\N	\N
613978	2092	1995-02-13	VYDAJ	VYBER	6600	20156	\N	\N	\N
613979	2092	1995-01-07	VYDAJ	VYBER	6600	27736	\N	\N	\N
613980	2092	1996-09-26	VYDAJ	VYBER	6900	32781	\N	\N	\N
613985	2092	1996-01-28	VYDAJ	VYBER	5100	23451	\N	\N	\N
613992	2092	1998-01-28	VYDAJ	VYBER	8700	88580	\N	\N	\N
613993	2092	1998-01-01	VYDAJ	VYBER	10500	52223	\N	\N	\N
613994	2092	1998-05-03	VYDAJ	VYBER	10500	53926	\N	\N	\N
613995	2092	1998-08-19	VYDAJ	VYBER	10500	34426	\N	\N	\N
613996	2092	1998-11-28	VYDAJ	VYBER	11400	83788	\N	\N	\N
614007	2092	1994-09-30	VYDAJ	VYBER	15	54975	SLUZBY	\N	\N
614008	2092	1994-10-31	VYDAJ	VYBER	15	36476	SLUZBY	\N	\N
614009	2092	1994-11-30	VYDAJ	VYBER	15	47769	SLUZBY	\N	\N
614010	2092	1994-12-31	VYDAJ	VYBER	15	34336	SLUZBY	\N	\N
614011	2092	1995-01-31	VYDAJ	VYBER	15	26078	SLUZBY	\N	\N
614012	2092	1995-02-28	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
614013	2092	1995-03-31	VYDAJ	VYBER	15	43164	SLUZBY	\N	\N
614014	2092	1995-04-30	VYDAJ	VYBER	15	27017	SLUZBY	\N	\N
614015	2092	1995-05-31	VYDAJ	VYBER	15	84026	SLUZBY	\N	\N
614016	2092	1995-06-30	VYDAJ	VYBER	15	44561	SLUZBY	\N	\N
614017	2092	1995-07-31	VYDAJ	VYBER	15	54584	SLUZBY	\N	\N
614018	2092	1995-08-31	VYDAJ	VYBER	15	41654	SLUZBY	\N	\N
614019	2092	1995-09-30	VYDAJ	VYBER	15	55260	SLUZBY	\N	\N
614020	2092	1995-10-31	VYDAJ	VYBER	15	95448	SLUZBY	\N	\N
614021	2092	1995-11-30	VYDAJ	VYBER	15	45968	SLUZBY	\N	\N
614022	2092	1995-12-31	VYDAJ	VYBER	15	42849	SLUZBY	\N	\N
614023	2092	1996-01-31	VYDAJ	VYBER	15	23587	SLUZBY	\N	\N
614024	2092	1996-02-29	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
614025	2092	1996-03-31	VYDAJ	VYBER	15	19631	SLUZBY	\N	\N
614026	2092	1996-04-30	VYDAJ	VYBER	15	19099	SLUZBY	\N	\N
614027	2092	1996-05-31	VYDAJ	VYBER	15	39176	SLUZBY	\N	\N
614028	2092	1996-06-30	VYDAJ	VYBER	15	28304	SLUZBY	\N	\N
614029	2092	1996-07-31	VYDAJ	VYBER	15	27707	SLUZBY	\N	\N
614030	2092	1996-08-31	VYDAJ	VYBER	15	25304	SLUZBY	\N	\N
614031	2092	1996-09-30	VYDAJ	VYBER	15	32923	SLUZBY	\N	\N
614032	2092	1996-10-31	VYDAJ	VYBER	15	24728	SLUZBY	\N	\N
614033	2092	1996-11-30	VYDAJ	VYBER	15	19404	SLUZBY	\N	\N
614034	2092	1996-12-31	VYDAJ	VYBER	15	14560	SLUZBY	\N	\N
614035	2092	1997-01-31	VYDAJ	VYBER	15	13904	SLUZBY	\N	\N
614036	2092	1997-02-28	VYDAJ	VYBER	15	14249	SLUZBY	\N	\N
614037	2092	1997-03-31	VYDAJ	VYBER	15	15581	SLUZBY	\N	\N
614038	2092	1997-04-30	VYDAJ	VYBER	15	24584	SLUZBY	\N	\N
614039	2092	1997-05-31	VYDAJ	VYBER	15	14647	SLUZBY	\N	\N
614040	2092	1997-06-30	VYDAJ	VYBER	15	7093	SLUZBY	\N	\N
614041	2092	1997-07-31	VYDAJ	VYBER	15	7106	SLUZBY	\N	\N
614042	2092	1997-08-31	VYDAJ	VYBER	15	7091	SLUZBY	\N	\N
614043	2092	1997-09-30	VYDAJ	VYBER	15	30007	SLUZBY	\N	\N
614044	2092	1997-10-31	VYDAJ	VYBER	15	57002	SLUZBY	\N	\N
614045	2092	1997-11-30	VYDAJ	VYBER	15	23898	SLUZBY	\N	\N
614046	2092	1997-12-31	VYDAJ	VYBER	15	17165	SLUZBY	\N	\N
614047	2092	1998-01-31	VYDAJ	VYBER	15	68554	SLUZBY	\N	\N
614048	2092	1998-02-28	VYDAJ	VYBER	15	73474	SLUZBY	\N	\N
614049	2092	1998-03-31	VYDAJ	VYBER	15	76962	SLUZBY	\N	\N
614050	2092	1998-04-30	VYDAJ	VYBER	15	64426	SLUZBY	\N	\N
614051	2092	1998-05-31	VYDAJ	VYBER	15	44961	SLUZBY	\N	\N
614052	2092	1998-06-30	VYDAJ	VYBER	15	20056	SLUZBY	\N	\N
614053	2092	1998-07-31	VYDAJ	VYBER	15	12523	SLUZBY	\N	\N
614054	2092	1998-08-31	VYDAJ	VYBER	15	53043	SLUZBY	\N	\N
614055	2092	1998-09-30	VYDAJ	VYBER	15	25082	SLUZBY	\N	\N
614056	2092	1998-10-31	VYDAJ	VYBER	15	49846	SLUZBY	\N	\N
614057	2092	1998-11-30	VYDAJ	VYBER	15	84097	SLUZBY	\N	\N
614058	2092	1994-05-29	PRIJEM	VKLAD	8800	15276	\N	\N	\N
614059	2092	1994-06-28	VYDAJ	VYBER	8500	35980	\N	\N	\N
614060	2092	1994-07-28	VYDAJ	VYBER	4100	31952	\N	\N	\N
614061	2092	1994-08-27	VYDAJ	VYBER	24300	50537	\N	\N	\N
614062	2092	1994-09-26	VYDAJ	VYBER	30800	54776	\N	\N	\N
614063	2092	1994-10-26	VYDAJ	VYBER	11100	36277	\N	\N	\N
614064	2092	1994-11-25	VYDAJ	VYBER	24500	47548	\N	\N	\N
614065	2092	1994-12-25	VYDAJ	VYBER	3600	26071	\N	\N	\N
614066	2092	1995-01-24	VYDAJ	VYBER	3100	25977	\N	\N	\N
614067	2092	1995-02-23	PRIJEM	VKLAD	3300	23456	\N	\N	\N
614068	2092	1995-03-25	VYDAJ	VYBER	16000	42969	\N	\N	\N
614069	2092	1995-04-24	VYDAJ	VYBER	5400	30166	\N	\N	\N
614070	2092	1995-05-14	VYDAJ	VYBER	22600	98716	\N	\N	\N
614071	2092	1995-05-24	VYDAJ	VYBER	39400	59316	\N	\N	\N
614072	2092	1995-06-06	VYDAJ	VYBER	20000	93380	\N	\N	\N
614073	2092	1995-06-23	VYDAJ	VYBER	18700	44282	\N	\N	\N
614074	2092	1995-07-23	VYDAJ	VYBER	31700	54360	\N	\N	\N
614075	2092	1995-08-22	VYDAJ	VYBER	18800	41453	\N	\N	\N
614076	2092	1995-09-21	VYDAJ	VYBER	28100	48564	\N	\N	\N
614077	2092	1995-10-21	VYDAJ	VYBER	16500	37900	\N	\N	\N
614078	2092	1995-11-20	VYDAJ	VYBER	18800	45700	\N	\N	\N
614079	2092	1995-12-20	VYDAJ	VYBER	1900	23870	\N	\N	\N
614080	2092	1996-01-19	VYDAJ	VYBER	6700	28551	\N	\N	\N
614081	2092	1996-02-18	PRIJEM	VKLAD	2900	18889	\N	\N	\N
614082	2092	1996-03-19	PRIJEM	VKLAD	8200	19566	\N	\N	\N
614083	2092	1996-04-18	PRIJEM	VKLAD	7000	19033	\N	\N	\N
614084	2092	1996-05-18	VYDAJ	VYBER	8700	39059	\N	\N	\N
614085	2092	1996-06-17	VYDAJ	VYBER	3400	28178	\N	\N	\N
614086	2092	1996-07-17	PRIJEM	VKLAD	6900	27606	\N	\N	\N
614087	2092	1996-08-16	PRIJEM	VKLAD	5100	25209	\N	\N	\N
614088	2092	1996-09-15	VYDAJ	VYBER	16000	39681	\N	\N	\N
614089	2092	1996-10-15	VYDAJ	VYBER	700	24625	\N	\N	\N
614090	2092	1996-11-14	PRIJEM	VKLAD	2200	19330	\N	\N	\N
614091	2092	1996-12-14	PRIJEM	VKLAD	2700	14506	\N	\N	\N
614092	2092	1997-01-13	PRIJEM	VKLAD	6900	13862	\N	\N	\N
614093	2092	1997-02-12	PRIJEM	VKLAD	7900	14206	\N	\N	\N
614094	2092	1997-04-13	VYDAJ	VYBER	6400	24505	\N	\N	\N
614095	2092	1997-05-13	VYDAJ	VYBER	2400	14586	\N	\N	\N
614096	2092	1997-10-10	VYDAJ	VYBER	8800	13609	\N	\N	\N
614097	2092	1997-11-09	VYDAJ	VYBER	25700	23704	\N	\N	\N
614098	2092	1997-12-09	VYDAJ	VYBER	17300	17104	\N	\N	\N
614099	2092	1998-01-08	VYDAJ	VYBER	27100	25123	\N	\N	\N
614100	2092	1998-01-25	VYDAJ	VYBER	62500	97280	\N	\N	\N
614101	2092	1998-02-07	VYDAJ	VYBER	32500	36054	\N	\N	\N
614102	2092	1998-03-09	VYDAJ	VYBER	30400	35476	\N	\N	\N
614103	2092	1998-04-08	VYDAJ	VYBER	35400	41562	\N	\N	\N
614104	2092	1998-05-08	VYDAJ	VYBER	25600	28326	\N	\N	\N
614105	2092	1998-06-07	VYDAJ	VYBER	17400	27561	\N	\N	\N
614106	2092	1998-09-05	VYDAJ	VYBER	15600	32574	\N	\N	\N
614107	2092	1998-10-05	VYDAJ	VYBER	26400	36436	\N	\N	\N
614108	2092	1998-11-04	VYDAJ	VYBER	40500	45175	\N	\N	\N
614109	2092	1998-11-20	VYDAJ	VYBER	34400	95188	\N	\N	\N
614110	2092	1998-12-04	VYDAJ	VYBER	36800	47297	\N	\N	\N
614111	2092	1998-12-30	VYDAJ	VYBER	22300	107172	\N	\N	\N
614168	2093	1997-07-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
614175	2093	1997-07-08	PRIJEM	VKLAD	16037	17137	\N	\N	\N
614176	2093	1997-08-08	PRIJEM	VKLAD	16037	36229	\N	\N	\N
614177	2093	1997-09-08	PRIJEM	VKLAD	16037	45099	\N	\N	\N
614178	2093	1997-10-08	PRIJEM	VKLAD	16037	46116	\N	\N	\N
614179	2093	1997-11-08	PRIJEM	VKLAD	16037	50644	\N	\N	\N
614180	2093	1997-12-08	PRIJEM	VKLAD	24056	62792	\N	\N	\N
614181	2093	1998-01-08	PRIJEM	VKLAD	16037	59860	\N	\N	\N
614182	2093	1998-02-08	PRIJEM	VKLAD	16037	53787	\N	\N	\N
614183	2093	1998-03-08	PRIJEM	VKLAD	16037	59021	\N	\N	\N
614184	2093	1998-04-08	PRIJEM	VKLAD	16037	60384	\N	\N	\N
614185	2093	1998-05-08	PRIJEM	VKLAD	16037	57555	\N	\N	\N
614186	2093	1998-06-08	PRIJEM	VKLAD	24056	60238	\N	\N	\N
614187	2093	1998-07-08	PRIJEM	VKLAD	16037	54204	\N	\N	\N
614188	2093	1998-08-08	PRIJEM	VKLAD	16037	56251	\N	\N	\N
614189	2093	1998-09-08	PRIJEM	VKLAD	16037	52506	\N	\N	\N
614190	2093	1998-10-08	PRIJEM	VKLAD	16037	55261	\N	\N	\N
614191	2093	1998-11-08	PRIJEM	VKLAD	16037	58277	\N	\N	\N
614192	2093	1998-12-08	PRIJEM	VKLAD	24056	70495	\N	\N	\N
614194	2093	1998-06-26	VYDAJ	VYBER	6700	53538	\N	\N	\N
614196	2093	1998-01-20	VYDAJ	VYBER	6900	44560	\N	\N	\N
614203	2093	1998-01-10	VYDAJ	VYBER	2900	56960	\N	\N	\N
614204	2093	1998-01-18	VYDAJ	VYBER	900	51460	\N	\N	\N
614205	2093	1998-01-30	VYDAJ	VYBER	2800	41760	\N	\N	\N
614206	2093	1998-01-11	VYDAJ	VYBER	2200	54760	\N	\N	\N
614207	2093	1998-01-12	VYDAJ	VYBER	2400	52360	\N	\N	\N
614208	2093	1998-01-03	VYDAJ	VYBER	600	43823	\N	\N	\N
614209	2093	1997-12-25	VYDAJ	VYBER	4400	58392	\N	\N	\N
614213	2093	1998-10-15	VYDAJ	VYBER KARTOU	1000	54261	\N	\N	0
614214	2093	1998-04-20	VYDAJ	VYBER	1500	58884	\N	\N	\N
614226	2093	1997-11-30	VYDAJ	VYBER	15	50836	SLUZBY	\N	\N
614227	2093	1997-12-31	VYDAJ	VYBER	15	58623	SLUZBY	\N	\N
614228	2093	1998-01-31	VYDAJ	VYBER	15	41950	SLUZBY	\N	\N
614229	2093	1998-02-28	VYDAJ	VYBER	15	53984	SLUZBY	\N	\N
614230	2093	1998-03-31	VYDAJ	VYBER	15	59247	SLUZBY	\N	\N
614231	2093	1998-04-30	VYDAJ	VYBER	15	59118	SLUZBY	\N	\N
614232	2093	1998-05-31	VYDAJ	VYBER	15	57782	SLUZBY	\N	\N
614233	2093	1998-06-30	VYDAJ	VYBER	15	53767	SLUZBY	\N	\N
614234	2093	1998-07-31	VYDAJ	VYBER	15	54414	SLUZBY	\N	\N
614235	2093	1998-08-31	VYDAJ	VYBER	15	56469	SLUZBY	\N	\N
614236	2093	1998-09-30	VYDAJ	VYBER	15	52724	SLUZBY	\N	\N
614237	2093	1998-10-31	VYDAJ	VYBER	15	42240	SLUZBY	\N	\N
614238	2093	1998-11-30	VYDAJ	VYBER	15	46439	SLUZBY	\N	\N
614239	2093	1997-08-06	PRIJEM	VKLAD	3000	20192	\N	\N	\N
614240	2093	1997-09-05	VYDAJ	VYBER	7300	29062	\N	\N	\N
614241	2093	1997-10-05	VYDAJ	VYBER	15200	30079	\N	\N	\N
614242	2093	1997-11-04	VYDAJ	VYBER	11700	34607	\N	\N	\N
614243	2093	1997-12-04	VYDAJ	VYBER	12100	38736	\N	\N	\N
614244	2093	1998-01-03	VYDAJ	VYBER	14200	44423	\N	\N	\N
614245	2093	1998-02-02	VYDAJ	VYBER	4200	37750	\N	\N	\N
614246	2093	1998-03-04	VYDAJ	VYBER	11000	42984	\N	\N	\N
614247	2093	1998-04-03	VYDAJ	VYBER	14900	44347	\N	\N	\N
614248	2093	1998-05-03	VYDAJ	VYBER	17600	41518	\N	\N	\N
614249	2093	1998-06-02	VYDAJ	VYBER	21600	36182	\N	\N	\N
614250	2093	1998-07-02	VYDAJ	VYBER	15600	38167	\N	\N	\N
614251	2093	1998-08-01	VYDAJ	VYBER	14200	40214	\N	\N	\N
614252	2093	1998-08-31	VYDAJ	VYBER	20000	36469	\N	\N	\N
614253	2093	1998-09-30	VYDAJ	VYBER	13500	39224	\N	\N	\N
614254	2093	1998-10-30	VYDAJ	VYBER	12200	42061	\N	\N	\N
614255	2093	1998-11-29	VYDAJ	VYBER	12000	46277	\N	\N	\N
614273	2094	1996-08-23	PRIJEM	VKLAD	800	800	\N	\N	\N
614282	2094	1996-09-13	PRIJEM	PREVOD Z UCTU	3433	4233	\N	EF	49044889
614283	2094	1996-10-13	PRIJEM	PREVOD Z UCTU	3433	7666	\N	EF	49044889
614284	2094	1996-11-13	PRIJEM	PREVOD Z UCTU	3433	11099	\N	EF	49044889
614285	2094	1996-12-13	PRIJEM	PREVOD Z UCTU	3433	14532	\N	EF	49044889
614286	2094	1997-01-13	PRIJEM	PREVOD Z UCTU	3433	17965	\N	EF	49044889
614287	2094	1997-02-13	PRIJEM	PREVOD Z UCTU	3433	16429	\N	EF	49044889
614288	2094	1997-03-13	PRIJEM	PREVOD Z UCTU	3433	17626	\N	EF	49044889
614289	2094	1997-04-13	PRIJEM	PREVOD Z UCTU	3433	17807	\N	EF	49044889
614290	2094	1997-05-13	PRIJEM	PREVOD Z UCTU	3433	19009	\N	EF	49044889
614291	2094	1997-06-13	PRIJEM	PREVOD Z UCTU	3433	20217	\N	EF	49044889
614292	2094	1997-07-13	PRIJEM	PREVOD Z UCTU	3433	19596	\N	EF	49044889
614293	2094	1997-08-13	PRIJEM	PREVOD Z UCTU	3433	20146	\N	EF	49044889
614294	2094	1997-09-13	PRIJEM	PREVOD Z UCTU	3433	20729	\N	EF	49044889
614295	2094	1997-10-13	PRIJEM	PREVOD Z UCTU	3433	21944	\N	EF	49044889
614296	2094	1997-11-13	PRIJEM	PREVOD Z UCTU	3433	20854	\N	EF	49044889
614297	2094	1997-12-13	PRIJEM	PREVOD Z UCTU	3433	22069	\N	EF	49044889
614298	2094	1998-01-13	PRIJEM	PREVOD Z UCTU	3433	18429	\N	EF	49044889
614299	2094	1998-02-13	PRIJEM	PREVOD Z UCTU	3433	17474	\N	EF	49044889
614300	2094	1998-03-13	PRIJEM	PREVOD Z UCTU	3433	17565	\N	EF	49044889
614301	2094	1998-04-13	PRIJEM	PREVOD Z UCTU	3433	17386	\N	EF	49044889
614302	2094	1998-05-13	PRIJEM	PREVOD Z UCTU	3433	18587	\N	EF	49044889
614303	2094	1998-06-13	PRIJEM	PREVOD Z UCTU	3433	14903	\N	EF	49044889
614304	2094	1998-07-13	PRIJEM	PREVOD Z UCTU	3433	16101	\N	EF	49044889
614305	2094	1998-08-13	PRIJEM	PREVOD Z UCTU	3433	16606	\N	EF	49044889
614306	2094	1998-09-13	PRIJEM	PREVOD Z UCTU	3433	17804	\N	EF	49044889
614307	2094	1998-10-13	PRIJEM	PREVOD Z UCTU	3433	19007	\N	EF	49044889
614308	2094	1998-11-13	PRIJEM	PREVOD Z UCTU	3433	18864	\N	EF	49044889
614309	2094	1998-12-13	PRIJEM	PREVOD Z UCTU	3433	18720	\N	EF	49044889
614323	2094	1997-02-12	VYDAJ	PREVOD NA UCET	2288	12996	SIPO	ST	94971048
614324	2094	1997-03-12	VYDAJ	PREVOD NA UCET	2288	14193	SIPO	ST	94971048
614325	2094	1997-04-12	VYDAJ	PREVOD NA UCET	2288	14374	SIPO	ST	94971048
614326	2094	1997-05-12	VYDAJ	PREVOD NA UCET	2288	15576	SIPO	ST	94971048
614327	2094	1997-06-12	VYDAJ	PREVOD NA UCET	2288	16784	SIPO	ST	94971048
614328	2094	1997-07-12	VYDAJ	PREVOD NA UCET	2288	16163	SIPO	ST	94971048
614329	2094	1997-08-12	VYDAJ	PREVOD NA UCET	2288	16713	SIPO	ST	94971048
614330	2094	1997-09-12	VYDAJ	PREVOD NA UCET	2288	17296	SIPO	ST	94971048
614331	2094	1997-10-12	VYDAJ	PREVOD NA UCET	2288	18511	SIPO	ST	94971048
614332	2094	1997-11-12	VYDAJ	PREVOD NA UCET	2288	17421	SIPO	ST	94971048
614333	2094	1997-12-12	VYDAJ	PREVOD NA UCET	2288	18636	SIPO	ST	94971048
614334	2094	1998-01-12	VYDAJ	PREVOD NA UCET	2288	14996	SIPO	ST	94971048
614335	2094	1998-02-12	VYDAJ	PREVOD NA UCET	2288	14041	SIPO	ST	94971048
614336	2094	1998-03-12	VYDAJ	PREVOD NA UCET	2288	14132	SIPO	ST	94971048
614337	2094	1998-04-12	VYDAJ	PREVOD NA UCET	2288	13953	SIPO	ST	94971048
614338	2094	1998-05-12	VYDAJ	PREVOD NA UCET	2288	15154	SIPO	ST	94971048
614339	2094	1998-06-12	VYDAJ	PREVOD NA UCET	2288	11470	SIPO	ST	94971048
614340	2094	1998-07-12	VYDAJ	PREVOD NA UCET	2288	12668	SIPO	ST	94971048
614341	2094	1998-08-12	VYDAJ	PREVOD NA UCET	2288	13173	SIPO	ST	94971048
614342	2094	1998-09-12	VYDAJ	PREVOD NA UCET	2288	14371	SIPO	ST	94971048
614343	2094	1998-10-12	VYDAJ	PREVOD NA UCET	2288	15574	SIPO	ST	94971048
614344	2094	1998-11-12	VYDAJ	PREVOD NA UCET	2288	15431	SIPO	ST	94971048
614345	2094	1998-12-12	VYDAJ	PREVOD NA UCET	2288	15287	SIPO	ST	94971048
614347	2094	1997-06-15	VYDAJ	VYBER	1830	18387	\N	\N	\N
614348	2094	1998-06-02	VYDAJ	VYBER	4890	13758	\N	\N	\N
614351	2094	1998-01-03	VYDAJ	VYBER	2010	18514	\N	\N	\N
614353	2094	1997-12-21	VYDAJ	VYBER	840	21229	\N	\N	\N
614354	2094	1998-12-10	VYDAJ	VYBER	510	17575	\N	\N	\N
614361	2094	1997-01-20	VYDAJ	VYBER	240	15865	\N	\N	\N
614362	2094	1997-01-16	VYDAJ	VYBER	450	17515	\N	\N	\N
614363	2094	1997-01-17	VYDAJ	VYBER	540	16105	\N	\N	\N
614364	2094	1997-01-26	VYDAJ	VYBER	420	15445	\N	\N	\N
614366	2094	1997-01-16	VYDAJ	VYBER	870	16645	\N	\N	\N
614367	2094	1998-01-04	VYDAJ	VYBER	780	17734	\N	\N	\N
614368	2094	1998-01-25	VYDAJ	VYBER	720	17709	\N	\N	\N
614369	2094	1998-01-09	VYDAJ	VYBER	450	17284	\N	\N	\N
614370	2094	1998-01-28	VYDAJ	VYBER	810	16269	\N	\N	\N
614371	2094	1998-01-01	VYDAJ	VYBER	780	20524	\N	\N	\N
614372	2094	1998-01-27	VYDAJ	VYBER	630	17079	\N	\N	\N
614380	2094	1997-11-02	VYDAJ	VYBER	1080	20939	\N	\N	\N
614381	2094	1997-03-18	VYDAJ	VYBER	780	16846	\N	\N	\N
614382	2094	1997-11-03	VYDAJ	VYBER	1230	19709	\N	\N	\N
614383	2094	1997-08-01	VYDAJ	VYBER	660	19001	\N	\N	\N
614384	2094	1997-02-06	VYDAJ	VYBER	180	15284	\N	\N	\N
614385	2094	1997-04-01	VYDAJ	VYBER	240	16662	\N	\N	\N
614386	2094	1997-08-29	VYDAJ	VYBER	630	19516	\N	\N	\N
614387	2094	1998-03-25	VYDAJ	VYBER	1380	16185	\N	\N	\N
614388	2094	1998-12-06	VYDAJ	VYBER	840	18085	\N	\N	\N
614389	2094	1998-03-08	VYDAJ	VYBER	1110	16420	\N	\N	\N
614390	2094	1998-08-06	VYDAJ	VYBER	690	15461	\N	\N	\N
614391	2094	1998-10-29	VYDAJ	VYBER	1350	17657	\N	\N	\N
614392	2094	1998-12-15	VYDAJ	VYBER	630	18090	\N	\N	\N
614406	2094	1997-01-31	VYDAJ	VYBER	15	15464	SLUZBY	\N	\N
614407	2094	1997-02-28	VYDAJ	VYBER	15	16481	SLUZBY	\N	\N
614408	2094	1997-03-31	VYDAJ	VYBER	15	16902	SLUZBY	\N	\N
614409	2094	1997-04-30	VYDAJ	VYBER	15	17864	SLUZBY	\N	\N
614410	2094	1997-05-31	VYDAJ	VYBER	15	19072	SLUZBY	\N	\N
614411	2094	1997-06-30	VYDAJ	VYBER	15	18451	SLUZBY	\N	\N
614412	2094	1997-07-31	VYDAJ	VYBER	15	19661	SLUZBY	\N	\N
614413	2094	1997-08-31	VYDAJ	VYBER	15	19584	SLUZBY	\N	\N
614414	2094	1997-09-30	VYDAJ	VYBER	15	20799	SLUZBY	\N	\N
614415	2094	1997-10-31	VYDAJ	VYBER	15	22019	SLUZBY	\N	\N
614416	2094	1997-11-30	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
614417	2094	1997-12-31	VYDAJ	VYBER	15	21304	SLUZBY	\N	\N
614418	2094	1998-01-31	VYDAJ	VYBER	15	16329	SLUZBY	\N	\N
614419	2094	1998-02-28	VYDAJ	VYBER	15	17530	SLUZBY	\N	\N
614420	2094	1998-03-31	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
614421	2094	1998-04-30	VYDAJ	VYBER	15	17442	SLUZBY	\N	\N
614422	2094	1998-05-31	VYDAJ	VYBER	15	18648	SLUZBY	\N	\N
614423	2094	1998-06-30	VYDAJ	VYBER	15	14956	SLUZBY	\N	\N
614424	2094	1998-07-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
614425	2094	1998-08-31	VYDAJ	VYBER	15	16659	SLUZBY	\N	\N
614426	2094	1998-09-30	VYDAJ	VYBER	15	17862	SLUZBY	\N	\N
614427	2094	1998-10-31	VYDAJ	VYBER	15	17719	SLUZBY	\N	\N
614428	2094	1998-11-30	VYDAJ	VYBER	15	18925	SLUZBY	\N	\N
614453	2095	1995-12-19	PRIJEM	VKLAD	800	800	\N	\N	\N
614466	2095	1996-01-12	PRIJEM	VKLAD	19987	20787	\N	\N	\N
614467	2095	1996-02-12	PRIJEM	VKLAD	19987	42917	\N	\N	\N
614468	2095	1996-03-12	PRIJEM	VKLAD	19987	56725	\N	\N	\N
614469	2095	1996-04-12	PRIJEM	VKLAD	19987	59370	\N	\N	\N
614470	2095	1996-05-12	PRIJEM	VKLAD	19987	63728	\N	\N	\N
614471	2095	1996-06-12	PRIJEM	VKLAD	29980	76180	\N	\N	\N
614472	2095	1996-07-12	PRIJEM	VKLAD	19987	36105	\N	\N	\N
614473	2095	1996-08-12	PRIJEM	VKLAD	19987	51377	\N	\N	\N
614474	2095	1996-09-12	PRIJEM	VKLAD	19987	54888	\N	\N	\N
614475	2095	1996-10-12	PRIJEM	VKLAD	19987	57211	\N	\N	\N
614476	2095	1996-11-12	PRIJEM	VKLAD	19987	58844	\N	\N	\N
614477	2095	1996-12-12	PRIJEM	VKLAD	29980	64071	\N	\N	\N
614478	2095	1997-01-12	PRIJEM	VKLAD	19987	66024	\N	\N	\N
614479	2095	1997-02-12	PRIJEM	VKLAD	19987	48673	\N	\N	\N
614480	2095	1997-03-12	PRIJEM	VKLAD	19987	68817	\N	\N	\N
614481	2095	1997-04-12	PRIJEM	VKLAD	19987	67489	\N	\N	\N
614482	2095	1997-05-12	PRIJEM	VKLAD	19987	66309	\N	\N	\N
614483	2095	1997-06-12	PRIJEM	VKLAD	29980	59517	\N	\N	\N
614484	2095	1997-07-12	PRIJEM	VKLAD	19987	59400	\N	\N	\N
614485	2095	1997-08-12	PRIJEM	VKLAD	19987	61709	\N	\N	\N
614486	2095	1997-09-12	PRIJEM	VKLAD	19987	67534	\N	\N	\N
614487	2095	1997-10-12	PRIJEM	VKLAD	19987	70179	\N	\N	\N
614488	2095	1997-11-12	PRIJEM	VKLAD	19987	70239	\N	\N	\N
614489	2095	1997-12-12	PRIJEM	VKLAD	29980	77685	\N	\N	\N
614490	2095	1998-01-12	PRIJEM	VKLAD	19987	71360	\N	\N	\N
614491	2095	1998-02-12	PRIJEM	VKLAD	19987	60710	\N	\N	\N
614492	2095	1998-03-12	PRIJEM	VKLAD	19987	61828	\N	\N	\N
614493	2095	1998-04-12	PRIJEM	VKLAD	19987	61144	\N	\N	\N
614494	2095	1998-05-12	PRIJEM	VKLAD	19987	60968	\N	\N	\N
614495	2095	1998-06-12	PRIJEM	VKLAD	29980	65477	\N	\N	\N
614496	2095	1998-07-12	PRIJEM	VKLAD	19987	62302	\N	\N	\N
614497	2095	1998-08-12	PRIJEM	VKLAD	19987	62522	\N	\N	\N
614498	2095	1998-09-12	PRIJEM	VKLAD	19987	60537	\N	\N	\N
614499	2095	1998-10-12	PRIJEM	VKLAD	19987	59252	\N	\N	\N
614500	2095	1998-11-12	PRIJEM	VKLAD	19987	52271	\N	\N	\N
614501	2095	1998-12-12	PRIJEM	VKLAD	29980	58063	\N	\N	\N
614503	2095	1996-06-20	VYDAJ	VYBER	28500	19380	\N	\N	\N
614504	2095	1997-06-11	VYDAJ	VYBER	11300	30937	\N	\N	\N
614505	2095	1998-06-10	VYDAJ	VYBER	4600	35497	\N	\N	\N
614507	2095	1996-12-07	VYDAJ	VYBER	1900	34091	\N	\N	\N
614508	2095	1997-12-09	VYDAJ	VYBER KARTOU	1000	47705	\N	\N	0
614509	2095	1998-12-30	VYDAJ	VYBER KARTOU	2600	54663	\N	\N	0
614522	2095	1997-01-19	VYDAJ	VYBER	1800	40324	\N	\N	\N
614523	2095	1997-01-23	VYDAJ	VYBER	2400	35024	\N	\N	\N
614524	2095	1997-01-19	VYDAJ	VYBER	2900	37424	\N	\N	\N
614525	2095	1997-01-28	VYDAJ	VYBER	2800	32224	\N	\N	\N
614526	2095	1997-01-29	VYDAJ	VYBER	2700	29524	\N	\N	\N
614527	2095	1997-01-15	VYDAJ	VYBER	2600	42124	\N	\N	\N
614528	2095	1998-01-08	VYDAJ	VYBER KARTOU	1000	51373	\N	\N	0
614529	2095	1998-01-24	VYDAJ	VYBER KARTOU	2400	62160	\N	\N	0
614530	2095	1998-01-25	VYDAJ	VYBER KARTOU	1800	60360	\N	\N	0
614531	2095	1998-01-20	VYDAJ	VYBER KARTOU	2000	67460	\N	\N	0
614532	2095	1998-01-21	VYDAJ	VYBER KARTOU	2900	64560	\N	\N	0
614533	2095	1998-01-12	VYDAJ	VYBER KARTOU	1900	69460	\N	\N	0
614541	2095	1996-06-18	VYDAJ	VYBER	1400	47880	\N	\N	\N
614542	2095	1996-06-29	VYDAJ	VYBER	3400	15980	\N	\N	\N
614543	2095	1996-10-13	VYDAJ	VYBER	3500	53711	\N	\N	\N
614544	2095	1996-12-03	VYDAJ	VYBER	3000	35991	\N	\N	\N
614545	2095	1997-06-26	VYDAJ	VYBER	4500	52417	\N	\N	\N
614546	2095	1997-06-15	VYDAJ	VYBER	2600	56917	\N	\N	\N
614547	2095	1997-11-04	VYDAJ	VYBER KARTOU	2700	67752	\N	\N	0
614548	2095	1998-07-07	VYDAJ	VYBER KARTOU	2200	42315	\N	\N	0
614549	2095	1998-05-15	VYDAJ	VYBER	4100	56868	\N	\N	\N
614550	2095	1998-03-16	VYDAJ	VYBER KARTOU	2200	59628	\N	\N	0
614551	2095	1998-08-17	VYDAJ	VYBER KARTOU	3800	55022	\N	\N	0
614552	2095	1998-12-19	VYDAJ	VYBER KARTOU	800	57263	\N	\N	0
614553	2095	1998-02-21	VYDAJ	VYBER	4500	56210	\N	\N	\N
614554	2095	1998-08-16	VYDAJ	VYBER KARTOU	3700	58822	\N	\N	0
614572	2095	1996-05-31	VYDAJ	VYBER	15	46200	SLUZBY	\N	\N
614573	2095	1996-06-30	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
614574	2095	1996-07-31	VYDAJ	VYBER	15	31390	SLUZBY	\N	\N
614575	2095	1996-08-31	VYDAJ	VYBER	15	34901	SLUZBY	\N	\N
614576	2095	1996-09-30	VYDAJ	VYBER	15	37224	SLUZBY	\N	\N
614577	2095	1996-10-31	VYDAJ	VYBER	15	38857	SLUZBY	\N	\N
614578	2095	1996-11-30	VYDAJ	VYBER	15	38991	SLUZBY	\N	\N
614579	2095	1996-12-31	VYDAJ	VYBER	15	46037	SLUZBY	\N	\N
614580	2095	1997-01-31	VYDAJ	VYBER	15	29686	SLUZBY	\N	\N
614581	2095	1997-02-28	VYDAJ	VYBER	15	48830	SLUZBY	\N	\N
614582	2095	1997-03-31	VYDAJ	VYBER	15	47502	SLUZBY	\N	\N
614583	2095	1997-04-30	VYDAJ	VYBER	15	46322	SLUZBY	\N	\N
614584	2095	1997-05-31	VYDAJ	VYBER	15	42237	SLUZBY	\N	\N
614585	2095	1997-06-30	VYDAJ	VYBER	15	52613	SLUZBY	\N	\N
614586	2095	1997-07-31	VYDAJ	VYBER	15	59622	SLUZBY	\N	\N
614587	2095	1997-08-31	VYDAJ	VYBER	15	61947	SLUZBY	\N	\N
614588	2095	1997-09-30	VYDAJ	VYBER	15	67792	SLUZBY	\N	\N
614589	2095	1997-10-31	VYDAJ	VYBER	15	70452	SLUZBY	\N	\N
614590	2095	1997-11-30	VYDAJ	VYBER	15	70505	SLUZBY	\N	\N
614591	2095	1997-12-31	VYDAJ	VYBER	15	77973	SLUZBY	\N	\N
614592	2095	1998-01-31	VYDAJ	VYBER	15	60623	SLUZBY	\N	\N
614593	2095	1998-02-28	VYDAJ	VYBER	15	56441	SLUZBY	\N	\N
614594	2095	1998-03-31	VYDAJ	VYBER	15	59857	SLUZBY	\N	\N
614595	2095	1998-04-30	VYDAJ	VYBER	15	61381	SLUZBY	\N	\N
614596	2095	1998-05-31	VYDAJ	VYBER	15	57097	SLUZBY	\N	\N
614597	2095	1998-06-30	VYDAJ	VYBER	15	65715	SLUZBY	\N	\N
614598	2095	1998-07-31	VYDAJ	VYBER	15	62535	SLUZBY	\N	\N
614599	2095	1998-08-31	VYDAJ	VYBER	15	55250	SLUZBY	\N	\N
614600	2095	1998-09-30	VYDAJ	VYBER	15	60765	SLUZBY	\N	\N
614601	2095	1998-10-31	VYDAJ	VYBER	15	59484	SLUZBY	\N	\N
614602	2095	1998-11-30	VYDAJ	VYBER	15	52483	SLUZBY	\N	\N
614603	2095	1996-01-18	PRIJEM	VKLAD	2100	22887	\N	\N	\N
614604	2095	1996-02-17	VYDAJ	VYBER	6300	36617	\N	\N	\N
614605	2095	1996-03-18	VYDAJ	VYBER	17500	39225	\N	\N	\N
614606	2095	1996-04-17	VYDAJ	VYBER	15800	43570	\N	\N	\N
614607	2095	1996-05-17	VYDAJ	VYBER	17700	46028	\N	\N	\N
614608	2095	1996-06-16	VYDAJ	VYBER	26900	49280	\N	\N	\N
614609	2095	1996-07-16	VYDAJ	VYBER	4800	31305	\N	\N	\N
614610	2095	1996-08-15	VYDAJ	VYBER	16600	34777	\N	\N	\N
614611	2095	1996-09-14	VYDAJ	VYBER	17800	37088	\N	\N	\N
614612	2095	1996-10-14	VYDAJ	VYBER	15000	38711	\N	\N	\N
614613	2095	1996-11-13	VYDAJ	VYBER	20000	38844	\N	\N	\N
614614	2095	1996-12-13	VYDAJ	VYBER	18200	45871	\N	\N	\N
614615	2095	1997-01-12	VYDAJ	VYBER	21300	44724	\N	\N	\N
614616	2095	1997-02-11	VYDAJ	VYBER	1000	28686	\N	\N	\N
614617	2095	1997-03-13	VYDAJ	VYBER	21500	47317	\N	\N	\N
614618	2095	1997-04-12	VYDAJ	VYBER	21400	46089	\N	\N	\N
614619	2095	1997-05-12	VYDAJ	VYBER	24300	42009	\N	\N	\N
614620	2095	1997-06-11	VYDAJ	VYBER	1400	29537	\N	\N	\N
614621	2095	1997-07-11	VYDAJ	VYBER	13200	39413	\N	\N	\N
614622	2095	1997-08-10	VYDAJ	VYBER	17900	41722	\N	\N	\N
614623	2095	1997-09-09	VYDAJ	VYBER	14400	47547	\N	\N	\N
614624	2095	1997-10-09	VYDAJ	VYBER	17600	50192	\N	\N	\N
614625	2095	1997-11-08	VYDAJ	VYBER	17500	50252	\N	\N	\N
614626	2095	1997-12-08	VYDAJ	VYBER	21800	48705	\N	\N	\N
614627	2095	1998-01-07	VYDAJ	VYBER	25600	52373	\N	\N	\N
614628	2095	1998-02-06	VYDAJ	VYBER	19900	40723	\N	\N	\N
614629	2095	1998-03-08	VYDAJ	VYBER	14600	41841	\N	\N	\N
614630	2095	1998-04-07	VYDAJ	VYBER	18700	41157	\N	\N	\N
614631	2095	1998-05-07	VYDAJ	VYBER	20400	40981	\N	\N	\N
614632	2095	1998-06-06	VYDAJ	VYBER	17000	40097	\N	\N	\N
614633	2095	1998-07-06	VYDAJ	VYBER	21200	44515	\N	\N	\N
614634	2095	1998-08-05	VYDAJ	VYBER	20000	42535	\N	\N	\N
614635	2095	1998-09-04	VYDAJ	VYBER	14700	40550	\N	\N	\N
614636	2095	1998-10-04	VYDAJ	VYBER	21500	39265	\N	\N	\N
614637	2095	1998-11-03	VYDAJ	VYBER	27200	32284	\N	\N	\N
614638	2095	1998-12-03	VYDAJ	VYBER	24400	28083	\N	\N	\N
614675	2096	1995-06-17	PRIJEM	VKLAD	700	700	\N	\N	\N
614682	2096	1995-07-10	PRIJEM	VKLAD	15089	15789	\N	\N	\N
614683	2096	1995-08-10	PRIJEM	VKLAD	15089	35018	\N	\N	\N
614684	2096	1995-09-10	PRIJEM	VKLAD	15089	42105	\N	\N	\N
614685	2096	1995-10-10	PRIJEM	VKLAD	15089	48420	\N	\N	\N
614686	2096	1995-11-10	PRIJEM	VKLAD	15089	52757	\N	\N	\N
614687	2096	1995-12-10	PRIJEM	VKLAD	22634	53360	\N	\N	\N
614688	2096	1996-01-10	PRIJEM	VKLAD	15089	39359	\N	\N	\N
614689	2096	1996-02-10	PRIJEM	VKLAD	15089	24044	\N	\N	\N
614690	2096	1996-03-10	PRIJEM	VKLAD	15089	31938	\N	\N	\N
614691	2096	1996-04-10	PRIJEM	VKLAD	15089	37250	\N	\N	\N
614692	2096	1996-05-10	PRIJEM	VKLAD	15089	40278	\N	\N	\N
614693	2096	1996-06-10	PRIJEM	VKLAD	22634	42971	\N	\N	\N
614694	2096	1996-07-10	PRIJEM	VKLAD	15089	37755	\N	\N	\N
614695	2096	1996-08-10	PRIJEM	VKLAD	15089	39367	\N	\N	\N
614696	2096	1996-09-10	PRIJEM	VKLAD	15089	44104	\N	\N	\N
614697	2096	1996-10-10	PRIJEM	VKLAD	15089	49866	\N	\N	\N
614698	2096	1996-11-10	PRIJEM	VKLAD	15089	49454	\N	\N	\N
614699	2096	1996-12-10	PRIJEM	VKLAD	22634	58990	\N	\N	\N
614700	2096	1997-01-10	PRIJEM	VKLAD	15089	49728	\N	\N	\N
614701	2096	1997-02-10	PRIJEM	VKLAD	15089	43048	\N	\N	\N
614702	2096	1997-03-10	PRIJEM	VKLAD	15089	47205	\N	\N	\N
614703	2096	1997-04-10	PRIJEM	VKLAD	15089	46082	\N	\N	\N
614704	2096	1997-05-10	PRIJEM	VKLAD	15089	49058	\N	\N	\N
614705	2096	1997-06-10	PRIJEM	VKLAD	22634	55579	\N	\N	\N
614706	2096	1997-07-10	PRIJEM	VKLAD	15089	54583	\N	\N	\N
614707	2096	1997-08-10	PRIJEM	VKLAD	15089	54595	\N	\N	\N
614708	2096	1997-09-10	PRIJEM	VKLAD	15089	53842	\N	\N	\N
614709	2096	1997-10-10	PRIJEM	VKLAD	15089	56247	\N	\N	\N
614710	2096	1997-11-10	PRIJEM	VKLAD	15089	54861	\N	\N	\N
614711	2096	1997-12-10	PRIJEM	VKLAD	22634	58715	\N	\N	\N
614712	2096	1998-01-10	PRIJEM	VKLAD	15089	49252	\N	\N	\N
614713	2096	1998-02-10	PRIJEM	VKLAD	15089	43782	\N	\N	\N
614714	2096	1998-03-10	PRIJEM	VKLAD	15089	42940	\N	\N	\N
614715	2096	1998-04-10	PRIJEM	VKLAD	15089	39500	\N	\N	\N
614716	2096	1998-05-10	PRIJEM	VKLAD	15089	44544	\N	\N	\N
614717	2096	1998-06-10	PRIJEM	VKLAD	22634	57651	\N	\N	\N
614718	2096	1998-07-10	PRIJEM	VKLAD	15089	40260	\N	\N	\N
614719	2096	1998-08-10	PRIJEM	VKLAD	15089	44705	\N	\N	\N
614720	2096	1998-09-10	PRIJEM	VKLAD	15089	47169	\N	\N	\N
614721	2096	1998-10-10	PRIJEM	VKLAD	15089	50044	\N	\N	\N
614722	2096	1998-11-10	PRIJEM	VKLAD	15089	49729	\N	\N	\N
614723	2096	1998-12-10	PRIJEM	VKLAD	22634	54113	\N	\N	\N
614734	2096	1995-11-12	VYDAJ	PREVOD NA UCET	3731	49026	SIPO	WX	16533756
614735	2096	1995-12-12	VYDAJ	PREVOD NA UCET	3731	49629	SIPO	WX	16533756
614736	2096	1996-01-12	VYDAJ	PREVOD NA UCET	3731	35628	SIPO	WX	16533756
614737	2096	1996-02-12	VYDAJ	PREVOD NA UCET	3731	22213	SIPO	WX	16533756
614738	2096	1996-03-12	VYDAJ	PREVOD NA UCET	3731	28207	SIPO	WX	16533756
614739	2096	1996-04-12	VYDAJ	PREVOD NA UCET	3731	30519	SIPO	WX	16533756
614740	2096	1996-05-12	VYDAJ	PREVOD NA UCET	3731	30947	SIPO	WX	16533756
614741	2096	1996-06-12	VYDAJ	PREVOD NA UCET	3731	31840	SIPO	WX	16533756
614742	2096	1996-07-12	VYDAJ	PREVOD NA UCET	3731	32124	SIPO	WX	16533756
614743	2096	1996-08-12	VYDAJ	PREVOD NA UCET	3731	33136	SIPO	WX	16533756
614744	2096	1996-09-12	VYDAJ	PREVOD NA UCET	3731	40373	SIPO	WX	16533756
614745	2096	1996-10-12	VYDAJ	PREVOD NA UCET	3731	46135	SIPO	WX	16533756
614746	2096	1996-11-12	VYDAJ	PREVOD NA UCET	3731	45723	SIPO	WX	16533756
614747	2096	1996-12-12	VYDAJ	PREVOD NA UCET	3731	55259	SIPO	WX	16533756
614748	2096	1997-01-12	VYDAJ	PREVOD NA UCET	3731	45997	SIPO	WX	16533756
614749	2096	1997-02-12	VYDAJ	PREVOD NA UCET	3731	39317	SIPO	WX	16533756
614750	2096	1997-03-12	VYDAJ	PREVOD NA UCET	3731	43474	SIPO	WX	16533756
614751	2096	1997-04-12	VYDAJ	PREVOD NA UCET	3731	42351	SIPO	WX	16533756
614752	2096	1997-05-12	VYDAJ	PREVOD NA UCET	3731	45327	SIPO	WX	16533756
614753	2096	1997-06-12	VYDAJ	PREVOD NA UCET	3731	51848	SIPO	WX	16533756
614754	2096	1997-07-12	VYDAJ	PREVOD NA UCET	3731	50852	SIPO	WX	16533756
614755	2096	1997-08-12	VYDAJ	PREVOD NA UCET	3731	50864	SIPO	WX	16533756
614756	2096	1997-09-12	VYDAJ	PREVOD NA UCET	3731	50111	SIPO	WX	16533756
614757	2096	1997-10-12	VYDAJ	PREVOD NA UCET	3731	52516	SIPO	WX	16533756
614758	2096	1997-11-12	VYDAJ	PREVOD NA UCET	3731	51130	SIPO	WX	16533756
614759	2096	1997-12-12	VYDAJ	PREVOD NA UCET	3731	54984	SIPO	WX	16533756
614760	2096	1998-01-12	VYDAJ	PREVOD NA UCET	3731	44441	SIPO	WX	16533756
614761	2096	1998-02-12	VYDAJ	PREVOD NA UCET	3731	40051	SIPO	WX	16533756
614762	2096	1998-03-12	VYDAJ	PREVOD NA UCET	3731	39209	SIPO	WX	16533756
614763	2096	1998-04-12	VYDAJ	PREVOD NA UCET	3731	35769	SIPO	WX	16533756
614764	2096	1998-05-12	VYDAJ	PREVOD NA UCET	3731	40813	SIPO	WX	16533756
614765	2096	1998-06-12	VYDAJ	PREVOD NA UCET	3731	53920	SIPO	WX	16533756
614766	2096	1998-07-12	VYDAJ	PREVOD NA UCET	3731	36529	SIPO	WX	16533756
614767	2096	1998-08-12	VYDAJ	PREVOD NA UCET	3731	40974	SIPO	WX	16533756
614768	2096	1998-09-12	VYDAJ	PREVOD NA UCET	3731	43438	SIPO	WX	16533756
614769	2096	1998-10-12	VYDAJ	PREVOD NA UCET	3731	46313	SIPO	WX	16533756
614770	2096	1998-11-12	VYDAJ	PREVOD NA UCET	3731	45998	SIPO	WX	16533756
614771	2096	1998-12-12	VYDAJ	PREVOD NA UCET	3731	50382	SIPO	WX	16533756
614783	2096	1995-12-06	VYDAJ	PREVOD NA UCET	5441	30727	 	UV	38005286
614784	2096	1996-01-06	VYDAJ	PREVOD NA UCET	5441	26190	 	UV	38005286
614785	2096	1996-02-06	VYDAJ	PREVOD NA UCET	5441	8955	 	UV	38005286
614786	2096	1996-03-06	VYDAJ	PREVOD NA UCET	5441	16849	 	UV	38005286
614787	2096	1996-04-06	VYDAJ	PREVOD NA UCET	5441	22161	 	UV	38005286
614788	2096	1996-05-06	VYDAJ	PREVOD NA UCET	5441	25189	 	UV	38005286
614789	2096	1996-06-06	VYDAJ	PREVOD NA UCET	5441	20337	 	UV	38005286
614790	2096	1996-07-06	VYDAJ	PREVOD NA UCET	5441	22666	 	UV	38005286
614791	2096	1996-08-06	VYDAJ	PREVOD NA UCET	5441	24278	 	UV	38005286
614792	2096	1996-09-06	VYDAJ	PREVOD NA UCET	5441	27815	 	UV	38005286
614793	2096	1996-10-06	VYDAJ	PREVOD NA UCET	5441	35077	 	UV	38005286
614794	2096	1996-11-06	VYDAJ	PREVOD NA UCET	5441	40865	 	UV	38005286
614795	2096	1996-12-06	VYDAJ	PREVOD NA UCET	5441	40456	 	UV	38005286
614796	2096	1997-01-06	VYDAJ	PREVOD NA UCET	5441	45139	 	UV	38005286
614797	2096	1997-02-06	VYDAJ	PREVOD NA UCET	5441	29159	 	UV	38005286
614798	2096	1997-03-06	VYDAJ	PREVOD NA UCET	5441	34016	 	UV	38005286
614799	2096	1997-04-06	VYDAJ	PREVOD NA UCET	5441	38193	 	UV	38005286
614800	2096	1997-05-06	VYDAJ	PREVOD NA UCET	5441	37069	 	UV	38005286
614801	2096	1997-06-06	VYDAJ	PREVOD NA UCET	5441	32946	 	UV	38005286
614802	2096	1997-07-06	VYDAJ	PREVOD NA UCET	5441	39494	 	UV	38005286
614803	2096	1997-08-06	VYDAJ	PREVOD NA UCET	5441	39506	 	UV	38005286
614804	2096	1997-09-06	VYDAJ	PREVOD NA UCET	5441	38753	 	UV	38005286
614805	2096	1997-10-06	VYDAJ	PREVOD NA UCET	5441	41158	 	UV	38005286
614806	2096	1997-11-06	VYDAJ	PREVOD NA UCET	5441	39772	 	UV	38005286
614807	2096	1997-12-06	VYDAJ	PREVOD NA UCET	5441	36082	 	UV	38005286
614808	2096	1998-01-06	VYDAJ	PREVOD NA UCET	5441	34163	 	UV	38005286
614809	2096	1998-02-06	VYDAJ	PREVOD NA UCET	5441	28693	 	UV	38005286
614810	2096	1998-03-06	VYDAJ	PREVOD NA UCET	5441	27851	 	UV	38005286
614811	2096	1998-04-06	VYDAJ	PREVOD NA UCET	5441	24411	 	UV	38005286
614812	2096	1998-05-06	VYDAJ	PREVOD NA UCET	5441	29455	 	UV	38005286
614813	2096	1998-06-06	VYDAJ	PREVOD NA UCET	5441	35018	 	UV	38005286
614814	2096	1998-07-06	VYDAJ	PREVOD NA UCET	5441	25171	 	UV	38005286
614815	2096	1998-08-06	VYDAJ	PREVOD NA UCET	5441	29616	 	UV	38005286
614816	2096	1998-09-06	VYDAJ	PREVOD NA UCET	5441	32080	 	UV	38005286
614817	2096	1998-10-06	VYDAJ	PREVOD NA UCET	5441	34955	 	UV	38005286
614818	2096	1998-11-06	VYDAJ	PREVOD NA UCET	5441	34640	 	UV	38005286
614819	2096	1998-12-06	VYDAJ	PREVOD NA UCET	5441	31480	 	UV	38005286
614823	2096	1998-06-25	VYDAJ	VYBER	22080	31840	\N	\N	\N
614825	2096	1996-01-20	VYDAJ	VYBER	10400	15508	\N	\N	\N
614826	2096	1997-01-28	VYDAJ	VYBER	2560	34437	\N	\N	\N
614827	2096	1998-01-03	VYDAJ	VYBER	1600	45364	\N	\N	\N
614828	2096	1995-12-19	VYDAJ	VYBER	2880	34249	\N	\N	\N
614829	2096	1996-12-19	VYDAJ	VYBER	800	54459	\N	\N	\N
614830	2096	1997-12-24	VYDAJ	VYBER	1120	53864	\N	\N	\N
614831	2096	1998-12-20	VYDAJ	VYBER	2400	47982	\N	\N	\N
614838	2096	1996-01-05	VYDAJ	VYBER	2760	31631	\N	\N	\N
614839	2096	1996-01-18	VYDAJ	VYBER	3120	25908	\N	\N	\N
614841	2096	1996-01-27	VYDAJ	VYBER	1200	14308	\N	\N	\N
614843	2096	1996-01-07	VYDAJ	VYBER	1920	24270	\N	\N	\N
614844	2096	1997-01-15	VYDAJ	VYBER	600	43717	\N	\N	\N
614845	2096	1997-01-01	VYDAJ	VYBER	3120	51540	\N	\N	\N
614846	2096	1997-01-24	VYDAJ	VYBER	2400	40117	\N	\N	\N
614847	2096	1997-01-25	VYDAJ	VYBER	3120	36997	\N	\N	\N
614848	2096	1997-01-15	VYDAJ	VYBER	1680	44317	\N	\N	\N
614849	2096	1997-01-18	VYDAJ	VYBER	1200	42517	\N	\N	\N
614850	2096	1998-01-24	VYDAJ	VYBER	2160	36761	\N	\N	\N
614851	2096	1998-01-18	VYDAJ	VYBER	960	43481	\N	\N	\N
614852	2096	1998-01-27	VYDAJ	VYBER	2880	33881	\N	\N	\N
614853	2096	1998-01-05	VYDAJ	VYBER	3360	39604	\N	\N	\N
614854	2096	1998-01-11	VYDAJ	VYBER	1080	48172	\N	\N	\N
614855	2096	1998-01-04	VYDAJ	VYBER	2400	42964	\N	\N	\N
614860	2096	1996-06-21	VYDAJ	VYBER	3840	28000	\N	\N	\N
614861	2096	1996-07-30	VYDAJ	VYBER	2520	29604	\N	\N	\N
614862	2096	1996-05-25	VYDAJ	VYBER	5280	25667	\N	\N	\N
614863	2096	1997-05-21	VYDAJ	VYBER	5400	39927	\N	\N	\N
614864	2096	1997-01-03	VYDAJ	VYBER	960	50580	\N	\N	\N
614865	2096	1997-11-12	VYDAJ	VYBER	2400	48730	\N	\N	\N
614866	2096	1997-08-26	VYDAJ	VYBER	1560	49304	\N	\N	\N
614867	2096	1998-11-23	VYDAJ	VYBER	2640	43358	\N	\N	\N
614868	2096	1998-04-05	VYDAJ	VYBER	4200	29852	\N	\N	\N
614869	2096	1998-01-20	VYDAJ	VYBER	4560	38921	\N	\N	\N
614870	2096	1998-04-02	VYDAJ	VYBER	5400	34052	\N	\N	\N
614882	2096	1995-11-30	VYDAJ	VYBER	15	36168	SLUZBY	\N	\N
614883	2096	1995-12-31	VYDAJ	VYBER	15	34391	SLUZBY	\N	\N
614884	2096	1996-01-31	VYDAJ	VYBER	15	14396	SLUZBY	\N	\N
614885	2096	1996-02-29	VYDAJ	VYBER	15	22290	SLUZBY	\N	\N
614886	2096	1996-03-31	VYDAJ	VYBER	15	27602	SLUZBY	\N	\N
614887	2096	1996-04-30	VYDAJ	VYBER	15	30630	SLUZBY	\N	\N
614888	2096	1996-05-31	VYDAJ	VYBER	15	25778	SLUZBY	\N	\N
614889	2096	1996-06-30	VYDAJ	VYBER	15	28107	SLUZBY	\N	\N
614890	2096	1996-07-31	VYDAJ	VYBER	15	29719	SLUZBY	\N	\N
614891	2096	1996-08-31	VYDAJ	VYBER	15	33256	SLUZBY	\N	\N
614892	2096	1996-09-30	VYDAJ	VYBER	15	40518	SLUZBY	\N	\N
614893	2096	1996-10-31	VYDAJ	VYBER	15	46306	SLUZBY	\N	\N
614894	2096	1996-11-30	VYDAJ	VYBER	15	45897	SLUZBY	\N	\N
614895	2096	1996-12-31	VYDAJ	VYBER	15	54660	SLUZBY	\N	\N
614896	2096	1997-01-31	VYDAJ	VYBER	15	34600	SLUZBY	\N	\N
614897	2096	1997-02-28	VYDAJ	VYBER	15	39457	SLUZBY	\N	\N
614898	2096	1997-03-31	VYDAJ	VYBER	15	43634	SLUZBY	\N	\N
614899	2096	1997-04-30	VYDAJ	VYBER	15	42510	SLUZBY	\N	\N
614900	2096	1997-05-31	VYDAJ	VYBER	15	40087	SLUZBY	\N	\N
614901	2096	1997-06-30	VYDAJ	VYBER	15	52035	SLUZBY	\N	\N
614902	2096	1997-07-31	VYDAJ	VYBER	15	51047	SLUZBY	\N	\N
614903	2096	1997-08-31	VYDAJ	VYBER	15	49494	SLUZBY	\N	\N
614904	2096	1997-09-30	VYDAJ	VYBER	15	50299	SLUZBY	\N	\N
614905	2096	1997-10-31	VYDAJ	VYBER	15	52713	SLUZBY	\N	\N
614906	2096	1997-11-30	VYDAJ	VYBER	15	48923	SLUZBY	\N	\N
614907	2096	1997-12-31	VYDAJ	VYBER	15	54064	SLUZBY	\N	\N
614908	2096	1998-01-31	VYDAJ	VYBER	15	34034	SLUZBY	\N	\N
614909	2096	1998-02-28	VYDAJ	VYBER	15	40192	SLUZBY	\N	\N
614910	2096	1998-03-31	VYDAJ	VYBER	15	39352	SLUZBY	\N	\N
614911	2096	1998-04-30	VYDAJ	VYBER	15	35896	SLUZBY	\N	\N
614912	2096	1998-05-31	VYDAJ	VYBER	15	40959	SLUZBY	\N	\N
614913	2096	1998-06-30	VYDAJ	VYBER	15	32012	SLUZBY	\N	\N
614914	2096	1998-07-31	VYDAJ	VYBER	15	35057	SLUZBY	\N	\N
614915	2096	1998-08-31	VYDAJ	VYBER	15	37521	SLUZBY	\N	\N
614916	2096	1998-09-30	VYDAJ	VYBER	15	40396	SLUZBY	\N	\N
614917	2096	1998-10-31	VYDAJ	VYBER	15	40081	SLUZBY	\N	\N
614918	2096	1998-11-30	VYDAJ	VYBER	15	36921	SLUZBY	\N	\N
614919	2096	1995-07-17	PRIJEM	VKLAD	4100	19889	\N	\N	\N
614920	2096	1995-08-16	VYDAJ	VYBER	8100	26918	\N	\N	\N
614921	2096	1995-09-15	VYDAJ	VYBER	8900	33205	\N	\N	\N
614922	2096	1995-10-15	VYDAJ	VYBER	10900	37520	\N	\N	\N
614923	2096	1995-11-14	VYDAJ	VYBER	13000	36026	\N	\N	\N
614924	2096	1995-12-14	VYDAJ	VYBER	12500	37129	\N	\N	\N
614925	2096	1996-01-13	VYDAJ	VYBER	6600	29028	\N	\N	\N
614926	2096	1996-02-12	PRIJEM	VKLAD	1900	25944	\N	\N	\N
614927	2096	1996-03-13	VYDAJ	VYBER	700	27507	\N	\N	\N
614928	2096	1996-04-12	VYDAJ	VYBER	3000	34250	\N	\N	\N
614929	2096	1996-05-12	VYDAJ	VYBER	5600	34678	\N	\N	\N
614930	2096	1996-06-11	VYDAJ	VYBER	7400	35571	\N	\N	\N
614931	2096	1996-07-11	VYDAJ	VYBER	1900	35855	\N	\N	\N
614932	2096	1996-08-10	VYDAJ	VYBER	2500	36867	\N	\N	\N
614933	2096	1996-09-09	PRIJEM	VKLAD	1200	29015	\N	\N	\N
614934	2096	1996-10-09	VYDAJ	VYBER	300	34777	\N	\N	\N
614935	2096	1996-11-08	VYDAJ	VYBER	6500	34365	\N	\N	\N
614936	2096	1996-12-08	VYDAJ	VYBER	4100	36356	\N	\N	\N
614937	2096	1997-01-07	VYDAJ	VYBER	10500	34639	\N	\N	\N
614938	2096	1997-02-06	VYDAJ	VYBER	1200	27959	\N	\N	\N
614939	2096	1997-03-08	VYDAJ	VYBER	1900	32116	\N	\N	\N
614940	2096	1997-04-07	VYDAJ	VYBER	7200	30993	\N	\N	\N
614941	2096	1997-05-07	VYDAJ	VYBER	3100	33969	\N	\N	\N
614942	2096	1997-06-06	VYDAJ	VYBER	1700	38387	\N	\N	\N
614943	2096	1997-07-06	VYDAJ	VYBER	7100	44935	\N	\N	\N
614944	2096	1997-08-05	VYDAJ	VYBER	6100	44947	\N	\N	\N
614945	2096	1997-09-04	VYDAJ	VYBER	5300	44194	\N	\N	\N
614946	2096	1997-10-04	VYDAJ	VYBER	3700	46599	\N	\N	\N
614947	2096	1997-11-03	VYDAJ	VYBER	7500	45213	\N	\N	\N
614948	2096	1997-12-03	VYDAJ	VYBER	7400	41523	\N	\N	\N
614949	2096	1998-01-02	VYDAJ	VYBER	7100	46964	\N	\N	\N
614950	2096	1998-02-01	PRIJEM	VKLAD	100	34134	\N	\N	\N
614951	2096	1998-03-03	VYDAJ	VYBER	6900	33292	\N	\N	\N
614952	2096	1998-04-02	PRIJEM	VKLAD	100	39452	\N	\N	\N
614953	2096	1998-05-02	VYDAJ	VYBER	1000	34896	\N	\N	\N
614954	2096	1998-06-01	VYDAJ	VYBER	500	40459	\N	\N	\N
614955	2096	1998-07-01	VYDAJ	VYBER	1400	30612	\N	\N	\N
614956	2096	1998-07-31	VYDAJ	VYBER	1600	35072	\N	\N	\N
614957	2096	1998-08-30	VYDAJ	VYBER	3600	37374	\N	\N	\N
614958	2096	1998-09-29	VYDAJ	VYBER	3200	40238	\N	\N	\N
614959	2096	1998-10-29	VYDAJ	VYBER	6400	39913	\N	\N	\N
614960	2096	1998-11-28	VYDAJ	VYBER	6600	36758	\N	\N	\N
615003	2097	1997-10-11	PRIJEM	VKLAD	500	500	\N	\N	\N
615006	2097	1998-01-10	PRIJEM	VKLAD	29026	58949	\N	\N	\N
615007	2097	1998-03-14	PRIJEM	VKLAD	13528	51744	\N	\N	\N
615017	2097	1997-10-13	PRIJEM	VKLAD	500	1000	\N	\N	\N
615018	2097	1997-11-13	PRIJEM	VKLAD	500	16804	\N	\N	\N
615019	2097	1997-12-16	PRIJEM	VKLAD	500	24349	\N	\N	\N
615020	2097	1998-01-15	PRIJEM	VKLAD	500	59449	\N	\N	\N
615021	2097	1998-02-13	PRIJEM	VKLAD	500	43330	\N	\N	\N
615022	2097	1998-03-15	PRIJEM	VKLAD	500	52244	\N	\N	\N
615023	2097	1998-04-16	PRIJEM	VKLAD	500	39334	\N	\N	\N
615024	2097	1998-05-14	PRIJEM	VKLAD	500	33912	\N	\N	\N
615025	2097	1998-06-14	PRIJEM	VKLAD	500	37051	\N	\N	\N
615026	2097	1998-07-14	PRIJEM	VKLAD	500	34823	\N	\N	\N
615027	2097	1998-08-16	PRIJEM	VKLAD	500	38742	\N	\N	\N
615028	2097	1998-09-16	PRIJEM	VKLAD	500	39983	\N	\N	\N
615029	2097	1998-10-15	PRIJEM	VKLAD	500	37534	\N	\N	\N
615030	2097	1998-11-15	PRIJEM	VKLAD	500	38083	\N	\N	\N
615031	2097	1998-12-16	PRIJEM	VKLAD	500	40428	\N	\N	\N
615041	2097	1997-10-18	PRIJEM	VKLAD	500	1500	\N	\N	\N
615042	2097	1997-11-18	PRIJEM	VKLAD	500	17304	\N	\N	\N
615043	2097	1997-12-18	PRIJEM	VKLAD	500	24849	\N	\N	\N
615044	2097	1998-01-18	PRIJEM	VKLAD	500	57749	\N	\N	\N
615045	2097	1998-02-18	PRIJEM	VKLAD	500	43830	\N	\N	\N
615046	2097	1998-03-18	PRIJEM	VKLAD	500	52744	\N	\N	\N
615047	2097	1998-04-18	PRIJEM	VKLAD	500	39834	\N	\N	\N
615048	2097	1998-05-18	PRIJEM	VKLAD	500	34412	\N	\N	\N
615049	2097	1998-06-18	PRIJEM	VKLAD	500	37551	\N	\N	\N
615050	2097	1998-07-18	PRIJEM	VKLAD	500	35323	\N	\N	\N
615051	2097	1998-08-18	PRIJEM	VKLAD	500	39242	\N	\N	\N
615052	2097	1998-09-18	PRIJEM	VKLAD	500	40483	\N	\N	\N
615053	2097	1998-10-18	PRIJEM	VKLAD	500	38034	\N	\N	\N
615054	2097	1998-11-18	PRIJEM	VKLAD	500	38583	\N	\N	\N
615055	2097	1998-12-18	PRIJEM	VKLAD	500	40928	\N	\N	\N
615059	2097	1998-01-16	VYDAJ	VYBER	2200	57249	\N	\N	\N
615061	2097	1998-06-20	VYDAJ	VYBER	8800	28751	\N	\N	\N
615063	2097	1998-01-22	VYDAJ	VYBER	4000	53749	\N	\N	\N
615065	2097	1998-12-07	VYDAJ	VYBER KARTOU	900	39928	\N	\N	0
615071	2097	1998-06-26	VYDAJ	VYBER	950	27801	\N	\N	\N
615072	2097	1998-12-04	VYDAJ	VYBER KARTOU	600	38128	\N	\N	0
615085	2097	1997-12-31	VYDAJ	VYBER	15	24923	SLUZBY	\N	\N
615086	2097	1998-01-31	VYDAJ	VYBER	15	53930	SLUZBY	\N	\N
615087	2097	1998-02-28	VYDAJ	VYBER	15	44016	SLUZBY	\N	\N
615088	2097	1998-03-31	VYDAJ	VYBER	15	52934	SLUZBY	\N	\N
615089	2097	1998-04-30	VYDAJ	VYBER	15	40012	SLUZBY	\N	\N
615090	2097	1998-05-31	VYDAJ	VYBER	15	34551	SLUZBY	\N	\N
615091	2097	1998-06-30	VYDAJ	VYBER	15	27923	SLUZBY	\N	\N
615092	2097	1998-07-31	VYDAJ	VYBER	15	35442	SLUZBY	\N	\N
615093	2097	1998-08-31	VYDAJ	VYBER	15	39383	SLUZBY	\N	\N
615094	2097	1998-09-30	VYDAJ	VYBER	15	40634	SLUZBY	\N	\N
615095	2097	1998-10-31	VYDAJ	VYBER	15	38183	SLUZBY	\N	\N
615096	2097	1998-11-30	VYDAJ	VYBER	15	38728	SLUZBY	\N	\N
615097	2097	1997-11-10	PRIJEM	VKLAD	14800	16304	\N	\N	\N
615098	2097	1997-12-10	PRIJEM	VKLAD	6500	23849	\N	\N	\N
615099	2097	1998-01-09	PRIJEM	VKLAD	5000	29923	\N	\N	\N
615100	2097	1998-02-08	VYDAJ	VYBER	11100	42830	\N	\N	\N
615101	2097	1998-03-10	VYDAJ	VYBER	5800	38216	\N	\N	\N
615102	2097	1998-04-09	VYDAJ	VYBER	14100	38834	\N	\N	\N
615103	2097	1998-05-09	VYDAJ	VYBER	6600	33412	\N	\N	\N
615104	2097	1998-06-08	PRIJEM	VKLAD	2000	36551	\N	\N	\N
615105	2097	1998-07-08	PRIJEM	VKLAD	6400	34323	\N	\N	\N
615106	2097	1998-08-07	PRIJEM	VKLAD	2800	38242	\N	\N	\N
615107	2097	1998-09-06	PRIJEM	VKLAD	100	39483	\N	\N	\N
615108	2097	1998-10-06	VYDAJ	VYBER	3600	37034	\N	\N	\N
615109	2097	1998-11-05	VYDAJ	VYBER	600	37583	\N	\N	\N
615110	2097	1998-12-05	PRIJEM	VKLAD	2700	40828	\N	\N	\N
615542	2099	1993-01-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
615543	2099	1993-11-26	PRIJEM	VKLAD	25717	117212	\N	\N	\N
615544	2099	1993-04-18	PRIJEM	VKLAD	43854	71547	\N	\N	\N
615545	2099	1993-12-19	PRIJEM	VKLAD	28418	28568	\N	\N	\N
615546	2099	1993-12-20	PRIJEM	VKLAD	13961	42529	\N	\N	\N
615547	2099	1993-01-24	PRIJEM	VKLAD	36518	53743	\N	\N	\N
615548	2099	1993-01-22	PRIJEM	VKLAD	16125	17225	\N	\N	\N
615549	2099	1993-10-18	PRIJEM	VKLAD	49424	147484	\N	\N	\N
615550	2099	1993-02-07	PRIJEM	VKLAD	28157	81962	\N	\N	\N
615551	2099	1993-03-03	PRIJEM	VKLAD	30557	83039	\N	\N	\N
615552	2099	1993-03-28	PRIJEM	VKLAD	18946	74785	\N	\N	\N
615553	2099	1993-07-14	PRIJEM	VKLAD	43045	75484	\N	\N	\N
615554	2099	1993-10-10	PRIJEM	VKLAD	44790	99860	\N	\N	\N
615555	2099	1993-10-18	PRIJEM	VKLAD	36684	184168	\N	\N	\N
615557	2099	1993-11-17	PRIJEM	VKLAD	6138	97195	\N	\N	\N
615558	2099	1993-05-17	PRIJEM	VKLAD	35581	77575	\N	\N	\N
615559	2099	1993-05-31	PRIJEM	VKLAD	25391	103260	\N	\N	\N
615560	2099	1993-08-15	PRIJEM	VKLAD	44611	100642	\N	\N	\N
615561	2099	1993-09-09	PRIJEM	VKLAD	23452	124465	\N	\N	\N
615562	2099	1993-07-20	PRIJEM	VKLAD	43267	118751	\N	\N	\N
615563	2099	1993-11-16	PRIJEM	VKLAD	21308	91057	\N	\N	\N
615564	2099	1993-10-02	PRIJEM	VKLAD	23553	79670	\N	\N	\N
615565	2099	1994-06-04	PRIJEM	VKLAD	25570	44221	\N	\N	\N
615566	2099	1994-09-06	PRIJEM	VKLAD	37362	82180	\N	\N	\N
615567	2099	1994-09-02	PRIJEM	VKLAD	47216	58018	\N	\N	\N
615568	2099	1994-02-03	PRIJEM	VKLAD	11942	54921	\N	\N	\N
615569	2099	1994-01-03	PRIJEM	VKLAD	41349	83995	\N	\N	\N
615570	2099	1994-11-12	PRIJEM	VKLAD	30356	66114	\N	\N	\N
615571	2099	1994-09-28	PRIJEM	VKLAD	37999	120179	\N	\N	\N
615572	2099	1994-06-04	PRIJEM	VKLAD	8485	52706	\N	\N	\N
615573	2099	1994-04-14	PRIJEM	VKLAD	5713	27306	\N	\N	\N
615574	2099	1994-01-27	PRIJEM	VKLAD	28894	42870	\N	\N	\N
615575	2099	1995-10-15	PRIJEM	VKLAD	6487	57580	\N	\N	\N
615576	2099	1995-06-29	PRIJEM	VKLAD	6060	58906	\N	\N	\N
615577	2099	1995-05-02	PRIJEM	VKLAD	28243	88812	\N	\N	\N
615578	2099	1995-01-15	PRIJEM	VKLAD	34630	60975	\N	\N	\N
615579	2099	1995-01-29	PRIJEM	VKLAD	40265	97640	\N	\N	\N
615580	2099	1995-04-18	PRIJEM	VKLAD	6879	75848	\N	\N	\N
615581	2099	1995-06-15	PRIJEM	VKLAD	7003	56146	\N	\N	\N
615582	2099	1995-04-13	PRIJEM	VKLAD	35991	68969	\N	\N	\N
615583	2099	1996-07-30	PRIJEM	VKLAD	38296	91582	\N	\N	\N
615584	2099	1996-10-14	PRIJEM	VKLAD	32622	123966	\N	\N	\N
615585	2099	1996-06-05	PRIJEM	VKLAD	33553	96260	\N	\N	\N
615586	2099	1996-10-04	PRIJEM	VKLAD	37414	135944	\N	\N	\N
615587	2099	1996-03-11	PRIJEM	VKLAD	9025	59539	\N	\N	\N
615588	2099	1996-09-27	PRIJEM	VKLAD	17775	88951	\N	\N	\N
615589	2099	1996-11-05	PRIJEM	VKLAD	22316	98749	\N	\N	\N
615590	2099	1996-02-07	PRIJEM	VKLAD	47767	88792	\N	\N	\N
615591	2099	1996-05-23	PRIJEM	VKLAD	25605	74427	\N	\N	\N
615592	2099	1996-06-23	PRIJEM	VKLAD	17628	110288	\N	\N	\N
615593	2099	1996-02-13	PRIJEM	VKLAD	26663	115455	\N	\N	\N
615594	2099	1996-02-22	PRIJEM	VKLAD	47914	144648	\N	\N	\N
615595	2099	1996-02-19	PRIJEM	VKLAD	36116	121934	\N	\N	\N
615596	2099	1996-08-27	PRIJEM	VKLAD	14889	82444	\N	\N	\N
615597	2099	1996-02-13	PRIJEM	VKLAD	25963	141418	\N	\N	\N
615598	2099	1996-10-03	PRIJEM	VKLAD	32165	121430	\N	\N	\N
615599	2099	1997-11-09	PRIJEM	VKLAD	20219	65185	\N	\N	\N
615600	2099	1997-02-22	PRIJEM	VKLAD	27618	101917	\N	\N	\N
615601	2099	1997-03-01	PRIJEM	VKLAD	46497	148716	\N	\N	\N
615602	2099	1997-09-18	PRIJEM	VKLAD	34487	115086	\N	\N	\N
615603	2099	1997-08-04	PRIJEM	VKLAD	21586	103896	\N	\N	\N
615604	2099	1997-02-03	PRIJEM	VKLAD	19747	94417	\N	\N	\N
615605	2099	1997-10-16	PRIJEM	VKLAD	19117	95659	\N	\N	\N
615606	2099	1997-04-12	PRIJEM	VKLAD	44223	133944	\N	\N	\N
615607	2099	1997-12-15	PRIJEM	VKLAD	29624	110883	\N	\N	\N
615608	2099	1997-02-22	PRIJEM	VKLAD	5831	74299	\N	\N	\N
615609	2099	1997-01-11	PRIJEM	VKLAD	17493	83817	\N	\N	\N
615610	2099	1997-04-01	PRIJEM	VKLAD	17163	88680	\N	\N	\N
615611	2099	1997-02-19	PRIJEM	VKLAD	34162	128579	\N	\N	\N
615612	2099	1997-11-27	PRIJEM	VKLAD	29311	82876	\N	\N	\N
615613	2099	1997-04-25	PRIJEM	VKLAD	27583	116741	\N	\N	\N
615614	2099	1997-07-19	PRIJEM	VKLAD	6944	99068	\N	\N	\N
615615	2099	1997-06-12	PRIJEM	VKLAD	22916	33213	\N	\N	\N
615616	2099	1997-04-02	PRIJEM	VKLAD	24641	113321	\N	\N	\N
615617	2099	1997-06-21	PRIJEM	VKLAD	44488	96101	\N	\N	\N
615618	2099	1998-12-22	PRIJEM	VKLAD	32724	86540	\N	\N	\N
615619	2099	1998-04-30	PRIJEM	VKLAD	42987	90408	\N	\N	\N
615620	2099	1998-12-30	PRIJEM	VKLAD	41448	127988	\N	\N	\N
615621	2099	1998-02-13	PRIJEM	VKLAD	14996	91118	\N	\N	\N
615622	2099	1998-07-09	PRIJEM	VKLAD	46014	108036	\N	\N	\N
615623	2099	1998-06-01	PRIJEM	VKLAD	24476	101048	\N	\N	\N
615624	2099	1993-12-13	VYBER	VYBER	16058	150	\N	\N	\N
615625	2099	1993-12-09	VYBER	VYBER	24503	18008	\N	\N	\N
615626	2099	1993-10-25	VYBER	VYBER	10537	108231	\N	\N	\N
615628	2099	1993-04-14	VYBER	VYBER	20200	27693	\N	\N	\N
615630	2099	1994-03-17	VYBER	VYBER	3150	14419	\N	\N	\N
615631	2099	1994-01-20	VYBER	VYBER	12195	13976	\N	\N	\N
615632	2099	1994-01-09	VYBER	VYBER	23824	26171	\N	\N	\N
615633	2099	1994-06-08	VYBER	VYBER	17957	23549	\N	\N	\N
615634	2099	1994-08-18	VYBER	VYBER	16936	10755	\N	\N	\N
615635	2099	1994-05-05	VYBER	VYBER	2244	12508	\N	\N	\N
615636	2099	1994-12-14	VYBER	VYBER	16049	32972	\N	\N	\N
615637	2099	1994-10-22	VYBER	VYBER	17005	42156	\N	\N	\N
615638	2099	1994-12-15	VYBER	VYBER	8570	24402	\N	\N	\N
615642	2099	1995-11-27	VYBER	VYBER	2161	10846	\N	\N	\N
615643	2099	1995-04-12	VYBER	VYBER	14626	32978	\N	\N	\N
615644	2099	1995-11-16	VYBER	VYBER	3913	31011	\N	\N	\N
615645	2099	1995-04-21	VYBER	VYBER	8892	60356	\N	\N	\N
615646	2099	1995-11-08	VYBER	VYBER	11747	34924	\N	\N	\N
615647	2099	1995-10-23	VYBER	VYBER	16379	41201	\N	\N	\N
615648	2099	1995-11-24	VYBER	VYBER	18004	13007	\N	\N	\N
615649	2099	1996-03-06	VYBER	VYBER	13022	50514	\N	\N	\N
615650	2099	1996-01-16	VYBER	VYBER	7362	29204	\N	\N	\N
615651	2099	1997-10-21	VYBER	VYBER	23030	55529	\N	\N	\N
615652	2099	1997-04-12	VYBER	VYBER	7586	126358	\N	\N	\N
615653	2099	1997-02-21	VYBER	VYBER	3811	68468	\N	\N	\N
615654	2099	1997-11-26	VYBER	VYBER	2320	53565	\N	\N	\N
615655	2099	1997-05-23	VYBER	VYBER	16757	53558	\N	\N	\N
615656	2099	1998-04-01	VYBER	VYBER	21051	47324	\N	\N	\N
615658	2099	1998-05-11	VYBER	VYBER	9713	80665	\N	\N	\N
615659	2099	1998-10-29	VYBER	VYBER	18334	38190	\N	\N	\N
615660	2099	1998-08-23	VYBER	VYBER	16708	56853	\N	\N	\N
615661	2099	1998-09-22	VYBER	VYBER	13651	34198	\N	\N	\N
615662	2099	1998-08-16	VYBER	VYBER	9790	73561	\N	\N	\N
615663	2099	1998-09-07	VYBER	VYBER	15461	22849	\N	\N	\N
615664	2099	1998-07-22	VYBER	VYBER	4712	85124	\N	\N	\N
615665	2099	1998-08-27	VYBER	VYBER	7409	49444	\N	\N	\N
615666	2099	1993-06-04	VYDAJ	VYBER	55500	47730	\N	\N	\N
615668	2099	1995-06-01	VYDAJ	VYBER	16500	49143	\N	\N	\N
615669	2099	1996-06-25	VYDAJ	VYBER	50700	46688	\N	\N	\N
615670	2099	1997-06-04	VYDAJ	VYBER	43500	10297	\N	\N	\N
615671	2099	1998-06-05	VYDAJ	VYBER	25500	75548	\N	\N	\N
615672	2099	1993-12-09	VYDAJ	VYBER	1800	16208	\N	\N	\N
615673	2099	1994-12-30	VYDAJ	VYBER	4200	20202	\N	\N	\N
615674	2099	1995-12-29	VYDAJ	VYBER	7200	36465	\N	\N	\N
615675	2099	1996-12-20	VYDAJ	VYBER	4800	70340	\N	\N	\N
615676	2099	1997-12-12	VYDAJ	VYBER	1800	81259	\N	\N	\N
615677	2099	1998-12-03	VYDAJ	VYBER	4500	53016	\N	\N	\N
615679	2099	1993-10-13	VYDAJ	VYBER	1800	98060	\N	\N	\N
615680	2099	1993-04-29	VYDAJ	VYBER	9300	62247	\N	\N	\N
615681	2099	1993-11-20	VYDAJ	VYBER	5700	91495	\N	\N	\N
615682	2099	1994-04-28	VYDAJ	VYBER	11100	14706	\N	\N	\N
615683	2099	1994-03-12	VYDAJ	VYBER	4200	31069	\N	\N	\N
615684	2099	1994-03-22	VYDAJ	VYBER	3900	10519	\N	\N	\N
615685	2099	1994-01-04	VYDAJ	VYBER	9900	74095	\N	\N	\N
615686	2099	1994-04-26	VYDAJ	VYBER	1500	25806	\N	\N	\N
615687	2099	1994-03-15	VYDAJ	VYBER	13500	17569	\N	\N	\N
615688	2099	1994-10-02	VYDAJ	VYBER	3000	83161	\N	\N	\N
615689	2099	1995-03-25	VYDAJ	VYBER	5100	50868	\N	\N	\N
615690	2099	1995-08-05	VYDAJ	VYBER	6600	47235	\N	\N	\N
615691	2099	1995-04-20	VYDAJ	VYBER	6600	69248	\N	\N	\N
615692	2099	1995-01-24	VYDAJ	VYBER	3600	57375	\N	\N	\N
615693	2099	1995-06-20	VYDAJ	VYBER	3300	52846	\N	\N	\N
615694	2099	1996-12-12	VYDAJ	VYBER	7800	75140	\N	\N	\N
615695	2099	1996-04-10	VYDAJ	VYBER	7800	43444	\N	\N	\N
615696	2099	1996-03-03	VYDAJ	VYBER	8100	63536	\N	\N	\N
615697	2099	1996-08-06	VYDAJ	VYBER	10500	81255	\N	\N	\N
615698	2099	1996-03-24	VYDAJ	VYBER	14700	44839	\N	\N	\N
615699	2099	1996-06-13	VYDAJ	VYBER	3600	92660	\N	\N	\N
615700	2099	1997-10-22	VYDAJ	VYBER	10800	44729	\N	\N	\N
615701	2099	1997-03-09	VYDAJ	VYBER	13800	85016	\N	\N	\N
615702	2099	1997-07-14	VYDAJ	VYBER	4200	92124	\N	\N	\N
615703	2099	1997-11-19	VYDAJ	VYBER	9300	55885	\N	\N	\N
615704	2099	1997-03-14	VYDAJ	VYBER	12900	72116	\N	\N	\N
615705	2099	1998-09-19	VYDAJ	VYBER KARTOU	3300	47849	\N	\N	0
615706	2099	1998-12-12	VYDAJ	VYBER	9300	53816	\N	\N	\N
615707	2099	1998-09-04	VYDAJ	VYBER	11400	38310	\N	\N	\N
615708	2099	1998-07-01	VYDAJ	VYBER	12600	62022	\N	\N	\N
615709	2099	1998-04-23	VYDAJ	VYBER	8100	47224	\N	\N	\N
615710	2099	1998-04-03	VYDAJ	VYBER	6000	41324	\N	\N	\N
615714	2099	1993-03-31	VYDAJ	VYBER	30	74993	SLUZBY	\N	\N
615715	2099	1993-04-30	VYDAJ	VYBER	30	62494	SLUZBY	\N	\N
615716	2099	1993-05-31	VYDAJ	VYBER	30	103230	SLUZBY	\N	\N
615717	2099	1993-06-30	VYDAJ	VYBER	30	34739	SLUZBY	\N	\N
615718	2099	1993-07-31	VYDAJ	VYBER	30	90931	SLUZBY	\N	\N
615719	2099	1993-08-31	VYDAJ	VYBER	30	101013	SLUZBY	\N	\N
615720	2099	1993-09-30	VYDAJ	VYBER	30	56117	SLUZBY	\N	\N
615721	2099	1993-10-31	VYDAJ	VYBER	30	108649	SLUZBY	\N	\N
615722	2099	1993-11-30	VYDAJ	VYBER	30	62511	SLUZBY	\N	\N
615723	2099	1993-12-31	VYDAJ	VYBER	30	42646	SLUZBY	\N	\N
615724	2099	1994-01-31	VYDAJ	VYBER	30	42979	SLUZBY	\N	\N
615725	2099	1994-02-28	VYDAJ	VYBER	30	43169	SLUZBY	\N	\N
615726	2099	1994-03-31	VYDAJ	VYBER	30	10593	SLUZBY	\N	\N
615727	2099	1994-04-30	VYDAJ	VYBER	30	14752	SLUZBY	\N	\N
615728	2099	1994-05-31	VYDAJ	VYBER	30	18651	SLUZBY	\N	\N
615729	2099	1994-06-30	VYDAJ	VYBER	30	23624	SLUZBY	\N	\N
615730	2099	1994-07-31	VYDAJ	VYBER	30	25791	SLUZBY	\N	\N
615731	2099	1994-08-31	VYDAJ	VYBER	30	10802	SLUZBY	\N	\N
615732	2099	1994-09-30	VYDAJ	VYBER	30	86161	SLUZBY	\N	\N
615733	2099	1994-10-31	VYDAJ	VYBER	30	42358	SLUZBY	\N	\N
615734	2099	1994-11-30	VYDAJ	VYBER	30	66321	SLUZBY	\N	\N
615735	2099	1994-12-31	VYDAJ	VYBER	30	20345	SLUZBY	\N	\N
615736	2099	1995-01-31	VYDAJ	VYBER	30	97798	SLUZBY	\N	\N
615737	2099	1995-02-28	VYDAJ	VYBER	30	68368	SLUZBY	\N	\N
615738	2099	1995-03-31	VYDAJ	VYBER	30	51104	SLUZBY	\N	\N
615739	2099	1995-04-30	VYDAJ	VYBER	30	60569	SLUZBY	\N	\N
615740	2099	1995-05-31	VYDAJ	VYBER	30	68643	SLUZBY	\N	\N
615741	2099	1995-06-30	VYDAJ	VYBER	30	59122	SLUZBY	\N	\N
615742	2099	1995-07-31	VYDAJ	VYBER	30	53835	SLUZBY	\N	\N
615743	2099	1995-08-31	VYDAJ	VYBER	30	48325	SLUZBY	\N	\N
615744	2099	1995-09-30	VYDAJ	VYBER	30	51093	SLUZBY	\N	\N
615745	2099	1995-10-31	VYDAJ	VYBER	30	46671	SLUZBY	\N	\N
615746	2099	1995-11-30	VYDAJ	VYBER	30	31865	SLUZBY	\N	\N
615747	2099	1995-12-31	VYDAJ	VYBER	30	36566	SLUZBY	\N	\N
615748	2099	1996-01-31	VYDAJ	VYBER	30	41025	SLUZBY	\N	\N
615749	2099	1996-02-29	VYDAJ	VYBER	30	71636	SLUZBY	\N	\N
615750	2099	1996-03-31	VYDAJ	VYBER	30	51244	SLUZBY	\N	\N
615751	2099	1996-04-30	VYDAJ	VYBER	30	48822	SLUZBY	\N	\N
615752	2099	1996-05-31	VYDAJ	VYBER	30	62707	SLUZBY	\N	\N
615753	2099	1996-06-30	VYDAJ	VYBER	30	46986	SLUZBY	\N	\N
615754	2099	1996-07-31	VYDAJ	VYBER	30	91755	SLUZBY	\N	\N
615755	2099	1996-08-31	VYDAJ	VYBER	30	82776	SLUZBY	\N	\N
615756	2099	1996-09-30	VYDAJ	VYBER	30	89265	SLUZBY	\N	\N
615757	2099	1996-10-31	VYDAJ	VYBER	30	76433	SLUZBY	\N	\N
615758	2099	1996-11-30	VYDAJ	VYBER	30	82940	SLUZBY	\N	\N
615759	2099	1996-12-31	VYDAJ	VYBER	30	66324	SLUZBY	\N	\N
615760	2099	1997-01-31	VYDAJ	VYBER	30	74670	SLUZBY	\N	\N
615761	2099	1997-02-28	VYDAJ	VYBER	30	102219	SLUZBY	\N	\N
615762	2099	1997-03-31	VYDAJ	VYBER	30	71517	SLUZBY	\N	\N
615763	2099	1997-04-30	VYDAJ	VYBER	30	71015	SLUZBY	\N	\N
615764	2099	1997-05-31	VYDAJ	VYBER	30	53797	SLUZBY	\N	\N
615765	2099	1997-06-30	VYDAJ	VYBER	30	96324	SLUZBY	\N	\N
615766	2099	1997-07-31	VYDAJ	VYBER	30	82310	SLUZBY	\N	\N
615767	2099	1997-08-31	VYDAJ	VYBER	30	80599	SLUZBY	\N	\N
615768	2099	1997-09-30	VYDAJ	VYBER	30	76542	SLUZBY	\N	\N
615769	2099	1997-10-31	VYDAJ	VYBER	30	44966	SLUZBY	\N	\N
615770	2099	1997-11-30	VYDAJ	VYBER	30	83059	SLUZBY	\N	\N
615771	2099	1997-12-31	VYDAJ	VYBER	30	85904	SLUZBY	\N	\N
615772	2099	1998-01-31	VYDAJ	VYBER	30	76122	SLUZBY	\N	\N
615773	2099	1998-02-28	VYDAJ	VYBER	30	76097	SLUZBY	\N	\N
615774	2099	1998-03-31	VYDAJ	VYBER	30	68375	SLUZBY	\N	\N
615775	2099	1998-04-30	VYDAJ	VYBER	30	90378	SLUZBY	\N	\N
615776	2099	1998-05-31	VYDAJ	VYBER	30	76572	SLUZBY	\N	\N
615777	2099	1998-06-30	VYDAJ	VYBER	30	74622	SLUZBY	\N	\N
615778	2099	1998-07-31	VYDAJ	VYBER	30	85451	SLUZBY	\N	\N
615779	2099	1998-08-31	VYDAJ	VYBER	30	49710	SLUZBY	\N	\N
615780	2099	1998-09-30	VYDAJ	VYBER	30	34324	SLUZBY	\N	\N
615781	2099	1998-10-31	VYDAJ	VYBER	30	38294	SLUZBY	\N	\N
615782	2099	1998-11-30	VYDAJ	VYBER	30	57516	SLUZBY	\N	\N
615783	2099	1993-02-11	VYDAJ	VYBER	29700	52262	\N	\N	\N
615784	2099	1993-03-13	VYDAJ	VYBER	27200	55839	\N	\N	\N
615785	2099	1993-04-12	VYDAJ	VYBER	27100	47893	\N	\N	\N
615786	2099	1993-05-12	VYDAJ	VYBER	20500	41994	\N	\N	\N
615787	2099	1993-06-11	VYDAJ	VYBER	13200	34530	\N	\N	\N
615788	2099	1993-07-11	VYDAJ	VYBER	2300	32439	\N	\N	\N
615789	2099	1993-07-20	VYDAJ	VYBER	28100	90651	\N	\N	\N
615790	2099	1993-08-10	VYDAJ	VYBER	34900	56031	\N	\N	\N
615791	2099	1993-09-09	VYDAJ	VYBER	38500	55665	\N	\N	\N
615792	2099	1993-09-09	VYDAJ	VYBER	30300	94165	\N	\N	\N
615793	2099	1993-10-09	VYDAJ	VYBER	24600	55070	\N	\N	\N
615794	2099	1993-10-18	VYDAJ	VYBER	34700	149468	\N	\N	\N
615795	2099	1993-10-18	VYDAJ	VYBER	30700	118768	\N	\N	\N
615796	2099	1993-11-08	VYDAJ	VYBER	38900	69749	\N	\N	\N
615797	2099	1993-11-26	VYDAJ	VYBER	55100	62112	\N	\N	\N
615798	2099	1993-12-08	VYDAJ	VYBER	20000	42511	\N	\N	\N
615799	2099	1994-01-07	VYDAJ	VYBER	24100	49995	\N	\N	\N
615800	2099	1994-02-06	VYDAJ	VYBER	11900	43021	\N	\N	\N
615801	2099	1994-03-08	VYDAJ	VYBER	7900	35269	\N	\N	\N
615802	2099	1994-04-07	PRIJEM	VKLAD	11000	21593	\N	\N	\N
615803	2099	1994-05-07	PRIJEM	VKLAD	6100	18608	\N	\N	\N
615804	2099	1994-06-06	VYDAJ	VYBER	11200	41506	\N	\N	\N
615805	2099	1994-07-06	PRIJEM	VKLAD	2100	25724	\N	\N	\N
615806	2099	1994-08-05	PRIJEM	VKLAD	1900	27691	\N	\N	\N
615807	2099	1994-09-04	VYDAJ	VYBER	13200	44818	\N	\N	\N
615808	2099	1994-09-28	VYDAJ	VYBER	34300	85879	\N	\N	\N
615809	2099	1994-10-04	VYDAJ	VYBER	24000	59161	\N	\N	\N
615810	2099	1994-11-03	VYDAJ	VYBER	6600	35758	\N	\N	\N
615811	2099	1994-12-03	VYDAJ	VYBER	17300	49021	\N	\N	\N
615812	2099	1995-01-02	PRIJEM	VKLAD	6000	26345	\N	\N	\N
615813	2099	1995-02-01	VYDAJ	VYBER	29800	67998	\N	\N	\N
615814	2099	1995-03-03	VYDAJ	VYBER	12400	55968	\N	\N	\N
615815	2099	1995-04-02	VYDAJ	VYBER	3500	47604	\N	\N	\N
615816	2099	1995-05-02	VYDAJ	VYBER	20500	68312	\N	\N	\N
615817	2099	1995-06-01	VYDAJ	VYBER	3000	65643	\N	\N	\N
615818	2099	1995-07-01	VYDAJ	VYBER	4700	54422	\N	\N	\N
615819	2099	1995-07-31	VYDAJ	VYBER	800	53865	\N	\N	\N
615820	2099	1995-08-30	PRIJEM	VKLAD	900	48135	\N	\N	\N
615821	2099	1995-09-29	PRIJEM	VKLAD	2600	50925	\N	\N	\N
615822	2099	1995-10-29	PRIJEM	VKLAD	5300	46501	\N	\N	\N
615823	2099	1995-11-28	PRIJEM	VKLAD	20900	31746	\N	\N	\N
615824	2099	1995-12-28	PRIJEM	VKLAD	11800	43665	\N	\N	\N
615825	2099	1996-01-27	PRIJEM	VKLAD	11700	40904	\N	\N	\N
615826	2099	1996-02-13	VYDAJ	VYBER	55600	85818	\N	\N	\N
615827	2099	1996-02-19	VYDAJ	VYBER	25200	96734	\N	\N	\N
615828	2099	1996-02-22	VYDAJ	VYBER	55000	89648	\N	\N	\N
615829	2099	1996-02-26	VYDAJ	VYBER	18300	71348	\N	\N	\N
615830	2099	1996-03-27	PRIJEM	VKLAD	6200	51039	\N	\N	\N
615831	2099	1996-04-26	PRIJEM	VKLAD	5200	48644	\N	\N	\N
615832	2099	1996-05-26	VYDAJ	VYBER	11900	62527	\N	\N	\N
615833	2099	1996-06-23	VYDAJ	VYBER	22000	88288	\N	\N	\N
615834	2099	1996-06-25	PRIJEM	VKLAD	9100	97388	\N	\N	\N
615835	2099	1996-07-25	PRIJEM	VKLAD	6300	53286	\N	\N	\N
615836	2099	1996-08-24	VYDAJ	VYBER	13700	67555	\N	\N	\N
615837	2099	1996-09-23	VYDAJ	VYBER	11600	71176	\N	\N	\N
615838	2099	1996-10-03	VYDAJ	VYBER	22900	98530	\N	\N	\N
615839	2099	1996-10-04	VYDAJ	VYBER	44600	91344	\N	\N	\N
615840	2099	1996-10-14	VYDAJ	VYBER	29300	94666	\N	\N	\N
615841	2099	1996-10-23	VYDAJ	VYBER	18600	76066	\N	\N	\N
615842	2099	1996-11-22	VYDAJ	VYBER	16100	82649	\N	\N	\N
615843	2099	1996-12-22	VYDAJ	VYBER	4300	66040	\N	\N	\N
615844	2099	1997-01-21	VYDAJ	VYBER	9400	74417	\N	\N	\N
615845	2099	1997-02-19	VYDAJ	VYBER	58700	69879	\N	\N	\N
615846	2099	1997-02-20	PRIJEM	VKLAD	2400	72279	\N	\N	\N
615847	2099	1997-03-01	VYDAJ	VYBER	49900	98816	\N	\N	\N
615848	2099	1997-03-22	VYDAJ	VYBER	900	71216	\N	\N	\N
615849	2099	1997-04-02	VYDAJ	VYBER	23600	89721	\N	\N	\N
615850	2099	1997-04-12	VYDAJ	VYBER	19300	107058	\N	\N	\N
615851	2099	1997-04-21	VYDAJ	VYBER	17900	89158	\N	\N	\N
615852	2099	1997-04-25	VYDAJ	VYBER	46100	70641	\N	\N	\N
615853	2099	1997-05-21	VYDAJ	VYBER	700	70315	\N	\N	\N
615854	2099	1997-06-20	PRIJEM	VKLAD	18400	51613	\N	\N	\N
615855	2099	1997-07-20	VYDAJ	VYBER	17100	81968	\N	\N	\N
615856	2099	1997-08-19	VYDAJ	VYBER	23600	80296	\N	\N	\N
615857	2099	1997-09-18	VYDAJ	VYBER	28000	87086	\N	\N	\N
615858	2099	1997-09-18	VYDAJ	VYBER	10900	76186	\N	\N	\N
615859	2099	1997-10-18	VYDAJ	VYBER	17100	78559	\N	\N	\N
615860	2099	1997-12-17	VYDAJ	VYBER	25300	85583	\N	\N	\N
615861	2099	1998-01-16	VYDAJ	VYBER	10100	75804	\N	\N	\N
615862	2099	1998-02-15	VYDAJ	VYBER	15300	75818	\N	\N	\N
615863	2099	1998-03-17	VYDAJ	VYBER	8000	68097	\N	\N	\N
615864	2099	1998-04-16	PRIJEM	VKLAD	14000	55324	\N	\N	\N
615865	2099	1998-05-16	VYDAJ	VYBER	4400	76265	\N	\N	\N
615866	2099	1998-06-15	VYDAJ	VYBER	1200	74348	\N	\N	\N
615867	2099	1998-07-15	VYDAJ	VYBER	18200	89836	\N	\N	\N
615868	2099	1998-08-14	VYDAJ	VYBER	2100	83351	\N	\N	\N
615869	2099	1998-09-13	PRIJEM	VKLAD	28300	51149	\N	\N	\N
615870	2099	1998-10-13	PRIJEM	VKLAD	22200	56524	\N	\N	\N
615871	2099	1998-11-12	PRIJEM	VKLAD	19100	57394	\N	\N	\N
615872	2099	1998-12-12	PRIJEM	VKLAD	10100	63116	\N	\N	\N
615873	2099	1998-12-30	VYDAJ	VYBER	31800	96188	\N	\N	\N
616310	2101	1996-08-04	PRIJEM	VKLAD	600	600	\N	\N	\N
616318	2101	1996-08-13	PRIJEM	PREVOD Z UCTU	3464	4064	\N	OP	81783765
616319	2101	1996-09-13	PRIJEM	PREVOD Z UCTU	3464	15938	\N	OP	81783765
616320	2101	1996-10-13	PRIJEM	PREVOD Z UCTU	3464	25049	\N	OP	81783765
616321	2101	1996-11-13	PRIJEM	PREVOD Z UCTU	3464	27903	\N	OP	81783765
616322	2101	1996-12-13	PRIJEM	PREVOD Z UCTU	3464	28178	\N	OP	81783765
616323	2101	1997-01-13	PRIJEM	PREVOD Z UCTU	3464	28123	\N	OP	81783765
616324	2101	1997-02-13	PRIJEM	PREVOD Z UCTU	3464	26477	\N	OP	81783765
616325	2101	1997-03-13	PRIJEM	PREVOD Z UCTU	3464	29525	\N	OP	81783765
616326	2101	1997-04-13	PRIJEM	PREVOD Z UCTU	3464	31784	\N	OP	81783765
616327	2101	1997-05-13	PRIJEM	PREVOD Z UCTU	3464	33253	\N	OP	81783765
616328	2101	1997-06-13	PRIJEM	PREVOD Z UCTU	3464	31598	\N	OP	81783765
616329	2101	1997-07-13	PRIJEM	PREVOD Z UCTU	3464	29779	\N	OP	81783765
616330	2101	1997-08-13	PRIJEM	PREVOD Z UCTU	3464	28159	\N	OP	81783765
616331	2101	1997-09-13	PRIJEM	PREVOD Z UCTU	3464	28634	\N	OP	81783765
616332	2101	1997-10-13	PRIJEM	PREVOD Z UCTU	3464	27389	\N	OP	81783765
616333	2101	1997-11-13	PRIJEM	PREVOD Z UCTU	3464	25588	\N	OP	81783765
616334	2101	1997-12-13	PRIJEM	PREVOD Z UCTU	3464	26332	\N	OP	81783765
616335	2101	1998-01-13	PRIJEM	PREVOD Z UCTU	3464	27020	\N	OP	81783765
616336	2101	1998-02-13	PRIJEM	PREVOD Z UCTU	3464	29873	\N	OP	81783765
616337	2101	1998-03-13	PRIJEM	PREVOD Z UCTU	3464	26932	\N	OP	81783765
616338	2101	1998-04-13	PRIJEM	PREVOD Z UCTU	3464	28182	\N	OP	81783765
616339	2101	1998-05-13	PRIJEM	PREVOD Z UCTU	3464	27434	\N	OP	81783765
616340	2101	1998-06-13	PRIJEM	PREVOD Z UCTU	3464	18215	\N	OP	81783765
616341	2101	1998-07-13	PRIJEM	PREVOD Z UCTU	3464	23845	\N	OP	81783765
616342	2101	1998-08-13	PRIJEM	PREVOD Z UCTU	3464	27935	\N	OP	81783765
616343	2101	1998-09-13	PRIJEM	PREVOD Z UCTU	3464	27937	\N	OP	81783765
616344	2101	1998-10-13	PRIJEM	PREVOD Z UCTU	3464	26687	\N	OP	81783765
616345	2101	1998-11-13	PRIJEM	PREVOD Z UCTU	3464	25032	\N	OP	81783765
616346	2101	1998-12-13	PRIJEM	PREVOD Z UCTU	3464	27102	\N	OP	81783765
616359	2101	1997-01-08	VYDAJ	PREVOD NA UCET	987	24659	SIPO	MN	28222400
616360	2101	1997-02-08	VYDAJ	PREVOD NA UCET	987	23013	SIPO	MN	28222400
616361	2101	1997-03-08	VYDAJ	PREVOD NA UCET	987	26783	SIPO	MN	28222400
616362	2101	1997-04-08	VYDAJ	PREVOD NA UCET	987	29042	SIPO	MN	28222400
616363	2101	1997-05-08	VYDAJ	PREVOD NA UCET	987	29789	SIPO	MN	28222400
616364	2101	1997-06-08	VYDAJ	PREVOD NA UCET	987	29786	SIPO	MN	28222400
616365	2101	1997-07-08	VYDAJ	PREVOD NA UCET	987	27037	SIPO	MN	28222400
616366	2101	1997-08-08	VYDAJ	PREVOD NA UCET	987	24695	SIPO	MN	28222400
616367	2101	1997-09-08	VYDAJ	PREVOD NA UCET	987	25170	SIPO	MN	28222400
616368	2101	1997-10-08	VYDAJ	PREVOD NA UCET	987	23925	SIPO	MN	28222400
616369	2101	1997-11-08	VYDAJ	PREVOD NA UCET	987	22124	SIPO	MN	28222400
616370	2101	1997-12-08	VYDAJ	PREVOD NA UCET	987	22868	SIPO	MN	28222400
616371	2101	1998-01-08	VYDAJ	PREVOD NA UCET	987	25386	SIPO	MN	28222400
616372	2101	1998-02-08	VYDAJ	PREVOD NA UCET	987	26409	SIPO	MN	28222400
616373	2101	1998-03-08	VYDAJ	PREVOD NA UCET	987	23468	SIPO	MN	28222400
616374	2101	1998-04-08	VYDAJ	PREVOD NA UCET	987	24718	SIPO	MN	28222400
616375	2101	1998-05-08	VYDAJ	PREVOD NA UCET	987	24692	SIPO	MN	28222400
616376	2101	1998-06-08	VYDAJ	PREVOD NA UCET	987	24921	SIPO	MN	28222400
616377	2101	1998-07-08	VYDAJ	PREVOD NA UCET	987	20381	SIPO	MN	28222400
616378	2101	1998-08-08	VYDAJ	PREVOD NA UCET	987	25193	SIPO	MN	28222400
616379	2101	1998-09-08	VYDAJ	PREVOD NA UCET	987	24473	SIPO	MN	28222400
616380	2101	1998-10-08	VYDAJ	PREVOD NA UCET	987	23945	SIPO	MN	28222400
616381	2101	1998-11-08	VYDAJ	PREVOD NA UCET	987	22290	SIPO	MN	28222400
616382	2101	1998-12-08	VYDAJ	PREVOD NA UCET	987	24360	SIPO	MN	28222400
616395	2101	1997-01-06	VYDAJ	PREVOD NA UCET	600	26368	 	AB	83940368
616396	2101	1997-02-06	VYDAJ	PREVOD NA UCET	600	24722	 	AB	83940368
616397	2101	1997-03-06	VYDAJ	PREVOD NA UCET	600	27770	 	AB	83940368
616398	2101	1997-04-06	VYDAJ	PREVOD NA UCET	600	30029	 	AB	83940368
616399	2101	1997-05-06	VYDAJ	PREVOD NA UCET	600	31498	 	AB	83940368
616400	2101	1997-06-06	VYDAJ	PREVOD NA UCET	600	30773	 	AB	83940368
616401	2101	1997-07-06	VYDAJ	PREVOD NA UCET	600	28024	 	AB	83940368
616402	2101	1997-08-06	VYDAJ	PREVOD NA UCET	600	26404	 	AB	83940368
616403	2101	1997-09-06	VYDAJ	PREVOD NA UCET	600	26879	 	AB	83940368
616404	2101	1997-10-06	VYDAJ	PREVOD NA UCET	600	25634	 	AB	83940368
616405	2101	1997-11-06	VYDAJ	PREVOD NA UCET	600	24553	 	AB	83940368
616406	2101	1997-12-06	VYDAJ	PREVOD NA UCET	600	24577	 	AB	83940368
616407	2101	1998-01-06	VYDAJ	PREVOD NA UCET	600	27095	 	AB	83940368
616408	2101	1998-02-06	VYDAJ	PREVOD NA UCET	600	28118	 	AB	83940368
616409	2101	1998-03-06	VYDAJ	PREVOD NA UCET	600	25177	 	AB	83940368
616410	2101	1998-04-06	VYDAJ	PREVOD NA UCET	600	26427	 	AB	83940368
616411	2101	1998-05-06	VYDAJ	PREVOD NA UCET	600	25679	 	AB	83940368
616412	2101	1998-06-06	VYDAJ	PREVOD NA UCET	600	26630	 	AB	83940368
616413	2101	1998-07-06	VYDAJ	PREVOD NA UCET	600	22090	 	AB	83940368
616414	2101	1998-08-06	VYDAJ	PREVOD NA UCET	600	26180	 	AB	83940368
616415	2101	1998-09-06	VYDAJ	PREVOD NA UCET	600	26182	 	AB	83940368
616416	2101	1998-10-06	VYDAJ	PREVOD NA UCET	600	24932	 	AB	83940368
616417	2101	1998-11-06	VYDAJ	PREVOD NA UCET	600	23277	 	AB	83940368
616418	2101	1998-12-06	VYDAJ	PREVOD NA UCET	600	25347	 	AB	83940368
616431	2101	1997-01-08	VYDAJ	PREVOD NA UCET	722	25646	POJISTNE	IJ	57205212
616432	2101	1997-02-08	VYDAJ	PREVOD NA UCET	722	24000	POJISTNE	IJ	57205212
616433	2101	1997-03-08	VYDAJ	PREVOD NA UCET	722	26061	POJISTNE	IJ	57205212
616434	2101	1997-04-08	VYDAJ	PREVOD NA UCET	722	28320	POJISTNE	IJ	57205212
616435	2101	1997-05-08	VYDAJ	PREVOD NA UCET	722	30776	POJISTNE	IJ	57205212
616436	2101	1997-06-08	VYDAJ	PREVOD NA UCET	722	29064	POJISTNE	IJ	57205212
616437	2101	1997-07-08	VYDAJ	PREVOD NA UCET	722	26315	POJISTNE	IJ	57205212
616438	2101	1997-08-08	VYDAJ	PREVOD NA UCET	722	25682	POJISTNE	IJ	57205212
616439	2101	1997-09-08	VYDAJ	PREVOD NA UCET	722	26157	POJISTNE	IJ	57205212
616440	2101	1997-10-08	VYDAJ	PREVOD NA UCET	722	24912	POJISTNE	IJ	57205212
616441	2101	1997-11-08	VYDAJ	PREVOD NA UCET	722	23111	POJISTNE	IJ	57205212
616442	2101	1997-12-08	VYDAJ	PREVOD NA UCET	722	23855	POJISTNE	IJ	57205212
616443	2101	1998-01-08	VYDAJ	PREVOD NA UCET	722	26373	POJISTNE	IJ	57205212
616444	2101	1998-02-08	VYDAJ	PREVOD NA UCET	722	27396	POJISTNE	IJ	57205212
616445	2101	1998-03-08	VYDAJ	PREVOD NA UCET	722	24455	POJISTNE	IJ	57205212
616446	2101	1998-04-08	VYDAJ	PREVOD NA UCET	722	25705	POJISTNE	IJ	57205212
616447	2101	1998-05-08	VYDAJ	PREVOD NA UCET	722	23970	POJISTNE	IJ	57205212
616448	2101	1998-06-08	VYDAJ	PREVOD NA UCET	722	25908	POJISTNE	IJ	57205212
616449	2101	1998-07-08	VYDAJ	PREVOD NA UCET	722	21368	POJISTNE	IJ	57205212
616450	2101	1998-08-08	VYDAJ	PREVOD NA UCET	722	24471	POJISTNE	IJ	57205212
616451	2101	1998-09-08	VYDAJ	PREVOD NA UCET	722	25460	POJISTNE	IJ	57205212
616452	2101	1998-10-08	VYDAJ	PREVOD NA UCET	722	23223	POJISTNE	IJ	57205212
616453	2101	1998-11-08	VYDAJ	PREVOD NA UCET	722	21568	POJISTNE	IJ	57205212
616454	2101	1998-12-08	VYDAJ	PREVOD NA UCET	722	23638	POJISTNE	IJ	57205212
616456	2101	1997-06-16	VYDAJ	VYBER	5280	26318	\N	\N	\N
616457	2101	1998-06-11	VYDAJ	VYBER	8850	14751	\N	\N	\N
616459	2101	1997-01-01	VYDAJ	VYBER	810	27208	\N	\N	\N
616460	2101	1998-01-11	VYDAJ	VYBER	1830	23556	\N	\N	\N
616461	2101	1996-12-13	VYDAJ	VYBER	750	27428	\N	\N	\N
616462	2101	1997-12-19	VYDAJ	VYBER	330	26002	\N	\N	\N
616463	2101	1998-12-29	VYDAJ	VYBER	690	27512	\N	\N	\N
616466	2101	1996-12-20	VYDAJ	VYBER	810	26618	\N	\N	\N
616471	2101	1997-07-28	VYDAJ	VYBER	780	28999	\N	\N	\N
616472	2101	1997-11-07	VYDAJ	VYBER	720	23833	\N	\N	\N
616473	2101	1997-06-10	VYDAJ	VYBER	930	28134	\N	\N	\N
616474	2101	1997-01-04	VYDAJ	VYBER	240	26968	\N	\N	\N
616475	2101	1997-09-01	VYDAJ	VYBER	1080	27479	\N	\N	\N
616476	2101	1997-10-23	VYDAJ	VYBER	1230	26159	\N	\N	\N
616477	2101	1998-06-10	VYDAJ	VYBER	1320	23601	\N	\N	\N
616478	2101	1998-11-13	VYDAJ	VYBER	870	24162	\N	\N	\N
616479	2101	1998-09-05	VYDAJ	VYBER	450	26782	\N	\N	\N
616480	2101	1998-07-27	VYDAJ	VYBER	750	26695	\N	\N	\N
616493	2101	1996-12-31	VYDAJ	VYBER	15	26718	SLUZBY	\N	\N
616494	2101	1997-01-31	VYDAJ	VYBER	15	25322	SLUZBY	\N	\N
616495	2101	1997-02-28	VYDAJ	VYBER	15	26570	SLUZBY	\N	\N
616496	2101	1997-03-31	VYDAJ	VYBER	15	29629	SLUZBY	\N	\N
616497	2101	1997-04-30	VYDAJ	VYBER	15	31898	SLUZBY	\N	\N
616498	2101	1997-05-31	VYDAJ	VYBER	15	33373	SLUZBY	\N	\N
616499	2101	1997-06-30	VYDAJ	VYBER	15	28624	SLUZBY	\N	\N
616500	2101	1997-07-31	VYDAJ	VYBER	15	27004	SLUZBY	\N	\N
616501	2101	1997-08-31	VYDAJ	VYBER	15	28559	SLUZBY	\N	\N
616502	2101	1997-09-30	VYDAJ	VYBER	15	26234	SLUZBY	\N	\N
616503	2101	1997-10-31	VYDAJ	VYBER	15	25153	SLUZBY	\N	\N
616504	2101	1997-11-30	VYDAJ	VYBER	15	25177	SLUZBY	\N	\N
616505	2101	1997-12-31	VYDAJ	VYBER	15	27695	SLUZBY	\N	\N
616506	2101	1998-01-31	VYDAJ	VYBER	15	28718	SLUZBY	\N	\N
616507	2101	1998-02-28	VYDAJ	VYBER	15	25777	SLUZBY	\N	\N
616508	2101	1998-03-31	VYDAJ	VYBER	15	27027	SLUZBY	\N	\N
616509	2101	1998-04-30	VYDAJ	VYBER	15	26279	SLUZBY	\N	\N
616510	2101	1998-05-31	VYDAJ	VYBER	15	27230	SLUZBY	\N	\N
616511	2101	1998-06-30	VYDAJ	VYBER	15	22690	SLUZBY	\N	\N
616512	2101	1998-07-31	VYDAJ	VYBER	15	26780	SLUZBY	\N	\N
616513	2101	1998-08-31	VYDAJ	VYBER	15	27232	SLUZBY	\N	\N
616514	2101	1998-09-30	VYDAJ	VYBER	15	25532	SLUZBY	\N	\N
616515	2101	1998-10-31	VYDAJ	VYBER	15	23877	SLUZBY	\N	\N
616516	2101	1998-11-30	VYDAJ	VYBER	15	25947	SLUZBY	\N	\N
616517	2101	1996-09-03	PRIJEM	VKLAD	8400	12474	\N	\N	\N
616518	2101	1996-10-03	PRIJEM	VKLAD	5600	21585	\N	\N	\N
616519	2101	1996-11-02	VYDAJ	VYBER	700	24439	\N	\N	\N
616520	2101	1996-12-02	VYDAJ	VYBER	3300	24714	\N	\N	\N
616521	2101	1997-01-01	PRIJEM	VKLAD	1300	28018	\N	\N	\N
616522	2101	1997-01-31	VYDAJ	VYBER	2900	25337	\N	\N	\N
616523	2101	1997-03-02	PRIJEM	VKLAD	1800	28370	\N	\N	\N
616524	2101	1997-04-01	PRIJEM	VKLAD	1000	30629	\N	\N	\N
616525	2101	1997-05-01	PRIJEM	VKLAD	200	32098	\N	\N	\N
616526	2101	1997-05-31	VYDAJ	VYBER	2000	31373	\N	\N	\N
616527	2101	1997-06-30	PRIJEM	VKLAD	2200	28639	\N	\N	\N
616528	2101	1997-07-30	VYDAJ	VYBER	2100	26899	\N	\N	\N
616529	2101	1997-08-29	PRIJEM	VKLAD	300	28459	\N	\N	\N
616530	2101	1997-09-28	VYDAJ	VYBER	2500	26134	\N	\N	\N
616531	2101	1997-10-28	VYDAJ	VYBER	1100	25059	\N	\N	\N
616532	2101	1997-11-27	VYDAJ	VYBER	500	25088	\N	\N	\N
616533	2101	1997-12-27	PRIJEM	VKLAD	1600	27602	\N	\N	\N
616534	2101	1998-01-26	PRIJEM	VKLAD	1600	28620	\N	\N	\N
616535	2101	1998-02-25	VYDAJ	VYBER	4200	25673	\N	\N	\N
616536	2101	1998-04-26	VYDAJ	VYBER	2000	26182	\N	\N	\N
616537	2101	1998-05-26	VYDAJ	VYBER	300	27134	\N	\N	\N
616538	2101	1998-06-25	PRIJEM	VKLAD	4400	22615	\N	\N	\N
616539	2101	1998-07-25	PRIJEM	VKLAD	3600	27445	\N	\N	\N
616540	2101	1998-08-24	VYDAJ	VYBER	800	27135	\N	\N	\N
616541	2101	1998-09-23	VYDAJ	VYBER	2500	25437	\N	\N	\N
616542	2101	1998-10-23	VYDAJ	VYBER	2900	23787	\N	\N	\N
616543	2101	1998-11-22	PRIJEM	VKLAD	1700	25862	\N	\N	\N
616544	2101	1998-12-22	PRIJEM	VKLAD	1100	28202	\N	\N	\N
616574	2102	1996-08-05	PRIJEM	VKLAD	500	500	\N	\N	\N
616582	2102	1996-08-10	PRIJEM	VKLAD	11492	11992	\N	\N	\N
616583	2102	1996-09-10	PRIJEM	VKLAD	11492	28120	\N	\N	\N
616584	2102	1996-10-10	PRIJEM	VKLAD	11492	35909	\N	\N	\N
616585	2102	1996-11-10	PRIJEM	VKLAD	11492	41841	\N	\N	\N
616586	2102	1996-12-10	PRIJEM	VKLAD	17238	50846	\N	\N	\N
616587	2102	1997-01-10	PRIJEM	VKLAD	11492	42631	\N	\N	\N
616588	2102	1997-02-10	PRIJEM	VKLAD	11492	31887	\N	\N	\N
616589	2102	1997-03-10	PRIJEM	VKLAD	11492	37467	\N	\N	\N
616590	2102	1997-04-10	PRIJEM	VKLAD	11492	36174	\N	\N	\N
616591	2102	1997-05-10	PRIJEM	VKLAD	11492	38782	\N	\N	\N
616592	2102	1997-06-10	PRIJEM	VKLAD	17238	44143	\N	\N	\N
616593	2102	1997-07-10	PRIJEM	VKLAD	11492	39976	\N	\N	\N
616594	2102	1997-08-10	PRIJEM	VKLAD	11492	31018	\N	\N	\N
616595	2102	1997-09-10	PRIJEM	VKLAD	11492	27298	\N	\N	\N
616596	2102	1997-10-10	PRIJEM	VKLAD	11492	25662	\N	\N	\N
616597	2102	1997-11-10	PRIJEM	VKLAD	11492	25578	\N	\N	\N
616598	2102	1997-12-10	PRIJEM	VKLAD	17238	30982	\N	\N	\N
616599	2102	1998-01-10	PRIJEM	VKLAD	11492	24130	\N	\N	\N
616600	2102	1998-02-10	PRIJEM	VKLAD	11492	23856	\N	\N	\N
616601	2102	1998-03-10	PRIJEM	VKLAD	11492	25707	\N	\N	\N
616602	2102	1998-04-10	PRIJEM	VKLAD	11492	26564	\N	\N	\N
616603	2102	1998-05-10	PRIJEM	VKLAD	11492	28426	\N	\N	\N
616604	2102	1998-06-10	PRIJEM	VKLAD	17238	30937	\N	\N	\N
616605	2102	1998-07-10	PRIJEM	VKLAD	11492	32511	\N	\N	\N
616606	2102	1998-08-10	PRIJEM	VKLAD	11492	29568	\N	\N	\N
616607	2102	1998-09-10	PRIJEM	VKLAD	11492	33142	\N	\N	\N
616608	2102	1998-10-10	PRIJEM	VKLAD	11492	38234	\N	\N	\N
616609	2102	1998-11-10	PRIJEM	VKLAD	11492	40043	\N	\N	\N
616610	2102	1998-12-10	PRIJEM	VKLAD	17238	42942	\N	\N	\N
616622	2102	1996-12-11	VYDAJ	PREVOD NA UCET	5662	45184	SIPO	KL	57302659
616623	2102	1997-01-11	VYDAJ	PREVOD NA UCET	5662	36969	SIPO	KL	57302659
616624	2102	1997-02-11	VYDAJ	PREVOD NA UCET	5662	26225	SIPO	KL	57302659
616625	2102	1997-03-11	VYDAJ	PREVOD NA UCET	5662	31805	SIPO	KL	57302659
616626	2102	1997-04-11	VYDAJ	PREVOD NA UCET	5662	30512	SIPO	KL	57302659
616627	2102	1997-05-11	VYDAJ	PREVOD NA UCET	5662	33120	SIPO	KL	57302659
616628	2102	1997-06-11	VYDAJ	PREVOD NA UCET	5662	38481	SIPO	KL	57302659
616629	2102	1997-07-11	VYDAJ	PREVOD NA UCET	5662	34314	SIPO	KL	57302659
616630	2102	1997-08-11	VYDAJ	PREVOD NA UCET	5662	25356	SIPO	KL	57302659
616631	2102	1997-09-11	VYDAJ	PREVOD NA UCET	5662	21636	SIPO	KL	57302659
616632	2102	1997-10-11	VYDAJ	PREVOD NA UCET	5662	20000	SIPO	KL	57302659
616633	2102	1997-11-11	VYDAJ	PREVOD NA UCET	5662	19916	SIPO	KL	57302659
616634	2102	1997-12-11	VYDAJ	PREVOD NA UCET	5662	25320	SIPO	KL	57302659
616635	2102	1998-01-11	VYDAJ	PREVOD NA UCET	5662	18468	SIPO	KL	57302659
616636	2102	1998-02-11	VYDAJ	PREVOD NA UCET	5662	18194	SIPO	KL	57302659
616637	2102	1998-03-11	VYDAJ	PREVOD NA UCET	5662	20045	SIPO	KL	57302659
616638	2102	1998-04-11	VYDAJ	PREVOD NA UCET	5662	20902	SIPO	KL	57302659
616639	2102	1998-05-11	VYDAJ	PREVOD NA UCET	5662	22764	SIPO	KL	57302659
616640	2102	1998-06-11	VYDAJ	PREVOD NA UCET	5662	25275	SIPO	KL	57302659
616641	2102	1998-07-11	VYDAJ	PREVOD NA UCET	5662	26849	SIPO	KL	57302659
616642	2102	1998-08-11	VYDAJ	PREVOD NA UCET	5662	23906	SIPO	KL	57302659
616643	2102	1998-09-11	VYDAJ	PREVOD NA UCET	5662	27480	SIPO	KL	57302659
616644	2102	1998-10-11	VYDAJ	PREVOD NA UCET	5662	32572	SIPO	KL	57302659
616645	2102	1998-11-11	VYDAJ	PREVOD NA UCET	5662	34381	SIPO	KL	57302659
616646	2102	1998-12-11	VYDAJ	PREVOD NA UCET	5662	37280	SIPO	KL	57302659
616659	2102	1997-01-08	VYDAJ	PREVOD NA UCET	1835	32939	 	QR	30830097
616660	2102	1997-02-08	VYDAJ	PREVOD NA UCET	1835	20395	 	QR	30830097
616661	2102	1997-03-08	VYDAJ	PREVOD NA UCET	1835	25975	 	QR	30830097
616662	2102	1997-04-08	VYDAJ	PREVOD NA UCET	1835	24682	 	QR	30830097
616663	2102	1997-05-08	VYDAJ	PREVOD NA UCET	1835	27290	 	QR	30830097
616664	2102	1997-06-08	VYDAJ	PREVOD NA UCET	1835	26905	 	QR	30830097
616665	2102	1997-07-08	VYDAJ	PREVOD NA UCET	1835	28484	 	QR	30830097
616666	2102	1997-08-08	VYDAJ	PREVOD NA UCET	1835	19526	 	QR	30830097
616667	2102	1997-09-08	VYDAJ	PREVOD NA UCET	1835	15806	 	QR	30830097
616668	2102	1997-10-08	VYDAJ	PREVOD NA UCET	1835	14170	 	QR	30830097
616669	2102	1997-11-08	VYDAJ	PREVOD NA UCET	1835	14086	 	QR	30830097
616670	2102	1997-12-08	VYDAJ	PREVOD NA UCET	1835	13744	 	QR	30830097
616671	2102	1998-01-08	VYDAJ	PREVOD NA UCET	1835	12638	 	QR	30830097
616672	2102	1998-02-08	VYDAJ	PREVOD NA UCET	1835	12364	 	QR	30830097
616673	2102	1998-03-08	VYDAJ	PREVOD NA UCET	1835	14215	 	QR	30830097
616674	2102	1998-04-08	VYDAJ	PREVOD NA UCET	1835	15072	 	QR	30830097
616675	2102	1998-05-08	VYDAJ	PREVOD NA UCET	1835	16934	 	QR	30830097
616676	2102	1998-06-08	VYDAJ	PREVOD NA UCET	1835	13699	 	QR	30830097
616677	2102	1998-07-08	VYDAJ	PREVOD NA UCET	1835	21019	 	QR	30830097
616678	2102	1998-08-08	VYDAJ	PREVOD NA UCET	1835	18076	 	QR	30830097
616679	2102	1998-09-08	VYDAJ	PREVOD NA UCET	1835	21650	 	QR	30830097
616680	2102	1998-10-08	VYDAJ	PREVOD NA UCET	1835	26742	 	QR	30830097
616681	2102	1998-11-08	VYDAJ	PREVOD NA UCET	1835	28551	 	QR	30830097
616682	2102	1998-12-08	VYDAJ	PREVOD NA UCET	1835	25704	 	QR	30830097
616687	2102	1997-01-27	VYDAJ	VYBER	13280	18049	\N	\N	\N
616690	2102	1997-12-13	VYDAJ	VYBER	1440	23880	\N	\N	\N
616691	2102	1998-12-08	VYDAJ	VYBER	1760	27539	\N	\N	\N
616698	2102	1997-01-09	VYDAJ	VYBER	1800	31139	\N	\N	\N
616699	2102	1997-01-28	VYDAJ	VYBER	840	17209	\N	\N	\N
616700	2102	1997-01-03	VYDAJ	VYBER	1680	34774	\N	\N	\N
616701	2102	1997-01-18	VYDAJ	VYBER	3000	33369	\N	\N	\N
616702	2102	1997-01-12	VYDAJ	VYBER	600	36369	\N	\N	\N
616703	2102	1997-01-26	VYDAJ	VYBER	2040	31329	\N	\N	\N
616704	2102	1998-01-20	VYDAJ	VYBER	1320	13908	\N	\N	\N
616705	2102	1998-01-14	VYDAJ	VYBER	3240	15228	\N	\N	\N
616706	2102	1998-01-30	VYDAJ	VYBER	2160	14148	\N	\N	\N
616707	2102	1998-01-01	VYDAJ	VYBER	2520	14473	\N	\N	\N
616715	2102	1997-10-25	VYDAJ	VYBER	2640	17360	\N	\N	\N
616716	2102	1997-07-27	VYDAJ	VYBER	5880	28434	\N	\N	\N
616717	2102	1997-12-28	VYDAJ	VYBER	3360	20520	\N	\N	\N
616718	2102	1998-06-03	VYDAJ	VYBER	2640	15534	\N	\N	\N
616719	2102	1998-05-17	VYDAJ	VYBER	2160	20604	\N	\N	\N
616720	2102	1998-07-21	VYDAJ	VYBER	4920	21929	\N	\N	\N
616722	2102	1998-07-23	VYDAJ	VYBER	5400	16529	\N	\N	\N
616735	2102	1996-12-31	VYDAJ	VYBER	15	45354	SLUZBY	\N	\N
616736	2102	1997-01-31	VYDAJ	VYBER	15	17330	SLUZBY	\N	\N
616737	2102	1997-02-28	VYDAJ	VYBER	15	26310	SLUZBY	\N	\N
616738	2102	1997-03-31	VYDAJ	VYBER	15	31917	SLUZBY	\N	\N
616739	2102	1997-04-30	VYDAJ	VYBER	15	30625	SLUZBY	\N	\N
616740	2102	1997-05-31	VYDAJ	VYBER	15	33240	SLUZBY	\N	\N
616741	2102	1997-06-30	VYDAJ	VYBER	15	38619	SLUZBY	\N	\N
616742	2102	1997-07-31	VYDAJ	VYBER	15	21361	SLUZBY	\N	\N
616743	2102	1997-08-31	VYDAJ	VYBER	15	17641	SLUZBY	\N	\N
616744	2102	1997-09-30	VYDAJ	VYBER	15	16005	SLUZBY	\N	\N
616745	2102	1997-10-31	VYDAJ	VYBER	15	15921	SLUZBY	\N	\N
616746	2102	1997-11-30	VYDAJ	VYBER	15	15579	SLUZBY	\N	\N
616747	2102	1997-12-31	VYDAJ	VYBER	15	16993	SLUZBY	\N	\N
616748	2102	1998-01-31	VYDAJ	VYBER	15	14199	SLUZBY	\N	\N
616749	2102	1998-02-28	VYDAJ	VYBER	15	16050	SLUZBY	\N	\N
616750	2102	1998-03-31	VYDAJ	VYBER	15	16907	SLUZBY	\N	\N
616751	2102	1998-04-30	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
616752	2102	1998-05-31	VYDAJ	VYBER	15	18174	SLUZBY	\N	\N
616753	2102	1998-06-30	VYDAJ	VYBER	15	22854	SLUZBY	\N	\N
616754	2102	1998-07-31	VYDAJ	VYBER	15	19911	SLUZBY	\N	\N
616755	2102	1998-08-31	VYDAJ	VYBER	15	23485	SLUZBY	\N	\N
616756	2102	1998-09-30	VYDAJ	VYBER	15	28577	SLUZBY	\N	\N
616757	2102	1998-10-31	VYDAJ	VYBER	15	30386	SLUZBY	\N	\N
616758	2102	1998-11-30	VYDAJ	VYBER	15	29299	SLUZBY	\N	\N
616759	2102	1996-09-04	PRIJEM	VKLAD	4600	16628	\N	\N	\N
616760	2102	1996-10-04	VYDAJ	VYBER	3800	24417	\N	\N	\N
616761	2102	1996-11-03	VYDAJ	VYBER	5700	30349	\N	\N	\N
616762	2102	1996-12-03	VYDAJ	VYBER	8400	33608	\N	\N	\N
616763	2102	1997-01-02	VYDAJ	VYBER	8900	36454	\N	\N	\N
616764	2102	1997-02-01	PRIJEM	VKLAD	4900	22230	\N	\N	\N
616765	2102	1997-03-03	PRIJEM	VKLAD	1500	27810	\N	\N	\N
616766	2102	1997-04-02	VYDAJ	VYBER	5400	26517	\N	\N	\N
616767	2102	1997-05-02	VYDAJ	VYBER	1500	29125	\N	\N	\N
616768	2102	1997-06-01	VYDAJ	VYBER	4500	28740	\N	\N	\N
616769	2102	1997-07-01	VYDAJ	VYBER	8300	30319	\N	\N	\N
616770	2102	1997-07-31	VYDAJ	VYBER	7200	21375	\N	\N	\N
616771	2102	1997-08-30	VYDAJ	VYBER	7800	17556	\N	\N	\N
616772	2102	1997-09-29	VYDAJ	VYBER	5700	15936	\N	\N	\N
616773	2102	1997-10-29	VYDAJ	VYBER	1500	15860	\N	\N	\N
616774	2102	1997-11-28	VYDAJ	VYBER	4400	15516	\N	\N	\N
616775	2102	1997-12-28	VYDAJ	VYBER	3600	16920	\N	\N	\N
616776	2102	1998-01-27	PRIJEM	VKLAD	2400	16308	\N	\N	\N
616777	2102	1998-02-26	VYDAJ	VYBER	2200	15994	\N	\N	\N
616778	2102	1998-03-28	VYDAJ	VYBER	3200	16845	\N	\N	\N
616779	2102	1998-04-27	VYDAJ	VYBER	2200	18702	\N	\N	\N
616780	2102	1998-05-27	VYDAJ	VYBER	2500	18104	\N	\N	\N
616781	2102	1998-06-26	VYDAJ	VYBER	2500	22775	\N	\N	\N
616782	2102	1998-07-26	PRIJEM	VKLAD	3300	19829	\N	\N	\N
616783	2102	1998-08-25	VYDAJ	VYBER	500	23406	\N	\N	\N
616784	2102	1998-09-24	PRIJEM	VKLAD	1000	28480	\N	\N	\N
616785	2102	1998-10-24	VYDAJ	VYBER	2300	30272	\N	\N	\N
616786	2102	1998-11-23	VYDAJ	VYBER	5200	29181	\N	\N	\N
616816	2103	1997-02-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
616818	2103	1997-02-10	PRIJEM	VKLAD	5540	6640	\N	\N	\N
616819	2103	1997-03-10	PRIJEM	VKLAD	5540	20099	\N	\N	\N
616820	2103	1997-04-10	PRIJEM	VKLAD	5540	24706	\N	\N	\N
616821	2103	1997-05-10	PRIJEM	VKLAD	5540	28243	\N	\N	\N
616822	2103	1997-06-10	PRIJEM	VKLAD	8310	32467	\N	\N	\N
616823	2103	1997-07-10	PRIJEM	VKLAD	5540	25315	\N	\N	\N
616824	2103	1997-08-10	PRIJEM	VKLAD	5540	22331	\N	\N	\N
616825	2103	1997-09-10	PRIJEM	VKLAD	5540	23348	\N	\N	\N
616826	2103	1997-10-10	PRIJEM	VKLAD	5540	27071	\N	\N	\N
616827	2103	1997-11-10	PRIJEM	VKLAD	5540	22505	\N	\N	\N
616828	2103	1997-12-10	PRIJEM	VKLAD	8310	21191	\N	\N	\N
616829	2103	1998-01-10	PRIJEM	VKLAD	5540	15749	\N	\N	\N
616830	2103	1998-02-10	PRIJEM	VKLAD	5540	16438	\N	\N	\N
616831	2103	1998-03-10	PRIJEM	VKLAD	5540	14930	\N	\N	\N
616832	2103	1998-04-10	PRIJEM	VKLAD	5540	15376	\N	\N	\N
616833	2103	1998-05-10	PRIJEM	VKLAD	5540	14563	\N	\N	\N
616834	2103	1998-06-10	PRIJEM	VKLAD	8310	19218	\N	\N	\N
616835	2103	1998-07-10	PRIJEM	VKLAD	5540	16309	\N	\N	\N
616836	2103	1998-08-10	PRIJEM	VKLAD	5540	18201	\N	\N	\N
616837	2103	1998-09-10	PRIJEM	VKLAD	5540	17499	\N	\N	\N
616838	2103	1998-10-10	PRIJEM	VKLAD	5540	18595	\N	\N	\N
616839	2103	1998-11-10	PRIJEM	VKLAD	5540	19296	\N	\N	\N
616840	2103	1998-12-10	PRIJEM	VKLAD	8310	22969	\N	\N	\N
616846	2103	1997-06-13	VYDAJ	PREVOD NA UCET	1482	30985	SIPO	IJ	66471505
616847	2103	1997-07-13	VYDAJ	PREVOD NA UCET	1482	18433	SIPO	IJ	66471505
616848	2103	1997-08-13	VYDAJ	PREVOD NA UCET	1482	20849	SIPO	IJ	66471505
616849	2103	1997-09-13	VYDAJ	PREVOD NA UCET	1482	21866	SIPO	IJ	66471505
616850	2103	1997-10-13	VYDAJ	PREVOD NA UCET	1482	25589	SIPO	IJ	66471505
616851	2103	1997-11-13	VYDAJ	PREVOD NA UCET	1482	21023	SIPO	IJ	66471505
616852	2103	1997-12-13	VYDAJ	PREVOD NA UCET	1482	16069	SIPO	IJ	66471505
616853	2103	1998-01-13	VYDAJ	PREVOD NA UCET	1482	14267	SIPO	IJ	66471505
616854	2103	1998-02-13	VYDAJ	PREVOD NA UCET	1482	14956	SIPO	IJ	66471505
616855	2103	1998-03-13	VYDAJ	PREVOD NA UCET	1482	13448	SIPO	IJ	66471505
616856	2103	1998-04-13	VYDAJ	PREVOD NA UCET	1482	13894	SIPO	IJ	66471505
616857	2103	1998-05-13	VYDAJ	PREVOD NA UCET	1482	13081	SIPO	IJ	66471505
616858	2103	1998-06-13	VYDAJ	PREVOD NA UCET	1482	17736	SIPO	IJ	66471505
616859	2103	1998-07-13	VYDAJ	PREVOD NA UCET	1482	14827	SIPO	IJ	66471505
616860	2103	1998-08-13	VYDAJ	PREVOD NA UCET	1482	16719	SIPO	IJ	66471505
616861	2103	1998-09-13	VYDAJ	PREVOD NA UCET	1482	16017	SIPO	IJ	66471505
616862	2103	1998-10-13	VYDAJ	PREVOD NA UCET	1482	17113	SIPO	IJ	66471505
616863	2103	1998-11-13	VYDAJ	PREVOD NA UCET	1482	17814	SIPO	IJ	66471505
616864	2103	1998-12-13	VYDAJ	PREVOD NA UCET	1482	21487	SIPO	IJ	66471505
616871	2103	1997-07-07	VYDAJ	PREVOD NA UCET	2211	19775	 	EF	60364776
616872	2103	1997-08-07	VYDAJ	PREVOD NA UCET	2211	16791	 	EF	60364776
616873	2103	1997-09-07	VYDAJ	PREVOD NA UCET	2211	17808	 	EF	60364776
616874	2103	1997-10-07	VYDAJ	PREVOD NA UCET	2211	21531	 	EF	60364776
616875	2103	1997-11-07	VYDAJ	PREVOD NA UCET	2211	16965	 	EF	60364776
616876	2103	1997-12-07	VYDAJ	PREVOD NA UCET	2211	12881	 	EF	60364776
616877	2103	1998-01-07	VYDAJ	PREVOD NA UCET	2211	10209	 	EF	60364776
616878	2103	1998-02-07	VYDAJ	PREVOD NA UCET	2211	10898	 	EF	60364776
616879	2103	1998-03-07	VYDAJ	PREVOD NA UCET	2211	9390	 	EF	60364776
616880	2103	1998-04-07	VYDAJ	PREVOD NA UCET	2211	9836	 	EF	60364776
616881	2103	1998-05-07	VYDAJ	PREVOD NA UCET	2211	9023	 	EF	60364776
616882	2103	1998-06-07	VYDAJ	PREVOD NA UCET	2211	10908	 	EF	60364776
616883	2103	1998-07-07	VYDAJ	PREVOD NA UCET	2211	10769	 	EF	60364776
616884	2103	1998-08-07	VYDAJ	PREVOD NA UCET	2211	12661	 	EF	60364776
616885	2103	1998-09-07	VYDAJ	PREVOD NA UCET	2211	11959	 	EF	60364776
616886	2103	1998-10-07	VYDAJ	PREVOD NA UCET	2211	13055	 	EF	60364776
616887	2103	1998-11-07	VYDAJ	PREVOD NA UCET	2211	13756	 	EF	60364776
616888	2103	1998-12-07	VYDAJ	PREVOD NA UCET	2211	14659	 	EF	60364776
616889	2103	1997-06-19	VYDAJ	VYBER	6400	24585	\N	\N	\N
616893	2103	1997-12-12	VYDAJ	VYBER	2080	19111	\N	\N	\N
616894	2103	1998-12-21	VYDAJ	VYBER	1280	20207	\N	\N	\N
616906	2103	1998-01-24	VYDAJ	VYBER	600	13667	\N	\N	\N
616909	2103	1997-12-12	VYDAJ	VYBER	1560	17551	\N	\N	\N
616912	2103	1997-07-11	VYDAJ	VYBER	5400	19915	\N	\N	\N
616916	2103	1998-03-13	VYDAJ	VYBER	1440	12008	\N	\N	\N
616917	2103	1998-06-14	VYDAJ	VYBER	4080	13656	\N	\N	\N
616919	2103	1998-01-30	VYDAJ	VYBER	600	13067	\N	\N	\N
616920	2103	1998-06-21	VYDAJ	VYBER	720	12936	\N	\N	\N
616927	2103	1997-06-30	VYDAJ	VYBER	15	24686	SLUZBY	\N	\N
616928	2103	1997-07-31	VYDAJ	VYBER	15	19002	SLUZBY	\N	\N
616929	2103	1997-08-31	VYDAJ	VYBER	15	20019	SLUZBY	\N	\N
616930	2103	1997-09-30	VYDAJ	VYBER	15	23742	SLUZBY	\N	\N
616931	2103	1997-10-31	VYDAJ	VYBER	15	19176	SLUZBY	\N	\N
616932	2103	1997-11-30	VYDAJ	VYBER	15	15092	SLUZBY	\N	\N
616933	2103	1997-12-31	VYDAJ	VYBER	15	12420	SLUZBY	\N	\N
616934	2103	1998-01-31	VYDAJ	VYBER	15	13109	SLUZBY	\N	\N
616935	2103	1998-02-28	VYDAJ	VYBER	15	11601	SLUZBY	\N	\N
616936	2103	1998-03-31	VYDAJ	VYBER	15	12047	SLUZBY	\N	\N
616937	2103	1998-04-30	VYDAJ	VYBER	15	11234	SLUZBY	\N	\N
616938	2103	1998-05-31	VYDAJ	VYBER	15	13119	SLUZBY	\N	\N
616939	2103	1998-06-30	VYDAJ	VYBER	15	12980	SLUZBY	\N	\N
616940	2103	1998-07-31	VYDAJ	VYBER	15	14872	SLUZBY	\N	\N
616941	2103	1998-08-31	VYDAJ	VYBER	15	14170	SLUZBY	\N	\N
616942	2103	1998-09-30	VYDAJ	VYBER	15	15266	SLUZBY	\N	\N
616943	2103	1998-10-31	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
616944	2103	1998-11-30	VYDAJ	VYBER	15	16870	SLUZBY	\N	\N
616945	2103	1997-03-03	PRIJEM	VKLAD	7900	14559	\N	\N	\N
616946	2103	1997-04-02	VYDAJ	VYBER	1000	19166	\N	\N	\N
616947	2103	1997-05-02	VYDAJ	VYBER	2100	22703	\N	\N	\N
616948	2103	1997-06-01	VYDAJ	VYBER	4200	24157	\N	\N	\N
616949	2103	1997-07-01	VYDAJ	VYBER	2700	21986	\N	\N	\N
616950	2103	1997-07-31	PRIJEM	VKLAD	500	18933	\N	\N	\N
616951	2103	1997-08-30	VYDAJ	VYBER	900	19949	\N	\N	\N
616952	2103	1997-09-29	PRIJEM	VKLAD	1800	23666	\N	\N	\N
616953	2103	1997-10-29	VYDAJ	VYBER	6500	19089	\N	\N	\N
616954	2103	1997-11-28	VYDAJ	VYBER	6000	15023	\N	\N	\N
616955	2103	1997-12-28	VYDAJ	VYBER	3700	12369	\N	\N	\N
616956	2103	1998-02-26	VYDAJ	VYBER	3400	11556	\N	\N	\N
616957	2103	1998-04-27	VYDAJ	VYBER	2700	11194	\N	\N	\N
616958	2103	1998-08-25	VYDAJ	VYBER	2600	14119	\N	\N	\N
616959	2103	1998-09-24	VYDAJ	VYBER	800	15217	\N	\N	\N
616960	2103	1998-10-24	VYDAJ	VYBER	1200	15913	\N	\N	\N
616961	2103	1998-11-23	VYDAJ	VYBER	1000	16814	\N	\N	\N
616985	2104	1996-06-12	PRIJEM	VKLAD	900	900	\N	\N	\N
616992	2104	1996-07-08	PRIJEM	VKLAD	12370	13270	\N	\N	\N
616993	2104	1996-08-08	PRIJEM	VKLAD	12370	32795	\N	\N	\N
616994	2104	1996-09-08	PRIJEM	VKLAD	12370	42176	\N	\N	\N
616995	2104	1996-10-08	PRIJEM	VKLAD	12370	48488	\N	\N	\N
616996	2104	1996-11-08	PRIJEM	VKLAD	12370	51818	\N	\N	\N
616997	2104	1996-12-08	PRIJEM	VKLAD	18555	49792	\N	\N	\N
616998	2104	1997-01-08	PRIJEM	VKLAD	12370	39481	\N	\N	\N
616999	2104	1997-02-08	PRIJEM	VKLAD	12370	31837	\N	\N	\N
617000	2104	1997-03-08	PRIJEM	VKLAD	12370	37388	\N	\N	\N
617001	2104	1997-04-08	PRIJEM	VKLAD	12370	32942	\N	\N	\N
617002	2104	1997-05-08	PRIJEM	VKLAD	12370	32388	\N	\N	\N
617003	2104	1997-06-08	PRIJEM	VKLAD	18555	42028	\N	\N	\N
617004	2104	1997-07-08	PRIJEM	VKLAD	12370	39289	\N	\N	\N
617005	2104	1997-08-08	PRIJEM	VKLAD	12370	39474	\N	\N	\N
617006	2104	1997-09-08	PRIJEM	VKLAD	12370	44763	\N	\N	\N
617007	2104	1997-10-08	PRIJEM	VKLAD	12370	48670	\N	\N	\N
617008	2104	1997-11-08	PRIJEM	VKLAD	12370	45594	\N	\N	\N
617009	2104	1997-12-08	PRIJEM	VKLAD	18555	48893	\N	\N	\N
617010	2104	1998-01-08	PRIJEM	VKLAD	12370	42913	\N	\N	\N
617011	2104	1998-02-08	PRIJEM	VKLAD	12370	42304	\N	\N	\N
617012	2104	1998-03-08	PRIJEM	VKLAD	12370	44100	\N	\N	\N
617013	2104	1998-04-08	PRIJEM	VKLAD	12370	48305	\N	\N	\N
617014	2104	1998-05-08	PRIJEM	VKLAD	12370	49727	\N	\N	\N
617015	2104	1998-06-08	PRIJEM	VKLAD	18555	56441	\N	\N	\N
617016	2104	1998-07-08	PRIJEM	VKLAD	12370	56193	\N	\N	\N
617017	2104	1998-08-08	PRIJEM	VKLAD	12370	48848	\N	\N	\N
617018	2104	1998-09-08	PRIJEM	VKLAD	12370	49275	\N	\N	\N
617019	2104	1998-10-08	PRIJEM	VKLAD	12370	49102	\N	\N	\N
617020	2104	1998-11-08	PRIJEM	VKLAD	12370	48722	\N	\N	\N
617021	2104	1998-12-08	PRIJEM	VKLAD	18555	55631	\N	\N	\N
617033	2104	1996-12-05	VYDAJ	PREVOD NA UCET	6927	31237	SIPO	QR	61960321
617034	2104	1997-01-05	VYDAJ	PREVOD NA UCET	6927	29711	SIPO	QR	61960321
617035	2104	1997-02-05	VYDAJ	PREVOD NA UCET	6927	16467	SIPO	QR	61960321
617036	2104	1997-03-05	VYDAJ	PREVOD NA UCET	6927	25018	SIPO	QR	61960321
617037	2104	1997-04-05	VYDAJ	PREVOD NA UCET	6927	20572	SIPO	QR	61960321
617038	2104	1997-05-05	VYDAJ	PREVOD NA UCET	6927	20018	SIPO	QR	61960321
617039	2104	1997-06-05	VYDAJ	PREVOD NA UCET	6927	20473	SIPO	QR	61960321
617040	2104	1997-07-05	VYDAJ	PREVOD NA UCET	6927	24919	SIPO	QR	61960321
617041	2104	1997-08-05	VYDAJ	PREVOD NA UCET	6927	32504	SIPO	QR	61960321
617042	2104	1997-09-05	VYDAJ	PREVOD NA UCET	6927	32693	SIPO	QR	61960321
617043	2104	1997-10-05	VYDAJ	PREVOD NA UCET	6927	36300	SIPO	QR	61960321
617044	2104	1997-11-05	VYDAJ	PREVOD NA UCET	6927	33224	SIPO	QR	61960321
617045	2104	1997-12-05	VYDAJ	PREVOD NA UCET	6927	30338	SIPO	QR	61960321
617046	2104	1998-01-05	VYDAJ	PREVOD NA UCET	6927	33943	SIPO	QR	61960321
617047	2104	1998-02-05	VYDAJ	PREVOD NA UCET	6927	29934	SIPO	QR	61960321
617048	2104	1998-03-05	VYDAJ	PREVOD NA UCET	6927	31730	SIPO	QR	61960321
617049	2104	1998-04-05	VYDAJ	PREVOD NA UCET	6927	35935	SIPO	QR	61960321
617050	2104	1998-05-05	VYDAJ	PREVOD NA UCET	6927	37357	SIPO	QR	61960321
617051	2104	1998-06-05	VYDAJ	PREVOD NA UCET	6927	37886	SIPO	QR	61960321
617052	2104	1998-07-05	VYDAJ	PREVOD NA UCET	6927	43823	SIPO	QR	61960321
617053	2104	1998-08-05	VYDAJ	PREVOD NA UCET	6927	36478	SIPO	QR	61960321
617054	2104	1998-09-05	VYDAJ	PREVOD NA UCET	6927	36905	SIPO	QR	61960321
617055	2104	1998-10-05	VYDAJ	PREVOD NA UCET	6927	36732	SIPO	QR	61960321
617056	2104	1998-11-05	VYDAJ	PREVOD NA UCET	6927	36352	SIPO	QR	61960321
617057	2104	1998-12-05	VYDAJ	PREVOD NA UCET	6927	37076	SIPO	QR	61960321
617059	2104	1997-06-12	VYDAJ	VYBER	10300	31728	\N	\N	\N
617062	2104	1997-01-30	VYDAJ	VYBER	2700	23281	\N	\N	\N
617063	2104	1998-01-06	VYDAJ	VYBER	2400	31543	\N	\N	\N
617064	2104	1996-12-25	VYDAJ	VYBER	1500	36992	\N	\N	\N
617065	2104	1997-12-17	VYDAJ	VYBER	1500	47393	\N	\N	\N
617066	2104	1998-12-03	VYDAJ	VYBER KARTOU	1000	44003	\N	\N	0
617073	2104	1997-01-03	VYDAJ	VYBER	500	36638	\N	\N	\N
617074	2104	1997-01-24	VYDAJ	VYBER	1600	28881	\N	\N	\N
617075	2104	1997-01-05	VYDAJ	VYBER	2600	27111	\N	\N	\N
617076	2104	1997-01-28	VYDAJ	VYBER	2200	25981	\N	\N	\N
617077	2104	1997-01-28	VYDAJ	VYBER	700	28181	\N	\N	\N
617078	2104	1997-01-09	VYDAJ	VYBER	1400	30481	\N	\N	\N
617079	2104	1998-01-16	VYDAJ	VYBER	900	40613	\N	\N	\N
617080	2104	1998-01-08	VYDAJ	VYBER	1400	41513	\N	\N	\N
617081	2104	1998-01-17	VYDAJ	VYBER	2300	38313	\N	\N	\N
617082	2104	1998-01-07	VYDAJ	VYBER	1000	30543	\N	\N	\N
617083	2104	1998-01-22	VYDAJ	VYBER	1600	36713	\N	\N	\N
617084	2104	1998-01-29	VYDAJ	VYBER	600	36113	\N	\N	\N
617088	2104	1996-11-13	VYDAJ	VYBER	2100	38018	\N	\N	\N
617090	2104	1997-03-27	VYDAJ	VYBER	1900	27388	\N	\N	\N
617091	2104	1997-03-13	VYDAJ	VYBER	2700	29288	\N	\N	\N
617092	2104	1997-05-02	VYDAJ	VYBER	1400	26945	\N	\N	\N
617093	2104	1998-12-12	VYDAJ	VYBER KARTOU	1800	53831	\N	\N	0
617094	2104	1998-07-29	VYDAJ	VYBER	4900	51293	\N	\N	\N
617095	2104	1998-10-20	VYDAJ	VYBER	4100	45002	\N	\N	\N
617107	2104	1996-11-30	VYDAJ	VYBER	15	38164	SLUZBY	\N	\N
617108	2104	1996-12-31	VYDAJ	VYBER	15	37138	SLUZBY	\N	\N
617109	2104	1997-01-31	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
617110	2104	1997-02-28	VYDAJ	VYBER	15	31945	SLUZBY	\N	\N
617111	2104	1997-03-31	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
617112	2104	1997-04-30	VYDAJ	VYBER	15	28345	SLUZBY	\N	\N
617113	2104	1997-05-31	VYDAJ	VYBER	15	27400	SLUZBY	\N	\N
617114	2104	1997-06-30	VYDAJ	VYBER	15	31846	SLUZBY	\N	\N
617115	2104	1997-07-31	VYDAJ	VYBER	15	39431	SLUZBY	\N	\N
617116	2104	1997-08-31	VYDAJ	VYBER	15	39620	SLUZBY	\N	\N
617117	2104	1997-09-30	VYDAJ	VYBER	15	44927	SLUZBY	\N	\N
617118	2104	1997-10-31	VYDAJ	VYBER	15	48851	SLUZBY	\N	\N
617119	2104	1997-11-30	VYDAJ	VYBER	15	45765	SLUZBY	\N	\N
617120	2104	1997-12-31	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
617121	2104	1998-01-31	VYDAJ	VYBER	15	36261	SLUZBY	\N	\N
617122	2104	1998-02-28	VYDAJ	VYBER	15	42457	SLUZBY	\N	\N
617123	2104	1998-03-31	VYDAJ	VYBER	15	44262	SLUZBY	\N	\N
617124	2104	1998-04-30	VYDAJ	VYBER	15	48484	SLUZBY	\N	\N
617125	2104	1998-05-31	VYDAJ	VYBER	15	49913	SLUZBY	\N	\N
617126	2104	1998-06-30	VYDAJ	VYBER	15	56650	SLUZBY	\N	\N
617127	2104	1998-07-31	VYDAJ	VYBER	15	51505	SLUZBY	\N	\N
617128	2104	1998-08-31	VYDAJ	VYBER	15	43832	SLUZBY	\N	\N
617129	2104	1998-09-30	VYDAJ	VYBER	15	43659	SLUZBY	\N	\N
617130	2104	1998-10-31	VYDAJ	VYBER	15	43279	SLUZBY	\N	\N
617131	2104	1998-11-30	VYDAJ	VYBER	15	45003	SLUZBY	\N	\N
617132	2104	1996-07-12	PRIJEM	VKLAD	7100	20370	\N	\N	\N
617133	2104	1996-08-11	VYDAJ	VYBER	3100	29695	\N	\N	\N
617134	2104	1996-09-10	VYDAJ	VYBER	6200	35976	\N	\N	\N
617135	2104	1996-10-10	VYDAJ	VYBER	9200	39288	\N	\N	\N
617136	2104	1996-11-09	VYDAJ	VYBER	11700	40118	\N	\N	\N
617137	2104	1996-12-09	VYDAJ	VYBER	11300	38492	\N	\N	\N
617138	2104	1997-01-08	VYDAJ	VYBER	7600	31881	\N	\N	\N
617139	2104	1997-02-07	PRIJEM	VKLAD	3000	19467	\N	\N	\N
617140	2104	1997-03-09	VYDAJ	VYBER	5400	31988	\N	\N	\N
617141	2104	1997-04-08	VYDAJ	VYBER	4700	28242	\N	\N	\N
617142	2104	1997-05-08	VYDAJ	VYBER	5100	27288	\N	\N	\N
617143	2104	1997-06-07	PRIJEM	VKLAD	3000	23473	\N	\N	\N
617144	2104	1997-07-07	PRIJEM	VKLAD	2000	26919	\N	\N	\N
617145	2104	1997-08-06	VYDAJ	VYBER	5400	27104	\N	\N	\N
617146	2104	1997-09-05	VYDAJ	VYBER	300	32393	\N	\N	\N
617147	2104	1997-10-05	VYDAJ	VYBER	1700	43227	\N	\N	\N
617148	2104	1997-11-04	VYDAJ	VYBER	8700	40151	\N	\N	\N
617149	2104	1997-12-04	VYDAJ	VYBER	8500	37265	\N	\N	\N
617150	2104	1998-01-03	VYDAJ	VYBER	6700	40870	\N	\N	\N
617151	2104	1998-02-02	PRIJEM	VKLAD	600	36861	\N	\N	\N
617152	2104	1998-03-04	VYDAJ	VYBER	3800	38657	\N	\N	\N
617153	2104	1998-04-03	VYDAJ	VYBER	1400	42862	\N	\N	\N
617154	2104	1998-05-03	VYDAJ	VYBER	4200	44284	\N	\N	\N
617155	2104	1998-06-02	VYDAJ	VYBER	5100	44813	\N	\N	\N
617156	2104	1998-07-02	VYDAJ	VYBER	5900	50750	\N	\N	\N
617157	2104	1998-08-01	VYDAJ	VYBER	8100	43405	\N	\N	\N
617158	2104	1998-08-31	VYDAJ	VYBER	5200	43847	\N	\N	\N
617159	2104	1998-09-30	VYDAJ	VYBER	5800	43673	\N	\N	\N
617160	2104	1998-10-30	VYDAJ	VYBER KARTOU	1900	43102	\N	\N	0
617161	2104	1998-11-29	VYDAJ	VYBER KARTOU	3900	44822	\N	\N	0
617192	2105	1996-03-09	PRIJEM	VKLAD	500	5218	\N	\N	\N
617195	2105	1996-03-09	PRIJEM	PREVOD Z UCTU	4718	4718	DUCHOD	ST	42526793
617196	2105	1996-04-09	PRIJEM	PREVOD Z UCTU	4718	9952	DUCHOD	ST	42526793
617197	2105	1996-05-09	PRIJEM	PREVOD Z UCTU	4718	14692	DUCHOD	ST	42526793
617198	2105	1996-06-09	PRIJEM	PREVOD Z UCTU	4718	19432	DUCHOD	ST	42526793
617199	2105	1996-07-09	PRIJEM	PREVOD Z UCTU	4718	24171	DUCHOD	ST	42526793
617200	2105	1996-08-09	PRIJEM	PREVOD Z UCTU	4718	24584	DUCHOD	ST	42526793
617201	2105	1996-09-09	PRIJEM	PREVOD Z UCTU	4718	24957	DUCHOD	ST	42526793
617202	2105	1996-10-09	PRIJEM	PREVOD Z UCTU	4718	24515	DUCHOD	ST	42526793
617203	2105	1996-11-09	PRIJEM	PREVOD Z UCTU	4718	25572	DUCHOD	ST	42526793
617204	2105	1996-12-09	PRIJEM	PREVOD Z UCTU	4718	26833	DUCHOD	ST	42526793
617205	2105	1997-01-09	PRIJEM	PREVOD Z UCTU	4718	29498	DUCHOD	ST	42526793
617206	2105	1997-02-09	PRIJEM	PREVOD Z UCTU	4718	29124	DUCHOD	ST	42526793
617207	2105	1997-03-09	PRIJEM	PREVOD Z UCTU	4718	29896	DUCHOD	ST	42526793
617208	2105	1997-04-09	PRIJEM	PREVOD Z UCTU	4718	26374	DUCHOD	ST	42526793
617209	2105	1997-05-09	PRIJEM	PREVOD Z UCTU	4718	24841	DUCHOD	ST	42526793
617210	2105	1997-06-09	PRIJEM	PREVOD Z UCTU	4718	20814	DUCHOD	ST	42526793
617211	2105	1997-07-09	PRIJEM	PREVOD Z UCTU	4718	18252	DUCHOD	ST	42526793
617212	2105	1997-08-09	PRIJEM	PREVOD Z UCTU	4718	19684	DUCHOD	ST	42526793
617213	2105	1997-09-09	PRIJEM	PREVOD Z UCTU	4718	19820	DUCHOD	ST	42526793
617214	2105	1997-10-09	PRIJEM	PREVOD Z UCTU	4718	20356	DUCHOD	ST	42526793
617215	2105	1997-11-09	PRIJEM	PREVOD Z UCTU	4718	23094	DUCHOD	ST	42526793
617216	2105	1997-12-09	PRIJEM	PREVOD Z UCTU	4718	24743	DUCHOD	ST	42526793
617217	2105	1998-01-09	PRIJEM	PREVOD Z UCTU	4718	22748	DUCHOD	ST	42526793
617218	2105	1998-02-09	PRIJEM	PREVOD Z UCTU	4718	18820	DUCHOD	ST	42526793
617219	2105	1998-03-09	PRIJEM	PREVOD Z UCTU	4718	22052	DUCHOD	ST	42526793
617220	2105	1998-04-09	PRIJEM	PREVOD Z UCTU	4718	23096	DUCHOD	ST	42526793
617221	2105	1998-05-09	PRIJEM	PREVOD Z UCTU	4718	23701	DUCHOD	ST	42526793
617222	2105	1998-06-09	PRIJEM	PREVOD Z UCTU	4718	26953	DUCHOD	ST	42526793
617223	2105	1998-07-09	PRIJEM	PREVOD Z UCTU	4718	26218	DUCHOD	ST	42526793
617224	2105	1998-08-09	PRIJEM	PREVOD Z UCTU	4718	27580	DUCHOD	ST	42526793
617225	2105	1998-09-09	PRIJEM	PREVOD Z UCTU	4718	27343	DUCHOD	ST	42526793
617226	2105	1998-10-09	PRIJEM	PREVOD Z UCTU	4718	23783	DUCHOD	ST	42526793
617227	2105	1998-11-09	PRIJEM	PREVOD Z UCTU	4718	24133	DUCHOD	ST	42526793
617228	2105	1998-12-09	PRIJEM	PREVOD Z UCTU	4718	16776	DUCHOD	ST	42526793
617236	2105	1996-08-05	VYDAJ	PREVOD NA UCET	1546	19866	SIPO	EF	57194727
617237	2105	1996-09-05	VYDAJ	PREVOD NA UCET	1546	20239	SIPO	EF	57194727
617238	2105	1996-10-05	VYDAJ	PREVOD NA UCET	1546	23497	SIPO	EF	57194727
617239	2105	1996-11-05	VYDAJ	PREVOD NA UCET	1546	20854	SIPO	EF	57194727
617240	2105	1996-12-05	VYDAJ	PREVOD NA UCET	1546	22115	SIPO	EF	57194727
617241	2105	1997-01-05	VYDAJ	PREVOD NA UCET	1546	24780	SIPO	EF	57194727
617242	2105	1997-02-05	VYDAJ	PREVOD NA UCET	1546	24406	SIPO	EF	57194727
617243	2105	1997-03-05	VYDAJ	PREVOD NA UCET	1546	25178	SIPO	EF	57194727
617244	2105	1997-04-05	VYDAJ	PREVOD NA UCET	1546	21656	SIPO	EF	57194727
617245	2105	1997-05-05	VYDAJ	PREVOD NA UCET	1546	20123	SIPO	EF	57194727
617246	2105	1997-06-05	VYDAJ	PREVOD NA UCET	1546	16096	SIPO	EF	57194727
617247	2105	1997-07-05	VYDAJ	PREVOD NA UCET	1546	13534	SIPO	EF	57194727
617248	2105	1997-08-05	VYDAJ	PREVOD NA UCET	1546	14966	SIPO	EF	57194727
617249	2105	1997-09-05	VYDAJ	PREVOD NA UCET	1546	15102	SIPO	EF	57194727
617250	2105	1997-10-05	VYDAJ	PREVOD NA UCET	1546	15638	SIPO	EF	57194727
617251	2105	1997-11-05	VYDAJ	PREVOD NA UCET	1546	18376	SIPO	EF	57194727
617252	2105	1997-12-05	VYDAJ	PREVOD NA UCET	1546	20025	SIPO	EF	57194727
617253	2105	1998-01-05	VYDAJ	PREVOD NA UCET	1546	18030	SIPO	EF	57194727
617254	2105	1998-02-05	VYDAJ	PREVOD NA UCET	1546	14102	SIPO	EF	57194727
617255	2105	1998-03-05	VYDAJ	PREVOD NA UCET	1546	17334	SIPO	EF	57194727
617256	2105	1998-04-05	VYDAJ	PREVOD NA UCET	1546	18378	SIPO	EF	57194727
617257	2105	1998-05-05	VYDAJ	PREVOD NA UCET	1546	18983	SIPO	EF	57194727
617258	2105	1998-06-05	VYDAJ	PREVOD NA UCET	1546	22235	SIPO	EF	57194727
617259	2105	1998-07-05	VYDAJ	PREVOD NA UCET	1546	21500	SIPO	EF	57194727
617260	2105	1998-08-05	VYDAJ	PREVOD NA UCET	1546	22862	SIPO	EF	57194727
617261	2105	1998-09-05	VYDAJ	PREVOD NA UCET	1546	22625	SIPO	EF	57194727
617262	2105	1998-10-05	VYDAJ	PREVOD NA UCET	1546	19865	SIPO	EF	57194727
617263	2105	1998-11-05	VYDAJ	PREVOD NA UCET	1546	19415	SIPO	EF	57194727
617264	2105	1998-12-05	VYDAJ	PREVOD NA UCET	1546	12058	SIPO	EF	57194727
617267	2105	1998-06-29	VYDAJ	VYBER	4000	22953	\N	\N	\N
617269	2105	1997-01-29	VYDAJ	VYBER	3450	26048	\N	\N	\N
617270	2105	1998-01-22	VYDAJ	VYBER	950	20678	\N	\N	\N
617271	2105	1996-12-25	VYDAJ	VYBER	600	26233	\N	\N	\N
617272	2105	1997-12-25	VYDAJ	VYBER	950	23793	\N	\N	\N
617273	2105	1998-12-26	VYDAJ	VYBER	450	16226	\N	\N	\N
617275	2105	1996-07-18	VYDAJ	VYBER	480	23691	\N	\N	\N
617276	2105	1996-08-24	VYDAJ	VYBER	2880	21704	\N	\N	\N
617277	2105	1996-07-27	VYDAJ	VYBER	2320	21371	\N	\N	\N
617279	2105	1997-05-24	VYDAJ	VYBER	2800	22041	\N	\N	\N
617280	2105	1997-05-26	VYDAJ	VYBER	3680	18361	\N	\N	\N
617281	2105	1997-02-20	VYDAJ	VYBER	1600	27524	\N	\N	\N
617282	2105	1997-06-22	VYDAJ	VYBER	1200	19614	\N	\N	\N
617283	2105	1998-04-17	VYDAJ	VYBER	2640	20456	\N	\N	\N
617284	2105	1998-10-06	VYDAJ	VYBER	800	19065	\N	\N	\N
617285	2105	1998-08-17	VYDAJ	VYBER	1600	25980	\N	\N	\N
617286	2105	1998-01-18	VYDAJ	VYBER	1120	21628	\N	\N	\N
617287	2105	1998-09-20	VYDAJ	VYBER	3120	24223	\N	\N	\N
617295	2105	1996-07-31	VYDAJ	VYBER	15	21412	SLUZBY	\N	\N
617296	2105	1996-08-31	VYDAJ	VYBER	15	21785	SLUZBY	\N	\N
617297	2105	1996-09-30	VYDAJ	VYBER	15	25043	SLUZBY	\N	\N
617298	2105	1996-10-31	VYDAJ	VYBER	15	24600	SLUZBY	\N	\N
617299	2105	1996-11-30	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
617300	2105	1996-12-31	VYDAJ	VYBER	15	26326	SLUZBY	\N	\N
617301	2105	1997-01-31	VYDAJ	VYBER	15	26152	SLUZBY	\N	\N
617302	2105	1997-02-28	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
617303	2105	1997-03-31	VYDAJ	VYBER	15	30002	SLUZBY	\N	\N
617304	2105	1997-04-30	VYDAJ	VYBER	15	26469	SLUZBY	\N	\N
617305	2105	1997-05-31	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
617306	2105	1997-06-30	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
617307	2105	1997-07-31	VYDAJ	VYBER	15	18312	SLUZBY	\N	\N
617308	2105	1997-08-31	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
617309	2105	1997-09-30	VYDAJ	VYBER	15	19884	SLUZBY	\N	\N
617310	2105	1997-10-31	VYDAJ	VYBER	15	19922	SLUZBY	\N	\N
617311	2105	1997-11-30	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
617312	2105	1997-12-31	VYDAJ	VYBER	15	19576	SLUZBY	\N	\N
617313	2105	1998-01-31	VYDAJ	VYBER	15	15648	SLUZBY	\N	\N
617314	2105	1998-02-28	VYDAJ	VYBER	15	18880	SLUZBY	\N	\N
617315	2105	1998-03-31	VYDAJ	VYBER	15	19924	SLUZBY	\N	\N
617316	2105	1998-04-30	VYDAJ	VYBER	15	20529	SLUZBY	\N	\N
617317	2105	1998-05-31	VYDAJ	VYBER	15	23781	SLUZBY	\N	\N
617318	2105	1998-06-30	VYDAJ	VYBER	15	23046	SLUZBY	\N	\N
617319	2105	1998-07-31	VYDAJ	VYBER	15	24408	SLUZBY	\N	\N
617320	2105	1998-08-31	VYDAJ	VYBER	15	24171	SLUZBY	\N	\N
617321	2105	1998-09-30	VYDAJ	VYBER	15	21411	SLUZBY	\N	\N
617322	2105	1998-10-31	VYDAJ	VYBER	15	20961	SLUZBY	\N	\N
617323	2105	1998-11-30	VYDAJ	VYBER	15	13604	SLUZBY	\N	\N
617324	2105	1996-10-05	VYDAJ	VYBER	3700	19797	\N	\N	\N
617325	2105	1996-11-04	VYDAJ	VYBER	2200	22400	\N	\N	\N
617326	2105	1996-12-04	VYDAJ	VYBER	2000	23661	\N	\N	\N
617327	2105	1997-02-02	VYDAJ	VYBER	200	25952	\N	\N	\N
617328	2105	1997-03-04	VYDAJ	VYBER	900	26724	\N	\N	\N
617329	2105	1997-04-03	VYDAJ	VYBER	6800	23202	\N	\N	\N
617330	2105	1997-05-03	VYDAJ	VYBER	4800	21669	\N	\N	\N
617331	2105	1997-06-02	VYDAJ	VYBER	800	17642	\N	\N	\N
617332	2105	1997-07-02	VYDAJ	VYBER	4600	15080	\N	\N	\N
617333	2105	1997-08-01	VYDAJ	VYBER	1800	16512	\N	\N	\N
617334	2105	1997-08-31	VYDAJ	VYBER	3100	16662	\N	\N	\N
617335	2105	1997-09-30	VYDAJ	VYBER	2700	17184	\N	\N	\N
617336	2105	1997-10-30	VYDAJ	VYBER	500	19856	\N	\N	\N
617337	2105	1997-11-29	VYDAJ	VYBER	1600	21494	\N	\N	\N
617338	2105	1997-12-29	VYDAJ	VYBER	4300	19493	\N	\N	\N
617339	2105	1998-01-28	VYDAJ	VYBER	5100	15578	\N	\N	\N
617340	2105	1998-03-29	VYDAJ	VYBER	2200	19852	\N	\N	\N
617341	2105	1998-07-27	VYDAJ	VYBER	1900	24318	\N	\N	\N
617342	2105	1998-08-26	VYDAJ	VYBER	1900	24080	\N	\N	\N
617343	2105	1998-09-25	VYDAJ	VYBER	2900	21323	\N	\N	\N
617344	2105	1998-10-25	VYDAJ	VYBER	2900	20883	\N	\N	\N
617345	2105	1998-11-24	VYDAJ	VYBER	10600	13533	\N	\N	\N
617346	2105	1998-12-24	VYDAJ	VYBER	100	16676	\N	\N	\N
617381	2106	1996-02-01	PRIJEM	VKLAD	400	400	\N	\N	\N
617383	2106	1996-02-12	PRIJEM	VKLAD	12342	12742	\N	\N	\N
617384	2106	1996-03-12	PRIJEM	VKLAD	12342	29317	\N	\N	\N
617385	2106	1996-04-12	PRIJEM	VKLAD	12342	36957	\N	\N	\N
617386	2106	1996-05-12	PRIJEM	VKLAD	12342	41341	\N	\N	\N
617387	2106	1996-06-12	PRIJEM	VKLAD	18513	43219	\N	\N	\N
617388	2106	1996-07-12	PRIJEM	VKLAD	12342	41392	\N	\N	\N
617389	2106	1996-08-12	PRIJEM	VKLAD	12342	34274	\N	\N	\N
617390	2106	1996-09-12	PRIJEM	VKLAD	12342	22325	\N	\N	\N
617391	2106	1996-10-12	PRIJEM	VKLAD	12342	29063	\N	\N	\N
617392	2106	1996-11-12	PRIJEM	VKLAD	12342	26134	\N	\N	\N
617393	2106	1996-12-12	PRIJEM	VKLAD	18513	32266	\N	\N	\N
617394	2106	1997-01-12	PRIJEM	VKLAD	12342	26011	\N	\N	\N
617395	2106	1997-02-12	PRIJEM	VKLAD	12342	26169	\N	\N	\N
617396	2106	1997-03-12	PRIJEM	VKLAD	12342	25627	\N	\N	\N
617397	2106	1997-04-12	PRIJEM	VKLAD	12342	26086	\N	\N	\N
617398	2106	1997-05-12	PRIJEM	VKLAD	12342	26545	\N	\N	\N
617399	2106	1997-06-12	PRIJEM	VKLAD	18513	33176	\N	\N	\N
617400	2106	1997-07-12	PRIJEM	VKLAD	12342	28124	\N	\N	\N
617401	2106	1997-08-12	PRIJEM	VKLAD	12342	28593	\N	\N	\N
617402	2106	1997-09-12	PRIJEM	VKLAD	12342	29064	\N	\N	\N
617403	2106	1997-10-12	PRIJEM	VKLAD	12342	29535	\N	\N	\N
617404	2106	1997-11-12	PRIJEM	VKLAD	12342	29586	\N	\N	\N
617405	2106	1997-12-12	PRIJEM	VKLAD	18513	38997	\N	\N	\N
617406	2106	1998-01-12	PRIJEM	VKLAD	12342	29158	\N	\N	\N
617407	2106	1998-02-12	PRIJEM	VKLAD	12342	32219	\N	\N	\N
617408	2106	1998-03-12	PRIJEM	VKLAD	12342	41181	\N	\N	\N
617409	2106	1998-04-12	PRIJEM	VKLAD	12342	34759	\N	\N	\N
617410	2106	1998-05-12	PRIJEM	VKLAD	12342	31418	\N	\N	\N
617411	2106	1998-06-12	PRIJEM	VKLAD	18513	44042	\N	\N	\N
617412	2106	1998-07-12	PRIJEM	VKLAD	12342	30855	\N	\N	\N
617413	2106	1998-08-12	PRIJEM	VKLAD	12342	30790	\N	\N	\N
617414	2106	1998-09-12	PRIJEM	VKLAD	12342	23236	\N	\N	\N
617415	2106	1998-10-12	PRIJEM	VKLAD	12342	22560	\N	\N	\N
617416	2106	1998-11-12	PRIJEM	VKLAD	12342	22799	\N	\N	\N
617417	2106	1998-12-12	PRIJEM	VKLAD	18513	31208	\N	\N	\N
617423	2106	1996-06-14	VYDAJ	PREVOD NA UCET	3468	39751	SIPO	IJ	64902251
617424	2106	1996-07-14	VYDAJ	PREVOD NA UCET	3468	30324	SIPO	IJ	64902251
617425	2106	1996-08-14	VYDAJ	PREVOD NA UCET	3468	30806	SIPO	IJ	64902251
617426	2106	1996-09-14	VYDAJ	PREVOD NA UCET	3468	18857	SIPO	IJ	64902251
617427	2106	1996-10-14	VYDAJ	PREVOD NA UCET	3468	17135	SIPO	IJ	64902251
617428	2106	1996-11-14	VYDAJ	PREVOD NA UCET	3468	14206	SIPO	IJ	64902251
617429	2106	1996-12-14	VYDAJ	PREVOD NA UCET	3468	20338	SIPO	IJ	64902251
617430	2106	1997-01-14	VYDAJ	PREVOD NA UCET	3468	14083	SIPO	IJ	64902251
617431	2106	1997-02-14	VYDAJ	PREVOD NA UCET	3468	14241	SIPO	IJ	64902251
617432	2106	1997-03-14	VYDAJ	PREVOD NA UCET	3468	13699	SIPO	IJ	64902251
617433	2106	1997-04-14	VYDAJ	PREVOD NA UCET	3468	14158	SIPO	IJ	64902251
617434	2106	1997-05-14	VYDAJ	PREVOD NA UCET	3468	14617	SIPO	IJ	64902251
617435	2106	1997-06-14	VYDAJ	PREVOD NA UCET	3468	15728	SIPO	IJ	64902251
617436	2106	1997-07-14	VYDAJ	PREVOD NA UCET	3468	16196	SIPO	IJ	64902251
617437	2106	1997-08-14	VYDAJ	PREVOD NA UCET	3468	16665	SIPO	IJ	64902251
617438	2106	1997-09-14	VYDAJ	PREVOD NA UCET	3468	17136	SIPO	IJ	64902251
617439	2106	1997-10-14	VYDAJ	PREVOD NA UCET	3468	26067	SIPO	IJ	64902251
617440	2106	1997-11-14	VYDAJ	PREVOD NA UCET	3468	26118	SIPO	IJ	64902251
617441	2106	1997-12-14	VYDAJ	PREVOD NA UCET	3468	35529	SIPO	IJ	64902251
617442	2106	1998-01-14	VYDAJ	PREVOD NA UCET	3468	25690	SIPO	IJ	64902251
617443	2106	1998-02-14	VYDAJ	PREVOD NA UCET	3468	28751	SIPO	IJ	64902251
617444	2106	1998-03-14	VYDAJ	PREVOD NA UCET	3468	37713	SIPO	IJ	64902251
617445	2106	1998-04-14	VYDAJ	PREVOD NA UCET	3468	31291	SIPO	IJ	64902251
617446	2106	1998-05-14	VYDAJ	PREVOD NA UCET	3468	27950	SIPO	IJ	64902251
617447	2106	1998-06-14	VYDAJ	PREVOD NA UCET	3468	18434	SIPO	IJ	64902251
617448	2106	1998-07-14	VYDAJ	PREVOD NA UCET	3468	27387	SIPO	IJ	64902251
617449	2106	1998-08-14	VYDAJ	PREVOD NA UCET	3468	27322	SIPO	IJ	64902251
617450	2106	1998-09-14	VYDAJ	PREVOD NA UCET	3468	19768	SIPO	IJ	64902251
617451	2106	1998-10-14	VYDAJ	PREVOD NA UCET	3468	19092	SIPO	IJ	64902251
617452	2106	1998-11-14	VYDAJ	PREVOD NA UCET	3468	19331	SIPO	IJ	64902251
617453	2106	1998-12-14	VYDAJ	PREVOD NA UCET	3468	27740	SIPO	IJ	64902251
617459	2106	1996-05-31	VYDAJ	VYBER	7200	34306	\N	\N	0
617460	2106	1996-07-13	VYDAJ	VYBER	7600	33792	\N	\N	0
617461	2106	1996-08-17	VYDAJ	VYBER	9800	21006	\N	\N	0
617462	2106	1996-09-10	VYDAJ	VYBER	8800	9983	\N	\N	0
617463	2106	1996-10-12	VYDAJ	PREVOD NA UCET	8460	20603	UVER	KL	14528537
617464	2106	1996-11-12	VYDAJ	PREVOD NA UCET	8460	17674	UVER	KL	14528537
617465	2106	1996-12-12	VYDAJ	PREVOD NA UCET	8460	23806	UVER	KL	14528537
617466	2106	1997-01-12	VYDAJ	PREVOD NA UCET	8460	17551	UVER	KL	14528537
617467	2106	1997-02-12	VYDAJ	PREVOD NA UCET	8460	17709	UVER	KL	14528537
617468	2106	1997-03-12	VYDAJ	PREVOD NA UCET	8460	17167	UVER	KL	14528537
617469	2106	1997-04-12	VYDAJ	PREVOD NA UCET	8460	17626	UVER	KL	14528537
617470	2106	1997-05-12	VYDAJ	PREVOD NA UCET	8460	18085	UVER	KL	14528537
617471	2106	1997-06-12	VYDAJ	PREVOD NA UCET	8460	24716	UVER	KL	14528537
617472	2106	1997-07-12	VYDAJ	PREVOD NA UCET	8460	19664	UVER	KL	14528537
617473	2106	1997-08-12	VYDAJ	PREVOD NA UCET	8460	20133	UVER	KL	14528537
617474	2106	1997-09-12	VYDAJ	PREVOD NA UCET	8460	20604	UVER	KL	14528537
617475	2106	1997-10-14	VYDAJ	VYBER	8900	17167	\N	\N	0
617476	2106	1997-11-17	VYDAJ	VYBER	5700	20418	\N	\N	0
617477	2106	1997-12-20	VYDAJ	VYBER	8300	27229	\N	\N	0
617478	2106	1998-01-04	VYDAJ	VYBER	6500	16816	\N	\N	0
617479	2106	1998-01-29	VYDAJ	VYBER	5900	19790	\N	\N	0
617480	2106	1998-03-14	VYDAJ	VYBER	8900	28813	\N	\N	0
617481	2106	1998-04-02	VYDAJ	VYBER	6500	22417	\N	\N	0
617482	2106	1998-05-04	VYDAJ	VYBER	8000	19076	\N	\N	0
617483	2106	1998-06-14	VYDAJ	VYBER	7900	21902	\N	\N	0
617484	2106	1998-07-14	VYDAJ	VYBER	9000	18387	\N	\N	0
617485	2106	1998-08-26	VYDAJ	VYBER	11200	16122	\N	\N	0
617486	2106	1998-08-31	VYDAJ	VYBER	5300	10909	\N	\N	0
617487	2106	1998-10-08	VYDAJ	VYBER	9600	10218	\N	\N	0
617488	2106	1998-11-11	VYDAJ	VYBER	8700	10457	\N	\N	0
617489	2106	1998-12-02	VYDAJ	VYBER	6700	12695	\N	\N	0
617492	2106	1998-06-12	VYDAJ	VYBER	14240	29802	\N	\N	\N
617493	2106	1996-12-16	VYDAJ	VYBER	1760	18578	\N	\N	\N
617494	2106	1997-12-21	VYDAJ	VYBER	4000	23229	\N	\N	\N
617495	2106	1998-12-17	VYDAJ	VYBER	960	26780	\N	\N	\N
617498	2106	1996-06-23	VYDAJ	VYBER	840	38911	\N	\N	\N
617499	2106	1996-12-21	VYDAJ	VYBER	3960	14618	\N	\N	\N
617501	2106	1997-06-14	VYDAJ	VYBER	5520	19196	\N	\N	\N
617503	2106	1998-05-29	VYDAJ	VYBER	2520	25430	\N	\N	\N
617506	2106	1998-04-19	VYDAJ	VYBER	4320	26971	\N	\N	\N
617514	2106	1996-06-30	VYDAJ	VYBER	15	29050	SLUZBY	\N	\N
617515	2106	1996-07-31	VYDAJ	VYBER	15	21932	SLUZBY	\N	\N
617516	2106	1996-08-31	VYDAJ	VYBER	15	18783	SLUZBY	\N	\N
617517	2106	1996-09-30	VYDAJ	VYBER	15	16721	SLUZBY	\N	\N
617518	2106	1996-10-31	VYDAJ	VYBER	15	13792	SLUZBY	\N	\N
617519	2106	1996-11-30	VYDAJ	VYBER	15	13753	SLUZBY	\N	\N
617520	2106	1996-12-31	VYDAJ	VYBER	15	13669	SLUZBY	\N	\N
617521	2106	1997-01-31	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
617522	2106	1997-02-28	VYDAJ	VYBER	15	13285	SLUZBY	\N	\N
617523	2106	1997-03-31	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
617524	2106	1997-04-30	VYDAJ	VYBER	15	14203	SLUZBY	\N	\N
617525	2106	1997-05-31	VYDAJ	VYBER	15	14663	SLUZBY	\N	\N
617526	2106	1997-06-30	VYDAJ	VYBER	15	15782	SLUZBY	\N	\N
617527	2106	1997-07-31	VYDAJ	VYBER	15	16251	SLUZBY	\N	\N
617528	2106	1997-08-31	VYDAJ	VYBER	15	16722	SLUZBY	\N	\N
617529	2106	1997-09-30	VYDAJ	VYBER	15	17193	SLUZBY	\N	\N
617530	2106	1997-10-31	VYDAJ	VYBER	15	17244	SLUZBY	\N	\N
617531	2106	1997-11-30	VYDAJ	VYBER	15	20484	SLUZBY	\N	\N
617532	2106	1997-12-31	VYDAJ	VYBER	15	23316	SLUZBY	\N	\N
617533	2106	1998-01-31	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
617534	2106	1998-02-28	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
617535	2106	1998-03-31	VYDAJ	VYBER	15	28917	SLUZBY	\N	\N
617536	2106	1998-04-30	VYDAJ	VYBER	15	27076	SLUZBY	\N	\N
617537	2106	1998-05-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
617538	2106	1998-06-30	VYDAJ	VYBER	15	18513	SLUZBY	\N	\N
617539	2106	1998-07-31	VYDAJ	VYBER	15	18448	SLUZBY	\N	\N
617540	2106	1998-08-31	VYDAJ	VYBER	15	10894	SLUZBY	\N	\N
617541	2106	1998-09-30	VYDAJ	VYBER	15	19818	SLUZBY	\N	\N
617542	2106	1998-10-31	VYDAJ	VYBER	15	19157	SLUZBY	\N	\N
617543	2106	1998-11-30	VYDAJ	VYBER	15	19395	SLUZBY	\N	\N
617544	2106	1996-03-02	PRIJEM	VKLAD	4200	16975	\N	\N	\N
617545	2106	1996-04-01	VYDAJ	VYBER	4800	24615	\N	\N	\N
617546	2106	1996-05-01	VYDAJ	VYBER	8100	28999	\N	\N	\N
617547	2106	1996-05-31	VYDAJ	VYBER	9600	24706	\N	\N	\N
617548	2106	1996-06-30	VYDAJ	VYBER	10000	29064	\N	\N	\N
617549	2106	1996-07-30	VYDAJ	VYBER	8500	21824	\N	\N	\N
617550	2106	1996-08-29	VYDAJ	VYBER	2300	18706	\N	\N	\N
617551	2106	1996-09-28	VYDAJ	VYBER	2200	16657	\N	\N	\N
617552	2106	1996-10-28	VYDAJ	VYBER	3400	13735	\N	\N	\N
617553	2106	1996-11-27	VYDAJ	VYBER	500	13706	\N	\N	\N
617554	2106	1996-12-27	VYDAJ	VYBER	1000	13618	\N	\N	\N
617555	2106	1997-01-26	VYDAJ	VYBER	300	13783	\N	\N	\N
617556	2106	1997-02-25	VYDAJ	VYBER	1000	13241	\N	\N	\N
617592	2107	1996-11-09	PRIJEM	VKLAD	300	300	\N	\N	\N
617604	2107	1996-12-08	PRIJEM	VKLAD	15882	16182	\N	\N	\N
617605	2107	1997-01-08	PRIJEM	VKLAD	10588	29629	\N	\N	\N
617606	2107	1997-02-08	PRIJEM	VKLAD	10588	34410	\N	\N	\N
617607	2107	1997-03-08	PRIJEM	VKLAD	10588	45129	\N	\N	\N
617608	2107	1997-04-08	PRIJEM	VKLAD	10588	45161	\N	\N	\N
617609	2107	1997-05-08	PRIJEM	VKLAD	10588	40432	\N	\N	\N
617610	2107	1997-06-08	PRIJEM	VKLAD	15882	38148	\N	\N	\N
617611	2107	1997-07-08	PRIJEM	VKLAD	10588	31105	\N	\N	\N
617612	2107	1997-08-08	PRIJEM	VKLAD	10588	29022	\N	\N	\N
617613	2107	1997-09-08	PRIJEM	VKLAD	10588	29928	\N	\N	\N
617614	2107	1997-10-08	PRIJEM	VKLAD	10588	30460	\N	\N	\N
617615	2107	1997-11-08	PRIJEM	VKLAD	10588	30995	\N	\N	\N
617616	2107	1997-12-08	PRIJEM	VKLAD	15882	36665	\N	\N	\N
617617	2107	1998-01-08	PRIJEM	VKLAD	10588	28356	\N	\N	\N
617618	2107	1998-02-08	PRIJEM	VKLAD	10588	31732	\N	\N	\N
617619	2107	1998-03-08	PRIJEM	VKLAD	10588	40242	\N	\N	\N
617620	2107	1998-04-08	PRIJEM	VKLAD	10588	43290	\N	\N	\N
617621	2107	1998-05-08	PRIJEM	VKLAD	10588	40976	\N	\N	\N
617622	2107	1998-06-08	PRIJEM	VKLAD	15882	43350	\N	\N	\N
617623	2107	1998-07-08	PRIJEM	VKLAD	10588	37826	\N	\N	\N
617624	2107	1998-08-08	PRIJEM	VKLAD	10588	39374	\N	\N	\N
617625	2107	1998-09-08	PRIJEM	VKLAD	10588	44925	\N	\N	\N
617626	2107	1998-10-08	PRIJEM	VKLAD	10588	43716	\N	\N	\N
617627	2107	1998-11-08	PRIJEM	VKLAD	10588	44987	\N	\N	\N
617628	2107	1998-12-08	PRIJEM	VKLAD	15882	53630	\N	\N	\N
617644	2107	1997-04-08	VYDAJ	PREVOD NA UCET	6395	38766	SIPO	YZ	60404908
617645	2107	1997-05-08	VYDAJ	PREVOD NA UCET	6395	27437	SIPO	YZ	60404908
617646	2107	1997-06-08	VYDAJ	PREVOD NA UCET	6395	31753	SIPO	YZ	60404908
617647	2107	1997-07-08	VYDAJ	PREVOD NA UCET	6395	19430	SIPO	YZ	60404908
617648	2107	1997-08-08	VYDAJ	PREVOD NA UCET	6395	22627	SIPO	YZ	60404908
617649	2107	1997-09-08	VYDAJ	PREVOD NA UCET	6395	23533	SIPO	YZ	60404908
617650	2107	1997-10-08	VYDAJ	PREVOD NA UCET	6395	24065	SIPO	YZ	60404908
617651	2107	1997-11-08	VYDAJ	PREVOD NA UCET	6395	24600	SIPO	YZ	60404908
617652	2107	1997-12-08	VYDAJ	PREVOD NA UCET	6395	30270	SIPO	YZ	60404908
617653	2107	1998-01-08	VYDAJ	PREVOD NA UCET	6395	21961	SIPO	YZ	60404908
617654	2107	1998-02-08	VYDAJ	PREVOD NA UCET	6395	25337	SIPO	YZ	60404908
617655	2107	1998-03-08	VYDAJ	PREVOD NA UCET	6395	33847	SIPO	YZ	60404908
617656	2107	1998-04-08	VYDAJ	PREVOD NA UCET	6395	36895	SIPO	YZ	60404908
617657	2107	1998-05-08	VYDAJ	PREVOD NA UCET	6395	34581	SIPO	YZ	60404908
617658	2107	1998-06-08	VYDAJ	PREVOD NA UCET	6395	36955	SIPO	YZ	60404908
617659	2107	1998-07-08	VYDAJ	PREVOD NA UCET	6395	31431	SIPO	YZ	60404908
617660	2107	1998-08-08	VYDAJ	PREVOD NA UCET	6395	32979	SIPO	YZ	60404908
617661	2107	1998-09-08	VYDAJ	PREVOD NA UCET	6395	38530	SIPO	YZ	60404908
617662	2107	1998-10-08	VYDAJ	PREVOD NA UCET	6395	37321	SIPO	YZ	60404908
617663	2107	1998-11-08	VYDAJ	PREVOD NA UCET	6395	38592	SIPO	YZ	60404908
617664	2107	1998-12-08	VYDAJ	PREVOD NA UCET	6395	47235	SIPO	YZ	60404908
617681	2107	1997-05-07	VYDAJ	PREVOD NA UCET	663	29844	 	ST	32207316
617682	2107	1997-06-07	VYDAJ	PREVOD NA UCET	663	22266	 	ST	32207316
617683	2107	1997-07-07	VYDAJ	PREVOD NA UCET	663	20517	 	ST	32207316
617684	2107	1997-08-07	VYDAJ	PREVOD NA UCET	663	18434	 	ST	32207316
617685	2107	1997-09-07	VYDAJ	PREVOD NA UCET	663	19340	 	ST	32207316
617686	2107	1997-10-07	VYDAJ	PREVOD NA UCET	663	19872	 	ST	32207316
617847	2108	1997-09-10	PRIJEM	VKLAD	14061	31562	\N	\N	\N
617687	2107	1997-11-07	VYDAJ	PREVOD NA UCET	663	20407	 	ST	32207316
617688	2107	1997-12-07	VYDAJ	PREVOD NA UCET	663	20783	 	ST	32207316
617689	2107	1998-01-07	VYDAJ	PREVOD NA UCET	663	17768	 	ST	32207316
617690	2107	1998-02-07	VYDAJ	PREVOD NA UCET	663	21144	 	ST	32207316
617691	2107	1998-03-07	VYDAJ	PREVOD NA UCET	663	29654	 	ST	32207316
617692	2107	1998-04-07	VYDAJ	PREVOD NA UCET	663	32702	 	ST	32207316
617693	2107	1998-05-07	VYDAJ	PREVOD NA UCET	663	30388	 	ST	32207316
617694	2107	1998-06-07	VYDAJ	PREVOD NA UCET	663	27468	 	ST	32207316
617695	2107	1998-07-07	VYDAJ	PREVOD NA UCET	663	27238	 	ST	32207316
617696	2107	1998-08-07	VYDAJ	PREVOD NA UCET	663	28786	 	ST	32207316
617697	2107	1998-09-07	VYDAJ	PREVOD NA UCET	663	34337	 	ST	32207316
617698	2107	1998-10-07	VYDAJ	PREVOD NA UCET	663	33128	 	ST	32207316
617699	2107	1998-11-07	VYDAJ	PREVOD NA UCET	663	34399	 	ST	32207316
617700	2107	1998-12-07	VYDAJ	PREVOD NA UCET	663	37748	 	ST	32207316
617702	2107	1997-06-22	VYDAJ	VYBER	11680	20073	\N	\N	\N
617708	2107	1997-12-01	VYDAJ	VYBER	2560	22146	\N	\N	\N
617709	2107	1998-12-28	VYDAJ	VYBER	1920	45315	\N	\N	\N
617722	2107	1998-01-04	VYDAJ	VYBER	1920	22871	\N	\N	\N
617723	2107	1998-01-22	VYDAJ	VYBER	2880	15841	\N	\N	\N
617724	2107	1998-01-10	VYDAJ	VYBER	3240	18721	\N	\N	\N
617725	2107	1998-01-05	VYDAJ	VYBER	2880	19991	\N	\N	\N
617726	2107	1998-01-22	VYDAJ	VYBER	2400	13441	\N	\N	\N
617727	2107	1998-01-07	VYDAJ	VYBER	1560	18431	\N	\N	\N
617733	2107	1997-07-08	VYDAJ	VYBER	5280	25825	\N	\N	\N
617735	2107	1997-05-15	VYDAJ	VYBER	4800	22637	\N	\N	\N
617736	2107	1997-12-22	VYDAJ	VYBER	2280	27990	\N	\N	\N
617737	2107	1998-11-20	VYDAJ	VYBER	1080	37512	\N	\N	\N
617738	2107	1998-06-22	VYDAJ	VYBER	1800	35155	\N	\N	\N
617739	2107	1998-11-26	VYDAJ	VYBER	3240	34272	\N	\N	\N
617756	2107	1997-04-30	VYDAJ	VYBER	15	30507	SLUZBY	\N	\N
617757	2107	1997-05-31	VYDAJ	VYBER	15	22729	SLUZBY	\N	\N
617758	2107	1997-06-30	VYDAJ	VYBER	15	20180	SLUZBY	\N	\N
617759	2107	1997-07-31	VYDAJ	VYBER	15	19497	SLUZBY	\N	\N
617760	2107	1997-08-31	VYDAJ	VYBER	15	22703	SLUZBY	\N	\N
617761	2107	1997-09-30	VYDAJ	VYBER	15	23635	SLUZBY	\N	\N
617762	2107	1997-10-31	VYDAJ	VYBER	15	24170	SLUZBY	\N	\N
617763	2107	1997-11-30	VYDAJ	VYBER	15	24706	SLUZBY	\N	\N
617764	2107	1997-12-31	VYDAJ	VYBER	15	28091	SLUZBY	\N	\N
617765	2107	1998-01-31	VYDAJ	VYBER	15	13507	SLUZBY	\N	\N
617766	2107	1998-02-28	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
617767	2107	1998-03-31	VYDAJ	VYBER	15	33965	SLUZBY	\N	\N
617768	2107	1998-04-30	VYDAJ	VYBER	15	37051	SLUZBY	\N	\N
617769	2107	1998-05-31	VYDAJ	VYBER	15	34731	SLUZBY	\N	\N
617770	2107	1998-06-30	VYDAJ	VYBER	15	35301	SLUZBY	\N	\N
617771	2107	1998-07-31	VYDAJ	VYBER	15	31549	SLUZBY	\N	\N
617772	2107	1998-08-31	VYDAJ	VYBER	15	35000	SLUZBY	\N	\N
617773	2107	1998-09-30	VYDAJ	VYBER	15	38691	SLUZBY	\N	\N
617774	2107	1998-10-31	VYDAJ	VYBER	15	35062	SLUZBY	\N	\N
617775	2107	1998-11-30	VYDAJ	VYBER	15	38411	SLUZBY	\N	\N
617776	2107	1996-12-09	PRIJEM	VKLAD	2800	18982	\N	\N	\N
617777	2107	1997-01-08	VYDAJ	VYBER	6400	23229	\N	\N	\N
617778	2107	1997-02-07	PRIJEM	VKLAD	500	23822	\N	\N	\N
617779	2107	1997-03-09	VYDAJ	VYBER	10700	34429	\N	\N	\N
617780	2107	1997-04-08	VYDAJ	VYBER	8400	30366	\N	\N	\N
617781	2107	1997-05-08	VYDAJ	VYBER	6600	33832	\N	\N	\N
617782	2107	1997-06-07	PRIJEM	VKLAD	200	22929	\N	\N	\N
617783	2107	1997-07-07	PRIJEM	VKLAD	1000	21180	\N	\N	\N
617784	2107	1997-08-06	VYDAJ	VYBER	400	19097	\N	\N	\N
617785	2107	1997-09-05	VYDAJ	VYBER	2700	20003	\N	\N	\N
617786	2107	1997-10-05	VYDAJ	VYBER	3100	20535	\N	\N	\N
617787	2107	1997-11-04	VYDAJ	VYBER	3100	21070	\N	\N	\N
617788	2107	1997-12-04	VYDAJ	VYBER	700	21446	\N	\N	\N
617789	2107	1998-01-03	VYDAJ	VYBER	3300	24791	\N	\N	\N
617790	2107	1998-02-02	PRIJEM	VKLAD	8300	21807	\N	\N	\N
617791	2107	1998-03-04	PRIJEM	VKLAD	4900	30317	\N	\N	\N
617792	2107	1998-04-03	VYDAJ	VYBER	600	33365	\N	\N	\N
617793	2107	1998-05-03	VYDAJ	VYBER	6000	31051	\N	\N	\N
617794	2107	1998-06-02	VYDAJ	VYBER	6600	28131	\N	\N	\N
617795	2107	1998-07-02	VYDAJ	VYBER	7400	27901	\N	\N	\N
617796	2107	1998-08-01	VYDAJ	VYBER	2100	29449	\N	\N	\N
617797	2107	1998-08-31	PRIJEM	VKLAD	1900	34879	\N	\N	\N
617798	2107	1998-09-30	VYDAJ	VYBER	4900	33791	\N	\N	\N
617799	2107	1998-10-30	VYDAJ	VYBER	2400	34921	\N	\N	\N
617800	2107	1998-11-29	PRIJEM	VKLAD	4000	38272	\N	\N	\N
617826	2108	1996-07-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
617833	2108	1996-07-10	PRIJEM	VKLAD	14061	15061	\N	\N	\N
617834	2108	1996-08-10	PRIJEM	VKLAD	14061	33167	\N	\N	\N
617835	2108	1996-09-10	PRIJEM	VKLAD	14061	45944	\N	\N	\N
617836	2108	1996-10-10	PRIJEM	VKLAD	14061	49080	\N	\N	\N
617837	2108	1996-11-10	PRIJEM	VKLAD	14061	53242	\N	\N	\N
617838	2108	1996-12-10	PRIJEM	VKLAD	21092	56261	\N	\N	\N
617839	2108	1997-01-10	PRIJEM	VKLAD	14061	49495	\N	\N	\N
617840	2108	1997-02-10	PRIJEM	VKLAD	14061	27254	\N	\N	\N
617841	2108	1997-03-10	PRIJEM	VKLAD	14061	37830	\N	\N	\N
617842	2108	1997-04-10	PRIJEM	VKLAD	14061	37339	\N	\N	\N
617843	2108	1997-05-10	PRIJEM	VKLAD	14061	38659	\N	\N	\N
617844	2108	1997-06-10	PRIJEM	VKLAD	21092	41417	\N	\N	\N
617845	2108	1997-07-10	PRIJEM	VKLAD	14061	28025	\N	\N	\N
617846	2108	1997-08-10	PRIJEM	VKLAD	14061	31181	\N	\N	\N
617848	2108	1997-10-10	PRIJEM	VKLAD	14061	30164	\N	\N	\N
617849	2108	1997-11-10	PRIJEM	VKLAD	14061	26839	\N	\N	\N
617850	2108	1997-12-10	PRIJEM	VKLAD	21092	42019	\N	\N	\N
617851	2108	1998-01-10	PRIJEM	VKLAD	14061	39211	\N	\N	\N
617852	2108	1998-02-10	PRIJEM	VKLAD	14061	27601	\N	\N	\N
617853	2108	1998-03-10	PRIJEM	VKLAD	14061	35768	\N	\N	\N
617854	2108	1998-04-10	PRIJEM	VKLAD	14061	41308	\N	\N	\N
617855	2108	1998-05-10	PRIJEM	VKLAD	14061	46037	\N	\N	\N
617856	2108	1998-06-10	PRIJEM	VKLAD	21092	33391	\N	\N	\N
617857	2108	1998-07-10	PRIJEM	VKLAD	14061	30651	\N	\N	\N
617858	2108	1998-08-10	PRIJEM	VKLAD	14061	33536	\N	\N	\N
617859	2108	1998-09-10	PRIJEM	VKLAD	14061	36675	\N	\N	\N
617860	2108	1998-10-10	PRIJEM	VKLAD	14061	44865	\N	\N	\N
617861	2108	1998-11-10	PRIJEM	VKLAD	14061	49728	\N	\N	\N
617862	2108	1998-12-10	PRIJEM	VKLAD	21092	65007	\N	\N	\N
617873	2108	1996-11-10	VYDAJ	PREVOD NA UCET	5974	47268	SIPO	WX	52307826
617874	2108	1996-12-10	VYDAJ	PREVOD NA UCET	5974	50287	SIPO	WX	52307826
617875	2108	1997-01-10	VYDAJ	PREVOD NA UCET	5974	43521	SIPO	WX	52307826
617876	2108	1997-02-10	VYDAJ	PREVOD NA UCET	5974	21280	SIPO	WX	52307826
617877	2108	1997-03-10	VYDAJ	PREVOD NA UCET	5974	31856	SIPO	WX	52307826
617878	2108	1997-04-10	VYDAJ	PREVOD NA UCET	5974	31365	SIPO	WX	52307826
617879	2108	1997-05-10	VYDAJ	PREVOD NA UCET	5974	32685	SIPO	WX	52307826
617880	2108	1997-06-10	VYDAJ	PREVOD NA UCET	5974	35443	SIPO	WX	52307826
617881	2108	1997-07-10	VYDAJ	PREVOD NA UCET	5974	22051	SIPO	WX	52307826
617882	2108	1997-08-10	VYDAJ	PREVOD NA UCET	5974	25207	SIPO	WX	52307826
617883	2108	1997-09-10	VYDAJ	PREVOD NA UCET	5974	25588	SIPO	WX	52307826
617884	2108	1997-10-10	VYDAJ	PREVOD NA UCET	5974	24190	SIPO	WX	52307826
617885	2108	1997-11-10	VYDAJ	PREVOD NA UCET	5974	20865	SIPO	WX	52307826
617886	2108	1997-12-10	VYDAJ	PREVOD NA UCET	5974	36045	SIPO	WX	52307826
617887	2108	1998-01-10	VYDAJ	PREVOD NA UCET	5974	33237	SIPO	WX	52307826
617888	2108	1998-02-10	VYDAJ	PREVOD NA UCET	5974	21627	SIPO	WX	52307826
617889	2108	1998-03-10	VYDAJ	PREVOD NA UCET	5974	29794	SIPO	WX	52307826
617890	2108	1998-04-10	VYDAJ	PREVOD NA UCET	5974	35334	SIPO	WX	52307826
617891	2108	1998-05-10	VYDAJ	PREVOD NA UCET	5974	40063	SIPO	WX	52307826
617892	2108	1998-06-10	VYDAJ	PREVOD NA UCET	5974	27417	SIPO	WX	52307826
617893	2108	1998-07-10	VYDAJ	PREVOD NA UCET	5974	24677	SIPO	WX	52307826
617894	2108	1998-08-10	VYDAJ	PREVOD NA UCET	5974	27562	SIPO	WX	52307826
617895	2108	1998-09-10	VYDAJ	PREVOD NA UCET	5974	30701	SIPO	WX	52307826
617896	2108	1998-10-10	VYDAJ	PREVOD NA UCET	5974	38891	SIPO	WX	52307826
617897	2108	1998-11-10	VYDAJ	PREVOD NA UCET	5974	43754	SIPO	WX	52307826
617898	2108	1998-12-10	VYDAJ	PREVOD NA UCET	5974	59033	SIPO	WX	52307826
617900	2108	1997-06-28	VYDAJ	VYBER	15520	15963	\N	\N	\N
617901	2108	1998-06-12	VYDAJ	VYBER	10880	16537	\N	\N	\N
617903	2108	1997-01-17	VYDAJ	VYBER	7360	31121	\N	\N	\N
617905	2108	1996-12-19	VYDAJ	VYBER	2560	47727	\N	\N	\N
617906	2108	1997-12-15	VYDAJ	VYBER	3200	32845	\N	\N	\N
617907	2108	1998-12-28	VYDAJ	VYBER	4160	15973	\N	\N	\N
617914	2108	1997-01-28	VYDAJ	VYBER	3480	20921	\N	\N	\N
617915	2108	1997-01-18	VYDAJ	VYBER	3360	27761	\N	\N	\N
617916	2108	1997-01-26	VYDAJ	VYBER	3360	24401	\N	\N	\N
617917	2108	1997-01-02	VYDAJ	VYBER	1680	46234	\N	\N	\N
617918	2108	1997-01-14	VYDAJ	VYBER	2040	38481	\N	\N	\N
617919	2108	1997-01-11	VYDAJ	VYBER	3000	40521	\N	\N	\N
617920	2108	1998-01-24	VYDAJ	VYBER	1200	29517	\N	\N	\N
617921	2108	1998-01-29	VYDAJ	VYBER	1800	13437	\N	\N	\N
617922	2108	1998-01-18	VYDAJ	VYBER	1800	30717	\N	\N	\N
617923	2108	1998-01-24	VYDAJ	VYBER	1320	28197	\N	\N	\N
617924	2108	1998-01-10	VYDAJ	VYBER	720	32517	\N	\N	\N
617925	2108	1998-01-25	VYDAJ	VYBER	1560	26637	\N	\N	\N
617932	2108	1997-06-13	VYDAJ	VYBER	2160	33283	\N	\N	\N
617933	2108	1997-06-20	VYDAJ	VYBER	1800	31483	\N	\N	\N
617934	2108	1997-06-02	VYDAJ	VYBER	4080	20325	\N	\N	\N
617935	2108	1997-10-05	VYDAJ	VYBER	1080	16103	\N	\N	\N
617936	2108	1997-12-26	VYDAJ	VYBER	5880	25045	\N	\N	\N
617937	2108	1997-12-18	VYDAJ	VYBER	1920	30925	\N	\N	\N
617938	2108	1997-02-09	VYDAJ	VYBER	5160	13193	\N	\N	\N
617939	2108	1998-04-30	VYDAJ	VYBER	3480	31990	\N	\N	\N
617940	2108	1998-08-29	VYDAJ	VYBER	4080	22522	\N	\N	\N
617941	2108	1998-11-01	VYDAJ	VYBER	3360	35667	\N	\N	\N
617942	2108	1998-08-20	VYDAJ	VYBER	960	26602	\N	\N	\N
617944	2108	1998-08-09	VYDAJ	VYBER	5280	19475	\N	\N	\N
617945	2108	1998-03-12	VYDAJ	VYBER	2640	27154	\N	\N	\N
617957	2108	1996-11-30	VYDAJ	VYBER	15	47469	SLUZBY	\N	\N
617958	2108	1996-12-31	VYDAJ	VYBER	15	47914	SLUZBY	\N	\N
617959	2108	1997-01-31	VYDAJ	VYBER	15	21053	SLUZBY	\N	\N
617960	2108	1997-02-28	VYDAJ	VYBER	15	21369	SLUZBY	\N	\N
617961	2108	1997-03-31	VYDAJ	VYBER	15	31978	SLUZBY	\N	\N
617962	2108	1997-04-30	VYDAJ	VYBER	15	31498	SLUZBY	\N	\N
617963	2108	1997-05-31	VYDAJ	VYBER	15	32805	SLUZBY	\N	\N
617964	2108	1997-06-30	VYDAJ	VYBER	15	16064	SLUZBY	\N	\N
617965	2108	1997-07-31	VYDAJ	VYBER	15	17120	SLUZBY	\N	\N
617966	2108	1997-08-31	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
617967	2108	1997-09-30	VYDAJ	VYBER	15	17183	SLUZBY	\N	\N
617968	2108	1997-10-31	VYDAJ	VYBER	15	12778	SLUZBY	\N	\N
617969	2108	1997-11-30	VYDAJ	VYBER	15	20927	SLUZBY	\N	\N
617970	2108	1997-12-31	VYDAJ	VYBER	15	25150	SLUZBY	\N	\N
617971	2108	1998-01-31	VYDAJ	VYBER	15	13540	SLUZBY	\N	\N
617972	2108	1998-02-28	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
617973	2108	1998-03-31	VYDAJ	VYBER	15	27247	SLUZBY	\N	\N
617974	2108	1998-04-30	VYDAJ	VYBER	15	31976	SLUZBY	\N	\N
617975	2108	1998-05-31	VYDAJ	VYBER	15	12299	SLUZBY	\N	\N
617976	2108	1998-06-30	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
617977	2108	1998-07-31	VYDAJ	VYBER	15	24755	SLUZBY	\N	\N
617978	2108	1998-08-31	VYDAJ	VYBER	15	22614	SLUZBY	\N	\N
617979	2108	1998-09-30	VYDAJ	VYBER	15	30804	SLUZBY	\N	\N
617980	2108	1998-10-31	VYDAJ	VYBER	15	39027	SLUZBY	\N	\N
617981	2108	1998-11-30	VYDAJ	VYBER	15	43915	SLUZBY	\N	\N
617982	2108	1996-08-05	PRIJEM	VKLAD	4000	19106	\N	\N	\N
617983	2108	1996-09-04	VYDAJ	VYBER	1400	31883	\N	\N	\N
617984	2108	1996-10-04	VYDAJ	VYBER	11100	35019	\N	\N	\N
617985	2108	1996-11-03	VYDAJ	VYBER	10100	39181	\N	\N	\N
617986	2108	1996-12-03	VYDAJ	VYBER	12300	35169	\N	\N	\N
617987	2108	1997-01-02	VYDAJ	VYBER	10800	35434	\N	\N	\N
617988	2108	1997-02-01	VYDAJ	VYBER	2700	18353	\N	\N	\N
617989	2108	1997-03-03	PRIJEM	VKLAD	2400	23769	\N	\N	\N
617990	2108	1997-04-02	VYDAJ	VYBER	8700	23278	\N	\N	\N
617991	2108	1997-05-02	VYDAJ	VYBER	6900	24598	\N	\N	\N
617992	2108	1997-06-01	VYDAJ	VYBER	8400	24405	\N	\N	\N
617993	2108	1997-07-01	VYDAJ	VYBER	2100	13964	\N	\N	\N
617994	2108	1997-07-31	VYDAJ	VYBER	5000	17135	\N	\N	\N
617995	2108	1997-08-30	VYDAJ	VYBER	7800	17407	\N	\N	\N
617996	2108	1997-09-29	VYDAJ	VYBER	8500	17088	\N	\N	\N
617997	2108	1997-10-29	VYDAJ	VYBER	11500	12690	\N	\N	\N
617998	2108	1998-01-27	VYDAJ	VYBER	11400	15237	\N	\N	\N
617999	2108	1998-05-27	VYDAJ	VYBER	27900	12163	\N	\N	\N
618000	2108	1998-12-23	VYDAJ	VYBER	38900	20133	\N	\N	\N
618031	2109	1996-02-02	PRIJEM	VKLAD	600	600	\N	\N	\N
618032	2109	1996-09-26	PRIJEM	VKLAD	20848	48043	\N	\N	\N
618033	2109	1996-04-24	PRIJEM	VKLAD	29972	45472	\N	\N	\N
618034	2109	1997-08-12	PRIJEM	VKLAD	11738	56619	\N	\N	\N
618035	2109	1997-10-28	PRIJEM	VKLAD	24507	70925	\N	\N	\N
618036	2109	1998-12-08	PRIJEM	VKLAD	27266	103582	\N	\N	\N
618037	2109	1998-03-18	PRIJEM	VKLAD	26654	87187	\N	\N	\N
618040	2109	1998-06-06	VYDAJ	VYBER	10000	55474	\N	\N	\N
618046	2109	1998-06-22	VYDAJ	VYBER	26100	34474	\N	\N	\N
618049	2109	1998-12-04	VYDAJ	VYBER	2800	76316	\N	\N	\N
618060	2109	1998-07-13	VYDAJ	VYBER	1050	33642	\N	\N	\N
618061	2109	1998-04-15	VYDAJ	VYBER	650	74723	\N	\N	\N
618091	2109	1998-03-31	VYDAJ	VYBER	15	75373	SLUZBY	\N	\N
618092	2109	1998-04-30	VYDAJ	VYBER	15	66911	SLUZBY	\N	\N
618093	2109	1998-05-31	VYDAJ	VYBER	15	65474	SLUZBY	\N	\N
618094	2109	1998-06-30	VYDAJ	VYBER	15	34692	SLUZBY	\N	\N
618095	2109	1998-07-31	VYDAJ	VYBER	15	53599	SLUZBY	\N	\N
618096	2109	1998-08-31	VYDAJ	VYBER	15	60708	SLUZBY	\N	\N
618097	2109	1998-09-30	VYDAJ	VYBER	15	68247	SLUZBY	\N	\N
618098	2109	1998-10-31	VYDAJ	VYBER	15	75616	SLUZBY	\N	\N
618099	2109	1998-11-30	VYDAJ	VYBER	15	79116	SLUZBY	\N	\N
618100	2109	1996-03-03	PRIJEM	VKLAD	9700	10300	\N	\N	\N
618101	2109	1996-04-02	PRIJEM	VKLAD	5200	15500	\N	\N	\N
618102	2109	1996-05-02	VYDAJ	VYBER	9300	36216	\N	\N	\N
618103	2109	1996-06-01	VYDAJ	VYBER	7400	29006	\N	\N	\N
618104	2109	1996-07-01	VYDAJ	VYBER	1400	27795	\N	\N	\N
618105	2109	1996-07-31	VYDAJ	VYBER	1000	26982	\N	\N	\N
618106	2109	1996-08-30	PRIJEM	VKLAD	100	27082	\N	\N	\N
618107	2109	1996-09-29	VYDAJ	VYBER	6700	41343	\N	\N	\N
618108	2109	1996-10-29	VYDAJ	VYBER	4600	36859	\N	\N	\N
618109	2109	1996-11-28	VYDAJ	VYBER	3600	33431	\N	\N	\N
618110	2109	1996-12-28	VYDAJ	VYBER	600	33003	\N	\N	\N
618111	2109	1997-01-27	PRIJEM	VKLAD	700	33876	\N	\N	\N
618112	2109	1997-02-26	PRIJEM	VKLAD	3100	37148	\N	\N	\N
618113	2109	1997-03-28	PRIJEM	VKLAD	2600	39920	\N	\N	\N
618114	2109	1997-04-27	PRIJEM	VKLAD	5400	45492	\N	\N	\N
618115	2109	1997-05-27	PRIJEM	VKLAD	3900	49565	\N	\N	\N
618116	2109	1997-06-26	VYDAJ	VYBER	1300	48437	\N	\N	\N
618117	2109	1997-07-26	VYDAJ	VYBER	3900	44709	\N	\N	\N
618118	2109	1997-08-25	VYDAJ	VYBER	4600	52019	\N	\N	\N
618119	2109	1997-09-24	VYDAJ	VYBER	2800	49402	\N	\N	\N
618120	2109	1997-10-24	VYDAJ	VYBER	3200	46418	\N	\N	\N
618121	2109	1997-11-23	VYDAJ	VYBER	9300	61852	\N	\N	\N
618122	2109	1997-12-23	VYDAJ	VYBER	3900	58247	\N	\N	\N
618123	2109	1998-01-22	VYDAJ	VYBER	2400	56143	\N	\N	\N
618124	2109	1998-02-21	PRIJEM	VKLAD	3800	60238	\N	\N	\N
618125	2109	1998-03-23	VYDAJ	VYBER	12100	75087	\N	\N	\N
618126	2109	1998-04-22	VYDAJ	VYBER	8100	66623	\N	\N	\N
618127	2109	1998-05-22	VYDAJ	VYBER	1700	65211	\N	\N	\N
618128	2109	1998-06-21	PRIJEM	VKLAD	5100	60574	\N	\N	\N
618129	2109	1998-07-21	PRIJEM	VKLAD	19800	53442	\N	\N	\N
618130	2109	1998-08-20	PRIJEM	VKLAD	6900	60499	\N	\N	\N
618131	2109	1998-09-19	PRIJEM	VKLAD	7300	68008	\N	\N	\N
618132	2109	1998-10-19	PRIJEM	VKLAD	7100	75347	\N	\N	\N
618133	2109	1998-11-18	PRIJEM	VKLAD	3200	78816	\N	\N	\N
618167	2110	1993-02-23	PRIJEM	VKLAD	600	600	\N	\N	\N
618170	2110	1993-03-13	PRIJEM	PREVOD Z UCTU	3076	3676	\N	WX	47164356
618171	2110	1993-04-13	PRIJEM	PREVOD Z UCTU	3076	6752	\N	WX	47164356
618172	2110	1993-05-13	PRIJEM	PREVOD Z UCTU	3076	9828	\N	WX	47164356
618173	2110	1993-06-13	PRIJEM	PREVOD Z UCTU	3076	12904	\N	WX	47164356
618174	2110	1993-07-13	PRIJEM	PREVOD Z UCTU	3076	15980	\N	WX	47164356
618175	2110	1993-08-13	PRIJEM	PREVOD Z UCTU	3076	17025	\N	WX	47164356
618176	2110	1993-09-13	PRIJEM	PREVOD Z UCTU	3076	18097	\N	WX	47164356
618177	2110	1993-10-13	PRIJEM	PREVOD Z UCTU	3076	19174	\N	WX	47164356
618178	2110	1993-11-13	PRIJEM	PREVOD Z UCTU	3076	20255	\N	WX	47164356
618179	2110	1993-12-13	PRIJEM	PREVOD Z UCTU	3076	19597	\N	WX	47164356
618180	2110	1994-01-13	PRIJEM	PREVOD Z UCTU	3076	20681	\N	WX	47164356
618181	2110	1994-02-13	PRIJEM	PREVOD Z UCTU	3076	21588	\N	WX	47164356
618182	2110	1994-03-13	PRIJEM	PREVOD Z UCTU	3076	22680	\N	WX	47164356
618183	2110	1994-04-13	PRIJEM	PREVOD Z UCTU	3076	22364	\N	WX	47164356
618184	2110	1994-05-13	PRIJEM	PREVOD Z UCTU	3076	23459	\N	WX	47164356
618185	2110	1994-06-13	PRIJEM	PREVOD Z UCTU	3076	23746	\N	WX	47164356
618186	2110	1994-07-13	PRIJEM	PREVOD Z UCTU	3076	24846	\N	WX	47164356
618187	2110	1994-08-13	PRIJEM	PREVOD Z UCTU	3076	25951	\N	WX	47164356
618188	2110	1994-09-13	PRIJEM	PREVOD Z UCTU	3076	27060	\N	WX	47164356
618189	2110	1994-10-13	PRIJEM	PREVOD Z UCTU	3076	28173	\N	WX	47164356
618190	2110	1994-11-13	PRIJEM	PREVOD Z UCTU	3076	28422	\N	WX	47164356
618191	2110	1994-12-13	PRIJEM	PREVOD Z UCTU	3076	29543	\N	WX	47164356
618192	2110	1995-01-13	PRIJEM	PREVOD Z UCTU	3076	29314	\N	WX	47164356
618193	2110	1995-02-13	PRIJEM	PREVOD Z UCTU	3076	30437	\N	WX	47164356
618194	2110	1995-03-13	PRIJEM	PREVOD Z UCTU	3076	27567	\N	WX	47164356
618195	2110	1995-04-13	PRIJEM	PREVOD Z UCTU	3076	28683	\N	WX	47164356
618196	2110	1995-05-13	PRIJEM	PREVOD Z UCTU	3076	29803	\N	WX	47164356
618197	2110	1995-06-13	PRIJEM	PREVOD Z UCTU	3076	30928	\N	WX	47164356
618198	2110	1995-07-13	PRIJEM	PREVOD Z UCTU	3076	32058	\N	WX	47164356
618199	2110	1995-08-13	PRIJEM	PREVOD Z UCTU	3076	30687	\N	WX	47164356
618200	2110	1995-09-13	PRIJEM	PREVOD Z UCTU	3076	27717	\N	WX	47164356
618201	2110	1995-10-13	PRIJEM	PREVOD Z UCTU	3076	25640	\N	WX	47164356
618202	2110	1995-11-13	PRIJEM	PREVOD Z UCTU	3076	26253	\N	WX	47164356
618203	2110	1995-12-13	PRIJEM	PREVOD Z UCTU	3076	27364	\N	WX	47164356
618204	2110	1996-01-13	PRIJEM	PREVOD Z UCTU	3076	25526	\N	WX	47164356
618205	2110	1996-02-13	PRIJEM	PREVOD Z UCTU	3076	26135	\N	WX	47164356
618206	2110	1996-03-13	PRIJEM	PREVOD Z UCTU	3076	25245	\N	WX	47164356
618207	2110	1996-04-13	PRIJEM	PREVOD Z UCTU	3076	23484	\N	WX	47164356
618208	2110	1996-05-13	PRIJEM	PREVOD Z UCTU	3076	23586	\N	WX	47164356
618209	2110	1996-06-13	PRIJEM	PREVOD Z UCTU	3076	24025	\N	WX	47164356
618210	2110	1996-07-13	PRIJEM	PREVOD Z UCTU	3076	23355	\N	WX	47164356
618211	2110	1996-08-13	PRIJEM	PREVOD Z UCTU	3076	23914	\N	WX	47164356
618212	2110	1996-09-13	PRIJEM	PREVOD Z UCTU	3076	24415	\N	WX	47164356
618213	2110	1996-10-13	PRIJEM	PREVOD Z UCTU	3076	24119	\N	WX	47164356
618214	2110	1996-11-13	PRIJEM	PREVOD Z UCTU	3076	25222	\N	WX	47164356
618215	2110	1996-12-13	PRIJEM	PREVOD Z UCTU	3076	26087	\N	WX	47164356
618216	2110	1997-01-13	PRIJEM	PREVOD Z UCTU	3076	23096	\N	WX	47164356
618217	2110	1997-02-13	PRIJEM	PREVOD Z UCTU	3076	21699	\N	WX	47164356
618218	2110	1997-03-13	PRIJEM	PREVOD Z UCTU	3076	22594	\N	WX	47164356
618219	2110	1997-04-13	PRIJEM	PREVOD Z UCTU	3076	23589	\N	WX	47164356
618220	2110	1997-05-13	PRIJEM	PREVOD Z UCTU	3076	20287	\N	WX	47164356
618221	2110	1997-06-13	PRIJEM	PREVOD Z UCTU	3076	18679	\N	WX	47164356
618222	2110	1997-07-13	PRIJEM	PREVOD Z UCTU	3076	18391	\N	WX	47164356
618223	2110	1997-08-13	PRIJEM	PREVOD Z UCTU	3076	18476	\N	WX	47164356
618224	2110	1997-09-13	PRIJEM	PREVOD Z UCTU	3076	19553	\N	WX	47164356
618225	2110	1997-10-13	PRIJEM	PREVOD Z UCTU	3076	20633	\N	WX	47164356
618226	2110	1997-11-13	PRIJEM	PREVOD Z UCTU	3076	21719	\N	WX	47164356
618227	2110	1997-12-13	PRIJEM	PREVOD Z UCTU	3076	22808	\N	WX	47164356
618228	2110	1998-01-13	PRIJEM	PREVOD Z UCTU	3076	23632	\N	WX	47164356
618229	2110	1998-02-13	PRIJEM	PREVOD Z UCTU	3076	24729	\N	WX	47164356
618230	2110	1998-03-13	PRIJEM	PREVOD Z UCTU	3076	25831	\N	WX	47164356
618231	2110	1998-04-13	PRIJEM	PREVOD Z UCTU	3076	26938	\N	WX	47164356
618232	2110	1998-05-13	PRIJEM	PREVOD Z UCTU	3076	27048	\N	WX	47164356
618233	2110	1998-06-13	PRIJEM	PREVOD Z UCTU	3076	27159	\N	WX	47164356
618234	2110	1998-07-13	PRIJEM	PREVOD Z UCTU	3076	25269	\N	WX	47164356
618235	2110	1998-08-13	PRIJEM	PREVOD Z UCTU	3076	24872	\N	WX	47164356
618236	2110	1998-09-13	PRIJEM	PREVOD Z UCTU	3076	21470	\N	WX	47164356
618237	2110	1998-10-13	PRIJEM	PREVOD Z UCTU	3076	21887	\N	WX	47164356
618238	2110	1998-11-13	PRIJEM	PREVOD Z UCTU	3076	22977	\N	WX	47164356
618239	2110	1998-12-13	PRIJEM	PREVOD Z UCTU	3076	21189	\N	WX	47164356
618246	2110	1993-07-14	VYDAJ	PREVOD NA UCET	2050	13930	\N	OP	16387468
618247	2110	1993-08-14	VYDAJ	PREVOD NA UCET	2050	14975	\N	OP	16387468
618248	2110	1993-09-14	VYDAJ	PREVOD NA UCET	2050	16047	\N	OP	16387468
618249	2110	1993-10-14	VYDAJ	PREVOD NA UCET	2050	17124	\N	OP	16387468
618250	2110	1993-11-14	VYDAJ	PREVOD NA UCET	2050	16945	\N	OP	16387468
618251	2110	1993-12-14	VYDAJ	PREVOD NA UCET	2050	17547	\N	OP	16387468
618252	2110	1994-01-14	VYDAJ	PREVOD NA UCET	2050	18631	\N	OP	16387468
618253	2110	1994-02-14	VYDAJ	PREVOD NA UCET	2050	19538	\N	OP	16387468
618254	2110	1994-03-14	VYDAJ	PREVOD NA UCET	2050	20630	\N	OP	16387468
618255	2110	1994-04-14	VYDAJ	PREVOD NA UCET	2050	20314	\N	OP	16387468
618256	2110	1994-05-14	VYDAJ	PREVOD NA UCET	2050	21409	\N	OP	16387468
618257	2110	1994-06-14	VYDAJ	PREVOD NA UCET	2050	21696	\N	OP	16387468
618258	2110	1994-07-14	VYDAJ	PREVOD NA UCET	2050	22796	\N	OP	16387468
618259	2110	1994-08-14	VYDAJ	PREVOD NA UCET	2050	23901	\N	OP	16387468
618260	2110	1994-09-14	VYDAJ	PREVOD NA UCET	2050	25010	\N	OP	16387468
618261	2110	1994-10-14	VYDAJ	PREVOD NA UCET	2050	26123	\N	OP	16387468
618262	2110	1994-11-14	VYDAJ	PREVOD NA UCET	2050	26372	\N	OP	16387468
618263	2110	1994-12-14	VYDAJ	PREVOD NA UCET	2050	27493	\N	OP	16387468
618264	2110	1995-01-14	VYDAJ	PREVOD NA UCET	2050	27264	\N	OP	16387468
618265	2110	1995-02-14	VYDAJ	PREVOD NA UCET	2050	25087	\N	OP	16387468
618266	2110	1995-03-14	VYDAJ	PREVOD NA UCET	2050	25517	\N	OP	16387468
618267	2110	1995-04-14	VYDAJ	PREVOD NA UCET	2050	26633	\N	OP	16387468
618268	2110	1995-05-14	VYDAJ	PREVOD NA UCET	2050	27753	\N	OP	16387468
618269	2110	1995-06-14	VYDAJ	PREVOD NA UCET	2050	28878	\N	OP	16387468
618270	2110	1995-07-14	VYDAJ	PREVOD NA UCET	2050	27908	\N	OP	16387468
618271	2110	1995-08-14	VYDAJ	PREVOD NA UCET	2050	28637	\N	OP	16387468
618272	2110	1995-09-14	VYDAJ	PREVOD NA UCET	2050	25667	\N	OP	16387468
618273	2110	1995-10-14	VYDAJ	PREVOD NA UCET	2050	23590	\N	OP	16387468
618274	2110	1995-11-14	VYDAJ	PREVOD NA UCET	2050	24203	\N	OP	16387468
618275	2110	1995-12-14	VYDAJ	PREVOD NA UCET	2050	25314	\N	OP	16387468
618276	2110	1996-01-14	VYDAJ	PREVOD NA UCET	2050	23476	\N	OP	16387468
618277	2110	1996-02-14	VYDAJ	PREVOD NA UCET	2050	24085	\N	OP	16387468
618278	2110	1996-03-14	VYDAJ	PREVOD NA UCET	2050	23195	\N	OP	16387468
618279	2110	1996-04-14	VYDAJ	PREVOD NA UCET	2050	21434	\N	OP	16387468
618280	2110	1996-05-14	VYDAJ	PREVOD NA UCET	2050	20876	\N	OP	16387468
618281	2110	1996-06-14	VYDAJ	PREVOD NA UCET	2050	21975	\N	OP	16387468
618282	2110	1996-07-14	VYDAJ	PREVOD NA UCET	2050	21305	\N	OP	16387468
618283	2110	1996-08-14	VYDAJ	PREVOD NA UCET	2050	21864	\N	OP	16387468
618284	2110	1996-09-14	VYDAJ	PREVOD NA UCET	2050	22365	\N	OP	16387468
618285	2110	1996-10-14	VYDAJ	PREVOD NA UCET	2050	22069	\N	OP	16387468
618286	2110	1996-11-14	VYDAJ	PREVOD NA UCET	2050	23172	\N	OP	16387468
618287	2110	1996-12-14	VYDAJ	PREVOD NA UCET	2050	24037	\N	OP	16387468
618288	2110	1997-01-14	VYDAJ	PREVOD NA UCET	2050	21046	\N	OP	16387468
618289	2110	1997-02-14	VYDAJ	PREVOD NA UCET	2050	19649	\N	OP	16387468
618290	2110	1997-03-14	VYDAJ	PREVOD NA UCET	2050	20544	\N	OP	16387468
618291	2110	1997-04-14	VYDAJ	PREVOD NA UCET	2050	21539	\N	OP	16387468
618292	2110	1997-05-14	VYDAJ	PREVOD NA UCET	2050	18237	\N	OP	16387468
618293	2110	1997-06-14	VYDAJ	PREVOD NA UCET	2050	16629	\N	OP	16387468
618294	2110	1997-07-14	VYDAJ	PREVOD NA UCET	2050	16341	\N	OP	16387468
618295	2110	1997-08-14	VYDAJ	PREVOD NA UCET	2050	16426	\N	OP	16387468
618296	2110	1997-09-14	VYDAJ	PREVOD NA UCET	2050	17503	\N	OP	16387468
618297	2110	1997-10-14	VYDAJ	PREVOD NA UCET	2050	18583	\N	OP	16387468
618298	2110	1997-11-14	VYDAJ	PREVOD NA UCET	2050	19669	\N	OP	16387468
618299	2110	1997-12-14	VYDAJ	PREVOD NA UCET	2050	20758	\N	OP	16387468
618300	2110	1998-01-14	VYDAJ	PREVOD NA UCET	2050	21582	\N	OP	16387468
618301	2110	1998-02-14	VYDAJ	PREVOD NA UCET	2050	22679	\N	OP	16387468
618302	2110	1998-03-14	VYDAJ	PREVOD NA UCET	2050	23781	\N	OP	16387468
618303	2110	1998-04-14	VYDAJ	PREVOD NA UCET	2050	24888	\N	OP	16387468
618304	2110	1998-05-14	VYDAJ	PREVOD NA UCET	2050	24998	\N	OP	16387468
618305	2110	1998-06-14	VYDAJ	PREVOD NA UCET	2050	25109	\N	OP	16387468
618306	2110	1998-07-14	VYDAJ	PREVOD NA UCET	2050	23219	\N	OP	16387468
618307	2110	1998-08-14	VYDAJ	PREVOD NA UCET	2050	22822	\N	OP	16387468
618308	2110	1998-09-14	VYDAJ	PREVOD NA UCET	2050	19420	\N	OP	16387468
618309	2110	1998-10-14	VYDAJ	PREVOD NA UCET	2050	19837	\N	OP	16387468
618310	2110	1998-11-14	VYDAJ	PREVOD NA UCET	2050	20927	\N	OP	16387468
618311	2110	1998-12-14	VYDAJ	PREVOD NA UCET	2050	19139	\N	OP	16387468
618312	2110	1993-12-05	VYDAJ	VYBER	480	16521	\N	\N	\N
618313	2110	1994-12-17	VYDAJ	VYBER	150	26143	\N	\N	\N
618314	2110	1995-12-14	VYDAJ	VYBER	690	24624	\N	\N	\N
618315	2110	1996-12-11	VYDAJ	VYBER	240	23011	\N	\N	\N
618316	2110	1997-12-27	VYDAJ	VYBER	270	20488	\N	\N	\N
618317	2110	1998-12-06	VYDAJ	VYBER	690	18113	\N	\N	\N
618318	2110	1993-11-13	VYDAJ	VYBER	1260	18995	\N	\N	\N
618324	2110	1994-11-04	VYDAJ	VYBER	870	25346	\N	\N	\N
618325	2110	1994-04-09	VYDAJ	VYBER	390	19288	\N	\N	\N
618326	2110	1994-03-19	VYDAJ	VYBER	1020	19610	\N	\N	\N
618327	2110	1994-05-19	VYDAJ	VYBER	810	20599	\N	\N	\N
618328	2110	1994-02-08	VYDAJ	VYBER	180	18512	\N	\N	\N
618329	2110	1995-12-25	VYDAJ	VYBER	1080	23544	\N	\N	\N
618330	2110	1995-02-26	VYDAJ	VYBER	690	24397	\N	\N	\N
618331	2110	1996-06-27	VYDAJ	VYBER	570	21405	\N	\N	\N
618332	2110	1996-08-11	VYDAJ	VYBER	540	20838	\N	\N	\N
618333	2110	1996-05-13	VYDAJ	VYBER	660	22926	\N	\N	\N
618334	2110	1996-01-08	VYDAJ	VYBER	780	22850	\N	\N	\N
618335	2110	1996-04-04	VYDAJ	VYBER	1470	21808	\N	\N	\N
618336	2110	1997-06-14	VYDAJ	VYBER	570	16059	\N	\N	\N
618337	2110	1997-07-17	VYDAJ	VYBER	990	15351	\N	\N	\N
618339	2110	1998-09-22	VYDAJ	VYBER	570	18850	\N	\N	\N
618340	2110	1998-12-03	VYDAJ	VYBER	390	18803	\N	\N	\N
618348	2110	1993-07-31	VYDAJ	VYBER	15	13949	SLUZBY	\N	\N
618349	2110	1993-08-31	VYDAJ	VYBER	15	15021	SLUZBY	\N	\N
618350	2110	1993-09-30	VYDAJ	VYBER	15	16098	SLUZBY	\N	\N
618351	2110	1993-10-31	VYDAJ	VYBER	15	17179	SLUZBY	\N	\N
618352	2110	1993-11-30	VYDAJ	VYBER	15	17001	SLUZBY	\N	\N
618353	2110	1993-12-31	VYDAJ	VYBER	15	17605	SLUZBY	\N	\N
618354	2110	1994-01-31	VYDAJ	VYBER	15	18692	SLUZBY	\N	\N
618355	2110	1994-02-28	VYDAJ	VYBER	15	19604	SLUZBY	\N	\N
618356	2110	1994-03-31	VYDAJ	VYBER	15	19678	SLUZBY	\N	\N
618357	2110	1994-04-30	VYDAJ	VYBER	15	20383	SLUZBY	\N	\N
618358	2110	1994-05-31	VYDAJ	VYBER	15	20670	SLUZBY	\N	\N
618359	2110	1994-06-30	VYDAJ	VYBER	15	21770	SLUZBY	\N	\N
618360	2110	1994-07-31	VYDAJ	VYBER	15	22875	SLUZBY	\N	\N
618361	2110	1994-08-31	VYDAJ	VYBER	15	23984	SLUZBY	\N	\N
618362	2110	1994-09-30	VYDAJ	VYBER	15	25097	SLUZBY	\N	\N
618363	2110	1994-10-31	VYDAJ	VYBER	15	26216	SLUZBY	\N	\N
618364	2110	1994-11-30	VYDAJ	VYBER	15	26467	SLUZBY	\N	\N
618365	2110	1994-12-31	VYDAJ	VYBER	15	26238	SLUZBY	\N	\N
618366	2110	1995-01-31	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
618367	2110	1995-02-28	VYDAJ	VYBER	15	24491	SLUZBY	\N	\N
618368	2110	1995-03-31	VYDAJ	VYBER	15	25607	SLUZBY	\N	\N
618369	2110	1995-04-30	VYDAJ	VYBER	15	26727	SLUZBY	\N	\N
618370	2110	1995-05-31	VYDAJ	VYBER	15	27852	SLUZBY	\N	\N
618371	2110	1995-06-30	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
618372	2110	1995-07-31	VYDAJ	VYBER	15	28011	SLUZBY	\N	\N
618373	2110	1995-08-31	VYDAJ	VYBER	15	28741	SLUZBY	\N	\N
618374	2110	1995-09-30	VYDAJ	VYBER	15	25764	SLUZBY	\N	\N
618375	2110	1995-10-31	VYDAJ	VYBER	15	23677	SLUZBY	\N	\N
618376	2110	1995-11-30	VYDAJ	VYBER	15	24288	SLUZBY	\N	\N
618377	2110	1995-12-31	VYDAJ	VYBER	15	23630	SLUZBY	\N	\N
618378	2110	1996-01-31	VYDAJ	VYBER	15	23559	SLUZBY	\N	\N
618379	2110	1996-02-29	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
618380	2110	1996-03-31	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
618381	2110	1996-04-30	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
618382	2110	1996-05-31	VYDAJ	VYBER	15	20949	SLUZBY	\N	\N
618383	2110	1996-06-30	VYDAJ	VYBER	15	21479	SLUZBY	\N	\N
618384	2110	1996-07-31	VYDAJ	VYBER	15	21378	SLUZBY	\N	\N
618385	2110	1996-08-31	VYDAJ	VYBER	15	21939	SLUZBY	\N	\N
618386	2110	1996-09-30	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
618387	2110	1996-10-31	VYDAJ	VYBER	15	22146	SLUZBY	\N	\N
618388	2110	1996-11-30	VYDAJ	VYBER	15	23251	SLUZBY	\N	\N
618389	2110	1996-12-31	VYDAJ	VYBER	15	24120	SLUZBY	\N	\N
618390	2110	1997-01-31	VYDAJ	VYBER	15	21123	SLUZBY	\N	\N
618391	2110	1997-02-28	VYDAJ	VYBER	15	19718	SLUZBY	\N	\N
618392	2110	1997-03-31	VYDAJ	VYBER	15	20613	SLUZBY	\N	\N
618393	2110	1997-04-30	VYDAJ	VYBER	15	21611	SLUZBY	\N	\N
618394	2110	1997-05-31	VYDAJ	VYBER	15	18303	SLUZBY	\N	\N
618395	2110	1997-06-30	VYDAJ	VYBER	15	16115	SLUZBY	\N	\N
618396	2110	1997-07-31	VYDAJ	VYBER	15	15400	SLUZBY	\N	\N
618397	2110	1997-08-31	VYDAJ	VYBER	15	16477	SLUZBY	\N	\N
618398	2110	1997-09-30	VYDAJ	VYBER	15	17557	SLUZBY	\N	\N
618399	2110	1997-10-31	VYDAJ	VYBER	15	18643	SLUZBY	\N	\N
618400	2110	1997-11-30	VYDAJ	VYBER	15	19732	SLUZBY	\N	\N
618401	2110	1997-12-31	VYDAJ	VYBER	15	20556	SLUZBY	\N	\N
618402	2110	1998-01-31	VYDAJ	VYBER	15	21653	SLUZBY	\N	\N
618403	2110	1998-02-28	VYDAJ	VYBER	15	22755	SLUZBY	\N	\N
618404	2110	1998-03-31	VYDAJ	VYBER	15	23862	SLUZBY	\N	\N
618405	2110	1998-04-30	VYDAJ	VYBER	15	23972	SLUZBY	\N	\N
618406	2110	1998-05-31	VYDAJ	VYBER	15	24083	SLUZBY	\N	\N
618407	2110	1998-06-30	VYDAJ	VYBER	15	22193	SLUZBY	\N	\N
618408	2110	1998-07-31	VYDAJ	VYBER	15	21796	SLUZBY	\N	\N
618409	2110	1998-08-31	VYDAJ	VYBER	15	18394	SLUZBY	\N	\N
618410	2110	1998-09-30	VYDAJ	VYBER	15	18811	SLUZBY	\N	\N
618411	2110	1998-10-31	VYDAJ	VYBER	15	19901	SLUZBY	\N	\N
618412	2110	1998-11-30	VYDAJ	VYBER	15	19193	SLUZBY	\N	\N
618413	2110	1994-12-15	VYDAJ	VYBER	1200	26293	\N	\N	\N
618414	2110	1995-02-13	VYDAJ	VYBER	3300	27137	\N	\N	\N
618415	2110	1995-07-13	VYDAJ	VYBER	2100	29958	\N	\N	\N
618416	2110	1995-08-12	VYDAJ	VYBER	400	27611	\N	\N	\N
618417	2110	1995-09-11	VYDAJ	VYBER	4100	24641	\N	\N	\N
618418	2110	1995-10-11	VYDAJ	VYBER	3200	22564	\N	\N	\N
618419	2110	1995-11-10	VYDAJ	VYBER	500	23177	\N	\N	\N
618420	2110	1996-01-09	VYDAJ	VYBER	400	22450	\N	\N	\N
618421	2110	1996-02-08	VYDAJ	VYBER	500	23059	\N	\N	\N
618422	2110	1996-03-09	VYDAJ	VYBER	2000	22169	\N	\N	\N
618423	2110	1996-04-08	VYDAJ	VYBER	1400	20408	\N	\N	\N
618424	2110	1996-05-08	VYDAJ	VYBER	1000	20510	\N	\N	\N
618425	2110	1996-07-07	VYDAJ	VYBER	1200	20279	\N	\N	\N
618426	2110	1996-09-05	VYDAJ	VYBER	600	21339	\N	\N	\N
618427	2110	1996-10-05	VYDAJ	VYBER	1400	21043	\N	\N	\N
618428	2110	1997-01-03	VYDAJ	VYBER	4100	20020	\N	\N	\N
618429	2110	1997-02-02	VYDAJ	VYBER	2500	18623	\N	\N	\N
618430	2110	1997-03-04	VYDAJ	VYBER	200	19518	\N	\N	\N
618431	2110	1997-04-03	VYDAJ	VYBER	100	20513	\N	\N	\N
618432	2110	1997-05-03	VYDAJ	VYBER	4400	17211	\N	\N	\N
618433	2110	1997-06-02	VYDAJ	VYBER	2700	15603	\N	\N	\N
618434	2110	1997-07-02	VYDAJ	VYBER	800	15315	\N	\N	\N
618435	2110	1998-04-28	VYDAJ	VYBER	1000	23888	\N	\N	\N
618436	2110	1998-05-28	VYDAJ	VYBER	1000	23998	\N	\N	\N
618437	2110	1998-06-27	VYDAJ	VYBER	3000	22109	\N	\N	\N
618438	2110	1998-07-27	VYDAJ	VYBER	1500	21719	\N	\N	\N
618439	2110	1998-08-26	VYDAJ	VYBER	4500	18322	\N	\N	\N
618440	2110	1998-09-25	VYDAJ	VYBER	100	18750	\N	\N	\N
618441	2110	1998-11-24	VYDAJ	VYBER	1800	19127	\N	\N	\N
618508	2111	1995-01-25	PRIJEM	VKLAD	300	300	\N	\N	\N
618509	2111	1995-03-21	PRIJEM	VKLAD	49066	123117	\N	\N	\N
618510	2111	1995-12-20	PRIJEM	VKLAD	8403	51229	\N	\N	\N
618511	2111	1995-11-22	PRIJEM	VKLAD	19060	48399	\N	\N	\N
618512	2111	1995-12-22	PRIJEM	VKLAD	17081	59310	\N	\N	\N
618513	2111	1995-03-18	PRIJEM	VKLAD	40670	74051	\N	\N	\N
618514	2111	1995-03-25	PRIJEM	VKLAD	18142	115659	\N	\N	\N
618516	2111	1995-08-12	PRIJEM	VKLAD	44196	81644	\N	\N	\N
618517	2111	1995-06-24	PRIJEM	VKLAD	6845	36865	\N	\N	\N
618518	2111	1995-05-09	PRIJEM	VKLAD	47918	104037	\N	\N	\N
618519	2111	1995-08-19	PRIJEM	VKLAD	10214	102951	\N	\N	\N
618520	2111	1995-04-26	PRIJEM	VKLAD	32122	69117	\N	\N	\N
618521	2111	1995-06-29	PRIJEM	VKLAD	37963	67828	\N	\N	\N
618522	2111	1995-08-15	PRIJEM	VKLAD	11093	92737	\N	\N	\N
618523	2111	1995-03-06	PRIJEM	VKLAD	21781	33381	\N	\N	\N
618524	2111	1995-06-08	PRIJEM	VKLAD	28164	62869	\N	\N	\N
618525	2111	1995-05-17	PRIJEM	VKLAD	19789	123826	\N	\N	\N
618526	2111	1996-06-19	PRIJEM	VKLAD	8316	70833	\N	\N	\N
618527	2111	1996-12-26	PRIJEM	VKLAD	6932	68730	\N	\N	\N
618528	2111	1996-03-30	PRIJEM	VKLAD	19582	89349	\N	\N	\N
618529	2111	1996-03-31	PRIJEM	VKLAD	21865	111214	\N	\N	\N
618530	2111	1996-12-21	PRIJEM	VKLAD	5820	50386	\N	\N	\N
618531	2111	1996-03-23	PRIJEM	VKLAD	49554	115442	\N	\N	\N
618532	2111	1996-05-06	PRIJEM	VKLAD	43926	103414	\N	\N	\N
618533	2111	1996-09-19	PRIJEM	VKLAD	22687	76965	\N	\N	\N
618534	2111	1996-03-06	PRIJEM	VKLAD	28731	68510	\N	\N	\N
618535	2111	1996-10-07	PRIJEM	VKLAD	35366	130372	\N	\N	\N
618536	2111	1996-06-15	PRIJEM	VKLAD	47765	83117	\N	\N	\N
618537	2111	1996-10-15	PRIJEM	VKLAD	25993	108665	\N	\N	\N
618538	2111	1996-07-26	PRIJEM	VKLAD	47275	115349	\N	\N	\N
618539	2111	1996-12-22	PRIJEM	VKLAD	11412	61798	\N	\N	\N
618540	2111	1996-11-05	PRIJEM	VKLAD	49490	123687	\N	\N	\N
618541	2111	1996-12-04	PRIJEM	VKLAD	17302	77680	\N	\N	\N
618542	2111	1996-04-28	PRIJEM	VKLAD	21134	59168	\N	\N	\N
618543	2111	1996-07-17	PRIJEM	VKLAD	19814	90874	\N	\N	\N
618544	2111	1996-09-29	PRIJEM	VKLAD	23195	113026	\N	\N	\N
618545	2111	1996-03-03	PRIJEM	VKLAD	33463	67421	\N	\N	\N
618546	2111	1996-11-03	PRIJEM	VKLAD	11939	74197	\N	\N	\N
618547	2111	1996-12-27	PRIJEM	VKLAD	30270	99000	\N	\N	\N
618548	2111	1996-11-01	PRIJEM	VKLAD	11177	62258	\N	\N	\N
618549	2111	1996-08-24	PRIJEM	VKLAD	5152	59056	\N	\N	\N
618550	2111	1996-03-19	PRIJEM	VKLAD	25778	94288	\N	\N	\N
618551	2111	1996-02-29	PRIJEM	VKLAD	7560	33988	\N	\N	\N
618552	2111	1996-09-29	PRIJEM	VKLAD	11437	124463	\N	\N	\N
618553	2111	1996-01-20	PRIJEM	VKLAD	49373	79366	\N	\N	\N
618554	2111	1996-09-27	PRIJEM	VKLAD	35690	89831	\N	\N	\N
618555	2111	1997-11-22	PRIJEM	VKLAD	38219	131076	\N	\N	\N
618556	2111	1997-10-26	PRIJEM	VKLAD	30483	100038	\N	\N	\N
618557	2111	1997-12-24	PRIJEM	VKLAD	12548	55319	\N	\N	\N
618558	2111	1997-02-27	PRIJEM	VKLAD	23845	110385	\N	\N	\N
618559	2111	1997-11-14	PRIJEM	VKLAD	37462	115738	\N	\N	\N
618560	2111	1997-11-21	PRIJEM	VKLAD	20019	92857	\N	\N	\N
618561	2111	1997-10-16	PRIJEM	VKLAD	20548	69555	\N	\N	\N
618562	2111	1997-02-25	PRIJEM	VKLAD	25405	86540	\N	\N	\N
618563	2111	1997-02-01	PRIJEM	VKLAD	47502	77835	\N	\N	\N
618564	2111	1997-03-20	PRIJEM	VKLAD	29390	106103	\N	\N	\N
618565	2111	1997-04-24	PRIJEM	VKLAD	5959	75669	\N	\N	\N
618566	2111	1997-03-09	PRIJEM	VKLAD	38811	100113	\N	\N	\N
618567	2111	1998-08-20	PRIJEM	VKLAD	29876	112490	\N	\N	\N
618568	2111	1998-03-17	PRIJEM	VKLAD	48156	117043	\N	\N	\N
618569	2111	1998-06-03	PRIJEM	VKLAD	5219	74892	\N	\N	\N
618570	2111	1998-07-31	PRIJEM	VKLAD	24196	90844	\N	\N	\N
618571	2111	1998-07-08	PRIJEM	VKLAD	41142	132229	\N	\N	\N
618572	2111	1998-12-28	PRIJEM	VKLAD	46590	106982	\N	\N	\N
618573	2111	1998-04-12	PRIJEM	VKLAD	9449	81734	\N	\N	\N
618574	2111	1998-04-20	PRIJEM	VKLAD	47192	128926	\N	\N	\N
618575	2111	1998-01-13	PRIJEM	VKLAD	22455	55069	\N	\N	\N
618576	2111	1998-01-18	PRIJEM	VKLAD	7473	58942	\N	\N	\N
618577	2111	1998-05-04	PRIJEM	VKLAD	9005	81714	\N	\N	\N
618578	2111	1998-11-14	PRIJEM	VKLAD	12655	70310	\N	\N	\N
618579	2111	1998-06-30	PRIJEM	VKLAD	21737	90829	\N	\N	\N
618580	2111	1998-02-13	PRIJEM	VKLAD	47107	77107	\N	\N	\N
618581	2111	1998-04-27	PRIJEM	VKLAD	15599	114025	\N	\N	\N
618582	2111	1998-10-06	PRIJEM	VKLAD	25985	98489	\N	\N	\N
618583	2111	1998-02-27	PRIJEM	VKLAD	42613	108274	\N	\N	\N
618632	2111	1995-06-09	VYBER	VYBER	21938	40931	\N	\N	\N
618635	2111	1995-07-25	VYBER	VYBER	2740	37234	\N	\N	\N
618637	2111	1995-07-20	VYBER	VYBER	2452	56474	\N	\N	\N
618638	2111	1995-09-22	VYBER	VYBER	16878	47796	\N	\N	\N
618640	2111	1995-06-14	VYBER	VYBER	10911	30020	\N	\N	\N
618641	2111	1995-07-15	VYBER	VYBER	9042	58926	\N	\N	\N
618642	2111	1996-11-20	VYBER	VYBER	9777	60110	\N	\N	\N
618643	2111	1996-01-07	VYBER	VYBER	9104	50393	\N	\N	\N
618644	2111	1996-03-23	VYBER	VYBER	12075	103367	\N	\N	\N
618645	2111	1996-04-07	VYBER	VYBER	16634	32334	\N	\N	\N
618646	2111	1996-06-02	VYBER	VYBER	7486	49465	\N	\N	\N
618647	2111	1996-06-10	VYBER	VYBER	14113	35352	\N	\N	\N
618648	2111	1996-12-19	VYBER	VYBER	11814	44566	\N	\N	\N
618649	2111	1996-03-05	VYBER	VYBER	20142	39779	\N	\N	\N
618650	2111	1996-09-22	VYBER	VYBER	22824	54141	\N	\N	\N
618651	2111	1997-01-22	VYBER	VYBER	8499	30152	\N	\N	\N
618652	2111	1997-10-06	VYBER	VYBER	4478	42807	\N	\N	\N
618653	2111	1998-07-11	VYBER	VYBER	8183	66346	\N	\N	\N
618654	2111	1998-12-03	VYBER	VYBER	16291	54292	\N	\N	\N
618655	2111	1998-02-10	VYBER	VYBER	17619	30000	\N	\N	\N
618656	2111	1998-08-24	VYBER	VYBER	17267	95223	\N	\N	\N
618657	2111	1998-08-29	VYBER	VYBER	6880	88343	\N	\N	\N
618659	2111	1998-11-01	VYBER	VYBER	21192	72355	\N	\N	\N
618660	2111	1998-02-18	VYBER	VYBER	11446	65661	\N	\N	\N
618663	2111	1997-06-08	VYDAJ	VYBER	11700	43657	\N	\N	\N
618666	2111	1996-01-29	VYDAJ	VYBER	16200	25366	\N	\N	\N
618667	2111	1997-01-09	VYDAJ	VYBER	25500	51851	\N	\N	\N
618668	2111	1998-01-05	VYDAJ	VYBER	24300	31314	\N	\N	\N
618669	2111	1995-12-01	VYDAJ	VYBER	5700	42826	\N	\N	\N
618670	2111	1996-12-09	VYDAJ	VYBER	5400	72280	\N	\N	\N
618671	2111	1997-12-15	VYDAJ	VYBER	8400	42771	\N	\N	\N
618672	2111	1998-12-16	VYDAJ	VYBER	7500	60392	\N	\N	\N
618679	2111	1996-01-19	VYDAJ	VYBER	1500	29993	\N	\N	\N
618680	2111	1996-01-24	VYDAJ	VYBER	8100	47566	\N	\N	\N
618681	2111	1996-01-08	VYDAJ	VYBER	8700	41693	\N	\N	\N
618682	2111	1996-01-28	VYDAJ	VYBER	6000	41566	\N	\N	\N
618683	2111	1996-01-13	VYDAJ	VYBER	8700	32993	\N	\N	\N
618684	2111	1996-01-13	VYDAJ	VYBER	1500	31493	\N	\N	\N
618685	2111	1997-01-17	VYDAJ	VYBER	7200	38651	\N	\N	\N
618686	2111	1997-01-04	VYDAJ	VYBER KARTOU	3300	88751	\N	\N	0
618687	2111	1997-01-05	VYDAJ	VYBER	7500	81251	\N	\N	\N
618688	2111	1997-01-06	VYDAJ	VYBER KARTOU	3900	77351	\N	\N	0
618689	2111	1997-01-02	VYDAJ	VYBER	7200	92051	\N	\N	\N
618690	2111	1997-01-11	VYDAJ	VYBER	5100	46751	\N	\N	\N
618691	2111	1998-01-26	VYDAJ	VYBER	4500	43642	\N	\N	\N
618692	2111	1998-01-23	VYDAJ	VYBER	5100	48142	\N	\N	\N
618693	2111	1998-01-21	VYDAJ	VYBER	5700	53242	\N	\N	\N
618694	2111	1998-01-17	VYDAJ	VYBER KARTOU	3600	51469	\N	\N	0
618695	2111	1998-01-11	VYDAJ	VYBER	6000	35314	\N	\N	\N
618696	2111	1998-01-12	VYDAJ	VYBER KARTOU	2700	32614	\N	\N	0
618697	2111	1995-06-05	VYDAJ	VYBER	12900	34705	\N	\N	\N
618698	2111	1995-05-07	VYDAJ	VYBER	13200	56119	\N	\N	\N
618699	2111	1995-05-18	VYDAJ	VYBER	4500	65626	\N	\N	\N
618701	2111	1996-02-22	VYDAJ	VYBER	2700	26320	\N	\N	\N
618702	2111	1996-12-16	VYDAJ	VYBER	5400	56380	\N	\N	\N
618703	2111	1996-10-29	VYDAJ	VYBER	6600	50765	\N	\N	\N
618704	2111	1996-03-03	VYDAJ	VYBER	7500	59921	\N	\N	\N
618705	2111	1997-09-15	VYDAJ	VYBER	10500	46871	\N	\N	\N
618706	2111	1997-02-08	VYDAJ	VYBER KARTOU	3600	74235	\N	\N	0
618707	2111	1997-04-05	VYDAJ	VYBER	9900	96510	\N	\N	\N
618708	2111	1997-05-20	VYDAJ	VYBER	12300	55106	\N	\N	\N
618709	2111	1997-04-22	VYDAJ	VYBER	5100	69710	\N	\N	\N
618710	2111	1998-03-23	VYDAJ	VYBER KARTOU	2700	93643	\N	\N	0
618711	2111	1998-09-17	VYDAJ	VYBER	11700	72201	\N	\N	\N
618712	2111	1998-11-07	VYDAJ	VYBER	11100	57655	\N	\N	\N
618713	2111	1998-11-05	VYDAJ	VYBER KARTOU	3900	80455	\N	\N	0
618714	2111	1998-11-07	VYDAJ	VYBER	11700	68755	\N	\N	\N
618719	2111	1995-04-30	VYDAJ	VYBER	30	69319	SLUZBY	\N	\N
618720	2111	1995-05-31	VYDAJ	VYBER	30	47605	SLUZBY	\N	\N
618721	2111	1995-06-30	VYDAJ	VYBER	30	67968	SLUZBY	\N	\N
618722	2111	1995-07-31	VYDAJ	VYBER	30	37448	SLUZBY	\N	\N
618723	2111	1995-08-31	VYDAJ	VYBER	30	64674	SLUZBY	\N	\N
618724	2111	1995-09-30	VYDAJ	VYBER	30	37513	SLUZBY	\N	\N
618725	2111	1995-10-31	VYDAJ	VYBER	30	33339	SLUZBY	\N	\N
618726	2111	1995-11-30	VYDAJ	VYBER	30	48526	SLUZBY	\N	\N
618727	2111	1995-12-31	VYDAJ	VYBER	30	59497	SLUZBY	\N	\N
618728	2111	1996-01-31	VYDAJ	VYBER	30	25520	SLUZBY	\N	\N
618729	2111	1996-02-29	VYDAJ	VYBER	30	33958	SLUZBY	\N	\N
618730	2111	1996-03-31	VYDAJ	VYBER	30	111468	SLUZBY	\N	\N
618731	2111	1996-04-30	VYDAJ	VYBER	30	59488	SLUZBY	\N	\N
618732	2111	1996-05-31	VYDAJ	VYBER	30	56951	SLUZBY	\N	\N
618733	2111	1996-06-30	VYDAJ	VYBER	30	71060	SLUZBY	\N	\N
618734	2111	1996-07-31	VYDAJ	VYBER	30	61304	SLUZBY	\N	\N
618735	2111	1996-08-31	VYDAJ	VYBER	30	59278	SLUZBY	\N	\N
618736	2111	1996-09-30	VYDAJ	VYBER	30	95006	SLUZBY	\N	\N
618737	2111	1996-10-31	VYDAJ	VYBER	30	51081	SLUZBY	\N	\N
618738	2111	1996-11-30	VYDAJ	VYBER	30	60378	SLUZBY	\N	\N
618739	2111	1996-12-31	VYDAJ	VYBER	30	99251	SLUZBY	\N	\N
618740	2111	1997-01-31	VYDAJ	VYBER	30	30333	SLUZBY	\N	\N
618741	2111	1997-02-28	VYDAJ	VYBER	30	61302	SLUZBY	\N	\N
618742	2111	1997-03-31	VYDAJ	VYBER	30	106410	SLUZBY	\N	\N
618743	2111	1997-04-30	VYDAJ	VYBER	30	76006	SLUZBY	\N	\N
618744	2111	1997-05-31	VYDAJ	VYBER	30	55357	SLUZBY	\N	\N
618745	2111	1997-06-30	VYDAJ	VYBER	30	47035	SLUZBY	\N	\N
618746	2111	1997-07-31	VYDAJ	VYBER	30	54901	SLUZBY	\N	\N
618747	2111	1997-08-31	VYDAJ	VYBER	30	54871	SLUZBY	\N	\N
618748	2111	1997-09-30	VYDAJ	VYBER	30	47285	SLUZBY	\N	\N
618749	2111	1997-10-31	VYDAJ	VYBER	30	100276	SLUZBY	\N	\N
618750	2111	1997-11-30	VYDAJ	VYBER	30	115171	SLUZBY	\N	\N
618751	2111	1997-12-31	VYDAJ	VYBER	30	55614	SLUZBY	\N	\N
618752	2111	1998-01-31	VYDAJ	VYBER	30	43819	SLUZBY	\N	\N
618753	2111	1998-02-28	VYDAJ	VYBER	30	85487	SLUZBY	\N	\N
618754	2111	1998-03-31	VYDAJ	VYBER	30	93985	SLUZBY	\N	\N
618755	2111	1998-04-30	VYDAJ	VYBER	30	72709	SLUZBY	\N	\N
618756	2111	1998-05-31	VYDAJ	VYBER	30	69673	SLUZBY	\N	\N
618757	2111	1998-06-30	VYDAJ	VYBER	30	91087	SLUZBY	\N	\N
618758	2111	1998-07-31	VYDAJ	VYBER	30	90814	SLUZBY	\N	\N
618759	2111	1998-08-31	VYDAJ	VYBER	30	88701	SLUZBY	\N	\N
618760	2111	1998-09-30	VYDAJ	VYBER	30	72504	SLUZBY	\N	\N
618761	2111	1998-10-31	VYDAJ	VYBER	30	93547	SLUZBY	\N	\N
618762	2111	1998-11-30	VYDAJ	VYBER	30	70583	SLUZBY	\N	\N
618763	2111	1995-02-24	PRIJEM	VKLAD	11300	11600	\N	\N	\N
618764	2111	1995-03-21	VYDAJ	VYBER	25600	97517	\N	\N	\N
618765	2111	1995-03-25	VYDAJ	VYBER	36000	79659	\N	\N	\N
618766	2111	1995-03-26	VYDAJ	VYBER	26700	52959	\N	\N	\N
618767	2111	1995-04-25	VYDAJ	VYBER	16100	36995	\N	\N	\N
618768	2111	1995-05-17	VYDAJ	VYBER	53700	70126	\N	\N	\N
618769	2111	1995-05-25	VYDAJ	VYBER	18300	47326	\N	\N	\N
618770	2111	1995-06-24	VYDAJ	VYBER	7000	29865	\N	\N	\N
618771	2111	1995-07-24	VYDAJ	VYBER	16500	39974	\N	\N	\N
618772	2111	1995-08-23	VYDAJ	VYBER	38500	64451	\N	\N	\N
618773	2111	1995-09-22	VYDAJ	VYBER	10500	37296	\N	\N	\N
618774	2111	1995-10-22	VYDAJ	VYBER	4300	33213	\N	\N	\N
618775	2111	1995-11-21	VYDAJ	VYBER	4000	29339	\N	\N	\N
618776	2111	1995-12-21	VYDAJ	VYBER	9000	42229	\N	\N	\N
618777	2111	1996-01-20	VYDAJ	VYBER	23700	55666	\N	\N	\N
618778	2111	1996-02-19	PRIJEM	VKLAD	3500	29020	\N	\N	\N
618779	2111	1996-03-20	VYDAJ	VYBER	28400	65888	\N	\N	\N
618780	2111	1996-03-23	VYDAJ	VYBER	33600	69767	\N	\N	\N
618781	2111	1996-03-31	VYDAJ	VYBER	62500	48968	\N	\N	\N
618782	2111	1996-04-19	PRIJEM	VKLAD	5700	38034	\N	\N	\N
618783	2111	1996-05-06	VYDAJ	VYBER	30000	73414	\N	\N	\N
618784	2111	1996-05-19	VYDAJ	VYBER	16700	56714	\N	\N	\N
618785	2111	1996-06-18	VYDAJ	VYBER	20600	62517	\N	\N	\N
618786	2111	1996-07-18	VYDAJ	VYBER	22800	68074	\N	\N	\N
618787	2111	1996-07-26	VYDAJ	VYBER	54300	61049	\N	\N	\N
618788	2111	1996-08-17	VYDAJ	VYBER	7400	53904	\N	\N	\N
618789	2111	1996-09-16	VYDAJ	VYBER	5000	54278	\N	\N	\N
618790	2111	1996-09-29	VYDAJ	VYBER	29700	94763	\N	\N	\N
618791	2111	1996-10-07	VYDAJ	VYBER	47700	82672	\N	\N	\N
618792	2111	1996-10-15	VYDAJ	VYBER	40200	68465	\N	\N	\N
618793	2111	1996-10-16	VYDAJ	VYBER	11100	57365	\N	\N	\N
618794	2111	1996-11-05	VYDAJ	VYBER	34800	88887	\N	\N	\N
618795	2111	1996-11-15	VYDAJ	VYBER	19000	69887	\N	\N	\N
618796	2111	1996-12-15	VYDAJ	VYBER	10500	61780	\N	\N	\N
618797	2111	1997-01-14	VYDAJ	VYBER KARTOU	900	45851	\N	\N	0
618798	2111	1997-02-13	VYDAJ	VYBER	13100	61135	\N	\N	\N
618799	2111	1997-02-27	VYDAJ	VYBER	49300	61085	\N	\N	\N
618800	2111	1997-03-15	VYDAJ	VYBER	23400	76713	\N	\N	\N
618801	2111	1997-04-14	VYDAJ	VYBER	21700	74810	\N	\N	\N
618802	2111	1997-05-14	VYDAJ	VYBER	8600	67406	\N	\N	\N
618803	2111	1997-06-13	PRIJEM	VKLAD	3200	46857	\N	\N	\N
618804	2111	1997-07-13	PRIJEM	VKLAD	7700	54735	\N	\N	\N
618805	2111	1997-09-11	PRIJEM	VKLAD	2500	57371	\N	\N	\N
618806	2111	1997-10-11	PRIJEM	VKLAD	6200	49007	\N	\N	\N
618807	2111	1997-11-10	VYDAJ	VYBER	22000	78276	\N	\N	\N
618808	2111	1997-11-14	VYDAJ	VYBER	42900	72838	\N	\N	\N
618809	2111	1997-11-22	VYDAJ	VYBER	16300	114776	\N	\N	\N
618810	2111	1997-11-30	VYDAJ	VYBER	57900	57271	\N	\N	\N
618811	2111	1997-12-10	VYDAJ	VYBER	6100	51171	\N	\N	\N
618812	2111	1998-01-09	PRIJEM	VKLAD	10000	41314	\N	\N	\N
618813	2111	1998-02-08	PRIJEM	VKLAD	3800	47619	\N	\N	\N
618814	2111	1998-02-27	VYDAJ	VYBER	23000	85274	\N	\N	\N
618815	2111	1998-03-10	VYDAJ	VYBER	16600	68887	\N	\N	\N
618816	2111	1998-03-17	VYDAJ	VYBER	20700	96343	\N	\N	\N
618817	2111	1998-04-09	VYDAJ	VYBER	21700	72285	\N	\N	\N
618818	2111	1998-04-20	VYDAJ	VYBER	30500	98426	\N	\N	\N
618819	2111	1998-04-27	VYDAJ	VYBER	41700	72325	\N	\N	\N
618820	2111	1998-05-09	VYDAJ	VYBER	12300	69414	\N	\N	\N
618821	2111	1998-06-08	VYDAJ	VYBER	5800	69092	\N	\N	\N
618822	2111	1998-07-08	VYDAJ	VYBER	46600	74529	\N	\N	\N
618823	2111	1998-07-08	VYDAJ	VYBER	11100	121129	\N	\N	\N
618824	2111	1998-08-07	VYDAJ	VYBER	8200	82614	\N	\N	\N
618825	2111	1998-09-06	VYDAJ	VYBER	4800	83901	\N	\N	\N
618826	2111	1998-10-06	VYDAJ	VYBER	5300	93189	\N	\N	\N
618827	2111	1998-11-05	PRIJEM	VKLAD	12000	84355	\N	\N	\N
618828	2111	1998-12-05	PRIJEM	VKLAD	13600	67892	\N	\N	\N
618875	2112	1996-07-12	PRIJEM	VKLAD	300	300	\N	\N	\N
618883	2112	1996-08-10	PRIJEM	VKLAD	10100	10400	\N	\N	\N
618884	2112	1996-09-10	PRIJEM	VKLAD	10100	25544	\N	\N	\N
618885	2112	1996-10-10	PRIJEM	VKLAD	10100	33437	\N	\N	\N
618886	2112	1996-11-10	PRIJEM	VKLAD	10100	32344	\N	\N	\N
618887	2112	1996-12-10	PRIJEM	VKLAD	15150	39221	\N	\N	\N
618888	2112	1997-01-10	PRIJEM	VKLAD	10100	31756	\N	\N	\N
618889	2112	1997-02-10	PRIJEM	VKLAD	10100	22680	\N	\N	\N
618890	2112	1997-03-10	PRIJEM	VKLAD	10100	23112	\N	\N	\N
618891	2112	1997-04-10	PRIJEM	VKLAD	10100	21981	\N	\N	\N
618892	2112	1997-05-10	PRIJEM	VKLAD	10100	25153	\N	\N	\N
618893	2112	1997-06-10	PRIJEM	VKLAD	15150	30784	\N	\N	\N
618894	2112	1997-07-10	PRIJEM	VKLAD	10100	33984	\N	\N	\N
618895	2112	1997-08-10	PRIJEM	VKLAD	10100	37402	\N	\N	\N
618896	2112	1997-09-10	PRIJEM	VKLAD	10100	39172	\N	\N	\N
618897	2112	1997-10-10	PRIJEM	VKLAD	10100	41212	\N	\N	\N
618898	2112	1997-11-10	PRIJEM	VKLAD	10100	43261	\N	\N	\N
618899	2112	1997-12-10	PRIJEM	VKLAD	15150	48149	\N	\N	\N
618900	2112	1998-01-10	PRIJEM	VKLAD	10100	38716	\N	\N	\N
618901	2112	1998-02-10	PRIJEM	VKLAD	10100	34494	\N	\N	\N
618902	2112	1998-03-10	PRIJEM	VKLAD	10100	39698	\N	\N	\N
618903	2112	1998-04-10	PRIJEM	VKLAD	10100	40417	\N	\N	\N
618904	2112	1998-05-10	PRIJEM	VKLAD	10100	44459	\N	\N	\N
618905	2112	1998-06-10	PRIJEM	VKLAD	15150	56469	\N	\N	\N
618906	2112	1998-07-10	PRIJEM	VKLAD	10100	33090	\N	\N	\N
618907	2112	1998-08-10	PRIJEM	VKLAD	10100	41992	\N	\N	\N
618908	2112	1998-09-10	PRIJEM	VKLAD	10100	46335	\N	\N	\N
618909	2112	1998-10-10	PRIJEM	VKLAD	10100	54698	\N	\N	\N
618910	2112	1998-11-10	PRIJEM	VKLAD	10100	47181	\N	\N	\N
618911	2112	1998-12-10	PRIJEM	VKLAD	15150	56828	\N	\N	\N
618923	2112	1996-12-14	VYDAJ	PREVOD NA UCET	4788	34433	SIPO	UV	22188127
618924	2112	1997-01-14	VYDAJ	PREVOD NA UCET	4788	23608	SIPO	UV	22188127
618925	2112	1997-02-14	VYDAJ	PREVOD NA UCET	4788	17892	SIPO	UV	22188127
618926	2112	1997-03-14	VYDAJ	PREVOD NA UCET	4788	18324	SIPO	UV	22188127
618927	2112	1997-04-14	VYDAJ	PREVOD NA UCET	4788	17193	SIPO	UV	22188127
618928	2112	1997-05-14	VYDAJ	PREVOD NA UCET	4788	20365	SIPO	UV	22188127
618929	2112	1997-06-14	VYDAJ	PREVOD NA UCET	4788	25996	SIPO	UV	22188127
618930	2112	1997-07-14	VYDAJ	PREVOD NA UCET	4788	29196	SIPO	UV	22188127
618931	2112	1997-08-14	VYDAJ	PREVOD NA UCET	4788	32614	SIPO	UV	22188127
618932	2112	1997-09-14	VYDAJ	PREVOD NA UCET	4788	34384	SIPO	UV	22188127
618933	2112	1997-10-14	VYDAJ	PREVOD NA UCET	4788	36424	SIPO	UV	22188127
618934	2112	1997-11-14	VYDAJ	PREVOD NA UCET	4788	38473	SIPO	UV	22188127
618935	2112	1997-12-14	VYDAJ	PREVOD NA UCET	4788	43361	SIPO	UV	22188127
618936	2112	1998-01-14	VYDAJ	PREVOD NA UCET	4788	33928	SIPO	UV	22188127
618937	2112	1998-02-14	VYDAJ	PREVOD NA UCET	4788	29706	SIPO	UV	22188127
618938	2112	1998-03-14	VYDAJ	PREVOD NA UCET	4788	34910	SIPO	UV	22188127
618939	2112	1998-04-14	VYDAJ	PREVOD NA UCET	4788	35629	SIPO	UV	22188127
618940	2112	1998-05-14	VYDAJ	PREVOD NA UCET	4788	39671	SIPO	UV	22188127
618941	2112	1998-06-14	VYDAJ	PREVOD NA UCET	4788	51681	SIPO	UV	22188127
618942	2112	1998-07-14	VYDAJ	PREVOD NA UCET	4788	28302	SIPO	UV	22188127
618943	2112	1998-08-14	VYDAJ	PREVOD NA UCET	4788	37204	SIPO	UV	22188127
618944	2112	1998-09-14	VYDAJ	PREVOD NA UCET	4788	41547	SIPO	UV	22188127
618945	2112	1998-10-14	VYDAJ	PREVOD NA UCET	4788	49910	SIPO	UV	22188127
618946	2112	1998-11-14	VYDAJ	PREVOD NA UCET	4788	42393	SIPO	UV	22188127
618947	2112	1998-12-14	VYDAJ	PREVOD NA UCET	4788	52040	SIPO	UV	22188127
618950	2112	1998-06-18	VYDAJ	VYBER	31680	20001	\N	\N	\N
618952	2112	1997-01-20	VYDAJ	VYBER	2400	20248	\N	\N	\N
618953	2112	1998-01-17	VYDAJ	VYBER	7360	22128	\N	\N	\N
618954	2112	1996-12-16	VYDAJ	VYBER	2240	32193	\N	\N	\N
618955	2112	1997-12-17	VYDAJ	VYBER	1920	41441	\N	\N	\N
618956	2112	1998-12-03	VYDAJ	VYBER	2880	41678	\N	\N	\N
618963	2112	1997-01-03	VYDAJ	VYBER	2760	28596	\N	\N	\N
618964	2112	1997-01-19	VYDAJ	VYBER	960	22648	\N	\N	\N
618965	2112	1997-01-08	VYDAJ	VYBER	2040	21656	\N	\N	\N
618966	2112	1997-01-29	VYDAJ	VYBER	2760	17488	\N	\N	\N
618967	2112	1997-01-14	VYDAJ	VYBER	2160	28396	\N	\N	\N
618968	2112	1997-01-11	VYDAJ	VYBER	1200	30556	\N	\N	\N
618969	2112	1998-01-08	VYDAJ	VYBER	3480	28616	\N	\N	\N
618970	2112	1998-01-29	VYDAJ	VYBER	2520	15288	\N	\N	\N
618971	2112	1998-01-25	VYDAJ	VYBER	2640	19488	\N	\N	\N
618972	2112	1998-01-15	VYDAJ	VYBER	3240	29488	\N	\N	\N
618973	2112	1998-01-29	VYDAJ	VYBER	1680	17808	\N	\N	\N
618974	2112	1998-01-14	VYDAJ	VYBER	1200	32728	\N	\N	\N
618976	2112	1996-12-27	VYDAJ	VYBER	960	31233	\N	\N	\N
618980	2112	1997-08-21	VYDAJ	VYBER	960	31654	\N	\N	\N
618981	2112	1997-02-25	VYDAJ	VYBER	5040	12852	\N	\N	\N
618982	2112	1997-04-06	VYDAJ	VYBER	2400	15981	\N	\N	\N
618983	2112	1997-12-03	VYDAJ	VYBER	1920	36699	\N	\N	\N
618984	2112	1997-05-30	VYDAJ	VYBER	1200	19165	\N	\N	\N
618985	2112	1998-04-03	VYDAJ	VYBER	5640	30317	\N	\N	\N
618986	2112	1998-03-14	VYDAJ	VYBER	3480	31430	\N	\N	\N
618987	2112	1998-06-28	VYDAJ	VYBER	4320	14961	\N	\N	\N
618988	2112	1998-10-16	VYDAJ	VYBER	5640	44270	\N	\N	\N
618989	2112	1998-06-26	VYDAJ	VYBER	720	19281	\N	\N	\N
618990	2112	1998-11-02	VYDAJ	VYBER	5160	37081	\N	\N	\N
619003	2112	1996-12-31	VYDAJ	VYBER	15	31356	SLUZBY	\N	\N
619004	2112	1997-01-31	VYDAJ	VYBER	15	17580	SLUZBY	\N	\N
619005	2112	1997-02-28	VYDAJ	VYBER	15	12912	SLUZBY	\N	\N
619006	2112	1997-03-31	VYDAJ	VYBER	15	18381	SLUZBY	\N	\N
619007	2112	1997-04-30	VYDAJ	VYBER	15	17253	SLUZBY	\N	\N
619008	2112	1997-05-31	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
619009	2112	1997-06-30	VYDAJ	VYBER	15	26084	SLUZBY	\N	\N
619010	2112	1997-07-31	VYDAJ	VYBER	15	29302	SLUZBY	\N	\N
619011	2112	1997-08-31	VYDAJ	VYBER	15	31772	SLUZBY	\N	\N
619012	2112	1997-09-30	VYDAJ	VYBER	15	34512	SLUZBY	\N	\N
619013	2112	1997-10-31	VYDAJ	VYBER	15	36561	SLUZBY	\N	\N
619014	2112	1997-11-30	VYDAJ	VYBER	15	38619	SLUZBY	\N	\N
619015	2112	1997-12-31	VYDAJ	VYBER	15	41596	SLUZBY	\N	\N
619016	2112	1998-01-31	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
619017	2112	1998-02-28	VYDAJ	VYBER	15	29798	SLUZBY	\N	\N
619018	2112	1998-03-31	VYDAJ	VYBER	15	31557	SLUZBY	\N	\N
619019	2112	1998-04-30	VYDAJ	VYBER	15	35759	SLUZBY	\N	\N
619020	2112	1998-05-31	VYDAJ	VYBER	15	39819	SLUZBY	\N	\N
619021	2112	1998-06-30	VYDAJ	VYBER	15	15090	SLUZBY	\N	\N
619022	2112	1998-07-31	VYDAJ	VYBER	15	28392	SLUZBY	\N	\N
619023	2112	1998-08-31	VYDAJ	VYBER	15	37335	SLUZBY	\N	\N
619024	2112	1998-09-30	VYDAJ	VYBER	15	44598	SLUZBY	\N	\N
619025	2112	1998-10-31	VYDAJ	VYBER	15	42241	SLUZBY	\N	\N
619026	2112	1998-11-30	VYDAJ	VYBER	15	44558	SLUZBY	\N	\N
619027	2112	1996-08-11	PRIJEM	VKLAD	5000	15400	\N	\N	\N
619028	2112	1996-09-10	VYDAJ	VYBER	2300	23244	\N	\N	\N
619029	2112	1996-10-10	VYDAJ	VYBER	7700	25737	\N	\N	\N
619030	2112	1996-11-09	VYDAJ	VYBER	3600	22244	\N	\N	\N
619031	2112	1996-12-09	VYDAJ	VYBER	8400	24071	\N	\N	\N
619032	2112	1997-01-08	VYDAJ	VYBER	4900	23696	\N	\N	\N
619033	2112	1997-02-07	VYDAJ	VYBER	5000	12580	\N	\N	\N
619034	2112	1997-03-09	PRIJEM	VKLAD	100	13012	\N	\N	\N
619035	2112	1997-04-08	VYDAJ	VYBER	4100	11881	\N	\N	\N
619036	2112	1997-05-08	VYDAJ	VYBER	2200	15053	\N	\N	\N
619037	2112	1997-06-07	VYDAJ	VYBER	3600	15634	\N	\N	\N
619038	2112	1997-07-07	VYDAJ	VYBER	2200	23884	\N	\N	\N
619039	2112	1997-08-06	VYDAJ	VYBER	2000	27302	\N	\N	\N
619040	2112	1997-09-05	VYDAJ	VYBER	2700	29072	\N	\N	\N
619041	2112	1997-10-05	VYDAJ	VYBER	3400	31112	\N	\N	\N
619042	2112	1997-11-04	VYDAJ	VYBER	3400	33161	\N	\N	\N
619043	2112	1997-12-04	VYDAJ	VYBER	3700	32999	\N	\N	\N
619044	2112	1998-01-03	VYDAJ	VYBER	9500	32096	\N	\N	\N
619045	2112	1998-02-02	PRIJEM	VKLAD	9000	24394	\N	\N	\N
619046	2112	1998-03-04	VYDAJ	VYBER	200	29598	\N	\N	\N
619047	2112	1998-04-03	PRIJEM	VKLAD	4400	35957	\N	\N	\N
619048	2112	1998-05-03	VYDAJ	VYBER	1400	34359	\N	\N	\N
619049	2112	1998-06-02	PRIJEM	VKLAD	1500	41319	\N	\N	\N
619050	2112	1998-07-02	PRIJEM	VKLAD	7900	22990	\N	\N	\N
619051	2112	1998-08-01	PRIJEM	VKLAD	3500	31892	\N	\N	\N
619052	2112	1998-08-31	VYDAJ	VYBER	1100	36235	\N	\N	\N
619053	2112	1998-09-30	PRIJEM	VKLAD	2900	44613	\N	\N	\N
619054	2112	1998-10-30	VYDAJ	VYBER	2200	42070	\N	\N	\N
619055	2112	1998-11-29	PRIJEM	VKLAD	2000	44393	\N	\N	\N
619085	2113	1996-08-28	PRIJEM	VKLAD	300	300	\N	\N	\N
619094	2113	1996-09-09	PRIJEM	VKLAD	10078	10378	\N	\N	\N
619095	2113	1996-10-09	PRIJEM	VKLAD	10078	27666	\N	\N	\N
619096	2113	1996-11-09	PRIJEM	VKLAD	10078	33821	\N	\N	\N
619097	2113	1996-12-09	PRIJEM	VKLAD	15117	43140	\N	\N	\N
619098	2113	1997-01-09	PRIJEM	VKLAD	10078	43638	\N	\N	\N
619099	2113	1997-02-09	PRIJEM	VKLAD	10078	38048	\N	\N	\N
619100	2113	1997-03-09	PRIJEM	VKLAD	10078	42631	\N	\N	\N
619101	2113	1997-04-09	PRIJEM	VKLAD	10078	42712	\N	\N	\N
619102	2113	1997-05-09	PRIJEM	VKLAD	10078	46238	\N	\N	\N
619103	2113	1997-06-09	PRIJEM	VKLAD	15117	55295	\N	\N	\N
619104	2113	1997-07-09	PRIJEM	VKLAD	10078	50025	\N	\N	\N
619105	2113	1997-08-09	PRIJEM	VKLAD	10078	46351	\N	\N	\N
619106	2113	1997-09-09	PRIJEM	VKLAD	10078	47266	\N	\N	\N
619107	2113	1997-10-09	PRIJEM	VKLAD	10078	40319	\N	\N	\N
619108	2113	1997-11-09	PRIJEM	VKLAD	10078	34320	\N	\N	\N
619109	2113	1997-12-09	PRIJEM	VKLAD	15117	42227	\N	\N	\N
619110	2113	1998-01-09	PRIJEM	VKLAD	10078	34476	\N	\N	\N
619111	2113	1998-02-09	PRIJEM	VKLAD	10078	23649	\N	\N	\N
619112	2113	1998-03-09	PRIJEM	VKLAD	10078	26573	\N	\N	\N
619113	2113	1998-04-09	PRIJEM	VKLAD	10078	26705	\N	\N	\N
619114	2113	1998-05-09	PRIJEM	VKLAD	10078	23182	\N	\N	\N
619115	2113	1998-06-09	PRIJEM	VKLAD	15117	29641	\N	\N	\N
619116	2113	1998-07-09	PRIJEM	VKLAD	10078	25466	\N	\N	\N
619117	2113	1998-08-09	PRIJEM	VKLAD	10078	24897	\N	\N	\N
619118	2113	1998-09-09	PRIJEM	VKLAD	10078	25538	\N	\N	\N
619119	2113	1998-10-09	PRIJEM	VKLAD	10078	25365	\N	\N	\N
619120	2113	1998-11-09	PRIJEM	VKLAD	10078	22486	\N	\N	\N
619121	2113	1998-12-09	PRIJEM	VKLAD	15117	34776	\N	\N	\N
619126	2113	1997-01-22	VYDAJ	VYBER	3040	38318	\N	\N	\N
619127	2113	1998-01-14	VYDAJ	VYBER	10400	22756	\N	\N	\N
619129	2113	1997-12-11	VYDAJ	VYBER	4000	38227	\N	\N	\N
619137	2113	1997-01-27	VYDAJ	VYBER	3000	30718	\N	\N	\N
619138	2113	1997-01-15	VYDAJ	VYBER	2280	41358	\N	\N	\N
619141	2113	1997-01-29	VYDAJ	VYBER	1440	29278	\N	\N	\N
619142	2113	1997-01-29	VYDAJ	VYBER	1440	27838	\N	\N	\N
619143	2113	1998-01-20	VYDAJ	VYBER	3240	18796	\N	\N	\N
619144	2113	1998-01-19	VYDAJ	VYBER	720	22036	\N	\N	\N
619146	2113	1998-01-01	VYDAJ	VYBER	1440	24398	\N	\N	\N
619147	2113	1998-01-10	VYDAJ	VYBER	1320	33156	\N	\N	\N
619151	2113	1997-10-09	VYDAJ	VYBER	4800	35519	\N	\N	\N
619152	2113	1997-10-07	VYDAJ	VYBER	2040	30241	\N	\N	\N
619153	2113	1997-04-06	VYDAJ	VYBER	1920	32634	\N	\N	\N
619154	2113	1997-09-23	VYDAJ	VYBER	3720	32146	\N	\N	\N
619156	2113	1998-08-04	VYDAJ	VYBER	3000	14819	\N	\N	\N
619157	2113	1998-11-14	VYDAJ	VYBER	2880	19606	\N	\N	\N
619158	2113	1998-12-30	VYDAJ	VYBER	840	14036	\N	\N	\N
619160	2113	1998-04-09	VYDAJ	VYBER	3360	23345	\N	\N	\N
619175	2113	1997-01-31	VYDAJ	VYBER	15	27970	SLUZBY	\N	\N
619176	2113	1997-02-28	VYDAJ	VYBER	15	32553	SLUZBY	\N	\N
619177	2113	1997-03-31	VYDAJ	VYBER	15	34554	SLUZBY	\N	\N
619178	2113	1997-04-30	VYDAJ	VYBER	15	36160	SLUZBY	\N	\N
619179	2113	1997-05-31	VYDAJ	VYBER	15	40178	SLUZBY	\N	\N
619180	2113	1997-06-30	VYDAJ	VYBER	15	39947	SLUZBY	\N	\N
619181	2113	1997-07-31	VYDAJ	VYBER	15	36273	SLUZBY	\N	\N
619182	2113	1997-08-31	VYDAJ	VYBER	15	37188	SLUZBY	\N	\N
619183	2113	1997-09-30	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
619184	2113	1997-10-31	VYDAJ	VYBER	15	24242	SLUZBY	\N	\N
619185	2113	1997-11-30	VYDAJ	VYBER	15	27110	SLUZBY	\N	\N
619186	2113	1997-12-31	VYDAJ	VYBER	15	25838	SLUZBY	\N	\N
619187	2113	1998-01-31	VYDAJ	VYBER	15	13571	SLUZBY	\N	\N
619188	2113	1998-02-28	VYDAJ	VYBER	15	16495	SLUZBY	\N	\N
619189	2113	1998-03-31	VYDAJ	VYBER	15	16627	SLUZBY	\N	\N
619190	2113	1998-04-30	VYDAJ	VYBER	15	13104	SLUZBY	\N	\N
619191	2113	1998-05-31	VYDAJ	VYBER	15	14524	SLUZBY	\N	\N
619192	2113	1998-06-30	VYDAJ	VYBER	15	15388	SLUZBY	\N	\N
619193	2113	1998-07-31	VYDAJ	VYBER	15	17819	SLUZBY	\N	\N
619194	2113	1998-08-31	VYDAJ	VYBER	15	15460	SLUZBY	\N	\N
619195	2113	1998-09-30	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
619196	2113	1998-10-31	VYDAJ	VYBER	15	12408	SLUZBY	\N	\N
619197	2113	1998-11-30	VYDAJ	VYBER	15	19659	SLUZBY	\N	\N
619198	2113	1996-09-27	PRIJEM	VKLAD	7200	17578	\N	\N	\N
619199	2113	1996-10-27	VYDAJ	VYBER	4000	23666	\N	\N	\N
619200	2113	1996-11-26	VYDAJ	VYBER	5900	27921	\N	\N	\N
619201	2113	1996-12-26	VYDAJ	VYBER	9700	33440	\N	\N	\N
619202	2113	1997-01-25	VYDAJ	VYBER	4600	33718	\N	\N	\N
619203	2113	1997-02-24	VYDAJ	VYBER	5600	32448	\N	\N	\N
619204	2113	1997-03-26	VYDAJ	VYBER	8200	34431	\N	\N	\N
619205	2113	1997-04-25	VYDAJ	VYBER	6700	36012	\N	\N	\N
619206	2113	1997-05-25	VYDAJ	VYBER	6200	40038	\N	\N	\N
619207	2113	1997-06-24	VYDAJ	VYBER	15500	39795	\N	\N	\N
619208	2113	1997-07-24	VYDAJ	VYBER	13900	36125	\N	\N	\N
619209	2113	1997-08-23	VYDAJ	VYBER	9300	37051	\N	\N	\N
619210	2113	1997-09-22	VYDAJ	VYBER	11400	35866	\N	\N	\N
619211	2113	1997-10-22	VYDAJ	VYBER	11400	24119	\N	\N	\N
619212	2113	1997-11-21	VYDAJ	VYBER	7300	27020	\N	\N	\N
619213	2113	1997-12-21	VYDAJ	VYBER	12500	25727	\N	\N	\N
619214	2113	1998-01-20	VYDAJ	VYBER	5300	13496	\N	\N	\N
619215	2113	1998-02-19	VYDAJ	VYBER	7200	16449	\N	\N	\N
619216	2113	1998-03-21	VYDAJ	VYBER	10000	16573	\N	\N	\N
619217	2113	1998-04-20	VYDAJ	VYBER	10300	13045	\N	\N	\N
619218	2113	1998-05-20	VYDAJ	VYBER	8700	14482	\N	\N	\N
619219	2113	1998-06-19	VYDAJ	VYBER	14300	15341	\N	\N	\N
619220	2113	1998-07-19	VYDAJ	VYBER	7700	17766	\N	\N	\N
619221	2113	1998-08-18	VYDAJ	VYBER	9500	15397	\N	\N	\N
619222	2113	1998-09-17	VYDAJ	VYBER	10300	15238	\N	\N	\N
619223	2113	1998-10-17	VYDAJ	VYBER	13000	12365	\N	\N	\N
619224	2113	1998-12-16	VYDAJ	VYBER	19900	14876	\N	\N	\N
619253	2114	1996-08-11	PRIJEM	VKLAD	600	600	\N	\N	\N
619261	2114	1996-08-12	PRIJEM	VKLAD	10432	11032	\N	\N	\N
619262	2114	1996-09-12	PRIJEM	VKLAD	10432	26194	\N	\N	\N
619263	2114	1996-10-12	PRIJEM	VKLAD	10432	37512	\N	\N	\N
619264	2114	1996-11-12	PRIJEM	VKLAD	10432	40883	\N	\N	\N
619265	2114	1996-12-12	PRIJEM	VKLAD	15648	47296	\N	\N	\N
619266	2114	1997-01-12	PRIJEM	VKLAD	10432	37755	\N	\N	\N
619267	2114	1997-02-12	PRIJEM	VKLAD	10432	29874	\N	\N	\N
619268	2114	1997-03-12	PRIJEM	VKLAD	10432	30566	\N	\N	\N
619269	2114	1997-04-12	PRIJEM	VKLAD	10432	36061	\N	\N	\N
619270	2114	1997-05-12	PRIJEM	VKLAD	10432	38074	\N	\N	\N
619271	2114	1997-06-12	PRIJEM	VKLAD	15648	31010	\N	\N	\N
619272	2114	1997-07-12	PRIJEM	VKLAD	10432	31502	\N	\N	\N
619273	2114	1997-08-12	PRIJEM	VKLAD	10432	32499	\N	\N	\N
619274	2114	1997-09-12	PRIJEM	VKLAD	10432	28699	\N	\N	\N
619275	2114	1997-10-12	PRIJEM	VKLAD	10432	25487	\N	\N	\N
619276	2114	1997-11-12	PRIJEM	VKLAD	10432	22059	\N	\N	\N
619277	2114	1997-12-12	PRIJEM	VKLAD	15648	24133	\N	\N	\N
619278	2114	1998-01-12	PRIJEM	VKLAD	10432	15290	\N	\N	\N
619279	2114	1998-02-12	PRIJEM	VKLAD	10432	17017	\N	\N	\N
619280	2114	1998-03-12	PRIJEM	VKLAD	10432	17049	\N	\N	\N
619281	2114	1998-04-12	PRIJEM	VKLAD	10432	17177	\N	\N	\N
619282	2114	1998-05-12	PRIJEM	VKLAD	10432	18313	\N	\N	\N
619283	2114	1998-06-12	PRIJEM	VKLAD	15648	22568	\N	\N	\N
619284	2114	1998-07-12	PRIJEM	VKLAD	10432	19316	\N	\N	\N
619285	2114	1998-08-12	PRIJEM	VKLAD	10432	22260	\N	\N	\N
619286	2114	1998-09-12	PRIJEM	VKLAD	10432	22615	\N	\N	\N
619287	2114	1998-10-12	PRIJEM	VKLAD	10432	20872	\N	\N	\N
619288	2114	1998-11-12	PRIJEM	VKLAD	10432	16826	\N	\N	\N
619289	2114	1998-12-12	PRIJEM	VKLAD	15648	25676	\N	\N	\N
619302	2114	1997-01-05	VYDAJ	PREVOD NA UCET	5102	37065	SIPO	UV	20697045
619303	2114	1997-02-05	VYDAJ	PREVOD NA UCET	5102	26684	SIPO	UV	20697045
619304	2114	1997-03-05	VYDAJ	PREVOD NA UCET	5102	24876	SIPO	UV	20697045
619305	2114	1997-04-05	VYDAJ	PREVOD NA UCET	5102	25571	SIPO	UV	20697045
619306	2114	1997-05-05	VYDAJ	PREVOD NA UCET	5102	30584	SIPO	UV	20697045
619307	2114	1997-06-05	VYDAJ	PREVOD NA UCET	5102	16704	SIPO	UV	20697045
619308	2114	1997-07-05	VYDAJ	PREVOD NA UCET	5102	26012	SIPO	UV	20697045
619309	2114	1997-08-05	VYDAJ	PREVOD NA UCET	5102	26509	SIPO	UV	20697045
619310	2114	1997-09-05	VYDAJ	PREVOD NA UCET	5102	20009	SIPO	UV	20697045
619311	2114	1997-10-05	VYDAJ	PREVOD NA UCET	5102	23697	SIPO	UV	20697045
619312	2114	1997-11-05	VYDAJ	PREVOD NA UCET	5102	13369	SIPO	UV	20697045
619313	2114	1997-12-05	VYDAJ	PREVOD NA UCET	5102	10227	SIPO	UV	20697045
619314	2114	1998-01-05	VYDAJ	PREVOD NA UCET	5102	6600	SIPO	UV	20697045
619315	2114	1998-02-05	VYDAJ	PREVOD NA UCET	5102	8327	SIPO	UV	20697045
619316	2114	1998-03-05	VYDAJ	PREVOD NA UCET	5102	8359	SIPO	UV	20697045
619317	2114	1998-04-05	VYDAJ	PREVOD NA UCET	5102	8487	SIPO	UV	20697045
619318	2114	1998-05-05	VYDAJ	PREVOD NA UCET	5102	9623	SIPO	UV	20697045
619319	2114	1998-06-05	VYDAJ	PREVOD NA UCET	5102	8662	SIPO	UV	20697045
619320	2114	1998-07-05	VYDAJ	PREVOD NA UCET	5102	10626	SIPO	UV	20697045
619321	2114	1998-08-05	VYDAJ	PREVOD NA UCET	5102	13570	SIPO	UV	20697045
619322	2114	1998-09-05	VYDAJ	PREVOD NA UCET	5102	13925	SIPO	UV	20697045
619323	2114	1998-10-05	VYDAJ	PREVOD NA UCET	5102	12182	SIPO	UV	20697045
619324	2114	1998-11-05	VYDAJ	PREVOD NA UCET	5102	8136	SIPO	UV	20697045
619325	2114	1998-12-05	VYDAJ	PREVOD NA UCET	5102	11770	SIPO	UV	20697045
619338	2114	1997-01-08	VYDAJ	PREVOD NA UCET	1742	29123	 	CD	42759567
619339	2114	1997-02-08	VYDAJ	PREVOD NA UCET	1742	19442	 	CD	42759567
619340	2114	1997-03-08	VYDAJ	PREVOD NA UCET	1742	23134	 	CD	42759567
619341	2114	1997-04-08	VYDAJ	PREVOD NA UCET	1742	25629	 	CD	42759567
619342	2114	1997-05-08	VYDAJ	PREVOD NA UCET	1742	28842	 	CD	42759567
619343	2114	1997-06-08	VYDAJ	PREVOD NA UCET	1742	19862	 	CD	42759567
619344	2114	1997-07-08	VYDAJ	PREVOD NA UCET	1742	21070	 	CD	42759567
619345	2114	1997-08-08	VYDAJ	PREVOD NA UCET	1742	22067	 	CD	42759567
619346	2114	1997-09-08	VYDAJ	PREVOD NA UCET	1742	18267	 	CD	42759567
619347	2114	1997-10-08	VYDAJ	PREVOD NA UCET	1742	15055	 	CD	42759567
619348	2114	1997-11-08	VYDAJ	PREVOD NA UCET	1742	11627	 	CD	42759567
619349	2114	1997-12-08	VYDAJ	PREVOD NA UCET	1742	8485	 	CD	42759567
619350	2114	1998-01-08	VYDAJ	PREVOD NA UCET	1742	4858	 	CD	42759567
619351	2114	1998-02-08	VYDAJ	PREVOD NA UCET	1742	6585	 	CD	42759567
619352	2114	1998-03-08	VYDAJ	PREVOD NA UCET	1742	6617	 	CD	42759567
619353	2114	1998-04-08	VYDAJ	PREVOD NA UCET	1742	6745	 	CD	42759567
619354	2114	1998-05-08	VYDAJ	PREVOD NA UCET	1742	7881	 	CD	42759567
619355	2114	1998-06-08	VYDAJ	PREVOD NA UCET	1742	6920	 	CD	42759567
619356	2114	1998-07-08	VYDAJ	PREVOD NA UCET	1742	8884	 	CD	42759567
619357	2114	1998-08-08	VYDAJ	PREVOD NA UCET	1742	11828	 	CD	42759567
619358	2114	1998-09-08	VYDAJ	PREVOD NA UCET	1742	12183	 	CD	42759567
619359	2114	1998-10-08	VYDAJ	PREVOD NA UCET	1742	10440	 	CD	42759567
619360	2114	1998-11-08	VYDAJ	PREVOD NA UCET	1742	6394	 	CD	42759567
619361	2114	1998-12-08	VYDAJ	PREVOD NA UCET	1742	10028	 	CD	42759567
619363	2114	1997-06-01	VYDAJ	VYBER	14200	21806	\N	\N	\N
619366	2114	1997-01-24	VYDAJ	VYBER	2700	31655	\N	\N	\N
619368	2114	1996-12-24	VYDAJ	VYBER	2600	44696	\N	\N	\N
619369	2114	1997-12-23	VYDAJ	VYBER	1400	22733	\N	\N	\N
619377	2114	1997-01-02	VYDAJ	VYBER	2700	42167	\N	\N	\N
619378	2114	1997-01-16	VYDAJ	VYBER	1200	36555	\N	\N	\N
619379	2114	1997-01-09	VYDAJ	VYBER	1800	27323	\N	\N	\N
619380	2114	1997-01-16	VYDAJ	VYBER	1700	34855	\N	\N	\N
619381	2114	1997-01-19	VYDAJ	VYBER	500	34355	\N	\N	\N
619382	2114	1997-01-05	VYDAJ	VYBER	1100	35965	\N	\N	\N
619386	2114	1998-01-14	VYDAJ	VYBER	1900	13390	\N	\N	\N
619394	2114	1997-06-09	VYDAJ	VYBER	4500	15362	\N	\N	\N
619395	2114	1997-04-16	VYDAJ	VYBER	500	35561	\N	\N	\N
619396	2114	1997-05-18	VYDAJ	VYBER	2200	35874	\N	\N	\N
619398	2114	1998-03-24	VYDAJ	VYBER	2400	13549	\N	\N	\N
619399	2114	1998-06-19	VYDAJ	VYBER	1000	21568	\N	\N	\N
619400	2114	1998-02-23	VYDAJ	VYBER	2300	14717	\N	\N	\N
619401	2114	1998-03-15	VYDAJ	VYBER	1100	15949	\N	\N	\N
619402	2114	1998-06-27	VYDAJ	VYBER	1900	19668	\N	\N	\N
619417	2114	1996-12-31	VYDAJ	VYBER	15	44867	SLUZBY	\N	\N
619418	2114	1997-01-31	VYDAJ	VYBER	15	31786	SLUZBY	\N	\N
619419	2114	1997-02-28	VYDAJ	VYBER	15	29978	SLUZBY	\N	\N
619420	2114	1997-03-31	VYDAJ	VYBER	15	30673	SLUZBY	\N	\N
619421	2114	1997-04-30	VYDAJ	VYBER	15	35686	SLUZBY	\N	\N
619422	2114	1997-05-31	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
619423	2114	1997-06-30	VYDAJ	VYBER	15	31114	SLUZBY	\N	\N
619424	2114	1997-07-31	VYDAJ	VYBER	15	31611	SLUZBY	\N	\N
619425	2114	1997-08-31	VYDAJ	VYBER	15	32611	SLUZBY	\N	\N
619426	2114	1997-09-30	VYDAJ	VYBER	15	28799	SLUZBY	\N	\N
619427	2114	1997-10-31	VYDAJ	VYBER	15	25571	SLUZBY	\N	\N
619428	2114	1997-11-30	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
619429	2114	1997-12-31	VYDAJ	VYBER	15	22802	SLUZBY	\N	\N
619430	2114	1998-01-31	VYDAJ	VYBER	15	13429	SLUZBY	\N	\N
619431	2114	1998-02-28	VYDAJ	VYBER	15	14761	SLUZBY	\N	\N
619432	2114	1998-03-31	VYDAJ	VYBER	15	13589	SLUZBY	\N	\N
619433	2114	1998-04-30	VYDAJ	VYBER	15	17225	SLUZBY	\N	\N
619434	2114	1998-05-31	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
619435	2114	1998-06-30	VYDAJ	VYBER	15	19728	SLUZBY	\N	\N
619436	2114	1998-07-31	VYDAJ	VYBER	15	19372	SLUZBY	\N	\N
619437	2114	1998-08-31	VYDAJ	VYBER	15	19027	SLUZBY	\N	\N
619438	2114	1998-09-30	VYDAJ	VYBER	15	22684	SLUZBY	\N	\N
619439	2114	1998-10-31	VYDAJ	VYBER	15	13238	SLUZBY	\N	\N
619440	2114	1998-11-30	VYDAJ	VYBER	15	16872	SLUZBY	\N	\N
619441	2114	1996-09-10	PRIJEM	VKLAD	4700	15762	\N	\N	\N
619442	2114	1996-10-10	PRIJEM	VKLAD	800	27080	\N	\N	\N
619443	2114	1996-11-09	VYDAJ	VYBER	7200	30451	\N	\N	\N
619444	2114	1996-12-09	VYDAJ	VYBER	9400	31648	\N	\N	\N
619445	2114	1997-01-08	VYDAJ	VYBER	5100	30865	\N	\N	\N
619446	2114	1997-02-07	VYDAJ	VYBER	5500	21184	\N	\N	\N
619447	2114	1997-03-09	VYDAJ	VYBER	3000	20134	\N	\N	\N
619448	2114	1997-04-08	PRIJEM	VKLAD	1800	27371	\N	\N	\N
619449	2114	1997-05-08	VYDAJ	VYBER	1200	27642	\N	\N	\N
619450	2114	1997-06-07	PRIJEM	VKLAD	4900	21604	\N	\N	\N
619451	2114	1997-07-07	VYDAJ	VYBER	3200	22812	\N	\N	\N
619452	2114	1997-08-06	VYDAJ	VYBER	2700	23809	\N	\N	\N
619453	2114	1997-09-05	VYDAJ	VYBER	7500	25111	\N	\N	\N
619454	2114	1997-10-05	VYDAJ	VYBER	6900	16797	\N	\N	\N
619455	2114	1997-11-04	VYDAJ	VYBER	7100	18471	\N	\N	\N
619456	2114	1997-12-04	VYDAJ	VYBER	6800	15329	\N	\N	\N
619457	2114	1998-01-03	VYDAJ	VYBER	11100	11702	\N	\N	\N
619458	2114	1998-03-04	VYDAJ	VYBER	1300	13461	\N	\N	\N
619459	2114	1998-05-03	VYDAJ	VYBER	2500	14725	\N	\N	\N
619460	2114	1998-06-02	VYDAJ	VYBER	4600	13764	\N	\N	\N
619461	2114	1998-07-02	VYDAJ	VYBER	4000	15728	\N	\N	\N
619462	2114	1998-08-01	VYDAJ	VYBER	700	18672	\N	\N	\N
619463	2114	1998-08-31	VYDAJ	VYBER	3300	19041	\N	\N	\N
619464	2114	1998-09-30	VYDAJ	VYBER	5400	17284	\N	\N	\N
619465	2114	1998-10-30	VYDAJ	VYBER	7700	13172	\N	\N	\N
619466	2114	1998-12-29	VYDAJ	VYBER	12300	13376	\N	\N	\N
619496	2115	1996-12-05	PRIJEM	VKLAD	600	600	\N	\N	\N
619508	2115	1996-12-11	PRIJEM	PREVOD Z UCTU	2910	3510	\N	AB	89217292
619509	2115	1997-01-11	PRIJEM	PREVOD Z UCTU	2910	6430	\N	AB	89217292
619510	2115	1997-02-11	PRIJEM	PREVOD Z UCTU	2910	9355	\N	AB	89217292
619511	2115	1997-03-11	PRIJEM	PREVOD Z UCTU	2910	12279	\N	AB	89217292
619512	2115	1997-04-11	PRIJEM	PREVOD Z UCTU	2910	15204	\N	AB	89217292
619513	2115	1997-05-11	PRIJEM	PREVOD Z UCTU	2910	16200	\N	AB	89217292
619514	2115	1997-06-11	PRIJEM	PREVOD Z UCTU	2910	17213	\N	AB	89217292
619515	2115	1997-07-11	PRIJEM	PREVOD Z UCTU	2910	16230	\N	AB	89217292
619516	2115	1997-08-11	PRIJEM	PREVOD Z UCTU	2910	16077	\N	AB	89217292
619517	2115	1997-09-11	PRIJEM	PREVOD Z UCTU	2910	13491	\N	AB	89217292
619518	2115	1997-10-11	PRIJEM	PREVOD Z UCTU	2910	13498	\N	AB	89217292
619519	2115	1997-11-11	PRIJEM	PREVOD Z UCTU	2910	14502	\N	AB	89217292
619520	2115	1997-12-11	PRIJEM	PREVOD Z UCTU	2910	15509	\N	AB	89217292
619521	2115	1998-01-11	PRIJEM	PREVOD Z UCTU	2910	15547	\N	AB	89217292
619522	2115	1998-02-11	PRIJEM	PREVOD Z UCTU	2910	15415	\N	AB	89217292
619523	2115	1998-03-11	PRIJEM	PREVOD Z UCTU	2910	15644	\N	AB	89217292
619524	2115	1998-04-11	PRIJEM	PREVOD Z UCTU	2910	15354	\N	AB	89217292
619525	2115	1998-05-11	PRIJEM	PREVOD Z UCTU	2910	15011	\N	AB	89217292
619526	2115	1998-06-11	PRIJEM	PREVOD Z UCTU	2910	16019	\N	AB	89217292
619527	2115	1998-07-11	PRIJEM	PREVOD Z UCTU	2910	16100	\N	AB	89217292
619528	2115	1998-08-11	PRIJEM	PREVOD Z UCTU	2910	17113	\N	AB	89217292
619529	2115	1998-09-11	PRIJEM	PREVOD Z UCTU	2910	18130	\N	AB	89217292
619530	2115	1998-10-11	PRIJEM	PREVOD Z UCTU	2910	19151	\N	AB	89217292
619531	2115	1998-11-11	PRIJEM	PREVOD Z UCTU	2910	14141	\N	AB	89217292
619532	2115	1998-12-11	PRIJEM	PREVOD Z UCTU	2910	15146	\N	AB	89217292
619548	2115	1997-04-12	VYDAJ	PREVOD NA UCET	1940	13264	SIPO	UV	74184041
619549	2115	1997-05-12	VYDAJ	PREVOD NA UCET	1940	14260	SIPO	UV	74184041
619550	2115	1997-06-12	VYDAJ	PREVOD NA UCET	1940	15273	SIPO	UV	74184041
619551	2115	1997-07-12	VYDAJ	PREVOD NA UCET	1940	14290	SIPO	UV	74184041
619552	2115	1997-08-12	VYDAJ	PREVOD NA UCET	1940	14137	SIPO	UV	74184041
619553	2115	1997-09-12	VYDAJ	PREVOD NA UCET	1940	11551	SIPO	UV	74184041
619554	2115	1997-10-12	VYDAJ	PREVOD NA UCET	1940	11558	SIPO	UV	74184041
619555	2115	1997-11-12	VYDAJ	PREVOD NA UCET	1940	12562	SIPO	UV	74184041
619556	2115	1997-12-12	VYDAJ	PREVOD NA UCET	1940	12699	SIPO	UV	74184041
619557	2115	1998-01-12	VYDAJ	PREVOD NA UCET	1940	13247	SIPO	UV	74184041
619558	2115	1998-02-12	VYDAJ	PREVOD NA UCET	1940	13475	SIPO	UV	74184041
619559	2115	1998-03-12	VYDAJ	PREVOD NA UCET	1940	13704	SIPO	UV	74184041
619560	2115	1998-04-12	VYDAJ	PREVOD NA UCET	1940	12064	SIPO	UV	74184041
619561	2115	1998-05-12	VYDAJ	PREVOD NA UCET	1940	13071	SIPO	UV	74184041
619562	2115	1998-06-12	VYDAJ	PREVOD NA UCET	1940	14079	SIPO	UV	74184041
619563	2115	1998-07-12	VYDAJ	PREVOD NA UCET	1940	14160	SIPO	UV	74184041
619564	2115	1998-08-12	VYDAJ	PREVOD NA UCET	1940	15173	SIPO	UV	74184041
619565	2115	1998-09-12	VYDAJ	PREVOD NA UCET	1940	16190	SIPO	UV	74184041
619566	2115	1998-10-12	VYDAJ	PREVOD NA UCET	1940	17211	SIPO	UV	74184041
619567	2115	1998-11-12	VYDAJ	PREVOD NA UCET	1940	12201	SIPO	UV	74184041
619568	2115	1998-12-12	VYDAJ	PREVOD NA UCET	1940	13206	SIPO	UV	74184041
619570	2115	1997-12-11	VYDAJ	VYBER	870	14639	\N	\N	\N
619587	2115	1998-01-15	VYDAJ	VYBER	420	12827	\N	\N	\N
619588	2115	1998-01-16	VYDAJ	VYBER	360	12467	\N	\N	\N
619589	2115	1998-01-11	VYDAJ	VYBER	360	15187	\N	\N	\N
619597	2115	1997-08-20	VYDAJ	VYBER	300	13837	\N	\N	\N
619599	2115	1997-08-09	VYDAJ	VYBER	1170	13167	\N	\N	\N
619602	2115	1998-04-11	VYDAJ	VYBER	1350	14004	\N	\N	\N
619603	2115	1998-06-16	VYDAJ	VYBER	930	13149	\N	\N	\N
619604	2115	1998-10-23	VYDAJ	VYBER	330	16881	\N	\N	\N
619605	2115	1998-02-16	VYDAJ	VYBER	780	12695	\N	\N	\N
619623	2115	1997-04-30	VYDAJ	VYBER	15	13290	SLUZBY	\N	\N
619624	2115	1997-05-31	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
619625	2115	1997-06-30	VYDAJ	VYBER	15	15320	SLUZBY	\N	\N
619626	2115	1997-07-31	VYDAJ	VYBER	15	14337	SLUZBY	\N	\N
619627	2115	1997-08-31	VYDAJ	VYBER	15	13881	SLUZBY	\N	\N
619628	2115	1997-09-30	VYDAJ	VYBER	15	11588	SLUZBY	\N	\N
619629	2115	1997-10-31	VYDAJ	VYBER	15	11592	SLUZBY	\N	\N
619630	2115	1997-11-30	VYDAJ	VYBER	15	12599	SLUZBY	\N	\N
619631	2115	1997-12-31	VYDAJ	VYBER	15	12637	SLUZBY	\N	\N
619632	2115	1998-01-31	VYDAJ	VYBER	15	12505	SLUZBY	\N	\N
619633	2115	1998-02-28	VYDAJ	VYBER	15	12734	SLUZBY	\N	\N
619634	2115	1998-03-31	VYDAJ	VYBER	15	12444	SLUZBY	\N	\N
619635	2115	1998-04-30	VYDAJ	VYBER	15	12101	SLUZBY	\N	\N
619636	2115	1998-05-31	VYDAJ	VYBER	15	13109	SLUZBY	\N	\N
619637	2115	1998-06-30	VYDAJ	VYBER	15	13190	SLUZBY	\N	\N
619638	2115	1998-07-31	VYDAJ	VYBER	15	14203	SLUZBY	\N	\N
619639	2115	1998-08-31	VYDAJ	VYBER	15	15220	SLUZBY	\N	\N
619640	2115	1998-09-30	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
619641	2115	1998-10-31	VYDAJ	VYBER	15	11231	SLUZBY	\N	\N
619642	2115	1998-11-30	VYDAJ	VYBER	15	12236	SLUZBY	\N	\N
619643	2115	1997-07-03	VYDAJ	VYBER	2000	13320	\N	\N	\N
619644	2115	1997-09-01	VYDAJ	VYBER	3300	10581	\N	\N	\N
619645	2115	1997-10-01	VYDAJ	VYBER	1000	10588	\N	\N	\N
619646	2115	1997-12-30	VYDAJ	VYBER	100	12599	\N	\N	\N
619647	2115	1998-03-30	VYDAJ	VYBER	1300	12404	\N	\N	\N
619648	2115	1998-10-26	VYDAJ	VYBER	5700	11181	\N	\N	\N
619674	2116	1996-05-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
619675	2116	1996-11-17	PRIJEM	VKLAD	30493	64976	\N	\N	\N
619676	2116	1996-08-10	PRIJEM	VKLAD	41286	112051	\N	\N	\N
619677	2116	1996-08-17	PRIJEM	VKLAD	45358	131664	\N	\N	\N
619678	2116	1996-05-19	PRIJEM	VKLAD	31927	32927	\N	\N	\N
619679	2116	1996-12-14	PRIJEM	VKLAD	22762	46914	\N	\N	\N
619680	2116	1996-11-04	PRIJEM	VKLAD	23257	45997	\N	\N	\N
619681	2116	1996-10-20	PRIJEM	VKLAD	32029	82226	\N	\N	\N
619682	2116	1996-08-03	PRIJEM	VKLAD	37339	70765	\N	\N	\N
619683	2116	1996-08-14	PRIJEM	VKLAD	29855	86306	\N	\N	\N
619684	2116	1996-10-16	PRIJEM	VKLAD	27550	50197	\N	\N	\N
619686	2116	1996-07-11	PRIJEM	VKLAD	8659	35981	\N	\N	\N
619687	2116	1996-12-21	PRIJEM	VKLAD	12771	44872	\N	\N	\N
619688	2116	1997-07-17	PRIJEM	VKLAD	21082	44607	\N	\N	\N
619689	2116	1997-11-10	PRIJEM	VKLAD	28969	82782	\N	\N	\N
619690	2116	1997-11-03	PRIJEM	VKLAD	12212	55120	\N	\N	\N
619691	2116	1997-01-21	PRIJEM	VKLAD	39167	53130	\N	\N	\N
619692	2116	1997-01-29	PRIJEM	VKLAD	14191	59221	\N	\N	\N
619693	2116	1997-07-26	PRIJEM	VKLAD	13753	51760	\N	\N	\N
619694	2116	1997-02-06	PRIJEM	VKLAD	26481	72627	\N	\N	\N
619695	2116	1997-08-26	PRIJEM	VKLAD	43532	80707	\N	\N	\N
619696	2116	1998-06-11	PRIJEM	VKLAD	43785	67602	\N	\N	\N
619697	2116	1998-12-24	PRIJEM	VKLAD	28711	55894	\N	\N	\N
619698	2116	1998-10-14	PRIJEM	VKLAD	47298	70394	\N	\N	\N
619699	2116	1998-03-29	PRIJEM	VKLAD	5415	45564	\N	\N	\N
619700	2116	1998-07-23	PRIJEM	VKLAD	18454	49393	\N	\N	\N
619701	2116	1998-03-10	PRIJEM	VKLAD	23137	49180	\N	\N	\N
619702	2116	1998-03-20	PRIJEM	VKLAD	18802	49349	\N	\N	\N
619711	2116	1996-09-17	VYDAJ	VYBER	8800	21348	\N	\N	0
619712	2116	1996-10-24	VYDAJ	VYBER	10500	60185	\N	\N	0
619713	2116	1996-11-05	VYDAJ	VYBER	6800	39197	\N	\N	0
619714	2116	1996-12-13	VYDAJ	VYBER	4700	24152	\N	\N	0
619715	2116	1997-01-16	VYDAJ	VYBER	8700	13963	\N	\N	0
619716	2116	1997-02-25	VYDAJ	VYBER	9400	58513	\N	\N	0
619717	2116	1997-03-04	VYDAJ	VYBER	6400	39867	\N	\N	0
619718	2116	1997-04-12	VYDAJ	VYBER	8600	22681	\N	\N	0
619719	2116	1997-05-10	VYDAJ	VYBER	6300	22277	\N	\N	0
619720	2116	1997-06-18	VYDAJ	VYBER	10300	17443	\N	\N	0
619721	2116	1997-07-17	VYDAJ	VYBER	6600	38007	\N	\N	0
619722	2116	1997-08-12	VYDAJ	PREVOD NA UCET	7700	34075	UVER	EF	68418848
619723	2116	1997-09-12	VYDAJ	PREVOD NA UCET	7700	68476	UVER	EF	68418848
619724	2116	1997-10-12	VYDAJ	PREVOD NA UCET	7700	40135	UVER	EF	68418848
619725	2116	1997-11-12	VYDAJ	PREVOD NA UCET	7700	71675	UVER	EF	68418848
619726	2116	1997-12-12	VYDAJ	PREVOD NA UCET	7700	39500	UVER	EF	68418848
619727	2116	1998-01-12	VYDAJ	PREVOD NA UCET	7700	26452	UVER	EF	68418848
619728	2116	1998-02-12	VYDAJ	PREVOD NA UCET	7700	18657	UVER	EF	68418848
619729	2116	1998-03-12	VYDAJ	PREVOD NA UCET	7700	38073	UVER	EF	68418848
619730	2116	1998-04-12	VYDAJ	PREVOD NA UCET	7700	33291	UVER	EF	68418848
619731	2116	1998-05-12	VYDAJ	PREVOD NA UCET	7700	22621	UVER	EF	68418848
619732	2116	1998-06-12	VYDAJ	PREVOD NA UCET	7700	56495	UVER	EF	68418848
619733	2116	1998-07-12	VYDAJ	PREVOD NA UCET	7700	28839	UVER	EF	68418848
619734	2116	1998-08-23	VYDAJ	VYBER	5600	38327	\N	\N	0
619735	2116	1998-09-15	VYDAJ	VYBER	6500	27283	\N	\N	0
619736	2116	1998-10-11	VYDAJ	VYBER	5400	26503	\N	\N	0
619737	2116	1998-11-22	VYDAJ	VYBER	9700	36849	\N	\N	0
619738	2116	1998-12-18	VYDAJ	VYBER	10000	27183	\N	\N	0
619747	2116	1996-09-06	VYDAJ	PREVOD NA UCET	1307	67427	SIPO	EF	86869412
619748	2116	1996-10-06	VYDAJ	PREVOD NA UCET	1307	26054	SIPO	EF	86869412
619749	2116	1996-11-06	VYDAJ	PREVOD NA UCET	1307	37890	SIPO	EF	86869412
619750	2116	1996-12-06	VYDAJ	PREVOD NA UCET	1307	32259	SIPO	EF	86869412
619751	2116	1997-01-06	VYDAJ	PREVOD NA UCET	1307	26070	SIPO	EF	86869412
619752	2116	1997-02-06	VYDAJ	PREVOD NA UCET	1307	71320	SIPO	EF	86869412
619753	2116	1997-03-06	VYDAJ	PREVOD NA UCET	1307	38560	SIPO	EF	86869412
619754	2116	1997-04-06	VYDAJ	PREVOD NA UCET	1307	34688	SIPO	EF	86869412
619755	2116	1997-05-06	VYDAJ	PREVOD NA UCET	1307	28577	SIPO	EF	86869412
619756	2116	1997-06-06	VYDAJ	PREVOD NA UCET	1307	31150	SIPO	EF	86869412
619757	2116	1997-07-06	VYDAJ	PREVOD NA UCET	1307	26932	SIPO	EF	86869412
619758	2116	1997-08-06	VYDAJ	PREVOD NA UCET	1307	45182	SIPO	EF	86869412
619759	2116	1997-09-06	VYDAJ	PREVOD NA UCET	1307	79583	SIPO	EF	86869412
619760	2116	1997-10-06	VYDAJ	PREVOD NA UCET	1307	51242	SIPO	EF	86869412
619761	2116	1997-11-06	VYDAJ	PREVOD NA UCET	1307	53813	SIPO	EF	86869412
619762	2116	1997-12-06	VYDAJ	PREVOD NA UCET	1307	53906	SIPO	EF	86869412
619763	2116	1998-01-06	VYDAJ	PREVOD NA UCET	1307	37559	SIPO	EF	86869412
619764	2116	1998-02-06	VYDAJ	PREVOD NA UCET	1307	29764	SIPO	EF	86869412
619765	2116	1998-03-06	VYDAJ	PREVOD NA UCET	1307	26043	SIPO	EF	86869412
619766	2116	1998-04-06	VYDAJ	PREVOD NA UCET	1307	44397	SIPO	EF	86869412
619767	2116	1998-05-06	VYDAJ	PREVOD NA UCET	1307	33728	SIPO	EF	86869412
619768	2116	1998-06-06	VYDAJ	PREVOD NA UCET	1307	26217	SIPO	EF	86869412
619769	2116	1998-07-06	VYDAJ	PREVOD NA UCET	1307	39946	SIPO	EF	86869412
619770	2116	1998-08-06	VYDAJ	PREVOD NA UCET	1307	48234	SIPO	EF	86869412
619771	2116	1998-09-06	VYDAJ	PREVOD NA UCET	1307	37190	SIPO	EF	86869412
619772	2116	1998-10-06	VYDAJ	PREVOD NA UCET	1307	31903	SIPO	EF	86869412
619773	2116	1998-11-06	VYDAJ	PREVOD NA UCET	1307	42356	SIPO	EF	86869412
619774	2116	1998-12-06	VYDAJ	PREVOD NA UCET	1307	23990	SIPO	EF	86869412
619783	2116	1996-09-11	VYDAJ	PREVOD NA UCET	3407	64020	 	QR	59543710
619784	2116	1996-10-11	VYDAJ	PREVOD NA UCET	3407	22647	 	QR	59543710
619785	2116	1996-11-11	VYDAJ	PREVOD NA UCET	3407	34483	 	QR	59543710
619786	2116	1996-12-11	VYDAJ	PREVOD NA UCET	3407	28852	 	QR	59543710
619787	2116	1997-01-11	VYDAJ	PREVOD NA UCET	3407	22663	 	QR	59543710
619788	2116	1997-02-11	VYDAJ	PREVOD NA UCET	3407	67913	 	QR	59543710
619789	2116	1997-03-11	VYDAJ	PREVOD NA UCET	3407	35153	 	QR	59543710
619790	2116	1997-04-11	VYDAJ	PREVOD NA UCET	3407	31281	 	QR	59543710
619791	2116	1997-05-11	VYDAJ	PREVOD NA UCET	3407	18870	 	QR	59543710
619792	2116	1997-06-11	VYDAJ	PREVOD NA UCET	3407	27743	 	QR	59543710
619793	2116	1997-07-11	VYDAJ	PREVOD NA UCET	3407	23525	 	QR	59543710
619794	2116	1997-08-11	VYDAJ	PREVOD NA UCET	3407	41775	 	QR	59543710
619795	2116	1997-09-11	VYDAJ	PREVOD NA UCET	3407	76176	 	QR	59543710
619796	2116	1997-10-11	VYDAJ	PREVOD NA UCET	3407	47835	 	QR	59543710
619797	2116	1997-11-11	VYDAJ	PREVOD NA UCET	3407	79375	 	QR	59543710
619798	2116	1997-12-11	VYDAJ	PREVOD NA UCET	3407	50499	 	QR	59543710
619799	2116	1998-01-11	VYDAJ	PREVOD NA UCET	3407	34152	 	QR	59543710
619800	2116	1998-02-11	VYDAJ	PREVOD NA UCET	3407	26357	 	QR	59543710
619801	2116	1998-03-11	VYDAJ	PREVOD NA UCET	3407	45773	 	QR	59543710
619802	2116	1998-04-11	VYDAJ	PREVOD NA UCET	3407	40990	 	QR	59543710
619803	2116	1998-05-11	VYDAJ	PREVOD NA UCET	3407	30321	 	QR	59543710
619804	2116	1998-06-11	VYDAJ	PREVOD NA UCET	3407	64195	 	QR	59543710
619805	2116	1998-07-11	VYDAJ	PREVOD NA UCET	3407	36539	 	QR	59543710
619806	2116	1998-08-11	VYDAJ	PREVOD NA UCET	3407	44827	 	QR	59543710
619807	2116	1998-09-11	VYDAJ	PREVOD NA UCET	3407	33783	 	QR	59543710
619808	2116	1998-10-11	VYDAJ	PREVOD NA UCET	3407	23096	 	QR	59543710
619809	2116	1998-11-11	VYDAJ	PREVOD NA UCET	3407	38949	 	QR	59543710
619810	2116	1998-12-11	VYDAJ	PREVOD NA UCET	3407	20583	 	QR	59543710
619811	2116	1996-12-14	VYBER	VYBER	14813	32101	\N	\N	\N
619812	2116	1996-09-17	VYBER	VYBER	20972	43048	\N	\N	\N
619815	2116	1996-12-21	VYBER	VYBER	19642	25230	\N	\N	\N
619817	2116	1996-10-21	VYBER	VYBER	11541	70685	\N	\N	\N
619820	2116	1996-11-01	VYBER	VYBER	22007	22740	\N	\N	\N
619822	2116	1998-03-18	VYBER	VYBER	7526	30547	\N	\N	\N
619824	2116	1998-12-27	VYBER	VYBER	19602	29692	\N	\N	\N
619832	2116	1996-12-04	VYDAJ	VYBER	3600	33566	\N	\N	\N
619833	2116	1997-12-15	VYDAJ	VYBER	4800	34700	\N	\N	\N
619834	2116	1998-12-26	VYDAJ	VYBER	6600	49294	\N	\N	\N
619835	2116	1996-09-17	VYDAJ	VYBER	12900	30148	\N	\N	\N
619837	2116	1996-12-01	VYDAJ	VYBER	9600	37166	\N	\N	\N
619842	2116	1997-12-12	VYDAJ	VYBER KARTOU	3300	47199	\N	\N	0
619845	2116	1997-02-01	VYDAJ	VYBER	13200	46146	\N	\N	\N
619847	2116	1998-10-23	VYDAJ	VYBER	9600	43494	\N	\N	\N
619849	2116	1998-06-10	VYDAJ	VYBER KARTOU	2400	23817	\N	\N	0
619850	2116	1998-11-27	VYDAJ	VYBER	11700	25149	\N	\N	\N
619851	2116	1998-06-18	VYDAJ	VYBER	6000	50495	\N	\N	\N
619860	2116	1996-08-31	VYDAJ	VYBER	15	68734	SLUZBY	\N	\N
619861	2116	1996-09-30	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
619862	2116	1996-10-31	VYDAJ	VYBER	15	44747	SLUZBY	\N	\N
619863	2116	1996-11-30	VYDAJ	VYBER	15	46766	SLUZBY	\N	\N
619864	2116	1996-12-31	VYDAJ	VYBER	15	27377	SLUZBY	\N	\N
619865	2116	1997-01-31	VYDAJ	VYBER	15	59346	SLUZBY	\N	\N
619866	2116	1997-02-28	VYDAJ	VYBER	15	46267	SLUZBY	\N	\N
619867	2116	1997-03-31	VYDAJ	VYBER	15	35995	SLUZBY	\N	\N
619868	2116	1997-04-30	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
619869	2116	1997-05-31	VYDAJ	VYBER	15	32457	SLUZBY	\N	\N
619870	2116	1997-06-30	VYDAJ	VYBER	15	28239	SLUZBY	\N	\N
619871	2116	1997-07-31	VYDAJ	VYBER	15	46489	SLUZBY	\N	\N
619872	2116	1997-08-31	VYDAJ	VYBER	15	80890	SLUZBY	\N	\N
619873	2116	1997-09-30	VYDAJ	VYBER	15	52549	SLUZBY	\N	\N
619874	2116	1997-10-31	VYDAJ	VYBER	15	42908	SLUZBY	\N	\N
619875	2116	1997-11-30	VYDAJ	VYBER	15	55213	SLUZBY	\N	\N
619876	2116	1997-12-31	VYDAJ	VYBER	15	38866	SLUZBY	\N	\N
619877	2116	1998-01-31	VYDAJ	VYBER	15	31071	SLUZBY	\N	\N
619878	2116	1998-02-28	VYDAJ	VYBER	15	27350	SLUZBY	\N	\N
619879	2116	1998-03-31	VYDAJ	VYBER	15	45704	SLUZBY	\N	\N
619880	2116	1998-04-30	VYDAJ	VYBER	15	35035	SLUZBY	\N	\N
619881	2116	1998-05-31	VYDAJ	VYBER	15	27524	SLUZBY	\N	\N
619882	2116	1998-06-30	VYDAJ	VYBER	15	41253	SLUZBY	\N	\N
619883	2116	1998-07-31	VYDAJ	VYBER	15	49541	SLUZBY	\N	\N
619884	2116	1998-08-31	VYDAJ	VYBER	15	38497	SLUZBY	\N	\N
619885	2116	1998-09-30	VYDAJ	VYBER	15	33210	SLUZBY	\N	\N
619886	2116	1998-10-31	VYDAJ	VYBER	15	43663	SLUZBY	\N	\N
619887	2116	1998-11-30	VYDAJ	VYBER	15	25297	SLUZBY	\N	\N
619888	2116	1996-06-01	VYDAJ	VYBER	3000	29985	\N	\N	\N
619889	2116	1996-07-01	VYDAJ	VYBER	2800	27322	\N	\N	\N
619890	2116	1996-07-31	VYDAJ	VYBER	2700	33426	\N	\N	\N
619891	2116	1996-08-10	VYDAJ	VYBER	55600	56451	\N	\N	\N
619892	2116	1996-08-17	VYDAJ	VYBER	28500	103164	\N	\N	\N
619893	2116	1996-08-30	VYDAJ	VYBER	34800	68364	\N	\N	\N
619894	2116	1996-09-29	PRIJEM	VKLAD	5800	27148	\N	\N	\N
619895	2116	1996-10-29	VYDAJ	VYBER	15600	44585	\N	\N	\N
619896	2116	1996-11-28	VYDAJ	VYBER	18400	46576	\N	\N	\N
619897	2116	1996-12-28	PRIJEM	VKLAD	2000	27230	\N	\N	\N
619898	2116	1997-01-27	VYDAJ	VYBER	8100	45030	\N	\N	\N
619899	2116	1997-02-26	VYDAJ	VYBER	12500	46013	\N	\N	\N
619900	2116	1997-03-28	PRIJEM	VKLAD	700	35853	\N	\N	\N
619901	2116	1997-04-27	PRIJEM	VKLAD	7100	29781	\N	\N	\N
619902	2116	1997-05-27	PRIJEM	VKLAD	13500	32370	\N	\N	\N
619903	2116	1997-06-26	PRIJEM	VKLAD	10700	28143	\N	\N	\N
619904	2116	1997-07-26	VYDAJ	VYBER	5400	46360	\N	\N	\N
619905	2116	1997-08-25	PRIJEM	VKLAD	3100	37175	\N	\N	\N
619906	2116	1997-09-24	VYDAJ	VYBER	16200	52276	\N	\N	\N
619907	2116	1997-10-24	PRIJEM	VKLAD	2600	42735	\N	\N	\N
619908	2116	1997-11-23	VYDAJ	VYBER	16700	54975	\N	\N	\N
619909	2116	1997-12-23	PRIJEM	VKLAD	4000	38700	\N	\N	\N
619910	2116	1998-01-22	PRIJEM	VKLAD	4500	30952	\N	\N	\N
619911	2116	1998-02-21	PRIJEM	VKLAD	8600	27257	\N	\N	\N
619912	2116	1998-03-23	VYDAJ	VYBER	9200	40149	\N	\N	\N
619913	2116	1998-04-22	PRIJEM	VKLAD	1600	34891	\N	\N	\N
619914	2116	1998-05-22	PRIJEM	VKLAD	4800	27421	\N	\N	\N
619915	2116	1998-06-21	VYDAJ	VYBER	9400	41095	\N	\N	\N
619916	2116	1998-07-21	PRIJEM	VKLAD	2100	30939	\N	\N	\N
619917	2116	1998-08-20	VYDAJ	VYBER KARTOU	900	43927	\N	\N	0
619918	2116	1998-09-19	PRIJEM	VKLAD	5800	33083	\N	\N	\N
619919	2116	1998-10-19	VYDAJ	VYBER	17300	53094	\N	\N	\N
619920	2116	1998-11-18	PRIJEM	VKLAD	7600	46549	\N	\N	\N
619921	2116	1998-12-18	PRIJEM	VKLAD	16600	37183	\N	\N	\N
619954	2117	1996-08-07	PRIJEM	VKLAD	900	900	\N	\N	\N
619962	2117	1996-08-11	PRIJEM	VKLAD	11679	12579	\N	\N	\N
619963	2117	1996-09-11	PRIJEM	VKLAD	11679	31294	\N	\N	\N
619964	2117	1996-10-11	PRIJEM	VKLAD	11679	38677	\N	\N	\N
619965	2117	1996-11-11	PRIJEM	VKLAD	11679	45507	\N	\N	\N
619966	2117	1996-12-11	PRIJEM	VKLAD	17518	54105	\N	\N	\N
619967	2117	1997-01-11	PRIJEM	VKLAD	11679	44197	\N	\N	\N
619968	2117	1997-02-11	PRIJEM	VKLAD	11679	27026	\N	\N	\N
619969	2117	1997-03-11	PRIJEM	VKLAD	11679	29605	\N	\N	\N
619970	2117	1997-04-11	PRIJEM	VKLAD	11679	32497	\N	\N	\N
619971	2117	1997-05-11	PRIJEM	VKLAD	11679	28504	\N	\N	\N
619972	2117	1997-06-11	PRIJEM	VKLAD	17518	30542	\N	\N	\N
619973	2117	1997-07-11	PRIJEM	VKLAD	11679	28640	\N	\N	\N
619974	2117	1997-08-11	PRIJEM	VKLAD	11679	29137	\N	\N	\N
619975	2117	1997-09-11	PRIJEM	VKLAD	11679	26533	\N	\N	\N
619976	2117	1997-10-11	PRIJEM	VKLAD	11679	24312	\N	\N	\N
619977	2117	1997-11-11	PRIJEM	VKLAD	11679	22185	\N	\N	\N
619978	2117	1997-12-11	PRIJEM	VKLAD	17518	29389	\N	\N	\N
619979	2117	1998-01-11	PRIJEM	VKLAD	11679	18970	\N	\N	\N
619980	2117	1998-02-11	PRIJEM	VKLAD	11679	15110	\N	\N	\N
619981	2117	1998-03-11	PRIJEM	VKLAD	11679	18045	\N	\N	\N
619982	2117	1998-04-11	PRIJEM	VKLAD	11679	18292	\N	\N	\N
619983	2117	1998-05-11	PRIJEM	VKLAD	11679	18739	\N	\N	\N
619984	2117	1998-06-11	PRIJEM	VKLAD	17518	26728	\N	\N	\N
619985	2117	1998-07-11	PRIJEM	VKLAD	11679	22001	\N	\N	\N
619986	2117	1998-08-11	PRIJEM	VKLAD	11679	19361	\N	\N	\N
619987	2117	1998-09-11	PRIJEM	VKLAD	11679	19712	\N	\N	\N
619988	2117	1998-10-11	PRIJEM	VKLAD	11679	22466	\N	\N	\N
619989	2117	1998-11-11	PRIJEM	VKLAD	11679	21527	\N	\N	\N
619990	2117	1998-12-11	PRIJEM	VKLAD	17518	24023	\N	\N	\N
620003	2117	1997-01-09	VYDAJ	PREVOD NA UCET	7786	32518	SIPO	GH	72168028
620004	2117	1997-02-09	VYDAJ	PREVOD NA UCET	7786	15347	SIPO	GH	72168028
620005	2117	1997-03-09	VYDAJ	PREVOD NA UCET	7786	17926	SIPO	GH	72168028
620006	2117	1997-04-09	VYDAJ	PREVOD NA UCET	7786	20818	SIPO	GH	72168028
620007	2117	1997-05-09	VYDAJ	PREVOD NA UCET	7786	16825	SIPO	GH	72168028
620008	2117	1997-06-09	VYDAJ	PREVOD NA UCET	7786	13024	SIPO	GH	72168028
620009	2117	1997-07-09	VYDAJ	PREVOD NA UCET	7786	16961	SIPO	GH	72168028
620010	2117	1997-08-09	VYDAJ	PREVOD NA UCET	7786	17458	SIPO	GH	72168028
620011	2117	1997-09-09	VYDAJ	PREVOD NA UCET	7786	14854	SIPO	GH	72168028
620012	2117	1997-10-09	VYDAJ	PREVOD NA UCET	7786	12633	SIPO	GH	72168028
620013	2117	1997-11-09	VYDAJ	PREVOD NA UCET	7786	10506	SIPO	GH	72168028
620014	2117	1997-12-09	VYDAJ	PREVOD NA UCET	7786	11871	SIPO	GH	72168028
620015	2117	1998-01-09	VYDAJ	PREVOD NA UCET	7786	7291	SIPO	GH	72168028
620016	2117	1998-02-09	VYDAJ	PREVOD NA UCET	7786	3431	SIPO	GH	72168028
620017	2117	1998-03-09	VYDAJ	PREVOD NA UCET	7786	6366	SIPO	GH	72168028
620018	2117	1998-04-09	VYDAJ	PREVOD NA UCET	7786	6613	SIPO	GH	72168028
620019	2117	1998-05-09	VYDAJ	PREVOD NA UCET	7786	7060	SIPO	GH	72168028
620020	2117	1998-06-09	VYDAJ	PREVOD NA UCET	7786	9210	SIPO	GH	72168028
620021	2117	1998-07-09	VYDAJ	PREVOD NA UCET	7786	10322	SIPO	GH	72168028
620022	2117	1998-08-09	VYDAJ	PREVOD NA UCET	7786	7682	SIPO	GH	72168028
620023	2117	1998-09-09	VYDAJ	PREVOD NA UCET	7786	8033	SIPO	GH	72168028
620024	2117	1998-10-09	VYDAJ	PREVOD NA UCET	7786	10787	SIPO	GH	72168028
620025	2117	1998-11-09	VYDAJ	PREVOD NA UCET	7786	9848	SIPO	GH	72168028
620026	2117	1998-12-09	VYDAJ	PREVOD NA UCET	7786	6505	SIPO	GH	72168028
620031	2117	1997-01-21	VYDAJ	VYBER	9600	25297	\N	\N	\N
620032	2117	1998-01-12	VYDAJ	VYBER	3100	15270	\N	\N	\N
620033	2117	1996-12-11	VYDAJ	VYBER	1600	52505	\N	\N	\N
620034	2117	1997-12-18	VYDAJ	VYBER	2800	26589	\N	\N	\N
620035	2117	1998-12-05	VYDAJ	VYBER	500	14291	\N	\N	\N
620042	2117	1997-01-26	VYDAJ	VYBER	2500	20097	\N	\N	\N
620043	2117	1997-01-14	VYDAJ	VYBER	2600	41597	\N	\N	\N
620044	2117	1997-01-16	VYDAJ	VYBER	700	40897	\N	\N	\N
620045	2117	1997-01-16	VYDAJ	VYBER	2800	36197	\N	\N	\N
620046	2117	1997-01-20	VYDAJ	VYBER	1300	34897	\N	\N	\N
620047	2117	1997-01-23	VYDAJ	VYBER	2700	22597	\N	\N	\N
620048	2117	1998-01-07	VYDAJ	VYBER	1900	17577	\N	\N	\N
620049	2117	1998-01-05	VYDAJ	VYBER	1700	19477	\N	\N	\N
620050	2117	1998-01-11	VYDAJ	VYBER	600	18370	\N	\N	\N
620052	2117	1998-01-12	VYDAJ	VYBER	1700	13570	\N	\N	\N
620053	2117	1998-01-08	VYDAJ	VYBER	2500	15077	\N	\N	\N
620059	2117	1997-09-01	VYDAJ	VYBER	800	28440	\N	\N	\N
620060	2117	1997-09-16	VYDAJ	VYBER	4100	22433	\N	\N	\N
620061	2117	1997-01-16	VYDAJ	VYBER	1900	38997	\N	\N	\N
620063	2117	1997-09-09	VYDAJ	VYBER	1700	22640	\N	\N	\N
620064	2117	1997-02-27	VYDAJ	VYBER	3600	23426	\N	\N	\N
620067	2117	1998-10-05	VYDAJ	VYBER	600	18573	\N	\N	\N
620068	2117	1998-11-29	VYDAJ	VYBER	1600	14727	\N	\N	\N
620081	2117	1996-12-31	VYDAJ	VYBER	15	52704	SLUZBY	\N	\N
620082	2117	1997-01-31	VYDAJ	VYBER	15	20233	SLUZBY	\N	\N
620083	2117	1997-02-28	VYDAJ	VYBER	15	23512	SLUZBY	\N	\N
620084	2117	1997-03-31	VYDAJ	VYBER	15	29704	SLUZBY	\N	\N
620085	2117	1997-04-30	VYDAJ	VYBER	15	32611	SLUZBY	\N	\N
620086	2117	1997-05-31	VYDAJ	VYBER	15	28610	SLUZBY	\N	\N
620087	2117	1997-06-30	VYDAJ	VYBER	15	30647	SLUZBY	\N	\N
620088	2117	1997-07-31	VYDAJ	VYBER	15	28744	SLUZBY	\N	\N
620089	2117	1997-08-31	VYDAJ	VYBER	15	29240	SLUZBY	\N	\N
620090	2117	1997-09-30	VYDAJ	VYBER	15	22519	SLUZBY	\N	\N
620091	2117	1997-10-31	VYDAJ	VYBER	15	18292	SLUZBY	\N	\N
620092	2117	1997-11-30	VYDAJ	VYBER	15	19657	SLUZBY	\N	\N
620093	2117	1997-12-31	VYDAJ	VYBER	15	21177	SLUZBY	\N	\N
620094	2117	1998-01-31	VYDAJ	VYBER	15	11217	SLUZBY	\N	\N
620095	2117	1998-02-28	VYDAJ	VYBER	15	14152	SLUZBY	\N	\N
620096	2117	1998-03-31	VYDAJ	VYBER	15	14399	SLUZBY	\N	\N
620097	2117	1998-04-30	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
620098	2117	1998-05-31	VYDAJ	VYBER	15	16996	SLUZBY	\N	\N
620099	2117	1998-06-30	VYDAJ	VYBER	15	18108	SLUZBY	\N	\N
620100	2117	1998-07-31	VYDAJ	VYBER	15	15468	SLUZBY	\N	\N
620101	2117	1998-08-31	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
620102	2117	1998-09-30	VYDAJ	VYBER	15	19173	SLUZBY	\N	\N
620103	2117	1998-10-31	VYDAJ	VYBER	15	17634	SLUZBY	\N	\N
620104	2117	1998-11-30	VYDAJ	VYBER	15	14791	SLUZBY	\N	\N
620105	2117	1996-09-06	PRIJEM	VKLAD	7000	19615	\N	\N	\N
620106	2117	1996-10-06	VYDAJ	VYBER	4400	26998	\N	\N	\N
620107	2117	1996-11-05	VYDAJ	VYBER	5000	33828	\N	\N	\N
620108	2117	1996-12-05	VYDAJ	VYBER	9100	36587	\N	\N	\N
620109	2117	1997-01-04	VYDAJ	VYBER	12400	40304	\N	\N	\N
620110	2117	1997-02-03	PRIJEM	VKLAD	2900	23133	\N	\N	\N
620111	2117	1997-03-05	PRIJEM	VKLAD	2200	25712	\N	\N	\N
620112	2117	1997-04-04	VYDAJ	VYBER	1100	28604	\N	\N	\N
620113	2117	1997-05-04	VYDAJ	VYBER	8000	24611	\N	\N	\N
620114	2117	1997-06-03	VYDAJ	VYBER	7800	20810	\N	\N	\N
620115	2117	1997-07-03	VYDAJ	VYBER	5900	24747	\N	\N	\N
620116	2117	1997-08-02	VYDAJ	VYBER	3500	25244	\N	\N	\N
620117	2117	1997-09-01	VYDAJ	VYBER	4100	24340	\N	\N	\N
620118	2117	1997-10-01	VYDAJ	VYBER	2100	20419	\N	\N	\N
620119	2117	1997-10-31	VYDAJ	VYBER	6100	18307	\N	\N	\N
620120	2117	1997-11-30	VYDAJ	VYBER	2600	19672	\N	\N	\N
620121	2117	1997-12-30	VYDAJ	VYBER	5500	21089	\N	\N	\N
620122	2117	1998-01-29	VYDAJ	VYBER	2400	11170	\N	\N	\N
620123	2117	1998-02-28	VYDAJ	VYBER	1000	14166	\N	\N	\N
620124	2117	1998-03-30	VYDAJ	VYBER	3700	14345	\N	\N	\N
620125	2117	1998-04-29	VYDAJ	VYBER	3500	14792	\N	\N	\N
620126	2117	1998-05-29	VYDAJ	VYBER	1800	16939	\N	\N	\N
620127	2117	1998-06-28	VYDAJ	VYBER	8700	18028	\N	\N	\N
620128	2117	1998-07-28	VYDAJ	VYBER	6600	15401	\N	\N	\N
620129	2117	1998-08-27	VYDAJ	VYBER	3600	15761	\N	\N	\N
620130	2117	1998-09-26	VYDAJ	VYBER	600	19112	\N	\N	\N
620131	2117	1998-10-26	VYDAJ	VYBER	4900	17566	\N	\N	\N
620132	2117	1998-11-25	VYDAJ	VYBER	5200	16327	\N	\N	\N
620162	2118	1997-05-11	PRIJEM	VKLAD	300	300	\N	\N	\N
620167	2118	1997-05-12	PRIJEM	VKLAD	21848	22148	\N	\N	\N
620168	2118	1997-06-12	PRIJEM	VKLAD	32772	53680	\N	\N	\N
620169	2118	1997-07-12	PRIJEM	VKLAD	21848	55603	\N	\N	\N
620170	2118	1997-08-12	PRIJEM	VKLAD	21848	59580	\N	\N	\N
620171	2118	1997-09-12	PRIJEM	VKLAD	21848	62270	\N	\N	\N
620172	2118	1997-10-12	PRIJEM	VKLAD	21848	58263	\N	\N	\N
620173	2118	1997-11-12	PRIJEM	VKLAD	21848	58426	\N	\N	\N
620174	2118	1997-12-12	PRIJEM	VKLAD	32772	65390	\N	\N	\N
620175	2118	1998-01-12	PRIJEM	VKLAD	21848	54764	\N	\N	\N
620176	2118	1998-02-12	PRIJEM	VKLAD	21848	54878	\N	\N	\N
620177	2118	1998-03-12	PRIJEM	VKLAD	21848	56614	\N	\N	\N
620178	2118	1998-04-12	PRIJEM	VKLAD	21848	59070	\N	\N	\N
620179	2118	1998-05-12	PRIJEM	VKLAD	21848	64036	\N	\N	\N
620180	2118	1998-06-12	PRIJEM	VKLAD	32772	71842	\N	\N	\N
620181	2118	1998-07-12	PRIJEM	VKLAD	21848	52264	\N	\N	\N
620182	2118	1998-08-12	PRIJEM	VKLAD	21848	57168	\N	\N	\N
620183	2118	1998-09-12	PRIJEM	VKLAD	21848	59318	\N	\N	\N
620184	2118	1998-10-12	PRIJEM	VKLAD	21848	58084	\N	\N	\N
620185	2118	1998-11-12	PRIJEM	VKLAD	21848	55050	\N	\N	\N
620186	2118	1998-12-12	PRIJEM	VKLAD	32772	61531	\N	\N	\N
620195	2118	1997-09-13	VYDAJ	PREVOD NA UCET	9871	52399	SIPO	YZ	74920552
620196	2118	1997-10-13	VYDAJ	PREVOD NA UCET	9871	48392	SIPO	YZ	74920552
620197	2118	1997-11-13	VYDAJ	PREVOD NA UCET	9871	48555	SIPO	YZ	74920552
620198	2118	1997-12-13	VYDAJ	PREVOD NA UCET	9871	55519	SIPO	YZ	74920552
620199	2118	1998-01-13	VYDAJ	PREVOD NA UCET	9871	44893	SIPO	YZ	74920552
620200	2118	1998-02-13	VYDAJ	PREVOD NA UCET	9871	45007	SIPO	YZ	74920552
620201	2118	1998-03-13	VYDAJ	PREVOD NA UCET	9871	46743	SIPO	YZ	74920552
620202	2118	1998-04-13	VYDAJ	PREVOD NA UCET	9871	49199	SIPO	YZ	74920552
620203	2118	1998-05-13	VYDAJ	PREVOD NA UCET	9871	54165	SIPO	YZ	74920552
620204	2118	1998-06-13	VYDAJ	PREVOD NA UCET	9871	61971	SIPO	YZ	74920552
620205	2118	1998-07-13	VYDAJ	PREVOD NA UCET	9871	42393	SIPO	YZ	74920552
620206	2118	1998-08-13	VYDAJ	PREVOD NA UCET	9871	47297	SIPO	YZ	74920552
620207	2118	1998-09-13	VYDAJ	PREVOD NA UCET	9871	49447	SIPO	YZ	74920552
620208	2118	1998-10-13	VYDAJ	PREVOD NA UCET	9871	48213	SIPO	YZ	74920552
620209	2118	1998-11-13	VYDAJ	PREVOD NA UCET	9871	45179	SIPO	YZ	74920552
620210	2118	1998-12-13	VYDAJ	PREVOD NA UCET	9871	51660	SIPO	YZ	74920552
620212	2118	1998-06-29	VYDAJ	VYBER	29280	32691	\N	\N	\N
620214	2118	1998-01-01	VYDAJ	VYBER	6400	49316	\N	\N	\N
620215	2118	1997-12-07	VYDAJ	VYBER	2560	43418	\N	\N	\N
620216	2118	1998-12-06	VYDAJ	VYBER KARTOU	1600	28759	\N	\N	0
620223	2118	1998-01-15	VYDAJ	VYBER	720	42493	\N	\N	\N
620224	2118	1998-01-04	VYDAJ	VYBER	1200	42956	\N	\N	\N
620225	2118	1998-01-28	VYDAJ	VYBER	2520	39133	\N	\N	\N
620226	2118	1998-01-14	VYDAJ	VYBER	1680	43213	\N	\N	\N
620227	2118	1998-01-07	VYDAJ	VYBER	1440	32916	\N	\N	\N
620228	2118	1998-01-25	VYDAJ	VYBER	840	41653	\N	\N	\N
620229	2118	1997-10-16	VYDAJ	VYBER	4200	44192	\N	\N	\N
620230	2118	1997-12-01	VYDAJ	VYBER	2760	45978	\N	\N	\N
620233	2118	1998-01-02	VYDAJ	VYBER	5160	44156	\N	\N	\N
620234	2118	1998-02-03	VYDAJ	VYBER	2760	36530	\N	\N	\N
620235	2118	1998-12-22	VYDAJ	VYBER KARTOU	1900	49760	\N	\N	0
620236	2118	1998-07-26	VYDAJ	VYBER	2520	39873	\N	\N	\N
620237	2118	1998-02-11	VYDAJ	VYBER	1200	33030	\N	\N	\N
620247	2118	1997-09-30	VYDAJ	VYBER	15	52615	SLUZBY	\N	\N
620248	2118	1997-10-31	VYDAJ	VYBER	15	44378	SLUZBY	\N	\N
620249	2118	1997-11-30	VYDAJ	VYBER	15	48738	SLUZBY	\N	\N
620250	2118	1997-12-31	VYDAJ	VYBER	15	55716	SLUZBY	\N	\N
620251	2118	1998-01-31	VYDAJ	VYBER	15	39290	SLUZBY	\N	\N
620252	2118	1998-02-28	VYDAJ	VYBER	15	45166	SLUZBY	\N	\N
620253	2118	1998-03-31	VYDAJ	VYBER	15	46922	SLUZBY	\N	\N
620254	2118	1998-04-30	VYDAJ	VYBER	15	49388	SLUZBY	\N	\N
620255	2118	1998-05-31	VYDAJ	VYBER	15	54370	SLUZBY	\N	\N
620256	2118	1998-06-30	VYDAJ	VYBER	15	32916	SLUZBY	\N	\N
620257	2118	1998-07-31	VYDAJ	VYBER	15	40020	SLUZBY	\N	\N
620258	2118	1998-08-31	VYDAJ	VYBER	15	47470	SLUZBY	\N	\N
620259	2118	1998-09-30	VYDAJ	VYBER	15	49636	SLUZBY	\N	\N
620260	2118	1998-10-31	VYDAJ	VYBER	15	48402	SLUZBY	\N	\N
620261	2118	1998-11-30	VYDAJ	VYBER	15	45359	SLUZBY	\N	\N
620262	2118	1997-06-10	VYDAJ	VYBER	1300	20908	\N	\N	\N
620263	2118	1997-07-10	VYDAJ	VYBER	20100	33755	\N	\N	\N
620264	2118	1997-08-09	VYDAJ	VYBER	18100	37732	\N	\N	\N
620265	2118	1997-09-08	VYDAJ	VYBER	19400	40422	\N	\N	\N
620266	2118	1997-10-08	VYDAJ	VYBER	16200	36415	\N	\N	\N
620267	2118	1997-11-07	VYDAJ	VYBER	7800	36578	\N	\N	\N
620268	2118	1997-12-07	VYDAJ	VYBER	10800	32618	\N	\N	\N
620269	2118	1998-01-06	VYDAJ	VYBER	8600	34356	\N	\N	\N
620270	2118	1998-02-05	VYDAJ	VYBER	2300	34230	\N	\N	\N
620271	2118	1998-03-07	VYDAJ	VYBER	10400	34766	\N	\N	\N
620272	2118	1998-04-06	VYDAJ	VYBER	9700	37222	\N	\N	\N
620273	2118	1998-05-06	VYDAJ	VYBER	7200	42188	\N	\N	\N
620274	2118	1998-06-05	VYDAJ	VYBER	15300	39070	\N	\N	\N
620275	2118	1998-07-05	VYDAJ	VYBER	2500	30416	\N	\N	\N
620276	2118	1998-08-04	VYDAJ	VYBER	4700	35320	\N	\N	\N
620277	2118	1998-09-03	VYDAJ	VYBER	10000	37470	\N	\N	\N
620278	2118	1998-10-03	VYDAJ	VYBER	13400	36236	\N	\N	\N
620279	2118	1998-11-02	VYDAJ	VYBER	15200	33202	\N	\N	\N
620280	2118	1998-12-02	VYDAJ	VYBER	15000	30359	\N	\N	\N
620301	2119	1995-09-21	PRIJEM	VKLAD	500	500	\N	\N	\N
620311	2119	1995-10-05	PRIJEM	VKLAD	8533	9033	\N	\N	\N
620312	2119	1995-11-05	PRIJEM	VKLAD	8533	25491	\N	\N	\N
620313	2119	1995-12-05	PRIJEM	VKLAD	12800	39977	\N	\N	\N
620314	2119	1996-01-05	PRIJEM	VKLAD	8533	40230	\N	\N	\N
620315	2119	1996-02-05	PRIJEM	VKLAD	8533	39393	\N	\N	\N
620316	2119	1996-03-05	PRIJEM	VKLAD	8533	39455	\N	\N	\N
620317	2119	1996-04-05	PRIJEM	VKLAD	8533	29502	\N	\N	\N
620318	2119	1996-05-05	PRIJEM	VKLAD	8533	29623	\N	\N	\N
620319	2119	1996-06-05	PRIJEM	VKLAD	12800	31185	\N	\N	\N
620320	2119	1996-07-05	PRIJEM	VKLAD	8533	26562	\N	\N	\N
620321	2119	1996-08-05	PRIJEM	VKLAD	8533	30377	\N	\N	\N
620322	2119	1996-09-05	PRIJEM	VKLAD	8533	33307	\N	\N	\N
620323	2119	1996-10-05	PRIJEM	VKLAD	8533	33041	\N	\N	\N
620324	2119	1996-11-05	PRIJEM	VKLAD	8533	32674	\N	\N	\N
620325	2119	1996-12-05	PRIJEM	VKLAD	12800	33794	\N	\N	\N
620326	2119	1997-01-05	PRIJEM	VKLAD	8533	24969	\N	\N	\N
620327	2119	1997-02-05	PRIJEM	VKLAD	8533	21615	\N	\N	\N
620328	2119	1997-03-05	PRIJEM	VKLAD	8533	30724	\N	\N	\N
620329	2119	1997-04-05	PRIJEM	VKLAD	8533	34957	\N	\N	\N
620330	2119	1997-05-05	PRIJEM	VKLAD	8533	37204	\N	\N	\N
620331	2119	1997-06-05	PRIJEM	VKLAD	12800	37912	\N	\N	\N
620332	2119	1997-07-05	PRIJEM	VKLAD	8533	25271	\N	\N	\N
620333	2119	1997-08-05	PRIJEM	VKLAD	8533	26885	\N	\N	\N
620334	2119	1997-09-05	PRIJEM	VKLAD	8533	32808	\N	\N	\N
620335	2119	1997-10-05	PRIJEM	VKLAD	8533	31097	\N	\N	\N
620336	2119	1997-11-05	PRIJEM	VKLAD	8533	31824	\N	\N	\N
620337	2119	1997-12-05	PRIJEM	VKLAD	12800	41937	\N	\N	\N
620338	2119	1998-01-05	PRIJEM	VKLAD	8533	35759	\N	\N	\N
620339	2119	1998-02-05	PRIJEM	VKLAD	8533	22415	\N	\N	\N
620340	2119	1998-03-05	PRIJEM	VKLAD	8533	28225	\N	\N	\N
620341	2119	1998-04-05	PRIJEM	VKLAD	8533	29048	\N	\N	\N
620342	2119	1998-05-05	PRIJEM	VKLAD	8533	34883	\N	\N	\N
620343	2119	1998-06-05	PRIJEM	VKLAD	12800	42098	\N	\N	\N
620344	2119	1998-07-05	PRIJEM	VKLAD	8533	41063	\N	\N	\N
620345	2119	1998-08-05	PRIJEM	VKLAD	8533	34176	\N	\N	\N
620346	2119	1998-09-05	PRIJEM	VKLAD	8533	43250	\N	\N	\N
620347	2119	1998-10-05	PRIJEM	VKLAD	8533	43131	\N	\N	\N
620348	2119	1998-11-05	PRIJEM	VKLAD	8533	48298	\N	\N	\N
620349	2119	1998-12-05	PRIJEM	VKLAD	12800	61870	\N	\N	\N
620363	2119	1996-02-11	VYDAJ	PREVOD NA UCET	5688	33705	SIPO	QR	40626055
620364	2119	1996-03-11	VYDAJ	PREVOD NA UCET	5688	30887	SIPO	QR	40626055
620365	2119	1996-04-11	VYDAJ	PREVOD NA UCET	5688	23814	SIPO	QR	40626055
620366	2119	1996-05-11	VYDAJ	PREVOD NA UCET	5688	23935	SIPO	QR	40626055
620367	2119	1996-06-11	VYDAJ	PREVOD NA UCET	5688	25497	SIPO	QR	40626055
620368	2119	1996-07-11	VYDAJ	PREVOD NA UCET	5688	20874	SIPO	QR	40626055
620369	2119	1996-08-11	VYDAJ	PREVOD NA UCET	5688	24689	SIPO	QR	40626055
620370	2119	1996-09-11	VYDAJ	PREVOD NA UCET	5688	27619	SIPO	QR	40626055
620371	2119	1996-10-11	VYDAJ	PREVOD NA UCET	5688	27353	SIPO	QR	40626055
620372	2119	1996-11-11	VYDAJ	PREVOD NA UCET	5688	26986	SIPO	QR	40626055
620373	2119	1996-12-11	VYDAJ	PREVOD NA UCET	5688	28106	SIPO	QR	40626055
620374	2119	1997-01-11	VYDAJ	PREVOD NA UCET	5688	19281	SIPO	QR	40626055
620375	2119	1997-02-11	VYDAJ	PREVOD NA UCET	5688	15927	SIPO	QR	40626055
620376	2119	1997-03-11	VYDAJ	PREVOD NA UCET	5688	25036	SIPO	QR	40626055
620377	2119	1997-04-11	VYDAJ	PREVOD NA UCET	5688	29269	SIPO	QR	40626055
620378	2119	1997-05-11	VYDAJ	PREVOD NA UCET	5688	31516	SIPO	QR	40626055
620379	2119	1997-06-11	VYDAJ	PREVOD NA UCET	5688	20544	SIPO	QR	40626055
620380	2119	1997-07-11	VYDAJ	PREVOD NA UCET	5688	19583	SIPO	QR	40626055
620381	2119	1997-08-11	VYDAJ	PREVOD NA UCET	5688	24197	SIPO	QR	40626055
620382	2119	1997-09-11	VYDAJ	PREVOD NA UCET	5688	22480	SIPO	QR	40626055
620383	2119	1997-10-11	VYDAJ	PREVOD NA UCET	5688	23209	SIPO	QR	40626055
620384	2119	1997-11-11	VYDAJ	PREVOD NA UCET	5688	29036	SIPO	QR	40626055
620385	2119	1997-12-11	VYDAJ	PREVOD NA UCET	5688	27109	SIPO	QR	40626055
620386	2119	1998-01-11	VYDAJ	PREVOD NA UCET	5688	21811	SIPO	QR	40626055
620387	2119	1998-02-11	VYDAJ	PREVOD NA UCET	5688	19627	SIPO	QR	40626055
620388	2119	1998-03-11	VYDAJ	PREVOD NA UCET	5688	24037	SIPO	QR	40626055
620389	2119	1998-04-11	VYDAJ	PREVOD NA UCET	5688	26260	SIPO	QR	40626055
620390	2119	1998-05-11	VYDAJ	PREVOD NA UCET	5688	29195	SIPO	QR	40626055
620391	2119	1998-06-11	VYDAJ	PREVOD NA UCET	5688	32410	SIPO	QR	40626055
620392	2119	1998-07-11	VYDAJ	PREVOD NA UCET	5688	34875	SIPO	QR	40626055
620393	2119	1998-08-11	VYDAJ	PREVOD NA UCET	5688	34588	SIPO	QR	40626055
620394	2119	1998-09-11	VYDAJ	PREVOD NA UCET	5688	34462	SIPO	QR	40626055
620395	2119	1998-10-11	VYDAJ	PREVOD NA UCET	5688	32443	SIPO	QR	40626055
620396	2119	1998-11-11	VYDAJ	PREVOD NA UCET	5688	42610	SIPO	QR	40626055
620397	2119	1998-12-11	VYDAJ	PREVOD NA UCET	5688	56182	SIPO	QR	40626055
620400	2119	1997-06-06	VYDAJ	VYBER	11680	26232	\N	\N	\N
620405	2119	1998-01-21	VYDAJ	VYBER	3680	15491	\N	\N	\N
620407	2119	1996-12-02	VYDAJ	VYBER	3680	20994	\N	\N	\N
620408	2119	1997-12-11	VYDAJ	VYBER	3040	32797	\N	\N	\N
620409	2119	1998-12-21	VYDAJ	VYBER	1600	54582	\N	\N	\N
620422	2119	1997-01-30	VYDAJ	VYBER	720	13021	\N	\N	\N
620423	2119	1997-01-01	VYDAJ	VYBER	1440	18956	\N	\N	\N
620426	2119	1997-01-21	VYDAJ	VYBER	2400	17581	\N	\N	\N
620427	2119	1997-01-01	VYDAJ	VYBER	2520	16436	\N	\N	\N
620428	2119	1998-01-08	VYDAJ	VYBER	3360	29999	\N	\N	\N
620429	2119	1998-01-22	VYDAJ	VYBER	1680	13811	\N	\N	\N
620430	2119	1998-01-06	VYDAJ	VYBER	2400	33359	\N	\N	\N
620432	2119	1998-01-12	VYDAJ	VYBER	600	19171	\N	\N	\N
620433	2119	1998-01-11	VYDAJ	VYBER	2040	19771	\N	\N	\N
620438	2119	1996-06-28	VYDAJ	VYBER	3240	17957	\N	\N	\N
620439	2119	1996-12-20	VYDAJ	VYBER	4800	20306	\N	\N	\N
620440	2119	1996-03-22	VYDAJ	VYBER	4320	20867	\N	\N	\N
620441	2119	1996-05-17	VYDAJ	VYBER	4320	19615	\N	\N	\N
620442	2119	1996-03-06	VYDAJ	VYBER	2880	36575	\N	\N	\N
620444	2119	1997-01-22	VYDAJ	VYBER	3840	13741	\N	\N	\N
620445	2119	1997-07-28	VYDAJ	VYBER	4200	18283	\N	\N	\N
620446	2119	1997-09-07	VYDAJ	VYBER	2040	30768	\N	\N	\N
620447	2119	1997-06-29	VYDAJ	VYBER	2880	16664	\N	\N	\N
620449	2119	1998-07-27	VYDAJ	VYBER	5040	29835	\N	\N	\N
620450	2119	1998-03-24	VYDAJ	VYBER	3600	20437	\N	\N	\N
620451	2119	1998-10-24	VYDAJ	VYBER	2400	30043	\N	\N	\N
620452	2119	1998-08-04	VYDAJ	VYBER	4320	25643	\N	\N	\N
620453	2119	1998-12-30	VYDAJ	VYBER	1320	53262	\N	\N	\N
620468	2119	1996-02-29	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
620469	2119	1996-03-31	VYDAJ	VYBER	15	20969	SLUZBY	\N	\N
620470	2119	1996-04-30	VYDAJ	VYBER	15	21090	SLUZBY	\N	\N
620471	2119	1996-05-31	VYDAJ	VYBER	15	18385	SLUZBY	\N	\N
620472	2119	1996-06-30	VYDAJ	VYBER	15	18029	SLUZBY	\N	\N
620473	2119	1996-07-31	VYDAJ	VYBER	15	21844	SLUZBY	\N	\N
620474	2119	1996-08-31	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
620475	2119	1996-09-30	VYDAJ	VYBER	15	24508	SLUZBY	\N	\N
620476	2119	1996-10-31	VYDAJ	VYBER	15	24141	SLUZBY	\N	\N
620477	2119	1996-11-30	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
620478	2119	1996-12-31	VYDAJ	VYBER	15	20396	SLUZBY	\N	\N
620479	2119	1997-01-31	VYDAJ	VYBER	15	13082	SLUZBY	\N	\N
620480	2119	1997-02-28	VYDAJ	VYBER	15	22191	SLUZBY	\N	\N
620481	2119	1997-03-31	VYDAJ	VYBER	15	26424	SLUZBY	\N	\N
620482	2119	1997-04-30	VYDAJ	VYBER	15	28671	SLUZBY	\N	\N
620483	2119	1997-05-31	VYDAJ	VYBER	15	25112	SLUZBY	\N	\N
620484	2119	1997-06-30	VYDAJ	VYBER	15	16738	SLUZBY	\N	\N
620485	2119	1997-07-31	VYDAJ	VYBER	15	18352	SLUZBY	\N	\N
620486	2119	1997-08-31	VYDAJ	VYBER	15	24275	SLUZBY	\N	\N
620487	2119	1997-09-30	VYDAJ	VYBER	15	22564	SLUZBY	\N	\N
620488	2119	1997-10-31	VYDAJ	VYBER	15	23291	SLUZBY	\N	\N
620489	2119	1997-11-30	VYDAJ	VYBER	15	29137	SLUZBY	\N	\N
620490	2119	1997-12-31	VYDAJ	VYBER	15	27226	SLUZBY	\N	\N
620491	2119	1998-01-31	VYDAJ	VYBER	15	13882	SLUZBY	\N	\N
620492	2119	1998-02-28	VYDAJ	VYBER	15	19692	SLUZBY	\N	\N
620493	2119	1998-03-31	VYDAJ	VYBER	15	20515	SLUZBY	\N	\N
620494	2119	1998-04-30	VYDAJ	VYBER	15	26350	SLUZBY	\N	\N
620495	2119	1998-05-31	VYDAJ	VYBER	15	29298	SLUZBY	\N	\N
620496	2119	1998-06-30	VYDAJ	VYBER	15	32530	SLUZBY	\N	\N
620497	2119	1998-07-31	VYDAJ	VYBER	15	29963	SLUZBY	\N	\N
620498	2119	1998-08-31	VYDAJ	VYBER	15	34717	SLUZBY	\N	\N
620499	2119	1998-09-30	VYDAJ	VYBER	15	34598	SLUZBY	\N	\N
620500	2119	1998-10-31	VYDAJ	VYBER	15	30165	SLUZBY	\N	\N
620501	2119	1998-11-30	VYDAJ	VYBER	15	42770	SLUZBY	\N	\N
620502	2119	1995-10-21	PRIJEM	VKLAD	7900	16933	\N	\N	\N
620503	2119	1995-11-20	PRIJEM	VKLAD	1600	27091	\N	\N	\N
620504	2119	1995-12-20	VYDAJ	VYBER	8400	31577	\N	\N	\N
620505	2119	1996-01-19	VYDAJ	VYBER	9500	30730	\N	\N	\N
620506	2119	1996-02-18	VYDAJ	VYBER	2900	30805	\N	\N	\N
620507	2119	1996-03-19	VYDAJ	VYBER	5700	25187	\N	\N	\N
620508	2119	1996-04-18	VYDAJ	VYBER	2800	21014	\N	\N	\N
620509	2119	1996-05-18	VYDAJ	VYBER	1300	18315	\N	\N	\N
620510	2119	1996-06-17	VYDAJ	VYBER	4300	21197	\N	\N	\N
620511	2119	1996-07-17	PRIJEM	VKLAD	900	21774	\N	\N	\N
620512	2119	1996-09-15	VYDAJ	VYBER	3200	24419	\N	\N	\N
620513	2119	1996-10-15	VYDAJ	VYBER	3300	24053	\N	\N	\N
620514	2119	1996-11-14	VYDAJ	VYBER	2400	24586	\N	\N	\N
620515	2119	1996-12-14	VYDAJ	VYBER	3000	25106	\N	\N	\N
620516	2119	1997-01-13	PRIJEM	VKLAD	700	19981	\N	\N	\N
620517	2119	1997-02-12	PRIJEM	VKLAD	6200	22127	\N	\N	\N
620518	2119	1997-03-14	PRIJEM	VKLAD	1300	26336	\N	\N	\N
620519	2119	1997-04-13	VYDAJ	VYBER	700	28569	\N	\N	\N
620520	2119	1997-05-13	VYDAJ	VYBER	6500	25016	\N	\N	\N
620521	2119	1997-06-12	VYDAJ	VYBER	1000	19544	\N	\N	\N
620522	2119	1997-07-12	PRIJEM	VKLAD	2900	22483	\N	\N	\N
620523	2119	1997-08-11	PRIJEM	VKLAD	3000	29885	\N	\N	\N
620524	2119	1997-09-10	VYDAJ	VYBER	2600	28168	\N	\N	\N
620525	2119	1997-10-10	VYDAJ	VYBER	2200	28897	\N	\N	\N
620526	2119	1997-11-09	PRIJEM	VKLAD	2900	34724	\N	\N	\N
620527	2119	1997-12-09	VYDAJ	VYBER	6100	35837	\N	\N	\N
620528	2119	1998-01-08	VYDAJ	VYBER	2500	27499	\N	\N	\N
620529	2119	1998-02-07	PRIJEM	VKLAD	2900	25315	\N	\N	\N
620530	2119	1998-03-09	PRIJEM	VKLAD	1500	29725	\N	\N	\N
620531	2119	1998-04-08	PRIJEM	VKLAD	2900	31948	\N	\N	\N
620532	2119	1998-06-07	VYDAJ	VYBER	4000	38098	\N	\N	\N
620533	2119	1998-07-07	VYDAJ	VYBER	500	40563	\N	\N	\N
620534	2119	1998-08-06	PRIJEM	VKLAD	6100	40276	\N	\N	\N
620535	2119	1998-09-05	VYDAJ	VYBER	3100	40150	\N	\N	\N
620536	2119	1998-10-05	VYDAJ	VYBER	5000	38131	\N	\N	\N
620537	2119	1998-11-04	PRIJEM	VKLAD	9600	39765	\N	\N	\N
620538	2119	1998-12-04	PRIJEM	VKLAD	6300	49070	\N	\N	\N
621380	2121	1994-12-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
621392	2121	1994-12-08	PRIJEM	VKLAD	33182	34182	\N	\N	\N
621393	2121	1995-01-08	PRIJEM	VKLAD	22121	53213	\N	\N	\N
621394	2121	1995-02-08	PRIJEM	VKLAD	22121	58538	\N	\N	\N
621395	2121	1995-03-08	PRIJEM	VKLAD	22121	66597	\N	\N	\N
621396	2121	1995-04-08	PRIJEM	VKLAD	22121	68588	\N	\N	\N
621397	2121	1995-05-08	PRIJEM	VKLAD	22121	64462	\N	\N	\N
621398	2121	1995-06-08	PRIJEM	VKLAD	33182	77316	\N	\N	\N
621399	2121	1995-07-08	PRIJEM	VKLAD	22121	67255	\N	\N	\N
621400	2121	1995-08-08	PRIJEM	VKLAD	22121	63178	\N	\N	\N
621401	2121	1995-09-08	PRIJEM	VKLAD	22121	61950	\N	\N	\N
621402	2121	1995-10-08	PRIJEM	VKLAD	22121	64688	\N	\N	\N
621403	2121	1995-11-08	PRIJEM	VKLAD	22121	64435	\N	\N	\N
621404	2121	1995-12-08	PRIJEM	VKLAD	33182	78035	\N	\N	\N
621405	2121	1996-01-08	PRIJEM	VKLAD	22121	73928	\N	\N	\N
621406	2121	1996-02-08	PRIJEM	VKLAD	22121	65196	\N	\N	\N
621407	2121	1996-03-08	PRIJEM	VKLAD	22121	65434	\N	\N	\N
621408	2121	1996-04-08	PRIJEM	VKLAD	22121	65972	\N	\N	\N
621409	2121	1996-05-08	PRIJEM	VKLAD	22121	70012	\N	\N	\N
621410	2121	1996-06-08	PRIJEM	VKLAD	33182	79827	\N	\N	\N
621411	2121	1996-07-08	PRIJEM	VKLAD	22121	51053	\N	\N	\N
621412	2121	1996-08-08	PRIJEM	VKLAD	22121	57631	\N	\N	\N
621413	2121	1996-09-08	PRIJEM	VKLAD	22121	60331	\N	\N	\N
621414	2121	1996-10-08	PRIJEM	VKLAD	22121	58700	\N	\N	\N
621415	2121	1996-11-08	PRIJEM	VKLAD	22121	54779	\N	\N	\N
621416	2121	1996-12-08	PRIJEM	VKLAD	33182	69626	\N	\N	\N
621417	2121	1997-01-08	PRIJEM	VKLAD	22121	55993	\N	\N	\N
621418	2121	1997-02-08	PRIJEM	VKLAD	22121	53642	\N	\N	\N
621419	2121	1997-03-08	PRIJEM	VKLAD	22121	57023	\N	\N	\N
621420	2121	1997-04-08	PRIJEM	VKLAD	22121	50591	\N	\N	\N
621421	2121	1997-05-08	PRIJEM	VKLAD	22121	48415	\N	\N	\N
621422	2121	1997-06-08	PRIJEM	VKLAD	33182	60093	\N	\N	\N
621423	2121	1997-07-08	PRIJEM	VKLAD	22121	57579	\N	\N	\N
621424	2121	1997-08-08	PRIJEM	VKLAD	22121	58168	\N	\N	\N
621425	2121	1997-09-08	PRIJEM	VKLAD	22121	57855	\N	\N	\N
621426	2121	1997-10-08	PRIJEM	VKLAD	22121	54349	\N	\N	\N
621427	2121	1997-11-08	PRIJEM	VKLAD	22121	54620	\N	\N	\N
621428	2121	1997-12-08	PRIJEM	VKLAD	33182	66657	\N	\N	\N
621429	2121	1998-01-08	PRIJEM	VKLAD	22121	59519	\N	\N	\N
621430	2121	1998-02-08	PRIJEM	VKLAD	22121	44276	\N	\N	\N
621431	2121	1998-03-08	PRIJEM	VKLAD	22121	56721	\N	\N	\N
621432	2121	1998-04-08	PRIJEM	VKLAD	22121	56436	\N	\N	\N
621433	2121	1998-05-08	PRIJEM	VKLAD	22121	54707	\N	\N	\N
621434	2121	1998-06-08	PRIJEM	VKLAD	33182	66936	\N	\N	\N
621435	2121	1998-07-08	PRIJEM	VKLAD	22121	57723	\N	\N	\N
621436	2121	1998-08-08	PRIJEM	VKLAD	22121	53469	\N	\N	\N
621437	2121	1998-09-08	PRIJEM	VKLAD	22121	49917	\N	\N	\N
621438	2121	1998-10-08	PRIJEM	VKLAD	22121	50759	\N	\N	\N
621439	2121	1998-11-08	PRIJEM	VKLAD	22121	39942	\N	\N	\N
621440	2121	1998-12-08	PRIJEM	VKLAD	33182	51399	\N	\N	\N
621457	2121	1995-05-06	VYDAJ	PREVOD NA UCET	2625	42341	SIPO	ST	58488207
621458	2121	1995-06-06	VYDAJ	PREVOD NA UCET	2625	44135	SIPO	ST	58488207
621459	2121	1995-07-06	VYDAJ	PREVOD NA UCET	2625	45134	SIPO	ST	58488207
621460	2121	1995-08-06	VYDAJ	PREVOD NA UCET	2625	41057	SIPO	ST	58488207
621461	2121	1995-09-06	VYDAJ	PREVOD NA UCET	2625	39829	SIPO	ST	58488207
621462	2121	1995-10-06	VYDAJ	PREVOD NA UCET	2625	42567	SIPO	ST	58488207
621463	2121	1995-11-06	VYDAJ	PREVOD NA UCET	2625	42314	SIPO	ST	58488207
621464	2121	1995-12-06	VYDAJ	PREVOD NA UCET	2625	44854	SIPO	ST	58488207
621465	2121	1996-01-06	VYDAJ	PREVOD NA UCET	2625	51807	SIPO	ST	58488207
621466	2121	1996-02-06	VYDAJ	PREVOD NA UCET	2625	43075	SIPO	ST	58488207
621467	2121	1996-03-06	VYDAJ	PREVOD NA UCET	2625	43313	SIPO	ST	58488207
621468	2121	1996-04-06	VYDAJ	PREVOD NA UCET	2625	43851	SIPO	ST	58488207
621469	2121	1996-05-06	VYDAJ	PREVOD NA UCET	2625	47891	SIPO	ST	58488207
621470	2121	1996-06-06	VYDAJ	PREVOD NA UCET	2625	46645	SIPO	ST	58488207
621471	2121	1996-07-06	VYDAJ	PREVOD NA UCET	2625	28932	SIPO	ST	58488207
621472	2121	1996-08-06	VYDAJ	PREVOD NA UCET	2625	35510	SIPO	ST	58488207
621473	2121	1996-09-06	VYDAJ	PREVOD NA UCET	2625	38210	SIPO	ST	58488207
621474	2121	1996-10-06	VYDAJ	PREVOD NA UCET	2625	36579	SIPO	ST	58488207
621475	2121	1996-11-06	VYDAJ	PREVOD NA UCET	2625	32658	SIPO	ST	58488207
621476	2121	1996-12-06	VYDAJ	PREVOD NA UCET	2625	36445	SIPO	ST	58488207
621477	2121	1997-01-06	VYDAJ	PREVOD NA UCET	2625	33872	SIPO	ST	58488207
621478	2121	1997-02-06	VYDAJ	PREVOD NA UCET	2625	33561	SIPO	ST	58488207
621479	2121	1997-03-06	VYDAJ	PREVOD NA UCET	2625	34902	SIPO	ST	58488207
621480	2121	1997-04-06	VYDAJ	PREVOD NA UCET	2625	28470	SIPO	ST	58488207
621481	2121	1997-05-06	VYDAJ	PREVOD NA UCET	2625	26294	SIPO	ST	58488207
621482	2121	1997-06-06	VYDAJ	PREVOD NA UCET	2625	27511	SIPO	ST	58488207
621483	2121	1997-07-06	VYDAJ	PREVOD NA UCET	2625	35458	SIPO	ST	58488207
621484	2121	1997-08-06	VYDAJ	PREVOD NA UCET	2625	36047	SIPO	ST	58488207
621485	2121	1997-09-06	VYDAJ	PREVOD NA UCET	2625	35734	SIPO	ST	58488207
621486	2121	1997-10-06	VYDAJ	PREVOD NA UCET	2625	32228	SIPO	ST	58488207
621487	2121	1997-11-06	VYDAJ	PREVOD NA UCET	2625	32499	SIPO	ST	58488207
621488	2121	1997-12-06	VYDAJ	PREVOD NA UCET	2625	33476	SIPO	ST	58488207
621489	2121	1998-01-06	VYDAJ	PREVOD NA UCET	2625	37398	SIPO	ST	58488207
621490	2121	1998-02-06	VYDAJ	PREVOD NA UCET	2625	22155	SIPO	ST	58488207
621491	2121	1998-03-06	VYDAJ	PREVOD NA UCET	2625	34600	SIPO	ST	58488207
621492	2121	1998-04-06	VYDAJ	PREVOD NA UCET	2625	34315	SIPO	ST	58488207
621493	2121	1998-05-06	VYDAJ	PREVOD NA UCET	2625	32586	SIPO	ST	58488207
621494	2121	1998-06-06	VYDAJ	PREVOD NA UCET	2625	33754	SIPO	ST	58488207
621495	2121	1998-07-06	VYDAJ	PREVOD NA UCET	2625	35602	SIPO	ST	58488207
621496	2121	1998-08-06	VYDAJ	PREVOD NA UCET	2625	31348	SIPO	ST	58488207
621497	2121	1998-09-06	VYDAJ	PREVOD NA UCET	2625	27796	SIPO	ST	58488207
621498	2121	1998-10-06	VYDAJ	PREVOD NA UCET	2625	28638	SIPO	ST	58488207
621499	2121	1998-11-06	VYDAJ	PREVOD NA UCET	2625	17821	SIPO	ST	58488207
621500	2121	1998-12-06	VYDAJ	PREVOD NA UCET	2625	18217	SIPO	ST	58488207
621516	2121	1995-04-12	VYDAJ	PREVOD NA UCET	3382	65206	 	CD	4398906
621517	2121	1995-05-12	VYDAJ	PREVOD NA UCET	3382	61080	 	CD	4398906
621518	2121	1995-06-12	VYDAJ	PREVOD NA UCET	3382	73934	 	CD	4398906
621519	2121	1995-07-12	VYDAJ	PREVOD NA UCET	3382	63873	 	CD	4398906
621520	2121	1995-08-12	VYDAJ	PREVOD NA UCET	3382	55236	 	CD	4398906
621521	2121	1995-09-12	VYDAJ	PREVOD NA UCET	3382	58568	 	CD	4398906
621522	2121	1995-10-12	VYDAJ	PREVOD NA UCET	3382	61306	 	CD	4398906
621523	2121	1995-11-12	VYDAJ	PREVOD NA UCET	3382	61053	 	CD	4398906
621524	2121	1995-12-12	VYDAJ	PREVOD NA UCET	3382	74653	 	CD	4398906
621525	2121	1996-01-12	VYDAJ	PREVOD NA UCET	3382	70546	 	CD	4398906
621526	2121	1996-02-12	VYDAJ	PREVOD NA UCET	3382	61814	 	CD	4398906
621527	2121	1996-03-12	VYDAJ	PREVOD NA UCET	3382	62052	 	CD	4398906
621528	2121	1996-04-12	VYDAJ	PREVOD NA UCET	3382	62590	 	CD	4398906
621529	2121	1996-05-12	VYDAJ	PREVOD NA UCET	3382	66630	 	CD	4398906
621530	2121	1996-06-12	VYDAJ	PREVOD NA UCET	3382	76445	 	CD	4398906
621531	2121	1996-07-12	VYDAJ	PREVOD NA UCET	3382	47671	 	CD	4398906
621532	2121	1996-08-12	VYDAJ	PREVOD NA UCET	3382	54249	 	CD	4398906
621533	2121	1996-09-12	VYDAJ	PREVOD NA UCET	3382	56949	 	CD	4398906
621534	2121	1996-10-12	VYDAJ	PREVOD NA UCET	3382	55318	 	CD	4398906
621535	2121	1996-11-12	VYDAJ	PREVOD NA UCET	3382	51397	 	CD	4398906
621536	2121	1996-12-12	VYDAJ	PREVOD NA UCET	3382	66244	 	CD	4398906
621537	2121	1997-01-12	VYDAJ	PREVOD NA UCET	3382	52611	 	CD	4398906
621538	2121	1997-02-12	VYDAJ	PREVOD NA UCET	3382	50260	 	CD	4398906
621539	2121	1997-03-12	VYDAJ	PREVOD NA UCET	3382	53641	 	CD	4398906
621540	2121	1997-04-12	VYDAJ	PREVOD NA UCET	3382	47209	 	CD	4398906
621541	2121	1997-05-12	VYDAJ	PREVOD NA UCET	3382	45033	 	CD	4398906
621542	2121	1997-06-12	VYDAJ	PREVOD NA UCET	3382	56711	 	CD	4398906
621543	2121	1997-07-12	VYDAJ	PREVOD NA UCET	3382	54197	 	CD	4398906
621544	2121	1997-08-12	VYDAJ	PREVOD NA UCET	3382	54786	 	CD	4398906
621545	2121	1997-09-12	VYDAJ	PREVOD NA UCET	3382	49793	 	CD	4398906
621546	2121	1997-10-12	VYDAJ	PREVOD NA UCET	3382	50967	 	CD	4398906
621547	2121	1997-11-12	VYDAJ	PREVOD NA UCET	3382	51238	 	CD	4398906
621548	2121	1997-12-12	VYDAJ	PREVOD NA UCET	3382	63275	 	CD	4398906
621549	2121	1998-01-12	VYDAJ	PREVOD NA UCET	3382	56137	 	CD	4398906
621550	2121	1998-02-12	VYDAJ	PREVOD NA UCET	3382	40894	 	CD	4398906
621551	2121	1998-03-12	VYDAJ	PREVOD NA UCET	3382	53339	 	CD	4398906
621552	2121	1998-04-12	VYDAJ	PREVOD NA UCET	3382	53054	 	CD	4398906
621553	2121	1998-05-12	VYDAJ	PREVOD NA UCET	3382	51325	 	CD	4398906
621554	2121	1998-06-12	VYDAJ	PREVOD NA UCET	3382	63554	 	CD	4398906
621555	2121	1998-07-12	VYDAJ	PREVOD NA UCET	3382	52421	 	CD	4398906
621556	2121	1998-08-12	VYDAJ	PREVOD NA UCET	3382	50087	 	CD	4398906
621557	2121	1998-09-12	VYDAJ	PREVOD NA UCET	3382	46535	 	CD	4398906
621558	2121	1998-10-12	VYDAJ	PREVOD NA UCET	3382	47377	 	CD	4398906
621559	2121	1998-11-12	VYDAJ	PREVOD NA UCET	3382	36560	 	CD	4398906
621560	2121	1998-12-12	VYDAJ	PREVOD NA UCET	3382	48017	 	CD	4398906
621562	2121	1995-06-23	VYDAJ	VYBER	7040	66894	\N	\N	\N
621563	2121	1996-06-23	VYDAJ	VYBER	37920	38525	\N	\N	\N
621568	2121	1996-01-30	VYDAJ	VYBER	3520	45446	\N	\N	\N
621569	2121	1997-01-02	VYDAJ	VYBER	9120	36497	\N	\N	\N
621570	2121	1998-01-27	VYDAJ	VYBER	12320	24617	\N	\N	\N
621572	2121	1995-12-15	VYDAJ	VYBER	800	73853	\N	\N	\N
621573	2121	1996-12-19	VYDAJ	VYBER	2240	64004	\N	\N	\N
621574	2121	1997-12-25	VYDAJ	VYBER	4640	39835	\N	\N	\N
621575	2121	1998-12-26	VYDAJ	VYBER	960	24257	\N	\N	\N
621582	2121	1995-06-01	VYDAJ	VYBER	1560	59760	\N	\N	\N
621583	2121	1995-08-10	VYDAJ	VYBER	4560	58618	\N	\N	\N
621584	2121	1995-07-29	VYDAJ	VYBER	3840	60033	\N	\N	\N
621586	2121	1996-10-31	VYDAJ	VYBER	3720	35298	\N	\N	\N
621587	2121	1996-09-29	VYDAJ	VYBER	3240	39009	\N	\N	\N
621588	2121	1996-01-18	VYDAJ	VYBER	1080	69466	\N	\N	\N
621589	2121	1997-02-07	VYDAJ	VYBER	2040	31521	\N	\N	\N
621590	2121	1997-04-23	VYDAJ	VYBER	5760	41449	\N	\N	\N
621591	2121	1997-05-25	VYDAJ	VYBER	3240	29993	\N	\N	\N
621592	2121	1997-03-29	VYDAJ	VYBER	5520	30921	\N	\N	\N
621593	2121	1997-05-06	VYDAJ	VYBER	4080	28919	\N	\N	\N
621594	2121	1997-06-07	VYDAJ	VYBER	600	26911	\N	\N	\N
621595	2121	1997-12-03	VYDAJ	VYBER	3600	36101	\N	\N	\N
621596	2121	1997-09-10	VYDAJ	VYBER	4680	53175	\N	\N	\N
621597	2121	1998-03-13	VYDAJ	VYBER	2160	51179	\N	\N	\N
621598	2121	1998-10-23	VYDAJ	VYBER	4440	20337	\N	\N	\N
621599	2121	1998-07-10	VYDAJ	VYBER	1920	55803	\N	\N	\N
621600	2121	1998-01-27	VYDAJ	VYBER	3720	36937	\N	\N	\N
621601	2121	1998-01-15	VYDAJ	VYBER	1680	54457	\N	\N	\N
621618	2121	1995-04-30	VYDAJ	VYBER	15	65466	SLUZBY	\N	\N
621619	2121	1995-05-31	VYDAJ	VYBER	15	61320	SLUZBY	\N	\N
621620	2121	1995-06-30	VYDAJ	VYBER	15	67159	SLUZBY	\N	\N
621621	2121	1995-07-31	VYDAJ	VYBER	15	60282	SLUZBY	\N	\N
621622	2121	1995-08-31	VYDAJ	VYBER	15	55454	SLUZBY	\N	\N
621623	2121	1995-09-30	VYDAJ	VYBER	15	58792	SLUZBY	\N	\N
621624	2121	1995-10-31	VYDAJ	VYBER	15	61539	SLUZBY	\N	\N
621625	2121	1995-11-30	VYDAJ	VYBER	15	61279	SLUZBY	\N	\N
621626	2121	1995-12-31	VYDAJ	VYBER	15	54432	SLUZBY	\N	\N
621627	2121	1996-01-31	VYDAJ	VYBER	15	45700	SLUZBY	\N	\N
621628	2121	1996-02-29	VYDAJ	VYBER	15	45938	SLUZBY	\N	\N
621629	2121	1996-03-31	VYDAJ	VYBER	15	46476	SLUZBY	\N	\N
621630	2121	1996-04-30	VYDAJ	VYBER	15	50516	SLUZBY	\N	\N
621631	2121	1996-05-31	VYDAJ	VYBER	15	49270	SLUZBY	\N	\N
621632	2121	1996-06-30	VYDAJ	VYBER	15	31557	SLUZBY	\N	\N
621633	2121	1996-07-31	VYDAJ	VYBER	15	38135	SLUZBY	\N	\N
621634	2121	1996-08-31	VYDAJ	VYBER	15	40835	SLUZBY	\N	\N
621635	2121	1996-09-30	VYDAJ	VYBER	15	39204	SLUZBY	\N	\N
621636	2121	1996-10-31	VYDAJ	VYBER	15	35283	SLUZBY	\N	\N
621637	2121	1996-11-30	VYDAJ	VYBER	15	39070	SLUZBY	\N	\N
621638	2121	1996-12-31	VYDAJ	VYBER	15	45617	SLUZBY	\N	\N
621639	2121	1997-01-31	VYDAJ	VYBER	15	36186	SLUZBY	\N	\N
621640	2121	1997-02-28	VYDAJ	VYBER	15	37527	SLUZBY	\N	\N
621641	2121	1997-03-31	VYDAJ	VYBER	15	31095	SLUZBY	\N	\N
621642	2121	1997-04-30	VYDAJ	VYBER	15	32999	SLUZBY	\N	\N
621643	2121	1997-05-31	VYDAJ	VYBER	15	30136	SLUZBY	\N	\N
621644	2121	1997-06-30	VYDAJ	VYBER	15	38083	SLUZBY	\N	\N
621645	2121	1997-07-31	VYDAJ	VYBER	15	38672	SLUZBY	\N	\N
621646	2121	1997-08-31	VYDAJ	VYBER	15	38359	SLUZBY	\N	\N
621647	2121	1997-09-30	VYDAJ	VYBER	15	34853	SLUZBY	\N	\N
621648	2121	1997-10-31	VYDAJ	VYBER	15	35124	SLUZBY	\N	\N
621649	2121	1997-11-30	VYDAJ	VYBER	15	39701	SLUZBY	\N	\N
621650	2121	1997-12-31	VYDAJ	VYBER	15	40023	SLUZBY	\N	\N
621651	2121	1998-01-31	VYDAJ	VYBER	15	24780	SLUZBY	\N	\N
621652	2121	1998-02-28	VYDAJ	VYBER	15	37225	SLUZBY	\N	\N
621653	2121	1998-03-31	VYDAJ	VYBER	15	36940	SLUZBY	\N	\N
621654	2121	1998-04-30	VYDAJ	VYBER	15	35211	SLUZBY	\N	\N
621655	2121	1998-05-31	VYDAJ	VYBER	15	36379	SLUZBY	\N	\N
621656	2121	1998-06-30	VYDAJ	VYBER	15	38227	SLUZBY	\N	\N
621657	2121	1998-07-31	VYDAJ	VYBER	15	33973	SLUZBY	\N	\N
621658	2121	1998-08-31	VYDAJ	VYBER	15	30421	SLUZBY	\N	\N
621659	2121	1998-09-30	VYDAJ	VYBER	15	31263	SLUZBY	\N	\N
621660	2121	1998-10-31	VYDAJ	VYBER	15	20446	SLUZBY	\N	\N
621661	2121	1998-11-30	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
621662	2121	1995-01-04	VYDAJ	VYBER	3200	31092	\N	\N	\N
621663	2121	1995-02-03	VYDAJ	VYBER	17000	36417	\N	\N	\N
621664	2121	1995-03-05	VYDAJ	VYBER	14300	44476	\N	\N	\N
621665	2121	1995-04-04	VYDAJ	VYBER	20400	46467	\N	\N	\N
621666	2121	1995-05-04	VYDAJ	VYBER	20500	44966	\N	\N	\N
621667	2121	1995-06-03	VYDAJ	VYBER	13000	46760	\N	\N	\N
621668	2121	1995-07-03	VYDAJ	VYBER	19400	47759	\N	\N	\N
621669	2121	1995-08-02	VYDAJ	VYBER	16600	43682	\N	\N	\N
621670	2121	1995-09-01	VYDAJ	VYBER	13000	42454	\N	\N	\N
621671	2121	1995-10-01	VYDAJ	VYBER	13600	45192	\N	\N	\N
621672	2121	1995-10-31	VYDAJ	VYBER	16600	44939	\N	\N	\N
621673	2121	1995-11-30	VYDAJ	VYBER	13800	47479	\N	\N	\N
621674	2121	1995-12-30	VYDAJ	VYBER	19700	54153	\N	\N	\N
621675	2121	1996-01-29	VYDAJ	VYBER	20500	48966	\N	\N	\N
621676	2121	1996-02-28	VYDAJ	VYBER	16100	45714	\N	\N	\N
621677	2121	1996-03-29	VYDAJ	VYBER	15800	46252	\N	\N	\N
621678	2121	1996-04-28	VYDAJ	VYBER	12300	50290	\N	\N	\N
621679	2121	1996-05-28	VYDAJ	VYBER	17600	49030	\N	\N	\N
621680	2121	1996-06-27	VYDAJ	VYBER	7200	31325	\N	\N	\N
621681	2121	1996-07-27	VYDAJ	VYBER	9700	37971	\N	\N	\N
621682	2121	1996-08-26	VYDAJ	VYBER	13600	40649	\N	\N	\N
621683	2121	1996-09-25	VYDAJ	VYBER	14700	42249	\N	\N	\N
621684	2121	1996-10-25	VYDAJ	VYBER	16500	38818	\N	\N	\N
621685	2121	1996-11-24	VYDAJ	VYBER	12500	38897	\N	\N	\N
621686	2121	1996-12-24	VYDAJ	VYBER	18600	45404	\N	\N	\N
621687	2121	1997-01-23	VYDAJ	VYBER	16600	36011	\N	\N	\N
621688	2121	1997-02-22	VYDAJ	VYBER	12900	37360	\N	\N	\N
621689	2121	1997-03-24	VYDAJ	VYBER	17200	36441	\N	\N	\N
621690	2121	1997-04-23	VYDAJ	VYBER	8600	32849	\N	\N	\N
621691	2121	1997-05-23	VYDAJ	VYBER	11800	33233	\N	\N	\N
621692	2121	1997-06-22	VYDAJ	VYBER	18800	37911	\N	\N	\N
621693	2121	1997-07-22	VYDAJ	VYBER	15700	38497	\N	\N	\N
621694	2121	1997-08-21	VYDAJ	VYBER	16600	38186	\N	\N	\N
621695	2121	1997-09-20	VYDAJ	VYBER	15100	34693	\N	\N	\N
621696	2121	1997-10-20	VYDAJ	VYBER	16000	34967	\N	\N	\N
621697	2121	1997-11-19	VYDAJ	VYBER	11700	39538	\N	\N	\N
621698	2121	1997-12-19	VYDAJ	VYBER	18800	44475	\N	\N	\N
621699	2121	1998-01-18	VYDAJ	VYBER	13800	40657	\N	\N	\N
621700	2121	1998-02-17	VYDAJ	VYBER	3800	37094	\N	\N	\N
621701	2121	1998-03-19	VYDAJ	VYBER	14400	36779	\N	\N	\N
621702	2121	1998-04-18	VYDAJ	VYBER	18000	35054	\N	\N	\N
621703	2121	1998-05-18	VYDAJ	VYBER	15100	36225	\N	\N	\N
621704	2121	1998-06-17	VYDAJ	VYBER	25500	38054	\N	\N	\N
621705	2121	1998-07-17	VYDAJ	VYBER	18600	33821	\N	\N	\N
621706	2121	1998-08-16	VYDAJ	VYBER	19800	30287	\N	\N	\N
621707	2121	1998-09-15	VYDAJ	VYBER	15400	31135	\N	\N	\N
621708	2121	1998-10-15	VYDAJ	VYBER	22600	24777	\N	\N	\N
621709	2121	1998-11-14	VYDAJ	VYBER	15800	20760	\N	\N	\N
621710	2121	1998-12-14	VYDAJ	VYBER	22800	25217	\N	\N	\N
621760	2122	1993-01-08	PRIJEM	VKLAD	300	300	\N	\N	\N
621761	2122	1993-09-03	PRIJEM	VKLAD	42640	143920	\N	\N	\N
621762	2122	1993-12-24	PRIJEM	VKLAD	15884	82958	\N	\N	\N
621763	2122	1993-07-23	PRIJEM	VKLAD	21716	72944	\N	\N	\N
621764	2122	1993-07-12	PRIJEM	VKLAD	21395	51228	\N	\N	\N
621765	2122	1993-09-09	PRIJEM	VKLAD	15698	68418	\N	\N	\N
621766	2122	1993-07-26	PRIJEM	VKLAD	6716	79660	\N	\N	\N
621767	2122	1993-11-01	PRIJEM	VKLAD	13953	99749	\N	\N	\N
621768	2122	1993-02-28	PRIJEM	VKLAD	39285	72144	\N	\N	\N
621769	2122	1993-09-21	PRIJEM	VKLAD	21538	82293	\N	\N	\N
621770	2122	1993-12-18	PRIJEM	VKLAD	12734	73674	\N	\N	\N
621771	2122	1993-05-11	PRIJEM	VKLAD	9275	48983	\N	\N	\N
621772	2122	1993-03-06	PRIJEM	VKLAD	7597	79940	\N	\N	\N
621773	2122	1993-08-11	PRIJEM	VKLAD	10083	63567	\N	\N	\N
621774	2122	1993-09-22	PRIJEM	VKLAD	33258	115551	\N	\N	\N
621775	2122	1993-01-15	PRIJEM	VKLAD	46552	46852	\N	\N	\N
621776	2122	1993-10-02	PRIJEM	VKLAD	6158	98948	\N	\N	\N
621777	2122	1993-12-16	PRIJEM	VKLAD	24773	60940	\N	\N	\N
621778	2122	1993-04-15	PRIJEM	VKLAD	9246	57450	\N	\N	\N
621779	2122	1993-10-18	PRIJEM	VKLAD	44418	92103	\N	\N	\N
621780	2122	1993-03-18	PRIJEM	VKLAD	22685	74125	\N	\N	\N
621781	2122	1993-08-22	PRIJEM	VKLAD	45065	100969	\N	\N	\N
621782	2122	1993-06-20	PRIJEM	VKLAD	25800	48750	\N	\N	\N
621783	2122	1994-05-04	PRIJEM	VKLAD	8544	61631	\N	\N	\N
621784	2122	1994-02-01	PRIJEM	VKLAD	27859	49805	\N	\N	\N
621785	2122	1994-04-29	PRIJEM	VKLAD	17794	76568	\N	\N	\N
621786	2122	1994-07-24	PRIJEM	VKLAD	49614	107909	\N	\N	\N
621787	2122	1994-12-30	PRIJEM	VKLAD	20076	63217	\N	\N	\N
621788	2122	1994-03-25	PRIJEM	VKLAD	38528	97968	\N	\N	\N
621789	2122	1994-06-25	PRIJEM	VKLAD	40736	133064	\N	\N	\N
621790	2122	1994-10-26	PRIJEM	VKLAD	48360	157961	\N	\N	\N
621791	2122	1994-12-15	PRIJEM	VKLAD	29230	66441	\N	\N	\N
621792	2122	1994-08-06	PRIJEM	VKLAD	34828	96629	\N	\N	\N
621793	2122	1994-06-07	PRIJEM	VKLAD	42634	99991	\N	\N	\N
621794	2122	1994-04-02	PRIJEM	VKLAD	22245	66489	\N	\N	\N
621795	2122	1994-10-02	PRIJEM	VKLAD	35413	74651	\N	\N	\N
621796	2122	1994-01-16	PRIJEM	VKLAD	11419	32465	\N	\N	\N
621797	2122	1994-11-17	PRIJEM	VKLAD	20435	76107	\N	\N	\N
621798	2122	1994-03-10	PRIJEM	VKLAD	33782	67103	\N	\N	\N
621799	2122	1994-05-20	PRIJEM	VKLAD	16235	84680	\N	\N	\N
621800	2122	1994-07-02	PRIJEM	VKLAD	36790	98958	\N	\N	\N
621801	2122	1994-03-26	PRIJEM	VKLAD	5536	103504	\N	\N	\N
621802	2122	1994-04-16	PRIJEM	VKLAD	5559	65974	\N	\N	\N
621803	2122	1994-10-15	PRIJEM	VKLAD	40009	132501	\N	\N	\N
621804	2122	1994-06-27	PRIJEM	VKLAD	5757	61800	\N	\N	\N
621805	2122	1994-02-04	PRIJEM	VKLAD	41291	77396	\N	\N	\N
621806	2122	1994-01-18	PRIJEM	VKLAD	12746	45211	\N	\N	\N
621807	2122	1994-05-16	PRIJEM	VKLAD	18250	68445	\N	\N	\N
621808	2122	1994-08-03	PRIJEM	VKLAD	21967	61801	\N	\N	\N
621809	2122	1994-10-14	PRIJEM	VKLAD	25504	92492	\N	\N	\N
621810	2122	1994-04-11	PRIJEM	VKLAD	35589	68078	\N	\N	\N
621811	2122	1994-06-25	PRIJEM	VKLAD	43179	176243	\N	\N	\N
621812	2122	1995-12-14	PRIJEM	VKLAD	48855	73927	\N	\N	\N
621813	2122	1995-06-27	PRIJEM	VKLAD	41984	80185	\N	\N	\N
621814	2122	1995-01-02	PRIJEM	VKLAD	33068	82951	\N	\N	\N
621815	2122	1995-08-30	PRIJEM	VKLAD	46614	82117	\N	\N	\N
621816	2122	1995-01-23	PRIJEM	VKLAD	45134	74522	\N	\N	\N
621817	2122	1995-06-08	PRIJEM	VKLAD	23830	54218	\N	\N	\N
621818	2122	1996-06-16	PRIJEM	VKLAD	20490	48015	\N	\N	\N
621819	2122	1997-10-21	PRIJEM	VKLAD	12429	84077	\N	\N	\N
621820	2122	1997-10-04	PRIJEM	VKLAD	49976	123658	\N	\N	\N
621821	2122	1997-12-17	PRIJEM	VKLAD	22463	81563	\N	\N	\N
621822	2122	1997-10-20	PRIJEM	VKLAD	18403	71648	\N	\N	\N
621823	2122	1997-12-22	PRIJEM	VKLAD	36367	96077	\N	\N	\N
621824	2122	1997-07-31	PRIJEM	VKLAD	36069	104164	\N	\N	\N
621825	2122	1997-12-20	PRIJEM	VKLAD	38147	119710	\N	\N	\N
621826	2122	1997-05-20	PRIJEM	VKLAD	32159	94114	\N	\N	\N
621827	2122	1997-08-18	PRIJEM	VKLAD	48592	112070	\N	\N	\N
621828	2122	1997-06-01	PRIJEM	VKLAD	41897	130045	\N	\N	\N
621829	2122	1997-01-01	PRIJEM	VKLAD	7851	34786	\N	\N	\N
621830	2122	1997-04-14	PRIJEM	VKLAD	49752	93673	\N	\N	\N
621831	2122	1997-08-04	PRIJEM	VKLAD	29261	133741	\N	\N	\N
621832	2122	1997-09-01	PRIJEM	VKLAD	23888	95635	\N	\N	\N
621833	2122	1997-09-09	PRIJEM	VKLAD	34429	125591	\N	\N	\N
621834	2122	1997-04-18	PRIJEM	VKLAD	6869	81042	\N	\N	\N
621835	2122	1997-12-11	PRIJEM	VKLAD	29551	73663	\N	\N	\N
621836	2122	1997-02-18	PRIJEM	VKLAD	37612	73483	\N	\N	\N
621837	2122	1997-03-14	PRIJEM	VKLAD	33000	59778	\N	\N	\N
621838	2122	1997-11-04	PRIJEM	VKLAD	39587	147207	\N	\N	\N
621839	2122	1997-07-21	PRIJEM	VKLAD	14150	68095	\N	\N	\N
621840	2122	1997-06-30	PRIJEM	VKLAD	35276	103452	\N	\N	\N
621841	2122	1997-09-14	PRIJEM	VKLAD	23451	99379	\N	\N	\N
621842	2122	1997-07-02	PRIJEM	VKLAD	11872	115650	\N	\N	\N
621843	2122	1997-07-11	PRIJEM	VKLAD	18764	131788	\N	\N	\N
621844	2122	1997-10-31	PRIJEM	VKLAD	23232	107635	\N	\N	\N
621845	2122	1998-08-16	PRIJEM	VKLAD	45176	106667	\N	\N	\N
621846	2122	1998-09-21	PRIJEM	VKLAD	26383	102076	\N	\N	\N
621847	2122	1998-10-06	PRIJEM	VKLAD	38964	141413	\N	\N	\N
621848	2122	1998-11-07	PRIJEM	VKLAD	10218	108595	\N	\N	\N
621849	2122	1998-07-26	PRIJEM	VKLAD	26222	104948	\N	\N	\N
621850	2122	1998-11-28	PRIJEM	VKLAD	10168	86300	\N	\N	\N
621851	2122	1998-10-20	PRIJEM	VKLAD	22454	104304	\N	\N	\N
621852	2122	1998-07-13	PRIJEM	VKLAD	36398	84961	\N	\N	\N
621857	2122	1993-05-11	VYDAJ	PREVOD NA UCET	7663	41320	SIPO	UV	7883274
621858	2122	1993-06-11	VYDAJ	PREVOD NA UCET	7663	22950	SIPO	UV	7883274
621859	2122	1993-07-11	VYDAJ	PREVOD NA UCET	7663	29833	SIPO	UV	7883274
621860	2122	1993-08-11	VYDAJ	PREVOD NA UCET	7663	55904	SIPO	UV	7883274
621861	2122	1993-09-11	VYDAJ	PREVOD NA UCET	7663	60755	SIPO	UV	7883274
621862	2122	1993-10-11	VYDAJ	PREVOD NA UCET	7663	52485	SIPO	UV	7883274
621863	2122	1993-11-11	VYDAJ	PREVOD NA UCET	7663	57486	SIPO	UV	7883274
621864	2122	1993-12-11	VYDAJ	PREVOD NA UCET	7663	36167	SIPO	UV	7883274
621865	2122	1994-01-11	VYDAJ	PREVOD NA UCET	7663	29146	SIPO	UV	7883274
621866	2122	1994-02-11	VYDAJ	PREVOD NA UCET	7663	59233	SIPO	UV	7883274
621867	2122	1994-03-11	VYDAJ	PREVOD NA UCET	7663	59440	SIPO	UV	7883274
621868	2122	1994-04-11	VYDAJ	PREVOD NA UCET	7663	60415	SIPO	UV	7883274
621869	2122	1994-05-11	VYDAJ	PREVOD NA UCET	7663	50195	SIPO	UV	7883274
621870	2122	1994-06-11	VYDAJ	PREVOD NA UCET	7663	92328	SIPO	UV	7883274
621871	2122	1994-07-11	VYDAJ	PREVOD NA UCET	7663	58295	SIPO	UV	7883274
621872	2122	1994-08-11	VYDAJ	PREVOD NA UCET	7663	88966	SIPO	UV	7883274
621873	2122	1994-09-11	VYDAJ	PREVOD NA UCET	7663	47737	SIPO	UV	7883274
621874	2122	1994-10-11	VYDAJ	PREVOD NA UCET	7663	66988	SIPO	UV	7883274
621875	2122	1994-11-11	VYDAJ	PREVOD NA UCET	7663	55672	SIPO	UV	7883274
621876	2122	1994-12-11	VYDAJ	PREVOD NA UCET	7663	37211	SIPO	UV	7883274
621877	2122	1995-01-11	VYDAJ	PREVOD NA UCET	7663	44088	SIPO	UV	7883274
621878	2122	1995-02-11	VYDAJ	PREVOD NA UCET	7663	31951	SIPO	UV	7883274
621879	2122	1995-03-11	VYDAJ	PREVOD NA UCET	7663	16336	SIPO	UV	7883274
621880	2122	1995-04-11	VYDAJ	PREVOD NA UCET	7663	19054	SIPO	UV	7883274
621881	2122	1995-05-11	VYDAJ	PREVOD NA UCET	7663	20387	SIPO	UV	7883274
621882	2122	1995-06-11	VYDAJ	PREVOD NA UCET	7663	40304	SIPO	UV	7883274
621883	2122	1995-07-11	VYDAJ	PREVOD NA UCET	7663	28117	SIPO	UV	7883274
621884	2122	1995-08-11	VYDAJ	PREVOD NA UCET	7663	27403	SIPO	UV	7883274
621885	2122	1995-09-11	VYDAJ	PREVOD NA UCET	7663	74596	SIPO	UV	7883274
621886	2122	1995-10-11	VYDAJ	PREVOD NA UCET	7663	38105	SIPO	UV	7883274
621887	2122	1995-11-11	VYDAJ	PREVOD NA UCET	7663	28703	SIPO	UV	7883274
621888	2122	1995-12-11	VYDAJ	PREVOD NA UCET	7663	25072	SIPO	UV	7883274
621889	2122	1996-01-11	VYDAJ	PREVOD NA UCET	7663	19815	SIPO	UV	7883274
621890	2122	1996-02-11	VYDAJ	PREVOD NA UCET	7663	18549	SIPO	UV	7883274
621891	2122	1996-03-11	VYDAJ	PREVOD NA UCET	7663	22182	SIPO	UV	7883274
621892	2122	1996-04-11	VYDAJ	PREVOD NA UCET	7663	21024	SIPO	UV	7883274
621893	2122	1996-05-11	VYDAJ	PREVOD NA UCET	7663	24867	SIPO	UV	7883274
621894	2122	1996-06-11	VYDAJ	PREVOD NA UCET	7663	27525	SIPO	UV	7883274
621895	2122	1996-07-11	VYDAJ	PREVOD NA UCET	7663	39907	SIPO	UV	7883274
621896	2122	1996-08-11	VYDAJ	PREVOD NA UCET	7663	23430	SIPO	UV	7883274
621897	2122	1996-09-11	VYDAJ	PREVOD NA UCET	7663	27989	SIPO	UV	7883274
621898	2122	1996-10-11	VYDAJ	PREVOD NA UCET	7663	18851	SIPO	UV	7883274
621899	2122	1996-11-11	VYDAJ	PREVOD NA UCET	7663	24389	SIPO	UV	7883274
621900	2122	1996-12-11	VYDAJ	PREVOD NA UCET	7663	28749	SIPO	UV	7883274
621901	2122	1997-01-11	VYDAJ	PREVOD NA UCET	7663	25323	SIPO	UV	7883274
621902	2122	1997-02-11	VYDAJ	PREVOD NA UCET	7663	21771	SIPO	UV	7883274
621903	2122	1997-03-11	VYDAJ	PREVOD NA UCET	7663	26778	SIPO	UV	7883274
621904	2122	1997-04-11	VYDAJ	PREVOD NA UCET	7663	43921	SIPO	UV	7883274
621905	2122	1997-05-11	VYDAJ	PREVOD NA UCET	7663	73655	SIPO	UV	7883274
621906	2122	1997-06-11	VYDAJ	PREVOD NA UCET	7663	87682	SIPO	UV	7883274
621907	2122	1997-07-11	VYDAJ	PREVOD NA UCET	7663	68825	SIPO	UV	7883274
621908	2122	1997-08-11	VYDAJ	PREVOD NA UCET	7663	78878	SIPO	UV	7883274
621909	2122	1997-09-11	VYDAJ	PREVOD NA UCET	7663	75928	SIPO	UV	7883274
621910	2122	1997-10-11	VYDAJ	PREVOD NA UCET	7663	65545	SIPO	UV	7883274
621911	2122	1997-11-11	VYDAJ	PREVOD NA UCET	7663	86344	SIPO	UV	7883274
621912	2122	1997-12-11	VYDAJ	PREVOD NA UCET	7663	66000	SIPO	UV	7883274
621913	2122	1998-01-11	VYDAJ	PREVOD NA UCET	7663	66568	SIPO	UV	7883274
621914	2122	1998-02-11	VYDAJ	PREVOD NA UCET	7663	29420	SIPO	UV	7883274
621915	2122	1998-03-11	VYDAJ	PREVOD NA UCET	7663	21875	SIPO	UV	7883274
621916	2122	1998-04-11	VYDAJ	PREVOD NA UCET	7663	26625	SIPO	UV	7883274
621917	2122	1998-05-11	VYDAJ	PREVOD NA UCET	7663	24798	SIPO	UV	7883274
621918	2122	1998-06-11	VYDAJ	PREVOD NA UCET	7663	44372	SIPO	UV	7883274
621919	2122	1998-07-11	VYDAJ	PREVOD NA UCET	7663	48563	SIPO	UV	7883274
621920	2122	1998-08-11	VYDAJ	PREVOD NA UCET	7663	70944	SIPO	UV	7883274
621921	2122	1998-09-11	VYDAJ	PREVOD NA UCET	7663	75693	SIPO	UV	7883274
621922	2122	1998-10-11	VYDAJ	PREVOD NA UCET	7663	81850	SIPO	UV	7883274
621923	2122	1998-11-11	VYDAJ	PREVOD NA UCET	7663	76132	SIPO	UV	7883274
621924	2122	1998-12-11	VYDAJ	PREVOD NA UCET	7663	69359	SIPO	UV	7883274
621927	2122	1994-05-04	VYBER	VYBER	3773	57858	\N	\N	\N
621928	2122	1994-02-22	VYBER	VYBER	21428	37805	\N	\N	\N
621929	2122	1995-12-26	VYBER	VYBER	18327	30600	\N	\N	\N
621930	2122	1995-06-09	VYBER	VYBER	6251	47967	\N	\N	\N
621931	2122	1995-01-24	VYBER	VYBER	9940	64582	\N	\N	\N
621933	2122	1995-10-06	VYBER	VYBER	8531	45768	\N	\N	\N
621935	2122	1995-06-20	VYBER	VYBER	2103	38201	\N	\N	\N
621937	2122	1995-01-01	VYBER	VYBER	13540	49883	\N	\N	\N
621938	2122	1995-07-10	VYBER	VYBER	24665	35780	\N	\N	\N
621940	2122	1996-08-09	VYBER	VYBER	5087	36193	\N	\N	\N
621946	2122	1996-12-19	VYBER	VYBER	6336	32213	\N	\N	\N
621948	2122	1997-02-21	VYBER	VYBER	20208	53275	\N	\N	\N
621949	2122	1997-07-02	VYBER	VYBER	2626	113024	\N	\N	\N
621950	2122	1997-10-04	VYBER	VYBER	22350	101308	\N	\N	\N
621951	2122	1997-12-02	VYBER	VYBER	19039	48312	\N	\N	\N
621952	2122	1997-05-29	VYBER	VYBER	6295	87819	\N	\N	\N
621953	2122	1997-07-12	VYBER	VYBER	10580	58245	\N	\N	\N
621954	2122	1997-09-03	VYBER	VYBER	4473	91162	\N	\N	\N
621955	2122	1997-03-10	VYBER	VYBER	18987	34441	\N	\N	\N
621956	2122	1997-12-29	VYBER	VYBER	4413	91664	\N	\N	\N
621957	2122	1997-06-24	VYBER	VYBER	3906	68176	\N	\N	\N
621958	2122	1998-07-14	VYBER	VYBER	6235	78726	\N	\N	\N
621959	2122	1998-08-14	VYBER	VYBER	9453	61491	\N	\N	\N
621960	2122	1998-10-23	VYBER	VYBER	6304	98000	\N	\N	\N
621961	2122	1998-12-28	VYBER	VYBER	22440	41519	\N	\N	\N
621964	2122	1998-08-09	VYBER	VYBER	12717	92507	\N	\N	\N
621966	2122	1994-06-25	VYDAJ	VYBER	34500	119543	\N	\N	\N
621972	2122	1994-01-20	VYDAJ	VYBER	16800	21811	\N	\N	\N
621973	2122	1995-01-11	VYDAJ	VYBER	17700	59251	\N	\N	\N
621976	2122	1998-01-10	VYDAJ	VYBER	7800	74231	\N	\N	\N
621977	2122	1993-12-23	VYDAJ	VYBER	6600	67074	\N	\N	\N
621978	2122	1994-12-09	VYDAJ	VYBER	7500	44874	\N	\N	\N
621979	2122	1995-12-30	VYDAJ	VYBER	3300	27300	\N	\N	\N
621980	2122	1996-12-27	VYDAJ	VYBER	5400	26813	\N	\N	\N
621981	2122	1997-12-02	VYDAJ	VYBER	4200	44112	\N	\N	\N
621982	2122	1998-12-23	VYDAJ	VYBER	5400	63959	\N	\N	\N
621989	2122	1994-01-18	VYDAJ	VYBER	6600	38611	\N	\N	\N
621990	2122	1994-01-08	VYDAJ	VYBER	5700	47309	\N	\N	\N
621991	2122	1994-01-08	VYDAJ	VYBER	7200	40109	\N	\N	\N
621992	2122	1994-01-13	VYDAJ	VYBER	8100	21046	\N	\N	\N
621993	2122	1994-01-10	VYDAJ	VYBER	3300	36809	\N	\N	\N
621994	2122	1994-01-03	VYDAJ	VYBER	5400	53009	\N	\N	\N
621995	2122	1995-01-17	VYDAJ	VYBER	6000	38088	\N	\N	\N
621996	2122	1995-01-24	VYDAJ	VYBER	3600	60982	\N	\N	\N
621997	2122	1995-01-11	VYDAJ	VYBER	7500	51751	\N	\N	\N
621998	2122	1995-01-30	VYDAJ	VYBER	8400	39382	\N	\N	\N
621999	2122	1995-01-21	VYDAJ	VYBER	8700	29388	\N	\N	\N
622000	2122	1995-01-05	VYDAJ	VYBER	6000	76951	\N	\N	\N
622003	2122	1996-01-26	VYDAJ	VYBER	3900	26115	\N	\N	\N
622008	2122	1997-01-08	VYDAJ	VYBER	1800	32986	\N	\N	\N
622012	2122	1997-01-28	VYDAJ	VYBER	8100	29323	\N	\N	\N
622013	2122	1998-01-16	VYDAJ	VYBER	5400	48268	\N	\N	\N
622014	2122	1998-01-12	VYDAJ	VYBER	3600	53668	\N	\N	\N
622015	2122	1998-01-23	VYDAJ	VYBER	3900	33568	\N	\N	\N
622016	2122	1998-01-18	VYDAJ	VYBER	8700	39568	\N	\N	\N
622017	2122	1998-01-27	VYDAJ	VYBER	5700	27868	\N	\N	\N
622018	2122	1998-01-18	VYDAJ	VYBER	2100	37468	\N	\N	\N
622019	2122	1993-05-01	VYDAJ	VYBER	6300	51408	\N	\N	\N
622020	2122	1993-10-18	VYDAJ	VYBER	6600	85503	\N	\N	\N
622021	2122	1993-10-17	VYDAJ	VYBER	4800	47685	\N	\N	\N
622022	2122	1994-04-25	VYDAJ	VYBER	7200	58774	\N	\N	\N
622023	2122	1994-12-18	VYDAJ	VYBER	5700	60741	\N	\N	\N
622024	2122	1994-04-04	VYDAJ	VYBER	14700	32489	\N	\N	\N
622025	2122	1994-02-04	VYDAJ	VYBER	10500	66896	\N	\N	\N
622026	2122	1994-12-21	VYDAJ	VYBER	6900	53841	\N	\N	\N
622027	2122	1994-07-25	VYDAJ	VYBER	2100	46509	\N	\N	\N
622028	2122	1994-09-04	VYDAJ	VYBER	6000	55400	\N	\N	\N
622030	2122	1995-12-25	VYDAJ	VYBER	9600	48927	\N	\N	\N
622033	2122	1995-09-27	VYDAJ	VYBER	2400	53996	\N	\N	\N
622034	2122	1995-11-30	VYDAJ	VYBER	1500	32750	\N	\N	\N
622035	2122	1995-03-08	VYDAJ	VYBER	11100	23999	\N	\N	\N
622037	2122	1996-08-02	VYDAJ	VYBER	1800	41280	\N	\N	\N
622041	2122	1996-08-09	VYDAJ	VYBER	5100	31093	\N	\N	\N
622042	2122	1996-09-25	VYDAJ	VYBER	12600	26389	\N	\N	\N
622043	2122	1997-06-02	VYDAJ	VYBER	6300	95345	\N	\N	\N
622044	2122	1997-04-05	VYDAJ	VYBER	7200	51584	\N	\N	\N
622045	2122	1997-09-10	VYDAJ	VYBER	2100	83591	\N	\N	\N
622046	2122	1997-12-20	VYDAJ	VYBER	12000	107710	\N	\N	\N
622047	2122	1998-01-08	VYDAJ	VYBER	9900	82031	\N	\N	\N
622048	2122	1998-05-04	VYDAJ	VYBER	7500	32461	\N	\N	\N
622053	2122	1993-04-30	VYDAJ	VYBER	15	57708	SLUZBY	\N	\N
622054	2122	1993-05-31	VYDAJ	VYBER	15	41513	SLUZBY	\N	\N
622055	2122	1993-06-30	VYDAJ	VYBER	15	48896	SLUZBY	\N	\N
622056	2122	1993-07-31	VYDAJ	VYBER	15	79884	SLUZBY	\N	\N
622057	2122	1993-08-31	VYDAJ	VYBER	15	101280	SLUZBY	\N	\N
622058	2122	1993-09-30	VYDAJ	VYBER	15	92790	SLUZBY	\N	\N
622059	2122	1993-10-31	VYDAJ	VYBER	15	85796	SLUZBY	\N	\N
622060	2122	1993-11-30	VYDAJ	VYBER	15	57730	SLUZBY	\N	\N
622061	2122	1993-12-31	VYDAJ	VYBER	15	83209	SLUZBY	\N	\N
622062	2122	1994-01-31	VYDAJ	VYBER	15	21946	SLUZBY	\N	\N
622063	2122	1994-02-28	VYDAJ	VYBER	15	38021	SLUZBY	\N	\N
622064	2122	1994-03-31	VYDAJ	VYBER	15	44244	SLUZBY	\N	\N
622065	2122	1994-04-30	VYDAJ	VYBER	15	76787	SLUZBY	\N	\N
622066	2122	1994-05-31	VYDAJ	VYBER	15	84957	SLUZBY	\N	\N
622067	2122	1994-06-30	VYDAJ	VYBER	15	62168	SLUZBY	\N	\N
622068	2122	1994-07-31	VYDAJ	VYBER	15	46734	SLUZBY	\N	\N
622069	2122	1994-08-31	VYDAJ	VYBER	15	61400	SLUZBY	\N	\N
622070	2122	1994-09-30	VYDAJ	VYBER	15	39238	SLUZBY	\N	\N
622071	2122	1994-10-31	VYDAJ	VYBER	15	63335	SLUZBY	\N	\N
622072	2122	1994-11-30	VYDAJ	VYBER	15	52374	SLUZBY	\N	\N
622073	2122	1994-12-31	VYDAJ	VYBER	15	63423	SLUZBY	\N	\N
622074	2122	1995-01-31	VYDAJ	VYBER	15	39614	SLUZBY	\N	\N
622075	2122	1995-02-28	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
622076	2122	1995-03-31	VYDAJ	VYBER	15	26717	SLUZBY	\N	\N
622077	2122	1995-04-30	VYDAJ	VYBER	15	28050	SLUZBY	\N	\N
622078	2122	1995-05-31	VYDAJ	VYBER	15	30388	SLUZBY	\N	\N
622079	2122	1995-06-30	VYDAJ	VYBER	15	60445	SLUZBY	\N	\N
622080	2122	1995-07-31	VYDAJ	VYBER	15	35066	SLUZBY	\N	\N
622081	2122	1995-08-31	VYDAJ	VYBER	15	82259	SLUZBY	\N	\N
622082	2122	1995-09-30	VYDAJ	VYBER	15	54299	SLUZBY	\N	\N
622083	2122	1995-10-31	VYDAJ	VYBER	15	36366	SLUZBY	\N	\N
622084	2122	1995-11-30	VYDAJ	VYBER	15	32735	SLUZBY	\N	\N
622085	2122	1995-12-31	VYDAJ	VYBER	15	27478	SLUZBY	\N	\N
622086	2122	1996-01-31	VYDAJ	VYBER	15	26212	SLUZBY	\N	\N
622087	2122	1996-02-29	VYDAJ	VYBER	15	29845	SLUZBY	\N	\N
622088	2122	1996-03-31	VYDAJ	VYBER	15	28687	SLUZBY	\N	\N
622089	2122	1996-04-30	VYDAJ	VYBER	15	32530	SLUZBY	\N	\N
622090	2122	1996-05-31	VYDAJ	VYBER	15	35188	SLUZBY	\N	\N
622091	2122	1996-06-30	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
622092	2122	1996-07-31	VYDAJ	VYBER	15	43080	SLUZBY	\N	\N
622093	2122	1996-08-31	VYDAJ	VYBER	15	35652	SLUZBY	\N	\N
622094	2122	1996-09-30	VYDAJ	VYBER	15	26514	SLUZBY	\N	\N
622095	2122	1996-10-31	VYDAJ	VYBER	15	32052	SLUZBY	\N	\N
622096	2122	1996-11-30	VYDAJ	VYBER	15	36412	SLUZBY	\N	\N
622097	2122	1996-12-31	VYDAJ	VYBER	15	26935	SLUZBY	\N	\N
622098	2122	1997-01-31	VYDAJ	VYBER	15	29434	SLUZBY	\N	\N
622099	2122	1997-02-28	VYDAJ	VYBER	15	53428	SLUZBY	\N	\N
622100	2122	1997-03-31	VYDAJ	VYBER	15	58784	SLUZBY	\N	\N
622101	2122	1997-04-30	VYDAJ	VYBER	15	81318	SLUZBY	\N	\N
622102	2122	1997-05-31	VYDAJ	VYBER	15	88148	SLUZBY	\N	\N
622103	2122	1997-06-30	VYDAJ	VYBER	15	103778	SLUZBY	\N	\N
622104	2122	1997-07-31	VYDAJ	VYBER	15	104480	SLUZBY	\N	\N
622105	2122	1997-08-31	VYDAJ	VYBER	15	71747	SLUZBY	\N	\N
622106	2122	1997-09-30	VYDAJ	VYBER	15	73682	SLUZBY	\N	\N
622107	2122	1997-10-31	VYDAJ	VYBER	15	107620	SLUZBY	\N	\N
622108	2122	1997-11-30	VYDAJ	VYBER	15	67351	SLUZBY	\N	\N
622109	2122	1997-12-31	VYDAJ	VYBER	15	91931	SLUZBY	\N	\N
622110	2122	1998-01-31	VYDAJ	VYBER	15	28083	SLUZBY	\N	\N
622111	2122	1998-02-28	VYDAJ	VYBER	15	29538	SLUZBY	\N	\N
622112	2122	1998-03-31	VYDAJ	VYBER	15	34288	SLUZBY	\N	\N
622113	2122	1998-04-30	VYDAJ	VYBER	15	39961	SLUZBY	\N	\N
622114	2122	1998-05-31	VYDAJ	VYBER	15	38335	SLUZBY	\N	\N
622115	2122	1998-06-30	VYDAJ	VYBER	15	44526	SLUZBY	\N	\N
622116	2122	1998-07-31	VYDAJ	VYBER	15	105224	SLUZBY	\N	\N
622117	2122	1998-08-31	VYDAJ	VYBER	15	107056	SLUZBY	\N	\N
622118	2122	1998-09-30	VYDAJ	VYBER	15	102449	SLUZBY	\N	\N
622119	2122	1998-10-31	VYDAJ	VYBER	15	98377	SLUZBY	\N	\N
622120	2122	1998-11-30	VYDAJ	VYBER	15	86622	SLUZBY	\N	\N
622121	2122	1993-02-07	VYDAJ	VYBER	14100	32859	\N	\N	\N
622122	2122	1993-03-09	VYDAJ	VYBER	28500	51440	\N	\N	\N
622123	2122	1993-04-08	VYDAJ	VYBER	26200	48204	\N	\N	\N
622124	2122	1993-05-08	VYDAJ	VYBER	11700	39708	\N	\N	\N
622125	2122	1993-06-07	VYDAJ	VYBER	10900	30613	\N	\N	\N
622126	2122	1993-07-07	VYDAJ	VYBER	11400	37496	\N	\N	\N
622127	2122	1993-08-06	VYDAJ	VYBER	26400	53484	\N	\N	\N
622128	2122	1993-09-03	VYDAJ	VYBER	62200	81720	\N	\N	\N
622129	2122	1993-09-05	VYDAJ	VYBER	29000	52720	\N	\N	\N
622130	2122	1993-09-22	VYDAJ	VYBER	23100	92451	\N	\N	\N
622131	2122	1993-10-05	VYDAJ	VYBER	38800	60148	\N	\N	\N
622132	2122	1993-11-04	VYDAJ	VYBER	34600	65149	\N	\N	\N
622133	2122	1993-12-04	VYDAJ	VYBER	13900	43830	\N	\N	\N
622134	2122	1994-01-03	VYDAJ	VYBER	24800	58409	\N	\N	\N
622135	2122	1994-02-02	VYDAJ	VYBER	13700	36105	\N	\N	\N
622136	2122	1994-03-04	VYDAJ	VYBER	4700	33321	\N	\N	\N
622137	2122	1994-03-26	VYDAJ	VYBER	59500	44004	\N	\N	\N
622138	2122	1994-04-03	VYDAJ	VYBER	19300	47189	\N	\N	\N
622139	2122	1994-05-03	VYDAJ	VYBER	23700	53087	\N	\N	\N
622140	2122	1994-06-02	VYDAJ	VYBER	27600	57357	\N	\N	\N
622141	2122	1994-06-25	VYDAJ	VYBER	63500	56043	\N	\N	\N
622142	2122	1994-06-25	VYDAJ	VYBER	22200	154043	\N	\N	\N
622143	2122	1994-07-02	VYDAJ	VYBER	33000	65958	\N	\N	\N
622144	2122	1994-07-24	VYDAJ	VYBER	59300	48609	\N	\N	\N
622145	2122	1994-08-01	VYDAJ	VYBER	6900	39834	\N	\N	\N
622146	2122	1994-08-31	VYDAJ	VYBER	27900	61415	\N	\N	\N
622147	2122	1994-09-30	VYDAJ	VYBER	8700	39253	\N	\N	\N
622148	2122	1994-10-15	VYDAJ	VYBER	22900	109601	\N	\N	\N
622149	2122	1994-10-26	VYDAJ	VYBER	62700	95261	\N	\N	\N
622150	2122	1994-10-30	VYDAJ	VYBER	32300	62961	\N	\N	\N
622151	2122	1994-11-29	VYDAJ	VYBER	24000	52107	\N	\N	\N
622152	2122	1994-12-29	VYDAJ	VYBER	10700	43141	\N	\N	\N
622153	2122	1995-01-28	VYDAJ	VYBER	13200	47782	\N	\N	\N
622154	2122	1995-02-27	PRIJEM	VKLAD	3000	34951	\N	\N	\N
622155	2122	1995-03-29	PRIJEM	VKLAD	10300	26636	\N	\N	\N
622156	2122	1995-04-28	PRIJEM	VKLAD	8900	27954	\N	\N	\N
622157	2122	1995-05-28	PRIJEM	VKLAD	9900	30287	\N	\N	\N
622158	2122	1995-06-27	VYDAJ	VYBER	19900	60285	\N	\N	\N
622159	2122	1995-07-27	PRIJEM	VKLAD	6800	34917	\N	\N	\N
622160	2122	1995-08-26	PRIJEM	VKLAD	8100	35503	\N	\N	\N
622161	2122	1995-09-25	VYDAJ	VYBER	18200	56396	\N	\N	\N
622162	2122	1995-10-25	VYDAJ	VYBER	1900	36205	\N	\N	\N
622163	2122	1995-11-24	PRIJEM	VKLAD	5400	34103	\N	\N	\N
622164	2122	1995-12-24	VYDAJ	VYBER	15400	58527	\N	\N	\N
622165	2122	1996-01-23	PRIJEM	VKLAD	10200	30015	\N	\N	\N
622166	2122	1996-02-22	PRIJEM	VKLAD	11200	29749	\N	\N	\N
622167	2122	1996-03-23	PRIJEM	VKLAD	6400	28582	\N	\N	\N
622168	2122	1996-04-22	PRIJEM	VKLAD	11400	32424	\N	\N	\N
622169	2122	1996-05-22	PRIJEM	VKLAD	10200	35067	\N	\N	\N
622170	2122	1996-06-21	VYDAJ	VYBER	600	47415	\N	\N	\N
622171	2122	1996-07-21	PRIJEM	VKLAD	3000	42907	\N	\N	\N
622172	2122	1996-08-20	PRIJEM	VKLAD	12100	35530	\N	\N	\N
622173	2122	1996-09-19	PRIJEM	VKLAD	11000	38989	\N	\N	\N
622174	2122	1996-10-19	PRIJEM	VKLAD	13100	31951	\N	\N	\N
622175	2122	1996-11-18	PRIJEM	VKLAD	11900	36289	\N	\N	\N
622176	2122	1996-12-18	PRIJEM	VKLAD	9800	38549	\N	\N	\N
622177	2122	1997-01-17	PRIJEM	VKLAD	12100	37423	\N	\N	\N
622178	2122	1997-02-16	PRIJEM	VKLAD	14100	35871	\N	\N	\N
622179	2122	1997-03-18	VYDAJ	VYBER	1200	58578	\N	\N	\N
622180	2122	1997-04-17	VYDAJ	VYBER	19500	74173	\N	\N	\N
622181	2122	1997-05-17	VYDAJ	VYBER	11700	61955	\N	\N	\N
622182	2122	1997-06-01	VYDAJ	VYBER	28400	101645	\N	\N	\N
622183	2122	1997-06-16	VYDAJ	VYBER	15600	72082	\N	\N	\N
622184	2122	1997-07-11	VYDAJ	VYBER	55300	76488	\N	\N	\N
622185	2122	1997-07-16	VYDAJ	VYBER	4300	53945	\N	\N	\N
622186	2122	1997-08-04	VYDAJ	VYBER	47200	86541	\N	\N	\N
622187	2122	1997-08-15	VYDAJ	VYBER	15400	63478	\N	\N	\N
622188	2122	1997-08-18	VYDAJ	VYBER	40700	71370	\N	\N	\N
622189	2122	1997-09-09	VYDAJ	VYBER	39900	85691	\N	\N	\N
622190	2122	1997-09-14	VYDAJ	VYBER	26000	73379	\N	\N	\N
622191	2122	1997-10-04	VYDAJ	VYBER	28100	73208	\N	\N	\N
622192	2122	1997-10-14	VYDAJ	VYBER	12300	53245	\N	\N	\N
622193	2122	1997-11-04	VYDAJ	VYBER	53200	94007	\N	\N	\N
622194	2122	1997-11-13	VYDAJ	VYBER	19300	67044	\N	\N	\N
622195	2122	1997-12-13	VYDAJ	VYBER	6900	59100	\N	\N	\N
622196	2122	1997-12-20	VYDAJ	VYBER	48000	59710	\N	\N	\N
622197	2122	1998-01-12	VYDAJ	VYBER	9300	57268	\N	\N	\N
622198	2122	1998-02-11	PRIJEM	VKLAD	9000	37083	\N	\N	\N
622199	2122	1998-03-13	PRIJEM	VKLAD	12300	34175	\N	\N	\N
622200	2122	1998-04-12	PRIJEM	VKLAD	13200	39825	\N	\N	\N
622201	2122	1998-05-12	PRIJEM	VKLAD	13400	38198	\N	\N	\N
622202	2122	1998-06-11	PRIJEM	VKLAD	13700	52035	\N	\N	\N
622203	2122	1998-07-11	PRIJEM	VKLAD	11700	56226	\N	\N	\N
622204	2122	1998-08-10	VYDAJ	VYBER	13900	78607	\N	\N	\N
622205	2122	1998-09-09	VYDAJ	VYBER	23700	83356	\N	\N	\N
622206	2122	1998-10-06	VYDAJ	VYBER	23800	117613	\N	\N	\N
622207	2122	1998-10-09	VYDAJ	VYBER	28100	89513	\N	\N	\N
622208	2122	1998-11-08	VYDAJ	VYBER	24800	83795	\N	\N	\N
622209	2122	1998-12-08	VYDAJ	VYBER	9600	77022	\N	\N	\N
622282	2123	1993-07-26	PRIJEM	VKLAD	900	900	\N	\N	\N
622290	2123	1993-08-13	PRIJEM	PREVOD Z UCTU	3212	4112	\N	EF	61011791
622291	2123	1993-09-13	PRIJEM	PREVOD Z UCTU	3212	7324	\N	EF	61011791
622292	2123	1993-10-13	PRIJEM	PREVOD Z UCTU	3212	10536	\N	EF	61011791
622293	2123	1993-11-13	PRIJEM	PREVOD Z UCTU	3212	13748	\N	EF	61011791
622294	2123	1993-12-13	PRIJEM	PREVOD Z UCTU	3212	16960	\N	EF	61011791
622295	2123	1994-01-13	PRIJEM	PREVOD Z UCTU	3212	14850	\N	EF	61011791
622296	2123	1994-02-13	PRIJEM	PREVOD Z UCTU	3212	15969	\N	EF	61011791
622297	2123	1994-03-13	PRIJEM	PREVOD Z UCTU	3212	17090	\N	EF	61011791
622298	2123	1994-04-13	PRIJEM	PREVOD Z UCTU	3212	17796	\N	EF	61011791
622299	2123	1994-05-13	PRIJEM	PREVOD Z UCTU	3212	18023	\N	EF	61011791
622300	2123	1994-06-13	PRIJEM	PREVOD Z UCTU	3212	17830	\N	EF	61011791
622301	2123	1994-07-13	PRIJEM	PREVOD Z UCTU	3212	17309	\N	EF	61011791
622302	2123	1994-08-13	PRIJEM	PREVOD Z UCTU	3212	18046	\N	EF	61011791
622303	2123	1994-09-13	PRIJEM	PREVOD Z UCTU	3212	19176	\N	EF	61011791
622304	2123	1994-10-13	PRIJEM	PREVOD Z UCTU	3212	18990	\N	EF	61011791
622305	2123	1994-11-13	PRIJEM	PREVOD Z UCTU	3212	20126	\N	EF	61011791
622306	2123	1994-12-13	PRIJEM	PREVOD Z UCTU	3212	20814	\N	EF	61011791
622307	2123	1995-01-13	PRIJEM	PREVOD Z UCTU	3212	20305	\N	EF	61011791
622308	2123	1995-02-13	PRIJEM	PREVOD Z UCTU	3212	19791	\N	EF	61011791
622309	2123	1995-03-13	PRIJEM	PREVOD Z UCTU	3212	19958	\N	EF	61011791
622310	2123	1995-04-13	PRIJEM	PREVOD Z UCTU	3212	20556	\N	EF	61011791
622311	2123	1995-05-13	PRIJEM	PREVOD Z UCTU	3212	20795	\N	EF	61011791
622312	2123	1995-06-13	PRIJEM	PREVOD Z UCTU	3212	14483	\N	EF	61011791
622313	2123	1995-07-13	PRIJEM	PREVOD Z UCTU	3212	15364	\N	EF	61011791
622314	2123	1995-08-13	PRIJEM	PREVOD Z UCTU	3212	16482	\N	EF	61011791
622315	2123	1995-09-13	PRIJEM	PREVOD Z UCTU	3212	17605	\N	EF	61011791
622316	2123	1995-10-13	PRIJEM	PREVOD Z UCTU	3212	17472	\N	EF	61011791
622317	2123	1995-11-13	PRIJEM	PREVOD Z UCTU	3212	16325	\N	EF	61011791
622318	2123	1995-12-13	PRIJEM	PREVOD Z UCTU	3212	17448	\N	EF	61011791
622319	2123	1996-01-13	PRIJEM	PREVOD Z UCTU	3212	17884	\N	EF	61011791
622320	2123	1996-02-13	PRIJEM	PREVOD Z UCTU	3212	16371	\N	EF	61011791
622321	2123	1996-03-13	PRIJEM	PREVOD Z UCTU	3212	15393	\N	EF	61011791
622322	2123	1996-04-13	PRIJEM	PREVOD Z UCTU	3212	15115	\N	EF	61011791
622323	2123	1996-05-13	PRIJEM	PREVOD Z UCTU	3212	15483	\N	EF	61011791
622324	2123	1996-06-13	PRIJEM	PREVOD Z UCTU	3212	14902	\N	EF	61011791
622325	2123	1996-07-13	PRIJEM	PREVOD Z UCTU	3212	13520	\N	EF	61011791
622326	2123	1996-08-13	PRIJEM	PREVOD Z UCTU	3212	14633	\N	EF	61011791
622327	2123	1996-09-13	PRIJEM	PREVOD Z UCTU	3212	14048	\N	EF	61011791
622328	2123	1996-10-13	PRIJEM	PREVOD Z UCTU	3212	13763	\N	EF	61011791
622329	2123	1996-11-13	PRIJEM	PREVOD Z UCTU	3212	14875	\N	EF	61011791
622330	2123	1996-12-13	PRIJEM	PREVOD Z UCTU	3212	15181	\N	EF	61011791
622331	2123	1997-01-13	PRIJEM	PREVOD Z UCTU	3212	13538	\N	EF	61011791
622332	2123	1997-02-13	PRIJEM	PREVOD Z UCTU	3212	14650	\N	EF	61011791
622333	2123	1997-03-13	PRIJEM	PREVOD Z UCTU	3212	15765	\N	EF	61011791
622334	2123	1997-04-13	PRIJEM	PREVOD Z UCTU	3212	16884	\N	EF	61011791
622335	2123	1997-05-13	PRIJEM	PREVOD Z UCTU	3212	18008	\N	EF	61011791
622336	2123	1997-06-13	PRIJEM	PREVOD Z UCTU	3212	18326	\N	EF	61011791
622337	2123	1997-07-13	PRIJEM	PREVOD Z UCTU	3212	19456	\N	EF	61011791
622338	2123	1997-08-13	PRIJEM	PREVOD Z UCTU	3212	20591	\N	EF	61011791
622339	2123	1997-09-13	PRIJEM	PREVOD Z UCTU	3212	14330	\N	EF	61011791
622340	2123	1997-10-13	PRIJEM	PREVOD Z UCTU	3212	14653	\N	EF	61011791
622341	2123	1997-11-13	PRIJEM	PREVOD Z UCTU	3212	15168	\N	EF	61011791
622342	2123	1997-12-13	PRIJEM	PREVOD Z UCTU	3212	16285	\N	EF	61011791
622343	2123	1998-01-13	PRIJEM	PREVOD Z UCTU	3212	14634	\N	EF	61011791
622344	2123	1998-02-13	PRIJEM	PREVOD Z UCTU	3212	15749	\N	EF	61011791
622345	2123	1998-03-13	PRIJEM	PREVOD Z UCTU	3212	16868	\N	EF	61011791
622346	2123	1998-04-13	PRIJEM	PREVOD Z UCTU	3212	17992	\N	EF	61011791
622347	2123	1998-05-13	PRIJEM	PREVOD Z UCTU	3212	17820	\N	EF	61011791
622348	2123	1998-06-13	PRIJEM	PREVOD Z UCTU	3212	18548	\N	EF	61011791
622349	2123	1998-07-13	PRIJEM	PREVOD Z UCTU	3212	14878	\N	EF	61011791
622350	2123	1998-08-13	PRIJEM	PREVOD Z UCTU	3212	16001	\N	EF	61011791
622351	2123	1998-09-13	PRIJEM	PREVOD Z UCTU	3212	16970	\N	EF	61011791
622352	2123	1998-10-13	PRIJEM	PREVOD Z UCTU	3212	18094	\N	EF	61011791
622353	2123	1998-11-13	PRIJEM	PREVOD Z UCTU	3212	19222	\N	EF	61011791
622354	2123	1998-12-13	PRIJEM	PREVOD Z UCTU	3212	14472	\N	EF	61011791
622367	2123	1994-01-11	VYDAJ	PREVOD NA UCET	2141	11638	\N	EF	18685001
622368	2123	1994-02-11	VYDAJ	PREVOD NA UCET	2141	12757	\N	EF	18685001
622369	2123	1994-03-11	VYDAJ	PREVOD NA UCET	2141	13878	\N	EF	18685001
622370	2123	1994-04-11	VYDAJ	PREVOD NA UCET	2141	14584	\N	EF	18685001
622371	2123	1994-05-11	VYDAJ	PREVOD NA UCET	2141	14811	\N	EF	18685001
622372	2123	1994-06-11	VYDAJ	PREVOD NA UCET	2141	14618	\N	EF	18685001
622373	2123	1994-07-11	VYDAJ	PREVOD NA UCET	2141	14097	\N	EF	18685001
622374	2123	1994-08-11	VYDAJ	PREVOD NA UCET	2141	14834	\N	EF	18685001
622375	2123	1994-09-11	VYDAJ	PREVOD NA UCET	2141	15964	\N	EF	18685001
622376	2123	1994-10-11	VYDAJ	PREVOD NA UCET	2141	15778	\N	EF	18685001
622377	2123	1994-11-11	VYDAJ	PREVOD NA UCET	2141	16914	\N	EF	18685001
622378	2123	1994-12-11	VYDAJ	PREVOD NA UCET	2141	17602	\N	EF	18685001
622379	2123	1995-01-11	VYDAJ	PREVOD NA UCET	2141	17093	\N	EF	18685001
622380	2123	1995-02-11	VYDAJ	PREVOD NA UCET	2141	16579	\N	EF	18685001
622381	2123	1995-03-11	VYDAJ	PREVOD NA UCET	2141	16746	\N	EF	18685001
622382	2123	1995-04-11	VYDAJ	PREVOD NA UCET	2141	17344	\N	EF	18685001
622383	2123	1995-05-11	VYDAJ	PREVOD NA UCET	2141	17583	\N	EF	18685001
622384	2123	1995-06-11	VYDAJ	PREVOD NA UCET	2141	11271	\N	EF	18685001
622385	2123	1995-07-11	VYDAJ	PREVOD NA UCET	2141	12152	\N	EF	18685001
622386	2123	1995-08-11	VYDAJ	PREVOD NA UCET	2141	13270	\N	EF	18685001
622387	2123	1995-09-11	VYDAJ	PREVOD NA UCET	2141	14393	\N	EF	18685001
622388	2123	1995-10-11	VYDAJ	PREVOD NA UCET	2141	14260	\N	EF	18685001
622389	2123	1995-11-11	VYDAJ	PREVOD NA UCET	2141	13113	\N	EF	18685001
622390	2123	1995-12-11	VYDAJ	PREVOD NA UCET	2141	14236	\N	EF	18685001
622391	2123	1996-01-11	VYDAJ	PREVOD NA UCET	2141	14672	\N	EF	18685001
622392	2123	1996-02-11	VYDAJ	PREVOD NA UCET	2141	13159	\N	EF	18685001
622393	2123	1996-03-11	VYDAJ	PREVOD NA UCET	2141	14281	\N	EF	18685001
622394	2123	1996-04-11	VYDAJ	PREVOD NA UCET	2141	13303	\N	EF	18685001
622395	2123	1996-05-11	VYDAJ	PREVOD NA UCET	2141	12271	\N	EF	18685001
622396	2123	1996-06-11	VYDAJ	PREVOD NA UCET	2141	11690	\N	EF	18685001
622397	2123	1996-07-11	VYDAJ	PREVOD NA UCET	2141	10308	\N	EF	18685001
622398	2123	1996-08-11	VYDAJ	PREVOD NA UCET	2141	11421	\N	EF	18685001
622399	2123	1996-09-11	VYDAJ	PREVOD NA UCET	2141	10836	\N	EF	18685001
622400	2123	1996-10-11	VYDAJ	PREVOD NA UCET	2141	10551	\N	EF	18685001
622401	2123	1996-11-11	VYDAJ	PREVOD NA UCET	2141	11663	\N	EF	18685001
622402	2123	1996-12-11	VYDAJ	PREVOD NA UCET	2141	11969	\N	EF	18685001
622403	2123	1997-01-11	VYDAJ	PREVOD NA UCET	2141	10326	\N	EF	18685001
622404	2123	1997-02-11	VYDAJ	PREVOD NA UCET	2141	11438	\N	EF	18685001
622405	2123	1997-03-11	VYDAJ	PREVOD NA UCET	2141	12553	\N	EF	18685001
622406	2123	1997-04-11	VYDAJ	PREVOD NA UCET	2141	13672	\N	EF	18685001
622407	2123	1997-05-11	VYDAJ	PREVOD NA UCET	2141	14796	\N	EF	18685001
622408	2123	1997-06-11	VYDAJ	PREVOD NA UCET	2141	15114	\N	EF	18685001
622409	2123	1997-07-11	VYDAJ	PREVOD NA UCET	2141	16244	\N	EF	18685001
622410	2123	1997-08-11	VYDAJ	PREVOD NA UCET	2141	17379	\N	EF	18685001
622411	2123	1997-09-11	VYDAJ	PREVOD NA UCET	2141	11118	\N	EF	18685001
622412	2123	1997-10-11	VYDAJ	PREVOD NA UCET	2141	11441	\N	EF	18685001
622413	2123	1997-11-11	VYDAJ	PREVOD NA UCET	2141	11956	\N	EF	18685001
622414	2123	1997-12-11	VYDAJ	PREVOD NA UCET	2141	13073	\N	EF	18685001
622415	2123	1998-01-11	VYDAJ	PREVOD NA UCET	2141	11422	\N	EF	18685001
622416	2123	1998-02-11	VYDAJ	PREVOD NA UCET	2141	12537	\N	EF	18685001
622417	2123	1998-03-11	VYDAJ	PREVOD NA UCET	2141	13656	\N	EF	18685001
622418	2123	1998-04-11	VYDAJ	PREVOD NA UCET	2141	14780	\N	EF	18685001
622419	2123	1998-05-11	VYDAJ	PREVOD NA UCET	2141	14608	\N	EF	18685001
622420	2123	1998-06-11	VYDAJ	PREVOD NA UCET	2141	15336	\N	EF	18685001
622421	2123	1998-07-11	VYDAJ	PREVOD NA UCET	2141	11666	\N	EF	18685001
622422	2123	1998-08-11	VYDAJ	PREVOD NA UCET	2141	12789	\N	EF	18685001
622423	2123	1998-09-11	VYDAJ	PREVOD NA UCET	2141	13758	\N	EF	18685001
622424	2123	1998-10-11	VYDAJ	PREVOD NA UCET	2141	14882	\N	EF	18685001
622425	2123	1998-11-11	VYDAJ	PREVOD NA UCET	2141	16010	\N	EF	18685001
622426	2123	1998-12-11	VYDAJ	PREVOD NA UCET	2141	11260	\N	EF	18685001
622428	2123	1994-06-13	VYDAJ	VYBER	1650	16180	\N	\N	\N
622429	2123	1995-06-09	VYDAJ	VYBER	5640	13412	\N	\N	\N
622434	2123	1994-01-10	VYDAJ	VYBER	2790	13779	\N	\N	\N
622435	2123	1995-01-15	VYDAJ	VYBER	1650	18655	\N	\N	\N
622436	2123	1996-01-27	VYDAJ	VYBER	2640	15244	\N	\N	\N
622439	2123	1993-12-13	VYDAJ	VYBER	420	16540	\N	\N	\N
622440	2123	1994-12-23	VYDAJ	VYBER	420	20394	\N	\N	\N
622441	2123	1995-12-17	VYDAJ	VYBER	510	16938	\N	\N	\N
622442	2123	1996-12-19	VYDAJ	VYBER	660	14521	\N	\N	\N
622449	2123	1994-10-11	VYDAJ	VYBER	1320	17919	\N	\N	\N
622450	2123	1994-05-20	VYDAJ	VYBER	1320	16703	\N	\N	\N
622451	2123	1994-08-07	VYDAJ	VYBER	390	16975	\N	\N	\N
622452	2123	1994-03-25	VYDAJ	VYBER	420	16670	\N	\N	\N
622453	2123	1994-11-29	VYDAJ	VYBER	450	19676	\N	\N	\N
622454	2123	1994-04-16	VYDAJ	VYBER	900	16896	\N	\N	\N
622455	2123	1995-11-06	VYDAJ	VYBER	870	15254	\N	\N	\N
622456	2123	1995-03-07	VYDAJ	VYBER	870	18887	\N	\N	\N
622457	2123	1995-06-23	VYDAJ	VYBER	240	14243	\N	\N	\N
622458	2123	1995-01-11	VYDAJ	VYBER	1230	19234	\N	\N	\N
622459	2123	1995-06-06	VYDAJ	VYBER	510	19052	\N	\N	\N
622460	2123	1995-04-02	VYDAJ	VYBER	540	19485	\N	\N	\N
622461	2123	1995-09-23	VYDAJ	VYBER	1260	16345	\N	\N	\N
622462	2123	1996-12-05	VYDAJ	VYBER	810	14110	\N	\N	\N
622464	2123	1996-01-01	VYDAJ	VYBER	180	16813	\N	\N	\N
622466	2123	1996-05-03	VYDAJ	VYBER	750	14412	\N	\N	\N
622467	2123	1997-12-15	VYDAJ	VYBER	1170	15115	\N	\N	\N
622469	2123	1997-05-23	VYDAJ	VYBER	810	17198	\N	\N	\N
622472	2123	1998-08-17	VYDAJ	VYBER	150	15851	\N	\N	\N
622473	2123	1998-11-25	VYDAJ	VYBER	180	19042	\N	\N	\N
622487	2123	1993-12-31	VYDAJ	VYBER	15	16569	SLUZBY	\N	\N
622488	2123	1994-01-31	VYDAJ	VYBER	15	14898	SLUZBY	\N	\N
622489	2123	1994-02-28	VYDAJ	VYBER	15	16019	SLUZBY	\N	\N
622490	2123	1994-03-31	VYDAJ	VYBER	15	16725	SLUZBY	\N	\N
622491	2123	1994-04-30	VYDAJ	VYBER	15	16952	SLUZBY	\N	\N
622492	2123	1994-05-31	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
622493	2123	1994-06-30	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
622494	2123	1994-07-31	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
622495	2123	1994-08-31	VYDAJ	VYBER	15	18105	SLUZBY	\N	\N
622496	2123	1994-09-30	VYDAJ	VYBER	15	19239	SLUZBY	\N	\N
622497	2123	1994-10-31	VYDAJ	VYBER	15	19055	SLUZBY	\N	\N
622498	2123	1994-11-30	VYDAJ	VYBER	15	19743	SLUZBY	\N	\N
622499	2123	1994-12-31	VYDAJ	VYBER	15	20464	SLUZBY	\N	\N
622500	2123	1995-01-31	VYDAJ	VYBER	15	18720	SLUZBY	\N	\N
622501	2123	1995-02-28	VYDAJ	VYBER	15	19757	SLUZBY	\N	\N
622502	2123	1995-03-31	VYDAJ	VYBER	15	20025	SLUZBY	\N	\N
622503	2123	1995-04-30	VYDAJ	VYBER	15	19724	SLUZBY	\N	\N
622504	2123	1995-05-31	VYDAJ	VYBER	15	19562	SLUZBY	\N	\N
622505	2123	1995-06-30	VYDAJ	VYBER	15	14293	SLUZBY	\N	\N
622506	2123	1995-07-31	VYDAJ	VYBER	15	15411	SLUZBY	\N	\N
622507	2123	1995-08-31	VYDAJ	VYBER	15	16534	SLUZBY	\N	\N
622508	2123	1995-09-30	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
622509	2123	1995-10-31	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
622510	2123	1995-11-30	VYDAJ	VYBER	15	16377	SLUZBY	\N	\N
622511	2123	1995-12-31	VYDAJ	VYBER	15	16993	SLUZBY	\N	\N
622512	2123	1996-01-31	VYDAJ	VYBER	15	15300	SLUZBY	\N	\N
622513	2123	1996-02-29	VYDAJ	VYBER	15	16422	SLUZBY	\N	\N
622514	2123	1996-03-31	VYDAJ	VYBER	15	15444	SLUZBY	\N	\N
622515	2123	1996-04-30	VYDAJ	VYBER	15	15162	SLUZBY	\N	\N
622516	2123	1996-05-31	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
622517	2123	1996-06-30	VYDAJ	VYBER	15	14949	SLUZBY	\N	\N
622518	2123	1996-07-31	VYDAJ	VYBER	15	13562	SLUZBY	\N	\N
622519	2123	1996-08-31	VYDAJ	VYBER	15	14677	SLUZBY	\N	\N
622520	2123	1996-09-30	VYDAJ	VYBER	15	14092	SLUZBY	\N	\N
622521	2123	1996-10-31	VYDAJ	VYBER	15	13804	SLUZBY	\N	\N
622522	2123	1996-11-30	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
622523	2123	1996-12-31	VYDAJ	VYBER	15	14567	SLUZBY	\N	\N
622524	2123	1997-01-31	VYDAJ	VYBER	15	13579	SLUZBY	\N	\N
622525	2123	1997-02-28	VYDAJ	VYBER	15	14694	SLUZBY	\N	\N
622526	2123	1997-03-31	VYDAJ	VYBER	15	15813	SLUZBY	\N	\N
622527	2123	1997-04-30	VYDAJ	VYBER	15	16937	SLUZBY	\N	\N
622528	2123	1997-05-31	VYDAJ	VYBER	15	17255	SLUZBY	\N	\N
622529	2123	1997-06-30	VYDAJ	VYBER	15	18385	SLUZBY	\N	\N
622530	2123	1997-07-31	VYDAJ	VYBER	15	19520	SLUZBY	\N	\N
622531	2123	1997-08-31	VYDAJ	VYBER	15	20659	SLUZBY	\N	\N
622532	2123	1997-09-30	VYDAJ	VYBER	15	14382	SLUZBY	\N	\N
622533	2123	1997-10-31	VYDAJ	VYBER	15	14697	SLUZBY	\N	\N
622534	2123	1997-11-30	VYDAJ	VYBER	15	15214	SLUZBY	\N	\N
622535	2123	1997-12-31	VYDAJ	VYBER	15	15163	SLUZBY	\N	\N
622536	2123	1998-01-31	VYDAJ	VYBER	15	14678	SLUZBY	\N	\N
622537	2123	1998-02-28	VYDAJ	VYBER	15	15797	SLUZBY	\N	\N
622538	2123	1998-03-31	VYDAJ	VYBER	15	16921	SLUZBY	\N	\N
622539	2123	1998-04-30	VYDAJ	VYBER	15	18049	SLUZBY	\N	\N
622540	2123	1998-05-31	VYDAJ	VYBER	15	17477	SLUZBY	\N	\N
622541	2123	1998-06-30	VYDAJ	VYBER	15	18607	SLUZBY	\N	\N
622542	2123	1998-07-31	VYDAJ	VYBER	15	14930	SLUZBY	\N	\N
622543	2123	1998-08-31	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
622544	2123	1998-09-30	VYDAJ	VYBER	15	17023	SLUZBY	\N	\N
622545	2123	1998-10-31	VYDAJ	VYBER	15	18151	SLUZBY	\N	\N
622546	2123	1998-11-30	VYDAJ	VYBER	15	13401	SLUZBY	\N	\N
622547	2123	1995-02-16	VYDAJ	VYBER	100	19691	\N	\N	\N
622548	2123	1995-04-17	VYDAJ	VYBER	900	19656	\N	\N	\N
622549	2123	1995-05-17	VYDAJ	VYBER	1300	19495	\N	\N	\N
622550	2123	1995-10-14	VYDAJ	VYBER	1400	16072	\N	\N	\N
622551	2123	1996-03-12	VYDAJ	VYBER	2100	12181	\N	\N	\N
622552	2123	1996-04-11	VYDAJ	VYBER	1400	11903	\N	\N	\N
622553	2123	1996-06-10	VYDAJ	VYBER	1700	13831	\N	\N	\N
622554	2123	1996-07-10	VYDAJ	VYBER	2500	12449	\N	\N	\N
622555	2123	1996-09-08	VYDAJ	VYBER	1700	12977	\N	\N	\N
622556	2123	1996-10-08	VYDAJ	VYBER	1400	12692	\N	\N	\N
622557	2123	1997-01-06	VYDAJ	VYBER	2100	12467	\N	\N	\N
622558	2123	1997-09-03	VYDAJ	VYBER	7400	13259	\N	\N	\N
622559	2123	1997-10-03	VYDAJ	VYBER	800	13582	\N	\N	\N
622560	2123	1997-11-02	VYDAJ	VYBER	600	14097	\N	\N	\N
622561	2123	1998-01-01	VYDAJ	VYBER	1600	13563	\N	\N	\N
622562	2123	1998-05-01	VYDAJ	VYBER	1300	16749	\N	\N	\N
622563	2123	1998-05-31	VYDAJ	VYBER	400	17492	\N	\N	\N
622564	2123	1998-06-30	VYDAJ	VYBER	4800	13807	\N	\N	\N
622565	2123	1998-11-27	VYDAJ	VYBER	5700	13342	\N	\N	\N
622627	2124	1993-02-20	PRIJEM	VKLAD	500	500	\N	\N	\N
622630	2124	1993-03-13	PRIJEM	VKLAD	21431	21931	\N	\N	\N
622631	2124	1993-04-13	PRIJEM	VKLAD	21431	45494	\N	\N	\N
622632	2124	1993-05-13	PRIJEM	VKLAD	21431	54738	\N	\N	\N
622633	2124	1993-06-13	PRIJEM	VKLAD	32147	70731	\N	\N	\N
622634	2124	1993-07-13	PRIJEM	VKLAD	21431	71840	\N	\N	\N
622635	2124	1993-08-13	PRIJEM	VKLAD	21431	66777	\N	\N	\N
622636	2124	1993-09-13	PRIJEM	VKLAD	21431	64399	\N	\N	\N
622637	2124	1993-10-13	PRIJEM	VKLAD	21431	61608	\N	\N	\N
622638	2124	1993-11-13	PRIJEM	VKLAD	21431	61331	\N	\N	\N
622639	2124	1993-12-13	PRIJEM	VKLAD	32147	66949	\N	\N	\N
622640	2124	1994-01-13	PRIJEM	VKLAD	21431	51364	\N	\N	\N
622641	2124	1994-02-13	PRIJEM	VKLAD	21431	44772	\N	\N	\N
622642	2124	1994-03-13	PRIJEM	VKLAD	21431	54318	\N	\N	\N
622643	2124	1994-04-13	PRIJEM	VKLAD	21431	59999	\N	\N	\N
622644	2124	1994-05-13	PRIJEM	VKLAD	21431	63397	\N	\N	\N
622645	2124	1994-06-13	PRIJEM	VKLAD	32147	71512	\N	\N	\N
622646	2124	1994-07-13	PRIJEM	VKLAD	21431	66921	\N	\N	\N
622647	2124	1994-08-13	PRIJEM	VKLAD	21431	58147	\N	\N	\N
622648	2124	1994-09-13	PRIJEM	VKLAD	21431	56923	\N	\N	\N
622649	2124	1994-10-13	PRIJEM	VKLAD	21431	55992	\N	\N	\N
622650	2124	1994-11-13	PRIJEM	VKLAD	21431	46043	\N	\N	\N
622651	2124	1994-12-13	PRIJEM	VKLAD	32147	59139	\N	\N	\N
622652	2124	1995-01-13	PRIJEM	VKLAD	21431	44017	\N	\N	\N
622653	2124	1995-02-13	PRIJEM	VKLAD	21431	48243	\N	\N	\N
622654	2124	1995-03-13	PRIJEM	VKLAD	21431	52023	\N	\N	\N
622655	2124	1995-04-13	PRIJEM	VKLAD	21431	56533	\N	\N	\N
622656	2124	1995-05-13	PRIJEM	VKLAD	21431	54758	\N	\N	\N
622657	2124	1995-06-13	PRIJEM	VKLAD	32147	54601	\N	\N	\N
622658	2124	1995-07-13	PRIJEM	VKLAD	21431	55904	\N	\N	\N
622659	2124	1995-08-13	PRIJEM	VKLAD	21431	57230	\N	\N	\N
622660	2124	1995-09-13	PRIJEM	VKLAD	21431	55632	\N	\N	\N
622661	2124	1995-10-13	PRIJEM	VKLAD	21431	54202	\N	\N	\N
622662	2124	1995-11-13	PRIJEM	VKLAD	21431	54693	\N	\N	\N
622663	2124	1995-12-13	PRIJEM	VKLAD	32147	66222	\N	\N	\N
622664	2124	1996-01-13	PRIJEM	VKLAD	21431	57262	\N	\N	\N
622665	2124	1996-02-13	PRIJEM	VKLAD	21431	55583	\N	\N	\N
622666	2124	1996-03-13	PRIJEM	VKLAD	21431	53390	\N	\N	\N
622667	2124	1996-04-13	PRIJEM	VKLAD	21431	57196	\N	\N	\N
622668	2124	1996-05-13	PRIJEM	VKLAD	21431	59115	\N	\N	\N
622669	2124	1996-06-13	PRIJEM	VKLAD	32147	72959	\N	\N	\N
622670	2124	1996-07-13	PRIJEM	VKLAD	21431	63927	\N	\N	\N
622671	2124	1996-08-13	PRIJEM	VKLAD	21431	61675	\N	\N	\N
622672	2124	1996-09-13	PRIJEM	VKLAD	21431	59617	\N	\N	\N
622673	2124	1996-10-13	PRIJEM	VKLAD	21431	62152	\N	\N	\N
622674	2124	1996-11-13	PRIJEM	VKLAD	21431	59592	\N	\N	\N
622675	2124	1996-12-13	PRIJEM	VKLAD	32147	71741	\N	\N	\N
622676	2124	1997-01-13	PRIJEM	VKLAD	21431	63299	\N	\N	\N
622677	2124	1997-02-13	PRIJEM	VKLAD	21431	57874	\N	\N	\N
622678	2124	1997-03-13	PRIJEM	VKLAD	21431	64684	\N	\N	\N
622679	2124	1997-04-13	PRIJEM	VKLAD	21431	69132	\N	\N	\N
622680	2124	1997-05-13	PRIJEM	VKLAD	21431	75500	\N	\N	\N
622681	2124	1997-06-13	PRIJEM	VKLAD	32147	88514	\N	\N	\N
622682	2124	1997-07-13	PRIJEM	VKLAD	21431	60956	\N	\N	\N
622683	2124	1997-08-13	PRIJEM	VKLAD	21431	63978	\N	\N	\N
622684	2124	1997-09-13	PRIJEM	VKLAD	21431	68613	\N	\N	\N
622685	2124	1997-10-13	PRIJEM	VKLAD	21431	71162	\N	\N	\N
622686	2124	1997-11-13	PRIJEM	VKLAD	21431	75519	\N	\N	\N
622687	2124	1997-12-13	PRIJEM	VKLAD	32147	81368	\N	\N	\N
622688	2124	1998-01-13	PRIJEM	VKLAD	21431	74147	\N	\N	\N
622689	2124	1998-02-13	PRIJEM	VKLAD	21431	70130	\N	\N	\N
622690	2124	1998-03-13	PRIJEM	VKLAD	21431	78085	\N	\N	\N
622691	2124	1998-04-13	PRIJEM	VKLAD	21431	80370	\N	\N	\N
622692	2124	1998-05-13	PRIJEM	VKLAD	21431	84565	\N	\N	\N
622693	2124	1998-06-13	PRIJEM	VKLAD	32147	89087	\N	\N	\N
622694	2124	1998-07-13	PRIJEM	VKLAD	21431	73373	\N	\N	\N
622695	2124	1998-08-13	PRIJEM	VKLAD	21431	84544	\N	\N	\N
622696	2124	1998-09-13	PRIJEM	VKLAD	21431	93958	\N	\N	\N
622697	2124	1998-10-13	PRIJEM	VKLAD	21431	99805	\N	\N	\N
622698	2124	1998-11-13	PRIJEM	VKLAD	21431	97482	\N	\N	\N
622699	2124	1998-12-13	PRIJEM	VKLAD	32147	108250	\N	\N	\N
622706	2124	1993-07-14	VYDAJ	PREVOD NA UCET	5207	66633	SIPO	QR	46953344
622707	2124	1993-08-14	VYDAJ	PREVOD NA UCET	5207	61570	SIPO	QR	46953344
622708	2124	1993-09-14	VYDAJ	PREVOD NA UCET	5207	59192	SIPO	QR	46953344
622709	2124	1993-10-14	VYDAJ	PREVOD NA UCET	5207	56401	SIPO	QR	46953344
622710	2124	1993-11-14	VYDAJ	PREVOD NA UCET	5207	56124	SIPO	QR	46953344
622711	2124	1993-12-14	VYDAJ	PREVOD NA UCET	5207	61742	SIPO	QR	46953344
622712	2124	1994-01-14	VYDAJ	PREVOD NA UCET	5207	46157	SIPO	QR	46953344
622713	2124	1994-02-14	VYDAJ	PREVOD NA UCET	5207	39565	SIPO	QR	46953344
622714	2124	1994-03-14	VYDAJ	PREVOD NA UCET	5207	49111	SIPO	QR	46953344
622715	2124	1994-04-14	VYDAJ	PREVOD NA UCET	5207	54792	SIPO	QR	46953344
622716	2124	1994-05-14	VYDAJ	PREVOD NA UCET	5207	58190	SIPO	QR	46953344
622717	2124	1994-06-14	VYDAJ	PREVOD NA UCET	5207	66305	SIPO	QR	46953344
622718	2124	1994-07-14	VYDAJ	PREVOD NA UCET	5207	61714	SIPO	QR	46953344
622719	2124	1994-08-14	VYDAJ	PREVOD NA UCET	5207	52940	SIPO	QR	46953344
622720	2124	1994-09-14	VYDAJ	PREVOD NA UCET	5207	34716	SIPO	QR	46953344
622721	2124	1994-10-14	VYDAJ	PREVOD NA UCET	5207	35285	SIPO	QR	46953344
622722	2124	1994-11-14	VYDAJ	PREVOD NA UCET	5207	40836	SIPO	QR	46953344
622723	2124	1994-12-14	VYDAJ	PREVOD NA UCET	5207	53932	SIPO	QR	46953344
622724	2124	1995-01-14	VYDAJ	PREVOD NA UCET	5207	38810	SIPO	QR	46953344
622725	2124	1995-02-14	VYDAJ	PREVOD NA UCET	5207	43036	SIPO	QR	46953344
622726	2124	1995-03-14	VYDAJ	PREVOD NA UCET	5207	46816	SIPO	QR	46953344
622727	2124	1995-04-14	VYDAJ	PREVOD NA UCET	5207	51326	SIPO	QR	46953344
622728	2124	1995-05-14	VYDAJ	PREVOD NA UCET	5207	49551	SIPO	QR	46953344
622729	2124	1995-06-14	VYDAJ	PREVOD NA UCET	5207	49394	SIPO	QR	46953344
622730	2124	1995-07-14	VYDAJ	PREVOD NA UCET	5207	50697	SIPO	QR	46953344
622731	2124	1995-08-14	VYDAJ	PREVOD NA UCET	5207	52023	SIPO	QR	46953344
622732	2124	1995-09-14	VYDAJ	PREVOD NA UCET	5207	50425	SIPO	QR	46953344
622733	2124	1995-10-14	VYDAJ	PREVOD NA UCET	5207	48995	SIPO	QR	46953344
622734	2124	1995-11-14	VYDAJ	PREVOD NA UCET	5207	49486	SIPO	QR	46953344
622735	2124	1995-12-14	VYDAJ	PREVOD NA UCET	5207	61015	SIPO	QR	46953344
622736	2124	1996-01-14	VYDAJ	PREVOD NA UCET	5207	52055	SIPO	QR	46953344
622737	2124	1996-02-14	VYDAJ	PREVOD NA UCET	5207	50376	SIPO	QR	46953344
622738	2124	1996-03-14	VYDAJ	PREVOD NA UCET	5207	48183	SIPO	QR	46953344
622739	2124	1996-04-14	VYDAJ	PREVOD NA UCET	5207	51989	SIPO	QR	46953344
622740	2124	1996-05-14	VYDAJ	PREVOD NA UCET	5207	53908	SIPO	QR	46953344
622741	2124	1996-06-14	VYDAJ	PREVOD NA UCET	5207	67752	SIPO	QR	46953344
622742	2124	1996-07-14	VYDAJ	PREVOD NA UCET	5207	58720	SIPO	QR	46953344
622743	2124	1996-08-14	VYDAJ	PREVOD NA UCET	5207	56468	SIPO	QR	46953344
622744	2124	1996-09-14	VYDAJ	PREVOD NA UCET	5207	54410	SIPO	QR	46953344
622745	2124	1996-10-14	VYDAJ	PREVOD NA UCET	5207	56945	SIPO	QR	46953344
622746	2124	1996-11-14	VYDAJ	PREVOD NA UCET	5207	54385	SIPO	QR	46953344
622747	2124	1996-12-14	VYDAJ	PREVOD NA UCET	5207	66534	SIPO	QR	46953344
622748	2124	1997-01-14	VYDAJ	PREVOD NA UCET	5207	57492	SIPO	QR	46953344
622749	2124	1997-02-14	VYDAJ	PREVOD NA UCET	5207	52667	SIPO	QR	46953344
622750	2124	1997-03-14	VYDAJ	PREVOD NA UCET	5207	59477	SIPO	QR	46953344
622751	2124	1997-04-14	VYDAJ	PREVOD NA UCET	5207	63925	SIPO	QR	46953344
622752	2124	1997-05-14	VYDAJ	PREVOD NA UCET	5207	70293	SIPO	QR	46953344
622753	2124	1997-06-14	VYDAJ	PREVOD NA UCET	5207	83307	SIPO	QR	46953344
622754	2124	1997-07-14	VYDAJ	PREVOD NA UCET	5207	55749	SIPO	QR	46953344
622755	2124	1997-08-14	VYDAJ	PREVOD NA UCET	5207	58771	SIPO	QR	46953344
622756	2124	1997-09-14	VYDAJ	PREVOD NA UCET	5207	63406	SIPO	QR	46953344
622757	2124	1997-10-14	VYDAJ	PREVOD NA UCET	5207	65955	SIPO	QR	46953344
622758	2124	1997-11-14	VYDAJ	PREVOD NA UCET	5207	70312	SIPO	QR	46953344
622759	2124	1997-12-14	VYDAJ	PREVOD NA UCET	5207	76161	SIPO	QR	46953344
622760	2124	1998-01-14	VYDAJ	PREVOD NA UCET	5207	65840	SIPO	QR	46953344
622761	2124	1998-02-14	VYDAJ	PREVOD NA UCET	5207	64923	SIPO	QR	46953344
622762	2124	1998-03-14	VYDAJ	PREVOD NA UCET	5207	72878	SIPO	QR	46953344
622763	2124	1998-04-14	VYDAJ	PREVOD NA UCET	5207	75163	SIPO	QR	46953344
622764	2124	1998-05-14	VYDAJ	PREVOD NA UCET	5207	79358	SIPO	QR	46953344
622765	2124	1998-06-14	VYDAJ	PREVOD NA UCET	5207	83880	SIPO	QR	46953344
622766	2124	1998-07-14	VYDAJ	PREVOD NA UCET	5207	68166	SIPO	QR	46953344
622767	2124	1998-08-14	VYDAJ	PREVOD NA UCET	5207	79337	SIPO	QR	46953344
622768	2124	1998-09-14	VYDAJ	PREVOD NA UCET	5207	88751	SIPO	QR	46953344
622769	2124	1998-10-14	VYDAJ	PREVOD NA UCET	5207	94598	SIPO	QR	46953344
622770	2124	1998-11-14	VYDAJ	PREVOD NA UCET	5207	92275	SIPO	QR	46953344
622771	2124	1998-12-14	VYDAJ	PREVOD NA UCET	5207	103043	SIPO	QR	46953344
622779	2124	1993-08-06	VYDAJ	PREVOD NA UCET	287	45346	 	KL	31666642
622780	2124	1993-09-06	VYDAJ	PREVOD NA UCET	287	42968	 	KL	31666642
622781	2124	1993-10-06	VYDAJ	PREVOD NA UCET	287	40177	 	KL	31666642
622782	2124	1993-11-06	VYDAJ	PREVOD NA UCET	287	39900	 	KL	31666642
622783	2124	1993-12-06	VYDAJ	PREVOD NA UCET	287	34803	 	KL	31666642
622784	2124	1994-01-06	VYDAJ	PREVOD NA UCET	287	31373	 	KL	31666642
622785	2124	1994-02-06	VYDAJ	PREVOD NA UCET	287	23341	 	KL	31666642
622786	2124	1994-03-06	VYDAJ	PREVOD NA UCET	287	32887	 	KL	31666642
622787	2124	1994-04-06	VYDAJ	PREVOD NA UCET	287	38568	 	KL	31666642
622788	2124	1994-05-06	VYDAJ	PREVOD NA UCET	287	41966	 	KL	31666642
622789	2124	1994-06-06	VYDAJ	PREVOD NA UCET	287	39366	 	KL	31666642
622790	2124	1994-07-06	VYDAJ	PREVOD NA UCET	287	45490	 	KL	31666642
622791	2124	1994-08-06	VYDAJ	PREVOD NA UCET	287	36716	 	KL	31666642
622792	2124	1994-09-06	VYDAJ	PREVOD NA UCET	287	35492	 	KL	31666642
622793	2124	1994-10-06	VYDAJ	PREVOD NA UCET	287	34561	 	KL	31666642
622794	2124	1994-11-06	VYDAJ	PREVOD NA UCET	287	35132	 	KL	31666642
622795	2124	1994-12-06	VYDAJ	PREVOD NA UCET	287	35892	 	KL	31666642
622796	2124	1995-01-06	VYDAJ	PREVOD NA UCET	287	29026	 	KL	31666642
622797	2124	1995-02-06	VYDAJ	PREVOD NA UCET	287	31812	 	KL	31666642
622798	2124	1995-03-06	VYDAJ	PREVOD NA UCET	287	42892	 	KL	31666642
622799	2124	1995-04-06	VYDAJ	PREVOD NA UCET	287	46702	 	KL	31666642
622800	2124	1995-05-06	VYDAJ	PREVOD NA UCET	287	51227	 	KL	31666642
622801	2124	1995-06-06	VYDAJ	PREVOD NA UCET	287	25454	 	KL	31666642
622802	2124	1995-07-06	VYDAJ	PREVOD NA UCET	287	49273	 	KL	31666642
622803	2124	1995-08-06	VYDAJ	PREVOD NA UCET	287	50599	 	KL	31666642
622804	2124	1995-09-06	VYDAJ	PREVOD NA UCET	287	46401	 	KL	31666642
622805	2124	1995-10-06	VYDAJ	PREVOD NA UCET	287	44671	 	KL	31666642
622806	2124	1995-11-06	VYDAJ	PREVOD NA UCET	287	43962	 	KL	31666642
622807	2124	1995-12-06	VYDAJ	PREVOD NA UCET	287	48676	 	KL	31666642
622808	2124	1996-01-06	VYDAJ	PREVOD NA UCET	287	42031	 	KL	31666642
622809	2124	1996-02-06	VYDAJ	PREVOD NA UCET	287	34152	 	KL	31666642
622810	2124	1996-03-06	VYDAJ	PREVOD NA UCET	287	31959	 	KL	31666642
622811	2124	1996-04-06	VYDAJ	PREVOD NA UCET	287	35765	 	KL	31666642
622812	2124	1996-05-06	VYDAJ	PREVOD NA UCET	287	37684	 	KL	31666642
622813	2124	1996-06-06	VYDAJ	PREVOD NA UCET	287	40813	 	KL	31666642
622814	2124	1996-07-06	VYDAJ	PREVOD NA UCET	287	42496	 	KL	31666642
622815	2124	1996-08-06	VYDAJ	PREVOD NA UCET	287	40244	 	KL	31666642
622816	2124	1996-09-06	VYDAJ	PREVOD NA UCET	287	41186	 	KL	31666642
622817	2124	1996-10-06	VYDAJ	PREVOD NA UCET	287	40721	 	KL	31666642
622818	2124	1996-11-06	VYDAJ	PREVOD NA UCET	287	38161	 	KL	31666642
622819	2124	1996-12-06	VYDAJ	PREVOD NA UCET	287	39595	 	KL	31666642
622820	2124	1997-01-06	VYDAJ	PREVOD NA UCET	287	44668	 	KL	31666642
622821	2124	1997-02-06	VYDAJ	PREVOD NA UCET	287	36443	 	KL	31666642
622822	2124	1997-03-06	VYDAJ	PREVOD NA UCET	287	43253	 	KL	31666642
622823	2124	1997-04-06	VYDAJ	PREVOD NA UCET	287	47701	 	KL	31666642
622824	2124	1997-05-06	VYDAJ	PREVOD NA UCET	287	54069	 	KL	31666642
622825	2124	1997-06-06	VYDAJ	PREVOD NA UCET	287	56368	 	KL	31666642
622826	2124	1997-07-06	VYDAJ	PREVOD NA UCET	287	39525	 	KL	31666642
622827	2124	1997-08-06	VYDAJ	PREVOD NA UCET	287	42547	 	KL	31666642
622828	2124	1997-09-06	VYDAJ	PREVOD NA UCET	287	47182	 	KL	31666642
622829	2124	1997-10-06	VYDAJ	PREVOD NA UCET	287	49731	 	KL	31666642
622830	2124	1997-11-06	VYDAJ	PREVOD NA UCET	287	54088	 	KL	31666642
622831	2124	1997-12-06	VYDAJ	PREVOD NA UCET	287	50621	 	KL	31666642
622832	2124	1998-01-06	VYDAJ	PREVOD NA UCET	287	59316	 	KL	31666642
622833	2124	1998-02-06	VYDAJ	PREVOD NA UCET	287	48699	 	KL	31666642
622834	2124	1998-03-06	VYDAJ	PREVOD NA UCET	287	56654	 	KL	31666642
622835	2124	1998-04-06	VYDAJ	PREVOD NA UCET	287	58939	 	KL	31666642
622836	2124	1998-05-06	VYDAJ	PREVOD NA UCET	287	63134	 	KL	31666642
622837	2124	1998-06-06	VYDAJ	PREVOD NA UCET	287	62341	 	KL	31666642
622838	2124	1998-07-06	VYDAJ	PREVOD NA UCET	287	51942	 	KL	31666642
622839	2124	1998-08-06	VYDAJ	PREVOD NA UCET	287	63113	 	KL	31666642
622840	2124	1998-09-06	VYDAJ	PREVOD NA UCET	287	72527	 	KL	31666642
622841	2124	1998-10-06	VYDAJ	PREVOD NA UCET	287	78374	 	KL	31666642
622842	2124	1998-11-06	VYDAJ	PREVOD NA UCET	287	76051	 	KL	31666642
622843	2124	1998-12-06	VYDAJ	PREVOD NA UCET	287	76103	 	KL	31666642
622846	2124	1995-06-05	VYDAJ	VYBER	24000	25741	\N	\N	\N
622847	2124	1996-06-21	VYDAJ	VYBER	13280	54472	\N	\N	\N
622848	2124	1997-06-16	VYDAJ	VYBER	37600	45707	\N	\N	\N
622849	2124	1998-06-26	VYDAJ	VYBER	17920	51960	\N	\N	\N
622851	2124	1994-01-29	VYDAJ	VYBER	9120	23497	\N	\N	\N
622852	2124	1995-01-05	VYDAJ	VYBER	14400	29313	\N	\N	\N
622853	2124	1996-01-06	VYDAJ	VYBER KARTOU	3400	38631	\N	\N	0
622854	2124	1997-01-18	VYDAJ	VYBER	6240	48452	\N	\N	\N
622855	2124	1998-01-25	VYDAJ	VYBER	11680	51960	\N	\N	\N
622856	2124	1993-12-04	VYDAJ	VYBER	1440	40850	\N	\N	\N
622857	2124	1994-12-20	VYDAJ	VYBER	2240	51692	\N	\N	\N
622858	2124	1995-12-19	VYDAJ	VYBER KARTOU	2900	58115	\N	\N	0
622859	2124	1996-12-16	VYDAJ	VYBER KARTOU	1400	65134	\N	\N	0
622860	2124	1997-12-06	VYDAJ	VYBER KARTOU	1400	49221	\N	\N	0
622861	2124	1998-12-23	VYDAJ	VYBER KARTOU	2100	80643	\N	\N	0
622868	2124	1994-01-25	VYDAJ	VYBER	840	35257	\N	\N	\N
622869	2124	1994-01-14	VYDAJ	VYBER	2760	43397	\N	\N	\N
622870	2124	1994-01-01	VYDAJ	VYBER	3240	34900	\N	\N	\N
622871	2124	1994-01-29	VYDAJ	VYBER	2640	32617	\N	\N	\N
622872	2124	1994-01-08	VYDAJ	VYBER	1440	29933	\N	\N	\N
622873	2124	1994-01-04	VYDAJ	VYBER	3240	31660	\N	\N	\N
622874	2124	1995-01-16	VYDAJ	VYBER	2640	35330	\N	\N	\N
622875	2124	1995-01-21	VYDAJ	VYBER	3360	31970	\N	\N	\N
622876	2124	1995-01-07	VYDAJ	VYBER	1440	27586	\N	\N	\N
622877	2124	1995-01-04	VYDAJ	VYBER	2040	46833	\N	\N	\N
622878	2124	1995-01-05	VYDAJ	VYBER	3120	43713	\N	\N	\N
622879	2124	1995-01-15	VYDAJ	VYBER	840	37970	\N	\N	\N
622880	2124	1996-01-24	VYDAJ	VYBER KARTOU	2300	44255	\N	\N	0
622881	2124	1996-01-09	VYDAJ	VYBER KARTOU	800	37831	\N	\N	0
622882	2124	1996-01-27	VYDAJ	VYBER KARTOU	1200	43055	\N	\N	0
622883	2124	1996-01-23	VYDAJ	VYBER KARTOU	3200	48855	\N	\N	0
622884	2124	1996-01-12	VYDAJ	VYBER KARTOU	2000	35831	\N	\N	0
622885	2124	1996-01-05	VYDAJ	VYBER KARTOU	2400	55918	\N	\N	0
622886	2124	1997-01-12	VYDAJ	VYBER KARTOU	2800	41868	\N	\N	0
622887	2124	1997-01-23	VYDAJ	VYBER KARTOU	2600	42652	\N	\N	0
622888	2124	1997-01-18	VYDAJ	VYBER KARTOU	2800	54692	\N	\N	0
622889	2124	1997-01-13	VYDAJ	VYBER KARTOU	600	62699	\N	\N	0
622890	2124	1997-01-20	VYDAJ	VYBER KARTOU	3200	45252	\N	\N	0
622891	2124	1997-01-05	VYDAJ	VYBER KARTOU	1000	44955	\N	\N	0
622892	2124	1998-01-12	VYDAJ	VYBER KARTOU	2800	52716	\N	\N	0
622893	2124	1998-01-11	VYDAJ	VYBER KARTOU	2800	56516	\N	\N	0
622894	2124	1998-01-13	VYDAJ	VYBER KARTOU	1400	72747	\N	\N	0
622895	2124	1998-01-17	VYDAJ	VYBER KARTOU	2200	63640	\N	\N	0
622896	2124	1998-01-26	VYDAJ	VYBER KARTOU	1600	48760	\N	\N	0
622897	2124	1998-01-12	VYDAJ	VYBER KARTOU	1000	55516	\N	\N	0
622899	2124	1993-12-21	VYDAJ	VYBER	3360	37982	\N	\N	\N
622900	2124	1993-12-05	VYDAJ	VYBER	5760	35090	\N	\N	\N
622902	2124	1993-10-21	VYDAJ	VYBER	3480	40021	\N	\N	\N
622904	2124	1994-07-28	VYDAJ	VYBER	5280	36834	\N	\N	\N
622905	2124	1994-11-07	VYDAJ	VYBER	3120	32012	\N	\N	\N
622906	2124	1994-12-25	VYDAJ	VYBER	3000	48692	\N	\N	\N
622907	2124	1994-11-30	VYDAJ	VYBER	4800	36179	\N	\N	\N
622908	2124	1995-12-04	VYDAJ	VYBER KARTOU	700	48963	\N	\N	0
622909	2124	1995-09-22	VYDAJ	VYBER	5640	44785	\N	\N	\N
622910	2124	1995-08-23	VYDAJ	VYBER	5520	46503	\N	\N	\N
622911	2124	1995-11-04	VYDAJ	VYBER	4920	44249	\N	\N	\N
622912	2124	1996-09-09	VYDAJ	VYBER KARTOU	3000	38186	\N	\N	0
622913	2124	1996-02-24	VYDAJ	VYBER KARTOU	3100	47276	\N	\N	0
622914	2124	1996-04-30	VYDAJ	VYBER KARTOU	1600	50571	\N	\N	0
622915	2124	1996-01-23	VYDAJ	VYBER KARTOU	2300	46555	\N	\N	0
622916	2124	1996-05-27	VYDAJ	VYBER KARTOU	1300	52608	\N	\N	0
622917	2124	1997-08-01	VYDAJ	VYBER	4200	42834	\N	\N	\N
622918	2124	1997-11-29	VYDAJ	VYBER	5040	50672	\N	\N	\N
622919	2124	1997-04-03	VYDAJ	VYBER KARTOU	1700	47988	\N	\N	0
622920	2124	1997-10-19	VYDAJ	VYBER KARTOU	2500	63455	\N	\N	0
622921	2124	1998-06-06	VYDAJ	VYBER	5400	56941	\N	\N	\N
622922	2124	1998-01-13	VYDAJ	VYBER KARTOU	1700	71047	\N	\N	0
622923	2124	1998-10-15	VYDAJ	VYBER	4080	90518	\N	\N	\N
622931	2124	1993-07-31	VYDAJ	VYBER	15	45633	SLUZBY	\N	\N
622932	2124	1993-08-31	VYDAJ	VYBER	15	43255	SLUZBY	\N	\N
622933	2124	1993-09-30	VYDAJ	VYBER	15	40464	SLUZBY	\N	\N
622934	2124	1993-10-31	VYDAJ	VYBER	15	40187	SLUZBY	\N	\N
622935	2124	1993-11-30	VYDAJ	VYBER	15	42290	SLUZBY	\N	\N
622936	2124	1993-12-31	VYDAJ	VYBER	15	38140	SLUZBY	\N	\N
622937	2124	1994-01-31	VYDAJ	VYBER	15	23628	SLUZBY	\N	\N
622938	2124	1994-02-28	VYDAJ	VYBER	15	33174	SLUZBY	\N	\N
622939	2124	1994-03-31	VYDAJ	VYBER	15	38855	SLUZBY	\N	\N
622940	2124	1994-04-30	VYDAJ	VYBER	15	42253	SLUZBY	\N	\N
622941	2124	1994-05-31	VYDAJ	VYBER	15	39653	SLUZBY	\N	\N
622942	2124	1994-06-30	VYDAJ	VYBER	15	45777	SLUZBY	\N	\N
622943	2124	1994-07-31	VYDAJ	VYBER	15	37003	SLUZBY	\N	\N
622944	2124	1994-08-31	VYDAJ	VYBER	15	35779	SLUZBY	\N	\N
622945	2124	1994-09-30	VYDAJ	VYBER	15	34848	SLUZBY	\N	\N
622946	2124	1994-10-31	VYDAJ	VYBER	15	35419	SLUZBY	\N	\N
622947	2124	1994-11-30	VYDAJ	VYBER	15	40979	SLUZBY	\N	\N
622948	2124	1994-12-31	VYDAJ	VYBER	15	48873	SLUZBY	\N	\N
622949	2124	1995-01-31	VYDAJ	VYBER	15	32099	SLUZBY	\N	\N
622950	2124	1995-02-28	VYDAJ	VYBER	15	43179	SLUZBY	\N	\N
622951	2124	1995-03-31	VYDAJ	VYBER	15	46989	SLUZBY	\N	\N
622952	2124	1995-04-30	VYDAJ	VYBER	15	51514	SLUZBY	\N	\N
622953	2124	1995-05-31	VYDAJ	VYBER	15	49741	SLUZBY	\N	\N
622954	2124	1995-06-30	VYDAJ	VYBER	15	49560	SLUZBY	\N	\N
622955	2124	1995-07-31	VYDAJ	VYBER	15	50886	SLUZBY	\N	\N
622956	2124	1995-08-31	VYDAJ	VYBER	15	46688	SLUZBY	\N	\N
622957	2124	1995-09-30	VYDAJ	VYBER	15	44958	SLUZBY	\N	\N
622958	2124	1995-10-31	VYDAJ	VYBER	15	49169	SLUZBY	\N	\N
622959	2124	1995-11-30	VYDAJ	VYBER	15	49663	SLUZBY	\N	\N
622960	2124	1995-12-31	VYDAJ	VYBER	15	58318	SLUZBY	\N	\N
622961	2124	1996-01-31	VYDAJ	VYBER	15	43239	SLUZBY	\N	\N
622962	2124	1996-02-29	VYDAJ	VYBER	15	47446	SLUZBY	\N	\N
622963	2124	1996-03-31	VYDAJ	VYBER	15	48352	SLUZBY	\N	\N
622964	2124	1996-04-30	VYDAJ	VYBER	15	52171	SLUZBY	\N	\N
622965	2124	1996-05-31	VYDAJ	VYBER	15	52800	SLUZBY	\N	\N
622966	2124	1996-06-30	VYDAJ	VYBER	15	54683	SLUZBY	\N	\N
622967	2124	1996-07-31	VYDAJ	VYBER	15	58931	SLUZBY	\N	\N
622968	2124	1996-08-31	VYDAJ	VYBER	15	56673	SLUZBY	\N	\N
622969	2124	1996-09-30	VYDAJ	VYBER	15	54608	SLUZBY	\N	\N
622970	2124	1996-10-31	VYDAJ	VYBER	15	57148	SLUZBY	\N	\N
622971	2124	1996-11-30	VYDAJ	VYBER	15	54582	SLUZBY	\N	\N
622972	2124	1996-12-31	VYDAJ	VYBER	15	45955	SLUZBY	\N	\N
622973	2124	1997-01-31	VYDAJ	VYBER	15	36730	SLUZBY	\N	\N
622974	2124	1997-02-28	VYDAJ	VYBER	15	52840	SLUZBY	\N	\N
622975	2124	1997-03-31	VYDAJ	VYBER	15	59688	SLUZBY	\N	\N
622976	2124	1997-04-30	VYDAJ	VYBER	15	64156	SLUZBY	\N	\N
622977	2124	1997-05-31	VYDAJ	VYBER	15	56655	SLUZBY	\N	\N
622978	2124	1997-06-30	VYDAJ	VYBER	15	39812	SLUZBY	\N	\N
622979	2124	1997-07-31	VYDAJ	VYBER	15	47034	SLUZBY	\N	\N
622980	2124	1997-08-31	VYDAJ	VYBER	15	47469	SLUZBY	\N	\N
622981	2124	1997-09-30	VYDAJ	VYBER	15	50018	SLUZBY	\N	\N
622982	2124	1997-10-31	VYDAJ	VYBER	15	54375	SLUZBY	\N	\N
622983	2124	1997-11-30	VYDAJ	VYBER	15	50908	SLUZBY	\N	\N
622984	2124	1997-12-31	VYDAJ	VYBER	15	59603	SLUZBY	\N	\N
622985	2124	1998-01-31	VYDAJ	VYBER	15	48986	SLUZBY	\N	\N
622986	2124	1998-02-28	VYDAJ	VYBER	15	56941	SLUZBY	\N	\N
622987	2124	1998-03-31	VYDAJ	VYBER	15	59226	SLUZBY	\N	\N
622988	2124	1998-04-30	VYDAJ	VYBER	15	63421	SLUZBY	\N	\N
622989	2124	1998-05-31	VYDAJ	VYBER	15	62628	SLUZBY	\N	\N
622990	2124	1998-06-30	VYDAJ	VYBER	15	52229	SLUZBY	\N	\N
622991	2124	1998-07-31	VYDAJ	VYBER	15	63400	SLUZBY	\N	\N
622992	2124	1998-08-31	VYDAJ	VYBER	15	72814	SLUZBY	\N	\N
622993	2124	1998-09-30	VYDAJ	VYBER	15	78661	SLUZBY	\N	\N
622994	2124	1998-10-31	VYDAJ	VYBER	15	76338	SLUZBY	\N	\N
622995	2124	1998-11-30	VYDAJ	VYBER	15	76390	SLUZBY	\N	\N
622996	2124	1993-03-22	PRIJEM	VKLAD	2100	24031	\N	\N	\N
622997	2124	1993-04-21	VYDAJ	VYBER	12300	33194	\N	\N	\N
622998	2124	1993-05-21	VYDAJ	VYBER	16300	38438	\N	\N	\N
622999	2124	1993-06-20	VYDAJ	VYBER	20500	50231	\N	\N	\N
623000	2124	1993-07-20	VYDAJ	VYBER	21200	45433	\N	\N	\N
623001	2124	1993-08-19	VYDAJ	VYBER	18500	43070	\N	\N	\N
623002	2124	1993-09-18	VYDAJ	VYBER	18900	40292	\N	\N	\N
623003	2124	1993-10-18	VYDAJ	VYBER	12900	43501	\N	\N	\N
623004	2124	1993-11-17	VYDAJ	VYBER	14000	42124	\N	\N	\N
623005	2124	1993-12-17	VYDAJ	VYBER	20400	41342	\N	\N	\N
623006	2124	1994-01-16	VYDAJ	VYBER	7300	36097	\N	\N	\N
623007	2124	1994-02-15	VYDAJ	VYBER	6500	33065	\N	\N	\N
623008	2124	1994-03-17	VYDAJ	VYBER	10400	38711	\N	\N	\N
623009	2124	1994-04-16	VYDAJ	VYBER	12700	42092	\N	\N	\N
623010	2124	1994-05-16	VYDAJ	VYBER	18700	39490	\N	\N	\N
623011	2124	1994-06-15	VYDAJ	VYBER	20700	45605	\N	\N	\N
623012	2124	1994-07-15	VYDAJ	VYBER	19600	42114	\N	\N	\N
623013	2124	1994-08-14	VYDAJ	VYBER	17300	35640	\N	\N	\N
623014	2124	1994-09-13	VYDAJ	VYBER	17000	39923	\N	\N	\N
623015	2124	1994-10-13	VYDAJ	VYBER	15500	40492	\N	\N	\N
623016	2124	1994-11-12	VYDAJ	VYBER	7400	24612	\N	\N	\N
623017	2124	1994-12-12	VYDAJ	VYBER	8900	26992	\N	\N	\N
623018	2124	1995-01-11	VYDAJ	VYBER	5000	22586	\N	\N	\N
623019	2124	1995-02-10	VYDAJ	VYBER	5000	26812	\N	\N	\N
623020	2124	1995-03-12	VYDAJ	VYBER	12300	30592	\N	\N	\N
623021	2124	1995-04-11	VYDAJ	VYBER	11600	35102	\N	\N	\N
623022	2124	1995-05-11	VYDAJ	VYBER	17900	33327	\N	\N	\N
623023	2124	1995-06-10	VYDAJ	VYBER	3000	22454	\N	\N	\N
623024	2124	1995-07-10	VYDAJ	VYBER	14800	34473	\N	\N	\N
623025	2124	1995-08-09	VYDAJ	VYBER	14800	35799	\N	\N	\N
623026	2124	1995-09-08	VYDAJ	VYBER	12200	34201	\N	\N	\N
623027	2124	1995-10-08	VYDAJ	VYBER	11900	32771	\N	\N	\N
623028	2124	1995-11-07	VYDAJ	VYBER	10700	33262	\N	\N	\N
623029	2124	1995-12-07	VYDAJ	VYBER	14600	34076	\N	\N	\N
623030	2124	1996-01-06	VYDAJ	VYBER	13600	42318	\N	\N	\N
623031	2124	1996-02-05	VYDAJ	VYBER	8800	34439	\N	\N	\N
623032	2124	1996-03-06	VYDAJ	VYBER	15200	32246	\N	\N	\N
623033	2124	1996-04-05	VYDAJ	VYBER	12300	36052	\N	\N	\N
623034	2124	1996-05-05	VYDAJ	VYBER	12600	37971	\N	\N	\N
623035	2124	1996-06-04	VYDAJ	VYBER	11700	41100	\N	\N	\N
623036	2124	1996-07-04	VYDAJ	VYBER	11900	42783	\N	\N	\N
623037	2124	1996-08-03	VYDAJ	VYBER	18400	40531	\N	\N	\N
623038	2124	1996-09-02	VYDAJ	VYBER	15200	41473	\N	\N	\N
623039	2124	1996-10-02	VYDAJ	VYBER	13600	41008	\N	\N	\N
623040	2124	1996-11-01	VYDAJ	VYBER	18700	38448	\N	\N	\N
623041	2124	1996-12-01	VYDAJ	VYBER	14700	39882	\N	\N	\N
623042	2124	1996-12-31	VYDAJ	VYBER	19400	45970	\N	\N	\N
623043	2124	1997-01-30	VYDAJ	VYBER	6100	36552	\N	\N	\N
623044	2124	1997-03-01	VYDAJ	VYBER	9300	43540	\N	\N	\N
623045	2124	1997-03-31	VYDAJ	VYBER	10000	49688	\N	\N	\N
623046	2124	1997-04-30	VYDAJ	VYBER	9800	54356	\N	\N	\N
623047	2124	1997-05-30	VYDAJ	VYBER	13900	56393	\N	\N	\N
623048	2124	1997-06-29	VYDAJ	VYBER	6100	39607	\N	\N	\N
623049	2124	1997-07-29	VYDAJ	VYBER	8900	46849	\N	\N	\N
623050	2124	1997-08-28	VYDAJ	VYBER	11500	47271	\N	\N	\N
623051	2124	1997-09-27	VYDAJ	VYBER	13600	49806	\N	\N	\N
623052	2124	1997-10-27	VYDAJ	VYBER	9300	54155	\N	\N	\N
623053	2124	1997-11-26	VYDAJ	VYBER	14600	55712	\N	\N	\N
623054	2124	1997-12-26	VYDAJ	VYBER	16800	59361	\N	\N	\N
623055	2124	1998-01-25	VYDAJ	VYBER KARTOU	1600	50360	\N	\N	0
623056	2124	1998-02-24	VYDAJ	VYBER	8200	56723	\N	\N	\N
623057	2124	1998-03-26	VYDAJ	VYBER	13900	58978	\N	\N	\N
623058	2124	1998-04-25	VYDAJ	VYBER	12000	63163	\N	\N	\N
623059	2124	1998-05-25	VYDAJ	VYBER	17000	62358	\N	\N	\N
623060	2124	1998-06-24	VYDAJ	VYBER	14000	69880	\N	\N	\N
623061	2124	1998-07-24	VYDAJ	VYBER	5000	63166	\N	\N	\N
623062	2124	1998-08-23	VYDAJ	VYBER	6800	72537	\N	\N	\N
623063	2124	1998-09-22	VYDAJ	VYBER	10400	78351	\N	\N	\N
623064	2124	1998-10-22	VYDAJ	VYBER	14500	76018	\N	\N	\N
623065	2124	1998-11-21	VYDAJ	VYBER	16200	76075	\N	\N	\N
623066	2124	1998-12-21	VYDAJ	VYBER	20300	82743	\N	\N	\N
623137	2125	1997-11-20	PRIJEM	VKLAD	600	600	\N	\N	\N
623144	2125	1997-12-29	PRIJEM	VKLAD	43756	109758	\N	\N	\N
623150	2125	1997-12-24	PRIJEM	VKLAD	32561	66002	\N	\N	\N
623159	2125	1997-11-29	PRIJEM	VKLAD	46028	46628	\N	\N	\N
623160	2125	1998-03-20	PRIJEM	VKLAD	35117	123826	\N	\N	\N
623161	2125	1998-03-09	PRIJEM	VKLAD	44411	97334	\N	\N	\N
623162	2125	1998-11-24	PRIJEM	VKLAD	42025	92040	\N	\N	\N
623163	2125	1998-09-12	PRIJEM	VKLAD	33741	57804	\N	\N	\N
623164	2125	1998-09-24	PRIJEM	VKLAD	10437	54041	\N	\N	\N
623165	2125	1998-01-10	PRIJEM	VKLAD	14465	94456	\N	\N	\N
623166	2125	1998-02-28	PRIJEM	VKLAD	17064	60794	\N	\N	\N
623167	2125	1998-04-29	PRIJEM	VKLAD	30092	63318	\N	\N	\N
623168	2125	1998-10-08	PRIJEM	VKLAD	31607	75592	\N	\N	\N
623169	2125	1998-12-18	PRIJEM	VKLAD	16069	72516	\N	\N	\N
623170	2125	1998-12-23	PRIJEM	VKLAD	41215	108031	\N	\N	\N
623171	2125	1998-11-04	PRIJEM	VKLAD	19861	72240	\N	\N	\N
623172	2125	1998-12-28	PRIJEM	VKLAD	6187	59518	\N	\N	\N
623187	2125	1998-03-10	VYDAJ	PREVOD NA UCET	3225	94109	SIPO	UV	70317023
623188	2125	1998-04-10	VYDAJ	PREVOD NA UCET	3225	49261	SIPO	UV	70317023
623189	2125	1998-05-10	VYDAJ	PREVOD NA UCET	3225	60263	SIPO	UV	70317023
623190	2125	1998-06-10	VYDAJ	PREVOD NA UCET	3225	36431	SIPO	UV	70317023
623191	2125	1998-07-10	VYDAJ	PREVOD NA UCET	3225	27925	SIPO	UV	70317023
623192	2125	1998-08-10	VYDAJ	PREVOD NA UCET	3225	26998	SIPO	UV	70317023
623193	2125	1998-09-10	VYDAJ	PREVOD NA UCET	3225	24063	SIPO	UV	70317023
623194	2125	1998-10-10	VYDAJ	PREVOD NA UCET	3225	72367	SIPO	UV	70317023
623195	2125	1998-11-10	VYDAJ	PREVOD NA UCET	3225	69015	SIPO	UV	70317023
623196	2125	1998-12-10	VYDAJ	PREVOD NA UCET	3225	76447	SIPO	UV	70317023
623208	2125	1998-04-25	VYBER	VYBER	6135	33226	\N	\N	\N
623214	2125	1998-12-30	VYDAJ	VYBER	1500	58018	\N	\N	\N
623234	2125	1998-11-29	VYDAJ	VYBER	12600	79440	\N	\N	\N
623235	2125	1998-05-21	VYDAJ	VYBER	2100	39463	\N	\N	\N
623237	2125	1998-03-07	VYDAJ	VYBER	8100	52923	\N	\N	\N
623238	2125	1998-12-18	VYDAJ	VYBER	5700	66816	\N	\N	\N
623239	2125	1998-10-04	VYDAJ	VYBER	10200	43985	\N	\N	\N
623240	2125	1998-03-12	VYDAJ	VYBER	5400	88709	\N	\N	\N
623255	2125	1998-02-28	VYDAJ	VYBER	30	61023	SLUZBY	\N	\N
623256	2125	1998-03-31	VYDAJ	VYBER	30	52486	SLUZBY	\N	\N
623257	2125	1998-04-30	VYDAJ	VYBER	30	63488	SLUZBY	\N	\N
623258	2125	1998-05-31	VYDAJ	VYBER	30	39656	SLUZBY	\N	\N
623259	2125	1998-06-30	VYDAJ	VYBER	30	31150	SLUZBY	\N	\N
623260	2125	1998-07-31	VYDAJ	VYBER	30	30223	SLUZBY	\N	\N
623261	2125	1998-08-31	VYDAJ	VYBER	30	27288	SLUZBY	\N	\N
623262	2125	1998-09-30	VYDAJ	VYBER	30	54185	SLUZBY	\N	\N
623263	2125	1998-10-31	VYDAJ	VYBER	30	52379	SLUZBY	\N	\N
623264	2125	1998-11-30	VYDAJ	VYBER	30	79672	SLUZBY	\N	\N
623265	2125	1997-12-20	VYDAJ	VYBER	13200	33441	\N	\N	\N
623266	2125	1997-12-29	VYDAJ	VYBER	30000	79758	\N	\N	\N
623267	2125	1998-01-19	VYDAJ	VYBER	32200	62256	\N	\N	\N
623268	2125	1998-02-18	VYDAJ	VYBER	18900	43730	\N	\N	\N
623269	2125	1998-03-20	VYDAJ	VYBER	46300	52126	\N	\N	\N
623270	2125	1998-03-20	VYDAJ	VYBER	25400	98426	\N	\N	\N
623271	2125	1998-04-19	VYDAJ	VYBER	9900	39361	\N	\N	\N
623272	2125	1998-05-19	VYDAJ	VYBER	18700	41563	\N	\N	\N
623273	2125	1998-06-18	VYDAJ	VYBER	5400	31031	\N	\N	\N
623274	2125	1998-07-18	PRIJEM	VKLAD	2200	30125	\N	\N	\N
623275	2125	1998-08-17	PRIJEM	VKLAD	200	27198	\N	\N	\N
623276	2125	1998-09-16	VYDAJ	VYBER	14200	43604	\N	\N	\N
623277	2125	1998-10-16	VYDAJ	VYBER	20200	52167	\N	\N	\N
623278	2125	1998-11-15	VYDAJ	VYBER	19000	50015	\N	\N	\N
623279	2125	1998-12-15	VYDAJ	VYBER	20000	56447	\N	\N	\N
623280	2125	1998-12-23	VYDAJ	VYBER	54700	53331	\N	\N	\N
623295	2126	1997-02-09	PRIJEM	VKLAD	900	900	\N	\N	\N
623407	2126	1998-02-04	VYDAJ	VYBER	1600	39049	\N	\N	\N
623297	2126	1997-02-11	PRIJEM	PREVOD Z UCTU	41083	41983	\N	YZ	73724281
623298	2126	1997-03-11	PRIJEM	PREVOD Z UCTU	41083	83178	\N	YZ	73724281
623299	2126	1997-04-11	PRIJEM	PREVOD Z UCTU	41083	75869	\N	YZ	73724281
623300	2126	1997-05-11	PRIJEM	PREVOD Z UCTU	41083	91236	\N	YZ	73724281
623301	2126	1997-06-11	PRIJEM	PREVOD Z UCTU	61624	117420	\N	YZ	73724281
623302	2126	1997-07-11	PRIJEM	PREVOD Z UCTU	41083	95562	\N	YZ	73724281
623303	2126	1997-08-11	PRIJEM	PREVOD Z UCTU	41083	88949	\N	YZ	73724281
623304	2126	1997-09-11	PRIJEM	PREVOD Z UCTU	41083	99651	\N	YZ	73724281
623305	2126	1997-10-11	PRIJEM	PREVOD Z UCTU	41083	95272	\N	YZ	73724281
623306	2126	1997-11-11	PRIJEM	PREVOD Z UCTU	41083	105211	\N	YZ	73724281
623307	2126	1997-12-11	PRIJEM	PREVOD Z UCTU	61624	128144	\N	YZ	73724281
623308	2126	1998-01-11	PRIJEM	PREVOD Z UCTU	41083	73967	\N	YZ	73724281
623309	2126	1998-02-11	PRIJEM	PREVOD Z UCTU	41083	80132	\N	YZ	73724281
623310	2126	1998-03-11	PRIJEM	PREVOD Z UCTU	41083	91176	\N	YZ	73724281
623311	2126	1998-04-11	PRIJEM	PREVOD Z UCTU	41083	90437	\N	YZ	73724281
623312	2126	1998-05-11	PRIJEM	PREVOD Z UCTU	41083	77110	\N	YZ	73724281
623313	2126	1998-06-11	PRIJEM	PREVOD Z UCTU	61624	108098	\N	YZ	73724281
623314	2126	1998-07-11	PRIJEM	PREVOD Z UCTU	41083	76648	\N	YZ	73724281
623315	2126	1998-08-11	PRIJEM	PREVOD Z UCTU	41083	95274	\N	YZ	73724281
623316	2126	1998-09-11	PRIJEM	PREVOD Z UCTU	41083	109992	\N	YZ	73724281
623317	2126	1998-10-11	PRIJEM	PREVOD Z UCTU	41083	80600	\N	YZ	73724281
623318	2126	1998-11-11	PRIJEM	PREVOD Z UCTU	41083	93478	\N	YZ	73724281
623319	2126	1998-12-11	PRIJEM	PREVOD Z UCTU	61624	121027	\N	YZ	73724281
623322	2126	1997-09-27	VYBER	VYBER	9633	75618	\N	\N	\N
623324	2126	1997-07-30	VYBER	VYBER	9706	60955	\N	\N	\N
623325	2126	1997-12-16	VYBER	VYBER	5502	98342	\N	\N	\N
623328	2126	1997-06-19	VYBER	VYBER	12605	85515	\N	\N	\N
623331	2126	1997-12-18	VYBER	VYBER	23302	75040	\N	\N	\N
623332	2126	1997-07-11	VYBER	VYBER	10501	85061	\N	\N	\N
623334	2126	1998-02-15	VYBER	VYBER	22153	57979	\N	\N	\N
623335	2126	1998-10-16	VYBER	VYBER	17661	62939	\N	\N	\N
623336	2126	1998-09-02	VYBER	VYBER	3209	92409	\N	\N	\N
623337	2126	1998-11-04	VYBER	VYBER	3372	52395	\N	\N	\N
623338	2126	1998-04-08	VYBER	VYBER	15442	49354	\N	\N	\N
623340	2126	1998-05-07	VYBER	VYBER	17615	36027	\N	\N	\N
623341	2126	1998-06-04	VYBER	VYBER	21913	55474	\N	\N	\N
623342	2126	1998-11-27	VYBER	VYBER	10291	83187	\N	\N	\N
623343	2126	1998-01-27	VYBER	VYBER	16430	43437	\N	\N	\N
623344	2126	1998-04-23	VYBER	VYBER	21817	68620	\N	\N	\N
623345	2126	1998-09-17	VYBER	VYBER	24089	39603	\N	\N	\N
623347	2126	1998-06-12	VYDAJ	VYBER	77400	30698	\N	\N	\N
623349	2126	1998-01-28	VYDAJ	VYBER	3000	40437	\N	\N	\N
623350	2126	1997-12-30	VYDAJ	VYBER	4800	70240	\N	\N	\N
623351	2126	1998-12-06	VYDAJ	VYBER	7800	59403	\N	\N	\N
623358	2126	1998-01-09	VYDAJ	VYBER	4500	32884	\N	\N	\N
623359	2126	1998-01-14	VYDAJ	VYBER	5700	68267	\N	\N	\N
623360	2126	1998-01-02	VYDAJ	VYBER	4200	58284	\N	\N	\N
623361	2126	1998-01-03	VYDAJ	VYBER	6600	51684	\N	\N	\N
623362	2126	1998-01-04	VYDAJ	VYBER	7200	44484	\N	\N	\N
623363	2126	1998-01-18	VYDAJ	VYBER	8400	59867	\N	\N	\N
623364	2126	1997-11-11	VYDAJ	VYBER	13800	91411	\N	\N	\N
623366	2126	1997-07-15	VYDAJ	VYBER	14400	70661	\N	\N	\N
623367	2126	1997-09-26	VYDAJ	VYBER	14400	85251	\N	\N	\N
623368	2126	1998-08-07	VYDAJ	VYBER KARTOU	1800	54191	\N	\N	0
623369	2126	1998-01-02	VYDAJ	VYBER	8100	62484	\N	\N	\N
623376	2126	1997-06-30	VYDAJ	VYBER	15	85879	SLUZBY	\N	\N
623377	2126	1997-07-31	VYDAJ	VYBER	15	61266	SLUZBY	\N	\N
623378	2126	1997-08-31	VYDAJ	VYBER	15	89268	SLUZBY	\N	\N
623379	2126	1997-09-30	VYDAJ	VYBER	15	75989	SLUZBY	\N	\N
623380	2126	1997-10-31	VYDAJ	VYBER	15	95628	SLUZBY	\N	\N
623381	2126	1997-11-30	VYDAJ	VYBER	15	91820	SLUZBY	\N	\N
623382	2126	1997-12-31	VYDAJ	VYBER	15	70584	SLUZBY	\N	\N
623383	2126	1998-01-31	VYDAJ	VYBER	15	40649	SLUZBY	\N	\N
623384	2126	1998-02-28	VYDAJ	VYBER	15	58193	SLUZBY	\N	\N
623385	2126	1998-03-31	VYDAJ	VYBER	15	91496	SLUZBY	\N	\N
623386	2126	1998-04-30	VYDAJ	VYBER	15	68942	SLUZBY	\N	\N
623387	2126	1998-05-31	VYDAJ	VYBER	15	77387	SLUZBY	\N	\N
623388	2126	1998-06-30	VYDAJ	VYBER	15	30865	SLUZBY	\N	\N
623389	2126	1998-07-31	VYDAJ	VYBER	15	76891	SLUZBY	\N	\N
623390	2126	1998-08-31	VYDAJ	VYBER	15	95618	SLUZBY	\N	\N
623391	2126	1998-09-30	VYDAJ	VYBER	15	39817	SLUZBY	\N	\N
623392	2126	1998-10-31	VYDAJ	VYBER	15	63167	SLUZBY	\N	\N
623393	2126	1998-11-30	VYDAJ	VYBER	15	83503	SLUZBY	\N	\N
623394	2126	1997-03-11	VYDAJ	VYBER	29800	53378	\N	\N	\N
623395	2126	1997-04-10	VYDAJ	VYBER	18800	34786	\N	\N	\N
623396	2126	1997-05-10	VYDAJ	VYBER	26000	50153	\N	\N	\N
623397	2126	1997-06-09	VYDAJ	VYBER	35800	55796	\N	\N	\N
623398	2126	1997-06-11	VYDAJ	VYBER	19300	98120	\N	\N	\N
623399	2126	1997-07-09	VYDAJ	VYBER	31400	54479	\N	\N	\N
623400	2126	1997-08-08	VYDAJ	VYBER	13400	47866	\N	\N	\N
623401	2126	1997-09-07	VYDAJ	VYBER	30700	58568	\N	\N	\N
623402	2126	1997-10-07	VYDAJ	VYBER	21800	54189	\N	\N	\N
623403	2126	1997-11-06	VYDAJ	VYBER	31500	64128	\N	\N	\N
623404	2126	1997-12-06	VYDAJ	VYBER	25300	66520	\N	\N	\N
623405	2126	1997-12-11	VYDAJ	VYBER	24300	103844	\N	\N	\N
623406	2126	1998-01-05	VYDAJ	VYBER	7100	37384	\N	\N	\N
623408	2126	1998-03-06	VYDAJ	VYBER	8100	50093	\N	\N	\N
623409	2126	1998-04-05	VYDAJ	VYBER	26700	64796	\N	\N	\N
623410	2126	1998-05-05	VYDAJ	VYBER	15300	53642	\N	\N	\N
623411	2126	1998-06-04	VYDAJ	VYBER	9000	46474	\N	\N	\N
623412	2126	1998-07-04	PRIJEM	VKLAD	4700	35565	\N	\N	\N
623413	2126	1998-08-03	VYDAJ	VYBER	20900	55991	\N	\N	\N
623414	2126	1998-09-02	VYDAJ	VYBER	23500	68909	\N	\N	\N
623415	2126	1998-09-11	VYDAJ	VYBER	46300	63692	\N	\N	\N
623416	2126	1998-10-02	VYDAJ	VYBER KARTOU	300	39517	\N	\N	0
623417	2126	1998-11-01	VYDAJ	VYBER	7400	55767	\N	\N	\N
623418	2126	1998-12-01	VYDAJ	VYBER	16300	67203	\N	\N	\N
623419	2126	1998-12-11	VYDAJ	VYBER	59600	61427	\N	\N	\N
623443	2127	1997-05-09	PRIJEM	VKLAD	400	400	\N	\N	\N
623449	2127	1997-06-05	PRIJEM	PREVOD Z UCTU	2993	3393	\N	QR	29875993
623450	2127	1997-07-05	PRIJEM	PREVOD Z UCTU	2993	15927	\N	QR	29875993
623451	2127	1997-08-05	PRIJEM	PREVOD Z UCTU	2993	24602	\N	QR	29875993
623452	2127	1997-09-05	PRIJEM	PREVOD Z UCTU	2993	27093	\N	QR	29875993
623453	2127	1997-10-05	PRIJEM	PREVOD Z UCTU	2993	29293	\N	QR	29875993
623454	2127	1997-11-05	PRIJEM	PREVOD Z UCTU	2993	29090	\N	QR	29875993
623455	2127	1997-12-05	PRIJEM	PREVOD Z UCTU	2993	27476	\N	QR	29875993
623456	2127	1998-01-05	PRIJEM	PREVOD Z UCTU	2993	24049	\N	QR	29875993
623457	2127	1998-02-05	PRIJEM	PREVOD Z UCTU	2993	23431	\N	QR	29875993
623458	2127	1998-03-05	PRIJEM	PREVOD Z UCTU	2993	24142	\N	QR	29875993
623459	2127	1998-04-05	PRIJEM	PREVOD Z UCTU	2993	21406	\N	QR	29875993
623460	2127	1998-05-05	PRIJEM	PREVOD Z UCTU	2993	19371	\N	QR	29875993
623461	2127	1998-06-05	PRIJEM	PREVOD Z UCTU	2993	16728	\N	QR	29875993
623462	2127	1998-07-05	PRIJEM	PREVOD Z UCTU	2993	17143	\N	QR	29875993
623463	2127	1998-08-05	PRIJEM	PREVOD Z UCTU	2993	14889	\N	QR	29875993
623464	2127	1998-09-05	PRIJEM	PREVOD Z UCTU	2993	15927	\N	QR	29875993
623465	2127	1998-10-05	PRIJEM	PREVOD Z UCTU	2993	17768	\N	QR	29875993
623466	2127	1998-11-05	PRIJEM	PREVOD Z UCTU	2993	18616	\N	QR	29875993
623467	2127	1998-12-05	PRIJEM	PREVOD Z UCTU	2993	17284	\N	QR	29875993
623477	2127	1997-10-06	VYDAJ	PREVOD NA UCET	1995	27298	SIPO	EF	24088090
623478	2127	1997-11-06	VYDAJ	PREVOD NA UCET	1995	24395	SIPO	EF	24088090
623479	2127	1997-12-06	VYDAJ	PREVOD NA UCET	1995	24181	SIPO	EF	24088090
623480	2127	1998-01-06	VYDAJ	PREVOD NA UCET	1995	22054	SIPO	EF	24088090
623481	2127	1998-02-06	VYDAJ	PREVOD NA UCET	1995	21436	SIPO	EF	24088090
623482	2127	1998-03-06	VYDAJ	PREVOD NA UCET	1995	19147	SIPO	EF	24088090
623483	2127	1998-04-06	VYDAJ	PREVOD NA UCET	1995	19411	SIPO	EF	24088090
623484	2127	1998-05-06	VYDAJ	PREVOD NA UCET	1995	17376	SIPO	EF	24088090
623485	2127	1998-06-06	VYDAJ	PREVOD NA UCET	1995	14733	SIPO	EF	24088090
623486	2127	1998-07-06	VYDAJ	PREVOD NA UCET	1995	15148	SIPO	EF	24088090
623487	2127	1998-08-06	VYDAJ	PREVOD NA UCET	1995	12894	SIPO	EF	24088090
623488	2127	1998-09-06	VYDAJ	PREVOD NA UCET	1995	13932	SIPO	EF	24088090
623489	2127	1998-10-06	VYDAJ	PREVOD NA UCET	1995	15773	SIPO	EF	24088090
623490	2127	1998-11-06	VYDAJ	PREVOD NA UCET	1995	16621	SIPO	EF	24088090
623491	2127	1998-12-06	VYDAJ	PREVOD NA UCET	1995	15289	SIPO	EF	24088090
623495	2127	1998-01-29	VYDAJ	VYBER	1800	17764	\N	\N	\N
623496	2127	1997-12-11	VYDAJ	VYBER	750	23431	\N	\N	\N
623497	2127	1998-12-23	VYDAJ	VYBER	270	15019	\N	\N	\N
623504	2127	1998-01-23	VYDAJ	VYBER	240	20974	\N	\N	\N
623505	2127	1998-01-01	VYDAJ	VYBER	360	23156	\N	\N	\N
623506	2127	1998-01-27	VYDAJ	VYBER	750	19564	\N	\N	\N
623507	2127	1998-01-26	VYDAJ	VYBER	660	20314	\N	\N	\N
623508	2127	1998-01-29	VYDAJ	VYBER	600	17164	\N	\N	\N
623509	2127	1998-01-22	VYDAJ	VYBER	360	21214	\N	\N	\N
623519	2127	1998-01-19	VYDAJ	VYBER	480	21574	\N	\N	\N
623520	2127	1998-02-23	VYDAJ	VYBER	360	21076	\N	\N	\N
623522	2127	1998-06-22	VYDAJ	VYBER	1230	13503	\N	\N	\N
623523	2127	1998-11-07	VYDAJ	VYBER	1080	15541	\N	\N	\N
623534	2127	1997-10-31	VYDAJ	VYBER	15	26097	SLUZBY	\N	\N
623535	2127	1997-11-30	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
623536	2127	1997-12-31	VYDAJ	VYBER	15	23516	SLUZBY	\N	\N
623537	2127	1998-01-31	VYDAJ	VYBER	15	17238	SLUZBY	\N	\N
623538	2127	1998-02-28	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
623539	2127	1998-03-31	VYDAJ	VYBER	15	19213	SLUZBY	\N	\N
623540	2127	1998-04-30	VYDAJ	VYBER	15	19478	SLUZBY	\N	\N
623541	2127	1998-05-31	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
623542	2127	1998-06-30	VYDAJ	VYBER	15	13550	SLUZBY	\N	\N
623543	2127	1998-07-31	VYDAJ	VYBER	15	15196	SLUZBY	\N	\N
623544	2127	1998-08-31	VYDAJ	VYBER	15	12934	SLUZBY	\N	\N
623545	2127	1998-09-30	VYDAJ	VYBER	15	13975	SLUZBY	\N	\N
623546	2127	1998-10-31	VYDAJ	VYBER	15	15623	SLUZBY	\N	\N
623547	2127	1998-11-30	VYDAJ	VYBER	15	15591	SLUZBY	\N	\N
623548	2127	1997-06-08	PRIJEM	VKLAD	9500	12893	\N	\N	\N
623549	2127	1997-07-08	PRIJEM	VKLAD	5600	21527	\N	\N	\N
623550	2127	1997-08-07	VYDAJ	VYBER	600	24002	\N	\N	\N
623551	2127	1997-09-06	VYDAJ	VYBER	900	26193	\N	\N	\N
623552	2127	1997-10-06	VYDAJ	VYBER	1300	25998	\N	\N	\N
623553	2127	1997-11-05	VYDAJ	VYBER	2700	26390	\N	\N	\N
623554	2127	1997-12-05	VYDAJ	VYBER	1300	26176	\N	\N	\N
623555	2127	1998-01-04	VYDAJ	VYBER	2100	21056	\N	\N	\N
623556	2127	1998-02-03	PRIJEM	VKLAD	3200	20438	\N	\N	\N
623557	2127	1998-03-05	VYDAJ	VYBER	3000	21142	\N	\N	\N
623558	2127	1998-04-04	VYDAJ	VYBER	800	18413	\N	\N	\N
623559	2127	1998-05-04	VYDAJ	VYBER	3100	16378	\N	\N	\N
623560	2127	1998-06-03	VYDAJ	VYBER	3700	13735	\N	\N	\N
623561	2127	1998-07-03	PRIJEM	VKLAD	600	14150	\N	\N	\N
623562	2127	1998-08-02	VYDAJ	VYBER	3300	11896	\N	\N	\N
623563	2127	1998-10-01	PRIJEM	VKLAD	800	14775	\N	\N	\N
623564	2127	1998-10-31	VYDAJ	VYBER	200	15637	\N	\N	\N
623565	2127	1998-11-30	VYDAJ	VYBER	1300	14291	\N	\N	\N
623585	2128	1993-12-10	PRIJEM	VKLAD	500	5924	\N	\N	\N
623597	2128	1993-12-10	PRIJEM	PREVOD Z UCTU	5424	5424	DUCHOD	QR	93262522
623598	2128	1994-01-10	PRIJEM	PREVOD Z UCTU	5424	11364	DUCHOD	QR	93262522
623599	2128	1994-02-10	PRIJEM	PREVOD Z UCTU	5424	16811	DUCHOD	QR	93262522
623600	2128	1994-03-10	PRIJEM	PREVOD Z UCTU	5424	22257	DUCHOD	QR	93262522
623601	2128	1994-04-10	PRIJEM	PREVOD Z UCTU	5424	27254	DUCHOD	QR	93262522
623602	2128	1994-05-10	PRIJEM	PREVOD Z UCTU	5424	27756	DUCHOD	QR	93262522
623603	2128	1994-06-10	PRIJEM	PREVOD Z UCTU	5424	27758	DUCHOD	QR	93262522
623604	2128	1994-07-10	PRIJEM	PREVOD Z UCTU	5424	17411	DUCHOD	QR	93262522
623605	2128	1994-08-10	PRIJEM	PREVOD Z UCTU	5424	16088	DUCHOD	QR	93262522
623606	2128	1994-09-10	PRIJEM	PREVOD Z UCTU	5424	17961	DUCHOD	QR	93262522
623607	2128	1994-10-10	PRIJEM	PREVOD Z UCTU	5424	19842	DUCHOD	QR	93262522
623608	2128	1994-11-10	PRIJEM	PREVOD Z UCTU	5424	18131	DUCHOD	QR	93262522
623609	2128	1994-12-10	PRIJEM	PREVOD Z UCTU	5424	20015	DUCHOD	QR	93262522
623610	2128	1995-01-10	PRIJEM	PREVOD Z UCTU	5424	18803	DUCHOD	QR	93262522
623611	2128	1995-02-10	PRIJEM	PREVOD Z UCTU	5424	15156	DUCHOD	QR	93262522
623612	2128	1995-03-10	PRIJEM	PREVOD Z UCTU	5424	14945	DUCHOD	QR	93262522
623613	2128	1995-04-10	PRIJEM	PREVOD Z UCTU	5424	16814	DUCHOD	QR	93262522
623614	2128	1995-05-10	PRIJEM	PREVOD Z UCTU	5424	18691	DUCHOD	QR	93262522
623615	2128	1995-06-10	PRIJEM	PREVOD Z UCTU	5424	19133	DUCHOD	QR	93262522
623616	2128	1995-07-10	PRIJEM	PREVOD Z UCTU	5424	16321	DUCHOD	QR	93262522
623617	2128	1995-08-10	PRIJEM	PREVOD Z UCTU	5424	18195	DUCHOD	QR	93262522
623618	2128	1995-09-10	PRIJEM	PREVOD Z UCTU	5424	20077	DUCHOD	QR	93262522
623619	2128	1995-10-10	PRIJEM	PREVOD Z UCTU	5424	21967	DUCHOD	QR	93262522
623620	2128	1995-11-10	PRIJEM	PREVOD Z UCTU	5424	19136	DUCHOD	QR	93262522
623621	2128	1995-12-10	PRIJEM	PREVOD Z UCTU	5424	21022	DUCHOD	QR	93262522
623622	2128	1996-01-10	PRIJEM	PREVOD Z UCTU	5424	18724	DUCHOD	QR	93262522
623623	2128	1996-02-10	PRIJEM	PREVOD Z UCTU	5424	15570	DUCHOD	QR	93262522
623624	2128	1996-03-10	PRIJEM	PREVOD Z UCTU	5424	16160	DUCHOD	QR	93262522
623625	2128	1996-04-10	PRIJEM	PREVOD Z UCTU	5424	18033	DUCHOD	QR	93262522
623626	2128	1996-05-10	PRIJEM	PREVOD Z UCTU	5424	17348	DUCHOD	QR	93262522
623627	2128	1996-06-10	PRIJEM	PREVOD Z UCTU	5424	17066	DUCHOD	QR	93262522
623628	2128	1996-07-10	PRIJEM	PREVOD Z UCTU	5424	18944	DUCHOD	QR	93262522
623629	2128	1996-08-10	PRIJEM	PREVOD Z UCTU	5424	17869	DUCHOD	QR	93262522
623630	2128	1996-09-10	PRIJEM	PREVOD Z UCTU	5424	19751	DUCHOD	QR	93262522
623631	2128	1996-10-10	PRIJEM	PREVOD Z UCTU	5424	21639	DUCHOD	QR	93262522
623632	2128	1996-11-10	PRIJEM	PREVOD Z UCTU	5424	23534	DUCHOD	QR	93262522
623633	2128	1996-12-10	PRIJEM	PREVOD Z UCTU	5424	24638	DUCHOD	QR	93262522
623634	2128	1997-01-10	PRIJEM	PREVOD Z UCTU	5424	21826	DUCHOD	QR	93262522
623635	2128	1997-02-10	PRIJEM	PREVOD Z UCTU	5424	19491	DUCHOD	QR	93262522
623636	2128	1997-03-10	PRIJEM	PREVOD Z UCTU	5424	20016	DUCHOD	QR	93262522
623637	2128	1997-04-10	PRIJEM	PREVOD Z UCTU	5424	21905	DUCHOD	QR	93262522
623638	2128	1997-05-10	PRIJEM	PREVOD Z UCTU	5424	23802	DUCHOD	QR	93262522
623639	2128	1997-06-10	PRIJEM	PREVOD Z UCTU	5424	24746	DUCHOD	QR	93262522
623640	2128	1997-07-10	PRIJEM	PREVOD Z UCTU	5424	26654	DUCHOD	QR	93262522
623641	2128	1997-08-10	PRIJEM	PREVOD Z UCTU	5424	24327	DUCHOD	QR	93262522
623642	2128	1997-09-10	PRIJEM	PREVOD Z UCTU	5424	22929	DUCHOD	QR	93262522
623643	2128	1997-10-10	PRIJEM	PREVOD Z UCTU	5424	24829	DUCHOD	QR	93262522
623644	2128	1997-11-10	PRIJEM	PREVOD Z UCTU	5424	26036	DUCHOD	QR	93262522
623645	2128	1997-12-10	PRIJEM	PREVOD Z UCTU	5424	24444	DUCHOD	QR	93262522
623646	2128	1998-01-10	PRIJEM	PREVOD Z UCTU	5424	19105	DUCHOD	QR	93262522
623647	2128	1998-02-10	PRIJEM	PREVOD Z UCTU	5424	17462	DUCHOD	QR	93262522
623648	2128	1998-03-10	PRIJEM	PREVOD Z UCTU	5424	19339	DUCHOD	QR	93262522
623649	2128	1998-04-10	PRIJEM	PREVOD Z UCTU	5424	20104	DUCHOD	QR	93262522
623650	2128	1998-05-10	PRIJEM	PREVOD Z UCTU	5424	21992	DUCHOD	QR	93262522
623651	2128	1998-06-10	PRIJEM	PREVOD Z UCTU	5424	22385	DUCHOD	QR	93262522
623652	2128	1998-07-10	PRIJEM	PREVOD Z UCTU	5424	20597	DUCHOD	QR	93262522
623653	2128	1998-08-10	PRIJEM	PREVOD Z UCTU	5424	21184	DUCHOD	QR	93262522
623654	2128	1998-09-10	PRIJEM	PREVOD Z UCTU	5424	17465	DUCHOD	QR	93262522
623655	2128	1998-10-10	PRIJEM	PREVOD Z UCTU	5424	19342	DUCHOD	QR	93262522
623656	2128	1998-11-10	PRIJEM	PREVOD Z UCTU	5424	18665	DUCHOD	QR	93262522
623657	2128	1998-12-10	PRIJEM	PREVOD Z UCTU	5424	19345	DUCHOD	QR	93262522
623674	2128	1994-05-08	VYDAJ	PREVOD NA UCET	3601	23732	SIPO	OP	30310547
623675	2128	1994-06-08	VYDAJ	PREVOD NA UCET	3601	22334	SIPO	OP	30310547
623676	2128	1994-07-08	VYDAJ	PREVOD NA UCET	3601	11987	SIPO	OP	30310547
623677	2128	1994-08-08	VYDAJ	PREVOD NA UCET	3601	10664	SIPO	OP	30310547
623678	2128	1994-09-08	VYDAJ	PREVOD NA UCET	3601	12537	SIPO	OP	30310547
623679	2128	1994-10-08	VYDAJ	PREVOD NA UCET	3601	14418	SIPO	OP	30310547
623680	2128	1994-11-08	VYDAJ	PREVOD NA UCET	3601	12707	SIPO	OP	30310547
623681	2128	1994-12-08	VYDAJ	PREVOD NA UCET	3601	14591	SIPO	OP	30310547
623682	2128	1995-01-08	VYDAJ	PREVOD NA UCET	3601	13379	SIPO	OP	30310547
623683	2128	1995-02-08	VYDAJ	PREVOD NA UCET	3601	9732	SIPO	OP	30310547
623684	2128	1995-03-08	VYDAJ	PREVOD NA UCET	3601	9521	SIPO	OP	30310547
623685	2128	1995-04-08	VYDAJ	PREVOD NA UCET	3601	11390	SIPO	OP	30310547
623686	2128	1995-05-08	VYDAJ	PREVOD NA UCET	3601	13267	SIPO	OP	30310547
623687	2128	1995-06-08	VYDAJ	PREVOD NA UCET	3601	13709	SIPO	OP	30310547
623688	2128	1995-07-08	VYDAJ	PREVOD NA UCET	3601	10897	SIPO	OP	30310547
623689	2128	1995-08-08	VYDAJ	PREVOD NA UCET	3601	12771	SIPO	OP	30310547
623690	2128	1995-09-08	VYDAJ	PREVOD NA UCET	3601	14653	SIPO	OP	30310547
623691	2128	1995-10-08	VYDAJ	PREVOD NA UCET	3601	16543	SIPO	OP	30310547
623692	2128	1995-11-08	VYDAJ	PREVOD NA UCET	3601	13712	SIPO	OP	30310547
623693	2128	1995-12-08	VYDAJ	PREVOD NA UCET	3601	15598	SIPO	OP	30310547
623694	2128	1996-01-08	VYDAJ	PREVOD NA UCET	3601	13300	SIPO	OP	30310547
623695	2128	1996-02-08	VYDAJ	PREVOD NA UCET	3601	10146	SIPO	OP	30310547
623696	2128	1996-03-08	VYDAJ	PREVOD NA UCET	3601	10736	SIPO	OP	30310547
623697	2128	1996-04-08	VYDAJ	PREVOD NA UCET	3601	12609	SIPO	OP	30310547
623698	2128	1996-05-08	VYDAJ	PREVOD NA UCET	3601	11924	SIPO	OP	30310547
623699	2128	1996-06-08	VYDAJ	PREVOD NA UCET	3601	11642	SIPO	OP	30310547
623700	2128	1996-07-08	VYDAJ	PREVOD NA UCET	3601	13520	SIPO	OP	30310547
623701	2128	1996-08-08	VYDAJ	PREVOD NA UCET	3601	12445	SIPO	OP	30310547
623702	2128	1996-09-08	VYDAJ	PREVOD NA UCET	3601	14327	SIPO	OP	30310547
623703	2128	1996-10-08	VYDAJ	PREVOD NA UCET	3601	16215	SIPO	OP	30310547
623704	2128	1996-11-08	VYDAJ	PREVOD NA UCET	3601	18110	SIPO	OP	30310547
623705	2128	1996-12-08	VYDAJ	PREVOD NA UCET	3601	19214	SIPO	OP	30310547
623706	2128	1997-01-08	VYDAJ	PREVOD NA UCET	3601	16402	SIPO	OP	30310547
623707	2128	1997-02-08	VYDAJ	PREVOD NA UCET	3601	14067	SIPO	OP	30310547
623708	2128	1997-03-08	VYDAJ	PREVOD NA UCET	3601	14592	SIPO	OP	30310547
623709	2128	1997-04-08	VYDAJ	PREVOD NA UCET	3601	16481	SIPO	OP	30310547
623710	2128	1997-05-08	VYDAJ	PREVOD NA UCET	3601	18378	SIPO	OP	30310547
623711	2128	1997-06-08	VYDAJ	PREVOD NA UCET	3601	19322	SIPO	OP	30310547
623712	2128	1997-07-08	VYDAJ	PREVOD NA UCET	3601	21230	SIPO	OP	30310547
623713	2128	1997-08-08	VYDAJ	PREVOD NA UCET	3601	18903	SIPO	OP	30310547
623714	2128	1997-09-08	VYDAJ	PREVOD NA UCET	3601	17505	SIPO	OP	30310547
623715	2128	1997-10-08	VYDAJ	PREVOD NA UCET	3601	19405	SIPO	OP	30310547
623716	2128	1997-11-08	VYDAJ	PREVOD NA UCET	3601	20612	SIPO	OP	30310547
623717	2128	1997-12-08	VYDAJ	PREVOD NA UCET	3601	19020	SIPO	OP	30310547
623718	2128	1998-01-08	VYDAJ	PREVOD NA UCET	3601	13681	SIPO	OP	30310547
623719	2128	1998-02-08	VYDAJ	PREVOD NA UCET	3601	12038	SIPO	OP	30310547
623720	2128	1998-03-08	VYDAJ	PREVOD NA UCET	3601	13915	SIPO	OP	30310547
623721	2128	1998-04-08	VYDAJ	PREVOD NA UCET	3601	14680	SIPO	OP	30310547
623722	2128	1998-05-08	VYDAJ	PREVOD NA UCET	3601	16568	SIPO	OP	30310547
623723	2128	1998-06-08	VYDAJ	PREVOD NA UCET	3601	16961	SIPO	OP	30310547
623724	2128	1998-07-08	VYDAJ	PREVOD NA UCET	3601	15173	SIPO	OP	30310547
623725	2128	1998-08-08	VYDAJ	PREVOD NA UCET	3601	15760	SIPO	OP	30310547
623726	2128	1998-09-08	VYDAJ	PREVOD NA UCET	3601	12041	SIPO	OP	30310547
623727	2128	1998-10-08	VYDAJ	PREVOD NA UCET	3601	13918	SIPO	OP	30310547
623728	2128	1998-11-08	VYDAJ	PREVOD NA UCET	3601	13241	SIPO	OP	30310547
623729	2128	1998-12-08	VYDAJ	PREVOD NA UCET	3601	13921	SIPO	OP	30310547
623731	2128	1994-06-19	VYDAJ	VYBER	12250	15508	\N	\N	\N
623732	2128	1995-06-22	VYDAJ	VYBER	2850	14443	\N	\N	\N
623738	2128	1995-01-03	VYDAJ	VYBER	2500	16980	\N	\N	\N
623739	2128	1996-01-14	VYDAJ	VYBER	2150	16574	\N	\N	\N
623740	2128	1997-01-27	VYDAJ	VYBER	550	17596	\N	\N	\N
623743	2128	1994-12-19	VYDAJ	VYBER	600	19415	\N	\N	\N
623744	2128	1995-12-20	VYDAJ	VYBER	350	20672	\N	\N	\N
623745	2128	1996-12-07	VYDAJ	VYBER	800	22815	\N	\N	\N
623746	2128	1997-12-22	VYDAJ	VYBER	700	21044	\N	\N	\N
623747	2128	1998-12-12	VYDAJ	VYBER	900	18445	\N	\N	\N
623760	2128	1995-01-14	VYDAJ	VYBER	1200	13843	\N	\N	\N
623761	2128	1995-01-30	VYDAJ	VYBER	560	13283	\N	\N	\N
623764	2128	1995-01-11	VYDAJ	VYBER	2240	16563	\N	\N	\N
623767	2128	1996-01-08	VYDAJ	VYBER	560	16901	\N	\N	\N
623771	2128	1996-01-02	VYDAJ	VYBER	1760	17461	\N	\N	\N
623772	2128	1997-01-27	VYDAJ	VYBER	1440	18146	\N	\N	\N
623773	2128	1997-01-02	VYDAJ	VYBER	400	24323	\N	\N	\N
623774	2128	1997-01-24	VYDAJ	VYBER	2240	19586	\N	\N	\N
623775	2128	1997-01-06	VYDAJ	VYBER	1040	21123	\N	\N	\N
623776	2128	1997-01-07	VYDAJ	VYBER	1120	20003	\N	\N	\N
623777	2128	1997-01-05	VYDAJ	VYBER	2160	22163	\N	\N	\N
623778	2128	1998-01-13	VYDAJ	VYBER	1920	17185	\N	\N	\N
623780	2128	1998-01-15	VYDAJ	VYBER	1600	15585	\N	\N	\N
623781	2128	1998-01-03	VYDAJ	VYBER	1600	19522	\N	\N	\N
623783	2128	1998-01-05	VYDAJ	VYBER	2240	17282	\N	\N	\N
623793	2128	1994-07-28	VYDAJ	VYBER	3200	14211	\N	\N	\N
623794	2128	1994-06-07	VYDAJ	VYBER	1920	25935	\N	\N	\N
623795	2128	1994-11-01	VYDAJ	VYBER	3600	16308	\N	\N	\N
623796	2128	1995-03-06	VYDAJ	VYBER	2080	13122	\N	\N	\N
623797	2128	1995-10-26	VYDAJ	VYBER	1360	17247	\N	\N	\N
623799	2128	1995-06-15	VYDAJ	VYBER	1840	17293	\N	\N	\N
623800	2128	1995-01-13	VYDAJ	VYBER	1520	15043	\N	\N	\N
623801	2128	1995-05-26	VYDAJ	VYBER	1440	17251	\N	\N	\N
623802	2128	1995-10-16	VYDAJ	VYBER	3360	18607	\N	\N	\N
623803	2128	1995-12-29	VYDAJ	VYBER	1520	19152	\N	\N	\N
623804	2128	1996-01-21	VYDAJ	VYBER	2880	13694	\N	\N	\N
623805	2128	1996-04-16	VYDAJ	VYBER	2560	15473	\N	\N	\N
623806	2128	1996-06-02	VYDAJ	VYBER	2160	15243	\N	\N	\N
623807	2128	1996-08-06	VYDAJ	VYBER	2960	16046	\N	\N	\N
623808	2128	1996-02-27	VYDAJ	VYBER	1280	14290	\N	\N	\N
623809	2128	1997-05-10	VYDAJ	VYBER	960	22842	\N	\N	\N
623810	2128	1997-07-27	VYDAJ	VYBER	3040	22414	\N	\N	\N
623811	2128	1997-02-24	VYDAJ	VYBER	1360	18131	\N	\N	\N
623813	2128	1998-11-03	VYDAJ	VYBER	1600	16842	\N	\N	\N
623814	2128	1998-03-24	VYDAJ	VYBER	1120	18219	\N	\N	\N
623815	2128	1998-10-18	VYDAJ	VYBER	960	18382	\N	\N	\N
623816	2128	1998-06-30	VYDAJ	VYBER	480	18788	\N	\N	\N
623833	2128	1994-04-30	VYDAJ	VYBER	15	27333	SLUZBY	\N	\N
623834	2128	1994-05-31	VYDAJ	VYBER	15	27855	SLUZBY	\N	\N
623835	2128	1994-06-30	VYDAJ	VYBER	15	15588	SLUZBY	\N	\N
623836	2128	1994-07-31	VYDAJ	VYBER	15	14265	SLUZBY	\N	\N
623837	2128	1994-08-31	VYDAJ	VYBER	15	16138	SLUZBY	\N	\N
623838	2128	1994-09-30	VYDAJ	VYBER	15	18019	SLUZBY	\N	\N
623839	2128	1994-10-31	VYDAJ	VYBER	15	19908	SLUZBY	\N	\N
623840	2128	1994-11-30	VYDAJ	VYBER	15	18192	SLUZBY	\N	\N
623841	2128	1994-12-31	VYDAJ	VYBER	15	19480	SLUZBY	\N	\N
623842	2128	1995-01-31	VYDAJ	VYBER	15	13333	SLUZBY	\N	\N
623843	2128	1995-02-28	VYDAJ	VYBER	15	15202	SLUZBY	\N	\N
623844	2128	1995-03-31	VYDAJ	VYBER	15	14991	SLUZBY	\N	\N
623845	2128	1995-04-30	VYDAJ	VYBER	15	16868	SLUZBY	\N	\N
623846	2128	1995-05-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
623847	2128	1995-06-30	VYDAJ	VYBER	15	14498	SLUZBY	\N	\N
623848	2128	1995-07-31	VYDAJ	VYBER	15	16372	SLUZBY	\N	\N
623849	2128	1995-08-31	VYDAJ	VYBER	15	18254	SLUZBY	\N	\N
623850	2128	1995-09-30	VYDAJ	VYBER	15	20144	SLUZBY	\N	\N
623851	2128	1995-10-31	VYDAJ	VYBER	15	17313	SLUZBY	\N	\N
623852	2128	1995-11-30	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
623853	2128	1995-12-31	VYDAJ	VYBER	15	19221	SLUZBY	\N	\N
623854	2128	1996-01-31	VYDAJ	VYBER	15	13747	SLUZBY	\N	\N
623855	2128	1996-02-29	VYDAJ	VYBER	15	14337	SLUZBY	\N	\N
623856	2128	1996-03-31	VYDAJ	VYBER	15	16210	SLUZBY	\N	\N
623857	2128	1996-04-30	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
623858	2128	1996-05-31	VYDAJ	VYBER	15	17403	SLUZBY	\N	\N
623859	2128	1996-06-30	VYDAJ	VYBER	15	17121	SLUZBY	\N	\N
623860	2128	1996-07-31	VYDAJ	VYBER	15	19006	SLUZBY	\N	\N
623861	2128	1996-08-31	VYDAJ	VYBER	15	17928	SLUZBY	\N	\N
623862	2128	1996-09-30	VYDAJ	VYBER	15	19816	SLUZBY	\N	\N
623863	2128	1996-10-31	VYDAJ	VYBER	15	21711	SLUZBY	\N	\N
623864	2128	1996-11-30	VYDAJ	VYBER	15	23615	SLUZBY	\N	\N
623865	2128	1996-12-31	VYDAJ	VYBER	15	24723	SLUZBY	\N	\N
623866	2128	1997-01-31	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
623867	2128	1997-02-28	VYDAJ	VYBER	15	18193	SLUZBY	\N	\N
623868	2128	1997-03-31	VYDAJ	VYBER	15	20082	SLUZBY	\N	\N
623869	2128	1997-04-30	VYDAJ	VYBER	15	21979	SLUZBY	\N	\N
623870	2128	1997-05-31	VYDAJ	VYBER	15	22923	SLUZBY	\N	\N
623871	2128	1997-06-30	VYDAJ	VYBER	15	24831	SLUZBY	\N	\N
623872	2128	1997-07-31	VYDAJ	VYBER	15	22504	SLUZBY	\N	\N
623873	2128	1997-08-31	VYDAJ	VYBER	15	21106	SLUZBY	\N	\N
623874	2128	1997-09-30	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
623875	2128	1997-10-31	VYDAJ	VYBER	15	24213	SLUZBY	\N	\N
623876	2128	1997-11-30	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
623877	2128	1997-12-31	VYDAJ	VYBER	15	21122	SLUZBY	\N	\N
623878	2128	1998-01-31	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
623879	2128	1998-02-28	VYDAJ	VYBER	15	17516	SLUZBY	\N	\N
623880	2128	1998-03-31	VYDAJ	VYBER	15	18281	SLUZBY	\N	\N
623881	2128	1998-04-30	VYDAJ	VYBER	15	20169	SLUZBY	\N	\N
623882	2128	1998-05-31	VYDAJ	VYBER	15	20562	SLUZBY	\N	\N
623883	2128	1998-06-30	VYDAJ	VYBER	15	18774	SLUZBY	\N	\N
623884	2128	1998-07-31	VYDAJ	VYBER	15	19361	SLUZBY	\N	\N
623885	2128	1998-08-31	VYDAJ	VYBER	15	15642	SLUZBY	\N	\N
623886	2128	1998-09-30	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
623887	2128	1998-10-31	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
623888	2128	1998-11-30	VYDAJ	VYBER	15	17522	SLUZBY	\N	\N
623889	2128	1994-03-10	VYDAJ	VYBER	500	21757	\N	\N	\N
623890	2128	1994-05-09	VYDAJ	VYBER	1400	22332	\N	\N	\N
623891	2128	1997-07-22	VYDAJ	VYBER	1200	25454	\N	\N	\N
623892	2128	1997-08-21	VYDAJ	VYBER	3300	21027	\N	\N	\N
623893	2128	1997-10-20	VYDAJ	VYBER	700	24129	\N	\N	\N
623894	2128	1997-11-19	VYDAJ	VYBER	3500	22536	\N	\N	\N
623895	2128	1997-12-19	VYDAJ	VYBER	2700	21744	\N	\N	\N
623896	2128	1998-05-18	VYDAJ	VYBER	1500	20492	\N	\N	\N
623897	2128	1998-06-17	VYDAJ	VYBER	3200	19185	\N	\N	\N
623898	2128	1998-07-17	VYDAJ	VYBER	1300	19297	\N	\N	\N
623899	2128	1998-08-16	VYDAJ	VYBER	5600	15584	\N	\N	\N
623900	2128	1998-11-14	VYDAJ	VYBER	1200	17465	\N	\N	\N
624206	2130	1996-11-04	PRIJEM	VKLAD	200	200	\N	\N	\N
624211	2130	1996-12-23	PRIJEM	VKLAD	47737	130768	\N	\N	\N
624212	2130	1996-12-16	PRIJEM	VKLAD	39512	71390	\N	\N	\N
624213	2130	1996-12-19	PRIJEM	VKLAD	11641	83031	\N	\N	\N
624216	2130	1996-12-07	PRIJEM	VKLAD	20678	31878	\N	\N	\N
624220	2130	1997-11-24	PRIJEM	VKLAD	8114	68650	\N	\N	\N
624221	2130	1997-06-02	PRIJEM	VKLAD	26998	117613	\N	\N	\N
624222	2130	1997-01-03	PRIJEM	VKLAD	37145	152383	\N	\N	\N
624223	2130	1997-12-10	PRIJEM	VKLAD	17603	54403	\N	\N	\N
624224	2130	1997-08-19	PRIJEM	VKLAD	36458	83135	\N	\N	\N
624225	2130	1997-09-30	PRIJEM	VKLAD	46243	94996	\N	\N	\N
624226	2130	1997-06-24	PRIJEM	VKLAD	22654	59167	\N	\N	\N
624227	2130	1997-10-22	PRIJEM	VKLAD	42970	116927	\N	\N	\N
624228	2130	1997-12-14	PRIJEM	VKLAD	46835	101238	\N	\N	\N
624229	2130	1997-05-28	PRIJEM	VKLAD	23311	90456	\N	\N	\N
624230	2130	1997-03-07	PRIJEM	VKLAD	29362	79571	\N	\N	\N
624231	2130	1997-04-03	PRIJEM	VKLAD	41157	116165	\N	\N	\N
624232	2130	1997-04-04	PRIJEM	VKLAD	10877	60620	\N	\N	\N
624233	2130	1997-11-27	PRIJEM	VKLAD	17904	74614	\N	\N	\N
624234	2130	1997-10-14	PRIJEM	VKLAD	9566	73957	\N	\N	\N
624235	2130	1997-05-25	PRIJEM	VKLAD	32842	67145	\N	\N	\N
624236	2130	1997-08-19	PRIJEM	VKLAD	24672	107807	\N	\N	\N
624237	2130	1997-02-08	PRIJEM	VKLAD	39798	68288	\N	\N	\N
624243	2130	1997-11-25	VYBER	VYBER	5520	63130	\N	\N	\N
624245	2130	1997-11-26	VYBER	VYBER	6420	56710	\N	\N	\N
624246	2130	1997-04-19	VYBER	VYBER	19955	40665	\N	\N	\N
624247	2130	1997-01-17	VYBER	VYBER	19361	43922	\N	\N	\N
624248	2130	1997-03-22	VYBER	VYBER	4864	74707	\N	\N	\N
624249	2130	1997-04-21	VYBER	VYBER	10464	30201	\N	\N	\N
624250	2130	1997-01-22	VYBER	VYBER	9031	20491	\N	\N	\N
624252	2130	1997-11-17	VYBER	VYBER	9389	60536	\N	\N	\N
624253	2130	1997-04-03	VYBER	VYBER	5122	111043	\N	\N	\N
624254	2130	1997-09-12	VYBER	VYBER	6344	48753	\N	\N	\N
624255	2130	1997-12-03	VYBER	VYBER	17484	36800	\N	\N	\N
624261	2130	1998-02-15	VYBER	VYBER	12349	21382	\N	\N	\N
624263	2130	1998-01-29	VYBER	VYBER	13056	33490	\N	\N	\N
624268	2130	1997-01-20	VYDAJ	VYBER	14400	29522	\N	\N	\N
624269	2130	1998-01-24	VYDAJ	VYBER	4500	60646	\N	\N	\N
624271	2130	1997-12-28	VYDAJ	VYBER	5100	96138	\N	\N	\N
624275	2130	1997-06-08	VYDAJ	VYBER	13500	36513	\N	\N	\N
624276	2130	1997-01-04	VYDAJ	VYBER	6600	63283	\N	\N	\N
624277	2130	1997-08-27	VYDAJ	VYBER	2400	105407	\N	\N	\N
624278	2130	1998-06-29	VYDAJ	VYBER	3600	24100	\N	\N	\N
624293	2130	1997-01-31	VYDAJ	VYBER	15	20690	SLUZBY	\N	\N
624294	2130	1997-02-28	VYDAJ	VYBER	15	68509	SLUZBY	\N	\N
624295	2130	1997-03-31	VYDAJ	VYBER	15	75008	SLUZBY	\N	\N
624296	2130	1997-04-30	VYDAJ	VYBER	15	30403	SLUZBY	\N	\N
624297	2130	1997-05-31	VYDAJ	VYBER	15	90615	SLUZBY	\N	\N
624298	2130	1997-06-30	VYDAJ	VYBER	15	59346	SLUZBY	\N	\N
624299	2130	1997-07-31	VYDAJ	VYBER	15	50377	SLUZBY	\N	\N
624300	2130	1997-08-31	VYDAJ	VYBER	15	73697	SLUZBY	\N	\N
624301	2130	1997-09-30	VYDAJ	VYBER	15	95291	SLUZBY	\N	\N
624302	2130	1997-10-31	VYDAJ	VYBER	15	69925	SLUZBY	\N	\N
624303	2130	1997-11-30	VYDAJ	VYBER	15	54284	SLUZBY	\N	\N
624304	2130	1997-12-31	VYDAJ	VYBER	15	65146	SLUZBY	\N	\N
624305	2130	1998-01-31	VYDAJ	VYBER	15	33731	SLUZBY	\N	\N
624306	2130	1998-02-28	VYDAJ	VYBER	15	26404	SLUZBY	\N	\N
624307	2130	1998-03-31	VYDAJ	VYBER	15	26398	SLUZBY	\N	\N
624308	2130	1998-04-30	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
624309	2130	1998-05-31	VYDAJ	VYBER	15	28800	SLUZBY	\N	\N
624310	2130	1998-06-30	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
624311	2130	1998-07-31	VYDAJ	VYBER	15	22387	SLUZBY	\N	\N
624312	2130	1998-08-31	VYDAJ	VYBER	15	17764	SLUZBY	\N	\N
624313	2130	1998-09-30	VYDAJ	VYBER	15	20422	SLUZBY	\N	\N
624314	2130	1998-10-31	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
624315	2130	1998-11-30	VYDAJ	VYBER	15	24465	SLUZBY	\N	\N
624316	2130	1996-12-04	PRIJEM	VKLAD	11000	11200	\N	\N	\N
624317	2130	1996-12-23	VYDAJ	VYBER	15800	114968	\N	\N	\N
624318	2130	1997-01-03	VYDAJ	VYBER	40900	69883	\N	\N	\N
624319	2130	1997-01-03	VYDAJ	VYBER	41600	110783	\N	\N	\N
624320	2130	1997-02-02	PRIJEM	VKLAD	7800	28490	\N	\N	\N
624321	2130	1997-03-04	VYDAJ	VYBER	18300	50209	\N	\N	\N
624322	2130	1997-04-03	VYDAJ	VYBER	51600	59443	\N	\N	\N
624323	2130	1997-04-03	VYDAJ	VYBER	9700	49743	\N	\N	\N
624324	2130	1997-05-03	PRIJEM	VKLAD	3900	34303	\N	\N	\N
624325	2130	1997-06-02	VYDAJ	VYBER	57700	50013	\N	\N	\N
624326	2130	1997-06-02	VYDAJ	VYBER	9900	107713	\N	\N	\N
624327	2130	1997-07-02	VYDAJ	VYBER	9200	50146	\N	\N	\N
624328	2130	1997-08-01	VYDAJ	VYBER	3700	46677	\N	\N	\N
624329	2130	1997-08-27	VYDAJ	VYBER	32000	73407	\N	\N	\N
624330	2130	1997-08-31	VYDAJ	VYBER	18600	55097	\N	\N	\N
624331	2130	1997-09-30	VYDAJ	VYBER	30900	64391	\N	\N	\N
624332	2130	1997-10-22	VYDAJ	VYBER	17500	99427	\N	\N	\N
624333	2130	1997-10-30	VYDAJ	VYBER	29900	69527	\N	\N	\N
624334	2130	1997-11-29	VYDAJ	VYBER	20600	54014	\N	\N	\N
624335	2130	1997-12-29	VYDAJ	VYBER	31300	64838	\N	\N	\N
624336	2130	1998-01-28	VYDAJ	VYBER	14100	46546	\N	\N	\N
624337	2130	1998-02-27	PRIJEM	VKLAD	4900	26282	\N	\N	\N
624338	2130	1998-03-29	VYDAJ	VYBER	100	26304	\N	\N	\N
624339	2130	1998-04-28	PRIJEM	VKLAD	3100	29498	\N	\N	\N
624340	2130	1998-05-28	VYDAJ	VYBER	900	28693	\N	\N	\N
624341	2130	1998-06-27	VYDAJ	VYBER	1100	27700	\N	\N	\N
624342	2130	1998-07-27	VYDAJ	VYBER	1900	22303	\N	\N	\N
624343	2130	1998-08-26	VYDAJ	VYBER	4700	17687	\N	\N	\N
624344	2130	1998-09-25	PRIJEM	VKLAD	2600	20364	\N	\N	\N
624345	2130	1998-10-25	PRIJEM	VKLAD	1200	21622	\N	\N	\N
624346	2130	1998-11-24	PRIJEM	VKLAD	2700	24390	\N	\N	\N
624371	2131	1996-07-11	PRIJEM	VKLAD	900	900	\N	\N	\N
624378	2131	1996-07-13	PRIJEM	PREVOD Z UCTU	6087	6987	DUCHOD	EF	99467575
624379	2131	1996-08-13	PRIJEM	PREVOD Z UCTU	6087	13092	DUCHOD	EF	99467575
624380	2131	1996-09-13	PRIJEM	PREVOD Z UCTU	6087	19208	DUCHOD	EF	99467575
624381	2131	1996-10-13	PRIJEM	PREVOD Z UCTU	6087	25324	DUCHOD	EF	99467575
624382	2131	1996-11-13	PRIJEM	PREVOD Z UCTU	6087	31440	DUCHOD	EF	99467575
624383	2131	1996-12-13	PRIJEM	PREVOD Z UCTU	6087	31973	DUCHOD	EF	99467575
624384	2131	1997-01-13	PRIJEM	PREVOD Z UCTU	6087	26944	DUCHOD	EF	99467575
624385	2131	1997-02-13	PRIJEM	PREVOD Z UCTU	6087	24277	DUCHOD	EF	99467575
624386	2131	1997-03-13	PRIJEM	PREVOD Z UCTU	6087	26927	DUCHOD	EF	99467575
624387	2131	1997-04-13	PRIJEM	PREVOD Z UCTU	6087	29588	DUCHOD	EF	99467575
624388	2131	1997-05-13	PRIJEM	PREVOD Z UCTU	6087	32261	DUCHOD	EF	99467575
624389	2131	1997-06-13	PRIJEM	PREVOD Z UCTU	6087	34944	DUCHOD	EF	99467575
624390	2131	1997-07-13	PRIJEM	PREVOD Z UCTU	6087	32627	DUCHOD	EF	99467575
624391	2131	1997-08-13	PRIJEM	PREVOD Z UCTU	6087	35312	DUCHOD	EF	99467575
624392	2131	1997-09-13	PRIJEM	PREVOD Z UCTU	6087	38009	DUCHOD	EF	99467575
624393	2131	1997-10-13	PRIJEM	PREVOD Z UCTU	6087	39756	DUCHOD	EF	99467575
624394	2131	1997-11-13	PRIJEM	PREVOD Z UCTU	6087	42471	DUCHOD	EF	99467575
624395	2131	1997-12-13	PRIJEM	PREVOD Z UCTU	6087	44597	DUCHOD	EF	99467575
624396	2131	1998-01-13	PRIJEM	PREVOD Z UCTU	6087	38510	DUCHOD	EF	99467575
624397	2131	1998-02-13	PRIJEM	PREVOD Z UCTU	6087	30240	DUCHOD	EF	99467575
624398	2131	1998-03-13	PRIJEM	PREVOD Z UCTU	6087	32914	DUCHOD	EF	99467575
624399	2131	1998-04-13	PRIJEM	PREVOD Z UCTU	6087	35600	DUCHOD	EF	99467575
624400	2131	1998-05-13	PRIJEM	PREVOD Z UCTU	6087	38298	DUCHOD	EF	99467575
624401	2131	1998-06-13	PRIJEM	PREVOD Z UCTU	6087	39326	DUCHOD	EF	99467575
624402	2131	1998-07-13	PRIJEM	PREVOD Z UCTU	6087	36179	DUCHOD	EF	99467575
624403	2131	1998-08-13	PRIJEM	PREVOD Z UCTU	6087	38879	DUCHOD	EF	99467575
624404	2131	1998-09-13	PRIJEM	PREVOD Z UCTU	6087	41589	DUCHOD	EF	99467575
624405	2131	1998-10-13	PRIJEM	PREVOD Z UCTU	6087	44311	DUCHOD	EF	99467575
624406	2131	1998-11-13	PRIJEM	PREVOD Z UCTU	6087	47045	DUCHOD	EF	99467575
624407	2131	1998-12-13	PRIJEM	PREVOD Z UCTU	6087	49789	DUCHOD	EF	99467575
624419	2131	1996-12-08	VYDAJ	PREVOD NA UCET	2560	26843	SIPO	YZ	249672
624420	2131	1997-01-08	VYDAJ	PREVOD NA UCET	2560	24134	SIPO	YZ	249672
624421	2131	1997-02-08	VYDAJ	PREVOD NA UCET	2560	19147	SIPO	YZ	249672
624422	2131	1997-03-08	VYDAJ	PREVOD NA UCET	2560	21797	SIPO	YZ	249672
624423	2131	1997-04-08	VYDAJ	PREVOD NA UCET	2560	24458	SIPO	YZ	249672
624424	2131	1997-05-08	VYDAJ	PREVOD NA UCET	2560	27131	SIPO	YZ	249672
624425	2131	1997-06-08	VYDAJ	PREVOD NA UCET	2560	29814	SIPO	YZ	249672
624426	2131	1997-07-08	VYDAJ	PREVOD NA UCET	2560	27497	SIPO	YZ	249672
624427	2131	1997-08-08	VYDAJ	PREVOD NA UCET	2560	30182	SIPO	YZ	249672
624428	2131	1997-09-08	VYDAJ	PREVOD NA UCET	2560	32879	SIPO	YZ	249672
624429	2131	1997-10-08	VYDAJ	PREVOD NA UCET	2560	34626	SIPO	YZ	249672
624430	2131	1997-11-08	VYDAJ	PREVOD NA UCET	2560	37341	SIPO	YZ	249672
624431	2131	1997-12-08	VYDAJ	PREVOD NA UCET	2560	40067	SIPO	YZ	249672
624432	2131	1998-01-08	VYDAJ	PREVOD NA UCET	2560	33380	SIPO	YZ	249672
624433	2131	1998-02-08	VYDAJ	PREVOD NA UCET	2560	25110	SIPO	YZ	249672
624434	2131	1998-03-08	VYDAJ	PREVOD NA UCET	2560	27784	SIPO	YZ	249672
624435	2131	1998-04-08	VYDAJ	PREVOD NA UCET	2560	30470	SIPO	YZ	249672
624436	2131	1998-05-08	VYDAJ	PREVOD NA UCET	2560	33168	SIPO	YZ	249672
624437	2131	1998-06-08	VYDAJ	PREVOD NA UCET	2560	35876	SIPO	YZ	249672
624438	2131	1998-07-08	VYDAJ	PREVOD NA UCET	2560	31049	SIPO	YZ	249672
624439	2131	1998-08-08	VYDAJ	PREVOD NA UCET	2560	33749	SIPO	YZ	249672
624440	2131	1998-09-08	VYDAJ	PREVOD NA UCET	2560	36459	SIPO	YZ	249672
624441	2131	1998-10-08	VYDAJ	PREVOD NA UCET	2560	39181	SIPO	YZ	249672
624442	2131	1998-11-08	VYDAJ	PREVOD NA UCET	2560	41915	SIPO	YZ	249672
624443	2131	1998-12-08	VYDAJ	PREVOD NA UCET	2560	44659	SIPO	YZ	249672
624455	2131	1996-12-09	VYDAJ	PREVOD NA UCET	957	25886	 	WX	91249781
624456	2131	1997-01-09	VYDAJ	PREVOD NA UCET	957	23177	 	WX	91249781
624457	2131	1997-02-09	VYDAJ	PREVOD NA UCET	957	18190	 	WX	91249781
624458	2131	1997-03-09	VYDAJ	PREVOD NA UCET	957	20840	 	WX	91249781
624459	2131	1997-04-09	VYDAJ	PREVOD NA UCET	957	23501	 	WX	91249781
624460	2131	1997-05-09	VYDAJ	PREVOD NA UCET	957	26174	 	WX	91249781
624461	2131	1997-06-09	VYDAJ	PREVOD NA UCET	957	28857	 	WX	91249781
624462	2131	1997-07-09	VYDAJ	PREVOD NA UCET	957	26540	 	WX	91249781
624463	2131	1997-08-09	VYDAJ	PREVOD NA UCET	957	29225	 	WX	91249781
624464	2131	1997-09-09	VYDAJ	PREVOD NA UCET	957	31922	 	WX	91249781
624465	2131	1997-10-09	VYDAJ	PREVOD NA UCET	957	33669	 	WX	91249781
624466	2131	1997-11-09	VYDAJ	PREVOD NA UCET	957	36384	 	WX	91249781
624467	2131	1997-12-09	VYDAJ	PREVOD NA UCET	957	38510	 	WX	91249781
624468	2131	1998-01-09	VYDAJ	PREVOD NA UCET	957	32423	 	WX	91249781
624469	2131	1998-02-09	VYDAJ	PREVOD NA UCET	957	24153	 	WX	91249781
624470	2131	1998-03-09	VYDAJ	PREVOD NA UCET	957	26827	 	WX	91249781
624471	2131	1998-04-09	VYDAJ	PREVOD NA UCET	957	29513	 	WX	91249781
624472	2131	1998-05-09	VYDAJ	PREVOD NA UCET	957	32211	 	WX	91249781
624473	2131	1998-06-09	VYDAJ	PREVOD NA UCET	957	34919	 	WX	91249781
624474	2131	1998-07-09	VYDAJ	PREVOD NA UCET	957	30092	 	WX	91249781
624475	2131	1998-08-09	VYDAJ	PREVOD NA UCET	957	32792	 	WX	91249781
624476	2131	1998-09-09	VYDAJ	PREVOD NA UCET	957	35502	 	WX	91249781
624477	2131	1998-10-09	VYDAJ	PREVOD NA UCET	957	38224	 	WX	91249781
624478	2131	1998-11-09	VYDAJ	PREVOD NA UCET	957	40958	 	WX	91249781
624479	2131	1998-12-09	VYDAJ	PREVOD NA UCET	957	43702	 	WX	91249781
624481	2131	1997-06-14	VYDAJ	VYBER	5000	29944	\N	\N	\N
624482	2131	1998-06-16	VYDAJ	VYBER	5850	33476	\N	\N	\N
624484	2131	1997-01-24	VYDAJ	VYBER	2850	22814	\N	\N	\N
624485	2131	1998-01-02	VYDAJ	VYBER	4100	35940	\N	\N	\N
624486	2131	1996-12-21	VYDAJ	VYBER	750	31223	\N	\N	\N
624487	2131	1997-12-08	VYDAJ	VYBER	600	39467	\N	\N	\N
624488	2131	1998-12-20	VYDAJ	VYBER	650	49139	\N	\N	\N
624495	2131	1997-01-19	VYDAJ	VYBER	1280	25664	\N	\N	\N
624496	2131	1997-01-07	VYDAJ	VYBER	2320	26694	\N	\N	\N
624497	2131	1997-01-30	VYDAJ	VYBER	1200	21614	\N	\N	\N
624498	2131	1997-01-06	VYDAJ	VYBER	960	30374	\N	\N	\N
624499	2131	1997-01-10	VYDAJ	VYBER	2320	20857	\N	\N	\N
624500	2131	1997-01-07	VYDAJ	VYBER	1360	29014	\N	\N	\N
624501	2131	1998-01-27	VYDAJ	VYBER	1200	27550	\N	\N	\N
624502	2131	1998-01-20	VYDAJ	VYBER	1520	30510	\N	\N	\N
624503	2131	1998-01-01	VYDAJ	VYBER	2240	40040	\N	\N	\N
624504	2131	1998-01-18	VYDAJ	VYBER	1280	32030	\N	\N	\N
624505	2131	1998-01-13	VYDAJ	VYBER	1680	36830	\N	\N	\N
624506	2131	1998-01-23	VYDAJ	VYBER	1760	28750	\N	\N	\N
624507	2131	1996-11-22	VYDAJ	VYBER	2080	29360	\N	\N	\N
624508	2131	1997-09-13	VYDAJ	VYBER	960	37049	\N	\N	\N
624509	2131	1997-12-25	VYDAJ	VYBER	2480	42117	\N	\N	\N
624510	2131	1998-06-11	VYDAJ	VYBER	1680	33239	\N	\N	\N
624511	2131	1998-01-14	VYDAJ	VYBER	3520	33310	\N	\N	\N
624523	2131	1996-11-30	VYDAJ	VYBER	15	29403	SLUZBY	\N	\N
624524	2131	1996-12-31	VYDAJ	VYBER	15	31334	SLUZBY	\N	\N
624525	2131	1997-01-31	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
624526	2131	1997-02-28	VYDAJ	VYBER	15	24357	SLUZBY	\N	\N
624527	2131	1997-03-31	VYDAJ	VYBER	15	27018	SLUZBY	\N	\N
624528	2131	1997-04-30	VYDAJ	VYBER	15	29691	SLUZBY	\N	\N
624529	2131	1997-05-31	VYDAJ	VYBER	15	32374	SLUZBY	\N	\N
624530	2131	1997-06-30	VYDAJ	VYBER	15	30057	SLUZBY	\N	\N
624531	2131	1997-07-31	VYDAJ	VYBER	15	32742	SLUZBY	\N	\N
624532	2131	1997-08-31	VYDAJ	VYBER	15	35439	SLUZBY	\N	\N
624533	2131	1997-09-30	VYDAJ	VYBER	15	37186	SLUZBY	\N	\N
624534	2131	1997-10-31	VYDAJ	VYBER	15	39901	SLUZBY	\N	\N
624535	2131	1997-11-30	VYDAJ	VYBER	15	42627	SLUZBY	\N	\N
624536	2131	1997-12-31	VYDAJ	VYBER	15	42280	SLUZBY	\N	\N
624537	2131	1998-01-31	VYDAJ	VYBER	15	27670	SLUZBY	\N	\N
624538	2131	1998-02-28	VYDAJ	VYBER	15	30344	SLUZBY	\N	\N
624539	2131	1998-03-31	VYDAJ	VYBER	15	33030	SLUZBY	\N	\N
624540	2131	1998-04-30	VYDAJ	VYBER	15	35728	SLUZBY	\N	\N
624541	2131	1998-05-31	VYDAJ	VYBER	15	38436	SLUZBY	\N	\N
624542	2131	1998-06-30	VYDAJ	VYBER	15	33609	SLUZBY	\N	\N
624543	2131	1998-07-31	VYDAJ	VYBER	15	36309	SLUZBY	\N	\N
624544	2131	1998-08-31	VYDAJ	VYBER	15	39019	SLUZBY	\N	\N
624545	2131	1998-09-30	VYDAJ	VYBER	15	41741	SLUZBY	\N	\N
624546	2131	1998-10-31	VYDAJ	VYBER	15	44475	SLUZBY	\N	\N
624547	2131	1998-11-30	VYDAJ	VYBER	15	47219	SLUZBY	\N	\N
624578	2132	1993-10-08	PRIJEM	VKLAD	700	700	\N	\N	\N
624588	2132	1993-10-12	PRIJEM	VKLAD	21526	22226	\N	\N	\N
624589	2132	1993-11-12	PRIJEM	VKLAD	21526	46112	\N	\N	\N
624590	2132	1993-12-12	PRIJEM	VKLAD	32289	67956	\N	\N	\N
624591	2132	1994-01-12	PRIJEM	VKLAD	21526	67233	\N	\N	\N
624592	2132	1994-02-12	PRIJEM	VKLAD	21526	66440	\N	\N	\N
624593	2132	1994-03-12	PRIJEM	VKLAD	21526	65630	\N	\N	\N
624594	2132	1994-04-12	PRIJEM	VKLAD	21526	67316	\N	\N	\N
624595	2132	1994-05-12	PRIJEM	VKLAD	21526	65606	\N	\N	\N
624596	2132	1994-06-12	PRIJEM	VKLAD	32289	77597	\N	\N	\N
624597	2132	1994-07-12	PRIJEM	VKLAD	21526	58056	\N	\N	\N
624598	2132	1994-08-12	PRIJEM	VKLAD	21526	61535	\N	\N	\N
624599	2132	1994-09-12	PRIJEM	VKLAD	21526	62695	\N	\N	\N
624600	2132	1994-10-12	PRIJEM	VKLAD	21526	61766	\N	\N	\N
624601	2132	1994-11-12	PRIJEM	VKLAD	21526	65509	\N	\N	\N
624602	2132	1994-12-12	PRIJEM	VKLAD	32289	70923	\N	\N	\N
624603	2132	1995-01-12	PRIJEM	VKLAD	21526	65238	\N	\N	\N
624604	2132	1995-02-12	PRIJEM	VKLAD	21526	57610	\N	\N	\N
624605	2132	1995-03-12	PRIJEM	VKLAD	21526	61774	\N	\N	\N
624606	2132	1995-04-12	PRIJEM	VKLAD	21526	63249	\N	\N	\N
624607	2132	1995-05-12	PRIJEM	VKLAD	21526	62614	\N	\N	\N
624608	2132	1995-06-12	PRIJEM	VKLAD	32289	75648	\N	\N	\N
624609	2132	1995-07-12	PRIJEM	VKLAD	21526	73319	\N	\N	\N
624610	2132	1995-08-12	PRIJEM	VKLAD	21526	71844	\N	\N	\N
624611	2132	1995-09-12	PRIJEM	VKLAD	21526	66191	\N	\N	\N
624612	2132	1995-10-12	PRIJEM	VKLAD	21526	68018	\N	\N	\N
624613	2132	1995-11-12	PRIJEM	VKLAD	21526	62941	\N	\N	\N
624614	2132	1995-12-12	PRIJEM	VKLAD	32289	72978	\N	\N	\N
624615	2132	1996-01-12	PRIJEM	VKLAD	21526	62970	\N	\N	\N
624616	2132	1996-02-12	PRIJEM	VKLAD	21526	46389	\N	\N	\N
624617	2132	1996-03-12	PRIJEM	VKLAD	21526	49272	\N	\N	\N
624618	2132	1996-04-12	PRIJEM	VKLAD	21526	48478	\N	\N	\N
624619	2132	1996-05-12	PRIJEM	VKLAD	21526	53046	\N	\N	\N
624620	2132	1996-06-12	PRIJEM	VKLAD	32289	64345	\N	\N	\N
624621	2132	1996-07-12	PRIJEM	VKLAD	21526	63397	\N	\N	\N
624622	2132	1996-08-12	PRIJEM	VKLAD	21526	54956	\N	\N	\N
624623	2132	1996-09-12	PRIJEM	VKLAD	21526	53302	\N	\N	\N
624624	2132	1996-10-12	PRIJEM	VKLAD	21526	52543	\N	\N	\N
624625	2132	1996-11-12	PRIJEM	VKLAD	21526	53381	\N	\N	\N
624626	2132	1996-12-12	PRIJEM	VKLAD	32289	59265	\N	\N	\N
624627	2132	1997-01-12	PRIJEM	VKLAD	21526	52982	\N	\N	\N
624628	2132	1997-02-12	PRIJEM	VKLAD	21526	42273	\N	\N	\N
624629	2132	1997-03-12	PRIJEM	VKLAD	21526	47075	\N	\N	\N
624630	2132	1997-04-12	PRIJEM	VKLAD	21526	46218	\N	\N	\N
624631	2132	1997-05-12	PRIJEM	VKLAD	21526	49166	\N	\N	\N
624632	2132	1997-06-12	PRIJEM	VKLAD	32289	62078	\N	\N	\N
624633	2132	1997-07-12	PRIJEM	VKLAD	21526	56552	\N	\N	\N
624634	2132	1997-08-12	PRIJEM	VKLAD	21526	54201	\N	\N	\N
624635	2132	1997-09-12	PRIJEM	VKLAD	21526	56549	\N	\N	\N
624636	2132	1997-10-12	PRIJEM	VKLAD	21526	56101	\N	\N	\N
624637	2132	1997-11-12	PRIJEM	VKLAD	21526	58256	\N	\N	\N
624638	2132	1997-12-12	PRIJEM	VKLAD	32289	72367	\N	\N	\N
624639	2132	1998-01-12	PRIJEM	VKLAD	21526	67323	\N	\N	\N
624640	2132	1998-02-12	PRIJEM	VKLAD	21526	47577	\N	\N	\N
624641	2132	1998-03-12	PRIJEM	VKLAD	21526	54868	\N	\N	\N
624642	2132	1998-04-12	PRIJEM	VKLAD	21526	54980	\N	\N	\N
624643	2132	1998-05-12	PRIJEM	VKLAD	21526	56550	\N	\N	\N
624644	2132	1998-06-12	PRIJEM	VKLAD	32289	69570	\N	\N	\N
624645	2132	1998-07-12	PRIJEM	VKLAD	21526	63542	\N	\N	\N
624646	2132	1998-08-12	PRIJEM	VKLAD	21526	63322	\N	\N	\N
624647	2132	1998-09-12	PRIJEM	VKLAD	21526	59038	\N	\N	\N
624648	2132	1998-10-12	PRIJEM	VKLAD	21526	59654	\N	\N	\N
624649	2132	1998-11-12	PRIJEM	VKLAD	21526	47273	\N	\N	\N
624650	2132	1998-12-12	PRIJEM	VKLAD	32289	62825	\N	\N	\N
624652	2132	1994-06-26	VYDAJ	VYBER	25920	51677	\N	\N	\N
624659	2132	1995-01-24	VYDAJ	VYBER	7360	55118	\N	\N	\N
624660	2132	1996-01-20	VYDAJ	VYBER	8160	46410	\N	\N	\N
624662	2132	1998-01-18	VYDAJ	VYBER	12160	33463	\N	\N	\N
624664	2132	1994-12-06	VYDAJ	VYBER	4480	38634	\N	\N	\N
624665	2132	1995-12-02	VYDAJ	VYBER	3360	40689	\N	\N	\N
624666	2132	1996-12-08	VYDAJ	VYBER	1120	30576	\N	\N	\N
624667	2132	1997-12-19	VYDAJ	VYBER	1440	47067	\N	\N	\N
624668	2132	1998-12-19	VYDAJ	VYBER	1440	61385	\N	\N	\N
624681	2132	1995-01-18	VYDAJ	VYBER	720	62478	\N	\N	\N
624682	2132	1995-01-05	VYDAJ	VYBER	3480	43712	\N	\N	\N
624683	2132	1995-01-28	VYDAJ	VYBER	720	52958	\N	\N	\N
624684	2132	1995-01-12	VYDAJ	VYBER	2040	63198	\N	\N	\N
624685	2132	1995-01-05	VYDAJ	VYBER	1080	47192	\N	\N	\N
624686	2132	1995-01-25	VYDAJ	VYBER	1440	53678	\N	\N	\N
624687	2132	1996-01-15	VYDAJ	VYBER	3120	58050	\N	\N	\N
624688	2132	1996-01-12	VYDAJ	VYBER	720	62250	\N	\N	\N
624689	2132	1996-01-08	VYDAJ	VYBER	3360	41444	\N	\N	\N
624690	2132	1996-01-24	VYDAJ	VYBER	1200	43890	\N	\N	\N
624691	2132	1996-01-14	VYDAJ	VYBER	1080	61170	\N	\N	\N
624692	2132	1996-01-19	VYDAJ	VYBER	3480	54570	\N	\N	\N
624693	2132	1997-01-28	VYDAJ	VYBER	2160	20622	\N	\N	\N
624694	2132	1997-01-03	VYDAJ	VYBER	1320	32896	\N	\N	\N
624695	2132	1997-01-10	VYDAJ	VYBER	1440	31456	\N	\N	\N
624696	2132	1997-01-23	VYDAJ	VYBER	1320	22782	\N	\N	\N
624697	2132	1997-01-23	VYDAJ	VYBER	2400	24102	\N	\N	\N
624698	2132	1997-01-18	VYDAJ	VYBER	3480	49502	\N	\N	\N
624699	2132	1998-01-14	VYDAJ	VYBER	1440	62523	\N	\N	\N
624700	2132	1998-01-13	VYDAJ	VYBER	1200	63963	\N	\N	\N
624701	2132	1998-01-18	VYDAJ	VYBER	2760	30703	\N	\N	\N
624702	2132	1998-01-12	VYDAJ	VYBER	2160	65163	\N	\N	\N
624703	2132	1998-01-21	VYDAJ	VYBER	1560	29143	\N	\N	\N
624704	2132	1998-01-24	VYDAJ	VYBER	3240	25903	\N	\N	\N
624710	2132	1994-11-14	VYDAJ	VYBER	3240	62269	\N	\N	\N
624711	2132	1994-10-02	VYDAJ	VYBER	3000	59940	\N	\N	\N
624713	2132	1994-06-04	VYDAJ	VYBER	2760	63108	\N	\N	\N
624714	2132	1994-07-17	VYDAJ	VYBER	2160	55896	\N	\N	\N
624715	2132	1995-04-16	VYDAJ	VYBER	1200	62049	\N	\N	\N
624716	2132	1995-08-18	VYDAJ	VYBER	960	70884	\N	\N	\N
624717	2132	1995-09-16	VYDAJ	VYBER	3000	63191	\N	\N	\N
624718	2132	1995-03-16	VYDAJ	VYBER	3480	58294	\N	\N	\N
624719	2132	1995-08-26	VYDAJ	VYBER	4440	66444	\N	\N	\N
624720	2132	1995-11-05	VYDAJ	VYBER	3480	41415	\N	\N	\N
624721	2132	1996-07-24	VYDAJ	VYBER	5520	33277	\N	\N	\N
624722	2132	1996-01-22	VYDAJ	VYBER	1320	45090	\N	\N	\N
624723	2132	1996-02-05	VYDAJ	VYBER	4560	24863	\N	\N	\N
624724	2132	1996-12-08	VYDAJ	VYBER	3600	26976	\N	\N	\N
624725	2132	1996-02-28	VYDAJ	VYBER	2280	27609	\N	\N	\N
624726	2132	1996-04-03	VYDAJ	VYBER	1920	26952	\N	\N	\N
624727	2132	1996-05-19	VYDAJ	VYBER	2520	50526	\N	\N	\N
624728	2132	1996-01-25	VYDAJ	VYBER	5640	38250	\N	\N	\N
624729	2132	1997-04-11	VYDAJ	VYBER	960	24692	\N	\N	\N
624730	2132	1997-12-14	VYDAJ	VYBER	5760	66607	\N	\N	\N
624731	2132	1997-11-19	VYDAJ	VYBER	2520	39936	\N	\N	\N
624732	2132	1997-06-08	VYDAJ	VYBER	1680	29789	\N	\N	\N
624733	2132	1997-04-02	VYDAJ	VYBER	5520	25652	\N	\N	\N
624734	2132	1998-02-15	VYDAJ	VYBER	1440	33237	\N	\N	\N
624735	2132	1998-04-23	VYDAJ	VYBER	1680	34900	\N	\N	\N
624736	2132	1998-08-26	VYDAJ	VYBER	4560	37362	\N	\N	\N
624737	2132	1998-01-06	VYDAJ	VYBER	1440	45797	\N	\N	\N
624738	2132	1998-03-25	VYDAJ	VYBER	5040	33328	\N	\N	\N
624753	2132	1994-02-28	VYDAJ	VYBER	15	66704	SLUZBY	\N	\N
624754	2132	1994-03-31	VYDAJ	VYBER	15	65890	SLUZBY	\N	\N
624755	2132	1994-04-30	VYDAJ	VYBER	15	67580	SLUZBY	\N	\N
624756	2132	1994-05-31	VYDAJ	VYBER	15	65868	SLUZBY	\N	\N
624757	2132	1994-06-30	VYDAJ	VYBER	15	51930	SLUZBY	\N	\N
624758	2132	1994-07-31	VYDAJ	VYBER	15	56109	SLUZBY	\N	\N
624759	2132	1994-08-31	VYDAJ	VYBER	15	61769	SLUZBY	\N	\N
624760	2132	1994-09-30	VYDAJ	VYBER	15	62940	SLUZBY	\N	\N
624761	2132	1994-10-31	VYDAJ	VYBER	15	61983	SLUZBY	\N	\N
624762	2132	1994-11-30	VYDAJ	VYBER	15	62514	SLUZBY	\N	\N
624763	2132	1994-12-31	VYDAJ	VYBER	15	71172	SLUZBY	\N	\N
624764	2132	1995-01-31	VYDAJ	VYBER	15	36084	SLUZBY	\N	\N
624765	2132	1995-02-28	VYDAJ	VYBER	15	57748	SLUZBY	\N	\N
624766	2132	1995-03-31	VYDAJ	VYBER	15	58523	SLUZBY	\N	\N
624767	2132	1995-04-30	VYDAJ	VYBER	15	62288	SLUZBY	\N	\N
624768	2132	1995-05-31	VYDAJ	VYBER	15	62859	SLUZBY	\N	\N
624769	2132	1995-06-30	VYDAJ	VYBER	15	51793	SLUZBY	\N	\N
624770	2132	1995-07-31	VYDAJ	VYBER	15	50318	SLUZBY	\N	\N
624771	2132	1995-08-31	VYDAJ	VYBER	15	44665	SLUZBY	\N	\N
624772	2132	1995-09-30	VYDAJ	VYBER	15	46492	SLUZBY	\N	\N
624773	2132	1995-10-31	VYDAJ	VYBER	15	44895	SLUZBY	\N	\N
624774	2132	1995-11-30	VYDAJ	VYBER	15	44049	SLUZBY	\N	\N
624775	2132	1995-12-31	VYDAJ	VYBER	15	44804	SLUZBY	\N	\N
624776	2132	1996-01-31	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
624777	2132	1996-02-29	VYDAJ	VYBER	15	27746	SLUZBY	\N	\N
624778	2132	1996-03-31	VYDAJ	VYBER	15	28872	SLUZBY	\N	\N
624779	2132	1996-04-30	VYDAJ	VYBER	15	31520	SLUZBY	\N	\N
624780	2132	1996-05-31	VYDAJ	VYBER	15	32056	SLUZBY	\N	\N
624781	2132	1996-06-30	VYDAJ	VYBER	15	41871	SLUZBY	\N	\N
624782	2132	1996-07-31	VYDAJ	VYBER	15	33430	SLUZBY	\N	\N
624783	2132	1996-08-31	VYDAJ	VYBER	15	31776	SLUZBY	\N	\N
624784	2132	1996-09-30	VYDAJ	VYBER	15	31017	SLUZBY	\N	\N
624785	2132	1996-10-31	VYDAJ	VYBER	15	31855	SLUZBY	\N	\N
624786	2132	1996-11-30	VYDAJ	VYBER	15	31696	SLUZBY	\N	\N
624787	2132	1996-12-31	VYDAJ	VYBER	15	34216	SLUZBY	\N	\N
624788	2132	1997-01-31	VYDAJ	VYBER	15	20747	SLUZBY	\N	\N
624789	2132	1997-02-28	VYDAJ	VYBER	15	25549	SLUZBY	\N	\N
624790	2132	1997-03-31	VYDAJ	VYBER	15	31172	SLUZBY	\N	\N
624791	2132	1997-04-30	VYDAJ	VYBER	15	27640	SLUZBY	\N	\N
624792	2132	1997-05-31	VYDAJ	VYBER	15	31469	SLUZBY	\N	\N
624793	2132	1997-06-30	VYDAJ	VYBER	15	35026	SLUZBY	\N	\N
624794	2132	1997-07-31	VYDAJ	VYBER	15	32675	SLUZBY	\N	\N
624795	2132	1997-08-31	VYDAJ	VYBER	15	35023	SLUZBY	\N	\N
624796	2132	1997-09-30	VYDAJ	VYBER	15	34575	SLUZBY	\N	\N
624797	2132	1997-10-31	VYDAJ	VYBER	15	36730	SLUZBY	\N	\N
624798	2132	1997-11-30	VYDAJ	VYBER	15	40078	SLUZBY	\N	\N
624799	2132	1997-12-31	VYDAJ	VYBER	15	47237	SLUZBY	\N	\N
624800	2132	1998-01-31	VYDAJ	VYBER	15	26051	SLUZBY	\N	\N
624801	2132	1998-02-28	VYDAJ	VYBER	15	33342	SLUZBY	\N	\N
624802	2132	1998-03-31	VYDAJ	VYBER	15	33454	SLUZBY	\N	\N
624803	2132	1998-04-30	VYDAJ	VYBER	15	35024	SLUZBY	\N	\N
624804	2132	1998-05-31	VYDAJ	VYBER	15	37281	SLUZBY	\N	\N
624805	2132	1998-06-30	VYDAJ	VYBER	15	42016	SLUZBY	\N	\N
624806	2132	1998-07-31	VYDAJ	VYBER	15	41796	SLUZBY	\N	\N
624807	2132	1998-08-31	VYDAJ	VYBER	15	37512	SLUZBY	\N	\N
624808	2132	1998-09-30	VYDAJ	VYBER	15	38128	SLUZBY	\N	\N
624809	2132	1998-10-31	VYDAJ	VYBER	15	38947	SLUZBY	\N	\N
624810	2132	1998-11-30	VYDAJ	VYBER	15	47436	SLUZBY	\N	\N
624811	2132	1993-11-07	PRIJEM	VKLAD	2300	24586	\N	\N	\N
624812	2132	1993-12-07	VYDAJ	VYBER	10600	35667	\N	\N	\N
624813	2132	1994-01-06	VYDAJ	VYBER	22500	45707	\N	\N	\N
624814	2132	1994-02-05	VYDAJ	VYBER	22600	44914	\N	\N	\N
624815	2132	1994-03-07	VYDAJ	VYBER	22600	44104	\N	\N	\N
624816	2132	1994-04-06	VYDAJ	VYBER	20100	45790	\N	\N	\N
624817	2132	1994-05-06	VYDAJ	VYBER	23500	44080	\N	\N	\N
624818	2132	1994-06-05	VYDAJ	VYBER	17800	45308	\N	\N	\N
624819	2132	1994-07-05	VYDAJ	VYBER	15400	36530	\N	\N	\N
624820	2132	1994-08-04	VYDAJ	VYBER	16100	40009	\N	\N	\N
624821	2132	1994-09-03	VYDAJ	VYBER	20600	41169	\N	\N	\N
624822	2132	1994-10-03	VYDAJ	VYBER	19700	40240	\N	\N	\N
624823	2132	1994-11-02	VYDAJ	VYBER	18000	43983	\N	\N	\N
624824	2132	1994-12-02	VYDAJ	VYBER	19400	43114	\N	\N	\N
624825	2132	1995-01-01	VYDAJ	VYBER	22900	48272	\N	\N	\N
624826	2132	1995-01-31	VYDAJ	VYBER	17100	36098	\N	\N	\N
624827	2132	1995-03-02	VYDAJ	VYBER	17500	40248	\N	\N	\N
624828	2132	1995-04-01	VYDAJ	VYBER	16800	41723	\N	\N	\N
624829	2132	1995-05-01	VYDAJ	VYBER	21200	41088	\N	\N	\N
624830	2132	1995-05-31	VYDAJ	VYBER	19500	43359	\N	\N	\N
624831	2132	1995-06-30	VYDAJ	VYBER	24100	51807	\N	\N	\N
624832	2132	1995-07-30	VYDAJ	VYBER	23200	50119	\N	\N	\N
624833	2132	1995-08-29	VYDAJ	VYBER	22000	44444	\N	\N	\N
624834	2132	1995-09-28	VYDAJ	VYBER	16900	46291	\N	\N	\N
624835	2132	1995-10-28	VYDAJ	VYBER	23300	44718	\N	\N	\N
624836	2132	1995-11-27	VYDAJ	VYBER	19100	43841	\N	\N	\N
624837	2132	1995-12-27	VYDAJ	VYBER	28400	44578	\N	\N	\N
624838	2132	1996-01-26	VYDAJ	VYBER	9000	29250	\N	\N	\N
624839	2132	1996-02-25	VYDAJ	VYBER	16500	29889	\N	\N	\N
624840	2132	1996-03-26	VYDAJ	VYBER	20500	28772	\N	\N	\N
624841	2132	1996-04-25	VYDAJ	VYBER	17100	31378	\N	\N	\N
624842	2132	1996-05-25	VYDAJ	VYBER	18600	31926	\N	\N	\N
624843	2132	1996-06-24	VYDAJ	VYBER	22600	41745	\N	\N	\N
624844	2132	1996-07-24	VYDAJ	VYBER	24600	38797	\N	\N	\N
624845	2132	1996-08-23	VYDAJ	VYBER	23300	31656	\N	\N	\N
624846	2132	1996-09-22	VYDAJ	VYBER	22400	30902	\N	\N	\N
624847	2132	1996-10-22	VYDAJ	VYBER	20800	31743	\N	\N	\N
624848	2132	1996-11-21	VYDAJ	VYBER	21800	31581	\N	\N	\N
624849	2132	1996-12-21	VYDAJ	VYBER	25200	34065	\N	\N	\N
624850	2132	1997-01-20	VYDAJ	VYBER	23000	26502	\N	\N	\N
624851	2132	1997-02-19	VYDAJ	VYBER	16800	25473	\N	\N	\N
624852	2132	1997-03-21	VYDAJ	VYBER	16000	31075	\N	\N	\N
624853	2132	1997-04-20	VYDAJ	VYBER	18700	27518	\N	\N	\N
624854	2132	1997-05-20	VYDAJ	VYBER	17800	31366	\N	\N	\N
624855	2132	1997-06-19	VYDAJ	VYBER	27200	34878	\N	\N	\N
624856	2132	1997-07-19	VYDAJ	VYBER	24000	32552	\N	\N	\N
624857	2132	1997-08-18	VYDAJ	VYBER	19300	34901	\N	\N	\N
624858	2132	1997-09-17	VYDAJ	VYBER	22100	34449	\N	\N	\N
624859	2132	1997-10-17	VYDAJ	VYBER	19500	36601	\N	\N	\N
624860	2132	1997-11-16	VYDAJ	VYBER	15800	42456	\N	\N	\N
624861	2132	1997-12-16	VYDAJ	VYBER	18100	48507	\N	\N	\N
624862	2132	1998-01-15	VYDAJ	VYBER	16900	45623	\N	\N	\N
624863	2132	1998-02-14	VYDAJ	VYBER	12900	34677	\N	\N	\N
624864	2132	1998-03-16	VYDAJ	VYBER	16500	38368	\N	\N	\N
624865	2132	1998-04-15	VYDAJ	VYBER	18400	36580	\N	\N	\N
624866	2132	1998-05-15	VYDAJ	VYBER	19400	37150	\N	\N	\N
624867	2132	1998-06-14	VYDAJ	VYBER	27700	41870	\N	\N	\N
624868	2132	1998-07-14	VYDAJ	VYBER	21900	41642	\N	\N	\N
624869	2132	1998-08-13	VYDAJ	VYBER	21400	41922	\N	\N	\N
624870	2132	1998-09-12	VYDAJ	VYBER	21100	37938	\N	\N	\N
624871	2132	1998-10-12	VYDAJ	VYBER	20900	38754	\N	\N	\N
624872	2132	1998-11-11	VYDAJ	VYBER	13200	25747	\N	\N	\N
624873	2132	1998-12-11	VYDAJ	VYBER	16900	30536	\N	\N	\N
624937	2133	1997-10-07	PRIJEM	VKLAD	500	500	\N	\N	\N
624947	2133	1997-10-14	PRIJEM	PREVOD Z UCTU	4297	4797	DUCHOD	OP	43239682
624948	2133	1997-11-14	PRIJEM	PREVOD Z UCTU	4297	9106	DUCHOD	OP	43239682
624949	2133	1997-12-14	PRIJEM	PREVOD Z UCTU	4297	13423	DUCHOD	OP	43239682
624950	2133	1998-01-14	PRIJEM	PREVOD Z UCTU	4297	17740	DUCHOD	OP	43239682
624951	2133	1998-02-14	PRIJEM	PREVOD Z UCTU	4297	22057	DUCHOD	OP	43239682
624952	2133	1998-03-14	PRIJEM	PREVOD Z UCTU	4297	20410	DUCHOD	OP	43239682
624953	2133	1998-04-14	PRIJEM	PREVOD Z UCTU	4297	17727	DUCHOD	OP	43239682
624954	2133	1998-05-14	PRIJEM	PREVOD Z UCTU	4297	17841	DUCHOD	OP	43239682
624955	2133	1998-06-14	PRIJEM	PREVOD Z UCTU	4297	17068	DUCHOD	OP	43239682
624956	2133	1998-07-14	PRIJEM	PREVOD Z UCTU	4297	19267	DUCHOD	OP	43239682
624957	2133	1998-08-14	PRIJEM	PREVOD Z UCTU	4297	21479	DUCHOD	OP	43239682
624958	2133	1998-09-14	PRIJEM	PREVOD Z UCTU	4297	23700	DUCHOD	OP	43239682
624959	2133	1998-10-14	PRIJEM	PREVOD Z UCTU	4297	20325	DUCHOD	OP	43239682
624960	2133	1998-11-14	PRIJEM	PREVOD Z UCTU	4297	21666	DUCHOD	OP	43239682
624961	2133	1998-12-14	PRIJEM	PREVOD Z UCTU	4297	19315	DUCHOD	OP	43239682
624975	2133	1998-02-14	VYDAJ	PREVOD NA UCET	2143	19914	SIPO	QR	57979929
624976	2133	1998-03-14	VYDAJ	PREVOD NA UCET	2143	18267	SIPO	QR	57979929
624977	2133	1998-04-14	VYDAJ	PREVOD NA UCET	2143	15584	SIPO	QR	57979929
624978	2133	1998-05-14	VYDAJ	PREVOD NA UCET	2143	15698	SIPO	QR	57979929
624979	2133	1998-06-14	VYDAJ	PREVOD NA UCET	2143	14925	SIPO	QR	57979929
624980	2133	1998-07-14	VYDAJ	PREVOD NA UCET	2143	17124	SIPO	QR	57979929
624981	2133	1998-08-14	VYDAJ	PREVOD NA UCET	2143	19336	SIPO	QR	57979929
624982	2133	1998-09-14	VYDAJ	PREVOD NA UCET	2143	21557	SIPO	QR	57979929
624983	2133	1998-10-14	VYDAJ	PREVOD NA UCET	2143	18182	SIPO	QR	57979929
624984	2133	1998-11-14	VYDAJ	PREVOD NA UCET	2143	19523	SIPO	QR	57979929
624985	2133	1998-12-14	VYDAJ	PREVOD NA UCET	2143	17172	SIPO	QR	57979929
624991	2133	1998-12-02	VYDAJ	VYBER	800	15018	\N	\N	\N
625008	2133	1998-02-24	VYDAJ	VYBER	3120	16794	\N	\N	\N
625009	2133	1998-11-18	VYDAJ	VYBER	3360	15763	\N	\N	\N
625010	2133	1998-11-17	VYDAJ	VYBER	400	19123	\N	\N	\N
625011	2133	1998-05-28	VYDAJ	VYBER	2480	13218	\N	\N	\N
625012	2133	1998-10-29	VYDAJ	VYBER	880	17302	\N	\N	\N
625013	2133	1998-02-24	VYDAJ	VYBER	720	16074	\N	\N	\N
625028	2133	1998-02-28	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
625029	2133	1998-03-31	VYDAJ	VYBER	15	18330	SLUZBY	\N	\N
625030	2133	1998-04-30	VYDAJ	VYBER	15	15644	SLUZBY	\N	\N
625031	2133	1998-05-31	VYDAJ	VYBER	15	13271	SLUZBY	\N	\N
625032	2133	1998-06-30	VYDAJ	VYBER	15	14970	SLUZBY	\N	\N
625033	2133	1998-07-31	VYDAJ	VYBER	15	17182	SLUZBY	\N	\N
625034	2133	1998-08-31	VYDAJ	VYBER	15	19403	SLUZBY	\N	\N
625035	2133	1998-09-30	VYDAJ	VYBER	15	21628	SLUZBY	\N	\N
625036	2133	1998-10-31	VYDAJ	VYBER	15	17369	SLUZBY	\N	\N
625037	2133	1998-11-30	VYDAJ	VYBER	15	15818	SLUZBY	\N	\N
625038	2133	1998-04-05	VYDAJ	VYBER	4900	13430	\N	\N	\N
625039	2133	1998-05-05	VYDAJ	VYBER	2100	13544	\N	\N	\N
625040	2133	1998-06-04	VYDAJ	VYBER	500	12771	\N	\N	\N
625041	2133	1998-10-02	VYDAJ	VYBER	5600	16028	\N	\N	\N
625057	2134	1996-08-06	PRIJEM	VKLAD	300	300	\N	\N	\N
625065	2134	1996-08-09	PRIJEM	VKLAD	12653	12953	\N	\N	\N
625066	2134	1996-09-09	PRIJEM	VKLAD	12653	32046	\N	\N	\N
625067	2134	1996-10-09	PRIJEM	VKLAD	12653	43211	\N	\N	\N
625068	2134	1996-11-09	PRIJEM	VKLAD	12653	48432	\N	\N	\N
625069	2134	1996-12-09	PRIJEM	VKLAD	18980	56308	\N	\N	\N
625070	2134	1997-01-09	PRIJEM	VKLAD	12653	52602	\N	\N	\N
625071	2134	1997-02-09	PRIJEM	VKLAD	12653	51772	\N	\N	\N
625072	2134	1997-03-09	PRIJEM	VKLAD	12653	49849	\N	\N	\N
625073	2134	1997-04-09	PRIJEM	VKLAD	12653	45931	\N	\N	\N
625074	2134	1997-05-09	PRIJEM	VKLAD	12653	44046	\N	\N	\N
625075	2134	1997-06-09	PRIJEM	VKLAD	18980	36778	\N	\N	\N
625076	2134	1997-07-09	PRIJEM	VKLAD	12653	39853	\N	\N	\N
625077	2134	1997-08-09	PRIJEM	VKLAD	12653	39740	\N	\N	\N
625078	2134	1997-09-09	PRIJEM	VKLAD	12653	41831	\N	\N	\N
625079	2134	1997-10-09	PRIJEM	VKLAD	12653	41819	\N	\N	\N
625080	2134	1997-11-09	PRIJEM	VKLAD	12653	41115	\N	\N	\N
625081	2134	1997-12-09	PRIJEM	VKLAD	18980	51030	\N	\N	\N
625082	2134	1998-01-09	PRIJEM	VKLAD	12653	45844	\N	\N	\N
625083	2134	1998-02-09	PRIJEM	VKLAD	12653	37740	\N	\N	\N
625084	2134	1998-03-09	PRIJEM	VKLAD	12653	41814	\N	\N	\N
625085	2134	1998-04-09	PRIJEM	VKLAD	12653	41998	\N	\N	\N
625086	2134	1998-05-09	PRIJEM	VKLAD	12653	43886	\N	\N	\N
625087	2134	1998-06-09	PRIJEM	VKLAD	18980	54509	\N	\N	\N
625088	2134	1998-07-09	PRIJEM	VKLAD	12653	43298	\N	\N	\N
625089	2134	1998-08-09	PRIJEM	VKLAD	12653	48592	\N	\N	\N
625090	2134	1998-09-09	PRIJEM	VKLAD	12653	53407	\N	\N	\N
625091	2134	1998-10-09	PRIJEM	VKLAD	12653	55440	\N	\N	\N
625092	2134	1998-11-09	PRIJEM	VKLAD	12653	58480	\N	\N	\N
625093	2134	1998-12-09	PRIJEM	VKLAD	18980	63757	\N	\N	\N
625105	2134	1996-12-09	VYDAJ	PREVOD NA UCET	3118	52549	SIPO	AB	67233997
625106	2134	1997-01-09	VYDAJ	PREVOD NA UCET	3118	47143	SIPO	AB	67233997
625107	2134	1997-02-09	VYDAJ	PREVOD NA UCET	3118	48013	SIPO	AB	67233997
625108	2134	1997-03-09	VYDAJ	PREVOD NA UCET	3118	46090	SIPO	AB	67233997
625109	2134	1997-04-09	VYDAJ	PREVOD NA UCET	3118	42172	SIPO	AB	67233997
625110	2134	1997-05-09	VYDAJ	PREVOD NA UCET	3118	40928	SIPO	AB	67233997
625111	2134	1997-06-09	VYDAJ	PREVOD NA UCET	3118	33019	SIPO	AB	67233997
625112	2134	1997-07-09	VYDAJ	PREVOD NA UCET	3118	36094	SIPO	AB	67233997
625113	2134	1997-08-09	VYDAJ	PREVOD NA UCET	3118	35981	SIPO	AB	67233997
625114	2134	1997-09-09	VYDAJ	PREVOD NA UCET	3118	38072	SIPO	AB	67233997
625115	2134	1997-10-09	VYDAJ	PREVOD NA UCET	3118	38701	SIPO	AB	67233997
625116	2134	1997-11-09	VYDAJ	PREVOD NA UCET	3118	37997	SIPO	AB	67233997
625117	2134	1997-12-09	VYDAJ	PREVOD NA UCET	3118	47912	SIPO	AB	67233997
625118	2134	1998-01-09	VYDAJ	PREVOD NA UCET	3118	42085	SIPO	AB	67233997
625119	2134	1998-02-09	VYDAJ	PREVOD NA UCET	3118	33981	SIPO	AB	67233997
625120	2134	1998-03-09	VYDAJ	PREVOD NA UCET	3118	38696	SIPO	AB	67233997
625121	2134	1998-04-09	VYDAJ	PREVOD NA UCET	3118	38239	SIPO	AB	67233997
625122	2134	1998-05-09	VYDAJ	PREVOD NA UCET	3118	40768	SIPO	AB	67233997
625123	2134	1998-06-09	VYDAJ	PREVOD NA UCET	3118	50750	SIPO	AB	67233997
625124	2134	1998-07-09	VYDAJ	PREVOD NA UCET	3118	40180	SIPO	AB	67233997
625125	2134	1998-08-09	VYDAJ	PREVOD NA UCET	3118	44833	SIPO	AB	67233997
625126	2134	1998-09-09	VYDAJ	PREVOD NA UCET	3118	50289	SIPO	AB	67233997
625127	2134	1998-10-09	VYDAJ	PREVOD NA UCET	3118	52322	SIPO	AB	67233997
625128	2134	1998-11-09	VYDAJ	PREVOD NA UCET	3118	54721	SIPO	AB	67233997
625129	2134	1998-12-09	VYDAJ	PREVOD NA UCET	3118	59998	SIPO	AB	67233997
625141	2134	1996-12-09	VYDAJ	PREVOD NA UCET	641	55667	 	WX	15210831
625142	2134	1997-01-09	VYDAJ	PREVOD NA UCET	641	50261	 	WX	15210831
625143	2134	1997-02-09	VYDAJ	PREVOD NA UCET	641	51131	 	WX	15210831
625144	2134	1997-03-09	VYDAJ	PREVOD NA UCET	641	49208	 	WX	15210831
625145	2134	1997-04-09	VYDAJ	PREVOD NA UCET	641	45290	 	WX	15210831
625146	2134	1997-05-09	VYDAJ	PREVOD NA UCET	641	40287	 	WX	15210831
625147	2134	1997-06-09	VYDAJ	PREVOD NA UCET	641	36137	 	WX	15210831
625148	2134	1997-07-09	VYDAJ	PREVOD NA UCET	641	39212	 	WX	15210831
625149	2134	1997-08-09	VYDAJ	PREVOD NA UCET	641	39099	 	WX	15210831
625150	2134	1997-09-09	VYDAJ	PREVOD NA UCET	641	41190	 	WX	15210831
625151	2134	1997-10-09	VYDAJ	PREVOD NA UCET	641	38060	 	WX	15210831
625152	2134	1997-11-09	VYDAJ	PREVOD NA UCET	641	37356	 	WX	15210831
625153	2134	1997-12-09	VYDAJ	PREVOD NA UCET	641	47271	 	WX	15210831
625154	2134	1998-01-09	VYDAJ	PREVOD NA UCET	641	45203	 	WX	15210831
625155	2134	1998-02-09	VYDAJ	PREVOD NA UCET	641	37099	 	WX	15210831
625156	2134	1998-03-09	VYDAJ	PREVOD NA UCET	641	38055	 	WX	15210831
625157	2134	1998-04-09	VYDAJ	PREVOD NA UCET	641	41357	 	WX	15210831
625158	2134	1998-05-09	VYDAJ	PREVOD NA UCET	641	40127	 	WX	15210831
625159	2134	1998-06-09	VYDAJ	PREVOD NA UCET	641	53868	 	WX	15210831
625160	2134	1998-07-09	VYDAJ	PREVOD NA UCET	641	39539	 	WX	15210831
625161	2134	1998-08-09	VYDAJ	PREVOD NA UCET	641	47951	 	WX	15210831
625162	2134	1998-09-09	VYDAJ	PREVOD NA UCET	641	49648	 	WX	15210831
625163	2134	1998-10-09	VYDAJ	PREVOD NA UCET	641	51681	 	WX	15210831
625164	2134	1998-11-09	VYDAJ	PREVOD NA UCET	641	57839	 	WX	15210831
625165	2134	1998-12-09	VYDAJ	PREVOD NA UCET	641	63116	 	WX	15210831
625177	2134	1996-12-13	VYDAJ	VYBER	500	52049	\N	\N	0
625178	2134	1997-01-02	VYDAJ	VYBER	700	50049	\N	\N	0
625179	2134	1997-02-02	VYDAJ	VYBER	500	42819	\N	\N	0
625180	2134	1997-02-24	VYDAJ	VYBER	700	47313	\N	\N	0
625181	2134	1997-04-12	VYDAJ	PREVOD NA UCET	637	41535	UVER	MN	47395515
625182	2134	1997-05-12	VYDAJ	PREVOD NA UCET	637	39650	UVER	MN	47395515
625183	2134	1997-06-12	VYDAJ	PREVOD NA UCET	637	32382	UVER	MN	47395515
625184	2134	1997-07-12	VYDAJ	PREVOD NA UCET	637	35457	UVER	MN	47395515
625185	2134	1997-08-12	VYDAJ	PREVOD NA UCET	637	35344	UVER	MN	47395515
625186	2134	1997-09-12	VYDAJ	PREVOD NA UCET	637	37435	UVER	MN	47395515
625187	2134	1997-10-12	VYDAJ	PREVOD NA UCET	637	37423	UVER	MN	47395515
625188	2134	1997-11-12	VYDAJ	PREVOD NA UCET	637	36719	UVER	MN	47395515
625189	2134	1997-12-12	VYDAJ	PREVOD NA UCET	637	46634	UVER	MN	47395515
625190	2134	1998-01-12	VYDAJ	PREVOD NA UCET	637	41448	UVER	MN	47395515
625191	2134	1998-02-12	VYDAJ	PREVOD NA UCET	637	33344	UVER	MN	47395515
625192	2134	1998-03-12	VYDAJ	PREVOD NA UCET	637	37418	UVER	MN	47395515
625193	2134	1998-04-12	VYDAJ	PREVOD NA UCET	637	37602	UVER	MN	47395515
625194	2134	1998-05-12	VYDAJ	PREVOD NA UCET	637	39490	UVER	MN	47395515
625195	2134	1998-06-12	VYDAJ	PREVOD NA UCET	637	35313	UVER	MN	47395515
625196	2134	1998-07-12	VYDAJ	PREVOD NA UCET	637	38902	UVER	MN	47395515
625197	2134	1998-08-12	VYDAJ	PREVOD NA UCET	637	44196	UVER	MN	47395515
625198	2134	1998-09-12	VYDAJ	PREVOD NA UCET	637	49011	UVER	MN	47395515
625199	2134	1998-10-12	VYDAJ	PREVOD NA UCET	637	51044	UVER	MN	47395515
625200	2134	1998-11-12	VYDAJ	PREVOD NA UCET	637	54084	UVER	MN	47395515
625201	2134	1998-12-12	VYDAJ	PREVOD NA UCET	637	59361	UVER	MN	47395515
625203	2134	1997-06-05	VYDAJ	VYBER	16000	17798	\N	\N	\N
625204	2134	1998-06-10	VYDAJ	VYBER	14800	35950	\N	\N	\N
625206	2134	1997-01-09	VYDAJ	VYBER	1700	50902	\N	\N	\N
625207	2134	1998-01-14	VYDAJ	VYBER	2100	39348	\N	\N	\N
625208	2134	1996-12-25	VYDAJ	VYBER	1500	50549	\N	\N	\N
625209	2134	1997-12-19	VYDAJ	VYBER	1600	45034	\N	\N	\N
625210	2134	1998-12-13	VYDAJ	VYBER	1800	57561	\N	\N	\N
625215	2134	1997-04-07	VYDAJ	VYBER	2300	33278	\N	\N	\N
625216	2134	1997-11-04	VYDAJ	VYBER	2300	28462	\N	\N	\N
625217	2134	1997-01-21	VYDAJ	VYBER	4000	43143	\N	\N	\N
625218	2134	1997-03-28	VYDAJ	VYBER	1300	44790	\N	\N	\N
625219	2134	1997-09-24	VYDAJ	VYBER	700	36735	\N	\N	\N
625220	2134	1997-03-31	VYDAJ	VYBER	2600	42392	\N	\N	\N
625221	2134	1997-05-05	VYDAJ	VYBER	500	31393	\N	\N	\N
625222	2134	1998-10-25	VYDAJ	VYBER	2300	45644	\N	\N	\N
625223	2134	1998-04-28	VYDAJ	VYBER	800	31102	\N	\N	\N
625224	2134	1998-02-07	VYDAJ	VYBER	3200	25087	\N	\N	\N
625225	2134	1998-03-21	VYDAJ	VYBER	2100	35318	\N	\N	\N
625238	2134	1996-12-31	VYDAJ	VYBER	15	50749	SLUZBY	\N	\N
625239	2134	1997-01-31	VYDAJ	VYBER	15	43319	SLUZBY	\N	\N
625240	2134	1997-02-28	VYDAJ	VYBER	15	47496	SLUZBY	\N	\N
625241	2134	1997-03-31	VYDAJ	VYBER	15	42378	SLUZBY	\N	\N
625242	2134	1997-04-30	VYDAJ	VYBER	15	41693	SLUZBY	\N	\N
625243	2134	1997-05-31	VYDAJ	VYBER	15	39798	SLUZBY	\N	\N
625244	2134	1997-06-30	VYDAJ	VYBER	15	32500	SLUZBY	\N	\N
625245	2134	1997-07-31	VYDAJ	VYBER	15	35587	SLUZBY	\N	\N
625246	2134	1997-08-31	VYDAJ	VYBER	15	35478	SLUZBY	\N	\N
625247	2134	1997-09-30	VYDAJ	VYBER	15	36866	SLUZBY	\N	\N
625248	2134	1997-10-31	VYDAJ	VYBER	15	30762	SLUZBY	\N	\N
625249	2134	1997-11-30	VYDAJ	VYBER	15	32050	SLUZBY	\N	\N
625250	2134	1997-12-31	VYDAJ	VYBER	15	33191	SLUZBY	\N	\N
625251	2134	1998-01-31	VYDAJ	VYBER	15	28287	SLUZBY	\N	\N
625252	2134	1998-02-28	VYDAJ	VYBER	15	29161	SLUZBY	\N	\N
625253	2134	1998-03-31	VYDAJ	VYBER	15	29345	SLUZBY	\N	\N
625254	2134	1998-04-30	VYDAJ	VYBER	15	31233	SLUZBY	\N	\N
625255	2134	1998-05-31	VYDAJ	VYBER	15	35529	SLUZBY	\N	\N
625256	2134	1998-06-30	VYDAJ	VYBER	15	30645	SLUZBY	\N	\N
625257	2134	1998-07-31	VYDAJ	VYBER	15	35939	SLUZBY	\N	\N
625258	2134	1998-08-31	VYDAJ	VYBER	15	40754	SLUZBY	\N	\N
625259	2134	1998-09-30	VYDAJ	VYBER	15	42787	SLUZBY	\N	\N
625260	2134	1998-10-31	VYDAJ	VYBER	15	45827	SLUZBY	\N	\N
625261	2134	1998-11-30	VYDAJ	VYBER	15	44777	SLUZBY	\N	\N
625262	2134	1996-09-05	PRIJEM	VKLAD	6400	19393	\N	\N	\N
625263	2134	1996-10-05	VYDAJ	VYBER	1600	30558	\N	\N	\N
625264	2134	1996-11-04	VYDAJ	VYBER	7600	35779	\N	\N	\N
625265	2134	1996-12-04	VYDAJ	VYBER	11300	37328	\N	\N	\N
625266	2134	1997-01-03	VYDAJ	VYBER	10100	39949	\N	\N	\N
625267	2134	1997-02-02	VYDAJ	VYBER	3700	39119	\N	\N	\N
625268	2134	1997-03-04	VYDAJ	VYBER	10300	37196	\N	\N	\N
625269	2134	1997-04-03	VYDAJ	VYBER	6800	35578	\N	\N	\N
625270	2134	1997-05-03	VYDAJ	VYBER	9800	31893	\N	\N	\N
625271	2134	1997-06-02	VYDAJ	VYBER	6000	33798	\N	\N	\N
625272	2134	1997-07-02	VYDAJ	VYBER	5300	27200	\N	\N	\N
625273	2134	1997-08-01	VYDAJ	VYBER	8500	27087	\N	\N	\N
625274	2134	1997-08-31	VYDAJ	VYBER	6300	29178	\N	\N	\N
625275	2134	1997-09-30	VYDAJ	VYBER	7700	29166	\N	\N	\N
625276	2134	1997-10-30	VYDAJ	VYBER	6800	30623	\N	\N	\N
625277	2134	1997-11-29	VYDAJ	VYBER	4800	31919	\N	\N	\N
625278	2134	1997-12-29	VYDAJ	VYBER	12000	33034	\N	\N	\N
625279	2134	1998-01-28	VYDAJ	VYBER	11200	28148	\N	\N	\N
625280	2134	1998-02-27	VYDAJ	VYBER	4300	29044	\N	\N	\N
625281	2134	1998-03-29	VYDAJ	VYBER	6100	29218	\N	\N	\N
625282	2134	1998-04-28	VYDAJ	VYBER	5700	31902	\N	\N	\N
625283	2134	1998-05-28	VYDAJ	VYBER	4100	35390	\N	\N	\N
625284	2134	1998-06-27	VYDAJ	VYBER	4800	30513	\N	\N	\N
625285	2134	1998-07-27	VYDAJ	VYBER	3100	35802	\N	\N	\N
625286	2134	1998-08-26	VYDAJ	VYBER	3600	40596	\N	\N	\N
625287	2134	1998-09-25	VYDAJ	VYBER	6400	42611	\N	\N	\N
625288	2134	1998-10-25	VYDAJ	VYBER	3100	47944	\N	\N	\N
625289	2134	1998-11-24	VYDAJ	VYBER	9500	44584	\N	\N	\N
625319	2135	1997-06-17	PRIJEM	VKLAD	300	300	\N	\N	\N
625326	2135	1997-07-14	PRIJEM	VKLAD	10262	10562	\N	\N	\N
625327	2135	1997-08-14	PRIJEM	VKLAD	10262	27659	\N	\N	\N
625328	2135	1997-09-14	PRIJEM	VKLAD	10262	36813	\N	\N	\N
625329	2135	1997-10-14	PRIJEM	VKLAD	10262	39391	\N	\N	\N
625330	2135	1997-11-14	PRIJEM	VKLAD	10262	40276	\N	\N	\N
625331	2135	1997-12-14	PRIJEM	VKLAD	15393	39773	\N	\N	\N
625332	2135	1998-01-14	PRIJEM	VKLAD	10262	27830	\N	\N	\N
625333	2135	1998-02-14	PRIJEM	VKLAD	10262	30770	\N	\N	\N
625334	2135	1998-03-14	PRIJEM	VKLAD	10262	34285	\N	\N	\N
625335	2135	1998-04-14	PRIJEM	VKLAD	10262	34120	\N	\N	\N
625336	2135	1998-05-14	PRIJEM	VKLAD	10262	32045	\N	\N	\N
625337	2135	1998-06-14	PRIJEM	VKLAD	15393	33401	\N	\N	\N
625338	2135	1998-07-14	PRIJEM	VKLAD	10262	25087	\N	\N	\N
625339	2135	1998-08-14	PRIJEM	VKLAD	10262	29569	\N	\N	\N
625340	2135	1998-09-14	PRIJEM	VKLAD	10262	25088	\N	\N	\N
625341	2135	1998-10-14	PRIJEM	VKLAD	10262	25190	\N	\N	\N
625342	2135	1998-11-14	PRIJEM	VKLAD	10262	26637	\N	\N	\N
625343	2135	1998-12-14	PRIJEM	VKLAD	15393	31518	\N	\N	\N
625355	2135	1997-12-07	VYDAJ	PREVOD NA UCET	2740	24380	SIPO	KL	89391642
625356	2135	1998-01-07	VYDAJ	PREVOD NA UCET	2740	16468	SIPO	KL	89391642
625357	2135	1998-02-07	VYDAJ	PREVOD NA UCET	2740	18308	SIPO	KL	89391642
625358	2135	1998-03-07	VYDAJ	PREVOD NA UCET	2740	24023	SIPO	KL	89391642
625359	2135	1998-04-07	VYDAJ	PREVOD NA UCET	2740	23858	SIPO	KL	89391642
625360	2135	1998-05-07	VYDAJ	PREVOD NA UCET	2740	27383	SIPO	KL	89391642
625361	2135	1998-06-07	VYDAJ	PREVOD NA UCET	2740	25308	SIPO	KL	89391642
625362	2135	1998-07-07	VYDAJ	PREVOD NA UCET	2740	11125	SIPO	KL	89391642
625363	2135	1998-08-07	VYDAJ	PREVOD NA UCET	2740	18307	SIPO	KL	89391642
625364	2135	1998-09-07	VYDAJ	PREVOD NA UCET	2740	20526	SIPO	KL	89391642
625365	2135	1998-10-07	VYDAJ	PREVOD NA UCET	2740	18328	SIPO	KL	89391642
625366	2135	1998-11-07	VYDAJ	PREVOD NA UCET	2740	15775	SIPO	KL	89391642
625367	2135	1998-12-07	VYDAJ	PREVOD NA UCET	2740	16025	SIPO	KL	89391642
625378	2135	1997-11-14	VYDAJ	PREVOD NA UCET	4101	36175	 	QR	91295229
625379	2135	1997-12-14	VYDAJ	PREVOD NA UCET	4101	35672	 	QR	91295229
625380	2135	1998-01-14	VYDAJ	PREVOD NA UCET	4101	23729	 	QR	91295229
625381	2135	1998-02-14	VYDAJ	PREVOD NA UCET	4101	26669	 	QR	91295229
625382	2135	1998-03-14	VYDAJ	PREVOD NA UCET	4101	26484	 	QR	91295229
625383	2135	1998-04-14	VYDAJ	PREVOD NA UCET	4101	30019	 	QR	91295229
625384	2135	1998-05-14	VYDAJ	PREVOD NA UCET	4101	27944	 	QR	91295229
625385	2135	1998-06-14	VYDAJ	PREVOD NA UCET	4101	29300	 	QR	91295229
625386	2135	1998-07-14	VYDAJ	PREVOD NA UCET	4101	20986	 	QR	91295229
625387	2135	1998-08-14	VYDAJ	PREVOD NA UCET	4101	25468	 	QR	91295229
625388	2135	1998-09-14	VYDAJ	PREVOD NA UCET	4101	20987	 	QR	91295229
625389	2135	1998-10-14	VYDAJ	PREVOD NA UCET	4101	21089	 	QR	91295229
625390	2135	1998-11-14	VYDAJ	PREVOD NA UCET	4101	22536	 	QR	91295229
625391	2135	1998-12-14	VYDAJ	PREVOD NA UCET	4101	27417	 	QR	91295229
625393	2135	1998-06-23	VYDAJ	VYBER	15520	13780	\N	\N	\N
625395	2135	1998-01-03	VYDAJ	VYBER	8480	19208	\N	\N	\N
625396	2135	1997-12-02	VYDAJ	VYBER	960	27120	\N	\N	\N
625397	2135	1998-12-07	VYDAJ	VYBER	1920	18765	\N	\N	\N
625405	2135	1998-08-18	VYDAJ	VYBER	2280	23188	\N	\N	\N
625406	2135	1998-01-26	VYDAJ	VYBER	2760	20969	\N	\N	\N
625407	2135	1998-10-22	VYDAJ	VYBER	2640	18449	\N	\N	\N
625408	2135	1998-11-24	VYDAJ	VYBER	1920	20616	\N	\N	\N
625420	2135	1997-11-30	VYDAJ	VYBER	15	28080	SLUZBY	\N	\N
625421	2135	1997-12-31	VYDAJ	VYBER	15	27688	SLUZBY	\N	\N
625422	2135	1998-01-31	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
625423	2135	1998-02-28	VYDAJ	VYBER	15	26763	SLUZBY	\N	\N
625424	2135	1998-03-31	VYDAJ	VYBER	15	26598	SLUZBY	\N	\N
625425	2135	1998-04-30	VYDAJ	VYBER	15	30123	SLUZBY	\N	\N
625426	2135	1998-05-31	VYDAJ	VYBER	15	28048	SLUZBY	\N	\N
625427	2135	1998-06-30	VYDAJ	VYBER	15	13865	SLUZBY	\N	\N
625428	2135	1998-07-31	VYDAJ	VYBER	15	21047	SLUZBY	\N	\N
625429	2135	1998-08-31	VYDAJ	VYBER	15	23266	SLUZBY	\N	\N
625430	2135	1998-09-30	VYDAJ	VYBER	15	21068	SLUZBY	\N	\N
625431	2135	1998-10-31	VYDAJ	VYBER	15	18515	SLUZBY	\N	\N
625432	2135	1998-11-30	VYDAJ	VYBER	15	20685	SLUZBY	\N	\N
625433	2135	1997-07-17	PRIJEM	VKLAD	6800	17362	\N	\N	\N
625434	2135	1997-08-16	VYDAJ	VYBER	1200	26459	\N	\N	\N
625435	2135	1997-09-15	VYDAJ	VYBER	7800	29013	\N	\N	\N
625436	2135	1997-10-15	VYDAJ	VYBER	9500	29891	\N	\N	\N
625437	2135	1997-11-14	VYDAJ	VYBER	8200	27975	\N	\N	\N
625438	2135	1997-12-14	VYDAJ	VYBER	8100	27572	\N	\N	\N
625439	2135	1998-01-13	PRIJEM	VKLAD	1100	17568	\N	\N	\N
625440	2135	1998-02-12	PRIJEM	VKLAD	2200	20508	\N	\N	\N
625441	2135	1998-03-14	VYDAJ	VYBER	3700	30585	\N	\N	\N
625442	2135	1998-05-13	VYDAJ	VYBER	5600	21783	\N	\N	\N
625443	2135	1998-06-12	VYDAJ	VYBER	7300	18008	\N	\N	\N
625444	2135	1998-07-12	PRIJEM	VKLAD	3700	14825	\N	\N	\N
625445	2135	1998-08-11	PRIJEM	VKLAD	1000	19307	\N	\N	\N
625446	2135	1998-09-10	VYDAJ	VYBER	5700	14826	\N	\N	\N
625447	2135	1998-10-10	VYDAJ	VYBER	3400	14928	\N	\N	\N
625448	2135	1998-11-09	PRIJEM	VKLAD	600	16375	\N	\N	\N
625449	2135	1998-12-09	PRIJEM	VKLAD	100	16125	\N	\N	\N
625468	2136	1997-10-02	PRIJEM	VKLAD	600	600	\N	\N	\N
625478	2136	1997-10-05	PRIJEM	VKLAD	9816	10416	\N	\N	\N
625479	2136	1997-11-05	PRIJEM	VKLAD	9816	29070	\N	\N	\N
625480	2136	1997-12-05	PRIJEM	VKLAD	14724	41605	\N	\N	\N
625481	2136	1998-01-05	PRIJEM	VKLAD	9816	43586	\N	\N	\N
625482	2136	1998-02-05	PRIJEM	VKLAD	9816	41742	\N	\N	\N
625483	2136	1998-03-05	PRIJEM	VKLAD	9816	43878	\N	\N	\N
625484	2136	1998-04-05	PRIJEM	VKLAD	9816	41459	\N	\N	\N
625485	2136	1998-05-05	PRIJEM	VKLAD	9816	37907	\N	\N	\N
625486	2136	1998-06-05	PRIJEM	VKLAD	14724	37632	\N	\N	\N
625487	2136	1998-07-05	PRIJEM	VKLAD	9816	35039	\N	\N	\N
625488	2136	1998-08-05	PRIJEM	VKLAD	9816	38947	\N	\N	\N
625489	2136	1998-09-05	PRIJEM	VKLAD	9816	41071	\N	\N	\N
625490	2136	1998-10-05	PRIJEM	VKLAD	9816	48037	\N	\N	\N
625491	2136	1998-11-05	PRIJEM	VKLAD	9816	52501	\N	\N	\N
625492	2136	1998-12-05	PRIJEM	VKLAD	14724	58405	\N	\N	\N
625498	2136	1998-12-25	VYDAJ	VYBER	1700	56705	\N	\N	\N
625504	2136	1998-04-13	VYDAJ	VYBER	3500	37959	\N	\N	\N
625505	2136	1998-09-04	VYDAJ	VYBER	1000	31255	\N	\N	\N
625508	2136	1998-11-12	VYDAJ	VYBER	1200	51301	\N	\N	\N
625509	2136	1998-06-23	VYDAJ	VYBER	2900	34732	\N	\N	\N
625524	2136	1998-02-28	VYDAJ	VYBER	15	41862	SLUZBY	\N	\N
625525	2136	1998-03-31	VYDAJ	VYBER	15	31643	SLUZBY	\N	\N
625526	2136	1998-04-30	VYDAJ	VYBER	15	28091	SLUZBY	\N	\N
625527	2136	1998-05-31	VYDAJ	VYBER	15	22908	SLUZBY	\N	\N
625528	2136	1998-06-30	VYDAJ	VYBER	15	25223	SLUZBY	\N	\N
625529	2136	1998-07-31	VYDAJ	VYBER	15	29131	SLUZBY	\N	\N
625530	2136	1998-08-31	VYDAJ	VYBER	15	32255	SLUZBY	\N	\N
625531	2136	1998-09-30	VYDAJ	VYBER	15	38221	SLUZBY	\N	\N
625532	2136	1998-10-31	VYDAJ	VYBER	15	42685	SLUZBY	\N	\N
625533	2136	1998-11-30	VYDAJ	VYBER	15	43681	SLUZBY	\N	\N
625534	2136	1997-11-01	PRIJEM	VKLAD	8800	19254	\N	\N	\N
625535	2136	1997-12-01	VYDAJ	VYBER	2300	26881	\N	\N	\N
625536	2136	1997-12-31	VYDAJ	VYBER	8000	33770	\N	\N	\N
625537	2136	1998-01-30	VYDAJ	VYBER	11800	31786	\N	\N	\N
625538	2136	1998-03-01	VYDAJ	VYBER	7800	34062	\N	\N	\N
625539	2136	1998-03-31	VYDAJ	VYBER	12400	31658	\N	\N	\N
625540	2136	1998-04-30	VYDAJ	VYBER	10000	28105	\N	\N	\N
625541	2136	1998-05-30	VYDAJ	VYBER	15100	22807	\N	\N	\N
625542	2136	1998-06-29	VYDAJ	VYBER	9600	25132	\N	\N	\N
625543	2136	1998-07-29	VYDAJ	VYBER	6000	29039	\N	\N	\N
625544	2136	1998-08-28	VYDAJ	VYBER	6800	32147	\N	\N	\N
625545	2136	1998-09-27	VYDAJ	VYBER	3000	38071	\N	\N	\N
625546	2136	1998-10-27	VYDAJ	VYBER	5500	42537	\N	\N	\N
625547	2136	1998-11-26	VYDAJ	VYBER	7800	43501	\N	\N	\N
625563	2137	1993-08-17	PRIJEM	VKLAD	600	600	\N	\N	\N
625572	2137	1993-09-12	PRIJEM	PREVOD Z UCTU	19587	20187	\N	YZ	89103406
625573	2137	1993-10-12	PRIJEM	PREVOD Z UCTU	19587	39716	\N	YZ	89103406
625574	2137	1993-11-12	PRIJEM	PREVOD Z UCTU	19587	52013	\N	YZ	89103406
625575	2137	1993-12-12	PRIJEM	PREVOD Z UCTU	29380	67440	\N	YZ	89103406
625576	2137	1994-01-12	PRIJEM	PREVOD Z UCTU	19587	66004	\N	YZ	89103406
625577	2137	1994-02-12	PRIJEM	PREVOD Z UCTU	19587	42051	\N	YZ	89103406
625578	2137	1994-03-12	PRIJEM	PREVOD Z UCTU	19587	47084	\N	YZ	89103406
625579	2137	1994-04-12	PRIJEM	PREVOD Z UCTU	19587	51124	\N	YZ	89103406
625580	2137	1994-05-12	PRIJEM	PREVOD Z UCTU	19587	56067	\N	YZ	89103406
625581	2137	1994-06-12	PRIJEM	PREVOD Z UCTU	29380	60208	\N	YZ	89103406
625582	2137	1994-07-12	PRIJEM	PREVOD Z UCTU	19587	61269	\N	YZ	89103406
625583	2137	1994-08-12	PRIJEM	PREVOD Z UCTU	19587	63836	\N	YZ	89103406
625584	2137	1994-09-12	PRIJEM	PREVOD Z UCTU	19587	50852	\N	YZ	89103406
625585	2137	1994-10-12	PRIJEM	PREVOD Z UCTU	19587	56623	\N	YZ	89103406
625586	2137	1994-11-12	PRIJEM	PREVOD Z UCTU	19587	50347	\N	YZ	89103406
625587	2137	1994-12-12	PRIJEM	PREVOD Z UCTU	29380	58306	\N	YZ	89103406
625588	2137	1995-01-12	PRIJEM	PREVOD Z UCTU	19587	47641	\N	YZ	89103406
625589	2137	1995-02-12	PRIJEM	PREVOD Z UCTU	19587	41818	\N	YZ	89103406
625590	2137	1995-03-12	PRIJEM	PREVOD Z UCTU	19587	51760	\N	YZ	89103406
625591	2137	1995-04-12	PRIJEM	PREVOD Z UCTU	19587	59639	\N	YZ	89103406
625592	2137	1995-05-12	PRIJEM	PREVOD Z UCTU	19587	65162	\N	YZ	89103406
625593	2137	1995-06-12	PRIJEM	PREVOD Z UCTU	29380	53064	\N	YZ	89103406
625594	2137	1995-07-12	PRIJEM	PREVOD Z UCTU	19587	58843	\N	YZ	89103406
625595	2137	1995-08-12	PRIJEM	PREVOD Z UCTU	19587	51937	\N	YZ	89103406
625596	2137	1995-09-12	PRIJEM	PREVOD Z UCTU	19587	55713	\N	YZ	89103406
625597	2137	1995-10-12	PRIJEM	PREVOD Z UCTU	19587	22154	\N	YZ	89103406
625598	2137	1995-11-12	PRIJEM	PREVOD Z UCTU	19587	38545	\N	YZ	89103406
625599	2137	1995-12-12	PRIJEM	PREVOD Z UCTU	29380	56661	\N	YZ	89103406
625600	2137	1996-01-12	PRIJEM	PREVOD Z UCTU	19587	41645	\N	YZ	89103406
625601	2137	1996-02-12	PRIJEM	PREVOD Z UCTU	19587	29735	\N	YZ	89103406
625602	2137	1996-03-12	PRIJEM	PREVOD Z UCTU	19587	32289	\N	YZ	89103406
625603	2137	1996-04-12	PRIJEM	PREVOD Z UCTU	19587	37644	\N	YZ	89103406
625604	2137	1996-05-12	PRIJEM	PREVOD Z UCTU	19587	49160	\N	YZ	89103406
625605	2137	1996-06-12	PRIJEM	PREVOD Z UCTU	29380	57808	\N	YZ	89103406
625606	2137	1996-07-12	PRIJEM	PREVOD Z UCTU	19587	31503	\N	YZ	89103406
625791	2137	1994-12-10	VYDAJ	VYBER	4500	28926	\N	\N	\N
625607	2137	1996-08-12	PRIJEM	PREVOD Z UCTU	19587	33284	\N	YZ	89103406
625608	2137	1996-09-12	PRIJEM	PREVOD Z UCTU	19587	40285	\N	YZ	89103406
625609	2137	1996-10-12	PRIJEM	PREVOD Z UCTU	19587	48787	\N	YZ	89103406
625610	2137	1996-11-12	PRIJEM	PREVOD Z UCTU	19587	53795	\N	YZ	89103406
625611	2137	1996-12-12	PRIJEM	PREVOD Z UCTU	29380	47439	\N	YZ	89103406
625612	2137	1997-01-12	PRIJEM	PREVOD Z UCTU	19587	35779	\N	YZ	89103406
625613	2137	1997-02-12	PRIJEM	PREVOD Z UCTU	19587	21860	\N	YZ	89103406
625614	2137	1997-03-12	PRIJEM	PREVOD Z UCTU	19587	37859	\N	YZ	89103406
625615	2137	1997-04-12	PRIJEM	PREVOD Z UCTU	19587	27128	\N	YZ	89103406
625616	2137	1997-05-12	PRIJEM	PREVOD Z UCTU	19587	39866	\N	YZ	89103406
625617	2137	1997-06-12	PRIJEM	PREVOD Z UCTU	29380	61034	\N	YZ	89103406
625618	2137	1997-07-12	PRIJEM	PREVOD Z UCTU	19587	49953	\N	YZ	89103406
625619	2137	1997-08-12	PRIJEM	PREVOD Z UCTU	19587	50164	\N	YZ	89103406
625620	2137	1997-09-12	PRIJEM	PREVOD Z UCTU	19587	52915	\N	YZ	89103406
625621	2137	1997-10-12	PRIJEM	PREVOD Z UCTU	19587	46644	\N	YZ	89103406
625622	2137	1997-11-12	PRIJEM	PREVOD Z UCTU	19587	53599	\N	YZ	89103406
625623	2137	1997-12-12	PRIJEM	PREVOD Z UCTU	29380	73628	\N	YZ	89103406
625624	2137	1998-01-12	PRIJEM	PREVOD Z UCTU	19587	37931	\N	YZ	89103406
625625	2137	1998-02-12	PRIJEM	PREVOD Z UCTU	19587	35719	\N	YZ	89103406
625626	2137	1998-03-12	PRIJEM	PREVOD Z UCTU	19587	51986	\N	YZ	89103406
625627	2137	1998-04-12	PRIJEM	PREVOD Z UCTU	19587	60914	\N	YZ	89103406
625628	2137	1998-05-12	PRIJEM	PREVOD Z UCTU	19587	61070	\N	YZ	89103406
625629	2137	1998-06-12	PRIJEM	PREVOD Z UCTU	29380	63517	\N	YZ	89103406
625630	2137	1998-07-12	PRIJEM	PREVOD Z UCTU	19587	64556	\N	YZ	89103406
625631	2137	1998-08-12	PRIJEM	PREVOD Z UCTU	19587	50113	\N	YZ	89103406
625632	2137	1998-09-12	PRIJEM	PREVOD Z UCTU	19587	53327	\N	YZ	89103406
625633	2137	1998-10-12	PRIJEM	PREVOD Z UCTU	19587	58058	\N	YZ	89103406
625634	2137	1998-11-12	PRIJEM	PREVOD Z UCTU	19587	58601	\N	YZ	89103406
625635	2137	1998-12-12	PRIJEM	PREVOD Z UCTU	29380	68542	\N	YZ	89103406
625710	2137	1994-12-19	VYBER	VYBER	18428	39878	\N	\N	\N
625711	2137	1994-11-03	VYBER	VYBER	3683	49160	\N	\N	\N
625712	2137	1994-03-04	VYBER	VYBER	7277	27497	\N	\N	\N
625713	2137	1994-11-19	VYBER	VYBER	12805	37542	\N	\N	\N
625714	2137	1995-10-02	VYBER	VYBER	14635	28580	\N	\N	\N
625715	2137	1995-06-01	VYBER	VYBER	2941	62384	\N	\N	\N
625716	2137	1995-10-07	VYBER	VYBER	19413	2567	\N	\N	\N
625717	2137	1995-10-12	VYBER	VYBER	9658	12496	\N	\N	\N
625718	2137	1995-02-25	VYBER	VYBER	6295	35523	\N	\N	\N
625719	2137	1995-02-08	VYBER	VYBER	11456	22231	\N	\N	\N
625721	2137	1995-07-17	VYBER	VYBER	24873	33970	\N	\N	\N
625722	2137	1995-11-22	VYBER	VYBER	5976	32569	\N	\N	\N
625723	2137	1996-11-21	VYBER	VYBER	23270	30525	\N	\N	\N
625724	2137	1996-05-18	VYBER	VYBER	10998	38162	\N	\N	\N
625726	2137	1996-07-20	VYBER	VYBER	20664	10839	\N	\N	\N
625727	2137	1996-03-07	VYBER	VYBER	9616	12702	\N	\N	\N
625728	2137	1996-08-18	VYBER	VYBER	13465	19819	\N	\N	\N
625730	2137	1996-03-28	VYBER	VYBER	11943	20346	\N	\N	\N
625731	2137	1997-03-31	VYBER	VYBER	20493	7641	\N	\N	\N
625734	2137	1995-06-05	VYDAJ	VYBER	42900	19484	\N	\N	\N
625735	2137	1996-06-17	VYDAJ	VYBER	52200	5608	\N	\N	\N
625736	2137	1997-06-13	VYDAJ	VYBER	27600	33434	\N	\N	\N
625740	2137	1995-01-27	VYDAJ	VYBER	6300	27241	\N	\N	\N
625742	2137	1997-01-26	VYDAJ	VYBER	25500	2479	\N	\N	\N
625743	2137	1998-01-15	VYDAJ	VYBER	21600	16331	\N	\N	\N
625745	2137	1994-12-02	VYDAJ	VYBER	2400	33126	\N	\N	\N
625746	2137	1995-12-28	VYDAJ	VYBER	4500	52161	\N	\N	\N
625747	2137	1996-12-04	VYDAJ	VYBER	4500	18059	\N	\N	\N
625748	2137	1997-12-13	VYDAJ	VYBER	8400	65228	\N	\N	\N
625749	2137	1998-12-01	VYDAJ	VYBER	1800	39162	\N	\N	\N
625756	2137	1994-01-28	VYDAJ	VYBER	2100	22404	\N	\N	\N
625757	2137	1994-01-16	VYDAJ	VYBER	7200	40404	\N	\N	\N
625758	2137	1994-01-19	VYDAJ	VYBER	8700	31704	\N	\N	\N
625759	2137	1994-01-19	VYDAJ	VYBER	7200	24504	\N	\N	\N
625762	2137	1995-01-19	VYDAJ	VYBER	7800	36841	\N	\N	\N
625763	2137	1995-01-01	VYDAJ	VYBER	3600	36354	\N	\N	\N
625764	2137	1995-01-15	VYDAJ	VYBER	3000	44641	\N	\N	\N
625765	2137	1995-01-24	VYDAJ	VYBER	3300	33541	\N	\N	\N
625766	2137	1995-01-05	VYDAJ	VYBER	3900	28254	\N	\N	\N
625767	2137	1995-01-04	VYDAJ	VYBER	4200	32154	\N	\N	\N
625768	2137	1996-01-27	VYDAJ	VYBER	3300	4145	\N	\N	\N
625769	2137	1996-01-01	VYDAJ	VYBER	1500	50758	\N	\N	\N
625770	2137	1996-01-05	VYDAJ	VYBER	5700	29558	\N	\N	\N
625771	2137	1996-01-06	VYDAJ	VYBER	7500	22058	\N	\N	\N
625773	2137	1996-01-18	VYDAJ	VYBER	6600	21245	\N	\N	\N
625774	2137	1997-01-19	VYDAJ	VYBER	4500	27979	\N	\N	\N
625775	2137	1997-01-05	VYDAJ	VYBER	1500	23992	\N	\N	\N
625776	2137	1997-01-14	VYDAJ	VYBER	3300	32479	\N	\N	\N
625777	2137	1997-01-29	VYDAJ	VYBER	6600	2279	\N	\N	\N
625778	2137	1997-01-04	VYDAJ	VYBER	7500	25492	\N	\N	\N
625779	2137	1997-01-08	VYDAJ	VYBER	7800	16192	\N	\N	\N
625780	2137	1998-01-26	VYDAJ	VYBER	7200	16131	\N	\N	\N
625781	2137	1998-01-05	VYDAJ	VYBER	7200	30344	\N	\N	\N
625782	2137	1998-01-09	VYDAJ	VYBER	4500	25844	\N	\N	\N
625783	2137	1998-01-10	VYDAJ	VYBER	7500	18344	\N	\N	\N
625784	2137	1998-01-04	VYDAJ	VYBER	3000	37544	\N	\N	\N
625785	2137	1998-01-02	VYDAJ	VYBER	7500	40544	\N	\N	\N
625792	2137	1994-08-30	VYDAJ	VYBER	10800	33036	\N	\N	\N
625793	2137	1994-06-06	VYDAJ	VYBER	9600	30828	\N	\N	\N
625794	2137	1994-11-09	VYDAJ	VYBER	11100	38060	\N	\N	\N
625795	2137	1994-10-18	VYDAJ	VYBER	3900	52723	\N	\N	\N
625796	2137	1994-11-29	VYDAJ	VYBER	2100	35442	\N	\N	\N
625797	2137	1994-04-08	VYDAJ	VYBER	4800	31537	\N	\N	\N
625798	2137	1995-09-01	VYDAJ	VYBER	2700	49326	\N	\N	\N
625799	2137	1995-09-25	VYDAJ	VYBER	12600	43113	\N	\N	\N
625800	2137	1995-06-21	VYDAJ	VYBER	3900	49164	\N	\N	\N
625801	2137	1995-10-04	VYDAJ	VYBER	3300	25280	\N	\N	\N
625802	2137	1996-09-18	VYDAJ	VYBER	2100	38185	\N	\N	\N
625803	2137	1996-01-12	VYDAJ	VYBER	13800	27845	\N	\N	\N
625805	2137	1996-01-24	VYDAJ	VYBER	13800	7445	\N	\N	\N
625806	2137	1997-04-15	VYDAJ	VYBER	4500	14828	\N	\N	\N
625807	2137	1997-08-12	VYDAJ	VYBER	11700	38464	\N	\N	\N
625808	2137	1997-04-13	VYDAJ	VYBER	7800	19328	\N	\N	\N
625809	2137	1997-10-22	VYDAJ	VYBER	7500	39144	\N	\N	\N
625810	2137	1997-07-27	VYDAJ	VYBER	12900	37053	\N	\N	\N
625811	2137	1997-10-03	VYDAJ	VYBER	14100	27057	\N	\N	\N
625812	2137	1998-07-25	VYDAJ	VYBER	3000	41856	\N	\N	\N
625813	2137	1998-05-29	VYDAJ	VYBER	9300	34070	\N	\N	\N
625814	2137	1998-07-25	VYDAJ	VYBER	11400	30456	\N	\N	\N
625828	2137	1994-01-31	VYDAJ	VYBER	100	22464	SLUZBY	\N	\N
625829	2137	1994-02-28	VYDAJ	VYBER	100	34774	SLUZBY	\N	\N
625830	2137	1994-03-31	VYDAJ	VYBER	100	36337	SLUZBY	\N	\N
625831	2137	1994-04-30	VYDAJ	VYBER	100	36480	SLUZBY	\N	\N
625832	2137	1994-05-31	VYDAJ	VYBER	100	40428	SLUZBY	\N	\N
625833	2137	1994-06-30	VYDAJ	VYBER	100	41682	SLUZBY	\N	\N
625834	2137	1994-07-31	VYDAJ	VYBER	100	44249	SLUZBY	\N	\N
625835	2137	1994-08-31	VYDAJ	VYBER	100	33165	SLUZBY	\N	\N
625836	2137	1994-09-30	VYDAJ	VYBER	100	50936	SLUZBY	\N	\N
625837	2137	1994-10-31	VYDAJ	VYBER	100	52843	SLUZBY	\N	\N
625838	2137	1994-11-30	VYDAJ	VYBER	100	35526	SLUZBY	\N	\N
625839	2137	1994-12-31	VYDAJ	VYBER	100	39954	SLUZBY	\N	\N
625840	2137	1995-01-31	VYDAJ	VYBER	100	27287	SLUZBY	\N	\N
625841	2137	1995-02-28	VYDAJ	VYBER	100	35573	SLUZBY	\N	\N
625842	2137	1995-03-31	VYDAJ	VYBER	100	51852	SLUZBY	\N	\N
625843	2137	1995-04-30	VYDAJ	VYBER	100	59775	SLUZBY	\N	\N
625844	2137	1995-05-31	VYDAJ	VYBER	100	65325	SLUZBY	\N	\N
625845	2137	1995-06-30	VYDAJ	VYBER	100	49256	SLUZBY	\N	\N
625846	2137	1995-07-31	VYDAJ	VYBER	100	34050	SLUZBY	\N	\N
625847	2137	1995-08-31	VYDAJ	VYBER	100	52026	SLUZBY	\N	\N
625848	2137	1995-09-30	VYDAJ	VYBER	100	43215	SLUZBY	\N	\N
625849	2137	1995-10-31	VYDAJ	VYBER	100	12458	SLUZBY	\N	\N
625850	2137	1995-11-30	VYDAJ	VYBER	100	32581	SLUZBY	\N	\N
625851	2137	1995-12-31	VYDAJ	VYBER	100	52258	SLUZBY	\N	\N
625852	2137	1996-01-31	VYDAJ	VYBER	100	4148	SLUZBY	\N	\N
625853	2137	1996-02-29	VYDAJ	VYBER	100	29718	SLUZBY	\N	\N
625854	2137	1996-03-31	VYDAJ	VYBER	100	20357	SLUZBY	\N	\N
625855	2137	1996-04-30	VYDAJ	VYBER	100	37673	SLUZBY	\N	\N
625856	2137	1996-05-31	VYDAJ	VYBER	100	38228	SLUZBY	\N	\N
625857	2137	1996-06-30	VYDAJ	VYBER	100	5616	SLUZBY	\N	\N
625858	2137	1996-07-31	VYDAJ	VYBER	100	10797	SLUZBY	\N	\N
625859	2137	1996-08-31	VYDAJ	VYBER	100	20698	SLUZBY	\N	\N
625860	2137	1996-09-30	VYDAJ	VYBER	100	38200	SLUZBY	\N	\N
625861	2137	1996-10-31	VYDAJ	VYBER	100	34208	SLUZBY	\N	\N
625862	2137	1996-11-30	VYDAJ	VYBER	100	22559	SLUZBY	\N	\N
625863	2137	1996-12-31	VYDAJ	VYBER	100	32992	SLUZBY	\N	\N
625864	2137	1997-01-31	VYDAJ	VYBER	100	2273	SLUZBY	\N	\N
625865	2137	1997-02-28	VYDAJ	VYBER	100	18272	SLUZBY	\N	\N
625866	2137	1997-03-31	VYDAJ	VYBER	100	7541	SLUZBY	\N	\N
625867	2137	1997-04-30	VYDAJ	VYBER	100	20279	SLUZBY	\N	\N
625868	2137	1997-05-31	VYDAJ	VYBER	100	31654	SLUZBY	\N	\N
625869	2137	1997-06-30	VYDAJ	VYBER	100	30366	SLUZBY	\N	\N
625870	2137	1997-07-31	VYDAJ	VYBER	100	30577	SLUZBY	\N	\N
625871	2137	1997-08-31	VYDAJ	VYBER	100	33328	SLUZBY	\N	\N
625872	2137	1997-09-30	VYDAJ	VYBER	100	41157	SLUZBY	\N	\N
625873	2137	1997-10-31	VYDAJ	VYBER	100	34012	SLUZBY	\N	\N
625874	2137	1997-11-30	VYDAJ	VYBER	100	44248	SLUZBY	\N	\N
625875	2137	1997-12-31	VYDAJ	VYBER	100	48044	SLUZBY	\N	\N
625876	2137	1998-01-31	VYDAJ	VYBER	100	16132	SLUZBY	\N	\N
625877	2137	1998-02-28	VYDAJ	VYBER	100	32399	SLUZBY	\N	\N
625878	2137	1998-03-31	VYDAJ	VYBER	100	41327	SLUZBY	\N	\N
625879	2137	1998-04-30	VYDAJ	VYBER	100	41483	SLUZBY	\N	\N
625880	2137	1998-05-31	VYDAJ	VYBER	100	34137	SLUZBY	\N	\N
625881	2137	1998-06-30	VYDAJ	VYBER	100	44969	SLUZBY	\N	\N
625882	2137	1998-07-31	VYDAJ	VYBER	100	30526	SLUZBY	\N	\N
625883	2137	1998-08-31	VYDAJ	VYBER	100	33740	SLUZBY	\N	\N
625884	2137	1998-09-30	VYDAJ	VYBER	100	38471	SLUZBY	\N	\N
625885	2137	1998-10-31	VYDAJ	VYBER	100	39014	SLUZBY	\N	\N
625886	2137	1998-11-30	VYDAJ	VYBER	100	40962	SLUZBY	\N	\N
625887	2137	1993-09-16	VYDAJ	VYBER	100	20087	\N	\N	\N
625888	2137	1993-10-16	VYDAJ	VYBER	7400	32316	\N	\N	\N
625889	2137	1993-11-15	VYDAJ	VYBER	14100	37913	\N	\N	\N
625890	2137	1993-12-15	VYDAJ	VYBER	21200	46240	\N	\N	\N
625891	2137	1994-01-14	VYDAJ	VYBER	18400	47604	\N	\N	\N
625892	2137	1994-02-13	VYDAJ	VYBER	7300	34751	\N	\N	\N
625893	2137	1994-03-15	VYDAJ	VYBER	10800	36284	\N	\N	\N
625894	2137	1994-04-14	VYDAJ	VYBER	14700	36424	\N	\N	\N
625895	2137	1994-05-14	VYDAJ	VYBER	15700	40367	\N	\N	\N
625896	2137	1994-06-13	VYDAJ	VYBER	18600	41608	\N	\N	\N
625897	2137	1994-07-13	VYDAJ	VYBER	17100	44169	\N	\N	\N
625898	2137	1994-08-12	VYDAJ	VYBER	20000	43836	\N	\N	\N
625899	2137	1994-09-11	VYDAJ	VYBER	1900	31265	\N	\N	\N
625900	2137	1994-10-11	VYDAJ	VYBER	13900	37036	\N	\N	\N
625901	2137	1994-11-10	VYDAJ	VYBER	7300	30760	\N	\N	\N
625902	2137	1994-12-10	PRIJEM	VKLAD	300	33426	\N	\N	\N
625903	2137	1995-01-09	VYDAJ	VYBER	200	28054	\N	\N	\N
625904	2137	1995-02-08	PRIJEM	VKLAD	6400	33687	\N	\N	\N
625905	2137	1995-03-10	VYDAJ	VYBER	3400	32173	\N	\N	\N
625906	2137	1995-04-09	VYDAJ	VYBER	11800	40052	\N	\N	\N
625907	2137	1995-05-09	VYDAJ	VYBER	14200	45575	\N	\N	\N
625908	2137	1995-06-08	PRIJEM	VKLAD	4200	23684	\N	\N	\N
625909	2137	1995-07-08	VYDAJ	VYBER	10000	39256	\N	\N	\N
625910	2137	1995-08-07	VYDAJ	VYBER	1700	32350	\N	\N	\N
625911	2137	1995-09-06	VYDAJ	VYBER	13200	36126	\N	\N	\N
625912	2137	1995-10-06	VYDAJ	VYBER	3300	21980	\N	\N	\N
625913	2137	1995-11-05	PRIJEM	VKLAD	6500	18958	\N	\N	\N
625914	2137	1995-12-05	VYDAJ	VYBER	5300	27281	\N	\N	\N
625915	2137	1996-01-04	VYDAJ	VYBER	15500	35258	\N	\N	\N
625916	2137	1996-02-03	PRIJEM	VKLAD	6000	10148	\N	\N	\N
625917	2137	1996-03-04	VYDAJ	VYBER	7400	22318	\N	\N	\N
625918	2137	1996-04-03	VYDAJ	VYBER	2300	18057	\N	\N	\N
625919	2137	1996-05-03	VYDAJ	VYBER	8100	29573	\N	\N	\N
625920	2137	1996-06-02	VYDAJ	VYBER	9800	28428	\N	\N	\N
625921	2137	1996-07-02	PRIJEM	VKLAD	6300	11916	\N	\N	\N
625922	2137	1996-08-01	PRIJEM	VKLAD	2900	13697	\N	\N	\N
625923	2137	1996-08-31	PRIJEM	VKLAD	900	20798	\N	\N	\N
625924	2137	1996-09-30	VYDAJ	VYBER	9000	29200	\N	\N	\N
625925	2137	1996-10-30	VYDAJ	VYBER	14600	34187	\N	\N	\N
625926	2137	1996-11-29	VYDAJ	VYBER	8000	22525	\N	\N	\N
625927	2137	1996-12-29	VYDAJ	VYBER	14500	32939	\N	\N	\N
625928	2137	1997-01-28	PRIJEM	VKLAD	6400	8879	\N	\N	\N
625929	2137	1997-02-27	VYDAJ	VYBER	3500	18360	\N	\N	\N
625930	2137	1997-03-29	VYDAJ	VYBER	9800	28059	\N	\N	\N
625931	2137	1997-04-28	PRIJEM	VKLAD	5500	20328	\N	\N	\N
625932	2137	1997-05-28	VYDAJ	VYBER	8200	31666	\N	\N	\N
625933	2137	1997-06-27	VYDAJ	VYBER	3100	30334	\N	\N	\N
625934	2137	1997-07-27	VYDAJ	VYBER	6500	30553	\N	\N	\N
625935	2137	1997-08-26	VYDAJ	VYBER	5200	33264	\N	\N	\N
625936	2137	1997-09-25	VYDAJ	VYBER	11800	41115	\N	\N	\N
625937	2137	1997-10-25	VYDAJ	VYBER	5200	33944	\N	\N	\N
625938	2137	1997-11-24	VYDAJ	VYBER	9400	44199	\N	\N	\N
625939	2137	1997-12-24	VYDAJ	VYBER	17300	47928	\N	\N	\N
625940	2137	1998-01-23	PRIJEM	VKLAD	7000	23331	\N	\N	\N
625941	2137	1998-02-22	VYDAJ	VYBER	3300	32419	\N	\N	\N
625942	2137	1998-03-24	VYDAJ	VYBER	10700	41286	\N	\N	\N
625943	2137	1998-04-23	VYDAJ	VYBER	19500	41414	\N	\N	\N
625944	2137	1998-05-23	VYDAJ	VYBER	17700	43370	\N	\N	\N
625945	2137	1998-06-22	VYDAJ	VYBER	18600	44917	\N	\N	\N
625946	2137	1998-07-22	VYDAJ	VYBER	19700	44856	\N	\N	\N
625947	2137	1998-08-21	VYDAJ	VYBER	16400	33713	\N	\N	\N
625948	2137	1998-09-20	VYDAJ	VYBER	14900	38427	\N	\N	\N
625949	2137	1998-10-20	VYDAJ	VYBER	19100	38958	\N	\N	\N
625950	2137	1998-11-19	VYDAJ	VYBER	17700	40901	\N	\N	\N
626020	2138	1997-08-11	PRIJEM	VKLAD	400	400	\N	\N	\N
626028	2138	1997-08-14	PRIJEM	VKLAD	24555	24955	\N	\N	\N
626029	2138	1997-09-14	PRIJEM	VKLAD	24555	48870	\N	\N	\N
626030	2138	1997-10-14	PRIJEM	VKLAD	24555	57786	\N	\N	\N
626031	2138	1997-11-14	PRIJEM	VKLAD	24555	62866	\N	\N	\N
626032	2138	1997-12-14	PRIJEM	VKLAD	36832	79751	\N	\N	\N
626033	2138	1998-01-14	PRIJEM	VKLAD	24555	56706	\N	\N	\N
626034	2138	1998-02-14	PRIJEM	VKLAD	24555	45789	\N	\N	\N
626035	2138	1998-03-14	PRIJEM	VKLAD	24555	45111	\N	\N	\N
626036	2138	1998-04-14	PRIJEM	VKLAD	24555	44743	\N	\N	\N
626037	2138	1998-05-14	PRIJEM	VKLAD	24555	42969	\N	\N	\N
626038	2138	1998-06-14	PRIJEM	VKLAD	36832	58367	\N	\N	\N
626039	2138	1998-07-14	PRIJEM	VKLAD	24555	48822	\N	\N	\N
626040	2138	1998-08-14	PRIJEM	VKLAD	24555	48070	\N	\N	\N
626041	2138	1998-09-14	PRIJEM	VKLAD	24555	51310	\N	\N	\N
626042	2138	1998-10-14	PRIJEM	VKLAD	24555	52162	\N	\N	\N
626043	2138	1998-11-14	PRIJEM	VKLAD	24555	52109	\N	\N	\N
626044	2138	1998-12-14	PRIJEM	VKLAD	36832	61644	\N	\N	\N
626057	2138	1998-01-11	VYDAJ	PREVOD NA UCET	9788	34951	SIPO	UV	60928738
626058	2138	1998-02-11	VYDAJ	PREVOD NA UCET	9788	21234	SIPO	UV	60928738
626059	2138	1998-03-11	VYDAJ	PREVOD NA UCET	9788	20556	SIPO	UV	60928738
626060	2138	1998-04-11	VYDAJ	PREVOD NA UCET	9788	20188	SIPO	UV	60928738
626061	2138	1998-05-11	VYDAJ	PREVOD NA UCET	9788	18414	SIPO	UV	60928738
626062	2138	1998-06-11	VYDAJ	PREVOD NA UCET	9788	21535	SIPO	UV	60928738
626063	2138	1998-07-11	VYDAJ	PREVOD NA UCET	9788	24267	SIPO	UV	60928738
626064	2138	1998-08-11	VYDAJ	PREVOD NA UCET	9788	23515	SIPO	UV	60928738
626065	2138	1998-09-11	VYDAJ	PREVOD NA UCET	9788	26755	SIPO	UV	60928738
626066	2138	1998-10-11	VYDAJ	PREVOD NA UCET	9788	27607	SIPO	UV	60928738
626067	2138	1998-11-11	VYDAJ	PREVOD NA UCET	9788	27554	SIPO	UV	60928738
626068	2138	1998-12-11	VYDAJ	PREVOD NA UCET	9788	24812	SIPO	UV	60928738
626070	2138	1998-06-24	VYDAJ	VYBER	4200	54167	\N	\N	\N
626072	2138	1998-01-25	VYDAJ	VYBER	6900	44806	\N	\N	\N
626074	2138	1998-12-19	VYDAJ	VYBER KARTOU	2900	58744	\N	\N	0
626081	2138	1998-01-08	VYDAJ	VYBER	800	75439	\N	\N	\N
626082	2138	1998-01-20	VYDAJ	VYBER	2100	54606	\N	\N	\N
626083	2138	1998-01-03	VYDAJ	VYBER	2400	77639	\N	\N	\N
626084	2138	1998-01-08	VYDAJ	VYBER	1400	76239	\N	\N	\N
626085	2138	1998-01-22	VYDAJ	VYBER	2900	51706	\N	\N	\N
626086	2138	1998-01-12	VYDAJ	VYBER	2800	32151	\N	\N	\N
626094	2138	1998-07-17	VYDAJ	VYBER KARTOU	2700	46122	\N	\N	0
626095	2138	1998-10-04	VYDAJ	VYBER KARTOU	3900	47595	\N	\N	0
626096	2138	1998-04-18	VYDAJ	VYBER	1800	42943	\N	\N	\N
626097	2138	1998-02-01	VYDAJ	VYBER	2000	43022	\N	\N	\N
626098	2138	1998-11-29	VYDAJ	VYBER	4200	47909	\N	\N	\N
626111	2138	1997-12-31	VYDAJ	VYBER	15	80039	SLUZBY	\N	\N
626112	2138	1998-01-31	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
626113	2138	1998-02-28	VYDAJ	VYBER	15	45944	SLUZBY	\N	\N
626114	2138	1998-03-31	VYDAJ	VYBER	15	45276	SLUZBY	\N	\N
626115	2138	1998-04-30	VYDAJ	VYBER	15	43102	SLUZBY	\N	\N
626116	2138	1998-05-31	VYDAJ	VYBER	15	43123	SLUZBY	\N	\N
626117	2138	1998-06-30	VYDAJ	VYBER	15	54355	SLUZBY	\N	\N
626118	2138	1998-07-31	VYDAJ	VYBER	15	46303	SLUZBY	\N	\N
626119	2138	1998-08-31	VYDAJ	VYBER	15	48243	SLUZBY	\N	\N
626120	2138	1998-09-30	VYDAJ	VYBER	15	51495	SLUZBY	\N	\N
626121	2138	1998-10-31	VYDAJ	VYBER	15	52342	SLUZBY	\N	\N
626122	2138	1998-11-30	VYDAJ	VYBER	15	48100	SLUZBY	\N	\N
626123	2138	1997-09-10	VYDAJ	VYBER	700	24315	\N	\N	\N
626124	2138	1997-10-10	VYDAJ	VYBER	15800	33231	\N	\N	\N
626125	2138	1997-11-09	VYDAJ	VYBER	19700	38311	\N	\N	\N
626126	2138	1997-12-09	VYDAJ	VYBER	20200	42919	\N	\N	\N
626127	2138	1998-01-08	VYDAJ	VYBER	30700	44739	\N	\N	\N
626128	2138	1998-02-07	VYDAJ	VYBER	12000	31022	\N	\N	\N
626129	2138	1998-03-09	VYDAJ	VYBER	15600	30344	\N	\N	\N
626130	2138	1998-04-08	VYDAJ	VYBER	15300	29976	\N	\N	\N
626131	2138	1998-05-08	VYDAJ	VYBER	14900	28202	\N	\N	\N
626132	2138	1998-06-07	VYDAJ	VYBER	11800	31323	\N	\N	\N
626133	2138	1998-07-07	VYDAJ	VYBER	20300	34055	\N	\N	\N
626134	2138	1998-08-06	VYDAJ	VYBER	13000	33303	\N	\N	\N
626135	2138	1998-09-05	VYDAJ	VYBER	11700	36543	\N	\N	\N
626136	2138	1998-10-05	VYDAJ	VYBER	10200	37395	\N	\N	\N
626137	2138	1998-11-04	VYDAJ	VYBER	15000	37342	\N	\N	\N
626138	2138	1998-12-04	VYDAJ	VYBER	13500	34600	\N	\N	\N
626156	2139	1995-06-09	PRIJEM	VKLAD	900	900	\N	\N	\N
626162	2139	1995-06-10	PRIJEM	PREVOD Z UCTU	42494	43394	\N	MN	15725326
626163	2139	1995-07-10	PRIJEM	PREVOD Z UCTU	28329	64850	\N	MN	15725326
626164	2139	1995-08-10	PRIJEM	PREVOD Z UCTU	28329	73023	\N	MN	15725326
626165	2139	1995-09-10	PRIJEM	PREVOD Z UCTU	28329	76646	\N	MN	15725326
626166	2139	1995-10-10	PRIJEM	PREVOD Z UCTU	28329	82190	\N	MN	15725326
626167	2139	1995-11-10	PRIJEM	PREVOD Z UCTU	28329	69768	\N	MN	15725326
626168	2139	1995-12-10	PRIJEM	PREVOD Z UCTU	42494	79569	\N	MN	15725326
626169	2139	1996-01-10	PRIJEM	PREVOD Z UCTU	28329	57625	\N	MN	15725326
626170	2139	1996-02-10	PRIJEM	PREVOD Z UCTU	28329	38551	\N	MN	15725326
626171	2139	1996-03-10	PRIJEM	PREVOD Z UCTU	28329	43222	\N	MN	15725326
626172	2139	1996-04-10	PRIJEM	PREVOD Z UCTU	28329	46021	\N	MN	15725326
626173	2139	1996-05-10	PRIJEM	PREVOD Z UCTU	28329	52742	\N	MN	15725326
626174	2139	1996-06-10	PRIJEM	PREVOD Z UCTU	42494	56045	\N	MN	15725326
626175	2139	1996-07-10	PRIJEM	PREVOD Z UCTU	28329	60883	\N	MN	15725326
626176	2139	1996-08-10	PRIJEM	PREVOD Z UCTU	28329	44073	\N	MN	15725326
626177	2139	1996-09-10	PRIJEM	PREVOD Z UCTU	28329	51094	\N	MN	15725326
626178	2139	1996-10-10	PRIJEM	PREVOD Z UCTU	28329	46015	\N	MN	15725326
626179	2139	1996-11-10	PRIJEM	PREVOD Z UCTU	28329	45583	\N	MN	15725326
626180	2139	1996-12-10	PRIJEM	PREVOD Z UCTU	42494	64263	\N	MN	15725326
626181	2139	1997-01-10	PRIJEM	PREVOD Z UCTU	28329	36960	\N	MN	15725326
626182	2139	1997-02-10	PRIJEM	PREVOD Z UCTU	28329	34523	\N	MN	15725326
626183	2139	1997-03-10	PRIJEM	PREVOD Z UCTU	28329	39147	\N	MN	15725326
626184	2139	1997-04-10	PRIJEM	PREVOD Z UCTU	28329	45541	\N	MN	15725326
626185	2139	1997-05-10	PRIJEM	PREVOD Z UCTU	28329	48753	\N	MN	15725326
626186	2139	1997-06-10	PRIJEM	PREVOD Z UCTU	42494	60841	\N	MN	15725326
626187	2139	1997-07-10	PRIJEM	PREVOD Z UCTU	28329	41403	\N	MN	15725326
626188	2139	1997-08-10	PRIJEM	PREVOD Z UCTU	28329	41369	\N	MN	15725326
626189	2139	1997-09-10	PRIJEM	PREVOD Z UCTU	28329	42452	\N	MN	15725326
626190	2139	1997-10-10	PRIJEM	PREVOD Z UCTU	28329	50148	\N	MN	15725326
626191	2139	1997-11-10	PRIJEM	PREVOD Z UCTU	28329	49067	\N	MN	15725326
626192	2139	1997-12-10	PRIJEM	PREVOD Z UCTU	42494	53174	\N	MN	15725326
626193	2139	1998-01-10	PRIJEM	PREVOD Z UCTU	28329	43782	\N	MN	15725326
626194	2139	1998-02-10	PRIJEM	PREVOD Z UCTU	28329	42862	\N	MN	15725326
626195	2139	1998-03-10	PRIJEM	PREVOD Z UCTU	28329	38506	\N	MN	15725326
626196	2139	1998-04-10	PRIJEM	PREVOD Z UCTU	28329	48880	\N	MN	15725326
626197	2139	1998-05-10	PRIJEM	PREVOD Z UCTU	28329	50496	\N	MN	15725326
626198	2139	1998-06-10	PRIJEM	PREVOD Z UCTU	42494	58323	\N	MN	15725326
626199	2139	1998-07-10	PRIJEM	PREVOD Z UCTU	28329	59862	\N	MN	15725326
626200	2139	1998-08-10	PRIJEM	PREVOD Z UCTU	28329	62020	\N	MN	15725326
626201	2139	1998-09-10	PRIJEM	PREVOD Z UCTU	28329	54870	\N	MN	15725326
626202	2139	1998-10-10	PRIJEM	PREVOD Z UCTU	28329	55715	\N	MN	15725326
626203	2139	1998-11-10	PRIJEM	PREVOD Z UCTU	28329	43904	\N	MN	15725326
626204	2139	1998-12-10	PRIJEM	PREVOD Z UCTU	42494	72674	\N	MN	15725326
626215	2139	1995-11-08	VYDAJ	PREVOD NA UCET	2154	41439	SIPO	IJ	36101162
626216	2139	1995-12-08	VYDAJ	PREVOD NA UCET	2154	41812	SIPO	IJ	36101162
626217	2139	1996-01-08	VYDAJ	PREVOD NA UCET	2154	41533	SIPO	IJ	36101162
626218	2139	1996-02-08	VYDAJ	PREVOD NA UCET	2154	14959	SIPO	IJ	36101162
626219	2139	1996-03-08	VYDAJ	PREVOD NA UCET	2154	19630	SIPO	IJ	36101162
626220	2139	1996-04-08	VYDAJ	PREVOD NA UCET	2154	17692	SIPO	IJ	36101162
626221	2139	1996-05-08	VYDAJ	PREVOD NA UCET	2154	29150	SIPO	IJ	36101162
626222	2139	1996-06-08	VYDAJ	PREVOD NA UCET	2154	18288	SIPO	IJ	36101162
626223	2139	1996-07-08	VYDAJ	PREVOD NA UCET	2154	37291	SIPO	IJ	36101162
626224	2139	1996-08-08	VYDAJ	PREVOD NA UCET	2154	20481	SIPO	IJ	36101162
626225	2139	1996-09-08	VYDAJ	PREVOD NA UCET	2154	22765	SIPO	IJ	36101162
626226	2139	1996-10-08	VYDAJ	PREVOD NA UCET	2154	22423	SIPO	IJ	36101162
626227	2139	1996-11-08	VYDAJ	PREVOD NA UCET	2154	17254	SIPO	IJ	36101162
626228	2139	1996-12-08	VYDAJ	PREVOD NA UCET	2154	26506	SIPO	IJ	36101162
626229	2139	1997-01-08	VYDAJ	PREVOD NA UCET	2154	8631	SIPO	IJ	36101162
626230	2139	1997-02-08	VYDAJ	PREVOD NA UCET	2154	6194	SIPO	IJ	36101162
626231	2139	1997-03-08	VYDAJ	PREVOD NA UCET	2154	15555	SIPO	IJ	36101162
626232	2139	1997-04-08	VYDAJ	PREVOD NA UCET	2154	21949	SIPO	IJ	36101162
626233	2139	1997-05-08	VYDAJ	PREVOD NA UCET	2154	25161	SIPO	IJ	36101162
626234	2139	1997-06-08	VYDAJ	PREVOD NA UCET	2154	23084	SIPO	IJ	36101162
626235	2139	1997-07-08	VYDAJ	PREVOD NA UCET	2154	17811	SIPO	IJ	36101162
626236	2139	1997-08-08	VYDAJ	PREVOD NA UCET	2154	13040	SIPO	IJ	36101162
626237	2139	1997-09-08	VYDAJ	PREVOD NA UCET	2154	14123	SIPO	IJ	36101162
626238	2139	1997-10-08	VYDAJ	PREVOD NA UCET	2154	26556	SIPO	IJ	36101162
626239	2139	1997-11-08	VYDAJ	PREVOD NA UCET	2154	25475	SIPO	IJ	36101162
626240	2139	1997-12-08	VYDAJ	PREVOD NA UCET	2154	10680	SIPO	IJ	36101162
626241	2139	1998-01-08	VYDAJ	PREVOD NA UCET	2154	15453	SIPO	IJ	36101162
626242	2139	1998-02-08	VYDAJ	PREVOD NA UCET	2154	14533	SIPO	IJ	36101162
626243	2139	1998-03-08	VYDAJ	PREVOD NA UCET	2154	10177	SIPO	IJ	36101162
626244	2139	1998-04-08	VYDAJ	PREVOD NA UCET	2154	20551	SIPO	IJ	36101162
626245	2139	1998-05-08	VYDAJ	PREVOD NA UCET	2154	22167	SIPO	IJ	36101162
626246	2139	1998-06-08	VYDAJ	PREVOD NA UCET	2154	15829	SIPO	IJ	36101162
626247	2139	1998-07-08	VYDAJ	PREVOD NA UCET	2154	36270	SIPO	IJ	36101162
626248	2139	1998-08-08	VYDAJ	PREVOD NA UCET	2154	38428	SIPO	IJ	36101162
626249	2139	1998-09-08	VYDAJ	PREVOD NA UCET	2154	26541	SIPO	IJ	36101162
626250	2139	1998-10-08	VYDAJ	PREVOD NA UCET	2154	27386	SIPO	IJ	36101162
626251	2139	1998-11-08	VYDAJ	PREVOD NA UCET	2154	15575	SIPO	IJ	36101162
626252	2139	1998-12-08	VYDAJ	PREVOD NA UCET	2154	30180	SIPO	IJ	36101162
626263	2139	1995-11-08	VYDAJ	PREVOD NA UCET	4737	43593	 	GH	92438989
626264	2139	1995-12-08	VYDAJ	PREVOD NA UCET	4737	37075	 	GH	92438989
626265	2139	1996-01-08	VYDAJ	PREVOD NA UCET	4737	36796	 	GH	92438989
626266	2139	1996-02-08	VYDAJ	PREVOD NA UCET	4737	10222	 	GH	92438989
626267	2139	1996-03-08	VYDAJ	PREVOD NA UCET	4737	14893	 	GH	92438989
626268	2139	1996-04-08	VYDAJ	PREVOD NA UCET	4737	19846	 	GH	92438989
626269	2139	1996-05-08	VYDAJ	PREVOD NA UCET	4737	24413	 	GH	92438989
626270	2139	1996-06-08	VYDAJ	PREVOD NA UCET	4737	13551	 	GH	92438989
626271	2139	1996-07-08	VYDAJ	PREVOD NA UCET	4737	32554	 	GH	92438989
626272	2139	1996-08-08	VYDAJ	PREVOD NA UCET	4737	15744	 	GH	92438989
626273	2139	1996-09-08	VYDAJ	PREVOD NA UCET	4737	24919	 	GH	92438989
626274	2139	1996-10-08	VYDAJ	PREVOD NA UCET	4737	17686	 	GH	92438989
626275	2139	1996-11-08	VYDAJ	PREVOD NA UCET	4737	19408	 	GH	92438989
626276	2139	1996-12-08	VYDAJ	PREVOD NA UCET	4737	21769	 	GH	92438989
626277	2139	1997-01-08	VYDAJ	PREVOD NA UCET	4737	10785	 	GH	92438989
626278	2139	1997-02-08	VYDAJ	PREVOD NA UCET	4737	8348	 	GH	92438989
626279	2139	1997-03-08	VYDAJ	PREVOD NA UCET	4737	10818	 	GH	92438989
626280	2139	1997-04-08	VYDAJ	PREVOD NA UCET	4737	17212	 	GH	92438989
626281	2139	1997-05-08	VYDAJ	PREVOD NA UCET	4737	20424	 	GH	92438989
626282	2139	1997-06-08	VYDAJ	PREVOD NA UCET	4737	18347	 	GH	92438989
626283	2139	1997-07-08	VYDAJ	PREVOD NA UCET	4737	13074	 	GH	92438989
626284	2139	1997-08-08	VYDAJ	PREVOD NA UCET	4737	15194	 	GH	92438989
626285	2139	1997-09-08	VYDAJ	PREVOD NA UCET	4737	16277	 	GH	92438989
626286	2139	1997-10-08	VYDAJ	PREVOD NA UCET	4737	21819	 	GH	92438989
626287	2139	1997-11-08	VYDAJ	PREVOD NA UCET	4737	20738	 	GH	92438989
626288	2139	1997-12-08	VYDAJ	PREVOD NA UCET	4737	12834	 	GH	92438989
626289	2139	1998-01-08	VYDAJ	PREVOD NA UCET	4737	17607	 	GH	92438989
626290	2139	1998-02-08	VYDAJ	PREVOD NA UCET	4737	16687	 	GH	92438989
626291	2139	1998-03-08	VYDAJ	PREVOD NA UCET	4737	12331	 	GH	92438989
626292	2139	1998-04-08	VYDAJ	PREVOD NA UCET	4737	22705	 	GH	92438989
626293	2139	1998-05-08	VYDAJ	PREVOD NA UCET	4737	24321	 	GH	92438989
626294	2139	1998-06-08	VYDAJ	PREVOD NA UCET	4737	17983	 	GH	92438989
626295	2139	1998-07-08	VYDAJ	PREVOD NA UCET	4737	31533	 	GH	92438989
626296	2139	1998-08-08	VYDAJ	PREVOD NA UCET	4737	33691	 	GH	92438989
626297	2139	1998-09-08	VYDAJ	PREVOD NA UCET	4737	28695	 	GH	92438989
626298	2139	1998-10-08	VYDAJ	PREVOD NA UCET	4737	29540	 	GH	92438989
626299	2139	1998-11-08	VYDAJ	PREVOD NA UCET	4737	17729	 	GH	92438989
626300	2139	1998-12-08	VYDAJ	PREVOD NA UCET	4737	32334	 	GH	92438989
626311	2139	1995-11-07	VYDAJ	PREVOD NA UCET	6275	48330	POJISTNE	MN	30308371
626312	2139	1995-12-07	VYDAJ	PREVOD NA UCET	6275	43966	POJISTNE	MN	30308371
626313	2139	1996-01-07	VYDAJ	PREVOD NA UCET	6275	43687	POJISTNE	MN	30308371
626314	2139	1996-02-07	VYDAJ	PREVOD NA UCET	6275	17113	POJISTNE	MN	30308371
626315	2139	1996-03-07	VYDAJ	PREVOD NA UCET	6275	21784	POJISTNE	MN	30308371
626316	2139	1996-04-07	VYDAJ	PREVOD NA UCET	6275	24583	POJISTNE	MN	30308371
626317	2139	1996-05-07	VYDAJ	PREVOD NA UCET	6275	31304	POJISTNE	MN	30308371
626318	2139	1996-06-07	VYDAJ	PREVOD NA UCET	6275	20442	POJISTNE	MN	30308371
626319	2139	1996-07-07	VYDAJ	PREVOD NA UCET	6275	39445	POJISTNE	MN	30308371
626320	2139	1996-08-07	VYDAJ	PREVOD NA UCET	6275	22635	POJISTNE	MN	30308371
626321	2139	1996-09-07	VYDAJ	PREVOD NA UCET	6275	29656	POJISTNE	MN	30308371
626322	2139	1996-10-07	VYDAJ	PREVOD NA UCET	6275	24577	POJISTNE	MN	30308371
626323	2139	1996-11-07	VYDAJ	PREVOD NA UCET	6275	24145	POJISTNE	MN	30308371
626324	2139	1996-12-07	VYDAJ	PREVOD NA UCET	6275	28660	POJISTNE	MN	30308371
626325	2139	1997-01-07	VYDAJ	PREVOD NA UCET	6275	15522	POJISTNE	MN	30308371
626326	2139	1997-02-07	VYDAJ	PREVOD NA UCET	6275	13085	POJISTNE	MN	30308371
626327	2139	1997-03-07	VYDAJ	PREVOD NA UCET	6275	17709	POJISTNE	MN	30308371
626328	2139	1997-04-07	VYDAJ	PREVOD NA UCET	6275	24103	POJISTNE	MN	30308371
626329	2139	1997-05-07	VYDAJ	PREVOD NA UCET	6275	27315	POJISTNE	MN	30308371
626330	2139	1997-06-07	VYDAJ	PREVOD NA UCET	6275	25238	POJISTNE	MN	30308371
626331	2139	1997-07-07	VYDAJ	PREVOD NA UCET	6275	19965	POJISTNE	MN	30308371
626332	2139	1997-08-07	VYDAJ	PREVOD NA UCET	6275	19931	POJISTNE	MN	30308371
626333	2139	1997-09-07	VYDAJ	PREVOD NA UCET	6275	21014	POJISTNE	MN	30308371
626334	2139	1997-10-07	VYDAJ	PREVOD NA UCET	6275	28710	POJISTNE	MN	30308371
626335	2139	1997-11-07	VYDAJ	PREVOD NA UCET	6275	27629	POJISTNE	MN	30308371
626336	2139	1997-12-07	VYDAJ	PREVOD NA UCET	6275	17571	POJISTNE	MN	30308371
626337	2139	1998-01-07	VYDAJ	PREVOD NA UCET	6275	22344	POJISTNE	MN	30308371
626338	2139	1998-02-07	VYDAJ	PREVOD NA UCET	6275	21424	POJISTNE	MN	30308371
626339	2139	1998-03-07	VYDAJ	PREVOD NA UCET	6275	17068	POJISTNE	MN	30308371
626340	2139	1998-04-07	VYDAJ	PREVOD NA UCET	6275	27442	POJISTNE	MN	30308371
626341	2139	1998-05-07	VYDAJ	PREVOD NA UCET	6275	29058	POJISTNE	MN	30308371
626342	2139	1998-06-07	VYDAJ	PREVOD NA UCET	6275	22720	POJISTNE	MN	30308371
626343	2139	1998-07-07	VYDAJ	PREVOD NA UCET	6275	38424	POJISTNE	MN	30308371
626344	2139	1998-08-07	VYDAJ	PREVOD NA UCET	6275	40582	POJISTNE	MN	30308371
626345	2139	1998-09-07	VYDAJ	PREVOD NA UCET	6275	33432	POJISTNE	MN	30308371
626346	2139	1998-10-07	VYDAJ	PREVOD NA UCET	6275	34277	POJISTNE	MN	30308371
626347	2139	1998-11-07	VYDAJ	PREVOD NA UCET	6275	22466	POJISTNE	MN	30308371
626348	2139	1998-12-07	VYDAJ	PREVOD NA UCET	6275	37071	POJISTNE	MN	30308371
626349	2139	1996-02-13	VYBER	VYBER	5992	32559	\N	\N	\N
626350	2139	1996-12-30	VYBER	VYBER	7266	51897	\N	\N	\N
626351	2139	1996-08-04	VYBER	VYBER	15398	28910	\N	\N	\N
626353	2139	1996-05-22	VYBER	VYBER	14927	24170	\N	\N	\N
626354	2139	1996-10-12	VYBER	VYBER	16009	30006	\N	\N	\N
626357	2139	1996-05-19	VYBER	VYBER	13645	39097	\N	\N	\N
626359	2139	1996-02-14	VYBER	VYBER	5796	26763	\N	\N	\N
626362	2139	1997-06-16	VYBER	VYBER	3218	27623	\N	\N	\N
626365	2139	1997-02-23	VYBER	VYBER	3340	31183	\N	\N	\N
626367	2139	1997-12-03	VYBER	VYBER	5480	23846	\N	\N	\N
626370	2139	1997-11-18	VYBER	VYBER	8576	40491	\N	\N	\N
626371	2139	1998-12-22	VYBER	VYBER	5953	47221	\N	\N	\N
626373	2139	1998-05-18	VYBER	VYBER	14170	36326	\N	\N	\N
626375	2139	1998-03-11	VYBER	VYBER	2003	36503	\N	\N	\N
626377	2139	1998-09-13	VYBER	VYBER	7978	46892	\N	\N	\N
626378	2139	1998-10-23	VYBER	VYBER	15131	28584	\N	\N	\N
626379	2139	1998-06-05	VYBER	VYBER	7576	28995	\N	\N	\N
626380	2139	1998-02-26	VYBER	VYBER	16646	23216	\N	\N	\N
626383	2139	1997-06-13	VYDAJ	VYBER	30000	30841	\N	\N	\N
626385	2139	1995-12-30	VYDAJ	VYBER	2100	77469	\N	\N	\N
626386	2139	1996-12-11	VYDAJ	VYBER	5100	59163	\N	\N	\N
626387	2139	1997-12-14	VYDAJ	VYBER	6600	46574	\N	\N	\N
626388	2139	1998-12-29	VYDAJ	VYBER	4200	43021	\N	\N	\N
626395	2139	1996-01-22	VYDAJ	VYBER	8400	29425	\N	\N	\N
626396	2139	1996-01-09	VYDAJ	VYBER	6000	29296	\N	\N	\N
626397	2139	1996-01-22	VYDAJ	VYBER	5700	23725	\N	\N	\N
626398	2139	1996-01-18	VYDAJ	VYBER	3600	39325	\N	\N	\N
626399	2139	1996-01-19	VYDAJ	VYBER	1500	37825	\N	\N	\N
626400	2139	1996-01-08	VYDAJ	VYBER	1500	35296	\N	\N	\N
626403	2139	1997-01-20	VYDAJ	VYBER	6300	22860	\N	\N	\N
626404	2139	1997-01-04	VYDAJ	VYBER	6000	28997	\N	\N	\N
626405	2139	1997-01-05	VYDAJ	VYBER	7200	21797	\N	\N	\N
626406	2139	1997-01-10	VYDAJ	VYBER	7800	29160	\N	\N	\N
626407	2139	1998-01-18	VYDAJ	VYBER	7200	26682	\N	\N	\N
626408	2139	1998-01-10	VYDAJ	VYBER	4500	39282	\N	\N	\N
626410	2139	1998-01-16	VYDAJ	VYBER	5400	33882	\N	\N	\N
626411	2139	1998-01-06	VYDAJ	VYBER	8400	28619	\N	\N	\N
626418	2139	1995-10-17	VYDAJ	VYBER	3300	78890	\N	\N	\N
626419	2139	1996-10-03	VYDAJ	VYBER	4500	30852	\N	\N	\N
626420	2139	1996-09-13	VYDAJ	VYBER	9900	41194	\N	\N	\N
626421	2139	1996-04-01	VYDAJ	VYBER	11100	29558	\N	\N	\N
626422	2139	1996-09-07	VYDAJ	VYBER	2100	35931	\N	\N	\N
626423	2139	1996-01-11	VYDAJ	VYBER	14700	42925	\N	\N	\N
626424	2139	1996-03-19	VYDAJ	VYBER	2700	40522	\N	\N	\N
626425	2139	1996-12-03	VYDAJ	VYBER	2100	34935	\N	\N	\N
626426	2139	1997-10-21	VYDAJ	VYBER	3900	46248	\N	\N	\N
626427	2139	1997-11-19	VYDAJ	VYBER	8400	32091	\N	\N	\N
626429	2139	1997-05-31	VYDAJ	VYBER	7200	31528	\N	\N	\N
626430	2139	1997-07-12	VYDAJ	VYBER	11400	30003	\N	\N	\N
626431	2139	1997-08-24	VYDAJ	VYBER	13500	27869	\N	\N	\N
626432	2139	1998-08-20	VYDAJ	VYBER	14100	47920	\N	\N	\N
626433	2139	1998-04-25	VYDAJ	VYBER	8700	35180	\N	\N	\N
626434	2139	1998-10-19	VYDAJ	VYBER	1800	53915	\N	\N	\N
626445	2139	1995-10-31	VYDAJ	VYBER	15	79205	SLUZBY	\N	\N
626446	2139	1995-11-30	VYDAJ	VYBER	15	70041	SLUZBY	\N	\N
626447	2139	1995-12-31	VYDAJ	VYBER	15	77762	SLUZBY	\N	\N
626448	2139	1996-01-31	VYDAJ	VYBER	15	23888	SLUZBY	\N	\N
626449	2139	1996-02-29	VYDAJ	VYBER	15	26859	SLUZBY	\N	\N
626450	2139	1996-03-31	VYDAJ	VYBER	15	40658	SLUZBY	\N	\N
626451	2139	1996-04-30	VYDAJ	VYBER	15	46179	SLUZBY	\N	\N
626452	2139	1996-05-31	VYDAJ	VYBER	15	24317	SLUZBY	\N	\N
626453	2139	1996-06-30	VYDAJ	VYBER	15	56220	SLUZBY	\N	\N
626454	2139	1996-07-31	VYDAJ	VYBER	15	61108	SLUZBY	\N	\N
626455	2139	1996-08-31	VYDAJ	VYBER	15	44231	SLUZBY	\N	\N
626456	2139	1996-09-30	VYDAJ	VYBER	15	41352	SLUZBY	\N	\N
626457	2139	1996-10-31	VYDAJ	VYBER	15	30420	SLUZBY	\N	\N
626458	2139	1996-11-30	VYDAJ	VYBER	15	45735	SLUZBY	\N	\N
626459	2139	1996-12-31	VYDAJ	VYBER	15	34997	SLUZBY	\N	\N
626460	2139	1997-01-31	VYDAJ	VYBER	15	19360	SLUZBY	\N	\N
626461	2139	1997-02-28	VYDAJ	VYBER	15	31284	SLUZBY	\N	\N
626462	2139	1997-03-31	VYDAJ	VYBER	15	30378	SLUZBY	\N	\N
626463	2139	1997-04-30	VYDAJ	VYBER	15	33590	SLUZBY	\N	\N
626464	2139	1997-05-31	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
626465	2139	1997-06-30	VYDAJ	VYBER	15	26240	SLUZBY	\N	\N
626466	2139	1997-07-31	VYDAJ	VYBER	15	26206	SLUZBY	\N	\N
626467	2139	1997-08-31	VYDAJ	VYBER	15	27289	SLUZBY	\N	\N
626468	2139	1997-09-30	VYDAJ	VYBER	15	34985	SLUZBY	\N	\N
626469	2139	1997-10-31	VYDAJ	VYBER	15	33904	SLUZBY	\N	\N
626470	2139	1997-11-30	VYDAJ	VYBER	15	29326	SLUZBY	\N	\N
626471	2139	1997-12-31	VYDAJ	VYBER	15	37019	SLUZBY	\N	\N
626472	2139	1998-01-31	VYDAJ	VYBER	15	27699	SLUZBY	\N	\N
626473	2139	1998-02-28	VYDAJ	VYBER	15	23343	SLUZBY	\N	\N
626474	2139	1998-03-31	VYDAJ	VYBER	15	33717	SLUZBY	\N	\N
626475	2139	1998-04-30	VYDAJ	VYBER	15	35333	SLUZBY	\N	\N
626476	2139	1998-05-31	VYDAJ	VYBER	15	36571	SLUZBY	\N	\N
626477	2139	1998-06-30	VYDAJ	VYBER	15	44699	SLUZBY	\N	\N
626478	2139	1998-07-31	VYDAJ	VYBER	15	46857	SLUZBY	\N	\N
626479	2139	1998-08-31	VYDAJ	VYBER	15	39707	SLUZBY	\N	\N
626480	2139	1998-09-30	VYDAJ	VYBER	15	40552	SLUZBY	\N	\N
626481	2139	1998-10-31	VYDAJ	VYBER	15	28741	SLUZBY	\N	\N
626482	2139	1998-11-30	VYDAJ	VYBER	15	43346	SLUZBY	\N	\N
626483	2139	1995-07-09	VYDAJ	VYBER	7000	36521	\N	\N	\N
626484	2139	1995-08-08	VYDAJ	VYBER	20400	44694	\N	\N	\N
626485	2139	1995-09-07	VYDAJ	VYBER	25000	48317	\N	\N	\N
626486	2139	1995-10-07	VYDAJ	VYBER	23100	53861	\N	\N	\N
626487	2139	1995-11-06	VYDAJ	VYBER	24600	54605	\N	\N	\N
626488	2139	1995-12-06	VYDAJ	VYBER	19800	50241	\N	\N	\N
626489	2139	1996-01-05	VYDAJ	VYBER	27800	49962	\N	\N	\N
626490	2139	1996-02-04	VYDAJ	VYBER	500	23388	\N	\N	\N
626491	2139	1996-03-05	PRIJEM	VKLAD	1200	28059	\N	\N	\N
626492	2139	1996-04-04	PRIJEM	VKLAD	1300	30858	\N	\N	\N
626493	2139	1996-05-04	VYDAJ	VYBER	8600	37579	\N	\N	\N
626494	2139	1996-06-03	PRIJEM	VKLAD	2400	26717	\N	\N	\N
626495	2139	1996-07-03	VYDAJ	VYBER	10500	45720	\N	\N	\N
626496	2139	1996-08-02	VYDAJ	VYBER	16800	44308	\N	\N	\N
626497	2139	1996-09-01	VYDAJ	VYBER	6200	38031	\N	\N	\N
626498	2139	1996-10-01	VYDAJ	VYBER	6000	35352	\N	\N	\N
626499	2139	1996-10-31	PRIJEM	VKLAD	300	30306	\N	\N	\N
626500	2139	1996-11-30	VYDAJ	VYBER	8700	37035	\N	\N	\N
626501	2139	1996-12-30	VYDAJ	VYBER	17100	34797	\N	\N	\N
626502	2139	1997-01-29	VYDAJ	VYBER	3600	19260	\N	\N	\N
626503	2139	1997-02-28	VYDAJ	VYBER	7300	23984	\N	\N	\N
626504	2139	1997-03-30	VYDAJ	VYBER	8900	30247	\N	\N	\N
626505	2139	1997-04-29	VYDAJ	VYBER	12100	33441	\N	\N	\N
626506	2139	1997-05-29	VYDAJ	VYBER	10200	38553	\N	\N	\N
626507	2139	1997-06-28	VYDAJ	VYBER	1500	26123	\N	\N	\N
626508	2139	1997-07-28	VYDAJ	VYBER	3900	26103	\N	\N	\N
626509	2139	1997-08-27	VYDAJ	VYBER	700	27169	\N	\N	\N
626510	2139	1997-09-26	VYDAJ	VYBER	7600	34852	\N	\N	\N
626511	2139	1997-10-26	VYDAJ	VYBER	12500	33748	\N	\N	\N
626512	2139	1997-11-25	VYDAJ	VYBER	2900	29191	\N	\N	\N
626513	2139	1997-12-25	VYDAJ	VYBER	9700	36874	\N	\N	\N
626514	2139	1998-01-24	PRIJEM	VKLAD	900	27582	\N	\N	\N
626515	2139	1998-02-23	VYDAJ	VYBER	3000	39862	\N	\N	\N
626516	2139	1998-03-25	VYDAJ	VYBER	2900	33603	\N	\N	\N
626517	2139	1998-04-24	VYDAJ	VYBER	5000	43880	\N	\N	\N
626518	2139	1998-05-24	PRIJEM	VKLAD	100	36426	\N	\N	\N
626519	2139	1998-06-23	VYDAJ	VYBER	13800	44523	\N	\N	\N
626520	2139	1998-07-23	VYDAJ	VYBER	13200	46662	\N	\N	\N
626521	2139	1998-08-22	VYDAJ	VYBER	8400	39520	\N	\N	\N
626522	2139	1998-09-21	VYDAJ	VYBER	6500	40392	\N	\N	\N
626523	2139	1998-10-21	VYDAJ	VYBER	10200	43715	\N	\N	\N
626524	2139	1998-11-20	VYDAJ	VYBER	700	43204	\N	\N	\N
626525	2139	1998-12-20	VYDAJ	VYBER	19500	53174	\N	\N	\N
626569	2140	1993-10-21	PRIJEM	VKLAD	600	600	\N	\N	\N
626580	2140	1993-11-09	PRIJEM	PREVOD Z UCTU	3478	4078	\N	ST	56615853
626581	2140	1993-12-09	PRIJEM	PREVOD Z UCTU	3478	15474	\N	ST	56615853
626582	2140	1994-01-09	PRIJEM	PREVOD Z UCTU	3478	24216	\N	ST	56615853
626583	2140	1994-02-09	PRIJEM	PREVOD Z UCTU	3478	25583	\N	ST	56615853
626584	2140	1994-03-09	PRIJEM	PREVOD Z UCTU	3478	27756	\N	ST	56615853
626585	2140	1994-04-09	PRIJEM	PREVOD Z UCTU	3478	28006	\N	ST	56615853
626586	2140	1994-05-09	PRIJEM	PREVOD Z UCTU	3478	29668	\N	ST	56615853
626587	2140	1994-06-09	PRIJEM	PREVOD Z UCTU	3478	19763	\N	ST	56615853
626588	2140	1994-07-09	PRIJEM	PREVOD Z UCTU	3478	22798	\N	ST	56615853
626589	2140	1994-08-09	PRIJEM	PREVOD Z UCTU	3478	24979	\N	ST	56615853
626590	2140	1994-09-09	PRIJEM	PREVOD Z UCTU	3478	27219	\N	ST	56615853
626591	2140	1994-10-09	PRIJEM	PREVOD Z UCTU	3478	28476	\N	ST	56615853
626592	2140	1994-11-09	PRIJEM	PREVOD Z UCTU	3478	29338	\N	ST	56615853
626593	2140	1994-12-09	PRIJEM	PREVOD Z UCTU	3478	29903	\N	ST	56615853
626594	2140	1995-01-09	PRIJEM	PREVOD Z UCTU	3478	25231	\N	ST	56615853
626595	2140	1995-02-09	PRIJEM	PREVOD Z UCTU	3478	21457	\N	ST	56615853
626596	2140	1995-03-09	PRIJEM	PREVOD Z UCTU	3478	22590	\N	ST	56615853
626597	2140	1995-04-09	PRIJEM	PREVOD Z UCTU	3478	25131	\N	ST	56615853
626598	2140	1995-05-09	PRIJEM	PREVOD Z UCTU	3478	28084	\N	ST	56615853
626599	2140	1995-06-09	PRIJEM	PREVOD Z UCTU	3478	25736	\N	ST	56615853
626600	2140	1995-07-09	PRIJEM	PREVOD Z UCTU	3478	23769	\N	ST	56615853
626601	2140	1995-08-09	PRIJEM	PREVOD Z UCTU	3478	26516	\N	ST	56615853
626602	2140	1995-09-09	PRIJEM	PREVOD Z UCTU	3478	26597	\N	ST	56615853
626603	2140	1995-10-09	PRIJEM	PREVOD Z UCTU	3478	26290	\N	ST	56615853
626604	2140	1995-11-09	PRIJEM	PREVOD Z UCTU	3478	26439	\N	ST	56615853
626605	2140	1995-12-09	PRIJEM	PREVOD Z UCTU	3478	28596	\N	ST	56615853
626606	2140	1996-01-09	PRIJEM	PREVOD Z UCTU	3478	27320	\N	ST	56615853
626607	2140	1996-02-09	PRIJEM	PREVOD Z UCTU	3478	22868	\N	ST	56615853
626608	2140	1996-03-09	PRIJEM	PREVOD Z UCTU	3478	23996	\N	ST	56615853
626609	2140	1996-04-09	PRIJEM	PREVOD Z UCTU	3478	27328	\N	ST	56615853
626610	2140	1996-05-09	PRIJEM	PREVOD Z UCTU	3478	29713	\N	ST	56615853
626611	2140	1996-06-09	PRIJEM	PREVOD Z UCTU	3478	31467	\N	ST	56615853
626612	2140	1996-07-09	PRIJEM	PREVOD Z UCTU	3478	27961	\N	ST	56615853
626613	2140	1996-08-09	PRIJEM	PREVOD Z UCTU	3478	29219	\N	ST	56615853
626614	2140	1996-09-09	PRIJEM	PREVOD Z UCTU	3478	26984	\N	ST	56615853
626615	2140	1996-10-09	PRIJEM	PREVOD Z UCTU	3478	26942	\N	ST	56615853
626616	2140	1996-11-09	PRIJEM	PREVOD Z UCTU	3478	22397	\N	ST	56615853
626617	2140	1996-12-09	PRIJEM	PREVOD Z UCTU	3478	21637	\N	ST	56615853
626618	2140	1997-01-09	PRIJEM	PREVOD Z UCTU	3478	19589	\N	ST	56615853
626619	2140	1997-02-09	PRIJEM	PREVOD Z UCTU	3478	20613	\N	ST	56615853
626620	2140	1997-03-09	PRIJEM	PREVOD Z UCTU	3478	20937	\N	ST	56615853
626621	2140	1997-04-09	PRIJEM	PREVOD Z UCTU	3478	18867	\N	ST	56615853
626622	2140	1997-05-09	PRIJEM	PREVOD Z UCTU	3478	17318	\N	ST	56615853
626623	2140	1997-06-09	PRIJEM	PREVOD Z UCTU	3478	18493	\N	ST	56615853
626624	2140	1997-07-09	PRIJEM	PREVOD Z UCTU	3478	19111	\N	ST	56615853
626625	2140	1997-08-09	PRIJEM	PREVOD Z UCTU	3478	19253	\N	ST	56615853
626626	2140	1997-09-09	PRIJEM	PREVOD Z UCTU	3478	22675	\N	ST	56615853
626627	2140	1997-10-09	PRIJEM	PREVOD Z UCTU	3478	24681	\N	ST	56615853
626628	2140	1997-11-09	PRIJEM	PREVOD Z UCTU	3478	23726	\N	ST	56615853
626629	2140	1997-12-09	PRIJEM	PREVOD Z UCTU	3478	22367	\N	ST	56615853
626630	2140	1998-01-09	PRIJEM	PREVOD Z UCTU	3478	22812	\N	ST	56615853
626631	2140	1998-02-09	PRIJEM	PREVOD Z UCTU	3478	25938	\N	ST	56615853
626632	2140	1998-03-09	PRIJEM	PREVOD Z UCTU	3478	30948	\N	ST	56615853
626633	2140	1998-04-09	PRIJEM	PREVOD Z UCTU	3478	33188	\N	ST	56615853
626634	2140	1998-05-09	PRIJEM	PREVOD Z UCTU	3478	37870	\N	ST	56615853
626635	2140	1998-06-09	PRIJEM	PREVOD Z UCTU	3478	39050	\N	ST	56615853
626636	2140	1998-07-09	PRIJEM	PREVOD Z UCTU	3478	43357	\N	ST	56615853
626637	2140	1998-08-09	PRIJEM	PREVOD Z UCTU	3478	43569	\N	ST	56615853
626638	2140	1998-09-09	PRIJEM	PREVOD Z UCTU	3478	41788	\N	ST	56615853
626639	2140	1998-10-09	PRIJEM	PREVOD Z UCTU	3478	43576	\N	ST	56615853
626640	2140	1998-11-09	PRIJEM	PREVOD Z UCTU	3478	46800	\N	ST	56615853
626641	2140	1998-12-09	PRIJEM	PREVOD Z UCTU	3478	45434	\N	ST	56615853
626657	2140	1994-04-06	VYDAJ	PREVOD NA UCET	2318	24528	SIPO	WX	27352017
626658	2140	1994-05-06	VYDAJ	PREVOD NA UCET	2318	26190	SIPO	WX	27352017
626659	2140	1994-06-06	VYDAJ	PREVOD NA UCET	2318	16285	SIPO	WX	27352017
626660	2140	1994-07-06	VYDAJ	PREVOD NA UCET	2318	19320	SIPO	WX	27352017
626661	2140	1994-08-06	VYDAJ	PREVOD NA UCET	2318	21501	SIPO	WX	27352017
626662	2140	1994-09-06	VYDAJ	PREVOD NA UCET	2318	23741	SIPO	WX	27352017
626663	2140	1994-10-06	VYDAJ	PREVOD NA UCET	2318	24998	SIPO	WX	27352017
626664	2140	1994-11-06	VYDAJ	PREVOD NA UCET	2318	25860	SIPO	WX	27352017
626665	2140	1994-12-06	VYDAJ	PREVOD NA UCET	2318	26425	SIPO	WX	27352017
626666	2140	1995-01-06	VYDAJ	PREVOD NA UCET	2318	22113	SIPO	WX	27352017
626667	2140	1995-02-06	VYDAJ	PREVOD NA UCET	2318	17979	SIPO	WX	27352017
626668	2140	1995-03-06	VYDAJ	PREVOD NA UCET	2318	19112	SIPO	WX	27352017
626669	2140	1995-04-06	VYDAJ	PREVOD NA UCET	2318	21653	SIPO	WX	27352017
626670	2140	1995-05-06	VYDAJ	PREVOD NA UCET	2318	24606	SIPO	WX	27352017
626671	2140	1995-06-06	VYDAJ	PREVOD NA UCET	2318	22258	SIPO	WX	27352017
626672	2140	1995-07-06	VYDAJ	PREVOD NA UCET	2318	20291	SIPO	WX	27352017
626673	2140	1995-08-06	VYDAJ	PREVOD NA UCET	2318	23038	SIPO	WX	27352017
626674	2140	1995-09-06	VYDAJ	PREVOD NA UCET	2318	23119	SIPO	WX	27352017
626675	2140	1995-10-06	VYDAJ	PREVOD NA UCET	2318	22812	SIPO	WX	27352017
626676	2140	1995-11-06	VYDAJ	PREVOD NA UCET	2318	22961	SIPO	WX	27352017
626677	2140	1995-12-06	VYDAJ	PREVOD NA UCET	2318	25118	SIPO	WX	27352017
626678	2140	1996-01-06	VYDAJ	PREVOD NA UCET	2318	23842	SIPO	WX	27352017
626679	2140	1996-02-06	VYDAJ	PREVOD NA UCET	2318	20290	SIPO	WX	27352017
626680	2140	1996-03-06	VYDAJ	PREVOD NA UCET	2318	19218	SIPO	WX	27352017
626681	2140	1996-04-06	VYDAJ	PREVOD NA UCET	2318	21150	SIPO	WX	27352017
626682	2140	1996-05-06	VYDAJ	PREVOD NA UCET	2318	24535	SIPO	WX	27352017
626683	2140	1996-06-06	VYDAJ	PREVOD NA UCET	2318	24889	SIPO	WX	27352017
626684	2140	1996-07-06	VYDAJ	PREVOD NA UCET	2318	23183	SIPO	WX	27352017
626685	2140	1996-08-06	VYDAJ	PREVOD NA UCET	2318	25741	SIPO	WX	27352017
626686	2140	1996-09-06	VYDAJ	PREVOD NA UCET	2318	23506	SIPO	WX	27352017
626687	2140	1996-10-06	VYDAJ	PREVOD NA UCET	2318	23464	SIPO	WX	27352017
626688	2140	1996-11-06	VYDAJ	PREVOD NA UCET	2318	18919	SIPO	WX	27352017
626689	2140	1996-12-06	VYDAJ	PREVOD NA UCET	2318	18159	SIPO	WX	27352017
626690	2140	1997-01-06	VYDAJ	PREVOD NA UCET	2318	16111	SIPO	WX	27352017
626691	2140	1997-02-06	VYDAJ	PREVOD NA UCET	2318	17135	SIPO	WX	27352017
626692	2140	1997-03-06	VYDAJ	PREVOD NA UCET	2318	17459	SIPO	WX	27352017
626693	2140	1997-04-06	VYDAJ	PREVOD NA UCET	2318	15389	SIPO	WX	27352017
626694	2140	1997-05-06	VYDAJ	PREVOD NA UCET	2318	13840	SIPO	WX	27352017
626695	2140	1997-06-06	VYDAJ	PREVOD NA UCET	2318	15015	SIPO	WX	27352017
626696	2140	1997-07-06	VYDAJ	PREVOD NA UCET	2318	15633	SIPO	WX	27352017
626697	2140	1997-08-06	VYDAJ	PREVOD NA UCET	2318	15775	SIPO	WX	27352017
626698	2140	1997-09-06	VYDAJ	PREVOD NA UCET	2318	19197	SIPO	WX	27352017
626699	2140	1997-10-06	VYDAJ	PREVOD NA UCET	2318	21203	SIPO	WX	27352017
626700	2140	1997-11-06	VYDAJ	PREVOD NA UCET	2318	20248	SIPO	WX	27352017
626701	2140	1997-12-06	VYDAJ	PREVOD NA UCET	2318	18889	SIPO	WX	27352017
626702	2140	1998-01-06	VYDAJ	PREVOD NA UCET	2318	19334	SIPO	WX	27352017
626703	2140	1998-02-06	VYDAJ	PREVOD NA UCET	2318	22460	SIPO	WX	27352017
626704	2140	1998-03-06	VYDAJ	PREVOD NA UCET	2318	27470	SIPO	WX	27352017
626705	2140	1998-04-06	VYDAJ	PREVOD NA UCET	2318	29710	SIPO	WX	27352017
626706	2140	1998-05-06	VYDAJ	PREVOD NA UCET	2318	34392	SIPO	WX	27352017
626707	2140	1998-06-06	VYDAJ	PREVOD NA UCET	2318	35572	SIPO	WX	27352017
626708	2140	1998-07-06	VYDAJ	PREVOD NA UCET	2318	39879	SIPO	WX	27352017
626709	2140	1998-08-06	VYDAJ	PREVOD NA UCET	2318	40091	SIPO	WX	27352017
626710	2140	1998-09-06	VYDAJ	PREVOD NA UCET	2318	38310	SIPO	WX	27352017
626711	2140	1998-10-06	VYDAJ	PREVOD NA UCET	2318	40698	SIPO	WX	27352017
626712	2140	1998-11-06	VYDAJ	PREVOD NA UCET	2318	43322	SIPO	WX	27352017
626713	2140	1998-12-06	VYDAJ	PREVOD NA UCET	2318	41956	SIPO	WX	27352017
626715	2140	1994-06-05	VYDAJ	VYBER	8820	18603	\N	\N	\N
626716	2140	1995-06-13	VYDAJ	VYBER	5070	22526	\N	\N	\N
626717	2140	1996-06-10	VYDAJ	VYBER	6060	25407	\N	\N	\N
626719	2140	1998-06-02	VYDAJ	VYBER	1290	38520	\N	\N	\N
626722	2140	1995-01-10	VYDAJ	VYBER	2400	22831	\N	\N	\N
626723	2140	1996-01-04	VYDAJ	VYBER	2010	26670	\N	\N	\N
626724	2140	1997-01-20	VYDAJ	VYBER	2670	15809	\N	\N	\N
626725	2140	1998-01-21	VYDAJ	VYBER	540	21402	\N	\N	\N
626727	2140	1994-12-19	VYDAJ	VYBER	390	25113	\N	\N	\N
626728	2140	1995-12-15	VYDAJ	VYBER	540	28756	\N	\N	\N
626729	2140	1996-12-19	VYDAJ	VYBER	780	19897	\N	\N	\N
626730	2140	1997-12-17	VYDAJ	VYBER	330	22037	\N	\N	\N
626731	2140	1998-12-24	VYDAJ	VYBER	180	45254	\N	\N	\N
626744	2140	1995-01-03	VYDAJ	VYBER	630	24581	\N	\N	\N
626745	2140	1995-01-20	VYDAJ	VYBER	690	20221	\N	\N	\N
626746	2140	1995-01-11	VYDAJ	VYBER	210	22621	\N	\N	\N
626747	2140	1995-01-07	VYDAJ	VYBER	360	21753	\N	\N	\N
626748	2140	1995-01-03	VYDAJ	VYBER	150	24431	\N	\N	\N
626749	2140	1995-01-17	VYDAJ	VYBER	870	21151	\N	\N	\N
626750	2140	1996-01-13	VYDAJ	VYBER	870	24740	\N	\N	\N
626751	2140	1996-01-23	VYDAJ	VYBER	360	23630	\N	\N	\N
626752	2140	1996-01-12	VYDAJ	VYBER	210	25610	\N	\N	\N
626753	2140	1996-01-03	VYDAJ	VYBER	180	28680	\N	\N	\N
626754	2140	1996-01-13	VYDAJ	VYBER	750	23990	\N	\N	\N
626755	2140	1996-01-05	VYDAJ	VYBER	510	26160	\N	\N	\N
626756	2140	1997-01-13	VYDAJ	VYBER	570	19019	\N	\N	\N
626757	2140	1997-01-14	VYDAJ	VYBER	150	18869	\N	\N	\N
626758	2140	1997-01-16	VYDAJ	VYBER	390	18479	\N	\N	\N
626760	2140	1997-01-21	VYDAJ	VYBER	480	15329	\N	\N	\N
626761	2140	1997-01-02	VYDAJ	VYBER	840	19129	\N	\N	\N
626762	2140	1998-01-04	VYDAJ	VYBER	810	22222	\N	\N	\N
626763	2140	1998-01-29	VYDAJ	VYBER	540	24702	\N	\N	\N
626764	2140	1998-01-05	VYDAJ	VYBER	570	21652	\N	\N	\N
626765	2140	1998-01-27	VYDAJ	VYBER	360	21042	\N	\N	\N
626766	2140	1998-01-13	VYDAJ	VYBER	870	21942	\N	\N	\N
626767	2140	1998-01-01	VYDAJ	VYBER	480	23032	\N	\N	\N
626774	2140	1994-07-28	VYDAJ	VYBER	330	23738	\N	\N	\N
626775	2140	1994-05-29	VYDAJ	VYBER	1050	27318	\N	\N	\N
626776	2140	1994-08-16	VYDAJ	VYBER	1110	23869	\N	\N	\N
626777	2140	1994-07-13	VYDAJ	VYBER	330	22468	\N	\N	\N
626778	2140	1995-06-11	VYDAJ	VYBER	330	25406	\N	\N	\N
626779	2140	1995-08-23	VYDAJ	VYBER	270	25346	\N	\N	\N
626780	2140	1995-01-18	VYDAJ	VYBER	240	20911	\N	\N	\N
626781	2140	1995-10-04	VYDAJ	VYBER	660	25130	\N	\N	\N
626782	2140	1995-06-11	VYDAJ	VYBER	210	25196	\N	\N	\N
626783	2140	1996-06-05	VYDAJ	VYBER	1110	27207	\N	\N	\N
626784	2140	1996-04-03	VYDAJ	VYBER	600	23468	\N	\N	\N
626785	2140	1996-02-20	VYDAJ	VYBER	1410	21458	\N	\N	\N
626786	2140	1996-05-04	VYDAJ	VYBER	570	26853	\N	\N	\N
626787	2140	1996-05-29	VYDAJ	VYBER	900	28213	\N	\N	\N
626788	2140	1996-02-06	VYDAJ	VYBER	1110	22608	\N	\N	\N
626789	2140	1996-05-25	VYDAJ	VYBER	600	29113	\N	\N	\N
626790	2140	1996-12-19	VYDAJ	VYBER	960	20677	\N	\N	\N
626791	2140	1997-04-13	VYDAJ	VYBER	510	17697	\N	\N	\N
626792	2140	1997-07-30	VYDAJ	VYBER	1380	17731	\N	\N	\N
626793	2140	1997-04-13	VYDAJ	VYBER	660	18207	\N	\N	\N
626794	2140	1997-05-18	VYDAJ	VYBER	240	17078	\N	\N	\N
626795	2140	1997-01-26	VYDAJ	VYBER	450	13799	\N	\N	\N
626796	2140	1997-01-23	VYDAJ	VYBER	270	14249	\N	\N	\N
626797	2140	1997-09-27	VYDAJ	VYBER	180	22345	\N	\N	\N
626798	2140	1997-09-09	VYDAJ	VYBER	150	22525	\N	\N	\N
626799	2140	1997-01-22	VYDAJ	VYBER	810	14519	\N	\N	\N
626800	2140	1998-03-22	VYDAJ	VYBER	1080	29418	\N	\N	\N
626801	2140	1998-02-16	VYDAJ	VYBER	840	25098	\N	\N	\N
626802	2140	1998-06-05	VYDAJ	VYBER	630	37890	\N	\N	\N
626803	2140	1998-08-04	VYDAJ	VYBER	210	42409	\N	\N	\N
626804	2140	1998-03-21	VYDAJ	VYBER	450	30498	\N	\N	\N
626805	2140	1998-09-30	VYDAJ	VYBER	930	43030	\N	\N	\N
626806	2140	1998-10-07	VYDAJ	VYBER	600	40098	\N	\N	\N
626822	2140	1994-03-31	VYDAJ	VYBER	15	26846	SLUZBY	\N	\N
626823	2140	1994-04-30	VYDAJ	VYBER	15	28508	SLUZBY	\N	\N
626824	2140	1994-05-31	VYDAJ	VYBER	15	27423	SLUZBY	\N	\N
626825	2140	1994-06-30	VYDAJ	VYBER	15	21638	SLUZBY	\N	\N
626826	2140	1994-07-31	VYDAJ	VYBER	15	23819	SLUZBY	\N	\N
626827	2140	1994-08-31	VYDAJ	VYBER	15	26059	SLUZBY	\N	\N
626828	2140	1994-09-30	VYDAJ	VYBER	15	27316	SLUZBY	\N	\N
626829	2140	1994-10-31	VYDAJ	VYBER	15	28178	SLUZBY	\N	\N
626830	2140	1994-11-30	VYDAJ	VYBER	15	28743	SLUZBY	\N	\N
626831	2140	1994-12-31	VYDAJ	VYBER	15	25211	SLUZBY	\N	\N
626832	2140	1995-01-31	VYDAJ	VYBER	15	20297	SLUZBY	\N	\N
626833	2140	1995-02-28	VYDAJ	VYBER	15	21430	SLUZBY	\N	\N
626834	2140	1995-03-31	VYDAJ	VYBER	15	23971	SLUZBY	\N	\N
626835	2140	1995-04-30	VYDAJ	VYBER	15	26924	SLUZBY	\N	\N
626836	2140	1995-05-31	VYDAJ	VYBER	15	24576	SLUZBY	\N	\N
626837	2140	1995-06-30	VYDAJ	VYBER	15	22609	SLUZBY	\N	\N
626838	2140	1995-07-31	VYDAJ	VYBER	15	25356	SLUZBY	\N	\N
626839	2140	1995-08-31	VYDAJ	VYBER	15	25437	SLUZBY	\N	\N
626840	2140	1995-09-30	VYDAJ	VYBER	15	25790	SLUZBY	\N	\N
626841	2140	1995-10-31	VYDAJ	VYBER	15	25279	SLUZBY	\N	\N
626842	2140	1995-11-30	VYDAJ	VYBER	15	27436	SLUZBY	\N	\N
626843	2140	1995-12-31	VYDAJ	VYBER	15	28860	SLUZBY	\N	\N
626844	2140	1996-01-31	VYDAJ	VYBER	15	23718	SLUZBY	\N	\N
626845	2140	1996-02-29	VYDAJ	VYBER	15	21536	SLUZBY	\N	\N
626846	2140	1996-03-31	VYDAJ	VYBER	15	24068	SLUZBY	\N	\N
626847	2140	1996-04-30	VYDAJ	VYBER	15	27423	SLUZBY	\N	\N
626848	2140	1996-05-31	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
626849	2140	1996-06-30	VYDAJ	VYBER	15	25501	SLUZBY	\N	\N
626850	2140	1996-07-31	VYDAJ	VYBER	15	28059	SLUZBY	\N	\N
626851	2140	1996-08-31	VYDAJ	VYBER	15	29324	SLUZBY	\N	\N
626852	2140	1996-09-30	VYDAJ	VYBER	15	27082	SLUZBY	\N	\N
626853	2140	1996-10-31	VYDAJ	VYBER	15	27037	SLUZBY	\N	\N
626854	2140	1996-11-30	VYDAJ	VYBER	15	22477	SLUZBY	\N	\N
626855	2140	1996-12-31	VYDAJ	VYBER	15	19969	SLUZBY	\N	\N
626856	2140	1997-01-31	VYDAJ	VYBER	15	13853	SLUZBY	\N	\N
626857	2140	1997-02-28	VYDAJ	VYBER	15	20677	SLUZBY	\N	\N
626858	2140	1997-03-31	VYDAJ	VYBER	15	21007	SLUZBY	\N	\N
626859	2140	1997-04-30	VYDAJ	VYBER	15	17758	SLUZBY	\N	\N
626860	2140	1997-05-31	VYDAJ	VYBER	15	17133	SLUZBY	\N	\N
626861	2140	1997-06-30	VYDAJ	VYBER	15	18551	SLUZBY	\N	\N
626862	2140	1997-07-31	VYDAJ	VYBER	15	17793	SLUZBY	\N	\N
626863	2140	1997-08-31	VYDAJ	VYBER	15	21515	SLUZBY	\N	\N
626864	2140	1997-09-30	VYDAJ	VYBER	15	23521	SLUZBY	\N	\N
626865	2140	1997-10-31	VYDAJ	VYBER	15	22566	SLUZBY	\N	\N
626866	2140	1997-11-30	VYDAJ	VYBER	15	21207	SLUZBY	\N	\N
626867	2140	1997-12-31	VYDAJ	VYBER	15	23512	SLUZBY	\N	\N
626868	2140	1998-01-31	VYDAJ	VYBER	15	24778	SLUZBY	\N	\N
626869	2140	1998-02-28	VYDAJ	VYBER	15	29788	SLUZBY	\N	\N
626870	2140	1998-03-31	VYDAJ	VYBER	15	32028	SLUZBY	\N	\N
626871	2140	1998-04-30	VYDAJ	VYBER	15	36710	SLUZBY	\N	\N
626872	2140	1998-05-31	VYDAJ	VYBER	15	39810	SLUZBY	\N	\N
626873	2140	1998-06-30	VYDAJ	VYBER	15	42197	SLUZBY	\N	\N
626874	2140	1998-07-31	VYDAJ	VYBER	15	42619	SLUZBY	\N	\N
626875	2140	1998-08-31	VYDAJ	VYBER	15	40628	SLUZBY	\N	\N
626876	2140	1998-09-30	VYDAJ	VYBER	15	43016	SLUZBY	\N	\N
626877	2140	1998-10-31	VYDAJ	VYBER	15	45640	SLUZBY	\N	\N
626878	2140	1998-11-30	VYDAJ	VYBER	15	44274	SLUZBY	\N	\N
626879	2140	1993-11-20	PRIJEM	VKLAD	7900	11978	\N	\N	\N
626880	2140	1993-12-20	PRIJEM	VKLAD	5200	20674	\N	\N	\N
626881	2140	1994-01-19	VYDAJ	VYBER	2200	22016	\N	\N	\N
626882	2140	1994-02-18	VYDAJ	VYBER	1400	24183	\N	\N	\N
626883	2140	1994-03-20	VYDAJ	VYBER	1000	26756	\N	\N	\N
626884	2140	1994-04-19	PRIJEM	VKLAD	400	28406	\N	\N	\N
626885	2140	1994-05-19	VYDAJ	VYBER	1300	28368	\N	\N	\N
626886	2140	1994-06-18	PRIJEM	VKLAD	1800	21563	\N	\N	\N
626887	2140	1994-07-18	PRIJEM	VKLAD	1600	24068	\N	\N	\N
626888	2140	1994-08-17	PRIJEM	VKLAD	2100	25969	\N	\N	\N
626889	2140	1994-10-16	VYDAJ	VYBER	400	28076	\N	\N	\N
626890	2140	1994-11-15	VYDAJ	VYBER	700	28638	\N	\N	\N
626891	2140	1994-12-15	VYDAJ	VYBER	4400	25503	\N	\N	\N
626892	2140	1995-01-14	VYDAJ	VYBER	600	22021	\N	\N	\N
626893	2140	1995-02-13	VYDAJ	VYBER	100	21357	\N	\N	\N
626894	2140	1995-03-15	PRIJEM	VKLAD	1300	23890	\N	\N	\N
626895	2140	1995-04-14	PRIJEM	VKLAD	1700	26831	\N	\N	\N
626896	2140	1995-05-14	VYDAJ	VYBER	3600	24484	\N	\N	\N
626897	2140	1995-06-13	PRIJEM	VKLAD	2400	27596	\N	\N	\N
626898	2140	1995-07-13	PRIJEM	VKLAD	1500	25269	\N	\N	\N
626899	2140	1995-08-12	VYDAJ	VYBER	900	25616	\N	\N	\N
626900	2140	1995-09-11	VYDAJ	VYBER	900	25697	\N	\N	\N
626901	2140	1995-10-11	VYDAJ	VYBER	1100	25190	\N	\N	\N
626902	2140	1995-11-10	PRIJEM	VKLAD	900	27339	\N	\N	\N
626903	2140	1995-12-10	PRIJEM	VKLAD	700	29296	\N	\N	\N
626904	2140	1996-01-09	VYDAJ	VYBER	1500	25820	\N	\N	\N
626905	2140	1996-02-08	VYDAJ	VYBER	900	19390	\N	\N	\N
626906	2140	1996-03-09	PRIJEM	VKLAD	1300	20518	\N	\N	\N
626907	2140	1996-04-08	PRIJEM	VKLAD	2700	23850	\N	\N	\N
626908	2140	1996-05-08	PRIJEM	VKLAD	1700	26235	\N	\N	\N
626909	2140	1996-06-07	PRIJEM	VKLAD	3100	27989	\N	\N	\N
626910	2140	1996-07-07	PRIJEM	VKLAD	1300	24483	\N	\N	\N
626911	2140	1996-09-05	VYDAJ	VYBER	3500	25824	\N	\N	\N
626912	2140	1996-10-05	VYDAJ	VYBER	1300	25782	\N	\N	\N
626913	2140	1996-11-04	VYDAJ	VYBER	5800	21237	\N	\N	\N
626914	2140	1996-12-04	VYDAJ	VYBER	2000	20477	\N	\N	\N
626915	2140	1997-01-03	VYDAJ	VYBER	700	18429	\N	\N	\N
626916	2140	1997-02-02	PRIJEM	VKLAD	5600	19453	\N	\N	\N
626917	2140	1997-03-04	VYDAJ	VYBER	900	19777	\N	\N	\N
626918	2140	1997-04-03	VYDAJ	VYBER	3300	17707	\N	\N	\N
626919	2140	1997-05-03	VYDAJ	VYBER	1600	16158	\N	\N	\N
626920	2140	1997-06-02	PRIJEM	VKLAD	200	17333	\N	\N	\N
626921	2140	1997-07-02	VYDAJ	VYBER	600	17951	\N	\N	\N
626922	2140	1997-08-01	PRIJEM	VKLAD	300	18093	\N	\N	\N
626923	2140	1997-08-31	PRIJEM	VKLAD	2200	21529	\N	\N	\N
626924	2140	1997-09-30	PRIJEM	VKLAD	1100	23536	\N	\N	\N
626925	2140	1997-10-30	VYDAJ	VYBER	2200	22481	\N	\N	\N
626926	2140	1997-11-29	VYDAJ	VYBER	2600	21126	\N	\N	\N
626927	2140	1997-12-29	PRIJEM	VKLAD	1400	23437	\N	\N	\N
626928	2140	1998-01-28	PRIJEM	VKLAD	4200	25242	\N	\N	\N
626929	2140	1998-02-27	PRIJEM	VKLAD	4600	29698	\N	\N	\N
626930	2140	1998-03-29	PRIJEM	VKLAD	2500	31918	\N	\N	\N
626931	2140	1998-04-28	PRIJEM	VKLAD	3400	36588	\N	\N	\N
626932	2140	1998-05-28	PRIJEM	VKLAD	1800	39670	\N	\N	\N
626933	2140	1998-06-27	PRIJEM	VKLAD	3000	42050	\N	\N	\N
626934	2140	1998-07-27	VYDAJ	VYBER	900	42457	\N	\N	\N
626935	2140	1998-08-26	VYDAJ	VYBER	3100	40469	\N	\N	\N
626936	2140	1998-09-25	PRIJEM	VKLAD	2000	43788	\N	\N	\N
626937	2140	1998-10-25	PRIJEM	VKLAD	1900	45476	\N	\N	\N
626938	2140	1998-11-24	VYDAJ	VYBER	2700	44100	\N	\N	\N
627001	2141	1997-05-09	PRIJEM	VKLAD	900	900	\N	\N	\N
627006	2141	1997-05-14	PRIJEM	VKLAD	23876	24776	\N	\N	\N
627007	2141	1997-06-14	PRIJEM	VKLAD	35814	61150	\N	\N	\N
627008	2141	1997-07-14	PRIJEM	VKLAD	23876	67915	\N	\N	\N
627009	2141	1997-08-14	PRIJEM	VKLAD	23876	71362	\N	\N	\N
627010	2141	1997-09-14	PRIJEM	VKLAD	23876	72630	\N	\N	\N
627011	2141	1997-10-14	PRIJEM	VKLAD	23876	68395	\N	\N	\N
627012	2141	1997-11-14	PRIJEM	VKLAD	23876	63635	\N	\N	\N
627013	2141	1997-12-14	PRIJEM	VKLAD	35814	71992	\N	\N	\N
627014	2141	1998-01-14	PRIJEM	VKLAD	23876	66661	\N	\N	\N
627015	2141	1998-02-14	PRIJEM	VKLAD	23876	52897	\N	\N	\N
627016	2141	1998-03-14	PRIJEM	VKLAD	23876	55797	\N	\N	\N
627017	2141	1998-04-14	PRIJEM	VKLAD	23876	56712	\N	\N	\N
627018	2141	1998-05-14	PRIJEM	VKLAD	23876	59787	\N	\N	\N
627019	2141	1998-06-14	PRIJEM	VKLAD	35814	73606	\N	\N	\N
627020	2141	1998-07-14	PRIJEM	VKLAD	23876	61999	\N	\N	\N
627021	2141	1998-08-14	PRIJEM	VKLAD	23876	61704	\N	\N	\N
627022	2141	1998-09-14	PRIJEM	VKLAD	23876	63610	\N	\N	\N
627023	2141	1998-10-14	PRIJEM	VKLAD	23876	65922	\N	\N	\N
627024	2141	1998-11-14	PRIJEM	VKLAD	23876	70643	\N	\N	\N
627025	2141	1998-12-14	PRIJEM	VKLAD	35814	84430	\N	\N	\N
627035	2141	1997-10-09	VYDAJ	PREVOD NA UCET	5796	44519	SIPO	UV	77834790
627036	2141	1997-11-09	VYDAJ	PREVOD NA UCET	5796	39759	SIPO	UV	77834790
627037	2141	1997-12-09	VYDAJ	PREVOD NA UCET	5796	36178	SIPO	UV	77834790
627038	2141	1998-01-09	VYDAJ	PREVOD NA UCET	5796	42785	SIPO	UV	77834790
627039	2141	1998-02-09	VYDAJ	PREVOD NA UCET	5796	31781	SIPO	UV	77834790
627040	2141	1998-03-09	VYDAJ	PREVOD NA UCET	5796	32881	SIPO	UV	77834790
627041	2141	1998-04-09	VYDAJ	PREVOD NA UCET	5796	35356	SIPO	UV	77834790
627206	2142	1998-02-23	VYDAJ	VYBER	2200	45305	\N	\N	0
627042	2141	1998-05-09	VYDAJ	PREVOD NA UCET	5796	35911	SIPO	UV	77834790
627043	2141	1998-06-09	VYDAJ	PREVOD NA UCET	5796	37792	SIPO	UV	77834790
627044	2141	1998-07-09	VYDAJ	PREVOD NA UCET	5796	38123	SIPO	UV	77834790
627045	2141	1998-08-09	VYDAJ	PREVOD NA UCET	5796	37828	SIPO	UV	77834790
627046	2141	1998-09-09	VYDAJ	PREVOD NA UCET	5796	39734	SIPO	UV	77834790
627047	2141	1998-10-09	VYDAJ	PREVOD NA UCET	5796	42046	SIPO	UV	77834790
627048	2141	1998-11-09	VYDAJ	PREVOD NA UCET	5796	46767	SIPO	UV	77834790
627049	2141	1998-12-09	VYDAJ	PREVOD NA UCET	5796	48616	SIPO	UV	77834790
627051	2141	1998-06-26	VYDAJ	VYBER	12480	59086	\N	\N	\N
627053	2141	1998-01-19	VYDAJ	VYBER	5600	55181	\N	\N	\N
627054	2141	1997-12-22	VYDAJ	VYBER	2560	69432	\N	\N	\N
627055	2141	1998-12-17	VYDAJ	VYBER	2560	81870	\N	\N	\N
627062	2141	1998-01-23	VYDAJ	VYBER	2040	46901	\N	\N	\N
627063	2141	1998-01-22	VYDAJ	VYBER	3240	48941	\N	\N	\N
627064	2141	1998-01-22	VYDAJ	VYBER	3000	52181	\N	\N	\N
627065	2141	1998-01-26	VYDAJ	VYBER	1440	45461	\N	\N	\N
627066	2141	1998-01-15	VYDAJ	VYBER	2640	64021	\N	\N	\N
627067	2141	1998-01-16	VYDAJ	VYBER	3240	60781	\N	\N	\N
627074	2141	1998-03-25	VYDAJ	VYBER	5040	50757	\N	\N	\N
627075	2141	1998-04-09	VYDAJ	VYBER	2520	32836	\N	\N	\N
627076	2141	1998-06-16	VYDAJ	VYBER	2040	71566	\N	\N	\N
627077	2141	1998-04-24	VYDAJ	VYBER	3000	53712	\N	\N	\N
627078	2141	1998-05-17	VYDAJ	VYBER	5400	54387	\N	\N	\N
627079	2141	1998-03-11	VYDAJ	VYBER	960	31921	\N	\N	\N
627080	2141	1998-02-11	VYDAJ	VYBER	2760	29021	\N	\N	\N
627090	2141	1997-09-30	VYDAJ	VYBER	15	72915	SLUZBY	\N	\N
627091	2141	1997-10-31	VYDAJ	VYBER	15	68655	SLUZBY	\N	\N
627092	2141	1997-11-30	VYDAJ	VYBER	15	63874	SLUZBY	\N	\N
627093	2141	1997-12-31	VYDAJ	VYBER	15	69681	SLUZBY	\N	\N
627094	2141	1998-01-31	VYDAJ	VYBER	15	45677	SLUZBY	\N	\N
627095	2141	1998-02-28	VYDAJ	VYBER	15	53077	SLUZBY	\N	\N
627096	2141	1998-03-31	VYDAJ	VYBER	15	50952	SLUZBY	\N	\N
627097	2141	1998-04-30	VYDAJ	VYBER	15	53907	SLUZBY	\N	\N
627098	2141	1998-05-31	VYDAJ	VYBER	15	54588	SLUZBY	\N	\N
627099	2141	1998-06-30	VYDAJ	VYBER	15	59319	SLUZBY	\N	\N
627100	2141	1998-07-31	VYDAJ	VYBER	15	62224	SLUZBY	\N	\N
627101	2141	1998-08-31	VYDAJ	VYBER	15	61930	SLUZBY	\N	\N
627102	2141	1998-09-30	VYDAJ	VYBER	15	63842	SLUZBY	\N	\N
627103	2141	1998-10-31	VYDAJ	VYBER	15	66163	SLUZBY	\N	\N
627104	2141	1998-11-30	VYDAJ	VYBER	15	54412	SLUZBY	\N	\N
627105	2141	1997-06-08	PRIJEM	VKLAD	500	25336	\N	\N	\N
627106	2141	1997-07-08	VYDAJ	VYBER	17300	44039	\N	\N	\N
627107	2141	1997-08-07	VYDAJ	VYBER	20700	47486	\N	\N	\N
627108	2141	1997-09-06	VYDAJ	VYBER	22900	48754	\N	\N	\N
627109	2141	1997-10-06	VYDAJ	VYBER	22600	50315	\N	\N	\N
627110	2141	1997-11-05	VYDAJ	VYBER	23100	45555	\N	\N	\N
627111	2141	1997-12-05	VYDAJ	VYBER	21900	41974	\N	\N	\N
627112	2141	1998-01-04	VYDAJ	VYBER	21100	48581	\N	\N	\N
627113	2141	1998-02-03	VYDAJ	VYBER	8100	37577	\N	\N	\N
627114	2141	1998-03-05	VYDAJ	VYBER	14400	38677	\N	\N	\N
627115	2141	1998-04-04	VYDAJ	VYBER	9800	41152	\N	\N	\N
627116	2141	1998-05-04	VYDAJ	VYBER	12200	41707	\N	\N	\N
627117	2141	1998-06-03	VYDAJ	VYBER	11000	43588	\N	\N	\N
627118	2141	1998-07-03	VYDAJ	VYBER	15400	43919	\N	\N	\N
627119	2141	1998-08-02	VYDAJ	VYBER	18600	43624	\N	\N	\N
627120	2141	1998-09-01	VYDAJ	VYBER	16400	45530	\N	\N	\N
627121	2141	1998-10-01	VYDAJ	VYBER	16000	47842	\N	\N	\N
627122	2141	1998-10-31	VYDAJ	VYBER	13600	52563	\N	\N	\N
627123	2141	1998-11-30	VYDAJ	VYBER	16500	54426	\N	\N	\N
627144	2142	1997-09-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
627153	2142	1997-09-08	PRIJEM	VKLAD	18190	19190	\N	\N	\N
627154	2142	1997-10-08	PRIJEM	VKLAD	18190	38741	\N	\N	\N
627155	2142	1997-11-08	PRIJEM	VKLAD	18190	49773	\N	\N	\N
627156	2142	1997-12-08	PRIJEM	VKLAD	27285	67491	\N	\N	\N
627157	2142	1998-01-08	PRIJEM	VKLAD	18190	68151	\N	\N	\N
627158	2142	1998-02-08	PRIJEM	VKLAD	18190	47505	\N	\N	\N
627159	2142	1998-03-08	PRIJEM	VKLAD	18190	45998	\N	\N	\N
627160	2142	1998-04-08	PRIJEM	VKLAD	18190	45761	\N	\N	\N
627161	2142	1998-05-08	PRIJEM	VKLAD	18190	49599	\N	\N	\N
627162	2142	1998-06-08	PRIJEM	VKLAD	27285	60548	\N	\N	\N
627163	2142	1998-07-08	PRIJEM	VKLAD	18190	32157	\N	\N	\N
627164	2142	1998-08-08	PRIJEM	VKLAD	18190	43544	\N	\N	\N
627165	2142	1998-09-08	PRIJEM	VKLAD	18190	47174	\N	\N	\N
627166	2142	1998-10-08	PRIJEM	VKLAD	18190	46533	\N	\N	\N
627167	2142	1998-11-08	PRIJEM	VKLAD	18190	42282	\N	\N	\N
627168	2142	1998-12-08	PRIJEM	VKLAD	27285	48295	\N	\N	\N
627182	2142	1998-02-06	VYDAJ	PREVOD NA UCET	9768	29315	SIPO	YZ	3758663
627183	2142	1998-03-06	VYDAJ	PREVOD NA UCET	9768	27808	SIPO	YZ	3758663
627184	2142	1998-04-06	VYDAJ	PREVOD NA UCET	9768	27571	SIPO	YZ	3758663
627185	2142	1998-05-06	VYDAJ	PREVOD NA UCET	9768	31409	SIPO	YZ	3758663
627186	2142	1998-06-06	VYDAJ	PREVOD NA UCET	9768	33263	SIPO	YZ	3758663
627187	2142	1998-07-06	VYDAJ	PREVOD NA UCET	9768	13967	SIPO	YZ	3758663
627188	2142	1998-08-06	VYDAJ	PREVOD NA UCET	9768	25354	SIPO	YZ	3758663
627189	2142	1998-09-06	VYDAJ	PREVOD NA UCET	9768	28984	SIPO	YZ	3758663
627190	2142	1998-10-06	VYDAJ	PREVOD NA UCET	9768	28343	SIPO	YZ	3758663
627191	2142	1998-11-06	VYDAJ	PREVOD NA UCET	9768	24092	SIPO	YZ	3758663
627192	2142	1998-12-06	VYDAJ	PREVOD NA UCET	9768	21010	SIPO	YZ	3758663
627205	2142	1997-12-30	VYDAJ	VYBER	1800	65691	\N	\N	0
627207	2142	1998-03-12	VYDAJ	PREVOD NA UCET	1944	44054	UVER	OP	47238999
627208	2142	1998-04-12	VYDAJ	PREVOD NA UCET	1944	43817	UVER	OP	47238999
627209	2142	1998-05-12	VYDAJ	PREVOD NA UCET	1944	47655	UVER	OP	47238999
627210	2142	1998-06-12	VYDAJ	PREVOD NA UCET	1944	12044	UVER	OP	47238999
627211	2142	1998-07-12	VYDAJ	PREVOD NA UCET	1944	30213	UVER	OP	47238999
627212	2142	1998-08-12	VYDAJ	PREVOD NA UCET	1944	41600	UVER	OP	47238999
627213	2142	1998-09-12	VYDAJ	PREVOD NA UCET	1944	44150	UVER	OP	47238999
627214	2142	1998-10-12	VYDAJ	PREVOD NA UCET	1944	41709	UVER	OP	47238999
627215	2142	1998-11-12	VYDAJ	PREVOD NA UCET	1944	40338	UVER	OP	47238999
627216	2142	1998-12-12	VYDAJ	PREVOD NA UCET	1944	46351	UVER	OP	47238999
627218	2142	1998-06-11	VYDAJ	VYBER	46560	13988	\N	\N	\N
627220	2142	1998-01-23	VYDAJ	VYBER	14560	53591	\N	\N	\N
627222	2142	1998-12-28	VYDAJ	VYBER	4640	31411	\N	\N	\N
627226	2142	1998-05-24	VYDAJ	VYBER	1800	45855	\N	\N	\N
627227	2142	1998-02-27	VYDAJ	VYBER	5400	39905	\N	\N	\N
627228	2142	1998-10-10	VYDAJ	VYBER	2880	43653	\N	\N	\N
627229	2142	1998-09-08	VYDAJ	VYBER	1080	46094	\N	\N	\N
627230	2142	1998-04-05	VYDAJ	VYBER	1680	37339	\N	\N	\N
627244	2142	1998-01-31	VYDAJ	VYBER	15	39083	SLUZBY	\N	\N
627245	2142	1998-02-28	VYDAJ	VYBER	15	40076	SLUZBY	\N	\N
627246	2142	1998-03-31	VYDAJ	VYBER	15	39019	SLUZBY	\N	\N
627247	2142	1998-04-30	VYDAJ	VYBER	15	41177	SLUZBY	\N	\N
627248	2142	1998-05-31	VYDAJ	VYBER	15	43031	SLUZBY	\N	\N
627249	2142	1998-06-30	VYDAJ	VYBER	15	23735	SLUZBY	\N	\N
627250	2142	1998-07-31	VYDAJ	VYBER	15	35122	SLUZBY	\N	\N
627251	2142	1998-08-31	VYDAJ	VYBER	15	38752	SLUZBY	\N	\N
627252	2142	1998-09-30	VYDAJ	VYBER	15	38111	SLUZBY	\N	\N
627253	2142	1998-10-31	VYDAJ	VYBER	15	33860	SLUZBY	\N	\N
627254	2142	1998-11-30	VYDAJ	VYBER	15	30778	SLUZBY	\N	\N
627255	2142	1997-10-01	PRIJEM	VKLAD	1300	20551	\N	\N	\N
627256	2142	1997-10-31	VYDAJ	VYBER	7300	31583	\N	\N	\N
627257	2142	1997-11-30	VYDAJ	VYBER	9700	40206	\N	\N	\N
627258	2142	1997-12-30	VYDAJ	VYBER	15900	49791	\N	\N	\N
627259	2142	1998-01-29	VYDAJ	VYBER	14700	38891	\N	\N	\N
627260	2142	1998-02-28	VYDAJ	VYBER	2500	37576	\N	\N	\N
627261	2142	1998-03-30	VYDAJ	VYBER	5200	38854	\N	\N	\N
627262	2142	1998-04-29	VYDAJ	VYBER	2800	41017	\N	\N	\N
627263	2142	1998-05-29	VYDAJ	VYBER	3000	42855	\N	\N	\N
627264	2142	1998-06-28	PRIJEM	VKLAD	11600	23644	\N	\N	\N
627265	2142	1998-07-28	PRIJEM	VKLAD	4800	35013	\N	\N	\N
627266	2142	1998-08-27	VYDAJ	VYBER	3000	38600	\N	\N	\N
627267	2142	1998-09-26	VYDAJ	VYBER	6200	37950	\N	\N	\N
627268	2142	1998-10-26	VYDAJ	VYBER	8000	33709	\N	\N	\N
627269	2142	1998-11-25	VYDAJ	VYBER	9700	30638	\N	\N	\N
627270	2142	1998-12-25	VYDAJ	VYBER	10300	36051	\N	\N	\N
627287	2143	1996-01-13	PRIJEM	VKLAD	700	700	\N	\N	\N
627289	2143	1996-02-13	PRIJEM	VKLAD	22446	34446	\N	\N	\N
627290	2143	1996-03-13	PRIJEM	VKLAD	22446	56976	\N	\N	\N
627291	2143	1996-04-13	PRIJEM	VKLAD	22446	52223	\N	\N	\N
627292	2143	1996-05-13	PRIJEM	VKLAD	22446	60895	\N	\N	\N
627293	2143	1996-06-13	PRIJEM	VKLAD	33669	76403	\N	\N	\N
627294	2143	1996-07-13	PRIJEM	VKLAD	22446	63159	\N	\N	\N
627295	2143	1996-08-13	PRIJEM	VKLAD	22446	56695	\N	\N	\N
627296	2143	1996-09-13	PRIJEM	VKLAD	22446	56810	\N	\N	\N
627297	2143	1996-10-13	PRIJEM	VKLAD	22446	58396	\N	\N	\N
627298	2143	1996-11-13	PRIJEM	VKLAD	22446	51447	\N	\N	\N
627299	2143	1996-12-13	PRIJEM	VKLAD	33669	56652	\N	\N	\N
627300	2143	1997-01-13	PRIJEM	VKLAD	22446	48526	\N	\N	\N
627301	2143	1997-02-13	PRIJEM	VKLAD	22446	37895	\N	\N	\N
627302	2143	1997-03-13	PRIJEM	VKLAD	22446	39772	\N	\N	\N
627303	2143	1997-04-13	PRIJEM	VKLAD	22446	41581	\N	\N	\N
627304	2143	1997-05-13	PRIJEM	VKLAD	22446	44201	\N	\N	\N
627305	2143	1997-06-13	PRIJEM	VKLAD	33669	56114	\N	\N	\N
627306	2143	1997-07-13	PRIJEM	VKLAD	22446	46868	\N	\N	\N
627307	2143	1997-08-13	PRIJEM	VKLAD	22446	44044	\N	\N	\N
627308	2143	1997-09-13	PRIJEM	VKLAD	22446	36490	\N	\N	\N
627309	2143	1997-10-13	PRIJEM	VKLAD	22446	35595	\N	\N	\N
627310	2143	1997-11-13	PRIJEM	VKLAD	22446	36194	\N	\N	\N
627311	2143	1997-12-13	PRIJEM	VKLAD	33669	48734	\N	\N	\N
627312	2143	1998-01-13	PRIJEM	VKLAD	22446	40660	\N	\N	\N
627313	2143	1998-02-13	PRIJEM	VKLAD	22446	33619	\N	\N	\N
627314	2143	1998-03-13	PRIJEM	VKLAD	22446	41295	\N	\N	\N
627315	2143	1998-04-13	PRIJEM	VKLAD	22446	40203	\N	\N	\N
627316	2143	1998-05-13	PRIJEM	VKLAD	22446	35045	\N	\N	\N
627317	2143	1998-06-13	PRIJEM	VKLAD	33669	51957	\N	\N	\N
627318	2143	1998-07-13	PRIJEM	VKLAD	22446	47313	\N	\N	\N
627319	2143	1998-08-13	PRIJEM	VKLAD	22446	51482	\N	\N	\N
627320	2143	1998-09-13	PRIJEM	VKLAD	22446	46622	\N	\N	\N
627321	2143	1998-10-13	PRIJEM	VKLAD	22446	41540	\N	\N	\N
627322	2143	1998-11-13	PRIJEM	VKLAD	22446	38451	\N	\N	\N
627323	2143	1998-12-13	PRIJEM	VKLAD	33669	46458	\N	\N	\N
627329	2143	1996-06-13	VYDAJ	PREVOD NA UCET	7264	69139	SIPO	MN	66855954
627330	2143	1996-07-13	VYDAJ	PREVOD NA UCET	7264	55895	SIPO	MN	66855954
627331	2143	1996-08-13	VYDAJ	PREVOD NA UCET	7264	49431	SIPO	MN	66855954
627332	2143	1996-09-13	VYDAJ	PREVOD NA UCET	7264	49546	SIPO	MN	66855954
627333	2143	1996-10-13	VYDAJ	PREVOD NA UCET	7264	51132	SIPO	MN	66855954
627334	2143	1996-11-13	VYDAJ	PREVOD NA UCET	7264	44183	SIPO	MN	66855954
627335	2143	1996-12-13	VYDAJ	PREVOD NA UCET	7264	49388	SIPO	MN	66855954
627336	2143	1997-01-13	VYDAJ	PREVOD NA UCET	7264	41262	SIPO	MN	66855954
627337	2143	1997-02-13	VYDAJ	PREVOD NA UCET	7264	30631	SIPO	MN	66855954
627338	2143	1997-03-13	VYDAJ	PREVOD NA UCET	7264	32508	SIPO	MN	66855954
627339	2143	1997-04-13	VYDAJ	PREVOD NA UCET	7264	34317	SIPO	MN	66855954
627340	2143	1997-05-13	VYDAJ	PREVOD NA UCET	7264	36937	SIPO	MN	66855954
627341	2143	1997-06-13	VYDAJ	PREVOD NA UCET	7264	48850	SIPO	MN	66855954
627342	2143	1997-07-13	VYDAJ	PREVOD NA UCET	7264	39604	SIPO	MN	66855954
627343	2143	1997-08-13	VYDAJ	PREVOD NA UCET	7264	36780	SIPO	MN	66855954
627344	2143	1997-09-13	VYDAJ	PREVOD NA UCET	7264	29226	SIPO	MN	66855954
627345	2143	1997-10-13	VYDAJ	PREVOD NA UCET	7264	28331	SIPO	MN	66855954
627346	2143	1997-11-13	VYDAJ	PREVOD NA UCET	7264	28930	SIPO	MN	66855954
627347	2143	1997-12-13	VYDAJ	PREVOD NA UCET	7264	41470	SIPO	MN	66855954
627348	2143	1998-01-13	VYDAJ	PREVOD NA UCET	7264	33396	SIPO	MN	66855954
627349	2143	1998-02-13	VYDAJ	PREVOD NA UCET	7264	26355	SIPO	MN	66855954
627350	2143	1998-03-13	VYDAJ	PREVOD NA UCET	7264	34031	SIPO	MN	66855954
627351	2143	1998-04-13	VYDAJ	PREVOD NA UCET	7264	32939	SIPO	MN	66855954
627352	2143	1998-05-13	VYDAJ	PREVOD NA UCET	7264	27781	SIPO	MN	66855954
627353	2143	1998-06-13	VYDAJ	PREVOD NA UCET	7264	44693	SIPO	MN	66855954
627354	2143	1998-07-13	VYDAJ	PREVOD NA UCET	7264	40049	SIPO	MN	66855954
627355	2143	1998-08-13	VYDAJ	PREVOD NA UCET	7264	44218	SIPO	MN	66855954
627356	2143	1998-09-13	VYDAJ	PREVOD NA UCET	7264	39358	SIPO	MN	66855954
627357	2143	1998-10-13	VYDAJ	PREVOD NA UCET	7264	34276	SIPO	MN	66855954
627358	2143	1998-11-13	VYDAJ	PREVOD NA UCET	7264	31187	SIPO	MN	66855954
627359	2143	1998-12-13	VYDAJ	PREVOD NA UCET	7264	34994	SIPO	MN	66855954
627366	2143	1996-06-28	VYDAJ	VYBER	2100	67039	\N	\N	0
627367	2143	1996-08-10	VYDAJ	VYBER	2700	52849	\N	\N	0
627368	2143	1996-09-12	VYDAJ	PREVOD NA UCET	1985	34364	UVER	OP	18297326
627369	2143	1996-10-12	VYDAJ	PREVOD NA UCET	1985	35950	UVER	OP	18297326
627370	2143	1996-11-12	VYDAJ	PREVOD NA UCET	1985	29001	UVER	OP	18297326
627371	2143	1996-12-12	VYDAJ	PREVOD NA UCET	1985	22983	UVER	OP	18297326
627372	2143	1997-01-12	VYDAJ	PREVOD NA UCET	1985	26080	UVER	OP	18297326
627373	2143	1997-02-12	VYDAJ	PREVOD NA UCET	1985	15449	UVER	OP	18297326
627374	2143	1997-03-12	VYDAJ	PREVOD NA UCET	1985	17326	UVER	OP	18297326
627375	2143	1997-04-12	VYDAJ	PREVOD NA UCET	1985	19135	UVER	OP	18297326
627376	2143	1997-05-12	VYDAJ	PREVOD NA UCET	1985	21755	UVER	OP	18297326
627377	2143	1997-06-12	VYDAJ	PREVOD NA UCET	1985	22445	UVER	OP	18297326
627378	2143	1997-07-12	VYDAJ	PREVOD NA UCET	1985	24422	UVER	OP	18297326
627379	2143	1997-08-12	VYDAJ	PREVOD NA UCET	1985	21598	UVER	OP	18297326
627380	2143	1997-09-12	VYDAJ	PREVOD NA UCET	1985	14044	UVER	OP	18297326
627381	2143	1997-10-12	VYDAJ	PREVOD NA UCET	1985	13149	UVER	OP	18297326
627382	2143	1997-11-12	VYDAJ	PREVOD NA UCET	1985	13748	UVER	OP	18297326
627383	2143	1997-12-12	VYDAJ	PREVOD NA UCET	1985	15065	UVER	OP	18297326
627384	2143	1998-01-12	VYDAJ	PREVOD NA UCET	1985	18214	UVER	OP	18297326
627385	2143	1998-02-12	VYDAJ	PREVOD NA UCET	1985	11173	UVER	OP	18297326
627386	2143	1998-03-12	VYDAJ	PREVOD NA UCET	1985	18849	UVER	OP	18297326
627387	2143	1998-04-12	VYDAJ	PREVOD NA UCET	1985	17757	UVER	OP	18297326
627388	2143	1998-05-12	VYDAJ	PREVOD NA UCET	1985	12599	UVER	OP	18297326
627389	2143	1998-06-12	VYDAJ	PREVOD NA UCET	1985	18288	UVER	OP	18297326
627390	2143	1998-07-12	VYDAJ	PREVOD NA UCET	1985	24867	UVER	OP	18297326
627391	2143	1998-08-12	VYDAJ	PREVOD NA UCET	1985	29036	UVER	OP	18297326
627392	2143	1998-09-12	VYDAJ	PREVOD NA UCET	1985	24176	UVER	OP	18297326
627393	2143	1998-10-12	VYDAJ	PREVOD NA UCET	1985	19094	UVER	OP	18297326
627394	2143	1998-11-12	VYDAJ	PREVOD NA UCET	1985	16005	UVER	OP	18297326
627395	2143	1998-12-12	VYDAJ	PREVOD NA UCET	1985	12789	UVER	OP	18297326
627396	2143	1996-12-12	VYDAJ	VYBER	3200	24968	\N	\N	\N
627397	2143	1997-12-14	VYDAJ	VYBER KARTOU	3000	38470	\N	\N	0
627398	2143	1998-12-10	VYDAJ	VYBER KARTOU	3000	14774	\N	\N	0
627405	2143	1997-01-18	VYDAJ	VYBER	2400	28182	\N	\N	\N
627406	2143	1997-01-16	VYDAJ	VYBER	2880	34062	\N	\N	\N
627407	2143	1997-01-15	VYDAJ	VYBER	1320	36942	\N	\N	\N
627408	2143	1997-01-17	VYDAJ	VYBER	3480	30582	\N	\N	\N
627409	2143	1997-01-06	VYDAJ	VYBER	2400	37665	\N	\N	\N
627410	2143	1997-01-15	VYDAJ	VYBER	3000	38262	\N	\N	\N
627411	2143	1998-01-28	VYDAJ	VYBER KARTOU	2400	18656	\N	\N	0
627412	2143	1998-01-26	VYDAJ	VYBER KARTOU	1600	23556	\N	\N	0
627413	2143	1998-01-20	VYDAJ	VYBER KARTOU	600	28356	\N	\N	0
627414	2143	1998-01-27	VYDAJ	VYBER KARTOU	2500	21056	\N	\N	0
627415	2143	1998-01-06	VYDAJ	VYBER KARTOU	1200	20199	\N	\N	0
627416	2143	1998-01-22	VYDAJ	VYBER KARTOU	3200	25156	\N	\N	0
627417	2143	1996-08-08	VYDAJ	VYBER	600	55549	\N	\N	\N
627418	2143	1996-11-28	VYDAJ	VYBER	5880	38303	\N	\N	\N
627420	2143	1996-12-18	VYDAJ	VYBER	4440	44948	\N	\N	\N
627421	2143	1996-11-07	VYDAJ	VYBER	4440	46886	\N	\N	\N
627423	2143	1996-12-24	VYDAJ	VYBER	5040	39908	\N	\N	\N
627424	2143	1997-01-22	VYDAJ	VYBER	4560	23622	\N	\N	\N
627425	2143	1997-06-03	VYDAJ	VYBER	1800	35270	\N	\N	\N
627426	2143	1997-02-18	VYDAJ	VYBER	2520	28111	\N	\N	\N
627427	2143	1997-06-06	VYDAJ	VYBER	2640	32630	\N	\N	\N
627428	2143	1997-08-15	VYDAJ	VYBER	5880	30900	\N	\N	\N
627429	2143	1998-12-13	VYDAJ	VYBER	4200	42258	\N	\N	\N
627430	2143	1998-05-08	VYDAJ	VYBER	5880	14584	\N	\N	\N
627431	2143	1998-12-22	VYDAJ	VYBER	5520	29474	\N	\N	\N
627432	2143	1998-01-18	VYDAJ	VYBER	4440	28956	\N	\N	\N
627433	2143	1998-04-21	VYDAJ	VYBER KARTOU	3600	29339	\N	\N	0
627434	2143	1998-03-09	VYDAJ	VYBER KARTOU	600	20834	\N	\N	0
627441	2143	1996-06-30	VYDAJ	VYBER	15	67313	SLUZBY	\N	\N
627442	2143	1996-07-31	VYDAJ	VYBER	15	56149	SLUZBY	\N	\N
627443	2143	1996-08-31	VYDAJ	VYBER	15	49649	SLUZBY	\N	\N
627444	2143	1996-09-30	VYDAJ	VYBER	15	49735	SLUZBY	\N	\N
627445	2143	1996-10-31	VYDAJ	VYBER	15	51326	SLUZBY	\N	\N
627446	2143	1996-11-30	VYDAJ	VYBER	15	38468	SLUZBY	\N	\N
627447	2143	1996-12-31	VYDAJ	VYBER	15	40065	SLUZBY	\N	\N
627448	2143	1997-01-31	VYDAJ	VYBER	15	23734	SLUZBY	\N	\N
627449	2143	1997-02-28	VYDAJ	VYBER	15	28211	SLUZBY	\N	\N
627450	2143	1997-03-31	VYDAJ	VYBER	15	32620	SLUZBY	\N	\N
627451	2143	1997-04-30	VYDAJ	VYBER	15	34440	SLUZBY	\N	\N
627452	2143	1997-05-31	VYDAJ	VYBER	15	37070	SLUZBY	\N	\N
627453	2143	1997-06-30	VYDAJ	VYBER	15	49007	SLUZBY	\N	\N
627454	2143	1997-07-31	VYDAJ	VYBER	15	39783	SLUZBY	\N	\N
627455	2143	1997-08-31	VYDAJ	VYBER	15	31029	SLUZBY	\N	\N
627456	2143	1997-09-30	VYDAJ	VYBER	15	29334	SLUZBY	\N	\N
627457	2143	1997-10-31	VYDAJ	VYBER	15	28433	SLUZBY	\N	\N
627458	2143	1997-11-30	VYDAJ	VYBER	15	29050	SLUZBY	\N	\N
627459	2143	1997-12-31	VYDAJ	VYBER	15	38599	SLUZBY	\N	\N
627460	2143	1998-01-31	VYDAJ	VYBER	15	18758	SLUZBY	\N	\N
627461	2143	1998-02-28	VYDAJ	VYBER	15	26434	SLUZBY	\N	\N
627462	2143	1998-03-31	VYDAJ	VYBER	15	34142	SLUZBY	\N	\N
627463	2143	1998-04-30	VYDAJ	VYBER	15	29464	SLUZBY	\N	\N
627464	2143	1998-05-31	VYDAJ	VYBER	15	27873	SLUZBY	\N	\N
627465	2143	1998-06-30	VYDAJ	VYBER	15	44852	SLUZBY	\N	\N
627466	2143	1998-07-31	VYDAJ	VYBER	15	40221	SLUZBY	\N	\N
627467	2143	1998-08-31	VYDAJ	VYBER	15	26161	SLUZBY	\N	\N
627468	2143	1998-09-30	VYDAJ	VYBER	15	21079	SLUZBY	\N	\N
627469	2143	1998-10-31	VYDAJ	VYBER	15	17990	SLUZBY	\N	\N
627470	2143	1998-11-30	VYDAJ	VYBER	15	17774	SLUZBY	\N	\N
627471	2143	1996-02-12	PRIJEM	VKLAD	11300	12000	\N	\N	\N
627472	2143	1996-03-13	VYDAJ	VYBER	16000	40976	\N	\N	\N
627473	2143	1996-04-12	VYDAJ	VYBER	11400	29777	\N	\N	\N
627474	2143	1996-05-12	VYDAJ	VYBER	14000	38449	\N	\N	\N
627475	2143	1996-06-11	VYDAJ	VYBER	18400	42734	\N	\N	\N
627476	2143	1996-07-11	VYDAJ	VYBER	26600	40713	\N	\N	\N
627477	2143	1996-08-10	VYDAJ	VYBER	18600	34249	\N	\N	\N
627478	2143	1996-09-09	VYDAJ	VYBER	13300	36349	\N	\N	\N
627479	2143	1996-10-09	VYDAJ	VYBER	11800	37935	\N	\N	\N
627480	2143	1996-11-08	VYDAJ	VYBER	15900	30986	\N	\N	\N
627481	2143	1996-12-08	VYDAJ	VYBER	10300	28168	\N	\N	\N
627482	2143	1997-01-07	VYDAJ	VYBER	9600	28065	\N	\N	\N
627483	2143	1997-02-06	VYDAJ	VYBER	6300	17434	\N	\N	\N
627484	2143	1997-03-08	VYDAJ	VYBER	8900	19311	\N	\N	\N
627485	2143	1997-04-07	VYDAJ	VYBER	11500	21120	\N	\N	\N
627486	2143	1997-05-07	VYDAJ	VYBER	10700	23740	\N	\N	\N
627487	2143	1997-06-06	VYDAJ	VYBER	8200	24430	\N	\N	\N
627488	2143	1997-07-06	VYDAJ	VYBER	22600	26407	\N	\N	\N
627489	2143	1997-08-05	VYDAJ	VYBER	16200	23583	\N	\N	\N
627490	2143	1997-09-04	VYDAJ	VYBER	15000	16029	\N	\N	\N
627491	2143	1997-10-04	VYDAJ	VYBER	14200	15134	\N	\N	\N
627492	2143	1997-11-03	VYDAJ	VYBER	12700	15733	\N	\N	\N
627493	2143	1997-12-03	VYDAJ	VYBER	12000	17050	\N	\N	\N
627494	2143	1998-01-02	VYDAJ	VYBER	17200	21399	\N	\N	\N
627495	2143	1998-02-01	VYDAJ	VYBER	5600	13158	\N	\N	\N
627496	2143	1998-03-03	VYDAJ	VYBER	5000	21434	\N	\N	\N
627497	2143	1998-04-02	VYDAJ	VYBER	14400	19742	\N	\N	\N
627498	2143	1998-05-02	VYDAJ	VYBER	9000	20464	\N	\N	\N
627499	2143	1998-06-01	VYDAJ	VYBER	7600	20273	\N	\N	\N
627500	2143	1998-07-01	VYDAJ	VYBER	18000	26852	\N	\N	\N
627501	2143	1998-07-31	VYDAJ	VYBER	9200	31021	\N	\N	\N
627502	2143	1998-08-30	VYDAJ	VYBER	18200	26018	\N	\N	\N
627503	2143	1998-09-29	VYDAJ	VYBER	18400	20958	\N	\N	\N
627504	2143	1998-10-29	VYDAJ	VYBER	16400	17876	\N	\N	\N
627505	2143	1998-11-28	VYDAJ	VYBER	13500	17687	\N	\N	\N
627541	2144	1995-07-21	PRIJEM	VKLAD	600	600	\N	\N	\N
627542	2144	1995-08-26	PRIJEM	VKLAD	23090	55411	\N	\N	\N
627544	2144	1995-11-14	PRIJEM	VKLAD	23407	50524	\N	\N	\N
627546	2144	1995-08-29	PRIJEM	VKLAD	32572	87983	\N	\N	\N
627549	2144	1995-08-11	PRIJEM	VKLAD	29766	40921	\N	\N	\N
627553	2144	1995-12-10	PRIJEM	VKLAD	12952	34187	\N	\N	\N
627554	2144	1995-07-30	PRIJEM	VKLAD	10552	11152	\N	\N	\N
627555	2144	1995-09-07	PRIJEM	VKLAD	46663	134758	\N	\N	\N
627556	2144	1995-10-06	PRIJEM	VKLAD	13562	91797	\N	\N	\N
627559	2144	1995-10-03	PRIJEM	VKLAD	20059	78235	\N	\N	\N
627561	2144	1995-12-27	PRIJEM	VKLAD	15626	33075	\N	\N	\N
627562	2144	1996-08-01	PRIJEM	VKLAD	5548	128976	\N	\N	\N
627563	2144	1996-06-10	PRIJEM	VKLAD	41892	91197	\N	\N	\N
627564	2144	1996-07-16	PRIJEM	VKLAD	6801	41360	\N	\N	\N
627565	2144	1996-07-01	PRIJEM	VKLAD	8809	47759	\N	\N	\N
627566	2144	1996-03-11	PRIJEM	VKLAD	29789	39132	\N	\N	\N
627567	2144	1996-06-02	PRIJEM	VKLAD	42313	49305	\N	\N	\N
627568	2144	1996-01-05	PRIJEM	VKLAD	30854	63958	\N	\N	\N
627569	2144	1996-08-01	PRIJEM	VKLAD	47618	123428	\N	\N	\N
627570	2144	1996-07-23	PRIJEM	VKLAD	40037	81397	\N	\N	\N
627571	2144	1997-06-26	PRIJEM	VKLAD	12071	13750	\N	\N	\N
627572	2144	1997-09-17	PRIJEM	VKLAD	24673	20678	\N	\N	\N
627573	2144	1998-06-26	PRIJEM	VKLAD	46861	82669	\N	\N	\N
627574	2144	1998-10-21	PRIJEM	VKLAD	34680	89637	\N	\N	\N
627575	2144	1998-03-30	PRIJEM	VKLAD	40640	113520	\N	\N	\N
627576	2144	1998-07-29	PRIJEM	VKLAD	32067	78851	\N	\N	\N
627577	2144	1998-08-26	PRIJEM	VKLAD	47470	88009	\N	\N	\N
627578	2144	1998-07-18	PRIJEM	VKLAD	6630	46784	\N	\N	\N
627579	2144	1998-01-01	PRIJEM	VKLAD	26417	25566	\N	\N	\N
627580	2144	1998-06-16	PRIJEM	VKLAD	23102	59256	\N	\N	\N
627581	2144	1998-02-20	PRIJEM	VKLAD	48214	65038	\N	\N	\N
627582	2144	1998-01-22	PRIJEM	VKLAD	26203	54686	\N	\N	\N
627583	2144	1998-12-01	PRIJEM	VKLAD	48462	121210	\N	\N	\N
627584	2144	1998-03-08	PRIJEM	VKLAD	49467	86372	\N	\N	\N
627585	2144	1998-11-28	PRIJEM	VKLAD	42084	130383	\N	\N	\N
627586	2144	1998-01-22	PRIJEM	VKLAD	30317	28483	\N	\N	\N
627587	2144	1998-05-07	PRIJEM	VKLAD	34026	73153	\N	\N	\N
627588	2144	1998-11-27	PRIJEM	VKLAD	41398	88299	\N	\N	\N
627589	2144	1998-04-30	PRIJEM	VKLAD	31211	69947	\N	\N	\N
627590	2144	1998-10-06	PRIJEM	VKLAD	38153	54957	\N	\N	\N
627591	2144	1998-04-11	PRIJEM	VKLAD	20746	38736	\N	\N	\N
627592	2144	1995-11-13	VYBER	VYBER	11451	27117	\N	\N	\N
627593	2144	1995-11-04	VYBER	VYBER	21233	38568	\N	\N	\N
627594	2144	1995-12-26	VYBER	VYBER	8638	17449	\N	\N	\N
627599	2144	1995-12-09	VYBER	VYBER	10779	21235	\N	\N	\N
627604	2144	1996-03-27	VYBER	VYBER	2334	30198	\N	\N	\N
627605	2144	1996-05-23	VYBER	VYBER	16792	7014	\N	\N	\N
627609	2144	1997-03-02	VYBER	VYBER	5555	3092	\N	\N	\N
627610	2144	1997-09-24	VYBER	VYBER	16252	4426	\N	\N	\N
627611	2144	1997-01-20	VYBER	VYBER	5501	1436	\N	\N	\N
627615	2144	1997-06-02	VYBER	VYBER	8843	-921	\N	\N	\N
627618	2144	1998-06-24	VYBER	VYBER	14448	35808	\N	\N	\N
627620	2144	1998-04-06	VYBER	VYBER	16616	33290	\N	\N	\N
627622	2144	1998-01-23	VYBER	VYBER	19999	34687	\N	\N	\N
627623	2144	1998-04-04	VYBER	VYBER	17137	49906	\N	\N	\N
627624	2144	1998-03-18	VYBER	VYBER	7192	79180	\N	\N	\N
627625	2144	1998-12-19	VYBER	VYBER	2554	18383	\N	\N	\N
627626	2144	1998-12-01	VYBER	VYBER	23073	98137	\N	\N	\N
627629	2144	1996-06-14	VYDAJ	VYBER	34200	56997	\N	\N	\N
627633	2144	1996-01-25	VYDAJ	VYBER	4500	30458	\N	\N	\N
627636	2144	1995-12-05	VYDAJ	VYBER	2100	32014	\N	\N	\N
627637	2144	1996-12-05	VYDAJ	VYBER	6300	10973	\N	\N	\N
627639	2144	1998-12-19	VYDAJ	VYBER	6900	11483	\N	\N	\N
627646	2144	1996-01-20	VYDAJ	VYBER	3900	34958	\N	\N	\N
627647	2144	1996-01-11	VYDAJ	VYBER	1500	62458	\N	\N	\N
627648	2144	1996-01-13	VYDAJ	VYBER	6900	55558	\N	\N	\N
627649	2144	1996-01-29	VYDAJ	VYBER	8700	15158	\N	\N	\N
627650	2144	1996-01-30	VYDAJ	VYBER	7200	7958	\N	\N	\N
627651	2144	1996-01-27	VYDAJ	VYBER	6600	23858	\N	\N	\N
627652	2144	1997-01-06	VYDAJ	VYBER	8100	6537	\N	\N	\N
627654	2144	1997-01-15	VYDAJ	VYBER	1800	6937	\N	\N	\N
627656	2144	1997-01-09	VYDAJ	VYBER	8100	-1563	\N	\N	\N
627657	2144	1997-01-28	VYDAJ	VYBER	2700	-1264	\N	\N	\N
627659	2144	1998-01-10	VYDAJ	VYBER	6300	-1834	\N	\N	\N
627660	2144	1998-01-29	VYDAJ	VYBER	6000	28687	\N	\N	\N
627661	2144	1998-01-06	VYDAJ	VYBER	5700	10466	\N	\N	\N
627663	2144	1998-01-07	VYDAJ	VYBER	6000	4466	\N	\N	\N
627665	2144	1995-11-15	VYDAJ	VYBER	8100	42424	\N	\N	\N
627670	2144	1996-10-10	VYDAJ	VYBER	9300	13130	\N	\N	\N
627671	2144	1996-08-27	VYDAJ	VYBER	13200	37376	\N	\N	\N
627673	2144	1996-09-16	VYDAJ	VYBER	1800	22405	\N	\N	\N
627674	2144	1996-07-29	VYDAJ	VYBER	5700	75697	\N	\N	\N
627675	2144	1996-02-09	VYDAJ	VYBER	6900	1107	\N	\N	\N
627678	2144	1997-07-04	VYDAJ	VYBER	7200	6472	\N	\N	\N
627679	2144	1998-09-17	VYDAJ	VYBER	10200	33245	\N	\N	\N
627680	2144	1998-06-16	VYDAJ	VYBER	9000	50256	\N	\N	\N
627681	2144	1998-03-24	VYDAJ	VYBER	6300	72880	\N	\N	\N
627692	2144	1995-09-30	VYDAJ	VYBER	100	58176	SLUZBY	\N	\N
627693	2144	1995-10-31	VYDAJ	VYBER	100	59801	SLUZBY	\N	\N
627694	2144	1995-11-30	VYDAJ	VYBER	100	34114	SLUZBY	\N	\N
627695	2144	1995-12-31	VYDAJ	VYBER	100	33104	SLUZBY	\N	\N
627696	2144	1996-01-31	VYDAJ	VYBER	100	8007	SLUZBY	\N	\N
627697	2144	1996-02-29	VYDAJ	VYBER	100	9343	SLUZBY	\N	\N
627698	2144	1996-03-31	VYDAJ	VYBER	100	30182	SLUZBY	\N	\N
627699	2144	1996-04-30	VYDAJ	VYBER	100	23306	SLUZBY	\N	\N
627700	2144	1996-05-31	VYDAJ	VYBER	100	6992	SLUZBY	\N	\N
627701	2144	1996-06-30	VYDAJ	VYBER	100	38950	SLUZBY	\N	\N
627702	2144	1996-07-31	VYDAJ	VYBER	100	75810	SLUZBY	\N	\N
627703	2144	1996-08-31	VYDAJ	VYBER	100	37605	SLUZBY	\N	\N
627704	2144	1996-09-30	VYDAJ	VYBER	100	22430	SLUZBY	\N	\N
627705	2144	1996-10-31	VYDAJ	VYBER	100	15907	SLUZBY	\N	\N
627706	2144	1996-11-30	VYDAJ	VYBER	100	17273	SLUZBY	\N	\N
627707	2144	1996-12-31	VYDAJ	VYBER	100	14637	SLUZBY	\N	\N
627708	2144	1997-01-31	VYDAJ	VYBER	100	-1340	SLUZBY	\N	\N
627709	2144	1997-02-28	VYDAJ	VYBER	100	8661	SLUZBY	\N	\N
627710	2144	1997-03-31	VYDAJ	VYBER	100	11135	SLUZBY	\N	\N
627711	2144	1997-04-30	VYDAJ	VYBER	100	10180	SLUZBY	\N	\N
627712	2144	1997-05-31	VYDAJ	VYBER	100	7922	SLUZBY	\N	\N
627713	2144	1997-06-30	VYDAJ	VYBER	100	13672	SLUZBY	\N	\N
627714	2144	1997-07-31	VYDAJ	VYBER	100	2596	SLUZBY	\N	\N
627715	2144	1997-08-31	VYDAJ	VYBER	100	-1995	SLUZBY	\N	\N
627716	2144	1997-09-30	VYDAJ	VYBER	100	4339	SLUZBY	\N	\N
627717	2144	1997-10-31	VYDAJ	VYBER	100	855	SLUZBY	\N	\N
627718	2144	1997-11-30	VYDAJ	VYBER	100	-642	SLUZBY	\N	\N
627719	2144	1997-12-31	VYDAJ	VYBER	100	-842	SLUZBY	\N	\N
627720	2144	1998-01-31	VYDAJ	VYBER	100	28624	SLUZBY	\N	\N
627721	2144	1998-02-28	VYDAJ	VYBER	100	65105	SLUZBY	\N	\N
627722	2144	1998-03-31	VYDAJ	VYBER	100	67043	SLUZBY	\N	\N
627723	2144	1998-04-30	VYDAJ	VYBER	100	70027	SLUZBY	\N	\N
627724	2144	1998-05-31	VYDAJ	VYBER	100	73354	SLUZBY	\N	\N
627725	2144	1998-06-30	VYDAJ	VYBER	100	82854	SLUZBY	\N	\N
627726	2144	1998-07-31	VYDAJ	VYBER	100	79039	SLUZBY	\N	\N
627727	2144	1998-08-31	VYDAJ	VYBER	100	88245	SLUZBY	\N	\N
627728	2144	1998-09-30	VYDAJ	VYBER	100	33404	SLUZBY	\N	\N
627729	2144	1998-10-31	VYDAJ	VYBER	100	89801	SLUZBY	\N	\N
627730	2144	1998-11-30	VYDAJ	VYBER	100	72748	SLUZBY	\N	\N
627731	2144	1995-08-20	VYDAJ	VYBER	8600	32321	\N	\N	\N
627732	2144	1995-09-07	VYDAJ	VYBER	45900	88858	\N	\N	\N
627733	2144	1995-09-19	VYDAJ	VYBER	30900	57958	\N	\N	\N
627734	2144	1995-10-19	VYDAJ	VYBER	32200	59597	\N	\N	\N
627735	2144	1995-11-18	VYDAJ	VYBER	8400	34024	\N	\N	\N
627736	2144	1995-12-18	VYDAJ	VYBER	8100	26087	\N	\N	\N
627737	2144	1996-01-17	VYDAJ	VYBER	16700	38858	\N	\N	\N
627738	2144	1996-02-16	PRIJEM	VKLAD	8300	9407	\N	\N	\N
627739	2144	1996-03-17	VYDAJ	VYBER	6600	32532	\N	\N	\N
627740	2144	1996-04-16	VYDAJ	VYBER	6900	23282	\N	\N	\N
627741	2144	1996-05-16	PRIJEM	VKLAD	500	23806	\N	\N	\N
627742	2144	1996-06-15	VYDAJ	VYBER	18100	38897	\N	\N	\N
627743	2144	1996-07-15	VYDAJ	VYBER	13200	34559	\N	\N	\N
627744	2144	1996-08-01	VYDAJ	VYBER	49300	79676	\N	\N	\N
627745	2144	1996-08-14	VYDAJ	VYBER	29100	50576	\N	\N	\N
627746	2144	1996-09-13	VYDAJ	VYBER	13400	24205	\N	\N	\N
627747	2144	1996-10-13	PRIJEM	VKLAD	2800	15930	\N	\N	\N
627748	2144	1996-11-12	PRIJEM	VKLAD	1400	17307	\N	\N	\N
627749	2144	1996-12-12	PRIJEM	VKLAD	3700	14673	\N	\N	\N
627750	2144	1997-01-11	PRIJEM	VKLAD	10300	8737	\N	\N	\N
627751	2144	1997-02-10	PRIJEM	VKLAD	10100	8760	\N	\N	\N
627752	2144	1997-03-12	PRIJEM	VKLAD	8100	11192	\N	\N	\N
627753	2144	1997-04-11	VYDAJ	VYBER	900	10235	\N	\N	\N
627754	2144	1997-05-11	VYDAJ	VYBER	2200	7980	\N	\N	\N
627755	2144	1997-06-10	PRIJEM	VKLAD	2600	1679	\N	\N	\N
627756	2144	1997-07-10	VYDAJ	VYBER	3800	2672	\N	\N	\N
627757	2144	1997-08-09	VYDAJ	VYBER	4500	-1904	\N	\N	\N
627758	2144	1997-09-08	VYDAJ	VYBER	2000	-3995	\N	\N	\N
627759	2144	1997-10-08	VYDAJ	VYBER	3400	939	\N	\N	\N
627760	2144	1997-11-07	VYDAJ	VYBER	1400	-545	\N	\N	\N
627761	2144	1997-12-07	VYDAJ	VYBER	100	-742	\N	\N	\N
627762	2144	1998-01-06	VYDAJ	VYBER	9400	16166	\N	\N	\N
627763	2144	1998-02-05	VYDAJ	VYBER	11800	16824	\N	\N	\N
627764	2144	1998-03-07	VYDAJ	VYBER	28200	36905	\N	\N	\N
627765	2144	1998-03-30	VYDAJ	VYBER	46700	66820	\N	\N	\N
627766	2144	1998-04-06	VYDAJ	VYBER	15300	17990	\N	\N	\N
627767	2144	1998-05-06	VYDAJ	VYBER	30900	39127	\N	\N	\N
627768	2144	1998-06-05	VYDAJ	VYBER	37200	36154	\N	\N	\N
627769	2144	1998-07-05	VYDAJ	VYBER	42700	40154	\N	\N	\N
627770	2144	1998-08-04	VYDAJ	VYBER	38500	40539	\N	\N	\N
627771	2144	1998-09-03	VYDAJ	VYBER	44800	43445	\N	\N	\N
627772	2144	1998-10-03	VYDAJ	VYBER	16600	16804	\N	\N	\N
627773	2144	1998-11-02	VYDAJ	VYBER	42900	46901	\N	\N	\N
627774	2144	1998-11-28	VYDAJ	VYBER	57900	72483	\N	\N	\N
627775	2144	1998-12-01	VYDAJ	VYBER	58100	40037	\N	\N	\N
627776	2144	1998-12-02	VYDAJ	VYBER	19100	20937	\N	\N	\N
628509	2146	1993-06-05	PRIJEM	VKLAD	200	200	\N	\N	\N
628515	2146	1993-06-13	PRIJEM	VKLAD	29739	29939	\N	\N	\N
628516	2146	1993-07-13	PRIJEM	VKLAD	19826	49640	\N	\N	\N
628517	2146	1993-08-13	PRIJEM	VKLAD	19826	59241	\N	\N	\N
628518	2146	1993-09-13	PRIJEM	VKLAD	19826	60298	\N	\N	\N
628519	2146	1993-10-13	PRIJEM	VKLAD	19826	60774	\N	\N	\N
628520	2146	1993-11-13	PRIJEM	VKLAD	19826	56789	\N	\N	\N
628521	2146	1993-12-13	PRIJEM	VKLAD	29739	65500	\N	\N	\N
628522	2146	1994-01-13	PRIJEM	VKLAD	19826	58911	\N	\N	\N
628523	2146	1994-02-13	PRIJEM	VKLAD	19826	56314	\N	\N	\N
628524	2146	1994-03-13	PRIJEM	VKLAD	19826	58198	\N	\N	\N
628525	2146	1994-04-13	PRIJEM	VKLAD	19826	57297	\N	\N	\N
628526	2146	1994-05-13	PRIJEM	VKLAD	19826	56372	\N	\N	\N
628527	2146	1994-06-13	PRIJEM	VKLAD	29739	66874	\N	\N	\N
628528	2146	1994-07-13	PRIJEM	VKLAD	19826	50938	\N	\N	\N
628529	2146	1994-08-13	PRIJEM	VKLAD	19826	54283	\N	\N	\N
628530	2146	1994-09-13	PRIJEM	VKLAD	19826	56837	\N	\N	\N
628531	2146	1994-10-13	PRIJEM	VKLAD	19826	60404	\N	\N	\N
628532	2146	1994-11-13	PRIJEM	VKLAD	19826	59884	\N	\N	\N
628533	2146	1994-12-13	PRIJEM	VKLAD	29739	70373	\N	\N	\N
628534	2146	1995-01-13	PRIJEM	VKLAD	19826	59669	\N	\N	\N
628535	2146	1995-02-13	PRIJEM	VKLAD	19826	59046	\N	\N	\N
628536	2146	1995-03-13	PRIJEM	VKLAD	19826	59116	\N	\N	\N
628537	2146	1995-04-13	PRIJEM	VKLAD	19826	56886	\N	\N	\N
628538	2146	1995-05-13	PRIJEM	VKLAD	19826	56046	\N	\N	\N
628539	2146	1995-06-13	PRIJEM	VKLAD	29739	68318	\N	\N	\N
628540	2146	1995-07-13	PRIJEM	VKLAD	19826	36486	\N	\N	\N
628541	2146	1995-08-13	PRIJEM	VKLAD	19826	45970	\N	\N	\N
628542	2146	1995-09-13	PRIJEM	VKLAD	19826	51189	\N	\N	\N
628543	2146	1995-10-13	PRIJEM	VKLAD	19826	52122	\N	\N	\N
628544	2146	1995-11-13	PRIJEM	VKLAD	19826	50955	\N	\N	\N
628545	2146	1995-12-13	PRIJEM	VKLAD	29739	59296	\N	\N	\N
628546	2146	1996-01-13	PRIJEM	VKLAD	19826	53737	\N	\N	\N
628547	2146	1996-02-13	PRIJEM	VKLAD	19826	50569	\N	\N	\N
628548	2146	1996-03-13	PRIJEM	VKLAD	19826	50292	\N	\N	\N
628549	2146	1996-04-13	PRIJEM	VKLAD	19826	50016	\N	\N	\N
628550	2146	1996-05-13	PRIJEM	VKLAD	19826	50639	\N	\N	\N
628551	2146	1996-06-13	PRIJEM	VKLAD	29739	59174	\N	\N	\N
628552	2146	1996-07-13	PRIJEM	VKLAD	19826	46096	\N	\N	\N
628553	2146	1996-08-13	PRIJEM	VKLAD	19826	46196	\N	\N	\N
628554	2146	1996-09-13	PRIJEM	VKLAD	19826	46796	\N	\N	\N
628555	2146	1996-10-13	PRIJEM	VKLAD	19826	47405	\N	\N	\N
628556	2146	1996-11-13	PRIJEM	VKLAD	19826	51322	\N	\N	\N
628557	2146	1996-12-13	PRIJEM	VKLAD	29739	62354	\N	\N	\N
628558	2146	1997-01-13	PRIJEM	VKLAD	19826	52287	\N	\N	\N
628559	2146	1997-02-13	PRIJEM	VKLAD	19826	55418	\N	\N	\N
628560	2146	1997-03-13	PRIJEM	VKLAD	19826	54851	\N	\N	\N
628561	2146	1997-04-13	PRIJEM	VKLAD	19826	54180	\N	\N	\N
628562	2146	1997-05-13	PRIJEM	VKLAD	19826	52702	\N	\N	\N
628563	2146	1997-06-13	PRIJEM	VKLAD	29739	60330	\N	\N	\N
628564	2146	1997-07-13	PRIJEM	VKLAD	19826	57370	\N	\N	\N
628565	2146	1997-08-13	PRIJEM	VKLAD	19826	54214	\N	\N	\N
628566	2146	1997-09-13	PRIJEM	VKLAD	19826	44639	\N	\N	\N
628567	2146	1997-10-13	PRIJEM	VKLAD	19826	44066	\N	\N	\N
628568	2146	1997-11-13	PRIJEM	VKLAD	19826	47701	\N	\N	\N
628569	2146	1997-12-13	PRIJEM	VKLAD	29739	63361	\N	\N	\N
628570	2146	1998-01-13	PRIJEM	VKLAD	19826	58454	\N	\N	\N
628571	2146	1998-02-13	PRIJEM	VKLAD	19826	61552	\N	\N	\N
628572	2146	1998-03-13	PRIJEM	VKLAD	19826	59257	\N	\N	\N
628573	2146	1998-04-13	PRIJEM	VKLAD	19826	63061	\N	\N	\N
628574	2146	1998-05-13	PRIJEM	VKLAD	19826	62464	\N	\N	\N
628575	2146	1998-06-13	PRIJEM	VKLAD	29739	70786	\N	\N	\N
628576	2146	1998-07-13	PRIJEM	VKLAD	19826	57607	\N	\N	\N
628577	2146	1998-08-13	PRIJEM	VKLAD	19826	57889	\N	\N	\N
628578	2146	1998-09-13	PRIJEM	VKLAD	19826	60383	\N	\N	\N
628579	2146	1998-10-13	PRIJEM	VKLAD	19826	55983	\N	\N	\N
628580	2146	1998-11-13	PRIJEM	VKLAD	19826	54464	\N	\N	\N
628581	2146	1998-12-13	PRIJEM	VKLAD	29739	59760	\N	\N	\N
628591	2146	1993-10-14	VYDAJ	PREVOD NA UCET	2400	55144	SIPO	UV	75200062
628592	2146	1993-11-14	VYDAJ	PREVOD NA UCET	2400	51159	SIPO	UV	75200062
628593	2146	1993-12-14	VYDAJ	PREVOD NA UCET	2400	57070	SIPO	UV	75200062
628594	2146	1994-01-14	VYDAJ	PREVOD NA UCET	2400	53281	SIPO	UV	75200062
628595	2146	1994-02-14	VYDAJ	PREVOD NA UCET	2400	50684	SIPO	UV	75200062
628596	2146	1994-03-14	VYDAJ	PREVOD NA UCET	2400	52568	SIPO	UV	75200062
628597	2146	1994-04-14	VYDAJ	PREVOD NA UCET	2400	51667	SIPO	UV	75200062
628598	2146	1994-05-14	VYDAJ	PREVOD NA UCET	2400	50742	SIPO	UV	75200062
628599	2146	1994-06-14	VYDAJ	PREVOD NA UCET	2400	61244	SIPO	UV	75200062
628600	2146	1994-07-14	VYDAJ	PREVOD NA UCET	2400	45308	SIPO	UV	75200062
628601	2146	1994-08-14	VYDAJ	PREVOD NA UCET	2400	48653	SIPO	UV	75200062
628602	2146	1994-09-14	VYDAJ	PREVOD NA UCET	2400	51207	SIPO	UV	75200062
628603	2146	1994-10-14	VYDAJ	PREVOD NA UCET	2400	54774	SIPO	UV	75200062
628604	2146	1994-11-14	VYDAJ	PREVOD NA UCET	2400	54254	SIPO	UV	75200062
628605	2146	1994-12-14	VYDAJ	PREVOD NA UCET	2400	64743	SIPO	UV	75200062
628606	2146	1995-01-14	VYDAJ	PREVOD NA UCET	2400	54039	SIPO	UV	75200062
628607	2146	1995-02-14	VYDAJ	PREVOD NA UCET	2400	53416	SIPO	UV	75200062
628608	2146	1995-03-14	VYDAJ	PREVOD NA UCET	2400	53486	SIPO	UV	75200062
628609	2146	1995-04-14	VYDAJ	PREVOD NA UCET	2400	51256	SIPO	UV	75200062
628610	2146	1995-05-14	VYDAJ	PREVOD NA UCET	2400	50416	SIPO	UV	75200062
628611	2146	1995-06-14	VYDAJ	PREVOD NA UCET	2400	62688	SIPO	UV	75200062
628612	2146	1995-07-14	VYDAJ	PREVOD NA UCET	2400	30856	SIPO	UV	75200062
628613	2146	1995-08-14	VYDAJ	PREVOD NA UCET	2400	40340	SIPO	UV	75200062
628614	2146	1995-09-14	VYDAJ	PREVOD NA UCET	2400	45559	SIPO	UV	75200062
628615	2146	1995-10-14	VYDAJ	PREVOD NA UCET	2400	46492	SIPO	UV	75200062
628616	2146	1995-11-14	VYDAJ	PREVOD NA UCET	2400	45325	SIPO	UV	75200062
628617	2146	1995-12-14	VYDAJ	PREVOD NA UCET	2400	53666	SIPO	UV	75200062
628618	2146	1996-01-14	VYDAJ	PREVOD NA UCET	2400	48107	SIPO	UV	75200062
628619	2146	1996-02-14	VYDAJ	PREVOD NA UCET	2400	44939	SIPO	UV	75200062
628620	2146	1996-03-14	VYDAJ	PREVOD NA UCET	2400	44662	SIPO	UV	75200062
628621	2146	1996-04-14	VYDAJ	PREVOD NA UCET	2400	44386	SIPO	UV	75200062
628622	2146	1996-05-14	VYDAJ	PREVOD NA UCET	2400	45009	SIPO	UV	75200062
628623	2146	1996-06-14	VYDAJ	PREVOD NA UCET	2400	53544	SIPO	UV	75200062
628624	2146	1996-07-14	VYDAJ	PREVOD NA UCET	2400	40466	SIPO	UV	75200062
628625	2146	1996-08-14	VYDAJ	PREVOD NA UCET	2400	40566	SIPO	UV	75200062
628626	2146	1996-09-14	VYDAJ	PREVOD NA UCET	2400	41166	SIPO	UV	75200062
628627	2146	1996-10-14	VYDAJ	PREVOD NA UCET	2400	41775	SIPO	UV	75200062
628628	2146	1996-11-14	VYDAJ	PREVOD NA UCET	2400	45692	SIPO	UV	75200062
628629	2146	1996-12-14	VYDAJ	PREVOD NA UCET	2400	56724	SIPO	UV	75200062
628630	2146	1997-01-14	VYDAJ	PREVOD NA UCET	2400	46657	SIPO	UV	75200062
628631	2146	1997-02-14	VYDAJ	PREVOD NA UCET	2400	34888	SIPO	UV	75200062
628632	2146	1997-03-14	VYDAJ	PREVOD NA UCET	2400	49221	SIPO	UV	75200062
628633	2146	1997-04-14	VYDAJ	PREVOD NA UCET	2400	48550	SIPO	UV	75200062
628634	2146	1997-05-14	VYDAJ	PREVOD NA UCET	2400	47072	SIPO	UV	75200062
628824	2146	1997-07-31	VYDAJ	VYBER	15	38388	SLUZBY	\N	\N
628635	2146	1997-06-14	VYDAJ	PREVOD NA UCET	2400	37400	SIPO	UV	75200062
628636	2146	1997-07-14	VYDAJ	PREVOD NA UCET	2400	38240	SIPO	UV	75200062
628637	2146	1997-08-14	VYDAJ	PREVOD NA UCET	2400	32284	SIPO	UV	75200062
628638	2146	1997-09-14	VYDAJ	PREVOD NA UCET	2400	39009	SIPO	UV	75200062
628639	2146	1997-10-14	VYDAJ	PREVOD NA UCET	2400	38436	SIPO	UV	75200062
628640	2146	1997-11-14	VYDAJ	PREVOD NA UCET	2400	42071	SIPO	UV	75200062
628641	2146	1997-12-14	VYDAJ	PREVOD NA UCET	2400	57731	SIPO	UV	75200062
628642	2146	1998-01-14	VYDAJ	PREVOD NA UCET	2400	52824	SIPO	UV	75200062
628643	2146	1998-02-14	VYDAJ	PREVOD NA UCET	2400	55922	SIPO	UV	75200062
628644	2146	1998-03-14	VYDAJ	PREVOD NA UCET	2400	53627	SIPO	UV	75200062
628645	2146	1998-04-14	VYDAJ	PREVOD NA UCET	2400	57431	SIPO	UV	75200062
628646	2146	1998-05-14	VYDAJ	PREVOD NA UCET	2400	56834	SIPO	UV	75200062
628647	2146	1998-06-14	VYDAJ	PREVOD NA UCET	2400	65156	SIPO	UV	75200062
628648	2146	1998-07-14	VYDAJ	PREVOD NA UCET	2400	51977	SIPO	UV	75200062
628649	2146	1998-08-14	VYDAJ	PREVOD NA UCET	2400	52259	SIPO	UV	75200062
628650	2146	1998-09-14	VYDAJ	PREVOD NA UCET	2400	54753	SIPO	UV	75200062
628651	2146	1998-10-14	VYDAJ	PREVOD NA UCET	2400	50353	SIPO	UV	75200062
628652	2146	1998-11-14	VYDAJ	PREVOD NA UCET	2400	48834	SIPO	UV	75200062
628653	2146	1998-12-14	VYDAJ	PREVOD NA UCET	2400	54130	SIPO	UV	75200062
628663	2146	1993-10-13	VYDAJ	PREVOD NA UCET	3230	57544	 	AB	64262807
628664	2146	1993-11-13	VYDAJ	PREVOD NA UCET	3230	53559	 	AB	64262807
628665	2146	1993-12-13	VYDAJ	PREVOD NA UCET	3230	62270	 	AB	64262807
628666	2146	1994-01-13	VYDAJ	PREVOD NA UCET	3230	55681	 	AB	64262807
628667	2146	1994-02-13	VYDAJ	PREVOD NA UCET	3230	53084	 	AB	64262807
628668	2146	1994-03-13	VYDAJ	PREVOD NA UCET	3230	54968	 	AB	64262807
628669	2146	1994-04-13	VYDAJ	PREVOD NA UCET	3230	54067	 	AB	64262807
628670	2146	1994-05-13	VYDAJ	PREVOD NA UCET	3230	53142	 	AB	64262807
628671	2146	1994-06-13	VYDAJ	PREVOD NA UCET	3230	63644	 	AB	64262807
628672	2146	1994-07-13	VYDAJ	PREVOD NA UCET	3230	47708	 	AB	64262807
628673	2146	1994-08-13	VYDAJ	PREVOD NA UCET	3230	51053	 	AB	64262807
628674	2146	1994-09-13	VYDAJ	PREVOD NA UCET	3230	53607	 	AB	64262807
628675	2146	1994-10-13	VYDAJ	PREVOD NA UCET	3230	57174	 	AB	64262807
628676	2146	1994-11-13	VYDAJ	PREVOD NA UCET	3230	56654	 	AB	64262807
628677	2146	1994-12-13	VYDAJ	PREVOD NA UCET	3230	67143	 	AB	64262807
628678	2146	1995-01-13	VYDAJ	PREVOD NA UCET	3230	56439	 	AB	64262807
628679	2146	1995-02-13	VYDAJ	PREVOD NA UCET	3230	55816	 	AB	64262807
628680	2146	1995-03-13	VYDAJ	PREVOD NA UCET	3230	55886	 	AB	64262807
628681	2146	1995-04-13	VYDAJ	PREVOD NA UCET	3230	53656	 	AB	64262807
628682	2146	1995-05-13	VYDAJ	PREVOD NA UCET	3230	52816	 	AB	64262807
628683	2146	1995-06-13	VYDAJ	PREVOD NA UCET	3230	65088	 	AB	64262807
628684	2146	1995-07-13	VYDAJ	PREVOD NA UCET	3230	33256	 	AB	64262807
628685	2146	1995-08-13	VYDAJ	PREVOD NA UCET	3230	42740	 	AB	64262807
628686	2146	1995-09-13	VYDAJ	PREVOD NA UCET	3230	47959	 	AB	64262807
628687	2146	1995-10-13	VYDAJ	PREVOD NA UCET	3230	48892	 	AB	64262807
628688	2146	1995-11-13	VYDAJ	PREVOD NA UCET	3230	47725	 	AB	64262807
628689	2146	1995-12-13	VYDAJ	PREVOD NA UCET	3230	56066	 	AB	64262807
628690	2146	1996-01-13	VYDAJ	PREVOD NA UCET	3230	50507	 	AB	64262807
628691	2146	1996-02-13	VYDAJ	PREVOD NA UCET	3230	47339	 	AB	64262807
628692	2146	1996-03-13	VYDAJ	PREVOD NA UCET	3230	47062	 	AB	64262807
628693	2146	1996-04-13	VYDAJ	PREVOD NA UCET	3230	46786	 	AB	64262807
628694	2146	1996-05-13	VYDAJ	PREVOD NA UCET	3230	47409	 	AB	64262807
628695	2146	1996-06-13	VYDAJ	PREVOD NA UCET	3230	55944	 	AB	64262807
628696	2146	1996-07-13	VYDAJ	PREVOD NA UCET	3230	42866	 	AB	64262807
628697	2146	1996-08-13	VYDAJ	PREVOD NA UCET	3230	42966	 	AB	64262807
628698	2146	1996-09-13	VYDAJ	PREVOD NA UCET	3230	43566	 	AB	64262807
628699	2146	1996-10-13	VYDAJ	PREVOD NA UCET	3230	44175	 	AB	64262807
628700	2146	1996-11-13	VYDAJ	PREVOD NA UCET	3230	48092	 	AB	64262807
628701	2146	1996-12-13	VYDAJ	PREVOD NA UCET	3230	59124	 	AB	64262807
628702	2146	1997-01-13	VYDAJ	PREVOD NA UCET	3230	49057	 	AB	64262807
628703	2146	1997-02-13	VYDAJ	PREVOD NA UCET	3230	52188	 	AB	64262807
628704	2146	1997-03-13	VYDAJ	PREVOD NA UCET	3230	51621	 	AB	64262807
628705	2146	1997-04-13	VYDAJ	PREVOD NA UCET	3230	50950	 	AB	64262807
628706	2146	1997-05-13	VYDAJ	PREVOD NA UCET	3230	49472	 	AB	64262807
628707	2146	1997-06-13	VYDAJ	PREVOD NA UCET	3230	57100	 	AB	64262807
628708	2146	1997-07-13	VYDAJ	PREVOD NA UCET	3230	54140	 	AB	64262807
628709	2146	1997-08-13	VYDAJ	PREVOD NA UCET	3230	50984	 	AB	64262807
628710	2146	1997-09-13	VYDAJ	PREVOD NA UCET	3230	41409	 	AB	64262807
628711	2146	1997-10-13	VYDAJ	PREVOD NA UCET	3230	40836	 	AB	64262807
628712	2146	1997-11-13	VYDAJ	PREVOD NA UCET	3230	44471	 	AB	64262807
628713	2146	1997-12-13	VYDAJ	PREVOD NA UCET	3230	60131	 	AB	64262807
628714	2146	1998-01-13	VYDAJ	PREVOD NA UCET	3230	55224	 	AB	64262807
628715	2146	1998-02-13	VYDAJ	PREVOD NA UCET	3230	58322	 	AB	64262807
628716	2146	1998-03-13	VYDAJ	PREVOD NA UCET	3230	56027	 	AB	64262807
628717	2146	1998-04-13	VYDAJ	PREVOD NA UCET	3230	59831	 	AB	64262807
628718	2146	1998-05-13	VYDAJ	PREVOD NA UCET	3230	59234	 	AB	64262807
628719	2146	1998-06-13	VYDAJ	PREVOD NA UCET	3230	67556	 	AB	64262807
628720	2146	1998-07-13	VYDAJ	PREVOD NA UCET	3230	54377	 	AB	64262807
628721	2146	1998-08-13	VYDAJ	PREVOD NA UCET	3230	54659	 	AB	64262807
628722	2146	1998-09-13	VYDAJ	PREVOD NA UCET	3230	57153	 	AB	64262807
628723	2146	1998-10-13	VYDAJ	PREVOD NA UCET	3230	52753	 	AB	64262807
628724	2146	1998-11-13	VYDAJ	PREVOD NA UCET	3230	51234	 	AB	64262807
628725	2146	1998-12-13	VYDAJ	PREVOD NA UCET	3230	56530	 	AB	64262807
628727	2146	1994-06-21	VYDAJ	VYBER	22300	38944	\N	\N	\N
628728	2146	1995-06-27	VYDAJ	VYBER	23900	16488	\N	\N	\N
628729	2146	1996-06-24	VYDAJ	VYBER	5000	26144	\N	\N	\N
628730	2146	1997-06-14	VYDAJ	VYBER	4200	39800	\N	\N	\N
628731	2146	1998-06-26	VYDAJ	VYBER	20000	45156	\N	\N	\N
628733	2146	1994-01-21	VYDAJ	VYBER	2800	50481	\N	\N	\N
628734	2146	1995-01-01	VYDAJ	VYBER	3100	39843	\N	\N	\N
628735	2146	1996-01-23	VYDAJ	VYBER	1500	30607	\N	\N	\N
628736	2146	1997-01-05	VYDAJ	VYBER	3800	32461	\N	\N	\N
628737	2146	1998-01-04	VYDAJ	VYBER	6700	50628	\N	\N	\N
628738	2146	1993-12-14	VYDAJ	VYBER	2800	59470	\N	\N	\N
628739	2146	1994-12-21	VYDAJ	VYBER	1700	63043	\N	\N	\N
628740	2146	1995-12-11	VYDAJ	VYBER	1900	29557	\N	\N	\N
628741	2146	1996-12-14	VYDAJ	VYBER	2300	54424	\N	\N	\N
628742	2146	1997-12-28	VYDAJ	VYBER	600	57131	\N	\N	\N
628743	2146	1998-12-28	VYDAJ	VYBER	1400	52730	\N	\N	\N
628746	2146	1993-10-16	VYDAJ	VYBER	2200	52944	\N	\N	\N
628747	2146	1993-11-30	VYDAJ	VYBER	2600	48761	\N	\N	\N
628749	2146	1994-01-26	VYDAJ	VYBER	4700	45781	\N	\N	\N
628750	2146	1994-04-25	VYDAJ	VYBER	3000	48667	\N	\N	\N
628751	2146	1994-04-03	VYDAJ	VYBER	1400	37471	\N	\N	\N
628752	2146	1994-07-27	VYDAJ	VYBER	1100	44208	\N	\N	\N
628753	2146	1994-08-14	VYDAJ	VYBER	1000	47653	\N	\N	\N
628754	2146	1995-08-01	VYDAJ	VYBER	2300	26144	\N	\N	\N
628755	2146	1995-07-15	VYDAJ	VYBER	700	30156	\N	\N	\N
628756	2146	1995-06-15	VYDAJ	VYBER	1200	61488	\N	\N	\N
628757	2146	1996-06-03	VYDAJ	VYBER	1000	29435	\N	\N	\N
628758	2146	1996-04-10	VYDAJ	VYBER	1500	30190	\N	\N	\N
628759	2146	1996-07-17	VYDAJ	VYBER	3200	37266	\N	\N	\N
628760	2146	1996-10-10	VYDAJ	VYBER	4300	27579	\N	\N	\N
628761	2146	1997-09-22	VYDAJ	VYBER	1300	37709	\N	\N	\N
628762	2146	1997-08-08	VYDAJ	VYBER	4000	34388	\N	\N	\N
628763	2146	1997-05-22	VYDAJ	VYBER	700	30472	\N	\N	\N
628764	2146	1997-09-24	VYDAJ	VYBER	1300	36409	\N	\N	\N
628765	2146	1998-10-08	VYDAJ	VYBER	1200	36157	\N	\N	\N
628766	2146	1998-04-14	VYDAJ	VYBER	3400	54031	\N	\N	\N
628767	2146	1998-06-30	VYDAJ	VYBER	500	44881	\N	\N	\N
628768	2146	1998-12-04	VYDAJ	VYBER	500	48521	\N	\N	\N
628779	2146	1993-10-31	VYDAJ	VYBER	15	53163	SLUZBY	\N	\N
628780	2146	1993-11-30	VYDAJ	VYBER	15	51361	SLUZBY	\N	\N
628781	2146	1993-12-31	VYDAJ	VYBER	15	57285	SLUZBY	\N	\N
628782	2146	1994-01-31	VYDAJ	VYBER	15	45988	SLUZBY	\N	\N
628783	2146	1994-02-28	VYDAJ	VYBER	15	50872	SLUZBY	\N	\N
628784	2146	1994-03-31	VYDAJ	VYBER	15	52771	SLUZBY	\N	\N
628785	2146	1994-04-30	VYDAJ	VYBER	15	48846	SLUZBY	\N	\N
628786	2146	1994-05-31	VYDAJ	VYBER	15	37135	SLUZBY	\N	\N
628787	2146	1994-06-30	VYDAJ	VYBER	15	31112	SLUZBY	\N	\N
628788	2146	1994-07-31	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
628789	2146	1994-08-31	VYDAJ	VYBER	15	37011	SLUZBY	\N	\N
628790	2146	1994-09-30	VYDAJ	VYBER	15	40578	SLUZBY	\N	\N
628791	2146	1994-10-31	VYDAJ	VYBER	15	40058	SLUZBY	\N	\N
628792	2146	1994-11-30	VYDAJ	VYBER	15	40634	SLUZBY	\N	\N
628793	2146	1994-12-31	VYDAJ	VYBER	15	42943	SLUZBY	\N	\N
628794	2146	1995-01-31	VYDAJ	VYBER	15	39220	SLUZBY	\N	\N
628795	2146	1995-02-28	VYDAJ	VYBER	15	39290	SLUZBY	\N	\N
628796	2146	1995-03-31	VYDAJ	VYBER	15	37060	SLUZBY	\N	\N
628797	2146	1995-04-30	VYDAJ	VYBER	15	36220	SLUZBY	\N	\N
628798	2146	1995-05-31	VYDAJ	VYBER	15	38579	SLUZBY	\N	\N
628799	2146	1995-06-30	VYDAJ	VYBER	15	16660	SLUZBY	\N	\N
628800	2146	1995-07-31	VYDAJ	VYBER	15	28444	SLUZBY	\N	\N
628801	2146	1995-08-31	VYDAJ	VYBER	15	31363	SLUZBY	\N	\N
628802	2146	1995-09-30	VYDAJ	VYBER	15	32296	SLUZBY	\N	\N
628803	2146	1995-10-31	VYDAJ	VYBER	15	31129	SLUZBY	\N	\N
628804	2146	1995-11-30	VYDAJ	VYBER	15	31457	SLUZBY	\N	\N
628805	2146	1995-12-31	VYDAJ	VYBER	15	33911	SLUZBY	\N	\N
628806	2146	1996-01-31	VYDAJ	VYBER	15	30743	SLUZBY	\N	\N
628807	2146	1996-02-29	VYDAJ	VYBER	15	30466	SLUZBY	\N	\N
628808	2146	1996-03-31	VYDAJ	VYBER	15	31690	SLUZBY	\N	\N
628809	2146	1996-04-30	VYDAJ	VYBER	15	30813	SLUZBY	\N	\N
628810	2146	1996-05-31	VYDAJ	VYBER	15	30435	SLUZBY	\N	\N
628811	2146	1996-06-30	VYDAJ	VYBER	15	26270	SLUZBY	\N	\N
628812	2146	1996-07-31	VYDAJ	VYBER	15	26370	SLUZBY	\N	\N
628813	2146	1996-08-31	VYDAJ	VYBER	15	26970	SLUZBY	\N	\N
628814	2146	1996-09-30	VYDAJ	VYBER	15	31879	SLUZBY	\N	\N
628815	2146	1996-10-31	VYDAJ	VYBER	15	31496	SLUZBY	\N	\N
628816	2146	1996-11-30	VYDAJ	VYBER	15	32615	SLUZBY	\N	\N
628817	2146	1996-12-31	VYDAJ	VYBER	15	36261	SLUZBY	\N	\N
628818	2146	1997-01-31	VYDAJ	VYBER	15	35592	SLUZBY	\N	\N
628819	2146	1997-02-28	VYDAJ	VYBER	15	35025	SLUZBY	\N	\N
628820	2146	1997-03-31	VYDAJ	VYBER	15	34354	SLUZBY	\N	\N
628821	2146	1997-04-30	VYDAJ	VYBER	15	32876	SLUZBY	\N	\N
628822	2146	1997-05-31	VYDAJ	VYBER	15	30591	SLUZBY	\N	\N
628823	2146	1997-06-30	VYDAJ	VYBER	15	37544	SLUZBY	\N	\N
628825	2146	1997-08-31	VYDAJ	VYBER	15	32413	SLUZBY	\N	\N
628826	2146	1997-09-30	VYDAJ	VYBER	15	36540	SLUZBY	\N	\N
628827	2146	1997-10-31	VYDAJ	VYBER	15	38575	SLUZBY	\N	\N
628828	2146	1997-11-30	VYDAJ	VYBER	15	42222	SLUZBY	\N	\N
628829	2146	1997-12-31	VYDAJ	VYBER	15	57328	SLUZBY	\N	\N
628830	2146	1998-01-31	VYDAJ	VYBER	15	53026	SLUZBY	\N	\N
628831	2146	1998-02-28	VYDAJ	VYBER	15	56131	SLUZBY	\N	\N
628832	2146	1998-03-31	VYDAJ	VYBER	15	53835	SLUZBY	\N	\N
628833	2146	1998-04-30	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
628834	2146	1998-05-31	VYDAJ	VYBER	15	57047	SLUZBY	\N	\N
628835	2146	1998-06-30	VYDAJ	VYBER	15	45381	SLUZBY	\N	\N
628836	2146	1998-07-31	VYDAJ	VYBER	15	52163	SLUZBY	\N	\N
628837	2146	1998-08-31	VYDAJ	VYBER	15	52457	SLUZBY	\N	\N
628838	2146	1998-09-30	VYDAJ	VYBER	15	54957	SLUZBY	\N	\N
628839	2146	1998-10-31	VYDAJ	VYBER	15	50538	SLUZBY	\N	\N
628840	2146	1998-11-30	VYDAJ	VYBER	15	49021	SLUZBY	\N	\N
628841	2146	1993-07-05	VYDAJ	VYBER	200	29814	\N	\N	\N
628842	2146	1993-08-04	VYDAJ	VYBER	10400	39415	\N	\N	\N
628843	2146	1993-09-03	VYDAJ	VYBER	19000	40472	\N	\N	\N
628844	2146	1993-10-03	VYDAJ	VYBER	19600	40948	\N	\N	\N
628845	2146	1993-11-02	VYDAJ	VYBER	16200	36963	\N	\N	\N
628846	2146	1993-12-02	VYDAJ	VYBER	13000	35761	\N	\N	\N
628847	2146	1994-01-01	VYDAJ	VYBER	18200	39085	\N	\N	\N
628848	2146	1994-01-31	VYDAJ	VYBER	9500	36488	\N	\N	\N
628849	2146	1994-03-02	VYDAJ	VYBER	12500	38372	\N	\N	\N
628850	2146	1994-04-01	VYDAJ	VYBER	13900	38871	\N	\N	\N
628851	2146	1994-05-01	VYDAJ	VYBER	12300	36546	\N	\N	\N
628852	2146	1994-05-31	VYDAJ	VYBER	13800	37149	\N	\N	\N
628853	2146	1994-06-30	VYDAJ	VYBER	8000	31127	\N	\N	\N
628854	2146	1994-07-30	VYDAJ	VYBER	9900	34308	\N	\N	\N
628855	2146	1994-08-29	VYDAJ	VYBER	10800	36853	\N	\N	\N
628856	2146	1994-09-28	VYDAJ	VYBER	10800	40407	\N	\N	\N
628857	2146	1994-10-28	VYDAJ	VYBER	14900	39874	\N	\N	\N
628858	2146	1994-11-27	VYDAJ	VYBER	13800	40454	\N	\N	\N
628859	2146	1994-12-27	VYDAJ	VYBER	20300	42743	\N	\N	\N
628860	2146	1995-01-26	VYDAJ	VYBER	15000	39039	\N	\N	\N
628861	2146	1995-02-25	VYDAJ	VYBER	14300	39116	\N	\N	\N
628862	2146	1995-03-27	VYDAJ	VYBER	16600	36886	\N	\N	\N
628863	2146	1995-04-26	VYDAJ	VYBER	15200	36056	\N	\N	\N
628864	2146	1995-05-26	VYDAJ	VYBER	12000	38416	\N	\N	\N
628865	2146	1995-06-25	VYDAJ	VYBER	21100	40388	\N	\N	\N
628866	2146	1995-07-25	VYDAJ	VYBER	1800	28356	\N	\N	\N
628867	2146	1995-08-24	VYDAJ	VYBER	9100	31240	\N	\N	\N
628868	2146	1995-09-23	VYDAJ	VYBER	13400	32159	\N	\N	\N
628869	2146	1995-10-23	VYDAJ	VYBER	15500	30992	\N	\N	\N
628870	2146	1995-11-22	VYDAJ	VYBER	14000	31325	\N	\N	\N
628871	2146	1995-12-22	VYDAJ	VYBER	19900	33766	\N	\N	\N
628872	2146	1996-01-21	VYDAJ	VYBER	16000	32107	\N	\N	\N
628873	2146	1996-02-20	VYDAJ	VYBER	14600	30339	\N	\N	\N
628874	2146	1996-03-21	VYDAJ	VYBER	13100	31562	\N	\N	\N
628875	2146	1996-04-20	VYDAJ	VYBER	13700	30686	\N	\N	\N
628876	2146	1996-05-20	VYDAJ	VYBER	14700	30309	\N	\N	\N
628877	2146	1996-06-19	VYDAJ	VYBER	22400	31144	\N	\N	\N
628878	2146	1996-07-19	VYDAJ	VYBER	11000	26266	\N	\N	\N
628879	2146	1996-08-18	VYDAJ	VYBER	13700	26866	\N	\N	\N
628880	2146	1996-09-17	VYDAJ	VYBER	9400	31766	\N	\N	\N
628881	2146	1996-10-17	VYDAJ	VYBER	10400	31375	\N	\N	\N
628882	2146	1996-11-16	VYDAJ	VYBER	13200	32492	\N	\N	\N
628883	2146	1996-12-16	VYDAJ	VYBER	18300	36124	\N	\N	\N
628884	2146	1997-01-15	VYDAJ	VYBER	11200	35457	\N	\N	\N
628885	2146	1997-02-14	VYDAJ	VYBER	14900	37288	\N	\N	\N
628886	2146	1997-03-16	VYDAJ	VYBER	15000	34221	\N	\N	\N
628887	2146	1997-04-15	VYDAJ	VYBER	15800	32750	\N	\N	\N
628888	2146	1997-05-15	VYDAJ	VYBER	15900	31172	\N	\N	\N
628889	2146	1997-06-14	VYDAJ	VYBER	13100	44000	\N	\N	\N
628890	2146	1997-07-14	VYDAJ	VYBER	13500	40640	\N	\N	\N
628891	2146	1997-08-13	VYDAJ	VYBER	16300	34684	\N	\N	\N
628892	2146	1997-09-12	VYDAJ	VYBER	7600	24813	\N	\N	\N
628893	2146	1997-10-12	VYDAJ	VYBER	12300	24240	\N	\N	\N
628894	2146	1997-11-11	VYDAJ	VYBER	10700	27875	\N	\N	\N
628895	2146	1997-12-11	VYDAJ	VYBER	8600	33622	\N	\N	\N
628896	2146	1998-01-10	VYDAJ	VYBER	12000	38628	\N	\N	\N
628897	2146	1998-02-09	VYDAJ	VYBER	11300	41726	\N	\N	\N
628898	2146	1998-03-11	VYDAJ	VYBER	16700	39431	\N	\N	\N
628899	2146	1998-04-10	VYDAJ	VYBER	10600	43235	\N	\N	\N
628900	2146	1998-05-10	VYDAJ	VYBER	11600	42638	\N	\N	\N
628901	2146	1998-06-09	VYDAJ	VYBER	16000	41047	\N	\N	\N
628902	2146	1998-07-09	VYDAJ	VYBER	7100	37781	\N	\N	\N
628903	2146	1998-08-08	VYDAJ	VYBER	14100	38063	\N	\N	\N
628904	2146	1998-09-07	VYDAJ	VYBER	11900	40557	\N	\N	\N
628905	2146	1998-10-07	VYDAJ	VYBER	17600	37357	\N	\N	\N
628906	2146	1998-11-06	VYDAJ	VYBER	15900	34638	\N	\N	\N
628907	2146	1998-12-06	VYDAJ	VYBER	18500	30021	\N	\N	\N
628975	2147	1996-07-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
628983	2147	1996-08-05	PRIJEM	VKLAD	4448	5448	\N	\N	\N
628984	2147	1996-09-05	PRIJEM	VKLAD	4448	15631	\N	\N	\N
628985	2147	1996-10-05	PRIJEM	VKLAD	4448	24252	\N	\N	\N
628986	2147	1996-11-05	PRIJEM	VKLAD	4448	26389	\N	\N	\N
628987	2147	1996-12-05	PRIJEM	VKLAD	6672	32566	\N	\N	\N
628988	2147	1997-01-05	PRIJEM	VKLAD	4448	31427	\N	\N	\N
628989	2147	1997-02-05	PRIJEM	VKLAD	4448	25596	\N	\N	\N
628990	2147	1997-03-05	PRIJEM	VKLAD	4448	21017	\N	\N	\N
628991	2147	1997-04-05	PRIJEM	VKLAD	4448	20515	\N	\N	\N
628992	2147	1997-05-05	PRIJEM	VKLAD	4448	22055	\N	\N	\N
628993	2147	1997-06-05	PRIJEM	VKLAD	6672	21511	\N	\N	\N
628994	2147	1997-07-05	PRIJEM	VKLAD	4448	17839	\N	\N	\N
628995	2147	1997-08-05	PRIJEM	VKLAD	4448	16961	\N	\N	\N
628996	2147	1997-09-05	PRIJEM	VKLAD	4448	18487	\N	\N	\N
628997	2147	1997-10-05	PRIJEM	VKLAD	4448	14918	\N	\N	\N
628998	2147	1997-11-05	PRIJEM	VKLAD	4448	16439	\N	\N	\N
628999	2147	1997-12-05	PRIJEM	VKLAD	6672	20186	\N	\N	\N
629000	2147	1998-01-05	PRIJEM	VKLAD	4448	17552	\N	\N	\N
629001	2147	1998-02-05	PRIJEM	VKLAD	4448	17779	\N	\N	\N
629002	2147	1998-03-05	PRIJEM	VKLAD	4448	19308	\N	\N	\N
629003	2147	1998-04-05	PRIJEM	VKLAD	4448	17111	\N	\N	\N
629004	2147	1998-05-05	PRIJEM	VKLAD	4448	18636	\N	\N	\N
629005	2147	1998-06-05	PRIJEM	VKLAD	6672	22392	\N	\N	\N
629006	2147	1998-07-05	PRIJEM	VKLAD	4448	23938	\N	\N	\N
629007	2147	1998-08-05	PRIJEM	VKLAD	4448	23205	\N	\N	\N
629008	2147	1998-09-05	PRIJEM	VKLAD	4448	24756	\N	\N	\N
629009	2147	1998-10-05	PRIJEM	VKLAD	4448	26313	\N	\N	\N
629010	2147	1998-11-05	PRIJEM	VKLAD	4448	27877	\N	\N	\N
629011	2147	1998-12-05	PRIJEM	VKLAD	6672	30228	\N	\N	\N
629023	2147	1996-12-08	VYDAJ	PREVOD NA UCET	2965	26881	SIPO	MN	42237263
629024	2147	1997-01-08	VYDAJ	PREVOD NA UCET	2965	24662	SIPO	MN	42237263
629025	2147	1997-02-08	VYDAJ	PREVOD NA UCET	2965	22731	SIPO	MN	42237263
629026	2147	1997-03-08	VYDAJ	PREVOD NA UCET	2965	16852	SIPO	MN	42237263
629027	2147	1997-04-08	VYDAJ	PREVOD NA UCET	2965	17550	SIPO	MN	42237263
629028	2147	1997-05-08	VYDAJ	PREVOD NA UCET	2965	14790	SIPO	MN	42237263
629029	2147	1997-06-08	VYDAJ	PREVOD NA UCET	2965	13346	SIPO	MN	42237263
629030	2147	1997-07-08	VYDAJ	PREVOD NA UCET	2965	12474	SIPO	MN	42237263
629031	2147	1997-08-08	VYDAJ	PREVOD NA UCET	2965	13996	SIPO	MN	42237263
629032	2147	1997-09-08	VYDAJ	PREVOD NA UCET	2965	15522	SIPO	MN	42237263
629033	2147	1997-10-08	VYDAJ	PREVOD NA UCET	2965	11953	SIPO	MN	42237263
629034	2147	1997-11-08	VYDAJ	PREVOD NA UCET	2965	13474	SIPO	MN	42237263
629035	2147	1997-12-08	VYDAJ	PREVOD NA UCET	2965	17221	SIPO	MN	42237263
629036	2147	1998-01-08	VYDAJ	PREVOD NA UCET	2965	14587	SIPO	MN	42237263
629037	2147	1998-02-08	VYDAJ	PREVOD NA UCET	2965	14814	SIPO	MN	42237263
629038	2147	1998-03-08	VYDAJ	PREVOD NA UCET	2965	12623	SIPO	MN	42237263
629039	2147	1998-04-08	VYDAJ	PREVOD NA UCET	2965	14146	SIPO	MN	42237263
629040	2147	1998-05-08	VYDAJ	PREVOD NA UCET	2965	15671	SIPO	MN	42237263
629041	2147	1998-06-08	VYDAJ	PREVOD NA UCET	2965	19427	SIPO	MN	42237263
629042	2147	1998-07-08	VYDAJ	PREVOD NA UCET	2965	18693	SIPO	MN	42237263
629043	2147	1998-08-08	VYDAJ	PREVOD NA UCET	2965	20240	SIPO	MN	42237263
629044	2147	1998-09-08	VYDAJ	PREVOD NA UCET	2965	21791	SIPO	MN	42237263
629045	2147	1998-10-08	VYDAJ	PREVOD NA UCET	2965	23348	SIPO	MN	42237263
629046	2147	1998-11-08	VYDAJ	PREVOD NA UCET	2965	24912	SIPO	MN	42237263
629047	2147	1998-12-08	VYDAJ	PREVOD NA UCET	2965	27263	SIPO	MN	42237263
629087	2147	1996-12-05	VYDAJ	VYBER	1120	31446	\N	\N	\N
629088	2147	1997-12-13	VYDAJ	VYBER	4160	13061	\N	\N	\N
629089	2147	1998-12-19	VYDAJ	VYBER	4480	22783	\N	\N	\N
629095	2147	1997-01-23	VYDAJ	VYBER	3600	21062	\N	\N	\N
629096	2147	1997-02-16	VYDAJ	VYBER	960	21771	\N	\N	\N
629098	2147	1997-02-16	VYDAJ	VYBER	5280	16491	\N	\N	\N
629099	2147	1997-03-22	VYDAJ	VYBER	840	16012	\N	\N	\N
629101	2147	1998-03-07	VYDAJ	VYBER	3720	15588	\N	\N	\N
629102	2147	1998-11-11	VYDAJ	VYBER	1440	23472	\N	\N	\N
629104	2147	1998-07-06	VYDAJ	VYBER	2280	21658	\N	\N	\N
629117	2147	1996-12-31	VYDAJ	VYBER	15	26979	SLUZBY	\N	\N
629118	2147	1997-01-31	VYDAJ	VYBER	15	21148	SLUZBY	\N	\N
629119	2147	1997-02-28	VYDAJ	VYBER	15	16569	SLUZBY	\N	\N
629120	2147	1997-03-31	VYDAJ	VYBER	15	16067	SLUZBY	\N	\N
629121	2147	1997-04-30	VYDAJ	VYBER	15	17607	SLUZBY	\N	\N
629122	2147	1997-05-31	VYDAJ	VYBER	15	14839	SLUZBY	\N	\N
629123	2147	1997-06-30	VYDAJ	VYBER	15	13391	SLUZBY	\N	\N
629124	2147	1997-07-31	VYDAJ	VYBER	15	12513	SLUZBY	\N	\N
629125	2147	1997-08-31	VYDAJ	VYBER	15	14039	SLUZBY	\N	\N
629126	2147	1997-09-30	VYDAJ	VYBER	15	15570	SLUZBY	\N	\N
629127	2147	1997-10-31	VYDAJ	VYBER	15	11991	SLUZBY	\N	\N
629128	2147	1997-11-30	VYDAJ	VYBER	15	13514	SLUZBY	\N	\N
629129	2147	1997-12-31	VYDAJ	VYBER	15	13104	SLUZBY	\N	\N
629130	2147	1998-01-31	VYDAJ	VYBER	15	13331	SLUZBY	\N	\N
629131	2147	1998-02-28	VYDAJ	VYBER	15	14860	SLUZBY	\N	\N
629132	2147	1998-03-31	VYDAJ	VYBER	15	12663	SLUZBY	\N	\N
629133	2147	1998-04-30	VYDAJ	VYBER	15	14188	SLUZBY	\N	\N
629134	2147	1998-05-31	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
629135	2147	1998-06-30	VYDAJ	VYBER	15	19490	SLUZBY	\N	\N
629136	2147	1998-07-31	VYDAJ	VYBER	15	18757	SLUZBY	\N	\N
629137	2147	1998-08-31	VYDAJ	VYBER	15	20308	SLUZBY	\N	\N
629138	2147	1998-09-30	VYDAJ	VYBER	15	21865	SLUZBY	\N	\N
629139	2147	1998-10-31	VYDAJ	VYBER	15	23429	SLUZBY	\N	\N
629140	2147	1998-11-30	VYDAJ	VYBER	15	23556	SLUZBY	\N	\N
629141	2147	1996-08-09	PRIJEM	VKLAD	5700	11148	\N	\N	\N
629142	2147	1996-09-08	PRIJEM	VKLAD	4100	19731	\N	\N	\N
629143	2147	1996-10-08	VYDAJ	VYBER	2400	21852	\N	\N	\N
629144	2147	1996-11-07	VYDAJ	VYBER	600	25789	\N	\N	\N
629145	2147	1996-12-07	VYDAJ	VYBER	1600	29846	\N	\N	\N
629146	2147	1997-01-06	VYDAJ	VYBER	3800	27627	\N	\N	\N
629147	2147	1997-02-05	PRIJEM	VKLAD	100	25696	\N	\N	\N
629148	2147	1997-03-07	VYDAJ	VYBER	1200	19817	\N	\N	\N
629149	2147	1997-05-06	VYDAJ	VYBER	4300	17755	\N	\N	\N
629150	2147	1997-06-05	VYDAJ	VYBER	5200	16311	\N	\N	\N
629151	2147	1997-07-05	VYDAJ	VYBER	2400	15439	\N	\N	\N
629152	2147	1997-10-03	VYDAJ	VYBER	5100	10470	\N	\N	\N
629153	2147	1998-01-31	VYDAJ	VYBER	1300	13346	\N	\N	\N
629183	2148	1995-09-22	PRIJEM	VKLAD	300	300	\N	\N	\N
629193	2148	1995-10-11	PRIJEM	PREVOD Z UCTU	3556	3856	\N	KL	10132682
629194	2148	1995-11-11	PRIJEM	PREVOD Z UCTU	3556	18833	\N	KL	10132682
629195	2148	1995-12-11	PRIJEM	PREVOD Z UCTU	3556	24460	\N	KL	10132682
629196	2148	1996-01-11	PRIJEM	PREVOD Z UCTU	3556	26205	\N	KL	10132682
629197	2148	1996-02-11	PRIJEM	PREVOD Z UCTU	3556	25955	\N	KL	10132682
629198	2148	1996-03-11	PRIJEM	PREVOD Z UCTU	3556	24120	\N	KL	10132682
629199	2148	1996-04-11	PRIJEM	PREVOD Z UCTU	3556	23186	\N	KL	10132682
629200	2148	1996-05-11	PRIJEM	PREVOD Z UCTU	3556	23350	\N	KL	10132682
629201	2148	1996-06-11	PRIJEM	PREVOD Z UCTU	3556	22112	\N	KL	10132682
629202	2148	1996-07-11	PRIJEM	PREVOD Z UCTU	3556	21370	\N	KL	10132682
629203	2148	1996-08-11	PRIJEM	PREVOD Z UCTU	3556	20925	\N	KL	10132682
629204	2148	1996-09-11	PRIJEM	PREVOD Z UCTU	3556	22081	\N	KL	10132682
629205	2148	1996-10-11	PRIJEM	PREVOD Z UCTU	3556	17730	\N	KL	10132682
629206	2148	1996-11-11	PRIJEM	PREVOD Z UCTU	3556	15226	\N	KL	10132682
629207	2148	1996-12-11	PRIJEM	PREVOD Z UCTU	3556	14955	\N	KL	10132682
629208	2148	1997-01-11	PRIJEM	PREVOD Z UCTU	3556	14836	\N	KL	10132682
629209	2148	1997-02-11	PRIJEM	PREVOD Z UCTU	3556	12299	\N	KL	10132682
629210	2148	1997-03-11	PRIJEM	PREVOD Z UCTU	3556	12617	\N	KL	10132682
629211	2148	1997-04-11	PRIJEM	PREVOD Z UCTU	3556	13838	\N	KL	10132682
629212	2148	1997-05-11	PRIJEM	PREVOD Z UCTU	3556	15065	\N	KL	10132682
629213	2148	1997-06-11	PRIJEM	PREVOD Z UCTU	3556	13690	\N	KL	10132682
629214	2148	1997-07-11	PRIJEM	PREVOD Z UCTU	3556	13713	\N	KL	10132682
629215	2148	1997-08-11	PRIJEM	PREVOD Z UCTU	3556	15441	\N	KL	10132682
629216	2148	1997-09-11	PRIJEM	PREVOD Z UCTU	3556	11861	\N	KL	10132682
629217	2148	1997-10-11	PRIJEM	PREVOD Z UCTU	3556	13079	\N	KL	10132682
629218	2148	1997-11-11	PRIJEM	PREVOD Z UCTU	3556	14696	\N	KL	10132682
629219	2148	1997-12-11	PRIJEM	PREVOD Z UCTU	3556	14570	\N	KL	10132682
629220	2148	1998-01-11	PRIJEM	PREVOD Z UCTU	3556	15989	\N	KL	10132682
629221	2148	1998-02-11	PRIJEM	PREVOD Z UCTU	3556	13860	\N	KL	10132682
629222	2148	1998-03-11	PRIJEM	PREVOD Z UCTU	3556	15087	\N	KL	10132682
629223	2148	1998-04-11	PRIJEM	PREVOD Z UCTU	3556	16318	\N	KL	10132682
629224	2148	1998-05-11	PRIJEM	PREVOD Z UCTU	3556	17555	\N	KL	10132682
629225	2148	1998-06-11	PRIJEM	PREVOD Z UCTU	3556	18436	\N	KL	10132682
629226	2148	1998-07-11	PRIJEM	PREVOD Z UCTU	3556	19681	\N	KL	10132682
629227	2148	1998-08-11	PRIJEM	PREVOD Z UCTU	3556	20392	\N	KL	10132682
629228	2148	1998-09-11	PRIJEM	PREVOD Z UCTU	3556	21645	\N	KL	10132682
629229	2148	1998-10-11	PRIJEM	PREVOD Z UCTU	3556	22334	\N	KL	10132682
629230	2148	1998-11-11	PRIJEM	PREVOD Z UCTU	3556	23446	\N	KL	10132682
629231	2148	1998-12-11	PRIJEM	PREVOD Z UCTU	3556	24712	\N	KL	10132682
629246	2148	1996-03-09	VYDAJ	PREVOD NA UCET	2301	20564	SIPO	QR	41176962
629247	2148	1996-04-09	VYDAJ	PREVOD NA UCET	2301	19630	SIPO	QR	41176962
629248	2148	1996-05-09	VYDAJ	PREVOD NA UCET	2301	19794	SIPO	QR	41176962
629249	2148	1996-06-09	VYDAJ	PREVOD NA UCET	2301	18556	SIPO	QR	41176962
629250	2148	1996-07-09	VYDAJ	PREVOD NA UCET	2301	17814	SIPO	QR	41176962
629251	2148	1996-08-09	VYDAJ	PREVOD NA UCET	2301	17369	SIPO	QR	41176962
629252	2148	1996-09-09	VYDAJ	PREVOD NA UCET	2301	18525	SIPO	QR	41176962
629253	2148	1996-10-09	VYDAJ	PREVOD NA UCET	2301	14174	SIPO	QR	41176962
629254	2148	1996-11-09	VYDAJ	PREVOD NA UCET	2301	11670	SIPO	QR	41176962
629255	2148	1996-12-09	VYDAJ	PREVOD NA UCET	2301	11399	SIPO	QR	41176962
629256	2148	1997-01-09	VYDAJ	PREVOD NA UCET	2301	11280	SIPO	QR	41176962
629257	2148	1997-02-09	VYDAJ	PREVOD NA UCET	2301	8743	SIPO	QR	41176962
629258	2148	1997-03-09	VYDAJ	PREVOD NA UCET	2301	9061	SIPO	QR	41176962
629259	2148	1997-04-09	VYDAJ	PREVOD NA UCET	2301	10282	SIPO	QR	41176962
629260	2148	1997-05-09	VYDAJ	PREVOD NA UCET	2301	11509	SIPO	QR	41176962
629261	2148	1997-06-09	VYDAJ	PREVOD NA UCET	2301	10134	SIPO	QR	41176962
629262	2148	1997-07-09	VYDAJ	PREVOD NA UCET	2301	10157	SIPO	QR	41176962
629263	2148	1997-08-09	VYDAJ	PREVOD NA UCET	2301	11885	SIPO	QR	41176962
629264	2148	1997-09-09	VYDAJ	PREVOD NA UCET	2301	8305	SIPO	QR	41176962
629265	2148	1997-10-09	VYDAJ	PREVOD NA UCET	2301	9523	SIPO	QR	41176962
629266	2148	1997-11-09	VYDAJ	PREVOD NA UCET	2301	8540	SIPO	QR	41176962
629267	2148	1997-12-09	VYDAJ	PREVOD NA UCET	2301	11014	SIPO	QR	41176962
629268	2148	1998-01-09	VYDAJ	PREVOD NA UCET	2301	12433	SIPO	QR	41176962
629269	2148	1998-02-09	VYDAJ	PREVOD NA UCET	2301	10304	SIPO	QR	41176962
629270	2148	1998-03-09	VYDAJ	PREVOD NA UCET	2301	11531	SIPO	QR	41176962
629271	2148	1998-04-09	VYDAJ	PREVOD NA UCET	2301	12762	SIPO	QR	41176962
629272	2148	1998-05-09	VYDAJ	PREVOD NA UCET	2301	13999	SIPO	QR	41176962
629273	2148	1998-06-09	VYDAJ	PREVOD NA UCET	2301	14880	SIPO	QR	41176962
629274	2148	1998-07-09	VYDAJ	PREVOD NA UCET	2301	16125	SIPO	QR	41176962
629275	2148	1998-08-09	VYDAJ	PREVOD NA UCET	2301	16836	SIPO	QR	41176962
629276	2148	1998-09-09	VYDAJ	PREVOD NA UCET	2301	18089	SIPO	QR	41176962
629277	2148	1998-10-09	VYDAJ	PREVOD NA UCET	2301	18778	SIPO	QR	41176962
629278	2148	1998-11-09	VYDAJ	PREVOD NA UCET	2301	19890	SIPO	QR	41176962
629279	2148	1998-12-09	VYDAJ	PREVOD NA UCET	2301	21156	SIPO	QR	41176962
629294	2148	1996-03-07	VYDAJ	PREVOD NA UCET	69	22865	 	MN	6842810
629295	2148	1996-04-07	VYDAJ	PREVOD NA UCET	69	21931	 	MN	6842810
629296	2148	1996-05-07	VYDAJ	PREVOD NA UCET	69	22095	 	MN	6842810
629297	2148	1996-06-07	VYDAJ	PREVOD NA UCET	69	20857	 	MN	6842810
629298	2148	1996-07-07	VYDAJ	PREVOD NA UCET	69	20115	 	MN	6842810
629299	2148	1996-08-07	VYDAJ	PREVOD NA UCET	69	19670	 	MN	6842810
629300	2148	1996-09-07	VYDAJ	PREVOD NA UCET	69	20826	 	MN	6842810
629301	2148	1996-10-07	VYDAJ	PREVOD NA UCET	69	16475	 	MN	6842810
629302	2148	1996-11-07	VYDAJ	PREVOD NA UCET	69	13971	 	MN	6842810
629303	2148	1996-12-07	VYDAJ	PREVOD NA UCET	69	13700	 	MN	6842810
629304	2148	1997-01-07	VYDAJ	PREVOD NA UCET	69	13581	 	MN	6842810
629305	2148	1997-02-07	VYDAJ	PREVOD NA UCET	69	11044	 	MN	6842810
629306	2148	1997-03-07	VYDAJ	PREVOD NA UCET	69	11362	 	MN	6842810
629307	2148	1997-04-07	VYDAJ	PREVOD NA UCET	69	12583	 	MN	6842810
629308	2148	1997-05-07	VYDAJ	PREVOD NA UCET	69	13810	 	MN	6842810
629309	2148	1997-06-07	VYDAJ	PREVOD NA UCET	69	12435	 	MN	6842810
629310	2148	1997-07-07	VYDAJ	PREVOD NA UCET	69	12458	 	MN	6842810
629311	2148	1997-08-07	VYDAJ	PREVOD NA UCET	69	14186	 	MN	6842810
629312	2148	1997-09-07	VYDAJ	PREVOD NA UCET	69	10606	 	MN	6842810
629313	2148	1997-10-07	VYDAJ	PREVOD NA UCET	69	11824	 	MN	6842810
629314	2148	1997-11-07	VYDAJ	PREVOD NA UCET	69	10841	 	MN	6842810
629315	2148	1997-12-07	VYDAJ	PREVOD NA UCET	69	13315	 	MN	6842810
629316	2148	1998-01-07	VYDAJ	PREVOD NA UCET	69	14124	 	MN	6842810
629317	2148	1998-02-07	VYDAJ	PREVOD NA UCET	69	12605	 	MN	6842810
629318	2148	1998-03-07	VYDAJ	PREVOD NA UCET	69	13832	 	MN	6842810
629319	2148	1998-04-07	VYDAJ	PREVOD NA UCET	69	15063	 	MN	6842810
629320	2148	1998-05-07	VYDAJ	PREVOD NA UCET	69	16300	 	MN	6842810
629321	2148	1998-06-07	VYDAJ	PREVOD NA UCET	69	17181	 	MN	6842810
629322	2148	1998-07-07	VYDAJ	PREVOD NA UCET	69	18426	 	MN	6842810
629323	2148	1998-08-07	VYDAJ	PREVOD NA UCET	69	19137	 	MN	6842810
629324	2148	1998-09-07	VYDAJ	PREVOD NA UCET	69	20390	 	MN	6842810
629325	2148	1998-10-07	VYDAJ	PREVOD NA UCET	69	21079	 	MN	6842810
629326	2148	1998-11-07	VYDAJ	PREVOD NA UCET	69	22191	 	MN	6842810
629327	2148	1998-12-07	VYDAJ	PREVOD NA UCET	69	23457	 	MN	6842810
629329	2148	1996-12-25	VYDAJ	VYBER	270	14685	\N	\N	\N
629330	2148	1997-12-13	VYDAJ	VYBER	150	14420	\N	\N	\N
629331	2148	1998-12-17	VYDAJ	VYBER	780	23932	\N	\N	\N
629344	2148	1997-01-04	VYDAJ	VYBER	690	14040	\N	\N	\N
629345	2148	1997-01-11	VYDAJ	VYBER	750	14086	\N	\N	\N
629346	2148	1997-01-07	VYDAJ	VYBER	390	13650	\N	\N	\N
629348	2148	1997-01-14	VYDAJ	VYBER	210	11076	\N	\N	\N
629350	2148	1998-01-08	VYDAJ	VYBER	390	13734	\N	\N	\N
629351	2148	1998-01-17	VYDAJ	VYBER	300	14849	\N	\N	\N
629352	2148	1998-01-04	VYDAJ	VYBER	270	14193	\N	\N	\N
629353	2148	1998-01-28	VYDAJ	VYBER	810	12629	\N	\N	\N
629354	2148	1998-01-12	VYDAJ	VYBER	840	15149	\N	\N	\N
629363	2148	1996-11-04	VYDAJ	VYBER	240	14040	\N	\N	\N
629364	2148	1997-11-16	VYDAJ	VYBER	1350	13346	\N	\N	\N
629368	2148	1998-10-04	VYDAJ	VYBER	570	21148	\N	\N	\N
629369	2148	1998-07-31	VYDAJ	VYBER	540	19220	\N	\N	\N
629370	2148	1998-01-28	VYDAJ	VYBER	1170	13439	\N	\N	\N
629371	2148	1998-01-19	VYDAJ	VYBER	240	14609	\N	\N	\N
629372	2148	1998-05-16	VYDAJ	VYBER	360	17195	\N	\N	\N
629373	2148	1998-12-19	VYDAJ	VYBER	1470	22462	\N	\N	\N
629374	2148	1998-10-21	VYDAJ	VYBER	150	22184	\N	\N	\N
629389	2148	1996-02-29	VYDAJ	VYBER	15	22934	SLUZBY	\N	\N
629390	2148	1996-03-31	VYDAJ	VYBER	15	22000	SLUZBY	\N	\N
629391	2148	1996-04-30	VYDAJ	VYBER	15	22164	SLUZBY	\N	\N
629392	2148	1996-05-31	VYDAJ	VYBER	15	20926	SLUZBY	\N	\N
629393	2148	1996-06-30	VYDAJ	VYBER	15	20184	SLUZBY	\N	\N
629394	2148	1996-07-31	VYDAJ	VYBER	15	19739	SLUZBY	\N	\N
629395	2148	1996-08-31	VYDAJ	VYBER	15	20895	SLUZBY	\N	\N
629396	2148	1996-09-30	VYDAJ	VYBER	15	16544	SLUZBY	\N	\N
629397	2148	1996-10-31	VYDAJ	VYBER	15	14280	SLUZBY	\N	\N
629398	2148	1996-11-30	VYDAJ	VYBER	15	13769	SLUZBY	\N	\N
629399	2148	1996-12-31	VYDAJ	VYBER	15	14730	SLUZBY	\N	\N
629400	2148	1997-01-31	VYDAJ	VYBER	15	11113	SLUZBY	\N	\N
629401	2148	1997-02-28	VYDAJ	VYBER	15	11431	SLUZBY	\N	\N
629402	2148	1997-03-31	VYDAJ	VYBER	15	12652	SLUZBY	\N	\N
629403	2148	1997-04-30	VYDAJ	VYBER	15	13879	SLUZBY	\N	\N
629404	2148	1997-05-31	VYDAJ	VYBER	15	12504	SLUZBY	\N	\N
629405	2148	1997-06-30	VYDAJ	VYBER	15	12527	SLUZBY	\N	\N
629406	2148	1997-07-31	VYDAJ	VYBER	15	14255	SLUZBY	\N	\N
629407	2148	1997-08-31	VYDAJ	VYBER	15	10675	SLUZBY	\N	\N
629408	2148	1997-09-30	VYDAJ	VYBER	15	11893	SLUZBY	\N	\N
629409	2148	1997-10-31	VYDAJ	VYBER	15	10910	SLUZBY	\N	\N
629410	2148	1997-11-30	VYDAJ	VYBER	15	13384	SLUZBY	\N	\N
629411	2148	1997-12-31	VYDAJ	VYBER	15	14463	SLUZBY	\N	\N
629412	2148	1998-01-31	VYDAJ	VYBER	15	12674	SLUZBY	\N	\N
629413	2148	1998-02-28	VYDAJ	VYBER	15	13901	SLUZBY	\N	\N
629414	2148	1998-03-31	VYDAJ	VYBER	15	15132	SLUZBY	\N	\N
629415	2148	1998-04-30	VYDAJ	VYBER	15	16369	SLUZBY	\N	\N
629416	2148	1998-05-31	VYDAJ	VYBER	15	17250	SLUZBY	\N	\N
629417	2148	1998-06-30	VYDAJ	VYBER	15	18495	SLUZBY	\N	\N
629418	2148	1998-07-31	VYDAJ	VYBER	15	19206	SLUZBY	\N	\N
629419	2148	1998-08-31	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
629420	2148	1998-09-30	VYDAJ	VYBER	15	21718	SLUZBY	\N	\N
629421	2148	1998-10-31	VYDAJ	VYBER	15	22260	SLUZBY	\N	\N
629422	2148	1998-11-30	VYDAJ	VYBER	15	23526	SLUZBY	\N	\N
629423	2148	1995-10-22	PRIJEM	VKLAD	11400	15256	\N	\N	\N
629424	2148	1995-11-21	PRIJEM	VKLAD	2000	20833	\N	\N	\N
629425	2148	1995-12-21	VYDAJ	VYBER	1900	22560	\N	\N	\N
629426	2148	1996-01-20	VYDAJ	VYBER	3900	22305	\N	\N	\N
629427	2148	1996-02-19	VYDAJ	VYBER	3100	22855	\N	\N	\N
629428	2148	1996-03-20	VYDAJ	VYBER	2200	21920	\N	\N	\N
629429	2148	1996-04-19	VYDAJ	VYBER	1100	22086	\N	\N	\N
629430	2148	1996-05-19	VYDAJ	VYBER	2500	20850	\N	\N	\N
629431	2148	1996-06-18	VYDAJ	VYBER	2000	20112	\N	\N	\N
629432	2148	1996-07-18	VYDAJ	VYBER	1700	19670	\N	\N	\N
629433	2148	1996-08-17	VYDAJ	VYBER	100	20825	\N	\N	\N
629434	2148	1996-09-16	VYDAJ	VYBER	5600	16481	\N	\N	\N
629435	2148	1996-10-16	VYDAJ	VYBER	3500	14230	\N	\N	\N
629436	2148	1996-11-15	VYDAJ	VYBER	1500	13726	\N	\N	\N
629437	2148	1997-01-14	VYDAJ	VYBER	2800	11286	\N	\N	\N
629438	2148	1997-02-13	VYDAJ	VYBER	900	11399	\N	\N	\N
629439	2148	1997-05-14	VYDAJ	VYBER	2600	12465	\N	\N	\N
629440	2148	1997-06-13	VYDAJ	VYBER	1200	12490	\N	\N	\N
629441	2148	1997-07-13	PRIJEM	VKLAD	500	14213	\N	\N	\N
629442	2148	1997-08-12	VYDAJ	VYBER	4800	10641	\N	\N	\N
629443	2148	1997-10-11	VYDAJ	VYBER	2200	10879	\N	\N	\N
629444	2148	1997-11-10	PRIJEM	VKLAD	2600	11140	\N	\N	\N
629445	2148	1998-01-09	PRIJEM	VKLAD	1000	14734	\N	\N	\N
629485	2149	1996-08-11	PRIJEM	VKLAD	600	600	\N	\N	\N
629494	2149	1996-09-10	PRIJEM	PREVOD Z UCTU	5523	6123	DUCHOD	MN	95951663
629495	2149	1996-10-10	PRIJEM	PREVOD Z UCTU	5523	11646	DUCHOD	MN	95951663
629496	2149	1996-11-10	PRIJEM	PREVOD Z UCTU	5523	17169	DUCHOD	MN	95951663
629497	2149	1996-12-10	PRIJEM	PREVOD Z UCTU	5523	21592	DUCHOD	MN	95951663
629498	2149	1997-01-10	PRIJEM	PREVOD Z UCTU	5523	24179	DUCHOD	MN	95951663
629499	2149	1997-02-10	PRIJEM	PREVOD Z UCTU	5523	20242	DUCHOD	MN	95951663
629500	2149	1997-03-10	PRIJEM	PREVOD Z UCTU	5523	21914	DUCHOD	MN	95951663
629501	2149	1997-04-10	PRIJEM	PREVOD Z UCTU	5523	22723	DUCHOD	MN	95951663
629502	2149	1997-05-10	PRIJEM	PREVOD Z UCTU	5523	23174	DUCHOD	MN	95951663
629503	2149	1997-06-10	PRIJEM	PREVOD Z UCTU	5523	20133	DUCHOD	MN	95951663
629504	2149	1997-07-10	PRIJEM	PREVOD Z UCTU	5523	19064	DUCHOD	MN	95951663
629505	2149	1997-08-10	PRIJEM	PREVOD Z UCTU	5523	22106	DUCHOD	MN	95951663
629506	2149	1997-09-10	PRIJEM	PREVOD Z UCTU	5523	25155	DUCHOD	MN	95951663
629507	2149	1997-10-10	PRIJEM	PREVOD Z UCTU	5523	21351	DUCHOD	MN	95951663
629508	2149	1997-11-10	PRIJEM	PREVOD Z UCTU	5523	24405	DUCHOD	MN	95951663
629509	2149	1997-12-10	PRIJEM	PREVOD Z UCTU	5523	23335	DUCHOD	MN	95951663
629510	2149	1998-01-10	PRIJEM	PREVOD Z UCTU	5523	26392	DUCHOD	MN	95951663
629511	2149	1998-02-10	PRIJEM	PREVOD Z UCTU	5523	22915	DUCHOD	MN	95951663
629512	2149	1998-03-10	PRIJEM	PREVOD Z UCTU	5523	19077	DUCHOD	MN	95951663
629513	2149	1998-04-10	PRIJEM	PREVOD Z UCTU	5523	22113	DUCHOD	MN	95951663
629514	2149	1998-05-10	PRIJEM	PREVOD Z UCTU	5523	25162	DUCHOD	MN	95951663
629515	2149	1998-06-10	PRIJEM	PREVOD Z UCTU	5523	28224	DUCHOD	MN	95951663
629516	2149	1998-07-10	PRIJEM	PREVOD Z UCTU	5523	30098	DUCHOD	MN	95951663
629517	2149	1998-08-10	PRIJEM	PREVOD Z UCTU	5523	28684	DUCHOD	MN	95951663
629518	2149	1998-09-10	PRIJEM	PREVOD Z UCTU	5523	24868	DUCHOD	MN	95951663
629519	2149	1998-10-10	PRIJEM	PREVOD Z UCTU	5523	26739	DUCHOD	MN	95951663
629520	2149	1998-11-10	PRIJEM	PREVOD Z UCTU	5523	21788	DUCHOD	MN	95951663
629521	2149	1998-12-10	PRIJEM	PREVOD Z UCTU	5523	23140	DUCHOD	MN	95951663
629534	2149	1997-01-13	VYDAJ	PREVOD NA UCET	2536	21643	SIPO	MN	14587313
629535	2149	1997-02-13	VYDAJ	PREVOD NA UCET	2536	17226	SIPO	MN	14587313
629536	2149	1997-03-13	VYDAJ	PREVOD NA UCET	2536	19378	SIPO	MN	14587313
629537	2149	1997-04-13	VYDAJ	PREVOD NA UCET	2536	20187	SIPO	MN	14587313
629538	2149	1997-05-13	VYDAJ	PREVOD NA UCET	2536	20638	SIPO	MN	14587313
629539	2149	1997-06-13	VYDAJ	PREVOD NA UCET	2536	17597	SIPO	MN	14587313
629540	2149	1997-07-13	VYDAJ	PREVOD NA UCET	2536	16528	SIPO	MN	14587313
629541	2149	1997-08-13	VYDAJ	PREVOD NA UCET	2536	19570	SIPO	MN	14587313
629542	2149	1997-09-13	VYDAJ	PREVOD NA UCET	2536	22619	SIPO	MN	14587313
629543	2149	1997-10-13	VYDAJ	PREVOD NA UCET	2536	18815	SIPO	MN	14587313
629544	2149	1997-11-13	VYDAJ	PREVOD NA UCET	2536	21869	SIPO	MN	14587313
629545	2149	1997-12-13	VYDAJ	PREVOD NA UCET	2536	20799	SIPO	MN	14587313
629546	2149	1998-01-13	VYDAJ	PREVOD NA UCET	2536	21376	SIPO	MN	14587313
629547	2149	1998-02-13	VYDAJ	PREVOD NA UCET	2536	20379	SIPO	MN	14587313
629548	2149	1998-03-13	VYDAJ	PREVOD NA UCET	2536	16541	SIPO	MN	14587313
629549	2149	1998-04-13	VYDAJ	PREVOD NA UCET	2536	19577	SIPO	MN	14587313
629550	2149	1998-05-13	VYDAJ	PREVOD NA UCET	2536	22626	SIPO	MN	14587313
629551	2149	1998-06-13	VYDAJ	PREVOD NA UCET	2536	25688	SIPO	MN	14587313
629552	2149	1998-07-13	VYDAJ	PREVOD NA UCET	2536	27562	SIPO	MN	14587313
629553	2149	1998-08-13	VYDAJ	PREVOD NA UCET	2536	26148	SIPO	MN	14587313
629554	2149	1998-09-13	VYDAJ	PREVOD NA UCET	2536	22332	SIPO	MN	14587313
629555	2149	1998-10-13	VYDAJ	PREVOD NA UCET	2536	24203	SIPO	MN	14587313
629556	2149	1998-11-13	VYDAJ	PREVOD NA UCET	2536	19252	SIPO	MN	14587313
629557	2149	1998-12-13	VYDAJ	PREVOD NA UCET	2536	20604	SIPO	MN	14587313
629563	2149	1998-01-18	VYDAJ	VYBER	4050	17326	\N	\N	\N
629565	2149	1997-12-07	VYDAJ	VYBER	600	17812	\N	\N	\N
629566	2149	1998-12-07	VYDAJ	VYBER	500	17617	\N	\N	\N
629573	2149	1997-11-14	VYDAJ	VYBER	3520	18349	\N	\N	\N
629574	2149	1997-02-10	VYDAJ	VYBER	480	19762	\N	\N	\N
629575	2149	1997-06-29	VYDAJ	VYBER	720	16877	\N	\N	\N
629576	2149	1997-09-15	VYDAJ	VYBER	2560	20059	\N	\N	\N
629577	2149	1997-03-22	VYDAJ	VYBER	2240	17138	\N	\N	\N
629578	2149	1998-01-12	VYDAJ	VYBER	2480	23912	\N	\N	\N
629579	2149	1998-02-16	VYDAJ	VYBER	3680	16699	\N	\N	\N
629580	2149	1998-11-24	VYDAJ	VYBER	1200	18052	\N	\N	\N
629581	2149	1998-11-01	VYDAJ	VYBER	2720	16265	\N	\N	\N
629582	2149	1998-02-22	VYDAJ	VYBER	3200	13499	\N	\N	\N
629583	2149	1998-12-19	VYDAJ	VYBER	3040	17564	\N	\N	\N
629597	2149	1997-01-31	VYDAJ	VYBER	15	21719	SLUZBY	\N	\N
629598	2149	1997-02-28	VYDAJ	VYBER	15	17291	SLUZBY	\N	\N
629599	2149	1997-03-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
629600	2149	1997-04-30	VYDAJ	VYBER	15	20251	SLUZBY	\N	\N
629601	2149	1997-05-31	VYDAJ	VYBER	15	20710	SLUZBY	\N	\N
629602	2149	1997-06-30	VYDAJ	VYBER	15	16941	SLUZBY	\N	\N
629603	2149	1997-07-31	VYDAJ	VYBER	15	16583	SLUZBY	\N	\N
629604	2149	1997-08-31	VYDAJ	VYBER	15	19632	SLUZBY	\N	\N
629605	2149	1997-09-30	VYDAJ	VYBER	15	20128	SLUZBY	\N	\N
629606	2149	1997-10-31	VYDAJ	VYBER	15	18882	SLUZBY	\N	\N
629607	2149	1997-11-30	VYDAJ	VYBER	15	18412	SLUZBY	\N	\N
629608	2149	1997-12-31	VYDAJ	VYBER	15	20869	SLUZBY	\N	\N
629609	2149	1998-01-31	VYDAJ	VYBER	15	17392	SLUZBY	\N	\N
629610	2149	1998-02-28	VYDAJ	VYBER	15	13554	SLUZBY	\N	\N
629611	2149	1998-03-31	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
629612	2149	1998-04-30	VYDAJ	VYBER	15	19639	SLUZBY	\N	\N
629613	2149	1998-05-31	VYDAJ	VYBER	15	22701	SLUZBY	\N	\N
629614	2149	1998-06-30	VYDAJ	VYBER	15	25775	SLUZBY	\N	\N
629615	2149	1998-07-31	VYDAJ	VYBER	15	27661	SLUZBY	\N	\N
629616	2149	1998-08-31	VYDAJ	VYBER	15	26245	SLUZBY	\N	\N
629617	2149	1998-09-30	VYDAJ	VYBER	15	22416	SLUZBY	\N	\N
629618	2149	1998-10-31	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
629619	2149	1998-11-30	VYDAJ	VYBER	15	18117	SLUZBY	\N	\N
629620	2149	1996-12-09	VYDAJ	VYBER	1100	16069	\N	\N	\N
629621	2149	1997-01-08	VYDAJ	VYBER	3000	18656	\N	\N	\N
629622	2149	1997-02-07	VYDAJ	VYBER	7000	14719	\N	\N	\N
629623	2149	1997-03-09	VYDAJ	VYBER	900	16391	\N	\N	\N
629624	2149	1997-05-08	VYDAJ	VYBER	2600	17651	\N	\N	\N
629625	2149	1997-06-07	VYDAJ	VYBER	6100	14610	\N	\N	\N
629626	2149	1997-07-07	VYDAJ	VYBER	3400	13541	\N	\N	\N
629627	2149	1997-10-05	VYDAJ	VYBER	4300	15828	\N	\N	\N
629628	2149	1998-07-02	VYDAJ	VYBER	1200	24575	\N	\N	\N
629629	2149	1998-08-01	VYDAJ	VYBER	4500	23161	\N	\N	\N
629630	2149	1998-08-31	VYDAJ	VYBER	6900	19345	\N	\N	\N
629631	2149	1998-09-30	VYDAJ	VYBER	1200	21216	\N	\N	\N
629632	2149	1998-10-30	VYDAJ	VYBER	5300	18903	\N	\N	\N
629658	2150	1993-09-12	PRIJEM	VKLAD	900	900	\N	\N	\N
629667	2150	1993-09-13	PRIJEM	PREVOD Z UCTU	3381	4281	\N	WX	44033819
629668	2150	1993-10-13	PRIJEM	PREVOD Z UCTU	3381	7673	\N	WX	44033819
629669	2150	1993-11-13	PRIJEM	PREVOD Z UCTU	3381	11072	\N	WX	44033819
629670	2150	1993-12-13	PRIJEM	PREVOD Z UCTU	3381	14470	\N	WX	44033819
629671	2150	1994-01-13	PRIJEM	PREVOD Z UCTU	3381	17869	\N	WX	44033819
629672	2150	1994-02-13	PRIJEM	PREVOD Z UCTU	3381	17062	\N	WX	44033819
629673	2150	1994-03-13	PRIJEM	PREVOD Z UCTU	3381	18478	\N	WX	44033819
629674	2150	1994-04-13	PRIJEM	PREVOD Z UCTU	3381	19900	\N	WX	44033819
629675	2150	1994-05-13	PRIJEM	PREVOD Z UCTU	3381	20248	\N	WX	44033819
629676	2150	1994-06-13	PRIJEM	PREVOD Z UCTU	3381	21499	\N	WX	44033819
629677	2150	1994-07-13	PRIJEM	PREVOD Z UCTU	3381	14303	\N	WX	44033819
629678	2150	1994-08-13	PRIJEM	PREVOD Z UCTU	3381	15708	\N	WX	44033819
629679	2150	1994-09-13	PRIJEM	PREVOD Z UCTU	3381	14928	\N	WX	44033819
629680	2150	1994-10-13	PRIJEM	PREVOD Z UCTU	3381	16336	\N	WX	44033819
629681	2150	1994-11-13	PRIJEM	PREVOD Z UCTU	3381	17750	\N	WX	44033819
629682	2150	1994-12-13	PRIJEM	PREVOD Z UCTU	3381	19169	\N	WX	44033819
629683	2150	1995-01-13	PRIJEM	PREVOD Z UCTU	3381	18464	\N	WX	44033819
629684	2150	1995-02-13	PRIJEM	PREVOD Z UCTU	3381	14902	\N	WX	44033819
629685	2150	1995-03-13	PRIJEM	PREVOD Z UCTU	3381	16309	\N	WX	44033819
629686	2150	1995-04-13	PRIJEM	PREVOD Z UCTU	3381	16762	\N	WX	44033819
629687	2150	1995-05-13	PRIJEM	PREVOD Z UCTU	3381	18178	\N	WX	44033819
629688	2150	1995-06-13	PRIJEM	PREVOD Z UCTU	3381	19599	\N	WX	44033819
629689	2150	1995-07-13	PRIJEM	PREVOD Z UCTU	3381	15376	\N	WX	44033819
629690	2150	1995-08-13	PRIJEM	PREVOD Z UCTU	3381	16785	\N	WX	44033819
629691	2150	1995-09-13	PRIJEM	PREVOD Z UCTU	3381	18200	\N	WX	44033819
629692	2150	1995-10-13	PRIJEM	PREVOD Z UCTU	3381	18821	\N	WX	44033819
629693	2150	1995-11-13	PRIJEM	PREVOD Z UCTU	3381	19975	\N	WX	44033819
629694	2150	1995-12-13	PRIJEM	PREVOD Z UCTU	3381	20293	\N	WX	44033819
629695	2150	1996-01-13	PRIJEM	PREVOD Z UCTU	3381	17822	\N	WX	44033819
629696	2150	1996-02-13	PRIJEM	PREVOD Z UCTU	3381	18283	\N	WX	44033819
629697	2150	1996-03-13	PRIJEM	PREVOD Z UCTU	3381	19704	\N	WX	44033819
629698	2150	1996-04-13	PRIJEM	PREVOD Z UCTU	3381	21131	\N	WX	44033819
629699	2150	1996-05-13	PRIJEM	PREVOD Z UCTU	3381	21164	\N	WX	44033819
629700	2150	1996-06-13	PRIJEM	PREVOD Z UCTU	3381	19696	\N	WX	44033819
629701	2150	1996-07-13	PRIJEM	PREVOD Z UCTU	3381	18421	\N	WX	44033819
629702	2150	1996-08-13	PRIJEM	PREVOD Z UCTU	3381	17842	\N	WX	44033819
629703	2150	1996-09-13	PRIJEM	PREVOD Z UCTU	3381	15988	\N	WX	44033819
629704	2150	1996-10-13	PRIJEM	PREVOD Z UCTU	3381	17399	\N	WX	44033819
629705	2150	1996-11-13	PRIJEM	PREVOD Z UCTU	3381	16064	\N	WX	44033819
629706	2150	1996-12-13	PRIJEM	PREVOD Z UCTU	3381	17005	\N	WX	44033819
629707	2150	1997-01-13	PRIJEM	PREVOD Z UCTU	3381	15147	\N	WX	44033819
629708	2150	1997-02-13	PRIJEM	PREVOD Z UCTU	3381	15682	\N	WX	44033819
629709	2150	1997-03-13	PRIJEM	PREVOD Z UCTU	3381	16191	\N	WX	44033819
629710	2150	1997-04-13	PRIJEM	PREVOD Z UCTU	3381	15100	\N	WX	44033819
629711	2150	1997-05-13	PRIJEM	PREVOD Z UCTU	3381	14706	\N	WX	44033819
629712	2150	1997-06-13	PRIJEM	PREVOD Z UCTU	3381	16111	\N	WX	44033819
629713	2150	1997-07-13	PRIJEM	PREVOD Z UCTU	3381	17523	\N	WX	44033819
629714	2150	1997-08-13	PRIJEM	PREVOD Z UCTU	3381	18940	\N	WX	44033819
629715	2150	1997-09-13	PRIJEM	PREVOD Z UCTU	3381	15857	\N	WX	44033819
629716	2150	1997-10-13	PRIJEM	PREVOD Z UCTU	3381	16566	\N	WX	44033819
629717	2150	1997-11-13	PRIJEM	PREVOD Z UCTU	3381	16357	\N	WX	44033819
629718	2150	1997-12-13	PRIJEM	PREVOD Z UCTU	3381	14724	\N	WX	44033819
629719	2150	1998-01-13	PRIJEM	PREVOD Z UCTU	3381	16130	\N	WX	44033819
629720	2150	1998-02-13	PRIJEM	PREVOD Z UCTU	3381	16460	\N	WX	44033819
629721	2150	1998-03-13	PRIJEM	PREVOD Z UCTU	3381	14166	\N	WX	44033819
629722	2150	1998-04-13	PRIJEM	PREVOD Z UCTU	3381	15569	\N	WX	44033819
629723	2150	1998-05-13	PRIJEM	PREVOD Z UCTU	3381	16978	\N	WX	44033819
629724	2150	1998-06-13	PRIJEM	PREVOD Z UCTU	3381	17972	\N	WX	44033819
629725	2150	1998-07-13	PRIJEM	PREVOD Z UCTU	3381	18671	\N	WX	44033819
629726	2150	1998-08-13	PRIJEM	PREVOD Z UCTU	3381	18983	\N	WX	44033819
629727	2150	1998-09-13	PRIJEM	PREVOD Z UCTU	3381	19206	\N	WX	44033819
629728	2150	1998-10-13	PRIJEM	PREVOD Z UCTU	3381	15219	\N	WX	44033819
629729	2150	1998-11-13	PRIJEM	PREVOD Z UCTU	3381	16626	\N	WX	44033819
629730	2150	1998-12-13	PRIJEM	PREVOD Z UCTU	3381	18039	\N	WX	44033819
629744	2150	1994-02-12	VYDAJ	PREVOD NA UCET	2019	13681	SIPO	AB	37624383
629745	2150	1994-03-12	VYDAJ	PREVOD NA UCET	2019	15097	SIPO	AB	37624383
629746	2150	1994-04-12	VYDAJ	PREVOD NA UCET	2019	16519	SIPO	AB	37624383
629747	2150	1994-05-12	VYDAJ	PREVOD NA UCET	2019	16867	SIPO	AB	37624383
629748	2150	1994-06-12	VYDAJ	PREVOD NA UCET	2019	18118	SIPO	AB	37624383
629749	2150	1994-07-12	VYDAJ	PREVOD NA UCET	2019	10922	SIPO	AB	37624383
629750	2150	1994-08-12	VYDAJ	PREVOD NA UCET	2019	12327	SIPO	AB	37624383
629751	2150	1994-09-12	VYDAJ	PREVOD NA UCET	2019	11547	SIPO	AB	37624383
629752	2150	1994-10-12	VYDAJ	PREVOD NA UCET	2019	12955	SIPO	AB	37624383
629753	2150	1994-11-12	VYDAJ	PREVOD NA UCET	2019	14369	SIPO	AB	37624383
629754	2150	1994-12-12	VYDAJ	PREVOD NA UCET	2019	15788	SIPO	AB	37624383
629755	2150	1995-01-12	VYDAJ	PREVOD NA UCET	2019	15083	SIPO	AB	37624383
629756	2150	1995-02-12	VYDAJ	PREVOD NA UCET	2019	11521	SIPO	AB	37624383
629757	2150	1995-03-12	VYDAJ	PREVOD NA UCET	2019	12928	SIPO	AB	37624383
629758	2150	1995-04-12	VYDAJ	PREVOD NA UCET	2019	13381	SIPO	AB	37624383
629759	2150	1995-05-12	VYDAJ	PREVOD NA UCET	2019	14797	SIPO	AB	37624383
629760	2150	1995-06-12	VYDAJ	PREVOD NA UCET	2019	16218	SIPO	AB	37624383
629761	2150	1995-07-12	VYDAJ	PREVOD NA UCET	2019	11995	SIPO	AB	37624383
629762	2150	1995-08-12	VYDAJ	PREVOD NA UCET	2019	13404	SIPO	AB	37624383
629763	2150	1995-09-12	VYDAJ	PREVOD NA UCET	2019	14819	SIPO	AB	37624383
629764	2150	1995-10-12	VYDAJ	PREVOD NA UCET	2019	15440	SIPO	AB	37624383
629765	2150	1995-11-12	VYDAJ	PREVOD NA UCET	2019	16594	SIPO	AB	37624383
629766	2150	1995-12-12	VYDAJ	PREVOD NA UCET	2019	16912	SIPO	AB	37624383
629767	2150	1996-01-12	VYDAJ	PREVOD NA UCET	2019	14441	SIPO	AB	37624383
629768	2150	1996-02-12	VYDAJ	PREVOD NA UCET	2019	14902	SIPO	AB	37624383
629769	2150	1996-03-12	VYDAJ	PREVOD NA UCET	2019	16323	SIPO	AB	37624383
629770	2150	1996-04-12	VYDAJ	PREVOD NA UCET	2019	17750	SIPO	AB	37624383
629771	2150	1996-05-12	VYDAJ	PREVOD NA UCET	2019	17783	SIPO	AB	37624383
629772	2150	1996-06-12	VYDAJ	PREVOD NA UCET	2019	16315	SIPO	AB	37624383
629773	2150	1996-07-12	VYDAJ	PREVOD NA UCET	2019	15040	SIPO	AB	37624383
629774	2150	1996-08-12	VYDAJ	PREVOD NA UCET	2019	14461	SIPO	AB	37624383
629775	2150	1996-09-12	VYDAJ	PREVOD NA UCET	2019	12607	SIPO	AB	37624383
629776	2150	1996-10-12	VYDAJ	PREVOD NA UCET	2019	14018	SIPO	AB	37624383
629777	2150	1996-11-12	VYDAJ	PREVOD NA UCET	2019	12683	SIPO	AB	37624383
629778	2150	1996-12-12	VYDAJ	PREVOD NA UCET	2019	13624	SIPO	AB	37624383
629779	2150	1997-01-12	VYDAJ	PREVOD NA UCET	2019	11766	SIPO	AB	37624383
629780	2150	1997-02-12	VYDAJ	PREVOD NA UCET	2019	12301	SIPO	AB	37624383
629781	2150	1997-03-12	VYDAJ	PREVOD NA UCET	2019	12810	SIPO	AB	37624383
629782	2150	1997-04-12	VYDAJ	PREVOD NA UCET	2019	11719	SIPO	AB	37624383
629783	2150	1997-05-12	VYDAJ	PREVOD NA UCET	2019	11325	SIPO	AB	37624383
629784	2150	1997-06-12	VYDAJ	PREVOD NA UCET	2019	12730	SIPO	AB	37624383
629785	2150	1997-07-12	VYDAJ	PREVOD NA UCET	2019	14142	SIPO	AB	37624383
629786	2150	1997-08-12	VYDAJ	PREVOD NA UCET	2019	15559	SIPO	AB	37624383
629787	2150	1997-09-12	VYDAJ	PREVOD NA UCET	2019	12476	SIPO	AB	37624383
629788	2150	1997-10-12	VYDAJ	PREVOD NA UCET	2019	13185	SIPO	AB	37624383
629789	2150	1997-11-12	VYDAJ	PREVOD NA UCET	2019	12976	SIPO	AB	37624383
629790	2150	1997-12-12	VYDAJ	PREVOD NA UCET	2019	11343	SIPO	AB	37624383
629791	2150	1998-01-12	VYDAJ	PREVOD NA UCET	2019	12749	SIPO	AB	37624383
629792	2150	1998-02-12	VYDAJ	PREVOD NA UCET	2019	13079	SIPO	AB	37624383
629793	2150	1998-03-12	VYDAJ	PREVOD NA UCET	2019	10785	SIPO	AB	37624383
629794	2150	1998-04-12	VYDAJ	PREVOD NA UCET	2019	12188	SIPO	AB	37624383
629795	2150	1998-05-12	VYDAJ	PREVOD NA UCET	2019	13597	SIPO	AB	37624383
629796	2150	1998-06-12	VYDAJ	PREVOD NA UCET	2019	14591	SIPO	AB	37624383
629797	2150	1998-07-12	VYDAJ	PREVOD NA UCET	2019	15290	SIPO	AB	37624383
629798	2150	1998-08-12	VYDAJ	PREVOD NA UCET	2019	15602	SIPO	AB	37624383
629799	2150	1998-09-12	VYDAJ	PREVOD NA UCET	2019	15825	SIPO	AB	37624383
629800	2150	1998-10-12	VYDAJ	PREVOD NA UCET	2019	11838	SIPO	AB	37624383
629801	2150	1998-11-12	VYDAJ	PREVOD NA UCET	2019	13245	SIPO	AB	37624383
629802	2150	1998-12-12	VYDAJ	PREVOD NA UCET	2019	14658	SIPO	AB	37624383
629804	2150	1994-06-13	VYDAJ	VYBER	8460	13039	\N	\N	\N
629805	2150	1995-06-18	VYDAJ	VYBER	5640	13959	\N	\N	\N
629810	2150	1994-01-21	VYDAJ	VYBER	1440	16429	\N	\N	\N
629811	2150	1995-01-22	VYDAJ	VYBER	1080	16454	\N	\N	\N
629812	2150	1996-01-06	VYDAJ	VYBER	1530	18020	\N	\N	\N
629823	2150	1994-01-29	VYDAJ	VYBER	360	16069	\N	\N	\N
629825	2150	1994-01-29	VYDAJ	VYBER	390	15679	\N	\N	\N
629827	2150	1995-01-29	VYDAJ	VYBER	480	13964	\N	\N	\N
629828	2150	1995-01-27	VYDAJ	VYBER	720	15254	\N	\N	\N
629829	2150	1995-01-20	VYDAJ	VYBER	510	17534	\N	\N	\N
629830	2150	1995-01-26	VYDAJ	VYBER	480	15974	\N	\N	\N
629831	2150	1995-01-08	VYDAJ	VYBER	780	17102	\N	\N	\N
629832	2150	1995-01-28	VYDAJ	VYBER	810	14444	\N	\N	\N
629833	2150	1996-01-07	VYDAJ	VYBER	720	17300	\N	\N	\N
629834	2150	1996-01-10	VYDAJ	VYBER	840	16460	\N	\N	\N
629835	2150	1996-01-29	VYDAJ	VYBER	360	16862	\N	\N	\N
629836	2150	1996-01-21	VYDAJ	VYBER	360	17222	\N	\N	\N
629837	2150	1996-01-04	VYDAJ	VYBER	810	19550	\N	\N	\N
629838	2150	1996-01-14	VYDAJ	VYBER	240	17582	\N	\N	\N
629843	2150	1997-01-13	VYDAJ	VYBER	870	14277	\N	\N	\N
629845	2150	1998-01-14	VYDAJ	VYBER	150	15980	\N	\N	\N
629846	2150	1998-01-29	VYDAJ	VYBER	180	15050	\N	\N	\N
629847	2150	1998-01-14	VYDAJ	VYBER	750	15230	\N	\N	\N
629858	2150	1994-12-30	VYDAJ	VYBER	1350	17819	\N	\N	\N
629859	2150	1994-05-31	VYDAJ	VYBER	180	20152	\N	\N	\N
629860	2150	1994-09-11	VYDAJ	VYBER	900	13566	\N	\N	\N
629861	2150	1994-08-29	VYDAJ	VYBER	1290	14418	\N	\N	\N
629862	2150	1994-05-06	VYDAJ	VYBER	1080	18886	\N	\N	\N
629863	2150	1994-06-30	VYDAJ	VYBER	150	12955	\N	\N	\N
629864	2150	1995-04-05	VYDAJ	VYBER	960	15400	\N	\N	\N
629865	2150	1995-11-30	VYDAJ	VYBER	1110	18946	\N	\N	\N
629866	2150	1995-01-13	VYDAJ	VYBER	420	18044	\N	\N	\N
629867	2150	1995-10-28	VYDAJ	VYBER	270	18551	\N	\N	\N
629868	2150	1995-01-31	VYDAJ	VYBER	480	13555	\N	\N	\N
629869	2150	1996-08-14	VYDAJ	VYBER	270	17572	\N	\N	\N
629871	2150	1996-11-23	VYDAJ	VYBER	270	15794	\N	\N	\N
629872	2150	1996-10-22	VYDAJ	VYBER	150	17249	\N	\N	\N
629873	2150	1996-12-21	VYDAJ	VYBER	1470	15535	\N	\N	\N
629874	2150	1997-11-04	VYDAJ	VYBER	240	14995	\N	\N	\N
629875	2150	1997-11-19	VYDAJ	VYBER	540	15817	\N	\N	\N
629879	2150	1997-10-18	VYDAJ	VYBER	1380	15186	\N	\N	\N
629881	2150	1998-07-06	VYDAJ	VYBER	720	17309	\N	\N	\N
629882	2150	1998-09-07	VYDAJ	VYBER	1200	17844	\N	\N	\N
629884	2150	1998-06-05	VYDAJ	VYBER	420	16610	\N	\N	\N
629885	2150	1998-07-30	VYDAJ	VYBER	1110	17561	\N	\N	\N
629900	2150	1994-01-31	VYDAJ	VYBER	15	15700	SLUZBY	\N	\N
629901	2150	1994-02-28	VYDAJ	VYBER	15	17116	SLUZBY	\N	\N
629902	2150	1994-03-31	VYDAJ	VYBER	15	18538	SLUZBY	\N	\N
629903	2150	1994-04-30	VYDAJ	VYBER	15	19966	SLUZBY	\N	\N
629904	2150	1994-05-31	VYDAJ	VYBER	15	20137	SLUZBY	\N	\N
629905	2150	1994-06-30	VYDAJ	VYBER	15	12941	SLUZBY	\N	\N
629906	2150	1994-07-31	VYDAJ	VYBER	15	14346	SLUZBY	\N	\N
629907	2150	1994-08-31	VYDAJ	VYBER	15	14466	SLUZBY	\N	\N
629908	2150	1994-09-30	VYDAJ	VYBER	15	14974	SLUZBY	\N	\N
629909	2150	1994-10-31	VYDAJ	VYBER	15	16388	SLUZBY	\N	\N
629910	2150	1994-11-30	VYDAJ	VYBER	15	17807	SLUZBY	\N	\N
629911	2150	1994-12-31	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
629912	2150	1995-01-31	VYDAJ	VYBER	15	13540	SLUZBY	\N	\N
629913	2150	1995-02-28	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
629914	2150	1995-03-31	VYDAJ	VYBER	15	16360	SLUZBY	\N	\N
629915	2150	1995-04-30	VYDAJ	VYBER	15	16816	SLUZBY	\N	\N
629916	2150	1995-05-31	VYDAJ	VYBER	15	18237	SLUZBY	\N	\N
629917	2150	1995-06-30	VYDAJ	VYBER	15	14014	SLUZBY	\N	\N
629918	2150	1995-07-31	VYDAJ	VYBER	15	15423	SLUZBY	\N	\N
629919	2150	1995-08-31	VYDAJ	VYBER	15	16838	SLUZBY	\N	\N
629920	2150	1995-09-30	VYDAJ	VYBER	15	18259	SLUZBY	\N	\N
629921	2150	1995-10-31	VYDAJ	VYBER	15	18613	SLUZBY	\N	\N
629922	2150	1995-11-30	VYDAJ	VYBER	15	18931	SLUZBY	\N	\N
629923	2150	1995-12-31	VYDAJ	VYBER	15	20360	SLUZBY	\N	\N
629924	2150	1996-01-31	VYDAJ	VYBER	15	16921	SLUZBY	\N	\N
629925	2150	1996-02-29	VYDAJ	VYBER	15	18342	SLUZBY	\N	\N
629926	2150	1996-03-31	VYDAJ	VYBER	15	19769	SLUZBY	\N	\N
629927	2150	1996-04-30	VYDAJ	VYBER	15	19802	SLUZBY	\N	\N
629928	2150	1996-05-31	VYDAJ	VYBER	15	18334	SLUZBY	\N	\N
629929	2150	1996-06-30	VYDAJ	VYBER	15	17059	SLUZBY	\N	\N
629930	2150	1996-07-31	VYDAJ	VYBER	15	16480	SLUZBY	\N	\N
629931	2150	1996-08-31	VYDAJ	VYBER	15	14626	SLUZBY	\N	\N
629932	2150	1996-09-30	VYDAJ	VYBER	15	16037	SLUZBY	\N	\N
629933	2150	1996-10-31	VYDAJ	VYBER	15	14702	SLUZBY	\N	\N
629934	2150	1996-11-30	VYDAJ	VYBER	15	15643	SLUZBY	\N	\N
629935	2150	1996-12-31	VYDAJ	VYBER	15	13785	SLUZBY	\N	\N
629936	2150	1997-01-31	VYDAJ	VYBER	15	14320	SLUZBY	\N	\N
629937	2150	1997-02-28	VYDAJ	VYBER	15	14829	SLUZBY	\N	\N
629938	2150	1997-03-31	VYDAJ	VYBER	15	13738	SLUZBY	\N	\N
629939	2150	1997-04-30	VYDAJ	VYBER	15	13344	SLUZBY	\N	\N
629940	2150	1997-05-31	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
629941	2150	1997-06-30	VYDAJ	VYBER	15	16161	SLUZBY	\N	\N
629942	2150	1997-07-31	VYDAJ	VYBER	15	17578	SLUZBY	\N	\N
629943	2150	1997-08-31	VYDAJ	VYBER	15	14495	SLUZBY	\N	\N
629944	2150	1997-09-30	VYDAJ	VYBER	15	15204	SLUZBY	\N	\N
629945	2150	1997-10-31	VYDAJ	VYBER	15	15235	SLUZBY	\N	\N
629946	2150	1997-11-30	VYDAJ	VYBER	15	13362	SLUZBY	\N	\N
629947	2150	1997-12-31	VYDAJ	VYBER	15	14768	SLUZBY	\N	\N
629948	2150	1998-01-31	VYDAJ	VYBER	15	15098	SLUZBY	\N	\N
629949	2150	1998-02-28	VYDAJ	VYBER	15	12804	SLUZBY	\N	\N
629950	2150	1998-03-31	VYDAJ	VYBER	15	14207	SLUZBY	\N	\N
629951	2150	1998-04-30	VYDAJ	VYBER	15	15616	SLUZBY	\N	\N
629952	2150	1998-05-31	VYDAJ	VYBER	15	17030	SLUZBY	\N	\N
629953	2150	1998-06-30	VYDAJ	VYBER	15	18029	SLUZBY	\N	\N
629954	2150	1998-07-31	VYDAJ	VYBER	15	17621	SLUZBY	\N	\N
629955	2150	1998-08-31	VYDAJ	VYBER	15	19044	SLUZBY	\N	\N
629956	2150	1998-09-30	VYDAJ	VYBER	15	13857	SLUZBY	\N	\N
629957	2150	1998-10-31	VYDAJ	VYBER	15	15264	SLUZBY	\N	\N
629958	2150	1998-11-30	VYDAJ	VYBER	15	16677	SLUZBY	\N	\N
629959	2150	1995-10-02	VYDAJ	VYBER	800	17459	\N	\N	\N
629960	2150	1996-04-29	VYDAJ	VYBER	1400	19731	\N	\N	\N
629961	2150	1996-05-29	VYDAJ	VYBER	2900	18264	\N	\N	\N
629962	2150	1996-06-28	VYDAJ	VYBER	2700	16996	\N	\N	\N
629963	2150	1996-07-28	VYDAJ	VYBER	2000	16421	\N	\N	\N
629964	2150	1996-08-27	VYDAJ	VYBER	3000	14572	\N	\N	\N
629965	2150	1996-10-26	VYDAJ	VYBER	2600	14649	\N	\N	\N
629966	2150	1996-11-25	VYDAJ	VYBER	200	15594	\N	\N	\N
629967	2150	1996-12-25	VYDAJ	VYBER	1800	13735	\N	\N	\N
629968	2150	1997-02-23	VYDAJ	VYBER	900	14782	\N	\N	\N
629969	2150	1997-03-25	VYDAJ	VYBER	2500	13691	\N	\N	\N
629970	2150	1997-04-24	VYDAJ	VYBER	1800	13300	\N	\N	\N
629971	2150	1997-08-22	VYDAJ	VYBER	4500	14440	\N	\N	\N
629972	2150	1997-09-21	VYDAJ	VYBER	700	15157	\N	\N	\N
629973	2150	1997-11-20	VYDAJ	VYBER	2500	13317	\N	\N	\N
629974	2150	1998-02-18	VYDAJ	VYBER	3700	12760	\N	\N	\N
629975	2150	1998-09-16	VYDAJ	VYBER	5400	13806	\N	\N	\N
630040	2151	1995-02-08	PRIJEM	VKLAD	400	400	\N	\N	\N
630042	2151	1995-02-12	PRIJEM	VKLAD	10104	10504	\N	\N	\N
630043	2151	1995-03-12	PRIJEM	VKLAD	10104	25135	\N	\N	\N
630044	2151	1995-04-12	PRIJEM	VKLAD	10104	33922	\N	\N	\N
630045	2151	1995-05-12	PRIJEM	VKLAD	10104	38754	\N	\N	\N
630046	2151	1995-06-12	PRIJEM	VKLAD	15156	45664	\N	\N	\N
630047	2151	1995-07-12	PRIJEM	VKLAD	10104	42384	\N	\N	\N
630048	2151	1995-08-12	PRIJEM	VKLAD	10104	39193	\N	\N	\N
630049	2151	1995-09-12	PRIJEM	VKLAD	10104	33292	\N	\N	\N
630050	2151	1995-10-12	PRIJEM	VKLAD	10104	28365	\N	\N	\N
630051	2151	1995-11-12	PRIJEM	VKLAD	10104	28915	\N	\N	\N
630052	2151	1995-12-12	PRIJEM	VKLAD	15156	33616	\N	\N	\N
630053	2151	1996-01-12	PRIJEM	VKLAD	10104	29076	\N	\N	\N
630054	2151	1996-02-12	PRIJEM	VKLAD	10104	26518	\N	\N	\N
630055	2151	1996-03-12	PRIJEM	VKLAD	10104	28954	\N	\N	\N
630056	2151	1996-04-12	PRIJEM	VKLAD	10104	24992	\N	\N	\N
630057	2151	1996-05-12	PRIJEM	VKLAD	10104	23625	\N	\N	\N
630058	2151	1996-06-12	PRIJEM	VKLAD	15156	28803	\N	\N	\N
630059	2151	1996-07-12	PRIJEM	VKLAD	10104	28142	\N	\N	\N
630060	2151	1996-08-12	PRIJEM	VKLAD	10104	24588	\N	\N	\N
630061	2151	1996-09-12	PRIJEM	VKLAD	10104	25722	\N	\N	\N
630062	2151	1996-10-12	PRIJEM	VKLAD	10104	23454	\N	\N	\N
630063	2151	1996-11-12	PRIJEM	VKLAD	10104	26477	\N	\N	\N
630064	2151	1996-12-12	PRIJEM	VKLAD	15156	25462	\N	\N	\N
630065	2151	1997-01-12	PRIJEM	VKLAD	10104	20483	\N	\N	\N
630066	2151	1997-02-12	PRIJEM	VKLAD	10104	21693	\N	\N	\N
630067	2151	1997-03-12	PRIJEM	VKLAD	10104	25109	\N	\N	\N
630068	2151	1997-04-12	PRIJEM	VKLAD	10104	22537	\N	\N	\N
630069	2151	1997-05-12	PRIJEM	VKLAD	10104	23754	\N	\N	\N
630070	2151	1997-06-12	PRIJEM	VKLAD	15156	26924	\N	\N	\N
630071	2151	1997-07-12	PRIJEM	VKLAD	10104	25651	\N	\N	\N
630072	2151	1997-08-12	PRIJEM	VKLAD	10104	29183	\N	\N	\N
630073	2151	1997-09-12	PRIJEM	VKLAD	10104	26127	\N	\N	\N
630074	2151	1997-10-12	PRIJEM	VKLAD	10104	31963	\N	\N	\N
630075	2151	1997-11-12	PRIJEM	VKLAD	10104	31215	\N	\N	\N
630076	2151	1997-12-12	PRIJEM	VKLAD	15156	35618	\N	\N	\N
630077	2151	1998-01-12	PRIJEM	VKLAD	10104	25278	\N	\N	\N
630078	2151	1998-02-12	PRIJEM	VKLAD	10104	26317	\N	\N	\N
630079	2151	1998-03-12	PRIJEM	VKLAD	10104	30156	\N	\N	\N
630080	2151	1998-04-12	PRIJEM	VKLAD	10104	23800	\N	\N	\N
630081	2151	1998-05-12	PRIJEM	VKLAD	10104	28726	\N	\N	\N
630082	2151	1998-06-12	PRIJEM	VKLAD	15156	35721	\N	\N	\N
630083	2151	1998-07-12	PRIJEM	VKLAD	10104	25174	\N	\N	\N
630084	2151	1998-08-12	PRIJEM	VKLAD	10104	27205	\N	\N	\N
630085	2151	1998-09-12	PRIJEM	VKLAD	10104	30344	\N	\N	\N
630086	2151	1998-10-12	PRIJEM	VKLAD	10104	31697	\N	\N	\N
630087	2151	1998-11-12	PRIJEM	VKLAD	10104	40165	\N	\N	\N
630088	2151	1998-12-12	PRIJEM	VKLAD	15156	44505	\N	\N	\N
630094	2151	1995-06-13	VYDAJ	PREVOD NA UCET	5286	40378	SIPO	YZ	35530597
630095	2151	1995-07-13	VYDAJ	PREVOD NA UCET	5286	37098	SIPO	YZ	35530597
630096	2151	1995-08-13	VYDAJ	PREVOD NA UCET	5286	33907	SIPO	YZ	35530597
630097	2151	1995-09-13	VYDAJ	PREVOD NA UCET	5286	28006	SIPO	YZ	35530597
630098	2151	1995-10-13	VYDAJ	PREVOD NA UCET	5286	23079	SIPO	YZ	35530597
630099	2151	1995-11-13	VYDAJ	PREVOD NA UCET	5286	23629	SIPO	YZ	35530597
630100	2151	1995-12-13	VYDAJ	PREVOD NA UCET	5286	28330	SIPO	YZ	35530597
630101	2151	1996-01-13	VYDAJ	PREVOD NA UCET	5286	23790	SIPO	YZ	35530597
630102	2151	1996-02-13	VYDAJ	PREVOD NA UCET	5286	21232	SIPO	YZ	35530597
630103	2151	1996-03-13	VYDAJ	PREVOD NA UCET	5286	23668	SIPO	YZ	35530597
630104	2151	1996-04-13	VYDAJ	PREVOD NA UCET	5286	19706	SIPO	YZ	35530597
630105	2151	1996-05-13	VYDAJ	PREVOD NA UCET	5286	18339	SIPO	YZ	35530597
630106	2151	1996-06-13	VYDAJ	PREVOD NA UCET	5286	23517	SIPO	YZ	35530597
630107	2151	1996-07-13	VYDAJ	PREVOD NA UCET	5286	22856	SIPO	YZ	35530597
630108	2151	1996-08-13	VYDAJ	PREVOD NA UCET	5286	19302	SIPO	YZ	35530597
630109	2151	1996-09-13	VYDAJ	PREVOD NA UCET	5286	20436	SIPO	YZ	35530597
630110	2151	1996-10-13	VYDAJ	PREVOD NA UCET	5286	18168	SIPO	YZ	35530597
630111	2151	1996-11-13	VYDAJ	PREVOD NA UCET	5286	21191	SIPO	YZ	35530597
630112	2151	1996-12-13	VYDAJ	PREVOD NA UCET	5286	20176	SIPO	YZ	35530597
630113	2151	1997-01-13	VYDAJ	PREVOD NA UCET	5286	15197	SIPO	YZ	35530597
630114	2151	1997-02-13	VYDAJ	PREVOD NA UCET	5286	16407	SIPO	YZ	35530597
630115	2151	1997-03-13	VYDAJ	PREVOD NA UCET	5286	19823	SIPO	YZ	35530597
630116	2151	1997-04-13	VYDAJ	PREVOD NA UCET	5286	17251	SIPO	YZ	35530597
630117	2151	1997-05-13	VYDAJ	PREVOD NA UCET	5286	18468	SIPO	YZ	35530597
630118	2151	1997-06-13	VYDAJ	PREVOD NA UCET	5286	21638	SIPO	YZ	35530597
630119	2151	1997-07-13	VYDAJ	PREVOD NA UCET	5286	20365	SIPO	YZ	35530597
630120	2151	1997-08-13	VYDAJ	PREVOD NA UCET	5286	23897	SIPO	YZ	35530597
630121	2151	1997-09-13	VYDAJ	PREVOD NA UCET	5286	20841	SIPO	YZ	35530597
630122	2151	1997-10-13	VYDAJ	PREVOD NA UCET	5286	26677	SIPO	YZ	35530597
630123	2151	1997-11-13	VYDAJ	PREVOD NA UCET	5286	25929	SIPO	YZ	35530597
630124	2151	1997-12-13	VYDAJ	PREVOD NA UCET	5286	30332	SIPO	YZ	35530597
630125	2151	1998-01-13	VYDAJ	PREVOD NA UCET	5286	19992	SIPO	YZ	35530597
630126	2151	1998-02-13	VYDAJ	PREVOD NA UCET	5286	21031	SIPO	YZ	35530597
630127	2151	1998-03-13	VYDAJ	PREVOD NA UCET	5286	24870	SIPO	YZ	35530597
630128	2151	1998-04-13	VYDAJ	PREVOD NA UCET	5286	18514	SIPO	YZ	35530597
630129	2151	1998-05-13	VYDAJ	PREVOD NA UCET	5286	23440	SIPO	YZ	35530597
630130	2151	1998-06-13	VYDAJ	PREVOD NA UCET	5286	30435	SIPO	YZ	35530597
630131	2151	1998-07-13	VYDAJ	PREVOD NA UCET	5286	19888	SIPO	YZ	35530597
630132	2151	1998-08-13	VYDAJ	PREVOD NA UCET	5286	21919	SIPO	YZ	35530597
630133	2151	1998-09-13	VYDAJ	PREVOD NA UCET	5286	25058	SIPO	YZ	35530597
630134	2151	1998-10-13	VYDAJ	PREVOD NA UCET	5286	26411	SIPO	YZ	35530597
630135	2151	1998-11-13	VYDAJ	PREVOD NA UCET	5286	34879	SIPO	YZ	35530597
630136	2151	1998-12-13	VYDAJ	PREVOD NA UCET	5286	39219	SIPO	YZ	35530597
630143	2151	1995-07-07	VYDAJ	PREVOD NA UCET	1227	39303	 	GH	97779327
630144	2151	1995-08-07	VYDAJ	PREVOD NA UCET	1227	36012	 	GH	97779327
630145	2151	1995-09-07	VYDAJ	PREVOD NA UCET	1227	23411	 	GH	97779327
630146	2151	1995-10-07	VYDAJ	PREVOD NA UCET	1227	18261	 	GH	97779327
630147	2151	1995-11-07	VYDAJ	PREVOD NA UCET	1227	19034	 	GH	97779327
630148	2151	1995-12-07	VYDAJ	PREVOD NA UCET	1227	18683	 	GH	97779327
630149	2151	1996-01-07	VYDAJ	PREVOD NA UCET	1227	19195	 	GH	97779327
630150	2151	1996-02-07	VYDAJ	PREVOD NA UCET	1227	16637	 	GH	97779327
630151	2151	1996-03-07	VYDAJ	PREVOD NA UCET	1227	18850	 	GH	97779327
630152	2151	1996-04-07	VYDAJ	PREVOD NA UCET	1227	15111	 	GH	97779327
630153	2151	1996-05-07	VYDAJ	PREVOD NA UCET	1227	13744	 	GH	97779327
630154	2151	1996-06-07	VYDAJ	PREVOD NA UCET	1227	13870	 	GH	97779327
630155	2151	1996-07-07	VYDAJ	PREVOD NA UCET	1227	18038	 	GH	97779327
630156	2151	1996-08-07	VYDAJ	PREVOD NA UCET	1227	14707	 	GH	97779327
630157	2151	1996-09-07	VYDAJ	PREVOD NA UCET	1227	15841	 	GH	97779327
630158	2151	1996-10-07	VYDAJ	PREVOD NA UCET	1227	13573	 	GH	97779327
630159	2151	1996-11-07	VYDAJ	PREVOD NA UCET	1227	16373	 	GH	97779327
630160	2151	1996-12-07	VYDAJ	PREVOD NA UCET	1227	10306	 	GH	97779327
630161	2151	1997-01-07	VYDAJ	PREVOD NA UCET	1227	10379	 	GH	97779327
630162	2151	1997-02-07	VYDAJ	PREVOD NA UCET	1227	11812	 	GH	97779327
630163	2151	1997-03-07	VYDAJ	PREVOD NA UCET	1227	15228	 	GH	97779327
630164	2151	1997-04-07	VYDAJ	PREVOD NA UCET	1227	12656	 	GH	97779327
630165	2151	1997-05-07	VYDAJ	PREVOD NA UCET	1227	13650	 	GH	97779327
630166	2151	1997-06-07	VYDAJ	PREVOD NA UCET	1227	11991	 	GH	97779327
630167	2151	1997-07-07	VYDAJ	PREVOD NA UCET	1227	15547	 	GH	97779327
630168	2151	1997-08-07	VYDAJ	PREVOD NA UCET	1227	19079	 	GH	97779327
630169	2151	1997-09-07	VYDAJ	PREVOD NA UCET	1227	16246	 	GH	97779327
630170	2151	1997-10-07	VYDAJ	PREVOD NA UCET	1227	22082	 	GH	97779327
630171	2151	1997-11-07	VYDAJ	PREVOD NA UCET	1227	21334	 	GH	97779327
630172	2151	1997-12-07	VYDAJ	PREVOD NA UCET	1227	20462	 	GH	97779327
630173	2151	1998-01-07	VYDAJ	PREVOD NA UCET	1227	15397	 	GH	97779327
630174	2151	1998-02-07	VYDAJ	PREVOD NA UCET	1227	20513	 	GH	97779327
630175	2151	1998-03-07	VYDAJ	PREVOD NA UCET	1227	20052	 	GH	97779327
630176	2151	1998-04-07	VYDAJ	PREVOD NA UCET	1227	13696	 	GH	97779327
630177	2151	1998-05-07	VYDAJ	PREVOD NA UCET	1227	18622	 	GH	97779327
630178	2151	1998-06-07	VYDAJ	PREVOD NA UCET	1227	20788	 	GH	97779327
630179	2151	1998-07-07	VYDAJ	PREVOD NA UCET	1227	15293	 	GH	97779327
630180	2151	1998-08-07	VYDAJ	PREVOD NA UCET	1227	17101	 	GH	97779327
630181	2151	1998-09-07	VYDAJ	PREVOD NA UCET	1227	20463	 	GH	97779327
630182	2151	1998-10-07	VYDAJ	PREVOD NA UCET	1227	21816	 	GH	97779327
630183	2151	1998-11-07	VYDAJ	PREVOD NA UCET	1227	30284	 	GH	97779327
630184	2151	1998-12-07	VYDAJ	PREVOD NA UCET	1227	29572	 	GH	97779327
630191	2151	1995-07-07	VYDAJ	PREVOD NA UCET	223	39080	POJISTNE	AB	65584575
630192	2151	1995-08-07	VYDAJ	PREVOD NA UCET	223	35789	POJISTNE	AB	65584575
630193	2151	1995-09-07	VYDAJ	PREVOD NA UCET	223	23188	POJISTNE	AB	65584575
630194	2151	1995-10-07	VYDAJ	PREVOD NA UCET	223	19488	POJISTNE	AB	65584575
630195	2151	1995-11-07	VYDAJ	PREVOD NA UCET	223	18811	POJISTNE	AB	65584575
630196	2151	1995-12-07	VYDAJ	PREVOD NA UCET	223	18460	POJISTNE	AB	65584575
630197	2151	1996-01-07	VYDAJ	PREVOD NA UCET	223	18972	POJISTNE	AB	65584575
630198	2151	1996-02-07	VYDAJ	PREVOD NA UCET	223	16414	POJISTNE	AB	65584575
630199	2151	1996-03-07	VYDAJ	PREVOD NA UCET	223	20077	POJISTNE	AB	65584575
630200	2151	1996-04-07	VYDAJ	PREVOD NA UCET	223	14888	POJISTNE	AB	65584575
630201	2151	1996-05-07	VYDAJ	PREVOD NA UCET	223	13521	POJISTNE	AB	65584575
630202	2151	1996-06-07	VYDAJ	PREVOD NA UCET	223	13647	POJISTNE	AB	65584575
630203	2151	1996-07-07	VYDAJ	PREVOD NA UCET	223	19265	POJISTNE	AB	65584575
630204	2151	1996-08-07	VYDAJ	PREVOD NA UCET	223	14484	POJISTNE	AB	65584575
630205	2151	1996-09-07	VYDAJ	PREVOD NA UCET	223	15618	POJISTNE	AB	65584575
630206	2151	1996-10-07	VYDAJ	PREVOD NA UCET	223	13350	POJISTNE	AB	65584575
630207	2151	1996-11-07	VYDAJ	PREVOD NA UCET	223	17600	POJISTNE	AB	65584575
630208	2151	1996-12-07	VYDAJ	PREVOD NA UCET	223	11533	POJISTNE	AB	65584575
630209	2151	1997-01-07	VYDAJ	PREVOD NA UCET	223	11606	POJISTNE	AB	65584575
630210	2151	1997-02-07	VYDAJ	PREVOD NA UCET	223	11589	POJISTNE	AB	65584575
630211	2151	1997-03-07	VYDAJ	PREVOD NA UCET	223	15005	POJISTNE	AB	65584575
630212	2151	1997-04-07	VYDAJ	PREVOD NA UCET	223	12433	POJISTNE	AB	65584575
630213	2151	1997-05-07	VYDAJ	PREVOD NA UCET	223	14877	POJISTNE	AB	65584575
630214	2151	1997-06-07	VYDAJ	PREVOD NA UCET	223	11768	POJISTNE	AB	65584575
630215	2151	1997-07-07	VYDAJ	PREVOD NA UCET	223	16774	POJISTNE	AB	65584575
630216	2151	1997-08-07	VYDAJ	PREVOD NA UCET	223	20306	POJISTNE	AB	65584575
630217	2151	1997-09-07	VYDAJ	PREVOD NA UCET	223	16023	POJISTNE	AB	65584575
630218	2151	1997-10-07	VYDAJ	PREVOD NA UCET	223	21859	POJISTNE	AB	65584575
630219	2151	1997-11-07	VYDAJ	PREVOD NA UCET	223	21111	POJISTNE	AB	65584575
630220	2151	1997-12-07	VYDAJ	PREVOD NA UCET	223	21689	POJISTNE	AB	65584575
630221	2151	1998-01-07	VYDAJ	PREVOD NA UCET	223	15174	POJISTNE	AB	65584575
630222	2151	1998-02-07	VYDAJ	PREVOD NA UCET	223	21740	POJISTNE	AB	65584575
630223	2151	1998-03-07	VYDAJ	PREVOD NA UCET	223	21279	POJISTNE	AB	65584575
630224	2151	1998-04-07	VYDAJ	PREVOD NA UCET	223	14923	POJISTNE	AB	65584575
630225	2151	1998-05-07	VYDAJ	PREVOD NA UCET	223	19849	POJISTNE	AB	65584575
630226	2151	1998-06-07	VYDAJ	PREVOD NA UCET	223	20565	POJISTNE	AB	65584575
630227	2151	1998-07-07	VYDAJ	PREVOD NA UCET	223	15070	POJISTNE	AB	65584575
630228	2151	1998-08-07	VYDAJ	PREVOD NA UCET	223	18328	POJISTNE	AB	65584575
630229	2151	1998-09-07	VYDAJ	PREVOD NA UCET	223	20240	POJISTNE	AB	65584575
630230	2151	1998-10-07	VYDAJ	PREVOD NA UCET	223	21593	POJISTNE	AB	65584575
630231	2151	1998-11-07	VYDAJ	PREVOD NA UCET	223	30061	POJISTNE	AB	65584575
630232	2151	1998-12-07	VYDAJ	PREVOD NA UCET	223	29349	POJISTNE	AB	65584575
630238	2151	1996-01-20	VYDAJ	VYBER	3100	17590	\N	\N	\N
630240	2151	1998-01-01	VYDAJ	VYBER	7500	16624	\N	\N	\N
630241	2151	1995-12-23	VYDAJ	VYBER	1400	26930	\N	\N	\N
630243	2151	1997-12-19	VYDAJ	VYBER	500	29832	\N	\N	\N
630244	2151	1998-12-19	VYDAJ	VYBER	1400	37819	\N	\N	\N
630248	2151	1995-10-03	VYDAJ	VYBER	4900	23211	\N	\N	\N
630249	2151	1996-05-25	VYDAJ	VYBER	1100	17239	\N	\N	\N
630250	2151	1996-05-06	VYDAJ	VYBER	500	14971	\N	\N	\N
630251	2151	1996-03-16	VYDAJ	VYBER	4400	19268	\N	\N	\N
630252	2151	1996-11-26	VYDAJ	VYBER	4100	17091	\N	\N	\N
630253	2151	1996-06-02	VYDAJ	VYBER	2300	15097	\N	\N	\N
630254	2151	1996-01-18	VYDAJ	VYBER	3100	20690	\N	\N	\N
630255	2151	1997-05-16	VYDAJ	VYBER	2900	15568	\N	\N	\N
630256	2151	1997-08-29	VYDAJ	VYBER	3600	17397	\N	\N	\N
630257	2151	1997-10-30	VYDAJ	VYBER	1800	22477	\N	\N	\N
630259	2151	1997-04-20	VYDAJ	VYBER	600	16651	\N	\N	\N
630260	2151	1997-07-18	VYDAJ	VYBER	900	19465	\N	\N	\N
630261	2151	1997-10-18	VYDAJ	VYBER	4300	22377	\N	\N	\N
630262	2151	1998-11-24	VYDAJ	VYBER	4300	30679	\N	\N	\N
630263	2151	1998-03-27	VYDAJ	VYBER	3600	17670	\N	\N	\N
630264	2151	1998-10-06	VYDAJ	VYBER	3600	23043	\N	\N	\N
630265	2151	1998-02-08	VYDAJ	VYBER	4300	16213	\N	\N	\N
630266	2151	1998-03-29	VYDAJ	VYBER	2600	15070	\N	\N	\N
630267	2151	1998-07-01	VYDAJ	VYBER	3700	16520	\N	\N	\N
630274	2151	1995-06-30	VYDAJ	VYBER	15	40530	SLUZBY	\N	\N
630275	2151	1995-07-31	VYDAJ	VYBER	15	37239	SLUZBY	\N	\N
630276	2151	1995-08-31	VYDAJ	VYBER	15	34038	SLUZBY	\N	\N
630277	2151	1995-09-30	VYDAJ	VYBER	15	28111	SLUZBY	\N	\N
630278	2151	1995-10-31	VYDAJ	VYBER	15	23161	SLUZBY	\N	\N
630279	2151	1995-11-30	VYDAJ	VYBER	15	23710	SLUZBY	\N	\N
630280	2151	1995-12-31	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
630281	2151	1996-01-31	VYDAJ	VYBER	15	17664	SLUZBY	\N	\N
630282	2151	1996-02-29	VYDAJ	VYBER	15	21300	SLUZBY	\N	\N
630283	2151	1996-03-31	VYDAJ	VYBER	15	19338	SLUZBY	\N	\N
630284	2151	1996-04-30	VYDAJ	VYBER	15	19771	SLUZBY	\N	\N
630285	2151	1996-05-31	VYDAJ	VYBER	15	17297	SLUZBY	\N	\N
630286	2151	1996-06-30	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
630287	2151	1996-07-31	VYDAJ	VYBER	15	22934	SLUZBY	\N	\N
630288	2151	1996-08-31	VYDAJ	VYBER	15	19368	SLUZBY	\N	\N
630289	2151	1996-09-30	VYDAJ	VYBER	15	20500	SLUZBY	\N	\N
630290	2151	1996-10-31	VYDAJ	VYBER	15	17823	SLUZBY	\N	\N
630291	2151	1996-11-30	VYDAJ	VYBER	15	11756	SLUZBY	\N	\N
630292	2151	1996-12-31	VYDAJ	VYBER	15	11829	SLUZBY	\N	\N
630293	2151	1997-01-31	VYDAJ	VYBER	15	13039	SLUZBY	\N	\N
630294	2151	1997-02-28	VYDAJ	VYBER	15	16455	SLUZBY	\N	\N
630295	2151	1997-03-31	VYDAJ	VYBER	15	13883	SLUZBY	\N	\N
630296	2151	1997-04-30	VYDAJ	VYBER	15	15100	SLUZBY	\N	\N
630297	2151	1997-05-31	VYDAJ	VYBER	15	13218	SLUZBY	\N	\N
630298	2151	1997-06-30	VYDAJ	VYBER	15	16997	SLUZBY	\N	\N
630299	2151	1997-07-31	VYDAJ	VYBER	15	20529	SLUZBY	\N	\N
630300	2151	1997-08-31	VYDAJ	VYBER	15	17473	SLUZBY	\N	\N
630301	2151	1997-09-30	VYDAJ	VYBER	15	23309	SLUZBY	\N	\N
630302	2151	1997-10-31	VYDAJ	VYBER	15	22561	SLUZBY	\N	\N
630303	2151	1997-11-30	VYDAJ	VYBER	15	21912	SLUZBY	\N	\N
630304	2151	1997-12-31	VYDAJ	VYBER	15	24124	SLUZBY	\N	\N
630305	2151	1998-01-31	VYDAJ	VYBER	15	21963	SLUZBY	\N	\N
630306	2151	1998-02-28	VYDAJ	VYBER	15	21502	SLUZBY	\N	\N
630307	2151	1998-03-31	VYDAJ	VYBER	15	15146	SLUZBY	\N	\N
630308	2151	1998-04-30	VYDAJ	VYBER	15	20072	SLUZBY	\N	\N
630309	2151	1998-05-31	VYDAJ	VYBER	15	22015	SLUZBY	\N	\N
630310	2151	1998-06-30	VYDAJ	VYBER	15	20220	SLUZBY	\N	\N
630311	2151	1998-07-31	VYDAJ	VYBER	15	18551	SLUZBY	\N	\N
630312	2151	1998-08-31	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
630313	2151	1998-09-30	VYDAJ	VYBER	15	26643	SLUZBY	\N	\N
630314	2151	1998-10-31	VYDAJ	VYBER	15	31511	SLUZBY	\N	\N
630315	2151	1998-11-30	VYDAJ	VYBER	15	30799	SLUZBY	\N	\N
630316	2151	1995-03-10	PRIJEM	VKLAD	4500	15031	\N	\N	\N
630317	2151	1995-04-09	VYDAJ	VYBER	1400	23818	\N	\N	\N
630318	2151	1995-05-09	VYDAJ	VYBER	5400	28650	\N	\N	\N
630319	2151	1995-06-08	VYDAJ	VYBER	8400	30508	\N	\N	\N
630320	2151	1995-07-08	VYDAJ	VYBER	6800	32280	\N	\N	\N
630321	2151	1995-08-07	VYDAJ	VYBER	6700	29089	\N	\N	\N
630322	2151	1995-09-06	VYDAJ	VYBER	9400	24638	\N	\N	\N
630323	2151	1995-10-06	VYDAJ	VYBER	3500	19711	\N	\N	\N
630324	2151	1995-11-05	VYDAJ	VYBER	2900	20261	\N	\N	\N
630325	2151	1995-12-05	VYDAJ	VYBER	3800	19910	\N	\N	\N
630326	2151	1996-01-04	VYDAJ	VYBER	6600	20422	\N	\N	\N
630327	2151	1996-02-03	PRIJEM	VKLAD	200	17864	\N	\N	\N
630328	2151	1996-03-04	VYDAJ	VYBER	1000	20300	\N	\N	\N
630329	2151	1996-04-03	VYDAJ	VYBER	3000	16338	\N	\N	\N
630330	2151	1996-05-03	VYDAJ	VYBER	4300	15471	\N	\N	\N
630331	2151	1996-06-02	PRIJEM	VKLAD	100	17397	\N	\N	\N
630332	2151	1996-07-02	VYDAJ	VYBER	4100	19488	\N	\N	\N
630333	2151	1996-08-01	VYDAJ	VYBER	7000	15934	\N	\N	\N
630334	2151	1996-08-31	VYDAJ	VYBER	2300	17068	\N	\N	\N
630335	2151	1996-09-30	VYDAJ	VYBER	5700	14800	\N	\N	\N
630336	2151	1996-10-30	VYDAJ	VYBER	400	17768	\N	\N	\N
630337	2151	1996-11-29	VYDAJ	VYBER	5400	11691	\N	\N	\N
630338	2151	1996-12-29	VYDAJ	VYBER	8400	11776	\N	\N	\N
630339	2151	1997-01-28	VYDAJ	VYBER	2200	12997	\N	\N	\N
630340	2151	1997-03-29	VYDAJ	VYBER	6000	13823	\N	\N	\N
630341	2151	1997-04-28	VYDAJ	VYBER	1600	15051	\N	\N	\N
630342	2151	1997-05-28	VYDAJ	VYBER	2400	13168	\N	\N	\N
630343	2151	1997-06-27	VYDAJ	VYBER	4700	16938	\N	\N	\N
630344	2151	1997-07-27	PRIJEM	VKLAD	1000	20465	\N	\N	\N
630345	2151	1997-08-26	VYDAJ	VYBER	2900	20997	\N	\N	\N
630346	2151	1997-09-25	PRIJEM	VKLAD	2400	23241	\N	\N	\N
630347	2151	1997-10-25	PRIJEM	VKLAD	1900	24277	\N	\N	\N
630348	2151	1997-11-24	VYDAJ	VYBER	4100	21829	\N	\N	\N
630349	2151	1997-12-24	VYDAJ	VYBER	5800	24032	\N	\N	\N
630350	2151	1998-01-23	PRIJEM	VKLAD	1900	21892	\N	\N	\N
630351	2151	1998-02-22	PRIJEM	VKLAD	400	21431	\N	\N	\N
630352	2151	1998-03-24	VYDAJ	VYBER	3600	21270	\N	\N	\N
630353	2151	1998-04-23	PRIJEM	VKLAD	1500	20014	\N	\N	\N
630354	2151	1998-05-23	VYDAJ	VYBER	1500	21940	\N	\N	\N
630355	2151	1998-06-22	VYDAJ	VYBER	10300	20135	\N	\N	\N
630356	2151	1998-07-22	VYDAJ	VYBER	1400	18488	\N	\N	\N
630357	2151	1998-08-21	VYDAJ	VYBER	300	21619	\N	\N	\N
630358	2151	1998-09-20	PRIJEM	VKLAD	1500	26558	\N	\N	\N
630359	2151	1998-10-20	PRIJEM	VKLAD	5000	31411	\N	\N	\N
630360	2151	1998-11-19	PRIJEM	VKLAD	100	34979	\N	\N	\N
630408	2152	1997-10-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
630419	2152	1997-11-06	PRIJEM	PREVOD Z UCTU	4880	5980	DUCHOD	EF	62103664
630420	2152	1997-12-06	PRIJEM	PREVOD Z UCTU	4880	10860	DUCHOD	EF	62103664
630421	2152	1998-01-06	PRIJEM	PREVOD Z UCTU	4880	15740	DUCHOD	EF	62103664
630422	2152	1998-02-06	PRIJEM	PREVOD Z UCTU	4880	20620	DUCHOD	EF	62103664
630423	2152	1998-03-06	PRIJEM	PREVOD Z UCTU	4880	25500	DUCHOD	EF	62103664
630424	2152	1998-04-06	PRIJEM	PREVOD Z UCTU	4880	27178	DUCHOD	EF	62103664
630425	2152	1998-05-06	PRIJEM	PREVOD Z UCTU	4880	28964	DUCHOD	EF	62103664
630426	2152	1998-06-06	PRIJEM	PREVOD Z UCTU	4880	26751	DUCHOD	EF	62103664
630427	2152	1998-07-06	PRIJEM	PREVOD Z UCTU	4880	23263	DUCHOD	EF	62103664
630428	2152	1998-08-06	PRIJEM	PREVOD Z UCTU	4880	21906	DUCHOD	EF	62103664
630429	2152	1998-09-06	PRIJEM	PREVOD Z UCTU	4880	23670	DUCHOD	EF	62103664
630430	2152	1998-10-06	PRIJEM	PREVOD Z UCTU	4880	21522	DUCHOD	EF	62103664
630431	2152	1998-11-06	PRIJEM	PREVOD Z UCTU	4880	23287	DUCHOD	EF	62103664
630432	2152	1998-12-06	PRIJEM	PREVOD Z UCTU	4880	25057	DUCHOD	EF	62103664
630448	2152	1998-04-05	VYDAJ	PREVOD NA UCET	3191	22298	SIPO	QR	56643396
630449	2152	1998-05-05	VYDAJ	PREVOD NA UCET	3191	24084	SIPO	QR	56643396
630450	2152	1998-06-05	VYDAJ	PREVOD NA UCET	3191	21871	SIPO	QR	56643396
630451	2152	1998-07-05	VYDAJ	PREVOD NA UCET	3191	18383	SIPO	QR	56643396
630452	2152	1998-08-05	VYDAJ	PREVOD NA UCET	3191	17026	SIPO	QR	56643396
630453	2152	1998-09-05	VYDAJ	PREVOD NA UCET	3191	18790	SIPO	QR	56643396
630454	2152	1998-10-05	VYDAJ	PREVOD NA UCET	3191	16642	SIPO	QR	56643396
630455	2152	1998-11-05	VYDAJ	PREVOD NA UCET	3191	18407	SIPO	QR	56643396
630456	2152	1998-12-05	VYDAJ	PREVOD NA UCET	3191	20177	SIPO	QR	56643396
630458	2152	1998-06-27	VYDAJ	VYBER	1500	21491	\N	\N	\N
630462	2152	1998-12-06	VYDAJ	VYBER	1200	23857	\N	\N	\N
630479	2152	1998-07-13	VYDAJ	VYBER	3120	20143	\N	\N	\N
630480	2152	1998-10-04	VYDAJ	VYBER	3920	19833	\N	\N	\N
630481	2152	1998-05-23	VYDAJ	VYBER	880	24964	\N	\N	\N
630482	2152	1998-05-17	VYDAJ	VYBER	3120	25844	\N	\N	\N
630483	2152	1998-06-09	VYDAJ	VYBER	3760	22991	\N	\N	\N
630499	2152	1998-03-31	VYDAJ	VYBER	15	25489	SLUZBY	\N	\N
630500	2152	1998-04-30	VYDAJ	VYBER	15	27275	SLUZBY	\N	\N
630501	2152	1998-05-31	VYDAJ	VYBER	15	25062	SLUZBY	\N	\N
630502	2152	1998-06-30	VYDAJ	VYBER	15	21574	SLUZBY	\N	\N
630503	2152	1998-07-31	VYDAJ	VYBER	15	20217	SLUZBY	\N	\N
630504	2152	1998-08-31	VYDAJ	VYBER	15	21981	SLUZBY	\N	\N
630505	2152	1998-09-30	VYDAJ	VYBER	15	23753	SLUZBY	\N	\N
630506	2152	1998-10-31	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
630507	2152	1998-11-30	VYDAJ	VYBER	15	23368	SLUZBY	\N	\N
630518	2153	1996-01-07	PRIJEM	VKLAD	200	200	\N	\N	\N
630519	2153	1996-01-09	PRIJEM	PREVOD Z UCTU	30777	30977	\N	CD	2525222
630520	2153	1996-02-09	PRIJEM	PREVOD Z UCTU	30777	57550	\N	CD	2525222
630521	2153	1996-03-09	PRIJEM	PREVOD Z UCTU	30777	68036	\N	CD	2525222
630522	2153	1996-04-09	PRIJEM	PREVOD Z UCTU	30777	72685	\N	CD	2525222
630523	2153	1996-05-09	PRIJEM	PREVOD Z UCTU	30777	73560	\N	CD	2525222
630524	2153	1996-06-09	PRIJEM	PREVOD Z UCTU	46166	69831	\N	CD	2525222
630525	2153	1996-07-09	PRIJEM	PREVOD Z UCTU	30777	45805	\N	CD	2525222
630526	2153	1996-08-09	PRIJEM	PREVOD Z UCTU	30777	40677	\N	CD	2525222
630527	2153	1996-09-09	PRIJEM	PREVOD Z UCTU	30777	41975	\N	CD	2525222
630528	2153	1996-10-09	PRIJEM	PREVOD Z UCTU	30777	43876	\N	CD	2525222
630529	2153	1996-11-09	PRIJEM	PREVOD Z UCTU	30777	36991	\N	CD	2525222
630530	2153	1996-12-09	PRIJEM	PREVOD Z UCTU	46166	56843	\N	CD	2525222
630531	2153	1997-01-09	PRIJEM	PREVOD Z UCTU	30777	45772	\N	CD	2525222
630532	2153	1997-02-09	PRIJEM	PREVOD Z UCTU	30777	43818	\N	CD	2525222
630533	2153	1997-03-09	PRIJEM	PREVOD Z UCTU	30777	45379	\N	CD	2525222
630534	2153	1997-04-09	PRIJEM	PREVOD Z UCTU	30777	43437	\N	CD	2525222
630535	2153	1997-05-09	PRIJEM	PREVOD Z UCTU	30777	39900	\N	CD	2525222
630536	2153	1997-06-09	PRIJEM	PREVOD Z UCTU	46166	52341	\N	CD	2525222
630537	2153	1997-07-09	PRIJEM	PREVOD Z UCTU	30777	41333	\N	CD	2525222
630538	2153	1997-08-09	PRIJEM	PREVOD Z UCTU	30777	52784	\N	CD	2525222
630539	2153	1997-09-09	PRIJEM	PREVOD Z UCTU	30777	41574	\N	CD	2525222
630540	2153	1997-10-09	PRIJEM	PREVOD Z UCTU	30777	37920	\N	CD	2525222
630541	2153	1997-11-09	PRIJEM	PREVOD Z UCTU	30777	49357	\N	CD	2525222
630542	2153	1997-12-09	PRIJEM	PREVOD Z UCTU	46166	55919	\N	CD	2525222
630543	2153	1998-01-09	PRIJEM	PREVOD Z UCTU	30777	46833	\N	CD	2525222
630544	2153	1998-02-09	PRIJEM	PREVOD Z UCTU	30777	49114	\N	CD	2525222
630545	2153	1998-03-09	PRIJEM	PREVOD Z UCTU	30777	49710	\N	CD	2525222
630546	2153	1998-04-09	PRIJEM	PREVOD Z UCTU	30777	40026	\N	CD	2525222
630547	2153	1998-05-09	PRIJEM	PREVOD Z UCTU	30777	56615	\N	CD	2525222
630548	2153	1998-06-09	PRIJEM	PREVOD Z UCTU	46166	75232	\N	CD	2525222
630549	2153	1998-07-09	PRIJEM	PREVOD Z UCTU	30777	61106	\N	CD	2525222
630550	2153	1998-08-09	PRIJEM	PREVOD Z UCTU	30777	73196	\N	CD	2525222
630551	2153	1998-09-09	PRIJEM	PREVOD Z UCTU	30777	75598	\N	CD	2525222
630552	2153	1998-10-09	PRIJEM	PREVOD Z UCTU	30777	45182	\N	CD	2525222
630553	2153	1998-11-09	PRIJEM	PREVOD Z UCTU	30777	57985	\N	CD	2525222
630554	2153	1998-12-09	PRIJEM	PREVOD Z UCTU	46166	80325	\N	CD	2525222
630559	2153	1996-05-18	VYDAJ	VYBER	5900	32124	\N	\N	0
630560	2153	1996-06-11	VYDAJ	VYBER	7500	60594	\N	\N	0
630561	2153	1996-07-26	VYDAJ	VYBER	4300	29465	\N	\N	0
630562	2153	1996-08-06	VYDAJ	VYBER	4900	9900	\N	\N	0
630563	2153	1996-08-31	VYDAJ	VYBER	5800	22921	\N	\N	0
630564	2153	1996-10-13	VYDAJ	VYBER	5600	10388	\N	\N	0
630565	2153	1996-11-12	VYDAJ	VYBER	4900	30354	\N	\N	0
630566	2153	1996-12-12	VYDAJ	PREVOD NA UCET	5130	49976	UVER	IJ	28541732
630567	2153	1997-01-12	VYDAJ	PREVOD NA UCET	5130	29606	UVER	IJ	28541732
630568	2153	1997-02-12	VYDAJ	PREVOD NA UCET	5130	36951	UVER	IJ	28541732
630569	2153	1997-03-12	VYDAJ	PREVOD NA UCET	5130	33412	UVER	IJ	28541732
630570	2153	1997-04-12	VYDAJ	PREVOD NA UCET	5130	36570	UVER	IJ	28541732
630571	2153	1997-05-12	VYDAJ	PREVOD NA UCET	5130	33033	UVER	IJ	28541732
630572	2153	1997-06-12	VYDAJ	PREVOD NA UCET	5130	45474	UVER	IJ	28541732
630573	2153	1997-07-12	VYDAJ	PREVOD NA UCET	5130	34467	UVER	IJ	28541732
630574	2153	1997-08-12	VYDAJ	PREVOD NA UCET	5130	45918	UVER	IJ	28541732
630575	2153	1997-09-12	VYDAJ	PREVOD NA UCET	5130	34708	UVER	IJ	28541732
630576	2153	1997-10-12	VYDAJ	PREVOD NA UCET	5130	31053	UVER	IJ	28541732
630577	2153	1997-11-12	VYDAJ	PREVOD NA UCET	5130	42490	UVER	IJ	28541732
630578	2153	1997-12-16	VYDAJ	VYBER	4800	39079	\N	\N	0
630579	2153	1998-01-24	VYDAJ	VYBER	2900	20493	\N	\N	0
630580	2153	1998-02-12	VYDAJ	VYBER	5400	35977	\N	\N	0
630581	2153	1998-03-04	VYDAJ	VYBER	4600	21156	\N	\N	0
630582	2153	1998-04-01	VYDAJ	VYBER	4400	11472	\N	\N	0
630583	2153	1998-05-15	VYDAJ	VYBER	4400	31175	\N	\N	0
630584	2153	1998-06-29	VYDAJ	VYBER	4700	32392	\N	\N	0
630585	2153	1998-07-13	VYDAJ	VYBER	4600	54769	\N	\N	0
630586	2153	1998-08-24	VYDAJ	VYBER	3500	46856	\N	\N	0
630587	2153	1998-09-13	VYDAJ	VYBER	6400	57158	\N	\N	0
630588	2153	1998-10-21	VYDAJ	VYBER	3800	29342	\N	\N	0
630589	2153	1998-11-12	VYDAJ	VYBER	4500	51748	\N	\N	0
630590	2153	1998-12-06	VYDAJ	VYBER	5200	34159	\N	\N	0
630595	2153	1996-05-11	VYDAJ	PREVOD NA UCET	1737	48327	SIPO	KL	60141891
630596	2153	1996-06-11	VYDAJ	PREVOD NA UCET	1737	68094	SIPO	KL	60141891
630597	2153	1996-07-11	VYDAJ	PREVOD NA UCET	1737	44068	SIPO	KL	60141891
630598	2153	1996-08-11	VYDAJ	PREVOD NA UCET	1737	38940	SIPO	KL	60141891
630599	2153	1996-09-11	VYDAJ	PREVOD NA UCET	1737	40238	SIPO	KL	60141891
630600	2153	1996-10-11	VYDAJ	PREVOD NA UCET	1737	26291	SIPO	KL	60141891
630601	2153	1996-11-11	VYDAJ	PREVOD NA UCET	1737	35254	SIPO	KL	60141891
630602	2153	1996-12-11	VYDAJ	PREVOD NA UCET	1737	55106	SIPO	KL	60141891
630603	2153	1997-01-11	VYDAJ	PREVOD NA UCET	1737	34735	SIPO	KL	60141891
630604	2153	1997-02-11	VYDAJ	PREVOD NA UCET	1737	42081	SIPO	KL	60141891
630605	2153	1997-03-11	VYDAJ	PREVOD NA UCET	1737	38542	SIPO	KL	60141891
630606	2153	1997-04-11	VYDAJ	PREVOD NA UCET	1737	41700	SIPO	KL	60141891
630607	2153	1997-05-11	VYDAJ	PREVOD NA UCET	1737	38163	SIPO	KL	60141891
630608	2153	1997-06-11	VYDAJ	PREVOD NA UCET	1737	50604	SIPO	KL	60141891
630609	2153	1997-07-11	VYDAJ	PREVOD NA UCET	1737	39596	SIPO	KL	60141891
630610	2153	1997-08-11	VYDAJ	PREVOD NA UCET	1737	51047	SIPO	KL	60141891
630611	2153	1997-09-11	VYDAJ	PREVOD NA UCET	1737	39837	SIPO	KL	60141891
630612	2153	1997-10-11	VYDAJ	PREVOD NA UCET	1737	36183	SIPO	KL	60141891
630613	2153	1997-11-11	VYDAJ	PREVOD NA UCET	1737	47620	SIPO	KL	60141891
630614	2153	1997-12-11	VYDAJ	PREVOD NA UCET	1737	54182	SIPO	KL	60141891
630615	2153	1998-01-11	VYDAJ	PREVOD NA UCET	1737	33696	SIPO	KL	60141891
630616	2153	1998-02-11	VYDAJ	PREVOD NA UCET	1737	41377	SIPO	KL	60141891
630617	2153	1998-03-11	VYDAJ	PREVOD NA UCET	1737	47973	SIPO	KL	60141891
630618	2153	1998-04-11	VYDAJ	PREVOD NA UCET	1737	38289	SIPO	KL	60141891
630619	2153	1998-05-11	VYDAJ	PREVOD NA UCET	1737	54878	SIPO	KL	60141891
630620	2153	1998-06-11	VYDAJ	PREVOD NA UCET	1737	73495	SIPO	KL	60141891
630621	2153	1998-07-11	VYDAJ	PREVOD NA UCET	1737	59369	SIPO	KL	60141891
630622	2153	1998-08-11	VYDAJ	PREVOD NA UCET	1737	71459	SIPO	KL	60141891
630623	2153	1998-09-11	VYDAJ	PREVOD NA UCET	1737	73861	SIPO	KL	60141891
630624	2153	1998-10-11	VYDAJ	PREVOD NA UCET	1737	43445	SIPO	KL	60141891
630625	2153	1998-11-11	VYDAJ	PREVOD NA UCET	1737	56248	SIPO	KL	60141891
630626	2153	1998-12-11	VYDAJ	PREVOD NA UCET	1737	78588	SIPO	KL	60141891
630631	2153	1996-05-13	VYDAJ	PREVOD NA UCET	10303	38024	 	CD	79112446
630632	2153	1996-06-13	VYDAJ	PREVOD NA UCET	10303	25748	 	CD	79112446
630633	2153	1996-07-13	VYDAJ	PREVOD NA UCET	10303	33765	 	CD	79112446
630634	2153	1996-08-13	VYDAJ	PREVOD NA UCET	10303	28637	 	CD	79112446
630635	2153	1996-09-13	VYDAJ	PREVOD NA UCET	10303	29935	 	CD	79112446
630636	2153	1996-10-13	VYDAJ	PREVOD NA UCET	10303	15988	 	CD	79112446
630637	2153	1996-11-13	VYDAJ	PREVOD NA UCET	10303	20051	 	CD	79112446
630638	2153	1996-12-13	VYDAJ	PREVOD NA UCET	10303	39673	 	CD	79112446
630639	2153	1997-01-13	VYDAJ	PREVOD NA UCET	10303	19303	 	CD	79112446
630640	2153	1997-02-13	VYDAJ	PREVOD NA UCET	10303	26648	 	CD	79112446
630641	2153	1997-03-13	VYDAJ	PREVOD NA UCET	10303	23109	 	CD	79112446
630642	2153	1997-04-13	VYDAJ	PREVOD NA UCET	10303	26267	 	CD	79112446
630643	2153	1997-05-13	VYDAJ	PREVOD NA UCET	10303	22730	 	CD	79112446
630644	2153	1997-06-13	VYDAJ	PREVOD NA UCET	10303	35171	 	CD	79112446
630645	2153	1997-07-13	VYDAJ	PREVOD NA UCET	10303	24164	 	CD	79112446
630646	2153	1997-08-13	VYDAJ	PREVOD NA UCET	10303	35615	 	CD	79112446
630647	2153	1997-09-13	VYDAJ	PREVOD NA UCET	10303	24405	 	CD	79112446
630648	2153	1997-10-13	VYDAJ	PREVOD NA UCET	10303	20750	 	CD	79112446
630649	2153	1997-11-13	VYDAJ	PREVOD NA UCET	10303	32187	 	CD	79112446
630650	2153	1997-12-13	VYDAJ	PREVOD NA UCET	10303	43879	 	CD	79112446
630651	2153	1998-01-13	VYDAJ	PREVOD NA UCET	10303	23393	 	CD	79112446
630652	2153	1998-02-13	VYDAJ	PREVOD NA UCET	10303	25674	 	CD	79112446
630653	2153	1998-03-13	VYDAJ	PREVOD NA UCET	10303	37670	 	CD	79112446
630654	2153	1998-04-13	VYDAJ	PREVOD NA UCET	10303	27986	 	CD	79112446
630655	2153	1998-05-13	VYDAJ	PREVOD NA UCET	10303	35575	 	CD	79112446
630656	2153	1998-06-13	VYDAJ	PREVOD NA UCET	10303	37092	 	CD	79112446
630657	2153	1998-07-13	VYDAJ	PREVOD NA UCET	10303	44466	 	CD	79112446
630658	2153	1998-08-13	VYDAJ	PREVOD NA UCET	10303	61156	 	CD	79112446
630659	2153	1998-09-13	VYDAJ	PREVOD NA UCET	10303	63558	 	CD	79112446
630660	2153	1998-10-13	VYDAJ	PREVOD NA UCET	10303	33142	 	CD	79112446
630661	2153	1998-11-13	VYDAJ	PREVOD NA UCET	10303	41445	 	CD	79112446
630662	2153	1998-12-13	VYDAJ	PREVOD NA UCET	10303	68285	 	CD	79112446
630668	2153	1996-06-05	VYDAJ	PREVOD NA UCET	2223	30065	POJISTNE	AB	94730412
630669	2153	1996-07-05	VYDAJ	PREVOD NA UCET	2223	15028	POJISTNE	AB	94730412
630670	2153	1996-08-05	VYDAJ	PREVOD NA UCET	2223	14800	POJISTNE	AB	94730412
630671	2153	1996-09-05	VYDAJ	PREVOD NA UCET	2223	11198	POJISTNE	AB	94730412
630672	2153	1996-10-05	VYDAJ	PREVOD NA UCET	2223	13099	POJISTNE	AB	94730412
630673	2153	1996-11-05	VYDAJ	PREVOD NA UCET	2223	6214	POJISTNE	AB	94730412
630674	2153	1996-12-05	VYDAJ	PREVOD NA UCET	2223	10677	POJISTNE	AB	94730412
630675	2153	1997-01-05	VYDAJ	PREVOD NA UCET	2223	14995	POJISTNE	AB	94730412
630676	2153	1997-02-05	VYDAJ	PREVOD NA UCET	2223	13041	POJISTNE	AB	94730412
630677	2153	1997-03-05	VYDAJ	PREVOD NA UCET	2223	14602	POJISTNE	AB	94730412
630678	2153	1997-04-05	VYDAJ	PREVOD NA UCET	2223	12660	POJISTNE	AB	94730412
630679	2153	1997-05-05	VYDAJ	PREVOD NA UCET	2223	9123	POJISTNE	AB	94730412
630680	2153	1997-06-05	VYDAJ	PREVOD NA UCET	2223	6175	POJISTNE	AB	94730412
630681	2153	1997-07-05	VYDAJ	PREVOD NA UCET	2223	10556	POJISTNE	AB	94730412
630682	2153	1997-08-05	VYDAJ	PREVOD NA UCET	2223	22007	POJISTNE	AB	94730412
630683	2153	1997-09-05	VYDAJ	PREVOD NA UCET	2223	10797	POJISTNE	AB	94730412
630684	2153	1997-10-05	VYDAJ	PREVOD NA UCET	2223	7143	POJISTNE	AB	94730412
630685	2153	1997-11-05	VYDAJ	PREVOD NA UCET	2223	18580	POJISTNE	AB	94730412
630686	2153	1997-12-05	VYDAJ	PREVOD NA UCET	2223	9753	POJISTNE	AB	94730412
630687	2153	1998-01-05	VYDAJ	PREVOD NA UCET	2223	16056	POJISTNE	AB	94730412
630688	2153	1998-02-05	VYDAJ	PREVOD NA UCET	2223	18337	POJISTNE	AB	94730412
630689	2153	1998-03-05	VYDAJ	PREVOD NA UCET	2223	18933	POJISTNE	AB	94730412
630690	2153	1998-04-05	VYDAJ	PREVOD NA UCET	2223	9249	POJISTNE	AB	94730412
630691	2153	1998-05-05	VYDAJ	PREVOD NA UCET	2223	25838	POJISTNE	AB	94730412
630692	2153	1998-06-05	VYDAJ	PREVOD NA UCET	2223	29066	POJISTNE	AB	94730412
630693	2153	1998-07-05	VYDAJ	PREVOD NA UCET	2223	30329	POJISTNE	AB	94730412
630694	2153	1998-08-05	VYDAJ	PREVOD NA UCET	2223	42419	POJISTNE	AB	94730412
630695	2153	1998-09-05	VYDAJ	PREVOD NA UCET	2223	44821	POJISTNE	AB	94730412
630696	2153	1998-10-05	VYDAJ	PREVOD NA UCET	2223	14405	POJISTNE	AB	94730412
630697	2153	1998-11-05	VYDAJ	PREVOD NA UCET	2223	27208	POJISTNE	AB	94730412
630698	2153	1998-12-05	VYDAJ	PREVOD NA UCET	2223	39359	POJISTNE	AB	94730412
630700	2153	1996-12-24	VYBER	VYBER	4144	26829	\N	\N	\N
630702	2153	1996-06-13	VYBER	VYBER	11643	36051	\N	\N	\N
630704	2153	1996-07-27	VYBER	VYBER	4338	25127	\N	\N	\N
630706	2153	1996-10-09	VYBER	VYBER	15848	28028	\N	\N	\N
630707	2153	1996-05-10	VYBER	VYBER	23496	50064	\N	\N	\N
630719	2153	1996-06-11	VYDAJ	VYBER	12900	47694	\N	\N	\N
630721	2153	1998-06-13	VYDAJ	VYBER	26100	47395	\N	\N	\N
630723	2153	1997-01-11	VYDAJ	VYBER	9300	36472	\N	\N	\N
630725	2153	1996-12-01	VYDAJ	VYBER	1800	18300	\N	\N	\N
630727	2153	1998-12-14	VYDAJ	VYBER	4500	63785	\N	\N	\N
630737	2153	1997-01-04	VYDAJ	VYBER	4200	17218	\N	\N	\N
630744	2153	1998-01-10	VYDAJ	VYBER	3300	43533	\N	\N	\N
630747	2153	1996-12-14	VYDAJ	VYBER	8700	30973	\N	\N	\N
630749	2153	1996-09-27	VYDAJ	VYBER	5700	24235	\N	\N	\N
630752	2153	1997-03-09	VYDAJ	VYBER	5100	40279	\N	\N	\N
630754	2153	1998-08-18	VYDAJ	VYBER	10800	50356	\N	\N	\N
630756	2153	1998-05-13	VYDAJ	VYBER	9000	45878	\N	\N	\N
630757	2153	1998-02-11	VYDAJ	VYBER	6000	43114	\N	\N	\N
630758	2153	1998-01-11	VYDAJ	VYBER	8100	35433	\N	\N	\N
630764	2153	1996-05-31	VYDAJ	VYBER	30	32288	SLUZBY	\N	\N
630765	2153	1996-06-30	VYDAJ	VYBER	30	25851	SLUZBY	\N	\N
630766	2153	1996-07-31	VYDAJ	VYBER	30	25223	SLUZBY	\N	\N
630767	2153	1996-08-31	VYDAJ	VYBER	30	28721	SLUZBY	\N	\N
630768	2153	1996-09-30	VYDAJ	VYBER	30	24322	SLUZBY	\N	\N
630769	2153	1996-10-31	VYDAJ	VYBER	30	10437	SLUZBY	\N	\N
630770	2153	1996-11-30	VYDAJ	VYBER	30	20100	SLUZBY	\N	\N
630771	2153	1996-12-31	VYDAJ	VYBER	30	26918	SLUZBY	\N	\N
630772	2153	1997-01-31	VYDAJ	VYBER	30	15264	SLUZBY	\N	\N
630773	2153	1997-02-28	VYDAJ	VYBER	30	26725	SLUZBY	\N	\N
630774	2153	1997-03-31	VYDAJ	VYBER	30	23183	SLUZBY	\N	\N
630775	2153	1997-04-30	VYDAJ	VYBER	30	26346	SLUZBY	\N	\N
630776	2153	1997-05-31	VYDAJ	VYBER	30	22798	SLUZBY	\N	\N
630777	2153	1997-06-30	VYDAJ	VYBER	30	12779	SLUZBY	\N	\N
630778	2153	1997-07-31	VYDAJ	VYBER	30	24230	SLUZBY	\N	\N
630779	2153	1997-08-31	VYDAJ	VYBER	30	13020	SLUZBY	\N	\N
630780	2153	1997-09-30	VYDAJ	VYBER	30	9366	SLUZBY	\N	\N
630781	2153	1997-10-31	VYDAJ	VYBER	30	20803	SLUZBY	\N	\N
630782	2153	1997-11-30	VYDAJ	VYBER	30	11976	SLUZBY	\N	\N
630783	2153	1997-12-31	VYDAJ	VYBER	30	18279	SLUZBY	\N	\N
630784	2153	1998-01-31	VYDAJ	VYBER	30	20560	SLUZBY	\N	\N
630785	2153	1998-02-28	VYDAJ	VYBER	30	25756	SLUZBY	\N	\N
630786	2153	1998-03-31	VYDAJ	VYBER	30	15872	SLUZBY	\N	\N
630787	2153	1998-04-30	VYDAJ	VYBER	30	28061	SLUZBY	\N	\N
630788	2153	1998-05-31	VYDAJ	VYBER	30	31289	SLUZBY	\N	\N
630789	2153	1998-06-30	VYDAJ	VYBER	30	32552	SLUZBY	\N	\N
630790	2153	1998-07-31	VYDAJ	VYBER	30	44642	SLUZBY	\N	\N
630791	2153	1998-08-31	VYDAJ	VYBER	30	47044	SLUZBY	\N	\N
630792	2153	1998-09-30	VYDAJ	VYBER	30	16628	SLUZBY	\N	\N
630793	2153	1998-10-31	VYDAJ	VYBER	30	29431	SLUZBY	\N	\N
630794	2153	1998-11-30	VYDAJ	VYBER	30	41582	SLUZBY	\N	\N
630795	2153	1996-02-06	VYDAJ	VYBER	4300	26773	\N	\N	\N
630796	2153	1996-03-07	VYDAJ	VYBER	20500	37259	\N	\N	\N
630797	2153	1996-04-06	VYDAJ	VYBER	26400	41908	\N	\N	\N
630798	2153	1996-05-06	VYDAJ	VYBER	30200	42783	\N	\N	\N
630799	2153	1996-06-05	VYDAJ	VYBER	6400	23665	\N	\N	\N
630800	2153	1996-07-05	VYDAJ	VYBER	8600	17251	\N	\N	\N
630801	2153	1996-08-04	VYDAJ	VYBER	8200	17023	\N	\N	\N
630802	2153	1996-09-03	VYDAJ	VYBER	9500	13421	\N	\N	\N
630803	2153	1996-10-03	VYDAJ	VYBER	9000	15322	\N	\N	\N
630804	2153	1996-11-02	VYDAJ	VYBER	2000	8437	\N	\N	\N
630805	2153	1996-12-02	VYDAJ	VYBER	5400	12900	\N	\N	\N
630806	2153	1997-01-01	VYDAJ	VYBER	5500	21418	\N	\N	\N
630807	2153	1997-01-31	VYDAJ	VYBER	4100	15294	\N	\N	\N
630808	2153	1997-03-02	VYDAJ	VYBER	9900	16825	\N	\N	\N
630809	2153	1997-04-01	VYDAJ	VYBER	8300	14883	\N	\N	\N
630810	2153	1997-05-01	VYDAJ	VYBER	15000	11346	\N	\N	\N
630811	2153	1997-05-31	VYDAJ	VYBER	14400	8398	\N	\N	\N
630812	2153	1997-06-30	VYDAJ	VYBER	22500	12809	\N	\N	\N
630813	2153	1997-08-29	VYDAJ	VYBER	22700	12915	\N	\N	\N
630814	2153	1997-09-28	VYDAJ	VYBER	15100	9305	\N	\N	\N
630815	2153	1997-11-27	VYDAJ	VYBER	20300	11887	\N	\N	\N
630816	2153	1997-12-27	VYDAJ	VYBER	20900	18179	\N	\N	\N
630817	2153	1998-03-27	VYDAJ	VYBER	21900	15770	\N	\N	\N
630818	2153	1998-09-23	VYDAJ	VYBER	40700	16458	\N	\N	\N
630855	2154	1994-04-21	PRIJEM	VKLAD	200	200	\N	\N	\N
630860	2154	1994-05-11	PRIJEM	PREVOD Z UCTU	3189	3389	\N	GH	62511837
630861	2154	1994-06-11	PRIJEM	PREVOD Z UCTU	3189	6578	\N	GH	62511837
630862	2154	1994-07-11	PRIJEM	PREVOD Z UCTU	3189	9767	\N	GH	62511837
630863	2154	1994-08-11	PRIJEM	PREVOD Z UCTU	3189	12956	\N	GH	62511837
630864	2154	1994-09-11	PRIJEM	PREVOD Z UCTU	3189	16145	\N	GH	62511837
630865	2154	1994-10-11	PRIJEM	PREVOD Z UCTU	3189	17196	\N	GH	62511837
630866	2154	1994-11-11	PRIJEM	PREVOD Z UCTU	3189	18314	\N	GH	62511837
630867	2154	1994-12-11	PRIJEM	PREVOD Z UCTU	3189	19438	\N	GH	62511837
630868	2154	1995-01-11	PRIJEM	PREVOD Z UCTU	3189	19095	\N	GH	62511837
630869	2154	1995-02-11	PRIJEM	PREVOD Z UCTU	3189	17126	\N	GH	62511837
630870	2154	1995-03-11	PRIJEM	PREVOD Z UCTU	3189	18244	\N	GH	62511837
630871	2154	1995-04-11	PRIJEM	PREVOD Z UCTU	3189	19367	\N	GH	62511837
630872	2154	1995-05-11	PRIJEM	PREVOD Z UCTU	3189	19023	\N	GH	62511837
630873	2154	1995-06-11	PRIJEM	PREVOD Z UCTU	3189	20149	\N	GH	62511837
630874	2154	1995-07-11	PRIJEM	PREVOD Z UCTU	3189	20890	\N	GH	62511837
630875	2154	1995-08-11	PRIJEM	PREVOD Z UCTU	3189	22023	\N	GH	62511837
630876	2154	1995-09-11	PRIJEM	PREVOD Z UCTU	3189	23162	\N	GH	62511837
630877	2154	1995-10-11	PRIJEM	PREVOD Z UCTU	3189	22051	\N	GH	62511837
630878	2154	1995-11-11	PRIJEM	PREVOD Z UCTU	3189	23190	\N	GH	62511837
630879	2154	1995-12-11	PRIJEM	PREVOD Z UCTU	3189	22771	\N	GH	62511837
630880	2154	1996-01-11	PRIJEM	PREVOD Z UCTU	3189	21768	\N	GH	62511837
630881	2154	1996-02-11	PRIJEM	PREVOD Z UCTU	3189	20200	\N	GH	62511837
630882	2154	1996-03-11	PRIJEM	PREVOD Z UCTU	3189	18720	\N	GH	62511837
630883	2154	1996-04-11	PRIJEM	PREVOD Z UCTU	3189	19845	\N	GH	62511837
630884	2154	1996-05-11	PRIJEM	PREVOD Z UCTU	3189	20274	\N	GH	62511837
630885	2154	1996-06-11	PRIJEM	PREVOD Z UCTU	3189	19406	\N	GH	62511837
630886	2154	1996-07-11	PRIJEM	PREVOD Z UCTU	3189	19035	\N	GH	62511837
630887	2154	1996-08-11	PRIJEM	PREVOD Z UCTU	3189	18262	\N	GH	62511837
630888	2154	1996-09-11	PRIJEM	PREVOD Z UCTU	3189	15905	\N	GH	62511837
630889	2154	1996-10-11	PRIJEM	PREVOD Z UCTU	3189	15669	\N	GH	62511837
630890	2154	1996-11-11	PRIJEM	PREVOD Z UCTU	3189	16781	\N	GH	62511837
630891	2154	1996-12-11	PRIJEM	PREVOD Z UCTU	3189	17897	\N	GH	62511837
630892	2154	1997-01-11	PRIJEM	PREVOD Z UCTU	3189	16888	\N	GH	62511837
630893	2154	1997-02-11	PRIJEM	PREVOD Z UCTU	3189	15510	\N	GH	62511837
630894	2154	1997-03-11	PRIJEM	PREVOD Z UCTU	3189	16621	\N	GH	62511837
630895	2154	1997-04-11	PRIJEM	PREVOD Z UCTU	3189	17437	\N	GH	62511837
630896	2154	1997-05-11	PRIJEM	PREVOD Z UCTU	3189	18555	\N	GH	62511837
630897	2154	1997-06-11	PRIJEM	PREVOD Z UCTU	3189	19679	\N	GH	62511837
630898	2154	1997-07-11	PRIJEM	PREVOD Z UCTU	3189	20807	\N	GH	62511837
630899	2154	1997-08-11	PRIJEM	PREVOD Z UCTU	3189	21940	\N	GH	62511837
630900	2154	1997-09-11	PRIJEM	PREVOD Z UCTU	3189	20436	\N	GH	62511837
630901	2154	1997-10-11	PRIJEM	PREVOD Z UCTU	3189	21568	\N	GH	62511837
630902	2154	1997-11-11	PRIJEM	PREVOD Z UCTU	3189	22704	\N	GH	62511837
630903	2154	1997-12-11	PRIJEM	PREVOD Z UCTU	3189	22495	\N	GH	62511837
630904	2154	1998-01-11	PRIJEM	PREVOD Z UCTU	3189	23004	\N	GH	62511837
630905	2154	1998-02-11	PRIJEM	PREVOD Z UCTU	3189	14501	\N	GH	62511837
630906	2154	1998-03-11	PRIJEM	PREVOD Z UCTU	3189	15608	\N	GH	62511837
630907	2154	1998-04-11	PRIJEM	PREVOD Z UCTU	3189	16719	\N	GH	62511837
630908	2154	1998-05-11	PRIJEM	PREVOD Z UCTU	3189	14534	\N	GH	62511837
630909	2154	1998-06-11	PRIJEM	PREVOD Z UCTU	3189	15645	\N	GH	62511837
630910	2154	1998-07-11	PRIJEM	PREVOD Z UCTU	3189	16305	\N	GH	62511837
630911	2154	1998-08-11	PRIJEM	PREVOD Z UCTU	3189	16277	\N	GH	62511837
630912	2154	1998-09-11	PRIJEM	PREVOD Z UCTU	3189	17391	\N	GH	62511837
630913	2154	1998-10-11	PRIJEM	PREVOD Z UCTU	3189	17907	\N	GH	62511837
630914	2154	1998-11-11	PRIJEM	PREVOD Z UCTU	3189	15225	\N	GH	62511837
630915	2154	1998-12-11	PRIJEM	PREVOD Z UCTU	3189	16334	\N	GH	62511837
630925	2154	1994-10-08	VYDAJ	PREVOD NA UCET	2126	14007	\N	AB	22301203
630926	2154	1994-11-08	VYDAJ	PREVOD NA UCET	2126	15125	\N	AB	22301203
630927	2154	1994-12-08	VYDAJ	PREVOD NA UCET	2126	16249	\N	AB	22301203
630928	2154	1995-01-08	VYDAJ	PREVOD NA UCET	2126	15906	\N	AB	22301203
630929	2154	1995-02-08	VYDAJ	PREVOD NA UCET	2126	13937	\N	AB	22301203
630930	2154	1995-03-08	VYDAJ	PREVOD NA UCET	2126	15055	\N	AB	22301203
630931	2154	1995-04-08	VYDAJ	PREVOD NA UCET	2126	16178	\N	AB	22301203
630932	2154	1995-05-08	VYDAJ	PREVOD NA UCET	2126	15834	\N	AB	22301203
630933	2154	1995-06-08	VYDAJ	PREVOD NA UCET	2126	16960	\N	AB	22301203
630934	2154	1995-07-08	VYDAJ	PREVOD NA UCET	2126	17701	\N	AB	22301203
630935	2154	1995-08-08	VYDAJ	PREVOD NA UCET	2126	18834	\N	AB	22301203
630936	2154	1995-09-08	VYDAJ	PREVOD NA UCET	2126	19973	\N	AB	22301203
630937	2154	1995-10-08	VYDAJ	PREVOD NA UCET	2126	18862	\N	AB	22301203
630938	2154	1995-11-08	VYDAJ	PREVOD NA UCET	2126	20001	\N	AB	22301203
630939	2154	1995-12-08	VYDAJ	PREVOD NA UCET	2126	19582	\N	AB	22301203
630940	2154	1996-01-08	VYDAJ	PREVOD NA UCET	2126	18579	\N	AB	22301203
630941	2154	1996-02-08	VYDAJ	PREVOD NA UCET	2126	17011	\N	AB	22301203
630942	2154	1996-03-08	VYDAJ	PREVOD NA UCET	2126	15531	\N	AB	22301203
630943	2154	1996-04-08	VYDAJ	PREVOD NA UCET	2126	16656	\N	AB	22301203
630944	2154	1996-05-08	VYDAJ	PREVOD NA UCET	2126	17785	\N	AB	22301203
630945	2154	1996-06-08	VYDAJ	PREVOD NA UCET	2126	18217	\N	AB	22301203
630946	2154	1996-07-08	VYDAJ	PREVOD NA UCET	2126	17346	\N	AB	22301203
630947	2154	1996-08-08	VYDAJ	PREVOD NA UCET	2126	16973	\N	AB	22301203
630948	2154	1996-09-08	VYDAJ	PREVOD NA UCET	2126	12716	\N	AB	22301203
630949	2154	1996-10-08	VYDAJ	PREVOD NA UCET	2126	12480	\N	AB	22301203
630950	2154	1996-11-08	VYDAJ	PREVOD NA UCET	2126	13592	\N	AB	22301203
630951	2154	1996-12-08	VYDAJ	PREVOD NA UCET	2126	14708	\N	AB	22301203
630952	2154	1997-01-08	VYDAJ	PREVOD NA UCET	2126	13699	\N	AB	22301203
630953	2154	1997-02-08	VYDAJ	PREVOD NA UCET	2126	12321	\N	AB	22301203
630954	2154	1997-03-08	VYDAJ	PREVOD NA UCET	2126	13432	\N	AB	22301203
630955	2154	1997-04-08	VYDAJ	PREVOD NA UCET	2126	14248	\N	AB	22301203
630956	2154	1997-05-08	VYDAJ	PREVOD NA UCET	2126	15366	\N	AB	22301203
630957	2154	1997-06-08	VYDAJ	PREVOD NA UCET	2126	16490	\N	AB	22301203
630958	2154	1997-07-08	VYDAJ	PREVOD NA UCET	2126	17618	\N	AB	22301203
630959	2154	1997-08-08	VYDAJ	PREVOD NA UCET	2126	18751	\N	AB	22301203
630960	2154	1997-09-08	VYDAJ	PREVOD NA UCET	2126	17247	\N	AB	22301203
630961	2154	1997-10-08	VYDAJ	PREVOD NA UCET	2126	18379	\N	AB	22301203
630962	2154	1997-11-08	VYDAJ	PREVOD NA UCET	2126	19515	\N	AB	22301203
630963	2154	1997-12-08	VYDAJ	PREVOD NA UCET	2126	19306	\N	AB	22301203
630964	2154	1998-01-08	VYDAJ	PREVOD NA UCET	2126	20085	\N	AB	22301203
630965	2154	1998-02-08	VYDAJ	PREVOD NA UCET	2126	11312	\N	AB	22301203
630966	2154	1998-03-08	VYDAJ	PREVOD NA UCET	2126	12419	\N	AB	22301203
630967	2154	1998-04-08	VYDAJ	PREVOD NA UCET	2126	13530	\N	AB	22301203
630968	2154	1998-05-08	VYDAJ	PREVOD NA UCET	2126	11345	\N	AB	22301203
630969	2154	1998-06-08	VYDAJ	PREVOD NA UCET	2126	12456	\N	AB	22301203
630970	2154	1998-07-08	VYDAJ	PREVOD NA UCET	2126	13116	\N	AB	22301203
630971	2154	1998-08-08	VYDAJ	PREVOD NA UCET	2126	13088	\N	AB	22301203
630972	2154	1998-09-08	VYDAJ	PREVOD NA UCET	2126	14202	\N	AB	22301203
630973	2154	1998-10-08	VYDAJ	PREVOD NA UCET	2126	14718	\N	AB	22301203
630974	2154	1998-11-08	VYDAJ	PREVOD NA UCET	2126	12036	\N	AB	22301203
630975	2154	1998-12-08	VYDAJ	PREVOD NA UCET	2126	13145	\N	AB	22301203
630976	2154	1994-12-27	VYDAJ	VYBER	720	18718	\N	\N	\N
630977	2154	1995-12-07	VYDAJ	VYBER	150	21708	\N	\N	\N
630978	2154	1996-12-25	VYDAJ	VYBER	870	17027	\N	\N	\N
630979	2154	1997-12-07	VYDAJ	VYBER	630	21432	\N	\N	\N
630987	2154	1995-01-18	VYDAJ	VYBER	390	16965	\N	\N	\N
630988	2154	1995-01-13	VYDAJ	VYBER	660	18435	\N	\N	\N
630989	2154	1995-01-06	VYDAJ	VYBER	750	18032	\N	\N	\N
630990	2154	1995-01-16	VYDAJ	VYBER	840	17355	\N	\N	\N
630991	2154	1995-01-14	VYDAJ	VYBER	240	18195	\N	\N	\N
630992	2154	1995-01-26	VYDAJ	VYBER	420	16545	\N	\N	\N
630993	2154	1996-01-15	VYDAJ	VYBER	660	21108	\N	\N	\N
630994	2154	1996-01-17	VYDAJ	VYBER	450	20298	\N	\N	\N
630995	2154	1996-01-28	VYDAJ	VYBER	360	19068	\N	\N	\N
630996	2154	1996-01-19	VYDAJ	VYBER	870	19428	\N	\N	\N
630997	2154	1996-01-17	VYDAJ	VYBER	360	20748	\N	\N	\N
630998	2154	1996-01-01	VYDAJ	VYBER	540	20705	\N	\N	\N
630999	2154	1997-01-01	VYDAJ	VYBER	270	16815	\N	\N	\N
631000	2154	1997-01-03	VYDAJ	VYBER	780	15825	\N	\N	\N
631001	2154	1997-01-02	VYDAJ	VYBER	210	16605	\N	\N	\N
631002	2154	1997-01-13	VYDAJ	VYBER	570	16318	\N	\N	\N
631003	2154	1997-01-23	VYDAJ	VYBER	660	15238	\N	\N	\N
631004	2154	1997-01-20	VYDAJ	VYBER	420	15898	\N	\N	\N
631005	2154	1998-01-03	VYDAJ	VYBER	360	22211	\N	\N	\N
631006	2154	1998-01-23	VYDAJ	VYBER	210	21924	\N	\N	\N
631007	2154	1998-01-22	VYDAJ	VYBER	450	22134	\N	\N	\N
631008	2154	1998-01-14	VYDAJ	VYBER	420	22584	\N	\N	\N
631009	2154	1998-01-10	VYDAJ	VYBER	270	19815	\N	\N	\N
631010	2154	1998-01-27	VYDAJ	VYBER	360	21564	\N	\N	\N
631015	2154	1995-11-18	VYDAJ	VYBER	1410	21780	\N	\N	\N
631016	2154	1995-01-30	VYDAJ	VYBER	540	16005	\N	\N	\N
631017	2154	1995-09-13	VYDAJ	VYBER	1350	21812	\N	\N	\N
631018	2154	1995-04-20	VYDAJ	VYBER	1470	17897	\N	\N	\N
631019	2154	1995-07-01	VYDAJ	VYBER	390	19827	\N	\N	\N
631020	2154	1995-09-28	VYDAJ	VYBER	900	20912	\N	\N	\N
631021	2154	1996-02-23	VYDAJ	VYBER	1410	18790	\N	\N	\N
631022	2154	1996-08-23	VYDAJ	VYBER	780	17482	\N	\N	\N
631023	2154	1996-03-03	VYDAJ	VYBER	1200	17657	\N	\N	\N
631024	2154	1996-09-28	VYDAJ	VYBER	1350	14555	\N	\N	\N
631025	2154	1997-01-26	VYDAJ	VYBER	840	14398	\N	\N	\N
631026	2154	1997-09-01	VYDAJ	VYBER	1260	19373	\N	\N	\N
631027	2154	1997-11-30	VYDAJ	VYBER	720	22062	\N	\N	\N
631028	2154	1997-08-24	VYDAJ	VYBER	1380	20560	\N	\N	\N
631029	2154	1997-04-01	VYDAJ	VYBER	300	16374	\N	\N	\N
631030	2154	1998-06-20	VYDAJ	VYBER	450	15195	\N	\N	\N
631031	2154	1998-09-16	VYDAJ	VYBER	600	16791	\N	\N	\N
631033	2154	1998-12-28	VYDAJ	VYBER	480	15854	\N	\N	\N
631034	2154	1998-07-23	VYDAJ	VYBER	1140	15165	\N	\N	\N
631044	2154	1994-09-30	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
631045	2154	1994-10-31	VYDAJ	VYBER	15	17251	SLUZBY	\N	\N
631046	2154	1994-11-30	VYDAJ	VYBER	15	18375	SLUZBY	\N	\N
631047	2154	1994-12-31	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
631048	2154	1995-01-31	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
631049	2154	1995-02-28	VYDAJ	VYBER	15	17181	SLUZBY	\N	\N
631050	2154	1995-03-31	VYDAJ	VYBER	15	18304	SLUZBY	\N	\N
631051	2154	1995-04-30	VYDAJ	VYBER	15	17960	SLUZBY	\N	\N
631052	2154	1995-05-31	VYDAJ	VYBER	15	19086	SLUZBY	\N	\N
631053	2154	1995-06-30	VYDAJ	VYBER	15	20217	SLUZBY	\N	\N
631054	2154	1995-07-31	VYDAJ	VYBER	15	20960	SLUZBY	\N	\N
631055	2154	1995-08-31	VYDAJ	VYBER	15	22099	SLUZBY	\N	\N
631056	2154	1995-09-30	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
631057	2154	1995-10-31	VYDAJ	VYBER	15	22127	SLUZBY	\N	\N
631058	2154	1995-11-30	VYDAJ	VYBER	15	21858	SLUZBY	\N	\N
631059	2154	1995-12-31	VYDAJ	VYBER	15	21245	SLUZBY	\N	\N
631060	2154	1996-01-31	VYDAJ	VYBER	15	19137	SLUZBY	\N	\N
631061	2154	1996-02-29	VYDAJ	VYBER	15	18857	SLUZBY	\N	\N
631062	2154	1996-03-31	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
631063	2154	1996-04-30	VYDAJ	VYBER	15	19911	SLUZBY	\N	\N
631064	2154	1996-05-31	VYDAJ	VYBER	15	20343	SLUZBY	\N	\N
631065	2154	1996-06-30	VYDAJ	VYBER	15	19472	SLUZBY	\N	\N
631066	2154	1996-07-31	VYDAJ	VYBER	15	19099	SLUZBY	\N	\N
631067	2154	1996-08-31	VYDAJ	VYBER	15	17542	SLUZBY	\N	\N
631068	2154	1996-09-30	VYDAJ	VYBER	15	14606	SLUZBY	\N	\N
631069	2154	1996-10-31	VYDAJ	VYBER	15	15718	SLUZBY	\N	\N
631070	2154	1996-11-30	VYDAJ	VYBER	15	16834	SLUZBY	\N	\N
631071	2154	1996-12-31	VYDAJ	VYBER	15	17085	SLUZBY	\N	\N
631072	2154	1997-01-31	VYDAJ	VYBER	15	14447	SLUZBY	\N	\N
631073	2154	1997-02-28	VYDAJ	VYBER	15	15558	SLUZBY	\N	\N
631074	2154	1997-03-31	VYDAJ	VYBER	15	16674	SLUZBY	\N	\N
631075	2154	1997-04-30	VYDAJ	VYBER	15	17492	SLUZBY	\N	\N
631076	2154	1997-05-31	VYDAJ	VYBER	15	18616	SLUZBY	\N	\N
631077	2154	1997-06-30	VYDAJ	VYBER	15	19744	SLUZBY	\N	\N
631078	2154	1997-07-31	VYDAJ	VYBER	15	20877	SLUZBY	\N	\N
631079	2154	1997-08-31	VYDAJ	VYBER	15	20633	SLUZBY	\N	\N
631080	2154	1997-09-30	VYDAJ	VYBER	15	20505	SLUZBY	\N	\N
631081	2154	1997-10-31	VYDAJ	VYBER	15	21641	SLUZBY	\N	\N
631082	2154	1997-11-30	VYDAJ	VYBER	15	22782	SLUZBY	\N	\N
631083	2154	1997-12-31	VYDAJ	VYBER	15	22571	SLUZBY	\N	\N
631084	2154	1998-01-31	VYDAJ	VYBER	15	13438	SLUZBY	\N	\N
631085	2154	1998-02-28	VYDAJ	VYBER	15	14545	SLUZBY	\N	\N
631086	2154	1998-03-31	VYDAJ	VYBER	15	15656	SLUZBY	\N	\N
631087	2154	1998-04-30	VYDAJ	VYBER	15	16771	SLUZBY	\N	\N
631088	2154	1998-05-31	VYDAJ	VYBER	15	14582	SLUZBY	\N	\N
631089	2154	1998-06-30	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
631090	2154	1998-07-31	VYDAJ	VYBER	15	15214	SLUZBY	\N	\N
631091	2154	1998-08-31	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
631092	2154	1998-09-30	VYDAJ	VYBER	15	16844	SLUZBY	\N	\N
631093	2154	1998-10-31	VYDAJ	VYBER	15	14162	SLUZBY	\N	\N
631094	2154	1998-11-30	VYDAJ	VYBER	15	15271	SLUZBY	\N	\N
631095	2154	1995-12-12	VYDAJ	VYBER	1600	21171	\N	\N	\N
631096	2154	1996-05-10	VYDAJ	VYBER	700	17085	\N	\N	\N
631097	2154	1996-06-09	VYDAJ	VYBER	2000	16217	\N	\N	\N
631098	2154	1996-07-09	VYDAJ	VYBER	1500	15846	\N	\N	\N
631099	2154	1996-08-08	VYDAJ	VYBER	1900	15073	\N	\N	\N
631100	2154	1996-09-07	VYDAJ	VYBER	2700	14842	\N	\N	\N
631101	2154	1998-01-30	VYDAJ	VYBER	8200	13364	\N	\N	\N
631102	2154	1998-04-30	VYDAJ	VYBER	3300	13471	\N	\N	\N
631103	2154	1998-10-27	VYDAJ	VYBER	3800	14107	\N	\N	\N
631156	2155	1994-06-08	PRIJEM	VKLAD	600	600	\N	\N	\N
631162	2155	1994-06-11	PRIJEM	PREVOD Z UCTU	3404	4004	\N	UV	19977993
631163	2155	1994-07-11	PRIJEM	PREVOD Z UCTU	3404	15619	\N	UV	19977993
631164	2155	1994-08-11	PRIJEM	PREVOD Z UCTU	3404	24773	\N	UV	19977993
631165	2155	1994-09-11	PRIJEM	PREVOD Z UCTU	3404	28568	\N	UV	19977993
631166	2155	1994-10-11	PRIJEM	PREVOD Z UCTU	3404	31785	\N	UV	19977993
631167	2155	1994-11-11	PRIJEM	PREVOD Z UCTU	3404	28930	\N	UV	19977993
631168	2155	1994-12-11	PRIJEM	PREVOD Z UCTU	3404	28468	\N	UV	19977993
631169	2155	1995-01-11	PRIJEM	PREVOD Z UCTU	3404	29820	\N	UV	19977993
631170	2155	1995-02-11	PRIJEM	PREVOD Z UCTU	3404	27465	\N	UV	19977993
631171	2155	1995-03-11	PRIJEM	PREVOD Z UCTU	3404	28692	\N	UV	19977993
631172	2155	1995-04-11	PRIJEM	PREVOD Z UCTU	3404	28025	\N	UV	19977993
631173	2155	1995-05-11	PRIJEM	PREVOD Z UCTU	3404	25515	\N	UV	19977993
631174	2155	1995-06-11	PRIJEM	PREVOD Z UCTU	3404	24736	\N	UV	19977993
631175	2155	1995-07-11	PRIJEM	PREVOD Z UCTU	3404	22899	\N	UV	19977993
631176	2155	1995-08-11	PRIJEM	PREVOD Z UCTU	3404	21268	\N	UV	19977993
631177	2155	1995-09-11	PRIJEM	PREVOD Z UCTU	3404	20170	\N	UV	19977993
631178	2155	1995-10-11	PRIJEM	PREVOD Z UCTU	3404	20068	\N	UV	19977993
631179	2155	1995-11-11	PRIJEM	PREVOD Z UCTU	3404	23064	\N	UV	19977993
631180	2155	1995-12-11	PRIJEM	PREVOD Z UCTU	3404	18932	\N	UV	19977993
631181	2155	1996-01-11	PRIJEM	PREVOD Z UCTU	3404	20854	\N	UV	19977993
631182	2155	1996-02-11	PRIJEM	PREVOD Z UCTU	3404	19070	\N	UV	19977993
631183	2155	1996-03-11	PRIJEM	PREVOD Z UCTU	3404	21763	\N	UV	19977993
631184	2155	1996-04-11	PRIJEM	PREVOD Z UCTU	3404	20365	\N	UV	19977993
631185	2155	1996-05-11	PRIJEM	PREVOD Z UCTU	3404	23763	\N	UV	19977993
631186	2155	1996-06-11	PRIJEM	PREVOD Z UCTU	3404	25284	\N	UV	19977993
631187	2155	1996-07-11	PRIJEM	PREVOD Z UCTU	3404	23404	\N	UV	19977993
631188	2155	1996-08-11	PRIJEM	PREVOD Z UCTU	3404	23723	\N	UV	19977993
631189	2155	1996-09-11	PRIJEM	PREVOD Z UCTU	3404	23433	\N	UV	19977993
631190	2155	1996-10-11	PRIJEM	PREVOD Z UCTU	3404	19418	\N	UV	19977993
631191	2155	1996-11-11	PRIJEM	PREVOD Z UCTU	3404	18409	\N	UV	19977993
631192	2155	1996-12-11	PRIJEM	PREVOD Z UCTU	3404	18997	\N	UV	19977993
631193	2155	1997-01-11	PRIJEM	PREVOD Z UCTU	3404	17606	\N	UV	19977993
631194	2155	1997-02-11	PRIJEM	PREVOD Z UCTU	3404	15918	\N	UV	19977993
631195	2155	1997-03-11	PRIJEM	PREVOD Z UCTU	3404	16696	\N	UV	19977993
631196	2155	1997-04-11	PRIJEM	PREVOD Z UCTU	3404	14474	\N	UV	19977993
631197	2155	1997-05-11	PRIJEM	PREVOD Z UCTU	3404	15046	\N	UV	19977993
631198	2155	1997-06-11	PRIJEM	PREVOD Z UCTU	3404	19124	\N	UV	19977993
631199	2155	1997-07-11	PRIJEM	PREVOD Z UCTU	3404	18513	\N	UV	19977993
631200	2155	1997-08-11	PRIJEM	PREVOD Z UCTU	3404	19102	\N	UV	19977993
631201	2155	1997-09-11	PRIJEM	PREVOD Z UCTU	3404	20794	\N	UV	19977993
631202	2155	1997-10-11	PRIJEM	PREVOD Z UCTU	3404	22445	\N	UV	19977993
631203	2155	1997-11-11	PRIJEM	PREVOD Z UCTU	3404	21947	\N	UV	19977993
631204	2155	1997-12-11	PRIJEM	PREVOD Z UCTU	3404	21748	\N	UV	19977993
631205	2155	1998-01-11	PRIJEM	PREVOD Z UCTU	3404	21608	\N	UV	19977993
631206	2155	1998-02-11	PRIJEM	PREVOD Z UCTU	3404	20254	\N	UV	19977993
631207	2155	1998-03-11	PRIJEM	PREVOD Z UCTU	3404	17973	\N	UV	19977993
631208	2155	1998-04-11	PRIJEM	PREVOD Z UCTU	3404	16355	\N	UV	19977993
631209	2155	1998-05-11	PRIJEM	PREVOD Z UCTU	3404	17534	\N	UV	19977993
631210	2155	1998-06-11	PRIJEM	PREVOD Z UCTU	3404	18268	\N	UV	19977993
631211	2155	1998-07-11	PRIJEM	PREVOD Z UCTU	3404	19455	\N	UV	19977993
631212	2155	1998-08-11	PRIJEM	PREVOD Z UCTU	3404	20377	\N	UV	19977993
631213	2155	1998-09-11	PRIJEM	PREVOD Z UCTU	3404	21574	\N	UV	19977993
631214	2155	1998-10-11	PRIJEM	PREVOD Z UCTU	3404	22775	\N	UV	19977993
631215	2155	1998-11-11	PRIJEM	PREVOD Z UCTU	3404	22720	\N	UV	19977993
631216	2155	1998-12-11	PRIJEM	PREVOD Z UCTU	3404	16830	\N	UV	19977993
631227	2155	1994-11-05	VYDAJ	PREVOD NA UCET	735	29626	SIPO	IJ	66442948
631228	2155	1994-12-05	VYDAJ	PREVOD NA UCET	735	25064	SIPO	IJ	66442948
631229	2155	1995-01-05	VYDAJ	PREVOD NA UCET	735	27676	SIPO	IJ	66442948
631230	2155	1995-02-05	VYDAJ	PREVOD NA UCET	735	24061	SIPO	IJ	66442948
631231	2155	1995-03-05	VYDAJ	PREVOD NA UCET	735	25288	SIPO	IJ	66442948
631232	2155	1995-04-05	VYDAJ	PREVOD NA UCET	735	24621	SIPO	IJ	66442948
631233	2155	1995-05-05	VYDAJ	PREVOD NA UCET	735	22651	SIPO	IJ	66442948
631234	2155	1995-06-05	VYDAJ	PREVOD NA UCET	735	21332	SIPO	IJ	66442948
631235	2155	1995-07-05	VYDAJ	PREVOD NA UCET	735	19495	SIPO	IJ	66442948
631236	2155	1995-08-05	VYDAJ	PREVOD NA UCET	735	18704	SIPO	IJ	66442948
631237	2155	1995-09-05	VYDAJ	PREVOD NA UCET	735	16766	SIPO	IJ	66442948
631238	2155	1995-10-05	VYDAJ	PREVOD NA UCET	735	16664	SIPO	IJ	66442948
631239	2155	1995-11-05	VYDAJ	PREVOD NA UCET	735	19660	SIPO	IJ	66442948
631240	2155	1995-12-05	VYDAJ	PREVOD NA UCET	735	15528	SIPO	IJ	66442948
631241	2155	1996-01-05	VYDAJ	PREVOD NA UCET	735	18620	SIPO	IJ	66442948
631242	2155	1996-02-05	VYDAJ	PREVOD NA UCET	735	15666	SIPO	IJ	66442948
631243	2155	1996-03-05	VYDAJ	PREVOD NA UCET	735	18359	SIPO	IJ	66442948
631244	2155	1996-04-05	VYDAJ	PREVOD NA UCET	735	16961	SIPO	IJ	66442948
631245	2155	1996-05-05	VYDAJ	PREVOD NA UCET	735	20359	SIPO	IJ	66442948
631246	2155	1996-06-05	VYDAJ	PREVOD NA UCET	735	21880	SIPO	IJ	66442948
631247	2155	1996-07-05	VYDAJ	PREVOD NA UCET	735	20000	SIPO	IJ	66442948
631248	2155	1996-08-05	VYDAJ	PREVOD NA UCET	735	20319	SIPO	IJ	66442948
631249	2155	1996-09-05	VYDAJ	PREVOD NA UCET	735	20029	SIPO	IJ	66442948
631250	2155	1996-10-05	VYDAJ	PREVOD NA UCET	735	16014	SIPO	IJ	66442948
631251	2155	1996-11-05	VYDAJ	PREVOD NA UCET	735	15005	SIPO	IJ	66442948
631252	2155	1996-12-05	VYDAJ	PREVOD NA UCET	735	15593	SIPO	IJ	66442948
631253	2155	1997-01-05	VYDAJ	PREVOD NA UCET	735	14892	SIPO	IJ	66442948
631254	2155	1997-02-05	VYDAJ	PREVOD NA UCET	735	12514	SIPO	IJ	66442948
631255	2155	1997-03-05	VYDAJ	PREVOD NA UCET	735	13292	SIPO	IJ	66442948
631256	2155	1997-04-05	VYDAJ	PREVOD NA UCET	735	11070	SIPO	IJ	66442948
631257	2155	1997-05-05	VYDAJ	PREVOD NA UCET	735	11642	SIPO	IJ	66442948
631258	2155	1997-06-05	VYDAJ	PREVOD NA UCET	735	15720	SIPO	IJ	66442948
631259	2155	1997-07-05	VYDAJ	PREVOD NA UCET	735	15109	SIPO	IJ	66442948
631260	2155	1997-08-05	VYDAJ	PREVOD NA UCET	735	15698	SIPO	IJ	66442948
631261	2155	1997-09-05	VYDAJ	PREVOD NA UCET	735	17390	SIPO	IJ	66442948
631262	2155	1997-10-05	VYDAJ	PREVOD NA UCET	735	19041	SIPO	IJ	66442948
631263	2155	1997-11-05	VYDAJ	PREVOD NA UCET	735	18543	SIPO	IJ	66442948
631264	2155	1997-12-05	VYDAJ	PREVOD NA UCET	735	18344	SIPO	IJ	66442948
631265	2155	1998-01-05	VYDAJ	PREVOD NA UCET	735	18204	SIPO	IJ	66442948
631266	2155	1998-02-05	VYDAJ	PREVOD NA UCET	735	16850	SIPO	IJ	66442948
631267	2155	1998-03-05	VYDAJ	PREVOD NA UCET	735	14569	SIPO	IJ	66442948
631268	2155	1998-04-05	VYDAJ	PREVOD NA UCET	735	12951	SIPO	IJ	66442948
631269	2155	1998-05-05	VYDAJ	PREVOD NA UCET	735	14130	SIPO	IJ	66442948
631270	2155	1998-06-05	VYDAJ	PREVOD NA UCET	735	14864	SIPO	IJ	66442948
631271	2155	1998-07-05	VYDAJ	PREVOD NA UCET	735	16051	SIPO	IJ	66442948
631272	2155	1998-08-05	VYDAJ	PREVOD NA UCET	735	16973	SIPO	IJ	66442948
631273	2155	1998-09-05	VYDAJ	PREVOD NA UCET	735	18170	SIPO	IJ	66442948
631274	2155	1998-10-05	VYDAJ	PREVOD NA UCET	735	19371	SIPO	IJ	66442948
631275	2155	1998-11-05	VYDAJ	PREVOD NA UCET	735	19316	SIPO	IJ	66442948
631276	2155	1998-12-05	VYDAJ	PREVOD NA UCET	735	13426	SIPO	IJ	66442948
631286	2155	1994-10-13	VYDAJ	PREVOD NA UCET	1534	30251	 	ST	23068177
631287	2155	1994-11-13	VYDAJ	PREVOD NA UCET	1534	27396	 	ST	23068177
631288	2155	1994-12-13	VYDAJ	PREVOD NA UCET	1534	26934	 	ST	23068177
631289	2155	1995-01-13	VYDAJ	PREVOD NA UCET	1534	28076	 	ST	23068177
631290	2155	1995-02-13	VYDAJ	PREVOD NA UCET	1534	25931	 	ST	23068177
631291	2155	1995-03-13	VYDAJ	PREVOD NA UCET	1534	27158	 	ST	23068177
631292	2155	1995-04-13	VYDAJ	PREVOD NA UCET	1534	26491	 	ST	23068177
631293	2155	1995-05-13	VYDAJ	PREVOD NA UCET	1534	23981	 	ST	23068177
631294	2155	1995-06-13	VYDAJ	PREVOD NA UCET	1534	23202	 	ST	23068177
631295	2155	1995-07-13	VYDAJ	PREVOD NA UCET	1534	21365	 	ST	23068177
631296	2155	1995-08-13	VYDAJ	PREVOD NA UCET	1534	19734	 	ST	23068177
631297	2155	1995-09-13	VYDAJ	PREVOD NA UCET	1534	18636	 	ST	23068177
631298	2155	1995-10-13	VYDAJ	PREVOD NA UCET	1534	18534	 	ST	23068177
631299	2155	1995-11-13	VYDAJ	PREVOD NA UCET	1534	21530	 	ST	23068177
631300	2155	1995-12-13	VYDAJ	PREVOD NA UCET	1534	17398	 	ST	23068177
631301	2155	1996-01-13	VYDAJ	PREVOD NA UCET	1534	19320	 	ST	23068177
631302	2155	1996-02-13	VYDAJ	PREVOD NA UCET	1534	17536	 	ST	23068177
631303	2155	1996-03-13	VYDAJ	PREVOD NA UCET	1534	20229	 	ST	23068177
631304	2155	1996-04-13	VYDAJ	PREVOD NA UCET	1534	18831	 	ST	23068177
631305	2155	1996-05-13	VYDAJ	PREVOD NA UCET	1534	22229	 	ST	23068177
631306	2155	1996-06-13	VYDAJ	PREVOD NA UCET	1534	23750	 	ST	23068177
631307	2155	1996-07-13	VYDAJ	PREVOD NA UCET	1534	21870	 	ST	23068177
631308	2155	1996-08-13	VYDAJ	PREVOD NA UCET	1534	22189	 	ST	23068177
631309	2155	1996-09-13	VYDAJ	PREVOD NA UCET	1534	21899	 	ST	23068177
631310	2155	1996-10-13	VYDAJ	PREVOD NA UCET	1534	17884	 	ST	23068177
631311	2155	1996-11-13	VYDAJ	PREVOD NA UCET	1534	16875	 	ST	23068177
631312	2155	1996-12-13	VYDAJ	PREVOD NA UCET	1534	16593	 	ST	23068177
631313	2155	1997-01-13	VYDAJ	PREVOD NA UCET	1534	16072	 	ST	23068177
631314	2155	1997-02-13	VYDAJ	PREVOD NA UCET	1534	14384	 	ST	23068177
631315	2155	1997-03-13	VYDAJ	PREVOD NA UCET	1534	15162	 	ST	23068177
631316	2155	1997-04-13	VYDAJ	PREVOD NA UCET	1534	12940	 	ST	23068177
631317	2155	1997-05-13	VYDAJ	PREVOD NA UCET	1534	13512	 	ST	23068177
631318	2155	1997-06-13	VYDAJ	PREVOD NA UCET	1534	17590	 	ST	23068177
631319	2155	1997-07-13	VYDAJ	PREVOD NA UCET	1534	16979	 	ST	23068177
631320	2155	1997-08-13	VYDAJ	PREVOD NA UCET	1534	17568	 	ST	23068177
631321	2155	1997-09-13	VYDAJ	PREVOD NA UCET	1534	19260	 	ST	23068177
631322	2155	1997-10-13	VYDAJ	PREVOD NA UCET	1534	20911	 	ST	23068177
631323	2155	1997-11-13	VYDAJ	PREVOD NA UCET	1534	20413	 	ST	23068177
631324	2155	1997-12-13	VYDAJ	PREVOD NA UCET	1534	20214	 	ST	23068177
631325	2155	1998-01-13	VYDAJ	PREVOD NA UCET	1534	19564	 	ST	23068177
631326	2155	1998-02-13	VYDAJ	PREVOD NA UCET	1534	18720	 	ST	23068177
631327	2155	1998-03-13	VYDAJ	PREVOD NA UCET	1534	16439	 	ST	23068177
631328	2155	1998-04-13	VYDAJ	PREVOD NA UCET	1534	14821	 	ST	23068177
631329	2155	1998-05-13	VYDAJ	PREVOD NA UCET	1534	16000	 	ST	23068177
631330	2155	1998-06-13	VYDAJ	PREVOD NA UCET	1534	16734	 	ST	23068177
631331	2155	1998-07-13	VYDAJ	PREVOD NA UCET	1534	17921	 	ST	23068177
631332	2155	1998-08-13	VYDAJ	PREVOD NA UCET	1534	18843	 	ST	23068177
631333	2155	1998-09-13	VYDAJ	PREVOD NA UCET	1534	20040	 	ST	23068177
631334	2155	1998-10-13	VYDAJ	PREVOD NA UCET	1534	21241	 	ST	23068177
631335	2155	1998-11-13	VYDAJ	PREVOD NA UCET	1534	21186	 	ST	23068177
631336	2155	1998-12-13	VYDAJ	PREVOD NA UCET	1534	15296	 	ST	23068177
631338	2155	1995-06-20	VYDAJ	VYBER	1650	21552	\N	\N	\N
631339	2155	1996-06-18	VYDAJ	VYBER	4470	19280	\N	\N	\N
631342	2155	1994-12-18	VYDAJ	VYBER	270	26664	\N	\N	\N
631343	2155	1995-12-02	VYDAJ	VYBER	450	17733	\N	\N	\N
631344	2155	1996-12-12	VYDAJ	VYBER	270	18127	\N	\N	\N
631345	2155	1997-12-18	VYDAJ	VYBER	750	19464	\N	\N	\N
631346	2155	1998-12-02	VYDAJ	VYBER	480	14161	\N	\N	\N
631353	2155	1995-01-01	VYDAJ	VYBER	150	26611	\N	\N	\N
631354	2155	1995-01-06	VYDAJ	VYBER	720	26956	\N	\N	\N
631355	2155	1995-01-12	VYDAJ	VYBER	210	29610	\N	\N	\N
631356	2155	1995-01-18	VYDAJ	VYBER	330	27746	\N	\N	\N
631357	2155	1995-01-24	VYDAJ	VYBER	750	26996	\N	\N	\N
631358	2155	1995-01-08	VYDAJ	VYBER	540	26416	\N	\N	\N
631359	2155	1996-01-09	VYDAJ	VYBER	480	18140	\N	\N	\N
631360	2155	1996-01-20	VYDAJ	VYBER	360	17340	\N	\N	\N
631361	2155	1996-01-10	VYDAJ	VYBER	690	17450	\N	\N	\N
631362	2155	1996-01-19	VYDAJ	VYBER	600	17700	\N	\N	\N
631363	2155	1996-01-19	VYDAJ	VYBER	210	18300	\N	\N	\N
631364	2155	1996-01-15	VYDAJ	VYBER	810	18510	\N	\N	\N
631365	2155	1997-01-07	VYDAJ	VYBER	690	14202	\N	\N	\N
631367	2155	1997-01-21	VYDAJ	VYBER	480	15232	\N	\N	\N
631368	2155	1997-01-24	VYDAJ	VYBER	630	13202	\N	\N	\N
631369	2155	1997-01-19	VYDAJ	VYBER	360	15712	\N	\N	\N
631370	2155	1997-01-04	VYDAJ	VYBER	720	15627	\N	\N	\N
631371	2155	1998-01-14	VYDAJ	VYBER	690	18874	\N	\N	\N
631372	2155	1998-01-17	VYDAJ	VYBER	240	17794	\N	\N	\N
631373	2155	1998-01-15	VYDAJ	VYBER	840	18034	\N	\N	\N
631374	2155	1998-01-11	VYDAJ	VYBER	510	21098	\N	\N	\N
631375	2155	1998-01-04	VYDAJ	VYBER	390	18939	\N	\N	\N
631376	2155	1998-01-20	VYDAJ	VYBER	270	17524	\N	\N	\N
631382	2155	1995-12-04	VYDAJ	VYBER	1470	16263	\N	\N	\N
631383	2155	1995-05-09	VYDAJ	VYBER	540	22111	\N	\N	\N
631384	2155	1995-08-07	VYDAJ	VYBER	840	17864	\N	\N	\N
631385	2155	1995-11-19	VYDAJ	VYBER	720	20810	\N	\N	\N
631386	2155	1996-09-17	VYDAJ	VYBER	1020	20879	\N	\N	\N
631387	2155	1996-05-15	VYDAJ	VYBER	510	21719	\N	\N	\N
631388	2155	1996-07-26	VYDAJ	VYBER	690	21180	\N	\N	\N
631389	2155	1996-12-11	VYDAJ	VYBER	600	18397	\N	\N	\N
631390	2155	1996-06-23	VYDAJ	VYBER	420	18860	\N	\N	\N
631391	2155	1996-05-25	VYDAJ	VYBER	180	21539	\N	\N	\N
631392	2155	1997-09-13	VYDAJ	VYBER	360	18900	\N	\N	\N
631394	2155	1997-09-20	VYDAJ	VYBER	1290	19710	\N	\N	\N
631396	2155	1998-10-29	VYDAJ	VYBER	1260	19981	\N	\N	\N
631397	2155	1998-05-19	VYDAJ	VYBER	450	15550	\N	\N	\N
631398	2155	1998-02-16	VYDAJ	VYBER	1470	17250	\N	\N	\N
631400	2155	1998-07-28	VYDAJ	VYBER	270	17651	\N	\N	\N
631412	2155	1994-10-31	VYDAJ	VYBER	15	30361	SLUZBY	\N	\N
631413	2155	1994-11-30	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
631414	2155	1994-12-31	VYDAJ	VYBER	15	26761	SLUZBY	\N	\N
631415	2155	1995-01-31	VYDAJ	VYBER	15	27096	SLUZBY	\N	\N
631416	2155	1995-02-28	VYDAJ	VYBER	15	26023	SLUZBY	\N	\N
631417	2155	1995-03-31	VYDAJ	VYBER	15	27256	SLUZBY	\N	\N
631418	2155	1995-04-30	VYDAJ	VYBER	15	26586	SLUZBY	\N	\N
631419	2155	1995-05-31	VYDAJ	VYBER	15	24067	SLUZBY	\N	\N
631420	2155	1995-06-30	VYDAJ	VYBER	15	21630	SLUZBY	\N	\N
631421	2155	1995-07-31	VYDAJ	VYBER	15	21439	SLUZBY	\N	\N
631422	2155	1995-08-31	VYDAJ	VYBER	15	19801	SLUZBY	\N	\N
631423	2155	1995-09-30	VYDAJ	VYBER	15	18699	SLUZBY	\N	\N
631424	2155	1995-10-31	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
631425	2155	1995-11-30	VYDAJ	VYBER	15	20883	SLUZBY	\N	\N
631426	2155	1995-12-31	VYDAJ	VYBER	15	19355	SLUZBY	\N	\N
631427	2155	1996-01-31	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
631428	2155	1996-02-29	VYDAJ	VYBER	15	19094	SLUZBY	\N	\N
631429	2155	1996-03-31	VYDAJ	VYBER	15	17696	SLUZBY	\N	\N
631430	2155	1996-04-30	VYDAJ	VYBER	15	21094	SLUZBY	\N	\N
631431	2155	1996-05-31	VYDAJ	VYBER	15	22615	SLUZBY	\N	\N
631432	2155	1996-06-30	VYDAJ	VYBER	15	20735	SLUZBY	\N	\N
631433	2155	1996-07-31	VYDAJ	VYBER	15	21054	SLUZBY	\N	\N
631434	2155	1996-08-31	VYDAJ	VYBER	15	20764	SLUZBY	\N	\N
631435	2155	1996-09-30	VYDAJ	VYBER	15	16749	SLUZBY	\N	\N
631436	2155	1996-10-31	VYDAJ	VYBER	15	15740	SLUZBY	\N	\N
631437	2155	1996-11-30	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
631438	2155	1996-12-31	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
631439	2155	1997-01-31	VYDAJ	VYBER	15	13249	SLUZBY	\N	\N
631440	2155	1997-02-28	VYDAJ	VYBER	15	14027	SLUZBY	\N	\N
631441	2155	1997-03-31	VYDAJ	VYBER	15	11805	SLUZBY	\N	\N
631442	2155	1997-04-30	VYDAJ	VYBER	15	12377	SLUZBY	\N	\N
631443	2155	1997-05-31	VYDAJ	VYBER	15	16455	SLUZBY	\N	\N
631444	2155	1997-06-30	VYDAJ	VYBER	15	15844	SLUZBY	\N	\N
631445	2155	1997-07-31	VYDAJ	VYBER	15	16433	SLUZBY	\N	\N
631446	2155	1997-08-31	VYDAJ	VYBER	15	18125	SLUZBY	\N	\N
631447	2155	1997-09-30	VYDAJ	VYBER	15	19776	SLUZBY	\N	\N
631448	2155	1997-10-31	VYDAJ	VYBER	15	19278	SLUZBY	\N	\N
631449	2155	1997-11-30	VYDAJ	VYBER	15	19079	SLUZBY	\N	\N
631450	2155	1997-12-31	VYDAJ	VYBER	15	19329	SLUZBY	\N	\N
631451	2155	1998-01-31	VYDAJ	VYBER	15	17585	SLUZBY	\N	\N
631452	2155	1998-02-28	VYDAJ	VYBER	15	15304	SLUZBY	\N	\N
631453	2155	1998-03-31	VYDAJ	VYBER	15	13686	SLUZBY	\N	\N
631454	2155	1998-04-30	VYDAJ	VYBER	15	14865	SLUZBY	\N	\N
631455	2155	1998-05-31	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
631456	2155	1998-06-30	VYDAJ	VYBER	15	16786	SLUZBY	\N	\N
631457	2155	1998-07-31	VYDAJ	VYBER	15	17708	SLUZBY	\N	\N
631458	2155	1998-08-31	VYDAJ	VYBER	15	18905	SLUZBY	\N	\N
631459	2155	1998-09-30	VYDAJ	VYBER	15	20106	SLUZBY	\N	\N
631460	2155	1998-10-31	VYDAJ	VYBER	15	20051	SLUZBY	\N	\N
631461	2155	1998-11-30	VYDAJ	VYBER	15	14641	SLUZBY	\N	\N
631462	2155	1994-07-08	PRIJEM	VKLAD	8200	12215	\N	\N	\N
631463	2155	1994-08-07	PRIJEM	VKLAD	5700	21369	\N	\N	\N
631464	2155	1994-09-06	PRIJEM	VKLAD	300	25164	\N	\N	\N
631465	2155	1994-10-06	VYDAJ	VYBER	300	28381	\N	\N	\N
631466	2155	1994-11-05	VYDAJ	VYBER	4100	25526	\N	\N	\N
631467	2155	1994-12-05	VYDAJ	VYBER	1700	25799	\N	\N	\N
631468	2155	1995-01-04	PRIJEM	VKLAD	1800	28411	\N	\N	\N
631469	2155	1995-02-03	VYDAJ	VYBER	2300	24796	\N	\N	\N
631470	2155	1995-04-04	VYDAJ	VYBER	1900	25356	\N	\N	\N
631471	2155	1995-05-04	VYDAJ	VYBER	3200	23386	\N	\N	\N
631472	2155	1995-06-03	VYDAJ	VYBER	2000	22067	\N	\N	\N
631473	2155	1995-07-03	VYDAJ	VYBER	1400	20230	\N	\N	\N
631474	2155	1995-08-02	VYDAJ	VYBER	2000	19439	\N	\N	\N
631475	2155	1995-09-01	VYDAJ	VYBER	2300	17501	\N	\N	\N
631476	2155	1995-10-01	VYDAJ	VYBER	1300	17399	\N	\N	\N
631477	2155	1995-10-31	PRIJEM	VKLAD	1800	20410	\N	\N	\N
631478	2155	1995-11-30	VYDAJ	VYBER	2700	18183	\N	\N	\N
631479	2155	1995-12-30	PRIJEM	VKLAD	1900	19298	\N	\N	\N
631480	2155	1996-01-29	VYDAJ	VYBER	1000	16340	\N	\N	\N
631481	2155	1996-02-28	PRIJEM	VKLAD	1500	19036	\N	\N	\N
631482	2155	1996-03-29	VYDAJ	VYBER	2600	17629	\N	\N	\N
631483	2155	1996-04-28	PRIJEM	VKLAD	2200	21031	\N	\N	\N
631484	2155	1996-05-28	PRIJEM	VKLAD	1000	22539	\N	\N	\N
631485	2155	1996-06-27	PRIJEM	VKLAD	1800	20660	\N	\N	\N
631486	2155	1996-07-27	VYDAJ	VYBER	200	20980	\N	\N	\N
631487	2155	1996-08-26	VYDAJ	VYBER	1500	20689	\N	\N	\N
631488	2155	1996-09-25	VYDAJ	VYBER	4200	16679	\N	\N	\N
631489	2155	1996-10-25	VYDAJ	VYBER	2200	15684	\N	\N	\N
631490	2155	1996-11-24	VYDAJ	VYBER	600	16275	\N	\N	\N
631491	2155	1996-12-24	VYDAJ	VYBER	300	16293	\N	\N	\N
631492	2155	1997-01-23	VYDAJ	VYBER	1400	13832	\N	\N	\N
631493	2155	1997-02-22	VYDAJ	VYBER	400	13984	\N	\N	\N
631494	2155	1997-03-24	VYDAJ	VYBER	3400	11762	\N	\N	\N
631495	2155	1997-04-23	VYDAJ	VYBER	600	12340	\N	\N	\N
631496	2155	1997-05-23	PRIJEM	VKLAD	2900	16412	\N	\N	\N
631497	2155	1997-06-22	VYDAJ	VYBER	1800	15790	\N	\N	\N
631498	2155	1997-07-22	VYDAJ	VYBER	600	16379	\N	\N	\N
631499	2155	1997-08-21	PRIJEM	VKLAD	500	18068	\N	\N	\N
631500	2155	1997-09-20	PRIJEM	VKLAD	2100	21000	\N	\N	\N
631501	2155	1997-10-20	VYDAJ	VYBER	1700	19211	\N	\N	\N
631502	2155	1997-11-19	VYDAJ	VYBER	1400	19013	\N	\N	\N
631503	2155	1997-12-19	VYDAJ	VYBER	200	19264	\N	\N	\N
631504	2155	1998-02-17	VYDAJ	VYBER	2000	15250	\N	\N	\N
631505	2155	1998-03-19	VYDAJ	VYBER	2800	13639	\N	\N	\N
631506	2155	1998-11-14	VYDAJ	VYBER	6600	14586	\N	\N	\N
631562	2156	1996-09-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
631572	2156	1996-10-06	PRIJEM	VKLAD	24233	25333	\N	\N	\N
631573	2156	1996-11-06	PRIJEM	VKLAD	24233	46328	\N	\N	\N
631574	2156	1996-12-06	PRIJEM	VKLAD	36350	71307	\N	\N	\N
631575	2156	1997-01-06	PRIJEM	VKLAD	24233	71822	\N	\N	\N
631576	2156	1997-02-06	PRIJEM	VKLAD	24233	71050	\N	\N	\N
631577	2156	1997-03-06	PRIJEM	VKLAD	24233	63828	\N	\N	\N
631578	2156	1997-04-06	PRIJEM	VKLAD	24233	57240	\N	\N	\N
631579	2156	1997-05-06	PRIJEM	VKLAD	24233	55777	\N	\N	\N
631580	2156	1997-06-06	PRIJEM	VKLAD	36350	64618	\N	\N	\N
631581	2156	1997-07-06	PRIJEM	VKLAD	24233	57098	\N	\N	\N
631582	2156	1997-08-06	PRIJEM	VKLAD	24233	57240	\N	\N	\N
631583	2156	1997-09-06	PRIJEM	VKLAD	24233	55077	\N	\N	\N
631584	2156	1997-10-06	PRIJEM	VKLAD	24233	51662	\N	\N	\N
631585	2156	1997-11-06	PRIJEM	VKLAD	24233	53432	\N	\N	\N
631586	2156	1997-12-06	PRIJEM	VKLAD	36350	68463	\N	\N	\N
631587	2156	1998-01-06	PRIJEM	VKLAD	24233	60281	\N	\N	\N
631588	2156	1998-02-06	PRIJEM	VKLAD	24233	52022	\N	\N	\N
631589	2156	1998-03-06	PRIJEM	VKLAD	24233	58504	\N	\N	\N
631590	2156	1998-04-06	PRIJEM	VKLAD	24233	60289	\N	\N	\N
631591	2156	1998-05-06	PRIJEM	VKLAD	24233	57905	\N	\N	\N
631592	2156	1998-06-06	PRIJEM	VKLAD	36350	68731	\N	\N	\N
631593	2156	1998-07-06	PRIJEM	VKLAD	24233	64477	\N	\N	\N
631594	2156	1998-08-06	PRIJEM	VKLAD	24233	62215	\N	\N	\N
631595	2156	1998-09-06	PRIJEM	VKLAD	24233	62039	\N	\N	\N
631596	2156	1998-10-06	PRIJEM	VKLAD	24233	59964	\N	\N	\N
631597	2156	1998-11-06	PRIJEM	VKLAD	24233	50238	\N	\N	\N
631598	2156	1998-12-06	PRIJEM	VKLAD	36350	60291	\N	\N	\N
631612	2156	1997-02-14	VYDAJ	PREVOD NA UCET	9921	39429	SIPO	WX	3410566
631613	2156	1997-03-14	VYDAJ	PREVOD NA UCET	9921	36707	SIPO	WX	3410566
631614	2156	1997-04-14	VYDAJ	PREVOD NA UCET	9921	31419	SIPO	WX	3410566
631615	2156	1997-05-14	VYDAJ	PREVOD NA UCET	9921	28156	SIPO	WX	3410566
631616	2156	1997-06-14	VYDAJ	PREVOD NA UCET	9921	34897	SIPO	WX	3410566
631617	2156	1997-07-14	VYDAJ	PREVOD NA UCET	9921	32877	SIPO	WX	3410566
631618	2156	1997-08-14	VYDAJ	PREVOD NA UCET	9921	30719	SIPO	WX	3410566
631619	2156	1997-09-14	VYDAJ	PREVOD NA UCET	9921	27316	SIPO	WX	3410566
631620	2156	1997-10-14	VYDAJ	PREVOD NA UCET	9921	29941	SIPO	WX	3410566
631621	2156	1997-11-14	VYDAJ	PREVOD NA UCET	9921	43511	SIPO	WX	3410566
631622	2156	1997-12-14	VYDAJ	PREVOD NA UCET	9921	58542	SIPO	WX	3410566
631623	2156	1998-01-14	VYDAJ	PREVOD NA UCET	9921	44840	SIPO	WX	3410566
631624	2156	1998-02-14	VYDAJ	PREVOD NA UCET	9921	42101	SIPO	WX	3410566
631625	2156	1998-03-14	VYDAJ	PREVOD NA UCET	9921	48583	SIPO	WX	3410566
631626	2156	1998-04-14	VYDAJ	PREVOD NA UCET	9921	50368	SIPO	WX	3410566
631627	2156	1998-05-14	VYDAJ	PREVOD NA UCET	9921	47984	SIPO	WX	3410566
631628	2156	1998-06-14	VYDAJ	PREVOD NA UCET	9921	58810	SIPO	WX	3410566
631629	2156	1998-07-14	VYDAJ	PREVOD NA UCET	9921	54556	SIPO	WX	3410566
631630	2156	1998-08-14	VYDAJ	PREVOD NA UCET	9921	52294	SIPO	WX	3410566
631631	2156	1998-09-14	VYDAJ	PREVOD NA UCET	9921	52118	SIPO	WX	3410566
631632	2156	1998-10-14	VYDAJ	PREVOD NA UCET	9921	42523	SIPO	WX	3410566
631633	2156	1998-11-14	VYDAJ	PREVOD NA UCET	9921	40317	SIPO	WX	3410566
631634	2156	1998-12-14	VYDAJ	PREVOD NA UCET	9921	50370	SIPO	WX	3410566
631636	2156	1997-12-29	VYDAJ	VYBER	1120	57422	\N	\N	\N
631637	2156	1998-12-01	VYDAJ	VYBER KARTOU	1300	23941	\N	\N	0
631650	2156	1998-01-25	VYDAJ	VYBER	1200	41000	\N	\N	\N
631651	2156	1998-01-21	VYDAJ	VYBER	1560	42200	\N	\N	\N
631652	2156	1998-01-17	VYDAJ	VYBER	1080	43760	\N	\N	\N
631653	2156	1998-01-12	VYDAJ	VYBER	2040	58241	\N	\N	\N
631654	2156	1998-01-13	VYDAJ	VYBER	2640	54761	\N	\N	\N
631655	2156	1998-01-12	VYDAJ	VYBER	840	57401	\N	\N	\N
631662	2156	1997-11-23	VYDAJ	VYBER	4560	38951	\N	\N	\N
631664	2156	1997-03-17	VYDAJ	VYBER	3840	32867	\N	\N	\N
631665	2156	1997-06-15	VYDAJ	VYBER	2160	32737	\N	\N	\N
631666	2156	1997-09-10	VYDAJ	VYBER	1440	37237	\N	\N	\N
631667	2156	1997-10-23	VYDAJ	VYBER	960	28981	\N	\N	\N
631668	2156	1998-10-12	VYDAJ	VYBER KARTOU	3200	52444	\N	\N	0
631669	2156	1998-10-10	VYDAJ	VYBER	4320	55644	\N	\N	\N
631670	2156	1998-12-22	VYDAJ	VYBER KARTOU	1000	49370	\N	\N	0
631671	2156	1998-08-05	VYDAJ	VYBER KARTOU	2000	37982	\N	\N	0
631672	2156	1998-01-28	VYDAJ	VYBER	3000	38000	\N	\N	\N
631673	2156	1998-03-22	VYDAJ	VYBER	720	47863	\N	\N	\N
631688	2156	1997-02-28	VYDAJ	VYBER	15	39595	SLUZBY	\N	\N
631689	2156	1997-03-31	VYDAJ	VYBER	15	33007	SLUZBY	\N	\N
631690	2156	1997-04-30	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
631691	2156	1997-05-31	VYDAJ	VYBER	15	28269	SLUZBY	\N	\N
631692	2156	1997-06-30	VYDAJ	VYBER	15	32865	SLUZBY	\N	\N
631693	2156	1997-07-31	VYDAJ	VYBER	15	33007	SLUZBY	\N	\N
631694	2156	1997-08-31	VYDAJ	VYBER	15	30844	SLUZBY	\N	\N
631695	2156	1997-09-30	VYDAJ	VYBER	15	27429	SLUZBY	\N	\N
631696	2156	1997-10-31	VYDAJ	VYBER	15	29099	SLUZBY	\N	\N
631697	2156	1997-11-30	VYDAJ	VYBER	15	39113	SLUZBY	\N	\N
631698	2156	1997-12-31	VYDAJ	VYBER	15	57648	SLUZBY	\N	\N
631699	2156	1998-01-31	VYDAJ	VYBER	15	38189	SLUZBY	\N	\N
631700	2156	1998-02-28	VYDAJ	VYBER	15	42271	SLUZBY	\N	\N
631701	2156	1998-03-31	VYDAJ	VYBER	15	48056	SLUZBY	\N	\N
631702	2156	1998-04-30	VYDAJ	VYBER	15	50572	SLUZBY	\N	\N
631703	2156	1998-05-31	VYDAJ	VYBER	15	48182	SLUZBY	\N	\N
631704	2156	1998-06-30	VYDAJ	VYBER	15	59044	SLUZBY	\N	\N
631705	2156	1998-07-31	VYDAJ	VYBER	15	54782	SLUZBY	\N	\N
631706	2156	1998-08-31	VYDAJ	VYBER	15	52506	SLUZBY	\N	\N
631707	2156	1998-09-30	VYDAJ	VYBER	15	52331	SLUZBY	\N	\N
631708	2156	1998-10-31	VYDAJ	VYBER	15	26005	SLUZBY	\N	\N
631709	2156	1998-11-30	VYDAJ	VYBER	15	25241	SLUZBY	\N	\N
631710	2156	1996-10-11	VYDAJ	VYBER	3300	22033	\N	\N	\N
631711	2156	1996-11-10	VYDAJ	VYBER	11500	34828	\N	\N	\N
631712	2156	1996-12-10	VYDAJ	VYBER	23900	47407	\N	\N	\N
631713	2156	1997-01-09	VYDAJ	VYBER	25200	46622	\N	\N	\N
631714	2156	1997-02-08	VYDAJ	VYBER	21700	49350	\N	\N	\N
631715	2156	1997-03-10	VYDAJ	VYBER	17200	46628	\N	\N	\N
631716	2156	1997-04-09	VYDAJ	VYBER	15900	41340	\N	\N	\N
631717	2156	1997-05-09	VYDAJ	VYBER	17700	38077	\N	\N	\N
631718	2156	1997-06-08	VYDAJ	VYBER	19800	44818	\N	\N	\N
631719	2156	1997-07-08	VYDAJ	VYBER	14300	42798	\N	\N	\N
631720	2156	1997-08-07	VYDAJ	VYBER	16600	40640	\N	\N	\N
631721	2156	1997-09-06	VYDAJ	VYBER	16400	38677	\N	\N	\N
631722	2156	1997-10-06	VYDAJ	VYBER	11800	39862	\N	\N	\N
631723	2156	1997-11-05	PRIJEM	VKLAD	100	29199	\N	\N	\N
631724	2156	1997-12-05	VYDAJ	VYBER	7000	32113	\N	\N	\N
631725	2156	1998-01-04	VYDAJ	VYBER	21600	36048	\N	\N	\N
631726	2156	1998-02-03	VYDAJ	VYBER	10400	27789	\N	\N	\N
631727	2156	1998-03-05	VYDAJ	VYBER	8000	34271	\N	\N	\N
631728	2156	1998-04-04	VYDAJ	VYBER	12000	36056	\N	\N	\N
631729	2156	1998-05-04	VYDAJ	VYBER	16900	33672	\N	\N	\N
631730	2156	1998-06-03	VYDAJ	VYBER	15800	32382	\N	\N	\N
631731	2156	1998-07-03	VYDAJ	VYBER	18800	40244	\N	\N	\N
631732	2156	1998-08-02	VYDAJ	VYBER	14800	39982	\N	\N	\N
631733	2156	1998-09-01	VYDAJ	VYBER	14700	37806	\N	\N	\N
631734	2156	1998-10-01	VYDAJ	VYBER	16600	35731	\N	\N	\N
631735	2156	1998-10-31	VYDAJ	VYBER	16700	26020	\N	\N	\N
631736	2156	1998-11-30	VYDAJ	VYBER	15200	25256	\N	\N	\N
631764	2157	1995-11-08	PRIJEM	VKLAD	600	600	\N	\N	\N
631775	2157	1995-11-10	PRIJEM	VKLAD	13641	14241	\N	\N	\N
631776	2157	1995-12-10	PRIJEM	VKLAD	20462	42345	\N	\N	\N
631777	2157	1996-01-10	PRIJEM	VKLAD	13641	50028	\N	\N	\N
631778	2157	1996-02-10	PRIJEM	VKLAD	13641	51268	\N	\N	\N
631779	2157	1996-03-10	PRIJEM	VKLAD	13641	48921	\N	\N	\N
631780	2157	1996-04-10	PRIJEM	VKLAD	13641	38260	\N	\N	\N
631781	2157	1996-05-10	PRIJEM	VKLAD	13641	36255	\N	\N	\N
631782	2157	1996-06-10	PRIJEM	VKLAD	20462	40856	\N	\N	\N
631783	2157	1996-07-10	PRIJEM	VKLAD	13641	33365	\N	\N	\N
631784	2157	1996-08-10	PRIJEM	VKLAD	13641	32051	\N	\N	\N
631785	2157	1996-09-10	PRIJEM	VKLAD	13641	29611	\N	\N	\N
631786	2157	1996-10-10	PRIJEM	VKLAD	13641	25763	\N	\N	\N
631787	2157	1996-11-10	PRIJEM	VKLAD	13641	25100	\N	\N	\N
631788	2157	1996-12-10	PRIJEM	VKLAD	20462	33353	\N	\N	\N
631789	2157	1997-01-10	PRIJEM	VKLAD	13641	26850	\N	\N	\N
631790	2157	1997-02-10	PRIJEM	VKLAD	13641	24641	\N	\N	\N
631791	2157	1997-03-10	PRIJEM	VKLAD	13641	21782	\N	\N	\N
631792	2157	1997-04-10	PRIJEM	VKLAD	13641	19896	\N	\N	\N
631793	2157	1997-05-10	PRIJEM	VKLAD	13641	19704	\N	\N	\N
631794	2157	1997-06-10	PRIJEM	VKLAD	20462	23333	\N	\N	\N
631795	2157	1997-07-10	PRIJEM	VKLAD	13641	20919	\N	\N	\N
631796	2157	1997-08-10	PRIJEM	VKLAD	13641	22088	\N	\N	\N
631797	2157	1997-09-10	PRIJEM	VKLAD	13641	23305	\N	\N	\N
631798	2157	1997-10-10	PRIJEM	VKLAD	13641	25127	\N	\N	\N
631799	2157	1997-11-10	PRIJEM	VKLAD	13641	23555	\N	\N	\N
631800	2157	1997-12-10	PRIJEM	VKLAD	20462	29888	\N	\N	\N
631801	2157	1998-01-10	PRIJEM	VKLAD	13641	29268	\N	\N	\N
631802	2157	1998-02-10	PRIJEM	VKLAD	13641	17374	\N	\N	\N
631803	2157	1998-03-10	PRIJEM	VKLAD	13641	22272	\N	\N	\N
631804	2157	1998-04-10	PRIJEM	VKLAD	13641	20489	\N	\N	\N
631805	2157	1998-05-10	PRIJEM	VKLAD	13641	17507	\N	\N	\N
631806	2157	1998-06-10	PRIJEM	VKLAD	20462	23923	\N	\N	\N
631807	2157	1998-07-10	PRIJEM	VKLAD	13641	24936	\N	\N	\N
631808	2157	1998-08-10	PRIJEM	VKLAD	13641	23460	\N	\N	\N
631809	2157	1998-09-10	PRIJEM	VKLAD	13641	16271	\N	\N	\N
631810	2157	1998-10-10	PRIJEM	VKLAD	13641	20865	\N	\N	\N
631811	2157	1998-11-10	PRIJEM	VKLAD	13641	19870	\N	\N	\N
631812	2157	1998-12-10	PRIJEM	VKLAD	20462	23290	\N	\N	\N
631828	2157	1996-04-07	VYDAJ	PREVOD NA UCET	9094	24619	SIPO	EF	96798324
631829	2157	1996-05-07	VYDAJ	PREVOD NA UCET	9094	22614	SIPO	EF	96798324
631830	2157	1996-06-07	VYDAJ	PREVOD NA UCET	9094	20394	SIPO	EF	96798324
631831	2157	1996-07-07	VYDAJ	PREVOD NA UCET	9094	19724	SIPO	EF	96798324
631832	2157	1996-08-07	VYDAJ	PREVOD NA UCET	9094	18410	SIPO	EF	96798324
631833	2157	1996-09-07	VYDAJ	PREVOD NA UCET	9094	15970	SIPO	EF	96798324
631834	2157	1996-10-07	VYDAJ	PREVOD NA UCET	9094	12122	SIPO	EF	96798324
631835	2157	1996-11-07	VYDAJ	PREVOD NA UCET	9094	11459	SIPO	EF	96798324
631836	2157	1996-12-07	VYDAJ	PREVOD NA UCET	9094	12891	SIPO	EF	96798324
631837	2157	1997-01-07	VYDAJ	PREVOD NA UCET	9094	13209	SIPO	EF	96798324
631838	2157	1997-02-07	VYDAJ	PREVOD NA UCET	9094	11000	SIPO	EF	96798324
631839	2157	1997-03-07	VYDAJ	PREVOD NA UCET	9094	8141	SIPO	EF	96798324
631840	2157	1997-04-07	VYDAJ	PREVOD NA UCET	9094	6255	SIPO	EF	96798324
631841	2157	1997-05-07	VYDAJ	PREVOD NA UCET	9094	6063	SIPO	EF	96798324
631842	2157	1997-06-07	VYDAJ	PREVOD NA UCET	9094	2871	SIPO	EF	96798324
631843	2157	1997-07-07	VYDAJ	PREVOD NA UCET	9094	7278	SIPO	EF	96798324
631844	2157	1997-08-07	VYDAJ	PREVOD NA UCET	9094	8447	SIPO	EF	96798324
631845	2157	1997-09-07	VYDAJ	PREVOD NA UCET	9094	9664	SIPO	EF	96798324
631846	2157	1997-10-07	VYDAJ	PREVOD NA UCET	9094	11486	SIPO	EF	96798324
631847	2157	1997-11-07	VYDAJ	PREVOD NA UCET	9094	9914	SIPO	EF	96798324
631848	2157	1997-12-07	VYDAJ	PREVOD NA UCET	9094	9426	SIPO	EF	96798324
631849	2157	1998-01-07	VYDAJ	PREVOD NA UCET	9094	17187	SIPO	EF	96798324
631850	2157	1998-02-07	VYDAJ	PREVOD NA UCET	9094	3733	SIPO	EF	96798324
631851	2157	1998-03-07	VYDAJ	PREVOD NA UCET	9094	8631	SIPO	EF	96798324
631852	2157	1998-04-07	VYDAJ	PREVOD NA UCET	9094	6848	SIPO	EF	96798324
631853	2157	1998-05-07	VYDAJ	PREVOD NA UCET	9094	3866	SIPO	EF	96798324
631854	2157	1998-06-07	VYDAJ	PREVOD NA UCET	9094	3461	SIPO	EF	96798324
631855	2157	1998-07-07	VYDAJ	PREVOD NA UCET	9094	11295	SIPO	EF	96798324
631856	2157	1998-08-07	VYDAJ	PREVOD NA UCET	9094	9819	SIPO	EF	96798324
631857	2157	1998-09-07	VYDAJ	PREVOD NA UCET	9094	2630	SIPO	EF	96798324
631858	2157	1998-10-07	VYDAJ	PREVOD NA UCET	9094	7224	SIPO	EF	96798324
631859	2157	1998-11-07	VYDAJ	PREVOD NA UCET	9094	6229	SIPO	EF	96798324
631860	2157	1998-12-07	VYDAJ	PREVOD NA UCET	9094	2828	SIPO	EF	96798324
631867	2157	1997-01-26	VYDAJ	VYBER	3200	21010	\N	\N	\N
631868	2157	1998-01-10	VYDAJ	VYBER	14880	14388	\N	\N	\N
631881	2157	1997-01-01	VYDAJ	VYBER	1080	30943	\N	\N	\N
631882	2157	1997-01-01	VYDAJ	VYBER	1440	32023	\N	\N	\N
631883	2157	1997-01-30	VYDAJ	VYBER	1200	19810	\N	\N	\N
631884	2157	1997-01-07	VYDAJ	VYBER	1680	22303	\N	\N	\N
631885	2157	1997-01-16	VYDAJ	VYBER	2640	24210	\N	\N	\N
631886	2157	1997-01-04	VYDAJ	VYBER	3360	23983	\N	\N	\N
631889	2157	1998-01-13	VYDAJ	VYBER	720	13668	\N	\N	\N
631891	2157	1998-01-07	VYDAJ	VYBER	1560	15627	\N	\N	\N
631896	2157	1996-07-02	VYDAJ	VYBER	2760	37518	\N	\N	\N
631898	2157	1996-07-23	VYDAJ	VYBER	1680	31685	\N	\N	\N
631899	2157	1996-06-12	VYDAJ	VYBER	720	40136	\N	\N	\N
631900	2157	1997-02-17	VYDAJ	VYBER	4080	20561	\N	\N	\N
631901	2157	1997-03-28	VYDAJ	VYBER	3600	18182	\N	\N	\N
631904	2157	1997-06-20	VYDAJ	VYBER	5520	17813	\N	\N	\N
631905	2157	1997-11-15	VYDAJ	VYBER	5400	18155	\N	\N	\N
631906	2157	1997-07-18	VYDAJ	VYBER	2640	18279	\N	\N	\N
631909	2157	1998-04-07	VYDAJ	VYBER	3600	15942	\N	\N	\N
631910	2157	1998-04-25	VYDAJ	VYBER	3120	14009	\N	\N	\N
631911	2157	1998-04-11	VYDAJ	VYBER	3360	17129	\N	\N	\N
631927	2157	1996-03-31	VYDAJ	VYBER	15	49113	SLUZBY	\N	\N
631928	2157	1996-04-30	VYDAJ	VYBER	15	38408	SLUZBY	\N	\N
631929	2157	1996-05-31	VYDAJ	VYBER	15	36388	SLUZBY	\N	\N
631930	2157	1996-06-30	VYDAJ	VYBER	15	40278	SLUZBY	\N	\N
631931	2157	1996-07-31	VYDAJ	VYBER	15	31804	SLUZBY	\N	\N
631932	2157	1996-08-31	VYDAJ	VYBER	15	32164	SLUZBY	\N	\N
631933	2157	1996-09-30	VYDAJ	VYBER	15	29716	SLUZBY	\N	\N
631934	2157	1996-10-31	VYDAJ	VYBER	15	25853	SLUZBY	\N	\N
631935	2157	1996-11-30	VYDAJ	VYBER	15	25185	SLUZBY	\N	\N
631936	2157	1996-12-31	VYDAJ	VYBER	15	33463	SLUZBY	\N	\N
631937	2157	1997-01-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
631938	2157	1997-02-28	VYDAJ	VYBER	15	20635	SLUZBY	\N	\N
631939	2157	1997-03-31	VYDAJ	VYBER	15	18249	SLUZBY	\N	\N
631940	2157	1997-04-30	VYDAJ	VYBER	15	19957	SLUZBY	\N	\N
631941	2157	1997-05-31	VYDAJ	VYBER	15	11965	SLUZBY	\N	\N
631942	2157	1997-06-30	VYDAJ	VYBER	15	17872	SLUZBY	\N	\N
631943	2157	1997-07-31	VYDAJ	VYBER	15	17541	SLUZBY	\N	\N
631944	2157	1997-08-31	VYDAJ	VYBER	15	18758	SLUZBY	\N	\N
631945	2157	1997-09-30	VYDAJ	VYBER	15	20580	SLUZBY	\N	\N
631946	2157	1997-10-31	VYDAJ	VYBER	15	19008	SLUZBY	\N	\N
631947	2157	1997-11-30	VYDAJ	VYBER	15	18520	SLUZBY	\N	\N
631948	2157	1997-12-31	VYDAJ	VYBER	15	26281	SLUZBY	\N	\N
631949	2157	1998-01-31	VYDAJ	VYBER	15	12827	SLUZBY	\N	\N
631950	2157	1998-02-28	VYDAJ	VYBER	15	17725	SLUZBY	\N	\N
631951	2157	1998-03-31	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
631952	2157	1998-04-30	VYDAJ	VYBER	15	12960	SLUZBY	\N	\N
631953	2157	1998-05-31	VYDAJ	VYBER	15	12555	SLUZBY	\N	\N
631954	2157	1998-06-30	VYDAJ	VYBER	15	20389	SLUZBY	\N	\N
631955	2157	1998-07-31	VYDAJ	VYBER	15	18913	SLUZBY	\N	\N
631956	2157	1998-08-31	VYDAJ	VYBER	15	11724	SLUZBY	\N	\N
631957	2157	1998-09-30	VYDAJ	VYBER	15	16318	SLUZBY	\N	\N
631958	2157	1998-10-31	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
631959	2157	1998-11-30	VYDAJ	VYBER	15	11922	SLUZBY	\N	\N
631960	2157	1995-12-08	PRIJEM	VKLAD	7600	21883	\N	\N	\N
631961	2157	1996-01-07	VYDAJ	VYBER	6100	36387	\N	\N	\N
631962	2157	1996-02-06	VYDAJ	VYBER	12600	37627	\N	\N	\N
631963	2157	1996-03-07	VYDAJ	VYBER	16200	35280	\N	\N	\N
631964	2157	1996-04-06	VYDAJ	VYBER	15400	33713	\N	\N	\N
631965	2157	1996-05-06	VYDAJ	VYBER	6700	31708	\N	\N	\N
631966	2157	1996-06-05	VYDAJ	VYBER	6900	29488	\N	\N	\N
631967	2157	1996-07-05	VYDAJ	VYBER	8700	28818	\N	\N	\N
631968	2157	1996-08-04	VYDAJ	VYBER	4300	27504	\N	\N	\N
631969	2157	1996-09-03	VYDAJ	VYBER	7100	25064	\N	\N	\N
631970	2157	1996-10-03	VYDAJ	VYBER	8500	21216	\N	\N	\N
631971	2157	1996-11-02	VYDAJ	VYBER	5300	20553	\N	\N	\N
631972	2157	1996-12-02	VYDAJ	VYBER	3200	21985	\N	\N	\N
631973	2157	1997-01-01	VYDAJ	VYBER	3600	27343	\N	\N	\N
631974	2157	1997-01-31	PRIJEM	VKLAD	200	20108	\N	\N	\N
631975	2157	1997-03-02	VYDAJ	VYBER	3400	17235	\N	\N	\N
631976	2157	1997-04-01	VYDAJ	VYBER	2900	15349	\N	\N	\N
631977	2157	1997-05-01	VYDAJ	VYBER	4800	15157	\N	\N	\N
631978	2157	1997-05-31	VYDAJ	VYBER	7800	11980	\N	\N	\N
631979	2157	1997-06-30	VYDAJ	VYBER	1500	16372	\N	\N	\N
631980	2157	1997-07-30	VYDAJ	VYBER	800	17479	\N	\N	\N
631981	2157	1997-08-29	VYDAJ	VYBER	3400	18688	\N	\N	\N
631982	2157	1997-09-28	VYDAJ	VYBER	2800	20505	\N	\N	\N
631983	2157	1997-10-28	VYDAJ	VYBER	6200	18927	\N	\N	\N
631984	2157	1997-11-27	PRIJEM	VKLAD	300	18455	\N	\N	\N
631985	2157	1997-12-27	VYDAJ	VYBER	3700	26188	\N	\N	\N
631986	2157	1998-01-26	VYDAJ	VYBER	900	12768	\N	\N	\N
631987	2157	1998-02-25	PRIJEM	VKLAD	300	17674	\N	\N	\N
631988	2157	1998-03-27	VYDAJ	VYBER	2800	19472	\N	\N	\N
631989	2157	1998-04-26	VYDAJ	VYBER	1100	12909	\N	\N	\N
631990	2157	1998-05-26	VYDAJ	VYBER	5000	12507	\N	\N	\N
631991	2157	1998-06-25	VYDAJ	VYBER	3600	20323	\N	\N	\N
631992	2157	1998-07-25	VYDAJ	VYBER	6100	18836	\N	\N	\N
631993	2157	1998-08-24	VYDAJ	VYBER	11800	11660	\N	\N	\N
631994	2157	1998-10-23	VYDAJ	VYBER	5600	15265	\N	\N	\N
631995	2157	1998-11-22	VYDAJ	VYBER	8000	11870	\N	\N	\N
632034	2158	1997-03-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
632035	2158	1997-08-21	PRIJEM	VKLAD	26822	81789	\N	\N	\N
632036	2158	1997-07-13	PRIJEM	VKLAD	48917	74582	\N	\N	\N
632037	2158	1998-11-10	PRIJEM	VKLAD	24842	54754	\N	\N	\N
632038	2158	1998-01-08	PRIJEM	VKLAD	33835	62769	\N	\N	\N
632042	2158	1997-04-17	PRIJEM	VKLAD	1200	2200	\N	\N	\N
632043	2158	1997-05-17	PRIJEM	VKLAD	1200	15006	\N	\N	\N
632044	2158	1997-06-14	PRIJEM	VKLAD	1200	24168	\N	\N	\N
632045	2158	1997-07-16	PRIJEM	VKLAD	1200	75782	\N	\N	\N
632046	2158	1997-08-17	PRIJEM	VKLAD	1200	54967	\N	\N	\N
632047	2158	1997-09-15	PRIJEM	VKLAD	1200	57119	\N	\N	\N
632048	2158	1997-10-14	PRIJEM	VKLAD	1200	43126	\N	\N	\N
632049	2158	1997-11-13	PRIJEM	VKLAD	1200	38081	\N	\N	\N
632050	2158	1997-12-16	PRIJEM	VKLAD	1200	33615	\N	\N	\N
632051	2158	1998-01-15	PRIJEM	VKLAD	1200	56569	\N	\N	\N
632052	2158	1998-02-16	PRIJEM	VKLAD	1200	47454	\N	\N	\N
632053	2158	1998-03-15	PRIJEM	VKLAD	1200	43028	\N	\N	\N
632054	2158	1998-04-16	PRIJEM	VKLAD	1200	38782	\N	\N	\N
632055	2158	1998-05-17	PRIJEM	VKLAD	1200	35020	\N	\N	\N
632056	2158	1998-06-14	PRIJEM	VKLAD	1200	26544	\N	\N	\N
632057	2158	1998-07-17	PRIJEM	VKLAD	1200	29401	\N	\N	\N
632058	2158	1998-08-15	PRIJEM	VKLAD	1200	28605	\N	\N	\N
632059	2158	1998-09-15	PRIJEM	VKLAD	1200	25206	\N	\N	\N
632060	2158	1998-10-17	PRIJEM	VKLAD	1200	30703	\N	\N	\N
632061	2158	1998-11-15	PRIJEM	VKLAD	1200	55954	\N	\N	\N
632062	2158	1998-12-15	PRIJEM	VKLAD	1200	38991	\N	\N	\N
632064	2158	1998-06-01	VYDAJ	VYBER	7100	25344	\N	\N	\N
632068	2158	1998-01-12	VYDAJ	VYBER	7400	55369	\N	\N	\N
632069	2158	1997-12-20	VYDAJ	VYBER	2000	31615	\N	\N	\N
632070	2158	1998-12-29	VYDAJ	VYBER	500	30491	\N	\N	\N
632077	2158	1998-01-04	VYDAJ	VYBER	400	28934	\N	\N	\N
632078	2158	1998-01-04	VYDAJ	VYBER	1350	29334	\N	\N	\N
632079	2158	1998-01-24	VYDAJ	VYBER	1250	46069	\N	\N	\N
632080	2158	1998-01-01	VYDAJ	VYBER	350	30684	\N	\N	\N
632081	2158	1998-01-18	VYDAJ	VYBER	850	55219	\N	\N	\N
632082	2158	1998-01-15	VYDAJ	VYBER	500	56069	\N	\N	\N
632085	2158	1997-11-24	VYDAJ	VYBER	1700	35381	\N	\N	\N
632086	2158	1997-11-21	VYDAJ	VYBER	350	37081	\N	\N	\N
632087	2158	1997-11-20	VYDAJ	VYBER	650	37431	\N	\N	\N
632089	2158	1998-08-04	VYDAJ	VYBER	1600	27405	\N	\N	\N
632090	2158	1998-09-02	VYDAJ	VYBER	1800	24006	\N	\N	\N
632091	2158	1998-06-16	VYDAJ	VYBER	1650	24894	\N	\N	\N
632092	2158	1998-11-21	VYDAJ	VYBER	2100	37654	\N	\N	\N
632100	2158	1997-07-31	VYDAJ	VYBER	15	53767	SLUZBY	\N	\N
632101	2158	1997-08-31	VYDAJ	VYBER	15	55919	SLUZBY	\N	\N
632102	2158	1997-09-30	VYDAJ	VYBER	15	41926	SLUZBY	\N	\N
632103	2158	1997-10-31	VYDAJ	VYBER	15	36881	SLUZBY	\N	\N
632104	2158	1997-11-30	VYDAJ	VYBER	15	32415	SLUZBY	\N	\N
632105	2158	1997-12-31	VYDAJ	VYBER	15	31034	SLUZBY	\N	\N
632106	2158	1998-01-31	VYDAJ	VYBER	15	46254	SLUZBY	\N	\N
632107	2158	1998-02-28	VYDAJ	VYBER	15	41828	SLUZBY	\N	\N
632108	2158	1998-03-31	VYDAJ	VYBER	15	37582	SLUZBY	\N	\N
632109	2158	1998-04-30	VYDAJ	VYBER	15	33820	SLUZBY	\N	\N
632110	2158	1998-05-31	VYDAJ	VYBER	15	32444	SLUZBY	\N	\N
632111	2158	1998-06-30	VYDAJ	VYBER	15	28201	SLUZBY	\N	\N
632112	2158	1998-07-31	VYDAJ	VYBER	15	29005	SLUZBY	\N	\N
632113	2158	1998-08-31	VYDAJ	VYBER	15	25806	SLUZBY	\N	\N
632114	2158	1998-09-30	VYDAJ	VYBER	15	29503	SLUZBY	\N	\N
632115	2158	1998-10-31	VYDAJ	VYBER	15	29912	SLUZBY	\N	\N
632116	2158	1998-11-30	VYDAJ	VYBER	15	37791	SLUZBY	\N	\N
632117	2158	1997-04-28	PRIJEM	VKLAD	11600	13800	\N	\N	\N
632118	2158	1997-05-28	PRIJEM	VKLAD	7900	22906	\N	\N	\N
632119	2158	1997-06-27	PRIJEM	VKLAD	1400	25568	\N	\N	\N
632120	2158	1997-07-27	VYDAJ	VYBER	22200	53582	\N	\N	\N
632121	2158	1997-08-26	VYDAJ	VYBER	26100	55689	\N	\N	\N
632122	2158	1997-09-25	VYDAJ	VYBER	15400	41719	\N	\N	\N
632123	2158	1997-10-25	VYDAJ	VYBER	6400	36726	\N	\N	\N
632124	2158	1997-11-24	VYDAJ	VYBER	3100	32281	\N	\N	\N
632125	2158	1997-12-24	VYDAJ	VYBER	700	30915	\N	\N	\N
632126	2158	1998-01-23	VYDAJ	VYBER	7900	47319	\N	\N	\N
632127	2158	1998-02-22	VYDAJ	VYBER	5800	41654	\N	\N	\N
632128	2158	1998-03-24	VYDAJ	VYBER	5600	37428	\N	\N	\N
632129	2158	1998-04-23	VYDAJ	VYBER	5100	33682	\N	\N	\N
632130	2158	1998-05-23	VYDAJ	VYBER	2700	32320	\N	\N	\N
632131	2158	1998-06-22	PRIJEM	VKLAD	3200	28094	\N	\N	\N
632132	2158	1998-07-22	VYDAJ	VYBER	500	28901	\N	\N	\N
632133	2158	1998-08-21	VYDAJ	VYBER	2900	25705	\N	\N	\N
632134	2158	1998-09-20	PRIJEM	VKLAD	4200	29406	\N	\N	\N
632135	2158	1998-10-20	VYDAJ	VYBER	900	29803	\N	\N	\N
632136	2158	1998-11-19	VYDAJ	VYBER	16200	39754	\N	\N	\N
632137	2158	1998-12-19	VYDAJ	VYBER	8000	30991	\N	\N	\N
632159	2159	1996-01-01	PRIJEM	VKLAD	600	600	\N	\N	\N
632160	2159	1996-01-07	PRIJEM	VKLAD	22843	23443	\N	\N	\N
632161	2159	1996-02-07	PRIJEM	VKLAD	22843	45165	\N	\N	\N
632162	2159	1996-03-07	PRIJEM	VKLAD	22843	58401	\N	\N	\N
632163	2159	1996-04-07	PRIJEM	VKLAD	22843	67956	\N	\N	\N
632164	2159	1996-05-07	PRIJEM	VKLAD	22843	70687	\N	\N	\N
632165	2159	1996-06-07	PRIJEM	VKLAD	34264	77759	\N	\N	\N
632166	2159	1996-07-07	PRIJEM	VKLAD	22843	44484	\N	\N	\N
632167	2159	1996-08-07	PRIJEM	VKLAD	22843	52427	\N	\N	\N
632168	2159	1996-09-07	PRIJEM	VKLAD	22843	55101	\N	\N	\N
632169	2159	1996-10-07	PRIJEM	VKLAD	22843	58288	\N	\N	\N
632170	2159	1996-11-07	PRIJEM	VKLAD	22843	59855	\N	\N	\N
632171	2159	1996-12-07	PRIJEM	VKLAD	34264	70775	\N	\N	\N
632172	2159	1997-01-07	PRIJEM	VKLAD	22843	59496	\N	\N	\N
632173	2159	1997-02-07	PRIJEM	VKLAD	22843	46217	\N	\N	\N
632174	2159	1997-03-07	PRIJEM	VKLAD	22843	49960	\N	\N	\N
632175	2159	1997-04-07	PRIJEM	VKLAD	22843	52518	\N	\N	\N
632176	2159	1997-05-07	PRIJEM	VKLAD	22843	47722	\N	\N	\N
632177	2159	1997-06-07	PRIJEM	VKLAD	34264	60189	\N	\N	\N
632178	2159	1997-07-07	PRIJEM	VKLAD	22843	48099	\N	\N	\N
632179	2159	1997-08-07	PRIJEM	VKLAD	22843	47254	\N	\N	\N
632180	2159	1997-09-07	PRIJEM	VKLAD	22843	43173	\N	\N	\N
632181	2159	1997-10-07	PRIJEM	VKLAD	22843	42105	\N	\N	\N
632182	2159	1997-11-07	PRIJEM	VKLAD	22843	40205	\N	\N	\N
632183	2159	1997-12-07	PRIJEM	VKLAD	34264	56039	\N	\N	\N
632184	2159	1998-01-07	PRIJEM	VKLAD	22843	50774	\N	\N	\N
632185	2159	1998-02-07	PRIJEM	VKLAD	22843	39734	\N	\N	\N
632186	2159	1998-03-07	PRIJEM	VKLAD	22843	42568	\N	\N	\N
632187	2159	1998-04-07	PRIJEM	VKLAD	22843	43799	\N	\N	\N
632188	2159	1998-05-07	PRIJEM	VKLAD	22843	46022	\N	\N	\N
632189	2159	1998-06-07	PRIJEM	VKLAD	34264	62379	\N	\N	\N
632190	2159	1998-07-07	PRIJEM	VKLAD	22843	57952	\N	\N	\N
632191	2159	1998-08-07	PRIJEM	VKLAD	22843	57026	\N	\N	\N
632192	2159	1998-09-07	PRIJEM	VKLAD	22843	60903	\N	\N	\N
632193	2159	1998-10-07	PRIJEM	VKLAD	22843	64836	\N	\N	\N
632194	2159	1998-11-07	PRIJEM	VKLAD	22843	68042	\N	\N	\N
632195	2159	1998-12-07	PRIJEM	VKLAD	34264	82381	\N	\N	\N
632200	2159	1996-05-10	VYDAJ	PREVOD NA UCET	1118	69569	SIPO	CD	89892041
632201	2159	1996-06-10	VYDAJ	PREVOD NA UCET	1118	71841	SIPO	CD	89892041
632202	2159	1996-07-10	VYDAJ	PREVOD NA UCET	1118	43366	SIPO	CD	89892041
632203	2159	1996-08-10	VYDAJ	PREVOD NA UCET	1118	51309	SIPO	CD	89892041
632204	2159	1996-09-10	VYDAJ	PREVOD NA UCET	1118	53983	SIPO	CD	89892041
632205	2159	1996-10-10	VYDAJ	PREVOD NA UCET	1118	57170	SIPO	CD	89892041
632206	2159	1996-11-10	VYDAJ	PREVOD NA UCET	1118	58737	SIPO	CD	89892041
632207	2159	1996-12-10	VYDAJ	PREVOD NA UCET	1118	69657	SIPO	CD	89892041
632208	2159	1997-01-10	VYDAJ	PREVOD NA UCET	1118	54898	SIPO	CD	89892041
632209	2159	1997-02-10	VYDAJ	PREVOD NA UCET	1118	45099	SIPO	CD	89892041
632210	2159	1997-03-10	VYDAJ	PREVOD NA UCET	1118	48842	SIPO	CD	89892041
632211	2159	1997-04-10	VYDAJ	PREVOD NA UCET	1118	51400	SIPO	CD	89892041
632212	2159	1997-05-10	VYDAJ	PREVOD NA UCET	1118	46604	SIPO	CD	89892041
632213	2159	1997-06-10	VYDAJ	PREVOD NA UCET	1118	59071	SIPO	CD	89892041
632214	2159	1997-07-10	VYDAJ	PREVOD NA UCET	1118	46981	SIPO	CD	89892041
632215	2159	1997-08-10	VYDAJ	PREVOD NA UCET	1118	46136	SIPO	CD	89892041
632216	2159	1997-09-10	VYDAJ	PREVOD NA UCET	1118	42055	SIPO	CD	89892041
632217	2159	1997-10-10	VYDAJ	PREVOD NA UCET	1118	40987	SIPO	CD	89892041
632218	2159	1997-11-10	VYDAJ	PREVOD NA UCET	1118	39087	SIPO	CD	89892041
632219	2159	1997-12-10	VYDAJ	PREVOD NA UCET	1118	54921	SIPO	CD	89892041
632220	2159	1998-01-10	VYDAJ	PREVOD NA UCET	1118	49656	SIPO	CD	89892041
632221	2159	1998-02-10	VYDAJ	PREVOD NA UCET	1118	38616	SIPO	CD	89892041
632222	2159	1998-03-10	VYDAJ	PREVOD NA UCET	1118	41450	SIPO	CD	89892041
632223	2159	1998-04-10	VYDAJ	PREVOD NA UCET	1118	42681	SIPO	CD	89892041
632224	2159	1998-05-10	VYDAJ	PREVOD NA UCET	1118	44904	SIPO	CD	89892041
632225	2159	1998-06-10	VYDAJ	PREVOD NA UCET	1118	61261	SIPO	CD	89892041
632226	2159	1998-07-10	VYDAJ	PREVOD NA UCET	1118	56834	SIPO	CD	89892041
632227	2159	1998-08-10	VYDAJ	PREVOD NA UCET	1118	55908	SIPO	CD	89892041
632228	2159	1998-09-10	VYDAJ	PREVOD NA UCET	1118	59785	SIPO	CD	89892041
632229	2159	1998-10-10	VYDAJ	PREVOD NA UCET	1118	63718	SIPO	CD	89892041
632230	2159	1998-11-10	VYDAJ	PREVOD NA UCET	1118	66924	SIPO	CD	89892041
632231	2159	1998-12-10	VYDAJ	PREVOD NA UCET	1118	81263	SIPO	CD	89892041
632236	2159	1996-05-14	VYDAJ	PREVOD NA UCET	7601	61968	 	AB	91621130
632237	2159	1996-06-14	VYDAJ	PREVOD NA UCET	7601	64240	 	AB	91621130
632238	2159	1996-07-14	VYDAJ	PREVOD NA UCET	7601	35765	 	AB	91621130
632239	2159	1996-08-14	VYDAJ	PREVOD NA UCET	7601	43708	 	AB	91621130
632240	2159	1996-09-14	VYDAJ	PREVOD NA UCET	7601	46382	 	AB	91621130
632241	2159	1996-10-14	VYDAJ	PREVOD NA UCET	7601	46569	 	AB	91621130
632242	2159	1996-11-14	VYDAJ	PREVOD NA UCET	7601	51136	 	AB	91621130
632243	2159	1996-12-14	VYDAJ	PREVOD NA UCET	7601	62056	 	AB	91621130
632244	2159	1997-01-14	VYDAJ	PREVOD NA UCET	7601	44177	 	AB	91621130
632245	2159	1997-02-14	VYDAJ	PREVOD NA UCET	7601	37498	 	AB	91621130
632246	2159	1997-03-14	VYDAJ	PREVOD NA UCET	7601	41241	 	AB	91621130
632247	2159	1997-04-14	VYDAJ	PREVOD NA UCET	7601	43799	 	AB	91621130
632248	2159	1997-05-14	VYDAJ	PREVOD NA UCET	7601	39003	 	AB	91621130
632249	2159	1997-06-14	VYDAJ	PREVOD NA UCET	7601	51470	 	AB	91621130
632250	2159	1997-07-14	VYDAJ	PREVOD NA UCET	7601	39380	 	AB	91621130
632251	2159	1997-08-14	VYDAJ	PREVOD NA UCET	7601	38535	 	AB	91621130
632252	2159	1997-09-14	VYDAJ	PREVOD NA UCET	7601	34454	 	AB	91621130
632253	2159	1997-10-14	VYDAJ	PREVOD NA UCET	7601	33386	 	AB	91621130
632254	2159	1997-11-14	VYDAJ	PREVOD NA UCET	7601	31486	 	AB	91621130
632255	2159	1997-12-14	VYDAJ	PREVOD NA UCET	7601	47320	 	AB	91621130
632256	2159	1998-01-14	VYDAJ	PREVOD NA UCET	7601	42055	 	AB	91621130
632257	2159	1998-02-14	VYDAJ	PREVOD NA UCET	7601	31015	 	AB	91621130
632258	2159	1998-03-14	VYDAJ	PREVOD NA UCET	7601	33849	 	AB	91621130
632259	2159	1998-04-14	VYDAJ	PREVOD NA UCET	7601	35080	 	AB	91621130
632260	2159	1998-05-14	VYDAJ	PREVOD NA UCET	7601	37303	 	AB	91621130
632261	2159	1998-06-14	VYDAJ	PREVOD NA UCET	7601	53660	 	AB	91621130
632262	2159	1998-07-14	VYDAJ	PREVOD NA UCET	7601	49233	 	AB	91621130
632263	2159	1998-08-14	VYDAJ	PREVOD NA UCET	7601	48307	 	AB	91621130
632264	2159	1998-09-14	VYDAJ	PREVOD NA UCET	7601	48224	 	AB	91621130
632265	2159	1998-10-14	VYDAJ	PREVOD NA UCET	7601	56117	 	AB	91621130
632266	2159	1998-11-14	VYDAJ	PREVOD NA UCET	7601	59323	 	AB	91621130
632267	2159	1998-12-14	VYDAJ	PREVOD NA UCET	7601	73662	 	AB	91621130
632268	2159	1996-06-24	VYDAJ	VYBER	46400	17840	\N	\N	\N
632269	2159	1997-06-23	VYDAJ	VYBER	14400	37070	\N	\N	\N
632272	2159	1997-01-28	VYDAJ	VYBER	6240	23217	\N	\N	\N
632273	2159	1998-01-18	VYDAJ	VYBER	13760	25295	\N	\N	\N
632274	2159	1996-12-16	VYDAJ	VYBER	1280	60776	\N	\N	\N
632275	2159	1997-12-16	VYDAJ	VYBER	4000	43320	\N	\N	\N
632276	2159	1998-12-21	VYDAJ	VYBER	3680	54382	\N	\N	\N
632283	2159	1997-01-03	VYDAJ	VYBER	3120	36653	\N	\N	\N
632284	2159	1997-01-21	VYDAJ	VYBER	2040	42137	\N	\N	\N
632285	2159	1997-01-13	VYDAJ	VYBER	3120	51778	\N	\N	\N
632286	2159	1997-01-28	VYDAJ	VYBER	600	29457	\N	\N	\N
632287	2159	1997-01-23	VYDAJ	VYBER	3480	38657	\N	\N	\N
632288	2159	1997-01-07	VYDAJ	VYBER	3480	56016	\N	\N	\N
632289	2159	1998-01-23	VYDAJ	VYBER	2760	19535	\N	\N	\N
632290	2159	1998-01-04	VYDAJ	VYBER	1800	31051	\N	\N	\N
632291	2159	1998-01-15	VYDAJ	VYBER	3000	39055	\N	\N	\N
632292	2159	1998-01-26	VYDAJ	VYBER	2760	16775	\N	\N	\N
632294	2159	1998-01-06	VYDAJ	VYBER	3120	27931	\N	\N	\N
632295	2159	1996-10-14	VYDAJ	VYBER	3000	54170	\N	\N	\N
632296	2159	1996-06-07	VYDAJ	VYBER	4800	72959	\N	\N	\N
632297	2159	1996-10-22	VYDAJ	VYBER	2520	44049	\N	\N	\N
632299	2159	1996-08-31	VYDAJ	VYBER	3000	32258	\N	\N	\N
632300	2159	1996-06-05	VYDAJ	VYBER	2400	43495	\N	\N	\N
632302	2159	1997-10-31	VYDAJ	VYBER	5520	17377	\N	\N	\N
632304	2159	1997-09-05	VYDAJ	VYBER	3720	20330	\N	\N	\N
632305	2159	1997-04-27	VYDAJ	VYBER	3960	24739	\N	\N	\N
632306	2159	1997-07-04	VYDAJ	VYBER	2160	25256	\N	\N	\N
632307	2159	1998-09-14	VYDAJ	VYBER	3960	55825	\N	\N	\N
632308	2159	1998-03-01	VYDAJ	VYBER	5280	19725	\N	\N	\N
632314	2159	1996-05-31	VYDAJ	VYBER	15	45895	SLUZBY	\N	\N
632315	2159	1996-06-30	VYDAJ	VYBER	15	21641	SLUZBY	\N	\N
632316	2159	1996-07-31	VYDAJ	VYBER	15	29584	SLUZBY	\N	\N
632317	2159	1996-08-31	VYDAJ	VYBER	15	35258	SLUZBY	\N	\N
632318	2159	1996-09-30	VYDAJ	VYBER	15	35445	SLUZBY	\N	\N
632319	2159	1996-10-31	VYDAJ	VYBER	15	37012	SLUZBY	\N	\N
632320	2159	1996-11-30	VYDAJ	VYBER	15	36511	SLUZBY	\N	\N
632321	2159	1996-12-31	VYDAJ	VYBER	15	39773	SLUZBY	\N	\N
632322	2159	1997-01-31	VYDAJ	VYBER	15	23374	SLUZBY	\N	\N
632323	2159	1997-02-28	VYDAJ	VYBER	15	27117	SLUZBY	\N	\N
632324	2159	1997-03-31	VYDAJ	VYBER	15	29675	SLUZBY	\N	\N
632325	2159	1997-04-30	VYDAJ	VYBER	15	24879	SLUZBY	\N	\N
632326	2159	1997-05-31	VYDAJ	VYBER	15	25925	SLUZBY	\N	\N
632327	2159	1997-06-30	VYDAJ	VYBER	15	27416	SLUZBY	\N	\N
632328	2159	1997-07-31	VYDAJ	VYBER	15	24411	SLUZBY	\N	\N
632329	2159	1997-08-31	VYDAJ	VYBER	15	24050	SLUZBY	\N	\N
632330	2159	1997-09-30	VYDAJ	VYBER	15	19262	SLUZBY	\N	\N
632331	2159	1997-10-31	VYDAJ	VYBER	15	17362	SLUZBY	\N	\N
632332	2159	1997-11-30	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
632333	2159	1997-12-31	VYDAJ	VYBER	15	32851	SLUZBY	\N	\N
632334	2159	1998-01-31	VYDAJ	VYBER	15	16891	SLUZBY	\N	\N
632335	2159	1998-02-28	VYDAJ	VYBER	15	25005	SLUZBY	\N	\N
632336	2159	1998-03-31	VYDAJ	VYBER	15	20956	SLUZBY	\N	\N
632337	2159	1998-04-30	VYDAJ	VYBER	15	23179	SLUZBY	\N	\N
632338	2159	1998-05-31	VYDAJ	VYBER	15	28115	SLUZBY	\N	\N
632339	2159	1998-06-30	VYDAJ	VYBER	15	35109	SLUZBY	\N	\N
632340	2159	1998-07-31	VYDAJ	VYBER	15	34183	SLUZBY	\N	\N
632341	2159	1998-08-31	VYDAJ	VYBER	15	38060	SLUZBY	\N	\N
632342	2159	1998-09-30	VYDAJ	VYBER	15	41993	SLUZBY	\N	\N
632343	2159	1998-10-31	VYDAJ	VYBER	15	45199	SLUZBY	\N	\N
632344	2159	1998-11-30	VYDAJ	VYBER	15	48117	SLUZBY	\N	\N
632345	2159	1996-01-31	VYDAJ	VYBER	1200	22322	\N	\N	\N
632346	2159	1996-03-01	VYDAJ	VYBER	9700	35558	\N	\N	\N
632347	2159	1996-03-31	VYDAJ	VYBER	13500	45113	\N	\N	\N
632348	2159	1996-04-30	VYDAJ	VYBER	20300	47844	\N	\N	\N
632349	2159	1996-05-30	VYDAJ	VYBER	16300	45668	\N	\N	\N
632350	2159	1996-06-29	PRIJEM	VKLAD	3600	21440	\N	\N	\N
632351	2159	1996-07-29	VYDAJ	VYBER	6300	29465	\N	\N	\N
632352	2159	1996-08-28	VYDAJ	VYBER	8600	35108	\N	\N	\N
632353	2159	1996-09-27	VYDAJ	VYBER	11100	35282	\N	\N	\N
632354	2159	1996-10-27	VYDAJ	VYBER	7200	36849	\N	\N	\N
632355	2159	1996-11-26	VYDAJ	VYBER	14800	36336	\N	\N	\N
632356	2159	1996-12-26	VYDAJ	VYBER	21200	39576	\N	\N	\N
632357	2159	1997-01-25	VYDAJ	VYBER	8600	30057	\N	\N	\N
632358	2159	1997-02-24	VYDAJ	VYBER	10500	26998	\N	\N	\N
632359	2159	1997-03-26	VYDAJ	VYBER	11700	29541	\N	\N	\N
632360	2159	1997-04-25	VYDAJ	VYBER	15100	28699	\N	\N	\N
632361	2159	1997-05-25	VYDAJ	VYBER	13200	25803	\N	\N	\N
632362	2159	1997-06-24	VYDAJ	VYBER	9800	27270	\N	\N	\N
632363	2159	1997-07-24	VYDAJ	VYBER	15100	24280	\N	\N	\N
632364	2159	1997-08-23	VYDAJ	VYBER	14600	23935	\N	\N	\N
632365	2159	1997-09-22	VYDAJ	VYBER	15300	19154	\N	\N	\N
632366	2159	1997-10-22	VYDAJ	VYBER	10600	22786	\N	\N	\N
632367	2159	1997-11-21	VYDAJ	VYBER	9800	21686	\N	\N	\N
632368	2159	1997-12-21	VYDAJ	VYBER	10600	32720	\N	\N	\N
632369	2159	1998-01-20	VYDAJ	VYBER	3000	22295	\N	\N	\N
632370	2159	1998-02-19	VYDAJ	VYBER	6100	24915	\N	\N	\N
632371	2159	1998-03-21	VYDAJ	VYBER	13000	20849	\N	\N	\N
632372	2159	1998-04-20	VYDAJ	VYBER	12000	23080	\N	\N	\N
632373	2159	1998-05-20	VYDAJ	VYBER	9300	28003	\N	\N	\N
632374	2159	1998-06-19	VYDAJ	VYBER	18700	34960	\N	\N	\N
632375	2159	1998-07-19	VYDAJ	VYBER	15200	34033	\N	\N	\N
632376	2159	1998-08-18	VYDAJ	VYBER	10400	37907	\N	\N	\N
632377	2159	1998-09-17	VYDAJ	VYBER	6400	41824	\N	\N	\N
632378	2159	1998-10-17	VYDAJ	VYBER	11100	45017	\N	\N	\N
632379	2159	1998-11-16	VYDAJ	VYBER	11400	47923	\N	\N	\N
632380	2159	1998-12-16	VYDAJ	VYBER	15600	58062	\N	\N	\N
632417	2160	1996-11-10	PRIJEM	VKLAD	200	200	\N	\N	\N
632429	2160	1996-12-08	PRIJEM	VKLAD	13689	13889	\N	\N	\N
632430	2160	1997-01-08	PRIJEM	VKLAD	9126	25062	\N	\N	\N
632431	2160	1997-02-08	PRIJEM	VKLAD	9126	34985	\N	\N	\N
632432	2160	1997-03-08	PRIJEM	VKLAD	9126	37024	\N	\N	\N
632433	2160	1997-04-08	PRIJEM	VKLAD	9126	38972	\N	\N	\N
632434	2160	1997-05-08	PRIJEM	VKLAD	9126	30716	\N	\N	\N
632435	2160	1997-06-08	PRIJEM	VKLAD	13689	32195	\N	\N	\N
632436	2160	1997-07-08	PRIJEM	VKLAD	9126	31316	\N	\N	\N
632437	2160	1997-08-08	PRIJEM	VKLAD	9126	31533	\N	\N	\N
632438	2160	1997-09-08	PRIJEM	VKLAD	9126	35264	\N	\N	\N
632439	2160	1997-10-08	PRIJEM	VKLAD	9126	38713	\N	\N	\N
632440	2160	1997-11-08	PRIJEM	VKLAD	9126	37178	\N	\N	\N
632441	2160	1997-12-08	PRIJEM	VKLAD	13689	42304	\N	\N	\N
632442	2160	1998-01-08	PRIJEM	VKLAD	9126	39482	\N	\N	\N
632443	2160	1998-02-08	PRIJEM	VKLAD	9126	34228	\N	\N	\N
632444	2160	1998-03-08	PRIJEM	VKLAD	9126	36970	\N	\N	\N
632445	2160	1998-04-08	PRIJEM	VKLAD	9126	36328	\N	\N	\N
632446	2160	1998-05-08	PRIJEM	VKLAD	9126	37087	\N	\N	\N
632447	2160	1998-06-08	PRIJEM	VKLAD	13689	42710	\N	\N	\N
632448	2160	1998-07-08	PRIJEM	VKLAD	9126	33651	\N	\N	\N
632449	2160	1998-08-08	PRIJEM	VKLAD	9126	36589	\N	\N	\N
632450	2160	1998-09-08	PRIJEM	VKLAD	9126	40145	\N	\N	\N
632451	2160	1998-10-08	PRIJEM	VKLAD	9126	39125	\N	\N	\N
632452	2160	1998-11-08	PRIJEM	VKLAD	9126	36693	\N	\N	\N
632453	2160	1998-12-08	PRIJEM	VKLAD	13689	46205	\N	\N	\N
632469	2160	1997-04-14	VYDAJ	PREVOD NA UCET	6084	25988	SIPO	KL	74125879
632470	2160	1997-05-14	VYDAJ	PREVOD NA UCET	6084	18432	SIPO	KL	74125879
632471	2160	1997-06-14	VYDAJ	PREVOD NA UCET	6084	22111	SIPO	KL	74125879
632472	2160	1997-07-14	VYDAJ	PREVOD NA UCET	6084	17932	SIPO	KL	74125879
632473	2160	1997-08-14	VYDAJ	PREVOD NA UCET	6084	25449	SIPO	KL	74125879
632474	2160	1997-09-14	VYDAJ	PREVOD NA UCET	6084	29180	SIPO	KL	74125879
632475	2160	1997-10-14	VYDAJ	PREVOD NA UCET	6084	32629	SIPO	KL	74125879
632476	2160	1997-11-14	VYDAJ	PREVOD NA UCET	6084	31094	SIPO	KL	74125879
632477	2160	1997-12-14	VYDAJ	PREVOD NA UCET	6084	36220	SIPO	KL	74125879
632478	2160	1998-01-14	VYDAJ	PREVOD NA UCET	6084	25998	SIPO	KL	74125879
632479	2160	1998-02-14	VYDAJ	PREVOD NA UCET	6084	28144	SIPO	KL	74125879
632480	2160	1998-03-14	VYDAJ	PREVOD NA UCET	6084	30886	SIPO	KL	74125879
632481	2160	1998-04-14	VYDAJ	PREVOD NA UCET	6084	30244	SIPO	KL	74125879
632482	2160	1998-05-14	VYDAJ	PREVOD NA UCET	6084	31003	SIPO	KL	74125879
632483	2160	1998-06-14	VYDAJ	PREVOD NA UCET	6084	36626	SIPO	KL	74125879
632484	2160	1998-07-14	VYDAJ	PREVOD NA UCET	6084	27567	SIPO	KL	74125879
632485	2160	1998-08-14	VYDAJ	PREVOD NA UCET	6084	30505	SIPO	KL	74125879
632486	2160	1998-09-14	VYDAJ	PREVOD NA UCET	6084	32161	SIPO	KL	74125879
632487	2160	1998-10-14	VYDAJ	PREVOD NA UCET	6084	33041	SIPO	KL	74125879
632488	2160	1998-11-14	VYDAJ	PREVOD NA UCET	6084	30609	SIPO	KL	74125879
632489	2160	1998-12-14	VYDAJ	PREVOD NA UCET	6084	40121	SIPO	KL	74125879
632492	2160	1998-06-16	VYDAJ	VYBER	18500	18126	\N	\N	\N
632495	2160	1998-01-07	VYDAJ	VYBER	4200	30356	\N	\N	\N
632497	2160	1997-12-07	VYDAJ	VYBER	1700	28615	\N	\N	\N
632498	2160	1998-12-17	VYDAJ	VYBER	1800	38321	\N	\N	\N
632511	2160	1998-01-09	VYDAJ	VYBER	1000	38482	\N	\N	\N
632512	2160	1998-01-14	VYDAJ	VYBER	2600	35882	\N	\N	\N
632513	2160	1998-01-21	VYDAJ	VYBER	1900	20598	\N	\N	\N
632514	2160	1998-01-15	VYDAJ	VYBER	1700	23498	\N	\N	\N
632515	2160	1998-01-14	VYDAJ	VYBER	800	25198	\N	\N	\N
632516	2160	1998-01-17	VYDAJ	VYBER	1000	22498	\N	\N	\N
632522	2160	1997-05-01	VYDAJ	VYBER	3700	21590	\N	\N	\N
632523	2160	1997-09-19	VYDAJ	VYBER	700	28480	\N	\N	\N
632524	2160	1997-04-27	VYDAJ	VYBER	800	25188	\N	\N	\N
632525	2160	1998-05-05	VYDAJ	VYBER	1900	27961	\N	\N	\N
632526	2160	1998-01-14	VYDAJ	VYBER	3800	32082	\N	\N	\N
632527	2160	1998-10-27	VYDAJ	VYBER	1200	31841	\N	\N	\N
632528	2160	1998-09-14	VYDAJ	VYBER	1900	38245	\N	\N	\N
632529	2160	1998-03-04	VYDAJ	VYBER	4700	23544	\N	\N	\N
632546	2160	1997-04-30	VYDAJ	VYBER	15	25290	SLUZBY	\N	\N
632547	2160	1997-05-31	VYDAJ	VYBER	15	18506	SLUZBY	\N	\N
632548	2160	1997-06-30	VYDAJ	VYBER	15	22190	SLUZBY	\N	\N
632549	2160	1997-07-31	VYDAJ	VYBER	15	18007	SLUZBY	\N	\N
632550	2160	1997-08-31	VYDAJ	VYBER	15	25538	SLUZBY	\N	\N
632551	2160	1997-09-30	VYDAJ	VYBER	15	28587	SLUZBY	\N	\N
632552	2160	1997-10-31	VYDAJ	VYBER	15	32752	SLUZBY	\N	\N
632553	2160	1997-11-30	VYDAJ	VYBER	15	31215	SLUZBY	\N	\N
632554	2160	1997-12-31	VYDAJ	VYBER	15	36356	SLUZBY	\N	\N
632555	2160	1998-01-31	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
632556	2160	1998-02-28	VYDAJ	VYBER	15	28244	SLUZBY	\N	\N
632557	2160	1998-03-31	VYDAJ	VYBER	15	31002	SLUZBY	\N	\N
632558	2160	1998-04-30	VYDAJ	VYBER	15	30361	SLUZBY	\N	\N
632559	2160	1998-05-31	VYDAJ	VYBER	15	31121	SLUZBY	\N	\N
632560	2160	1998-06-30	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
632561	2160	1998-07-31	VYDAJ	VYBER	15	27663	SLUZBY	\N	\N
632562	2160	1998-08-31	VYDAJ	VYBER	15	30619	SLUZBY	\N	\N
632563	2160	1998-09-30	VYDAJ	VYBER	15	32299	SLUZBY	\N	\N
632564	2160	1998-10-31	VYDAJ	VYBER	15	27567	SLUZBY	\N	\N
632565	2160	1998-11-30	VYDAJ	VYBER	15	32516	SLUZBY	\N	\N
632566	2160	1996-12-10	PRIJEM	VKLAD	2000	15889	\N	\N	\N
632567	2160	1997-01-09	PRIJEM	VKLAD	700	25762	\N	\N	\N
632568	2160	1997-02-08	VYDAJ	VYBER	7200	27785	\N	\N	\N
632569	2160	1997-03-10	VYDAJ	VYBER	7300	29724	\N	\N	\N
632570	2160	1997-04-09	VYDAJ	VYBER	6900	32072	\N	\N	\N
632571	2160	1997-05-09	VYDAJ	VYBER	6200	24516	\N	\N	\N
632572	2160	1997-06-08	VYDAJ	VYBER	4000	28195	\N	\N	\N
632573	2160	1997-07-08	VYDAJ	VYBER	7300	24016	\N	\N	\N
632574	2160	1997-08-07	PRIJEM	VKLAD	4400	22407	\N	\N	\N
632575	2160	1997-09-06	PRIJEM	VKLAD	600	26138	\N	\N	\N
632576	2160	1997-10-06	PRIJEM	VKLAD	1000	29587	\N	\N	\N
632577	2160	1997-11-05	VYDAJ	VYBER	4700	28052	\N	\N	\N
632578	2160	1997-12-05	VYDAJ	VYBER	900	30315	\N	\N	\N
632579	2160	1998-01-04	VYDAJ	VYBER	1800	34556	\N	\N	\N
632580	2160	1998-02-03	PRIJEM	VKLAD	4400	25102	\N	\N	\N
632581	2160	1998-03-05	PRIJEM	VKLAD	4300	27844	\N	\N	\N
632582	2160	1998-04-04	VYDAJ	VYBER	3800	27202	\N	\N	\N
632583	2160	1998-05-04	VYDAJ	VYBER	500	29861	\N	\N	\N
632584	2160	1998-06-03	VYDAJ	VYBER	2100	29021	\N	\N	\N
632585	2160	1998-07-03	PRIJEM	VKLAD	6300	24525	\N	\N	\N
632586	2160	1998-08-02	VYDAJ	VYBER	200	27463	\N	\N	\N
632587	2160	1998-09-01	PRIJEM	VKLAD	400	31019	\N	\N	\N
632588	2160	1998-10-01	VYDAJ	VYBER	2300	29999	\N	\N	\N
632589	2160	1998-10-31	VYDAJ	VYBER	4400	27581	\N	\N	\N
632590	2160	1998-11-30	PRIJEM	VKLAD	1800	32530	\N	\N	\N
632616	2161	1993-12-30	PRIJEM	VKLAD	700	700	\N	\N	\N
632638	2161	1994-04-21	PRIJEM	VKLAD	11703	38457	\N	\N	\N
632639	2161	1994-06-04	PRIJEM	VKLAD	31467	61955	\N	\N	\N
632640	2161	1994-04-04	PRIJEM	VKLAD	6810	26754	\N	\N	\N
632641	2161	1994-01-07	PRIJEM	VKLAD	9599	10299	\N	\N	\N
632642	2161	1994-10-18	PRIJEM	VKLAD	9532	29906	\N	\N	\N
632643	2161	1994-09-05	PRIJEM	VKLAD	29900	60375	\N	\N	\N
632644	2161	1995-12-25	PRIJEM	VKLAD	39695	73758	\N	\N	\N
632645	2161	1995-03-24	PRIJEM	VKLAD	31491	51109	\N	\N	\N
632646	2161	1995-03-27	PRIJEM	VKLAD	23673	64182	\N	\N	\N
632647	2161	1995-06-12	PRIJEM	VKLAD	29961	52518	\N	\N	\N
632648	2161	1995-02-15	PRIJEM	VKLAD	33923	57402	\N	\N	\N
632649	2161	1995-07-22	PRIJEM	VKLAD	23356	41711	\N	\N	\N
632650	2161	1995-12-06	PRIJEM	VKLAD	29776	49801	\N	\N	\N
632651	2161	1995-02-23	PRIJEM	VKLAD	33781	83288	\N	\N	\N
632652	2161	1995-01-30	PRIJEM	VKLAD	13323	34943	\N	\N	\N
632653	2161	1996-07-22	PRIJEM	VKLAD	11559	20058	\N	\N	\N
632654	2161	1996-02-07	PRIJEM	VKLAD	9249	30127	\N	\N	\N
632655	2161	1996-11-29	PRIJEM	VKLAD	23586	67035	\N	\N	\N
632656	2161	1996-11-20	PRIJEM	VKLAD	41227	46045	\N	\N	\N
632657	2161	1996-03-29	PRIJEM	VKLAD	29979	69854	\N	\N	\N
632658	2161	1996-03-10	PRIJEM	VKLAD	41127	75775	\N	\N	\N
632659	2161	1996-01-18	PRIJEM	VKLAD	5372	23996	\N	\N	\N
632660	2161	1996-03-02	PRIJEM	VKLAD	11293	34648	\N	\N	\N
632661	2161	1997-04-14	PRIJEM	VKLAD	21321	40496	\N	\N	\N
632662	2161	1997-12-15	PRIJEM	VKLAD	37800	45618	\N	\N	\N
632663	2161	1997-04-26	PRIJEM	VKLAD	5507	46003	\N	\N	\N
632664	2161	1997-09-03	PRIJEM	VKLAD	46934	68670	\N	\N	\N
632665	2161	1997-05-27	PRIJEM	VKLAD	10827	42349	\N	\N	\N
632666	2161	1997-01-20	PRIJEM	VKLAD	32866	50246	\N	\N	\N
632667	2161	1997-06-18	PRIJEM	VKLAD	46752	70896	\N	\N	\N
632668	2161	1997-08-05	PRIJEM	VKLAD	18980	41913	\N	\N	\N
632669	2161	1997-03-01	PRIJEM	VKLAD	36843	61269	\N	\N	\N
632670	2161	1997-05-08	PRIJEM	VKLAD	20438	66560	\N	\N	\N
632671	2161	1998-04-06	PRIJEM	VKLAD	9056	21969	\N	\N	\N
632672	2161	1998-09-18	PRIJEM	VKLAD	38747	53014	\N	\N	\N
632673	2161	1998-06-17	PRIJEM	VKLAD	14748	27190	\N	\N	\N
632694	2161	1994-09-12	VYDAJ	PREVOD NA UCET	2770	31399	SIPO	CD	11111456
632695	2161	1994-10-12	VYDAJ	PREVOD NA UCET	2770	21442	SIPO	CD	11111456
632696	2161	1994-11-12	VYDAJ	PREVOD NA UCET	2770	22141	SIPO	CD	11111456
632697	2161	1994-12-12	VYDAJ	PREVOD NA UCET	2770	20068	SIPO	CD	11111456
632698	2161	1995-01-12	VYDAJ	PREVOD NA UCET	2770	15988	SIPO	CD	11111456
632699	2161	1995-02-12	VYDAJ	PREVOD NA UCET	2770	24547	SIPO	CD	11111456
632700	2161	1995-03-12	VYDAJ	PREVOD NA UCET	2770	40489	SIPO	CD	11111456
632701	2161	1995-04-12	VYDAJ	PREVOD NA UCET	2770	44066	SIPO	CD	11111456
632702	2161	1995-05-12	VYDAJ	PREVOD NA UCET	2770	18360	SIPO	CD	11111456
632703	2161	1995-06-12	VYDAJ	PREVOD NA UCET	2770	49748	SIPO	CD	11111456
632704	2161	1995-07-12	VYDAJ	PREVOD NA UCET	2770	23323	SIPO	CD	11111456
632705	2161	1995-08-12	VYDAJ	PREVOD NA UCET	2770	31139	SIPO	CD	11111456
632706	2161	1995-09-12	VYDAJ	PREVOD NA UCET	2770	22997	SIPO	CD	11111456
632707	2161	1995-10-12	VYDAJ	PREVOD NA UCET	2770	18358	SIPO	CD	11111456
632708	2161	1995-11-12	VYDAJ	PREVOD NA UCET	2770	16775	SIPO	CD	11111456
632709	2161	1995-12-12	VYDAJ	PREVOD NA UCET	2770	45963	SIPO	CD	11111456
632710	2161	1996-01-12	VYDAJ	PREVOD NA UCET	2770	18624	SIPO	CD	11111456
632711	2161	1996-02-12	VYDAJ	PREVOD NA UCET	2770	27357	SIPO	CD	11111456
632712	2161	1996-03-12	VYDAJ	PREVOD NA UCET	2770	73005	SIPO	CD	11111456
632713	2161	1996-04-12	VYDAJ	PREVOD NA UCET	2770	49100	SIPO	CD	11111456
632714	2161	1996-05-12	VYDAJ	PREVOD NA UCET	2770	16802	SIPO	CD	11111456
632715	2161	1996-06-12	VYDAJ	PREVOD NA UCET	2770	13009	SIPO	CD	11111456
632716	2161	1996-07-12	VYDAJ	PREVOD NA UCET	2770	9567	SIPO	CD	11111456
632717	2161	1996-08-12	VYDAJ	PREVOD NA UCET	2770	17315	SIPO	CD	11111456
632718	2161	1996-09-12	VYDAJ	PREVOD NA UCET	2770	13522	SIPO	CD	11111456
632719	2161	1996-10-12	VYDAJ	PREVOD NA UCET	2770	9714	SIPO	CD	11111456
632720	2161	1996-11-12	VYDAJ	PREVOD NA UCET	2770	5886	SIPO	CD	11111456
632721	2161	1996-12-12	VYDAJ	PREVOD NA UCET	2770	63258	SIPO	CD	11111456
632722	2161	1997-01-12	VYDAJ	PREVOD NA UCET	2770	17380	SIPO	CD	11111456
632723	2161	1997-02-12	VYDAJ	PREVOD NA UCET	2770	43089	SIPO	CD	11111456
632724	2161	1997-03-12	VYDAJ	PREVOD NA UCET	2770	51696	SIPO	CD	11111456
632725	2161	1997-04-12	VYDAJ	PREVOD NA UCET	2770	19175	SIPO	CD	11111456
632726	2161	1997-05-12	VYDAJ	PREVOD NA UCET	2770	63790	SIPO	CD	11111456
632727	2161	1997-06-12	VYDAJ	PREVOD NA UCET	2770	38644	SIPO	CD	11111456
632728	2161	1997-07-12	VYDAJ	PREVOD NA UCET	2770	32940	SIPO	CD	11111456
632729	2161	1997-08-12	VYDAJ	PREVOD NA UCET	2770	21675	SIPO	CD	11111456
632730	2161	1997-09-12	VYDAJ	PREVOD NA UCET	2770	35700	SIPO	CD	11111456
632731	2161	1997-10-12	VYDAJ	PREVOD NA UCET	2770	19862	SIPO	CD	11111456
632732	2161	1997-11-12	VYDAJ	PREVOD NA UCET	2770	11629	SIPO	CD	11111456
632733	2161	1997-12-12	VYDAJ	PREVOD NA UCET	2770	8886	SIPO	CD	11111456
632734	2161	1998-01-12	VYDAJ	PREVOD NA UCET	2770	18431	SIPO	CD	11111456
632735	2161	1998-02-12	VYDAJ	PREVOD NA UCET	2770	16054	SIPO	CD	11111456
632736	2161	1998-03-12	VYDAJ	PREVOD NA UCET	2770	12882	SIPO	CD	11111456
632737	2161	1998-04-12	VYDAJ	PREVOD NA UCET	2770	18731	SIPO	CD	11111456
632738	2161	1998-05-12	VYDAJ	PREVOD NA UCET	2770	15910	SIPO	CD	11111456
632739	2161	1998-06-12	VYDAJ	PREVOD NA UCET	2770	12442	SIPO	CD	11111456
632740	2161	1998-07-12	VYDAJ	PREVOD NA UCET	2770	19412	SIPO	CD	11111456
632741	2161	1998-08-12	VYDAJ	PREVOD NA UCET	2770	17930	SIPO	CD	11111456
632742	2161	1998-09-12	VYDAJ	PREVOD NA UCET	2770	15335	SIPO	CD	11111456
632743	2161	1998-10-12	VYDAJ	PREVOD NA UCET	2770	20401	SIPO	CD	11111456
632744	2161	1998-11-12	VYDAJ	PREVOD NA UCET	2770	11057	SIPO	CD	11111456
632745	2161	1998-12-12	VYDAJ	PREVOD NA UCET	2770	7251	SIPO	CD	11111456
632766	2161	1994-09-12	VYDAJ	PREVOD NA UCET	1068	34169	 	WX	86137514
632767	2161	1994-10-12	VYDAJ	PREVOD NA UCET	1068	20374	 	WX	86137514
632768	2161	1994-11-12	VYDAJ	PREVOD NA UCET	1068	21073	 	WX	86137514
632769	2161	1994-12-12	VYDAJ	PREVOD NA UCET	1068	19000	 	WX	86137514
632770	2161	1995-01-12	VYDAJ	PREVOD NA UCET	1068	14920	 	WX	86137514
632771	2161	1995-02-12	VYDAJ	PREVOD NA UCET	1068	23479	 	WX	86137514
632772	2161	1995-03-12	VYDAJ	PREVOD NA UCET	1068	39421	 	WX	86137514
632773	2161	1995-04-12	VYDAJ	PREVOD NA UCET	1068	57336	 	WX	86137514
632774	2161	1995-05-12	VYDAJ	PREVOD NA UCET	1068	17292	 	WX	86137514
632775	2161	1995-06-12	VYDAJ	PREVOD NA UCET	1068	48680	 	WX	86137514
632776	2161	1995-07-12	VYDAJ	PREVOD NA UCET	1068	18355	 	WX	86137514
632777	2161	1995-08-12	VYDAJ	PREVOD NA UCET	1068	30071	 	WX	86137514
632778	2161	1995-09-12	VYDAJ	PREVOD NA UCET	1068	21929	 	WX	86137514
632779	2161	1995-10-12	VYDAJ	PREVOD NA UCET	1068	21128	 	WX	86137514
632780	2161	1995-11-12	VYDAJ	PREVOD NA UCET	1068	19545	 	WX	86137514
632781	2161	1995-12-12	VYDAJ	PREVOD NA UCET	1068	48733	 	WX	86137514
632782	2161	1996-01-12	VYDAJ	PREVOD NA UCET	1068	21394	 	WX	86137514
632783	2161	1996-02-12	VYDAJ	PREVOD NA UCET	1068	26289	 	WX	86137514
632784	2161	1996-03-12	VYDAJ	PREVOD NA UCET	1068	71937	 	WX	86137514
632785	2161	1996-04-12	VYDAJ	PREVOD NA UCET	1068	48032	 	WX	86137514
632786	2161	1996-05-12	VYDAJ	PREVOD NA UCET	1068	19572	 	WX	86137514
632787	2161	1996-06-12	VYDAJ	PREVOD NA UCET	1068	15779	 	WX	86137514
632788	2161	1996-07-12	VYDAJ	PREVOD NA UCET	1068	8499	 	WX	86137514
632789	2161	1996-08-12	VYDAJ	PREVOD NA UCET	1068	16247	 	WX	86137514
632790	2161	1996-09-12	VYDAJ	PREVOD NA UCET	1068	12454	 	WX	86137514
632791	2161	1996-10-12	VYDAJ	PREVOD NA UCET	1068	8646	 	WX	86137514
632792	2161	1996-11-12	VYDAJ	PREVOD NA UCET	1068	4818	 	WX	86137514
632793	2161	1996-12-12	VYDAJ	PREVOD NA UCET	1068	66028	 	WX	86137514
632794	2161	1997-01-12	VYDAJ	PREVOD NA UCET	1068	24350	 	WX	86137514
632795	2161	1997-02-12	VYDAJ	PREVOD NA UCET	1068	42021	 	WX	86137514
632796	2161	1997-03-12	VYDAJ	PREVOD NA UCET	1068	54466	 	WX	86137514
632797	2161	1997-04-12	VYDAJ	PREVOD NA UCET	1068	21945	 	WX	86137514
632798	2161	1997-05-12	VYDAJ	PREVOD NA UCET	1068	62722	 	WX	86137514
632799	2161	1997-06-12	VYDAJ	PREVOD NA UCET	1068	41414	 	WX	86137514
632800	2161	1997-07-12	VYDAJ	PREVOD NA UCET	1068	59510	 	WX	86137514
632801	2161	1997-08-12	VYDAJ	PREVOD NA UCET	1068	24445	 	WX	86137514
632802	2161	1997-09-12	VYDAJ	PREVOD NA UCET	1068	34632	 	WX	86137514
632803	2161	1997-10-12	VYDAJ	PREVOD NA UCET	1068	18794	 	WX	86137514
632804	2161	1997-11-12	VYDAJ	PREVOD NA UCET	1068	14399	 	WX	86137514
632805	2161	1997-12-12	VYDAJ	PREVOD NA UCET	1068	7818	 	WX	86137514
632806	2161	1998-01-12	VYDAJ	PREVOD NA UCET	1068	17363	 	WX	86137514
632807	2161	1998-02-12	VYDAJ	PREVOD NA UCET	1068	14986	 	WX	86137514
632808	2161	1998-03-12	VYDAJ	PREVOD NA UCET	1068	15652	 	WX	86137514
632809	2161	1998-04-12	VYDAJ	PREVOD NA UCET	1068	21501	 	WX	86137514
632810	2161	1998-05-12	VYDAJ	PREVOD NA UCET	1068	14842	 	WX	86137514
632811	2161	1998-06-12	VYDAJ	PREVOD NA UCET	1068	15212	 	WX	86137514
632812	2161	1998-07-12	VYDAJ	PREVOD NA UCET	1068	18344	 	WX	86137514
632813	2161	1998-08-12	VYDAJ	PREVOD NA UCET	1068	16862	 	WX	86137514
632814	2161	1998-09-12	VYDAJ	PREVOD NA UCET	1068	14267	 	WX	86137514
632815	2161	1998-10-12	VYDAJ	PREVOD NA UCET	1068	19333	 	WX	86137514
632816	2161	1998-11-12	VYDAJ	PREVOD NA UCET	1068	13827	 	WX	86137514
632817	2161	1998-12-12	VYDAJ	PREVOD NA UCET	1068	10021	 	WX	86137514
632834	2161	1994-09-06	VYBER	VYBER	17938	42437	\N	\N	\N
632844	2161	1994-10-18	VYBER	VYBER	4065	25841	\N	\N	\N
632846	2161	1995-03-27	VYBER	VYBER	5935	58247	\N	\N	\N
632848	2161	1995-02-19	VYBER	VYBER	7895	49507	\N	\N	\N
632851	2161	1995-03-18	VYBER	VYBER	19803	19618	\N	\N	\N
632853	2161	1995-02-11	VYBER	VYBER	7678	27317	\N	\N	\N
632854	2161	1995-07-02	VYBER	VYBER	11507	26093	\N	\N	\N
632855	2161	1995-05-04	VYBER	VYBER	6889	21130	\N	\N	\N
632859	2161	1995-04-15	VYBER	VYBER	14194	29872	\N	\N	\N
632860	2161	1996-04-05	VYBER	VYBER	18142	51870	\N	\N	\N
632861	2161	1996-01-05	VYBER	VYBER	24789	22462	\N	\N	\N
632863	2161	1996-03-13	VYBER	VYBER	11062	60875	\N	\N	\N
632864	2161	1996-04-29	VYBER	VYBER	13766	20466	\N	\N	\N
632865	2161	1996-01-02	VYBER	VYBER	20647	47251	\N	\N	\N
632867	2161	1996-11-20	VYBER	VYBER	2596	43449	\N	\N	\N
632869	2161	1997-03-06	VYBER	VYBER	5735	55534	\N	\N	\N
632870	2161	1998-07-07	VYBER	VYBER	3359	23882	\N	\N	\N
632871	2161	1998-09-23	VYBER	VYBER	16717	36297	\N	\N	\N
632887	2161	1998-01-05	VYDAJ	VYBER	3000	32201	\N	\N	\N
632890	2161	1995-12-27	VYDAJ	VYBER	6000	67758	\N	\N	\N
632891	2161	1996-12-18	VYDAJ	VYBER	8700	29158	\N	\N	\N
632892	2161	1997-12-21	VYDAJ	VYBER	6600	39018	\N	\N	\N
632911	2161	1995-01-07	VYDAJ	VYBER	2100	18758	\N	\N	\N
632918	2161	1997-01-26	VYDAJ	VYBER	2700	45746	\N	\N	\N
632920	2161	1997-01-21	VYDAJ	VYBER	1800	48446	\N	\N	\N
632921	2161	1997-01-12	VYDAJ	VYBER	4200	20150	\N	\N	\N
632922	2161	1997-01-10	VYDAJ	VYBER	1500	25418	\N	\N	\N
632923	2161	1997-01-08	VYDAJ	VYBER	2400	26918	\N	\N	\N
632927	2161	1998-01-03	VYDAJ	VYBER	3900	35201	\N	\N	\N
632928	2161	1998-01-06	VYDAJ	VYBER	7200	25001	\N	\N	\N
632937	2161	1994-09-11	VYDAJ	VYBER	7200	35237	\N	\N	\N
632941	2161	1994-09-25	VYDAJ	VYBER	8100	23299	\N	\N	\N
632942	2161	1995-03-07	VYDAJ	VYBER	9600	43259	\N	\N	\N
632944	2161	1995-07-12	VYDAJ	VYBER	3900	19423	\N	\N	\N
632945	2161	1995-04-12	VYDAJ	VYBER	10500	46836	\N	\N	\N
632949	2161	1997-07-24	VYDAJ	VYBER	10200	22740	\N	\N	\N
632950	2161	1997-07-09	VYDAJ	VYBER	10500	60578	\N	\N	\N
632952	2161	1997-04-02	VYDAJ	VYBER	6900	23013	\N	\N	\N
632954	2161	1998-09-23	VYDAJ	VYBER	7500	28797	\N	\N	\N
632978	2161	1994-09-30	VYDAJ	VYBER	30	24212	SLUZBY	\N	\N
632979	2161	1994-10-31	VYDAJ	VYBER	30	24911	SLUZBY	\N	\N
632980	2161	1994-11-30	VYDAJ	VYBER	30	22838	SLUZBY	\N	\N
632981	2161	1994-12-31	VYDAJ	VYBER	30	20858	SLUZBY	\N	\N
632982	2161	1995-01-31	VYDAJ	VYBER	30	34995	SLUZBY	\N	\N
632983	2161	1995-02-28	VYDAJ	VYBER	30	52859	SLUZBY	\N	\N
632984	2161	1995-03-31	VYDAJ	VYBER	30	58404	SLUZBY	\N	\N
632985	2161	1995-04-30	VYDAJ	VYBER	30	28019	SLUZBY	\N	\N
632986	2161	1995-05-31	VYDAJ	VYBER	30	22557	SLUZBY	\N	\N
632987	2161	1995-06-30	VYDAJ	VYBER	30	37600	SLUZBY	\N	\N
632988	2161	1995-07-31	VYDAJ	VYBER	30	33909	SLUZBY	\N	\N
632989	2161	1995-08-31	VYDAJ	VYBER	30	25767	SLUZBY	\N	\N
632990	2161	1995-09-30	VYDAJ	VYBER	30	22196	SLUZBY	\N	\N
632991	2161	1995-10-31	VYDAJ	VYBER	30	20613	SLUZBY	\N	\N
632992	2161	1995-11-30	VYDAJ	VYBER	30	20025	SLUZBY	\N	\N
632993	2161	1995-12-31	VYDAJ	VYBER	30	67898	SLUZBY	\N	\N
632994	2161	1996-01-31	VYDAJ	VYBER	30	20878	SLUZBY	\N	\N
632995	2161	1996-02-29	VYDAJ	VYBER	30	23355	SLUZBY	\N	\N
632996	2161	1996-03-31	VYDAJ	VYBER	30	70012	SLUZBY	\N	\N
632997	2161	1996-04-30	VYDAJ	VYBER	30	20640	SLUZBY	\N	\N
632998	2161	1996-05-31	VYDAJ	VYBER	30	16847	SLUZBY	\N	\N
632999	2161	1996-06-30	VYDAJ	VYBER	30	12337	SLUZBY	\N	\N
633000	2161	1996-07-31	VYDAJ	VYBER	30	20085	SLUZBY	\N	\N
633001	2161	1996-08-31	VYDAJ	VYBER	30	16292	SLUZBY	\N	\N
633002	2161	1996-09-30	VYDAJ	VYBER	30	12484	SLUZBY	\N	\N
633003	2161	1996-10-31	VYDAJ	VYBER	30	8656	SLUZBY	\N	\N
633004	2161	1996-11-30	VYDAJ	VYBER	30	67096	SLUZBY	\N	\N
633005	2161	1996-12-31	VYDAJ	VYBER	30	29318	SLUZBY	\N	\N
633006	2161	1997-01-31	VYDAJ	VYBER	30	45859	SLUZBY	\N	\N
633007	2161	1997-02-28	VYDAJ	VYBER	30	24426	SLUZBY	\N	\N
633008	2161	1997-03-31	VYDAJ	VYBER	30	29913	SLUZBY	\N	\N
633009	2161	1997-04-30	VYDAJ	VYBER	30	46122	SLUZBY	\N	\N
633010	2161	1997-05-31	VYDAJ	VYBER	30	42482	SLUZBY	\N	\N
633011	2161	1997-06-30	VYDAJ	VYBER	30	71078	SLUZBY	\N	\N
633012	2161	1997-07-31	VYDAJ	VYBER	30	22933	SLUZBY	\N	\N
633013	2161	1997-08-31	VYDAJ	VYBER	30	21736	SLUZBY	\N	\N
633014	2161	1997-09-30	VYDAJ	VYBER	30	34732	SLUZBY	\N	\N
633015	2161	1997-10-31	VYDAJ	VYBER	30	18867	SLUZBY	\N	\N
633016	2161	1997-11-30	VYDAJ	VYBER	30	11656	SLUZBY	\N	\N
633017	2161	1997-12-31	VYDAJ	VYBER	30	39101	SLUZBY	\N	\N
633018	2161	1998-01-31	VYDAJ	VYBER	30	17424	SLUZBY	\N	\N
633019	2161	1998-02-28	VYDAJ	VYBER	30	15020	SLUZBY	\N	\N
633020	2161	1998-03-31	VYDAJ	VYBER	30	12913	SLUZBY	\N	\N
633021	2161	1998-04-30	VYDAJ	VYBER	30	18780	SLUZBY	\N	\N
633022	2161	1998-05-31	VYDAJ	VYBER	30	14880	SLUZBY	\N	\N
633023	2161	1998-06-30	VYDAJ	VYBER	30	27241	SLUZBY	\N	\N
633024	2161	1998-07-31	VYDAJ	VYBER	30	18400	SLUZBY	\N	\N
633025	2161	1998-08-31	VYDAJ	VYBER	30	16905	SLUZBY	\N	\N
633026	2161	1998-09-30	VYDAJ	VYBER	30	28871	SLUZBY	\N	\N
633027	2161	1998-10-31	VYDAJ	VYBER	30	19395	SLUZBY	\N	\N
633028	2161	1998-11-30	VYDAJ	VYBER	30	11089	SLUZBY	\N	\N
633029	2161	1994-01-29	PRIJEM	VKLAD	6300	16599	\N	\N	\N
633030	2161	1994-02-28	PRIJEM	VKLAD	1700	18306	\N	\N	\N
633031	2161	1994-03-30	PRIJEM	VKLAD	1500	19875	\N	\N	\N
633032	2161	1994-04-29	VYDAJ	VYBER	6500	31957	\N	\N	\N
633033	2161	1994-05-29	VYDAJ	VYBER	1700	30355	\N	\N	\N
633034	2161	1994-06-28	VYDAJ	VYBER	16200	45755	\N	\N	\N
633035	2161	1994-07-28	VYDAJ	VYBER	8300	37594	\N	\N	\N
633036	2161	1994-08-27	VYDAJ	VYBER	7500	30284	\N	\N	\N
633037	2161	1994-09-26	PRIJEM	VKLAD	800	24099	\N	\N	\N
633038	2161	1994-10-26	VYDAJ	VYBER	1000	24841	\N	\N	\N
633039	2161	1994-11-25	PRIJEM	VKLAD	1700	22773	\N	\N	\N
633040	2161	1994-12-25	PRIJEM	VKLAD	1800	20800	\N	\N	\N
633041	2161	1995-01-24	PRIJEM	VKLAD	6700	21620	\N	\N	\N
633042	2161	1995-02-23	VYDAJ	VYBER	30600	52688	\N	\N	\N
633043	2161	1995-03-25	VYDAJ	VYBER	10600	40509	\N	\N	\N
633044	2161	1995-04-24	VYDAJ	VYBER	2000	27872	\N	\N	\N
633045	2161	1995-05-24	PRIJEM	VKLAD	5200	22492	\N	\N	\N
633046	2161	1995-06-23	VYDAJ	VYBER	11200	37480	\N	\N	\N
633047	2161	1995-07-23	VYDAJ	VYBER	7900	33811	\N	\N	\N
633048	2161	1995-08-22	VYDAJ	VYBER	4400	25671	\N	\N	\N
633049	2161	1995-09-21	PRIJEM	VKLAD	200	22129	\N	\N	\N
633050	2161	1995-10-21	PRIJEM	VKLAD	2200	20558	\N	\N	\N
633051	2161	1995-11-20	PRIJEM	VKLAD	3200	19975	\N	\N	\N
633052	2161	1995-12-20	VYDAJ	VYBER	11900	34063	\N	\N	\N
633053	2161	1996-01-19	VYDAJ	VYBER	3200	20796	\N	\N	\N
633054	2161	1996-02-18	VYDAJ	VYBER	3000	23289	\N	\N	\N
633055	2161	1996-03-19	VYDAJ	VYBER	21000	39875	\N	\N	\N
633056	2161	1996-04-18	VYDAJ	VYBER	13800	34232	\N	\N	\N
633057	2161	1996-06-17	VYDAJ	VYBER	700	12309	\N	\N	\N
633058	2161	1996-12-14	VYDAJ	VYBER	25400	37858	\N	\N	\N
633059	2161	1997-02-12	VYDAJ	VYBER	17700	24321	\N	\N	\N
633060	2161	1997-03-14	VYDAJ	VYBER	21900	29796	\N	\N	\N
633061	2161	1997-05-13	VYDAJ	VYBER	31200	31522	\N	\N	\N
633062	2161	1997-06-12	VYDAJ	VYBER	14500	24144	\N	\N	\N
633063	2161	1997-07-12	VYDAJ	VYBER	23800	35710	\N	\N	\N
633064	2161	1997-08-11	VYDAJ	VYBER	16400	25513	\N	\N	\N
633065	2161	1997-09-10	VYDAJ	VYBER	30200	38470	\N	\N	\N
633066	2161	1997-10-10	VYDAJ	VYBER	12100	22632	\N	\N	\N
633067	2161	1997-11-09	VYDAJ	VYBER	3400	15467	\N	\N	\N
633068	2161	1998-01-08	VYDAJ	VYBER	3800	21201	\N	\N	\N
633069	2161	1998-02-07	PRIJEM	VKLAD	1400	18824	\N	\N	\N
633070	2161	1998-03-09	PRIJEM	VKLAD	1700	16720	\N	\N	\N
633071	2161	1998-04-08	PRIJEM	VKLAD	600	22569	\N	\N	\N
633072	2161	1998-05-08	VYDAJ	VYBER	100	18680	\N	\N	\N
633073	2161	1998-06-07	PRIJEM	VKLAD	1400	16280	\N	\N	\N
633074	2161	1998-07-07	VYDAJ	VYBER	1700	22182	\N	\N	\N
633075	2161	1998-08-06	PRIJEM	VKLAD	2300	20700	\N	\N	\N
633076	2161	1998-09-05	PRIJEM	VKLAD	1200	18105	\N	\N	\N
633077	2161	1998-10-05	VYDAJ	VYBER	5700	23171	\N	\N	\N
633078	2161	1998-11-04	VYDAJ	VYBER	4500	14895	\N	\N	\N
633139	2162	1997-11-21	PRIJEM	VKLAD	600	27491	\N	\N	\N
633152	2162	1997-12-03	PRIJEM	VKLAD	11111	38640	\N	\N	\N
633159	2162	1997-12-15	PRIJEM	VKLAD	49587	88227	\N	\N	\N
633164	2162	1997-11-21	PRIJEM	VKLAD	26891	26891	\N	\N	\N
633167	2162	1998-06-13	PRIJEM	VKLAD	17789	77288	\N	\N	\N
633168	2162	1998-08-23	PRIJEM	VKLAD	27530	54235	\N	\N	\N
633169	2162	1998-06-17	PRIJEM	VKLAD	27972	83563	\N	\N	\N
633170	2162	1998-11-17	PRIJEM	VKLAD	34470	53179	\N	\N	\N
633171	2162	1998-11-25	PRIJEM	VKLAD	48099	101278	\N	\N	\N
633172	2162	1998-10-13	PRIJEM	VKLAD	14542	68383	\N	\N	\N
633173	2162	1998-03-15	PRIJEM	VKLAD	39095	99079	\N	\N	\N
633174	2162	1998-09-29	PRIJEM	VKLAD	26688	62126	\N	\N	\N
633175	2162	1998-06-03	PRIJEM	VKLAD	42083	67967	\N	\N	\N
633176	2162	1998-01-08	PRIJEM	VKLAD	41655	98589	\N	\N	\N
633177	2162	1998-07-21	PRIJEM	VKLAD	24405	64404	\N	\N	\N
633178	2162	1998-02-22	PRIJEM	VKLAD	41131	68311	\N	\N	\N
633179	2162	1998-01-09	PRIJEM	VKLAD	6883	105472	\N	\N	\N
633192	2162	1998-01-10	VYDAJ	PREVOD NA UCET	8468	69404	SIPO	UV	68998408
633193	2162	1998-02-10	VYDAJ	PREVOD NA UCET	8468	20780	SIPO	UV	68998408
633194	2162	1998-03-10	VYDAJ	PREVOD NA UCET	8468	59984	SIPO	UV	68998408
633195	2162	1998-04-10	VYDAJ	PREVOD NA UCET	8468	56200	SIPO	UV	68998408
633196	2162	1998-05-10	VYDAJ	PREVOD NA UCET	8468	34454	SIPO	UV	68998408
633197	2162	1998-06-10	VYDAJ	PREVOD NA UCET	8468	59499	SIPO	UV	68998408
633198	2162	1998-07-10	VYDAJ	PREVOD NA UCET	8468	52499	SIPO	UV	68998408
633199	2162	1998-08-10	VYDAJ	PREVOD NA UCET	8468	28705	SIPO	UV	68998408
633200	2162	1998-09-10	VYDAJ	PREVOD NA UCET	8468	45938	SIPO	UV	68998408
633201	2162	1998-10-10	VYDAJ	PREVOD NA UCET	8468	53841	SIPO	UV	68998408
633202	2162	1998-11-10	VYDAJ	PREVOD NA UCET	8468	13409	SIPO	UV	68998408
633203	2162	1998-12-10	VYDAJ	PREVOD NA UCET	8468	92987	SIPO	UV	68998408
633208	2162	1998-01-16	VYBER	VYBER	6044	46260	\N	\N	\N
633210	2162	1998-10-22	VYBER	VYBER	22387	21696	\N	\N	\N
633211	2162	1998-06-15	VYBER	VYBER	21697	55591	\N	\N	\N
633212	2162	1998-08-09	VYBER	VYBER	22364	37173	\N	\N	\N
633218	2162	1998-12-26	VYDAJ	VYBER	8100	50487	\N	\N	\N
633225	2162	1998-01-14	VYDAJ	VYBER	6000	57404	\N	\N	\N
633226	2162	1998-01-19	VYDAJ	VYBER	4500	37260	\N	\N	\N
633227	2162	1998-01-15	VYDAJ	VYBER	5100	52304	\N	\N	\N
633228	2162	1998-01-11	VYDAJ	VYBER	6000	63404	\N	\N	\N
633229	2162	1998-01-18	VYDAJ	VYBER	4500	41760	\N	\N	\N
633235	2162	1998-02-08	VYDAJ	VYBER	3900	29248	\N	\N	\N
633236	2162	1998-05-18	VYDAJ	VYBER	13800	20654	\N	\N	\N
633237	2162	1998-01-27	VYDAJ	VYBER	1800	32960	\N	\N	\N
633239	2162	1998-07-23	VYDAJ	VYBER	5100	59304	\N	\N	\N
633253	2162	1998-01-31	VYDAJ	VYBER	15	33148	SLUZBY	\N	\N
633254	2162	1998-02-28	VYDAJ	VYBER	15	68452	SLUZBY	\N	\N
633255	2162	1998-03-31	VYDAJ	VYBER	15	64668	SLUZBY	\N	\N
633256	2162	1998-04-30	VYDAJ	VYBER	15	42922	SLUZBY	\N	\N
633257	2162	1998-05-31	VYDAJ	VYBER	15	25884	SLUZBY	\N	\N
633258	2162	1998-06-30	VYDAJ	VYBER	15	60967	SLUZBY	\N	\N
633259	2162	1998-07-31	VYDAJ	VYBER	15	59537	SLUZBY	\N	\N
633260	2162	1998-08-31	VYDAJ	VYBER	15	54406	SLUZBY	\N	\N
633261	2162	1998-09-30	VYDAJ	VYBER	15	62309	SLUZBY	\N	\N
633262	2162	1998-10-31	VYDAJ	VYBER	15	21877	SLUZBY	\N	\N
633263	2162	1998-11-30	VYDAJ	VYBER	15	101455	SLUZBY	\N	\N
633264	2162	1997-12-21	VYDAJ	VYBER	31500	56727	\N	\N	\N
633265	2162	1998-01-09	VYDAJ	VYBER	27600	77872	\N	\N	\N
633266	2162	1998-01-20	VYDAJ	VYBER	2500	34760	\N	\N	\N
633267	2162	1998-02-19	PRIJEM	VKLAD	6400	27180	\N	\N	\N
633268	2162	1998-03-21	VYDAJ	VYBER	34700	64379	\N	\N	\N
633269	2162	1998-04-20	VYDAJ	VYBER	13500	42700	\N	\N	\N
633270	2162	1998-05-20	PRIJEM	VKLAD	5100	25754	\N	\N	\N
633271	2162	1998-06-19	VYDAJ	VYBER	22800	60763	\N	\N	\N
633272	2162	1998-07-19	VYDAJ	VYBER	12500	39999	\N	\N	\N
633273	2162	1998-08-18	VYDAJ	VYBER	2000	26705	\N	\N	\N
633274	2162	1998-09-17	VYDAJ	VYBER	10500	35438	\N	\N	\N
633275	2162	1998-10-17	VYDAJ	VYBER	24300	44083	\N	\N	\N
633276	2162	1998-11-16	PRIJEM	VKLAD	5300	18709	\N	\N	\N
633277	2162	1998-12-16	VYDAJ	VYBER	34400	58587	\N	\N	\N
633292	2163	1995-01-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
633293	2163	1995-01-12	PRIJEM	VKLAD	18948	19948	\N	\N	\N
633294	2163	1995-02-12	PRIJEM	VKLAD	18948	39650	\N	\N	\N
633295	2163	1995-03-12	PRIJEM	VKLAD	18948	50831	\N	\N	\N
633296	2163	1995-04-12	PRIJEM	VKLAD	18948	55874	\N	\N	\N
633297	2163	1995-05-12	PRIJEM	VKLAD	18948	58247	\N	\N	\N
633298	2163	1995-06-12	PRIJEM	VKLAD	28422	65772	\N	\N	\N
633299	2163	1995-07-12	PRIJEM	VKLAD	18948	50222	\N	\N	\N
633300	2163	1995-08-12	PRIJEM	VKLAD	18948	47709	\N	\N	\N
633301	2163	1995-09-12	PRIJEM	VKLAD	18948	49634	\N	\N	\N
633302	2163	1995-10-12	PRIJEM	VKLAD	18948	48762	\N	\N	\N
633303	2163	1995-11-12	PRIJEM	VKLAD	18948	40988	\N	\N	\N
633304	2163	1995-12-12	PRIJEM	VKLAD	28422	53556	\N	\N	\N
633305	2163	1996-01-12	PRIJEM	VKLAD	18948	48743	\N	\N	\N
633306	2163	1996-02-12	PRIJEM	VKLAD	18948	45338	\N	\N	\N
633307	2163	1996-03-12	PRIJEM	VKLAD	18948	51233	\N	\N	\N
633308	2163	1996-04-12	PRIJEM	VKLAD	18948	50879	\N	\N	\N
633309	2163	1996-05-12	PRIJEM	VKLAD	18948	53597	\N	\N	\N
633310	2163	1996-06-12	PRIJEM	VKLAD	28422	66099	\N	\N	\N
633311	2163	1996-07-12	PRIJEM	VKLAD	18948	56798	\N	\N	\N
633312	2163	1996-08-12	PRIJEM	VKLAD	18948	51438	\N	\N	\N
633313	2163	1996-09-12	PRIJEM	VKLAD	18948	51555	\N	\N	\N
633314	2163	1996-10-12	PRIJEM	VKLAD	18948	56272	\N	\N	\N
633315	2163	1996-11-12	PRIJEM	VKLAD	18948	56604	\N	\N	\N
633316	2163	1996-12-12	PRIJEM	VKLAD	28422	63909	\N	\N	\N
633317	2163	1997-01-12	PRIJEM	VKLAD	18948	53715	\N	\N	\N
633318	2163	1997-02-12	PRIJEM	VKLAD	18948	53596	\N	\N	\N
633319	2163	1997-03-12	PRIJEM	VKLAD	18948	50635	\N	\N	\N
633320	2163	1997-04-12	PRIJEM	VKLAD	18948	48633	\N	\N	\N
633321	2163	1997-05-12	PRIJEM	VKLAD	18948	49131	\N	\N	\N
633322	2163	1997-06-12	PRIJEM	VKLAD	28422	51366	\N	\N	\N
633323	2163	1997-07-12	PRIJEM	VKLAD	18948	54876	\N	\N	\N
633324	2163	1997-08-12	PRIJEM	VKLAD	18948	51078	\N	\N	\N
633325	2163	1997-09-12	PRIJEM	VKLAD	18948	55692	\N	\N	\N
633326	2163	1997-10-12	PRIJEM	VKLAD	18948	56715	\N	\N	\N
633327	2163	1997-11-12	PRIJEM	VKLAD	18948	57525	\N	\N	\N
633328	2163	1997-12-12	PRIJEM	VKLAD	28422	67528	\N	\N	\N
633329	2163	1998-01-12	PRIJEM	VKLAD	18948	64956	\N	\N	\N
633330	2163	1998-02-12	PRIJEM	VKLAD	18948	53256	\N	\N	\N
633331	2163	1998-03-12	PRIJEM	VKLAD	18948	53962	\N	\N	\N
633332	2163	1998-04-12	PRIJEM	VKLAD	18948	53772	\N	\N	\N
633333	2163	1998-05-12	PRIJEM	VKLAD	18948	48149	\N	\N	\N
633334	2163	1998-06-12	PRIJEM	VKLAD	28422	59993	\N	\N	\N
633335	2163	1998-07-12	PRIJEM	VKLAD	18948	52397	\N	\N	\N
633336	2163	1998-08-12	PRIJEM	VKLAD	18948	46466	\N	\N	\N
633337	2163	1998-09-12	PRIJEM	VKLAD	18948	44134	\N	\N	\N
633338	2163	1998-10-12	PRIJEM	VKLAD	18948	46202	\N	\N	\N
633339	2163	1998-11-12	PRIJEM	VKLAD	18948	46573	\N	\N	\N
633340	2163	1998-12-12	PRIJEM	VKLAD	28422	56517	\N	\N	\N
633345	2163	1995-05-14	VYDAJ	PREVOD NA UCET	2403	55844	SIPO	KL	45403152
633346	2163	1995-06-14	VYDAJ	PREVOD NA UCET	2403	63369	SIPO	KL	45403152
633347	2163	1995-07-14	VYDAJ	PREVOD NA UCET	2403	47819	SIPO	KL	45403152
633348	2163	1995-08-14	VYDAJ	PREVOD NA UCET	2403	45306	SIPO	KL	45403152
633349	2163	1995-09-14	VYDAJ	PREVOD NA UCET	2403	47231	SIPO	KL	45403152
633350	2163	1995-10-14	VYDAJ	PREVOD NA UCET	2403	46359	SIPO	KL	45403152
633351	2163	1995-11-14	VYDAJ	PREVOD NA UCET	2403	38585	SIPO	KL	45403152
633352	2163	1995-12-14	VYDAJ	PREVOD NA UCET	2403	51153	SIPO	KL	45403152
633353	2163	1996-01-14	VYDAJ	PREVOD NA UCET	2403	46340	SIPO	KL	45403152
633354	2163	1996-02-14	VYDAJ	PREVOD NA UCET	2403	42935	SIPO	KL	45403152
633355	2163	1996-03-14	VYDAJ	PREVOD NA UCET	2403	43070	SIPO	KL	45403152
633356	2163	1996-04-14	VYDAJ	PREVOD NA UCET	2403	48476	SIPO	KL	45403152
633357	2163	1996-05-14	VYDAJ	PREVOD NA UCET	2403	51194	SIPO	KL	45403152
633358	2163	1996-06-14	VYDAJ	PREVOD NA UCET	2403	63696	SIPO	KL	45403152
633359	2163	1996-07-14	VYDAJ	PREVOD NA UCET	2403	54395	SIPO	KL	45403152
633360	2163	1996-08-14	VYDAJ	PREVOD NA UCET	2403	49035	SIPO	KL	45403152
633361	2163	1996-09-14	VYDAJ	PREVOD NA UCET	2403	49152	SIPO	KL	45403152
633362	2163	1996-10-14	VYDAJ	PREVOD NA UCET	2403	53869	SIPO	KL	45403152
633363	2163	1996-11-14	VYDAJ	PREVOD NA UCET	2403	54201	SIPO	KL	45403152
633364	2163	1996-12-14	VYDAJ	PREVOD NA UCET	2403	61506	SIPO	KL	45403152
633365	2163	1997-01-14	VYDAJ	PREVOD NA UCET	2403	51312	SIPO	KL	45403152
633366	2163	1997-02-14	VYDAJ	PREVOD NA UCET	2403	51193	SIPO	KL	45403152
633367	2163	1997-03-14	VYDAJ	PREVOD NA UCET	2403	48232	SIPO	KL	45403152
633368	2163	1997-04-14	VYDAJ	PREVOD NA UCET	2403	46230	SIPO	KL	45403152
633369	2163	1997-05-14	VYDAJ	PREVOD NA UCET	2403	46728	SIPO	KL	45403152
633370	2163	1997-06-14	VYDAJ	PREVOD NA UCET	2403	48963	SIPO	KL	45403152
633371	2163	1997-07-14	VYDAJ	PREVOD NA UCET	2403	52473	SIPO	KL	45403152
633372	2163	1997-08-14	VYDAJ	PREVOD NA UCET	2403	48675	SIPO	KL	45403152
633373	2163	1997-09-14	VYDAJ	PREVOD NA UCET	2403	53289	SIPO	KL	45403152
633374	2163	1997-10-14	VYDAJ	PREVOD NA UCET	2403	54312	SIPO	KL	45403152
633375	2163	1997-11-14	VYDAJ	PREVOD NA UCET	2403	55122	SIPO	KL	45403152
633376	2163	1997-12-14	VYDAJ	PREVOD NA UCET	2403	65125	SIPO	KL	45403152
633377	2163	1998-01-14	VYDAJ	PREVOD NA UCET	2403	62553	SIPO	KL	45403152
633378	2163	1998-02-14	VYDAJ	PREVOD NA UCET	2403	50853	SIPO	KL	45403152
633379	2163	1998-03-14	VYDAJ	PREVOD NA UCET	2403	51559	SIPO	KL	45403152
633380	2163	1998-04-14	VYDAJ	PREVOD NA UCET	2403	51369	SIPO	KL	45403152
633381	2163	1998-05-14	VYDAJ	PREVOD NA UCET	2403	45746	SIPO	KL	45403152
633382	2163	1998-06-14	VYDAJ	PREVOD NA UCET	2403	57590	SIPO	KL	45403152
633383	2163	1998-07-14	VYDAJ	PREVOD NA UCET	2403	49994	SIPO	KL	45403152
633384	2163	1998-08-14	VYDAJ	PREVOD NA UCET	2403	44063	SIPO	KL	45403152
633385	2163	1998-09-14	VYDAJ	PREVOD NA UCET	2403	41731	SIPO	KL	45403152
633386	2163	1998-10-14	VYDAJ	PREVOD NA UCET	2403	43799	SIPO	KL	45403152
633387	2163	1998-11-14	VYDAJ	PREVOD NA UCET	2403	44170	SIPO	KL	45403152
633388	2163	1998-12-14	VYDAJ	PREVOD NA UCET	2403	54114	SIPO	KL	45403152
633394	2163	1995-06-09	VYDAJ	PREVOD NA UCET	2791	37350	 	ST	64506924
633395	2163	1995-07-09	VYDAJ	PREVOD NA UCET	2791	31274	 	ST	64506924
633396	2163	1995-08-09	VYDAJ	PREVOD NA UCET	2791	29601	 	ST	64506924
633397	2163	1995-09-09	VYDAJ	PREVOD NA UCET	2791	30686	 	ST	64506924
633398	2163	1995-10-09	VYDAJ	PREVOD NA UCET	2791	29814	 	ST	64506924
633399	2163	1995-11-09	VYDAJ	PREVOD NA UCET	2791	22040	 	ST	64506924
633400	2163	1995-12-09	VYDAJ	PREVOD NA UCET	2791	25134	 	ST	64506924
633401	2163	1996-01-09	VYDAJ	PREVOD NA UCET	2791	32435	 	ST	64506924
633402	2163	1996-02-09	VYDAJ	PREVOD NA UCET	2791	26390	 	ST	64506924
633403	2163	1996-03-09	VYDAJ	PREVOD NA UCET	2791	32285	 	ST	64506924
633404	2163	1996-04-09	VYDAJ	PREVOD NA UCET	2791	31931	 	ST	64506924
633405	2163	1996-05-09	VYDAJ	PREVOD NA UCET	2791	34649	 	ST	64506924
633406	2163	1996-06-09	VYDAJ	PREVOD NA UCET	2791	37677	 	ST	64506924
633407	2163	1996-07-09	VYDAJ	PREVOD NA UCET	2791	40730	 	ST	64506924
633408	2163	1996-08-09	VYDAJ	PREVOD NA UCET	2791	32490	 	ST	64506924
633409	2163	1996-09-09	VYDAJ	PREVOD NA UCET	2791	32607	 	ST	64506924
633410	2163	1996-10-09	VYDAJ	PREVOD NA UCET	2791	37324	 	ST	64506924
633411	2163	1996-11-09	VYDAJ	PREVOD NA UCET	2791	37656	 	ST	64506924
633412	2163	1996-12-09	VYDAJ	PREVOD NA UCET	2791	35487	 	ST	64506924
633413	2163	1997-01-09	VYDAJ	PREVOD NA UCET	2791	34767	 	ST	64506924
633414	2163	1997-02-09	VYDAJ	PREVOD NA UCET	2791	34648	 	ST	64506924
633415	2163	1997-03-09	VYDAJ	PREVOD NA UCET	2791	31687	 	ST	64506924
633416	2163	1997-04-09	VYDAJ	PREVOD NA UCET	2791	29685	 	ST	64506924
633417	2163	1997-05-09	VYDAJ	PREVOD NA UCET	2791	30183	 	ST	64506924
633418	2163	1997-06-09	VYDAJ	PREVOD NA UCET	2791	33184	 	ST	64506924
633419	2163	1997-07-09	VYDAJ	PREVOD NA UCET	2791	35928	 	ST	64506924
633420	2163	1997-08-09	VYDAJ	PREVOD NA UCET	2791	37050	 	ST	64506924
633421	2163	1997-09-09	VYDAJ	PREVOD NA UCET	2791	36744	 	ST	64506924
633422	2163	1997-10-09	VYDAJ	PREVOD NA UCET	2791	37767	 	ST	64506924
633423	2163	1997-11-09	VYDAJ	PREVOD NA UCET	2791	38577	 	ST	64506924
633424	2163	1997-12-09	VYDAJ	PREVOD NA UCET	2791	39106	 	ST	64506924
633425	2163	1998-01-09	VYDAJ	PREVOD NA UCET	2791	46008	 	ST	64506924
633426	2163	1998-02-09	VYDAJ	PREVOD NA UCET	2791	34308	 	ST	64506924
633427	2163	1998-03-09	VYDAJ	PREVOD NA UCET	2791	35014	 	ST	64506924
633428	2163	1998-04-09	VYDAJ	PREVOD NA UCET	2791	34824	 	ST	64506924
633429	2163	1998-05-09	VYDAJ	PREVOD NA UCET	2791	29201	 	ST	64506924
633430	2163	1998-06-09	VYDAJ	PREVOD NA UCET	2791	31571	 	ST	64506924
633431	2163	1998-07-09	VYDAJ	PREVOD NA UCET	2791	33449	 	ST	64506924
633432	2163	1998-08-09	VYDAJ	PREVOD NA UCET	2791	27518	 	ST	64506924
633433	2163	1998-09-09	VYDAJ	PREVOD NA UCET	2791	25186	 	ST	64506924
633434	2163	1998-10-09	VYDAJ	PREVOD NA UCET	2791	27254	 	ST	64506924
633435	2163	1998-11-09	VYDAJ	PREVOD NA UCET	2791	27625	 	ST	64506924
633436	2163	1998-12-09	VYDAJ	PREVOD NA UCET	2791	28095	 	ST	64506924
633437	2163	1995-06-19	VYDAJ	VYBER	16480	46889	\N	\N	\N
633439	2163	1997-06-10	VYDAJ	VYBER	7840	22944	\N	\N	\N
633447	2163	1996-01-09	VYDAJ	VYBER	960	31475	\N	\N	\N
633448	2163	1996-01-14	VYDAJ	VYBER	1440	44900	\N	\N	\N
633449	2163	1996-01-10	VYDAJ	VYBER	1680	29795	\N	\N	\N
633450	2163	1996-01-22	VYDAJ	VYBER	1800	34940	\N	\N	\N
633451	2163	1996-01-18	VYDAJ	VYBER	2280	42620	\N	\N	\N
633452	2163	1996-01-28	VYDAJ	VYBER	600	34340	\N	\N	\N
633453	2163	1997-01-06	VYDAJ	VYBER	1200	42598	\N	\N	\N
633454	2163	1997-01-07	VYDAJ	VYBER	3480	39118	\N	\N	\N
633455	2163	1997-01-08	VYDAJ	VYBER	1560	37558	\N	\N	\N
633456	2163	1997-01-19	VYDAJ	VYBER	3000	48312	\N	\N	\N
633457	2163	1997-01-29	VYDAJ	VYBER	1440	37272	\N	\N	\N
633458	2163	1997-01-05	VYDAJ	VYBER	1200	43798	\N	\N	\N
633459	2163	1998-01-17	VYDAJ	VYBER	2880	59673	\N	\N	\N
633460	2163	1998-01-28	VYDAJ	VYBER	1680	36913	\N	\N	\N
633461	2163	1998-01-27	VYDAJ	VYBER	3480	38593	\N	\N	\N
633462	2163	1998-01-22	VYDAJ	VYBER	600	43873	\N	\N	\N
633463	2163	1998-01-26	VYDAJ	VYBER	600	42073	\N	\N	\N
633464	2163	1998-01-25	VYDAJ	VYBER	1200	42673	\N	\N	\N
633466	2163	1995-08-10	VYDAJ	VYBER	840	28761	\N	\N	\N
633467	2163	1995-06-22	VYDAJ	VYBER	4920	41969	\N	\N	\N
633468	2163	1995-05-22	VYDAJ	VYBER	1320	54524	\N	\N	\N
633469	2163	1995-10-28	VYDAJ	VYBER	2520	43839	\N	\N	\N
633470	2163	1995-11-07	VYDAJ	VYBER	4680	24831	\N	\N	\N
633471	2163	1996-01-20	VYDAJ	VYBER	5880	36740	\N	\N	\N
633472	2163	1996-08-08	VYDAJ	VYBER	3000	35281	\N	\N	\N
633473	2163	1996-06-15	VYDAJ	VYBER	1080	62616	\N	\N	\N
633474	2163	1996-07-10	VYDAJ	VYBER	2880	37850	\N	\N	\N
633475	2163	1996-03-13	VYDAJ	VYBER	5760	45473	\N	\N	\N
633476	2163	1997-12-17	VYDAJ	VYBER	1320	63805	\N	\N	\N
633477	2163	1997-08-10	VYDAJ	VYBER	4920	32130	\N	\N	\N
633478	2163	1997-02-28	VYDAJ	VYBER	5280	34492	\N	\N	\N
633479	2163	1997-10-03	VYDAJ	VYBER	1200	40558	\N	\N	\N
633480	2163	1997-11-04	VYDAJ	VYBER	3120	41368	\N	\N	\N
633481	2163	1997-03-16	VYDAJ	VYBER	5400	42832	\N	\N	\N
633482	2163	1997-06-10	VYDAJ	VYBER	2400	30784	\N	\N	\N
633483	2163	1998-07-21	VYDAJ	VYBER	1920	30174	\N	\N	\N
633484	2163	1998-04-17	VYDAJ	VYBER	3720	47649	\N	\N	\N
633485	2163	1998-09-26	VYDAJ	VYBER	1800	29931	\N	\N	\N
633486	2163	1998-06-04	VYDAJ	VYBER	1440	34362	\N	\N	\N
633487	2163	1998-05-17	VYDAJ	VYBER	1080	44666	\N	\N	\N
633493	2163	1995-05-31	VYDAJ	VYBER	15	54741	SLUZBY	\N	\N
633494	2163	1995-06-30	VYDAJ	VYBER	15	42165	SLUZBY	\N	\N
633495	2163	1995-07-31	VYDAJ	VYBER	15	47992	SLUZBY	\N	\N
633496	2163	1995-08-31	VYDAJ	VYBER	15	45477	SLUZBY	\N	\N
633497	2163	1995-09-30	VYDAJ	VYBER	15	47405	SLUZBY	\N	\N
633498	2163	1995-10-31	VYDAJ	VYBER	15	44011	SLUZBY	\N	\N
633499	2163	1995-11-30	VYDAJ	VYBER	15	38725	SLUZBY	\N	\N
633500	2163	1995-12-31	VYDAJ	VYBER	15	35226	SLUZBY	\N	\N
633501	2163	1996-01-31	VYDAJ	VYBER	15	29181	SLUZBY	\N	\N
633502	2163	1996-02-29	VYDAJ	VYBER	15	35076	SLUZBY	\N	\N
633503	2163	1996-03-31	VYDAJ	VYBER	15	34722	SLUZBY	\N	\N
633504	2163	1996-04-30	VYDAJ	VYBER	15	37440	SLUZBY	\N	\N
633505	2163	1996-05-31	VYDAJ	VYBER	15	40468	SLUZBY	\N	\N
633506	2163	1996-06-30	VYDAJ	VYBER	15	43521	SLUZBY	\N	\N
633507	2163	1996-07-31	VYDAJ	VYBER	15	38281	SLUZBY	\N	\N
633508	2163	1996-08-31	VYDAJ	VYBER	15	35398	SLUZBY	\N	\N
633509	2163	1996-09-30	VYDAJ	VYBER	15	40115	SLUZBY	\N	\N
633510	2163	1996-10-31	VYDAJ	VYBER	15	40447	SLUZBY	\N	\N
633511	2163	1996-11-30	VYDAJ	VYBER	15	38278	SLUZBY	\N	\N
633512	2163	1996-12-31	VYDAJ	VYBER	15	44998	SLUZBY	\N	\N
633513	2163	1997-01-31	VYDAJ	VYBER	15	37439	SLUZBY	\N	\N
633514	2163	1997-02-28	VYDAJ	VYBER	15	34478	SLUZBY	\N	\N
633515	2163	1997-03-31	VYDAJ	VYBER	15	32476	SLUZBY	\N	\N
633516	2163	1997-04-30	VYDAJ	VYBER	15	32974	SLUZBY	\N	\N
633517	2163	1997-05-31	VYDAJ	VYBER	15	35975	SLUZBY	\N	\N
633518	2163	1997-06-30	VYDAJ	VYBER	15	38719	SLUZBY	\N	\N
633519	2163	1997-07-31	VYDAJ	VYBER	15	39841	SLUZBY	\N	\N
633520	2163	1997-08-31	VYDAJ	VYBER	15	39535	SLUZBY	\N	\N
633521	2163	1997-09-30	VYDAJ	VYBER	15	41758	SLUZBY	\N	\N
633522	2163	1997-10-31	VYDAJ	VYBER	15	44488	SLUZBY	\N	\N
633523	2163	1997-11-30	VYDAJ	VYBER	15	41897	SLUZBY	\N	\N
633524	2163	1997-12-31	VYDAJ	VYBER	15	48799	SLUZBY	\N	\N
633525	2163	1998-01-31	VYDAJ	VYBER	15	37099	SLUZBY	\N	\N
633526	2163	1998-02-28	VYDAJ	VYBER	15	37805	SLUZBY	\N	\N
633527	2163	1998-03-31	VYDAJ	VYBER	15	37615	SLUZBY	\N	\N
633528	2163	1998-04-30	VYDAJ	VYBER	15	31992	SLUZBY	\N	\N
633529	2163	1998-05-31	VYDAJ	VYBER	15	35802	SLUZBY	\N	\N
633530	2163	1998-06-30	VYDAJ	VYBER	15	36240	SLUZBY	\N	\N
633531	2163	1998-07-31	VYDAJ	VYBER	15	30309	SLUZBY	\N	\N
633532	2163	1998-08-31	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
633533	2163	1998-09-30	VYDAJ	VYBER	15	30045	SLUZBY	\N	\N
633534	2163	1998-10-31	VYDAJ	VYBER	15	30416	SLUZBY	\N	\N
633535	2163	1998-11-30	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
633536	2163	1995-02-04	PRIJEM	VKLAD	700	20702	\N	\N	\N
633537	2163	1995-03-06	VYDAJ	VYBER	7900	31883	\N	\N	\N
633538	2163	1995-04-05	VYDAJ	VYBER	14100	36926	\N	\N	\N
633539	2163	1995-05-05	VYDAJ	VYBER	16800	39299	\N	\N	\N
633540	2163	1995-06-04	VYDAJ	VYBER	14600	40141	\N	\N	\N
633541	2163	1995-07-04	VYDAJ	VYBER	8100	34065	\N	\N	\N
633542	2163	1995-08-03	VYDAJ	VYBER	15600	32392	\N	\N	\N
633543	2163	1995-09-02	VYDAJ	VYBER	12000	33477	\N	\N	\N
633544	2163	1995-10-02	VYDAJ	VYBER	14800	32605	\N	\N	\N
633545	2163	1995-11-01	VYDAJ	VYBER	14500	29511	\N	\N	\N
633546	2163	1995-12-01	VYDAJ	VYBER	10800	27925	\N	\N	\N
633547	2163	1995-12-31	VYDAJ	VYBER	16100	35241	\N	\N	\N
633548	2163	1996-01-30	VYDAJ	VYBER	5300	29040	\N	\N	\N
633549	2163	1996-02-29	VYDAJ	VYBER	8000	35091	\N	\N	\N
633550	2163	1996-03-30	VYDAJ	VYBER	8500	34570	\N	\N	\N
633551	2163	1996-04-29	VYDAJ	VYBER	11200	37276	\N	\N	\N
633552	2163	1996-05-29	VYDAJ	VYBER	10900	40294	\N	\N	\N
633553	2163	1996-06-28	VYDAJ	VYBER	19300	43316	\N	\N	\N
633554	2163	1996-07-28	VYDAJ	VYBER	16300	38095	\N	\N	\N
633555	2163	1996-08-27	VYDAJ	VYBER	13800	35235	\N	\N	\N
633556	2163	1996-09-26	VYDAJ	VYBER	9200	39952	\N	\N	\N
633557	2163	1996-10-26	VYDAJ	VYBER	13600	40269	\N	\N	\N
633558	2163	1996-11-25	VYDAJ	VYBER	16100	38101	\N	\N	\N
633559	2163	1996-12-25	VYDAJ	VYBER	16700	44806	\N	\N	\N
633560	2163	1997-01-24	VYDAJ	VYBER	9600	38712	\N	\N	\N
633561	2163	1997-02-23	VYDAJ	VYBER	11600	39593	\N	\N	\N
633562	2163	1997-03-25	VYDAJ	VYBER	10500	32332	\N	\N	\N
633563	2163	1997-04-24	VYDAJ	VYBER	13400	32830	\N	\N	\N
633564	2163	1997-05-24	VYDAJ	VYBER	10900	35828	\N	\N	\N
633565	2163	1997-06-23	VYDAJ	VYBER	10400	38563	\N	\N	\N
633566	2163	1997-07-23	VYDAJ	VYBER	12800	39673	\N	\N	\N
633567	2163	1997-08-22	VYDAJ	VYBER	9300	39375	\N	\N	\N
633568	2163	1997-09-21	VYDAJ	VYBER	11700	41589	\N	\N	\N
633569	2163	1997-10-21	VYDAJ	VYBER	10000	44312	\N	\N	\N
633570	2163	1997-11-20	VYDAJ	VYBER	13400	41722	\N	\N	\N
633571	2163	1997-12-20	VYDAJ	VYBER	15200	48605	\N	\N	\N
633572	2163	1998-01-19	VYDAJ	VYBER	15200	44473	\N	\N	\N
633573	2163	1998-02-18	VYDAJ	VYBER	13200	37653	\N	\N	\N
633574	2163	1998-03-20	VYDAJ	VYBER	14100	37459	\N	\N	\N
633575	2163	1998-04-19	VYDAJ	VYBER	15800	31849	\N	\N	\N
633576	2163	1998-05-19	VYDAJ	VYBER	9000	35666	\N	\N	\N
633577	2163	1998-06-18	VYDAJ	VYBER	21500	36090	\N	\N	\N
633578	2163	1998-07-18	VYDAJ	VYBER	17900	32094	\N	\N	\N
633579	2163	1998-08-17	VYDAJ	VYBER	16200	27863	\N	\N	\N
633580	2163	1998-09-16	VYDAJ	VYBER	10000	31731	\N	\N	\N
633581	2163	1998-10-16	VYDAJ	VYBER	13500	30299	\N	\N	\N
633582	2163	1998-11-15	VYDAJ	VYBER	13400	30770	\N	\N	\N
633631	2164	1996-09-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
633641	2164	1996-10-08	PRIJEM	VKLAD	21633	22633	\N	\N	\N
633642	2164	1996-11-08	PRIJEM	VKLAD	21633	43725	\N	\N	\N
633643	2164	1996-12-08	PRIJEM	VKLAD	32450	69107	\N	\N	\N
633644	2164	1997-01-08	PRIJEM	VKLAD	21633	68521	\N	\N	\N
633645	2164	1997-02-08	PRIJEM	VKLAD	21633	64737	\N	\N	\N
633646	2164	1997-03-08	PRIJEM	VKLAD	21633	57664	\N	\N	\N
633647	2164	1997-04-08	PRIJEM	VKLAD	21633	54571	\N	\N	\N
633648	2164	1997-05-08	PRIJEM	VKLAD	21633	52269	\N	\N	\N
633649	2164	1997-06-08	PRIJEM	VKLAD	32450	56629	\N	\N	\N
633650	2164	1997-07-08	PRIJEM	VKLAD	21633	54411	\N	\N	\N
633651	2164	1997-08-08	PRIJEM	VKLAD	21633	54322	\N	\N	\N
633652	2164	1997-09-08	PRIJEM	VKLAD	21633	49334	\N	\N	\N
633653	2164	1997-10-08	PRIJEM	VKLAD	21633	54968	\N	\N	\N
633654	2164	1997-11-08	PRIJEM	VKLAD	21633	57430	\N	\N	\N
633655	2164	1997-12-08	PRIJEM	VKLAD	32450	71582	\N	\N	\N
633656	2164	1998-01-08	PRIJEM	VKLAD	21633	66801	\N	\N	\N
633657	2164	1998-02-08	PRIJEM	VKLAD	21633	58192	\N	\N	\N
633658	2164	1998-03-08	PRIJEM	VKLAD	21633	60073	\N	\N	\N
633659	2164	1998-04-08	PRIJEM	VKLAD	21633	59369	\N	\N	\N
633660	2164	1998-05-08	PRIJEM	VKLAD	21633	60450	\N	\N	\N
633661	2164	1998-06-08	PRIJEM	VKLAD	32450	70387	\N	\N	\N
633662	2164	1998-07-08	PRIJEM	VKLAD	21633	69017	\N	\N	\N
633663	2164	1998-08-08	PRIJEM	VKLAD	21633	68239	\N	\N	\N
633664	2164	1998-09-08	PRIJEM	VKLAD	21633	71461	\N	\N	\N
633665	2164	1998-10-08	PRIJEM	VKLAD	21633	71994	\N	\N	\N
633666	2164	1998-11-08	PRIJEM	VKLAD	21633	74330	\N	\N	\N
633667	2164	1998-12-08	PRIJEM	VKLAD	32450	86792	\N	\N	\N
633681	2164	1997-02-11	VYDAJ	PREVOD NA UCET	7552	35885	SIPO	WX	68996095
633682	2164	1997-03-11	VYDAJ	PREVOD NA UCET	7552	50112	SIPO	WX	68996095
633683	2164	1997-04-11	VYDAJ	PREVOD NA UCET	7552	30519	SIPO	WX	68996095
633684	2164	1997-05-11	VYDAJ	PREVOD NA UCET	7552	27917	SIPO	WX	68996095
633685	2164	1997-06-11	VYDAJ	PREVOD NA UCET	7552	35177	SIPO	WX	68996095
633686	2164	1997-07-11	VYDAJ	PREVOD NA UCET	7552	33759	SIPO	WX	68996095
633687	2164	1997-08-11	VYDAJ	PREVOD NA UCET	7552	33070	SIPO	WX	68996095
633688	2164	1997-09-11	VYDAJ	PREVOD NA UCET	7552	41782	SIPO	WX	68996095
633689	2164	1997-10-11	VYDAJ	PREVOD NA UCET	7552	47416	SIPO	WX	68996095
633690	2164	1997-11-11	VYDAJ	PREVOD NA UCET	7552	49878	SIPO	WX	68996095
633691	2164	1997-12-11	VYDAJ	PREVOD NA UCET	7552	64030	SIPO	WX	68996095
633692	2164	1998-01-11	VYDAJ	PREVOD NA UCET	7552	55529	SIPO	WX	68996095
633693	2164	1998-02-11	VYDAJ	PREVOD NA UCET	7552	50640	SIPO	WX	68996095
633694	2164	1998-03-11	VYDAJ	PREVOD NA UCET	7552	52521	SIPO	WX	68996095
633695	2164	1998-04-11	VYDAJ	PREVOD NA UCET	7552	51817	SIPO	WX	68996095
633696	2164	1998-05-11	VYDAJ	PREVOD NA UCET	7552	52898	SIPO	WX	68996095
633697	2164	1998-06-11	VYDAJ	PREVOD NA UCET	7552	62835	SIPO	WX	68996095
633698	2164	1998-07-11	VYDAJ	PREVOD NA UCET	7552	61465	SIPO	WX	68996095
633699	2164	1998-08-11	VYDAJ	PREVOD NA UCET	7552	60687	SIPO	WX	68996095
633700	2164	1998-09-11	VYDAJ	PREVOD NA UCET	7552	63909	SIPO	WX	68996095
633701	2164	1998-10-11	VYDAJ	PREVOD NA UCET	7552	64442	SIPO	WX	68996095
633702	2164	1998-11-11	VYDAJ	PREVOD NA UCET	7552	66778	SIPO	WX	68996095
633703	2164	1998-12-11	VYDAJ	PREVOD NA UCET	7552	79240	SIPO	WX	68996095
633705	2164	1997-12-28	VYDAJ	VYBER	1760	62270	\N	\N	\N
633706	2164	1998-12-25	VYDAJ	VYBER KARTOU	1400	77840	\N	\N	0
633719	2164	1998-01-06	VYDAJ	VYBER	840	45168	\N	\N	\N
633720	2164	1998-01-02	VYDAJ	VYBER	3360	58308	\N	\N	\N
633721	2164	1998-01-23	VYDAJ	VYBER	1920	53609	\N	\N	\N
633722	2164	1998-01-11	VYDAJ	VYBER	1800	65001	\N	\N	\N
633723	2164	1998-01-11	VYDAJ	VYBER	1920	63081	\N	\N	\N
633724	2164	1998-01-01	VYDAJ	VYBER	840	61668	\N	\N	\N
633728	2164	1997-09-02	VYDAJ	VYBER	1800	31401	\N	\N	\N
633729	2164	1997-12-01	VYDAJ	VYBER	4440	45632	\N	\N	\N
633730	2164	1997-05-25	VYDAJ	VYBER	3840	24077	\N	\N	\N
633731	2164	1997-07-13	VYDAJ	VYBER	1200	32559	\N	\N	\N
633732	2164	1997-07-01	VYDAJ	VYBER	2520	32778	\N	\N	\N
633733	2164	1998-06-30	VYDAJ	VYBER	4680	58399	\N	\N	\N
633734	2164	1998-05-21	VYDAJ	VYBER	5160	47738	\N	\N	\N
633735	2164	1998-01-29	VYDAJ	VYBER	2880	50729	\N	\N	\N
633736	2164	1998-03-17	VYDAJ	VYBER	5280	47241	\N	\N	\N
633737	2164	1998-06-01	VYDAJ	VYBER KARTOU	2600	45338	\N	\N	0
633752	2164	1997-02-28	VYDAJ	VYBER	15	36031	SLUZBY	\N	\N
633753	2164	1997-03-31	VYDAJ	VYBER	15	32938	SLUZBY	\N	\N
633754	2164	1997-04-30	VYDAJ	VYBER	15	30636	SLUZBY	\N	\N
633755	2164	1997-05-31	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
633756	2164	1997-06-30	VYDAJ	VYBER	15	35298	SLUZBY	\N	\N
633757	2164	1997-07-31	VYDAJ	VYBER	15	32689	SLUZBY	\N	\N
633758	2164	1997-08-31	VYDAJ	VYBER	15	33201	SLUZBY	\N	\N
633759	2164	1997-09-30	VYDAJ	VYBER	15	41935	SLUZBY	\N	\N
633760	2164	1997-10-31	VYDAJ	VYBER	15	47597	SLUZBY	\N	\N
633761	2164	1997-11-30	VYDAJ	VYBER	15	50072	SLUZBY	\N	\N
633762	2164	1997-12-31	VYDAJ	VYBER	15	62508	SLUZBY	\N	\N
633763	2164	1998-01-31	VYDAJ	VYBER	15	50959	SLUZBY	\N	\N
633764	2164	1998-02-28	VYDAJ	VYBER	15	50840	SLUZBY	\N	\N
633765	2164	1998-03-31	VYDAJ	VYBER	15	47436	SLUZBY	\N	\N
633766	2164	1998-04-30	VYDAJ	VYBER	15	52017	SLUZBY	\N	\N
633767	2164	1998-05-31	VYDAJ	VYBER	15	47938	SLUZBY	\N	\N
633768	2164	1998-06-30	VYDAJ	VYBER	15	58384	SLUZBY	\N	\N
633769	2164	1998-07-31	VYDAJ	VYBER	15	61706	SLUZBY	\N	\N
633770	2164	1998-08-31	VYDAJ	VYBER	15	60928	SLUZBY	\N	\N
633771	2164	1998-09-30	VYDAJ	VYBER	15	64161	SLUZBY	\N	\N
633772	2164	1998-10-31	VYDAJ	VYBER	15	64697	SLUZBY	\N	\N
633773	2164	1998-11-30	VYDAJ	VYBER	15	67042	SLUZBY	\N	\N
633774	2164	1996-10-12	VYDAJ	VYBER	600	22033	\N	\N	\N
633775	2164	1996-11-11	VYDAJ	VYBER	7200	36525	\N	\N	\N
633776	2164	1996-12-11	VYDAJ	VYBER	22400	46707	\N	\N	\N
633777	2164	1997-01-10	VYDAJ	VYBER	25600	42921	\N	\N	\N
633778	2164	1997-02-09	VYDAJ	VYBER	21300	43437	\N	\N	\N
633779	2164	1997-03-11	VYDAJ	VYBER	17300	32812	\N	\N	\N
633780	2164	1997-04-10	VYDAJ	VYBER	16500	38071	\N	\N	\N
633781	2164	1997-05-10	VYDAJ	VYBER	16800	35469	\N	\N	\N
633782	2164	1997-06-09	VYDAJ	VYBER	13900	42729	\N	\N	\N
633783	2164	1997-07-09	VYDAJ	VYBER	13100	41311	\N	\N	\N
633784	2164	1997-08-08	VYDAJ	VYBER	13700	40622	\N	\N	\N
633785	2164	1997-09-07	VYDAJ	VYBER	3700	27701	\N	\N	\N
633786	2164	1997-10-07	VYDAJ	VYBER	8600	33335	\N	\N	\N
633787	2164	1997-11-06	VYDAJ	VYBER	11800	35797	\N	\N	\N
633788	2164	1997-12-06	VYDAJ	VYBER	6500	39132	\N	\N	\N
633789	2164	1998-01-05	VYDAJ	VYBER	12300	46008	\N	\N	\N
633790	2164	1998-02-04	VYDAJ	VYBER	14400	36559	\N	\N	\N
633791	2164	1998-03-06	VYDAJ	VYBER	12400	38440	\N	\N	\N
633792	2164	1998-04-05	VYDAJ	VYBER	9700	37736	\N	\N	\N
633793	2164	1998-05-05	VYDAJ	VYBER	13200	38817	\N	\N	\N
633794	2164	1998-06-04	VYDAJ	VYBER	7400	37938	\N	\N	\N
633795	2164	1998-07-04	VYDAJ	VYBER	11000	47384	\N	\N	\N
633796	2164	1998-08-03	VYDAJ	VYBER	15100	46606	\N	\N	\N
633797	2164	1998-09-02	VYDAJ	VYBER	11100	49828	\N	\N	\N
633798	2164	1998-10-02	VYDAJ	VYBER	13800	50361	\N	\N	\N
633799	2164	1998-11-01	VYDAJ	VYBER	12000	52697	\N	\N	\N
633800	2164	1998-12-01	VYDAJ	VYBER	12700	54342	\N	\N	\N
633828	2165	1997-04-08	PRIJEM	VKLAD	800	800	\N	\N	\N
633832	2165	1997-04-13	PRIJEM	PREVOD Z UCTU	19649	20449	\N	MN	20162022
633833	2165	1997-05-13	PRIJEM	PREVOD Z UCTU	19649	41449	\N	MN	20162022
633834	2165	1997-06-13	PRIJEM	PREVOD Z UCTU	29474	63662	\N	MN	20162022
633835	2165	1997-07-13	PRIJEM	PREVOD Z UCTU	19649	65739	\N	MN	20162022
633836	2165	1997-08-13	PRIJEM	PREVOD Z UCTU	19649	67059	\N	MN	20162022
633837	2165	1997-09-13	PRIJEM	PREVOD Z UCTU	19649	52103	\N	MN	20162022
633838	2165	1997-10-13	PRIJEM	PREVOD Z UCTU	19649	35910	\N	MN	20162022
633839	2165	1997-11-13	PRIJEM	PREVOD Z UCTU	19649	31685	\N	MN	20162022
633840	2165	1997-12-13	PRIJEM	PREVOD Z UCTU	29474	47988	\N	MN	20162022
633841	2165	1998-01-13	PRIJEM	PREVOD Z UCTU	19649	39617	\N	MN	20162022
633842	2165	1998-02-13	PRIJEM	PREVOD Z UCTU	19649	31518	\N	MN	20162022
633843	2165	1998-03-13	PRIJEM	PREVOD Z UCTU	19649	29760	\N	MN	20162022
633844	2165	1998-04-13	PRIJEM	PREVOD Z UCTU	19649	30629	\N	MN	20162022
633845	2165	1998-05-13	PRIJEM	PREVOD Z UCTU	19649	32009	\N	MN	20162022
633846	2165	1998-06-13	PRIJEM	PREVOD Z UCTU	29474	44619	\N	MN	20162022
633847	2165	1998-07-13	PRIJEM	PREVOD Z UCTU	19649	38119	\N	MN	20162022
633848	2165	1998-08-13	PRIJEM	PREVOD Z UCTU	19649	31930	\N	MN	20162022
633849	2165	1998-09-13	PRIJEM	PREVOD Z UCTU	19649	35811	\N	MN	20162022
633850	2165	1998-10-13	PRIJEM	PREVOD Z UCTU	19649	32930	\N	MN	20162022
633851	2165	1998-11-13	PRIJEM	PREVOD Z UCTU	19649	37225	\N	MN	20162022
633852	2165	1998-12-13	PRIJEM	PREVOD Z UCTU	29474	42460	\N	MN	20162022
633861	2165	1997-09-12	VYDAJ	PREVOD NA UCET	3275	32454	UVER	CD	40212154
633862	2165	1997-10-12	VYDAJ	PREVOD NA UCET	3275	16261	UVER	CD	40212154
633863	2165	1997-11-12	VYDAJ	PREVOD NA UCET	3275	12036	UVER	CD	40212154
633864	2165	1997-12-12	VYDAJ	PREVOD NA UCET	3275	18514	UVER	CD	40212154
633865	2165	1998-01-12	VYDAJ	PREVOD NA UCET	3275	19968	UVER	CD	40212154
633866	2165	1998-02-12	VYDAJ	PREVOD NA UCET	3275	11869	UVER	CD	40212154
633867	2165	1998-03-12	VYDAJ	PREVOD NA UCET	3275	10111	UVER	CD	40212154
633868	2165	1998-04-12	VYDAJ	PREVOD NA UCET	3275	10980	UVER	CD	40212154
633869	2165	1998-05-12	VYDAJ	PREVOD NA UCET	3275	12360	UVER	CD	40212154
633870	2165	1998-06-12	VYDAJ	PREVOD NA UCET	3275	15145	UVER	CD	40212154
633871	2165	1998-07-12	VYDAJ	PREVOD NA UCET	3275	18470	UVER	CD	40212154
633872	2165	1998-08-12	VYDAJ	PREVOD NA UCET	3275	12281	UVER	CD	40212154
633873	2165	1998-09-12	VYDAJ	PREVOD NA UCET	3275	16162	UVER	CD	40212154
633874	2165	1998-10-12	VYDAJ	PREVOD NA UCET	3275	13281	UVER	CD	40212154
633875	2165	1998-11-12	VYDAJ	PREVOD NA UCET	3275	17576	UVER	CD	40212154
633876	2165	1998-12-12	VYDAJ	PREVOD NA UCET	3275	12986	UVER	CD	40212154
633885	2165	1997-09-07	VYDAJ	PREVOD NA UCET	12493	35728	SIPO	IJ	83407926
633886	2165	1997-10-07	VYDAJ	PREVOD NA UCET	12493	19536	SIPO	IJ	83407926
633887	2165	1997-11-07	VYDAJ	PREVOD NA UCET	12493	15310	SIPO	IJ	83407926
633888	2165	1997-12-07	VYDAJ	PREVOD NA UCET	12493	21789	SIPO	IJ	83407926
633889	2165	1998-01-07	VYDAJ	PREVOD NA UCET	12493	27443	SIPO	IJ	83407926
633890	2165	1998-02-07	VYDAJ	PREVOD NA UCET	12493	15144	SIPO	IJ	83407926
633891	2165	1998-03-07	VYDAJ	PREVOD NA UCET	12493	13385	SIPO	IJ	83407926
633892	2165	1998-04-07	VYDAJ	PREVOD NA UCET	12493	14255	SIPO	IJ	83407926
633893	2165	1998-05-07	VYDAJ	PREVOD NA UCET	12493	15634	SIPO	IJ	83407926
633894	2165	1998-06-07	VYDAJ	PREVOD NA UCET	12493	18420	SIPO	IJ	83407926
633895	2165	1998-07-07	VYDAJ	PREVOD NA UCET	12493	21745	SIPO	IJ	83407926
633896	2165	1998-08-07	VYDAJ	PREVOD NA UCET	12493	15555	SIPO	IJ	83407926
633897	2165	1998-09-07	VYDAJ	PREVOD NA UCET	12493	19437	SIPO	IJ	83407926
633898	2165	1998-10-07	VYDAJ	PREVOD NA UCET	12493	16555	SIPO	IJ	83407926
633899	2165	1998-11-07	VYDAJ	PREVOD NA UCET	12493	20850	SIPO	IJ	83407926
633900	2165	1998-12-07	VYDAJ	PREVOD NA UCET	12493	16261	SIPO	IJ	83407926
633901	2165	1997-09-28	VYBER	VYBER	24265	27838	\N	\N	\N
633906	2165	1998-07-20	VYBER	VYBER	11879	26240	\N	\N	\N
633911	2165	1998-02-22	VYBER	VYBER	10524	20994	\N	\N	\N
633913	2165	1998-09-17	VYBER	VYBER	12764	23047	\N	\N	\N
633916	2165	1997-12-20	VYDAJ	VYBER	1500	46488	\N	\N	\N
633924	2165	1998-01-22	VYDAJ	VYBER	7800	26417	\N	\N	\N
633926	2165	1998-01-09	VYDAJ	VYBER	4200	23243	\N	\N	\N
633927	2165	1998-01-17	VYDAJ	VYBER	1800	34217	\N	\N	\N
633928	2165	1998-01-14	VYDAJ	VYBER	3600	36017	\N	\N	\N
633935	2165	1997-10-18	VYDAJ	VYBER	11400	24510	\N	\N	\N
633936	2165	1998-06-17	VYDAJ	VYBER	9900	34719	\N	\N	\N
633937	2165	1998-01-24	VYDAJ	VYBER	1500	24917	\N	\N	\N
633939	2165	1998-12-15	VYDAJ	VYBER	3900	38560	\N	\N	\N
633950	2165	1997-08-31	VYDAJ	VYBER	15	67321	SLUZBY	\N	\N
633951	2165	1997-09-30	VYDAJ	VYBER	15	28029	SLUZBY	\N	\N
633952	2165	1997-10-31	VYDAJ	VYBER	15	24603	SLUZBY	\N	\N
633953	2165	1997-11-30	VYDAJ	VYBER	15	31782	SLUZBY	\N	\N
633954	2165	1997-12-31	VYDAJ	VYBER	15	46636	SLUZBY	\N	\N
633955	2165	1998-01-31	VYDAJ	VYBER	15	25037	SLUZBY	\N	\N
633956	2165	1998-02-28	VYDAJ	VYBER	15	21078	SLUZBY	\N	\N
633957	2165	1998-03-31	VYDAJ	VYBER	15	29848	SLUZBY	\N	\N
633958	2165	1998-04-30	VYDAJ	VYBER	15	30727	SLUZBY	\N	\N
633959	2165	1998-05-31	VYDAJ	VYBER	15	32113	SLUZBY	\N	\N
633960	2165	1998-06-30	VYDAJ	VYBER	15	34838	SLUZBY	\N	\N
633961	2165	1998-07-31	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
633962	2165	1998-08-31	VYDAJ	VYBER	15	32030	SLUZBY	\N	\N
633963	2165	1998-09-30	VYDAJ	VYBER	15	29048	SLUZBY	\N	\N
633964	2165	1998-10-31	VYDAJ	VYBER	15	33343	SLUZBY	\N	\N
633965	2165	1998-11-30	VYDAJ	VYBER	15	28754	SLUZBY	\N	\N
633966	2165	1997-05-08	PRIJEM	VKLAD	1300	21800	\N	\N	\N
633967	2165	1997-06-07	VYDAJ	VYBER	7400	34188	\N	\N	\N
633968	2165	1997-07-07	VYDAJ	VYBER	17800	46090	\N	\N	\N
633969	2165	1997-08-06	VYDAJ	VYBER	18600	47410	\N	\N	\N
633970	2165	1997-09-05	VYDAJ	VYBER	19100	48221	\N	\N	\N
633971	2165	1997-10-05	PRIJEM	VKLAD	4000	32029	\N	\N	\N
633972	2165	1997-11-04	PRIJEM	VKLAD	3200	27803	\N	\N	\N
633973	2165	1997-12-04	PRIJEM	VKLAD	2500	34282	\N	\N	\N
633974	2165	1998-01-03	VYDAJ	VYBER	6700	39936	\N	\N	\N
633975	2165	1998-02-02	PRIJEM	VKLAD	2600	27637	\N	\N	\N
633976	2165	1998-03-04	PRIJEM	VKLAD	4800	25878	\N	\N	\N
633977	2165	1998-04-03	VYDAJ	VYBER	3100	26748	\N	\N	\N
633978	2165	1998-05-03	VYDAJ	VYBER	2600	28127	\N	\N	\N
633979	2165	1998-06-02	VYDAJ	VYBER	1200	30913	\N	\N	\N
633980	2165	1998-07-02	VYDAJ	VYBER	600	34238	\N	\N	\N
633981	2165	1998-08-01	PRIJEM	VKLAD	1700	28048	\N	\N	\N
633982	2165	1998-08-31	VYDAJ	VYBER	100	31930	\N	\N	\N
633983	2165	1998-09-30	PRIJEM	VKLAD	5900	29063	\N	\N	\N
633984	2165	1998-10-30	PRIJEM	VKLAD	300	33230	\N	\N	\N
633985	2165	1998-11-29	VYDAJ	VYBER	8600	28625	\N	\N	\N
634007	2166	1997-04-12	PRIJEM	VKLAD	800	800	\N	\N	\N
634012	2166	1997-05-10	PRIJEM	VKLAD	12514	13314	\N	\N	\N
634013	2166	1997-06-10	PRIJEM	VKLAD	18771	37535	\N	\N	\N
634014	2166	1997-07-10	PRIJEM	VKLAD	12514	43762	\N	\N	\N
634015	2166	1997-08-10	PRIJEM	VKLAD	12514	46814	\N	\N	\N
634016	2166	1997-09-10	PRIJEM	VKLAD	12514	38208	\N	\N	\N
634017	2166	1997-10-10	PRIJEM	VKLAD	12514	37048	\N	\N	\N
634018	2166	1997-11-10	PRIJEM	VKLAD	12514	33366	\N	\N	\N
634019	2166	1997-12-10	PRIJEM	VKLAD	18771	37627	\N	\N	\N
634020	2166	1998-01-10	PRIJEM	VKLAD	12514	27957	\N	\N	\N
634021	2166	1998-02-10	PRIJEM	VKLAD	12514	26710	\N	\N	\N
634022	2166	1998-03-10	PRIJEM	VKLAD	12514	32776	\N	\N	\N
634023	2166	1998-04-10	PRIJEM	VKLAD	12514	25668	\N	\N	\N
634024	2166	1998-05-10	PRIJEM	VKLAD	12514	31741	\N	\N	\N
634025	2166	1998-06-10	PRIJEM	VKLAD	18771	36586	\N	\N	\N
634026	2166	1998-07-10	PRIJEM	VKLAD	12514	30791	\N	\N	\N
634027	2166	1998-08-10	PRIJEM	VKLAD	12514	28783	\N	\N	\N
634028	2166	1998-09-10	PRIJEM	VKLAD	12514	29463	\N	\N	\N
634029	2166	1998-10-10	PRIJEM	VKLAD	12514	28544	\N	\N	\N
634030	2166	1998-11-10	PRIJEM	VKLAD	12514	28321	\N	\N	\N
634031	2166	1998-12-10	PRIJEM	VKLAD	18771	35149	\N	\N	\N
634041	2166	1997-10-06	VYDAJ	PREVOD NA UCET	262	31834	SIPO	YZ	4978508
634042	2166	1997-11-06	VYDAJ	PREVOD NA UCET	262	30652	SIPO	YZ	4978508
634043	2166	1997-12-06	VYDAJ	PREVOD NA UCET	262	26956	SIPO	YZ	4978508
634044	2166	1998-01-06	VYDAJ	PREVOD NA UCET	262	26543	SIPO	YZ	4978508
634045	2166	1998-02-06	VYDAJ	PREVOD NA UCET	262	14196	SIPO	YZ	4978508
634046	2166	1998-03-06	VYDAJ	PREVOD NA UCET	262	20262	SIPO	YZ	4978508
634047	2166	1998-04-06	VYDAJ	PREVOD NA UCET	262	26354	SIPO	YZ	4978508
634048	2166	1998-05-06	VYDAJ	PREVOD NA UCET	262	19227	SIPO	YZ	4978508
634049	2166	1998-06-06	VYDAJ	PREVOD NA UCET	262	25315	SIPO	YZ	4978508
634050	2166	1998-07-06	VYDAJ	PREVOD NA UCET	262	30177	SIPO	YZ	4978508
634051	2166	1998-08-06	VYDAJ	PREVOD NA UCET	262	16269	SIPO	YZ	4978508
634052	2166	1998-09-06	VYDAJ	PREVOD NA UCET	262	16949	SIPO	YZ	4978508
634053	2166	1998-10-06	VYDAJ	PREVOD NA UCET	262	16030	SIPO	YZ	4978508
634054	2166	1998-11-06	VYDAJ	PREVOD NA UCET	262	15807	SIPO	YZ	4978508
634055	2166	1998-12-06	VYDAJ	PREVOD NA UCET	262	16378	SIPO	YZ	4978508
634065	2166	1997-10-05	VYDAJ	PREVOD NA UCET	991	32096	 	ST	84241741
634066	2166	1997-11-05	VYDAJ	PREVOD NA UCET	991	30914	 	ST	84241741
634067	2166	1997-12-05	VYDAJ	PREVOD NA UCET	991	27218	 	ST	84241741
634068	2166	1998-01-05	VYDAJ	PREVOD NA UCET	991	26805	 	ST	84241741
634069	2166	1998-02-05	VYDAJ	PREVOD NA UCET	991	14458	 	ST	84241741
634070	2166	1998-03-05	VYDAJ	PREVOD NA UCET	991	20524	 	ST	84241741
634071	2166	1998-04-05	VYDAJ	PREVOD NA UCET	991	26616	 	ST	84241741
634072	2166	1998-05-05	VYDAJ	PREVOD NA UCET	991	19489	 	ST	84241741
634073	2166	1998-06-05	VYDAJ	PREVOD NA UCET	991	25577	 	ST	84241741
634074	2166	1998-07-05	VYDAJ	PREVOD NA UCET	991	30439	 	ST	84241741
634075	2166	1998-08-05	VYDAJ	PREVOD NA UCET	991	16531	 	ST	84241741
634076	2166	1998-09-05	VYDAJ	PREVOD NA UCET	991	17211	 	ST	84241741
634077	2166	1998-10-05	VYDAJ	PREVOD NA UCET	991	16292	 	ST	84241741
634078	2166	1998-11-05	VYDAJ	PREVOD NA UCET	991	16069	 	ST	84241741
634079	2166	1998-12-05	VYDAJ	PREVOD NA UCET	991	16640	 	ST	84241741
634088	2166	1997-09-13	VYDAJ	PREVOD NA UCET	5263	32945	POJISTNE	UV	73421168
634089	2166	1997-10-13	VYDAJ	PREVOD NA UCET	5263	31785	POJISTNE	UV	73421168
634090	2166	1997-11-13	VYDAJ	PREVOD NA UCET	5263	28103	POJISTNE	UV	73421168
634091	2166	1997-12-13	VYDAJ	PREVOD NA UCET	5263	32364	POJISTNE	UV	73421168
634092	2166	1998-01-13	VYDAJ	PREVOD NA UCET	5263	22694	POJISTNE	UV	73421168
634093	2166	1998-02-13	VYDAJ	PREVOD NA UCET	5263	21447	POJISTNE	UV	73421168
634094	2166	1998-03-13	VYDAJ	PREVOD NA UCET	5263	27513	POJISTNE	UV	73421168
634095	2166	1998-04-13	VYDAJ	PREVOD NA UCET	5263	20405	POJISTNE	UV	73421168
634096	2166	1998-05-13	VYDAJ	PREVOD NA UCET	5263	26478	POJISTNE	UV	73421168
634097	2166	1998-06-13	VYDAJ	PREVOD NA UCET	5263	31323	POJISTNE	UV	73421168
634098	2166	1998-07-13	VYDAJ	PREVOD NA UCET	5263	25528	POJISTNE	UV	73421168
634099	2166	1998-08-13	VYDAJ	PREVOD NA UCET	5263	23520	POJISTNE	UV	73421168
634100	2166	1998-09-13	VYDAJ	PREVOD NA UCET	5263	24200	POJISTNE	UV	73421168
634101	2166	1998-10-13	VYDAJ	PREVOD NA UCET	5263	23281	POJISTNE	UV	73421168
634102	2166	1998-11-13	VYDAJ	PREVOD NA UCET	5263	23058	POJISTNE	UV	73421168
634103	2166	1998-12-13	VYDAJ	PREVOD NA UCET	5263	29886	POJISTNE	UV	73421168
634104	2166	1997-12-30	VYDAJ	VYBER	3360	27684	\N	\N	\N
634105	2166	1998-12-27	VYDAJ	VYBER	3040	26846	\N	\N	\N
634112	2166	1998-01-18	VYDAJ	VYBER	2520	20174	\N	\N	\N
634114	2166	1998-01-30	VYDAJ	VYBER	720	15374	\N	\N	\N
634115	2166	1998-01-29	VYDAJ	VYBER	840	16094	\N	\N	\N
634116	2166	1998-01-25	VYDAJ	VYBER	960	16934	\N	\N	\N
634117	2166	1998-01-25	VYDAJ	VYBER	2280	17894	\N	\N	\N
634118	2166	1997-12-23	VYDAJ	VYBER	1320	31044	\N	\N	\N
634121	2166	1998-11-20	VYDAJ	VYBER	1320	21738	\N	\N	\N
634122	2166	1998-11-25	VYDAJ	VYBER	4680	17058	\N	\N	\N
634132	2166	1997-09-30	VYDAJ	VYBER	15	33087	SLUZBY	\N	\N
634133	2166	1997-10-31	VYDAJ	VYBER	15	31905	SLUZBY	\N	\N
634134	2166	1997-11-30	VYDAJ	VYBER	15	28209	SLUZBY	\N	\N
634135	2166	1997-12-31	VYDAJ	VYBER	15	27796	SLUZBY	\N	\N
634136	2166	1998-01-31	VYDAJ	VYBER	15	15449	SLUZBY	\N	\N
634137	2166	1998-02-28	VYDAJ	VYBER	15	21515	SLUZBY	\N	\N
634138	2166	1998-03-31	VYDAJ	VYBER	15	27607	SLUZBY	\N	\N
634139	2166	1998-04-30	VYDAJ	VYBER	15	20480	SLUZBY	\N	\N
634140	2166	1998-05-31	VYDAJ	VYBER	15	26568	SLUZBY	\N	\N
634141	2166	1998-06-30	VYDAJ	VYBER	15	31430	SLUZBY	\N	\N
634142	2166	1998-07-31	VYDAJ	VYBER	15	25622	SLUZBY	\N	\N
634143	2166	1998-08-31	VYDAJ	VYBER	15	23602	SLUZBY	\N	\N
634144	2166	1998-09-30	VYDAJ	VYBER	15	24283	SLUZBY	\N	\N
634145	2166	1998-10-31	VYDAJ	VYBER	15	23360	SLUZBY	\N	\N
634146	2166	1998-11-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
634147	2166	1997-05-12	PRIJEM	VKLAD	5400	18714	\N	\N	\N
634148	2166	1997-06-11	VYDAJ	VYBER	6400	31135	\N	\N	\N
634149	2166	1997-07-11	VYDAJ	VYBER	9600	34162	\N	\N	\N
634150	2166	1997-08-10	VYDAJ	VYBER	14000	32814	\N	\N	\N
634151	2166	1997-09-09	VYDAJ	VYBER	7300	25694	\N	\N	\N
634152	2166	1997-10-09	VYDAJ	VYBER	7300	24534	\N	\N	\N
634153	2166	1997-11-08	VYDAJ	VYBER	9800	20852	\N	\N	\N
634154	2166	1997-12-08	VYDAJ	VYBER	8100	18856	\N	\N	\N
634155	2166	1998-01-07	VYDAJ	VYBER	11100	15443	\N	\N	\N
634156	2166	1998-04-07	VYDAJ	VYBER	13200	13154	\N	\N	\N
634157	2166	1998-06-06	VYDAJ	VYBER	7500	17815	\N	\N	\N
634158	2166	1998-07-06	VYDAJ	VYBER	11900	18277	\N	\N	\N
634159	2166	1998-08-05	VYDAJ	VYBER	8100	17522	\N	\N	\N
634160	2166	1998-09-04	VYDAJ	VYBER	5400	18202	\N	\N	\N
634161	2166	1998-10-04	VYDAJ	VYBER	7000	17283	\N	\N	\N
634162	2166	1998-11-03	VYDAJ	VYBER	6300	17060	\N	\N	\N
634163	2166	1998-12-03	PRIJEM	VKLAD	500	17631	\N	\N	\N
634184	2167	1993-08-08	PRIJEM	VKLAD	200	200	\N	\N	\N
634193	2167	1993-09-05	PRIJEM	VKLAD	24368	24568	\N	\N	\N
634194	2167	1993-10-05	PRIJEM	VKLAD	24368	49620	\N	\N	\N
634195	2167	1993-11-05	PRIJEM	VKLAD	24368	63941	\N	\N	\N
634196	2167	1993-12-05	PRIJEM	VKLAD	36552	79870	\N	\N	\N
634197	2167	1994-01-05	PRIJEM	VKLAD	24368	75144	\N	\N	\N
634198	2167	1994-02-05	PRIJEM	VKLAD	24368	52714	\N	\N	\N
634199	2167	1994-03-05	PRIJEM	VKLAD	24368	64615	\N	\N	\N
634200	2167	1994-04-05	PRIJEM	VKLAD	24368	49081	\N	\N	\N
634201	2167	1994-05-05	PRIJEM	VKLAD	24368	47577	\N	\N	\N
634202	2167	1994-06-05	PRIJEM	VKLAD	36552	59402	\N	\N	\N
634203	2167	1994-07-05	PRIJEM	VKLAD	24368	58431	\N	\N	\N
634204	2167	1994-08-05	PRIJEM	VKLAD	24368	60868	\N	\N	\N
634205	2167	1994-09-05	PRIJEM	VKLAD	24368	52225	\N	\N	\N
634206	2167	1994-10-05	PRIJEM	VKLAD	24368	52945	\N	\N	\N
634207	2167	1994-11-05	PRIJEM	VKLAD	24368	60351	\N	\N	\N
634208	2167	1994-12-05	PRIJEM	VKLAD	36552	72998	\N	\N	\N
634209	2167	1995-01-05	PRIJEM	VKLAD	24368	67119	\N	\N	\N
634210	2167	1995-02-05	PRIJEM	VKLAD	24368	65135	\N	\N	\N
634211	2167	1995-03-05	PRIJEM	VKLAD	24368	64984	\N	\N	\N
634212	2167	1995-04-05	PRIJEM	VKLAD	24368	63758	\N	\N	\N
634213	2167	1995-05-05	PRIJEM	VKLAD	24368	63687	\N	\N	\N
634214	2167	1995-06-05	PRIJEM	VKLAD	36552	71709	\N	\N	\N
634215	2167	1995-07-05	PRIJEM	VKLAD	24368	53966	\N	\N	\N
634216	2167	1995-08-05	PRIJEM	VKLAD	24368	58077	\N	\N	\N
634217	2167	1995-09-05	PRIJEM	VKLAD	24368	61180	\N	\N	\N
634218	2167	1995-10-05	PRIJEM	VKLAD	24368	59168	\N	\N	\N
634219	2167	1995-11-05	PRIJEM	VKLAD	24368	61573	\N	\N	\N
634220	2167	1995-12-05	PRIJEM	VKLAD	36552	70603	\N	\N	\N
634221	2167	1996-01-05	PRIJEM	VKLAD	24368	63541	\N	\N	\N
634222	2167	1996-02-05	PRIJEM	VKLAD	24368	52643	\N	\N	\N
634223	2167	1996-03-05	PRIJEM	VKLAD	24368	58131	\N	\N	\N
634224	2167	1996-04-05	PRIJEM	VKLAD	24368	59428	\N	\N	\N
634225	2167	1996-05-05	PRIJEM	VKLAD	24368	58527	\N	\N	\N
634226	2167	1996-06-05	PRIJEM	VKLAD	36552	72117	\N	\N	\N
634227	2167	1996-07-05	PRIJEM	VKLAD	24368	61639	\N	\N	\N
634228	2167	1996-08-05	PRIJEM	VKLAD	24368	55871	\N	\N	\N
634229	2167	1996-09-05	PRIJEM	VKLAD	24368	59657	\N	\N	\N
634230	2167	1996-10-05	PRIJEM	VKLAD	24368	63658	\N	\N	\N
634231	2167	1996-11-05	PRIJEM	VKLAD	24368	66482	\N	\N	\N
634232	2167	1996-12-05	PRIJEM	VKLAD	36552	79484	\N	\N	\N
634233	2167	1997-01-05	PRIJEM	VKLAD	24368	73960	\N	\N	\N
634234	2167	1997-02-05	PRIJEM	VKLAD	24368	62237	\N	\N	\N
634235	2167	1997-03-05	PRIJEM	VKLAD	24368	66926	\N	\N	\N
634236	2167	1997-04-05	PRIJEM	VKLAD	24368	63931	\N	\N	\N
634237	2167	1997-05-05	PRIJEM	VKLAD	24368	69252	\N	\N	\N
634238	2167	1997-06-05	PRIJEM	VKLAD	36552	82660	\N	\N	\N
634239	2167	1997-07-05	PRIJEM	VKLAD	24368	74931	\N	\N	\N
634240	2167	1997-08-05	PRIJEM	VKLAD	24368	84226	\N	\N	\N
634241	2167	1997-09-05	PRIJEM	VKLAD	24368	81324	\N	\N	\N
634242	2167	1997-10-05	PRIJEM	VKLAD	24368	90243	\N	\N	\N
634243	2167	1997-11-05	PRIJEM	VKLAD	24368	90256	\N	\N	\N
634244	2167	1997-12-05	PRIJEM	VKLAD	36552	94460	\N	\N	\N
634245	2167	1998-01-05	PRIJEM	VKLAD	24368	93214	\N	\N	\N
634246	2167	1998-02-05	PRIJEM	VKLAD	24368	89492	\N	\N	\N
634247	2167	1998-03-05	PRIJEM	VKLAD	24368	89637	\N	\N	\N
634248	2167	1998-04-05	PRIJEM	VKLAD	24368	99889	\N	\N	\N
634249	2167	1998-05-05	PRIJEM	VKLAD	24368	98356	\N	\N	\N
634250	2167	1998-06-05	PRIJEM	VKLAD	36552	106418	\N	\N	\N
634251	2167	1998-07-05	PRIJEM	VKLAD	24368	90578	\N	\N	\N
634252	2167	1998-08-05	PRIJEM	VKLAD	24368	105518	\N	\N	\N
634253	2167	1998-09-05	PRIJEM	VKLAD	24368	109497	\N	\N	\N
634254	2167	1998-10-05	PRIJEM	VKLAD	24368	104865	\N	\N	\N
634255	2167	1998-11-05	PRIJEM	VKLAD	24368	102723	\N	\N	\N
634256	2167	1998-12-05	PRIJEM	VKLAD	36552	109248	\N	\N	\N
634269	2167	1994-01-12	VYDAJ	PREVOD NA UCET	5922	37522	SIPO	IJ	18770349
634270	2167	1994-02-12	VYDAJ	PREVOD NA UCET	5922	40092	SIPO	IJ	18770349
634271	2167	1994-03-12	VYDAJ	PREVOD NA UCET	5922	37893	SIPO	IJ	18770349
634272	2167	1994-04-12	VYDAJ	PREVOD NA UCET	5922	30959	SIPO	IJ	18770349
634273	2167	1994-05-12	VYDAJ	PREVOD NA UCET	5922	19755	SIPO	IJ	18770349
634274	2167	1994-06-12	VYDAJ	PREVOD NA UCET	5922	53480	SIPO	IJ	18770349
634275	2167	1994-07-12	VYDAJ	PREVOD NA UCET	5922	52509	SIPO	IJ	18770349
634276	2167	1994-08-12	VYDAJ	PREVOD NA UCET	5922	54946	SIPO	IJ	18770349
634277	2167	1994-09-12	VYDAJ	PREVOD NA UCET	5922	46303	SIPO	IJ	18770349
634278	2167	1994-10-12	VYDAJ	PREVOD NA UCET	5922	47023	SIPO	IJ	18770349
634279	2167	1994-11-12	VYDAJ	PREVOD NA UCET	5922	54429	SIPO	IJ	18770349
634280	2167	1994-12-12	VYDAJ	PREVOD NA UCET	5922	59982	SIPO	IJ	18770349
634281	2167	1995-01-12	VYDAJ	PREVOD NA UCET	5922	54157	SIPO	IJ	18770349
634282	2167	1995-02-12	VYDAJ	PREVOD NA UCET	5922	52119	SIPO	IJ	18770349
634283	2167	1995-03-12	VYDAJ	PREVOD NA UCET	5922	51968	SIPO	IJ	18770349
634284	2167	1995-04-12	VYDAJ	PREVOD NA UCET	5922	50742	SIPO	IJ	18770349
634285	2167	1995-05-12	VYDAJ	PREVOD NA UCET	5922	57765	SIPO	IJ	18770349
634286	2167	1995-06-12	VYDAJ	PREVOD NA UCET	5922	39653	SIPO	IJ	18770349
634287	2167	1995-07-12	VYDAJ	PREVOD NA UCET	5922	40950	SIPO	IJ	18770349
634288	2167	1995-08-12	VYDAJ	PREVOD NA UCET	5922	52155	SIPO	IJ	18770349
634289	2167	1995-09-12	VYDAJ	PREVOD NA UCET	5922	55258	SIPO	IJ	18770349
634290	2167	1995-10-12	VYDAJ	PREVOD NA UCET	5922	46152	SIPO	IJ	18770349
634291	2167	1995-11-12	VYDAJ	PREVOD NA UCET	5922	48557	SIPO	IJ	18770349
634292	2167	1995-12-12	VYDAJ	PREVOD NA UCET	5922	64681	SIPO	IJ	18770349
634293	2167	1996-01-12	VYDAJ	PREVOD NA UCET	5922	43219	SIPO	IJ	18770349
634294	2167	1996-02-12	VYDAJ	PREVOD NA UCET	5922	39627	SIPO	IJ	18770349
634295	2167	1996-03-12	VYDAJ	PREVOD NA UCET	5922	52209	SIPO	IJ	18770349
634296	2167	1996-04-12	VYDAJ	PREVOD NA UCET	5922	46412	SIPO	IJ	18770349
634297	2167	1996-05-12	VYDAJ	PREVOD NA UCET	5922	45511	SIPO	IJ	18770349
634298	2167	1996-06-12	VYDAJ	PREVOD NA UCET	5922	66195	SIPO	IJ	18770349
634299	2167	1996-07-12	VYDAJ	PREVOD NA UCET	5922	48623	SIPO	IJ	18770349
634300	2167	1996-08-12	VYDAJ	PREVOD NA UCET	5922	49949	SIPO	IJ	18770349
634301	2167	1996-09-12	VYDAJ	PREVOD NA UCET	5922	53735	SIPO	IJ	18770349
634302	2167	1996-10-12	VYDAJ	PREVOD NA UCET	5922	57736	SIPO	IJ	18770349
634303	2167	1996-11-12	VYDAJ	PREVOD NA UCET	5922	60560	SIPO	IJ	18770349
634304	2167	1996-12-12	VYDAJ	PREVOD NA UCET	5922	68262	SIPO	IJ	18770349
634305	2167	1997-01-12	VYDAJ	PREVOD NA UCET	5922	60678	SIPO	IJ	18770349
634306	2167	1997-02-12	VYDAJ	PREVOD NA UCET	5922	50675	SIPO	IJ	18770349
634307	2167	1997-03-12	VYDAJ	PREVOD NA UCET	5922	58504	SIPO	IJ	18770349
634308	2167	1997-04-12	VYDAJ	PREVOD NA UCET	5922	58009	SIPO	IJ	18770349
634309	2167	1997-05-12	VYDAJ	PREVOD NA UCET	5922	63330	SIPO	IJ	18770349
634310	2167	1997-06-12	VYDAJ	PREVOD NA UCET	5922	71038	SIPO	IJ	18770349
634311	2167	1997-07-12	VYDAJ	PREVOD NA UCET	5922	69009	SIPO	IJ	18770349
634312	2167	1997-08-12	VYDAJ	PREVOD NA UCET	5922	78304	SIPO	IJ	18770349
634313	2167	1997-09-12	VYDAJ	PREVOD NA UCET	5922	75402	SIPO	IJ	18770349
634314	2167	1997-10-12	VYDAJ	PREVOD NA UCET	5922	84321	SIPO	IJ	18770349
634315	2167	1997-11-12	VYDAJ	PREVOD NA UCET	5922	84334	SIPO	IJ	18770349
634316	2167	1997-12-12	VYDAJ	PREVOD NA UCET	5922	88538	SIPO	IJ	18770349
634317	2167	1998-01-12	VYDAJ	PREVOD NA UCET	5922	87292	SIPO	IJ	18770349
634318	2167	1998-02-12	VYDAJ	PREVOD NA UCET	5922	83570	SIPO	IJ	18770349
634319	2167	1998-03-12	VYDAJ	PREVOD NA UCET	5922	83715	SIPO	IJ	18770349
634320	2167	1998-04-12	VYDAJ	PREVOD NA UCET	5922	93967	SIPO	IJ	18770349
634321	2167	1998-05-12	VYDAJ	PREVOD NA UCET	5922	92434	SIPO	IJ	18770349
634322	2167	1998-06-12	VYDAJ	PREVOD NA UCET	5922	80976	SIPO	IJ	18770349
634323	2167	1998-07-12	VYDAJ	PREVOD NA UCET	5922	84656	SIPO	IJ	18770349
634324	2167	1998-08-12	VYDAJ	PREVOD NA UCET	5922	99596	SIPO	IJ	18770349
634325	2167	1998-09-12	VYDAJ	PREVOD NA UCET	5922	87375	SIPO	IJ	18770349
634326	2167	1998-10-12	VYDAJ	PREVOD NA UCET	5922	86443	SIPO	IJ	18770349
634327	2167	1998-11-12	VYDAJ	PREVOD NA UCET	5922	75201	SIPO	IJ	18770349
634328	2167	1998-12-12	VYDAJ	PREVOD NA UCET	5922	81526	SIPO	IJ	18770349
634341	2167	1994-01-12	VYDAJ	VYBER	6800	43444	\N	\N	0
634342	2167	1994-02-09	VYDAJ	VYBER	6700	46014	\N	\N	0
634343	2167	1994-03-23	VYDAJ	VYBER	8400	29493	\N	\N	0
634344	2167	1994-04-12	VYDAJ	VYBER	6200	24759	\N	\N	0
634345	2167	1994-05-05	VYDAJ	VYBER	8500	25677	\N	\N	0
634346	2167	1994-06-15	VYDAJ	VYBER	4200	49280	\N	\N	0
634347	2167	1994-07-13	VYDAJ	VYBER	5900	46609	\N	\N	0
634348	2167	1994-08-22	VYDAJ	VYBER	5900	43766	\N	\N	0
634349	2167	1994-08-30	VYDAJ	VYBER	10600	33166	\N	\N	0
634350	2167	1994-09-28	VYDAJ	VYBER	6400	39903	\N	\N	0
634351	2167	1994-11-12	VYDAJ	PREVOD NA UCET	7094	47335	UVER	QR	38404792
634352	2167	1994-12-12	VYDAJ	PREVOD NA UCET	7094	65904	UVER	QR	38404792
634353	2167	1995-01-12	VYDAJ	PREVOD NA UCET	7094	47063	UVER	QR	38404792
634354	2167	1995-02-12	VYDAJ	PREVOD NA UCET	7094	58041	UVER	QR	38404792
634355	2167	1995-03-12	VYDAJ	PREVOD NA UCET	7094	57890	UVER	QR	38404792
634356	2167	1995-04-12	VYDAJ	PREVOD NA UCET	7094	56664	UVER	QR	38404792
634357	2167	1995-05-12	VYDAJ	PREVOD NA UCET	7094	50671	UVER	QR	38404792
634358	2167	1995-06-12	VYDAJ	PREVOD NA UCET	7094	45575	UVER	QR	38404792
634359	2167	1995-07-12	VYDAJ	PREVOD NA UCET	7094	46872	UVER	QR	38404792
634360	2167	1995-08-12	VYDAJ	PREVOD NA UCET	7094	45061	UVER	QR	38404792
634361	2167	1995-09-12	VYDAJ	PREVOD NA UCET	7094	48164	UVER	QR	38404792
634362	2167	1995-10-12	VYDAJ	PREVOD NA UCET	7094	52074	UVER	QR	38404792
634363	2167	1995-11-12	VYDAJ	PREVOD NA UCET	7094	54479	UVER	QR	38404792
634364	2167	1995-12-12	VYDAJ	PREVOD NA UCET	7094	57587	UVER	QR	38404792
634365	2167	1996-01-12	VYDAJ	PREVOD NA UCET	7094	36125	UVER	QR	38404792
634366	2167	1996-02-12	VYDAJ	PREVOD NA UCET	7094	45549	UVER	QR	38404792
634367	2167	1996-03-12	VYDAJ	PREVOD NA UCET	7094	45115	UVER	QR	38404792
634368	2167	1996-04-12	VYDAJ	PREVOD NA UCET	7094	52334	UVER	QR	38404792
634369	2167	1996-05-12	VYDAJ	PREVOD NA UCET	7094	51433	UVER	QR	38404792
634370	2167	1996-06-12	VYDAJ	PREVOD NA UCET	7094	59101	UVER	QR	38404792
634371	2167	1996-07-12	VYDAJ	PREVOD NA UCET	7094	54545	UVER	QR	38404792
634372	2167	1996-08-12	VYDAJ	PREVOD NA UCET	7094	42855	UVER	QR	38404792
634373	2167	1996-09-12	VYDAJ	PREVOD NA UCET	7094	46641	UVER	QR	38404792
634374	2167	1996-10-12	VYDAJ	PREVOD NA UCET	7094	50642	UVER	QR	38404792
634375	2167	1996-11-13	VYDAJ	VYBER	6600	53960	\N	\N	0
634376	2167	1996-12-05	VYDAJ	VYBER	5300	74184	\N	\N	0
634377	2167	1997-01-15	VYDAJ	VYBER	6800	53878	\N	\N	0
634378	2167	1997-02-02	VYDAJ	VYBER	6200	37869	\N	\N	0
634379	2167	1997-03-23	VYDAJ	VYBER	5200	44304	\N	\N	0
634380	2167	1997-04-22	VYDAJ	VYBER	7400	44709	\N	\N	0
634381	2167	1997-05-12	VYDAJ	VYBER	7000	56330	\N	\N	0
634382	2167	1997-06-09	VYDAJ	VYBER	5700	76960	\N	\N	0
634383	2167	1997-07-04	VYDAJ	VYBER	6100	50563	\N	\N	0
634384	2167	1997-08-21	VYDAJ	VYBER	7600	63304	\N	\N	0
634385	2167	1997-09-03	VYDAJ	VYBER	6600	56956	\N	\N	0
634386	2167	1997-10-22	VYDAJ	VYBER	6300	65621	\N	\N	0
634387	2167	1997-11-26	VYDAJ	VYBER	8300	65734	\N	\N	0
634388	2167	1997-12-04	VYDAJ	VYBER	8100	57908	\N	\N	0
634389	2167	1997-12-29	VYDAJ	VYBER	7700	68538	\N	\N	0
634390	2167	1998-02-04	VYDAJ	VYBER	6300	65124	\N	\N	0
634391	2167	1998-03-03	VYDAJ	VYBER	7800	65269	\N	\N	0
634392	2167	1998-04-24	VYDAJ	VYBER	6300	81867	\N	\N	0
634393	2167	1998-05-01	VYDAJ	VYBER	8200	73988	\N	\N	0
634394	2167	1998-06-02	VYDAJ	VYBER	10700	69866	\N	\N	0
634395	2167	1998-07-17	VYDAJ	VYBER	4700	80856	\N	\N	0
634396	2167	1998-08-20	VYDAJ	VYBER	8500	84796	\N	\N	0
634397	2167	1998-09-15	VYDAJ	VYBER	7200	80175	\N	\N	0
634398	2167	1998-10-18	VYDAJ	VYBER	8400	78043	\N	\N	0
634399	2167	1998-11-11	VYDAJ	VYBER	5600	81123	\N	\N	0
634400	2167	1998-12-09	VYDAJ	VYBER	7600	101648	\N	\N	0
634403	2167	1995-06-10	VYDAJ	VYBER	19040	52669	\N	\N	\N
634406	2167	1998-06-10	VYDAJ	VYBER	19520	86898	\N	\N	\N
634408	2167	1994-01-26	VYDAJ	VYBER	9440	28082	\N	\N	\N
634409	2167	1995-01-12	VYDAJ	VYBER	7040	60079	\N	\N	\N
634410	2167	1996-01-07	VYDAJ	VYBER	14400	49141	\N	\N	\N
634411	2167	1997-01-09	VYDAJ	VYBER	7360	66600	\N	\N	\N
634412	2167	1998-01-29	VYDAJ	VYBER	8160	71132	\N	\N	\N
634414	2167	1994-12-19	VYDAJ	VYBER	4480	55502	\N	\N	\N
634415	2167	1995-12-14	VYDAJ	VYBER	4320	53267	\N	\N	\N
634416	2167	1996-12-13	VYDAJ	VYBER KARTOU	1400	66862	\N	\N	0
634417	2167	1997-12-13	VYDAJ	VYBER KARTOU	2400	86138	\N	\N	0
634418	2167	1998-12-28	VYDAJ	VYBER KARTOU	3500	72386	\N	\N	0
634421	2167	1994-10-27	VYDAJ	VYBER	3720	43303	\N	\N	\N
634422	2167	1994-06-25	VYDAJ	VYBER	3600	45680	\N	\N	\N
634423	2167	1994-12-25	VYDAJ	VYBER	2280	53222	\N	\N	\N
634424	2167	1994-08-13	VYDAJ	VYBER	5280	49666	\N	\N	\N
634425	2167	1994-04-02	VYDAJ	VYBER	4920	24713	\N	\N	\N
634426	2167	1994-04-30	VYDAJ	VYBER	1680	23209	\N	\N	\N
634427	2167	1995-09-16	VYDAJ	VYBER	4920	43244	\N	\N	\N
634428	2167	1995-05-28	VYDAJ	VYBER KARTOU	2300	43691	\N	\N	0
634429	2167	1995-07-04	VYDAJ	VYBER KARTOU	2500	29598	\N	\N	0
634430	2167	1995-12-01	VYDAJ	VYBER	5880	34051	\N	\N	\N
634431	2167	1995-05-14	VYDAJ	VYBER	4680	45991	\N	\N	\N
634432	2167	1995-03-02	VYDAJ	VYBER	600	40616	\N	\N	\N
634433	2167	1996-12-17	VYDAJ	VYBER KARTOU	3200	63662	\N	\N	0
634434	2167	1996-03-12	VYDAJ	VYBER KARTOU	1300	43815	\N	\N	0
634435	2167	1996-07-12	VYDAJ	VYBER	5160	43463	\N	\N	\N
634436	2167	1996-06-27	VYDAJ	VYBER KARTOU	3100	37101	\N	\N	0
634437	2167	1997-02-07	VYDAJ	VYBER	5640	56597	\N	\N	\N
634438	2167	1997-03-26	VYDAJ	VYBER	4920	39384	\N	\N	\N
634439	2167	1997-05-16	VYDAJ	VYBER	4200	52130	\N	\N	\N
634440	2167	1997-03-11	VYDAJ	VYBER KARTOU	2500	64426	\N	\N	0
634441	2167	1997-04-18	VYDAJ	VYBER KARTOU	3500	54509	\N	\N	0
634442	2167	1997-06-23	VYDAJ	VYBER KARTOU	1600	56438	\N	\N	0
634443	2167	1998-06-21	VYDAJ	VYBER KARTOU	1800	73976	\N	\N	0
634444	2167	1998-06-28	VYDAJ	VYBER	5280	65896	\N	\N	\N
634445	2167	1998-12-02	VYDAJ	VYBER KARTOU	2800	72696	\N	\N	0
634446	2167	1998-06-21	VYDAJ	VYBER KARTOU	2800	71176	\N	\N	0
634447	2167	1998-12-27	VYDAJ	VYBER	5640	75886	\N	\N	\N
634461	2167	1994-01-31	VYDAJ	VYBER	15	28246	SLUZBY	\N	\N
634462	2167	1994-02-28	VYDAJ	VYBER	15	40247	SLUZBY	\N	\N
634463	2167	1994-03-31	VYDAJ	VYBER	15	29633	SLUZBY	\N	\N
634464	2167	1994-04-30	VYDAJ	VYBER	15	24889	SLUZBY	\N	\N
634465	2167	1994-05-31	VYDAJ	VYBER	15	19850	SLUZBY	\N	\N
634466	2167	1994-06-30	VYDAJ	VYBER	15	45863	SLUZBY	\N	\N
634467	2167	1994-07-31	VYDAJ	VYBER	15	46800	SLUZBY	\N	\N
634468	2167	1994-08-31	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
634469	2167	1994-09-30	VYDAJ	VYBER	15	40077	SLUZBY	\N	\N
634470	2167	1994-10-31	VYDAJ	VYBER	15	43483	SLUZBY	\N	\N
634471	2167	1994-11-30	VYDAJ	VYBER	15	47546	SLUZBY	\N	\N
634472	2167	1994-12-31	VYDAJ	VYBER	15	42751	SLUZBY	\N	\N
634473	2167	1995-01-31	VYDAJ	VYBER	15	40767	SLUZBY	\N	\N
634474	2167	1995-02-28	VYDAJ	VYBER	15	52316	SLUZBY	\N	\N
634475	2167	1995-03-31	VYDAJ	VYBER	15	39390	SLUZBY	\N	\N
634476	2167	1995-04-30	VYDAJ	VYBER	15	39319	SLUZBY	\N	\N
634477	2167	1995-05-31	VYDAJ	VYBER	15	35157	SLUZBY	\N	\N
634478	2167	1995-06-30	VYDAJ	VYBER	15	32098	SLUZBY	\N	\N
634479	2167	1995-07-31	VYDAJ	VYBER	15	33709	SLUZBY	\N	\N
634480	2167	1995-08-31	VYDAJ	VYBER	15	36812	SLUZBY	\N	\N
634481	2167	1995-09-30	VYDAJ	VYBER	15	34800	SLUZBY	\N	\N
634482	2167	1995-10-31	VYDAJ	VYBER	15	37205	SLUZBY	\N	\N
634483	2167	1995-11-30	VYDAJ	VYBER	15	39931	SLUZBY	\N	\N
634484	2167	1995-12-31	VYDAJ	VYBER	15	39173	SLUZBY	\N	\N
634485	2167	1996-01-31	VYDAJ	VYBER	15	28275	SLUZBY	\N	\N
634486	2167	1996-02-29	VYDAJ	VYBER	15	33763	SLUZBY	\N	\N
634487	2167	1996-03-31	VYDAJ	VYBER	15	35060	SLUZBY	\N	\N
634488	2167	1996-04-30	VYDAJ	VYBER	15	34159	SLUZBY	\N	\N
634489	2167	1996-05-31	VYDAJ	VYBER	15	35565	SLUZBY	\N	\N
634490	2167	1996-06-30	VYDAJ	VYBER	15	37271	SLUZBY	\N	\N
634491	2167	1996-07-31	VYDAJ	VYBER	15	31503	SLUZBY	\N	\N
634492	2167	1996-08-31	VYDAJ	VYBER	15	35289	SLUZBY	\N	\N
634493	2167	1996-09-30	VYDAJ	VYBER	15	39290	SLUZBY	\N	\N
634494	2167	1996-10-31	VYDAJ	VYBER	15	42114	SLUZBY	\N	\N
634495	2167	1996-11-30	VYDAJ	VYBER	15	42932	SLUZBY	\N	\N
634496	2167	1996-12-31	VYDAJ	VYBER	15	49592	SLUZBY	\N	\N
634497	2167	1997-01-31	VYDAJ	VYBER	15	44069	SLUZBY	\N	\N
634498	2167	1997-02-28	VYDAJ	VYBER	15	42558	SLUZBY	\N	\N
634499	2167	1997-03-31	VYDAJ	VYBER	15	39563	SLUZBY	\N	\N
634500	2167	1997-04-30	VYDAJ	VYBER	15	44884	SLUZBY	\N	\N
634501	2167	1997-05-31	VYDAJ	VYBER	15	46108	SLUZBY	\N	\N
634502	2167	1997-06-30	VYDAJ	VYBER	15	56663	SLUZBY	\N	\N
634503	2167	1997-07-31	VYDAJ	VYBER	15	59858	SLUZBY	\N	\N
634504	2167	1997-08-31	VYDAJ	VYBER	15	63556	SLUZBY	\N	\N
634505	2167	1997-09-30	VYDAJ	VYBER	15	65875	SLUZBY	\N	\N
634506	2167	1997-10-31	VYDAJ	VYBER	15	65888	SLUZBY	\N	\N
634507	2167	1997-11-30	VYDAJ	VYBER	15	66008	SLUZBY	\N	\N
634508	2167	1997-12-31	VYDAJ	VYBER	15	68846	SLUZBY	\N	\N
634509	2167	1998-01-31	VYDAJ	VYBER	15	71424	SLUZBY	\N	\N
634510	2167	1998-02-28	VYDAJ	VYBER	15	73069	SLUZBY	\N	\N
634511	2167	1998-03-31	VYDAJ	VYBER	15	75521	SLUZBY	\N	\N
634512	2167	1998-04-30	VYDAJ	VYBER	15	82188	SLUZBY	\N	\N
634513	2167	1998-05-31	VYDAJ	VYBER	15	80566	SLUZBY	\N	\N
634514	2167	1998-06-30	VYDAJ	VYBER	15	66210	SLUZBY	\N	\N
634515	2167	1998-07-31	VYDAJ	VYBER	15	81150	SLUZBY	\N	\N
634516	2167	1998-08-31	VYDAJ	VYBER	15	85129	SLUZBY	\N	\N
634517	2167	1998-09-30	VYDAJ	VYBER	15	80497	SLUZBY	\N	\N
634518	2167	1998-10-31	VYDAJ	VYBER	15	78355	SLUZBY	\N	\N
634519	2167	1998-11-30	VYDAJ	VYBER	15	75496	SLUZBY	\N	\N
634520	2167	1993-09-07	PRIJEM	VKLAD	600	25168	\N	\N	\N
634521	2167	1993-10-07	VYDAJ	VYBER	10200	39420	\N	\N	\N
634522	2167	1993-11-06	VYDAJ	VYBER	20800	43141	\N	\N	\N
634523	2167	1993-12-06	VYDAJ	VYBER	29300	50570	\N	\N	\N
634524	2167	1994-01-05	VYDAJ	VYBER	24900	50244	\N	\N	\N
634525	2167	1994-02-04	PRIJEM	VKLAD	100	28346	\N	\N	\N
634526	2167	1994-03-06	VYDAJ	VYBER	20800	43815	\N	\N	\N
634527	2167	1994-04-05	VYDAJ	VYBER	12200	36881	\N	\N	\N
634528	2167	1994-05-05	VYDAJ	VYBER	13400	34177	\N	\N	\N
634529	2167	1994-06-04	PRIJEM	VKLAD	3000	22850	\N	\N	\N
634530	2167	1994-07-04	VYDAJ	VYBER	11800	34063	\N	\N	\N
634531	2167	1994-08-03	VYDAJ	VYBER	10300	36500	\N	\N	\N
634532	2167	1994-09-02	VYDAJ	VYBER	5500	27857	\N	\N	\N
634533	2167	1994-10-02	VYDAJ	VYBER	11500	28577	\N	\N	\N
634534	2167	1994-11-01	VYDAJ	VYBER	7500	35983	\N	\N	\N
634535	2167	1994-12-01	VYDAJ	VYBER	11100	36446	\N	\N	\N
634536	2167	1994-12-31	VYDAJ	VYBER	10700	42765	\N	\N	\N
634537	2167	1995-01-30	VYDAJ	VYBER	6500	40563	\N	\N	\N
634538	2167	1995-03-01	VYDAJ	VYBER	11100	41216	\N	\N	\N
634539	2167	1995-03-31	VYDAJ	VYBER	12800	39405	\N	\N	\N
634540	2167	1995-04-30	VYDAJ	VYBER	11600	39334	\N	\N	\N
634541	2167	1995-05-30	VYDAJ	VYBER	8700	34991	\N	\N	\N
634542	2167	1995-06-29	VYDAJ	VYBER	7700	31953	\N	\N	\N
634543	2167	1995-07-29	VYDAJ	VYBER	7400	33550	\N	\N	\N
634544	2167	1995-08-28	VYDAJ	VYBER	8400	36661	\N	\N	\N
634545	2167	1995-09-27	VYDAJ	VYBER	8600	34644	\N	\N	\N
634546	2167	1995-10-27	VYDAJ	VYBER	9100	37052	\N	\N	\N
634547	2167	1995-11-26	VYDAJ	VYBER	8800	39757	\N	\N	\N
634548	2167	1995-12-26	VYDAJ	VYBER	14300	38967	\N	\N	\N
634549	2167	1996-01-25	VYDAJ	VYBER	8000	28125	\N	\N	\N
634550	2167	1996-02-24	VYDAJ	VYBER	6000	33627	\N	\N	\N
634551	2167	1996-03-25	VYDAJ	VYBER	8900	34915	\N	\N	\N
634552	2167	1996-04-24	VYDAJ	VYBER	12400	34012	\N	\N	\N
634553	2167	1996-05-24	VYDAJ	VYBER	10100	35411	\N	\N	\N
634554	2167	1996-06-23	VYDAJ	VYBER	18900	40201	\N	\N	\N
634555	2167	1996-07-23	VYDAJ	VYBER	12100	31363	\N	\N	\N
634556	2167	1996-08-22	VYDAJ	VYBER	7700	35155	\N	\N	\N
634557	2167	1996-09-21	VYDAJ	VYBER	7500	39141	\N	\N	\N
634558	2167	1996-10-21	VYDAJ	VYBER	8700	41942	\N	\N	\N
634559	2167	1996-11-20	VYDAJ	VYBER	11200	42760	\N	\N	\N
634560	2167	1996-12-20	VYDAJ	VYBER	14300	49362	\N	\N	\N
634561	2167	1997-01-19	VYDAJ	VYBER	10000	43878	\N	\N	\N
634562	2167	1997-02-18	VYDAJ	VYBER	8300	42375	\N	\N	\N
634563	2167	1997-03-20	VYDAJ	VYBER	9000	49504	\N	\N	\N
634564	2167	1997-04-19	VYDAJ	VYBER KARTOU	2400	52109	\N	\N	0
634565	2167	1997-05-19	VYDAJ	VYBER	6200	45930	\N	\N	\N
634566	2167	1997-06-18	VYDAJ	VYBER	13000	58038	\N	\N	\N
634567	2167	1997-07-18	VYDAJ	VYBER	9400	59609	\N	\N	\N
634568	2167	1997-08-17	VYDAJ	VYBER	7400	70904	\N	\N	\N
634569	2167	1997-09-16	VYDAJ	VYBER	9800	65602	\N	\N	\N
634570	2167	1997-10-16	VYDAJ	VYBER	12400	71921	\N	\N	\N
634571	2167	1997-11-15	VYDAJ	VYBER	10300	74034	\N	\N	\N
634572	2167	1997-12-15	VYDAJ	VYBER	9900	76238	\N	\N	\N
634573	2167	1998-01-14	VYDAJ	VYBER	8000	79292	\N	\N	\N
634574	2167	1998-02-13	VYDAJ	VYBER	10800	72770	\N	\N	\N
634575	2167	1998-03-15	VYDAJ	VYBER	8500	75215	\N	\N	\N
634576	2167	1998-04-14	VYDAJ	VYBER	5800	88167	\N	\N	\N
634577	2167	1998-05-14	VYDAJ	VYBER	12200	80234	\N	\N	\N
634578	2167	1998-06-13	VYDAJ	VYBER	5200	75776	\N	\N	\N
634579	2167	1998-07-13	PRIJEM	VKLAD	900	85556	\N	\N	\N
634580	2167	1998-08-12	VYDAJ	VYBER	6300	93296	\N	\N	\N
634581	2167	1998-09-11	VYDAJ	VYBER	16200	93297	\N	\N	\N
634582	2167	1998-10-11	VYDAJ	VYBER	12500	92365	\N	\N	\N
634583	2167	1998-11-10	VYDAJ	VYBER	16000	86723	\N	\N	\N
634584	2167	1998-12-10	VYDAJ	VYBER	14200	87448	\N	\N	\N
635303	2169	1997-07-09	PRIJEM	VKLAD	600	23647	\N	\N	\N
635310	2169	1997-07-09	PRIJEM	VKLAD	23047	23047	\N	\N	\N
635311	2169	1997-08-09	PRIJEM	VKLAD	23047	49867	\N	\N	\N
635312	2169	1997-09-09	PRIJEM	VKLAD	23047	61994	\N	\N	\N
635313	2169	1997-10-09	PRIJEM	VKLAD	23047	65086	\N	\N	\N
635314	2169	1997-11-09	PRIJEM	VKLAD	23047	66400	\N	\N	\N
635315	2169	1997-12-09	PRIJEM	VKLAD	34570	69703	\N	\N	\N
635316	2169	1998-01-09	PRIJEM	VKLAD	23047	58083	\N	\N	\N
635317	2169	1998-02-09	PRIJEM	VKLAD	23047	46199	\N	\N	\N
635318	2169	1998-03-09	PRIJEM	VKLAD	23047	44899	\N	\N	\N
635319	2169	1998-04-09	PRIJEM	VKLAD	23047	46884	\N	\N	\N
635320	2169	1998-05-09	PRIJEM	VKLAD	23047	46770	\N	\N	\N
635321	2169	1998-06-09	PRIJEM	VKLAD	34570	55483	\N	\N	\N
635322	2169	1998-07-09	PRIJEM	VKLAD	23047	38038	\N	\N	\N
635323	2169	1998-08-09	PRIJEM	VKLAD	23047	44288	\N	\N	\N
635324	2169	1998-09-09	PRIJEM	VKLAD	23047	45871	\N	\N	\N
635325	2169	1998-10-09	PRIJEM	VKLAD	23047	49454	\N	\N	\N
635326	2169	1998-11-09	PRIJEM	VKLAD	23047	48955	\N	\N	\N
635327	2169	1998-12-09	PRIJEM	VKLAD	34570	59689	\N	\N	\N
635338	2169	1997-11-13	VYDAJ	PREVOD NA UCET	6235	59290	SIPO	AB	49559926
635339	2169	1997-12-13	VYDAJ	PREVOD NA UCET	6235	63468	SIPO	AB	49559926
635340	2169	1998-01-13	VYDAJ	PREVOD NA UCET	6235	47273	SIPO	AB	49559926
635341	2169	1998-02-13	VYDAJ	PREVOD NA UCET	6235	39089	SIPO	AB	49559926
635342	2169	1998-03-13	VYDAJ	PREVOD NA UCET	6235	38664	SIPO	AB	49559926
635343	2169	1998-04-13	VYDAJ	PREVOD NA UCET	6235	39774	SIPO	AB	49559926
635344	2169	1998-05-13	VYDAJ	PREVOD NA UCET	6235	39660	SIPO	AB	49559926
635345	2169	1998-06-13	VYDAJ	PREVOD NA UCET	6235	27948	SIPO	AB	49559926
635346	2169	1998-07-13	VYDAJ	PREVOD NA UCET	6235	31803	SIPO	AB	49559926
635347	2169	1998-08-13	VYDAJ	PREVOD NA UCET	6235	37178	SIPO	AB	49559926
635348	2169	1998-09-13	VYDAJ	PREVOD NA UCET	6235	38761	SIPO	AB	49559926
635349	2169	1998-10-13	VYDAJ	PREVOD NA UCET	6235	43219	SIPO	AB	49559926
635350	2169	1998-11-13	VYDAJ	PREVOD NA UCET	6235	41845	SIPO	AB	49559926
635351	2169	1998-12-13	VYDAJ	PREVOD NA UCET	6235	52579	SIPO	AB	49559926
635362	2169	1997-11-13	VYDAJ	PREVOD NA UCET	875	65525	 	QR	71835785
635363	2169	1997-12-13	VYDAJ	PREVOD NA UCET	875	62593	 	QR	71835785
635364	2169	1998-01-13	VYDAJ	PREVOD NA UCET	875	53508	 	QR	71835785
635365	2169	1998-02-13	VYDAJ	PREVOD NA UCET	875	45324	 	QR	71835785
635366	2169	1998-03-13	VYDAJ	PREVOD NA UCET	875	37789	 	QR	71835785
635367	2169	1998-04-13	VYDAJ	PREVOD NA UCET	875	46009	 	QR	71835785
635368	2169	1998-05-13	VYDAJ	PREVOD NA UCET	875	45895	 	QR	71835785
635369	2169	1998-06-13	VYDAJ	PREVOD NA UCET	875	27073	 	QR	71835785
635370	2169	1998-07-13	VYDAJ	PREVOD NA UCET	875	30928	 	QR	71835785
635371	2169	1998-08-13	VYDAJ	PREVOD NA UCET	875	43413	 	QR	71835785
635372	2169	1998-09-13	VYDAJ	PREVOD NA UCET	875	44996	 	QR	71835785
635373	2169	1998-10-13	VYDAJ	PREVOD NA UCET	875	42344	 	QR	71835785
635374	2169	1998-11-13	VYDAJ	PREVOD NA UCET	875	48080	 	QR	71835785
635375	2169	1998-12-13	VYDAJ	PREVOD NA UCET	875	58814	 	QR	71835785
635401	2169	1998-06-13	VYDAJ	VYBER	21300	34183	\N	\N	\N
635403	2169	1998-01-27	VYDAJ	VYBER	6800	36173	\N	\N	\N
635404	2169	1997-12-20	VYDAJ	VYBER	2100	60493	\N	\N	\N
635405	2169	1998-12-03	VYDAJ	VYBER	1800	25119	\N	\N	\N
635412	2169	1998-01-16	VYDAJ	VYBER	2600	44673	\N	\N	\N
635413	2169	1998-01-11	VYDAJ	VYBER	1300	54383	\N	\N	\N
635414	2169	1998-01-08	VYDAJ	VYBER	500	35036	\N	\N	\N
635415	2169	1998-01-06	VYDAJ	VYBER	2000	35536	\N	\N	\N
635416	2169	1998-01-10	VYDAJ	VYBER	2400	55683	\N	\N	\N
635417	2169	1998-01-20	VYDAJ	VYBER	1700	42973	\N	\N	\N
635422	2169	1997-11-30	VYDAJ	VYBER	800	58733	\N	\N	\N
635423	2169	1998-05-31	VYDAJ	VYBER	3200	36613	\N	\N	\N
635424	2169	1998-04-18	VYDAJ	VYBER	1800	37974	\N	\N	\N
635425	2169	1998-06-06	VYDAJ	VYBER	1700	20913	\N	\N	\N
635426	2169	1998-08-25	VYDAJ	VYBER	2000	35178	\N	\N	\N
635427	2169	1998-11-07	VYDAJ	VYBER	2300	25908	\N	\N	\N
635439	2169	1997-11-30	VYDAJ	VYBER	15	59533	SLUZBY	\N	\N
635440	2169	1997-12-31	VYDAJ	VYBER	15	60736	SLUZBY	\N	\N
635441	2169	1998-01-31	VYDAJ	VYBER	15	36352	SLUZBY	\N	\N
635442	2169	1998-02-28	VYDAJ	VYBER	15	39252	SLUZBY	\N	\N
635443	2169	1998-03-31	VYDAJ	VYBER	15	37937	SLUZBY	\N	\N
635444	2169	1998-04-30	VYDAJ	VYBER	15	38123	SLUZBY	\N	\N
635445	2169	1998-05-31	VYDAJ	VYBER	15	39813	SLUZBY	\N	\N
635446	2169	1998-06-30	VYDAJ	VYBER	15	27191	SLUZBY	\N	\N
635447	2169	1998-07-31	VYDAJ	VYBER	15	31041	SLUZBY	\N	\N
635448	2169	1998-08-31	VYDAJ	VYBER	15	35324	SLUZBY	\N	\N
635449	2169	1998-09-30	VYDAJ	VYBER	15	38907	SLUZBY	\N	\N
635450	2169	1998-10-31	VYDAJ	VYBER	15	42508	SLUZBY	\N	\N
635451	2169	1998-11-30	VYDAJ	VYBER	15	42019	SLUZBY	\N	\N
635452	2169	1997-08-08	PRIJEM	VKLAD	3100	26820	\N	\N	\N
635453	2169	1997-09-07	VYDAJ	VYBER	11100	38947	\N	\N	\N
635454	2169	1997-10-07	VYDAJ	VYBER	20200	42039	\N	\N	\N
635455	2169	1997-11-06	VYDAJ	VYBER	22000	43353	\N	\N	\N
635456	2169	1997-12-06	VYDAJ	VYBER	23600	35133	\N	\N	\N
635457	2169	1998-01-05	VYDAJ	VYBER	23200	37536	\N	\N	\N
635458	2169	1998-02-04	VYDAJ	VYBER	13200	23152	\N	\N	\N
635459	2169	1998-03-06	VYDAJ	VYBER	17400	21852	\N	\N	\N
635460	2169	1998-04-05	VYDAJ	VYBER	14100	23837	\N	\N	\N
635461	2169	1998-05-05	VYDAJ	VYBER	14400	23723	\N	\N	\N
635462	2169	1998-06-04	VYDAJ	VYBER	14000	22613	\N	\N	\N
635463	2169	1998-07-04	VYDAJ	VYBER	12200	14991	\N	\N	\N
635464	2169	1998-08-03	VYDAJ	VYBER	9800	21241	\N	\N	\N
635465	2169	1998-09-02	VYDAJ	VYBER	12500	22824	\N	\N	\N
635466	2169	1998-10-02	VYDAJ	VYBER	12500	26407	\N	\N	\N
635467	2169	1998-11-01	VYDAJ	VYBER	14300	28208	\N	\N	\N
635468	2169	1998-12-01	VYDAJ	VYBER	15100	26919	\N	\N	\N
635487	2170	1994-05-19	PRIJEM	VKLAD	600	600	\N	\N	\N
635493	2170	1994-06-06	PRIJEM	PREVOD Z UCTU	74770	75370	\N	KL	97547798
635494	2170	1994-07-06	PRIJEM	PREVOD Z UCTU	49847	99807	\N	KL	97547798
635495	2170	1994-08-06	PRIJEM	PREVOD Z UCTU	49847	111784	\N	KL	97547798
635496	2170	1994-09-06	PRIJEM	PREVOD Z UCTU	49847	96030	\N	KL	97547798
635497	2170	1994-10-06	PRIJEM	PREVOD Z UCTU	49847	111401	\N	KL	97547798
635498	2170	1994-11-06	PRIJEM	PREVOD Z UCTU	49847	95466	\N	KL	97547798
635499	2170	1994-12-06	PRIJEM	PREVOD Z UCTU	74770	128082	\N	KL	97547798
635500	2170	1995-01-06	PRIJEM	PREVOD Z UCTU	49847	90482	\N	KL	97547798
635501	2170	1995-02-06	PRIJEM	PREVOD Z UCTU	49847	79151	\N	KL	97547798
635502	2170	1995-03-06	PRIJEM	PREVOD Z UCTU	49847	94890	\N	KL	97547798
635503	2170	1995-04-06	PRIJEM	PREVOD Z UCTU	49847	94363	\N	KL	97547798
635504	2170	1995-05-06	PRIJEM	PREVOD Z UCTU	49847	92724	\N	KL	97547798
635505	2170	1995-06-06	PRIJEM	PREVOD Z UCTU	74770	127826	\N	KL	97547798
635506	2170	1995-07-06	PRIJEM	PREVOD Z UCTU	49847	69371	\N	KL	97547798
635507	2170	1995-08-06	PRIJEM	PREVOD Z UCTU	49847	90678	\N	KL	97547798
635508	2170	1995-09-06	PRIJEM	PREVOD Z UCTU	49847	93625	\N	KL	97547798
635509	2170	1995-10-06	PRIJEM	PREVOD Z UCTU	49847	101892	\N	KL	97547798
635510	2170	1995-11-06	PRIJEM	PREVOD Z UCTU	49847	87110	\N	KL	97547798
635511	2170	1995-12-06	PRIJEM	PREVOD Z UCTU	74770	113720	\N	KL	97547798
635512	2170	1996-01-06	PRIJEM	PREVOD Z UCTU	49847	78865	\N	KL	97547798
635513	2170	1996-02-06	PRIJEM	PREVOD Z UCTU	49847	84052	\N	KL	97547798
635514	2170	1996-03-06	PRIJEM	PREVOD Z UCTU	49847	79647	\N	KL	97547798
635515	2170	1996-04-06	PRIJEM	PREVOD Z UCTU	49847	86759	\N	KL	97547798
635516	2170	1996-05-06	PRIJEM	PREVOD Z UCTU	49847	91980	\N	KL	97547798
635517	2170	1996-06-06	PRIJEM	PREVOD Z UCTU	74770	132977	\N	KL	97547798
635518	2170	1996-07-06	PRIJEM	PREVOD Z UCTU	49847	76906	\N	KL	97547798
635519	2170	1996-08-06	PRIJEM	PREVOD Z UCTU	49847	79966	\N	KL	97547798
635520	2170	1996-09-06	PRIJEM	PREVOD Z UCTU	49847	101518	\N	KL	97547798
635521	2170	1996-10-06	PRIJEM	PREVOD Z UCTU	49847	119179	\N	KL	97547798
635522	2170	1996-11-06	PRIJEM	PREVOD Z UCTU	49847	102323	\N	KL	97547798
635523	2170	1996-12-06	PRIJEM	PREVOD Z UCTU	74770	145735	\N	KL	97547798
635524	2170	1997-01-06	PRIJEM	PREVOD Z UCTU	49847	104158	\N	KL	97547798
635525	2170	1997-02-06	PRIJEM	PREVOD Z UCTU	49847	90038	\N	KL	97547798
635526	2170	1997-03-06	PRIJEM	PREVOD Z UCTU	49847	113266	\N	KL	97547798
635527	2170	1997-04-06	PRIJEM	PREVOD Z UCTU	49847	115514	\N	KL	97547798
635528	2170	1997-05-06	PRIJEM	PREVOD Z UCTU	49847	105035	\N	KL	97547798
635529	2170	1997-06-06	PRIJEM	PREVOD Z UCTU	74770	145159	\N	KL	97547798
635530	2170	1997-07-06	PRIJEM	PREVOD Z UCTU	49847	94696	\N	KL	97547798
635531	2170	1997-08-06	PRIJEM	PREVOD Z UCTU	49847	121746	\N	KL	97547798
635532	2170	1997-09-06	PRIJEM	PREVOD Z UCTU	49847	119548	\N	KL	97547798
635533	2170	1997-10-06	PRIJEM	PREVOD Z UCTU	49847	95791	\N	KL	97547798
635534	2170	1997-11-06	PRIJEM	PREVOD Z UCTU	49847	111700	\N	KL	97547798
635535	2170	1997-12-06	PRIJEM	PREVOD Z UCTU	74770	151643	\N	KL	97547798
635536	2170	1998-01-06	PRIJEM	PREVOD Z UCTU	49847	108280	\N	KL	97547798
635537	2170	1998-02-06	PRIJEM	PREVOD Z UCTU	49847	119446	\N	KL	97547798
635538	2170	1998-03-06	PRIJEM	PREVOD Z UCTU	49847	120590	\N	KL	97547798
635539	2170	1998-04-06	PRIJEM	PREVOD Z UCTU	49847	109889	\N	KL	97547798
635540	2170	1998-05-06	PRIJEM	PREVOD Z UCTU	49847	113478	\N	KL	97547798
635541	2170	1998-06-06	PRIJEM	PREVOD Z UCTU	74770	161231	\N	KL	97547798
635542	2170	1998-07-06	PRIJEM	PREVOD Z UCTU	49847	114415	\N	KL	97547798
635543	2170	1998-08-06	PRIJEM	PREVOD Z UCTU	49847	124146	\N	KL	97547798
635544	2170	1998-09-06	PRIJEM	PREVOD Z UCTU	49847	123381	\N	KL	97547798
635545	2170	1998-10-06	PRIJEM	PREVOD Z UCTU	49847	123998	\N	KL	97547798
635546	2170	1998-11-06	PRIJEM	PREVOD Z UCTU	49847	132011	\N	KL	97547798
635547	2170	1998-12-06	PRIJEM	PREVOD Z UCTU	74770	156459	\N	KL	97547798
635557	2170	1994-10-14	VYDAJ	PREVOD NA UCET	4838	66784	SIPO	KL	69894355
635558	2170	1994-11-14	VYDAJ	PREVOD NA UCET	4838	83149	SIPO	KL	69894355
635559	2170	1994-12-14	VYDAJ	PREVOD NA UCET	4838	79865	SIPO	KL	69894355
635560	2170	1995-01-14	VYDAJ	PREVOD NA UCET	4838	78165	SIPO	KL	69894355
635561	2170	1995-02-14	VYDAJ	PREVOD NA UCET	4838	44934	SIPO	KL	69894355
635562	2170	1995-03-14	VYDAJ	PREVOD NA UCET	4838	82573	SIPO	KL	69894355
635563	2170	1995-04-14	VYDAJ	PREVOD NA UCET	4838	53846	SIPO	KL	69894355
635564	2170	1995-05-14	VYDAJ	PREVOD NA UCET	4838	52907	SIPO	KL	69894355
635565	2170	1995-06-14	VYDAJ	PREVOD NA UCET	4838	19509	SIPO	KL	69894355
635566	2170	1995-07-14	VYDAJ	PREVOD NA UCET	4838	40754	SIPO	KL	69894355
635567	2170	1995-08-14	VYDAJ	PREVOD NA UCET	4838	43661	SIPO	KL	69894355
635568	2170	1995-09-14	VYDAJ	PREVOD NA UCET	4838	51908	SIPO	KL	69894355
635569	2170	1995-10-14	VYDAJ	PREVOD NA UCET	4838	60775	SIPO	KL	69894355
635570	2170	1995-11-14	VYDAJ	PREVOD NA UCET	4838	49093	SIPO	KL	69894355
635571	2170	1995-12-14	VYDAJ	PREVOD NA UCET	4838	36407	SIPO	KL	69894355
635572	2170	1996-01-14	VYDAJ	PREVOD NA UCET	4838	34148	SIPO	KL	69894355
635573	2170	1996-02-14	VYDAJ	PREVOD NA UCET	4838	49435	SIPO	KL	69894355
635574	2170	1996-03-14	VYDAJ	PREVOD NA UCET	4838	48230	SIPO	KL	69894355
635575	2170	1996-04-14	VYDAJ	PREVOD NA UCET	4838	42042	SIPO	KL	69894355
635576	2170	1996-05-14	VYDAJ	PREVOD NA UCET	4838	58063	SIPO	KL	69894355
635577	2170	1996-06-14	VYDAJ	PREVOD NA UCET	4838	26987	SIPO	KL	69894355
635578	2170	1996-07-14	VYDAJ	PREVOD NA UCET	4838	52089	SIPO	KL	69894355
635579	2170	1996-08-14	VYDAJ	PREVOD NA UCET	4838	53349	SIPO	KL	69894355
635580	2170	1996-09-14	VYDAJ	PREVOD NA UCET	4838	81401	SIPO	KL	69894355
635581	2170	1996-10-14	VYDAJ	PREVOD NA UCET	4838	79162	SIPO	KL	69894355
635582	2170	1996-11-14	VYDAJ	PREVOD NA UCET	4838	90006	SIPO	KL	69894355
635583	2170	1996-12-14	VYDAJ	PREVOD NA UCET	4838	63618	SIPO	KL	69894355
635584	2170	1997-01-14	VYDAJ	PREVOD NA UCET	4838	66641	SIPO	KL	69894355
635585	2170	1997-02-14	VYDAJ	PREVOD NA UCET	4838	77721	SIPO	KL	69894355
635586	2170	1997-03-14	VYDAJ	PREVOD NA UCET	4838	100949	SIPO	KL	69894355
635587	2170	1997-04-14	VYDAJ	PREVOD NA UCET	4838	59397	SIPO	KL	69894355
635588	2170	1997-05-14	VYDAJ	PREVOD NA UCET	4838	92718	SIPO	KL	69894355
635589	2170	1997-06-14	VYDAJ	PREVOD NA UCET	4838	37642	SIPO	KL	69894355
635590	2170	1997-07-14	VYDAJ	PREVOD NA UCET	4838	82379	SIPO	KL	69894355
635591	2170	1997-08-14	VYDAJ	PREVOD NA UCET	4838	90029	SIPO	KL	69894355
635592	2170	1997-09-14	VYDAJ	PREVOD NA UCET	4838	51431	SIPO	KL	69894355
635593	2170	1997-10-14	VYDAJ	PREVOD NA UCET	4838	69674	SIPO	KL	69894355
635594	2170	1997-11-14	VYDAJ	PREVOD NA UCET	4838	99383	SIPO	KL	69894355
635595	2170	1997-12-14	VYDAJ	PREVOD NA UCET	4838	62618	SIPO	KL	69894355
635596	2170	1998-01-14	VYDAJ	PREVOD NA UCET	4838	80063	SIPO	KL	69894355
635597	2170	1998-02-14	VYDAJ	PREVOD NA UCET	4838	76229	SIPO	KL	69894355
635598	2170	1998-03-14	VYDAJ	PREVOD NA UCET	4838	52273	SIPO	KL	69894355
635599	2170	1998-04-14	VYDAJ	PREVOD NA UCET	4838	97572	SIPO	KL	69894355
635600	2170	1998-05-14	VYDAJ	PREVOD NA UCET	4838	101161	SIPO	KL	69894355
635601	2170	1998-06-14	VYDAJ	PREVOD NA UCET	4838	85514	SIPO	KL	69894355
635602	2170	1998-07-14	VYDAJ	PREVOD NA UCET	4838	75498	SIPO	KL	69894355
635603	2170	1998-08-14	VYDAJ	PREVOD NA UCET	4838	60528	SIPO	KL	69894355
635604	2170	1998-09-14	VYDAJ	PREVOD NA UCET	4838	68564	SIPO	KL	69894355
635605	2170	1998-10-14	VYDAJ	PREVOD NA UCET	4838	91781	SIPO	KL	69894355
635606	2170	1998-11-14	VYDAJ	PREVOD NA UCET	4838	59897	SIPO	KL	69894355
635607	2170	1998-12-14	VYDAJ	PREVOD NA UCET	4838	67442	SIPO	KL	69894355
635617	2170	1994-10-10	VYDAJ	PREVOD NA UCET	1468	71622	 	YZ	60630810
635618	2170	1994-11-10	VYDAJ	PREVOD NA UCET	1468	87987	 	YZ	60630810
635619	2170	1994-12-10	VYDAJ	PREVOD NA UCET	1468	84703	 	YZ	60630810
635620	2170	1995-01-10	VYDAJ	PREVOD NA UCET	1468	83003	 	YZ	60630810
635621	2170	1995-02-10	VYDAJ	PREVOD NA UCET	1468	71672	 	YZ	60630810
635622	2170	1995-03-10	VYDAJ	PREVOD NA UCET	1468	87411	 	YZ	60630810
635623	2170	1995-04-10	VYDAJ	PREVOD NA UCET	1468	86884	 	YZ	60630810
635624	2170	1995-05-10	VYDAJ	PREVOD NA UCET	1468	85245	 	YZ	60630810
635625	2170	1995-06-10	VYDAJ	PREVOD NA UCET	1468	21647	 	YZ	60630810
635626	2170	1995-07-10	VYDAJ	PREVOD NA UCET	1468	61892	 	YZ	60630810
635627	2170	1995-08-10	VYDAJ	PREVOD NA UCET	1468	83199	 	YZ	60630810
635628	2170	1995-09-10	VYDAJ	PREVOD NA UCET	1468	86146	 	YZ	60630810
635629	2170	1995-10-10	VYDAJ	PREVOD NA UCET	1468	94413	 	YZ	60630810
635630	2170	1995-11-10	VYDAJ	PREVOD NA UCET	1468	79631	 	YZ	60630810
635631	2170	1995-12-10	VYDAJ	PREVOD NA UCET	1468	60441	 	YZ	60630810
635632	2170	1996-01-10	VYDAJ	PREVOD NA UCET	1468	38986	 	YZ	60630810
635633	2170	1996-02-10	VYDAJ	PREVOD NA UCET	1468	54273	 	YZ	60630810
635634	2170	1996-03-10	VYDAJ	PREVOD NA UCET	1468	53068	 	YZ	60630810
635635	2170	1996-04-10	VYDAJ	PREVOD NA UCET	1468	57980	 	YZ	60630810
635636	2170	1996-05-10	VYDAJ	PREVOD NA UCET	1468	62901	 	YZ	60630810
635637	2170	1996-06-10	VYDAJ	PREVOD NA UCET	1468	55498	 	YZ	60630810
635638	2170	1996-07-10	VYDAJ	PREVOD NA UCET	1468	56927	 	YZ	60630810
635639	2170	1996-08-10	VYDAJ	PREVOD NA UCET	1468	58187	 	YZ	60630810
635640	2170	1996-09-10	VYDAJ	PREVOD NA UCET	1468	86239	 	YZ	60630810
635641	2170	1996-10-10	VYDAJ	PREVOD NA UCET	1468	84000	 	YZ	60630810
635642	2170	1996-11-10	VYDAJ	PREVOD NA UCET	1468	94844	 	YZ	60630810
635643	2170	1996-12-10	VYDAJ	PREVOD NA UCET	1468	68456	 	YZ	60630810
635644	2170	1997-01-10	VYDAJ	PREVOD NA UCET	1468	96679	 	YZ	60630810
635645	2170	1997-02-10	VYDAJ	PREVOD NA UCET	1468	82559	 	YZ	60630810
635646	2170	1997-03-10	VYDAJ	PREVOD NA UCET	1468	105787	 	YZ	60630810
635647	2170	1997-04-10	VYDAJ	PREVOD NA UCET	1468	64235	 	YZ	60630810
635648	2170	1997-05-10	VYDAJ	PREVOD NA UCET	1468	97556	 	YZ	60630810
635649	2170	1997-06-10	VYDAJ	PREVOD NA UCET	1468	42480	 	YZ	60630810
635650	2170	1997-07-10	VYDAJ	PREVOD NA UCET	1468	87217	 	YZ	60630810
635651	2170	1997-08-10	VYDAJ	PREVOD NA UCET	1468	94867	 	YZ	60630810
635652	2170	1997-09-10	VYDAJ	PREVOD NA UCET	1468	56269	 	YZ	60630810
635653	2170	1997-10-10	VYDAJ	PREVOD NA UCET	1468	74512	 	YZ	60630810
635654	2170	1997-11-10	VYDAJ	PREVOD NA UCET	1468	104221	 	YZ	60630810
635655	2170	1997-12-10	VYDAJ	PREVOD NA UCET	1468	67456	 	YZ	60630810
635656	2170	1998-01-10	VYDAJ	PREVOD NA UCET	1468	100801	 	YZ	60630810
635657	2170	1998-02-10	VYDAJ	PREVOD NA UCET	1468	81067	 	YZ	60630810
635658	2170	1998-03-10	VYDAJ	PREVOD NA UCET	1468	57111	 	YZ	60630810
635659	2170	1998-04-10	VYDAJ	PREVOD NA UCET	1468	102410	 	YZ	60630810
635660	2170	1998-05-10	VYDAJ	PREVOD NA UCET	1468	105999	 	YZ	60630810
635661	2170	1998-06-10	VYDAJ	PREVOD NA UCET	1468	91852	 	YZ	60630810
635662	2170	1998-07-10	VYDAJ	PREVOD NA UCET	1468	80336	 	YZ	60630810
635663	2170	1998-08-10	VYDAJ	PREVOD NA UCET	1468	76167	 	YZ	60630810
635664	2170	1998-09-10	VYDAJ	PREVOD NA UCET	1468	73402	 	YZ	60630810
635665	2170	1998-10-10	VYDAJ	PREVOD NA UCET	1468	96619	 	YZ	60630810
635666	2170	1998-11-10	VYDAJ	PREVOD NA UCET	1468	70032	 	YZ	60630810
635667	2170	1998-12-10	VYDAJ	PREVOD NA UCET	1468	72280	 	YZ	60630810
635677	2170	1994-10-06	VYDAJ	PREVOD NA UCET	6011	73090	POJISTNE	MN	6311643
635678	2170	1994-11-06	VYDAJ	PREVOD NA UCET	6011	89455	POJISTNE	MN	6311643
635679	2170	1994-12-06	VYDAJ	PREVOD NA UCET	6011	122071	POJISTNE	MN	6311643
635680	2170	1995-01-06	VYDAJ	PREVOD NA UCET	6011	84471	POJISTNE	MN	6311643
635681	2170	1995-02-06	VYDAJ	PREVOD NA UCET	6011	73140	POJISTNE	MN	6311643
635682	2170	1995-03-06	VYDAJ	PREVOD NA UCET	6011	88879	POJISTNE	MN	6311643
635683	2170	1995-04-06	VYDAJ	PREVOD NA UCET	6011	88352	POJISTNE	MN	6311643
635684	2170	1995-05-06	VYDAJ	PREVOD NA UCET	6011	86713	POJISTNE	MN	6311643
635685	2170	1995-06-06	VYDAJ	PREVOD NA UCET	6011	72015	POJISTNE	MN	6311643
635686	2170	1995-07-06	VYDAJ	PREVOD NA UCET	6011	63360	POJISTNE	MN	6311643
635687	2170	1995-08-06	VYDAJ	PREVOD NA UCET	6011	84667	POJISTNE	MN	6311643
635688	2170	1995-09-06	VYDAJ	PREVOD NA UCET	6011	87614	POJISTNE	MN	6311643
635689	2170	1995-10-06	VYDAJ	PREVOD NA UCET	6011	95881	POJISTNE	MN	6311643
635690	2170	1995-11-06	VYDAJ	PREVOD NA UCET	6011	81099	POJISTNE	MN	6311643
635691	2170	1995-12-06	VYDAJ	PREVOD NA UCET	6011	88809	POJISTNE	MN	6311643
635692	2170	1996-01-06	VYDAJ	PREVOD NA UCET	6011	72854	POJISTNE	MN	6311643
635693	2170	1996-02-06	VYDAJ	PREVOD NA UCET	6011	78041	POJISTNE	MN	6311643
635694	2170	1996-03-06	VYDAJ	PREVOD NA UCET	6011	73636	POJISTNE	MN	6311643
635695	2170	1996-04-06	VYDAJ	PREVOD NA UCET	6011	80748	POJISTNE	MN	6311643
635696	2170	1996-05-06	VYDAJ	PREVOD NA UCET	6011	85969	POJISTNE	MN	6311643
635697	2170	1996-06-06	VYDAJ	PREVOD NA UCET	6011	126966	POJISTNE	MN	6311643
635698	2170	1996-07-06	VYDAJ	PREVOD NA UCET	6011	70895	POJISTNE	MN	6311643
635699	2170	1996-08-06	VYDAJ	PREVOD NA UCET	6011	73955	POJISTNE	MN	6311643
635700	2170	1996-09-06	VYDAJ	PREVOD NA UCET	6011	95507	POJISTNE	MN	6311643
635701	2170	1996-10-06	VYDAJ	PREVOD NA UCET	6011	113168	POJISTNE	MN	6311643
635702	2170	1996-11-06	VYDAJ	PREVOD NA UCET	6011	96312	POJISTNE	MN	6311643
635703	2170	1996-12-06	VYDAJ	PREVOD NA UCET	6011	139724	POJISTNE	MN	6311643
635704	2170	1997-01-06	VYDAJ	PREVOD NA UCET	6011	98147	POJISTNE	MN	6311643
635705	2170	1997-02-06	VYDAJ	PREVOD NA UCET	6011	84027	POJISTNE	MN	6311643
635706	2170	1997-03-06	VYDAJ	PREVOD NA UCET	6011	107255	POJISTNE	MN	6311643
635707	2170	1997-04-06	VYDAJ	PREVOD NA UCET	6011	109503	POJISTNE	MN	6311643
635708	2170	1997-05-06	VYDAJ	PREVOD NA UCET	6011	99024	POJISTNE	MN	6311643
635709	2170	1997-06-06	VYDAJ	PREVOD NA UCET	6011	139148	POJISTNE	MN	6311643
635710	2170	1997-07-06	VYDAJ	PREVOD NA UCET	6011	88685	POJISTNE	MN	6311643
635711	2170	1997-08-06	VYDAJ	PREVOD NA UCET	6011	115735	POJISTNE	MN	6311643
635712	2170	1997-09-06	VYDAJ	PREVOD NA UCET	6011	113537	POJISTNE	MN	6311643
635713	2170	1997-10-06	VYDAJ	PREVOD NA UCET	6011	89780	POJISTNE	MN	6311643
635714	2170	1997-11-06	VYDAJ	PREVOD NA UCET	6011	105689	POJISTNE	MN	6311643
635715	2170	1997-12-06	VYDAJ	PREVOD NA UCET	6011	145632	POJISTNE	MN	6311643
635716	2170	1998-01-06	VYDAJ	PREVOD NA UCET	6011	102269	POJISTNE	MN	6311643
635717	2170	1998-02-06	VYDAJ	PREVOD NA UCET	6011	113435	POJISTNE	MN	6311643
635718	2170	1998-03-06	VYDAJ	PREVOD NA UCET	6011	114579	POJISTNE	MN	6311643
635719	2170	1998-04-06	VYDAJ	PREVOD NA UCET	6011	103878	POJISTNE	MN	6311643
635720	2170	1998-05-06	VYDAJ	PREVOD NA UCET	6011	107467	POJISTNE	MN	6311643
635721	2170	1998-06-06	VYDAJ	PREVOD NA UCET	6011	155220	POJISTNE	MN	6311643
635722	2170	1998-07-06	VYDAJ	PREVOD NA UCET	6011	81804	POJISTNE	MN	6311643
635723	2170	1998-08-06	VYDAJ	PREVOD NA UCET	6011	118135	POJISTNE	MN	6311643
635724	2170	1998-09-06	VYDAJ	PREVOD NA UCET	6011	74870	POJISTNE	MN	6311643
635725	2170	1998-10-06	VYDAJ	PREVOD NA UCET	6011	117987	POJISTNE	MN	6311643
635726	2170	1998-11-06	VYDAJ	PREVOD NA UCET	6011	126000	POJISTNE	MN	6311643
635727	2170	1998-12-06	VYDAJ	PREVOD NA UCET	6011	150448	POJISTNE	MN	6311643
635729	2170	1995-11-02	VYBER	VYBER	10776	37263	\N	\N	\N
635731	2170	1995-11-28	VYBER	VYBER	10266	38827	\N	\N	\N
635732	2170	1995-12-14	VYBER	VYBER	19196	41245	\N	\N	\N
635734	2170	1996-07-15	VYBER	VYBER	22027	30062	\N	\N	\N
635735	2170	1996-06-13	VYBER	VYBER	23673	31825	\N	\N	\N
635736	2170	1996-10-27	VYBER	VYBER	23824	55338	\N	\N	\N
635737	2170	1996-02-25	VYBER	VYBER	19728	29707	\N	\N	\N
635738	2170	1997-03-17	VYBER	VYBER	7695	93254	\N	\N	\N
635739	2170	1997-12-10	VYBER	VYBER	24308	68924	\N	\N	\N
635740	2170	1997-03-23	VYBER	VYBER	17460	75794	\N	\N	\N
635741	2170	1997-01-16	VYBER	VYBER	9022	56119	\N	\N	\N
635743	2170	1997-01-25	VYBER	VYBER	19593	36526	\N	\N	\N
635744	2170	1997-12-24	VYBER	VYBER	8382	54236	\N	\N	\N
635745	2170	1997-09-18	VYBER	VYBER	20513	30918	\N	\N	\N
635746	2170	1998-08-14	VYBER	VYBER	10801	65366	\N	\N	\N
635747	2170	1998-09-16	VYBER	VYBER	12619	55945	\N	\N	\N
635748	2170	1998-04-15	VYBER	VYBER	9697	87875	\N	\N	\N
635749	2170	1998-11-13	VYBER	VYBER	5297	64735	\N	\N	\N
635751	2170	1995-06-07	VYDAJ	VYBER	48900	23115	\N	\N	\N
635753	2170	1997-06-07	VYDAJ	VYBER	51300	43948	\N	\N	\N
635754	2170	1998-06-21	VYDAJ	VYBER	33000	52514	\N	\N	\N
635756	2170	1995-01-29	VYDAJ	VYBER	20100	29165	\N	\N	\N
635757	2170	1996-01-06	VYDAJ	VYBER	26700	46154	\N	\N	\N
635758	2170	1997-01-14	VYDAJ	VYBER	25200	71479	\N	\N	\N
635759	2170	1998-01-14	VYDAJ	VYBER	15900	84901	\N	\N	\N
635760	2170	1994-12-09	VYDAJ	VYBER	3900	86171	\N	\N	\N
635761	2170	1995-12-26	VYDAJ	VYBER	7500	28907	\N	\N	\N
635762	2170	1996-12-15	VYDAJ	VYBER	2400	61218	\N	\N	\N
635763	2170	1997-12-01	VYDAJ	VYBER	4200	76873	\N	\N	\N
635764	2170	1998-12-10	VYDAJ	VYBER	4800	73748	\N	\N	\N
635772	2170	1995-01-04	VYDAJ	VYBER	10800	40635	\N	\N	\N
635774	2170	1995-08-10	VYDAJ	VYBER	12600	70599	\N	\N	\N
635775	2170	1995-10-25	VYDAJ	VYBER	12900	47875	\N	\N	\N
635776	2170	1995-03-17	VYDAJ	VYBER	10800	44373	\N	\N	\N
635777	2170	1995-04-15	VYDAJ	VYBER	11100	42746	\N	\N	\N
635778	2170	1996-09-09	VYDAJ	VYBER	7800	87707	\N	\N	\N
635779	2170	1996-03-19	VYDAJ	VYBER	11400	36830	\N	\N	\N
635780	2170	1996-04-11	VYDAJ	VYBER	11100	46880	\N	\N	\N
635781	2170	1997-10-08	VYDAJ	VYBER	13800	75980	\N	\N	\N
635782	2170	1997-08-23	VYDAJ	VYBER	8400	81629	\N	\N	\N
635783	2170	1997-01-15	VYDAJ	VYBER	1500	65141	\N	\N	\N
635784	2170	1998-12-23	VYDAJ	VYBER KARTOU	2100	65342	\N	\N	0
635785	2170	1998-10-30	VYDAJ	VYBER	12300	81881	\N	\N	\N
635786	2170	1998-12-26	VYDAJ	VYBER	4500	77742	\N	\N	\N
635787	2170	1998-05-01	VYDAJ	VYBER	13800	63631	\N	\N	\N
635788	2170	1998-07-17	VYDAJ	VYBER	5100	70398	\N	\N	\N
635789	2170	1998-06-11	VYDAJ	VYBER KARTOU	1500	90352	\N	\N	0
635800	2170	1994-10-31	VYDAJ	VYBER	100	45619	SLUZBY	\N	\N
635801	2170	1994-11-30	VYDAJ	VYBER	100	53312	SLUZBY	\N	\N
635802	2170	1994-12-31	VYDAJ	VYBER	100	51435	SLUZBY	\N	\N
635803	2170	1995-01-31	VYDAJ	VYBER	100	29304	SLUZBY	\N	\N
635804	2170	1995-02-28	VYDAJ	VYBER	100	45043	SLUZBY	\N	\N
635805	2170	1995-03-31	VYDAJ	VYBER	100	44516	SLUZBY	\N	\N
635806	2170	1995-04-30	VYDAJ	VYBER	100	42877	SLUZBY	\N	\N
635807	2170	1995-05-31	VYDAJ	VYBER	100	53056	SLUZBY	\N	\N
635808	2170	1995-06-30	VYDAJ	VYBER	100	19524	SLUZBY	\N	\N
635809	2170	1995-07-31	VYDAJ	VYBER	100	40831	SLUZBY	\N	\N
635810	2170	1995-08-31	VYDAJ	VYBER	100	43778	SLUZBY	\N	\N
635811	2170	1995-09-30	VYDAJ	VYBER	100	52045	SLUZBY	\N	\N
635812	2170	1995-10-31	VYDAJ	VYBER	100	48039	SLUZBY	\N	\N
635813	2170	1995-11-30	VYDAJ	VYBER	100	38950	SLUZBY	\N	\N
635814	2170	1995-12-31	VYDAJ	VYBER	100	29018	SLUZBY	\N	\N
635815	2170	1996-01-31	VYDAJ	VYBER	100	34205	SLUZBY	\N	\N
635816	2170	1996-02-29	VYDAJ	VYBER	100	29800	SLUZBY	\N	\N
635817	2170	1996-03-31	VYDAJ	VYBER	100	36912	SLUZBY	\N	\N
635818	2170	1996-04-30	VYDAJ	VYBER	100	42133	SLUZBY	\N	\N
635819	2170	1996-05-31	VYDAJ	VYBER	100	58207	SLUZBY	\N	\N
635820	2170	1996-06-30	VYDAJ	VYBER	100	27059	SLUZBY	\N	\N
635821	2170	1996-07-31	VYDAJ	VYBER	100	30119	SLUZBY	\N	\N
635822	2170	1996-08-31	VYDAJ	VYBER	100	53471	SLUZBY	\N	\N
635823	2170	1996-09-30	VYDAJ	VYBER	100	81632	SLUZBY	\N	\N
635824	2170	1996-10-31	VYDAJ	VYBER	100	55576	SLUZBY	\N	\N
635825	2170	1996-11-30	VYDAJ	VYBER	100	90265	SLUZBY	\N	\N
635826	2170	1996-12-31	VYDAJ	VYBER	100	61411	SLUZBY	\N	\N
635827	2170	1997-01-31	VYDAJ	VYBER	100	36691	SLUZBY	\N	\N
635828	2170	1997-02-28	VYDAJ	VYBER	100	77919	SLUZBY	\N	\N
635829	2170	1997-03-31	VYDAJ	VYBER	100	76067	SLUZBY	\N	\N
635830	2170	1997-04-30	VYDAJ	VYBER	100	59588	SLUZBY	\N	\N
635831	2170	1997-05-31	VYDAJ	VYBER	100	92989	SLUZBY	\N	\N
635832	2170	1997-06-30	VYDAJ	VYBER	100	37749	SLUZBY	\N	\N
635833	2170	1997-07-31	VYDAJ	VYBER	100	82599	SLUZBY	\N	\N
635834	2170	1997-08-31	VYDAJ	VYBER	100	69701	SLUZBY	\N	\N
635835	2170	1997-09-30	VYDAJ	VYBER	100	45944	SLUZBY	\N	\N
635836	2170	1997-10-31	VYDAJ	VYBER	100	61853	SLUZBY	\N	\N
635837	2170	1997-11-30	VYDAJ	VYBER	100	81073	SLUZBY	\N	\N
635838	2170	1997-12-31	VYDAJ	VYBER	100	58433	SLUZBY	\N	\N
635839	2170	1998-01-31	VYDAJ	VYBER	100	69599	SLUZBY	\N	\N
635840	2170	1998-02-28	VYDAJ	VYBER	100	70743	SLUZBY	\N	\N
635841	2170	1998-03-31	VYDAJ	VYBER	100	60042	SLUZBY	\N	\N
635842	2170	1998-04-30	VYDAJ	VYBER	100	77431	SLUZBY	\N	\N
635843	2170	1998-05-31	VYDAJ	VYBER	100	86461	SLUZBY	\N	\N
635844	2170	1998-06-30	VYDAJ	VYBER	100	64568	SLUZBY	\N	\N
635845	2170	1998-07-31	VYDAJ	VYBER	100	74299	SLUZBY	\N	\N
635846	2170	1998-08-31	VYDAJ	VYBER	100	73534	SLUZBY	\N	\N
635847	2170	1998-09-30	VYDAJ	VYBER	100	74151	SLUZBY	\N	\N
635848	2170	1998-10-31	VYDAJ	VYBER	100	82164	SLUZBY	\N	\N
635849	2170	1998-11-30	VYDAJ	VYBER	100	81689	SLUZBY	\N	\N
635850	2170	1994-06-18	VYDAJ	VYBER	25500	49870	\N	\N	\N
635851	2170	1994-07-18	VYDAJ	VYBER	38100	61707	\N	\N	\N
635852	2170	1994-08-06	VYDAJ	VYBER	44100	67684	\N	\N	\N
635853	2170	1994-08-17	VYDAJ	VYBER	21800	45884	\N	\N	\N
635854	2170	1994-09-16	VYDAJ	VYBER	34700	61330	\N	\N	\N
635855	2170	1994-10-06	VYDAJ	VYBER	32300	79101	\N	\N	\N
635856	2170	1994-10-16	VYDAJ	VYBER	21300	45484	\N	\N	\N
635857	2170	1994-11-15	VYDAJ	VYBER	30000	53149	\N	\N	\N
635858	2170	1994-12-06	VYDAJ	VYBER	32000	90071	\N	\N	\N
635859	2170	1994-12-15	VYDAJ	VYBER	28600	51265	\N	\N	\N
635860	2170	1995-01-14	VYDAJ	VYBER	28900	49265	\N	\N	\N
635861	2170	1995-02-13	VYDAJ	VYBER	21900	49772	\N	\N	\N
635862	2170	1995-03-15	VYDAJ	VYBER	27400	55173	\N	\N	\N
635863	2170	1995-04-14	VYDAJ	VYBER	28200	58684	\N	\N	\N
635864	2170	1995-05-14	VYDAJ	VYBER	27500	57745	\N	\N	\N
635865	2170	1995-06-06	VYDAJ	VYBER	49800	78026	\N	\N	\N
635866	2170	1995-06-13	PRIJEM	VKLAD	2700	24347	\N	\N	\N
635867	2170	1995-07-13	VYDAJ	VYBER	16300	45592	\N	\N	\N
635868	2170	1995-08-12	VYDAJ	VYBER	22100	48499	\N	\N	\N
635869	2170	1995-09-11	VYDAJ	VYBER	29400	56746	\N	\N	\N
635870	2170	1995-10-11	VYDAJ	VYBER	28800	65613	\N	\N	\N
635871	2170	1995-11-10	VYDAJ	VYBER	25700	53931	\N	\N	\N
635872	2170	1995-12-06	VYDAJ	VYBER	18900	94820	\N	\N	\N
635873	2170	1995-12-10	VYDAJ	VYBER	26900	61909	\N	\N	\N
635874	2170	1996-01-09	VYDAJ	VYBER	5700	40454	\N	\N	\N
635875	2170	1996-02-08	VYDAJ	VYBER	22300	55741	\N	\N	\N
635876	2170	1996-03-09	VYDAJ	VYBER	19100	54536	\N	\N	\N
635877	2170	1996-04-08	VYDAJ	VYBER	21300	59448	\N	\N	\N
635878	2170	1996-05-08	VYDAJ	VYBER	21600	64369	\N	\N	\N
635879	2170	1996-06-06	VYDAJ	VYBER	55000	71966	\N	\N	\N
635880	2170	1996-06-07	VYDAJ	VYBER	15000	56966	\N	\N	\N
635881	2170	1996-07-07	VYDAJ	VYBER	12500	58395	\N	\N	\N
635882	2170	1996-08-06	VYDAJ	VYBER	14300	59655	\N	\N	\N
635883	2170	1996-09-05	VYDAJ	VYBER	1800	51671	\N	\N	\N
635884	2170	1996-10-05	VYDAJ	VYBER	12300	69332	\N	\N	\N
635885	2170	1996-10-06	VYDAJ	VYBER	27700	85468	\N	\N	\N
635886	2170	1996-11-04	VYDAJ	VYBER	3100	52476	\N	\N	\N
635887	2170	1996-12-04	VYDAJ	VYBER	19300	70965	\N	\N	\N
635888	2170	1996-12-06	VYDAJ	VYBER	20200	69924	\N	\N	\N
635889	2170	1996-12-06	VYDAJ	VYBER	49600	90124	\N	\N	\N
635890	2170	1997-01-03	VYDAJ	VYBER	7100	54311	\N	\N	\N
635891	2170	1997-02-02	PRIJEM	VKLAD	3500	40191	\N	\N	\N
635892	2170	1997-03-04	VYDAJ	VYBER	14500	63419	\N	\N	\N
635893	2170	1997-04-03	VYDAJ	VYBER	10400	65667	\N	\N	\N
635894	2170	1997-04-06	VYDAJ	VYBER	43800	65703	\N	\N	\N
635895	2170	1997-05-03	VYDAJ	VYBER	4400	55188	\N	\N	\N
635896	2170	1997-06-02	VYDAJ	VYBER	22600	70389	\N	\N	\N
635897	2170	1997-06-06	VYDAJ	VYBER	43900	95248	\N	\N	\N
635898	2170	1997-07-02	PRIJEM	VKLAD	7100	44849	\N	\N	\N
635899	2170	1997-08-01	VYDAJ	VYBER	10700	71899	\N	\N	\N
635900	2170	1997-08-06	VYDAJ	VYBER	19400	96335	\N	\N	\N
635901	2170	1997-08-31	VYDAJ	VYBER	12200	69801	\N	\N	\N
635902	2170	1997-09-06	VYDAJ	VYBER	55800	57737	\N	\N	\N
635903	2170	1997-09-30	PRIJEM	VKLAD	14900	45818	\N	\N	\N
635904	2170	1997-10-30	VYDAJ	VYBER	8000	61674	\N	\N	\N
635905	2170	1997-11-29	VYDAJ	VYBER	18600	80783	\N	\N	\N
635906	2170	1997-12-06	VYDAJ	VYBER	23400	122232	\N	\N	\N
635907	2170	1997-12-06	VYDAJ	VYBER	29000	93232	\N	\N	\N
635908	2170	1997-12-29	PRIJEM	VKLAD	4000	58236	\N	\N	\N
635909	2170	1998-01-28	VYDAJ	VYBER	10700	69363	\N	\N	\N
635910	2170	1998-02-06	VYDAJ	VYBER	30900	82535	\N	\N	\N
635911	2170	1998-02-27	VYDAJ	VYBER	5700	70529	\N	\N	\N
635912	2170	1998-03-06	VYDAJ	VYBER	56000	58579	\N	\N	\N
635913	2170	1998-03-29	PRIJEM	VKLAD	7600	59873	\N	\N	\N
635914	2170	1998-04-28	VYDAJ	VYBER	10700	77175	\N	\N	\N
635915	2170	1998-05-28	VYDAJ	VYBER	15000	86161	\N	\N	\N
635916	2170	1998-06-06	VYDAJ	VYBER	61900	93320	\N	\N	\N
635917	2170	1998-06-27	PRIJEM	VKLAD	11800	64314	\N	\N	\N
635918	2170	1998-07-06	VYDAJ	VYBER	26600	87815	\N	\N	\N
635919	2170	1998-07-27	PRIJEM	VKLAD	3700	74098	\N	\N	\N
635920	2170	1998-08-06	VYDAJ	VYBER	40500	77635	\N	\N	\N
635921	2170	1998-08-26	PRIJEM	VKLAD	12800	73328	\N	\N	\N
635922	2170	1998-09-06	VYDAJ	VYBER	42500	80881	\N	\N	\N
635923	2170	1998-09-25	PRIJEM	VKLAD	18000	73945	\N	\N	\N
635924	2170	1998-10-06	VYDAJ	VYBER	19900	98087	\N	\N	\N
635925	2170	1998-10-25	PRIJEM	VKLAD	2400	94181	\N	\N	\N
635926	2170	1998-11-06	VYDAJ	VYBER	54500	71500	\N	\N	\N
635927	2170	1998-11-24	PRIJEM	VKLAD	21600	81497	\N	\N	\N
635928	2170	1998-12-06	VYDAJ	VYBER	20800	129648	\N	\N	\N
635929	2170	1998-12-06	VYDAJ	VYBER	51100	78548	\N	\N	\N
635930	2170	1998-12-24	PRIJEM	VKLAD	16900	82242	\N	\N	\N
636282	2172	1997-09-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
636291	2172	1997-09-14	PRIJEM	PREVOD Z UCTU	5120	6220	DUCHOD	MN	60679709
636292	2172	1997-10-14	PRIJEM	PREVOD Z UCTU	5120	11355	DUCHOD	MN	60679709
636293	2172	1997-11-14	PRIJEM	PREVOD Z UCTU	5120	16501	DUCHOD	MN	60679709
636294	2172	1997-12-14	PRIJEM	PREVOD Z UCTU	5120	21647	DUCHOD	MN	60679709
636295	2172	1998-01-14	PRIJEM	PREVOD Z UCTU	5120	26792	DUCHOD	MN	60679709
636296	2172	1998-02-14	PRIJEM	PREVOD Z UCTU	5120	21498	DUCHOD	MN	60679709
636297	2172	1998-03-14	PRIJEM	PREVOD Z UCTU	5120	23276	DUCHOD	MN	60679709
636298	2172	1998-04-14	PRIJEM	PREVOD Z UCTU	5120	21463	DUCHOD	MN	60679709
636299	2172	1998-05-14	PRIJEM	PREVOD Z UCTU	5120	20044	DUCHOD	MN	60679709
636300	2172	1998-06-14	PRIJEM	PREVOD Z UCTU	5120	18458	DUCHOD	MN	60679709
636301	2172	1998-07-14	PRIJEM	PREVOD Z UCTU	5120	20227	DUCHOD	MN	60679709
636302	2172	1998-08-14	PRIJEM	PREVOD Z UCTU	5120	22000	DUCHOD	MN	60679709
636303	2172	1998-09-14	PRIJEM	PREVOD Z UCTU	5120	23781	DUCHOD	MN	60679709
636304	2172	1998-10-14	PRIJEM	PREVOD Z UCTU	5120	25570	DUCHOD	MN	60679709
636305	2172	1998-11-14	PRIJEM	PREVOD Z UCTU	5120	27365	DUCHOD	MN	60679709
636306	2172	1998-12-14	PRIJEM	PREVOD Z UCTU	5120	28669	DUCHOD	MN	60679709
636320	2172	1998-02-10	VYDAJ	PREVOD NA UCET	3413	16378	SIPO	KL	8108789
636321	2172	1998-03-10	VYDAJ	PREVOD NA UCET	3413	18156	SIPO	KL	8108789
636322	2172	1998-04-10	VYDAJ	PREVOD NA UCET	3413	16343	SIPO	KL	8108789
636323	2172	1998-05-10	VYDAJ	PREVOD NA UCET	3413	15804	SIPO	KL	8108789
636324	2172	1998-06-10	VYDAJ	PREVOD NA UCET	3413	13338	SIPO	KL	8108789
636325	2172	1998-07-10	VYDAJ	PREVOD NA UCET	3413	15107	SIPO	KL	8108789
636326	2172	1998-08-10	VYDAJ	PREVOD NA UCET	3413	16880	SIPO	KL	8108789
636327	2172	1998-09-10	VYDAJ	PREVOD NA UCET	3413	18661	SIPO	KL	8108789
636328	2172	1998-10-10	VYDAJ	PREVOD NA UCET	3413	20450	SIPO	KL	8108789
636329	2172	1998-11-10	VYDAJ	PREVOD NA UCET	3413	22245	SIPO	KL	8108789
636330	2172	1998-12-10	VYDAJ	PREVOD NA UCET	3413	24049	SIPO	KL	8108789
636334	2172	1998-01-27	VYDAJ	VYBER	1450	19742	\N	\N	\N
636336	2172	1998-12-10	VYDAJ	VYBER	500	23549	\N	\N	\N
636344	2172	1998-01-14	VYDAJ	VYBER	1280	25512	\N	\N	\N
636345	2172	1998-01-20	VYDAJ	VYBER	1040	21192	\N	\N	\N
636347	2172	1998-01-16	VYDAJ	VYBER	1520	22232	\N	\N	\N
636348	2172	1998-01-15	VYDAJ	VYBER	1760	23752	\N	\N	\N
636355	2172	1998-05-13	VYDAJ	VYBER	880	14924	\N	\N	\N
636356	2172	1998-03-31	VYDAJ	VYBER	3600	19756	\N	\N	\N
636357	2172	1998-06-06	VYDAJ	VYBER	3360	16751	\N	\N	\N
636358	2172	1998-04-20	VYDAJ	VYBER	2320	19143	\N	\N	\N
636372	2172	1998-01-31	VYDAJ	VYBER	15	19791	SLUZBY	\N	\N
636373	2172	1998-02-28	VYDAJ	VYBER	15	21569	SLUZBY	\N	\N
636374	2172	1998-03-31	VYDAJ	VYBER	15	23356	SLUZBY	\N	\N
636375	2172	1998-04-30	VYDAJ	VYBER	15	19217	SLUZBY	\N	\N
636376	2172	1998-05-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
636377	2172	1998-06-30	VYDAJ	VYBER	15	18520	SLUZBY	\N	\N
636378	2172	1998-07-31	VYDAJ	VYBER	15	20293	SLUZBY	\N	\N
636379	2172	1998-08-31	VYDAJ	VYBER	15	22074	SLUZBY	\N	\N
636380	2172	1998-09-30	VYDAJ	VYBER	15	23863	SLUZBY	\N	\N
636381	2172	1998-10-31	VYDAJ	VYBER	15	25658	SLUZBY	\N	\N
636382	2172	1998-11-30	VYDAJ	VYBER	15	27462	SLUZBY	\N	\N
636399	2173	1997-05-02	PRIJEM	VKLAD	900	900	\N	\N	\N
636404	2173	1997-05-13	PRIJEM	PREVOD Z UCTU	5916	6816	DUCHOD	CD	45266485
636405	2173	1997-06-13	PRIJEM	PREVOD Z UCTU	5916	12749	DUCHOD	CD	45266485
636406	2173	1997-07-13	PRIJEM	PREVOD Z UCTU	5916	18694	DUCHOD	CD	45266485
636407	2173	1997-08-13	PRIJEM	PREVOD Z UCTU	5916	24638	DUCHOD	CD	45266485
636408	2173	1997-09-13	PRIJEM	PREVOD Z UCTU	5916	30583	DUCHOD	CD	45266485
636409	2173	1997-10-13	PRIJEM	PREVOD Z UCTU	5916	33668	DUCHOD	CD	45266485
636410	2173	1997-11-13	PRIJEM	PREVOD Z UCTU	5916	30371	DUCHOD	CD	45266485
636411	2173	1997-12-13	PRIJEM	PREVOD Z UCTU	5916	33642	DUCHOD	CD	45266485
636412	2173	1998-01-13	PRIJEM	PREVOD Z UCTU	5916	29333	DUCHOD	CD	45266485
636413	2173	1998-02-13	PRIJEM	PREVOD Z UCTU	5916	24728	DUCHOD	CD	45266485
636414	2173	1998-03-13	PRIJEM	PREVOD Z UCTU	5916	25773	DUCHOD	CD	45266485
636415	2173	1998-04-13	PRIJEM	PREVOD Z UCTU	5916	26861	DUCHOD	CD	45266485
636416	2173	1998-05-13	PRIJEM	PREVOD Z UCTU	5916	27393	DUCHOD	CD	45266485
636417	2173	1998-06-13	PRIJEM	PREVOD Z UCTU	5916	28149	DUCHOD	CD	45266485
636418	2173	1998-07-13	PRIJEM	PREVOD Z UCTU	5916	27907	DUCHOD	CD	45266485
636419	2173	1998-08-13	PRIJEM	PREVOD Z UCTU	5916	30666	DUCHOD	CD	45266485
636420	2173	1998-09-13	PRIJEM	PREVOD Z UCTU	5916	31035	DUCHOD	CD	45266485
636421	2173	1998-10-13	PRIJEM	PREVOD Z UCTU	5916	31905	DUCHOD	CD	45266485
636422	2173	1998-11-13	PRIJEM	PREVOD Z UCTU	5916	34279	DUCHOD	CD	45266485
636423	2173	1998-12-13	PRIJEM	PREVOD Z UCTU	5916	34442	DUCHOD	CD	45266485
636433	2173	1997-10-10	VYDAJ	PREVOD NA UCET	1951	27752	SIPO	WX	74140065
636434	2173	1997-11-10	VYDAJ	PREVOD NA UCET	1951	24455	SIPO	WX	74140065
636435	2173	1997-12-10	VYDAJ	PREVOD NA UCET	1951	27726	SIPO	WX	74140065
636436	2173	1998-01-10	VYDAJ	PREVOD NA UCET	1951	24457	SIPO	WX	74140065
636437	2173	1998-02-10	VYDAJ	PREVOD NA UCET	1951	18812	SIPO	WX	74140065
636438	2173	1998-03-10	VYDAJ	PREVOD NA UCET	1951	19857	SIPO	WX	74140065
636439	2173	1998-04-10	VYDAJ	PREVOD NA UCET	1951	20945	SIPO	WX	74140065
636440	2173	1998-05-10	VYDAJ	PREVOD NA UCET	1951	21477	SIPO	WX	74140065
636441	2173	1998-06-10	VYDAJ	PREVOD NA UCET	1951	22233	SIPO	WX	74140065
636442	2173	1998-07-10	VYDAJ	PREVOD NA UCET	1951	21991	SIPO	WX	74140065
636443	2173	1998-08-10	VYDAJ	PREVOD NA UCET	1951	24750	SIPO	WX	74140065
636444	2173	1998-09-10	VYDAJ	PREVOD NA UCET	1951	25119	SIPO	WX	74140065
636445	2173	1998-10-10	VYDAJ	PREVOD NA UCET	1951	25989	SIPO	WX	74140065
636446	2173	1998-11-10	VYDAJ	PREVOD NA UCET	1951	28363	SIPO	WX	74140065
636447	2173	1998-12-10	VYDAJ	PREVOD NA UCET	1951	28526	SIPO	WX	74140065
636448	2173	1997-12-16	VYDAJ	VYBER	450	33192	\N	\N	\N
636449	2173	1998-12-27	VYDAJ	VYBER	650	33232	\N	\N	\N
636456	2173	1998-01-14	VYDAJ	VYBER	2000	27333	\N	\N	\N
636457	2173	1998-01-14	VYDAJ	VYBER	960	26373	\N	\N	\N
636458	2173	1998-01-16	VYDAJ	VYBER	2320	24053	\N	\N	\N
636459	2173	1998-01-01	VYDAJ	VYBER	2000	26408	\N	\N	\N
636460	2173	1998-01-10	VYDAJ	VYBER	480	23977	\N	\N	\N
636461	2173	1998-01-26	VYDAJ	VYBER	2080	21973	\N	\N	\N
636463	2173	1997-11-06	VYDAJ	VYBER	1040	26406	\N	\N	\N
636464	2173	1997-11-05	VYDAJ	VYBER	2640	27446	\N	\N	\N
636467	2173	1998-03-23	VYDAJ	VYBER	2960	22813	\N	\N	\N
636468	2173	1998-01-10	VYDAJ	VYBER	560	23417	\N	\N	\N
636469	2173	1998-04-25	VYDAJ	VYBER	3120	23741	\N	\N	\N
636470	2173	1998-12-24	VYDAJ	VYBER	560	33882	\N	\N	\N
636471	2173	1998-11-23	VYDAJ	VYBER	3920	30359	\N	\N	\N
636481	2173	1997-09-30	VYDAJ	VYBER	15	29703	SLUZBY	\N	\N
636482	2173	1997-10-31	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
636483	2173	1997-11-30	VYDAJ	VYBER	15	29677	SLUZBY	\N	\N
636484	2173	1997-12-31	VYDAJ	VYBER	15	28408	SLUZBY	\N	\N
636485	2173	1998-01-31	VYDAJ	VYBER	15	20763	SLUZBY	\N	\N
636486	2173	1998-02-28	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
636487	2173	1998-03-31	VYDAJ	VYBER	15	22896	SLUZBY	\N	\N
636488	2173	1998-04-30	VYDAJ	VYBER	15	23428	SLUZBY	\N	\N
636489	2173	1998-05-31	VYDAJ	VYBER	15	24184	SLUZBY	\N	\N
636490	2173	1998-06-30	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
636491	2173	1998-07-31	VYDAJ	VYBER	15	26701	SLUZBY	\N	\N
636492	2173	1998-08-31	VYDAJ	VYBER	15	27070	SLUZBY	\N	\N
636493	2173	1998-09-30	VYDAJ	VYBER	15	27940	SLUZBY	\N	\N
636494	2173	1998-10-31	VYDAJ	VYBER	15	30314	SLUZBY	\N	\N
636495	2173	1998-11-30	VYDAJ	VYBER	15	30477	SLUZBY	\N	\N
636496	2173	1997-09-29	VYDAJ	VYBER	900	29683	\N	\N	\N
636497	2173	1997-10-29	VYDAJ	VYBER	3700	29968	\N	\N	\N
636498	2173	1997-11-28	VYDAJ	VYBER	800	29571	\N	\N	\N
636499	2173	1997-12-28	VYDAJ	VYBER	4900	28292	\N	\N	\N
636500	2173	1998-01-27	VYDAJ	VYBER	1300	20673	\N	\N	\N
636501	2173	1998-02-26	VYDAJ	VYBER	3000	21728	\N	\N	\N
636502	2173	1998-04-27	VYDAJ	VYBER	400	23341	\N	\N	\N
636503	2173	1998-05-27	VYDAJ	VYBER	3300	24093	\N	\N	\N
636504	2173	1998-06-26	VYDAJ	VYBER	4300	23849	\N	\N	\N
636505	2173	1998-07-26	VYDAJ	VYBER	1300	26607	\N	\N	\N
636506	2173	1998-08-25	VYDAJ	VYBER	3700	26966	\N	\N	\N
636507	2173	1998-09-24	VYDAJ	VYBER	3200	27835	\N	\N	\N
636508	2173	1998-10-24	VYDAJ	VYBER	1700	30205	\N	\N	\N
636529	2174	1997-10-24	PRIJEM	VKLAD	400	400	\N	\N	\N
636537	2174	1998-05-11	PRIJEM	VKLAD	15660	48274	\N	\N	\N
636538	2174	1998-05-18	PRIJEM	VKLAD	37567	85841	\N	\N	\N
636539	2174	1998-01-12	PRIJEM	VKLAD	21120	40520	\N	\N	\N
636540	2174	1998-10-30	PRIJEM	VKLAD	43137	65359	\N	\N	\N
636541	2174	1998-10-11	PRIJEM	VKLAD	39109	59403	\N	\N	\N
636542	2174	1998-05-06	PRIJEM	VKLAD	5724	32614	\N	\N	\N
636543	2174	1998-06-25	PRIJEM	VKLAD	23564	63114	\N	\N	\N
636544	2174	1998-06-28	PRIJEM	VKLAD	11385	74499	\N	\N	\N
636563	2174	1998-07-07	VYDAJ	PREVOD NA UCET	4367	67654	SIPO	OP	97218501
636564	2174	1998-08-07	VYDAJ	PREVOD NA UCET	4367	45934	SIPO	OP	97218501
636565	2174	1998-09-07	VYDAJ	PREVOD NA UCET	4367	33642	SIPO	OP	97218501
636566	2174	1998-10-07	VYDAJ	PREVOD NA UCET	4367	20294	SIPO	OP	97218501
636567	2174	1998-11-07	VYDAJ	PREVOD NA UCET	4367	61138	SIPO	OP	97218501
636568	2174	1998-12-07	VYDAJ	PREVOD NA UCET	4367	42094	SIPO	OP	97218501
636574	2174	1998-10-28	VYBER	VYBER	3481	22222	\N	\N	\N
636584	2174	1998-12-16	VYDAJ	VYBER	4500	37594	\N	\N	\N
636603	2174	1998-10-25	VYDAJ	VYBER	13200	25703	\N	\N	\N
636604	2174	1998-07-02	VYDAJ	VYBER	2700	72021	\N	\N	\N
636605	2174	1998-09-18	VYDAJ	VYBER	14700	18942	\N	\N	\N
636607	2174	1998-12-19	VYDAJ	VYBER	8700	26694	\N	\N	\N
636608	2174	1998-10-18	VYDAJ	VYBER	12300	47103	\N	\N	\N
636628	2174	1998-06-30	VYDAJ	VYBER	15	74721	SLUZBY	\N	\N
636629	2174	1998-07-31	VYDAJ	VYBER	15	50301	SLUZBY	\N	\N
636630	2174	1998-08-31	VYDAJ	VYBER	15	38009	SLUZBY	\N	\N
636631	2174	1998-09-30	VYDAJ	VYBER	15	24661	SLUZBY	\N	\N
636632	2174	1998-10-31	VYDAJ	VYBER	15	65505	SLUZBY	\N	\N
636633	2174	1998-11-30	VYDAJ	VYBER	15	46461	SLUZBY	\N	\N
636634	2174	1997-11-23	PRIJEM	VKLAD	14200	14600	\N	\N	\N
636635	2174	1997-12-23	PRIJEM	VKLAD	4800	19400	\N	\N	\N
636636	2174	1998-01-22	VYDAJ	VYBER	6600	33920	\N	\N	\N
636637	2174	1998-02-21	VYDAJ	VYBER	3800	30166	\N	\N	\N
636638	2174	1998-03-23	VYDAJ	VYBER	200	30107	\N	\N	\N
636639	2174	1998-04-22	VYDAJ	VYBER	3500	26748	\N	\N	\N
636640	2174	1998-05-22	VYDAJ	VYBER	32000	53841	\N	\N	\N
636641	2174	1998-06-21	VYDAJ	VYBER	14500	39550	\N	\N	\N
636642	2174	1998-07-21	VYDAJ	VYBER	17600	50054	\N	\N	\N
636643	2174	1998-08-20	VYDAJ	VYBER	8100	37834	\N	\N	\N
636644	2174	1998-09-19	PRIJEM	VKLAD	5600	24542	\N	\N	\N
636645	2174	1998-10-19	VYDAJ	VYBER	8200	38903	\N	\N	\N
636646	2174	1998-11-18	VYDAJ	VYBER	14900	46238	\N	\N	\N
636647	2174	1998-12-18	VYDAJ	VYBER	2200	35394	\N	\N	\N
636660	2175	1993-04-27	PRIJEM	VKLAD	400	400	\N	\N	\N
636661	2175	1993-05-29	PRIJEM	VKLAD	13039	23839	\N	\N	\N
636664	2175	1993-08-04	PRIJEM	VKLAD	11945	91870	\N	\N	\N
636665	2175	1993-06-24	PRIJEM	VKLAD	41643	71767	\N	\N	\N
636666	2175	1993-12-13	PRIJEM	VKLAD	35377	54854	\N	\N	\N
636668	2175	1993-10-10	PRIJEM	VKLAD	34596	62243	\N	\N	\N
636670	2175	1993-08-24	PRIJEM	VKLAD	28008	119878	\N	\N	\N
636671	2175	1993-06-17	PRIJEM	VKLAD	6275	30124	\N	\N	\N
636673	2175	1993-10-25	PRIJEM	VKLAD	40385	72753	\N	\N	\N
636674	2175	1993-08-03	PRIJEM	VKLAD	45233	79925	\N	\N	\N
636676	2175	1994-10-10	PRIJEM	VKLAD	32056	104743	\N	\N	\N
636677	2175	1994-08-24	PRIJEM	VKLAD	10620	63278	\N	\N	\N
636678	2175	1994-10-15	PRIJEM	VKLAD	41744	146487	\N	\N	\N
636679	2175	1994-05-31	PRIJEM	VKLAD	20753	65579	\N	\N	\N
636680	2175	1994-06-09	PRIJEM	VKLAD	24417	78604	\N	\N	\N
636681	2175	1994-11-08	PRIJEM	VKLAD	13107	84115	\N	\N	\N
636682	2175	1994-12-07	PRIJEM	VKLAD	30242	85509	\N	\N	\N
636683	2175	1994-01-22	PRIJEM	VKLAD	17304	14902	\N	\N	\N
636684	2175	1994-03-15	PRIJEM	VKLAD	38941	62669	\N	\N	\N
636685	2175	1994-05-18	PRIJEM	VKLAD	13966	64126	\N	\N	\N
636686	2175	1994-07-18	PRIJEM	VKLAD	39245	43740	\N	\N	\N
636687	2175	1994-10-04	PRIJEM	VKLAD	19796	78387	\N	\N	\N
636688	2175	1994-08-19	PRIJEM	VKLAD	29596	84058	\N	\N	\N
636689	2175	1994-05-01	PRIJEM	VKLAD	48902	73957	\N	\N	\N
636690	2175	1994-09-08	PRIJEM	VKLAD	30101	93550	\N	\N	\N
636691	2175	1994-03-18	PRIJEM	VKLAD	40380	103049	\N	\N	\N
636692	2175	1994-12-10	PRIJEM	VKLAD	15738	101247	\N	\N	\N
636693	2175	1994-08-07	PRIJEM	VKLAD	22137	54462	\N	\N	\N
636694	2175	1994-05-04	PRIJEM	VKLAD	40803	114760	\N	\N	\N
636695	2175	1995-03-19	PRIJEM	VKLAD	9943	33454	\N	\N	\N
636696	2175	1995-11-11	PRIJEM	VKLAD	26782	40108	\N	\N	\N
636697	2175	1995-07-09	PRIJEM	VKLAD	20105	54968	\N	\N	\N
636698	2175	1995-02-16	PRIJEM	VKLAD	43388	64957	\N	\N	\N
636699	2175	1995-04-23	PRIJEM	VKLAD	35807	59854	\N	\N	\N
636700	2175	1995-12-14	PRIJEM	VKLAD	15974	29089	\N	\N	\N
636701	2175	1995-06-27	PRIJEM	VKLAD	25530	34785	\N	\N	\N
636702	2175	1996-03-03	PRIJEM	VKLAD	13680	44794	\N	\N	\N
636703	2175	1996-05-09	PRIJEM	VKLAD	19032	64972	\N	\N	\N
636704	2175	1996-02-22	PRIJEM	VKLAD	39080	51195	\N	\N	\N
636705	2175	1996-11-07	PRIJEM	VKLAD	33991	61020	\N	\N	\N
636706	2175	1996-04-26	PRIJEM	VKLAD	5956	50413	\N	\N	\N
636707	2175	1996-08-02	PRIJEM	VKLAD	26018	63482	\N	\N	\N
636708	2175	1996-05-05	PRIJEM	VKLAD	25535	45940	\N	\N	\N
636709	2175	1996-07-05	PRIJEM	VKLAD	34291	50840	\N	\N	\N
636710	2175	1996-11-23	PRIJEM	VKLAD	28562	121623	\N	\N	\N
636711	2175	1996-11-09	PRIJEM	VKLAD	48641	93061	\N	\N	\N
636712	2175	1996-04-08	PRIJEM	VKLAD	41628	80623	\N	\N	\N
636713	2175	1996-05-14	PRIJEM	VKLAD	21499	70871	\N	\N	\N
636714	2175	1996-03-10	PRIJEM	VKLAD	24744	69538	\N	\N	\N
636715	2175	1996-09-18	PRIJEM	VKLAD	26103	47765	\N	\N	\N
636716	2175	1997-05-10	PRIJEM	VKLAD	45709	116442	\N	\N	\N
636717	2175	1997-10-31	PRIJEM	VKLAD	15642	86811	\N	\N	\N
636718	2175	1997-07-26	PRIJEM	VKLAD	27487	57653	\N	\N	\N
636719	2175	1997-06-11	PRIJEM	VKLAD	43615	89728	\N	\N	\N
636720	2175	1997-05-19	PRIJEM	VKLAD	27017	105653	\N	\N	\N
636721	2175	1997-08-08	PRIJEM	VKLAD	19370	74477	\N	\N	\N
636722	2175	1997-04-26	PRIJEM	VKLAD	33657	63623	\N	\N	\N
636723	2175	1997-08-19	PRIJEM	VKLAD	32745	121986	\N	\N	\N
636724	2175	1997-11-29	PRIJEM	VKLAD	6573	99811	\N	\N	\N
636725	2175	1997-12-20	PRIJEM	VKLAD	36864	110657	\N	\N	\N
636726	2175	1997-09-24	PRIJEM	VKLAD	24507	89867	\N	\N	\N
636727	2175	1997-04-23	PRIJEM	VKLAD	26028	29966	\N	\N	\N
636728	2175	1997-08-17	PRIJEM	VKLAD	41792	144941	\N	\N	\N
636729	2175	1997-12-26	PRIJEM	VKLAD	44855	123812	\N	\N	\N
636730	2175	1997-04-08	PRIJEM	VKLAD	15616	47863	\N	\N	\N
636731	2175	1997-08-17	PRIJEM	VKLAD	28672	103149	\N	\N	\N
636732	2175	1997-11-22	PRIJEM	VKLAD	44542	93238	\N	\N	\N
636733	2175	1997-01-12	PRIJEM	VKLAD	15154	28240	\N	\N	\N
636734	2175	1997-05-05	PRIJEM	VKLAD	23266	94233	\N	\N	\N
636735	2175	1997-04-26	PRIJEM	VKLAD	7213	70836	\N	\N	\N
636736	2175	1998-06-29	PRIJEM	VKLAD	18381	82139	\N	\N	\N
636737	2175	1998-10-26	PRIJEM	VKLAD	19098	101323	\N	\N	\N
636738	2175	1998-12-06	PRIJEM	VKLAD	41996	99703	\N	\N	\N
636739	2175	1998-10-30	PRIJEM	VKLAD	13598	86921	\N	\N	\N
636740	2175	1998-05-04	PRIJEM	VKLAD	10183	39756	\N	\N	\N
636741	2175	1998-05-17	PRIJEM	VKLAD	21473	61229	\N	\N	\N
636742	2175	1998-03-21	PRIJEM	VKLAD	28787	66590	\N	\N	\N
636743	2175	1998-02-18	PRIJEM	VKLAD	33454	76100	\N	\N	\N
636744	2175	1998-10-24	PRIJEM	VKLAD	42506	82225	\N	\N	\N
636745	2175	1998-06-22	PRIJEM	VKLAD	29944	72158	\N	\N	\N
636746	2175	1998-07-30	PRIJEM	VKLAD	38093	143465	\N	\N	\N
636747	2175	1998-07-14	PRIJEM	VKLAD	9846	74727	\N	\N	\N
636748	2175	1998-11-07	PRIJEM	VKLAD	33810	132346	\N	\N	\N
636749	2175	1998-07-18	PRIJEM	VKLAD	30645	105372	\N	\N	\N
636750	2175	1998-10-31	PRIJEM	VKLAD	35130	122251	\N	\N	\N
636753	2175	1993-10-14	VYBER	VYBER	22375	39868	\N	\N	\N
636758	2175	1993-12-02	VYBER	VYBER	14877	21877	\N	\N	\N
636759	2175	1993-11-25	VYBER	VYBER	14918	36495	\N	\N	\N
636764	2175	1994-04-17	VYBER	VYBER	19295	28798	\N	\N	\N
636765	2175	1995-03-30	VYBER	VYBER	15444	18010	\N	\N	\N
636767	2175	1995-07-30	VYBER	VYBER	3399	33769	\N	\N	\N
636768	2175	1995-06-17	VYBER	VYBER	10225	9255	\N	\N	\N
636769	2175	1995-02-16	VYBER	VYBER	14193	50764	\N	\N	\N
636770	2175	1995-05-11	VYBER	VYBER	4154	55807	\N	\N	\N
636771	2175	1995-11-19	VYBER	VYBER	19578	4481	\N	\N	\N
636772	2175	1995-03-18	VYBER	VYBER	17865	23511	\N	\N	\N
636773	2175	1995-11-13	VYBER	VYBER	14149	25959	\N	\N	\N
636774	2175	1995-10-20	VYBER	VYBER	5577	13271	\N	\N	\N
636775	2175	1995-10-04	VYBER	VYBER	2763	16748	\N	\N	\N
636776	2175	1996-08-21	VYBER	VYBER	21973	26009	\N	\N	\N
636777	2175	1996-02-23	VYBER	VYBER	20115	31080	\N	\N	\N
636778	2175	1996-10-23	VYBER	VYBER	4428	34962	\N	\N	\N
636779	2175	1996-05-02	VYBER	VYBER	22097	28505	\N	\N	\N
636780	2175	1996-04-25	VYBER	VYBER	12266	44457	\N	\N	\N
636781	2175	1996-02-16	VYBER	VYBER	2579	12115	\N	\N	\N
636782	2175	1996-09-06	VYBER	VYBER	15086	11062	\N	\N	\N
636783	2175	1997-08-30	VYBER	VYBER	11243	82043	\N	\N	\N
636785	2175	1997-06-14	VYBER	VYBER	6262	75824	\N	\N	\N
636786	2175	1997-05-18	VYBER	VYBER	10606	78636	\N	\N	\N
636787	2175	1997-06-12	VYBER	VYBER	7642	82086	\N	\N	\N
636788	2175	1997-03-07	VYBER	VYBER	4891	29947	\N	\N	\N
636789	2175	1997-06-19	VYBER	VYBER	22971	52853	\N	\N	\N
636790	2175	1997-06-30	VYBER	VYBER	7741	45380	\N	\N	\N
636791	2175	1997-05-31	VYBER	VYBER	5594	75628	\N	\N	\N
636792	2175	1997-01-11	VYBER	VYBER	16130	13086	\N	\N	\N
636793	2175	1997-04-11	VYBER	VYBER	23158	24705	\N	\N	\N
636794	2175	1997-04-22	VYBER	VYBER	20767	3938	\N	\N	\N
636795	2175	1997-05-26	VYBER	VYBER	17913	80840	\N	\N	\N
636796	2175	1997-01-23	VYBER	VYBER	10765	1575	\N	\N	\N
636797	2175	1998-03-22	VYBER	VYBER	2001	64589	\N	\N	\N
636798	2175	1998-03-05	VYBER	VYBER	22022	37803	\N	\N	\N
636799	2175	1998-05-01	VYBER	VYBER	23467	29573	\N	\N	\N
636800	2175	1998-04-22	VYBER	VYBER	3330	43757	\N	\N	\N
636801	2175	1998-09-30	VYBER	VYBER	18278	39734	\N	\N	\N
636803	2175	1994-06-19	VYDAJ	VYBER	70200	8404	\N	\N	\N
636805	2175	1996-06-26	VYDAJ	VYBER	36000	16308	\N	\N	\N
636806	2175	1997-06-09	VYDAJ	VYBER	17100	46113	\N	\N	\N
636808	2175	1993-12-02	VYDAJ	VYBER	2400	19477	\N	\N	\N
636809	2175	1994-12-16	VYDAJ	VYBER	3900	97347	\N	\N	\N
636810	2175	1995-12-06	VYDAJ	VYBER	2700	1815	\N	\N	\N
636811	2175	1996-12-21	VYDAJ	VYBER	2400	41826	\N	\N	\N
636812	2175	1997-12-18	VYDAJ	VYBER	3300	73793	\N	\N	\N
636813	2175	1998-12-25	VYDAJ	VYBER	5400	94303	\N	\N	\N
636820	2175	1994-01-06	VYDAJ	VYBER	2700	31798	\N	\N	\N
636821	2175	1994-01-01	VYDAJ	VYBER	5100	34498	\N	\N	\N
636822	2175	1994-01-21	VYDAJ	VYBER	6900	-2402	\N	\N	\N
636824	2175	1994-01-08	VYDAJ	VYBER	4200	27598	\N	\N	\N
636825	2175	1994-01-11	VYDAJ	VYBER	8700	18898	\N	\N	\N
636826	2175	1995-01-01	VYDAJ	VYBER	2400	57920	\N	\N	\N
636827	2175	1995-01-10	VYDAJ	VYBER	7800	50120	\N	\N	\N
636828	2175	1995-01-10	VYDAJ	VYBER	6300	43820	\N	\N	\N
636829	2175	1995-01-24	VYDAJ	VYBER	5400	24720	\N	\N	\N
636830	2175	1995-01-13	VYDAJ	VYBER	8700	35120	\N	\N	\N
636831	2175	1995-01-25	VYDAJ	VYBER	3300	21420	\N	\N	\N
636832	2175	1996-01-21	VYDAJ	VYBER	4500	15452	\N	\N	\N
636833	2175	1996-01-22	VYDAJ	VYBER	8100	7352	\N	\N	\N
636834	2175	1996-01-04	VYDAJ	VYBER	6900	22252	\N	\N	\N
636835	2175	1996-01-11	VYDAJ	VYBER	6600	10252	\N	\N	\N
636836	2175	1996-01-22	VYDAJ	VYBER	6900	452	\N	\N	\N
636837	2175	1996-01-05	VYDAJ	VYBER	5400	16852	\N	\N	\N
636838	2175	1997-01-21	VYDAJ	VYBER	6900	12340	\N	\N	\N
636840	2175	1997-01-09	VYDAJ	VYBER	7200	29216	\N	\N	\N
636841	2175	1997-01-13	VYDAJ	VYBER	3000	25240	\N	\N	\N
636842	2175	1997-01-15	VYDAJ	VYBER	6000	19240	\N	\N	\N
636843	2175	1997-01-09	VYDAJ	VYBER	4800	36416	\N	\N	\N
636844	2175	1998-01-13	VYDAJ	VYBER	4200	68286	\N	\N	\N
636845	2175	1998-01-14	VYDAJ	VYBER	4500	55386	\N	\N	\N
636846	2175	1998-01-10	VYDAJ	VYBER	1500	72486	\N	\N	\N
636847	2175	1998-01-23	VYDAJ	VYBER	4500	45486	\N	\N	\N
636848	2175	1998-01-21	VYDAJ	VYBER	5400	49986	\N	\N	\N
636849	2175	1998-01-13	VYDAJ	VYBER	8400	59886	\N	\N	\N
636850	2175	1993-09-22	VYDAJ	VYBER	12900	34583	\N	\N	\N
636856	2175	1994-06-04	VYDAJ	VYBER	11700	54187	\N	\N	\N
636857	2175	1994-01-14	VYDAJ	VYBER	14400	4498	\N	\N	\N
636858	2175	1994-10-07	VYDAJ	VYBER	5700	72687	\N	\N	\N
636859	2175	1994-06-20	VYDAJ	VYBER	5700	2704	\N	\N	\N
636860	2175	1994-07-17	VYDAJ	VYBER	10800	4495	\N	\N	\N
636861	2175	1995-09-01	VYDAJ	VYBER	14700	14528	\N	\N	\N
636862	2175	1995-05-18	VYDAJ	VYBER	13500	28307	\N	\N	\N
636863	2175	1995-06-10	VYDAJ	VYBER	12300	16180	\N	\N	\N
636864	2175	1996-11-01	VYDAJ	VYBER	8100	27029	\N	\N	\N
636865	2175	1996-12-10	VYDAJ	VYBER	5400	44226	\N	\N	\N
636866	2175	1996-03-19	VYDAJ	VYBER	9600	38838	\N	\N	\N
636867	2175	1996-11-26	VYDAJ	VYBER	6000	66623	\N	\N	\N
636868	2175	1996-07-29	VYDAJ	VYBER	3900	37340	\N	\N	\N
636869	2175	1996-03-12	VYDAJ	VYBER	4200	48438	\N	\N	\N
636870	2175	1996-05-03	VYDAJ	VYBER	8100	20405	\N	\N	\N
636871	2175	1997-11-12	VYDAJ	VYBER	10200	51996	\N	\N	\N
636872	2175	1997-05-19	VYDAJ	VYBER	6900	98753	\N	\N	\N
636873	2175	1997-10-31	VYDAJ	VYBER	13200	73611	\N	\N	\N
636874	2175	1997-11-16	VYDAJ	VYBER	3300	48696	\N	\N	\N
636875	2175	1997-07-13	VYDAJ	VYBER	12300	30166	\N	\N	\N
636876	2175	1998-06-22	VYDAJ	VYBER	8400	63758	\N	\N	\N
636877	2175	1998-09-23	VYDAJ	VYBER	3900	67628	\N	\N	\N
636878	2175	1998-04-05	VYDAJ	VYBER	4800	47087	\N	\N	\N
636879	2175	1998-06-11	VYDAJ	VYBER	10200	42214	\N	\N	\N
636880	2175	1998-02-10	VYDAJ	VYBER	4500	42646	\N	\N	\N
636889	2175	1993-08-31	VYDAJ	VYBER	15	47483	SLUZBY	\N	\N
636890	2175	1993-09-30	VYDAJ	VYBER	15	27647	SLUZBY	\N	\N
636891	2175	1993-10-31	VYDAJ	VYBER	15	72913	SLUZBY	\N	\N
636892	2175	1993-11-30	VYDAJ	VYBER	15	36754	SLUZBY	\N	\N
636893	2175	1993-12-31	VYDAJ	VYBER	15	39598	SLUZBY	\N	\N
636894	2175	1994-01-31	VYDAJ	VYBER	15	18466	SLUZBY	\N	\N
636895	2175	1994-02-28	VYDAJ	VYBER	15	23728	SLUZBY	\N	\N
636896	2175	1994-03-31	VYDAJ	VYBER	15	48093	SLUZBY	\N	\N
636897	2175	1994-04-30	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
636898	2175	1994-05-31	VYDAJ	VYBER	15	65887	SLUZBY	\N	\N
636899	2175	1994-06-30	VYDAJ	VYBER	15	15295	SLUZBY	\N	\N
636900	2175	1994-07-31	VYDAJ	VYBER	15	32325	SLUZBY	\N	\N
636901	2175	1994-08-31	VYDAJ	VYBER	15	63449	SLUZBY	\N	\N
636902	2175	1994-09-30	VYDAJ	VYBER	15	58591	SLUZBY	\N	\N
636903	2175	1994-10-31	VYDAJ	VYBER	15	71008	SLUZBY	\N	\N
636904	2175	1994-11-30	VYDAJ	VYBER	15	55267	SLUZBY	\N	\N
636905	2175	1994-12-31	VYDAJ	VYBER	15	60320	SLUZBY	\N	\N
636906	2175	1995-01-31	VYDAJ	VYBER	15	21569	SLUZBY	\N	\N
636907	2175	1995-02-28	VYDAJ	VYBER	15	40776	SLUZBY	\N	\N
636908	2175	1995-03-31	VYDAJ	VYBER	15	18147	SLUZBY	\N	\N
636909	2175	1995-04-30	VYDAJ	VYBER	15	59961	SLUZBY	\N	\N
636910	2175	1995-05-31	VYDAJ	VYBER	15	28480	SLUZBY	\N	\N
636911	2175	1995-06-30	VYDAJ	VYBER	15	34863	SLUZBY	\N	\N
636912	2175	1995-07-31	VYDAJ	VYBER	15	33903	SLUZBY	\N	\N
636913	2175	1995-08-31	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
636914	2175	1995-09-30	VYDAJ	VYBER	15	19511	SLUZBY	\N	\N
636915	2175	1995-10-31	VYDAJ	VYBER	15	13326	SLUZBY	\N	\N
636916	2175	1995-11-30	VYDAJ	VYBER	15	4515	SLUZBY	\N	\N
636917	2175	1995-12-31	VYDAJ	VYBER	15	29152	SLUZBY	\N	\N
636918	2175	1996-01-31	VYDAJ	VYBER	15	494	SLUZBY	\N	\N
636919	2175	1996-02-29	VYDAJ	VYBER	15	31114	SLUZBY	\N	\N
636920	2175	1996-03-31	VYDAJ	VYBER	15	38995	SLUZBY	\N	\N
636921	2175	1996-04-30	VYDAJ	VYBER	15	50602	SLUZBY	\N	\N
636922	2175	1996-05-31	VYDAJ	VYBER	15	71108	SLUZBY	\N	\N
636923	2175	1996-06-30	VYDAJ	VYBER	15	16549	SLUZBY	\N	\N
636924	2175	1996-07-31	VYDAJ	VYBER	15	37464	SLUZBY	\N	\N
636925	2175	1996-08-31	VYDAJ	VYBER	15	26148	SLUZBY	\N	\N
636926	2175	1996-09-30	VYDAJ	VYBER	15	47890	SLUZBY	\N	\N
636927	2175	1996-10-31	VYDAJ	VYBER	15	35129	SLUZBY	\N	\N
636928	2175	1996-11-30	VYDAJ	VYBER	15	66926	SLUZBY	\N	\N
636929	2175	1996-12-31	VYDAJ	VYBER	15	42016	SLUZBY	\N	\N
636930	2175	1997-01-31	VYDAJ	VYBER	15	1646	SLUZBY	\N	\N
636931	2175	1997-02-28	VYDAJ	VYBER	15	20538	SLUZBY	\N	\N
636932	2175	1997-03-31	VYDAJ	VYBER	15	30047	SLUZBY	\N	\N
636933	2175	1997-04-30	VYDAJ	VYBER	15	70967	SLUZBY	\N	\N
636934	2175	1997-05-31	VYDAJ	VYBER	15	75613	SLUZBY	\N	\N
636935	2175	1997-06-30	VYDAJ	VYBER	15	45366	SLUZBY	\N	\N
636936	2175	1997-07-31	VYDAJ	VYBER	15	57807	SLUZBY	\N	\N
636937	2175	1997-08-31	VYDAJ	VYBER	15	82360	SLUZBY	\N	\N
636938	2175	1997-09-30	VYDAJ	VYBER	15	90199	SLUZBY	\N	\N
636939	2175	1997-10-31	VYDAJ	VYBER	15	73596	SLUZBY	\N	\N
636940	2175	1997-11-30	VYDAJ	VYBER	15	100093	SLUZBY	\N	\N
636941	2175	1997-12-31	VYDAJ	VYBER	15	99886	SLUZBY	\N	\N
636942	2175	1998-01-31	VYDAJ	VYBER	15	47146	SLUZBY	\N	\N
636943	2175	1998-02-28	VYDAJ	VYBER	15	76325	SLUZBY	\N	\N
636944	2175	1998-03-31	VYDAJ	VYBER	15	64787	SLUZBY	\N	\N
636945	2175	1998-04-30	VYDAJ	VYBER	15	43940	SLUZBY	\N	\N
636946	2175	1998-05-31	VYDAJ	VYBER	15	61414	SLUZBY	\N	\N
636947	2175	1998-06-30	VYDAJ	VYBER	15	64881	SLUZBY	\N	\N
636948	2175	1998-07-31	VYDAJ	VYBER	15	85394	SLUZBY	\N	\N
636949	2175	1998-08-31	VYDAJ	VYBER	15	71528	SLUZBY	\N	\N
636950	2175	1998-09-30	VYDAJ	VYBER	15	39719	SLUZBY	\N	\N
636951	2175	1998-10-31	VYDAJ	VYBER	15	122236	SLUZBY	\N	\N
636952	2175	1998-11-30	VYDAJ	VYBER	15	57707	SLUZBY	\N	\N
636953	2175	1993-05-27	PRIJEM	VKLAD	10400	10800	\N	\N	\N
636954	2175	1993-06-26	VYDAJ	VYBER	24600	47167	\N	\N	\N
636955	2175	1993-07-26	VYDAJ	VYBER	12800	34495	\N	\N	\N
636956	2175	1993-08-24	VYDAJ	VYBER	52400	67478	\N	\N	\N
636957	2175	1993-08-25	VYDAJ	VYBER	20300	47178	\N	\N	\N
636958	2175	1993-09-24	VYDAJ	VYBER	7100	27483	\N	\N	\N
636959	2175	1993-10-24	VYDAJ	VYBER	7500	32368	\N	\N	\N
636960	2175	1993-11-23	VYDAJ	VYBER	21500	51413	\N	\N	\N
636961	2175	1993-12-23	VYDAJ	VYBER	15400	39454	\N	\N	\N
636962	2175	1994-01-22	PRIJEM	VKLAD	3500	18402	\N	\N	\N
636963	2175	1994-02-21	PRIJEM	VKLAD	5200	23665	\N	\N	\N
636964	2175	1994-03-18	VYDAJ	VYBER	33900	69149	\N	\N	\N
636965	2175	1994-03-23	VYDAJ	VYBER	21200	47949	\N	\N	\N
636966	2175	1994-04-22	VYDAJ	VYBER	3900	24898	\N	\N	\N
636967	2175	1994-05-04	VYDAJ	VYBER	64600	50160	\N	\N	\N
636968	2175	1994-05-22	VYDAJ	VYBER	19300	44826	\N	\N	\N
636969	2175	1994-06-21	PRIJEM	VKLAD	12400	15104	\N	\N	\N
636970	2175	1994-07-21	VYDAJ	VYBER	11500	32240	\N	\N	\N
636971	2175	1994-08-20	VYDAJ	VYBER	31400	52658	\N	\N	\N
636972	2175	1994-09-19	VYDAJ	VYBER	35200	58350	\N	\N	\N
636973	2175	1994-10-15	VYDAJ	VYBER	25100	121387	\N	\N	\N
636974	2175	1994-10-19	VYDAJ	VYBER	50700	70687	\N	\N	\N
636975	2175	1994-11-18	VYDAJ	VYBER	29100	55015	\N	\N	\N
636976	2175	1994-12-18	VYDAJ	VYBER	37300	60047	\N	\N	\N
636977	2175	1995-01-17	VYDAJ	VYBER	5000	30120	\N	\N	\N
636978	2175	1995-02-16	VYDAJ	VYBER	10100	40664	\N	\N	\N
636979	2175	1995-03-18	PRIJEM	VKLAD	600	41376	\N	\N	\N
636980	2175	1995-04-17	PRIJEM	VKLAD	5900	24047	\N	\N	\N
636981	2175	1995-05-17	VYDAJ	VYBER	14000	41807	\N	\N	\N
636982	2175	1995-06-16	PRIJEM	VKLAD	3300	19480	\N	\N	\N
636983	2175	1995-07-16	VYDAJ	VYBER	17800	37168	\N	\N	\N
636984	2175	1995-08-15	VYDAJ	VYBER	4800	29103	\N	\N	\N
636985	2175	1995-09-14	PRIJEM	VKLAD	4900	19428	\N	\N	\N
636986	2175	1995-10-14	PRIJEM	VKLAD	2100	18848	\N	\N	\N
636987	2175	1995-11-13	VYDAJ	VYBER	1900	24059	\N	\N	\N
636988	2175	1995-12-13	PRIJEM	VKLAD	11300	13115	\N	\N	\N
636989	2175	1996-01-12	PRIJEM	VKLAD	9700	19952	\N	\N	\N
636990	2175	1996-02-11	PRIJEM	VKLAD	14200	14694	\N	\N	\N
636991	2175	1996-03-12	VYDAJ	VYBER	16900	52638	\N	\N	\N
636992	2175	1996-04-11	VYDAJ	VYBER	23900	56723	\N	\N	\N
636993	2175	1996-05-11	VYDAJ	VYBER	15600	49372	\N	\N	\N
636994	2175	1996-06-10	VYDAJ	VYBER	18800	52308	\N	\N	\N
636995	2175	1996-07-10	VYDAJ	VYBER	9600	41240	\N	\N	\N
636996	2175	1996-08-09	VYDAJ	VYBER	15500	47982	\N	\N	\N
636997	2175	1996-09-08	PRIJEM	VKLAD	10600	21662	\N	\N	\N
636998	2175	1996-10-08	VYDAJ	VYBER	8500	39390	\N	\N	\N
636999	2175	1996-11-07	VYDAJ	VYBER	16600	44420	\N	\N	\N
637000	2175	1996-11-23	VYDAJ	VYBER	49000	72623	\N	\N	\N
637001	2175	1996-12-07	VYDAJ	VYBER	17300	49626	\N	\N	\N
637002	2175	1997-01-06	VYDAJ	VYBER	800	41216	\N	\N	\N
637003	2175	1997-02-05	PRIJEM	VKLAD	18900	20546	\N	\N	\N
637004	2175	1997-03-07	PRIJEM	VKLAD	14300	34838	\N	\N	\N
637005	2175	1997-04-06	PRIJEM	VKLAD	2200	32247	\N	\N	\N
637006	2175	1997-05-06	VYDAJ	VYBER	23500	70733	\N	\N	\N
637007	2175	1997-05-10	VYDAJ	VYBER	27200	89242	\N	\N	\N
637008	2175	1997-06-05	VYDAJ	VYBER	12400	63213	\N	\N	\N
637009	2175	1997-07-05	VYDAJ	VYBER	2900	42466	\N	\N	\N
637010	2175	1997-08-04	VYDAJ	VYBER	2700	55107	\N	\N	\N
637011	2175	1997-08-17	VYDAJ	VYBER	55700	89241	\N	\N	\N
637012	2175	1997-08-19	VYDAJ	VYBER	28700	93286	\N	\N	\N
637013	2175	1997-09-03	VYDAJ	VYBER	17000	65360	\N	\N	\N
637014	2175	1997-10-03	VYDAJ	VYBER	19400	70799	\N	\N	\N
637015	2175	1997-11-02	VYDAJ	VYBER	11400	62196	\N	\N	\N
637016	2175	1997-12-02	VYDAJ	VYBER	23000	77093	\N	\N	\N
637017	2175	1997-12-20	VYDAJ	VYBER	31700	78957	\N	\N	\N
637018	2175	1997-12-26	VYDAJ	VYBER	24300	99512	\N	\N	\N
637019	2175	1998-01-01	VYDAJ	VYBER	25900	73986	\N	\N	\N
637020	2175	1998-01-31	PRIJEM	VKLAD	1400	47160	\N	\N	\N
637021	2175	1998-03-02	VYDAJ	VYBER	16500	59825	\N	\N	\N
637022	2175	1998-04-01	VYDAJ	VYBER	12900	51887	\N	\N	\N
637023	2175	1998-05-01	PRIJEM	VKLAD	9100	53040	\N	\N	\N
637024	2175	1998-05-31	VYDAJ	VYBER	9000	52414	\N	\N	\N
637025	2175	1998-06-30	VYDAJ	VYBER	17500	64896	\N	\N	\N
637026	2175	1998-07-30	VYDAJ	VYBER	25800	117665	\N	\N	\N
637027	2175	1998-07-30	VYDAJ	VYBER	32600	85065	\N	\N	\N
637028	2175	1998-08-29	VYDAJ	VYBER	14200	71194	\N	\N	\N
637029	2175	1998-09-28	VYDAJ	VYBER	9900	57728	\N	\N	\N
637030	2175	1998-10-28	VYDAJ	VYBER	28000	73323	\N	\N	\N
637031	2175	1998-10-31	VYDAJ	VYBER	23700	98536	\N	\N	\N
637032	2175	1998-11-07	VYDAJ	VYBER	62700	69646	\N	\N	\N
637033	2175	1998-11-27	VYDAJ	VYBER	12400	57246	\N	\N	\N
637110	2176	1993-06-06	PRIJEM	VKLAD	500	500	\N	\N	\N
637111	2176	1993-08-01	PRIJEM	VKLAD	38614	135587	\N	\N	\N
637112	2176	1993-09-10	PRIJEM	VKLAD	31683	104380	\N	\N	\N
637113	2176	1993-10-01	PRIJEM	VKLAD	47189	78436	\N	\N	\N
637115	2176	1993-11-03	PRIJEM	VKLAD	45532	121312	\N	\N	\N
637116	2176	1993-06-18	PRIJEM	VKLAD	12254	12754	\N	\N	\N
637117	2176	1993-09-07	PRIJEM	VKLAD	37075	80997	\N	\N	\N
637118	2176	1993-11-01	PRIJEM	VKLAD	6909	75780	\N	\N	\N
637120	2176	1993-08-16	PRIJEM	VKLAD	14339	92393	\N	\N	\N
637122	2176	1993-08-03	PRIJEM	VKLAD	16639	128449	\N	\N	\N
637123	2176	1993-08-10	PRIJEM	VKLAD	42246	83189	\N	\N	\N
637127	2176	1993-07-23	PRIJEM	VKLAD	25406	96673	\N	\N	\N
637129	2176	1993-11-01	PRIJEM	VKLAD	42205	68871	\N	\N	\N
637130	2176	1993-08-02	PRIJEM	VKLAD	32299	146886	\N	\N	\N
637132	2176	1993-11-18	PRIJEM	VKLAD	8574	37266	\N	\N	\N
637133	2176	1993-08-02	PRIJEM	VKLAD	47024	193910	\N	\N	\N
637135	2176	1993-12-11	PRIJEM	VKLAD	38609	50600	\N	\N	\N
637136	2176	1993-06-24	PRIJEM	VKLAD	23813	36567	\N	\N	\N
637137	2176	1993-07-07	PRIJEM	VKLAD	40954	71267	\N	\N	\N
637138	2176	1994-03-27	PRIJEM	VKLAD	22738	53324	\N	\N	\N
637139	2176	1994-09-09	PRIJEM	VKLAD	46288	133764	\N	\N	\N
637140	2176	1994-02-05	PRIJEM	VKLAD	32230	54258	\N	\N	\N
637141	2176	1994-02-13	PRIJEM	VKLAD	9216	51254	\N	\N	\N
637142	2176	1994-12-17	PRIJEM	VKLAD	36111	64581	\N	\N	\N
637143	2176	1994-11-23	PRIJEM	VKLAD	21841	83059	\N	\N	\N
637144	2176	1994-11-01	PRIJEM	VKLAD	39009	68893	\N	\N	\N
637145	2176	1994-09-06	PRIJEM	VKLAD	41437	87476	\N	\N	\N
637146	2176	1994-04-15	PRIJEM	VKLAD	22040	62731	\N	\N	\N
637147	2176	1994-03-29	PRIJEM	VKLAD	38686	92010	\N	\N	\N
637148	2176	1994-11-04	PRIJEM	VKLAD	41953	110846	\N	\N	\N
637149	2176	1994-12-18	PRIJEM	VKLAD	34937	99518	\N	\N	\N
637150	2176	1994-08-21	PRIJEM	VKLAD	26515	49090	\N	\N	\N
637151	2176	1994-08-18	PRIJEM	VKLAD	15724	22575	\N	\N	\N
637152	2176	1994-04-15	PRIJEM	VKLAD	31155	93886	\N	\N	\N
637153	2176	1994-06-01	PRIJEM	VKLAD	35530	57629	\N	\N	\N
637154	2176	1994-01-13	PRIJEM	VKLAD	11853	29447	\N	\N	\N
637155	2176	1994-03-04	PRIJEM	VKLAD	18805	57006	\N	\N	\N
637156	2176	1994-02-24	PRIJEM	VKLAD	14282	55536	\N	\N	\N
637157	2176	1994-12-06	PRIJEM	VKLAD	22231	55113	\N	\N	\N
637158	2176	1994-07-23	PRIJEM	VKLAD	14198	19449	\N	\N	\N
637159	2176	1994-09-06	PRIJEM	VKLAD	13235	46039	\N	\N	\N
637160	2176	1994-09-30	PRIJEM	VKLAD	39080	71667	\N	\N	\N
637161	2176	1995-07-30	PRIJEM	VKLAD	21685	48640	\N	\N	\N
637162	2176	1995-05-12	PRIJEM	VKLAD	44851	73198	\N	\N	\N
637163	2176	1995-09-07	PRIJEM	VKLAD	12981	33592	\N	\N	\N
637164	2176	1995-07-30	PRIJEM	VKLAD	15320	26955	\N	\N	\N
637165	2176	1995-11-09	PRIJEM	VKLAD	6415	21129	\N	\N	\N
637166	2176	1995-02-07	PRIJEM	VKLAD	39131	59053	\N	\N	\N
637167	2176	1995-05-02	PRIJEM	VKLAD	21831	34567	\N	\N	\N
637168	2176	1995-03-20	PRIJEM	VKLAD	8003	24942	\N	\N	\N
637169	2176	1995-10-08	PRIJEM	VKLAD	12847	27886	\N	\N	\N
637170	2176	1996-03-12	PRIJEM	VKLAD	46968	91473	\N	\N	\N
637171	2176	1996-07-23	PRIJEM	VKLAD	24645	63718	\N	\N	\N
637172	2176	1996-07-05	PRIJEM	VKLAD	42551	66463	\N	\N	\N
637173	2176	1996-07-09	PRIJEM	VKLAD	35538	100916	\N	\N	\N
637174	2176	1996-04-07	PRIJEM	VKLAD	11409	58095	\N	\N	\N
637175	2176	1996-05-04	PRIJEM	VKLAD	32659	59269	\N	\N	\N
637176	2176	1996-09-14	PRIJEM	VKLAD	7146	14392	\N	\N	\N
637177	2176	1996-10-17	PRIJEM	VKLAD	9080	15001	\N	\N	\N
637178	2176	1996-06-02	PRIJEM	VKLAD	18020	51111	\N	\N	\N
637179	2176	1996-11-12	PRIJEM	VKLAD	44750	54169	\N	\N	\N
637180	2176	1996-11-15	PRIJEM	VKLAD	49211	95072	\N	\N	\N
637181	2176	1996-05-20	PRIJEM	VKLAD	11891	56632	\N	\N	\N
637182	2176	1996-03-07	PRIJEM	VKLAD	36328	49640	\N	\N	\N
637183	2176	1996-12-01	PRIJEM	VKLAD	11633	65764	\N	\N	\N
637184	2176	1996-02-04	PRIJEM	VKLAD	40185	38256	\N	\N	\N
637185	2176	1997-12-13	PRIJEM	VKLAD	46597	45644	\N	\N	\N
637186	2176	1997-09-13	PRIJEM	VKLAD	18057	14750	\N	\N	\N
637187	2176	1997-02-08	PRIJEM	VKLAD	10287	26923	\N	\N	\N
637188	2176	1997-01-08	PRIJEM	VKLAD	44696	64764	\N	\N	\N
637189	2176	1998-03-08	PRIJEM	VKLAD	23392	18406	\N	\N	\N
637190	2176	1998-05-26	PRIJEM	VKLAD	38027	36987	\N	\N	\N
637191	2176	1998-09-19	PRIJEM	VKLAD	33127	33871	\N	\N	\N
637199	2176	1993-08-03	VYDAJ	VYBER	10300	89749	\N	\N	0
637200	2176	1993-09-07	VYDAJ	VYBER	8300	72697	\N	\N	0
637201	2176	1993-09-25	VYDAJ	VYBER	7600	31053	\N	\N	0
637202	2176	1993-11-09	VYDAJ	VYBER	9100	33827	\N	\N	0
637203	2176	1993-12-10	VYDAJ	VYBER	6800	17126	\N	\N	0
637204	2176	1994-01-16	VYDAJ	VYBER	8000	21447	\N	\N	0
637205	2176	1994-02-15	VYDAJ	VYBER	10000	41254	\N	\N	0
637206	2176	1994-03-25	VYDAJ	VYBER	12400	30586	\N	\N	0
637207	2176	1994-04-05	VYDAJ	VYBER	11100	45826	\N	\N	0
637208	2176	1994-05-17	VYDAJ	VYBER	7500	26771	\N	\N	0
637209	2176	1994-06-10	VYDAJ	VYBER	6300	26709	\N	\N	0
637210	2176	1994-06-28	VYDAJ	VYBER	7300	7768	\N	\N	0
637211	2176	1994-08-12	VYDAJ	PREVOD NA UCET	8308	6851	UVER	MN	81908911
637212	2176	1994-09-12	VYDAJ	PREVOD NA UCET	8308	66728	UVER	MN	81908911
637213	2176	1994-10-12	VYDAJ	PREVOD NA UCET	8308	57124	UVER	MN	81908911
637214	2176	1994-11-12	VYDAJ	PREVOD NA UCET	8308	61218	UVER	MN	81908911
637215	2176	1994-12-12	VYDAJ	PREVOD NA UCET	8308	28470	UVER	MN	81908911
637216	2176	1995-01-12	VYDAJ	PREVOD NA UCET	8308	20109	UVER	MN	81908911
637217	2176	1995-02-12	VYDAJ	PREVOD NA UCET	8308	45610	UVER	MN	81908911
637218	2176	1995-03-12	VYDAJ	PREVOD NA UCET	8308	16939	UVER	MN	81908911
637219	2176	1995-04-12	VYDAJ	PREVOD NA UCET	8308	5801	UVER	MN	81908911
637220	2176	1995-05-12	VYDAJ	PREVOD NA UCET	8308	64890	UVER	MN	81908911
637221	2176	1995-06-12	VYDAJ	PREVOD NA UCET	8308	27444	UVER	MN	81908911
637222	2176	1995-07-12	VYDAJ	PREVOD NA UCET	8308	9435	UVER	MN	81908911
637223	2176	1995-08-12	VYDAJ	PREVOD NA UCET	8308	29667	UVER	MN	81908911
637224	2176	1995-09-12	VYDAJ	PREVOD NA UCET	8308	20149	UVER	MN	81908911
637225	2176	1995-10-12	VYDAJ	PREVOD NA UCET	8308	14443	UVER	MN	81908911
637226	2176	1995-11-12	VYDAJ	PREVOD NA UCET	8308	7686	UVER	MN	81908911
637229	2176	1996-02-12	VYDAJ	PREVOD NA UCET	8308	23728	UVER	MN	81908911
637230	2176	1996-03-12	VYDAJ	PREVOD NA UCET	8308	83166	UVER	MN	81908911
637231	2176	1996-04-12	VYDAJ	PREVOD NA UCET	8308	44652	UVER	MN	81908911
637232	2176	1996-05-12	VYDAJ	PREVOD NA UCET	8308	44741	UVER	MN	81908911
637233	2176	1996-06-12	VYDAJ	PREVOD NA UCET	8308	36583	UVER	MN	81908911
637234	2176	1996-07-12	VYDAJ	PREVOD NA UCET	8308	60573	UVER	MN	81908911
637235	2176	1996-08-12	VYDAJ	PREVOD NA UCET	8308	49415	UVER	MN	81908911
637236	2176	1996-09-12	VYDAJ	PREVOD NA UCET	8308	7246	UVER	MN	81908911
637238	2176	1996-11-12	VYDAJ	PREVOD NA UCET	8308	45861	UVER	MN	81908911
637239	2176	1996-12-12	VYDAJ	PREVOD NA UCET	8308	31436	UVER	MN	81908911
637240	2176	1997-01-12	VYDAJ	PREVOD NA UCET	8308	44721	UVER	MN	81908911
637241	2176	1997-02-12	VYDAJ	PREVOD NA UCET	8308	13480	UVER	MN	81908911
637252	2176	1998-01-04	VYDAJ	VYBER	10400	35351	\N	\N	0
637254	2176	1998-03-08	VYDAJ	VYBER	7000	11406	\N	\N	0
637257	2176	1998-06-11	VYDAJ	VYBER	6400	9083	\N	\N	0
637261	2176	1998-10-10	VYDAJ	VYBER	9100	10832	\N	\N	0
637271	2176	1993-08-05	VYDAJ	PREVOD NA UCET	1085	52364	SIPO	KL	62845337
637272	2176	1993-09-05	VYDAJ	PREVOD NA UCET	1085	43922	SIPO	KL	62845337
637273	2176	1993-10-05	VYDAJ	PREVOD NA UCET	1085	48451	SIPO	KL	62845337
637274	2176	1993-11-05	VYDAJ	PREVOD NA UCET	1085	42927	SIPO	KL	62845337
637275	2176	1993-12-05	VYDAJ	PREVOD NA UCET	1085	23926	SIPO	KL	62845337
637276	2176	1994-01-05	VYDAJ	PREVOD NA UCET	1085	22729	SIPO	KL	62845337
637277	2176	1994-02-05	VYDAJ	PREVOD NA UCET	1085	53173	SIPO	KL	62845337
637278	2176	1994-03-05	VYDAJ	PREVOD NA UCET	1085	55921	SIPO	KL	62845337
637279	2176	1994-04-05	VYDAJ	PREVOD NA UCET	1085	56926	SIPO	KL	62845337
637280	2176	1994-05-05	VYDAJ	PREVOD NA UCET	1085	54106	SIPO	KL	62845337
637281	2176	1994-06-05	VYDAJ	PREVOD NA UCET	1085	38144	SIPO	KL	62845337
637282	2176	1994-07-05	VYDAJ	PREVOD NA UCET	1085	10386	SIPO	KL	62845337
637283	2176	1994-08-05	VYDAJ	PREVOD NA UCET	1085	20294	SIPO	KL	62845337
637284	2176	1994-09-05	VYDAJ	PREVOD NA UCET	1085	32804	SIPO	KL	62845337
637285	2176	1994-10-05	VYDAJ	PREVOD NA UCET	1085	70567	SIPO	KL	62845337
637286	2176	1994-11-05	VYDAJ	PREVOD NA UCET	1085	74661	SIPO	KL	62845337
637287	2176	1994-12-05	VYDAJ	PREVOD NA UCET	1085	32882	SIPO	KL	62845337
637288	2176	1995-01-05	VYDAJ	PREVOD NA UCET	1085	38652	SIPO	KL	62845337
637289	2176	1995-02-05	VYDAJ	PREVOD NA UCET	1085	19922	SIPO	KL	62845337
637290	2176	1995-03-05	VYDAJ	PREVOD NA UCET	1085	30382	SIPO	KL	62845337
637291	2176	1995-04-05	VYDAJ	PREVOD NA UCET	1085	19244	SIPO	KL	62845337
637292	2176	1995-05-05	VYDAJ	PREVOD NA UCET	1085	33482	SIPO	KL	62845337
637293	2176	1995-06-05	VYDAJ	PREVOD NA UCET	1085	40887	SIPO	KL	62845337
637294	2176	1995-07-05	VYDAJ	PREVOD NA UCET	1085	22878	SIPO	KL	62845337
637295	2176	1995-08-05	VYDAJ	PREVOD NA UCET	1085	47610	SIPO	KL	62845337
637296	2176	1995-09-05	VYDAJ	PREVOD NA UCET	1085	20611	SIPO	KL	62845337
637297	2176	1995-10-05	VYDAJ	PREVOD NA UCET	1085	15039	SIPO	KL	62845337
637298	2176	1995-11-05	VYDAJ	PREVOD NA UCET	1085	14714	SIPO	KL	62845337
637299	2176	1995-12-05	VYDAJ	PREVOD NA UCET	1085	9436	SIPO	KL	62845337
637300	2176	1996-01-05	VYDAJ	PREVOD NA UCET	1085	3227	SIPO	KL	62845337
637301	2176	1996-02-05	VYDAJ	PREVOD NA UCET	1085	37171	SIPO	KL	62845337
637302	2176	1996-03-05	VYDAJ	PREVOD NA UCET	1085	13312	SIPO	KL	62845337
637303	2176	1996-04-05	VYDAJ	PREVOD NA UCET	1085	46686	SIPO	KL	62845337
637304	2176	1996-05-05	VYDAJ	PREVOD NA UCET	1085	58184	SIPO	KL	62845337
637305	2176	1996-06-05	VYDAJ	PREVOD NA UCET	1085	50026	SIPO	KL	62845337
637306	2176	1996-07-05	VYDAJ	PREVOD NA UCET	1085	65378	SIPO	KL	62845337
637307	2176	1996-08-05	VYDAJ	PREVOD NA UCET	1085	62857	SIPO	KL	62845337
637308	2176	1996-09-05	VYDAJ	PREVOD NA UCET	1085	20688	SIPO	KL	62845337
637309	2176	1996-10-05	VYDAJ	PREVOD NA UCET	1085	11056	SIPO	KL	62845337
637310	2176	1996-11-05	VYDAJ	PREVOD NA UCET	1085	14554	SIPO	KL	62845337
637311	2176	1996-12-05	VYDAJ	PREVOD NA UCET	1085	44879	SIPO	KL	62845337
637312	2176	1997-01-05	VYDAJ	PREVOD NA UCET	1085	20068	SIPO	KL	62845337
637313	2176	1997-02-05	VYDAJ	PREVOD NA UCET	1085	16636	SIPO	KL	62845337
637314	2176	1997-03-05	VYDAJ	PREVOD NA UCET	1085	12448	SIPO	KL	62845337
637315	2176	1997-04-05	VYDAJ	PREVOD NA UCET	1085	6252	SIPO	KL	62845337
637316	2176	1997-05-05	VYDAJ	PREVOD NA UCET	1085	31	SIPO	KL	62845337
637317	2176	1997-06-05	VYDAJ	PREVOD NA UCET	1085	-1063	SIPO	KL	62845337
637318	2176	1997-07-05	VYDAJ	PREVOD NA UCET	1085	-2163	SIPO	KL	62845337
637319	2176	1997-08-05	VYDAJ	PREVOD NA UCET	1085	-3272	SIPO	KL	62845337
637321	2176	1997-10-05	VYDAJ	PREVOD NA UCET	1085	10875	SIPO	KL	62845337
637322	2176	1997-11-05	VYDAJ	PREVOD NA UCET	1085	10386	SIPO	KL	62845337
637323	2176	1997-12-05	VYDAJ	PREVOD NA UCET	1085	4182	SIPO	KL	62845337
637324	2176	1998-01-05	VYDAJ	PREVOD NA UCET	1085	34266	SIPO	KL	62845337
637325	2176	1998-02-05	VYDAJ	PREVOD NA UCET	1085	1271	SIPO	KL	62845337
637326	2176	1998-03-05	VYDAJ	PREVOD NA UCET	1085	-4986	SIPO	KL	62845337
637327	2176	1998-04-05	VYDAJ	PREVOD NA UCET	1085	5187	SIPO	KL	62845337
637328	2176	1998-05-05	VYDAJ	PREVOD NA UCET	1085	-1040	SIPO	KL	62845337
637329	2176	1998-06-05	VYDAJ	PREVOD NA UCET	1085	20618	SIPO	KL	62845337
637330	2176	1998-07-05	VYDAJ	PREVOD NA UCET	1085	8046	SIPO	KL	62845337
637331	2176	1998-08-05	VYDAJ	PREVOD NA UCET	1085	1831	SIPO	KL	62845337
637332	2176	1998-09-05	VYDAJ	PREVOD NA UCET	1085	744	SIPO	KL	62845337
637333	2176	1998-10-05	VYDAJ	PREVOD NA UCET	1085	32832	SIPO	KL	62845337
637334	2176	1998-11-05	VYDAJ	PREVOD NA UCET	1085	4652	SIPO	KL	62845337
637335	2176	1998-12-05	VYDAJ	PREVOD NA UCET	1085	-1579	SIPO	KL	62845337
637343	2176	1993-08-10	VYDAJ	PREVOD NA UCET	5135	78054	 	EF	57953965
637344	2176	1993-09-10	VYDAJ	PREVOD NA UCET	5135	52645	 	EF	57953965
637345	2176	1993-10-10	VYDAJ	PREVOD NA UCET	5135	43316	 	EF	57953965
637346	2176	1993-11-10	VYDAJ	PREVOD NA UCET	5135	28692	 	EF	57953965
637347	2176	1993-12-10	VYDAJ	PREVOD NA UCET	5135	11991	 	EF	57953965
637348	2176	1994-01-10	VYDAJ	PREVOD NA UCET	5135	17594	 	EF	57953965
637349	2176	1994-02-10	VYDAJ	PREVOD NA UCET	5135	42038	 	EF	57953965
637350	2176	1994-03-10	VYDAJ	PREVOD NA UCET	5135	50786	 	EF	57953965
637351	2176	1994-04-10	VYDAJ	PREVOD NA UCET	5135	40691	 	EF	57953965
637352	2176	1994-05-10	VYDAJ	PREVOD NA UCET	5135	48971	 	EF	57953965
637353	2176	1994-06-10	VYDAJ	PREVOD NA UCET	5135	33009	 	EF	57953965
637354	2176	1994-07-10	VYDAJ	PREVOD NA UCET	5135	5251	 	EF	57953965
637355	2176	1994-08-10	VYDAJ	PREVOD NA UCET	5135	15159	 	EF	57953965
637356	2176	1994-09-10	VYDAJ	PREVOD NA UCET	5135	79529	 	EF	57953965
637357	2176	1994-10-10	VYDAJ	PREVOD NA UCET	5135	65432	 	EF	57953965
637358	2176	1994-11-10	VYDAJ	PREVOD NA UCET	5135	69526	 	EF	57953965
637359	2176	1994-12-10	VYDAJ	PREVOD NA UCET	5135	36778	 	EF	57953965
637360	2176	1995-01-10	VYDAJ	PREVOD NA UCET	5135	29917	 	EF	57953965
637361	2176	1995-02-10	VYDAJ	PREVOD NA UCET	5135	53918	 	EF	57953965
637362	2176	1995-03-10	VYDAJ	PREVOD NA UCET	5135	25247	 	EF	57953965
637363	2176	1995-04-10	VYDAJ	PREVOD NA UCET	5135	14109	 	EF	57953965
637364	2176	1995-05-10	VYDAJ	PREVOD NA UCET	5135	28347	 	EF	57953965
637365	2176	1995-06-10	VYDAJ	PREVOD NA UCET	5135	35752	 	EF	57953965
637366	2176	1995-07-10	VYDAJ	PREVOD NA UCET	5135	17743	 	EF	57953965
637367	2176	1995-08-10	VYDAJ	PREVOD NA UCET	5135	42475	 	EF	57953965
637368	2176	1995-09-10	VYDAJ	PREVOD NA UCET	5135	28457	 	EF	57953965
637369	2176	1995-10-10	VYDAJ	PREVOD NA UCET	5135	22751	 	EF	57953965
637370	2176	1995-11-10	VYDAJ	PREVOD NA UCET	5135	15994	 	EF	57953965
637371	2176	1995-12-10	VYDAJ	PREVOD NA UCET	5135	4301	 	EF	57953965
637372	2176	1996-01-10	VYDAJ	PREVOD NA UCET	5135	-1908	 	EF	57953965
637373	2176	1996-02-10	VYDAJ	PREVOD NA UCET	5135	32036	 	EF	57953965
637374	2176	1996-03-10	VYDAJ	PREVOD NA UCET	5135	44505	 	EF	57953965
637375	2176	1996-04-10	VYDAJ	PREVOD NA UCET	5135	52960	 	EF	57953965
637376	2176	1996-05-10	VYDAJ	PREVOD NA UCET	5135	53049	 	EF	57953965
637377	2176	1996-06-10	VYDAJ	PREVOD NA UCET	5135	44891	 	EF	57953965
637378	2176	1996-07-10	VYDAJ	PREVOD NA UCET	5135	68881	 	EF	57953965
637379	2176	1996-08-10	VYDAJ	PREVOD NA UCET	5135	57722	 	EF	57953965
637380	2176	1996-09-10	VYDAJ	PREVOD NA UCET	5135	15553	 	EF	57953965
637381	2176	1996-10-10	VYDAJ	PREVOD NA UCET	5135	5921	 	EF	57953965
637382	2176	1996-11-10	VYDAJ	PREVOD NA UCET	5135	9419	 	EF	57953965
637383	2176	1996-12-10	VYDAJ	PREVOD NA UCET	5135	39744	 	EF	57953965
637384	2176	1997-01-10	VYDAJ	PREVOD NA UCET	5135	53029	 	EF	57953965
637385	2176	1997-02-10	VYDAJ	PREVOD NA UCET	5135	21788	 	EF	57953965
637386	2176	1997-03-10	VYDAJ	PREVOD NA UCET	5135	7313	 	EF	57953965
637387	2176	1997-04-10	VYDAJ	PREVOD NA UCET	5135	1117	 	EF	57953965
637393	2176	1997-10-10	VYDAJ	PREVOD NA UCET	5135	5740	 	EF	57953965
637394	2176	1997-11-10	VYDAJ	PREVOD NA UCET	5135	5251	 	EF	57953965
637395	2176	1997-12-10	VYDAJ	PREVOD NA UCET	5135	-953	 	EF	57953965
637396	2176	1998-01-10	VYDAJ	PREVOD NA UCET	5135	4531	 	EF	57953965
637397	2176	1998-02-10	VYDAJ	PREVOD NA UCET	5135	-3864	 	EF	57953965
637398	2176	1998-03-10	VYDAJ	PREVOD NA UCET	5135	6271	 	EF	57953965
637399	2176	1998-04-10	VYDAJ	PREVOD NA UCET	5135	52	 	EF	57953965
637401	2176	1998-06-10	VYDAJ	PREVOD NA UCET	5135	15483	 	EF	57953965
637402	2176	1998-07-10	VYDAJ	PREVOD NA UCET	5135	2911	 	EF	57953965
637405	2176	1998-10-10	VYDAJ	PREVOD NA UCET	5135	5697	 	EF	57953965
637406	2176	1998-11-10	VYDAJ	PREVOD NA UCET	5135	-483	 	EF	57953965
637408	2176	1993-08-07	VYBER	VYBER	11421	40943	\N	\N	\N
637410	2176	1993-09-01	VYBER	VYBER	5119	87615	\N	\N	\N
637411	2176	1993-12-15	VYBER	VYBER	5177	27004	\N	\N	\N
637412	2176	1993-09-14	VYBER	VYBER	13992	38653	\N	\N	\N
637414	2176	1993-09-04	VYBER	VYBER	17608	70007	\N	\N	\N
637415	2176	1993-12-11	VYBER	VYBER	18419	32181	\N	\N	\N
637422	2176	1994-10-16	VYBER	VYBER	19240	37884	\N	\N	\N
637423	2176	1994-12-18	VYBER	VYBER	20825	78693	\N	\N	\N
637424	2176	1994-09-22	VYBER	VYBER	20095	46633	\N	\N	\N
637425	2176	1994-12-05	VYBER	VYBER	5036	33967	\N	\N	\N
637426	2176	1994-06-27	VYBER	VYBER	11641	15068	\N	\N	\N
637427	2176	1994-05-20	VYBER	VYBER	4833	21938	\N	\N	\N
637428	2176	1994-12-22	VYBER	VYBER	2774	75919	\N	\N	\N
637432	2176	1994-09-12	VYBER	VYBER	4493	75036	\N	\N	\N
637452	2176	1998-06-01	VYDAJ	VYBER	15300	21703	\N	\N	\N
637458	2176	1998-01-05	VYDAJ	VYBER	20100	14166	\N	\N	\N
637459	2176	1993-12-04	VYDAJ	VYBER	7800	25011	\N	\N	\N
637460	2176	1994-12-03	VYDAJ	VYBER	7500	39003	\N	\N	\N
637462	2176	1996-12-02	VYDAJ	VYBER	7800	45964	\N	\N	\N
637473	2176	1994-01-01	VYDAJ	VYBER	3900	23214	\N	\N	\N
637475	2176	1994-01-02	VYDAJ	VYBER	3000	23814	\N	\N	\N
637477	2176	1995-01-02	VYDAJ	VYBER	4800	43337	\N	\N	\N
637479	2176	1995-01-04	VYDAJ	VYBER	3600	39737	\N	\N	\N
637480	2176	1995-01-11	VYDAJ	VYBER	1500	28417	\N	\N	\N
637482	2176	1995-01-07	VYDAJ	VYBER	3600	35052	\N	\N	\N
637490	2176	1997-01-16	VYDAJ	VYBER	5400	17621	\N	\N	\N
637491	2176	1997-01-10	VYDAJ	VYBER	6600	58164	\N	\N	\N
637498	2176	1998-01-06	VYDAJ	VYBER	4500	9666	\N	\N	\N
637501	2176	1993-10-28	VYDAJ	VYBER	6000	26516	\N	\N	\N
637503	2176	1993-10-21	VYDAJ	VYBER	7200	36116	\N	\N	\N
637505	2176	1993-10-28	VYDAJ	VYBER	3600	32516	\N	\N	\N
637509	2176	1994-05-15	VYDAJ	VYBER	14700	34271	\N	\N	\N
637510	2176	1994-03-11	VYDAJ	VYBER	7800	42986	\N	\N	\N
637511	2176	1994-02-06	VYDAJ	VYBER	6000	47173	\N	\N	\N
637512	2176	1994-12-07	VYDAJ	VYBER	13200	41913	\N	\N	\N
637514	2176	1994-11-23	VYDAJ	VYBER	9900	73159	\N	\N	\N
637515	2176	1995-08-11	VYDAJ	VYBER	4500	37975	\N	\N	\N
637519	2176	1996-08-16	VYDAJ	VYBER	13200	36215	\N	\N	\N
637520	2176	1996-12-01	VYDAJ	VYBER	12000	53764	\N	\N	\N
637523	2176	1996-08-21	VYDAJ	VYBER	2400	21615	\N	\N	\N
637524	2176	1997-01-16	VYDAJ	VYBER	7500	23021	\N	\N	\N
637534	2176	1998-10-08	VYDAJ	VYBER	12900	19932	\N	\N	\N
637545	2176	1993-08-31	VYDAJ	VYBER	15	92734	SLUZBY	\N	\N
637546	2176	1993-09-30	VYDAJ	VYBER	15	31247	SLUZBY	\N	\N
637547	2176	1993-10-31	VYDAJ	VYBER	15	26666	SLUZBY	\N	\N
637548	2176	1993-11-30	VYDAJ	VYBER	15	37411	SLUZBY	\N	\N
637549	2176	1993-12-31	VYDAJ	VYBER	15	27114	SLUZBY	\N	\N
637550	2176	1994-01-31	VYDAJ	VYBER	15	21528	SLUZBY	\N	\N
637551	2176	1994-02-28	VYDAJ	VYBER	15	55701	SLUZBY	\N	\N
637552	2176	1994-03-31	VYDAJ	VYBER	15	92211	SLUZBY	\N	\N
637553	2176	1994-04-30	VYDAJ	VYBER	15	94191	SLUZBY	\N	\N
637554	2176	1994-05-31	VYDAJ	VYBER	15	22099	SLUZBY	\N	\N
637555	2176	1994-06-30	VYDAJ	VYBER	15	7871	SLUZBY	\N	\N
637556	2176	1994-07-31	VYDAJ	VYBER	15	21379	SLUZBY	\N	\N
637557	2176	1994-08-31	VYDAJ	VYBER	15	33889	SLUZBY	\N	\N
637558	2176	1994-09-30	VYDAJ	VYBER	15	71652	SLUZBY	\N	\N
637559	2176	1994-10-31	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
637560	2176	1994-11-30	VYDAJ	VYBER	15	46503	SLUZBY	\N	\N
637561	2176	1994-12-31	VYDAJ	VYBER	15	48137	SLUZBY	\N	\N
637562	2176	1995-01-31	VYDAJ	VYBER	15	21007	SLUZBY	\N	\N
637563	2176	1995-02-28	VYDAJ	VYBER	15	31467	SLUZBY	\N	\N
637564	2176	1995-03-31	VYDAJ	VYBER	15	20329	SLUZBY	\N	\N
637565	2176	1995-04-30	VYDAJ	VYBER	15	12736	SLUZBY	\N	\N
637566	2176	1995-05-31	VYDAJ	VYBER	15	41972	SLUZBY	\N	\N
637567	2176	1995-06-30	VYDAJ	VYBER	15	23963	SLUZBY	\N	\N
637568	2176	1995-07-31	VYDAJ	VYBER	15	48695	SLUZBY	\N	\N
637569	2176	1995-08-31	VYDAJ	VYBER	15	21696	SLUZBY	\N	\N
637570	2176	1995-09-30	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
637571	2176	1995-10-31	VYDAJ	VYBER	15	15799	SLUZBY	\N	\N
637572	2176	1995-11-30	VYDAJ	VYBER	15	10521	SLUZBY	\N	\N
637573	2176	1995-12-31	VYDAJ	VYBER	15	4312	SLUZBY	\N	\N
637574	2176	1996-01-31	VYDAJ	VYBER	15	-1917	SLUZBY	\N	\N
637575	2176	1996-02-29	VYDAJ	VYBER	15	14397	SLUZBY	\N	\N
637576	2176	1996-03-31	VYDAJ	VYBER	15	47771	SLUZBY	\N	\N
637577	2176	1996-04-30	VYDAJ	VYBER	15	26610	SLUZBY	\N	\N
637578	2176	1996-05-31	VYDAJ	VYBER	15	33091	SLUZBY	\N	\N
637579	2176	1996-06-30	VYDAJ	VYBER	15	23912	SLUZBY	\N	\N
637580	2176	1996-07-31	VYDAJ	VYBER	15	63942	SLUZBY	\N	\N
637581	2176	1996-08-31	VYDAJ	VYBER	15	21773	SLUZBY	\N	\N
637582	2176	1996-09-30	VYDAJ	VYBER	15	12141	SLUZBY	\N	\N
637583	2176	1996-10-31	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
637584	2176	1996-11-30	VYDAJ	VYBER	15	54131	SLUZBY	\N	\N
637585	2176	1996-12-31	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
637586	2176	1997-01-31	VYDAJ	VYBER	15	17721	SLUZBY	\N	\N
637587	2176	1997-02-28	VYDAJ	VYBER	15	13533	SLUZBY	\N	\N
637588	2176	1997-03-31	VYDAJ	VYBER	15	7337	SLUZBY	\N	\N
637589	2176	1997-04-30	VYDAJ	VYBER	15	1116	SLUZBY	\N	\N
637590	2176	1997-05-31	VYDAJ	VYBER	15	22	SLUZBY	\N	\N
637591	2176	1997-06-30	VYDAJ	VYBER	15	-1077	SLUZBY	\N	\N
637592	2176	1997-07-31	VYDAJ	VYBER	15	-2177	SLUZBY	\N	\N
637593	2176	1997-08-31	VYDAJ	VYBER	15	-3286	SLUZBY	\N	\N
637594	2176	1997-09-30	VYDAJ	VYBER	15	11972	SLUZBY	\N	\N
637595	2176	1997-10-31	VYDAJ	VYBER	15	11471	SLUZBY	\N	\N
637596	2176	1997-11-30	VYDAJ	VYBER	15	5267	SLUZBY	\N	\N
637597	2176	1997-12-31	VYDAJ	VYBER	15	45752	SLUZBY	\N	\N
637598	2176	1998-01-31	VYDAJ	VYBER	15	2356	SLUZBY	\N	\N
637599	2176	1998-02-28	VYDAJ	VYBER	15	-3901	SLUZBY	\N	\N
637600	2176	1998-03-31	VYDAJ	VYBER	15	6272	SLUZBY	\N	\N
637601	2176	1998-04-30	VYDAJ	VYBER	15	45	SLUZBY	\N	\N
637602	2176	1998-05-31	VYDAJ	VYBER	15	37003	SLUZBY	\N	\N
637603	2176	1998-06-30	VYDAJ	VYBER	15	9131	SLUZBY	\N	\N
637604	2176	1998-07-31	VYDAJ	VYBER	15	2916	SLUZBY	\N	\N
637605	2176	1998-08-31	VYDAJ	VYBER	15	1829	SLUZBY	\N	\N
637606	2176	1998-09-30	VYDAJ	VYBER	15	33917	SLUZBY	\N	\N
637607	2176	1998-10-31	VYDAJ	VYBER	15	5737	SLUZBY	\N	\N
637608	2176	1998-11-30	VYDAJ	VYBER	15	-494	SLUZBY	\N	\N
637609	2176	1993-07-06	VYDAJ	VYBER	6300	30313	\N	\N	\N
637610	2176	1993-08-01	VYDAJ	VYBER	21000	114587	\N	\N	\N
637611	2176	1993-08-02	VYDAJ	VYBER	56000	137910	\N	\N	\N
637612	2176	1993-08-02	VYDAJ	VYBER	26100	111810	\N	\N	\N
637613	2176	1993-08-03	VYDAJ	VYBER	28400	100049	\N	\N	\N
637614	2176	1993-08-05	VYDAJ	VYBER	36300	53449	\N	\N	\N
637615	2176	1993-09-04	VYDAJ	VYBER	25000	45007	\N	\N	\N
637616	2176	1993-09-10	VYDAJ	VYBER	46600	57780	\N	\N	\N
637617	2176	1993-10-04	VYDAJ	VYBER	28900	49536	\N	\N	\N
637618	2176	1993-11-03	VYDAJ	VYBER	59400	44012	\N	\N	\N
637619	2176	1993-11-03	VYDAJ	VYBER	17900	103412	\N	\N	\N
637620	2176	1993-12-03	VYDAJ	VYBER	4600	32811	\N	\N	\N
637621	2176	1994-01-02	PRIJEM	VKLAD	3600	26814	\N	\N	\N
637622	2176	1994-02-01	PRIJEM	VKLAD	500	22028	\N	\N	\N
637623	2176	1994-03-03	VYDAJ	VYBER	17500	38201	\N	\N	\N
637624	2176	1994-04-02	VYDAJ	VYBER	34200	58011	\N	\N	\N
637625	2176	1994-05-02	VYDAJ	VYBER	39000	55191	\N	\N	\N
637626	2176	1994-06-01	VYDAJ	VYBER	18400	39229	\N	\N	\N
637627	2176	1994-07-01	PRIJEM	VKLAD	3600	11471	\N	\N	\N
637628	2176	1994-07-31	PRIJEM	VKLAD	1900	21393	\N	\N	\N
637629	2176	1994-08-30	VYDAJ	VYBER	15300	33790	\N	\N	\N
637630	2176	1994-09-09	VYDAJ	VYBER	49100	84664	\N	\N	\N
637631	2176	1994-09-29	VYDAJ	VYBER	14300	32333	\N	\N	\N
637632	2176	1994-10-29	VYDAJ	VYBER	8200	29684	\N	\N	\N
637633	2176	1994-11-04	VYDAJ	VYBER	35100	75746	\N	\N	\N
637634	2176	1994-11-28	VYDAJ	VYBER	26900	46259	\N	\N	\N
637635	2176	1994-12-28	VYDAJ	VYBER	28000	47919	\N	\N	\N
637636	2176	1995-01-27	PRIJEM	VKLAD	800	20909	\N	\N	\N
637637	2176	1995-02-26	VYDAJ	VYBER	14300	31310	\N	\N	\N
637638	2176	1995-03-28	VYDAJ	VYBER	4700	20242	\N	\N	\N
637639	2176	1995-04-27	PRIJEM	VKLAD	6900	12701	\N	\N	\N
637640	2176	1995-05-27	VYDAJ	VYBER	23100	41790	\N	\N	\N
637641	2176	1995-06-26	VYDAJ	VYBER	3600	23844	\N	\N	\N
637642	2176	1995-07-26	PRIJEM	VKLAD	2200	11635	\N	\N	\N
637643	2176	1995-08-25	VYDAJ	VYBER	8100	21567	\N	\N	\N
637644	2176	1995-09-24	VYDAJ	VYBER	4100	16049	\N	\N	\N
637645	2176	1995-10-24	PRIJEM	VKLAD	1300	15743	\N	\N	\N
637646	2176	1995-11-23	PRIJEM	VKLAD	2800	10486	\N	\N	\N
637647	2176	1996-02-21	VYDAJ	VYBER	9400	14328	\N	\N	\N
637648	2176	1996-03-22	VYDAJ	VYBER	35600	47566	\N	\N	\N
637649	2176	1996-04-21	VYDAJ	VYBER	18200	26452	\N	\N	\N
637650	2176	1996-05-21	VYDAJ	VYBER	23700	32932	\N	\N	\N
637651	2176	1996-06-20	VYDAJ	VYBER	12800	23783	\N	\N	\N
637652	2176	1996-07-09	VYDAJ	VYBER	26900	74016	\N	\N	\N
637653	2176	1996-07-20	VYDAJ	VYBER	21500	39073	\N	\N	\N
637654	2176	1996-08-19	VYDAJ	VYBER	12200	24015	\N	\N	\N
637655	2176	1996-09-18	VYDAJ	VYBER	2300	12092	\N	\N	\N
637656	2176	1996-10-18	PRIJEM	VKLAD	600	15601	\N	\N	\N
637657	2176	1996-11-17	VYDAJ	VYBER	41100	53972	\N	\N	\N
637658	2176	1996-12-17	VYDAJ	VYBER	10400	21036	\N	\N	\N
637659	2176	1997-01-16	VYDAJ	VYBER	14200	30521	\N	\N	\N
637660	2176	1997-09-13	VYDAJ	VYBER	2800	11950	\N	\N	\N
637661	2176	1997-10-13	PRIJEM	VKLAD	5700	11440	\N	\N	\N
637662	2176	1998-01-11	VYDAJ	VYBER	2200	2331	\N	\N	\N
637741	2177	1993-01-04	PRIJEM	VKLAD	800	800	\N	\N	\N
637742	2177	1993-01-05	PRIJEM	PREVOD Z UCTU	5123	5923	DUCHOD	YZ	62457513
637743	2177	1993-02-05	PRIJEM	PREVOD Z UCTU	5123	11068	DUCHOD	YZ	62457513
637744	2177	1993-03-05	PRIJEM	PREVOD Z UCTU	5123	16215	DUCHOD	YZ	62457513
637745	2177	1993-04-05	PRIJEM	PREVOD Z UCTU	5123	21363	DUCHOD	YZ	62457513
637746	2177	1993-05-05	PRIJEM	PREVOD Z UCTU	5123	26511	DUCHOD	YZ	62457513
637747	2177	1993-06-05	PRIJEM	PREVOD Z UCTU	5123	28537	DUCHOD	YZ	62457513
637748	2177	1993-07-05	PRIJEM	PREVOD Z UCTU	5123	28425	DUCHOD	YZ	62457513
637749	2177	1993-08-05	PRIJEM	PREVOD Z UCTU	5123	27265	DUCHOD	YZ	62457513
637750	2177	1993-09-05	PRIJEM	PREVOD Z UCTU	5123	29304	DUCHOD	YZ	62457513
637751	2177	1993-10-05	PRIJEM	PREVOD Z UCTU	5123	31352	DUCHOD	YZ	62457513
637752	2177	1993-11-05	PRIJEM	PREVOD Z UCTU	5123	28599	DUCHOD	YZ	62457513
637753	2177	1993-12-05	PRIJEM	PREVOD Z UCTU	5123	29523	DUCHOD	YZ	62457513
637754	2177	1994-01-05	PRIJEM	PREVOD Z UCTU	5123	31071	DUCHOD	YZ	62457513
637755	2177	1994-02-05	PRIJEM	PREVOD Z UCTU	5123	21875	DUCHOD	YZ	62457513
637756	2177	1994-03-05	PRIJEM	PREVOD Z UCTU	5123	23892	DUCHOD	YZ	62457513
637757	2177	1994-04-05	PRIJEM	PREVOD Z UCTU	5123	25917	DUCHOD	YZ	62457513
637758	2177	1994-05-05	PRIJEM	PREVOD Z UCTU	5123	26529	DUCHOD	YZ	62457513
637759	2177	1994-06-05	PRIJEM	PREVOD Z UCTU	5123	27965	DUCHOD	YZ	62457513
637760	2177	1994-07-05	PRIJEM	PREVOD Z UCTU	5123	22842	DUCHOD	YZ	62457513
637761	2177	1994-08-05	PRIJEM	PREVOD Z UCTU	5123	23177	DUCHOD	YZ	62457513
637762	2177	1994-09-05	PRIJEM	PREVOD Z UCTU	5123	25200	DUCHOD	YZ	62457513
637763	2177	1994-10-05	PRIJEM	PREVOD Z UCTU	5123	26730	DUCHOD	YZ	62457513
637764	2177	1994-11-05	PRIJEM	PREVOD Z UCTU	5123	27566	DUCHOD	YZ	62457513
637765	2177	1994-12-05	PRIJEM	PREVOD Z UCTU	5123	29606	DUCHOD	YZ	62457513
637766	2177	1995-01-05	PRIJEM	PREVOD Z UCTU	5123	24389	DUCHOD	YZ	62457513
637767	2177	1995-02-05	PRIJEM	PREVOD Z UCTU	5123	20242	DUCHOD	YZ	62457513
637768	2177	1995-03-05	PRIJEM	PREVOD Z UCTU	5123	22251	DUCHOD	YZ	62457513
637769	2177	1995-04-05	PRIJEM	PREVOD Z UCTU	5123	24270	DUCHOD	YZ	62457513
637770	2177	1995-05-05	PRIJEM	PREVOD Z UCTU	5123	24194	DUCHOD	YZ	62457513
637771	2177	1995-06-05	PRIJEM	PREVOD Z UCTU	5123	23496	DUCHOD	YZ	62457513
637772	2177	1995-07-05	PRIJEM	PREVOD Z UCTU	5123	25039	DUCHOD	YZ	62457513
637773	2177	1995-08-05	PRIJEM	PREVOD Z UCTU	5123	27069	DUCHOD	YZ	62457513
637774	2177	1995-09-05	PRIJEM	PREVOD Z UCTU	5123	25667	DUCHOD	YZ	62457513
637775	2177	1995-10-05	PRIJEM	PREVOD Z UCTU	5123	27702	DUCHOD	YZ	62457513
637776	2177	1995-11-05	PRIJEM	PREVOD Z UCTU	5123	27017	DUCHOD	YZ	62457513
637777	2177	1995-12-05	PRIJEM	PREVOD Z UCTU	5123	29055	DUCHOD	YZ	62457513
637778	2177	1996-01-05	PRIJEM	PREVOD Z UCTU	5123	28819	DUCHOD	YZ	62457513
637779	2177	1996-02-05	PRIJEM	PREVOD Z UCTU	5123	20115	DUCHOD	YZ	62457513
637780	2177	1996-03-05	PRIJEM	PREVOD Z UCTU	5123	22124	DUCHOD	YZ	62457513
637781	2177	1996-04-05	PRIJEM	PREVOD Z UCTU	5123	24141	DUCHOD	YZ	62457513
637782	2177	1996-05-05	PRIJEM	PREVOD Z UCTU	5123	25525	DUCHOD	YZ	62457513
637783	2177	1996-06-05	PRIJEM	PREVOD Z UCTU	5123	27556	DUCHOD	YZ	62457513
637784	2177	1996-07-05	PRIJEM	PREVOD Z UCTU	5123	28293	DUCHOD	YZ	62457513
637785	2177	1996-08-05	PRIJEM	PREVOD Z UCTU	5123	29233	DUCHOD	YZ	62457513
637786	2177	1996-09-05	PRIJEM	PREVOD Z UCTU	5123	27873	DUCHOD	YZ	62457513
637787	2177	1996-10-05	PRIJEM	PREVOD Z UCTU	5123	27207	DUCHOD	YZ	62457513
637788	2177	1996-11-05	PRIJEM	PREVOD Z UCTU	5123	29245	DUCHOD	YZ	62457513
637789	2177	1996-12-05	PRIJEM	PREVOD Z UCTU	5123	23578	DUCHOD	YZ	62457513
637790	2177	1997-01-05	PRIJEM	PREVOD Z UCTU	5123	20916	DUCHOD	YZ	62457513
637791	2177	1997-02-05	PRIJEM	PREVOD Z UCTU	5123	20763	DUCHOD	YZ	62457513
637792	2177	1997-03-05	PRIJEM	PREVOD Z UCTU	5123	19666	DUCHOD	YZ	62457513
637793	2177	1997-04-05	PRIJEM	PREVOD Z UCTU	5123	20790	DUCHOD	YZ	62457513
637794	2177	1997-05-05	PRIJEM	PREVOD Z UCTU	5123	22800	DUCHOD	YZ	62457513
637795	2177	1997-06-05	PRIJEM	PREVOD Z UCTU	5123	24819	DUCHOD	YZ	62457513
637796	2177	1997-07-05	PRIJEM	PREVOD Z UCTU	5123	25165	DUCHOD	YZ	62457513
637797	2177	1997-08-05	PRIJEM	PREVOD Z UCTU	5123	20877	DUCHOD	YZ	62457513
637798	2177	1997-09-05	PRIJEM	PREVOD Z UCTU	5123	22888	DUCHOD	YZ	62457513
637799	2177	1997-10-05	PRIJEM	PREVOD Z UCTU	5123	24907	DUCHOD	YZ	62457513
637800	2177	1997-11-05	PRIJEM	PREVOD Z UCTU	5123	19212	DUCHOD	YZ	62457513
637801	2177	1997-12-05	PRIJEM	PREVOD Z UCTU	5123	21216	DUCHOD	YZ	62457513
637802	2177	1998-01-05	PRIJEM	PREVOD Z UCTU	5123	22526	DUCHOD	YZ	62457513
637803	2177	1998-02-05	PRIJEM	PREVOD Z UCTU	5123	21314	DUCHOD	YZ	62457513
637804	2177	1998-03-05	PRIJEM	PREVOD Z UCTU	5123	23326	DUCHOD	YZ	62457513
637805	2177	1998-04-05	PRIJEM	PREVOD Z UCTU	5123	25347	DUCHOD	YZ	62457513
637806	2177	1998-05-05	PRIJEM	PREVOD Z UCTU	5123	25772	DUCHOD	YZ	62457513
637807	2177	1998-06-05	PRIJEM	PREVOD Z UCTU	5123	27802	DUCHOD	YZ	62457513
637808	2177	1998-07-05	PRIJEM	PREVOD Z UCTU	5123	29841	DUCHOD	YZ	62457513
637809	2177	1998-08-05	PRIJEM	PREVOD Z UCTU	5123	31889	DUCHOD	YZ	62457513
637810	2177	1998-09-05	PRIJEM	PREVOD Z UCTU	5123	33945	DUCHOD	YZ	62457513
637811	2177	1998-10-05	PRIJEM	PREVOD Z UCTU	5123	36009	DUCHOD	YZ	62457513
637812	2177	1998-11-05	PRIJEM	PREVOD Z UCTU	5123	38082	DUCHOD	YZ	62457513
637813	2177	1998-12-05	PRIJEM	PREVOD Z UCTU	5123	40163	DUCHOD	YZ	62457513
637818	2177	1993-05-06	VYDAJ	PREVOD NA UCET	3168	23343	SIPO	QR	5411524
637819	2177	1993-06-06	VYDAJ	PREVOD NA UCET	3168	25369	SIPO	QR	5411524
637820	2177	1993-07-06	VYDAJ	PREVOD NA UCET	3168	25257	SIPO	QR	5411524
637821	2177	1993-08-06	VYDAJ	PREVOD NA UCET	3168	24097	SIPO	QR	5411524
637822	2177	1993-09-06	VYDAJ	PREVOD NA UCET	3168	26136	SIPO	QR	5411524
637823	2177	1993-10-06	VYDAJ	PREVOD NA UCET	3168	28184	SIPO	QR	5411524
637824	2177	1993-11-06	VYDAJ	PREVOD NA UCET	3168	25431	SIPO	QR	5411524
637825	2177	1993-12-06	VYDAJ	PREVOD NA UCET	3168	26355	SIPO	QR	5411524
637826	2177	1994-01-06	VYDAJ	PREVOD NA UCET	3168	27903	SIPO	QR	5411524
637827	2177	1994-02-06	VYDAJ	PREVOD NA UCET	3168	18707	SIPO	QR	5411524
637828	2177	1994-03-06	VYDAJ	PREVOD NA UCET	3168	20724	SIPO	QR	5411524
637829	2177	1994-04-06	VYDAJ	PREVOD NA UCET	3168	22749	SIPO	QR	5411524
637830	2177	1994-05-06	VYDAJ	PREVOD NA UCET	3168	23361	SIPO	QR	5411524
637831	2177	1994-06-06	VYDAJ	PREVOD NA UCET	3168	24797	SIPO	QR	5411524
637832	2177	1994-07-06	VYDAJ	PREVOD NA UCET	3168	18554	SIPO	QR	5411524
637833	2177	1994-08-06	VYDAJ	PREVOD NA UCET	3168	20009	SIPO	QR	5411524
637834	2177	1994-09-06	VYDAJ	PREVOD NA UCET	3168	22032	SIPO	QR	5411524
637835	2177	1994-10-06	VYDAJ	PREVOD NA UCET	3168	23562	SIPO	QR	5411524
637836	2177	1994-11-06	VYDAJ	PREVOD NA UCET	3168	24398	SIPO	QR	5411524
637837	2177	1994-12-06	VYDAJ	PREVOD NA UCET	3168	26438	SIPO	QR	5411524
637838	2177	1995-01-06	VYDAJ	PREVOD NA UCET	3168	21221	SIPO	QR	5411524
637839	2177	1995-02-06	VYDAJ	PREVOD NA UCET	3168	17074	SIPO	QR	5411524
637840	2177	1995-03-06	VYDAJ	PREVOD NA UCET	3168	19083	SIPO	QR	5411524
637841	2177	1995-04-06	VYDAJ	PREVOD NA UCET	3168	21102	SIPO	QR	5411524
637842	2177	1995-05-06	VYDAJ	PREVOD NA UCET	3168	21026	SIPO	QR	5411524
637843	2177	1995-06-06	VYDAJ	PREVOD NA UCET	3168	20328	SIPO	QR	5411524
637844	2177	1995-07-06	VYDAJ	PREVOD NA UCET	3168	21871	SIPO	QR	5411524
637845	2177	1995-08-06	VYDAJ	PREVOD NA UCET	3168	23901	SIPO	QR	5411524
637846	2177	1995-09-06	VYDAJ	PREVOD NA UCET	3168	22499	SIPO	QR	5411524
637847	2177	1995-10-06	VYDAJ	PREVOD NA UCET	3168	24534	SIPO	QR	5411524
637848	2177	1995-11-06	VYDAJ	PREVOD NA UCET	3168	23849	SIPO	QR	5411524
637849	2177	1995-12-06	VYDAJ	PREVOD NA UCET	3168	25887	SIPO	QR	5411524
637850	2177	1996-01-06	VYDAJ	PREVOD NA UCET	3168	24211	SIPO	QR	5411524
637851	2177	1996-02-06	VYDAJ	PREVOD NA UCET	3168	16947	SIPO	QR	5411524
637852	2177	1996-03-06	VYDAJ	PREVOD NA UCET	3168	18956	SIPO	QR	5411524
637853	2177	1996-04-06	VYDAJ	PREVOD NA UCET	3168	20973	SIPO	QR	5411524
637854	2177	1996-05-06	VYDAJ	PREVOD NA UCET	3168	22357	SIPO	QR	5411524
637855	2177	1996-06-06	VYDAJ	PREVOD NA UCET	3168	24388	SIPO	QR	5411524
637856	2177	1996-07-06	VYDAJ	PREVOD NA UCET	3168	25125	SIPO	QR	5411524
637857	2177	1996-08-06	VYDAJ	PREVOD NA UCET	3168	26065	SIPO	QR	5411524
637858	2177	1996-09-06	VYDAJ	PREVOD NA UCET	3168	24705	SIPO	QR	5411524
637859	2177	1996-10-06	VYDAJ	PREVOD NA UCET	3168	24039	SIPO	QR	5411524
637860	2177	1996-11-06	VYDAJ	PREVOD NA UCET	3168	26077	SIPO	QR	5411524
637861	2177	1996-12-06	VYDAJ	PREVOD NA UCET	3168	20410	SIPO	QR	5411524
637862	2177	1997-01-06	VYDAJ	PREVOD NA UCET	3168	17748	SIPO	QR	5411524
637863	2177	1997-02-06	VYDAJ	PREVOD NA UCET	3168	17595	SIPO	QR	5411524
637864	2177	1997-03-06	VYDAJ	PREVOD NA UCET	3168	16498	SIPO	QR	5411524
637865	2177	1997-04-06	VYDAJ	PREVOD NA UCET	3168	17622	SIPO	QR	5411524
637866	2177	1997-05-06	VYDAJ	PREVOD NA UCET	3168	19632	SIPO	QR	5411524
637867	2177	1997-06-06	VYDAJ	PREVOD NA UCET	3168	21651	SIPO	QR	5411524
637868	2177	1997-07-06	VYDAJ	PREVOD NA UCET	3168	21997	SIPO	QR	5411524
637869	2177	1997-08-06	VYDAJ	PREVOD NA UCET	3168	17709	SIPO	QR	5411524
637870	2177	1997-09-06	VYDAJ	PREVOD NA UCET	3168	19720	SIPO	QR	5411524
637871	2177	1997-10-06	VYDAJ	PREVOD NA UCET	3168	21739	SIPO	QR	5411524
637872	2177	1997-11-06	VYDAJ	PREVOD NA UCET	3168	16044	SIPO	QR	5411524
637873	2177	1997-12-06	VYDAJ	PREVOD NA UCET	3168	18048	SIPO	QR	5411524
637874	2177	1998-01-06	VYDAJ	PREVOD NA UCET	3168	19358	SIPO	QR	5411524
637875	2177	1998-02-06	VYDAJ	PREVOD NA UCET	3168	18146	SIPO	QR	5411524
637876	2177	1998-03-06	VYDAJ	PREVOD NA UCET	3168	20158	SIPO	QR	5411524
637877	2177	1998-04-06	VYDAJ	PREVOD NA UCET	3168	22179	SIPO	QR	5411524
637878	2177	1998-05-06	VYDAJ	PREVOD NA UCET	3168	22604	SIPO	QR	5411524
637879	2177	1998-06-06	VYDAJ	PREVOD NA UCET	3168	24634	SIPO	QR	5411524
637880	2177	1998-07-06	VYDAJ	PREVOD NA UCET	3168	26673	SIPO	QR	5411524
637881	2177	1998-08-06	VYDAJ	PREVOD NA UCET	3168	28721	SIPO	QR	5411524
637882	2177	1998-09-06	VYDAJ	PREVOD NA UCET	3168	30777	SIPO	QR	5411524
637883	2177	1998-10-06	VYDAJ	PREVOD NA UCET	3168	32841	SIPO	QR	5411524
637884	2177	1998-11-06	VYDAJ	PREVOD NA UCET	3168	34914	SIPO	QR	5411524
637885	2177	1998-12-06	VYDAJ	PREVOD NA UCET	3168	36995	SIPO	QR	5411524
637886	2177	1993-06-10	VYDAJ	VYBER	2150	23219	\N	\N	\N
637887	2177	1994-06-16	VYDAJ	VYBER	7150	17647	\N	\N	\N
637893	2177	1994-01-15	VYDAJ	VYBER	2350	23473	\N	\N	\N
637895	2177	1996-01-22	VYDAJ	VYBER	3050	17081	\N	\N	\N
637897	2177	1998-01-21	VYDAJ	VYBER	500	16138	\N	\N	\N
637898	2177	1993-12-09	VYDAJ	VYBER	400	25955	\N	\N	\N
637899	2177	1994-12-18	VYDAJ	VYBER	1300	25138	\N	\N	\N
637900	2177	1995-12-18	VYDAJ	VYBER	1000	24887	\N	\N	\N
637901	2177	1996-12-18	VYDAJ	VYBER	900	18210	\N	\N	\N
637902	2177	1997-12-10	VYDAJ	VYBER	700	17348	\N	\N	\N
637903	2177	1998-12-08	VYDAJ	VYBER	1400	35595	\N	\N	\N
637910	2177	1994-01-24	VYDAJ	VYBER	560	16673	\N	\N	\N
637911	2177	1994-01-17	VYDAJ	VYBER	2240	21233	\N	\N	\N
637912	2177	1994-01-24	VYDAJ	VYBER	880	17233	\N	\N	\N
637913	2177	1994-01-11	VYDAJ	VYBER	2080	25823	\N	\N	\N
637914	2177	1994-01-23	VYDAJ	VYBER	2000	19233	\N	\N	\N
637915	2177	1994-01-24	VYDAJ	VYBER	1120	18113	\N	\N	\N
637916	2177	1995-01-07	VYDAJ	VYBER	1600	19621	\N	\N	\N
637918	2177	1995-01-03	VYDAJ	VYBER	1760	19266	\N	\N	\N
637919	2177	1995-01-13	VYDAJ	VYBER	2080	16421	\N	\N	\N
637921	2177	1995-01-20	VYDAJ	VYBER	1360	15061	\N	\N	\N
637922	2177	1996-01-13	VYDAJ	VYBER	480	21491	\N	\N	\N
637923	2177	1996-01-08	VYDAJ	VYBER	2240	21971	\N	\N	\N
637924	2177	1996-01-17	VYDAJ	VYBER	1360	20131	\N	\N	\N
637925	2177	1996-01-04	VYDAJ	VYBER	1280	23696	\N	\N	\N
637926	2177	1996-01-28	VYDAJ	VYBER	400	14921	\N	\N	\N
637927	2177	1996-01-22	VYDAJ	VYBER	1760	15321	\N	\N	\N
637928	2177	1997-01-14	VYDAJ	VYBER	1120	16068	\N	\N	\N
637930	2177	1997-01-23	VYDAJ	VYBER	480	15588	\N	\N	\N
637931	2177	1997-01-13	VYDAJ	VYBER	560	17188	\N	\N	\N
637938	2177	1998-01-07	VYDAJ	VYBER	1520	17838	\N	\N	\N
637939	2177	1998-01-10	VYDAJ	VYBER	1200	16638	\N	\N	\N
637940	2177	1993-11-26	VYDAJ	VYBER	1120	24311	\N	\N	\N
637941	2177	1993-07-21	VYDAJ	VYBER	3200	22057	\N	\N	\N
637942	2177	1993-10-16	VYDAJ	VYBER	2880	25304	\N	\N	\N
637943	2177	1993-10-19	VYDAJ	VYBER	1920	23384	\N	\N	\N
637944	2177	1994-04-16	VYDAJ	VYBER	1120	21629	\N	\N	\N
637945	2177	1994-07-13	VYDAJ	VYBER	560	17994	\N	\N	\N
637946	2177	1994-07-06	VYDAJ	VYBER	1120	21722	\N	\N	\N
637947	2177	1995-01-10	VYDAJ	VYBER	1120	18501	\N	\N	\N
637948	2177	1995-06-30	VYDAJ	VYBER	480	19931	\N	\N	\N
637949	2177	1995-09-02	VYDAJ	VYBER	3440	20544	\N	\N	\N
637950	2177	1995-10-19	VYDAJ	VYBER	2720	21814	\N	\N	\N
637951	2177	1995-05-20	VYDAJ	VYBER	2720	18306	\N	\N	\N
637952	2177	1996-12-04	VYDAJ	VYBER	2000	18455	\N	\N	\N
637953	2177	1996-04-10	VYDAJ	VYBER	640	20333	\N	\N	\N
637954	2177	1996-01-06	VYDAJ	VYBER	1440	27379	\N	\N	\N
637955	2177	1996-12-27	VYDAJ	VYBER	2480	15730	\N	\N	\N
637956	2177	1997-06-25	VYDAJ	VYBER	1680	19971	\N	\N	\N
637961	2177	1997-03-11	VYDAJ	VYBER	880	15618	\N	\N	\N
637964	2177	1998-04-14	VYDAJ	VYBER	1600	20579	\N	\N	\N
637965	2177	1998-12-28	VYDAJ	VYBER	3280	32315	\N	\N	\N
637971	2177	1993-05-31	VYDAJ	VYBER	15	23414	SLUZBY	\N	\N
637972	2177	1993-06-30	VYDAJ	VYBER	15	23302	SLUZBY	\N	\N
637973	2177	1993-07-31	VYDAJ	VYBER	15	22142	SLUZBY	\N	\N
637974	2177	1993-08-31	VYDAJ	VYBER	15	24181	SLUZBY	\N	\N
637975	2177	1993-09-30	VYDAJ	VYBER	15	26229	SLUZBY	\N	\N
637976	2177	1993-10-31	VYDAJ	VYBER	15	23476	SLUZBY	\N	\N
637977	2177	1993-11-30	VYDAJ	VYBER	15	24400	SLUZBY	\N	\N
637978	2177	1993-12-31	VYDAJ	VYBER	15	25948	SLUZBY	\N	\N
637979	2177	1994-01-31	VYDAJ	VYBER	15	16752	SLUZBY	\N	\N
637980	2177	1994-02-28	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
637981	2177	1994-03-31	VYDAJ	VYBER	15	20794	SLUZBY	\N	\N
637982	2177	1994-04-30	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
637983	2177	1994-05-31	VYDAJ	VYBER	15	22842	SLUZBY	\N	\N
637984	2177	1994-06-30	VYDAJ	VYBER	15	17719	SLUZBY	\N	\N
637985	2177	1994-07-31	VYDAJ	VYBER	15	18054	SLUZBY	\N	\N
637986	2177	1994-08-31	VYDAJ	VYBER	15	20077	SLUZBY	\N	\N
637987	2177	1994-09-30	VYDAJ	VYBER	15	21607	SLUZBY	\N	\N
637988	2177	1994-10-31	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
637989	2177	1994-11-30	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
637990	2177	1994-12-31	VYDAJ	VYBER	15	21026	SLUZBY	\N	\N
637991	2177	1995-01-31	VYDAJ	VYBER	15	15119	SLUZBY	\N	\N
637992	2177	1995-02-28	VYDAJ	VYBER	15	17128	SLUZBY	\N	\N
637993	2177	1995-03-31	VYDAJ	VYBER	15	19147	SLUZBY	\N	\N
637994	2177	1995-04-30	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
637995	2177	1995-05-31	VYDAJ	VYBER	15	18373	SLUZBY	\N	\N
637996	2177	1995-06-30	VYDAJ	VYBER	15	19916	SLUZBY	\N	\N
637997	2177	1995-07-31	VYDAJ	VYBER	15	21946	SLUZBY	\N	\N
637998	2177	1995-08-31	VYDAJ	VYBER	15	23984	SLUZBY	\N	\N
637999	2177	1995-09-30	VYDAJ	VYBER	15	22579	SLUZBY	\N	\N
638000	2177	1995-10-31	VYDAJ	VYBER	15	21894	SLUZBY	\N	\N
638001	2177	1995-11-30	VYDAJ	VYBER	15	23932	SLUZBY	\N	\N
638002	2177	1995-12-31	VYDAJ	VYBER	15	24976	SLUZBY	\N	\N
638003	2177	1996-01-31	VYDAJ	VYBER	15	14992	SLUZBY	\N	\N
638004	2177	1996-02-29	VYDAJ	VYBER	15	17001	SLUZBY	\N	\N
638005	2177	1996-03-31	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
638006	2177	1996-04-30	VYDAJ	VYBER	15	20402	SLUZBY	\N	\N
638007	2177	1996-05-31	VYDAJ	VYBER	15	22433	SLUZBY	\N	\N
638008	2177	1996-06-30	VYDAJ	VYBER	15	23170	SLUZBY	\N	\N
638009	2177	1996-07-31	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
638010	2177	1996-08-31	VYDAJ	VYBER	15	22750	SLUZBY	\N	\N
638011	2177	1996-09-30	VYDAJ	VYBER	15	22084	SLUZBY	\N	\N
638012	2177	1996-10-31	VYDAJ	VYBER	15	24122	SLUZBY	\N	\N
638013	2177	1996-11-30	VYDAJ	VYBER	15	20455	SLUZBY	\N	\N
638014	2177	1996-12-31	VYDAJ	VYBER	15	15793	SLUZBY	\N	\N
638015	2177	1997-01-31	VYDAJ	VYBER	15	15640	SLUZBY	\N	\N
638016	2177	1997-02-28	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
638017	2177	1997-03-31	VYDAJ	VYBER	15	15667	SLUZBY	\N	\N
638018	2177	1997-04-30	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
638019	2177	1997-05-31	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
638020	2177	1997-06-30	VYDAJ	VYBER	15	20042	SLUZBY	\N	\N
638021	2177	1997-07-31	VYDAJ	VYBER	15	15754	SLUZBY	\N	\N
638022	2177	1997-08-31	VYDAJ	VYBER	15	17765	SLUZBY	\N	\N
638023	2177	1997-09-30	VYDAJ	VYBER	15	19784	SLUZBY	\N	\N
638024	2177	1997-10-31	VYDAJ	VYBER	15	14089	SLUZBY	\N	\N
638025	2177	1997-11-30	VYDAJ	VYBER	15	16093	SLUZBY	\N	\N
638026	2177	1997-12-31	VYDAJ	VYBER	15	17403	SLUZBY	\N	\N
638027	2177	1998-01-31	VYDAJ	VYBER	15	16191	SLUZBY	\N	\N
638028	2177	1998-02-28	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
638029	2177	1998-03-31	VYDAJ	VYBER	15	20224	SLUZBY	\N	\N
638030	2177	1998-04-30	VYDAJ	VYBER	15	20649	SLUZBY	\N	\N
638031	2177	1998-05-31	VYDAJ	VYBER	15	22679	SLUZBY	\N	\N
638032	2177	1998-06-30	VYDAJ	VYBER	15	24718	SLUZBY	\N	\N
638033	2177	1998-07-31	VYDAJ	VYBER	15	26766	SLUZBY	\N	\N
638034	2177	1998-08-31	VYDAJ	VYBER	15	28822	SLUZBY	\N	\N
638035	2177	1998-09-30	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
638036	2177	1998-10-31	VYDAJ	VYBER	15	32959	SLUZBY	\N	\N
638037	2177	1998-11-30	VYDAJ	VYBER	15	35040	SLUZBY	\N	\N
638038	2177	1993-12-30	VYDAJ	VYBER	100	25855	\N	\N	\N
638039	2177	1994-04-29	VYDAJ	VYBER	300	21329	\N	\N	\N
638040	2177	1994-05-29	VYDAJ	VYBER	600	22761	\N	\N	\N
638041	2177	1994-09-26	VYDAJ	VYBER	500	21532	\N	\N	\N
638042	2177	1994-10-26	VYDAJ	VYBER	1200	22362	\N	\N	\N
638043	2177	1994-12-25	VYDAJ	VYBER	4200	20938	\N	\N	\N
638044	2177	1995-04-24	VYDAJ	VYBER	2100	19002	\N	\N	\N
638045	2177	1996-06-17	VYDAJ	VYBER	1300	23088	\N	\N	\N
638046	2177	1996-07-17	VYDAJ	VYBER	1100	24025	\N	\N	\N
638047	2177	1996-08-16	VYDAJ	VYBER	3400	22665	\N	\N	\N
638048	2177	1996-09-15	VYDAJ	VYBER	2700	22005	\N	\N	\N
638049	2177	1996-11-14	VYDAJ	VYBER	5700	20377	\N	\N	\N
638050	2177	1996-12-14	VYDAJ	VYBER	1300	19110	\N	\N	\N
638051	2177	1997-02-12	VYDAJ	VYBER	3100	14495	\N	\N	\N
638052	2177	1997-07-12	VYDAJ	VYBER	6300	15697	\N	\N	\N
638053	2177	1997-10-10	VYDAJ	VYBER	7700	14039	\N	\N	\N
638126	2178	1995-05-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
638132	2178	1995-06-06	PRIJEM	VKLAD	34133	35233	\N	\N	\N
638133	2178	1995-07-06	PRIJEM	VKLAD	22755	50753	\N	\N	\N
638134	2178	1995-08-06	PRIJEM	VKLAD	22755	60949	\N	\N	\N
638135	2178	1995-09-06	PRIJEM	VKLAD	22755	66076	\N	\N	\N
638136	2178	1995-10-06	PRIJEM	VKLAD	22755	71425	\N	\N	\N
638137	2178	1995-11-06	PRIJEM	VKLAD	22755	69323	\N	\N	\N
638138	2178	1995-12-06	PRIJEM	VKLAD	34133	71345	\N	\N	\N
638139	2178	1996-01-06	PRIJEM	VKLAD	22755	65579	\N	\N	\N
638140	2178	1996-02-06	PRIJEM	VKLAD	22755	50056	\N	\N	\N
638141	2178	1996-03-06	PRIJEM	VKLAD	22755	53665	\N	\N	\N
638142	2178	1996-04-06	PRIJEM	VKLAD	22755	54479	\N	\N	\N
638143	2178	1996-05-06	PRIJEM	VKLAD	22755	52298	\N	\N	\N
638144	2178	1996-06-06	PRIJEM	VKLAD	34133	66473	\N	\N	\N
638145	2178	1996-07-06	PRIJEM	VKLAD	22755	41322	\N	\N	\N
638146	2178	1996-08-06	PRIJEM	VKLAD	22755	43614	\N	\N	\N
638147	2178	1996-09-06	PRIJEM	VKLAD	22755	52066	\N	\N	\N
638148	2178	1996-10-06	PRIJEM	VKLAD	22755	54769	\N	\N	\N
638149	2178	1996-11-06	PRIJEM	VKLAD	22755	57913	\N	\N	\N
638150	2178	1996-12-06	PRIJEM	VKLAD	34133	72318	\N	\N	\N
638151	2178	1997-01-06	PRIJEM	VKLAD	22755	69461	\N	\N	\N
638152	2178	1997-02-06	PRIJEM	VKLAD	22755	66151	\N	\N	\N
638153	2178	1997-03-06	PRIJEM	VKLAD	22755	69111	\N	\N	\N
638154	2178	1997-04-06	PRIJEM	VKLAD	22755	72329	\N	\N	\N
638155	2178	1997-05-06	PRIJEM	VKLAD	22755	69780	\N	\N	\N
638156	2178	1997-06-06	PRIJEM	VKLAD	34133	82504	\N	\N	\N
638157	2178	1997-07-06	PRIJEM	VKLAD	22755	70214	\N	\N	\N
638158	2178	1997-08-06	PRIJEM	VKLAD	22755	68700	\N	\N	\N
638159	2178	1997-09-06	PRIJEM	VKLAD	22755	72738	\N	\N	\N
638160	2178	1997-10-06	PRIJEM	VKLAD	22755	74692	\N	\N	\N
638161	2178	1997-11-06	PRIJEM	VKLAD	22755	75514	\N	\N	\N
638162	2178	1997-12-06	PRIJEM	VKLAD	34133	90129	\N	\N	\N
638163	2178	1998-01-06	PRIJEM	VKLAD	22755	84098	\N	\N	\N
638164	2178	1998-02-06	PRIJEM	VKLAD	22755	71695	\N	\N	\N
638165	2178	1998-03-06	PRIJEM	VKLAD	22755	64734	\N	\N	\N
638166	2178	1998-04-06	PRIJEM	VKLAD	22755	69948	\N	\N	\N
638167	2178	1998-05-06	PRIJEM	VKLAD	22755	68259	\N	\N	\N
638168	2178	1998-06-06	PRIJEM	VKLAD	34133	76038	\N	\N	\N
638169	2178	1998-07-06	PRIJEM	VKLAD	22755	66690	\N	\N	\N
638170	2178	1998-08-06	PRIJEM	VKLAD	22755	68257	\N	\N	\N
638171	2178	1998-09-06	PRIJEM	VKLAD	22755	68656	\N	\N	\N
638172	2178	1998-10-06	PRIJEM	VKLAD	22755	69455	\N	\N	\N
638173	2178	1998-11-06	PRIJEM	VKLAD	22755	64593	\N	\N	\N
638174	2178	1998-12-06	PRIJEM	VKLAD	34133	73749	\N	\N	\N
638184	2178	1995-10-12	VYDAJ	PREVOD NA UCET	7959	46366	SIPO	ST	96580969
638185	2178	1995-11-12	VYDAJ	PREVOD NA UCET	7959	42964	SIPO	ST	96580969
638186	2178	1995-12-12	VYDAJ	PREVOD NA UCET	7959	42646	SIPO	ST	96580969
638187	2178	1996-01-12	VYDAJ	PREVOD NA UCET	7959	35920	SIPO	ST	96580969
638188	2178	1996-02-12	VYDAJ	PREVOD NA UCET	7959	30797	SIPO	ST	96580969
638189	2178	1996-03-12	VYDAJ	PREVOD NA UCET	7959	31606	SIPO	ST	96580969
638190	2178	1996-04-12	VYDAJ	PREVOD NA UCET	7959	33020	SIPO	ST	96580969
638191	2178	1996-05-12	VYDAJ	PREVOD NA UCET	7959	34139	SIPO	ST	96580969
638192	2178	1996-06-12	VYDAJ	PREVOD NA UCET	7959	41814	SIPO	ST	96580969
638193	2178	1996-07-12	VYDAJ	PREVOD NA UCET	7959	29763	SIPO	ST	96580969
638194	2178	1996-08-12	VYDAJ	PREVOD NA UCET	7959	32555	SIPO	ST	96580969
638195	2178	1996-09-12	VYDAJ	PREVOD NA UCET	7959	33207	SIPO	ST	96580969
638196	2178	1996-10-12	VYDAJ	PREVOD NA UCET	7959	38610	SIPO	ST	96580969
638197	2178	1996-11-12	VYDAJ	PREVOD NA UCET	7959	49954	SIPO	ST	96580969
638198	2178	1996-12-12	VYDAJ	PREVOD NA UCET	7959	64359	SIPO	ST	96580969
638199	2178	1997-01-12	VYDAJ	PREVOD NA UCET	7959	52982	SIPO	ST	96580969
638200	2178	1997-02-12	VYDAJ	PREVOD NA UCET	7959	58192	SIPO	ST	96580969
638201	2178	1997-03-12	VYDAJ	PREVOD NA UCET	7959	61152	SIPO	ST	96580969
638202	2178	1997-04-12	VYDAJ	PREVOD NA UCET	7959	64370	SIPO	ST	96580969
638203	2178	1997-05-12	VYDAJ	PREVOD NA UCET	7959	61821	SIPO	ST	96580969
638204	2178	1997-06-12	VYDAJ	PREVOD NA UCET	7959	74545	SIPO	ST	96580969
638205	2178	1997-07-12	VYDAJ	PREVOD NA UCET	7959	57215	SIPO	ST	96580969
638206	2178	1997-08-12	VYDAJ	PREVOD NA UCET	7959	60741	SIPO	ST	96580969
638207	2178	1997-09-12	VYDAJ	PREVOD NA UCET	7959	64779	SIPO	ST	96580969
638208	2178	1997-10-12	VYDAJ	PREVOD NA UCET	7959	66733	SIPO	ST	96580969
638209	2178	1997-11-12	VYDAJ	PREVOD NA UCET	7959	67555	SIPO	ST	96580969
638210	2178	1997-12-12	VYDAJ	PREVOD NA UCET	7959	82170	SIPO	ST	96580969
638211	2178	1998-01-12	VYDAJ	PREVOD NA UCET	7959	69059	SIPO	ST	96580969
638212	2178	1998-02-12	VYDAJ	PREVOD NA UCET	7959	63736	SIPO	ST	96580969
638213	2178	1998-03-12	VYDAJ	PREVOD NA UCET	7959	56775	SIPO	ST	96580969
638214	2178	1998-04-12	VYDAJ	PREVOD NA UCET	7959	61989	SIPO	ST	96580969
638215	2178	1998-05-12	VYDAJ	PREVOD NA UCET	7959	60300	SIPO	ST	96580969
638216	2178	1998-06-12	VYDAJ	PREVOD NA UCET	7959	68079	SIPO	ST	96580969
638217	2178	1998-07-12	VYDAJ	PREVOD NA UCET	7959	58731	SIPO	ST	96580969
638218	2178	1998-08-12	VYDAJ	PREVOD NA UCET	7959	60298	SIPO	ST	96580969
638219	2178	1998-09-12	VYDAJ	PREVOD NA UCET	7959	60697	SIPO	ST	96580969
638220	2178	1998-10-12	VYDAJ	PREVOD NA UCET	7959	61496	SIPO	ST	96580969
638221	2178	1998-11-12	VYDAJ	PREVOD NA UCET	7959	56634	SIPO	ST	96580969
638222	2178	1998-12-12	VYDAJ	PREVOD NA UCET	7959	65790	SIPO	ST	96580969
638224	2178	1996-06-18	VYDAJ	VYBER	23360	18454	\N	\N	\N
638225	2178	1997-06-24	VYDAJ	VYBER	19360	55185	\N	\N	\N
638226	2178	1998-06-27	VYDAJ	VYBER	10560	57519	\N	\N	\N
638227	2178	1995-12-03	VYDAJ	VYBER	2560	37212	\N	\N	\N
638228	2178	1996-12-04	VYDAJ	VYBER	3040	44585	\N	\N	\N
638229	2178	1997-12-13	VYDAJ	VYBER	4000	78170	\N	\N	\N
638230	2178	1998-12-20	VYDAJ	VYBER	2720	58990	\N	\N	\N
638237	2178	1996-01-10	VYDAJ	VYBER	2640	60779	\N	\N	\N
638238	2178	1996-01-20	VYDAJ	VYBER	2280	31360	\N	\N	\N
638239	2178	1996-01-16	VYDAJ	VYBER	2280	33640	\N	\N	\N
638240	2178	1996-01-27	VYDAJ	VYBER	2400	27160	\N	\N	\N
638241	2178	1996-01-24	VYDAJ	VYBER	1200	29560	\N	\N	\N
638242	2178	1996-01-07	VYDAJ	VYBER	2160	63419	\N	\N	\N
638243	2178	1997-01-09	VYDAJ	VYBER	3480	63101	\N	\N	\N
638244	2178	1997-01-30	VYDAJ	VYBER	3240	46982	\N	\N	\N
638245	2178	1997-01-11	VYDAJ	VYBER	2160	60941	\N	\N	\N
638246	2178	1997-01-02	VYDAJ	VYBER	2400	62206	\N	\N	\N
638247	2178	1997-01-22	VYDAJ	VYBER	2760	50222	\N	\N	\N
638248	2178	1997-01-06	VYDAJ	VYBER	2880	66581	\N	\N	\N
638249	2178	1998-01-23	VYDAJ	VYBER	3360	64499	\N	\N	\N
638250	2178	1998-01-15	VYDAJ	VYBER	1200	67859	\N	\N	\N
638251	2178	1998-01-06	VYDAJ	VYBER	1320	82778	\N	\N	\N
638252	2178	1998-01-08	VYDAJ	VYBER	3000	77018	\N	\N	\N
638253	2178	1998-01-30	VYDAJ	VYBER	2160	48679	\N	\N	\N
638254	2178	1998-01-26	VYDAJ	VYBER	2760	61739	\N	\N	\N
638255	2178	1995-11-27	VYDAJ	VYBER	3360	39604	\N	\N	\N
638256	2178	1995-12-06	VYDAJ	VYBER	5640	65705	\N	\N	\N
638260	2178	1996-04-27	VYDAJ	VYBER	3600	29420	\N	\N	\N
638261	2178	1996-01-22	VYDAJ	VYBER	600	30760	\N	\N	\N
638262	2178	1996-08-15	VYDAJ	VYBER	3360	29195	\N	\N	\N
638263	2178	1996-11-29	VYDAJ	VYBER	2520	47434	\N	\N	\N
638264	2178	1996-09-29	VYDAJ	VYBER	1320	31887	\N	\N	\N
638265	2178	1996-07-20	VYDAJ	VYBER	3960	25803	\N	\N	\N
638266	2178	1996-05-18	VYDAJ	VYBER	1920	32219	\N	\N	\N
638267	2178	1996-08-02	VYDAJ	VYBER	5040	20859	\N	\N	\N
638268	2178	1997-02-21	VYDAJ	VYBER	2160	56032	\N	\N	\N
638269	2178	1997-07-08	VYDAJ	VYBER	5040	65174	\N	\N	\N
638270	2178	1997-10-31	VYDAJ	VYBER	5640	61373	\N	\N	\N
638271	2178	1997-03-30	VYDAJ	VYBER	3720	57432	\N	\N	\N
638272	2178	1998-01-08	VYDAJ	VYBER	2760	80018	\N	\N	\N
638273	2178	1998-03-04	VYDAJ	VYBER	5880	41979	\N	\N	\N
638274	2178	1998-05-29	VYDAJ	VYBER	1200	41700	\N	\N	\N
638275	2178	1998-07-16	VYDAJ	VYBER	4920	53811	\N	\N	\N
638276	2178	1998-12-19	VYDAJ	VYBER	4080	61710	\N	\N	\N
638277	2178	1998-10-27	VYDAJ	VYBER	2160	41636	\N	\N	\N
638288	2178	1995-10-31	VYDAJ	VYBER	15	46568	SLUZBY	\N	\N
638289	2178	1995-11-30	VYDAJ	VYBER	15	39772	SLUZBY	\N	\N
638290	2178	1995-12-31	VYDAJ	VYBER	15	42824	SLUZBY	\N	\N
638291	2178	1996-01-31	VYDAJ	VYBER	15	27301	SLUZBY	\N	\N
638292	2178	1996-02-29	VYDAJ	VYBER	15	30910	SLUZBY	\N	\N
638293	2178	1996-03-31	VYDAJ	VYBER	15	31724	SLUZBY	\N	\N
638294	2178	1996-04-30	VYDAJ	VYBER	15	29543	SLUZBY	\N	\N
638295	2178	1996-05-31	VYDAJ	VYBER	15	32341	SLUZBY	\N	\N
638296	2178	1996-06-30	VYDAJ	VYBER	15	18567	SLUZBY	\N	\N
638297	2178	1996-07-31	VYDAJ	VYBER	15	25899	SLUZBY	\N	\N
638298	2178	1996-08-31	VYDAJ	VYBER	15	29311	SLUZBY	\N	\N
638299	2178	1996-09-30	VYDAJ	VYBER	15	32014	SLUZBY	\N	\N
638300	2178	1996-10-31	VYDAJ	VYBER	15	38758	SLUZBY	\N	\N
638301	2178	1996-11-30	VYDAJ	VYBER	15	47625	SLUZBY	\N	\N
638302	2178	1996-12-31	VYDAJ	VYBER	15	64606	SLUZBY	\N	\N
638303	2178	1997-01-31	VYDAJ	VYBER	15	47196	SLUZBY	\N	\N
638304	2178	1997-02-28	VYDAJ	VYBER	15	56256	SLUZBY	\N	\N
638305	2178	1997-03-31	VYDAJ	VYBER	15	57674	SLUZBY	\N	\N
638306	2178	1997-04-30	VYDAJ	VYBER	15	64625	SLUZBY	\N	\N
638307	2178	1997-05-31	VYDAJ	VYBER	15	62071	SLUZBY	\N	\N
638308	2178	1997-06-30	VYDAJ	VYBER	15	55459	SLUZBY	\N	\N
638309	2178	1997-07-31	VYDAJ	VYBER	15	57445	SLUZBY	\N	\N
638310	2178	1997-08-31	VYDAJ	VYBER	15	60983	SLUZBY	\N	\N
638311	2178	1997-09-30	VYDAJ	VYBER	15	65037	SLUZBY	\N	\N
638312	2178	1997-10-31	VYDAJ	VYBER	15	52759	SLUZBY	\N	\N
638313	2178	1997-11-30	VYDAJ	VYBER	15	55996	SLUZBY	\N	\N
638314	2178	1997-12-31	VYDAJ	VYBER	15	61343	SLUZBY	\N	\N
638315	2178	1998-01-31	VYDAJ	VYBER	15	48940	SLUZBY	\N	\N
638316	2178	1998-02-28	VYDAJ	VYBER	15	47859	SLUZBY	\N	\N
638317	2178	1998-03-31	VYDAJ	VYBER	15	47193	SLUZBY	\N	\N
638318	2178	1998-04-30	VYDAJ	VYBER	15	45504	SLUZBY	\N	\N
638319	2178	1998-05-31	VYDAJ	VYBER	15	41906	SLUZBY	\N	\N
638320	2178	1998-06-30	VYDAJ	VYBER	15	43935	SLUZBY	\N	\N
638321	2178	1998-07-31	VYDAJ	VYBER	15	45502	SLUZBY	\N	\N
638322	2178	1998-08-31	VYDAJ	VYBER	15	45901	SLUZBY	\N	\N
638323	2178	1998-09-30	VYDAJ	VYBER	15	46700	SLUZBY	\N	\N
638324	2178	1998-10-31	VYDAJ	VYBER	15	41838	SLUZBY	\N	\N
638325	2178	1998-11-30	VYDAJ	VYBER	15	39616	SLUZBY	\N	\N
638326	2178	1995-06-14	VYDAJ	VYBER	7300	27933	\N	\N	\N
638327	2178	1995-07-14	VYDAJ	VYBER	12700	38053	\N	\N	\N
638328	2178	1995-08-13	VYDAJ	VYBER	17800	43149	\N	\N	\N
638329	2178	1995-09-12	VYDAJ	VYBER	17600	48476	\N	\N	\N
638330	2178	1995-10-12	VYDAJ	VYBER	17100	54325	\N	\N	\N
638331	2178	1995-11-11	VYDAJ	VYBER	18400	50923	\N	\N	\N
638332	2178	1995-12-11	VYDAJ	VYBER	15100	50605	\N	\N	\N
638333	2178	1996-01-10	VYDAJ	VYBER	16900	43879	\N	\N	\N
638334	2178	1996-02-09	VYDAJ	VYBER	11300	38756	\N	\N	\N
638335	2178	1996-03-10	VYDAJ	VYBER	14100	39565	\N	\N	\N
638336	2178	1996-04-09	VYDAJ	VYBER	13500	40979	\N	\N	\N
638337	2178	1996-05-09	VYDAJ	VYBER	10200	42098	\N	\N	\N
638338	2178	1996-06-08	VYDAJ	VYBER	16700	49773	\N	\N	\N
638339	2178	1996-07-08	VYDAJ	VYBER	3600	37722	\N	\N	\N
638340	2178	1996-08-07	VYDAJ	VYBER	3100	40514	\N	\N	\N
638341	2178	1996-09-06	VYDAJ	VYBER	10900	41166	\N	\N	\N
638342	2178	1996-10-06	VYDAJ	VYBER	8200	46569	\N	\N	\N
638343	2178	1996-11-05	VYDAJ	VYBER	3600	35158	\N	\N	\N
638344	2178	1996-12-05	VYDAJ	VYBER	6400	38185	\N	\N	\N
638345	2178	1997-01-04	VYDAJ	VYBER	15500	46706	\N	\N	\N
638346	2178	1997-02-03	VYDAJ	VYBER	3800	43396	\N	\N	\N
638347	2178	1997-03-05	VYDAJ	VYBER	9900	46356	\N	\N	\N
638348	2178	1997-04-04	VYDAJ	VYBER	8100	49574	\N	\N	\N
638349	2178	1997-05-04	VYDAJ	VYBER	17600	47025	\N	\N	\N
638350	2178	1997-06-03	VYDAJ	VYBER	13700	48371	\N	\N	\N
638351	2178	1997-07-03	VYDAJ	VYBER	8000	47459	\N	\N	\N
638352	2178	1997-08-02	VYDAJ	VYBER	11500	45945	\N	\N	\N
638353	2178	1997-09-01	VYDAJ	VYBER	11000	49983	\N	\N	\N
638354	2178	1997-10-01	VYDAJ	VYBER	13100	51937	\N	\N	\N
638355	2178	1997-10-31	VYDAJ	VYBER	8600	52773	\N	\N	\N
638356	2178	1997-11-30	VYDAJ	VYBER	11800	56011	\N	\N	\N
638357	2178	1997-12-30	VYDAJ	VYBER	17100	61070	\N	\N	\N
638358	2178	1998-01-29	VYDAJ	VYBER	10900	50839	\N	\N	\N
638359	2178	1998-02-28	VYDAJ	VYBER	16100	47873	\N	\N	\N
638360	2178	1998-03-30	VYDAJ	VYBER	9800	46975	\N	\N	\N
638361	2178	1998-04-29	VYDAJ	VYBER	16700	45289	\N	\N	\N
638362	2178	1998-05-29	VYDAJ	VYBER	17400	42900	\N	\N	\N
638363	2178	1998-06-28	VYDAJ	VYBER	13800	43719	\N	\N	\N
638364	2178	1998-07-28	VYDAJ	VYBER	8500	45311	\N	\N	\N
638365	2178	1998-08-27	VYDAJ	VYBER	14600	45698	\N	\N	\N
638366	2178	1998-09-26	VYDAJ	VYBER	14200	46497	\N	\N	\N
638367	2178	1998-10-26	VYDAJ	VYBER	17700	43796	\N	\N	\N
638368	2178	1998-11-25	VYDAJ	VYBER	17200	39434	\N	\N	\N
638412	2179	1994-01-14	PRIJEM	VKLAD	700	700	\N	\N	\N
638413	2179	1995-06-09	PRIJEM	VKLAD	42717	79893	\N	\N	\N
638414	2179	1995-10-14	PRIJEM	VKLAD	8382	59531	\N	\N	\N
638415	2179	1995-11-05	PRIJEM	VKLAD	49133	108879	\N	\N	\N
638416	2179	1995-04-16	PRIJEM	VKLAD	31339	66112	\N	\N	\N
638417	2179	1995-10-02	PRIJEM	VKLAD	32704	84325	\N	\N	\N
638418	2179	1995-10-05	PRIJEM	VKLAD	36078	120403	\N	\N	\N
638419	2179	1995-12-11	PRIJEM	VKLAD	8759	68892	\N	\N	\N
638420	2179	1995-12-10	PRIJEM	VKLAD	31183	62519	\N	\N	\N
638421	2179	1995-09-16	PRIJEM	VKLAD	15171	51348	\N	\N	\N
638422	2179	1995-01-18	PRIJEM	VKLAD	48131	72631	\N	\N	\N
638423	2179	1996-09-24	PRIJEM	VKLAD	31989	83433	\N	\N	\N
638424	2179	1996-02-15	PRIJEM	VKLAD	34380	57184	\N	\N	\N
638425	2179	1996-12-23	PRIJEM	VKLAD	24892	61666	\N	\N	\N
638426	2179	1996-01-09	PRIJEM	VKLAD	42863	88504	\N	\N	\N
638427	2179	1996-02-22	PRIJEM	VKLAD	32443	78806	\N	\N	\N
638428	2179	1996-04-13	PRIJEM	VKLAD	31658	63366	\N	\N	\N
638429	2179	1996-06-28	PRIJEM	VKLAD	29091	57140	\N	\N	\N
638430	2179	1996-06-04	PRIJEM	VKLAD	23927	80309	\N	\N	\N
638431	2179	1996-10-24	PRIJEM	VKLAD	26419	78828	\N	\N	\N
638432	2179	1996-09-08	PRIJEM	VKLAD	17036	69204	\N	\N	\N
638433	2179	1996-05-18	PRIJEM	VKLAD	28845	72956	\N	\N	\N
638434	2179	1996-08-09	PRIJEM	VKLAD	33883	61069	\N	\N	\N
638435	2179	1996-02-19	PRIJEM	VKLAD	45579	102763	\N	\N	\N
638436	2179	1998-03-01	PRIJEM	VKLAD	23823	94584	\N	\N	\N
638437	2179	1998-04-06	PRIJEM	VKLAD	24765	120479	\N	\N	\N
638438	2179	1998-05-21	PRIJEM	VKLAD	18226	113590	\N	\N	\N
638439	2179	1998-04-06	PRIJEM	VKLAD	26711	147190	\N	\N	\N
638440	2179	1998-07-05	PRIJEM	VKLAD	11586	94866	\N	\N	\N
638441	2179	1998-05-10	PRIJEM	VKLAD	19622	99647	\N	\N	\N
638442	2179	1998-03-27	PRIJEM	VKLAD	16805	85002	\N	\N	\N
638443	2179	1998-12-25	PRIJEM	VKLAD	12730	68369	\N	\N	\N
638444	2179	1998-09-17	PRIJEM	VKLAD	10087	93314	\N	\N	\N
638445	2179	1998-08-13	PRIJEM	VKLAD	45018	90027	\N	\N	\N
638446	2179	1998-03-31	PRIJEM	VKLAD	10399	95744	\N	\N	\N
638447	2179	1998-01-21	PRIJEM	VKLAD	45297	122095	\N	\N	\N
638448	2179	1998-03-24	PRIJEM	VKLAD	35167	123397	\N	\N	\N
638449	2179	1998-01-14	PRIJEM	VKLAD	18536	58361	\N	\N	\N
638450	2179	1998-05-14	PRIJEM	VKLAD	22234	119495	\N	\N	\N
638451	2179	1998-01-16	PRIJEM	VKLAD	18437	76798	\N	\N	\N
638452	2179	1998-02-16	PRIJEM	VKLAD	33059	83326	\N	\N	\N
638453	2179	1998-05-20	PRIJEM	VKLAD	41269	125964	\N	\N	\N
638454	2179	1998-06-10	PRIJEM	VKLAD	17175	97033	\N	\N	\N
638455	2179	1998-07-10	PRIJEM	VKLAD	20941	111839	\N	\N	\N
638456	2179	1998-08-24	PRIJEM	VKLAD	37887	115414	\N	\N	\N
638457	2179	1998-09-03	PRIJEM	VKLAD	15332	123552	\N	\N	\N
638458	2179	1998-09-14	PRIJEM	VKLAD	14229	83227	\N	\N	\N
638459	2179	1998-08-06	PRIJEM	VKLAD	43867	116063	\N	\N	\N
638460	2179	1998-08-24	PRIJEM	VKLAD	14165	129579	\N	\N	\N
638482	2179	1995-10-10	VYDAJ	PREVOD NA UCET	2386	51149	SIPO	CD	2150762
638483	2179	1995-11-10	VYDAJ	PREVOD NA UCET	2386	42525	SIPO	CD	2150762
638484	2179	1995-12-10	VYDAJ	PREVOD NA UCET	2386	60133	SIPO	CD	2150762
638485	2179	1996-01-10	VYDAJ	PREVOD NA UCET	2386	86118	SIPO	CD	2150762
638486	2179	1996-02-10	VYDAJ	PREVOD NA UCET	2386	31070	SIPO	CD	2150762
638487	2179	1996-03-10	VYDAJ	PREVOD NA UCET	2386	47863	SIPO	CD	2150762
638488	2179	1996-04-10	VYDAJ	PREVOD NA UCET	2386	31708	SIPO	CD	2150762
638489	2179	1996-05-10	VYDAJ	PREVOD NA UCET	2386	44111	SIPO	CD	2150762
638490	2179	1996-06-10	VYDAJ	PREVOD NA UCET	2386	63155	SIPO	CD	2150762
638491	2179	1996-07-10	VYDAJ	PREVOD NA UCET	2386	28456	SIPO	CD	2150762
638492	2179	1996-08-10	VYDAJ	PREVOD NA UCET	2386	58683	SIPO	CD	2150762
638493	2179	1996-09-10	VYDAJ	PREVOD NA UCET	2386	62850	SIPO	CD	2150762
638494	2179	1996-10-10	VYDAJ	PREVOD NA UCET	2386	52409	SIPO	CD	2150762
638495	2179	1996-11-10	VYDAJ	PREVOD NA UCET	2386	56916	SIPO	CD	2150762
638496	2179	1996-12-10	VYDAJ	PREVOD NA UCET	2386	43374	SIPO	CD	2150762
638497	2179	1997-01-10	VYDAJ	PREVOD NA UCET	2386	48488	SIPO	CD	2150762
638498	2179	1997-02-10	VYDAJ	PREVOD NA UCET	2386	27484	SIPO	CD	2150762
638499	2179	1997-03-10	VYDAJ	PREVOD NA UCET	2386	22328	SIPO	CD	2150762
638500	2179	1997-04-10	VYDAJ	PREVOD NA UCET	2386	33557	SIPO	CD	2150762
638501	2179	1997-05-10	VYDAJ	PREVOD NA UCET	2386	17739	SIPO	CD	2150762
638502	2179	1997-06-10	VYDAJ	PREVOD NA UCET	2386	29762	SIPO	CD	2150762
638503	2179	1997-07-10	VYDAJ	PREVOD NA UCET	2386	30505	SIPO	CD	2150762
638504	2179	1997-08-10	VYDAJ	PREVOD NA UCET	2386	34459	SIPO	CD	2150762
638505	2179	1997-09-10	VYDAJ	PREVOD NA UCET	2386	35630	SIPO	CD	2150762
638506	2179	1997-10-10	VYDAJ	PREVOD NA UCET	2386	18842	SIPO	CD	2150762
638507	2179	1997-11-10	VYDAJ	PREVOD NA UCET	2386	30273	SIPO	CD	2150762
638508	2179	1997-12-10	VYDAJ	PREVOD NA UCET	2386	39435	SIPO	CD	2150762
638509	2179	1998-01-10	VYDAJ	PREVOD NA UCET	2386	39825	SIPO	CD	2150762
638510	2179	1998-02-10	VYDAJ	PREVOD NA UCET	2386	50267	SIPO	CD	2150762
638511	2179	1998-03-10	VYDAJ	PREVOD NA UCET	2386	88230	SIPO	CD	2150762
638512	2179	1998-04-10	VYDAJ	PREVOD NA UCET	2386	94036	SIPO	CD	2150762
638513	2179	1998-05-10	VYDAJ	PREVOD NA UCET	2386	97261	SIPO	CD	2150762
638514	2179	1998-06-10	VYDAJ	PREVOD NA UCET	2386	94647	SIPO	CD	2150762
638515	2179	1998-07-10	VYDAJ	PREVOD NA UCET	2386	109453	SIPO	CD	2150762
638516	2179	1998-08-10	VYDAJ	PREVOD NA UCET	2386	45009	SIPO	CD	2150762
638517	2179	1998-09-10	VYDAJ	PREVOD NA UCET	2386	68998	SIPO	CD	2150762
638518	2179	1998-10-10	VYDAJ	PREVOD NA UCET	2386	76800	SIPO	CD	2150762
638519	2179	1998-11-10	VYDAJ	PREVOD NA UCET	2386	66732	SIPO	CD	2150762
638520	2179	1998-12-10	VYDAJ	PREVOD NA UCET	2386	58639	SIPO	CD	2150762
638542	2179	1995-10-08	VYDAJ	PREVOD NA UCET	3650	53853	 	OP	48367720
638543	2179	1995-11-08	VYDAJ	PREVOD NA UCET	3650	45229	 	OP	48367720
638544	2179	1995-12-08	VYDAJ	PREVOD NA UCET	3650	31654	 	OP	48367720
638545	2179	1996-01-08	VYDAJ	PREVOD NA UCET	3650	45641	 	OP	48367720
638546	2179	1996-02-08	VYDAJ	PREVOD NA UCET	3650	33456	 	OP	48367720
638547	2179	1996-03-08	VYDAJ	PREVOD NA UCET	3650	50327	 	OP	48367720
638548	2179	1996-04-08	VYDAJ	PREVOD NA UCET	3650	34094	 	OP	48367720
638549	2179	1996-05-08	VYDAJ	PREVOD NA UCET	3650	46815	 	OP	48367720
638550	2179	1996-06-08	VYDAJ	PREVOD NA UCET	3650	65619	 	OP	48367720
638551	2179	1996-07-08	VYDAJ	PREVOD NA UCET	3650	31160	 	OP	48367720
638552	2179	1996-08-08	VYDAJ	PREVOD NA UCET	3650	27186	 	OP	48367720
638553	2179	1996-09-08	VYDAJ	PREVOD NA UCET	3650	65476	 	OP	48367720
638554	2179	1996-10-08	VYDAJ	PREVOD NA UCET	3650	54873	 	OP	48367720
638555	2179	1996-11-08	VYDAJ	PREVOD NA UCET	3650	59620	 	OP	48367720
638556	2179	1996-12-08	VYDAJ	PREVOD NA UCET	3650	46000	 	OP	48367720
638557	2179	1997-01-08	VYDAJ	PREVOD NA UCET	3650	51114	 	OP	48367720
638558	2179	1997-02-08	VYDAJ	PREVOD NA UCET	3650	30110	 	OP	48367720
638559	2179	1997-03-08	VYDAJ	PREVOD NA UCET	3650	24954	 	OP	48367720
638560	2179	1997-04-08	VYDAJ	PREVOD NA UCET	3650	36261	 	OP	48367720
638561	2179	1997-05-08	VYDAJ	PREVOD NA UCET	3650	20365	 	OP	48367720
638562	2179	1997-06-08	VYDAJ	PREVOD NA UCET	3650	32466	 	OP	48367720
638563	2179	1997-07-08	VYDAJ	PREVOD NA UCET	3650	33209	 	OP	48367720
638564	2179	1997-08-08	VYDAJ	PREVOD NA UCET	3650	36845	 	OP	48367720
638565	2179	1997-09-08	VYDAJ	PREVOD NA UCET	3650	38016	 	OP	48367720
638566	2179	1997-10-08	VYDAJ	PREVOD NA UCET	3650	21228	 	OP	48367720
638567	2179	1997-11-08	VYDAJ	PREVOD NA UCET	3650	32659	 	OP	48367720
638568	2179	1997-12-08	VYDAJ	PREVOD NA UCET	3650	42139	 	OP	48367720
638569	2179	1998-01-08	VYDAJ	PREVOD NA UCET	3650	42529	 	OP	48367720
638570	2179	1998-02-08	VYDAJ	PREVOD NA UCET	3650	52971	 	OP	48367720
638571	2179	1998-03-08	VYDAJ	PREVOD NA UCET	3650	90616	 	OP	48367720
638572	2179	1998-04-08	VYDAJ	PREVOD NA UCET	3650	96740	 	OP	48367720
638573	2179	1998-05-08	VYDAJ	PREVOD NA UCET	3650	80343	 	OP	48367720
638574	2179	1998-06-08	VYDAJ	PREVOD NA UCET	3650	79858	 	OP	48367720
638575	2179	1998-07-08	VYDAJ	PREVOD NA UCET	3650	91216	 	OP	48367720
638576	2179	1998-08-08	VYDAJ	PREVOD NA UCET	3650	47713	 	OP	48367720
638577	2179	1998-09-08	VYDAJ	PREVOD NA UCET	3650	71702	 	OP	48367720
638578	2179	1998-10-08	VYDAJ	PREVOD NA UCET	3650	79504	 	OP	48367720
638579	2179	1998-11-08	VYDAJ	PREVOD NA UCET	3650	69196	 	OP	48367720
638580	2179	1998-12-08	VYDAJ	PREVOD NA UCET	3650	61025	 	OP	48367720
638602	2179	1995-10-08	VYDAJ	PREVOD NA UCET	240	53535	POJISTNE	YZ	6092787
638603	2179	1995-11-08	VYDAJ	PREVOD NA UCET	240	44989	POJISTNE	YZ	6092787
638604	2179	1995-12-08	VYDAJ	PREVOD NA UCET	240	31414	POJISTNE	YZ	6092787
638605	2179	1996-01-08	VYDAJ	PREVOD NA UCET	240	49291	POJISTNE	YZ	6092787
638606	2179	1996-02-08	VYDAJ	PREVOD NA UCET	240	37106	POJISTNE	YZ	6092787
638607	2179	1996-03-08	VYDAJ	PREVOD NA UCET	240	53977	POJISTNE	YZ	6092787
638608	2179	1996-04-08	VYDAJ	PREVOD NA UCET	240	37822	POJISTNE	YZ	6092787
638609	2179	1996-05-08	VYDAJ	PREVOD NA UCET	240	46575	POJISTNE	YZ	6092787
638610	2179	1996-06-08	VYDAJ	PREVOD NA UCET	240	69269	POJISTNE	YZ	6092787
638611	2179	1996-07-08	VYDAJ	PREVOD NA UCET	240	30920	POJISTNE	YZ	6092787
638612	2179	1996-08-08	VYDAJ	PREVOD NA UCET	240	30836	POJISTNE	YZ	6092787
638613	2179	1996-09-08	VYDAJ	PREVOD NA UCET	240	65236	POJISTNE	YZ	6092787
638614	2179	1996-10-08	VYDAJ	PREVOD NA UCET	240	58523	POJISTNE	YZ	6092787
638615	2179	1996-11-08	VYDAJ	PREVOD NA UCET	240	59380	POJISTNE	YZ	6092787
638616	2179	1996-12-08	VYDAJ	PREVOD NA UCET	240	45760	POJISTNE	YZ	6092787
638617	2179	1997-01-08	VYDAJ	PREVOD NA UCET	240	50874	POJISTNE	YZ	6092787
638618	2179	1997-02-08	VYDAJ	PREVOD NA UCET	240	29870	POJISTNE	YZ	6092787
638619	2179	1997-03-08	VYDAJ	PREVOD NA UCET	240	24714	POJISTNE	YZ	6092787
638620	2179	1997-04-08	VYDAJ	PREVOD NA UCET	240	35943	POJISTNE	YZ	6092787
638621	2179	1997-05-08	VYDAJ	PREVOD NA UCET	240	20125	POJISTNE	YZ	6092787
638622	2179	1997-06-08	VYDAJ	PREVOD NA UCET	240	32148	POJISTNE	YZ	6092787
638623	2179	1997-07-08	VYDAJ	PREVOD NA UCET	240	32969	POJISTNE	YZ	6092787
638624	2179	1997-08-08	VYDAJ	PREVOD NA UCET	240	40573	POJISTNE	YZ	6092787
638625	2179	1997-09-08	VYDAJ	PREVOD NA UCET	240	41744	POJISTNE	YZ	6092787
638626	2179	1997-10-08	VYDAJ	PREVOD NA UCET	240	24878	POJISTNE	YZ	6092787
638627	2179	1997-11-08	VYDAJ	PREVOD NA UCET	240	36387	POJISTNE	YZ	6092787
638628	2179	1997-12-08	VYDAJ	PREVOD NA UCET	240	41899	POJISTNE	YZ	6092787
638629	2179	1998-01-08	VYDAJ	PREVOD NA UCET	240	42211	POJISTNE	YZ	6092787
638630	2179	1998-02-08	VYDAJ	PREVOD NA UCET	240	52653	POJISTNE	YZ	6092787
638631	2179	1998-03-08	VYDAJ	PREVOD NA UCET	240	94344	POJISTNE	YZ	6092787
638632	2179	1998-04-08	VYDAJ	PREVOD NA UCET	240	96500	POJISTNE	YZ	6092787
638633	2179	1998-05-08	VYDAJ	PREVOD NA UCET	240	80103	POJISTNE	YZ	6092787
638634	2179	1998-06-08	VYDAJ	PREVOD NA UCET	240	83508	POJISTNE	YZ	6092787
638635	2179	1998-07-08	VYDAJ	PREVOD NA UCET	240	90898	POJISTNE	YZ	6092787
638636	2179	1998-08-08	VYDAJ	PREVOD NA UCET	240	47473	POJISTNE	YZ	6092787
638637	2179	1998-09-08	VYDAJ	PREVOD NA UCET	240	71384	POJISTNE	YZ	6092787
638638	2179	1998-10-08	VYDAJ	PREVOD NA UCET	240	79186	POJISTNE	YZ	6092787
638639	2179	1998-11-08	VYDAJ	PREVOD NA UCET	240	72846	POJISTNE	YZ	6092787
638640	2179	1998-12-08	VYDAJ	PREVOD NA UCET	240	64753	POJISTNE	YZ	6092787
638662	2179	1995-10-08	VYDAJ	PREVOD NA UCET	78	53775	 	OP	22667289
638663	2179	1995-11-08	VYDAJ	PREVOD NA UCET	78	44911	 	OP	22667289
638664	2179	1995-12-08	VYDAJ	PREVOD NA UCET	78	31336	 	OP	22667289
638665	2179	1996-01-08	VYDAJ	PREVOD NA UCET	78	49531	 	OP	22667289
638666	2179	1996-02-08	VYDAJ	PREVOD NA UCET	78	37346	 	OP	22667289
638667	2179	1996-03-08	VYDAJ	PREVOD NA UCET	78	50249	 	OP	22667289
638668	2179	1996-04-08	VYDAJ	PREVOD NA UCET	78	37744	 	OP	22667289
638669	2179	1996-05-08	VYDAJ	PREVOD NA UCET	78	46497	 	OP	22667289
638670	2179	1996-06-08	VYDAJ	PREVOD NA UCET	78	65541	 	OP	22667289
638671	2179	1996-07-08	VYDAJ	PREVOD NA UCET	78	30842	 	OP	22667289
638672	2179	1996-08-08	VYDAJ	PREVOD NA UCET	78	31076	 	OP	22667289
638673	2179	1996-09-08	VYDAJ	PREVOD NA UCET	78	69126	 	OP	22667289
638674	2179	1996-10-08	VYDAJ	PREVOD NA UCET	78	54795	 	OP	22667289
638675	2179	1996-11-08	VYDAJ	PREVOD NA UCET	78	59302	 	OP	22667289
638676	2179	1996-12-08	VYDAJ	PREVOD NA UCET	78	49650	 	OP	22667289
638677	2179	1997-01-08	VYDAJ	PREVOD NA UCET	78	54764	 	OP	22667289
638678	2179	1997-02-08	VYDAJ	PREVOD NA UCET	78	33760	 	OP	22667289
638679	2179	1997-03-08	VYDAJ	PREVOD NA UCET	78	28604	 	OP	22667289
638680	2179	1997-04-08	VYDAJ	PREVOD NA UCET	78	36183	 	OP	22667289
638681	2179	1997-05-08	VYDAJ	PREVOD NA UCET	78	24015	 	OP	22667289
638682	2179	1997-06-08	VYDAJ	PREVOD NA UCET	78	32388	 	OP	22667289
638683	2179	1997-07-08	VYDAJ	PREVOD NA UCET	78	32891	 	OP	22667289
638684	2179	1997-08-08	VYDAJ	PREVOD NA UCET	78	40495	 	OP	22667289
638685	2179	1997-09-08	VYDAJ	PREVOD NA UCET	78	41666	 	OP	22667289
638686	2179	1997-10-08	VYDAJ	PREVOD NA UCET	78	25118	 	OP	22667289
638687	2179	1997-11-08	VYDAJ	PREVOD NA UCET	78	36309	 	OP	22667289
638688	2179	1997-12-08	VYDAJ	PREVOD NA UCET	78	41821	 	OP	22667289
638689	2179	1998-01-08	VYDAJ	PREVOD NA UCET	78	42451	 	OP	22667289
638690	2179	1998-02-08	VYDAJ	PREVOD NA UCET	78	52893	 	OP	22667289
638691	2179	1998-03-08	VYDAJ	PREVOD NA UCET	78	94266	 	OP	22667289
638692	2179	1998-04-08	VYDAJ	PREVOD NA UCET	78	96422	 	OP	22667289
638693	2179	1998-05-08	VYDAJ	PREVOD NA UCET	78	80025	 	OP	22667289
638694	2179	1998-06-08	VYDAJ	PREVOD NA UCET	78	83748	 	OP	22667289
638695	2179	1998-07-08	VYDAJ	PREVOD NA UCET	78	91138	 	OP	22667289
638696	2179	1998-08-08	VYDAJ	PREVOD NA UCET	78	47395	 	OP	22667289
638697	2179	1998-09-08	VYDAJ	PREVOD NA UCET	78	71624	 	OP	22667289
638698	2179	1998-10-08	VYDAJ	PREVOD NA UCET	78	79426	 	OP	22667289
638699	2179	1998-11-08	VYDAJ	PREVOD NA UCET	78	69118	 	OP	22667289
638700	2179	1998-12-08	VYDAJ	PREVOD NA UCET	78	64675	 	OP	22667289
638716	2179	1996-02-01	VYBER	VYBER	22641	39724	\N	\N	\N
638717	2179	1996-09-16	VYBER	VYBER	11406	51444	\N	\N	\N
638718	2179	1996-01-18	VYBER	VYBER	6319	79799	\N	\N	\N
638719	2179	1996-02-13	VYBER	VYBER	8266	22804	\N	\N	\N
638720	2179	1996-06-18	VYBER	VYBER	6906	28049	\N	\N	\N
638721	2179	1996-07-02	VYBER	VYBER	20211	37110	\N	\N	\N
638722	2179	1997-10-06	VYBER	VYBER	15601	25196	\N	\N	\N
638723	2179	1997-05-06	VYBER	VYBER	19784	24093	\N	\N	\N
638724	2179	1997-03-05	VYBER	VYBER	8602	28682	\N	\N	\N
638725	2179	1997-09-17	VYBER	VYBER	9052	26578	\N	\N	\N
638728	2179	1997-02-02	VYBER	VYBER	6779	33838	\N	\N	\N
638731	2179	1996-06-14	VYDAJ	VYBER	15900	41555	\N	\N	\N
638736	2179	1996-01-19	VYDAJ	VYBER	17700	62099	\N	\N	\N
638737	2179	1997-01-10	VYDAJ	VYBER	16500	31988	\N	\N	\N
638738	2179	1998-01-30	VYDAJ	VYBER	12900	56395	\N	\N	\N
638740	2179	1995-12-02	VYDAJ	VYBER	7500	35204	\N	\N	\N
638741	2179	1996-12-20	VYDAJ	VYBER	6600	36774	\N	\N	\N
638742	2179	1997-12-19	VYDAJ	VYBER	3000	36435	\N	\N	\N
638743	2179	1998-12-27	VYDAJ	VYBER	7500	60869	\N	\N	\N
638752	2179	1996-06-11	VYDAJ	VYBER	5700	57455	\N	\N	\N
638753	2179	1996-10-04	VYDAJ	VYBER	2400	58763	\N	\N	\N
638754	2179	1996-12-01	VYDAJ	VYBER	4200	49728	\N	\N	\N
638755	2179	1996-06-14	VYDAJ	VYBER	6600	34955	\N	\N	\N
638756	2179	1996-06-08	VYDAJ	VYBER	10800	69509	\N	\N	\N
638757	2179	1996-08-01	VYDAJ	VYBER	2100	31154	\N	\N	\N
638759	2179	1997-06-21	VYDAJ	VYBER	7200	22562	\N	\N	\N
638760	2179	1997-01-21	VYDAJ	VYBER	4800	27188	\N	\N	\N
638763	2179	1998-06-26	VYDAJ	VYBER	1500	82947	\N	\N	\N
638764	2179	1998-01-25	VYDAJ	VYBER	9600	69295	\N	\N	\N
638765	2179	1998-12-05	VYDAJ	VYBER	3300	69793	\N	\N	\N
638766	2179	1998-05-19	VYDAJ	VYBER	5700	84695	\N	\N	\N
638767	2179	1998-12-06	VYDAJ	VYBER	4800	64993	\N	\N	\N
638768	2179	1998-12-23	VYDAJ	VYBER	12300	55639	\N	\N	\N
638791	2179	1995-10-31	VYDAJ	VYBER	30	59746	SLUZBY	\N	\N
638792	2179	1995-11-30	VYDAJ	VYBER	30	42704	SLUZBY	\N	\N
638793	2179	1995-12-31	VYDAJ	VYBER	30	69109	SLUZBY	\N	\N
638794	2179	1996-01-31	VYDAJ	VYBER	30	62365	SLUZBY	\N	\N
638795	2179	1996-02-29	VYDAJ	VYBER	30	79017	SLUZBY	\N	\N
638796	2179	1996-03-31	VYDAJ	VYBER	30	48062	SLUZBY	\N	\N
638797	2179	1996-04-30	VYDAJ	VYBER	30	63565	SLUZBY	\N	\N
638798	2179	1996-05-31	VYDAJ	VYBER	30	73182	SLUZBY	\N	\N
638799	2179	1996-06-30	VYDAJ	VYBER	30	57321	SLUZBY	\N	\N
638800	2179	1996-07-31	VYDAJ	VYBER	30	28554	SLUZBY	\N	\N
638801	2179	1996-08-31	VYDAJ	VYBER	30	58868	SLUZBY	\N	\N
638802	2179	1996-09-30	VYDAJ	VYBER	30	83663	SLUZBY	\N	\N
638803	2179	1996-10-31	VYDAJ	VYBER	30	63270	SLUZBY	\N	\N
638804	2179	1996-11-30	VYDAJ	VYBER	30	53928	SLUZBY	\N	\N
638805	2179	1996-12-31	VYDAJ	VYBER	30	54842	SLUZBY	\N	\N
638806	2179	1997-01-31	VYDAJ	VYBER	30	40617	SLUZBY	\N	\N
638807	2179	1997-02-28	VYDAJ	VYBER	30	37284	SLUZBY	\N	\N
638808	2179	1997-03-31	VYDAJ	VYBER	30	39911	SLUZBY	\N	\N
638809	2179	1997-04-30	VYDAJ	VYBER	30	43877	SLUZBY	\N	\N
638810	2179	1997-05-31	VYDAJ	VYBER	30	36116	SLUZBY	\N	\N
638811	2179	1997-06-30	VYDAJ	VYBER	30	36859	SLUZBY	\N	\N
638812	2179	1997-07-31	VYDAJ	VYBER	30	40813	SLUZBY	\N	\N
638813	2179	1997-08-31	VYDAJ	VYBER	30	41984	SLUZBY	\N	\N
638814	2179	1997-09-30	VYDAJ	VYBER	30	40797	SLUZBY	\N	\N
638815	2179	1997-10-31	VYDAJ	VYBER	30	36627	SLUZBY	\N	\N
638816	2179	1997-11-30	VYDAJ	VYBER	30	45789	SLUZBY	\N	\N
638817	2179	1997-12-31	VYDAJ	VYBER	30	46179	SLUZBY	\N	\N
638818	2179	1998-01-31	VYDAJ	VYBER	30	56621	SLUZBY	\N	\N
638819	2179	1998-02-28	VYDAJ	VYBER	30	70761	SLUZBY	\N	\N
638820	2179	1998-03-31	VYDAJ	VYBER	30	95714	SLUZBY	\N	\N
638821	2179	1998-04-30	VYDAJ	VYBER	30	83993	SLUZBY	\N	\N
638822	2179	1998-05-31	VYDAJ	VYBER	30	83826	SLUZBY	\N	\N
638823	2179	1998-06-30	VYDAJ	VYBER	30	83280	SLUZBY	\N	\N
638824	2179	1998-07-31	VYDAJ	VYBER	30	72196	SLUZBY	\N	\N
638825	2179	1998-08-31	VYDAJ	VYBER	30	108220	SLUZBY	\N	\N
638826	2179	1998-09-30	VYDAJ	VYBER	30	83154	SLUZBY	\N	\N
638827	2179	1998-10-31	VYDAJ	VYBER	30	73086	SLUZBY	\N	\N
638828	2179	1998-11-30	VYDAJ	VYBER	30	73093	SLUZBY	\N	\N
638829	2179	1994-02-13	PRIJEM	VKLAD	12100	12800	\N	\N	\N
638830	2179	1994-03-15	PRIJEM	VKLAD	4600	17400	\N	\N	\N
638831	2179	1994-04-14	PRIJEM	VKLAD	4300	21700	\N	\N	\N
638832	2179	1994-05-14	PRIJEM	VKLAD	2200	23900	\N	\N	\N
638833	2179	1994-06-13	VYDAJ	VYBER	600	23300	\N	\N	\N
638834	2179	1994-07-13	VYDAJ	VYBER	200	23100	\N	\N	\N
638835	2179	1994-08-12	PRIJEM	VKLAD	2800	25900	\N	\N	\N
638836	2179	1994-09-11	VYDAJ	VYBER	1700	24200	\N	\N	\N
638837	2179	1994-11-10	PRIJEM	VKLAD	2500	26700	\N	\N	\N
638838	2179	1994-12-10	PRIJEM	VKLAD	1000	27700	\N	\N	\N
638839	2179	1995-01-09	VYDAJ	VYBER	3200	24500	\N	\N	\N
638840	2179	1995-02-08	VYDAJ	VYBER	23600	49168	\N	\N	\N
638841	2179	1995-03-10	VYDAJ	VYBER	11900	37570	\N	\N	\N
638842	2179	1995-04-09	VYDAJ	VYBER	3100	34773	\N	\N	\N
638843	2179	1995-05-09	VYDAJ	VYBER	19800	46601	\N	\N	\N
638844	2179	1995-06-08	VYDAJ	VYBER	9700	37176	\N	\N	\N
638845	2179	1995-07-08	VYDAJ	VYBER	24100	56111	\N	\N	\N
638846	2179	1995-08-07	VYDAJ	VYBER	14500	41944	\N	\N	\N
638847	2179	1995-09-06	VYDAJ	VYBER	6100	36177	\N	\N	\N
638848	2179	1995-10-05	VYDAJ	VYBER	37500	82903	\N	\N	\N
638849	2179	1995-10-06	VYDAJ	VYBER	25400	57503	\N	\N	\N
638850	2179	1995-11-05	VYDAJ	VYBER	44000	48879	\N	\N	\N
638851	2179	1995-11-05	VYDAJ	VYBER	16000	92879	\N	\N	\N
638852	2179	1995-12-05	PRIJEM	VKLAD	100	35304	\N	\N	\N
638853	2179	1996-01-04	VYDAJ	VYBER	19500	49609	\N	\N	\N
638854	2179	1996-02-03	VYDAJ	VYBER	2300	37424	\N	\N	\N
638855	2179	1996-02-19	VYDAJ	VYBER	56400	46363	\N	\N	\N
638856	2179	1996-03-04	VYDAJ	VYBER	24800	54217	\N	\N	\N
638857	2179	1996-04-03	VYDAJ	VYBER	10000	38062	\N	\N	\N
638858	2179	1996-05-03	VYDAJ	VYBER	13100	50465	\N	\N	\N
638859	2179	1996-06-02	VYDAJ	VYBER	16800	56382	\N	\N	\N
638860	2179	1996-07-02	VYDAJ	VYBER	2300	34810	\N	\N	\N
638861	2179	1996-08-01	PRIJEM	VKLAD	4700	33254	\N	\N	\N
638862	2179	1996-08-31	VYDAJ	VYBER	6700	52168	\N	\N	\N
638863	2179	1996-09-30	VYDAJ	VYBER	22500	61163	\N	\N	\N
638864	2179	1996-10-30	VYDAJ	VYBER	15800	63028	\N	\N	\N
638865	2179	1996-11-29	VYDAJ	VYBER	3200	53716	\N	\N	\N
638866	2179	1996-12-29	VYDAJ	VYBER	7000	54666	\N	\N	\N
638867	2179	1997-01-28	PRIJEM	VKLAD	13300	40488	\N	\N	\N
638868	2179	1997-02-27	PRIJEM	VKLAD	9700	37184	\N	\N	\N
638869	2179	1997-03-29	PRIJEM	VKLAD	17500	39828	\N	\N	\N
638870	2179	1997-04-28	PRIJEM	VKLAD	10200	43757	\N	\N	\N
638871	2179	1997-05-28	PRIJEM	VKLAD	18300	36039	\N	\N	\N
638872	2179	1997-06-27	PRIJEM	VKLAD	14200	36762	\N	\N	\N
638873	2179	1997-07-27	PRIJEM	VKLAD	10200	40705	\N	\N	\N
638874	2179	1997-08-26	PRIJEM	VKLAD	7400	41859	\N	\N	\N
638875	2179	1997-09-25	PRIJEM	VKLAD	14100	40678	\N	\N	\N
638876	2179	1997-10-25	PRIJEM	VKLAD	17700	36542	\N	\N	\N
638877	2179	1997-11-24	PRIJEM	VKLAD	15400	45673	\N	\N	\N
638878	2179	1997-12-24	PRIJEM	VKLAD	9600	46035	\N	\N	\N
638879	2179	1998-01-21	VYDAJ	VYBER	24600	97495	\N	\N	\N
638880	2179	1998-01-23	VYDAJ	VYBER	18600	78895	\N	\N	\N
638881	2179	1998-02-22	VYDAJ	VYBER	12800	70526	\N	\N	\N
638882	2179	1998-03-24	VYDAJ	VYBER	49200	74197	\N	\N	\N
638883	2179	1998-03-24	VYDAJ	VYBER	6000	68197	\N	\N	\N
638884	2179	1998-04-06	VYDAJ	VYBER	46800	100390	\N	\N	\N
638885	2179	1998-04-23	VYDAJ	VYBER	10400	83636	\N	\N	\N
638886	2179	1998-05-14	VYDAJ	VYBER	29100	90395	\N	\N	\N
638887	2179	1998-05-20	VYDAJ	VYBER	30600	95364	\N	\N	\N
638888	2179	1998-05-21	VYDAJ	VYBER	19200	94390	\N	\N	\N
638889	2179	1998-05-23	VYDAJ	VYBER	10900	83490	\N	\N	\N
638890	2179	1998-06-22	VYDAJ	VYBER	10200	84447	\N	\N	\N
638891	2179	1998-07-10	VYDAJ	VYBER	29600	79853	\N	\N	\N
638892	2179	1998-07-22	VYDAJ	VYBER	8000	71853	\N	\N	\N
638893	2179	1998-08-06	VYDAJ	VYBER	64700	51363	\N	\N	\N
638894	2179	1998-08-21	VYDAJ	VYBER	12500	77527	\N	\N	\N
638895	2179	1998-08-24	VYDAJ	VYBER	21700	107879	\N	\N	\N
638896	2179	1998-09-03	VYDAJ	VYBER	48200	75352	\N	\N	\N
638897	2179	1998-09-20	VYDAJ	VYBER	10500	82814	\N	\N	\N
638898	2179	1998-10-20	VYDAJ	VYBER	4000	72800	\N	\N	\N
638899	2179	1998-11-19	PRIJEM	VKLAD	6100	72832	\N	\N	\N
638900	2179	1998-12-19	PRIJEM	VKLAD	9300	67939	\N	\N	\N
638949	2180	1993-10-27	PRIJEM	VKLAD	400	400	\N	\N	\N
639106	2180	1993-11-26	PRIJEM	VKLAD	14200	14600	\N	\N	\N
639107	2180	1993-12-26	PRIJEM	VKLAD	2600	17200	\N	\N	\N
639108	2180	1994-01-25	PRIJEM	VKLAD	2800	20000	\N	\N	\N
639109	2180	1994-02-24	PRIJEM	VKLAD	3300	23300	\N	\N	\N
639110	2180	1994-03-26	PRIJEM	VKLAD	1500	24800	\N	\N	\N
639111	2180	1994-04-25	PRIJEM	VKLAD	1300	26100	\N	\N	\N
639112	2180	1994-05-25	VYDAJ	VYBER	3600	22500	\N	\N	\N
639113	2180	1994-06-24	PRIJEM	VKLAD	1700	24200	\N	\N	\N
639114	2180	1994-07-24	PRIJEM	VKLAD	1000	25200	\N	\N	\N
639115	2180	1994-08-23	VYDAJ	VYBER	2500	22700	\N	\N	\N
639116	2180	1994-09-22	PRIJEM	VKLAD	2600	25300	\N	\N	\N
639117	2180	1994-10-22	VYDAJ	VYBER	500	24800	\N	\N	\N
639118	2180	1994-11-21	PRIJEM	VKLAD	1800	26600	\N	\N	\N
639119	2180	1994-12-21	VYDAJ	VYBER	2500	24100	\N	\N	\N
639120	2180	1995-01-20	VYDAJ	VYBER	1000	23100	\N	\N	\N
639121	2180	1995-02-19	PRIJEM	VKLAD	1800	24900	\N	\N	\N
639122	2180	1995-03-21	VYDAJ	VYBER	1400	23500	\N	\N	\N
639123	2180	1995-04-20	VYDAJ	VYBER	1100	22400	\N	\N	\N
639124	2180	1995-05-20	PRIJEM	VKLAD	200	22600	\N	\N	\N
639125	2180	1995-06-19	PRIJEM	VKLAD	800	23400	\N	\N	\N
639126	2180	1995-07-19	VYDAJ	VYBER	2000	21400	\N	\N	\N
639127	2180	1995-08-18	PRIJEM	VKLAD	600	22000	\N	\N	\N
639128	2180	1995-09-17	VYDAJ	VYBER	3300	18700	\N	\N	\N
639129	2180	1995-10-17	PRIJEM	VKLAD	700	19400	\N	\N	\N
639130	2180	1995-11-16	VYDAJ	VYBER	3000	16400	\N	\N	\N
639131	2180	1995-12-16	VYDAJ	VYBER	3700	12700	\N	\N	\N
639132	2180	1996-01-15	PRIJEM	VKLAD	300	13000	\N	\N	\N
639133	2180	1996-02-14	PRIJEM	VKLAD	400	13400	\N	\N	\N
639134	2180	1996-03-15	VYDAJ	VYBER	1400	12000	\N	\N	\N
639135	2180	1996-04-14	VYDAJ	VYBER	800	11200	\N	\N	\N
639136	2180	1996-05-14	PRIJEM	VKLAD	400	11600	\N	\N	\N
639137	2180	1996-06-13	PRIJEM	VKLAD	1700	13300	\N	\N	\N
639138	2180	1996-07-13	VYDAJ	VYBER	1700	11600	\N	\N	\N
639139	2180	1996-08-12	PRIJEM	VKLAD	1300	12900	\N	\N	\N
639140	2180	1996-09-11	VYDAJ	VYBER	2900	10000	\N	\N	\N
639141	2180	1996-10-11	VYDAJ	VYBER	300	9700	\N	\N	\N
639142	2180	1996-11-10	PRIJEM	VKLAD	2600	12300	\N	\N	\N
639143	2180	1996-12-10	VYDAJ	VYBER	900	11400	\N	\N	\N
639144	2180	1997-01-09	VYDAJ	VYBER	1000	10400	\N	\N	\N
639145	2180	1997-03-10	PRIJEM	VKLAD	900	11300	\N	\N	\N
639545	2182	1997-07-12	PRIJEM	VKLAD	300	300	\N	\N	\N
639553	2182	1997-08-06	PRIJEM	VKLAD	7894	8194	\N	\N	\N
639554	2182	1997-09-06	PRIJEM	VKLAD	7894	25538	\N	\N	\N
639555	2182	1997-10-06	PRIJEM	VKLAD	7894	30720	\N	\N	\N
639556	2182	1997-11-06	PRIJEM	VKLAD	7894	37027	\N	\N	\N
639557	2182	1997-12-06	PRIJEM	VKLAD	11841	43798	\N	\N	\N
639558	2182	1998-01-06	PRIJEM	VKLAD	7894	34881	\N	\N	\N
639559	2182	1998-02-06	PRIJEM	VKLAD	7894	27016	\N	\N	\N
639560	2182	1998-03-06	PRIJEM	VKLAD	7894	35643	\N	\N	\N
639561	2182	1998-04-06	PRIJEM	VKLAD	7894	39067	\N	\N	\N
639562	2182	1998-05-06	PRIJEM	VKLAD	7894	39717	\N	\N	\N
639563	2182	1998-06-06	PRIJEM	VKLAD	11841	49733	\N	\N	\N
639564	2182	1998-07-06	PRIJEM	VKLAD	7894	21197	\N	\N	\N
639565	2182	1998-08-06	PRIJEM	VKLAD	7894	32609	\N	\N	\N
639566	2182	1998-09-06	PRIJEM	VKLAD	7894	41705	\N	\N	\N
639567	2182	1998-10-06	PRIJEM	VKLAD	7894	43570	\N	\N	\N
639568	2182	1998-11-06	PRIJEM	VKLAD	7894	45756	\N	\N	\N
639569	2182	1998-12-06	PRIJEM	VKLAD	11841	52587	\N	\N	\N
639581	2182	1997-12-09	VYDAJ	PREVOD NA UCET	5262	30936	SIPO	OP	88771032
639582	2182	1998-01-09	VYDAJ	PREVOD NA UCET	5262	25999	SIPO	OP	88771032
639583	2182	1998-02-09	VYDAJ	PREVOD NA UCET	5262	27654	SIPO	OP	88771032
639584	2182	1998-03-09	VYDAJ	PREVOD NA UCET	5262	31061	SIPO	OP	88771032
639585	2182	1998-04-09	VYDAJ	PREVOD NA UCET	5262	31705	SIPO	OP	88771032
639586	2182	1998-05-09	VYDAJ	PREVOD NA UCET	5262	37755	SIPO	OP	88771032
639587	2182	1998-06-09	VYDAJ	PREVOD NA UCET	5262	42271	SIPO	OP	88771032
639588	2182	1998-07-09	VYDAJ	PREVOD NA UCET	5262	24635	SIPO	OP	88771032
639589	2182	1998-08-09	VYDAJ	PREVOD NA UCET	5262	30047	SIPO	OP	88771032
639590	2182	1998-09-09	VYDAJ	PREVOD NA UCET	5262	36443	SIPO	OP	88771032
639591	2182	1998-10-09	VYDAJ	PREVOD NA UCET	5262	38308	SIPO	OP	88771032
639592	2182	1998-11-09	VYDAJ	PREVOD NA UCET	5262	40494	SIPO	OP	88771032
639593	2182	1998-12-09	VYDAJ	PREVOD NA UCET	5262	47325	SIPO	OP	88771032
639595	2182	1998-06-29	VYDAJ	VYBER	29120	13151	\N	\N	\N
639597	2182	1998-12-19	VYDAJ	VYBER	2240	45085	\N	\N	\N
639604	2182	1998-01-10	VYDAJ	VYBER	3240	22759	\N	\N	\N
639605	2182	1998-01-01	VYDAJ	VYBER	1800	29267	\N	\N	\N
639606	2182	1998-01-25	VYDAJ	VYBER	2640	19039	\N	\N	\N
639607	2182	1998-01-04	VYDAJ	VYBER	2280	26987	\N	\N	\N
639608	2182	1998-01-10	VYDAJ	VYBER	1080	21679	\N	\N	\N
639609	2182	1998-01-08	VYDAJ	VYBER	1920	32961	\N	\N	\N
639612	2182	1998-03-08	VYDAJ	VYBER	1320	34323	\N	\N	\N
639613	2182	1998-08-22	VYDAJ	VYBER	2640	27407	\N	\N	\N
639614	2182	1998-10-10	VYDAJ	VYBER	4080	34228	\N	\N	\N
639627	2182	1997-12-31	VYDAJ	VYBER	15	31067	SLUZBY	\N	\N
639628	2182	1998-01-31	VYDAJ	VYBER	15	19122	SLUZBY	\N	\N
639629	2182	1998-02-28	VYDAJ	VYBER	15	27749	SLUZBY	\N	\N
639630	2182	1998-03-31	VYDAJ	VYBER	15	31173	SLUZBY	\N	\N
639631	2182	1998-04-30	VYDAJ	VYBER	15	31823	SLUZBY	\N	\N
639632	2182	1998-05-31	VYDAJ	VYBER	15	37892	SLUZBY	\N	\N
639633	2182	1998-06-30	VYDAJ	VYBER	15	13303	SLUZBY	\N	\N
639634	2182	1998-07-31	VYDAJ	VYBER	15	24715	SLUZBY	\N	\N
639635	2182	1998-08-31	VYDAJ	VYBER	15	27511	SLUZBY	\N	\N
639636	2182	1998-09-30	VYDAJ	VYBER	15	36576	SLUZBY	\N	\N
639637	2182	1998-10-31	VYDAJ	VYBER	15	34362	SLUZBY	\N	\N
639638	2182	1998-11-30	VYDAJ	VYBER	15	40646	SLUZBY	\N	\N
639639	2182	1997-08-11	PRIJEM	VKLAD	9400	17594	\N	\N	\N
639640	2182	1997-09-10	VYDAJ	VYBER	2800	22738	\N	\N	\N
639641	2182	1997-10-10	VYDAJ	VYBER	1700	29020	\N	\N	\N
639642	2182	1997-11-09	VYDAJ	VYBER	5200	31827	\N	\N	\N
639643	2182	1997-12-09	VYDAJ	VYBER	7600	36198	\N	\N	\N
639644	2182	1998-01-08	VYDAJ	VYBER	1700	31261	\N	\N	\N
639645	2182	1998-02-07	PRIJEM	VKLAD	5900	32916	\N	\N	\N
639646	2182	1998-03-09	PRIJEM	VKLAD	2000	36323	\N	\N	\N
639647	2182	1998-04-08	VYDAJ	VYBER	2100	36967	\N	\N	\N
639648	2182	1998-05-08	PRIJEM	VKLAD	3300	43017	\N	\N	\N
639649	2182	1998-06-07	VYDAJ	VYBER	2200	47533	\N	\N	\N
639650	2182	1998-07-07	PRIJEM	VKLAD	8700	29897	\N	\N	\N
639651	2182	1998-08-06	PRIJEM	VKLAD	2700	35309	\N	\N	\N
639652	2182	1998-09-05	PRIJEM	VKLAD	6300	33811	\N	\N	\N
639653	2182	1998-10-05	VYDAJ	VYBER	900	35676	\N	\N	\N
639654	2182	1998-11-04	PRIJEM	VKLAD	3500	37862	\N	\N	\N
639655	2182	1998-12-04	PRIJEM	VKLAD	100	40746	\N	\N	\N
639673	2183	1997-07-17	PRIJEM	VKLAD	500	500	\N	\N	\N
639681	2183	1997-08-05	PRIJEM	VKLAD	16001	16501	\N	\N	\N
639682	2183	1997-09-05	PRIJEM	VKLAD	16001	37047	\N	\N	\N
639683	2183	1997-10-05	PRIJEM	VKLAD	16001	48862	\N	\N	\N
639684	2183	1997-11-05	PRIJEM	VKLAD	16001	52107	\N	\N	\N
639685	2183	1997-12-05	PRIJEM	VKLAD	24002	61862	\N	\N	\N
639686	2183	1998-01-05	PRIJEM	VKLAD	16001	55696	\N	\N	\N
639687	2183	1998-02-05	PRIJEM	VKLAD	16001	31640	\N	\N	\N
639688	2183	1998-03-05	PRIJEM	VKLAD	16001	40113	\N	\N	\N
639689	2183	1998-04-05	PRIJEM	VKLAD	16001	45212	\N	\N	\N
639690	2183	1998-05-05	PRIJEM	VKLAD	16001	41472	\N	\N	\N
639691	2183	1998-06-05	PRIJEM	VKLAD	24002	57485	\N	\N	\N
639692	2183	1998-07-05	PRIJEM	VKLAD	16001	19601	\N	\N	\N
639693	2183	1998-08-05	PRIJEM	VKLAD	16001	41962	\N	\N	\N
639694	2183	1998-09-05	PRIJEM	VKLAD	16001	51064	\N	\N	\N
639695	2183	1998-10-05	PRIJEM	VKLAD	16001	61426	\N	\N	\N
639696	2183	1998-11-05	PRIJEM	VKLAD	16001	63306	\N	\N	\N
639697	2183	1998-12-05	PRIJEM	VKLAD	24002	66375	\N	\N	\N
639699	2183	1998-06-15	VYDAJ	VYBER	36320	5085	\N	\N	\N
639701	2183	1998-01-26	VYDAJ	VYBER	9760	15516	\N	\N	\N
639702	2183	1997-12-19	VYDAJ	VYBER	3360	41702	\N	\N	\N
639703	2183	1998-12-29	VYDAJ	VYBER	3680	44495	\N	\N	\N
639710	2183	1998-01-11	VYDAJ	VYBER	3000	40456	\N	\N	\N
639711	2183	1998-01-26	VYDAJ	VYBER	1920	25276	\N	\N	\N
639712	2183	1998-01-05	VYDAJ	VYBER	2160	53536	\N	\N	\N
639713	2183	1998-01-11	VYDAJ	VYBER	2760	43456	\N	\N	\N
639714	2183	1998-01-09	VYDAJ	VYBER	1440	52096	\N	\N	\N
639715	2183	1998-01-25	VYDAJ	VYBER	1560	27196	\N	\N	\N
639717	2183	1997-12-27	VYDAJ	VYBER	2160	39542	\N	\N	\N
639724	2183	1998-06-25	VYDAJ	VYBER	1560	3525	\N	\N	\N
639725	2183	1998-04-15	VYDAJ	VYBER	5040	25372	\N	\N	\N
639726	2183	1998-06-08	VYDAJ	VYBER	4080	53405	\N	\N	\N
639727	2183	1998-01-10	VYDAJ	VYBER	5880	46216	\N	\N	\N
639728	2183	1998-08-23	VYDAJ	VYBER	1320	34942	\N	\N	\N
639741	2183	1997-12-31	VYDAJ	VYBER	15	39695	SLUZBY	\N	\N
639742	2183	1998-01-31	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
639743	2183	1998-02-28	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
639744	2183	1998-03-31	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
639745	2183	1998-04-30	VYDAJ	VYBER	15	25471	SLUZBY	\N	\N
639746	2183	1998-05-31	VYDAJ	VYBER	15	33483	SLUZBY	\N	\N
639747	2183	1998-06-30	VYDAJ	VYBER	15	3600	SLUZBY	\N	\N
639748	2183	1998-07-31	VYDAJ	VYBER	15	25961	SLUZBY	\N	\N
639749	2183	1998-08-31	VYDAJ	VYBER	15	35063	SLUZBY	\N	\N
639750	2183	1998-09-30	VYDAJ	VYBER	15	45425	SLUZBY	\N	\N
639751	2183	1998-10-31	VYDAJ	VYBER	15	47305	SLUZBY	\N	\N
639752	2183	1998-11-30	VYDAJ	VYBER	15	42373	SLUZBY	\N	\N
639753	2183	1997-08-16	PRIJEM	VKLAD	4500	21001	\N	\N	\N
639754	2183	1997-09-15	VYDAJ	VYBER	4300	32747	\N	\N	\N
639755	2183	1997-10-15	VYDAJ	VYBER	12900	35962	\N	\N	\N
639756	2183	1997-11-14	VYDAJ	VYBER	14400	37707	\N	\N	\N
639757	2183	1997-12-14	VYDAJ	VYBER	16800	45062	\N	\N	\N
639758	2183	1998-01-13	VYDAJ	VYBER	11700	28756	\N	\N	\N
639759	2183	1998-02-12	VYDAJ	VYBER	7600	24040	\N	\N	\N
639760	2183	1998-03-14	VYDAJ	VYBER	11000	29113	\N	\N	\N
639761	2183	1998-04-13	VYDAJ	VYBER	14800	30412	\N	\N	\N
639762	2183	1998-05-13	VYDAJ	VYBER	8100	33372	\N	\N	\N
639763	2183	1998-06-12	VYDAJ	VYBER	12000	41405	\N	\N	\N
639764	2183	1998-07-12	PRIJEM	VKLAD	6300	25901	\N	\N	\N
639765	2183	1998-08-11	VYDAJ	VYBER	5700	36262	\N	\N	\N
639766	2183	1998-09-10	VYDAJ	VYBER	5800	45264	\N	\N	\N
639767	2183	1998-10-10	VYDAJ	VYBER	14300	47126	\N	\N	\N
639768	2183	1998-11-09	VYDAJ	VYBER	21100	42206	\N	\N	\N
639769	2183	1998-12-09	VYDAJ	VYBER	18200	48175	\N	\N	\N
639787	2184	1997-05-07	PRIJEM	VKLAD	700	700	\N	\N	\N
639792	2184	1997-05-08	PRIJEM	VKLAD	24458	25158	\N	\N	\N
639793	2184	1997-06-08	PRIJEM	VKLAD	36687	62026	\N	\N	\N
639794	2184	1997-07-08	PRIJEM	VKLAD	24458	65807	\N	\N	\N
639795	2184	1997-08-08	PRIJEM	VKLAD	24458	64335	\N	\N	\N
639796	2184	1997-09-08	PRIJEM	VKLAD	24458	64463	\N	\N	\N
639797	2184	1997-10-08	PRIJEM	VKLAD	24458	59410	\N	\N	\N
639798	2184	1997-11-08	PRIJEM	VKLAD	24458	55837	\N	\N	\N
639799	2184	1997-12-08	PRIJEM	VKLAD	36687	65876	\N	\N	\N
639800	2184	1998-01-08	PRIJEM	VKLAD	24458	52423	\N	\N	\N
639801	2184	1998-02-08	PRIJEM	VKLAD	24458	44297	\N	\N	\N
639802	2184	1998-03-08	PRIJEM	VKLAD	24458	48946	\N	\N	\N
639803	2184	1998-04-08	PRIJEM	VKLAD	24458	51819	\N	\N	\N
639804	2184	1998-05-08	PRIJEM	VKLAD	24458	50740	\N	\N	\N
639805	2184	1998-06-08	PRIJEM	VKLAD	36687	62299	\N	\N	\N
639806	2184	1998-07-08	PRIJEM	VKLAD	24458	35663	\N	\N	\N
639807	2184	1998-08-08	PRIJEM	VKLAD	24458	39072	\N	\N	\N
639808	2184	1998-09-08	PRIJEM	VKLAD	24458	44589	\N	\N	\N
639809	2184	1998-10-08	PRIJEM	VKLAD	24458	43425	\N	\N	\N
639810	2184	1998-11-08	PRIJEM	VKLAD	24458	41054	\N	\N	\N
639811	2184	1998-12-08	PRIJEM	VKLAD	36687	49754	\N	\N	\N
639821	2184	1997-10-07	VYDAJ	PREVOD NA UCET	3165	34952	SIPO	IJ	59498178
639822	2184	1997-11-07	VYDAJ	PREVOD NA UCET	3165	31379	SIPO	IJ	59498178
639823	2184	1997-12-07	VYDAJ	PREVOD NA UCET	3165	29189	SIPO	IJ	59498178
639824	2184	1998-01-07	VYDAJ	PREVOD NA UCET	3165	27965	SIPO	IJ	59498178
639825	2184	1998-02-07	VYDAJ	PREVOD NA UCET	3165	19839	SIPO	IJ	59498178
639826	2184	1998-03-07	VYDAJ	PREVOD NA UCET	3165	24488	SIPO	IJ	59498178
639827	2184	1998-04-07	VYDAJ	PREVOD NA UCET	3165	27361	SIPO	IJ	59498178
639828	2184	1998-05-07	VYDAJ	PREVOD NA UCET	3165	26282	SIPO	IJ	59498178
639829	2184	1998-06-07	VYDAJ	PREVOD NA UCET	3165	25612	SIPO	IJ	59498178
639830	2184	1998-07-07	VYDAJ	PREVOD NA UCET	3165	11205	SIPO	IJ	59498178
639831	2184	1998-08-07	VYDAJ	PREVOD NA UCET	3165	14614	SIPO	IJ	59498178
639832	2184	1998-09-07	VYDAJ	PREVOD NA UCET	3165	20131	SIPO	IJ	59498178
639833	2184	1998-10-07	VYDAJ	PREVOD NA UCET	3165	18967	SIPO	IJ	59498178
639834	2184	1998-11-07	VYDAJ	PREVOD NA UCET	3165	16596	SIPO	IJ	59498178
639835	2184	1998-12-07	VYDAJ	PREVOD NA UCET	3165	13067	SIPO	IJ	59498178
639837	2184	1998-06-29	VYDAJ	VYBER	38240	21459	\N	\N	\N
639839	2184	1998-01-30	VYDAJ	VYBER	14240	33023	\N	\N	\N
639840	2184	1997-12-20	VYDAJ	VYBER	4320	59276	\N	\N	\N
639841	2184	1998-12-06	VYDAJ	VYBER KARTOU	800	16232	\N	\N	0
639848	2184	1998-01-03	VYDAJ	VYBER	720	34490	\N	\N	\N
639849	2184	1998-01-05	VYDAJ	VYBER	3360	31130	\N	\N	\N
639850	2184	1998-01-13	VYDAJ	VYBER	840	51583	\N	\N	\N
639851	2184	1998-01-15	VYDAJ	VYBER	840	50743	\N	\N	\N
639852	2184	1998-01-26	VYDAJ	VYBER	2640	48103	\N	\N	\N
639853	2184	1998-01-26	VYDAJ	VYBER	840	47263	\N	\N	\N
639857	2184	1997-12-10	VYDAJ	VYBER	2280	63596	\N	\N	\N
639860	2184	1998-12-14	VYDAJ	VYBER KARTOU	3200	46554	\N	\N	0
639861	2184	1998-05-08	VYDAJ	VYBER	4440	46300	\N	\N	\N
639862	2184	1998-06-16	VYDAJ	VYBER KARTOU	2600	59699	\N	\N	0
639863	2184	1998-04-10	VYDAJ	VYBER	2760	49059	\N	\N	\N
639864	2184	1998-11-17	VYDAJ	VYBER	5040	36014	\N	\N	\N
639865	2184	1998-02-08	VYDAJ	VYBER	3000	41297	\N	\N	\N
639875	2184	1997-09-30	VYDAJ	VYBER	15	64717	SLUZBY	\N	\N
639876	2184	1997-10-31	VYDAJ	VYBER	15	59644	SLUZBY	\N	\N
639877	2184	1997-11-30	VYDAJ	VYBER	15	56054	SLUZBY	\N	\N
639878	2184	1997-12-31	VYDAJ	VYBER	15	59510	SLUZBY	\N	\N
639879	2184	1998-01-31	VYDAJ	VYBER	15	33204	SLUZBY	\N	\N
639880	2184	1998-02-28	VYDAJ	VYBER	15	41453	SLUZBY	\N	\N
639881	2184	1998-03-31	VYDAJ	VYBER	15	49126	SLUZBY	\N	\N
639882	2184	1998-04-30	VYDAJ	VYBER	15	49247	SLUZBY	\N	\N
639883	2184	1998-05-31	VYDAJ	VYBER	15	46477	SLUZBY	\N	\N
639884	2184	1998-06-30	VYDAJ	VYBER	15	21670	SLUZBY	\N	\N
639885	2184	1998-07-31	VYDAJ	VYBER	15	35779	SLUZBY	\N	\N
639886	2184	1998-08-31	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
639887	2184	1998-09-30	VYDAJ	VYBER	15	22132	SLUZBY	\N	\N
639888	2184	1998-10-31	VYDAJ	VYBER	15	19761	SLUZBY	\N	\N
639889	2184	1998-11-30	VYDAJ	VYBER	15	17032	SLUZBY	\N	\N
639890	2184	1997-06-06	PRIJEM	VKLAD	100	25339	\N	\N	\N
639891	2184	1997-07-06	VYDAJ	VYBER	20900	41349	\N	\N	\N
639892	2184	1997-08-05	VYDAJ	VYBER	26200	39877	\N	\N	\N
639893	2184	1997-09-04	VYDAJ	VYBER	24600	40005	\N	\N	\N
639894	2184	1997-10-04	VYDAJ	VYBER	26600	38117	\N	\N	\N
639895	2184	1997-11-03	VYDAJ	VYBER	25100	34544	\N	\N	\N
639896	2184	1997-12-03	VYDAJ	VYBER	23700	32354	\N	\N	\N
639897	2184	1998-01-02	VYDAJ	VYBER	24300	35210	\N	\N	\N
639898	2184	1998-02-01	VYDAJ	VYBER	10200	23004	\N	\N	\N
639899	2184	1998-03-03	VYDAJ	VYBER	13800	27653	\N	\N	\N
639900	2184	1998-04-02	VYDAJ	VYBER	18600	30526	\N	\N	\N
639901	2184	1998-05-02	VYDAJ	VYBER	19800	29447	\N	\N	\N
639902	2184	1998-06-01	VYDAJ	VYBER	17700	28777	\N	\N	\N
639903	2184	1998-07-01	VYDAJ	VYBER	7300	14370	\N	\N	\N
639904	2184	1998-07-31	VYDAJ	VYBER	18000	17779	\N	\N	\N
639905	2184	1998-08-30	VYDAJ	VYBER	15900	23172	\N	\N	\N
639906	2184	1998-09-29	VYDAJ	VYBER	22600	21989	\N	\N	\N
639907	2184	1998-10-29	VYDAJ	VYBER	23800	19625	\N	\N	\N
639908	2184	1998-11-28	VYDAJ	VYBER	19100	16914	\N	\N	\N
639929	2185	1995-01-18	PRIJEM	VKLAD	900	900	\N	\N	\N
639931	2185	1995-02-14	PRIJEM	PREVOD Z UCTU	5266	6166	DUCHOD	MN	13153678
639932	2185	1995-03-14	PRIJEM	PREVOD Z UCTU	5266	11432	DUCHOD	MN	13153678
639933	2185	1995-04-14	PRIJEM	PREVOD Z UCTU	5266	16698	DUCHOD	MN	13153678
639934	2185	1995-05-14	PRIJEM	PREVOD Z UCTU	5266	21964	DUCHOD	MN	13153678
639935	2185	1995-06-14	PRIJEM	PREVOD Z UCTU	5266	27230	DUCHOD	MN	13153678
639936	2185	1995-07-14	PRIJEM	PREVOD Z UCTU	5266	22246	DUCHOD	MN	13153678
639937	2185	1995-08-14	PRIJEM	PREVOD Z UCTU	5266	25280	DUCHOD	MN	13153678
639938	2185	1995-09-14	PRIJEM	PREVOD Z UCTU	5266	28627	DUCHOD	MN	13153678
639939	2185	1995-10-14	PRIJEM	PREVOD Z UCTU	5266	28624	DUCHOD	MN	13153678
639940	2185	1995-11-14	PRIJEM	PREVOD Z UCTU	5266	31987	DUCHOD	MN	13153678
639941	2185	1995-12-14	PRIJEM	PREVOD Z UCTU	5266	32147	DUCHOD	MN	13153678
639942	2185	1996-01-14	PRIJEM	PREVOD Z UCTU	5266	28282	DUCHOD	MN	13153678
639943	2185	1996-02-14	PRIJEM	PREVOD Z UCTU	5266	20478	DUCHOD	MN	13153678
639944	2185	1996-03-14	PRIJEM	PREVOD Z UCTU	5266	20683	DUCHOD	MN	13153678
639945	2185	1996-04-14	PRIJEM	PREVOD Z UCTU	5266	24012	DUCHOD	MN	13153678
639946	2185	1996-05-14	PRIJEM	PREVOD Z UCTU	5266	24793	DUCHOD	MN	13153678
639947	2185	1996-06-14	PRIJEM	PREVOD Z UCTU	5266	28141	DUCHOD	MN	13153678
639948	2185	1996-07-14	PRIJEM	PREVOD Z UCTU	5266	23891	DUCHOD	MN	13153678
639949	2185	1996-08-14	PRIJEM	PREVOD Z UCTU	5266	27232	DUCHOD	MN	13153678
639950	2185	1996-09-14	PRIJEM	PREVOD Z UCTU	5266	30587	DUCHOD	MN	13153678
639951	2185	1996-10-14	PRIJEM	PREVOD Z UCTU	5266	33956	DUCHOD	MN	13153678
639952	2185	1996-11-14	PRIJEM	PREVOD Z UCTU	5266	37339	DUCHOD	MN	13153678
639953	2185	1996-12-14	PRIJEM	PREVOD Z UCTU	5266	36236	DUCHOD	MN	13153678
639954	2185	1997-01-14	PRIJEM	PREVOD Z UCTU	5266	32181	DUCHOD	MN	13153678
639955	2185	1997-02-14	PRIJEM	PREVOD Z UCTU	5266	25393	DUCHOD	MN	13153678
639956	2185	1997-03-14	PRIJEM	PREVOD Z UCTU	5266	24816	DUCHOD	MN	13153678
639957	2185	1997-04-14	PRIJEM	PREVOD Z UCTU	5266	28161	DUCHOD	MN	13153678
639958	2185	1997-05-14	PRIJEM	PREVOD Z UCTU	5266	27555	DUCHOD	MN	13153678
639959	2185	1997-06-14	PRIJEM	PREVOD Z UCTU	5266	26906	DUCHOD	MN	13153678
639960	2185	1997-07-14	PRIJEM	PREVOD Z UCTU	5266	26859	DUCHOD	MN	13153678
639961	2185	1997-08-14	PRIJEM	PREVOD Z UCTU	5266	30212	DUCHOD	MN	13153678
639962	2185	1997-09-14	PRIJEM	PREVOD Z UCTU	5266	33579	DUCHOD	MN	13153678
639963	2185	1997-10-14	PRIJEM	PREVOD Z UCTU	5266	34040	DUCHOD	MN	13153678
639964	2185	1997-11-14	PRIJEM	PREVOD Z UCTU	5266	37225	DUCHOD	MN	13153678
639965	2185	1997-12-14	PRIJEM	PREVOD Z UCTU	5266	40621	DUCHOD	MN	13153678
639966	2185	1998-01-14	PRIJEM	PREVOD Z UCTU	5266	36379	DUCHOD	MN	13153678
639967	2185	1998-02-14	PRIJEM	PREVOD Z UCTU	5266	34169	DUCHOD	MN	13153678
639968	2185	1998-03-14	PRIJEM	PREVOD Z UCTU	5266	37552	DUCHOD	MN	13153678
639969	2185	1998-04-14	PRIJEM	PREVOD Z UCTU	5266	37668	DUCHOD	MN	13153678
639970	2185	1998-05-14	PRIJEM	PREVOD Z UCTU	5266	40766	DUCHOD	MN	13153678
639971	2185	1998-06-14	PRIJEM	PREVOD Z UCTU	5266	35787	DUCHOD	MN	13153678
639972	2185	1998-07-14	PRIJEM	PREVOD Z UCTU	5266	26560	DUCHOD	MN	13153678
639973	2185	1998-08-14	PRIJEM	PREVOD Z UCTU	5266	25991	DUCHOD	MN	13153678
639974	2185	1998-09-14	PRIJEM	PREVOD Z UCTU	5266	29347	DUCHOD	MN	13153678
639975	2185	1998-10-14	PRIJEM	PREVOD Z UCTU	5266	30708	DUCHOD	MN	13153678
639976	2185	1998-11-14	PRIJEM	PREVOD Z UCTU	5266	33576	DUCHOD	MN	13153678
639977	2185	1998-12-14	PRIJEM	PREVOD Z UCTU	5266	30104	DUCHOD	MN	13153678
639984	2185	1995-07-11	VYDAJ	PREVOD NA UCET	2004	16980	SIPO	MN	23456716
639985	2185	1995-08-11	VYDAJ	PREVOD NA UCET	2004	20014	SIPO	MN	23456716
639986	2185	1995-09-11	VYDAJ	PREVOD NA UCET	2004	23361	SIPO	MN	23456716
639987	2185	1995-10-11	VYDAJ	PREVOD NA UCET	2004	24638	SIPO	MN	23456716
639988	2185	1995-11-11	VYDAJ	PREVOD NA UCET	2004	26721	SIPO	MN	23456716
639989	2185	1995-12-11	VYDAJ	PREVOD NA UCET	2004	26881	SIPO	MN	23456716
639990	2185	1996-01-11	VYDAJ	PREVOD NA UCET	2004	23016	SIPO	MN	23456716
639991	2185	1996-02-11	VYDAJ	PREVOD NA UCET	2004	16492	SIPO	MN	23456716
639992	2185	1996-03-11	VYDAJ	PREVOD NA UCET	2004	16137	SIPO	MN	23456716
639993	2185	1996-04-11	VYDAJ	PREVOD NA UCET	2004	18746	SIPO	MN	23456716
639994	2185	1996-05-11	VYDAJ	PREVOD NA UCET	2004	19527	SIPO	MN	23456716
639995	2185	1996-06-11	VYDAJ	PREVOD NA UCET	2004	22875	SIPO	MN	23456716
639996	2185	1996-07-11	VYDAJ	PREVOD NA UCET	2004	18625	SIPO	MN	23456716
639997	2185	1996-08-11	VYDAJ	PREVOD NA UCET	2004	21966	SIPO	MN	23456716
639998	2185	1996-09-11	VYDAJ	PREVOD NA UCET	2004	25321	SIPO	MN	23456716
639999	2185	1996-10-11	VYDAJ	PREVOD NA UCET	2004	28690	SIPO	MN	23456716
640000	2185	1996-11-11	VYDAJ	PREVOD NA UCET	2004	32073	SIPO	MN	23456716
640001	2185	1996-12-11	VYDAJ	PREVOD NA UCET	2004	30970	SIPO	MN	23456716
640002	2185	1997-01-11	VYDAJ	PREVOD NA UCET	2004	28835	SIPO	MN	23456716
640003	2185	1997-02-11	VYDAJ	PREVOD NA UCET	2004	20127	SIPO	MN	23456716
640004	2185	1997-03-11	VYDAJ	PREVOD NA UCET	2004	19550	SIPO	MN	23456716
640005	2185	1997-04-11	VYDAJ	PREVOD NA UCET	2004	22895	SIPO	MN	23456716
640006	2185	1997-05-11	VYDAJ	PREVOD NA UCET	2004	22289	SIPO	MN	23456716
640007	2185	1997-06-11	VYDAJ	PREVOD NA UCET	2004	21640	SIPO	MN	23456716
640008	2185	1997-07-11	VYDAJ	PREVOD NA UCET	2004	21593	SIPO	MN	23456716
640009	2185	1997-08-11	VYDAJ	PREVOD NA UCET	2004	24946	SIPO	MN	23456716
640010	2185	1997-09-11	VYDAJ	PREVOD NA UCET	2004	28313	SIPO	MN	23456716
640011	2185	1997-10-11	VYDAJ	PREVOD NA UCET	2004	28774	SIPO	MN	23456716
640012	2185	1997-11-11	VYDAJ	PREVOD NA UCET	2004	31959	SIPO	MN	23456716
640013	2185	1997-12-11	VYDAJ	PREVOD NA UCET	2004	35355	SIPO	MN	23456716
640014	2185	1998-01-11	VYDAJ	PREVOD NA UCET	2004	31113	SIPO	MN	23456716
640015	2185	1998-02-11	VYDAJ	PREVOD NA UCET	2004	28903	SIPO	MN	23456716
640016	2185	1998-03-11	VYDAJ	PREVOD NA UCET	2004	32286	SIPO	MN	23456716
640017	2185	1998-04-11	VYDAJ	PREVOD NA UCET	2004	32402	SIPO	MN	23456716
640018	2185	1998-05-11	VYDAJ	PREVOD NA UCET	2004	35500	SIPO	MN	23456716
640019	2185	1998-06-11	VYDAJ	PREVOD NA UCET	2004	30521	SIPO	MN	23456716
640020	2185	1998-07-11	VYDAJ	PREVOD NA UCET	2004	21294	SIPO	MN	23456716
640021	2185	1998-08-11	VYDAJ	PREVOD NA UCET	2004	20725	SIPO	MN	23456716
640022	2185	1998-09-11	VYDAJ	PREVOD NA UCET	2004	24081	SIPO	MN	23456716
640023	2185	1998-10-11	VYDAJ	PREVOD NA UCET	2004	25442	SIPO	MN	23456716
640024	2185	1998-11-11	VYDAJ	PREVOD NA UCET	2004	28310	SIPO	MN	23456716
640025	2185	1998-12-11	VYDAJ	PREVOD NA UCET	2004	24838	SIPO	MN	23456716
640026	2185	1995-06-24	VYDAJ	VYBER	8250	18980	\N	\N	\N
640027	2185	1996-06-23	VYDAJ	VYBER	7600	20541	\N	\N	\N
640028	2185	1997-06-14	VYDAJ	VYBER	3400	23506	\N	\N	\N
640029	2185	1998-06-20	VYDAJ	VYBER	12600	23187	\N	\N	\N
640031	2185	1996-01-22	VYDAJ	VYBER	3550	21212	\N	\N	\N
640032	2185	1997-01-16	VYDAJ	VYBER	4950	27231	\N	\N	\N
640033	2185	1998-01-24	VYDAJ	VYBER	2800	32299	\N	\N	\N
640034	2185	1995-12-09	VYDAJ	VYBER	350	28885	\N	\N	\N
640035	2185	1996-12-15	VYDAJ	VYBER	650	35586	\N	\N	\N
640036	2185	1997-12-18	VYDAJ	VYBER	850	39771	\N	\N	\N
640037	2185	1998-12-09	VYDAJ	VYBER	1150	26842	\N	\N	\N
640044	2185	1996-01-24	VYDAJ	VYBER	1200	20012	\N	\N	\N
640045	2185	1996-01-15	VYDAJ	VYBER	2080	26202	\N	\N	\N
640046	2185	1996-01-02	VYDAJ	VYBER	1600	26140	\N	\N	\N
640047	2185	1996-01-01	VYDAJ	VYBER	1520	27740	\N	\N	\N
640048	2185	1996-01-04	VYDAJ	VYBER	1120	25020	\N	\N	\N
640049	2185	1996-01-21	VYDAJ	VYBER	1440	24762	\N	\N	\N
640050	2185	1997-01-02	VYDAJ	VYBER	1920	30839	\N	\N	\N
640051	2185	1997-01-17	VYDAJ	VYBER	1840	25391	\N	\N	\N
640052	2185	1997-01-29	VYDAJ	VYBER	720	22031	\N	\N	\N
640053	2185	1997-01-13	VYDAJ	VYBER	1920	26915	\N	\N	\N
640054	2185	1997-01-21	VYDAJ	VYBER	1920	22751	\N	\N	\N
640055	2185	1997-01-19	VYDAJ	VYBER	720	24671	\N	\N	\N
640056	2185	1998-01-22	VYDAJ	VYBER	720	35659	\N	\N	\N
640057	2185	1998-01-30	VYDAJ	VYBER	1520	30779	\N	\N	\N
640058	2185	1998-01-09	VYDAJ	VYBER	1200	33117	\N	\N	\N
640059	2185	1998-01-06	VYDAJ	VYBER	1200	34317	\N	\N	\N
640060	2185	1998-01-23	VYDAJ	VYBER	560	35099	\N	\N	\N
640061	2185	1998-01-03	VYDAJ	VYBER	1600	35517	\N	\N	\N
640062	2185	1995-10-13	VYDAJ	VYBER	1280	23358	\N	\N	\N
640064	2185	1995-11-21	VYDAJ	VYBER	2560	29127	\N	\N	\N
640065	2185	1995-10-02	VYDAJ	VYBER	480	26642	\N	\N	\N
640067	2185	1996-02-12	VYDAJ	VYBER	1280	15212	\N	\N	\N
640068	2185	1996-01-29	VYDAJ	VYBER	1600	18412	\N	\N	\N
640069	2185	1996-05-11	VYDAJ	VYBER	2560	21531	\N	\N	\N
640070	2185	1996-12-30	VYDAJ	VYBER	2960	32626	\N	\N	\N
640071	2185	1996-02-21	VYDAJ	VYBER	2400	18078	\N	\N	\N
640072	2185	1996-03-13	VYDAJ	VYBER	720	15417	\N	\N	\N
640073	2185	1997-05-17	VYDAJ	VYBER	1680	25875	\N	\N	\N
640074	2185	1997-10-09	VYDAJ	VYBER	1120	30778	\N	\N	\N
640075	2185	1997-02-24	VYDAJ	VYBER	3920	21473	\N	\N	\N
640076	2185	1997-04-17	VYDAJ	VYBER	2560	25601	\N	\N	\N
640077	2185	1997-05-26	VYDAJ	VYBER	2320	23555	\N	\N	\N
640078	2185	1998-05-25	VYDAJ	VYBER	3200	34686	\N	\N	\N
640079	2185	1998-05-18	VYDAJ	VYBER	2880	37886	\N	\N	\N
640080	2185	1998-09-28	VYDAJ	VYBER	2000	27347	\N	\N	\N
640081	2185	1998-07-31	VYDAJ	VYBER	3920	22729	\N	\N	\N
640082	2185	1998-03-31	VYDAJ	VYBER	3280	34421	\N	\N	\N
640089	2185	1995-06-30	VYDAJ	VYBER	15	18984	SLUZBY	\N	\N
640090	2185	1995-07-31	VYDAJ	VYBER	15	22018	SLUZBY	\N	\N
640091	2185	1995-08-31	VYDAJ	VYBER	15	25365	SLUZBY	\N	\N
640092	2185	1995-09-30	VYDAJ	VYBER	15	27122	SLUZBY	\N	\N
640093	2185	1995-10-31	VYDAJ	VYBER	15	28725	SLUZBY	\N	\N
640094	2185	1995-11-30	VYDAJ	VYBER	15	29235	SLUZBY	\N	\N
640095	2185	1995-12-31	VYDAJ	VYBER	15	29260	SLUZBY	\N	\N
640096	2185	1996-01-31	VYDAJ	VYBER	15	18496	SLUZBY	\N	\N
640097	2185	1996-02-29	VYDAJ	VYBER	15	18141	SLUZBY	\N	\N
640098	2185	1996-03-31	VYDAJ	VYBER	15	20750	SLUZBY	\N	\N
640099	2185	1996-04-30	VYDAJ	VYBER	15	24091	SLUZBY	\N	\N
640100	2185	1996-05-31	VYDAJ	VYBER	15	24879	SLUZBY	\N	\N
640101	2185	1996-06-30	VYDAJ	VYBER	15	20629	SLUZBY	\N	\N
640102	2185	1996-07-31	VYDAJ	VYBER	15	23970	SLUZBY	\N	\N
640103	2185	1996-08-31	VYDAJ	VYBER	15	27325	SLUZBY	\N	\N
640104	2185	1996-09-30	VYDAJ	VYBER	15	30694	SLUZBY	\N	\N
640105	2185	1996-10-31	VYDAJ	VYBER	15	34077	SLUZBY	\N	\N
640106	2185	1996-11-30	VYDAJ	VYBER	15	37474	SLUZBY	\N	\N
640107	2185	1996-12-31	VYDAJ	VYBER	15	32759	SLUZBY	\N	\N
640108	2185	1997-01-31	VYDAJ	VYBER	15	22131	SLUZBY	\N	\N
640109	2185	1997-02-28	VYDAJ	VYBER	15	21554	SLUZBY	\N	\N
640110	2185	1997-03-31	VYDAJ	VYBER	15	24899	SLUZBY	\N	\N
640111	2185	1997-04-30	VYDAJ	VYBER	15	25693	SLUZBY	\N	\N
640112	2185	1997-05-31	VYDAJ	VYBER	15	23644	SLUZBY	\N	\N
640113	2185	1997-06-30	VYDAJ	VYBER	15	23597	SLUZBY	\N	\N
640114	2185	1997-07-31	VYDAJ	VYBER	15	26950	SLUZBY	\N	\N
640115	2185	1997-08-31	VYDAJ	VYBER	15	30317	SLUZBY	\N	\N
640116	2185	1997-09-30	VYDAJ	VYBER	15	33698	SLUZBY	\N	\N
640117	2185	1997-10-31	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
640118	2185	1997-11-30	VYDAJ	VYBER	15	37359	SLUZBY	\N	\N
640119	2185	1997-12-31	VYDAJ	VYBER	15	39917	SLUZBY	\N	\N
640120	2185	1998-01-31	VYDAJ	VYBER	15	30907	SLUZBY	\N	\N
640121	2185	1998-02-28	VYDAJ	VYBER	15	34290	SLUZBY	\N	\N
640122	2185	1998-03-31	VYDAJ	VYBER	15	34406	SLUZBY	\N	\N
640123	2185	1998-04-30	VYDAJ	VYBER	15	37804	SLUZBY	\N	\N
640124	2185	1998-05-31	VYDAJ	VYBER	15	34825	SLUZBY	\N	\N
640125	2185	1998-06-30	VYDAJ	VYBER	15	23298	SLUZBY	\N	\N
640126	2185	1998-07-31	VYDAJ	VYBER	15	26649	SLUZBY	\N	\N
640127	2185	1998-08-31	VYDAJ	VYBER	15	26085	SLUZBY	\N	\N
640128	2185	1998-09-30	VYDAJ	VYBER	15	27446	SLUZBY	\N	\N
640129	2185	1998-10-31	VYDAJ	VYBER	15	30314	SLUZBY	\N	\N
640130	2185	1998-11-30	VYDAJ	VYBER	15	27992	SLUZBY	\N	\N
640131	2185	1995-07-17	VYDAJ	VYBER	300	21946	\N	\N	\N
640132	2185	1995-09-15	VYDAJ	VYBER	1600	27027	\N	\N	\N
640133	2185	1995-11-14	VYDAJ	VYBER	300	31687	\N	\N	\N
640134	2185	1995-12-14	VYDAJ	VYBER	3000	29147	\N	\N	\N
640135	2185	1996-12-08	VYDAJ	VYBER	4500	32974	\N	\N	\N
640136	2185	1997-05-07	VYDAJ	VYBER	1400	24293	\N	\N	\N
640137	2185	1997-10-04	VYDAJ	VYBER	1800	31898	\N	\N	\N
640138	2185	1997-11-03	VYDAJ	VYBER	200	33963	\N	\N	\N
640139	2185	1998-01-02	VYDAJ	VYBER	2800	37117	\N	\N	\N
640140	2185	1998-05-02	VYDAJ	VYBER	300	37504	\N	\N	\N
640141	2185	1998-06-01	VYDAJ	VYBER	2300	32525	\N	\N	\N
640142	2185	1998-10-29	VYDAJ	VYBER	500	30208	\N	\N	\N
640143	2185	1998-11-28	VYDAJ	VYBER	5700	27876	\N	\N	\N
640187	2186	1993-07-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
640194	2186	1993-07-11	PRIJEM	PREVOD Z UCTU	5492	6492	DUCHOD	UV	28264111
640195	2186	1993-08-11	PRIJEM	PREVOD Z UCTU	5492	12002	DUCHOD	UV	28264111
640196	2186	1993-09-11	PRIJEM	PREVOD Z UCTU	5492	17521	DUCHOD	UV	28264111
640197	2186	1993-10-11	PRIJEM	PREVOD Z UCTU	5492	23040	DUCHOD	UV	28264111
640198	2186	1993-11-11	PRIJEM	PREVOD Z UCTU	5492	28560	DUCHOD	UV	28264111
640199	2186	1993-12-11	PRIJEM	PREVOD Z UCTU	5492	31528	DUCHOD	UV	28264111
640200	2186	1994-01-11	PRIJEM	PREVOD Z UCTU	5492	24539	DUCHOD	UV	28264111
640201	2186	1994-02-11	PRIJEM	PREVOD Z UCTU	5492	23264	DUCHOD	UV	28264111
640202	2186	1994-03-11	PRIJEM	PREVOD Z UCTU	5492	23659	DUCHOD	UV	28264111
640203	2186	1994-04-11	PRIJEM	PREVOD Z UCTU	5492	26943	DUCHOD	UV	28264111
640204	2186	1994-05-11	PRIJEM	PREVOD Z UCTU	5492	27830	DUCHOD	UV	28264111
640205	2186	1994-06-11	PRIJEM	PREVOD Z UCTU	5492	28626	DUCHOD	UV	28264111
640206	2186	1994-07-11	PRIJEM	PREVOD Z UCTU	5492	19253	DUCHOD	UV	28264111
640207	2186	1994-08-11	PRIJEM	PREVOD Z UCTU	5492	21073	DUCHOD	UV	28264111
640208	2186	1994-09-11	PRIJEM	PREVOD Z UCTU	5492	23784	DUCHOD	UV	28264111
640209	2186	1994-10-11	PRIJEM	PREVOD Z UCTU	5492	27065	DUCHOD	UV	28264111
640210	2186	1994-11-11	PRIJEM	PREVOD Z UCTU	5492	30357	DUCHOD	UV	28264111
640211	2186	1994-12-11	PRIJEM	PREVOD Z UCTU	5492	29862	DUCHOD	UV	28264111
640212	2186	1995-01-11	PRIJEM	PREVOD Z UCTU	5492	29243	DUCHOD	UV	28264111
640213	2186	1995-02-11	PRIJEM	PREVOD Z UCTU	5492	26497	DUCHOD	UV	28264111
640214	2186	1995-03-11	PRIJEM	PREVOD Z UCTU	5492	29786	DUCHOD	UV	28264111
640215	2186	1995-04-11	PRIJEM	PREVOD Z UCTU	5492	30807	DUCHOD	UV	28264111
640216	2186	1995-05-11	PRIJEM	PREVOD Z UCTU	5492	31414	DUCHOD	UV	28264111
640217	2186	1995-06-11	PRIJEM	PREVOD Z UCTU	5492	27261	DUCHOD	UV	28264111
640218	2186	1995-07-11	PRIJEM	PREVOD Z UCTU	5492	20137	DUCHOD	UV	28264111
640219	2186	1995-08-11	PRIJEM	PREVOD Z UCTU	5492	23400	DUCHOD	UV	28264111
640220	2186	1995-09-11	PRIJEM	PREVOD Z UCTU	5492	23255	DUCHOD	UV	28264111
640221	2186	1995-10-11	PRIJEM	PREVOD Z UCTU	5492	24291	DUCHOD	UV	28264111
640222	2186	1995-11-11	PRIJEM	PREVOD Z UCTU	5492	27576	DUCHOD	UV	28264111
640223	2186	1995-12-11	PRIJEM	PREVOD Z UCTU	5492	30870	DUCHOD	UV	28264111
640224	2186	1996-01-11	PRIJEM	PREVOD Z UCTU	5492	28585	DUCHOD	UV	28264111
640225	2186	1996-02-11	PRIJEM	PREVOD Z UCTU	5492	22328	DUCHOD	UV	28264111
640226	2186	1996-03-11	PRIJEM	PREVOD Z UCTU	5492	25599	DUCHOD	UV	28264111
640227	2186	1996-04-11	PRIJEM	PREVOD Z UCTU	5492	27683	DUCHOD	UV	28264111
640228	2186	1996-05-11	PRIJEM	PREVOD Z UCTU	5492	27697	DUCHOD	UV	28264111
640229	2186	1996-06-11	PRIJEM	PREVOD Z UCTU	5492	30997	DUCHOD	UV	28264111
640230	2186	1996-07-11	PRIJEM	PREVOD Z UCTU	5492	23265	DUCHOD	UV	28264111
640231	2186	1996-08-11	PRIJEM	PREVOD Z UCTU	5492	25740	DUCHOD	UV	28264111
640232	2186	1996-09-11	PRIJEM	PREVOD Z UCTU	5492	29025	DUCHOD	UV	28264111
640233	2186	1996-10-11	PRIJEM	PREVOD Z UCTU	5492	29119	DUCHOD	UV	28264111
640234	2186	1996-11-11	PRIJEM	PREVOD Z UCTU	5492	32418	DUCHOD	UV	28264111
640235	2186	1996-12-11	PRIJEM	PREVOD Z UCTU	5492	31824	DUCHOD	UV	28264111
640236	2186	1997-01-11	PRIJEM	PREVOD Z UCTU	5492	32414	DUCHOD	UV	28264111
640237	2186	1997-02-11	PRIJEM	PREVOD Z UCTU	5492	25094	DUCHOD	UV	28264111
640238	2186	1997-03-11	PRIJEM	PREVOD Z UCTU	5492	24448	DUCHOD	UV	28264111
640239	2186	1997-04-11	PRIJEM	PREVOD Z UCTU	5492	27727	DUCHOD	UV	28264111
640240	2186	1997-05-11	PRIJEM	PREVOD Z UCTU	5492	31021	DUCHOD	UV	28264111
640241	2186	1997-06-11	PRIJEM	PREVOD Z UCTU	5492	34127	DUCHOD	UV	28264111
640242	2186	1997-07-11	PRIJEM	PREVOD Z UCTU	5492	32036	DUCHOD	UV	28264111
640243	2186	1997-08-11	PRIJEM	PREVOD Z UCTU	5492	34345	DUCHOD	UV	28264111
640244	2186	1997-09-11	PRIJEM	PREVOD Z UCTU	5492	34439	DUCHOD	UV	28264111
640245	2186	1997-10-11	PRIJEM	PREVOD Z UCTU	5492	30843	DUCHOD	UV	28264111
640246	2186	1997-11-11	PRIJEM	PREVOD Z UCTU	5492	28449	DUCHOD	UV	28264111
640247	2186	1997-12-11	PRIJEM	PREVOD Z UCTU	5492	24628	DUCHOD	UV	28264111
640248	2186	1998-01-11	PRIJEM	PREVOD Z UCTU	5492	21243	DUCHOD	UV	28264111
640249	2186	1998-02-11	PRIJEM	PREVOD Z UCTU	5492	21463	DUCHOD	UV	28264111
640250	2186	1998-03-11	PRIJEM	PREVOD Z UCTU	5492	20723	DUCHOD	UV	28264111
640251	2186	1998-04-11	PRIJEM	PREVOD Z UCTU	5492	23986	DUCHOD	UV	28264111
640252	2186	1998-05-11	PRIJEM	PREVOD Z UCTU	5492	27263	DUCHOD	UV	28264111
640253	2186	1998-06-11	PRIJEM	PREVOD Z UCTU	5492	23261	DUCHOD	UV	28264111
640254	2186	1998-07-11	PRIJEM	PREVOD Z UCTU	5492	23771	DUCHOD	UV	28264111
640255	2186	1998-08-11	PRIJEM	PREVOD Z UCTU	5492	27047	DUCHOD	UV	28264111
640256	2186	1998-09-11	PRIJEM	PREVOD Z UCTU	5492	28096	DUCHOD	UV	28264111
640257	2186	1998-10-11	PRIJEM	PREVOD Z UCTU	5492	28995	DUCHOD	UV	28264111
640258	2186	1998-11-11	PRIJEM	PREVOD Z UCTU	5492	29009	DUCHOD	UV	28264111
640259	2186	1998-12-11	PRIJEM	PREVOD Z UCTU	5492	31456	DUCHOD	UV	28264111
640270	2186	1993-11-14	VYDAJ	PREVOD NA UCET	2283	26277	SIPO	ST	33835828
640271	2186	1993-12-14	VYDAJ	PREVOD NA UCET	2283	29245	SIPO	ST	33835828
640272	2186	1994-01-14	VYDAJ	PREVOD NA UCET	2283	22256	SIPO	ST	33835828
640273	2186	1994-02-14	VYDAJ	PREVOD NA UCET	2283	20981	SIPO	ST	33835828
640274	2186	1994-03-14	VYDAJ	PREVOD NA UCET	2283	21376	SIPO	ST	33835828
640275	2186	1994-04-14	VYDAJ	PREVOD NA UCET	2283	24660	SIPO	ST	33835828
640276	2186	1994-05-14	VYDAJ	PREVOD NA UCET	2283	25547	SIPO	ST	33835828
640277	2186	1994-06-14	VYDAJ	PREVOD NA UCET	2283	26343	SIPO	ST	33835828
640278	2186	1994-07-14	VYDAJ	PREVOD NA UCET	2283	16970	SIPO	ST	33835828
640279	2186	1994-08-14	VYDAJ	PREVOD NA UCET	2283	18790	SIPO	ST	33835828
640280	2186	1994-09-14	VYDAJ	PREVOD NA UCET	2283	21501	SIPO	ST	33835828
640281	2186	1994-10-14	VYDAJ	PREVOD NA UCET	2283	24782	SIPO	ST	33835828
640282	2186	1994-11-14	VYDAJ	PREVOD NA UCET	2283	28074	SIPO	ST	33835828
640283	2186	1994-12-14	VYDAJ	PREVOD NA UCET	2283	27579	SIPO	ST	33835828
640284	2186	1995-01-14	VYDAJ	PREVOD NA UCET	2283	24920	SIPO	ST	33835828
640285	2186	1995-02-14	VYDAJ	PREVOD NA UCET	2283	24214	SIPO	ST	33835828
640286	2186	1995-03-14	VYDAJ	PREVOD NA UCET	2283	27503	SIPO	ST	33835828
640287	2186	1995-04-14	VYDAJ	PREVOD NA UCET	2283	28524	SIPO	ST	33835828
640288	2186	1995-05-14	VYDAJ	PREVOD NA UCET	2283	29131	SIPO	ST	33835828
640289	2186	1995-06-14	VYDAJ	PREVOD NA UCET	2283	24978	SIPO	ST	33835828
640290	2186	1995-07-14	VYDAJ	PREVOD NA UCET	2283	17854	SIPO	ST	33835828
640291	2186	1995-08-14	VYDAJ	PREVOD NA UCET	2283	21117	SIPO	ST	33835828
640292	2186	1995-09-14	VYDAJ	PREVOD NA UCET	2283	20972	SIPO	ST	33835828
640293	2186	1995-10-14	VYDAJ	PREVOD NA UCET	2283	22008	SIPO	ST	33835828
640294	2186	1995-11-14	VYDAJ	PREVOD NA UCET	2283	25293	SIPO	ST	33835828
640295	2186	1995-12-14	VYDAJ	PREVOD NA UCET	2283	27637	SIPO	ST	33835828
640296	2186	1996-01-14	VYDAJ	PREVOD NA UCET	2283	25822	SIPO	ST	33835828
640297	2186	1996-02-14	VYDAJ	PREVOD NA UCET	2283	20045	SIPO	ST	33835828
640298	2186	1996-03-14	VYDAJ	PREVOD NA UCET	2283	23316	SIPO	ST	33835828
640299	2186	1996-04-14	VYDAJ	PREVOD NA UCET	2283	25400	SIPO	ST	33835828
640300	2186	1996-05-14	VYDAJ	PREVOD NA UCET	2283	25414	SIPO	ST	33835828
640301	2186	1996-06-14	VYDAJ	PREVOD NA UCET	2283	25994	SIPO	ST	33835828
640302	2186	1996-07-14	VYDAJ	PREVOD NA UCET	2283	20982	SIPO	ST	33835828
640303	2186	1996-08-14	VYDAJ	PREVOD NA UCET	2283	23457	SIPO	ST	33835828
640304	2186	1996-09-14	VYDAJ	PREVOD NA UCET	2283	26742	SIPO	ST	33835828
640305	2186	1996-10-14	VYDAJ	PREVOD NA UCET	2283	26836	SIPO	ST	33835828
640306	2186	1996-11-14	VYDAJ	PREVOD NA UCET	2283	30135	SIPO	ST	33835828
640307	2186	1996-12-14	VYDAJ	PREVOD NA UCET	2283	29541	SIPO	ST	33835828
640308	2186	1997-01-14	VYDAJ	PREVOD NA UCET	2283	28211	SIPO	ST	33835828
640309	2186	1997-02-14	VYDAJ	PREVOD NA UCET	2283	18891	SIPO	ST	33835828
640310	2186	1997-03-14	VYDAJ	PREVOD NA UCET	2283	22165	SIPO	ST	33835828
640311	2186	1997-04-14	VYDAJ	PREVOD NA UCET	2283	25444	SIPO	ST	33835828
640312	2186	1997-05-14	VYDAJ	PREVOD NA UCET	2283	28738	SIPO	ST	33835828
640313	2186	1997-06-14	VYDAJ	PREVOD NA UCET	2283	31844	SIPO	ST	33835828
640314	2186	1997-07-14	VYDAJ	PREVOD NA UCET	2283	29753	SIPO	ST	33835828
640315	2186	1997-08-14	VYDAJ	PREVOD NA UCET	2283	32062	SIPO	ST	33835828
640316	2186	1997-09-14	VYDAJ	PREVOD NA UCET	2283	32156	SIPO	ST	33835828
640317	2186	1997-10-14	VYDAJ	PREVOD NA UCET	2283	28560	SIPO	ST	33835828
640318	2186	1997-11-14	VYDAJ	PREVOD NA UCET	2283	19066	SIPO	ST	33835828
640319	2186	1997-12-14	VYDAJ	PREVOD NA UCET	2283	15695	SIPO	ST	33835828
640320	2186	1998-01-14	VYDAJ	PREVOD NA UCET	2283	15920	SIPO	ST	33835828
640321	2186	1998-02-14	VYDAJ	PREVOD NA UCET	2283	15180	SIPO	ST	33835828
640322	2186	1998-03-14	VYDAJ	PREVOD NA UCET	2283	18440	SIPO	ST	33835828
640323	2186	1998-04-14	VYDAJ	PREVOD NA UCET	2283	21703	SIPO	ST	33835828
640324	2186	1998-05-14	VYDAJ	PREVOD NA UCET	2283	20980	SIPO	ST	33835828
640325	2186	1998-06-14	VYDAJ	PREVOD NA UCET	2283	20778	SIPO	ST	33835828
640326	2186	1998-07-14	VYDAJ	PREVOD NA UCET	2283	21488	SIPO	ST	33835828
640327	2186	1998-08-14	VYDAJ	PREVOD NA UCET	2283	24764	SIPO	ST	33835828
640328	2186	1998-09-14	VYDAJ	PREVOD NA UCET	2283	25813	SIPO	ST	33835828
640329	2186	1998-10-14	VYDAJ	PREVOD NA UCET	2283	23432	SIPO	ST	33835828
640330	2186	1998-11-14	VYDAJ	PREVOD NA UCET	2283	26726	SIPO	ST	33835828
640331	2186	1998-12-14	VYDAJ	PREVOD NA UCET	2283	29173	SIPO	ST	33835828
640333	2186	1994-06-16	VYDAJ	VYBER	12650	13693	\N	\N	\N
640334	2186	1995-06-15	VYDAJ	VYBER	10400	14578	\N	\N	\N
640335	2186	1996-06-17	VYDAJ	VYBER	7900	18094	\N	\N	\N
640339	2186	1994-01-07	VYDAJ	VYBER	3800	20247	\N	\N	\N
640340	2186	1995-01-11	VYDAJ	VYBER	1000	27203	\N	\N	\N
640341	2186	1996-01-17	VYDAJ	VYBER	4900	17802	\N	\N	\N
640342	2186	1997-01-24	VYDAJ	VYBER	700	23671	\N	\N	\N
640344	2186	1993-12-03	VYDAJ	VYBER	300	26036	\N	\N	\N
640345	2186	1994-12-21	VYDAJ	VYBER	500	27079	\N	\N	\N
640346	2186	1995-12-12	VYDAJ	VYBER	950	29920	\N	\N	\N
640347	2186	1996-12-23	VYDAJ	VYBER	1200	28341	\N	\N	\N
640348	2186	1997-12-11	VYDAJ	VYBER	650	23978	\N	\N	\N
640349	2186	1998-12-02	VYDAJ	VYBER	850	25964	\N	\N	\N
640356	2186	1994-01-04	VYDAJ	VYBER	400	24047	\N	\N	\N
640357	2186	1994-01-28	VYDAJ	VYBER	1120	19296	\N	\N	\N
640358	2186	1994-01-07	VYDAJ	VYBER	1200	19047	\N	\N	\N
640359	2186	1994-01-15	VYDAJ	VYBER	1440	20816	\N	\N	\N
640360	2186	1994-01-21	VYDAJ	VYBER	400	20416	\N	\N	\N
640361	2186	1994-01-30	VYDAJ	VYBER	1600	17696	\N	\N	\N
640362	2186	1995-01-27	VYDAJ	VYBER	1600	20920	\N	\N	\N
640363	2186	1995-01-01	VYDAJ	VYBER	720	23751	\N	\N	\N
640364	2186	1995-01-11	VYDAJ	VYBER	1040	28203	\N	\N	\N
640365	2186	1995-01-16	VYDAJ	VYBER	480	23960	\N	\N	\N
640366	2186	1995-01-23	VYDAJ	VYBER	1440	22520	\N	\N	\N
640367	2186	1995-01-15	VYDAJ	VYBER	480	24440	\N	\N	\N
640368	2186	1996-01-20	VYDAJ	VYBER	1040	16762	\N	\N	\N
640369	2186	1996-01-05	VYDAJ	VYBER	1920	23093	\N	\N	\N
640370	2186	1996-01-01	VYDAJ	VYBER	2320	25013	\N	\N	\N
640371	2186	1996-01-13	VYDAJ	VYBER	480	28105	\N	\N	\N
640372	2186	1996-01-16	VYDAJ	VYBER	2080	22702	\N	\N	\N
640373	2186	1996-01-15	VYDAJ	VYBER	1040	24782	\N	\N	\N
640374	2186	1997-01-16	VYDAJ	VYBER	1280	26931	\N	\N	\N
640375	2186	1997-01-22	VYDAJ	VYBER	720	24371	\N	\N	\N
640376	2186	1997-01-27	VYDAJ	VYBER	1920	19511	\N	\N	\N
640377	2186	1997-01-24	VYDAJ	VYBER	1280	22391	\N	\N	\N
640378	2186	1997-01-12	VYDAJ	VYBER	1920	30494	\N	\N	\N
640379	2186	1997-01-03	VYDAJ	VYBER	1520	26922	\N	\N	\N
640381	2186	1998-01-11	VYDAJ	VYBER	1600	19643	\N	\N	\N
640382	2186	1998-01-11	VYDAJ	VYBER	1440	18203	\N	\N	\N
640386	2186	1993-12-24	VYDAJ	VYBER	1600	27645	\N	\N	\N
640392	2186	1994-09-07	VYDAJ	VYBER	560	18292	\N	\N	\N
640393	2186	1994-03-09	VYDAJ	VYBER	2880	18167	\N	\N	\N
640394	2186	1994-08-03	VYDAJ	VYBER	1440	15581	\N	\N	\N
640395	2186	1994-04-19	VYDAJ	VYBER	2400	22260	\N	\N	\N
640396	2186	1995-10-09	VYDAJ	VYBER	2240	18799	\N	\N	\N
640397	2186	1995-08-29	VYDAJ	VYBER	3120	17697	\N	\N	\N
640399	2186	1995-03-21	VYDAJ	VYBER	480	27023	\N	\N	\N
640400	2186	1995-05-31	VYDAJ	VYBER	3760	21769	\N	\N	\N
640401	2186	1996-03-21	VYDAJ	VYBER	1200	22116	\N	\N	\N
640402	2186	1996-06-25	VYDAJ	VYBER	400	17694	\N	\N	\N
640403	2186	1996-06-11	VYDAJ	VYBER	2720	28277	\N	\N	\N
640404	2186	1996-05-06	VYDAJ	VYBER	3280	22205	\N	\N	\N
640405	2186	1996-07-26	VYDAJ	VYBER	800	20182	\N	\N	\N
640406	2186	1996-09-18	VYDAJ	VYBER	3200	23542	\N	\N	\N
640407	2186	1997-02-12	VYDAJ	VYBER	3920	21174	\N	\N	\N
640408	2186	1997-08-17	VYDAJ	VYBER	1120	28842	\N	\N	\N
640409	2186	1997-01-16	VYDAJ	VYBER	1840	25091	\N	\N	\N
640410	2186	1997-01-25	VYDAJ	VYBER	960	21431	\N	\N	\N
640412	2186	1998-09-04	VYDAJ	VYBER	2240	22604	\N	\N	\N
640415	2186	1998-10-13	VYDAJ	VYBER	3280	25715	\N	\N	\N
640416	2186	1998-05-25	VYDAJ	VYBER	3280	17700	\N	\N	\N
640418	2186	1998-06-15	VYDAJ	VYBER	2560	18218	\N	\N	\N
640430	2186	1993-11-30	VYDAJ	VYBER	15	26336	SLUZBY	\N	\N
640431	2186	1993-12-31	VYDAJ	VYBER	15	27747	SLUZBY	\N	\N
640432	2186	1994-01-31	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
640433	2186	1994-02-28	VYDAJ	VYBER	15	21047	SLUZBY	\N	\N
640434	2186	1994-03-31	VYDAJ	VYBER	15	21451	SLUZBY	\N	\N
640435	2186	1994-04-30	VYDAJ	VYBER	15	22338	SLUZBY	\N	\N
640436	2186	1994-05-31	VYDAJ	VYBER	15	25634	SLUZBY	\N	\N
640437	2186	1994-06-30	VYDAJ	VYBER	15	13761	SLUZBY	\N	\N
640438	2186	1994-07-31	VYDAJ	VYBER	15	17021	SLUZBY	\N	\N
640439	2186	1994-08-31	VYDAJ	VYBER	15	18852	SLUZBY	\N	\N
640440	2186	1994-09-30	VYDAJ	VYBER	15	21573	SLUZBY	\N	\N
640441	2186	1994-10-31	VYDAJ	VYBER	15	24865	SLUZBY	\N	\N
640442	2186	1994-11-30	VYDAJ	VYBER	15	24370	SLUZBY	\N	\N
640443	2186	1994-12-31	VYDAJ	VYBER	15	24471	SLUZBY	\N	\N
640444	2186	1995-01-31	VYDAJ	VYBER	15	21005	SLUZBY	\N	\N
640445	2186	1995-02-28	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
640446	2186	1995-03-31	VYDAJ	VYBER	15	25315	SLUZBY	\N	\N
640447	2186	1995-04-30	VYDAJ	VYBER	15	25922	SLUZBY	\N	\N
640448	2186	1995-05-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
640449	2186	1995-06-30	VYDAJ	VYBER	15	14645	SLUZBY	\N	\N
640450	2186	1995-07-31	VYDAJ	VYBER	15	17908	SLUZBY	\N	\N
640451	2186	1995-08-31	VYDAJ	VYBER	15	17763	SLUZBY	\N	\N
640452	2186	1995-09-30	VYDAJ	VYBER	15	21039	SLUZBY	\N	\N
640453	2186	1995-10-31	VYDAJ	VYBER	15	22084	SLUZBY	\N	\N
640454	2186	1995-11-30	VYDAJ	VYBER	15	25378	SLUZBY	\N	\N
640455	2186	1995-12-31	VYDAJ	VYBER	15	27333	SLUZBY	\N	\N
640456	2186	1996-01-31	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
640457	2186	1996-02-29	VYDAJ	VYBER	15	20107	SLUZBY	\N	\N
640458	2186	1996-03-31	VYDAJ	VYBER	15	22191	SLUZBY	\N	\N
640459	2186	1996-04-30	VYDAJ	VYBER	15	25485	SLUZBY	\N	\N
640460	2186	1996-05-31	VYDAJ	VYBER	15	25505	SLUZBY	\N	\N
640461	2186	1996-06-30	VYDAJ	VYBER	15	17773	SLUZBY	\N	\N
640462	2186	1996-07-31	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
640463	2186	1996-08-31	VYDAJ	VYBER	15	23533	SLUZBY	\N	\N
640464	2186	1996-09-30	VYDAJ	VYBER	15	23627	SLUZBY	\N	\N
640465	2186	1996-10-31	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
640466	2186	1996-11-30	VYDAJ	VYBER	15	26332	SLUZBY	\N	\N
640467	2186	1996-12-31	VYDAJ	VYBER	15	28442	SLUZBY	\N	\N
640468	2186	1997-01-31	VYDAJ	VYBER	15	19602	SLUZBY	\N	\N
640469	2186	1997-02-28	VYDAJ	VYBER	15	18956	SLUZBY	\N	\N
640470	2186	1997-03-31	VYDAJ	VYBER	15	22235	SLUZBY	\N	\N
640471	2186	1997-04-30	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
640472	2186	1997-05-31	VYDAJ	VYBER	15	28635	SLUZBY	\N	\N
640473	2186	1997-06-30	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
640474	2186	1997-07-31	VYDAJ	VYBER	15	28853	SLUZBY	\N	\N
640475	2186	1997-08-31	VYDAJ	VYBER	15	28947	SLUZBY	\N	\N
640476	2186	1997-09-30	VYDAJ	VYBER	15	25351	SLUZBY	\N	\N
640477	2186	1997-10-31	VYDAJ	VYBER	15	22957	SLUZBY	\N	\N
640478	2186	1997-11-30	VYDAJ	VYBER	15	19136	SLUZBY	\N	\N
640479	2186	1997-12-31	VYDAJ	VYBER	15	15751	SLUZBY	\N	\N
640480	2186	1998-01-31	VYDAJ	VYBER	15	15971	SLUZBY	\N	\N
640481	2186	1998-02-28	VYDAJ	VYBER	15	15231	SLUZBY	\N	\N
640482	2186	1998-03-31	VYDAJ	VYBER	15	18494	SLUZBY	\N	\N
640483	2186	1998-04-30	VYDAJ	VYBER	15	21771	SLUZBY	\N	\N
640484	2186	1998-05-31	VYDAJ	VYBER	15	17769	SLUZBY	\N	\N
640485	2186	1998-06-30	VYDAJ	VYBER	15	18279	SLUZBY	\N	\N
640486	2186	1998-07-31	VYDAJ	VYBER	15	21555	SLUZBY	\N	\N
640487	2186	1998-08-31	VYDAJ	VYBER	15	24844	SLUZBY	\N	\N
640488	2186	1998-09-30	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
640489	2186	1998-10-31	VYDAJ	VYBER	15	23517	SLUZBY	\N	\N
640490	2186	1998-11-30	VYDAJ	VYBER	15	26814	SLUZBY	\N	\N
640491	2186	1994-01-03	VYDAJ	VYBER	3300	24447	\N	\N	\N
640492	2186	1994-06-02	VYDAJ	VYBER	2500	23134	\N	\N	\N
640493	2186	1994-11-29	VYDAJ	VYBER	3800	24274	\N	\N	\N
640494	2186	1994-12-29	VYDAJ	VYBER	2700	24379	\N	\N	\N
640495	2186	1995-03-29	VYDAJ	VYBER	1800	25223	\N	\N	\N
640496	2186	1995-04-28	VYDAJ	VYBER	2700	25824	\N	\N	\N
640497	2186	1995-05-28	VYDAJ	VYBER	3700	25431	\N	\N	\N
640498	2186	1995-08-26	VYDAJ	VYBER	300	20817	\N	\N	\N
640499	2186	1995-12-24	VYDAJ	VYBER	400	27237	\N	\N	\N
640500	2186	1996-11-18	VYDAJ	VYBER	3900	26235	\N	\N	\N
640501	2186	1997-05-17	VYDAJ	VYBER	200	28538	\N	\N	\N
640502	2186	1997-06-16	VYDAJ	VYBER	5400	26444	\N	\N	\N
640503	2186	1997-07-16	VYDAJ	VYBER	1000	28753	\N	\N	\N
640504	2186	1997-08-15	VYDAJ	VYBER	2100	29962	\N	\N	\N
640505	2186	1997-09-14	VYDAJ	VYBER	6900	25256	\N	\N	\N
640506	2186	1997-10-14	VYDAJ	VYBER	5700	22860	\N	\N	\N
640507	2186	1997-11-13	VYDAJ	VYBER	7100	21349	\N	\N	\N
640508	2186	1997-12-13	VYDAJ	VYBER	6000	17978	\N	\N	\N
640509	2186	1998-02-11	VYDAJ	VYBER	4000	17463	\N	\N	\N
640510	2186	1998-05-12	VYDAJ	VYBER	4000	23263	\N	\N	\N
640511	2186	1998-06-11	VYDAJ	VYBER	200	23061	\N	\N	\N
640512	2186	1998-10-09	VYDAJ	VYBER	2400	23503	\N	\N	\N
640579	2187	1996-02-26	PRIJEM	VKLAD	300	300	\N	\N	\N
640580	2187	1996-07-14	PRIJEM	VKLAD	38134	72431	\N	\N	\N
640581	2187	1996-08-16	PRIJEM	VKLAD	35001	82039	\N	\N	\N
640582	2187	1996-03-01	PRIJEM	VKLAD	44567	44867	\N	\N	\N
640585	2187	1996-12-09	PRIJEM	VKLAD	32406	99632	\N	\N	\N
640588	2187	1996-11-01	PRIJEM	VKLAD	21596	64436	\N	\N	\N
640589	2187	1996-12-13	PRIJEM	VKLAD	12112	111744	\N	\N	\N
640590	2187	1996-07-18	PRIJEM	VKLAD	27097	99528	\N	\N	\N
640591	2187	1996-06-09	PRIJEM	VKLAD	7498	62073	\N	\N	\N
640592	2187	1996-11-23	PRIJEM	VKLAD	38496	83932	\N	\N	\N
640593	2187	1996-05-02	PRIJEM	VKLAD	46477	172963	\N	\N	\N
640594	2187	1996-08-19	PRIJEM	VKLAD	41810	102951	\N	\N	\N
640595	2187	1996-12-20	PRIJEM	VKLAD	8829	67873	\N	\N	\N
640596	2187	1996-04-29	PRIJEM	VKLAD	40679	78737	\N	\N	\N
640598	2187	1996-05-22	PRIJEM	VKLAD	26130	125393	\N	\N	\N
640600	2187	1996-05-02	PRIJEM	VKLAD	47593	126486	\N	\N	\N
640602	2187	1996-04-20	PRIJEM	VKLAD	25168	59158	\N	\N	\N
640604	2187	1996-10-27	PRIJEM	VKLAD	23137	45832	\N	\N	\N
640605	2187	1996-05-26	PRIJEM	VKLAD	47247	129240	\N	\N	\N
640606	2187	1997-11-13	PRIJEM	VKLAD	42047	113704	\N	\N	\N
640607	2187	1997-08-16	PRIJEM	VKLAD	8296	79544	\N	\N	\N
640608	2187	1997-12-13	PRIJEM	VKLAD	45650	102421	\N	\N	\N
640609	2187	1997-12-21	PRIJEM	VKLAD	9369	75290	\N	\N	\N
640610	2187	1997-05-27	PRIJEM	VKLAD	43118	78679	\N	\N	\N
640611	2187	1997-11-04	PRIJEM	VKLAD	11829	76113	\N	\N	\N
640612	2187	1997-07-31	PRIJEM	VKLAD	22479	61201	\N	\N	\N
640613	2187	1997-08-09	PRIJEM	VKLAD	26050	87221	\N	\N	\N
640614	2187	1997-12-11	PRIJEM	VKLAD	15222	61227	\N	\N	\N
640615	2187	1997-07-20	PRIJEM	VKLAD	48562	113903	\N	\N	\N
640616	2187	1997-04-10	PRIJEM	VKLAD	18252	43815	\N	\N	\N
640617	2187	1997-09-23	PRIJEM	VKLAD	34632	86393	\N	\N	\N
640618	2187	1997-01-31	PRIJEM	VKLAD	17091	76036	\N	\N	\N
640619	2187	1997-01-04	PRIJEM	VKLAD	17089	64354	\N	\N	\N
640620	2187	1997-05-16	PRIJEM	VKLAD	20334	46661	\N	\N	\N
640621	2187	1997-06-05	PRIJEM	VKLAD	11406	90231	\N	\N	\N
640622	2187	1997-07-16	PRIJEM	VKLAD	15349	65341	\N	\N	\N
640623	2187	1997-09-28	PRIJEM	VKLAD	22023	108416	\N	\N	\N
640624	2187	1997-08-11	PRIJEM	VKLAD	25233	112454	\N	\N	\N
640625	2187	1997-04-17	PRIJEM	VKLAD	14930	44345	\N	\N	\N
640626	2187	1997-09-06	PRIJEM	VKLAD	42011	80461	\N	\N	\N
640627	2187	1997-01-17	PRIJEM	VKLAD	36491	96145	\N	\N	\N
640628	2187	1997-08-13	PRIJEM	VKLAD	16094	74348	\N	\N	\N
640629	2187	1998-09-16	PRIJEM	VKLAD	47386	115878	\N	\N	\N
640630	2187	1998-03-19	PRIJEM	VKLAD	5617	42897	\N	\N	\N
640631	2187	1998-07-23	PRIJEM	VKLAD	26225	71984	\N	\N	\N
640632	2187	1998-07-04	PRIJEM	VKLAD	22962	73615	\N	\N	\N
640633	2187	1998-01-05	PRIJEM	VKLAD	27488	100622	\N	\N	\N
640634	2187	1998-12-23	PRIJEM	VKLAD	35761	137378	\N	\N	\N
640635	2187	1998-12-02	PRIJEM	VKLAD	20538	116820	\N	\N	\N
640636	2187	1998-12-15	PRIJEM	VKLAD	43897	101617	\N	\N	\N
640637	2187	1998-10-18	PRIJEM	VKLAD	9937	70273	\N	\N	\N
640638	2187	1998-08-20	PRIJEM	VKLAD	49053	109957	\N	\N	\N
640639	2187	1998-01-25	PRIJEM	VKLAD	16462	67822	\N	\N	\N
640640	2187	1998-06-27	PRIJEM	VKLAD	18856	50497	\N	\N	\N
640641	2187	1998-08-04	PRIJEM	VKLAD	24373	96560	\N	\N	\N
640642	2187	1998-11-22	PRIJEM	VKLAD	42263	96014	\N	\N	\N
640643	2187	1998-06-07	PRIJEM	VKLAD	29926	57784	\N	\N	\N
640648	2187	1996-05-02	VYDAJ	VYBER	4800	139963	\N	\N	0
640649	2187	1996-06-05	VYDAJ	VYBER	4100	54575	\N	\N	0
640650	2187	1996-07-03	VYDAJ	VYBER	5100	34297	\N	\N	0
640651	2187	1996-08-28	VYDAJ	VYBER	4100	62451	\N	\N	0
640652	2187	1996-09-20	VYDAJ	VYBER	3500	59186	\N	\N	0
640653	2187	1996-10-04	VYDAJ	VYBER	2900	40495	\N	\N	0
640654	2187	1996-10-28	VYDAJ	VYBER	3100	42732	\N	\N	0
640655	2187	1996-12-07	VYDAJ	VYBER	3400	67226	\N	\N	0
640656	2187	1997-01-07	VYDAJ	VYBER	4700	59654	\N	\N	0
640657	2187	1997-02-14	VYDAJ	VYBER	3600	72664	\N	\N	0
640658	2187	1997-03-01	VYDAJ	VYBER	4000	45314	\N	\N	0
640659	2187	1997-03-29	VYDAJ	VYBER	5400	25414	\N	\N	0
640660	2187	1997-05-02	VYDAJ	VYBER	5800	26327	\N	\N	0
640661	2187	1997-06-18	VYDAJ	VYBER	5400	84831	\N	\N	0
640662	2187	1997-07-05	VYDAJ	VYBER	4300	49992	\N	\N	0
640663	2187	1997-08-15	VYDAJ	VYBER	3100	71248	\N	\N	0
640664	2187	1997-09-12	VYDAJ	VYBER	3200	77261	\N	\N	0
640665	2187	1997-10-05	VYDAJ	VYBER	5300	103348	\N	\N	0
640666	2187	1997-11-12	VYDAJ	PREVOD NA UCET	4456	71657	UVER	WX	29976457
640667	2187	1997-12-12	VYDAJ	PREVOD NA UCET	4456	56771	UVER	WX	29976457
640668	2187	1998-01-12	VYDAJ	PREVOD NA UCET	4456	76960	UVER	WX	29976457
640669	2187	1998-02-12	VYDAJ	PREVOD NA UCET	4456	63613	UVER	WX	29976457
640670	2187	1998-03-12	VYDAJ	PREVOD NA UCET	4456	38980	UVER	WX	29976457
640671	2187	1998-04-12	VYDAJ	PREVOD NA UCET	4456	38588	UVER	WX	29976457
640672	2187	1998-05-12	VYDAJ	PREVOD NA UCET	4456	29355	UVER	WX	29976457
640673	2187	1998-06-12	VYDAJ	PREVOD NA UCET	4456	53328	UVER	WX	29976457
640674	2187	1998-07-12	VYDAJ	PREVOD NA UCET	4456	69159	UVER	WX	29976457
640675	2187	1998-08-12	VYDAJ	PREVOD NA UCET	4456	92104	UVER	WX	29976457
640676	2187	1998-09-12	VYDAJ	PREVOD NA UCET	4456	93592	UVER	WX	29976457
640677	2187	1998-10-12	VYDAJ	PREVOD NA UCET	4456	82136	UVER	WX	29976457
640678	2187	1998-11-07	VYDAJ	VYBER	5400	65151	\N	\N	0
640679	2187	1998-12-04	VYDAJ	VYBER	5600	70120	\N	\N	0
640680	2187	1996-07-25	VYBER	VYBER	11602	74905	\N	\N	\N
640681	2187	1996-06-24	VYBER	VYBER	4380	57693	\N	\N	\N
640683	2187	1996-08-16	VYBER	VYBER	20898	61141	\N	\N	\N
640684	2187	1996-07-22	VYBER	VYBER	13021	86507	\N	\N	\N
640685	2187	1997-04-25	VYBER	VYBER	4917	32028	\N	\N	\N
640686	2187	1998-09-05	VYBER	VYBER	12233	98048	\N	\N	\N
640687	2187	1998-03-10	VYBER	VYBER	2982	43436	\N	\N	\N
640688	2187	1998-01-08	VYBER	VYBER	19206	81416	\N	\N	\N
640689	2187	1998-06-25	VYBER	VYBER	14087	31641	\N	\N	\N
640693	2187	1996-12-03	VYDAJ	VYBER	3300	80826	\N	\N	\N
640694	2187	1997-12-29	VYDAJ	VYBER	2400	72890	\N	\N	\N
640695	2187	1998-12-02	VYDAJ	VYBER	3300	75720	\N	\N	\N
640696	2187	1996-12-05	VYDAJ	VYBER	10200	70626	\N	\N	\N
640697	2187	1996-10-11	VYDAJ	VYBER	8700	31795	\N	\N	\N
640698	2187	1996-08-22	VYDAJ	VYBER	2400	100551	\N	\N	\N
640699	2187	1996-10-13	VYDAJ	VYBER	9300	22495	\N	\N	\N
640701	2187	1997-08-20	VYDAJ	VYBER	3300	49944	\N	\N	\N
640702	2187	1997-03-24	VYDAJ	VYBER	5700	30814	\N	\N	\N
640703	2187	1997-04-15	VYDAJ	VYBER	14400	29415	\N	\N	\N
640704	2187	1997-08-26	VYDAJ	VYBER	11700	38244	\N	\N	\N
640705	2187	1998-07-14	VYDAJ	VYBER	14700	54459	\N	\N	\N
640706	2187	1998-04-14	VYDAJ	VYBER	7800	30788	\N	\N	\N
640707	2187	1998-06-06	VYDAJ	VYBER	3900	27858	\N	\N	\N
640713	2187	1996-05-31	VYDAJ	VYBER	30	58675	SLUZBY	\N	\N
640714	2187	1996-06-30	VYDAJ	VYBER	30	39397	SLUZBY	\N	\N
640715	2187	1996-07-31	VYDAJ	VYBER	30	47038	SLUZBY	\N	\N
640716	2187	1996-08-31	VYDAJ	VYBER	30	62686	SLUZBY	\N	\N
640717	2187	1996-09-30	VYDAJ	VYBER	30	43395	SLUZBY	\N	\N
640718	2187	1996-10-31	VYDAJ	VYBER	30	42840	SLUZBY	\N	\N
640719	2187	1996-11-30	VYDAJ	VYBER	30	84126	SLUZBY	\N	\N
640720	2187	1996-12-31	VYDAJ	VYBER	30	47265	SLUZBY	\N	\N
640721	2187	1997-01-31	VYDAJ	VYBER	30	76264	SLUZBY	\N	\N
640722	2187	1997-02-28	VYDAJ	VYBER	30	49314	SLUZBY	\N	\N
640723	2187	1997-03-31	VYDAJ	VYBER	30	25563	SLUZBY	\N	\N
640724	2187	1997-04-30	VYDAJ	VYBER	30	32127	SLUZBY	\N	\N
640725	2187	1997-05-31	VYDAJ	VYBER	30	78825	SLUZBY	\N	\N
640726	2187	1997-06-30	VYDAJ	VYBER	30	54292	SLUZBY	\N	\N
640727	2187	1997-07-31	VYDAJ	VYBER	30	61171	SLUZBY	\N	\N
640728	2187	1997-08-31	VYDAJ	VYBER	30	38450	SLUZBY	\N	\N
640729	2187	1997-09-30	VYDAJ	VYBER	30	108648	SLUZBY	\N	\N
640730	2187	1997-10-31	VYDAJ	VYBER	30	64284	SLUZBY	\N	\N
640731	2187	1997-11-30	VYDAJ	VYBER	30	46005	SLUZBY	\N	\N
640732	2187	1997-12-31	VYDAJ	VYBER	30	73134	SLUZBY	\N	\N
640733	2187	1998-01-31	VYDAJ	VYBER	30	68069	SLUZBY	\N	\N
640734	2187	1998-02-28	VYDAJ	VYBER	30	46418	SLUZBY	\N	\N
640735	2187	1998-03-31	VYDAJ	VYBER	30	43044	SLUZBY	\N	\N
640736	2187	1998-04-30	VYDAJ	VYBER	30	33811	SLUZBY	\N	\N
640737	2187	1998-05-31	VYDAJ	VYBER	30	31758	SLUZBY	\N	\N
640738	2187	1998-06-30	VYDAJ	VYBER	30	50653	SLUZBY	\N	\N
640739	2187	1998-07-31	VYDAJ	VYBER	30	72187	SLUZBY	\N	\N
640740	2187	1998-08-31	VYDAJ	VYBER	30	110281	SLUZBY	\N	\N
640741	2187	1998-09-30	VYDAJ	VYBER	30	86592	SLUZBY	\N	\N
640742	2187	1998-10-31	VYDAJ	VYBER	30	70551	SLUZBY	\N	\N
640743	2187	1998-11-30	VYDAJ	VYBER	30	96282	SLUZBY	\N	\N
640744	2187	1996-03-27	VYDAJ	VYBER	10900	33967	\N	\N	\N
640745	2187	1996-04-26	VYDAJ	VYBER	21100	38058	\N	\N	\N
640746	2187	1996-05-02	VYDAJ	VYBER	28200	144763	\N	\N	\N
640747	2187	1996-05-02	VYDAJ	VYBER	40700	99263	\N	\N	\N
640748	2187	1996-05-22	VYDAJ	VYBER	43400	81993	\N	\N	\N
640749	2187	1996-05-26	VYDAJ	VYBER	29500	58240	\N	\N	\N
640750	2187	1996-05-26	VYDAJ	VYBER	41500	87740	\N	\N	\N
640751	2187	1996-06-25	VYDAJ	VYBER	18500	39193	\N	\N	\N
640752	2187	1996-07-25	VYDAJ	VYBER	28100	46805	\N	\N	\N
640753	2187	1996-08-24	VYDAJ	VYBER	34000	66551	\N	\N	\N
640754	2187	1996-09-23	VYDAJ	VYBER	16000	43186	\N	\N	\N
640755	2187	1996-10-23	PRIJEM	VKLAD	200	22695	\N	\N	\N
640756	2187	1996-11-22	VYDAJ	VYBER	19000	45436	\N	\N	\N
640757	2187	1996-12-13	VYDAJ	VYBER	52700	59044	\N	\N	\N
640758	2187	1996-12-22	VYDAJ	VYBER	20900	46973	\N	\N	\N
640759	2187	1997-01-21	VYDAJ	VYBER	37200	58945	\N	\N	\N
640760	2187	1997-02-20	VYDAJ	VYBER	23600	49064	\N	\N	\N
640761	2187	1997-03-22	VYDAJ	VYBER	8800	36514	\N	\N	\N
640762	2187	1997-04-21	VYDAJ	VYBER	7400	36945	\N	\N	\N
640763	2187	1997-05-21	VYDAJ	VYBER	11100	35561	\N	\N	\N
640764	2187	1997-06-20	VYDAJ	VYBER	30800	54031	\N	\N	\N
640765	2187	1997-07-20	VYDAJ	VYBER	63600	38403	\N	\N	\N
640766	2187	1997-07-20	VYDAJ	VYBER	11900	102003	\N	\N	\N
640767	2187	1997-08-11	VYDAJ	VYBER	54200	58254	\N	\N	\N
640768	2187	1997-08-19	VYDAJ	VYBER	26300	53244	\N	\N	\N
640769	2187	1997-09-18	VYDAJ	VYBER	25500	51761	\N	\N	\N
640770	2187	1997-10-18	VYDAJ	VYBER	39400	63948	\N	\N	\N
640771	2187	1997-11-13	VYDAJ	VYBER	49400	64304	\N	\N	\N
640772	2187	1997-11-17	VYDAJ	VYBER	18500	45804	\N	\N	\N
640773	2187	1997-12-17	VYDAJ	VYBER	36500	65921	\N	\N	\N
640774	2187	1998-01-16	VYDAJ	VYBER	25600	51360	\N	\N	\N
640775	2187	1998-02-15	VYDAJ	VYBER	17400	46213	\N	\N	\N
640776	2187	1998-03-17	VYDAJ	VYBER	1700	37280	\N	\N	\N
640777	2187	1998-04-16	PRIJEM	VKLAD	2900	33688	\N	\N	\N
640778	2187	1998-05-16	PRIJEM	VKLAD	2300	31655	\N	\N	\N
640779	2187	1998-06-15	VYDAJ	VYBER	7600	45728	\N	\N	\N
640780	2187	1998-07-15	VYDAJ	VYBER	8700	45759	\N	\N	\N
640781	2187	1998-08-14	VYDAJ	VYBER	31200	60904	\N	\N	\N
640782	2187	1998-09-13	VYDAJ	VYBER	25100	68492	\N	\N	\N
640783	2187	1998-09-30	VYDAJ	VYBER	29700	86622	\N	\N	\N
640784	2187	1998-10-13	VYDAJ	VYBER	21800	60336	\N	\N	\N
640785	2187	1998-11-12	VYDAJ	VYBER	11400	53751	\N	\N	\N
640786	2187	1998-12-02	VYDAJ	VYBER	37800	79020	\N	\N	\N
640787	2187	1998-12-12	VYDAJ	VYBER	12400	57720	\N	\N	\N
640788	2187	1998-12-23	VYDAJ	VYBER	29200	108178	\N	\N	\N
640992	2189	1993-04-22	PRIJEM	VKLAD	700	700	\N	\N	\N
640997	2189	1993-05-13	PRIJEM	VKLAD	20782	21482	\N	\N	\N
640998	2189	1993-06-13	PRIJEM	VKLAD	31173	54787	\N	\N	\N
640999	2189	1993-07-13	PRIJEM	VKLAD	20782	61190	\N	\N	\N
641000	2189	1993-08-13	PRIJEM	VKLAD	20782	63944	\N	\N	\N
641001	2189	1993-09-13	PRIJEM	VKLAD	20782	63404	\N	\N	\N
641002	2189	1993-10-13	PRIJEM	VKLAD	20782	60108	\N	\N	\N
641003	2189	1993-11-13	PRIJEM	VKLAD	20782	60012	\N	\N	\N
641004	2189	1993-12-13	PRIJEM	VKLAD	31173	67700	\N	\N	\N
641005	2189	1994-01-13	PRIJEM	VKLAD	20782	60105	\N	\N	\N
641006	2189	1994-02-13	PRIJEM	VKLAD	20782	57700	\N	\N	\N
641007	2189	1994-03-13	PRIJEM	VKLAD	20782	57988	\N	\N	\N
641008	2189	1994-04-13	PRIJEM	VKLAD	20782	57480	\N	\N	\N
641009	2189	1994-05-13	PRIJEM	VKLAD	20782	53223	\N	\N	\N
641010	2189	1994-06-13	PRIJEM	VKLAD	31173	65851	\N	\N	\N
641011	2189	1994-07-13	PRIJEM	VKLAD	20782	59943	\N	\N	\N
641012	2189	1994-08-13	PRIJEM	VKLAD	20782	56633	\N	\N	\N
641013	2189	1994-09-13	PRIJEM	VKLAD	20782	51872	\N	\N	\N
641014	2189	1994-10-13	PRIJEM	VKLAD	20782	52575	\N	\N	\N
641015	2189	1994-11-13	PRIJEM	VKLAD	20782	49819	\N	\N	\N
641016	2189	1994-12-13	PRIJEM	VKLAD	31173	56202	\N	\N	\N
641017	2189	1995-01-13	PRIJEM	VKLAD	20782	50162	\N	\N	\N
641018	2189	1995-02-13	PRIJEM	VKLAD	20782	57758	\N	\N	\N
641019	2189	1995-03-13	PRIJEM	VKLAD	20782	71626	\N	\N	\N
641020	2189	1995-04-13	PRIJEM	VKLAD	20782	56053	\N	\N	\N
641021	2189	1995-05-13	PRIJEM	VKLAD	20782	58391	\N	\N	\N
641022	2189	1995-06-13	PRIJEM	VKLAD	31173	71518	\N	\N	\N
641023	2189	1995-07-13	PRIJEM	VKLAD	20782	64396	\N	\N	\N
641024	2189	1995-08-13	PRIJEM	VKLAD	20782	66476	\N	\N	\N
641025	2189	1995-09-13	PRIJEM	VKLAD	20782	67351	\N	\N	\N
641026	2189	1995-10-13	PRIJEM	VKLAD	20782	62665	\N	\N	\N
641027	2189	1995-11-13	PRIJEM	VKLAD	20782	60823	\N	\N	\N
641028	2189	1995-12-13	PRIJEM	VKLAD	31173	73667	\N	\N	\N
641029	2189	1996-01-13	PRIJEM	VKLAD	20782	64649	\N	\N	\N
641030	2189	1996-02-13	PRIJEM	VKLAD	20782	67122	\N	\N	\N
641031	2189	1996-03-13	PRIJEM	VKLAD	20782	66495	\N	\N	\N
641032	2189	1996-04-13	PRIJEM	VKLAD	20782	64269	\N	\N	\N
641033	2189	1996-05-13	PRIJEM	VKLAD	20782	66336	\N	\N	\N
641034	2189	1996-06-13	PRIJEM	VKLAD	31173	66998	\N	\N	\N
641035	2189	1996-07-13	PRIJEM	VKLAD	20782	64669	\N	\N	\N
641036	2189	1996-08-13	PRIJEM	VKLAD	20782	65326	\N	\N	\N
641037	2189	1996-09-13	PRIJEM	VKLAD	20782	63091	\N	\N	\N
641038	2189	1996-10-13	PRIJEM	VKLAD	20782	61452	\N	\N	\N
641039	2189	1996-11-13	PRIJEM	VKLAD	20782	63506	\N	\N	\N
641040	2189	1996-12-13	PRIJEM	VKLAD	31173	78654	\N	\N	\N
641041	2189	1997-01-13	PRIJEM	VKLAD	20782	71750	\N	\N	\N
641042	2189	1997-02-13	PRIJEM	VKLAD	20782	67846	\N	\N	\N
641043	2189	1997-03-13	PRIJEM	VKLAD	20782	71103	\N	\N	\N
641044	2189	1997-04-13	PRIJEM	VKLAD	20782	68691	\N	\N	\N
641045	2189	1997-05-13	PRIJEM	VKLAD	20782	66673	\N	\N	\N
641046	2189	1997-06-13	PRIJEM	VKLAD	31173	78433	\N	\N	\N
641047	2189	1997-07-13	PRIJEM	VKLAD	20782	54937	\N	\N	\N
641048	2189	1997-08-13	PRIJEM	VKLAD	20782	60547	\N	\N	\N
641049	2189	1997-09-13	PRIJEM	VKLAD	20782	65572	\N	\N	\N
641050	2189	1997-10-13	PRIJEM	VKLAD	20782	65215	\N	\N	\N
641051	2189	1997-11-13	PRIJEM	VKLAD	20782	65254	\N	\N	\N
641052	2189	1997-12-13	PRIJEM	VKLAD	31173	68622	\N	\N	\N
641053	2189	1998-01-13	PRIJEM	VKLAD	20782	64657	\N	\N	\N
641054	2189	1998-02-13	PRIJEM	VKLAD	20782	64289	\N	\N	\N
641055	2189	1998-03-13	PRIJEM	VKLAD	20782	61720	\N	\N	\N
641056	2189	1998-04-13	PRIJEM	VKLAD	20782	60222	\N	\N	\N
641057	2189	1998-05-13	PRIJEM	VKLAD	20782	66241	\N	\N	\N
641058	2189	1998-06-13	PRIJEM	VKLAD	31173	56453	\N	\N	\N
641059	2189	1998-07-13	PRIJEM	VKLAD	20782	68768	\N	\N	\N
641060	2189	1998-08-13	PRIJEM	VKLAD	20782	70315	\N	\N	\N
641061	2189	1998-09-13	PRIJEM	VKLAD	20782	74771	\N	\N	\N
641062	2189	1998-10-13	PRIJEM	VKLAD	20782	78943	\N	\N	\N
641063	2189	1998-11-13	PRIJEM	VKLAD	20782	77325	\N	\N	\N
641064	2189	1998-12-13	PRIJEM	VKLAD	31173	85188	\N	\N	\N
641074	2189	1993-10-09	VYDAJ	PREVOD NA UCET	1449	42129	SIPO	UV	89534949
641075	2189	1993-11-09	VYDAJ	PREVOD NA UCET	1449	42033	SIPO	UV	89534949
641076	2189	1993-12-09	VYDAJ	PREVOD NA UCET	1449	39330	SIPO	UV	89534949
641077	2189	1994-01-09	VYDAJ	PREVOD NA UCET	1449	42126	SIPO	UV	89534949
641078	2189	1994-02-09	VYDAJ	PREVOD NA UCET	1449	39721	SIPO	UV	89534949
641079	2189	1994-03-09	VYDAJ	PREVOD NA UCET	1449	40009	SIPO	UV	89534949
641080	2189	1994-04-09	VYDAJ	PREVOD NA UCET	1449	39501	SIPO	UV	89534949
641081	2189	1994-05-09	VYDAJ	PREVOD NA UCET	1449	35244	SIPO	UV	89534949
641082	2189	1994-06-09	VYDAJ	PREVOD NA UCET	1449	38321	SIPO	UV	89534949
641083	2189	1994-07-09	VYDAJ	PREVOD NA UCET	1449	41964	SIPO	UV	89534949
641084	2189	1994-08-09	VYDAJ	PREVOD NA UCET	1449	38654	SIPO	UV	89534949
641085	2189	1994-09-09	VYDAJ	PREVOD NA UCET	1449	33893	SIPO	UV	89534949
641086	2189	1994-10-09	VYDAJ	PREVOD NA UCET	1449	34596	SIPO	UV	89534949
641087	2189	1994-11-09	VYDAJ	PREVOD NA UCET	1449	31840	SIPO	UV	89534949
641088	2189	1994-12-09	VYDAJ	PREVOD NA UCET	1449	29392	SIPO	UV	89534949
641089	2189	1995-01-09	VYDAJ	PREVOD NA UCET	1449	36883	SIPO	UV	89534949
641090	2189	1995-02-09	VYDAJ	PREVOD NA UCET	1449	48179	SIPO	UV	89534949
641091	2189	1995-03-09	VYDAJ	PREVOD NA UCET	1449	53647	SIPO	UV	89534949
641092	2189	1995-04-09	VYDAJ	PREVOD NA UCET	1449	48474	SIPO	UV	89534949
641093	2189	1995-05-09	VYDAJ	PREVOD NA UCET	1449	48212	SIPO	UV	89534949
641094	2189	1995-06-09	VYDAJ	PREVOD NA UCET	1449	56448	SIPO	UV	89534949
641095	2189	1995-07-09	VYDAJ	PREVOD NA UCET	1449	69617	SIPO	UV	89534949
641096	2189	1995-08-09	VYDAJ	PREVOD NA UCET	1449	62497	SIPO	UV	89534949
641097	2189	1995-09-09	VYDAJ	PREVOD NA UCET	1449	64572	SIPO	UV	89534949
641098	2189	1995-10-09	VYDAJ	PREVOD NA UCET	1449	58586	SIPO	UV	89534949
641099	2189	1995-11-09	VYDAJ	PREVOD NA UCET	1449	42844	SIPO	UV	89534949
641100	2189	1995-12-09	VYDAJ	PREVOD NA UCET	1449	45297	SIPO	UV	89534949
641101	2189	1996-01-09	VYDAJ	PREVOD NA UCET	1449	46670	SIPO	UV	89534949
641102	2189	1996-02-09	VYDAJ	PREVOD NA UCET	1449	49143	SIPO	UV	89534949
641103	2189	1996-03-09	VYDAJ	PREVOD NA UCET	1449	48516	SIPO	UV	89534949
641104	2189	1996-04-09	VYDAJ	PREVOD NA UCET	1449	46290	SIPO	UV	89534949
641105	2189	1996-05-09	VYDAJ	PREVOD NA UCET	1449	48357	SIPO	UV	89534949
641106	2189	1996-06-09	VYDAJ	PREVOD NA UCET	1449	45828	SIPO	UV	89534949
641107	2189	1996-07-09	VYDAJ	PREVOD NA UCET	1449	46690	SIPO	UV	89534949
641108	2189	1996-08-09	VYDAJ	PREVOD NA UCET	1449	47347	SIPO	UV	89534949
641109	2189	1996-09-09	VYDAJ	PREVOD NA UCET	1449	45112	SIPO	UV	89534949
641110	2189	1996-10-09	VYDAJ	PREVOD NA UCET	1449	43473	SIPO	UV	89534949
641111	2189	1996-11-09	VYDAJ	PREVOD NA UCET	1449	45527	SIPO	UV	89534949
641112	2189	1996-12-09	VYDAJ	PREVOD NA UCET	1449	50284	SIPO	UV	89534949
641113	2189	1997-01-09	VYDAJ	PREVOD NA UCET	1449	53771	SIPO	UV	89534949
641114	2189	1997-02-09	VYDAJ	PREVOD NA UCET	1449	49867	SIPO	UV	89534949
641115	2189	1997-03-09	VYDAJ	PREVOD NA UCET	1449	53124	SIPO	UV	89534949
641116	2189	1997-04-09	VYDAJ	PREVOD NA UCET	1449	50712	SIPO	UV	89534949
641117	2189	1997-05-09	VYDAJ	PREVOD NA UCET	1449	48694	SIPO	UV	89534949
641118	2189	1997-06-09	VYDAJ	PREVOD NA UCET	1449	50063	SIPO	UV	89534949
641119	2189	1997-07-09	VYDAJ	PREVOD NA UCET	1449	36958	SIPO	UV	89534949
641120	2189	1997-08-09	VYDAJ	PREVOD NA UCET	1449	42568	SIPO	UV	89534949
641121	2189	1997-09-09	VYDAJ	PREVOD NA UCET	1449	47593	SIPO	UV	89534949
641122	2189	1997-10-09	VYDAJ	PREVOD NA UCET	1449	47236	SIPO	UV	89534949
641123	2189	1997-11-09	VYDAJ	PREVOD NA UCET	1449	47275	SIPO	UV	89534949
641124	2189	1997-12-09	VYDAJ	PREVOD NA UCET	1449	44412	SIPO	UV	89534949
641125	2189	1998-01-09	VYDAJ	PREVOD NA UCET	1449	46678	SIPO	UV	89534949
641126	2189	1998-02-09	VYDAJ	PREVOD NA UCET	1449	46310	SIPO	UV	89534949
641127	2189	1998-03-09	VYDAJ	PREVOD NA UCET	1449	43741	SIPO	UV	89534949
641128	2189	1998-04-09	VYDAJ	PREVOD NA UCET	1449	42243	SIPO	UV	89534949
641129	2189	1998-05-09	VYDAJ	PREVOD NA UCET	1449	48262	SIPO	UV	89534949
641130	2189	1998-06-09	VYDAJ	PREVOD NA UCET	1449	28083	SIPO	UV	89534949
641131	2189	1998-07-09	VYDAJ	PREVOD NA UCET	1449	50789	SIPO	UV	89534949
641132	2189	1998-08-09	VYDAJ	PREVOD NA UCET	1449	52336	SIPO	UV	89534949
641133	2189	1998-09-09	VYDAJ	PREVOD NA UCET	1449	56792	SIPO	UV	89534949
641134	2189	1998-10-09	VYDAJ	PREVOD NA UCET	1449	60964	SIPO	UV	89534949
641135	2189	1998-11-09	VYDAJ	PREVOD NA UCET	1449	59346	SIPO	UV	89534949
641136	2189	1998-12-09	VYDAJ	PREVOD NA UCET	1449	56818	SIPO	UV	89534949
641145	2189	1993-09-14	VYDAJ	PREVOD NA UCET	704	62700	 	WX	36365342
641146	2189	1993-10-14	VYDAJ	PREVOD NA UCET	704	59404	 	WX	36365342
641147	2189	1993-11-14	VYDAJ	PREVOD NA UCET	704	59308	 	WX	36365342
641148	2189	1993-12-14	VYDAJ	PREVOD NA UCET	704	66996	 	WX	36365342
641149	2189	1994-01-14	VYDAJ	PREVOD NA UCET	704	59401	 	WX	36365342
641150	2189	1994-02-14	VYDAJ	PREVOD NA UCET	704	56996	 	WX	36365342
641151	2189	1994-03-14	VYDAJ	PREVOD NA UCET	704	57284	 	WX	36365342
641152	2189	1994-04-14	VYDAJ	PREVOD NA UCET	704	56776	 	WX	36365342
641153	2189	1994-05-14	VYDAJ	PREVOD NA UCET	704	52519	 	WX	36365342
641154	2189	1994-06-14	VYDAJ	PREVOD NA UCET	704	65147	 	WX	36365342
641155	2189	1994-07-14	VYDAJ	PREVOD NA UCET	704	59239	 	WX	36365342
641156	2189	1994-08-14	VYDAJ	PREVOD NA UCET	704	55929	 	WX	36365342
641157	2189	1994-09-14	VYDAJ	PREVOD NA UCET	704	38668	 	WX	36365342
641158	2189	1994-10-14	VYDAJ	PREVOD NA UCET	704	38071	 	WX	36365342
641159	2189	1994-11-14	VYDAJ	PREVOD NA UCET	704	33915	 	WX	36365342
641160	2189	1994-12-14	VYDAJ	PREVOD NA UCET	704	38198	 	WX	36365342
641161	2189	1995-01-14	VYDAJ	PREVOD NA UCET	704	49458	 	WX	36365342
641162	2189	1995-02-14	VYDAJ	PREVOD NA UCET	704	57054	 	WX	36365342
641163	2189	1995-03-14	VYDAJ	PREVOD NA UCET	704	49722	 	WX	36365342
641164	2189	1995-04-14	VYDAJ	PREVOD NA UCET	704	55349	 	WX	36365342
641165	2189	1995-05-14	VYDAJ	PREVOD NA UCET	704	57687	 	WX	36365342
641166	2189	1995-06-14	VYDAJ	PREVOD NA UCET	704	70814	 	WX	36365342
641167	2189	1995-07-14	VYDAJ	PREVOD NA UCET	704	63692	 	WX	36365342
641168	2189	1995-08-14	VYDAJ	PREVOD NA UCET	704	65772	 	WX	36365342
641169	2189	1995-09-14	VYDAJ	PREVOD NA UCET	704	66647	 	WX	36365342
641170	2189	1995-10-14	VYDAJ	PREVOD NA UCET	704	61961	 	WX	36365342
641171	2189	1995-11-14	VYDAJ	PREVOD NA UCET	704	60119	 	WX	36365342
641172	2189	1995-12-14	VYDAJ	PREVOD NA UCET	704	72963	 	WX	36365342
641173	2189	1996-01-14	VYDAJ	PREVOD NA UCET	704	63945	 	WX	36365342
641174	2189	1996-02-14	VYDAJ	PREVOD NA UCET	704	66418	 	WX	36365342
641175	2189	1996-03-14	VYDAJ	PREVOD NA UCET	704	65791	 	WX	36365342
641176	2189	1996-04-14	VYDAJ	PREVOD NA UCET	704	63565	 	WX	36365342
641177	2189	1996-05-14	VYDAJ	PREVOD NA UCET	704	65632	 	WX	36365342
641178	2189	1996-06-14	VYDAJ	PREVOD NA UCET	704	66294	 	WX	36365342
641179	2189	1996-07-14	VYDAJ	PREVOD NA UCET	704	63965	 	WX	36365342
641180	2189	1996-08-14	VYDAJ	PREVOD NA UCET	704	64622	 	WX	36365342
641181	2189	1996-09-14	VYDAJ	PREVOD NA UCET	704	62387	 	WX	36365342
641182	2189	1996-10-14	VYDAJ	PREVOD NA UCET	704	60748	 	WX	36365342
641183	2189	1996-11-14	VYDAJ	PREVOD NA UCET	704	62802	 	WX	36365342
641184	2189	1996-12-14	VYDAJ	PREVOD NA UCET	704	77950	 	WX	36365342
641185	2189	1997-01-14	VYDAJ	PREVOD NA UCET	704	71046	 	WX	36365342
641186	2189	1997-02-14	VYDAJ	PREVOD NA UCET	704	67142	 	WX	36365342
641187	2189	1997-03-14	VYDAJ	PREVOD NA UCET	704	70399	 	WX	36365342
641188	2189	1997-04-14	VYDAJ	PREVOD NA UCET	704	67987	 	WX	36365342
641189	2189	1997-05-14	VYDAJ	PREVOD NA UCET	704	65969	 	WX	36365342
641190	2189	1997-06-14	VYDAJ	PREVOD NA UCET	704	77729	 	WX	36365342
641191	2189	1997-07-14	VYDAJ	PREVOD NA UCET	704	54233	 	WX	36365342
641192	2189	1997-08-14	VYDAJ	PREVOD NA UCET	704	59843	 	WX	36365342
641193	2189	1997-09-14	VYDAJ	PREVOD NA UCET	704	64868	 	WX	36365342
641194	2189	1997-10-14	VYDAJ	PREVOD NA UCET	704	64511	 	WX	36365342
641195	2189	1997-11-14	VYDAJ	PREVOD NA UCET	704	64550	 	WX	36365342
641196	2189	1997-12-14	VYDAJ	PREVOD NA UCET	704	67918	 	WX	36365342
641197	2189	1998-01-14	VYDAJ	PREVOD NA UCET	704	63953	 	WX	36365342
641198	2189	1998-02-14	VYDAJ	PREVOD NA UCET	704	63585	 	WX	36365342
641199	2189	1998-03-14	VYDAJ	PREVOD NA UCET	704	61016	 	WX	36365342
641200	2189	1998-04-14	VYDAJ	PREVOD NA UCET	704	59518	 	WX	36365342
641201	2189	1998-05-14	VYDAJ	PREVOD NA UCET	704	65537	 	WX	36365342
641202	2189	1998-06-14	VYDAJ	PREVOD NA UCET	704	55749	 	WX	36365342
641203	2189	1998-07-14	VYDAJ	PREVOD NA UCET	704	68064	 	WX	36365342
641204	2189	1998-08-14	VYDAJ	PREVOD NA UCET	704	69611	 	WX	36365342
641205	2189	1998-09-14	VYDAJ	PREVOD NA UCET	704	74067	 	WX	36365342
641206	2189	1998-10-14	VYDAJ	PREVOD NA UCET	704	78239	 	WX	36365342
641207	2189	1998-11-14	VYDAJ	PREVOD NA UCET	704	76621	 	WX	36365342
641208	2189	1998-12-14	VYDAJ	PREVOD NA UCET	704	84484	 	WX	36365342
641218	2189	1993-10-10	VYDAJ	PREVOD NA UCET	2803	39326	POJISTNE	AB	32410866
641219	2189	1993-11-10	VYDAJ	PREVOD NA UCET	2803	39230	POJISTNE	AB	32410866
641220	2189	1993-12-10	VYDAJ	PREVOD NA UCET	2803	36527	POJISTNE	AB	32410866
641221	2189	1994-01-10	VYDAJ	PREVOD NA UCET	2803	39323	POJISTNE	AB	32410866
641222	2189	1994-02-10	VYDAJ	PREVOD NA UCET	2803	36918	POJISTNE	AB	32410866
641223	2189	1994-03-10	VYDAJ	PREVOD NA UCET	2803	37206	POJISTNE	AB	32410866
641224	2189	1994-04-10	VYDAJ	PREVOD NA UCET	2803	36698	POJISTNE	AB	32410866
641225	2189	1994-05-10	VYDAJ	PREVOD NA UCET	2803	32441	POJISTNE	AB	32410866
641226	2189	1994-06-10	VYDAJ	PREVOD NA UCET	2803	35518	POJISTNE	AB	32410866
641227	2189	1994-07-10	VYDAJ	PREVOD NA UCET	2803	39161	POJISTNE	AB	32410866
641228	2189	1994-08-10	VYDAJ	PREVOD NA UCET	2803	35851	POJISTNE	AB	32410866
641229	2189	1994-09-10	VYDAJ	PREVOD NA UCET	2803	31090	POJISTNE	AB	32410866
641230	2189	1994-10-10	VYDAJ	PREVOD NA UCET	2803	31793	POJISTNE	AB	32410866
641231	2189	1994-11-10	VYDAJ	PREVOD NA UCET	2803	29037	POJISTNE	AB	32410866
641232	2189	1994-12-10	VYDAJ	PREVOD NA UCET	2803	26589	POJISTNE	AB	32410866
641233	2189	1995-01-10	VYDAJ	PREVOD NA UCET	2803	34080	POJISTNE	AB	32410866
641234	2189	1995-02-10	VYDAJ	PREVOD NA UCET	2803	45376	POJISTNE	AB	32410866
641235	2189	1995-03-10	VYDAJ	PREVOD NA UCET	2803	50844	POJISTNE	AB	32410866
641236	2189	1995-04-10	VYDAJ	PREVOD NA UCET	2803	45671	POJISTNE	AB	32410866
641237	2189	1995-05-10	VYDAJ	PREVOD NA UCET	2803	45409	POJISTNE	AB	32410866
641238	2189	1995-06-10	VYDAJ	PREVOD NA UCET	2803	53645	POJISTNE	AB	32410866
641239	2189	1995-07-10	VYDAJ	PREVOD NA UCET	2803	66814	POJISTNE	AB	32410866
641240	2189	1995-08-10	VYDAJ	PREVOD NA UCET	2803	45694	POJISTNE	AB	32410866
641241	2189	1995-09-10	VYDAJ	PREVOD NA UCET	2803	46569	POJISTNE	AB	32410866
641242	2189	1995-10-10	VYDAJ	PREVOD NA UCET	2803	41883	POJISTNE	AB	32410866
641243	2189	1995-11-10	VYDAJ	PREVOD NA UCET	2803	40041	POJISTNE	AB	32410866
641244	2189	1995-12-10	VYDAJ	PREVOD NA UCET	2803	42494	POJISTNE	AB	32410866
641245	2189	1996-01-10	VYDAJ	PREVOD NA UCET	2803	43867	POJISTNE	AB	32410866
641246	2189	1996-02-10	VYDAJ	PREVOD NA UCET	2803	46340	POJISTNE	AB	32410866
641247	2189	1996-03-10	VYDAJ	PREVOD NA UCET	2803	45713	POJISTNE	AB	32410866
641248	2189	1996-04-10	VYDAJ	PREVOD NA UCET	2803	43487	POJISTNE	AB	32410866
641249	2189	1996-05-10	VYDAJ	PREVOD NA UCET	2803	45554	POJISTNE	AB	32410866
641250	2189	1996-06-10	VYDAJ	PREVOD NA UCET	2803	43025	POJISTNE	AB	32410866
641251	2189	1996-07-10	VYDAJ	PREVOD NA UCET	2803	43887	POJISTNE	AB	32410866
641252	2189	1996-08-10	VYDAJ	PREVOD NA UCET	2803	44544	POJISTNE	AB	32410866
641253	2189	1996-09-10	VYDAJ	PREVOD NA UCET	2803	42309	POJISTNE	AB	32410866
641254	2189	1996-10-10	VYDAJ	PREVOD NA UCET	2803	40670	POJISTNE	AB	32410866
641255	2189	1996-11-10	VYDAJ	PREVOD NA UCET	2803	42724	POJISTNE	AB	32410866
641256	2189	1996-12-10	VYDAJ	PREVOD NA UCET	2803	47481	POJISTNE	AB	32410866
641257	2189	1997-01-10	VYDAJ	PREVOD NA UCET	2803	50968	POJISTNE	AB	32410866
641258	2189	1997-02-10	VYDAJ	PREVOD NA UCET	2803	47064	POJISTNE	AB	32410866
641259	2189	1997-03-10	VYDAJ	PREVOD NA UCET	2803	50321	POJISTNE	AB	32410866
641260	2189	1997-04-10	VYDAJ	PREVOD NA UCET	2803	47909	POJISTNE	AB	32410866
641261	2189	1997-05-10	VYDAJ	PREVOD NA UCET	2803	45891	POJISTNE	AB	32410866
641262	2189	1997-06-10	VYDAJ	PREVOD NA UCET	2803	47260	POJISTNE	AB	32410866
641263	2189	1997-07-10	VYDAJ	PREVOD NA UCET	2803	34155	POJISTNE	AB	32410866
641264	2189	1997-08-10	VYDAJ	PREVOD NA UCET	2803	39765	POJISTNE	AB	32410866
641265	2189	1997-09-10	VYDAJ	PREVOD NA UCET	2803	44790	POJISTNE	AB	32410866
641266	2189	1997-10-10	VYDAJ	PREVOD NA UCET	2803	44433	POJISTNE	AB	32410866
641267	2189	1997-11-10	VYDAJ	PREVOD NA UCET	2803	44472	POJISTNE	AB	32410866
641268	2189	1997-12-10	VYDAJ	PREVOD NA UCET	2803	37449	POJISTNE	AB	32410866
641269	2189	1998-01-10	VYDAJ	PREVOD NA UCET	2803	43875	POJISTNE	AB	32410866
641270	2189	1998-02-10	VYDAJ	PREVOD NA UCET	2803	43507	POJISTNE	AB	32410866
641271	2189	1998-03-10	VYDAJ	PREVOD NA UCET	2803	40938	POJISTNE	AB	32410866
641272	2189	1998-04-10	VYDAJ	PREVOD NA UCET	2803	39440	POJISTNE	AB	32410866
641273	2189	1998-05-10	VYDAJ	PREVOD NA UCET	2803	45459	POJISTNE	AB	32410866
641274	2189	1998-06-10	VYDAJ	PREVOD NA UCET	2803	25280	POJISTNE	AB	32410866
641275	2189	1998-07-10	VYDAJ	PREVOD NA UCET	2803	47986	POJISTNE	AB	32410866
641276	2189	1998-08-10	VYDAJ	PREVOD NA UCET	2803	49533	POJISTNE	AB	32410866
641277	2189	1998-09-10	VYDAJ	PREVOD NA UCET	2803	53989	POJISTNE	AB	32410866
641278	2189	1998-10-10	VYDAJ	PREVOD NA UCET	2803	58161	POJISTNE	AB	32410866
641279	2189	1998-11-10	VYDAJ	PREVOD NA UCET	2803	56543	POJISTNE	AB	32410866
641280	2189	1998-12-10	VYDAJ	PREVOD NA UCET	2803	54015	POJISTNE	AB	32410866
641284	2189	1996-06-12	VYDAJ	VYBER	7200	35825	\N	\N	\N
641285	2189	1997-06-18	VYDAJ	VYBER	33920	43809	\N	\N	\N
641286	2189	1998-06-08	VYDAJ	VYBER	23520	29532	\N	\N	\N
641287	2189	1993-12-24	VYDAJ	VYBER	3040	44356	\N	\N	\N
641288	2189	1994-12-03	VYDAJ	VYBER	3200	30841	\N	\N	\N
641289	2189	1995-12-24	VYDAJ	VYBER KARTOU	2700	70263	\N	\N	0
641290	2189	1996-12-19	VYDAJ	VYBER KARTOU	3200	74750	\N	\N	0
641291	2189	1997-12-09	VYDAJ	VYBER	4160	40252	\N	\N	\N
641292	2189	1998-12-18	VYDAJ	VYBER KARTOU	2900	81584	\N	\N	0
641293	2189	1993-12-26	VYDAJ	VYBER	960	43396	\N	\N	\N
641298	2189	1994-11-08	VYDAJ	VYBER	2400	33289	\N	\N	\N
641299	2189	1994-08-31	VYDAJ	VYBER	4440	35357	\N	\N	\N
641300	2189	1994-06-10	VYDAJ	VYBER	840	34678	\N	\N	\N
641301	2189	1994-12-12	VYDAJ	VYBER	1560	25029	\N	\N	\N
641302	2189	1994-10-22	VYDAJ	VYBER	840	35551	\N	\N	\N
641303	2189	1994-04-25	VYDAJ	VYBER	2040	36536	\N	\N	\N
641304	2189	1994-09-21	VYDAJ	VYBER	2760	35908	\N	\N	\N
641305	2189	1994-10-14	VYDAJ	VYBER	1680	36391	\N	\N	\N
641306	2189	1995-09-26	VYDAJ	VYBER	5160	59787	\N	\N	\N
641307	2189	1995-02-17	VYDAJ	VYBER	2160	54894	\N	\N	\N
641308	2189	1995-04-17	VYDAJ	VYBER	5880	49469	\N	\N	\N
641309	2189	1995-09-26	VYDAJ	VYBER KARTOU	1700	64947	\N	\N	0
641310	2189	1996-07-06	VYDAJ	VYBER KARTOU	2000	48139	\N	\N	0
641311	2189	1996-06-23	VYDAJ	VYBER KARTOU	800	65494	\N	\N	0
641312	2189	1996-07-20	VYDAJ	VYBER KARTOU	1700	62265	\N	\N	0
641313	2189	1997-04-29	VYDAJ	VYBER	4200	63787	\N	\N	\N
641314	2189	1997-12-22	VYDAJ	VYBER KARTOU	3100	64818	\N	\N	0
641315	2189	1998-03-23	VYDAJ	VYBER	4320	56696	\N	\N	\N
641316	2189	1998-03-07	VYDAJ	VYBER KARTOU	3000	45190	\N	\N	0
641317	2189	1998-07-22	VYDAJ	VYBER KARTOU	1800	66264	\N	\N	0
641318	2189	1998-03-26	VYDAJ	VYBER KARTOU	1000	55696	\N	\N	0
641319	2189	1998-12-27	VYDAJ	VYBER	4080	61604	\N	\N	\N
641329	2189	1993-09-30	VYDAJ	VYBER	15	43578	SLUZBY	\N	\N
641330	2189	1993-10-31	VYDAJ	VYBER	15	43482	SLUZBY	\N	\N
641331	2189	1993-11-30	VYDAJ	VYBER	15	40779	SLUZBY	\N	\N
641332	2189	1993-12-31	VYDAJ	VYBER	15	43575	SLUZBY	\N	\N
641333	2189	1994-01-31	VYDAJ	VYBER	15	41170	SLUZBY	\N	\N
641334	2189	1994-02-28	VYDAJ	VYBER	15	41458	SLUZBY	\N	\N
641335	2189	1994-03-31	VYDAJ	VYBER	15	40950	SLUZBY	\N	\N
641336	2189	1994-04-30	VYDAJ	VYBER	15	36693	SLUZBY	\N	\N
641337	2189	1994-05-31	VYDAJ	VYBER	15	39770	SLUZBY	\N	\N
641338	2189	1994-06-30	VYDAJ	VYBER	15	43413	SLUZBY	\N	\N
641339	2189	1994-07-31	VYDAJ	VYBER	15	40103	SLUZBY	\N	\N
641340	2189	1994-08-31	VYDAJ	VYBER	15	35342	SLUZBY	\N	\N
641341	2189	1994-09-30	VYDAJ	VYBER	15	36045	SLUZBY	\N	\N
641342	2189	1994-10-31	VYDAJ	VYBER	15	35689	SLUZBY	\N	\N
641343	2189	1994-11-30	VYDAJ	VYBER	15	34041	SLUZBY	\N	\N
641344	2189	1994-12-31	VYDAJ	VYBER	15	38332	SLUZBY	\N	\N
641345	2189	1995-01-31	VYDAJ	VYBER	15	49628	SLUZBY	\N	\N
641346	2189	1995-02-28	VYDAJ	VYBER	15	55096	SLUZBY	\N	\N
641347	2189	1995-03-31	VYDAJ	VYBER	15	49923	SLUZBY	\N	\N
641348	2189	1995-04-30	VYDAJ	VYBER	15	49661	SLUZBY	\N	\N
641349	2189	1995-05-31	VYDAJ	VYBER	15	57897	SLUZBY	\N	\N
641350	2189	1995-06-30	VYDAJ	VYBER	15	71066	SLUZBY	\N	\N
641351	2189	1995-07-31	VYDAJ	VYBER	15	63946	SLUZBY	\N	\N
641352	2189	1995-08-31	VYDAJ	VYBER	15	66021	SLUZBY	\N	\N
641353	2189	1995-09-30	VYDAJ	VYBER	15	60035	SLUZBY	\N	\N
641354	2189	1995-10-31	VYDAJ	VYBER	15	62193	SLUZBY	\N	\N
641355	2189	1995-11-30	VYDAJ	VYBER	15	60346	SLUZBY	\N	\N
641356	2189	1995-12-31	VYDAJ	VYBER	15	70519	SLUZBY	\N	\N
641357	2189	1996-01-31	VYDAJ	VYBER	15	64192	SLUZBY	\N	\N
641358	2189	1996-02-29	VYDAJ	VYBER	15	66665	SLUZBY	\N	\N
641359	2189	1996-03-31	VYDAJ	VYBER	15	66039	SLUZBY	\N	\N
641360	2189	1996-04-30	VYDAJ	VYBER	15	63806	SLUZBY	\N	\N
641361	2189	1996-05-31	VYDAJ	VYBER	15	65877	SLUZBY	\N	\N
641362	2189	1996-06-30	VYDAJ	VYBER	15	65739	SLUZBY	\N	\N
641363	2189	1996-07-31	VYDAJ	VYBER	15	62496	SLUZBY	\N	\N
641364	2189	1996-08-31	VYDAJ	VYBER	15	64861	SLUZBY	\N	\N
641365	2189	1996-09-30	VYDAJ	VYBER	15	62622	SLUZBY	\N	\N
641366	2189	1996-10-31	VYDAJ	VYBER	15	60976	SLUZBY	\N	\N
641367	2189	1996-11-30	VYDAJ	VYBER	15	63033	SLUZBY	\N	\N
641368	2189	1996-12-31	VYDAJ	VYBER	15	75020	SLUZBY	\N	\N
641369	2189	1997-01-31	VYDAJ	VYBER	15	51316	SLUZBY	\N	\N
641370	2189	1997-02-28	VYDAJ	VYBER	15	67373	SLUZBY	\N	\N
641371	2189	1997-03-31	VYDAJ	VYBER	15	70661	SLUZBY	\N	\N
641372	2189	1997-04-30	VYDAJ	VYBER	15	64043	SLUZBY	\N	\N
641373	2189	1997-05-31	VYDAJ	VYBER	15	51512	SLUZBY	\N	\N
641374	2189	1997-06-30	VYDAJ	VYBER	15	44007	SLUZBY	\N	\N
641375	2189	1997-07-31	VYDAJ	VYBER	15	44017	SLUZBY	\N	\N
641376	2189	1997-08-31	VYDAJ	VYBER	15	49042	SLUZBY	\N	\N
641377	2189	1997-09-30	VYDAJ	VYBER	15	48685	SLUZBY	\N	\N
641378	2189	1997-10-31	VYDAJ	VYBER	15	48724	SLUZBY	\N	\N
641379	2189	1997-11-30	VYDAJ	VYBER	15	45861	SLUZBY	\N	\N
641380	2189	1997-12-31	VYDAJ	VYBER	15	48127	SLUZBY	\N	\N
641381	2189	1998-01-31	VYDAJ	VYBER	15	47759	SLUZBY	\N	\N
641382	2189	1998-02-28	VYDAJ	VYBER	15	48190	SLUZBY	\N	\N
641383	2189	1998-03-31	VYDAJ	VYBER	15	43692	SLUZBY	\N	\N
641384	2189	1998-04-30	VYDAJ	VYBER	15	49711	SLUZBY	\N	\N
641385	2189	1998-05-31	VYDAJ	VYBER	15	53052	SLUZBY	\N	\N
641386	2189	1998-06-30	VYDAJ	VYBER	15	52238	SLUZBY	\N	\N
641387	2189	1998-07-31	VYDAJ	VYBER	15	53785	SLUZBY	\N	\N
641388	2189	1998-08-31	VYDAJ	VYBER	15	58241	SLUZBY	\N	\N
641389	2189	1998-09-30	VYDAJ	VYBER	15	62413	SLUZBY	\N	\N
641390	2189	1998-10-31	VYDAJ	VYBER	15	60795	SLUZBY	\N	\N
641391	2189	1998-11-30	VYDAJ	VYBER	15	58267	SLUZBY	\N	\N
641392	2189	1993-05-22	PRIJEM	VKLAD	2100	23582	\N	\N	\N
641393	2189	1993-06-21	VYDAJ	VYBER	14500	40287	\N	\N	\N
641394	2189	1993-07-21	VYDAJ	VYBER	18200	42990	\N	\N	\N
641395	2189	1993-08-20	VYDAJ	VYBER	21500	42444	\N	\N	\N
641396	2189	1993-09-19	VYDAJ	VYBER	19300	43400	\N	\N	\N
641397	2189	1993-10-19	VYDAJ	VYBER	16100	43304	\N	\N	\N
641398	2189	1993-11-18	VYDAJ	VYBER	18700	40608	\N	\N	\N
641399	2189	1993-12-18	VYDAJ	VYBER	19600	47396	\N	\N	\N
641400	2189	1994-01-17	VYDAJ	VYBER	18400	41001	\N	\N	\N
641401	2189	1994-02-16	VYDAJ	VYBER	15700	41296	\N	\N	\N
641402	2189	1994-03-18	VYDAJ	VYBER	16500	40784	\N	\N	\N
641403	2189	1994-04-17	VYDAJ	VYBER	18200	38576	\N	\N	\N
641404	2189	1994-05-17	VYDAJ	VYBER	12900	39619	\N	\N	\N
641405	2189	1994-06-16	VYDAJ	VYBER	21900	43247	\N	\N	\N
641406	2189	1994-07-16	VYDAJ	VYBER	19300	39939	\N	\N	\N
641407	2189	1994-08-15	VYDAJ	VYBER	16300	39629	\N	\N	\N
641408	2189	1994-09-14	VYDAJ	VYBER	12500	39372	\N	\N	\N
641409	2189	1994-10-14	VYDAJ	VYBER	13800	38775	\N	\N	\N
641410	2189	1994-11-13	VYDAJ	VYBER	15200	34619	\N	\N	\N
641411	2189	1994-12-13	VYDAJ	VYBER	17300	38902	\N	\N	\N
641412	2189	1995-01-12	VYDAJ	VYBER	4700	29380	\N	\N	\N
641413	2189	1995-02-11	VYDAJ	VYBER	8400	36976	\N	\N	\N
641414	2189	1995-03-13	VYDAJ	VYBER	21200	50426	\N	\N	\N
641415	2189	1995-04-12	VYDAJ	VYBER	10400	35271	\N	\N	\N
641416	2189	1995-05-12	VYDAJ	VYBER	7800	37609	\N	\N	\N
641417	2189	1995-06-11	VYDAJ	VYBER	13300	40345	\N	\N	\N
641418	2189	1995-07-11	VYDAJ	VYBER	23200	43614	\N	\N	\N
641419	2189	1995-08-10	VYDAJ	VYBER	14000	48497	\N	\N	\N
641420	2189	1995-09-09	VYDAJ	VYBER	15200	49372	\N	\N	\N
641421	2189	1995-10-09	VYDAJ	VYBER	13900	44686	\N	\N	\N
641422	2189	1995-11-08	VYDAJ	VYBER	17900	44293	\N	\N	\N
641423	2189	1995-12-08	VYDAJ	VYBER	13600	46746	\N	\N	\N
641424	2189	1996-01-07	VYDAJ	VYBER	22400	48119	\N	\N	\N
641425	2189	1996-02-06	VYDAJ	VYBER	13600	50592	\N	\N	\N
641426	2189	1996-03-07	VYDAJ	VYBER	16700	49965	\N	\N	\N
641427	2189	1996-04-06	VYDAJ	VYBER	18300	47739	\N	\N	\N
641428	2189	1996-05-06	VYDAJ	VYBER	14000	49806	\N	\N	\N
641429	2189	1996-06-05	VYDAJ	VYBER	18600	47277	\N	\N	\N
641430	2189	1996-07-05	VYDAJ	VYBER	15600	50139	\N	\N	\N
641431	2189	1996-08-04	VYDAJ	VYBER	13700	48796	\N	\N	\N
641432	2189	1996-09-03	VYDAJ	VYBER	18300	46561	\N	\N	\N
641433	2189	1996-10-03	VYDAJ	VYBER	17700	44922	\N	\N	\N
641434	2189	1996-11-02	VYDAJ	VYBER	14000	46976	\N	\N	\N
641435	2189	1996-12-02	VYDAJ	VYBER	11300	51733	\N	\N	\N
641436	2189	1997-01-01	VYDAJ	VYBER	19800	55220	\N	\N	\N
641437	2189	1997-01-31	VYDAJ	VYBER	20000	51330	\N	\N	\N
641438	2189	1997-03-02	VYDAJ	VYBER	12800	54573	\N	\N	\N
641439	2189	1997-04-01	VYDAJ	VYBER	18500	52161	\N	\N	\N
641440	2189	1997-05-01	VYDAJ	VYBER	13900	50143	\N	\N	\N
641441	2189	1997-05-31	VYDAJ	VYBER	14700	51526	\N	\N	\N
641442	2189	1997-06-30	VYDAJ	VYBER	5600	38407	\N	\N	\N
641443	2189	1997-07-30	VYDAJ	VYBER	10400	43833	\N	\N	\N
641444	2189	1997-08-29	VYDAJ	VYBER	11000	48843	\N	\N	\N
641445	2189	1997-09-28	VYDAJ	VYBER	16400	48468	\N	\N	\N
641446	2189	1997-10-28	VYDAJ	VYBER	16000	48511	\N	\N	\N
641447	2189	1997-11-27	VYDAJ	VYBER	18900	45650	\N	\N	\N
641448	2189	1997-12-27	VYDAJ	VYBER	16900	47918	\N	\N	\N
641449	2189	1998-01-26	VYDAJ	VYBER	16400	47553	\N	\N	\N
641450	2189	1998-02-25	VYDAJ	VYBER	15600	47985	\N	\N	\N
641451	2189	1998-03-27	VYDAJ	VYBER	12200	43496	\N	\N	\N
641452	2189	1998-04-26	VYDAJ	VYBER	10000	49518	\N	\N	\N
641453	2189	1998-05-26	VYDAJ	VYBER	12700	52837	\N	\N	\N
641454	2189	1998-06-25	VYDAJ	VYBER KARTOU	3700	52049	\N	\N	0
641455	2189	1998-07-25	VYDAJ	VYBER	12700	53564	\N	\N	\N
641456	2189	1998-08-24	VYDAJ	VYBER	11600	58011	\N	\N	\N
641457	2189	1998-09-23	VYDAJ	VYBER	11900	62167	\N	\N	\N
641458	2189	1998-10-23	VYDAJ	VYBER	17700	60539	\N	\N	\N
641459	2189	1998-11-22	VYDAJ	VYBER	18600	58021	\N	\N	\N
641460	2189	1998-12-22	VYDAJ	VYBER	15900	65684	\N	\N	\N
641529	2190	1996-06-04	PRIJEM	VKLAD	800	800	\N	\N	\N
641534	2190	1996-12-08	PRIJEM	VKLAD	8611	45752	\N	\N	\N
641535	2190	1996-11-08	PRIJEM	VKLAD	22884	47449	\N	\N	\N
641536	2190	1996-07-31	PRIJEM	VKLAD	12795	41249	\N	\N	\N
641539	2190	1996-07-02	PRIJEM	VKLAD	31846	32646	\N	\N	\N
641541	2190	1997-07-08	PRIJEM	VKLAD	36540	75893	\N	\N	\N
641542	2190	1997-02-27	PRIJEM	VKLAD	34573	123451	\N	\N	\N
641543	2190	1997-06-29	PRIJEM	VKLAD	42195	74363	\N	\N	\N
641544	2190	1997-01-25	PRIJEM	VKLAD	46201	80663	\N	\N	\N
641545	2190	1997-09-23	PRIJEM	VKLAD	18461	123444	\N	\N	\N
641546	2190	1997-09-23	PRIJEM	VKLAD	27118	104983	\N	\N	\N
641547	2190	1997-06-26	PRIJEM	VKLAD	22425	32168	\N	\N	\N
641548	2190	1997-08-01	PRIJEM	VKLAD	24237	69591	\N	\N	\N
641549	2190	1997-10-16	PRIJEM	VKLAD	9443	51125	\N	\N	\N
641550	2190	1997-02-06	PRIJEM	VKLAD	23873	87962	\N	\N	\N
641551	2190	1997-01-21	PRIJEM	VKLAD	19463	34462	\N	\N	\N
641552	2190	1997-12-30	PRIJEM	VKLAD	8693	26239	\N	\N	\N
641553	2190	1997-11-11	PRIJEM	VKLAD	14607	39452	\N	\N	\N
641554	2190	1997-09-10	PRIJEM	VKLAD	25917	80647	\N	\N	\N
641555	2190	1997-01-25	PRIJEM	VKLAD	42997	123660	\N	\N	\N
641556	2190	1997-01-01	PRIJEM	VKLAD	41777	80520	\N	\N	\N
641557	2190	1997-02-12	PRIJEM	VKLAD	8837	91660	\N	\N	\N
641558	2190	1997-01-31	PRIJEM	VKLAD	32216	74476	\N	\N	\N
641559	2190	1997-08-19	PRIJEM	VKLAD	38734	100404	\N	\N	\N
641560	2190	1998-12-25	PRIJEM	VKLAD	34925	86584	\N	\N	\N
641561	2190	1998-04-09	PRIJEM	VKLAD	15807	97716	\N	\N	\N
641562	2190	1998-11-27	PRIJEM	VKLAD	26435	77316	\N	\N	\N
641563	2190	1998-10-18	PRIJEM	VKLAD	33809	82052	\N	\N	\N
641564	2190	1998-07-04	PRIJEM	VKLAD	48195	130735	\N	\N	\N
641565	2190	1998-11-03	PRIJEM	VKLAD	47389	91014	\N	\N	\N
641566	2190	1998-10-08	PRIJEM	VKLAD	15055	52515	\N	\N	\N
641567	2190	1998-12-06	PRIJEM	VKLAD	15804	93378	\N	\N	\N
641568	2190	1998-01-31	PRIJEM	VKLAD	15928	54715	\N	\N	\N
641569	2190	1998-02-28	PRIJEM	VKLAD	24914	59678	\N	\N	\N
641570	2190	1998-11-12	PRIJEM	VKLAD	19188	91263	\N	\N	\N
641571	2190	1998-12-06	PRIJEM	VKLAD	20702	114080	\N	\N	\N
641572	2190	1998-06-19	PRIJEM	VKLAD	39306	75038	\N	\N	\N
641573	2190	1998-01-04	PRIJEM	VKLAD	49038	75332	\N	\N	\N
641574	2190	1998-04-19	PRIJEM	VKLAD	44745	106760	\N	\N	\N
641575	2190	1998-10-01	PRIJEM	VKLAD	11697	41109	\N	\N	\N
641576	2190	1998-03-27	PRIJEM	VKLAD	12094	35755	\N	\N	\N
641577	2190	1998-08-21	PRIJEM	VKLAD	18621	66428	\N	\N	\N
641578	2190	1998-04-01	PRIJEM	VKLAD	36464	85558	\N	\N	\N
641579	2190	1998-01-16	PRIJEM	VKLAD	31438	79049	\N	\N	\N
641580	2190	1998-04-21	PRIJEM	VKLAD	48130	108490	\N	\N	\N
641581	2190	1998-03-28	PRIJEM	VKLAD	13226	48981	\N	\N	\N
641582	2190	1998-06-27	PRIJEM	VKLAD	35414	82352	\N	\N	\N
641595	2190	1997-01-06	VYDAJ	PREVOD NA UCET	3649	19271	SIPO	WX	48310
641596	2190	1997-02-06	VYDAJ	PREVOD NA UCET	3649	84313	SIPO	WX	48310
641597	2190	1997-03-06	VYDAJ	PREVOD NA UCET	3649	50337	SIPO	WX	48310
641598	2190	1997-04-06	VYDAJ	PREVOD NA UCET	3649	27222	SIPO	WX	48310
641599	2190	1997-05-06	VYDAJ	PREVOD NA UCET	3649	18694	SIPO	WX	48310
641600	2190	1997-06-06	VYDAJ	PREVOD NA UCET	3649	14015	SIPO	WX	48310
641601	2190	1997-07-06	VYDAJ	PREVOD NA UCET	3649	39353	SIPO	WX	48310
641602	2190	1997-08-06	VYDAJ	PREVOD NA UCET	3649	65942	SIPO	WX	48310
641603	2190	1997-09-06	VYDAJ	PREVOD NA UCET	3649	56220	SIPO	WX	48310
641604	2190	1997-10-06	VYDAJ	PREVOD NA UCET	3649	45954	SIPO	WX	48310
641605	2190	1997-11-06	VYDAJ	PREVOD NA UCET	3649	26335	SIPO	WX	48310
641606	2190	1997-12-06	VYDAJ	PREVOD NA UCET	3649	21618	SIPO	WX	48310
641607	2190	1998-01-06	VYDAJ	PREVOD NA UCET	3649	59683	SIPO	WX	48310
641608	2190	1998-02-06	VYDAJ	PREVOD NA UCET	3649	51036	SIPO	WX	48310
641609	2190	1998-03-06	VYDAJ	PREVOD NA UCET	3649	49598	SIPO	WX	48310
641610	2190	1998-04-06	VYDAJ	PREVOD NA UCET	3649	81909	SIPO	WX	48310
641611	2190	1998-05-06	VYDAJ	PREVOD NA UCET	3649	59627	SIPO	WX	48310
641612	2190	1998-06-06	VYDAJ	PREVOD NA UCET	3649	40004	SIPO	WX	48310
641613	2190	1998-07-06	VYDAJ	PREVOD NA UCET	3649	103386	SIPO	WX	48310
641614	2190	1998-08-06	VYDAJ	PREVOD NA UCET	3649	52079	SIPO	WX	48310
641615	2190	1998-09-06	VYDAJ	PREVOD NA UCET	3649	41659	SIPO	WX	48310
641616	2190	1998-10-06	VYDAJ	PREVOD NA UCET	3649	37460	SIPO	WX	48310
641617	2190	1998-11-06	VYDAJ	PREVOD NA UCET	3649	73565	SIPO	WX	48310
641618	2190	1998-12-06	VYDAJ	PREVOD NA UCET	3649	110431	SIPO	WX	48310
641631	2190	1997-01-09	VYDAJ	PREVOD NA UCET	1490	17781	 	ST	90605234
641632	2190	1997-02-09	VYDAJ	PREVOD NA UCET	1490	82823	 	ST	90605234
641633	2190	1997-03-09	VYDAJ	PREVOD NA UCET	1490	48847	 	ST	90605234
641634	2190	1997-04-09	VYDAJ	PREVOD NA UCET	1490	25732	 	ST	90605234
641635	2190	1997-05-09	VYDAJ	PREVOD NA UCET	1490	17204	 	ST	90605234
641636	2190	1997-06-09	VYDAJ	PREVOD NA UCET	1490	12525	 	ST	90605234
641637	2190	1997-07-09	VYDAJ	PREVOD NA UCET	1490	74403	 	ST	90605234
641638	2190	1997-08-09	VYDAJ	PREVOD NA UCET	1490	64452	 	ST	90605234
641639	2190	1997-09-09	VYDAJ	PREVOD NA UCET	1490	54730	 	ST	90605234
641640	2190	1997-10-09	VYDAJ	PREVOD NA UCET	1490	44464	 	ST	90605234
641641	2190	1997-11-09	VYDAJ	PREVOD NA UCET	1490	24845	 	ST	90605234
641642	2190	1997-12-09	VYDAJ	PREVOD NA UCET	1490	20128	 	ST	90605234
641643	2190	1998-01-09	VYDAJ	PREVOD NA UCET	1490	53393	 	ST	90605234
641644	2190	1998-02-09	VYDAJ	PREVOD NA UCET	1490	49546	 	ST	90605234
641645	2190	1998-03-09	VYDAJ	PREVOD NA UCET	1490	24543	 	ST	90605234
641646	2190	1998-04-09	VYDAJ	PREVOD NA UCET	1490	96226	 	ST	90605234
641647	2190	1998-05-09	VYDAJ	PREVOD NA UCET	1490	58137	 	ST	90605234
641648	2190	1998-06-09	VYDAJ	PREVOD NA UCET	1490	38514	 	ST	90605234
641649	2190	1998-07-09	VYDAJ	PREVOD NA UCET	1490	95287	 	ST	90605234
641650	2190	1998-08-09	VYDAJ	PREVOD NA UCET	1490	50589	 	ST	90605234
641651	2190	1998-09-09	VYDAJ	PREVOD NA UCET	1490	40169	 	ST	90605234
641652	2190	1998-10-09	VYDAJ	PREVOD NA UCET	1490	51025	 	ST	90605234
641653	2190	1998-11-09	VYDAJ	PREVOD NA UCET	1490	72075	 	ST	90605234
641654	2190	1998-12-09	VYDAJ	PREVOD NA UCET	1490	90541	 	ST	90605234
641667	2190	1997-01-14	VYDAJ	PREVOD NA UCET	2782	14999	POJISTNE	EF	37804508
641668	2190	1997-02-14	VYDAJ	PREVOD NA UCET	2782	88878	POJISTNE	EF	37804508
641669	2190	1997-03-14	VYDAJ	PREVOD NA UCET	2782	46065	POJISTNE	EF	37804508
641670	2190	1997-04-14	VYDAJ	PREVOD NA UCET	2782	22950	POJISTNE	EF	37804508
641671	2190	1997-05-14	VYDAJ	PREVOD NA UCET	2782	14422	POJISTNE	EF	37804508
641672	2190	1997-06-14	VYDAJ	PREVOD NA UCET	2782	9743	POJISTNE	EF	37804508
641673	2190	1997-07-14	VYDAJ	PREVOD NA UCET	2782	71621	POJISTNE	EF	37804508
641674	2190	1997-08-14	VYDAJ	PREVOD NA UCET	2782	61670	POJISTNE	EF	37804508
641675	2190	1997-09-14	VYDAJ	PREVOD NA UCET	2782	77865	POJISTNE	EF	37804508
641676	2190	1997-10-14	VYDAJ	PREVOD NA UCET	2782	41682	POJISTNE	EF	37804508
641677	2190	1997-11-14	VYDAJ	PREVOD NA UCET	2782	36670	POJISTNE	EF	37804508
641678	2190	1997-12-14	VYDAJ	PREVOD NA UCET	2782	17346	POJISTNE	EF	37804508
641679	2190	1998-01-14	VYDAJ	PREVOD NA UCET	2782	47611	POJISTNE	EF	37804508
641680	2190	1998-02-14	VYDAJ	PREVOD NA UCET	2782	46764	POJISTNE	EF	37804508
641681	2190	1998-03-14	VYDAJ	PREVOD NA UCET	2782	21761	POJISTNE	EF	37804508
641682	2190	1998-04-14	VYDAJ	PREVOD NA UCET	2782	75076	POJISTNE	EF	37804508
641683	2190	1998-05-14	VYDAJ	PREVOD NA UCET	2782	55355	POJISTNE	EF	37804508
641684	2190	1998-06-14	VYDAJ	PREVOD NA UCET	2782	35732	POJISTNE	EF	37804508
641685	2190	1998-07-14	VYDAJ	PREVOD NA UCET	2782	92505	POJISTNE	EF	37804508
641686	2190	1998-08-14	VYDAJ	PREVOD NA UCET	2782	47807	POJISTNE	EF	37804508
641687	2190	1998-09-14	VYDAJ	PREVOD NA UCET	2782	37387	POJISTNE	EF	37804508
641688	2190	1998-10-14	VYDAJ	PREVOD NA UCET	2782	48243	POJISTNE	EF	37804508
641689	2190	1998-11-14	VYDAJ	PREVOD NA UCET	2782	88481	POJISTNE	EF	37804508
641690	2190	1998-12-14	VYDAJ	PREVOD NA UCET	2782	81159	POJISTNE	EF	37804508
641703	2190	1997-09-25	VYBER	VYBER	9410	77134	\N	\N	\N
641704	2190	1998-03-09	VYBER	VYBER	23565	26033	\N	\N	\N
641705	2190	1998-07-23	VYBER	VYBER	12401	80104	\N	\N	\N
641706	2190	1998-04-11	VYBER	VYBER	18368	77858	\N	\N	\N
641707	2190	1998-07-07	VYBER	VYBER	6609	96777	\N	\N	\N
641708	2190	1998-04-16	VYBER	VYBER	13061	62015	\N	\N	\N
641713	2190	1997-01-03	VYDAJ	VYBER	18000	47820	\N	\N	\N
641714	2190	1998-01-12	VYDAJ	VYBER	3000	50393	\N	\N	\N
641717	2190	1998-12-09	VYDAJ	VYBER	6600	83941	\N	\N	\N
641724	2190	1997-01-01	VYDAJ	VYBER	7500	73020	\N	\N	\N
641725	2190	1997-01-02	VYDAJ	VYBER	5700	67320	\N	\N	\N
641726	2190	1997-01-03	VYDAJ	VYBER	1500	65820	\N	\N	\N
641728	2190	1997-01-04	VYDAJ	VYBER	8400	26520	\N	\N	\N
641729	2190	1997-01-05	VYDAJ	VYBER	3600	22920	\N	\N	\N
641730	2190	1998-01-23	VYDAJ	VYBER	4200	74849	\N	\N	\N
641731	2190	1998-01-04	VYDAJ	VYBER	2400	69032	\N	\N	\N
641732	2190	1998-01-06	VYDAJ	VYBER	5700	63332	\N	\N	\N
641733	2190	1998-01-29	VYDAJ	VYBER	7800	38549	\N	\N	\N
641734	2190	1998-01-04	VYDAJ	VYBER	3900	71432	\N	\N	\N
641735	2190	1998-01-07	VYDAJ	VYBER	4800	54883	\N	\N	\N
641743	2190	1997-09-23	VYDAJ	VYBER	1500	121944	\N	\N	\N
641744	2190	1997-01-03	VYDAJ	VYBER	12900	34920	\N	\N	\N
641745	2190	1997-11-16	VYDAJ	VYBER	5700	30970	\N	\N	\N
641746	2190	1997-02-03	VYDAJ	VYBER	10500	64089	\N	\N	\N
641748	2190	1998-06-26	VYDAJ	VYBER	4200	46938	\N	\N	\N
641749	2190	1998-02-28	VYDAJ	VYBER	6600	53277	\N	\N	\N
641751	2190	1998-10-26	VYDAJ	VYBER	7500	43452	\N	\N	\N
641752	2190	1998-11-06	VYDAJ	VYBER	13800	77214	\N	\N	\N
641766	2190	1997-01-31	VYDAJ	VYBER	30	74589	SLUZBY	\N	\N
641767	2190	1997-02-28	VYDAJ	VYBER	30	105586	SLUZBY	\N	\N
641768	2190	1997-03-31	VYDAJ	VYBER	30	46271	SLUZBY	\N	\N
641769	2190	1997-04-30	VYDAJ	VYBER	30	23043	SLUZBY	\N	\N
641770	2190	1997-05-31	VYDAJ	VYBER	30	17664	SLUZBY	\N	\N
641771	2190	1997-06-30	VYDAJ	VYBER	30	43002	SLUZBY	\N	\N
641772	2190	1997-07-31	VYDAJ	VYBER	30	45354	SLUZBY	\N	\N
641773	2190	1997-08-31	VYDAJ	VYBER	30	59869	SLUZBY	\N	\N
641774	2190	1997-09-30	VYDAJ	VYBER	30	49603	SLUZBY	\N	\N
641775	2190	1997-10-31	VYDAJ	VYBER	30	29984	SLUZBY	\N	\N
641776	2190	1997-11-30	VYDAJ	VYBER	30	25267	SLUZBY	\N	\N
641777	2190	1997-12-31	VYDAJ	VYBER	30	26294	SLUZBY	\N	\N
641778	2190	1998-01-31	VYDAJ	VYBER	30	54685	SLUZBY	\N	\N
641779	2190	1998-02-28	VYDAJ	VYBER	30	53247	SLUZBY	\N	\N
641780	2190	1998-03-31	VYDAJ	VYBER	30	49094	SLUZBY	\N	\N
641781	2190	1998-04-30	VYDAJ	VYBER	30	63276	SLUZBY	\N	\N
641782	2190	1998-05-31	VYDAJ	VYBER	30	43653	SLUZBY	\N	\N
641783	2190	1998-06-30	VYDAJ	VYBER	30	82540	SLUZBY	\N	\N
641784	2190	1998-07-31	VYDAJ	VYBER	30	55728	SLUZBY	\N	\N
641785	2190	1998-08-31	VYDAJ	VYBER	30	45308	SLUZBY	\N	\N
641786	2190	1998-09-30	VYDAJ	VYBER	30	29412	SLUZBY	\N	\N
641787	2190	1998-10-31	VYDAJ	VYBER	30	43625	SLUZBY	\N	\N
641788	2190	1998-11-30	VYDAJ	VYBER	30	77574	SLUZBY	\N	\N
641789	2190	1996-07-04	VYDAJ	VYBER	4300	28346	\N	\N	\N
641790	2190	1996-08-03	VYDAJ	VYBER	8400	32849	\N	\N	\N
641791	2190	1996-09-02	VYDAJ	VYBER	4500	28521	\N	\N	\N
641792	2190	1996-10-02	VYDAJ	VYBER	3900	24793	\N	\N	\N
641793	2190	1996-11-01	VYDAJ	VYBER	400	24565	\N	\N	\N
641794	2190	1996-12-01	VYDAJ	VYBER	10500	37141	\N	\N	\N
641795	2190	1996-12-31	VYDAJ	VYBER	7200	38743	\N	\N	\N
641796	2190	1997-01-25	VYDAJ	VYBER	59300	64360	\N	\N	\N
641797	2190	1997-01-30	VYDAJ	VYBER	22100	42260	\N	\N	\N
641798	2190	1997-02-27	VYDAJ	VYBER	18200	105251	\N	\N	\N
641799	2190	1997-02-28	VYDAJ	VYBER	23600	81986	\N	\N	\N
641800	2190	1997-03-01	VYDAJ	VYBER	28000	53986	\N	\N	\N
641801	2190	1997-03-31	VYDAJ	VYBER	15400	30871	\N	\N	\N
641802	2190	1997-04-30	VYDAJ	VYBER	700	22343	\N	\N	\N
641803	2190	1997-05-30	PRIJEM	VKLAD	3200	17622	\N	\N	\N
641804	2190	1997-06-29	VYDAJ	VYBER	31400	42963	\N	\N	\N
641805	2190	1997-07-29	VYDAJ	VYBER	26500	45121	\N	\N	\N
641806	2190	1997-08-28	VYDAJ	VYBER	40800	59604	\N	\N	\N
641807	2190	1997-09-23	VYDAJ	VYBER	35400	86544	\N	\N	\N
641808	2190	1997-09-27	VYDAJ	VYBER	27800	49334	\N	\N	\N
641809	2190	1997-10-27	VYDAJ	VYBER	21300	29825	\N	\N	\N
641810	2190	1997-11-26	VYDAJ	VYBER	5800	25170	\N	\N	\N
641811	2190	1997-12-26	PRIJEM	VKLAD	200	17546	\N	\N	\N
641812	2190	1998-01-25	VYDAJ	VYBER	28500	46349	\N	\N	\N
641813	2190	1998-02-24	VYDAJ	VYBER	12000	34764	\N	\N	\N
641814	2190	1998-03-26	PRIJEM	VKLAD	1900	23661	\N	\N	\N
641815	2190	1998-04-19	VYDAJ	VYBER	46400	60360	\N	\N	\N
641816	2190	1998-04-25	VYDAJ	VYBER	45500	62990	\N	\N	\N
641817	2190	1998-05-25	VYDAJ	VYBER	11900	43455	\N	\N	\N
641818	2190	1998-06-24	VYDAJ	VYBER	23900	51138	\N	\N	\N
641819	2190	1998-07-04	VYDAJ	VYBER	23700	107035	\N	\N	\N
641820	2190	1998-07-24	VYDAJ	VYBER	24700	55404	\N	\N	\N
641821	2190	1998-08-23	VYDAJ	VYBER	21300	45128	\N	\N	\N
641822	2190	1998-09-22	VYDAJ	VYBER	8100	29287	\N	\N	\N
641823	2190	1998-10-22	VYDAJ	VYBER	31100	50952	\N	\N	\N
641824	2190	1998-11-21	VYDAJ	VYBER	37600	50881	\N	\N	\N
641825	2190	1998-12-06	VYDAJ	VYBER	18400	92031	\N	\N	\N
641826	2190	1998-12-21	VYDAJ	VYBER	29500	51659	\N	\N	\N
641857	2191	1996-08-08	PRIJEM	VKLAD	800	13931	\N	\N	\N
641865	2191	1996-08-08	PRIJEM	VKLAD	13131	13131	\N	\N	\N
641866	2191	1996-09-08	PRIJEM	VKLAD	13131	31204	\N	\N	\N
641867	2191	1996-10-08	PRIJEM	VKLAD	13131	40648	\N	\N	\N
641868	2191	1996-11-08	PRIJEM	VKLAD	13131	44339	\N	\N	\N
641869	2191	1996-12-08	PRIJEM	VKLAD	19696	48417	\N	\N	\N
641870	2191	1997-01-08	PRIJEM	VKLAD	13131	43309	\N	\N	\N
641871	2191	1997-02-08	PRIJEM	VKLAD	13131	28336	\N	\N	\N
641872	2191	1997-03-08	PRIJEM	VKLAD	13131	26881	\N	\N	\N
641873	2191	1997-04-08	PRIJEM	VKLAD	13131	27277	\N	\N	\N
641874	2191	1997-05-08	PRIJEM	VKLAD	13131	27728	\N	\N	\N
641875	2191	1997-06-08	PRIJEM	VKLAD	19696	36690	\N	\N	\N
641876	2191	1997-07-08	PRIJEM	VKLAD	13131	30760	\N	\N	\N
641877	2191	1997-08-08	PRIJEM	VKLAD	13131	28922	\N	\N	\N
641878	2191	1997-09-08	PRIJEM	VKLAD	13131	28272	\N	\N	\N
641879	2191	1997-10-08	PRIJEM	VKLAD	13131	28619	\N	\N	\N
641880	2191	1997-11-08	PRIJEM	VKLAD	13131	25266	\N	\N	\N
641881	2191	1997-12-08	PRIJEM	VKLAD	19696	35367	\N	\N	\N
641882	2191	1998-01-08	PRIJEM	VKLAD	13131	31452	\N	\N	\N
641883	2191	1998-02-08	PRIJEM	VKLAD	13131	25283	\N	\N	\N
641884	2191	1998-03-08	PRIJEM	VKLAD	13131	27106	\N	\N	\N
641885	2191	1998-04-08	PRIJEM	VKLAD	13131	24699	\N	\N	\N
641886	2191	1998-05-08	PRIJEM	VKLAD	13131	26528	\N	\N	\N
641887	2191	1998-06-08	PRIJEM	VKLAD	19696	36320	\N	\N	\N
641888	2191	1998-07-08	PRIJEM	VKLAD	13131	34479	\N	\N	\N
641889	2191	1998-08-08	PRIJEM	VKLAD	13131	30046	\N	\N	\N
641890	2191	1998-09-08	PRIJEM	VKLAD	13131	30981	\N	\N	\N
641891	2191	1998-10-08	PRIJEM	VKLAD	13131	24496	\N	\N	\N
641892	2191	1998-11-08	PRIJEM	VKLAD	13131	28915	\N	\N	\N
641893	2191	1998-12-08	PRIJEM	VKLAD	19696	33487	\N	\N	\N
641905	2191	1996-12-10	VYDAJ	PREVOD NA UCET	6762	41655	SIPO	MN	83969157
641906	2191	1997-01-10	VYDAJ	PREVOD NA UCET	6762	33547	SIPO	MN	83969157
641907	2191	1997-02-10	VYDAJ	PREVOD NA UCET	6762	21574	SIPO	MN	83969157
641908	2191	1997-03-10	VYDAJ	PREVOD NA UCET	6762	20119	SIPO	MN	83969157
641909	2191	1997-04-10	VYDAJ	PREVOD NA UCET	6762	20515	SIPO	MN	83969157
641910	2191	1997-05-10	VYDAJ	PREVOD NA UCET	6762	20966	SIPO	MN	83969157
641911	2191	1997-06-10	VYDAJ	PREVOD NA UCET	6762	29928	SIPO	MN	83969157
641912	2191	1997-07-10	VYDAJ	PREVOD NA UCET	6762	23998	SIPO	MN	83969157
641913	2191	1997-08-10	VYDAJ	PREVOD NA UCET	6762	22160	SIPO	MN	83969157
641914	2191	1997-09-10	VYDAJ	PREVOD NA UCET	6762	21510	SIPO	MN	83969157
641915	2191	1997-10-10	VYDAJ	PREVOD NA UCET	6762	21857	SIPO	MN	83969157
641916	2191	1997-11-10	VYDAJ	PREVOD NA UCET	6762	18504	SIPO	MN	83969157
641917	2191	1997-12-10	VYDAJ	PREVOD NA UCET	6762	28605	SIPO	MN	83969157
641918	2191	1998-01-10	VYDAJ	PREVOD NA UCET	6762	20610	SIPO	MN	83969157
641919	2191	1998-02-10	VYDAJ	PREVOD NA UCET	6762	18521	SIPO	MN	83969157
641920	2191	1998-03-10	VYDAJ	PREVOD NA UCET	6762	20344	SIPO	MN	83969157
641921	2191	1998-04-10	VYDAJ	PREVOD NA UCET	6762	17937	SIPO	MN	83969157
641922	2191	1998-05-10	VYDAJ	PREVOD NA UCET	6762	19766	SIPO	MN	83969157
641923	2191	1998-06-10	VYDAJ	PREVOD NA UCET	6762	29558	SIPO	MN	83969157
641924	2191	1998-07-10	VYDAJ	PREVOD NA UCET	6762	27717	SIPO	MN	83969157
641925	2191	1998-08-10	VYDAJ	PREVOD NA UCET	6762	23284	SIPO	MN	83969157
641926	2191	1998-09-10	VYDAJ	PREVOD NA UCET	6762	24219	SIPO	MN	83969157
641927	2191	1998-10-10	VYDAJ	PREVOD NA UCET	6762	17734	SIPO	MN	83969157
641928	2191	1998-11-10	VYDAJ	PREVOD NA UCET	6762	22153	SIPO	MN	83969157
641929	2191	1998-12-10	VYDAJ	PREVOD NA UCET	6762	26725	SIPO	MN	83969157
641934	2191	1997-01-27	VYDAJ	VYBER	6880	23067	\N	\N	\N
641935	2191	1998-01-11	VYDAJ	VYBER	1760	18850	\N	\N	\N
641942	2191	1997-01-28	VYDAJ	VYBER	1320	21747	\N	\N	\N
641943	2191	1997-01-10	VYDAJ	VYBER	1440	32107	\N	\N	\N
641944	2191	1997-01-02	VYDAJ	VYBER	840	40978	\N	\N	\N
641945	2191	1997-01-29	VYDAJ	VYBER	1680	20067	\N	\N	\N
641946	2191	1997-01-10	VYDAJ	VYBER	3000	40309	\N	\N	\N
641947	2191	1997-01-27	VYDAJ	VYBER	2160	29947	\N	\N	\N
641948	2191	1998-01-04	VYDAJ	VYBER	960	19641	\N	\N	\N
641949	2191	1998-01-23	VYDAJ	VYBER	3240	15610	\N	\N	\N
641950	2191	1998-01-09	VYDAJ	VYBER	600	30852	\N	\N	\N
641951	2191	1998-01-07	VYDAJ	VYBER	1320	18321	\N	\N	\N
641952	2191	1998-01-26	VYDAJ	VYBER	1320	14290	\N	\N	\N
641953	2191	1998-01-09	VYDAJ	VYBER	3480	27372	\N	\N	\N
641957	2191	1997-05-11	VYDAJ	VYBER	1440	19526	\N	\N	\N
641958	2191	1997-04-11	VYDAJ	VYBER	2280	18235	\N	\N	\N
641959	2191	1997-03-24	VYDAJ	VYBER	4440	15679	\N	\N	\N
641960	2191	1998-07-12	VYDAJ	VYBER	1440	26277	\N	\N	\N
641961	2191	1998-08-15	VYDAJ	VYBER	3000	20284	\N	\N	\N
641962	2191	1998-07-19	VYDAJ	VYBER	5040	21237	\N	\N	\N
641963	2191	1998-11-12	VYDAJ	VYBER	2520	19633	\N	\N	\N
641964	2191	1998-09-15	VYDAJ	VYBER	2520	21699	\N	\N	\N
641965	2191	1998-12-15	VYDAJ	VYBER	3840	22885	\N	\N	\N
641967	2191	1998-03-12	VYDAJ	VYBER	2040	18304	\N	\N	\N
641980	2191	1996-12-31	VYDAJ	VYBER	15	41818	SLUZBY	\N	\N
641981	2191	1997-01-31	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
641982	2191	1997-02-28	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
641983	2191	1997-03-31	VYDAJ	VYBER	15	15746	SLUZBY	\N	\N
641984	2191	1997-04-30	VYDAJ	VYBER	15	18297	SLUZBY	\N	\N
641985	2191	1997-05-31	VYDAJ	VYBER	15	19594	SLUZBY	\N	\N
641986	2191	1997-06-30	VYDAJ	VYBER	15	30029	SLUZBY	\N	\N
641987	2191	1997-07-31	VYDAJ	VYBER	15	24091	SLUZBY	\N	\N
641988	2191	1997-08-31	VYDAJ	VYBER	15	22241	SLUZBY	\N	\N
641989	2191	1997-09-30	VYDAJ	VYBER	15	21588	SLUZBY	\N	\N
641990	2191	1997-10-31	VYDAJ	VYBER	15	21935	SLUZBY	\N	\N
641991	2191	1997-11-30	VYDAJ	VYBER	15	18571	SLUZBY	\N	\N
641992	2191	1997-12-31	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
641993	2191	1998-01-31	VYDAJ	VYBER	15	12152	SLUZBY	\N	\N
641994	2191	1998-02-28	VYDAJ	VYBER	15	18575	SLUZBY	\N	\N
641995	2191	1998-03-31	VYDAJ	VYBER	15	18368	SLUZBY	\N	\N
641996	2191	1998-04-30	VYDAJ	VYBER	15	13397	SLUZBY	\N	\N
641997	2191	1998-05-31	VYDAJ	VYBER	15	16624	SLUZBY	\N	\N
641998	2191	1998-06-30	VYDAJ	VYBER	15	21348	SLUZBY	\N	\N
641999	2191	1998-07-31	VYDAJ	VYBER	15	16915	SLUZBY	\N	\N
642000	2191	1998-08-31	VYDAJ	VYBER	15	17850	SLUZBY	\N	\N
642001	2191	1998-09-30	VYDAJ	VYBER	15	11365	SLUZBY	\N	\N
642002	2191	1998-10-31	VYDAJ	VYBER	15	15784	SLUZBY	\N	\N
642003	2191	1998-11-30	VYDAJ	VYBER	15	13791	SLUZBY	\N	\N
642004	2191	1996-09-07	PRIJEM	VKLAD	4100	18073	\N	\N	\N
642005	2191	1996-10-07	VYDAJ	VYBER	3800	27517	\N	\N	\N
642006	2191	1996-11-06	VYDAJ	VYBER	9600	31208	\N	\N	\N
642007	2191	1996-12-06	VYDAJ	VYBER	15800	28721	\N	\N	\N
642008	2191	1997-01-05	VYDAJ	VYBER	10800	30178	\N	\N	\N
642009	2191	1997-02-04	VYDAJ	VYBER	5000	15205	\N	\N	\N
642010	2191	1997-03-06	VYDAJ	VYBER	7900	13750	\N	\N	\N
642011	2191	1997-04-05	VYDAJ	VYBER	1600	14146	\N	\N	\N
642012	2191	1997-05-05	VYDAJ	VYBER	3700	14597	\N	\N	\N
642013	2191	1997-06-04	VYDAJ	VYBER	2600	16994	\N	\N	\N
642014	2191	1997-07-04	VYDAJ	VYBER	12400	17629	\N	\N	\N
642015	2191	1997-08-03	VYDAJ	VYBER	8300	15791	\N	\N	\N
642016	2191	1997-09-02	VYDAJ	VYBER	7100	15141	\N	\N	\N
642017	2191	1997-10-02	VYDAJ	VYBER	6100	15488	\N	\N	\N
642018	2191	1997-11-01	VYDAJ	VYBER	9800	12135	\N	\N	\N
642019	2191	1997-12-01	VYDAJ	VYBER	2900	15671	\N	\N	\N
642020	2191	1997-12-31	VYDAJ	VYBER	8100	20615	\N	\N	\N
642021	2191	1998-01-30	VYDAJ	VYBER	2200	12090	\N	\N	\N
642022	2191	1998-03-01	VYDAJ	VYBER	4600	13975	\N	\N	\N
642023	2191	1998-03-31	VYDAJ	VYBER	6800	11568	\N	\N	\N
642024	2191	1998-04-30	VYDAJ	VYBER	4600	13411	\N	\N	\N
642025	2191	1998-05-30	VYDAJ	VYBER	3200	16566	\N	\N	\N
642026	2191	1998-06-29	VYDAJ	VYBER	8300	21258	\N	\N	\N
642027	2191	1998-07-29	VYDAJ	VYBER	4400	16837	\N	\N	\N
642028	2191	1998-08-28	VYDAJ	VYBER	2500	17784	\N	\N	\N
642029	2191	1998-09-27	VYDAJ	VYBER	10400	11299	\N	\N	\N
642030	2191	1998-10-27	VYDAJ	VYBER	2000	15734	\N	\N	\N
642031	2191	1998-11-26	VYDAJ	VYBER	5900	13733	\N	\N	\N
642061	2192	1996-03-22	PRIJEM	VKLAD	800	800	\N	\N	\N
642065	2192	1996-04-14	PRIJEM	VKLAD	21568	22368	\N	\N	\N
642066	2192	1996-05-14	PRIJEM	VKLAD	21568	47172	\N	\N	\N
642067	2192	1996-06-14	PRIJEM	VKLAD	32352	68746	\N	\N	\N
642068	2192	1996-07-14	PRIJEM	VKLAD	21568	65577	\N	\N	\N
642069	2192	1996-08-14	PRIJEM	VKLAD	21568	65127	\N	\N	\N
642070	2192	1996-09-14	PRIJEM	VKLAD	21568	56981	\N	\N	\N
642071	2192	1996-10-14	PRIJEM	VKLAD	21568	48608	\N	\N	\N
642072	2192	1996-11-14	PRIJEM	VKLAD	21568	45026	\N	\N	\N
642073	2192	1996-12-14	PRIJEM	VKLAD	32352	50691	\N	\N	\N
642074	2192	1997-01-14	PRIJEM	VKLAD	21568	35625	\N	\N	\N
642075	2192	1997-02-14	PRIJEM	VKLAD	21568	30111	\N	\N	\N
642076	2192	1997-03-14	PRIJEM	VKLAD	21568	30590	\N	\N	\N
642077	2192	1997-04-14	PRIJEM	VKLAD	21568	28557	\N	\N	\N
642078	2192	1997-05-14	PRIJEM	VKLAD	21568	29994	\N	\N	\N
642079	2192	1997-06-14	PRIJEM	VKLAD	32352	42224	\N	\N	\N
642080	2192	1997-07-14	PRIJEM	VKLAD	21568	37685	\N	\N	\N
642081	2192	1997-08-14	PRIJEM	VKLAD	21568	35049	\N	\N	\N
642082	2192	1997-09-14	PRIJEM	VKLAD	21568	31097	\N	\N	\N
642083	2192	1997-10-14	PRIJEM	VKLAD	21568	34472	\N	\N	\N
642084	2192	1997-11-14	PRIJEM	VKLAD	21568	32580	\N	\N	\N
642085	2192	1997-12-14	PRIJEM	VKLAD	32352	54991	\N	\N	\N
642086	2192	1998-01-14	PRIJEM	VKLAD	21568	38290	\N	\N	\N
642087	2192	1998-02-14	PRIJEM	VKLAD	21568	38185	\N	\N	\N
642088	2192	1998-03-14	PRIJEM	VKLAD	21568	38765	\N	\N	\N
642089	2192	1998-04-14	PRIJEM	VKLAD	21568	38289	\N	\N	\N
642090	2192	1998-05-14	PRIJEM	VKLAD	21568	33567	\N	\N	\N
642091	2192	1998-06-14	PRIJEM	VKLAD	32352	47056	\N	\N	\N
642092	2192	1998-07-14	PRIJEM	VKLAD	21568	42292	\N	\N	\N
642093	2192	1998-08-14	PRIJEM	VKLAD	21568	35938	\N	\N	\N
642094	2192	1998-09-14	PRIJEM	VKLAD	21568	32456	\N	\N	\N
642095	2192	1998-10-14	PRIJEM	VKLAD	21568	31754	\N	\N	\N
642096	2192	1998-11-14	PRIJEM	VKLAD	21568	30846	\N	\N	\N
642097	2192	1998-12-14	PRIJEM	VKLAD	32352	56119	\N	\N	\N
642106	2192	1996-09-10	VYDAJ	PREVOD NA UCET	5743	36841	SIPO	CD	7238287
642107	2192	1996-10-10	VYDAJ	PREVOD NA UCET	5743	28468	SIPO	CD	7238287
642108	2192	1996-11-10	VYDAJ	PREVOD NA UCET	5743	24886	SIPO	CD	7238287
642109	2192	1996-12-10	VYDAJ	PREVOD NA UCET	5743	19767	SIPO	CD	7238287
642110	2192	1997-01-10	VYDAJ	PREVOD NA UCET	5743	18965	SIPO	CD	7238287
642111	2192	1997-02-10	VYDAJ	PREVOD NA UCET	5743	9971	SIPO	CD	7238287
642112	2192	1997-03-10	VYDAJ	PREVOD NA UCET	5743	10450	SIPO	CD	7238287
642113	2192	1997-04-10	VYDAJ	PREVOD NA UCET	5743	8417	SIPO	CD	7238287
642114	2192	1997-05-10	VYDAJ	PREVOD NA UCET	5743	9854	SIPO	CD	7238287
642115	2192	1997-06-10	VYDAJ	PREVOD NA UCET	5743	11300	SIPO	CD	7238287
642116	2192	1997-07-10	VYDAJ	PREVOD NA UCET	5743	17545	SIPO	CD	7238287
642117	2192	1997-08-10	VYDAJ	PREVOD NA UCET	5743	14909	SIPO	CD	7238287
642118	2192	1997-09-10	VYDAJ	PREVOD NA UCET	5743	10957	SIPO	CD	7238287
642119	2192	1997-10-10	VYDAJ	PREVOD NA UCET	5743	25432	SIPO	CD	7238287
642120	2192	1997-11-10	VYDAJ	PREVOD NA UCET	5743	28840	SIPO	CD	7238287
642121	2192	1997-12-10	VYDAJ	PREVOD NA UCET	5743	24067	SIPO	CD	7238287
642122	2192	1998-01-10	VYDAJ	PREVOD NA UCET	5743	43050	SIPO	CD	7238287
642123	2192	1998-02-10	VYDAJ	PREVOD NA UCET	5743	18045	SIPO	CD	7238287
642124	2192	1998-03-10	VYDAJ	PREVOD NA UCET	5743	29425	SIPO	CD	7238287
642125	2192	1998-04-10	VYDAJ	PREVOD NA UCET	5743	33149	SIPO	CD	7238287
642126	2192	1998-05-10	VYDAJ	PREVOD NA UCET	5743	27627	SIPO	CD	7238287
642127	2192	1998-06-10	VYDAJ	PREVOD NA UCET	5743	16132	SIPO	CD	7238287
642128	2192	1998-07-10	VYDAJ	PREVOD NA UCET	5743	22152	SIPO	CD	7238287
642129	2192	1998-08-10	VYDAJ	PREVOD NA UCET	5743	15798	SIPO	CD	7238287
642130	2192	1998-09-10	VYDAJ	PREVOD NA UCET	5743	12316	SIPO	CD	7238287
642131	2192	1998-10-10	VYDAJ	PREVOD NA UCET	5743	11614	SIPO	CD	7238287
642132	2192	1998-11-10	VYDAJ	PREVOD NA UCET	5743	10706	SIPO	CD	7238287
642133	2192	1998-12-10	VYDAJ	PREVOD NA UCET	5743	25195	SIPO	CD	7238287
642142	2192	1996-09-08	VYDAJ	PREVOD NA UCET	7	42584	 	KL	25682276
642143	2192	1996-10-08	VYDAJ	PREVOD NA UCET	7	34211	 	KL	25682276
642144	2192	1996-11-08	VYDAJ	PREVOD NA UCET	7	30629	 	KL	25682276
642145	2192	1996-12-08	VYDAJ	PREVOD NA UCET	7	25510	 	KL	25682276
642146	2192	1997-01-08	VYDAJ	PREVOD NA UCET	7	26628	 	KL	25682276
642147	2192	1997-02-08	VYDAJ	PREVOD NA UCET	7	15714	 	KL	25682276
642148	2192	1997-03-08	VYDAJ	PREVOD NA UCET	7	16193	 	KL	25682276
642149	2192	1997-04-08	VYDAJ	PREVOD NA UCET	7	14160	 	KL	25682276
642150	2192	1997-05-08	VYDAJ	PREVOD NA UCET	7	15597	 	KL	25682276
642151	2192	1997-06-08	VYDAJ	PREVOD NA UCET	7	17043	 	KL	25682276
642152	2192	1997-07-08	VYDAJ	PREVOD NA UCET	7	23288	 	KL	25682276
642153	2192	1997-08-08	VYDAJ	PREVOD NA UCET	7	20652	 	KL	25682276
642154	2192	1997-09-08	VYDAJ	PREVOD NA UCET	7	16700	 	KL	25682276
642155	2192	1997-10-08	VYDAJ	PREVOD NA UCET	7	31175	 	KL	25682276
642156	2192	1997-11-08	VYDAJ	PREVOD NA UCET	7	34583	 	KL	25682276
642157	2192	1997-12-08	VYDAJ	PREVOD NA UCET	7	29810	 	KL	25682276
642158	2192	1998-01-08	VYDAJ	PREVOD NA UCET	7	48793	 	KL	25682276
642159	2192	1998-02-08	VYDAJ	PREVOD NA UCET	7	23788	 	KL	25682276
642160	2192	1998-03-08	VYDAJ	PREVOD NA UCET	7	35168	 	KL	25682276
642161	2192	1998-04-08	VYDAJ	PREVOD NA UCET	7	38892	 	KL	25682276
642162	2192	1998-05-08	VYDAJ	PREVOD NA UCET	7	33370	 	KL	25682276
642163	2192	1998-06-08	VYDAJ	PREVOD NA UCET	7	33675	 	KL	25682276
642164	2192	1998-07-08	VYDAJ	PREVOD NA UCET	7	47195	 	KL	25682276
642165	2192	1998-08-08	VYDAJ	PREVOD NA UCET	7	42441	 	KL	25682276
642166	2192	1998-09-08	VYDAJ	PREVOD NA UCET	7	36059	 	KL	25682276
642167	2192	1998-10-08	VYDAJ	PREVOD NA UCET	7	32557	 	KL	25682276
642168	2192	1998-11-08	VYDAJ	PREVOD NA UCET	7	16449	 	KL	25682276
642169	2192	1998-12-08	VYDAJ	PREVOD NA UCET	7	30938	 	KL	25682276
642178	2192	1996-09-11	VYDAJ	PREVOD NA UCET	1428	35413	POJISTNE	ST	21958375
642179	2192	1996-10-11	VYDAJ	PREVOD NA UCET	1428	27040	POJISTNE	ST	21958375
642180	2192	1996-11-11	VYDAJ	PREVOD NA UCET	1428	23458	POJISTNE	ST	21958375
642181	2192	1996-12-11	VYDAJ	PREVOD NA UCET	1428	18339	POJISTNE	ST	21958375
642182	2192	1997-01-11	VYDAJ	PREVOD NA UCET	1428	17537	POJISTNE	ST	21958375
642183	2192	1997-02-11	VYDAJ	PREVOD NA UCET	1428	8543	POJISTNE	ST	21958375
642184	2192	1997-03-11	VYDAJ	PREVOD NA UCET	1428	9022	POJISTNE	ST	21958375
642185	2192	1997-04-11	VYDAJ	PREVOD NA UCET	1428	6989	POJISTNE	ST	21958375
642186	2192	1997-05-11	VYDAJ	PREVOD NA UCET	1428	8426	POJISTNE	ST	21958375
642187	2192	1997-06-11	VYDAJ	PREVOD NA UCET	1428	9872	POJISTNE	ST	21958375
642188	2192	1997-07-11	VYDAJ	PREVOD NA UCET	1428	16117	POJISTNE	ST	21958375
642189	2192	1997-08-11	VYDAJ	PREVOD NA UCET	1428	13481	POJISTNE	ST	21958375
642190	2192	1997-09-11	VYDAJ	PREVOD NA UCET	1428	9529	POJISTNE	ST	21958375
642191	2192	1997-10-11	VYDAJ	PREVOD NA UCET	1428	24004	POJISTNE	ST	21958375
642192	2192	1997-11-11	VYDAJ	PREVOD NA UCET	1428	27412	POJISTNE	ST	21958375
642193	2192	1997-12-11	VYDAJ	PREVOD NA UCET	1428	22639	POJISTNE	ST	21958375
642194	2192	1998-01-11	VYDAJ	PREVOD NA UCET	1428	16722	POJISTNE	ST	21958375
642195	2192	1998-02-11	VYDAJ	PREVOD NA UCET	1428	16617	POJISTNE	ST	21958375
642196	2192	1998-03-11	VYDAJ	PREVOD NA UCET	1428	27997	POJISTNE	ST	21958375
642197	2192	1998-04-11	VYDAJ	PREVOD NA UCET	1428	16721	POJISTNE	ST	21958375
642198	2192	1998-05-11	VYDAJ	PREVOD NA UCET	1428	26199	POJISTNE	ST	21958375
642199	2192	1998-06-11	VYDAJ	PREVOD NA UCET	1428	14704	POJISTNE	ST	21958375
642200	2192	1998-07-11	VYDAJ	PREVOD NA UCET	1428	20724	POJISTNE	ST	21958375
642201	2192	1998-08-11	VYDAJ	PREVOD NA UCET	1428	14370	POJISTNE	ST	21958375
642202	2192	1998-09-11	VYDAJ	PREVOD NA UCET	1428	10888	POJISTNE	ST	21958375
642203	2192	1998-10-11	VYDAJ	PREVOD NA UCET	1428	10186	POJISTNE	ST	21958375
642204	2192	1998-11-11	VYDAJ	PREVOD NA UCET	1428	9278	POJISTNE	ST	21958375
642205	2192	1998-12-11	VYDAJ	PREVOD NA UCET	1428	23767	POJISTNE	ST	21958375
642247	2192	1998-01-30	VYDAJ	VYBER	9600	23650	\N	\N	\N
642248	2192	1996-12-05	VYDAJ	VYBER	2720	25517	\N	\N	\N
642249	2192	1997-12-07	VYDAJ	VYBER	2880	29817	\N	\N	\N
642250	2192	1998-12-30	VYDAJ	VYBER	3520	52599	\N	\N	\N
642257	2192	1997-01-14	VYDAJ	VYBER	1560	34065	\N	\N	\N
642258	2192	1997-01-09	VYDAJ	VYBER	1920	24708	\N	\N	\N
642259	2192	1997-01-23	VYDAJ	VYBER	960	19005	\N	\N	\N
642260	2192	1997-01-29	VYDAJ	VYBER	3360	15645	\N	\N	\N
642261	2192	1997-01-13	VYDAJ	VYBER	720	14057	\N	\N	\N
642262	2192	1997-01-12	VYDAJ	VYBER	2760	14777	\N	\N	\N
642263	2192	1998-01-28	VYDAJ	VYBER	1680	33250	\N	\N	\N
642264	2192	1998-01-07	VYDAJ	VYBER	1200	52040	\N	\N	\N
642265	2192	1998-01-02	VYDAJ	VYBER	1920	53240	\N	\N	\N
642266	2192	1998-01-07	VYDAJ	VYBER	3240	48800	\N	\N	\N
642267	2192	1998-01-17	VYDAJ	VYBER	1920	36370	\N	\N	\N
642268	2192	1998-01-20	VYDAJ	VYBER	1440	34930	\N	\N	\N
642270	2192	1996-10-02	VYDAJ	VYBER	3120	34218	\N	\N	\N
642271	2192	1996-12-29	VYDAJ	VYBER	960	26531	\N	\N	\N
642272	2192	1997-03-25	VYDAJ	VYBER	5280	14110	\N	\N	\N
642274	2192	1997-02-14	VYDAJ	VYBER	3360	26751	\N	\N	\N
642275	2192	1997-06-05	VYDAJ	VYBER	1200	17050	\N	\N	\N
642276	2192	1998-02-23	VYDAJ	VYBER	3120	35065	\N	\N	\N
642277	2192	1998-05-11	VYDAJ	VYBER	5400	20799	\N	\N	\N
642278	2192	1998-04-20	VYDAJ	VYBER	5040	33249	\N	\N	\N
642287	2192	1996-08-31	VYDAJ	VYBER	15	42591	SLUZBY	\N	\N
642288	2192	1996-09-30	VYDAJ	VYBER	15	37338	SLUZBY	\N	\N
642289	2192	1996-10-31	VYDAJ	VYBER	15	30636	SLUZBY	\N	\N
642290	2192	1996-11-30	VYDAJ	VYBER	15	28237	SLUZBY	\N	\N
642291	2192	1996-12-31	VYDAJ	VYBER	15	26635	SLUZBY	\N	\N
642292	2192	1997-01-31	VYDAJ	VYBER	15	15721	SLUZBY	\N	\N
642293	2192	1997-02-28	VYDAJ	VYBER	15	16200	SLUZBY	\N	\N
642294	2192	1997-03-31	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
642295	2192	1997-04-30	VYDAJ	VYBER	15	15604	SLUZBY	\N	\N
642296	2192	1997-05-31	VYDAJ	VYBER	15	18250	SLUZBY	\N	\N
642297	2192	1997-06-30	VYDAJ	VYBER	15	23295	SLUZBY	\N	\N
642298	2192	1997-07-31	VYDAJ	VYBER	15	20659	SLUZBY	\N	\N
642299	2192	1997-08-31	VYDAJ	VYBER	15	16707	SLUZBY	\N	\N
642300	2192	1997-09-30	VYDAJ	VYBER	15	31182	SLUZBY	\N	\N
642301	2192	1997-10-31	VYDAJ	VYBER	15	34590	SLUZBY	\N	\N
642302	2192	1997-11-30	VYDAJ	VYBER	15	32697	SLUZBY	\N	\N
642303	2192	1997-12-31	VYDAJ	VYBER	15	55160	SLUZBY	\N	\N
642304	2192	1998-01-31	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
642305	2192	1998-02-28	VYDAJ	VYBER	15	35175	SLUZBY	\N	\N
642306	2192	1998-03-31	VYDAJ	VYBER	15	38899	SLUZBY	\N	\N
642307	2192	1998-04-30	VYDAJ	VYBER	15	33377	SLUZBY	\N	\N
642308	2192	1998-05-31	VYDAJ	VYBER	15	33682	SLUZBY	\N	\N
642309	2192	1998-06-30	VYDAJ	VYBER	15	47202	SLUZBY	\N	\N
642310	2192	1998-07-31	VYDAJ	VYBER	15	42448	SLUZBY	\N	\N
642311	2192	1998-08-31	VYDAJ	VYBER	15	36066	SLUZBY	\N	\N
642312	2192	1998-09-30	VYDAJ	VYBER	15	32564	SLUZBY	\N	\N
642313	2192	1998-10-31	VYDAJ	VYBER	15	31856	SLUZBY	\N	\N
642314	2192	1998-11-30	VYDAJ	VYBER	15	30945	SLUZBY	\N	\N
642315	2192	1996-04-21	PRIJEM	VKLAD	3200	25568	\N	\N	\N
642316	2192	1996-05-21	VYDAJ	VYBER	10900	36272	\N	\N	\N
642317	2192	1996-06-20	VYDAJ	VYBER	24900	43846	\N	\N	\N
642318	2192	1996-07-20	VYDAJ	VYBER	22200	43377	\N	\N	\N
642319	2192	1996-08-19	VYDAJ	VYBER	22700	42427	\N	\N	\N
642320	2192	1996-09-18	VYDAJ	VYBER	19800	37181	\N	\N	\N
642321	2192	1996-10-18	VYDAJ	VYBER	18100	30508	\N	\N	\N
642322	2192	1996-11-17	VYDAJ	VYBER	16900	28126	\N	\N	\N
642323	2192	1996-12-17	VYDAJ	VYBER	23200	27491	\N	\N	\N
642324	2192	1997-01-16	VYDAJ	VYBER	14100	19965	\N	\N	\N
642325	2192	1997-02-15	VYDAJ	VYBER	10600	16151	\N	\N	\N
642326	2192	1997-03-17	VYDAJ	VYBER	11200	19390	\N	\N	\N
642327	2192	1997-04-16	VYDAJ	VYBER	13000	15557	\N	\N	\N
642328	2192	1997-05-16	VYDAJ	VYBER	11800	18194	\N	\N	\N
642329	2192	1997-06-15	VYDAJ	VYBER	19000	23224	\N	\N	\N
642330	2192	1997-07-15	VYDAJ	VYBER	17100	20585	\N	\N	\N
642331	2192	1997-08-14	VYDAJ	VYBER	18400	16649	\N	\N	\N
642332	2192	1997-10-13	VYDAJ	VYBER	11100	12904	\N	\N	\N
642333	2192	1997-11-12	VYDAJ	VYBER	16400	11012	\N	\N	\N
642334	2192	1998-01-11	VYDAJ	VYBER	24900	18150	\N	\N	\N
642335	2192	1998-03-12	VYDAJ	VYBER	10800	17197	\N	\N	\N
642336	2192	1998-04-11	VYDAJ	VYBER	15000	18149	\N	\N	\N
642337	2192	1998-05-11	VYDAJ	VYBER	8800	11999	\N	\N	\N
642338	2192	1998-06-10	VYDAJ	VYBER	11800	21875	\N	\N	\N
642339	2192	1998-07-10	VYDAJ	VYBER	19300	27895	\N	\N	\N
642340	2192	1998-08-09	VYDAJ	VYBER	20900	21541	\N	\N	\N
642341	2192	1998-09-08	VYDAJ	VYBER	18000	18059	\N	\N	\N
642342	2192	1998-10-08	VYDAJ	VYBER	15200	17357	\N	\N	\N
642343	2192	1998-11-07	VYDAJ	VYBER	15400	16456	\N	\N	\N
642377	2193	1996-11-03	PRIJEM	VKLAD	200	200	\N	\N	\N
642388	2193	1996-11-14	PRIJEM	VKLAD	5721	5921	\N	\N	\N
642389	2193	1996-12-14	PRIJEM	VKLAD	8582	24517	\N	\N	\N
642390	2193	1997-01-14	PRIJEM	VKLAD	5721	31208	\N	\N	\N
642391	2193	1997-02-14	PRIJEM	VKLAD	5721	33947	\N	\N	\N
642392	2193	1997-03-14	PRIJEM	VKLAD	5721	32304	\N	\N	\N
642393	2193	1997-04-14	PRIJEM	VKLAD	5721	25924	\N	\N	\N
642394	2193	1997-05-14	PRIJEM	VKLAD	5721	23711	\N	\N	\N
642395	2193	1997-06-14	PRIJEM	VKLAD	8582	22547	\N	\N	\N
642396	2193	1997-07-14	PRIJEM	VKLAD	5721	23214	\N	\N	\N
642397	2193	1997-08-14	PRIJEM	VKLAD	5721	17526	\N	\N	\N
642398	2193	1997-09-14	PRIJEM	VKLAD	5721	18277	\N	\N	\N
642399	2193	1997-10-14	PRIJEM	VKLAD	5721	21031	\N	\N	\N
642400	2193	1997-11-14	PRIJEM	VKLAD	5721	24097	\N	\N	\N
642401	2193	1997-12-14	PRIJEM	VKLAD	8582	20889	\N	\N	\N
642402	2193	1998-01-14	PRIJEM	VKLAD	5721	17447	\N	\N	\N
642403	2193	1998-02-14	PRIJEM	VKLAD	5721	17709	\N	\N	\N
642404	2193	1998-03-14	PRIJEM	VKLAD	5721	20061	\N	\N	\N
642405	2193	1998-04-14	PRIJEM	VKLAD	5721	24824	\N	\N	\N
642406	2193	1998-05-14	PRIJEM	VKLAD	5721	20541	\N	\N	\N
642407	2193	1998-06-14	PRIJEM	VKLAD	8582	21863	\N	\N	\N
642408	2193	1998-07-14	PRIJEM	VKLAD	5721	20324	\N	\N	\N
642409	2193	1998-08-14	PRIJEM	VKLAD	5721	13780	\N	\N	\N
642410	2193	1998-09-14	PRIJEM	VKLAD	5721	16316	\N	\N	\N
642411	2193	1998-10-14	PRIJEM	VKLAD	5721	19462	\N	\N	\N
642412	2193	1998-11-14	PRIJEM	VKLAD	5721	20119	\N	\N	\N
642413	2193	1998-12-14	PRIJEM	VKLAD	8582	23517	\N	\N	\N
642429	2193	1997-04-05	VYDAJ	PREVOD NA UCET	3424	20203	SIPO	UV	47578817
642430	2193	1997-05-05	VYDAJ	PREVOD NA UCET	3424	17990	SIPO	UV	47578817
642431	2193	1997-06-05	VYDAJ	PREVOD NA UCET	3424	13965	SIPO	UV	47578817
642432	2193	1997-07-05	VYDAJ	PREVOD NA UCET	3424	17493	SIPO	UV	47578817
642433	2193	1997-08-05	VYDAJ	PREVOD NA UCET	3424	11805	SIPO	UV	47578817
642434	2193	1997-09-05	VYDAJ	PREVOD NA UCET	3424	12556	SIPO	UV	47578817
642435	2193	1997-10-05	VYDAJ	PREVOD NA UCET	3424	15310	SIPO	UV	47578817
642436	2193	1997-11-05	VYDAJ	PREVOD NA UCET	3424	18376	SIPO	UV	47578817
642437	2193	1997-12-05	VYDAJ	PREVOD NA UCET	3424	12307	SIPO	UV	47578817
642438	2193	1998-01-05	VYDAJ	PREVOD NA UCET	3424	11726	SIPO	UV	47578817
642439	2193	1998-02-05	VYDAJ	PREVOD NA UCET	3424	11988	SIPO	UV	47578817
642440	2193	1998-03-05	VYDAJ	PREVOD NA UCET	3424	14340	SIPO	UV	47578817
642441	2193	1998-04-05	VYDAJ	PREVOD NA UCET	3424	19103	SIPO	UV	47578817
642442	2193	1998-05-05	VYDAJ	PREVOD NA UCET	3424	14820	SIPO	UV	47578817
642443	2193	1998-06-05	VYDAJ	PREVOD NA UCET	3424	13281	SIPO	UV	47578817
642444	2193	1998-07-05	VYDAJ	PREVOD NA UCET	3424	14603	SIPO	UV	47578817
642445	2193	1998-08-05	VYDAJ	PREVOD NA UCET	3424	8059	SIPO	UV	47578817
642446	2193	1998-09-05	VYDAJ	PREVOD NA UCET	3424	10595	SIPO	UV	47578817
642447	2193	1998-10-05	VYDAJ	PREVOD NA UCET	3424	13741	SIPO	UV	47578817
642448	2193	1998-11-05	VYDAJ	PREVOD NA UCET	3424	14398	SIPO	UV	47578817
642449	2193	1998-12-05	VYDAJ	PREVOD NA UCET	3424	14935	SIPO	UV	47578817
642468	2193	1998-01-23	VYDAJ	VYBER	1080	12767	\N	\N	\N
642469	2193	1998-01-29	VYDAJ	VYBER	1200	15367	\N	\N	\N
642470	2193	1998-01-01	VYDAJ	VYBER	1200	15150	\N	\N	\N
642471	2193	1998-01-23	VYDAJ	VYBER	1200	13847	\N	\N	\N
642472	2193	1998-01-19	VYDAJ	VYBER	2400	15047	\N	\N	\N
642479	2193	1997-05-31	VYDAJ	VYBER	1800	21989	\N	\N	\N
642482	2193	1997-08-04	VYDAJ	VYBER	3360	15229	\N	\N	\N
642483	2193	1997-11-22	VYDAJ	VYBER	5040	19057	\N	\N	\N
642485	2193	1998-11-15	VYDAJ	VYBER	2520	17599	\N	\N	\N
642486	2193	1998-04-25	VYDAJ	VYBER	3360	21464	\N	\N	\N
642505	2193	1997-03-31	VYDAJ	VYBER	15	32427	SLUZBY	\N	\N
642506	2193	1997-04-30	VYDAJ	VYBER	15	26014	SLUZBY	\N	\N
642507	2193	1997-05-31	VYDAJ	VYBER	15	23789	SLUZBY	\N	\N
642508	2193	1997-06-30	VYDAJ	VYBER	15	22617	SLUZBY	\N	\N
642509	2193	1997-07-31	VYDAJ	VYBER	15	23289	SLUZBY	\N	\N
642510	2193	1997-08-31	VYDAJ	VYBER	15	15980	SLUZBY	\N	\N
642511	2193	1997-09-30	VYDAJ	VYBER	15	18734	SLUZBY	\N	\N
642512	2193	1997-10-31	VYDAJ	VYBER	15	21800	SLUZBY	\N	\N
642513	2193	1997-11-30	VYDAJ	VYBER	15	15731	SLUZBY	\N	\N
642514	2193	1997-12-31	VYDAJ	VYBER	15	16350	SLUZBY	\N	\N
642515	2193	1998-01-31	VYDAJ	VYBER	15	15412	SLUZBY	\N	\N
642516	2193	1998-02-28	VYDAJ	VYBER	15	17764	SLUZBY	\N	\N
642517	2193	1998-03-31	VYDAJ	VYBER	15	22527	SLUZBY	\N	\N
642518	2193	1998-04-30	VYDAJ	VYBER	15	18244	SLUZBY	\N	\N
642519	2193	1998-05-31	VYDAJ	VYBER	15	16705	SLUZBY	\N	\N
642520	2193	1998-06-30	VYDAJ	VYBER	15	18027	SLUZBY	\N	\N
642521	2193	1998-07-31	VYDAJ	VYBER	15	11483	SLUZBY	\N	\N
642522	2193	1998-08-31	VYDAJ	VYBER	15	14019	SLUZBY	\N	\N
642523	2193	1998-09-30	VYDAJ	VYBER	15	17165	SLUZBY	\N	\N
642524	2193	1998-10-31	VYDAJ	VYBER	15	17822	SLUZBY	\N	\N
642525	2193	1998-11-30	VYDAJ	VYBER	15	18359	SLUZBY	\N	\N
642526	2193	1996-12-03	PRIJEM	VKLAD	10000	15935	\N	\N	\N
642527	2193	1997-01-02	PRIJEM	VKLAD	900	25487	\N	\N	\N
642528	2193	1997-02-01	VYDAJ	VYBER	3100	28226	\N	\N	\N
642529	2193	1997-03-03	VYDAJ	VYBER	7500	26583	\N	\N	\N
642530	2193	1997-04-02	VYDAJ	VYBER	8800	23627	\N	\N	\N
642531	2193	1997-05-02	VYDAJ	VYBER	4600	21414	\N	\N	\N
642532	2193	1997-06-01	VYDAJ	VYBER	4600	17389	\N	\N	\N
642533	2193	1997-07-01	VYDAJ	VYBER	1700	20917	\N	\N	\N
642534	2193	1997-07-31	VYDAJ	VYBER	4700	18589	\N	\N	\N
642535	2193	1997-08-30	VYDAJ	VYBER	1600	15926	\N	\N	\N
642536	2193	1997-09-29	PRIJEM	VKLAD	400	18677	\N	\N	\N
642537	2193	1997-10-29	PRIJEM	VKLAD	700	21731	\N	\N	\N
642538	2193	1997-11-28	VYDAJ	VYBER	3400	15657	\N	\N	\N
642539	2193	1997-12-28	VYDAJ	VYBER	4600	16289	\N	\N	\N
642540	2193	1998-01-27	PRIJEM	VKLAD	3800	16567	\N	\N	\N
642541	2193	1998-03-28	PRIJEM	VKLAD	2400	22461	\N	\N	\N
642542	2193	1998-04-27	VYDAJ	VYBER	3300	18164	\N	\N	\N
642543	2193	1998-05-27	VYDAJ	VYBER	3900	16641	\N	\N	\N
642544	2193	1998-06-26	VYDAJ	VYBER	3900	17963	\N	\N	\N
642545	2193	1998-07-26	VYDAJ	VYBER	8900	11424	\N	\N	\N
642546	2193	1998-08-25	PRIJEM	VKLAD	200	13980	\N	\N	\N
642547	2193	1998-09-24	PRIJEM	VKLAD	800	17116	\N	\N	\N
642548	2193	1998-10-24	VYDAJ	VYBER	1700	17762	\N	\N	\N
642549	2193	1998-11-23	PRIJEM	VKLAD	700	18299	\N	\N	\N
642576	2194	1997-02-25	PRIJEM	VKLAD	400	400	\N	\N	\N
642579	2194	1997-03-11	PRIJEM	VKLAD	19386	19786	\N	\N	\N
642580	2194	1997-04-11	PRIJEM	VKLAD	19386	45089	\N	\N	\N
642581	2194	1997-05-11	PRIJEM	VKLAD	19386	56991	\N	\N	\N
642582	2194	1997-06-11	PRIJEM	VKLAD	29079	71730	\N	\N	\N
642583	2194	1997-07-11	PRIJEM	VKLAD	19386	68198	\N	\N	\N
642584	2194	1997-08-11	PRIJEM	VKLAD	19386	63723	\N	\N	\N
642585	2194	1997-09-11	PRIJEM	VKLAD	19386	63298	\N	\N	\N
642586	2194	1997-10-11	PRIJEM	VKLAD	19386	57780	\N	\N	\N
642587	2194	1997-11-11	PRIJEM	VKLAD	19386	59342	\N	\N	\N
642588	2194	1997-12-11	PRIJEM	VKLAD	29079	59533	\N	\N	\N
642589	2194	1998-01-11	PRIJEM	VKLAD	19386	42601	\N	\N	\N
642590	2194	1998-02-11	PRIJEM	VKLAD	19386	34560	\N	\N	\N
642591	2194	1998-03-11	PRIJEM	VKLAD	19386	42531	\N	\N	\N
642592	2194	1998-04-11	PRIJEM	VKLAD	19386	44929	\N	\N	\N
642593	2194	1998-05-11	PRIJEM	VKLAD	19386	46135	\N	\N	\N
642594	2194	1998-06-11	PRIJEM	VKLAD	29079	61445	\N	\N	\N
642595	2194	1998-07-11	PRIJEM	VKLAD	19386	56959	\N	\N	\N
642596	2194	1998-08-11	PRIJEM	VKLAD	19386	56210	\N	\N	\N
642597	2194	1998-09-11	PRIJEM	VKLAD	19386	55857	\N	\N	\N
642598	2194	1998-10-11	PRIJEM	VKLAD	19386	54600	\N	\N	\N
642599	2194	1998-11-11	PRIJEM	VKLAD	19386	49411	\N	\N	\N
642600	2194	1998-12-11	PRIJEM	VKLAD	29079	52020	\N	\N	\N
642607	2194	1997-07-12	VYDAJ	PREVOD NA UCET	9386	58812	SIPO	EF	28507352
642608	2194	1997-08-12	VYDAJ	PREVOD NA UCET	9386	54337	SIPO	EF	28507352
642609	2194	1997-09-12	VYDAJ	PREVOD NA UCET	9386	53912	SIPO	EF	28507352
642610	2194	1997-10-12	VYDAJ	PREVOD NA UCET	9386	48394	SIPO	EF	28507352
642611	2194	1997-11-12	VYDAJ	PREVOD NA UCET	9386	49956	SIPO	EF	28507352
642612	2194	1997-12-12	VYDAJ	PREVOD NA UCET	9386	50147	SIPO	EF	28507352
642613	2194	1998-01-12	VYDAJ	PREVOD NA UCET	9386	33215	SIPO	EF	28507352
642614	2194	1998-02-12	VYDAJ	PREVOD NA UCET	9386	25174	SIPO	EF	28507352
642615	2194	1998-03-12	VYDAJ	PREVOD NA UCET	9386	33145	SIPO	EF	28507352
642616	2194	1998-04-12	VYDAJ	PREVOD NA UCET	9386	35543	SIPO	EF	28507352
642617	2194	1998-05-12	VYDAJ	PREVOD NA UCET	9386	36749	SIPO	EF	28507352
642618	2194	1998-06-12	VYDAJ	PREVOD NA UCET	9386	52059	SIPO	EF	28507352
642619	2194	1998-07-12	VYDAJ	PREVOD NA UCET	9386	47573	SIPO	EF	28507352
642620	2194	1998-08-12	VYDAJ	PREVOD NA UCET	9386	46824	SIPO	EF	28507352
642621	2194	1998-09-12	VYDAJ	PREVOD NA UCET	9386	46471	SIPO	EF	28507352
642622	2194	1998-10-12	VYDAJ	PREVOD NA UCET	9386	45214	SIPO	EF	28507352
642623	2194	1998-11-12	VYDAJ	PREVOD NA UCET	9386	40025	SIPO	EF	28507352
642624	2194	1998-12-12	VYDAJ	PREVOD NA UCET	9386	42634	SIPO	EF	28507352
642628	2194	1998-01-15	VYDAJ	VYBER	14400	18215	\N	\N	\N
642629	2194	1997-12-02	VYDAJ	VYBER	2720	30454	\N	\N	\N
642630	2194	1998-12-09	VYDAJ	VYBER	3840	22941	\N	\N	\N
642637	2194	1998-01-10	VYDAJ	VYBER	1680	23215	\N	\N	\N
642638	2194	1998-01-13	VYDAJ	VYBER	600	32615	\N	\N	\N
642639	2194	1998-01-05	VYDAJ	VYBER	3000	26335	\N	\N	\N
642640	2194	1998-01-08	VYDAJ	VYBER	1440	24895	\N	\N	\N
642641	2194	1998-01-04	VYDAJ	VYBER	1920	29335	\N	\N	\N
642642	2194	1998-01-01	VYDAJ	VYBER	840	31255	\N	\N	\N
642643	2194	1997-11-24	VYDAJ	VYBER	1440	33016	\N	\N	\N
642644	2194	1997-08-01	VYDAJ	VYBER	4080	44337	\N	\N	\N
642645	2194	1997-09-07	VYDAJ	VYBER	1320	43912	\N	\N	\N
642647	2194	1998-10-27	VYDAJ	VYBER	1320	29894	\N	\N	\N
642648	2194	1998-06-28	VYDAJ	VYBER	3840	37419	\N	\N	\N
642649	2194	1998-12-09	VYDAJ	VYBER	2760	26781	\N	\N	\N
642650	2194	1998-04-25	VYDAJ	VYBER	600	26643	\N	\N	\N
642651	2194	1998-01-22	VYDAJ	VYBER	3120	15095	\N	\N	\N
642659	2194	1997-07-31	VYDAJ	VYBER	15	48417	SLUZBY	\N	\N
642660	2194	1997-08-31	VYDAJ	VYBER	15	45232	SLUZBY	\N	\N
642661	2194	1997-09-30	VYDAJ	VYBER	15	38394	SLUZBY	\N	\N
642662	2194	1997-10-31	VYDAJ	VYBER	15	39956	SLUZBY	\N	\N
642663	2194	1997-11-30	VYDAJ	VYBER	15	33174	SLUZBY	\N	\N
642664	2194	1997-12-31	VYDAJ	VYBER	15	32095	SLUZBY	\N	\N
642665	2194	1998-01-31	VYDAJ	VYBER	15	15174	SLUZBY	\N	\N
642666	2194	1998-02-28	VYDAJ	VYBER	15	23145	SLUZBY	\N	\N
642667	2194	1998-03-31	VYDAJ	VYBER	15	25543	SLUZBY	\N	\N
642668	2194	1998-04-30	VYDAJ	VYBER	15	26749	SLUZBY	\N	\N
642669	2194	1998-05-31	VYDAJ	VYBER	15	32366	SLUZBY	\N	\N
642670	2194	1998-06-30	VYDAJ	VYBER	15	37573	SLUZBY	\N	\N
642671	2194	1998-07-31	VYDAJ	VYBER	15	36824	SLUZBY	\N	\N
642672	2194	1998-08-31	VYDAJ	VYBER	15	36471	SLUZBY	\N	\N
642673	2194	1998-09-30	VYDAJ	VYBER	15	35214	SLUZBY	\N	\N
642674	2194	1998-10-31	VYDAJ	VYBER	15	30025	SLUZBY	\N	\N
642675	2194	1998-11-30	VYDAJ	VYBER	15	29541	SLUZBY	\N	\N
642676	2194	1997-03-27	PRIJEM	VKLAD	5900	25686	\N	\N	\N
642677	2194	1997-04-26	VYDAJ	VYBER	7600	37489	\N	\N	\N
642678	2194	1997-05-26	VYDAJ	VYBER	14500	42491	\N	\N	\N
642679	2194	1997-06-25	VYDAJ	VYBER	23100	48630	\N	\N	\N
642680	2194	1997-07-25	VYDAJ	VYBER	10600	48212	\N	\N	\N
642681	2194	1997-08-24	VYDAJ	VYBER	9300	45037	\N	\N	\N
642682	2194	1997-09-23	VYDAJ	VYBER	15700	38212	\N	\N	\N
642683	2194	1997-10-23	VYDAJ	VYBER	8600	39794	\N	\N	\N
642684	2194	1997-11-22	VYDAJ	VYBER	15500	34456	\N	\N	\N
642685	2194	1997-12-22	VYDAJ	VYBER	18200	31947	\N	\N	\N
642686	2194	1998-02-20	VYDAJ	VYBER	2100	23074	\N	\N	\N
642687	2194	1998-03-22	VYDAJ	VYBER	7700	25445	\N	\N	\N
642688	2194	1998-04-21	VYDAJ	VYBER	8300	27243	\N	\N	\N
642689	2194	1998-05-21	VYDAJ	VYBER	4500	32249	\N	\N	\N
642690	2194	1998-06-20	VYDAJ	VYBER	10800	41259	\N	\N	\N
642691	2194	1998-07-20	VYDAJ	VYBER	10900	36673	\N	\N	\N
642692	2194	1998-08-19	VYDAJ	VYBER	10500	36324	\N	\N	\N
642693	2194	1998-09-18	VYDAJ	VYBER	11400	35071	\N	\N	\N
642694	2194	1998-10-18	VYDAJ	VYBER	14000	31214	\N	\N	\N
642695	2194	1998-11-17	VYDAJ	VYBER	10600	29425	\N	\N	\N
642718	2195	1994-10-08	PRIJEM	VKLAD	800	800	\N	\N	\N
642728	2195	1994-10-14	PRIJEM	VKLAD	16654	17454	\N	\N	\N
642729	2195	1994-11-14	PRIJEM	VKLAD	16654	37950	\N	\N	\N
642730	2195	1994-12-14	PRIJEM	VKLAD	24981	58452	\N	\N	\N
642731	2195	1995-01-14	PRIJEM	VKLAD	16654	57514	\N	\N	\N
642732	2195	1995-02-14	PRIJEM	VKLAD	16654	58609	\N	\N	\N
642733	2195	1995-03-14	PRIJEM	VKLAD	16654	58191	\N	\N	\N
642734	2195	1995-04-14	PRIJEM	VKLAD	16654	59194	\N	\N	\N
642735	2195	1995-05-14	PRIJEM	VKLAD	16654	61261	\N	\N	\N
642736	2195	1995-06-14	PRIJEM	VKLAD	24981	68539	\N	\N	\N
642737	2195	1995-07-14	PRIJEM	VKLAD	16654	47182	\N	\N	\N
642738	2195	1995-08-14	PRIJEM	VKLAD	16654	52798	\N	\N	\N
642739	2195	1995-09-14	PRIJEM	VKLAD	16654	60348	\N	\N	\N
642740	2195	1995-10-14	PRIJEM	VKLAD	16654	63726	\N	\N	\N
642741	2195	1995-11-14	PRIJEM	VKLAD	16654	63905	\N	\N	\N
642742	2195	1995-12-14	PRIJEM	VKLAD	24981	77317	\N	\N	\N
642743	2195	1996-01-14	PRIJEM	VKLAD	16654	64787	\N	\N	\N
642744	2195	1996-02-14	PRIJEM	VKLAD	16654	68617	\N	\N	\N
642745	2195	1996-03-14	PRIJEM	VKLAD	16654	73975	\N	\N	\N
642746	2195	1996-04-14	PRIJEM	VKLAD	16654	73713	\N	\N	\N
642747	2195	1996-05-14	PRIJEM	VKLAD	16654	72459	\N	\N	\N
642748	2195	1996-06-14	PRIJEM	VKLAD	24981	80057	\N	\N	\N
642749	2195	1996-07-14	PRIJEM	VKLAD	16654	62089	\N	\N	\N
642750	2195	1996-08-14	PRIJEM	VKLAD	16654	69620	\N	\N	\N
642751	2195	1996-09-14	PRIJEM	VKLAD	16654	68080	\N	\N	\N
642752	2195	1996-10-14	PRIJEM	VKLAD	16654	71572	\N	\N	\N
642753	2195	1996-11-14	PRIJEM	VKLAD	16654	73676	\N	\N	\N
642754	2195	1996-12-14	PRIJEM	VKLAD	24981	78618	\N	\N	\N
642755	2195	1997-01-14	PRIJEM	VKLAD	16654	65823	\N	\N	\N
642756	2195	1997-02-14	PRIJEM	VKLAD	16654	66501	\N	\N	\N
642757	2195	1997-03-14	PRIJEM	VKLAD	16654	75552	\N	\N	\N
642758	2195	1997-04-14	PRIJEM	VKLAD	16654	75293	\N	\N	\N
642759	2195	1997-05-14	PRIJEM	VKLAD	16654	80779	\N	\N	\N
642760	2195	1997-06-14	PRIJEM	VKLAD	24981	49534	\N	\N	\N
642761	2195	1997-07-14	PRIJEM	VKLAD	16654	68915	\N	\N	\N
642762	2195	1997-08-14	PRIJEM	VKLAD	16654	84686	\N	\N	\N
642763	2195	1997-09-14	PRIJEM	VKLAD	16654	86709	\N	\N	\N
642764	2195	1997-10-14	PRIJEM	VKLAD	16654	91751	\N	\N	\N
642765	2195	1997-11-14	PRIJEM	VKLAD	16654	87600	\N	\N	\N
642766	2195	1997-12-14	PRIJEM	VKLAD	24981	97388	\N	\N	\N
642767	2195	1998-01-14	PRIJEM	VKLAD	16654	95766	\N	\N	\N
642768	2195	1998-02-14	PRIJEM	VKLAD	16654	84702	\N	\N	\N
642769	2195	1998-03-14	PRIJEM	VKLAD	16654	92333	\N	\N	\N
642770	2195	1998-04-14	PRIJEM	VKLAD	16654	100295	\N	\N	\N
642771	2195	1998-05-14	PRIJEM	VKLAD	16654	105787	\N	\N	\N
642772	2195	1998-06-14	PRIJEM	VKLAD	24981	79240	\N	\N	\N
642773	2195	1998-07-14	PRIJEM	VKLAD	16654	91006	\N	\N	\N
642774	2195	1998-08-14	PRIJEM	VKLAD	16654	101269	\N	\N	\N
642775	2195	1998-09-14	PRIJEM	VKLAD	16654	110172	\N	\N	\N
642776	2195	1998-10-14	PRIJEM	VKLAD	16654	111799	\N	\N	\N
642777	2195	1998-11-14	PRIJEM	VKLAD	16654	109625	\N	\N	\N
642778	2195	1998-12-14	PRIJEM	VKLAD	24981	118374	\N	\N	\N
642780	2195	1995-06-16	VYDAJ	VYBER	32480	36059	\N	\N	\N
642781	2195	1996-06-17	VYDAJ	VYBER	31040	49017	\N	\N	\N
642782	2195	1997-06-05	VYDAJ	VYBER	44480	24553	\N	\N	\N
642783	2195	1998-06-08	VYDAJ	VYBER	30400	54259	\N	\N	\N
642785	2195	1995-12-18	VYDAJ	VYBER	4160	73157	\N	\N	\N
642786	2195	1996-12-01	VYDAJ	VYBER	4160	53637	\N	\N	\N
642787	2195	1997-12-17	VYDAJ	VYBER KARTOU	1300	96088	\N	\N	0
642788	2195	1998-12-26	VYDAJ	VYBER KARTOU	4000	85174	\N	\N	0
642801	2195	1996-01-10	VYDAJ	VYBER	3240	48133	\N	\N	\N
642802	2195	1996-01-05	VYDAJ	VYBER	2040	53893	\N	\N	\N
642803	2195	1996-01-09	VYDAJ	VYBER	840	51373	\N	\N	\N
642804	2195	1996-01-28	VYDAJ	VYBER	3360	59027	\N	\N	\N
642805	2195	1996-01-21	VYDAJ	VYBER	2400	62387	\N	\N	\N
642806	2195	1996-01-05	VYDAJ	VYBER	1680	52213	\N	\N	\N
642807	2195	1997-01-07	VYDAJ	VYBER KARTOU	3200	54769	\N	\N	0
642808	2195	1997-01-01	VYDAJ	VYBER KARTOU	2300	57969	\N	\N	0
642809	2195	1997-01-17	VYDAJ	VYBER KARTOU	3200	62623	\N	\N	0
642810	2195	1997-01-13	VYDAJ	VYBER KARTOU	3400	49169	\N	\N	0
642811	2195	1997-01-28	VYDAJ	VYBER KARTOU	2400	49623	\N	\N	0
642812	2195	1997-01-26	VYDAJ	VYBER KARTOU	2000	52023	\N	\N	0
642813	2195	1998-01-17	VYDAJ	VYBER KARTOU	800	93666	\N	\N	0
642814	2195	1998-01-22	VYDAJ	VYBER KARTOU	2900	80466	\N	\N	0
642815	2195	1998-01-28	VYDAJ	VYBER KARTOU	2300	73126	\N	\N	0
642816	2195	1998-01-28	VYDAJ	VYBER KARTOU	1800	71326	\N	\N	0
642817	2195	1998-01-13	VYDAJ	VYBER KARTOU	700	79112	\N	\N	0
642818	2195	1998-01-16	VYDAJ	VYBER KARTOU	1300	94466	\N	\N	0
642825	2195	1995-04-02	VYDAJ	VYBER	1080	57340	\N	\N	\N
642826	2195	1995-06-08	VYDAJ	VYBER	720	43558	\N	\N	\N
642827	2195	1995-06-02	VYDAJ	VYBER	2520	58978	\N	\N	\N
642829	2195	1995-11-05	VYDAJ	VYBER	720	47251	\N	\N	\N
642830	2195	1996-06-01	VYDAJ	VYBER KARTOU	3500	55076	\N	\N	0
642831	2195	1996-09-09	VYDAJ	VYBER KARTOU	3100	51426	\N	\N	0
642832	2195	1996-12-14	VYDAJ	VYBER	5400	73218	\N	\N	\N
642833	2195	1996-10-06	VYDAJ	VYBER KARTOU	3800	54918	\N	\N	0
642834	2195	1996-08-28	VYDAJ	VYBER KARTOU	2000	67620	\N	\N	0
642835	2195	1997-01-08	VYDAJ	VYBER KARTOU	2200	52569	\N	\N	0
642836	2195	1997-11-05	VYDAJ	VYBER KARTOU	3500	70946	\N	\N	0
642837	2195	1997-12-08	VYDAJ	VYBER KARTOU	3500	72407	\N	\N	0
642838	2195	1997-03-15	VYDAJ	VYBER	4560	70992	\N	\N	\N
642839	2195	1997-09-18	VYDAJ	VYBER KARTOU	1800	84909	\N	\N	0
642840	2195	1997-10-27	VYDAJ	VYBER KARTOU	1200	74151	\N	\N	0
642841	2195	1998-01-30	VYDAJ	VYBER KARTOU	3600	67726	\N	\N	0
642842	2195	1998-05-29	VYDAJ	VYBER	5280	84307	\N	\N	\N
642843	2195	1998-01-27	VYDAJ	VYBER	5040	75426	\N	\N	\N
642858	2195	1995-02-28	VYDAJ	VYBER	15	58837	SLUZBY	\N	\N
642859	2195	1995-03-31	VYDAJ	VYBER	15	58420	SLUZBY	\N	\N
642860	2195	1995-04-30	VYDAJ	VYBER	15	59407	SLUZBY	\N	\N
642861	2195	1995-05-31	VYDAJ	VYBER	15	61498	SLUZBY	\N	\N
642862	2195	1995-06-30	VYDAJ	VYBER	15	36228	SLUZBY	\N	\N
642863	2195	1995-07-31	VYDAJ	VYBER	15	47344	SLUZBY	\N	\N
642864	2195	1995-08-31	VYDAJ	VYBER	15	52994	SLUZBY	\N	\N
642865	2195	1995-09-30	VYDAJ	VYBER	15	60572	SLUZBY	\N	\N
642866	2195	1995-10-31	VYDAJ	VYBER	15	63971	SLUZBY	\N	\N
642867	2195	1995-11-30	VYDAJ	VYBER	15	64136	SLUZBY	\N	\N
642868	2195	1995-12-31	VYDAJ	VYBER	15	73433	SLUZBY	\N	\N
642869	2195	1996-01-31	VYDAJ	VYBER	15	51963	SLUZBY	\N	\N
642870	2195	1996-02-29	VYDAJ	VYBER	15	68821	SLUZBY	\N	\N
642871	2195	1996-03-31	VYDAJ	VYBER	15	74259	SLUZBY	\N	\N
642872	2195	1996-04-30	VYDAJ	VYBER	15	74005	SLUZBY	\N	\N
642873	2195	1996-05-31	VYDAJ	VYBER	15	58576	SLUZBY	\N	\N
642874	2195	1996-06-30	VYDAJ	VYBER	15	45435	SLUZBY	\N	\N
642875	2195	1996-07-31	VYDAJ	VYBER	15	52966	SLUZBY	\N	\N
642876	2195	1996-08-31	VYDAJ	VYBER	15	54526	SLUZBY	\N	\N
642877	2195	1996-09-30	VYDAJ	VYBER	15	58718	SLUZBY	\N	\N
642878	2195	1996-10-31	VYDAJ	VYBER	15	57022	SLUZBY	\N	\N
642879	2195	1996-11-30	VYDAJ	VYBER	15	57797	SLUZBY	\N	\N
642880	2195	1996-12-31	VYDAJ	VYBER	15	60269	SLUZBY	\N	\N
642881	2195	1997-01-31	VYDAJ	VYBER	15	49847	SLUZBY	\N	\N
642882	2195	1997-02-28	VYDAJ	VYBER	15	58898	SLUZBY	\N	\N
642883	2195	1997-03-31	VYDAJ	VYBER	15	58639	SLUZBY	\N	\N
642884	2195	1997-04-30	VYDAJ	VYBER	15	64125	SLUZBY	\N	\N
642885	2195	1997-05-31	VYDAJ	VYBER	15	69033	SLUZBY	\N	\N
642886	2195	1997-06-30	VYDAJ	VYBER	15	52261	SLUZBY	\N	\N
642887	2195	1997-07-31	VYDAJ	VYBER	15	68032	SLUZBY	\N	\N
642888	2195	1997-08-31	VYDAJ	VYBER	15	70055	SLUZBY	\N	\N
642889	2195	1997-09-30	VYDAJ	VYBER	15	75097	SLUZBY	\N	\N
642890	2195	1997-10-31	VYDAJ	VYBER	15	74446	SLUZBY	\N	\N
642891	2195	1997-11-30	VYDAJ	VYBER	15	75907	SLUZBY	\N	\N
642892	2195	1997-12-31	VYDAJ	VYBER	15	79812	SLUZBY	\N	\N
642893	2195	1998-01-31	VYDAJ	VYBER	15	68048	SLUZBY	\N	\N
642894	2195	1998-02-28	VYDAJ	VYBER	15	75679	SLUZBY	\N	\N
642895	2195	1998-03-31	VYDAJ	VYBER	15	83641	SLUZBY	\N	\N
642896	2195	1998-04-30	VYDAJ	VYBER	15	89133	SLUZBY	\N	\N
642897	2195	1998-05-31	VYDAJ	VYBER	15	84659	SLUZBY	\N	\N
642898	2195	1998-06-30	VYDAJ	VYBER	15	74352	SLUZBY	\N	\N
642899	2195	1998-07-31	VYDAJ	VYBER	15	84615	SLUZBY	\N	\N
642900	2195	1998-08-31	VYDAJ	VYBER	15	93518	SLUZBY	\N	\N
642901	2195	1998-09-30	VYDAJ	VYBER	15	95145	SLUZBY	\N	\N
642902	2195	1998-10-31	VYDAJ	VYBER	15	92971	SLUZBY	\N	\N
642903	2195	1998-11-30	VYDAJ	VYBER	15	93393	SLUZBY	\N	\N
642904	2195	1994-11-07	PRIJEM	VKLAD	3800	21296	\N	\N	\N
642905	2195	1994-12-07	VYDAJ	VYBER	4600	33471	\N	\N	\N
642906	2195	1995-01-06	VYDAJ	VYBER	17800	40860	\N	\N	\N
642907	2195	1995-02-05	VYDAJ	VYBER	15800	41955	\N	\N	\N
642908	2195	1995-03-07	VYDAJ	VYBER	17300	41537	\N	\N	\N
642909	2195	1995-04-06	VYDAJ	VYBER	14800	42540	\N	\N	\N
642910	2195	1995-05-06	VYDAJ	VYBER	14800	44607	\N	\N	\N
642911	2195	1995-06-05	VYDAJ	VYBER	14700	44278	\N	\N	\N
642912	2195	1995-07-05	VYDAJ	VYBER	5700	30528	\N	\N	\N
642913	2195	1995-08-04	VYDAJ	VYBER	11200	36144	\N	\N	\N
642914	2195	1995-09-03	VYDAJ	VYBER	9300	43694	\N	\N	\N
642915	2195	1995-10-03	VYDAJ	VYBER	13500	47072	\N	\N	\N
642916	2195	1995-11-02	VYDAJ	VYBER	16000	47971	\N	\N	\N
642917	2195	1995-12-02	VYDAJ	VYBER	11800	52336	\N	\N	\N
642918	2195	1996-01-01	VYDAJ	VYBER	17500	55933	\N	\N	\N
642919	2195	1996-01-31	VYDAJ	VYBER	7300	51977	\N	\N	\N
642920	2195	1996-03-01	VYDAJ	VYBER	11500	57321	\N	\N	\N
642921	2195	1996-03-31	VYDAJ	VYBER	17200	57059	\N	\N	\N
642922	2195	1996-04-30	VYDAJ	VYBER	18200	55805	\N	\N	\N
642923	2195	1996-05-30	VYDAJ	VYBER	14100	58359	\N	\N	\N
642924	2195	1996-06-29	VYDAJ	VYBER KARTOU	3800	45217	\N	\N	0
642925	2195	1996-07-29	VYDAJ	VYBER	9300	52789	\N	\N	\N
642926	2195	1996-08-28	VYDAJ	VYBER	13300	54320	\N	\N	\N
642927	2195	1996-09-27	VYDAJ	VYBER	9600	58480	\N	\N	\N
642928	2195	1996-10-27	VYDAJ	VYBER	14800	56772	\N	\N	\N
642929	2195	1996-11-26	VYDAJ	VYBER	16100	57576	\N	\N	\N
642930	2195	1996-12-26	VYDAJ	VYBER	13200	60018	\N	\N	\N
642931	2195	1997-01-25	VYDAJ	VYBER	8600	54023	\N	\N	\N
642932	2195	1997-02-24	VYDAJ	VYBER	7800	58701	\N	\N	\N
642933	2195	1997-03-26	VYDAJ	VYBER	12600	58392	\N	\N	\N
642934	2195	1997-04-25	VYDAJ	VYBER	11400	63893	\N	\N	\N
642935	2195	1997-05-25	VYDAJ	VYBER	12000	68779	\N	\N	\N
642936	2195	1997-06-24	PRIJEM	VKLAD	2500	52034	\N	\N	\N
642937	2195	1997-07-24	VYDAJ	VYBER KARTOU	1100	67815	\N	\N	0
642938	2195	1997-08-23	VYDAJ	VYBER	14900	69786	\N	\N	\N
642939	2195	1997-09-22	VYDAJ	VYBER	10100	74809	\N	\N	\N
642940	2195	1997-10-22	VYDAJ	VYBER	16400	75351	\N	\N	\N
642941	2195	1997-11-21	VYDAJ	VYBER	12000	75600	\N	\N	\N
642942	2195	1997-12-21	VYDAJ	VYBER	16600	79488	\N	\N	\N
642943	2195	1998-01-20	VYDAJ	VYBER	10300	83366	\N	\N	\N
642944	2195	1998-02-19	VYDAJ	VYBER	9300	75402	\N	\N	\N
642945	2195	1998-03-21	VYDAJ	VYBER	9000	83333	\N	\N	\N
642946	2195	1998-04-20	VYDAJ	VYBER	11500	88795	\N	\N	\N
642947	2195	1998-05-20	VYDAJ	VYBER	16200	89587	\N	\N	\N
642948	2195	1998-06-19	VYDAJ	VYBER	5200	74040	\N	\N	\N
642949	2195	1998-07-19	VYDAJ	VYBER	6700	84306	\N	\N	\N
642950	2195	1998-08-18	VYDAJ	VYBER	8100	93169	\N	\N	\N
642951	2195	1998-09-17	VYDAJ	VYBER	15400	94772	\N	\N	\N
642952	2195	1998-10-17	VYDAJ	VYBER	19200	92599	\N	\N	\N
642953	2195	1998-11-16	VYDAJ	VYBER	16600	93025	\N	\N	\N
642954	2195	1998-12-14	VYDAJ	VYBER	15900	102474	\N	\N	\N
642955	2195	1998-12-16	VYDAJ	VYBER	13300	89174	\N	\N	\N
643007	2196	1997-07-24	PRIJEM	VKLAD	500	500	\N	\N	\N
643015	2196	1997-08-13	PRIJEM	PREVOD Z UCTU	5525	6025	DUCHOD	YZ	46777612
643016	2196	1997-09-13	PRIJEM	PREVOD Z UCTU	5525	11550	DUCHOD	YZ	46777612
643017	2196	1997-10-13	PRIJEM	PREVOD Z UCTU	5525	17075	DUCHOD	YZ	46777612
643018	2196	1997-11-13	PRIJEM	PREVOD Z UCTU	5525	22600	DUCHOD	YZ	46777612
643019	2196	1997-12-13	PRIJEM	PREVOD Z UCTU	5525	28125	DUCHOD	YZ	46777612
643020	2196	1998-01-13	PRIJEM	PREVOD Z UCTU	5525	29639	DUCHOD	YZ	46777612
643021	2196	1998-02-13	PRIJEM	PREVOD Z UCTU	5525	24298	DUCHOD	YZ	46777612
643022	2196	1998-03-13	PRIJEM	PREVOD Z UCTU	5525	27744	DUCHOD	YZ	46777612
643023	2196	1998-04-13	PRIJEM	PREVOD Z UCTU	5525	30103	DUCHOD	YZ	46777612
643024	2196	1998-05-13	PRIJEM	PREVOD Z UCTU	5525	26863	DUCHOD	YZ	46777612
643025	2196	1998-06-13	PRIJEM	PREVOD Z UCTU	5525	30119	DUCHOD	YZ	46777612
643026	2196	1998-07-13	PRIJEM	PREVOD Z UCTU	5525	24785	DUCHOD	YZ	46777612
643027	2196	1998-08-13	PRIJEM	PREVOD Z UCTU	5525	24727	DUCHOD	YZ	46777612
643028	2196	1998-09-13	PRIJEM	PREVOD Z UCTU	5525	25650	DUCHOD	YZ	46777612
643029	2196	1998-10-13	PRIJEM	PREVOD Z UCTU	5525	25796	DUCHOD	YZ	46777612
643030	2196	1998-11-13	PRIJEM	PREVOD Z UCTU	5525	21697	DUCHOD	YZ	46777612
643031	2196	1998-12-13	PRIJEM	PREVOD Z UCTU	5525	23631	DUCHOD	YZ	46777612
643044	2196	1998-01-10	VYDAJ	PREVOD NA UCET	2160	25474	SIPO	IJ	33944320
643045	2196	1998-02-10	VYDAJ	PREVOD NA UCET	2160	18773	SIPO	IJ	33944320
643046	2196	1998-03-10	VYDAJ	PREVOD NA UCET	2160	22219	SIPO	IJ	33944320
643047	2196	1998-04-10	VYDAJ	PREVOD NA UCET	2160	24578	SIPO	IJ	33944320
643048	2196	1998-05-10	VYDAJ	PREVOD NA UCET	2160	21338	SIPO	IJ	33944320
643049	2196	1998-06-10	VYDAJ	PREVOD NA UCET	2160	24594	SIPO	IJ	33944320
643050	2196	1998-07-10	VYDAJ	PREVOD NA UCET	2160	19260	SIPO	IJ	33944320
643051	2196	1998-08-10	VYDAJ	PREVOD NA UCET	2160	19202	SIPO	IJ	33944320
643052	2196	1998-09-10	VYDAJ	PREVOD NA UCET	2160	20125	SIPO	IJ	33944320
643053	2196	1998-10-10	VYDAJ	PREVOD NA UCET	2160	20271	SIPO	IJ	33944320
643054	2196	1998-11-10	VYDAJ	PREVOD NA UCET	2160	16172	SIPO	IJ	33944320
643055	2196	1998-12-10	VYDAJ	PREVOD NA UCET	2160	18106	SIPO	IJ	33944320
643057	2196	1998-06-19	VYDAJ	VYBER	6700	21319	\N	\N	\N
643059	2196	1998-12-21	VYDAJ	VYBER	1000	15631	\N	\N	\N
643066	2196	1998-01-28	VYDAJ	VYBER	1760	21559	\N	\N	\N
643067	2196	1998-01-19	VYDAJ	VYBER	2080	24519	\N	\N	\N
643068	2196	1998-01-18	VYDAJ	VYBER	1200	28439	\N	\N	\N
643069	2196	1998-01-19	VYDAJ	VYBER	1840	26599	\N	\N	\N
643070	2196	1998-01-12	VYDAJ	VYBER	1360	24114	\N	\N	\N
643071	2196	1998-01-29	VYDAJ	VYBER	720	20839	\N	\N	\N
643074	2196	1998-01-26	VYDAJ	VYBER	1200	23319	\N	\N	\N
643075	2196	1998-08-19	VYDAJ	VYBER	720	22207	\N	\N	\N
643076	2196	1998-11-02	VYDAJ	VYBER	2240	18332	\N	\N	\N
643077	2196	1998-01-09	VYDAJ	VYBER	480	27634	\N	\N	\N
643090	2196	1997-12-31	VYDAJ	VYBER	15	28114	SLUZBY	\N	\N
643091	2196	1998-01-31	VYDAJ	VYBER	15	20933	SLUZBY	\N	\N
643092	2196	1998-02-28	VYDAJ	VYBER	15	24379	SLUZBY	\N	\N
643093	2196	1998-03-31	VYDAJ	VYBER	15	26738	SLUZBY	\N	\N
643094	2196	1998-04-30	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
643095	2196	1998-05-31	VYDAJ	VYBER	15	26754	SLUZBY	\N	\N
643096	2196	1998-06-30	VYDAJ	VYBER	15	21420	SLUZBY	\N	\N
643097	2196	1998-07-31	VYDAJ	VYBER	15	21362	SLUZBY	\N	\N
643098	2196	1998-08-31	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
643099	2196	1998-09-30	VYDAJ	VYBER	15	22431	SLUZBY	\N	\N
643100	2196	1998-10-31	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
643101	2196	1998-11-30	VYDAJ	VYBER	15	20266	SLUZBY	\N	\N
643102	2196	1998-03-21	VYDAJ	VYBER	1100	26644	\N	\N	\N
643103	2196	1998-04-20	VYDAJ	VYBER	6700	23403	\N	\N	\N
643104	2196	1998-05-20	VYDAJ	VYBER	200	26663	\N	\N	\N
643105	2196	1998-06-19	VYDAJ	VYBER	2100	28019	\N	\N	\N
643106	2196	1998-07-19	VYDAJ	VYBER	3500	21285	\N	\N	\N
643107	2196	1998-08-18	VYDAJ	VYBER	1800	22927	\N	\N	\N
643108	2196	1998-09-17	VYDAJ	VYBER	3300	22350	\N	\N	\N
643109	2196	1998-10-17	VYDAJ	VYBER	5300	20496	\N	\N	\N
643110	2196	1998-11-16	VYDAJ	VYBER	1500	20197	\N	\N	\N
643111	2196	1998-12-16	VYDAJ	VYBER	7000	16631	\N	\N	\N
643125	2197	1997-07-26	PRIJEM	VKLAD	900	900	\N	\N	\N
643133	2197	1997-08-11	PRIJEM	VKLAD	12786	13686	\N	\N	\N
643134	2197	1997-09-11	PRIJEM	VKLAD	12786	34993	\N	\N	\N
643135	2197	1997-10-11	PRIJEM	VKLAD	12786	46482	\N	\N	\N
643136	2197	1997-11-11	PRIJEM	VKLAD	12786	52915	\N	\N	\N
643137	2197	1997-12-11	PRIJEM	VKLAD	19179	62564	\N	\N	\N
643138	2197	1998-01-11	PRIJEM	VKLAD	12786	55307	\N	\N	\N
643139	2197	1998-02-11	PRIJEM	VKLAD	12786	43623	\N	\N	\N
643140	2197	1998-03-11	PRIJEM	VKLAD	12786	44306	\N	\N	\N
643141	2197	1998-04-11	PRIJEM	VKLAD	12786	49197	\N	\N	\N
643142	2197	1998-05-11	PRIJEM	VKLAD	12786	50303	\N	\N	\N
643143	2197	1998-06-11	PRIJEM	VKLAD	19179	61711	\N	\N	\N
643144	2197	1998-07-11	PRIJEM	VKLAD	12786	53545	\N	\N	\N
643145	2197	1998-08-11	PRIJEM	VKLAD	12786	58674	\N	\N	\N
643146	2197	1998-09-11	PRIJEM	VKLAD	12786	65828	\N	\N	\N
643147	2197	1998-10-11	PRIJEM	VKLAD	12786	67902	\N	\N	\N
643148	2197	1998-11-11	PRIJEM	VKLAD	12786	61179	\N	\N	\N
643149	2197	1998-12-11	PRIJEM	VKLAD	19179	67436	\N	\N	\N
643161	2197	1997-12-13	VYDAJ	PREVOD NA UCET	8524	54040	SIPO	YZ	97071992
643162	2197	1998-01-13	VYDAJ	PREVOD NA UCET	8524	44283	SIPO	YZ	97071992
643163	2197	1998-02-13	VYDAJ	PREVOD NA UCET	8524	33699	SIPO	YZ	97071992
643164	2197	1998-03-13	VYDAJ	PREVOD NA UCET	8524	35782	SIPO	YZ	97071992
643165	2197	1998-04-13	VYDAJ	PREVOD NA UCET	8524	40673	SIPO	YZ	97071992
643166	2197	1998-05-13	VYDAJ	PREVOD NA UCET	8524	41779	SIPO	YZ	97071992
643167	2197	1998-06-13	VYDAJ	PREVOD NA UCET	8524	53187	SIPO	YZ	97071992
643168	2197	1998-07-13	VYDAJ	PREVOD NA UCET	8524	45021	SIPO	YZ	97071992
643169	2197	1998-08-13	VYDAJ	PREVOD NA UCET	8524	50150	SIPO	YZ	97071992
643170	2197	1998-09-13	VYDAJ	PREVOD NA UCET	8524	57304	SIPO	YZ	97071992
643171	2197	1998-10-13	VYDAJ	PREVOD NA UCET	8524	59378	SIPO	YZ	97071992
643172	2197	1998-11-13	VYDAJ	PREVOD NA UCET	8524	52655	SIPO	YZ	97071992
643173	2197	1998-12-13	VYDAJ	PREVOD NA UCET	8524	58912	SIPO	YZ	97071992
643175	2197	1998-06-13	VYDAJ	VYBER	22400	30787	\N	\N	\N
643177	2197	1998-01-04	VYDAJ	VYBER	1400	42521	\N	\N	\N
643178	2197	1997-12-20	VYDAJ	VYBER	1200	52840	\N	\N	\N
643179	2197	1998-12-07	VYDAJ	VYBER KARTOU	1800	48257	\N	\N	0
643186	2197	1998-01-15	VYDAJ	VYBER	2700	41583	\N	\N	\N
643187	2197	1998-01-20	VYDAJ	VYBER	1100	40483	\N	\N	\N
643188	2197	1998-01-13	VYDAJ	VYBER	2500	52807	\N	\N	\N
643189	2197	1998-01-25	VYDAJ	VYBER	1800	32883	\N	\N	\N
643190	2197	1998-01-27	VYDAJ	VYBER	2200	30683	\N	\N	\N
643191	2197	1998-01-21	VYDAJ	VYBER	2700	37783	\N	\N	\N
643198	2197	1998-02-11	VYDAJ	VYBER	1400	42223	\N	\N	\N
643199	2197	1998-04-28	VYDAJ	VYBER	1000	37373	\N	\N	\N
643200	2197	1998-11-09	VYDAJ	VYBER	4600	48393	\N	\N	\N
643201	2197	1998-01-24	VYDAJ	VYBER	4800	34683	\N	\N	\N
643214	2197	1997-12-31	VYDAJ	VYBER	15	43921	SLUZBY	\N	\N
643215	2197	1998-01-31	VYDAJ	VYBER	15	30837	SLUZBY	\N	\N
643216	2197	1998-02-28	VYDAJ	VYBER	15	31520	SLUZBY	\N	\N
643217	2197	1998-03-31	VYDAJ	VYBER	15	36411	SLUZBY	\N	\N
643218	2197	1998-04-30	VYDAJ	VYBER	15	37517	SLUZBY	\N	\N
643219	2197	1998-05-31	VYDAJ	VYBER	15	42532	SLUZBY	\N	\N
643220	2197	1998-06-30	VYDAJ	VYBER	15	40759	SLUZBY	\N	\N
643221	2197	1998-07-31	VYDAJ	VYBER	15	45888	SLUZBY	\N	\N
643222	2197	1998-08-31	VYDAJ	VYBER	15	53042	SLUZBY	\N	\N
643223	2197	1998-09-30	VYDAJ	VYBER	15	55116	SLUZBY	\N	\N
643224	2197	1998-10-31	VYDAJ	VYBER	15	52993	SLUZBY	\N	\N
643225	2197	1998-11-30	VYDAJ	VYBER	15	50057	SLUZBY	\N	\N
643226	2197	1997-08-25	PRIJEM	VKLAD	8500	22186	\N	\N	\N
643227	2197	1997-09-24	VYDAJ	VYBER	1400	33593	\N	\N	\N
643228	2197	1997-10-24	VYDAJ	VYBER	6500	39982	\N	\N	\N
643229	2197	1997-11-23	VYDAJ	VYBER	9700	43215	\N	\N	\N
643230	2197	1997-12-23	VYDAJ	VYBER	9100	43740	\N	\N	\N
643231	2197	1998-01-22	PRIJEM	VKLAD	1700	39483	\N	\N	\N
643232	2197	1998-02-21	VYDAJ	VYBER	2300	31399	\N	\N	\N
643233	2197	1998-03-23	PRIJEM	VKLAD	500	36282	\N	\N	\N
643234	2197	1998-04-22	VYDAJ	VYBER	2300	38373	\N	\N	\N
643235	2197	1998-05-22	PRIJEM	VKLAD	600	42379	\N	\N	\N
643236	2197	1998-06-21	PRIJEM	VKLAD	9800	40587	\N	\N	\N
643237	2197	1998-07-21	PRIJEM	VKLAD	700	45721	\N	\N	\N
643238	2197	1998-08-20	PRIJEM	VKLAD	2700	52850	\N	\N	\N
643239	2197	1998-09-19	VYDAJ	VYBER	2400	54904	\N	\N	\N
643240	2197	1998-10-19	VYDAJ	VYBER	6600	52778	\N	\N	\N
643241	2197	1998-11-18	VYDAJ	VYBER KARTOU	2800	49855	\N	\N	0
643871	2199	1993-08-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
643879	2199	1993-08-12	PRIJEM	PREVOD Z UCTU	3747	4847	\N	IJ	18111872
643880	2199	1993-09-12	PRIJEM	PREVOD Z UCTU	3747	17107	\N	IJ	18111872
643881	2199	1993-10-12	PRIJEM	PREVOD Z UCTU	3747	26807	\N	IJ	18111872
643882	2199	1993-11-12	PRIJEM	PREVOD Z UCTU	3747	27151	\N	IJ	18111872
643883	2199	1993-12-12	PRIJEM	PREVOD Z UCTU	3747	29311	\N	IJ	18111872
643884	2199	1994-01-12	PRIJEM	PREVOD Z UCTU	3747	23063	\N	IJ	18111872
643885	2199	1994-02-12	PRIJEM	PREVOD Z UCTU	3747	26012	\N	IJ	18111872
643886	2199	1994-03-12	PRIJEM	PREVOD Z UCTU	3747	28352	\N	IJ	18111872
643887	2199	1994-04-12	PRIJEM	PREVOD Z UCTU	3747	29201	\N	IJ	18111872
643888	2199	1994-05-12	PRIJEM	PREVOD Z UCTU	3747	28555	\N	IJ	18111872
643889	2199	1994-06-12	PRIJEM	PREVOD Z UCTU	3747	26807	\N	IJ	18111872
643890	2199	1994-07-12	PRIJEM	PREVOD Z UCTU	3747	21853	\N	IJ	18111872
643891	2199	1994-08-12	PRIJEM	PREVOD Z UCTU	3747	25377	\N	IJ	18111872
643892	2199	1994-09-12	PRIJEM	PREVOD Z UCTU	3747	27215	\N	IJ	18111872
643893	2199	1994-10-12	PRIJEM	PREVOD Z UCTU	3747	27358	\N	IJ	18111872
643894	2199	1994-11-12	PRIJEM	PREVOD Z UCTU	3747	29204	\N	IJ	18111872
643895	2199	1994-12-12	PRIJEM	PREVOD Z UCTU	3747	29857	\N	IJ	18111872
643896	2199	1995-01-12	PRIJEM	PREVOD Z UCTU	3747	26894	\N	IJ	18111872
643897	2199	1995-02-12	PRIJEM	PREVOD Z UCTU	3747	26038	\N	IJ	18111872
643898	2199	1995-03-12	PRIJEM	PREVOD Z UCTU	3747	25467	\N	IJ	18111872
643899	2199	1995-04-12	PRIJEM	PREVOD Z UCTU	3747	28145	\N	IJ	18111872
643900	2199	1995-05-12	PRIJEM	PREVOD Z UCTU	3747	27793	\N	IJ	18111872
643901	2199	1995-06-12	PRIJEM	PREVOD Z UCTU	3747	23291	\N	IJ	18111872
643902	2199	1995-07-12	PRIJEM	PREVOD Z UCTU	3747	30131	\N	IJ	18111872
643903	2199	1995-08-12	PRIJEM	PREVOD Z UCTU	3747	30587	\N	IJ	18111872
643904	2199	1995-09-12	PRIJEM	PREVOD Z UCTU	3747	29294	\N	IJ	18111872
643905	2199	1995-10-12	PRIJEM	PREVOD Z UCTU	3747	31898	\N	IJ	18111872
643906	2199	1995-11-12	PRIJEM	PREVOD Z UCTU	3747	32714	\N	IJ	18111872
643907	2199	1995-12-12	PRIJEM	PREVOD Z UCTU	3747	32610	\N	IJ	18111872
643908	2199	1996-01-12	PRIJEM	PREVOD Z UCTU	3747	28844	\N	IJ	18111872
643909	2199	1996-02-12	PRIJEM	PREVOD Z UCTU	3747	28675	\N	IJ	18111872
643910	2199	1996-03-12	PRIJEM	PREVOD Z UCTU	3747	29555	\N	IJ	18111872
643911	2199	1996-04-12	PRIJEM	PREVOD Z UCTU	3747	30509	\N	IJ	18111872
643912	2199	1996-05-12	PRIJEM	PREVOD Z UCTU	3747	29964	\N	IJ	18111872
643913	2199	1996-06-12	PRIJEM	PREVOD Z UCTU	3747	26228	\N	IJ	18111872
643914	2199	1996-07-12	PRIJEM	PREVOD Z UCTU	3747	24767	\N	IJ	18111872
643915	2199	1996-08-12	PRIJEM	PREVOD Z UCTU	3747	25550	\N	IJ	18111872
643916	2199	1996-09-12	PRIJEM	PREVOD Z UCTU	3747	28591	\N	IJ	18111872
643917	2199	1996-10-12	PRIJEM	PREVOD Z UCTU	3747	29240	\N	IJ	18111872
643918	2199	1996-11-12	PRIJEM	PREVOD Z UCTU	3747	28932	\N	IJ	18111872
643919	2199	1996-12-12	PRIJEM	PREVOD Z UCTU	3747	28041	\N	IJ	18111872
643920	2199	1997-01-12	PRIJEM	PREVOD Z UCTU	3747	25354	\N	IJ	18111872
643921	2199	1997-02-12	PRIJEM	PREVOD Z UCTU	3747	19871	\N	IJ	18111872
643922	2199	1997-03-12	PRIJEM	PREVOD Z UCTU	3747	18740	\N	IJ	18111872
643923	2199	1997-04-12	PRIJEM	PREVOD Z UCTU	3747	21451	\N	IJ	18111872
643924	2199	1997-05-12	PRIJEM	PREVOD Z UCTU	3747	21067	\N	IJ	18111872
643925	2199	1997-06-12	PRIJEM	PREVOD Z UCTU	3747	18276	\N	IJ	18111872
643926	2199	1997-07-12	PRIJEM	PREVOD Z UCTU	3747	18621	\N	IJ	18111872
643927	2199	1997-08-12	PRIJEM	PREVOD Z UCTU	3747	15318	\N	IJ	18111872
643928	2199	1997-09-12	PRIJEM	PREVOD Z UCTU	3747	14006	\N	IJ	18111872
643929	2199	1997-10-12	PRIJEM	PREVOD Z UCTU	3747	15294	\N	IJ	18111872
643930	2199	1997-11-12	PRIJEM	PREVOD Z UCTU	3747	16957	\N	IJ	18111872
643931	2199	1997-12-12	PRIJEM	PREVOD Z UCTU	3747	20047	\N	IJ	18111872
643932	2199	1998-01-12	PRIJEM	PREVOD Z UCTU	3747	20158	\N	IJ	18111872
643933	2199	1998-02-12	PRIJEM	PREVOD Z UCTU	3747	22009	\N	IJ	18111872
643934	2199	1998-03-12	PRIJEM	PREVOD Z UCTU	3747	27427	\N	IJ	18111872
643935	2199	1998-04-12	PRIJEM	PREVOD Z UCTU	3747	31665	\N	IJ	18111872
643936	2199	1998-05-12	PRIJEM	PREVOD Z UCTU	3747	26533	\N	IJ	18111872
643937	2199	1998-06-12	PRIJEM	PREVOD Z UCTU	3747	25781	\N	IJ	18111872
643938	2199	1998-07-12	PRIJEM	PREVOD Z UCTU	3747	18807	\N	IJ	18111872
643939	2199	1998-08-12	PRIJEM	PREVOD Z UCTU	3747	20434	\N	IJ	18111872
643940	2199	1998-09-12	PRIJEM	PREVOD Z UCTU	3747	15336	\N	IJ	18111872
643941	2199	1998-10-12	PRIJEM	PREVOD Z UCTU	3747	16122	\N	IJ	18111872
643942	2199	1998-11-12	PRIJEM	PREVOD Z UCTU	3747	17419	\N	IJ	18111872
643943	2199	1998-12-12	PRIJEM	PREVOD Z UCTU	3747	16730	\N	IJ	18111872
643956	2199	1994-01-07	VYDAJ	PREVOD NA UCET	668	22496	SIPO	UV	58226454
643957	2199	1994-02-07	VYDAJ	PREVOD NA UCET	668	24095	SIPO	UV	58226454
643958	2199	1994-03-07	VYDAJ	PREVOD NA UCET	668	26435	SIPO	UV	58226454
643959	2199	1994-04-07	VYDAJ	PREVOD NA UCET	668	27284	SIPO	UV	58226454
643960	2199	1994-05-07	VYDAJ	PREVOD NA UCET	668	26638	SIPO	UV	58226454
643961	2199	1994-06-07	VYDAJ	PREVOD NA UCET	668	24890	SIPO	UV	58226454
643962	2199	1994-07-07	VYDAJ	PREVOD NA UCET	668	19936	SIPO	UV	58226454
643963	2199	1994-08-07	VYDAJ	PREVOD NA UCET	668	23460	SIPO	UV	58226454
643964	2199	1994-09-07	VYDAJ	PREVOD NA UCET	668	25298	SIPO	UV	58226454
643965	2199	1994-10-07	VYDAJ	PREVOD NA UCET	668	25441	SIPO	UV	58226454
643966	2199	1994-11-07	VYDAJ	PREVOD NA UCET	668	27287	SIPO	UV	58226454
643967	2199	1994-12-07	VYDAJ	PREVOD NA UCET	668	27940	SIPO	UV	58226454
643968	2199	1995-01-07	VYDAJ	PREVOD NA UCET	668	29387	SIPO	UV	58226454
643969	2199	1995-02-07	VYDAJ	PREVOD NA UCET	668	24121	SIPO	UV	58226454
643970	2199	1995-03-07	VYDAJ	PREVOD NA UCET	668	23550	SIPO	UV	58226454
643971	2199	1995-04-07	VYDAJ	PREVOD NA UCET	668	26228	SIPO	UV	58226454
643972	2199	1995-05-07	VYDAJ	PREVOD NA UCET	668	25876	SIPO	UV	58226454
643973	2199	1995-06-07	VYDAJ	PREVOD NA UCET	668	27194	SIPO	UV	58226454
643974	2199	1995-07-07	VYDAJ	PREVOD NA UCET	668	28214	SIPO	UV	58226454
643975	2199	1995-08-07	VYDAJ	PREVOD NA UCET	668	28670	SIPO	UV	58226454
643976	2199	1995-09-07	VYDAJ	PREVOD NA UCET	668	27737	SIPO	UV	58226454
643977	2199	1995-10-07	VYDAJ	PREVOD NA UCET	668	29981	SIPO	UV	58226454
643978	2199	1995-11-07	VYDAJ	PREVOD NA UCET	668	30797	SIPO	UV	58226454
643979	2199	1995-12-07	VYDAJ	PREVOD NA UCET	668	30693	SIPO	UV	58226454
643980	2199	1996-01-07	VYDAJ	PREVOD NA UCET	668	27377	SIPO	UV	58226454
643981	2199	1996-02-07	VYDAJ	PREVOD NA UCET	668	26758	SIPO	UV	58226454
643982	2199	1996-03-07	VYDAJ	PREVOD NA UCET	668	27638	SIPO	UV	58226454
643983	2199	1996-04-07	VYDAJ	PREVOD NA UCET	668	28592	SIPO	UV	58226454
643984	2199	1996-05-07	VYDAJ	PREVOD NA UCET	668	28047	SIPO	UV	58226454
643985	2199	1996-06-07	VYDAJ	PREVOD NA UCET	668	24311	SIPO	UV	58226454
643986	2199	1996-07-07	VYDAJ	PREVOD NA UCET	668	22850	SIPO	UV	58226454
643987	2199	1996-08-07	VYDAJ	PREVOD NA UCET	668	23633	SIPO	UV	58226454
643988	2199	1996-09-07	VYDAJ	PREVOD NA UCET	668	26674	SIPO	UV	58226454
643989	2199	1996-10-07	VYDAJ	PREVOD NA UCET	668	27323	SIPO	UV	58226454
643990	2199	1996-11-07	VYDAJ	PREVOD NA UCET	668	27015	SIPO	UV	58226454
643991	2199	1996-12-07	VYDAJ	PREVOD NA UCET	668	26124	SIPO	UV	58226454
643992	2199	1997-01-07	VYDAJ	PREVOD NA UCET	668	24877	SIPO	UV	58226454
643993	2199	1997-02-07	VYDAJ	PREVOD NA UCET	668	17954	SIPO	UV	58226454
643994	2199	1997-03-07	VYDAJ	PREVOD NA UCET	668	16823	SIPO	UV	58226454
643995	2199	1997-04-07	VYDAJ	PREVOD NA UCET	668	19534	SIPO	UV	58226454
643996	2199	1997-05-07	VYDAJ	PREVOD NA UCET	668	19150	SIPO	UV	58226454
643997	2199	1997-06-07	VYDAJ	PREVOD NA UCET	668	16359	SIPO	UV	58226454
643998	2199	1997-07-07	VYDAJ	PREVOD NA UCET	668	16704	SIPO	UV	58226454
643999	2199	1997-08-07	VYDAJ	PREVOD NA UCET	668	13401	SIPO	UV	58226454
644000	2199	1997-09-07	VYDAJ	PREVOD NA UCET	668	12089	SIPO	UV	58226454
644001	2199	1997-10-07	VYDAJ	PREVOD NA UCET	668	13377	SIPO	UV	58226454
644002	2199	1997-11-07	VYDAJ	PREVOD NA UCET	668	14440	SIPO	UV	58226454
644003	2199	1997-12-07	VYDAJ	PREVOD NA UCET	668	15530	SIPO	UV	58226454
644004	2199	1998-01-07	VYDAJ	PREVOD NA UCET	668	17971	SIPO	UV	58226454
644005	2199	1998-02-07	VYDAJ	PREVOD NA UCET	668	17692	SIPO	UV	58226454
644006	2199	1998-03-07	VYDAJ	PREVOD NA UCET	668	21410	SIPO	UV	58226454
644007	2199	1998-04-07	VYDAJ	PREVOD NA UCET	668	26848	SIPO	UV	58226454
644008	2199	1998-05-07	VYDAJ	PREVOD NA UCET	668	31106	SIPO	UV	58226454
644009	2199	1998-06-07	VYDAJ	PREVOD NA UCET	668	25964	SIPO	UV	58226454
644010	2199	1998-07-07	VYDAJ	PREVOD NA UCET	668	16790	SIPO	UV	58226454
644011	2199	1998-08-07	VYDAJ	PREVOD NA UCET	668	18197	SIPO	UV	58226454
644012	2199	1998-09-07	VYDAJ	PREVOD NA UCET	668	13419	SIPO	UV	58226454
644013	2199	1998-10-07	VYDAJ	PREVOD NA UCET	668	14205	SIPO	UV	58226454
644014	2199	1998-11-07	VYDAJ	PREVOD NA UCET	668	15502	SIPO	UV	58226454
644015	2199	1998-12-07	VYDAJ	PREVOD NA UCET	668	14813	SIPO	UV	58226454
644028	2199	1994-01-11	VYDAJ	PREVOD NA UCET	1830	19316	 	AB	99790232
644029	2199	1994-02-11	VYDAJ	PREVOD NA UCET	1830	22265	 	AB	99790232
644030	2199	1994-03-11	VYDAJ	PREVOD NA UCET	1830	24605	 	AB	99790232
644031	2199	1994-04-11	VYDAJ	PREVOD NA UCET	1830	25454	 	AB	99790232
644032	2199	1994-05-11	VYDAJ	PREVOD NA UCET	1830	24808	 	AB	99790232
644033	2199	1994-06-11	VYDAJ	PREVOD NA UCET	1830	23060	 	AB	99790232
644034	2199	1994-07-11	VYDAJ	PREVOD NA UCET	1830	18106	 	AB	99790232
644035	2199	1994-08-11	VYDAJ	PREVOD NA UCET	1830	21630	 	AB	99790232
644036	2199	1994-09-11	VYDAJ	PREVOD NA UCET	1830	23468	 	AB	99790232
644037	2199	1994-10-11	VYDAJ	PREVOD NA UCET	1830	23611	 	AB	99790232
644038	2199	1994-11-11	VYDAJ	PREVOD NA UCET	1830	25457	 	AB	99790232
644039	2199	1994-12-11	VYDAJ	PREVOD NA UCET	1830	26110	 	AB	99790232
644040	2199	1995-01-11	VYDAJ	PREVOD NA UCET	1830	23147	 	AB	99790232
644041	2199	1995-02-11	VYDAJ	PREVOD NA UCET	1830	22291	 	AB	99790232
644042	2199	1995-03-11	VYDAJ	PREVOD NA UCET	1830	21720	 	AB	99790232
644043	2199	1995-04-11	VYDAJ	PREVOD NA UCET	1830	24398	 	AB	99790232
644044	2199	1995-05-11	VYDAJ	PREVOD NA UCET	1830	24046	 	AB	99790232
644045	2199	1995-06-11	VYDAJ	PREVOD NA UCET	1830	19544	 	AB	99790232
644046	2199	1995-07-11	VYDAJ	PREVOD NA UCET	1830	26384	 	AB	99790232
644047	2199	1995-08-11	VYDAJ	PREVOD NA UCET	1830	26840	 	AB	99790232
644048	2199	1995-09-11	VYDAJ	PREVOD NA UCET	1830	25547	 	AB	99790232
644049	2199	1995-10-11	VYDAJ	PREVOD NA UCET	1830	28151	 	AB	99790232
644050	2199	1995-11-11	VYDAJ	PREVOD NA UCET	1830	28967	 	AB	99790232
644051	2199	1995-12-11	VYDAJ	PREVOD NA UCET	1830	28863	 	AB	99790232
644052	2199	1996-01-11	VYDAJ	PREVOD NA UCET	1830	25097	 	AB	99790232
644053	2199	1996-02-11	VYDAJ	PREVOD NA UCET	1830	24928	 	AB	99790232
644054	2199	1996-03-11	VYDAJ	PREVOD NA UCET	1830	25808	 	AB	99790232
644055	2199	1996-04-11	VYDAJ	PREVOD NA UCET	1830	26762	 	AB	99790232
644056	2199	1996-05-11	VYDAJ	PREVOD NA UCET	1830	26217	 	AB	99790232
644057	2199	1996-06-11	VYDAJ	PREVOD NA UCET	1830	22481	 	AB	99790232
644058	2199	1996-07-11	VYDAJ	PREVOD NA UCET	1830	21020	 	AB	99790232
644059	2199	1996-08-11	VYDAJ	PREVOD NA UCET	1830	21803	 	AB	99790232
644060	2199	1996-09-11	VYDAJ	PREVOD NA UCET	1830	24844	 	AB	99790232
644061	2199	1996-10-11	VYDAJ	PREVOD NA UCET	1830	25493	 	AB	99790232
644062	2199	1996-11-11	VYDAJ	PREVOD NA UCET	1830	25185	 	AB	99790232
644063	2199	1996-12-11	VYDAJ	PREVOD NA UCET	1830	24294	 	AB	99790232
644064	2199	1997-01-11	VYDAJ	PREVOD NA UCET	1830	21607	 	AB	99790232
644065	2199	1997-02-11	VYDAJ	PREVOD NA UCET	1830	16124	 	AB	99790232
644066	2199	1997-03-11	VYDAJ	PREVOD NA UCET	1830	14993	 	AB	99790232
644067	2199	1997-04-11	VYDAJ	PREVOD NA UCET	1830	17704	 	AB	99790232
644068	2199	1997-05-11	VYDAJ	PREVOD NA UCET	1830	17320	 	AB	99790232
644069	2199	1997-06-11	VYDAJ	PREVOD NA UCET	1830	14529	 	AB	99790232
644070	2199	1997-07-11	VYDAJ	PREVOD NA UCET	1830	14874	 	AB	99790232
644071	2199	1997-08-11	VYDAJ	PREVOD NA UCET	1830	11571	 	AB	99790232
644072	2199	1997-09-11	VYDAJ	PREVOD NA UCET	1830	10259	 	AB	99790232
644073	2199	1997-10-11	VYDAJ	PREVOD NA UCET	1830	11547	 	AB	99790232
644074	2199	1997-11-11	VYDAJ	PREVOD NA UCET	1830	13210	 	AB	99790232
644075	2199	1997-12-11	VYDAJ	PREVOD NA UCET	1830	16300	 	AB	99790232
644076	2199	1998-01-11	VYDAJ	PREVOD NA UCET	1830	17011	 	AB	99790232
644077	2199	1998-02-11	VYDAJ	PREVOD NA UCET	1830	18262	 	AB	99790232
644078	2199	1998-03-11	VYDAJ	PREVOD NA UCET	1830	23680	 	AB	99790232
644079	2199	1998-04-11	VYDAJ	PREVOD NA UCET	1830	27918	 	AB	99790232
644080	2199	1998-05-11	VYDAJ	PREVOD NA UCET	1830	22786	 	AB	99790232
644081	2199	1998-06-11	VYDAJ	PREVOD NA UCET	1830	22034	 	AB	99790232
644082	2199	1998-07-11	VYDAJ	PREVOD NA UCET	1830	15060	 	AB	99790232
644083	2199	1998-08-11	VYDAJ	PREVOD NA UCET	1830	16687	 	AB	99790232
644084	2199	1998-09-11	VYDAJ	PREVOD NA UCET	1830	11589	 	AB	99790232
644085	2199	1998-10-11	VYDAJ	PREVOD NA UCET	1830	12375	 	AB	99790232
644086	2199	1998-11-11	VYDAJ	PREVOD NA UCET	1830	13672	 	AB	99790232
644087	2199	1998-12-11	VYDAJ	PREVOD NA UCET	1830	12983	 	AB	99790232
644089	2199	1994-06-22	VYDAJ	VYBER	6240	20567	\N	\N	\N
644090	2199	1995-06-09	VYDAJ	VYBER	5820	21374	\N	\N	\N
644091	2199	1996-06-01	VYDAJ	VYBER	3690	24979	\N	\N	\N
644092	2199	1997-06-19	VYDAJ	VYBER	960	17316	\N	\N	\N
644093	2199	1998-06-20	VYDAJ	VYBER	8400	17381	\N	\N	\N
644095	2199	1994-01-02	VYDAJ	VYBER	2010	24544	\N	\N	\N
644096	2199	1995-01-07	VYDAJ	VYBER	2520	26867	\N	\N	\N
644097	2199	1996-01-22	VYDAJ	VYBER	2040	27864	\N	\N	\N
644098	2199	1997-01-07	VYDAJ	VYBER	390	25545	\N	\N	\N
644099	2199	1998-01-02	VYDAJ	VYBER	720	19389	\N	\N	\N
644100	2199	1993-12-27	VYDAJ	VYBER	600	28711	\N	\N	\N
644101	2199	1994-12-29	VYDAJ	VYBER	210	29947	\N	\N	\N
644102	2199	1995-12-19	VYDAJ	VYBER	660	31950	\N	\N	\N
644103	2199	1996-12-04	VYDAJ	VYBER	540	26792	\N	\N	\N
644104	2199	1997-12-03	VYDAJ	VYBER	810	16198	\N	\N	\N
644105	2199	1998-12-18	VYDAJ	VYBER	240	16490	\N	\N	\N
644112	2199	1994-01-08	VYDAJ	VYBER	540	21956	\N	\N	\N
644113	2199	1994-01-21	VYDAJ	VYBER	600	21743	\N	\N	\N
644114	2199	1994-01-09	VYDAJ	VYBER	810	21146	\N	\N	\N
644115	2199	1994-01-30	VYDAJ	VYBER	570	21173	\N	\N	\N
644116	2199	1994-01-14	VYDAJ	VYBER	720	22343	\N	\N	\N
644117	2199	1994-01-01	VYDAJ	VYBER	660	26554	\N	\N	\N
644118	2199	1995-01-28	VYDAJ	VYBER	810	24694	\N	\N	\N
644119	2199	1995-01-09	VYDAJ	VYBER	360	25757	\N	\N	\N
644120	2199	1995-01-16	VYDAJ	VYBER	810	25304	\N	\N	\N
644121	2199	1995-01-08	VYDAJ	VYBER	750	26117	\N	\N	\N
644122	2199	1995-01-09	VYDAJ	VYBER	780	24977	\N	\N	\N
644123	2199	1995-01-15	VYDAJ	VYBER	780	26114	\N	\N	\N
644124	2199	1996-01-09	VYDAJ	VYBER	450	26927	\N	\N	\N
644125	2199	1996-01-02	VYDAJ	VYBER	840	29425	\N	\N	\N
644126	2199	1996-01-26	VYDAJ	VYBER	540	27324	\N	\N	\N
644127	2199	1996-01-12	VYDAJ	VYBER	210	28634	\N	\N	\N
644128	2199	1996-01-19	VYDAJ	VYBER	330	28304	\N	\N	\N
644129	2199	1996-01-04	VYDAJ	VYBER	870	28555	\N	\N	\N
644130	2199	1997-01-14	VYDAJ	VYBER	180	24514	\N	\N	\N
644131	2199	1997-01-10	VYDAJ	VYBER	210	24667	\N	\N	\N
644132	2199	1997-01-28	VYDAJ	VYBER	180	19924	\N	\N	\N
644133	2199	1997-01-27	VYDAJ	VYBER	390	20104	\N	\N	\N
644134	2199	1997-01-20	VYDAJ	VYBER	720	20494	\N	\N	\N
644135	2199	1997-01-12	VYDAJ	VYBER	660	24694	\N	\N	\N
644136	2199	1998-01-17	VYDAJ	VYBER	840	18658	\N	\N	\N
644137	2199	1998-01-27	VYDAJ	VYBER	360	18298	\N	\N	\N
644138	2199	1998-01-11	VYDAJ	VYBER	600	16411	\N	\N	\N
644139	2199	1998-01-06	VYDAJ	VYBER	750	18639	\N	\N	\N
644140	2199	1998-01-14	VYDAJ	VYBER	660	19498	\N	\N	\N
644141	2199	1998-01-09	VYDAJ	VYBER	630	17341	\N	\N	\N
644146	2199	1994-09-16	VYDAJ	VYBER	1200	26015	\N	\N	\N
644147	2199	1994-01-05	VYDAJ	VYBER	1380	23164	\N	\N	\N
644148	2199	1994-06-29	VYDAJ	VYBER	1350	19217	\N	\N	\N
644149	2199	1994-02-03	VYDAJ	VYBER	390	24763	\N	\N	\N
644150	2199	1995-02-26	VYDAJ	VYBER	810	24128	\N	\N	\N
644151	2199	1995-03-20	VYDAJ	VYBER	1260	24207	\N	\N	\N
644152	2199	1995-10-29	VYDAJ	VYBER	1350	31348	\N	\N	\N
644153	2199	1995-08-21	VYDAJ	VYBER	1290	29297	\N	\N	\N
644154	2199	1995-09-18	VYDAJ	VYBER	450	28844	\N	\N	\N
644155	2199	1995-11-22	VYDAJ	VYBER	570	31244	\N	\N	\N
644156	2199	1995-06-03	VYDAJ	VYBER	330	27862	\N	\N	\N
644157	2199	1995-09-07	VYDAJ	VYBER	360	27377	\N	\N	\N
644158	2199	1996-11-02	VYDAJ	VYBER	1260	27683	\N	\N	\N
644159	2199	1996-01-07	VYDAJ	VYBER	510	28045	\N	\N	\N
644160	2199	1996-02-19	VYDAJ	VYBER	1470	26005	\N	\N	\N
644161	2199	1996-07-30	VYDAJ	VYBER	150	24217	\N	\N	\N
644162	2199	1996-02-18	VYDAJ	VYBER	1200	27475	\N	\N	\N
644163	2199	1997-01-11	VYDAJ	VYBER	1230	23437	\N	\N	\N
644164	2199	1997-02-12	VYDAJ	VYBER	1320	18551	\N	\N	\N
644165	2199	1997-02-24	VYDAJ	VYBER	420	17431	\N	\N	\N
644166	2199	1997-02-05	VYDAJ	VYBER	1380	18622	\N	\N	\N
644167	2199	1997-10-15	VYDAJ	VYBER	930	15064	\N	\N	\N
644168	2199	1998-08-14	VYDAJ	VYBER	1110	19324	\N	\N	\N
644169	2199	1998-08-11	VYDAJ	VYBER	480	18517	\N	\N	\N
644170	2199	1998-11-12	VYDAJ	VYBER	990	16429	\N	\N	\N
644171	2199	1998-09-25	VYDAJ	VYBER	510	14826	\N	\N	\N
644172	2199	1998-05-09	VYDAJ	VYBER	1290	29816	\N	\N	\N
644185	2199	1993-12-31	VYDAJ	VYBER	15	28814	SLUZBY	\N	\N
644186	2199	1994-01-31	VYDAJ	VYBER	15	25153	SLUZBY	\N	\N
644187	2199	1994-02-28	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
644188	2199	1994-03-31	VYDAJ	VYBER	15	28452	SLUZBY	\N	\N
644189	2199	1994-04-30	VYDAJ	VYBER	15	29306	SLUZBY	\N	\N
644190	2199	1994-05-31	VYDAJ	VYBER	15	25558	SLUZBY	\N	\N
644191	2199	1994-06-30	VYDAJ	VYBER	15	20604	SLUZBY	\N	\N
644192	2199	1994-07-31	VYDAJ	VYBER	15	24128	SLUZBY	\N	\N
644193	2199	1994-08-31	VYDAJ	VYBER	15	25966	SLUZBY	\N	\N
644194	2199	1994-09-30	VYDAJ	VYBER	15	26109	SLUZBY	\N	\N
644195	2199	1994-10-31	VYDAJ	VYBER	15	27955	SLUZBY	\N	\N
644196	2199	1994-11-30	VYDAJ	VYBER	15	28608	SLUZBY	\N	\N
644197	2199	1994-12-31	VYDAJ	VYBER	15	30055	SLUZBY	\N	\N
644198	2199	1995-01-31	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
644199	2199	1995-02-28	VYDAJ	VYBER	15	24218	SLUZBY	\N	\N
644200	2199	1995-03-31	VYDAJ	VYBER	15	26896	SLUZBY	\N	\N
644201	2199	1995-04-30	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
644202	2199	1995-05-31	VYDAJ	VYBER	15	28192	SLUZBY	\N	\N
644203	2199	1995-06-30	VYDAJ	VYBER	15	28882	SLUZBY	\N	\N
644204	2199	1995-07-31	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
644205	2199	1995-08-31	VYDAJ	VYBER	15	28405	SLUZBY	\N	\N
644206	2199	1995-09-30	VYDAJ	VYBER	15	30649	SLUZBY	\N	\N
644207	2199	1995-10-31	VYDAJ	VYBER	15	31465	SLUZBY	\N	\N
644208	2199	1995-11-30	VYDAJ	VYBER	15	31361	SLUZBY	\N	\N
644209	2199	1995-12-31	VYDAJ	VYBER	15	30265	SLUZBY	\N	\N
644210	2199	1996-01-31	VYDAJ	VYBER	15	27426	SLUZBY	\N	\N
644211	2199	1996-02-29	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
644212	2199	1996-03-31	VYDAJ	VYBER	15	29260	SLUZBY	\N	\N
644213	2199	1996-04-30	VYDAJ	VYBER	15	28715	SLUZBY	\N	\N
644214	2199	1996-05-31	VYDAJ	VYBER	15	28669	SLUZBY	\N	\N
644215	2199	1996-06-30	VYDAJ	VYBER	15	23518	SLUZBY	\N	\N
644216	2199	1996-07-31	VYDAJ	VYBER	15	24301	SLUZBY	\N	\N
644217	2199	1996-08-31	VYDAJ	VYBER	15	27342	SLUZBY	\N	\N
644218	2199	1996-09-30	VYDAJ	VYBER	15	27991	SLUZBY	\N	\N
644219	2199	1996-10-31	VYDAJ	VYBER	15	28943	SLUZBY	\N	\N
644220	2199	1996-11-30	VYDAJ	VYBER	15	27332	SLUZBY	\N	\N
644221	2199	1996-12-31	VYDAJ	VYBER	15	25935	SLUZBY	\N	\N
644222	2199	1997-01-31	VYDAJ	VYBER	15	20002	SLUZBY	\N	\N
644223	2199	1997-02-28	VYDAJ	VYBER	15	17491	SLUZBY	\N	\N
644224	2199	1997-03-31	VYDAJ	VYBER	15	20202	SLUZBY	\N	\N
644225	2199	1997-04-30	VYDAJ	VYBER	15	19818	SLUZBY	\N	\N
644226	2199	1997-05-31	VYDAJ	VYBER	15	17027	SLUZBY	\N	\N
644227	2199	1997-06-30	VYDAJ	VYBER	15	17372	SLUZBY	\N	\N
644228	2199	1997-07-31	VYDAJ	VYBER	15	14069	SLUZBY	\N	\N
644229	2199	1997-08-31	VYDAJ	VYBER	15	12757	SLUZBY	\N	\N
644230	2199	1997-09-30	VYDAJ	VYBER	15	14045	SLUZBY	\N	\N
644231	2199	1997-10-31	VYDAJ	VYBER	15	15108	SLUZBY	\N	\N
644232	2199	1997-11-30	VYDAJ	VYBER	15	17008	SLUZBY	\N	\N
644233	2199	1997-12-31	VYDAJ	VYBER	15	20109	SLUZBY	\N	\N
644234	2199	1998-01-31	VYDAJ	VYBER	15	18360	SLUZBY	\N	\N
644235	2199	1998-02-28	VYDAJ	VYBER	15	22078	SLUZBY	\N	\N
644236	2199	1998-03-31	VYDAJ	VYBER	15	27516	SLUZBY	\N	\N
644237	2199	1998-04-30	VYDAJ	VYBER	15	31774	SLUZBY	\N	\N
644238	2199	1998-05-31	VYDAJ	VYBER	15	26632	SLUZBY	\N	\N
644239	2199	1998-06-30	VYDAJ	VYBER	15	17458	SLUZBY	\N	\N
644240	2199	1998-07-31	VYDAJ	VYBER	15	18865	SLUZBY	\N	\N
644241	2199	1998-08-31	VYDAJ	VYBER	15	19387	SLUZBY	\N	\N
644242	2199	1998-09-30	VYDAJ	VYBER	15	14873	SLUZBY	\N	\N
644243	2199	1998-10-31	VYDAJ	VYBER	15	16170	SLUZBY	\N	\N
644244	2199	1998-11-30	VYDAJ	VYBER	15	16481	SLUZBY	\N	\N
644245	2199	1993-09-03	PRIJEM	VKLAD	8500	13360	\N	\N	\N
644246	2199	1993-10-03	PRIJEM	VKLAD	5900	23060	\N	\N	\N
644247	2199	1993-11-02	VYDAJ	VYBER	3500	23404	\N	\N	\N
644248	2199	1993-12-02	VYDAJ	VYBER	1700	25564	\N	\N	\N
644249	2199	1994-01-01	VYDAJ	VYBER	1600	27214	\N	\N	\N
644250	2199	1994-01-31	PRIJEM	VKLAD	3900	25167	\N	\N	\N
644251	2199	1994-03-02	PRIJEM	VKLAD	1000	27103	\N	\N	\N
644252	2199	1994-04-01	VYDAJ	VYBER	500	27952	\N	\N	\N
644253	2199	1994-05-01	VYDAJ	VYBER	2000	27306	\N	\N	\N
644254	2199	1994-05-31	VYDAJ	VYBER	3100	25573	\N	\N	\N
644255	2199	1994-06-30	PRIJEM	VKLAD	1300	20517	\N	\N	\N
644256	2199	1994-07-30	PRIJEM	VKLAD	2200	24053	\N	\N	\N
644257	2199	1994-08-29	PRIJEM	VKLAD	500	25877	\N	\N	\N
644258	2199	1994-10-28	PRIJEM	VKLAD	500	27858	\N	\N	\N
644259	2199	1994-11-27	VYDAJ	VYBER	700	28504	\N	\N	\N
644260	2199	1994-12-27	PRIJEM	VKLAD	300	30157	\N	\N	\N
644261	2199	1995-01-26	PRIJEM	VKLAD	200	25504	\N	\N	\N
644262	2199	1995-02-25	VYDAJ	VYBER	1100	24938	\N	\N	\N
644263	2199	1995-03-27	PRIJEM	VKLAD	2600	26807	\N	\N	\N
644264	2199	1995-04-26	VYDAJ	VYBER	1700	26445	\N	\N	\N
644265	2199	1995-05-26	PRIJEM	VKLAD	300	28093	\N	\N	\N
644266	2199	1995-06-25	PRIJEM	VKLAD	5500	28791	\N	\N	\N
644267	2199	1995-07-25	VYDAJ	VYBER	900	29231	\N	\N	\N
644268	2199	1995-08-24	VYDAJ	VYBER	1000	28297	\N	\N	\N
644269	2199	1995-09-23	PRIJEM	VKLAD	1700	30544	\N	\N	\N
644270	2199	1995-10-23	PRIJEM	VKLAD	800	32698	\N	\N	\N
644271	2199	1995-11-22	VYDAJ	VYBER	900	31814	\N	\N	\N
644272	2199	1995-12-22	VYDAJ	VYBER	1800	30150	\N	\N	\N
644273	2199	1996-01-21	PRIJEM	VKLAD	1600	29904	\N	\N	\N
644274	2199	1996-02-20	PRIJEM	VKLAD	2200	28205	\N	\N	\N
644275	2199	1996-03-21	VYDAJ	VYBER	400	29155	\N	\N	\N
644276	2199	1996-04-20	VYDAJ	VYBER	1900	28609	\N	\N	\N
644277	2199	1996-05-20	VYDAJ	VYBER	1400	28564	\N	\N	\N
644278	2199	1996-06-19	VYDAJ	VYBER	2800	23428	\N	\N	\N
644279	2199	1996-07-19	VYDAJ	VYBER	400	24367	\N	\N	\N
644280	2199	1996-08-18	PRIJEM	VKLAD	1700	27250	\N	\N	\N
644281	2199	1996-09-17	VYDAJ	VYBER	700	27891	\N	\N	\N
644282	2199	1996-10-17	VYDAJ	VYBER	400	28840	\N	\N	\N
644283	2199	1996-11-16	VYDAJ	VYBER	1700	27232	\N	\N	\N
644284	2199	1996-12-16	VYDAJ	VYBER	2200	25841	\N	\N	\N
644285	2199	1997-01-15	VYDAJ	VYBER	3300	21214	\N	\N	\N
644286	2199	1997-02-14	VYDAJ	VYBER	700	17851	\N	\N	\N
644287	2199	1997-03-16	PRIJEM	VKLAD	1400	20140	\N	\N	\N
644288	2199	1997-04-15	VYDAJ	VYBER	1700	19751	\N	\N	\N
644289	2199	1997-05-15	VYDAJ	VYBER	4100	16967	\N	\N	\N
644290	2199	1997-07-14	VYDAJ	VYBER	4600	14021	\N	\N	\N
644291	2199	1997-08-13	VYDAJ	VYBER	2600	12718	\N	\N	\N
644292	2199	1997-10-12	PRIJEM	VKLAD	700	15994	\N	\N	\N
644293	2199	1997-11-11	PRIJEM	VKLAD	600	15040	\N	\N	\N
644294	2199	1997-12-11	PRIJEM	VKLAD	2600	18130	\N	\N	\N
644295	2199	1998-01-10	PRIJEM	VKLAD	1500	18841	\N	\N	\N
644296	2199	1998-02-09	PRIJEM	VKLAD	2400	20092	\N	\N	\N
644297	2199	1998-03-11	PRIJEM	VKLAD	4100	25510	\N	\N	\N
644298	2199	1998-04-10	PRIJEM	VKLAD	2900	29748	\N	\N	\N
644299	2199	1998-05-10	VYDAJ	VYBER	5200	24616	\N	\N	\N
644300	2199	1998-06-09	VYDAJ	VYBER	2100	23864	\N	\N	\N
644301	2199	1998-07-09	PRIJEM	VKLAD	100	16890	\N	\N	\N
644302	2199	1998-08-08	PRIJEM	VKLAD	800	18997	\N	\N	\N
644303	2199	1998-09-07	VYDAJ	VYBER	5300	14087	\N	\N	\N
644304	2199	1998-12-06	VYDAJ	VYBER	1000	15481	\N	\N	\N
644370	2200	1997-06-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
644377	2200	1997-07-14	PRIJEM	VKLAD	11299	12399	\N	\N	\N
644378	2200	1997-08-14	PRIJEM	VKLAD	11299	28612	\N	\N	\N
644379	2200	1997-09-14	PRIJEM	VKLAD	11299	39093	\N	\N	\N
644380	2200	1997-10-14	PRIJEM	VKLAD	11299	39708	\N	\N	\N
644381	2200	1997-11-14	PRIJEM	VKLAD	11299	41026	\N	\N	\N
644382	2200	1997-12-14	PRIJEM	VKLAD	16948	46586	\N	\N	\N
644383	2200	1998-01-14	PRIJEM	VKLAD	11299	43822	\N	\N	\N
644384	2200	1998-02-14	PRIJEM	VKLAD	11299	40241	\N	\N	\N
644385	2200	1998-03-14	PRIJEM	VKLAD	11299	45170	\N	\N	\N
644386	2200	1998-04-14	PRIJEM	VKLAD	11299	49601	\N	\N	\N
644387	2200	1998-05-14	PRIJEM	VKLAD	11299	51847	\N	\N	\N
644388	2200	1998-06-14	PRIJEM	VKLAD	16948	60754	\N	\N	\N
644389	2200	1998-07-14	PRIJEM	VKLAD	11299	45012	\N	\N	\N
644390	2200	1998-08-14	PRIJEM	VKLAD	11299	44944	\N	\N	\N
644391	2200	1998-09-14	PRIJEM	VKLAD	11299	48173	\N	\N	\N
644392	2200	1998-10-14	PRIJEM	VKLAD	11299	47209	\N	\N	\N
644393	2200	1998-11-14	PRIJEM	VKLAD	11299	49951	\N	\N	\N
644394	2200	1998-12-14	PRIJEM	VKLAD	16948	52643	\N	\N	\N
644420	2200	1998-06-26	VYDAJ	VYBER	8500	33554	\N	\N	\N
644421	2200	1997-12-06	VYDAJ	VYBER	2600	29638	\N	\N	\N
644422	2200	1998-12-07	VYDAJ	VYBER KARTOU	900	37095	\N	\N	0
644429	2200	1998-12-08	VYDAJ	VYBER KARTOU	1400	35695	\N	\N	0
644430	2200	1998-10-17	VYDAJ	VYBER KARTOU	500	46709	\N	\N	0
644431	2200	1998-02-05	VYDAJ	VYBER	3200	28942	\N	\N	\N
644432	2200	1998-07-16	VYDAJ	VYBER	500	44512	\N	\N	\N
644444	2200	1997-11-30	VYDAJ	VYBER	15	32238	SLUZBY	\N	\N
644445	2200	1997-12-31	VYDAJ	VYBER	15	32523	SLUZBY	\N	\N
644446	2200	1998-01-31	VYDAJ	VYBER	15	32142	SLUZBY	\N	\N
644447	2200	1998-02-28	VYDAJ	VYBER	15	33871	SLUZBY	\N	\N
644448	2200	1998-03-31	VYDAJ	VYBER	15	38302	SLUZBY	\N	\N
644449	2200	1998-04-30	VYDAJ	VYBER	15	40548	SLUZBY	\N	\N
644450	2200	1998-05-31	VYDAJ	VYBER	15	43806	SLUZBY	\N	\N
644451	2200	1998-06-30	VYDAJ	VYBER	15	33713	SLUZBY	\N	\N
644452	2200	1998-07-31	VYDAJ	VYBER	15	33645	SLUZBY	\N	\N
644453	2200	1998-08-31	VYDAJ	VYBER	15	36874	SLUZBY	\N	\N
644454	2200	1998-09-30	VYDAJ	VYBER	15	35910	SLUZBY	\N	\N
644455	2200	1998-10-31	VYDAJ	VYBER	15	38652	SLUZBY	\N	\N
644456	2200	1998-11-30	VYDAJ	VYBER	15	37995	SLUZBY	\N	\N
644457	2200	1997-07-26	PRIJEM	VKLAD	4900	17299	\N	\N	\N
644458	2200	1997-08-25	VYDAJ	VYBER	900	27712	\N	\N	\N
644459	2200	1997-09-24	VYDAJ	VYBER	10800	28293	\N	\N	\N
644460	2200	1997-10-24	VYDAJ	VYBER	10100	29608	\N	\N	\N
644461	2200	1997-11-23	VYDAJ	VYBER	8900	32126	\N	\N	\N
644462	2200	1997-12-23	VYDAJ	VYBER	14200	32386	\N	\N	\N
644463	2200	1998-01-22	VYDAJ	VYBER	11800	32022	\N	\N	\N
644464	2200	1998-02-21	VYDAJ	VYBER	6500	33741	\N	\N	\N
644465	2200	1998-03-23	VYDAJ	VYBER	7000	38170	\N	\N	\N
644466	2200	1998-04-22	VYDAJ	VYBER	9200	40401	\N	\N	\N
644467	2200	1998-05-22	VYDAJ	VYBER	8200	43647	\N	\N	\N
644468	2200	1998-06-21	VYDAJ	VYBER	18700	42054	\N	\N	\N
644469	2200	1998-07-21	VYDAJ	VYBER	11000	33512	\N	\N	\N
644470	2200	1998-08-20	VYDAJ	VYBER	8200	36744	\N	\N	\N
644471	2200	1998-09-19	VYDAJ	VYBER	12400	35773	\N	\N	\N
644472	2200	1998-10-19	VYDAJ	VYBER	8200	38509	\N	\N	\N
644473	2200	1998-11-18	VYDAJ	VYBER	12100	37851	\N	\N	\N
644492	2201	1993-10-05	PRIJEM	VKLAD	300	300	\N	\N	\N
644502	2201	1993-10-14	PRIJEM	PREVOD Z UCTU	3144	3444	\N	ST	97430163
644503	2201	1993-11-14	PRIJEM	PREVOD Z UCTU	3144	6596	\N	ST	97430163
644504	2201	1993-12-14	PRIJEM	PREVOD Z UCTU	3144	9755	\N	ST	97430163
644505	2201	1994-01-14	PRIJEM	PREVOD Z UCTU	3144	12913	\N	ST	97430163
644506	2201	1994-02-14	PRIJEM	PREVOD Z UCTU	3144	16071	\N	ST	97430163
644507	2201	1994-03-14	PRIJEM	PREVOD Z UCTU	3144	17147	\N	ST	97430163
644508	2201	1994-04-14	PRIJEM	PREVOD Z UCTU	3144	18247	\N	ST	97430163
644509	2201	1994-05-14	PRIJEM	PREVOD Z UCTU	3144	19352	\N	ST	97430163
644510	2201	1994-06-14	PRIJEM	PREVOD Z UCTU	3144	15391	\N	ST	97430163
644511	2201	1994-07-14	PRIJEM	PREVOD Z UCTU	3144	15107	\N	ST	97430163
644512	2201	1994-08-14	PRIJEM	PREVOD Z UCTU	3144	16200	\N	ST	97430163
644513	2201	1994-09-14	PRIJEM	PREVOD Z UCTU	3144	17297	\N	ST	97430163
644514	2201	1994-10-14	PRIJEM	PREVOD Z UCTU	3144	18068	\N	ST	97430163
644515	2201	1994-11-14	PRIJEM	PREVOD Z UCTU	3144	18962	\N	ST	97430163
644516	2201	1994-12-14	PRIJEM	PREVOD Z UCTU	3144	19560	\N	ST	97430163
644517	2201	1995-01-14	PRIJEM	PREVOD Z UCTU	3144	18421	\N	ST	97430163
644518	2201	1995-02-14	PRIJEM	PREVOD Z UCTU	3144	17277	\N	ST	97430163
644519	2201	1995-03-14	PRIJEM	PREVOD Z UCTU	3144	18378	\N	ST	97430163
644520	2201	1995-04-14	PRIJEM	PREVOD Z UCTU	3144	19273	\N	ST	97430163
644521	2201	1995-05-14	PRIJEM	PREVOD Z UCTU	3144	20383	\N	ST	97430163
644522	2201	1995-06-14	PRIJEM	PREVOD Z UCTU	3144	21496	\N	ST	97430163
644523	2201	1995-07-14	PRIJEM	PREVOD Z UCTU	3144	17781	\N	ST	97430163
644524	2201	1995-08-14	PRIJEM	PREVOD Z UCTU	3144	18886	\N	ST	97430163
644525	2201	1995-09-14	PRIJEM	PREVOD Z UCTU	3144	18972	\N	ST	97430163
644526	2201	1995-10-14	PRIJEM	PREVOD Z UCTU	3144	20081	\N	ST	97430163
644527	2201	1995-11-14	PRIJEM	PREVOD Z UCTU	3144	21194	\N	ST	97430163
644528	2201	1995-12-14	PRIJEM	PREVOD Z UCTU	3144	21621	\N	ST	97430163
644529	2201	1996-01-14	PRIJEM	PREVOD Z UCTU	3144	18690	\N	ST	97430163
644530	2201	1996-02-14	PRIJEM	PREVOD Z UCTU	3144	18508	\N	ST	97430163
644531	2201	1996-03-14	PRIJEM	PREVOD Z UCTU	3144	19615	\N	ST	97430163
644532	2201	1996-04-14	PRIJEM	PREVOD Z UCTU	3144	20726	\N	ST	97430163
644533	2201	1996-05-14	PRIJEM	PREVOD Z UCTU	3144	20699	\N	ST	97430163
644534	2201	1996-06-14	PRIJEM	PREVOD Z UCTU	3144	20372	\N	ST	97430163
644535	2201	1996-07-14	PRIJEM	PREVOD Z UCTU	3144	19294	\N	ST	97430163
644536	2201	1996-08-14	PRIJEM	PREVOD Z UCTU	3144	20405	\N	ST	97430163
644537	2201	1996-09-14	PRIJEM	PREVOD Z UCTU	3144	21519	\N	ST	97430163
644538	2201	1996-10-14	PRIJEM	PREVOD Z UCTU	3144	22637	\N	ST	97430163
644539	2201	1996-11-14	PRIJEM	PREVOD Z UCTU	3144	23520	\N	ST	97430163
644540	2201	1996-12-14	PRIJEM	PREVOD Z UCTU	3144	21142	\N	ST	97430163
644541	2201	1997-01-14	PRIJEM	PREVOD Z UCTU	3144	18327	\N	ST	97430163
644542	2201	1997-02-14	PRIJEM	PREVOD Z UCTU	3144	15920	\N	ST	97430163
644543	2201	1997-03-14	PRIJEM	PREVOD Z UCTU	3144	14711	\N	ST	97430163
644544	2201	1997-04-14	PRIJEM	PREVOD Z UCTU	3144	15299	\N	ST	97430163
644545	2201	1997-05-14	PRIJEM	PREVOD Z UCTU	3144	16390	\N	ST	97430163
644546	2201	1997-06-14	PRIJEM	PREVOD Z UCTU	3144	16194	\N	ST	97430163
644547	2201	1997-07-14	PRIJEM	PREVOD Z UCTU	3144	17290	\N	ST	97430163
644548	2201	1997-08-14	PRIJEM	PREVOD Z UCTU	3144	18391	\N	ST	97430163
644549	2201	1997-09-14	PRIJEM	PREVOD Z UCTU	3144	19395	\N	ST	97430163
644550	2201	1997-10-14	PRIJEM	PREVOD Z UCTU	3144	16795	\N	ST	97430163
644551	2201	1997-11-14	PRIJEM	PREVOD Z UCTU	3144	15293	\N	ST	97430163
644552	2201	1997-12-14	PRIJEM	PREVOD Z UCTU	3144	16385	\N	ST	97430163
644553	2201	1998-01-14	PRIJEM	PREVOD Z UCTU	3144	17482	\N	ST	97430163
644554	2201	1998-02-14	PRIJEM	PREVOD Z UCTU	3144	16661	\N	ST	97430163
644555	2201	1998-03-14	PRIJEM	PREVOD Z UCTU	3144	16458	\N	ST	97430163
644556	2201	1998-04-14	PRIJEM	PREVOD Z UCTU	3144	16745	\N	ST	97430163
644557	2201	1998-05-14	PRIJEM	PREVOD Z UCTU	3144	16883	\N	ST	97430163
644558	2201	1998-06-14	PRIJEM	PREVOD Z UCTU	3144	17982	\N	ST	97430163
644559	2201	1998-07-14	PRIJEM	PREVOD Z UCTU	3144	17582	\N	ST	97430163
644560	2201	1998-08-14	PRIJEM	PREVOD Z UCTU	3144	17783	\N	ST	97430163
644561	2201	1998-09-14	PRIJEM	PREVOD Z UCTU	3144	18465	\N	ST	97430163
644562	2201	1998-10-14	PRIJEM	PREVOD Z UCTU	3144	18369	\N	ST	97430163
644563	2201	1998-11-14	PRIJEM	PREVOD Z UCTU	3144	16675	\N	ST	97430163
644564	2201	1998-12-14	PRIJEM	PREVOD Z UCTU	3144	17534	\N	ST	97430163
644579	2201	1994-03-08	VYDAJ	PREVOD NA UCET	1357	14394	\N	IJ	47068661
644580	2201	1994-04-08	VYDAJ	PREVOD NA UCET	1357	15103	\N	IJ	47068661
644581	2201	1994-05-08	VYDAJ	PREVOD NA UCET	1357	16208	\N	IJ	47068661
644582	2201	1994-06-08	VYDAJ	PREVOD NA UCET	1357	12247	\N	IJ	47068661
644583	2201	1994-07-08	VYDAJ	PREVOD NA UCET	1357	12354	\N	IJ	47068661
644584	2201	1994-08-08	VYDAJ	PREVOD NA UCET	1357	13056	\N	IJ	47068661
644585	2201	1994-09-08	VYDAJ	PREVOD NA UCET	1357	14544	\N	IJ	47068661
644586	2201	1994-10-08	VYDAJ	PREVOD NA UCET	1357	15315	\N	IJ	47068661
644587	2201	1994-11-08	VYDAJ	PREVOD NA UCET	1357	16209	\N	IJ	47068661
644588	2201	1994-12-08	VYDAJ	PREVOD NA UCET	1357	16926	\N	IJ	47068661
644589	2201	1995-01-08	VYDAJ	PREVOD NA UCET	1357	16448	\N	IJ	47068661
644590	2201	1995-02-08	VYDAJ	PREVOD NA UCET	1357	14133	\N	IJ	47068661
644591	2201	1995-03-08	VYDAJ	PREVOD NA UCET	1357	15625	\N	IJ	47068661
644592	2201	1995-04-08	VYDAJ	PREVOD NA UCET	1357	16520	\N	IJ	47068661
644593	2201	1995-05-08	VYDAJ	PREVOD NA UCET	1357	17630	\N	IJ	47068661
644594	2201	1995-06-08	VYDAJ	PREVOD NA UCET	1357	18743	\N	IJ	47068661
644595	2201	1995-07-08	VYDAJ	PREVOD NA UCET	1357	15028	\N	IJ	47068661
644596	2201	1995-08-08	VYDAJ	PREVOD NA UCET	1357	15742	\N	IJ	47068661
644597	2201	1995-09-08	VYDAJ	PREVOD NA UCET	1357	16219	\N	IJ	47068661
644598	2201	1995-10-08	VYDAJ	PREVOD NA UCET	1357	17328	\N	IJ	47068661
644599	2201	1995-11-08	VYDAJ	PREVOD NA UCET	1357	18441	\N	IJ	47068661
644600	2201	1995-12-08	VYDAJ	PREVOD NA UCET	1357	18627	\N	IJ	47068661
644601	2201	1996-01-08	VYDAJ	PREVOD NA UCET	1357	16716	\N	IJ	47068661
644602	2201	1996-02-08	VYDAJ	PREVOD NA UCET	1357	15364	\N	IJ	47068661
644603	2201	1996-03-08	VYDAJ	PREVOD NA UCET	1357	16862	\N	IJ	47068661
644604	2201	1996-04-08	VYDAJ	PREVOD NA UCET	1357	17973	\N	IJ	47068661
644605	2201	1996-05-08	VYDAJ	PREVOD NA UCET	1357	17555	\N	IJ	47068661
644606	2201	1996-06-08	VYDAJ	PREVOD NA UCET	1357	17619	\N	IJ	47068661
644607	2201	1996-07-08	VYDAJ	PREVOD NA UCET	1357	17320	\N	IJ	47068661
644608	2201	1996-08-08	VYDAJ	PREVOD NA UCET	1357	17261	\N	IJ	47068661
644609	2201	1996-09-08	VYDAJ	PREVOD NA UCET	1357	18375	\N	IJ	47068661
644610	2201	1996-10-08	VYDAJ	PREVOD NA UCET	1357	19493	\N	IJ	47068661
644611	2201	1996-11-08	VYDAJ	PREVOD NA UCET	1357	20376	\N	IJ	47068661
644612	2201	1996-12-08	VYDAJ	PREVOD NA UCET	1357	18389	\N	IJ	47068661
644613	2201	1997-01-08	VYDAJ	PREVOD NA UCET	1357	15183	\N	IJ	47068661
644614	2201	1997-02-08	VYDAJ	PREVOD NA UCET	1357	12776	\N	IJ	47068661
644615	2201	1997-03-08	VYDAJ	PREVOD NA UCET	1357	11958	\N	IJ	47068661
644616	2201	1997-04-08	VYDAJ	PREVOD NA UCET	1357	12546	\N	IJ	47068661
644617	2201	1997-05-08	VYDAJ	PREVOD NA UCET	1357	13637	\N	IJ	47068661
644618	2201	1997-06-08	VYDAJ	PREVOD NA UCET	1357	13050	\N	IJ	47068661
644619	2201	1997-07-08	VYDAJ	PREVOD NA UCET	1357	14146	\N	IJ	47068661
644620	2201	1997-08-08	VYDAJ	PREVOD NA UCET	1357	15638	\N	IJ	47068661
644621	2201	1997-09-08	VYDAJ	PREVOD NA UCET	1357	16251	\N	IJ	47068661
644622	2201	1997-10-08	VYDAJ	PREVOD NA UCET	1357	14042	\N	IJ	47068661
644623	2201	1997-11-08	VYDAJ	PREVOD NA UCET	1357	12149	\N	IJ	47068661
644624	2201	1997-12-08	VYDAJ	PREVOD NA UCET	1357	13241	\N	IJ	47068661
644625	2201	1998-01-08	VYDAJ	PREVOD NA UCET	1357	14729	\N	IJ	47068661
644626	2201	1998-02-08	VYDAJ	PREVOD NA UCET	1357	13517	\N	IJ	47068661
644627	2201	1998-03-08	VYDAJ	PREVOD NA UCET	1357	15005	\N	IJ	47068661
644628	2201	1998-04-08	VYDAJ	PREVOD NA UCET	1357	13992	\N	IJ	47068661
644629	2201	1998-05-08	VYDAJ	PREVOD NA UCET	1357	13739	\N	IJ	47068661
644630	2201	1998-06-08	VYDAJ	PREVOD NA UCET	1357	14838	\N	IJ	47068661
644631	2201	1998-07-08	VYDAJ	PREVOD NA UCET	1357	14829	\N	IJ	47068661
644632	2201	1998-08-08	VYDAJ	PREVOD NA UCET	1357	15930	\N	IJ	47068661
644633	2201	1998-09-08	VYDAJ	PREVOD NA UCET	1357	15712	\N	IJ	47068661
644634	2201	1998-10-08	VYDAJ	PREVOD NA UCET	1357	16425	\N	IJ	47068661
644635	2201	1998-11-08	VYDAJ	PREVOD NA UCET	1357	16722	\N	IJ	47068661
644636	2201	1998-12-08	VYDAJ	PREVOD NA UCET	1357	14390	\N	IJ	47068661
644651	2201	1994-03-08	VYDAJ	PREVOD NA UCET	391	14003	\N	CD	42079347
644652	2201	1994-04-08	VYDAJ	PREVOD NA UCET	391	16460	\N	CD	42079347
644653	2201	1994-05-08	VYDAJ	PREVOD NA UCET	391	17565	\N	CD	42079347
644654	2201	1994-06-08	VYDAJ	PREVOD NA UCET	391	13604	\N	CD	42079347
644655	2201	1994-07-08	VYDAJ	PREVOD NA UCET	391	11963	\N	CD	42079347
644656	2201	1994-08-08	VYDAJ	PREVOD NA UCET	391	14413	\N	CD	42079347
644657	2201	1994-09-08	VYDAJ	PREVOD NA UCET	391	14153	\N	CD	42079347
644658	2201	1994-10-08	VYDAJ	PREVOD NA UCET	391	14924	\N	CD	42079347
644659	2201	1994-11-08	VYDAJ	PREVOD NA UCET	391	15818	\N	CD	42079347
644660	2201	1994-12-08	VYDAJ	PREVOD NA UCET	391	18283	\N	CD	42079347
644661	2201	1995-01-08	VYDAJ	PREVOD NA UCET	391	16057	\N	CD	42079347
644662	2201	1995-02-08	VYDAJ	PREVOD NA UCET	391	15490	\N	CD	42079347
644663	2201	1995-03-08	VYDAJ	PREVOD NA UCET	391	15234	\N	CD	42079347
644664	2201	1995-04-08	VYDAJ	PREVOD NA UCET	391	16129	\N	CD	42079347
644665	2201	1995-05-08	VYDAJ	PREVOD NA UCET	391	17239	\N	CD	42079347
644666	2201	1995-06-08	VYDAJ	PREVOD NA UCET	391	18352	\N	CD	42079347
644667	2201	1995-07-08	VYDAJ	PREVOD NA UCET	391	14637	\N	CD	42079347
644668	2201	1995-08-08	VYDAJ	PREVOD NA UCET	391	17099	\N	CD	42079347
644669	2201	1995-09-08	VYDAJ	PREVOD NA UCET	391	15828	\N	CD	42079347
644670	2201	1995-10-08	VYDAJ	PREVOD NA UCET	391	16937	\N	CD	42079347
644671	2201	1995-11-08	VYDAJ	PREVOD NA UCET	391	18050	\N	CD	42079347
644672	2201	1995-12-08	VYDAJ	PREVOD NA UCET	391	19984	\N	CD	42079347
644673	2201	1996-01-08	VYDAJ	PREVOD NA UCET	391	18073	\N	CD	42079347
644674	2201	1996-02-08	VYDAJ	PREVOD NA UCET	391	16721	\N	CD	42079347
644675	2201	1996-03-08	VYDAJ	PREVOD NA UCET	391	16471	\N	CD	42079347
644676	2201	1996-04-08	VYDAJ	PREVOD NA UCET	391	17582	\N	CD	42079347
644677	2201	1996-05-08	VYDAJ	PREVOD NA UCET	391	18912	\N	CD	42079347
644678	2201	1996-06-08	VYDAJ	PREVOD NA UCET	391	17228	\N	CD	42079347
644679	2201	1996-07-08	VYDAJ	PREVOD NA UCET	391	18677	\N	CD	42079347
644680	2201	1996-08-08	VYDAJ	PREVOD NA UCET	391	18618	\N	CD	42079347
644681	2201	1996-09-08	VYDAJ	PREVOD NA UCET	391	19732	\N	CD	42079347
644682	2201	1996-10-08	VYDAJ	PREVOD NA UCET	391	20850	\N	CD	42079347
644683	2201	1996-11-08	VYDAJ	PREVOD NA UCET	391	21733	\N	CD	42079347
644684	2201	1996-12-08	VYDAJ	PREVOD NA UCET	391	17998	\N	CD	42079347
644685	2201	1997-01-08	VYDAJ	PREVOD NA UCET	391	16540	\N	CD	42079347
644686	2201	1997-02-08	VYDAJ	PREVOD NA UCET	391	14133	\N	CD	42079347
644687	2201	1997-03-08	VYDAJ	PREVOD NA UCET	391	11567	\N	CD	42079347
644688	2201	1997-04-08	VYDAJ	PREVOD NA UCET	391	12155	\N	CD	42079347
644689	2201	1997-05-08	VYDAJ	PREVOD NA UCET	391	13246	\N	CD	42079347
644690	2201	1997-06-08	VYDAJ	PREVOD NA UCET	391	14407	\N	CD	42079347
644691	2201	1997-07-08	VYDAJ	PREVOD NA UCET	391	15503	\N	CD	42079347
644692	2201	1997-08-08	VYDAJ	PREVOD NA UCET	391	15247	\N	CD	42079347
644693	2201	1997-09-08	VYDAJ	PREVOD NA UCET	391	17608	\N	CD	42079347
644694	2201	1997-10-08	VYDAJ	PREVOD NA UCET	391	13651	\N	CD	42079347
644695	2201	1997-11-08	VYDAJ	PREVOD NA UCET	391	13506	\N	CD	42079347
644696	2201	1997-12-08	VYDAJ	PREVOD NA UCET	391	14598	\N	CD	42079347
644697	2201	1998-01-08	VYDAJ	PREVOD NA UCET	391	14338	\N	CD	42079347
644698	2201	1998-02-08	VYDAJ	PREVOD NA UCET	391	14874	\N	CD	42079347
644699	2201	1998-03-08	VYDAJ	PREVOD NA UCET	391	14614	\N	CD	42079347
644700	2201	1998-04-08	VYDAJ	PREVOD NA UCET	391	13601	\N	CD	42079347
644701	2201	1998-05-08	VYDAJ	PREVOD NA UCET	391	15096	\N	CD	42079347
644702	2201	1998-06-08	VYDAJ	PREVOD NA UCET	391	16195	\N	CD	42079347
644703	2201	1998-07-08	VYDAJ	PREVOD NA UCET	391	14438	\N	CD	42079347
644704	2201	1998-08-08	VYDAJ	PREVOD NA UCET	391	15539	\N	CD	42079347
644705	2201	1998-09-08	VYDAJ	PREVOD NA UCET	391	15321	\N	CD	42079347
644706	2201	1998-10-08	VYDAJ	PREVOD NA UCET	391	17782	\N	CD	42079347
644707	2201	1998-11-08	VYDAJ	PREVOD NA UCET	391	16331	\N	CD	42079347
644708	2201	1998-12-08	VYDAJ	PREVOD NA UCET	391	15747	\N	CD	42079347
644722	2201	1994-02-14	VYDAJ	PREVOD NA UCET	348	15723	\N	EF	16468906
644723	2201	1994-03-14	VYDAJ	PREVOD NA UCET	348	16799	\N	EF	16468906
644724	2201	1994-04-14	VYDAJ	PREVOD NA UCET	348	17899	\N	EF	16468906
644725	2201	1994-05-14	VYDAJ	PREVOD NA UCET	348	19004	\N	EF	16468906
644726	2201	1994-06-14	VYDAJ	PREVOD NA UCET	348	15043	\N	EF	16468906
644727	2201	1994-07-14	VYDAJ	PREVOD NA UCET	348	14759	\N	EF	16468906
644728	2201	1994-08-14	VYDAJ	PREVOD NA UCET	348	15852	\N	EF	16468906
644729	2201	1994-09-14	VYDAJ	PREVOD NA UCET	348	16949	\N	EF	16468906
644730	2201	1994-10-14	VYDAJ	PREVOD NA UCET	348	17720	\N	EF	16468906
644731	2201	1994-11-14	VYDAJ	PREVOD NA UCET	348	18614	\N	EF	16468906
644732	2201	1994-12-14	VYDAJ	PREVOD NA UCET	348	19212	\N	EF	16468906
644733	2201	1995-01-14	VYDAJ	PREVOD NA UCET	348	18073	\N	EF	16468906
644734	2201	1995-02-14	VYDAJ	PREVOD NA UCET	348	16929	\N	EF	16468906
644735	2201	1995-03-14	VYDAJ	PREVOD NA UCET	348	18030	\N	EF	16468906
644736	2201	1995-04-14	VYDAJ	PREVOD NA UCET	348	18925	\N	EF	16468906
644737	2201	1995-05-14	VYDAJ	PREVOD NA UCET	348	20035	\N	EF	16468906
644738	2201	1995-06-14	VYDAJ	PREVOD NA UCET	348	21148	\N	EF	16468906
644739	2201	1995-07-14	VYDAJ	PREVOD NA UCET	348	17433	\N	EF	16468906
644740	2201	1995-08-14	VYDAJ	PREVOD NA UCET	348	18538	\N	EF	16468906
644741	2201	1995-09-14	VYDAJ	PREVOD NA UCET	348	18624	\N	EF	16468906
644742	2201	1995-10-14	VYDAJ	PREVOD NA UCET	348	19733	\N	EF	16468906
644743	2201	1995-11-14	VYDAJ	PREVOD NA UCET	348	20846	\N	EF	16468906
644744	2201	1995-12-14	VYDAJ	PREVOD NA UCET	348	21273	\N	EF	16468906
644745	2201	1996-01-14	VYDAJ	PREVOD NA UCET	348	18342	\N	EF	16468906
644746	2201	1996-02-14	VYDAJ	PREVOD NA UCET	348	18160	\N	EF	16468906
644747	2201	1996-03-14	VYDAJ	PREVOD NA UCET	348	19267	\N	EF	16468906
644748	2201	1996-04-14	VYDAJ	PREVOD NA UCET	348	20378	\N	EF	16468906
644749	2201	1996-05-14	VYDAJ	PREVOD NA UCET	348	20351	\N	EF	16468906
644750	2201	1996-06-14	VYDAJ	PREVOD NA UCET	348	20024	\N	EF	16468906
644751	2201	1996-07-14	VYDAJ	PREVOD NA UCET	348	18946	\N	EF	16468906
644752	2201	1996-08-14	VYDAJ	PREVOD NA UCET	348	20057	\N	EF	16468906
644753	2201	1996-09-14	VYDAJ	PREVOD NA UCET	348	21171	\N	EF	16468906
644754	2201	1996-10-14	VYDAJ	PREVOD NA UCET	348	22049	\N	EF	16468906
644755	2201	1996-11-14	VYDAJ	PREVOD NA UCET	348	23172	\N	EF	16468906
644756	2201	1996-12-14	VYDAJ	PREVOD NA UCET	348	20794	\N	EF	16468906
644757	2201	1997-01-14	VYDAJ	PREVOD NA UCET	348	17979	\N	EF	16468906
644758	2201	1997-02-14	VYDAJ	PREVOD NA UCET	348	15572	\N	EF	16468906
644759	2201	1997-03-14	VYDAJ	PREVOD NA UCET	348	14363	\N	EF	16468906
644760	2201	1997-04-14	VYDAJ	PREVOD NA UCET	348	14951	\N	EF	16468906
644761	2201	1997-05-14	VYDAJ	PREVOD NA UCET	348	16042	\N	EF	16468906
644762	2201	1997-06-14	VYDAJ	PREVOD NA UCET	348	15846	\N	EF	16468906
644763	2201	1997-07-14	VYDAJ	PREVOD NA UCET	348	16942	\N	EF	16468906
644764	2201	1997-08-14	VYDAJ	PREVOD NA UCET	348	18043	\N	EF	16468906
644765	2201	1997-09-14	VYDAJ	PREVOD NA UCET	348	19047	\N	EF	16468906
644766	2201	1997-10-14	VYDAJ	PREVOD NA UCET	348	16447	\N	EF	16468906
644767	2201	1997-11-14	VYDAJ	PREVOD NA UCET	348	14945	\N	EF	16468906
644768	2201	1997-12-14	VYDAJ	PREVOD NA UCET	348	16037	\N	EF	16468906
644769	2201	1998-01-14	VYDAJ	PREVOD NA UCET	348	17134	\N	EF	16468906
644770	2201	1998-02-14	VYDAJ	PREVOD NA UCET	348	16313	\N	EF	16468906
644771	2201	1998-03-14	VYDAJ	PREVOD NA UCET	348	16110	\N	EF	16468906
644772	2201	1998-04-14	VYDAJ	PREVOD NA UCET	348	16397	\N	EF	16468906
644773	2201	1998-05-14	VYDAJ	PREVOD NA UCET	348	16535	\N	EF	16468906
644774	2201	1998-06-14	VYDAJ	PREVOD NA UCET	348	17634	\N	EF	16468906
644775	2201	1998-07-14	VYDAJ	PREVOD NA UCET	348	17234	\N	EF	16468906
644776	2201	1998-08-14	VYDAJ	PREVOD NA UCET	348	17435	\N	EF	16468906
644777	2201	1998-09-14	VYDAJ	PREVOD NA UCET	348	18117	\N	EF	16468906
644778	2201	1998-10-14	VYDAJ	PREVOD NA UCET	348	18021	\N	EF	16468906
644779	2201	1998-11-14	VYDAJ	PREVOD NA UCET	348	16327	\N	EF	16468906
644780	2201	1998-12-14	VYDAJ	PREVOD NA UCET	348	17186	\N	EF	16468906
644782	2201	1994-06-07	VYDAJ	VYBER	5070	13995	\N	\N	\N
644783	2201	1995-06-24	VYDAJ	VYBER	3480	17668	\N	\N	\N
644786	2201	1998-06-16	VYDAJ	VYBER	1500	16134	\N	\N	\N
644789	2201	1995-01-18	VYDAJ	VYBER	510	17383	\N	\N	\N
644790	2201	1996-01-05	VYDAJ	VYBER	2880	18464	\N	\N	\N
644791	2201	1997-01-01	VYDAJ	VYBER	2760	16931	\N	\N	\N
644794	2201	1994-12-09	VYDAJ	VYBER	510	16416	\N	\N	\N
644795	2201	1995-12-10	VYDAJ	VYBER	150	18477	\N	\N	\N
644796	2201	1996-12-24	VYDAJ	VYBER	690	20104	\N	\N	\N
644798	2201	1998-12-26	VYDAJ	VYBER	300	16886	\N	\N	\N
644811	2201	1995-01-07	VYDAJ	VYBER	630	17805	\N	\N	\N
644812	2201	1995-01-12	VYDAJ	VYBER	780	15277	\N	\N	\N
644813	2201	1995-01-07	VYDAJ	VYBER	330	18435	\N	\N	\N
644814	2201	1995-01-19	VYDAJ	VYBER	510	16873	\N	\N	\N
644815	2201	1995-01-14	VYDAJ	VYBER	180	17893	\N	\N	\N
644816	2201	1995-01-04	VYDAJ	VYBER	510	18765	\N	\N	\N
644817	2201	1996-01-22	VYDAJ	VYBER	510	17322	\N	\N	\N
644818	2201	1996-01-08	VYDAJ	VYBER	360	16356	\N	\N	\N
644819	2201	1996-01-09	VYDAJ	VYBER	810	15546	\N	\N	\N
644820	2201	1996-01-29	VYDAJ	VYBER	270	17052	\N	\N	\N
644821	2201	1996-01-15	VYDAJ	VYBER	150	18192	\N	\N	\N
644822	2201	1996-01-17	VYDAJ	VYBER	360	17832	\N	\N	\N
644823	2201	1997-01-17	VYDAJ	VYBER	480	16329	\N	\N	\N
644826	2201	1997-01-17	VYDAJ	VYBER	660	15669	\N	\N	\N
644828	2201	1997-01-16	VYDAJ	VYBER	150	16809	\N	\N	\N
644829	2201	1998-01-18	VYDAJ	VYBER	270	16864	\N	\N	\N
644830	2201	1998-01-26	VYDAJ	VYBER	480	15214	\N	\N	\N
644832	2201	1998-01-21	VYDAJ	VYBER	660	16204	\N	\N	\N
644833	2201	1998-01-24	VYDAJ	VYBER	510	15694	\N	\N	\N
644840	2201	1994-09-20	VYDAJ	VYBER	330	16619	\N	\N	\N
644841	2201	1994-06-15	VYDAJ	VYBER	1380	13663	\N	\N	\N
644842	2201	1994-10-18	VYDAJ	VYBER	210	17510	\N	\N	\N
644843	2201	1995-02-02	VYDAJ	VYBER	1050	15881	\N	\N	\N
644844	2201	1995-11-30	VYDAJ	VYBER	540	20389	\N	\N	\N
644845	2201	1995-08-20	VYDAJ	VYBER	1020	17518	\N	\N	\N
644846	2201	1995-03-16	VYDAJ	VYBER	210	17820	\N	\N	\N
644847	2201	1995-07-07	VYDAJ	VYBER	1350	16385	\N	\N	\N
644848	2201	1996-06-23	VYDAJ	VYBER	1020	19004	\N	\N	\N
644849	2201	1996-05-18	VYDAJ	VYBER	930	19421	\N	\N	\N
644850	2201	1996-04-19	VYDAJ	VYBER	1140	19238	\N	\N	\N
644851	2201	1996-11-20	VYDAJ	VYBER	1200	19672	\N	\N	\N
644852	2201	1996-07-12	VYDAJ	VYBER	1170	16150	\N	\N	\N
644853	2201	1996-05-30	VYDAJ	VYBER	510	18911	\N	\N	\N
644854	2201	1996-10-14	VYDAJ	VYBER	240	22397	\N	\N	\N
644855	2201	1996-12-24	VYDAJ	VYBER	480	19624	\N	\N	\N
644857	2201	1997-01-16	VYDAJ	VYBER	1020	16959	\N	\N	\N
644860	2201	1997-05-19	VYDAJ	VYBER	1290	14752	\N	\N	\N
644864	2201	1998-05-06	VYDAJ	VYBER	960	15487	\N	\N	\N
644865	2201	1998-08-20	VYDAJ	VYBER	420	17015	\N	\N	\N
644866	2201	1998-11-30	VYDAJ	VYBER	240	16138	\N	\N	\N
644867	2201	1998-03-25	VYDAJ	VYBER	810	15300	\N	\N	\N
644883	2201	1994-02-28	VYDAJ	VYBER	15	15751	SLUZBY	\N	\N
644884	2201	1994-03-31	VYDAJ	VYBER	15	16851	SLUZBY	\N	\N
644885	2201	1994-04-30	VYDAJ	VYBER	15	17956	SLUZBY	\N	\N
644886	2201	1994-05-31	VYDAJ	VYBER	15	19065	SLUZBY	\N	\N
644887	2201	1994-06-30	VYDAJ	VYBER	15	13711	SLUZBY	\N	\N
644888	2201	1994-07-31	VYDAJ	VYBER	15	14804	SLUZBY	\N	\N
644889	2201	1994-08-31	VYDAJ	VYBER	15	15901	SLUZBY	\N	\N
644890	2201	1994-09-30	VYDAJ	VYBER	15	16672	SLUZBY	\N	\N
644891	2201	1994-10-31	VYDAJ	VYBER	15	17566	SLUZBY	\N	\N
644892	2201	1994-11-30	VYDAJ	VYBER	15	18674	SLUZBY	\N	\N
644893	2201	1994-12-31	VYDAJ	VYBER	15	19275	SLUZBY	\N	\N
644894	2201	1995-01-31	VYDAJ	VYBER	15	16931	SLUZBY	\N	\N
644895	2201	1995-02-28	VYDAJ	VYBER	15	16982	SLUZBY	\N	\N
644896	2201	1995-03-31	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
644897	2201	1995-04-30	VYDAJ	VYBER	15	18987	SLUZBY	\N	\N
644898	2201	1995-05-31	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
644899	2201	1995-06-30	VYDAJ	VYBER	15	17735	SLUZBY	\N	\N
644900	2201	1995-07-31	VYDAJ	VYBER	15	17490	SLUZBY	\N	\N
644901	2201	1995-08-31	VYDAJ	VYBER	15	17576	SLUZBY	\N	\N
644902	2201	1995-09-30	VYDAJ	VYBER	15	18685	SLUZBY	\N	\N
644903	2201	1995-10-31	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
644904	2201	1995-11-30	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
644905	2201	1995-12-31	VYDAJ	VYBER	15	21344	SLUZBY	\N	\N
644906	2201	1996-01-31	VYDAJ	VYBER	15	17112	SLUZBY	\N	\N
644907	2201	1996-02-29	VYDAJ	VYBER	15	18219	SLUZBY	\N	\N
644908	2201	1996-03-31	VYDAJ	VYBER	15	19330	SLUZBY	\N	\N
644909	2201	1996-04-30	VYDAJ	VYBER	15	19303	SLUZBY	\N	\N
644910	2201	1996-05-31	VYDAJ	VYBER	15	18976	SLUZBY	\N	\N
644911	2201	1996-06-30	VYDAJ	VYBER	15	19068	SLUZBY	\N	\N
644912	2201	1996-07-31	VYDAJ	VYBER	15	19009	SLUZBY	\N	\N
644913	2201	1996-08-31	VYDAJ	VYBER	15	20123	SLUZBY	\N	\N
644914	2201	1996-09-30	VYDAJ	VYBER	15	21241	SLUZBY	\N	\N
644915	2201	1996-10-31	VYDAJ	VYBER	15	22124	SLUZBY	\N	\N
644916	2201	1996-11-30	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
644917	2201	1996-12-31	VYDAJ	VYBER	15	19691	SLUZBY	\N	\N
644918	2201	1997-01-31	VYDAJ	VYBER	15	14524	SLUZBY	\N	\N
644919	2201	1997-02-28	VYDAJ	VYBER	15	13315	SLUZBY	\N	\N
644920	2201	1997-03-31	VYDAJ	VYBER	15	13903	SLUZBY	\N	\N
644921	2201	1997-04-30	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
644922	2201	1997-05-31	VYDAJ	VYBER	15	14798	SLUZBY	\N	\N
644923	2201	1997-06-30	VYDAJ	VYBER	15	15894	SLUZBY	\N	\N
644924	2201	1997-07-31	VYDAJ	VYBER	15	16995	SLUZBY	\N	\N
644925	2201	1997-08-31	VYDAJ	VYBER	15	17999	SLUZBY	\N	\N
644926	2201	1997-09-30	VYDAJ	VYBER	15	15399	SLUZBY	\N	\N
644927	2201	1997-10-31	VYDAJ	VYBER	15	13897	SLUZBY	\N	\N
644928	2201	1997-11-30	VYDAJ	VYBER	15	14989	SLUZBY	\N	\N
644929	2201	1997-12-31	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
644930	2201	1998-01-31	VYDAJ	VYBER	15	15265	SLUZBY	\N	\N
644931	2201	1998-02-28	VYDAJ	VYBER	15	16362	SLUZBY	\N	\N
644932	2201	1998-03-31	VYDAJ	VYBER	15	15349	SLUZBY	\N	\N
644933	2201	1998-04-30	VYDAJ	VYBER	15	16447	SLUZBY	\N	\N
644934	2201	1998-05-31	VYDAJ	VYBER	15	16586	SLUZBY	\N	\N
644935	2201	1998-06-30	VYDAJ	VYBER	15	16186	SLUZBY	\N	\N
644936	2201	1998-07-31	VYDAJ	VYBER	15	17287	SLUZBY	\N	\N
644937	2201	1998-08-31	VYDAJ	VYBER	15	17069	SLUZBY	\N	\N
644938	2201	1998-09-30	VYDAJ	VYBER	15	18173	SLUZBY	\N	\N
644939	2201	1998-10-31	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
644940	2201	1998-11-30	VYDAJ	VYBER	15	16378	SLUZBY	\N	\N
644941	2201	1996-11-18	VYDAJ	VYBER	2300	20872	\N	\N	\N
644942	2201	1997-01-17	VYDAJ	VYBER	1200	14469	\N	\N	\N
644943	2201	1997-02-16	VYDAJ	VYBER	2300	13272	\N	\N	\N
644944	2201	1997-03-18	VYDAJ	VYBER	500	13863	\N	\N	\N
644945	2201	1997-08-15	VYDAJ	VYBER	100	17943	\N	\N	\N
644946	2201	1997-09-14	VYDAJ	VYBER	3700	15347	\N	\N	\N
644947	2201	1997-10-14	VYDAJ	VYBER	2600	13847	\N	\N	\N
644948	2201	1998-03-13	VYDAJ	VYBER	1300	13314	\N	\N	\N
644949	2201	1998-08-10	VYDAJ	VYBER	900	14639	\N	\N	\N
644950	2201	1998-10-09	VYDAJ	VYBER	1200	15225	\N	\N	\N
644951	2201	1998-11-08	VYDAJ	VYBER	2800	13531	\N	\N	\N
645251	2203	1995-04-04	PRIJEM	VKLAD	800	800	\N	\N	\N
645255	2203	1995-04-07	PRIJEM	PREVOD Z UCTU	6686	7486	DUCHOD	EF	39426541
645256	2203	1995-05-07	PRIJEM	PREVOD Z UCTU	6686	14197	DUCHOD	EF	39426541
645257	2203	1995-06-07	PRIJEM	PREVOD Z UCTU	6686	20914	DUCHOD	EF	39426541
645258	2203	1995-07-07	PRIJEM	PREVOD Z UCTU	6686	27631	DUCHOD	EF	39426541
645259	2203	1995-08-07	PRIJEM	PREVOD Z UCTU	6686	34249	DUCHOD	EF	39426541
645260	2203	1995-09-07	PRIJEM	PREVOD Z UCTU	6686	32329	DUCHOD	EF	39426541
645261	2203	1995-10-07	PRIJEM	PREVOD Z UCTU	6686	30007	DUCHOD	EF	39426541
645262	2203	1995-11-07	PRIJEM	PREVOD Z UCTU	6686	31176	DUCHOD	EF	39426541
645263	2203	1995-12-07	PRIJEM	PREVOD Z UCTU	6686	31742	DUCHOD	EF	39426541
645264	2203	1996-01-07	PRIJEM	PREVOD Z UCTU	6686	23472	DUCHOD	EF	39426541
645265	2203	1996-02-07	PRIJEM	PREVOD Z UCTU	6686	23185	DUCHOD	EF	39426541
645266	2203	1996-03-07	PRIJEM	PREVOD Z UCTU	6686	25997	DUCHOD	EF	39426541
645267	2203	1996-04-07	PRIJEM	PREVOD Z UCTU	6686	27944	DUCHOD	EF	39426541
645268	2203	1996-05-07	PRIJEM	PREVOD Z UCTU	6686	30596	DUCHOD	EF	39426541
645269	2203	1996-06-07	PRIJEM	PREVOD Z UCTU	6686	32858	DUCHOD	EF	39426541
645270	2203	1996-07-07	PRIJEM	PREVOD Z UCTU	6686	29334	DUCHOD	EF	39426541
645271	2203	1996-08-07	PRIJEM	PREVOD Z UCTU	6686	30390	DUCHOD	EF	39426541
645272	2203	1996-09-07	PRIJEM	PREVOD Z UCTU	6686	27766	DUCHOD	EF	39426541
645273	2203	1996-10-07	PRIJEM	PREVOD Z UCTU	6686	24684	DUCHOD	EF	39426541
645274	2203	1996-11-07	PRIJEM	PREVOD Z UCTU	6686	26080	DUCHOD	EF	39426541
645275	2203	1996-12-07	PRIJEM	PREVOD Z UCTU	6686	26149	DUCHOD	EF	39426541
645276	2203	1997-01-07	PRIJEM	PREVOD Z UCTU	6686	22652	DUCHOD	EF	39426541
645277	2203	1997-02-07	PRIJEM	PREVOD Z UCTU	6686	20897	DUCHOD	EF	39426541
645278	2203	1997-03-07	PRIJEM	PREVOD Z UCTU	6686	21416	DUCHOD	EF	39426541
645279	2203	1997-04-07	PRIJEM	PREVOD Z UCTU	6686	22638	DUCHOD	EF	39426541
645280	2203	1997-05-07	PRIJEM	PREVOD Z UCTU	6686	25266	DUCHOD	EF	39426541
645281	2203	1997-06-07	PRIJEM	PREVOD Z UCTU	6686	28606	DUCHOD	EF	39426541
645282	2203	1997-07-07	PRIJEM	PREVOD Z UCTU	6686	27698	DUCHOD	EF	39426541
645283	2203	1997-08-07	PRIJEM	PREVOD Z UCTU	6686	28744	DUCHOD	EF	39426541
645284	2203	1997-09-07	PRIJEM	PREVOD Z UCTU	6686	31898	DUCHOD	EF	39426541
645285	2203	1997-10-07	PRIJEM	PREVOD Z UCTU	6686	32060	DUCHOD	EF	39426541
645286	2203	1997-11-07	PRIJEM	PREVOD Z UCTU	6686	35027	DUCHOD	EF	39426541
645287	2203	1997-12-07	PRIJEM	PREVOD Z UCTU	6686	37505	DUCHOD	EF	39426541
645288	2203	1998-01-07	PRIJEM	PREVOD Z UCTU	6686	30327	DUCHOD	EF	39426541
645289	2203	1998-02-07	PRIJEM	PREVOD Z UCTU	6686	26661	DUCHOD	EF	39426541
645290	2203	1998-03-07	PRIJEM	PREVOD Z UCTU	6686	29104	DUCHOD	EF	39426541
645291	2203	1998-04-07	PRIJEM	PREVOD Z UCTU	6686	33561	DUCHOD	EF	39426541
645292	2203	1998-05-07	PRIJEM	PREVOD Z UCTU	6686	33528	DUCHOD	EF	39426541
645293	2203	1998-06-07	PRIJEM	PREVOD Z UCTU	6686	30374	DUCHOD	EF	39426541
645294	2203	1998-07-07	PRIJEM	PREVOD Z UCTU	6686	22158	DUCHOD	EF	39426541
645295	2203	1998-08-07	PRIJEM	PREVOD Z UCTU	6686	23620	DUCHOD	EF	39426541
645296	2203	1998-09-07	PRIJEM	PREVOD Z UCTU	6686	24527	DUCHOD	EF	39426541
645297	2203	1998-10-07	PRIJEM	PREVOD Z UCTU	6686	27561	DUCHOD	EF	39426541
645298	2203	1998-11-07	PRIJEM	PREVOD Z UCTU	6686	25963	DUCHOD	EF	39426541
645299	2203	1998-12-07	PRIJEM	PREVOD Z UCTU	6686	26497	DUCHOD	EF	39426541
645307	2203	1995-08-10	VYDAJ	PREVOD NA UCET	2320	31929	SIPO	GH	10702485
645308	2203	1995-09-10	VYDAJ	PREVOD NA UCET	2320	30009	SIPO	GH	10702485
645309	2203	1995-10-10	VYDAJ	PREVOD NA UCET	2320	27687	SIPO	GH	10702485
645310	2203	1995-11-10	VYDAJ	PREVOD NA UCET	2320	28856	SIPO	GH	10702485
645311	2203	1995-12-10	VYDAJ	PREVOD NA UCET	2320	29422	SIPO	GH	10702485
645312	2203	1996-01-10	VYDAJ	PREVOD NA UCET	2320	21152	SIPO	GH	10702485
645313	2203	1996-02-10	VYDAJ	PREVOD NA UCET	2320	20865	SIPO	GH	10702485
645314	2203	1996-03-10	VYDAJ	PREVOD NA UCET	2320	23677	SIPO	GH	10702485
645315	2203	1996-04-10	VYDAJ	PREVOD NA UCET	2320	25624	SIPO	GH	10702485
645316	2203	1996-05-10	VYDAJ	PREVOD NA UCET	2320	28276	SIPO	GH	10702485
645317	2203	1996-06-10	VYDAJ	PREVOD NA UCET	2320	28888	SIPO	GH	10702485
645318	2203	1996-07-10	VYDAJ	PREVOD NA UCET	2320	27014	SIPO	GH	10702485
645319	2203	1996-08-10	VYDAJ	PREVOD NA UCET	2320	28070	SIPO	GH	10702485
645320	2203	1996-09-10	VYDAJ	PREVOD NA UCET	2320	21686	SIPO	GH	10702485
645321	2203	1996-10-10	VYDAJ	PREVOD NA UCET	2320	22364	SIPO	GH	10702485
645322	2203	1996-11-10	VYDAJ	PREVOD NA UCET	2320	23760	SIPO	GH	10702485
645323	2203	1996-12-10	VYDAJ	PREVOD NA UCET	2320	23829	SIPO	GH	10702485
645324	2203	1997-01-10	VYDAJ	PREVOD NA UCET	2320	20332	SIPO	GH	10702485
645325	2203	1997-02-10	VYDAJ	PREVOD NA UCET	2320	18577	SIPO	GH	10702485
645326	2203	1997-03-10	VYDAJ	PREVOD NA UCET	2320	19096	SIPO	GH	10702485
645327	2203	1997-04-10	VYDAJ	PREVOD NA UCET	2320	20318	SIPO	GH	10702485
645328	2203	1997-05-10	VYDAJ	PREVOD NA UCET	2320	22946	SIPO	GH	10702485
645329	2203	1997-06-10	VYDAJ	PREVOD NA UCET	2320	26286	SIPO	GH	10702485
645330	2203	1997-07-10	VYDAJ	PREVOD NA UCET	2320	25378	SIPO	GH	10702485
645331	2203	1997-08-10	VYDAJ	PREVOD NA UCET	2320	26424	SIPO	GH	10702485
645332	2203	1997-09-10	VYDAJ	PREVOD NA UCET	2320	29578	SIPO	GH	10702485
645333	2203	1997-10-10	VYDAJ	PREVOD NA UCET	2320	29740	SIPO	GH	10702485
645334	2203	1997-11-10	VYDAJ	PREVOD NA UCET	2320	32707	SIPO	GH	10702485
645335	2203	1997-12-10	VYDAJ	PREVOD NA UCET	2320	31585	SIPO	GH	10702485
645336	2203	1998-01-10	VYDAJ	PREVOD NA UCET	2320	28007	SIPO	GH	10702485
645337	2203	1998-02-10	VYDAJ	PREVOD NA UCET	2320	24341	SIPO	GH	10702485
645338	2203	1998-03-10	VYDAJ	PREVOD NA UCET	2320	26784	SIPO	GH	10702485
645339	2203	1998-04-10	VYDAJ	PREVOD NA UCET	2320	31241	SIPO	GH	10702485
645340	2203	1998-05-10	VYDAJ	PREVOD NA UCET	2320	31208	SIPO	GH	10702485
645341	2203	1998-06-10	VYDAJ	PREVOD NA UCET	2320	28054	SIPO	GH	10702485
645342	2203	1998-07-10	VYDAJ	PREVOD NA UCET	2320	19838	SIPO	GH	10702485
645343	2203	1998-08-10	VYDAJ	PREVOD NA UCET	2320	21300	SIPO	GH	10702485
645344	2203	1998-09-10	VYDAJ	PREVOD NA UCET	2320	22207	SIPO	GH	10702485
645345	2203	1998-10-10	VYDAJ	PREVOD NA UCET	2320	25241	SIPO	GH	10702485
645346	2203	1998-11-10	VYDAJ	PREVOD NA UCET	2320	23643	SIPO	GH	10702485
645347	2203	1998-12-10	VYDAJ	PREVOD NA UCET	2320	24177	SIPO	GH	10702485
645349	2203	1996-06-10	VYDAJ	VYBER	1650	31208	\N	\N	\N
645350	2203	1997-06-13	VYDAJ	VYBER	5350	20936	\N	\N	\N
645351	2203	1998-06-12	VYDAJ	VYBER	12650	15404	\N	\N	\N
645353	2203	1996-01-04	VYDAJ	VYBER	4050	18626	\N	\N	\N
645354	2203	1997-01-17	VYDAJ	VYBER	500	19832	\N	\N	\N
645355	2203	1998-01-29	VYDAJ	VYBER	1000	19887	\N	\N	\N
645356	2203	1995-12-17	VYDAJ	VYBER	750	28672	\N	\N	\N
645357	2203	1996-12-03	VYDAJ	VYBER	1150	19463	\N	\N	\N
645358	2203	1997-12-24	VYDAJ	VYBER	1350	24735	\N	\N	\N
645359	2203	1998-12-15	VYDAJ	VYBER	650	19527	\N	\N	\N
645366	2203	1996-01-04	VYDAJ	VYBER	1840	16786	\N	\N	\N
645367	2203	1996-01-19	VYDAJ	VYBER	880	18832	\N	\N	\N
645368	2203	1996-01-14	VYDAJ	VYBER	800	20352	\N	\N	\N
645369	2203	1996-01-14	VYDAJ	VYBER	640	19712	\N	\N	\N
645370	2203	1996-01-19	VYDAJ	VYBER	960	17872	\N	\N	\N
645371	2203	1996-01-27	VYDAJ	VYBER	1440	16432	\N	\N	\N
645372	2203	1997-01-18	VYDAJ	VYBER	1120	18712	\N	\N	\N
645374	2203	1997-01-03	VYDAJ	VYBER	2160	16446	\N	\N	\N
645375	2203	1997-01-03	VYDAJ	VYBER	480	15966	\N	\N	\N
645376	2203	1997-01-21	VYDAJ	VYBER	2320	16392	\N	\N	\N
645377	2203	1997-01-24	VYDAJ	VYBER	2240	14152	\N	\N	\N
645378	2203	1998-01-04	VYDAJ	VYBER	1200	23641	\N	\N	\N
645379	2203	1998-01-15	VYDAJ	VYBER	1440	25447	\N	\N	\N
645380	2203	1998-01-24	VYDAJ	VYBER	1920	23527	\N	\N	\N
645381	2203	1998-01-14	VYDAJ	VYBER	1120	26887	\N	\N	\N
645382	2203	1998-01-24	VYDAJ	VYBER	1840	21687	\N	\N	\N
645383	2203	1998-01-28	VYDAJ	VYBER	800	20887	\N	\N	\N
645385	2203	1995-08-14	VYDAJ	VYBER	2080	29849	\N	\N	\N
645387	2203	1996-09-23	VYDAJ	VYBER	3760	17926	\N	\N	\N
645388	2203	1996-09-07	VYDAJ	VYBER	3760	24006	\N	\N	\N
645389	2203	1996-03-04	VYDAJ	VYBER	720	19311	\N	\N	\N
645390	2203	1996-08-23	VYDAJ	VYBER	3680	24390	\N	\N	\N
645391	2203	1996-10-24	VYDAJ	VYBER	3040	19324	\N	\N	\N
645392	2203	1996-06-29	VYDAJ	VYBER	2640	22548	\N	\N	\N
645393	2203	1996-11-14	VYDAJ	VYBER	1520	22240	\N	\N	\N
645394	2203	1997-12-08	VYDAJ	VYBER	3600	33905	\N	\N	\N
645395	2203	1998-06-01	VYDAJ	VYBER	3120	23688	\N	\N	\N
645396	2203	1998-10-18	VYDAJ	VYBER	3440	21201	\N	\N	\N
645397	2203	1998-10-30	VYDAJ	VYBER	2000	19201	\N	\N	\N
645398	2203	1998-07-19	VYDAJ	VYBER	1360	16878	\N	\N	\N
645399	2203	1998-08-18	VYDAJ	VYBER	1920	17780	\N	\N	\N
645400	2203	1998-02-16	VYDAJ	VYBER	2000	22341	\N	\N	\N
645409	2203	1995-08-31	VYDAJ	VYBER	15	29943	SLUZBY	\N	\N
645410	2203	1995-09-30	VYDAJ	VYBER	15	30121	SLUZBY	\N	\N
645411	2203	1995-10-31	VYDAJ	VYBER	15	24490	SLUZBY	\N	\N
645412	2203	1995-11-30	VYDAJ	VYBER	15	28956	SLUZBY	\N	\N
645413	2203	1995-12-31	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
645414	2203	1996-01-31	VYDAJ	VYBER	15	16499	SLUZBY	\N	\N
645415	2203	1996-02-29	VYDAJ	VYBER	15	20031	SLUZBY	\N	\N
645416	2203	1996-03-31	VYDAJ	VYBER	15	21258	SLUZBY	\N	\N
645417	2203	1996-04-30	VYDAJ	VYBER	15	23910	SLUZBY	\N	\N
645418	2203	1996-05-31	VYDAJ	VYBER	15	26172	SLUZBY	\N	\N
645419	2203	1996-06-30	VYDAJ	VYBER	15	22648	SLUZBY	\N	\N
645420	2203	1996-07-31	VYDAJ	VYBER	15	23704	SLUZBY	\N	\N
645421	2203	1996-08-31	VYDAJ	VYBER	15	21080	SLUZBY	\N	\N
645422	2203	1996-09-30	VYDAJ	VYBER	15	17998	SLUZBY	\N	\N
645423	2203	1996-10-31	VYDAJ	VYBER	15	19394	SLUZBY	\N	\N
645424	2203	1996-11-30	VYDAJ	VYBER	15	20613	SLUZBY	\N	\N
645425	2203	1996-12-31	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
645426	2203	1997-01-31	VYDAJ	VYBER	15	14211	SLUZBY	\N	\N
645427	2203	1997-02-28	VYDAJ	VYBER	15	14730	SLUZBY	\N	\N
645428	2203	1997-03-31	VYDAJ	VYBER	15	15952	SLUZBY	\N	\N
645429	2203	1997-04-30	VYDAJ	VYBER	15	18580	SLUZBY	\N	\N
645430	2203	1997-05-31	VYDAJ	VYBER	15	21920	SLUZBY	\N	\N
645431	2203	1997-06-30	VYDAJ	VYBER	15	21012	SLUZBY	\N	\N
645432	2203	1997-07-31	VYDAJ	VYBER	15	22058	SLUZBY	\N	\N
645433	2203	1997-08-31	VYDAJ	VYBER	15	25212	SLUZBY	\N	\N
645434	2203	1997-09-30	VYDAJ	VYBER	15	25374	SLUZBY	\N	\N
645435	2203	1997-10-31	VYDAJ	VYBER	15	28341	SLUZBY	\N	\N
645436	2203	1997-11-30	VYDAJ	VYBER	15	30819	SLUZBY	\N	\N
645437	2203	1997-12-31	VYDAJ	VYBER	15	24841	SLUZBY	\N	\N
645438	2203	1998-01-31	VYDAJ	VYBER	15	19975	SLUZBY	\N	\N
645439	2203	1998-02-28	VYDAJ	VYBER	15	22418	SLUZBY	\N	\N
645440	2203	1998-03-31	VYDAJ	VYBER	15	26875	SLUZBY	\N	\N
645441	2203	1998-04-30	VYDAJ	VYBER	15	26842	SLUZBY	\N	\N
645442	2203	1998-05-31	VYDAJ	VYBER	15	26808	SLUZBY	\N	\N
645443	2203	1998-06-30	VYDAJ	VYBER	15	15472	SLUZBY	\N	\N
645444	2203	1998-07-31	VYDAJ	VYBER	15	16934	SLUZBY	\N	\N
645445	2203	1998-08-31	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
645446	2203	1998-09-30	VYDAJ	VYBER	15	20875	SLUZBY	\N	\N
645447	2203	1998-10-31	VYDAJ	VYBER	15	19277	SLUZBY	\N	\N
645448	2203	1998-11-30	VYDAJ	VYBER	15	19811	SLUZBY	\N	\N
645449	2203	1995-08-02	VYDAJ	VYBER	100	27563	\N	\N	\N
645450	2203	1995-09-01	VYDAJ	VYBER	4300	25643	\N	\N	\N
645451	2203	1995-10-01	VYDAJ	VYBER	6800	23321	\N	\N	\N
645452	2203	1995-10-31	VYDAJ	VYBER	3300	24504	\N	\N	\N
645453	2203	1995-11-30	VYDAJ	VYBER	3900	25056	\N	\N	\N
645454	2203	1995-12-30	VYDAJ	VYBER	6100	22572	\N	\N	\N
645455	2203	1996-02-28	VYDAJ	VYBER	900	19965	\N	\N	\N
645456	2203	1996-03-29	VYDAJ	VYBER	2500	21177	\N	\N	\N
645457	2203	1996-04-28	VYDAJ	VYBER	1800	23824	\N	\N	\N
645458	2203	1996-05-28	VYDAJ	VYBER	2200	26076	\N	\N	\N
645459	2203	1996-06-27	VYDAJ	VYBER	3700	25188	\N	\N	\N
645460	2203	1996-07-27	VYDAJ	VYBER	3400	23614	\N	\N	\N
645461	2203	1996-08-26	VYDAJ	VYBER	3400	20990	\N	\N	\N
645462	2203	1996-11-24	VYDAJ	VYBER	1700	20540	\N	\N	\N
645463	2203	1996-12-24	VYDAJ	VYBER	5300	18529	\N	\N	\N
645464	2203	1997-02-22	VYDAJ	VYBER	3900	14677	\N	\N	\N
645465	2203	1997-03-24	VYDAJ	VYBER	3200	15896	\N	\N	\N
645466	2203	1997-04-23	VYDAJ	VYBER	1800	18518	\N	\N	\N
645467	2203	1997-05-23	VYDAJ	VYBER	1100	21846	\N	\N	\N
645468	2203	1997-07-22	VYDAJ	VYBER	3400	21978	\N	\N	\N
645469	2203	1997-08-21	VYDAJ	VYBER	1300	25124	\N	\N	\N
645470	2203	1997-09-20	VYDAJ	VYBER	4300	25278	\N	\N	\N
645471	2203	1997-10-20	VYDAJ	VYBER	1500	28240	\N	\N	\N
645472	2203	1997-11-19	VYDAJ	VYBER	2000	30707	\N	\N	\N
645473	2203	1997-12-19	VYDAJ	VYBER	5500	26085	\N	\N	\N
645474	2203	1998-04-18	VYDAJ	VYBER	4500	26741	\N	\N	\N
645475	2203	1998-05-18	VYDAJ	VYBER	4500	26708	\N	\N	\N
645476	2203	1998-07-17	VYDAJ	VYBER	1600	18238	\N	\N	\N
645477	2203	1998-08-16	VYDAJ	VYBER	1600	19700	\N	\N	\N
645478	2203	1998-09-15	VYDAJ	VYBER	1400	20807	\N	\N	\N
645479	2203	1998-10-15	VYDAJ	VYBER	600	24641	\N	\N	\N
645480	2203	1998-11-14	VYDAJ	VYBER	3900	19743	\N	\N	\N
645481	2203	1998-12-14	VYDAJ	VYBER	4000	20177	\N	\N	\N
645527	2204	1997-07-20	PRIJEM	VKLAD	700	700	\N	\N	\N
645535	2204	1997-08-05	PRIJEM	VKLAD	5931	6631	\N	\N	\N
645536	2204	1997-09-05	PRIJEM	VKLAD	5931	21890	\N	\N	\N
645537	2204	1997-10-05	PRIJEM	VKLAD	5931	29902	\N	\N	\N
645538	2204	1997-11-05	PRIJEM	VKLAD	5931	32136	\N	\N	\N
645539	2204	1997-12-05	PRIJEM	VKLAD	8896	37446	\N	\N	\N
645540	2204	1998-01-05	PRIJEM	VKLAD	5931	29263	\N	\N	\N
645541	2204	1998-02-05	PRIJEM	VKLAD	5931	19612	\N	\N	\N
645542	2204	1998-03-05	PRIJEM	VKLAD	5931	27850	\N	\N	\N
645543	2204	1998-04-05	PRIJEM	VKLAD	5931	29103	\N	\N	\N
645544	2204	1998-05-05	PRIJEM	VKLAD	5931	27141	\N	\N	\N
645545	2204	1998-06-05	PRIJEM	VKLAD	8896	33766	\N	\N	\N
645546	2204	1998-07-05	PRIJEM	VKLAD	5931	22603	\N	\N	\N
645547	2204	1998-08-05	PRIJEM	VKLAD	5931	27347	\N	\N	\N
645548	2204	1998-09-05	PRIJEM	VKLAD	5931	28603	\N	\N	\N
645549	2204	1998-10-05	PRIJEM	VKLAD	5931	32771	\N	\N	\N
645550	2204	1998-11-05	PRIJEM	VKLAD	5931	34050	\N	\N	\N
645551	2204	1998-12-05	PRIJEM	VKLAD	8896	33949	\N	\N	\N
645563	2204	1997-12-08	VYDAJ	PREVOD NA UCET	3954	33492	SIPO	OP	86412846
645564	2204	1998-01-08	VYDAJ	PREVOD NA UCET	3954	25309	SIPO	OP	86412846
645565	2204	1998-02-08	VYDAJ	PREVOD NA UCET	3954	15658	SIPO	OP	86412846
645566	2204	1998-03-08	VYDAJ	PREVOD NA UCET	3954	19096	SIPO	OP	86412846
645567	2204	1998-04-08	VYDAJ	PREVOD NA UCET	3954	25149	SIPO	OP	86412846
645568	2204	1998-05-08	VYDAJ	PREVOD NA UCET	3954	23187	SIPO	OP	86412846
645569	2204	1998-06-08	VYDAJ	PREVOD NA UCET	3954	29812	SIPO	OP	86412846
645570	2204	1998-07-08	VYDAJ	PREVOD NA UCET	3954	18649	SIPO	OP	86412846
645571	2204	1998-08-08	VYDAJ	PREVOD NA UCET	3954	23393	SIPO	OP	86412846
645572	2204	1998-09-08	VYDAJ	PREVOD NA UCET	3954	24649	SIPO	OP	86412846
645573	2204	1998-10-08	VYDAJ	PREVOD NA UCET	3954	28817	SIPO	OP	86412846
645574	2204	1998-11-08	VYDAJ	PREVOD NA UCET	3954	30096	SIPO	OP	86412846
645575	2204	1998-12-08	VYDAJ	PREVOD NA UCET	3954	29995	SIPO	OP	86412846
645577	2204	1998-06-18	VYDAJ	VYBER	9120	16592	\N	\N	\N
645578	2204	1997-12-18	VYDAJ	VYBER	3360	23232	\N	\N	\N
645579	2204	1998-12-23	VYDAJ	VYBER	4480	29515	\N	\N	\N
645587	2204	1998-01-13	VYDAJ	VYBER	600	19909	\N	\N	\N
645588	2204	1998-01-26	VYDAJ	VYBER	3000	14929	\N	\N	\N
645589	2204	1998-01-30	VYDAJ	VYBER	1320	13609	\N	\N	\N
645590	2204	1998-01-13	VYDAJ	VYBER	3000	20509	\N	\N	\N
645591	2204	1998-01-10	VYDAJ	VYBER	1800	23509	\N	\N	\N
645598	2204	1998-01-22	VYDAJ	VYBER	5880	17929	\N	\N	\N
645599	2204	1998-03-06	VYDAJ	VYBER	4800	23050	\N	\N	\N
645600	2204	1998-11-15	VYDAJ	VYBER	5640	24956	\N	\N	\N
645601	2204	1998-04-21	VYDAJ	VYBER	2760	21129	\N	\N	\N
645602	2204	1998-04-10	VYDAJ	VYBER	1560	23589	\N	\N	\N
645615	2204	1997-12-31	VYDAJ	VYBER	15	23332	SLUZBY	\N	\N
645616	2204	1998-01-31	VYDAJ	VYBER	15	13681	SLUZBY	\N	\N
645617	2204	1998-02-28	VYDAJ	VYBER	15	21919	SLUZBY	\N	\N
645618	2204	1998-03-31	VYDAJ	VYBER	15	23172	SLUZBY	\N	\N
645619	2204	1998-04-30	VYDAJ	VYBER	15	21210	SLUZBY	\N	\N
645620	2204	1998-05-31	VYDAJ	VYBER	15	24870	SLUZBY	\N	\N
645621	2204	1998-06-30	VYDAJ	VYBER	15	16672	SLUZBY	\N	\N
645622	2204	1998-07-31	VYDAJ	VYBER	15	21416	SLUZBY	\N	\N
645623	2204	1998-08-31	VYDAJ	VYBER	15	22672	SLUZBY	\N	\N
645624	2204	1998-09-30	VYDAJ	VYBER	15	26840	SLUZBY	\N	\N
645625	2204	1998-10-31	VYDAJ	VYBER	15	28119	SLUZBY	\N	\N
645626	2204	1998-11-30	VYDAJ	VYBER	15	25053	SLUZBY	\N	\N
645627	2204	1997-08-19	PRIJEM	VKLAD	9300	15931	\N	\N	\N
645628	2204	1997-09-18	PRIJEM	VKLAD	2000	23890	\N	\N	\N
645629	2204	1997-10-18	VYDAJ	VYBER	3800	26102	\N	\N	\N
645630	2204	1997-11-17	VYDAJ	VYBER	3700	28436	\N	\N	\N
645631	2204	1997-12-17	VYDAJ	VYBER	6900	26592	\N	\N	\N
645632	2204	1998-01-16	PRIJEM	VKLAD	3900	23809	\N	\N	\N
645633	2204	1998-02-15	PRIJEM	VKLAD	6200	21858	\N	\N	\N
645634	2204	1998-03-17	PRIJEM	VKLAD	4000	23096	\N	\N	\N
645635	2204	1998-04-16	PRIJEM	VKLAD	300	23889	\N	\N	\N
645636	2204	1998-05-16	PRIJEM	VKLAD	1600	24787	\N	\N	\N
645637	2204	1998-06-15	VYDAJ	VYBER	4100	25712	\N	\N	\N
645638	2204	1998-07-15	PRIJEM	VKLAD	2700	21349	\N	\N	\N
645639	2204	1998-08-14	VYDAJ	VYBER	800	22593	\N	\N	\N
645640	2204	1998-09-13	PRIJEM	VKLAD	2100	26749	\N	\N	\N
645641	2204	1998-10-13	VYDAJ	VYBER	800	28017	\N	\N	\N
645642	2204	1998-11-12	PRIJEM	VKLAD	500	30596	\N	\N	\N
645643	2204	1998-12-12	PRIJEM	VKLAD	4000	33995	\N	\N	\N
645661	2205	1996-04-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
645666	2205	1996-05-12	PRIJEM	PREVOD Z UCTU	5666	6766	DUCHOD	AB	39467519
645667	2205	1996-06-12	PRIJEM	PREVOD Z UCTU	5666	12432	DUCHOD	AB	39467519
645668	2205	1996-07-12	PRIJEM	PREVOD Z UCTU	5666	18098	DUCHOD	AB	39467519
645669	2205	1996-08-12	PRIJEM	PREVOD Z UCTU	5666	23764	DUCHOD	AB	39467519
645670	2205	1996-09-12	PRIJEM	PREVOD Z UCTU	5666	29430	DUCHOD	AB	39467519
645671	2205	1996-10-12	PRIJEM	PREVOD Z UCTU	5666	29544	DUCHOD	AB	39467519
645672	2205	1996-11-12	PRIJEM	PREVOD Z UCTU	5666	27874	DUCHOD	AB	39467519
645673	2205	1996-12-12	PRIJEM	PREVOD Z UCTU	5666	29900	DUCHOD	AB	39467519
645674	2205	1997-01-12	PRIJEM	PREVOD Z UCTU	5666	29179	DUCHOD	AB	39467519
645675	2205	1997-02-12	PRIJEM	PREVOD Z UCTU	5666	27008	DUCHOD	AB	39467519
645676	2205	1997-03-12	PRIJEM	PREVOD Z UCTU	5666	28730	DUCHOD	AB	39467519
645677	2205	1997-04-12	PRIJEM	PREVOD Z UCTU	5666	29416	DUCHOD	AB	39467519
645678	2205	1997-05-12	PRIJEM	PREVOD Z UCTU	5666	25804	DUCHOD	AB	39467519
645679	2205	1997-06-12	PRIJEM	PREVOD Z UCTU	5666	21019	DUCHOD	AB	39467519
645680	2205	1997-07-12	PRIJEM	PREVOD Z UCTU	5666	20919	DUCHOD	AB	39467519
645681	2205	1997-08-12	PRIJEM	PREVOD Z UCTU	5666	16709	DUCHOD	AB	39467519
645682	2205	1997-09-12	PRIJEM	PREVOD Z UCTU	5666	13987	DUCHOD	AB	39467519
645683	2205	1997-10-12	PRIJEM	PREVOD Z UCTU	5666	16655	DUCHOD	AB	39467519
645684	2205	1997-11-12	PRIJEM	PREVOD Z UCTU	5666	14230	DUCHOD	AB	39467519
645685	2205	1997-12-12	PRIJEM	PREVOD Z UCTU	5666	16258	DUCHOD	AB	39467519
645686	2205	1998-01-12	PRIJEM	PREVOD Z UCTU	5666	18631	DUCHOD	AB	39467519
645687	2205	1998-02-12	PRIJEM	PREVOD Z UCTU	5666	16214	DUCHOD	AB	39467519
645688	2205	1998-03-12	PRIJEM	PREVOD Z UCTU	5666	18891	DUCHOD	AB	39467519
645689	2205	1998-04-12	PRIJEM	PREVOD Z UCTU	5666	13775	DUCHOD	AB	39467519
645690	2205	1998-05-12	PRIJEM	PREVOD Z UCTU	5666	16445	DUCHOD	AB	39467519
645691	2205	1998-06-12	PRIJEM	PREVOD Z UCTU	5666	19118	DUCHOD	AB	39467519
645692	2205	1998-07-12	PRIJEM	PREVOD Z UCTU	5666	15883	DUCHOD	AB	39467519
645693	2205	1998-08-12	PRIJEM	PREVOD Z UCTU	5666	18558	DUCHOD	AB	39467519
645694	2205	1998-09-12	PRIJEM	PREVOD Z UCTU	5666	21240	DUCHOD	AB	39467519
645695	2205	1998-10-12	PRIJEM	PREVOD Z UCTU	5666	23934	DUCHOD	AB	39467519
645696	2205	1998-11-12	PRIJEM	PREVOD Z UCTU	5666	26078	DUCHOD	AB	39467519
645697	2205	1998-12-12	PRIJEM	PREVOD Z UCTU	5666	28792	DUCHOD	AB	39467519
645707	2205	1996-10-09	VYDAJ	PREVOD NA UCET	3042	26378	SIPO	EF	4889071
645708	2205	1996-11-09	VYDAJ	PREVOD NA UCET	3042	22208	SIPO	EF	4889071
645709	2205	1996-12-09	VYDAJ	PREVOD NA UCET	3042	24934	SIPO	EF	4889071
645710	2205	1997-01-09	VYDAJ	PREVOD NA UCET	3042	23513	SIPO	EF	4889071
645711	2205	1997-02-09	VYDAJ	PREVOD NA UCET	3042	21342	SIPO	EF	4889071
645712	2205	1997-03-09	VYDAJ	PREVOD NA UCET	3042	23064	SIPO	EF	4889071
645713	2205	1997-04-09	VYDAJ	PREVOD NA UCET	3042	23750	SIPO	EF	4889071
645714	2205	1997-05-09	VYDAJ	PREVOD NA UCET	3042	20138	SIPO	EF	4889071
645715	2205	1997-06-09	VYDAJ	PREVOD NA UCET	3042	15353	SIPO	EF	4889071
645716	2205	1997-07-09	VYDAJ	PREVOD NA UCET	3042	15253	SIPO	EF	4889071
645717	2205	1997-08-09	VYDAJ	PREVOD NA UCET	3042	11043	SIPO	EF	4889071
645718	2205	1997-09-09	VYDAJ	PREVOD NA UCET	3042	8321	SIPO	EF	4889071
645719	2205	1997-10-09	VYDAJ	PREVOD NA UCET	3042	10989	SIPO	EF	4889071
645720	2205	1997-11-09	VYDAJ	PREVOD NA UCET	3042	8564	SIPO	EF	4889071
645721	2205	1997-12-09	VYDAJ	PREVOD NA UCET	3042	10592	SIPO	EF	4889071
645722	2205	1998-01-09	VYDAJ	PREVOD NA UCET	3042	12965	SIPO	EF	4889071
645723	2205	1998-02-09	VYDAJ	PREVOD NA UCET	3042	10548	SIPO	EF	4889071
645724	2205	1998-03-09	VYDAJ	PREVOD NA UCET	3042	13225	SIPO	EF	4889071
645725	2205	1998-04-09	VYDAJ	PREVOD NA UCET	3042	8109	SIPO	EF	4889071
645726	2205	1998-05-09	VYDAJ	PREVOD NA UCET	3042	10779	SIPO	EF	4889071
645727	2205	1998-06-09	VYDAJ	PREVOD NA UCET	3042	13452	SIPO	EF	4889071
645728	2205	1998-07-09	VYDAJ	PREVOD NA UCET	3042	10217	SIPO	EF	4889071
645729	2205	1998-08-09	VYDAJ	PREVOD NA UCET	3042	12892	SIPO	EF	4889071
645730	2205	1998-09-09	VYDAJ	PREVOD NA UCET	3042	15574	SIPO	EF	4889071
645731	2205	1998-10-09	VYDAJ	PREVOD NA UCET	3042	18268	SIPO	EF	4889071
645732	2205	1998-11-09	VYDAJ	PREVOD NA UCET	3042	20412	SIPO	EF	4889071
645733	2205	1998-12-09	VYDAJ	PREVOD NA UCET	3042	23126	SIPO	EF	4889071
645737	2205	1996-12-22	VYDAJ	VYBER	550	29350	\N	\N	\N
645738	2205	1997-12-30	VYDAJ	VYBER	300	15958	\N	\N	\N
645739	2205	1998-12-23	VYDAJ	VYBER	1100	27692	\N	\N	\N
645744	2205	1997-07-24	VYDAJ	VYBER	3600	17319	\N	\N	\N
645745	2205	1997-04-30	VYDAJ	VYBER	3840	25695	\N	\N	\N
645746	2205	1997-11-21	VYDAJ	VYBER	640	13590	\N	\N	\N
645747	2205	1997-04-05	VYDAJ	VYBER	1440	27392	\N	\N	\N
645748	2205	1998-10-23	VYDAJ	VYBER	560	23374	\N	\N	\N
645749	2205	1998-07-04	VYDAJ	VYBER	2400	16779	\N	\N	\N
645750	2205	1998-07-07	VYDAJ	VYBER	3520	13259	\N	\N	\N
645760	2205	1996-09-30	VYDAJ	VYBER	15	29420	SLUZBY	\N	\N
645761	2205	1996-10-31	VYDAJ	VYBER	15	29650	SLUZBY	\N	\N
645762	2205	1996-11-30	VYDAJ	VYBER	15	27976	SLUZBY	\N	\N
645763	2205	1996-12-31	VYDAJ	VYBER	15	29455	SLUZBY	\N	\N
645764	2205	1997-01-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
645765	2205	1997-02-28	VYDAJ	VYBER	15	27106	SLUZBY	\N	\N
645766	2205	1997-03-31	VYDAJ	VYBER	15	28832	SLUZBY	\N	\N
645767	2205	1997-04-30	VYDAJ	VYBER	15	25680	SLUZBY	\N	\N
645768	2205	1997-05-31	VYDAJ	VYBER	15	25895	SLUZBY	\N	\N
645769	2205	1997-06-30	VYDAJ	VYBER	15	21095	SLUZBY	\N	\N
645770	2205	1997-07-31	VYDAJ	VYBER	15	17385	SLUZBY	\N	\N
645771	2205	1997-08-31	VYDAJ	VYBER	15	16763	SLUZBY	\N	\N
645772	2205	1997-09-30	VYDAJ	VYBER	15	14031	SLUZBY	\N	\N
645773	2205	1997-10-31	VYDAJ	VYBER	15	16706	SLUZBY	\N	\N
645774	2205	1997-11-30	VYDAJ	VYBER	15	13634	SLUZBY	\N	\N
645775	2205	1997-12-31	VYDAJ	VYBER	15	16007	SLUZBY	\N	\N
645776	2205	1998-01-31	VYDAJ	VYBER	15	18690	SLUZBY	\N	\N
645777	2205	1998-02-28	VYDAJ	VYBER	15	16267	SLUZBY	\N	\N
645778	2205	1998-03-31	VYDAJ	VYBER	15	18951	SLUZBY	\N	\N
645779	2205	1998-04-30	VYDAJ	VYBER	15	13821	SLUZBY	\N	\N
645780	2205	1998-05-31	VYDAJ	VYBER	15	16494	SLUZBY	\N	\N
645781	2205	1998-06-30	VYDAJ	VYBER	15	19179	SLUZBY	\N	\N
645782	2205	1998-07-31	VYDAJ	VYBER	15	15934	SLUZBY	\N	\N
645783	2205	1998-08-31	VYDAJ	VYBER	15	18616	SLUZBY	\N	\N
645784	2205	1998-09-30	VYDAJ	VYBER	15	21310	SLUZBY	\N	\N
645785	2205	1998-10-31	VYDAJ	VYBER	15	23454	SLUZBY	\N	\N
645786	2205	1998-11-30	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
645787	2205	1996-10-10	VYDAJ	VYBER	2500	23878	\N	\N	\N
645788	2205	1996-11-09	VYDAJ	VYBER	4400	25250	\N	\N	\N
645789	2205	1996-12-09	VYDAJ	VYBER	700	24234	\N	\N	\N
645790	2205	1997-01-08	VYDAJ	VYBER	2900	26555	\N	\N	\N
645791	2205	1997-02-07	VYDAJ	VYBER	4900	24384	\N	\N	\N
645792	2205	1997-03-09	VYDAJ	VYBER	1000	26106	\N	\N	\N
645793	2205	1997-04-08	VYDAJ	VYBER	600	26792	\N	\N	\N
645794	2205	1997-05-08	VYDAJ	VYBER	2500	23180	\N	\N	\N
645795	2205	1997-06-07	VYDAJ	VYBER	7500	18395	\N	\N	\N
645796	2205	1997-07-07	VYDAJ	VYBER	2800	18295	\N	\N	\N
645797	2205	1997-08-06	VYDAJ	VYBER	3300	14085	\N	\N	\N
645798	2205	1997-09-05	VYDAJ	VYBER	5400	11363	\N	\N	\N
645799	2205	1997-11-04	VYDAJ	VYBER	5100	11606	\N	\N	\N
645800	2205	1998-02-02	VYDAJ	VYBER	5100	13590	\N	\N	\N
645801	2205	1998-04-03	VYDAJ	VYBER	7800	11151	\N	\N	\N
645830	2206	1995-08-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
645838	2206	1995-08-12	PRIJEM	VKLAD	5896	6896	\N	\N	\N
645839	2206	1995-09-12	PRIJEM	VKLAD	5896	19911	\N	\N	\N
645840	2206	1995-10-12	PRIJEM	VKLAD	5896	28470	\N	\N	\N
645841	2206	1995-11-12	PRIJEM	VKLAD	5896	34172	\N	\N	\N
645842	2206	1995-12-12	PRIJEM	VKLAD	8844	36849	\N	\N	\N
645843	2206	1996-01-12	PRIJEM	VKLAD	5896	27450	\N	\N	\N
645844	2206	1996-02-12	PRIJEM	VKLAD	5896	29499	\N	\N	\N
645845	2206	1996-03-12	PRIJEM	VKLAD	5896	31648	\N	\N	\N
645846	2206	1996-04-12	PRIJEM	VKLAD	5896	33226	\N	\N	\N
645847	2206	1996-05-12	PRIJEM	VKLAD	5896	32411	\N	\N	\N
645848	2206	1996-06-12	PRIJEM	VKLAD	8844	27838	\N	\N	\N
645849	2206	1996-07-12	PRIJEM	VKLAD	5896	34802	\N	\N	\N
645850	2206	1996-08-12	PRIJEM	VKLAD	5896	38888	\N	\N	\N
645851	2206	1996-09-12	PRIJEM	VKLAD	5896	35225	\N	\N	\N
645852	2206	1996-10-12	PRIJEM	VKLAD	5896	36798	\N	\N	\N
645853	2206	1996-11-12	PRIJEM	VKLAD	5896	33553	\N	\N	\N
645854	2206	1996-12-12	PRIJEM	VKLAD	8844	34631	\N	\N	\N
645855	2206	1997-01-12	PRIJEM	VKLAD	5896	32255	\N	\N	\N
645856	2206	1997-02-12	PRIJEM	VKLAD	5896	36694	\N	\N	\N
645857	2206	1997-03-12	PRIJEM	VKLAD	5896	40195	\N	\N	\N
645858	2206	1997-04-12	PRIJEM	VKLAD	5896	43007	\N	\N	\N
645859	2206	1997-05-12	PRIJEM	VKLAD	5896	46732	\N	\N	\N
645860	2206	1997-06-12	PRIJEM	VKLAD	8844	48699	\N	\N	\N
645861	2206	1997-07-12	PRIJEM	VKLAD	5896	39656	\N	\N	\N
645862	2206	1997-08-12	PRIJEM	VKLAD	5896	41609	\N	\N	\N
645863	2206	1997-09-12	PRIJEM	VKLAD	5896	40471	\N	\N	\N
645864	2206	1997-10-12	PRIJEM	VKLAD	5896	43891	\N	\N	\N
645865	2206	1997-11-12	PRIJEM	VKLAD	5896	44380	\N	\N	\N
645866	2206	1997-12-12	PRIJEM	VKLAD	8844	41078	\N	\N	\N
645867	2206	1998-01-12	PRIJEM	VKLAD	5896	30655	\N	\N	\N
645868	2206	1998-02-12	PRIJEM	VKLAD	5896	30757	\N	\N	\N
645869	2206	1998-03-12	PRIJEM	VKLAD	5896	39337	\N	\N	\N
645870	2206	1998-04-12	PRIJEM	VKLAD	5896	45651	\N	\N	\N
645871	2206	1998-05-12	PRIJEM	VKLAD	5896	53893	\N	\N	\N
645872	2206	1998-06-12	PRIJEM	VKLAD	8844	48429	\N	\N	\N
645873	2206	1998-07-12	PRIJEM	VKLAD	5896	36566	\N	\N	\N
645874	2206	1998-08-12	PRIJEM	VKLAD	5896	46676	\N	\N	\N
645875	2206	1998-09-12	PRIJEM	VKLAD	5896	46915	\N	\N	\N
645876	2206	1998-10-12	PRIJEM	VKLAD	5896	45835	\N	\N	\N
645877	2206	1998-11-12	PRIJEM	VKLAD	5896	46771	\N	\N	\N
645878	2206	1998-12-12	PRIJEM	VKLAD	8844	55866	\N	\N	\N
645891	2206	1996-01-08	VYDAJ	PREVOD NA UCET	3930	21554	SIPO	EF	11714333
645892	2206	1996-02-08	VYDAJ	PREVOD NA UCET	3930	23603	SIPO	EF	11714333
645893	2206	1996-03-08	VYDAJ	PREVOD NA UCET	3930	25752	SIPO	EF	11714333
645894	2206	1996-04-08	VYDAJ	PREVOD NA UCET	3930	27330	SIPO	EF	11714333
645895	2206	1996-05-08	VYDAJ	PREVOD NA UCET	3930	26515	SIPO	EF	11714333
645896	2206	1996-06-08	VYDAJ	PREVOD NA UCET	3930	18994	SIPO	EF	11714333
645897	2206	1996-07-08	VYDAJ	PREVOD NA UCET	3930	28906	SIPO	EF	11714333
645898	2206	1996-08-08	VYDAJ	PREVOD NA UCET	3930	32992	SIPO	EF	11714333
645899	2206	1996-09-08	VYDAJ	PREVOD NA UCET	3930	29329	SIPO	EF	11714333
645900	2206	1996-10-08	VYDAJ	PREVOD NA UCET	3930	30902	SIPO	EF	11714333
645901	2206	1996-11-08	VYDAJ	PREVOD NA UCET	3930	27657	SIPO	EF	11714333
645902	2206	1996-12-08	VYDAJ	PREVOD NA UCET	3930	25787	SIPO	EF	11714333
645903	2206	1997-01-08	VYDAJ	PREVOD NA UCET	3930	26359	SIPO	EF	11714333
645904	2206	1997-02-08	VYDAJ	PREVOD NA UCET	3930	30798	SIPO	EF	11714333
645905	2206	1997-03-08	VYDAJ	PREVOD NA UCET	3930	34299	SIPO	EF	11714333
645906	2206	1997-04-08	VYDAJ	PREVOD NA UCET	3930	37111	SIPO	EF	11714333
645907	2206	1997-05-08	VYDAJ	PREVOD NA UCET	3930	40836	SIPO	EF	11714333
645908	2206	1997-06-08	VYDAJ	PREVOD NA UCET	3930	41175	SIPO	EF	11714333
645909	2206	1997-07-08	VYDAJ	PREVOD NA UCET	3930	33760	SIPO	EF	11714333
645910	2206	1997-08-08	VYDAJ	PREVOD NA UCET	3930	35713	SIPO	EF	11714333
645911	2206	1997-09-08	VYDAJ	PREVOD NA UCET	3930	34575	SIPO	EF	11714333
645912	2206	1997-10-08	VYDAJ	PREVOD NA UCET	3930	37995	SIPO	EF	11714333
645913	2206	1997-11-08	VYDAJ	PREVOD NA UCET	3930	38484	SIPO	EF	11714333
645914	2206	1997-12-08	VYDAJ	PREVOD NA UCET	3930	32234	SIPO	EF	11714333
645915	2206	1998-01-08	VYDAJ	PREVOD NA UCET	3930	37399	SIPO	EF	11714333
645916	2206	1998-02-08	VYDAJ	PREVOD NA UCET	3930	24861	SIPO	EF	11714333
645917	2206	1998-03-08	VYDAJ	PREVOD NA UCET	3930	33441	SIPO	EF	11714333
645918	2206	1998-04-08	VYDAJ	PREVOD NA UCET	3930	39755	SIPO	EF	11714333
645919	2206	1998-05-08	VYDAJ	PREVOD NA UCET	3930	47997	SIPO	EF	11714333
645920	2206	1998-06-08	VYDAJ	PREVOD NA UCET	3930	39585	SIPO	EF	11714333
645921	2206	1998-07-08	VYDAJ	PREVOD NA UCET	3930	30670	SIPO	EF	11714333
645922	2206	1998-08-08	VYDAJ	PREVOD NA UCET	3930	40780	SIPO	EF	11714333
645923	2206	1998-09-08	VYDAJ	PREVOD NA UCET	3930	41019	SIPO	EF	11714333
645924	2206	1998-10-08	VYDAJ	PREVOD NA UCET	3930	39939	SIPO	EF	11714333
645925	2206	1998-11-08	VYDAJ	PREVOD NA UCET	3930	40875	SIPO	EF	11714333
645926	2206	1998-12-08	VYDAJ	PREVOD NA UCET	3930	47022	SIPO	EF	11714333
645928	2206	1996-06-08	VYDAJ	VYBER	9440	22924	\N	\N	\N
645929	2206	1997-06-14	VYDAJ	VYBER	21440	27259	\N	\N	\N
645930	2206	1998-06-15	VYDAJ	VYBER	15680	32749	\N	\N	\N
645932	2206	1996-01-02	VYDAJ	VYBER	8160	27384	\N	\N	\N
645933	2206	1997-01-30	VYDAJ	VYBER	2240	30015	\N	\N	\N
645934	2206	1998-01-11	VYDAJ	VYBER	12640	24759	\N	\N	\N
645935	2206	1995-12-30	VYDAJ	VYBER	1440	35409	\N	\N	\N
645936	2206	1996-12-07	VYDAJ	VYBER	3360	29717	\N	\N	\N
645937	2206	1997-12-03	VYDAJ	VYBER	4480	36164	\N	\N	\N
645938	2206	1998-12-23	VYDAJ	VYBER	2560	56606	\N	\N	\N
645944	2206	1996-02-05	VYDAJ	VYBER	3120	24433	\N	\N	\N
645945	2206	1996-08-15	VYDAJ	VYBER	4560	34328	\N	\N	\N
645946	2206	1996-05-17	VYDAJ	VYBER	2760	29651	\N	\N	\N
645947	2206	1996-09-22	VYDAJ	VYBER	720	34505	\N	\N	\N
645948	2206	1996-03-02	VYDAJ	VYBER	5520	24082	\N	\N	\N
645949	2206	1996-12-25	VYDAJ	VYBER	5760	28871	\N	\N	\N
645950	2206	1996-10-13	VYDAJ	VYBER	1440	35358	\N	\N	\N
645951	2206	1997-07-31	VYDAJ	VYBER	3960	39658	\N	\N	\N
645952	2206	1997-06-08	VYDAJ	VYBER	1320	39855	\N	\N	\N
645953	2206	1997-10-14	VYDAJ	VYBER	840	43051	\N	\N	\N
645954	2206	1997-09-05	VYDAJ	VYBER	5160	38505	\N	\N	\N
645955	2206	1998-02-03	VYDAJ	VYBER	2760	28791	\N	\N	\N
645956	2206	1998-09-26	VYDAJ	VYBER	1320	43695	\N	\N	\N
645957	2206	1998-06-17	VYDAJ	VYBER	2760	29989	\N	\N	\N
645958	2206	1998-01-18	VYDAJ	VYBER	2640	23935	\N	\N	\N
645959	2206	1998-07-01	VYDAJ	VYBER	5640	34600	\N	\N	\N
645960	2206	1998-06-06	VYDAJ	VYBER	5880	43515	\N	\N	\N
645961	2206	1998-01-13	VYDAJ	VYBER	4080	26575	\N	\N	\N
645974	2206	1995-12-31	VYDAJ	VYBER	15	35544	SLUZBY	\N	\N
645975	2206	1996-01-31	VYDAJ	VYBER	15	27553	SLUZBY	\N	\N
645976	2206	1996-02-29	VYDAJ	VYBER	15	29602	SLUZBY	\N	\N
645977	2206	1996-03-31	VYDAJ	VYBER	15	31760	SLUZBY	\N	\N
645978	2206	1996-04-30	VYDAJ	VYBER	15	33345	SLUZBY	\N	\N
645979	2206	1996-05-31	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
645980	2206	1996-06-30	VYDAJ	VYBER	15	27936	SLUZBY	\N	\N
645981	2206	1996-07-31	VYDAJ	VYBER	15	34922	SLUZBY	\N	\N
645982	2206	1996-08-31	VYDAJ	VYBER	15	34459	SLUZBY	\N	\N
645983	2206	1996-09-30	VYDAJ	VYBER	15	34632	SLUZBY	\N	\N
645984	2206	1996-10-31	VYDAJ	VYBER	15	35487	SLUZBY	\N	\N
645985	2206	1996-11-30	VYDAJ	VYBER	15	33677	SLUZBY	\N	\N
645986	2206	1996-12-31	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
645987	2206	1997-01-31	VYDAJ	VYBER	15	34728	SLUZBY	\N	\N
645988	2206	1997-02-28	VYDAJ	VYBER	15	36829	SLUZBY	\N	\N
645989	2206	1997-03-31	VYDAJ	VYBER	15	40341	SLUZBY	\N	\N
645990	2206	1997-04-30	VYDAJ	VYBER	15	43166	SLUZBY	\N	\N
645991	2206	1997-05-31	VYDAJ	VYBER	15	46905	SLUZBY	\N	\N
645992	2206	1997-06-30	VYDAJ	VYBER	15	37690	SLUZBY	\N	\N
645993	2206	1997-07-31	VYDAJ	VYBER	15	39643	SLUZBY	\N	\N
645994	2206	1997-08-31	VYDAJ	VYBER	15	43665	SLUZBY	\N	\N
645995	2206	1997-09-30	VYDAJ	VYBER	15	41925	SLUZBY	\N	\N
645996	2206	1997-10-31	VYDAJ	VYBER	15	42414	SLUZBY	\N	\N
645997	2206	1997-11-30	VYDAJ	VYBER	15	40644	SLUZBY	\N	\N
645998	2206	1997-12-31	VYDAJ	VYBER	15	41329	SLUZBY	\N	\N
645999	2206	1998-01-31	VYDAJ	VYBER	15	31551	SLUZBY	\N	\N
646000	2206	1998-02-28	VYDAJ	VYBER	15	37371	SLUZBY	\N	\N
646001	2206	1998-03-31	VYDAJ	VYBER	15	43685	SLUZBY	\N	\N
646002	2206	1998-04-30	VYDAJ	VYBER	15	51927	SLUZBY	\N	\N
646003	2206	1998-05-31	VYDAJ	VYBER	15	49395	SLUZBY	\N	\N
646004	2206	1998-06-30	VYDAJ	VYBER	15	40240	SLUZBY	\N	\N
646005	2206	1998-07-31	VYDAJ	VYBER	15	44710	SLUZBY	\N	\N
646006	2206	1998-08-31	VYDAJ	VYBER	15	44949	SLUZBY	\N	\N
646007	2206	1998-09-30	VYDAJ	VYBER	15	43869	SLUZBY	\N	\N
646008	2206	1998-10-31	VYDAJ	VYBER	15	44805	SLUZBY	\N	\N
646009	2206	1998-11-30	VYDAJ	VYBER	15	50952	SLUZBY	\N	\N
646010	2206	1995-09-09	PRIJEM	VKLAD	7100	14015	\N	\N	\N
646011	2206	1995-10-09	PRIJEM	VKLAD	2600	22574	\N	\N	\N
646012	2206	1995-11-08	VYDAJ	VYBER	300	28276	\N	\N	\N
646013	2206	1995-12-08	VYDAJ	VYBER	6300	28005	\N	\N	\N
646014	2206	1996-01-07	VYDAJ	VYBER	1900	25484	\N	\N	\N
646015	2206	1996-02-06	PRIJEM	VKLAD	3100	27533	\N	\N	\N
646016	2206	1996-03-07	PRIJEM	VKLAD	5600	29682	\N	\N	\N
646017	2206	1996-04-06	VYDAJ	VYBER	500	31260	\N	\N	\N
646018	2206	1996-05-06	VYDAJ	VYBER	2900	30445	\N	\N	\N
646019	2206	1996-06-05	PRIJEM	VKLAD	2600	32364	\N	\N	\N
646020	2206	1996-07-05	PRIJEM	VKLAD	4900	32836	\N	\N	\N
646021	2206	1996-08-04	PRIJEM	VKLAD	2000	36922	\N	\N	\N
646022	2206	1996-09-03	VYDAJ	VYBER	1200	33259	\N	\N	\N
646023	2206	1996-10-03	PRIJEM	VKLAD	200	34832	\N	\N	\N
646024	2206	1996-11-02	VYDAJ	VYBER	3900	31587	\N	\N	\N
646025	2206	1996-12-02	VYDAJ	VYBER	600	33077	\N	\N	\N
646026	2206	1997-01-01	PRIJEM	VKLAD	1300	30289	\N	\N	\N
646027	2206	1997-01-31	PRIJEM	VKLAD	4600	34743	\N	\N	\N
646028	2206	1997-03-02	PRIJEM	VKLAD	1400	38229	\N	\N	\N
646029	2206	1997-04-01	PRIJEM	VKLAD	700	41041	\N	\N	\N
646030	2206	1997-05-01	PRIJEM	VKLAD	1600	44766	\N	\N	\N
646031	2206	1997-05-31	VYDAJ	VYBER	1800	45105	\N	\N	\N
646032	2206	1997-06-30	PRIJEM	VKLAD	10300	37704	\N	\N	\N
646033	2206	1997-07-30	PRIJEM	VKLAD	3800	43456	\N	\N	\N
646034	2206	1997-08-29	PRIJEM	VKLAD	1900	43509	\N	\N	\N
646035	2206	1997-09-28	PRIJEM	VKLAD	1300	41771	\N	\N	\N
646036	2206	1997-10-28	VYDAJ	VYBER	800	42251	\N	\N	\N
646037	2206	1997-11-27	VYDAJ	VYBER	3900	40480	\N	\N	\N
646038	2206	1997-12-27	PRIJEM	VKLAD	100	41178	\N	\N	\N
646039	2206	1998-01-26	PRIJEM	VKLAD	7500	31435	\N	\N	\N
646040	2206	1998-02-25	PRIJEM	VKLAD	6500	37257	\N	\N	\N
646041	2206	1998-03-27	PRIJEM	VKLAD	4200	43537	\N	\N	\N
646042	2206	1998-04-26	PRIJEM	VKLAD	6100	51751	\N	\N	\N
646043	2206	1998-05-26	VYDAJ	VYBER	4700	49193	\N	\N	\N
646044	2206	1998-06-25	PRIJEM	VKLAD	10100	40089	\N	\N	\N
646045	2206	1998-07-25	PRIJEM	VKLAD	8000	44566	\N	\N	\N
646046	2206	1998-08-24	VYDAJ	VYBER	1900	44776	\N	\N	\N
646047	2206	1998-09-23	VYDAJ	VYBER	1900	45015	\N	\N	\N
646048	2206	1998-10-23	VYDAJ	VYBER	1200	44635	\N	\N	\N
646049	2206	1998-11-22	PRIJEM	VKLAD	4000	50771	\N	\N	\N
646050	2206	1998-12-22	PRIJEM	VKLAD	3300	59166	\N	\N	\N
646092	2207	1996-01-25	PRIJEM	VKLAD	200	200	\N	\N	\N
646094	2207	1996-02-07	PRIJEM	VKLAD	22143	22343	\N	\N	\N
646095	2207	1996-03-07	PRIJEM	VKLAD	22143	47308	\N	\N	\N
646096	2207	1996-04-07	PRIJEM	VKLAD	22143	56964	\N	\N	\N
646097	2207	1996-05-07	PRIJEM	VKLAD	22143	63558	\N	\N	\N
646098	2207	1996-06-07	PRIJEM	VKLAD	33214	80451	\N	\N	\N
646099	2207	1996-07-07	PRIJEM	VKLAD	22143	57529	\N	\N	\N
646100	2207	1996-08-07	PRIJEM	VKLAD	22143	59193	\N	\N	\N
646101	2207	1996-09-07	PRIJEM	VKLAD	22143	60150	\N	\N	\N
646102	2207	1996-10-07	PRIJEM	VKLAD	22143	65844	\N	\N	\N
646103	2207	1996-11-07	PRIJEM	VKLAD	22143	69861	\N	\N	\N
646104	2207	1996-12-07	PRIJEM	VKLAD	33214	81760	\N	\N	\N
646105	2207	1997-01-07	PRIJEM	VKLAD	22143	69833	\N	\N	\N
646106	2207	1997-02-07	PRIJEM	VKLAD	22143	45600	\N	\N	\N
646107	2207	1997-03-07	PRIJEM	VKLAD	22143	59449	\N	\N	\N
646108	2207	1997-04-07	PRIJEM	VKLAD	22143	64761	\N	\N	\N
646109	2207	1997-05-07	PRIJEM	VKLAD	22143	64967	\N	\N	\N
646110	2207	1997-06-07	PRIJEM	VKLAD	33214	75844	\N	\N	\N
646111	2207	1997-07-07	PRIJEM	VKLAD	22143	53467	\N	\N	\N
646112	2207	1997-08-07	PRIJEM	VKLAD	22143	57934	\N	\N	\N
646113	2207	1997-09-07	PRIJEM	VKLAD	22143	63823	\N	\N	\N
646114	2207	1997-10-07	PRIJEM	VKLAD	22143	62521	\N	\N	\N
646115	2207	1997-11-07	PRIJEM	VKLAD	22143	58350	\N	\N	\N
646116	2207	1997-12-07	PRIJEM	VKLAD	33214	66046	\N	\N	\N
646117	2207	1998-01-07	PRIJEM	VKLAD	22143	44752	\N	\N	\N
646118	2207	1998-02-07	PRIJEM	VKLAD	22143	38308	\N	\N	\N
646119	2207	1998-03-07	PRIJEM	VKLAD	22143	49229	\N	\N	\N
646120	2207	1998-04-07	PRIJEM	VKLAD	22143	55884	\N	\N	\N
646121	2207	1998-05-07	PRIJEM	VKLAD	22143	56754	\N	\N	\N
646122	2207	1998-06-07	PRIJEM	VKLAD	33214	67596	\N	\N	\N
646123	2207	1998-07-07	PRIJEM	VKLAD	22143	45101	\N	\N	\N
646124	2207	1998-08-07	PRIJEM	VKLAD	22143	49234	\N	\N	\N
646125	2207	1998-09-07	PRIJEM	VKLAD	22143	53385	\N	\N	\N
646126	2207	1998-10-07	PRIJEM	VKLAD	22143	54345	\N	\N	\N
646127	2207	1998-11-07	PRIJEM	VKLAD	22143	54005	\N	\N	\N
646128	2207	1998-12-07	PRIJEM	VKLAD	33214	65737	\N	\N	\N
646129	2207	1996-06-18	VYDAJ	VYBER	25760	54691	\N	\N	\N
646130	2207	1997-06-26	VYDAJ	VYBER	16480	31164	\N	\N	\N
646131	2207	1998-06-24	VYDAJ	VYBER	15360	22836	\N	\N	\N
646133	2207	1997-01-20	VYDAJ	VYBER	14560	29153	\N	\N	\N
646134	2207	1998-01-03	VYDAJ	VYBER	12480	22609	\N	\N	\N
646135	2207	1996-12-23	VYDAJ	VYBER	2720	49540	\N	\N	\N
646136	2207	1997-12-12	VYDAJ	VYBER	4480	61566	\N	\N	\N
646137	2207	1998-12-19	VYDAJ	VYBER	1600	36737	\N	\N	\N
646144	2207	1997-01-01	VYDAJ	VYBER	2040	47690	\N	\N	\N
646145	2207	1997-01-24	VYDAJ	VYBER	3120	25313	\N	\N	\N
646146	2207	1997-01-07	VYDAJ	VYBER	1920	67913	\N	\N	\N
646147	2207	1997-01-23	VYDAJ	VYBER	720	28433	\N	\N	\N
646148	2207	1997-01-16	VYDAJ	VYBER	600	67313	\N	\N	\N
646149	2207	1997-01-27	VYDAJ	VYBER	2040	23273	\N	\N	\N
646150	2207	1998-01-08	VYDAJ	VYBER	2760	41992	\N	\N	\N
646151	2207	1998-01-21	VYDAJ	VYBER	2880	19552	\N	\N	\N
646152	2207	1998-01-02	VYDAJ	VYBER	1920	35089	\N	\N	\N
646153	2207	1998-01-24	VYDAJ	VYBER	3480	16072	\N	\N	\N
646154	2207	1998-01-18	VYDAJ	VYBER	2280	22432	\N	\N	\N
646155	2207	1998-01-11	VYDAJ	VYBER	2880	39112	\N	\N	\N
646156	2207	1996-06-26	VYDAJ	VYBER	3480	35211	\N	\N	\N
646157	2207	1996-08-04	VYDAJ	VYBER	1560	37050	\N	\N	\N
646159	2207	1996-07-31	VYDAJ	VYBER	4560	38610	\N	\N	\N
646160	2207	1996-08-31	VYDAJ	VYBER	5880	38022	\N	\N	\N
646161	2207	1997-11-02	VYDAJ	VYBER	960	36207	\N	\N	\N
646162	2207	1997-11-29	VYDAJ	VYBER	4680	32670	\N	\N	\N
646163	2207	1997-03-21	VYDAJ	VYBER	1080	42469	\N	\N	\N
646170	2207	1996-06-30	VYDAJ	VYBER	15	35386	SLUZBY	\N	\N
646171	2207	1996-07-31	VYDAJ	VYBER	15	43170	SLUZBY	\N	\N
646172	2207	1996-08-31	VYDAJ	VYBER	15	38007	SLUZBY	\N	\N
646173	2207	1996-09-30	VYDAJ	VYBER	15	43701	SLUZBY	\N	\N
646174	2207	1996-10-31	VYDAJ	VYBER	15	47718	SLUZBY	\N	\N
646175	2207	1996-11-30	VYDAJ	VYBER	15	48546	SLUZBY	\N	\N
646176	2207	1996-12-31	VYDAJ	VYBER	15	49730	SLUZBY	\N	\N
646177	2207	1997-01-31	VYDAJ	VYBER	15	23457	SLUZBY	\N	\N
646178	2207	1997-02-28	VYDAJ	VYBER	15	37306	SLUZBY	\N	\N
646179	2207	1997-03-31	VYDAJ	VYBER	15	42618	SLUZBY	\N	\N
646180	2207	1997-04-30	VYDAJ	VYBER	15	42824	SLUZBY	\N	\N
646181	2207	1997-05-31	VYDAJ	VYBER	15	42630	SLUZBY	\N	\N
646182	2207	1997-06-30	VYDAJ	VYBER	15	31324	SLUZBY	\N	\N
646183	2207	1997-07-31	VYDAJ	VYBER	15	35791	SLUZBY	\N	\N
646184	2207	1997-08-31	VYDAJ	VYBER	15	41680	SLUZBY	\N	\N
646185	2207	1997-09-30	VYDAJ	VYBER	15	40378	SLUZBY	\N	\N
646186	2207	1997-10-31	VYDAJ	VYBER	15	37167	SLUZBY	\N	\N
646187	2207	1997-11-30	VYDAJ	VYBER	15	32832	SLUZBY	\N	\N
646188	2207	1997-12-31	VYDAJ	VYBER	15	37009	SLUZBY	\N	\N
646189	2207	1998-01-31	VYDAJ	VYBER	15	16165	SLUZBY	\N	\N
646190	2207	1998-02-28	VYDAJ	VYBER	15	27086	SLUZBY	\N	\N
646191	2207	1998-03-31	VYDAJ	VYBER	15	33741	SLUZBY	\N	\N
646192	2207	1998-04-30	VYDAJ	VYBER	15	34611	SLUZBY	\N	\N
646193	2207	1998-05-31	VYDAJ	VYBER	15	34382	SLUZBY	\N	\N
646194	2207	1998-06-30	VYDAJ	VYBER	15	22958	SLUZBY	\N	\N
646195	2207	1998-07-31	VYDAJ	VYBER	15	27091	SLUZBY	\N	\N
646196	2207	1998-08-31	VYDAJ	VYBER	15	31242	SLUZBY	\N	\N
646197	2207	1998-09-30	VYDAJ	VYBER	15	32202	SLUZBY	\N	\N
646198	2207	1998-10-31	VYDAJ	VYBER	15	31862	SLUZBY	\N	\N
646199	2207	1998-11-30	VYDAJ	VYBER	15	32523	SLUZBY	\N	\N
646200	2207	1996-02-24	PRIJEM	VKLAD	2800	25143	\N	\N	\N
646201	2207	1996-03-25	VYDAJ	VYBER	12600	34708	\N	\N	\N
646202	2207	1996-04-24	VYDAJ	VYBER	15700	41264	\N	\N	\N
646203	2207	1996-05-24	VYDAJ	VYBER	16500	47058	\N	\N	\N
646204	2207	1996-06-23	VYDAJ	VYBER	16000	38691	\N	\N	\N
646205	2207	1996-07-23	VYDAJ	VYBER	14500	43029	\N	\N	\N
646206	2207	1996-08-22	VYDAJ	VYBER	15500	43693	\N	\N	\N
646207	2207	1996-09-21	VYDAJ	VYBER	16600	43550	\N	\N	\N
646208	2207	1996-10-21	VYDAJ	VYBER	18300	47544	\N	\N	\N
646209	2207	1996-11-20	VYDAJ	VYBER	21500	48361	\N	\N	\N
646210	2207	1996-12-20	VYDAJ	VYBER	29500	52260	\N	\N	\N
646211	2207	1997-01-19	VYDAJ	VYBER	23600	43713	\N	\N	\N
646212	2207	1997-02-18	VYDAJ	VYBER	8400	37200	\N	\N	\N
646213	2207	1997-03-20	VYDAJ	VYBER	15900	43549	\N	\N	\N
646214	2207	1997-04-19	VYDAJ	VYBER	22100	42661	\N	\N	\N
646215	2207	1997-05-19	VYDAJ	VYBER	22500	42467	\N	\N	\N
646216	2207	1997-06-18	VYDAJ	VYBER	28200	47644	\N	\N	\N
646217	2207	1997-07-18	VYDAJ	VYBER	17800	35667	\N	\N	\N
646218	2207	1997-08-17	VYDAJ	VYBER	16400	41534	\N	\N	\N
646219	2207	1997-09-16	VYDAJ	VYBER	23600	40223	\N	\N	\N
646220	2207	1997-10-16	VYDAJ	VYBER	25500	37021	\N	\N	\N
646221	2207	1997-11-15	VYDAJ	VYBER	21000	37350	\N	\N	\N
646222	2207	1997-12-15	VYDAJ	VYBER	24700	36866	\N	\N	\N
646223	2207	1998-01-14	VYDAJ	VYBER	14400	24712	\N	\N	\N
646224	2207	1998-02-13	VYDAJ	VYBER	11300	27008	\N	\N	\N
646225	2207	1998-03-15	VYDAJ	VYBER	15600	33629	\N	\N	\N
646226	2207	1998-04-14	VYDAJ	VYBER	21400	34484	\N	\N	\N
646227	2207	1998-05-14	VYDAJ	VYBER	22500	34254	\N	\N	\N
646228	2207	1998-06-13	VYDAJ	VYBER	29400	38196	\N	\N	\N
646229	2207	1998-07-13	VYDAJ	VYBER	18100	27001	\N	\N	\N
646230	2207	1998-08-12	VYDAJ	VYBER	18100	31134	\N	\N	\N
646231	2207	1998-09-11	VYDAJ	VYBER	21300	32085	\N	\N	\N
646232	2207	1998-10-11	VYDAJ	VYBER	22600	31745	\N	\N	\N
646233	2207	1998-11-10	VYDAJ	VYBER	21600	32405	\N	\N	\N
646234	2207	1998-12-10	VYDAJ	VYBER	27400	38337	\N	\N	\N
646270	2208	1997-07-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
646277	2208	1997-07-06	PRIJEM	PREVOD Z UCTU	3189	4289	\N	AB	75871848
646278	2208	1997-08-06	PRIJEM	PREVOD Z UCTU	3189	7493	\N	AB	75871848
646279	2208	1997-09-06	PRIJEM	PREVOD Z UCTU	3189	10700	\N	AB	75871848
646280	2208	1997-10-06	PRIJEM	PREVOD Z UCTU	3189	13907	\N	AB	75871848
646281	2208	1997-11-06	PRIJEM	PREVOD Z UCTU	3189	17114	\N	AB	75871848
646282	2208	1997-12-06	PRIJEM	PREVOD Z UCTU	3189	17312	\N	AB	75871848
646283	2208	1998-01-06	PRIJEM	PREVOD Z UCTU	3189	18132	\N	AB	75871848
646284	2208	1998-02-06	PRIJEM	PREVOD Z UCTU	3189	13900	\N	AB	75871848
646285	2208	1998-03-06	PRIJEM	PREVOD Z UCTU	3189	15005	\N	AB	75871848
646286	2208	1998-04-06	PRIJEM	PREVOD Z UCTU	3189	15905	\N	AB	75871848
646287	2208	1998-05-06	PRIJEM	PREVOD Z UCTU	3189	17019	\N	AB	75871848
646288	2208	1998-06-06	PRIJEM	PREVOD Z UCTU	3189	13548	\N	AB	75871848
646289	2208	1998-07-06	PRIJEM	PREVOD Z UCTU	3189	14654	\N	AB	75871848
646290	2208	1998-08-06	PRIJEM	PREVOD Z UCTU	3189	15342	\N	AB	75871848
646291	2208	1998-09-06	PRIJEM	PREVOD Z UCTU	3189	15400	\N	AB	75871848
646292	2208	1998-10-06	PRIJEM	PREVOD Z UCTU	3189	16512	\N	AB	75871848
646293	2208	1998-11-06	PRIJEM	PREVOD Z UCTU	3189	17087	\N	AB	75871848
646294	2208	1998-12-06	PRIJEM	PREVOD Z UCTU	3189	18206	\N	AB	75871848
646306	2208	1997-12-05	VYDAJ	PREVOD NA UCET	2126	14123	SIPO	IJ	50562041
646307	2208	1998-01-05	VYDAJ	PREVOD NA UCET	2126	14943	SIPO	IJ	50562041
646308	2208	1998-02-05	VYDAJ	PREVOD NA UCET	2126	10711	SIPO	IJ	50562041
646309	2208	1998-03-05	VYDAJ	PREVOD NA UCET	2126	11816	SIPO	IJ	50562041
646310	2208	1998-04-05	VYDAJ	PREVOD NA UCET	2126	12716	SIPO	IJ	50562041
646311	2208	1998-05-05	VYDAJ	PREVOD NA UCET	2126	13830	SIPO	IJ	50562041
646312	2208	1998-06-05	VYDAJ	PREVOD NA UCET	2126	10359	SIPO	IJ	50562041
646313	2208	1998-07-05	VYDAJ	PREVOD NA UCET	2126	11465	SIPO	IJ	50562041
646314	2208	1998-08-05	VYDAJ	PREVOD NA UCET	2126	12153	SIPO	IJ	50562041
646315	2208	1998-09-05	VYDAJ	PREVOD NA UCET	2126	12211	SIPO	IJ	50562041
646316	2208	1998-10-05	VYDAJ	PREVOD NA UCET	2126	13323	SIPO	IJ	50562041
646317	2208	1998-11-05	VYDAJ	PREVOD NA UCET	2126	13898	SIPO	IJ	50562041
646318	2208	1998-12-05	VYDAJ	PREVOD NA UCET	2126	15017	SIPO	IJ	50562041
646320	2208	1998-06-02	VYDAJ	VYBER	4590	12485	\N	\N	\N
646322	2208	1998-01-09	VYDAJ	VYBER	2250	15432	\N	\N	\N
646323	2208	1997-12-04	VYDAJ	VYBER	870	16249	\N	\N	\N
646324	2208	1998-12-22	VYDAJ	VYBER	480	17726	\N	\N	\N
646331	2208	1998-01-07	VYDAJ	VYBER	450	17682	\N	\N	\N
646332	2208	1998-01-18	VYDAJ	VYBER	600	13182	\N	\N	\N
646333	2208	1998-01-13	VYDAJ	VYBER	840	13782	\N	\N	\N
646334	2208	1998-01-10	VYDAJ	VYBER	810	14622	\N	\N	\N
646335	2208	1998-01-19	VYDAJ	VYBER	390	12792	\N	\N	\N
646336	2208	1998-01-02	VYDAJ	VYBER	300	17069	\N	\N	\N
646344	2208	1998-08-06	VYDAJ	VYBER	1050	14292	\N	\N	\N
646345	2208	1998-07-26	VYDAJ	VYBER	420	14234	\N	\N	\N
646346	2208	1998-10-13	VYDAJ	VYBER	540	15972	\N	\N	\N
646347	2208	1998-03-14	VYDAJ	VYBER	210	14795	\N	\N	\N
646359	2208	1997-11-30	VYDAJ	VYBER	15	17119	SLUZBY	\N	\N
646360	2208	1997-12-31	VYDAJ	VYBER	15	17369	SLUZBY	\N	\N
646361	2208	1998-01-31	VYDAJ	VYBER	15	12837	SLUZBY	\N	\N
646362	2208	1998-02-28	VYDAJ	VYBER	15	13942	SLUZBY	\N	\N
646363	2208	1998-03-31	VYDAJ	VYBER	15	14842	SLUZBY	\N	\N
646364	2208	1998-04-30	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
646365	2208	1998-05-31	VYDAJ	VYBER	15	17075	SLUZBY	\N	\N
646366	2208	1998-06-30	VYDAJ	VYBER	15	13591	SLUZBY	\N	\N
646367	2208	1998-07-31	VYDAJ	VYBER	15	14279	SLUZBY	\N	\N
646368	2208	1998-08-31	VYDAJ	VYBER	15	14337	SLUZBY	\N	\N
646369	2208	1998-09-30	VYDAJ	VYBER	15	15449	SLUZBY	\N	\N
646370	2208	1998-10-31	VYDAJ	VYBER	15	16024	SLUZBY	\N	\N
646371	2208	1998-11-30	VYDAJ	VYBER	15	17143	SLUZBY	\N	\N
646390	2209	1996-08-15	PRIJEM	VKLAD	900	900	\N	\N	\N
646394	2209	1996-11-18	PRIJEM	VKLAD	39411	81291	\N	\N	\N
646396	2209	1996-09-23	PRIJEM	VKLAD	32619	82519	\N	\N	\N
646397	2209	1996-10-29	PRIJEM	VKLAD	29240	89934	\N	\N	\N
646398	2209	1996-10-16	PRIJEM	VKLAD	16335	69694	\N	\N	\N
646399	2209	1996-09-20	PRIJEM	VKLAD	35200	49900	\N	\N	\N
646400	2209	1996-10-30	PRIJEM	VKLAD	47582	137516	\N	\N	\N
646401	2209	1996-12-30	PRIJEM	VKLAD	24910	91751	\N	\N	\N
646402	2209	1996-09-26	PRIJEM	VKLAD	31374	113893	\N	\N	\N
646403	2209	1996-11-02	PRIJEM	VKLAD	26631	113015	\N	\N	\N
646405	2209	1996-12-14	PRIJEM	VKLAD	45638	101073	\N	\N	\N
646406	2209	1996-11-19	PRIJEM	VKLAD	14589	95880	\N	\N	\N
646411	2209	1996-12-01	PRIJEM	VKLAD	36030	132240	\N	\N	\N
646418	2209	1996-10-04	PRIJEM	VKLAD	9761	80859	\N	\N	\N
646420	2209	1997-01-05	PRIJEM	VKLAD	45278	141646	\N	\N	\N
646421	2209	1997-12-03	PRIJEM	VKLAD	27816	96711	\N	\N	\N
646422	2209	1997-07-03	PRIJEM	VKLAD	34009	71304	\N	\N	\N
646423	2209	1997-06-15	PRIJEM	VKLAD	7445	24577	\N	\N	\N
646424	2209	1997-02-24	PRIJEM	VKLAD	40185	141692	\N	\N	\N
646425	2209	1997-01-23	PRIJEM	VKLAD	13663	40691	\N	\N	\N
646426	2209	1997-09-23	PRIJEM	VKLAD	11791	62364	\N	\N	\N
646427	2209	1997-05-23	PRIJEM	VKLAD	33936	104028	\N	\N	\N
646428	2209	1997-09-12	PRIJEM	VKLAD	21657	50573	\N	\N	\N
646429	2209	1997-03-08	PRIJEM	VKLAD	9370	75004	\N	\N	\N
646430	2209	1997-05-03	PRIJEM	VKLAD	40353	62531	\N	\N	\N
646431	2209	1997-07-13	PRIJEM	VKLAD	40724	82323	\N	\N	\N
646432	2209	1997-02-13	PRIJEM	VKLAD	35329	65453	\N	\N	\N
646433	2209	1997-05-28	PRIJEM	VKLAD	20674	93484	\N	\N	\N
646434	2209	1997-05-19	PRIJEM	VKLAD	36308	70092	\N	\N	\N
646435	2209	1997-05-29	PRIJEM	VKLAD	42332	135816	\N	\N	\N
646436	2209	1997-03-12	PRIJEM	VKLAD	31919	105505	\N	\N	\N
646437	2209	1997-10-18	PRIJEM	VKLAD	9011	60509	\N	\N	\N
646438	2209	1997-07-03	PRIJEM	VKLAD	12598	37295	\N	\N	\N
646439	2209	1997-10-02	PRIJEM	VKLAD	20238	82803	\N	\N	\N
646440	2209	1997-07-14	PRIJEM	VKLAD	24720	107043	\N	\N	\N
646441	2209	1997-11-19	PRIJEM	VKLAD	49023	83387	\N	\N	\N
646442	2209	1997-06-02	PRIJEM	VKLAD	10993	112237	\N	\N	\N
646443	2209	1997-01-04	PRIJEM	VKLAD	35372	127468	\N	\N	\N
646444	2209	1997-02-01	PRIJEM	VKLAD	22102	55204	\N	\N	\N
646445	2209	1997-02-23	PRIJEM	VKLAD	36054	101507	\N	\N	\N
646446	2209	1998-06-16	PRIJEM	VKLAD	23774	95145	\N	\N	\N
646447	2209	1998-01-01	PRIJEM	VKLAD	41608	92239	\N	\N	\N
646448	2209	1998-05-31	PRIJEM	VKLAD	32841	120977	\N	\N	\N
646449	2209	1998-06-14	PRIJEM	VKLAD	28046	71371	\N	\N	\N
646450	2209	1998-01-27	PRIJEM	VKLAD	44316	71490	\N	\N	\N
646451	2209	1998-10-06	PRIJEM	VKLAD	28073	59868	\N	\N	\N
646452	2209	1998-05-10	PRIJEM	VKLAD	15312	57814	\N	\N	\N
646453	2209	1998-05-13	PRIJEM	VKLAD	43822	101636	\N	\N	\N
646454	2209	1998-03-04	PRIJEM	VKLAD	38159	69733	\N	\N	\N
646455	2209	1998-07-15	PRIJEM	VKLAD	34405	61869	\N	\N	\N
646456	2209	1998-03-28	PRIJEM	VKLAD	42989	80217	\N	\N	\N
646457	2209	1998-11-20	PRIJEM	VKLAD	29114	69254	\N	\N	\N
646458	2209	1998-03-03	PRIJEM	VKLAD	6556	31574	\N	\N	\N
646459	2209	1998-01-22	PRIJEM	VKLAD	26876	50274	\N	\N	\N
646460	2209	1998-10-18	PRIJEM	VKLAD	37321	82984	\N	\N	\N
646461	2209	1998-08-27	PRIJEM	VKLAD	41953	70420	\N	\N	\N
646462	2209	1998-09-30	PRIJEM	VKLAD	21775	54445	\N	\N	\N
646463	2209	1998-06-21	PRIJEM	VKLAD	25898	59543	\N	\N	\N
646464	2209	1998-04-14	PRIJEM	VKLAD	47020	87309	\N	\N	\N
646475	2209	1996-11-06	VYDAJ	PREVOD NA UCET	5887	75874	SIPO	YZ	15201545
646476	2209	1996-12-06	VYDAJ	PREVOD NA UCET	5887	93653	SIPO	YZ	15201545
646477	2209	1997-01-06	VYDAJ	PREVOD NA UCET	5887	76859	SIPO	YZ	15201545
646478	2209	1997-02-06	VYDAJ	PREVOD NA UCET	5887	49317	SIPO	YZ	15201545
646479	2209	1997-03-06	VYDAJ	PREVOD NA UCET	5887	65634	SIPO	YZ	15201545
646480	2209	1997-04-06	VYDAJ	PREVOD NA UCET	5887	16520	SIPO	YZ	15201545
646481	2209	1997-05-06	VYDAJ	PREVOD NA UCET	5887	56644	SIPO	YZ	15201545
646482	2209	1997-06-06	VYDAJ	PREVOD NA UCET	5887	19750	SIPO	YZ	15201545
646483	2209	1997-07-06	VYDAJ	PREVOD NA UCET	5887	65417	SIPO	YZ	15201545
646484	2209	1997-08-06	VYDAJ	PREVOD NA UCET	5887	84286	SIPO	YZ	15201545
646485	2209	1997-09-06	VYDAJ	PREVOD NA UCET	5887	38734	SIPO	YZ	15201545
646486	2209	1997-10-06	VYDAJ	PREVOD NA UCET	5887	76916	SIPO	YZ	15201545
646487	2209	1997-11-06	VYDAJ	PREVOD NA UCET	5887	42082	SIPO	YZ	15201545
646488	2209	1997-12-06	VYDAJ	PREVOD NA UCET	5887	90824	SIPO	YZ	15201545
646489	2209	1998-01-06	VYDAJ	PREVOD NA UCET	5887	80066	SIPO	YZ	15201545
646490	2209	1998-02-06	VYDAJ	PREVOD NA UCET	5887	33795	SIPO	YZ	15201545
646491	2209	1998-03-06	VYDAJ	PREVOD NA UCET	5887	63846	SIPO	YZ	15201545
646492	2209	1998-04-06	VYDAJ	PREVOD NA UCET	5887	74507	SIPO	YZ	15201545
646493	2209	1998-05-06	VYDAJ	PREVOD NA UCET	5887	81720	SIPO	YZ	15201545
646494	2209	1998-06-06	VYDAJ	PREVOD NA UCET	5887	89043	SIPO	YZ	15201545
646495	2209	1998-07-06	VYDAJ	PREVOD NA UCET	5887	28882	SIPO	YZ	15201545
646496	2209	1998-08-06	VYDAJ	PREVOD NA UCET	5887	29885	SIPO	YZ	15201545
646497	2209	1998-09-06	VYDAJ	PREVOD NA UCET	5887	34088	SIPO	YZ	15201545
646498	2209	1998-10-06	VYDAJ	PREVOD NA UCET	5887	53981	SIPO	YZ	15201545
646499	2209	1998-11-06	VYDAJ	PREVOD NA UCET	5887	41558	SIPO	YZ	15201545
646500	2209	1998-12-06	VYDAJ	PREVOD NA UCET	5887	26958	SIPO	YZ	15201545
646511	2209	1996-11-09	VYDAJ	PREVOD NA UCET	1418	74456	 	ST	68777465
646512	2209	1996-12-09	VYDAJ	PREVOD NA UCET	1418	92235	 	ST	68777465
646513	2209	1997-01-09	VYDAJ	PREVOD NA UCET	1418	75441	 	ST	68777465
646514	2209	1997-02-09	VYDAJ	PREVOD NA UCET	1418	47899	 	ST	68777465
646515	2209	1997-03-09	VYDAJ	PREVOD NA UCET	1418	73586	 	ST	68777465
646516	2209	1997-04-09	VYDAJ	PREVOD NA UCET	1418	15102	 	ST	68777465
646517	2209	1997-05-09	VYDAJ	PREVOD NA UCET	1418	43184	 	ST	68777465
646518	2209	1997-06-09	VYDAJ	PREVOD NA UCET	1418	18332	 	ST	68777465
646519	2209	1997-07-09	VYDAJ	PREVOD NA UCET	1418	63999	 	ST	68777465
646520	2209	1997-08-09	VYDAJ	PREVOD NA UCET	1418	82868	 	ST	68777465
646521	2209	1997-09-09	VYDAJ	PREVOD NA UCET	1418	37316	 	ST	68777465
646522	2209	1997-10-09	VYDAJ	PREVOD NA UCET	1418	75498	 	ST	68777465
646523	2209	1997-11-09	VYDAJ	PREVOD NA UCET	1418	34364	 	ST	68777465
646524	2209	1997-12-09	VYDAJ	PREVOD NA UCET	1418	53106	 	ST	68777465
646525	2209	1998-01-09	VYDAJ	PREVOD NA UCET	1418	46048	 	ST	68777465
646526	2209	1998-02-09	VYDAJ	PREVOD NA UCET	1418	32377	 	ST	68777465
646527	2209	1998-03-09	VYDAJ	PREVOD NA UCET	1418	38728	 	ST	68777465
646528	2209	1998-04-09	VYDAJ	PREVOD NA UCET	1418	40289	 	ST	68777465
646529	2209	1998-05-09	VYDAJ	PREVOD NA UCET	1418	42502	 	ST	68777465
646530	2209	1998-06-09	VYDAJ	PREVOD NA UCET	1418	43325	 	ST	68777465
646531	2209	1998-07-09	VYDAJ	PREVOD NA UCET	1418	27464	 	ST	68777465
646532	2209	1998-08-09	VYDAJ	PREVOD NA UCET	1418	28467	 	ST	68777465
646533	2209	1998-09-09	VYDAJ	PREVOD NA UCET	1418	32670	 	ST	68777465
646534	2209	1998-10-09	VYDAJ	PREVOD NA UCET	1418	52563	 	ST	68777465
646535	2209	1998-11-09	VYDAJ	PREVOD NA UCET	1418	40140	 	ST	68777465
646536	2209	1998-12-09	VYDAJ	PREVOD NA UCET	1418	25540	 	ST	68777465
646538	2209	1996-11-10	VYBER	VYBER	9476	64980	\N	\N	\N
646544	2209	1996-11-04	VYBER	VYBER	13354	81761	\N	\N	\N
646548	2209	1996-12-27	VYBER	VYBER	4832	66841	\N	\N	\N
646549	2209	1997-05-26	VYBER	VYBER	18018	72810	\N	\N	\N
646550	2209	1997-02-10	VYBER	VYBER	2675	45224	\N	\N	\N
646551	2209	1997-09-06	VYBER	VYBER	10909	44621	\N	\N	\N
646552	2209	1997-10-22	VYBER	VYBER	10361	50148	\N	\N	\N
646553	2209	1997-05-07	VYBER	VYBER	12042	44602	\N	\N	\N
646554	2209	1997-03-05	VYBER	VYBER	6145	92903	\N	\N	\N
646555	2209	1997-01-17	VYBER	VYBER	5413	27028	\N	\N	\N
646556	2209	1997-03-06	VYBER	VYBER	21382	71521	\N	\N	\N
646557	2209	1998-01-12	VYBER	VYBER	16950	23398	\N	\N	\N
646560	2209	1998-01-03	VYBER	VYBER	3286	85953	\N	\N	\N
646561	2209	1998-11-22	VYBER	VYBER	18213	51041	\N	\N	\N
646564	2209	1997-06-02	VYDAJ	VYBER	51600	25637	\N	\N	\N
646565	2209	1998-06-16	VYDAJ	VYBER	61500	33645	\N	\N	\N
646567	2209	1997-01-13	VYDAJ	VYBER	6600	40541	\N	\N	\N
646568	2209	1998-01-26	VYDAJ	VYBER	23100	27174	\N	\N	\N
646569	2209	1996-12-12	VYDAJ	VYBER	8700	83535	\N	\N	\N
646570	2209	1997-12-27	VYDAJ	VYBER	2700	50406	\N	\N	\N
646578	2209	1997-01-13	VYDAJ	VYBER	5400	47141	\N	\N	\N
646579	2209	1997-01-30	VYDAJ	VYBER	6300	32891	\N	\N	\N
646580	2209	1997-01-04	VYDAJ	VYBER	6000	121468	\N	\N	\N
646581	2209	1997-01-15	VYDAJ	VYBER	8100	32441	\N	\N	\N
646582	2209	1997-01-05	VYDAJ	VYBER	8400	82746	\N	\N	\N
646583	2209	1997-01-24	VYDAJ	VYBER	1500	39191	\N	\N	\N
646584	2209	1998-01-28	VYDAJ	VYBER	4500	66990	\N	\N	\N
646587	2209	1998-01-01	VYDAJ	VYBER	3000	89239	\N	\N	\N
646588	2209	1998-01-10	VYDAJ	VYBER	5700	40348	\N	\N	\N
646589	2209	1998-01-28	VYDAJ	VYBER	4200	62790	\N	\N	\N
646591	2209	1996-10-19	VYDAJ	VYBER	9000	60694	\N	\N	\N
646593	2209	1996-11-13	VYDAJ	VYBER	12000	41880	\N	\N	\N
646594	2209	1997-11-23	VYDAJ	VYBER	14700	68687	\N	\N	\N
646595	2209	1997-09-09	VYDAJ	VYBER	6300	28916	\N	\N	\N
646596	2209	1997-03-28	VYDAJ	VYBER	13500	22205	\N	\N	\N
646597	2209	1997-11-02	VYDAJ	VYBER	2400	47969	\N	\N	\N
646598	2209	1997-08-23	VYDAJ	VYBER	2400	55268	\N	\N	\N
646599	2209	1997-05-24	VYDAJ	VYBER	13200	90828	\N	\N	\N
646600	2209	1997-02-12	VYDAJ	VYBER	3300	30124	\N	\N	\N
646601	2209	1998-10-16	VYDAJ	VYBER	6900	45663	\N	\N	\N
646602	2209	1998-02-24	VYDAJ	VYBER	7500	24877	\N	\N	\N
646604	2209	1998-05-30	VYDAJ	VYBER	13500	88136	\N	\N	\N
646605	2209	1998-03-20	VYDAJ	VYBER	1500	37228	\N	\N	\N
646606	2209	1998-02-02	VYDAJ	VYBER	12900	50082	\N	\N	\N
646617	2209	1996-10-31	VYDAJ	VYBER	15	86384	SLUZBY	\N	\N
646618	2209	1996-11-30	VYDAJ	VYBER	15	96210	SLUZBY	\N	\N
646619	2209	1996-12-31	VYDAJ	VYBER	15	92096	SLUZBY	\N	\N
646620	2209	1997-01-31	VYDAJ	VYBER	15	33102	SLUZBY	\N	\N
646621	2209	1997-02-28	VYDAJ	VYBER	15	99048	SLUZBY	\N	\N
646622	2209	1997-03-31	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
646623	2209	1997-04-30	VYDAJ	VYBER	15	22178	SLUZBY	\N	\N
646624	2209	1997-05-31	VYDAJ	VYBER	15	101244	SLUZBY	\N	\N
646625	2209	1997-06-30	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
646626	2209	1997-07-31	VYDAJ	VYBER	15	90173	SLUZBY	\N	\N
646627	2209	1997-08-31	VYDAJ	VYBER	15	55530	SLUZBY	\N	\N
646628	2209	1997-09-30	VYDAJ	VYBER	15	62565	SLUZBY	\N	\N
646629	2209	1997-10-31	VYDAJ	VYBER	15	50369	SLUZBY	\N	\N
646630	2209	1997-11-30	VYDAJ	VYBER	15	68895	SLUZBY	\N	\N
646631	2209	1997-12-31	VYDAJ	VYBER	15	50631	SLUZBY	\N	\N
646632	2209	1998-01-31	VYDAJ	VYBER	15	62982	SLUZBY	\N	\N
646633	2209	1998-02-28	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
646634	2209	1998-03-31	VYDAJ	VYBER	15	80394	SLUZBY	\N	\N
646635	2209	1998-04-30	VYDAJ	VYBER	15	87607	SLUZBY	\N	\N
646636	2209	1998-05-31	VYDAJ	VYBER	15	94930	SLUZBY	\N	\N
646637	2209	1998-06-30	VYDAJ	VYBER	15	59769	SLUZBY	\N	\N
646638	2209	1998-07-31	VYDAJ	VYBER	15	62072	SLUZBY	\N	\N
646639	2209	1998-08-31	VYDAJ	VYBER	15	70575	SLUZBY	\N	\N
646640	2209	1998-09-30	VYDAJ	VYBER	15	54595	SLUZBY	\N	\N
646641	2209	1998-10-31	VYDAJ	VYBER	15	83245	SLUZBY	\N	\N
646642	2209	1998-11-30	VYDAJ	VYBER	15	51245	SLUZBY	\N	\N
646643	2209	1996-09-14	PRIJEM	VKLAD	13800	14700	\N	\N	\N
646644	2209	1996-09-26	VYDAJ	VYBER	42900	70993	\N	\N	\N
646645	2209	1996-10-14	VYDAJ	VYBER	27500	53359	\N	\N	\N
646646	2209	1996-10-30	VYDAJ	VYBER	51400	86116	\N	\N	\N
646647	2209	1996-11-02	VYDAJ	VYBER	17900	95115	\N	\N	\N
646648	2209	1996-11-13	VYDAJ	VYBER	11100	53880	\N	\N	\N
646649	2209	1996-12-01	VYDAJ	VYBER	32700	99540	\N	\N	\N
646650	2209	1996-12-13	VYDAJ	VYBER	28100	55435	\N	\N	\N
646651	2209	1996-12-14	VYDAJ	VYBER	29400	71673	\N	\N	\N
646652	2209	1997-01-04	VYDAJ	VYBER	25100	96368	\N	\N	\N
646653	2209	1997-01-05	VYDAJ	VYBER	50500	91146	\N	\N	\N
646654	2209	1997-01-12	VYDAJ	VYBER	22900	52541	\N	\N	\N
646655	2209	1997-02-11	VYDAJ	VYBER	11800	33424	\N	\N	\N
646656	2209	1997-02-24	VYDAJ	VYBER	18900	122792	\N	\N	\N
646657	2209	1997-02-28	VYDAJ	VYBER	24000	99063	\N	\N	\N
646658	2209	1997-03-12	VYDAJ	VYBER	59500	46005	\N	\N	\N
646659	2209	1997-03-13	VYDAJ	VYBER	10300	35705	\N	\N	\N
646660	2209	1997-04-12	PRIJEM	VKLAD	7000	22102	\N	\N	\N
646661	2209	1997-05-12	VYDAJ	VYBER	9400	33784	\N	\N	\N
646662	2209	1997-05-29	VYDAJ	VYBER	34800	101016	\N	\N	\N
646663	2209	1997-06-02	VYDAJ	VYBER	35000	77237	\N	\N	\N
646664	2209	1997-06-11	VYDAJ	VYBER	1200	17132	\N	\N	\N
646665	2209	1997-07-11	VYDAJ	VYBER	22400	41599	\N	\N	\N
646666	2209	1997-07-14	VYDAJ	VYBER	17200	89843	\N	\N	\N
646667	2209	1997-08-10	VYDAJ	VYBER	25200	57668	\N	\N	\N
646668	2209	1997-09-09	VYDAJ	VYBER	2100	35216	\N	\N	\N
646669	2209	1997-10-09	VYDAJ	VYBER	24000	51498	\N	\N	\N
646670	2209	1997-11-08	VYDAJ	VYBER	6300	35782	\N	\N	\N
646671	2209	1997-12-08	VYDAJ	VYBER	36300	54524	\N	\N	\N
646672	2209	1998-01-07	VYDAJ	VYBER	32600	47466	\N	\N	\N
646673	2209	1998-02-06	VYDAJ	VYBER	10400	39682	\N	\N	\N
646674	2209	1998-03-08	VYDAJ	VYBER	23700	40146	\N	\N	\N
646675	2209	1998-04-07	VYDAJ	VYBER	32800	41707	\N	\N	\N
646676	2209	1998-05-07	VYDAJ	VYBER	37800	43920	\N	\N	\N
646677	2209	1998-05-31	VYDAJ	VYBER	26400	94945	\N	\N	\N
646678	2209	1998-06-06	VYDAJ	VYBER	44300	44743	\N	\N	\N
646679	2209	1998-07-06	VYDAJ	VYBER	25000	34769	\N	\N	\N
646680	2209	1998-08-05	VYDAJ	VYBER	26300	35772	\N	\N	\N
646681	2209	1998-09-04	VYDAJ	VYBER	30600	39975	\N	\N	\N
646682	2209	1998-10-04	VYDAJ	VYBER	22800	31795	\N	\N	\N
646683	2209	1998-11-03	VYDAJ	VYBER	35800	47445	\N	\N	\N
646684	2209	1998-12-03	VYDAJ	VYBER	18400	32845	\N	\N	\N
646713	2210	1996-08-13	PRIJEM	VKLAD	200	5977	\N	\N	\N
646721	2210	1996-08-13	PRIJEM	PREVOD Z UCTU	5777	5777	DUCHOD	UV	36864280
646722	2210	1996-09-13	PRIJEM	PREVOD Z UCTU	5777	11769	DUCHOD	UV	36864280
646723	2210	1996-10-13	PRIJEM	PREVOD Z UCTU	5777	17570	DUCHOD	UV	36864280
646724	2210	1996-11-13	PRIJEM	PREVOD Z UCTU	5777	23371	DUCHOD	UV	36864280
646725	2210	1996-12-13	PRIJEM	PREVOD Z UCTU	5777	29172	DUCHOD	UV	36864280
646726	2210	1997-01-13	PRIJEM	PREVOD Z UCTU	5777	30169	DUCHOD	UV	36864280
646727	2210	1997-02-13	PRIJEM	PREVOD Z UCTU	5777	29200	DUCHOD	UV	36864280
646728	2210	1997-03-13	PRIJEM	PREVOD Z UCTU	5777	29868	DUCHOD	UV	36864280
646729	2210	1997-04-13	PRIJEM	PREVOD Z UCTU	5777	32598	DUCHOD	UV	36864280
646730	2210	1997-05-13	PRIJEM	PREVOD Z UCTU	5777	35239	DUCHOD	UV	36864280
646731	2210	1997-06-13	PRIJEM	PREVOD Z UCTU	5777	38590	DUCHOD	UV	36864280
646732	2210	1997-07-13	PRIJEM	PREVOD Z UCTU	5777	37492	DUCHOD	UV	36864280
646733	2210	1997-08-13	PRIJEM	PREVOD Z UCTU	5777	34993	DUCHOD	UV	36864280
646734	2210	1997-09-13	PRIJEM	PREVOD Z UCTU	5777	33862	DUCHOD	UV	36864280
646735	2210	1997-10-13	PRIJEM	PREVOD Z UCTU	5777	35708	DUCHOD	UV	36864280
646736	2210	1997-11-13	PRIJEM	PREVOD Z UCTU	5777	39062	DUCHOD	UV	36864280
646737	2210	1997-12-13	PRIJEM	PREVOD Z UCTU	5777	37257	DUCHOD	UV	36864280
646738	2210	1998-01-13	PRIJEM	PREVOD Z UCTU	5777	40616	DUCHOD	UV	36864280
646739	2210	1998-02-13	PRIJEM	PREVOD Z UCTU	5777	43990	DUCHOD	UV	36864280
646740	2210	1998-03-13	PRIJEM	PREVOD Z UCTU	5777	47376	DUCHOD	UV	36864280
646741	2210	1998-04-13	PRIJEM	PREVOD Z UCTU	5777	42854	DUCHOD	UV	36864280
646742	2210	1998-05-13	PRIJEM	PREVOD Z UCTU	5777	41191	DUCHOD	UV	36864280
646743	2210	1998-06-13	PRIJEM	PREVOD Z UCTU	5777	39367	DUCHOD	UV	36864280
646744	2210	1998-07-13	PRIJEM	PREVOD Z UCTU	5777	39060	DUCHOD	UV	36864280
646745	2210	1998-08-13	PRIJEM	PREVOD Z UCTU	5777	41789	DUCHOD	UV	36864280
646746	2210	1998-09-13	PRIJEM	PREVOD Z UCTU	5777	45167	DUCHOD	UV	36864280
646747	2210	1998-10-13	PRIJEM	PREVOD Z UCTU	5777	47356	DUCHOD	UV	36864280
646748	2210	1998-11-13	PRIJEM	PREVOD Z UCTU	5777	50757	DUCHOD	UV	36864280
646749	2210	1998-12-13	PRIJEM	PREVOD Z UCTU	5777	50472	DUCHOD	UV	36864280
646762	2210	1997-01-10	VYDAJ	PREVOD NA UCET	2553	24392	SIPO	YZ	10651153
646763	2210	1997-02-10	VYDAJ	PREVOD NA UCET	2553	23423	SIPO	YZ	10651153
646764	2210	1997-03-10	VYDAJ	PREVOD NA UCET	2553	25791	SIPO	YZ	10651153
646765	2210	1997-04-10	VYDAJ	PREVOD NA UCET	2553	26821	SIPO	YZ	10651153
646766	2210	1997-05-10	VYDAJ	PREVOD NA UCET	2553	30162	SIPO	YZ	10651153
646767	2210	1997-06-10	VYDAJ	PREVOD NA UCET	2553	32813	SIPO	YZ	10651153
646768	2210	1997-07-10	VYDAJ	PREVOD NA UCET	2553	31715	SIPO	YZ	10651153
646769	2210	1997-08-10	VYDAJ	PREVOD NA UCET	2553	29216	SIPO	YZ	10651153
646770	2210	1997-09-10	VYDAJ	PREVOD NA UCET	2553	28085	SIPO	YZ	10651153
646771	2210	1997-10-10	VYDAJ	PREVOD NA UCET	2553	29931	SIPO	YZ	10651153
646772	2210	1997-11-10	VYDAJ	PREVOD NA UCET	2553	33285	SIPO	YZ	10651153
646773	2210	1997-12-10	VYDAJ	PREVOD NA UCET	2553	31480	SIPO	YZ	10651153
646774	2210	1998-01-10	VYDAJ	PREVOD NA UCET	2553	34839	SIPO	YZ	10651153
646775	2210	1998-02-10	VYDAJ	PREVOD NA UCET	2553	38213	SIPO	YZ	10651153
646776	2210	1998-03-10	VYDAJ	PREVOD NA UCET	2553	41599	SIPO	YZ	10651153
646777	2210	1998-04-10	VYDAJ	PREVOD NA UCET	2553	37077	SIPO	YZ	10651153
646778	2210	1998-05-10	VYDAJ	PREVOD NA UCET	2553	35414	SIPO	YZ	10651153
646779	2210	1998-06-10	VYDAJ	PREVOD NA UCET	2553	33590	SIPO	YZ	10651153
646780	2210	1998-07-10	VYDAJ	PREVOD NA UCET	2553	33283	SIPO	YZ	10651153
646781	2210	1998-08-10	VYDAJ	PREVOD NA UCET	2553	36012	SIPO	YZ	10651153
646782	2210	1998-09-10	VYDAJ	PREVOD NA UCET	2553	39390	SIPO	YZ	10651153
646783	2210	1998-10-10	VYDAJ	PREVOD NA UCET	2553	41579	SIPO	YZ	10651153
646784	2210	1998-11-10	VYDAJ	PREVOD NA UCET	2553	44980	SIPO	YZ	10651153
646785	2210	1998-12-10	VYDAJ	PREVOD NA UCET	2553	47495	SIPO	YZ	10651153
646787	2210	1997-12-05	VYDAJ	VYBER	850	34513	\N	\N	\N
646788	2210	1998-12-07	VYDAJ	VYBER	900	50048	\N	\N	\N
646793	2210	1997-09-02	VYDAJ	VYBER	2000	30638	\N	\N	\N
646794	2210	1997-02-15	VYDAJ	VYBER	960	28240	\N	\N	\N
646795	2210	1997-11-29	VYDAJ	VYBER	3840	35222	\N	\N	\N
646796	2210	1997-06-21	VYDAJ	VYBER	2160	36430	\N	\N	\N
646797	2210	1997-07-25	VYDAJ	VYBER	1360	36132	\N	\N	\N
646798	2210	1997-12-05	VYDAJ	VYBER	480	34033	\N	\N	\N
646799	2210	1997-08-15	VYDAJ	VYBER	2480	32513	\N	\N	\N
646800	2210	1997-01-03	VYDAJ	VYBER	2240	26945	\N	\N	\N
646801	2210	1998-03-25	VYDAJ	VYBER	3920	43456	\N	\N	\N
646802	2210	1998-12-10	VYDAJ	VYBER	2800	44695	\N	\N	\N
646803	2210	1998-07-06	VYDAJ	VYBER	3680	35836	\N	\N	\N
646804	2210	1998-04-14	VYDAJ	VYBER	3840	39014	\N	\N	\N
646805	2210	1998-07-13	VYDAJ	VYBER	640	38420	\N	\N	\N
646806	2210	1998-09-18	VYDAJ	VYBER	1200	43967	\N	\N	\N
646819	2210	1996-12-31	VYDAJ	VYBER	15	29185	SLUZBY	\N	\N
646820	2210	1997-01-31	VYDAJ	VYBER	15	30276	SLUZBY	\N	\N
646821	2210	1997-02-28	VYDAJ	VYBER	15	28344	SLUZBY	\N	\N
646822	2210	1997-03-31	VYDAJ	VYBER	15	29974	SLUZBY	\N	\N
646823	2210	1997-04-30	VYDAJ	VYBER	15	32715	SLUZBY	\N	\N
646824	2210	1997-05-31	VYDAJ	VYBER	15	35366	SLUZBY	\N	\N
646825	2210	1997-06-30	VYDAJ	VYBER	15	36568	SLUZBY	\N	\N
646826	2210	1997-07-31	VYDAJ	VYBER	15	36269	SLUZBY	\N	\N
646827	2210	1997-08-31	VYDAJ	VYBER	15	32638	SLUZBY	\N	\N
646828	2210	1997-09-30	VYDAJ	VYBER	15	33984	SLUZBY	\N	\N
646829	2210	1997-10-31	VYDAJ	VYBER	15	35838	SLUZBY	\N	\N
646830	2210	1997-11-30	VYDAJ	VYBER	15	35363	SLUZBY	\N	\N
646831	2210	1997-12-31	VYDAJ	VYBER	15	37392	SLUZBY	\N	\N
646832	2210	1998-01-31	VYDAJ	VYBER	15	40766	SLUZBY	\N	\N
646833	2210	1998-02-28	VYDAJ	VYBER	15	44152	SLUZBY	\N	\N
646834	2210	1998-03-31	VYDAJ	VYBER	15	43630	SLUZBY	\N	\N
646835	2210	1998-04-30	VYDAJ	VYBER	15	39167	SLUZBY	\N	\N
646836	2210	1998-05-31	VYDAJ	VYBER	15	41343	SLUZBY	\N	\N
646837	2210	1998-06-30	VYDAJ	VYBER	15	39516	SLUZBY	\N	\N
646838	2210	1998-07-31	VYDAJ	VYBER	15	38565	SLUZBY	\N	\N
646839	2210	1998-08-31	VYDAJ	VYBER	15	41943	SLUZBY	\N	\N
646840	2210	1998-09-30	VYDAJ	VYBER	15	44132	SLUZBY	\N	\N
646841	2210	1998-10-31	VYDAJ	VYBER	15	47533	SLUZBY	\N	\N
646842	2210	1998-11-30	VYDAJ	VYBER	15	50948	SLUZBY	\N	\N
646843	2210	1997-02-09	VYDAJ	VYBER	4300	25976	\N	\N	\N
646844	2210	1997-03-11	VYDAJ	VYBER	1700	24091	\N	\N	\N
646845	2210	1997-04-10	VYDAJ	VYBER	600	29374	\N	\N	\N
646846	2210	1997-05-10	VYDAJ	VYBER	700	29462	\N	\N	\N
646847	2210	1997-07-09	VYDAJ	VYBER	2300	34268	\N	\N	\N
646848	2210	1997-08-08	VYDAJ	VYBER	4500	31769	\N	\N	\N
646849	2210	1997-10-07	VYDAJ	VYBER	1500	32484	\N	\N	\N
646850	2210	1998-04-05	VYDAJ	VYBER	4000	39630	\N	\N	\N
646851	2210	1998-05-05	VYDAJ	VYBER	1200	37967	\N	\N	\N
646852	2210	1998-06-04	VYDAJ	VYBER	5200	36143	\N	\N	\N
646882	2211	1997-11-10	PRIJEM	VKLAD	300	300	\N	\N	\N
646894	2211	1997-12-05	PRIJEM	PREVOD Z UCTU	70575	70875	\N	QR	74364119
646895	2211	1998-01-05	PRIJEM	PREVOD Z UCTU	47050	94465	\N	QR	74364119
646896	2211	1998-02-05	PRIJEM	PREVOD Z UCTU	47050	109057	\N	QR	74364119
646897	2211	1998-03-05	PRIJEM	PREVOD Z UCTU	47050	86088	\N	QR	74364119
646898	2211	1998-04-05	PRIJEM	PREVOD Z UCTU	47050	102247	\N	QR	74364119
646899	2211	1998-05-05	PRIJEM	PREVOD Z UCTU	47050	103874	\N	QR	74364119
646900	2211	1998-06-05	PRIJEM	PREVOD Z UCTU	70575	103228	\N	QR	74364119
646901	2211	1998-07-05	PRIJEM	PREVOD Z UCTU	47050	99592	\N	QR	74364119
646902	2211	1998-08-05	PRIJEM	PREVOD Z UCTU	47050	98732	\N	QR	74364119
646903	2211	1998-09-05	PRIJEM	PREVOD Z UCTU	47050	93533	\N	QR	74364119
646904	2211	1998-10-05	PRIJEM	PREVOD Z UCTU	47050	89200	\N	QR	74364119
646905	2211	1998-11-05	PRIJEM	PREVOD Z UCTU	47050	86456	\N	QR	74364119
646906	2211	1998-12-05	PRIJEM	PREVOD Z UCTU	70575	105224	\N	QR	74364119
646922	2211	1998-04-08	VYDAJ	PREVOD NA UCET	7863	94384	SIPO	IJ	93359732
646923	2211	1998-05-08	VYDAJ	PREVOD NA UCET	7863	96011	SIPO	IJ	93359732
646924	2211	1998-06-08	VYDAJ	PREVOD NA UCET	7863	56565	SIPO	IJ	93359732
646925	2211	1998-07-08	VYDAJ	PREVOD NA UCET	7863	55729	SIPO	IJ	93359732
646926	2211	1998-08-08	VYDAJ	PREVOD NA UCET	7863	46369	SIPO	IJ	93359732
646927	2211	1998-09-08	VYDAJ	PREVOD NA UCET	7863	42070	SIPO	IJ	93359732
646928	2211	1998-10-08	VYDAJ	PREVOD NA UCET	7863	40837	SIPO	IJ	93359732
646929	2211	1998-11-08	VYDAJ	PREVOD NA UCET	7863	37893	SIPO	IJ	93359732
646930	2211	1998-12-08	VYDAJ	PREVOD NA UCET	7863	15361	SIPO	IJ	93359732
646937	2211	1998-06-04	VYDAJ	VYBER	24300	32653	\N	\N	\N
646941	2211	1998-12-05	VYDAJ	VYBER	7800	23224	\N	\N	\N
646960	2211	1998-06-29	VYDAJ	VYBER	4200	52365	\N	\N	\N
646961	2211	1998-11-18	VYDAJ	VYBER	3300	34593	\N	\N	\N
646962	2211	1998-08-04	VYDAJ	VYBER	4200	51682	\N	\N	\N
646963	2211	1998-10-16	VYDAJ	VYBER	1500	39337	\N	\N	\N
646981	2211	1998-04-30	VYDAJ	VYBER	100	56824	SLUZBY	\N	\N
646982	2211	1998-05-31	VYDAJ	VYBER	100	56953	SLUZBY	\N	\N
646983	2211	1998-06-30	VYDAJ	VYBER	100	52542	SLUZBY	\N	\N
646984	2211	1998-07-31	VYDAJ	VYBER	100	55882	SLUZBY	\N	\N
646985	2211	1998-08-31	VYDAJ	VYBER	100	46483	SLUZBY	\N	\N
646986	2211	1998-09-30	VYDAJ	VYBER	100	42150	SLUZBY	\N	\N
646987	2211	1998-10-31	VYDAJ	VYBER	100	39406	SLUZBY	\N	\N
646988	2211	1998-11-30	VYDAJ	VYBER	100	34649	SLUZBY	\N	\N
646989	2211	1997-12-10	VYDAJ	VYBER	23600	47275	\N	\N	\N
646990	2211	1998-01-09	VYDAJ	VYBER	32700	61765	\N	\N	\N
646991	2211	1998-02-05	VYDAJ	VYBER	58000	51057	\N	\N	\N
646992	2211	1998-02-08	VYDAJ	VYBER	12200	38857	\N	\N	\N
646993	2211	1998-03-10	VYDAJ	VYBER	31100	54988	\N	\N	\N
646994	2211	1998-04-09	VYDAJ	VYBER	37700	56684	\N	\N	\N
646995	2211	1998-05-09	VYDAJ	VYBER	39200	56811	\N	\N	\N
646996	2211	1998-06-08	VYDAJ	VYBER	38800	64428	\N	\N	\N
646997	2211	1998-07-08	VYDAJ	VYBER	36000	63592	\N	\N	\N
646998	2211	1998-08-07	VYDAJ	VYBER	44500	54232	\N	\N	\N
646999	2211	1998-09-06	VYDAJ	VYBER	43600	49933	\N	\N	\N
647000	2211	1998-10-06	VYDAJ	VYBER	40500	48700	\N	\N	\N
647001	2211	1998-11-05	VYDAJ	VYBER	40700	45756	\N	\N	\N
647002	2211	1998-12-05	VYDAJ	VYBER	54700	50524	\N	\N	\N
647003	2211	1998-12-05	VYDAJ	VYBER	19500	31024	\N	\N	\N
647017	2212	1996-02-12	PRIJEM	VKLAD	800	800	\N	\N	\N
647019	2212	1996-02-13	PRIJEM	PREVOD Z UCTU	5270	6070	DUCHOD	MN	23365092
647020	2212	1996-03-13	PRIJEM	PREVOD Z UCTU	5270	11355	DUCHOD	MN	23365092
647021	2212	1996-04-13	PRIJEM	PREVOD Z UCTU	5270	16650	DUCHOD	MN	23365092
647022	2212	1996-05-13	PRIJEM	PREVOD Z UCTU	5270	21945	DUCHOD	MN	23365092
647023	2212	1996-06-13	PRIJEM	PREVOD Z UCTU	5270	26041	DUCHOD	MN	23365092
647024	2212	1996-07-13	PRIJEM	PREVOD Z UCTU	5270	20304	DUCHOD	MN	23365092
647025	2212	1996-08-13	PRIJEM	PREVOD Z UCTU	5270	22430	DUCHOD	MN	23365092
647026	2212	1996-09-13	PRIJEM	PREVOD Z UCTU	5270	24564	DUCHOD	MN	23365092
647027	2212	1996-10-13	PRIJEM	PREVOD Z UCTU	5270	26706	DUCHOD	MN	23365092
647028	2212	1996-11-13	PRIJEM	PREVOD Z UCTU	5270	24007	DUCHOD	MN	23365092
647029	2212	1996-12-13	PRIJEM	PREVOD Z UCTU	5270	23623	DUCHOD	MN	23365092
647030	2212	1997-01-13	PRIJEM	PREVOD Z UCTU	5270	23711	DUCHOD	MN	23365092
647031	2212	1997-02-13	PRIJEM	PREVOD Z UCTU	5270	19184	DUCHOD	MN	23365092
647032	2212	1997-03-13	PRIJEM	PREVOD Z UCTU	5270	21304	DUCHOD	MN	23365092
647033	2212	1997-04-13	PRIJEM	PREVOD Z UCTU	5270	23433	DUCHOD	MN	23365092
647034	2212	1997-05-13	PRIJEM	PREVOD Z UCTU	5270	22283	DUCHOD	MN	23365092
647035	2212	1997-06-13	PRIJEM	PREVOD Z UCTU	5270	18501	DUCHOD	MN	23365092
647036	2212	1997-07-13	PRIJEM	PREVOD Z UCTU	5270	20628	DUCHOD	MN	23365092
647037	2212	1997-08-13	PRIJEM	PREVOD Z UCTU	5270	22746	DUCHOD	MN	23365092
647038	2212	1997-09-13	PRIJEM	PREVOD Z UCTU	5270	24873	DUCHOD	MN	23365092
647039	2212	1997-10-13	PRIJEM	PREVOD Z UCTU	5270	27017	DUCHOD	MN	23365092
647040	2212	1997-11-13	PRIJEM	PREVOD Z UCTU	5270	29170	DUCHOD	MN	23365092
647041	2212	1997-12-13	PRIJEM	PREVOD Z UCTU	5270	31324	DUCHOD	MN	23365092
647042	2212	1998-01-13	PRIJEM	PREVOD Z UCTU	5270	28635	DUCHOD	MN	23365092
647043	2212	1998-02-13	PRIJEM	PREVOD Z UCTU	5270	28136	DUCHOD	MN	23365092
647044	2212	1998-03-13	PRIJEM	PREVOD Z UCTU	5270	29332	DUCHOD	MN	23365092
647045	2212	1998-04-13	PRIJEM	PREVOD Z UCTU	5270	30046	DUCHOD	MN	23365092
647046	2212	1998-05-13	PRIJEM	PREVOD Z UCTU	5270	29560	DUCHOD	MN	23365092
647047	2212	1998-06-13	PRIJEM	PREVOD Z UCTU	5270	31716	DUCHOD	MN	23365092
647048	2212	1998-07-13	PRIJEM	PREVOD Z UCTU	5270	28332	DUCHOD	MN	23365092
647049	2212	1998-08-13	PRIJEM	PREVOD Z UCTU	5270	28728	DUCHOD	MN	23365092
647050	2212	1998-09-13	PRIJEM	PREVOD Z UCTU	5270	29127	DUCHOD	MN	23365092
647051	2212	1998-10-13	PRIJEM	PREVOD Z UCTU	5270	31280	DUCHOD	MN	23365092
647052	2212	1998-11-13	PRIJEM	PREVOD Z UCTU	5270	30718	DUCHOD	MN	23365092
647053	2212	1998-12-13	PRIJEM	PREVOD Z UCTU	5270	32879	DUCHOD	MN	23365092
647059	2212	1996-06-13	VYDAJ	PREVOD NA UCET	3206	22835	SIPO	QR	39952963
647060	2212	1996-07-13	VYDAJ	PREVOD NA UCET	3206	17098	SIPO	QR	39952963
647061	2212	1996-08-13	VYDAJ	PREVOD NA UCET	3206	19224	SIPO	QR	39952963
647062	2212	1996-09-13	VYDAJ	PREVOD NA UCET	3206	21358	SIPO	QR	39952963
647063	2212	1996-10-13	VYDAJ	PREVOD NA UCET	3206	23500	SIPO	QR	39952963
647064	2212	1996-11-13	VYDAJ	PREVOD NA UCET	3206	20801	SIPO	QR	39952963
647065	2212	1996-12-13	VYDAJ	PREVOD NA UCET	3206	20417	SIPO	QR	39952963
647066	2212	1997-01-13	VYDAJ	PREVOD NA UCET	3206	20505	SIPO	QR	39952963
647067	2212	1997-02-13	VYDAJ	PREVOD NA UCET	3206	15978	SIPO	QR	39952963
647068	2212	1997-03-13	VYDAJ	PREVOD NA UCET	3206	18098	SIPO	QR	39952963
647069	2212	1997-04-13	VYDAJ	PREVOD NA UCET	3206	20227	SIPO	QR	39952963
647070	2212	1997-05-13	VYDAJ	PREVOD NA UCET	3206	19077	SIPO	QR	39952963
647071	2212	1997-06-13	VYDAJ	PREVOD NA UCET	3206	15295	SIPO	QR	39952963
647072	2212	1997-07-13	VYDAJ	PREVOD NA UCET	3206	17422	SIPO	QR	39952963
647073	2212	1997-08-13	VYDAJ	PREVOD NA UCET	3206	19540	SIPO	QR	39952963
647074	2212	1997-09-13	VYDAJ	PREVOD NA UCET	3206	21667	SIPO	QR	39952963
647075	2212	1997-10-13	VYDAJ	PREVOD NA UCET	3206	23811	SIPO	QR	39952963
647076	2212	1997-11-13	VYDAJ	PREVOD NA UCET	3206	25964	SIPO	QR	39952963
647077	2212	1997-12-13	VYDAJ	PREVOD NA UCET	3206	28118	SIPO	QR	39952963
647078	2212	1998-01-13	VYDAJ	PREVOD NA UCET	3206	25429	SIPO	QR	39952963
647079	2212	1998-02-13	VYDAJ	PREVOD NA UCET	3206	24930	SIPO	QR	39952963
647080	2212	1998-03-13	VYDAJ	PREVOD NA UCET	3206	26126	SIPO	QR	39952963
647081	2212	1998-04-13	VYDAJ	PREVOD NA UCET	3206	26840	SIPO	QR	39952963
647082	2212	1998-05-13	VYDAJ	PREVOD NA UCET	3206	26354	SIPO	QR	39952963
647083	2212	1998-06-13	VYDAJ	PREVOD NA UCET	3206	28510	SIPO	QR	39952963
647084	2212	1998-07-13	VYDAJ	PREVOD NA UCET	3206	25126	SIPO	QR	39952963
647085	2212	1998-08-13	VYDAJ	PREVOD NA UCET	3206	25522	SIPO	QR	39952963
647086	2212	1998-09-13	VYDAJ	PREVOD NA UCET	3206	25921	SIPO	QR	39952963
647087	2212	1998-10-13	VYDAJ	PREVOD NA UCET	3206	28074	SIPO	QR	39952963
647088	2212	1998-11-13	VYDAJ	PREVOD NA UCET	3206	27512	SIPO	QR	39952963
647089	2212	1998-12-13	VYDAJ	PREVOD NA UCET	3206	29673	SIPO	QR	39952963
647090	2212	1996-06-28	VYDAJ	VYBER	7450	15385	\N	\N	\N
647092	2212	1998-06-16	VYDAJ	VYBER	3700	24810	\N	\N	\N
647094	2212	1997-01-19	VYDAJ	VYBER	4250	16255	\N	\N	\N
647095	2212	1998-01-14	VYDAJ	VYBER	2650	22779	\N	\N	\N
647096	2212	1996-12-25	VYDAJ	VYBER	550	19867	\N	\N	\N
647097	2212	1997-12-19	VYDAJ	VYBER	1150	26968	\N	\N	\N
647098	2212	1998-12-18	VYDAJ	VYBER	1050	28623	\N	\N	\N
647101	2212	1996-12-08	VYDAJ	VYBER	1520	19353	\N	\N	\N
647103	2212	1996-11-06	VYDAJ	VYBER	2240	19737	\N	\N	\N
647104	2212	1996-10-14	VYDAJ	VYBER	1600	21900	\N	\N	\N
647105	2212	1997-01-23	VYDAJ	VYBER	2400	13855	\N	\N	\N
647106	2212	1997-06-01	VYDAJ	VYBER	2480	16671	\N	\N	\N
647107	2212	1997-05-07	VYDAJ	VYBER	3280	17013	\N	\N	\N
647108	2212	1997-06-12	VYDAJ	VYBER	3440	13231	\N	\N	\N
647109	2212	1998-07-28	VYDAJ	VYBER	1760	23366	\N	\N	\N
647110	2212	1998-04-17	VYDAJ	VYBER	2640	24200	\N	\N	\N
647111	2212	1998-08-13	VYDAJ	VYBER	1760	23762	\N	\N	\N
647112	2212	1998-03-08	VYDAJ	VYBER	960	24062	\N	\N	\N
647113	2212	1998-06-30	VYDAJ	VYBER	1840	23076	\N	\N	\N
647114	2212	1998-10-17	VYDAJ	VYBER	2240	25834	\N	\N	\N
647115	2212	1998-03-15	VYDAJ	VYBER	1440	24686	\N	\N	\N
647116	2212	1998-11-12	VYDAJ	VYBER	480	25448	\N	\N	\N
647123	2212	1996-06-30	VYDAJ	VYBER	15	15434	SLUZBY	\N	\N
647124	2212	1996-07-31	VYDAJ	VYBER	15	17160	SLUZBY	\N	\N
647125	2212	1996-08-31	VYDAJ	VYBER	15	19294	SLUZBY	\N	\N
647126	2212	1996-09-30	VYDAJ	VYBER	15	21436	SLUZBY	\N	\N
647127	2212	1996-10-31	VYDAJ	VYBER	15	21977	SLUZBY	\N	\N
647128	2212	1996-11-30	VYDAJ	VYBER	15	20873	SLUZBY	\N	\N
647129	2212	1996-12-31	VYDAJ	VYBER	15	19941	SLUZBY	\N	\N
647130	2212	1997-01-31	VYDAJ	VYBER	15	13914	SLUZBY	\N	\N
647131	2212	1997-02-28	VYDAJ	VYBER	15	16034	SLUZBY	\N	\N
647132	2212	1997-03-31	VYDAJ	VYBER	15	18163	SLUZBY	\N	\N
647133	2212	1997-04-30	VYDAJ	VYBER	15	20293	SLUZBY	\N	\N
647134	2212	1997-05-31	VYDAJ	VYBER	15	19151	SLUZBY	\N	\N
647135	2212	1997-06-30	VYDAJ	VYBER	15	15358	SLUZBY	\N	\N
647136	2212	1997-07-31	VYDAJ	VYBER	15	17476	SLUZBY	\N	\N
647137	2212	1997-08-31	VYDAJ	VYBER	15	19603	SLUZBY	\N	\N
647138	2212	1997-09-30	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
647139	2212	1997-10-31	VYDAJ	VYBER	15	23900	SLUZBY	\N	\N
647140	2212	1997-11-30	VYDAJ	VYBER	15	26054	SLUZBY	\N	\N
647141	2212	1997-12-31	VYDAJ	VYBER	15	27065	SLUZBY	\N	\N
647142	2212	1998-01-31	VYDAJ	VYBER	15	22866	SLUZBY	\N	\N
647143	2212	1998-02-28	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
647144	2212	1998-03-31	VYDAJ	VYBER	15	24776	SLUZBY	\N	\N
647145	2212	1998-04-30	VYDAJ	VYBER	15	24290	SLUZBY	\N	\N
647146	2212	1998-05-31	VYDAJ	VYBER	15	26446	SLUZBY	\N	\N
647147	2212	1998-06-30	VYDAJ	VYBER	15	23062	SLUZBY	\N	\N
647148	2212	1998-07-31	VYDAJ	VYBER	15	23458	SLUZBY	\N	\N
647149	2212	1998-08-31	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
647150	2212	1998-09-30	VYDAJ	VYBER	15	26010	SLUZBY	\N	\N
647151	2212	1998-10-31	VYDAJ	VYBER	15	25928	SLUZBY	\N	\N
647152	2212	1998-11-30	VYDAJ	VYBER	15	27609	SLUZBY	\N	\N
647153	2212	1996-06-11	VYDAJ	VYBER	1200	20771	\N	\N	\N
647154	2212	1996-07-11	VYDAJ	VYBER	400	15034	\N	\N	\N
647155	2212	1996-11-08	VYDAJ	VYBER	1000	18737	\N	\N	\N
647156	2212	1996-12-08	VYDAJ	VYBER	1000	18353	\N	\N	\N
647157	2212	1997-01-07	VYDAJ	VYBER	1500	18441	\N	\N	\N
647158	2212	1998-01-02	VYDAJ	VYBER	3700	23365	\N	\N	\N
647194	2213	1993-07-11	PRIJEM	VKLAD	700	700	\N	\N	\N
647202	2213	1993-08-05	PRIJEM	VKLAD	9410	10110	\N	\N	\N
647203	2213	1993-09-05	PRIJEM	VKLAD	9410	27574	\N	\N	\N
647204	2213	1993-10-05	PRIJEM	VKLAD	9410	35784	\N	\N	\N
647205	2213	1993-11-05	PRIJEM	VKLAD	9410	37408	\N	\N	\N
647206	2213	1993-12-05	PRIJEM	VKLAD	14115	43945	\N	\N	\N
647207	2213	1994-01-05	PRIJEM	VKLAD	9410	27355	\N	\N	\N
647208	2213	1994-02-05	PRIJEM	VKLAD	9410	23214	\N	\N	\N
647209	2213	1994-03-05	PRIJEM	VKLAD	9410	30519	\N	\N	\N
647210	2213	1994-04-05	PRIJEM	VKLAD	9410	34643	\N	\N	\N
647211	2213	1994-05-05	PRIJEM	VKLAD	9410	38383	\N	\N	\N
647212	2213	1994-06-05	PRIJEM	VKLAD	14115	42930	\N	\N	\N
647213	2213	1994-07-05	PRIJEM	VKLAD	9410	40501	\N	\N	\N
647214	2213	1994-08-05	PRIJEM	VKLAD	9410	41055	\N	\N	\N
647215	2213	1994-09-05	PRIJEM	VKLAD	9410	31381	\N	\N	\N
647216	2213	1994-10-05	PRIJEM	VKLAD	9410	31328	\N	\N	\N
647217	2213	1994-11-05	PRIJEM	VKLAD	9410	33955	\N	\N	\N
647218	2213	1994-12-05	PRIJEM	VKLAD	14115	40297	\N	\N	\N
647219	2213	1995-01-05	PRIJEM	VKLAD	9410	34772	\N	\N	\N
647220	2213	1995-02-05	PRIJEM	VKLAD	9410	28653	\N	\N	\N
647221	2213	1995-03-05	PRIJEM	VKLAD	9410	30464	\N	\N	\N
647222	2213	1995-04-05	PRIJEM	VKLAD	9410	31987	\N	\N	\N
647223	2213	1995-05-05	PRIJEM	VKLAD	9410	36116	\N	\N	\N
647224	2213	1995-06-05	PRIJEM	VKLAD	14115	43466	\N	\N	\N
647225	2213	1995-07-05	PRIJEM	VKLAD	9410	32189	\N	\N	\N
647226	2213	1995-08-05	PRIJEM	VKLAD	9410	31419	\N	\N	\N
647227	2213	1995-09-05	PRIJEM	VKLAD	9410	38945	\N	\N	\N
647228	2213	1995-10-05	PRIJEM	VKLAD	9410	35110	\N	\N	\N
647229	2213	1995-11-05	PRIJEM	VKLAD	9410	36549	\N	\N	\N
647230	2213	1995-12-05	PRIJEM	VKLAD	14115	43330	\N	\N	\N
647231	2213	1996-01-05	PRIJEM	VKLAD	9410	34993	\N	\N	\N
647232	2213	1996-02-05	PRIJEM	VKLAD	9410	33486	\N	\N	\N
647233	2213	1996-03-05	PRIJEM	VKLAD	9410	35215	\N	\N	\N
647234	2213	1996-04-05	PRIJEM	VKLAD	9410	36254	\N	\N	\N
647235	2213	1996-05-05	PRIJEM	VKLAD	9410	34632	\N	\N	\N
647236	2213	1996-06-05	PRIJEM	VKLAD	14115	40172	\N	\N	\N
647237	2213	1996-07-05	PRIJEM	VKLAD	9410	37324	\N	\N	\N
647238	2213	1996-08-05	PRIJEM	VKLAD	9410	34467	\N	\N	\N
647239	2213	1996-09-05	PRIJEM	VKLAD	9410	32277	\N	\N	\N
647240	2213	1996-10-05	PRIJEM	VKLAD	9410	30900	\N	\N	\N
647241	2213	1996-11-05	PRIJEM	VKLAD	9410	35022	\N	\N	\N
647242	2213	1996-12-05	PRIJEM	VKLAD	14115	38360	\N	\N	\N
647243	2213	1997-01-05	PRIJEM	VKLAD	9410	30346	\N	\N	\N
647244	2213	1997-02-05	PRIJEM	VKLAD	9410	23872	\N	\N	\N
647245	2213	1997-03-05	PRIJEM	VKLAD	9410	30368	\N	\N	\N
647246	2213	1997-04-05	PRIJEM	VKLAD	9410	28719	\N	\N	\N
647247	2213	1997-05-05	PRIJEM	VKLAD	9410	28626	\N	\N	\N
647248	2213	1997-06-05	PRIJEM	VKLAD	14115	35542	\N	\N	\N
647249	2213	1997-07-05	PRIJEM	VKLAD	9410	31652	\N	\N	\N
647250	2213	1997-08-05	PRIJEM	VKLAD	9410	33874	\N	\N	\N
647251	2213	1997-09-05	PRIJEM	VKLAD	9410	39311	\N	\N	\N
647252	2213	1997-10-05	PRIJEM	VKLAD	9410	34079	\N	\N	\N
647253	2213	1997-11-05	PRIJEM	VKLAD	9410	32482	\N	\N	\N
647254	2213	1997-12-05	PRIJEM	VKLAD	14115	35827	\N	\N	\N
647255	2213	1998-01-05	PRIJEM	VKLAD	9410	39816	\N	\N	\N
647256	2213	1998-02-05	PRIJEM	VKLAD	9410	25235	\N	\N	\N
647257	2213	1998-03-05	PRIJEM	VKLAD	9410	34607	\N	\N	\N
647258	2213	1998-04-05	PRIJEM	VKLAD	9410	39782	\N	\N	\N
647259	2213	1998-05-05	PRIJEM	VKLAD	9410	44743	\N	\N	\N
647260	2213	1998-06-05	PRIJEM	VKLAD	14115	43494	\N	\N	\N
647261	2213	1998-07-05	PRIJEM	VKLAD	9410	40855	\N	\N	\N
647262	2213	1998-08-05	PRIJEM	VKLAD	9410	41410	\N	\N	\N
647263	2213	1998-09-05	PRIJEM	VKLAD	9410	34246	\N	\N	\N
647264	2213	1998-10-05	PRIJEM	VKLAD	9410	35073	\N	\N	\N
647265	2213	1998-11-05	PRIJEM	VKLAD	9410	40315	\N	\N	\N
647266	2213	1998-12-05	PRIJEM	VKLAD	14115	44168	\N	\N	\N
647278	2213	1993-12-06	VYDAJ	PREVOD NA UCET	6273	37672	SIPO	IJ	46736180
647279	2213	1994-01-06	VYDAJ	PREVOD NA UCET	6273	21082	SIPO	IJ	46736180
647280	2213	1994-02-06	VYDAJ	PREVOD NA UCET	6273	21041	SIPO	IJ	46736180
647281	2213	1994-03-06	VYDAJ	PREVOD NA UCET	6273	24246	SIPO	IJ	46736180
647282	2213	1994-04-06	VYDAJ	PREVOD NA UCET	6273	28370	SIPO	IJ	46736180
647283	2213	1994-05-06	VYDAJ	PREVOD NA UCET	6273	32110	SIPO	IJ	46736180
647284	2213	1994-06-06	VYDAJ	PREVOD NA UCET	6273	30957	SIPO	IJ	46736180
647285	2213	1994-07-06	VYDAJ	PREVOD NA UCET	6273	31528	SIPO	IJ	46736180
647286	2213	1994-08-06	VYDAJ	PREVOD NA UCET	6273	23882	SIPO	IJ	46736180
647287	2213	1994-09-06	VYDAJ	PREVOD NA UCET	6273	25108	SIPO	IJ	46736180
647288	2213	1994-10-06	VYDAJ	PREVOD NA UCET	6273	25055	SIPO	IJ	46736180
647289	2213	1994-11-06	VYDAJ	PREVOD NA UCET	6273	27682	SIPO	IJ	46736180
647290	2213	1994-12-06	VYDAJ	PREVOD NA UCET	6273	34024	SIPO	IJ	46736180
647291	2213	1995-01-06	VYDAJ	PREVOD NA UCET	6273	28499	SIPO	IJ	46736180
647292	2213	1995-02-06	VYDAJ	PREVOD NA UCET	6273	22380	SIPO	IJ	46736180
647293	2213	1995-03-06	VYDAJ	PREVOD NA UCET	6273	24191	SIPO	IJ	46736180
647294	2213	1995-04-06	VYDAJ	PREVOD NA UCET	6273	25714	SIPO	IJ	46736180
647295	2213	1995-05-06	VYDAJ	PREVOD NA UCET	6273	29843	SIPO	IJ	46736180
647296	2213	1995-06-06	VYDAJ	PREVOD NA UCET	6273	37193	SIPO	IJ	46736180
647297	2213	1995-07-06	VYDAJ	PREVOD NA UCET	6273	25916	SIPO	IJ	46736180
647298	2213	1995-08-06	VYDAJ	PREVOD NA UCET	6273	25146	SIPO	IJ	46736180
647299	2213	1995-09-06	VYDAJ	PREVOD NA UCET	6273	32672	SIPO	IJ	46736180
647300	2213	1995-10-06	VYDAJ	PREVOD NA UCET	6273	28837	SIPO	IJ	46736180
647301	2213	1995-11-06	VYDAJ	PREVOD NA UCET	6273	30276	SIPO	IJ	46736180
647302	2213	1995-12-06	VYDAJ	PREVOD NA UCET	6273	37057	SIPO	IJ	46736180
647303	2213	1996-01-06	VYDAJ	PREVOD NA UCET	6273	28720	SIPO	IJ	46736180
647304	2213	1996-02-06	VYDAJ	PREVOD NA UCET	6273	27213	SIPO	IJ	46736180
647305	2213	1996-03-06	VYDAJ	PREVOD NA UCET	6273	28942	SIPO	IJ	46736180
647306	2213	1996-04-06	VYDAJ	PREVOD NA UCET	6273	29981	SIPO	IJ	46736180
647307	2213	1996-05-06	VYDAJ	PREVOD NA UCET	6273	28359	SIPO	IJ	46736180
647308	2213	1996-06-06	VYDAJ	PREVOD NA UCET	6273	33899	SIPO	IJ	46736180
647309	2213	1996-07-06	VYDAJ	PREVOD NA UCET	6273	31051	SIPO	IJ	46736180
647310	2213	1996-08-06	VYDAJ	PREVOD NA UCET	6273	28194	SIPO	IJ	46736180
647311	2213	1996-09-06	VYDAJ	PREVOD NA UCET	6273	26004	SIPO	IJ	46736180
647312	2213	1996-10-06	VYDAJ	PREVOD NA UCET	6273	24627	SIPO	IJ	46736180
647313	2213	1996-11-06	VYDAJ	PREVOD NA UCET	6273	28749	SIPO	IJ	46736180
647314	2213	1996-12-06	VYDAJ	PREVOD NA UCET	6273	32087	SIPO	IJ	46736180
647315	2213	1997-01-06	VYDAJ	PREVOD NA UCET	6273	23113	SIPO	IJ	46736180
647316	2213	1997-02-06	VYDAJ	PREVOD NA UCET	6273	17599	SIPO	IJ	46736180
647317	2213	1997-03-06	VYDAJ	PREVOD NA UCET	6273	24095	SIPO	IJ	46736180
647318	2213	1997-04-06	VYDAJ	PREVOD NA UCET	6273	22446	SIPO	IJ	46736180
647319	2213	1997-05-06	VYDAJ	PREVOD NA UCET	6273	22353	SIPO	IJ	46736180
647320	2213	1997-06-06	VYDAJ	PREVOD NA UCET	6273	29269	SIPO	IJ	46736180
647321	2213	1997-07-06	VYDAJ	PREVOD NA UCET	6273	25379	SIPO	IJ	46736180
647322	2213	1997-08-06	VYDAJ	PREVOD NA UCET	6273	27601	SIPO	IJ	46736180
647323	2213	1997-09-06	VYDAJ	PREVOD NA UCET	6273	33038	SIPO	IJ	46736180
647324	2213	1997-10-06	VYDAJ	PREVOD NA UCET	6273	27806	SIPO	IJ	46736180
647325	2213	1997-11-06	VYDAJ	PREVOD NA UCET	6273	20809	SIPO	IJ	46736180
647326	2213	1997-12-06	VYDAJ	PREVOD NA UCET	6273	29554	SIPO	IJ	46736180
647327	2213	1998-01-06	VYDAJ	PREVOD NA UCET	6273	33543	SIPO	IJ	46736180
647328	2213	1998-02-06	VYDAJ	PREVOD NA UCET	6273	18962	SIPO	IJ	46736180
647329	2213	1998-03-06	VYDAJ	PREVOD NA UCET	6273	28334	SIPO	IJ	46736180
647330	2213	1998-04-06	VYDAJ	PREVOD NA UCET	6273	33509	SIPO	IJ	46736180
647331	2213	1998-05-06	VYDAJ	PREVOD NA UCET	6273	38470	SIPO	IJ	46736180
647332	2213	1998-06-06	VYDAJ	PREVOD NA UCET	6273	37221	SIPO	IJ	46736180
647333	2213	1998-07-06	VYDAJ	PREVOD NA UCET	6273	34582	SIPO	IJ	46736180
647334	2213	1998-08-06	VYDAJ	PREVOD NA UCET	6273	35137	SIPO	IJ	46736180
647335	2213	1998-09-06	VYDAJ	PREVOD NA UCET	6273	27973	SIPO	IJ	46736180
647336	2213	1998-10-06	VYDAJ	PREVOD NA UCET	6273	28800	SIPO	IJ	46736180
647337	2213	1998-11-06	VYDAJ	PREVOD NA UCET	6273	34042	SIPO	IJ	46736180
647338	2213	1998-12-06	VYDAJ	PREVOD NA UCET	6273	37895	SIPO	IJ	46736180
647341	2213	1995-06-27	VYDAJ	VYBER	19840	17353	\N	\N	\N
647347	2213	1995-01-08	VYDAJ	VYBER	8800	19699	\N	\N	\N
647348	2213	1996-01-26	VYDAJ	VYBER	3840	19480	\N	\N	\N
647350	2213	1998-01-26	VYDAJ	VYBER	8800	15723	\N	\N	\N
647351	2213	1993-12-12	VYDAJ	VYBER	2240	23732	\N	\N	\N
647352	2213	1994-12-18	VYDAJ	VYBER	4480	24504	\N	\N	\N
647353	2213	1995-12-09	VYDAJ	VYBER	1600	35457	\N	\N	\N
647354	2213	1996-12-21	VYDAJ	VYBER	1280	26247	\N	\N	\N
647355	2213	1997-12-04	VYDAJ	VYBER	1440	22552	\N	\N	\N
647356	2213	1998-12-28	VYDAJ	VYBER	4320	30795	\N	\N	\N
647363	2213	1994-01-11	VYDAJ	VYBER	3360	17462	\N	\N	\N
647364	2213	1994-01-11	VYDAJ	VYBER	2760	20822	\N	\N	\N
647365	2213	1994-01-24	VYDAJ	VYBER	2760	14702	\N	\N	\N
647366	2213	1994-01-29	VYDAJ	VYBER	960	13742	\N	\N	\N
647368	2213	1994-01-04	VYDAJ	VYBER	3000	17945	\N	\N	\N
647369	2213	1995-01-14	VYDAJ	VYBER	840	17779	\N	\N	\N
647371	2213	1995-01-20	VYDAJ	VYBER	1080	16699	\N	\N	\N
647373	2213	1995-01-12	VYDAJ	VYBER	1080	18619	\N	\N	\N
647374	2213	1995-01-25	VYDAJ	VYBER	2520	14179	\N	\N	\N
647375	2213	1996-01-02	VYDAJ	VYBER	720	28223	\N	\N	\N
647376	2213	1996-01-09	VYDAJ	VYBER	1440	27280	\N	\N	\N
647377	2213	1996-01-03	VYDAJ	VYBER	2640	25583	\N	\N	\N
647378	2213	1996-01-01	VYDAJ	VYBER	1440	28943	\N	\N	\N
647379	2213	1996-01-20	VYDAJ	VYBER	2280	23320	\N	\N	\N
647380	2213	1996-01-20	VYDAJ	VYBER	1680	25600	\N	\N	\N
647381	2213	1997-01-13	VYDAJ	VYBER	1080	22033	\N	\N	\N
647382	2213	1997-01-26	VYDAJ	VYBER	2280	14393	\N	\N	\N
647383	2213	1997-01-21	VYDAJ	VYBER	1200	17473	\N	\N	\N
647384	2213	1997-01-15	VYDAJ	VYBER	3360	18673	\N	\N	\N
647386	2213	1997-01-06	VYDAJ	VYBER	960	29386	\N	\N	\N
647387	2213	1998-01-12	VYDAJ	VYBER	720	32823	\N	\N	\N
647388	2213	1998-01-01	VYDAJ	VYBER	2760	30406	\N	\N	\N
647389	2213	1998-01-22	VYDAJ	VYBER	2760	24523	\N	\N	\N
647390	2213	1998-01-21	VYDAJ	VYBER	1920	27283	\N	\N	\N
647391	2213	1998-01-17	VYDAJ	VYBER	1440	32083	\N	\N	\N
647392	2213	1998-01-20	VYDAJ	VYBER	2880	29203	\N	\N	\N
647394	2213	1993-12-25	VYDAJ	VYBER	2880	20852	\N	\N	\N
647397	2213	1993-12-11	VYDAJ	VYBER	5400	25972	\N	\N	\N
647398	2213	1994-12-21	VYDAJ	VYBER	2040	22464	\N	\N	\N
647400	2213	1994-10-01	VYDAJ	VYBER	1080	24118	\N	\N	\N
647401	2213	1994-12-09	VYDAJ	VYBER	5040	28984	\N	\N	\N
647402	2213	1995-09-10	VYDAJ	VYBER	2040	30632	\N	\N	\N
647403	2213	1995-07-16	VYDAJ	VYBER	4200	21716	\N	\N	\N
647404	2213	1995-07-20	VYDAJ	VYBER	4680	17036	\N	\N	\N
647405	2213	1995-11-11	VYDAJ	VYBER	3960	26316	\N	\N	\N
647406	2213	1995-09-19	VYDAJ	VYBER	2040	28592	\N	\N	\N
647407	2213	1996-04-23	VYDAJ	VYBER	1680	25421	\N	\N	\N
647408	2213	1996-02-23	VYDAJ	VYBER	2520	22413	\N	\N	\N
647409	2213	1996-04-21	VYDAJ	VYBER	2880	27101	\N	\N	\N
647410	2213	1996-12-08	VYDAJ	VYBER	4560	27527	\N	\N	\N
647411	2213	1996-08-21	VYDAJ	VYBER	1320	26874	\N	\N	\N
647412	2213	1996-02-22	VYDAJ	VYBER	2280	24933	\N	\N	\N
647413	2213	1997-10-04	VYDAJ	VYBER	4080	24669	\N	\N	\N
647414	2213	1997-03-14	VYDAJ	VYBER	1560	22535	\N	\N	\N
647415	2213	1997-12-04	VYDAJ	VYBER	3000	23992	\N	\N	\N
647416	2213	1997-11-06	VYDAJ	VYBER	5400	27082	\N	\N	\N
647417	2213	1997-10-10	VYDAJ	VYBER	4920	22886	\N	\N	\N
647418	2213	1997-12-04	VYDAJ	VYBER	840	21712	\N	\N	\N
647419	2213	1997-06-25	VYDAJ	VYBER	5520	22149	\N	\N	\N
647420	2213	1998-06-04	VYDAJ	VYBER	5760	29379	\N	\N	\N
647421	2213	1998-12-12	VYDAJ	VYBER	4080	35115	\N	\N	\N
647422	2213	1998-03-07	VYDAJ	VYBER	5160	23174	\N	\N	\N
647423	2213	1998-05-08	VYDAJ	VYBER	3960	34510	\N	\N	\N
647424	2213	1998-03-02	VYDAJ	VYBER	1440	25197	\N	\N	\N
647425	2213	1998-08-15	VYDAJ	VYBER	3840	24737	\N	\N	\N
647426	2213	1998-08-09	VYDAJ	VYBER	5160	29977	\N	\N	\N
647439	2213	1993-12-31	VYDAJ	VYBER	15	20945	SLUZBY	\N	\N
647440	2213	1994-01-31	VYDAJ	VYBER	15	13804	SLUZBY	\N	\N
647441	2213	1994-02-28	VYDAJ	VYBER	15	21109	SLUZBY	\N	\N
647442	2213	1994-03-31	VYDAJ	VYBER	15	25233	SLUZBY	\N	\N
647443	2213	1994-04-30	VYDAJ	VYBER	15	28973	SLUZBY	\N	\N
647444	2213	1994-05-31	VYDAJ	VYBER	15	28815	SLUZBY	\N	\N
647445	2213	1994-06-30	VYDAJ	VYBER	15	31091	SLUZBY	\N	\N
647446	2213	1994-07-31	VYDAJ	VYBER	15	31645	SLUZBY	\N	\N
647447	2213	1994-08-31	VYDAJ	VYBER	15	23971	SLUZBY	\N	\N
647448	2213	1994-09-30	VYDAJ	VYBER	15	25198	SLUZBY	\N	\N
647449	2213	1994-10-31	VYDAJ	VYBER	15	25145	SLUZBY	\N	\N
647450	2213	1994-11-30	VYDAJ	VYBER	15	27782	SLUZBY	\N	\N
647451	2213	1994-12-31	VYDAJ	VYBER	15	22562	SLUZBY	\N	\N
647452	2213	1995-01-31	VYDAJ	VYBER	15	14243	SLUZBY	\N	\N
647453	2213	1995-02-28	VYDAJ	VYBER	15	22454	SLUZBY	\N	\N
647454	2213	1995-03-31	VYDAJ	VYBER	15	24277	SLUZBY	\N	\N
647455	2213	1995-04-30	VYDAJ	VYBER	15	25806	SLUZBY	\N	\N
647456	2213	1995-05-31	VYDAJ	VYBER	15	29951	SLUZBY	\N	\N
647457	2213	1995-06-30	VYDAJ	VYBER	15	17479	SLUZBY	\N	\N
647458	2213	1995-07-31	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
647459	2213	1995-08-31	VYDAJ	VYBER	15	29535	SLUZBY	\N	\N
647460	2213	1995-09-30	VYDAJ	VYBER	15	25700	SLUZBY	\N	\N
647461	2213	1995-10-31	VYDAJ	VYBER	15	27139	SLUZBY	\N	\N
647462	2213	1995-11-30	VYDAJ	VYBER	15	29215	SLUZBY	\N	\N
647463	2213	1995-12-31	VYDAJ	VYBER	15	30383	SLUZBY	\N	\N
647464	2213	1996-01-31	VYDAJ	VYBER	15	24076	SLUZBY	\N	\N
647465	2213	1996-02-29	VYDAJ	VYBER	15	25805	SLUZBY	\N	\N
647466	2213	1996-03-31	VYDAJ	VYBER	15	26844	SLUZBY	\N	\N
647467	2213	1996-04-30	VYDAJ	VYBER	15	25222	SLUZBY	\N	\N
647468	2213	1996-05-31	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
647469	2213	1996-06-30	VYDAJ	VYBER	15	27914	SLUZBY	\N	\N
647470	2213	1996-07-31	VYDAJ	VYBER	15	25057	SLUZBY	\N	\N
647471	2213	1996-08-31	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
647472	2213	1996-09-30	VYDAJ	VYBER	15	21490	SLUZBY	\N	\N
647473	2213	1996-10-31	VYDAJ	VYBER	15	25612	SLUZBY	\N	\N
647474	2213	1996-11-30	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
647475	2213	1996-12-31	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
647476	2213	1997-01-31	VYDAJ	VYBER	15	14462	SLUZBY	\N	\N
647477	2213	1997-02-28	VYDAJ	VYBER	15	20958	SLUZBY	\N	\N
647478	2213	1997-03-31	VYDAJ	VYBER	15	19309	SLUZBY	\N	\N
647479	2213	1997-04-30	VYDAJ	VYBER	15	19216	SLUZBY	\N	\N
647480	2213	1997-05-31	VYDAJ	VYBER	15	21427	SLUZBY	\N	\N
647481	2213	1997-06-30	VYDAJ	VYBER	15	22242	SLUZBY	\N	\N
647482	2213	1997-07-31	VYDAJ	VYBER	15	24464	SLUZBY	\N	\N
647483	2213	1997-08-31	VYDAJ	VYBER	15	29901	SLUZBY	\N	\N
647484	2213	1997-09-30	VYDAJ	VYBER	15	28749	SLUZBY	\N	\N
647485	2213	1997-10-31	VYDAJ	VYBER	15	23072	SLUZBY	\N	\N
647486	2213	1997-11-30	VYDAJ	VYBER	15	26992	SLUZBY	\N	\N
647487	2213	1997-12-31	VYDAJ	VYBER	15	33166	SLUZBY	\N	\N
647488	2213	1998-01-31	VYDAJ	VYBER	15	15825	SLUZBY	\N	\N
647489	2213	1998-02-28	VYDAJ	VYBER	15	26637	SLUZBY	\N	\N
647490	2213	1998-03-31	VYDAJ	VYBER	15	30372	SLUZBY	\N	\N
647491	2213	1998-04-30	VYDAJ	VYBER	15	35333	SLUZBY	\N	\N
647492	2213	1998-05-31	VYDAJ	VYBER	15	35139	SLUZBY	\N	\N
647493	2213	1998-06-30	VYDAJ	VYBER	15	31445	SLUZBY	\N	\N
647494	2213	1998-07-31	VYDAJ	VYBER	15	32000	SLUZBY	\N	\N
647495	2213	1998-08-31	VYDAJ	VYBER	15	24836	SLUZBY	\N	\N
647496	2213	1998-09-30	VYDAJ	VYBER	15	25663	SLUZBY	\N	\N
647497	2213	1998-10-31	VYDAJ	VYBER	15	30905	SLUZBY	\N	\N
647498	2213	1998-11-30	VYDAJ	VYBER	15	30053	SLUZBY	\N	\N
647499	2213	1993-08-10	PRIJEM	VKLAD	8000	18110	\N	\N	\N
647500	2213	1993-09-09	VYDAJ	VYBER	1300	26274	\N	\N	\N
647501	2213	1993-10-09	VYDAJ	VYBER	7900	27884	\N	\N	\N
647502	2213	1993-11-08	VYDAJ	VYBER	7700	29708	\N	\N	\N
647503	2213	1993-12-08	VYDAJ	VYBER	6300	31372	\N	\N	\N
647504	2213	1994-01-07	PRIJEM	VKLAD	2500	23582	\N	\N	\N
647505	2213	1994-02-06	PRIJEM	VKLAD	4100	27314	\N	\N	\N
647506	2213	1994-03-08	PRIJEM	VKLAD	900	25146	\N	\N	\N
647507	2213	1994-04-07	PRIJEM	VKLAD	500	28870	\N	\N	\N
647508	2213	1994-05-07	VYDAJ	VYBER	3400	28710	\N	\N	\N
647509	2213	1994-06-06	VYDAJ	VYBER	5700	37230	\N	\N	\N
647510	2213	1994-07-06	VYDAJ	VYBER	2700	37801	\N	\N	\N
647511	2213	1994-08-05	VYDAJ	VYBER	10900	30155	\N	\N	\N
647512	2213	1994-09-04	VYDAJ	VYBER	2000	21971	\N	\N	\N
647513	2213	1994-10-04	VYDAJ	VYBER	2200	21918	\N	\N	\N
647514	2213	1994-11-03	VYDAJ	VYBER	600	24545	\N	\N	\N
647515	2213	1994-12-03	VYDAJ	VYBER	1600	26182	\N	\N	\N
647516	2213	1995-01-02	PRIJEM	VKLAD	2800	25362	\N	\N	\N
647517	2213	1995-02-01	PRIJEM	VKLAD	5000	19243	\N	\N	\N
647518	2213	1995-03-03	VYDAJ	VYBER	1400	21054	\N	\N	\N
647519	2213	1995-04-02	VYDAJ	VYBER	1700	22577	\N	\N	\N
647520	2213	1995-05-02	PRIJEM	VKLAD	900	26706	\N	\N	\N
647521	2213	1995-06-01	VYDAJ	VYBER	600	29351	\N	\N	\N
647522	2213	1995-07-01	PRIJEM	VKLAD	5300	22779	\N	\N	\N
647523	2213	1995-07-31	PRIJEM	VKLAD	4900	22024	\N	\N	\N
647524	2213	1995-08-30	PRIJEM	VKLAD	4300	29446	\N	\N	\N
647525	2213	1995-09-29	VYDAJ	VYBER	3000	25592	\N	\N	\N
647526	2213	1995-10-29	VYDAJ	VYBER	1800	27037	\N	\N	\N
647527	2213	1995-11-28	PRIJEM	VKLAD	2800	29116	\N	\N	\N
647528	2213	1995-12-28	VYDAJ	VYBER	5200	30257	\N	\N	\N
647529	2213	1996-01-27	PRIJEM	VKLAD	4500	23980	\N	\N	\N
647530	2213	1996-02-26	PRIJEM	VKLAD	3300	25713	\N	\N	\N
647531	2213	1996-03-27	VYDAJ	VYBER	2200	26742	\N	\N	\N
647532	2213	1996-04-26	VYDAJ	VYBER	300	25121	\N	\N	\N
647533	2213	1996-05-26	VYDAJ	VYBER	2400	25959	\N	\N	\N
647534	2213	1996-06-25	VYDAJ	VYBER	6100	27799	\N	\N	\N
647535	2213	1996-07-25	VYDAJ	VYBER	6100	24951	\N	\N	\N
647536	2213	1996-08-24	VYDAJ	VYBER	4100	22774	\N	\N	\N
647537	2213	1996-09-23	VYDAJ	VYBER	4600	21404	\N	\N	\N
647538	2213	1996-10-23	PRIJEM	VKLAD	900	25527	\N	\N	\N
647539	2213	1996-11-22	VYDAJ	VYBER	4600	24149	\N	\N	\N
647540	2213	1996-12-22	VYDAJ	VYBER	5400	20847	\N	\N	\N
647541	2213	1997-01-21	VYDAJ	VYBER	800	16673	\N	\N	\N
647542	2213	1997-02-20	PRIJEM	VKLAD	3300	20899	\N	\N	\N
647543	2213	1997-03-22	VYDAJ	VYBER	3300	19235	\N	\N	\N
647544	2213	1997-04-21	VYDAJ	VYBER	3300	19146	\N	\N	\N
647545	2213	1997-05-21	VYDAJ	VYBER	1000	21353	\N	\N	\N
647546	2213	1997-06-20	VYDAJ	VYBER	1600	27669	\N	\N	\N
647547	2213	1997-07-20	VYDAJ	VYBER	1000	24379	\N	\N	\N
647548	2213	1997-08-19	PRIJEM	VKLAD	2200	29801	\N	\N	\N
647549	2213	1997-09-18	VYDAJ	VYBER	4400	28638	\N	\N	\N
647550	2213	1997-10-18	PRIJEM	VKLAD	100	22986	\N	\N	\N
647551	2213	1997-11-17	PRIJEM	VKLAD	6100	26909	\N	\N	\N
647552	2213	1997-12-17	PRIJEM	VKLAD	3500	33054	\N	\N	\N
647553	2213	1998-01-16	PRIJEM	VKLAD	700	33523	\N	\N	\N
647554	2213	1998-02-15	PRIJEM	VKLAD	7600	26562	\N	\N	\N
647555	2213	1998-03-17	PRIJEM	VKLAD	7100	30274	\N	\N	\N
647556	2213	1998-04-16	PRIJEM	VKLAD	1700	35209	\N	\N	\N
647557	2213	1998-05-16	PRIJEM	VKLAD	500	35010	\N	\N	\N
647558	2213	1998-06-15	VYDAJ	VYBER	5900	31321	\N	\N	\N
647559	2213	1998-07-15	VYDAJ	VYBER	2700	31882	\N	\N	\N
647560	2213	1998-08-14	VYDAJ	VYBER	1400	28577	\N	\N	\N
647561	2213	1998-09-13	VYDAJ	VYBER	2400	25573	\N	\N	\N
647562	2213	1998-10-13	PRIJEM	VKLAD	2000	30800	\N	\N	\N
647563	2213	1998-11-12	VYDAJ	VYBER	4100	29942	\N	\N	\N
647564	2213	1998-12-12	PRIJEM	VKLAD	1300	39195	\N	\N	\N
647630	2214	1996-01-27	PRIJEM	VKLAD	400	400	\N	\N	\N
647632	2214	1996-02-05	PRIJEM	VKLAD	13407	13807	\N	\N	\N
647633	2214	1996-03-05	PRIJEM	VKLAD	13407	35026	\N	\N	\N
647634	2214	1996-04-05	PRIJEM	VKLAD	13407	46931	\N	\N	\N
647635	2214	1996-05-05	PRIJEM	VKLAD	13407	52882	\N	\N	\N
647636	2214	1996-06-05	PRIJEM	VKLAD	20111	61157	\N	\N	\N
647637	2214	1996-07-05	PRIJEM	VKLAD	13407	50381	\N	\N	\N
647638	2214	1996-08-05	PRIJEM	VKLAD	13407	49005	\N	\N	\N
647639	2214	1996-09-05	PRIJEM	VKLAD	13407	50047	\N	\N	\N
647640	2214	1996-10-05	PRIJEM	VKLAD	13407	50893	\N	\N	\N
647641	2214	1996-11-05	PRIJEM	VKLAD	13407	53442	\N	\N	\N
647642	2214	1996-12-05	PRIJEM	VKLAD	20111	62908	\N	\N	\N
647643	2214	1997-01-05	PRIJEM	VKLAD	13407	54939	\N	\N	\N
647644	2214	1997-02-05	PRIJEM	VKLAD	13407	42075	\N	\N	\N
647645	2214	1997-03-05	PRIJEM	VKLAD	13407	48895	\N	\N	\N
647646	2214	1997-04-05	PRIJEM	VKLAD	13407	49766	\N	\N	\N
647647	2214	1997-05-05	PRIJEM	VKLAD	13407	51211	\N	\N	\N
647648	2214	1997-06-05	PRIJEM	VKLAD	20111	58064	\N	\N	\N
647649	2214	1997-07-05	PRIJEM	VKLAD	13407	36351	\N	\N	\N
647650	2214	1997-08-05	PRIJEM	VKLAD	13407	40577	\N	\N	\N
647651	2214	1997-09-05	PRIJEM	VKLAD	13407	44889	\N	\N	\N
647652	2214	1997-10-05	PRIJEM	VKLAD	13407	43119	\N	\N	\N
647653	2214	1997-11-05	PRIJEM	VKLAD	13407	44162	\N	\N	\N
647654	2214	1997-12-05	PRIJEM	VKLAD	20111	49282	\N	\N	\N
647655	2214	1998-01-05	PRIJEM	VKLAD	13407	42260	\N	\N	\N
647656	2214	1998-02-05	PRIJEM	VKLAD	13407	21542	\N	\N	\N
647657	2214	1998-03-05	PRIJEM	VKLAD	13407	37000	\N	\N	\N
647658	2214	1998-04-05	PRIJEM	VKLAD	13407	42466	\N	\N	\N
647659	2214	1998-05-05	PRIJEM	VKLAD	13407	42801	\N	\N	\N
647660	2214	1998-06-05	PRIJEM	VKLAD	20111	54650	\N	\N	\N
647661	2214	1998-07-05	PRIJEM	VKLAD	13407	37089	\N	\N	\N
647662	2214	1998-08-05	PRIJEM	VKLAD	13407	37369	\N	\N	\N
647663	2214	1998-09-05	PRIJEM	VKLAD	13407	42554	\N	\N	\N
647664	2214	1998-10-05	PRIJEM	VKLAD	13407	46477	\N	\N	\N
647665	2214	1998-11-05	PRIJEM	VKLAD	13407	52521	\N	\N	\N
647666	2214	1998-12-05	PRIJEM	VKLAD	20111	54176	\N	\N	\N
647703	2214	1996-06-07	VYDAJ	VYBER	10560	50597	\N	\N	\N
647704	2214	1997-06-29	VYDAJ	VYBER	15360	22804	\N	\N	\N
647705	2214	1998-06-26	VYDAJ	VYBER	18400	23550	\N	\N	\N
647707	2214	1997-01-10	VYDAJ	VYBER	12000	36819	\N	\N	\N
647708	2214	1998-01-05	VYDAJ	VYBER	13280	28980	\N	\N	\N
647709	2214	1996-12-16	VYDAJ	VYBER	3200	53948	\N	\N	\N
647710	2214	1997-12-16	VYDAJ	VYBER	3520	45762	\N	\N	\N
647711	2214	1998-12-29	VYDAJ	VYBER	800	43776	\N	\N	\N
647718	2214	1997-01-16	VYDAJ	VYBER	3360	30219	\N	\N	\N
647719	2214	1997-01-19	VYDAJ	VYBER	1200	29019	\N	\N	\N
647720	2214	1997-01-08	VYDAJ	VYBER	3480	51459	\N	\N	\N
647721	2214	1997-01-08	VYDAJ	VYBER	2640	48819	\N	\N	\N
647722	2214	1997-01-11	VYDAJ	VYBER	3240	33579	\N	\N	\N
647723	2214	1997-01-25	VYDAJ	VYBER	1080	28539	\N	\N	\N
647724	2214	1998-01-04	VYDAJ	VYBER	1320	28853	\N	\N	\N
647725	2214	1998-01-18	VYDAJ	VYBER	1800	18980	\N	\N	\N
647726	2214	1998-01-25	VYDAJ	VYBER	2640	10820	\N	\N	\N
647727	2214	1998-01-25	VYDAJ	VYBER	2160	13460	\N	\N	\N
647728	2214	1998-01-29	VYDAJ	VYBER	2760	8060	\N	\N	\N
647729	2214	1998-01-22	VYDAJ	VYBER	3360	15620	\N	\N	\N
647730	2214	1996-12-09	VYDAJ	VYBER	5760	57148	\N	\N	\N
647731	2214	1996-10-11	VYDAJ	VYBER	2520	48373	\N	\N	\N
647732	2214	1996-07-13	VYDAJ	VYBER	1440	48941	\N	\N	\N
647733	2214	1997-03-15	VYDAJ	VYBER	3480	45415	\N	\N	\N
647734	2214	1997-09-22	VYDAJ	VYBER	1920	34269	\N	\N	\N
647735	2214	1997-10-04	VYDAJ	VYBER	4680	29712	\N	\N	\N
647736	2214	1997-07-10	VYDAJ	VYBER	4680	31671	\N	\N	\N
647737	2214	1998-05-04	VYDAJ	VYBER	1080	29394	\N	\N	\N
647738	2214	1998-11-28	VYDAJ	VYBER	4800	33921	\N	\N	\N
647739	2214	1998-03-13	VYDAJ	VYBER	3240	33760	\N	\N	\N
647740	2214	1998-07-29	VYDAJ	VYBER	4920	23869	\N	\N	\N
647741	2214	1998-08-18	VYDAJ	VYBER	2520	29049	\N	\N	\N
647748	2214	1996-06-30	VYDAJ	VYBER	15	36974	SLUZBY	\N	\N
647749	2214	1996-07-31	VYDAJ	VYBER	15	35598	SLUZBY	\N	\N
647750	2214	1996-08-31	VYDAJ	VYBER	15	36640	SLUZBY	\N	\N
647751	2214	1996-09-30	VYDAJ	VYBER	15	37486	SLUZBY	\N	\N
647752	2214	1996-10-31	VYDAJ	VYBER	15	40035	SLUZBY	\N	\N
647753	2214	1996-11-30	VYDAJ	VYBER	15	42797	SLUZBY	\N	\N
647754	2214	1996-12-31	VYDAJ	VYBER	15	41532	SLUZBY	\N	\N
647755	2214	1997-01-31	VYDAJ	VYBER	15	28668	SLUZBY	\N	\N
647756	2214	1997-02-28	VYDAJ	VYBER	15	35488	SLUZBY	\N	\N
647757	2214	1997-03-31	VYDAJ	VYBER	15	36359	SLUZBY	\N	\N
647758	2214	1997-04-30	VYDAJ	VYBER	15	37804	SLUZBY	\N	\N
647759	2214	1997-05-31	VYDAJ	VYBER	15	37954	SLUZBY	\N	\N
647760	2214	1997-06-30	VYDAJ	VYBER	15	22944	SLUZBY	\N	\N
647761	2214	1997-07-31	VYDAJ	VYBER	15	27170	SLUZBY	\N	\N
647762	2214	1997-08-31	VYDAJ	VYBER	15	31482	SLUZBY	\N	\N
647763	2214	1997-09-30	VYDAJ	VYBER	15	34392	SLUZBY	\N	\N
647764	2214	1997-10-31	VYDAJ	VYBER	15	30755	SLUZBY	\N	\N
647765	2214	1997-11-30	VYDAJ	VYBER	15	29172	SLUZBY	\N	\N
647766	2214	1997-12-31	VYDAJ	VYBER	15	30173	SLUZBY	\N	\N
647767	2214	1998-01-31	VYDAJ	VYBER	15	8135	SLUZBY	\N	\N
647768	2214	1998-02-28	VYDAJ	VYBER	15	23593	SLUZBY	\N	\N
647769	2214	1998-03-31	VYDAJ	VYBER	15	29059	SLUZBY	\N	\N
647770	2214	1998-04-30	VYDAJ	VYBER	15	30474	SLUZBY	\N	\N
647771	2214	1998-05-31	VYDAJ	VYBER	15	34540	SLUZBY	\N	\N
647772	2214	1998-06-30	VYDAJ	VYBER	15	23682	SLUZBY	\N	\N
647773	2214	1998-07-31	VYDAJ	VYBER	15	23962	SLUZBY	\N	\N
647774	2214	1998-08-31	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
647775	2214	1998-09-30	VYDAJ	VYBER	15	33070	SLUZBY	\N	\N
647776	2214	1998-10-31	VYDAJ	VYBER	15	39114	SLUZBY	\N	\N
647777	2214	1998-11-30	VYDAJ	VYBER	15	34065	SLUZBY	\N	\N
647778	2214	1996-02-26	PRIJEM	VKLAD	7800	21607	\N	\N	\N
647779	2214	1996-03-27	VYDAJ	VYBER	1600	33426	\N	\N	\N
647780	2214	1996-04-26	VYDAJ	VYBER	7600	39331	\N	\N	\N
647781	2214	1996-05-26	VYDAJ	VYBER	12000	40882	\N	\N	\N
647782	2214	1996-06-25	VYDAJ	VYBER	13800	36797	\N	\N	\N
647783	2214	1996-07-25	VYDAJ	VYBER	13500	35441	\N	\N	\N
647784	2214	1996-08-24	VYDAJ	VYBER	12500	36505	\N	\N	\N
647785	2214	1996-09-23	VYDAJ	VYBER	12700	37347	\N	\N	\N
647786	2214	1996-10-23	VYDAJ	VYBER	8500	39873	\N	\N	\N
647787	2214	1996-11-22	VYDAJ	VYBER	10800	42642	\N	\N	\N
647788	2214	1996-12-22	VYDAJ	VYBER	12600	41348	\N	\N	\N
647789	2214	1997-01-21	PRIJEM	VKLAD	600	29619	\N	\N	\N
647790	2214	1997-02-20	VYDAJ	VYBER	6700	35375	\N	\N	\N
647791	2214	1997-03-22	VYDAJ	VYBER	9200	36215	\N	\N	\N
647792	2214	1997-04-21	VYDAJ	VYBER	12100	37666	\N	\N	\N
647793	2214	1997-05-21	VYDAJ	VYBER	13400	37811	\N	\N	\N
647794	2214	1997-06-20	VYDAJ	VYBER	19900	38164	\N	\N	\N
647795	2214	1997-07-20	VYDAJ	VYBER	4600	27071	\N	\N	\N
647796	2214	1997-08-19	VYDAJ	VYBER	9200	31377	\N	\N	\N
647797	2214	1997-09-18	VYDAJ	VYBER	8700	36189	\N	\N	\N
647798	2214	1997-10-18	VYDAJ	VYBER	12500	30619	\N	\N	\N
647799	2214	1997-11-17	VYDAJ	VYBER	15100	29062	\N	\N	\N
647800	2214	1997-12-17	VYDAJ	VYBER	15700	30062	\N	\N	\N
647801	2214	1998-01-16	VYDAJ	VYBER	8200	20780	\N	\N	\N
647802	2214	1998-02-15	PRIJEM	VKLAD	2000	23542	\N	\N	\N
647803	2214	1998-03-17	VYDAJ	VYBER	4800	28960	\N	\N	\N
647804	2214	1998-04-16	VYDAJ	VYBER	12100	30366	\N	\N	\N
647805	2214	1998-05-16	VYDAJ	VYBER	8400	34401	\N	\N	\N
647806	2214	1998-06-15	VYDAJ	VYBER	12700	41950	\N	\N	\N
647807	2214	1998-07-15	VYDAJ	VYBER	8300	28789	\N	\N	\N
647808	2214	1998-08-14	VYDAJ	VYBER	5800	31569	\N	\N	\N
647809	2214	1998-09-13	VYDAJ	VYBER	9600	32954	\N	\N	\N
647810	2214	1998-10-13	VYDAJ	VYBER	7500	38977	\N	\N	\N
647811	2214	1998-11-12	VYDAJ	VYBER	13800	38721	\N	\N	\N
647812	2214	1998-12-12	VYDAJ	VYBER	9600	44576	\N	\N	\N
647848	2215	1997-10-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
647859	2215	1997-11-08	PRIJEM	PREVOD Z UCTU	6690	7690	DUCHOD	IJ	15063011
647860	2215	1997-12-08	PRIJEM	PREVOD Z UCTU	6690	14380	DUCHOD	IJ	15063011
647861	2215	1998-01-08	PRIJEM	PREVOD Z UCTU	6690	21070	DUCHOD	IJ	15063011
647862	2215	1998-02-08	PRIJEM	PREVOD Z UCTU	6690	23599	DUCHOD	IJ	15063011
647863	2215	1998-03-08	PRIJEM	PREVOD Z UCTU	6690	25864	DUCHOD	IJ	15063011
647864	2215	1998-04-08	PRIJEM	PREVOD Z UCTU	6690	25275	DUCHOD	IJ	15063011
647865	2215	1998-05-08	PRIJEM	PREVOD Z UCTU	6690	25694	DUCHOD	IJ	15063011
647866	2215	1998-06-08	PRIJEM	PREVOD Z UCTU	6690	22630	DUCHOD	IJ	15063011
647867	2215	1998-07-08	PRIJEM	PREVOD Z UCTU	6690	23744	DUCHOD	IJ	15063011
647868	2215	1998-08-08	PRIJEM	PREVOD Z UCTU	6690	28066	DUCHOD	IJ	15063011
647869	2215	1998-09-08	PRIJEM	PREVOD Z UCTU	6690	32506	DUCHOD	IJ	15063011
647870	2215	1998-10-08	PRIJEM	PREVOD Z UCTU	6690	35723	DUCHOD	IJ	15063011
647871	2215	1998-11-08	PRIJEM	PREVOD Z UCTU	6690	40196	DUCHOD	IJ	15063011
647872	2215	1998-12-08	PRIJEM	PREVOD Z UCTU	6690	41477	DUCHOD	IJ	15063011
647888	2215	1998-04-05	VYDAJ	PREVOD NA UCET	2348	18585	SIPO	QR	36252600
647889	2215	1998-05-05	VYDAJ	PREVOD NA UCET	2348	19004	SIPO	QR	36252600
647890	2215	1998-06-05	VYDAJ	PREVOD NA UCET	2348	15940	SIPO	QR	36252600
647891	2215	1998-07-05	VYDAJ	PREVOD NA UCET	2348	17054	SIPO	QR	36252600
647892	2215	1998-08-05	VYDAJ	PREVOD NA UCET	2348	21376	SIPO	QR	36252600
647893	2215	1998-09-05	VYDAJ	PREVOD NA UCET	2348	25816	SIPO	QR	36252600
647894	2215	1998-10-05	VYDAJ	PREVOD NA UCET	2348	29033	SIPO	QR	36252600
647895	2215	1998-11-05	VYDAJ	PREVOD NA UCET	2348	33506	SIPO	QR	36252600
647896	2215	1998-12-05	VYDAJ	PREVOD NA UCET	2348	34787	SIPO	QR	36252600
647898	2215	1998-06-22	VYDAJ	VYBER	3300	19330	\N	\N	\N
647919	2215	1998-05-22	VYDAJ	VYBER	2880	18214	\N	\N	\N
647921	2215	1998-09-28	VYDAJ	VYBER	1040	31266	\N	\N	\N
647938	2215	1998-03-31	VYDAJ	VYBER	15	20933	SLUZBY	\N	\N
647939	2215	1998-04-30	VYDAJ	VYBER	15	21352	SLUZBY	\N	\N
647940	2215	1998-05-31	VYDAJ	VYBER	15	18288	SLUZBY	\N	\N
647941	2215	1998-06-30	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
647942	2215	1998-07-31	VYDAJ	VYBER	15	23724	SLUZBY	\N	\N
647943	2215	1998-08-31	VYDAJ	VYBER	15	28164	SLUZBY	\N	\N
647944	2215	1998-09-30	VYDAJ	VYBER	15	31381	SLUZBY	\N	\N
647945	2215	1998-10-31	VYDAJ	VYBER	15	35854	SLUZBY	\N	\N
647946	2215	1998-11-30	VYDAJ	VYBER	15	37135	SLUZBY	\N	\N
647947	2215	1998-01-15	VYDAJ	VYBER	4200	16870	\N	\N	\N
647948	2215	1998-02-14	VYDAJ	VYBER	4500	19099	\N	\N	\N
647949	2215	1998-03-16	VYDAJ	VYBER	5000	20864	\N	\N	\N
647950	2215	1998-04-15	VYDAJ	VYBER	4000	21275	\N	\N	\N
647951	2215	1998-05-15	VYDAJ	VYBER	4600	21094	\N	\N	\N
647952	2215	1998-07-14	VYDAJ	VYBER	100	23644	\N	\N	\N
647953	2215	1998-09-12	VYDAJ	VYBER	200	32306	\N	\N	\N
647954	2215	1998-11-11	VYDAJ	VYBER	3200	36996	\N	\N	\N
647967	2216	1993-04-17	PRIJEM	VKLAD	900	900	\N	\N	\N
647968	2216	1993-04-18	PRIJEM	VKLAD	7928	8828	\N	\N	\N
647969	2216	1993-08-25	PRIJEM	VKLAD	22893	83129	\N	\N	\N
647971	2216	1993-11-29	PRIJEM	VKLAD	9947	32646	\N	\N	\N
647972	2216	1993-05-27	PRIJEM	VKLAD	34543	52187	\N	\N	\N
647973	2216	1993-12-22	PRIJEM	VKLAD	46958	68209	\N	\N	\N
647975	2216	1993-06-23	PRIJEM	VKLAD	39063	93021	\N	\N	\N
647976	2216	1993-12-30	PRIJEM	VKLAD	48430	116639	\N	\N	\N
647978	2216	1993-09-04	PRIJEM	VKLAD	38743	111417	\N	\N	\N
647979	2216	1993-09-04	PRIJEM	VKLAD	13809	125226	\N	\N	\N
647980	2216	1993-08-21	PRIJEM	VKLAD	18763	60236	\N	\N	\N
647981	2216	1993-06-05	PRIJEM	VKLAD	35105	87358	\N	\N	\N
647984	2216	1993-10-30	PRIJEM	VKLAD	5416	25911	\N	\N	\N
647985	2216	1994-01-07	PRIJEM	VKLAD	10548	115405	\N	\N	\N
647986	2216	1994-03-17	PRIJEM	VKLAD	9849	40226	\N	\N	\N
647987	2216	1994-12-02	PRIJEM	VKLAD	37496	113887	\N	\N	\N
647988	2216	1994-09-22	PRIJEM	VKLAD	29248	59635	\N	\N	\N
647989	2216	1994-12-22	PRIJEM	VKLAD	48890	105386	\N	\N	\N
647990	2216	1994-08-21	PRIJEM	VKLAD	13070	119579	\N	\N	\N
647991	2216	1994-11-26	PRIJEM	VKLAD	49829	76255	\N	\N	\N
647992	2216	1994-07-26	PRIJEM	VKLAD	35346	64819	\N	\N	\N
647993	2216	1994-06-23	PRIJEM	VKLAD	14697	43289	\N	\N	\N
647994	2216	1994-07-28	PRIJEM	VKLAD	28643	93462	\N	\N	\N
647995	2216	1994-05-03	PRIJEM	VKLAD	39737	59502	\N	\N	\N
647996	2216	1994-08-06	PRIJEM	VKLAD	32274	125912	\N	\N	\N
647997	2216	1994-02-01	PRIJEM	VKLAD	11879	34457	\N	\N	\N
647998	2216	1994-03-03	PRIJEM	VKLAD	46746	67898	\N	\N	\N
647999	2216	1994-08-10	PRIJEM	VKLAD	8823	110335	\N	\N	\N
648000	2216	1994-05-09	PRIJEM	VKLAD	34468	93970	\N	\N	\N
648001	2216	1994-08-24	PRIJEM	VKLAD	35361	98840	\N	\N	\N
648002	2216	1994-12-19	PRIJEM	VKLAD	21699	56496	\N	\N	\N
648003	2216	1994-08-18	PRIJEM	VKLAD	40958	106509	\N	\N	\N
648004	2216	1994-01-06	PRIJEM	VKLAD	31755	104857	\N	\N	\N
648005	2216	1995-07-17	PRIJEM	VKLAD	39181	106537	\N	\N	\N
648006	2216	1995-02-08	PRIJEM	VKLAD	23331	52806	\N	\N	\N
648007	2216	1995-02-25	PRIJEM	VKLAD	19697	67319	\N	\N	\N
648008	2216	1995-11-28	PRIJEM	VKLAD	45583	150481	\N	\N	\N
648009	2216	1995-05-03	PRIJEM	VKLAD	18363	72711	\N	\N	\N
648010	2216	1995-01-10	PRIJEM	VKLAD	19176	48547	\N	\N	\N
648011	2216	1995-07-04	PRIJEM	VKLAD	11173	101140	\N	\N	\N
648012	2216	1995-10-15	PRIJEM	VKLAD	48715	95586	\N	\N	\N
648013	2216	1995-05-05	PRIJEM	VKLAD	45187	117898	\N	\N	\N
648014	2216	1995-11-27	PRIJEM	VKLAD	23338	104898	\N	\N	\N
648015	2216	1995-10-17	PRIJEM	VKLAD	28287	123873	\N	\N	\N
648016	2216	1995-08-01	PRIJEM	VKLAD	19614	110547	\N	\N	\N
648017	2216	1995-05-12	PRIJEM	VKLAD	25195	68256	\N	\N	\N
648018	2216	1995-12-04	PRIJEM	VKLAD	40674	104366	\N	\N	\N
648019	2216	1995-08-07	PRIJEM	VKLAD	24741	94005	\N	\N	\N
648020	2216	1995-07-27	PRIJEM	VKLAD	36612	90649	\N	\N	\N
648021	2216	1995-11-22	PRIJEM	VKLAD	33377	81560	\N	\N	\N
648022	2216	1995-08-02	PRIJEM	VKLAD	26117	97264	\N	\N	\N
648023	2216	1995-06-18	PRIJEM	VKLAD	44942	89681	\N	\N	\N
648024	2216	1995-08-09	PRIJEM	VKLAD	49370	143375	\N	\N	\N
648025	2216	1995-08-22	PRIJEM	VKLAD	21680	99871	\N	\N	\N
648026	2216	1995-03-22	PRIJEM	VKLAD	42179	87890	\N	\N	\N
648027	2216	1996-09-11	PRIJEM	VKLAD	21929	89092	\N	\N	\N
648028	2216	1996-05-13	PRIJEM	VKLAD	33034	72398	\N	\N	\N
648029	2216	1996-02-22	PRIJEM	VKLAD	5456	66918	\N	\N	\N
648030	2216	1996-05-23	PRIJEM	VKLAD	27091	78238	\N	\N	\N
648031	2216	1996-07-01	PRIJEM	VKLAD	17823	59200	\N	\N	\N
648032	2216	1996-07-31	PRIJEM	VKLAD	11059	49334	\N	\N	\N
648033	2216	1996-02-03	PRIJEM	VKLAD	32555	70010	\N	\N	\N
648034	2216	1996-01-02	PRIJEM	VKLAD	44795	120553	\N	\N	\N
648035	2216	1996-09-10	PRIJEM	VKLAD	31484	67163	\N	\N	\N
648036	2216	1996-09-29	PRIJEM	VKLAD	37906	83408	\N	\N	\N
648037	2216	1996-03-25	PRIJEM	VKLAD	39201	72403	\N	\N	\N
648038	2216	1997-08-21	PRIJEM	VKLAD	15970	73637	\N	\N	\N
648039	2216	1997-07-31	PRIJEM	VKLAD	37698	69927	\N	\N	\N
648040	2216	1997-12-19	PRIJEM	VKLAD	43378	99450	\N	\N	\N
648041	2216	1997-02-20	PRIJEM	VKLAD	28103	49745	\N	\N	\N
648042	2216	1997-03-29	PRIJEM	VKLAD	35620	72404	\N	\N	\N
648043	2216	1997-12-05	PRIJEM	VKLAD	35650	66656	\N	\N	\N
648044	2216	1998-10-12	PRIJEM	VKLAD	25674	92915	\N	\N	\N
648045	2216	1998-11-22	PRIJEM	VKLAD	32748	59008	\N	\N	\N
648046	2216	1998-10-12	PRIJEM	VKLAD	11955	67241	\N	\N	\N
648047	2216	1998-03-15	PRIJEM	VKLAD	32258	91780	\N	\N	\N
648048	2216	1998-04-08	PRIJEM	VKLAD	34374	124084	\N	\N	\N
648049	2216	1998-12-23	PRIJEM	VKLAD	25483	74989	\N	\N	\N
648050	2216	1998-11-23	PRIJEM	VKLAD	31519	90527	\N	\N	\N
648051	2216	1998-04-06	PRIJEM	VKLAD	27851	89710	\N	\N	\N
648052	2216	1998-02-05	PRIJEM	VKLAD	35365	111475	\N	\N	\N
648053	2216	1998-01-19	PRIJEM	VKLAD	40244	86670	\N	\N	\N
648054	2216	1998-01-11	PRIJEM	VKLAD	36969	78910	\N	\N	\N
648055	2216	1998-11-24	PRIJEM	VKLAD	10325	100852	\N	\N	\N
648056	2216	1998-10-12	PRIJEM	VKLAD	43434	136349	\N	\N	\N
648057	2216	1998-09-25	PRIJEM	VKLAD	30118	67291	\N	\N	\N
648058	2216	1998-10-29	PRIJEM	VKLAD	11101	41766	\N	\N	\N
648059	2216	1998-12-08	PRIJEM	VKLAD	49837	125990	\N	\N	\N
648060	2216	1998-09-23	PRIJEM	VKLAD	15010	37173	\N	\N	\N
648061	2216	1998-09-03	PRIJEM	VKLAD	7961	28547	\N	\N	\N
648062	2216	1998-01-30	PRIJEM	VKLAD	24600	80070	\N	\N	\N
648143	2216	1993-09-14	VYDAJ	PREVOD NA UCET	5184	58142	SIPO	MN	6210720
648144	2216	1993-10-14	VYDAJ	PREVOD NA UCET	5184	53248	SIPO	MN	6210720
648145	2216	1993-11-14	VYDAJ	PREVOD NA UCET	5184	22699	SIPO	MN	6210720
648146	2216	1993-12-14	VYDAJ	PREVOD NA UCET	5184	21251	SIPO	MN	6210720
648147	2216	1994-01-14	VYDAJ	PREVOD NA UCET	5184	35321	SIPO	MN	6210720
648148	2216	1994-02-14	VYDAJ	PREVOD NA UCET	5184	21062	SIPO	MN	6210720
648149	2216	1994-03-14	VYDAJ	PREVOD NA UCET	5184	30377	SIPO	MN	6210720
648150	2216	1994-04-14	VYDAJ	PREVOD NA UCET	5184	19690	SIPO	MN	6210720
648151	2216	1994-05-14	VYDAJ	PREVOD NA UCET	5184	53386	SIPO	MN	6210720
648152	2216	1994-06-14	VYDAJ	PREVOD NA UCET	5184	33092	SIPO	MN	6210720
648153	2216	1994-07-14	VYDAJ	PREVOD NA UCET	5184	29473	SIPO	MN	6210720
648154	2216	1994-08-14	VYDAJ	PREVOD NA UCET	5184	65551	SIPO	MN	6210720
648155	2216	1994-09-14	VYDAJ	PREVOD NA UCET	5184	30387	SIPO	MN	6210720
648156	2216	1994-10-14	VYDAJ	PREVOD NA UCET	5184	29366	SIPO	MN	6210720
648157	2216	1994-11-14	VYDAJ	PREVOD NA UCET	5184	26426	SIPO	MN	6210720
648158	2216	1994-12-14	VYDAJ	PREVOD NA UCET	5184	34797	SIPO	MN	6210720
648159	2216	1995-01-14	VYDAJ	PREVOD NA UCET	5184	28363	SIPO	MN	6210720
648160	2216	1995-02-14	VYDAJ	PREVOD NA UCET	5184	47622	SIPO	MN	6210720
648161	2216	1995-03-14	VYDAJ	PREVOD NA UCET	5184	45711	SIPO	MN	6210720
648162	2216	1995-04-14	VYDAJ	PREVOD NA UCET	5184	54076	SIPO	MN	6210720
648163	2216	1995-05-14	VYDAJ	PREVOD NA UCET	5184	63072	SIPO	MN	6210720
648164	2216	1995-06-14	VYDAJ	PREVOD NA UCET	5184	44739	SIPO	MN	6210720
648165	2216	1995-07-14	VYDAJ	PREVOD NA UCET	5184	67356	SIPO	MN	6210720
648166	2216	1995-08-14	VYDAJ	PREVOD NA UCET	5184	78191	SIPO	MN	6210720
648167	2216	1995-09-14	VYDAJ	PREVOD NA UCET	5184	63648	SIPO	MN	6210720
648168	2216	1995-10-14	VYDAJ	PREVOD NA UCET	5184	46871	SIPO	MN	6210720
648169	2216	1995-11-14	VYDAJ	PREVOD NA UCET	5184	55383	SIPO	MN	6210720
648170	2216	1995-12-14	VYDAJ	PREVOD NA UCET	5184	99182	SIPO	MN	6210720
648171	2216	1996-01-14	VYDAJ	PREVOD NA UCET	5184	57069	SIPO	MN	6210720
648172	2216	1996-02-14	VYDAJ	PREVOD NA UCET	5184	64826	SIPO	MN	6210720
648173	2216	1996-03-14	VYDAJ	PREVOD NA UCET	5184	33202	SIPO	MN	6210720
648174	2216	1996-04-14	VYDAJ	PREVOD NA UCET	5184	47288	SIPO	MN	6210720
648175	2216	1996-05-14	VYDAJ	PREVOD NA UCET	5184	67214	SIPO	MN	6210720
648176	2216	1996-06-14	VYDAJ	PREVOD NA UCET	5184	53908	SIPO	MN	6210720
648177	2216	1996-07-14	VYDAJ	PREVOD NA UCET	5184	54016	SIPO	MN	6210720
648178	2216	1996-08-14	VYDAJ	PREVOD NA UCET	5184	29735	SIPO	MN	6210720
648179	2216	1996-09-14	VYDAJ	PREVOD NA UCET	5184	83908	SIPO	MN	6210720
648180	2216	1996-10-14	VYDAJ	PREVOD NA UCET	5184	78477	SIPO	MN	6210720
648181	2216	1996-11-14	VYDAJ	PREVOD NA UCET	5184	51910	SIPO	MN	6210720
648182	2216	1996-12-14	VYDAJ	PREVOD NA UCET	5184	31280	SIPO	MN	6210720
648183	2216	1997-01-14	VYDAJ	PREVOD NA UCET	5184	23826	SIPO	MN	6210720
648184	2216	1997-02-14	VYDAJ	PREVOD NA UCET	5184	21642	SIPO	MN	6210720
648185	2216	1997-03-14	VYDAJ	PREVOD NA UCET	5184	32884	SIPO	MN	6210720
648186	2216	1997-04-14	VYDAJ	PREVOD NA UCET	5184	67374	SIPO	MN	6210720
648187	2216	1997-05-14	VYDAJ	PREVOD NA UCET	5184	26546	SIPO	MN	6210720
648188	2216	1997-06-14	VYDAJ	PREVOD NA UCET	5184	29588	SIPO	MN	6210720
648189	2216	1997-07-14	VYDAJ	PREVOD NA UCET	5184	28029	SIPO	MN	6210720
648190	2216	1997-08-14	VYDAJ	PREVOD NA UCET	5184	57667	SIPO	MN	6210720
648191	2216	1997-09-14	VYDAJ	PREVOD NA UCET	5184	51601	SIPO	MN	6210720
648192	2216	1997-10-14	VYDAJ	PREVOD NA UCET	5184	36021	SIPO	MN	6210720
648193	2216	1997-11-14	VYDAJ	PREVOD NA UCET	5184	30383	SIPO	MN	6210720
648194	2216	1997-12-14	VYDAJ	PREVOD NA UCET	5184	56072	SIPO	MN	6210720
648195	2216	1998-01-14	VYDAJ	PREVOD NA UCET	5184	73726	SIPO	MN	6210720
648196	2216	1998-02-14	VYDAJ	PREVOD NA UCET	5184	106291	SIPO	MN	6210720
648197	2216	1998-03-14	VYDAJ	PREVOD NA UCET	5184	59522	SIPO	MN	6210720
648198	2216	1998-04-14	VYDAJ	PREVOD NA UCET	5184	101800	SIPO	MN	6210720
648199	2216	1998-05-14	VYDAJ	PREVOD NA UCET	5184	51342	SIPO	MN	6210720
648200	2216	1998-06-14	VYDAJ	PREVOD NA UCET	5184	32747	SIPO	MN	6210720
648201	2216	1998-07-14	VYDAJ	PREVOD NA UCET	5184	24788	SIPO	MN	6210720
648202	2216	1998-08-14	VYDAJ	PREVOD NA UCET	5184	20501	SIPO	MN	6210720
648203	2216	1998-09-14	VYDAJ	PREVOD NA UCET	5184	23363	SIPO	MN	6210720
648204	2216	1998-10-14	VYDAJ	PREVOD NA UCET	5184	67065	SIPO	MN	6210720
648205	2216	1998-11-14	VYDAJ	PREVOD NA UCET	5184	36760	SIPO	MN	6210720
648206	2216	1998-12-14	VYDAJ	PREVOD NA UCET	5184	90206	SIPO	MN	6210720
648208	2216	1993-10-28	VYBER	VYBER	17353	20495	\N	\N	\N
648219	2216	1994-02-14	VYBER	VYBER	2811	26246	\N	\N	\N
648220	2216	1994-10-09	VYBER	VYBER	19792	40050	\N	\N	\N
648221	2216	1994-08-24	VYBER	VYBER	21236	77604	\N	\N	\N
648222	2216	1994-12-12	VYBER	VYBER	17306	39981	\N	\N	\N
648224	2216	1994-09-10	VYBER	VYBER	11576	38943	\N	\N	\N
648225	2216	1994-09-09	VYBER	VYBER	2756	75219	\N	\N	\N
648226	2216	1994-03-30	VYBER	VYBER	5087	35139	\N	\N	\N
648228	2216	1994-03-05	VYBER	VYBER	20737	47161	\N	\N	\N
648229	2216	1994-09-11	VYBER	VYBER	3372	35571	\N	\N	\N
648230	2216	1995-05-11	VYBER	VYBER	10142	43061	\N	\N	\N
648231	2216	1995-10-29	VYBER	VYBER	14513	77160	\N	\N	\N
648232	2216	1995-08-27	VYBER	VYBER	5192	94679	\N	\N	\N
648233	2216	1995-12-24	VYBER	VYBER	23797	75385	\N	\N	\N
648234	2216	1995-05-07	VYBER	VYBER	21195	74603	\N	\N	\N
648235	2216	1996-05-24	VYBER	VYBER	2462	75776	\N	\N	\N
648236	2216	1996-09-28	VYBER	VYBER	22406	49802	\N	\N	\N
648237	2216	1996-05-18	VYBER	VYBER	16067	51147	\N	\N	\N
648239	2216	1996-02-23	VYBER	VYBER	5597	61321	\N	\N	\N
648240	2216	1996-11-25	VYBER	VYBER	16949	34961	\N	\N	\N
648241	2216	1996-04-27	VYBER	VYBER	8931	38357	\N	\N	\N
648242	2216	1996-03-13	VYBER	VYBER	14583	38386	\N	\N	\N
648243	2216	1996-06-26	VYBER	VYBER	18245	35663	\N	\N	\N
648244	2216	1996-04-01	VYBER	VYBER	5836	64672	\N	\N	\N
648245	2216	1996-02-20	VYBER	VYBER	3364	61462	\N	\N	\N
648246	2216	1997-05-05	VYBER	VYBER	17475	36871	\N	\N	\N
648248	2216	1997-05-07	VYBER	VYBER	5141	31730	\N	\N	\N
648250	2216	1998-09-30	VYBER	VYBER	12114	55300	\N	\N	\N
648251	2216	1998-12-02	VYBER	VYBER	24907	76153	\N	\N	\N
648252	2216	1998-12-29	VYBER	VYBER	15306	59683	\N	\N	\N
648265	2216	1996-01-17	VYDAJ	VYBER	11400	42369	\N	\N	\N
648267	2216	1998-01-18	VYDAJ	VYBER	25200	46426	\N	\N	\N
648268	2216	1993-12-03	VYDAJ	VYBER	1800	30935	\N	\N	\N
648269	2216	1994-12-03	VYDAJ	VYBER	3000	84587	\N	\N	\N
648270	2216	1995-12-03	VYDAJ	VYBER	5400	90192	\N	\N	\N
648271	2216	1996-12-23	VYDAJ	VYBER	2400	28880	\N	\N	\N
648272	2216	1997-12-14	VYDAJ	VYBER	5400	61256	\N	\N	\N
648273	2216	1998-12-10	VYDAJ	VYBER	3900	95390	\N	\N	\N
648281	2216	1994-01-16	VYDAJ	VYBER	3300	32021	\N	\N	\N
648282	2216	1994-01-21	VYDAJ	VYBER	2400	22421	\N	\N	\N
648284	2216	1994-01-18	VYDAJ	VYBER	7200	24821	\N	\N	\N
648285	2216	1994-01-12	VYDAJ	VYBER	4200	40505	\N	\N	\N
648286	2216	1995-01-26	VYDAJ	VYBER	4200	24163	\N	\N	\N
648287	2216	1995-01-02	VYDAJ	VYBER	8100	33171	\N	\N	\N
648288	2216	1995-01-05	VYDAJ	VYBER	8100	25071	\N	\N	\N
648289	2216	1995-01-10	VYDAJ	VYBER	6300	33547	\N	\N	\N
648291	2216	1995-01-10	VYDAJ	VYBER	8700	39847	\N	\N	\N
648292	2216	1996-01-21	VYDAJ	VYBER	3600	33669	\N	\N	\N
648293	2216	1996-01-07	VYDAJ	VYBER	3300	62253	\N	\N	\N
648294	2216	1996-01-18	VYDAJ	VYBER	5100	37269	\N	\N	\N
648295	2216	1996-01-25	VYDAJ	VYBER	3900	29769	\N	\N	\N
648296	2216	1996-01-02	VYDAJ	VYBER	3000	117553	\N	\N	\N
648297	2216	1996-01-15	VYDAJ	VYBER	3300	53769	\N	\N	\N
648298	2216	1997-01-28	VYDAJ	VYBER	4800	26726	\N	\N	\N
648299	2216	1997-01-07	VYDAJ	VYBER	1500	31710	\N	\N	\N
648300	2216	1997-01-08	VYDAJ	VYBER	2700	29010	\N	\N	\N
648301	2216	1997-01-07	VYDAJ	VYBER	2100	33210	\N	\N	\N
648304	2216	1998-01-30	VYDAJ	VYBER	4200	75870	\N	\N	\N
648305	2216	1998-01-27	VYDAJ	VYBER	2400	55470	\N	\N	\N
648306	2216	1998-01-17	VYDAJ	VYBER	2100	71626	\N	\N	\N
648307	2216	1998-01-09	VYDAJ	VYBER	6900	41941	\N	\N	\N
648308	2216	1998-01-06	VYDAJ	VYBER	4500	48841	\N	\N	\N
648309	2216	1998-01-25	VYDAJ	VYBER	2100	57870	\N	\N	\N
648313	2216	1993-08-25	VYDAJ	VYBER	10800	72329	\N	\N	\N
648315	2216	1994-03-05	VYDAJ	VYBER	6300	40861	\N	\N	\N
648316	2216	1994-03-30	VYDAJ	VYBER	11100	24039	\N	\N	\N
648317	2216	1994-06-17	VYDAJ	VYBER	4500	28592	\N	\N	\N
648319	2216	1995-11-20	VYDAJ	VYBER	7200	48183	\N	\N	\N
648320	2216	1996-03-27	VYDAJ	VYBER	2100	70303	\N	\N	\N
648321	2216	1996-07-19	VYDAJ	VYBER	9000	32116	\N	\N	\N
648322	2216	1996-07-15	VYDAJ	VYBER	12900	41116	\N	\N	\N
648323	2216	1996-09-22	VYDAJ	VYBER	11700	72208	\N	\N	\N
648325	2216	1996-08-11	VYDAJ	VYBER	14400	34919	\N	\N	\N
648327	2216	1997-02-25	VYDAJ	VYBER	12300	37945	\N	\N	\N
648329	2216	1997-12-24	VYDAJ	VYBER	13500	53150	\N	\N	\N
648330	2216	1997-09-29	VYDAJ	VYBER	4200	41001	\N	\N	\N
648331	2216	1997-10-27	VYDAJ	VYBER	1500	35421	\N	\N	\N
648332	2216	1997-08-07	VYDAJ	VYBER	7200	62851	\N	\N	\N
648333	2216	1998-03-05	VYDAJ	VYBER	4800	64706	\N	\N	\N
648334	2216	1998-10-19	VYDAJ	VYBER	12900	30665	\N	\N	\N
648336	2216	1998-05-13	VYDAJ	VYBER	4200	56526	\N	\N	\N
648345	2216	1993-08-31	VYDAJ	VYBER	15	72674	SLUZBY	\N	\N
648346	2216	1993-09-30	VYDAJ	VYBER	15	58432	SLUZBY	\N	\N
648347	2216	1993-10-31	VYDAJ	VYBER	15	26083	SLUZBY	\N	\N
648348	2216	1993-11-30	VYDAJ	VYBER	15	32735	SLUZBY	\N	\N
648349	2216	1993-12-31	VYDAJ	VYBER	15	73102	SLUZBY	\N	\N
648350	2216	1994-01-31	VYDAJ	VYBER	15	22578	SLUZBY	\N	\N
648351	2216	1994-02-28	VYDAJ	VYBER	15	21152	SLUZBY	\N	\N
648352	2216	1994-03-31	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
648353	2216	1994-04-30	VYDAJ	VYBER	15	19765	SLUZBY	\N	\N
648354	2216	1994-05-31	VYDAJ	VYBER	15	53576	SLUZBY	\N	\N
648355	2216	1994-06-30	VYDAJ	VYBER	15	43457	SLUZBY	\N	\N
648356	2216	1994-07-31	VYDAJ	VYBER	15	93638	SLUZBY	\N	\N
648357	2216	1994-08-31	VYDAJ	VYBER	15	77975	SLUZBY	\N	\N
648358	2216	1994-09-30	VYDAJ	VYBER	15	59842	SLUZBY	\N	\N
648359	2216	1994-10-31	VYDAJ	VYBER	15	29510	SLUZBY	\N	\N
648360	2216	1994-11-30	VYDAJ	VYBER	15	76391	SLUZBY	\N	\N
648361	2216	1994-12-31	VYDAJ	VYBER	15	41271	SLUZBY	\N	\N
648362	2216	1995-01-31	VYDAJ	VYBER	15	24275	SLUZBY	\N	\N
648363	2216	1995-02-28	VYDAJ	VYBER	15	67495	SLUZBY	\N	\N
648364	2216	1995-03-31	VYDAJ	VYBER	15	88160	SLUZBY	\N	\N
648365	2216	1995-04-30	VYDAJ	VYBER	15	54348	SLUZBY	\N	\N
648366	2216	1995-05-31	VYDAJ	VYBER	15	63323	SLUZBY	\N	\N
648367	2216	1995-06-30	VYDAJ	VYBER	15	89967	SLUZBY	\N	\N
648368	2216	1995-07-31	VYDAJ	VYBER	15	90933	SLUZBY	\N	\N
648369	2216	1995-08-31	VYDAJ	VYBER	15	95032	SLUZBY	\N	\N
648370	2216	1995-09-30	VYDAJ	VYBER	15	63955	SLUZBY	\N	\N
648371	2216	1995-10-31	VYDAJ	VYBER	15	77467	SLUZBY	\N	\N
648372	2216	1995-11-30	VYDAJ	VYBER	15	95592	SLUZBY	\N	\N
648373	2216	1995-12-31	VYDAJ	VYBER	15	75758	SLUZBY	\N	\N
648374	2216	1996-01-31	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
648375	2216	1996-02-29	VYDAJ	VYBER	15	61569	SLUZBY	\N	\N
648376	2216	1996-03-31	VYDAJ	VYBER	15	70508	SLUZBY	\N	\N
648377	2216	1996-04-30	VYDAJ	VYBER	15	38564	SLUZBY	\N	\N
648378	2216	1996-05-31	VYDAJ	VYBER	15	75992	SLUZBY	\N	\N
648379	2216	1996-06-30	VYDAJ	VYBER	15	41377	SLUZBY	\N	\N
648380	2216	1996-07-31	VYDAJ	VYBER	15	49319	SLUZBY	\N	\N
648381	2216	1996-08-31	VYDAJ	VYBER	15	35679	SLUZBY	\N	\N
648382	2216	1996-09-30	VYDAJ	VYBER	15	83661	SLUZBY	\N	\N
648383	2216	1996-10-31	VYDAJ	VYBER	15	57094	SLUZBY	\N	\N
648384	2216	1996-11-30	VYDAJ	VYBER	15	36464	SLUZBY	\N	\N
648385	2216	1996-12-31	VYDAJ	VYBER	15	35310	SLUZBY	\N	\N
648386	2216	1997-01-31	VYDAJ	VYBER	15	26826	SLUZBY	\N	\N
648387	2216	1997-02-28	VYDAJ	VYBER	15	38068	SLUZBY	\N	\N
648388	2216	1997-03-31	VYDAJ	VYBER	15	72558	SLUZBY	\N	\N
648389	2216	1997-04-30	VYDAJ	VYBER	15	54346	SLUZBY	\N	\N
648390	2216	1997-05-31	VYDAJ	VYBER	15	34772	SLUZBY	\N	\N
648391	2216	1997-06-30	VYDAJ	VYBER	15	33213	SLUZBY	\N	\N
648392	2216	1997-07-31	VYDAJ	VYBER	15	70051	SLUZBY	\N	\N
648393	2216	1997-08-31	VYDAJ	VYBER	15	56785	SLUZBY	\N	\N
648394	2216	1997-09-30	VYDAJ	VYBER	15	41205	SLUZBY	\N	\N
648395	2216	1997-10-31	VYDAJ	VYBER	15	35567	SLUZBY	\N	\N
648396	2216	1997-11-30	VYDAJ	VYBER	15	31006	SLUZBY	\N	\N
648397	2216	1997-12-31	VYDAJ	VYBER	15	53341	SLUZBY	\N	\N
648398	2216	1998-01-31	VYDAJ	VYBER	15	76110	SLUZBY	\N	\N
648399	2216	1998-02-28	VYDAJ	VYBER	15	69506	SLUZBY	\N	\N
648400	2216	1998-03-31	VYDAJ	VYBER	15	61859	SLUZBY	\N	\N
648401	2216	1998-04-30	VYDAJ	VYBER	15	60726	SLUZBY	\N	\N
648402	2216	1998-05-31	VYDAJ	VYBER	15	37931	SLUZBY	\N	\N
648403	2216	1998-06-30	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
648404	2216	1998-07-31	VYDAJ	VYBER	15	25685	SLUZBY	\N	\N
648405	2216	1998-08-31	VYDAJ	VYBER	15	20586	SLUZBY	\N	\N
648406	2216	1998-09-30	VYDAJ	VYBER	15	55286	SLUZBY	\N	\N
648407	2216	1998-10-31	VYDAJ	VYBER	15	41944	SLUZBY	\N	\N
648408	2216	1998-11-30	VYDAJ	VYBER	15	101060	SLUZBY	\N	\N
648409	2216	1993-05-17	PRIJEM	VKLAD	8800	17644	\N	\N	\N
648410	2216	1993-06-16	VYDAJ	VYBER	33400	53958	\N	\N	\N
648411	2216	1993-07-16	VYDAJ	VYBER	32400	60885	\N	\N	\N
648412	2216	1993-08-15	VYDAJ	VYBER	19800	41473	\N	\N	\N
648413	2216	1993-09-04	VYDAJ	VYBER	26000	99226	\N	\N	\N
648414	2216	1993-09-14	VYDAJ	VYBER	35900	63326	\N	\N	\N
648415	2216	1993-10-14	VYDAJ	VYBER	15400	37848	\N	\N	\N
648416	2216	1993-11-13	PRIJEM	VKLAD	1800	27883	\N	\N	\N
648417	2216	1993-12-13	VYDAJ	VYBER	4500	26435	\N	\N	\N
648418	2216	1993-12-30	VYDAJ	VYBER	43700	72939	\N	\N	\N
648419	2216	1994-01-07	VYDAJ	VYBER	55500	59905	\N	\N	\N
648420	2216	1994-01-12	VYDAJ	VYBER	15200	44705	\N	\N	\N
648421	2216	1994-02-11	VYDAJ	VYBER	5400	29057	\N	\N	\N
648422	2216	1994-03-13	VYDAJ	VYBER	5300	35561	\N	\N	\N
648423	2216	1994-04-12	PRIJEM	VKLAD	700	24874	\N	\N	\N
648424	2216	1994-05-12	VYDAJ	VYBER	35400	58570	\N	\N	\N
648425	2216	1994-06-11	VYDAJ	VYBER	15300	38276	\N	\N	\N
648426	2216	1994-07-11	VYDAJ	VYBER	8800	34657	\N	\N	\N
648427	2216	1994-08-06	VYDAJ	VYBER	24400	101512	\N	\N	\N
648428	2216	1994-08-10	VYDAJ	VYBER	39600	70735	\N	\N	\N
648429	2216	1994-08-21	VYDAJ	VYBER	56100	63479	\N	\N	\N
648430	2216	1994-09-09	VYDAJ	VYBER	24700	50519	\N	\N	\N
648431	2216	1994-10-09	VYDAJ	VYBER	5500	34550	\N	\N	\N
648432	2216	1994-11-08	PRIJEM	VKLAD	2100	31610	\N	\N	\N
648433	2216	1994-12-02	VYDAJ	VYBER	26300	87587	\N	\N	\N
648434	2216	1994-12-08	VYDAJ	VYBER	27300	57287	\N	\N	\N
648435	2216	1994-12-31	VYDAJ	VYBER	64400	41285	\N	\N	\N
648436	2216	1995-01-07	PRIJEM	VKLAD	4300	29371	\N	\N	\N
648437	2216	1995-02-06	PRIJEM	VKLAD	5200	29475	\N	\N	\N
648438	2216	1995-03-08	VYDAJ	VYBER	16600	50895	\N	\N	\N
648439	2216	1995-04-07	VYDAJ	VYBER	28900	59260	\N	\N	\N
648440	2216	1995-05-05	VYDAJ	VYBER	22100	95798	\N	\N	\N
648441	2216	1995-05-07	VYDAJ	VYBER	21400	53203	\N	\N	\N
648442	2216	1995-06-06	VYDAJ	VYBER	13400	49923	\N	\N	\N
648443	2216	1995-07-06	VYDAJ	VYBER	28600	72540	\N	\N	\N
648444	2216	1995-07-17	VYDAJ	VYBER	52500	54037	\N	\N	\N
648445	2216	1995-08-01	VYDAJ	VYBER	39400	71147	\N	\N	\N
648446	2216	1995-08-05	VYDAJ	VYBER	28000	69264	\N	\N	\N
648447	2216	1995-08-09	VYDAJ	VYBER	60000	83375	\N	\N	\N
648448	2216	1995-09-04	VYDAJ	VYBER	26200	68832	\N	\N	\N
648449	2216	1995-10-04	VYDAJ	VYBER	11900	52055	\N	\N	\N
648450	2216	1995-10-17	VYDAJ	VYBER	32200	91673	\N	\N	\N
648451	2216	1995-11-03	VYDAJ	VYBER	16900	60567	\N	\N	\N
648452	2216	1995-11-28	VYDAJ	VYBER	55200	95281	\N	\N	\N
648453	2216	1995-12-03	VYDAJ	VYBER	26500	63692	\N	\N	\N
648454	2216	1996-01-02	VYDAJ	VYBER	26100	91453	\N	\N	\N
648455	2216	1996-01-02	VYDAJ	VYBER	25900	65553	\N	\N	\N
648456	2216	1996-02-01	PRIJEM	VKLAD	7500	37455	\N	\N	\N
648457	2216	1996-03-02	VYDAJ	VYBER	8600	52969	\N	\N	\N
648458	2216	1996-04-01	VYDAJ	VYBER	12200	52472	\N	\N	\N
648459	2216	1996-05-01	PRIJEM	VKLAD	800	39364	\N	\N	\N
648460	2216	1996-05-31	VYDAJ	VYBER	16900	59092	\N	\N	\N
648461	2216	1996-06-30	PRIJEM	VKLAD	5500	41392	\N	\N	\N
648462	2216	1996-07-30	PRIJEM	VKLAD	6000	38116	\N	\N	\N
648463	2216	1996-08-29	PRIJEM	VKLAD	5800	35535	\N	\N	\N
648464	2216	1996-09-28	VYDAJ	VYBER	4300	45502	\N	\N	\N
648465	2216	1996-10-28	VYDAJ	VYBER	21700	56777	\N	\N	\N
648466	2216	1996-11-27	PRIJEM	VKLAD	1300	36261	\N	\N	\N
648467	2216	1996-12-27	PRIJEM	VKLAD	6300	35180	\N	\N	\N
648468	2216	1997-01-26	PRIJEM	VKLAD	7700	31526	\N	\N	\N
648469	2216	1997-02-25	PRIJEM	VKLAD	500	50245	\N	\N	\N
648470	2216	1997-03-27	PRIJEM	VKLAD	3900	36784	\N	\N	\N
648471	2216	1997-04-26	VYDAJ	VYBER	13300	54074	\N	\N	\N
648472	2216	1997-05-26	PRIJEM	VKLAD	8100	34646	\N	\N	\N
648473	2216	1997-06-25	PRIJEM	VKLAD	3500	33088	\N	\N	\N
648474	2216	1997-07-25	PRIJEM	VKLAD	4200	32229	\N	\N	\N
648475	2216	1997-08-24	VYDAJ	VYBER	17100	56537	\N	\N	\N
648476	2216	1997-09-23	VYDAJ	VYBER	6400	45201	\N	\N	\N
648477	2216	1997-10-23	PRIJEM	VKLAD	900	36921	\N	\N	\N
648478	2216	1997-11-22	PRIJEM	VKLAD	500	30883	\N	\N	\N
648479	2216	1997-12-22	VYDAJ	VYBER	32800	66650	\N	\N	\N
648480	2216	1998-01-21	VYDAJ	VYBER	26700	59970	\N	\N	\N
648481	2216	1998-02-20	VYDAJ	VYBER	37100	69191	\N	\N	\N
648482	2216	1998-03-22	VYDAJ	VYBER	30200	61580	\N	\N	\N
648483	2216	1998-04-08	VYDAJ	VYBER	17100	106984	\N	\N	\N
648484	2216	1998-04-21	VYDAJ	VYBER	41400	60400	\N	\N	\N
648485	2216	1998-05-21	VYDAJ	VYBER	13600	37742	\N	\N	\N
648486	2216	1998-06-20	VYDAJ	VYBER	2900	29847	\N	\N	\N
648487	2216	1998-07-20	PRIJEM	VKLAD	800	25588	\N	\N	\N
648488	2216	1998-09-18	VYDAJ	VYBER	1200	22163	\N	\N	\N
648489	2216	1998-10-12	VYDAJ	VYBER	64100	72249	\N	\N	\N
648490	2216	1998-10-18	VYDAJ	VYBER	23500	43565	\N	\N	\N
648491	2216	1998-11-17	VYDAJ	VYBER	10500	26260	\N	\N	\N
648492	2216	1998-12-08	VYDAJ	VYBER	26700	99290	\N	\N	\N
648493	2216	1998-12-17	VYDAJ	VYBER	40700	49506	\N	\N	\N
648563	2217	1996-01-27	PRIJEM	VKLAD	900	900	\N	\N	\N
648642	2217	1996-02-26	PRIJEM	VKLAD	11900	12800	\N	\N	\N
648643	2217	1996-03-27	PRIJEM	VKLAD	6900	19700	\N	\N	\N
648644	2217	1996-04-26	PRIJEM	VKLAD	3100	22800	\N	\N	\N
648645	2217	1996-05-26	VYDAJ	VYBER	300	22500	\N	\N	\N
648646	2217	1996-06-25	VYDAJ	VYBER	400	22100	\N	\N	\N
648647	2217	1996-07-25	VYDAJ	VYBER	600	21500	\N	\N	\N
648648	2217	1996-08-24	PRIJEM	VKLAD	600	22100	\N	\N	\N
648649	2217	1996-09-23	VYDAJ	VYBER	2000	20100	\N	\N	\N
648650	2217	1996-10-23	VYDAJ	VYBER	3100	17000	\N	\N	\N
648651	2217	1996-11-22	PRIJEM	VKLAD	2800	19800	\N	\N	\N
648652	2217	1996-12-22	VYDAJ	VYBER	4000	15800	\N	\N	\N
648653	2217	1997-01-21	PRIJEM	VKLAD	400	16200	\N	\N	\N
648654	2217	1997-02-20	PRIJEM	VKLAD	2300	18500	\N	\N	\N
648655	2217	1997-03-22	VYDAJ	VYBER	300	18200	\N	\N	\N
648656	2217	1997-04-21	VYDAJ	VYBER	1000	17200	\N	\N	\N
648657	2217	1997-05-21	PRIJEM	VKLAD	4600	21800	\N	\N	\N
648658	2217	1997-06-20	PRIJEM	VKLAD	3900	25700	\N	\N	\N
648659	2217	1997-07-20	VYDAJ	VYBER	1700	24000	\N	\N	\N
648660	2217	1997-08-19	VYDAJ	VYBER	4400	19600	\N	\N	\N
648661	2217	1997-09-18	PRIJEM	VKLAD	500	20100	\N	\N	\N
648662	2217	1997-10-18	VYDAJ	VYBER	4600	15500	\N	\N	\N
648663	2217	1997-11-17	PRIJEM	VKLAD	2000	17500	\N	\N	\N
648664	2217	1997-12-17	PRIJEM	VKLAD	2000	19500	\N	\N	\N
648665	2217	1998-01-16	VYDAJ	VYBER	500	19000	\N	\N	\N
648666	2217	1998-02-15	VYDAJ	VYBER	1400	17600	\N	\N	\N
648667	2217	1998-03-17	PRIJEM	VKLAD	800	18400	\N	\N	\N
648668	2217	1998-04-16	VYDAJ	VYBER	2400	16000	\N	\N	\N
648669	2217	1998-05-16	PRIJEM	VKLAD	4300	20300	\N	\N	\N
648670	2217	1998-06-15	PRIJEM	VKLAD	5200	25500	\N	\N	\N
648671	2217	1998-07-15	PRIJEM	VKLAD	4900	30400	\N	\N	\N
648672	2217	1998-08-14	VYDAJ	VYBER	2200	28200	\N	\N	\N
648673	2217	1998-09-13	PRIJEM	VKLAD	300	28500	\N	\N	\N
648674	2217	1998-10-13	VYDAJ	VYBER	4800	23700	\N	\N	\N
648675	2217	1998-11-12	PRIJEM	VKLAD	2100	25800	\N	\N	\N
648676	2217	1998-12-12	VYDAJ	VYBER	2100	23700	\N	\N	\N
648677	2218	1994-11-21	PRIJEM	VKLAD	600	600	\N	\N	\N
648689	2218	1994-12-05	PRIJEM	PREVOD Z UCTU	61557	62157	\N	AB	41058838
648690	2218	1995-01-05	PRIJEM	PREVOD Z UCTU	41038	86562	\N	AB	41058838
648691	2218	1995-02-05	PRIJEM	PREVOD Z UCTU	41038	94202	\N	AB	41058838
648692	2218	1995-03-05	PRIJEM	PREVOD Z UCTU	41038	102573	\N	AB	41058838
648693	2218	1995-04-05	PRIJEM	PREVOD Z UCTU	41038	103971	\N	AB	41058838
648694	2218	1995-05-05	PRIJEM	PREVOD Z UCTU	41038	109264	\N	AB	41058838
648695	2218	1995-06-05	PRIJEM	PREVOD Z UCTU	61557	99227	\N	AB	41058838
648696	2218	1995-07-05	PRIJEM	PREVOD Z UCTU	41038	92635	\N	AB	41058838
648697	2218	1995-08-05	PRIJEM	PREVOD Z UCTU	41038	91069	\N	AB	41058838
648698	2218	1995-09-05	PRIJEM	PREVOD Z UCTU	41038	102498	\N	AB	41058838
648699	2218	1995-10-05	PRIJEM	PREVOD Z UCTU	41038	105942	\N	AB	41058838
648700	2218	1995-11-05	PRIJEM	PREVOD Z UCTU	41038	110448	\N	AB	41058838
648701	2218	1995-12-05	PRIJEM	PREVOD Z UCTU	61557	100496	\N	AB	41058838
648702	2218	1996-01-05	PRIJEM	PREVOD Z UCTU	41038	86616	\N	AB	41058838
648703	2218	1996-02-05	PRIJEM	PREVOD Z UCTU	41038	74417	\N	AB	41058838
648704	2218	1996-03-05	PRIJEM	PREVOD Z UCTU	41038	93199	\N	AB	41058838
648705	2218	1996-04-05	PRIJEM	PREVOD Z UCTU	41038	100537	\N	AB	41058838
648706	2218	1996-05-05	PRIJEM	PREVOD Z UCTU	41038	92818	\N	AB	41058838
648707	2218	1996-06-05	PRIJEM	PREVOD Z UCTU	61557	122674	\N	AB	41058838
648708	2218	1996-07-05	PRIJEM	PREVOD Z UCTU	41038	90624	\N	AB	41058838
648709	2218	1996-08-05	PRIJEM	PREVOD Z UCTU	41038	90947	\N	AB	41058838
648710	2218	1996-09-05	PRIJEM	PREVOD Z UCTU	41038	88973	\N	AB	41058838
648711	2218	1996-10-05	PRIJEM	PREVOD Z UCTU	41038	100193	\N	AB	41058838
648712	2218	1996-11-05	PRIJEM	PREVOD Z UCTU	41038	104741	\N	AB	41058838
648713	2218	1996-12-05	PRIJEM	PREVOD Z UCTU	61557	131532	\N	AB	41058838
648714	2218	1997-01-05	PRIJEM	PREVOD Z UCTU	41038	76749	\N	AB	41058838
648715	2218	1997-02-05	PRIJEM	PREVOD Z UCTU	41038	67623	\N	AB	41058838
648716	2218	1997-03-05	PRIJEM	PREVOD Z UCTU	41038	93605	\N	AB	41058838
648717	2218	1997-04-05	PRIJEM	PREVOD Z UCTU	41038	64620	\N	AB	41058838
648718	2218	1997-05-05	PRIJEM	PREVOD Z UCTU	41038	92528	\N	AB	41058838
648719	2218	1997-06-05	PRIJEM	PREVOD Z UCTU	61557	119080	\N	AB	41058838
648720	2218	1997-07-05	PRIJEM	PREVOD Z UCTU	41038	95223	\N	AB	41058838
648721	2218	1997-08-05	PRIJEM	PREVOD Z UCTU	41038	68316	\N	AB	41058838
648722	2218	1997-09-05	PRIJEM	PREVOD Z UCTU	41038	86006	\N	AB	41058838
648723	2218	1997-10-05	PRIJEM	PREVOD Z UCTU	41038	101349	\N	AB	41058838
648724	2218	1997-11-05	PRIJEM	PREVOD Z UCTU	41038	114435	\N	AB	41058838
648725	2218	1997-12-05	PRIJEM	PREVOD Z UCTU	61557	106624	\N	AB	41058838
648726	2218	1998-01-05	PRIJEM	PREVOD Z UCTU	41038	94657	\N	AB	41058838
648727	2218	1998-02-05	PRIJEM	PREVOD Z UCTU	41038	82233	\N	AB	41058838
648728	2218	1998-03-05	PRIJEM	PREVOD Z UCTU	41038	120523	\N	AB	41058838
648729	2218	1998-04-05	PRIJEM	PREVOD Z UCTU	41038	104836	\N	AB	41058838
648730	2218	1998-05-05	PRIJEM	PREVOD Z UCTU	41038	116773	\N	AB	41058838
648731	2218	1998-06-05	PRIJEM	PREVOD Z UCTU	61557	127102	\N	AB	41058838
648732	2218	1998-07-05	PRIJEM	PREVOD Z UCTU	41038	132229	\N	AB	41058838
648733	2218	1998-08-05	PRIJEM	PREVOD Z UCTU	41038	132798	\N	AB	41058838
648734	2218	1998-09-05	PRIJEM	PREVOD Z UCTU	41038	118292	\N	AB	41058838
648735	2218	1998-10-05	PRIJEM	PREVOD Z UCTU	41038	115648	\N	AB	41058838
648736	2218	1998-11-05	PRIJEM	PREVOD Z UCTU	41038	127238	\N	AB	41058838
648737	2218	1998-12-05	PRIJEM	PREVOD Z UCTU	61557	126655	\N	AB	41058838
648753	2218	1995-03-29	VYDAJ	VYBER	2900	62673	\N	\N	0
648754	2218	1995-05-17	VYDAJ	VYBER	3600	59964	\N	\N	0
648755	2218	1995-06-14	VYDAJ	VYBER	3000	78560	\N	\N	0
648756	2218	1995-07-06	VYDAJ	VYBER	3700	88935	\N	\N	0
648757	2218	1995-07-28	VYDAJ	VYBER	2800	56535	\N	\N	0
648758	2218	1995-09-06	VYDAJ	VYBER	2400	100098	\N	\N	0
648759	2218	1995-10-23	VYDAJ	VYBER	3700	69142	\N	\N	0
648760	2218	1995-11-14	VYDAJ	VYBER	2700	54248	\N	\N	0
648761	2218	1995-12-12	VYDAJ	PREVOD NA UCET	3034	97462	UVER	YZ	85124015
648762	2218	1996-01-12	VYDAJ	PREVOD NA UCET	3034	76982	UVER	YZ	85124015
648763	2218	1996-02-12	VYDAJ	PREVOD NA UCET	3034	71383	UVER	YZ	85124015
648764	2218	1996-03-12	VYDAJ	PREVOD NA UCET	3034	90165	UVER	YZ	85124015
648765	2218	1996-04-12	VYDAJ	PREVOD NA UCET	3034	74045	UVER	YZ	85124015
648766	2218	1996-05-12	VYDAJ	PREVOD NA UCET	3034	89784	UVER	YZ	85124015
648767	2218	1996-06-12	VYDAJ	PREVOD NA UCET	3034	83240	UVER	YZ	85124015
648768	2218	1996-07-12	VYDAJ	PREVOD NA UCET	3034	87590	UVER	YZ	85124015
648769	2218	1996-08-12	VYDAJ	PREVOD NA UCET	3034	60313	UVER	YZ	85124015
648770	2218	1996-09-12	VYDAJ	PREVOD NA UCET	3034	58939	UVER	YZ	85124015
648771	2218	1996-10-12	VYDAJ	PREVOD NA UCET	3034	63459	UVER	YZ	85124015
648772	2218	1996-11-12	VYDAJ	PREVOD NA UCET	3034	69707	UVER	YZ	85124015
648773	2218	1996-12-12	VYDAJ	PREVOD NA UCET	3034	54998	UVER	YZ	85124015
648774	2218	1997-01-12	VYDAJ	PREVOD NA UCET	3034	45615	UVER	YZ	85124015
648775	2218	1997-02-12	VYDAJ	PREVOD NA UCET	3034	52389	UVER	YZ	85124015
648776	2218	1997-03-12	VYDAJ	PREVOD NA UCET	3034	64871	UVER	YZ	85124015
648777	2218	1997-04-12	VYDAJ	PREVOD NA UCET	3034	51286	UVER	YZ	85124015
648778	2218	1997-05-12	VYDAJ	PREVOD NA UCET	3034	62994	UVER	YZ	85124015
648779	2218	1997-06-12	VYDAJ	PREVOD NA UCET	3034	53946	UVER	YZ	85124015
648780	2218	1997-07-12	VYDAJ	PREVOD NA UCET	3034	67789	UVER	YZ	85124015
648781	2218	1997-08-12	VYDAJ	PREVOD NA UCET	3034	48981	UVER	YZ	85124015
648782	2218	1997-09-12	VYDAJ	PREVOD NA UCET	3034	63972	UVER	YZ	85124015
648783	2218	1997-10-12	VYDAJ	PREVOD NA UCET	3034	73115	UVER	YZ	85124015
648784	2218	1997-11-12	VYDAJ	PREVOD NA UCET	3034	49901	UVER	YZ	85124015
648785	2218	1997-12-12	VYDAJ	PREVOD NA UCET	3034	58078	UVER	YZ	85124015
648786	2218	1998-01-12	VYDAJ	PREVOD NA UCET	3034	91623	UVER	YZ	85124015
648787	2218	1998-02-12	VYDAJ	PREVOD NA UCET	3034	79199	UVER	YZ	85124015
648788	2218	1998-03-12	VYDAJ	PREVOD NA UCET	3034	63489	UVER	YZ	85124015
648789	2218	1998-04-12	VYDAJ	PREVOD NA UCET	3034	101802	UVER	YZ	85124015
648790	2218	1998-05-12	VYDAJ	PREVOD NA UCET	3034	62539	UVER	YZ	85124015
648791	2218	1998-06-12	VYDAJ	PREVOD NA UCET	3034	106868	UVER	YZ	85124015
648792	2218	1998-07-12	VYDAJ	PREVOD NA UCET	3034	112195	UVER	YZ	85124015
648793	2218	1998-08-12	VYDAJ	PREVOD NA UCET	3034	91064	UVER	YZ	85124015
648794	2218	1998-09-12	VYDAJ	PREVOD NA UCET	3034	78658	UVER	YZ	85124015
648795	2218	1998-10-12	VYDAJ	PREVOD NA UCET	3034	112614	UVER	YZ	85124015
648796	2218	1998-11-12	VYDAJ	PREVOD NA UCET	3034	79504	UVER	YZ	85124015
648797	2218	1998-12-12	VYDAJ	PREVOD NA UCET	3034	87321	UVER	YZ	85124015
648806	2218	1995-06-07	VYBER	VYBER	17667	81560	\N	\N	\N
648808	2218	1995-08-02	VYBER	VYBER	6781	50031	\N	\N	\N
648810	2218	1996-04-07	VYBER	VYBER	12035	77079	\N	\N	\N
648811	2218	1996-04-06	VYBER	VYBER	11423	89114	\N	\N	\N
648812	2218	1996-01-30	VYBER	VYBER	8925	33157	\N	\N	\N
648813	2218	1996-08-21	VYBER	VYBER	2081	58232	\N	\N	\N
648815	2218	1997-08-07	VYBER	VYBER	2101	66215	\N	\N	\N
648816	2218	1997-08-01	VYBER	VYBER	4737	27278	\N	\N	\N
648817	2218	1997-03-24	VYBER	VYBER	9042	55829	\N	\N	\N
648818	2218	1997-07-24	VYBER	VYBER	22482	31807	\N	\N	\N
648819	2218	1997-01-13	VYBER	VYBER	19169	26446	\N	\N	\N
648820	2218	1997-12-08	VYBER	VYBER	9412	67412	\N	\N	\N
648821	2218	1997-04-01	VYBER	VYBER	21672	23582	\N	\N	\N
648822	2218	1998-10-26	VYBER	VYBER	9740	102874	\N	\N	\N
648823	2218	1998-08-30	VYBER	VYBER	4721	86343	\N	\N	\N
648824	2218	1998-01-24	VYBER	VYBER	16697	30226	\N	\N	\N
648825	2218	1998-04-25	VYBER	VYBER	6294	85308	\N	\N	\N
648834	2218	1997-01-04	VYDAJ	VYBER	4800	35711	\N	\N	\N
648835	2218	1998-01-23	VYDAJ	VYBER	26700	54123	\N	\N	\N
648837	2218	1995-12-18	VYDAJ	VYBER	4800	61862	\N	\N	\N
648838	2218	1996-12-26	VYDAJ	VYBER	4500	40298	\N	\N	\N
648839	2218	1997-12-09	VYDAJ	VYBER	6300	61112	\N	\N	\N
648840	2218	1998-12-16	VYDAJ	VYBER	6000	81321	\N	\N	\N
648853	2218	1996-01-18	VYDAJ	VYBER	2700	42082	\N	\N	\N
648854	2218	1996-01-16	VYDAJ	VYBER	7500	48682	\N	\N	\N
648855	2218	1996-01-10	VYDAJ	VYBER	3000	83616	\N	\N	\N
648856	2218	1996-01-12	VYDAJ	VYBER	3600	80016	\N	\N	\N
648857	2218	1996-01-04	VYDAJ	VYBER	2700	45578	\N	\N	\N
648858	2218	1996-01-04	VYDAJ	VYBER	1500	48278	\N	\N	\N
648859	2218	1997-01-08	VYDAJ	VYBER	5700	62349	\N	\N	\N
648864	2218	1997-01-10	VYDAJ	VYBER	2100	48649	\N	\N	\N
648865	2218	1998-01-20	VYDAJ	VYBER KARTOU	2700	80823	\N	\N	0
648867	2218	1998-01-29	VYDAJ	VYBER KARTOU	2400	27826	\N	\N	0
648869	2218	1998-01-17	VYDAJ	VYBER KARTOU	3000	83523	\N	\N	0
648870	2218	1998-01-17	VYDAJ	VYBER	5100	86523	\N	\N	\N
648874	2218	1995-08-18	VYDAJ	VYBER	1500	89569	\N	\N	\N
648875	2218	1995-11-17	VYDAJ	VYBER	3000	38748	\N	\N	\N
648876	2218	1995-05-18	VYDAJ	VYBER	12300	47664	\N	\N	\N
648877	2218	1995-12-24	VYDAJ	VYBER	12300	49562	\N	\N	\N
648878	2218	1995-09-17	VYDAJ	VYBER	3600	96498	\N	\N	\N
648879	2218	1996-06-23	VYDAJ	VYBER	6000	49340	\N	\N	\N
648880	2218	1996-08-22	VYDAJ	VYBER	10500	47732	\N	\N	\N
648881	2218	1996-01-16	VYDAJ	VYBER	3900	44782	\N	\N	\N
648882	2218	1996-07-27	VYDAJ	VYBER	11400	49690	\N	\N	\N
648883	2218	1996-12-14	VYDAJ	VYBER	10200	44798	\N	\N	\N
648884	2218	1997-07-19	VYDAJ	VYBER	13500	54289	\N	\N	\N
648885	2218	1997-08-16	VYDAJ	VYBER	4200	44781	\N	\N	\N
648886	2218	1997-01-05	VYDAJ	VYBER	8700	68049	\N	\N	\N
648887	2218	1997-05-23	VYDAJ	VYBER	5700	57294	\N	\N	\N
648888	2218	1997-09-30	VYDAJ	VYBER KARTOU	3900	60311	\N	\N	0
648889	2218	1997-03-28	VYDAJ	VYBER	10800	45029	\N	\N	\N
648890	2218	1997-11-29	VYDAJ	VYBER	5100	44801	\N	\N	\N
648891	2218	1998-01-23	VYDAJ	VYBER	7200	46923	\N	\N	\N
648892	2218	1998-04-19	VYDAJ	VYBER	10200	91602	\N	\N	\N
648893	2218	1998-11-16	VYDAJ	VYBER	9900	69604	\N	\N	\N
648894	2218	1998-11-28	VYDAJ	VYBER	10800	58804	\N	\N	\N
648911	2218	1995-04-30	VYDAJ	VYBER	15	68226	SLUZBY	\N	\N
648912	2218	1995-05-31	VYDAJ	VYBER	15	37670	SLUZBY	\N	\N
648913	2218	1995-06-30	VYDAJ	VYBER	15	51597	SLUZBY	\N	\N
648914	2218	1995-07-31	VYDAJ	VYBER	15	56812	SLUZBY	\N	\N
648915	2218	1995-08-31	VYDAJ	VYBER	15	61460	SLUZBY	\N	\N
648916	2218	1995-09-30	VYDAJ	VYBER	15	64904	SLUZBY	\N	\N
648917	2218	1995-10-31	VYDAJ	VYBER	15	69410	SLUZBY	\N	\N
648918	2218	1995-11-30	VYDAJ	VYBER	15	38939	SLUZBY	\N	\N
648919	2218	1995-12-31	VYDAJ	VYBER	15	49778	SLUZBY	\N	\N
648920	2218	1996-01-31	VYDAJ	VYBER	15	33379	SLUZBY	\N	\N
648921	2218	1996-02-29	VYDAJ	VYBER	15	52161	SLUZBY	\N	\N
648922	2218	1996-03-31	VYDAJ	VYBER	15	59499	SLUZBY	\N	\N
648923	2218	1996-04-30	VYDAJ	VYBER	15	51780	SLUZBY	\N	\N
648924	2218	1996-05-31	VYDAJ	VYBER	15	61117	SLUZBY	\N	\N
648925	2218	1996-06-30	VYDAJ	VYBER	15	49586	SLUZBY	\N	\N
648926	2218	1996-07-31	VYDAJ	VYBER	15	49909	SLUZBY	\N	\N
648927	2218	1996-08-31	VYDAJ	VYBER	15	47935	SLUZBY	\N	\N
648928	2218	1996-09-30	VYDAJ	VYBER	15	59155	SLUZBY	\N	\N
648929	2218	1996-10-31	VYDAJ	VYBER	15	63703	SLUZBY	\N	\N
648930	2218	1996-11-30	VYDAJ	VYBER	15	69975	SLUZBY	\N	\N
648931	2218	1996-12-31	VYDAJ	VYBER	15	40511	SLUZBY	\N	\N
648932	2218	1997-01-31	VYDAJ	VYBER	15	26585	SLUZBY	\N	\N
648933	2218	1997-02-28	VYDAJ	VYBER	15	52567	SLUZBY	\N	\N
648934	2218	1997-03-31	VYDAJ	VYBER	15	45254	SLUZBY	\N	\N
648935	2218	1997-04-30	VYDAJ	VYBER	15	51490	SLUZBY	\N	\N
648936	2218	1997-05-31	VYDAJ	VYBER	15	57523	SLUZBY	\N	\N
648937	2218	1997-06-30	VYDAJ	VYBER	15	54185	SLUZBY	\N	\N
648938	2218	1997-07-31	VYDAJ	VYBER	15	32015	SLUZBY	\N	\N
648939	2218	1997-08-31	VYDAJ	VYBER	15	44968	SLUZBY	\N	\N
648940	2218	1997-09-30	VYDAJ	VYBER	15	64211	SLUZBY	\N	\N
648941	2218	1997-10-31	VYDAJ	VYBER	15	73397	SLUZBY	\N	\N
648942	2218	1997-11-30	VYDAJ	VYBER	15	45067	SLUZBY	\N	\N
648943	2218	1997-12-31	VYDAJ	VYBER	15	58319	SLUZBY	\N	\N
648944	2218	1998-01-31	VYDAJ	VYBER	15	28095	SLUZBY	\N	\N
648945	2218	1998-02-28	VYDAJ	VYBER	15	79485	SLUZBY	\N	\N
648946	2218	1998-03-31	VYDAJ	VYBER	15	63798	SLUZBY	\N	\N
648947	2218	1998-04-30	VYDAJ	VYBER	15	85635	SLUZBY	\N	\N
648948	2218	1998-05-31	VYDAJ	VYBER	15	62845	SLUZBY	\N	\N
648949	2218	1998-06-30	VYDAJ	VYBER	15	107291	SLUZBY	\N	\N
648950	2218	1998-07-31	VYDAJ	VYBER	15	112660	SLUZBY	\N	\N
648951	2218	1998-08-31	VYDAJ	VYBER	15	86754	SLUZBY	\N	\N
648952	2218	1998-09-30	VYDAJ	VYBER	15	79010	SLUZBY	\N	\N
648953	2218	1998-10-31	VYDAJ	VYBER	15	86200	SLUZBY	\N	\N
648954	2218	1998-11-30	VYDAJ	VYBER	15	65098	SLUZBY	\N	\N
648955	2218	1994-12-21	VYDAJ	VYBER	16700	45457	\N	\N	\N
648956	2218	1995-01-20	VYDAJ	VYBER	33600	52962	\N	\N	\N
648957	2218	1995-02-19	VYDAJ	VYBER	32900	61302	\N	\N	\N
648958	2218	1995-03-21	VYDAJ	VYBER	37000	65573	\N	\N	\N
648959	2218	1995-04-20	VYDAJ	VYBER	36000	67971	\N	\N	\N
648960	2218	1995-05-05	VYDAJ	VYBER	45700	63564	\N	\N	\N
648961	2218	1995-05-20	VYDAJ	VYBER	10200	37464	\N	\N	\N
648962	2218	1995-06-19	VYDAJ	VYBER	27200	51360	\N	\N	\N
648963	2218	1995-07-19	VYDAJ	VYBER	29600	59335	\N	\N	\N
648964	2218	1995-08-18	VYDAJ	VYBER	28400	61169	\N	\N	\N
648965	2218	1995-09-17	VYDAJ	VYBER	31900	64598	\N	\N	\N
648966	2218	1995-10-17	VYDAJ	VYBER	33100	72842	\N	\N	\N
648967	2218	1995-11-05	VYDAJ	VYBER	53500	56948	\N	\N	\N
648968	2218	1995-11-16	VYDAJ	VYBER	12500	41748	\N	\N	\N
648969	2218	1995-12-16	VYDAJ	VYBER	30800	66662	\N	\N	\N
648970	2218	1996-01-15	VYDAJ	VYBER	20800	56182	\N	\N	\N
648971	2218	1996-02-14	VYDAJ	VYBER	19400	51983	\N	\N	\N
648972	2218	1996-03-15	VYDAJ	VYBER	30900	59265	\N	\N	\N
648973	2218	1996-04-14	VYDAJ	VYBER	22500	51545	\N	\N	\N
648974	2218	1996-05-14	VYDAJ	VYBER	28900	60884	\N	\N	\N
648975	2218	1996-06-05	VYDAJ	VYBER	36400	86274	\N	\N	\N
648976	2218	1996-06-13	VYDAJ	VYBER	27900	55340	\N	\N	\N
648977	2218	1996-07-13	VYDAJ	VYBER	26500	61090	\N	\N	\N
648978	2218	1996-08-12	VYDAJ	VYBER	27600	63347	\N	\N	\N
648979	2218	1996-09-11	VYDAJ	VYBER	27000	61973	\N	\N	\N
648980	2218	1996-10-11	VYDAJ	VYBER	33700	66493	\N	\N	\N
648981	2218	1996-11-10	VYDAJ	VYBER	32000	72741	\N	\N	\N
648982	2218	1996-12-05	VYDAJ	VYBER	50000	81532	\N	\N	\N
648983	2218	1996-12-10	VYDAJ	VYBER	23500	58032	\N	\N	\N
648984	2218	1997-01-09	VYDAJ	VYBER	11600	50749	\N	\N	\N
648985	2218	1997-02-08	VYDAJ	VYBER	12200	55423	\N	\N	\N
648986	2218	1997-03-10	VYDAJ	VYBER	25700	67905	\N	\N	\N
648987	2218	1997-04-09	VYDAJ	VYBER	10300	54320	\N	\N	\N
648988	2218	1997-05-09	VYDAJ	VYBER	26500	66028	\N	\N	\N
648989	2218	1997-06-05	VYDAJ	VYBER	46800	72280	\N	\N	\N
648990	2218	1997-06-08	VYDAJ	VYBER	15300	56980	\N	\N	\N
648991	2218	1997-07-08	VYDAJ	VYBER	24400	70823	\N	\N	\N
648992	2218	1997-08-07	VYDAJ	VYBER	14200	52015	\N	\N	\N
648993	2218	1997-09-06	VYDAJ	VYBER	19000	67006	\N	\N	\N
648994	2218	1997-10-06	VYDAJ	VYBER	25200	76149	\N	\N	\N
648995	2218	1997-11-05	VYDAJ	VYBER	58600	52935	\N	\N	\N
648996	2218	1997-11-05	VYDAJ	VYBER KARTOU	2900	111535	\N	\N	0
648997	2218	1997-12-05	VYDAJ	VYBER	29800	76824	\N	\N	\N
648998	2218	1998-01-04	VYDAJ	VYBER	4700	53619	\N	\N	\N
648999	2218	1998-02-03	PRIJEM	VKLAD	13100	41195	\N	\N	\N
649000	2218	1998-03-05	VYDAJ	VYBER	42500	78023	\N	\N	\N
649001	2218	1998-03-05	VYDAJ	VYBER	11500	66523	\N	\N	\N
649002	2218	1998-05-04	VYDAJ	VYBER	9900	75735	\N	\N	\N
649003	2218	1998-05-05	VYDAJ	VYBER	51200	65573	\N	\N	\N
649004	2218	1998-06-03	PRIJEM	VKLAD	2700	65545	\N	\N	\N
649005	2218	1998-06-05	VYDAJ	VYBER	17200	109902	\N	\N	\N
649006	2218	1998-07-03	VYDAJ	VYBER	16100	91191	\N	\N	\N
649007	2218	1998-07-05	VYDAJ	VYBER	17000	115229	\N	\N	\N
649008	2218	1998-08-02	VYDAJ	VYBER	20900	91760	\N	\N	\N
649009	2218	1998-08-05	VYDAJ	VYBER	38700	94098	\N	\N	\N
649010	2218	1998-09-01	VYDAJ	VYBER	9500	77254	\N	\N	\N
649011	2218	1998-09-05	VYDAJ	VYBER	36600	81692	\N	\N	\N
649012	2218	1998-10-01	VYDAJ	VYBER	4400	74610	\N	\N	\N
649013	2218	1998-10-31	VYDAJ	VYBER	17100	86214	\N	\N	\N
649014	2218	1998-11-05	VYDAJ	VYBER	44700	82538	\N	\N	\N
649015	2218	1998-11-30	PRIJEM	VKLAD	6000	64804	\N	\N	\N
649016	2218	1998-12-05	VYDAJ	VYBER	36300	90355	\N	\N	\N
649066	2219	1993-03-11	PRIJEM	VKLAD	400	400	\N	\N	\N
649067	2219	1993-05-28	PRIJEM	VKLAD	25500	65388	\N	\N	\N
649069	2219	1993-08-09	PRIJEM	VKLAD	46516	126556	\N	\N	\N
649070	2219	1993-07-02	PRIJEM	VKLAD	11070	46812	\N	\N	\N
649071	2219	1993-07-23	PRIJEM	VKLAD	26045	73590	\N	\N	\N
649072	2219	1993-05-31	PRIJEM	VKLAD	39281	104669	\N	\N	\N
649073	2219	1993-10-18	PRIJEM	VKLAD	32028	92242	\N	\N	\N
649074	2219	1993-10-28	PRIJEM	VKLAD	21872	122067	\N	\N	\N
649075	2219	1993-09-30	PRIJEM	VKLAD	44034	124395	\N	\N	\N
649076	2219	1993-09-05	PRIJEM	VKLAD	28082	108758	\N	\N	\N
649078	2219	1993-11-26	PRIJEM	VKLAD	7486	12828	\N	\N	\N
649080	2219	1993-08-09	PRIJEM	VKLAD	26950	80040	\N	\N	\N
649082	2219	1993-07-07	PRIJEM	VKLAD	23833	70645	\N	\N	\N
649083	2219	1993-09-30	PRIJEM	VKLAD	19933	144328	\N	\N	\N
649084	2219	1993-09-18	PRIJEM	VKLAD	20439	59697	\N	\N	\N
649085	2219	1993-10-20	PRIJEM	VKLAD	7953	100195	\N	\N	\N
649086	2219	1993-07-26	PRIJEM	VKLAD	34723	108313	\N	\N	\N
649087	2219	1993-09-18	PRIJEM	VKLAD	20426	80123	\N	\N	\N
649088	2219	1993-12-06	PRIJEM	VKLAD	47241	55483	\N	\N	\N
649089	2219	1993-05-04	PRIJEM	VKLAD	45488	58288	\N	\N	\N
649090	2219	1993-08-12	PRIJEM	VKLAD	24357	131213	\N	\N	\N
649091	2219	1994-11-01	PRIJEM	VKLAD	7055	61143	\N	\N	\N
649092	2219	1994-06-30	PRIJEM	VKLAD	8068	41250	\N	\N	\N
649093	2219	1994-04-30	PRIJEM	VKLAD	7136	95235	\N	\N	\N
649094	2219	1994-08-16	PRIJEM	VKLAD	20770	96558	\N	\N	\N
649095	2219	1994-10-21	PRIJEM	VKLAD	49227	96724	\N	\N	\N
649096	2219	1994-09-29	PRIJEM	VKLAD	19574	69206	\N	\N	\N
649097	2219	1994-05-31	PRIJEM	VKLAD	38311	77987	\N	\N	\N
649098	2219	1994-10-22	PRIJEM	VKLAD	9944	106668	\N	\N	\N
649099	2219	1994-04-24	PRIJEM	VKLAD	29179	87889	\N	\N	\N
649100	2219	1994-11-15	PRIJEM	VKLAD	40628	73294	\N	\N	\N
649101	2219	1994-09-09	PRIJEM	VKLAD	16197	51764	\N	\N	\N
649102	2219	1994-04-07	PRIJEM	VKLAD	21552	45329	\N	\N	\N
649103	2219	1994-01-12	PRIJEM	VKLAD	49324	56258	\N	\N	\N
649104	2219	1994-12-07	PRIJEM	VKLAD	47960	96133	\N	\N	\N
649105	2219	1994-08-15	PRIJEM	VKLAD	46374	75788	\N	\N	\N
649106	2219	1994-02-21	PRIJEM	VKLAD	15803	31857	\N	\N	\N
649107	2219	1994-05-03	PRIJEM	VKLAD	21532	116752	\N	\N	\N
649108	2219	1994-04-22	PRIJEM	VKLAD	13381	58710	\N	\N	\N
649109	2219	1994-08-16	PRIJEM	VKLAD	10122	106680	\N	\N	\N
649110	2219	1995-12-27	PRIJEM	VKLAD	12814	58977	\N	\N	\N
649111	2219	1995-04-02	PRIJEM	VKLAD	41223	93206	\N	\N	\N
649112	2219	1995-09-16	PRIJEM	VKLAD	13738	136010	\N	\N	\N
649113	2219	1995-06-29	PRIJEM	VKLAD	30319	92564	\N	\N	\N
649114	2219	1995-12-05	PRIJEM	VKLAD	12567	123863	\N	\N	\N
649115	2219	1995-10-20	PRIJEM	VKLAD	37464	123590	\N	\N	\N
649116	2219	1995-08-07	PRIJEM	VKLAD	11060	76437	\N	\N	\N
649117	2219	1995-10-22	PRIJEM	VKLAD	16627	91817	\N	\N	\N
649118	2219	1995-07-10	PRIJEM	VKLAD	28072	128614	\N	\N	\N
649119	2219	1995-11-20	PRIJEM	VKLAD	30631	111985	\N	\N	\N
649120	2219	1995-03-12	PRIJEM	VKLAD	27133	63373	\N	\N	\N
649121	2219	1995-08-10	PRIJEM	VKLAD	49355	125792	\N	\N	\N
649122	2219	1995-11-14	PRIJEM	VKLAD	35270	81354	\N	\N	\N
649123	2219	1995-06-10	PRIJEM	VKLAD	29186	90646	\N	\N	\N
649124	2219	1995-11-29	PRIJEM	VKLAD	48093	110978	\N	\N	\N
649125	2219	1995-09-16	PRIJEM	VKLAD	48722	122272	\N	\N	\N
649126	2219	1995-05-07	PRIJEM	VKLAD	36116	91869	\N	\N	\N
649127	2219	1995-10-15	PRIJEM	VKLAD	5727	63435	\N	\N	\N
649128	2219	1995-09-12	PRIJEM	VKLAD	7340	73550	\N	\N	\N
649129	2219	1995-07-28	PRIJEM	VKLAD	45334	89539	\N	\N	\N
649130	2219	1995-01-31	PRIJEM	VKLAD	36080	52054	\N	\N	\N
649131	2219	1995-02-25	PRIJEM	VKLAD	9496	37955	\N	\N	\N
649132	2219	1995-07-05	PRIJEM	VKLAD	33042	100542	\N	\N	\N
649133	2219	1995-10-18	PRIJEM	VKLAD	22691	86126	\N	\N	\N
649134	2219	1995-06-26	PRIJEM	VKLAD	21651	62245	\N	\N	\N
649135	2219	1995-02-19	PRIJEM	VKLAD	8874	53010	\N	\N	\N
649136	2219	1995-10-24	PRIJEM	VKLAD	20630	112447	\N	\N	\N
649137	2219	1995-08-16	PRIJEM	VKLAD	29681	106273	\N	\N	\N
649138	2219	1995-09-17	PRIJEM	VKLAD	27830	126940	\N	\N	\N
649139	2219	1996-03-24	PRIJEM	VKLAD	15777	124729	\N	\N	\N
649140	2219	1996-05-26	PRIJEM	VKLAD	9537	69988	\N	\N	\N
649141	2219	1996-06-16	PRIJEM	VKLAD	24626	82911	\N	\N	\N
649142	2219	1996-12-20	PRIJEM	VKLAD	14147	109866	\N	\N	\N
649143	2219	1996-02-06	PRIJEM	VKLAD	20787	42806	\N	\N	\N
649144	2219	1996-06-11	PRIJEM	VKLAD	21626	58285	\N	\N	\N
649145	2219	1996-08-28	PRIJEM	VKLAD	16401	69339	\N	\N	\N
649146	2219	1996-12-23	PRIJEM	VKLAD	11883	93249	\N	\N	\N
649147	2219	1996-02-14	PRIJEM	VKLAD	16273	80967	\N	\N	\N
649148	2219	1996-02-16	PRIJEM	VKLAD	33776	134901	\N	\N	\N
649149	2219	1996-02-12	PRIJEM	VKLAD	15757	64694	\N	\N	\N
649150	2219	1996-02-10	PRIJEM	VKLAD	6131	48937	\N	\N	\N
649151	2219	1996-04-13	PRIJEM	VKLAD	9902	107870	\N	\N	\N
649152	2219	1996-05-05	PRIJEM	VKLAD	25003	87348	\N	\N	\N
649153	2219	1996-12-04	PRIJEM	VKLAD	13839	122792	\N	\N	\N
649154	2219	1996-03-06	PRIJEM	VKLAD	7197	92813	\N	\N	\N
649155	2219	1996-11-25	PRIJEM	VKLAD	49423	108710	\N	\N	\N
649156	2219	1996-12-11	PRIJEM	VKLAD	20027	95719	\N	\N	\N
649157	2219	1996-10-03	PRIJEM	VKLAD	8121	62323	\N	\N	\N
649158	2219	1996-03-14	PRIJEM	VKLAD	37339	130152	\N	\N	\N
649159	2219	1996-02-14	PRIJEM	VKLAD	20158	101125	\N	\N	\N
649160	2219	1996-03-29	PRIJEM	VKLAD	21770	97599	\N	\N	\N
649161	2219	1996-05-08	PRIJEM	VKLAD	24903	112251	\N	\N	\N
649162	2219	1996-11-21	PRIJEM	VKLAD	18268	59287	\N	\N	\N
649163	2219	1996-05-31	PRIJEM	VKLAD	27512	97500	\N	\N	\N
649164	2219	1996-06-28	PRIJEM	VKLAD	33857	96468	\N	\N	\N
649165	2219	1996-01-13	PRIJEM	VKLAD	6816	26783	\N	\N	\N
649166	2219	1996-03-05	PRIJEM	VKLAD	18650	85616	\N	\N	\N
649167	2219	1996-01-31	PRIJEM	VKLAD	14465	32364	\N	\N	\N
649168	2219	1997-03-25	PRIJEM	VKLAD	23017	100023	\N	\N	\N
649169	2219	1997-01-13	PRIJEM	VKLAD	14608	97715	\N	\N	\N
649170	2219	1997-02-02	PRIJEM	VKLAD	35706	98644	\N	\N	\N
649171	2219	1997-04-08	PRIJEM	VKLAD	39096	132930	\N	\N	\N
649172	2219	1997-07-07	PRIJEM	VKLAD	33674	90720	\N	\N	\N
649173	2219	1997-01-18	PRIJEM	VKLAD	43949	156205	\N	\N	\N
649174	2219	1997-02-26	PRIJEM	VKLAD	15584	89176	\N	\N	\N
649175	2219	1997-05-14	PRIJEM	VKLAD	45253	120479	\N	\N	\N
649176	2219	1997-01-17	PRIJEM	VKLAD	19341	112256	\N	\N	\N
649177	2219	1997-08-31	PRIJEM	VKLAD	7283	104013	\N	\N	\N
649178	2219	1997-04-23	PRIJEM	VKLAD	21548	84578	\N	\N	\N
649179	2219	1997-03-04	PRIJEM	VKLAD	17580	107106	\N	\N	\N
649180	2219	1997-02-09	PRIJEM	VKLAD	28204	115918	\N	\N	\N
649181	2219	1997-06-22	PRIJEM	VKLAD	23283	56902	\N	\N	\N
649182	2219	1997-11-05	PRIJEM	VKLAD	41665	119408	\N	\N	\N
649183	2219	1997-05-06	PRIJEM	VKLAD	28699	106469	\N	\N	\N
649184	2219	1997-08-18	PRIJEM	VKLAD	38839	119730	\N	\N	\N
649185	2219	1997-10-29	PRIJEM	VKLAD	34139	84138	\N	\N	\N
649186	2219	1997-12-14	PRIJEM	VKLAD	5645	66085	\N	\N	\N
649187	2219	1997-07-24	PRIJEM	VKLAD	30993	102513	\N	\N	\N
649188	2219	1997-09-05	PRIJEM	VKLAD	27714	132124	\N	\N	\N
649189	2219	1997-05-08	PRIJEM	VKLAD	8057	114526	\N	\N	\N
649190	2219	1998-03-15	PRIJEM	VKLAD	14540	48715	\N	\N	\N
649191	2219	1998-09-14	PRIJEM	VKLAD	5304	81793	\N	\N	\N
649192	2219	1998-01-15	PRIJEM	VKLAD	48621	93041	\N	\N	\N
649193	2219	1998-12-08	PRIJEM	VKLAD	23953	79973	\N	\N	\N
649194	2219	1998-07-01	PRIJEM	VKLAD	8715	94474	\N	\N	\N
649195	2219	1998-03-26	PRIJEM	VKLAD	45038	96553	\N	\N	\N
649196	2219	1998-07-05	PRIJEM	VKLAD	20607	133735	\N	\N	\N
649197	2219	1998-07-21	PRIJEM	VKLAD	36249	102784	\N	\N	\N
649198	2219	1998-05-24	PRIJEM	VKLAD	24150	59851	\N	\N	\N
649199	2219	1998-06-06	PRIJEM	VKLAD	46886	141189	\N	\N	\N
649200	2219	1998-07-05	PRIJEM	VKLAD	18654	113128	\N	\N	\N
649201	2219	1998-09-15	PRIJEM	VKLAD	31369	113162	\N	\N	\N
649202	2219	1998-02-22	PRIJEM	VKLAD	49528	92629	\N	\N	\N
649203	2219	1998-07-31	PRIJEM	VKLAD	44006	146790	\N	\N	\N
649204	2219	1998-08-23	PRIJEM	VKLAD	26172	100558	\N	\N	\N
649205	2219	1998-11-05	PRIJEM	VKLAD	40008	124200	\N	\N	\N
649206	2219	1998-10-28	PRIJEM	VKLAD	46112	124896	\N	\N	\N
649207	2219	1998-06-06	PRIJEM	VKLAD	47756	94303	\N	\N	\N
649280	2219	1993-12-05	VYBER	VYBER	4756	8242	\N	\N	\N
649286	2219	1993-11-23	VYBER	VYBER	21390	5342	\N	\N	\N
649287	2219	1993-11-16	VYBER	VYBER	20220	26732	\N	\N	\N
649289	2219	1994-11-07	VYBER	VYBER	14577	32666	\N	\N	\N
649290	2219	1994-05-27	VYBER	VYBER	14176	39676	\N	\N	\N
649291	2219	1994-09-17	VYBER	VYBER	2132	49632	\N	\N	\N
649292	2219	1994-02-24	VYBER	VYBER	13276	18581	\N	\N	\N
649293	2219	1994-07-04	VYBER	VYBER	4958	36277	\N	\N	\N
649294	2219	1994-12-18	VYBER	VYBER	22051	65382	\N	\N	\N
649295	2219	1994-11-27	VYBER	VYBER	3042	70252	\N	\N	\N
649296	2219	1994-01-12	VYBER	VYBER	12776	43482	\N	\N	\N
649297	2219	1994-08-25	VYBER	VYBER	14221	43059	\N	\N	\N
649298	2219	1995-08-24	VYBER	VYBER	4238	95750	\N	\N	\N
649299	2219	1995-04-19	VYBER	VYBER	16120	77086	\N	\N	\N
649300	2219	1995-08-19	VYBER	VYBER	6285	99988	\N	\N	\N
649301	2219	1995-06-25	VYBER	VYBER	5352	40594	\N	\N	\N
649302	2219	1995-01-17	VYBER	VYBER	14687	7680	\N	\N	\N
649304	2219	1995-02-23	VYBER	VYBER	22151	28459	\N	\N	\N
649305	2219	1995-01-12	VYBER	VYBER	10529	28045	\N	\N	\N
649306	2219	1995-07-18	VYBER	VYBER	18712	44205	\N	\N	\N
649307	2219	1995-07-14	VYBER	VYBER	14897	62917	\N	\N	\N
649308	2219	1995-02-06	VYBER	VYBER	7903	44136	\N	\N	\N
649309	2219	1995-11-08	VYBER	VYBER	18522	46084	\N	\N	\N
649310	2219	1995-01-14	VYBER	VYBER	5678	22367	\N	\N	\N
649311	2219	1996-11-14	VYBER	VYBER	18203	31919	\N	\N	\N
649312	2219	1996-02-05	VYBER	VYBER	10331	22019	\N	\N	\N
649314	2219	1997-04-05	VYBER	VYBER	6544	93834	\N	\N	\N
649315	2219	1997-02-14	VYBER	VYBER	5726	110192	\N	\N	\N
649316	2219	1997-05-15	VYBER	VYBER	11916	51763	\N	\N	\N
649317	2219	1997-06-07	VYBER	VYBER	17066	14619	\N	\N	\N
649318	2219	1997-02-04	VYBER	VYBER	10930	87714	\N	\N	\N
649319	2219	1997-05-27	VYBER	VYBER	23840	31423	\N	\N	\N
649320	2219	1997-12-19	VYBER	VYBER	5695	58290	\N	\N	\N
649321	2219	1998-06-02	VYBER	VYBER	13517	46547	\N	\N	\N
649322	2219	1998-12-13	VYBER	VYBER	20327	51146	\N	\N	\N
649323	2219	1998-09-27	VYBER	VYBER	14687	98475	\N	\N	\N
649324	2219	1998-02-24	VYBER	VYBER	17081	56457	\N	\N	\N
649325	2219	1998-03-11	VYBER	VYBER	22460	34175	\N	\N	\N
649326	2219	1998-04-13	VYBER	VYBER	5870	90921	\N	\N	\N
649327	2219	1998-02-22	VYBER	VYBER	19091	73538	\N	\N	\N
649328	2219	1998-11-10	VYBER	VYBER	2382	105618	\N	\N	\N
649329	2219	1998-05-15	VYBER	VYBER	22170	35701	\N	\N	\N
649330	2219	1998-12-05	VYBER	VYBER	18289	56020	\N	\N	\N
649331	2219	1998-05-10	VYBER	VYBER	13100	56171	\N	\N	\N
649332	2219	1998-01-04	VYBER	VYBER	15598	33320	\N	\N	\N
649333	2219	1998-11-20	VYBER	VYBER	9335	73983	\N	\N	\N
649334	2219	1998-04-17	VYBER	VYBER	4767	68954	\N	\N	\N
649336	2219	1994-06-05	VYDAJ	VYBER	18300	33019	\N	\N	\N
649337	2219	1995-06-24	VYDAJ	VYBER	44700	45946	\N	\N	\N
649338	2219	1996-06-08	VYDAJ	VYBER	61200	36659	\N	\N	\N
649342	2219	1994-01-14	VYDAJ	VYBER	20700	22782	\N	\N	\N
649344	2219	1996-01-04	VYDAJ	VYBER	16200	43067	\N	\N	\N
649345	2219	1997-01-06	VYDAJ	VYBER	10500	83107	\N	\N	\N
649346	2219	1998-01-15	VYDAJ	VYBER	27000	66041	\N	\N	\N
649347	2219	1993-12-16	VYDAJ	VYBER	2700	38783	\N	\N	\N
649348	2219	1994-12-09	VYDAJ	VYBER	8700	87433	\N	\N	\N
649349	2219	1995-12-10	VYDAJ	VYBER	6300	54963	\N	\N	\N
649350	2219	1996-12-06	VYDAJ	VYBER KARTOU	1500	75692	\N	\N	0
649351	2219	1997-12-30	VYDAJ	VYBER KARTOU	3300	54990	\N	\N	0
649352	2219	1998-12-24	VYDAJ	VYBER KARTOU	7200	43946	\N	\N	0
649359	2219	1994-01-14	VYDAJ	VYBER	7800	14982	\N	\N	\N
649360	2219	1994-01-06	VYDAJ	VYBER	2100	28834	\N	\N	\N
649361	2219	1994-01-29	VYDAJ	VYBER	4800	8082	\N	\N	\N
649362	2219	1994-01-05	VYDAJ	VYBER	6900	32034	\N	\N	\N
649363	2219	1994-01-22	VYDAJ	VYBER	2100	12882	\N	\N	\N
649364	2219	1994-01-09	VYDAJ	VYBER	7200	6934	\N	\N	\N
649368	2219	1995-01-07	VYDAJ	VYBER	6000	41574	\N	\N	\N
649369	2219	1995-01-18	VYDAJ	VYBER	6300	1380	\N	\N	\N
649370	2219	1995-01-09	VYDAJ	VYBER	3000	38574	\N	\N	\N
649371	2219	1996-01-13	VYDAJ	VYBER	8700	18083	\N	\N	\N
649372	2219	1996-01-08	VYDAJ	VYBER	6900	28667	\N	\N	\N
649373	2219	1996-01-30	VYDAJ	VYBER	8700	17783	\N	\N	\N
649374	2219	1996-01-28	VYDAJ	VYBER KARTOU	4800	26483	\N	\N	0
649375	2219	1996-01-06	VYDAJ	VYBER	7500	35567	\N	\N	\N
649376	2219	1996-01-09	VYDAJ	VYBER	8700	19967	\N	\N	\N
649377	2219	1997-01-18	VYDAJ	VYBER KARTOU	1800	100105	\N	\N	0
649378	2219	1997-01-18	VYDAJ	VYBER KARTOU	5400	150805	\N	\N	0
649379	2219	1997-01-24	VYDAJ	VYBER KARTOU	6000	62605	\N	\N	0
649380	2219	1997-01-15	VYDAJ	VYBER KARTOU	4800	92915	\N	\N	0
649381	2219	1997-01-20	VYDAJ	VYBER KARTOU	1500	71305	\N	\N	0
649382	2219	1997-01-21	VYDAJ	VYBER KARTOU	2700	68605	\N	\N	0
649383	2219	1998-01-03	VYDAJ	VYBER KARTOU	6300	48918	\N	\N	0
649384	2219	1998-01-21	VYDAJ	VYBER KARTOU	1800	59441	\N	\N	0
649385	2219	1998-01-24	VYDAJ	VYBER KARTOU	7200	52241	\N	\N	0
649386	2219	1998-01-20	VYDAJ	VYBER KARTOU	1800	61241	\N	\N	0
649387	2219	1998-01-16	VYDAJ	VYBER KARTOU	3000	63041	\N	\N	0
649388	2219	1998-01-28	VYDAJ	VYBER	8700	43541	\N	\N	\N
649391	2219	1993-07-26	VYDAJ	VYBER	4800	83113	\N	\N	\N
649395	2219	1994-07-04	VYDAJ	VYBER	1500	30177	\N	\N	\N
649396	2219	1994-01-07	VYDAJ	VYBER	14700	14134	\N	\N	\N
649397	2219	1994-03-30	VYDAJ	VYBER	1800	15917	\N	\N	\N
649398	2219	1994-03-20	VYDAJ	VYBER	5700	17717	\N	\N	\N
649399	2219	1995-02-19	VYDAJ	VYBER	2400	50610	\N	\N	\N
649400	2219	1995-05-10	VYDAJ	VYBER	8700	83169	\N	\N	\N
649401	2219	1995-08-27	VYDAJ	VYBER	4200	91550	\N	\N	\N
649402	2219	1996-08-26	VYDAJ	VYBER KARTOU	2400	52938	\N	\N	0
649403	2219	1996-10-11	VYDAJ	VYBER	9300	53023	\N	\N	\N
649404	2219	1996-04-30	VYDAJ	VYBER KARTOU	6300	62345	\N	\N	0
649405	2219	1996-07-01	VYDAJ	VYBER	9600	87190	\N	\N	\N
649406	2219	1996-08-30	VYDAJ	VYBER	14100	55239	\N	\N	\N
649407	2219	1996-02-19	VYDAJ	VYBER	10500	89301	\N	\N	\N
649408	2219	1997-10-07	VYDAJ	VYBER	13500	44499	\N	\N	\N
649409	2219	1997-04-30	VYDAJ	VYBER KARTOU	7200	77770	\N	\N	0
649410	2219	1997-10-30	VYDAJ	VYBER KARTOU	6600	77538	\N	\N	0
649411	2219	1997-10-07	VYDAJ	VYBER KARTOU	7800	57999	\N	\N	0
649412	2219	1997-02-15	VYDAJ	VYBER KARTOU	6900	103292	\N	\N	0
649413	2219	1997-04-17	VYDAJ	VYBER KARTOU	6600	70930	\N	\N	0
649414	2219	1998-08-25	VYDAJ	VYBER KARTOU	2100	98458	\N	\N	0
649415	2219	1998-02-16	VYDAJ	VYBER	9600	43101	\N	\N	\N
649416	2219	1998-01-05	VYDAJ	VYBER	14400	18920	\N	\N	\N
649424	2219	1993-07-31	VYDAJ	VYBER	15	83390	SLUZBY	\N	\N
649425	2219	1993-08-31	VYDAJ	VYBER	15	80676	SLUZBY	\N	\N
649426	2219	1993-09-30	VYDAJ	VYBER	15	144314	SLUZBY	\N	\N
649427	2219	1993-10-31	VYDAJ	VYBER	15	71552	SLUZBY	\N	\N
649428	2219	1993-11-30	VYDAJ	VYBER	15	12998	SLUZBY	\N	\N
649429	2219	1993-12-31	VYDAJ	VYBER	15	38934	SLUZBY	\N	\N
649430	2219	1994-01-31	VYDAJ	VYBER	15	8154	SLUZBY	\N	\N
649431	2219	1994-02-28	VYDAJ	VYBER	15	18617	SLUZBY	\N	\N
649432	2219	1994-03-31	VYDAJ	VYBER	15	15977	SLUZBY	\N	\N
649433	2219	1994-04-30	VYDAJ	VYBER	15	95220	SLUZBY	\N	\N
649434	2219	1994-05-31	VYDAJ	VYBER	15	78219	SLUZBY	\N	\N
649435	2219	1994-06-30	VYDAJ	VYBER	15	41235	SLUZBY	\N	\N
649436	2219	1994-07-31	VYDAJ	VYBER	15	30314	SLUZBY	\N	\N
649437	2219	1994-08-31	VYDAJ	VYBER	15	43267	SLUZBY	\N	\N
649438	2219	1994-09-30	VYDAJ	VYBER	15	69397	SLUZBY	\N	\N
649439	2219	1994-10-31	VYDAJ	VYBER	15	106988	SLUZBY	\N	\N
649440	2219	1994-11-30	VYDAJ	VYBER	15	70473	SLUZBY	\N	\N
649441	2219	1994-12-31	VYDAJ	VYBER	15	47574	SLUZBY	\N	\N
649442	2219	1995-01-31	VYDAJ	VYBER	15	52039	SLUZBY	\N	\N
649443	2219	1995-02-28	VYDAJ	VYBER	15	38140	SLUZBY	\N	\N
649444	2219	1995-03-31	VYDAJ	VYBER	15	63583	SLUZBY	\N	\N
649445	2219	1995-04-30	VYDAJ	VYBER	15	77353	SLUZBY	\N	\N
649446	2219	1995-05-31	VYDAJ	VYBER	15	61460	SLUZBY	\N	\N
649447	2219	1995-06-30	VYDAJ	VYBER	15	67500	SLUZBY	\N	\N
649448	2219	1995-07-31	VYDAJ	VYBER	15	65377	SLUZBY	\N	\N
649449	2219	1995-08-31	VYDAJ	VYBER	15	66210	SLUZBY	\N	\N
649450	2219	1995-09-30	VYDAJ	VYBER	15	57708	SLUZBY	\N	\N
649451	2219	1995-10-31	VYDAJ	VYBER	15	64606	SLUZBY	\N	\N
649452	2219	1995-11-30	VYDAJ	VYBER	15	111296	SLUZBY	\N	\N
649453	2219	1995-12-31	VYDAJ	VYBER	15	59267	SLUZBY	\N	\N
649454	2219	1996-01-31	VYDAJ	VYBER	15	32350	SLUZBY	\N	\N
649455	2219	1996-02-29	VYDAJ	VYBER	15	66966	SLUZBY	\N	\N
649456	2219	1996-03-31	VYDAJ	VYBER	15	97968	SLUZBY	\N	\N
649457	2219	1996-04-30	VYDAJ	VYBER	15	68645	SLUZBY	\N	\N
649458	2219	1996-05-31	VYDAJ	VYBER	15	97859	SLUZBY	\N	\N
649459	2219	1996-06-30	VYDAJ	VYBER	15	96790	SLUZBY	\N	\N
649460	2219	1996-07-31	VYDAJ	VYBER	15	65938	SLUZBY	\N	\N
649461	2219	1996-08-31	VYDAJ	VYBER	15	55490	SLUZBY	\N	\N
649462	2219	1996-09-30	VYDAJ	VYBER	15	54202	SLUZBY	\N	\N
649463	2219	1996-10-31	VYDAJ	VYBER	15	50122	SLUZBY	\N	\N
649464	2219	1996-11-30	VYDAJ	VYBER	15	108953	SLUZBY	\N	\N
649465	2219	1996-12-31	VYDAJ	VYBER	15	93607	SLUZBY	\N	\N
649466	2219	1997-01-31	VYDAJ	VYBER	15	62938	SLUZBY	\N	\N
649467	2219	1997-02-28	VYDAJ	VYBER	15	89526	SLUZBY	\N	\N
649468	2219	1997-03-31	VYDAJ	VYBER	15	100378	SLUZBY	\N	\N
649469	2219	1997-04-30	VYDAJ	VYBER	15	84970	SLUZBY	\N	\N
649470	2219	1997-05-31	VYDAJ	VYBER	15	31685	SLUZBY	\N	\N
649471	2219	1997-06-30	VYDAJ	VYBER	15	57046	SLUZBY	\N	\N
649472	2219	1997-07-31	VYDAJ	VYBER	15	102791	SLUZBY	\N	\N
649473	2219	1997-08-31	VYDAJ	VYBER	15	104410	SLUZBY	\N	\N
649474	2219	1997-09-30	VYDAJ	VYBER	15	65799	SLUZBY	\N	\N
649475	2219	1997-10-31	VYDAJ	VYBER	15	77743	SLUZBY	\N	\N
649476	2219	1997-11-30	VYDAJ	VYBER	15	60440	SLUZBY	\N	\N
649477	2219	1997-12-31	VYDAJ	VYBER	15	55218	SLUZBY	\N	\N
649478	2219	1998-01-31	VYDAJ	VYBER	15	43701	SLUZBY	\N	\N
649479	2219	1998-02-28	VYDAJ	VYBER	15	56635	SLUZBY	\N	\N
649480	2219	1998-03-31	VYDAJ	VYBER	15	96791	SLUZBY	\N	\N
649481	2219	1998-04-30	VYDAJ	VYBER	15	69271	SLUZBY	\N	\N
649482	2219	1998-05-31	VYDAJ	VYBER	15	60064	SLUZBY	\N	\N
649483	2219	1998-06-30	VYDAJ	VYBER	15	85759	SLUZBY	\N	\N
649484	2219	1998-07-31	VYDAJ	VYBER	15	147186	SLUZBY	\N	\N
649485	2219	1998-08-31	VYDAJ	VYBER	15	98989	SLUZBY	\N	\N
649486	2219	1998-09-30	VYDAJ	VYBER	15	98884	SLUZBY	\N	\N
649487	2219	1998-10-31	VYDAJ	VYBER	15	84192	SLUZBY	\N	\N
649488	2219	1998-11-30	VYDAJ	VYBER	15	74309	SLUZBY	\N	\N
649489	2219	1993-04-10	PRIJEM	VKLAD	12400	12800	\N	\N	\N
649490	2219	1993-05-10	VYDAJ	VYBER	18400	39888	\N	\N	\N
649491	2219	1993-05-31	VYDAJ	VYBER	56400	48406	\N	\N	\N
649492	2219	1993-06-09	VYDAJ	VYBER	13100	35306	\N	\N	\N
649493	2219	1993-07-09	VYDAJ	VYBER	23100	47545	\N	\N	\N
649494	2219	1993-07-26	VYDAJ	VYBER	20400	87913	\N	\N	\N
649495	2219	1993-08-08	VYDAJ	VYBER	30300	53090	\N	\N	\N
649496	2219	1993-08-09	VYDAJ	VYBER	19700	106856	\N	\N	\N
649497	2219	1993-08-12	VYDAJ	VYBER	51000	80213	\N	\N	\N
649498	2219	1993-09-05	VYDAJ	VYBER	55600	53158	\N	\N	\N
649499	2219	1993-09-07	VYDAJ	VYBER	13900	39258	\N	\N	\N
649500	2219	1993-09-30	VYDAJ	VYBER	51600	92714	\N	\N	\N
649501	2219	1993-10-07	VYDAJ	VYBER	32500	60214	\N	\N	\N
649502	2219	1993-10-28	VYDAJ	VYBER	51000	71067	\N	\N	\N
649503	2219	1993-11-06	VYDAJ	VYBER	24600	46952	\N	\N	\N
649504	2219	1993-12-06	VYDAJ	VYBER	14000	41483	\N	\N	\N
649505	2219	1994-01-05	VYDAJ	VYBER	1100	30934	\N	\N	\N
649506	2219	1994-02-04	PRIJEM	VKLAD	7900	16054	\N	\N	\N
649507	2219	1994-03-06	PRIJEM	VKLAD	4800	23417	\N	\N	\N
649508	2219	1994-04-05	PRIJEM	VKLAD	7800	23777	\N	\N	\N
649509	2219	1994-05-03	VYDAJ	VYBER	35700	81052	\N	\N	\N
649510	2219	1994-05-05	VYDAJ	VYBER	27200	53852	\N	\N	\N
649511	2219	1994-06-04	VYDAJ	VYBER	26900	51319	\N	\N	\N
649512	2219	1994-07-04	VYDAJ	VYBER	4600	31677	\N	\N	\N
649513	2219	1994-08-03	VYDAJ	VYBER	900	29414	\N	\N	\N
649514	2219	1994-08-16	VYDAJ	VYBER	49400	57280	\N	\N	\N
649515	2219	1994-09-02	VYDAJ	VYBER	7700	35567	\N	\N	\N
649516	2219	1994-10-02	VYDAJ	VYBER	21900	47497	\N	\N	\N
649517	2219	1994-10-31	VYDAJ	VYBER	52900	54088	\N	\N	\N
649518	2219	1994-11-01	VYDAJ	VYBER	13900	47243	\N	\N	\N
649519	2219	1994-12-01	VYDAJ	VYBER	22300	48173	\N	\N	\N
649520	2219	1994-12-31	VYDAJ	VYBER	18100	47589	\N	\N	\N
649521	2219	1995-01-30	PRIJEM	VKLAD	14500	15880	\N	\N	\N
649522	2219	1995-03-01	VYDAJ	VYBER	1900	36240	\N	\N	\N
649523	2219	1995-03-31	VYDAJ	VYBER	11600	51983	\N	\N	\N
649524	2219	1995-04-30	VYDAJ	VYBER	21600	55753	\N	\N	\N
649525	2219	1995-05-30	VYDAJ	VYBER	22000	61169	\N	\N	\N
649526	2219	1995-06-29	VYDAJ	VYBER	25300	67264	\N	\N	\N
649527	2219	1995-07-10	VYDAJ	VYBER	50800	77814	\N	\N	\N
649528	2219	1995-07-29	VYDAJ	VYBER	24400	65139	\N	\N	\N
649529	2219	1995-08-10	VYDAJ	VYBER	49200	76592	\N	\N	\N
649530	2219	1995-08-28	VYDAJ	VYBER	25700	65850	\N	\N	\N
649531	2219	1995-09-16	VYDAJ	VYBER	36900	99110	\N	\N	\N
649532	2219	1995-09-17	VYDAJ	VYBER	55800	71140	\N	\N	\N
649533	2219	1995-09-27	VYDAJ	VYBER	13700	57440	\N	\N	\N
649534	2219	1995-10-20	VYDAJ	VYBER	48400	75190	\N	\N	\N
649535	2219	1995-10-24	VYDAJ	VYBER	29100	83347	\N	\N	\N
649536	2219	1995-10-27	VYDAJ	VYBER	19000	64347	\N	\N	\N
649537	2219	1995-11-20	VYDAJ	VYBER	24200	87785	\N	\N	\N
649538	2219	1995-11-26	VYDAJ	VYBER	24900	62885	\N	\N	\N
649539	2219	1995-12-05	VYDAJ	VYBER	62600	61263	\N	\N	\N
649540	2219	1995-12-26	VYDAJ	VYBER	8800	46163	\N	\N	\N
649541	2219	1996-01-25	PRIJEM	VKLAD	13200	31283	\N	\N	\N
649542	2219	1996-02-16	VYDAJ	VYBER	35100	99801	\N	\N	\N
649543	2219	1996-02-24	VYDAJ	VYBER	22600	66701	\N	\N	\N
649544	2219	1996-03-14	VYDAJ	VYBER	21200	108952	\N	\N	\N
649545	2219	1996-03-24	VYDAJ	VYBER	15700	109029	\N	\N	\N
649546	2219	1996-03-25	VYDAJ	VYBER	33200	75829	\N	\N	\N
649547	2219	1996-04-13	VYDAJ	VYBER	20500	87370	\N	\N	\N
649548	2219	1996-04-24	VYDAJ	VYBER	19100	68270	\N	\N	\N
649549	2219	1996-05-08	VYDAJ	VYBER	33400	78851	\N	\N	\N
649550	2219	1996-05-24	VYDAJ	VYBER	18400	60451	\N	\N	\N
649551	2219	1996-06-23	VYDAJ	VYBER	20300	62611	\N	\N	\N
649552	2219	1996-07-23	VYDAJ	VYBER	21600	65590	\N	\N	\N
649553	2219	1996-08-22	VYDAJ	VYBER	10600	55338	\N	\N	\N
649554	2219	1996-09-21	VYDAJ	VYBER KARTOU	1500	53990	\N	\N	0
649555	2219	1996-10-21	VYDAJ	VYBER KARTOU	3100	49923	\N	\N	0
649556	2219	1996-11-20	PRIJEM	VKLAD	9100	41019	\N	\N	\N
649557	2219	1996-12-04	VYDAJ	VYBER	45600	77192	\N	\N	\N
649558	2219	1996-12-20	VYDAJ	VYBER	28500	81366	\N	\N	\N
649559	2219	1997-01-18	VYDAJ	VYBER	48900	101905	\N	\N	\N
649560	2219	1997-01-19	VYDAJ	VYBER	27300	72805	\N	\N	\N
649561	2219	1997-02-18	VYDAJ	VYBER	29700	73592	\N	\N	\N
649562	2219	1997-03-20	VYDAJ	VYBER	30100	77006	\N	\N	\N
649563	2219	1997-04-08	VYDAJ	VYBER	55400	77530	\N	\N	\N
649564	2219	1997-04-19	VYDAJ	VYBER KARTOU	7900	63030	\N	\N	0
649565	2219	1997-05-08	VYDAJ	VYBER	39300	75226	\N	\N	\N
649566	2219	1997-05-14	VYDAJ	VYBER	56800	63679	\N	\N	\N
649567	2219	1997-05-19	PRIJEM	VKLAD	3500	55263	\N	\N	\N
649568	2219	1997-06-18	PRIJEM	VKLAD	19000	33619	\N	\N	\N
649569	2219	1997-07-18	VYDAJ	VYBER	19200	71520	\N	\N	\N
649570	2219	1997-08-17	VYDAJ	VYBER	21900	80891	\N	\N	\N
649571	2219	1997-08-18	VYDAJ	VYBER	23000	96730	\N	\N	\N
649572	2219	1997-09-05	VYDAJ	VYBER	63900	68224	\N	\N	\N
649573	2219	1997-09-16	VYDAJ	VYBER KARTOU	2800	65424	\N	\N	0
649574	2219	1997-10-16	PRIJEM	VKLAD	5500	49999	\N	\N	\N
649575	2219	1997-11-05	VYDAJ	VYBER	63900	55508	\N	\N	\N
649576	2219	1997-11-15	PRIJEM	VKLAD	4700	60208	\N	\N	\N
649577	2219	1997-12-15	VYDAJ	VYBER KARTOU	2100	63985	\N	\N	0
649578	2219	1998-01-14	PRIJEM	VKLAD	25500	44420	\N	\N	\N
649579	2219	1998-02-13	PRIJEM	VKLAD	9000	52701	\N	\N	\N
649580	2219	1998-03-15	PRIJEM	VKLAD	2800	51515	\N	\N	\N
649581	2219	1998-04-14	VYDAJ	VYBER	17200	73721	\N	\N	\N
649582	2219	1998-05-14	PRIJEM	VKLAD	1700	57871	\N	\N	\N
649583	2219	1998-06-06	VYDAJ	VYBER	28600	112589	\N	\N	\N
649584	2219	1998-06-13	VYDAJ	VYBER	27200	85389	\N	\N	\N
649585	2219	1998-07-05	VYDAJ	VYBER	50000	83735	\N	\N	\N
649586	2219	1998-07-13	VYDAJ	VYBER	17200	66535	\N	\N	\N
649587	2219	1998-07-31	VYDAJ	VYBER	25500	121686	\N	\N	\N
649588	2219	1998-07-31	VYDAJ	VYBER	25200	96486	\N	\N	\N
649589	2219	1998-08-12	VYDAJ	VYBER	22100	74386	\N	\N	\N
649590	2219	1998-09-11	VYDAJ	VYBER	22500	76489	\N	\N	\N
649591	2219	1998-10-11	VYDAJ	VYBER	20100	78784	\N	\N	\N
649592	2219	1998-10-28	VYDAJ	VYBER	41100	83796	\N	\N	\N
649593	2219	1998-11-05	VYDAJ	VYBER	16200	108000	\N	\N	\N
649594	2219	1998-11-10	VYDAJ	VYBER	22300	83318	\N	\N	\N
649595	2219	1998-12-10	VYDAJ	VYBER	8500	71473	\N	\N	\N
649665	2220	1993-02-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
649668	2220	1993-03-07	PRIJEM	PREVOD Z UCTU	6153	7253	DUCHOD	MN	42469984
649669	2220	1993-04-07	PRIJEM	PREVOD Z UCTU	6153	13406	DUCHOD	MN	42469984
649670	2220	1993-05-07	PRIJEM	PREVOD Z UCTU	6153	19559	DUCHOD	MN	42469984
649671	2220	1993-06-07	PRIJEM	PREVOD Z UCTU	6153	25712	DUCHOD	MN	42469984
649672	2220	1993-07-07	PRIJEM	PREVOD Z UCTU	6153	31865	DUCHOD	MN	42469984
649673	2220	1993-08-07	PRIJEM	PREVOD Z UCTU	6153	31296	DUCHOD	MN	42469984
649674	2220	1993-09-07	PRIJEM	PREVOD Z UCTU	6153	29853	DUCHOD	MN	42469984
649675	2220	1993-10-07	PRIJEM	PREVOD Z UCTU	6153	30813	DUCHOD	MN	42469984
649676	2220	1993-11-07	PRIJEM	PREVOD Z UCTU	6153	28413	DUCHOD	MN	42469984
649677	2220	1993-12-07	PRIJEM	PREVOD Z UCTU	6153	30271	DUCHOD	MN	42469984
649678	2220	1994-01-07	PRIJEM	PREVOD Z UCTU	6153	29582	DUCHOD	MN	42469984
649679	2220	1994-02-07	PRIJEM	PREVOD Z UCTU	6153	23109	DUCHOD	MN	42469984
649680	2220	1994-03-07	PRIJEM	PREVOD Z UCTU	6153	26542	DUCHOD	MN	42469984
649681	2220	1994-04-07	PRIJEM	PREVOD Z UCTU	6153	26406	DUCHOD	MN	42469984
649682	2220	1994-05-07	PRIJEM	PREVOD Z UCTU	6153	26012	DUCHOD	MN	42469984
649683	2220	1994-06-07	PRIJEM	PREVOD Z UCTU	6153	28858	DUCHOD	MN	42469984
649684	2220	1994-07-07	PRIJEM	PREVOD Z UCTU	6153	24216	DUCHOD	MN	42469984
649685	2220	1994-08-07	PRIJEM	PREVOD Z UCTU	6153	24930	DUCHOD	MN	42469984
649686	2220	1994-09-07	PRIJEM	PREVOD Z UCTU	6153	28371	DUCHOD	MN	42469984
649687	2220	1994-10-07	PRIJEM	PREVOD Z UCTU	6153	31827	DUCHOD	MN	42469984
649688	2220	1994-11-07	PRIJEM	PREVOD Z UCTU	6153	35298	DUCHOD	MN	42469984
649689	2220	1994-12-07	PRIJEM	PREVOD Z UCTU	6153	34832	DUCHOD	MN	42469984
649690	2220	1995-01-07	PRIJEM	PREVOD Z UCTU	6153	31281	DUCHOD	MN	42469984
649691	2220	1995-02-07	PRIJEM	PREVOD Z UCTU	6153	27865	DUCHOD	MN	42469984
649692	2220	1995-03-07	PRIJEM	PREVOD Z UCTU	6153	28753	DUCHOD	MN	42469984
649693	2220	1995-04-07	PRIJEM	PREVOD Z UCTU	6153	29131	DUCHOD	MN	42469984
649694	2220	1995-05-07	PRIJEM	PREVOD Z UCTU	6153	31232	DUCHOD	MN	42469984
649695	2220	1995-06-07	PRIJEM	PREVOD Z UCTU	6153	34000	DUCHOD	MN	42469984
649696	2220	1995-07-07	PRIJEM	PREVOD Z UCTU	6153	31120	DUCHOD	MN	42469984
649697	2220	1995-08-07	PRIJEM	PREVOD Z UCTU	6153	32686	DUCHOD	MN	42469984
649698	2220	1995-09-07	PRIJEM	PREVOD Z UCTU	6153	34180	DUCHOD	MN	42469984
649699	2220	1995-10-07	PRIJEM	PREVOD Z UCTU	6153	31963	DUCHOD	MN	42469984
649700	2220	1995-11-07	PRIJEM	PREVOD Z UCTU	6153	33032	DUCHOD	MN	42469984
649701	2220	1995-12-07	PRIJEM	PREVOD Z UCTU	6153	31622	DUCHOD	MN	42469984
649702	2220	1996-01-07	PRIJEM	PREVOD Z UCTU	6153	29837	DUCHOD	MN	42469984
649703	2220	1996-02-07	PRIJEM	PREVOD Z UCTU	6153	24973	DUCHOD	MN	42469984
649704	2220	1996-03-07	PRIJEM	PREVOD Z UCTU	6153	26490	DUCHOD	MN	42469984
649705	2220	1996-04-07	PRIJEM	PREVOD Z UCTU	6153	27236	DUCHOD	MN	42469984
649706	2220	1996-05-07	PRIJEM	PREVOD Z UCTU	6153	26201	DUCHOD	MN	42469984
649707	2220	1996-06-07	PRIJEM	PREVOD Z UCTU	6153	26926	DUCHOD	MN	42469984
649708	2220	1996-07-07	PRIJEM	PREVOD Z UCTU	6153	21259	DUCHOD	MN	42469984
649709	2220	1996-08-07	PRIJEM	PREVOD Z UCTU	6153	23182	DUCHOD	MN	42469984
649710	2220	1996-09-07	PRIJEM	PREVOD Z UCTU	6153	19107	DUCHOD	MN	42469984
649711	2220	1996-10-07	PRIJEM	PREVOD Z UCTU	6153	22523	DUCHOD	MN	42469984
649712	2220	1996-11-07	PRIJEM	PREVOD Z UCTU	6153	25353	DUCHOD	MN	42469984
649713	2220	1996-12-07	PRIJEM	PREVOD Z UCTU	6153	23988	DUCHOD	MN	42469984
649714	2220	1997-01-07	PRIJEM	PREVOD Z UCTU	6153	21656	DUCHOD	MN	42469984
649715	2220	1997-02-07	PRIJEM	PREVOD Z UCTU	6153	20920	DUCHOD	MN	42469984
649716	2220	1997-03-07	PRIJEM	PREVOD Z UCTU	6153	20737	DUCHOD	MN	42469984
649717	2220	1997-04-07	PRIJEM	PREVOD Z UCTU	6153	21274	DUCHOD	MN	42469984
649718	2220	1997-05-07	PRIJEM	PREVOD Z UCTU	6153	23396	DUCHOD	MN	42469984
649719	2220	1997-06-07	PRIJEM	PREVOD Z UCTU	6153	20720	DUCHOD	MN	42469984
649720	2220	1997-07-07	PRIJEM	PREVOD Z UCTU	6153	20235	DUCHOD	MN	42469984
649721	2220	1997-08-07	PRIJEM	PREVOD Z UCTU	6153	23155	DUCHOD	MN	42469984
649722	2220	1997-09-07	PRIJEM	PREVOD Z UCTU	6153	20977	DUCHOD	MN	42469984
649723	2220	1997-10-07	PRIJEM	PREVOD Z UCTU	6153	24400	DUCHOD	MN	42469984
649724	2220	1997-11-07	PRIJEM	PREVOD Z UCTU	6153	21328	DUCHOD	MN	42469984
649725	2220	1997-12-07	PRIJEM	PREVOD Z UCTU	6153	21746	DUCHOD	MN	42469984
649726	2220	1998-01-07	PRIJEM	PREVOD Z UCTU	6153	21565	DUCHOD	MN	42469984
649727	2220	1998-02-07	PRIJEM	PREVOD Z UCTU	6153	20881	DUCHOD	MN	42469984
649728	2220	1998-03-07	PRIJEM	PREVOD Z UCTU	6153	21998	DUCHOD	MN	42469984
649729	2220	1998-04-07	PRIJEM	PREVOD Z UCTU	6153	25425	DUCHOD	MN	42469984
649730	2220	1998-05-07	PRIJEM	PREVOD Z UCTU	6153	20247	DUCHOD	MN	42469984
649731	2220	1998-06-07	PRIJEM	PREVOD Z UCTU	6153	23667	DUCHOD	MN	42469984
649732	2220	1998-07-07	PRIJEM	PREVOD Z UCTU	6153	27101	DUCHOD	MN	42469984
649733	2220	1998-08-07	PRIJEM	PREVOD Z UCTU	6153	30549	DUCHOD	MN	42469984
649734	2220	1998-09-07	PRIJEM	PREVOD Z UCTU	6153	17370	DUCHOD	MN	42469984
649735	2220	1998-10-07	PRIJEM	PREVOD Z UCTU	6153	20777	DUCHOD	MN	42469984
649736	2220	1998-11-07	PRIJEM	PREVOD Z UCTU	6153	20351	DUCHOD	MN	42469984
649737	2220	1998-12-07	PRIJEM	PREVOD Z UCTU	6153	23771	DUCHOD	MN	42469984
649744	2220	1993-07-14	VYDAJ	PREVOD NA UCET	2783	25082	SIPO	IJ	17050385
649745	2220	1993-08-14	VYDAJ	PREVOD NA UCET	2783	23613	SIPO	IJ	17050385
649746	2220	1993-09-14	VYDAJ	PREVOD NA UCET	2783	24570	SIPO	IJ	17050385
649747	2220	1993-10-14	VYDAJ	PREVOD NA UCET	2783	25130	SIPO	IJ	17050385
649748	2220	1993-11-14	VYDAJ	PREVOD NA UCET	2783	24030	SIPO	IJ	17050385
649749	2220	1993-12-14	VYDAJ	PREVOD NA UCET	2783	23988	SIPO	IJ	17050385
649750	2220	1994-01-14	VYDAJ	PREVOD NA UCET	2783	21679	SIPO	IJ	17050385
649751	2220	1994-02-14	VYDAJ	PREVOD NA UCET	2783	20326	SIPO	IJ	17050385
649752	2220	1994-03-14	VYDAJ	PREVOD NA UCET	2783	20179	SIPO	IJ	17050385
649753	2220	1994-04-14	VYDAJ	PREVOD NA UCET	2783	23623	SIPO	IJ	17050385
649754	2220	1994-05-14	VYDAJ	PREVOD NA UCET	2783	23229	SIPO	IJ	17050385
649755	2220	1994-06-14	VYDAJ	PREVOD NA UCET	2783	26075	SIPO	IJ	17050385
649756	2220	1994-07-14	VYDAJ	PREVOD NA UCET	2783	18713	SIPO	IJ	17050385
649757	2220	1994-08-14	VYDAJ	PREVOD NA UCET	2783	22147	SIPO	IJ	17050385
649758	2220	1994-09-14	VYDAJ	PREVOD NA UCET	2783	25588	SIPO	IJ	17050385
649759	2220	1994-10-14	VYDAJ	PREVOD NA UCET	2783	29044	SIPO	IJ	17050385
649760	2220	1994-11-14	VYDAJ	PREVOD NA UCET	2783	32515	SIPO	IJ	17050385
649761	2220	1994-12-14	VYDAJ	PREVOD NA UCET	2783	32049	SIPO	IJ	17050385
649762	2220	1995-01-14	VYDAJ	PREVOD NA UCET	2783	28498	SIPO	IJ	17050385
649763	2220	1995-02-14	VYDAJ	PREVOD NA UCET	2783	25082	SIPO	IJ	17050385
649764	2220	1995-03-14	VYDAJ	PREVOD NA UCET	2783	25970	SIPO	IJ	17050385
649765	2220	1995-04-14	VYDAJ	PREVOD NA UCET	2783	24988	SIPO	IJ	17050385
649766	2220	1995-05-14	VYDAJ	PREVOD NA UCET	2783	28449	SIPO	IJ	17050385
649767	2220	1995-06-14	VYDAJ	PREVOD NA UCET	2783	31217	SIPO	IJ	17050385
649768	2220	1995-07-14	VYDAJ	PREVOD NA UCET	2783	28337	SIPO	IJ	17050385
649769	2220	1995-08-14	VYDAJ	PREVOD NA UCET	2783	29903	SIPO	IJ	17050385
649770	2220	1995-09-14	VYDAJ	PREVOD NA UCET	2783	31397	SIPO	IJ	17050385
649771	2220	1995-10-14	VYDAJ	PREVOD NA UCET	2783	29180	SIPO	IJ	17050385
649772	2220	1995-11-14	VYDAJ	PREVOD NA UCET	2783	30249	SIPO	IJ	17050385
649773	2220	1995-12-14	VYDAJ	PREVOD NA UCET	2783	28839	SIPO	IJ	17050385
649774	2220	1996-01-14	VYDAJ	PREVOD NA UCET	2783	26574	SIPO	IJ	17050385
649775	2220	1996-02-14	VYDAJ	PREVOD NA UCET	2783	22190	SIPO	IJ	17050385
649776	2220	1996-03-14	VYDAJ	PREVOD NA UCET	2783	23707	SIPO	IJ	17050385
649777	2220	1996-04-14	VYDAJ	PREVOD NA UCET	2783	21973	SIPO	IJ	17050385
649778	2220	1996-05-14	VYDAJ	PREVOD NA UCET	2783	23418	SIPO	IJ	17050385
649779	2220	1996-06-14	VYDAJ	PREVOD NA UCET	2783	16543	SIPO	IJ	17050385
649780	2220	1996-07-14	VYDAJ	PREVOD NA UCET	2783	18476	SIPO	IJ	17050385
649781	2220	1996-08-14	VYDAJ	PREVOD NA UCET	2783	20399	SIPO	IJ	17050385
649782	2220	1996-09-14	VYDAJ	PREVOD NA UCET	2783	16324	SIPO	IJ	17050385
649783	2220	1996-10-14	VYDAJ	PREVOD NA UCET	2783	19740	SIPO	IJ	17050385
649784	2220	1996-11-14	VYDAJ	PREVOD NA UCET	2783	22570	SIPO	IJ	17050385
649785	2220	1996-12-14	VYDAJ	PREVOD NA UCET	2783	21205	SIPO	IJ	17050385
649786	2220	1997-01-14	VYDAJ	PREVOD NA UCET	2783	16873	SIPO	IJ	17050385
649787	2220	1997-02-14	VYDAJ	PREVOD NA UCET	2783	18137	SIPO	IJ	17050385
649788	2220	1997-03-14	VYDAJ	PREVOD NA UCET	2783	15074	SIPO	IJ	17050385
649789	2220	1997-04-14	VYDAJ	PREVOD NA UCET	2783	18491	SIPO	IJ	17050385
649790	2220	1997-05-14	VYDAJ	PREVOD NA UCET	2783	20613	SIPO	IJ	17050385
649791	2220	1997-06-14	VYDAJ	PREVOD NA UCET	2783	17937	SIPO	IJ	17050385
649792	2220	1997-07-14	VYDAJ	PREVOD NA UCET	2783	17452	SIPO	IJ	17050385
649793	2220	1997-08-14	VYDAJ	PREVOD NA UCET	2783	20372	SIPO	IJ	17050385
649794	2220	1997-09-14	VYDAJ	PREVOD NA UCET	2783	18194	SIPO	IJ	17050385
649795	2220	1997-10-14	VYDAJ	PREVOD NA UCET	2783	21617	SIPO	IJ	17050385
649796	2220	1997-11-14	VYDAJ	PREVOD NA UCET	2783	18545	SIPO	IJ	17050385
649797	2220	1997-12-14	VYDAJ	PREVOD NA UCET	2783	18363	SIPO	IJ	17050385
649798	2220	1998-01-14	VYDAJ	PREVOD NA UCET	2783	18782	SIPO	IJ	17050385
649799	2220	1998-02-14	VYDAJ	PREVOD NA UCET	2783	18098	SIPO	IJ	17050385
649800	2220	1998-03-14	VYDAJ	PREVOD NA UCET	2783	19215	SIPO	IJ	17050385
649801	2220	1998-04-14	VYDAJ	PREVOD NA UCET	2783	22642	SIPO	IJ	17050385
649802	2220	1998-05-14	VYDAJ	PREVOD NA UCET	2783	17464	SIPO	IJ	17050385
649803	2220	1998-06-14	VYDAJ	PREVOD NA UCET	2783	20884	SIPO	IJ	17050385
649804	2220	1998-07-14	VYDAJ	PREVOD NA UCET	2783	24318	SIPO	IJ	17050385
649805	2220	1998-08-14	VYDAJ	PREVOD NA UCET	2783	11166	SIPO	IJ	17050385
649806	2220	1998-09-14	VYDAJ	PREVOD NA UCET	2783	14587	SIPO	IJ	17050385
649807	2220	1998-10-14	VYDAJ	PREVOD NA UCET	2783	14154	SIPO	IJ	17050385
649808	2220	1998-11-14	VYDAJ	PREVOD NA UCET	2783	17568	SIPO	IJ	17050385
649809	2220	1998-12-14	VYDAJ	PREVOD NA UCET	2783	16268	SIPO	IJ	17050385
649811	2220	1994-06-16	VYDAJ	VYBER	6250	17985	\N	\N	\N
649812	2220	1995-06-19	VYDAJ	VYBER	5250	25967	\N	\N	\N
649813	2220	1996-06-09	VYDAJ	VYBER	7600	19326	\N	\N	\N
649814	2220	1997-06-15	VYDAJ	VYBER	1900	16037	\N	\N	\N
649816	2220	1993-12-22	VYDAJ	VYBER	650	23338	\N	\N	\N
649817	2220	1994-12-01	VYDAJ	VYBER	1050	31579	\N	\N	\N
649818	2220	1995-12-27	VYDAJ	VYBER	1350	27489	\N	\N	\N
649819	2220	1996-12-16	VYDAJ	VYBER	1300	19905	\N	\N	\N
649820	2220	1997-12-13	VYDAJ	VYBER	600	21146	\N	\N	\N
649821	2220	1998-12-10	VYDAJ	VYBER	800	22971	\N	\N	\N
649828	2220	1994-01-14	VYDAJ	VYBER	1280	24462	\N	\N	\N
649829	2220	1994-01-11	VYDAJ	VYBER	400	25742	\N	\N	\N
649830	2220	1994-01-20	VYDAJ	VYBER	2080	19599	\N	\N	\N
649831	2220	1994-01-21	VYDAJ	VYBER	960	18639	\N	\N	\N
649832	2220	1994-01-30	VYDAJ	VYBER	1040	16879	\N	\N	\N
649833	2220	1994-01-23	VYDAJ	VYBER	720	17919	\N	\N	\N
649834	2220	1995-01-15	VYDAJ	VYBER	1120	25698	\N	\N	\N
649835	2220	1995-01-15	VYDAJ	VYBER	1520	24178	\N	\N	\N
649836	2220	1995-01-26	VYDAJ	VYBER	1840	21618	\N	\N	\N
649837	2220	1995-01-18	VYDAJ	VYBER	720	23458	\N	\N	\N
649838	2220	1995-01-03	VYDAJ	VYBER	2160	25128	\N	\N	\N
649839	2220	1995-01-02	VYDAJ	VYBER	880	27288	\N	\N	\N
649840	2220	1996-01-28	VYDAJ	VYBER	1280	20654	\N	\N	\N
649841	2220	1996-01-30	VYDAJ	VYBER	1920	18734	\N	\N	\N
649842	2220	1996-01-21	VYDAJ	VYBER	1680	21934	\N	\N	\N
649843	2220	1996-01-16	VYDAJ	VYBER	1520	25054	\N	\N	\N
649844	2220	1996-01-20	VYDAJ	VYBER	1440	23614	\N	\N	\N
649845	2220	1996-01-08	VYDAJ	VYBER	480	29357	\N	\N	\N
649846	2220	1997-01-06	VYDAJ	VYBER	560	15503	\N	\N	\N
649847	2220	1997-01-16	VYDAJ	VYBER	480	16393	\N	\N	\N
649848	2220	1997-01-19	VYDAJ	VYBER	1680	14713	\N	\N	\N
649849	2220	1997-01-13	VYDAJ	VYBER	2000	19656	\N	\N	\N
649860	2220	1993-10-28	VYDAJ	VYBER	2960	22170	\N	\N	\N
649862	2220	1994-03-12	VYDAJ	VYBER	2080	22962	\N	\N	\N
649863	2220	1994-06-15	VYDAJ	VYBER	1840	24235	\N	\N	\N
649864	2220	1994-07-10	VYDAJ	VYBER	1920	22296	\N	\N	\N
649865	2220	1994-01-07	VYDAJ	VYBER	3440	26142	\N	\N	\N
649866	2220	1994-07-12	VYDAJ	VYBER	800	21496	\N	\N	\N
649867	2220	1994-04-28	VYDAJ	VYBER	3840	19783	\N	\N	\N
649868	2220	1995-11-16	VYDAJ	VYBER	1680	28569	\N	\N	\N
649869	2220	1995-04-11	VYDAJ	VYBER	1360	27771	\N	\N	\N
649870	2220	1995-09-01	VYDAJ	VYBER	480	28027	\N	\N	\N
649871	2220	1995-04-02	VYDAJ	VYBER	1680	22978	\N	\N	\N
649872	2220	1995-01-15	VYDAJ	VYBER	1680	26818	\N	\N	\N
649873	2220	1995-02-17	VYDAJ	VYBER	2560	22522	\N	\N	\N
649876	2220	1996-02-18	VYDAJ	VYBER	1920	20270	\N	\N	\N
649877	2220	1996-04-10	VYDAJ	VYBER	2480	24756	\N	\N	\N
649878	2220	1996-06-04	VYDAJ	VYBER	2320	20773	\N	\N	\N
649879	2220	1997-03-13	VYDAJ	VYBER	2880	17857	\N	\N	\N
649883	2220	1997-10-26	VYDAJ	VYBER	2800	15117	\N	\N	\N
649884	2220	1998-12-12	VYDAJ	VYBER	3920	19051	\N	\N	\N
649887	2220	1998-10-07	VYDAJ	VYBER	3840	16937	\N	\N	\N
649896	2220	1993-07-31	VYDAJ	VYBER	15	25143	SLUZBY	\N	\N
649897	2220	1993-08-31	VYDAJ	VYBER	15	23700	SLUZBY	\N	\N
649898	2220	1993-09-30	VYDAJ	VYBER	15	24660	SLUZBY	\N	\N
649899	2220	1993-10-31	VYDAJ	VYBER	15	22260	SLUZBY	\N	\N
649900	2220	1993-11-30	VYDAJ	VYBER	15	24118	SLUZBY	\N	\N
649901	2220	1993-12-31	VYDAJ	VYBER	15	23429	SLUZBY	\N	\N
649902	2220	1994-01-31	VYDAJ	VYBER	15	16956	SLUZBY	\N	\N
649903	2220	1994-02-28	VYDAJ	VYBER	15	20389	SLUZBY	\N	\N
649904	2220	1994-03-31	VYDAJ	VYBER	15	20253	SLUZBY	\N	\N
649905	2220	1994-04-30	VYDAJ	VYBER	15	19859	SLUZBY	\N	\N
649906	2220	1994-05-31	VYDAJ	VYBER	15	23305	SLUZBY	\N	\N
649907	2220	1994-06-30	VYDAJ	VYBER	15	18063	SLUZBY	\N	\N
649908	2220	1994-07-31	VYDAJ	VYBER	15	18777	SLUZBY	\N	\N
649909	2220	1994-08-31	VYDAJ	VYBER	15	22218	SLUZBY	\N	\N
649910	2220	1994-09-30	VYDAJ	VYBER	15	25674	SLUZBY	\N	\N
649911	2220	1994-10-31	VYDAJ	VYBER	15	29145	SLUZBY	\N	\N
649912	2220	1994-11-30	VYDAJ	VYBER	15	32629	SLUZBY	\N	\N
649913	2220	1994-12-31	VYDAJ	VYBER	15	32168	SLUZBY	\N	\N
649914	2220	1995-01-31	VYDAJ	VYBER	15	21712	SLUZBY	\N	\N
649915	2220	1995-02-28	VYDAJ	VYBER	15	22600	SLUZBY	\N	\N
649916	2220	1995-03-31	VYDAJ	VYBER	15	26058	SLUZBY	\N	\N
649917	2220	1995-04-30	VYDAJ	VYBER	15	25079	SLUZBY	\N	\N
649918	2220	1995-05-31	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
649919	2220	1995-06-30	VYDAJ	VYBER	15	24967	SLUZBY	\N	\N
649920	2220	1995-07-31	VYDAJ	VYBER	15	26533	SLUZBY	\N	\N
649921	2220	1995-08-31	VYDAJ	VYBER	15	28507	SLUZBY	\N	\N
649922	2220	1995-09-30	VYDAJ	VYBER	15	25810	SLUZBY	\N	\N
649923	2220	1995-10-31	VYDAJ	VYBER	15	26879	SLUZBY	\N	\N
649924	2220	1995-11-30	VYDAJ	VYBER	15	25469	SLUZBY	\N	\N
649925	2220	1995-12-31	VYDAJ	VYBER	15	23684	SLUZBY	\N	\N
649926	2220	1996-01-31	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
649927	2220	1996-02-29	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
649928	2220	1996-03-31	VYDAJ	VYBER	15	21083	SLUZBY	\N	\N
649929	2220	1996-04-30	VYDAJ	VYBER	15	20048	SLUZBY	\N	\N
649930	2220	1996-05-31	VYDAJ	VYBER	15	23093	SLUZBY	\N	\N
649931	2220	1996-06-30	VYDAJ	VYBER	15	15106	SLUZBY	\N	\N
649932	2220	1996-07-31	VYDAJ	VYBER	15	17029	SLUZBY	\N	\N
649933	2220	1996-08-31	VYDAJ	VYBER	15	12954	SLUZBY	\N	\N
649934	2220	1996-09-30	VYDAJ	VYBER	15	16370	SLUZBY	\N	\N
649935	2220	1996-10-31	VYDAJ	VYBER	15	19200	SLUZBY	\N	\N
649936	2220	1996-11-30	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
649937	2220	1996-12-31	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
649938	2220	1997-01-31	VYDAJ	VYBER	15	14767	SLUZBY	\N	\N
649939	2220	1997-02-28	VYDAJ	VYBER	15	14584	SLUZBY	\N	\N
649940	2220	1997-03-31	VYDAJ	VYBER	15	15121	SLUZBY	\N	\N
649941	2220	1997-04-30	VYDAJ	VYBER	15	17243	SLUZBY	\N	\N
649942	2220	1997-05-31	VYDAJ	VYBER	15	14567	SLUZBY	\N	\N
649943	2220	1997-06-30	VYDAJ	VYBER	15	14082	SLUZBY	\N	\N
649944	2220	1997-07-31	VYDAJ	VYBER	15	17002	SLUZBY	\N	\N
649945	2220	1997-08-31	VYDAJ	VYBER	15	14824	SLUZBY	\N	\N
649946	2220	1997-09-30	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
649947	2220	1997-10-31	VYDAJ	VYBER	15	15175	SLUZBY	\N	\N
649948	2220	1997-11-30	VYDAJ	VYBER	15	15593	SLUZBY	\N	\N
649949	2220	1997-12-31	VYDAJ	VYBER	15	15412	SLUZBY	\N	\N
649950	2220	1998-01-31	VYDAJ	VYBER	15	14728	SLUZBY	\N	\N
649951	2220	1998-02-28	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
649952	2220	1998-03-31	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
649953	2220	1998-04-30	VYDAJ	VYBER	15	14094	SLUZBY	\N	\N
649954	2220	1998-05-31	VYDAJ	VYBER	15	17514	SLUZBY	\N	\N
649955	2220	1998-06-30	VYDAJ	VYBER	15	20948	SLUZBY	\N	\N
649956	2220	1998-07-31	VYDAJ	VYBER	15	24396	SLUZBY	\N	\N
649957	2220	1998-08-31	VYDAJ	VYBER	15	11217	SLUZBY	\N	\N
649958	2220	1998-09-30	VYDAJ	VYBER	15	14624	SLUZBY	\N	\N
649959	2220	1998-10-31	VYDAJ	VYBER	15	14198	SLUZBY	\N	\N
649960	2220	1998-11-30	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
649961	2220	1993-07-10	VYDAJ	VYBER	4000	27865	\N	\N	\N
649962	2220	1993-08-09	VYDAJ	VYBER	4900	26396	\N	\N	\N
649963	2220	1993-09-08	VYDAJ	VYBER	2500	27353	\N	\N	\N
649964	2220	1993-10-08	VYDAJ	VYBER	2900	27913	\N	\N	\N
649965	2220	1993-11-07	VYDAJ	VYBER	1600	26813	\N	\N	\N
649966	2220	1993-12-07	VYDAJ	VYBER	3500	26771	\N	\N	\N
649967	2220	1994-03-07	VYDAJ	VYBER	1500	25042	\N	\N	\N
649968	2220	1994-06-05	VYDAJ	VYBER	600	22705	\N	\N	\N
649969	2220	1994-12-02	VYDAJ	VYBER	2900	28679	\N	\N	\N
649970	2220	1995-01-01	VYDAJ	VYBER	4000	28168	\N	\N	\N
649971	2220	1995-04-01	VYDAJ	VYBER	1400	24658	\N	\N	\N
649972	2220	1995-05-31	VYDAJ	VYBER	700	27861	\N	\N	\N
649973	2220	1995-06-30	VYDAJ	VYBER	1100	24981	\N	\N	\N
649974	2220	1995-07-30	VYDAJ	VYBER	1900	26437	\N	\N	\N
649975	2220	1995-08-29	VYDAJ	VYBER	1500	28403	\N	\N	\N
649976	2220	1995-09-28	VYDAJ	VYBER	5700	25697	\N	\N	\N
649977	2220	1995-10-28	VYDAJ	VYBER	2400	26780	\N	\N	\N
649978	2220	1995-11-27	VYDAJ	VYBER	3200	25369	\N	\N	\N
649979	2220	1995-12-27	VYDAJ	VYBER	3900	23589	\N	\N	\N
649980	2220	1996-03-26	VYDAJ	VYBER	2700	21007	\N	\N	\N
649981	2220	1996-04-25	VYDAJ	VYBER	2000	19973	\N	\N	\N
649982	2220	1996-05-25	VYDAJ	VYBER	400	23018	\N	\N	\N
649983	2220	1996-06-24	VYDAJ	VYBER	1500	15043	\N	\N	\N
649984	2220	1996-07-24	VYDAJ	VYBER	1500	16976	\N	\N	\N
649985	2220	1996-08-23	VYDAJ	VYBER	7500	12899	\N	\N	\N
649986	2220	1996-10-22	VYDAJ	VYBER	600	19140	\N	\N	\N
649987	2220	1996-11-21	VYDAJ	VYBER	4800	17770	\N	\N	\N
649988	2220	1996-12-21	VYDAJ	VYBER	3900	16005	\N	\N	\N
649989	2220	1997-02-19	VYDAJ	VYBER	3600	14537	\N	\N	\N
649990	2220	1997-04-20	VYDAJ	VYBER	1300	17191	\N	\N	\N
649991	2220	1997-05-20	VYDAJ	VYBER	6100	14513	\N	\N	\N
649992	2220	1997-06-19	VYDAJ	VYBER	2000	14037	\N	\N	\N
649993	2220	1997-07-19	VYDAJ	VYBER	500	16952	\N	\N	\N
649994	2220	1997-08-18	VYDAJ	VYBER	5600	14772	\N	\N	\N
649995	2220	1997-10-17	VYDAJ	VYBER	3700	17917	\N	\N	\N
649996	2220	1997-11-16	VYDAJ	VYBER	3000	15545	\N	\N	\N
649997	2220	1997-12-16	VYDAJ	VYBER	3000	15363	\N	\N	\N
649998	2220	1998-01-15	VYDAJ	VYBER	4100	14682	\N	\N	\N
649999	2220	1998-02-14	VYDAJ	VYBER	2300	15798	\N	\N	\N
650000	2220	1998-04-15	VYDAJ	VYBER	8600	14042	\N	\N	\N
650001	2220	1998-08-13	VYDAJ	VYBER	16600	13949	\N	\N	\N
650068	2221	1997-11-15	PRIJEM	VKLAD	200	200	\N	\N	\N
650080	2221	1997-12-09	PRIJEM	PREVOD Z UCTU	3262	3462	\N	AB	98162048
650081	2221	1998-01-09	PRIJEM	PREVOD Z UCTU	3262	6724	\N	AB	98162048
650082	2221	1998-02-09	PRIJEM	PREVOD Z UCTU	3262	9986	\N	AB	98162048
650083	2221	1998-03-09	PRIJEM	PREVOD Z UCTU	3262	13248	\N	AB	98162048
650084	2221	1998-04-09	PRIJEM	PREVOD Z UCTU	3262	16510	\N	AB	98162048
650085	2221	1998-05-09	PRIJEM	PREVOD Z UCTU	3262	17623	\N	AB	98162048
650086	2221	1998-06-09	PRIJEM	PREVOD Z UCTU	3262	15133	\N	AB	98162048
650087	2221	1998-07-09	PRIJEM	PREVOD Z UCTU	3262	16265	\N	AB	98162048
650088	2221	1998-08-09	PRIJEM	PREVOD Z UCTU	3262	16438	\N	AB	98162048
650089	2221	1998-09-09	PRIJEM	PREVOD Z UCTU	3262	17243	\N	AB	98162048
650090	2221	1998-10-09	PRIJEM	PREVOD Z UCTU	3262	18142	\N	AB	98162048
650091	2221	1998-11-09	PRIJEM	PREVOD Z UCTU	3262	18263	\N	AB	98162048
650092	2221	1998-12-09	PRIJEM	PREVOD Z UCTU	3262	18055	\N	AB	98162048
650108	2221	1998-04-12	VYDAJ	PREVOD NA UCET	1455	15055	\N	EF	85032087
650109	2221	1998-05-12	VYDAJ	PREVOD NA UCET	1455	16168	\N	EF	85032087
650110	2221	1998-06-12	VYDAJ	PREVOD NA UCET	1455	13678	\N	EF	85032087
650111	2221	1998-07-12	VYDAJ	PREVOD NA UCET	1455	14810	\N	EF	85032087
650112	2221	1998-08-12	VYDAJ	PREVOD NA UCET	1455	14983	\N	EF	85032087
650113	2221	1998-09-12	VYDAJ	PREVOD NA UCET	1455	15788	\N	EF	85032087
650114	2221	1998-10-12	VYDAJ	PREVOD NA UCET	1455	16687	\N	EF	85032087
650115	2221	1998-11-12	VYDAJ	PREVOD NA UCET	1455	16808	\N	EF	85032087
650116	2221	1998-12-12	VYDAJ	PREVOD NA UCET	1455	16600	\N	EF	85032087
650133	2221	1998-05-05	VYDAJ	PREVOD NA UCET	719	14361	\N	CD	6097948
650134	2221	1998-06-05	VYDAJ	PREVOD NA UCET	719	11871	\N	CD	6097948
650135	2221	1998-07-05	VYDAJ	PREVOD NA UCET	719	13003	\N	CD	6097948
650136	2221	1998-08-05	VYDAJ	PREVOD NA UCET	719	13176	\N	CD	6097948
650137	2221	1998-09-05	VYDAJ	PREVOD NA UCET	719	13981	\N	CD	6097948
650138	2221	1998-10-05	VYDAJ	PREVOD NA UCET	719	14880	\N	CD	6097948
650139	2221	1998-11-05	VYDAJ	PREVOD NA UCET	719	15001	\N	CD	6097948
650140	2221	1998-12-05	VYDAJ	PREVOD NA UCET	719	14793	\N	CD	6097948
650142	2221	1998-06-03	VYDAJ	VYBER	3630	12590	\N	\N	\N
650146	2221	1998-12-29	VYDAJ	VYBER	540	16060	\N	\N	\N
650165	2221	1998-07-23	VYDAJ	VYBER	960	13850	\N	\N	\N
650166	2221	1998-10-26	VYDAJ	VYBER	1020	15667	\N	\N	\N
650167	2221	1998-08-30	VYDAJ	VYBER	330	14653	\N	\N	\N
650168	2221	1998-11-29	VYDAJ	VYBER	1350	15458	\N	\N	\N
650169	2221	1998-09-21	VYDAJ	VYBER	240	15548	\N	\N	\N
650186	2221	1998-04-30	VYDAJ	VYBER	15	15080	SLUZBY	\N	\N
650187	2221	1998-05-31	VYDAJ	VYBER	15	16220	SLUZBY	\N	\N
650188	2221	1998-06-30	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
650189	2221	1998-07-31	VYDAJ	VYBER	15	13895	SLUZBY	\N	\N
650190	2221	1998-08-31	VYDAJ	VYBER	15	14700	SLUZBY	\N	\N
650191	2221	1998-09-30	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
650192	2221	1998-10-31	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
650193	2221	1998-11-30	VYDAJ	VYBER	15	15512	SLUZBY	\N	\N
650203	2222	1993-05-01	PRIJEM	VKLAD	200	200	\N	\N	\N
650204	2222	1993-11-26	PRIJEM	VKLAD	42851	143734	\N	\N	\N
650205	2222	1993-10-23	PRIJEM	VKLAD	25090	100533	\N	\N	\N
650206	2222	1993-05-26	PRIJEM	VKLAD	12824	13024	\N	\N	\N
650207	2222	1993-11-15	PRIJEM	VKLAD	38142	100883	\N	\N	\N
650208	2222	1993-06-24	PRIJEM	VKLAD	24933	42268	\N	\N	\N
650210	2222	1993-10-21	PRIJEM	VKLAD	47651	75443	\N	\N	\N
650212	2222	1994-01-17	PRIJEM	VKLAD	25284	44353	\N	\N	\N
650213	2222	1994-11-16	PRIJEM	VKLAD	18292	76193	\N	\N	\N
650214	2222	1994-11-02	PRIJEM	VKLAD	42070	76473	\N	\N	\N
650215	2222	1994-03-21	PRIJEM	VKLAD	24015	53216	\N	\N	\N
650216	2222	1994-08-05	PRIJEM	VKLAD	45442	74237	\N	\N	\N
650217	2222	1995-08-27	PRIJEM	VKLAD	22865	120605	\N	\N	\N
650218	2222	1995-05-21	PRIJEM	VKLAD	35658	102689	\N	\N	\N
650219	2222	1995-10-15	PRIJEM	VKLAD	21870	57142	\N	\N	\N
650220	2222	1995-07-13	PRIJEM	VKLAD	19958	71947	\N	\N	\N
650221	2222	1995-08-27	PRIJEM	VKLAD	44860	97740	\N	\N	\N
650222	2222	1995-04-02	PRIJEM	VKLAD	40466	120674	\N	\N	\N
650223	2222	1995-06-24	PRIJEM	VKLAD	36882	69358	\N	\N	\N
650224	2222	1995-09-14	PRIJEM	VKLAD	35748	135163	\N	\N	\N
650225	2222	1995-10-23	PRIJEM	VKLAD	13167	62709	\N	\N	\N
650226	2222	1995-12-09	PRIJEM	VKLAD	35999	79250	\N	\N	\N
650227	2222	1995-03-22	PRIJEM	VKLAD	48579	79018	\N	\N	\N
650228	2222	1995-03-25	PRIJEM	VKLAD	23115	80033	\N	\N	\N
650229	2222	1995-04-04	PRIJEM	VKLAD	8317	92091	\N	\N	\N
650230	2222	1995-08-19	PRIJEM	VKLAD	27026	62080	\N	\N	\N
650231	2222	1996-01-27	PRIJEM	VKLAD	34212	62408	\N	\N	\N
650232	2222	1996-10-20	PRIJEM	VKLAD	43310	74343	\N	\N	\N
650233	2222	1996-05-16	PRIJEM	VKLAD	39291	71963	\N	\N	\N
650234	2222	1997-04-18	PRIJEM	VKLAD	40320	97086	\N	\N	\N
650235	2222	1997-05-05	PRIJEM	VKLAD	32196	129617	\N	\N	\N
650236	2222	1997-03-29	PRIJEM	VKLAD	30720	68824	\N	\N	\N
650237	2222	1997-02-01	PRIJEM	VKLAD	9710	76963	\N	\N	\N
650238	2222	1997-01-30	PRIJEM	VKLAD	43612	78413	\N	\N	\N
650239	2222	1997-12-26	PRIJEM	VKLAD	38134	61455	\N	\N	\N
650240	2222	1997-03-31	PRIJEM	VKLAD	5984	74808	\N	\N	\N
650241	2222	1997-01-14	PRIJEM	VKLAD	28482	59716	\N	\N	\N
650242	2222	1998-07-14	PRIJEM	VKLAD	41677	138589	\N	\N	\N
650243	2222	1998-10-03	PRIJEM	VKLAD	8675	44448	\N	\N	\N
650244	2222	1998-01-16	PRIJEM	VKLAD	26188	123323	\N	\N	\N
650245	2222	1998-08-25	PRIJEM	VKLAD	22048	85963	\N	\N	\N
650246	2222	1998-11-23	PRIJEM	VKLAD	36528	120801	\N	\N	\N
650247	2222	1998-11-01	PRIJEM	VKLAD	24953	91402	\N	\N	\N
650248	2222	1998-03-02	PRIJEM	VKLAD	16284	58384	\N	\N	\N
650249	2222	1998-08-08	PRIJEM	VKLAD	10306	63915	\N	\N	\N
650250	2222	1998-01-16	PRIJEM	VKLAD	42332	97135	\N	\N	\N
650251	2222	1998-04-06	PRIJEM	VKLAD	45598	97880	\N	\N	\N
650252	2222	1998-12-19	PRIJEM	VKLAD	7722	91264	\N	\N	\N
650253	2222	1998-06-03	PRIJEM	VKLAD	28913	101458	\N	\N	\N
650254	2222	1998-01-10	PRIJEM	VKLAD	35822	65903	\N	\N	\N
650255	2222	1998-07-02	PRIJEM	VKLAD	41190	142170	\N	\N	\N
650256	2222	1998-08-06	PRIJEM	VKLAD	5708	53609	\N	\N	\N
650257	2222	1998-06-26	PRIJEM	VKLAD	34739	134579	\N	\N	\N
650258	2222	1998-03-24	PRIJEM	VKLAD	33806	75790	\N	\N	\N
650259	2222	1998-12-17	PRIJEM	VKLAD	28010	83542	\N	\N	\N
650260	2222	1998-10-13	PRIJEM	VKLAD	21779	66227	\N	\N	\N
650261	2222	1998-05-15	PRIJEM	VKLAD	41604	113535	\N	\N	\N
650262	2222	1998-11-06	PRIJEM	VKLAD	25671	84273	\N	\N	\N
650263	2222	1998-07-09	PRIJEM	VKLAD	45542	96912	\N	\N	\N
650264	2222	1998-05-05	PRIJEM	VKLAD	6297	104550	\N	\N	\N
650265	2222	1998-05-11	PRIJEM	VKLAD	7781	71931	\N	\N	\N
650266	2222	1998-06-06	PRIJEM	VKLAD	40882	105240	\N	\N	\N
650267	2222	1998-12-27	PRIJEM	VKLAD	43976	132540	\N	\N	\N
650342	2222	1994-11-13	VYBER	VYBER	18572	57901	\N	\N	\N
650344	2222	1995-09-16	VYBER	VYBER	9627	74436	\N	\N	\N
650346	2222	1995-03-08	VYBER	VYBER	2056	30439	\N	\N	\N
650347	2222	1995-08-01	VYBER	VYBER	8111	41413	\N	\N	\N
650348	2222	1995-07-19	VYBER	VYBER	15921	56026	\N	\N	\N
650349	2222	1995-10-13	VYBER	VYBER	22490	35272	\N	\N	\N
650350	2222	1995-06-16	VYBER	VYBER	2668	38576	\N	\N	\N
650352	2222	1995-06-12	VYBER	VYBER	14213	41244	\N	\N	\N
650353	2222	1995-06-30	VYBER	VYBER	17567	52004	\N	\N	\N
650354	2222	1995-08-05	VYBER	VYBER	6359	35054	\N	\N	\N
650355	2222	1995-10-26	VYBER	VYBER	4478	58231	\N	\N	\N
650357	2222	1996-11-11	VYBER	VYBER	3402	71120	\N	\N	\N
650358	2222	1996-05-17	VYBER	VYBER	23915	48048	\N	\N	\N
650360	2222	1996-01-14	VYBER	VYBER	8054	28996	\N	\N	\N
650361	2222	1996-01-29	VYBER	VYBER	24386	38022	\N	\N	\N
650362	2222	1996-11-19	VYBER	VYBER	24207	30013	\N	\N	\N
650367	2222	1997-02-19	VYBER	VYBER	15461	39102	\N	\N	\N
650368	2222	1997-01-28	VYBER	VYBER	3015	43501	\N	\N	\N
650369	2222	1997-01-30	VYBER	VYBER	11331	67082	\N	\N	\N
650371	2222	1997-06-16	VYBER	VYBER	14929	43417	\N	\N	\N
650377	2222	1995-06-17	VYDAJ	VYBER	15300	23276	\N	\N	\N
650382	2222	1994-01-06	VYDAJ	VYBER	10200	23869	\N	\N	\N
650383	2222	1995-01-13	VYDAJ	VYBER	18300	20895	\N	\N	\N
650386	2222	1998-01-06	VYDAJ	VYBER	12900	30081	\N	\N	\N
650387	2222	1993-12-30	VYDAJ	VYBER	6000	44295	\N	\N	\N
650388	2222	1994-12-18	VYDAJ	VYBER	3300	52292	\N	\N	\N
650389	2222	1995-12-21	VYDAJ	VYBER	6600	50350	\N	\N	\N
650390	2222	1996-12-16	VYDAJ	VYBER	5700	28529	\N	\N	\N
650392	2222	1998-12-01	VYDAJ	VYBER	5100	61532	\N	\N	\N
650400	2222	1994-01-05	VYDAJ	VYBER	2400	42169	\N	\N	\N
650401	2222	1994-01-12	VYDAJ	VYBER	4800	19069	\N	\N	\N
650402	2222	1994-01-27	VYDAJ	VYBER	3300	32453	\N	\N	\N
650403	2222	1994-01-05	VYDAJ	VYBER	8100	34069	\N	\N	\N
650405	2222	1995-01-27	VYDAJ	VYBER	2100	22695	\N	\N	\N
650406	2222	1995-01-26	VYDAJ	VYBER	2400	24795	\N	\N	\N
650410	2222	1995-01-08	VYDAJ	VYBER	6900	39195	\N	\N	\N
650411	2222	1996-01-11	VYDAJ	VYBER	6300	37050	\N	\N	\N
650412	2222	1996-01-09	VYDAJ	VYBER	7200	43350	\N	\N	\N
650413	2222	1996-01-16	VYDAJ	VYBER	2400	32996	\N	\N	\N
650415	2222	1996-01-26	VYDAJ	VYBER	4800	28196	\N	\N	\N
650416	2222	1996-01-29	VYDAJ	VYBER	2700	35322	\N	\N	\N
650417	2222	1997-01-26	VYDAJ	VYBER	2700	54916	\N	\N	\N
650418	2222	1997-01-27	VYDAJ	VYBER	8400	46516	\N	\N	\N
650419	2222	1997-01-28	VYDAJ	VYBER	8700	34801	\N	\N	\N
650424	2222	1998-01-11	VYDAJ	VYBER	6300	59603	\N	\N	\N
650425	2222	1998-01-13	VYDAJ	VYBER	4800	54803	\N	\N	\N
650426	2222	1998-01-27	VYDAJ	VYBER	8100	66623	\N	\N	\N
650427	2222	1998-01-28	VYDAJ	VYBER	5100	61523	\N	\N	\N
650428	2222	1998-01-19	VYDAJ	VYBER	8100	74723	\N	\N	\N
650435	2222	1994-09-21	VYDAJ	VYBER	2100	45288	\N	\N	\N
650436	2222	1994-08-22	VYDAJ	VYBER	12900	59537	\N	\N	\N
650437	2222	1994-06-10	VYDAJ	VYBER	10200	20887	\N	\N	\N
650438	2222	1994-08-19	VYDAJ	VYBER	1800	72437	\N	\N	\N
650439	2222	1994-04-18	VYDAJ	VYBER	4500	36331	\N	\N	\N
650441	2222	1995-05-29	VYDAJ	VYBER	13200	60289	\N	\N	\N
650442	2222	1995-06-02	VYDAJ	VYBER	5100	55457	\N	\N	\N
650443	2222	1995-12-13	VYDAJ	VYBER	2700	76550	\N	\N	\N
650444	2222	1995-11-12	VYDAJ	VYBER	13500	44953	\N	\N	\N
650445	2222	1996-08-16	VYDAJ	VYBER	4500	25633	\N	\N	\N
650446	2222	1996-08-06	VYDAJ	VYBER	7500	28433	\N	\N	\N
650447	2222	1996-04-07	VYDAJ	VYBER	14400	23047	\N	\N	\N
650448	2222	1997-03-31	VYDAJ	VYBER	2700	72266	\N	\N	\N
650449	2222	1997-07-10	VYDAJ	VYBER	9300	30348	\N	\N	\N
650450	2222	1997-01-23	VYDAJ	VYBER	2100	57616	\N	\N	\N
650452	2222	1998-11-28	VYDAJ	VYBER	13200	92201	\N	\N	\N
650453	2222	1998-06-30	VYDAJ	VYBER	9300	100995	\N	\N	\N
650454	2222	1998-12-14	VYDAJ	VYBER	6000	55532	\N	\N	\N
650455	2222	1998-05-31	VYDAJ	VYBER	7800	106160	\N	\N	\N
650456	2222	1998-06-14	VYDAJ	VYBER	5400	99840	\N	\N	\N
650457	2222	1998-12-26	VYDAJ	VYBER	2700	88564	\N	\N	\N
650469	2222	1993-11-30	VYDAJ	VYBER	15	70995	SLUZBY	\N	\N
650470	2222	1993-12-31	VYDAJ	VYBER	15	44569	SLUZBY	\N	\N
650471	2222	1994-01-31	VYDAJ	VYBER	15	32581	SLUZBY	\N	\N
650472	2222	1994-02-28	VYDAJ	VYBER	15	29201	SLUZBY	\N	\N
650473	2222	1994-03-31	VYDAJ	VYBER	15	40831	SLUZBY	\N	\N
650474	2222	1994-04-30	VYDAJ	VYBER	15	29579	SLUZBY	\N	\N
650475	2222	1994-05-31	VYDAJ	VYBER	15	31087	SLUZBY	\N	\N
650476	2222	1994-06-30	VYDAJ	VYBER	15	26698	SLUZBY	\N	\N
650477	2222	1994-07-31	VYDAJ	VYBER	15	28795	SLUZBY	\N	\N
650478	2222	1994-08-31	VYDAJ	VYBER	15	47388	SLUZBY	\N	\N
650479	2222	1994-09-30	VYDAJ	VYBER	15	37960	SLUZBY	\N	\N
650480	2222	1994-10-31	VYDAJ	VYBER	15	34403	SLUZBY	\N	\N
650481	2222	1994-11-30	VYDAJ	VYBER	15	55592	SLUZBY	\N	\N
650482	2222	1994-12-31	VYDAJ	VYBER	15	46095	SLUZBY	\N	\N
650483	2222	1995-01-31	VYDAJ	VYBER	15	22814	SLUZBY	\N	\N
650484	2222	1995-02-28	VYDAJ	VYBER	15	32495	SLUZBY	\N	\N
650485	2222	1995-03-31	VYDAJ	VYBER	15	80208	SLUZBY	\N	\N
650486	2222	1995-04-30	VYDAJ	VYBER	15	67031	SLUZBY	\N	\N
650487	2222	1995-05-31	VYDAJ	VYBER	15	60557	SLUZBY	\N	\N
650488	2222	1995-06-30	VYDAJ	VYBER	15	51989	SLUZBY	\N	\N
650489	2222	1995-07-31	VYDAJ	VYBER	15	49524	SLUZBY	\N	\N
650490	2222	1995-08-31	VYDAJ	VYBER	15	99415	SLUZBY	\N	\N
650491	2222	1995-09-30	VYDAJ	VYBER	15	57762	SLUZBY	\N	\N
650492	2222	1995-10-31	VYDAJ	VYBER	15	58453	SLUZBY	\N	\N
650493	2222	1995-11-30	VYDAJ	VYBER	15	43251	SLUZBY	\N	\N
650494	2222	1995-12-31	VYDAJ	VYBER	15	50550	SLUZBY	\N	\N
650495	2222	1996-01-31	VYDAJ	VYBER	15	35476	SLUZBY	\N	\N
650496	2222	1996-02-29	VYDAJ	VYBER	15	37208	SLUZBY	\N	\N
650497	2222	1996-03-31	VYDAJ	VYBER	15	37447	SLUZBY	\N	\N
650498	2222	1996-04-30	VYDAJ	VYBER	15	30972	SLUZBY	\N	\N
650499	2222	1996-05-31	VYDAJ	VYBER	15	48201	SLUZBY	\N	\N
650500	2222	1996-06-30	VYDAJ	VYBER	15	39884	SLUZBY	\N	\N
650501	2222	1996-07-31	VYDAJ	VYBER	15	35933	SLUZBY	\N	\N
650502	2222	1996-08-31	VYDAJ	VYBER	15	25742	SLUZBY	\N	\N
650503	2222	1996-09-30	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
650504	2222	1996-10-31	VYDAJ	VYBER	15	74522	SLUZBY	\N	\N
650505	2222	1996-11-30	VYDAJ	VYBER	15	30229	SLUZBY	\N	\N
650506	2222	1996-12-31	VYDAJ	VYBER	15	28634	SLUZBY	\N	\N
650507	2222	1997-01-31	VYDAJ	VYBER	15	67253	SLUZBY	\N	\N
650508	2222	1997-02-28	VYDAJ	VYBER	15	39304	SLUZBY	\N	\N
650509	2222	1997-03-31	VYDAJ	VYBER	15	74966	SLUZBY	\N	\N
650510	2222	1997-04-30	VYDAJ	VYBER	15	97421	SLUZBY	\N	\N
650511	2222	1997-05-31	VYDAJ	VYBER	15	75846	SLUZBY	\N	\N
650512	2222	1997-06-30	VYDAJ	VYBER	15	43648	SLUZBY	\N	\N
650513	2222	1997-07-31	VYDAJ	VYBER	15	30472	SLUZBY	\N	\N
650514	2222	1997-08-31	VYDAJ	VYBER	15	32381	SLUZBY	\N	\N
650515	2222	1997-09-30	VYDAJ	VYBER	15	32398	SLUZBY	\N	\N
650516	2222	1997-10-31	VYDAJ	VYBER	15	30314	SLUZBY	\N	\N
650517	2222	1997-11-30	VYDAJ	VYBER	15	28221	SLUZBY	\N	\N
650518	2222	1997-12-31	VYDAJ	VYBER	15	61581	SLUZBY	\N	\N
650519	2222	1998-01-31	VYDAJ	VYBER	15	61764	SLUZBY	\N	\N
650520	2222	1998-02-28	VYDAJ	VYBER	15	42100	SLUZBY	\N	\N
650521	2222	1998-03-31	VYDAJ	VYBER	15	75982	SLUZBY	\N	\N
650522	2222	1998-04-30	VYDAJ	VYBER	15	98253	SLUZBY	\N	\N
650523	2222	1998-05-31	VYDAJ	VYBER	15	72545	SLUZBY	\N	\N
650524	2222	1998-06-30	VYDAJ	VYBER	15	100980	SLUZBY	\N	\N
650525	2222	1998-07-31	VYDAJ	VYBER	15	79901	SLUZBY	\N	\N
650526	2222	1998-08-31	VYDAJ	VYBER	15	86238	SLUZBY	\N	\N
650527	2222	1998-09-30	VYDAJ	VYBER	15	52073	SLUZBY	\N	\N
650528	2222	1998-10-31	VYDAJ	VYBER	15	66449	SLUZBY	\N	\N
650529	2222	1998-11-30	VYDAJ	VYBER	15	92532	SLUZBY	\N	\N
650530	2222	1993-05-31	PRIJEM	VKLAD	4300	17324	\N	\N	\N
650531	2222	1993-06-30	VYDAJ	VYBER	6400	35943	\N	\N	\N
650532	2222	1993-07-30	VYDAJ	VYBER	6500	29443	\N	\N	\N
650533	2222	1993-08-29	VYDAJ	VYBER	1000	28593	\N	\N	\N
650534	2222	1993-09-28	VYDAJ	VYBER	1100	27642	\N	\N	\N
650535	2222	1993-10-28	VYDAJ	VYBER	38000	62533	\N	\N	\N
650536	2222	1993-11-26	VYDAJ	VYBER	24300	119434	\N	\N	\N
650537	2222	1993-11-27	VYDAJ	VYBER	48700	70734	\N	\N	\N
650538	2222	1993-12-27	VYDAJ	VYBER	20700	50295	\N	\N	\N
650539	2222	1994-01-26	VYDAJ	VYBER	8600	35753	\N	\N	\N
650540	2222	1994-02-25	VYDAJ	VYBER	3500	29081	\N	\N	\N
650541	2222	1994-03-27	VYDAJ	VYBER	12500	40716	\N	\N	\N
650542	2222	1994-04-26	VYDAJ	VYBER	6900	29431	\N	\N	\N
650543	2222	1994-05-26	PRIJEM	VKLAD	1400	30979	\N	\N	\N
650544	2222	1994-06-25	PRIJEM	VKLAD	5700	26587	\N	\N	\N
650545	2222	1994-07-25	PRIJEM	VKLAD	2000	28698	\N	\N	\N
650546	2222	1994-08-24	VYDAJ	VYBER	12300	47237	\N	\N	\N
650547	2222	1994-09-23	VYDAJ	VYBER	7500	37788	\N	\N	\N
650548	2222	1994-10-23	VYDAJ	VYBER	3700	34260	\N	\N	\N
650549	2222	1994-11-22	VYDAJ	VYBER	20800	55393	\N	\N	\N
650550	2222	1994-12-22	VYDAJ	VYBER	6400	45892	\N	\N	\N
650551	2222	1995-01-21	PRIJEM	VKLAD	6300	27195	\N	\N	\N
650552	2222	1995-02-20	PRIJEM	VKLAD	9600	32414	\N	\N	\N
650553	2222	1995-03-22	VYDAJ	VYBER	22100	56918	\N	\N	\N
650554	2222	1995-04-02	VYDAJ	VYBER	36900	83774	\N	\N	\N
650555	2222	1995-04-21	VYDAJ	VYBER	25400	66691	\N	\N	\N
650556	2222	1995-05-21	VYDAJ	VYBER	29200	73489	\N	\N	\N
650557	2222	1995-06-20	PRIJEM	VKLAD	9200	32476	\N	\N	\N
650558	2222	1995-07-20	VYDAJ	VYBER	6700	49326	\N	\N	\N
650559	2222	1995-08-19	VYDAJ	VYBER	9200	52880	\N	\N	\N
650560	2222	1995-08-27	VYDAJ	VYBER	21400	99205	\N	\N	\N
650561	2222	1995-09-14	VYDAJ	VYBER	51100	84063	\N	\N	\N
650562	2222	1995-09-18	VYDAJ	VYBER	17000	57436	\N	\N	\N
650563	2222	1995-10-18	VYDAJ	VYBER	7600	49542	\N	\N	\N
650564	2222	1995-11-17	VYDAJ	VYBER	1900	43053	\N	\N	\N
650565	2222	1995-12-17	VYDAJ	VYBER	19600	56950	\N	\N	\N
650566	2222	1996-01-16	PRIJEM	VKLAD	6400	35396	\N	\N	\N
650567	2222	1996-02-15	PRIJEM	VKLAD	1600	37076	\N	\N	\N
650568	2222	1996-03-16	PRIJEM	VKLAD	100	37308	\N	\N	\N
650569	2222	1996-04-15	PRIJEM	VKLAD	7800	30847	\N	\N	\N
650570	2222	1996-05-15	PRIJEM	VKLAD	1700	32672	\N	\N	\N
650571	2222	1996-06-14	VYDAJ	VYBER	8500	39701	\N	\N	\N
650572	2222	1996-07-14	VYDAJ	VYBER	4100	35784	\N	\N	\N
650573	2222	1996-08-13	PRIJEM	VKLAD	1700	30133	\N	\N	\N
650574	2222	1996-09-12	PRIJEM	VKLAD	4100	29842	\N	\N	\N
650575	2222	1996-10-12	PRIJEM	VKLAD	1100	31033	\N	\N	\N
650576	2222	1996-11-11	VYDAJ	VYBER	16900	54220	\N	\N	\N
650577	2222	1996-12-11	PRIJEM	VKLAD	4000	34229	\N	\N	\N
650578	2222	1997-01-10	PRIJEM	VKLAD	2600	31234	\N	\N	\N
650579	2222	1997-02-09	VYDAJ	VYBER	22400	54563	\N	\N	\N
650580	2222	1997-03-11	VYDAJ	VYBER	1200	38104	\N	\N	\N
650581	2222	1997-04-10	VYDAJ	VYBER	15500	56766	\N	\N	\N
650582	2222	1997-05-05	VYDAJ	VYBER	23200	106417	\N	\N	\N
650583	2222	1997-05-10	VYDAJ	VYBER	30900	75517	\N	\N	\N
650584	2222	1997-06-09	VYDAJ	VYBER	17500	58346	\N	\N	\N
650585	2222	1997-07-09	VYDAJ	VYBER	4000	39648	\N	\N	\N
650586	2222	1997-08-08	PRIJEM	VKLAD	1800	32272	\N	\N	\N
650587	2222	1997-09-07	VYDAJ	VYBER	100	32281	\N	\N	\N
650588	2222	1997-10-07	VYDAJ	VYBER	2200	30198	\N	\N	\N
650589	2222	1997-11-06	VYDAJ	VYBER	2200	28114	\N	\N	\N
650590	2222	1997-12-06	VYDAJ	VYBER	4900	23321	\N	\N	\N
650591	2222	1998-01-05	VYDAJ	VYBER	18600	42981	\N	\N	\N
650592	2222	1998-01-16	VYDAJ	VYBER	40500	82823	\N	\N	\N
650593	2222	1998-02-04	VYDAJ	VYBER	19900	41864	\N	\N	\N
650594	2222	1998-03-06	VYDAJ	VYBER	16400	41984	\N	\N	\N
650595	2222	1998-04-05	VYDAJ	VYBER	23700	52282	\N	\N	\N
650596	2222	1998-05-05	VYDAJ	VYBER	40400	64150	\N	\N	\N
650597	2222	1998-05-31	VYDAJ	VYBER	33600	72560	\N	\N	\N
650598	2222	1998-06-04	VYDAJ	VYBER	37100	64358	\N	\N	\N
650599	2222	1998-06-26	VYDAJ	VYBER	24700	109879	\N	\N	\N
650600	2222	1998-07-02	VYDAJ	VYBER	62800	79370	\N	\N	\N
650601	2222	1998-07-04	VYDAJ	VYBER	28000	51370	\N	\N	\N
650602	2222	1998-07-14	VYDAJ	VYBER	20700	117889	\N	\N	\N
650603	2222	1998-07-31	VYDAJ	VYBER	38400	79915	\N	\N	\N
650604	2222	1998-08-03	VYDAJ	VYBER	32000	47901	\N	\N	\N
650605	2222	1998-09-02	VYDAJ	VYBER	34500	51738	\N	\N	\N
650606	2222	1998-10-02	VYDAJ	VYBER	16300	35773	\N	\N	\N
650607	2222	1998-11-01	VYDAJ	VYBER	32800	58602	\N	\N	\N
650608	2222	1998-11-23	VYDAJ	VYBER	15400	105401	\N	\N	\N
650609	2222	1998-12-01	VYDAJ	VYBER	25900	66632	\N	\N	\N
650610	2222	1998-12-27	VYDAJ	VYBER	32600	99940	\N	\N	\N
650679	2223	1996-01-05	PRIJEM	VKLAD	700	700	\N	\N	\N
650680	2223	1996-01-09	PRIJEM	PREVOD Z UCTU	4396	5096	DUCHOD	CD	18973642
650681	2223	1996-02-09	PRIJEM	PREVOD Z UCTU	4396	9508	DUCHOD	CD	18973642
650682	2223	1996-03-09	PRIJEM	PREVOD Z UCTU	4396	13925	DUCHOD	CD	18973642
650683	2223	1996-04-09	PRIJEM	PREVOD Z UCTU	4396	18342	DUCHOD	CD	18973642
650684	2223	1996-05-09	PRIJEM	PREVOD Z UCTU	4396	22759	DUCHOD	CD	18973642
650685	2223	1996-06-09	PRIJEM	PREVOD Z UCTU	4396	23370	DUCHOD	CD	18973642
650686	2223	1996-07-09	PRIJEM	PREVOD Z UCTU	4396	22906	DUCHOD	CD	18973642
650687	2223	1996-08-09	PRIJEM	PREVOD Z UCTU	4396	20510	DUCHOD	CD	18973642
650688	2223	1996-09-09	PRIJEM	PREVOD Z UCTU	4396	21932	DUCHOD	CD	18973642
650689	2223	1996-10-09	PRIJEM	PREVOD Z UCTU	4396	20563	DUCHOD	CD	18973642
650690	2223	1996-11-09	PRIJEM	PREVOD Z UCTU	4396	16868	DUCHOD	CD	18973642
650691	2223	1996-12-09	PRIJEM	PREVOD Z UCTU	4396	17375	DUCHOD	CD	18973642
650692	2223	1997-01-09	PRIJEM	PREVOD Z UCTU	4396	17681	DUCHOD	CD	18973642
650693	2223	1997-02-09	PRIJEM	PREVOD Z UCTU	4396	19192	DUCHOD	CD	18973642
650694	2223	1997-03-09	PRIJEM	PREVOD Z UCTU	4396	19108	DUCHOD	CD	18973642
650695	2223	1997-04-09	PRIJEM	PREVOD Z UCTU	4396	18828	DUCHOD	CD	18973642
650696	2223	1997-05-09	PRIJEM	PREVOD Z UCTU	4396	20343	DUCHOD	CD	18973642
650697	2223	1997-06-09	PRIJEM	PREVOD Z UCTU	4396	21865	DUCHOD	CD	18973642
650698	2223	1997-07-09	PRIJEM	PREVOD Z UCTU	4396	19691	DUCHOD	CD	18973642
650699	2223	1997-08-09	PRIJEM	PREVOD Z UCTU	4396	18486	DUCHOD	CD	18973642
650700	2223	1997-09-09	PRIJEM	PREVOD Z UCTU	4396	16598	DUCHOD	CD	18973642
650701	2223	1997-10-09	PRIJEM	PREVOD Z UCTU	4396	18103	DUCHOD	CD	18973642
650702	2223	1997-11-09	PRIJEM	PREVOD Z UCTU	4396	16568	DUCHOD	CD	18973642
650703	2223	1997-12-09	PRIJEM	PREVOD Z UCTU	4396	17595	DUCHOD	CD	18973642
650704	2223	1998-01-09	PRIJEM	PREVOD Z UCTU	4396	18154	DUCHOD	CD	18973642
650705	2223	1998-02-09	PRIJEM	PREVOD Z UCTU	4396	19666	DUCHOD	CD	18973642
650706	2223	1998-03-09	PRIJEM	PREVOD Z UCTU	4396	21185	DUCHOD	CD	18973642
650707	2223	1998-04-09	PRIJEM	PREVOD Z UCTU	4396	21348	DUCHOD	CD	18973642
650708	2223	1998-05-09	PRIJEM	PREVOD Z UCTU	4396	22874	DUCHOD	CD	18973642
650709	2223	1998-06-09	PRIJEM	PREVOD Z UCTU	4396	21599	DUCHOD	CD	18973642
650710	2223	1998-07-09	PRIJEM	PREVOD Z UCTU	4396	19402	DUCHOD	CD	18973642
650711	2223	1998-08-09	PRIJEM	PREVOD Z UCTU	4396	19518	DUCHOD	CD	18973642
650712	2223	1998-09-09	PRIJEM	PREVOD Z UCTU	4396	19433	DUCHOD	CD	18973642
650713	2223	1998-10-09	PRIJEM	PREVOD Z UCTU	4396	18829	DUCHOD	CD	18973642
650714	2223	1998-11-09	PRIJEM	PREVOD Z UCTU	4396	18444	DUCHOD	CD	18973642
650715	2223	1998-12-09	PRIJEM	PREVOD Z UCTU	4396	19957	DUCHOD	CD	18973642
650720	2223	1996-05-13	VYDAJ	PREVOD NA UCET	2930	19829	SIPO	IJ	22266888
650721	2223	1996-06-13	VYDAJ	PREVOD NA UCET	2930	20440	SIPO	IJ	22266888
650722	2223	1996-07-13	VYDAJ	PREVOD NA UCET	2930	16056	SIPO	IJ	22266888
650723	2223	1996-08-13	VYDAJ	PREVOD NA UCET	2930	17580	SIPO	IJ	22266888
650724	2223	1996-09-13	VYDAJ	PREVOD NA UCET	2930	19002	SIPO	IJ	22266888
650725	2223	1996-10-13	VYDAJ	PREVOD NA UCET	2930	17633	SIPO	IJ	22266888
650726	2223	1996-11-13	VYDAJ	PREVOD NA UCET	2930	13938	SIPO	IJ	22266888
650727	2223	1996-12-13	VYDAJ	PREVOD NA UCET	2930	14445	SIPO	IJ	22266888
650728	2223	1997-01-13	VYDAJ	PREVOD NA UCET	2930	14751	SIPO	IJ	22266888
650729	2223	1997-02-13	VYDAJ	PREVOD NA UCET	2930	16262	SIPO	IJ	22266888
650730	2223	1997-03-13	VYDAJ	PREVOD NA UCET	2930	16178	SIPO	IJ	22266888
650731	2223	1997-04-13	VYDAJ	PREVOD NA UCET	2930	15898	SIPO	IJ	22266888
650732	2223	1997-05-13	VYDAJ	PREVOD NA UCET	2930	17413	SIPO	IJ	22266888
650733	2223	1997-06-13	VYDAJ	PREVOD NA UCET	2930	18935	SIPO	IJ	22266888
650734	2223	1997-07-13	VYDAJ	PREVOD NA UCET	2930	16761	SIPO	IJ	22266888
650735	2223	1997-08-13	VYDAJ	PREVOD NA UCET	2930	15556	SIPO	IJ	22266888
650736	2223	1997-09-13	VYDAJ	PREVOD NA UCET	2930	13668	SIPO	IJ	22266888
650737	2223	1997-10-13	VYDAJ	PREVOD NA UCET	2930	12133	SIPO	IJ	22266888
650738	2223	1997-11-13	VYDAJ	PREVOD NA UCET	2930	13158	SIPO	IJ	22266888
650739	2223	1997-12-13	VYDAJ	PREVOD NA UCET	2930	14665	SIPO	IJ	22266888
650740	2223	1998-01-13	VYDAJ	PREVOD NA UCET	2930	15224	SIPO	IJ	22266888
650741	2223	1998-02-13	VYDAJ	PREVOD NA UCET	2930	16736	SIPO	IJ	22266888
650742	2223	1998-03-13	VYDAJ	PREVOD NA UCET	2930	18255	SIPO	IJ	22266888
650743	2223	1998-04-13	VYDAJ	PREVOD NA UCET	2930	18418	SIPO	IJ	22266888
650744	2223	1998-05-13	VYDAJ	PREVOD NA UCET	2930	17144	SIPO	IJ	22266888
650745	2223	1998-06-13	VYDAJ	PREVOD NA UCET	2930	18669	SIPO	IJ	22266888
650746	2223	1998-07-13	VYDAJ	PREVOD NA UCET	2930	16472	SIPO	IJ	22266888
650747	2223	1998-08-13	VYDAJ	PREVOD NA UCET	2930	16588	SIPO	IJ	22266888
650748	2223	1998-09-13	VYDAJ	PREVOD NA UCET	2930	16503	SIPO	IJ	22266888
650749	2223	1998-10-13	VYDAJ	PREVOD NA UCET	2930	15899	SIPO	IJ	22266888
650750	2223	1998-11-13	VYDAJ	PREVOD NA UCET	2930	15514	SIPO	IJ	22266888
650751	2223	1998-12-13	VYDAJ	PREVOD NA UCET	2930	17027	SIPO	IJ	22266888
650758	2223	1996-12-14	VYDAJ	VYBER	1200	13245	\N	\N	\N
650759	2223	1997-12-27	VYDAJ	VYBER	950	13715	\N	\N	\N
650764	2223	1996-07-11	VYDAJ	VYBER	3920	18986	\N	\N	\N
650765	2223	1996-06-22	VYDAJ	VYBER	1280	19160	\N	\N	\N
650766	2223	1996-10-26	VYDAJ	VYBER	3120	14513	\N	\N	\N
650767	2223	1996-07-03	VYDAJ	VYBER	720	18510	\N	\N	\N
650768	2223	1997-03-08	VYDAJ	VYBER	1600	14712	\N	\N	\N
650770	2223	1997-07-22	VYDAJ	VYBER	2720	14041	\N	\N	\N
650771	2223	1997-10-11	VYDAJ	VYBER	3040	15063	\N	\N	\N
650773	2223	1997-11-09	VYDAJ	VYBER	480	16088	\N	\N	\N
650776	2223	1998-06-28	VYDAJ	VYBER	1120	14949	\N	\N	\N
650777	2223	1998-10-03	VYDAJ	VYBER	720	14433	\N	\N	\N
650778	2223	1998-05-10	VYDAJ	VYBER	2800	20074	\N	\N	\N
650779	2223	1998-03-27	VYDAJ	VYBER	1360	16895	\N	\N	\N
650785	2223	1996-05-31	VYDAJ	VYBER	15	19874	SLUZBY	\N	\N
650786	2223	1996-06-30	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
650787	2223	1996-07-31	VYDAJ	VYBER	15	16114	SLUZBY	\N	\N
650788	2223	1996-08-31	VYDAJ	VYBER	15	17636	SLUZBY	\N	\N
650789	2223	1996-09-30	VYDAJ	VYBER	15	19067	SLUZBY	\N	\N
650790	2223	1996-10-31	VYDAJ	VYBER	15	12472	SLUZBY	\N	\N
650791	2223	1996-11-30	VYDAJ	VYBER	15	12979	SLUZBY	\N	\N
650792	2223	1996-12-31	VYDAJ	VYBER	15	13285	SLUZBY	\N	\N
650793	2223	1997-01-31	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
650794	2223	1997-02-28	VYDAJ	VYBER	15	16312	SLUZBY	\N	\N
650795	2223	1997-03-31	VYDAJ	VYBER	15	14432	SLUZBY	\N	\N
650796	2223	1997-04-30	VYDAJ	VYBER	15	15947	SLUZBY	\N	\N
650797	2223	1997-05-31	VYDAJ	VYBER	15	17469	SLUZBY	\N	\N
650798	2223	1997-06-30	VYDAJ	VYBER	15	15295	SLUZBY	\N	\N
650799	2223	1997-07-31	VYDAJ	VYBER	15	14090	SLUZBY	\N	\N
650800	2223	1997-08-31	VYDAJ	VYBER	15	12202	SLUZBY	\N	\N
650801	2223	1997-09-30	VYDAJ	VYBER	15	13707	SLUZBY	\N	\N
650802	2223	1997-10-31	VYDAJ	VYBER	15	12172	SLUZBY	\N	\N
650803	2223	1997-11-30	VYDAJ	VYBER	15	13199	SLUZBY	\N	\N
650804	2223	1997-12-31	VYDAJ	VYBER	15	13758	SLUZBY	\N	\N
650805	2223	1998-01-31	VYDAJ	VYBER	15	15270	SLUZBY	\N	\N
650806	2223	1998-02-28	VYDAJ	VYBER	15	16789	SLUZBY	\N	\N
650807	2223	1998-03-31	VYDAJ	VYBER	15	16952	SLUZBY	\N	\N
650808	2223	1998-04-30	VYDAJ	VYBER	15	18478	SLUZBY	\N	\N
650809	2223	1998-05-31	VYDAJ	VYBER	15	17203	SLUZBY	\N	\N
650810	2223	1998-06-30	VYDAJ	VYBER	15	15006	SLUZBY	\N	\N
650811	2223	1998-07-31	VYDAJ	VYBER	15	15122	SLUZBY	\N	\N
650812	2223	1998-08-31	VYDAJ	VYBER	15	15037	SLUZBY	\N	\N
650813	2223	1998-09-30	VYDAJ	VYBER	15	15153	SLUZBY	\N	\N
650814	2223	1998-10-31	VYDAJ	VYBER	15	14048	SLUZBY	\N	\N
650815	2223	1998-11-30	VYDAJ	VYBER	15	15561	SLUZBY	\N	\N
650816	2223	1996-06-03	VYDAJ	VYBER	900	18974	\N	\N	\N
650817	2223	1996-09-01	VYDAJ	VYBER	100	17536	\N	\N	\N
650818	2223	1996-10-01	VYDAJ	VYBER	2900	16167	\N	\N	\N
650819	2223	1996-10-31	VYDAJ	VYBER	2100	12487	\N	\N	\N
650820	2223	1996-11-30	VYDAJ	VYBER	1000	12994	\N	\N	\N
650821	2223	1997-03-30	VYDAJ	VYBER	1800	14378	\N	\N	\N
650822	2223	1997-06-28	VYDAJ	VYBER	3700	15235	\N	\N	\N
650823	2223	1997-08-27	VYDAJ	VYBER	3400	12156	\N	\N	\N
650824	2223	1998-06-23	VYDAJ	VYBER	2600	16069	\N	\N	\N
650825	2223	1998-07-23	VYDAJ	VYBER	1400	15072	\N	\N	\N
650826	2223	1998-08-22	VYDAJ	VYBER	1600	14988	\N	\N	\N
650827	2223	1998-09-21	VYDAJ	VYBER	1400	15103	\N	\N	\N
650828	2223	1998-10-21	VYDAJ	VYBER	1900	13999	\N	\N	\N
650829	2223	1998-12-20	VYDAJ	VYBER	3300	13727	\N	\N	\N
650866	2224	1997-03-08	PRIJEM	VKLAD	400	400	\N	\N	\N
650870	2224	1997-04-05	PRIJEM	PREVOD Z UCTU	23242	23642	\N	YZ	57801884
650871	2224	1997-05-05	PRIJEM	PREVOD Z UCTU	23242	46662	\N	YZ	57801884
650872	2224	1997-06-05	PRIJEM	PREVOD Z UCTU	34863	71767	\N	YZ	57801884
650873	2224	1997-07-05	PRIJEM	PREVOD Z UCTU	23242	68592	\N	YZ	57801884
650874	2224	1997-08-05	PRIJEM	PREVOD Z UCTU	23242	67016	\N	YZ	57801884
650875	2224	1997-09-05	PRIJEM	PREVOD Z UCTU	23242	42654	\N	YZ	57801884
650876	2224	1997-10-05	PRIJEM	PREVOD Z UCTU	23242	55861	\N	YZ	57801884
650877	2224	1997-11-05	PRIJEM	PREVOD Z UCTU	23242	57400	\N	YZ	57801884
650878	2224	1997-12-05	PRIJEM	PREVOD Z UCTU	34863	65928	\N	YZ	57801884
650879	2224	1998-01-05	PRIJEM	PREVOD Z UCTU	23242	60718	\N	YZ	57801884
650880	2224	1998-02-05	PRIJEM	PREVOD Z UCTU	23242	47355	\N	YZ	57801884
650881	2224	1998-03-05	PRIJEM	PREVOD Z UCTU	23242	62771	\N	YZ	57801884
650882	2224	1998-04-05	PRIJEM	PREVOD Z UCTU	23242	72263	\N	YZ	57801884
650883	2224	1998-05-05	PRIJEM	PREVOD Z UCTU	23242	69065	\N	YZ	57801884
650884	2224	1998-06-05	PRIJEM	PREVOD Z UCTU	34863	83411	\N	YZ	57801884
650885	2224	1998-07-05	PRIJEM	PREVOD Z UCTU	23242	64108	\N	YZ	57801884
650886	2224	1998-08-05	PRIJEM	PREVOD Z UCTU	23242	72107	\N	YZ	57801884
650887	2224	1998-09-05	PRIJEM	PREVOD Z UCTU	23242	78154	\N	YZ	57801884
650888	2224	1998-10-05	PRIJEM	PREVOD Z UCTU	23242	78725	\N	YZ	57801884
650889	2224	1998-11-05	PRIJEM	PREVOD Z UCTU	23242	80898	\N	YZ	57801884
650890	2224	1998-12-05	PRIJEM	PREVOD Z UCTU	34863	88803	\N	YZ	57801884
650918	2224	1997-08-29	VYBER	VYBER	22651	18765	\N	\N	\N
650921	2224	1997-11-15	VYBER	VYBER	15035	42365	\N	\N	\N
650923	2224	1998-01-14	VYBER	VYBER	12254	40964	\N	\N	\N
650925	2224	1998-06-12	VYDAJ	VYBER	25200	58211	\N	\N	\N
650928	2224	1997-12-19	VYDAJ	VYBER	6300	59628	\N	\N	\N
650929	2224	1998-12-02	VYDAJ	VYBER	8400	53940	\N	\N	\N
650936	2224	1998-01-16	VYDAJ	VYBER	6900	27764	\N	\N	\N
650937	2224	1998-01-19	VYDAJ	VYBER	3600	24164	\N	\N	\N
650938	2224	1998-01-06	VYDAJ	VYBER	7500	53218	\N	\N	\N
650939	2224	1998-01-26	VYDAJ	VYBER	1500	18164	\N	\N	\N
650940	2224	1998-01-21	VYDAJ	VYBER	4500	19664	\N	\N	\N
650941	2224	1998-01-14	VYDAJ	VYBER	6300	34664	\N	\N	\N
650944	2224	1997-10-10	VYDAJ	VYBER	9600	46261	\N	\N	\N
650947	2224	1997-12-29	VYDAJ	VYBER	8100	51528	\N	\N	\N
650948	2224	1998-04-11	VYDAJ	VYBER	12900	59363	\N	\N	\N
650949	2224	1998-06-18	VYDAJ	VYBER	9600	48611	\N	\N	\N
650950	2224	1998-02-21	VYDAJ	VYBER	5100	42255	\N	\N	\N
650959	2224	1997-08-31	VYDAJ	VYBER	100	18912	SLUZBY	\N	\N
650960	2224	1997-09-30	VYDAJ	VYBER	100	42719	SLUZBY	\N	\N
650961	2224	1997-10-31	VYDAJ	VYBER	100	46358	SLUZBY	\N	\N
650962	2224	1997-11-30	VYDAJ	VYBER	100	42465	SLUZBY	\N	\N
650963	2224	1997-12-31	VYDAJ	VYBER	100	51676	SLUZBY	\N	\N
650964	2224	1998-01-31	VYDAJ	VYBER	100	18213	SLUZBY	\N	\N
650965	2224	1998-02-28	VYDAJ	VYBER	100	42329	SLUZBY	\N	\N
650966	2224	1998-03-31	VYDAJ	VYBER	100	62921	SLUZBY	\N	\N
650967	2224	1998-04-30	VYDAJ	VYBER	100	59523	SLUZBY	\N	\N
650968	2224	1998-05-31	VYDAJ	VYBER	100	69248	SLUZBY	\N	\N
650969	2224	1998-06-30	VYDAJ	VYBER	100	48766	SLUZBY	\N	\N
650970	2224	1998-07-31	VYDAJ	VYBER	100	48865	SLUZBY	\N	\N
650971	2224	1998-08-31	VYDAJ	VYBER	100	54912	SLUZBY	\N	\N
650972	2224	1998-09-30	VYDAJ	VYBER	100	55483	SLUZBY	\N	\N
650973	2224	1998-10-31	VYDAJ	VYBER	100	57656	SLUZBY	\N	\N
650974	2224	1998-11-30	VYDAJ	VYBER	100	62340	SLUZBY	\N	\N
650975	2224	1997-04-07	VYDAJ	VYBER	300	23342	\N	\N	\N
650976	2224	1997-05-07	VYDAJ	VYBER	9900	36762	\N	\N	\N
650977	2224	1997-06-06	VYDAJ	VYBER	26600	45167	\N	\N	\N
650978	2224	1997-07-06	VYDAJ	VYBER	25000	43592	\N	\N	\N
650979	2224	1997-08-05	VYDAJ	VYBER	25600	41416	\N	\N	\N
650980	2224	1997-09-04	PRIJEM	VKLAD	500	19412	\N	\N	\N
650981	2224	1997-10-04	VYDAJ	VYBER	10100	32619	\N	\N	\N
650982	2224	1997-11-03	VYDAJ	VYBER	12200	34158	\N	\N	\N
650983	2224	1997-12-03	VYDAJ	VYBER	11400	31065	\N	\N	\N
650984	2224	1998-01-02	VYDAJ	VYBER	14200	37476	\N	\N	\N
650985	2224	1998-02-01	PRIJEM	VKLAD	5900	24113	\N	\N	\N
650986	2224	1998-03-03	VYDAJ	VYBER	2800	39529	\N	\N	\N
650987	2224	1998-04-02	VYDAJ	VYBER	13900	49021	\N	\N	\N
650988	2224	1998-05-02	VYDAJ	VYBER	13700	45823	\N	\N	\N
650989	2224	1998-06-01	VYDAJ	VYBER	20700	48548	\N	\N	\N
650990	2224	1998-07-01	VYDAJ	VYBER	7900	40866	\N	\N	\N
650991	2224	1998-07-31	VYDAJ	VYBER	15400	48965	\N	\N	\N
650992	2224	1998-08-30	VYDAJ	VYBER	17300	54807	\N	\N	\N
650993	2224	1998-09-29	VYDAJ	VYBER	22800	55354	\N	\N	\N
650994	2224	1998-10-29	VYDAJ	VYBER	21200	57525	\N	\N	\N
650995	2224	1998-11-28	VYDAJ	VYBER	18700	62198	\N	\N	\N
651017	2225	1996-01-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
651019	2225	1996-02-08	PRIJEM	PREVOD Z UCTU	4272	5272	DUCHOD	YZ	95913230
651020	2225	1996-03-08	PRIJEM	PREVOD Z UCTU	4272	9544	DUCHOD	YZ	95913230
651021	2225	1996-04-08	PRIJEM	PREVOD Z UCTU	4272	13816	DUCHOD	YZ	95913230
651022	2225	1996-05-08	PRIJEM	PREVOD Z UCTU	4272	18088	DUCHOD	YZ	95913230
651023	2225	1996-06-08	PRIJEM	PREVOD Z UCTU	4272	22360	DUCHOD	YZ	95913230
651024	2225	1996-07-08	PRIJEM	PREVOD Z UCTU	4272	21771	DUCHOD	YZ	95913230
651025	2225	1996-08-08	PRIJEM	PREVOD Z UCTU	4272	24171	DUCHOD	YZ	95913230
651026	2225	1996-09-08	PRIJEM	PREVOD Z UCTU	4272	26581	DUCHOD	YZ	95913230
651027	2225	1996-10-08	PRIJEM	PREVOD Z UCTU	4272	25794	DUCHOD	YZ	95913230
651028	2225	1996-11-08	PRIJEM	PREVOD Z UCTU	4272	23486	DUCHOD	YZ	95913230
651029	2225	1996-12-08	PRIJEM	PREVOD Z UCTU	4272	24289	DUCHOD	YZ	95913230
651030	2225	1997-01-08	PRIJEM	PREVOD Z UCTU	4272	15866	DUCHOD	YZ	95913230
651031	2225	1997-02-08	PRIJEM	PREVOD Z UCTU	4272	15035	DUCHOD	YZ	95913230
651032	2225	1997-03-08	PRIJEM	PREVOD Z UCTU	4272	16686	DUCHOD	YZ	95913230
651033	2225	1997-04-08	PRIJEM	PREVOD Z UCTU	4272	19065	DUCHOD	YZ	95913230
651034	2225	1997-05-08	PRIJEM	PREVOD Z UCTU	4272	21453	DUCHOD	YZ	95913230
651035	2225	1997-06-08	PRIJEM	PREVOD Z UCTU	4272	18750	DUCHOD	YZ	95913230
651036	2225	1997-07-08	PRIJEM	PREVOD Z UCTU	4272	20098	DUCHOD	YZ	95913230
651037	2225	1997-08-08	PRIJEM	PREVOD Z UCTU	4272	19845	DUCHOD	YZ	95913230
651038	2225	1997-09-08	PRIJEM	PREVOD Z UCTU	4272	21735	DUCHOD	YZ	95913230
651039	2225	1997-10-08	PRIJEM	PREVOD Z UCTU	4272	16002	DUCHOD	YZ	95913230
651040	2225	1997-11-08	PRIJEM	PREVOD Z UCTU	4272	16574	DUCHOD	YZ	95913230
651041	2225	1997-12-08	PRIJEM	PREVOD Z UCTU	4272	17149	DUCHOD	YZ	95913230
651042	2225	1998-01-08	PRIJEM	PREVOD Z UCTU	4272	14938	DUCHOD	YZ	95913230
651043	2225	1998-02-08	PRIJEM	PREVOD Z UCTU	4272	15464	DUCHOD	YZ	95913230
651044	2225	1998-03-08	PRIJEM	PREVOD Z UCTU	4272	16317	DUCHOD	YZ	95913230
651045	2225	1998-04-08	PRIJEM	PREVOD Z UCTU	4272	18694	DUCHOD	YZ	95913230
651046	2225	1998-05-08	PRIJEM	PREVOD Z UCTU	4272	21081	DUCHOD	YZ	95913230
651047	2225	1998-06-08	PRIJEM	PREVOD Z UCTU	4272	20430	DUCHOD	YZ	95913230
651048	2225	1998-07-08	PRIJEM	PREVOD Z UCTU	4272	20573	DUCHOD	YZ	95913230
651049	2225	1998-08-08	PRIJEM	PREVOD Z UCTU	4272	22967	DUCHOD	YZ	95913230
651050	2225	1998-09-08	PRIJEM	PREVOD Z UCTU	4272	14742	DUCHOD	YZ	95913230
651051	2225	1998-10-08	PRIJEM	PREVOD Z UCTU	4272	16551	DUCHOD	YZ	95913230
651052	2225	1998-11-08	PRIJEM	PREVOD Z UCTU	4272	16367	DUCHOD	YZ	95913230
651053	2225	1998-12-08	PRIJEM	PREVOD Z UCTU	4272	18744	DUCHOD	YZ	95913230
651060	2225	1996-07-06	VYDAJ	PREVOD NA UCET	1946	17499	SIPO	GH	42774206
651061	2225	1996-08-06	VYDAJ	PREVOD NA UCET	1946	19899	SIPO	GH	42774206
651062	2225	1996-09-06	VYDAJ	PREVOD NA UCET	1946	22309	SIPO	GH	42774206
651063	2225	1996-10-06	VYDAJ	PREVOD NA UCET	1946	21522	SIPO	GH	42774206
651064	2225	1996-11-06	VYDAJ	PREVOD NA UCET	1946	19214	SIPO	GH	42774206
651065	2225	1996-12-06	VYDAJ	PREVOD NA UCET	1946	20017	SIPO	GH	42774206
651066	2225	1997-01-06	VYDAJ	PREVOD NA UCET	1946	11594	SIPO	GH	42774206
651067	2225	1997-02-06	VYDAJ	PREVOD NA UCET	1946	10763	SIPO	GH	42774206
651068	2225	1997-03-06	VYDAJ	PREVOD NA UCET	1946	12414	SIPO	GH	42774206
651069	2225	1997-04-06	VYDAJ	PREVOD NA UCET	1946	14793	SIPO	GH	42774206
651070	2225	1997-05-06	VYDAJ	PREVOD NA UCET	1946	17181	SIPO	GH	42774206
651071	2225	1997-06-06	VYDAJ	PREVOD NA UCET	1946	18578	SIPO	GH	42774206
651072	2225	1997-07-06	VYDAJ	PREVOD NA UCET	1946	15826	SIPO	GH	42774206
651073	2225	1997-08-06	VYDAJ	PREVOD NA UCET	1946	15573	SIPO	GH	42774206
651074	2225	1997-09-06	VYDAJ	PREVOD NA UCET	1946	17463	SIPO	GH	42774206
651075	2225	1997-10-06	VYDAJ	PREVOD NA UCET	1946	11730	SIPO	GH	42774206
651076	2225	1997-11-06	VYDAJ	PREVOD NA UCET	1946	12302	SIPO	GH	42774206
651077	2225	1997-12-06	VYDAJ	PREVOD NA UCET	1946	12877	SIPO	GH	42774206
651078	2225	1998-01-06	VYDAJ	PREVOD NA UCET	1946	10666	SIPO	GH	42774206
651079	2225	1998-02-06	VYDAJ	PREVOD NA UCET	1946	11192	SIPO	GH	42774206
651080	2225	1998-03-06	VYDAJ	PREVOD NA UCET	1946	12045	SIPO	GH	42774206
651081	2225	1998-04-06	VYDAJ	PREVOD NA UCET	1946	14422	SIPO	GH	42774206
651082	2225	1998-05-06	VYDAJ	PREVOD NA UCET	1946	16809	SIPO	GH	42774206
651083	2225	1998-06-06	VYDAJ	PREVOD NA UCET	1946	16158	SIPO	GH	42774206
651084	2225	1998-07-06	VYDAJ	PREVOD NA UCET	1946	16301	SIPO	GH	42774206
651085	2225	1998-08-06	VYDAJ	PREVOD NA UCET	1946	18695	SIPO	GH	42774206
651086	2225	1998-09-06	VYDAJ	PREVOD NA UCET	1946	10470	SIPO	GH	42774206
651087	2225	1998-10-06	VYDAJ	PREVOD NA UCET	1946	12279	SIPO	GH	42774206
651088	2225	1998-11-06	VYDAJ	PREVOD NA UCET	1946	12095	SIPO	GH	42774206
651089	2225	1998-12-06	VYDAJ	PREVOD NA UCET	1946	14472	SIPO	GH	42774206
651091	2225	1997-06-07	VYDAJ	VYBER	4100	14478	\N	\N	\N
651092	2225	1998-06-29	VYDAJ	VYBER	2250	18180	\N	\N	\N
651094	2225	1997-01-03	VYDAJ	VYBER	4900	14020	\N	\N	\N
651096	2225	1996-12-19	VYDAJ	VYBER	1350	22939	\N	\N	\N
651097	2225	1997-12-02	VYDAJ	VYBER	500	14823	\N	\N	\N
651098	2225	1998-12-14	VYDAJ	VYBER	1400	17344	\N	\N	\N
651106	2225	1997-01-09	VYDAJ	VYBER	1200	14666	\N	\N	\N
651107	2225	1997-01-03	VYDAJ	VYBER	1920	18920	\N	\N	\N
651108	2225	1997-01-06	VYDAJ	VYBER	480	13540	\N	\N	\N
651109	2225	1997-01-02	VYDAJ	VYBER	1680	20840	\N	\N	\N
651110	2225	1997-01-15	VYDAJ	VYBER	2000	12666	\N	\N	\N
651112	2225	1998-01-09	VYDAJ	VYBER	1840	13098	\N	\N	\N
651117	2225	1996-09-16	VYDAJ	VYBER	3200	23381	\N	\N	\N
651118	2225	1996-10-26	VYDAJ	VYBER	3840	21074	\N	\N	\N
651119	2225	1996-11-11	VYDAJ	VYBER	1600	21886	\N	\N	\N
651120	2225	1996-06-09	VYDAJ	VYBER	2960	19400	\N	\N	\N
651122	2225	1996-10-20	VYDAJ	VYBER	880	24914	\N	\N	\N
651123	2225	1997-12-08	VYDAJ	VYBER	3280	13869	\N	\N	\N
651124	2225	1997-02-21	VYDAJ	VYBER	720	14315	\N	\N	\N
651125	2225	1997-09-23	VYDAJ	VYBER	720	15615	\N	\N	\N
651126	2225	1997-10-05	VYDAJ	VYBER	2000	13676	\N	\N	\N
651127	2225	1997-07-15	VYDAJ	VYBER	2640	17458	\N	\N	\N
651128	2225	1997-06-15	VYDAJ	VYBER	1040	17710	\N	\N	\N
651131	2225	1997-10-11	VYDAJ	VYBER	400	15602	\N	\N	\N
651132	2225	1998-10-26	VYDAJ	VYBER	2560	13991	\N	\N	\N
651133	2225	1998-03-01	VYDAJ	VYBER	1520	13991	\N	\N	\N
651135	2225	1998-05-12	VYDAJ	VYBER	3040	18041	\N	\N	\N
651136	2225	1998-09-20	VYDAJ	VYBER	560	14182	\N	\N	\N
651143	2225	1996-06-30	VYDAJ	VYBER	15	19445	SLUZBY	\N	\N
651144	2225	1996-07-31	VYDAJ	VYBER	15	21845	SLUZBY	\N	\N
651145	2225	1996-08-31	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
651146	2225	1996-09-30	VYDAJ	VYBER	15	23468	SLUZBY	\N	\N
651147	2225	1996-10-31	VYDAJ	VYBER	15	21160	SLUZBY	\N	\N
651148	2225	1996-11-30	VYDAJ	VYBER	15	21963	SLUZBY	\N	\N
651149	2225	1996-12-31	VYDAJ	VYBER	15	22520	SLUZBY	\N	\N
651150	2225	1997-01-31	VYDAJ	VYBER	15	12709	SLUZBY	\N	\N
651151	2225	1997-02-28	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
651152	2225	1997-03-31	VYDAJ	VYBER	15	16739	SLUZBY	\N	\N
651153	2225	1997-04-30	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
651154	2225	1997-05-31	VYDAJ	VYBER	15	20524	SLUZBY	\N	\N
651155	2225	1997-06-30	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
651156	2225	1997-07-31	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
651157	2225	1997-08-31	VYDAJ	VYBER	15	19409	SLUZBY	\N	\N
651158	2225	1997-09-30	VYDAJ	VYBER	15	15676	SLUZBY	\N	\N
651159	2225	1997-10-31	VYDAJ	VYBER	15	14248	SLUZBY	\N	\N
651160	2225	1997-11-30	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
651161	2225	1997-12-31	VYDAJ	VYBER	15	12612	SLUZBY	\N	\N
651162	2225	1998-01-31	VYDAJ	VYBER	15	13138	SLUZBY	\N	\N
651163	2225	1998-02-28	VYDAJ	VYBER	15	15511	SLUZBY	\N	\N
651164	2225	1998-03-31	VYDAJ	VYBER	15	16368	SLUZBY	\N	\N
651165	2225	1998-04-30	VYDAJ	VYBER	15	18755	SLUZBY	\N	\N
651166	2225	1998-05-31	VYDAJ	VYBER	15	18104	SLUZBY	\N	\N
651167	2225	1998-06-30	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
651168	2225	1998-07-31	VYDAJ	VYBER	15	20641	SLUZBY	\N	\N
651169	2225	1998-08-31	VYDAJ	VYBER	15	12416	SLUZBY	\N	\N
651170	2225	1998-09-30	VYDAJ	VYBER	15	14225	SLUZBY	\N	\N
651171	2225	1998-10-31	VYDAJ	VYBER	15	14041	SLUZBY	\N	\N
651172	2225	1998-11-30	VYDAJ	VYBER	15	16418	SLUZBY	\N	\N
651173	2225	1996-12-19	VYDAJ	VYBER	500	22439	\N	\N	\N
651174	2225	1997-05-18	VYDAJ	VYBER	1000	20453	\N	\N	\N
651175	2225	1997-08-16	VYDAJ	VYBER	500	19345	\N	\N	\N
651176	2225	1997-09-15	VYDAJ	VYBER	5400	16335	\N	\N	\N
651177	2225	1997-10-15	VYDAJ	VYBER	1400	14202	\N	\N	\N
651178	2225	1997-11-14	VYDAJ	VYBER	1300	15274	\N	\N	\N
651179	2225	1997-12-14	VYDAJ	VYBER	1300	12569	\N	\N	\N
651180	2225	1998-08-11	VYDAJ	VYBER	10600	12367	\N	\N	\N
651212	2226	1996-02-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
651215	2226	1996-03-08	PRIJEM	VKLAD	19488	20588	\N	\N	\N
651216	2226	1996-04-08	PRIJEM	VKLAD	19488	41618	\N	\N	\N
651217	2226	1996-05-08	PRIJEM	VKLAD	19488	51016	\N	\N	\N
651218	2226	1996-06-08	PRIJEM	VKLAD	29232	63885	\N	\N	\N
651219	2226	1996-07-08	PRIJEM	VKLAD	19488	64939	\N	\N	\N
651220	2226	1996-08-08	PRIJEM	VKLAD	19488	55917	\N	\N	\N
651221	2226	1996-09-08	PRIJEM	VKLAD	19488	51893	\N	\N	\N
651222	2226	1996-10-08	PRIJEM	VKLAD	19488	47857	\N	\N	\N
651223	2226	1996-11-08	PRIJEM	VKLAD	19488	51115	\N	\N	\N
651224	2226	1996-12-08	PRIJEM	VKLAD	29232	62725	\N	\N	\N
651225	2226	1997-01-08	PRIJEM	VKLAD	19488	45565	\N	\N	\N
651226	2226	1997-02-08	PRIJEM	VKLAD	19488	37271	\N	\N	\N
651227	2226	1997-03-08	PRIJEM	VKLAD	19488	40402	\N	\N	\N
651228	2226	1997-04-08	PRIJEM	VKLAD	19488	44731	\N	\N	\N
651229	2226	1997-05-08	PRIJEM	VKLAD	19488	49577	\N	\N	\N
651230	2226	1997-06-08	PRIJEM	VKLAD	29232	54375	\N	\N	\N
651231	2226	1997-07-08	PRIJEM	VKLAD	19488	50831	\N	\N	\N
651232	2226	1997-08-08	PRIJEM	VKLAD	19488	42772	\N	\N	\N
651233	2226	1997-09-08	PRIJEM	VKLAD	19488	44803	\N	\N	\N
651234	2226	1997-10-08	PRIJEM	VKLAD	19488	44745	\N	\N	\N
651235	2226	1997-11-08	PRIJEM	VKLAD	19488	46783	\N	\N	\N
651236	2226	1997-12-08	PRIJEM	VKLAD	29232	57098	\N	\N	\N
651237	2226	1998-01-08	PRIJEM	VKLAD	19488	49037	\N	\N	\N
651238	2226	1998-02-08	PRIJEM	VKLAD	19488	45834	\N	\N	\N
651239	2226	1998-03-08	PRIJEM	VKLAD	19488	57407	\N	\N	\N
651240	2226	1998-04-08	PRIJEM	VKLAD	19488	48917	\N	\N	\N
651241	2226	1998-05-08	PRIJEM	VKLAD	19488	54213	\N	\N	\N
651242	2226	1998-06-08	PRIJEM	VKLAD	29232	65765	\N	\N	\N
651243	2226	1998-07-08	PRIJEM	VKLAD	19488	49410	\N	\N	\N
651244	2226	1998-08-08	PRIJEM	VKLAD	19488	41720	\N	\N	\N
651245	2226	1998-09-08	PRIJEM	VKLAD	19488	36661	\N	\N	\N
651246	2226	1998-10-08	PRIJEM	VKLAD	19488	32767	\N	\N	\N
651247	2226	1998-11-08	PRIJEM	VKLAD	19488	32891	\N	\N	\N
651248	2226	1998-12-08	PRIJEM	VKLAD	29232	38756	\N	\N	\N
651256	2226	1996-08-06	VYDAJ	PREVOD NA UCET	40	36429	SIPO	QR	54863834
651257	2226	1996-09-06	VYDAJ	PREVOD NA UCET	40	32405	SIPO	QR	54863834
651258	2226	1996-10-06	VYDAJ	PREVOD NA UCET	40	36411	SIPO	QR	54863834
651259	2226	1996-11-06	VYDAJ	PREVOD NA UCET	40	31627	SIPO	QR	54863834
651260	2226	1996-12-06	VYDAJ	PREVOD NA UCET	40	41535	SIPO	QR	54863834
651261	2226	1997-01-06	VYDAJ	PREVOD NA UCET	40	26077	SIPO	QR	54863834
651262	2226	1997-02-06	VYDAJ	PREVOD NA UCET	40	17783	SIPO	QR	54863834
651263	2226	1997-03-06	VYDAJ	PREVOD NA UCET	40	20914	SIPO	QR	54863834
651264	2226	1997-04-06	VYDAJ	PREVOD NA UCET	40	25243	SIPO	QR	54863834
651265	2226	1997-05-06	VYDAJ	PREVOD NA UCET	40	30089	SIPO	QR	54863834
651266	2226	1997-06-06	VYDAJ	PREVOD NA UCET	40	25143	SIPO	QR	54863834
651267	2226	1997-07-06	VYDAJ	PREVOD NA UCET	40	31343	SIPO	QR	54863834
651268	2226	1997-08-06	VYDAJ	PREVOD NA UCET	40	31326	SIPO	QR	54863834
651269	2226	1997-09-06	VYDAJ	PREVOD NA UCET	40	33357	SIPO	QR	54863834
651270	2226	1997-10-06	VYDAJ	PREVOD NA UCET	40	29457	SIPO	QR	54863834
651271	2226	1997-11-06	VYDAJ	PREVOD NA UCET	40	27295	SIPO	QR	54863834
651272	2226	1997-12-06	VYDAJ	PREVOD NA UCET	40	27866	SIPO	QR	54863834
651273	2226	1998-01-06	VYDAJ	PREVOD NA UCET	40	28149	SIPO	QR	54863834
651274	2226	1998-02-06	VYDAJ	PREVOD NA UCET	40	26346	SIPO	QR	54863834
651275	2226	1998-03-06	VYDAJ	PREVOD NA UCET	40	37919	SIPO	QR	54863834
651276	2226	1998-04-06	VYDAJ	PREVOD NA UCET	40	25629	SIPO	QR	54863834
651277	2226	1998-05-06	VYDAJ	PREVOD NA UCET	40	46167	SIPO	QR	54863834
651278	2226	1998-06-06	VYDAJ	PREVOD NA UCET	40	36533	SIPO	QR	54863834
651279	2226	1998-07-06	VYDAJ	PREVOD NA UCET	40	37964	SIPO	QR	54863834
651280	2226	1998-08-06	VYDAJ	PREVOD NA UCET	40	22232	SIPO	QR	54863834
651281	2226	1998-09-06	VYDAJ	PREVOD NA UCET	40	17173	SIPO	QR	54863834
651282	2226	1998-10-06	VYDAJ	PREVOD NA UCET	40	21321	SIPO	QR	54863834
651283	2226	1998-11-06	VYDAJ	PREVOD NA UCET	40	21445	SIPO	QR	54863834
651284	2226	1998-12-06	VYDAJ	PREVOD NA UCET	40	9524	SIPO	QR	54863834
651292	2226	1996-08-06	VYDAJ	PREVOD NA UCET	8042	36469	 	GH	53093177
651293	2226	1996-09-06	VYDAJ	PREVOD NA UCET	8042	32445	 	GH	53093177
651294	2226	1996-10-06	VYDAJ	PREVOD NA UCET	8042	28369	 	GH	53093177
651295	2226	1996-11-06	VYDAJ	PREVOD NA UCET	8042	31667	 	GH	53093177
651296	2226	1996-12-06	VYDAJ	PREVOD NA UCET	8042	33493	 	GH	53093177
651297	2226	1997-01-06	VYDAJ	PREVOD NA UCET	8042	26117	 	GH	53093177
651298	2226	1997-02-06	VYDAJ	PREVOD NA UCET	8042	17823	 	GH	53093177
651299	2226	1997-03-06	VYDAJ	PREVOD NA UCET	8042	20954	 	GH	53093177
651300	2226	1997-04-06	VYDAJ	PREVOD NA UCET	8042	25283	 	GH	53093177
651301	2226	1997-05-06	VYDAJ	PREVOD NA UCET	8042	30129	 	GH	53093177
651302	2226	1997-06-06	VYDAJ	PREVOD NA UCET	8042	25183	 	GH	53093177
651303	2226	1997-07-06	VYDAJ	PREVOD NA UCET	8042	31383	 	GH	53093177
651304	2226	1997-08-06	VYDAJ	PREVOD NA UCET	8042	23284	 	GH	53093177
651305	2226	1997-09-06	VYDAJ	PREVOD NA UCET	8042	25315	 	GH	53093177
651306	2226	1997-10-06	VYDAJ	PREVOD NA UCET	8042	29497	 	GH	53093177
651307	2226	1997-11-06	VYDAJ	PREVOD NA UCET	8042	27335	 	GH	53093177
651308	2226	1997-12-06	VYDAJ	PREVOD NA UCET	8042	27906	 	GH	53093177
651309	2226	1998-01-06	VYDAJ	PREVOD NA UCET	8042	28189	 	GH	53093177
651310	2226	1998-02-06	VYDAJ	PREVOD NA UCET	8042	26386	 	GH	53093177
651311	2226	1998-03-06	VYDAJ	PREVOD NA UCET	8042	37959	 	GH	53093177
651312	2226	1998-04-06	VYDAJ	PREVOD NA UCET	8042	25669	 	GH	53093177
651313	2226	1998-05-06	VYDAJ	PREVOD NA UCET	8042	38125	 	GH	53093177
651314	2226	1998-06-06	VYDAJ	PREVOD NA UCET	8042	36573	 	GH	53093177
651315	2226	1998-07-06	VYDAJ	PREVOD NA UCET	8042	29922	 	GH	53093177
651316	2226	1998-08-06	VYDAJ	PREVOD NA UCET	8042	22272	 	GH	53093177
651317	2226	1998-09-06	VYDAJ	PREVOD NA UCET	8042	17213	 	GH	53093177
651318	2226	1998-10-06	VYDAJ	PREVOD NA UCET	8042	13279	 	GH	53093177
651319	2226	1998-11-06	VYDAJ	PREVOD NA UCET	8042	13403	 	GH	53093177
651320	2226	1998-12-06	VYDAJ	PREVOD NA UCET	8042	9564	 	GH	53093177
651322	2226	1997-06-05	VYDAJ	VYBER	4800	33225	\N	\N	\N
651323	2226	1998-06-16	VYDAJ	VYBER	10880	54885	\N	\N	\N
651324	2226	1996-12-11	VYDAJ	VYBER	1120	61605	\N	\N	\N
651325	2226	1997-12-22	VYDAJ	VYBER	4640	36658	\N	\N	\N
651326	2226	1998-12-01	VYDAJ	VYBER	4000	29006	\N	\N	\N
651333	2226	1997-01-12	VYDAJ	VYBER	1680	42445	\N	\N	\N
651334	2226	1997-01-18	VYDAJ	VYBER	2640	25745	\N	\N	\N
651335	2226	1997-01-09	VYDAJ	VYBER	1440	44125	\N	\N	\N
651336	2226	1997-01-04	VYDAJ	VYBER	1440	39799	\N	\N	\N
651337	2226	1997-01-01	VYDAJ	VYBER	840	41239	\N	\N	\N
651338	2226	1997-01-16	VYDAJ	VYBER	1080	28385	\N	\N	\N
651339	2226	1998-01-14	VYDAJ	VYBER	2880	43037	\N	\N	\N
651340	2226	1998-01-09	VYDAJ	VYBER	1920	45917	\N	\N	\N
651341	2226	1998-01-08	VYDAJ	VYBER	1200	47837	\N	\N	\N
651342	2226	1998-01-03	VYDAJ	VYBER	600	36231	\N	\N	\N
651343	2226	1998-01-23	VYDAJ	VYBER	2400	38597	\N	\N	\N
651344	2226	1998-01-17	VYDAJ	VYBER	2040	40997	\N	\N	\N
651345	2226	1996-11-10	VYDAJ	VYBER	1200	49915	\N	\N	\N
651346	2226	1996-09-30	VYDAJ	VYBER	3000	36466	\N	\N	\N
651348	2226	1997-07-20	VYDAJ	VYBER	3480	31231	\N	\N	\N
651349	2226	1997-07-19	VYDAJ	VYBER	2520	34711	\N	\N	\N
651350	2226	1997-10-06	VYDAJ	VYBER	4200	25257	\N	\N	\N
651351	2226	1997-02-14	VYDAJ	VYBER	3480	28891	\N	\N	\N
651352	2226	1997-01-05	VYDAJ	VYBER	5640	34159	\N	\N	\N
651353	2226	1997-01-15	VYDAJ	VYBER	4680	29465	\N	\N	\N
651354	2226	1998-03-21	VYDAJ	VYBER	5640	33567	\N	\N	\N
651355	2226	1998-08-30	VYDAJ	VYBER	4920	36800	\N	\N	\N
651356	2226	1998-07-06	VYDAJ	VYBER	5400	49704	\N	\N	\N
651357	2226	1998-07-18	VYDAJ	VYBER	3480	45930	\N	\N	\N
651358	2226	1998-09-09	VYDAJ	VYBER	3720	32941	\N	\N	\N
651359	2226	1998-02-01	VYDAJ	VYBER	1920	36828	\N	\N	\N
651360	2226	1998-04-29	VYDAJ	VYBER	2880	46037	\N	\N	\N
651368	2226	1996-07-31	VYDAJ	VYBER	15	44511	SLUZBY	\N	\N
651369	2226	1996-08-31	VYDAJ	VYBER	15	40487	SLUZBY	\N	\N
651370	2226	1996-09-30	VYDAJ	VYBER	15	36451	SLUZBY	\N	\N
651371	2226	1996-10-31	VYDAJ	VYBER	15	39709	SLUZBY	\N	\N
651372	2226	1996-11-30	VYDAJ	VYBER	15	41575	SLUZBY	\N	\N
651373	2226	1996-12-31	VYDAJ	VYBER	15	42079	SLUZBY	\N	\N
651374	2226	1997-01-31	VYDAJ	VYBER	15	25865	SLUZBY	\N	\N
651375	2226	1997-02-28	VYDAJ	VYBER	15	28996	SLUZBY	\N	\N
651376	2226	1997-03-31	VYDAJ	VYBER	15	33325	SLUZBY	\N	\N
651377	2226	1997-04-30	VYDAJ	VYBER	15	38171	SLUZBY	\N	\N
651378	2226	1997-05-31	VYDAJ	VYBER	15	38025	SLUZBY	\N	\N
651379	2226	1997-06-30	VYDAJ	VYBER	15	39425	SLUZBY	\N	\N
651380	2226	1997-07-31	VYDAJ	VYBER	15	31366	SLUZBY	\N	\N
651381	2226	1997-08-31	VYDAJ	VYBER	15	33397	SLUZBY	\N	\N
651382	2226	1997-09-30	VYDAJ	VYBER	15	37539	SLUZBY	\N	\N
651383	2226	1997-10-31	VYDAJ	VYBER	15	35377	SLUZBY	\N	\N
651384	2226	1997-11-30	VYDAJ	VYBER	15	35948	SLUZBY	\N	\N
651385	2226	1997-12-31	VYDAJ	VYBER	15	36831	SLUZBY	\N	\N
651386	2226	1998-01-31	VYDAJ	VYBER	15	38748	SLUZBY	\N	\N
651387	2226	1998-02-28	VYDAJ	VYBER	15	46001	SLUZBY	\N	\N
651388	2226	1998-03-31	VYDAJ	VYBER	15	33711	SLUZBY	\N	\N
651389	2226	1998-04-30	VYDAJ	VYBER	15	46207	SLUZBY	\N	\N
651390	2226	1998-05-31	VYDAJ	VYBER	15	54415	SLUZBY	\N	\N
651391	2226	1998-06-30	VYDAJ	VYBER	15	55104	SLUZBY	\N	\N
651392	2226	1998-07-31	VYDAJ	VYBER	15	46114	SLUZBY	\N	\N
651393	2226	1998-08-31	VYDAJ	VYBER	15	36955	SLUZBY	\N	\N
651394	2226	1998-09-30	VYDAJ	VYBER	15	33061	SLUZBY	\N	\N
651395	2226	1998-10-31	VYDAJ	VYBER	15	32885	SLUZBY	\N	\N
651396	2226	1998-11-30	VYDAJ	VYBER	15	33006	SLUZBY	\N	\N
651397	2226	1996-03-18	PRIJEM	VKLAD	1500	22088	\N	\N	\N
651398	2226	1996-04-17	VYDAJ	VYBER	10200	31418	\N	\N	\N
651399	2226	1996-05-17	VYDAJ	VYBER	16500	34516	\N	\N	\N
651400	2226	1996-06-16	VYDAJ	VYBER	18600	45285	\N	\N	\N
651401	2226	1996-07-16	VYDAJ	VYBER	20600	44339	\N	\N	\N
651402	2226	1996-08-15	VYDAJ	VYBER	15600	40317	\N	\N	\N
651403	2226	1996-09-14	VYDAJ	VYBER	12600	39293	\N	\N	\N
651404	2226	1996-10-14	VYDAJ	VYBER	8300	39557	\N	\N	\N
651405	2226	1996-11-13	VYDAJ	VYBER	8500	41415	\N	\N	\N
651406	2226	1996-12-13	VYDAJ	VYBER	19700	41905	\N	\N	\N
651407	2226	1997-01-12	VYDAJ	VYBER	8300	34145	\N	\N	\N
651408	2226	1997-02-11	VYDAJ	VYBER	4900	32371	\N	\N	\N
651409	2226	1997-03-13	VYDAJ	VYBER	7200	33202	\N	\N	\N
651410	2226	1997-04-12	VYDAJ	VYBER	6700	38031	\N	\N	\N
651411	2226	1997-05-12	VYDAJ	VYBER	11700	37877	\N	\N	\N
651412	2226	1997-06-11	VYDAJ	VYBER	15100	39275	\N	\N	\N
651413	2226	1997-07-11	VYDAJ	VYBER	13600	37231	\N	\N	\N
651414	2226	1997-08-10	VYDAJ	VYBER	9500	33272	\N	\N	\N
651415	2226	1997-09-09	VYDAJ	VYBER	7400	37403	\N	\N	\N
651416	2226	1997-10-09	VYDAJ	VYBER	9500	35245	\N	\N	\N
651417	2226	1997-11-08	VYDAJ	VYBER	11000	35783	\N	\N	\N
651418	2226	1997-12-08	VYDAJ	VYBER	15800	41298	\N	\N	\N
651419	2226	1998-01-07	PRIJEM	VKLAD	1400	29549	\N	\N	\N
651420	2226	1998-02-06	VYDAJ	VYBER	2400	34428	\N	\N	\N
651421	2226	1998-03-08	VYDAJ	VYBER	18200	39207	\N	\N	\N
651422	2226	1998-04-07	PRIJEM	VKLAD	3800	29429	\N	\N	\N
651423	2226	1998-05-07	VYDAJ	VYBER	3400	34725	\N	\N	\N
651424	2226	1998-06-06	VYDAJ	VYBER	9800	44615	\N	\N	\N
651425	2226	1998-07-06	VYDAJ	VYBER	11700	38004	\N	\N	\N
651426	2226	1998-08-05	VYDAJ	VYBER	15800	30314	\N	\N	\N
651427	2226	1998-09-04	VYDAJ	VYBER	11700	25255	\N	\N	\N
651428	2226	1998-10-04	VYDAJ	VYBER	11700	21361	\N	\N	\N
651429	2226	1998-11-03	VYDAJ	VYBER	11400	21485	\N	\N	\N
651430	2226	1998-12-03	VYDAJ	VYBER	11400	17606	\N	\N	\N
651465	2227	1994-05-22	PRIJEM	VKLAD	300	300	\N	\N	\N
651466	2227	1994-11-01	PRIJEM	VKLAD	39941	69994	\N	\N	\N
651467	2227	1994-08-21	PRIJEM	VKLAD	18714	44714	\N	\N	\N
651469	2227	1994-12-14	PRIJEM	VKLAD	8144	57933	\N	\N	\N
651470	2227	1995-09-14	PRIJEM	VKLAD	39245	94869	\N	\N	\N
651471	2227	1995-07-10	PRIJEM	VKLAD	24349	67502	\N	\N	\N
651472	2227	1995-08-24	PRIJEM	VKLAD	32811	72146	\N	\N	\N
651473	2227	1995-12-24	PRIJEM	VKLAD	19204	47662	\N	\N	\N
651474	2227	1995-08-17	PRIJEM	VKLAD	11314	39335	\N	\N	\N
651475	2227	1995-06-06	PRIJEM	VKLAD	48996	65366	\N	\N	\N
651476	2227	1995-03-10	PRIJEM	VKLAD	38818	80374	\N	\N	\N
651477	2227	1995-05-13	PRIJEM	VKLAD	20926	26183	\N	\N	\N
651478	2227	1995-06-13	PRIJEM	VKLAD	5758	36803	\N	\N	\N
651479	2227	1995-06-16	PRIJEM	VKLAD	34543	71346	\N	\N	\N
651480	2227	1995-02-11	PRIJEM	VKLAD	48709	75993	\N	\N	\N
651481	2227	1995-09-16	PRIJEM	VKLAD	19638	89707	\N	\N	\N
651482	2227	1995-09-30	PRIJEM	VKLAD	36398	122005	\N	\N	\N
651483	2227	1995-10-25	PRIJEM	VKLAD	15378	81110	\N	\N	\N
651484	2227	1995-04-16	PRIJEM	VKLAD	11969	15186	\N	\N	\N
651485	2227	1995-10-30	PRIJEM	VKLAD	10704	88414	\N	\N	\N
651486	2227	1995-10-22	PRIJEM	VKLAD	16506	65732	\N	\N	\N
651487	2227	1995-01-15	PRIJEM	VKLAD	20966	69186	\N	\N	\N
651488	2227	1995-07-14	PRIJEM	VKLAD	13787	67903	\N	\N	\N
651489	2227	1995-02-11	PRIJEM	VKLAD	40816	116809	\N	\N	\N
651490	2227	1995-02-10	PRIJEM	VKLAD	6310	27284	\N	\N	\N
651491	2227	1995-06-29	PRIJEM	VKLAD	8350	42982	\N	\N	\N
651492	2227	1995-02-14	PRIJEM	VKLAD	27553	86176	\N	\N	\N
651493	2227	1995-01-10	PRIJEM	VKLAD	5494	48220	\N	\N	\N
651494	2227	1995-11-05	PRIJEM	VKLAD	10491	85093	\N	\N	\N
651495	2227	1996-06-30	PRIJEM	VKLAD	44019	79016	\N	\N	\N
651496	2227	1996-08-03	PRIJEM	VKLAD	17688	31351	\N	\N	\N
651497	2227	1996-11-25	PRIJEM	VKLAD	32438	44664	\N	\N	\N
651498	2227	1996-06-07	PRIJEM	VKLAD	23253	63257	\N	\N	\N
651499	2227	1996-02-14	PRIJEM	VKLAD	35699	54614	\N	\N	\N
651500	2227	1996-12-29	PRIJEM	VKLAD	36185	58631	\N	\N	\N
651501	2227	1996-07-05	PRIJEM	VKLAD	49366	128512	\N	\N	\N
651502	2227	1996-08-14	PRIJEM	VKLAD	44688	63980	\N	\N	\N
651503	2227	1996-05-01	PRIJEM	VKLAD	40395	60454	\N	\N	\N
651504	2227	1997-11-08	PRIJEM	VKLAD	42048	124068	\N	\N	\N
651505	2227	1997-07-28	PRIJEM	VKLAD	20389	122198	\N	\N	\N
651506	2227	1997-11-08	PRIJEM	VKLAD	26953	151021	\N	\N	\N
651507	2227	1997-04-03	PRIJEM	VKLAD	32031	54760	\N	\N	\N
651508	2227	1997-12-28	PRIJEM	VKLAD	19254	64710	\N	\N	\N
651509	2227	1997-06-24	PRIJEM	VKLAD	30439	130941	\N	\N	\N
651510	2227	1997-11-23	PRIJEM	VKLAD	29205	122083	\N	\N	\N
651511	2227	1997-07-13	PRIJEM	VKLAD	23514	81050	\N	\N	\N
651512	2227	1997-10-04	PRIJEM	VKLAD	43547	117295	\N	\N	\N
651513	2227	1997-10-21	PRIJEM	VKLAD	32563	107408	\N	\N	\N
651514	2227	1997-09-26	PRIJEM	VKLAD	34654	77123	\N	\N	\N
651515	2227	1997-04-24	PRIJEM	VKLAD	39558	107035	\N	\N	\N
651516	2227	1997-08-02	PRIJEM	VKLAD	25918	106749	\N	\N	\N
651517	2227	1997-06-16	PRIJEM	VKLAD	35660	51427	\N	\N	\N
651518	2227	1997-07-17	PRIJEM	VKLAD	33392	114442	\N	\N	\N
651519	2227	1997-01-16	PRIJEM	VKLAD	35976	68362	\N	\N	\N
651520	2227	1997-06-26	PRIJEM	VKLAD	18682	91323	\N	\N	\N
651521	2227	1997-07-18	PRIJEM	VKLAD	15582	101809	\N	\N	\N
651522	2227	1997-04-20	PRIJEM	VKLAD	33086	67477	\N	\N	\N
651523	2227	1997-08-14	PRIJEM	VKLAD	36784	106473	\N	\N	\N
651524	2227	1997-07-18	PRIJEM	VKLAD	12985	86227	\N	\N	\N
651525	2227	1997-11-17	PRIJEM	VKLAD	27634	92878	\N	\N	\N
651526	2227	1997-04-30	PRIJEM	VKLAD	36484	143757	\N	\N	\N
651527	2227	1997-11-23	PRIJEM	VKLAD	21700	143783	\N	\N	\N
651528	2227	1997-06-10	PRIJEM	VKLAD	6300	52526	\N	\N	\N
651529	2227	1997-06-24	PRIJEM	VKLAD	49075	100502	\N	\N	\N
651530	2227	1997-10-07	PRIJEM	VKLAD	18909	92104	\N	\N	\N
651531	2227	1997-03-07	PRIJEM	VKLAD	38648	58291	\N	\N	\N
651532	2227	1997-11-28	PRIJEM	VKLAD	24928	103911	\N	\N	\N
651533	2227	1998-10-17	PRIJEM	VKLAD	7902	114383	\N	\N	\N
651534	2227	1998-11-30	PRIJEM	VKLAD	9202	75565	\N	\N	\N
651535	2227	1998-02-22	PRIJEM	VKLAD	37700	126754	\N	\N	\N
651536	2227	1998-11-11	PRIJEM	VKLAD	17863	122766	\N	\N	\N
651537	2227	1998-11-20	PRIJEM	VKLAD	29983	76163	\N	\N	\N
651538	2227	1998-06-22	PRIJEM	VKLAD	32369	108959	\N	\N	\N
651539	2227	1998-07-01	PRIJEM	VKLAD	16153	85663	\N	\N	\N
651540	2227	1998-02-03	PRIJEM	VKLAD	48459	136740	\N	\N	\N
651541	2227	1998-03-21	PRIJEM	VKLAD	30995	80992	\N	\N	\N
651542	2227	1998-01-12	PRIJEM	VKLAD	47328	129303	\N	\N	\N
651543	2227	1998-01-06	PRIJEM	VKLAD	23383	95361	\N	\N	\N
651544	2227	1998-02-28	PRIJEM	VKLAD	46951	118605	\N	\N	\N
651545	2227	1998-10-16	PRIJEM	VKLAD	48227	106481	\N	\N	\N
651546	2227	1998-09-19	PRIJEM	VKLAD	29666	105678	\N	\N	\N
651547	2227	1998-11-01	PRIJEM	VKLAD	19685	104903	\N	\N	\N
651548	2227	1998-05-25	PRIJEM	VKLAD	15998	99910	\N	\N	\N
651549	2227	1998-07-08	PRIJEM	VKLAD	15607	101270	\N	\N	\N
651550	2227	1998-09-03	PRIJEM	VKLAD	14738	95672	\N	\N	\N
651551	2227	1998-04-02	PRIJEM	VKLAD	8245	93787	\N	\N	\N
651552	2227	1998-05-22	PRIJEM	VKLAD	29273	83912	\N	\N	\N
651553	2227	1998-09-09	PRIJEM	VKLAD	11202	106874	\N	\N	\N
651554	2227	1998-07-24	PRIJEM	VKLAD	30162	113746	\N	\N	\N
651555	2227	1998-03-10	PRIJEM	VKLAD	12639	63383	\N	\N	\N
651556	2227	1998-06-27	PRIJEM	VKLAD	28967	121426	\N	\N	\N
651557	2227	1998-06-30	PRIJEM	VKLAD	9724	130540	\N	\N	\N
651558	2227	1998-01-19	PRIJEM	VKLAD	28326	109729	\N	\N	\N
651559	2227	1998-09-19	PRIJEM	VKLAD	9336	115014	\N	\N	\N
651573	2227	1995-02-23	VYDAJ	VYBER	4500	52976	\N	\N	0
651574	2227	1995-03-11	VYDAJ	VYBER	3800	76574	\N	\N	0
651575	2227	1995-04-01	VYDAJ	VYBER	2600	41067	\N	\N	0
651576	2227	1995-05-10	VYDAJ	VYBER	4900	18643	\N	\N	0
651577	2227	1995-06-04	VYDAJ	VYBER	2400	16370	\N	\N	0
651578	2227	1995-07-26	VYDAJ	VYBER	4200	47403	\N	\N	0
651579	2227	1995-08-09	VYDAJ	VYBER	4500	30107	\N	\N	0
651580	2227	1995-09-22	VYDAJ	VYBER	4100	85607	\N	\N	0
651581	2227	1995-10-16	VYDAJ	VYBER	3800	49226	\N	\N	0
651582	2227	1995-10-28	VYDAJ	VYBER	3400	77710	\N	\N	0
651583	2227	1995-12-12	VYDAJ	PREVOD NA UCET	3874	17658	UVER	MN	86397230
651584	2227	1996-01-12	VYDAJ	PREVOD NA UCET	3874	25972	UVER	MN	86397230
651585	2227	1996-02-12	VYDAJ	PREVOD NA UCET	3874	18915	UVER	MN	86397230
651586	2227	1996-03-12	VYDAJ	PREVOD NA UCET	3874	25360	UVER	MN	86397230
651587	2227	1996-04-12	VYDAJ	PREVOD NA UCET	3874	19999	UVER	MN	86397230
651588	2227	1996-05-12	VYDAJ	PREVOD NA UCET	3874	39894	UVER	MN	86397230
651589	2227	1996-06-12	VYDAJ	PREVOD NA UCET	3874	34997	UVER	MN	86397230
651590	2227	1996-07-12	VYDAJ	PREVOD NA UCET	3874	13543	UVER	MN	86397230
651591	2227	1996-08-12	VYDAJ	PREVOD NA UCET	3874	19292	UVER	MN	86397230
651592	2227	1996-09-12	VYDAJ	PREVOD NA UCET	3874	15157	UVER	MN	86397230
651593	2227	1996-10-12	VYDAJ	PREVOD NA UCET	3874	7871	UVER	MN	86397230
651594	2227	1996-11-12	VYDAJ	PREVOD NA UCET	3874	12226	UVER	MN	86397230
651595	2227	1996-12-12	VYDAJ	PREVOD NA UCET	3874	26646	UVER	MN	86397230
651596	2227	1997-01-12	VYDAJ	PREVOD NA UCET	3874	32386	UVER	MN	86397230
651597	2227	1997-02-12	VYDAJ	PREVOD NA UCET	3874	19561	UVER	MN	86397230
651598	2227	1997-03-12	VYDAJ	PREVOD NA UCET	3874	36931	UVER	MN	86397230
651599	2227	1997-04-12	VYDAJ	PREVOD NA UCET	3874	38400	UVER	MN	86397230
651600	2227	1997-05-12	VYDAJ	PREVOD NA UCET	3874	54367	UVER	MN	86397230
651601	2227	1997-06-12	VYDAJ	PREVOD NA UCET	3874	15767	UVER	MN	86397230
651602	2227	1997-07-12	VYDAJ	PREVOD NA UCET	3874	57536	UVER	MN	86397230
651603	2227	1997-08-12	VYDAJ	PREVOD NA UCET	3874	69689	UVER	MN	86397230
651604	2227	1997-09-12	VYDAJ	PREVOD NA UCET	3874	42469	UVER	MN	86397230
651605	2227	1997-10-12	VYDAJ	PREVOD NA UCET	3874	74845	UVER	MN	86397230
651606	2227	1997-11-12	VYDAJ	PREVOD NA UCET	3874	86262	UVER	MN	86397230
651607	2227	1997-12-08	VYDAJ	VYBER	4000	88377	\N	\N	0
651608	2227	1998-01-14	VYDAJ	VYBER	4800	81403	\N	\N	0
651609	2227	1998-02-15	VYDAJ	VYBER	3600	89054	\N	\N	0
651610	2227	1998-03-06	VYDAJ	VYBER	3800	68809	\N	\N	0
651611	2227	1998-04-19	VYDAJ	VYBER	2800	60134	\N	\N	0
651612	2227	1998-05-01	VYDAJ	VYBER	2500	68025	\N	\N	0
651613	2227	1998-05-31	VYDAJ	VYBER	4100	96106	\N	\N	0
651614	2227	1998-07-12	VYDAJ	VYBER	4300	83584	\N	\N	0
651615	2227	1998-08-04	VYDAJ	VYBER	3800	95311	\N	\N	0
651616	2227	1998-09-25	VYDAJ	VYBER	2500	61714	\N	\N	0
651617	2227	1998-10-08	VYDAJ	VYBER	3800	71640	\N	\N	0
651618	2227	1998-10-31	VYDAJ	VYBER	4500	85218	\N	\N	0
651619	2227	1998-11-29	VYDAJ	VYBER	3100	66363	\N	\N	0
651633	2227	1995-02-11	VYDAJ	PREVOD NA UCET	13386	103423	SIPO	EF	69415771
651634	2227	1995-03-11	VYDAJ	PREVOD NA UCET	13386	63188	SIPO	EF	69415771
651635	2227	1995-04-11	VYDAJ	PREVOD NA UCET	13386	3217	SIPO	EF	69415771
651636	2227	1995-05-11	VYDAJ	PREVOD NA UCET	13386	5257	SIPO	EF	69415771
651637	2227	1995-06-11	VYDAJ	PREVOD NA UCET	13386	31045	SIPO	EF	69415771
651638	2227	1995-07-11	VYDAJ	PREVOD NA UCET	13386	54116	SIPO	EF	69415771
651639	2227	1995-08-11	VYDAJ	PREVOD NA UCET	13386	16721	SIPO	EF	69415771
651640	2227	1995-09-11	VYDAJ	PREVOD NA UCET	13386	55624	SIPO	EF	69415771
651641	2227	1995-10-11	VYDAJ	PREVOD NA UCET	13386	63426	SIPO	EF	69415771
651642	2227	1995-11-11	VYDAJ	PREVOD NA UCET	13386	59707	SIPO	EF	69415771
651643	2227	1995-12-11	VYDAJ	PREVOD NA UCET	13386	21532	SIPO	EF	69415771
651644	2227	1996-01-11	VYDAJ	PREVOD NA UCET	13386	18245	SIPO	EF	69415771
651645	2227	1996-02-11	VYDAJ	PREVOD NA UCET	13386	22788	SIPO	EF	69415771
651646	2227	1996-03-11	VYDAJ	PREVOD NA UCET	13386	21233	SIPO	EF	69415771
651647	2227	1996-04-11	VYDAJ	PREVOD NA UCET	13386	23872	SIPO	EF	69415771
651648	2227	1996-05-11	VYDAJ	PREVOD NA UCET	13386	47068	SIPO	EF	69415771
651649	2227	1996-06-11	VYDAJ	PREVOD NA UCET	13386	38871	SIPO	EF	69415771
651650	2227	1996-07-11	VYDAJ	PREVOD NA UCET	13386	17417	SIPO	EF	69415771
651651	2227	1996-08-11	VYDAJ	PREVOD NA UCET	13386	23165	SIPO	EF	69415771
651652	2227	1996-09-11	VYDAJ	PREVOD NA UCET	13386	19031	SIPO	EF	69415771
651653	2227	1996-10-11	VYDAJ	PREVOD NA UCET	13386	11745	SIPO	EF	69415771
651654	2227	1996-11-11	VYDAJ	PREVOD NA UCET	13386	16100	SIPO	EF	69415771
651655	2227	1996-12-11	VYDAJ	PREVOD NA UCET	13386	30519	SIPO	EF	69415771
651656	2227	1997-01-11	VYDAJ	PREVOD NA UCET	13386	41659	SIPO	EF	69415771
651657	2227	1997-02-11	VYDAJ	PREVOD NA UCET	13386	23435	SIPO	EF	69415771
651658	2227	1997-03-11	VYDAJ	PREVOD NA UCET	13386	40805	SIPO	EF	69415771
651659	2227	1997-04-11	VYDAJ	PREVOD NA UCET	13386	42274	SIPO	EF	69415771
651660	2227	1997-05-11	VYDAJ	PREVOD NA UCET	13386	58241	SIPO	EF	69415771
651661	2227	1997-06-11	VYDAJ	PREVOD NA UCET	13386	19640	SIPO	EF	69415771
651662	2227	1997-07-11	VYDAJ	PREVOD NA UCET	13386	61410	SIPO	EF	69415771
651663	2227	1997-08-11	VYDAJ	PREVOD NA UCET	13386	73563	SIPO	EF	69415771
651664	2227	1997-09-11	VYDAJ	PREVOD NA UCET	13386	46343	SIPO	EF	69415771
651665	2227	1997-10-11	VYDAJ	PREVOD NA UCET	13386	78718	SIPO	EF	69415771
651666	2227	1997-11-11	VYDAJ	PREVOD NA UCET	13386	90135	SIPO	EF	69415771
651667	2227	1997-12-11	VYDAJ	PREVOD NA UCET	13386	74991	SIPO	EF	69415771
651668	2227	1998-01-11	VYDAJ	PREVOD NA UCET	13386	81975	SIPO	EF	69415771
651669	2227	1998-02-11	VYDAJ	PREVOD NA UCET	13386	95654	SIPO	EF	69415771
651670	2227	1998-03-11	VYDAJ	PREVOD NA UCET	13386	49997	SIPO	EF	69415771
651671	2227	1998-04-11	VYDAJ	PREVOD NA UCET	13386	62934	SIPO	EF	69415771
651672	2227	1998-05-11	VYDAJ	PREVOD NA UCET	13386	54639	SIPO	EF	69415771
651673	2227	1998-06-11	VYDAJ	PREVOD NA UCET	13386	76590	SIPO	EF	69415771
651674	2227	1998-07-11	VYDAJ	PREVOD NA UCET	13386	87884	SIPO	EF	69415771
651675	2227	1998-08-11	VYDAJ	PREVOD NA UCET	13386	75025	SIPO	EF	69415771
651676	2227	1998-09-11	VYDAJ	PREVOD NA UCET	13386	88576	SIPO	EF	69415771
651677	2227	1998-10-11	VYDAJ	PREVOD NA UCET	13386	58254	SIPO	EF	69415771
651678	2227	1998-11-11	VYDAJ	PREVOD NA UCET	13386	109380	SIPO	EF	69415771
651679	2227	1998-12-11	VYDAJ	PREVOD NA UCET	13386	54721	SIPO	EF	69415771
651681	2227	1995-06-07	VYBER	VYBER	20935	44431	\N	\N	\N
651683	2227	1995-02-25	VYBER	VYBER	11594	41382	\N	\N	\N
651684	2227	1995-11-04	VYBER	VYBER	14153	74602	\N	\N	\N
651687	2227	1995-01-18	VYBER	VYBER	24826	20860	\N	\N	\N
651688	2227	1995-08-05	VYBER	VYBER	12969	34607	\N	\N	\N
651689	2227	1995-11-16	VYBER	VYBER	12679	34728	\N	\N	\N
651690	2227	1995-04-03	VYBER	VYBER	13395	27672	\N	\N	\N
651691	2227	1995-06-27	VYBER	VYBER	15314	34632	\N	\N	\N
651692	2227	1995-08-26	VYBER	VYBER	3294	68852	\N	\N	\N
651693	2227	1995-04-07	VYBER	VYBER	11069	16603	\N	\N	\N
651694	2227	1995-05-28	VYBER	VYBER	9081	18702	\N	\N	\N
651695	2227	1996-07-11	VYBER	VYBER	22372	30803	\N	\N	\N
651697	2227	1996-07-07	VYBER	VYBER	14037	65075	\N	\N	\N
651698	2227	1996-01-08	VYBER	VYBER	9240	31631	\N	\N	\N
651700	2227	1996-10-09	VYBER	VYBER	9418	25131	\N	\N	\N
651701	2227	1996-09-09	VYBER	VYBER	24224	32417	\N	\N	\N
651702	2227	1996-02-16	VYBER	VYBER	20089	34525	\N	\N	\N
651708	2227	1997-02-06	VYBER	VYBER	12216	36821	\N	\N	\N
651709	2227	1997-09-08	VYBER	VYBER	21294	59729	\N	\N	\N
651711	2227	1997-11-15	VYBER	VYBER	21018	65244	\N	\N	\N
651712	2227	1997-05-14	VYBER	VYBER	16432	37935	\N	\N	\N
651713	2227	1997-04-18	VYBER	VYBER	4009	34391	\N	\N	\N
651714	2227	1997-07-10	VYBER	VYBER	2303	74796	\N	\N	\N
651715	2227	1997-01-28	VYBER	VYBER	23432	44930	\N	\N	\N
651716	2227	1997-12-19	VYBER	VYBER	24435	45456	\N	\N	\N
651717	2227	1997-10-24	VYBER	VYBER	21520	85888	\N	\N	\N
651718	2227	1997-03-17	VYBER	VYBER	14292	22639	\N	\N	\N
651719	2227	1998-07-26	VYBER	VYBER	5670	108076	\N	\N	\N
651720	2227	1998-10-30	VYBER	VYBER	5880	89390	\N	\N	\N
651721	2227	1998-04-27	VYBER	VYBER	16460	43674	\N	\N	\N
651722	2227	1998-04-09	VYBER	VYBER	17467	76320	\N	\N	\N
651723	2227	1998-03-08	VYBER	VYBER	18065	50744	\N	\N	\N
651724	2227	1998-01-25	VYBER	VYBER	4794	93235	\N	\N	\N
651725	2227	1998-09-10	VYBER	VYBER	4912	101962	\N	\N	\N
651726	2227	1998-09-13	VYBER	VYBER	12564	76012	\N	\N	\N
651727	2227	1998-10-22	VYBER	VYBER	14213	100170	\N	\N	\N
651731	2227	1997-06-11	VYDAJ	VYBER	19500	33026	\N	\N	\N
651732	2227	1998-06-25	VYDAJ	VYBER	16500	92459	\N	\N	\N
651735	2227	1996-01-28	VYDAJ	VYBER	4200	21772	\N	\N	\N
651736	2227	1997-01-12	VYDAJ	VYBER	5400	36259	\N	\N	\N
651737	2227	1998-01-22	VYDAJ	VYBER	11700	98029	\N	\N	\N
651739	2227	1995-12-24	VYDAJ	VYBER	6900	40762	\N	\N	\N
651740	2227	1996-12-25	VYDAJ	VYBER	4200	22446	\N	\N	\N
651741	2227	1997-12-14	VYDAJ	VYBER	5100	69891	\N	\N	\N
651742	2227	1998-12-07	VYDAJ	VYBER	7800	68107	\N	\N	\N
651748	2227	1995-11-06	VYDAJ	VYBER	12000	73093	\N	\N	\N
651751	2227	1995-07-14	VYDAJ	VYBER	8100	59803	\N	\N	\N
651754	2227	1996-08-05	VYDAJ	VYBER	8400	22951	\N	\N	\N
651757	2227	1996-12-06	VYDAJ	VYBER	11700	33005	\N	\N	\N
651758	2227	1997-05-31	VYDAJ	VYBER	12600	25526	\N	\N	\N
651760	2227	1997-08-22	VYDAJ	VYBER	14400	92073	\N	\N	\N
651761	2227	1997-06-29	VYDAJ	VYBER	5700	85623	\N	\N	\N
651762	2227	1998-11-19	VYDAJ	VYBER	10200	53980	\N	\N	\N
651763	2227	1998-11-28	VYDAJ	VYBER	9900	69463	\N	\N	\N
651764	2227	1998-03-02	VYDAJ	VYBER	10200	72609	\N	\N	\N
651765	2227	1998-08-08	VYDAJ	VYBER	6900	88411	\N	\N	\N
651766	2227	1998-02-14	VYDAJ	VYBER KARTOU	3000	92654	\N	\N	0
651767	2227	1998-11-19	VYDAJ	VYBER	7800	46180	\N	\N	\N
651781	2227	1995-01-31	VYDAJ	VYBER	30	20974	SLUZBY	\N	\N
651782	2227	1995-02-28	VYDAJ	VYBER	30	41556	SLUZBY	\N	\N
651783	2227	1995-03-31	VYDAJ	VYBER	30	43667	SLUZBY	\N	\N
651784	2227	1995-04-30	VYDAJ	VYBER	30	23543	SLUZBY	\N	\N
651785	2227	1995-05-31	VYDAJ	VYBER	30	18770	SLUZBY	\N	\N
651786	2227	1995-06-30	VYDAJ	VYBER	30	43153	SLUZBY	\N	\N
651787	2227	1995-07-31	VYDAJ	VYBER	30	47576	SLUZBY	\N	\N
651788	2227	1995-08-31	VYDAJ	VYBER	30	69010	SLUZBY	\N	\N
651789	2227	1995-09-30	VYDAJ	VYBER	30	122312	SLUZBY	\N	\N
651790	2227	1995-10-31	VYDAJ	VYBER	30	88755	SLUZBY	\N	\N
651791	2227	1995-11-30	VYDAJ	VYBER	30	34918	SLUZBY	\N	\N
651792	2227	1995-12-31	VYDAJ	VYBER	30	40871	SLUZBY	\N	\N
651793	2227	1996-01-31	VYDAJ	VYBER	30	21874	SLUZBY	\N	\N
651794	2227	1996-02-29	VYDAJ	VYBER	30	34619	SLUZBY	\N	\N
651795	2227	1996-03-31	VYDAJ	VYBER	30	25458	SLUZBY	\N	\N
651796	2227	1996-04-30	VYDAJ	VYBER	30	20059	SLUZBY	\N	\N
651797	2227	1996-05-31	VYDAJ	VYBER	30	40004	SLUZBY	\N	\N
651798	2227	1996-06-30	VYDAJ	VYBER	30	79146	SLUZBY	\N	\N
651799	2227	1996-07-31	VYDAJ	VYBER	30	13663	SLUZBY	\N	\N
651800	2227	1996-08-31	VYDAJ	VYBER	30	64141	SLUZBY	\N	\N
651801	2227	1996-09-30	VYDAJ	VYBER	30	15249	SLUZBY	\N	\N
651802	2227	1996-10-31	VYDAJ	VYBER	30	7886	SLUZBY	\N	\N
651803	2227	1996-11-30	VYDAJ	VYBER	30	44705	SLUZBY	\N	\N
651804	2227	1996-12-31	VYDAJ	VYBER	30	58745	SLUZBY	\N	\N
651805	2227	1997-01-31	VYDAJ	VYBER	30	45137	SLUZBY	\N	\N
651806	2227	1997-02-28	VYDAJ	VYBER	30	19643	SLUZBY	\N	\N
651807	2227	1997-03-31	VYDAJ	VYBER	30	22729	SLUZBY	\N	\N
651808	2227	1997-04-30	VYDAJ	VYBER	30	80927	SLUZBY	\N	\N
651809	2227	1997-05-31	VYDAJ	VYBER	30	38126	SLUZBY	\N	\N
651810	2227	1997-06-30	VYDAJ	VYBER	30	85799	SLUZBY	\N	\N
651811	2227	1997-07-31	VYDAJ	VYBER	30	80831	SLUZBY	\N	\N
651812	2227	1997-08-31	VYDAJ	VYBER	30	92423	SLUZBY	\N	\N
651813	2227	1997-09-30	VYDAJ	VYBER	30	77348	SLUZBY	\N	\N
651814	2227	1997-10-31	VYDAJ	VYBER	30	86220	SLUZBY	\N	\N
651815	2227	1997-11-30	VYDAJ	VYBER	30	104277	SLUZBY	\N	\N
651816	2227	1997-12-31	VYDAJ	VYBER	30	64978	SLUZBY	\N	\N
651817	2227	1998-01-31	VYDAJ	VYBER	30	88281	SLUZBY	\N	\N
651818	2227	1998-02-28	VYDAJ	VYBER	30	119009	SLUZBY	\N	\N
651819	2227	1998-03-31	VYDAJ	VYBER	30	81242	SLUZBY	\N	\N
651820	2227	1998-04-30	VYDAJ	VYBER	30	43925	SLUZBY	\N	\N
651821	2227	1998-05-31	VYDAJ	VYBER	30	96076	SLUZBY	\N	\N
651822	2227	1998-06-30	VYDAJ	VYBER	30	69510	SLUZBY	\N	\N
651823	2227	1998-07-31	VYDAJ	VYBER	30	99111	SLUZBY	\N	\N
651824	2227	1998-08-31	VYDAJ	VYBER	30	80934	SLUZBY	\N	\N
651825	2227	1998-09-30	VYDAJ	VYBER	30	75440	SLUZBY	\N	\N
651826	2227	1998-10-31	VYDAJ	VYBER	30	89718	SLUZBY	\N	\N
651827	2227	1998-11-30	VYDAJ	VYBER	30	75907	SLUZBY	\N	\N
651828	2227	1994-06-21	PRIJEM	VKLAD	14600	14900	\N	\N	\N
651829	2227	1994-07-21	PRIJEM	VKLAD	6900	21800	\N	\N	\N
651830	2227	1994-08-20	PRIJEM	VKLAD	4200	26000	\N	\N	\N
651831	2227	1994-09-19	VYDAJ	VYBER	9000	35780	\N	\N	\N
651832	2227	1994-10-19	VYDAJ	VYBER	6100	29866	\N	\N	\N
651833	2227	1994-11-18	VYDAJ	VYBER	20400	49594	\N	\N	\N
651834	2227	1994-12-18	VYDAJ	VYBER	15400	42533	\N	\N	\N
651835	2227	1995-01-17	VYDAJ	VYBER	23500	45686	\N	\N	\N
651836	2227	1995-02-11	VYDAJ	VYBER	44800	58623	\N	\N	\N
651837	2227	1995-02-16	VYDAJ	VYBER	28700	57476	\N	\N	\N
651838	2227	1995-03-18	VYDAJ	VYBER	19700	43488	\N	\N	\N
651839	2227	1995-04-17	PRIJEM	VKLAD	8300	23486	\N	\N	\N
651840	2227	1995-05-17	PRIJEM	VKLAD	1600	27783	\N	\N	\N
651841	2227	1995-06-16	VYDAJ	VYBER	21400	49946	\N	\N	\N
651842	2227	1995-07-16	VYDAJ	VYBER	8200	51603	\N	\N	\N
651843	2227	1995-08-15	PRIJEM	VKLAD	11300	28021	\N	\N	\N
651844	2227	1995-09-14	VYDAJ	VYBER	24800	70069	\N	\N	\N
651845	2227	1995-09-30	VYDAJ	VYBER	45500	76812	\N	\N	\N
651846	2227	1995-10-14	VYDAJ	VYBER	10400	53026	\N	\N	\N
651847	2227	1995-11-13	VYDAJ	VYBER	12300	47407	\N	\N	\N
651848	2227	1995-12-13	PRIJEM	VKLAD	10800	28458	\N	\N	\N
651849	2227	1996-01-12	PRIJEM	VKLAD	11600	29845	\N	\N	\N
651850	2227	1996-02-11	PRIJEM	VKLAD	14300	36174	\N	\N	\N
651851	2227	1996-03-12	PRIJEM	VKLAD	8000	29233	\N	\N	\N
651852	2227	1996-04-11	PRIJEM	VKLAD	11800	37258	\N	\N	\N
651853	2227	1996-05-11	VYDAJ	VYBER	3300	43768	\N	\N	\N
651854	2227	1996-06-10	VYDAJ	VYBER	11000	52257	\N	\N	\N
651855	2227	1996-07-05	VYDAJ	VYBER	49400	79112	\N	\N	\N
651856	2227	1996-07-10	VYDAJ	VYBER	11900	53175	\N	\N	\N
651857	2227	1996-08-09	PRIJEM	VKLAD	13600	36551	\N	\N	\N
651858	2227	1996-09-08	VYDAJ	VYBER	7500	56641	\N	\N	\N
651859	2227	1996-10-08	PRIJEM	VKLAD	19300	34549	\N	\N	\N
651860	2227	1996-11-07	PRIJEM	VKLAD	21600	29486	\N	\N	\N
651861	2227	1996-12-07	PRIJEM	VKLAD	10900	43905	\N	\N	\N
651862	2227	1997-01-06	VYDAJ	VYBER	3700	55045	\N	\N	\N
651863	2227	1997-02-05	PRIJEM	VKLAD	3900	49037	\N	\N	\N
651864	2227	1997-03-07	VYDAJ	VYBER	4100	54191	\N	\N	\N
651865	2227	1997-04-06	PRIJEM	VKLAD	900	55660	\N	\N	\N
651866	2227	1997-04-30	VYDAJ	VYBER	62800	80957	\N	\N	\N
651867	2227	1997-05-06	VYDAJ	VYBER	9300	71627	\N	\N	\N
651868	2227	1997-06-05	PRIJEM	VKLAD	20700	46226	\N	\N	\N
651869	2227	1997-06-24	VYDAJ	VYBER	58300	72641	\N	\N	\N
651870	2227	1997-07-05	VYDAJ	VYBER	8700	77099	\N	\N	\N
651871	2227	1997-07-17	VYDAJ	VYBER	41200	73242	\N	\N	\N
651872	2227	1997-07-28	VYDAJ	VYBER	41700	80498	\N	\N	\N
651873	2227	1997-08-04	VYDAJ	VYBER	19800	86949	\N	\N	\N
651874	2227	1997-09-03	VYDAJ	VYBER	11400	81023	\N	\N	\N
651875	2227	1997-10-03	VYDAJ	VYBER	3600	73748	\N	\N	\N
651876	2227	1997-10-04	VYDAJ	VYBER	44100	73195	\N	\N	\N
651877	2227	1997-11-02	VYDAJ	VYBER	4200	82020	\N	\N	\N
651878	2227	1997-11-08	VYDAJ	VYBER	47500	103521	\N	\N	\N
651879	2227	1997-11-23	VYDAJ	VYBER	30000	78983	\N	\N	\N
651880	2227	1997-11-23	VYDAJ	VYBER	34800	108983	\N	\N	\N
651881	2227	1997-12-02	VYDAJ	VYBER	11900	92377	\N	\N	\N
651882	2227	1998-01-01	PRIJEM	VKLAD	7000	71978	\N	\N	\N
651883	2227	1998-01-12	VYDAJ	VYBER	43100	86203	\N	\N	\N
651884	2227	1998-01-31	VYDAJ	VYBER	5300	88311	\N	\N	\N
651885	2227	1998-02-03	VYDAJ	VYBER	27700	109040	\N	\N	\N
651886	2227	1998-02-22	VYDAJ	VYBER	55100	71654	\N	\N	\N
651887	2227	1998-02-28	VYDAJ	VYBER	45800	73209	\N	\N	\N
651888	2227	1998-03-02	PRIJEM	VKLAD	9600	82809	\N	\N	\N
651889	2227	1998-04-01	PRIJEM	VKLAD	4300	85542	\N	\N	\N
651890	2227	1998-05-01	PRIJEM	VKLAD	26600	70525	\N	\N	\N
651891	2227	1998-05-31	VYDAJ	VYBER	6100	89976	\N	\N	\N
651892	2227	1998-06-27	VYDAJ	VYBER	17700	103726	\N	\N	\N
651893	2227	1998-06-30	VYDAJ	VYBER	61000	69540	\N	\N	\N
651894	2227	1998-06-30	PRIJEM	VKLAD	16700	120816	\N	\N	\N
651895	2227	1998-07-30	VYDAJ	VYBER	9300	98776	\N	\N	\N
651896	2227	1998-08-29	PRIJEM	VKLAD	5600	80625	\N	\N	\N
651897	2227	1998-09-19	VYDAJ	VYBER	50800	64214	\N	\N	\N
651898	2227	1998-09-28	PRIJEM	VKLAD	13400	75114	\N	\N	\N
651899	2227	1998-10-28	VYDAJ	VYBER	4900	95270	\N	\N	\N
651900	2227	1998-11-11	VYDAJ	VYBER	45200	64180	\N	\N	\N
651901	2227	1998-11-27	PRIJEM	VKLAD	3200	79363	\N	\N	\N
651955	2228	1994-03-19	PRIJEM	VKLAD	700	700	\N	\N	\N
651956	2228	1994-12-04	PRIJEM	VKLAD	12291	44547	\N	\N	\N
651958	2228	1994-05-19	PRIJEM	VKLAD	19708	39308	\N	\N	\N
651960	2228	1994-07-28	PRIJEM	VKLAD	43065	70206	\N	\N	\N
651961	2228	1995-07-28	PRIJEM	VKLAD	49683	66816	\N	\N	\N
651962	2228	1995-08-25	PRIJEM	VKLAD	5035	40024	\N	\N	\N
651963	2228	1995-12-23	PRIJEM	VKLAD	32165	74498	\N	\N	\N
651964	2228	1995-04-28	PRIJEM	VKLAD	19481	114537	\N	\N	\N
651965	2228	1995-04-15	PRIJEM	VKLAD	46185	88732	\N	\N	\N
651966	2228	1995-03-07	PRIJEM	VKLAD	46725	145318	\N	\N	\N
651967	2228	1995-11-11	PRIJEM	VKLAD	30895	65337	\N	\N	\N
651968	2228	1995-03-02	PRIJEM	VKLAD	39737	98593	\N	\N	\N
651969	2228	1995-11-12	PRIJEM	VKLAD	18650	83987	\N	\N	\N
651970	2228	1995-04-22	PRIJEM	VKLAD	25360	95056	\N	\N	\N
651971	2228	1995-02-16	PRIJEM	VKLAD	31658	58663	\N	\N	\N
651972	2228	1995-09-17	PRIJEM	VKLAD	29073	58779	\N	\N	\N
651973	2228	1995-04-18	PRIJEM	VKLAD	34864	123596	\N	\N	\N
651974	2228	1995-11-08	PRIJEM	VKLAD	11010	34242	\N	\N	\N
651975	2228	1995-03-25	PRIJEM	VKLAD	35092	82385	\N	\N	\N
651976	2228	1996-02-22	PRIJEM	VKLAD	8503	39248	\N	\N	\N
651977	2228	1996-04-17	PRIJEM	VKLAD	33491	60494	\N	\N	\N
651978	2228	1996-09-15	PRIJEM	VKLAD	21169	60120	\N	\N	\N
651979	2228	1996-07-10	PRIJEM	VKLAD	47919	140587	\N	\N	\N
651980	2228	1996-01-11	PRIJEM	VKLAD	20003	71101	\N	\N	\N
651981	2228	1996-07-08	PRIJEM	VKLAD	28221	60660	\N	\N	\N
651982	2228	1996-01-04	PRIJEM	VKLAD	29860	96198	\N	\N	\N
651983	2228	1996-07-21	PRIJEM	VKLAD	46205	143274	\N	\N	\N
651984	2228	1996-04-01	PRIJEM	VKLAD	5150	43501	\N	\N	\N
651985	2228	1996-03-02	PRIJEM	VKLAD	34683	100668	\N	\N	\N
651986	2228	1996-10-02	PRIJEM	VKLAD	44290	92734	\N	\N	\N
651987	2228	1996-07-01	PRIJEM	VKLAD	7542	30539	\N	\N	\N
651988	2228	1996-11-15	PRIJEM	VKLAD	30411	68357	\N	\N	\N
651989	2228	1996-11-08	PRIJEM	VKLAD	21081	64964	\N	\N	\N
651990	2228	1996-07-09	PRIJEM	VKLAD	48308	108968	\N	\N	\N
651991	2228	1996-07-19	PRIJEM	VKLAD	11581	97069	\N	\N	\N
651992	2228	1996-08-12	PRIJEM	VKLAD	47644	85268	\N	\N	\N
651993	2228	1996-12-20	PRIJEM	VKLAD	49138	78794	\N	\N	\N
651994	2228	1996-10-11	PRIJEM	VKLAD	12405	72539	\N	\N	\N
651995	2228	1996-11-29	PRIJEM	VKLAD	17738	86095	\N	\N	\N
651996	2228	1996-04-25	PRIJEM	VKLAD	6599	67093	\N	\N	\N
651997	2228	1996-02-29	PRIJEM	VKLAD	26589	65837	\N	\N	\N
651998	2228	1998-04-24	PRIJEM	VKLAD	22696	63467	\N	\N	\N
651999	2228	1998-06-21	PRIJEM	VKLAD	12414	26133	\N	\N	\N
652000	2228	1998-11-05	PRIJEM	VKLAD	44688	66350	\N	\N	\N
652001	2228	1998-01-31	PRIJEM	VKLAD	41003	66412	\N	\N	\N
652002	2228	1998-06-23	PRIJEM	VKLAD	37902	64035	\N	\N	\N
652003	2228	1998-09-17	PRIJEM	VKLAD	33118	105146	\N	\N	\N
652004	2228	1998-09-15	PRIJEM	VKLAD	40703	72028	\N	\N	\N
652005	2228	1998-01-08	PRIJEM	VKLAD	47188	64921	\N	\N	\N
652006	2228	1998-08-31	PRIJEM	VKLAD	22069	43738	\N	\N	\N
652007	2228	1998-04-24	PRIJEM	VKLAD	12133	40771	\N	\N	\N
652008	2228	1998-03-11	PRIJEM	VKLAD	45416	72054	\N	\N	\N
652023	2228	1995-03-07	VYDAJ	VYBER	4500	140818	\N	\N	0
652024	2228	1995-04-12	VYDAJ	PREVOD NA UCET	3874	66472	UVER	CD	46155524
652025	2228	1995-05-12	VYDAJ	PREVOD NA UCET	3874	70583	UVER	CD	46155524
652026	2228	1995-06-12	VYDAJ	PREVOD NA UCET	3874	22984	UVER	CD	46155524
652027	2228	1995-07-12	VYDAJ	PREVOD NA UCET	3874	21758	UVER	CD	46155524
652028	2228	1995-08-12	VYDAJ	PREVOD NA UCET	3874	39614	UVER	CD	46155524
652029	2228	1995-09-12	VYDAJ	PREVOD NA UCET	3874	34331	UVER	CD	46155524
652030	2228	1995-10-12	VYDAJ	PREVOD NA UCET	3874	41788	UVER	CD	46155524
652031	2228	1995-11-12	VYDAJ	PREVOD NA UCET	3874	80113	UVER	CD	46155524
652032	2228	1995-12-12	VYDAJ	PREVOD NA UCET	3874	46958	UVER	CD	46155524
652033	2228	1996-01-12	VYDAJ	PREVOD NA UCET	3874	67227	UVER	CD	46155524
652034	2228	1996-02-12	VYDAJ	PREVOD NA UCET	3874	35370	UVER	CD	46155524
652035	2228	1996-03-12	VYDAJ	PREVOD NA UCET	3874	64194	UVER	CD	46155524
652036	2228	1996-04-12	VYDAJ	PREVOD NA UCET	3874	31628	UVER	CD	46155524
652037	2228	1996-05-12	VYDAJ	PREVOD NA UCET	3874	45203	UVER	CD	46155524
652038	2228	1996-06-12	VYDAJ	PREVOD NA UCET	3874	31798	UVER	CD	46155524
652039	2228	1996-07-12	VYDAJ	PREVOD NA UCET	3874	90113	UVER	CD	46155524
652040	2228	1996-08-12	VYDAJ	PREVOD NA UCET	3874	81394	UVER	CD	46155524
652041	2228	1996-09-12	VYDAJ	PREVOD NA UCET	3874	43576	UVER	CD	46155524
652042	2228	1996-10-12	VYDAJ	PREVOD NA UCET	3874	68665	UVER	CD	46155524
652043	2228	1996-11-12	VYDAJ	PREVOD NA UCET	3874	42571	UVER	CD	46155524
652044	2228	1996-12-12	VYDAJ	PREVOD NA UCET	3874	34281	UVER	CD	46155524
652045	2228	1997-01-12	VYDAJ	PREVOD NA UCET	3874	35626	UVER	CD	46155524
652046	2228	1997-02-12	VYDAJ	PREVOD NA UCET	3874	22975	UVER	CD	46155524
652047	2228	1997-03-12	VYDAJ	PREVOD NA UCET	3874	19847	UVER	CD	46155524
652048	2228	1997-04-12	VYDAJ	PREVOD NA UCET	3874	19800	UVER	CD	46155524
652049	2228	1997-05-12	VYDAJ	PREVOD NA UCET	3874	20849	UVER	CD	46155524
652050	2228	1997-06-12	VYDAJ	PREVOD NA UCET	3874	23701	UVER	CD	46155524
652051	2228	1997-07-12	VYDAJ	PREVOD NA UCET	3874	23961	UVER	CD	46155524
652052	2228	1997-08-12	VYDAJ	PREVOD NA UCET	3874	24228	UVER	CD	46155524
652053	2228	1997-09-12	VYDAJ	PREVOD NA UCET	3874	20609	UVER	CD	46155524
652054	2228	1997-10-12	VYDAJ	PREVOD NA UCET	3874	19776	UVER	CD	46155524
652055	2228	1997-11-12	VYDAJ	PREVOD NA UCET	3874	18240	UVER	CD	46155524
652056	2228	1997-12-12	VYDAJ	PREVOD NA UCET	3874	19199	UVER	CD	46155524
652057	2228	1998-01-12	VYDAJ	PREVOD NA UCET	3874	52347	UVER	CD	46155524
652058	2228	1998-02-12	VYDAJ	PREVOD NA UCET	3874	62523	UVER	CD	46155524
652059	2228	1998-03-12	VYDAJ	PREVOD NA UCET	3874	68180	UVER	CD	46155524
652060	2228	1998-04-12	VYDAJ	PREVOD NA UCET	3874	37163	UVER	CD	46155524
652061	2228	1998-05-12	VYDAJ	PREVOD NA UCET	3874	35739	UVER	CD	46155524
652062	2228	1998-06-12	VYDAJ	PREVOD NA UCET	3874	18344	UVER	CD	46155524
652063	2228	1998-07-12	VYDAJ	PREVOD NA UCET	3874	38559	UVER	CD	46155524
652064	2228	1998-08-12	VYDAJ	PREVOD NA UCET	3874	25493	UVER	CD	46155524
652065	2228	1998-09-12	VYDAJ	PREVOD NA UCET	3874	35950	UVER	CD	46155524
652066	2228	1998-10-12	VYDAJ	PREVOD NA UCET	3874	37247	UVER	CD	46155524
652067	2228	1998-11-12	VYDAJ	PREVOD NA UCET	3874	62476	UVER	CD	46155524
652068	2228	1998-12-12	VYDAJ	PREVOD NA UCET	3874	24873	UVER	CD	46155524
652083	2228	1995-03-13	VYDAJ	PREVOD NA UCET	4625	78793	SIPO	ST	68287300
652084	2228	1995-04-13	VYDAJ	PREVOD NA UCET	4625	42547	SIPO	ST	68287300
652085	2228	1995-05-13	VYDAJ	PREVOD NA UCET	4625	65958	SIPO	ST	68287300
652086	2228	1995-06-13	VYDAJ	PREVOD NA UCET	4625	18359	SIPO	ST	68287300
652087	2228	1995-07-13	VYDAJ	PREVOD NA UCET	4625	17133	SIPO	ST	68287300
652088	2228	1995-08-13	VYDAJ	PREVOD NA UCET	4625	34989	SIPO	ST	68287300
652089	2228	1995-09-13	VYDAJ	PREVOD NA UCET	4625	29706	SIPO	ST	68287300
652090	2228	1995-10-13	VYDAJ	PREVOD NA UCET	4625	37163	SIPO	ST	68287300
652091	2228	1995-11-13	VYDAJ	PREVOD NA UCET	4625	75488	SIPO	ST	68287300
652092	2228	1995-12-13	VYDAJ	PREVOD NA UCET	4625	42333	SIPO	ST	68287300
652093	2228	1996-01-13	VYDAJ	PREVOD NA UCET	4625	57202	SIPO	ST	68287300
652094	2228	1996-02-13	VYDAJ	PREVOD NA UCET	4625	30745	SIPO	ST	68287300
652095	2228	1996-03-13	VYDAJ	PREVOD NA UCET	4625	59569	SIPO	ST	68287300
652096	2228	1996-04-13	VYDAJ	PREVOD NA UCET	4625	27003	SIPO	ST	68287300
652097	2228	1996-05-13	VYDAJ	PREVOD NA UCET	4625	40578	SIPO	ST	68287300
652098	2228	1996-06-13	VYDAJ	PREVOD NA UCET	4625	27173	SIPO	ST	68287300
652099	2228	1996-07-13	VYDAJ	PREVOD NA UCET	4625	85488	SIPO	ST	68287300
652100	2228	1996-08-13	VYDAJ	PREVOD NA UCET	4625	65263	SIPO	ST	68287300
652101	2228	1996-09-13	VYDAJ	PREVOD NA UCET	4625	38951	SIPO	ST	68287300
652102	2228	1996-10-13	VYDAJ	PREVOD NA UCET	4625	64040	SIPO	ST	68287300
652103	2228	1996-11-13	VYDAJ	PREVOD NA UCET	4625	37946	SIPO	ST	68287300
652104	2228	1996-12-13	VYDAJ	PREVOD NA UCET	4625	29656	SIPO	ST	68287300
652105	2228	1997-01-13	VYDAJ	PREVOD NA UCET	4625	28301	SIPO	ST	68287300
652106	2228	1997-02-13	VYDAJ	PREVOD NA UCET	4625	18350	SIPO	ST	68287300
652107	2228	1997-03-13	VYDAJ	PREVOD NA UCET	4625	15222	SIPO	ST	68287300
652108	2228	1997-04-13	VYDAJ	PREVOD NA UCET	4625	15175	SIPO	ST	68287300
652109	2228	1997-05-13	VYDAJ	PREVOD NA UCET	4625	16224	SIPO	ST	68287300
652110	2228	1997-06-13	VYDAJ	PREVOD NA UCET	4625	19076	SIPO	ST	68287300
652111	2228	1997-07-13	VYDAJ	PREVOD NA UCET	4625	19336	SIPO	ST	68287300
652112	2228	1997-08-13	VYDAJ	PREVOD NA UCET	4625	19603	SIPO	ST	68287300
652113	2228	1997-09-13	VYDAJ	PREVOD NA UCET	4625	15984	SIPO	ST	68287300
652114	2228	1997-10-13	VYDAJ	PREVOD NA UCET	4625	15151	SIPO	ST	68287300
652115	2228	1997-11-13	VYDAJ	PREVOD NA UCET	4625	13615	SIPO	ST	68287300
652116	2228	1997-12-13	VYDAJ	PREVOD NA UCET	4625	14574	SIPO	ST	68287300
652117	2228	1998-01-13	VYDAJ	PREVOD NA UCET	4625	45622	SIPO	ST	68287300
652118	2228	1998-02-13	VYDAJ	PREVOD NA UCET	4625	57898	SIPO	ST	68287300
652119	2228	1998-03-13	VYDAJ	PREVOD NA UCET	4625	63555	SIPO	ST	68287300
652120	2228	1998-04-13	VYDAJ	PREVOD NA UCET	4625	32538	SIPO	ST	68287300
652121	2228	1998-05-13	VYDAJ	PREVOD NA UCET	4625	31114	SIPO	ST	68287300
652122	2228	1998-06-13	VYDAJ	PREVOD NA UCET	4625	13719	SIPO	ST	68287300
652123	2228	1998-07-13	VYDAJ	PREVOD NA UCET	4625	33934	SIPO	ST	68287300
652124	2228	1998-08-13	VYDAJ	PREVOD NA UCET	4625	20868	SIPO	ST	68287300
652125	2228	1998-09-13	VYDAJ	PREVOD NA UCET	4625	31325	SIPO	ST	68287300
652126	2228	1998-10-13	VYDAJ	PREVOD NA UCET	4625	20330	SIPO	ST	68287300
652127	2228	1998-11-13	VYDAJ	PREVOD NA UCET	4625	57851	SIPO	ST	68287300
652128	2228	1998-12-13	VYDAJ	PREVOD NA UCET	4625	20248	SIPO	ST	68287300
652141	2228	1995-08-01	VYBER	VYBER	11414	55488	\N	\N	\N
652142	2228	1995-05-16	VYBER	VYBER	19216	24942	\N	\N	\N
652143	2228	1995-05-11	VYBER	VYBER	15545	74456	\N	\N	\N
652144	2228	1996-11-10	VYBER	VYBER	18520	46444	\N	\N	\N
652146	2228	1996-06-29	VYBER	VYBER	4294	22879	\N	\N	\N
652147	2228	1996-11-29	VYBER	VYBER	22411	63684	\N	\N	\N
652148	2228	1996-08-13	VYBER	VYBER	11506	69888	\N	\N	\N
652149	2228	1996-11-30	VYBER	VYBER	15275	48669	\N	\N	\N
652150	2228	1996-09-22	VYBER	VYBER	11896	48224	\N	\N	\N
652151	2228	1996-07-25	VYBER	VYBER	2268	114406	\N	\N	\N
652153	2228	1996-03-18	VYBER	VYBER	21422	38147	\N	\N	\N
652154	2228	1996-08-10	VYBER	VYBER	19440	37624	\N	\N	\N
652159	2228	1998-01-21	VYBER	VYBER	7148	30965	\N	\N	\N
652160	2228	1998-01-15	VYBER	VYBER	5409	40213	\N	\N	\N
652161	2228	1998-05-14	VYBER	VYBER	3310	27804	\N	\N	\N
652162	2228	1998-02-28	VYBER	VYBER	2868	26653	\N	\N	\N
652164	2228	1998-10-13	VYBER	VYBER	12292	24955	\N	\N	\N
652165	2228	1998-02-24	VYBER	VYBER	11015	46883	\N	\N	\N
652166	2228	1998-11-17	VYBER	VYBER	21022	36829	\N	\N	\N
652168	2228	1998-10-09	VYBER	VYBER	21270	41120	\N	\N	\N
652180	2228	1996-01-09	VYDAJ	VYBER	5400	57698	\N	\N	\N
652184	2228	1995-12-01	VYDAJ	VYBER	6000	69731	\N	\N	\N
652185	2228	1996-12-05	VYDAJ	VYBER	1800	38154	\N	\N	\N
652200	2228	1996-01-12	VYDAJ	VYBER	5400	61827	\N	\N	\N
652201	2228	1996-01-24	VYDAJ	VYBER	4500	52702	\N	\N	\N
652202	2228	1996-01-05	VYDAJ	VYBER	7200	88998	\N	\N	\N
652203	2228	1996-01-03	VYDAJ	VYBER	8400	66338	\N	\N	\N
652204	2228	1996-01-09	VYDAJ	VYBER	6600	51098	\N	\N	\N
652205	2228	1996-01-27	VYDAJ	VYBER	8700	44002	\N	\N	\N
652206	2228	1997-01-11	VYDAJ	VYBER	6600	39499	\N	\N	\N
652207	2228	1997-01-12	VYDAJ	VYBER	2700	32926	\N	\N	\N
652208	2228	1997-01-19	VYDAJ	VYBER	2100	23801	\N	\N	\N
652209	2228	1997-01-07	VYDAJ	VYBER	1500	53299	\N	\N	\N
652210	2228	1997-01-10	VYDAJ	VYBER	7200	46099	\N	\N	\N
652211	2228	1997-01-15	VYDAJ	VYBER	2400	25901	\N	\N	\N
652213	2228	1998-01-19	VYDAJ	VYBER	2100	38113	\N	\N	\N
652214	2228	1998-01-13	VYDAJ	VYBER	2100	50247	\N	\N	\N
652215	2228	1998-01-29	VYDAJ	VYBER	2400	25265	\N	\N	\N
652216	2228	1998-01-08	VYDAJ	VYBER	8700	56221	\N	\N	\N
652222	2228	1995-10-22	VYDAJ	VYBER	2400	34763	\N	\N	\N
652223	2228	1995-11-01	VYDAJ	VYBER	11700	23232	\N	\N	\N
652224	2228	1995-05-03	VYDAJ	VYBER	7500	90001	\N	\N	\N
652225	2228	1995-04-10	VYDAJ	VYBER	12300	70346	\N	\N	\N
652226	2228	1995-03-18	VYDAJ	VYBER	4800	47293	\N	\N	\N
652235	2228	1998-09-10	VYDAJ	VYBER	3900	39823	\N	\N	\N
652237	2228	1998-04-19	VYDAJ	VYBER	3900	28638	\N	\N	\N
652255	2228	1995-03-31	VYDAJ	VYBER	15	82646	SLUZBY	\N	\N
652256	2228	1995-04-30	VYDAJ	VYBER	15	97501	SLUZBY	\N	\N
652257	2228	1995-05-31	VYDAJ	VYBER	15	25158	SLUZBY	\N	\N
652258	2228	1995-06-30	VYDAJ	VYBER	15	18432	SLUZBY	\N	\N
652259	2228	1995-07-31	VYDAJ	VYBER	15	66902	SLUZBY	\N	\N
652260	2228	1995-08-31	VYDAJ	VYBER	15	40205	SLUZBY	\N	\N
652261	2228	1995-09-30	VYDAJ	VYBER	15	58961	SLUZBY	\N	\N
652262	2228	1995-10-31	VYDAJ	VYBER	15	34932	SLUZBY	\N	\N
652263	2228	1995-11-30	VYDAJ	VYBER	15	75731	SLUZBY	\N	\N
652264	2228	1995-12-31	VYDAJ	VYBER	15	74738	SLUZBY	\N	\N
652265	2228	1996-01-31	VYDAJ	VYBER	15	44243	SLUZBY	\N	\N
652266	2228	1996-02-29	VYDAJ	VYBER	15	65985	SLUZBY	\N	\N
652267	2228	1996-03-31	VYDAJ	VYBER	15	38351	SLUZBY	\N	\N
652268	2228	1996-04-30	VYDAJ	VYBER	15	67277	SLUZBY	\N	\N
652269	2228	1996-05-31	VYDAJ	VYBER	15	40772	SLUZBY	\N	\N
652270	2228	1996-06-30	VYDAJ	VYBER	15	22997	SLUZBY	\N	\N
652271	2228	1996-07-31	VYDAJ	VYBER	15	85464	SLUZBY	\N	\N
652272	2228	1996-08-31	VYDAJ	VYBER	15	65550	SLUZBY	\N	\N
652273	2228	1996-09-30	VYDAJ	VYBER	15	48444	SLUZBY	\N	\N
652274	2228	1996-10-31	VYDAJ	VYBER	15	64283	SLUZBY	\N	\N
652275	2228	1996-11-30	VYDAJ	VYBER	15	48654	SLUZBY	\N	\N
652276	2228	1996-12-31	VYDAJ	VYBER	15	78999	SLUZBY	\N	\N
652277	2228	1997-01-31	VYDAJ	VYBER	15	23949	SLUZBY	\N	\N
652278	2228	1997-02-28	VYDAJ	VYBER	15	18420	SLUZBY	\N	\N
652279	2228	1997-03-31	VYDAJ	VYBER	15	15274	SLUZBY	\N	\N
652280	2228	1997-04-30	VYDAJ	VYBER	15	15223	SLUZBY	\N	\N
652281	2228	1997-05-31	VYDAJ	VYBER	15	16275	SLUZBY	\N	\N
652282	2228	1997-06-30	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
652283	2228	1997-07-31	VYDAJ	VYBER	15	28102	SLUZBY	\N	\N
652284	2228	1997-08-31	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
652285	2228	1997-09-30	VYDAJ	VYBER	15	23650	SLUZBY	\N	\N
652286	2228	1997-10-31	VYDAJ	VYBER	15	22114	SLUZBY	\N	\N
652287	2228	1997-11-30	VYDAJ	VYBER	15	23073	SLUZBY	\N	\N
652288	2228	1997-12-31	VYDAJ	VYBER	15	17733	SLUZBY	\N	\N
652289	2228	1998-01-31	VYDAJ	VYBER	15	66397	SLUZBY	\N	\N
652290	2228	1998-02-28	VYDAJ	VYBER	15	26638	SLUZBY	\N	\N
652291	2228	1998-03-31	VYDAJ	VYBER	15	41036	SLUZBY	\N	\N
652292	2228	1998-04-30	VYDAJ	VYBER	15	39613	SLUZBY	\N	\N
652293	2228	1998-05-31	VYDAJ	VYBER	15	22218	SLUZBY	\N	\N
652294	2228	1998-06-30	VYDAJ	VYBER	15	42433	SLUZBY	\N	\N
652295	2228	1998-07-31	VYDAJ	VYBER	15	29367	SLUZBY	\N	\N
652296	2228	1998-08-31	VYDAJ	VYBER	15	43723	SLUZBY	\N	\N
652297	2228	1998-09-30	VYDAJ	VYBER	15	62390	SLUZBY	\N	\N
652298	2228	1998-10-31	VYDAJ	VYBER	15	21662	SLUZBY	\N	\N
652299	2228	1998-11-30	VYDAJ	VYBER	15	28747	SLUZBY	\N	\N
652300	2228	1994-04-18	PRIJEM	VKLAD	11000	11700	\N	\N	\N
652301	2228	1994-05-18	PRIJEM	VKLAD	7900	19600	\N	\N	\N
652302	2228	1994-06-17	VYDAJ	VYBER	5400	33977	\N	\N	\N
652303	2228	1994-07-17	VYDAJ	VYBER	7000	27141	\N	\N	\N
652304	2228	1994-08-16	VYDAJ	VYBER	21000	49386	\N	\N	\N
652305	2228	1994-09-15	VYDAJ	VYBER	11900	37778	\N	\N	\N
652306	2228	1994-10-15	VYDAJ	VYBER	4600	33471	\N	\N	\N
652307	2228	1994-11-14	VYDAJ	VYBER	1800	31963	\N	\N	\N
652308	2228	1994-12-14	VYDAJ	VYBER	8800	35747	\N	\N	\N
652309	2228	1995-01-13	VYDAJ	VYBER	5300	30656	\N	\N	\N
652310	2228	1995-02-12	VYDAJ	VYBER	3800	27005	\N	\N	\N
652311	2228	1995-03-07	VYDAJ	VYBER	57400	83418	\N	\N	\N
652312	2228	1995-03-14	VYDAJ	VYBER	26700	52093	\N	\N	\N
652313	2228	1995-04-13	VYDAJ	VYBER	19300	47172	\N	\N	\N
652314	2228	1995-04-18	VYDAJ	VYBER	53900	69696	\N	\N	\N
652315	2228	1995-04-28	VYDAJ	VYBER	17400	97137	\N	\N	\N
652316	2228	1995-05-13	VYDAJ	VYBER	21800	44158	\N	\N	\N
652317	2228	1995-06-12	PRIJEM	VKLAD	1700	26858	\N	\N	\N
652318	2228	1995-07-12	PRIJEM	VKLAD	7200	25632	\N	\N	\N
652319	2228	1995-08-11	VYDAJ	VYBER	12000	43488	\N	\N	\N
652320	2228	1995-09-10	VYDAJ	VYBER	2000	38205	\N	\N	\N
652321	2228	1995-10-10	VYDAJ	VYBER	13300	45661	\N	\N	\N
652322	2228	1995-11-09	PRIJEM	VKLAD	200	34442	\N	\N	\N
652323	2228	1995-12-09	VYDAJ	VYBER	18900	50831	\N	\N	\N
652324	2228	1996-01-08	VYDAJ	VYBER	25900	63098	\N	\N	\N
652325	2228	1996-02-07	VYDAJ	VYBER	5000	39243	\N	\N	\N
652326	2228	1996-03-08	VYDAJ	VYBER	32600	68068	\N	\N	\N
652327	2228	1996-04-07	VYDAJ	VYBER	8000	35501	\N	\N	\N
652328	2228	1996-05-07	VYDAJ	VYBER	18200	49077	\N	\N	\N
652329	2228	1996-06-06	VYDAJ	VYBER	5100	35672	\N	\N	\N
652330	2228	1996-07-06	PRIJEM	VKLAD	1900	32439	\N	\N	\N
652331	2228	1996-07-09	VYDAJ	VYBER	16300	92668	\N	\N	\N
652332	2228	1996-07-10	VYDAJ	VYBER	21400	119187	\N	\N	\N
652333	2228	1996-07-12	VYDAJ	VYBER	25200	93987	\N	\N	\N
652334	2228	1996-07-21	VYDAJ	VYBER	26600	116674	\N	\N	\N
652335	2228	1996-07-25	VYDAJ	VYBER	29300	85106	\N	\N	\N
652336	2228	1996-08-05	VYDAJ	VYBER	28400	57064	\N	\N	\N
652337	2228	1996-09-04	VYDAJ	VYBER	18100	47450	\N	\N	\N
652338	2228	1996-10-04	VYDAJ	VYBER	32600	60134	\N	\N	\N
652339	2228	1996-11-03	VYDAJ	VYBER	20400	43883	\N	\N	\N
652340	2228	1996-12-03	VYDAJ	VYBER	8700	39954	\N	\N	\N
652341	2228	1997-01-02	VYDAJ	VYBER	24200	54799	\N	\N	\N
652342	2228	1997-02-01	PRIJEM	VKLAD	2900	26849	\N	\N	\N
652343	2228	1997-03-03	PRIJEM	VKLAD	5300	23720	\N	\N	\N
652344	2228	1997-04-02	PRIJEM	VKLAD	8400	23674	\N	\N	\N
652345	2228	1997-05-02	PRIJEM	VKLAD	9500	24723	\N	\N	\N
652346	2228	1997-06-01	PRIJEM	VKLAD	11300	27575	\N	\N	\N
652347	2228	1997-07-01	PRIJEM	VKLAD	8700	27835	\N	\N	\N
652348	2228	1997-07-31	PRIJEM	VKLAD	8700	28036	\N	\N	\N
652349	2228	1997-08-30	PRIJEM	VKLAD	4800	24403	\N	\N	\N
652350	2228	1997-09-29	PRIJEM	VKLAD	7600	23584	\N	\N	\N
652351	2228	1997-10-29	PRIJEM	VKLAD	6900	22051	\N	\N	\N
652352	2228	1997-11-28	PRIJEM	VKLAD	9400	23015	\N	\N	\N
652353	2228	1997-12-28	PRIJEM	VKLAD	3100	17674	\N	\N	\N
652354	2228	1998-01-27	VYDAJ	VYBER	3300	27665	\N	\N	\N
652355	2228	1998-02-26	VYDAJ	VYBER	17600	29283	\N	\N	\N
652356	2228	1998-03-28	VYDAJ	VYBER	22700	40855	\N	\N	\N
652357	2228	1998-04-27	VYDAJ	VYBER	24000	39467	\N	\N	\N
652358	2228	1998-05-27	VYDAJ	VYBER	5700	22104	\N	\N	\N
652359	2228	1998-06-26	VYDAJ	VYBER	21700	42335	\N	\N	\N
652360	2228	1998-07-26	VYDAJ	VYBER	4700	29234	\N	\N	\N
652361	2228	1998-08-25	PRIJEM	VKLAD	700	21568	\N	\N	\N
652362	2228	1998-09-24	VYDAJ	VYBER	43000	62146	\N	\N	\N
652363	2228	1998-10-24	PRIJEM	VKLAD	1200	21530	\N	\N	\N
652364	2228	1998-11-23	VYDAJ	VYBER	8200	28629	\N	\N	\N
652421	2229	1997-01-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
652423	2229	1997-02-11	PRIJEM	VKLAD	15050	16050	\N	\N	\N
652424	2229	1997-03-11	PRIJEM	VKLAD	15050	33808	\N	\N	\N
652425	2229	1997-04-11	PRIJEM	VKLAD	15050	46543	\N	\N	\N
652426	2229	1997-05-11	PRIJEM	VKLAD	15050	48625	\N	\N	\N
652427	2229	1997-06-11	PRIJEM	VKLAD	22575	59142	\N	\N	\N
652428	2229	1997-07-11	PRIJEM	VKLAD	15050	35235	\N	\N	\N
652429	2229	1997-08-11	PRIJEM	VKLAD	15050	40159	\N	\N	\N
652430	2229	1997-09-11	PRIJEM	VKLAD	15050	45309	\N	\N	\N
652431	2229	1997-10-11	PRIJEM	VKLAD	15050	47276	\N	\N	\N
652432	2229	1997-11-11	PRIJEM	VKLAD	15050	46147	\N	\N	\N
652433	2229	1997-12-11	PRIJEM	VKLAD	22575	51638	\N	\N	\N
652434	2229	1998-01-11	PRIJEM	VKLAD	15050	46015	\N	\N	\N
652435	2229	1998-02-11	PRIJEM	VKLAD	15050	43182	\N	\N	\N
652436	2229	1998-03-11	PRIJEM	VKLAD	15050	42737	\N	\N	\N
652437	2229	1998-04-11	PRIJEM	VKLAD	15050	35387	\N	\N	\N
652438	2229	1998-05-11	PRIJEM	VKLAD	15050	33513	\N	\N	\N
652439	2229	1998-06-11	PRIJEM	VKLAD	22575	40151	\N	\N	\N
652440	2229	1998-07-11	PRIJEM	VKLAD	15050	34277	\N	\N	\N
652441	2229	1998-08-11	PRIJEM	VKLAD	15050	29994	\N	\N	\N
652442	2229	1998-09-11	PRIJEM	VKLAD	15050	29489	\N	\N	\N
652443	2229	1998-10-11	PRIJEM	VKLAD	15050	34094	\N	\N	\N
652444	2229	1998-11-11	PRIJEM	VKLAD	15050	38916	\N	\N	\N
652445	2229	1998-12-11	PRIJEM	VKLAD	22575	43975	\N	\N	\N
652451	2229	1997-06-12	VYDAJ	PREVOD NA UCET	9605	49537	SIPO	KL	29944843
652452	2229	1997-07-12	VYDAJ	PREVOD NA UCET	9605	25630	SIPO	KL	29944843
652453	2229	1997-08-12	VYDAJ	PREVOD NA UCET	9605	30554	SIPO	KL	29944843
652454	2229	1997-09-12	VYDAJ	PREVOD NA UCET	9605	35704	SIPO	KL	29944843
652455	2229	1997-10-12	VYDAJ	PREVOD NA UCET	9605	37671	SIPO	KL	29944843
652456	2229	1997-11-12	VYDAJ	PREVOD NA UCET	9605	36542	SIPO	KL	29944843
652457	2229	1997-12-12	VYDAJ	PREVOD NA UCET	9605	42033	SIPO	KL	29944843
652458	2229	1998-01-12	VYDAJ	PREVOD NA UCET	9605	36410	SIPO	KL	29944843
652459	2229	1998-02-12	VYDAJ	PREVOD NA UCET	9605	33577	SIPO	KL	29944843
652460	2229	1998-03-12	VYDAJ	PREVOD NA UCET	9605	33132	SIPO	KL	29944843
652461	2229	1998-04-12	VYDAJ	PREVOD NA UCET	9605	25782	SIPO	KL	29944843
652462	2229	1998-05-12	VYDAJ	PREVOD NA UCET	9605	23908	SIPO	KL	29944843
652463	2229	1998-06-12	VYDAJ	PREVOD NA UCET	9605	30546	SIPO	KL	29944843
652464	2229	1998-07-12	VYDAJ	PREVOD NA UCET	9605	24672	SIPO	KL	29944843
652465	2229	1998-08-12	VYDAJ	PREVOD NA UCET	9605	20389	SIPO	KL	29944843
652466	2229	1998-09-12	VYDAJ	PREVOD NA UCET	9605	19884	SIPO	KL	29944843
652467	2229	1998-10-12	VYDAJ	PREVOD NA UCET	9605	24489	SIPO	KL	29944843
652468	2229	1998-11-12	VYDAJ	PREVOD NA UCET	9605	29311	SIPO	KL	29944843
652469	2229	1998-12-12	VYDAJ	PREVOD NA UCET	9605	34370	SIPO	KL	29944843
652470	2229	1997-06-25	VYDAJ	VYBER	26200	23337	\N	\N	\N
652472	2229	1997-12-15	VYDAJ	VYBER	1600	40433	\N	\N	\N
652473	2229	1998-12-26	VYDAJ	VYBER	2900	26670	\N	\N	\N
652480	2229	1998-01-02	VYDAJ	VYBER	2800	32665	\N	\N	\N
652481	2229	1998-01-20	VYDAJ	VYBER	900	32510	\N	\N	\N
652482	2229	1998-01-24	VYDAJ	VYBER	700	28710	\N	\N	\N
652483	2229	1998-01-10	VYDAJ	VYBER	1700	30965	\N	\N	\N
652484	2229	1998-01-20	VYDAJ	VYBER	1700	30810	\N	\N	\N
652485	2229	1998-01-30	VYDAJ	VYBER	700	28010	\N	\N	\N
652486	2229	1997-07-15	VYDAJ	VYBER	4700	20930	\N	\N	\N
652487	2229	1997-07-06	VYDAJ	VYBER	700	20185	\N	\N	\N
652490	2229	1997-07-25	VYDAJ	VYBER	1400	17830	\N	\N	\N
652491	2229	1997-07-25	VYDAJ	VYBER	1700	19230	\N	\N	\N
652492	2229	1997-10-17	VYDAJ	VYBER	500	37171	\N	\N	\N
652494	2229	1998-09-24	VYDAJ	VYBER	2400	18984	\N	\N	\N
652495	2229	1998-08-16	VYDAJ	VYBER	4700	15689	\N	\N	\N
652496	2229	1998-11-25	VYDAJ	VYBER	3800	21311	\N	\N	\N
652497	2229	1998-07-10	VYDAJ	VYBER	3100	19227	\N	\N	\N
652498	2229	1998-01-14	VYDAJ	VYBER	3000	33410	\N	\N	\N
652499	2229	1998-04-06	VYDAJ	VYBER	4500	20337	\N	\N	\N
652500	2229	1998-04-14	VYDAJ	VYBER	1700	24082	\N	\N	\N
652507	2229	1997-06-30	VYDAJ	VYBER	15	20885	SLUZBY	\N	\N
652508	2229	1997-07-31	VYDAJ	VYBER	15	25109	SLUZBY	\N	\N
652509	2229	1997-08-31	VYDAJ	VYBER	15	30259	SLUZBY	\N	\N
652510	2229	1997-09-30	VYDAJ	VYBER	15	32226	SLUZBY	\N	\N
652511	2229	1997-10-31	VYDAJ	VYBER	15	31097	SLUZBY	\N	\N
652512	2229	1997-11-30	VYDAJ	VYBER	15	29063	SLUZBY	\N	\N
652513	2229	1997-12-31	VYDAJ	VYBER	15	35465	SLUZBY	\N	\N
652514	2229	1998-01-31	VYDAJ	VYBER	15	28132	SLUZBY	\N	\N
652515	2229	1998-02-28	VYDAJ	VYBER	15	27687	SLUZBY	\N	\N
652516	2229	1998-03-31	VYDAJ	VYBER	15	24837	SLUZBY	\N	\N
652517	2229	1998-04-30	VYDAJ	VYBER	15	18463	SLUZBY	\N	\N
652518	2229	1998-05-31	VYDAJ	VYBER	15	17576	SLUZBY	\N	\N
652519	2229	1998-06-30	VYDAJ	VYBER	15	22327	SLUZBY	\N	\N
652520	2229	1998-07-31	VYDAJ	VYBER	15	14944	SLUZBY	\N	\N
652521	2229	1998-08-31	VYDAJ	VYBER	15	14439	SLUZBY	\N	\N
652522	2229	1998-09-30	VYDAJ	VYBER	15	19044	SLUZBY	\N	\N
652523	2229	1998-10-31	VYDAJ	VYBER	15	23866	SLUZBY	\N	\N
652524	2229	1998-11-30	VYDAJ	VYBER	15	21400	SLUZBY	\N	\N
652525	2229	1997-02-26	PRIJEM	VKLAD	2700	18750	\N	\N	\N
652526	2229	1997-03-28	VYDAJ	VYBER	2400	31408	\N	\N	\N
652527	2229	1997-04-27	VYDAJ	VYBER	13100	33443	\N	\N	\N
652528	2229	1997-05-27	VYDAJ	VYBER	12200	36425	\N	\N	\N
652529	2229	1997-06-26	VYDAJ	VYBER	2600	20737	\N	\N	\N
652530	2229	1997-07-26	PRIJEM	VKLAD	7200	25030	\N	\N	\N
652531	2229	1997-08-25	VYDAJ	VYBER	400	30154	\N	\N	\N
652532	2229	1997-09-24	VYDAJ	VYBER	3600	32104	\N	\N	\N
652533	2229	1997-10-24	VYDAJ	VYBER	6200	30971	\N	\N	\N
652534	2229	1997-11-23	VYDAJ	VYBER	7600	28942	\N	\N	\N
652535	2229	1997-12-23	VYDAJ	VYBER	5100	35333	\N	\N	\N
652536	2229	1998-01-22	VYDAJ	VYBER	1400	29410	\N	\N	\N
652537	2229	1998-02-21	VYDAJ	VYBER	6000	27577	\N	\N	\N
652538	2229	1998-03-23	VYDAJ	VYBER	8400	24732	\N	\N	\N
652539	2229	1998-04-22	VYDAJ	VYBER	5700	18382	\N	\N	\N
652540	2229	1998-05-22	VYDAJ	VYBER	6400	17508	\N	\N	\N
652541	2229	1998-06-21	VYDAJ	VYBER	8300	22246	\N	\N	\N
652542	2229	1998-07-21	VYDAJ	VYBER	9800	14872	\N	\N	\N
652543	2229	1998-08-20	VYDAJ	VYBER	1300	14389	\N	\N	\N
652544	2229	1998-09-19	PRIJEM	VKLAD	1500	21384	\N	\N	\N
652545	2229	1998-10-19	VYDAJ	VYBER	700	23789	\N	\N	\N
652546	2229	1998-11-18	VYDAJ	VYBER	4200	25111	\N	\N	\N
652547	2229	1998-12-18	VYDAJ	VYBER	4800	29570	\N	\N	\N
652571	2230	1996-02-11	PRIJEM	VKLAD	200	200	\N	\N	\N
652574	2230	1996-03-10	PRIJEM	PREVOD Z UCTU	5292	5492	DUCHOD	ST	97591661
652575	2230	1996-04-10	PRIJEM	PREVOD Z UCTU	5292	10784	DUCHOD	ST	97591661
652576	2230	1996-05-10	PRIJEM	PREVOD Z UCTU	5292	16076	DUCHOD	ST	97591661
652577	2230	1996-06-10	PRIJEM	PREVOD Z UCTU	5292	21368	DUCHOD	ST	97591661
652578	2230	1996-07-10	PRIJEM	PREVOD Z UCTU	5292	26660	DUCHOD	ST	97591661
652579	2230	1996-08-10	PRIJEM	PREVOD Z UCTU	5292	27793	DUCHOD	ST	97591661
652580	2230	1996-09-10	PRIJEM	PREVOD Z UCTU	5292	29679	DUCHOD	ST	97591661
652581	2230	1996-10-10	PRIJEM	PREVOD Z UCTU	5292	32452	DUCHOD	ST	97591661
652582	2230	1996-11-10	PRIJEM	PREVOD Z UCTU	5292	32037	DUCHOD	ST	97591661
652583	2230	1996-12-10	PRIJEM	PREVOD Z UCTU	5292	32827	DUCHOD	ST	97591661
652584	2230	1997-01-10	PRIJEM	PREVOD Z UCTU	5292	31379	DUCHOD	ST	97591661
652585	2230	1997-02-10	PRIJEM	PREVOD Z UCTU	5292	25536	DUCHOD	ST	97591661
652586	2230	1997-03-10	PRIJEM	PREVOD Z UCTU	5292	25168	DUCHOD	ST	97591661
652587	2230	1997-04-10	PRIJEM	PREVOD Z UCTU	5292	25277	DUCHOD	ST	97591661
652588	2230	1997-05-10	PRIJEM	PREVOD Z UCTU	5292	27472	DUCHOD	ST	97591661
652589	2230	1997-06-10	PRIJEM	PREVOD Z UCTU	5292	28559	DUCHOD	ST	97591661
652590	2230	1997-07-10	PRIJEM	PREVOD Z UCTU	5292	22205	DUCHOD	ST	97591661
652591	2230	1997-08-10	PRIJEM	PREVOD Z UCTU	5292	24948	DUCHOD	ST	97591661
652592	2230	1997-09-10	PRIJEM	PREVOD Z UCTU	5292	27701	DUCHOD	ST	97591661
652593	2230	1997-10-10	PRIJEM	PREVOD Z UCTU	5292	30466	DUCHOD	ST	97591661
652594	2230	1997-11-10	PRIJEM	PREVOD Z UCTU	5292	33243	DUCHOD	ST	97591661
652595	2230	1997-12-10	PRIJEM	PREVOD Z UCTU	5292	36031	DUCHOD	ST	97591661
652596	2230	1998-01-10	PRIJEM	PREVOD Z UCTU	5292	35178	DUCHOD	ST	97591661
652597	2230	1998-02-10	PRIJEM	PREVOD Z UCTU	5292	31330	DUCHOD	ST	97591661
652598	2230	1998-03-10	PRIJEM	PREVOD Z UCTU	5292	33630	DUCHOD	ST	97591661
652599	2230	1998-04-10	PRIJEM	PREVOD Z UCTU	5292	36420	DUCHOD	ST	97591661
652600	2230	1998-05-10	PRIJEM	PREVOD Z UCTU	5292	39221	DUCHOD	ST	97591661
652601	2230	1998-06-10	PRIJEM	PREVOD Z UCTU	5292	40114	DUCHOD	ST	97591661
652602	2230	1998-07-10	PRIJEM	PREVOD Z UCTU	5292	27744	DUCHOD	ST	97591661
652603	2230	1998-08-10	PRIJEM	PREVOD Z UCTU	5292	30508	DUCHOD	ST	97591661
652604	2230	1998-09-10	PRIJEM	PREVOD Z UCTU	5292	30165	DUCHOD	ST	97591661
652605	2230	1998-10-10	PRIJEM	PREVOD Z UCTU	5292	32947	DUCHOD	ST	97591661
652606	2230	1998-11-10	PRIJEM	PREVOD Z UCTU	5292	31951	DUCHOD	ST	97591661
652607	2230	1998-12-10	PRIJEM	PREVOD Z UCTU	5292	34288	DUCHOD	ST	97591661
652614	2230	1996-07-14	VYDAJ	PREVOD NA UCET	2612	22448	SIPO	GH	49185484
652615	2230	1996-08-14	VYDAJ	PREVOD NA UCET	2612	25181	SIPO	GH	49185484
652616	2230	1996-09-14	VYDAJ	PREVOD NA UCET	2612	27067	SIPO	GH	49185484
652617	2230	1996-10-14	VYDAJ	PREVOD NA UCET	2612	29840	SIPO	GH	49185484
652618	2230	1996-11-14	VYDAJ	PREVOD NA UCET	2612	29425	SIPO	GH	49185484
652619	2230	1996-12-14	VYDAJ	PREVOD NA UCET	2612	30215	SIPO	GH	49185484
652620	2230	1997-01-14	VYDAJ	PREVOD NA UCET	2612	24717	SIPO	GH	49185484
652621	2230	1997-02-14	VYDAJ	PREVOD NA UCET	2612	22924	SIPO	GH	49185484
652622	2230	1997-03-14	VYDAJ	PREVOD NA UCET	2612	19916	SIPO	GH	49185484
652623	2230	1997-04-14	VYDAJ	PREVOD NA UCET	2612	22665	SIPO	GH	49185484
652624	2230	1997-05-14	VYDAJ	PREVOD NA UCET	2612	24860	SIPO	GH	49185484
652625	2230	1997-06-14	VYDAJ	PREVOD NA UCET	2612	16847	SIPO	GH	49185484
652626	2230	1997-07-14	VYDAJ	PREVOD NA UCET	2612	19593	SIPO	GH	49185484
652627	2230	1997-08-14	VYDAJ	PREVOD NA UCET	2612	22336	SIPO	GH	49185484
652628	2230	1997-09-14	VYDAJ	PREVOD NA UCET	2612	25089	SIPO	GH	49185484
652629	2230	1997-10-14	VYDAJ	PREVOD NA UCET	2612	27854	SIPO	GH	49185484
652630	2230	1997-11-14	VYDAJ	PREVOD NA UCET	2612	30631	SIPO	GH	49185484
652631	2230	1997-12-14	VYDAJ	PREVOD NA UCET	2612	32169	SIPO	GH	49185484
652632	2230	1998-01-14	VYDAJ	PREVOD NA UCET	2612	32166	SIPO	GH	49185484
652633	2230	1998-02-14	VYDAJ	PREVOD NA UCET	2612	28238	SIPO	GH	49185484
652634	2230	1998-03-14	VYDAJ	PREVOD NA UCET	2612	31018	SIPO	GH	49185484
652635	2230	1998-04-14	VYDAJ	PREVOD NA UCET	2612	33808	SIPO	GH	49185484
652636	2230	1998-05-14	VYDAJ	PREVOD NA UCET	2612	36609	SIPO	GH	49185484
652637	2230	1998-06-14	VYDAJ	PREVOD NA UCET	2612	37502	SIPO	GH	49185484
652638	2230	1998-07-14	VYDAJ	PREVOD NA UCET	2612	25132	SIPO	GH	49185484
652639	2230	1998-08-14	VYDAJ	PREVOD NA UCET	2612	27896	SIPO	GH	49185484
652640	2230	1998-09-14	VYDAJ	PREVOD NA UCET	2612	27553	SIPO	GH	49185484
652641	2230	1998-10-14	VYDAJ	PREVOD NA UCET	2612	30335	SIPO	GH	49185484
652642	2230	1998-11-14	VYDAJ	PREVOD NA UCET	2612	29339	SIPO	GH	49185484
652643	2230	1998-12-14	VYDAJ	PREVOD NA UCET	2612	31676	SIPO	GH	49185484
652645	2230	1997-06-10	VYDAJ	VYBER	9100	19459	\N	\N	\N
652646	2230	1998-06-27	VYDAJ	VYBER	11900	22322	\N	\N	\N
652648	2230	1997-01-11	VYDAJ	VYBER	4050	27329	\N	\N	\N
652649	2230	1998-01-03	VYDAJ	VYBER	2400	29886	\N	\N	\N
652650	2230	1996-12-21	VYDAJ	VYBER	400	29815	\N	\N	\N
652651	2230	1997-12-13	VYDAJ	VYBER	1250	34781	\N	\N	\N
652652	2230	1998-12-08	VYDAJ	VYBER	450	28996	\N	\N	\N
652659	2230	1997-01-02	VYDAJ	VYBER	1440	28487	\N	\N	\N
652660	2230	1997-01-16	VYDAJ	VYBER	480	24237	\N	\N	\N
652661	2230	1997-01-22	VYDAJ	VYBER	400	21277	\N	\N	\N
652662	2230	1997-01-18	VYDAJ	VYBER	560	23677	\N	\N	\N
652663	2230	1997-01-20	VYDAJ	VYBER	2000	21677	\N	\N	\N
652664	2230	1997-01-25	VYDAJ	VYBER	1120	20157	\N	\N	\N
652665	2230	1998-01-10	VYDAJ	VYBER	400	34778	\N	\N	\N
652666	2230	1998-01-22	VYDAJ	VYBER	1920	28566	\N	\N	\N
652667	2230	1998-01-15	VYDAJ	VYBER	800	31366	\N	\N	\N
652668	2230	1998-01-16	VYDAJ	VYBER	880	30486	\N	\N	\N
652669	2230	1998-01-30	VYDAJ	VYBER	960	25926	\N	\N	\N
652670	2230	1998-01-23	VYDAJ	VYBER	1680	26886	\N	\N	\N
652673	2230	1996-08-14	VYDAJ	VYBER	880	24301	\N	\N	\N
652674	2230	1997-01-06	VYDAJ	VYBER	2400	26087	\N	\N	\N
652675	2230	1997-05-07	VYDAJ	VYBER	560	22180	\N	\N	\N
652676	2230	1997-03-13	VYDAJ	VYBER	2640	22528	\N	\N	\N
652677	2230	1997-06-08	VYDAJ	VYBER	1120	23267	\N	\N	\N
652678	2230	1997-05-26	VYDAJ	VYBER	560	24300	\N	\N	\N
652679	2230	1997-02-21	VYDAJ	VYBER	3120	19804	\N	\N	\N
652680	2230	1998-02-12	VYDAJ	VYBER	480	30850	\N	\N	\N
652681	2230	1998-06-19	VYDAJ	VYBER	3280	34222	\N	\N	\N
652682	2230	1998-11-03	VYDAJ	VYBER	1760	26659	\N	\N	\N
652683	2230	1998-10-23	VYDAJ	VYBER	1520	28815	\N	\N	\N
652684	2230	1998-09-09	VYDAJ	VYBER	3120	24873	\N	\N	\N
652685	2230	1998-06-08	VYDAJ	VYBER	1920	34822	\N	\N	\N
652693	2230	1996-07-31	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
652694	2230	1996-08-31	VYDAJ	VYBER	15	24387	SLUZBY	\N	\N
652695	2230	1996-09-30	VYDAJ	VYBER	15	27160	SLUZBY	\N	\N
652696	2230	1996-10-31	VYDAJ	VYBER	15	29945	SLUZBY	\N	\N
652697	2230	1996-11-30	VYDAJ	VYBER	15	29535	SLUZBY	\N	\N
652698	2230	1996-12-31	VYDAJ	VYBER	15	29927	SLUZBY	\N	\N
652699	2230	1997-01-31	VYDAJ	VYBER	15	20244	SLUZBY	\N	\N
652700	2230	1997-02-28	VYDAJ	VYBER	15	19876	SLUZBY	\N	\N
652701	2230	1997-03-31	VYDAJ	VYBER	15	19985	SLUZBY	\N	\N
652702	2230	1997-04-30	VYDAJ	VYBER	15	22740	SLUZBY	\N	\N
652703	2230	1997-05-31	VYDAJ	VYBER	15	24387	SLUZBY	\N	\N
652704	2230	1997-06-30	VYDAJ	VYBER	15	16913	SLUZBY	\N	\N
652705	2230	1997-07-31	VYDAJ	VYBER	15	19656	SLUZBY	\N	\N
652706	2230	1997-08-31	VYDAJ	VYBER	15	22409	SLUZBY	\N	\N
652707	2230	1997-09-30	VYDAJ	VYBER	15	25174	SLUZBY	\N	\N
652708	2230	1997-10-31	VYDAJ	VYBER	15	27951	SLUZBY	\N	\N
652709	2230	1997-11-30	VYDAJ	VYBER	15	30739	SLUZBY	\N	\N
652710	2230	1997-12-31	VYDAJ	VYBER	15	32286	SLUZBY	\N	\N
652711	2230	1998-01-31	VYDAJ	VYBER	15	26038	SLUZBY	\N	\N
652712	2230	1998-02-28	VYDAJ	VYBER	15	28338	SLUZBY	\N	\N
652713	2230	1998-03-31	VYDAJ	VYBER	15	31128	SLUZBY	\N	\N
652714	2230	1998-04-30	VYDAJ	VYBER	15	33929	SLUZBY	\N	\N
652715	2230	1998-05-31	VYDAJ	VYBER	15	36742	SLUZBY	\N	\N
652716	2230	1998-06-30	VYDAJ	VYBER	15	22452	SLUZBY	\N	\N
652717	2230	1998-07-31	VYDAJ	VYBER	15	25216	SLUZBY	\N	\N
652718	2230	1998-08-31	VYDAJ	VYBER	15	27993	SLUZBY	\N	\N
652719	2230	1998-09-30	VYDAJ	VYBER	15	27655	SLUZBY	\N	\N
652720	2230	1998-10-31	VYDAJ	VYBER	15	28419	SLUZBY	\N	\N
652721	2230	1998-11-30	VYDAJ	VYBER	15	29446	SLUZBY	\N	\N
652722	2230	1996-07-10	VYDAJ	VYBER	1600	25060	\N	\N	\N
652723	2230	1996-11-07	VYDAJ	VYBER	3200	26745	\N	\N	\N
652724	2230	1996-12-07	VYDAJ	VYBER	2000	27535	\N	\N	\N
652725	2230	1998-10-28	VYDAJ	VYBER	500	28315	\N	\N	\N
652756	2231	1997-10-14	PRIJEM	VKLAD	600	600	\N	\N	\N
652767	2231	1997-11-11	PRIJEM	VKLAD	5418	6018	\N	\N	\N
652768	2231	1997-12-11	PRIJEM	VKLAD	8127	20977	\N	\N	\N
652769	2231	1998-01-11	PRIJEM	VKLAD	5418	27973	\N	\N	\N
652770	2231	1998-02-11	PRIJEM	VKLAD	5418	25979	\N	\N	\N
652771	2231	1998-03-11	PRIJEM	VKLAD	5418	22173	\N	\N	\N
652772	2231	1998-04-11	PRIJEM	VKLAD	5418	20338	\N	\N	\N
652773	2231	1998-05-11	PRIJEM	VKLAD	5418	19504	\N	\N	\N
652774	2231	1998-06-11	PRIJEM	VKLAD	8127	17476	\N	\N	\N
652775	2231	1998-07-11	PRIJEM	VKLAD	5418	14436	\N	\N	\N
652776	2231	1998-08-11	PRIJEM	VKLAD	5418	19784	\N	\N	\N
652777	2231	1998-09-11	PRIJEM	VKLAD	5418	17650	\N	\N	\N
652778	2231	1998-10-11	PRIJEM	VKLAD	5418	23815	\N	\N	\N
652779	2231	1998-11-11	PRIJEM	VKLAD	5418	24598	\N	\N	\N
652780	2231	1998-12-11	PRIJEM	VKLAD	8127	25299	\N	\N	\N
652796	2231	1998-04-10	VYDAJ	PREVOD NA UCET	2181	14920	SIPO	AB	8985472
652797	2231	1998-05-10	VYDAJ	PREVOD NA UCET	2181	14086	SIPO	AB	8985472
652798	2231	1998-06-10	VYDAJ	PREVOD NA UCET	2181	9349	SIPO	AB	8985472
652799	2231	1998-07-10	VYDAJ	PREVOD NA UCET	2181	9018	SIPO	AB	8985472
652800	2231	1998-08-10	VYDAJ	PREVOD NA UCET	2181	14366	SIPO	AB	8985472
652801	2231	1998-09-10	VYDAJ	PREVOD NA UCET	2181	12232	SIPO	AB	8985472
652802	2231	1998-10-10	VYDAJ	PREVOD NA UCET	2181	18397	SIPO	AB	8985472
652803	2231	1998-11-10	VYDAJ	PREVOD NA UCET	2181	19180	SIPO	AB	8985472
652804	2231	1998-12-10	VYDAJ	PREVOD NA UCET	2181	17172	SIPO	AB	8985472
652820	2231	1998-04-07	VYDAJ	PREVOD NA UCET	1431	17101	 	KL	11682016
652821	2231	1998-05-07	VYDAJ	PREVOD NA UCET	1431	16267	 	KL	11682016
652822	2231	1998-06-07	VYDAJ	PREVOD NA UCET	1431	11530	 	KL	11682016
652823	2231	1998-07-07	VYDAJ	PREVOD NA UCET	1431	11199	 	KL	11682016
652824	2231	1998-08-07	VYDAJ	PREVOD NA UCET	1431	12047	 	KL	11682016
652825	2231	1998-09-07	VYDAJ	PREVOD NA UCET	1431	16613	 	KL	11682016
652826	2231	1998-10-07	VYDAJ	PREVOD NA UCET	1431	16278	 	KL	11682016
652827	2231	1998-11-07	VYDAJ	PREVOD NA UCET	1431	22461	 	KL	11682016
652828	2231	1998-12-07	VYDAJ	PREVOD NA UCET	1431	23253	 	KL	11682016
652830	2231	1998-06-05	VYDAJ	VYBER	4100	12961	\N	\N	\N
652834	2231	1998-12-20	VYDAJ	VYBER	2800	22499	\N	\N	\N
652852	2231	1998-09-03	VYDAJ	VYBER	1800	18044	\N	\N	\N
652855	2231	1998-07-28	VYDAJ	VYBER	800	13436	\N	\N	\N
652871	2231	1998-03-31	VYDAJ	VYBER	15	18532	SLUZBY	\N	\N
652872	2231	1998-04-30	VYDAJ	VYBER	15	17698	SLUZBY	\N	\N
652873	2231	1998-05-31	VYDAJ	VYBER	15	17061	SLUZBY	\N	\N
652874	2231	1998-06-30	VYDAJ	VYBER	15	12630	SLUZBY	\N	\N
652875	2231	1998-07-31	VYDAJ	VYBER	15	13478	SLUZBY	\N	\N
652876	2231	1998-08-31	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
652877	2231	1998-09-30	VYDAJ	VYBER	15	17709	SLUZBY	\N	\N
652878	2231	1998-10-31	VYDAJ	VYBER	15	23892	SLUZBY	\N	\N
652879	2231	1998-11-30	VYDAJ	VYBER	15	24684	SLUZBY	\N	\N
652880	2231	1997-11-13	PRIJEM	VKLAD	6800	12818	\N	\N	\N
652881	2231	1997-12-13	PRIJEM	VKLAD	1500	22477	\N	\N	\N
652882	2231	1998-01-12	VYDAJ	VYBER	7500	20473	\N	\N	\N
652883	2231	1998-02-11	VYDAJ	VYBER	9300	16679	\N	\N	\N
652884	2231	1998-03-13	VYDAJ	VYBER	3700	18473	\N	\N	\N
652885	2231	1998-04-12	VYDAJ	VYBER	2700	17638	\N	\N	\N
652886	2231	1998-05-12	VYDAJ	VYBER	2500	17004	\N	\N	\N
652887	2231	1998-06-11	VYDAJ	VYBER	4900	12576	\N	\N	\N
652888	2231	1998-07-11	VYDAJ	VYBER	200	14236	\N	\N	\N
652889	2231	1998-08-10	PRIJEM	VKLAD	4500	16547	\N	\N	\N
652890	2231	1998-09-09	VYDAJ	VYBER	2200	14413	\N	\N	\N
652891	2231	1998-10-09	PRIJEM	VKLAD	4300	20578	\N	\N	\N
652892	2231	1998-11-08	VYDAJ	VYBER	1100	21361	\N	\N	\N
652893	2231	1998-12-08	VYDAJ	VYBER	3900	19353	\N	\N	\N
652908	2232	1996-05-07	PRIJEM	VKLAD	900	900	\N	\N	\N
652913	2232	1996-05-09	PRIJEM	VKLAD	7374	8274	\N	\N	\N
652914	2232	1996-06-09	PRIJEM	VKLAD	11061	25861	\N	\N	\N
652915	2232	1996-07-09	PRIJEM	VKLAD	7374	31923	\N	\N	\N
652916	2232	1996-08-09	PRIJEM	VKLAD	7374	34723	\N	\N	\N
652917	2232	1996-09-09	PRIJEM	VKLAD	7374	37239	\N	\N	\N
652918	2232	1996-10-09	PRIJEM	VKLAD	7374	34822	\N	\N	\N
652919	2232	1996-11-09	PRIJEM	VKLAD	7374	32596	\N	\N	\N
652920	2232	1996-12-09	PRIJEM	VKLAD	11061	30947	\N	\N	\N
652921	2232	1997-01-09	PRIJEM	VKLAD	7374	26714	\N	\N	\N
652922	2232	1997-02-09	PRIJEM	VKLAD	7374	22427	\N	\N	\N
652923	2232	1997-03-09	PRIJEM	VKLAD	7374	26811	\N	\N	\N
652924	2232	1997-04-09	PRIJEM	VKLAD	7374	28139	\N	\N	\N
652925	2232	1997-05-09	PRIJEM	VKLAD	7374	27817	\N	\N	\N
652926	2232	1997-06-09	PRIJEM	VKLAD	11061	38643	\N	\N	\N
652927	2232	1997-07-09	PRIJEM	VKLAD	7374	32597	\N	\N	\N
652928	2232	1997-08-09	PRIJEM	VKLAD	7374	37063	\N	\N	\N
652929	2232	1997-09-09	PRIJEM	VKLAD	7374	37355	\N	\N	\N
652930	2232	1997-10-09	PRIJEM	VKLAD	7374	39529	\N	\N	\N
652931	2232	1997-11-09	PRIJEM	VKLAD	7374	39264	\N	\N	\N
652932	2232	1997-12-09	PRIJEM	VKLAD	11061	48695	\N	\N	\N
652933	2232	1998-01-09	PRIJEM	VKLAD	7374	42337	\N	\N	\N
652934	2232	1998-02-09	PRIJEM	VKLAD	7374	41440	\N	\N	\N
652935	2232	1998-03-09	PRIJEM	VKLAD	7374	41228	\N	\N	\N
652936	2232	1998-04-09	PRIJEM	VKLAD	7374	50231	\N	\N	\N
652937	2232	1998-05-09	PRIJEM	VKLAD	7374	58562	\N	\N	\N
652938	2232	1998-06-09	PRIJEM	VKLAD	11061	61165	\N	\N	\N
652939	2232	1998-07-09	PRIJEM	VKLAD	7374	43736	\N	\N	\N
652940	2232	1998-08-09	PRIJEM	VKLAD	7374	58764	\N	\N	\N
652941	2232	1998-09-09	PRIJEM	VKLAD	7374	63729	\N	\N	\N
652942	2232	1998-10-09	PRIJEM	VKLAD	7374	65311	\N	\N	\N
652943	2232	1998-11-09	PRIJEM	VKLAD	7374	61595	\N	\N	\N
652944	2232	1998-12-09	PRIJEM	VKLAD	11061	68757	\N	\N	\N
652953	2232	1996-09-13	VYDAJ	PREVOD NA UCET	4916	32323	SIPO	EF	97103237
652954	2232	1996-10-13	VYDAJ	PREVOD NA UCET	4916	29906	SIPO	EF	97103237
652955	2232	1996-11-13	VYDAJ	PREVOD NA UCET	4916	27680	SIPO	EF	97103237
652956	2232	1996-12-13	VYDAJ	PREVOD NA UCET	4916	26031	SIPO	EF	97103237
652957	2232	1997-01-13	VYDAJ	PREVOD NA UCET	4916	16398	SIPO	EF	97103237
652958	2232	1997-02-13	VYDAJ	PREVOD NA UCET	4916	17511	SIPO	EF	97103237
652959	2232	1997-03-13	VYDAJ	PREVOD NA UCET	4916	21895	SIPO	EF	97103237
652960	2232	1997-04-13	VYDAJ	PREVOD NA UCET	4916	23223	SIPO	EF	97103237
652961	2232	1997-05-13	VYDAJ	PREVOD NA UCET	4916	22901	SIPO	EF	97103237
652962	2232	1997-06-13	VYDAJ	PREVOD NA UCET	4916	33727	SIPO	EF	97103237
652963	2232	1997-07-13	VYDAJ	PREVOD NA UCET	4916	27681	SIPO	EF	97103237
652964	2232	1997-08-13	VYDAJ	PREVOD NA UCET	4916	32147	SIPO	EF	97103237
652965	2232	1997-09-13	VYDAJ	PREVOD NA UCET	4916	32439	SIPO	EF	97103237
652966	2232	1997-10-13	VYDAJ	PREVOD NA UCET	4916	30173	SIPO	EF	97103237
652967	2232	1997-11-13	VYDAJ	PREVOD NA UCET	4916	34348	SIPO	EF	97103237
652968	2232	1997-12-13	VYDAJ	PREVOD NA UCET	4916	43779	SIPO	EF	97103237
652969	2232	1998-01-13	VYDAJ	PREVOD NA UCET	4916	32581	SIPO	EF	97103237
652970	2232	1998-02-13	VYDAJ	PREVOD NA UCET	4916	36524	SIPO	EF	97103237
652971	2232	1998-03-13	VYDAJ	PREVOD NA UCET	4916	36312	SIPO	EF	97103237
652972	2232	1998-04-13	VYDAJ	PREVOD NA UCET	4916	45315	SIPO	EF	97103237
652973	2232	1998-05-13	VYDAJ	PREVOD NA UCET	4916	53646	SIPO	EF	97103237
652974	2232	1998-06-13	VYDAJ	PREVOD NA UCET	4916	56249	SIPO	EF	97103237
652975	2232	1998-07-13	VYDAJ	PREVOD NA UCET	4916	38820	SIPO	EF	97103237
652976	2232	1998-08-13	VYDAJ	PREVOD NA UCET	4916	53848	SIPO	EF	97103237
652977	2232	1998-09-13	VYDAJ	PREVOD NA UCET	4916	58813	SIPO	EF	97103237
652978	2232	1998-10-13	VYDAJ	PREVOD NA UCET	4916	60395	SIPO	EF	97103237
652979	2232	1998-11-13	VYDAJ	PREVOD NA UCET	4916	56679	SIPO	EF	97103237
652980	2232	1998-12-13	VYDAJ	PREVOD NA UCET	4916	63841	SIPO	EF	97103237
652983	2232	1998-06-22	VYDAJ	VYBER	40960	15289	\N	\N	\N
652986	2232	1998-01-09	VYDAJ	VYBER	2560	39777	\N	\N	\N
652987	2232	1996-12-15	VYDAJ	VYBER	1120	24911	\N	\N	\N
652988	2232	1997-12-04	VYDAJ	VYBER	1440	37634	\N	\N	\N
652989	2232	1998-12-30	VYDAJ	VYBER	1120	58921	\N	\N	\N
652996	2232	1997-01-12	VYDAJ	VYBER	2520	21314	\N	\N	\N
652997	2232	1997-01-18	VYDAJ	VYBER	1440	12798	\N	\N	\N
652998	2232	1997-01-10	VYDAJ	VYBER	1560	25154	\N	\N	\N
653000	2232	1997-01-16	VYDAJ	VYBER	2160	14238	\N	\N	\N
653001	2232	1997-01-12	VYDAJ	VYBER	1320	23834	\N	\N	\N
653002	2232	1998-01-10	VYDAJ	VYBER	2280	37497	\N	\N	\N
653003	2232	1998-01-21	VYDAJ	VYBER	1680	27541	\N	\N	\N
653004	2232	1998-01-18	VYDAJ	VYBER	3360	29221	\N	\N	\N
653005	2232	1998-01-03	VYDAJ	VYBER	2880	36403	\N	\N	\N
653006	2232	1998-01-26	VYDAJ	VYBER	1200	26341	\N	\N	\N
653007	2232	1998-01-02	VYDAJ	VYBER	3360	39283	\N	\N	\N
653008	2232	1996-12-21	VYDAJ	VYBER	4560	20351	\N	\N	\N
653010	2232	1997-02-14	VYDAJ	VYBER	4320	13191	\N	\N	\N
653011	2232	1997-08-29	VYDAJ	VYBER	4680	27467	\N	\N	\N
653012	2232	1997-07-07	VYDAJ	VYBER	5520	25223	\N	\N	\N
653013	2232	1997-04-16	VYDAJ	VYBER	1920	21303	\N	\N	\N
653014	2232	1997-10-09	VYDAJ	VYBER	4440	35089	\N	\N	\N
653015	2232	1997-05-04	VYDAJ	VYBER	1440	20443	\N	\N	\N
653017	2232	1998-03-06	VYDAJ	VYBER	5040	33854	\N	\N	\N
653018	2232	1998-07-14	VYDAJ	VYBER	1680	37140	\N	\N	\N
653019	2232	1998-05-18	VYDAJ	VYBER	2640	51006	\N	\N	\N
653020	2232	1998-02-15	VYDAJ	VYBER	2760	33764	\N	\N	\N
653021	2232	1998-01-08	VYDAJ	VYBER	1440	34963	\N	\N	\N
653031	2232	1996-09-30	VYDAJ	VYBER	15	32448	SLUZBY	\N	\N
653032	2232	1996-10-31	VYDAJ	VYBER	15	30022	SLUZBY	\N	\N
653033	2232	1996-11-30	VYDAJ	VYBER	15	27786	SLUZBY	\N	\N
653034	2232	1996-12-31	VYDAJ	VYBER	15	20440	SLUZBY	\N	\N
653035	2232	1997-01-31	VYDAJ	VYBER	15	12853	SLUZBY	\N	\N
653036	2232	1997-02-28	VYDAJ	VYBER	15	13237	SLUZBY	\N	\N
653037	2232	1997-03-31	VYDAJ	VYBER	15	21965	SLUZBY	\N	\N
653038	2232	1997-04-30	VYDAJ	VYBER	15	21383	SLUZBY	\N	\N
653039	2232	1997-05-31	VYDAJ	VYBER	15	22982	SLUZBY	\N	\N
653040	2232	1997-06-30	VYDAJ	VYBER	15	33843	SLUZBY	\N	\N
653041	2232	1997-07-31	VYDAJ	VYBER	15	29689	SLUZBY	\N	\N
653042	2232	1997-08-31	VYDAJ	VYBER	15	29981	SLUZBY	\N	\N
653043	2232	1997-09-30	VYDAJ	VYBER	15	32155	SLUZBY	\N	\N
653044	2232	1997-10-31	VYDAJ	VYBER	15	31890	SLUZBY	\N	\N
653045	2232	1997-11-30	VYDAJ	VYBER	15	39074	SLUZBY	\N	\N
653046	2232	1997-12-31	VYDAJ	VYBER	15	42643	SLUZBY	\N	\N
653047	2232	1998-01-31	VYDAJ	VYBER	15	34066	SLUZBY	\N	\N
653048	2232	1998-02-28	VYDAJ	VYBER	15	38894	SLUZBY	\N	\N
653049	2232	1998-03-31	VYDAJ	VYBER	15	42857	SLUZBY	\N	\N
653050	2232	1998-04-30	VYDAJ	VYBER	15	51188	SLUZBY	\N	\N
653051	2232	1998-05-31	VYDAJ	VYBER	15	50104	SLUZBY	\N	\N
653052	2232	1998-06-30	VYDAJ	VYBER	15	36362	SLUZBY	\N	\N
653053	2232	1998-07-31	VYDAJ	VYBER	15	51390	SLUZBY	\N	\N
653054	2232	1998-08-31	VYDAJ	VYBER	15	56355	SLUZBY	\N	\N
653055	2232	1998-09-30	VYDAJ	VYBER	15	57937	SLUZBY	\N	\N
653056	2232	1998-10-31	VYDAJ	VYBER	15	54221	SLUZBY	\N	\N
653057	2232	1998-11-30	VYDAJ	VYBER	15	57696	SLUZBY	\N	\N
653058	2232	1996-06-06	PRIJEM	VKLAD	6500	14800	\N	\N	\N
653059	2232	1996-07-06	VYDAJ	VYBER	1400	24549	\N	\N	\N
653060	2232	1996-08-05	VYDAJ	VYBER	4700	27349	\N	\N	\N
653061	2232	1996-09-04	VYDAJ	VYBER	5000	29865	\N	\N	\N
653062	2232	1996-10-04	VYDAJ	VYBER	5000	27448	\N	\N	\N
653063	2232	1996-11-03	VYDAJ	VYBER	4800	25222	\N	\N	\N
653064	2232	1996-12-03	VYDAJ	VYBER	7900	19886	\N	\N	\N
653065	2232	1997-01-02	VYDAJ	VYBER	1100	19340	\N	\N	\N
653066	2232	1997-02-01	PRIJEM	VKLAD	2200	15053	\N	\N	\N
653067	2232	1997-03-03	PRIJEM	VKLAD	6200	19437	\N	\N	\N
653068	2232	1997-04-02	VYDAJ	VYBER	1200	20765	\N	\N	\N
653069	2232	1997-05-02	PRIJEM	VKLAD	500	21883	\N	\N	\N
653070	2232	1997-06-01	PRIJEM	VKLAD	4600	27582	\N	\N	\N
653071	2232	1997-07-01	VYDAJ	VYBER	3100	30743	\N	\N	\N
653072	2232	1997-07-31	PRIJEM	VKLAD	1900	29704	\N	\N	\N
653073	2232	1997-08-30	PRIJEM	VKLAD	2400	29867	\N	\N	\N
653074	2232	1997-09-29	VYDAJ	VYBER	400	32039	\N	\N	\N
653075	2232	1997-10-29	PRIJEM	VKLAD	1600	31773	\N	\N	\N
653076	2232	1997-11-28	PRIJEM	VKLAD	4600	38948	\N	\N	\N
653077	2232	1997-12-28	VYDAJ	VYBER	1300	42479	\N	\N	\N
653078	2232	1998-01-27	PRIJEM	VKLAD	7600	33941	\N	\N	\N
653079	2232	1998-02-26	PRIJEM	VKLAD	5000	38764	\N	\N	\N
653080	2232	1998-03-28	PRIJEM	VKLAD	6400	42712	\N	\N	\N
653081	2232	1998-04-27	PRIJEM	VKLAD	5700	51015	\N	\N	\N
653082	2232	1998-05-27	VYDAJ	VYBER	1100	49906	\N	\N	\N
653083	2232	1998-06-26	PRIJEM	VKLAD	20900	36189	\N	\N	\N
653084	2232	1998-07-26	PRIJEM	VKLAD	14100	51240	\N	\N	\N
653085	2232	1998-08-25	PRIJEM	VKLAD	2300	56148	\N	\N	\N
653086	2232	1998-09-24	VYDAJ	VYBER	1100	57713	\N	\N	\N
653087	2232	1998-10-24	VYDAJ	VYBER	6400	53995	\N	\N	\N
653088	2232	1998-11-23	PRIJEM	VKLAD	800	57479	\N	\N	\N
653089	2232	1998-12-23	VYDAJ	VYBER	3800	60041	\N	\N	\N
653122	2233	1996-01-03	PRIJEM	VKLAD	400	400	\N	\N	\N
653123	2233	1996-01-14	PRIJEM	PREVOD Z UCTU	5893	6293	DUCHOD	UV	35075765
653124	2233	1996-02-14	PRIJEM	PREVOD Z UCTU	5893	12201	DUCHOD	UV	35075765
653125	2233	1996-03-14	PRIJEM	PREVOD Z UCTU	5893	18120	DUCHOD	UV	35075765
653126	2233	1996-04-14	PRIJEM	PREVOD Z UCTU	5893	24040	DUCHOD	UV	35075765
653127	2233	1996-05-14	PRIJEM	PREVOD Z UCTU	5893	29959	DUCHOD	UV	35075765
653128	2233	1996-06-14	PRIJEM	PREVOD Z UCTU	5893	21539	DUCHOD	UV	35075765
653129	2233	1996-07-14	PRIJEM	PREVOD Z UCTU	5893	23474	DUCHOD	UV	35075765
653130	2233	1996-08-14	PRIJEM	PREVOD Z UCTU	5893	23092	DUCHOD	UV	35075765
653131	2233	1996-09-14	PRIJEM	PREVOD Z UCTU	5893	24731	DUCHOD	UV	35075765
653132	2233	1996-10-14	PRIJEM	PREVOD Z UCTU	5893	24989	DUCHOD	UV	35075765
653133	2233	1996-11-14	PRIJEM	PREVOD Z UCTU	5893	28937	DUCHOD	UV	35075765
653134	2233	1996-12-14	PRIJEM	PREVOD Z UCTU	5893	26599	DUCHOD	UV	35075765
653135	2233	1997-01-14	PRIJEM	PREVOD Z UCTU	5893	25902	DUCHOD	UV	35075765
653136	2233	1997-02-14	PRIJEM	PREVOD Z UCTU	5893	22951	DUCHOD	UV	35075765
653137	2233	1997-03-14	PRIJEM	PREVOD Z UCTU	5893	21448	DUCHOD	UV	35075765
653138	2233	1997-04-14	PRIJEM	PREVOD Z UCTU	5893	25382	DUCHOD	UV	35075765
653139	2233	1997-05-14	PRIJEM	PREVOD Z UCTU	5893	29331	DUCHOD	UV	35075765
653140	2233	1997-06-14	PRIJEM	PREVOD Z UCTU	5893	23547	DUCHOD	UV	35075765
653141	2233	1997-07-14	PRIJEM	PREVOD Z UCTU	5893	24053	DUCHOD	UV	35075765
653142	2233	1997-08-14	PRIJEM	PREVOD Z UCTU	5893	25695	DUCHOD	UV	35075765
653143	2233	1997-09-14	PRIJEM	PREVOD Z UCTU	5893	23580	DUCHOD	UV	35075765
653144	2233	1997-10-14	PRIJEM	PREVOD Z UCTU	5893	20014	DUCHOD	UV	35075765
653145	2233	1997-11-14	PRIJEM	PREVOD Z UCTU	5893	22039	DUCHOD	UV	35075765
653146	2233	1997-12-14	PRIJEM	PREVOD Z UCTU	5893	21369	DUCHOD	UV	35075765
653147	2233	1998-01-14	PRIJEM	PREVOD Z UCTU	5893	21956	DUCHOD	UV	35075765
653148	2233	1998-02-14	PRIJEM	PREVOD Z UCTU	5893	19002	DUCHOD	UV	35075765
653149	2233	1998-03-14	PRIJEM	PREVOD Z UCTU	5893	22363	DUCHOD	UV	35075765
653150	2233	1998-04-14	PRIJEM	PREVOD Z UCTU	5893	26298	DUCHOD	UV	35075765
653151	2233	1998-05-14	PRIJEM	PREVOD Z UCTU	5893	30251	DUCHOD	UV	35075765
653152	2233	1998-06-14	PRIJEM	PREVOD Z UCTU	5893	31980	DUCHOD	UV	35075765
653153	2233	1998-07-14	PRIJEM	PREVOD Z UCTU	5893	24488	DUCHOD	UV	35075765
653154	2233	1998-08-14	PRIJEM	PREVOD Z UCTU	5893	28433	DUCHOD	UV	35075765
653155	2233	1998-09-14	PRIJEM	PREVOD Z UCTU	5893	32395	DUCHOD	UV	35075765
653156	2233	1998-10-14	PRIJEM	PREVOD Z UCTU	5893	36373	DUCHOD	UV	35075765
653157	2233	1998-11-14	PRIJEM	PREVOD Z UCTU	5893	40367	DUCHOD	UV	35075765
653158	2233	1998-12-14	PRIJEM	PREVOD Z UCTU	5893	44378	DUCHOD	UV	35075765
653164	2233	1996-06-08	VYDAJ	PREVOD NA UCET	2028	15646	SIPO	WX	11697030
653165	2233	1996-07-08	VYDAJ	PREVOD NA UCET	2028	17581	SIPO	WX	11697030
653166	2233	1996-08-08	VYDAJ	PREVOD NA UCET	2028	17199	SIPO	WX	11697030
653167	2233	1996-09-08	VYDAJ	PREVOD NA UCET	2028	18838	SIPO	WX	11697030
653168	2233	1996-10-08	VYDAJ	PREVOD NA UCET	2028	19096	SIPO	WX	11697030
653169	2233	1996-11-08	VYDAJ	PREVOD NA UCET	2028	23044	SIPO	WX	11697030
653170	2233	1996-12-08	VYDAJ	PREVOD NA UCET	2028	22106	SIPO	WX	11697030
653171	2233	1997-01-08	VYDAJ	PREVOD NA UCET	2028	20959	SIPO	WX	11697030
653172	2233	1997-02-08	VYDAJ	PREVOD NA UCET	2028	17058	SIPO	WX	11697030
653173	2233	1997-03-08	VYDAJ	PREVOD NA UCET	2028	15555	SIPO	WX	11697030
653174	2233	1997-04-08	VYDAJ	PREVOD NA UCET	2028	19489	SIPO	WX	11697030
653175	2233	1997-05-08	VYDAJ	PREVOD NA UCET	2028	23438	SIPO	WX	11697030
653176	2233	1997-06-08	VYDAJ	PREVOD NA UCET	2028	17654	SIPO	WX	11697030
653177	2233	1997-07-08	VYDAJ	PREVOD NA UCET	2028	18160	SIPO	WX	11697030
653178	2233	1997-08-08	VYDAJ	PREVOD NA UCET	2028	19802	SIPO	WX	11697030
653179	2233	1997-09-08	VYDAJ	PREVOD NA UCET	2028	17687	SIPO	WX	11697030
653180	2233	1997-10-08	VYDAJ	PREVOD NA UCET	2028	14121	SIPO	WX	11697030
653181	2233	1997-11-08	VYDAJ	PREVOD NA UCET	2028	16146	SIPO	WX	11697030
653182	2233	1997-12-08	VYDAJ	PREVOD NA UCET	2028	15476	SIPO	WX	11697030
653183	2233	1998-01-08	VYDAJ	PREVOD NA UCET	2028	16063	SIPO	WX	11697030
653184	2233	1998-02-08	VYDAJ	PREVOD NA UCET	2028	13109	SIPO	WX	11697030
653185	2233	1998-03-08	VYDAJ	PREVOD NA UCET	2028	16470	SIPO	WX	11697030
653186	2233	1998-04-08	VYDAJ	PREVOD NA UCET	2028	20405	SIPO	WX	11697030
653187	2233	1998-05-08	VYDAJ	PREVOD NA UCET	2028	24358	SIPO	WX	11697030
653188	2233	1998-06-08	VYDAJ	PREVOD NA UCET	2028	26087	SIPO	WX	11697030
653189	2233	1998-07-08	VYDAJ	PREVOD NA UCET	2028	18595	SIPO	WX	11697030
653190	2233	1998-08-08	VYDAJ	PREVOD NA UCET	2028	22540	SIPO	WX	11697030
653191	2233	1998-09-08	VYDAJ	PREVOD NA UCET	2028	26502	SIPO	WX	11697030
653192	2233	1998-10-08	VYDAJ	PREVOD NA UCET	2028	30480	SIPO	WX	11697030
653193	2233	1998-11-08	VYDAJ	PREVOD NA UCET	2028	34474	SIPO	WX	11697030
653194	2233	1998-12-08	VYDAJ	PREVOD NA UCET	2028	38485	SIPO	WX	11697030
653195	2233	1996-06-03	VYDAJ	VYBER	9500	17674	\N	\N	\N
653196	2233	1997-06-04	VYDAJ	VYBER	9350	19682	\N	\N	\N
653197	2233	1998-06-20	VYDAJ	VYBER	11450	20530	\N	\N	\N
653199	2233	1997-01-11	VYDAJ	VYBER	950	20009	\N	\N	\N
653201	2233	1996-12-11	VYDAJ	VYBER	1400	20706	\N	\N	\N
653202	2233	1997-12-27	VYDAJ	VYBER	1100	18029	\N	\N	\N
653203	2233	1998-12-15	VYDAJ	VYBER	450	43928	\N	\N	\N
653206	2233	1996-07-23	VYDAJ	VYBER	2720	20754	\N	\N	\N
653207	2233	1996-09-14	VYDAJ	VYBER	3680	21051	\N	\N	\N
653208	2233	1997-12-16	VYDAJ	VYBER	2240	19129	\N	\N	\N
653209	2233	1997-02-03	VYDAJ	VYBER	1600	19086	\N	\N	\N
653210	2233	1997-03-01	VYDAJ	VYBER	3040	17583	\N	\N	\N
653211	2233	1997-08-14	VYDAJ	VYBER	1360	24335	\N	\N	\N
653212	2233	1997-06-26	VYDAJ	VYBER	3440	20107	\N	\N	\N
653213	2233	1998-02-01	VYDAJ	VYBER	480	15137	\N	\N	\N
653214	2233	1998-05-14	VYDAJ	VYBER	2240	28011	\N	\N	\N
653215	2233	1998-03-05	VYDAJ	VYBER	560	18498	\N	\N	\N
653221	2233	1996-05-31	VYDAJ	VYBER	15	29974	SLUZBY	\N	\N
653222	2233	1996-06-30	VYDAJ	VYBER	15	21609	SLUZBY	\N	\N
653223	2233	1996-07-31	VYDAJ	VYBER	15	19227	SLUZBY	\N	\N
653224	2233	1996-08-31	VYDAJ	VYBER	15	20866	SLUZBY	\N	\N
653225	2233	1996-09-30	VYDAJ	VYBER	15	21124	SLUZBY	\N	\N
653226	2233	1996-10-31	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
653227	2233	1996-11-30	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
653228	2233	1996-12-31	VYDAJ	VYBER	15	22987	SLUZBY	\N	\N
653229	2233	1997-01-31	VYDAJ	VYBER	15	20686	SLUZBY	\N	\N
653230	2233	1997-02-28	VYDAJ	VYBER	15	20623	SLUZBY	\N	\N
653231	2233	1997-03-31	VYDAJ	VYBER	15	21517	SLUZBY	\N	\N
653232	2233	1997-04-30	VYDAJ	VYBER	15	25466	SLUZBY	\N	\N
653233	2233	1997-05-31	VYDAJ	VYBER	15	29032	SLUZBY	\N	\N
653234	2233	1997-06-30	VYDAJ	VYBER	15	20188	SLUZBY	\N	\N
653235	2233	1997-07-31	VYDAJ	VYBER	15	21830	SLUZBY	\N	\N
653236	2233	1997-08-31	VYDAJ	VYBER	15	19715	SLUZBY	\N	\N
653237	2233	1997-09-30	VYDAJ	VYBER	15	16149	SLUZBY	\N	\N
653238	2233	1997-10-31	VYDAJ	VYBER	15	18174	SLUZBY	\N	\N
653239	2233	1997-11-30	VYDAJ	VYBER	15	17504	SLUZBY	\N	\N
653240	2233	1997-12-31	VYDAJ	VYBER	15	18091	SLUZBY	\N	\N
653241	2233	1998-01-31	VYDAJ	VYBER	15	15617	SLUZBY	\N	\N
653242	2233	1998-02-28	VYDAJ	VYBER	15	19058	SLUZBY	\N	\N
653243	2233	1998-03-31	VYDAJ	VYBER	15	22433	SLUZBY	\N	\N
653244	2233	1998-04-30	VYDAJ	VYBER	15	26386	SLUZBY	\N	\N
653245	2233	1998-05-31	VYDAJ	VYBER	15	28115	SLUZBY	\N	\N
653246	2233	1998-06-30	VYDAJ	VYBER	15	20623	SLUZBY	\N	\N
653247	2233	1998-07-31	VYDAJ	VYBER	15	24568	SLUZBY	\N	\N
653248	2233	1998-08-31	VYDAJ	VYBER	15	28530	SLUZBY	\N	\N
653249	2233	1998-09-30	VYDAJ	VYBER	15	32508	SLUZBY	\N	\N
653250	2233	1998-10-31	VYDAJ	VYBER	15	36502	SLUZBY	\N	\N
653251	2233	1998-11-30	VYDAJ	VYBER	15	40513	SLUZBY	\N	\N
653252	2233	1996-06-01	VYDAJ	VYBER	2800	27174	\N	\N	\N
653253	2233	1996-07-01	VYDAJ	VYBER	2000	19609	\N	\N	\N
653254	2233	1996-07-31	VYDAJ	VYBER	1600	19241	\N	\N	\N
653255	2233	1996-08-30	VYDAJ	VYBER	2300	20792	\N	\N	\N
653256	2233	1996-11-28	VYDAJ	VYBER	4900	24037	\N	\N	\N
653257	2233	1996-12-28	VYDAJ	VYBER	3700	22899	\N	\N	\N
653258	2233	1997-01-27	VYDAJ	VYBER	5300	20602	\N	\N	\N
653259	2233	1997-02-26	VYDAJ	VYBER	2400	20551	\N	\N	\N
653260	2233	1997-05-27	VYDAJ	VYBER	400	28931	\N	\N	\N
653261	2233	1997-07-26	VYDAJ	VYBER	2300	21753	\N	\N	\N
653262	2233	1997-08-25	VYDAJ	VYBER	4700	19635	\N	\N	\N
653263	2233	1997-09-24	VYDAJ	VYBER	7500	16080	\N	\N	\N
653264	2233	1997-10-24	VYDAJ	VYBER	1900	18114	\N	\N	\N
653265	2233	1997-11-23	VYDAJ	VYBER	4600	17439	\N	\N	\N
653266	2233	1998-01-22	VYDAJ	VYBER	6400	15556	\N	\N	\N
653303	2234	1996-11-21	PRIJEM	VKLAD	600	600	\N	\N	\N
653315	2234	1996-12-07	PRIJEM	PREVOD Z UCTU	3176	3776	\N	YZ	68806057
653316	2234	1997-01-07	PRIJEM	PREVOD Z UCTU	3176	6952	\N	YZ	68806057
653317	2234	1997-02-07	PRIJEM	PREVOD Z UCTU	3176	10128	\N	YZ	68806057
653318	2234	1997-03-07	PRIJEM	PREVOD Z UCTU	3176	13304	\N	YZ	68806057
653319	2234	1997-04-07	PRIJEM	PREVOD Z UCTU	3176	16480	\N	YZ	68806057
653320	2234	1997-05-07	PRIJEM	PREVOD Z UCTU	3176	16606	\N	YZ	68806057
653321	2234	1997-06-07	PRIJEM	PREVOD Z UCTU	3176	17710	\N	YZ	68806057
653322	2234	1997-07-07	PRIJEM	PREVOD Z UCTU	3176	18187	\N	YZ	68806057
653323	2234	1997-08-07	PRIJEM	PREVOD Z UCTU	3176	19297	\N	YZ	68806057
653324	2234	1997-09-07	PRIJEM	PREVOD Z UCTU	3176	19061	\N	YZ	68806057
653325	2234	1997-10-07	PRIJEM	PREVOD Z UCTU	3176	18884	\N	YZ	68806057
653326	2234	1997-11-07	PRIJEM	PREVOD Z UCTU	3176	19817	\N	YZ	68806057
653327	2234	1997-12-07	PRIJEM	PREVOD Z UCTU	3176	20934	\N	YZ	68806057
653328	2234	1998-01-07	PRIJEM	PREVOD Z UCTU	3176	21786	\N	YZ	68806057
653329	2234	1998-02-07	PRIJEM	PREVOD Z UCTU	3176	22911	\N	YZ	68806057
653330	2234	1998-03-07	PRIJEM	PREVOD Z UCTU	3176	24041	\N	YZ	68806057
653331	2234	1998-04-07	PRIJEM	PREVOD Z UCTU	3176	24304	\N	YZ	68806057
653332	2234	1998-05-07	PRIJEM	PREVOD Z UCTU	3176	25440	\N	YZ	68806057
653333	2234	1998-06-07	PRIJEM	PREVOD Z UCTU	3176	26581	\N	YZ	68806057
653334	2234	1998-07-07	PRIJEM	PREVOD Z UCTU	3176	27726	\N	YZ	68806057
653335	2234	1998-08-07	PRIJEM	PREVOD Z UCTU	3176	28876	\N	YZ	68806057
653336	2234	1998-09-07	PRIJEM	PREVOD Z UCTU	3176	30031	\N	YZ	68806057
653337	2234	1998-10-07	PRIJEM	PREVOD Z UCTU	3176	31190	\N	YZ	68806057
653338	2234	1998-11-07	PRIJEM	PREVOD Z UCTU	3176	32355	\N	YZ	68806057
653339	2234	1998-12-07	PRIJEM	PREVOD Z UCTU	3176	33524	\N	YZ	68806057
653355	2234	1997-04-10	VYDAJ	PREVOD NA UCET	1247	13462	SIPO	ST	51482504
653356	2234	1997-05-10	VYDAJ	PREVOD NA UCET	1247	14548	SIPO	ST	51482504
653357	2234	1997-06-10	VYDAJ	PREVOD NA UCET	1247	15652	SIPO	ST	51482504
653358	2234	1997-07-10	VYDAJ	PREVOD NA UCET	1247	16129	SIPO	ST	51482504
653359	2234	1997-08-10	VYDAJ	PREVOD NA UCET	1247	17239	SIPO	ST	51482504
653360	2234	1997-09-10	VYDAJ	PREVOD NA UCET	1247	17003	SIPO	ST	51482504
653361	2234	1997-10-10	VYDAJ	PREVOD NA UCET	1247	16826	SIPO	ST	51482504
653362	2234	1997-11-10	VYDAJ	PREVOD NA UCET	1247	17759	SIPO	ST	51482504
653363	2234	1997-12-10	VYDAJ	PREVOD NA UCET	1247	18606	SIPO	ST	51482504
653364	2234	1998-01-10	VYDAJ	PREVOD NA UCET	1247	19728	SIPO	ST	51482504
653365	2234	1998-02-10	VYDAJ	PREVOD NA UCET	1247	20853	SIPO	ST	51482504
653366	2234	1998-03-10	VYDAJ	PREVOD NA UCET	1247	21983	SIPO	ST	51482504
653367	2234	1998-04-10	VYDAJ	PREVOD NA UCET	1247	22246	SIPO	ST	51482504
653368	2234	1998-05-10	VYDAJ	PREVOD NA UCET	1247	23382	SIPO	ST	51482504
653369	2234	1998-06-10	VYDAJ	PREVOD NA UCET	1247	24523	SIPO	ST	51482504
653370	2234	1998-07-10	VYDAJ	PREVOD NA UCET	1247	25668	SIPO	ST	51482504
653371	2234	1998-08-10	VYDAJ	PREVOD NA UCET	1247	26818	SIPO	ST	51482504
653372	2234	1998-09-10	VYDAJ	PREVOD NA UCET	1247	27973	SIPO	ST	51482504
653373	2234	1998-10-10	VYDAJ	PREVOD NA UCET	1247	29132	SIPO	ST	51482504
653374	2234	1998-11-10	VYDAJ	PREVOD NA UCET	1247	30297	SIPO	ST	51482504
653375	2234	1998-12-10	VYDAJ	PREVOD NA UCET	1247	31466	SIPO	ST	51482504
653391	2234	1997-04-12	VYDAJ	PREVOD NA UCET	59	13403	 	AB	54483455
653392	2234	1997-05-12	VYDAJ	PREVOD NA UCET	59	14489	 	AB	54483455
653393	2234	1997-06-12	VYDAJ	PREVOD NA UCET	59	15593	 	AB	54483455
653394	2234	1997-07-12	VYDAJ	PREVOD NA UCET	59	16070	 	AB	54483455
653395	2234	1997-08-12	VYDAJ	PREVOD NA UCET	59	17180	 	AB	54483455
653396	2234	1997-09-12	VYDAJ	PREVOD NA UCET	59	16944	 	AB	54483455
653397	2234	1997-10-12	VYDAJ	PREVOD NA UCET	59	16767	 	AB	54483455
653398	2234	1997-11-12	VYDAJ	PREVOD NA UCET	59	17700	 	AB	54483455
653399	2234	1997-12-12	VYDAJ	PREVOD NA UCET	59	18547	 	AB	54483455
653400	2234	1998-01-12	VYDAJ	PREVOD NA UCET	59	19669	 	AB	54483455
653401	2234	1998-02-12	VYDAJ	PREVOD NA UCET	59	20794	 	AB	54483455
653402	2234	1998-03-12	VYDAJ	PREVOD NA UCET	59	21924	 	AB	54483455
653403	2234	1998-04-12	VYDAJ	PREVOD NA UCET	59	22187	 	AB	54483455
653404	2234	1998-05-12	VYDAJ	PREVOD NA UCET	59	23323	 	AB	54483455
653405	2234	1998-06-12	VYDAJ	PREVOD NA UCET	59	24464	 	AB	54483455
653406	2234	1998-07-12	VYDAJ	PREVOD NA UCET	59	25609	 	AB	54483455
653407	2234	1998-08-12	VYDAJ	PREVOD NA UCET	59	26759	 	AB	54483455
653408	2234	1998-09-12	VYDAJ	PREVOD NA UCET	59	27914	 	AB	54483455
653409	2234	1998-10-12	VYDAJ	PREVOD NA UCET	59	29073	 	AB	54483455
653410	2234	1998-11-12	VYDAJ	PREVOD NA UCET	59	30238	 	AB	54483455
653411	2234	1998-12-12	VYDAJ	PREVOD NA UCET	59	31407	 	AB	54483455
653427	2234	1997-04-09	VYDAJ	PREVOD NA UCET	811	15669	POJISTNE	UV	95181035
653428	2234	1997-05-09	VYDAJ	PREVOD NA UCET	811	15795	POJISTNE	UV	95181035
653429	2234	1997-06-09	VYDAJ	PREVOD NA UCET	811	16899	POJISTNE	UV	95181035
653430	2234	1997-07-09	VYDAJ	PREVOD NA UCET	811	17376	POJISTNE	UV	95181035
653431	2234	1997-08-09	VYDAJ	PREVOD NA UCET	811	18486	POJISTNE	UV	95181035
653432	2234	1997-09-09	VYDAJ	PREVOD NA UCET	811	18250	POJISTNE	UV	95181035
653433	2234	1997-10-09	VYDAJ	PREVOD NA UCET	811	18073	POJISTNE	UV	95181035
653434	2234	1997-11-09	VYDAJ	PREVOD NA UCET	811	19006	POJISTNE	UV	95181035
653435	2234	1997-12-09	VYDAJ	PREVOD NA UCET	811	19853	POJISTNE	UV	95181035
653436	2234	1998-01-09	VYDAJ	PREVOD NA UCET	811	20975	POJISTNE	UV	95181035
653437	2234	1998-02-09	VYDAJ	PREVOD NA UCET	811	22100	POJISTNE	UV	95181035
653438	2234	1998-03-09	VYDAJ	PREVOD NA UCET	811	23230	POJISTNE	UV	95181035
653439	2234	1998-04-09	VYDAJ	PREVOD NA UCET	811	23493	POJISTNE	UV	95181035
653440	2234	1998-05-09	VYDAJ	PREVOD NA UCET	811	24629	POJISTNE	UV	95181035
653441	2234	1998-06-09	VYDAJ	PREVOD NA UCET	811	25770	POJISTNE	UV	95181035
653442	2234	1998-07-09	VYDAJ	PREVOD NA UCET	811	26915	POJISTNE	UV	95181035
653443	2234	1998-08-09	VYDAJ	PREVOD NA UCET	811	28065	POJISTNE	UV	95181035
653444	2234	1998-09-09	VYDAJ	PREVOD NA UCET	811	29220	POJISTNE	UV	95181035
653445	2234	1998-10-09	VYDAJ	PREVOD NA UCET	811	30379	POJISTNE	UV	95181035
653446	2234	1998-11-09	VYDAJ	PREVOD NA UCET	811	31544	POJISTNE	UV	95181035
653447	2234	1998-12-09	VYDAJ	PREVOD NA UCET	811	32713	POJISTNE	UV	95181035
653449	2234	1997-12-07	VYDAJ	VYBER	270	20664	\N	\N	\N
653450	2234	1998-12-19	VYDAJ	VYBER	570	30297	\N	\N	\N
653453	2234	1997-04-09	VYDAJ	VYBER	960	14709	\N	\N	\N
653454	2234	1997-10-31	VYDAJ	VYBER	180	16656	\N	\N	\N
653455	2234	1997-08-25	VYDAJ	VYBER	1020	16160	\N	\N	\N
653456	2234	1997-06-17	VYDAJ	VYBER	630	14963	\N	\N	\N
653458	2234	1997-09-16	VYDAJ	VYBER	1290	15654	\N	\N	\N
653459	2234	1997-09-05	VYDAJ	VYBER	330	15885	\N	\N	\N
653460	2234	1998-03-17	VYDAJ	VYBER	870	21054	\N	\N	\N
653461	2234	1998-12-13	VYDAJ	VYBER	540	30867	\N	\N	\N
653478	2234	1997-04-30	VYDAJ	VYBER	15	13430	SLUZBY	\N	\N
653479	2234	1997-05-31	VYDAJ	VYBER	15	14534	SLUZBY	\N	\N
653480	2234	1997-06-30	VYDAJ	VYBER	15	15011	SLUZBY	\N	\N
653481	2234	1997-07-31	VYDAJ	VYBER	15	16121	SLUZBY	\N	\N
653482	2234	1997-08-31	VYDAJ	VYBER	15	16215	SLUZBY	\N	\N
653483	2234	1997-09-30	VYDAJ	VYBER	15	15708	SLUZBY	\N	\N
653484	2234	1997-10-31	VYDAJ	VYBER	15	16641	SLUZBY	\N	\N
653485	2234	1997-11-30	VYDAJ	VYBER	15	17758	SLUZBY	\N	\N
653486	2234	1997-12-31	VYDAJ	VYBER	15	18610	SLUZBY	\N	\N
653487	2234	1998-01-31	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
653488	2234	1998-02-28	VYDAJ	VYBER	15	20865	SLUZBY	\N	\N
653489	2234	1998-03-31	VYDAJ	VYBER	15	21128	SLUZBY	\N	\N
653490	2234	1998-04-30	VYDAJ	VYBER	15	22264	SLUZBY	\N	\N
653491	2234	1998-05-31	VYDAJ	VYBER	15	23405	SLUZBY	\N	\N
653492	2234	1998-06-30	VYDAJ	VYBER	15	24550	SLUZBY	\N	\N
653493	2234	1998-07-31	VYDAJ	VYBER	15	25700	SLUZBY	\N	\N
653494	2234	1998-08-31	VYDAJ	VYBER	15	26855	SLUZBY	\N	\N
653495	2234	1998-09-30	VYDAJ	VYBER	15	28014	SLUZBY	\N	\N
653496	2234	1998-10-31	VYDAJ	VYBER	15	29179	SLUZBY	\N	\N
653497	2234	1998-11-30	VYDAJ	VYBER	15	30348	SLUZBY	\N	\N
653519	2235	1995-10-22	PRIJEM	VKLAD	800	800	\N	\N	\N
653530	2235	1995-11-08	PRIJEM	VKLAD	9376	10176	\N	\N	\N
653531	2235	1995-12-08	PRIJEM	VKLAD	14064	30062	\N	\N	\N
653532	2235	1996-01-08	PRIJEM	VKLAD	9376	36521	\N	\N	\N
653533	2235	1996-02-08	PRIJEM	VKLAD	9376	40616	\N	\N	\N
653534	2235	1996-03-08	PRIJEM	VKLAD	9376	38719	\N	\N	\N
653535	2235	1996-04-08	PRIJEM	VKLAD	9376	37979	\N	\N	\N
653536	2235	1996-05-08	PRIJEM	VKLAD	9376	35232	\N	\N	\N
653537	2235	1996-06-08	PRIJEM	VKLAD	14064	42270	\N	\N	\N
653538	2235	1996-07-08	PRIJEM	VKLAD	9376	39834	\N	\N	\N
653539	2235	1996-08-08	PRIJEM	VKLAD	9376	38295	\N	\N	\N
653540	2235	1996-09-08	PRIJEM	VKLAD	9376	28782	\N	\N	\N
653541	2235	1996-10-08	PRIJEM	VKLAD	9376	27904	\N	\N	\N
653542	2235	1996-11-08	PRIJEM	VKLAD	9376	26414	\N	\N	\N
653543	2235	1996-12-08	PRIJEM	VKLAD	14064	33794	\N	\N	\N
653544	2235	1997-01-08	PRIJEM	VKLAD	9376	27098	\N	\N	\N
653545	2235	1997-02-08	PRIJEM	VKLAD	9376	22499	\N	\N	\N
653546	2235	1997-03-08	PRIJEM	VKLAD	9376	22611	\N	\N	\N
653547	2235	1997-04-08	PRIJEM	VKLAD	9376	21900	\N	\N	\N
653548	2235	1997-05-08	PRIJEM	VKLAD	9376	26597	\N	\N	\N
653549	2235	1997-06-08	PRIJEM	VKLAD	14064	28585	\N	\N	\N
653550	2235	1997-07-08	PRIJEM	VKLAD	9376	22377	\N	\N	\N
653551	2235	1997-08-08	PRIJEM	VKLAD	9376	28078	\N	\N	\N
653552	2235	1997-09-08	PRIJEM	VKLAD	9376	24379	\N	\N	\N
653553	2235	1997-10-08	PRIJEM	VKLAD	9376	30089	\N	\N	\N
653554	2235	1997-11-08	PRIJEM	VKLAD	9376	24190	\N	\N	\N
653555	2235	1997-12-08	PRIJEM	VKLAD	14064	26286	\N	\N	\N
653556	2235	1998-01-08	PRIJEM	VKLAD	9376	29277	\N	\N	\N
653557	2235	1998-02-08	PRIJEM	VKLAD	9376	35008	\N	\N	\N
653558	2235	1998-03-08	PRIJEM	VKLAD	9376	24217	\N	\N	\N
653559	2235	1998-04-08	PRIJEM	VKLAD	9376	29927	\N	\N	\N
653560	2235	1998-05-08	PRIJEM	VKLAD	9376	17505	\N	\N	\N
653561	2235	1998-06-08	PRIJEM	VKLAD	14064	27875	\N	\N	\N
653562	2235	1998-07-08	PRIJEM	VKLAD	9376	33593	\N	\N	\N
653563	2235	1998-08-08	PRIJEM	VKLAD	9376	39341	\N	\N	\N
653564	2235	1998-09-08	PRIJEM	VKLAD	9376	43551	\N	\N	\N
653565	2235	1998-10-08	PRIJEM	VKLAD	9376	46580	\N	\N	\N
653566	2235	1998-11-08	PRIJEM	VKLAD	9376	52388	\N	\N	\N
653567	2235	1998-12-08	PRIJEM	VKLAD	14064	58457	\N	\N	\N
653582	2235	1996-03-10	VYDAJ	PREVOD NA UCET	3730	34989	SIPO	CD	65763521
653583	2235	1996-04-10	VYDAJ	PREVOD NA UCET	3730	34249	SIPO	CD	65763521
653584	2235	1996-05-10	VYDAJ	PREVOD NA UCET	3730	31502	SIPO	CD	65763521
653585	2235	1996-06-10	VYDAJ	PREVOD NA UCET	3730	38540	SIPO	CD	65763521
653586	2235	1996-07-10	VYDAJ	PREVOD NA UCET	3730	36104	SIPO	CD	65763521
653587	2235	1996-08-10	VYDAJ	PREVOD NA UCET	3730	34565	SIPO	CD	65763521
653588	2235	1996-09-10	VYDAJ	PREVOD NA UCET	3730	25052	SIPO	CD	65763521
653589	2235	1996-10-10	VYDAJ	PREVOD NA UCET	3730	24174	SIPO	CD	65763521
653590	2235	1996-11-10	VYDAJ	PREVOD NA UCET	3730	22684	SIPO	CD	65763521
653591	2235	1996-12-10	VYDAJ	PREVOD NA UCET	3730	30064	SIPO	CD	65763521
653592	2235	1997-01-10	VYDAJ	PREVOD NA UCET	3730	23368	SIPO	CD	65763521
653593	2235	1997-02-10	VYDAJ	PREVOD NA UCET	3730	18769	SIPO	CD	65763521
653594	2235	1997-03-10	VYDAJ	PREVOD NA UCET	3730	18881	SIPO	CD	65763521
653595	2235	1997-04-10	VYDAJ	PREVOD NA UCET	3730	18170	SIPO	CD	65763521
653596	2235	1997-05-10	VYDAJ	PREVOD NA UCET	3730	22867	SIPO	CD	65763521
653597	2235	1997-06-10	VYDAJ	PREVOD NA UCET	3730	24855	SIPO	CD	65763521
653598	2235	1997-07-10	VYDAJ	PREVOD NA UCET	3730	18647	SIPO	CD	65763521
653599	2235	1997-08-10	VYDAJ	PREVOD NA UCET	3730	24348	SIPO	CD	65763521
653600	2235	1997-09-10	VYDAJ	PREVOD NA UCET	3730	20649	SIPO	CD	65763521
653601	2235	1997-10-10	VYDAJ	PREVOD NA UCET	3730	26359	SIPO	CD	65763521
653602	2235	1997-11-10	VYDAJ	PREVOD NA UCET	3730	20460	SIPO	CD	65763521
653603	2235	1997-12-10	VYDAJ	PREVOD NA UCET	3730	22556	SIPO	CD	65763521
653604	2235	1998-01-10	VYDAJ	PREVOD NA UCET	3730	25547	SIPO	CD	65763521
653605	2235	1998-02-10	VYDAJ	PREVOD NA UCET	3730	14778	SIPO	CD	65763521
653606	2235	1998-03-10	VYDAJ	PREVOD NA UCET	3730	20487	SIPO	CD	65763521
653607	2235	1998-04-10	VYDAJ	PREVOD NA UCET	3730	8097	SIPO	CD	65763521
653608	2235	1998-05-10	VYDAJ	PREVOD NA UCET	3730	13775	SIPO	CD	65763521
653609	2235	1998-06-10	VYDAJ	PREVOD NA UCET	3730	24145	SIPO	CD	65763521
653610	2235	1998-07-10	VYDAJ	PREVOD NA UCET	3730	29863	SIPO	CD	65763521
653611	2235	1998-08-10	VYDAJ	PREVOD NA UCET	3730	35611	SIPO	CD	65763521
653612	2235	1998-09-10	VYDAJ	PREVOD NA UCET	3730	39821	SIPO	CD	65763521
653613	2235	1998-10-10	VYDAJ	PREVOD NA UCET	3730	42850	SIPO	CD	65763521
653614	2235	1998-11-10	VYDAJ	PREVOD NA UCET	3730	48658	SIPO	CD	65763521
653615	2235	1998-12-10	VYDAJ	PREVOD NA UCET	3730	54727	SIPO	CD	65763521
653621	2235	1996-12-29	VYDAJ	VYBER	4320	17644	\N	\N	\N
653622	2235	1997-12-29	VYDAJ	VYBER	2720	19836	\N	\N	\N
653623	2235	1998-12-29	VYDAJ	VYBER	4320	50407	\N	\N	\N
653631	2235	1996-11-10	VYDAJ	VYBER	1320	21364	\N	\N	\N
653632	2235	1996-09-07	VYDAJ	VYBER	4560	19406	\N	\N	\N
653634	2235	1997-05-16	VYDAJ	VYBER	600	14467	\N	\N	\N
653635	2235	1997-02-07	VYDAJ	VYBER	1800	13123	\N	\N	\N
653636	2235	1997-02-12	VYDAJ	VYBER	5280	13489	\N	\N	\N
653638	2235	1998-08-22	VYDAJ	VYBER	1560	34051	\N	\N	\N
653641	2235	1998-10-07	VYDAJ	VYBER	2760	37204	\N	\N	\N
653642	2235	1998-11-23	VYDAJ	VYBER	4440	44218	\N	\N	\N
653658	2235	1996-03-31	VYDAJ	VYBER	15	28603	SLUZBY	\N	\N
653659	2235	1996-04-30	VYDAJ	VYBER	15	25856	SLUZBY	\N	\N
653660	2235	1996-05-31	VYDAJ	VYBER	15	28206	SLUZBY	\N	\N
653661	2235	1996-06-30	VYDAJ	VYBER	15	30458	SLUZBY	\N	\N
653662	2235	1996-07-31	VYDAJ	VYBER	15	28919	SLUZBY	\N	\N
653663	2235	1996-08-31	VYDAJ	VYBER	15	23966	SLUZBY	\N	\N
653664	2235	1996-09-30	VYDAJ	VYBER	15	18528	SLUZBY	\N	\N
653665	2235	1996-10-31	VYDAJ	VYBER	15	17038	SLUZBY	\N	\N
653666	2235	1996-11-30	VYDAJ	VYBER	15	19730	SLUZBY	\N	\N
653667	2235	1996-12-31	VYDAJ	VYBER	15	17722	SLUZBY	\N	\N
653668	2235	1997-01-31	VYDAJ	VYBER	15	14923	SLUZBY	\N	\N
653669	2235	1997-02-28	VYDAJ	VYBER	15	13235	SLUZBY	\N	\N
653670	2235	1997-03-31	VYDAJ	VYBER	15	12524	SLUZBY	\N	\N
653671	2235	1997-04-30	VYDAJ	VYBER	15	17221	SLUZBY	\N	\N
653672	2235	1997-05-31	VYDAJ	VYBER	15	14521	SLUZBY	\N	\N
653673	2235	1997-06-30	VYDAJ	VYBER	15	13001	SLUZBY	\N	\N
653674	2235	1997-07-31	VYDAJ	VYBER	15	18702	SLUZBY	\N	\N
653675	2235	1997-08-31	VYDAJ	VYBER	15	15003	SLUZBY	\N	\N
653676	2235	1997-09-30	VYDAJ	VYBER	15	20713	SLUZBY	\N	\N
653677	2235	1997-10-31	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
653678	2235	1997-11-30	VYDAJ	VYBER	15	12222	SLUZBY	\N	\N
653679	2235	1997-12-31	VYDAJ	VYBER	15	19901	SLUZBY	\N	\N
653680	2235	1998-01-31	VYDAJ	VYBER	15	25632	SLUZBY	\N	\N
653681	2235	1998-02-28	VYDAJ	VYBER	15	14841	SLUZBY	\N	\N
653682	2235	1998-03-31	VYDAJ	VYBER	15	20551	SLUZBY	\N	\N
653683	2235	1998-04-30	VYDAJ	VYBER	15	8129	SLUZBY	\N	\N
653684	2235	1998-05-31	VYDAJ	VYBER	15	13811	SLUZBY	\N	\N
653685	2235	1998-06-30	VYDAJ	VYBER	15	24217	SLUZBY	\N	\N
653686	2235	1998-07-31	VYDAJ	VYBER	15	29965	SLUZBY	\N	\N
653687	2235	1998-08-31	VYDAJ	VYBER	15	34175	SLUZBY	\N	\N
653688	2235	1998-09-30	VYDAJ	VYBER	15	39964	SLUZBY	\N	\N
653689	2235	1998-10-31	VYDAJ	VYBER	15	43012	SLUZBY	\N	\N
653690	2235	1998-11-30	VYDAJ	VYBER	15	44393	SLUZBY	\N	\N
653691	2235	1995-11-21	PRIJEM	VKLAD	5800	15976	\N	\N	\N
653692	2235	1995-12-21	VYDAJ	VYBER	3000	27062	\N	\N	\N
653693	2235	1996-01-20	VYDAJ	VYBER	5400	31121	\N	\N	\N
653694	2235	1996-02-19	VYDAJ	VYBER	11400	29216	\N	\N	\N
653695	2235	1996-03-20	VYDAJ	VYBER	6500	28489	\N	\N	\N
653696	2235	1996-04-19	VYDAJ	VYBER	8500	25749	\N	\N	\N
653697	2235	1996-05-19	VYDAJ	VYBER	3400	28102	\N	\N	\N
653698	2235	1996-06-18	VYDAJ	VYBER	8200	30340	\N	\N	\N
653699	2235	1996-07-18	VYDAJ	VYBER	7300	28804	\N	\N	\N
653700	2235	1996-08-17	VYDAJ	VYBER	10700	23865	\N	\N	\N
653701	2235	1996-09-16	VYDAJ	VYBER	6600	18452	\N	\N	\N
653702	2235	1996-10-16	VYDAJ	VYBER	7200	16974	\N	\N	\N
653703	2235	1996-11-15	VYDAJ	VYBER	1700	19664	\N	\N	\N
653704	2235	1996-12-15	VYDAJ	VYBER	8100	21964	\N	\N	\N
653705	2235	1997-01-14	VYDAJ	VYBER	8500	14868	\N	\N	\N
653706	2235	1997-02-13	VYDAJ	VYBER	300	13189	\N	\N	\N
653707	2235	1997-03-15	VYDAJ	VYBER	6400	12481	\N	\N	\N
653708	2235	1997-04-14	VYDAJ	VYBER	1000	17170	\N	\N	\N
653709	2235	1997-05-14	VYDAJ	VYBER	7800	15067	\N	\N	\N
653710	2235	1997-06-13	VYDAJ	VYBER	11900	12955	\N	\N	\N
653711	2235	1997-08-12	VYDAJ	VYBER	9400	14948	\N	\N	\N
653712	2235	1997-10-11	VYDAJ	VYBER	11600	14759	\N	\N	\N
653713	2235	1997-11-10	VYDAJ	VYBER	8300	12160	\N	\N	\N
653714	2235	1998-02-08	VYDAJ	VYBER	16500	18508	\N	\N	\N
653715	2235	1998-04-09	VYDAJ	VYBER	18100	11827	\N	\N	\N
653754	2236	1995-08-27	PRIJEM	VKLAD	300	300	\N	\N	\N
653756	2236	1995-09-14	PRIJEM	VKLAD	36854	37154	\N	\N	\N
653759	2236	1996-05-07	PRIJEM	VKLAD	33604	60014	\N	\N	\N
653760	2236	1996-09-19	PRIJEM	VKLAD	33273	55938	\N	\N	\N
653761	2236	1996-09-20	PRIJEM	VKLAD	9125	65063	\N	\N	\N
653762	2236	1996-03-15	PRIJEM	VKLAD	28758	52337	\N	\N	\N
653763	2236	1997-04-04	PRIJEM	VKLAD	9193	14310	\N	\N	\N
653764	2236	1997-10-06	PRIJEM	VKLAD	38660	42683	\N	\N	\N
653765	2236	1997-09-12	PRIJEM	VKLAD	47103	46433	\N	\N	\N
653766	2236	1997-11-26	PRIJEM	VKLAD	39731	48730	\N	\N	\N
653767	2236	1997-07-14	PRIJEM	VKLAD	10706	15459	\N	\N	\N
653768	2236	1997-07-19	PRIJEM	VKLAD	17869	33228	\N	\N	\N
653769	2236	1997-05-23	PRIJEM	VKLAD	45301	63859	\N	\N	\N
653770	2236	1997-12-13	PRIJEM	VKLAD	26373	50696	\N	\N	\N
653771	2236	1997-03-24	PRIJEM	VKLAD	6189	5141	\N	\N	\N
653772	2236	1997-05-16	PRIJEM	VKLAD	28582	25258	\N	\N	\N
653773	2236	1998-09-11	PRIJEM	VKLAD	49016	63760	\N	\N	\N
653774	2236	1998-04-05	PRIJEM	VKLAD	42243	52270	\N	\N	\N
653775	2236	1998-09-01	PRIJEM	VKLAD	24713	29784	\N	\N	\N
653776	2236	1998-01-14	PRIJEM	VKLAD	10311	17335	\N	\N	\N
653777	2236	1998-02-03	PRIJEM	VKLAD	23435	70195	\N	\N	\N
653778	2236	1998-09-06	PRIJEM	VKLAD	8760	38544	\N	\N	\N
653779	2236	1998-06-09	PRIJEM	VKLAD	9061	9659	\N	\N	\N
653780	2236	1998-07-23	PRIJEM	VKLAD	10632	5024	\N	\N	\N
653781	2236	1998-01-27	PRIJEM	VKLAD	37096	54431	\N	\N	\N
653803	2236	1996-10-12	VYDAJ	PREVOD NA UCET	3874	37976	UVER	OP	68195986
653804	2236	1996-11-12	VYDAJ	PREVOD NA UCET	3874	4822	UVER	OP	68195986
653805	2236	1996-12-12	VYDAJ	PREVOD NA UCET	3874	984	UVER	OP	68195986
653811	2236	1997-06-12	VYDAJ	PREVOD NA UCET	3874	30632	UVER	OP	68195986
653813	2236	1997-08-12	VYDAJ	PREVOD NA UCET	3874	14461	UVER	OP	68195986
653814	2236	1997-09-12	VYDAJ	PREVOD NA UCET	3874	42559	UVER	OP	68195986
653815	2236	1997-10-12	VYDAJ	PREVOD NA UCET	3874	38809	UVER	OP	68195986
653816	2236	1997-11-12	VYDAJ	PREVOD NA UCET	3874	5499	UVER	OP	68195986
653817	2236	1997-12-12	VYDAJ	PREVOD NA UCET	3874	24323	UVER	OP	68195986
653818	2236	1998-01-12	VYDAJ	PREVOD NA UCET	3874	7024	UVER	OP	68195986
653819	2236	1998-02-12	VYDAJ	PREVOD NA UCET	3874	28727	UVER	OP	68195986
653820	2236	1998-03-12	VYDAJ	PREVOD NA UCET	3874	10592	UVER	OP	68195986
653821	2236	1998-04-12	VYDAJ	PREVOD NA UCET	3874	31597	UVER	OP	68195986
653822	2236	1998-05-12	VYDAJ	PREVOD NA UCET	3874	585	UVER	OP	68195986
653823	2236	1998-06-12	VYDAJ	PREVOD NA UCET	3874	7585	UVER	OP	68195986
653825	2236	1998-08-12	VYDAJ	PREVOD NA UCET	3874	5064	UVER	OP	68195986
653826	2236	1998-09-12	VYDAJ	PREVOD NA UCET	3874	59887	UVER	OP	68195986
653827	2236	1998-10-12	VYDAJ	PREVOD NA UCET	3874	15794	UVER	OP	68195986
653851	2236	1996-10-15	VYDAJ	VYBER	13700	24276	SIPO	\N	0
653852	2236	1996-11-11	VYDAJ	VYBER	15700	8696	SIPO	\N	0
653855	2236	1997-01-31	VYDAJ	VYBER	11800	-1023	SIPO	\N	0
653857	2236	1997-04-09	VYDAJ	VYBER	17600	-3290	SIPO	\N	0
653859	2236	1997-06-11	VYDAJ	VYBER	14700	34506	SIPO	\N	0
653860	2236	1997-07-03	VYDAJ	VYBER	12600	4753	SIPO	\N	0
653861	2236	1997-08-11	VYDAJ	VYBER	12300	18335	SIPO	\N	0
653862	2236	1997-09-09	VYDAJ	VYBER	15000	-670	SIPO	\N	0
653863	2236	1997-09-29	VYDAJ	VYBER	17500	3959	SIPO	\N	0
653864	2236	1997-11-12	VYDAJ	VYBER	15300	9372	SIPO	\N	0
653865	2236	1997-11-27	VYDAJ	VYBER	14000	34730	SIPO	\N	0
653866	2236	1997-12-28	VYDAJ	VYBER	15300	10796	SIPO	\N	0
653867	2236	1998-02-11	VYDAJ	VYBER	13900	51501	SIPO	\N	0
653868	2236	1998-02-24	VYDAJ	VYBER	14400	14327	SIPO	\N	0
653869	2236	1998-04-08	VYDAJ	VYBER	16800	35470	SIPO	\N	0
653870	2236	1998-05-02	VYDAJ	VYBER	12600	4459	SIPO	\N	0
653872	2236	1998-07-08	VYDAJ	VYBER	13200	-5608	SIPO	\N	0
653874	2236	1998-09-06	VYDAJ	VYBER	15200	23344	SIPO	\N	0
653875	2236	1998-10-09	VYDAJ	VYBER	11700	36067	SIPO	\N	0
653876	2236	1998-11-09	VYDAJ	VYBER	17400	-1503	SIPO	\N	0
653887	2236	1997-07-22	VYBER	VYBER	2674	30554	\N	\N	\N
653892	2236	1998-01-28	VYBER	VYBER	7738	46693	\N	\N	\N
653893	2236	1998-02-06	VYBER	VYBER	4794	65401	\N	\N	\N
653899	2236	1998-10-01	VYBER	VYBER	12299	47767	\N	\N	\N
653907	2236	1997-12-07	VYDAJ	VYBER	6600	28196	\N	\N	\N
653925	2236	1997-09-13	VYDAJ	VYBER	13800	28759	\N	\N	\N
653929	2236	1997-06-23	VYDAJ	VYBER	6900	17232	\N	\N	\N
653930	2236	1997-05-27	VYDAJ	VYBER	14700	49159	\N	\N	\N
653954	2236	1996-09-30	VYDAJ	VYBER	15	41850	SLUZBY	\N	\N
653955	2236	1996-10-31	VYDAJ	VYBER	15	24396	SLUZBY	\N	\N
653956	2236	1996-11-30	VYDAJ	VYBER	15	4857	SLUZBY	\N	\N
653957	2236	1996-12-31	VYDAJ	VYBER	15	988	SLUZBY	\N	\N
653958	2236	1997-01-31	VYDAJ	VYBER	15	10777	SLUZBY	\N	\N
653959	2236	1997-02-28	VYDAJ	VYBER	15	-1037	SLUZBY	\N	\N
653960	2236	1997-03-31	VYDAJ	VYBER	15	5117	SLUZBY	\N	\N
653961	2236	1997-04-30	VYDAJ	VYBER	15	-3324	SLUZBY	\N	\N
653962	2236	1997-05-31	VYDAJ	VYBER	15	49206	SLUZBY	\N	\N
653963	2236	1997-06-30	VYDAJ	VYBER	15	17353	SLUZBY	\N	\N
653964	2236	1997-07-31	VYDAJ	VYBER	15	30635	SLUZBY	\N	\N
653965	2236	1997-08-31	VYDAJ	VYBER	15	14330	SLUZBY	\N	\N
653966	2236	1997-09-30	VYDAJ	VYBER	15	4023	SLUZBY	\N	\N
653967	2236	1997-10-31	VYDAJ	VYBER	15	24672	SLUZBY	\N	\N
653968	2236	1997-11-30	VYDAJ	VYBER	15	34796	SLUZBY	\N	\N
653969	2236	1997-12-31	VYDAJ	VYBER	15	10897	SLUZBY	\N	\N
653970	2236	1998-01-31	VYDAJ	VYBER	15	46760	SLUZBY	\N	\N
653971	2236	1998-02-28	VYDAJ	VYBER	15	14466	SLUZBY	\N	\N
653972	2236	1998-03-31	VYDAJ	VYBER	15	10027	SLUZBY	\N	\N
653973	2236	1998-04-30	VYDAJ	VYBER	15	17059	SLUZBY	\N	\N
653974	2236	1998-05-31	VYDAJ	VYBER	15	598	SLUZBY	\N	\N
653975	2236	1998-06-30	VYDAJ	VYBER	15	7592	SLUZBY	\N	\N
653976	2236	1998-07-31	VYDAJ	VYBER	15	5038	SLUZBY	\N	\N
653977	2236	1998-08-31	VYDAJ	VYBER	15	5071	SLUZBY	\N	\N
653978	2236	1998-09-30	VYDAJ	VYBER	15	60066	SLUZBY	\N	\N
653979	2236	1998-10-31	VYDAJ	VYBER	15	15897	SLUZBY	\N	\N
653980	2236	1998-11-30	VYDAJ	VYBER	15	-1454	SLUZBY	\N	\N
653981	2236	1995-09-26	VYDAJ	VYBER	8100	29054	\N	\N	\N
653982	2236	1995-10-26	VYDAJ	VYBER	1300	27774	\N	\N	\N
653983	2236	1995-11-25	VYDAJ	VYBER	5200	22695	\N	\N	\N
653984	2236	1995-12-25	VYDAJ	VYBER	400	22416	\N	\N	\N
653985	2236	1996-01-24	PRIJEM	VKLAD	3400	25937	\N	\N	\N
653986	2236	1996-02-23	VYDAJ	VYBER	2600	23458	\N	\N	\N
653987	2236	1996-03-24	VYDAJ	VYBER	17400	34937	\N	\N	\N
653988	2236	1996-04-23	VYDAJ	VYBER	8800	26265	\N	\N	\N
653989	2236	1996-05-23	VYDAJ	VYBER	20100	39914	\N	\N	\N
653990	2236	1996-06-22	VYDAJ	VYBER	9300	30766	\N	\N	\N
653991	2236	1996-07-22	VYDAJ	VYBER	4900	26032	\N	\N	\N
653992	2236	1996-08-21	VYDAJ	VYBER	3700	22499	\N	\N	\N
653993	2236	1996-09-20	VYDAJ	VYBER	23400	41663	\N	\N	\N
653994	2236	1997-01-18	PRIJEM	VKLAD	9800	10788	\N	\N	\N
653995	2236	1997-05-18	VYDAJ	VYBER	6700	18558	\N	\N	\N
653996	2236	1997-06-17	VYDAJ	VYBER	6500	24132	\N	\N	\N
653997	2236	1997-07-17	VYDAJ	VYBER	100	15359	\N	\N	\N
653998	2236	1997-08-16	VYDAJ	VYBER	200	14261	\N	\N	\N
653999	2236	1997-09-15	VYDAJ	VYBER	7300	21459	\N	\N	\N
654000	2236	1997-10-15	VYDAJ	VYBER	14200	24609	\N	\N	\N
654001	2236	1997-11-14	PRIJEM	VKLAD	3500	8999	\N	\N	\N
654002	2236	1997-12-14	VYDAJ	VYBER	24600	26096	\N	\N	\N
654003	2236	1998-02-12	VYDAJ	VYBER	18900	32601	\N	\N	\N
654004	2236	1998-03-14	VYDAJ	VYBER	600	9992	\N	\N	\N
654005	2236	1998-04-13	VYDAJ	VYBER	14600	16997	\N	\N	\N
654006	2236	1998-06-12	PRIJEM	VKLAD	1800	11459	\N	\N	\N
654007	2236	1998-08-11	PRIJEM	VKLAD	3900	8938	\N	\N	\N
654008	2236	1998-09-10	VYDAJ	VYBER	8600	14744	\N	\N	\N
654009	2236	1998-10-10	VYDAJ	VYBER	16400	19667	\N	\N	\N
654055	2237	1995-12-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
654068	2237	1996-01-09	PRIJEM	VKLAD	18232	19332	\N	\N	\N
654069	2237	1996-02-09	PRIJEM	VKLAD	18232	40825	\N	\N	\N
654070	2237	1996-03-09	PRIJEM	VKLAD	18232	52582	\N	\N	\N
654071	2237	1996-04-09	PRIJEM	VKLAD	18232	55364	\N	\N	\N
654072	2237	1996-05-09	PRIJEM	VKLAD	18232	55451	\N	\N	\N
654073	2237	1996-06-09	PRIJEM	VKLAD	27348	57858	\N	\N	\N
654074	2237	1996-07-09	PRIJEM	VKLAD	18232	53733	\N	\N	\N
654075	2237	1996-08-09	PRIJEM	VKLAD	18232	48611	\N	\N	\N
654076	2237	1996-09-09	PRIJEM	VKLAD	18232	45477	\N	\N	\N
654077	2237	1996-10-09	PRIJEM	VKLAD	18232	45962	\N	\N	\N
654078	2237	1996-11-09	PRIJEM	VKLAD	18232	43678	\N	\N	\N
654079	2237	1996-12-09	PRIJEM	VKLAD	27348	58780	\N	\N	\N
654080	2237	1997-01-09	PRIJEM	VKLAD	18232	51008	\N	\N	\N
654081	2237	1997-02-09	PRIJEM	VKLAD	18232	49322	\N	\N	\N
654082	2237	1997-03-09	PRIJEM	VKLAD	18232	49531	\N	\N	\N
654083	2237	1997-04-09	PRIJEM	VKLAD	18232	50742	\N	\N	\N
654084	2237	1997-05-09	PRIJEM	VKLAD	18232	53057	\N	\N	\N
654085	2237	1997-06-09	PRIJEM	VKLAD	27348	64596	\N	\N	\N
654086	2237	1997-07-09	PRIJEM	VKLAD	18232	46891	\N	\N	\N
654087	2237	1997-08-09	PRIJEM	VKLAD	18232	50044	\N	\N	\N
654088	2237	1997-09-09	PRIJEM	VKLAD	18232	53853	\N	\N	\N
654089	2237	1997-10-09	PRIJEM	VKLAD	18232	58371	\N	\N	\N
654090	2237	1997-11-09	PRIJEM	VKLAD	18232	65114	\N	\N	\N
654091	2237	1997-12-09	PRIJEM	VKLAD	27348	71459	\N	\N	\N
654092	2237	1998-01-09	PRIJEM	VKLAD	18232	69146	\N	\N	\N
654093	2237	1998-02-09	PRIJEM	VKLAD	18232	63294	\N	\N	\N
654094	2237	1998-03-09	PRIJEM	VKLAD	18232	70044	\N	\N	\N
654095	2237	1998-04-09	PRIJEM	VKLAD	18232	69192	\N	\N	\N
654096	2237	1998-05-09	PRIJEM	VKLAD	18232	63697	\N	\N	\N
654097	2237	1998-06-09	PRIJEM	VKLAD	27348	74383	\N	\N	\N
654098	2237	1998-07-09	PRIJEM	VKLAD	18232	47194	\N	\N	\N
654099	2237	1998-08-09	PRIJEM	VKLAD	18232	56577	\N	\N	\N
654100	2237	1998-09-09	PRIJEM	VKLAD	18232	57976	\N	\N	\N
654101	2237	1998-10-09	PRIJEM	VKLAD	18232	61860	\N	\N	\N
654102	2237	1998-11-09	PRIJEM	VKLAD	18232	63399	\N	\N	\N
654103	2237	1998-12-09	PRIJEM	VKLAD	27348	69459	\N	\N	\N
654120	2237	1996-05-14	VYDAJ	PREVOD NA UCET	4876	31464	SIPO	IJ	35369825
654121	2237	1996-06-14	VYDAJ	PREVOD NA UCET	4876	35371	SIPO	IJ	35369825
654122	2237	1996-07-14	VYDAJ	PREVOD NA UCET	4876	34446	SIPO	IJ	35369825
654123	2237	1996-08-14	VYDAJ	PREVOD NA UCET	4876	29624	SIPO	IJ	35369825
654124	2237	1996-09-14	VYDAJ	PREVOD NA UCET	4876	38390	SIPO	IJ	35369825
654125	2237	1996-10-14	VYDAJ	PREVOD NA UCET	4876	38875	SIPO	IJ	35369825
654126	2237	1996-11-14	VYDAJ	PREVOD NA UCET	4876	36591	SIPO	IJ	35369825
654127	2237	1996-12-14	VYDAJ	PREVOD NA UCET	4876	49613	SIPO	IJ	35369825
654128	2237	1997-01-14	VYDAJ	PREVOD NA UCET	4876	43921	SIPO	IJ	35369825
654129	2237	1997-02-14	VYDAJ	PREVOD NA UCET	4876	42235	SIPO	IJ	35369825
654130	2237	1997-03-14	VYDAJ	PREVOD NA UCET	4876	42444	SIPO	IJ	35369825
654131	2237	1997-04-14	VYDAJ	PREVOD NA UCET	4876	43655	SIPO	IJ	35369825
654132	2237	1997-05-14	VYDAJ	PREVOD NA UCET	4876	45970	SIPO	IJ	35369825
654133	2237	1997-06-14	VYDAJ	PREVOD NA UCET	4876	33509	SIPO	IJ	35369825
654134	2237	1997-07-14	VYDAJ	PREVOD NA UCET	4876	39804	SIPO	IJ	35369825
654135	2237	1997-08-14	VYDAJ	PREVOD NA UCET	4876	37077	SIPO	IJ	35369825
654136	2237	1997-09-14	VYDAJ	PREVOD NA UCET	4876	46766	SIPO	IJ	35369825
654137	2237	1997-10-14	VYDAJ	PREVOD NA UCET	4876	51284	SIPO	IJ	35369825
654138	2237	1997-11-14	VYDAJ	PREVOD NA UCET	4876	58027	SIPO	IJ	35369825
654139	2237	1997-12-14	VYDAJ	PREVOD NA UCET	4876	64372	SIPO	IJ	35369825
654140	2237	1998-01-14	VYDAJ	PREVOD NA UCET	4876	62059	SIPO	IJ	35369825
654141	2237	1998-02-14	VYDAJ	PREVOD NA UCET	4876	56207	SIPO	IJ	35369825
654142	2237	1998-03-14	VYDAJ	PREVOD NA UCET	4876	62957	SIPO	IJ	35369825
654143	2237	1998-04-14	VYDAJ	PREVOD NA UCET	4876	62105	SIPO	IJ	35369825
654144	2237	1998-05-14	VYDAJ	PREVOD NA UCET	4876	56610	SIPO	IJ	35369825
654145	2237	1998-06-14	VYDAJ	PREVOD NA UCET	4876	61536	SIPO	IJ	35369825
654146	2237	1998-07-14	VYDAJ	PREVOD NA UCET	4876	40107	SIPO	IJ	35369825
654147	2237	1998-08-14	VYDAJ	PREVOD NA UCET	4876	49490	SIPO	IJ	35369825
654148	2237	1998-09-14	VYDAJ	PREVOD NA UCET	4876	50889	SIPO	IJ	35369825
654149	2237	1998-10-14	VYDAJ	PREVOD NA UCET	4876	54773	SIPO	IJ	35369825
654150	2237	1998-11-14	VYDAJ	PREVOD NA UCET	4876	56312	SIPO	IJ	35369825
654151	2237	1998-12-14	VYDAJ	PREVOD NA UCET	4876	61672	SIPO	IJ	35369825
654168	2237	1996-05-11	VYDAJ	PREVOD NA UCET	891	37660	 	KL	87857412
654169	2237	1996-06-11	VYDAJ	PREVOD NA UCET	891	41567	 	KL	87857412
654170	2237	1996-07-11	VYDAJ	PREVOD NA UCET	891	40642	 	KL	87857412
654171	2237	1996-08-11	VYDAJ	PREVOD NA UCET	891	35820	 	KL	87857412
654172	2237	1996-09-11	VYDAJ	PREVOD NA UCET	891	44586	 	KL	87857412
654173	2237	1996-10-11	VYDAJ	PREVOD NA UCET	891	45071	 	KL	87857412
654174	2237	1996-11-11	VYDAJ	PREVOD NA UCET	891	42787	 	KL	87857412
654175	2237	1996-12-11	VYDAJ	PREVOD NA UCET	891	55809	 	KL	87857412
654176	2237	1997-01-11	VYDAJ	PREVOD NA UCET	891	50117	 	KL	87857412
654177	2237	1997-02-11	VYDAJ	PREVOD NA UCET	891	48431	 	KL	87857412
654178	2237	1997-03-11	VYDAJ	PREVOD NA UCET	891	48640	 	KL	87857412
654179	2237	1997-04-11	VYDAJ	PREVOD NA UCET	891	49851	 	KL	87857412
654180	2237	1997-05-11	VYDAJ	PREVOD NA UCET	891	52166	 	KL	87857412
654181	2237	1997-06-11	VYDAJ	PREVOD NA UCET	891	39705	 	KL	87857412
654182	2237	1997-07-11	VYDAJ	PREVOD NA UCET	891	46000	 	KL	87857412
654183	2237	1997-08-11	VYDAJ	PREVOD NA UCET	891	49153	 	KL	87857412
654184	2237	1997-09-11	VYDAJ	PREVOD NA UCET	891	52962	 	KL	87857412
654185	2237	1997-10-11	VYDAJ	PREVOD NA UCET	891	57480	 	KL	87857412
654186	2237	1997-11-11	VYDAJ	PREVOD NA UCET	891	64223	 	KL	87857412
654187	2237	1997-12-11	VYDAJ	PREVOD NA UCET	891	70568	 	KL	87857412
654188	2237	1998-01-11	VYDAJ	PREVOD NA UCET	891	68255	 	KL	87857412
654189	2237	1998-02-11	VYDAJ	PREVOD NA UCET	891	62403	 	KL	87857412
654190	2237	1998-03-11	VYDAJ	PREVOD NA UCET	891	69153	 	KL	87857412
654191	2237	1998-04-11	VYDAJ	PREVOD NA UCET	891	68301	 	KL	87857412
654192	2237	1998-05-11	VYDAJ	PREVOD NA UCET	891	62806	 	KL	87857412
654193	2237	1998-06-11	VYDAJ	PREVOD NA UCET	891	67732	 	KL	87857412
654194	2237	1998-07-11	VYDAJ	PREVOD NA UCET	891	46303	 	KL	87857412
654195	2237	1998-08-11	VYDAJ	PREVOD NA UCET	891	55686	 	KL	87857412
654196	2237	1998-09-11	VYDAJ	PREVOD NA UCET	891	57085	 	KL	87857412
654197	2237	1998-10-11	VYDAJ	PREVOD NA UCET	891	60969	 	KL	87857412
654198	2237	1998-11-11	VYDAJ	PREVOD NA UCET	891	62508	 	KL	87857412
654199	2237	1998-12-11	VYDAJ	PREVOD NA UCET	891	68568	 	KL	87857412
654216	2237	1996-05-12	VYDAJ	PREVOD NA UCET	1320	36340	POJISTNE	WX	55064397
654217	2237	1996-06-12	VYDAJ	PREVOD NA UCET	1320	40247	POJISTNE	WX	55064397
654218	2237	1996-07-12	VYDAJ	PREVOD NA UCET	1320	39322	POJISTNE	WX	55064397
654219	2237	1996-08-12	VYDAJ	PREVOD NA UCET	1320	34500	POJISTNE	WX	55064397
654220	2237	1996-09-12	VYDAJ	PREVOD NA UCET	1320	43266	POJISTNE	WX	55064397
654221	2237	1996-10-12	VYDAJ	PREVOD NA UCET	1320	43751	POJISTNE	WX	55064397
654222	2237	1996-11-12	VYDAJ	PREVOD NA UCET	1320	41467	POJISTNE	WX	55064397
654223	2237	1996-12-12	VYDAJ	PREVOD NA UCET	1320	54489	POJISTNE	WX	55064397
654224	2237	1997-01-12	VYDAJ	PREVOD NA UCET	1320	48797	POJISTNE	WX	55064397
654225	2237	1997-02-12	VYDAJ	PREVOD NA UCET	1320	47111	POJISTNE	WX	55064397
654226	2237	1997-03-12	VYDAJ	PREVOD NA UCET	1320	47320	POJISTNE	WX	55064397
654227	2237	1997-04-12	VYDAJ	PREVOD NA UCET	1320	48531	POJISTNE	WX	55064397
654228	2237	1997-05-12	VYDAJ	PREVOD NA UCET	1320	50846	POJISTNE	WX	55064397
654229	2237	1997-06-12	VYDAJ	PREVOD NA UCET	1320	38385	POJISTNE	WX	55064397
654230	2237	1997-07-12	VYDAJ	PREVOD NA UCET	1320	44680	POJISTNE	WX	55064397
654231	2237	1997-08-12	VYDAJ	PREVOD NA UCET	1320	41953	POJISTNE	WX	55064397
654232	2237	1997-09-12	VYDAJ	PREVOD NA UCET	1320	51642	POJISTNE	WX	55064397
654233	2237	1997-10-12	VYDAJ	PREVOD NA UCET	1320	56160	POJISTNE	WX	55064397
654234	2237	1997-11-12	VYDAJ	PREVOD NA UCET	1320	62903	POJISTNE	WX	55064397
654235	2237	1997-12-12	VYDAJ	PREVOD NA UCET	1320	69248	POJISTNE	WX	55064397
654236	2237	1998-01-12	VYDAJ	PREVOD NA UCET	1320	66935	POJISTNE	WX	55064397
654237	2237	1998-02-12	VYDAJ	PREVOD NA UCET	1320	61083	POJISTNE	WX	55064397
654238	2237	1998-03-12	VYDAJ	PREVOD NA UCET	1320	67833	POJISTNE	WX	55064397
654239	2237	1998-04-12	VYDAJ	PREVOD NA UCET	1320	66981	POJISTNE	WX	55064397
654240	2237	1998-05-12	VYDAJ	PREVOD NA UCET	1320	61486	POJISTNE	WX	55064397
654241	2237	1998-06-12	VYDAJ	PREVOD NA UCET	1320	66412	POJISTNE	WX	55064397
654242	2237	1998-07-12	VYDAJ	PREVOD NA UCET	1320	44983	POJISTNE	WX	55064397
654243	2237	1998-08-12	VYDAJ	PREVOD NA UCET	1320	54366	POJISTNE	WX	55064397
654244	2237	1998-09-12	VYDAJ	PREVOD NA UCET	1320	55765	POJISTNE	WX	55064397
654245	2237	1998-10-12	VYDAJ	PREVOD NA UCET	1320	59649	POJISTNE	WX	55064397
654246	2237	1998-11-12	VYDAJ	PREVOD NA UCET	1320	61188	POJISTNE	WX	55064397
654247	2237	1998-12-12	VYDAJ	PREVOD NA UCET	1320	67248	POJISTNE	WX	55064397
654250	2237	1997-06-09	VYDAJ	VYBER	24000	40596	\N	\N	\N
654251	2237	1998-06-23	VYDAJ	VYBER	35360	26176	\N	\N	\N
654254	2237	1997-01-02	VYDAJ	VYBER	4320	45476	\N	\N	\N
654255	2237	1998-01-28	VYDAJ	VYBER	12640	49419	\N	\N	\N
654257	2237	1996-12-10	VYDAJ	VYBER	2080	56700	\N	\N	\N
654258	2237	1997-12-05	VYDAJ	VYBER	3040	44111	\N	\N	\N
654259	2237	1998-12-08	VYDAJ	VYBER KARTOU	3000	42111	\N	\N	0
654263	2237	1996-05-31	VYDAJ	VYBER	1080	30524	\N	\N	\N
654264	2237	1996-11-01	VYDAJ	VYBER	4680	34346	\N	\N	\N
654266	2237	1996-08-07	VYDAJ	VYBER	4200	30379	\N	\N	\N
654267	2237	1997-08-01	VYDAJ	VYBER	3240	36712	\N	\N	\N
654268	2237	1997-08-11	VYDAJ	VYBER	5880	43273	\N	\N	\N
654269	2237	1997-01-27	VYDAJ	VYBER	3600	40321	\N	\N	\N
654270	2237	1998-08-31	VYDAJ	VYBER	1320	39759	\N	\N	\N
654271	2237	1998-06-10	VYDAJ	VYBER	5760	68623	\N	\N	\N
654272	2237	1998-04-20	VYDAJ	VYBER	4080	58025	\N	\N	\N
654273	2237	1998-09-26	VYDAJ	VYBER	1440	49449	\N	\N	\N
654274	2237	1998-12-14	VYDAJ	VYBER KARTOU	700	66548	\N	\N	0
654275	2237	1998-03-14	VYDAJ	VYBER	2640	60317	\N	\N	\N
654293	2237	1996-05-31	VYDAJ	VYBER	15	30510	SLUZBY	\N	\N
654294	2237	1996-06-30	VYDAJ	VYBER	15	35501	SLUZBY	\N	\N
654295	2237	1996-07-31	VYDAJ	VYBER	15	34579	SLUZBY	\N	\N
654296	2237	1996-08-31	VYDAJ	VYBER	15	29745	SLUZBY	\N	\N
654297	2237	1996-09-30	VYDAJ	VYBER	15	38530	SLUZBY	\N	\N
654298	2237	1996-10-31	VYDAJ	VYBER	15	39026	SLUZBY	\N	\N
654299	2237	1996-11-30	VYDAJ	VYBER	15	36732	SLUZBY	\N	\N
654300	2237	1996-12-31	VYDAJ	VYBER	15	49796	SLUZBY	\N	\N
654301	2237	1997-01-31	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
654302	2237	1997-02-28	VYDAJ	VYBER	15	42399	SLUZBY	\N	\N
654303	2237	1997-03-31	VYDAJ	VYBER	15	42610	SLUZBY	\N	\N
654304	2237	1997-04-30	VYDAJ	VYBER	15	43825	SLUZBY	\N	\N
654305	2237	1997-05-31	VYDAJ	VYBER	15	46148	SLUZBY	\N	\N
654306	2237	1997-06-30	VYDAJ	VYBER	15	33659	SLUZBY	\N	\N
654307	2237	1997-07-31	VYDAJ	VYBER	15	39952	SLUZBY	\N	\N
654308	2237	1997-08-31	VYDAJ	VYBER	15	37221	SLUZBY	\N	\N
654309	2237	1997-09-30	VYDAJ	VYBER	15	46939	SLUZBY	\N	\N
654310	2237	1997-10-31	VYDAJ	VYBER	15	51482	SLUZBY	\N	\N
654311	2237	1997-11-30	VYDAJ	VYBER	15	58251	SLUZBY	\N	\N
654312	2237	1997-12-31	VYDAJ	VYBER	15	64614	SLUZBY	\N	\N
654313	2237	1998-01-31	VYDAJ	VYBER	15	45062	SLUZBY	\N	\N
654314	2237	1998-02-28	VYDAJ	VYBER	15	56412	SLUZBY	\N	\N
654315	2237	1998-03-31	VYDAJ	VYBER	15	60560	SLUZBY	\N	\N
654316	2237	1998-04-30	VYDAJ	VYBER	15	58265	SLUZBY	\N	\N
654317	2237	1998-05-31	VYDAJ	VYBER	15	47035	SLUZBY	\N	\N
654318	2237	1998-06-30	VYDAJ	VYBER	15	28962	SLUZBY	\N	\N
654319	2237	1998-07-31	VYDAJ	VYBER	15	38345	SLUZBY	\N	\N
654320	2237	1998-08-31	VYDAJ	VYBER	15	39744	SLUZBY	\N	\N
654321	2237	1998-09-30	VYDAJ	VYBER	15	43628	SLUZBY	\N	\N
654322	2237	1998-10-31	VYDAJ	VYBER	15	45167	SLUZBY	\N	\N
654323	2237	1998-11-30	VYDAJ	VYBER	15	45111	SLUZBY	\N	\N
654324	2237	1996-01-12	PRIJEM	VKLAD	3200	22532	\N	\N	\N
654325	2237	1996-02-11	VYDAJ	VYBER	6600	34225	\N	\N	\N
654326	2237	1996-03-12	VYDAJ	VYBER	15600	36982	\N	\N	\N
654327	2237	1996-04-11	VYDAJ	VYBER	18300	37064	\N	\N	\N
654328	2237	1996-05-11	VYDAJ	VYBER	16900	38551	\N	\N	\N
654329	2237	1996-06-10	VYDAJ	VYBER	15400	42458	\N	\N	\N
654330	2237	1996-07-10	VYDAJ	VYBER	12200	41533	\N	\N	\N
654331	2237	1996-08-09	VYDAJ	VYBER	11900	36711	\N	\N	\N
654332	2237	1996-09-08	VYDAJ	VYBER	2500	27245	\N	\N	\N
654333	2237	1996-10-08	VYDAJ	VYBER	10800	27730	\N	\N	\N
654334	2237	1996-11-07	VYDAJ	VYBER	8900	25446	\N	\N	\N
654335	2237	1996-12-07	VYDAJ	VYBER	5300	31432	\N	\N	\N
654336	2237	1997-01-06	VYDAJ	VYBER	12700	32776	\N	\N	\N
654337	2237	1997-02-05	VYDAJ	VYBER	9400	31090	\N	\N	\N
654338	2237	1997-03-07	VYDAJ	VYBER	11100	31299	\N	\N	\N
654339	2237	1997-04-06	VYDAJ	VYBER	10100	32510	\N	\N	\N
654340	2237	1997-05-06	VYDAJ	VYBER	9000	34825	\N	\N	\N
654341	2237	1997-06-05	VYDAJ	VYBER	8900	37248	\N	\N	\N
654342	2237	1997-07-05	VYDAJ	VYBER	5000	28659	\N	\N	\N
654343	2237	1997-08-04	VYDAJ	VYBER	4900	31812	\N	\N	\N
654344	2237	1997-09-03	VYDAJ	VYBER	1600	35621	\N	\N	\N
654345	2237	1997-10-03	VYDAJ	VYBER	6800	40139	\N	\N	\N
654346	2237	1997-11-02	VYDAJ	VYBER	4600	46882	\N	\N	\N
654347	2237	1997-12-02	VYDAJ	VYBER	11100	47151	\N	\N	\N
654348	2237	1998-01-01	VYDAJ	VYBER	13700	50914	\N	\N	\N
654349	2237	1998-01-31	VYDAJ	VYBER	4600	45077	\N	\N	\N
654350	2237	1998-03-02	VYDAJ	VYBER	4600	51812	\N	\N	\N
654351	2237	1998-04-01	VYDAJ	VYBER	9600	50960	\N	\N	\N
654352	2237	1998-05-01	VYDAJ	VYBER	12800	45465	\N	\N	\N
654353	2237	1998-05-31	VYDAJ	VYBER	9800	47049	\N	\N	\N
654354	2237	1998-06-30	PRIJEM	VKLAD	2600	28776	\N	\N	\N
654355	2237	1998-07-30	VYDAJ	VYBER	1900	38207	\N	\N	\N
654356	2237	1998-08-29	VYDAJ	VYBER	8600	40890	\N	\N	\N
654357	2237	1998-09-28	VYDAJ	VYBER	6000	43449	\N	\N	\N
654358	2237	1998-10-28	VYDAJ	VYBER	9800	44973	\N	\N	\N
654359	2237	1998-11-27	VYDAJ	VYBER	11400	44912	\N	\N	\N
654671	2239	1995-01-05	PRIJEM	VKLAD	900	900	\N	\N	\N
654672	2239	1995-01-11	PRIJEM	VKLAD	14790	15690	\N	\N	\N
654673	2239	1995-02-11	PRIJEM	VKLAD	14790	34724	\N	\N	\N
654674	2239	1995-03-11	PRIJEM	VKLAD	14790	46031	\N	\N	\N
654675	2239	1995-04-11	PRIJEM	VKLAD	14790	51097	\N	\N	\N
654676	2239	1995-05-11	PRIJEM	VKLAD	14790	52393	\N	\N	\N
654677	2239	1995-06-11	PRIJEM	VKLAD	22185	57098	\N	\N	\N
654678	2239	1995-07-11	PRIJEM	VKLAD	14790	32377	\N	\N	\N
654679	2239	1995-08-11	PRIJEM	VKLAD	14790	40286	\N	\N	\N
654680	2239	1995-09-11	PRIJEM	VKLAD	14790	42846	\N	\N	\N
654681	2239	1995-10-11	PRIJEM	VKLAD	14790	43017	\N	\N	\N
654682	2239	1995-11-11	PRIJEM	VKLAD	14790	44299	\N	\N	\N
654683	2239	1995-12-11	PRIJEM	VKLAD	22185	52061	\N	\N	\N
654684	2239	1996-01-11	PRIJEM	VKLAD	14790	46448	\N	\N	\N
654685	2239	1996-02-11	PRIJEM	VKLAD	14790	35302	\N	\N	\N
654686	2239	1996-03-11	PRIJEM	VKLAD	14790	39320	\N	\N	\N
654687	2239	1996-04-11	PRIJEM	VKLAD	14790	41354	\N	\N	\N
654688	2239	1996-05-11	PRIJEM	VKLAD	14790	41798	\N	\N	\N
654689	2239	1996-06-11	PRIJEM	VKLAD	22185	48636	\N	\N	\N
654690	2239	1996-07-11	PRIJEM	VKLAD	14790	33777	\N	\N	\N
654691	2239	1996-08-11	PRIJEM	VKLAD	14790	35287	\N	\N	\N
654692	2239	1996-09-11	PRIJEM	VKLAD	14790	34100	\N	\N	\N
654693	2239	1996-10-11	PRIJEM	VKLAD	14790	33909	\N	\N	\N
654694	2239	1996-11-11	PRIJEM	VKLAD	14790	38620	\N	\N	\N
654695	2239	1996-12-11	PRIJEM	VKLAD	22185	46143	\N	\N	\N
654696	2239	1997-01-11	PRIJEM	VKLAD	14790	31490	\N	\N	\N
654697	2239	1997-02-11	PRIJEM	VKLAD	14790	34699	\N	\N	\N
654698	2239	1997-03-11	PRIJEM	VKLAD	14790	41225	\N	\N	\N
654699	2239	1997-04-11	PRIJEM	VKLAD	14790	43665	\N	\N	\N
654700	2239	1997-05-11	PRIJEM	VKLAD	14790	41710	\N	\N	\N
654701	2239	1997-06-11	PRIJEM	VKLAD	22185	49542	\N	\N	\N
654702	2239	1997-07-11	PRIJEM	VKLAD	14790	32505	\N	\N	\N
654703	2239	1997-08-11	PRIJEM	VKLAD	14790	40913	\N	\N	\N
654704	2239	1997-09-11	PRIJEM	VKLAD	14790	38445	\N	\N	\N
654705	2239	1997-10-11	PRIJEM	VKLAD	14790	48881	\N	\N	\N
654706	2239	1997-11-11	PRIJEM	VKLAD	14790	52553	\N	\N	\N
654707	2239	1997-12-11	PRIJEM	VKLAD	22185	58832	\N	\N	\N
654708	2239	1998-01-11	PRIJEM	VKLAD	14790	54630	\N	\N	\N
654709	2239	1998-02-11	PRIJEM	VKLAD	14790	51522	\N	\N	\N
654710	2239	1998-03-11	PRIJEM	VKLAD	14790	54701	\N	\N	\N
654711	2239	1998-04-11	PRIJEM	VKLAD	14790	61307	\N	\N	\N
654712	2239	1998-05-11	PRIJEM	VKLAD	14790	63224	\N	\N	\N
654713	2239	1998-06-11	PRIJEM	VKLAD	22185	74948	\N	\N	\N
654714	2239	1998-07-11	PRIJEM	VKLAD	14790	48471	\N	\N	\N
654715	2239	1998-08-11	PRIJEM	VKLAD	14790	61154	\N	\N	\N
654716	2239	1998-09-11	PRIJEM	VKLAD	14790	68078	\N	\N	\N
654717	2239	1998-10-11	PRIJEM	VKLAD	14790	68922	\N	\N	\N
654718	2239	1998-11-11	PRIJEM	VKLAD	14790	72672	\N	\N	\N
654719	2239	1998-12-11	PRIJEM	VKLAD	22185	82429	\N	\N	\N
654724	2239	1995-05-12	VYDAJ	PREVOD NA UCET	7355	44633	SIPO	AB	74974190
654725	2239	1995-06-12	VYDAJ	PREVOD NA UCET	7355	45138	SIPO	AB	74974190
654726	2239	1995-07-12	VYDAJ	PREVOD NA UCET	7355	25022	SIPO	AB	74974190
654727	2239	1995-08-12	VYDAJ	PREVOD NA UCET	7355	32526	SIPO	AB	74974190
654728	2239	1995-09-12	VYDAJ	PREVOD NA UCET	7355	35086	SIPO	AB	74974190
654729	2239	1995-10-12	VYDAJ	PREVOD NA UCET	7355	35257	SIPO	AB	74974190
654730	2239	1995-11-12	VYDAJ	PREVOD NA UCET	7355	36944	SIPO	AB	74974190
654731	2239	1995-12-12	VYDAJ	PREVOD NA UCET	7355	44706	SIPO	AB	74974190
654732	2239	1996-01-12	VYDAJ	PREVOD NA UCET	7355	38688	SIPO	AB	74974190
654733	2239	1996-02-12	VYDAJ	PREVOD NA UCET	7355	27542	SIPO	AB	74974190
654734	2239	1996-03-12	VYDAJ	PREVOD NA UCET	7355	31560	SIPO	AB	74974190
654735	2239	1996-04-12	VYDAJ	PREVOD NA UCET	7355	33999	SIPO	AB	74974190
654736	2239	1996-05-12	VYDAJ	PREVOD NA UCET	7355	34038	SIPO	AB	74974190
654737	2239	1996-06-12	VYDAJ	PREVOD NA UCET	7355	40876	SIPO	AB	74974190
654738	2239	1996-07-12	VYDAJ	PREVOD NA UCET	7355	26422	SIPO	AB	74974190
654739	2239	1996-08-12	VYDAJ	PREVOD NA UCET	7355	27932	SIPO	AB	74974190
654740	2239	1996-09-12	VYDAJ	PREVOD NA UCET	7355	26745	SIPO	AB	74974190
654741	2239	1996-10-12	VYDAJ	PREVOD NA UCET	7355	26554	SIPO	AB	74974190
654742	2239	1996-11-12	VYDAJ	PREVOD NA UCET	7355	31265	SIPO	AB	74974190
654743	2239	1996-12-12	VYDAJ	PREVOD NA UCET	7355	38383	SIPO	AB	74974190
654744	2239	1997-01-12	VYDAJ	PREVOD NA UCET	7355	24135	SIPO	AB	74974190
654745	2239	1997-02-12	VYDAJ	PREVOD NA UCET	7355	26939	SIPO	AB	74974190
654746	2239	1997-03-12	VYDAJ	PREVOD NA UCET	7355	33870	SIPO	AB	74974190
654747	2239	1997-04-12	VYDAJ	PREVOD NA UCET	7355	36310	SIPO	AB	74974190
654748	2239	1997-05-12	VYDAJ	PREVOD NA UCET	7355	34355	SIPO	AB	74974190
654749	2239	1997-06-12	VYDAJ	PREVOD NA UCET	7355	41782	SIPO	AB	74974190
654750	2239	1997-07-12	VYDAJ	PREVOD NA UCET	7355	24745	SIPO	AB	74974190
654751	2239	1997-08-12	VYDAJ	PREVOD NA UCET	7355	33558	SIPO	AB	74974190
654752	2239	1997-09-12	VYDAJ	PREVOD NA UCET	7355	31090	SIPO	AB	74974190
654753	2239	1997-10-12	VYDAJ	PREVOD NA UCET	7355	41526	SIPO	AB	74974190
654754	2239	1997-11-12	VYDAJ	PREVOD NA UCET	7355	45198	SIPO	AB	74974190
654755	2239	1997-12-12	VYDAJ	PREVOD NA UCET	7355	51477	SIPO	AB	74974190
654756	2239	1998-01-12	VYDAJ	PREVOD NA UCET	7355	46870	SIPO	AB	74974190
654757	2239	1998-02-12	VYDAJ	PREVOD NA UCET	7355	44167	SIPO	AB	74974190
654758	2239	1998-03-12	VYDAJ	PREVOD NA UCET	7355	46941	SIPO	AB	74974190
654759	2239	1998-04-12	VYDAJ	PREVOD NA UCET	7355	53952	SIPO	AB	74974190
654760	2239	1998-05-12	VYDAJ	PREVOD NA UCET	7355	55869	SIPO	AB	74974190
654761	2239	1998-06-12	VYDAJ	PREVOD NA UCET	7355	67188	SIPO	AB	74974190
654762	2239	1998-07-12	VYDAJ	PREVOD NA UCET	7355	41116	SIPO	AB	74974190
654763	2239	1998-08-12	VYDAJ	PREVOD NA UCET	7355	53394	SIPO	AB	74974190
654764	2239	1998-09-12	VYDAJ	PREVOD NA UCET	7355	60318	SIPO	AB	74974190
654765	2239	1998-10-12	VYDAJ	PREVOD NA UCET	7355	61567	SIPO	AB	74974190
654766	2239	1998-11-12	VYDAJ	PREVOD NA UCET	7355	65317	SIPO	AB	74974190
654767	2239	1998-12-12	VYDAJ	PREVOD NA UCET	7355	73869	SIPO	AB	74974190
654772	2239	1995-05-12	VYDAJ	PREVOD NA UCET	405	51988	 	YZ	22235125
654773	2239	1995-06-12	VYDAJ	PREVOD NA UCET	405	52493	 	YZ	22235125
654774	2239	1995-07-12	VYDAJ	PREVOD NA UCET	405	24617	 	YZ	22235125
654775	2239	1995-08-12	VYDAJ	PREVOD NA UCET	405	39881	 	YZ	22235125
654776	2239	1995-09-12	VYDAJ	PREVOD NA UCET	405	42441	 	YZ	22235125
654777	2239	1995-10-12	VYDAJ	PREVOD NA UCET	405	42612	 	YZ	22235125
654778	2239	1995-11-12	VYDAJ	PREVOD NA UCET	405	36539	 	YZ	22235125
654779	2239	1995-12-12	VYDAJ	PREVOD NA UCET	405	44301	 	YZ	22235125
654780	2239	1996-01-12	VYDAJ	PREVOD NA UCET	405	46043	 	YZ	22235125
654781	2239	1996-02-12	VYDAJ	PREVOD NA UCET	405	34897	 	YZ	22235125
654782	2239	1996-03-12	VYDAJ	PREVOD NA UCET	405	38915	 	YZ	22235125
654783	2239	1996-04-12	VYDAJ	PREVOD NA UCET	405	33594	 	YZ	22235125
654784	2239	1996-05-12	VYDAJ	PREVOD NA UCET	405	41393	 	YZ	22235125
654785	2239	1996-06-12	VYDAJ	PREVOD NA UCET	405	48231	 	YZ	22235125
654786	2239	1996-07-12	VYDAJ	PREVOD NA UCET	405	26017	 	YZ	22235125
654787	2239	1996-08-12	VYDAJ	PREVOD NA UCET	405	27527	 	YZ	22235125
654788	2239	1996-09-12	VYDAJ	PREVOD NA UCET	405	26340	 	YZ	22235125
654789	2239	1996-10-12	VYDAJ	PREVOD NA UCET	405	26149	 	YZ	22235125
654790	2239	1996-11-12	VYDAJ	PREVOD NA UCET	405	30860	 	YZ	22235125
654791	2239	1996-12-12	VYDAJ	PREVOD NA UCET	405	45738	 	YZ	22235125
654792	2239	1997-01-12	VYDAJ	PREVOD NA UCET	405	23730	 	YZ	22235125
654793	2239	1997-02-12	VYDAJ	PREVOD NA UCET	405	34294	 	YZ	22235125
654794	2239	1997-03-12	VYDAJ	PREVOD NA UCET	405	33465	 	YZ	22235125
654795	2239	1997-04-12	VYDAJ	PREVOD NA UCET	405	35905	 	YZ	22235125
654796	2239	1997-05-12	VYDAJ	PREVOD NA UCET	405	33950	 	YZ	22235125
654797	2239	1997-06-12	VYDAJ	PREVOD NA UCET	405	49137	 	YZ	22235125
654798	2239	1997-07-12	VYDAJ	PREVOD NA UCET	405	32100	 	YZ	22235125
654799	2239	1997-08-12	VYDAJ	PREVOD NA UCET	405	33153	 	YZ	22235125
654800	2239	1997-09-12	VYDAJ	PREVOD NA UCET	405	30685	 	YZ	22235125
654801	2239	1997-10-12	VYDAJ	PREVOD NA UCET	405	41121	 	YZ	22235125
654802	2239	1997-11-12	VYDAJ	PREVOD NA UCET	405	44793	 	YZ	22235125
654803	2239	1997-12-12	VYDAJ	PREVOD NA UCET	405	51072	 	YZ	22235125
654804	2239	1998-01-12	VYDAJ	PREVOD NA UCET	405	54225	 	YZ	22235125
654805	2239	1998-02-12	VYDAJ	PREVOD NA UCET	405	43762	 	YZ	22235125
654806	2239	1998-03-12	VYDAJ	PREVOD NA UCET	405	54296	 	YZ	22235125
654807	2239	1998-04-12	VYDAJ	PREVOD NA UCET	405	53547	 	YZ	22235125
654808	2239	1998-05-12	VYDAJ	PREVOD NA UCET	405	55464	 	YZ	22235125
654809	2239	1998-06-12	VYDAJ	PREVOD NA UCET	405	74543	 	YZ	22235125
654810	2239	1998-07-12	VYDAJ	PREVOD NA UCET	405	40711	 	YZ	22235125
654811	2239	1998-08-12	VYDAJ	PREVOD NA UCET	405	60749	 	YZ	22235125
654812	2239	1998-09-12	VYDAJ	PREVOD NA UCET	405	67673	 	YZ	22235125
654813	2239	1998-10-12	VYDAJ	PREVOD NA UCET	405	61162	 	YZ	22235125
654814	2239	1998-11-12	VYDAJ	PREVOD NA UCET	405	64912	 	YZ	22235125
654815	2239	1998-12-12	VYDAJ	PREVOD NA UCET	405	81224	 	YZ	22235125
654816	2239	1995-06-23	VYDAJ	VYBER	25900	19238	\N	\N	\N
654817	2239	1996-06-25	VYDAJ	VYBER	14500	21776	\N	\N	\N
654818	2239	1997-06-28	VYDAJ	VYBER	16800	17582	\N	\N	\N
654819	2239	1998-06-22	VYDAJ	VYBER	22900	33488	\N	\N	\N
654821	2239	1996-01-28	VYDAJ	VYBER	8500	22888	\N	\N	\N
654822	2239	1997-01-04	VYDAJ	VYBER	9700	17400	\N	\N	\N
654823	2239	1998-01-02	VYDAJ	VYBER	1000	41040	\N	\N	\N
654824	2239	1995-12-25	VYDAJ	VYBER	1400	42901	\N	\N	\N
654825	2239	1996-12-15	VYDAJ	VYBER	700	37683	\N	\N	\N
654826	2239	1997-12-02	VYDAJ	VYBER	1900	36647	\N	\N	\N
654827	2239	1998-12-11	VYDAJ	VYBER	800	81629	\N	\N	\N
654834	2239	1996-01-21	VYDAJ	VYBER	2400	31988	\N	\N	\N
654835	2239	1996-01-07	VYDAJ	VYBER	2400	31658	\N	\N	\N
654836	2239	1996-01-22	VYDAJ	VYBER	600	31388	\N	\N	\N
654837	2239	1996-01-30	VYDAJ	VYBER	1200	20388	\N	\N	\N
654838	2239	1996-01-16	VYDAJ	VYBER	2900	34388	\N	\N	\N
654839	2239	1996-01-14	VYDAJ	VYBER	1400	37288	\N	\N	\N
654840	2239	1997-01-01	VYDAJ	VYBER	2300	27700	\N	\N	\N
654841	2239	1997-01-30	VYDAJ	VYBER	1900	19830	\N	\N	\N
654842	2239	1997-01-28	VYDAJ	VYBER	500	22230	\N	\N	\N
654843	2239	1997-01-03	VYDAJ	VYBER	600	27100	\N	\N	\N
654844	2239	1997-01-28	VYDAJ	VYBER	500	21730	\N	\N	\N
654845	2239	1997-01-08	VYDAJ	VYBER	700	16700	\N	\N	\N
654846	2239	1998-01-06	VYDAJ	VYBER	1200	39840	\N	\N	\N
654847	2239	1998-01-28	VYDAJ	VYBER	1600	38670	\N	\N	\N
654848	2239	1998-01-01	VYDAJ	VYBER	1000	42040	\N	\N	\N
654849	2239	1998-01-27	VYDAJ	VYBER	2000	40270	\N	\N	\N
654850	2239	1998-01-24	VYDAJ	VYBER	800	42270	\N	\N	\N
654851	2239	1998-01-28	VYDAJ	VYBER	2100	36570	\N	\N	\N
654852	2239	1995-06-11	VYDAJ	VYBER	4200	52898	\N	\N	\N
654853	2239	1995-12-29	VYDAJ	VYBER	3700	39201	\N	\N	\N
654854	2239	1995-06-27	VYDAJ	VYBER	3600	15638	\N	\N	\N
654855	2239	1995-09-01	VYDAJ	VYBER	1500	31156	\N	\N	\N
654857	2239	1995-05-17	VYDAJ	VYBER	3300	41333	\N	\N	\N
654858	2239	1996-08-22	VYDAJ	VYBER	1600	25927	\N	\N	\N
654859	2239	1996-06-18	VYDAJ	VYBER	4600	36276	\N	\N	\N
654860	2239	1996-05-28	VYDAJ	VYBER	1100	32938	\N	\N	\N
654861	2239	1997-08-23	VYDAJ	VYBER	2400	26353	\N	\N	\N
654862	2239	1997-05-19	VYDAJ	VYBER	800	33150	\N	\N	\N
654863	2239	1997-11-09	VYDAJ	VYBER	1200	37763	\N	\N	\N
654864	2239	1997-08-29	VYDAJ	VYBER	2800	23553	\N	\N	\N
654865	2239	1998-06-14	VYDAJ	VYBER	3100	64088	\N	\N	\N
654866	2239	1998-12-17	VYDAJ	VYBER	700	61469	\N	\N	\N
654867	2239	1998-02-23	VYDAJ	VYBER	1700	39762	\N	\N	\N
654873	2239	1995-05-31	VYDAJ	VYBER	15	41513	SLUZBY	\N	\N
654874	2239	1995-06-30	VYDAJ	VYBER	15	15787	SLUZBY	\N	\N
654875	2239	1995-07-31	VYDAJ	VYBER	15	24696	SLUZBY	\N	\N
654876	2239	1995-08-31	VYDAJ	VYBER	15	32656	SLUZBY	\N	\N
654877	2239	1995-09-30	VYDAJ	VYBER	15	35227	SLUZBY	\N	\N
654878	2239	1995-10-31	VYDAJ	VYBER	15	35409	SLUZBY	\N	\N
654879	2239	1995-11-30	VYDAJ	VYBER	15	36676	SLUZBY	\N	\N
654880	2239	1995-12-31	VYDAJ	VYBER	15	34058	SLUZBY	\N	\N
654881	2239	1996-01-31	VYDAJ	VYBER	15	20512	SLUZBY	\N	\N
654882	2239	1996-02-29	VYDAJ	VYBER	15	24530	SLUZBY	\N	\N
654883	2239	1996-03-31	VYDAJ	VYBER	15	26564	SLUZBY	\N	\N
654884	2239	1996-04-30	VYDAJ	VYBER	15	27008	SLUZBY	\N	\N
654885	2239	1996-05-31	VYDAJ	VYBER	15	26451	SLUZBY	\N	\N
654886	2239	1996-06-30	VYDAJ	VYBER	15	18987	SLUZBY	\N	\N
654887	2239	1996-07-31	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
654888	2239	1996-08-31	VYDAJ	VYBER	15	19310	SLUZBY	\N	\N
654889	2239	1996-09-30	VYDAJ	VYBER	15	19119	SLUZBY	\N	\N
654890	2239	1996-10-31	VYDAJ	VYBER	15	23830	SLUZBY	\N	\N
654891	2239	1996-11-30	VYDAJ	VYBER	15	23958	SLUZBY	\N	\N
654892	2239	1996-12-31	VYDAJ	VYBER	15	30000	SLUZBY	\N	\N
654893	2239	1997-01-31	VYDAJ	VYBER	15	19909	SLUZBY	\N	\N
654894	2239	1997-02-28	VYDAJ	VYBER	15	26435	SLUZBY	\N	\N
654895	2239	1997-03-31	VYDAJ	VYBER	15	28875	SLUZBY	\N	\N
654896	2239	1997-04-30	VYDAJ	VYBER	15	26920	SLUZBY	\N	\N
654897	2239	1997-05-31	VYDAJ	VYBER	15	27357	SLUZBY	\N	\N
654898	2239	1997-06-30	VYDAJ	VYBER	15	17715	SLUZBY	\N	\N
654899	2239	1997-07-31	VYDAJ	VYBER	15	26123	SLUZBY	\N	\N
654900	2239	1997-08-31	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
654901	2239	1997-09-30	VYDAJ	VYBER	15	34091	SLUZBY	\N	\N
654902	2239	1997-10-31	VYDAJ	VYBER	15	38963	SLUZBY	\N	\N
654903	2239	1997-11-30	VYDAJ	VYBER	15	38547	SLUZBY	\N	\N
654904	2239	1997-12-31	VYDAJ	VYBER	15	43040	SLUZBY	\N	\N
654905	2239	1998-01-31	VYDAJ	VYBER	15	36732	SLUZBY	\N	\N
654906	2239	1998-02-28	VYDAJ	VYBER	15	39911	SLUZBY	\N	\N
654907	2239	1998-03-31	VYDAJ	VYBER	15	46517	SLUZBY	\N	\N
654908	2239	1998-04-30	VYDAJ	VYBER	15	48434	SLUZBY	\N	\N
654909	2239	1998-05-31	VYDAJ	VYBER	15	52763	SLUZBY	\N	\N
654910	2239	1998-06-30	VYDAJ	VYBER	15	33681	SLUZBY	\N	\N
654911	2239	1998-07-31	VYDAJ	VYBER	15	46364	SLUZBY	\N	\N
654912	2239	1998-08-31	VYDAJ	VYBER	15	53288	SLUZBY	\N	\N
654913	2239	1998-09-30	VYDAJ	VYBER	15	54132	SLUZBY	\N	\N
654914	2239	1998-10-31	VYDAJ	VYBER	15	57882	SLUZBY	\N	\N
654915	2239	1998-11-30	VYDAJ	VYBER	15	60244	SLUZBY	\N	\N
654916	2239	1995-02-04	PRIJEM	VKLAD	4200	19934	\N	\N	\N
654917	2239	1995-03-06	VYDAJ	VYBER	3600	31241	\N	\N	\N
654918	2239	1995-04-05	VYDAJ	VYBER	9900	36307	\N	\N	\N
654919	2239	1995-05-05	VYDAJ	VYBER	13700	37603	\N	\N	\N
654920	2239	1995-06-04	VYDAJ	VYBER	6600	34913	\N	\N	\N
654921	2239	1995-07-04	PRIJEM	VKLAD	1800	17587	\N	\N	\N
654922	2239	1995-08-03	PRIJEM	VKLAD	800	25496	\N	\N	\N
654923	2239	1995-09-02	VYDAJ	VYBER	3100	28056	\N	\N	\N
654924	2239	1995-10-02	VYDAJ	VYBER	7000	28227	\N	\N	\N
654925	2239	1995-11-01	VYDAJ	VYBER	5900	29509	\N	\N	\N
654926	2239	1995-12-01	VYDAJ	VYBER	6800	29876	\N	\N	\N
654927	2239	1995-12-31	VYDAJ	VYBER	5300	34072	\N	\N	\N
654928	2239	1996-01-30	VYDAJ	VYBER	1300	21588	\N	\N	\N
654929	2239	1996-02-29	VYDAJ	VYBER	3100	24544	\N	\N	\N
654930	2239	1996-03-30	VYDAJ	VYBER	5100	26460	\N	\N	\N
654931	2239	1996-04-29	VYDAJ	VYBER	6700	26894	\N	\N	\N
654932	2239	1996-05-29	VYDAJ	VYBER	6600	26338	\N	\N	\N
654933	2239	1996-06-28	VYDAJ	VYBER	2900	18876	\N	\N	\N
654934	2239	1996-07-28	VYDAJ	VYBER	5600	20417	\N	\N	\N
654935	2239	1996-08-27	VYDAJ	VYBER	6700	19227	\N	\N	\N
654936	2239	1996-09-26	VYDAJ	VYBER	7300	19040	\N	\N	\N
654937	2239	1996-10-26	VYDAJ	VYBER	2400	23749	\N	\N	\N
654938	2239	1996-11-25	VYDAJ	VYBER	7000	23860	\N	\N	\N
654939	2239	1996-12-25	VYDAJ	VYBER	7800	29883	\N	\N	\N
654940	2239	1997-01-24	VYDAJ	VYBER	1000	22730	\N	\N	\N
654941	2239	1997-02-23	VYDAJ	VYBER	600	26339	\N	\N	\N
654942	2239	1997-03-25	VYDAJ	VYBER	4700	28765	\N	\N	\N
654943	2239	1997-04-24	VYDAJ	VYBER	9100	26805	\N	\N	\N
654944	2239	1997-05-24	VYDAJ	VYBER	5900	27250	\N	\N	\N
654945	2239	1997-06-23	VYDAJ	VYBER	7400	34382	\N	\N	\N
654946	2239	1997-07-23	PRIJEM	VKLAD	1300	26045	\N	\N	\N
654947	2239	1997-08-22	VYDAJ	VYBER	4400	28753	\N	\N	\N
654948	2239	1997-09-21	PRIJEM	VKLAD	3300	33985	\N	\N	\N
654949	2239	1997-10-21	VYDAJ	VYBER	2300	38821	\N	\N	\N
654950	2239	1997-11-20	VYDAJ	VYBER	6400	38393	\N	\N	\N
654951	2239	1997-12-20	VYDAJ	VYBER	8200	42872	\N	\N	\N
654952	2239	1998-01-19	VYDAJ	VYBER	3800	43070	\N	\N	\N
654953	2239	1998-02-18	VYDAJ	VYBER	2300	41462	\N	\N	\N
654954	2239	1998-03-20	VYDAJ	VYBER	600	46341	\N	\N	\N
654955	2239	1998-04-19	VYDAJ	VYBER	5300	48247	\N	\N	\N
654956	2239	1998-05-19	VYDAJ	VYBER	2900	52564	\N	\N	\N
654957	2239	1998-06-18	VYDAJ	VYBER	7700	56388	\N	\N	\N
654958	2239	1998-07-18	PRIJEM	VKLAD	5500	46211	\N	\N	\N
654959	2239	1998-08-17	VYDAJ	VYBER	300	53094	\N	\N	\N
654960	2239	1998-09-16	VYDAJ	VYBER	6400	53918	\N	\N	\N
654961	2239	1998-10-16	VYDAJ	VYBER	3500	57662	\N	\N	\N
654962	2239	1998-11-15	VYDAJ	VYBER	4900	60012	\N	\N	\N
654963	2239	1998-12-15	VYDAJ	VYBER	11700	62169	\N	\N	\N
655012	2240	1996-10-07	PRIJEM	VKLAD	800	800	\N	\N	\N
655016	2240	1996-11-10	PRIJEM	VKLAD	11302	107844	\N	\N	\N
655018	2240	1996-12-06	PRIJEM	VKLAD	45058	114567	\N	\N	\N
655021	2240	1996-11-01	PRIJEM	VKLAD	8976	77501	\N	\N	\N
655026	2240	1996-11-09	PRIJEM	VKLAD	45041	96542	\N	\N	\N
655030	2240	1996-10-28	PRIJEM	VKLAD	30757	68468	\N	\N	\N
655031	2240	1996-10-24	PRIJEM	VKLAD	36911	37711	\N	\N	\N
655033	2240	1997-02-27	PRIJEM	VKLAD	45705	114897	\N	\N	\N
655034	2240	1997-03-04	PRIJEM	VKLAD	40383	126539	\N	\N	\N
655035	2240	1997-12-26	PRIJEM	VKLAD	45621	97308	\N	\N	\N
655036	2240	1997-03-16	PRIJEM	VKLAD	8528	33991	\N	\N	\N
655037	2240	1997-06-16	PRIJEM	VKLAD	19106	76978	\N	\N	\N
655038	2240	1997-10-29	PRIJEM	VKLAD	41497	100438	\N	\N	\N
655039	2240	1997-08-10	PRIJEM	VKLAD	15261	47395	\N	\N	\N
655040	2240	1997-01-07	PRIJEM	VKLAD	46820	85597	\N	\N	\N
655041	2240	1997-11-09	PRIJEM	VKLAD	17489	95044	\N	\N	\N
655042	2240	1997-03-03	PRIJEM	VKLAD	15744	86156	\N	\N	\N
655043	2240	1997-05-24	PRIJEM	VKLAD	42635	98088	\N	\N	\N
655044	2240	1997-08-12	PRIJEM	VKLAD	15498	62893	\N	\N	\N
655045	2240	1997-10-27	PRIJEM	VKLAD	26377	58941	\N	\N	\N
655046	2240	1997-05-19	PRIJEM	VKLAD	12806	55453	\N	\N	\N
655047	2240	1997-01-15	PRIJEM	VKLAD	34865	106962	\N	\N	\N
655048	2240	1997-03-20	PRIJEM	VKLAD	23656	57647	\N	\N	\N
655049	2240	1997-05-24	PRIJEM	VKLAD	37616	135704	\N	\N	\N
655050	2240	1997-11-06	PRIJEM	VKLAD	49314	114355	\N	\N	\N
655051	2240	1997-01-24	PRIJEM	VKLAD	6650	81212	\N	\N	\N
655052	2240	1997-07-05	PRIJEM	VKLAD	23591	76647	\N	\N	\N
655053	2240	1997-09-12	PRIJEM	VKLAD	26883	103382	\N	\N	\N
655054	2240	1997-09-04	PRIJEM	VKLAD	41357	76499	\N	\N	\N
655055	2240	1997-04-25	PRIJEM	VKLAD	12768	56921	\N	\N	\N
655056	2240	1997-02-14	PRIJEM	VKLAD	13305	62220	\N	\N	\N
655057	2240	1997-06-07	PRIJEM	VKLAD	21182	57872	\N	\N	\N
655058	2240	1997-02-26	PRIJEM	VKLAD	6972	69192	\N	\N	\N
655059	2240	1997-06-20	PRIJEM	VKLAD	35574	112552	\N	\N	\N
655060	2240	1998-08-02	PRIJEM	VKLAD	11521	54411	\N	\N	\N
655061	2240	1998-11-09	PRIJEM	VKLAD	21886	50136	\N	\N	\N
655062	2240	1998-01-21	PRIJEM	VKLAD	17890	75338	\N	\N	\N
655063	2240	1998-12-11	PRIJEM	VKLAD	28871	49983	\N	\N	\N
655064	2240	1998-07-18	PRIJEM	VKLAD	32698	56100	\N	\N	\N
655065	2240	1998-09-07	PRIJEM	VKLAD	44652	83135	\N	\N	\N
655103	2240	1996-11-22	VYBER	VYBER	20969	69175	\N	\N	\N
655114	2240	1997-10-16	VYBER	VYBER	19774	47067	\N	\N	\N
655115	2240	1997-10-18	VYBER	VYBER	14503	32564	\N	\N	\N
655116	2240	1997-05-28	VYBER	VYBER	18254	58650	\N	\N	\N
655117	2240	1997-07-18	VYBER	VYBER	18262	38213	\N	\N	\N
655118	2240	1997-02-27	VYBER	VYBER	2054	112843	\N	\N	\N
655119	2240	1997-07-15	VYBER	VYBER	20172	56475	\N	\N	\N
655120	2240	1997-03-08	VYBER	VYBER	14676	38963	\N	\N	\N
655121	2240	1997-08-22	VYBER	VYBER	23633	39260	\N	\N	\N
655123	2240	1998-11-13	VYBER	VYBER	13935	36201	\N	\N	\N
655125	2240	1998-10-19	VYBER	VYBER	13424	39163	\N	\N	\N
655132	2240	1998-02-09	VYBER	VYBER	10070	29397	\N	\N	\N
655138	2240	1997-01-21	VYDAJ	VYBER	26400	74562	\N	\N	\N
655139	2240	1998-01-22	VYDAJ	VYBER	16500	56738	\N	\N	\N
655140	2240	1996-12-14	VYDAJ	VYBER	5400	49167	\N	\N	\N
655141	2240	1997-12-03	VYDAJ	VYBER	6000	51687	\N	\N	\N
655142	2240	1998-12-11	VYDAJ	VYBER	6300	43683	\N	\N	\N
655149	2240	1997-01-14	VYDAJ	VYBER	3600	72097	\N	\N	\N
655150	2240	1997-01-15	VYDAJ	VYBER	6000	100962	\N	\N	\N
655151	2240	1997-01-12	VYDAJ	VYBER	3900	75697	\N	\N	\N
655152	2240	1997-01-28	VYDAJ	VYBER	6600	72512	\N	\N	\N
655153	2240	1997-01-08	VYDAJ	VYBER	6000	79597	\N	\N	\N
655154	2240	1997-01-27	VYDAJ	VYBER	2100	79112	\N	\N	\N
655155	2240	1998-01-10	VYDAJ	VYBER KARTOU	2700	57448	\N	\N	0
655156	2240	1998-01-21	VYDAJ	VYBER KARTOU	2100	73238	\N	\N	0
655157	2240	1998-01-29	VYDAJ	VYBER	8400	41738	\N	\N	\N
655158	2240	1998-01-01	VYDAJ	VYBER	6000	60148	\N	\N	\N
655159	2240	1998-01-28	VYDAJ	VYBER KARTOU	2400	50138	\N	\N	0
655160	2240	1998-01-27	VYDAJ	VYBER	4200	52538	\N	\N	\N
655166	2240	1997-05-29	VYDAJ	VYBER	9900	48750	\N	\N	\N
655167	2240	1997-03-11	VYDAJ	VYBER	13500	25463	\N	\N	\N
655168	2240	1997-11-14	VYDAJ	VYBER	7800	87244	\N	\N	\N
655169	2240	1997-11-17	VYDAJ	VYBER	8100	79144	\N	\N	\N
655170	2240	1997-05-31	VYDAJ	VYBER	4500	44505	\N	\N	\N
655172	2240	1998-12-18	VYDAJ	VYBER KARTOU	3300	40383	\N	\N	0
655173	2240	1998-08-14	VYDAJ	VYBER	5400	49011	\N	\N	\N
655175	2240	1998-03-23	VYDAJ	VYBER	8100	21844	\N	\N	\N
655188	2240	1996-11-30	VYDAJ	VYBER	15	69509	SLUZBY	\N	\N
655189	2240	1996-12-31	VYDAJ	VYBER	15	49377	SLUZBY	\N	\N
655190	2240	1997-01-31	VYDAJ	VYBER	15	72815	SLUZBY	\N	\N
655191	2240	1997-02-28	VYDAJ	VYBER	15	70412	SLUZBY	\N	\N
655192	2240	1997-03-31	VYDAJ	VYBER	15	57853	SLUZBY	\N	\N
655193	2240	1997-04-30	VYDAJ	VYBER	15	57147	SLUZBY	\N	\N
655194	2240	1997-05-31	VYDAJ	VYBER	15	44490	SLUZBY	\N	\N
655195	2240	1997-06-30	VYDAJ	VYBER	15	70656	SLUZBY	\N	\N
655196	2240	1997-07-31	VYDAJ	VYBER	15	38434	SLUZBY	\N	\N
655197	2240	1997-08-31	VYDAJ	VYBER	15	39442	SLUZBY	\N	\N
655198	2240	1997-09-30	VYDAJ	VYBER	15	103741	SLUZBY	\N	\N
655199	2240	1997-10-31	VYDAJ	VYBER	15	100741	SLUZBY	\N	\N
655200	2240	1997-11-30	VYDAJ	VYBER	15	79487	SLUZBY	\N	\N
655201	2240	1997-12-31	VYDAJ	VYBER	15	97548	SLUZBY	\N	\N
655202	2240	1998-01-31	VYDAJ	VYBER	15	39467	SLUZBY	\N	\N
655203	2240	1998-02-28	VYDAJ	VYBER	15	29544	SLUZBY	\N	\N
655204	2240	1998-03-31	VYDAJ	VYBER	15	24543	SLUZBY	\N	\N
655205	2240	1998-04-30	VYDAJ	VYBER	15	24630	SLUZBY	\N	\N
655206	2240	1998-05-31	VYDAJ	VYBER	15	24216	SLUZBY	\N	\N
655207	2240	1998-06-30	VYDAJ	VYBER	15	23402	SLUZBY	\N	\N
655208	2240	1998-07-31	VYDAJ	VYBER	15	42890	SLUZBY	\N	\N
655209	2240	1998-08-31	VYDAJ	VYBER	15	38483	SLUZBY	\N	\N
655210	2240	1998-09-30	VYDAJ	VYBER	15	52587	SLUZBY	\N	\N
655211	2240	1998-10-31	VYDAJ	VYBER	15	28250	SLUZBY	\N	\N
655212	2240	1998-11-30	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
655213	2240	1996-11-06	VYDAJ	VYBER	26000	51501	\N	\N	\N
655214	2240	1996-11-10	VYDAJ	VYBER	17700	90144	\N	\N	\N
655215	2240	1996-12-06	VYDAJ	VYBER	34200	54567	\N	\N	\N
655216	2240	1996-12-06	VYDAJ	VYBER	25800	88767	\N	\N	\N
655217	2240	1997-01-05	VYDAJ	VYBER	10600	38777	\N	\N	\N
655218	2240	1997-02-04	VYDAJ	VYBER	23900	48915	\N	\N	\N
655219	2240	1997-02-27	VYDAJ	VYBER	42700	70143	\N	\N	\N
655220	2240	1997-03-04	VYDAJ	VYBER	50100	76439	\N	\N	\N
655221	2240	1997-03-06	VYDAJ	VYBER	22800	53639	\N	\N	\N
655222	2240	1997-04-05	VYDAJ	VYBER	13700	44153	\N	\N	\N
655223	2240	1997-05-05	VYDAJ	VYBER	14500	42647	\N	\N	\N
655224	2240	1997-05-24	VYDAJ	VYBER	58800	76904	\N	\N	\N
655225	2240	1997-06-04	VYDAJ	VYBER	7800	36690	\N	\N	\N
655226	2240	1997-06-20	VYDAJ	VYBER	42200	70352	\N	\N	\N
655227	2240	1997-07-04	VYDAJ	VYBER	17600	53056	\N	\N	\N
655228	2240	1997-08-03	VYDAJ	VYBER	6300	32134	\N	\N	\N
655229	2240	1997-09-02	VYDAJ	VYBER	4300	35142	\N	\N	\N
655230	2240	1997-10-02	VYDAJ	VYBER	36900	66841	\N	\N	\N
655231	2240	1997-11-01	VYDAJ	VYBER	35700	65041	\N	\N	\N
655232	2240	1997-11-06	VYDAJ	VYBER	36800	77555	\N	\N	\N
655233	2240	1997-12-01	VYDAJ	VYBER	21800	57687	\N	\N	\N
655234	2240	1997-12-31	VYDAJ	VYBER	31400	66148	\N	\N	\N
655235	2240	1998-01-30	VYDAJ	VYBER KARTOU	2500	39238	\N	\N	0
655236	2240	1998-03-01	PRIJEM	VKLAD	400	29944	\N	\N	\N
655237	2240	1998-03-31	PRIJEM	VKLAD	2600	24444	\N	\N	\N
655238	2240	1998-05-30	VYDAJ	VYBER KARTOU	500	24130	\N	\N	0
655239	2240	1998-06-29	VYDAJ	VYBER KARTOU	900	23316	\N	\N	0
655240	2240	1998-07-29	VYDAJ	VYBER	13300	42800	\N	\N	\N
655241	2240	1998-08-28	VYDAJ	VYBER	10700	38311	\N	\N	\N
655242	2240	1998-09-27	VYDAJ	VYBER	30700	52435	\N	\N	\N
655243	2240	1998-10-27	VYDAJ	VYBER	11100	28063	\N	\N	\N
655244	2240	1998-11-26	VYDAJ	VYBER	15200	21001	\N	\N	\N
655272	2241	1993-02-08	PRIJEM	VKLAD	200	200	\N	\N	\N
655275	2241	1993-03-07	PRIJEM	VKLAD	11584	11784	\N	\N	\N
655276	2241	1993-04-07	PRIJEM	VKLAD	11584	32129	\N	\N	\N
655277	2241	1993-05-07	PRIJEM	VKLAD	11584	39320	\N	\N	\N
655278	2241	1993-06-07	PRIJEM	VKLAD	17376	50427	\N	\N	\N
655279	2241	1993-07-07	PRIJEM	VKLAD	11584	46956	\N	\N	\N
655280	2241	1993-08-07	PRIJEM	VKLAD	11584	40436	\N	\N	\N
655281	2241	1993-09-07	PRIJEM	VKLAD	11584	37804	\N	\N	\N
655282	2241	1993-10-07	PRIJEM	VKLAD	11584	33939	\N	\N	\N
655283	2241	1993-11-07	PRIJEM	VKLAD	11584	38708	\N	\N	\N
655284	2241	1993-12-07	PRIJEM	VKLAD	17376	45983	\N	\N	\N
655285	2241	1994-01-07	PRIJEM	VKLAD	11584	38836	\N	\N	\N
655286	2241	1994-02-07	PRIJEM	VKLAD	11584	29942	\N	\N	\N
655287	2241	1994-03-07	PRIJEM	VKLAD	11584	36588	\N	\N	\N
655288	2241	1994-04-07	PRIJEM	VKLAD	11584	39562	\N	\N	\N
655289	2241	1994-05-07	PRIJEM	VKLAD	11584	43050	\N	\N	\N
655290	2241	1994-06-07	PRIJEM	VKLAD	17376	46945	\N	\N	\N
655291	2241	1994-07-07	PRIJEM	VKLAD	11584	35558	\N	\N	\N
655292	2241	1994-08-07	PRIJEM	VKLAD	11584	37030	\N	\N	\N
655293	2241	1994-09-07	PRIJEM	VKLAD	11584	40163	\N	\N	\N
655294	2241	1994-10-07	PRIJEM	VKLAD	11584	41951	\N	\N	\N
655295	2241	1994-11-07	PRIJEM	VKLAD	11584	39970	\N	\N	\N
655296	2241	1994-12-07	PRIJEM	VKLAD	17376	45055	\N	\N	\N
655297	2241	1995-01-07	PRIJEM	VKLAD	11584	34204	\N	\N	\N
655298	2241	1995-02-07	PRIJEM	VKLAD	11584	27256	\N	\N	\N
655299	2241	1995-03-07	PRIJEM	VKLAD	11584	34092	\N	\N	\N
655300	2241	1995-04-07	PRIJEM	VKLAD	11584	39256	\N	\N	\N
655301	2241	1995-05-07	PRIJEM	VKLAD	11584	43041	\N	\N	\N
655302	2241	1995-06-07	PRIJEM	VKLAD	17376	47632	\N	\N	\N
655303	2241	1995-07-07	PRIJEM	VKLAD	11584	35106	\N	\N	\N
655304	2241	1995-08-07	PRIJEM	VKLAD	11584	36172	\N	\N	\N
655305	2241	1995-09-07	PRIJEM	VKLAD	11584	37742	\N	\N	\N
655306	2241	1995-10-07	PRIJEM	VKLAD	11584	43321	\N	\N	\N
655307	2241	1995-11-07	PRIJEM	VKLAD	11584	43119	\N	\N	\N
655308	2241	1995-12-07	PRIJEM	VKLAD	17376	51611	\N	\N	\N
655309	2241	1996-01-07	PRIJEM	VKLAD	11584	51077	\N	\N	\N
655310	2241	1996-02-07	PRIJEM	VKLAD	11584	34103	\N	\N	\N
655311	2241	1996-03-07	PRIJEM	VKLAD	11584	38866	\N	\N	\N
655312	2241	1996-04-07	PRIJEM	VKLAD	11584	43349	\N	\N	\N
655313	2241	1996-05-07	PRIJEM	VKLAD	11584	45648	\N	\N	\N
655314	2241	1996-06-07	PRIJEM	VKLAD	17376	55751	\N	\N	\N
655315	2241	1996-07-07	PRIJEM	VKLAD	11584	52200	\N	\N	\N
655316	2241	1996-08-07	PRIJEM	VKLAD	11584	51275	\N	\N	\N
655317	2241	1996-09-07	PRIJEM	VKLAD	11584	48066	\N	\N	\N
655318	2241	1996-10-07	PRIJEM	VKLAD	11584	54593	\N	\N	\N
655319	2241	1996-11-07	PRIJEM	VKLAD	11584	57838	\N	\N	\N
655320	2241	1996-12-07	PRIJEM	VKLAD	17376	62783	\N	\N	\N
655321	2241	1997-01-07	PRIJEM	VKLAD	11584	58273	\N	\N	\N
655322	2241	1997-02-07	PRIJEM	VKLAD	11584	57209	\N	\N	\N
655323	2241	1997-03-07	PRIJEM	VKLAD	11584	57828	\N	\N	\N
655324	2241	1997-04-07	PRIJEM	VKLAD	11584	62091	\N	\N	\N
655325	2241	1997-05-07	PRIJEM	VKLAD	11584	63263	\N	\N	\N
655326	2241	1997-06-07	PRIJEM	VKLAD	17376	71935	\N	\N	\N
655327	2241	1997-07-07	PRIJEM	VKLAD	11584	60653	\N	\N	\N
655328	2241	1997-08-07	PRIJEM	VKLAD	11584	64164	\N	\N	\N
655329	2241	1997-09-07	PRIJEM	VKLAD	11584	61035	\N	\N	\N
655330	2241	1997-10-07	PRIJEM	VKLAD	11584	62301	\N	\N	\N
655331	2241	1997-11-07	PRIJEM	VKLAD	11584	63071	\N	\N	\N
655332	2241	1997-12-07	PRIJEM	VKLAD	17376	73043	\N	\N	\N
655333	2241	1998-01-07	PRIJEM	VKLAD	11584	68061	\N	\N	\N
655334	2241	1998-02-07	PRIJEM	VKLAD	11584	59336	\N	\N	\N
655335	2241	1998-03-07	PRIJEM	VKLAD	11584	66307	\N	\N	\N
655336	2241	1998-04-07	PRIJEM	VKLAD	11584	63130	\N	\N	\N
655337	2241	1998-05-07	PRIJEM	VKLAD	11584	66817	\N	\N	\N
655338	2241	1998-06-07	PRIJEM	VKLAD	17376	78909	\N	\N	\N
655339	2241	1998-07-07	PRIJEM	VKLAD	11584	63187	\N	\N	\N
655340	2241	1998-08-07	PRIJEM	VKLAD	11584	69824	\N	\N	\N
655341	2241	1998-09-07	PRIJEM	VKLAD	11584	75635	\N	\N	\N
655342	2241	1998-10-07	PRIJEM	VKLAD	11584	72735	\N	\N	\N
655343	2241	1998-11-07	PRIJEM	VKLAD	11584	69033	\N	\N	\N
655344	2241	1998-12-07	PRIJEM	VKLAD	17376	77227	\N	\N	\N
655351	2241	1993-07-09	VYDAJ	PREVOD NA UCET	6545	29211	SIPO	KL	33408683
655352	2241	1993-08-09	VYDAJ	PREVOD NA UCET	6545	26291	SIPO	KL	33408683
655353	2241	1993-09-09	VYDAJ	PREVOD NA UCET	6545	31259	SIPO	KL	33408683
655354	2241	1993-10-09	VYDAJ	PREVOD NA UCET	6545	27394	SIPO	KL	33408683
655355	2241	1993-11-09	VYDAJ	PREVOD NA UCET	6545	32163	SIPO	KL	33408683
655356	2241	1993-12-09	VYDAJ	PREVOD NA UCET	6545	35118	SIPO	KL	33408683
655357	2241	1994-01-09	VYDAJ	PREVOD NA UCET	6545	32291	SIPO	KL	33408683
655358	2241	1994-02-09	VYDAJ	PREVOD NA UCET	6545	23397	SIPO	KL	33408683
655359	2241	1994-03-09	VYDAJ	PREVOD NA UCET	6545	30043	SIPO	KL	33408683
655360	2241	1994-04-09	VYDAJ	PREVOD NA UCET	6545	33017	SIPO	KL	33408683
655361	2241	1994-05-09	VYDAJ	PREVOD NA UCET	6545	36505	SIPO	KL	33408683
655362	2241	1994-06-09	VYDAJ	PREVOD NA UCET	6545	40400	SIPO	KL	33408683
655363	2241	1994-07-09	VYDAJ	PREVOD NA UCET	6545	29013	SIPO	KL	33408683
655364	2241	1994-08-09	VYDAJ	PREVOD NA UCET	6545	30485	SIPO	KL	33408683
655365	2241	1994-09-09	VYDAJ	PREVOD NA UCET	6545	33618	SIPO	KL	33408683
655366	2241	1994-10-09	VYDAJ	PREVOD NA UCET	6545	35406	SIPO	KL	33408683
655367	2241	1994-11-09	VYDAJ	PREVOD NA UCET	6545	33425	SIPO	KL	33408683
655368	2241	1994-12-09	VYDAJ	PREVOD NA UCET	6545	34510	SIPO	KL	33408683
655369	2241	1995-01-09	VYDAJ	PREVOD NA UCET	6545	27659	SIPO	KL	33408683
655370	2241	1995-02-09	VYDAJ	PREVOD NA UCET	6545	20711	SIPO	KL	33408683
655371	2241	1995-03-09	VYDAJ	PREVOD NA UCET	6545	27547	SIPO	KL	33408683
655372	2241	1995-04-09	VYDAJ	PREVOD NA UCET	6545	32711	SIPO	KL	33408683
655373	2241	1995-05-09	VYDAJ	PREVOD NA UCET	6545	36496	SIPO	KL	33408683
655374	2241	1995-06-09	VYDAJ	PREVOD NA UCET	6545	21407	SIPO	KL	33408683
655375	2241	1995-07-09	VYDAJ	PREVOD NA UCET	6545	28561	SIPO	KL	33408683
655376	2241	1995-08-09	VYDAJ	PREVOD NA UCET	6545	29627	SIPO	KL	33408683
655377	2241	1995-09-09	VYDAJ	PREVOD NA UCET	6545	31197	SIPO	KL	33408683
655378	2241	1995-10-09	VYDAJ	PREVOD NA UCET	6545	36776	SIPO	KL	33408683
655379	2241	1995-11-09	VYDAJ	PREVOD NA UCET	6545	36574	SIPO	KL	33408683
655380	2241	1995-12-09	VYDAJ	PREVOD NA UCET	6545	45066	SIPO	KL	33408683
655381	2241	1996-01-09	VYDAJ	PREVOD NA UCET	6545	44532	SIPO	KL	33408683
655382	2241	1996-02-09	VYDAJ	PREVOD NA UCET	6545	27558	SIPO	KL	33408683
655383	2241	1996-03-09	VYDAJ	PREVOD NA UCET	6545	32321	SIPO	KL	33408683
655384	2241	1996-04-09	VYDAJ	PREVOD NA UCET	6545	36804	SIPO	KL	33408683
655385	2241	1996-05-09	VYDAJ	PREVOD NA UCET	6545	39103	SIPO	KL	33408683
655386	2241	1996-06-09	VYDAJ	PREVOD NA UCET	6545	44526	SIPO	KL	33408683
655387	2241	1996-07-09	VYDAJ	PREVOD NA UCET	6545	45655	SIPO	KL	33408683
655388	2241	1996-08-09	VYDAJ	PREVOD NA UCET	6545	44730	SIPO	KL	33408683
655389	2241	1996-09-09	VYDAJ	PREVOD NA UCET	6545	41521	SIPO	KL	33408683
655390	2241	1996-10-09	VYDAJ	PREVOD NA UCET	6545	48048	SIPO	KL	33408683
655391	2241	1996-11-09	VYDAJ	PREVOD NA UCET	6545	51293	SIPO	KL	33408683
655392	2241	1996-12-09	VYDAJ	PREVOD NA UCET	6545	56238	SIPO	KL	33408683
655393	2241	1997-01-09	VYDAJ	PREVOD NA UCET	6545	51728	SIPO	KL	33408683
655394	2241	1997-02-09	VYDAJ	PREVOD NA UCET	6545	50664	SIPO	KL	33408683
655395	2241	1997-03-09	VYDAJ	PREVOD NA UCET	6545	51283	SIPO	KL	33408683
655396	2241	1997-04-09	VYDAJ	PREVOD NA UCET	6545	55546	SIPO	KL	33408683
655397	2241	1997-05-09	VYDAJ	PREVOD NA UCET	6545	56718	SIPO	KL	33408683
655398	2241	1997-06-09	VYDAJ	PREVOD NA UCET	6545	65390	SIPO	KL	33408683
655399	2241	1997-07-09	VYDAJ	PREVOD NA UCET	6545	54108	SIPO	KL	33408683
655400	2241	1997-08-09	VYDAJ	PREVOD NA UCET	6545	57619	SIPO	KL	33408683
655401	2241	1997-09-09	VYDAJ	PREVOD NA UCET	6545	54490	SIPO	KL	33408683
655402	2241	1997-10-09	VYDAJ	PREVOD NA UCET	6545	55756	SIPO	KL	33408683
655403	2241	1997-11-09	VYDAJ	PREVOD NA UCET	6545	56526	SIPO	KL	33408683
655404	2241	1997-12-09	VYDAJ	PREVOD NA UCET	6545	66498	SIPO	KL	33408683
655405	2241	1998-01-09	VYDAJ	PREVOD NA UCET	6545	61516	SIPO	KL	33408683
655406	2241	1998-02-09	VYDAJ	PREVOD NA UCET	6545	52791	SIPO	KL	33408683
655407	2241	1998-03-09	VYDAJ	PREVOD NA UCET	6545	59762	SIPO	KL	33408683
655408	2241	1998-04-09	VYDAJ	PREVOD NA UCET	6545	56585	SIPO	KL	33408683
655409	2241	1998-05-09	VYDAJ	PREVOD NA UCET	6545	60272	SIPO	KL	33408683
655410	2241	1998-06-09	VYDAJ	PREVOD NA UCET	6545	72364	SIPO	KL	33408683
655411	2241	1998-07-09	VYDAJ	PREVOD NA UCET	6545	56642	SIPO	KL	33408683
655412	2241	1998-08-09	VYDAJ	PREVOD NA UCET	6545	63279	SIPO	KL	33408683
655413	2241	1998-09-09	VYDAJ	PREVOD NA UCET	6545	69090	SIPO	KL	33408683
655414	2241	1998-10-09	VYDAJ	PREVOD NA UCET	6545	66190	SIPO	KL	33408683
655415	2241	1998-11-09	VYDAJ	PREVOD NA UCET	6545	61688	SIPO	KL	33408683
655416	2241	1998-12-09	VYDAJ	PREVOD NA UCET	6545	70682	SIPO	KL	33408683
655423	2241	1993-07-10	VYDAJ	PREVOD NA UCET	455	28756	 	KL	37085980
655424	2241	1993-08-10	VYDAJ	PREVOD NA UCET	455	25836	 	KL	37085980
655425	2241	1993-09-10	VYDAJ	PREVOD NA UCET	455	30804	 	KL	37085980
655426	2241	1993-10-10	VYDAJ	PREVOD NA UCET	455	26939	 	KL	37085980
655427	2241	1993-11-10	VYDAJ	PREVOD NA UCET	455	31708	 	KL	37085980
655428	2241	1993-12-10	VYDAJ	PREVOD NA UCET	455	34663	 	KL	37085980
655429	2241	1994-01-10	VYDAJ	PREVOD NA UCET	455	31836	 	KL	37085980
655430	2241	1994-02-10	VYDAJ	PREVOD NA UCET	455	22942	 	KL	37085980
655431	2241	1994-03-10	VYDAJ	PREVOD NA UCET	455	29588	 	KL	37085980
655432	2241	1994-04-10	VYDAJ	PREVOD NA UCET	455	32562	 	KL	37085980
655433	2241	1994-05-10	VYDAJ	PREVOD NA UCET	455	36050	 	KL	37085980
655434	2241	1994-06-10	VYDAJ	PREVOD NA UCET	455	39945	 	KL	37085980
655435	2241	1994-07-10	VYDAJ	PREVOD NA UCET	455	28558	 	KL	37085980
655436	2241	1994-08-10	VYDAJ	PREVOD NA UCET	455	30030	 	KL	37085980
655437	2241	1994-09-10	VYDAJ	PREVOD NA UCET	455	33163	 	KL	37085980
655438	2241	1994-10-10	VYDAJ	PREVOD NA UCET	455	34951	 	KL	37085980
655439	2241	1994-11-10	VYDAJ	PREVOD NA UCET	455	32970	 	KL	37085980
655440	2241	1994-12-10	VYDAJ	PREVOD NA UCET	455	34055	 	KL	37085980
655441	2241	1995-01-10	VYDAJ	PREVOD NA UCET	455	27204	 	KL	37085980
655442	2241	1995-02-10	VYDAJ	PREVOD NA UCET	455	20256	 	KL	37085980
655443	2241	1995-03-10	VYDAJ	PREVOD NA UCET	455	27092	 	KL	37085980
655444	2241	1995-04-10	VYDAJ	PREVOD NA UCET	455	32256	 	KL	37085980
655445	2241	1995-05-10	VYDAJ	PREVOD NA UCET	455	36041	 	KL	37085980
655446	2241	1995-06-10	VYDAJ	PREVOD NA UCET	455	20952	 	KL	37085980
655447	2241	1995-07-10	VYDAJ	PREVOD NA UCET	455	28106	 	KL	37085980
655448	2241	1995-08-10	VYDAJ	PREVOD NA UCET	455	29172	 	KL	37085980
655449	2241	1995-09-10	VYDAJ	PREVOD NA UCET	455	30742	 	KL	37085980
655450	2241	1995-10-10	VYDAJ	PREVOD NA UCET	455	36321	 	KL	37085980
655451	2241	1995-11-10	VYDAJ	PREVOD NA UCET	455	36119	 	KL	37085980
655452	2241	1995-12-10	VYDAJ	PREVOD NA UCET	455	44611	 	KL	37085980
655453	2241	1996-01-10	VYDAJ	PREVOD NA UCET	455	44077	 	KL	37085980
655454	2241	1996-02-10	VYDAJ	PREVOD NA UCET	455	27103	 	KL	37085980
655455	2241	1996-03-10	VYDAJ	PREVOD NA UCET	455	31866	 	KL	37085980
655456	2241	1996-04-10	VYDAJ	PREVOD NA UCET	455	36349	 	KL	37085980
655457	2241	1996-05-10	VYDAJ	PREVOD NA UCET	455	38648	 	KL	37085980
655458	2241	1996-06-10	VYDAJ	PREVOD NA UCET	455	44071	 	KL	37085980
655459	2241	1996-07-10	VYDAJ	PREVOD NA UCET	455	45200	 	KL	37085980
655460	2241	1996-08-10	VYDAJ	PREVOD NA UCET	455	44275	 	KL	37085980
655461	2241	1996-09-10	VYDAJ	PREVOD NA UCET	455	41066	 	KL	37085980
655462	2241	1996-10-10	VYDAJ	PREVOD NA UCET	455	47593	 	KL	37085980
655463	2241	1996-11-10	VYDAJ	PREVOD NA UCET	455	50838	 	KL	37085980
655464	2241	1996-12-10	VYDAJ	PREVOD NA UCET	455	55783	 	KL	37085980
655465	2241	1997-01-10	VYDAJ	PREVOD NA UCET	455	51273	 	KL	37085980
655466	2241	1997-02-10	VYDAJ	PREVOD NA UCET	455	50209	 	KL	37085980
655467	2241	1997-03-10	VYDAJ	PREVOD NA UCET	455	50828	 	KL	37085980
655468	2241	1997-04-10	VYDAJ	PREVOD NA UCET	455	55091	 	KL	37085980
655469	2241	1997-05-10	VYDAJ	PREVOD NA UCET	455	56263	 	KL	37085980
655470	2241	1997-06-10	VYDAJ	PREVOD NA UCET	455	64935	 	KL	37085980
655471	2241	1997-07-10	VYDAJ	PREVOD NA UCET	455	53653	 	KL	37085980
655472	2241	1997-08-10	VYDAJ	PREVOD NA UCET	455	57164	 	KL	37085980
655473	2241	1997-09-10	VYDAJ	PREVOD NA UCET	455	54035	 	KL	37085980
655474	2241	1997-10-10	VYDAJ	PREVOD NA UCET	455	55301	 	KL	37085980
655475	2241	1997-11-10	VYDAJ	PREVOD NA UCET	455	56071	 	KL	37085980
655476	2241	1997-12-10	VYDAJ	PREVOD NA UCET	455	66043	 	KL	37085980
655477	2241	1998-01-10	VYDAJ	PREVOD NA UCET	455	61061	 	KL	37085980
655478	2241	1998-02-10	VYDAJ	PREVOD NA UCET	455	52336	 	KL	37085980
655479	2241	1998-03-10	VYDAJ	PREVOD NA UCET	455	59307	 	KL	37085980
655480	2241	1998-04-10	VYDAJ	PREVOD NA UCET	455	56130	 	KL	37085980
655481	2241	1998-05-10	VYDAJ	PREVOD NA UCET	455	59817	 	KL	37085980
655482	2241	1998-06-10	VYDAJ	PREVOD NA UCET	455	71909	 	KL	37085980
655483	2241	1998-07-10	VYDAJ	PREVOD NA UCET	455	56187	 	KL	37085980
655484	2241	1998-08-10	VYDAJ	PREVOD NA UCET	455	62824	 	KL	37085980
655485	2241	1998-09-10	VYDAJ	PREVOD NA UCET	455	68635	 	KL	37085980
655486	2241	1998-10-10	VYDAJ	PREVOD NA UCET	455	65735	 	KL	37085980
655487	2241	1998-11-10	VYDAJ	PREVOD NA UCET	455	61233	 	KL	37085980
655488	2241	1998-12-10	VYDAJ	PREVOD NA UCET	455	63727	 	KL	37085980
655496	2241	1993-08-06	VYDAJ	PREVOD NA UCET	16	28852	POJISTNE	UV	84126734
655497	2241	1993-09-06	VYDAJ	PREVOD NA UCET	16	26220	POJISTNE	UV	84126734
655498	2241	1993-10-06	VYDAJ	PREVOD NA UCET	16	24655	POJISTNE	UV	84126734
655499	2241	1993-11-06	VYDAJ	PREVOD NA UCET	16	27124	POJISTNE	UV	84126734
655500	2241	1993-12-06	VYDAJ	PREVOD NA UCET	16	28607	POJISTNE	UV	84126734
655501	2241	1994-01-06	VYDAJ	PREVOD NA UCET	16	27252	POJISTNE	UV	84126734
655502	2241	1994-02-06	VYDAJ	PREVOD NA UCET	16	18358	POJISTNE	UV	84126734
655503	2241	1994-03-06	VYDAJ	PREVOD NA UCET	16	25004	POJISTNE	UV	84126734
655504	2241	1994-04-06	VYDAJ	PREVOD NA UCET	16	27978	POJISTNE	UV	84126734
655505	2241	1994-05-06	VYDAJ	PREVOD NA UCET	16	31466	POJISTNE	UV	84126734
655506	2241	1994-06-06	VYDAJ	PREVOD NA UCET	16	29569	POJISTNE	UV	84126734
655507	2241	1994-07-06	VYDAJ	PREVOD NA UCET	16	23974	POJISTNE	UV	84126734
655508	2241	1994-08-06	VYDAJ	PREVOD NA UCET	16	25446	POJISTNE	UV	84126734
655509	2241	1994-09-06	VYDAJ	PREVOD NA UCET	16	28579	POJISTNE	UV	84126734
655510	2241	1994-10-06	VYDAJ	PREVOD NA UCET	16	30367	POJISTNE	UV	84126734
655511	2241	1994-11-06	VYDAJ	PREVOD NA UCET	16	28386	POJISTNE	UV	84126734
655512	2241	1994-12-06	VYDAJ	PREVOD NA UCET	16	27679	POJISTNE	UV	84126734
655513	2241	1995-01-06	VYDAJ	PREVOD NA UCET	16	24300	POJISTNE	UV	84126734
655514	2241	1995-02-06	VYDAJ	PREVOD NA UCET	16	15672	POJISTNE	UV	84126734
655515	2241	1995-03-06	VYDAJ	PREVOD NA UCET	16	22508	POJISTNE	UV	84126734
655516	2241	1995-04-06	VYDAJ	PREVOD NA UCET	16	27672	POJISTNE	UV	84126734
655517	2241	1995-05-06	VYDAJ	PREVOD NA UCET	16	31457	POJISTNE	UV	84126734
655518	2241	1995-06-06	VYDAJ	PREVOD NA UCET	16	30256	POJISTNE	UV	84126734
655519	2241	1995-07-06	VYDAJ	PREVOD NA UCET	16	23522	POJISTNE	UV	84126734
655520	2241	1995-08-06	VYDAJ	PREVOD NA UCET	16	24588	POJISTNE	UV	84126734
655521	2241	1995-09-06	VYDAJ	PREVOD NA UCET	16	26158	POJISTNE	UV	84126734
655522	2241	1995-10-06	VYDAJ	PREVOD NA UCET	16	31737	POJISTNE	UV	84126734
655523	2241	1995-11-06	VYDAJ	PREVOD NA UCET	16	31535	POJISTNE	UV	84126734
655524	2241	1995-12-06	VYDAJ	PREVOD NA UCET	16	34235	POJISTNE	UV	84126734
655525	2241	1996-01-06	VYDAJ	PREVOD NA UCET	16	39493	POJISTNE	UV	84126734
655526	2241	1996-02-06	VYDAJ	PREVOD NA UCET	16	22519	POJISTNE	UV	84126734
655527	2241	1996-03-06	VYDAJ	PREVOD NA UCET	16	27282	POJISTNE	UV	84126734
655528	2241	1996-04-06	VYDAJ	PREVOD NA UCET	16	31765	POJISTNE	UV	84126734
655529	2241	1996-05-06	VYDAJ	PREVOD NA UCET	16	34064	POJISTNE	UV	84126734
655530	2241	1996-06-06	VYDAJ	PREVOD NA UCET	16	38375	POJISTNE	UV	84126734
655531	2241	1996-07-06	VYDAJ	PREVOD NA UCET	16	40616	POJISTNE	UV	84126734
655629	2241	1997-08-03	VYDAJ	VYBER	960	52596	\N	\N	\N
655532	2241	1996-08-06	VYDAJ	PREVOD NA UCET	16	39691	POJISTNE	UV	84126734
655533	2241	1996-09-06	VYDAJ	PREVOD NA UCET	16	36482	POJISTNE	UV	84126734
655534	2241	1996-10-06	VYDAJ	PREVOD NA UCET	16	43009	POJISTNE	UV	84126734
655535	2241	1996-11-06	VYDAJ	PREVOD NA UCET	16	46254	POJISTNE	UV	84126734
655536	2241	1996-12-06	VYDAJ	PREVOD NA UCET	16	45407	POJISTNE	UV	84126734
655537	2241	1997-01-06	VYDAJ	PREVOD NA UCET	16	46689	POJISTNE	UV	84126734
655538	2241	1997-02-06	VYDAJ	PREVOD NA UCET	16	45625	POJISTNE	UV	84126734
655539	2241	1997-03-06	VYDAJ	PREVOD NA UCET	16	46244	POJISTNE	UV	84126734
655540	2241	1997-04-06	VYDAJ	PREVOD NA UCET	16	50507	POJISTNE	UV	84126734
655541	2241	1997-05-06	VYDAJ	PREVOD NA UCET	16	51679	POJISTNE	UV	84126734
655542	2241	1997-06-06	VYDAJ	PREVOD NA UCET	16	54559	POJISTNE	UV	84126734
655543	2241	1997-07-06	VYDAJ	PREVOD NA UCET	16	49069	POJISTNE	UV	84126734
655544	2241	1997-08-06	VYDAJ	PREVOD NA UCET	16	52580	POJISTNE	UV	84126734
655545	2241	1997-09-06	VYDAJ	PREVOD NA UCET	16	49451	POJISTNE	UV	84126734
655546	2241	1997-10-06	VYDAJ	PREVOD NA UCET	16	50717	POJISTNE	UV	84126734
655547	2241	1997-11-06	VYDAJ	PREVOD NA UCET	16	51487	POJISTNE	UV	84126734
655548	2241	1997-12-06	VYDAJ	PREVOD NA UCET	16	55667	POJISTNE	UV	84126734
655549	2241	1998-01-06	VYDAJ	PREVOD NA UCET	16	56477	POJISTNE	UV	84126734
655550	2241	1998-02-06	VYDAJ	PREVOD NA UCET	16	47752	POJISTNE	UV	84126734
655551	2241	1998-03-06	VYDAJ	PREVOD NA UCET	16	54723	POJISTNE	UV	84126734
655552	2241	1998-04-06	VYDAJ	PREVOD NA UCET	16	51546	POJISTNE	UV	84126734
655553	2241	1998-05-06	VYDAJ	PREVOD NA UCET	16	55233	POJISTNE	UV	84126734
655554	2241	1998-06-06	VYDAJ	PREVOD NA UCET	16	61533	POJISTNE	UV	84126734
655555	2241	1998-07-06	VYDAJ	PREVOD NA UCET	16	51603	POJISTNE	UV	84126734
655556	2241	1998-08-06	VYDAJ	PREVOD NA UCET	16	58240	POJISTNE	UV	84126734
655557	2241	1998-09-06	VYDAJ	PREVOD NA UCET	16	64051	POJISTNE	UV	84126734
655558	2241	1998-10-06	VYDAJ	PREVOD NA UCET	16	61151	POJISTNE	UV	84126734
655559	2241	1998-11-06	VYDAJ	PREVOD NA UCET	16	57449	POJISTNE	UV	84126734
655560	2241	1998-12-06	VYDAJ	PREVOD NA UCET	16	59851	POJISTNE	UV	84126734
655562	2241	1994-06-29	VYDAJ	VYBER	14400	25545	\N	\N	\N
655563	2241	1995-06-08	VYDAJ	VYBER	19680	27952	\N	\N	\N
655565	2241	1997-06-11	VYDAJ	VYBER	6400	58535	\N	\N	\N
655566	2241	1998-06-14	VYDAJ	VYBER	6240	56069	\N	\N	\N
655568	2241	1994-01-12	VYDAJ	VYBER	2880	28956	\N	\N	\N
655570	2241	1996-01-13	VYDAJ	VYBER	12320	31757	\N	\N	\N
655571	2241	1997-01-03	VYDAJ	VYBER	2560	46705	\N	\N	\N
655572	2241	1998-01-10	VYDAJ	VYBER	6080	54981	\N	\N	\N
655573	2241	1993-12-26	VYDAJ	VYBER	1760	31463	\N	\N	\N
655574	2241	1994-12-07	VYDAJ	VYBER	4000	41055	\N	\N	\N
655575	2241	1995-12-21	VYDAJ	VYBER	960	43651	\N	\N	\N
655576	2241	1996-12-26	VYDAJ	VYBER	3360	50023	\N	\N	\N
655577	2241	1997-12-11	VYDAJ	VYBER	800	65243	\N	\N	\N
655578	2241	1998-12-01	VYDAJ	VYBER	1600	59867	\N	\N	\N
655585	2241	1994-01-04	VYDAJ	VYBER	720	30868	\N	\N	\N
655586	2241	1994-01-25	VYDAJ	VYBER	3120	16956	\N	\N	\N
655587	2241	1994-01-16	VYDAJ	VYBER	2520	24756	\N	\N	\N
655588	2241	1994-01-25	VYDAJ	VYBER	2040	20076	\N	\N	\N
655589	2241	1994-01-13	VYDAJ	VYBER	1680	27276	\N	\N	\N
655590	2241	1994-01-25	VYDAJ	VYBER	2640	22116	\N	\N	\N
655591	2241	1995-01-30	VYDAJ	VYBER	3000	15604	\N	\N	\N
655592	2241	1995-01-03	VYDAJ	VYBER	2040	25636	\N	\N	\N
655593	2241	1995-01-06	VYDAJ	VYBER	1320	24316	\N	\N	\N
655594	2241	1995-01-18	VYDAJ	VYBER	2520	21684	\N	\N	\N
655595	2241	1995-01-13	VYDAJ	VYBER	3000	24204	\N	\N	\N
655596	2241	1995-01-29	VYDAJ	VYBER	1920	18604	\N	\N	\N
655597	2241	1996-01-21	VYDAJ	VYBER	2880	22157	\N	\N	\N
655598	2241	1996-01-16	VYDAJ	VYBER	2040	27197	\N	\N	\N
655599	2241	1996-01-22	VYDAJ	VYBER	1080	21077	\N	\N	\N
655600	2241	1996-01-23	VYDAJ	VYBER	960	20117	\N	\N	\N
655601	2241	1996-01-19	VYDAJ	VYBER	2160	25037	\N	\N	\N
655602	2241	1996-01-29	VYDAJ	VYBER	2400	22417	\N	\N	\N
655603	2241	1997-01-16	VYDAJ	VYBER	960	48393	\N	\N	\N
655604	2241	1997-01-02	VYDAJ	VYBER	960	49265	\N	\N	\N
655605	2241	1997-01-20	VYDAJ	VYBER	960	48933	\N	\N	\N
655606	2241	1997-01-27	VYDAJ	VYBER	2040	45453	\N	\N	\N
655607	2241	1997-01-20	VYDAJ	VYBER	1440	47493	\N	\N	\N
655608	2241	1997-01-12	VYDAJ	VYBER	1920	49353	\N	\N	\N
655609	2241	1998-01-28	VYDAJ	VYBER	2640	47561	\N	\N	\N
655610	2241	1998-01-12	VYDAJ	VYBER	1200	53781	\N	\N	\N
655611	2241	1998-01-19	VYDAJ	VYBER	3480	50201	\N	\N	\N
655612	2241	1998-01-14	VYDAJ	VYBER	720	55361	\N	\N	\N
655613	2241	1998-01-16	VYDAJ	VYBER	1680	53681	\N	\N	\N
655614	2241	1998-01-03	VYDAJ	VYBER	1080	56493	\N	\N	\N
655615	2241	1993-12-13	VYDAJ	VYBER	1440	33223	\N	\N	\N
655616	2241	1993-12-09	VYDAJ	VYBER	4320	41663	\N	\N	\N
655617	2241	1993-10-02	VYDAJ	VYBER	4680	24671	\N	\N	\N
655619	2241	1993-09-12	VYDAJ	VYBER	1560	29244	\N	\N	\N
655620	2241	1994-08-20	VYDAJ	VYBER	3240	26790	\N	\N	\N
655621	2241	1994-10-30	VYDAJ	VYBER	1080	33871	\N	\N	\N
655622	2241	1994-02-02	VYDAJ	VYBER	4080	12974	\N	\N	\N
655623	2241	1995-01-06	VYDAJ	VYBER	1680	22620	\N	\N	\N
655624	2241	1995-01-26	VYDAJ	VYBER	3960	17724	\N	\N	\N
655625	2241	1996-09-05	VYDAJ	VYBER	5040	36498	\N	\N	\N
655626	2241	1996-01-14	VYDAJ	VYBER	2520	29237	\N	\N	\N
655627	2241	1996-06-08	VYDAJ	VYBER	4680	51071	\N	\N	\N
655628	2241	1996-07-22	VYDAJ	VYBER	3960	39540	\N	\N	\N
655630	2241	1997-03-04	VYDAJ	VYBER	4440	46260	\N	\N	\N
655631	2241	1997-06-16	VYDAJ	VYBER	4560	53975	\N	\N	\N
655632	2241	1998-07-31	VYDAJ	VYBER	3360	58256	\N	\N	\N
655633	2241	1998-03-31	VYDAJ	VYBER	5760	57082	\N	\N	\N
655634	2241	1998-04-05	VYDAJ	VYBER	5520	51562	\N	\N	\N
655635	2241	1998-06-17	VYDAJ	VYBER	2160	53909	\N	\N	\N
655636	2241	1998-10-19	VYDAJ	VYBER	1800	57235	\N	\N	\N
655637	2241	1998-09-26	VYDAJ	VYBER	4320	60915	\N	\N	\N
655638	2241	1998-07-06	VYDAJ	VYBER	2520	51619	\N	\N	\N
655646	2241	1993-07-31	VYDAJ	VYBER	15	28868	SLUZBY	\N	\N
655647	2241	1993-08-31	VYDAJ	VYBER	15	25936	SLUZBY	\N	\N
655648	2241	1993-09-30	VYDAJ	VYBER	15	29351	SLUZBY	\N	\N
655649	2241	1993-10-31	VYDAJ	VYBER	15	27040	SLUZBY	\N	\N
655650	2241	1993-11-30	VYDAJ	VYBER	15	31823	SLUZBY	\N	\N
655651	2241	1993-12-31	VYDAJ	VYBER	15	31588	SLUZBY	\N	\N
655652	2241	1994-01-31	VYDAJ	VYBER	15	17054	SLUZBY	\N	\N
655653	2241	1994-02-28	VYDAJ	VYBER	15	23020	SLUZBY	\N	\N
655654	2241	1994-03-31	VYDAJ	VYBER	15	29694	SLUZBY	\N	\N
655655	2241	1994-04-30	VYDAJ	VYBER	15	32682	SLUZBY	\N	\N
655656	2241	1994-05-31	VYDAJ	VYBER	15	36185	SLUZBY	\N	\N
655657	2241	1994-06-30	VYDAJ	VYBER	15	25690	SLUZBY	\N	\N
655658	2241	1994-07-31	VYDAJ	VYBER	15	28662	SLUZBY	\N	\N
655659	2241	1994-08-31	VYDAJ	VYBER	15	26895	SLUZBY	\N	\N
655660	2241	1994-09-30	VYDAJ	VYBER	15	33283	SLUZBY	\N	\N
655661	2241	1994-10-31	VYDAJ	VYBER	15	34002	SLUZBY	\N	\N
655662	2241	1994-11-30	VYDAJ	VYBER	15	33095	SLUZBY	\N	\N
655663	2241	1994-12-31	VYDAJ	VYBER	15	27676	SLUZBY	\N	\N
655664	2241	1995-01-31	VYDAJ	VYBER	15	15688	SLUZBY	\N	\N
655665	2241	1995-02-28	VYDAJ	VYBER	15	22524	SLUZBY	\N	\N
655666	2241	1995-03-31	VYDAJ	VYBER	15	27688	SLUZBY	\N	\N
655667	2241	1995-04-30	VYDAJ	VYBER	15	31473	SLUZBY	\N	\N
655668	2241	1995-05-31	VYDAJ	VYBER	15	30272	SLUZBY	\N	\N
655669	2241	1995-06-30	VYDAJ	VYBER	15	23538	SLUZBY	\N	\N
655670	2241	1995-07-31	VYDAJ	VYBER	15	24604	SLUZBY	\N	\N
655671	2241	1995-08-31	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
655672	2241	1995-09-30	VYDAJ	VYBER	15	31753	SLUZBY	\N	\N
655673	2241	1995-10-31	VYDAJ	VYBER	15	31551	SLUZBY	\N	\N
655674	2241	1995-11-30	VYDAJ	VYBER	15	34251	SLUZBY	\N	\N
655675	2241	1995-12-31	VYDAJ	VYBER	15	39509	SLUZBY	\N	\N
655676	2241	1996-01-31	VYDAJ	VYBER	15	22535	SLUZBY	\N	\N
655677	2241	1996-02-29	VYDAJ	VYBER	15	27298	SLUZBY	\N	\N
655678	2241	1996-03-31	VYDAJ	VYBER	15	31781	SLUZBY	\N	\N
655679	2241	1996-04-30	VYDAJ	VYBER	15	34080	SLUZBY	\N	\N
655680	2241	1996-05-31	VYDAJ	VYBER	15	38391	SLUZBY	\N	\N
655681	2241	1996-06-30	VYDAJ	VYBER	15	40632	SLUZBY	\N	\N
655682	2241	1996-07-31	VYDAJ	VYBER	15	39707	SLUZBY	\N	\N
655683	2241	1996-08-31	VYDAJ	VYBER	15	41538	SLUZBY	\N	\N
655684	2241	1996-09-30	VYDAJ	VYBER	15	43025	SLUZBY	\N	\N
655685	2241	1996-10-31	VYDAJ	VYBER	15	46270	SLUZBY	\N	\N
655686	2241	1996-11-30	VYDAJ	VYBER	15	45423	SLUZBY	\N	\N
655687	2241	1996-12-31	VYDAJ	VYBER	15	50225	SLUZBY	\N	\N
655688	2241	1997-01-31	VYDAJ	VYBER	15	45641	SLUZBY	\N	\N
655689	2241	1997-02-28	VYDAJ	VYBER	15	50700	SLUZBY	\N	\N
655690	2241	1997-03-31	VYDAJ	VYBER	15	50523	SLUZBY	\N	\N
655691	2241	1997-04-30	VYDAJ	VYBER	15	51695	SLUZBY	\N	\N
655692	2241	1997-05-31	VYDAJ	VYBER	15	54575	SLUZBY	\N	\N
655693	2241	1997-06-30	VYDAJ	VYBER	15	49085	SLUZBY	\N	\N
655694	2241	1997-07-31	VYDAJ	VYBER	15	53556	SLUZBY	\N	\N
655695	2241	1997-08-31	VYDAJ	VYBER	15	49467	SLUZBY	\N	\N
655696	2241	1997-09-30	VYDAJ	VYBER	15	50733	SLUZBY	\N	\N
655697	2241	1997-10-31	VYDAJ	VYBER	15	51503	SLUZBY	\N	\N
655698	2241	1997-11-30	VYDAJ	VYBER	15	55683	SLUZBY	\N	\N
655699	2241	1997-12-31	VYDAJ	VYBER	15	57573	SLUZBY	\N	\N
655700	2241	1998-01-31	VYDAJ	VYBER	15	47768	SLUZBY	\N	\N
655701	2241	1998-02-28	VYDAJ	VYBER	15	54739	SLUZBY	\N	\N
655702	2241	1998-03-31	VYDAJ	VYBER	15	62842	SLUZBY	\N	\N
655703	2241	1998-04-30	VYDAJ	VYBER	15	55249	SLUZBY	\N	\N
655704	2241	1998-05-31	VYDAJ	VYBER	15	61549	SLUZBY	\N	\N
655705	2241	1998-06-30	VYDAJ	VYBER	15	54139	SLUZBY	\N	\N
655706	2241	1998-07-31	VYDAJ	VYBER	15	61616	SLUZBY	\N	\N
655707	2241	1998-08-31	VYDAJ	VYBER	15	64067	SLUZBY	\N	\N
655708	2241	1998-09-30	VYDAJ	VYBER	15	61167	SLUZBY	\N	\N
655709	2241	1998-10-31	VYDAJ	VYBER	15	57465	SLUZBY	\N	\N
655710	2241	1998-11-30	VYDAJ	VYBER	15	61467	SLUZBY	\N	\N
655711	2241	1993-03-10	PRIJEM	VKLAD	8700	20484	\N	\N	\N
655712	2241	1993-04-09	VYDAJ	VYBER	4500	27629	\N	\N	\N
655713	2241	1993-05-09	VYDAJ	VYBER	6400	32920	\N	\N	\N
655714	2241	1993-06-08	VYDAJ	VYBER	15200	35227	\N	\N	\N
655715	2241	1993-07-08	VYDAJ	VYBER	11200	35756	\N	\N	\N
655716	2241	1993-08-07	VYDAJ	VYBER	7600	32836	\N	\N	\N
655717	2241	1993-09-06	PRIJEM	VKLAD	300	26236	\N	\N	\N
655718	2241	1993-10-06	VYDAJ	VYBER	2300	22355	\N	\N	\N
655719	2241	1993-11-05	PRIJEM	VKLAD	100	27140	\N	\N	\N
655720	2241	1993-12-05	VYDAJ	VYBER	3200	28623	\N	\N	\N
655721	2241	1994-01-04	VYDAJ	VYBER	3600	27268	\N	\N	\N
655722	2241	1994-02-03	PRIJEM	VKLAD	5400	18374	\N	\N	\N
655723	2241	1994-03-05	PRIJEM	VKLAD	2000	25020	\N	\N	\N
655724	2241	1994-04-04	VYDAJ	VYBER	1700	27994	\N	\N	\N
655725	2241	1994-05-04	VYDAJ	VYBER	1200	31482	\N	\N	\N
655726	2241	1994-06-03	VYDAJ	VYBER	6600	29585	\N	\N	\N
655727	2241	1994-07-03	VYDAJ	VYBER	1700	23990	\N	\N	\N
655728	2241	1994-08-02	VYDAJ	VYBER	3200	25462	\N	\N	\N
655729	2241	1994-09-01	PRIJEM	VKLAD	1700	28595	\N	\N	\N
655730	2241	1994-10-01	VYDAJ	VYBER	2900	30383	\N	\N	\N
655731	2241	1994-10-31	VYDAJ	VYBER	5600	28402	\N	\N	\N
655732	2241	1994-11-30	VYDAJ	VYBER	5400	27695	\N	\N	\N
655733	2241	1994-12-30	VYDAJ	VYBER	6500	27555	\N	\N	\N
655734	2241	1995-01-29	PRIJEM	VKLAD	2800	20524	\N	\N	\N
655735	2241	1995-02-28	PRIJEM	VKLAD	2200	22456	\N	\N	\N
655736	2241	1995-03-30	PRIJEM	VKLAD	500	27592	\N	\N	\N
655737	2241	1995-04-29	VYDAJ	VYBER	900	31356	\N	\N	\N
655738	2241	1995-05-29	VYDAJ	VYBER	5900	30141	\N	\N	\N
655739	2241	1995-06-28	PRIJEM	VKLAD	2500	23452	\N	\N	\N
655740	2241	1995-07-28	VYDAJ	VYBER	3600	24506	\N	\N	\N
655741	2241	1995-08-27	VYDAJ	VYBER	3100	26072	\N	\N	\N
655742	2241	1995-09-26	PRIJEM	VKLAD	900	31642	\N	\N	\N
655743	2241	1995-10-26	VYDAJ	VYBER	4900	31421	\N	\N	\N
655744	2241	1995-11-25	VYDAJ	VYBER	2000	34119	\N	\N	\N
655745	2241	1995-12-25	VYDAJ	VYBER	4300	39351	\N	\N	\N
655746	2241	1996-01-24	PRIJEM	VKLAD	4700	24817	\N	\N	\N
655747	2241	1996-02-23	PRIJEM	VKLAD	100	27203	\N	\N	\N
655748	2241	1996-03-24	VYDAJ	VYBER	200	31666	\N	\N	\N
655749	2241	1996-04-23	VYDAJ	VYBER	2400	33949	\N	\N	\N
655750	2241	1996-05-23	VYDAJ	VYBER	400	38248	\N	\N	\N
655751	2241	1996-06-22	VYDAJ	VYBER	3600	40471	\N	\N	\N
655752	2241	1996-07-22	VYDAJ	VYBER	1700	43500	\N	\N	\N
655753	2241	1996-08-21	VYDAJ	VYBER	2900	41375	\N	\N	\N
655754	2241	1996-09-20	PRIJEM	VKLAD	1800	42866	\N	\N	\N
655755	2241	1996-10-20	VYDAJ	VYBER	1500	46093	\N	\N	\N
655756	2241	1996-11-19	VYDAJ	VYBER	5600	45238	\N	\N	\N
655757	2241	1996-12-19	VYDAJ	VYBER	2400	53383	\N	\N	\N
655758	2241	1997-01-18	PRIJEM	VKLAD	1500	49893	\N	\N	\N
655759	2241	1997-02-17	PRIJEM	VKLAD	300	50509	\N	\N	\N
655760	2241	1997-03-19	VYDAJ	VYBER	500	50328	\N	\N	\N
655761	2241	1997-04-18	VYDAJ	VYBER	3600	51491	\N	\N	\N
655762	2241	1997-05-18	VYDAJ	VYBER	1900	54363	\N	\N	\N
655763	2241	1997-06-17	VYDAJ	VYBER	5100	48875	\N	\N	\N
655764	2241	1997-07-17	VYDAJ	VYBER	300	53353	\N	\N	\N
655765	2241	1997-08-16	VYDAJ	VYBER	7900	49264	\N	\N	\N
655766	2241	1997-09-15	VYDAJ	VYBER	3500	50535	\N	\N	\N
655767	2241	1997-10-15	VYDAJ	VYBER	4000	51301	\N	\N	\N
655768	2241	1997-11-14	VYDAJ	VYBER	600	55471	\N	\N	\N
655769	2241	1997-12-14	VYDAJ	VYBER	7900	57343	\N	\N	\N
655770	2241	1998-01-13	PRIJEM	VKLAD	2300	56081	\N	\N	\N
655771	2241	1998-02-12	PRIJEM	VKLAD	2200	54536	\N	\N	\N
655772	2241	1998-03-14	PRIJEM	VKLAD	3300	62607	\N	\N	\N
655773	2241	1998-04-13	VYDAJ	VYBER	1100	55030	\N	\N	\N
655774	2241	1998-05-13	PRIJEM	VKLAD	1500	61317	\N	\N	\N
655775	2241	1998-06-12	VYDAJ	VYBER	9600	62309	\N	\N	\N
655776	2241	1998-07-12	PRIJEM	VKLAD	5200	61387	\N	\N	\N
655777	2241	1998-08-11	PRIJEM	VKLAD	1000	63824	\N	\N	\N
655778	2241	1998-09-10	VYDAJ	VYBER	3400	65235	\N	\N	\N
655779	2241	1998-10-10	VYDAJ	VYBER	6700	59035	\N	\N	\N
655780	2241	1998-11-09	VYDAJ	VYBER	800	68233	\N	\N	\N
655781	2241	1998-12-09	VYDAJ	VYBER	6500	64182	\N	\N	\N
655852	2242	1993-02-25	PRIJEM	VKLAD	300	300	\N	\N	\N
655855	2242	1993-03-06	PRIJEM	PREVOD Z UCTU	43493	43793	\N	CD	7862908
655856	2242	1993-04-06	PRIJEM	PREVOD Z UCTU	43493	79710	\N	CD	7862908
655857	2242	1993-05-06	PRIJEM	PREVOD Z UCTU	43493	96366	\N	CD	7862908
655858	2242	1993-06-06	PRIJEM	PREVOD Z UCTU	65240	126832	\N	CD	7862908
655859	2242	1993-07-06	PRIJEM	PREVOD Z UCTU	43493	102448	\N	CD	7862908
655860	2242	1993-08-06	PRIJEM	PREVOD Z UCTU	43493	96058	\N	CD	7862908
655861	2242	1993-09-06	PRIJEM	PREVOD Z UCTU	43493	96918	\N	CD	7862908
655862	2242	1993-10-06	PRIJEM	PREVOD Z UCTU	43493	93979	\N	CD	7862908
655863	2242	1993-11-06	PRIJEM	PREVOD Z UCTU	43493	98630	\N	CD	7862908
655864	2242	1993-12-06	PRIJEM	PREVOD Z UCTU	65240	112041	\N	CD	7862908
655865	2242	1994-01-06	PRIJEM	PREVOD Z UCTU	43493	79423	\N	CD	7862908
655866	2242	1994-02-06	PRIJEM	PREVOD Z UCTU	43493	69076	\N	CD	7862908
655867	2242	1994-03-06	PRIJEM	PREVOD Z UCTU	43493	73986	\N	CD	7862908
655868	2242	1994-04-06	PRIJEM	PREVOD Z UCTU	43493	79543	\N	CD	7862908
655869	2242	1994-05-06	PRIJEM	PREVOD Z UCTU	43493	84931	\N	CD	7862908
655870	2242	1994-06-06	PRIJEM	PREVOD Z UCTU	65240	113185	\N	CD	7862908
655871	2242	1994-07-06	PRIJEM	PREVOD Z UCTU	43493	64877	\N	CD	7862908
655872	2242	1994-08-06	PRIJEM	PREVOD Z UCTU	43493	83115	\N	CD	7862908
655873	2242	1994-09-06	PRIJEM	PREVOD Z UCTU	43493	83211	\N	CD	7862908
655874	2242	1994-10-06	PRIJEM	PREVOD Z UCTU	43493	91606	\N	CD	7862908
655875	2242	1994-11-06	PRIJEM	PREVOD Z UCTU	43493	85109	\N	CD	7862908
655876	2242	1994-12-06	PRIJEM	PREVOD Z UCTU	65240	83744	\N	CD	7862908
655877	2242	1995-01-06	PRIJEM	PREVOD Z UCTU	43493	63694	\N	CD	7862908
655878	2242	1995-02-06	PRIJEM	PREVOD Z UCTU	43493	63666	\N	CD	7862908
655879	2242	1995-03-06	PRIJEM	PREVOD Z UCTU	43493	77577	\N	CD	7862908
655880	2242	1995-04-06	PRIJEM	PREVOD Z UCTU	43493	79390	\N	CD	7862908
655881	2242	1995-05-06	PRIJEM	PREVOD Z UCTU	43493	82311	\N	CD	7862908
655882	2242	1995-06-06	PRIJEM	PREVOD Z UCTU	65240	110633	\N	CD	7862908
655883	2242	1995-07-06	PRIJEM	PREVOD Z UCTU	43493	73321	\N	CD	7862908
655884	2242	1995-08-06	PRIJEM	PREVOD Z UCTU	43493	73656	\N	CD	7862908
655885	2242	1995-09-06	PRIJEM	PREVOD Z UCTU	43493	87602	\N	CD	7862908
655886	2242	1995-10-06	PRIJEM	PREVOD Z UCTU	43493	82344	\N	CD	7862908
655887	2242	1995-11-06	PRIJEM	PREVOD Z UCTU	43493	64456	\N	CD	7862908
655888	2242	1995-12-06	PRIJEM	PREVOD Z UCTU	65240	85330	\N	CD	7862908
655889	2242	1996-01-06	PRIJEM	PREVOD Z UCTU	43493	73709	\N	CD	7862908
655890	2242	1996-02-06	PRIJEM	PREVOD Z UCTU	43493	64813	\N	CD	7862908
655891	2242	1996-03-06	PRIJEM	PREVOD Z UCTU	43493	66470	\N	CD	7862908
655892	2242	1996-04-06	PRIJEM	PREVOD Z UCTU	43493	76132	\N	CD	7862908
655893	2242	1996-05-06	PRIJEM	PREVOD Z UCTU	43493	89474	\N	CD	7862908
655894	2242	1996-06-06	PRIJEM	PREVOD Z UCTU	65240	113095	\N	CD	7862908
655895	2242	1996-07-06	PRIJEM	PREVOD Z UCTU	43493	65094	\N	CD	7862908
655896	2242	1996-08-06	PRIJEM	PREVOD Z UCTU	43493	72911	\N	CD	7862908
655897	2242	1996-09-06	PRIJEM	PREVOD Z UCTU	43493	67697	\N	CD	7862908
655898	2242	1996-10-06	PRIJEM	PREVOD Z UCTU	43493	80791	\N	CD	7862908
655899	2242	1996-11-06	PRIJEM	PREVOD Z UCTU	43493	72981	\N	CD	7862908
655900	2242	1996-12-06	PRIJEM	PREVOD Z UCTU	65240	105734	\N	CD	7862908
655901	2242	1997-01-06	PRIJEM	PREVOD Z UCTU	43493	75997	\N	CD	7862908
655902	2242	1997-02-06	PRIJEM	PREVOD Z UCTU	43493	64653	\N	CD	7862908
655903	2242	1997-03-06	PRIJEM	PREVOD Z UCTU	43493	102818	\N	CD	7862908
655904	2242	1997-04-06	PRIJEM	PREVOD Z UCTU	43493	80336	\N	CD	7862908
655905	2242	1997-05-06	PRIJEM	PREVOD Z UCTU	43493	88474	\N	CD	7862908
655906	2242	1997-06-06	PRIJEM	PREVOD Z UCTU	65240	112401	\N	CD	7862908
655907	2242	1997-07-06	PRIJEM	PREVOD Z UCTU	43493	96443	\N	CD	7862908
655908	2242	1997-08-06	PRIJEM	PREVOD Z UCTU	43493	93564	\N	CD	7862908
655909	2242	1997-09-06	PRIJEM	PREVOD Z UCTU	43493	90770	\N	CD	7862908
655910	2242	1997-10-06	PRIJEM	PREVOD Z UCTU	43493	93965	\N	CD	7862908
655911	2242	1997-11-06	PRIJEM	PREVOD Z UCTU	43493	96470	\N	CD	7862908
655912	2242	1997-12-06	PRIJEM	PREVOD Z UCTU	65240	102331	\N	CD	7862908
655913	2242	1998-01-06	PRIJEM	PREVOD Z UCTU	43493	91552	\N	CD	7862908
655914	2242	1998-02-06	PRIJEM	PREVOD Z UCTU	43493	72660	\N	CD	7862908
655915	2242	1998-03-06	PRIJEM	PREVOD Z UCTU	43493	67084	\N	CD	7862908
655916	2242	1998-04-06	PRIJEM	PREVOD Z UCTU	43493	76465	\N	CD	7862908
655917	2242	1998-05-06	PRIJEM	PREVOD Z UCTU	43493	78371	\N	CD	7862908
655918	2242	1998-06-06	PRIJEM	PREVOD Z UCTU	65240	97029	\N	CD	7862908
655919	2242	1998-07-06	PRIJEM	PREVOD Z UCTU	43493	65057	\N	CD	7862908
655920	2242	1998-08-06	PRIJEM	PREVOD Z UCTU	43493	64311	\N	CD	7862908
655921	2242	1998-09-06	PRIJEM	PREVOD Z UCTU	43493	67745	\N	CD	7862908
655922	2242	1998-10-06	PRIJEM	PREVOD Z UCTU	43493	71476	\N	CD	7862908
655923	2242	1998-11-06	PRIJEM	PREVOD Z UCTU	43493	79046	\N	CD	7862908
655924	2242	1998-12-06	PRIJEM	PREVOD Z UCTU	65240	103689	\N	CD	7862908
655932	2242	1993-08-05	VYDAJ	PREVOD NA UCET	5538	52565	SIPO	UV	83031367
655933	2242	1993-09-05	VYDAJ	PREVOD NA UCET	5538	53425	SIPO	UV	83031367
655934	2242	1993-10-05	VYDAJ	PREVOD NA UCET	5538	50486	SIPO	UV	83031367
655935	2242	1993-11-05	VYDAJ	PREVOD NA UCET	5538	55137	SIPO	UV	83031367
655936	2242	1993-12-05	VYDAJ	PREVOD NA UCET	5538	46801	SIPO	UV	83031367
655937	2242	1994-01-05	VYDAJ	PREVOD NA UCET	5538	40730	SIPO	UV	83031367
655938	2242	1994-02-05	VYDAJ	PREVOD NA UCET	5538	25583	SIPO	UV	83031367
655939	2242	1994-03-05	VYDAJ	PREVOD NA UCET	5538	30493	SIPO	UV	83031367
655940	2242	1994-04-05	VYDAJ	PREVOD NA UCET	5538	36050	SIPO	UV	83031367
655941	2242	1994-05-05	VYDAJ	PREVOD NA UCET	5538	41438	SIPO	UV	83031367
655942	2242	1994-06-05	VYDAJ	PREVOD NA UCET	5538	47945	SIPO	UV	83031367
655943	2242	1994-07-05	VYDAJ	PREVOD NA UCET	5538	21384	SIPO	UV	83031367
655944	2242	1994-08-05	VYDAJ	PREVOD NA UCET	5538	39622	SIPO	UV	83031367
655945	2242	1994-09-05	VYDAJ	PREVOD NA UCET	5538	39718	SIPO	UV	83031367
655946	2242	1994-10-05	VYDAJ	PREVOD NA UCET	5538	48113	SIPO	UV	83031367
655947	2242	1994-11-05	VYDAJ	PREVOD NA UCET	5538	41616	SIPO	UV	83031367
655948	2242	1994-12-05	VYDAJ	PREVOD NA UCET	5538	18504	SIPO	UV	83031367
655949	2242	1995-01-05	VYDAJ	PREVOD NA UCET	5538	20201	SIPO	UV	83031367
655950	2242	1995-02-05	VYDAJ	PREVOD NA UCET	5538	20173	SIPO	UV	83031367
655951	2242	1995-03-05	VYDAJ	PREVOD NA UCET	5538	34084	SIPO	UV	83031367
655952	2242	1995-04-05	VYDAJ	PREVOD NA UCET	5538	35897	SIPO	UV	83031367
655953	2242	1995-05-05	VYDAJ	PREVOD NA UCET	5538	38818	SIPO	UV	83031367
655954	2242	1995-06-05	VYDAJ	PREVOD NA UCET	5538	45393	SIPO	UV	83031367
655955	2242	1995-07-05	VYDAJ	PREVOD NA UCET	5538	29828	SIPO	UV	83031367
655956	2242	1995-08-05	VYDAJ	PREVOD NA UCET	5538	30163	SIPO	UV	83031367
655957	2242	1995-09-05	VYDAJ	PREVOD NA UCET	5538	44109	SIPO	UV	83031367
655958	2242	1995-10-05	VYDAJ	PREVOD NA UCET	5538	38851	SIPO	UV	83031367
655959	2242	1995-11-05	VYDAJ	PREVOD NA UCET	5538	20963	SIPO	UV	83031367
655960	2242	1995-12-05	VYDAJ	PREVOD NA UCET	5538	20090	SIPO	UV	83031367
655961	2242	1996-01-05	VYDAJ	PREVOD NA UCET	5538	30216	SIPO	UV	83031367
655962	2242	1996-02-05	VYDAJ	PREVOD NA UCET	5538	21320	SIPO	UV	83031367
655963	2242	1996-03-05	VYDAJ	PREVOD NA UCET	5538	22977	SIPO	UV	83031367
655964	2242	1996-04-05	VYDAJ	PREVOD NA UCET	5538	32639	SIPO	UV	83031367
655965	2242	1996-05-05	VYDAJ	PREVOD NA UCET	5538	45981	SIPO	UV	83031367
655966	2242	1996-06-05	VYDAJ	PREVOD NA UCET	5538	47855	SIPO	UV	83031367
655967	2242	1996-07-05	VYDAJ	PREVOD NA UCET	5538	21601	SIPO	UV	83031367
655968	2242	1996-08-05	VYDAJ	PREVOD NA UCET	5538	29418	SIPO	UV	83031367
655969	2242	1996-09-05	VYDAJ	PREVOD NA UCET	5538	24204	SIPO	UV	83031367
655970	2242	1996-10-05	VYDAJ	PREVOD NA UCET	5538	37298	SIPO	UV	83031367
655971	2242	1996-11-05	VYDAJ	PREVOD NA UCET	5538	29488	SIPO	UV	83031367
655972	2242	1996-12-05	VYDAJ	PREVOD NA UCET	5538	40494	SIPO	UV	83031367
655973	2242	1997-01-05	VYDAJ	PREVOD NA UCET	5538	32504	SIPO	UV	83031367
655974	2242	1997-02-05	VYDAJ	PREVOD NA UCET	5538	21160	SIPO	UV	83031367
655975	2242	1997-03-05	VYDAJ	PREVOD NA UCET	5538	59325	SIPO	UV	83031367
655976	2242	1997-04-05	VYDAJ	PREVOD NA UCET	5538	36843	SIPO	UV	83031367
655977	2242	1997-05-05	VYDAJ	PREVOD NA UCET	5538	44981	SIPO	UV	83031367
655978	2242	1997-06-05	VYDAJ	PREVOD NA UCET	5538	47161	SIPO	UV	83031367
655979	2242	1997-07-05	VYDAJ	PREVOD NA UCET	5538	52950	SIPO	UV	83031367
655980	2242	1997-08-05	VYDAJ	PREVOD NA UCET	5538	50071	SIPO	UV	83031367
655981	2242	1997-09-05	VYDAJ	PREVOD NA UCET	5538	47277	SIPO	UV	83031367
655982	2242	1997-10-05	VYDAJ	PREVOD NA UCET	5538	50472	SIPO	UV	83031367
655983	2242	1997-11-05	VYDAJ	PREVOD NA UCET	5538	52977	SIPO	UV	83031367
655984	2242	1997-12-05	VYDAJ	PREVOD NA UCET	5538	37091	SIPO	UV	83031367
655985	2242	1998-01-05	VYDAJ	PREVOD NA UCET	5538	48059	SIPO	UV	83031367
655986	2242	1998-02-05	VYDAJ	PREVOD NA UCET	5538	29167	SIPO	UV	83031367
655987	2242	1998-03-05	VYDAJ	PREVOD NA UCET	5538	23591	SIPO	UV	83031367
655988	2242	1998-04-05	VYDAJ	PREVOD NA UCET	5538	32972	SIPO	UV	83031367
655989	2242	1998-05-05	VYDAJ	PREVOD NA UCET	5538	34878	SIPO	UV	83031367
655990	2242	1998-06-05	VYDAJ	PREVOD NA UCET	5538	31789	SIPO	UV	83031367
655991	2242	1998-07-05	VYDAJ	PREVOD NA UCET	5538	21564	SIPO	UV	83031367
655992	2242	1998-08-05	VYDAJ	PREVOD NA UCET	5538	20818	SIPO	UV	83031367
655993	2242	1998-09-05	VYDAJ	PREVOD NA UCET	5538	24252	SIPO	UV	83031367
655994	2242	1998-10-05	VYDAJ	PREVOD NA UCET	5538	27983	SIPO	UV	83031367
655995	2242	1998-11-05	VYDAJ	PREVOD NA UCET	5538	35553	SIPO	UV	83031367
655996	2242	1998-12-05	VYDAJ	PREVOD NA UCET	5538	38449	SIPO	UV	83031367
655997	2242	1993-11-06	VYBER	VYBER	24234	74396	\N	\N	\N
655998	2242	1994-06-08	VYBER	VYBER	20534	51551	\N	\N	\N
655999	2242	1994-11-13	VYBER	VYBER	23912	61197	\N	\N	\N
656000	2242	1994-12-02	VYBER	VYBER	16853	24042	\N	\N	\N
656001	2242	1994-02-08	VYBER	VYBER	18696	50380	\N	\N	\N
656002	2242	1994-10-11	VYBER	VYBER	14081	77525	\N	\N	\N
656003	2242	1994-06-16	VYBER	VYBER	23269	28282	\N	\N	\N
656004	2242	1995-12-27	VYBER	VYBER	20266	35564	\N	\N	\N
656005	2242	1995-04-05	VYBER	VYBER	5948	41435	\N	\N	\N
656006	2242	1995-10-22	VYBER	VYBER	8417	40427	\N	\N	\N
656007	2242	1995-05-03	VYBER	VYBER	5147	44356	\N	\N	\N
656008	2242	1995-09-27	VYBER	VYBER	10833	44169	\N	\N	\N
656010	2242	1995-11-14	VYBER	VYBER	17741	25515	\N	\N	\N
656011	2242	1995-06-11	VYBER	VYBER	15958	77775	\N	\N	\N
656012	2242	1995-07-15	VYBER	VYBER	2139	46855	\N	\N	\N
656013	2242	1995-07-10	VYBER	VYBER	24327	48994	\N	\N	\N
656017	2242	1996-07-06	VYBER	VYBER	16358	48736	\N	\N	\N
656019	2242	1996-03-08	VYBER	VYBER	8928	57542	\N	\N	\N
656022	2242	1996-02-22	VYBER	VYBER	9920	28393	\N	\N	\N
656023	2242	1996-06-12	VYBER	VYBER	13075	27020	\N	\N	\N
656024	2242	1998-07-14	VYBER	VYBER	14166	50891	\N	\N	\N
656025	2242	1998-02-09	VYBER	VYBER	9974	62686	\N	\N	\N
656026	2242	1998-02-28	VYBER	VYBER	5761	51159	\N	\N	\N
656027	2242	1998-01-09	VYBER	VYBER	5001	86551	\N	\N	\N
656029	2242	1998-09-25	VYBER	VYBER	11320	56425	\N	\N	\N
656032	2242	1995-06-15	VYDAJ	VYBER	30600	47175	\N	\N	\N
656034	2242	1997-06-13	VYDAJ	VYBER	10200	102201	\N	\N	\N
656035	2242	1998-06-09	VYDAJ	VYBER	49800	47229	\N	\N	\N
656037	2242	1994-01-07	VYDAJ	VYBER	3900	73123	\N	\N	\N
656040	2242	1997-01-24	VYDAJ	VYBER	15900	38197	\N	\N	\N
656042	2242	1993-12-16	VYDAJ	VYBER	6300	70241	\N	\N	\N
656043	2242	1994-12-26	VYDAJ	VYBER	2400	34244	\N	\N	\N
656045	2242	1996-12-23	VYDAJ	VYBER	7500	56034	\N	\N	\N
656046	2242	1997-12-13	VYDAJ	VYBER KARTOU	2100	100231	\N	\N	0
656047	2242	1998-12-06	VYDAJ	VYBER KARTOU	3900	99789	\N	\N	0
656054	2242	1994-01-06	VYDAJ	VYBER	2400	77023	\N	\N	\N
656055	2242	1994-01-22	VYDAJ	VYBER	6600	41723	\N	\N	\N
656056	2242	1994-01-26	VYDAJ	VYBER	6000	30923	\N	\N	\N
656057	2242	1994-01-05	VYDAJ	VYBER	4800	35930	\N	\N	\N
656058	2242	1994-01-18	VYDAJ	VYBER	4200	68923	\N	\N	\N
656059	2242	1994-01-23	VYDAJ	VYBER	4800	36923	\N	\N	\N
656060	2242	1995-01-02	VYDAJ	VYBER	8700	25739	\N	\N	\N
656061	2242	1995-01-07	VYDAJ	VYBER	6900	56794	\N	\N	\N
656062	2242	1995-01-16	VYDAJ	VYBER	6600	25594	\N	\N	\N
656064	2242	1995-01-11	VYDAJ	VYBER	8400	48394	\N	\N	\N
656066	2242	1996-01-16	VYDAJ	VYBER	4500	36609	\N	\N	\N
656067	2242	1996-01-25	VYDAJ	VYBER	4200	26709	\N	\N	\N
656068	2242	1996-01-18	VYDAJ	VYBER	2100	34509	\N	\N	\N
656071	2242	1996-01-20	VYDAJ	VYBER	3600	30909	\N	\N	\N
656072	2242	1997-01-13	VYDAJ	VYBER	4500	71497	\N	\N	\N
656073	2242	1997-01-20	VYDAJ	VYBER	8100	58297	\N	\N	\N
656074	2242	1997-01-16	VYDAJ	VYBER	5100	66397	\N	\N	\N
656076	2242	1997-01-24	VYDAJ	VYBER	6900	31297	\N	\N	\N
656077	2242	1997-01-22	VYDAJ	VYBER	4200	54097	\N	\N	\N
656078	2242	1998-01-19	VYDAJ	VYBER KARTOU	2100	72451	\N	\N	0
656079	2242	1998-01-20	VYDAJ	VYBER KARTOU	2700	69751	\N	\N	0
656080	2242	1998-01-17	VYDAJ	VYBER KARTOU	3300	74551	\N	\N	0
656081	2242	1998-01-10	VYDAJ	VYBER KARTOU	6900	79651	\N	\N	0
656082	2242	1998-01-28	VYDAJ	VYBER KARTOU	7200	62551	\N	\N	0
656083	2242	1998-01-11	VYDAJ	VYBER KARTOU	1800	77851	\N	\N	0
656087	2242	1993-10-03	VYDAJ	VYBER	3600	56024	\N	\N	\N
656089	2242	1993-07-16	VYDAJ	VYBER	9600	92848	\N	\N	\N
656090	2242	1994-12-20	VYDAJ	VYBER	13800	36644	\N	\N	\N
656091	2242	1994-03-28	VYDAJ	VYBER	4200	41386	\N	\N	\N
656092	2242	1994-09-02	VYDAJ	VYBER	9600	45256	\N	\N	\N
656093	2242	1994-04-28	VYDAJ	VYBER	4200	46743	\N	\N	\N
656094	2242	1994-03-15	VYDAJ	VYBER	11700	62286	\N	\N	\N
656095	2242	1995-10-24	VYDAJ	VYBER	14100	26327	\N	\N	\N
656096	2242	1995-01-16	VYDAJ	VYBER	9300	39094	\N	\N	\N
656099	2242	1996-01-11	VYDAJ	VYBER	10500	63209	\N	\N	\N
656100	2242	1996-10-13	VYDAJ	VYBER	14100	34891	\N	\N	\N
656101	2242	1996-12-26	VYDAJ	VYBER	3000	53034	\N	\N	\N
656102	2242	1996-05-29	VYDAJ	VYBER	4800	53174	\N	\N	\N
656103	2242	1996-08-21	VYDAJ	VYBER	14700	29611	\N	\N	\N
656104	2242	1996-02-09	VYDAJ	VYBER	8100	56713	\N	\N	\N
656105	2242	1997-11-30	VYDAJ	VYBER KARTOU	4500	92329	\N	\N	0
656107	2242	1997-12-05	VYDAJ	VYBER	9900	42629	\N	\N	\N
656108	2242	1998-02-24	VYDAJ	VYBER KARTOU	6000	56686	\N	\N	0
656109	2242	1998-06-01	VYDAJ	VYBER	9000	37327	\N	\N	\N
656110	2242	1998-08-22	VYDAJ	VYBER	9900	54411	\N	\N	\N
656118	2242	1993-07-31	VYDAJ	VYBER	30	58103	SLUZBY	\N	\N
656119	2242	1993-08-31	VYDAJ	VYBER	30	58963	SLUZBY	\N	\N
656120	2242	1993-09-30	VYDAJ	VYBER	30	59624	SLUZBY	\N	\N
656121	2242	1993-10-31	VYDAJ	VYBER	30	60675	SLUZBY	\N	\N
656122	2242	1993-11-30	VYDAJ	VYBER	30	52339	SLUZBY	\N	\N
656123	2242	1993-12-31	VYDAJ	VYBER	30	46268	SLUZBY	\N	\N
656124	2242	1994-01-31	VYDAJ	VYBER	30	31121	SLUZBY	\N	\N
656125	2242	1994-02-28	VYDAJ	VYBER	30	36031	SLUZBY	\N	\N
656126	2242	1994-03-31	VYDAJ	VYBER	30	41588	SLUZBY	\N	\N
656127	2242	1994-04-30	VYDAJ	VYBER	30	46976	SLUZBY	\N	\N
656128	2242	1994-05-31	VYDAJ	VYBER	30	53483	SLUZBY	\N	\N
656129	2242	1994-06-30	VYDAJ	VYBER	30	26922	SLUZBY	\N	\N
656130	2242	1994-07-31	VYDAJ	VYBER	30	45160	SLUZBY	\N	\N
656131	2242	1994-08-31	VYDAJ	VYBER	30	54856	SLUZBY	\N	\N
656132	2242	1994-09-30	VYDAJ	VYBER	30	53651	SLUZBY	\N	\N
656133	2242	1994-10-31	VYDAJ	VYBER	30	47154	SLUZBY	\N	\N
656134	2242	1994-11-30	VYDAJ	VYBER	30	40895	SLUZBY	\N	\N
656135	2242	1994-12-31	VYDAJ	VYBER	30	34439	SLUZBY	\N	\N
656136	2242	1995-01-31	VYDAJ	VYBER	30	25711	SLUZBY	\N	\N
656137	2242	1995-02-28	VYDAJ	VYBER	30	39622	SLUZBY	\N	\N
656138	2242	1995-03-31	VYDAJ	VYBER	30	47383	SLUZBY	\N	\N
656139	2242	1995-04-30	VYDAJ	VYBER	30	49503	SLUZBY	\N	\N
656140	2242	1995-05-31	VYDAJ	VYBER	30	50931	SLUZBY	\N	\N
656141	2242	1995-06-30	VYDAJ	VYBER	30	35366	SLUZBY	\N	\N
656142	2242	1995-07-31	VYDAJ	VYBER	30	35701	SLUZBY	\N	\N
656143	2242	1995-08-31	VYDAJ	VYBER	30	49647	SLUZBY	\N	\N
656144	2242	1995-09-30	VYDAJ	VYBER	30	44389	SLUZBY	\N	\N
656145	2242	1995-10-31	VYDAJ	VYBER	30	26501	SLUZBY	\N	\N
656146	2242	1995-11-30	VYDAJ	VYBER	30	25628	SLUZBY	\N	\N
656147	2242	1995-12-31	VYDAJ	VYBER	30	35754	SLUZBY	\N	\N
656148	2242	1996-01-31	VYDAJ	VYBER	30	26858	SLUZBY	\N	\N
656149	2242	1996-02-29	VYDAJ	VYBER	30	28515	SLUZBY	\N	\N
656150	2242	1996-03-31	VYDAJ	VYBER	30	38177	SLUZBY	\N	\N
656151	2242	1996-04-30	VYDAJ	VYBER	30	51519	SLUZBY	\N	\N
656152	2242	1996-05-31	VYDAJ	VYBER	30	53393	SLUZBY	\N	\N
656153	2242	1996-06-30	VYDAJ	VYBER	30	27139	SLUZBY	\N	\N
656154	2242	1996-07-31	VYDAJ	VYBER	30	34956	SLUZBY	\N	\N
656155	2242	1996-08-31	VYDAJ	VYBER	30	29742	SLUZBY	\N	\N
656156	2242	1996-09-30	VYDAJ	VYBER	30	42836	SLUZBY	\N	\N
656157	2242	1996-10-31	VYDAJ	VYBER	30	35026	SLUZBY	\N	\N
656158	2242	1996-11-30	VYDAJ	VYBER	30	46032	SLUZBY	\N	\N
656159	2242	1996-12-31	VYDAJ	VYBER	30	53242	SLUZBY	\N	\N
656160	2242	1997-01-31	VYDAJ	VYBER	30	31498	SLUZBY	\N	\N
656161	2242	1997-02-28	VYDAJ	VYBER	30	64863	SLUZBY	\N	\N
656162	2242	1997-03-31	VYDAJ	VYBER	30	57981	SLUZBY	\N	\N
656163	2242	1997-04-30	VYDAJ	VYBER	30	80619	SLUZBY	\N	\N
656164	2242	1997-05-31	VYDAJ	VYBER	30	88799	SLUZBY	\N	\N
656165	2242	1997-06-30	VYDAJ	VYBER	30	102588	SLUZBY	\N	\N
656166	2242	1997-07-31	VYDAJ	VYBER	30	96809	SLUZBY	\N	\N
656167	2242	1997-08-31	VYDAJ	VYBER	30	93915	SLUZBY	\N	\N
656168	2242	1997-09-30	VYDAJ	VYBER	30	91110	SLUZBY	\N	\N
656169	2242	1997-10-31	VYDAJ	VYBER	30	94315	SLUZBY	\N	\N
656170	2242	1997-11-30	VYDAJ	VYBER	30	96829	SLUZBY	\N	\N
656171	2242	1997-12-31	VYDAJ	VYBER	30	53597	SLUZBY	\N	\N
656172	2242	1998-01-31	VYDAJ	VYBER	30	34705	SLUZBY	\N	\N
656173	2242	1998-02-28	VYDAJ	VYBER	30	51129	SLUZBY	\N	\N
656174	2242	1998-03-31	VYDAJ	VYBER	30	38510	SLUZBY	\N	\N
656175	2242	1998-04-30	VYDAJ	VYBER	30	40416	SLUZBY	\N	\N
656176	2242	1998-05-31	VYDAJ	VYBER	30	46327	SLUZBY	\N	\N
656177	2242	1998-06-30	VYDAJ	VYBER	30	27102	SLUZBY	\N	\N
656178	2242	1998-07-31	VYDAJ	VYBER	30	26356	SLUZBY	\N	\N
656179	2242	1998-08-31	VYDAJ	VYBER	30	29790	SLUZBY	\N	\N
656180	2242	1998-09-30	VYDAJ	VYBER	30	33521	SLUZBY	\N	\N
656181	2242	1998-10-31	VYDAJ	VYBER	30	41091	SLUZBY	\N	\N
656182	2242	1998-11-30	VYDAJ	VYBER	30	43987	SLUZBY	\N	\N
656183	2242	1993-03-27	VYDAJ	VYBER	7600	36193	\N	\N	\N
656184	2242	1993-04-26	VYDAJ	VYBER	27000	52710	\N	\N	\N
656185	2242	1993-05-26	VYDAJ	VYBER	35000	61366	\N	\N	\N
656186	2242	1993-06-06	VYDAJ	VYBER	39000	87832	\N	\N	\N
656187	2242	1993-06-25	VYDAJ	VYBER	29200	58632	\N	\N	\N
656188	2242	1993-07-25	VYDAJ	VYBER	35000	57848	\N	\N	\N
656189	2242	1993-08-24	VYDAJ	VYBER	37400	58658	\N	\N	\N
656190	2242	1993-09-23	VYDAJ	VYBER	37600	59318	\N	\N	\N
656191	2242	1993-10-23	VYDAJ	VYBER	33600	60379	\N	\N	\N
656192	2242	1993-11-22	VYDAJ	VYBER	22300	52096	\N	\N	\N
656193	2242	1993-12-06	VYDAJ	VYBER	35500	76541	\N	\N	\N
656194	2242	1993-12-22	VYDAJ	VYBER	24200	46041	\N	\N	\N
656195	2242	1994-01-21	VYDAJ	VYBER	20600	48323	\N	\N	\N
656196	2242	1994-02-20	VYDAJ	VYBER	14500	35880	\N	\N	\N
656197	2242	1994-03-22	VYDAJ	VYBER	16700	45586	\N	\N	\N
656198	2242	1994-04-21	VYDAJ	VYBER	28600	50943	\N	\N	\N
656199	2242	1994-05-21	VYDAJ	VYBER	31700	53231	\N	\N	\N
656200	2242	1994-06-06	VYDAJ	VYBER	41100	72085	\N	\N	\N
656201	2242	1994-06-20	VYDAJ	VYBER	1500	26782	\N	\N	\N
656202	2242	1994-07-20	VYDAJ	VYBER	19900	44977	\N	\N	\N
656203	2242	1994-08-19	VYDAJ	VYBER	28500	54615	\N	\N	\N
656204	2242	1994-09-18	VYDAJ	VYBER	29800	53411	\N	\N	\N
656205	2242	1994-10-18	VYDAJ	VYBER	30600	46925	\N	\N	\N
656206	2242	1994-11-17	VYDAJ	VYBER	20500	40697	\N	\N	\N
656207	2242	1994-12-17	VYDAJ	VYBER	33300	50444	\N	\N	\N
656208	2242	1995-01-16	VYDAJ	VYBER	6900	32194	\N	\N	\N
656209	2242	1995-02-15	VYDAJ	VYBER	24200	39466	\N	\N	\N
656210	2242	1995-03-17	VYDAJ	VYBER	30400	47177	\N	\N	\N
656211	2242	1995-04-16	VYDAJ	VYBER	30100	49290	\N	\N	\N
656212	2242	1995-05-16	VYDAJ	VYBER	31600	50711	\N	\N	\N
656213	2242	1995-06-06	VYDAJ	VYBER	16900	93733	\N	\N	\N
656214	2242	1995-06-15	VYDAJ	VYBER	12000	35175	\N	\N	\N
656215	2242	1995-07-15	VYDAJ	VYBER	11300	35555	\N	\N	\N
656216	2242	1995-08-14	VYDAJ	VYBER	24200	49456	\N	\N	\N
656217	2242	1995-09-13	VYDAJ	VYBER	32600	55002	\N	\N	\N
656218	2242	1995-10-13	VYDAJ	VYBER	33500	48844	\N	\N	\N
656219	2242	1995-11-12	VYDAJ	VYBER	21200	43256	\N	\N	\N
656220	2242	1995-12-12	VYDAJ	VYBER	29500	55830	\N	\N	\N
656221	2242	1996-01-11	VYDAJ	VYBER	22100	41109	\N	\N	\N
656222	2242	1996-02-10	VYDAJ	VYBER	18400	38313	\N	\N	\N
656223	2242	1996-03-11	VYDAJ	VYBER	19500	38042	\N	\N	\N
656224	2242	1996-04-10	VYDAJ	VYBER	24800	51332	\N	\N	\N
656225	2242	1996-05-10	VYDAJ	VYBER	31500	57974	\N	\N	\N
656226	2242	1996-06-06	VYDAJ	VYBER	48800	64295	\N	\N	\N
656227	2242	1996-06-09	VYDAJ	VYBER	24200	40095	\N	\N	\N
656228	2242	1996-07-09	VYDAJ	VYBER	13900	34836	\N	\N	\N
656229	2242	1996-08-08	VYDAJ	VYBER	28600	44311	\N	\N	\N
656230	2242	1996-09-07	VYDAJ	VYBER	25000	42697	\N	\N	\N
656231	2242	1996-10-07	VYDAJ	VYBER	31800	48991	\N	\N	\N
656232	2242	1996-11-06	VYDAJ	VYBER	27100	45881	\N	\N	\N
656233	2242	1996-12-06	VYDAJ	VYBER	42200	63534	\N	\N	\N
656234	2242	1997-01-05	VYDAJ	VYBER	15200	38042	\N	\N	\N
656235	2242	1997-02-04	VYDAJ	VYBER	4800	26698	\N	\N	\N
656236	2242	1997-03-06	VYDAJ	VYBER	45200	57618	\N	\N	\N
656237	2242	1997-04-05	VYDAJ	VYBER	15600	42381	\N	\N	\N
656238	2242	1997-05-05	VYDAJ	VYBER	30100	50519	\N	\N	\N
656239	2242	1997-06-04	VYDAJ	VYBER	36100	52699	\N	\N	\N
656240	2242	1997-07-04	VYDAJ	VYBER	44100	58488	\N	\N	\N
656241	2242	1997-08-03	VYDAJ	VYBER	41200	55609	\N	\N	\N
656242	2242	1997-09-02	VYDAJ	VYBER	41100	52815	\N	\N	\N
656243	2242	1997-10-02	VYDAJ	VYBER	35100	56010	\N	\N	\N
656244	2242	1997-11-01	VYDAJ	VYBER	35800	58515	\N	\N	\N
656245	2242	1997-12-01	VYDAJ	VYBER	39800	52529	\N	\N	\N
656246	2242	1997-12-31	VYDAJ	VYBER	47000	53627	\N	\N	\N
656247	2242	1998-01-30	VYDAJ	VYBER	28100	34451	\N	\N	\N
656248	2242	1998-03-01	VYDAJ	VYBER	22000	29129	\N	\N	\N
656249	2242	1998-03-31	VYDAJ	VYBER	28800	38540	\N	\N	\N
656250	2242	1998-04-30	VYDAJ	VYBER	36300	40446	\N	\N	\N
656251	2242	1998-05-30	VYDAJ	VYBER	32300	46071	\N	\N	\N
656252	2242	1998-06-29	VYDAJ	VYBER	20300	26929	\N	\N	\N
656253	2242	1998-07-29	VYDAJ	VYBER	24700	26191	\N	\N	\N
656254	2242	1998-08-28	VYDAJ	VYBER	24800	29611	\N	\N	\N
656255	2242	1998-09-27	VYDAJ	VYBER	23100	33325	\N	\N	\N
656256	2242	1998-10-27	VYDAJ	VYBER	30600	40876	\N	\N	\N
656257	2242	1998-11-26	VYDAJ	VYBER	35300	43746	\N	\N	\N
656328	2243	1996-01-24	PRIJEM	VKLAD	200	200	\N	\N	\N
656330	2243	1996-02-07	PRIJEM	VKLAD	14253	14453	\N	\N	\N
656331	2243	1996-03-07	PRIJEM	VKLAD	14253	37429	\N	\N	\N
656332	2243	1996-04-07	PRIJEM	VKLAD	14253	48090	\N	\N	\N
656333	2243	1996-05-07	PRIJEM	VKLAD	14253	49886	\N	\N	\N
656334	2243	1996-06-07	PRIJEM	VKLAD	21380	61219	\N	\N	\N
656335	2243	1996-07-07	PRIJEM	VKLAD	14253	57483	\N	\N	\N
656336	2243	1996-08-07	PRIJEM	VKLAD	14253	55628	\N	\N	\N
656337	2243	1996-09-07	PRIJEM	VKLAD	14253	54922	\N	\N	\N
656338	2243	1996-10-07	PRIJEM	VKLAD	14253	54513	\N	\N	\N
656339	2243	1996-11-07	PRIJEM	VKLAD	14253	53541	\N	\N	\N
656340	2243	1996-12-07	PRIJEM	VKLAD	21380	50301	\N	\N	\N
656341	2243	1997-01-07	PRIJEM	VKLAD	14253	47290	\N	\N	\N
656342	2243	1997-02-07	PRIJEM	VKLAD	14253	27033	\N	\N	\N
656343	2243	1997-03-07	PRIJEM	VKLAD	14253	37242	\N	\N	\N
656344	2243	1997-04-07	PRIJEM	VKLAD	14253	37064	\N	\N	\N
656345	2243	1997-05-07	PRIJEM	VKLAD	14253	43289	\N	\N	\N
656346	2243	1997-06-07	PRIJEM	VKLAD	21380	49053	\N	\N	\N
656347	2243	1997-07-07	PRIJEM	VKLAD	14253	36919	\N	\N	\N
656348	2243	1997-08-07	PRIJEM	VKLAD	14253	37412	\N	\N	\N
656349	2243	1997-09-07	PRIJEM	VKLAD	14253	46645	\N	\N	\N
656350	2243	1997-10-07	PRIJEM	VKLAD	14253	50329	\N	\N	\N
656351	2243	1997-11-07	PRIJEM	VKLAD	14253	54203	\N	\N	\N
656352	2243	1997-12-07	PRIJEM	VKLAD	21380	61209	\N	\N	\N
656353	2243	1998-01-07	PRIJEM	VKLAD	14253	54568	\N	\N	\N
656354	2243	1998-02-07	PRIJEM	VKLAD	14253	55276	\N	\N	\N
656355	2243	1998-03-07	PRIJEM	VKLAD	14253	60271	\N	\N	\N
656356	2243	1998-04-07	PRIJEM	VKLAD	14253	55166	\N	\N	\N
656357	2243	1998-05-07	PRIJEM	VKLAD	14253	56351	\N	\N	\N
656358	2243	1998-06-07	PRIJEM	VKLAD	21380	60156	\N	\N	\N
656359	2243	1998-07-07	PRIJEM	VKLAD	14253	46971	\N	\N	\N
656360	2243	1998-08-07	PRIJEM	VKLAD	14253	46716	\N	\N	\N
656361	2243	1998-09-07	PRIJEM	VKLAD	14253	42850	\N	\N	\N
656362	2243	1998-10-07	PRIJEM	VKLAD	14253	42576	\N	\N	\N
656363	2243	1998-11-07	PRIJEM	VKLAD	14253	44211	\N	\N	\N
656364	2243	1998-12-07	PRIJEM	VKLAD	21380	50265	\N	\N	\N
656370	2243	1996-06-09	VYDAJ	PREVOD NA UCET	3890	57329	SIPO	MN	66443806
656371	2243	1996-07-09	VYDAJ	PREVOD NA UCET	3890	53593	SIPO	MN	66443806
656372	2243	1996-08-09	VYDAJ	PREVOD NA UCET	3890	51738	SIPO	MN	66443806
656373	2243	1996-09-09	VYDAJ	PREVOD NA UCET	3890	51032	SIPO	MN	66443806
656374	2243	1996-10-09	VYDAJ	PREVOD NA UCET	3890	50623	SIPO	MN	66443806
656375	2243	1996-11-09	VYDAJ	PREVOD NA UCET	3890	49651	SIPO	MN	66443806
656376	2243	1996-12-09	VYDAJ	PREVOD NA UCET	3890	46411	SIPO	MN	66443806
656377	2243	1997-01-09	VYDAJ	PREVOD NA UCET	3890	43400	SIPO	MN	66443806
656378	2243	1997-02-09	VYDAJ	PREVOD NA UCET	3890	21463	SIPO	MN	66443806
656379	2243	1997-03-09	VYDAJ	PREVOD NA UCET	3890	33352	SIPO	MN	66443806
656380	2243	1997-04-09	VYDAJ	PREVOD NA UCET	3890	33174	SIPO	MN	66443806
656381	2243	1997-05-09	VYDAJ	PREVOD NA UCET	3890	39399	SIPO	MN	66443806
656382	2243	1997-06-09	VYDAJ	PREVOD NA UCET	3890	22923	SIPO	MN	66443806
656383	2243	1997-07-09	VYDAJ	PREVOD NA UCET	3890	33029	SIPO	MN	66443806
656384	2243	1997-08-09	VYDAJ	PREVOD NA UCET	3890	33522	SIPO	MN	66443806
656385	2243	1997-09-09	VYDAJ	PREVOD NA UCET	3890	42755	SIPO	MN	66443806
656386	2243	1997-10-09	VYDAJ	PREVOD NA UCET	3890	46439	SIPO	MN	66443806
656387	2243	1997-11-09	VYDAJ	PREVOD NA UCET	3890	50313	SIPO	MN	66443806
656388	2243	1997-12-09	VYDAJ	PREVOD NA UCET	3890	57319	SIPO	MN	66443806
656389	2243	1998-01-09	VYDAJ	PREVOD NA UCET	3890	50678	SIPO	MN	66443806
656390	2243	1998-02-09	VYDAJ	PREVOD NA UCET	3890	51386	SIPO	MN	66443806
656391	2243	1998-03-09	VYDAJ	PREVOD NA UCET	3890	56381	SIPO	MN	66443806
656392	2243	1998-04-09	VYDAJ	PREVOD NA UCET	3890	51276	SIPO	MN	66443806
656393	2243	1998-05-09	VYDAJ	PREVOD NA UCET	3890	52461	SIPO	MN	66443806
656394	2243	1998-06-09	VYDAJ	PREVOD NA UCET	3890	56266	SIPO	MN	66443806
656395	2243	1998-07-09	VYDAJ	PREVOD NA UCET	3890	43081	SIPO	MN	66443806
656396	2243	1998-08-09	VYDAJ	PREVOD NA UCET	3890	42826	SIPO	MN	66443806
656397	2243	1998-09-09	VYDAJ	PREVOD NA UCET	3890	38960	SIPO	MN	66443806
656398	2243	1998-10-09	VYDAJ	PREVOD NA UCET	3890	38686	SIPO	MN	66443806
656399	2243	1998-11-09	VYDAJ	PREVOD NA UCET	3890	40321	SIPO	MN	66443806
656400	2243	1998-12-09	VYDAJ	PREVOD NA UCET	3890	46375	SIPO	MN	66443806
656407	2243	1996-07-05	VYDAJ	PREVOD NA UCET	547	43230	 	YZ	70212971
656408	2243	1996-08-05	VYDAJ	PREVOD NA UCET	547	41375	 	YZ	70212971
656409	2243	1996-09-05	VYDAJ	PREVOD NA UCET	547	40669	 	YZ	70212971
656410	2243	1996-10-05	VYDAJ	PREVOD NA UCET	547	40260	 	YZ	70212971
656411	2243	1996-11-05	VYDAJ	PREVOD NA UCET	547	39288	 	YZ	70212971
656412	2243	1996-12-05	VYDAJ	PREVOD NA UCET	547	31801	 	YZ	70212971
656413	2243	1997-01-05	VYDAJ	PREVOD NA UCET	547	33037	 	YZ	70212971
656414	2243	1997-02-05	VYDAJ	PREVOD NA UCET	547	12780	 	YZ	70212971
656415	2243	1997-03-05	VYDAJ	PREVOD NA UCET	547	22989	 	YZ	70212971
656416	2243	1997-04-05	VYDAJ	PREVOD NA UCET	547	22811	 	YZ	70212971
656417	2243	1997-05-05	VYDAJ	PREVOD NA UCET	547	29036	 	YZ	70212971
656418	2243	1997-06-05	VYDAJ	PREVOD NA UCET	547	27673	 	YZ	70212971
656419	2243	1997-07-05	VYDAJ	PREVOD NA UCET	547	22666	 	YZ	70212971
656420	2243	1997-08-05	VYDAJ	PREVOD NA UCET	547	23159	 	YZ	70212971
656421	2243	1997-09-05	VYDAJ	PREVOD NA UCET	547	32392	 	YZ	70212971
656422	2243	1997-10-05	VYDAJ	PREVOD NA UCET	547	36076	 	YZ	70212971
656423	2243	1997-11-05	VYDAJ	PREVOD NA UCET	547	39950	 	YZ	70212971
656424	2243	1997-12-05	VYDAJ	PREVOD NA UCET	547	39829	 	YZ	70212971
656425	2243	1998-01-05	VYDAJ	PREVOD NA UCET	547	40315	 	YZ	70212971
656426	2243	1998-02-05	VYDAJ	PREVOD NA UCET	547	41023	 	YZ	70212971
656427	2243	1998-03-05	VYDAJ	PREVOD NA UCET	547	46018	 	YZ	70212971
656428	2243	1998-04-05	VYDAJ	PREVOD NA UCET	547	40913	 	YZ	70212971
656429	2243	1998-05-05	VYDAJ	PREVOD NA UCET	547	42098	 	YZ	70212971
656430	2243	1998-06-05	VYDAJ	PREVOD NA UCET	547	38776	 	YZ	70212971
656431	2243	1998-07-05	VYDAJ	PREVOD NA UCET	547	32718	 	YZ	70212971
656432	2243	1998-08-05	VYDAJ	PREVOD NA UCET	547	32463	 	YZ	70212971
656433	2243	1998-09-05	VYDAJ	PREVOD NA UCET	547	28597	 	YZ	70212971
656434	2243	1998-10-05	VYDAJ	PREVOD NA UCET	547	28323	 	YZ	70212971
656435	2243	1998-11-05	VYDAJ	PREVOD NA UCET	547	29958	 	YZ	70212971
656436	2243	1998-12-05	VYDAJ	PREVOD NA UCET	547	28885	 	YZ	70212971
656438	2243	1997-06-08	VYDAJ	VYBER	22240	26813	\N	\N	\N
656439	2243	1998-06-23	VYDAJ	VYBER	8960	33106	\N	\N	\N
656441	2243	1997-01-29	VYDAJ	VYBER	12800	13200	\N	\N	\N
656442	2243	1998-01-03	VYDAJ	VYBER	1920	40862	\N	\N	\N
656443	2243	1996-12-06	VYDAJ	VYBER	2880	28921	\N	\N	\N
656444	2243	1997-12-10	VYDAJ	VYBER	960	56359	\N	\N	\N
656445	2243	1998-12-27	VYDAJ	VYBER	1760	32315	\N	\N	\N
656452	2243	1997-01-05	VYDAJ	VYBER	2760	33584	\N	\N	\N
656453	2243	1997-01-22	VYDAJ	VYBER	2520	30800	\N	\N	\N
656454	2243	1997-01-14	VYDAJ	VYBER	3480	39920	\N	\N	\N
656455	2243	1997-01-25	VYDAJ	VYBER	3360	26000	\N	\N	\N
656456	2243	1997-01-23	VYDAJ	VYBER	1440	29360	\N	\N	\N
656457	2243	1997-01-05	VYDAJ	VYBER	1920	36344	\N	\N	\N
656458	2243	1998-01-01	VYDAJ	VYBER	3480	42782	\N	\N	\N
656459	2243	1998-01-18	VYDAJ	VYBER	600	44758	\N	\N	\N
656460	2243	1998-01-29	VYDAJ	VYBER	1680	41398	\N	\N	\N
656461	2243	1998-01-10	VYDAJ	VYBER	720	49958	\N	\N	\N
656462	2243	1998-01-26	VYDAJ	VYBER	600	43078	\N	\N	\N
656463	2243	1998-01-21	VYDAJ	VYBER	1080	43678	\N	\N	\N
656464	2243	1996-11-29	VYDAJ	VYBER	2880	32191	\N	\N	\N
656465	2243	1996-11-15	VYDAJ	VYBER	3960	45691	\N	\N	\N
656466	2243	1996-06-27	VYDAJ	VYBER	1440	43589	\N	\N	\N
656467	2243	1996-07-31	VYDAJ	VYBER	2160	41936	\N	\N	\N
656468	2243	1996-11-16	VYDAJ	VYBER	3120	42571	\N	\N	\N
656469	2243	1996-10-21	VYDAJ	VYBER	2160	39663	\N	\N	\N
656470	2243	1997-07-18	VYDAJ	VYBER	5520	23609	\N	\N	\N
656471	2243	1997-12-13	VYDAJ	VYBER	5280	51079	\N	\N	\N
656472	2243	1997-03-27	VYDAJ	VYBER	5400	23252	\N	\N	\N
656473	2243	1997-09-30	VYDAJ	VYBER	2880	36623	\N	\N	\N
656474	2243	1997-02-07	VYDAJ	VYBER	1680	25353	\N	\N	\N
656475	2243	1998-12-13	VYDAJ	VYBER	3000	34075	\N	\N	\N
656476	2243	1998-10-26	VYDAJ	VYBER	2400	30386	\N	\N	\N
656477	2243	1998-03-30	VYDAJ	VYBER	1200	41281	\N	\N	\N
656478	2243	1998-08-12	VYDAJ	VYBER	4800	29026	\N	\N	\N
656485	2243	1996-06-30	VYDAJ	VYBER	15	43777	SLUZBY	\N	\N
656486	2243	1996-07-31	VYDAJ	VYBER	15	41922	SLUZBY	\N	\N
656487	2243	1996-08-31	VYDAJ	VYBER	15	41216	SLUZBY	\N	\N
656488	2243	1996-09-30	VYDAJ	VYBER	15	40807	SLUZBY	\N	\N
656489	2243	1996-10-31	VYDAJ	VYBER	15	39835	SLUZBY	\N	\N
656490	2243	1996-11-30	VYDAJ	VYBER	15	32348	SLUZBY	\N	\N
656491	2243	1996-12-31	VYDAJ	VYBER	15	38264	SLUZBY	\N	\N
656492	2243	1997-01-31	VYDAJ	VYBER	15	13327	SLUZBY	\N	\N
656493	2243	1997-02-28	VYDAJ	VYBER	15	23536	SLUZBY	\N	\N
656494	2243	1997-03-31	VYDAJ	VYBER	15	23358	SLUZBY	\N	\N
656495	2243	1997-04-30	VYDAJ	VYBER	15	29583	SLUZBY	\N	\N
656496	2243	1997-05-31	VYDAJ	VYBER	15	28220	SLUZBY	\N	\N
656497	2243	1997-06-30	VYDAJ	VYBER	15	23213	SLUZBY	\N	\N
656498	2243	1997-07-31	VYDAJ	VYBER	15	23706	SLUZBY	\N	\N
656499	2243	1997-08-31	VYDAJ	VYBER	15	32939	SLUZBY	\N	\N
656500	2243	1997-09-30	VYDAJ	VYBER	15	39503	SLUZBY	\N	\N
656501	2243	1997-10-31	VYDAJ	VYBER	15	40497	SLUZBY	\N	\N
656502	2243	1997-11-30	VYDAJ	VYBER	15	40376	SLUZBY	\N	\N
656503	2243	1997-12-31	VYDAJ	VYBER	15	46262	SLUZBY	\N	\N
656504	2243	1998-01-31	VYDAJ	VYBER	15	41570	SLUZBY	\N	\N
656505	2243	1998-02-28	VYDAJ	VYBER	15	46565	SLUZBY	\N	\N
656506	2243	1998-03-31	VYDAJ	VYBER	15	41460	SLUZBY	\N	\N
656507	2243	1998-04-30	VYDAJ	VYBER	15	42645	SLUZBY	\N	\N
656508	2243	1998-05-31	VYDAJ	VYBER	15	39323	SLUZBY	\N	\N
656509	2243	1998-06-30	VYDAJ	VYBER	15	33265	SLUZBY	\N	\N
656510	2243	1998-07-31	VYDAJ	VYBER	15	33010	SLUZBY	\N	\N
656511	2243	1998-08-31	VYDAJ	VYBER	15	29144	SLUZBY	\N	\N
656512	2243	1998-09-30	VYDAJ	VYBER	15	28870	SLUZBY	\N	\N
656513	2243	1998-10-31	VYDAJ	VYBER	15	30505	SLUZBY	\N	\N
656514	2243	1998-11-30	VYDAJ	VYBER	15	29432	SLUZBY	\N	\N
656515	2243	1996-02-23	PRIJEM	VKLAD	8700	23153	\N	\N	\N
656516	2243	1996-03-24	VYDAJ	VYBER	3700	33729	\N	\N	\N
656517	2243	1996-04-23	VYDAJ	VYBER	12600	35490	\N	\N	\N
656518	2243	1996-05-23	VYDAJ	VYBER	10200	39686	\N	\N	\N
656519	2243	1996-06-22	VYDAJ	VYBER	12300	45029	\N	\N	\N
656520	2243	1996-07-22	VYDAJ	VYBER	9700	43893	\N	\N	\N
656521	2243	1996-08-21	VYDAJ	VYBER	10700	41038	\N	\N	\N
656522	2243	1996-09-20	VYDAJ	VYBER	10400	40632	\N	\N	\N
656523	2243	1996-10-20	VYDAJ	VYBER	8800	41823	\N	\N	\N
656524	2243	1996-11-19	VYDAJ	VYBER	7500	35071	\N	\N	\N
656525	2243	1996-12-19	VYDAJ	VYBER	8300	38111	\N	\N	\N
656526	2243	1997-01-18	VYDAJ	VYBER	6600	33320	\N	\N	\N
656527	2243	1997-02-17	PRIJEM	VKLAD	2000	23463	\N	\N	\N
656528	2243	1997-03-19	VYDAJ	VYBER	4700	28652	\N	\N	\N
656529	2243	1997-04-18	VYDAJ	VYBER	3700	29474	\N	\N	\N
656530	2243	1997-05-18	VYDAJ	VYBER	11300	28099	\N	\N	\N
656531	2243	1997-06-17	PRIJEM	VKLAD	200	23123	\N	\N	\N
656532	2243	1997-07-17	VYDAJ	VYBER	3900	29129	\N	\N	\N
656533	2243	1997-08-16	VYDAJ	VYBER	700	32822	\N	\N	\N
656534	2243	1997-09-15	VYDAJ	VYBER	3400	39355	\N	\N	\N
656535	2243	1997-10-15	VYDAJ	VYBER	6100	40339	\N	\N	\N
656536	2243	1997-11-14	VYDAJ	VYBER	10100	40213	\N	\N	\N
656537	2243	1997-12-14	VYDAJ	VYBER	5000	46079	\N	\N	\N
656538	2243	1998-01-13	VYDAJ	VYBER	4600	45358	\N	\N	\N
656539	2243	1998-02-12	VYDAJ	VYBER	5000	46386	\N	\N	\N
656540	2243	1998-03-14	VYDAJ	VYBER	13900	42481	\N	\N	\N
656541	2243	1998-04-13	VYDAJ	VYBER	8800	42476	\N	\N	\N
656542	2243	1998-05-13	VYDAJ	VYBER	13300	39161	\N	\N	\N
656543	2243	1998-06-12	VYDAJ	VYBER	14200	42066	\N	\N	\N
656544	2243	1998-07-12	VYDAJ	VYBER	10200	32881	\N	\N	\N
656545	2243	1998-08-11	VYDAJ	VYBER	9000	33826	\N	\N	\N
656546	2243	1998-09-10	VYDAJ	VYBER	10200	28760	\N	\N	\N
656547	2243	1998-10-10	VYDAJ	VYBER	5900	32786	\N	\N	\N
656548	2243	1998-11-09	VYDAJ	VYBER	11000	29321	\N	\N	\N
656549	2243	1998-12-09	VYDAJ	VYBER	9300	37075	\N	\N	\N
656585	2244	1995-07-19	PRIJEM	VKLAD	200	200	\N	\N	\N
656593	2244	1995-08-05	PRIJEM	PREVOD Z UCTU	6888	7088	DUCHOD	AB	1630378
656594	2244	1995-09-05	PRIJEM	PREVOD Z UCTU	6888	13976	DUCHOD	AB	1630378
656595	2244	1995-10-05	PRIJEM	PREVOD Z UCTU	6888	20864	DUCHOD	AB	1630378
656596	2244	1995-11-05	PRIJEM	PREVOD Z UCTU	6888	27752	DUCHOD	AB	1630378
656597	2244	1995-12-05	PRIJEM	PREVOD Z UCTU	6888	31090	DUCHOD	AB	1630378
656598	2244	1996-01-05	PRIJEM	PREVOD Z UCTU	6888	36391	DUCHOD	AB	1630378
656599	2244	1996-02-05	PRIJEM	PREVOD Z UCTU	6888	26646	DUCHOD	AB	1630378
656600	2244	1996-03-05	PRIJEM	PREVOD Z UCTU	6888	31928	DUCHOD	AB	1630378
656601	2244	1996-04-05	PRIJEM	PREVOD Z UCTU	6888	34526	DUCHOD	AB	1630378
656602	2244	1996-05-05	PRIJEM	PREVOD Z UCTU	6888	38939	DUCHOD	AB	1630378
656603	2244	1996-06-05	PRIJEM	PREVOD Z UCTU	6888	36880	DUCHOD	AB	1630378
656604	2244	1996-07-05	PRIJEM	PREVOD Z UCTU	6888	31700	DUCHOD	AB	1630378
656605	2244	1996-08-05	PRIJEM	PREVOD Z UCTU	6888	35299	DUCHOD	AB	1630378
656606	2244	1996-09-05	PRIJEM	PREVOD Z UCTU	6888	39216	DUCHOD	AB	1630378
656607	2244	1996-10-05	PRIJEM	PREVOD Z UCTU	6888	40639	DUCHOD	AB	1630378
656608	2244	1996-11-05	PRIJEM	PREVOD Z UCTU	6888	40063	DUCHOD	AB	1630378
656609	2244	1996-12-05	PRIJEM	PREVOD Z UCTU	6888	43248	DUCHOD	AB	1630378
656610	2244	1997-01-05	PRIJEM	PREVOD Z UCTU	6888	42571	DUCHOD	AB	1630378
656611	2244	1997-02-05	PRIJEM	PREVOD Z UCTU	6888	33893	DUCHOD	AB	1630378
656612	2244	1997-03-05	PRIJEM	PREVOD Z UCTU	6888	38443	DUCHOD	AB	1630378
656613	2244	1997-04-05	PRIJEM	PREVOD Z UCTU	6888	43775	DUCHOD	AB	1630378
656614	2244	1997-05-05	PRIJEM	PREVOD Z UCTU	6888	42107	DUCHOD	AB	1630378
656615	2244	1997-06-05	PRIJEM	PREVOD Z UCTU	6888	42137	DUCHOD	AB	1630378
656616	2244	1997-07-05	PRIJEM	PREVOD Z UCTU	6888	26639	DUCHOD	AB	1630378
656617	2244	1997-08-05	PRIJEM	PREVOD Z UCTU	6888	31921	DUCHOD	AB	1630378
656618	2244	1997-09-05	PRIJEM	PREVOD Z UCTU	6888	35119	DUCHOD	AB	1630378
656619	2244	1997-10-05	PRIJEM	PREVOD Z UCTU	6888	36123	DUCHOD	AB	1630378
656620	2244	1997-11-05	PRIJEM	PREVOD Z UCTU	6888	33418	DUCHOD	AB	1630378
656621	2244	1997-12-05	PRIJEM	PREVOD Z UCTU	6888	31861	DUCHOD	AB	1630378
656622	2244	1998-01-05	PRIJEM	PREVOD Z UCTU	6888	27046	DUCHOD	AB	1630378
656623	2244	1998-02-05	PRIJEM	PREVOD Z UCTU	6888	21000	DUCHOD	AB	1630378
656624	2244	1998-03-05	PRIJEM	PREVOD Z UCTU	6888	26258	DUCHOD	AB	1630378
656625	2244	1998-04-05	PRIJEM	PREVOD Z UCTU	6888	26223	DUCHOD	AB	1630378
656626	2244	1998-05-05	PRIJEM	PREVOD Z UCTU	6888	29103	DUCHOD	AB	1630378
656627	2244	1998-06-05	PRIJEM	PREVOD Z UCTU	6888	33299	DUCHOD	AB	1630378
656628	2244	1998-07-05	PRIJEM	PREVOD Z UCTU	6888	28546	DUCHOD	AB	1630378
656629	2244	1998-08-05	PRIJEM	PREVOD Z UCTU	6888	30240	DUCHOD	AB	1630378
656630	2244	1998-09-05	PRIJEM	PREVOD Z UCTU	6888	30441	DUCHOD	AB	1630378
656631	2244	1998-10-05	PRIJEM	PREVOD Z UCTU	6888	28296	DUCHOD	AB	1630378
656632	2244	1998-11-05	PRIJEM	PREVOD Z UCTU	6888	29589	DUCHOD	AB	1630378
656633	2244	1998-12-05	PRIJEM	PREVOD Z UCTU	6888	24890	DUCHOD	AB	1630378
656645	2244	1995-12-08	VYDAJ	PREVOD NA UCET	1690	29400	SIPO	IJ	61625307
656646	2244	1996-01-08	VYDAJ	PREVOD NA UCET	1690	31881	SIPO	IJ	61625307
656647	2244	1996-02-08	VYDAJ	PREVOD NA UCET	1690	24956	SIPO	IJ	61625307
656648	2244	1996-03-08	VYDAJ	PREVOD NA UCET	1690	30238	SIPO	IJ	61625307
656649	2244	1996-04-08	VYDAJ	PREVOD NA UCET	1690	32836	SIPO	IJ	61625307
656650	2244	1996-05-08	VYDAJ	PREVOD NA UCET	1690	37249	SIPO	IJ	61625307
656651	2244	1996-06-08	VYDAJ	PREVOD NA UCET	1690	35190	SIPO	IJ	61625307
656652	2244	1996-07-08	VYDAJ	PREVOD NA UCET	1690	30010	SIPO	IJ	61625307
656653	2244	1996-08-08	VYDAJ	PREVOD NA UCET	1690	33609	SIPO	IJ	61625307
656654	2244	1996-09-08	VYDAJ	PREVOD NA UCET	1690	37526	SIPO	IJ	61625307
656655	2244	1996-10-08	VYDAJ	PREVOD NA UCET	1690	38949	SIPO	IJ	61625307
656656	2244	1996-11-08	VYDAJ	PREVOD NA UCET	1690	38373	SIPO	IJ	61625307
656657	2244	1996-12-08	VYDAJ	PREVOD NA UCET	1690	41558	SIPO	IJ	61625307
656658	2244	1997-01-08	VYDAJ	PREVOD NA UCET	1690	40881	SIPO	IJ	61625307
656659	2244	1997-02-08	VYDAJ	PREVOD NA UCET	1690	32203	SIPO	IJ	61625307
656660	2244	1997-03-08	VYDAJ	PREVOD NA UCET	1690	36753	SIPO	IJ	61625307
656661	2244	1997-04-08	VYDAJ	PREVOD NA UCET	1690	42085	SIPO	IJ	61625307
656662	2244	1997-05-08	VYDAJ	PREVOD NA UCET	1690	40417	SIPO	IJ	61625307
656663	2244	1997-06-08	VYDAJ	PREVOD NA UCET	1690	40447	SIPO	IJ	61625307
656664	2244	1997-07-08	VYDAJ	PREVOD NA UCET	1690	24949	SIPO	IJ	61625307
656665	2244	1997-08-08	VYDAJ	PREVOD NA UCET	1690	28131	SIPO	IJ	61625307
656666	2244	1997-09-08	VYDAJ	PREVOD NA UCET	1690	29129	SIPO	IJ	61625307
656667	2244	1997-10-08	VYDAJ	PREVOD NA UCET	1690	26433	SIPO	IJ	61625307
656668	2244	1997-11-08	VYDAJ	PREVOD NA UCET	1690	26028	SIPO	IJ	61625307
656669	2244	1997-12-08	VYDAJ	PREVOD NA UCET	1690	24271	SIPO	IJ	61625307
656670	2244	1998-01-08	VYDAJ	PREVOD NA UCET	1690	23036	SIPO	IJ	61625307
656671	2244	1998-02-08	VYDAJ	PREVOD NA UCET	1690	19310	SIPO	IJ	61625307
656672	2244	1998-03-08	VYDAJ	PREVOD NA UCET	1690	19268	SIPO	IJ	61625307
656673	2244	1998-04-08	VYDAJ	PREVOD NA UCET	1690	24533	SIPO	IJ	61625307
656674	2244	1998-05-08	VYDAJ	PREVOD NA UCET	1690	27413	SIPO	IJ	61625307
656675	2244	1998-06-08	VYDAJ	PREVOD NA UCET	1690	31609	SIPO	IJ	61625307
656676	2244	1998-07-08	VYDAJ	PREVOD NA UCET	1690	26856	SIPO	IJ	61625307
656677	2244	1998-08-08	VYDAJ	PREVOD NA UCET	1690	28550	SIPO	IJ	61625307
656678	2244	1998-09-08	VYDAJ	PREVOD NA UCET	1690	26511	SIPO	IJ	61625307
656679	2244	1998-10-08	VYDAJ	PREVOD NA UCET	1690	26606	SIPO	IJ	61625307
656680	2244	1998-11-08	VYDAJ	PREVOD NA UCET	1690	27899	SIPO	IJ	61625307
656681	2244	1998-12-08	VYDAJ	PREVOD NA UCET	1690	21950	SIPO	IJ	61625307
656683	2244	1996-06-24	VYDAJ	VYBER	5350	24700	\N	\N	\N
656684	2244	1997-06-14	VYDAJ	VYBER	8000	24847	\N	\N	\N
656685	2244	1998-06-13	VYDAJ	VYBER	6250	25359	\N	\N	\N
656687	2244	1996-01-08	VYDAJ	VYBER	1700	34691	\N	\N	\N
656688	2244	1997-01-10	VYDAJ	VYBER	2400	33281	\N	\N	\N
656689	2244	1998-01-14	VYDAJ	VYBER	1950	19166	\N	\N	\N
656691	2244	1996-12-04	VYDAJ	VYBER	950	36360	\N	\N	\N
656692	2244	1997-12-01	VYDAJ	VYBER	1150	24973	\N	\N	\N
656693	2244	1998-12-06	VYDAJ	VYBER	1250	23640	\N	\N	\N
656700	2244	1996-01-28	VYDAJ	VYBER	400	21181	\N	\N	\N
656701	2244	1996-01-08	VYDAJ	VYBER	1120	33571	\N	\N	\N
656702	2244	1996-01-29	VYDAJ	VYBER	1520	19661	\N	\N	\N
656703	2244	1996-01-16	VYDAJ	VYBER	1040	25261	\N	\N	\N
656704	2244	1996-01-27	VYDAJ	VYBER	2240	21581	\N	\N	\N
656705	2244	1996-01-10	VYDAJ	VYBER	1680	30201	\N	\N	\N
656706	2244	1997-01-22	VYDAJ	VYBER	1280	29361	\N	\N	\N
656707	2244	1997-01-19	VYDAJ	VYBER	800	32481	\N	\N	\N
656708	2244	1997-01-21	VYDAJ	VYBER	1840	30641	\N	\N	\N
656709	2244	1997-01-25	VYDAJ	VYBER	560	28801	\N	\N	\N
656710	2244	1997-01-28	VYDAJ	VYBER	1920	26881	\N	\N	\N
656711	2244	1997-01-04	VYDAJ	VYBER	1920	35683	\N	\N	\N
656712	2244	1998-01-07	VYDAJ	VYBER	960	24726	\N	\N	\N
656714	2244	1998-01-05	VYDAJ	VYBER	1360	25686	\N	\N	\N
656715	2244	1998-01-16	VYDAJ	VYBER	1600	17566	\N	\N	\N
656716	2244	1998-01-12	VYDAJ	VYBER	1920	21116	\N	\N	\N
656724	2244	1996-08-28	VYDAJ	VYBER	800	32209	\N	\N	\N
656725	2244	1996-06-02	VYDAJ	VYBER	2080	29992	\N	\N	\N
656726	2244	1996-01-23	VYDAJ	VYBER	1440	23821	\N	\N	\N
656727	2244	1996-06-08	VYDAJ	VYBER	1840	33350	\N	\N	\N
656728	2244	1997-06-22	VYDAJ	VYBER	2800	22047	\N	\N	\N
656729	2244	1997-06-28	VYDAJ	VYBER	2400	19647	\N	\N	\N
656730	2244	1997-06-11	VYDAJ	VYBER	3600	32847	\N	\N	\N
656731	2244	1997-02-16	VYDAJ	VYBER	560	31443	\N	\N	\N
656732	2244	1998-12-21	VYDAJ	VYBER	640	21310	\N	\N	\N
656733	2244	1998-11-30	VYDAJ	VYBER	3760	18017	\N	\N	\N
656734	2244	1998-09-06	VYDAJ	VYBER	2240	28201	\N	\N	\N
656735	2244	1998-01-24	VYDAJ	VYBER	3520	14046	\N	\N	\N
656736	2244	1998-11-09	VYDAJ	VYBER	3920	23979	\N	\N	\N
656749	2244	1995-12-31	VYDAJ	VYBER	15	29503	SLUZBY	\N	\N
656750	2244	1996-01-31	VYDAJ	VYBER	15	19758	SLUZBY	\N	\N
656751	2244	1996-02-29	VYDAJ	VYBER	15	25040	SLUZBY	\N	\N
656752	2244	1996-03-31	VYDAJ	VYBER	15	27638	SLUZBY	\N	\N
656753	2244	1996-04-30	VYDAJ	VYBER	15	32051	SLUZBY	\N	\N
656754	2244	1996-05-31	VYDAJ	VYBER	15	32072	SLUZBY	\N	\N
656755	2244	1996-06-30	VYDAJ	VYBER	15	24812	SLUZBY	\N	\N
656756	2244	1996-07-31	VYDAJ	VYBER	15	28411	SLUZBY	\N	\N
656757	2244	1996-08-31	VYDAJ	VYBER	15	32328	SLUZBY	\N	\N
656758	2244	1996-09-30	VYDAJ	VYBER	15	33751	SLUZBY	\N	\N
656759	2244	1996-10-31	VYDAJ	VYBER	15	33175	SLUZBY	\N	\N
656760	2244	1996-11-30	VYDAJ	VYBER	15	37310	SLUZBY	\N	\N
656761	2244	1996-12-31	VYDAJ	VYBER	15	37603	SLUZBY	\N	\N
656762	2244	1997-01-31	VYDAJ	VYBER	15	27005	SLUZBY	\N	\N
656763	2244	1997-02-28	VYDAJ	VYBER	15	31555	SLUZBY	\N	\N
656764	2244	1997-03-31	VYDAJ	VYBER	15	36887	SLUZBY	\N	\N
656765	2244	1997-04-30	VYDAJ	VYBER	15	35219	SLUZBY	\N	\N
656766	2244	1997-05-31	VYDAJ	VYBER	15	35249	SLUZBY	\N	\N
656767	2244	1997-06-30	VYDAJ	VYBER	15	19751	SLUZBY	\N	\N
656768	2244	1997-07-31	VYDAJ	VYBER	15	25033	SLUZBY	\N	\N
656769	2244	1997-08-31	VYDAJ	VYBER	15	28231	SLUZBY	\N	\N
656770	2244	1997-09-30	VYDAJ	VYBER	15	29235	SLUZBY	\N	\N
656771	2244	1997-10-31	VYDAJ	VYBER	15	26530	SLUZBY	\N	\N
656772	2244	1997-11-30	VYDAJ	VYBER	15	26123	SLUZBY	\N	\N
656773	2244	1997-12-31	VYDAJ	VYBER	15	24358	SLUZBY	\N	\N
656774	2244	1998-01-31	VYDAJ	VYBER	15	14112	SLUZBY	\N	\N
656775	2244	1998-02-28	VYDAJ	VYBER	15	19370	SLUZBY	\N	\N
656776	2244	1998-03-31	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
656777	2244	1998-04-30	VYDAJ	VYBER	15	24615	SLUZBY	\N	\N
656778	2244	1998-05-31	VYDAJ	VYBER	15	27511	SLUZBY	\N	\N
656779	2244	1998-06-30	VYDAJ	VYBER	15	25458	SLUZBY	\N	\N
656780	2244	1998-07-31	VYDAJ	VYBER	15	26952	SLUZBY	\N	\N
656781	2244	1998-08-31	VYDAJ	VYBER	15	28653	SLUZBY	\N	\N
656782	2244	1998-09-30	VYDAJ	VYBER	15	26608	SLUZBY	\N	\N
656783	2244	1998-10-31	VYDAJ	VYBER	15	22701	SLUZBY	\N	\N
656784	2244	1998-11-30	VYDAJ	VYBER	15	18002	SLUZBY	\N	\N
656785	2244	1995-11-16	VYDAJ	VYBER	3600	24152	\N	\N	\N
656786	2244	1996-01-15	VYDAJ	VYBER	3900	26301	\N	\N	\N
656787	2244	1996-03-15	VYDAJ	VYBER	2700	27538	\N	\N	\N
656788	2244	1996-04-14	VYDAJ	VYBER	900	31936	\N	\N	\N
656789	2244	1996-05-14	VYDAJ	VYBER	5300	31949	\N	\N	\N
656790	2244	1996-06-13	VYDAJ	VYBER	3300	30050	\N	\N	\N
656791	2244	1996-07-13	VYDAJ	VYBER	1700	28310	\N	\N	\N
656792	2244	1996-08-12	VYDAJ	VYBER	600	33009	\N	\N	\N
656793	2244	1996-09-11	VYDAJ	VYBER	3900	33626	\N	\N	\N
656794	2244	1996-10-11	VYDAJ	VYBER	5900	33049	\N	\N	\N
656795	2244	1996-11-10	VYDAJ	VYBER	1200	37173	\N	\N	\N
656796	2244	1996-12-10	VYDAJ	VYBER	4100	37458	\N	\N	\N
656797	2244	1997-01-09	VYDAJ	VYBER	5200	35681	\N	\N	\N
656798	2244	1997-02-08	VYDAJ	VYBER	200	32003	\N	\N	\N
656799	2244	1997-04-09	VYDAJ	VYBER	7000	35085	\N	\N	\N
656800	2244	1997-05-09	VYDAJ	VYBER	5300	35117	\N	\N	\N
656801	2244	1997-06-08	VYDAJ	VYBER	4000	36447	\N	\N	\N
656802	2244	1997-08-07	VYDAJ	VYBER	2100	29821	\N	\N	\N
656803	2244	1997-09-06	VYDAJ	VYBER	4300	30819	\N	\N	\N
656804	2244	1997-10-06	VYDAJ	VYBER	8000	28123	\N	\N	\N
656805	2244	1997-11-05	VYDAJ	VYBER	5700	27718	\N	\N	\N
656806	2244	1997-12-05	VYDAJ	VYBER	5900	25961	\N	\N	\N
656807	2244	1998-01-04	VYDAJ	VYBER	4200	20158	\N	\N	\N
656808	2244	1998-03-05	VYDAJ	VYBER	5300	20958	\N	\N	\N
656809	2244	1998-05-04	VYDAJ	VYBER	2400	22215	\N	\N	\N
656810	2244	1998-06-03	VYDAJ	VYBER	1100	26411	\N	\N	\N
656811	2244	1998-07-03	VYDAJ	VYBER	3800	21658	\N	\N	\N
656812	2244	1998-08-02	VYDAJ	VYBER	3600	23352	\N	\N	\N
656813	2244	1998-09-01	VYDAJ	VYBER	5100	23553	\N	\N	\N
656814	2244	1998-10-01	VYDAJ	VYBER	5200	21408	\N	\N	\N
656815	2244	1998-10-31	VYDAJ	VYBER	4000	22716	\N	\N	\N
656816	2244	1998-11-30	VYDAJ	VYBER	2300	21777	\N	\N	\N
656855	2245	1993-03-30	PRIJEM	VKLAD	300	300	\N	\N	\N
656856	2245	1993-07-26	PRIJEM	VKLAD	19642	68103	\N	\N	\N
656857	2245	1993-12-12	PRIJEM	VKLAD	29410	58909	\N	\N	\N
656858	2245	1993-11-01	PRIJEM	VKLAD	24205	58059	\N	\N	\N
656859	2245	1993-06-12	PRIJEM	VKLAD	16880	32580	\N	\N	\N
656860	2245	1993-12-17	PRIJEM	VKLAD	14114	73023	\N	\N	\N
656861	2245	1993-06-19	PRIJEM	VKLAD	40170	72750	\N	\N	\N
656863	2245	1993-09-02	PRIJEM	VKLAD	26497	61989	\N	\N	\N
656867	2245	1993-11-28	PRIJEM	VKLAD	7985	53892	\N	\N	\N
656868	2245	1993-11-04	PRIJEM	VKLAD	13607	71666	\N	\N	\N
656869	2245	1994-02-12	PRIJEM	VKLAD	35706	59766	\N	\N	\N
656870	2245	1994-12-14	PRIJEM	VKLAD	32239	64395	\N	\N	\N
656871	2245	1994-10-19	PRIJEM	VKLAD	45255	83630	\N	\N	\N
656872	2245	1994-08-18	PRIJEM	VKLAD	42883	97113	\N	\N	\N
656873	2245	1994-07-23	PRIJEM	VKLAD	48348	123013	\N	\N	\N
656874	2245	1994-07-31	PRIJEM	VKLAD	46396	114809	\N	\N	\N
656875	2245	1994-03-21	PRIJEM	VKLAD	41054	66223	\N	\N	\N
656876	2245	1994-05-10	PRIJEM	VKLAD	35530	58620	\N	\N	\N
656877	2245	1994-10-23	PRIJEM	VKLAD	31265	87295	\N	\N	\N
656878	2245	1994-05-27	PRIJEM	VKLAD	19429	76439	\N	\N	\N
656879	2245	1994-07-17	PRIJEM	VKLAD	39395	82049	\N	\N	\N
656880	2245	1994-08-30	PRIJEM	VKLAD	29956	90269	\N	\N	\N
656881	2245	1994-12-24	PRIJEM	VKLAD	20337	70632	\N	\N	\N
656882	2245	1994-05-23	PRIJEM	VKLAD	49271	83810	\N	\N	\N
656883	2245	1994-07-08	PRIJEM	VKLAD	21666	42654	\N	\N	\N
656884	2245	1994-03-23	PRIJEM	VKLAD	38661	104884	\N	\N	\N
656885	2245	1994-01-25	PRIJEM	VKLAD	38088	62456	\N	\N	\N
656886	2245	1995-02-27	PRIJEM	VKLAD	28886	79902	\N	\N	\N
656887	2245	1995-02-11	PRIJEM	VKLAD	6111	52182	\N	\N	\N
656888	2245	1995-06-21	PRIJEM	VKLAD	48602	83217	\N	\N	\N
656889	2245	1995-12-10	PRIJEM	VKLAD	25727	67036	\N	\N	\N
656890	2245	1995-02-14	PRIJEM	VKLAD	19683	64616	\N	\N	\N
656891	2245	1995-08-03	PRIJEM	VKLAD	31262	68726	\N	\N	\N
656892	2245	1995-12-14	PRIJEM	VKLAD	31726	91513	\N	\N	\N
656893	2245	1995-03-26	PRIJEM	VKLAD	24707	76861	\N	\N	\N
656894	2245	1995-03-17	PRIJEM	VKLAD	18276	66554	\N	\N	\N
656895	2245	1995-09-06	PRIJEM	VKLAD	43604	91997	\N	\N	\N
656896	2245	1995-10-17	PRIJEM	VKLAD	7847	70665	\N	\N	\N
656897	2245	1995-10-08	PRIJEM	VKLAD	35189	93967	\N	\N	\N
656898	2245	1996-02-25	PRIJEM	VKLAD	41509	97315	\N	\N	\N
656899	2245	1996-02-08	PRIJEM	VKLAD	49381	81854	\N	\N	\N
656900	2245	1996-09-19	PRIJEM	VKLAD	18728	92349	\N	\N	\N
656901	2245	1996-11-25	PRIJEM	VKLAD	21821	70245	\N	\N	\N
656902	2245	1996-11-26	PRIJEM	VKLAD	17942	88187	\N	\N	\N
656903	2245	1996-09-18	PRIJEM	VKLAD	35071	73621	\N	\N	\N
656904	2245	1996-07-15	PRIJEM	VKLAD	5118	44109	\N	\N	\N
656905	2245	1996-02-26	PRIJEM	VKLAD	35962	133277	\N	\N	\N
656906	2245	1996-03-16	PRIJEM	VKLAD	24843	93284	\N	\N	\N
656907	2245	1996-08-27	PRIJEM	VKLAD	48884	85221	\N	\N	\N
656908	2245	1996-12-18	PRIJEM	VKLAD	9772	105690	\N	\N	\N
656909	2245	1996-10-22	PRIJEM	VKLAD	35873	77575	\N	\N	\N
656910	2245	1996-04-13	PRIJEM	VKLAD	6336	78352	\N	\N	\N
656911	2245	1996-12-12	PRIJEM	VKLAD	37932	103167	\N	\N	\N
656912	2245	1997-03-03	PRIJEM	VKLAD	15758	54453	\N	\N	\N
656913	2245	1998-12-28	PRIJEM	VKLAD	16935	121491	\N	\N	\N
656914	2245	1998-05-22	PRIJEM	VKLAD	42842	132021	\N	\N	\N
656915	2245	1998-06-24	PRIJEM	VKLAD	46532	157700	\N	\N	\N
656916	2245	1998-09-22	PRIJEM	VKLAD	17002	155530	\N	\N	\N
656917	2245	1998-05-08	PRIJEM	VKLAD	19045	117280	\N	\N	\N
656918	2245	1998-01-11	PRIJEM	VKLAD	40257	85635	\N	\N	\N
656919	2245	1998-03-14	PRIJEM	VKLAD	9074	78527	\N	\N	\N
656920	2245	1998-09-22	PRIJEM	VKLAD	47131	138528	\N	\N	\N
656921	2245	1998-12-29	PRIJEM	VKLAD	40462	161953	\N	\N	\N
656922	2245	1998-09-11	PRIJEM	VKLAD	10336	127375	\N	\N	\N
656923	2245	1998-10-20	PRIJEM	VKLAD	30748	94331	\N	\N	\N
656924	2245	1998-08-09	PRIJEM	VKLAD	25852	108112	\N	\N	\N
656925	2245	1998-09-20	PRIJEM	VKLAD	16871	91397	\N	\N	\N
656926	2245	1998-06-23	PRIJEM	VKLAD	49254	111168	\N	\N	\N
656927	2245	1998-02-03	PRIJEM	VKLAD	32123	110437	\N	\N	\N
656928	2245	1998-07-10	PRIJEM	VKLAD	48286	104389	\N	\N	\N
656929	2245	1998-12-14	PRIJEM	VKLAD	39349	119937	\N	\N	\N
656930	2245	1998-03-24	PRIJEM	VKLAD	31699	110226	\N	\N	\N
656931	2245	1998-09-30	PRIJEM	VKLAD	10407	104446	\N	\N	\N
656932	2245	1998-08-28	PRIJEM	VKLAD	44318	112593	\N	\N	\N
656933	2245	1998-04-06	PRIJEM	VKLAD	16864	107533	\N	\N	\N
656934	2245	1998-01-23	PRIJEM	VKLAD	38378	116764	\N	\N	\N
656935	2245	1998-11-05	PRIJEM	VKLAD	16952	101928	\N	\N	\N
656936	2245	1998-09-09	PRIJEM	VKLAD	26099	117039	\N	\N	\N
656937	2245	1998-11-08	PRIJEM	VKLAD	13773	115701	\N	\N	\N
656938	2245	1998-11-14	PRIJEM	VKLAD	18513	126965	\N	\N	\N
656939	2245	1998-05-11	PRIJEM	VKLAD	44748	162028	\N	\N	\N
656940	2245	1998-05-03	PRIJEM	VKLAD	20545	121235	\N	\N	\N
656951	2245	1993-11-23	VYDAJ	VYBER	6600	61707	\N	\N	0
656952	2245	1993-12-04	VYDAJ	VYBER	8600	45542	\N	\N	0
656953	2245	1994-01-22	VYDAJ	VYBER	6300	18868	\N	\N	0
656954	2245	1994-02-17	VYDAJ	VYBER	6800	52966	\N	\N	0
656955	2245	1994-03-03	VYDAJ	VYBER	6400	25169	\N	\N	0
656956	2245	1994-03-28	VYDAJ	VYBER	8000	56284	\N	\N	0
656957	2245	1994-05-18	VYDAJ	VYBER	5200	34539	\N	\N	0
656958	2245	1994-06-19	VYDAJ	VYBER	5800	58229	\N	\N	0
656959	2245	1994-07-05	VYDAJ	VYBER	10300	20988	\N	\N	0
656960	2245	1994-08-15	VYDAJ	VYBER	6200	54230	\N	\N	0
656961	2245	1994-09-16	VYDAJ	VYBER	7700	82967	\N	\N	0
656962	2245	1994-10-02	VYDAJ	VYBER	6200	38375	\N	\N	0
656963	2245	1994-11-18	VYDAJ	VYBER	7200	80330	\N	\N	0
656964	2245	1994-12-12	VYDAJ	VYBER	6000	32156	\N	\N	0
656965	2245	1995-01-13	VYDAJ	VYBER	5800	57546	\N	\N	0
656966	2245	1995-02-12	VYDAJ	PREVOD NA UCET	7249	44933	UVER	UV	2059746
656967	2245	1995-03-12	VYDAJ	PREVOD NA UCET	7249	67457	UVER	UV	2059746
656968	2245	1995-04-12	VYDAJ	PREVOD NA UCET	7249	69885	UVER	UV	2059746
656969	2245	1995-05-12	VYDAJ	PREVOD NA UCET	7249	42996	UVER	UV	2059746
656970	2245	1995-06-12	VYDAJ	PREVOD NA UCET	7249	31315	UVER	UV	2059746
656971	2245	1995-07-12	VYDAJ	PREVOD NA UCET	7249	52960	UVER	UV	2059746
656972	2245	1995-08-12	VYDAJ	PREVOD NA UCET	7249	61477	UVER	UV	2059746
656973	2245	1995-09-12	VYDAJ	PREVOD NA UCET	7249	84748	UVER	UV	2059746
656974	2245	1995-10-12	VYDAJ	PREVOD NA UCET	7249	86718	UVER	UV	2059746
656975	2245	1995-11-12	VYDAJ	PREVOD NA UCET	7249	63683	UVER	UV	2059746
656976	2245	1995-12-12	VYDAJ	PREVOD NA UCET	7249	59787	UVER	UV	2059746
656977	2245	1996-01-12	VYDAJ	PREVOD NA UCET	7249	56989	UVER	UV	2059746
656978	2245	1996-02-12	VYDAJ	PREVOD NA UCET	7249	74606	UVER	UV	2059746
656979	2245	1996-03-12	VYDAJ	PREVOD NA UCET	7249	96141	UVER	UV	2059746
656980	2245	1996-04-12	VYDAJ	PREVOD NA UCET	7249	72016	UVER	UV	2059746
656981	2245	1996-05-12	VYDAJ	PREVOD NA UCET	7249	53831	UVER	UV	2059746
656982	2245	1996-06-12	VYDAJ	PREVOD NA UCET	7249	47771	UVER	UV	2059746
656983	2245	1996-07-12	VYDAJ	PREVOD NA UCET	7249	38991	UVER	UV	2059746
656984	2245	1996-08-12	VYDAJ	PREVOD NA UCET	7249	39514	UVER	UV	2059746
656985	2245	1996-09-12	VYDAJ	PREVOD NA UCET	7249	38550	UVER	UV	2059746
656986	2245	1996-10-12	VYDAJ	PREVOD NA UCET	7249	59598	UVER	UV	2059746
656987	2245	1996-11-12	VYDAJ	PREVOD NA UCET	7249	48424	UVER	UV	2059746
656988	2245	1996-12-12	VYDAJ	PREVOD NA UCET	7249	95918	UVER	UV	2059746
656989	2245	1997-01-12	VYDAJ	PREVOD NA UCET	7249	49189	UVER	UV	2059746
656990	2245	1997-02-12	VYDAJ	PREVOD NA UCET	7249	38551	UVER	UV	2059746
656991	2245	1997-03-12	VYDAJ	PREVOD NA UCET	7249	41304	UVER	UV	2059746
656992	2245	1997-04-12	VYDAJ	PREVOD NA UCET	7249	31794	UVER	UV	2059746
656993	2245	1997-05-12	VYDAJ	PREVOD NA UCET	7249	33470	UVER	UV	2059746
656994	2245	1997-06-12	VYDAJ	PREVOD NA UCET	7249	34837	UVER	UV	2059746
656995	2245	1997-07-12	VYDAJ	PREVOD NA UCET	7249	35209	UVER	UV	2059746
656996	2245	1997-08-12	VYDAJ	PREVOD NA UCET	7249	32784	UVER	UV	2059746
656997	2245	1997-09-12	VYDAJ	PREVOD NA UCET	7249	33453	UVER	UV	2059746
656998	2245	1997-10-12	VYDAJ	PREVOD NA UCET	7249	33220	UVER	UV	2059746
656999	2245	1997-11-12	VYDAJ	PREVOD NA UCET	7249	35386	UVER	UV	2059746
657000	2245	1997-12-12	VYDAJ	PREVOD NA UCET	7249	35656	UVER	UV	2059746
657001	2245	1998-01-12	VYDAJ	PREVOD NA UCET	7249	78386	UVER	UV	2059746
657002	2245	1998-02-12	VYDAJ	PREVOD NA UCET	7249	103188	UVER	UV	2059746
657003	2245	1998-03-12	VYDAJ	PREVOD NA UCET	7249	69453	UVER	UV	2059746
657004	2245	1998-04-12	VYDAJ	PREVOD NA UCET	7249	100284	UVER	UV	2059746
657005	2245	1998-05-12	VYDAJ	PREVOD NA UCET	7249	89179	UVER	UV	2059746
657006	2245	1998-06-12	VYDAJ	PREVOD NA UCET	7249	76125	UVER	UV	2059746
657007	2245	1998-07-12	VYDAJ	PREVOD NA UCET	7249	97140	UVER	UV	2059746
657008	2245	1998-08-12	VYDAJ	PREVOD NA UCET	7249	100863	UVER	UV	2059746
657009	2245	1998-09-12	VYDAJ	PREVOD NA UCET	7249	74526	UVER	UV	2059746
657010	2245	1998-10-12	VYDAJ	PREVOD NA UCET	7249	63583	UVER	UV	2059746
657011	2245	1998-11-12	VYDAJ	PREVOD NA UCET	7249	108452	UVER	UV	2059746
657012	2245	1998-12-12	VYDAJ	PREVOD NA UCET	7249	80588	UVER	UV	2059746
657014	2245	1993-12-07	VYBER	VYBER	11843	29499	\N	\N	\N
657017	2245	1993-12-21	VYBER	VYBER	20958	52065	\N	\N	\N
657018	2245	1993-11-21	VYBER	VYBER	3359	68307	\N	\N	\N
657027	2245	1994-01-07	VYBER	VYBER	12985	25168	\N	\N	\N
657029	2245	1994-05-18	VYBER	VYBER	6576	39739	\N	\N	\N
657030	2245	1994-05-10	VYBER	VYBER	12305	46315	\N	\N	\N
657031	2245	1994-01-27	VYBER	VYBER	12727	23929	\N	\N	\N
657032	2245	1994-04-24	VYBER	VYBER	4782	26861	\N	\N	\N
657036	2245	1994-11-25	VYBER	VYBER	11467	45063	\N	\N	\N
657037	2245	1994-03-02	VYBER	VYBER	7822	31569	\N	\N	\N
657038	2245	1994-07-19	VYBER	VYBER	7384	74665	\N	\N	\N
657039	2245	1995-03-15	VYBER	VYBER	19179	48278	\N	\N	\N
657040	2245	1995-06-25	VYBER	VYBER	19596	63621	\N	\N	\N
657042	2245	1996-10-31	VYBER	VYBER	6188	71688	\N	\N	\N
657043	2245	1996-01-18	VYBER	VYBER	15899	32290	\N	\N	\N
657045	2245	1996-10-16	VYBER	VYBER	17896	41702	\N	\N	\N
657046	2245	1996-12-28	VYBER	VYBER	17129	88561	\N	\N	\N
657048	2245	1996-08-16	VYBER	VYBER	3177	36337	\N	\N	\N
657059	2245	1997-04-10	VYBER	VYBER	6712	39043	\N	\N	\N
657060	2245	1998-01-25	VYBER	VYBER	3636	113128	\N	\N	\N
657061	2245	1998-12-18	VYBER	VYBER	15381	104556	\N	\N	\N
657062	2245	1998-08-18	VYBER	VYBER	18788	68275	\N	\N	\N
657063	2245	1998-06-18	VYBER	VYBER	14211	61914	\N	\N	\N
657065	2245	1994-06-04	VYDAJ	VYBER	12600	64029	\N	\N	\N
657069	2245	1998-06-26	VYDAJ	VYBER	65400	45800	\N	\N	\N
657071	2245	1994-01-26	VYDAJ	VYBER	25800	36656	\N	\N	\N
657072	2245	1995-01-10	VYDAJ	VYBER	7500	63346	\N	\N	\N
657073	2245	1996-01-08	VYDAJ	VYBER	3000	64238	\N	\N	\N
657074	2245	1997-01-08	VYDAJ	VYBER	20700	68238	\N	\N	\N
657075	2245	1998-01-30	VYDAJ	VYBER	13500	99628	\N	\N	\N
657078	2245	1993-12-05	VYDAJ	VYBER	4200	41342	\N	\N	\N
657081	2245	1994-09-26	VYDAJ	VYBER	14400	44267	\N	\N	\N
657082	2245	1994-12-07	VYDAJ	VYBER	7200	38156	\N	\N	\N
657083	2245	1994-04-06	VYDAJ	VYBER	13200	29743	\N	\N	\N
657084	2245	1994-05-04	VYDAJ	VYBER	3900	23090	\N	\N	\N
657085	2245	1994-04-01	VYDAJ	VYBER	13500	42943	\N	\N	\N
657086	2245	1994-08-22	VYDAJ	VYBER	9000	60313	\N	\N	\N
657087	2245	1994-07-05	VYDAJ	VYBER	14100	31288	\N	\N	\N
657088	2245	1995-08-02	VYDAJ	VYBER	7200	37464	\N	\N	\N
657089	2245	1995-05-16	VYDAJ	VYBER	2100	40896	\N	\N	\N
657090	2245	1995-03-09	VYDAJ	VYBER	5400	74706	\N	\N	\N
657091	2245	1995-07-01	VYDAJ	VYBER	3600	60209	\N	\N	\N
657092	2245	1995-08-14	VYDAJ	VYBER	2700	58777	\N	\N	\N
657093	2245	1995-09-28	VYDAJ	VYBER	2700	58548	\N	\N	\N
657094	2245	1995-11-28	VYDAJ	VYBER	8100	41083	\N	\N	\N
657095	2245	1996-09-09	VYDAJ	VYBER	12000	73399	\N	\N	\N
657096	2245	1996-04-08	VYDAJ	VYBER	14400	79265	\N	\N	\N
657097	2245	1996-05-17	VYDAJ	VYBER	6000	41431	\N	\N	\N
657098	2245	1996-09-11	VYDAJ	VYBER	12000	45799	\N	\N	\N
657099	2245	1996-06-12	VYDAJ	VYBER	9300	38471	\N	\N	\N
657101	2245	1997-03-10	VYDAJ	VYBER	2400	48553	\N	\N	\N
657102	2245	1997-01-13	VYDAJ	VYBER	8100	41089	\N	\N	\N
657104	2245	1997-11-18	VYDAJ	VYBER	1500	33886	\N	\N	\N
657105	2245	1998-08-15	VYDAJ	VYBER	13800	87063	\N	\N	\N
657106	2245	1998-10-05	VYDAJ	VYBER	13800	70832	\N	\N	\N
657107	2245	1998-03-03	VYDAJ	VYBER	6900	96702	\N	\N	\N
657119	2245	1993-11-30	VYDAJ	VYBER	15	54142	SLUZBY	\N	\N
657120	2245	1993-12-31	VYDAJ	VYBER	15	38153	SLUZBY	\N	\N
657121	2245	1994-01-31	VYDAJ	VYBER	15	24060	SLUZBY	\N	\N
657122	2245	1994-02-28	VYDAJ	VYBER	15	39391	SLUZBY	\N	\N
657123	2245	1994-03-31	VYDAJ	VYBER	15	56443	SLUZBY	\N	\N
657124	2245	1994-04-30	VYDAJ	VYBER	15	26990	SLUZBY	\N	\N
657125	2245	1994-05-31	VYDAJ	VYBER	15	76629	SLUZBY	\N	\N
657126	2245	1994-06-30	VYDAJ	VYBER	15	45388	SLUZBY	\N	\N
657127	2245	1994-07-31	VYDAJ	VYBER	15	115030	SLUZBY	\N	\N
657128	2245	1994-08-31	VYDAJ	VYBER	15	90667	SLUZBY	\N	\N
657129	2245	1994-09-30	VYDAJ	VYBER	15	44575	SLUZBY	\N	\N
657130	2245	1994-10-31	VYDAJ	VYBER	15	87530	SLUZBY	\N	\N
657131	2245	1994-11-30	VYDAJ	VYBER	15	45356	SLUZBY	\N	\N
657132	2245	1994-12-31	VYDAJ	VYBER	15	70846	SLUZBY	\N	\N
657133	2245	1995-01-31	VYDAJ	VYBER	15	46071	SLUZBY	\N	\N
657134	2245	1995-02-28	VYDAJ	VYBER	15	80106	SLUZBY	\N	\N
657135	2245	1995-03-31	VYDAJ	VYBER	15	77134	SLUZBY	\N	\N
657136	2245	1995-04-30	VYDAJ	VYBER	15	50245	SLUZBY	\N	\N
657137	2245	1995-05-31	VYDAJ	VYBER	15	38564	SLUZBY	\N	\N
657138	2245	1995-06-30	VYDAJ	VYBER	15	63809	SLUZBY	\N	\N
657139	2245	1995-07-31	VYDAJ	VYBER	15	44664	SLUZBY	\N	\N
657140	2245	1995-08-31	VYDAJ	VYBER	15	48393	SLUZBY	\N	\N
657141	2245	1995-09-30	VYDAJ	VYBER	15	58778	SLUZBY	\N	\N
657142	2245	1995-10-31	VYDAJ	VYBER	15	70932	SLUZBY	\N	\N
657143	2245	1995-11-30	VYDAJ	VYBER	15	41309	SLUZBY	\N	\N
657144	2245	1995-12-31	VYDAJ	VYBER	15	67238	SLUZBY	\N	\N
657145	2245	1996-01-31	VYDAJ	VYBER	15	32473	SLUZBY	\N	\N
657146	2245	1996-02-29	VYDAJ	VYBER	15	103390	SLUZBY	\N	\N
657147	2245	1996-03-31	VYDAJ	VYBER	15	93665	SLUZBY	\N	\N
657148	2245	1996-04-30	VYDAJ	VYBER	15	61080	SLUZBY	\N	\N
657149	2245	1996-05-31	VYDAJ	VYBER	15	41620	SLUZBY	\N	\N
657150	2245	1996-06-30	VYDAJ	VYBER	15	38640	SLUZBY	\N	\N
657151	2245	1996-07-31	VYDAJ	VYBER	15	44263	SLUZBY	\N	\N
657152	2245	1996-08-31	VYDAJ	VYBER	15	85399	SLUZBY	\N	\N
657153	2245	1996-09-30	VYDAJ	VYBER	15	92647	SLUZBY	\N	\N
657154	2245	1996-10-31	VYDAJ	VYBER	15	71673	SLUZBY	\N	\N
657155	2245	1996-11-30	VYDAJ	VYBER	15	88435	SLUZBY	\N	\N
657156	2245	1996-12-31	VYDAJ	VYBER	15	88938	SLUZBY	\N	\N
657157	2245	1997-01-31	VYDAJ	VYBER	15	41300	SLUZBY	\N	\N
657158	2245	1997-02-28	VYDAJ	VYBER	15	38695	SLUZBY	\N	\N
657159	2245	1997-03-31	VYDAJ	VYBER	15	41455	SLUZBY	\N	\N
657160	2245	1997-04-30	VYDAJ	VYBER	15	31919	SLUZBY	\N	\N
657161	2245	1997-05-31	VYDAJ	VYBER	15	33586	SLUZBY	\N	\N
657162	2245	1997-06-30	VYDAJ	VYBER	15	34958	SLUZBY	\N	\N
657163	2245	1997-07-31	VYDAJ	VYBER	15	35333	SLUZBY	\N	\N
657164	2245	1997-08-31	VYDAJ	VYBER	15	32902	SLUZBY	\N	\N
657165	2245	1997-09-30	VYDAJ	VYBER	15	33568	SLUZBY	\N	\N
657166	2245	1997-10-31	VYDAJ	VYBER	15	33335	SLUZBY	\N	\N
657167	2245	1997-11-30	VYDAJ	VYBER	15	34004	SLUZBY	\N	\N
657168	2245	1997-12-31	VYDAJ	VYBER	15	35778	SLUZBY	\N	\N
657169	2245	1998-01-31	VYDAJ	VYBER	15	99914	SLUZBY	\N	\N
657170	2245	1998-02-28	VYDAJ	VYBER	15	103602	SLUZBY	\N	\N
657171	2245	1998-03-31	VYDAJ	VYBER	15	110569	SLUZBY	\N	\N
657172	2245	1998-04-30	VYDAJ	VYBER	15	100690	SLUZBY	\N	\N
657173	2245	1998-05-31	VYDAJ	VYBER	15	94574	SLUZBY	\N	\N
657174	2245	1998-06-30	VYDAJ	VYBER	15	46103	SLUZBY	\N	\N
657175	2245	1998-07-31	VYDAJ	VYBER	15	97460	SLUZBY	\N	\N
657176	2245	1998-08-31	VYDAJ	VYBER	15	90940	SLUZBY	\N	\N
657177	2245	1998-09-30	VYDAJ	VYBER	15	84632	SLUZBY	\N	\N
657178	2245	1998-10-31	VYDAJ	VYBER	15	84976	SLUZBY	\N	\N
657179	2245	1998-11-30	VYDAJ	VYBER	15	87837	SLUZBY	\N	\N
657180	2245	1993-04-29	PRIJEM	VKLAD	10400	10700	\N	\N	\N
657181	2245	1993-05-29	PRIJEM	VKLAD	5000	15700	\N	\N	\N
657182	2245	1993-06-28	VYDAJ	VYBER	24400	48350	\N	\N	\N
657183	2245	1993-07-28	VYDAJ	VYBER	22700	45403	\N	\N	\N
657184	2245	1993-08-27	VYDAJ	VYBER	10300	35303	\N	\N	\N
657185	2245	1993-09-26	VYDAJ	VYBER	19300	42689	\N	\N	\N
657186	2245	1993-10-26	VYDAJ	VYBER	9200	33676	\N	\N	\N
657187	2245	1993-11-25	VYDAJ	VYBER	15800	45907	\N	\N	\N
657188	2245	1993-12-25	VYDAJ	VYBER	14100	37965	\N	\N	\N
657189	2245	1994-01-24	PRIJEM	VKLAD	5500	24368	\N	\N	\N
657190	2245	1994-02-23	VYDAJ	VYBER	13700	39266	\N	\N	\N
657191	2245	1994-03-25	VYDAJ	VYBER	40600	64284	\N	\N	\N
657192	2245	1994-04-24	PRIJEM	VKLAD	1900	31643	\N	\N	\N
657193	2245	1994-05-24	VYDAJ	VYBER	26800	57010	\N	\N	\N
657194	2245	1994-06-23	VYDAJ	VYBER	13100	45129	\N	\N	\N
657195	2245	1994-07-23	VYDAJ	VYBER	18900	68413	\N	\N	\N
657196	2245	1994-07-23	VYDAJ	VYBER	35700	87313	\N	\N	\N
657197	2245	1994-07-31	VYDAJ	VYBER	54600	60430	\N	\N	\N
657198	2245	1994-08-22	VYDAJ	VYBER	27800	69313	\N	\N	\N
657199	2245	1994-09-21	VYDAJ	VYBER	24300	58667	\N	\N	\N
657200	2245	1994-10-21	VYDAJ	VYBER	27600	56030	\N	\N	\N
657201	2245	1994-11-20	VYDAJ	VYBER	23800	56530	\N	\N	\N
657202	2245	1994-12-20	VYDAJ	VYBER	14100	50295	\N	\N	\N
657203	2245	1995-01-19	VYDAJ	VYBER	11700	45846	\N	\N	\N
657204	2245	1995-02-18	VYDAJ	VYBER	13600	51016	\N	\N	\N
657205	2245	1995-03-20	VYDAJ	VYBER	14400	52154	\N	\N	\N
657206	2245	1995-04-19	VYDAJ	VYBER	19900	49985	\N	\N	\N
657207	2245	1995-05-19	VYDAJ	VYBER	2500	38396	\N	\N	\N
657208	2245	1995-06-18	PRIJEM	VKLAD	3300	34615	\N	\N	\N
657209	2245	1995-07-18	VYDAJ	VYBER	8500	44460	\N	\N	\N
657210	2245	1995-08-17	VYDAJ	VYBER	10600	48177	\N	\N	\N
657211	2245	1995-09-16	VYDAJ	VYBER	23500	61248	\N	\N	\N
657212	2245	1995-10-16	VYDAJ	VYBER	23900	62818	\N	\N	\N
657213	2245	1995-11-15	VYDAJ	VYBER	14500	49183	\N	\N	\N
657214	2245	1995-12-15	VYDAJ	VYBER	24500	67013	\N	\N	\N
657215	2245	1996-01-14	VYDAJ	VYBER	8800	48189	\N	\N	\N
657216	2245	1996-02-13	VYDAJ	VYBER	18800	55806	\N	\N	\N
657217	2245	1996-02-26	VYDAJ	VYBER	30100	103177	\N	\N	\N
657218	2245	1996-03-14	VYDAJ	VYBER	27700	68441	\N	\N	\N
657219	2245	1996-04-13	VYDAJ	VYBER	17600	60752	\N	\N	\N
657220	2245	1996-05-13	VYDAJ	VYBER	6400	47431	\N	\N	\N
657221	2245	1996-06-12	PRIJEM	VKLAD	13400	55020	\N	\N	\N
657222	2245	1996-07-12	PRIJEM	VKLAD	7600	46240	\N	\N	\N
657223	2245	1996-08-11	PRIJEM	VKLAD	2500	46763	\N	\N	\N
657224	2245	1996-09-10	VYDAJ	VYBER	15600	57799	\N	\N	\N
657225	2245	1996-10-10	VYDAJ	VYBER	25800	66847	\N	\N	\N
657226	2245	1996-11-09	VYDAJ	VYBER	16000	55673	\N	\N	\N
657227	2245	1996-12-09	VYDAJ	VYBER	23200	65235	\N	\N	\N
657228	2245	1997-01-08	VYDAJ	VYBER	11800	56438	\N	\N	\N
657229	2245	1997-02-07	PRIJEM	VKLAD	4500	45800	\N	\N	\N
657230	2245	1997-03-09	VYDAJ	VYBER	3500	50953	\N	\N	\N
657231	2245	1997-04-08	PRIJEM	VKLAD	4300	45755	\N	\N	\N
657232	2245	1997-05-08	PRIJEM	VKLAD	8800	40719	\N	\N	\N
657233	2245	1997-06-07	PRIJEM	VKLAD	8500	42086	\N	\N	\N
657234	2245	1997-07-07	PRIJEM	VKLAD	7500	42458	\N	\N	\N
657235	2245	1997-08-06	PRIJEM	VKLAD	4700	40033	\N	\N	\N
657236	2245	1997-09-05	PRIJEM	VKLAD	7800	40702	\N	\N	\N
657237	2245	1997-10-05	PRIJEM	VKLAD	6900	40468	\N	\N	\N
657238	2245	1997-11-04	PRIJEM	VKLAD	9300	42635	\N	\N	\N
657239	2245	1997-12-04	PRIJEM	VKLAD	8900	42904	\N	\N	\N
657240	2245	1998-01-03	PRIJEM	VKLAD	9600	45378	\N	\N	\N
657241	2245	1998-02-02	VYDAJ	VYBER	21600	78314	\N	\N	\N
657242	2245	1998-03-04	VYDAJ	VYBER	20000	76702	\N	\N	\N
657243	2245	1998-04-03	VYDAJ	VYBER	19900	90669	\N	\N	\N
657244	2245	1998-05-03	VYDAJ	VYBER	23000	98235	\N	\N	\N
657245	2245	1998-05-11	VYDAJ	VYBER	17200	144828	\N	\N	\N
657246	2245	1998-05-12	VYDAJ	VYBER	48400	96428	\N	\N	\N
657247	2245	1998-05-22	VYDAJ	VYBER	37900	94121	\N	\N	\N
657248	2245	1998-06-02	VYDAJ	VYBER	11200	83374	\N	\N	\N
657249	2245	1998-06-24	VYDAJ	VYBER	46500	111200	\N	\N	\N
657250	2245	1998-07-02	PRIJEM	VKLAD	10000	56103	\N	\N	\N
657251	2245	1998-08-01	VYDAJ	VYBER	15200	82260	\N	\N	\N
657252	2245	1998-08-31	VYDAJ	VYBER	22000	90955	\N	\N	\N
657253	2245	1998-09-11	VYDAJ	VYBER	45600	81775	\N	\N	\N
657254	2245	1998-09-22	VYDAJ	VYBER	61900	93630	\N	\N	\N
657255	2245	1998-09-30	VYDAJ	VYBER	19800	84646	\N	\N	\N
657256	2245	1998-10-30	VYDAJ	VYBER	9700	84631	\N	\N	\N
657257	2245	1998-11-14	VYDAJ	VYBER	32300	94665	\N	\N	\N
657258	2245	1998-11-29	VYDAJ	VYBER	7200	87465	\N	\N	\N
657259	2245	1998-12-29	VYDAJ	VYBER	37100	124853	\N	\N	\N
657327	2246	1996-04-25	PRIJEM	VKLAD	700	700	\N	\N	\N
657329	2246	1996-11-11	PRIJEM	VKLAD	34138	51197	\N	\N	\N
657330	2246	1996-06-28	PRIJEM	VKLAD	38091	59891	\N	\N	\N
657332	2246	1996-09-14	PRIJEM	VKLAD	48667	140706	\N	\N	\N
657334	2246	1996-07-28	PRIJEM	VKLAD	25057	79825	\N	\N	\N
657336	2246	1996-07-04	PRIJEM	VKLAD	25852	85768	\N	\N	\N
657338	2246	1996-09-01	PRIJEM	VKLAD	38324	92039	\N	\N	\N
657340	2246	1997-06-13	PRIJEM	VKLAD	21272	46465	\N	\N	\N
657341	2246	1997-06-26	PRIJEM	VKLAD	33000	62265	\N	\N	\N
657342	2246	1997-12-07	PRIJEM	VKLAD	35550	100410	\N	\N	\N
657343	2246	1997-07-16	PRIJEM	VKLAD	9028	64478	\N	\N	\N
657344	2246	1997-06-01	PRIJEM	VKLAD	22586	32123	\N	\N	\N
657345	2246	1997-09-08	PRIJEM	VKLAD	7425	43783	\N	\N	\N
657346	2246	1997-03-10	PRIJEM	VKLAD	8795	80706	\N	\N	\N
657347	2246	1997-10-05	PRIJEM	VKLAD	24040	50027	\N	\N	\N
657348	2246	1997-12-06	PRIJEM	VKLAD	29951	64860	\N	\N	\N
657349	2246	1997-12-28	PRIJEM	VKLAD	48968	77495	\N	\N	\N
657350	2246	1997-10-11	PRIJEM	VKLAD	25017	75044	\N	\N	\N
657351	2246	1997-09-07	PRIJEM	VKLAD	10997	36358	\N	\N	\N
657352	2246	1997-08-23	PRIJEM	VKLAD	11221	25271	\N	\N	\N
657353	2246	1997-03-10	PRIJEM	VKLAD	48317	71911	\N	\N	\N
657354	2246	1997-10-18	PRIJEM	VKLAD	45389	82618	\N	\N	\N
657355	2246	1997-02-05	PRIJEM	VKLAD	25468	38948	\N	\N	\N
657356	2246	1997-09-14	PRIJEM	VKLAD	16517	46725	\N	\N	\N
657357	2246	1997-09-14	PRIJEM	VKLAD	6547	53272	\N	\N	\N
657358	2246	1998-04-29	PRIJEM	VKLAD	9283	90284	\N	\N	\N
657359	2246	1998-05-08	PRIJEM	VKLAD	36206	126712	\N	\N	\N
657360	2246	1998-03-03	PRIJEM	VKLAD	18150	25310	\N	\N	\N
657361	2246	1998-07-08	PRIJEM	VKLAD	9860	25129	\N	\N	\N
657362	2246	1998-11-19	PRIJEM	VKLAD	40683	94190	\N	\N	\N
657363	2246	1998-09-08	PRIJEM	VKLAD	29513	107806	\N	\N	\N
657364	2246	1998-10-18	PRIJEM	VKLAD	9285	19861	\N	\N	\N
657365	2246	1998-05-09	PRIJEM	VKLAD	32427	135339	\N	\N	\N
657366	2246	1998-12-24	PRIJEM	VKLAD	39921	74580	\N	\N	\N
657367	2246	1998-11-14	PRIJEM	VKLAD	32895	53507	\N	\N	\N
657368	2246	1998-04-21	PRIJEM	VKLAD	41878	63542	\N	\N	\N
657369	2246	1998-08-10	PRIJEM	VKLAD	30143	48806	\N	\N	\N
657370	2246	1998-08-29	PRIJEM	VKLAD	13787	37784	\N	\N	\N
657371	2246	1998-04-29	PRIJEM	VKLAD	17459	81001	\N	\N	\N
657372	2246	1998-07-10	PRIJEM	VKLAD	35883	61012	\N	\N	\N
657373	2246	1998-10-24	PRIJEM	VKLAD	47591	106839	\N	\N	\N
657374	2246	1998-09-02	PRIJEM	VKLAD	48523	78293	\N	\N	\N
657375	2246	1998-10-20	PRIJEM	VKLAD	39387	59248	\N	\N	\N
657376	2246	1998-03-30	PRIJEM	VKLAD	46955	65335	\N	\N	\N
657386	2246	1996-10-12	VYDAJ	VYBER	9800	32220	\N	\N	0
657387	2246	1996-11-08	VYDAJ	VYBER	9200	17059	\N	\N	0
657388	2246	1996-12-03	VYDAJ	VYBER	9300	24136	\N	\N	0
657389	2246	1997-01-10	VYDAJ	VYBER	5300	9735	\N	\N	0
657390	2246	1997-02-12	VYDAJ	PREVOD NA UCET	6930	32018	UVER	YZ	72096937
657391	2246	1997-03-12	VYDAJ	PREVOD NA UCET	6930	73776	UVER	YZ	72096937
657392	2246	1997-04-12	VYDAJ	PREVOD NA UCET	6930	8601	UVER	YZ	72096937
657393	2246	1997-05-12	VYDAJ	PREVOD NA UCET	6930	2512	UVER	YZ	72096937
657394	2246	1997-06-12	VYDAJ	PREVOD NA UCET	6930	25193	UVER	YZ	72096937
657395	2246	1997-07-12	VYDAJ	PREVOD NA UCET	6930	55450	UVER	YZ	72096937
657396	2246	1997-08-12	VYDAJ	PREVOD NA UCET	6930	10950	UVER	YZ	72096937
657397	2246	1997-09-12	VYDAJ	PREVOD NA UCET	6930	30208	UVER	YZ	72096937
657398	2246	1997-10-12	VYDAJ	PREVOD NA UCET	6930	68114	UVER	YZ	72096937
657399	2246	1997-11-12	VYDAJ	PREVOD NA UCET	6930	64502	UVER	YZ	72096937
657400	2246	1997-12-12	VYDAJ	PREVOD NA UCET	6930	78080	UVER	YZ	72096937
657401	2246	1998-01-12	VYDAJ	PREVOD NA UCET	6930	36730	UVER	YZ	72096937
657402	2246	1998-02-12	VYDAJ	PREVOD NA UCET	6930	11622	UVER	YZ	72096937
657403	2246	1998-03-12	VYDAJ	PREVOD NA UCET	6930	18380	UVER	YZ	72096937
657404	2246	1998-04-12	VYDAJ	PREVOD NA UCET	6930	53964	UVER	YZ	72096937
657405	2246	1998-05-12	VYDAJ	PREVOD NA UCET	6930	94709	UVER	YZ	72096937
657406	2246	1998-06-12	VYDAJ	PREVOD NA UCET	6930	39064	UVER	YZ	72096937
657407	2246	1998-07-12	VYDAJ	PREVOD NA UCET	6930	54082	UVER	YZ	72096937
657408	2246	1998-08-12	VYDAJ	PREVOD NA UCET	6930	23997	UVER	YZ	72096937
657409	2246	1998-09-12	VYDAJ	PREVOD NA UCET	6930	22976	UVER	YZ	72096937
657410	2246	1998-10-12	VYDAJ	PREVOD NA UCET	6930	10576	UVER	YZ	72096937
657411	2246	1998-11-12	VYDAJ	PREVOD NA UCET	6930	20612	UVER	YZ	72096937
657412	2246	1998-12-12	VYDAJ	PREVOD NA UCET	6930	34659	UVER	YZ	72096937
657422	2246	1997-12-28	VYBER	VYBER	14279	63216	\N	\N	\N
657423	2246	1997-12-24	VYBER	VYBER	9053	28527	\N	\N	\N
657424	2246	1997-10-14	VYBER	VYBER	2985	65129	\N	\N	\N
657425	2246	1997-09-12	VYBER	VYBER	6645	37138	\N	\N	\N
657426	2246	1997-03-27	VYBER	VYBER	23512	15364	\N	\N	\N
657428	2246	1997-10-18	VYBER	VYBER	11421	71197	\N	\N	\N
657430	2246	1997-08-08	VYBER	VYBER	19901	17880	\N	\N	\N
657431	2246	1998-08-10	VYBER	VYBER	17879	30927	\N	\N	\N
657432	2246	1998-10-04	VYBER	VYBER	2302	17506	\N	\N	\N
657434	2246	1998-11-05	VYBER	VYBER	12316	66042	\N	\N	\N
657436	2246	1998-10-27	VYBER	VYBER	12938	78201	\N	\N	\N
657443	2246	1996-12-28	VYDAJ	VYBER	2400	14936	\N	\N	\N
657444	2246	1997-12-16	VYDAJ	VYBER	7200	70880	\N	\N	\N
657445	2246	1998-12-09	VYDAJ	VYBER	5400	89089	\N	\N	\N
657458	2246	1998-01-08	VYDAJ	VYBER	8700	43660	\N	\N	\N
657460	2246	1998-01-01	VYDAJ	VYBER	4800	58660	\N	\N	\N
657461	2246	1998-01-12	VYDAJ	VYBER	6600	30130	\N	\N	\N
657463	2246	1998-01-01	VYDAJ	VYBER	6300	52360	\N	\N	\N
657464	2246	1996-09-16	VYDAJ	VYBER	12900	111306	\N	\N	\N
657469	2246	1997-09-14	VYDAJ	VYBER	7500	45772	\N	\N	\N
657471	2246	1997-03-26	VYDAJ	VYBER	3900	38876	\N	\N	\N
657472	2246	1998-08-29	VYDAJ	VYBER	8100	29684	\N	\N	\N
657476	2246	1998-09-23	VYDAJ	VYBER	3300	19676	\N	\N	\N
657478	2246	1998-04-12	VYDAJ	VYBER	4500	60894	\N	\N	\N
657490	2246	1996-09-30	VYDAJ	VYBER	15	42020	SLUZBY	\N	\N
657491	2246	1996-10-31	VYDAJ	VYBER	15	26259	SLUZBY	\N	\N
657492	2246	1996-11-30	VYDAJ	VYBER	15	33436	SLUZBY	\N	\N
657493	2246	1996-12-31	VYDAJ	VYBER	15	15035	SLUZBY	\N	\N
657494	2246	1997-01-31	VYDAJ	VYBER	15	13480	SLUZBY	\N	\N
657495	2246	1997-02-28	VYDAJ	VYBER	15	23594	SLUZBY	\N	\N
657496	2246	1997-03-31	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
657497	2246	1997-04-30	VYDAJ	VYBER	15	9442	SLUZBY	\N	\N
657498	2246	1997-05-31	VYDAJ	VYBER	15	9537	SLUZBY	\N	\N
657499	2246	1997-06-30	VYDAJ	VYBER	15	62380	SLUZBY	\N	\N
657500	2246	1997-07-31	VYDAJ	VYBER	15	37781	SLUZBY	\N	\N
657501	2246	1997-08-31	VYDAJ	VYBER	15	25361	SLUZBY	\N	\N
657502	2246	1997-09-30	VYDAJ	VYBER	15	25987	SLUZBY	\N	\N
657503	2246	1997-10-31	VYDAJ	VYBER	15	71432	SLUZBY	\N	\N
657504	2246	1997-11-30	VYDAJ	VYBER	15	34909	SLUZBY	\N	\N
657505	2246	1997-12-31	VYDAJ	VYBER	15	63460	SLUZBY	\N	\N
657506	2246	1998-01-31	VYDAJ	VYBER	15	18552	SLUZBY	\N	\N
657507	2246	1998-02-28	VYDAJ	VYBER	15	7160	SLUZBY	\N	\N
657508	2246	1998-03-31	VYDAJ	VYBER	15	65394	SLUZBY	\N	\N
657509	2246	1998-04-30	VYDAJ	VYBER	15	90506	SLUZBY	\N	\N
657510	2246	1998-05-31	VYDAJ	VYBER	15	45994	SLUZBY	\N	\N
657511	2246	1998-06-30	VYDAJ	VYBER	15	15269	SLUZBY	\N	\N
657512	2246	1998-07-31	VYDAJ	VYBER	15	18663	SLUZBY	\N	\N
657513	2246	1998-08-31	VYDAJ	VYBER	15	29770	SLUZBY	\N	\N
657514	2246	1998-09-30	VYDAJ	VYBER	15	19808	SLUZBY	\N	\N
657515	2246	1998-10-31	VYDAJ	VYBER	15	78358	SLUZBY	\N	\N
657516	2246	1998-11-30	VYDAJ	VYBER	15	94489	SLUZBY	\N	\N
657517	2246	1996-05-25	PRIJEM	VKLAD	13600	14300	\N	\N	\N
657518	2246	1996-06-24	PRIJEM	VKLAD	7500	21800	\N	\N	\N
657519	2246	1996-07-24	VYDAJ	VYBER	31000	54768	\N	\N	\N
657520	2246	1996-08-23	VYDAJ	VYBER	26700	53382	\N	\N	\N
657521	2246	1996-09-14	VYDAJ	VYBER	16500	124206	\N	\N	\N
657522	2246	1996-09-16	VYDAJ	VYBER	47600	63706	\N	\N	\N
657523	2246	1996-09-22	VYDAJ	VYBER	22000	41706	\N	\N	\N
657524	2246	1996-10-22	VYDAJ	VYBER	6100	26120	\N	\N	\N
657525	2246	1996-11-21	VYDAJ	VYBER	17900	33297	\N	\N	\N
657526	2246	1996-12-21	VYDAJ	VYBER	6800	17336	\N	\N	\N
657527	2246	1997-01-20	PRIJEM	VKLAD	3700	13435	\N	\N	\N
657528	2246	1997-02-19	VYDAJ	VYBER	8500	23518	\N	\N	\N
657529	2246	1997-03-21	VYDAJ	VYBER	31000	42776	\N	\N	\N
657530	2246	1997-04-20	PRIJEM	VKLAD	800	9401	\N	\N	\N
657531	2246	1997-05-20	PRIJEM	VKLAD	7000	9512	\N	\N	\N
657532	2246	1997-06-19	VYDAJ	VYBER	17200	29265	\N	\N	\N
657533	2246	1997-07-19	VYDAJ	VYBER	26900	37578	\N	\N	\N
657534	2246	1997-08-18	PRIJEM	VKLAD	3100	14050	\N	\N	\N
657535	2246	1997-09-17	VYDAJ	VYBER	19900	25872	\N	\N	\N
657536	2246	1997-10-17	VYDAJ	VYBER	27900	37229	\N	\N	\N
657537	2246	1997-11-16	VYDAJ	VYBER	29800	34702	\N	\N	\N
657538	2246	1997-12-07	VYDAJ	VYBER	15400	85010	\N	\N	\N
657539	2246	1997-12-16	VYDAJ	VYBER	33300	37580	\N	\N	\N
657540	2246	1998-01-15	VYDAJ	VYBER	11700	18430	\N	\N	\N
657541	2246	1998-02-14	VYDAJ	VYBER	4500	7122	\N	\N	\N
657542	2246	1998-04-15	VYDAJ	VYBER	32300	21664	\N	\N	\N
657543	2246	1998-05-08	VYDAJ	VYBER	23800	102912	\N	\N	\N
657544	2246	1998-05-09	VYDAJ	VYBER	33700	101639	\N	\N	\N
657545	2246	1998-05-15	VYDAJ	VYBER	49000	45709	\N	\N	\N
657546	2246	1998-06-14	VYDAJ	VYBER	23900	15164	\N	\N	\N
657547	2246	1998-07-14	VYDAJ	VYBER	35500	18582	\N	\N	\N
657548	2246	1998-09-08	VYDAJ	VYBER	48300	59506	\N	\N	\N
657549	2246	1998-09-12	VYDAJ	VYBER	29600	29906	\N	\N	\N
657550	2246	1998-10-24	VYDAJ	VYBER	15700	91139	\N	\N	\N
657551	2246	1998-11-11	VYDAJ	VYBER	38500	27542	\N	\N	\N
657552	2246	1998-12-11	VYDAJ	VYBER	47500	41589	\N	\N	\N
657584	2247	1996-04-13	PRIJEM	VKLAD	600	600	\N	\N	\N
657587	2247	1996-10-05	PRIJEM	VKLAD	23251	47575	\N	\N	\N
657588	2247	1996-12-07	PRIJEM	VKLAD	17246	66580	\N	\N	\N
657590	2247	1996-06-03	PRIJEM	VKLAD	12840	108084	\N	\N	\N
657591	2247	1996-11-22	PRIJEM	VKLAD	39558	62677	\N	\N	\N
657592	2247	1996-07-08	PRIJEM	VKLAD	37845	110073	\N	\N	\N
657595	2247	1996-06-30	PRIJEM	VKLAD	39612	73364	\N	\N	\N
657596	2247	1996-05-25	PRIJEM	VKLAD	31694	102599	\N	\N	\N
657599	2247	1996-06-08	PRIJEM	VKLAD	33014	117054	\N	\N	\N
657600	2247	1996-04-26	PRIJEM	VKLAD	40211	40811	\N	\N	\N
657601	2247	1996-08-19	PRIJEM	VKLAD	13012	40713	\N	\N	\N
657602	2247	1996-05-30	PRIJEM	VKLAD	43021	145620	\N	\N	\N
657604	2247	1996-05-04	PRIJEM	VKLAD	9891	50730	\N	\N	\N
657605	2247	1996-05-23	PRIJEM	VKLAD	31975	70905	\N	\N	\N
657607	2247	1997-10-09	PRIJEM	VKLAD	39678	60938	\N	\N	\N
657608	2247	1997-12-21	PRIJEM	VKLAD	21448	42121	\N	\N	\N
657609	2247	1998-11-17	PRIJEM	VKLAD	45890	102786	\N	\N	\N
657610	2247	1998-05-27	PRIJEM	VKLAD	46129	74802	\N	\N	\N
657611	2247	1998-08-11	PRIJEM	VKLAD	44120	77839	\N	\N	\N
657612	2247	1998-10-01	PRIJEM	VKLAD	11065	52290	\N	\N	\N
657613	2247	1998-09-30	PRIJEM	VKLAD	6302	44467	\N	\N	\N
657614	2247	1998-11-01	PRIJEM	VKLAD	10508	63563	\N	\N	\N
657615	2247	1998-02-18	PRIJEM	VKLAD	44553	67583	\N	\N	\N
657616	2247	1998-10-27	PRIJEM	VKLAD	24147	69770	\N	\N	\N
657617	2247	1998-11-18	PRIJEM	VKLAD	26700	129486	\N	\N	\N
657618	2247	1998-06-15	PRIJEM	VKLAD	38043	81324	\N	\N	\N
657619	2247	1998-04-22	PRIJEM	VKLAD	12918	41209	\N	\N	\N
657620	2247	1998-01-22	PRIJEM	VKLAD	14395	43770	\N	\N	\N
657626	2247	1996-06-21	VYDAJ	VYBER	2400	33752	\N	\N	0
657627	2247	1996-07-18	VYDAJ	VYBER	2000	35171	\N	\N	0
657628	2247	1996-08-27	VYDAJ	VYBER	1800	38913	\N	\N	0
657629	2247	1996-09-16	VYDAJ	VYBER	2800	24223	\N	\N	0
657630	2247	1996-10-13	VYDAJ	VYBER	2700	34329	\N	\N	0
657631	2247	1996-11-05	VYDAJ	VYBER	2300	32165	\N	\N	0
657632	2247	1996-12-18	VYDAJ	VYBER	2600	27078	\N	\N	0
657633	2247	1997-01-01	VYDAJ	VYBER	2500	24720	\N	\N	0
657634	2247	1997-02-04	VYDAJ	VYBER	2900	17650	\N	\N	0
657635	2247	1997-03-12	VYDAJ	PREVOD NA UCET	3021	17048	UVER	UV	52448576
657636	2247	1997-04-12	VYDAJ	PREVOD NA UCET	3021	15836	UVER	UV	52448576
657637	2247	1997-05-12	VYDAJ	PREVOD NA UCET	3021	18412	UVER	UV	52448576
657638	2247	1997-06-12	VYDAJ	PREVOD NA UCET	3021	17201	UVER	UV	52448576
657639	2247	1997-07-12	VYDAJ	PREVOD NA UCET	3021	18387	UVER	UV	52448576
657640	2247	1997-08-12	VYDAJ	PREVOD NA UCET	3021	14577	UVER	UV	52448576
657641	2247	1997-09-12	VYDAJ	PREVOD NA UCET	3021	16662	UVER	UV	52448576
657642	2247	1997-10-12	VYDAJ	PREVOD NA UCET	3021	57917	UVER	UV	52448576
657643	2247	1997-11-12	VYDAJ	PREVOD NA UCET	3021	40729	UVER	UV	52448576
657644	2247	1997-12-12	VYDAJ	PREVOD NA UCET	3021	29816	UVER	UV	52448576
657645	2247	1998-01-12	VYDAJ	PREVOD NA UCET	3021	30426	UVER	UV	52448576
657646	2247	1998-02-12	VYDAJ	PREVOD NA UCET	3021	24081	UVER	UV	52448576
657647	2247	1998-03-12	VYDAJ	PREVOD NA UCET	3021	43323	UVER	UV	52448576
657648	2247	1998-04-12	VYDAJ	PREVOD NA UCET	3021	29934	UVER	UV	52448576
657649	2247	1998-05-12	VYDAJ	PREVOD NA UCET	3021	29724	UVER	UV	52448576
657650	2247	1998-06-12	VYDAJ	PREVOD NA UCET	3021	44332	UVER	UV	52448576
657651	2247	1998-07-12	VYDAJ	PREVOD NA UCET	3021	48074	UVER	UV	52448576
657652	2247	1998-08-12	VYDAJ	PREVOD NA UCET	3021	74818	UVER	UV	52448576
657653	2247	1998-09-12	VYDAJ	PREVOD NA UCET	3021	39216	UVER	UV	52448576
657654	2247	1998-10-12	VYDAJ	PREVOD NA UCET	3021	46674	UVER	UV	52448576
657655	2247	1998-11-12	VYDAJ	PREVOD NA UCET	3021	58539	UVER	UV	52448576
657656	2247	1998-12-12	VYDAJ	PREVOD NA UCET	3021	49508	UVER	UV	52448576
657662	2247	1996-06-12	VYDAJ	PREVOD NA UCET	592	44703	SIPO	OP	77294456
657663	2247	1996-07-12	VYDAJ	PREVOD NA UCET	592	38222	SIPO	OP	77294456
657664	2247	1996-08-12	VYDAJ	PREVOD NA UCET	592	28752	SIPO	OP	77294456
657665	2247	1996-09-12	VYDAJ	PREVOD NA UCET	592	28074	SIPO	OP	77294456
657666	2247	1996-10-12	VYDAJ	PREVOD NA UCET	592	38080	SIPO	OP	77294456
657667	2247	1996-11-12	VYDAJ	PREVOD NA UCET	592	24170	SIPO	OP	77294456
657668	2247	1996-12-12	VYDAJ	PREVOD NA UCET	592	43029	SIPO	OP	77294456
657669	2247	1997-01-12	VYDAJ	PREVOD NA UCET	592	21525	SIPO	OP	77294456
657670	2247	1997-02-12	VYDAJ	PREVOD NA UCET	592	18155	SIPO	OP	77294456
657671	2247	1997-03-12	VYDAJ	PREVOD NA UCET	592	20069	SIPO	OP	77294456
657672	2247	1997-04-12	VYDAJ	PREVOD NA UCET	592	18857	SIPO	OP	77294456
657673	2247	1997-05-12	VYDAJ	PREVOD NA UCET	592	17820	SIPO	OP	77294456
657674	2247	1997-06-12	VYDAJ	PREVOD NA UCET	592	16609	SIPO	OP	77294456
657675	2247	1997-07-12	VYDAJ	PREVOD NA UCET	592	17795	SIPO	OP	77294456
657676	2247	1997-08-12	VYDAJ	PREVOD NA UCET	592	13985	SIPO	OP	77294456
657677	2247	1997-09-12	VYDAJ	PREVOD NA UCET	592	19683	SIPO	OP	77294456
657678	2247	1997-10-12	VYDAJ	PREVOD NA UCET	592	57325	SIPO	OP	77294456
657679	2247	1997-11-12	VYDAJ	PREVOD NA UCET	592	40137	SIPO	OP	77294456
657680	2247	1997-12-12	VYDAJ	PREVOD NA UCET	592	21724	SIPO	OP	77294456
657681	2247	1998-01-12	VYDAJ	PREVOD NA UCET	592	33447	SIPO	OP	77294456
657682	2247	1998-02-12	VYDAJ	PREVOD NA UCET	592	27102	SIPO	OP	77294456
657683	2247	1998-03-12	VYDAJ	PREVOD NA UCET	592	42731	SIPO	OP	77294456
657684	2247	1998-04-12	VYDAJ	PREVOD NA UCET	592	29342	SIPO	OP	77294456
657685	2247	1998-05-12	VYDAJ	PREVOD NA UCET	592	32745	SIPO	OP	77294456
657686	2247	1998-06-12	VYDAJ	PREVOD NA UCET	592	47353	SIPO	OP	77294456
657687	2247	1998-07-12	VYDAJ	PREVOD NA UCET	592	47482	SIPO	OP	77294456
657688	2247	1998-08-12	VYDAJ	PREVOD NA UCET	592	74226	SIPO	OP	77294456
657689	2247	1998-09-12	VYDAJ	PREVOD NA UCET	592	42237	SIPO	OP	77294456
657690	2247	1998-10-12	VYDAJ	PREVOD NA UCET	592	49695	SIPO	OP	77294456
657691	2247	1998-11-12	VYDAJ	PREVOD NA UCET	592	57947	SIPO	OP	77294456
657692	2247	1998-12-12	VYDAJ	PREVOD NA UCET	592	52529	SIPO	OP	77294456
657698	2247	1996-06-06	VYDAJ	PREVOD NA UCET	1344	84040	 	CD	39011389
657699	2247	1996-07-06	VYDAJ	PREVOD NA UCET	1344	72228	 	CD	39011389
657700	2247	1996-08-06	VYDAJ	PREVOD NA UCET	1344	34003	 	CD	39011389
657701	2247	1996-09-06	VYDAJ	PREVOD NA UCET	1344	32725	 	CD	39011389
657702	2247	1996-10-06	VYDAJ	PREVOD NA UCET	1344	46231	 	CD	39011389
657703	2247	1996-11-06	VYDAJ	PREVOD NA UCET	1344	30821	 	CD	39011389
657704	2247	1996-12-06	VYDAJ	PREVOD NA UCET	1344	49334	 	CD	39011389
657705	2247	1997-01-06	VYDAJ	PREVOD NA UCET	1344	23376	 	CD	39011389
657706	2247	1997-02-06	VYDAJ	PREVOD NA UCET	1344	16306	 	CD	39011389
657707	2247	1997-03-06	VYDAJ	PREVOD NA UCET	1344	15820	 	CD	39011389
657708	2247	1997-04-06	VYDAJ	PREVOD NA UCET	1344	14708	 	CD	39011389
657709	2247	1997-05-06	VYDAJ	PREVOD NA UCET	1344	13492	 	CD	39011389
657710	2247	1997-06-06	VYDAJ	PREVOD NA UCET	1344	15481	 	CD	39011389
657711	2247	1997-07-06	VYDAJ	PREVOD NA UCET	1344	14267	 	CD	39011389
657712	2247	1997-08-06	VYDAJ	PREVOD NA UCET	1344	18257	 	CD	39011389
657713	2247	1997-09-06	VYDAJ	PREVOD NA UCET	1344	20934	 	CD	39011389
657714	2247	1997-10-06	VYDAJ	PREVOD NA UCET	1344	21919	 	CD	39011389
657715	2247	1997-11-06	VYDAJ	PREVOD NA UCET	1344	46809	 	CD	39011389
657716	2247	1997-12-06	VYDAJ	PREVOD NA UCET	1344	33496	 	CD	39011389
657717	2247	1998-01-06	VYDAJ	PREVOD NA UCET	1344	34698	 	CD	39011389
657718	2247	1998-02-06	VYDAJ	PREVOD NA UCET	1344	28353	 	CD	39011389
657719	2247	1998-03-06	VYDAJ	PREVOD NA UCET	1344	47003	 	CD	39011389
657720	2247	1998-04-06	VYDAJ	PREVOD NA UCET	1344	33614	 	CD	39011389
657721	2247	1998-05-06	VYDAJ	PREVOD NA UCET	1344	33996	 	CD	39011389
657722	2247	1998-06-06	VYDAJ	PREVOD NA UCET	1344	48604	 	CD	39011389
657723	2247	1998-07-06	VYDAJ	PREVOD NA UCET	1344	51754	 	CD	39011389
657724	2247	1998-08-06	VYDAJ	PREVOD NA UCET	1344	34378	 	CD	39011389
657725	2247	1998-09-06	VYDAJ	PREVOD NA UCET	1344	43488	 	CD	39011389
657726	2247	1998-10-06	VYDAJ	PREVOD NA UCET	1344	50946	 	CD	39011389
657727	2247	1998-11-06	VYDAJ	PREVOD NA UCET	1344	62219	 	CD	39011389
657728	2247	1998-12-06	VYDAJ	PREVOD NA UCET	1344	53780	 	CD	39011389
657734	2247	1996-06-08	VYDAJ	PREVOD NA UCET	659	60595	POJISTNE	WX	68231224
657735	2247	1996-07-08	VYDAJ	PREVOD NA UCET	659	109414	POJISTNE	WX	68231224
657736	2247	1996-08-08	VYDAJ	PREVOD NA UCET	659	33344	POJISTNE	WX	68231224
657737	2247	1996-09-08	VYDAJ	PREVOD NA UCET	659	32066	POJISTNE	WX	68231224
657738	2247	1996-10-08	VYDAJ	PREVOD NA UCET	659	45572	POJISTNE	WX	68231224
657739	2247	1996-11-08	VYDAJ	PREVOD NA UCET	659	23862	POJISTNE	WX	68231224
657740	2247	1996-12-08	VYDAJ	PREVOD NA UCET	659	65921	POJISTNE	WX	68231224
657741	2247	1997-01-08	VYDAJ	PREVOD NA UCET	659	22717	POJISTNE	WX	68231224
657742	2247	1997-02-08	VYDAJ	PREVOD NA UCET	659	18747	POJISTNE	WX	68231224
657743	2247	1997-03-08	VYDAJ	PREVOD NA UCET	659	15161	POJISTNE	WX	68231224
657744	2247	1997-04-08	VYDAJ	PREVOD NA UCET	659	19449	POJISTNE	WX	68231224
657745	2247	1997-05-08	VYDAJ	PREVOD NA UCET	659	21433	POJISTNE	WX	68231224
657746	2247	1997-06-08	VYDAJ	PREVOD NA UCET	659	20222	POJISTNE	WX	68231224
657747	2247	1997-07-08	VYDAJ	PREVOD NA UCET	659	21408	POJISTNE	WX	68231224
657748	2247	1997-08-08	VYDAJ	PREVOD NA UCET	659	17598	POJISTNE	WX	68231224
657749	2247	1997-09-08	VYDAJ	PREVOD NA UCET	659	20275	POJISTNE	WX	68231224
657750	2247	1997-10-08	VYDAJ	PREVOD NA UCET	659	21260	POJISTNE	WX	68231224
657751	2247	1997-11-08	VYDAJ	PREVOD NA UCET	659	43750	POJISTNE	WX	68231224
657752	2247	1997-12-08	VYDAJ	PREVOD NA UCET	659	32837	POJISTNE	WX	68231224
657753	2247	1998-01-08	VYDAJ	PREVOD NA UCET	659	34039	POJISTNE	WX	68231224
657754	2247	1998-02-08	VYDAJ	PREVOD NA UCET	659	27694	POJISTNE	WX	68231224
657755	2247	1998-03-08	VYDAJ	PREVOD NA UCET	659	46344	POJISTNE	WX	68231224
657756	2247	1998-04-08	VYDAJ	PREVOD NA UCET	659	32955	POJISTNE	WX	68231224
657757	2247	1998-05-08	VYDAJ	PREVOD NA UCET	659	33337	POJISTNE	WX	68231224
657758	2247	1998-06-08	VYDAJ	PREVOD NA UCET	659	47945	POJISTNE	WX	68231224
657759	2247	1998-07-08	VYDAJ	PREVOD NA UCET	659	51095	POJISTNE	WX	68231224
657760	2247	1998-08-08	VYDAJ	PREVOD NA UCET	659	33719	POJISTNE	WX	68231224
657761	2247	1998-09-08	VYDAJ	PREVOD NA UCET	659	42829	POJISTNE	WX	68231224
657762	2247	1998-10-08	VYDAJ	PREVOD NA UCET	659	50287	POJISTNE	WX	68231224
657763	2247	1998-11-08	VYDAJ	PREVOD NA UCET	659	61560	POJISTNE	WX	68231224
657764	2247	1998-12-08	VYDAJ	PREVOD NA UCET	659	53121	POJISTNE	WX	68231224
657770	2247	1996-06-13	VYDAJ	PREVOD NA UCET	1051	36152	 	UV	83908128
657771	2247	1996-07-13	VYDAJ	PREVOD NA UCET	1051	37171	 	UV	83908128
657772	2247	1996-08-13	VYDAJ	PREVOD NA UCET	1051	27701	 	UV	83908128
657773	2247	1996-09-13	VYDAJ	PREVOD NA UCET	1051	27023	 	UV	83908128
657774	2247	1996-10-13	VYDAJ	PREVOD NA UCET	1051	37029	 	UV	83908128
657775	2247	1996-11-13	VYDAJ	PREVOD NA UCET	1051	23119	 	UV	83908128
657776	2247	1996-12-13	VYDAJ	PREVOD NA UCET	1051	41978	 	UV	83908128
657777	2247	1997-01-13	VYDAJ	PREVOD NA UCET	1051	20474	 	UV	83908128
657778	2247	1997-02-13	VYDAJ	PREVOD NA UCET	1051	17104	 	UV	83908128
657779	2247	1997-03-13	VYDAJ	PREVOD NA UCET	1051	15997	 	UV	83908128
657780	2247	1997-04-13	VYDAJ	PREVOD NA UCET	1051	14785	 	UV	83908128
657781	2247	1997-05-13	VYDAJ	PREVOD NA UCET	1051	16769	 	UV	83908128
657782	2247	1997-06-13	VYDAJ	PREVOD NA UCET	1051	15558	 	UV	83908128
657783	2247	1997-07-13	VYDAJ	PREVOD NA UCET	1051	16744	 	UV	83908128
657784	2247	1997-08-13	VYDAJ	PREVOD NA UCET	1051	12934	 	UV	83908128
657785	2247	1997-09-13	VYDAJ	PREVOD NA UCET	1051	15611	 	UV	83908128
657786	2247	1997-10-13	VYDAJ	PREVOD NA UCET	1051	56274	 	UV	83908128
657787	2247	1997-11-13	VYDAJ	PREVOD NA UCET	1051	39086	 	UV	83908128
657788	2247	1997-12-13	VYDAJ	PREVOD NA UCET	1051	20673	 	UV	83908128
657789	2247	1998-01-13	VYDAJ	PREVOD NA UCET	1051	29375	 	UV	83908128
657790	2247	1998-02-13	VYDAJ	PREVOD NA UCET	1051	23030	 	UV	83908128
657791	2247	1998-03-13	VYDAJ	PREVOD NA UCET	1051	41680	 	UV	83908128
657792	2247	1998-04-13	VYDAJ	PREVOD NA UCET	1051	28291	 	UV	83908128
657793	2247	1998-05-13	VYDAJ	PREVOD NA UCET	1051	28673	 	UV	83908128
657794	2247	1998-06-13	VYDAJ	PREVOD NA UCET	1051	43281	 	UV	83908128
657795	2247	1998-07-13	VYDAJ	PREVOD NA UCET	1051	46431	 	UV	83908128
657796	2247	1998-08-13	VYDAJ	PREVOD NA UCET	1051	73175	 	UV	83908128
657797	2247	1998-09-13	VYDAJ	PREVOD NA UCET	1051	38165	 	UV	83908128
657798	2247	1998-10-13	VYDAJ	PREVOD NA UCET	1051	45623	 	UV	83908128
657799	2247	1998-11-13	VYDAJ	PREVOD NA UCET	1051	56896	 	UV	83908128
657800	2247	1998-12-13	VYDAJ	PREVOD NA UCET	1051	48457	 	UV	83908128
657805	2247	1996-11-25	VYBER	VYBER	8233	54444	\N	\N	\N
657808	2247	1996-08-30	VYBER	VYBER	4975	33938	\N	\N	\N
657813	2247	1998-09-05	VYBER	VYBER	10979	44832	\N	\N	\N
657814	2247	1998-12-16	VYBER	VYBER	20183	28274	\N	\N	\N
657816	2247	1996-06-08	VYDAJ	VYBER	15300	45295	\N	\N	\N
657819	2247	1996-12-06	VYDAJ	VYBER	3900	50678	\N	\N	\N
657820	2247	1997-12-12	VYDAJ	VYBER	7500	22316	\N	\N	\N
657823	2247	1996-11-07	VYDAJ	VYBER	6300	24521	\N	\N	\N
657824	2247	1996-12-14	VYDAJ	VYBER	12300	29678	\N	\N	\N
657828	2247	1997-11-06	VYDAJ	VYBER	2400	44409	\N	\N	\N
657832	2247	1997-11-17	VYDAJ	VYBER	4800	34286	\N	\N	\N
657835	2247	1998-07-22	VYDAJ	VYBER	8700	37731	\N	\N	\N
657836	2247	1998-06-29	VYDAJ	VYBER	1800	79524	\N	\N	\N
657837	2247	1998-01-24	VYDAJ	VYBER	10800	32970	\N	\N	\N
657838	2247	1998-11-18	VYDAJ	VYBER	9900	69886	\N	\N	\N
657844	2247	1996-05-31	VYDAJ	VYBER	15	95244	SLUZBY	\N	\N
657845	2247	1996-06-30	VYDAJ	VYBER	15	73572	SLUZBY	\N	\N
657846	2247	1996-07-31	VYDAJ	VYBER	15	35347	SLUZBY	\N	\N
657847	2247	1996-08-31	VYDAJ	VYBER	15	34069	SLUZBY	\N	\N
657848	2247	1996-09-30	VYDAJ	VYBER	15	24324	SLUZBY	\N	\N
657849	2247	1996-10-31	VYDAJ	VYBER	15	34465	SLUZBY	\N	\N
657850	2247	1996-11-30	VYDAJ	VYBER	15	54578	SLUZBY	\N	\N
657851	2247	1996-12-31	VYDAJ	VYBER	15	27220	SLUZBY	\N	\N
657852	2247	1997-01-31	VYDAJ	VYBER	15	20550	SLUZBY	\N	\N
657853	2247	1997-02-28	VYDAJ	VYBER	15	17164	SLUZBY	\N	\N
657854	2247	1997-03-31	VYDAJ	VYBER	15	16052	SLUZBY	\N	\N
657855	2247	1997-04-30	VYDAJ	VYBER	15	14836	SLUZBY	\N	\N
657856	2247	1997-05-31	VYDAJ	VYBER	15	16825	SLUZBY	\N	\N
657857	2247	1997-06-30	VYDAJ	VYBER	15	15611	SLUZBY	\N	\N
657858	2247	1997-07-31	VYDAJ	VYBER	15	16801	SLUZBY	\N	\N
657859	2247	1997-08-31	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
657860	2247	1997-09-30	VYDAJ	VYBER	15	15663	SLUZBY	\N	\N
657861	2247	1997-10-31	VYDAJ	VYBER	15	56453	SLUZBY	\N	\N
657862	2247	1997-11-30	VYDAJ	VYBER	15	34440	SLUZBY	\N	\N
657863	2247	1997-12-31	VYDAJ	VYBER	15	42242	SLUZBY	\N	\N
657864	2247	1998-01-31	VYDAJ	VYBER	15	33097	SLUZBY	\N	\N
657865	2247	1998-02-28	VYDAJ	VYBER	15	67747	SLUZBY	\N	\N
657866	2247	1998-03-31	VYDAJ	VYBER	15	41858	SLUZBY	\N	\N
657867	2247	1998-04-30	VYDAJ	VYBER	15	41340	SLUZBY	\N	\N
657868	2247	1998-05-31	VYDAJ	VYBER	15	74948	SLUZBY	\N	\N
657869	2247	1998-06-30	VYDAJ	VYBER	15	79798	SLUZBY	\N	\N
657870	2247	1998-07-31	VYDAJ	VYBER	15	37922	SLUZBY	\N	\N
657871	2247	1998-08-31	VYDAJ	VYBER	15	55811	SLUZBY	\N	\N
657872	2247	1998-09-30	VYDAJ	VYBER	15	44625	SLUZBY	\N	\N
657873	2247	1998-10-31	VYDAJ	VYBER	15	53055	SLUZBY	\N	\N
657874	2247	1998-11-30	VYDAJ	VYBER	15	55124	SLUZBY	\N	\N
657875	2247	1996-05-13	VYDAJ	VYBER	11800	38930	\N	\N	\N
657876	2247	1996-05-30	VYDAJ	VYBER	26100	119520	\N	\N	\N
657877	2247	1996-05-31	VYDAJ	VYBER	24500	95259	\N	\N	\N
657878	2247	1996-06-06	VYDAJ	VYBER	22700	85384	\N	\N	\N
657879	2247	1996-06-08	VYDAJ	VYBER	55800	61254	\N	\N	\N
657880	2247	1996-06-12	VYDAJ	VYBER	7500	37203	\N	\N	\N
657881	2247	1996-07-08	VYDAJ	VYBER	62200	47214	\N	\N	\N
657882	2247	1996-07-12	VYDAJ	VYBER	8400	38814	\N	\N	\N
657883	2247	1996-08-11	VYDAJ	VYBER	4000	29344	\N	\N	\N
657884	2247	1996-09-10	VYDAJ	VYBER	3400	28666	\N	\N	\N
657885	2247	1996-10-10	VYDAJ	VYBER	6900	38672	\N	\N	\N
657886	2247	1996-11-09	PRIJEM	VKLAD	900	24762	\N	\N	\N
657887	2247	1996-12-09	VYDAJ	VYBER	22300	43621	\N	\N	\N
657888	2247	1997-01-08	VYDAJ	VYBER	600	22117	\N	\N	\N
657889	2247	1997-02-07	PRIJEM	VKLAD	3100	19406	\N	\N	\N
657890	2247	1997-03-09	PRIJEM	VKLAD	5500	20661	\N	\N	\N
657891	2247	1997-04-08	PRIJEM	VKLAD	5400	20108	\N	\N	\N
657892	2247	1997-05-08	PRIJEM	VKLAD	8600	22092	\N	\N	\N
657893	2247	1997-06-07	PRIJEM	VKLAD	5400	20881	\N	\N	\N
657894	2247	1997-07-07	PRIJEM	VKLAD	7800	22067	\N	\N	\N
657895	2247	1997-08-06	PRIJEM	VKLAD	2800	19601	\N	\N	\N
657896	2247	1997-09-05	PRIJEM	VKLAD	9300	22278	\N	\N	\N
657897	2247	1997-10-05	PRIJEM	VKLAD	7600	23263	\N	\N	\N
657898	2247	1997-11-04	VYDAJ	VYBER	8300	48153	\N	\N	\N
657899	2247	1997-12-04	PRIJEM	VKLAD	400	34840	\N	\N	\N
657900	2247	1998-01-03	VYDAJ	VYBER	6200	36042	\N	\N	\N
657901	2247	1998-02-02	VYDAJ	VYBER	3400	29697	\N	\N	\N
657902	2247	1998-03-04	VYDAJ	VYBER	19400	48347	\N	\N	\N
657903	2247	1998-04-03	VYDAJ	VYBER	6900	34958	\N	\N	\N
657904	2247	1998-05-03	VYDAJ	VYBER	6000	35340	\N	\N	\N
657905	2247	1998-06-02	VYDAJ	VYBER	25000	49948	\N	\N	\N
657906	2247	1998-07-02	VYDAJ	VYBER	26700	53098	\N	\N	\N
657907	2247	1998-08-01	VYDAJ	VYBER	2200	35722	\N	\N	\N
657908	2247	1998-08-31	VYDAJ	VYBER	17600	55825	\N	\N	\N
657909	2247	1998-09-30	VYDAJ	VYBER	3400	41225	\N	\N	\N
657910	2247	1998-10-30	VYDAJ	VYBER	16900	52870	\N	\N	\N
657911	2247	1998-11-18	VYDAJ	VYBER	49700	79786	\N	\N	\N
657912	2247	1998-11-29	VYDAJ	VYBER	15100	54786	\N	\N	\N
659071	2250	1993-11-02	PRIJEM	VKLAD	800	800	\N	\N	\N
659082	2250	1993-11-10	PRIJEM	VKLAD	21623	22423	\N	\N	\N
659083	2250	1993-12-10	PRIJEM	VKLAD	32435	57223	\N	\N	\N
659084	2250	1994-01-10	PRIJEM	VKLAD	21623	62342	\N	\N	\N
659085	2250	1994-02-10	PRIJEM	VKLAD	21623	63616	\N	\N	\N
659086	2250	1994-03-10	PRIJEM	VKLAD	21623	65314	\N	\N	\N
659087	2250	1994-04-10	PRIJEM	VKLAD	21623	61984	\N	\N	\N
659088	2250	1994-05-10	PRIJEM	VKLAD	21623	59059	\N	\N	\N
659089	2250	1994-06-10	PRIJEM	VKLAD	32435	70229	\N	\N	\N
659090	2250	1994-07-10	PRIJEM	VKLAD	21623	43045	\N	\N	\N
659091	2250	1994-08-10	PRIJEM	VKLAD	21623	45426	\N	\N	\N
659092	2250	1994-09-10	PRIJEM	VKLAD	21623	54519	\N	\N	\N
659093	2250	1994-10-10	PRIJEM	VKLAD	21623	55443	\N	\N	\N
659094	2250	1994-11-10	PRIJEM	VKLAD	21623	56470	\N	\N	\N
659095	2250	1994-12-10	PRIJEM	VKLAD	32435	68212	\N	\N	\N
659096	2250	1995-01-10	PRIJEM	VKLAD	21623	55330	\N	\N	\N
659097	2250	1995-02-10	PRIJEM	VKLAD	21623	50665	\N	\N	\N
659098	2250	1995-03-10	PRIJEM	VKLAD	21623	54971	\N	\N	\N
659099	2250	1995-04-10	PRIJEM	VKLAD	21623	53922	\N	\N	\N
659100	2250	1995-05-10	PRIJEM	VKLAD	21623	51585	\N	\N	\N
659101	2250	1995-06-10	PRIJEM	VKLAD	32435	67206	\N	\N	\N
659102	2250	1995-07-10	PRIJEM	VKLAD	21623	64078	\N	\N	\N
659103	2250	1995-08-10	PRIJEM	VKLAD	21623	63433	\N	\N	\N
659104	2250	1995-09-10	PRIJEM	VKLAD	21623	60480	\N	\N	\N
659105	2250	1995-10-10	PRIJEM	VKLAD	21623	56725	\N	\N	\N
659106	2250	1995-11-10	PRIJEM	VKLAD	21623	55738	\N	\N	\N
659107	2250	1995-12-10	PRIJEM	VKLAD	32435	66328	\N	\N	\N
659108	2250	1996-01-10	PRIJEM	VKLAD	21623	61248	\N	\N	\N
659109	2250	1996-02-10	PRIJEM	VKLAD	21623	53095	\N	\N	\N
659110	2250	1996-03-10	PRIJEM	VKLAD	21623	60304	\N	\N	\N
659111	2250	1996-04-10	PRIJEM	VKLAD	21623	63338	\N	\N	\N
659112	2250	1996-05-10	PRIJEM	VKLAD	21623	59494	\N	\N	\N
659113	2250	1996-06-10	PRIJEM	VKLAD	32435	67725	\N	\N	\N
659114	2250	1996-07-10	PRIJEM	VKLAD	21623	63661	\N	\N	\N
659115	2250	1996-08-10	PRIJEM	VKLAD	21623	61094	\N	\N	\N
659116	2250	1996-09-10	PRIJEM	VKLAD	21623	61320	\N	\N	\N
659117	2250	1996-10-10	PRIJEM	VKLAD	21623	61945	\N	\N	\N
659118	2250	1996-11-10	PRIJEM	VKLAD	21623	61470	\N	\N	\N
659119	2250	1996-12-10	PRIJEM	VKLAD	32435	73070	\N	\N	\N
659120	2250	1997-01-10	PRIJEM	VKLAD	21623	59586	\N	\N	\N
659121	2250	1997-02-10	PRIJEM	VKLAD	21623	50288	\N	\N	\N
659122	2250	1997-03-10	PRIJEM	VKLAD	21623	59379	\N	\N	\N
659123	2250	1997-04-10	PRIJEM	VKLAD	21623	59592	\N	\N	\N
659124	2250	1997-05-10	PRIJEM	VKLAD	21623	59503	\N	\N	\N
659125	2250	1997-06-10	PRIJEM	VKLAD	32435	68328	\N	\N	\N
659126	2250	1997-07-10	PRIJEM	VKLAD	21623	55821	\N	\N	\N
659127	2250	1997-08-10	PRIJEM	VKLAD	21623	59322	\N	\N	\N
659128	2250	1997-09-10	PRIJEM	VKLAD	21623	57827	\N	\N	\N
659129	2250	1997-10-10	PRIJEM	VKLAD	21623	60430	\N	\N	\N
659130	2250	1997-11-10	PRIJEM	VKLAD	21623	66553	\N	\N	\N
659131	2250	1997-12-10	PRIJEM	VKLAD	32435	78798	\N	\N	\N
659132	2250	1998-01-10	PRIJEM	VKLAD	21623	71349	\N	\N	\N
659133	2250	1998-02-10	PRIJEM	VKLAD	21623	63585	\N	\N	\N
659134	2250	1998-03-10	PRIJEM	VKLAD	21623	77543	\N	\N	\N
659135	2250	1998-04-10	PRIJEM	VKLAD	21623	76715	\N	\N	\N
659136	2250	1998-05-10	PRIJEM	VKLAD	21623	77633	\N	\N	\N
659137	2250	1998-06-10	PRIJEM	VKLAD	32435	86066	\N	\N	\N
659138	2250	1998-07-10	PRIJEM	VKLAD	21623	78216	\N	\N	\N
659139	2250	1998-08-10	PRIJEM	VKLAD	21623	81947	\N	\N	\N
659140	2250	1998-09-10	PRIJEM	VKLAD	21623	83499	\N	\N	\N
659141	2250	1998-10-10	PRIJEM	VKLAD	21623	80659	\N	\N	\N
659142	2250	1998-11-10	PRIJEM	VKLAD	21623	81510	\N	\N	\N
659143	2250	1998-12-10	PRIJEM	VKLAD	32435	91679	\N	\N	\N
659159	2250	1994-04-06	VYDAJ	PREVOD NA UCET	4182	40361	SIPO	EF	63026058
659160	2250	1994-05-06	VYDAJ	PREVOD NA UCET	4182	37436	SIPO	EF	63026058
659161	2250	1994-06-06	VYDAJ	PREVOD NA UCET	4182	37795	SIPO	EF	63026058
659162	2250	1994-07-06	VYDAJ	PREVOD NA UCET	4182	21422	SIPO	EF	63026058
659163	2250	1994-08-06	VYDAJ	PREVOD NA UCET	4182	27403	SIPO	EF	63026058
659164	2250	1994-09-06	VYDAJ	PREVOD NA UCET	4182	32896	SIPO	EF	63026058
659165	2250	1994-10-06	VYDAJ	PREVOD NA UCET	4182	33820	SIPO	EF	63026058
659166	2250	1994-11-06	VYDAJ	PREVOD NA UCET	4182	34847	SIPO	EF	63026058
659167	2250	1994-12-06	VYDAJ	PREVOD NA UCET	4182	35778	SIPO	EF	63026058
659168	2250	1995-01-06	VYDAJ	PREVOD NA UCET	4182	34907	SIPO	EF	63026058
659169	2250	1995-02-06	VYDAJ	PREVOD NA UCET	4182	29042	SIPO	EF	63026058
659170	2250	1995-03-06	VYDAJ	PREVOD NA UCET	4182	33348	SIPO	EF	63026058
659171	2250	1995-04-06	VYDAJ	PREVOD NA UCET	4182	32299	SIPO	EF	63026058
659172	2250	1995-05-06	VYDAJ	PREVOD NA UCET	4182	29962	SIPO	EF	63026058
659173	2250	1995-06-06	VYDAJ	PREVOD NA UCET	4182	34771	SIPO	EF	63026058
659174	2250	1995-07-06	VYDAJ	PREVOD NA UCET	4182	42455	SIPO	EF	63026058
659175	2250	1995-08-06	VYDAJ	PREVOD NA UCET	4182	41810	SIPO	EF	63026058
659176	2250	1995-09-06	VYDAJ	PREVOD NA UCET	4182	38857	SIPO	EF	63026058
659177	2250	1995-10-06	VYDAJ	PREVOD NA UCET	4182	35102	SIPO	EF	63026058
659178	2250	1995-11-06	VYDAJ	PREVOD NA UCET	4182	34115	SIPO	EF	63026058
659179	2250	1995-12-06	VYDAJ	PREVOD NA UCET	4182	33893	SIPO	EF	63026058
659180	2250	1996-01-06	VYDAJ	PREVOD NA UCET	4182	39625	SIPO	EF	63026058
659181	2250	1996-02-06	VYDAJ	PREVOD NA UCET	4182	31472	SIPO	EF	63026058
659182	2250	1996-03-06	VYDAJ	PREVOD NA UCET	4182	38681	SIPO	EF	63026058
659183	2250	1996-04-06	VYDAJ	PREVOD NA UCET	4182	41715	SIPO	EF	63026058
659184	2250	1996-05-06	VYDAJ	PREVOD NA UCET	4182	37871	SIPO	EF	63026058
659185	2250	1996-06-06	VYDAJ	PREVOD NA UCET	4182	35291	SIPO	EF	63026058
659186	2250	1996-07-06	VYDAJ	PREVOD NA UCET	4182	42038	SIPO	EF	63026058
659187	2250	1996-08-06	VYDAJ	PREVOD NA UCET	4182	39471	SIPO	EF	63026058
659188	2250	1996-09-06	VYDAJ	PREVOD NA UCET	4182	39697	SIPO	EF	63026058
659189	2250	1996-10-06	VYDAJ	PREVOD NA UCET	4182	40322	SIPO	EF	63026058
659190	2250	1996-11-06	VYDAJ	PREVOD NA UCET	4182	39847	SIPO	EF	63026058
659191	2250	1996-12-06	VYDAJ	PREVOD NA UCET	4182	40635	SIPO	EF	63026058
659192	2250	1997-01-06	VYDAJ	PREVOD NA UCET	4182	37963	SIPO	EF	63026058
659193	2250	1997-02-06	VYDAJ	PREVOD NA UCET	4182	28665	SIPO	EF	63026058
659194	2250	1997-03-06	VYDAJ	PREVOD NA UCET	4182	37756	SIPO	EF	63026058
659195	2250	1997-04-06	VYDAJ	PREVOD NA UCET	4182	37969	SIPO	EF	63026058
659196	2250	1997-05-06	VYDAJ	PREVOD NA UCET	4182	37880	SIPO	EF	63026058
659197	2250	1997-06-06	VYDAJ	PREVOD NA UCET	4182	35894	SIPO	EF	63026058
659198	2250	1997-07-06	VYDAJ	PREVOD NA UCET	4182	34198	SIPO	EF	63026058
659199	2250	1997-08-06	VYDAJ	PREVOD NA UCET	4182	37699	SIPO	EF	63026058
659200	2250	1997-09-06	VYDAJ	PREVOD NA UCET	4182	36204	SIPO	EF	63026058
659201	2250	1997-10-06	VYDAJ	PREVOD NA UCET	4182	38807	SIPO	EF	63026058
659202	2250	1997-11-06	VYDAJ	PREVOD NA UCET	4182	44930	SIPO	EF	63026058
659203	2250	1997-12-06	VYDAJ	PREVOD NA UCET	4182	46363	SIPO	EF	63026058
659204	2250	1998-01-06	VYDAJ	PREVOD NA UCET	4182	49726	SIPO	EF	63026058
659205	2250	1998-02-06	VYDAJ	PREVOD NA UCET	4182	44062	SIPO	EF	63026058
659206	2250	1998-03-06	VYDAJ	PREVOD NA UCET	4182	55920	SIPO	EF	63026058
659207	2250	1998-04-06	VYDAJ	PREVOD NA UCET	4182	55092	SIPO	EF	63026058
659208	2250	1998-05-06	VYDAJ	PREVOD NA UCET	4182	56010	SIPO	EF	63026058
659209	2250	1998-06-06	VYDAJ	PREVOD NA UCET	4182	56732	SIPO	EF	63026058
659210	2250	1998-07-06	VYDAJ	PREVOD NA UCET	4182	60893	SIPO	EF	63026058
659211	2250	1998-08-06	VYDAJ	PREVOD NA UCET	4182	73224	SIPO	EF	63026058
659212	2250	1998-09-06	VYDAJ	PREVOD NA UCET	4182	78076	SIPO	EF	63026058
659213	2250	1998-10-06	VYDAJ	PREVOD NA UCET	4182	79636	SIPO	EF	63026058
659214	2250	1998-11-06	VYDAJ	PREVOD NA UCET	4182	76787	SIPO	EF	63026058
659215	2250	1998-12-06	VYDAJ	PREVOD NA UCET	4182	74244	SIPO	EF	63026058
659217	2250	1994-06-14	VYDAJ	VYBER	45760	24469	\N	\N	\N
659220	2250	1997-06-21	VYDAJ	VYBER	9120	40008	\N	\N	\N
659221	2250	1998-06-25	VYDAJ	VYBER	21280	64786	\N	\N	\N
659223	2250	1994-12-15	VYDAJ	VYBER	1920	66292	\N	\N	\N
659224	2250	1995-12-03	VYDAJ	VYBER	3840	38075	\N	\N	\N
659225	2250	1996-12-01	VYDAJ	VYBER	2240	44817	\N	\N	\N
659226	2250	1997-12-12	VYDAJ	VYBER KARTOU	1300	55498	\N	\N	0
659227	2250	1998-12-03	VYDAJ	VYBER KARTOU	3400	78426	\N	\N	0
659240	2250	1995-01-27	VYDAJ	VYBER	2160	33050	\N	\N	\N
659241	2250	1995-01-06	VYDAJ	VYBER	3240	39089	\N	\N	\N
659242	2250	1995-01-07	VYDAJ	VYBER	1200	33707	\N	\N	\N
659243	2250	1995-01-02	VYDAJ	VYBER	3480	42329	\N	\N	\N
659244	2250	1995-01-15	VYDAJ	VYBER	1800	53530	\N	\N	\N
659245	2250	1995-01-17	VYDAJ	VYBER	3120	50410	\N	\N	\N
659246	2250	1996-01-28	VYDAJ	VYBER	3000	35468	\N	\N	\N
659247	2250	1996-01-26	VYDAJ	VYBER	720	42308	\N	\N	\N
659248	2250	1996-01-22	VYDAJ	VYBER	1920	43028	\N	\N	\N
659249	2250	1996-01-27	VYDAJ	VYBER	3120	38468	\N	\N	\N
659250	2250	1996-01-27	VYDAJ	VYBER	720	41588	\N	\N	\N
659251	2250	1996-01-03	VYDAJ	VYBER	1920	43807	\N	\N	\N
659252	2250	1997-01-02	VYDAJ	VYBER KARTOU	3400	42145	\N	\N	0
659253	2250	1997-01-14	VYDAJ	VYBER KARTOU	600	58986	\N	\N	0
659254	2250	1997-01-16	VYDAJ	VYBER KARTOU	2600	40986	\N	\N	0
659255	2250	1997-01-22	VYDAJ	VYBER KARTOU	2500	38486	\N	\N	0
659256	2250	1997-01-24	VYDAJ	VYBER KARTOU	2400	36086	\N	\N	0
659257	2250	1997-01-30	VYDAJ	VYBER KARTOU	3400	32686	\N	\N	0
659258	2250	1998-01-05	VYDAJ	VYBER KARTOU	700	53908	\N	\N	0
659259	2250	1998-01-11	VYDAJ	VYBER KARTOU	600	52249	\N	\N	0
659260	2250	1998-01-17	VYDAJ	VYBER KARTOU	1000	51249	\N	\N	0
659261	2250	1998-01-03	VYDAJ	VYBER KARTOU	1100	54608	\N	\N	0
659262	2250	1998-01-24	VYDAJ	VYBER KARTOU	2500	48749	\N	\N	0
659263	2250	1998-01-25	VYDAJ	VYBER KARTOU	700	48049	\N	\N	0
659269	2250	1994-04-28	VYDAJ	VYBER	2400	59584	\N	\N	\N
659270	2250	1994-08-07	VYDAJ	VYBER	3600	23803	\N	\N	\N
659272	2250	1995-09-14	VYDAJ	VYBER	5280	55200	\N	\N	\N
659273	2250	1995-10-23	VYDAJ	VYBER	5520	51205	\N	\N	\N
659274	2250	1995-04-10	VYDAJ	VYBER	5640	48282	\N	\N	\N
659275	2250	1995-03-14	VYDAJ	VYBER	5760	49211	\N	\N	\N
659276	2250	1995-06-22	VYDAJ	VYBER	1680	65526	\N	\N	\N
659277	2250	1996-12-14	VYDAJ	VYBER KARTOU	1900	71170	\N	\N	0
659278	2250	1996-12-19	VYDAJ	VYBER	5520	45350	\N	\N	\N
659279	2250	1996-04-26	VYDAJ	VYBER	2280	41858	\N	\N	\N
659280	2250	1997-06-23	VYDAJ	VYBER KARTOU	1800	38208	\N	\N	0
659281	2250	1997-05-30	VYDAJ	VYBER	4200	39903	\N	\N	\N
659282	2250	1997-12-11	VYDAJ	VYBER KARTOU	2400	56798	\N	\N	0
659283	2250	1997-08-25	VYDAJ	VYBER KARTOU	2900	40222	\N	\N	0
659284	2250	1998-08-04	VYDAJ	VYBER KARTOU	1100	77406	\N	\N	0
659285	2250	1998-02-13	VYDAJ	VYBER KARTOU	2500	61085	\N	\N	0
659286	2250	1998-02-17	VYDAJ	VYBER KARTOU	1200	59885	\N	\N	0
659302	2250	1994-03-31	VYDAJ	VYBER	15	65543	SLUZBY	\N	\N
659303	2250	1994-04-30	VYDAJ	VYBER	15	59818	SLUZBY	\N	\N
659304	2250	1994-05-31	VYDAJ	VYBER	15	41977	SLUZBY	\N	\N
659305	2250	1994-06-30	VYDAJ	VYBER	15	25604	SLUZBY	\N	\N
659306	2250	1994-07-31	VYDAJ	VYBER	15	31585	SLUZBY	\N	\N
659307	2250	1994-08-31	VYDAJ	VYBER	15	37078	SLUZBY	\N	\N
659308	2250	1994-09-30	VYDAJ	VYBER	15	38002	SLUZBY	\N	\N
659309	2250	1994-10-31	VYDAJ	VYBER	15	39029	SLUZBY	\N	\N
659310	2250	1994-11-30	VYDAJ	VYBER	15	39960	SLUZBY	\N	\N
659311	2250	1994-12-31	VYDAJ	VYBER	15	45809	SLUZBY	\N	\N
659312	2250	1995-01-31	VYDAJ	VYBER	15	33224	SLUZBY	\N	\N
659313	2250	1995-02-28	VYDAJ	VYBER	15	37530	SLUZBY	\N	\N
659314	2250	1995-03-31	VYDAJ	VYBER	15	36481	SLUZBY	\N	\N
659315	2250	1995-04-30	VYDAJ	VYBER	15	34144	SLUZBY	\N	\N
659316	2250	1995-05-31	VYDAJ	VYBER	15	38953	SLUZBY	\N	\N
659317	2250	1995-06-30	VYDAJ	VYBER	15	46637	SLUZBY	\N	\N
659318	2250	1995-07-31	VYDAJ	VYBER	15	45992	SLUZBY	\N	\N
659319	2250	1995-08-31	VYDAJ	VYBER	15	43039	SLUZBY	\N	\N
659320	2250	1995-09-30	VYDAJ	VYBER	15	39284	SLUZBY	\N	\N
659321	2250	1995-10-31	VYDAJ	VYBER	15	38297	SLUZBY	\N	\N
659322	2250	1995-11-30	VYDAJ	VYBER	15	41915	SLUZBY	\N	\N
659323	2250	1995-12-31	VYDAJ	VYBER	15	45727	SLUZBY	\N	\N
659324	2250	1996-01-31	VYDAJ	VYBER	15	35654	SLUZBY	\N	\N
659325	2250	1996-02-29	VYDAJ	VYBER	15	42863	SLUZBY	\N	\N
659326	2250	1996-03-31	VYDAJ	VYBER	15	45897	SLUZBY	\N	\N
659327	2250	1996-04-30	VYDAJ	VYBER	15	42053	SLUZBY	\N	\N
659328	2250	1996-05-31	VYDAJ	VYBER	15	39473	SLUZBY	\N	\N
659329	2250	1996-06-30	VYDAJ	VYBER	15	46220	SLUZBY	\N	\N
659330	2250	1996-07-31	VYDAJ	VYBER	15	43653	SLUZBY	\N	\N
659331	2250	1996-08-31	VYDAJ	VYBER	15	43879	SLUZBY	\N	\N
659332	2250	1996-09-30	VYDAJ	VYBER	15	44504	SLUZBY	\N	\N
659333	2250	1996-10-31	VYDAJ	VYBER	15	44029	SLUZBY	\N	\N
659334	2250	1996-11-30	VYDAJ	VYBER	15	47057	SLUZBY	\N	\N
659335	2250	1996-12-31	VYDAJ	VYBER	15	45545	SLUZBY	\N	\N
659336	2250	1997-01-31	VYDAJ	VYBER	15	32847	SLUZBY	\N	\N
659337	2250	1997-02-28	VYDAJ	VYBER	15	41938	SLUZBY	\N	\N
659338	2250	1997-03-31	VYDAJ	VYBER	15	42151	SLUZBY	\N	\N
659339	2250	1997-04-30	VYDAJ	VYBER	15	42062	SLUZBY	\N	\N
659340	2250	1997-05-31	VYDAJ	VYBER	15	40076	SLUZBY	\N	\N
659341	2250	1997-06-30	VYDAJ	VYBER	15	38380	SLUZBY	\N	\N
659342	2250	1997-07-31	VYDAJ	VYBER	15	41881	SLUZBY	\N	\N
659343	2250	1997-08-31	VYDAJ	VYBER	15	40386	SLUZBY	\N	\N
659344	2250	1997-09-30	VYDAJ	VYBER	15	42989	SLUZBY	\N	\N
659345	2250	1997-10-31	VYDAJ	VYBER	15	49112	SLUZBY	\N	\N
659346	2250	1997-11-30	VYDAJ	VYBER	15	50545	SLUZBY	\N	\N
659347	2250	1997-12-31	VYDAJ	VYBER	15	55708	SLUZBY	\N	\N
659348	2250	1998-01-31	VYDAJ	VYBER	15	48244	SLUZBY	\N	\N
659349	2250	1998-02-28	VYDAJ	VYBER	15	60102	SLUZBY	\N	\N
659350	2250	1998-03-31	VYDAJ	VYBER	15	59274	SLUZBY	\N	\N
659351	2250	1998-04-30	VYDAJ	VYBER	15	60192	SLUZBY	\N	\N
659352	2250	1998-05-31	VYDAJ	VYBER	15	60914	SLUZBY	\N	\N
659353	2250	1998-06-30	VYDAJ	VYBER	15	65075	SLUZBY	\N	\N
659354	2250	1998-07-31	VYDAJ	VYBER	15	78506	SLUZBY	\N	\N
659355	2250	1998-08-31	VYDAJ	VYBER	15	82258	SLUZBY	\N	\N
659356	2250	1998-09-30	VYDAJ	VYBER	15	83818	SLUZBY	\N	\N
659357	2250	1998-10-31	VYDAJ	VYBER	15	80969	SLUZBY	\N	\N
659358	2250	1998-11-30	VYDAJ	VYBER	15	81826	SLUZBY	\N	\N
659359	2250	1993-12-02	PRIJEM	VKLAD	2300	24788	\N	\N	\N
659360	2250	1994-01-01	VYDAJ	VYBER	16700	40719	\N	\N	\N
659361	2250	1994-01-31	VYDAJ	VYBER	20600	41993	\N	\N	\N
659362	2250	1994-03-02	VYDAJ	VYBER	20100	43691	\N	\N	\N
659363	2250	1994-04-01	VYDAJ	VYBER	21000	44543	\N	\N	\N
659364	2250	1994-05-01	VYDAJ	VYBER	18200	41618	\N	\N	\N
659365	2250	1994-05-31	VYDAJ	VYBER	17300	41991	\N	\N	\N
659366	2250	1994-06-30	PRIJEM	VKLAD	1000	25618	\N	\N	\N
659367	2250	1994-07-30	VYDAJ	VYBER	11600	31445	\N	\N	\N
659368	2250	1994-08-29	VYDAJ	VYBER	8500	36926	\N	\N	\N
659369	2250	1994-09-28	VYDAJ	VYBER	16700	37819	\N	\N	\N
659370	2250	1994-10-28	VYDAJ	VYBER	16600	38843	\N	\N	\N
659371	2250	1994-11-27	VYDAJ	VYBER	16700	39770	\N	\N	\N
659372	2250	1994-12-27	VYDAJ	VYBER	20700	45592	\N	\N	\N
659373	2250	1995-01-26	VYDAJ	VYBER	15200	35210	\N	\N	\N
659374	2250	1995-02-25	VYDAJ	VYBER	13300	37365	\N	\N	\N
659375	2250	1995-03-27	VYDAJ	VYBER	12900	36311	\N	\N	\N
659376	2250	1995-04-26	VYDAJ	VYBER	14300	33982	\N	\N	\N
659377	2250	1995-05-26	VYDAJ	VYBER	12800	38785	\N	\N	\N
659378	2250	1995-06-25	VYDAJ	VYBER	19100	46426	\N	\N	\N
659379	2250	1995-07-25	VYDAJ	VYBER	18300	45778	\N	\N	\N
659380	2250	1995-08-24	VYDAJ	VYBER	20600	42833	\N	\N	\N
659381	2250	1995-09-23	VYDAJ	VYBER	16100	39100	\N	\N	\N
659382	2250	1995-10-23	VYDAJ	VYBER	13100	38105	\N	\N	\N
659383	2250	1995-11-22	VYDAJ	VYBER	14000	41738	\N	\N	\N
659384	2250	1995-12-22	VYDAJ	VYBER	20800	45528	\N	\N	\N
659385	2250	1996-01-21	VYDAJ	VYBER	16300	44948	\N	\N	\N
659386	2250	1996-02-20	VYDAJ	VYBER	10400	42695	\N	\N	\N
659387	2250	1996-03-21	VYDAJ	VYBER	14600	45704	\N	\N	\N
659388	2250	1996-04-20	VYDAJ	VYBER	19200	44138	\N	\N	\N
659389	2250	1996-05-20	VYDAJ	VYBER	20200	39294	\N	\N	\N
659390	2250	1996-06-19	VYDAJ	VYBER	21700	46025	\N	\N	\N
659391	2250	1996-07-19	VYDAJ	VYBER	20200	43461	\N	\N	\N
659392	2250	1996-08-18	VYDAJ	VYBER	17400	43694	\N	\N	\N
659393	2250	1996-09-17	VYDAJ	VYBER	17000	44320	\N	\N	\N
659394	2250	1996-10-17	VYDAJ	VYBER	18100	43845	\N	\N	\N
659395	2250	1996-11-16	VYDAJ	VYBER	14600	46870	\N	\N	\N
659396	2250	1996-12-16	VYDAJ	VYBER	20300	50870	\N	\N	\N
659397	2250	1997-01-15	VYDAJ	VYBER	15400	43586	\N	\N	\N
659398	2250	1997-02-14	VYDAJ	VYBER	8500	41788	\N	\N	\N
659399	2250	1997-03-16	VYDAJ	VYBER	17400	41979	\N	\N	\N
659400	2250	1997-04-15	VYDAJ	VYBER	17700	41892	\N	\N	\N
659401	2250	1997-05-15	VYDAJ	VYBER	15400	44103	\N	\N	\N
659402	2250	1997-06-14	VYDAJ	VYBER	19200	49128	\N	\N	\N
659403	2250	1997-07-14	VYDAJ	VYBER	14100	41721	\N	\N	\N
659404	2250	1997-08-13	VYDAJ	VYBER	16200	43122	\N	\N	\N
659405	2250	1997-09-12	VYDAJ	VYBER	15000	42827	\N	\N	\N
659406	2250	1997-10-12	VYDAJ	VYBER	11500	48930	\N	\N	\N
659407	2250	1997-11-11	VYDAJ	VYBER	16200	50353	\N	\N	\N
659408	2250	1997-12-11	VYDAJ	VYBER	19600	59198	\N	\N	\N
659409	2250	1998-01-10	VYDAJ	VYBER	18500	52849	\N	\N	\N
659410	2250	1998-02-09	VYDAJ	VYBER KARTOU	2100	41962	\N	\N	0
659411	2250	1998-03-11	VYDAJ	VYBER	18500	59043	\N	\N	\N
659412	2250	1998-04-10	VYDAJ	VYBER	16800	59915	\N	\N	\N
659413	2250	1998-05-10	VYDAJ	VYBER	17000	60633	\N	\N	\N
659414	2250	1998-06-09	VYDAJ	VYBER KARTOU	3100	53632	\N	\N	0
659415	2250	1998-07-09	VYDAJ	VYBER	4300	56593	\N	\N	\N
659416	2250	1998-08-08	VYDAJ	VYBER	12900	60324	\N	\N	\N
659417	2250	1998-09-07	VYDAJ	VYBER	16200	61876	\N	\N	\N
659418	2250	1998-10-07	VYDAJ	VYBER	20600	59036	\N	\N	\N
659419	2250	1998-11-06	VYDAJ	VYBER	16900	59887	\N	\N	\N
659420	2250	1998-12-06	VYDAJ	VYBER	15000	59244	\N	\N	\N
659673	2252	1996-10-05	PRIJEM	VKLAD	700	700	\N	\N	\N
659683	2252	1996-10-08	PRIJEM	PREVOD Z UCTU	3255	3955	\N	MN	93113600
659684	2252	1996-11-08	PRIJEM	PREVOD Z UCTU	3255	7223	\N	MN	93113600
659685	2252	1996-12-08	PRIJEM	PREVOD Z UCTU	3255	10494	\N	MN	93113600
659686	2252	1997-01-08	PRIJEM	PREVOD Z UCTU	3255	13766	\N	MN	93113600
659687	2252	1997-02-08	PRIJEM	PREVOD Z UCTU	3255	17037	\N	MN	93113600
659688	2252	1997-03-08	PRIJEM	PREVOD Z UCTU	3255	18224	\N	MN	93113600
659689	2252	1997-04-08	PRIJEM	PREVOD Z UCTU	3255	18614	\N	MN	93113600
659690	2252	1997-05-08	PRIJEM	PREVOD Z UCTU	3255	19817	\N	MN	93113600
659691	2252	1997-06-08	PRIJEM	PREVOD Z UCTU	3255	21025	\N	MN	93113600
659692	2252	1997-07-08	PRIJEM	PREVOD Z UCTU	3255	18003	\N	MN	93113600
659693	2252	1997-08-08	PRIJEM	PREVOD Z UCTU	3255	19203	\N	MN	93113600
659694	2252	1997-09-08	PRIJEM	PREVOD Z UCTU	3255	20078	\N	MN	93113600
659695	2252	1997-10-08	PRIJEM	PREVOD Z UCTU	3255	20358	\N	MN	93113600
659696	2252	1997-11-08	PRIJEM	PREVOD Z UCTU	3255	20247	\N	MN	93113600
659697	2252	1997-12-08	PRIJEM	PREVOD Z UCTU	3255	21457	\N	MN	93113600
659698	2252	1998-01-08	PRIJEM	PREVOD Z UCTU	3255	20002	\N	MN	93113600
659699	2252	1998-02-08	PRIJEM	PREVOD Z UCTU	3255	21213	\N	MN	93113600
659700	2252	1998-03-08	PRIJEM	PREVOD Z UCTU	3255	22427	\N	MN	93113600
659701	2252	1998-04-08	PRIJEM	PREVOD Z UCTU	3255	23286	\N	MN	93113600
659702	2252	1998-05-08	PRIJEM	PREVOD Z UCTU	3255	23967	\N	MN	93113600
659703	2252	1998-06-08	PRIJEM	PREVOD Z UCTU	3255	25192	\N	MN	93113600
659704	2252	1998-07-08	PRIJEM	PREVOD Z UCTU	3255	22151	\N	MN	93113600
659705	2252	1998-08-08	PRIJEM	PREVOD Z UCTU	3255	23158	\N	MN	93113600
659706	2252	1998-09-08	PRIJEM	PREVOD Z UCTU	3255	23840	\N	MN	93113600
659707	2252	1998-10-08	PRIJEM	PREVOD Z UCTU	3255	24044	\N	MN	93113600
659708	2252	1998-11-08	PRIJEM	PREVOD Z UCTU	3255	25270	\N	MN	93113600
659709	2252	1998-12-08	PRIJEM	PREVOD Z UCTU	3255	25780	\N	MN	93113600
659723	2252	1997-02-08	VYDAJ	PREVOD NA UCET	637	16400	SIPO	IJ	42469954
659724	2252	1997-03-08	VYDAJ	PREVOD NA UCET	637	17587	SIPO	IJ	42469954
659725	2252	1997-04-08	VYDAJ	PREVOD NA UCET	637	17977	SIPO	IJ	42469954
659726	2252	1997-05-08	VYDAJ	PREVOD NA UCET	637	19180	SIPO	IJ	42469954
659727	2252	1997-06-08	VYDAJ	PREVOD NA UCET	637	20388	SIPO	IJ	42469954
659728	2252	1997-07-08	VYDAJ	PREVOD NA UCET	637	17366	SIPO	IJ	42469954
659729	2252	1997-08-08	VYDAJ	PREVOD NA UCET	637	18566	SIPO	IJ	42469954
659730	2252	1997-09-08	VYDAJ	PREVOD NA UCET	637	19441	SIPO	IJ	42469954
659731	2252	1997-10-08	VYDAJ	PREVOD NA UCET	637	19721	SIPO	IJ	42469954
659732	2252	1997-11-08	VYDAJ	PREVOD NA UCET	637	19610	SIPO	IJ	42469954
659733	2252	1997-12-08	VYDAJ	PREVOD NA UCET	637	20820	SIPO	IJ	42469954
659734	2252	1998-01-08	VYDAJ	PREVOD NA UCET	637	19365	SIPO	IJ	42469954
659735	2252	1998-02-08	VYDAJ	PREVOD NA UCET	637	20576	SIPO	IJ	42469954
659736	2252	1998-03-08	VYDAJ	PREVOD NA UCET	637	21790	SIPO	IJ	42469954
659737	2252	1998-04-08	VYDAJ	PREVOD NA UCET	637	22649	SIPO	IJ	42469954
659738	2252	1998-05-08	VYDAJ	PREVOD NA UCET	637	23330	SIPO	IJ	42469954
659739	2252	1998-06-08	VYDAJ	PREVOD NA UCET	637	24555	SIPO	IJ	42469954
659740	2252	1998-07-08	VYDAJ	PREVOD NA UCET	637	21514	SIPO	IJ	42469954
659741	2252	1998-08-08	VYDAJ	PREVOD NA UCET	637	22521	SIPO	IJ	42469954
659742	2252	1998-09-08	VYDAJ	PREVOD NA UCET	637	23203	SIPO	IJ	42469954
659743	2252	1998-10-08	VYDAJ	PREVOD NA UCET	637	23407	SIPO	IJ	42469954
659744	2252	1998-11-08	VYDAJ	PREVOD NA UCET	637	24633	SIPO	IJ	42469954
659745	2252	1998-12-08	VYDAJ	PREVOD NA UCET	637	25143	SIPO	IJ	42469954
659759	2252	1997-02-12	VYDAJ	PREVOD NA UCET	1469	14931	 	WX	61189848
659760	2252	1997-03-12	VYDAJ	PREVOD NA UCET	1469	16118	 	WX	61189848
659761	2252	1997-04-12	VYDAJ	PREVOD NA UCET	1469	16508	 	WX	61189848
659762	2252	1997-05-12	VYDAJ	PREVOD NA UCET	1469	17711	 	WX	61189848
659763	2252	1997-06-12	VYDAJ	PREVOD NA UCET	1469	18919	 	WX	61189848
659764	2252	1997-07-12	VYDAJ	PREVOD NA UCET	1469	15897	 	WX	61189848
659765	2252	1997-08-12	VYDAJ	PREVOD NA UCET	1469	17097	 	WX	61189848
659766	2252	1997-09-12	VYDAJ	PREVOD NA UCET	1469	17042	 	WX	61189848
659767	2252	1997-10-12	VYDAJ	PREVOD NA UCET	1469	17712	 	WX	61189848
659768	2252	1997-11-12	VYDAJ	PREVOD NA UCET	1469	18141	 	WX	61189848
659769	2252	1997-12-12	VYDAJ	PREVOD NA UCET	1469	19351	 	WX	61189848
659770	2252	1998-01-12	VYDAJ	PREVOD NA UCET	1469	17896	 	WX	61189848
659771	2252	1998-02-12	VYDAJ	PREVOD NA UCET	1469	19107	 	WX	61189848
659772	2252	1998-03-12	VYDAJ	PREVOD NA UCET	1469	20321	 	WX	61189848
659773	2252	1998-04-12	VYDAJ	PREVOD NA UCET	1469	20640	 	WX	61189848
659774	2252	1998-05-12	VYDAJ	PREVOD NA UCET	1469	21861	 	WX	61189848
659775	2252	1998-06-12	VYDAJ	PREVOD NA UCET	1469	18826	 	WX	61189848
659776	2252	1998-07-12	VYDAJ	PREVOD NA UCET	1469	20045	 	WX	61189848
659777	2252	1998-08-12	VYDAJ	PREVOD NA UCET	1469	21052	 	WX	61189848
659778	2252	1998-09-12	VYDAJ	PREVOD NA UCET	1469	21734	 	WX	61189848
659779	2252	1998-10-12	VYDAJ	PREVOD NA UCET	1469	21938	 	WX	61189848
659780	2252	1998-11-12	VYDAJ	PREVOD NA UCET	1469	23164	 	WX	61189848
659781	2252	1998-12-12	VYDAJ	PREVOD NA UCET	1469	23674	 	WX	61189848
659783	2252	1997-06-22	VYDAJ	VYBER	3030	14689	\N	\N	\N
659784	2252	1998-06-08	VYDAJ	VYBER	4260	20295	\N	\N	\N
659787	2252	1998-01-07	VYDAJ	VYBER	2370	16747	\N	\N	\N
659789	2252	1997-12-27	VYDAJ	VYBER	300	19051	\N	\N	\N
659790	2252	1998-12-03	VYDAJ	VYBER	720	22525	\N	\N	\N
659797	2252	1997-06-20	VYDAJ	VYBER	1200	17719	\N	\N	\N
659798	2252	1997-08-13	VYDAJ	VYBER	330	16767	\N	\N	\N
659800	2252	1997-10-11	VYDAJ	VYBER	540	19181	\N	\N	\N
659801	2252	1997-03-20	VYDAJ	VYBER	810	15308	\N	\N	\N
659802	2252	1997-11-05	VYDAJ	VYBER	780	16992	\N	\N	\N
659803	2252	1997-09-12	VYDAJ	VYBER	930	18511	\N	\N	\N
659804	2252	1998-12-15	VYDAJ	VYBER	660	23014	\N	\N	\N
659805	2252	1998-09-26	VYDAJ	VYBER	1020	20714	\N	\N	\N
659806	2252	1998-04-09	VYDAJ	VYBER	540	22109	\N	\N	\N
659807	2252	1998-09-04	VYDAJ	VYBER	540	20585	\N	\N	\N
659808	2252	1998-04-03	VYDAJ	VYBER	360	20031	\N	\N	\N
659809	2252	1998-07-16	VYDAJ	VYBER	210	19835	\N	\N	\N
659824	2252	1997-02-28	VYDAJ	VYBER	15	14969	SLUZBY	\N	\N
659825	2252	1997-03-31	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
659826	2252	1997-04-30	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
659827	2252	1997-05-31	VYDAJ	VYBER	15	17770	SLUZBY	\N	\N
659828	2252	1997-06-30	VYDAJ	VYBER	15	14748	SLUZBY	\N	\N
659829	2252	1997-07-31	VYDAJ	VYBER	15	15948	SLUZBY	\N	\N
659830	2252	1997-08-31	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
659831	2252	1997-09-30	VYDAJ	VYBER	15	17103	SLUZBY	\N	\N
659832	2252	1997-10-31	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
659833	2252	1997-11-30	VYDAJ	VYBER	15	18202	SLUZBY	\N	\N
659834	2252	1997-12-31	VYDAJ	VYBER	15	19117	SLUZBY	\N	\N
659835	2252	1998-01-31	VYDAJ	VYBER	15	17958	SLUZBY	\N	\N
659836	2252	1998-02-28	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
659837	2252	1998-03-31	VYDAJ	VYBER	15	20391	SLUZBY	\N	\N
659838	2252	1998-04-30	VYDAJ	VYBER	15	20712	SLUZBY	\N	\N
659839	2252	1998-05-31	VYDAJ	VYBER	15	21937	SLUZBY	\N	\N
659840	2252	1998-06-30	VYDAJ	VYBER	15	18896	SLUZBY	\N	\N
659841	2252	1998-07-31	VYDAJ	VYBER	15	19903	SLUZBY	\N	\N
659842	2252	1998-08-31	VYDAJ	VYBER	15	21125	SLUZBY	\N	\N
659843	2252	1998-09-30	VYDAJ	VYBER	15	20789	SLUZBY	\N	\N
659844	2252	1998-10-31	VYDAJ	VYBER	15	22015	SLUZBY	\N	\N
659845	2252	1998-11-30	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
659873	2253	1993-07-24	PRIJEM	VKLAD	300	300	\N	\N	\N
659881	2253	1993-08-13	PRIJEM	PREVOD Z UCTU	6028	6328	DUCHOD	EF	64280104
659882	2253	1993-09-13	PRIJEM	PREVOD Z UCTU	6028	12356	DUCHOD	EF	64280104
659883	2253	1993-10-13	PRIJEM	PREVOD Z UCTU	6028	18384	DUCHOD	EF	64280104
659884	2253	1993-11-13	PRIJEM	PREVOD Z UCTU	6028	24412	DUCHOD	EF	64280104
659885	2253	1993-12-13	PRIJEM	PREVOD Z UCTU	6028	30440	DUCHOD	EF	64280104
659886	2253	1994-01-13	PRIJEM	PREVOD Z UCTU	6028	25429	DUCHOD	EF	64280104
659887	2253	1994-02-13	PRIJEM	PREVOD Z UCTU	6028	23787	DUCHOD	EF	64280104
659888	2253	1994-03-13	PRIJEM	PREVOD Z UCTU	6028	24063	DUCHOD	EF	64280104
659889	2253	1994-04-13	PRIJEM	PREVOD Z UCTU	6028	27223	DUCHOD	EF	64280104
659890	2253	1994-05-13	PRIJEM	PREVOD Z UCTU	6028	28886	DUCHOD	EF	64280104
659891	2253	1994-06-13	PRIJEM	PREVOD Z UCTU	6028	26410	DUCHOD	EF	64280104
659892	2253	1994-07-13	PRIJEM	PREVOD Z UCTU	6028	27345	DUCHOD	EF	64280104
659893	2253	1994-08-13	PRIJEM	PREVOD Z UCTU	6028	27633	DUCHOD	EF	64280104
659894	2253	1994-09-13	PRIJEM	PREVOD Z UCTU	6028	30087	DUCHOD	EF	64280104
659895	2253	1994-10-13	PRIJEM	PREVOD Z UCTU	6028	28444	DUCHOD	EF	64280104
659896	2253	1994-11-13	PRIJEM	PREVOD Z UCTU	6028	31319	DUCHOD	EF	64280104
659897	2253	1994-12-13	PRIJEM	PREVOD Z UCTU	6028	34508	DUCHOD	EF	64280104
659898	2253	1995-01-13	PRIJEM	PREVOD Z UCTU	6028	31711	DUCHOD	EF	64280104
659899	2253	1995-02-13	PRIJEM	PREVOD Z UCTU	6028	23675	DUCHOD	EF	64280104
659900	2253	1995-03-13	PRIJEM	PREVOD Z UCTU	6028	24192	DUCHOD	EF	64280104
659901	2253	1995-04-13	PRIJEM	PREVOD Z UCTU	6028	27356	DUCHOD	EF	64280104
659902	2253	1995-05-13	PRIJEM	PREVOD Z UCTU	6028	30521	DUCHOD	EF	64280104
659903	2253	1995-06-13	PRIJEM	PREVOD Z UCTU	6028	27140	DUCHOD	EF	64280104
659904	2253	1995-07-13	PRIJEM	PREVOD Z UCTU	6028	30320	DUCHOD	EF	64280104
659905	2253	1995-08-13	PRIJEM	PREVOD Z UCTU	6028	33505	DUCHOD	EF	64280104
659906	2253	1995-09-13	PRIJEM	PREVOD Z UCTU	6028	34201	DUCHOD	EF	64280104
659907	2253	1995-10-13	PRIJEM	PREVOD Z UCTU	6028	37404	DUCHOD	EF	64280104
659908	2253	1995-11-13	PRIJEM	PREVOD Z UCTU	6028	37248	DUCHOD	EF	64280104
659909	2253	1995-12-13	PRIJEM	PREVOD Z UCTU	6028	38897	DUCHOD	EF	64280104
659910	2253	1996-01-13	PRIJEM	PREVOD Z UCTU	6028	39230	DUCHOD	EF	64280104
659911	2253	1996-02-13	PRIJEM	PREVOD Z UCTU	6028	36717	DUCHOD	EF	64280104
659912	2253	1996-03-13	PRIJEM	PREVOD Z UCTU	6028	38321	DUCHOD	EF	64280104
659913	2253	1996-04-13	PRIJEM	PREVOD Z UCTU	6028	37735	DUCHOD	EF	64280104
659914	2253	1996-05-13	PRIJEM	PREVOD Z UCTU	6028	40950	DUCHOD	EF	64280104
659915	2253	1996-06-13	PRIJEM	PREVOD Z UCTU	6028	32922	DUCHOD	EF	64280104
659916	2253	1996-07-13	PRIJEM	PREVOD Z UCTU	6028	34736	DUCHOD	EF	64280104
659917	2253	1996-08-13	PRIJEM	PREVOD Z UCTU	6028	36581	DUCHOD	EF	64280104
659918	2253	1996-09-13	PRIJEM	PREVOD Z UCTU	6028	37313	DUCHOD	EF	64280104
659919	2253	1996-10-13	PRIJEM	PREVOD Z UCTU	6028	38720	DUCHOD	EF	64280104
659920	2253	1996-11-13	PRIJEM	PREVOD Z UCTU	6028	41935	DUCHOD	EF	64280104
659921	2253	1996-12-13	PRIJEM	PREVOD Z UCTU	6028	44418	DUCHOD	EF	64280104
659922	2253	1997-01-13	PRIJEM	PREVOD Z UCTU	6028	37769	DUCHOD	EF	64280104
659923	2253	1997-02-13	PRIJEM	PREVOD Z UCTU	6028	33529	DUCHOD	EF	64280104
659924	2253	1997-03-13	PRIJEM	PREVOD Z UCTU	6028	36726	DUCHOD	EF	64280104
659925	2253	1997-04-13	PRIJEM	PREVOD Z UCTU	6028	37689	DUCHOD	EF	64280104
659926	2253	1997-05-13	PRIJEM	PREVOD Z UCTU	6028	38704	DUCHOD	EF	64280104
659927	2253	1997-06-13	PRIJEM	PREVOD Z UCTU	6028	34026	DUCHOD	EF	64280104
659928	2253	1997-07-13	PRIJEM	PREVOD Z UCTU	6028	25139	DUCHOD	EF	64280104
659929	2253	1997-08-13	PRIJEM	PREVOD Z UCTU	6028	27501	DUCHOD	EF	64280104
659930	2253	1997-09-13	PRIJEM	PREVOD Z UCTU	6028	30674	DUCHOD	EF	64280104
659931	2253	1997-10-13	PRIJEM	PREVOD Z UCTU	6028	30019	DUCHOD	EF	64280104
659932	2253	1997-11-13	PRIJEM	PREVOD Z UCTU	6028	32501	DUCHOD	EF	64280104
659933	2253	1997-12-13	PRIJEM	PREVOD Z UCTU	6028	34687	DUCHOD	EF	64280104
659934	2253	1998-01-13	PRIJEM	PREVOD Z UCTU	6028	28820	DUCHOD	EF	64280104
659935	2253	1998-02-13	PRIJEM	PREVOD Z UCTU	6028	25514	DUCHOD	EF	64280104
659936	2253	1998-03-13	PRIJEM	PREVOD Z UCTU	6028	28677	DUCHOD	EF	64280104
659937	2253	1998-04-13	PRIJEM	PREVOD Z UCTU	6028	31854	DUCHOD	EF	64280104
659938	2253	1998-05-13	PRIJEM	PREVOD Z UCTU	6028	30134	DUCHOD	EF	64280104
659939	2253	1998-06-13	PRIJEM	PREVOD Z UCTU	6028	25419	DUCHOD	EF	64280104
659940	2253	1998-07-13	PRIJEM	PREVOD Z UCTU	6028	28180	DUCHOD	EF	64280104
659941	2253	1998-08-13	PRIJEM	PREVOD Z UCTU	6028	30953	DUCHOD	EF	64280104
659942	2253	1998-09-13	PRIJEM	PREVOD Z UCTU	6028	29033	DUCHOD	EF	64280104
659943	2253	1998-10-13	PRIJEM	PREVOD Z UCTU	6028	28806	DUCHOD	EF	64280104
659944	2253	1998-11-13	PRIJEM	PREVOD Z UCTU	6028	24795	DUCHOD	EF	64280104
659945	2253	1998-12-13	PRIJEM	PREVOD Z UCTU	6028	26555	DUCHOD	EF	64280104
659957	2253	1993-12-13	VYDAJ	PREVOD NA UCET	2944	27496	SIPO	OP	60593241
659958	2253	1994-01-13	VYDAJ	PREVOD NA UCET	2944	22485	SIPO	OP	60593241
659959	2253	1994-02-13	VYDAJ	PREVOD NA UCET	2944	20843	SIPO	OP	60593241
659960	2253	1994-03-13	VYDAJ	PREVOD NA UCET	2944	21119	SIPO	OP	60593241
659961	2253	1994-04-13	VYDAJ	PREVOD NA UCET	2944	24279	SIPO	OP	60593241
659962	2253	1994-05-13	VYDAJ	PREVOD NA UCET	2944	25942	SIPO	OP	60593241
659963	2253	1994-06-13	VYDAJ	PREVOD NA UCET	2944	23466	SIPO	OP	60593241
659964	2253	1994-07-13	VYDAJ	PREVOD NA UCET	2944	24401	SIPO	OP	60593241
659965	2253	1994-08-13	VYDAJ	PREVOD NA UCET	2944	24689	SIPO	OP	60593241
659966	2253	1994-09-13	VYDAJ	PREVOD NA UCET	2944	27143	SIPO	OP	60593241
659967	2253	1994-10-13	VYDAJ	PREVOD NA UCET	2944	25500	SIPO	OP	60593241
659968	2253	1994-11-13	VYDAJ	PREVOD NA UCET	2944	28375	SIPO	OP	60593241
659969	2253	1994-12-13	VYDAJ	PREVOD NA UCET	2944	31564	SIPO	OP	60593241
659970	2253	1995-01-13	VYDAJ	PREVOD NA UCET	2944	28767	SIPO	OP	60593241
659971	2253	1995-02-13	VYDAJ	PREVOD NA UCET	2944	20731	SIPO	OP	60593241
659972	2253	1995-03-13	VYDAJ	PREVOD NA UCET	2944	21248	SIPO	OP	60593241
659973	2253	1995-04-13	VYDAJ	PREVOD NA UCET	2944	24412	SIPO	OP	60593241
659974	2253	1995-05-13	VYDAJ	PREVOD NA UCET	2944	27577	SIPO	OP	60593241
659975	2253	1995-06-13	VYDAJ	PREVOD NA UCET	2944	24196	SIPO	OP	60593241
659976	2253	1995-07-13	VYDAJ	PREVOD NA UCET	2944	27376	SIPO	OP	60593241
659977	2253	1995-08-13	VYDAJ	PREVOD NA UCET	2944	29261	SIPO	OP	60593241
659978	2253	1995-09-13	VYDAJ	PREVOD NA UCET	2944	31257	SIPO	OP	60593241
659979	2253	1995-10-13	VYDAJ	PREVOD NA UCET	2944	34460	SIPO	OP	60593241
659980	2253	1995-11-13	VYDAJ	PREVOD NA UCET	2944	34304	SIPO	OP	60593241
659981	2253	1995-12-13	VYDAJ	PREVOD NA UCET	2944	35953	SIPO	OP	60593241
659982	2253	1996-01-13	VYDAJ	PREVOD NA UCET	2944	36286	SIPO	OP	60593241
659983	2253	1996-02-13	VYDAJ	PREVOD NA UCET	2944	33773	SIPO	OP	60593241
659984	2253	1996-03-13	VYDAJ	PREVOD NA UCET	2944	35377	SIPO	OP	60593241
659985	2253	1996-04-13	VYDAJ	PREVOD NA UCET	2944	34791	SIPO	OP	60593241
659986	2253	1996-05-13	VYDAJ	PREVOD NA UCET	2944	38006	SIPO	OP	60593241
659987	2253	1996-06-13	VYDAJ	PREVOD NA UCET	2944	29978	SIPO	OP	60593241
659988	2253	1996-07-13	VYDAJ	PREVOD NA UCET	2944	31792	SIPO	OP	60593241
659989	2253	1996-08-13	VYDAJ	PREVOD NA UCET	2944	33637	SIPO	OP	60593241
659990	2253	1996-09-13	VYDAJ	PREVOD NA UCET	2944	34369	SIPO	OP	60593241
659991	2253	1996-10-13	VYDAJ	PREVOD NA UCET	2944	35776	SIPO	OP	60593241
659992	2253	1996-11-13	VYDAJ	PREVOD NA UCET	2944	38991	SIPO	OP	60593241
659993	2253	1996-12-13	VYDAJ	PREVOD NA UCET	2944	41474	SIPO	OP	60593241
659994	2253	1997-01-13	VYDAJ	PREVOD NA UCET	2944	34825	SIPO	OP	60593241
659995	2253	1997-02-13	VYDAJ	PREVOD NA UCET	2944	30585	SIPO	OP	60593241
659996	2253	1997-03-13	VYDAJ	PREVOD NA UCET	2944	33782	SIPO	OP	60593241
659997	2253	1997-04-13	VYDAJ	PREVOD NA UCET	2944	34745	SIPO	OP	60593241
659998	2253	1997-05-13	VYDAJ	PREVOD NA UCET	2944	35760	SIPO	OP	60593241
659999	2253	1997-06-13	VYDAJ	PREVOD NA UCET	2944	31082	SIPO	OP	60593241
660000	2253	1997-07-13	VYDAJ	PREVOD NA UCET	2944	22195	SIPO	OP	60593241
660001	2253	1997-08-13	VYDAJ	PREVOD NA UCET	2944	24557	SIPO	OP	60593241
660002	2253	1997-09-13	VYDAJ	PREVOD NA UCET	2944	27730	SIPO	OP	60593241
660003	2253	1997-10-13	VYDAJ	PREVOD NA UCET	2944	27075	SIPO	OP	60593241
660004	2253	1997-11-13	VYDAJ	PREVOD NA UCET	2944	29557	SIPO	OP	60593241
660005	2253	1997-12-13	VYDAJ	PREVOD NA UCET	2944	31743	SIPO	OP	60593241
660006	2253	1998-01-13	VYDAJ	PREVOD NA UCET	2944	25876	SIPO	OP	60593241
660007	2253	1998-02-13	VYDAJ	PREVOD NA UCET	2944	22570	SIPO	OP	60593241
660008	2253	1998-03-13	VYDAJ	PREVOD NA UCET	2944	25733	SIPO	OP	60593241
660009	2253	1998-04-13	VYDAJ	PREVOD NA UCET	2944	28910	SIPO	OP	60593241
660010	2253	1998-05-13	VYDAJ	PREVOD NA UCET	2944	27190	SIPO	OP	60593241
660011	2253	1998-06-13	VYDAJ	PREVOD NA UCET	2944	22475	SIPO	OP	60593241
660012	2253	1998-07-13	VYDAJ	PREVOD NA UCET	2944	25236	SIPO	OP	60593241
660013	2253	1998-08-13	VYDAJ	PREVOD NA UCET	2944	28009	SIPO	OP	60593241
660014	2253	1998-09-13	VYDAJ	PREVOD NA UCET	2944	26089	SIPO	OP	60593241
660015	2253	1998-10-13	VYDAJ	PREVOD NA UCET	2944	25862	SIPO	OP	60593241
660016	2253	1998-11-13	VYDAJ	PREVOD NA UCET	2944	21851	SIPO	OP	60593241
660017	2253	1998-12-13	VYDAJ	PREVOD NA UCET	2944	23611	SIPO	OP	60593241
660019	2253	1994-06-11	VYDAJ	VYBER	5050	20382	\N	\N	\N
660020	2253	1995-06-01	VYDAJ	VYBER	4000	23672	\N	\N	\N
660021	2253	1996-06-07	VYDAJ	VYBER	11250	26894	\N	\N	\N
660022	2253	1997-06-25	VYDAJ	VYBER	3250	27832	\N	\N	\N
660025	2253	1994-01-07	VYDAJ	VYBER	2650	20761	\N	\N	\N
660026	2253	1995-01-25	VYDAJ	VYBER	4550	20517	\N	\N	\N
660027	2253	1996-01-22	VYDAJ	VYBER	600	33606	\N	\N	\N
660028	2253	1997-01-18	VYDAJ	VYBER	1600	29545	\N	\N	\N
660029	2253	1998-01-12	VYDAJ	VYBER	3500	22792	\N	\N	\N
660031	2253	1994-12-16	VYDAJ	VYBER	850	29414	\N	\N	\N
660032	2253	1995-12-20	VYDAJ	VYBER	800	35153	\N	\N	\N
660033	2253	1996-12-05	VYDAJ	VYBER	350	38390	\N	\N	\N
660034	2253	1997-12-24	VYDAJ	VYBER	900	30843	\N	\N	\N
660035	2253	1998-12-08	VYDAJ	VYBER	1400	20527	\N	\N	\N
660042	2253	1994-01-28	VYDAJ	VYBER	1440	17685	\N	\N	\N
660043	2253	1994-01-11	VYDAJ	VYBER	1360	19401	\N	\N	\N
660044	2253	1994-01-03	VYDAJ	VYBER	2160	23411	\N	\N	\N
660045	2253	1994-01-20	VYDAJ	VYBER	1520	19845	\N	\N	\N
660046	2253	1994-01-01	VYDAJ	VYBER	1680	25571	\N	\N	\N
660047	2253	1994-01-19	VYDAJ	VYBER	1120	21365	\N	\N	\N
660048	2253	1995-01-01	VYDAJ	VYBER	1840	27683	\N	\N	\N
660049	2253	1995-01-07	VYDAJ	VYBER	2000	25683	\N	\N	\N
660050	2253	1995-01-25	VYDAJ	VYBER	1520	18997	\N	\N	\N
660051	2253	1995-01-28	VYDAJ	VYBER	1440	17557	\N	\N	\N
660052	2253	1995-01-25	VYDAJ	VYBER	560	25067	\N	\N	\N
660053	2253	1995-01-20	VYDAJ	VYBER	640	25627	\N	\N	\N
660054	2253	1996-01-23	VYDAJ	VYBER	1840	31766	\N	\N	\N
660055	2253	1996-01-02	VYDAJ	VYBER	720	33202	\N	\N	\N
660056	2253	1996-01-15	VYDAJ	VYBER	2080	34206	\N	\N	\N
660057	2253	1996-01-29	VYDAJ	VYBER	400	30566	\N	\N	\N
660058	2253	1996-01-01	VYDAJ	VYBER	1360	33922	\N	\N	\N
660059	2253	1996-01-27	VYDAJ	VYBER	800	30966	\N	\N	\N
660060	2253	1997-01-01	VYDAJ	VYBER	640	37861	\N	\N	\N
660061	2253	1997-01-09	VYDAJ	VYBER	2160	31741	\N	\N	\N
660062	2253	1997-01-03	VYDAJ	VYBER	2160	35701	\N	\N	\N
660063	2253	1997-01-16	VYDAJ	VYBER	1920	31145	\N	\N	\N
660064	2253	1997-01-29	VYDAJ	VYBER	2160	27385	\N	\N	\N
660065	2253	1997-01-14	VYDAJ	VYBER	1760	33065	\N	\N	\N
660066	2253	1998-01-06	VYDAJ	VYBER	400	28052	\N	\N	\N
660067	2253	1998-01-03	VYDAJ	VYBER	1600	28452	\N	\N	\N
660068	2253	1998-01-26	VYDAJ	VYBER	1440	22116	\N	\N	\N
660069	2253	1998-01-14	VYDAJ	VYBER	960	24916	\N	\N	\N
660070	2253	1998-01-25	VYDAJ	VYBER	1360	23556	\N	\N	\N
660071	2253	1998-01-29	VYDAJ	VYBER	1920	20196	\N	\N	\N
660078	2253	1994-07-31	VYDAJ	VYBER	2480	21619	\N	\N	\N
660079	2253	1994-09-10	VYDAJ	VYBER	720	24059	\N	\N	\N
660080	2253	1994-02-13	VYDAJ	VYBER	2880	17963	\N	\N	\N
660081	2253	1994-01-26	VYDAJ	VYBER	720	19125	\N	\N	\N
660082	2253	1994-10-01	VYDAJ	VYBER	3120	22416	\N	\N	\N
660083	2253	1994-06-27	VYDAJ	VYBER	2240	21226	\N	\N	\N
660084	2253	1995-03-09	VYDAJ	VYBER	2640	18164	\N	\N	\N
660085	2253	1995-06-10	VYDAJ	VYBER	2560	21112	\N	\N	\N
660086	2253	1995-09-09	VYDAJ	VYBER	1200	28173	\N	\N	\N
660087	2253	1995-11-18	VYDAJ	VYBER	960	33344	\N	\N	\N
660088	2253	1995-10-17	VYDAJ	VYBER	1760	32700	\N	\N	\N
660089	2253	1996-08-30	VYDAJ	VYBER	2480	31157	\N	\N	\N
660090	2253	1996-12-20	VYDAJ	VYBER	3120	38354	\N	\N	\N
660091	2253	1996-08-09	VYDAJ	VYBER	1360	30553	\N	\N	\N
660092	2253	1997-08-02	VYDAJ	VYBER	800	21473	\N	\N	\N
660093	2253	1997-10-08	VYDAJ	VYBER	3840	23991	\N	\N	\N
660094	2253	1997-07-07	VYDAJ	VYBER	3440	19111	\N	\N	\N
660095	2253	1997-03-29	VYDAJ	VYBER	2240	31542	\N	\N	\N
660096	2253	1998-05-14	VYDAJ	VYBER	2080	25110	\N	\N	\N
660097	2253	1998-05-22	VYDAJ	VYBER	3600	21510	\N	\N	\N
660098	2253	1998-01-08	VYDAJ	VYBER	1760	26292	\N	\N	\N
660099	2253	1998-11-01	VYDAJ	VYBER	480	18767	\N	\N	\N
660100	2253	1998-02-05	VYDAJ	VYBER	800	19486	\N	\N	\N
660113	2253	1993-12-31	VYDAJ	VYBER	15	27251	SLUZBY	\N	\N
660114	2253	1994-01-31	VYDAJ	VYBER	15	17759	SLUZBY	\N	\N
660115	2253	1994-02-28	VYDAJ	VYBER	15	18035	SLUZBY	\N	\N
660116	2253	1994-03-31	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
660117	2253	1994-04-30	VYDAJ	VYBER	15	22858	SLUZBY	\N	\N
660118	2253	1994-05-31	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
660119	2253	1994-06-30	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
660120	2253	1994-07-31	VYDAJ	VYBER	15	21605	SLUZBY	\N	\N
660121	2253	1994-08-31	VYDAJ	VYBER	15	24779	SLUZBY	\N	\N
660122	2253	1994-09-30	VYDAJ	VYBER	15	25536	SLUZBY	\N	\N
660123	2253	1994-10-31	VYDAJ	VYBER	15	25291	SLUZBY	\N	\N
660124	2253	1994-11-30	VYDAJ	VYBER	15	28480	SLUZBY	\N	\N
660125	2253	1994-12-31	VYDAJ	VYBER	15	29523	SLUZBY	\N	\N
660126	2253	1995-01-31	VYDAJ	VYBER	15	17647	SLUZBY	\N	\N
660127	2253	1995-02-28	VYDAJ	VYBER	15	20804	SLUZBY	\N	\N
660128	2253	1995-03-31	VYDAJ	VYBER	15	21328	SLUZBY	\N	\N
660129	2253	1995-04-30	VYDAJ	VYBER	15	24493	SLUZBY	\N	\N
660130	2253	1995-05-31	VYDAJ	VYBER	15	27672	SLUZBY	\N	\N
660131	2253	1995-06-30	VYDAJ	VYBER	15	24292	SLUZBY	\N	\N
660132	2253	1995-07-31	VYDAJ	VYBER	15	27477	SLUZBY	\N	\N
660133	2253	1995-08-31	VYDAJ	VYBER	15	29373	SLUZBY	\N	\N
660134	2253	1995-09-30	VYDAJ	VYBER	15	31376	SLUZBY	\N	\N
660135	2253	1995-10-31	VYDAJ	VYBER	15	32820	SLUZBY	\N	\N
660136	2253	1995-11-30	VYDAJ	VYBER	15	33469	SLUZBY	\N	\N
660137	2253	1995-12-31	VYDAJ	VYBER	15	35282	SLUZBY	\N	\N
660138	2253	1996-01-31	VYDAJ	VYBER	15	30689	SLUZBY	\N	\N
660139	2253	1996-02-29	VYDAJ	VYBER	15	33893	SLUZBY	\N	\N
660140	2253	1996-03-31	VYDAJ	VYBER	15	35507	SLUZBY	\N	\N
660141	2253	1996-04-30	VYDAJ	VYBER	15	34922	SLUZBY	\N	\N
660142	2253	1996-05-31	VYDAJ	VYBER	15	38144	SLUZBY	\N	\N
660143	2253	1996-06-30	VYDAJ	VYBER	15	30108	SLUZBY	\N	\N
660144	2253	1996-07-31	VYDAJ	VYBER	15	31913	SLUZBY	\N	\N
660145	2253	1996-08-31	VYDAJ	VYBER	15	31285	SLUZBY	\N	\N
660146	2253	1996-09-30	VYDAJ	VYBER	15	34492	SLUZBY	\N	\N
660147	2253	1996-10-31	VYDAJ	VYBER	15	35907	SLUZBY	\N	\N
660148	2253	1996-11-30	VYDAJ	VYBER	15	39140	SLUZBY	\N	\N
660149	2253	1996-12-31	VYDAJ	VYBER	15	38501	SLUZBY	\N	\N
660150	2253	1997-01-31	VYDAJ	VYBER	15	27501	SLUZBY	\N	\N
660151	2253	1997-02-28	VYDAJ	VYBER	15	30698	SLUZBY	\N	\N
660152	2253	1997-03-31	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
660153	2253	1997-04-30	VYDAJ	VYBER	15	34876	SLUZBY	\N	\N
660154	2253	1997-05-31	VYDAJ	VYBER	15	35898	SLUZBY	\N	\N
660155	2253	1997-06-30	VYDAJ	VYBER	15	27951	SLUZBY	\N	\N
660156	2253	1997-07-31	VYDAJ	VYBER	15	22273	SLUZBY	\N	\N
660157	2253	1997-08-31	VYDAJ	VYBER	15	24646	SLUZBY	\N	\N
660158	2253	1997-09-30	VYDAJ	VYBER	15	27831	SLUZBY	\N	\N
660159	2253	1997-10-31	VYDAJ	VYBER	15	27173	SLUZBY	\N	\N
660160	2253	1997-11-30	VYDAJ	VYBER	15	28659	SLUZBY	\N	\N
660161	2253	1997-12-31	VYDAJ	VYBER	15	30052	SLUZBY	\N	\N
660162	2253	1998-01-31	VYDAJ	VYBER	15	20286	SLUZBY	\N	\N
660163	2253	1998-02-28	VYDAJ	VYBER	15	22649	SLUZBY	\N	\N
660164	2253	1998-03-31	VYDAJ	VYBER	15	25826	SLUZBY	\N	\N
660165	2253	1998-04-30	VYDAJ	VYBER	15	24106	SLUZBY	\N	\N
660166	2253	1998-05-31	VYDAJ	VYBER	15	19391	SLUZBY	\N	\N
660167	2253	1998-06-30	VYDAJ	VYBER	15	22152	SLUZBY	\N	\N
660168	2253	1998-07-31	VYDAJ	VYBER	15	24925	SLUZBY	\N	\N
660169	2253	1998-08-31	VYDAJ	VYBER	15	23005	SLUZBY	\N	\N
660170	2253	1998-09-30	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
660171	2253	1998-10-31	VYDAJ	VYBER	15	19247	SLUZBY	\N	\N
660172	2253	1998-11-30	VYDAJ	VYBER	15	21927	SLUZBY	\N	\N
660173	2253	1993-12-21	VYDAJ	VYBER	300	27196	\N	\N	\N
660174	2253	1994-04-20	VYDAJ	VYBER	1500	22779	\N	\N	\N
660175	2253	1994-05-20	VYDAJ	VYBER	600	25342	\N	\N	\N
660176	2253	1994-07-19	VYDAJ	VYBER	400	24001	\N	\N	\N
660177	2253	1994-09-17	VYDAJ	VYBER	1700	25443	\N	\N	\N
660178	2253	1994-10-17	VYDAJ	VYBER	300	25200	\N	\N	\N
660179	2253	1994-12-16	VYDAJ	VYBER	1300	30264	\N	\N	\N
660180	2253	1995-01-15	VYDAJ	VYBER	2500	26267	\N	\N	\N
660181	2253	1995-08-13	VYDAJ	VYBER	1300	32205	\N	\N	\N
660182	2253	1995-11-11	VYDAJ	VYBER	1600	31220	\N	\N	\N
660183	2253	1995-12-11	VYDAJ	VYBER	600	32869	\N	\N	\N
660184	2253	1996-03-10	VYDAJ	VYBER	1600	32293	\N	\N	\N
660185	2253	1996-04-09	VYDAJ	VYBER	3800	31707	\N	\N	\N
660186	2253	1996-07-08	VYDAJ	VYBER	1400	28708	\N	\N	\N
660187	2253	1996-10-06	VYDAJ	VYBER	1800	32692	\N	\N	\N
660188	2253	1996-12-05	VYDAJ	VYBER	400	38740	\N	\N	\N
660189	2253	1997-01-04	VYDAJ	VYBER	1800	33901	\N	\N	\N
660190	2253	1997-05-04	VYDAJ	VYBER	2200	32676	\N	\N	\N
660191	2253	1997-06-03	VYDAJ	VYBER	7900	27998	\N	\N	\N
660192	2253	1997-07-03	VYDAJ	VYBER	5400	22551	\N	\N	\N
660193	2253	1997-10-31	VYDAJ	VYBER	700	26473	\N	\N	\N
660194	2253	1997-11-30	VYDAJ	VYBER	1000	28674	\N	\N	\N
660195	2253	1997-12-30	VYDAJ	VYBER	900	29943	\N	\N	\N
660196	2253	1998-04-29	VYDAJ	VYBER	4900	24010	\N	\N	\N
660197	2253	1998-05-29	VYDAJ	VYBER	2200	19310	\N	\N	\N
660198	2253	1998-06-28	VYDAJ	VYBER	400	22075	\N	\N	\N
660199	2253	1998-07-28	VYDAJ	VYBER	400	24836	\N	\N	\N
660200	2253	1998-08-27	VYDAJ	VYBER	5100	22909	\N	\N	\N
660201	2253	1998-09-26	VYDAJ	VYBER	3400	22689	\N	\N	\N
660202	2253	1998-10-26	VYDAJ	VYBER	6700	19162	\N	\N	\N
660264	2254	1996-04-17	PRIJEM	VKLAD	200	200	\N	\N	\N
660265	2254	1996-06-29	PRIJEM	VKLAD	7460	103600	\N	\N	\N
660267	2254	1996-09-30	PRIJEM	VKLAD	24031	88567	\N	\N	\N
660268	2254	1996-09-09	PRIJEM	VKLAD	27962	59378	\N	\N	\N
660270	2254	1996-09-27	PRIJEM	VKLAD	28525	64536	\N	\N	\N
660271	2254	1996-12-11	PRIJEM	VKLAD	29514	78186	\N	\N	\N
660273	2254	1996-08-10	PRIJEM	VKLAD	39482	71444	\N	\N	\N
660274	2254	1996-09-06	PRIJEM	VKLAD	5638	31416	\N	\N	\N
660275	2254	1996-06-23	PRIJEM	VKLAD	48047	96140	\N	\N	\N
660277	2254	1996-10-21	PRIJEM	VKLAD	22339	75209	\N	\N	\N
660278	2254	1996-12-16	PRIJEM	VKLAD	38950	87269	\N	\N	\N
660279	2254	1996-05-25	PRIJEM	VKLAD	11272	64260	\N	\N	\N
660280	2254	1996-05-26	PRIJEM	VKLAD	35087	99347	\N	\N	\N
660281	2254	1996-06-06	PRIJEM	VKLAD	28122	127593	\N	\N	\N
660283	2254	1996-07-13	PRIJEM	VKLAD	34350	70383	\N	\N	\N
660287	2254	1996-12-19	PRIJEM	VKLAD	33452	120721	\N	\N	\N
660288	2254	1996-05-20	PRIJEM	VKLAD	41788	52988	\N	\N	\N
660289	2254	1997-11-28	PRIJEM	VKLAD	6702	65406	\N	\N	\N
660290	2254	1997-04-18	PRIJEM	VKLAD	25257	74978	\N	\N	\N
660291	2254	1997-10-22	PRIJEM	VKLAD	30152	43708	\N	\N	\N
660292	2254	1997-06-14	PRIJEM	VKLAD	32773	77649	\N	\N	\N
660293	2254	1997-11-08	PRIJEM	VKLAD	21001	60561	\N	\N	\N
660294	2254	1997-06-07	PRIJEM	VKLAD	24268	67543	\N	\N	\N
660295	2254	1997-11-12	PRIJEM	VKLAD	24110	60192	\N	\N	\N
660296	2254	1997-04-04	PRIJEM	VKLAD	49107	75688	\N	\N	\N
660297	2254	1998-05-18	PRIJEM	VKLAD	34996	86699	\N	\N	\N
660298	2254	1998-06-14	PRIJEM	VKLAD	46393	134473	\N	\N	\N
660299	2254	1998-06-10	PRIJEM	VKLAD	42548	106247	\N	\N	\N
660300	2254	1998-12-19	PRIJEM	VKLAD	17620	74200	\N	\N	\N
660301	2254	1998-08-26	PRIJEM	VKLAD	37874	64910	\N	\N	\N
660302	2254	1998-10-14	PRIJEM	VKLAD	14155	33515	\N	\N	\N
660303	2254	1998-05-12	PRIJEM	VKLAD	39146	113891	\N	\N	\N
660304	2254	1998-03-11	PRIJEM	VKLAD	47692	86745	\N	\N	\N
660305	2254	1998-03-29	PRIJEM	VKLAD	44721	90950	\N	\N	\N
660306	2254	1998-05-09	PRIJEM	VKLAD	41548	91466	\N	\N	\N
660307	2254	1998-12-25	PRIJEM	VKLAD	22586	96786	\N	\N	\N
660308	2254	1998-08-31	PRIJEM	VKLAD	5747	98475	\N	\N	\N
660309	2254	1998-04-09	PRIJEM	VKLAD	46068	114833	\N	\N	\N
660310	2254	1998-04-30	PRIJEM	VKLAD	43342	113933	\N	\N	\N
660311	2254	1998-12-13	PRIJEM	VKLAD	35781	69180	\N	\N	\N
660312	2254	1998-02-24	PRIJEM	VKLAD	7998	30774	\N	\N	\N
660313	2254	1998-07-09	PRIJEM	VKLAD	7834	38469	\N	\N	\N
660314	2254	1998-08-29	PRIJEM	VKLAD	27818	92728	\N	\N	\N
660315	2254	1998-10-17	PRIJEM	VKLAD	18283	51798	\N	\N	\N
660316	2254	1998-05-29	PRIJEM	VKLAD	5423	85827	\N	\N	\N
660317	2254	1998-11-23	PRIJEM	VKLAD	28831	59604	\N	\N	\N
660318	2254	1998-07-24	PRIJEM	VKLAD	29278	57380	\N	\N	\N
660361	2254	1996-07-11	VYDAJ	PREVOD NA UCET	8879	37521	SIPO	YZ	39556306
660362	2254	1996-08-11	VYDAJ	PREVOD NA UCET	8879	62565	SIPO	YZ	39556306
660363	2254	1996-09-11	VYDAJ	PREVOD NA UCET	8879	50499	SIPO	YZ	39556306
660364	2254	1996-10-11	VYDAJ	PREVOD NA UCET	8879	79858	SIPO	YZ	39556306
660365	2254	1996-11-11	VYDAJ	PREVOD NA UCET	8879	66629	SIPO	YZ	39556306
660366	2254	1996-12-11	VYDAJ	PREVOD NA UCET	8879	69307	SIPO	YZ	39556306
660367	2254	1997-01-11	VYDAJ	PREVOD NA UCET	8879	29202	SIPO	YZ	39556306
660368	2254	1997-02-11	VYDAJ	PREVOD NA UCET	8879	24568	SIPO	YZ	39556306
660369	2254	1997-03-11	VYDAJ	PREVOD NA UCET	8879	14280	SIPO	YZ	39556306
660370	2254	1997-04-11	VYDAJ	PREVOD NA UCET	8879	66809	SIPO	YZ	39556306
660371	2254	1997-05-11	VYDAJ	PREVOD NA UCET	8879	53965	SIPO	YZ	39556306
660372	2254	1997-06-11	VYDAJ	PREVOD NA UCET	8879	58664	SIPO	YZ	39556306
660373	2254	1997-07-11	VYDAJ	PREVOD NA UCET	8879	28496	SIPO	YZ	39556306
660374	2254	1997-08-11	VYDAJ	PREVOD NA UCET	8879	18153	SIPO	YZ	39556306
660375	2254	1997-09-11	VYDAJ	PREVOD NA UCET	8879	18455	SIPO	YZ	39556306
660376	2254	1997-10-11	VYDAJ	PREVOD NA UCET	8879	15044	SIPO	YZ	39556306
660377	2254	1997-11-11	VYDAJ	PREVOD NA UCET	8879	36082	SIPO	YZ	39556306
660378	2254	1997-12-11	VYDAJ	PREVOD NA UCET	8879	28747	SIPO	YZ	39556306
660379	2254	1998-01-11	VYDAJ	PREVOD NA UCET	8879	19559	SIPO	YZ	39556306
660380	2254	1998-02-11	VYDAJ	PREVOD NA UCET	8879	24264	SIPO	YZ	39556306
660381	2254	1998-03-11	VYDAJ	PREVOD NA UCET	8879	77866	SIPO	YZ	39556306
660382	2254	1998-04-11	VYDAJ	PREVOD NA UCET	8879	71754	SIPO	YZ	39556306
660383	2254	1998-05-11	VYDAJ	PREVOD NA UCET	8879	74745	SIPO	YZ	39556306
660384	2254	1998-06-11	VYDAJ	PREVOD NA UCET	8879	97368	SIPO	YZ	39556306
660385	2254	1998-07-11	VYDAJ	PREVOD NA UCET	8879	29590	SIPO	YZ	39556306
660386	2254	1998-08-11	VYDAJ	PREVOD NA UCET	8879	28524	SIPO	YZ	39556306
660387	2254	1998-09-11	VYDAJ	PREVOD NA UCET	8879	52894	SIPO	YZ	39556306
660388	2254	1998-10-11	VYDAJ	PREVOD NA UCET	8879	20848	SIPO	YZ	39556306
660389	2254	1998-11-11	VYDAJ	PREVOD NA UCET	8879	32261	SIPO	YZ	39556306
660390	2254	1998-12-11	VYDAJ	PREVOD NA UCET	8879	34887	SIPO	YZ	39556306
660397	2254	1996-07-12	VYDAJ	PREVOD NA UCET	1488	36033	 	QR	72738760
660398	2254	1996-08-12	VYDAJ	PREVOD NA UCET	1488	61077	 	QR	72738760
660399	2254	1996-09-12	VYDAJ	PREVOD NA UCET	1488	49011	 	QR	72738760
660400	2254	1996-10-12	VYDAJ	PREVOD NA UCET	1488	78370	 	QR	72738760
660401	2254	1996-11-12	VYDAJ	PREVOD NA UCET	1488	65141	 	QR	72738760
660402	2254	1996-12-12	VYDAJ	PREVOD NA UCET	1488	67819	 	QR	72738760
660403	2254	1997-01-12	VYDAJ	PREVOD NA UCET	1488	28114	 	QR	72738760
660404	2254	1997-02-12	VYDAJ	PREVOD NA UCET	1488	23080	 	QR	72738760
660405	2254	1997-03-12	VYDAJ	PREVOD NA UCET	1488	12792	 	QR	72738760
660406	2254	1997-04-12	VYDAJ	PREVOD NA UCET	1488	65321	 	QR	72738760
660407	2254	1997-05-12	VYDAJ	PREVOD NA UCET	1488	43077	 	QR	72738760
660408	2254	1997-06-12	VYDAJ	PREVOD NA UCET	1488	44876	 	QR	72738760
660409	2254	1997-07-12	VYDAJ	PREVOD NA UCET	1488	26408	 	QR	72738760
660410	2254	1997-08-12	VYDAJ	PREVOD NA UCET	1488	16665	 	QR	72738760
660411	2254	1997-09-12	VYDAJ	PREVOD NA UCET	1488	16967	 	QR	72738760
660412	2254	1997-10-12	VYDAJ	PREVOD NA UCET	1488	13556	 	QR	72738760
660413	2254	1997-11-12	VYDAJ	PREVOD NA UCET	1488	58704	 	QR	72738760
660414	2254	1997-12-12	VYDAJ	PREVOD NA UCET	1488	27259	 	QR	72738760
660415	2254	1998-01-12	VYDAJ	PREVOD NA UCET	1488	18071	 	QR	72738760
660416	2254	1998-02-12	VYDAJ	PREVOD NA UCET	1488	22776	 	QR	72738760
660417	2254	1998-03-12	VYDAJ	PREVOD NA UCET	1488	76378	 	QR	72738760
660418	2254	1998-04-12	VYDAJ	PREVOD NA UCET	1488	70266	 	QR	72738760
660419	2254	1998-05-12	VYDAJ	PREVOD NA UCET	1488	51703	 	QR	72738760
660420	2254	1998-06-12	VYDAJ	PREVOD NA UCET	1488	95880	 	QR	72738760
660421	2254	1998-07-12	VYDAJ	PREVOD NA UCET	1488	28102	 	QR	72738760
660422	2254	1998-08-12	VYDAJ	PREVOD NA UCET	1488	27036	 	QR	72738760
660423	2254	1998-09-12	VYDAJ	PREVOD NA UCET	1488	51406	 	QR	72738760
660424	2254	1998-10-12	VYDAJ	PREVOD NA UCET	1488	19360	 	QR	72738760
660425	2254	1998-11-12	VYDAJ	PREVOD NA UCET	1488	30773	 	QR	72738760
660426	2254	1998-12-12	VYDAJ	PREVOD NA UCET	1488	33399	 	QR	72738760
660427	2254	1996-07-17	VYBER	VYBER	15379	31804	\N	\N	\N
660429	2254	1996-09-04	VYBER	VYBER	17258	25778	\N	\N	\N
660430	2254	1997-10-31	VYBER	VYBER	4234	39575	\N	\N	\N
660431	2254	1997-12-02	VYBER	VYBER	22189	43426	\N	\N	\N
660432	2254	1997-04-29	VYBER	VYBER	12339	62639	\N	\N	\N
660433	2254	1997-12-15	VYBER	VYBER	2242	25017	\N	\N	\N
660435	2254	1997-07-05	VYBER	VYBER	13815	37375	\N	\N	\N
660437	2254	1998-03-17	VYBER	VYBER	19349	57029	\N	\N	\N
660438	2254	1998-09-15	VYBER	VYBER	2662	48744	\N	\N	\N
660439	2254	1998-05-22	VYBER	VYBER	6295	80404	\N	\N	\N
660440	2254	1998-09-15	VYBER	VYBER	8855	37726	\N	\N	\N
660441	2254	1998-09-15	VYBER	VYBER	2163	46581	\N	\N	\N
660442	2254	1998-05-10	VYBER	VYBER	7842	83624	\N	\N	\N
660443	2254	1998-07-29	VYBER	VYBER	19601	37779	\N	\N	\N
660444	2254	1998-06-29	VYBER	VYBER	12818	24155	\N	\N	\N
660445	2254	1998-09-09	VYBER	VYBER	7757	61773	\N	\N	\N
660448	2254	1998-06-25	VYDAJ	VYBER	49200	36973	\N	\N	\N
660450	2254	1997-01-08	VYDAJ	VYBER	24900	44981	\N	\N	\N
660452	2254	1996-12-23	VYDAJ	VYBER	5100	75921	\N	\N	\N
660453	2254	1997-12-04	VYDAJ	VYBER	2400	41026	\N	\N	\N
660454	2254	1998-12-26	VYDAJ	VYBER	6300	90486	\N	\N	\N
660463	2254	1997-01-02	VYDAJ	VYBER	3600	72581	\N	\N	\N
660464	2254	1997-01-05	VYDAJ	VYBER	2700	69881	\N	\N	\N
660465	2254	1997-01-09	VYDAJ	VYBER	6900	38081	\N	\N	\N
660466	2254	1997-01-14	VYDAJ	VYBER	7200	20914	\N	\N	\N
660472	2254	1998-01-06	VYDAJ	VYBER	3900	21238	\N	\N	\N
660475	2254	1996-12-19	VYDAJ	VYBER	12000	108721	\N	\N	\N
660476	2254	1997-06-27	VYDAJ	VYBER	13800	63849	\N	\N	\N
660478	2254	1997-07-03	VYDAJ	VYBER	12900	51190	\N	\N	\N
660479	2254	1998-11-01	VYDAJ	VYBER	8700	43240	\N	\N	\N
660481	2254	1998-03-28	VYDAJ	VYBER	8700	46229	\N	\N	\N
660482	2254	1998-06-12	VYDAJ	VYBER	7800	88080	\N	\N	\N
660483	2254	1998-03-22	VYDAJ	VYBER	2100	54929	\N	\N	\N
660484	2254	1998-12-13	VYDAJ	VYBER	12600	56580	\N	\N	\N
660485	2254	1998-05-01	VYDAJ	VYBER	8700	58718	\N	\N	\N
660486	2254	1998-09-20	VYDAJ	VYBER	14400	23326	\N	\N	\N
660493	2254	1996-06-30	VYDAJ	VYBER	15	46400	SLUZBY	\N	\N
660494	2254	1996-07-31	VYDAJ	VYBER	15	31962	SLUZBY	\N	\N
660495	2254	1996-08-31	VYDAJ	VYBER	15	43036	SLUZBY	\N	\N
660496	2254	1996-09-30	VYDAJ	VYBER	15	88737	SLUZBY	\N	\N
660497	2254	1996-10-31	VYDAJ	VYBER	15	75508	SLUZBY	\N	\N
660498	2254	1996-11-30	VYDAJ	VYBER	15	48672	SLUZBY	\N	\N
660499	2254	1996-12-31	VYDAJ	VYBER	15	76181	SLUZBY	\N	\N
660500	2254	1997-01-31	VYDAJ	VYBER	15	21047	SLUZBY	\N	\N
660501	2254	1997-02-28	VYDAJ	VYBER	15	23159	SLUZBY	\N	\N
660502	2254	1997-03-31	VYDAJ	VYBER	15	26581	SLUZBY	\N	\N
660503	2254	1997-04-30	VYDAJ	VYBER	15	62844	SLUZBY	\N	\N
660504	2254	1997-05-31	VYDAJ	VYBER	15	43275	SLUZBY	\N	\N
660505	2254	1997-06-30	VYDAJ	VYBER	15	64090	SLUZBY	\N	\N
660506	2254	1997-07-31	VYDAJ	VYBER	15	26532	SLUZBY	\N	\N
660507	2254	1997-08-31	VYDAJ	VYBER	15	16734	SLUZBY	\N	\N
660508	2254	1997-09-30	VYDAJ	VYBER	15	17023	SLUZBY	\N	\N
660509	2254	1997-10-31	VYDAJ	VYBER	15	39560	SLUZBY	\N	\N
660510	2254	1997-11-30	VYDAJ	VYBER	15	65615	SLUZBY	\N	\N
660511	2254	1997-12-31	VYDAJ	VYBER	15	25138	SLUZBY	\N	\N
660512	2254	1998-01-31	VYDAJ	VYBER	15	18143	SLUZBY	\N	\N
660513	2254	1998-02-28	VYDAJ	VYBER	15	30853	SLUZBY	\N	\N
660514	2254	1998-03-31	VYDAJ	VYBER	15	91165	SLUZBY	\N	\N
660515	2254	1998-04-30	VYDAJ	VYBER	15	67418	SLUZBY	\N	\N
660516	2254	1998-05-31	VYDAJ	VYBER	15	86199	SLUZBY	\N	\N
660517	2254	1998-06-30	VYDAJ	VYBER	15	24535	SLUZBY	\N	\N
660518	2254	1998-07-31	VYDAJ	VYBER	15	37903	SLUZBY	\N	\N
660519	2254	1998-08-31	VYDAJ	VYBER	15	98630	SLUZBY	\N	\N
660520	2254	1998-09-30	VYDAJ	VYBER	15	23527	SLUZBY	\N	\N
660521	2254	1998-10-31	VYDAJ	VYBER	15	51940	SLUZBY	\N	\N
660522	2254	1998-11-30	VYDAJ	VYBER	15	59766	SLUZBY	\N	\N
660523	2254	1996-05-17	PRIJEM	VKLAD	11000	11200	\N	\N	\N
660524	2254	1996-06-06	VYDAJ	VYBER	51900	75693	\N	\N	\N
660525	2254	1996-06-16	VYDAJ	VYBER	27600	48093	\N	\N	\N
660526	2254	1996-06-29	VYDAJ	VYBER	57500	46100	\N	\N	\N
660527	2254	1996-07-16	VYDAJ	VYBER	23200	47183	\N	\N	\N
660528	2254	1996-08-15	VYDAJ	VYBER	18200	42877	\N	\N	\N
660529	2254	1996-09-14	VYDAJ	VYBER	13000	36011	\N	\N	\N
660530	2254	1996-10-14	VYDAJ	VYBER	25500	52870	\N	\N	\N
660531	2254	1996-11-13	VYDAJ	VYBER	16700	48441	\N	\N	\N
660532	2254	1996-12-13	VYDAJ	VYBER	19500	48319	\N	\N	\N
660533	2254	1996-12-19	VYDAJ	VYBER	27700	81021	\N	\N	\N
660534	2254	1997-01-12	PRIJEM	VKLAD	400	29602	\N	\N	\N
660535	2254	1997-02-11	PRIJEM	VKLAD	12400	33447	\N	\N	\N
660536	2254	1997-03-13	PRIJEM	VKLAD	13700	26492	\N	\N	\N
660537	2254	1997-04-12	VYDAJ	VYBER	15600	49721	\N	\N	\N
660538	2254	1997-05-12	VYDAJ	VYBER	9400	44565	\N	\N	\N
660539	2254	1997-06-11	VYDAJ	VYBER	12300	46364	\N	\N	\N
660540	2254	1997-07-11	VYDAJ	VYBER	600	27896	\N	\N	\N
660541	2254	1997-08-10	PRIJEM	VKLAD	500	27032	\N	\N	\N
660542	2254	1997-09-09	PRIJEM	VKLAD	10600	27334	\N	\N	\N
660543	2254	1997-10-09	PRIJEM	VKLAD	6900	23923	\N	\N	\N
660544	2254	1997-11-08	VYDAJ	VYBER	15600	44961	\N	\N	\N
660545	2254	1997-12-08	VYDAJ	VYBER	3400	37626	\N	\N	\N
660546	2254	1998-01-07	PRIJEM	VKLAD	7200	28438	\N	\N	\N
660547	2254	1998-02-06	PRIJEM	VKLAD	15000	33143	\N	\N	\N
660548	2254	1998-03-08	PRIJEM	VKLAD	8200	39053	\N	\N	\N
660549	2254	1998-04-07	VYDAJ	VYBER	22400	68765	\N	\N	\N
660550	2254	1998-04-09	VYDAJ	VYBER	34200	80633	\N	\N	\N
660551	2254	1998-04-30	VYDAJ	VYBER	46500	67433	\N	\N	\N
660552	2254	1998-05-07	VYDAJ	VYBER	8800	49918	\N	\N	\N
660553	2254	1998-05-12	VYDAJ	VYBER	60700	53191	\N	\N	\N
660554	2254	1998-06-06	VYDAJ	VYBER	22500	63699	\N	\N	\N
660555	2254	1998-06-14	VYDAJ	VYBER	48300	86173	\N	\N	\N
660556	2254	1998-07-06	PRIJEM	VKLAD	6100	30635	\N	\N	\N
660557	2254	1998-08-05	VYDAJ	VYBER	500	37403	\N	\N	\N
660558	2254	1998-09-04	VYDAJ	VYBER	29100	69530	\N	\N	\N
660559	2254	1998-10-04	PRIJEM	VKLAD	6200	29727	\N	\N	\N
660560	2254	1998-11-03	VYDAJ	VYBER	2100	41140	\N	\N	\N
660561	2254	1998-12-03	VYDAJ	VYBER	16000	43766	\N	\N	\N
660594	2255	1995-10-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
660605	2255	1995-11-09	PRIJEM	PREVOD Z UCTU	3126	4226	\N	KL	10162395
660606	2255	1995-12-09	PRIJEM	PREVOD Z UCTU	3126	7352	\N	KL	10162395
660607	2255	1996-01-09	PRIJEM	PREVOD Z UCTU	3126	10478	\N	KL	10162395
660608	2255	1996-02-09	PRIJEM	PREVOD Z UCTU	3126	13604	\N	KL	10162395
660609	2255	1996-03-09	PRIJEM	PREVOD Z UCTU	3126	16730	\N	KL	10162395
660610	2255	1996-04-09	PRIJEM	PREVOD Z UCTU	3126	17760	\N	KL	10162395
660611	2255	1996-05-09	PRIJEM	PREVOD Z UCTU	3126	18860	\N	KL	10162395
660612	2255	1996-06-09	PRIJEM	PREVOD Z UCTU	3126	18160	\N	KL	10162395
660613	2255	1996-07-09	PRIJEM	PREVOD Z UCTU	3126	13406	\N	KL	10162395
660614	2255	1996-08-09	PRIJEM	PREVOD Z UCTU	3126	13407	\N	KL	10162395
660615	2255	1996-09-09	PRIJEM	PREVOD Z UCTU	3126	14489	\N	KL	10162395
660616	2255	1996-10-09	PRIJEM	PREVOD Z UCTU	3126	15575	\N	KL	10162395
660617	2255	1996-11-09	PRIJEM	PREVOD Z UCTU	3126	15225	\N	KL	10162395
660618	2255	1996-12-09	PRIJEM	PREVOD Z UCTU	3126	16315	\N	KL	10162395
660619	2255	1997-01-09	PRIJEM	PREVOD Z UCTU	3126	17259	\N	KL	10162395
660620	2255	1997-02-09	PRIJEM	PREVOD Z UCTU	3126	14088	\N	KL	10162395
660621	2255	1997-03-09	PRIJEM	PREVOD Z UCTU	3126	15173	\N	KL	10162395
660622	2255	1997-04-09	PRIJEM	PREVOD Z UCTU	3126	16262	\N	KL	10162395
660623	2255	1997-05-09	PRIJEM	PREVOD Z UCTU	3126	17356	\N	KL	10162395
660624	2255	1997-06-09	PRIJEM	PREVOD Z UCTU	3126	17735	\N	KL	10162395
660625	2255	1997-07-09	PRIJEM	PREVOD Z UCTU	3126	18835	\N	KL	10162395
660626	2255	1997-08-09	PRIJEM	PREVOD Z UCTU	3126	19399	\N	KL	10162395
660627	2255	1997-09-09	PRIJEM	PREVOD Z UCTU	3126	20055	\N	KL	10162395
660628	2255	1997-10-09	PRIJEM	PREVOD Z UCTU	3126	19844	\N	KL	10162395
660629	2255	1997-11-09	PRIJEM	PREVOD Z UCTU	3126	20954	\N	KL	10162395
660630	2255	1997-12-09	PRIJEM	PREVOD Z UCTU	3126	22067	\N	KL	10162395
660631	2255	1998-01-09	PRIJEM	PREVOD Z UCTU	3126	22315	\N	KL	10162395
660632	2255	1998-02-09	PRIJEM	PREVOD Z UCTU	3126	17690	\N	KL	10162395
660633	2255	1998-03-09	PRIJEM	PREVOD Z UCTU	3126	18789	\N	KL	10162395
660634	2255	1998-04-09	PRIJEM	PREVOD Z UCTU	3126	19894	\N	KL	10162395
660635	2255	1998-05-09	PRIJEM	PREVOD Z UCTU	3126	20132	\N	KL	10162395
660636	2255	1998-06-09	PRIJEM	PREVOD Z UCTU	3126	20522	\N	KL	10162395
660637	2255	1998-07-09	PRIJEM	PREVOD Z UCTU	3126	18474	\N	KL	10162395
660638	2255	1998-08-09	PRIJEM	PREVOD Z UCTU	3126	19577	\N	KL	10162395
660639	2255	1998-09-09	PRIJEM	PREVOD Z UCTU	3126	20684	\N	KL	10162395
660640	2255	1998-10-09	PRIJEM	PREVOD Z UCTU	3126	21406	\N	KL	10162395
660641	2255	1998-11-09	PRIJEM	PREVOD Z UCTU	3126	22521	\N	KL	10162395
660642	2255	1998-12-09	PRIJEM	PREVOD Z UCTU	3126	23340	\N	KL	10162395
660658	2255	1996-04-05	VYDAJ	PREVOD NA UCET	2084	14634	\N	WX	25985443
660659	2255	1996-05-05	VYDAJ	PREVOD NA UCET	2084	15734	\N	WX	25985443
660660	2255	1996-06-05	VYDAJ	PREVOD NA UCET	2084	15034	\N	WX	25985443
660661	2255	1996-07-05	VYDAJ	PREVOD NA UCET	2084	10280	\N	WX	25985443
660662	2255	1996-08-05	VYDAJ	PREVOD NA UCET	2084	10281	\N	WX	25985443
660663	2255	1996-09-05	VYDAJ	PREVOD NA UCET	2084	11363	\N	WX	25985443
660664	2255	1996-10-05	VYDAJ	PREVOD NA UCET	2084	12449	\N	WX	25985443
660665	2255	1996-11-05	VYDAJ	PREVOD NA UCET	2084	12099	\N	WX	25985443
660666	2255	1996-12-05	VYDAJ	PREVOD NA UCET	2084	13189	\N	WX	25985443
660667	2255	1997-01-05	VYDAJ	PREVOD NA UCET	2084	14133	\N	WX	25985443
660668	2255	1997-02-05	VYDAJ	PREVOD NA UCET	2084	10962	\N	WX	25985443
660669	2255	1997-03-05	VYDAJ	PREVOD NA UCET	2084	12047	\N	WX	25985443
660670	2255	1997-04-05	VYDAJ	PREVOD NA UCET	2084	13136	\N	WX	25985443
660671	2255	1997-05-05	VYDAJ	PREVOD NA UCET	2084	14230	\N	WX	25985443
660672	2255	1997-06-05	VYDAJ	PREVOD NA UCET	2084	15329	\N	WX	25985443
660673	2255	1997-07-05	VYDAJ	PREVOD NA UCET	2084	15709	\N	WX	25985443
660674	2255	1997-08-05	VYDAJ	PREVOD NA UCET	2084	16273	\N	WX	25985443
660675	2255	1997-09-05	VYDAJ	PREVOD NA UCET	2084	16929	\N	WX	25985443
660676	2255	1997-10-05	VYDAJ	PREVOD NA UCET	2084	17648	\N	WX	25985443
660677	2255	1997-11-05	VYDAJ	PREVOD NA UCET	2084	17828	\N	WX	25985443
660678	2255	1997-12-05	VYDAJ	PREVOD NA UCET	2084	18941	\N	WX	25985443
660679	2255	1998-01-05	VYDAJ	PREVOD NA UCET	2084	19189	\N	WX	25985443
660680	2255	1998-02-05	VYDAJ	PREVOD NA UCET	2084	14564	\N	WX	25985443
660681	2255	1998-03-05	VYDAJ	PREVOD NA UCET	2084	15663	\N	WX	25985443
660682	2255	1998-04-05	VYDAJ	PREVOD NA UCET	2084	16768	\N	WX	25985443
660683	2255	1998-05-05	VYDAJ	PREVOD NA UCET	2084	17006	\N	WX	25985443
660684	2255	1998-06-05	VYDAJ	PREVOD NA UCET	2084	17396	\N	WX	25985443
660685	2255	1998-07-05	VYDAJ	PREVOD NA UCET	2084	15348	\N	WX	25985443
660686	2255	1998-08-05	VYDAJ	PREVOD NA UCET	2084	16451	\N	WX	25985443
660687	2255	1998-09-05	VYDAJ	PREVOD NA UCET	2084	17558	\N	WX	25985443
660688	2255	1998-10-05	VYDAJ	PREVOD NA UCET	2084	18280	\N	WX	25985443
660689	2255	1998-11-05	VYDAJ	PREVOD NA UCET	2084	19395	\N	WX	25985443
660690	2255	1998-12-05	VYDAJ	PREVOD NA UCET	2084	20214	\N	WX	25985443
660692	2255	1996-06-24	VYDAJ	VYBER	5850	12310	\N	\N	\N
660694	2255	1998-06-09	VYDAJ	VYBER	1680	18842	\N	\N	\N
660697	2255	1997-01-14	VYDAJ	VYBER	2400	14859	\N	\N	\N
660698	2255	1998-01-14	VYDAJ	VYBER	2850	17935	\N	\N	\N
660700	2255	1996-12-29	VYDAJ	VYBER	150	16165	\N	\N	\N
660701	2255	1997-12-20	VYDAJ	VYBER	270	21797	\N	\N	\N
660702	2255	1998-12-03	VYDAJ	VYBER	300	22298	\N	\N	\N
660715	2255	1997-01-17	VYDAJ	VYBER	600	14259	\N	\N	\N
660716	2255	1997-01-25	VYDAJ	VYBER	180	12999	\N	\N	\N
660718	2255	1997-01-23	VYDAJ	VYBER	210	13179	\N	\N	\N
660719	2255	1997-01-22	VYDAJ	VYBER	180	13389	\N	\N	\N
660720	2255	1997-01-18	VYDAJ	VYBER	690	13569	\N	\N	\N
660721	2255	1998-01-04	VYDAJ	VYBER	600	21273	\N	\N	\N
660722	2255	1998-01-12	VYDAJ	VYBER	420	21895	\N	\N	\N
660723	2255	1998-01-15	VYDAJ	VYBER	300	17635	\N	\N	\N
660724	2255	1998-01-13	VYDAJ	VYBER	180	20785	\N	\N	\N
660725	2255	1998-01-19	VYDAJ	VYBER	270	17365	\N	\N	\N
660726	2255	1998-01-22	VYDAJ	VYBER	780	16585	\N	\N	\N
660733	2255	1996-07-23	VYDAJ	VYBER	1080	12326	\N	\N	\N
660735	2255	1996-10-23	VYDAJ	VYBER	1440	14135	\N	\N	\N
660739	2255	1997-09-24	VYDAJ	VYBER	390	19665	\N	\N	\N
660740	2255	1997-08-09	VYDAJ	VYBER	450	18949	\N	\N	\N
660741	2255	1997-07-28	VYDAJ	VYBER	540	18295	\N	\N	\N
660742	2255	1997-06-08	VYDAJ	VYBER	720	14609	\N	\N	\N
660744	2255	1997-10-08	VYDAJ	VYBER	930	16718	\N	\N	\N
660745	2255	1998-01-13	VYDAJ	VYBER	930	20965	\N	\N	\N
660746	2255	1998-05-28	VYDAJ	VYBER	720	19412	\N	\N	\N
660747	2255	1998-06-10	VYDAJ	VYBER	1470	17372	\N	\N	\N
660748	2255	1998-09-21	VYDAJ	VYBER	390	20294	\N	\N	\N
660749	2255	1998-12-10	VYDAJ	VYBER	780	22560	\N	\N	\N
660750	2255	1998-04-28	VYDAJ	VYBER	870	19024	\N	\N	\N
660766	2255	1996-03-31	VYDAJ	VYBER	15	16718	SLUZBY	\N	\N
660767	2255	1996-04-30	VYDAJ	VYBER	15	17818	SLUZBY	\N	\N
660768	2255	1996-05-31	VYDAJ	VYBER	15	17118	SLUZBY	\N	\N
660769	2255	1996-06-30	VYDAJ	VYBER	15	12364	SLUZBY	\N	\N
660770	2255	1996-07-31	VYDAJ	VYBER	15	12365	SLUZBY	\N	\N
660771	2255	1996-08-31	VYDAJ	VYBER	15	13447	SLUZBY	\N	\N
660772	2255	1996-09-30	VYDAJ	VYBER	15	14533	SLUZBY	\N	\N
660773	2255	1996-10-31	VYDAJ	VYBER	15	14183	SLUZBY	\N	\N
660774	2255	1996-11-30	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
660775	2255	1996-12-31	VYDAJ	VYBER	15	16217	SLUZBY	\N	\N
660776	2255	1997-01-31	VYDAJ	VYBER	15	13046	SLUZBY	\N	\N
660777	2255	1997-02-28	VYDAJ	VYBER	15	14131	SLUZBY	\N	\N
660778	2255	1997-03-31	VYDAJ	VYBER	15	15220	SLUZBY	\N	\N
660779	2255	1997-04-30	VYDAJ	VYBER	15	16314	SLUZBY	\N	\N
660780	2255	1997-05-31	VYDAJ	VYBER	15	17413	SLUZBY	\N	\N
660781	2255	1997-06-30	VYDAJ	VYBER	15	17793	SLUZBY	\N	\N
660782	2255	1997-07-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
660783	2255	1997-08-31	VYDAJ	VYBER	15	19013	SLUZBY	\N	\N
660784	2255	1997-09-30	VYDAJ	VYBER	15	19732	SLUZBY	\N	\N
660785	2255	1997-10-31	VYDAJ	VYBER	15	19912	SLUZBY	\N	\N
660786	2255	1997-11-30	VYDAJ	VYBER	15	21025	SLUZBY	\N	\N
660787	2255	1997-12-31	VYDAJ	VYBER	15	21873	SLUZBY	\N	\N
660788	2255	1998-01-31	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
660789	2255	1998-02-28	VYDAJ	VYBER	15	17747	SLUZBY	\N	\N
660790	2255	1998-03-31	VYDAJ	VYBER	15	18852	SLUZBY	\N	\N
660791	2255	1998-04-30	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
660792	2255	1998-05-31	VYDAJ	VYBER	15	19480	SLUZBY	\N	\N
660793	2255	1998-06-30	VYDAJ	VYBER	15	17432	SLUZBY	\N	\N
660794	2255	1998-07-31	VYDAJ	VYBER	15	18535	SLUZBY	\N	\N
660795	2255	1998-08-31	VYDAJ	VYBER	15	19642	SLUZBY	\N	\N
660796	2255	1998-09-30	VYDAJ	VYBER	15	20364	SLUZBY	\N	\N
660797	2255	1998-10-31	VYDAJ	VYBER	15	21479	SLUZBY	\N	\N
660798	2255	1998-11-30	VYDAJ	VYBER	15	22598	SLUZBY	\N	\N
660799	2255	1996-05-11	VYDAJ	VYBER	1800	17060	\N	\N	\N
660834	2256	1993-02-06	PRIJEM	VKLAD	700	700	\N	\N	\N
660836	2256	1993-02-13	PRIJEM	PREVOD Z UCTU	4729	5429	DUCHOD	AB	59773492
660837	2256	1993-03-13	PRIJEM	PREVOD Z UCTU	4729	10171	DUCHOD	AB	59773492
660838	2256	1993-04-13	PRIJEM	PREVOD Z UCTU	4729	14923	DUCHOD	AB	59773492
660839	2256	1993-05-13	PRIJEM	PREVOD Z UCTU	4729	19674	DUCHOD	AB	59773492
660840	2256	1993-06-13	PRIJEM	PREVOD Z UCTU	4729	24426	DUCHOD	AB	59773492
660841	2256	1993-07-13	PRIJEM	PREVOD Z UCTU	4729	22618	DUCHOD	AB	59773492
660842	2256	1993-08-13	PRIJEM	PREVOD Z UCTU	4729	24272	DUCHOD	AB	59773492
660843	2256	1993-09-13	PRIJEM	PREVOD Z UCTU	4729	25933	DUCHOD	AB	59773492
660844	2256	1993-10-13	PRIJEM	PREVOD Z UCTU	4729	25701	DUCHOD	AB	59773492
660845	2256	1993-11-13	PRIJEM	PREVOD Z UCTU	4729	23361	DUCHOD	AB	59773492
660846	2256	1993-12-13	PRIJEM	PREVOD Z UCTU	4729	25018	DUCHOD	AB	59773492
660847	2256	1994-01-13	PRIJEM	PREVOD Z UCTU	4729	17430	DUCHOD	AB	59773492
660848	2256	1994-02-13	PRIJEM	PREVOD Z UCTU	4729	14976	DUCHOD	AB	59773492
660849	2256	1994-03-13	PRIJEM	PREVOD Z UCTU	4729	16598	DUCHOD	AB	59773492
660850	2256	1994-04-13	PRIJEM	PREVOD Z UCTU	4729	16306	DUCHOD	AB	59773492
660851	2256	1994-05-13	PRIJEM	PREVOD Z UCTU	4729	17933	DUCHOD	AB	59773492
660852	2256	1994-06-13	PRIJEM	PREVOD Z UCTU	4729	19568	DUCHOD	AB	59773492
660853	2256	1994-07-13	PRIJEM	PREVOD Z UCTU	4729	21209	DUCHOD	AB	59773492
660854	2256	1994-08-13	PRIJEM	PREVOD Z UCTU	4729	22857	DUCHOD	AB	59773492
660855	2256	1994-09-13	PRIJEM	PREVOD Z UCTU	4729	24512	DUCHOD	AB	59773492
660856	2256	1994-10-13	PRIJEM	PREVOD Z UCTU	4729	23573	DUCHOD	AB	59773492
660857	2256	1994-11-13	PRIJEM	PREVOD Z UCTU	4729	21529	DUCHOD	AB	59773492
660858	2256	1994-12-13	PRIJEM	PREVOD Z UCTU	4729	20278	DUCHOD	AB	59773492
660859	2256	1995-01-13	PRIJEM	PREVOD Z UCTU	4729	15202	DUCHOD	AB	59773492
660860	2256	1995-02-13	PRIJEM	PREVOD Z UCTU	4729	15785	DUCHOD	AB	59773492
660861	2256	1995-03-13	PRIJEM	PREVOD Z UCTU	4729	17410	DUCHOD	AB	59773492
660862	2256	1995-04-13	PRIJEM	PREVOD Z UCTU	4729	18542	DUCHOD	AB	59773492
660863	2256	1995-05-13	PRIJEM	PREVOD Z UCTU	4729	18817	DUCHOD	AB	59773492
660864	2256	1995-06-13	PRIJEM	PREVOD Z UCTU	4729	17814	DUCHOD	AB	59773492
660865	2256	1995-07-13	PRIJEM	PREVOD Z UCTU	4729	19448	DUCHOD	AB	59773492
660866	2256	1995-08-13	PRIJEM	PREVOD Z UCTU	4729	21088	DUCHOD	AB	59773492
660867	2256	1995-09-13	PRIJEM	PREVOD Z UCTU	4729	21054	DUCHOD	AB	59773492
660868	2256	1995-10-13	PRIJEM	PREVOD Z UCTU	4729	18697	DUCHOD	AB	59773492
660869	2256	1995-11-13	PRIJEM	PREVOD Z UCTU	4729	20334	DUCHOD	AB	59773492
660870	2256	1995-12-13	PRIJEM	PREVOD Z UCTU	4729	21178	DUCHOD	AB	59773492
660871	2256	1996-01-13	PRIJEM	PREVOD Z UCTU	4729	16495	DUCHOD	AB	59773492
660872	2256	1996-02-13	PRIJEM	PREVOD Z UCTU	4729	16198	DUCHOD	AB	59773492
660873	2256	1996-03-13	PRIJEM	PREVOD Z UCTU	4729	17824	DUCHOD	AB	59773492
660874	2256	1996-04-13	PRIJEM	PREVOD Z UCTU	4729	19457	DUCHOD	AB	59773492
660875	2256	1996-05-13	PRIJEM	PREVOD Z UCTU	4729	20797	DUCHOD	AB	59773492
660876	2256	1996-06-13	PRIJEM	PREVOD Z UCTU	4729	21242	DUCHOD	AB	59773492
660877	2256	1996-07-13	PRIJEM	PREVOD Z UCTU	4729	22889	DUCHOD	AB	59773492
660878	2256	1996-08-13	PRIJEM	PREVOD Z UCTU	4729	23642	DUCHOD	AB	59773492
660879	2256	1996-09-13	PRIJEM	PREVOD Z UCTU	4729	25299	DUCHOD	AB	59773492
660880	2256	1996-10-13	PRIJEM	PREVOD Z UCTU	4729	26663	DUCHOD	AB	59773492
660881	2256	1996-11-13	PRIJEM	PREVOD Z UCTU	4729	25126	DUCHOD	AB	59773492
660882	2256	1996-12-13	PRIJEM	PREVOD Z UCTU	4729	24886	DUCHOD	AB	59773492
660883	2256	1997-01-13	PRIJEM	PREVOD Z UCTU	4729	19946	DUCHOD	AB	59773492
660884	2256	1997-02-13	PRIJEM	PREVOD Z UCTU	4729	19346	DUCHOD	AB	59773492
660885	2256	1997-03-13	PRIJEM	PREVOD Z UCTU	4729	20985	DUCHOD	AB	59773492
660886	2256	1997-04-13	PRIJEM	PREVOD Z UCTU	4729	19829	DUCHOD	AB	59773492
660887	2256	1997-05-13	PRIJEM	PREVOD Z UCTU	4729	21470	DUCHOD	AB	59773492
660888	2256	1997-06-13	PRIJEM	PREVOD Z UCTU	4729	21915	DUCHOD	AB	59773492
660889	2256	1997-07-13	PRIJEM	PREVOD Z UCTU	4729	21108	DUCHOD	AB	59773492
660890	2256	1997-08-13	PRIJEM	PREVOD Z UCTU	4729	19188	DUCHOD	AB	59773492
660891	2256	1997-09-13	PRIJEM	PREVOD Z UCTU	4729	17117	DUCHOD	AB	59773492
660892	2256	1997-10-13	PRIJEM	PREVOD Z UCTU	4729	18746	DUCHOD	AB	59773492
660893	2256	1997-11-13	PRIJEM	PREVOD Z UCTU	4729	20383	DUCHOD	AB	59773492
660894	2256	1997-12-13	PRIJEM	PREVOD Z UCTU	4729	21525	DUCHOD	AB	59773492
660895	2256	1998-01-13	PRIJEM	PREVOD Z UCTU	4729	18621	DUCHOD	AB	59773492
660896	2256	1998-02-13	PRIJEM	PREVOD Z UCTU	4729	18574	DUCHOD	AB	59773492
660897	2256	1998-03-13	PRIJEM	PREVOD Z UCTU	4729	20209	DUCHOD	AB	59773492
660898	2256	1998-04-13	PRIJEM	PREVOD Z UCTU	4729	21851	DUCHOD	AB	59773492
660899	2256	1998-05-13	PRIJEM	PREVOD Z UCTU	4729	21177	DUCHOD	AB	59773492
660900	2256	1998-06-13	PRIJEM	PREVOD Z UCTU	4729	21941	DUCHOD	AB	59773492
660901	2256	1998-07-13	PRIJEM	PREVOD Z UCTU	4729	23590	DUCHOD	AB	59773492
660902	2256	1998-08-13	PRIJEM	PREVOD Z UCTU	4729	25245	DUCHOD	AB	59773492
660903	2256	1998-09-13	PRIJEM	PREVOD Z UCTU	4729	24108	DUCHOD	AB	59773492
660904	2256	1998-10-13	PRIJEM	PREVOD Z UCTU	4729	25766	DUCHOD	AB	59773492
660905	2256	1998-11-13	PRIJEM	PREVOD Z UCTU	4729	27430	DUCHOD	AB	59773492
660906	2256	1998-12-13	PRIJEM	PREVOD Z UCTU	4729	16602	DUCHOD	AB	59773492
660913	2256	1993-07-08	VYDAJ	PREVOD NA UCET	3152	17889	SIPO	UV	65441125
660914	2256	1993-08-08	VYDAJ	PREVOD NA UCET	3152	19543	SIPO	UV	65441125
660915	2256	1993-09-08	VYDAJ	PREVOD NA UCET	3152	21204	SIPO	UV	65441125
660916	2256	1993-10-08	VYDAJ	PREVOD NA UCET	3152	20972	SIPO	UV	65441125
660917	2256	1993-11-08	VYDAJ	PREVOD NA UCET	3152	18632	SIPO	UV	65441125
660918	2256	1993-12-08	VYDAJ	PREVOD NA UCET	3152	20289	SIPO	UV	65441125
660919	2256	1994-01-08	VYDAJ	PREVOD NA UCET	3152	13501	SIPO	UV	65441125
660920	2256	1994-02-08	VYDAJ	PREVOD NA UCET	3152	10247	SIPO	UV	65441125
660921	2256	1994-03-08	VYDAJ	PREVOD NA UCET	3152	11869	SIPO	UV	65441125
660922	2256	1994-04-08	VYDAJ	PREVOD NA UCET	3152	11577	SIPO	UV	65441125
660923	2256	1994-05-08	VYDAJ	PREVOD NA UCET	3152	13204	SIPO	UV	65441125
660924	2256	1994-06-08	VYDAJ	PREVOD NA UCET	3152	14839	SIPO	UV	65441125
660925	2256	1994-07-08	VYDAJ	PREVOD NA UCET	3152	16480	SIPO	UV	65441125
660926	2256	1994-08-08	VYDAJ	PREVOD NA UCET	3152	18128	SIPO	UV	65441125
660927	2256	1994-09-08	VYDAJ	PREVOD NA UCET	3152	19783	SIPO	UV	65441125
660928	2256	1994-10-08	VYDAJ	PREVOD NA UCET	3152	18844	SIPO	UV	65441125
660929	2256	1994-11-08	VYDAJ	PREVOD NA UCET	3152	16800	SIPO	UV	65441125
660930	2256	1994-12-08	VYDAJ	PREVOD NA UCET	3152	16649	SIPO	UV	65441125
660931	2256	1995-01-08	VYDAJ	PREVOD NA UCET	3152	10473	SIPO	UV	65441125
660932	2256	1995-02-08	VYDAJ	PREVOD NA UCET	3152	11056	SIPO	UV	65441125
660933	2256	1995-03-08	VYDAJ	PREVOD NA UCET	3152	12681	SIPO	UV	65441125
660934	2256	1995-04-08	VYDAJ	PREVOD NA UCET	3152	13813	SIPO	UV	65441125
660935	2256	1995-05-08	VYDAJ	PREVOD NA UCET	3152	14088	SIPO	UV	65441125
660936	2256	1995-06-08	VYDAJ	PREVOD NA UCET	3152	13085	SIPO	UV	65441125
660937	2256	1995-07-08	VYDAJ	PREVOD NA UCET	3152	14719	SIPO	UV	65441125
660938	2256	1995-08-08	VYDAJ	PREVOD NA UCET	3152	16359	SIPO	UV	65441125
660939	2256	1995-09-08	VYDAJ	PREVOD NA UCET	3152	16325	SIPO	UV	65441125
660940	2256	1995-10-08	VYDAJ	PREVOD NA UCET	3152	13968	SIPO	UV	65441125
660941	2256	1995-11-08	VYDAJ	PREVOD NA UCET	3152	15605	SIPO	UV	65441125
660942	2256	1995-12-08	VYDAJ	PREVOD NA UCET	3152	16449	SIPO	UV	65441125
660943	2256	1996-01-08	VYDAJ	PREVOD NA UCET	3152	11766	SIPO	UV	65441125
660944	2256	1996-02-08	VYDAJ	PREVOD NA UCET	3152	11469	SIPO	UV	65441125
660945	2256	1996-03-08	VYDAJ	PREVOD NA UCET	3152	13095	SIPO	UV	65441125
660946	2256	1996-04-08	VYDAJ	PREVOD NA UCET	3152	14728	SIPO	UV	65441125
660947	2256	1996-05-08	VYDAJ	PREVOD NA UCET	3152	16068	SIPO	UV	65441125
660948	2256	1996-06-08	VYDAJ	PREVOD NA UCET	3152	16513	SIPO	UV	65441125
660949	2256	1996-07-08	VYDAJ	PREVOD NA UCET	3152	18160	SIPO	UV	65441125
660950	2256	1996-08-08	VYDAJ	PREVOD NA UCET	3152	18913	SIPO	UV	65441125
660951	2256	1996-09-08	VYDAJ	PREVOD NA UCET	3152	20570	SIPO	UV	65441125
660952	2256	1996-10-08	VYDAJ	PREVOD NA UCET	3152	21934	SIPO	UV	65441125
660953	2256	1996-11-08	VYDAJ	PREVOD NA UCET	3152	20397	SIPO	UV	65441125
660954	2256	1996-12-08	VYDAJ	PREVOD NA UCET	3152	20157	SIPO	UV	65441125
660955	2256	1997-01-08	VYDAJ	PREVOD NA UCET	3152	17377	SIPO	UV	65441125
660956	2256	1997-02-08	VYDAJ	PREVOD NA UCET	3152	14617	SIPO	UV	65441125
660957	2256	1997-03-08	VYDAJ	PREVOD NA UCET	3152	16256	SIPO	UV	65441125
660958	2256	1997-04-08	VYDAJ	PREVOD NA UCET	3152	15100	SIPO	UV	65441125
660959	2256	1997-05-08	VYDAJ	PREVOD NA UCET	3152	16741	SIPO	UV	65441125
660960	2256	1997-06-08	VYDAJ	PREVOD NA UCET	3152	17186	SIPO	UV	65441125
660961	2256	1997-07-08	VYDAJ	PREVOD NA UCET	3152	16379	SIPO	UV	65441125
660962	2256	1997-08-08	VYDAJ	PREVOD NA UCET	3152	14459	SIPO	UV	65441125
660963	2256	1997-09-08	VYDAJ	PREVOD NA UCET	3152	12388	SIPO	UV	65441125
660964	2256	1997-10-08	VYDAJ	PREVOD NA UCET	3152	14017	SIPO	UV	65441125
660965	2256	1997-11-08	VYDAJ	PREVOD NA UCET	3152	15654	SIPO	UV	65441125
660966	2256	1997-12-08	VYDAJ	PREVOD NA UCET	3152	16796	SIPO	UV	65441125
660967	2256	1998-01-08	VYDAJ	PREVOD NA UCET	3152	13892	SIPO	UV	65441125
660968	2256	1998-02-08	VYDAJ	PREVOD NA UCET	3152	13845	SIPO	UV	65441125
660969	2256	1998-03-08	VYDAJ	PREVOD NA UCET	3152	15480	SIPO	UV	65441125
660970	2256	1998-04-08	VYDAJ	PREVOD NA UCET	3152	17122	SIPO	UV	65441125
660971	2256	1998-05-08	VYDAJ	PREVOD NA UCET	3152	16448	SIPO	UV	65441125
660972	2256	1998-06-08	VYDAJ	PREVOD NA UCET	3152	17212	SIPO	UV	65441125
660973	2256	1998-07-08	VYDAJ	PREVOD NA UCET	3152	18861	SIPO	UV	65441125
660974	2256	1998-08-08	VYDAJ	PREVOD NA UCET	3152	20516	SIPO	UV	65441125
660975	2256	1998-09-08	VYDAJ	PREVOD NA UCET	3152	19379	SIPO	UV	65441125
660976	2256	1998-10-08	VYDAJ	PREVOD NA UCET	3152	21037	SIPO	UV	65441125
660977	2256	1998-11-08	VYDAJ	PREVOD NA UCET	3152	22701	SIPO	UV	65441125
660978	2256	1998-12-08	VYDAJ	PREVOD NA UCET	3152	11873	SIPO	UV	65441125
660983	2256	1997-06-14	VYDAJ	VYBER	2450	19465	\N	\N	\N
660990	2256	1998-01-01	VYDAJ	VYBER	950	20644	\N	\N	\N
660991	2256	1993-12-29	VYDAJ	VYBER	1250	23768	\N	\N	\N
660992	2256	1994-12-10	VYDAJ	VYBER	1100	15549	\N	\N	\N
660993	2256	1995-12-02	VYDAJ	VYBER	800	19601	\N	\N	\N
660994	2256	1996-12-23	VYDAJ	VYBER	700	23486	\N	\N	\N
660995	2256	1997-12-01	VYDAJ	VYBER	500	19948	\N	\N	\N
661003	2256	1994-01-27	VYDAJ	VYBER	800	13350	\N	\N	\N
661004	2256	1994-01-16	VYDAJ	VYBER	1280	16150	\N	\N	\N
661005	2256	1994-01-22	VYDAJ	VYBER	2000	14150	\N	\N	\N
661006	2256	1994-01-03	VYDAJ	VYBER	720	18893	\N	\N	\N
661007	2256	1994-01-11	VYDAJ	VYBER	800	12701	\N	\N	\N
661008	2256	1994-01-04	VYDAJ	VYBER	2240	16653	\N	\N	\N
661010	2256	1995-01-07	VYDAJ	VYBER	1760	13625	\N	\N	\N
661012	2256	1995-01-14	VYDAJ	VYBER	1040	14162	\N	\N	\N
661013	2256	1995-01-06	VYDAJ	VYBER	1120	15385	\N	\N	\N
661018	2256	1996-01-15	VYDAJ	VYBER	1920	14575	\N	\N	\N
661019	2256	1996-01-06	VYDAJ	VYBER	560	14918	\N	\N	\N
661020	2256	1996-01-04	VYDAJ	VYBER	1840	15478	\N	\N	\N
661021	2256	1997-01-06	VYDAJ	VYBER	1760	20529	\N	\N	\N
661022	2256	1997-01-05	VYDAJ	VYBER	1280	22289	\N	\N	\N
661023	2256	1997-01-10	VYDAJ	VYBER	1360	16017	\N	\N	\N
661024	2256	1997-01-14	VYDAJ	VYBER	1840	18106	\N	\N	\N
661025	2256	1997-01-12	VYDAJ	VYBER	800	15217	\N	\N	\N
661026	2256	1997-01-14	VYDAJ	VYBER	400	17706	\N	\N	\N
661027	2256	1998-01-06	VYDAJ	VYBER	2320	18324	\N	\N	\N
661028	2256	1998-01-17	VYDAJ	VYBER	1680	16941	\N	\N	\N
661032	2256	1998-01-07	VYDAJ	VYBER	1280	17044	\N	\N	\N
661034	2256	1993-06-13	VYDAJ	VYBER	1760	22666	\N	\N	\N
661035	2256	1993-12-29	VYDAJ	VYBER	3840	19928	\N	\N	\N
661036	2256	1993-06-30	VYDAJ	VYBER	1680	21055	\N	\N	\N
661039	2256	1993-10-23	VYDAJ	VYBER	480	21701	\N	\N	\N
661040	2256	1993-10-19	VYDAJ	VYBER	3520	22181	\N	\N	\N
661041	2256	1994-03-27	VYDAJ	VYBER	1920	14678	\N	\N	\N
661043	2256	1994-01-03	VYDAJ	VYBER	400	19613	\N	\N	\N
661045	2256	1995-01-04	VYDAJ	VYBER	3840	16505	\N	\N	\N
661046	2256	1995-05-27	VYDAJ	VYBER	1040	17777	\N	\N	\N
661047	2256	1995-08-24	VYDAJ	VYBER	1680	19408	\N	\N	\N
661048	2256	1995-04-25	VYDAJ	VYBER	1360	17182	\N	\N	\N
661049	2256	1995-12-14	VYDAJ	VYBER	3920	17258	\N	\N	\N
661051	2256	1996-05-26	VYDAJ	VYBER	1200	19597	\N	\N	\N
661053	2256	1997-03-26	VYDAJ	VYBER	2800	18185	\N	\N	\N
661054	2256	1997-07-19	VYDAJ	VYBER	2560	17548	\N	\N	\N
661055	2256	1998-05-28	VYDAJ	VYBER	880	20297	\N	\N	\N
661056	2256	1998-09-04	VYDAJ	VYBER	2800	22531	\N	\N	\N
661057	2256	1998-04-14	VYDAJ	VYBER	1280	20571	\N	\N	\N
661059	2256	1998-05-04	VYDAJ	VYBER	1040	19600	\N	\N	\N
661067	2256	1993-06-30	VYDAJ	VYBER	15	21041	SLUZBY	\N	\N
661068	2256	1993-07-31	VYDAJ	VYBER	15	22695	SLUZBY	\N	\N
661069	2256	1993-08-31	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
661070	2256	1993-09-30	VYDAJ	VYBER	15	26024	SLUZBY	\N	\N
661071	2256	1993-10-31	VYDAJ	VYBER	15	21784	SLUZBY	\N	\N
661072	2256	1993-11-30	VYDAJ	VYBER	15	23441	SLUZBY	\N	\N
661073	2256	1993-12-31	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
661074	2256	1994-01-31	VYDAJ	VYBER	15	13399	SLUZBY	\N	\N
661075	2256	1994-02-28	VYDAJ	VYBER	15	15021	SLUZBY	\N	\N
661076	2256	1994-03-31	VYDAJ	VYBER	15	14729	SLUZBY	\N	\N
661077	2256	1994-04-30	VYDAJ	VYBER	15	16356	SLUZBY	\N	\N
661078	2256	1994-05-31	VYDAJ	VYBER	15	17991	SLUZBY	\N	\N
661079	2256	1994-06-30	VYDAJ	VYBER	15	19632	SLUZBY	\N	\N
661080	2256	1994-07-31	VYDAJ	VYBER	15	21280	SLUZBY	\N	\N
661081	2256	1994-08-31	VYDAJ	VYBER	15	22935	SLUZBY	\N	\N
661082	2256	1994-09-30	VYDAJ	VYBER	15	21996	SLUZBY	\N	\N
661083	2256	1994-10-31	VYDAJ	VYBER	15	19952	SLUZBY	\N	\N
661084	2256	1994-11-30	VYDAJ	VYBER	15	19801	SLUZBY	\N	\N
661085	2256	1994-12-31	VYDAJ	VYBER	15	20345	SLUZBY	\N	\N
661086	2256	1995-01-31	VYDAJ	VYBER	15	14208	SLUZBY	\N	\N
661087	2256	1995-02-28	VYDAJ	VYBER	15	15833	SLUZBY	\N	\N
661088	2256	1995-03-31	VYDAJ	VYBER	15	16965	SLUZBY	\N	\N
661089	2256	1995-04-30	VYDAJ	VYBER	15	17240	SLUZBY	\N	\N
661090	2256	1995-05-31	VYDAJ	VYBER	15	16237	SLUZBY	\N	\N
661091	2256	1995-06-30	VYDAJ	VYBER	15	17871	SLUZBY	\N	\N
661092	2256	1995-07-31	VYDAJ	VYBER	15	19511	SLUZBY	\N	\N
661093	2256	1995-08-31	VYDAJ	VYBER	15	19477	SLUZBY	\N	\N
661094	2256	1995-09-30	VYDAJ	VYBER	15	17120	SLUZBY	\N	\N
661095	2256	1995-10-31	VYDAJ	VYBER	15	18757	SLUZBY	\N	\N
661096	2256	1995-11-30	VYDAJ	VYBER	15	20401	SLUZBY	\N	\N
661097	2256	1995-12-31	VYDAJ	VYBER	15	17318	SLUZBY	\N	\N
661098	2256	1996-01-31	VYDAJ	VYBER	15	14621	SLUZBY	\N	\N
661099	2256	1996-02-29	VYDAJ	VYBER	15	16247	SLUZBY	\N	\N
661100	2256	1996-03-31	VYDAJ	VYBER	15	17880	SLUZBY	\N	\N
661101	2256	1996-04-30	VYDAJ	VYBER	15	19220	SLUZBY	\N	\N
661102	2256	1996-05-31	VYDAJ	VYBER	15	19665	SLUZBY	\N	\N
661103	2256	1996-06-30	VYDAJ	VYBER	15	21312	SLUZBY	\N	\N
661104	2256	1996-07-31	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
661105	2256	1996-08-31	VYDAJ	VYBER	15	23722	SLUZBY	\N	\N
661106	2256	1996-09-30	VYDAJ	VYBER	15	25086	SLUZBY	\N	\N
661107	2256	1996-10-31	VYDAJ	VYBER	15	23549	SLUZBY	\N	\N
661108	2256	1996-11-30	VYDAJ	VYBER	15	23309	SLUZBY	\N	\N
661109	2256	1996-12-31	VYDAJ	VYBER	15	23569	SLUZBY	\N	\N
661110	2256	1997-01-31	VYDAJ	VYBER	15	17769	SLUZBY	\N	\N
661111	2256	1997-02-28	VYDAJ	VYBER	15	19408	SLUZBY	\N	\N
661112	2256	1997-03-31	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
661113	2256	1997-04-30	VYDAJ	VYBER	15	19893	SLUZBY	\N	\N
661114	2256	1997-05-31	VYDAJ	VYBER	15	20338	SLUZBY	\N	\N
661115	2256	1997-06-30	VYDAJ	VYBER	15	19531	SLUZBY	\N	\N
661116	2256	1997-07-31	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
661117	2256	1997-08-31	VYDAJ	VYBER	15	15540	SLUZBY	\N	\N
661118	2256	1997-09-30	VYDAJ	VYBER	15	17169	SLUZBY	\N	\N
661119	2256	1997-10-31	VYDAJ	VYBER	15	18806	SLUZBY	\N	\N
661120	2256	1997-11-30	VYDAJ	VYBER	15	20448	SLUZBY	\N	\N
661121	2256	1997-12-31	VYDAJ	VYBER	15	21594	SLUZBY	\N	\N
661122	2256	1998-01-31	VYDAJ	VYBER	15	16997	SLUZBY	\N	\N
661123	2256	1998-02-28	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
661124	2256	1998-03-31	VYDAJ	VYBER	15	20274	SLUZBY	\N	\N
661125	2256	1998-04-30	VYDAJ	VYBER	15	20640	SLUZBY	\N	\N
661126	2256	1998-05-31	VYDAJ	VYBER	15	20364	SLUZBY	\N	\N
661127	2256	1998-06-30	VYDAJ	VYBER	15	22013	SLUZBY	\N	\N
661128	2256	1998-07-31	VYDAJ	VYBER	15	23668	SLUZBY	\N	\N
661129	2256	1998-08-31	VYDAJ	VYBER	15	25331	SLUZBY	\N	\N
661130	2256	1998-09-30	VYDAJ	VYBER	15	24189	SLUZBY	\N	\N
661131	2256	1998-10-31	VYDAJ	VYBER	15	25853	SLUZBY	\N	\N
661132	2256	1998-11-30	VYDAJ	VYBER	15	27525	SLUZBY	\N	\N
661133	2256	1993-10-04	VYDAJ	VYBER	1900	24124	\N	\N	\N
661134	2256	1994-09-29	VYDAJ	VYBER	2600	21912	\N	\N	\N
661135	2256	1994-10-29	VYDAJ	VYBER	3700	19873	\N	\N	\N
661136	2256	1994-11-28	VYDAJ	VYBER	1800	19729	\N	\N	\N
661137	2256	1995-03-28	VYDAJ	VYBER	500	16910	\N	\N	\N
661138	2256	1995-05-27	VYDAJ	VYBER	1600	16177	\N	\N	\N
661139	2256	1995-09-24	VYDAJ	VYBER	4000	17054	\N	\N	\N
661140	2256	1996-04-21	VYDAJ	VYBER	300	19157	\N	\N	\N
661141	2256	1996-07-20	VYDAJ	VYBER	900	21989	\N	\N	\N
661142	2256	1996-09-18	VYDAJ	VYBER	300	24999	\N	\N	\N
661143	2256	1996-10-18	VYDAJ	VYBER	3200	23463	\N	\N	\N
661144	2256	1996-11-17	VYDAJ	VYBER	1900	23226	\N	\N	\N
661145	2256	1996-12-17	VYDAJ	VYBER	700	24186	\N	\N	\N
661146	2256	1997-05-16	VYDAJ	VYBER	1200	20270	\N	\N	\N
661147	2256	1997-07-15	VYDAJ	VYBER	1000	20108	\N	\N	\N
661148	2256	1997-08-14	VYDAJ	VYBER	3700	15488	\N	\N	\N
661149	2256	1998-12-07	VYDAJ	VYBER	12500	15025	\N	\N	\N
661221	2257	1993-12-21	PRIJEM	VKLAD	500	500	\N	\N	\N
661234	2257	1994-01-11	PRIJEM	PREVOD Z UCTU	3374	3874	\N	KL	48985826
661235	2257	1994-02-11	PRIJEM	PREVOD Z UCTU	3374	7248	\N	KL	48985826
661236	2257	1994-03-11	PRIJEM	PREVOD Z UCTU	3374	10622	\N	KL	48985826
661237	2257	1994-04-11	PRIJEM	PREVOD Z UCTU	3374	13996	\N	KL	48985826
661238	2257	1994-05-11	PRIJEM	PREVOD Z UCTU	3374	17370	\N	KL	48985826
661239	2257	1994-06-11	PRIJEM	PREVOD Z UCTU	3374	18768	\N	KL	48985826
661240	2257	1994-07-11	PRIJEM	PREVOD Z UCTU	3374	20190	\N	KL	48985826
661241	2257	1994-08-11	PRIJEM	PREVOD Z UCTU	3374	21624	\N	KL	48985826
661242	2257	1994-09-11	PRIJEM	PREVOD Z UCTU	3374	21771	\N	KL	48985826
661243	2257	1994-10-11	PRIJEM	PREVOD Z UCTU	3374	21561	\N	KL	48985826
661244	2257	1994-11-11	PRIJEM	PREVOD Z UCTU	3374	20567	\N	KL	48985826
661245	2257	1994-12-11	PRIJEM	PREVOD Z UCTU	3374	22004	\N	KL	48985826
661246	2257	1995-01-11	PRIJEM	PREVOD Z UCTU	3374	20049	\N	KL	48985826
661247	2257	1995-02-11	PRIJEM	PREVOD Z UCTU	3374	20005	\N	KL	48985826
661248	2257	1995-03-11	PRIJEM	PREVOD Z UCTU	3374	21432	\N	KL	48985826
661249	2257	1995-04-11	PRIJEM	PREVOD Z UCTU	3374	22866	\N	KL	48985826
661250	2257	1995-05-11	PRIJEM	PREVOD Z UCTU	3374	23805	\N	KL	48985826
661251	2257	1995-06-11	PRIJEM	PREVOD Z UCTU	3374	22724	\N	KL	48985826
661252	2257	1995-07-11	PRIJEM	PREVOD Z UCTU	3374	19325	\N	KL	48985826
661253	2257	1995-08-11	PRIJEM	PREVOD Z UCTU	3374	19538	\N	KL	48985826
661254	2257	1995-09-11	PRIJEM	PREVOD Z UCTU	3374	17448	\N	KL	48985826
661255	2257	1995-10-11	PRIJEM	PREVOD Z UCTU	3374	15856	\N	KL	48985826
661256	2257	1995-11-11	PRIJEM	PREVOD Z UCTU	3374	17267	\N	KL	48985826
661257	2257	1995-12-11	PRIJEM	PREVOD Z UCTU	3374	16082	\N	KL	48985826
661258	2257	1996-01-11	PRIJEM	PREVOD Z UCTU	3374	16773	\N	KL	48985826
661259	2257	1996-02-11	PRIJEM	PREVOD Z UCTU	3374	16836	\N	KL	48985826
661260	2257	1996-03-11	PRIJEM	PREVOD Z UCTU	3374	15755	\N	KL	48985826
661261	2257	1996-04-11	PRIJEM	PREVOD Z UCTU	3374	17168	\N	KL	48985826
661262	2257	1996-05-11	PRIJEM	PREVOD Z UCTU	3374	17806	\N	KL	48985826
661263	2257	1996-06-11	PRIJEM	PREVOD Z UCTU	3374	19224	\N	KL	48985826
661264	2257	1996-07-11	PRIJEM	PREVOD Z UCTU	3374	17459	\N	KL	48985826
661265	2257	1996-08-11	PRIJEM	PREVOD Z UCTU	3374	18516	\N	KL	48985826
661266	2257	1996-09-11	PRIJEM	PREVOD Z UCTU	3374	19937	\N	KL	48985826
661267	2257	1996-10-11	PRIJEM	PREVOD Z UCTU	3374	21370	\N	KL	48985826
661268	2257	1996-11-11	PRIJEM	PREVOD Z UCTU	3374	22593	\N	KL	48985826
661269	2257	1996-12-11	PRIJEM	PREVOD Z UCTU	3374	23616	\N	KL	48985826
661270	2257	1997-01-11	PRIJEM	PREVOD Z UCTU	3374	21913	\N	KL	48985826
661271	2257	1997-02-11	PRIJEM	PREVOD Z UCTU	3374	21941	\N	KL	48985826
661272	2257	1997-03-11	PRIJEM	PREVOD Z UCTU	3374	23376	\N	KL	48985826
661273	2257	1997-04-11	PRIJEM	PREVOD Z UCTU	3374	24817	\N	KL	48985826
661274	2257	1997-05-11	PRIJEM	PREVOD Z UCTU	3374	25063	\N	KL	48985826
661275	2257	1997-06-11	PRIJEM	PREVOD Z UCTU	3374	21897	\N	KL	48985826
661276	2257	1997-07-11	PRIJEM	PREVOD Z UCTU	3374	22048	\N	KL	48985826
661277	2257	1997-08-11	PRIJEM	PREVOD Z UCTU	3374	23488	\N	KL	48985826
661278	2257	1997-09-11	PRIJEM	PREVOD Z UCTU	3374	24935	\N	KL	48985826
661279	2257	1997-10-11	PRIJEM	PREVOD Z UCTU	3374	26388	\N	KL	48985826
661280	2257	1997-11-11	PRIJEM	PREVOD Z UCTU	3374	26375	\N	KL	48985826
661281	2257	1997-12-11	PRIJEM	PREVOD Z UCTU	3374	27529	\N	KL	48985826
661282	2257	1998-01-11	PRIJEM	PREVOD Z UCTU	3374	27907	\N	KL	48985826
661283	2257	1998-02-11	PRIJEM	PREVOD Z UCTU	3374	25222	\N	KL	48985826
661284	2257	1998-03-11	PRIJEM	PREVOD Z UCTU	3374	26675	\N	KL	48985826
661285	2257	1998-04-11	PRIJEM	PREVOD Z UCTU	3374	28135	\N	KL	48985826
661286	2257	1998-05-11	PRIJEM	PREVOD Z UCTU	3374	28220	\N	KL	48985826
661287	2257	1998-06-11	PRIJEM	PREVOD Z UCTU	3374	21943	\N	KL	48985826
661288	2257	1998-07-11	PRIJEM	PREVOD Z UCTU	3374	22188	\N	KL	48985826
661289	2257	1998-08-11	PRIJEM	PREVOD Z UCTU	3374	23630	\N	KL	48985826
661290	2257	1998-09-11	PRIJEM	PREVOD Z UCTU	3374	25077	\N	KL	48985826
661291	2257	1998-10-11	PRIJEM	PREVOD Z UCTU	3374	26524	\N	KL	48985826
661292	2257	1998-11-11	PRIJEM	PREVOD Z UCTU	3374	17368	\N	KL	48985826
661293	2257	1998-12-11	PRIJEM	PREVOD Z UCTU	3374	18783	\N	KL	48985826
661310	2257	1994-05-11	VYDAJ	PREVOD NA UCET	2005	15365	\N	CD	48135429
661311	2257	1994-06-11	VYDAJ	PREVOD NA UCET	2005	16763	\N	CD	48135429
661312	2257	1994-07-11	VYDAJ	PREVOD NA UCET	2005	18185	\N	CD	48135429
661313	2257	1994-08-11	VYDAJ	PREVOD NA UCET	2005	19619	\N	CD	48135429
661314	2257	1994-09-11	VYDAJ	PREVOD NA UCET	2005	19766	\N	CD	48135429
661315	2257	1994-10-11	VYDAJ	PREVOD NA UCET	2005	19556	\N	CD	48135429
661316	2257	1994-11-11	VYDAJ	PREVOD NA UCET	2005	18562	\N	CD	48135429
661317	2257	1994-12-11	VYDAJ	PREVOD NA UCET	2005	19999	\N	CD	48135429
661318	2257	1995-01-11	VYDAJ	PREVOD NA UCET	2005	18044	\N	CD	48135429
661319	2257	1995-02-11	VYDAJ	PREVOD NA UCET	2005	18000	\N	CD	48135429
661320	2257	1995-03-11	VYDAJ	PREVOD NA UCET	2005	19427	\N	CD	48135429
661321	2257	1995-04-11	VYDAJ	PREVOD NA UCET	2005	20861	\N	CD	48135429
661322	2257	1995-05-11	VYDAJ	PREVOD NA UCET	2005	21800	\N	CD	48135429
661323	2257	1995-06-11	VYDAJ	PREVOD NA UCET	2005	20719	\N	CD	48135429
661324	2257	1995-07-11	VYDAJ	PREVOD NA UCET	2005	17320	\N	CD	48135429
661325	2257	1995-08-11	VYDAJ	PREVOD NA UCET	2005	17533	\N	CD	48135429
661326	2257	1995-09-11	VYDAJ	PREVOD NA UCET	2005	15443	\N	CD	48135429
661327	2257	1995-10-11	VYDAJ	PREVOD NA UCET	2005	13851	\N	CD	48135429
661328	2257	1995-11-11	VYDAJ	PREVOD NA UCET	2005	15262	\N	CD	48135429
661329	2257	1995-12-11	VYDAJ	PREVOD NA UCET	2005	14077	\N	CD	48135429
661330	2257	1996-01-11	VYDAJ	PREVOD NA UCET	2005	14768	\N	CD	48135429
661331	2257	1996-02-11	VYDAJ	PREVOD NA UCET	2005	14831	\N	CD	48135429
661332	2257	1996-03-11	VYDAJ	PREVOD NA UCET	2005	13750	\N	CD	48135429
661333	2257	1996-04-11	VYDAJ	PREVOD NA UCET	2005	15163	\N	CD	48135429
661334	2257	1996-05-11	VYDAJ	PREVOD NA UCET	2005	15801	\N	CD	48135429
661335	2257	1996-06-11	VYDAJ	PREVOD NA UCET	2005	14279	\N	CD	48135429
661336	2257	1996-07-11	VYDAJ	PREVOD NA UCET	2005	15454	\N	CD	48135429
661337	2257	1996-08-11	VYDAJ	PREVOD NA UCET	2005	16511	\N	CD	48135429
661338	2257	1996-09-11	VYDAJ	PREVOD NA UCET	2005	17932	\N	CD	48135429
661339	2257	1996-10-11	VYDAJ	PREVOD NA UCET	2005	19365	\N	CD	48135429
661340	2257	1996-11-11	VYDAJ	PREVOD NA UCET	2005	20588	\N	CD	48135429
661341	2257	1996-12-11	VYDAJ	PREVOD NA UCET	2005	21611	\N	CD	48135429
661342	2257	1997-01-11	VYDAJ	PREVOD NA UCET	2005	19338	\N	CD	48135429
661343	2257	1997-02-11	VYDAJ	PREVOD NA UCET	2005	19936	\N	CD	48135429
661344	2257	1997-03-11	VYDAJ	PREVOD NA UCET	2005	21371	\N	CD	48135429
661345	2257	1997-04-11	VYDAJ	PREVOD NA UCET	2005	22812	\N	CD	48135429
661346	2257	1997-05-11	VYDAJ	PREVOD NA UCET	2005	23058	\N	CD	48135429
661347	2257	1997-06-11	VYDAJ	PREVOD NA UCET	2005	19892	\N	CD	48135429
661348	2257	1997-07-11	VYDAJ	PREVOD NA UCET	2005	20043	\N	CD	48135429
661349	2257	1997-08-11	VYDAJ	PREVOD NA UCET	2005	21483	\N	CD	48135429
661350	2257	1997-09-11	VYDAJ	PREVOD NA UCET	2005	22930	\N	CD	48135429
661351	2257	1997-10-11	VYDAJ	PREVOD NA UCET	2005	24383	\N	CD	48135429
661352	2257	1997-11-11	VYDAJ	PREVOD NA UCET	2005	24370	\N	CD	48135429
661353	2257	1997-12-11	VYDAJ	PREVOD NA UCET	2005	25524	\N	CD	48135429
661354	2257	1998-01-11	VYDAJ	PREVOD NA UCET	2005	25902	\N	CD	48135429
661355	2257	1998-02-11	VYDAJ	PREVOD NA UCET	2005	23217	\N	CD	48135429
661356	2257	1998-03-11	VYDAJ	PREVOD NA UCET	2005	24670	\N	CD	48135429
661357	2257	1998-04-11	VYDAJ	PREVOD NA UCET	2005	26130	\N	CD	48135429
661358	2257	1998-05-11	VYDAJ	PREVOD NA UCET	2005	26215	\N	CD	48135429
661359	2257	1998-06-11	VYDAJ	PREVOD NA UCET	2005	19938	\N	CD	48135429
661360	2257	1998-07-11	VYDAJ	PREVOD NA UCET	2005	20183	\N	CD	48135429
661361	2257	1998-08-11	VYDAJ	PREVOD NA UCET	2005	21625	\N	CD	48135429
661362	2257	1998-09-11	VYDAJ	PREVOD NA UCET	2005	23072	\N	CD	48135429
661363	2257	1998-10-11	VYDAJ	PREVOD NA UCET	2005	24519	\N	CD	48135429
661364	2257	1998-11-11	VYDAJ	PREVOD NA UCET	2005	15363	\N	CD	48135429
661365	2257	1998-12-11	VYDAJ	PREVOD NA UCET	2005	16778	\N	CD	48135429
661368	2257	1995-06-20	VYDAJ	VYBER	1770	16849	\N	\N	\N
661369	2257	1996-06-11	VYDAJ	VYBER	2940	16284	\N	\N	\N
661370	2257	1997-06-03	VYDAJ	VYBER	4620	18523	\N	\N	\N
661371	2257	1998-06-09	VYDAJ	VYBER	7740	18569	\N	\N	\N
661374	2257	1995-01-01	VYDAJ	VYBER	1680	18085	\N	\N	\N
661375	2257	1996-01-19	VYDAJ	VYBER	1200	13418	\N	\N	\N
661376	2257	1997-01-08	VYDAJ	VYBER	360	20279	\N	\N	\N
661377	2257	1998-01-22	VYDAJ	VYBER	2160	22392	\N	\N	\N
661379	2257	1994-12-18	VYDAJ	VYBER	300	19699	\N	\N	\N
661380	2257	1995-12-28	VYDAJ	VYBER	720	13357	\N	\N	\N
661381	2257	1996-12-29	VYDAJ	VYBER	780	20831	\N	\N	\N
661382	2257	1997-12-06	VYDAJ	VYBER	300	24155	\N	\N	\N
661396	2257	1995-01-02	VYDAJ	VYBER	450	17245	\N	\N	\N
661397	2257	1995-01-28	VYDAJ	VYBER	570	16574	\N	\N	\N
661398	2257	1995-01-06	VYDAJ	VYBER	570	16675	\N	\N	\N
661399	2257	1995-01-01	VYDAJ	VYBER	390	17695	\N	\N	\N
661400	2257	1995-01-20	VYDAJ	VYBER	150	17144	\N	\N	\N
661401	2257	1995-01-14	VYDAJ	VYBER	750	17294	\N	\N	\N
661407	2257	1996-01-17	VYDAJ	VYBER	150	14618	\N	\N	\N
661408	2257	1997-01-10	VYDAJ	VYBER	720	18689	\N	\N	\N
661409	2257	1997-01-08	VYDAJ	VYBER	870	19409	\N	\N	\N
661410	2257	1997-01-04	VYDAJ	VYBER	270	20639	\N	\N	\N
661411	2257	1997-01-19	VYDAJ	VYBER	840	18498	\N	\N	\N
661412	2257	1997-01-11	VYDAJ	VYBER	570	21343	\N	\N	\N
661413	2257	1997-01-10	VYDAJ	VYBER	150	18539	\N	\N	\N
661414	2257	1998-01-19	VYDAJ	VYBER	150	25272	\N	\N	\N
661415	2257	1998-01-20	VYDAJ	VYBER	720	24552	\N	\N	\N
661416	2257	1998-01-16	VYDAJ	VYBER	480	25422	\N	\N	\N
661417	2257	1998-01-10	VYDAJ	VYBER	660	24533	\N	\N	\N
661418	2257	1998-01-06	VYDAJ	VYBER	420	25193	\N	\N	\N
661419	2257	1998-01-22	VYDAJ	VYBER	630	21762	\N	\N	\N
661425	2257	1994-09-30	VYDAJ	VYBER	750	19087	\N	\N	\N
661426	2257	1994-11-10	VYDAJ	VYBER	1200	17193	\N	\N	\N
661427	2257	1994-10-18	VYDAJ	VYBER	1230	18326	\N	\N	\N
661428	2257	1994-08-26	VYDAJ	VYBER	1290	18329	\N	\N	\N
661430	2257	1994-10-09	VYDAJ	VYBER	900	18187	\N	\N	\N
661432	2257	1995-07-10	VYDAJ	VYBER	960	15951	\N	\N	\N
661433	2257	1995-07-11	VYDAJ	VYBER	210	17110	\N	\N	\N
661434	2257	1995-05-14	VYDAJ	VYBER	420	21380	\N	\N	\N
661436	2257	1995-08-27	VYDAJ	VYBER	1410	14023	\N	\N	\N
661437	2257	1996-04-22	VYDAJ	VYBER	780	14383	\N	\N	\N
661438	2257	1996-10-14	VYDAJ	VYBER	210	19155	\N	\N	\N
661439	2257	1996-12-04	VYDAJ	VYBER	420	20242	\N	\N	\N
661440	2257	1996-06-22	VYDAJ	VYBER	240	14039	\N	\N	\N
661441	2257	1996-08-02	VYDAJ	VYBER	360	15142	\N	\N	\N
661442	2257	1997-11-01	VYDAJ	VYBER	630	23001	\N	\N	\N
661443	2257	1997-10-27	VYDAJ	VYBER	840	23543	\N	\N	\N
661444	2257	1997-06-18	VYDAJ	VYBER	1290	18602	\N	\N	\N
661445	2257	1997-04-28	VYDAJ	VYBER	1200	21612	\N	\N	\N
661446	2257	1998-05-05	VYDAJ	VYBER	1380	24846	\N	\N	\N
661447	2257	1998-07-06	VYDAJ	VYBER	1200	18814	\N	\N	\N
661465	2257	1994-05-31	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
661466	2257	1994-06-30	VYDAJ	VYBER	15	16816	SLUZBY	\N	\N
661467	2257	1994-07-31	VYDAJ	VYBER	15	18250	SLUZBY	\N	\N
661468	2257	1994-08-31	VYDAJ	VYBER	15	18397	SLUZBY	\N	\N
661469	2257	1994-09-30	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
661470	2257	1994-10-31	VYDAJ	VYBER	15	18393	SLUZBY	\N	\N
661471	2257	1994-11-30	VYDAJ	VYBER	15	18630	SLUZBY	\N	\N
661472	2257	1994-12-31	VYDAJ	VYBER	15	19765	SLUZBY	\N	\N
661473	2257	1995-01-31	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
661474	2257	1995-02-28	VYDAJ	VYBER	15	18058	SLUZBY	\N	\N
661475	2257	1995-03-31	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
661476	2257	1995-04-30	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
661477	2257	1995-05-31	VYDAJ	VYBER	15	19350	SLUZBY	\N	\N
661478	2257	1995-06-30	VYDAJ	VYBER	15	16911	SLUZBY	\N	\N
661479	2257	1995-07-31	VYDAJ	VYBER	15	16164	SLUZBY	\N	\N
661480	2257	1995-08-31	VYDAJ	VYBER	15	14074	SLUZBY	\N	\N
661481	2257	1995-09-30	VYDAJ	VYBER	15	12482	SLUZBY	\N	\N
661482	2257	1995-10-31	VYDAJ	VYBER	15	13893	SLUZBY	\N	\N
661483	2257	1995-11-30	VYDAJ	VYBER	15	12708	SLUZBY	\N	\N
661484	2257	1995-12-31	VYDAJ	VYBER	15	13399	SLUZBY	\N	\N
661485	2257	1996-01-31	VYDAJ	VYBER	15	13462	SLUZBY	\N	\N
661486	2257	1996-02-29	VYDAJ	VYBER	15	14881	SLUZBY	\N	\N
661487	2257	1996-03-31	VYDAJ	VYBER	15	13794	SLUZBY	\N	\N
661488	2257	1996-04-30	VYDAJ	VYBER	15	14432	SLUZBY	\N	\N
661489	2257	1996-05-31	VYDAJ	VYBER	15	15850	SLUZBY	\N	\N
661490	2257	1996-06-30	VYDAJ	VYBER	15	14085	SLUZBY	\N	\N
661491	2257	1996-07-31	VYDAJ	VYBER	15	15502	SLUZBY	\N	\N
661492	2257	1996-08-31	VYDAJ	VYBER	15	16563	SLUZBY	\N	\N
661493	2257	1996-09-30	VYDAJ	VYBER	15	17996	SLUZBY	\N	\N
661494	2257	1996-10-31	VYDAJ	VYBER	15	19219	SLUZBY	\N	\N
661495	2257	1996-11-30	VYDAJ	VYBER	15	20662	SLUZBY	\N	\N
661496	2257	1996-12-31	VYDAJ	VYBER	15	20909	SLUZBY	\N	\N
661497	2257	1997-01-31	VYDAJ	VYBER	15	18567	SLUZBY	\N	\N
661498	2257	1997-02-28	VYDAJ	VYBER	15	20002	SLUZBY	\N	\N
661499	2257	1997-03-31	VYDAJ	VYBER	15	21443	SLUZBY	\N	\N
661500	2257	1997-04-30	VYDAJ	VYBER	15	21689	SLUZBY	\N	\N
661501	2257	1997-05-31	VYDAJ	VYBER	15	23143	SLUZBY	\N	\N
661502	2257	1997-06-30	VYDAJ	VYBER	15	18674	SLUZBY	\N	\N
661503	2257	1997-07-31	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
661504	2257	1997-08-31	VYDAJ	VYBER	15	21561	SLUZBY	\N	\N
661505	2257	1997-09-30	VYDAJ	VYBER	15	23014	SLUZBY	\N	\N
661506	2257	1997-10-31	VYDAJ	VYBER	15	23631	SLUZBY	\N	\N
661507	2257	1997-11-30	VYDAJ	VYBER	15	24455	SLUZBY	\N	\N
661508	2257	1997-12-31	VYDAJ	VYBER	15	25613	SLUZBY	\N	\N
661509	2257	1998-01-31	VYDAJ	VYBER	15	21848	SLUZBY	\N	\N
661510	2257	1998-02-28	VYDAJ	VYBER	15	23301	SLUZBY	\N	\N
661511	2257	1998-03-31	VYDAJ	VYBER	15	24761	SLUZBY	\N	\N
661512	2257	1998-04-30	VYDAJ	VYBER	15	26226	SLUZBY	\N	\N
661513	2257	1998-05-31	VYDAJ	VYBER	15	26309	SLUZBY	\N	\N
661514	2257	1998-06-30	VYDAJ	VYBER	15	20014	SLUZBY	\N	\N
661515	2257	1998-07-31	VYDAJ	VYBER	15	20256	SLUZBY	\N	\N
661516	2257	1998-08-31	VYDAJ	VYBER	15	21703	SLUZBY	\N	\N
661517	2257	1998-09-30	VYDAJ	VYBER	15	23150	SLUZBY	\N	\N
661518	2257	1998-10-31	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
661519	2257	1998-11-30	VYDAJ	VYBER	15	15409	SLUZBY	\N	\N
661520	2257	1995-04-15	VYDAJ	VYBER	500	20361	\N	\N	\N
661521	2257	1995-05-15	VYDAJ	VYBER	2100	19280	\N	\N	\N
661522	2257	1995-06-14	VYDAJ	VYBER	2100	18619	\N	\N	\N
661523	2257	1995-07-14	VYDAJ	VYBER	1000	16110	\N	\N	\N
661524	2257	1995-08-13	VYDAJ	VYBER	2100	15433	\N	\N	\N
661525	2257	1995-09-12	VYDAJ	VYBER	3000	12443	\N	\N	\N
661526	2257	1995-11-11	VYDAJ	VYBER	2600	12662	\N	\N	\N
661527	2257	1996-03-10	VYDAJ	VYBER	2500	12381	\N	\N	\N
661528	2257	1998-10-26	VYDAJ	VYBER	10600	13919	\N	\N	\N
661585	2258	1996-11-12	PRIJEM	VKLAD	600	600	\N	\N	\N
661597	2258	1996-12-07	PRIJEM	PREVOD Z UCTU	6656	7256	DUCHOD	AB	91523855
661598	2258	1997-01-07	PRIJEM	PREVOD Z UCTU	6656	13912	DUCHOD	AB	91523855
661599	2258	1997-02-07	PRIJEM	PREVOD Z UCTU	6656	20568	DUCHOD	AB	91523855
661600	2258	1997-03-07	PRIJEM	PREVOD Z UCTU	6656	27224	DUCHOD	AB	91523855
661601	2258	1997-04-07	PRIJEM	PREVOD Z UCTU	6656	32850	DUCHOD	AB	91523855
661602	2258	1997-05-07	PRIJEM	PREVOD Z UCTU	6656	35970	DUCHOD	AB	91523855
661603	2258	1997-06-07	PRIJEM	PREVOD Z UCTU	6656	34603	DUCHOD	AB	91523855
661604	2258	1997-07-07	PRIJEM	PREVOD Z UCTU	6656	38270	DUCHOD	AB	91523855
661605	2258	1997-08-07	PRIJEM	PREVOD Z UCTU	6656	35074	DUCHOD	AB	91523855
661606	2258	1997-09-07	PRIJEM	PREVOD Z UCTU	6656	38201	DUCHOD	AB	91523855
661607	2258	1997-10-07	PRIJEM	PREVOD Z UCTU	6656	39777	DUCHOD	AB	91523855
661608	2258	1997-11-07	PRIJEM	PREVOD Z UCTU	6656	40137	DUCHOD	AB	91523855
661609	2258	1997-12-07	PRIJEM	PREVOD Z UCTU	6656	43328	DUCHOD	AB	91523855
661610	2258	1998-01-07	PRIJEM	PREVOD Z UCTU	6656	44428	DUCHOD	AB	91523855
661611	2258	1998-02-07	PRIJEM	PREVOD Z UCTU	6656	45799	DUCHOD	AB	91523855
661612	2258	1998-03-07	PRIJEM	PREVOD Z UCTU	6656	50419	DUCHOD	AB	91523855
661613	2258	1998-04-07	PRIJEM	PREVOD Z UCTU	6656	40237	DUCHOD	AB	91523855
661614	2258	1998-05-07	PRIJEM	PREVOD Z UCTU	6656	36669	DUCHOD	AB	91523855
661615	2258	1998-06-07	PRIJEM	PREVOD Z UCTU	6656	35566	DUCHOD	AB	91523855
661616	2258	1998-07-07	PRIJEM	PREVOD Z UCTU	6656	32144	DUCHOD	AB	91523855
661617	2258	1998-08-07	PRIJEM	PREVOD Z UCTU	6656	33112	DUCHOD	AB	91523855
661618	2258	1998-09-07	PRIJEM	PREVOD Z UCTU	6656	33440	DUCHOD	AB	91523855
661619	2258	1998-10-07	PRIJEM	PREVOD Z UCTU	6656	35010	DUCHOD	AB	91523855
661620	2258	1998-11-07	PRIJEM	PREVOD Z UCTU	6656	39586	DUCHOD	AB	91523855
661621	2258	1998-12-07	PRIJEM	PREVOD Z UCTU	6656	44074	DUCHOD	AB	91523855
661637	2258	1997-04-12	VYDAJ	PREVOD NA UCET	2202	30648	SIPO	YZ	34422958
661638	2258	1997-05-12	VYDAJ	PREVOD NA UCET	2202	31668	SIPO	YZ	34422958
661639	2258	1997-06-12	VYDAJ	PREVOD NA UCET	2202	31501	SIPO	YZ	34422958
661640	2258	1997-07-12	VYDAJ	PREVOD NA UCET	2202	30468	SIPO	YZ	34422958
661641	2258	1997-08-12	VYDAJ	PREVOD NA UCET	2202	32872	SIPO	YZ	34422958
661642	2258	1997-09-12	VYDAJ	PREVOD NA UCET	2202	32999	SIPO	YZ	34422958
661643	2258	1997-10-12	VYDAJ	PREVOD NA UCET	2202	33355	SIPO	YZ	34422958
661644	2258	1997-11-12	VYDAJ	PREVOD NA UCET	2202	37935	SIPO	YZ	34422958
661645	2258	1997-12-12	VYDAJ	PREVOD NA UCET	2202	38226	SIPO	YZ	34422958
661646	2258	1998-01-12	VYDAJ	PREVOD NA UCET	2202	42226	SIPO	YZ	34422958
661647	2258	1998-02-12	VYDAJ	PREVOD NA UCET	2202	43597	SIPO	YZ	34422958
661648	2258	1998-03-12	VYDAJ	PREVOD NA UCET	2202	40817	SIPO	YZ	34422958
661649	2258	1998-04-12	VYDAJ	PREVOD NA UCET	2202	34675	SIPO	YZ	34422958
661650	2258	1998-05-12	VYDAJ	PREVOD NA UCET	2202	34467	SIPO	YZ	34422958
661651	2258	1998-06-12	VYDAJ	PREVOD NA UCET	2202	33364	SIPO	YZ	34422958
661652	2258	1998-07-12	VYDAJ	PREVOD NA UCET	2202	29942	SIPO	YZ	34422958
661653	2258	1998-08-12	VYDAJ	PREVOD NA UCET	2202	30910	SIPO	YZ	34422958
661654	2258	1998-09-12	VYDAJ	PREVOD NA UCET	2202	31238	SIPO	YZ	34422958
661655	2258	1998-10-12	VYDAJ	PREVOD NA UCET	2202	32808	SIPO	YZ	34422958
661656	2258	1998-11-12	VYDAJ	PREVOD NA UCET	2202	37384	SIPO	YZ	34422958
661657	2258	1998-12-12	VYDAJ	PREVOD NA UCET	2202	41872	SIPO	YZ	34422958
661659	2258	1997-12-05	VYDAJ	VYBER	1400	36672	\N	\N	\N
661660	2258	1998-12-20	VYDAJ	VYBER	850	41022	\N	\N	\N
661664	2258	1997-10-11	VYDAJ	VYBER	1120	35557	\N	\N	\N
661665	2258	1997-05-31	VYDAJ	VYBER	720	27947	\N	\N	\N
661666	2258	1997-05-30	VYDAJ	VYBER	3120	28548	\N	\N	\N
661667	2258	1997-05-06	VYDAJ	VYBER	1440	29314	\N	\N	\N
661670	2258	1997-08-15	VYDAJ	VYBER	1440	31432	\N	\N	\N
661671	2258	1997-07-19	VYDAJ	VYBER	2160	28308	\N	\N	\N
661672	2258	1998-05-15	VYDAJ	VYBER	3280	31187	\N	\N	\N
661673	2258	1998-01-19	VYDAJ	VYBER	1440	40786	\N	\N	\N
661674	2258	1998-04-10	VYDAJ	VYBER	3360	36877	\N	\N	\N
661675	2258	1998-09-02	VYDAJ	VYBER	3120	26784	\N	\N	\N
661676	2258	1998-08-25	VYDAJ	VYBER	1120	29790	\N	\N	\N
661693	2258	1997-04-30	VYDAJ	VYBER	15	30754	SLUZBY	\N	\N
661694	2258	1997-05-31	VYDAJ	VYBER	15	28667	SLUZBY	\N	\N
661695	2258	1997-06-30	VYDAJ	VYBER	15	31614	SLUZBY	\N	\N
661696	2258	1997-07-31	VYDAJ	VYBER	15	28418	SLUZBY	\N	\N
661697	2258	1997-08-31	VYDAJ	VYBER	15	31545	SLUZBY	\N	\N
661698	2258	1997-09-30	VYDAJ	VYBER	15	33121	SLUZBY	\N	\N
661699	2258	1997-10-31	VYDAJ	VYBER	15	33481	SLUZBY	\N	\N
661700	2258	1997-11-30	VYDAJ	VYBER	15	38072	SLUZBY	\N	\N
661701	2258	1997-12-31	VYDAJ	VYBER	15	38372	SLUZBY	\N	\N
661702	2258	1998-01-31	VYDAJ	VYBER	15	40943	SLUZBY	\N	\N
661703	2258	1998-02-28	VYDAJ	VYBER	15	43763	SLUZBY	\N	\N
661704	2258	1998-03-31	VYDAJ	VYBER	15	40981	SLUZBY	\N	\N
661705	2258	1998-04-30	VYDAJ	VYBER	15	34813	SLUZBY	\N	\N
661706	2258	1998-05-31	VYDAJ	VYBER	15	31310	SLUZBY	\N	\N
661707	2258	1998-06-30	VYDAJ	VYBER	15	33488	SLUZBY	\N	\N
661708	2258	1998-07-31	VYDAJ	VYBER	15	30056	SLUZBY	\N	\N
661709	2258	1998-08-31	VYDAJ	VYBER	15	29904	SLUZBY	\N	\N
661710	2258	1998-09-30	VYDAJ	VYBER	15	31354	SLUZBY	\N	\N
661711	2258	1998-10-31	VYDAJ	VYBER	15	32930	SLUZBY	\N	\N
661712	2258	1998-11-30	VYDAJ	VYBER	15	37518	SLUZBY	\N	\N
661713	2258	1997-03-12	VYDAJ	VYBER	1100	26124	\N	\N	\N
661714	2258	1997-05-11	VYDAJ	VYBER	2100	33870	\N	\N	\N
661715	2258	1997-06-10	VYDAJ	VYBER	900	33703	\N	\N	\N
661716	2258	1997-07-10	VYDAJ	VYBER	5600	32670	\N	\N	\N
661717	2258	1997-09-08	VYDAJ	VYBER	3000	35201	\N	\N	\N
661718	2258	1997-10-08	VYDAJ	VYBER	3100	36677	\N	\N	\N
661719	2258	1997-12-07	VYDAJ	VYBER	2900	40428	\N	\N	\N
661720	2258	1998-01-06	VYDAJ	VYBER	600	37772	\N	\N	\N
661721	2258	1998-02-05	VYDAJ	VYBER	1800	39143	\N	\N	\N
661722	2258	1998-03-07	VYDAJ	VYBER	7400	43019	\N	\N	\N
661723	2258	1998-04-06	VYDAJ	VYBER	7400	33581	\N	\N	\N
661724	2258	1998-05-06	VYDAJ	VYBER	4800	30013	\N	\N	\N
661725	2258	1998-06-05	VYDAJ	VYBER	2400	28910	\N	\N	\N
661726	2258	1998-07-05	VYDAJ	VYBER	8000	25488	\N	\N	\N
661727	2258	1998-08-04	VYDAJ	VYBER	3600	26456	\N	\N	\N
661728	2258	1998-10-03	VYDAJ	VYBER	3000	28354	\N	\N	\N
661729	2258	1998-12-02	VYDAJ	VYBER	100	37418	\N	\N	\N
661752	2259	1994-05-14	PRIJEM	VKLAD	600	600	\N	\N	\N
661758	2259	1994-06-05	PRIJEM	PREVOD Z UCTU	4442	5042	DUCHOD	ST	99080746
661759	2259	1994-07-05	PRIJEM	PREVOD Z UCTU	4442	9484	DUCHOD	ST	99080746
661760	2259	1994-08-05	PRIJEM	PREVOD Z UCTU	4442	13926	DUCHOD	ST	99080746
661761	2259	1994-09-05	PRIJEM	PREVOD Z UCTU	4442	18368	DUCHOD	ST	99080746
661762	2259	1994-10-05	PRIJEM	PREVOD Z UCTU	4442	22810	DUCHOD	ST	99080746
661763	2259	1994-11-05	PRIJEM	PREVOD Z UCTU	4442	24780	DUCHOD	ST	99080746
661764	2259	1994-12-05	PRIJEM	PREVOD Z UCTU	4442	26678	DUCHOD	ST	99080746
661765	2259	1995-01-05	PRIJEM	PREVOD Z UCTU	4442	28283	DUCHOD	ST	99080746
661766	2259	1995-02-05	PRIJEM	PREVOD Z UCTU	4442	19006	DUCHOD	ST	99080746
661767	2259	1995-03-05	PRIJEM	PREVOD Z UCTU	4442	20420	DUCHOD	ST	99080746
661768	2259	1995-04-05	PRIJEM	PREVOD Z UCTU	4442	21919	DUCHOD	ST	99080746
661769	2259	1995-05-05	PRIJEM	PREVOD Z UCTU	4442	23905	DUCHOD	ST	99080746
661770	2259	1995-06-05	PRIJEM	PREVOD Z UCTU	4442	25899	DUCHOD	ST	99080746
661771	2259	1995-07-05	PRIJEM	PREVOD Z UCTU	4442	23338	DUCHOD	ST	99080746
661772	2259	1995-08-05	PRIJEM	PREVOD Z UCTU	4442	20516	DUCHOD	ST	99080746
661773	2259	1995-09-05	PRIJEM	PREVOD Z UCTU	4442	20189	DUCHOD	ST	99080746
661774	2259	1995-10-05	PRIJEM	PREVOD Z UCTU	4442	17353	DUCHOD	ST	99080746
661775	2259	1995-11-05	PRIJEM	PREVOD Z UCTU	4442	19021	DUCHOD	ST	99080746
661776	2259	1995-12-05	PRIJEM	PREVOD Z UCTU	4442	18590	DUCHOD	ST	99080746
661777	2259	1996-01-05	PRIJEM	PREVOD Z UCTU	4442	16352	DUCHOD	ST	99080746
661778	2259	1996-02-05	PRIJEM	PREVOD Z UCTU	4442	15589	DUCHOD	ST	99080746
661779	2259	1996-03-05	PRIJEM	PREVOD Z UCTU	4442	17548	DUCHOD	ST	99080746
661780	2259	1996-04-05	PRIJEM	PREVOD Z UCTU	4442	18635	DUCHOD	ST	99080746
661781	2259	1996-05-05	PRIJEM	PREVOD Z UCTU	4442	16307	DUCHOD	ST	99080746
661782	2259	1996-06-05	PRIJEM	PREVOD Z UCTU	4442	16374	DUCHOD	ST	99080746
661783	2259	1996-07-05	PRIJEM	PREVOD Z UCTU	4442	18340	DUCHOD	ST	99080746
661784	2259	1996-08-05	PRIJEM	PREVOD Z UCTU	4442	17711	DUCHOD	ST	99080746
661785	2259	1996-09-05	PRIJEM	PREVOD Z UCTU	4442	18983	DUCHOD	ST	99080746
661786	2259	1996-10-05	PRIJEM	PREVOD Z UCTU	4442	16056	DUCHOD	ST	99080746
661787	2259	1996-11-05	PRIJEM	PREVOD Z UCTU	4442	18018	DUCHOD	ST	99080746
661788	2259	1996-12-05	PRIJEM	PREVOD Z UCTU	4442	19987	DUCHOD	ST	99080746
661789	2259	1997-01-05	PRIJEM	PREVOD Z UCTU	4442	17913	DUCHOD	ST	99080746
661790	2259	1997-02-05	PRIJEM	PREVOD Z UCTU	4442	16536	DUCHOD	ST	99080746
661791	2259	1997-03-05	PRIJEM	PREVOD Z UCTU	4442	18499	DUCHOD	ST	99080746
661792	2259	1997-04-05	PRIJEM	PREVOD Z UCTU	4442	20470	DUCHOD	ST	99080746
661793	2259	1997-05-05	PRIJEM	PREVOD Z UCTU	4442	20449	DUCHOD	ST	99080746
661794	2259	1997-06-05	PRIJEM	PREVOD Z UCTU	4442	19925	DUCHOD	ST	99080746
661795	2259	1997-07-05	PRIJEM	PREVOD Z UCTU	4442	21902	DUCHOD	ST	99080746
661796	2259	1997-08-05	PRIJEM	PREVOD Z UCTU	4442	23407	DUCHOD	ST	99080746
661797	2259	1997-09-05	PRIJEM	PREVOD Z UCTU	4442	20024	DUCHOD	ST	99080746
661798	2259	1997-10-05	PRIJEM	PREVOD Z UCTU	4442	22001	DUCHOD	ST	99080746
661799	2259	1997-11-05	PRIJEM	PREVOD Z UCTU	4442	23086	DUCHOD	ST	99080746
661800	2259	1997-12-05	PRIJEM	PREVOD Z UCTU	4442	25076	DUCHOD	ST	99080746
661801	2259	1998-01-05	PRIJEM	PREVOD Z UCTU	4442	25625	DUCHOD	ST	99080746
661802	2259	1998-02-05	PRIJEM	PREVOD Z UCTU	4442	18970	DUCHOD	ST	99080746
661803	2259	1998-03-05	PRIJEM	PREVOD Z UCTU	4442	19019	DUCHOD	ST	99080746
661804	2259	1998-04-05	PRIJEM	PREVOD Z UCTU	4442	20993	DUCHOD	ST	99080746
661805	2259	1998-05-05	PRIJEM	PREVOD Z UCTU	4442	21691	DUCHOD	ST	99080746
661806	2259	1998-06-05	PRIJEM	PREVOD Z UCTU	4442	20068	DUCHOD	ST	99080746
661807	2259	1998-07-05	PRIJEM	PREVOD Z UCTU	4442	22045	DUCHOD	ST	99080746
661808	2259	1998-08-05	PRIJEM	PREVOD Z UCTU	4442	24031	DUCHOD	ST	99080746
661809	2259	1998-09-05	PRIJEM	PREVOD Z UCTU	4442	26025	DUCHOD	ST	99080746
661810	2259	1998-10-05	PRIJEM	PREVOD Z UCTU	4442	26026	DUCHOD	ST	99080746
661811	2259	1998-11-05	PRIJEM	PREVOD Z UCTU	4442	25883	DUCHOD	ST	99080746
661812	2259	1998-12-05	PRIJEM	PREVOD Z UCTU	4442	19998	DUCHOD	ST	99080746
661822	2259	1994-10-09	VYDAJ	PREVOD NA UCET	2520	20290	SIPO	CD	94851266
661823	2259	1994-11-09	VYDAJ	PREVOD NA UCET	2520	22260	SIPO	CD	94851266
661824	2259	1994-12-09	VYDAJ	PREVOD NA UCET	2520	24158	SIPO	CD	94851266
661825	2259	1995-01-09	VYDAJ	PREVOD NA UCET	2520	23363	SIPO	CD	94851266
661826	2259	1995-02-09	VYDAJ	PREVOD NA UCET	2520	15926	SIPO	CD	94851266
661827	2259	1995-03-09	VYDAJ	PREVOD NA UCET	2520	17900	SIPO	CD	94851266
661828	2259	1995-04-09	VYDAJ	PREVOD NA UCET	2520	19399	SIPO	CD	94851266
661829	2259	1995-05-09	VYDAJ	PREVOD NA UCET	2520	21385	SIPO	CD	94851266
661830	2259	1995-06-09	VYDAJ	PREVOD NA UCET	2520	18829	SIPO	CD	94851266
661831	2259	1995-07-09	VYDAJ	PREVOD NA UCET	2520	16018	SIPO	CD	94851266
661832	2259	1995-08-09	VYDAJ	PREVOD NA UCET	2520	15696	SIPO	CD	94851266
661833	2259	1995-09-09	VYDAJ	PREVOD NA UCET	2520	12869	SIPO	CD	94851266
661834	2259	1995-10-09	VYDAJ	PREVOD NA UCET	2520	14533	SIPO	CD	94851266
661835	2259	1995-11-09	VYDAJ	PREVOD NA UCET	2520	14101	SIPO	CD	94851266
661836	2259	1995-12-09	VYDAJ	PREVOD NA UCET	2520	12470	SIPO	CD	94851266
661837	2259	1996-01-09	VYDAJ	PREVOD NA UCET	2520	11112	SIPO	CD	94851266
661838	2259	1996-02-09	VYDAJ	PREVOD NA UCET	2520	13069	SIPO	CD	94851266
661839	2259	1996-03-09	VYDAJ	PREVOD NA UCET	2520	15028	SIPO	CD	94851266
661840	2259	1996-04-09	VYDAJ	PREVOD NA UCET	2520	16115	SIPO	CD	94851266
661841	2259	1996-05-09	VYDAJ	PREVOD NA UCET	2520	13787	SIPO	CD	94851266
661842	2259	1996-06-09	VYDAJ	PREVOD NA UCET	2520	13854	SIPO	CD	94851266
661843	2259	1996-07-09	VYDAJ	PREVOD NA UCET	2520	15820	SIPO	CD	94851266
661844	2259	1996-08-09	VYDAJ	PREVOD NA UCET	2520	15191	SIPO	CD	94851266
661845	2259	1996-09-09	VYDAJ	PREVOD NA UCET	2520	16463	SIPO	CD	94851266
661846	2259	1996-10-09	VYDAJ	PREVOD NA UCET	2520	13536	SIPO	CD	94851266
661847	2259	1996-11-09	VYDAJ	PREVOD NA UCET	2520	15498	SIPO	CD	94851266
661848	2259	1996-12-09	VYDAJ	PREVOD NA UCET	2520	16817	SIPO	CD	94851266
661849	2259	1997-01-09	VYDAJ	PREVOD NA UCET	2520	15393	SIPO	CD	94851266
661850	2259	1997-02-09	VYDAJ	PREVOD NA UCET	2520	14016	SIPO	CD	94851266
661851	2259	1997-03-09	VYDAJ	PREVOD NA UCET	2520	15979	SIPO	CD	94851266
661852	2259	1997-04-09	VYDAJ	PREVOD NA UCET	2520	17950	SIPO	CD	94851266
661853	2259	1997-05-09	VYDAJ	PREVOD NA UCET	2520	17929	SIPO	CD	94851266
661854	2259	1997-06-09	VYDAJ	PREVOD NA UCET	2520	17405	SIPO	CD	94851266
661855	2259	1997-07-09	VYDAJ	PREVOD NA UCET	2520	19382	SIPO	CD	94851266
661856	2259	1997-08-09	VYDAJ	PREVOD NA UCET	2520	17927	SIPO	CD	94851266
661857	2259	1997-09-09	VYDAJ	PREVOD NA UCET	2520	17504	SIPO	CD	94851266
661858	2259	1997-10-09	VYDAJ	PREVOD NA UCET	2520	19481	SIPO	CD	94851266
661859	2259	1997-11-09	VYDAJ	PREVOD NA UCET	2520	20566	SIPO	CD	94851266
661860	2259	1997-12-09	VYDAJ	PREVOD NA UCET	2520	22556	SIPO	CD	94851266
661861	2259	1998-01-09	VYDAJ	PREVOD NA UCET	2520	20465	SIPO	CD	94851266
661862	2259	1998-02-09	VYDAJ	PREVOD NA UCET	2520	16450	SIPO	CD	94851266
661863	2259	1998-03-09	VYDAJ	PREVOD NA UCET	2520	16499	SIPO	CD	94851266
661864	2259	1998-04-09	VYDAJ	PREVOD NA UCET	2520	18473	SIPO	CD	94851266
661865	2259	1998-05-09	VYDAJ	PREVOD NA UCET	2520	19171	SIPO	CD	94851266
661866	2259	1998-06-09	VYDAJ	PREVOD NA UCET	2520	17548	SIPO	CD	94851266
661867	2259	1998-07-09	VYDAJ	PREVOD NA UCET	2520	19525	SIPO	CD	94851266
661868	2259	1998-08-09	VYDAJ	PREVOD NA UCET	2520	21511	SIPO	CD	94851266
661869	2259	1998-09-09	VYDAJ	PREVOD NA UCET	2520	23505	SIPO	CD	94851266
661870	2259	1998-10-09	VYDAJ	PREVOD NA UCET	2520	22066	SIPO	CD	94851266
661871	2259	1998-11-09	VYDAJ	PREVOD NA UCET	2520	23363	SIPO	CD	94851266
661872	2259	1998-12-09	VYDAJ	PREVOD NA UCET	2520	16678	SIPO	CD	94851266
661874	2259	1995-06-06	VYDAJ	VYBER	1850	24049	\N	\N	\N
661879	2259	1995-01-18	VYDAJ	VYBER	4950	18013	\N	\N	\N
661882	2259	1998-01-01	VYDAJ	VYBER	1150	21183	\N	\N	\N
661883	2259	1994-12-20	VYDAJ	VYBER	400	23758	\N	\N	\N
661884	2259	1995-12-06	VYDAJ	VYBER	400	14990	\N	\N	\N
661885	2259	1996-12-06	VYDAJ	VYBER	650	19337	\N	\N	\N
661886	2259	1997-12-25	VYDAJ	VYBER	300	22256	\N	\N	\N
661887	2259	1998-12-05	VYDAJ	VYBER	800	19198	\N	\N	\N
661894	2259	1995-01-09	VYDAJ	VYBER	400	22963	\N	\N	\N
661895	2259	1995-01-07	VYDAJ	VYBER	1360	25883	\N	\N	\N
661896	2259	1995-01-23	VYDAJ	VYBER	1600	16413	\N	\N	\N
661897	2259	1995-01-28	VYDAJ	VYBER	1440	14493	\N	\N	\N
661898	2259	1995-01-23	VYDAJ	VYBER	480	15933	\N	\N	\N
661899	2259	1995-01-05	VYDAJ	VYBER	1040	27243	\N	\N	\N
661903	2259	1996-01-08	VYDAJ	VYBER	2080	13632	\N	\N	\N
661904	2259	1996-01-06	VYDAJ	VYBER	640	15712	\N	\N	\N
661912	2259	1998-01-10	VYDAJ	VYBER	1360	19105	\N	\N	\N
661913	2259	1998-01-26	VYDAJ	VYBER	400	14465	\N	\N	\N
661914	2259	1998-01-06	VYDAJ	VYBER	960	24665	\N	\N	\N
661915	2259	1998-01-24	VYDAJ	VYBER	2240	16865	\N	\N	\N
661916	2259	1998-01-24	VYDAJ	VYBER	2000	14865	\N	\N	\N
661917	2259	1998-01-06	VYDAJ	VYBER	1680	22985	\N	\N	\N
661923	2259	1995-03-15	VYDAJ	VYBER	480	17420	\N	\N	\N
661924	2259	1995-02-07	VYDAJ	VYBER	560	18446	\N	\N	\N
661929	2259	1996-03-22	VYDAJ	VYBER	880	14148	\N	\N	\N
661932	2259	1997-07-18	VYDAJ	VYBER	480	18902	\N	\N	\N
661933	2259	1997-08-07	VYDAJ	VYBER	2960	20447	\N	\N	\N
661934	2259	1997-08-13	VYDAJ	VYBER	2400	15527	\N	\N	\N
661935	2259	1997-05-20	VYDAJ	VYBER	2000	15929	\N	\N	\N
661936	2259	1997-01-10	VYDAJ	VYBER	1840	13553	\N	\N	\N
661937	2259	1998-05-18	VYDAJ	VYBER	3600	15571	\N	\N	\N
661938	2259	1998-04-13	VYDAJ	VYBER	1280	17193	\N	\N	\N
661939	2259	1998-02-17	VYDAJ	VYBER	1920	14530	\N	\N	\N
661940	2259	1998-09-30	VYDAJ	VYBER	2000	21599	\N	\N	\N
661942	2259	1998-10-08	VYDAJ	VYBER	1440	24586	\N	\N	\N
661943	2259	1998-11-30	VYDAJ	VYBER	3680	15556	\N	\N	\N
661954	2259	1994-10-31	VYDAJ	VYBER	15	20338	SLUZBY	\N	\N
661955	2259	1994-11-30	VYDAJ	VYBER	15	22236	SLUZBY	\N	\N
661956	2259	1994-12-31	VYDAJ	VYBER	15	23841	SLUZBY	\N	\N
661957	2259	1995-01-31	VYDAJ	VYBER	15	14564	SLUZBY	\N	\N
661958	2259	1995-02-28	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
661959	2259	1995-03-31	VYDAJ	VYBER	15	17477	SLUZBY	\N	\N
661960	2259	1995-04-30	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
661961	2259	1995-05-31	VYDAJ	VYBER	15	21457	SLUZBY	\N	\N
661962	2259	1995-06-30	VYDAJ	VYBER	15	18896	SLUZBY	\N	\N
661963	2259	1995-07-31	VYDAJ	VYBER	15	16074	SLUZBY	\N	\N
661964	2259	1995-08-31	VYDAJ	VYBER	15	15747	SLUZBY	\N	\N
661965	2259	1995-09-30	VYDAJ	VYBER	15	12911	SLUZBY	\N	\N
661966	2259	1995-10-31	VYDAJ	VYBER	15	14579	SLUZBY	\N	\N
661967	2259	1995-11-30	VYDAJ	VYBER	15	14148	SLUZBY	\N	\N
661968	2259	1995-12-31	VYDAJ	VYBER	15	12510	SLUZBY	\N	\N
661969	2259	1996-01-31	VYDAJ	VYBER	15	11147	SLUZBY	\N	\N
661970	2259	1996-02-29	VYDAJ	VYBER	15	13106	SLUZBY	\N	\N
661971	2259	1996-03-31	VYDAJ	VYBER	15	14193	SLUZBY	\N	\N
661972	2259	1996-04-30	VYDAJ	VYBER	15	16165	SLUZBY	\N	\N
661973	2259	1996-05-31	VYDAJ	VYBER	15	13832	SLUZBY	\N	\N
661974	2259	1996-06-30	VYDAJ	VYBER	15	13898	SLUZBY	\N	\N
661975	2259	1996-07-31	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
661976	2259	1996-08-31	VYDAJ	VYBER	15	15241	SLUZBY	\N	\N
661977	2259	1996-09-30	VYDAJ	VYBER	15	11614	SLUZBY	\N	\N
661978	2259	1996-10-31	VYDAJ	VYBER	15	13576	SLUZBY	\N	\N
661979	2259	1996-11-30	VYDAJ	VYBER	15	15545	SLUZBY	\N	\N
661980	2259	1996-12-31	VYDAJ	VYBER	15	13471	SLUZBY	\N	\N
661981	2259	1997-01-31	VYDAJ	VYBER	15	12094	SLUZBY	\N	\N
661982	2259	1997-02-28	VYDAJ	VYBER	15	14057	SLUZBY	\N	\N
661983	2259	1997-03-31	VYDAJ	VYBER	15	16028	SLUZBY	\N	\N
661984	2259	1997-04-30	VYDAJ	VYBER	15	16007	SLUZBY	\N	\N
661985	2259	1997-05-31	VYDAJ	VYBER	15	15483	SLUZBY	\N	\N
661986	2259	1997-06-30	VYDAJ	VYBER	15	17460	SLUZBY	\N	\N
661987	2259	1997-07-31	VYDAJ	VYBER	15	18965	SLUZBY	\N	\N
661988	2259	1997-08-31	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
661989	2259	1997-09-30	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
661990	2259	1997-10-31	VYDAJ	VYBER	15	18644	SLUZBY	\N	\N
661991	2259	1997-11-30	VYDAJ	VYBER	15	20634	SLUZBY	\N	\N
661992	2259	1997-12-31	VYDAJ	VYBER	15	22333	SLUZBY	\N	\N
661993	2259	1998-01-31	VYDAJ	VYBER	15	14528	SLUZBY	\N	\N
661994	2259	1998-02-28	VYDAJ	VYBER	15	14577	SLUZBY	\N	\N
661995	2259	1998-03-31	VYDAJ	VYBER	15	16551	SLUZBY	\N	\N
661996	2259	1998-04-30	VYDAJ	VYBER	15	17249	SLUZBY	\N	\N
661997	2259	1998-05-31	VYDAJ	VYBER	15	15626	SLUZBY	\N	\N
661998	2259	1998-06-30	VYDAJ	VYBER	15	17603	SLUZBY	\N	\N
661999	2259	1998-07-31	VYDAJ	VYBER	15	19589	SLUZBY	\N	\N
662000	2259	1998-08-31	VYDAJ	VYBER	15	21583	SLUZBY	\N	\N
662001	2259	1998-09-30	VYDAJ	VYBER	15	21584	SLUZBY	\N	\N
662002	2259	1998-10-31	VYDAJ	VYBER	15	21441	SLUZBY	\N	\N
662003	2259	1998-11-30	VYDAJ	VYBER	15	19236	SLUZBY	\N	\N
662004	2259	1994-11-10	VYDAJ	VYBER	100	22160	\N	\N	\N
662005	2259	1995-06-08	VYDAJ	VYBER	2700	21349	\N	\N	\N
662006	2259	1995-07-08	VYDAJ	VYBER	4800	18538	\N	\N	\N
662007	2259	1995-08-07	VYDAJ	VYBER	2300	18216	\N	\N	\N
662008	2259	1995-09-06	VYDAJ	VYBER	4800	15389	\N	\N	\N
662009	2259	1995-10-06	VYDAJ	VYBER	300	17053	\N	\N	\N
662010	2259	1995-11-05	VYDAJ	VYBER	2400	16621	\N	\N	\N
662011	2259	1995-12-05	VYDAJ	VYBER	3200	15390	\N	\N	\N
662012	2259	1996-01-04	VYDAJ	VYBER	600	11910	\N	\N	\N
662013	2259	1996-05-03	VYDAJ	VYBER	4300	11865	\N	\N	\N
662014	2259	1996-06-02	VYDAJ	VYBER	1900	11932	\N	\N	\N
662015	2259	1996-08-01	VYDAJ	VYBER	2600	13269	\N	\N	\N
662016	2259	1996-08-31	VYDAJ	VYBER	700	14541	\N	\N	\N
662017	2259	1996-09-30	VYDAJ	VYBER	4900	11629	\N	\N	\N
662018	2259	1996-12-29	VYDAJ	VYBER	3400	13417	\N	\N	\N
662019	2259	1997-01-28	VYDAJ	VYBER	1500	12053	\N	\N	\N
662020	2259	1997-04-28	VYDAJ	VYBER	2000	15950	\N	\N	\N
662021	2259	1997-05-28	VYDAJ	VYBER	500	15429	\N	\N	\N
662022	2259	1997-10-25	VYDAJ	VYBER	900	18581	\N	\N	\N
662023	2259	1998-10-20	VYDAJ	VYBER	700	21366	\N	\N	\N
662024	2259	1998-11-19	VYDAJ	VYBER	4200	19163	\N	\N	\N
662076	2260	1994-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
662082	2260	1994-06-13	PRIJEM	VKLAD	12807	13907	\N	\N	\N
662083	2260	1994-07-13	PRIJEM	VKLAD	8538	27380	\N	\N	\N
662084	2260	1994-08-13	PRIJEM	VKLAD	8538	33910	\N	\N	\N
662085	2260	1994-09-13	PRIJEM	VKLAD	8538	37179	\N	\N	\N
662086	2260	1994-10-13	PRIJEM	VKLAD	8538	40966	\N	\N	\N
662087	2260	1994-11-13	PRIJEM	VKLAD	8538	32801	\N	\N	\N
662088	2260	1994-12-13	PRIJEM	VKLAD	12807	42323	\N	\N	\N
662089	2260	1995-01-13	PRIJEM	VKLAD	8538	37714	\N	\N	\N
662090	2260	1995-02-13	PRIJEM	VKLAD	8538	34682	\N	\N	\N
662091	2260	1995-03-13	PRIJEM	VKLAD	8538	27634	\N	\N	\N
662092	2260	1995-04-13	PRIJEM	VKLAD	8538	20166	\N	\N	\N
662093	2260	1995-05-13	PRIJEM	VKLAD	8538	28769	\N	\N	\N
662094	2260	1995-06-13	PRIJEM	VKLAD	12807	16849	\N	\N	\N
662095	2260	1995-07-13	PRIJEM	VKLAD	8538	14730	\N	\N	\N
662096	2260	1995-08-13	PRIJEM	VKLAD	8538	19204	\N	\N	\N
662097	2260	1995-09-13	PRIJEM	VKLAD	8538	20899	\N	\N	\N
662098	2260	1995-10-13	PRIJEM	VKLAD	8538	24904	\N	\N	\N
662099	2260	1995-11-13	PRIJEM	VKLAD	8538	16222	\N	\N	\N
662100	2260	1995-12-13	PRIJEM	VKLAD	12807	22275	\N	\N	\N
662101	2260	1996-01-13	PRIJEM	VKLAD	8538	19655	\N	\N	\N
662102	2260	1996-02-13	PRIJEM	VKLAD	8538	19128	\N	\N	\N
662103	2260	1996-03-13	PRIJEM	VKLAD	8538	13823	\N	\N	\N
662104	2260	1996-04-13	PRIJEM	VKLAD	8538	13786	\N	\N	\N
662105	2260	1996-05-13	PRIJEM	VKLAD	8538	8568	\N	\N	\N
662106	2260	1996-06-13	PRIJEM	VKLAD	12807	7410	\N	\N	\N
662107	2260	1996-07-13	PRIJEM	VKLAD	8538	6953	\N	\N	\N
662108	2260	1996-08-13	PRIJEM	VKLAD	8538	5261	\N	\N	\N
662109	2260	1996-09-13	PRIJEM	VKLAD	8538	6393	\N	\N	\N
662110	2260	1996-10-13	PRIJEM	VKLAD	8538	6632	\N	\N	\N
662111	2260	1996-11-13	PRIJEM	VKLAD	8538	7341	\N	\N	\N
662112	2260	1996-12-13	PRIJEM	VKLAD	12807	8669	\N	\N	\N
662113	2260	1997-01-13	PRIJEM	VKLAD	8538	6142	\N	\N	\N
662114	2260	1997-02-13	PRIJEM	VKLAD	8538	6473	\N	\N	\N
662115	2260	1997-03-13	PRIJEM	VKLAD	8538	6480	\N	\N	\N
662116	2260	1997-04-13	PRIJEM	VKLAD	8538	11497	\N	\N	\N
662117	2260	1997-05-13	PRIJEM	VKLAD	8538	1129	\N	\N	\N
662118	2260	1997-06-13	PRIJEM	VKLAD	12807	14724	\N	\N	\N
662119	2260	1997-07-13	PRIJEM	VKLAD	8538	9262	\N	\N	\N
662120	2260	1997-08-13	PRIJEM	VKLAD	8538	7893	\N	\N	\N
662121	2260	1997-09-13	PRIJEM	VKLAD	8538	4516	\N	\N	\N
662122	2260	1997-10-13	PRIJEM	VKLAD	8538	107	\N	\N	\N
662123	2260	1997-11-13	PRIJEM	VKLAD	8538	-1982	\N	\N	\N
662124	2260	1997-12-13	PRIJEM	VKLAD	12807	674	\N	\N	\N
662125	2260	1998-01-13	PRIJEM	VKLAD	8538	-3935	\N	\N	\N
662126	2260	1998-02-13	PRIJEM	VKLAD	8538	-2777	\N	\N	\N
662127	2260	1998-03-13	PRIJEM	VKLAD	8538	-4632	\N	\N	\N
662128	2260	1998-04-13	PRIJEM	VKLAD	8538	-2378	\N	\N	\N
662129	2260	1998-05-13	PRIJEM	VKLAD	8538	-1946	\N	\N	\N
662130	2260	1998-06-13	PRIJEM	VKLAD	12807	-3640	\N	\N	\N
662131	2260	1998-07-13	PRIJEM	VKLAD	8538	-6994	\N	\N	\N
662132	2260	1998-08-13	PRIJEM	VKLAD	8538	-2256	\N	\N	\N
662133	2260	1998-09-13	PRIJEM	VKLAD	8538	1179	\N	\N	\N
662134	2260	1998-10-13	PRIJEM	VKLAD	8538	-3351	\N	\N	\N
662135	2260	1998-11-13	PRIJEM	VKLAD	8538	3216	\N	\N	\N
662136	2260	1998-12-13	PRIJEM	VKLAD	12807	2102	\N	\N	\N
662146	2260	1994-10-19	VYDAJ	VYBER	6900	34066	SIPO	\N	0
662147	2260	1994-11-06	VYDAJ	VYBER	5100	24263	SIPO	\N	0
662148	2260	1994-12-18	VYDAJ	VYBER	4900	35343	SIPO	\N	0
662149	2260	1995-01-23	VYDAJ	VYBER	6900	30814	SIPO	\N	0
662150	2260	1995-02-20	VYDAJ	VYBER	6800	27882	SIPO	\N	0
662151	2260	1995-03-07	VYDAJ	VYBER	6900	19096	SIPO	\N	0
662152	2260	1995-04-06	VYDAJ	VYBER	6500	11628	SIPO	\N	0
662153	2260	1995-05-18	VYDAJ	VYBER	6900	21869	SIPO	\N	0
662154	2260	1995-06-13	VYDAJ	VYBER	6800	10049	SIPO	\N	0
662155	2260	1995-07-07	VYDAJ	VYBER	5600	6192	SIPO	\N	0
662156	2260	1995-08-11	VYDAJ	VYBER	5900	10666	SIPO	\N	0
662157	2260	1995-09-04	VYDAJ	VYBER	5200	12361	SIPO	\N	0
662158	2260	1995-10-18	VYDAJ	VYBER	4400	20504	SIPO	\N	0
662159	2260	1995-11-08	VYDAJ	VYBER	4400	7684	SIPO	\N	0
662160	2260	1995-12-20	VYDAJ	VYBER	4800	12195	SIPO	\N	0
662161	2260	1996-01-19	VYDAJ	VYBER	7000	12655	SIPO	\N	0
662162	2260	1996-02-19	VYDAJ	VYBER	5600	13528	SIPO	\N	0
662163	2260	1996-03-17	VYDAJ	VYBER	5000	8823	SIPO	\N	0
662164	2260	1996-04-05	VYDAJ	VYBER	5200	5248	SIPO	\N	0
662165	2260	1996-05-08	VYDAJ	VYBER	5500	30	SIPO	\N	0
662166	2260	1996-06-10	VYDAJ	VYBER	6000	-5397	SIPO	\N	0
662167	2260	1996-07-12	VYDAJ	VYBER	6600	-1585	SIPO	\N	0
662168	2260	1996-08-13	VYDAJ	VYBER	5500	-239	SIPO	\N	0
662169	2260	1996-09-16	VYDAJ	VYBER	6100	293	SIPO	\N	0
662170	2260	1996-10-23	VYDAJ	VYBER	4300	2332	SIPO	\N	0
662171	2260	1996-11-14	VYDAJ	VYBER	4400	2941	SIPO	\N	0
662172	2260	1996-12-16	VYDAJ	VYBER	4700	3969	SIPO	\N	0
662173	2260	1997-01-13	VYDAJ	VYBER	5500	642	SIPO	\N	0
662174	2260	1997-02-23	VYDAJ	VYBER	5900	-2027	SIPO	\N	0
662175	2260	1997-03-19	VYDAJ	VYBER	5000	1480	SIPO	\N	0
662176	2260	1997-04-21	VYDAJ	VYBER	6600	4897	SIPO	\N	0
662177	2260	1997-05-10	VYDAJ	VYBER	6700	-7409	SIPO	\N	0
662178	2260	1997-06-14	VYDAJ	VYBER	4800	9924	SIPO	\N	0
662179	2260	1997-07-21	VYDAJ	VYBER	5600	3662	SIPO	\N	0
662180	2260	1997-08-23	VYDAJ	VYBER	4300	-4007	SIPO	\N	0
662181	2260	1997-09-23	VYDAJ	VYBER	6600	-8384	SIPO	\N	0
662183	2260	1997-11-09	VYDAJ	VYBER	4800	-10520	SIPO	\N	0
662184	2260	1997-12-12	VYDAJ	VYBER	6200	-12133	SIPO	\N	0
662185	2260	1998-01-09	VYDAJ	VYBER	7000	-12473	SIPO	\N	0
662187	2260	1998-03-07	VYDAJ	VYBER	6100	-13170	SIPO	\N	0
662190	2260	1998-06-04	VYDAJ	VYBER	6700	-16447	SIPO	\N	0
662191	2260	1998-07-05	VYDAJ	VYBER	5600	-15532	SIPO	\N	0
662193	2260	1998-09-13	VYDAJ	VYBER	4500	-3321	SIPO	\N	0
662194	2260	1998-10-05	VYDAJ	VYBER	5300	-11889	SIPO	\N	0
662196	2260	1998-12-05	VYDAJ	VYBER	7000	-7825	SIPO	\N	0
662198	2260	1995-06-11	VYDAJ	VYBER	18400	4042	\N	\N	\N
662199	2260	1996-06-03	VYDAJ	VYBER	5280	603	\N	\N	\N
662202	2260	1994-12-17	VYDAJ	VYBER	2080	40243	\N	\N	\N
662203	2260	1995-12-02	VYDAJ	VYBER	4000	9468	\N	\N	\N
662206	2260	1998-12-11	VYDAJ	VYBER	2880	-10705	\N	\N	\N
662208	2260	1994-10-24	VYDAJ	VYBER	840	33226	\N	\N	\N
662211	2260	1995-04-05	VYDAJ	VYBER	4200	18128	\N	\N	\N
662212	2260	1995-12-18	VYDAJ	VYBER	5280	16995	\N	\N	\N
662213	2260	1995-11-02	VYDAJ	VYBER	2880	12084	\N	\N	\N
662214	2260	1995-12-22	VYDAJ	VYBER	4920	7275	\N	\N	\N
662215	2260	1996-02-07	VYDAJ	VYBER	1200	10590	\N	\N	\N
662216	2260	1996-03-04	VYDAJ	VYBER	3240	5285	\N	\N	\N
662217	2260	1996-02-20	VYDAJ	VYBER	5040	8488	\N	\N	\N
662218	2260	1996-11-27	VYDAJ	VYBER	5760	-4119	\N	\N	\N
662219	2260	1996-09-18	VYDAJ	VYBER	5760	-5467	\N	\N	\N
662220	2260	1996-04-14	VYDAJ	VYBER	5280	8506	\N	\N	\N
662221	2260	1996-08-12	VYDAJ	VYBER	1320	2243	\N	\N	\N
662222	2260	1996-08-12	VYDAJ	VYBER	5520	-3277	\N	\N	\N
662223	2260	1997-01-02	VYDAJ	VYBER	5640	-2396	\N	\N	\N
662224	2260	1997-10-17	VYDAJ	VYBER	960	-853	\N	\N	\N
662225	2260	1997-04-24	VYDAJ	VYBER	3000	-703	\N	\N	\N
662239	2260	1994-10-31	VYDAJ	VYBER	15	33363	SLUZBY	\N	\N
662240	2260	1994-11-30	VYDAJ	VYBER	15	32916	SLUZBY	\N	\N
662241	2260	1994-12-31	VYDAJ	VYBER	15	35476	SLUZBY	\N	\N
662242	2260	1995-01-31	VYDAJ	VYBER	15	30944	SLUZBY	\N	\N
662243	2260	1995-02-28	VYDAJ	VYBER	15	27996	SLUZBY	\N	\N
662244	2260	1995-03-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
662245	2260	1995-04-30	VYDAJ	VYBER	15	20231	SLUZBY	\N	\N
662246	2260	1995-05-31	VYDAJ	VYBER	15	21942	SLUZBY	\N	\N
662247	2260	1995-06-30	VYDAJ	VYBER	15	10092	SLUZBY	\N	\N
662248	2260	1995-07-31	VYDAJ	VYBER	15	14766	SLUZBY	\N	\N
662249	2260	1995-08-31	VYDAJ	VYBER	15	17561	SLUZBY	\N	\N
662250	2260	1995-09-30	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
662251	2260	1995-10-31	VYDAJ	VYBER	15	14964	SLUZBY	\N	\N
662252	2260	1995-11-30	VYDAJ	VYBER	15	13468	SLUZBY	\N	\N
662253	2260	1995-12-31	VYDAJ	VYBER	15	11117	SLUZBY	\N	\N
662254	2260	1996-01-31	VYDAJ	VYBER	15	11790	SLUZBY	\N	\N
662255	2260	1996-02-29	VYDAJ	VYBER	15	8525	SLUZBY	\N	\N
662256	2260	1996-03-31	VYDAJ	VYBER	15	10448	SLUZBY	\N	\N
662257	2260	1996-04-30	VYDAJ	VYBER	15	5530	SLUZBY	\N	\N
662258	2260	1996-05-31	VYDAJ	VYBER	15	5883	SLUZBY	\N	\N
662259	2260	1996-06-30	VYDAJ	VYBER	15	5021	SLUZBY	\N	\N
662260	2260	1996-07-31	VYDAJ	VYBER	15	3563	SLUZBY	\N	\N
662261	2260	1996-08-31	VYDAJ	VYBER	15	-2140	SLUZBY	\N	\N
662262	2260	1996-09-30	VYDAJ	VYBER	15	-1881	SLUZBY	\N	\N
662263	2260	1996-10-31	VYDAJ	VYBER	15	-1197	SLUZBY	\N	\N
662264	2260	1996-11-30	VYDAJ	VYBER	15	-4128	SLUZBY	\N	\N
662265	2260	1996-12-31	VYDAJ	VYBER	15	3263	SLUZBY	\N	\N
662266	2260	1997-01-31	VYDAJ	VYBER	15	-2059	SLUZBY	\N	\N
662267	2260	1997-02-28	VYDAJ	VYBER	15	-2041	SLUZBY	\N	\N
662268	2260	1997-03-31	VYDAJ	VYBER	15	2959	SLUZBY	\N	\N
662269	2260	1997-04-30	VYDAJ	VYBER	15	-709	SLUZBY	\N	\N
662270	2260	1997-05-31	VYDAJ	VYBER	15	1919	SLUZBY	\N	\N
662271	2260	1997-06-30	VYDAJ	VYBER	15	724	SLUZBY	\N	\N
662272	2260	1997-07-31	VYDAJ	VYBER	15	-645	SLUZBY	\N	\N
662285	2260	1998-08-31	VYDAJ	VYBER	15	-7271	SLUZBY	\N	\N
662287	2260	1998-10-31	VYDAJ	VYBER	15	-5265	SLUZBY	\N	\N
662288	2260	1998-11-30	VYDAJ	VYBER	15	-799	SLUZBY	\N	\N
662289	2260	1994-07-07	PRIJEM	VKLAD	4900	18842	\N	\N	\N
662290	2260	1994-08-06	VYDAJ	VYBER	2100	25372	\N	\N	\N
662291	2260	1994-09-05	VYDAJ	VYBER	5400	28641	\N	\N	\N
662292	2260	1994-10-05	VYDAJ	VYBER	4900	32428	\N	\N	\N
662293	2260	1994-11-04	VYDAJ	VYBER	4000	29363	\N	\N	\N
662294	2260	1994-12-04	VYDAJ	VYBER	3400	29516	\N	\N	\N
662295	2260	1995-01-03	VYDAJ	VYBER	6300	29176	\N	\N	\N
662296	2260	1995-02-02	VYDAJ	VYBER	4800	26144	\N	\N	\N
662297	2260	1995-03-04	VYDAJ	VYBER	2000	25996	\N	\N	\N
662298	2260	1995-04-03	VYDAJ	VYBER	5400	22328	\N	\N	\N
662299	2260	1995-06-02	PRIJEM	VKLAD	500	22442	\N	\N	\N
662300	2260	1995-07-02	PRIJEM	VKLAD	1700	11792	\N	\N	\N
662301	2260	1995-08-01	PRIJEM	VKLAD	1800	16566	\N	\N	\N
662302	2260	1995-08-31	VYDAJ	VYBER	1700	17576	\N	\N	\N
662303	2260	1995-09-30	VYDAJ	VYBER	4600	16381	\N	\N	\N
662304	2260	1995-10-30	VYDAJ	VYBER	5600	14904	\N	\N	\N
662305	2260	1995-11-29	VYDAJ	VYBER	2800	13422	\N	\N	\N
662306	2260	1995-12-29	PRIJEM	VKLAD	3800	11075	\N	\N	\N
662307	2260	1996-01-28	VYDAJ	VYBER	900	11755	\N	\N	\N
662308	2260	1996-03-28	PRIJEM	VKLAD	1600	10423	\N	\N	\N
662309	2260	1996-04-27	VYDAJ	VYBER	3000	5506	\N	\N	\N
662310	2260	1996-05-27	VYDAJ	VYBER	2700	5868	\N	\N	\N
662311	2260	1996-06-26	VYDAJ	VYBER	2400	5010	\N	\N	\N
662312	2260	1996-07-26	VYDAJ	VYBER	3400	3553	\N	\N	\N
662313	2260	1996-08-25	VYDAJ	VYBER	1900	-2139	\N	\N	\N
662314	2260	1996-09-24	PRIJEM	VKLAD	3600	-1867	\N	\N	\N
662315	2260	1996-10-24	VYDAJ	VYBER	3500	-1168	\N	\N	\N
662316	2260	1996-11-23	VYDAJ	VYBER	1300	1641	\N	\N	\N
662317	2260	1996-12-23	VYDAJ	VYBER	700	3269	\N	\N	\N
662318	2260	1997-01-22	VYDAJ	VYBER	2700	-2058	\N	\N	\N
662319	2260	1997-02-21	VYDAJ	VYBER	2600	3873	\N	\N	\N
662320	2260	1997-03-23	PRIJEM	VKLAD	1500	2980	\N	\N	\N
662321	2260	1997-04-22	VYDAJ	VYBER	2600	2297	\N	\N	\N
662322	2260	1997-05-22	PRIJEM	VKLAD	800	1929	\N	\N	\N
662323	2260	1997-06-21	VYDAJ	VYBER	9200	724	\N	\N	\N
662324	2260	1997-07-21	VYDAJ	VYBER	4300	-638	\N	\N	\N
662325	2260	1997-08-20	VYDAJ	VYBER	7600	293	\N	\N	\N
662326	2260	1997-09-19	VYDAJ	VYBER	6300	-1784	\N	\N	\N
662327	2260	1997-10-19	VYDAJ	VYBER	4800	-5653	\N	\N	\N
662328	2260	1997-11-18	VYDAJ	VYBER	3900	-5882	\N	\N	\N
662329	2260	1997-12-18	VYDAJ	VYBER	6100	-5426	\N	\N	\N
662330	2260	1998-01-17	VYDAJ	VYBER	7300	-11235	\N	\N	\N
662331	2260	1998-02-16	VYDAJ	VYBER	4200	-6977	\N	\N	\N
662332	2260	1998-03-18	VYDAJ	VYBER	6200	-10832	\N	\N	\N
662333	2260	1998-04-17	VYDAJ	VYBER	8000	-10378	\N	\N	\N
662334	2260	1998-05-17	VYDAJ	VYBER	7700	-9646	\N	\N	\N
662335	2260	1998-06-16	VYDAJ	VYBER	6200	-9840	\N	\N	\N
662336	2260	1998-07-16	VYDAJ	VYBER	3700	-10694	\N	\N	\N
662337	2260	1998-08-15	VYDAJ	VYBER	5000	-7256	\N	\N	\N
662338	2260	1998-09-14	VYDAJ	VYBER	3200	-6521	\N	\N	\N
662339	2260	1998-10-14	VYDAJ	VYBER	1900	-5251	\N	\N	\N
662340	2260	1998-11-13	VYDAJ	VYBER	4000	-784	\N	\N	\N
662341	2260	1998-12-13	VYDAJ	VYBER	4900	-2798	\N	\N	\N
662411	2261	1996-12-27	PRIJEM	VKLAD	200	200	\N	\N	\N
662423	2261	1996-12-28	PRIJEM	VKLAD	30436	30636	\N	\N	\N
662441	2261	1997-07-14	PRIJEM	VKLAD	20678	41729	\N	\N	\N
662442	2261	1997-11-02	PRIJEM	VKLAD	26444	40536	\N	\N	\N
662443	2261	1997-05-02	PRIJEM	VKLAD	10670	38137	\N	\N	\N
662444	2261	1997-02-18	PRIJEM	VKLAD	47226	73206	\N	\N	\N
662445	2261	1997-12-20	PRIJEM	VKLAD	25379	31299	\N	\N	\N
662446	2261	1998-07-14	PRIJEM	VKLAD	40137	58042	\N	\N	\N
662447	2261	1998-05-17	PRIJEM	VKLAD	45400	62666	\N	\N	\N
662448	2261	1998-03-27	PRIJEM	VKLAD	46942	48130	\N	\N	\N
662449	2261	1998-03-29	PRIJEM	VKLAD	30901	79031	\N	\N	\N
662450	2261	1998-12-22	PRIJEM	VKLAD	44787	47493	\N	\N	\N
662451	2261	1998-05-26	PRIJEM	VKLAD	41589	66464	\N	\N	\N
662452	2261	1998-11-12	PRIJEM	VKLAD	6705	36341	\N	\N	\N
662453	2261	1998-06-21	PRIJEM	VKLAD	20371	40569	\N	\N	\N
662454	2261	1998-02-05	PRIJEM	VKLAD	9480	18877	\N	\N	\N
662455	2261	1998-10-27	PRIJEM	VKLAD	33949	29626	\N	\N	\N
662456	2261	1998-08-03	PRIJEM	VKLAD	29046	53184	\N	\N	\N
662457	2261	1998-04-30	PRIJEM	VKLAD	6332	30196	\N	\N	\N
662516	2261	1997-11-20	VYDAJ	VYBER	10900	22745	SIPO	\N	0
662517	2261	1997-12-01	VYDAJ	VYBER	11100	5920	SIPO	\N	0
662518	2261	1998-01-15	VYDAJ	VYBER	9900	9348	SIPO	\N	0
662519	2261	1998-02-12	VYDAJ	VYBER	8700	10177	SIPO	\N	0
662520	2261	1998-03-14	VYDAJ	VYBER	9000	1188	SIPO	\N	0
662521	2261	1998-04-12	VYDAJ	VYBER	12300	44754	SIPO	\N	0
662522	2261	1998-05-12	VYDAJ	VYBER	12900	17266	SIPO	\N	0
662523	2261	1998-06-08	VYDAJ	VYBER	11100	43203	SIPO	\N	0
662524	2261	1998-07-03	VYDAJ	VYBER	11700	17905	SIPO	\N	0
662525	2261	1998-08-15	VYDAJ	VYBER	12400	40784	SIPO	\N	0
662526	2261	1998-09-17	VYDAJ	VYBER	11300	5854	SIPO	\N	0
662527	2261	1998-10-06	VYDAJ	VYBER	10200	-4323	SIPO	\N	0
662528	2261	1998-11-12	VYDAJ	VYBER	8200	28141	SIPO	\N	0
662529	2261	1998-12-03	VYDAJ	VYBER	12800	2706	SIPO	\N	0
662533	2261	1997-11-18	VYBER	VYBER	6891	33645	\N	\N	\N
662534	2261	1998-06-17	VYBER	VYBER	8085	20198	\N	\N	\N
662535	2261	1998-07-15	VYBER	VYBER	11903	46139	\N	\N	\N
662538	2261	1998-05-21	VYBER	VYBER	12191	50475	\N	\N	\N
662541	2261	1998-04-04	VYBER	VYBER	22027	57054	\N	\N	\N
662542	2261	1998-06-11	VYBER	VYBER	14920	28283	\N	\N	\N
662552	2261	1997-12-29	VYDAJ	VYBER	1500	19199	\N	\N	\N
662580	2261	1998-09-06	VYDAJ	VYBER	1800	17154	\N	\N	\N
662583	2261	1998-06-26	VYDAJ	VYBER	11100	29469	\N	\N	\N
662585	2261	1998-06-01	VYDAJ	VYBER	12300	54303	\N	\N	\N
662609	2261	1997-11-30	VYDAJ	VYBER	30	17020	SLUZBY	\N	\N
662610	2261	1997-12-31	VYDAJ	VYBER	30	19248	SLUZBY	\N	\N
662611	2261	1998-01-31	VYDAJ	VYBER	30	9397	SLUZBY	\N	\N
662612	2261	1998-02-28	VYDAJ	VYBER	30	10188	SLUZBY	\N	\N
662613	2261	1998-03-31	VYDAJ	VYBER	30	79081	SLUZBY	\N	\N
662614	2261	1998-04-30	VYDAJ	VYBER	30	30166	SLUZBY	\N	\N
662615	2261	1998-05-31	VYDAJ	VYBER	30	66603	SLUZBY	\N	\N
662616	2261	1998-06-30	VYDAJ	VYBER	30	29605	SLUZBY	\N	\N
662617	2261	1998-07-31	VYDAJ	VYBER	30	24138	SLUZBY	\N	\N
662618	2261	1998-08-31	VYDAJ	VYBER	30	18954	SLUZBY	\N	\N
662619	2261	1998-09-30	VYDAJ	VYBER	30	5877	SLUZBY	\N	\N
662620	2261	1998-10-31	VYDAJ	VYBER	30	29636	SLUZBY	\N	\N
662621	2261	1998-11-30	VYDAJ	VYBER	30	15506	SLUZBY	\N	\N
662622	2261	1997-01-26	VYDAJ	VYBER	4800	25853	\N	\N	\N
662623	2261	1997-02-25	VYDAJ	VYBER	22600	50606	\N	\N	\N
662624	2261	1997-03-27	VYDAJ	VYBER	14900	35846	\N	\N	\N
662625	2261	1997-04-26	VYDAJ	VYBER	8800	27257	\N	\N	\N
662626	2261	1997-05-26	VYDAJ	VYBER	9200	28937	\N	\N	\N
662627	2261	1997-06-25	VYDAJ	VYBER	8200	20931	\N	\N	\N
662628	2261	1997-07-25	VYDAJ	VYBER	12700	29029	\N	\N	\N
662629	2261	1997-08-24	VYDAJ	VYBER	8500	20650	\N	\N	\N
662630	2261	1997-09-23	VYDAJ	VYBER	6800	13971	\N	\N	\N
662631	2261	1997-11-22	VYDAJ	VYBER	5800	16945	\N	\N	\N
662632	2261	1997-12-22	VYDAJ	VYBER	10600	20699	\N	\N	\N
662633	2261	1998-04-21	VYDAJ	VYBER	21100	23654	\N	\N	\N
662634	2261	1998-05-21	VYDAJ	VYBER	25600	24875	\N	\N	\N
662635	2261	1998-07-20	VYDAJ	VYBER	22100	24039	\N	\N	\N
662636	2261	1998-08-19	VYDAJ	VYBER	21900	18884	\N	\N	\N
662637	2261	1998-11-17	VYDAJ	VYBER	12700	15441	\N	\N	\N
662662	2262	1997-02-08	PRIJEM	VKLAD	200	200	\N	\N	\N
662663	2262	1997-12-30	PRIJEM	VKLAD	32153	141146	\N	\N	\N
662664	2262	1997-12-14	PRIJEM	VKLAD	8773	78719	\N	\N	\N
662665	2262	1997-07-25	PRIJEM	VKLAD	11897	53393	\N	\N	\N
662666	2262	1997-09-09	PRIJEM	VKLAD	49379	74115	\N	\N	\N
662667	2262	1997-12-14	PRIJEM	VKLAD	43560	69946	\N	\N	\N
662668	2262	1997-12-22	PRIJEM	VKLAD	30274	108993	\N	\N	\N
662669	2262	1997-06-19	PRIJEM	VKLAD	14900	38333	\N	\N	\N
662671	2262	1997-04-11	PRIJEM	VKLAD	25355	57081	\N	\N	\N
662672	2262	1997-04-24	PRIJEM	VKLAD	39789	96870	\N	\N	\N
662673	2262	1997-06-23	PRIJEM	VKLAD	40816	74649	\N	\N	\N
662675	2262	1997-04-28	PRIJEM	VKLAD	9639	106509	\N	\N	\N
662676	2262	1997-03-15	PRIJEM	VKLAD	11238	35710	\N	\N	\N
662677	2262	1997-10-02	PRIJEM	VKLAD	34911	101171	\N	\N	\N
662678	2262	1997-11-17	PRIJEM	VKLAD	39020	62310	\N	\N	\N
662679	2262	1997-02-27	PRIJEM	VKLAD	17967	18167	\N	\N	\N
662680	2262	1998-08-16	PRIJEM	VKLAD	14608	116437	\N	\N	\N
662681	2262	1998-10-09	PRIJEM	VKLAD	22635	73657	\N	\N	\N
662682	2262	1998-10-01	PRIJEM	VKLAD	28798	136322	\N	\N	\N
662683	2262	1998-12-18	PRIJEM	VKLAD	7016	54971	\N	\N	\N
662684	2262	1998-12-28	PRIJEM	VKLAD	38274	138907	\N	\N	\N
662685	2262	1998-08-10	PRIJEM	VKLAD	47763	101829	\N	\N	\N
662686	2262	1998-01-02	PRIJEM	VKLAD	49148	132193	\N	\N	\N
662687	2262	1998-09-21	PRIJEM	VKLAD	48001	81307	\N	\N	\N
662688	2262	1998-02-06	PRIJEM	VKLAD	27672	67078	\N	\N	\N
662689	2262	1998-03-30	PRIJEM	VKLAD	47130	96873	\N	\N	\N
662690	2262	1998-10-27	PRIJEM	VKLAD	41568	114433	\N	\N	\N
662691	2262	1998-03-22	PRIJEM	VKLAD	7778	49743	\N	\N	\N
662692	2262	1998-10-15	PRIJEM	VKLAD	7608	72865	\N	\N	\N
662693	2262	1998-04-15	PRIJEM	VKLAD	19003	87515	\N	\N	\N
662694	2262	1998-09-30	PRIJEM	VKLAD	35437	107539	\N	\N	\N
662695	2262	1998-05-03	PRIJEM	VKLAD	15745	107017	\N	\N	\N
662696	2262	1998-12-03	PRIJEM	VKLAD	17655	65112	\N	\N	\N
662697	2262	1998-06-30	PRIJEM	VKLAD	49535	72892	\N	\N	\N
662698	2262	1998-08-02	PRIJEM	VKLAD	41147	104166	\N	\N	\N
662699	2262	1998-04-30	PRIJEM	VKLAD	30440	110055	\N	\N	\N
662700	2262	1998-11-18	PRIJEM	VKLAD	44653	66291	\N	\N	\N
662701	2262	1998-04-10	PRIJEM	VKLAD	20271	68512	\N	\N	\N
662702	2262	1998-11-29	PRIJEM	VKLAD	27606	93897	\N	\N	\N
662703	2262	1998-05-10	PRIJEM	VKLAD	42039	80956	\N	\N	\N
662704	2262	1998-01-21	PRIJEM	VKLAD	45204	74397	\N	\N	\N
662705	2262	1998-02-24	PRIJEM	VKLAD	35649	96027	\N	\N	\N
662706	2262	1998-07-24	PRIJEM	VKLAD	34740	67718	\N	\N	\N
662707	2262	1998-12-18	PRIJEM	VKLAD	49862	104833	\N	\N	\N
662708	2262	1998-05-10	PRIJEM	VKLAD	13179	94135	\N	\N	\N
662713	2262	1997-05-30	VYDAJ	VYBER	3700	23946	\N	\N	0
662714	2262	1997-06-19	VYDAJ	VYBER	4500	33833	\N	\N	0
662715	2262	1997-07-09	VYDAJ	VYBER	5900	41496	\N	\N	0
662716	2262	1997-08-09	VYDAJ	VYBER	5500	30798	\N	\N	0
662717	2262	1997-09-09	VYDAJ	VYBER	8100	66015	\N	\N	0
662718	2262	1997-10-26	VYDAJ	VYBER	6300	45671	\N	\N	0
662719	2262	1997-11-07	VYDAJ	VYBER	5700	23290	\N	\N	0
662720	2262	1997-12-05	VYDAJ	VYBER	5700	56786	\N	\N	0
662721	2262	1998-01-12	VYDAJ	VYBER	8100	37593	\N	\N	0
662722	2262	1998-02-09	VYDAJ	VYBER	6700	60378	\N	\N	0
662723	2262	1998-03-06	VYDAJ	VYBER	9000	47796	\N	\N	0
662724	2262	1998-04-27	VYDAJ	VYBER	7900	79615	\N	\N	0
662725	2262	1998-05-05	VYDAJ	VYBER	5400	38917	\N	\N	0
662726	2262	1998-06-12	VYDAJ	VYBER	6400	23236	\N	\N	0
662727	2262	1998-07-09	VYDAJ	VYBER	3800	32978	\N	\N	0
662728	2262	1998-07-31	VYDAJ	VYBER	4900	63019	\N	\N	0
662729	2262	1998-08-27	VYDAJ	VYBER	5400	95437	\N	\N	0
662730	2262	1998-10-09	VYDAJ	VYBER	8400	65257	\N	\N	0
662731	2262	1998-11-15	VYDAJ	VYBER	6300	21638	\N	\N	0
662732	2262	1998-12-12	VYDAJ	PREVOD NA UCET	6395	47955	UVER	CD	77488755
662734	2262	1998-03-08	VYBER	VYBER	3257	44539	\N	\N	\N
662735	2262	1998-08-30	VYBER	VYBER	14507	68016	\N	\N	\N
662736	2262	1998-12-08	VYBER	VYBER	10762	54350	\N	\N	\N
662737	2262	1998-05-30	VYBER	VYBER	9566	62654	\N	\N	\N
662738	2262	1998-04-06	VYBER	VYBER	3857	48241	\N	\N	\N
662739	2262	1998-09-28	VYBER	VYBER	9508	71799	\N	\N	\N
662740	2262	1998-11-12	VYBER	VYBER	10174	27938	\N	\N	\N
662741	2262	1998-08-29	VYBER	VYBER	12914	82523	\N	\N	\N
662742	2262	1998-05-10	VYBER	VYBER	19815	74320	\N	\N	\N
662743	2262	1998-03-20	VYBER	VYBER	2574	41965	\N	\N	\N
662752	2262	1998-01-10	VYDAJ	VYBER KARTOU	3300	45693	\N	\N	0
662753	2262	1998-01-17	VYDAJ	VYBER	4200	29193	\N	\N	\N
662754	2262	1998-01-23	VYDAJ	VYBER KARTOU	2400	65397	\N	\N	0
662755	2262	1998-01-22	VYDAJ	VYBER	6600	67797	\N	\N	\N
662756	2262	1998-01-02	VYDAJ	VYBER	5700	126493	\N	\N	\N
662757	2262	1998-01-14	VYDAJ	VYBER	4200	33393	\N	\N	\N
662758	2262	1997-05-06	VYDAJ	VYBER	12600	56846	\N	\N	\N
662760	2262	1997-05-11	VYDAJ	VYBER	11100	27646	\N	\N	\N
662762	2262	1997-10-21	VYDAJ	VYBER	6600	51971	\N	\N	\N
662765	2262	1997-12-11	VYDAJ	VYBER	6900	26386	\N	\N	\N
662767	2262	1998-12-23	VYDAJ	VYBER	4200	100633	\N	\N	\N
662768	2262	1998-05-23	VYDAJ	VYBER KARTOU	2100	72220	\N	\N	0
662769	2262	1998-06-03	VYDAJ	VYBER	7800	29636	\N	\N	\N
662776	2262	1997-04-30	VYDAJ	VYBER	15	106746	SLUZBY	\N	\N
662777	2262	1997-05-31	VYDAJ	VYBER	15	24133	SLUZBY	\N	\N
662778	2262	1997-06-30	VYDAJ	VYBER	15	74796	SLUZBY	\N	\N
662779	2262	1997-07-31	VYDAJ	VYBER	15	53598	SLUZBY	\N	\N
662780	2262	1997-08-31	VYDAJ	VYBER	15	30936	SLUZBY	\N	\N
662781	2262	1997-09-30	VYDAJ	VYBER	15	66260	SLUZBY	\N	\N
662782	2262	1997-10-31	VYDAJ	VYBER	15	45890	SLUZBY	\N	\N
662783	2262	1997-11-30	VYDAJ	VYBER	15	62486	SLUZBY	\N	\N
662784	2262	1997-12-31	VYDAJ	VYBER	15	83045	SLUZBY	\N	\N
662785	2262	1998-01-31	VYDAJ	VYBER	15	65606	SLUZBY	\N	\N
662786	2262	1998-02-28	VYDAJ	VYBER	15	96296	SLUZBY	\N	\N
662787	2262	1998-03-31	VYDAJ	VYBER	15	97098	SLUZBY	\N	\N
662788	2262	1998-04-30	VYDAJ	VYBER	15	91272	SLUZBY	\N	\N
662789	2262	1998-05-31	VYDAJ	VYBER	15	62936	SLUZBY	\N	\N
662790	2262	1998-06-30	VYDAJ	VYBER	15	72878	SLUZBY	\N	\N
662791	2262	1998-07-31	VYDAJ	VYBER	15	67919	SLUZBY	\N	\N
662792	2262	1998-08-31	VYDAJ	VYBER	15	68406	SLUZBY	\N	\N
662793	2262	1998-09-30	VYDAJ	VYBER	15	107524	SLUZBY	\N	\N
662794	2262	1998-10-31	VYDAJ	VYBER	15	75712	SLUZBY	\N	\N
662795	2262	1998-11-30	VYDAJ	VYBER	15	94157	SLUZBY	\N	\N
662796	2262	1997-03-10	PRIJEM	VKLAD	6300	24472	\N	\N	\N
662797	2262	1997-04-09	VYDAJ	VYBER	4100	31726	\N	\N	\N
662798	2262	1997-04-30	VYDAJ	VYBER	37300	69446	\N	\N	\N
662799	2262	1997-05-09	VYDAJ	VYBER	18100	38746	\N	\N	\N
662800	2262	1997-06-08	VYDAJ	VYBER	700	23433	\N	\N	\N
662801	2262	1997-07-08	VYDAJ	VYBER	27400	47396	\N	\N	\N
662802	2262	1997-08-07	VYDAJ	VYBER	17300	36298	\N	\N	\N
662803	2262	1997-09-06	VYDAJ	VYBER	6200	24736	\N	\N	\N
662804	2262	1997-10-06	VYDAJ	VYBER	42600	58571	\N	\N	\N
662805	2262	1997-11-05	VYDAJ	VYBER	16900	28990	\N	\N	\N
662806	2262	1997-12-05	VYDAJ	VYBER	23500	33286	\N	\N	\N
662807	2262	1997-12-30	VYDAJ	VYBER	58400	82746	\N	\N	\N
662808	2262	1998-01-02	VYDAJ	VYBER	38200	88293	\N	\N	\N
662809	2262	1998-01-04	VYDAJ	VYBER	39300	48993	\N	\N	\N
662810	2262	1998-02-03	VYDAJ	VYBER	26200	39406	\N	\N	\N
662811	2262	1998-03-05	VYDAJ	VYBER	39500	56796	\N	\N	\N
662812	2262	1998-04-04	VYDAJ	VYBER	45000	52098	\N	\N	\N
662813	2262	1998-04-30	VYDAJ	VYBER	19100	91287	\N	\N	\N
662814	2262	1998-05-03	VYDAJ	VYBER	23400	83617	\N	\N	\N
662815	2262	1998-05-04	VYDAJ	VYBER	39300	44317	\N	\N	\N
662816	2262	1998-06-03	VYDAJ	VYBER	25500	37436	\N	\N	\N
662817	2262	1998-07-03	VYDAJ	VYBER	36100	36778	\N	\N	\N
662818	2262	1998-08-02	VYDAJ	VYBER	50100	54066	\N	\N	\N
662819	2262	1998-08-16	VYDAJ	VYBER	15600	100837	\N	\N	\N
662820	2262	1998-09-01	VYDAJ	VYBER	35100	33306	\N	\N	\N
662821	2262	1998-10-01	VYDAJ	VYBER	38900	97422	\N	\N	\N
662822	2262	1998-10-01	VYDAJ	VYBER	46400	51022	\N	\N	\N
662823	2262	1998-10-31	VYDAJ	VYBER	39100	75726	\N	\N	\N
662824	2262	1998-10-31	VYDAJ	VYBER	37600	38112	\N	\N	\N
662825	2262	1998-11-30	VYDAJ	VYBER	46700	47457	\N	\N	\N
662826	2262	1998-12-28	VYDAJ	VYBER	28000	110907	\N	\N	\N
662850	2263	1996-03-12	PRIJEM	VKLAD	400	400	\N	\N	\N
662854	2263	1996-04-10	PRIJEM	VKLAD	17637	18037	\N	\N	\N
662855	2263	1996-05-10	PRIJEM	VKLAD	17637	41039	\N	\N	\N
662856	2263	1996-06-10	PRIJEM	VKLAD	26456	58516	\N	\N	\N
662857	2263	1996-07-10	PRIJEM	VKLAD	17637	62624	\N	\N	\N
662858	2263	1996-08-10	PRIJEM	VKLAD	17637	50700	\N	\N	\N
662859	2263	1996-09-10	PRIJEM	VKLAD	17637	47434	\N	\N	\N
662860	2263	1996-10-10	PRIJEM	VKLAD	17637	46338	\N	\N	\N
662861	2263	1996-11-10	PRIJEM	VKLAD	17637	47621	\N	\N	\N
662862	2263	1996-12-10	PRIJEM	VKLAD	26456	57325	\N	\N	\N
662863	2263	1997-01-10	PRIJEM	VKLAD	17637	49855	\N	\N	\N
662864	2263	1997-02-10	PRIJEM	VKLAD	17637	36656	\N	\N	\N
662865	2263	1997-03-10	PRIJEM	VKLAD	17637	44087	\N	\N	\N
662866	2263	1997-04-10	PRIJEM	VKLAD	17637	50872	\N	\N	\N
662867	2263	1997-05-10	PRIJEM	VKLAD	17637	56865	\N	\N	\N
662868	2263	1997-06-10	PRIJEM	VKLAD	26456	63903	\N	\N	\N
662869	2263	1997-07-10	PRIJEM	VKLAD	17637	53180	\N	\N	\N
662870	2263	1997-08-10	PRIJEM	VKLAD	17637	55883	\N	\N	\N
662871	2263	1997-09-10	PRIJEM	VKLAD	17637	55725	\N	\N	\N
662872	2263	1997-10-10	PRIJEM	VKLAD	17637	61139	\N	\N	\N
662873	2263	1997-11-10	PRIJEM	VKLAD	17637	62575	\N	\N	\N
662874	2263	1997-12-10	PRIJEM	VKLAD	26456	70419	\N	\N	\N
662875	2263	1998-01-10	PRIJEM	VKLAD	17637	61695	\N	\N	\N
662876	2263	1998-02-10	PRIJEM	VKLAD	17637	51758	\N	\N	\N
662877	2263	1998-03-10	PRIJEM	VKLAD	17637	56294	\N	\N	\N
662878	2263	1998-04-10	PRIJEM	VKLAD	17637	57010	\N	\N	\N
662879	2263	1998-05-10	PRIJEM	VKLAD	17637	64130	\N	\N	\N
662880	2263	1998-06-10	PRIJEM	VKLAD	26456	75795	\N	\N	\N
662881	2263	1998-07-10	PRIJEM	VKLAD	17637	59238	\N	\N	\N
662882	2263	1998-08-10	PRIJEM	VKLAD	17637	70668	\N	\N	\N
662883	2263	1998-09-10	PRIJEM	VKLAD	17637	77743	\N	\N	\N
662884	2263	1998-10-10	PRIJEM	VKLAD	17637	81046	\N	\N	\N
662885	2263	1998-11-10	PRIJEM	VKLAD	17637	85863	\N	\N	\N
662886	2263	1998-12-10	PRIJEM	VKLAD	26456	97015	\N	\N	\N
662895	2263	1996-09-06	VYDAJ	PREVOD NA UCET	7927	37697	SIPO	AB	68324535
662896	2263	1996-10-06	VYDAJ	PREVOD NA UCET	7927	38001	SIPO	AB	68324535
662897	2263	1996-11-06	VYDAJ	PREVOD NA UCET	7927	38584	SIPO	AB	68324535
662898	2263	1996-12-06	VYDAJ	PREVOD NA UCET	7927	39869	SIPO	AB	68324535
662899	2263	1997-01-06	VYDAJ	PREVOD NA UCET	7927	46238	SIPO	AB	68324535
662900	2263	1997-02-06	VYDAJ	PREVOD NA UCET	7927	19019	SIPO	AB	68324535
662901	2263	1997-03-06	VYDAJ	PREVOD NA UCET	7927	28850	SIPO	AB	68324535
662902	2263	1997-04-06	VYDAJ	PREVOD NA UCET	7927	35235	SIPO	AB	68324535
662903	2263	1997-05-06	VYDAJ	PREVOD NA UCET	7927	43128	SIPO	AB	68324535
662904	2263	1997-06-06	VYDAJ	PREVOD NA UCET	7927	37447	SIPO	AB	68324535
662905	2263	1997-07-06	VYDAJ	PREVOD NA UCET	7927	35543	SIPO	AB	68324535
662906	2263	1997-08-06	VYDAJ	PREVOD NA UCET	7927	38246	SIPO	AB	68324535
662907	2263	1997-09-06	VYDAJ	PREVOD NA UCET	7927	38088	SIPO	AB	68324535
662908	2263	1997-10-06	VYDAJ	PREVOD NA UCET	7927	43502	SIPO	AB	68324535
662909	2263	1997-11-06	VYDAJ	PREVOD NA UCET	7927	44938	SIPO	AB	68324535
662910	2263	1997-12-06	VYDAJ	PREVOD NA UCET	7927	43963	SIPO	AB	68324535
662911	2263	1998-01-06	VYDAJ	PREVOD NA UCET	7927	46338	SIPO	AB	68324535
662912	2263	1998-02-06	VYDAJ	PREVOD NA UCET	7927	34121	SIPO	AB	68324535
662913	2263	1998-03-06	VYDAJ	PREVOD NA UCET	7927	38657	SIPO	AB	68324535
662914	2263	1998-04-06	VYDAJ	PREVOD NA UCET	7927	39373	SIPO	AB	68324535
662915	2263	1998-05-06	VYDAJ	PREVOD NA UCET	7927	46493	SIPO	AB	68324535
662916	2263	1998-06-06	VYDAJ	PREVOD NA UCET	7927	49339	SIPO	AB	68324535
662917	2263	1998-07-06	VYDAJ	PREVOD NA UCET	7927	41601	SIPO	AB	68324535
662918	2263	1998-08-06	VYDAJ	PREVOD NA UCET	7927	53031	SIPO	AB	68324535
662919	2263	1998-09-06	VYDAJ	PREVOD NA UCET	7927	60106	SIPO	AB	68324535
662920	2263	1998-10-06	VYDAJ	PREVOD NA UCET	7927	63409	SIPO	AB	68324535
662921	2263	1998-11-06	VYDAJ	PREVOD NA UCET	7927	68226	SIPO	AB	68324535
662922	2263	1998-12-06	VYDAJ	PREVOD NA UCET	7927	70559	SIPO	AB	68324535
662924	2263	1997-06-29	VYDAJ	VYBER	16160	47743	\N	\N	\N
662925	2263	1998-06-16	VYDAJ	VYBER	30880	44915	\N	\N	\N
662927	2263	1997-01-30	VYDAJ	VYBER	12640	27375	\N	\N	\N
662928	2263	1998-01-21	VYDAJ	VYBER	15840	40935	\N	\N	\N
662929	2263	1996-12-20	VYDAJ	VYBER	3360	53965	\N	\N	\N
662930	2263	1997-12-21	VYDAJ	VYBER	4160	66259	\N	\N	\N
662931	2263	1998-12-23	VYDAJ	VYBER	4160	90555	\N	\N	\N
662938	2263	1997-01-14	VYDAJ	VYBER	600	46975	\N	\N	\N
662939	2263	1997-01-13	VYDAJ	VYBER	2280	47575	\N	\N	\N
662940	2263	1997-01-29	VYDAJ	VYBER	720	40015	\N	\N	\N
662941	2263	1997-01-21	VYDAJ	VYBER	1080	44455	\N	\N	\N
662942	2263	1997-01-08	VYDAJ	VYBER	2520	32218	\N	\N	\N
662943	2263	1997-01-16	VYDAJ	VYBER	1440	45535	\N	\N	\N
662944	2263	1998-01-21	VYDAJ	VYBER	2640	38295	\N	\N	\N
662945	2263	1998-01-13	VYDAJ	VYBER	2520	56775	\N	\N	\N
662946	2263	1998-01-09	VYDAJ	VYBER	1080	44058	\N	\N	\N
662947	2263	1998-01-07	VYDAJ	VYBER	1200	45138	\N	\N	\N
662948	2263	1998-01-12	VYDAJ	VYBER	2400	59295	\N	\N	\N
662949	2263	1998-01-25	VYDAJ	VYBER	2040	36255	\N	\N	\N
662952	2263	1996-08-21	VYDAJ	VYBER	5280	45420	\N	\N	\N
662954	2263	1996-09-24	VYDAJ	VYBER	1680	45754	\N	\N	\N
662956	2263	1997-12-02	VYDAJ	VYBER	5520	51890	\N	\N	\N
662957	2263	1997-08-11	VYDAJ	VYBER	5160	50723	\N	\N	\N
662958	2263	1997-12-25	VYDAJ	VYBER	3240	63019	\N	\N	\N
662959	2263	1997-01-26	VYDAJ	VYBER	3720	40735	\N	\N	\N
662960	2263	1997-03-31	VYDAJ	VYBER	1080	43177	\N	\N	\N
662961	2263	1998-12-12	VYDAJ	VYBER KARTOU	2300	94715	\N	\N	0
662962	2263	1998-11-13	VYDAJ	VYBER KARTOU	700	85163	\N	\N	0
662963	2263	1998-04-05	VYDAJ	VYBER	2400	47300	\N	\N	\N
662964	2263	1998-03-04	VYDAJ	VYBER	1560	46584	\N	\N	\N
662973	2263	1996-08-31	VYDAJ	VYBER	15	45624	SLUZBY	\N	\N
662974	2263	1996-09-30	VYDAJ	VYBER	15	45928	SLUZBY	\N	\N
662975	2263	1996-10-31	VYDAJ	VYBER	15	46511	SLUZBY	\N	\N
662976	2263	1996-11-30	VYDAJ	VYBER	15	47796	SLUZBY	\N	\N
662977	2263	1996-12-31	VYDAJ	VYBER	15	54165	SLUZBY	\N	\N
662978	2263	1997-01-31	VYDAJ	VYBER	15	27546	SLUZBY	\N	\N
662979	2263	1997-02-28	VYDAJ	VYBER	15	36777	SLUZBY	\N	\N
662980	2263	1997-03-31	VYDAJ	VYBER	15	43162	SLUZBY	\N	\N
662981	2263	1997-04-30	VYDAJ	VYBER	15	51055	SLUZBY	\N	\N
662982	2263	1997-05-31	VYDAJ	VYBER	15	57074	SLUZBY	\N	\N
662983	2263	1997-06-30	VYDAJ	VYBER	15	47970	SLUZBY	\N	\N
662984	2263	1997-07-31	VYDAJ	VYBER	15	53373	SLUZBY	\N	\N
662985	2263	1997-08-31	VYDAJ	VYBER	15	50915	SLUZBY	\N	\N
662986	2263	1997-09-30	VYDAJ	VYBER	15	55929	SLUZBY	\N	\N
662987	2263	1997-10-31	VYDAJ	VYBER	15	61365	SLUZBY	\N	\N
662988	2263	1997-11-30	VYDAJ	VYBER	15	62810	SLUZBY	\N	\N
662989	2263	1997-12-31	VYDAJ	VYBER	15	63265	SLUZBY	\N	\N
662990	2263	1998-01-31	VYDAJ	VYBER	15	42048	SLUZBY	\N	\N
662991	2263	1998-02-28	VYDAJ	VYBER	15	51944	SLUZBY	\N	\N
662992	2263	1998-03-31	VYDAJ	VYBER	15	56500	SLUZBY	\N	\N
662993	2263	1998-04-30	VYDAJ	VYBER	15	57220	SLUZBY	\N	\N
662994	2263	1998-05-31	VYDAJ	VYBER	15	57266	SLUZBY	\N	\N
662995	2263	1998-06-30	VYDAJ	VYBER	15	49528	SLUZBY	\N	\N
662996	2263	1998-07-31	VYDAJ	VYBER	15	60958	SLUZBY	\N	\N
662997	2263	1998-08-31	VYDAJ	VYBER	15	68033	SLUZBY	\N	\N
662998	2263	1998-09-30	VYDAJ	VYBER	15	71336	SLUZBY	\N	\N
662999	2263	1998-10-31	VYDAJ	VYBER	15	76153	SLUZBY	\N	\N
663000	2263	1998-11-30	VYDAJ	VYBER	15	78486	SLUZBY	\N	\N
663001	2263	1996-04-11	PRIJEM	VKLAD	5300	23337	\N	\N	\N
663002	2263	1996-05-11	VYDAJ	VYBER	9100	31939	\N	\N	\N
663003	2263	1996-06-10	VYDAJ	VYBER	13700	44816	\N	\N	\N
663004	2263	1996-07-10	VYDAJ	VYBER	18800	43824	\N	\N	\N
663005	2263	1996-08-09	VYDAJ	VYBER	11000	33063	\N	\N	\N
663006	2263	1996-09-08	VYDAJ	VYBER	7900	29797	\N	\N	\N
663007	2263	1996-10-08	VYDAJ	VYBER	9300	28701	\N	\N	\N
663008	2263	1996-11-07	VYDAJ	VYBER	8600	29984	\N	\N	\N
663009	2263	1996-12-07	VYDAJ	VYBER	9000	30869	\N	\N	\N
663010	2263	1997-01-06	VYDAJ	VYBER	11500	34738	\N	\N	\N
663011	2263	1997-02-05	VYDAJ	VYBER	600	26946	\N	\N	\N
663012	2263	1997-03-07	VYDAJ	VYBER	2400	26450	\N	\N	\N
663013	2263	1997-04-06	VYDAJ	VYBER	2000	33235	\N	\N	\N
663014	2263	1997-05-06	VYDAJ	VYBER	3900	39228	\N	\N	\N
663015	2263	1997-06-05	VYDAJ	VYBER	11700	45374	\N	\N	\N
663016	2263	1997-07-05	VYDAJ	VYBER	4500	43470	\N	\N	\N
663017	2263	1997-08-04	VYDAJ	VYBER	7200	46173	\N	\N	\N
663018	2263	1997-09-03	VYDAJ	VYBER	4900	46015	\N	\N	\N
663019	2263	1997-10-03	VYDAJ	VYBER	4500	51429	\N	\N	\N
663020	2263	1997-11-02	VYDAJ	VYBER	8500	52865	\N	\N	\N
663021	2263	1997-12-02	VYDAJ	VYBER	5400	57410	\N	\N	\N
663022	2263	1998-01-01	VYDAJ	VYBER	9000	54265	\N	\N	\N
663023	2263	1998-01-31	PRIJEM	VKLAD	5600	41855	\N	\N	\N
663024	2263	1998-03-02	VYDAJ	VYBER	3800	48144	\N	\N	\N
663025	2263	1998-04-01	VYDAJ	VYBER	6800	49700	\N	\N	\N
663026	2263	1998-05-01	VYDAJ	VYBER	2800	54420	\N	\N	\N
663027	2263	1998-05-31	VYDAJ	VYBER	7100	57281	\N	\N	\N
663028	2263	1998-06-30	PRIJEM	VKLAD	4400	49543	\N	\N	\N
663029	2263	1998-07-30	PRIJEM	VKLAD	1500	60738	\N	\N	\N
663030	2263	1998-08-29	VYDAJ	VYBER KARTOU	2900	67768	\N	\N	0
663031	2263	1998-09-28	VYDAJ	VYBER	6700	71043	\N	\N	\N
663032	2263	1998-10-28	VYDAJ	VYBER	5200	75846	\N	\N	\N
663033	2263	1998-11-27	VYDAJ	VYBER	7000	78163	\N	\N	\N
663067	2264	1996-11-22	PRIJEM	VKLAD	1000	1000	\N	\N	\N
663079	2264	1996-12-14	PRIJEM	PREVOD Z UCTU	4767	5767	DUCHOD	WX	67024993
663080	2264	1997-01-14	PRIJEM	PREVOD Z UCTU	4767	10534	DUCHOD	WX	67024993
663081	2264	1997-02-14	PRIJEM	PREVOD Z UCTU	4767	15301	DUCHOD	WX	67024993
663082	2264	1997-03-14	PRIJEM	PREVOD Z UCTU	4767	20068	DUCHOD	WX	67024993
663083	2264	1997-04-14	PRIJEM	PREVOD Z UCTU	4767	24835	DUCHOD	WX	67024993
663084	2264	1997-05-14	PRIJEM	PREVOD Z UCTU	4767	25494	DUCHOD	WX	67024993
663085	2264	1997-06-14	PRIJEM	PREVOD Z UCTU	4767	24788	DUCHOD	WX	67024993
663086	2264	1997-07-14	PRIJEM	PREVOD Z UCTU	4767	27832	DUCHOD	WX	67024993
663087	2264	1997-08-14	PRIJEM	PREVOD Z UCTU	4767	30886	DUCHOD	WX	67024993
663088	2264	1997-09-14	PRIJEM	PREVOD Z UCTU	4767	33952	DUCHOD	WX	67024993
663089	2264	1997-10-14	PRIJEM	PREVOD Z UCTU	4767	34025	DUCHOD	WX	67024993
663090	2264	1997-11-14	PRIJEM	PREVOD Z UCTU	4767	34298	DUCHOD	WX	67024993
663091	2264	1997-12-14	PRIJEM	PREVOD Z UCTU	4767	36178	DUCHOD	WX	67024993
663092	2264	1998-01-14	PRIJEM	PREVOD Z UCTU	4767	25871	DUCHOD	WX	67024993
663093	2264	1998-02-14	PRIJEM	PREVOD Z UCTU	4767	18696	DUCHOD	WX	67024993
663094	2264	1998-03-14	PRIJEM	PREVOD Z UCTU	4767	18191	DUCHOD	WX	67024993
663095	2264	1998-04-14	PRIJEM	PREVOD Z UCTU	4767	17290	DUCHOD	WX	67024993
663096	2264	1998-05-14	PRIJEM	PREVOD Z UCTU	4767	18383	DUCHOD	WX	67024993
663097	2264	1998-06-14	PRIJEM	PREVOD Z UCTU	4767	21399	DUCHOD	WX	67024993
663098	2264	1998-07-14	PRIJEM	PREVOD Z UCTU	4767	24425	DUCHOD	WX	67024993
663099	2264	1998-08-14	PRIJEM	PREVOD Z UCTU	4767	24980	DUCHOD	WX	67024993
663100	2264	1998-09-14	PRIJEM	PREVOD Z UCTU	4767	27420	DUCHOD	WX	67024993
663101	2264	1998-10-14	PRIJEM	PREVOD Z UCTU	4767	30471	DUCHOD	WX	67024993
663102	2264	1998-11-14	PRIJEM	PREVOD Z UCTU	4767	33535	DUCHOD	WX	67024993
663103	2264	1998-12-14	PRIJEM	PREVOD Z UCTU	4767	35911	DUCHOD	WX	67024993
663120	2264	1997-05-11	VYDAJ	PREVOD NA UCET	1810	20727	SIPO	EF	60699409
663121	2264	1997-06-11	VYDAJ	PREVOD NA UCET	1810	20021	SIPO	EF	60699409
663122	2264	1997-07-11	VYDAJ	PREVOD NA UCET	1810	23065	SIPO	EF	60699409
663123	2264	1997-08-11	VYDAJ	PREVOD NA UCET	1810	26119	SIPO	EF	60699409
663124	2264	1997-09-11	VYDAJ	PREVOD NA UCET	1810	29185	SIPO	EF	60699409
663125	2264	1997-10-11	VYDAJ	PREVOD NA UCET	1810	29258	SIPO	EF	60699409
663126	2264	1997-11-11	VYDAJ	PREVOD NA UCET	1810	29531	SIPO	EF	60699409
663127	2264	1997-12-11	VYDAJ	PREVOD NA UCET	1810	31411	SIPO	EF	60699409
663128	2264	1998-01-11	VYDAJ	PREVOD NA UCET	1810	21104	SIPO	EF	60699409
663129	2264	1998-02-11	VYDAJ	PREVOD NA UCET	1810	13929	SIPO	EF	60699409
663130	2264	1998-03-11	VYDAJ	PREVOD NA UCET	1810	13424	SIPO	EF	60699409
663131	2264	1998-04-11	VYDAJ	PREVOD NA UCET	1810	12523	SIPO	EF	60699409
663132	2264	1998-05-11	VYDAJ	PREVOD NA UCET	1810	13616	SIPO	EF	60699409
663133	2264	1998-06-11	VYDAJ	PREVOD NA UCET	1810	16632	SIPO	EF	60699409
663134	2264	1998-07-11	VYDAJ	PREVOD NA UCET	1810	19658	SIPO	EF	60699409
663135	2264	1998-08-11	VYDAJ	PREVOD NA UCET	1810	20213	SIPO	EF	60699409
663136	2264	1998-09-11	VYDAJ	PREVOD NA UCET	1810	22653	SIPO	EF	60699409
663137	2264	1998-10-11	VYDAJ	PREVOD NA UCET	1810	25704	SIPO	EF	60699409
663138	2264	1998-11-11	VYDAJ	PREVOD NA UCET	1810	28768	SIPO	EF	60699409
663139	2264	1998-12-11	VYDAJ	PREVOD NA UCET	1810	31144	SIPO	EF	60699409
663141	2264	1997-06-10	VYDAJ	VYBER	3750	21831	\N	\N	\N
663145	2264	1998-01-15	VYDAJ	VYBER	2050	23821	\N	\N	\N
663147	2264	1997-12-24	VYDAJ	VYBER	300	29038	\N	\N	\N
663148	2264	1998-12-04	VYDAJ	VYBER	700	32954	\N	\N	\N
663161	2264	1998-01-05	VYDAJ	VYBER	2240	24434	\N	\N	\N
663162	2264	1998-01-10	VYDAJ	VYBER	1520	22914	\N	\N	\N
663163	2264	1998-01-04	VYDAJ	VYBER	1600	26674	\N	\N	\N
663164	2264	1998-01-01	VYDAJ	VYBER	880	28274	\N	\N	\N
663165	2264	1998-01-20	VYDAJ	VYBER	1760	22061	\N	\N	\N
663166	2264	1998-01-26	VYDAJ	VYBER	1760	16541	\N	\N	\N
663172	2264	1997-10-16	VYDAJ	VYBER	2800	31225	\N	\N	\N
663173	2264	1997-04-20	VYDAJ	VYBER	480	24355	\N	\N	\N
663174	2264	1997-04-29	VYDAJ	VYBER	1840	22515	\N	\N	\N
663176	2264	1997-12-14	VYDAJ	VYBER	2640	33538	\N	\N	\N
663177	2264	1997-12-05	VYDAJ	VYBER	1200	33221	\N	\N	\N
663179	2264	1998-07-21	VYDAJ	VYBER	2480	21945	\N	\N	\N
663180	2264	1998-04-04	VYDAJ	VYBER	3920	14333	\N	\N	\N
663181	2264	1998-01-22	VYDAJ	VYBER	3760	18301	\N	\N	\N
663182	2264	1998-02-28	VYDAJ	VYBER	3520	15234	\N	\N	\N
663183	2264	1998-02-05	VYDAJ	VYBER	880	15739	\N	\N	\N
663184	2264	1998-05-07	VYDAJ	VYBER	1920	15426	\N	\N	\N
663201	2264	1997-04-30	VYDAJ	VYBER	15	22537	SLUZBY	\N	\N
663202	2264	1997-05-31	VYDAJ	VYBER	15	25581	SLUZBY	\N	\N
663203	2264	1997-06-30	VYDAJ	VYBER	15	24875	SLUZBY	\N	\N
663204	2264	1997-07-31	VYDAJ	VYBER	15	27929	SLUZBY	\N	\N
663205	2264	1997-08-31	VYDAJ	VYBER	15	30995	SLUZBY	\N	\N
663206	2264	1997-09-30	VYDAJ	VYBER	15	31068	SLUZBY	\N	\N
663207	2264	1997-10-31	VYDAJ	VYBER	15	31341	SLUZBY	\N	\N
663208	2264	1997-11-30	VYDAJ	VYBER	15	34421	SLUZBY	\N	\N
663209	2264	1997-12-31	VYDAJ	VYBER	15	29154	SLUZBY	\N	\N
663210	2264	1998-01-31	VYDAJ	VYBER	15	16619	SLUZBY	\N	\N
663211	2264	1998-02-28	VYDAJ	VYBER	15	18754	SLUZBY	\N	\N
663212	2264	1998-03-31	VYDAJ	VYBER	15	18253	SLUZBY	\N	\N
663213	2264	1998-04-30	VYDAJ	VYBER	15	17346	SLUZBY	\N	\N
663214	2264	1998-05-31	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
663215	2264	1998-06-30	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
663216	2264	1998-07-31	VYDAJ	VYBER	15	22023	SLUZBY	\N	\N
663217	2264	1998-08-31	VYDAJ	VYBER	15	24463	SLUZBY	\N	\N
663218	2264	1998-09-30	VYDAJ	VYBER	15	27514	SLUZBY	\N	\N
663219	2264	1998-10-31	VYDAJ	VYBER	15	30578	SLUZBY	\N	\N
663220	2264	1998-11-30	VYDAJ	VYBER	15	33654	SLUZBY	\N	\N
663221	2264	1997-09-18	VYDAJ	VYBER	3000	30952	\N	\N	\N
663222	2264	1997-12-17	VYDAJ	VYBER	4200	29338	\N	\N	\N
663223	2264	1998-08-14	VYDAJ	VYBER	600	24380	\N	\N	\N
663245	2265	1995-08-03	PRIJEM	VKLAD	700	700	\N	\N	\N
663252	2265	1995-12-09	PRIJEM	VKLAD	15350	63049	\N	\N	\N
663253	2265	1995-12-28	PRIJEM	VKLAD	6722	69771	\N	\N	\N
663254	2265	1995-11-30	PRIJEM	VKLAD	30986	75116	\N	\N	\N
663255	2265	1995-10-25	PRIJEM	VKLAD	19143	67727	\N	\N	\N
663256	2265	1995-10-21	PRIJEM	VKLAD	23090	48584	\N	\N	\N
663260	2265	1995-08-12	PRIJEM	VKLAD	41306	42006	\N	\N	\N
663264	2265	1996-05-28	PRIJEM	VKLAD	23854	30424	\N	\N	\N
663265	2265	1996-10-31	PRIJEM	VKLAD	49129	53981	\N	\N	\N
663266	2265	1996-02-04	PRIJEM	VKLAD	49240	66561	\N	\N	\N
663267	2265	1996-08-03	PRIJEM	VKLAD	6482	12465	\N	\N	\N
663268	2265	1996-01-24	PRIJEM	VKLAD	15334	37664	\N	\N	\N
663269	2265	1996-11-19	PRIJEM	VKLAD	15556	69522	\N	\N	\N
663270	2265	1996-09-08	PRIJEM	VKLAD	45075	57550	\N	\N	\N
663271	2265	1997-07-04	PRIJEM	VKLAD	11550	58018	\N	\N	\N
663272	2265	1997-03-23	PRIJEM	VKLAD	45513	111671	\N	\N	\N
663273	2265	1997-03-13	PRIJEM	VKLAD	47045	110425	\N	\N	\N
663274	2265	1997-03-09	PRIJEM	VKLAD	46123	63380	\N	\N	\N
663275	2265	1997-08-31	PRIJEM	VKLAD	17926	54914	\N	\N	\N
663276	2265	1997-09-05	PRIJEM	VKLAD	12584	67484	\N	\N	\N
663277	2265	1997-06-25	PRIJEM	VKLAD	17919	46273	\N	\N	\N
663278	2265	1997-05-28	PRIJEM	VKLAD	29067	74098	\N	\N	\N
663279	2265	1997-07-29	PRIJEM	VKLAD	45170	95303	\N	\N	\N
663280	2265	1997-05-30	PRIJEM	VKLAD	39510	113608	\N	\N	\N
663281	2265	1997-01-09	PRIJEM	VKLAD	5761	43583	\N	\N	\N
663282	2265	1997-12-26	PRIJEM	VKLAD	14264	22295	\N	\N	\N
663283	2265	1997-01-20	PRIJEM	VKLAD	43472	122224	\N	\N	\N
663284	2265	1997-10-20	PRIJEM	VKLAD	37982	87559	\N	\N	\N
663285	2265	1997-04-24	PRIJEM	VKLAD	25800	97460	\N	\N	\N
663286	2265	1997-04-19	PRIJEM	VKLAD	48757	77360	\N	\N	\N
663287	2265	1997-05-18	PRIJEM	VKLAD	31222	111131	\N	\N	\N
663288	2265	1997-04-29	PRIJEM	VKLAD	38519	93379	\N	\N	\N
663289	2265	1997-07-13	PRIJEM	VKLAD	37715	85433	\N	\N	\N
663290	2265	1997-01-12	PRIJEM	VKLAD	39669	83252	\N	\N	\N
663291	2265	1997-10-08	PRIJEM	VKLAD	27515	49577	\N	\N	\N
663292	2265	1997-01-07	PRIJEM	VKLAD	32971	37822	\N	\N	\N
663293	2265	1997-01-28	PRIJEM	VKLAD	13139	63463	\N	\N	\N
663294	2265	1998-07-19	PRIJEM	VKLAD	36819	77829	\N	\N	\N
663295	2265	1998-10-27	PRIJEM	VKLAD	46271	68529	\N	\N	\N
663296	2265	1998-12-16	PRIJEM	VKLAD	5135	50104	\N	\N	\N
663297	2265	1998-08-28	PRIJEM	VKLAD	6609	35454	\N	\N	\N
663298	2265	1998-09-05	PRIJEM	VKLAD	12687	48392	\N	\N	\N
663299	2265	1998-12-12	PRIJEM	VKLAD	25122	94169	\N	\N	\N
663300	2265	1998-06-18	PRIJEM	VKLAD	49152	72816	\N	\N	\N
663301	2265	1998-07-28	PRIJEM	VKLAD	37013	114842	\N	\N	\N
663302	2265	1998-05-15	PRIJEM	VKLAD	9504	56001	\N	\N	\N
663303	2265	1998-03-28	PRIJEM	VKLAD	25168	62197	\N	\N	\N
663304	2265	1998-11-09	PRIJEM	VKLAD	37841	89367	\N	\N	\N
663305	2265	1998-03-03	PRIJEM	VKLAD	9609	91186	\N	\N	\N
663306	2265	1998-02-07	PRIJEM	VKLAD	27467	65175	\N	\N	\N
663307	2265	1998-01-28	PRIJEM	VKLAD	48191	63644	\N	\N	\N
663308	2265	1998-07-29	PRIJEM	VKLAD	32218	147060	\N	\N	\N
663309	2265	1998-05-04	PRIJEM	VKLAD	23562	56397	\N	\N	\N
663310	2265	1998-11-17	PRIJEM	VKLAD	14041	55208	\N	\N	\N
663311	2265	1998-06-24	PRIJEM	VKLAD	26360	72976	\N	\N	\N
663312	2265	1998-10-25	PRIJEM	VKLAD	6818	22258	\N	\N	\N
663313	2265	1998-11-08	PRIJEM	VKLAD	29673	51526	\N	\N	\N
663314	2265	1998-09-21	PRIJEM	VKLAD	21453	43045	\N	\N	\N
663315	2265	1998-08-13	PRIJEM	VKLAD	24736	109378	\N	\N	\N
663316	2265	1998-01-16	PRIJEM	VKLAD	7190	15453	\N	\N	\N
663317	2265	1998-11-23	PRIJEM	VKLAD	32888	88096	\N	\N	\N
663318	2265	1998-03-01	PRIJEM	VKLAD	49199	81577	\N	\N	\N
663319	2265	1998-04-15	PRIJEM	VKLAD	38772	89593	\N	\N	\N
663320	2265	1998-06-25	PRIJEM	VKLAD	37399	110375	\N	\N	\N
663333	2265	1995-12-31	VYDAJ	VYBER	14200	30445	SIPO	\N	0
663334	2265	1996-02-06	VYDAJ	VYBER	10100	37245	SIPO	\N	0
663335	2265	1996-03-12	VYDAJ	VYBER	10200	16386	SIPO	\N	0
663336	2265	1996-04-01	VYDAJ	VYBER	9200	6521	SIPO	\N	0
663338	2265	1996-06-03	VYDAJ	VYBER	10900	13644	SIPO	\N	0
663339	2265	1996-07-07	VYDAJ	VYBER	11200	5928	SIPO	\N	0
663342	2265	1996-10-13	VYDAJ	VYBER	13300	15742	SIPO	\N	0
663343	2265	1996-10-27	VYDAJ	VYBER	11000	4742	SIPO	\N	0
663344	2265	1996-12-02	VYDAJ	VYBER	12400	28520	SIPO	\N	0
663345	2265	1996-12-30	VYDAJ	VYBER	14500	4720	SIPO	\N	0
663346	2265	1997-02-03	VYDAJ	VYBER	10600	17158	SIPO	\N	0
663347	2265	1997-03-13	VYDAJ	VYBER	13200	97225	SIPO	\N	0
663348	2265	1997-04-13	VYDAJ	VYBER	11800	28603	SIPO	\N	0
663349	2265	1997-05-01	VYDAJ	VYBER	13700	79909	SIPO	\N	0
663350	2265	1997-05-27	VYDAJ	VYBER	9500	45031	SIPO	\N	0
663351	2265	1997-07-09	VYDAJ	VYBER	10300	47718	SIPO	\N	0
663352	2265	1997-08-02	VYDAJ	VYBER	13600	81956	SIPO	\N	0
663353	2265	1997-08-30	VYDAJ	VYBER	11000	36656	SIPO	\N	0
663354	2265	1997-09-30	VYDAJ	VYBER	11900	22077	SIPO	\N	0
663355	2265	1997-11-14	VYDAJ	VYBER	12900	24706	SIPO	\N	0
663356	2265	1997-12-11	VYDAJ	VYBER	11800	8031	SIPO	\N	0
663357	2265	1998-01-01	VYDAJ	VYBER	14100	8263	SIPO	\N	0
663358	2265	1998-02-06	VYDAJ	VYBER	10900	37708	SIPO	\N	0
663359	2265	1998-03-06	VYDAJ	VYBER	9100	71061	SIPO	\N	0
663360	2265	1998-04-12	VYDAJ	VYBER	11600	50821	SIPO	\N	0
663361	2265	1998-05-06	VYDAJ	VYBER	9900	46497	SIPO	\N	0
663362	2265	1998-05-29	VYDAJ	VYBER	12600	23501	SIPO	\N	0
663363	2265	1998-06-26	VYDAJ	VYBER	14900	93375	SIPO	\N	0
663364	2265	1998-08-13	VYDAJ	VYBER	14300	95078	SIPO	\N	0
663365	2265	1998-09-12	VYDAJ	VYBER	14600	33792	SIPO	\N	0
663366	2265	1998-10-02	VYDAJ	VYBER	14000	29175	SIPO	\N	0
663367	2265	1998-11-02	VYDAJ	VYBER	11700	21853	SIPO	\N	0
663368	2265	1998-12-11	VYDAJ	VYBER	13900	69047	SIPO	\N	0
663371	2265	1996-02-04	VYBER	VYBER	19216	47345	\N	\N	\N
663376	2265	1996-09-22	VYBER	VYBER	10051	43242	\N	\N	\N
663379	2265	1996-01-28	VYBER	VYBER	19452	18212	\N	\N	\N
663381	2265	1996-09-16	VYBER	VYBER	4257	53293	\N	\N	\N
663383	2265	1997-11-04	VYBER	VYBER	12178	37606	\N	\N	\N
663384	2265	1997-03-16	VYBER	VYBER	22367	74858	\N	\N	\N
663385	2265	1997-03-24	VYBER	VYBER	10348	69723	\N	\N	\N
663388	2265	1997-01-31	VYBER	VYBER	23003	27773	\N	\N	\N
663390	2265	1998-02-02	VYBER	VYBER	15123	48608	\N	\N	\N
663391	2265	1998-02-11	VYBER	VYBER	9783	55392	\N	\N	\N
663392	2265	1998-03-05	VYBER	VYBER	11025	80161	\N	\N	\N
663393	2265	1998-07-31	VYBER	VYBER	17468	84657	\N	\N	\N
663394	2265	1998-07-16	VYBER	VYBER	21354	72210	\N	\N	\N
663396	2265	1998-05-03	VYBER	VYBER	20501	32835	\N	\N	\N
663398	2265	1998-03-13	VYBER	VYBER	9832	61229	\N	\N	\N
663399	2265	1998-08-21	VYBER	VYBER	19343	28845	\N	\N	\N
663400	2265	1998-10-03	VYBER	VYBER	13735	15440	\N	\N	\N
663401	2265	1998-08-19	VYBER	VYBER	4890	48188	\N	\N	\N
663403	2265	1998-10-29	VYBER	VYBER	24856	43673	\N	\N	\N
663411	2265	1998-12-06	VYDAJ	VYBER	5400	82947	\N	\N	\N
663419	2265	1996-01-29	VYDAJ	VYBER	1500	16712	\N	\N	\N
663423	2265	1996-01-05	VYDAJ	VYBER	8100	22330	\N	\N	\N
663425	2265	1997-01-17	VYDAJ	VYBER	2100	78752	\N	\N	\N
663426	2265	1997-01-28	VYDAJ	VYBER	5100	58363	\N	\N	\N
663428	2265	1997-01-17	VYDAJ	VYBER	2400	80852	\N	\N	\N
663429	2265	1997-01-28	VYDAJ	VYBER	7800	50563	\N	\N	\N
663444	2265	1997-09-12	VYDAJ	VYBER	14700	52784	\N	\N	\N
663445	2265	1997-04-21	VYDAJ	VYBER	5700	71660	\N	\N	\N
663446	2265	1997-05-19	VYDAJ	VYBER	4500	106631	\N	\N	\N
663447	2265	1997-03-20	VYDAJ	VYBER	8700	66158	\N	\N	\N
663448	2265	1997-01-22	VYDAJ	VYBER	2100	84724	\N	\N	\N
663451	2265	1998-06-25	VYDAJ	VYBER	2100	108275	\N	\N	\N
663452	2265	1998-12-23	VYDAJ	VYBER	1500	48604	\N	\N	\N
663453	2265	1998-10-29	VYDAJ	VYBER	10200	33473	\N	\N	\N
663466	2265	1995-12-31	VYDAJ	VYBER	15	30430	SLUZBY	\N	\N
663467	2265	1996-01-31	VYDAJ	VYBER	15	17321	SLUZBY	\N	\N
663468	2265	1996-02-29	VYDAJ	VYBER	15	26586	SLUZBY	\N	\N
663469	2265	1996-03-31	VYDAJ	VYBER	15	15721	SLUZBY	\N	\N
663470	2265	1996-04-30	VYDAJ	VYBER	15	6570	SLUZBY	\N	\N
663471	2265	1996-05-31	VYDAJ	VYBER	15	24544	SLUZBY	\N	\N
663472	2265	1996-06-30	VYDAJ	VYBER	15	17128	SLUZBY	\N	\N
663473	2265	1996-07-31	VYDAJ	VYBER	15	5983	SLUZBY	\N	\N
663474	2265	1996-08-31	VYDAJ	VYBER	15	12475	SLUZBY	\N	\N
663475	2265	1996-09-30	VYDAJ	VYBER	15	29042	SLUZBY	\N	\N
663476	2265	1996-10-31	VYDAJ	VYBER	15	53966	SLUZBY	\N	\N
663477	2265	1996-11-30	VYDAJ	VYBER	15	40920	SLUZBY	\N	\N
663478	2265	1996-12-31	VYDAJ	VYBER	15	4851	SLUZBY	\N	\N
663479	2265	1997-01-31	VYDAJ	VYBER	15	27758	SLUZBY	\N	\N
663480	2265	1997-02-28	VYDAJ	VYBER	15	17257	SLUZBY	\N	\N
663481	2265	1997-03-31	VYDAJ	VYBER	15	40403	SLUZBY	\N	\N
663482	2265	1997-04-30	VYDAJ	VYBER	15	93609	SLUZBY	\N	\N
663483	2265	1997-05-31	VYDAJ	VYBER	15	51654	SLUZBY	\N	\N
663484	2265	1997-06-30	VYDAJ	VYBER	15	46468	SLUZBY	\N	\N
663485	2265	1997-07-31	VYDAJ	VYBER	15	95556	SLUZBY	\N	\N
663486	2265	1997-08-31	VYDAJ	VYBER	15	54900	SLUZBY	\N	\N
663487	2265	1997-09-30	VYDAJ	VYBER	15	22062	SLUZBY	\N	\N
663488	2265	1997-10-31	VYDAJ	VYBER	15	49784	SLUZBY	\N	\N
663489	2265	1997-11-30	VYDAJ	VYBER	15	19831	SLUZBY	\N	\N
663490	2265	1997-12-31	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
663491	2265	1998-01-31	VYDAJ	VYBER	15	63731	SLUZBY	\N	\N
663492	2265	1998-02-28	VYDAJ	VYBER	15	32378	SLUZBY	\N	\N
663493	2265	1998-03-31	VYDAJ	VYBER	15	62421	SLUZBY	\N	\N
663494	2265	1998-04-30	VYDAJ	VYBER	15	53336	SLUZBY	\N	\N
663495	2265	1998-05-31	VYDAJ	VYBER	15	23664	SLUZBY	\N	\N
663496	2265	1998-06-30	VYDAJ	VYBER	15	93564	SLUZBY	\N	\N
663497	2265	1998-07-31	VYDAJ	VYBER	15	84642	SLUZBY	\N	\N
663498	2265	1998-08-31	VYDAJ	VYBER	15	35705	SLUZBY	\N	\N
663499	2265	1998-09-30	VYDAJ	VYBER	15	43175	SLUZBY	\N	\N
663500	2265	1998-10-31	VYDAJ	VYBER	15	33553	SLUZBY	\N	\N
663501	2265	1998-11-30	VYDAJ	VYBER	15	88347	SLUZBY	\N	\N
663502	2265	1995-09-02	VYDAJ	VYBER	9700	32419	\N	\N	\N
663503	2265	1995-10-02	VYDAJ	VYBER	7100	25494	\N	\N	\N
663504	2265	1995-11-01	VYDAJ	VYBER	23800	44130	\N	\N	\N
663505	2265	1995-12-01	VYDAJ	VYBER	27700	47699	\N	\N	\N
663506	2265	1995-12-31	VYDAJ	VYBER	25400	44645	\N	\N	\N
663507	2265	1996-01-30	PRIJEM	VKLAD	500	17212	\N	\N	\N
663508	2265	1996-02-29	VYDAJ	VYBER	10800	26600	\N	\N	\N
663509	2265	1996-03-30	VYDAJ	VYBER	800	15586	\N	\N	\N
663510	2265	1996-05-29	VYDAJ	VYBER	5900	24524	\N	\N	\N
663511	2265	1996-06-28	PRIJEM	VKLAD	3400	17044	\N	\N	\N
663512	2265	1996-09-26	VYDAJ	VYBER	14300	28942	\N	\N	\N
663513	2265	1996-11-25	VYDAJ	VYBER	28800	40722	\N	\N	\N
663514	2265	1996-12-25	VYDAJ	VYBER	9300	19220	\N	\N	\N
663515	2265	1997-01-20	VYDAJ	VYBER	35400	86824	\N	\N	\N
663516	2265	1997-01-24	VYDAJ	VYBER	34400	50324	\N	\N	\N
663517	2265	1997-03-23	VYDAJ	VYBER	31600	80071	\N	\N	\N
663518	2265	1997-03-25	VYDAJ	VYBER	29500	40223	\N	\N	\N
663519	2265	1997-04-24	VYDAJ	VYBER	42600	54860	\N	\N	\N
663520	2265	1997-05-24	VYDAJ	VYBER	52100	54531	\N	\N	\N
663521	2265	1997-05-30	VYDAJ	VYBER	62300	51308	\N	\N	\N
663522	2265	1997-06-23	VYDAJ	VYBER	23300	28354	\N	\N	\N
663523	2265	1997-07-23	VYDAJ	VYBER	35300	50133	\N	\N	\N
663524	2265	1997-08-22	VYDAJ	VYBER	34300	47656	\N	\N	\N
663525	2265	1997-09-21	VYDAJ	VYBER	19000	33784	\N	\N	\N
663526	2265	1997-10-21	VYDAJ	VYBER	37900	49659	\N	\N	\N
663527	2265	1997-11-20	VYDAJ	VYBER	5000	19706	\N	\N	\N
663528	2265	1998-02-18	VYDAJ	VYBER	23200	32192	\N	\N	\N
663529	2265	1998-03-20	VYDAJ	VYBER	24200	37029	\N	\N	\N
663530	2265	1998-04-19	VYDAJ	VYBER	36500	53093	\N	\N	\N
663531	2265	1998-05-19	VYDAJ	VYBER	19900	36101	\N	\N	\N
663532	2265	1998-06-18	VYDAJ	VYBER	26200	46616	\N	\N	\N
663533	2265	1998-07-18	VYDAJ	VYBER	31200	41010	\N	\N	\N
663534	2265	1998-07-29	VYDAJ	VYBER	45300	101760	\N	\N	\N
663535	2265	1998-08-17	VYDAJ	VYBER	42000	53078	\N	\N	\N
663536	2265	1998-09-16	VYDAJ	VYBER	12200	21592	\N	\N	\N
663537	2265	1998-11-15	VYDAJ	VYBER	48200	41167	\N	\N	\N
663538	2265	1998-12-15	VYDAJ	VYBER	49200	44969	\N	\N	\N
663582	2266	1996-07-19	PRIJEM	VKLAD	600	600	\N	\N	\N
663590	2266	1996-08-07	PRIJEM	VKLAD	16976	17576	\N	\N	\N
663591	2266	1996-09-07	PRIJEM	VKLAD	16976	38092	\N	\N	\N
663592	2266	1996-10-07	PRIJEM	VKLAD	16976	50179	\N	\N	\N
663593	2266	1996-11-07	PRIJEM	VKLAD	16976	55704	\N	\N	\N
663594	2266	1996-12-07	PRIJEM	VKLAD	25464	69640	\N	\N	\N
663595	2266	1997-01-07	PRIJEM	VKLAD	16976	69302	\N	\N	\N
663596	2266	1997-02-07	PRIJEM	VKLAD	16976	68579	\N	\N	\N
663597	2266	1997-03-07	PRIJEM	VKLAD	16976	66551	\N	\N	\N
663598	2266	1997-04-07	PRIJEM	VKLAD	16976	63712	\N	\N	\N
663599	2266	1997-05-07	PRIJEM	VKLAD	16976	55658	\N	\N	\N
663600	2266	1997-06-07	PRIJEM	VKLAD	25464	60082	\N	\N	\N
663601	2266	1997-07-07	PRIJEM	VKLAD	16976	58303	\N	\N	\N
663602	2266	1997-08-07	PRIJEM	VKLAD	16976	58036	\N	\N	\N
663603	2266	1997-09-07	PRIJEM	VKLAD	16976	56564	\N	\N	\N
663604	2266	1997-10-07	PRIJEM	VKLAD	16976	61102	\N	\N	\N
663605	2266	1997-11-07	PRIJEM	VKLAD	16976	51045	\N	\N	\N
663606	2266	1997-12-07	PRIJEM	VKLAD	25464	63435	\N	\N	\N
663607	2266	1998-01-07	PRIJEM	VKLAD	16976	66001	\N	\N	\N
663608	2266	1998-02-07	PRIJEM	VKLAD	16976	55141	\N	\N	\N
663609	2266	1998-03-07	PRIJEM	VKLAD	16976	64095	\N	\N	\N
663610	2266	1998-04-07	PRIJEM	VKLAD	16976	65155	\N	\N	\N
663611	2266	1998-05-07	PRIJEM	VKLAD	16976	65818	\N	\N	\N
663612	2266	1998-06-07	PRIJEM	VKLAD	25464	70659	\N	\N	\N
663613	2266	1998-07-07	PRIJEM	VKLAD	16976	69330	\N	\N	\N
663614	2266	1998-08-07	PRIJEM	VKLAD	16976	63356	\N	\N	\N
663615	2266	1998-09-07	PRIJEM	VKLAD	16976	69830	\N	\N	\N
663616	2266	1998-10-07	PRIJEM	VKLAD	16976	68406	\N	\N	\N
663617	2266	1998-11-07	PRIJEM	VKLAD	16976	59536	\N	\N	\N
663618	2266	1998-12-07	PRIJEM	VKLAD	25464	74823	\N	\N	\N
663620	2266	1997-12-05	VYDAJ	VYBER	1280	37971	\N	\N	\N
663621	2266	1998-12-14	VYDAJ	VYBER	4320	70503	\N	\N	\N
663625	2266	1997-10-07	VYDAJ	VYBER	3720	57382	\N	\N	\N
663626	2266	1997-10-26	VYDAJ	VYBER	4200	33902	\N	\N	\N
663627	2266	1997-12-04	VYDAJ	VYBER	2040	39251	\N	\N	\N
663628	2266	1997-05-28	VYDAJ	VYBER	1680	34478	\N	\N	\N
663629	2266	1997-10-23	VYDAJ	VYBER	5880	38102	\N	\N	\N
663630	2266	1997-04-29	VYDAJ	VYBER	4200	38512	\N	\N	\N
663631	2266	1998-10-14	VYDAJ	VYBER	5640	48466	\N	\N	\N
663632	2266	1998-01-22	VYDAJ	VYBER	3960	46141	\N	\N	\N
663633	2266	1998-01-28	VYDAJ	VYBER	4920	41221	\N	\N	\N
663634	2266	1998-07-19	VYDAJ	VYBER	5040	46190	\N	\N	\N
663635	2266	1998-02-01	VYDAJ	VYBER	3240	38165	\N	\N	\N
663648	2266	1996-12-31	VYDAJ	VYBER	15	52326	SLUZBY	\N	\N
663649	2266	1997-01-31	VYDAJ	VYBER	15	51603	SLUZBY	\N	\N
663650	2266	1997-02-28	VYDAJ	VYBER	15	49575	SLUZBY	\N	\N
663651	2266	1997-03-31	VYDAJ	VYBER	15	46736	SLUZBY	\N	\N
663652	2266	1997-04-30	VYDAJ	VYBER	15	38682	SLUZBY	\N	\N
663653	2266	1997-05-31	VYDAJ	VYBER	15	34618	SLUZBY	\N	\N
663654	2266	1997-06-30	VYDAJ	VYBER	15	41327	SLUZBY	\N	\N
663655	2266	1997-07-31	VYDAJ	VYBER	15	41060	SLUZBY	\N	\N
663656	2266	1997-08-31	VYDAJ	VYBER	15	39588	SLUZBY	\N	\N
663657	2266	1997-09-30	VYDAJ	VYBER	15	44126	SLUZBY	\N	\N
663658	2266	1997-10-31	VYDAJ	VYBER	15	34069	SLUZBY	\N	\N
663659	2266	1997-11-30	VYDAJ	VYBER	15	41291	SLUZBY	\N	\N
663660	2266	1997-12-31	VYDAJ	VYBER	15	49025	SLUZBY	\N	\N
663661	2266	1998-01-31	VYDAJ	VYBER	15	41405	SLUZBY	\N	\N
663662	2266	1998-02-28	VYDAJ	VYBER	15	47119	SLUZBY	\N	\N
663663	2266	1998-03-31	VYDAJ	VYBER	15	48179	SLUZBY	\N	\N
663664	2266	1998-04-30	VYDAJ	VYBER	15	48842	SLUZBY	\N	\N
663665	2266	1998-05-31	VYDAJ	VYBER	15	45195	SLUZBY	\N	\N
663666	2266	1998-06-30	VYDAJ	VYBER	15	52354	SLUZBY	\N	\N
663667	2266	1998-07-31	VYDAJ	VYBER	15	46380	SLUZBY	\N	\N
663668	2266	1998-08-31	VYDAJ	VYBER	15	52854	SLUZBY	\N	\N
663669	2266	1998-09-30	VYDAJ	VYBER	15	51430	SLUZBY	\N	\N
663670	2266	1998-10-31	VYDAJ	VYBER	15	48660	SLUZBY	\N	\N
663671	2266	1998-11-30	VYDAJ	VYBER	15	59759	SLUZBY	\N	\N
663672	2266	1996-08-18	PRIJEM	VKLAD	3500	21076	\N	\N	\N
663673	2266	1996-09-17	VYDAJ	VYBER	5000	33092	\N	\N	\N
663674	2266	1996-10-17	VYDAJ	VYBER	11600	38579	\N	\N	\N
663675	2266	1996-11-16	VYDAJ	VYBER	11700	44004	\N	\N	\N
663676	2266	1996-12-16	VYDAJ	VYBER	17500	52140	\N	\N	\N
663677	2266	1997-01-15	VYDAJ	VYBER	17900	51402	\N	\N	\N
663678	2266	1997-02-14	VYDAJ	VYBER	19200	49379	\N	\N	\N
663679	2266	1997-03-16	VYDAJ	VYBER	20000	46551	\N	\N	\N
663680	2266	1997-04-15	VYDAJ	VYBER	21000	42712	\N	\N	\N
663681	2266	1997-05-15	VYDAJ	VYBER	19500	36158	\N	\N	\N
663682	2266	1997-06-14	VYDAJ	VYBER	18900	41182	\N	\N	\N
663683	2266	1997-07-14	VYDAJ	VYBER	17400	40903	\N	\N	\N
663684	2266	1997-08-13	VYDAJ	VYBER	18600	39436	\N	\N	\N
663685	2266	1997-09-12	VYDAJ	VYBER	12600	43964	\N	\N	\N
663686	2266	1997-10-12	VYDAJ	VYBER	13400	43982	\N	\N	\N
663687	2266	1997-11-11	VYDAJ	VYBER	9900	41145	\N	\N	\N
663688	2266	1997-12-11	VYDAJ	VYBER	14600	48835	\N	\N	\N
663689	2266	1998-01-10	VYDAJ	VYBER	15900	50101	\N	\N	\N
663690	2266	1998-02-09	VYDAJ	VYBER	8200	46941	\N	\N	\N
663691	2266	1998-03-11	VYDAJ	VYBER	16100	47995	\N	\N	\N
663692	2266	1998-04-10	VYDAJ	VYBER	16500	48655	\N	\N	\N
663693	2266	1998-05-10	VYDAJ	VYBER	20800	45018	\N	\N	\N
663694	2266	1998-06-09	VYDAJ	VYBER	18500	52159	\N	\N	\N
663695	2266	1998-07-09	VYDAJ	VYBER	18100	51230	\N	\N	\N
663696	2266	1998-08-08	VYDAJ	VYBER	10700	52656	\N	\N	\N
663697	2266	1998-09-07	VYDAJ	VYBER	18600	51230	\N	\N	\N
663698	2266	1998-10-07	VYDAJ	VYBER	14300	54106	\N	\N	\N
663699	2266	1998-11-06	VYDAJ	VYBER	6100	42560	\N	\N	\N
663700	2266	1998-12-06	VYDAJ	VYBER	10400	49359	\N	\N	\N
663730	2267	1994-09-20	PRIJEM	VKLAD	900	900	\N	\N	\N
663731	2267	1995-02-19	PRIJEM	VKLAD	40415	62715	\N	\N	\N
663732	2267	1995-03-22	PRIJEM	VKLAD	49024	95639	\N	\N	\N
663733	2267	1995-09-04	PRIJEM	VKLAD	44637	136197	\N	\N	\N
663734	2267	1995-09-02	PRIJEM	VKLAD	10929	91560	\N	\N	\N
663735	2267	1995-11-21	PRIJEM	VKLAD	6960	53491	\N	\N	\N
663736	2267	1995-12-28	PRIJEM	VKLAD	33438	61393	\N	\N	\N
663737	2267	1995-04-26	PRIJEM	VKLAD	43985	107953	\N	\N	\N
663738	2267	1995-08-29	PRIJEM	VKLAD	46584	80193	\N	\N	\N
663739	2267	1995-11-15	PRIJEM	VKLAD	26613	52231	\N	\N	\N
663740	2267	1996-10-04	PRIJEM	VKLAD	30670	89520	\N	\N	\N
663741	2267	1996-10-16	PRIJEM	VKLAD	16229	107176	\N	\N	\N
663742	2267	1996-10-10	PRIJEM	VKLAD	29970	94090	\N	\N	\N
663743	2267	1996-02-16	PRIJEM	VKLAD	29552	53907	\N	\N	\N
663744	2267	1996-06-30	PRIJEM	VKLAD	11470	39514	\N	\N	\N
663745	2267	1996-03-02	PRIJEM	VKLAD	12403	66436	\N	\N	\N
663746	2267	1996-09-29	PRIJEM	VKLAD	31270	58764	\N	\N	\N
663747	2267	1996-06-10	PRIJEM	VKLAD	47800	85215	\N	\N	\N
663748	2267	1996-05-27	PRIJEM	VKLAD	9633	37334	\N	\N	\N
663749	2267	1997-06-05	PRIJEM	VKLAD	49195	112578	\N	\N	\N
663750	2267	1997-03-19	PRIJEM	VKLAD	43566	102766	\N	\N	\N
663751	2267	1997-07-17	PRIJEM	VKLAD	22751	72766	\N	\N	\N
663752	2267	1997-05-09	PRIJEM	VKLAD	36569	75711	\N	\N	\N
663753	2267	1997-09-18	PRIJEM	VKLAD	13772	42460	\N	\N	\N
663754	2267	1997-01-11	PRIJEM	VKLAD	36635	86579	\N	\N	\N
663755	2267	1997-10-04	PRIJEM	VKLAD	22292	112932	\N	\N	\N
663756	2267	1997-02-25	PRIJEM	VKLAD	49708	72146	\N	\N	\N
663757	2267	1997-07-16	PRIJEM	VKLAD	17455	50015	\N	\N	\N
663758	2267	1997-03-06	PRIJEM	VKLAD	28694	88943	\N	\N	\N
663759	2267	1997-10-02	PRIJEM	VKLAD	31024	90640	\N	\N	\N
663760	2267	1997-12-24	PRIJEM	VKLAD	40095	73889	\N	\N	\N
663761	2267	1997-12-07	PRIJEM	VKLAD	37151	60775	\N	\N	\N
663762	2267	1997-01-06	PRIJEM	VKLAD	36903	59344	\N	\N	\N
663763	2267	1997-09-23	PRIJEM	VKLAD	23392	65852	\N	\N	\N
663764	2267	1997-09-04	PRIJEM	VKLAD	47742	73321	\N	\N	\N
663765	2267	1997-05-25	PRIJEM	VKLAD	27971	78223	\N	\N	\N
663766	2267	1998-01-27	PRIJEM	VKLAD	48921	74506	\N	\N	\N
663767	2267	1998-04-14	PRIJEM	VKLAD	31719	55232	\N	\N	\N
663768	2267	1998-09-06	PRIJEM	VKLAD	22994	43080	\N	\N	\N
663769	2267	1998-05-18	PRIJEM	VKLAD	21729	57766	\N	\N	\N
663770	2267	1998-01-13	PRIJEM	VKLAD	8248	31885	\N	\N	\N
663771	2267	1998-12-12	PRIJEM	VKLAD	25530	65733	\N	\N	\N
663772	2267	1998-10-06	PRIJEM	VKLAD	11101	40739	\N	\N	\N
663773	2267	1998-10-31	PRIJEM	VKLAD	39016	74512	\N	\N	\N
663794	2267	1995-09-11	VYDAJ	PREVOD NA UCET	3143	65990	SIPO	KL	57657045
663795	2267	1995-10-11	VYDAJ	PREVOD NA UCET	3143	21687	SIPO	KL	57657045
663796	2267	1995-11-11	VYDAJ	PREVOD NA UCET	3143	23518	SIPO	KL	57657045
663797	2267	1995-12-11	VYDAJ	PREVOD NA UCET	3143	33380	SIPO	KL	57657045
663798	2267	1996-01-11	VYDAJ	PREVOD NA UCET	3143	45472	SIPO	KL	57657045
663799	2267	1996-02-11	VYDAJ	PREVOD NA UCET	3143	19955	SIPO	KL	57657045
663800	2267	1996-03-11	VYDAJ	PREVOD NA UCET	3143	63293	SIPO	KL	57657045
663801	2267	1996-04-11	VYDAJ	PREVOD NA UCET	3143	27742	SIPO	KL	57657045
663802	2267	1996-05-11	VYDAJ	PREVOD NA UCET	3143	19301	SIPO	KL	57657045
663803	2267	1996-06-11	VYDAJ	PREVOD NA UCET	3143	56972	SIPO	KL	57657045
663804	2267	1996-07-11	VYDAJ	PREVOD NA UCET	3143	35041	SIPO	KL	57657045
663805	2267	1996-08-11	VYDAJ	PREVOD NA UCET	3143	24262	SIPO	KL	57657045
663806	2267	1996-09-11	VYDAJ	PREVOD NA UCET	3143	27494	SIPO	KL	57657045
663807	2267	1996-10-11	VYDAJ	PREVOD NA UCET	3143	90947	SIPO	KL	57657045
663808	2267	1996-11-11	VYDAJ	PREVOD NA UCET	3143	56295	SIPO	KL	57657045
663809	2267	1996-12-11	VYDAJ	PREVOD NA UCET	3143	31629	SIPO	KL	57657045
663810	2267	1997-01-11	VYDAJ	PREVOD NA UCET	3143	83436	SIPO	KL	57657045
663811	2267	1997-02-11	VYDAJ	PREVOD NA UCET	3143	22438	SIPO	KL	57657045
663812	2267	1997-03-11	VYDAJ	PREVOD NA UCET	3143	59200	SIPO	KL	57657045
663813	2267	1997-04-11	VYDAJ	PREVOD NA UCET	3143	61223	SIPO	KL	57657045
663814	2267	1997-05-11	VYDAJ	PREVOD NA UCET	3143	72568	SIPO	KL	57657045
663815	2267	1997-06-11	VYDAJ	PREVOD NA UCET	3143	52135	SIPO	KL	57657045
663816	2267	1997-07-11	VYDAJ	PREVOD NA UCET	3143	32560	SIPO	KL	57657045
663817	2267	1997-08-11	VYDAJ	PREVOD NA UCET	3143	50011	SIPO	KL	57657045
663818	2267	1997-09-11	VYDAJ	PREVOD NA UCET	3143	47578	SIPO	KL	57657045
663819	2267	1997-10-11	VYDAJ	PREVOD NA UCET	3143	49589	SIPO	KL	57657045
663820	2267	1997-11-11	VYDAJ	PREVOD NA UCET	3143	33507	SIPO	KL	57657045
663821	2267	1997-12-11	VYDAJ	PREVOD NA UCET	3143	57632	SIPO	KL	57657045
663822	2267	1998-01-11	VYDAJ	PREVOD NA UCET	3143	26637	SIPO	KL	57657045
663823	2267	1998-02-11	VYDAJ	PREVOD NA UCET	3143	46298	SIPO	KL	57657045
663824	2267	1998-03-11	VYDAJ	PREVOD NA UCET	3143	31046	SIPO	KL	57657045
663825	2267	1998-04-11	VYDAJ	PREVOD NA UCET	3143	23513	SIPO	KL	57657045
663826	2267	1998-05-11	VYDAJ	PREVOD NA UCET	3143	36037	SIPO	KL	57657045
663827	2267	1998-06-11	VYDAJ	PREVOD NA UCET	3143	39005	SIPO	KL	57657045
663828	2267	1998-07-11	VYDAJ	PREVOD NA UCET	3143	23307	SIPO	KL	57657045
663829	2267	1998-08-11	VYDAJ	PREVOD NA UCET	3143	17436	SIPO	KL	57657045
663830	2267	1998-09-11	VYDAJ	PREVOD NA UCET	3143	39937	SIPO	KL	57657045
663831	2267	1998-10-11	VYDAJ	PREVOD NA UCET	3143	37596	SIPO	KL	57657045
663832	2267	1998-11-11	VYDAJ	PREVOD NA UCET	3143	71483	SIPO	KL	57657045
663833	2267	1998-12-11	VYDAJ	PREVOD NA UCET	3143	40203	SIPO	KL	57657045
663834	2267	1995-09-29	VYBER	VYBER	23165	24625	\N	\N	\N
663837	2267	1995-09-04	VYBER	VYBER	20964	115233	\N	\N	\N
663842	2267	1995-12-24	VYBER	VYBER	2825	27955	\N	\N	\N
663843	2267	1996-08-06	VYBER	VYBER	7410	23105	\N	\N	\N
663847	2267	1996-04-03	VYBER	VYBER	2345	30885	\N	\N	\N
663848	2267	1996-06-21	VYBER	VYBER	2363	27909	\N	\N	\N
663850	2267	1996-03-23	VYBER	VYBER	15024	33069	\N	\N	\N
663851	2267	1996-07-13	VYBER	VYBER	4633	30408	\N	\N	\N
663852	2267	1996-10-20	VYBER	VYBER	24142	83034	\N	\N	\N
663853	2267	1996-04-23	VYBER	VYBER	9489	22353	\N	\N	\N
663854	2267	1996-12-07	VYBER	VYBER	16962	37472	\N	\N	\N
663857	2267	1997-06-21	VYBER	VYBER	17112	35023	\N	\N	\N
663859	2267	1997-09-15	VYBER	VYBER	18890	28688	\N	\N	\N
663860	2267	1997-04-23	VYBER	VYBER	14027	47196	\N	\N	\N
663861	2267	1997-12-20	VYBER	VYBER	23838	33794	\N	\N	\N
663862	2267	1997-10-20	VYBER	VYBER	7806	41783	\N	\N	\N
663864	2267	1997-05-19	VYBER	VYBER	22316	50252	\N	\N	\N
663867	2267	1997-09-30	VYBER	VYBER	6402	59646	\N	\N	\N
663868	2267	1997-01-25	VYBER	VYBER	5900	31636	\N	\N	\N
663869	2267	1997-06-01	VYBER	VYBER	15070	63383	\N	\N	\N
663872	2267	1996-06-12	VYDAJ	VYBER	26700	30272	\N	\N	\N
663878	2267	1997-01-12	VYDAJ	VYBER	21300	62136	\N	\N	\N
663879	2267	1998-01-09	VYDAJ	VYBER	14100	29780	\N	\N	\N
663881	2267	1995-12-03	VYDAJ	VYBER	1800	36523	\N	\N	\N
663882	2267	1996-12-03	VYDAJ	VYBER	2100	54434	\N	\N	\N
663883	2267	1997-12-06	VYDAJ	VYBER	4500	23624	\N	\N	\N
663884	2267	1998-12-28	VYDAJ	VYBER	3900	61833	\N	\N	\N
663897	2267	1996-01-10	VYDAJ	VYBER	2100	48615	\N	\N	\N
663899	2267	1996-01-05	VYDAJ	VYBER	6000	55515	\N	\N	\N
663901	2267	1996-01-15	VYDAJ	VYBER	3300	34672	\N	\N	\N
663902	2267	1996-01-06	VYDAJ	VYBER	4800	50715	\N	\N	\N
663903	2267	1997-01-19	VYDAJ	VYBER	7200	43536	\N	\N	\N
663904	2267	1997-01-13	VYDAJ	VYBER	3300	58836	\N	\N	\N
663905	2267	1997-01-03	VYDAJ	VYBER	4500	22441	\N	\N	\N
663907	2267	1997-01-21	VYDAJ	VYBER	6000	37536	\N	\N	\N
663908	2267	1997-01-17	VYDAJ	VYBER	8100	50736	\N	\N	\N
663909	2267	1998-01-12	VYDAJ	VYBER	3000	23637	\N	\N	\N
663911	2267	1998-01-01	VYDAJ	VYBER	4200	69880	\N	\N	\N
663912	2267	1998-01-16	VYDAJ	VYBER	6300	25585	\N	\N	\N
663914	2267	1998-01-06	VYDAJ	VYBER	2400	45980	\N	\N	\N
663921	2267	1995-11-15	VYDAJ	VYBER	5700	46531	\N	\N	\N
663924	2267	1995-12-02	VYDAJ	VYBER	13800	39823	\N	\N	\N
663925	2267	1995-12-02	VYDAJ	VYBER	1500	38323	\N	\N	\N
663928	2267	1996-12-19	VYDAJ	VYBER	4800	26829	\N	\N	\N
663929	2267	1996-01-21	VYDAJ	VYBER	11700	22972	\N	\N	\N
663930	2267	1997-03-28	VYDAJ	VYBER	12600	90166	\N	\N	\N
663932	2267	1997-02-10	VYDAJ	VYBER	13200	25581	\N	\N	\N
663933	2267	1997-08-22	VYDAJ	VYBER	10500	25411	\N	\N	\N
663934	2267	1997-08-20	VYDAJ	VYBER	14100	35911	\N	\N	\N
663935	2267	1997-03-03	VYDAJ	VYBER	12000	60249	\N	\N	\N
663936	2267	1998-11-25	VYDAJ	VYBER	1500	69983	\N	\N	\N
663937	2267	1998-06-23	VYDAJ	VYBER	7800	31205	\N	\N	\N
663938	2267	1998-01-08	VYDAJ	VYBER	2100	43880	\N	\N	\N
663940	2267	1998-02-14	VYDAJ	VYBER	4200	42098	\N	\N	\N
663941	2267	1998-12-01	VYDAJ	VYBER	6600	43346	\N	\N	\N
663964	2267	1995-09-30	VYDAJ	VYBER	30	24830	SLUZBY	\N	\N
663965	2267	1995-10-31	VYDAJ	VYBER	30	26661	SLUZBY	\N	\N
663966	2267	1995-11-30	VYDAJ	VYBER	30	53623	SLUZBY	\N	\N
663967	2267	1995-12-31	VYDAJ	VYBER	30	61515	SLUZBY	\N	\N
663968	2267	1996-01-31	VYDAJ	VYBER	30	23098	SLUZBY	\N	\N
663969	2267	1996-02-29	VYDAJ	VYBER	30	54033	SLUZBY	\N	\N
663970	2267	1996-03-31	VYDAJ	VYBER	30	33230	SLUZBY	\N	\N
663971	2267	1996-04-30	VYDAJ	VYBER	30	22444	SLUZBY	\N	\N
663972	2267	1996-05-31	VYDAJ	VYBER	30	37415	SLUZBY	\N	\N
663973	2267	1996-06-30	VYDAJ	VYBER	30	39484	SLUZBY	\N	\N
663974	2267	1996-07-31	VYDAJ	VYBER	30	30515	SLUZBY	\N	\N
663975	2267	1996-08-31	VYDAJ	VYBER	30	24337	SLUZBY	\N	\N
663976	2267	1996-09-30	VYDAJ	VYBER	30	58850	SLUZBY	\N	\N
663977	2267	1996-10-31	VYDAJ	VYBER	30	83338	SLUZBY	\N	\N
663978	2267	1996-11-30	VYDAJ	VYBER	30	56534	SLUZBY	\N	\N
663979	2267	1996-12-31	VYDAJ	VYBER	30	26941	SLUZBY	\N	\N
663980	2267	1997-01-31	VYDAJ	VYBER	30	31781	SLUZBY	\N	\N
663981	2267	1997-02-28	VYDAJ	VYBER	30	72249	SLUZBY	\N	\N
663982	2267	1997-03-31	VYDAJ	VYBER	30	90466	SLUZBY	\N	\N
663983	2267	1997-04-30	VYDAJ	VYBER	30	47442	SLUZBY	\N	\N
663984	2267	1997-05-31	VYDAJ	VYBER	30	78453	SLUZBY	\N	\N
663985	2267	1997-06-30	VYDAJ	VYBER	30	35203	SLUZBY	\N	\N
663986	2267	1997-07-31	VYDAJ	VYBER	30	72954	SLUZBY	\N	\N
663987	2267	1997-08-31	VYDAJ	VYBER	30	25579	SLUZBY	\N	\N
663988	2267	1997-09-30	VYDAJ	VYBER	30	59616	SLUZBY	\N	\N
663989	2267	1997-10-31	VYDAJ	VYBER	30	41950	SLUZBY	\N	\N
663990	2267	1997-11-30	VYDAJ	VYBER	30	33624	SLUZBY	\N	\N
663991	2267	1997-12-31	VYDAJ	VYBER	30	74080	SLUZBY	\N	\N
663992	2267	1998-01-31	VYDAJ	VYBER	30	74641	SLUZBY	\N	\N
663993	2267	1998-02-28	VYDAJ	VYBER	30	42289	SLUZBY	\N	\N
663994	2267	1998-03-31	VYDAJ	VYBER	30	31156	SLUZBY	\N	\N
663995	2267	1998-04-30	VYDAJ	VYBER	30	55380	SLUZBY	\N	\N
663996	2267	1998-05-31	VYDAJ	VYBER	30	57948	SLUZBY	\N	\N
663997	2267	1998-06-30	VYDAJ	VYBER	30	31350	SLUZBY	\N	\N
663998	2267	1998-07-31	VYDAJ	VYBER	30	20579	SLUZBY	\N	\N
663999	2267	1998-08-31	VYDAJ	VYBER	30	20086	SLUZBY	\N	\N
664000	2267	1998-09-30	VYDAJ	VYBER	30	29638	SLUZBY	\N	\N
664001	2267	1998-10-31	VYDAJ	VYBER	30	74626	SLUZBY	\N	\N
664002	2267	1998-11-30	VYDAJ	VYBER	30	49946	SLUZBY	\N	\N
664003	2267	1994-11-19	PRIJEM	VKLAD	11400	12300	\N	\N	\N
664004	2267	1994-12-19	PRIJEM	VKLAD	3600	15900	\N	\N	\N
664005	2267	1995-01-18	PRIJEM	VKLAD	6400	22300	\N	\N	\N
664006	2267	1995-03-19	VYDAJ	VYBER	16100	46615	\N	\N	\N
664007	2267	1995-04-18	VYDAJ	VYBER	31800	63968	\N	\N	\N
664008	2267	1995-04-26	VYDAJ	VYBER	42500	65453	\N	\N	\N
664009	2267	1995-05-18	VYDAJ	VYBER	19500	46360	\N	\N	\N
664010	2267	1995-06-17	VYDAJ	VYBER	6900	39909	\N	\N	\N
664011	2267	1995-07-17	VYDAJ	VYBER	5400	34959	\N	\N	\N
664012	2267	1995-08-16	VYDAJ	VYBER	1800	33609	\N	\N	\N
664013	2267	1995-09-04	VYDAJ	VYBER	46100	69133	\N	\N	\N
664014	2267	1995-09-15	VYDAJ	VYBER	18200	47790	\N	\N	\N
664015	2267	1995-10-15	PRIJEM	VKLAD	4900	26587	\N	\N	\N
664016	2267	1995-11-14	PRIJEM	VKLAD	2100	25618	\N	\N	\N
664017	2267	1995-12-14	VYDAJ	VYBER	2600	30780	\N	\N	\N
664018	2267	1996-01-13	VYDAJ	VYBER	7500	37972	\N	\N	\N
664019	2267	1996-02-12	PRIJEM	VKLAD	4400	24355	\N	\N	\N
664020	2267	1996-03-13	VYDAJ	VYBER	15200	48093	\N	\N	\N
664021	2267	1996-04-12	PRIJEM	VKLAD	4100	31842	\N	\N	\N
664022	2267	1996-05-12	PRIJEM	VKLAD	8400	27701	\N	\N	\N
664023	2267	1996-06-11	VYDAJ	VYBER	25100	60115	\N	\N	\N
664024	2267	1996-07-11	VYDAJ	VYBER	1300	38184	\N	\N	\N
664025	2267	1996-08-10	PRIJEM	VKLAD	4300	27405	\N	\N	\N
664026	2267	1996-09-09	PRIJEM	VKLAD	6300	30637	\N	\N	\N
664027	2267	1996-10-09	VYDAJ	VYBER	25400	64120	\N	\N	\N
664028	2267	1996-11-08	VYDAJ	VYBER	23900	59438	\N	\N	\N
664029	2267	1996-12-08	VYDAJ	VYBER	2700	34772	\N	\N	\N
664030	2267	1997-01-07	VYDAJ	VYBER	9400	49944	\N	\N	\N
664031	2267	1997-02-06	PRIJEM	VKLAD	7000	38781	\N	\N	\N
664032	2267	1997-03-08	VYDAJ	VYBER	26600	62343	\N	\N	\N
664033	2267	1997-04-07	VYDAJ	VYBER	26100	64366	\N	\N	\N
664034	2267	1997-05-07	VYDAJ	VYBER	8300	39142	\N	\N	\N
664035	2267	1997-06-05	VYDAJ	VYBER	37900	74678	\N	\N	\N
664036	2267	1997-06-06	VYDAJ	VYBER	19400	55278	\N	\N	\N
664037	2267	1997-07-06	PRIJEM	VKLAD	500	35703	\N	\N	\N
664038	2267	1997-08-05	VYDAJ	VYBER	19800	53154	\N	\N	\N
664039	2267	1997-09-04	VYDAJ	VYBER	22600	50721	\N	\N	\N
664040	2267	1997-10-04	VYDAJ	VYBER	37500	75432	\N	\N	\N
664041	2267	1997-10-04	VYDAJ	VYBER	22700	52732	\N	\N	\N
664042	2267	1997-11-03	VYDAJ	VYBER	5300	36650	\N	\N	\N
664043	2267	1997-12-03	VYDAJ	VYBER	5500	28124	\N	\N	\N
664044	2267	1998-01-02	VYDAJ	VYBER	21500	48380	\N	\N	\N
664045	2267	1998-02-01	VYDAJ	VYBER	25200	49441	\N	\N	\N
664046	2267	1998-03-03	VYDAJ	VYBER	8100	34189	\N	\N	\N
664047	2267	1998-04-02	VYDAJ	VYBER	4500	26656	\N	\N	\N
664048	2267	1998-05-02	VYDAJ	VYBER	16200	39180	\N	\N	\N
664049	2267	1998-06-01	VYDAJ	VYBER	15800	42148	\N	\N	\N
664050	2267	1998-07-01	VYDAJ	VYBER	4900	26450	\N	\N	\N
664051	2267	1998-07-31	VYDAJ	VYBER	2800	20609	\N	\N	\N
664052	2267	1998-08-30	PRIJEM	VKLAD	2600	20036	\N	\N	\N
664053	2267	1998-09-29	VYDAJ	VYBER	10400	29537	\N	\N	\N
664054	2267	1998-10-29	VYDAJ	VYBER	2100	35496	\N	\N	\N
664055	2267	1998-11-28	VYDAJ	VYBER	20300	49683	\N	\N	\N
664102	2268	1995-02-11	PRIJEM	VKLAD	200	200	\N	\N	\N
664105	2268	1995-03-09	PRIJEM	VKLAD	23646	23846	\N	\N	\N
664106	2268	1995-04-09	PRIJEM	VKLAD	23646	46350	\N	\N	\N
664107	2268	1995-05-09	PRIJEM	VKLAD	23646	59324	\N	\N	\N
664108	2268	1995-06-09	PRIJEM	VKLAD	35469	74651	\N	\N	\N
664109	2268	1995-07-09	PRIJEM	VKLAD	23646	73990	\N	\N	\N
664110	2268	1995-08-09	PRIJEM	VKLAD	23646	65471	\N	\N	\N
664111	2268	1995-09-09	PRIJEM	VKLAD	23646	58638	\N	\N	\N
664112	2268	1995-10-09	PRIJEM	VKLAD	23646	58987	\N	\N	\N
664113	2268	1995-11-09	PRIJEM	VKLAD	23646	51735	\N	\N	\N
664114	2268	1995-12-09	PRIJEM	VKLAD	35469	74927	\N	\N	\N
664115	2268	1996-01-09	PRIJEM	VKLAD	23646	71473	\N	\N	\N
664116	2268	1996-02-09	PRIJEM	VKLAD	23646	68839	\N	\N	\N
664117	2268	1996-03-09	PRIJEM	VKLAD	23646	67297	\N	\N	\N
664118	2268	1996-04-09	PRIJEM	VKLAD	23646	68541	\N	\N	\N
664119	2268	1996-05-09	PRIJEM	VKLAD	23646	66987	\N	\N	\N
664120	2268	1996-06-09	PRIJEM	VKLAD	35469	77159	\N	\N	\N
664121	2268	1996-07-09	PRIJEM	VKLAD	23646	71827	\N	\N	\N
664122	2268	1996-08-09	PRIJEM	VKLAD	23646	70194	\N	\N	\N
664123	2268	1996-09-09	PRIJEM	VKLAD	23646	70093	\N	\N	\N
664124	2268	1996-10-09	PRIJEM	VKLAD	23646	67588	\N	\N	\N
664125	2268	1996-11-09	PRIJEM	VKLAD	23646	68377	\N	\N	\N
664126	2268	1996-12-09	PRIJEM	VKLAD	35469	77389	\N	\N	\N
664127	2268	1997-01-09	PRIJEM	VKLAD	23646	76201	\N	\N	\N
664128	2268	1997-02-09	PRIJEM	VKLAD	23646	73322	\N	\N	\N
664129	2268	1997-03-09	PRIJEM	VKLAD	23646	69101	\N	\N	\N
664130	2268	1997-04-09	PRIJEM	VKLAD	23646	70197	\N	\N	\N
664131	2268	1997-05-09	PRIJEM	VKLAD	23646	71592	\N	\N	\N
664132	2268	1997-06-09	PRIJEM	VKLAD	35469	79913	\N	\N	\N
664133	2268	1997-07-09	PRIJEM	VKLAD	23646	74520	\N	\N	\N
664134	2268	1997-08-09	PRIJEM	VKLAD	23646	70529	\N	\N	\N
664135	2268	1997-09-09	PRIJEM	VKLAD	23646	66790	\N	\N	\N
664136	2268	1997-10-09	PRIJEM	VKLAD	23646	60833	\N	\N	\N
664137	2268	1997-11-09	PRIJEM	VKLAD	23646	58149	\N	\N	\N
664138	2268	1997-12-09	PRIJEM	VKLAD	35469	67978	\N	\N	\N
664139	2268	1998-01-09	PRIJEM	VKLAD	23646	63520	\N	\N	\N
664140	2268	1998-02-09	PRIJEM	VKLAD	23646	63345	\N	\N	\N
664141	2268	1998-03-09	PRIJEM	VKLAD	23646	62069	\N	\N	\N
664142	2268	1998-04-09	PRIJEM	VKLAD	23646	64297	\N	\N	\N
664143	2268	1998-05-09	PRIJEM	VKLAD	23646	61836	\N	\N	\N
664144	2268	1998-06-09	PRIJEM	VKLAD	35469	75778	\N	\N	\N
664145	2268	1998-07-09	PRIJEM	VKLAD	23646	63426	\N	\N	\N
664146	2268	1998-08-09	PRIJEM	VKLAD	23646	62246	\N	\N	\N
664147	2268	1998-09-09	PRIJEM	VKLAD	23646	58355	\N	\N	\N
664148	2268	1998-10-09	PRIJEM	VKLAD	23646	63769	\N	\N	\N
664149	2268	1998-11-09	PRIJEM	VKLAD	23646	69294	\N	\N	\N
664150	2268	1998-12-09	PRIJEM	VKLAD	35469	82259	\N	\N	\N
664157	2268	1995-07-13	VYDAJ	PREVOD NA UCET	5742	44048	SIPO	ST	1695228
664158	2268	1995-08-13	VYDAJ	PREVOD NA UCET	5742	35229	SIPO	ST	1695228
664159	2268	1995-09-13	VYDAJ	PREVOD NA UCET	5742	35196	SIPO	ST	1695228
664160	2268	1995-10-13	VYDAJ	PREVOD NA UCET	5742	38345	SIPO	ST	1695228
664161	2268	1995-11-13	VYDAJ	PREVOD NA UCET	5742	45993	SIPO	ST	1695228
664162	2268	1995-12-13	VYDAJ	PREVOD NA UCET	5742	67985	SIPO	ST	1695228
664163	2268	1996-01-13	VYDAJ	PREVOD NA UCET	5742	65731	SIPO	ST	1695228
664164	2268	1996-02-13	VYDAJ	PREVOD NA UCET	5742	63097	SIPO	ST	1695228
664165	2268	1996-03-13	VYDAJ	PREVOD NA UCET	5742	61555	SIPO	ST	1695228
664166	2268	1996-04-13	VYDAJ	PREVOD NA UCET	5742	62799	SIPO	ST	1695228
664167	2268	1996-05-13	VYDAJ	PREVOD NA UCET	5742	61245	SIPO	ST	1695228
664168	2268	1996-06-13	VYDAJ	PREVOD NA UCET	5742	71117	SIPO	ST	1695228
664169	2268	1996-07-13	VYDAJ	PREVOD NA UCET	5742	65685	SIPO	ST	1695228
664170	2268	1996-08-13	VYDAJ	PREVOD NA UCET	5742	63891	SIPO	ST	1695228
664171	2268	1996-09-13	VYDAJ	PREVOD NA UCET	5742	63790	SIPO	ST	1695228
664172	2268	1996-10-13	VYDAJ	PREVOD NA UCET	5742	61285	SIPO	ST	1695228
664173	2268	1996-11-13	VYDAJ	PREVOD NA UCET	5742	62074	SIPO	ST	1695228
664174	2268	1996-12-13	VYDAJ	PREVOD NA UCET	5742	71086	SIPO	ST	1695228
664175	2268	1997-01-13	VYDAJ	PREVOD NA UCET	5742	69898	SIPO	ST	1695228
664176	2268	1997-02-13	VYDAJ	PREVOD NA UCET	5742	67019	SIPO	ST	1695228
664177	2268	1997-03-13	VYDAJ	PREVOD NA UCET	5742	62798	SIPO	ST	1695228
664178	2268	1997-04-13	VYDAJ	PREVOD NA UCET	5742	63894	SIPO	ST	1695228
664179	2268	1997-05-13	VYDAJ	PREVOD NA UCET	5742	65289	SIPO	ST	1695228
664180	2268	1997-06-13	VYDAJ	PREVOD NA UCET	5742	73610	SIPO	ST	1695228
664181	2268	1997-07-13	VYDAJ	PREVOD NA UCET	5742	68217	SIPO	ST	1695228
664182	2268	1997-08-13	VYDAJ	PREVOD NA UCET	5742	64226	SIPO	ST	1695228
664183	2268	1997-09-13	VYDAJ	PREVOD NA UCET	5742	60487	SIPO	ST	1695228
664184	2268	1997-10-13	VYDAJ	PREVOD NA UCET	5742	54530	SIPO	ST	1695228
664185	2268	1997-11-13	VYDAJ	PREVOD NA UCET	5742	51846	SIPO	ST	1695228
664186	2268	1997-12-13	VYDAJ	PREVOD NA UCET	5742	61675	SIPO	ST	1695228
664187	2268	1998-01-13	VYDAJ	PREVOD NA UCET	5742	57217	SIPO	ST	1695228
664188	2268	1998-02-13	VYDAJ	PREVOD NA UCET	5742	57042	SIPO	ST	1695228
664189	2268	1998-03-13	VYDAJ	PREVOD NA UCET	5742	54866	SIPO	ST	1695228
664190	2268	1998-04-13	VYDAJ	PREVOD NA UCET	5742	57994	SIPO	ST	1695228
664191	2268	1998-05-13	VYDAJ	PREVOD NA UCET	5742	55533	SIPO	ST	1695228
664192	2268	1998-06-13	VYDAJ	PREVOD NA UCET	5742	69475	SIPO	ST	1695228
664193	2268	1998-07-13	VYDAJ	PREVOD NA UCET	5742	57123	SIPO	ST	1695228
664194	2268	1998-08-13	VYDAJ	PREVOD NA UCET	5742	55943	SIPO	ST	1695228
664195	2268	1998-09-13	VYDAJ	PREVOD NA UCET	5742	52052	SIPO	ST	1695228
664196	2268	1998-10-13	VYDAJ	PREVOD NA UCET	5742	57466	SIPO	ST	1695228
664197	2268	1998-11-13	VYDAJ	PREVOD NA UCET	5742	62991	SIPO	ST	1695228
664198	2268	1998-12-13	VYDAJ	PREVOD NA UCET	5742	74056	SIPO	ST	1695228
664205	2268	1995-07-14	VYDAJ	VYBER	700	43348	\N	\N	0
664206	2268	1995-07-30	VYDAJ	VYBER	400	42948	\N	\N	0
664207	2268	1995-09-08	VYDAJ	VYBER	400	34992	\N	\N	0
664208	2268	1995-10-17	VYDAJ	VYBER	600	37745	\N	\N	0
664209	2268	1995-11-17	VYDAJ	VYBER	400	45593	\N	\N	0
664210	2268	1995-12-13	VYDAJ	VYBER	500	73727	\N	\N	0
664211	2268	1996-01-24	VYDAJ	VYBER	500	65231	\N	\N	0
664212	2268	1996-02-28	VYDAJ	VYBER	400	62097	\N	\N	0
664213	2268	1996-02-28	VYDAJ	VYBER	600	62497	\N	\N	0
664214	2268	1996-04-04	VYDAJ	VYBER	400	61395	\N	\N	0
664215	2268	1996-05-25	VYDAJ	VYBER	500	60745	\N	\N	0
664216	2268	1996-06-09	VYDAJ	VYBER	300	76859	\N	\N	0
664217	2268	1996-07-11	VYDAJ	VYBER	400	71427	\N	\N	0
664218	2268	1996-08-12	VYDAJ	PREVOD NA UCET	561	69633	UVER	AB	38343775
664219	2268	1996-09-12	VYDAJ	PREVOD NA UCET	561	69532	UVER	AB	38343775
664220	2268	1996-10-12	VYDAJ	PREVOD NA UCET	561	67027	UVER	AB	38343775
664221	2268	1996-11-12	VYDAJ	PREVOD NA UCET	561	67816	UVER	AB	38343775
664222	2268	1996-12-12	VYDAJ	PREVOD NA UCET	561	76828	UVER	AB	38343775
664223	2268	1997-01-12	VYDAJ	PREVOD NA UCET	561	75640	UVER	AB	38343775
664224	2268	1997-02-12	VYDAJ	PREVOD NA UCET	561	72761	UVER	AB	38343775
664225	2268	1997-03-12	VYDAJ	PREVOD NA UCET	561	68540	UVER	AB	38343775
664226	2268	1997-04-12	VYDAJ	PREVOD NA UCET	561	69636	UVER	AB	38343775
664227	2268	1997-05-12	VYDAJ	PREVOD NA UCET	561	71031	UVER	AB	38343775
664228	2268	1997-06-12	VYDAJ	PREVOD NA UCET	561	79352	UVER	AB	38343775
664229	2268	1997-07-12	VYDAJ	PREVOD NA UCET	561	73959	UVER	AB	38343775
664230	2268	1997-08-12	VYDAJ	PREVOD NA UCET	561	69968	UVER	AB	38343775
664231	2268	1997-09-12	VYDAJ	PREVOD NA UCET	561	66229	UVER	AB	38343775
664232	2268	1997-10-12	VYDAJ	PREVOD NA UCET	561	60272	UVER	AB	38343775
664233	2268	1997-11-12	VYDAJ	PREVOD NA UCET	561	57588	UVER	AB	38343775
664234	2268	1997-12-12	VYDAJ	PREVOD NA UCET	561	67417	UVER	AB	38343775
664235	2268	1998-01-12	VYDAJ	PREVOD NA UCET	561	62959	UVER	AB	38343775
664236	2268	1998-02-12	VYDAJ	PREVOD NA UCET	561	62784	UVER	AB	38343775
664237	2268	1998-03-12	VYDAJ	PREVOD NA UCET	561	60608	UVER	AB	38343775
664238	2268	1998-04-12	VYDAJ	PREVOD NA UCET	561	63736	UVER	AB	38343775
664239	2268	1998-05-12	VYDAJ	PREVOD NA UCET	561	61275	UVER	AB	38343775
664240	2268	1998-06-12	VYDAJ	PREVOD NA UCET	561	75217	UVER	AB	38343775
664241	2268	1998-07-12	VYDAJ	PREVOD NA UCET	561	62865	UVER	AB	38343775
664242	2268	1998-08-12	VYDAJ	PREVOD NA UCET	561	61685	UVER	AB	38343775
664243	2268	1998-09-12	VYDAJ	PREVOD NA UCET	561	57794	UVER	AB	38343775
664244	2268	1998-10-12	VYDAJ	PREVOD NA UCET	561	63208	UVER	AB	38343775
664245	2268	1998-11-12	VYDAJ	PREVOD NA UCET	561	68733	UVER	AB	38343775
664246	2268	1998-12-12	VYDAJ	PREVOD NA UCET	561	79798	UVER	AB	38343775
664247	2268	1995-12-15	VYDAJ	VYBER	2400	65585	\N	\N	\N
664248	2268	1996-12-07	VYDAJ	VYBER	2100	41920	\N	\N	\N
664249	2268	1997-12-07	VYDAJ	VYBER	1300	32509	\N	\N	\N
664250	2268	1998-12-09	VYDAJ	VYBER	1900	80359	\N	\N	\N
664251	2268	1995-08-04	VYDAJ	VYBER	1300	41825	\N	\N	\N
664253	2268	1995-10-19	VYDAJ	VYBER	4700	33045	\N	\N	\N
664254	2268	1995-12-11	VYDAJ	VYBER	700	74227	\N	\N	\N
664256	2268	1995-08-13	VYDAJ	VYBER	4400	40971	\N	\N	\N
664257	2268	1996-09-08	VYDAJ	VYBER	1900	46447	\N	\N	\N
664258	2268	1996-06-16	VYDAJ	VYBER	4600	66517	\N	\N	\N
664259	2268	1996-03-06	VYDAJ	VYBER	4400	57951	\N	\N	\N
664260	2268	1997-03-28	VYDAJ	VYBER	1400	61398	\N	\N	\N
664261	2268	1997-06-04	VYDAJ	VYBER	4200	44444	\N	\N	\N
664262	2268	1997-06-25	VYDAJ	VYBER	3200	70410	\N	\N	\N
664263	2268	1997-10-23	VYDAJ	VYBER	2500	52030	\N	\N	\N
664264	2268	1998-04-05	VYDAJ	VYBER	1300	40651	\N	\N	\N
664265	2268	1998-03-10	VYDAJ	VYBER	900	61169	\N	\N	\N
664266	2268	1998-07-24	VYDAJ	VYBER	4200	52923	\N	\N	\N
664267	2268	1998-06-28	VYDAJ	VYBER	4900	39575	\N	\N	\N
664268	2268	1998-09-06	VYDAJ	VYBER	2000	34709	\N	\N	\N
664269	2268	1998-08-19	VYDAJ	VYBER	4200	51743	\N	\N	\N
664270	2268	1998-11-28	VYDAJ	VYBER	1900	46591	\N	\N	\N
664278	2268	1995-07-31	VYDAJ	VYBER	15	43125	SLUZBY	\N	\N
664279	2268	1995-08-31	VYDAJ	VYBER	15	35392	SLUZBY	\N	\N
664280	2268	1995-09-30	VYDAJ	VYBER	15	35341	SLUZBY	\N	\N
664281	2268	1995-10-31	VYDAJ	VYBER	15	33189	SLUZBY	\N	\N
664282	2268	1995-11-30	VYDAJ	VYBER	15	45758	SLUZBY	\N	\N
664283	2268	1995-12-31	VYDAJ	VYBER	15	65827	SLUZBY	\N	\N
664284	2268	1996-01-31	VYDAJ	VYBER	15	65493	SLUZBY	\N	\N
664285	2268	1996-02-29	VYDAJ	VYBER	15	62351	SLUZBY	\N	\N
664286	2268	1996-03-31	VYDAJ	VYBER	15	61795	SLUZBY	\N	\N
664287	2268	1996-04-30	VYDAJ	VYBER	15	63041	SLUZBY	\N	\N
664288	2268	1996-05-31	VYDAJ	VYBER	15	60990	SLUZBY	\N	\N
664289	2268	1996-06-30	VYDAJ	VYBER	15	66781	SLUZBY	\N	\N
664290	2268	1996-07-31	VYDAJ	VYBER	15	65948	SLUZBY	\N	\N
664291	2268	1996-08-31	VYDAJ	VYBER	15	64147	SLUZBY	\N	\N
664292	2268	1996-09-30	VYDAJ	VYBER	15	64042	SLUZBY	\N	\N
664293	2268	1996-10-31	VYDAJ	VYBER	15	61531	SLUZBY	\N	\N
664294	2268	1996-11-30	VYDAJ	VYBER	15	62320	SLUZBY	\N	\N
664295	2268	1996-12-31	VYDAJ	VYBER	15	71355	SLUZBY	\N	\N
664296	2268	1997-01-31	VYDAJ	VYBER	15	70176	SLUZBY	\N	\N
664297	2268	1997-02-28	VYDAJ	VYBER	15	67255	SLUZBY	\N	\N
664298	2268	1997-03-31	VYDAJ	VYBER	15	61651	SLUZBY	\N	\N
664299	2268	1997-04-30	VYDAJ	VYBER	15	64146	SLUZBY	\N	\N
664300	2268	1997-05-31	VYDAJ	VYBER	15	48644	SLUZBY	\N	\N
664301	2268	1997-06-30	VYDAJ	VYBER	15	70674	SLUZBY	\N	\N
664302	2268	1997-07-31	VYDAJ	VYBER	15	46883	SLUZBY	\N	\N
664303	2268	1997-08-31	VYDAJ	VYBER	15	43144	SLUZBY	\N	\N
664304	2268	1997-09-30	VYDAJ	VYBER	15	37187	SLUZBY	\N	\N
664305	2268	1997-10-31	VYDAJ	VYBER	15	34503	SLUZBY	\N	\N
664306	2268	1997-11-30	VYDAJ	VYBER	15	33809	SLUZBY	\N	\N
664307	2268	1997-12-31	VYDAJ	VYBER	15	39874	SLUZBY	\N	\N
664308	2268	1998-01-31	VYDAJ	VYBER	15	39699	SLUZBY	\N	\N
664309	2268	1998-02-28	VYDAJ	VYBER	15	38423	SLUZBY	\N	\N
664310	2268	1998-03-31	VYDAJ	VYBER	15	41951	SLUZBY	\N	\N
664311	2268	1998-04-30	VYDAJ	VYBER	15	38190	SLUZBY	\N	\N
664312	2268	1998-05-31	VYDAJ	VYBER	15	40309	SLUZBY	\N	\N
664313	2268	1998-06-30	VYDAJ	VYBER	15	39780	SLUZBY	\N	\N
664314	2268	1998-07-31	VYDAJ	VYBER	15	38600	SLUZBY	\N	\N
664315	2268	1998-08-31	VYDAJ	VYBER	15	36709	SLUZBY	\N	\N
664316	2268	1998-09-30	VYDAJ	VYBER	15	40123	SLUZBY	\N	\N
664317	2268	1998-10-31	VYDAJ	VYBER	15	45648	SLUZBY	\N	\N
664318	2268	1998-11-30	VYDAJ	VYBER	15	46790	SLUZBY	\N	\N
664319	2268	1995-03-13	VYDAJ	VYBER	1200	22646	\N	\N	\N
664320	2268	1995-04-12	VYDAJ	VYBER	10800	35550	\N	\N	\N
664321	2268	1995-05-12	VYDAJ	VYBER	20300	39024	\N	\N	\N
664322	2268	1995-06-11	VYDAJ	VYBER	24500	50151	\N	\N	\N
664323	2268	1995-07-11	VYDAJ	VYBER	24200	49790	\N	\N	\N
664324	2268	1995-08-10	VYDAJ	VYBER	20100	45371	\N	\N	\N
664325	2268	1995-09-09	VYDAJ	VYBER	17700	40938	\N	\N	\N
664326	2268	1995-10-09	VYDAJ	VYBER	14900	44087	\N	\N	\N
664327	2268	1995-11-08	VYDAJ	VYBER	5100	28089	\N	\N	\N
664328	2268	1995-12-08	VYDAJ	VYBER	6300	39458	\N	\N	\N
664329	2268	1996-01-07	VYDAJ	VYBER	18000	47827	\N	\N	\N
664330	2268	1996-02-06	VYDAJ	VYBER	20300	45193	\N	\N	\N
664331	2268	1996-03-07	VYDAJ	VYBER	14300	43651	\N	\N	\N
664332	2268	1996-04-06	VYDAJ	VYBER	16500	44895	\N	\N	\N
664333	2268	1996-05-06	VYDAJ	VYBER	19700	43341	\N	\N	\N
664334	2268	1996-06-05	VYDAJ	VYBER	19300	41690	\N	\N	\N
664335	2268	1996-07-05	VYDAJ	VYBER	18600	48181	\N	\N	\N
664336	2268	1996-08-04	VYDAJ	VYBER	19400	46548	\N	\N	\N
664337	2268	1996-09-03	VYDAJ	VYBER	15800	48347	\N	\N	\N
664338	2268	1996-10-03	VYDAJ	VYBER	20100	43942	\N	\N	\N
664339	2268	1996-11-02	VYDAJ	VYBER	16800	44731	\N	\N	\N
664340	2268	1996-12-02	VYDAJ	VYBER	18300	44020	\N	\N	\N
664341	2268	1997-01-01	VYDAJ	VYBER	18800	52555	\N	\N	\N
664342	2268	1997-01-31	VYDAJ	VYBER	20500	49676	\N	\N	\N
664343	2268	1997-03-02	VYDAJ	VYBER	21800	45455	\N	\N	\N
664344	2268	1997-04-01	VYDAJ	VYBER	15100	46551	\N	\N	\N
664345	2268	1997-05-01	VYDAJ	VYBER	16200	47946	\N	\N	\N
664346	2268	1997-05-31	VYDAJ	VYBER	16900	48659	\N	\N	\N
664347	2268	1997-06-30	VYDAJ	VYBER	19800	50874	\N	\N	\N
664348	2268	1997-07-30	VYDAJ	VYBER	21600	46617	\N	\N	\N
664349	2268	1997-08-29	VYDAJ	VYBER	21300	42926	\N	\N	\N
664350	2268	1997-09-28	VYDAJ	VYBER	23500	36987	\N	\N	\N
664351	2268	1997-10-28	VYDAJ	VYBER	17700	34330	\N	\N	\N
664352	2268	1997-11-27	VYDAJ	VYBER	18200	33646	\N	\N	\N
664353	2268	1997-12-27	VYDAJ	VYBER	22000	39675	\N	\N	\N
664354	2268	1998-01-26	VYDAJ	VYBER	17700	39517	\N	\N	\N
664355	2268	1998-02-25	VYDAJ	VYBER	18800	38242	\N	\N	\N
664356	2268	1998-03-27	VYDAJ	VYBER	13100	41766	\N	\N	\N
664357	2268	1998-04-26	VYDAJ	VYBER	20000	37994	\N	\N	\N
664358	2268	1998-05-26	VYDAJ	VYBER	15400	40133	\N	\N	\N
664359	2268	1998-06-25	VYDAJ	VYBER	25000	44475	\N	\N	\N
664360	2268	1998-07-25	VYDAJ	VYBER	14500	38423	\N	\N	\N
664361	2268	1998-08-24	VYDAJ	VYBER	15200	36543	\N	\N	\N
664362	2268	1998-09-23	VYDAJ	VYBER	12100	39952	\N	\N	\N
664363	2268	1998-10-23	VYDAJ	VYBER	12000	45466	\N	\N	\N
664364	2268	1998-11-22	VYDAJ	VYBER	14500	48491	\N	\N	\N
664411	2269	1993-11-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
664422	2269	1993-11-14	PRIJEM	VKLAD	9725	10825	\N	\N	\N
664423	2269	1993-12-14	PRIJEM	VKLAD	14588	33439	\N	\N	\N
664424	2269	1994-01-14	PRIJEM	VKLAD	9725	37963	\N	\N	\N
664425	2269	1994-02-14	PRIJEM	VKLAD	9725	42739	\N	\N	\N
664426	2269	1994-03-14	PRIJEM	VKLAD	9725	44733	\N	\N	\N
664427	2269	1994-04-14	PRIJEM	VKLAD	9725	36683	\N	\N	\N
664428	2269	1994-05-14	PRIJEM	VKLAD	9725	34068	\N	\N	\N
664429	2269	1994-06-14	PRIJEM	VKLAD	14588	40003	\N	\N	\N
664430	2269	1994-07-14	PRIJEM	VKLAD	9725	35887	\N	\N	\N
664431	2269	1994-08-14	PRIJEM	VKLAD	9725	35128	\N	\N	\N
664432	2269	1994-09-14	PRIJEM	VKLAD	9725	32997	\N	\N	\N
664433	2269	1994-10-14	PRIJEM	VKLAD	9725	35555	\N	\N	\N
664434	2269	1994-11-14	PRIJEM	VKLAD	9725	33946	\N	\N	\N
664435	2269	1994-12-14	PRIJEM	VKLAD	14588	40069	\N	\N	\N
664436	2269	1995-01-14	PRIJEM	VKLAD	9725	24975	\N	\N	\N
664437	2269	1995-02-14	PRIJEM	VKLAD	9725	23129	\N	\N	\N
664438	2269	1995-03-14	PRIJEM	VKLAD	9725	30746	\N	\N	\N
664439	2269	1995-04-14	PRIJEM	VKLAD	9725	32813	\N	\N	\N
664440	2269	1995-05-14	PRIJEM	VKLAD	9725	34368	\N	\N	\N
664441	2269	1995-06-14	PRIJEM	VKLAD	14588	40192	\N	\N	\N
664442	2269	1995-07-14	PRIJEM	VKLAD	9725	23832	\N	\N	\N
664443	2269	1995-08-14	PRIJEM	VKLAD	9725	27851	\N	\N	\N
664444	2269	1995-09-14	PRIJEM	VKLAD	9725	25726	\N	\N	\N
664445	2269	1995-10-14	PRIJEM	VKLAD	9725	32361	\N	\N	\N
664446	2269	1995-11-14	PRIJEM	VKLAD	9725	32311	\N	\N	\N
664447	2269	1995-12-14	PRIJEM	VKLAD	14588	37623	\N	\N	\N
664448	2269	1996-01-14	PRIJEM	VKLAD	9725	34406	\N	\N	\N
664449	2269	1996-02-14	PRIJEM	VKLAD	9725	29199	\N	\N	\N
664450	2269	1996-03-14	PRIJEM	VKLAD	9725	32638	\N	\N	\N
664451	2269	1996-04-14	PRIJEM	VKLAD	9725	35991	\N	\N	\N
664452	2269	1996-05-14	PRIJEM	VKLAD	9725	36278	\N	\N	\N
664453	2269	1996-06-14	PRIJEM	VKLAD	14588	46516	\N	\N	\N
664454	2269	1996-07-14	PRIJEM	VKLAD	9725	21803	\N	\N	\N
664455	2269	1996-08-14	PRIJEM	VKLAD	9725	33824	\N	\N	\N
664456	2269	1996-09-14	PRIJEM	VKLAD	9725	36880	\N	\N	\N
664457	2269	1996-10-14	PRIJEM	VKLAD	9725	38647	\N	\N	\N
664458	2269	1996-11-14	PRIJEM	VKLAD	9725	41423	\N	\N	\N
664459	2269	1996-12-14	PRIJEM	VKLAD	14588	47570	\N	\N	\N
664460	2269	1997-01-14	PRIJEM	VKLAD	9725	20896	\N	\N	\N
664461	2269	1997-02-14	PRIJEM	VKLAD	9725	28530	\N	\N	\N
664462	2269	1997-03-14	PRIJEM	VKLAD	9725	33166	\N	\N	\N
664463	2269	1997-04-14	PRIJEM	VKLAD	9725	39424	\N	\N	\N
664464	2269	1997-05-14	PRIJEM	VKLAD	9725	39697	\N	\N	\N
664465	2269	1997-06-14	PRIJEM	VKLAD	14588	36825	\N	\N	\N
664466	2269	1997-07-14	PRIJEM	VKLAD	9725	28094	\N	\N	\N
664467	2269	1997-08-14	PRIJEM	VKLAD	9725	33229	\N	\N	\N
664468	2269	1997-09-14	PRIJEM	VKLAD	9725	35880	\N	\N	\N
664469	2269	1997-10-14	PRIJEM	VKLAD	9725	36146	\N	\N	\N
664470	2269	1997-11-14	PRIJEM	VKLAD	9725	30334	\N	\N	\N
664471	2269	1997-12-14	PRIJEM	VKLAD	14588	35246	\N	\N	\N
664472	2269	1998-01-14	PRIJEM	VKLAD	9725	31681	\N	\N	\N
664473	2269	1998-02-14	PRIJEM	VKLAD	9725	22966	\N	\N	\N
664474	2269	1998-03-14	PRIJEM	VKLAD	9725	27682	\N	\N	\N
664475	2269	1998-04-14	PRIJEM	VKLAD	9725	24734	\N	\N	\N
664476	2269	1998-05-14	PRIJEM	VKLAD	9725	25864	\N	\N	\N
664477	2269	1998-06-14	PRIJEM	VKLAD	14588	28388	\N	\N	\N
664478	2269	1998-07-14	PRIJEM	VKLAD	9725	23895	\N	\N	\N
664479	2269	1998-08-14	PRIJEM	VKLAD	9725	23715	\N	\N	\N
664480	2269	1998-09-14	PRIJEM	VKLAD	9725	23837	\N	\N	\N
664481	2269	1998-10-14	PRIJEM	VKLAD	9725	26560	\N	\N	\N
664482	2269	1998-11-14	PRIJEM	VKLAD	9725	26990	\N	\N	\N
664483	2269	1998-12-14	PRIJEM	VKLAD	14588	27388	\N	\N	\N
664499	2269	1994-04-12	VYDAJ	PREVOD NA UCET	4581	26958	SIPO	ST	9433424
664500	2269	1994-05-12	VYDAJ	PREVOD NA UCET	4581	24343	SIPO	ST	9433424
664501	2269	1994-06-12	VYDAJ	PREVOD NA UCET	4581	25415	SIPO	ST	9433424
664502	2269	1994-07-12	VYDAJ	PREVOD NA UCET	4581	26162	SIPO	ST	9433424
664503	2269	1994-08-12	VYDAJ	PREVOD NA UCET	4581	25403	SIPO	ST	9433424
664504	2269	1994-09-12	VYDAJ	PREVOD NA UCET	4581	23272	SIPO	ST	9433424
664505	2269	1994-10-12	VYDAJ	PREVOD NA UCET	4581	25830	SIPO	ST	9433424
664506	2269	1994-11-12	VYDAJ	PREVOD NA UCET	4581	24221	SIPO	ST	9433424
664507	2269	1994-12-12	VYDAJ	PREVOD NA UCET	4581	25481	SIPO	ST	9433424
664508	2269	1995-01-12	VYDAJ	PREVOD NA UCET	4581	18250	SIPO	ST	9433424
664509	2269	1995-02-12	VYDAJ	PREVOD NA UCET	4581	13404	SIPO	ST	9433424
664510	2269	1995-03-12	VYDAJ	PREVOD NA UCET	4581	21021	SIPO	ST	9433424
664511	2269	1995-04-12	VYDAJ	PREVOD NA UCET	4581	23088	SIPO	ST	9433424
664512	2269	1995-05-12	VYDAJ	PREVOD NA UCET	4581	24643	SIPO	ST	9433424
664513	2269	1995-06-12	VYDAJ	PREVOD NA UCET	4581	25604	SIPO	ST	9433424
664514	2269	1995-07-12	VYDAJ	PREVOD NA UCET	4581	14107	SIPO	ST	9433424
664515	2269	1995-08-12	VYDAJ	PREVOD NA UCET	4581	18126	SIPO	ST	9433424
664516	2269	1995-09-12	VYDAJ	PREVOD NA UCET	4581	16001	SIPO	ST	9433424
664517	2269	1995-10-12	VYDAJ	PREVOD NA UCET	4581	22636	SIPO	ST	9433424
664518	2269	1995-11-12	VYDAJ	PREVOD NA UCET	4581	22586	SIPO	ST	9433424
664519	2269	1995-12-12	VYDAJ	PREVOD NA UCET	4581	23035	SIPO	ST	9433424
664520	2269	1996-01-12	VYDAJ	PREVOD NA UCET	4581	24681	SIPO	ST	9433424
664521	2269	1996-02-12	VYDAJ	PREVOD NA UCET	4581	19474	SIPO	ST	9433424
664522	2269	1996-03-12	VYDAJ	PREVOD NA UCET	4581	22913	SIPO	ST	9433424
664523	2269	1996-04-12	VYDAJ	PREVOD NA UCET	4581	26266	SIPO	ST	9433424
664524	2269	1996-05-12	VYDAJ	PREVOD NA UCET	4581	26553	SIPO	ST	9433424
664525	2269	1996-06-12	VYDAJ	PREVOD NA UCET	4581	31928	SIPO	ST	9433424
664526	2269	1996-07-12	VYDAJ	PREVOD NA UCET	4581	12078	SIPO	ST	9433424
664527	2269	1996-08-12	VYDAJ	PREVOD NA UCET	4581	24099	SIPO	ST	9433424
664528	2269	1996-09-12	VYDAJ	PREVOD NA UCET	4581	27155	SIPO	ST	9433424
664529	2269	1996-10-12	VYDAJ	PREVOD NA UCET	4581	28922	SIPO	ST	9433424
664530	2269	1996-11-12	VYDAJ	PREVOD NA UCET	4581	31698	SIPO	ST	9433424
664531	2269	1996-12-12	VYDAJ	PREVOD NA UCET	4581	32982	SIPO	ST	9433424
664532	2269	1997-01-12	VYDAJ	PREVOD NA UCET	4581	11171	SIPO	ST	9433424
664533	2269	1997-02-12	VYDAJ	PREVOD NA UCET	4581	18805	SIPO	ST	9433424
664534	2269	1997-03-12	VYDAJ	PREVOD NA UCET	4581	23441	SIPO	ST	9433424
664535	2269	1997-04-12	VYDAJ	PREVOD NA UCET	4581	29699	SIPO	ST	9433424
664536	2269	1997-05-12	VYDAJ	PREVOD NA UCET	4581	29972	SIPO	ST	9433424
664537	2269	1997-06-12	VYDAJ	PREVOD NA UCET	4581	22237	SIPO	ST	9433424
664538	2269	1997-07-12	VYDAJ	PREVOD NA UCET	4581	18369	SIPO	ST	9433424
664539	2269	1997-08-12	VYDAJ	PREVOD NA UCET	4581	23504	SIPO	ST	9433424
664540	2269	1997-09-12	VYDAJ	PREVOD NA UCET	4581	26155	SIPO	ST	9433424
664541	2269	1997-10-12	VYDAJ	PREVOD NA UCET	4581	26421	SIPO	ST	9433424
664542	2269	1997-11-12	VYDAJ	PREVOD NA UCET	4581	23989	SIPO	ST	9433424
664543	2269	1997-12-12	VYDAJ	PREVOD NA UCET	4581	21858	SIPO	ST	9433424
664544	2269	1998-01-12	VYDAJ	PREVOD NA UCET	4581	21956	SIPO	ST	9433424
664545	2269	1998-02-12	VYDAJ	PREVOD NA UCET	4581	13241	SIPO	ST	9433424
664546	2269	1998-03-12	VYDAJ	PREVOD NA UCET	4581	18457	SIPO	ST	9433424
664547	2269	1998-04-12	VYDAJ	PREVOD NA UCET	4581	15009	SIPO	ST	9433424
664548	2269	1998-05-12	VYDAJ	PREVOD NA UCET	4581	16139	SIPO	ST	9433424
664549	2269	1998-06-12	VYDAJ	PREVOD NA UCET	4581	13800	SIPO	ST	9433424
664550	2269	1998-07-12	VYDAJ	PREVOD NA UCET	4581	14170	SIPO	ST	9433424
664551	2269	1998-08-12	VYDAJ	PREVOD NA UCET	4581	13990	SIPO	ST	9433424
664552	2269	1998-09-12	VYDAJ	PREVOD NA UCET	4581	14112	SIPO	ST	9433424
664553	2269	1998-10-12	VYDAJ	PREVOD NA UCET	4581	16835	SIPO	ST	9433424
664554	2269	1998-11-12	VYDAJ	PREVOD NA UCET	4581	17265	SIPO	ST	9433424
664555	2269	1998-12-12	VYDAJ	PREVOD NA UCET	4581	12800	SIPO	ST	9433424
664630	2269	1995-06-19	VYDAJ	VYBER	23200	16992	\N	\N	\N
664631	2269	1996-06-22	VYDAJ	VYBER	16800	20376	\N	\N	\N
664636	2269	1995-01-04	VYDAJ	VYBER	4800	24871	\N	\N	\N
664638	2269	1997-01-11	VYDAJ	VYBER	10720	15752	\N	\N	\N
664639	2269	1998-01-25	VYDAJ	VYBER	1760	26681	\N	\N	\N
664641	2269	1994-12-14	VYDAJ	VYBER	4320	35749	\N	\N	\N
664642	2269	1995-12-21	VYDAJ	VYBER	3200	34423	\N	\N	\N
664643	2269	1996-12-15	VYDAJ	VYBER	4320	43250	\N	\N	\N
664644	2269	1997-12-12	VYDAJ	VYBER	4000	26439	\N	\N	\N
664645	2269	1998-12-14	VYDAJ	VYBER	960	26428	\N	\N	\N
664658	2269	1995-01-12	VYDAJ	VYBER	3000	15250	\N	\N	\N
664659	2269	1995-01-27	VYDAJ	VYBER	1800	14415	\N	\N	\N
664660	2269	1995-01-17	VYDAJ	VYBER	2280	20055	\N	\N	\N
664661	2269	1995-01-17	VYDAJ	VYBER	3240	16815	\N	\N	\N
664662	2269	1995-01-05	VYDAJ	VYBER	2040	22831	\N	\N	\N
664663	2269	1995-01-25	VYDAJ	VYBER	600	16215	\N	\N	\N
664664	2269	1996-01-11	VYDAJ	VYBER	1440	29262	\N	\N	\N
664665	2269	1996-01-15	VYDAJ	VYBER	3480	30926	\N	\N	\N
664666	2269	1996-01-25	VYDAJ	VYBER	2760	26466	\N	\N	\N
664667	2269	1996-01-21	VYDAJ	VYBER	2400	28526	\N	\N	\N
664668	2269	1996-01-08	VYDAJ	VYBER	3240	30702	\N	\N	\N
664669	2269	1996-01-27	VYDAJ	VYBER	2520	23946	\N	\N	\N
664670	2269	1997-01-07	VYDAJ	VYBER	2640	32352	\N	\N	\N
664672	2269	1997-01-09	VYDAJ	VYBER	1200	27912	\N	\N	\N
664673	2269	1997-01-10	VYDAJ	VYBER	1440	26472	\N	\N	\N
664674	2269	1997-01-08	VYDAJ	VYBER	3240	29112	\N	\N	\N
664675	2269	1997-01-03	VYDAJ	VYBER	1800	34992	\N	\N	\N
664676	2269	1998-01-25	VYDAJ	VYBER	2280	24401	\N	\N	\N
664677	2269	1998-01-28	VYDAJ	VYBER	1440	22961	\N	\N	\N
664678	2269	1998-01-10	VYDAJ	VYBER	2880	26237	\N	\N	\N
664679	2269	1998-01-09	VYDAJ	VYBER	2520	29117	\N	\N	\N
664680	2269	1998-01-29	VYDAJ	VYBER	1920	21041	\N	\N	\N
664681	2269	1998-01-17	VYDAJ	VYBER	3240	28441	\N	\N	\N
664687	2269	1994-10-27	VYDAJ	VYBER	1080	34475	\N	\N	\N
664688	2269	1994-12-04	VYDAJ	VYBER	600	30062	\N	\N	\N
664689	2269	1994-07-28	VYDAJ	VYBER	2640	33247	\N	\N	\N
664690	2269	1994-03-30	VYDAJ	VYBER	5160	39573	\N	\N	\N
664691	2269	1995-09-03	VYDAJ	VYBER	5760	20582	\N	\N	\N
664692	2269	1995-01-17	VYDAJ	VYBER	2640	22335	\N	\N	\N
664693	2269	1995-03-30	VYDAJ	VYBER	1680	27566	\N	\N	\N
664694	2269	1996-06-16	VYDAJ	VYBER	3240	43276	\N	\N	\N
664695	2269	1996-06-30	VYDAJ	VYBER	3840	16674	\N	\N	\N
664696	2269	1996-05-12	VYDAJ	VYBER	3480	31134	\N	\N	\N
664697	2269	1997-06-16	VYDAJ	VYBER	600	36225	\N	\N	\N
664698	2269	1997-06-28	VYDAJ	VYBER	3120	22845	\N	\N	\N
664699	2269	1997-05-26	VYDAJ	VYBER	4080	26697	\N	\N	\N
664700	2269	1997-11-13	VYDAJ	VYBER	4080	20609	\N	\N	\N
664701	2269	1997-06-23	VYDAJ	VYBER	4560	25965	\N	\N	\N
664702	2269	1997-12-15	VYDAJ	VYBER	3720	31526	\N	\N	\N
664703	2269	1997-05-19	VYDAJ	VYBER	5520	30777	\N	\N	\N
664704	2269	1998-06-24	VYDAJ	VYBER	3960	24428	\N	\N	\N
664705	2269	1998-03-14	VYDAJ	VYBER	2280	25402	\N	\N	\N
664706	2269	1998-07-04	VYDAJ	VYBER	3360	21151	\N	\N	\N
664707	2269	1998-02-01	VYDAJ	VYBER	3120	18022	\N	\N	\N
664708	2269	1998-05-14	VYDAJ	VYBER	3960	21904	\N	\N	\N
664709	2269	1998-12-05	VYDAJ	VYBER	2400	24681	\N	\N	\N
664710	2269	1998-07-06	VYDAJ	VYBER	2400	18751	\N	\N	\N
664726	2269	1994-03-31	VYDAJ	VYBER	15	39739	SLUZBY	\N	\N
664727	2269	1994-04-30	VYDAJ	VYBER	15	36824	SLUZBY	\N	\N
664728	2269	1994-05-31	VYDAJ	VYBER	15	34196	SLUZBY	\N	\N
664729	2269	1994-06-30	VYDAJ	VYBER	15	40143	SLUZBY	\N	\N
664730	2269	1994-07-31	VYDAJ	VYBER	15	33384	SLUZBY	\N	\N
664731	2269	1994-08-31	VYDAJ	VYBER	15	27853	SLUZBY	\N	\N
664732	2269	1994-09-30	VYDAJ	VYBER	15	33111	SLUZBY	\N	\N
664733	2269	1994-10-31	VYDAJ	VYBER	15	28802	SLUZBY	\N	\N
664734	2269	1994-11-30	VYDAJ	VYBER	15	30662	SLUZBY	\N	\N
664735	2269	1994-12-31	VYDAJ	VYBER	15	29671	SLUZBY	\N	\N
664736	2269	1995-01-31	VYDAJ	VYBER	15	17985	SLUZBY	\N	\N
664737	2269	1995-02-28	VYDAJ	VYBER	15	25602	SLUZBY	\N	\N
664738	2269	1995-03-31	VYDAJ	VYBER	15	27669	SLUZBY	\N	\N
664739	2269	1995-04-30	VYDAJ	VYBER	15	29224	SLUZBY	\N	\N
664740	2269	1995-05-31	VYDAJ	VYBER	15	30185	SLUZBY	\N	\N
664741	2269	1995-06-30	VYDAJ	VYBER	15	18688	SLUZBY	\N	\N
664742	2269	1995-07-31	VYDAJ	VYBER	15	22707	SLUZBY	\N	\N
664743	2269	1995-08-31	VYDAJ	VYBER	15	26342	SLUZBY	\N	\N
664744	2269	1995-09-30	VYDAJ	VYBER	15	27217	SLUZBY	\N	\N
664745	2269	1995-10-31	VYDAJ	VYBER	15	27167	SLUZBY	\N	\N
664746	2269	1995-11-30	VYDAJ	VYBER	15	27616	SLUZBY	\N	\N
664747	2269	1995-12-31	VYDAJ	VYBER	15	33942	SLUZBY	\N	\N
664748	2269	1996-01-31	VYDAJ	VYBER	15	24055	SLUZBY	\N	\N
664749	2269	1996-02-29	VYDAJ	VYBER	15	27494	SLUZBY	\N	\N
664750	2269	1996-03-31	VYDAJ	VYBER	15	30847	SLUZBY	\N	\N
664751	2269	1996-04-30	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
664752	2269	1996-05-31	VYDAJ	VYBER	15	36509	SLUZBY	\N	\N
664753	2269	1996-06-30	VYDAJ	VYBER	15	16659	SLUZBY	\N	\N
664754	2269	1996-07-31	VYDAJ	VYBER	15	28680	SLUZBY	\N	\N
664755	2269	1996-08-31	VYDAJ	VYBER	15	31736	SLUZBY	\N	\N
664756	2269	1996-09-30	VYDAJ	VYBER	15	33503	SLUZBY	\N	\N
664757	2269	1996-10-31	VYDAJ	VYBER	15	36279	SLUZBY	\N	\N
664758	2269	1996-11-30	VYDAJ	VYBER	15	37563	SLUZBY	\N	\N
664759	2269	1996-12-31	VYDAJ	VYBER	15	36792	SLUZBY	\N	\N
664760	2269	1997-01-31	VYDAJ	VYBER	15	23386	SLUZBY	\N	\N
664761	2269	1997-02-28	VYDAJ	VYBER	15	28022	SLUZBY	\N	\N
664762	2269	1997-03-31	VYDAJ	VYBER	15	34280	SLUZBY	\N	\N
664763	2269	1997-04-30	VYDAJ	VYBER	15	34553	SLUZBY	\N	\N
664764	2269	1997-05-31	VYDAJ	VYBER	15	26818	SLUZBY	\N	\N
664765	2269	1997-06-30	VYDAJ	VYBER	15	22950	SLUZBY	\N	\N
664766	2269	1997-07-31	VYDAJ	VYBER	15	28085	SLUZBY	\N	\N
664767	2269	1997-08-31	VYDAJ	VYBER	15	30736	SLUZBY	\N	\N
664768	2269	1997-09-30	VYDAJ	VYBER	15	31002	SLUZBY	\N	\N
664769	2269	1997-10-31	VYDAJ	VYBER	15	28570	SLUZBY	\N	\N
664770	2269	1997-11-30	VYDAJ	VYBER	15	30439	SLUZBY	\N	\N
664771	2269	1997-12-31	VYDAJ	VYBER	15	31637	SLUZBY	\N	\N
664772	2269	1998-01-31	VYDAJ	VYBER	15	21142	SLUZBY	\N	\N
664773	2269	1998-02-28	VYDAJ	VYBER	15	23038	SLUZBY	\N	\N
664774	2269	1998-03-31	VYDAJ	VYBER	15	25490	SLUZBY	\N	\N
664775	2269	1998-04-30	VYDAJ	VYBER	15	24820	SLUZBY	\N	\N
664776	2269	1998-05-31	VYDAJ	VYBER	15	21981	SLUZBY	\N	\N
664777	2269	1998-06-30	VYDAJ	VYBER	15	24511	SLUZBY	\N	\N
664778	2269	1998-07-31	VYDAJ	VYBER	15	23971	SLUZBY	\N	\N
664779	2269	1998-08-31	VYDAJ	VYBER	15	23793	SLUZBY	\N	\N
664780	2269	1998-09-30	VYDAJ	VYBER	15	23916	SLUZBY	\N	\N
664781	2269	1998-10-31	VYDAJ	VYBER	15	26646	SLUZBY	\N	\N
664782	2269	1998-11-30	VYDAJ	VYBER	15	27081	SLUZBY	\N	\N
664783	2269	1993-12-04	PRIJEM	VKLAD	8000	18851	\N	\N	\N
664784	2269	1994-01-03	VYDAJ	VYBER	5300	28238	\N	\N	\N
664785	2269	1994-02-02	VYDAJ	VYBER	5100	33014	\N	\N	\N
664786	2269	1994-03-04	VYDAJ	VYBER	7900	35008	\N	\N	\N
664787	2269	1994-04-03	VYDAJ	VYBER	8200	31539	\N	\N	\N
664788	2269	1994-05-03	VYDAJ	VYBER	7900	28924	\N	\N	\N
664789	2269	1994-06-02	VYDAJ	VYBER	4200	29996	\N	\N	\N
664790	2269	1994-07-02	VYDAJ	VYBER	9400	30743	\N	\N	\N
664791	2269	1994-08-01	VYDAJ	VYBER	3400	29984	\N	\N	\N
664792	2269	1994-08-31	VYDAJ	VYBER	7400	27868	\N	\N	\N
664793	2269	1994-09-30	VYDAJ	VYBER	2700	30411	\N	\N	\N
664794	2269	1994-10-30	VYDAJ	VYBER	5800	28675	\N	\N	\N
664795	2269	1994-11-29	VYDAJ	VYBER	3400	30546	\N	\N	\N
664796	2269	1994-12-29	VYDAJ	VYBER	6200	29549	\N	\N	\N
664797	2269	1995-01-28	PRIJEM	VKLAD	3500	17915	\N	\N	\N
664798	2269	1995-02-27	PRIJEM	VKLAD	2400	25529	\N	\N	\N
664799	2269	1995-03-29	VYDAJ	VYBER	1500	29246	\N	\N	\N
664800	2269	1995-04-28	VYDAJ	VYBER	3700	29113	\N	\N	\N
664801	2269	1995-05-28	VYDAJ	VYBER	4300	30068	\N	\N	\N
664802	2269	1995-06-27	PRIJEM	VKLAD	1600	18592	\N	\N	\N
664803	2269	1995-07-27	VYDAJ	VYBER	1200	22632	\N	\N	\N
664804	2269	1995-08-26	VYDAJ	VYBER	1600	26251	\N	\N	\N
664805	2269	1995-09-25	PRIJEM	VKLAD	1400	27126	\N	\N	\N
664806	2269	1995-10-25	VYDAJ	VYBER	5300	27061	\N	\N	\N
664807	2269	1995-11-24	VYDAJ	VYBER	4800	27511	\N	\N	\N
664808	2269	1995-12-24	VYDAJ	VYBER	600	33823	\N	\N	\N
664809	2269	1996-01-23	PRIJEM	VKLAD	700	29226	\N	\N	\N
664810	2269	1996-02-22	VYDAJ	VYBER	1800	27399	\N	\N	\N
664811	2269	1996-03-23	VYDAJ	VYBER	1900	30738	\N	\N	\N
664812	2269	1996-04-22	VYDAJ	VYBER	1500	34491	\N	\N	\N
664813	2269	1996-05-22	PRIJEM	VKLAD	100	36378	\N	\N	\N
664814	2269	1996-06-21	VYDAJ	VYBER	6100	37176	\N	\N	\N
664815	2269	1996-07-21	PRIJEM	VKLAD	6800	28603	\N	\N	\N
664816	2269	1996-08-20	VYDAJ	VYBER	2200	31624	\N	\N	\N
664817	2269	1996-09-19	VYDAJ	VYBER	3500	33380	\N	\N	\N
664818	2269	1996-10-19	VYDAJ	VYBER	2500	36147	\N	\N	\N
664819	2269	1996-11-18	VYDAJ	VYBER	4000	37423	\N	\N	\N
664820	2269	1996-12-18	VYDAJ	VYBER	6600	36650	\N	\N	\N
664821	2269	1997-01-17	PRIJEM	VKLAD	2400	23296	\N	\N	\N
664822	2269	1997-02-16	VYDAJ	VYBER	600	27930	\N	\N	\N
664823	2269	1997-03-18	PRIJEM	VKLAD	1000	34166	\N	\N	\N
664824	2269	1997-04-17	VYDAJ	VYBER	5000	34424	\N	\N	\N
664825	2269	1997-05-17	VYDAJ	VYBER	3400	36297	\N	\N	\N
664826	2269	1997-06-16	VYDAJ	VYBER	5700	30525	\N	\N	\N
664827	2269	1997-07-16	VYDAJ	VYBER	100	27994	\N	\N	\N
664828	2269	1997-08-15	VYDAJ	VYBER	2600	30629	\N	\N	\N
664829	2269	1997-09-14	VYDAJ	VYBER	5000	30880	\N	\N	\N
664830	2269	1997-10-14	VYDAJ	VYBER	7700	28446	\N	\N	\N
664831	2269	1997-11-13	PRIJEM	VKLAD	700	24689	\N	\N	\N
664832	2269	1997-12-13	VYDAJ	VYBER	1200	20658	\N	\N	\N
664833	2269	1998-01-12	PRIJEM	VKLAD	300	26537	\N	\N	\N
664834	2269	1998-02-11	VYDAJ	VYBER	200	17822	\N	\N	\N
664835	2269	1998-03-13	VYDAJ	VYBER	500	17957	\N	\N	\N
664836	2269	1998-04-12	VYDAJ	VYBER	5900	19590	\N	\N	\N
664837	2269	1998-05-12	VYDAJ	VYBER	4100	20720	\N	\N	\N
664838	2269	1998-06-11	VYDAJ	VYBER	3600	18381	\N	\N	\N
664839	2269	1998-08-10	VYDAJ	VYBER	5400	18571	\N	\N	\N
664840	2269	1998-09-09	VYDAJ	VYBER	5100	18693	\N	\N	\N
664841	2269	1998-10-09	VYDAJ	VYBER	2500	21416	\N	\N	\N
664842	2269	1998-11-08	VYDAJ	VYBER	4800	21846	\N	\N	\N
664843	2269	1998-12-08	VYDAJ	VYBER	7300	17381	\N	\N	\N
664906	2270	1997-03-08	PRIJEM	VKLAD	600	600	\N	\N	\N
664910	2270	1997-04-05	PRIJEM	PREVOD Z UCTU	5407	6007	DUCHOD	YZ	63281148
664911	2270	1997-05-05	PRIJEM	PREVOD Z UCTU	5407	11414	DUCHOD	YZ	63281148
664912	2270	1997-06-05	PRIJEM	PREVOD Z UCTU	5407	16821	DUCHOD	YZ	63281148
664913	2270	1997-07-05	PRIJEM	PREVOD Z UCTU	5407	22228	DUCHOD	YZ	63281148
664914	2270	1997-08-05	PRIJEM	PREVOD Z UCTU	5407	26509	DUCHOD	YZ	63281148
664915	2270	1997-09-05	PRIJEM	PREVOD Z UCTU	5407	23374	DUCHOD	YZ	63281148
664916	2270	1997-10-05	PRIJEM	PREVOD Z UCTU	5407	25243	DUCHOD	YZ	63281148
664917	2270	1997-11-05	PRIJEM	PREVOD Z UCTU	5407	27121	DUCHOD	YZ	63281148
664918	2270	1997-12-05	PRIJEM	PREVOD Z UCTU	5407	29006	DUCHOD	YZ	63281148
664919	2270	1998-01-05	PRIJEM	PREVOD Z UCTU	5407	29847	DUCHOD	YZ	63281148
664920	2270	1998-02-05	PRIJEM	PREVOD Z UCTU	5407	28266	DUCHOD	YZ	63281148
664921	2270	1998-03-05	PRIJEM	PREVOD Z UCTU	5407	30156	DUCHOD	YZ	63281148
664922	2270	1998-04-05	PRIJEM	PREVOD Z UCTU	5407	31332	DUCHOD	YZ	63281148
664923	2270	1998-05-05	PRIJEM	PREVOD Z UCTU	5407	31711	DUCHOD	YZ	63281148
664924	2270	1998-06-05	PRIJEM	PREVOD Z UCTU	5407	27127	DUCHOD	YZ	63281148
664925	2270	1998-07-05	PRIJEM	PREVOD Z UCTU	5407	25208	DUCHOD	YZ	63281148
664926	2270	1998-08-05	PRIJEM	PREVOD Z UCTU	5407	27085	DUCHOD	YZ	63281148
664927	2270	1998-09-05	PRIJEM	PREVOD Z UCTU	5407	28970	DUCHOD	YZ	63281148
664928	2270	1998-10-05	PRIJEM	PREVOD Z UCTU	5407	29097	DUCHOD	YZ	63281148
664929	2270	1998-11-05	PRIJEM	PREVOD Z UCTU	5407	30990	DUCHOD	YZ	63281148
664930	2270	1998-12-05	PRIJEM	PREVOD Z UCTU	5407	32892	DUCHOD	YZ	63281148
664938	2270	1997-08-06	VYDAJ	PREVOD NA UCET	3604	17905	SIPO	YZ	68958437
664939	2270	1997-09-06	VYDAJ	PREVOD NA UCET	3604	19770	SIPO	YZ	68958437
664940	2270	1997-10-06	VYDAJ	PREVOD NA UCET	3604	21639	SIPO	YZ	68958437
664941	2270	1997-11-06	VYDAJ	PREVOD NA UCET	3604	23517	SIPO	YZ	68958437
664942	2270	1997-12-06	VYDAJ	PREVOD NA UCET	3604	25402	SIPO	YZ	68958437
664943	2270	1998-01-06	VYDAJ	PREVOD NA UCET	3604	26243	SIPO	YZ	68958437
664944	2270	1998-02-06	VYDAJ	PREVOD NA UCET	3604	24662	SIPO	YZ	68958437
664945	2270	1998-03-06	VYDAJ	PREVOD NA UCET	3604	26552	SIPO	YZ	68958437
664946	2270	1998-04-06	VYDAJ	PREVOD NA UCET	3604	27728	SIPO	YZ	68958437
664947	2270	1998-05-06	VYDAJ	PREVOD NA UCET	3604	28107	SIPO	YZ	68958437
664948	2270	1998-06-06	VYDAJ	PREVOD NA UCET	3604	23523	SIPO	YZ	68958437
664949	2270	1998-07-06	VYDAJ	PREVOD NA UCET	3604	21604	SIPO	YZ	68958437
664950	2270	1998-08-06	VYDAJ	PREVOD NA UCET	3604	23481	SIPO	YZ	68958437
664951	2270	1998-09-06	VYDAJ	PREVOD NA UCET	3604	25366	SIPO	YZ	68958437
664952	2270	1998-10-06	VYDAJ	PREVOD NA UCET	3604	25493	SIPO	YZ	68958437
664953	2270	1998-11-06	VYDAJ	PREVOD NA UCET	3604	27386	SIPO	YZ	68958437
664954	2270	1998-12-06	VYDAJ	PREVOD NA UCET	3604	29288	SIPO	YZ	68958437
664956	2270	1998-06-19	VYDAJ	VYBER	3800	19723	\N	\N	\N
664958	2270	1998-01-07	VYDAJ	VYBER	1550	24693	\N	\N	\N
664959	2270	1997-12-23	VYDAJ	VYBER	1050	24352	\N	\N	\N
664960	2270	1998-12-29	VYDAJ	VYBER	1100	21168	\N	\N	\N
664966	2270	1998-06-03	VYDAJ	VYBER	3360	21720	\N	\N	\N
664967	2270	1998-05-10	VYDAJ	VYBER	3120	24987	\N	\N	\N
664968	2270	1998-12-25	VYDAJ	VYBER	3120	26168	\N	\N	\N
664969	2270	1998-01-23	VYDAJ	VYBER	1920	22773	\N	\N	\N
664970	2270	1998-03-11	VYDAJ	VYBER	720	25832	\N	\N	\N
664971	2270	1998-05-04	VYDAJ	VYBER	400	26304	\N	\N	\N
664972	2270	1998-04-08	VYDAJ	VYBER	1120	26608	\N	\N	\N
664973	2270	1998-09-07	VYDAJ	VYBER	1760	23606	\N	\N	\N
664982	2270	1997-08-31	VYDAJ	VYBER	15	17967	SLUZBY	\N	\N
664983	2270	1997-09-30	VYDAJ	VYBER	15	19836	SLUZBY	\N	\N
664984	2270	1997-10-31	VYDAJ	VYBER	15	21714	SLUZBY	\N	\N
664985	2270	1997-11-30	VYDAJ	VYBER	15	23599	SLUZBY	\N	\N
664986	2270	1997-12-31	VYDAJ	VYBER	15	24440	SLUZBY	\N	\N
664987	2270	1998-01-31	VYDAJ	VYBER	15	22859	SLUZBY	\N	\N
664988	2270	1998-02-28	VYDAJ	VYBER	15	24749	SLUZBY	\N	\N
664989	2270	1998-03-31	VYDAJ	VYBER	15	25925	SLUZBY	\N	\N
664990	2270	1998-04-30	VYDAJ	VYBER	15	26704	SLUZBY	\N	\N
664991	2270	1998-05-31	VYDAJ	VYBER	15	25080	SLUZBY	\N	\N
664992	2270	1998-06-30	VYDAJ	VYBER	15	19801	SLUZBY	\N	\N
664993	2270	1998-07-31	VYDAJ	VYBER	15	21678	SLUZBY	\N	\N
664994	2270	1998-08-31	VYDAJ	VYBER	15	23563	SLUZBY	\N	\N
664995	2270	1998-09-30	VYDAJ	VYBER	15	23690	SLUZBY	\N	\N
664996	2270	1998-10-31	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
664997	2270	1998-11-30	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
664998	2270	1997-07-06	VYDAJ	VYBER	1200	21028	\N	\N	\N
664999	2270	1997-08-05	VYDAJ	VYBER	5000	21509	\N	\N	\N
665000	2270	1998-12-28	VYDAJ	VYBER	3900	22268	\N	\N	\N
665019	2271	1993-11-13	PRIJEM	VKLAD	600	600	\N	\N	\N
665031	2271	1993-12-10	PRIJEM	PREVOD Z UCTU	3048	3648	\N	UV	96342283
665032	2271	1994-01-10	PRIJEM	PREVOD Z UCTU	3048	6696	\N	UV	96342283
665033	2271	1994-02-10	PRIJEM	PREVOD Z UCTU	3048	9744	\N	UV	96342283
665034	2271	1994-03-10	PRIJEM	PREVOD Z UCTU	3048	12792	\N	UV	96342283
665035	2271	1994-04-10	PRIJEM	PREVOD Z UCTU	3048	15840	\N	UV	96342283
665036	2271	1994-05-10	PRIJEM	PREVOD Z UCTU	3048	16844	\N	UV	96342283
665037	2271	1994-06-10	PRIJEM	PREVOD Z UCTU	3048	17914	\N	UV	96342283
665038	2271	1994-07-10	PRIJEM	PREVOD Z UCTU	3048	17847	\N	UV	96342283
665039	2271	1994-08-10	PRIJEM	PREVOD Z UCTU	3048	17780	\N	UV	96342283
665040	2271	1994-09-10	PRIJEM	PREVOD Z UCTU	3048	18583	\N	UV	96342283
665041	2271	1994-10-10	PRIJEM	PREVOD Z UCTU	3048	19661	\N	UV	96342283
665042	2271	1994-11-10	PRIJEM	PREVOD Z UCTU	3048	20743	\N	UV	96342283
665043	2271	1994-12-10	PRIJEM	PREVOD Z UCTU	3048	20719	\N	UV	96342283
665044	2271	1995-01-10	PRIJEM	PREVOD Z UCTU	3048	19133	\N	UV	96342283
665045	2271	1995-02-10	PRIJEM	PREVOD Z UCTU	3048	16426	\N	UV	96342283
665046	2271	1995-03-10	PRIJEM	PREVOD Z UCTU	3048	17494	\N	UV	96342283
665047	2271	1995-04-10	PRIJEM	PREVOD Z UCTU	3048	18567	\N	UV	96342283
665048	2271	1995-05-10	PRIJEM	PREVOD Z UCTU	3048	19644	\N	UV	96342283
665049	2271	1995-06-10	PRIJEM	PREVOD Z UCTU	3048	20726	\N	UV	96342283
665050	2271	1995-07-10	PRIJEM	PREVOD Z UCTU	3048	19647	\N	UV	96342283
665051	2271	1995-08-10	PRIJEM	PREVOD Z UCTU	3048	17965	\N	UV	96342283
665052	2271	1995-09-10	PRIJEM	PREVOD Z UCTU	3048	19040	\N	UV	96342283
665053	2271	1995-10-10	PRIJEM	PREVOD Z UCTU	3048	19009	\N	UV	96342283
665054	2271	1995-11-10	PRIJEM	PREVOD Z UCTU	3048	19848	\N	UV	96342283
665055	2271	1995-12-10	PRIJEM	PREVOD Z UCTU	3048	20931	\N	UV	96342283
665056	2271	1996-01-10	PRIJEM	PREVOD Z UCTU	3048	19347	\N	UV	96342283
665057	2271	1996-02-10	PRIJEM	PREVOD Z UCTU	3048	17001	\N	UV	96342283
665058	2271	1996-03-10	PRIJEM	PREVOD Z UCTU	3048	18072	\N	UV	96342283
665059	2271	1996-04-10	PRIJEM	PREVOD Z UCTU	3048	18067	\N	UV	96342283
665060	2271	1996-05-10	PRIJEM	PREVOD Z UCTU	3048	19142	\N	UV	96342283
665061	2271	1996-06-10	PRIJEM	PREVOD Z UCTU	3048	20221	\N	UV	96342283
665062	2271	1996-07-10	PRIJEM	PREVOD Z UCTU	3048	21305	\N	UV	96342283
665063	2271	1996-08-10	PRIJEM	PREVOD Z UCTU	3048	22394	\N	UV	96342283
665064	2271	1996-09-10	PRIJEM	PREVOD Z UCTU	3048	22887	\N	UV	96342283
665065	2271	1996-10-10	PRIJEM	PREVOD Z UCTU	3048	23442	\N	UV	96342283
665066	2271	1996-11-10	PRIJEM	PREVOD Z UCTU	3048	24539	\N	UV	96342283
665067	2271	1996-12-10	PRIJEM	PREVOD Z UCTU	3048	25641	\N	UV	96342283
665068	2271	1997-01-10	PRIJEM	PREVOD Z UCTU	3048	20986	\N	UV	96342283
665069	2271	1997-02-10	PRIJEM	PREVOD Z UCTU	3048	19097	\N	UV	96342283
665070	2271	1997-03-10	PRIJEM	PREVOD Z UCTU	3048	19726	\N	UV	96342283
665071	2271	1997-04-10	PRIJEM	PREVOD Z UCTU	3048	20808	\N	UV	96342283
665072	2271	1997-05-10	PRIJEM	PREVOD Z UCTU	3048	21894	\N	UV	96342283
665073	2271	1997-06-10	PRIJEM	PREVOD Z UCTU	3048	22534	\N	UV	96342283
665074	2271	1997-07-10	PRIJEM	PREVOD Z UCTU	3048	18065	\N	UV	96342283
665075	2271	1997-08-10	PRIJEM	PREVOD Z UCTU	3048	19140	\N	UV	96342283
665076	2271	1997-09-10	PRIJEM	PREVOD Z UCTU	3048	20219	\N	UV	96342283
665077	2271	1997-10-10	PRIJEM	PREVOD Z UCTU	3048	20462	\N	UV	96342283
665078	2271	1997-11-10	PRIJEM	PREVOD Z UCTU	3048	21546	\N	UV	96342283
665079	2271	1997-12-10	PRIJEM	PREVOD Z UCTU	3048	22635	\N	UV	96342283
665080	2271	1998-01-10	PRIJEM	PREVOD Z UCTU	3048	21748	\N	UV	96342283
665081	2271	1998-02-10	PRIJEM	PREVOD Z UCTU	3048	19293	\N	UV	96342283
665082	2271	1998-03-10	PRIJEM	PREVOD Z UCTU	3048	19952	\N	UV	96342283
665083	2271	1998-04-10	PRIJEM	PREVOD Z UCTU	3048	21034	\N	UV	96342283
665084	2271	1998-05-10	PRIJEM	PREVOD Z UCTU	3048	21250	\N	UV	96342283
665085	2271	1998-06-10	PRIJEM	PREVOD Z UCTU	3048	22337	\N	UV	96342283
665086	2271	1998-07-10	PRIJEM	PREVOD Z UCTU	3048	23429	\N	UV	96342283
665087	2271	1998-08-10	PRIJEM	PREVOD Z UCTU	3048	23175	\N	UV	96342283
665088	2271	1998-09-10	PRIJEM	PREVOD Z UCTU	3048	23189	\N	UV	96342283
665089	2271	1998-10-10	PRIJEM	PREVOD Z UCTU	3048	24284	\N	UV	96342283
665090	2271	1998-11-10	PRIJEM	PREVOD Z UCTU	3048	25384	\N	UV	96342283
665091	2271	1998-12-10	PRIJEM	PREVOD Z UCTU	3048	26188	\N	UV	96342283
665108	2271	1994-05-06	VYDAJ	PREVOD NA UCET	2032	13796	\N	GH	39753556
665109	2271	1994-06-06	VYDAJ	PREVOD NA UCET	2032	14866	\N	GH	39753556
665110	2271	1994-07-06	VYDAJ	PREVOD NA UCET	2032	14799	\N	GH	39753556
665111	2271	1994-08-06	VYDAJ	PREVOD NA UCET	2032	14732	\N	GH	39753556
665112	2271	1994-09-06	VYDAJ	PREVOD NA UCET	2032	15535	\N	GH	39753556
665113	2271	1994-10-06	VYDAJ	PREVOD NA UCET	2032	16613	\N	GH	39753556
665114	2271	1994-11-06	VYDAJ	PREVOD NA UCET	2032	17695	\N	GH	39753556
665115	2271	1994-12-06	VYDAJ	PREVOD NA UCET	2032	17671	\N	GH	39753556
665116	2271	1995-01-06	VYDAJ	PREVOD NA UCET	2032	16895	\N	GH	39753556
665117	2271	1995-02-06	VYDAJ	PREVOD NA UCET	2032	13378	\N	GH	39753556
665118	2271	1995-03-06	VYDAJ	PREVOD NA UCET	2032	14446	\N	GH	39753556
665119	2271	1995-04-06	VYDAJ	PREVOD NA UCET	2032	15519	\N	GH	39753556
665120	2271	1995-05-06	VYDAJ	PREVOD NA UCET	2032	16596	\N	GH	39753556
665121	2271	1995-06-06	VYDAJ	PREVOD NA UCET	2032	17678	\N	GH	39753556
665122	2271	1995-07-06	VYDAJ	PREVOD NA UCET	2032	16599	\N	GH	39753556
665123	2271	1995-08-06	VYDAJ	PREVOD NA UCET	2032	14917	\N	GH	39753556
665124	2271	1995-09-06	VYDAJ	PREVOD NA UCET	2032	15992	\N	GH	39753556
665125	2271	1995-10-06	VYDAJ	PREVOD NA UCET	2032	15961	\N	GH	39753556
665126	2271	1995-11-06	VYDAJ	PREVOD NA UCET	2032	16800	\N	GH	39753556
665127	2271	1995-12-06	VYDAJ	PREVOD NA UCET	2032	17883	\N	GH	39753556
665128	2271	1996-01-06	VYDAJ	PREVOD NA UCET	2032	16779	\N	GH	39753556
665129	2271	1996-02-06	VYDAJ	PREVOD NA UCET	2032	13953	\N	GH	39753556
665130	2271	1996-03-06	VYDAJ	PREVOD NA UCET	2032	15024	\N	GH	39753556
665131	2271	1996-04-06	VYDAJ	PREVOD NA UCET	2032	15019	\N	GH	39753556
665132	2271	1996-05-06	VYDAJ	PREVOD NA UCET	2032	16094	\N	GH	39753556
665133	2271	1996-06-06	VYDAJ	PREVOD NA UCET	2032	17173	\N	GH	39753556
665134	2271	1996-07-06	VYDAJ	PREVOD NA UCET	2032	18257	\N	GH	39753556
665135	2271	1996-08-06	VYDAJ	PREVOD NA UCET	2032	19346	\N	GH	39753556
665136	2271	1996-09-06	VYDAJ	PREVOD NA UCET	2032	19839	\N	GH	39753556
665137	2271	1996-10-06	VYDAJ	PREVOD NA UCET	2032	20394	\N	GH	39753556
665138	2271	1996-11-06	VYDAJ	PREVOD NA UCET	2032	21491	\N	GH	39753556
665139	2271	1996-12-06	VYDAJ	PREVOD NA UCET	2032	22593	\N	GH	39753556
665140	2271	1997-01-06	VYDAJ	PREVOD NA UCET	2032	18868	\N	GH	39753556
665141	2271	1997-02-06	VYDAJ	PREVOD NA UCET	2032	16049	\N	GH	39753556
665142	2271	1997-03-06	VYDAJ	PREVOD NA UCET	2032	16678	\N	GH	39753556
665143	2271	1997-04-06	VYDAJ	PREVOD NA UCET	2032	17760	\N	GH	39753556
665144	2271	1997-05-06	VYDAJ	PREVOD NA UCET	2032	18846	\N	GH	39753556
665145	2271	1997-06-06	VYDAJ	PREVOD NA UCET	2032	19486	\N	GH	39753556
665146	2271	1997-07-06	VYDAJ	PREVOD NA UCET	2032	15017	\N	GH	39753556
665147	2271	1997-08-06	VYDAJ	PREVOD NA UCET	2032	16092	\N	GH	39753556
665148	2271	1997-09-06	VYDAJ	PREVOD NA UCET	2032	17171	\N	GH	39753556
665149	2271	1997-10-06	VYDAJ	PREVOD NA UCET	2032	17414	\N	GH	39753556
665150	2271	1997-11-06	VYDAJ	PREVOD NA UCET	2032	18498	\N	GH	39753556
665151	2271	1997-12-06	VYDAJ	PREVOD NA UCET	2032	19587	\N	GH	39753556
665152	2271	1998-01-06	VYDAJ	PREVOD NA UCET	2032	19240	\N	GH	39753556
665153	2271	1998-02-06	VYDAJ	PREVOD NA UCET	2032	16245	\N	GH	39753556
665154	2271	1998-03-06	VYDAJ	PREVOD NA UCET	2032	17324	\N	GH	39753556
665155	2271	1998-04-06	VYDAJ	PREVOD NA UCET	2032	17986	\N	GH	39753556
665156	2271	1998-05-06	VYDAJ	PREVOD NA UCET	2032	18202	\N	GH	39753556
665157	2271	1998-06-06	VYDAJ	PREVOD NA UCET	2032	19289	\N	GH	39753556
665158	2271	1998-07-06	VYDAJ	PREVOD NA UCET	2032	20381	\N	GH	39753556
665159	2271	1998-08-06	VYDAJ	PREVOD NA UCET	2032	20127	\N	GH	39753556
665160	2271	1998-09-06	VYDAJ	PREVOD NA UCET	2032	20831	\N	GH	39753556
665161	2271	1998-10-06	VYDAJ	PREVOD NA UCET	2032	21236	\N	GH	39753556
665162	2271	1998-11-06	VYDAJ	PREVOD NA UCET	2032	22336	\N	GH	39753556
665163	2271	1998-12-06	VYDAJ	PREVOD NA UCET	2032	23440	\N	GH	39753556
665166	2271	1995-06-12	VYDAJ	VYBER	2160	18566	\N	\N	\N
665168	2271	1997-06-16	VYDAJ	VYBER	5340	16984	\N	\N	\N
665172	2271	1995-01-12	VYDAJ	VYBER	1680	16553	\N	\N	\N
665173	2271	1996-01-11	VYDAJ	VYBER	1950	17397	\N	\N	\N
665174	2271	1997-01-05	VYDAJ	VYBER	2820	20900	\N	\N	\N
665175	2271	1998-01-24	VYDAJ	VYBER	1470	18928	\N	\N	\N
665177	2271	1994-12-06	VYDAJ	VYBER	780	19703	\N	\N	\N
665178	2271	1995-12-29	VYDAJ	VYBER	870	20061	\N	\N	\N
665179	2271	1996-12-30	VYDAJ	VYBER	750	24411	\N	\N	\N
665180	2271	1997-12-28	VYDAJ	VYBER	630	22005	\N	\N	\N
665181	2271	1998-12-06	VYDAJ	VYBER	300	23140	\N	\N	\N
665194	2271	1995-01-01	VYDAJ	VYBER	780	18927	\N	\N	\N
665195	2271	1995-01-11	VYDAJ	VYBER	690	18233	\N	\N	\N
665196	2271	1995-01-28	VYDAJ	VYBER	810	15743	\N	\N	\N
665197	2271	1995-01-11	VYDAJ	VYBER	210	18923	\N	\N	\N
665198	2271	1995-01-08	VYDAJ	VYBER	810	16085	\N	\N	\N
665199	2271	1995-01-30	VYDAJ	VYBER	390	15353	\N	\N	\N
665200	2271	1996-01-18	VYDAJ	VYBER	180	17217	\N	\N	\N
665201	2271	1996-01-21	VYDAJ	VYBER	840	16377	\N	\N	\N
665202	2271	1996-01-02	VYDAJ	VYBER	780	19351	\N	\N	\N
665203	2271	1996-01-06	VYDAJ	VYBER	540	18811	\N	\N	\N
665204	2271	1996-01-07	VYDAJ	VYBER	480	16299	\N	\N	\N
665205	2271	1996-01-21	VYDAJ	VYBER	450	15927	\N	\N	\N
665206	2271	1997-01-11	VYDAJ	VYBER	810	19696	\N	\N	\N
665207	2271	1997-01-01	VYDAJ	VYBER	780	23720	\N	\N	\N
665208	2271	1997-01-23	VYDAJ	VYBER	270	18016	\N	\N	\N
665209	2271	1997-01-08	VYDAJ	VYBER	210	18658	\N	\N	\N
665210	2271	1997-01-09	VYDAJ	VYBER	720	17938	\N	\N	\N
665211	2271	1997-01-10	VYDAJ	VYBER	480	20506	\N	\N	\N
665212	2271	1998-01-16	VYDAJ	VYBER	390	21358	\N	\N	\N
665213	2271	1998-01-07	VYDAJ	VYBER	540	18700	\N	\N	\N
665214	2271	1998-01-17	VYDAJ	VYBER	540	20818	\N	\N	\N
665215	2271	1998-01-04	VYDAJ	VYBER	810	21272	\N	\N	\N
665216	2271	1998-01-20	VYDAJ	VYBER	420	20398	\N	\N	\N
665217	2271	1998-01-28	VYDAJ	VYBER	720	18208	\N	\N	\N
665220	2271	1994-12-11	VYDAJ	VYBER	1080	19639	\N	\N	\N
665221	2271	1994-08-18	VYDAJ	VYBER	270	17510	\N	\N	\N
665222	2271	1994-06-22	VYDAJ	VYBER	1140	16774	\N	\N	\N
665223	2271	1994-07-18	VYDAJ	VYBER	1140	16707	\N	\N	\N
665225	2271	1994-11-20	VYDAJ	VYBER	330	20413	\N	\N	\N
665227	2271	1995-10-03	VYDAJ	VYBER	1110	17993	\N	\N	\N
665228	2271	1995-07-19	VYDAJ	VYBER	810	18447	\N	\N	\N
665229	2271	1995-07-24	VYDAJ	VYBER	1110	17337	\N	\N	\N
665230	2271	1995-07-27	VYDAJ	VYBER	450	16887	\N	\N	\N
665231	2271	1995-07-15	VYDAJ	VYBER	390	19257	\N	\N	\N
665232	2271	1995-10-23	VYDAJ	VYBER	240	18769	\N	\N	\N
665233	2271	1996-08-10	VYDAJ	VYBER	600	21794	\N	\N	\N
665234	2271	1996-09-10	VYDAJ	VYBER	540	22347	\N	\N	\N
665235	2271	1996-12-15	VYDAJ	VYBER	480	25161	\N	\N	\N
665236	2271	1996-04-01	VYDAJ	VYBER	1080	17051	\N	\N	\N
665237	2271	1997-01-13	VYDAJ	VYBER	1410	18286	\N	\N	\N
665238	2271	1997-02-28	VYDAJ	VYBER	450	18710	\N	\N	\N
665239	2271	1997-09-29	VYDAJ	VYBER	840	19379	\N	\N	\N
665240	2271	1997-06-12	VYDAJ	VYBER	210	22324	\N	\N	\N
665241	2271	1997-06-05	VYDAJ	VYBER	450	21518	\N	\N	\N
665242	2271	1998-08-22	VYDAJ	VYBER	390	22785	\N	\N	\N
665243	2271	1998-04-27	VYDAJ	VYBER	870	20164	\N	\N	\N
665244	2271	1998-09-07	VYDAJ	VYBER	690	20141	\N	\N	\N
665245	2271	1998-03-09	VYDAJ	VYBER	420	16904	\N	\N	\N
665246	2271	1998-07-10	VYDAJ	VYBER	1350	22079	\N	\N	\N
665263	2271	1994-04-30	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
665264	2271	1994-05-31	VYDAJ	VYBER	15	16898	SLUZBY	\N	\N
665265	2271	1994-06-30	VYDAJ	VYBER	15	16831	SLUZBY	\N	\N
665266	2271	1994-07-31	VYDAJ	VYBER	15	16764	SLUZBY	\N	\N
665267	2271	1994-08-31	VYDAJ	VYBER	15	17567	SLUZBY	\N	\N
665268	2271	1994-09-30	VYDAJ	VYBER	15	18645	SLUZBY	\N	\N
665269	2271	1994-10-31	VYDAJ	VYBER	15	19727	SLUZBY	\N	\N
665270	2271	1994-11-30	VYDAJ	VYBER	15	20483	SLUZBY	\N	\N
665271	2271	1994-12-31	VYDAJ	VYBER	15	19707	SLUZBY	\N	\N
665272	2271	1995-01-31	VYDAJ	VYBER	15	15410	SLUZBY	\N	\N
665273	2271	1995-02-28	VYDAJ	VYBER	15	16478	SLUZBY	\N	\N
665274	2271	1995-03-31	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
665275	2271	1995-04-30	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
665276	2271	1995-05-31	VYDAJ	VYBER	15	19710	SLUZBY	\N	\N
665277	2271	1995-06-30	VYDAJ	VYBER	15	18631	SLUZBY	\N	\N
665278	2271	1995-07-31	VYDAJ	VYBER	15	16949	SLUZBY	\N	\N
665279	2271	1995-08-31	VYDAJ	VYBER	15	18024	SLUZBY	\N	\N
665280	2271	1995-09-30	VYDAJ	VYBER	15	19103	SLUZBY	\N	\N
665281	2271	1995-10-31	VYDAJ	VYBER	15	18832	SLUZBY	\N	\N
665282	2271	1995-11-30	VYDAJ	VYBER	15	19915	SLUZBY	\N	\N
665283	2271	1995-12-31	VYDAJ	VYBER	15	20131	SLUZBY	\N	\N
665284	2271	1996-01-31	VYDAJ	VYBER	15	15985	SLUZBY	\N	\N
665285	2271	1996-02-29	VYDAJ	VYBER	15	17056	SLUZBY	\N	\N
665286	2271	1996-03-31	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
665287	2271	1996-04-30	VYDAJ	VYBER	15	18126	SLUZBY	\N	\N
665288	2271	1996-05-31	VYDAJ	VYBER	15	19205	SLUZBY	\N	\N
665289	2271	1996-06-30	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
665290	2271	1996-07-31	VYDAJ	VYBER	15	21378	SLUZBY	\N	\N
665291	2271	1996-08-31	VYDAJ	VYBER	15	21871	SLUZBY	\N	\N
665292	2271	1996-09-30	VYDAJ	VYBER	15	22426	SLUZBY	\N	\N
665293	2271	1996-10-31	VYDAJ	VYBER	15	23523	SLUZBY	\N	\N
665294	2271	1996-11-30	VYDAJ	VYBER	15	24625	SLUZBY	\N	\N
665295	2271	1996-12-31	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
665296	2271	1997-01-31	VYDAJ	VYBER	15	18081	SLUZBY	\N	\N
665297	2271	1997-02-28	VYDAJ	VYBER	15	19160	SLUZBY	\N	\N
665298	2271	1997-03-31	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
665299	2271	1997-04-30	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
665300	2271	1997-05-31	VYDAJ	VYBER	15	21968	SLUZBY	\N	\N
665301	2271	1997-06-30	VYDAJ	VYBER	15	17049	SLUZBY	\N	\N
665302	2271	1997-07-31	VYDAJ	VYBER	15	18124	SLUZBY	\N	\N
665303	2271	1997-08-31	VYDAJ	VYBER	15	19203	SLUZBY	\N	\N
665304	2271	1997-09-30	VYDAJ	VYBER	15	19446	SLUZBY	\N	\N
665305	2271	1997-10-31	VYDAJ	VYBER	15	20530	SLUZBY	\N	\N
665306	2271	1997-11-30	VYDAJ	VYBER	15	21619	SLUZBY	\N	\N
665307	2271	1997-12-31	VYDAJ	VYBER	15	22082	SLUZBY	\N	\N
665308	2271	1998-01-31	VYDAJ	VYBER	15	18277	SLUZBY	\N	\N
665309	2271	1998-02-28	VYDAJ	VYBER	15	19356	SLUZBY	\N	\N
665310	2271	1998-03-31	VYDAJ	VYBER	15	20018	SLUZBY	\N	\N
665311	2271	1998-04-30	VYDAJ	VYBER	15	20234	SLUZBY	\N	\N
665312	2271	1998-05-31	VYDAJ	VYBER	15	21321	SLUZBY	\N	\N
665313	2271	1998-06-30	VYDAJ	VYBER	15	22413	SLUZBY	\N	\N
665314	2271	1998-07-31	VYDAJ	VYBER	15	22159	SLUZBY	\N	\N
665315	2271	1998-08-31	VYDAJ	VYBER	15	22863	SLUZBY	\N	\N
665316	2271	1998-09-30	VYDAJ	VYBER	15	23268	SLUZBY	\N	\N
665317	2271	1998-10-31	VYDAJ	VYBER	15	24368	SLUZBY	\N	\N
665318	2271	1998-11-30	VYDAJ	VYBER	15	25472	SLUZBY	\N	\N
665376	2272	1997-10-08	PRIJEM	VKLAD	200	200	\N	\N	\N
665387	2272	1997-11-06	PRIJEM	VKLAD	5980	6180	\N	\N	\N
665388	2272	1997-12-06	PRIJEM	VKLAD	8970	22395	\N	\N	\N
665389	2272	1998-01-06	PRIJEM	VKLAD	5980	31471	\N	\N	\N
665390	2272	1998-02-06	PRIJEM	VKLAD	5980	30478	\N	\N	\N
665391	2272	1998-03-06	PRIJEM	VKLAD	5980	36586	\N	\N	\N
665392	2272	1998-04-06	PRIJEM	VKLAD	5980	30575	\N	\N	\N
665393	2272	1998-05-06	PRIJEM	VKLAD	5980	26348	\N	\N	\N
665394	2272	1998-06-06	PRIJEM	VKLAD	8970	27449	\N	\N	\N
665395	2272	1998-07-06	PRIJEM	VKLAD	5980	26724	\N	\N	\N
665396	2272	1998-08-06	PRIJEM	VKLAD	5980	28502	\N	\N	\N
665397	2272	1998-09-06	PRIJEM	VKLAD	5980	26686	\N	\N	\N
665398	2272	1998-10-06	PRIJEM	VKLAD	5980	21865	\N	\N	\N
665399	2272	1998-11-06	PRIJEM	VKLAD	5980	21626	\N	\N	\N
665400	2272	1998-12-06	PRIJEM	VKLAD	8970	24173	\N	\N	\N
665415	2272	1998-03-13	VYDAJ	PREVOD NA UCET	3986	24500	SIPO	WX	99929630
665416	2272	1998-04-13	VYDAJ	PREVOD NA UCET	3986	20289	SIPO	WX	99929630
665417	2272	1998-05-13	VYDAJ	PREVOD NA UCET	3986	13722	SIPO	WX	99929630
665418	2272	1998-06-13	VYDAJ	PREVOD NA UCET	3986	23463	SIPO	WX	99929630
665419	2272	1998-07-13	VYDAJ	PREVOD NA UCET	3986	22738	SIPO	WX	99929630
665420	2272	1998-08-13	VYDAJ	PREVOD NA UCET	3986	24516	SIPO	WX	99929630
665421	2272	1998-09-13	VYDAJ	PREVOD NA UCET	3986	22700	SIPO	WX	99929630
665422	2272	1998-10-13	VYDAJ	PREVOD NA UCET	3986	17879	SIPO	WX	99929630
665423	2272	1998-11-13	VYDAJ	PREVOD NA UCET	3986	17640	SIPO	WX	99929630
665424	2272	1998-12-13	VYDAJ	PREVOD NA UCET	3986	15707	SIPO	WX	99929630
665430	2272	1998-12-07	VYDAJ	VYBER	4480	19693	\N	\N	\N
665449	2272	1998-04-08	VYDAJ	VYBER	2400	24275	\N	\N	\N
665451	2272	1998-05-12	VYDAJ	VYBER	3240	17708	\N	\N	\N
665468	2272	1998-03-31	VYDAJ	VYBER	15	24595	SLUZBY	\N	\N
665469	2272	1998-04-30	VYDAJ	VYBER	15	20368	SLUZBY	\N	\N
665470	2272	1998-05-31	VYDAJ	VYBER	15	13779	SLUZBY	\N	\N
665471	2272	1998-06-30	VYDAJ	VYBER	15	23544	SLUZBY	\N	\N
665472	2272	1998-07-31	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
665473	2272	1998-08-31	VYDAJ	VYBER	15	24606	SLUZBY	\N	\N
665474	2272	1998-09-30	VYDAJ	VYBER	15	22785	SLUZBY	\N	\N
665475	2272	1998-10-31	VYDAJ	VYBER	15	17946	SLUZBY	\N	\N
665476	2272	1998-11-30	VYDAJ	VYBER	15	17703	SLUZBY	\N	\N
665477	2272	1997-11-07	PRIJEM	VKLAD	7200	13380	\N	\N	\N
665478	2272	1997-12-07	PRIJEM	VKLAD	3000	25395	\N	\N	\N
665479	2272	1998-01-06	VYDAJ	VYBER	2200	29271	\N	\N	\N
665480	2272	1998-02-05	VYDAJ	VYBER	4900	24498	\N	\N	\N
665481	2272	1998-03-07	VYDAJ	VYBER	8100	28486	\N	\N	\N
665482	2272	1998-04-06	VYDAJ	VYBER	3900	26675	\N	\N	\N
665483	2272	1998-05-06	VYDAJ	VYBER	5400	20948	\N	\N	\N
665484	2272	1998-06-05	PRIJEM	VKLAD	4700	18479	\N	\N	\N
665485	2272	1998-07-05	VYDAJ	VYBER	2800	20744	\N	\N	\N
665486	2272	1998-08-04	VYDAJ	VYBER	300	22522	\N	\N	\N
665487	2272	1998-09-03	VYDAJ	VYBER	3900	20706	\N	\N	\N
665488	2272	1998-10-03	VYDAJ	VYBER	6900	15885	\N	\N	\N
665489	2272	1998-11-02	VYDAJ	VYBER	2300	15646	\N	\N	\N
665490	2272	1998-12-02	VYDAJ	VYBER	2500	15203	\N	\N	\N
666337	2274	1996-01-21	PRIJEM	VKLAD	300	300	\N	\N	\N
666338	2274	1996-01-25	PRIJEM	VKLAD	3850	4150	\N	\N	\N
666339	2274	1996-12-24	PRIJEM	VKLAD	14475	41321	\N	\N	\N
666340	2274	1997-01-14	PRIJEM	VKLAD	5632	42423	\N	\N	\N
666341	2274	1997-04-16	PRIJEM	VKLAD	17784	44136	\N	\N	\N
666342	2274	1998-02-07	PRIJEM	VKLAD	16869	41580	\N	\N	\N
666343	2274	1998-07-17	PRIJEM	VKLAD	48069	81077	\N	\N	\N
666345	2274	1996-02-14	PRIJEM	VKLAD	700	4854	\N	\N	\N
666346	2274	1996-03-13	PRIJEM	VKLAD	700	15887	\N	\N	\N
666347	2274	1996-04-15	PRIJEM	VKLAD	700	25350	\N	\N	\N
666348	2274	1996-05-15	PRIJEM	VKLAD	700	31148	\N	\N	\N
666349	2274	1996-06-14	PRIJEM	VKLAD	700	15060	\N	\N	\N
666350	2274	1996-07-15	PRIJEM	VKLAD	700	24196	\N	\N	\N
666351	2274	1996-08-14	PRIJEM	VKLAD	700	31292	\N	\N	\N
666352	2274	1996-09-15	PRIJEM	VKLAD	700	31204	\N	\N	\N
666353	2274	1996-10-16	PRIJEM	VKLAD	700	31116	\N	\N	\N
666354	2274	1996-11-17	PRIJEM	VKLAD	700	29731	\N	\N	\N
666355	2274	1996-12-16	PRIJEM	VKLAD	700	30546	\N	\N	\N
666356	2274	1997-01-14	PRIJEM	VKLAD	700	36791	\N	\N	\N
666357	2274	1997-02-13	PRIJEM	VKLAD	700	24394	\N	\N	\N
666358	2274	1997-03-13	PRIJEM	VKLAD	700	23175	\N	\N	\N
666359	2274	1997-04-16	PRIJEM	VKLAD	700	26352	\N	\N	\N
666360	2274	1997-05-17	PRIJEM	VKLAD	700	39359	\N	\N	\N
666361	2274	1997-06-15	PRIJEM	VKLAD	700	27567	\N	\N	\N
666362	2274	1997-07-13	PRIJEM	VKLAD	700	28385	\N	\N	\N
666363	2274	1997-08-17	PRIJEM	VKLAD	700	30993	\N	\N	\N
666364	2274	1997-09-13	PRIJEM	VKLAD	700	33607	\N	\N	\N
666365	2274	1997-10-15	PRIJEM	VKLAD	700	31728	\N	\N	\N
666366	2274	1997-11-17	PRIJEM	VKLAD	700	32649	\N	\N	\N
666367	2274	1997-12-17	PRIJEM	VKLAD	700	37769	\N	\N	\N
666368	2274	1998-01-16	PRIJEM	VKLAD	700	31403	\N	\N	\N
666369	2274	1998-02-15	PRIJEM	VKLAD	700	41680	\N	\N	\N
666370	2274	1998-03-13	PRIJEM	VKLAD	700	42218	\N	\N	\N
666371	2274	1998-04-16	PRIJEM	VKLAD	700	41778	\N	\N	\N
666372	2274	1998-05-13	PRIJEM	VKLAD	700	40638	\N	\N	\N
666373	2274	1998-06-13	PRIJEM	VKLAD	700	27394	\N	\N	\N
666374	2274	1998-07-15	PRIJEM	VKLAD	700	33008	\N	\N	\N
666375	2274	1998-08-17	PRIJEM	VKLAD	700	63785	\N	\N	\N
666376	2274	1998-09-16	PRIJEM	VKLAD	700	57273	\N	\N	\N
666377	2274	1998-10-14	PRIJEM	VKLAD	700	50760	\N	\N	\N
666378	2274	1998-11-13	PRIJEM	VKLAD	700	51713	\N	\N	\N
666379	2274	1998-12-13	PRIJEM	VKLAD	700	49407	\N	\N	\N
666381	2274	1996-02-18	PRIJEM	VKLAD	600	5454	\N	\N	\N
666382	2274	1996-03-18	PRIJEM	VKLAD	600	16487	\N	\N	\N
666383	2274	1996-04-18	PRIJEM	VKLAD	600	25950	\N	\N	\N
666384	2274	1996-05-18	PRIJEM	VKLAD	600	31748	\N	\N	\N
666385	2274	1996-06-18	PRIJEM	VKLAD	600	15310	\N	\N	\N
666386	2274	1996-06-04	VYDAJ	VYBER	14700	15960	\N	\N	\N
666387	2274	1997-06-13	VYDAJ	VYBER	14200	23567	\N	\N	\N
666390	2274	1997-01-14	VYDAJ	VYBER	8600	33823	\N	\N	\N
666391	2274	1998-01-02	VYDAJ	VYBER	1300	35253	\N	\N	\N
666394	2274	1998-06-06	VYDAJ	VYBER	23100	17694	\N	\N	\N
666396	2274	1997-01-20	VYDAJ	VYBER	6800	24623	\N	\N	\N
666397	2274	1998-01-19	VYDAJ	VYBER	5500	25303	\N	\N	\N
666398	2274	1996-12-16	VYDAJ	VYBER	2200	28346	\N	\N	\N
666399	2274	1997-12-09	VYDAJ	VYBER	1000	31769	\N	\N	\N
666400	2274	1998-12-29	VYDAJ	VYBER	1000	48407	\N	\N	\N
666407	2274	1997-01-08	VYDAJ	VYBER	1000	39041	\N	\N	\N
666408	2274	1997-01-10	VYDAJ	VYBER	900	36891	\N	\N	\N
666409	2274	1997-01-11	VYDAJ	VYBER	800	36091	\N	\N	\N
666410	2274	1997-01-30	VYDAJ	VYBER	1050	23573	\N	\N	\N
666411	2274	1997-01-09	VYDAJ	VYBER	1250	37791	\N	\N	\N
666412	2274	1997-01-05	VYDAJ	VYBER	1400	40041	\N	\N	\N
666413	2274	1998-01-22	VYDAJ	VYBER	700	24603	\N	\N	\N
666414	2274	1998-01-11	VYDAJ	VYBER	1000	31753	\N	\N	\N
666415	2274	1998-01-19	VYDAJ	VYBER	600	30803	\N	\N	\N
666416	2274	1998-01-06	VYDAJ	VYBER	450	33553	\N	\N	\N
666417	2274	1998-01-11	VYDAJ	VYBER	1050	30703	\N	\N	\N
666418	2274	1998-01-03	VYDAJ	VYBER	1250	34003	\N	\N	\N
666419	2274	1996-06-15	VYDAJ	VYBER	350	14710	\N	\N	\N
666420	2274	1996-12-19	VYDAJ	VYBER	1200	26846	\N	\N	\N
666421	2274	1996-06-12	VYDAJ	VYBER	1600	14360	\N	\N	\N
666422	2274	1997-05-26	VYDAJ	VYBER	1750	37609	\N	\N	\N
666423	2274	1997-02-17	VYDAJ	VYBER	1100	22394	\N	\N	\N
666424	2274	1997-12-28	VYDAJ	VYBER	1350	36419	\N	\N	\N
666425	2274	1998-10-28	VYDAJ	VYBER	950	48410	\N	\N	\N
666426	2274	1998-10-23	VYDAJ	VYBER	1400	49360	\N	\N	\N
666427	2274	1998-09-28	VYDAJ	VYBER	250	57023	\N	\N	\N
666428	2274	1998-09-29	VYDAJ	VYBER	1500	55523	\N	\N	\N
666432	2274	1996-03-31	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
666433	2274	1996-04-30	VYDAJ	VYBER	15	30448	SLUZBY	\N	\N
666434	2274	1996-05-31	VYDAJ	VYBER	15	30660	SLUZBY	\N	\N
666435	2274	1996-06-30	VYDAJ	VYBER	15	23496	SLUZBY	\N	\N
666436	2274	1996-07-31	VYDAJ	VYBER	15	30592	SLUZBY	\N	\N
666437	2274	1996-08-31	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
666438	2274	1996-09-30	VYDAJ	VYBER	15	30416	SLUZBY	\N	\N
666439	2274	1996-10-31	VYDAJ	VYBER	15	32131	SLUZBY	\N	\N
666440	2274	1996-11-30	VYDAJ	VYBER	15	29846	SLUZBY	\N	\N
666441	2274	1996-12-31	VYDAJ	VYBER	15	41441	SLUZBY	\N	\N
666442	2274	1997-01-31	VYDAJ	VYBER	15	23694	SLUZBY	\N	\N
666443	2274	1997-02-28	VYDAJ	VYBER	15	22475	SLUZBY	\N	\N
666444	2274	1997-03-31	VYDAJ	VYBER	15	21652	SLUZBY	\N	\N
666445	2274	1997-04-30	VYDAJ	VYBER	15	44259	SLUZBY	\N	\N
666446	2274	1997-05-31	VYDAJ	VYBER	15	37767	SLUZBY	\N	\N
666447	2274	1997-06-30	VYDAJ	VYBER	15	27685	SLUZBY	\N	\N
666448	2274	1997-07-31	VYDAJ	VYBER	15	30893	SLUZBY	\N	\N
666449	2274	1997-08-31	VYDAJ	VYBER	15	31107	SLUZBY	\N	\N
666450	2274	1997-09-30	VYDAJ	VYBER	15	33728	SLUZBY	\N	\N
666451	2274	1997-10-31	VYDAJ	VYBER	15	31849	SLUZBY	\N	\N
666452	2274	1997-11-30	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
666453	2274	1997-12-31	VYDAJ	VYBER	15	36553	SLUZBY	\N	\N
666454	2274	1998-01-31	VYDAJ	VYBER	15	24711	SLUZBY	\N	\N
666455	2274	1998-02-28	VYDAJ	VYBER	15	41818	SLUZBY	\N	\N
666456	2274	1998-03-31	VYDAJ	VYBER	15	42378	SLUZBY	\N	\N
666457	2274	1998-04-30	VYDAJ	VYBER	15	41938	SLUZBY	\N	\N
666458	2274	1998-05-31	VYDAJ	VYBER	15	40794	SLUZBY	\N	\N
666459	2274	1998-06-30	VYDAJ	VYBER	15	27508	SLUZBY	\N	\N
666460	2274	1998-07-31	VYDAJ	VYBER	15	81285	SLUZBY	\N	\N
666461	2274	1998-08-31	VYDAJ	VYBER	15	64073	SLUZBY	\N	\N
666462	2274	1998-09-30	VYDAJ	VYBER	15	55760	SLUZBY	\N	\N
666463	2274	1998-10-31	VYDAJ	VYBER	15	48613	SLUZBY	\N	\N
666464	2274	1998-11-30	VYDAJ	VYBER	15	51907	SLUZBY	\N	\N
666465	2274	1996-02-20	PRIJEM	VKLAD	9700	15154	\N	\N	\N
666466	2274	1996-03-21	PRIJEM	VKLAD	8100	24587	\N	\N	\N
666467	2274	1996-04-20	PRIJEM	VKLAD	4400	30350	\N	\N	\N
666468	2274	1996-05-20	VYDAJ	VYBER	1200	30548	\N	\N	\N
666469	2274	1996-06-19	PRIJEM	VKLAD	8100	23410	\N	\N	\N
666470	2274	1996-07-19	PRIJEM	VKLAD	6300	30496	\N	\N	\N
666471	2274	1996-08-18	VYDAJ	VYBER	900	30392	\N	\N	\N
666472	2274	1996-09-17	VYDAJ	VYBER	900	30304	\N	\N	\N
666473	2274	1996-10-17	PRIJEM	VKLAD	900	32016	\N	\N	\N
666474	2274	1996-11-16	VYDAJ	VYBER	3100	29031	\N	\N	\N
666475	2274	1996-12-16	VYDAJ	VYBER	300	28046	\N	\N	\N
666476	2274	1997-01-15	VYDAJ	VYBER	2400	31423	\N	\N	\N
666477	2274	1997-02-14	VYDAJ	VYBER	900	23494	\N	\N	\N
666478	2274	1997-03-16	VYDAJ	VYBER	1600	21575	\N	\N	\N
666479	2274	1997-04-15	PRIJEM	VKLAD	4000	25652	\N	\N	\N
666480	2274	1997-05-15	VYDAJ	VYBER	5600	38659	\N	\N	\N
666481	2274	1997-06-14	PRIJEM	VKLAD	3300	26867	\N	\N	\N
666482	2274	1997-07-14	PRIJEM	VKLAD	2400	30785	\N	\N	\N
666483	2274	1997-08-13	VYDAJ	VYBER	600	30293	\N	\N	\N
666484	2274	1997-09-12	PRIJEM	VKLAD	1800	32907	\N	\N	\N
666485	2274	1997-10-12	VYDAJ	VYBER	2700	31028	\N	\N	\N
666486	2274	1997-11-11	PRIJEM	VKLAD	100	31949	\N	\N	\N
666487	2274	1997-12-11	PRIJEM	VKLAD	5300	37069	\N	\N	\N
666488	2274	1998-01-10	VYDAJ	VYBER	800	32753	\N	\N	\N
666489	2274	1998-02-09	VYDAJ	VYBER	600	40980	\N	\N	\N
666490	2274	1998-03-11	VYDAJ	VYBER	300	41518	\N	\N	\N
666491	2274	1998-04-10	VYDAJ	VYBER	1300	41078	\N	\N	\N
666492	2274	1998-05-10	VYDAJ	VYBER	2000	39938	\N	\N	\N
666493	2274	1998-06-09	PRIJEM	VKLAD	9000	26694	\N	\N	\N
666494	2274	1998-07-09	PRIJEM	VKLAD	4800	32308	\N	\N	\N
666495	2274	1998-08-08	VYDAJ	VYBER	18200	63085	\N	\N	\N
666496	2274	1998-09-07	VYDAJ	VYBER	7500	56573	\N	\N	\N
666497	2274	1998-10-07	VYDAJ	VYBER	5700	50060	\N	\N	\N
666498	2274	1998-11-06	PRIJEM	VKLAD	2400	51013	\N	\N	\N
666499	2274	1998-12-06	VYDAJ	VYBER	3200	48707	\N	\N	\N
666536	2275	1996-09-16	PRIJEM	VKLAD	200	200	\N	\N	\N
666546	2275	1996-10-08	PRIJEM	VKLAD	13140	13340	\N	\N	\N
666547	2275	1996-11-08	PRIJEM	VKLAD	13140	32522	\N	\N	\N
666548	2275	1996-12-08	PRIJEM	VKLAD	19710	46428	\N	\N	\N
666549	2275	1997-01-08	PRIJEM	VKLAD	13140	48499	\N	\N	\N
666550	2275	1997-02-08	PRIJEM	VKLAD	13140	48486	\N	\N	\N
666551	2275	1997-03-08	PRIJEM	VKLAD	13140	46725	\N	\N	\N
666552	2275	1997-04-08	PRIJEM	VKLAD	13140	43573	\N	\N	\N
666553	2275	1997-05-08	PRIJEM	VKLAD	13140	37282	\N	\N	\N
666554	2275	1997-06-08	PRIJEM	VKLAD	19710	41945	\N	\N	\N
666555	2275	1997-07-08	PRIJEM	VKLAD	13140	37043	\N	\N	\N
666556	2275	1997-08-08	PRIJEM	VKLAD	13140	34233	\N	\N	\N
666557	2275	1997-09-08	PRIJEM	VKLAD	13140	32015	\N	\N	\N
666558	2275	1997-10-08	PRIJEM	VKLAD	13140	26580	\N	\N	\N
666559	2275	1997-11-08	PRIJEM	VKLAD	13140	24647	\N	\N	\N
666560	2275	1997-12-08	PRIJEM	VKLAD	19710	25443	\N	\N	\N
666561	2275	1998-01-08	PRIJEM	VKLAD	13140	26895	\N	\N	\N
666562	2275	1998-02-08	PRIJEM	VKLAD	13140	20232	\N	\N	\N
666563	2275	1998-03-08	PRIJEM	VKLAD	13140	26873	\N	\N	\N
666564	2275	1998-04-08	PRIJEM	VKLAD	13140	20506	\N	\N	\N
666565	2275	1998-05-08	PRIJEM	VKLAD	13140	23645	\N	\N	\N
666566	2275	1998-06-08	PRIJEM	VKLAD	19710	27346	\N	\N	\N
666567	2275	1998-07-08	PRIJEM	VKLAD	13140	20178	\N	\N	\N
666568	2275	1998-08-08	PRIJEM	VKLAD	13140	26820	\N	\N	\N
666569	2275	1998-09-08	PRIJEM	VKLAD	13140	31183	\N	\N	\N
666570	2275	1998-10-08	PRIJEM	VKLAD	13140	37870	\N	\N	\N
666571	2275	1998-11-08	PRIJEM	VKLAD	13140	44586	\N	\N	\N
666572	2275	1998-12-08	PRIJEM	VKLAD	19710	54498	\N	\N	\N
666586	2275	1997-02-11	VYDAJ	PREVOD NA UCET	6531	41955	SIPO	KL	70977097
666587	2275	1997-03-11	VYDAJ	PREVOD NA UCET	6531	40194	SIPO	KL	70977097
666588	2275	1997-04-11	VYDAJ	PREVOD NA UCET	6531	37042	SIPO	KL	70977097
666589	2275	1997-05-11	VYDAJ	PREVOD NA UCET	6531	30751	SIPO	KL	70977097
666590	2275	1997-06-11	VYDAJ	PREVOD NA UCET	6531	35414	SIPO	KL	70977097
666591	2275	1997-07-11	VYDAJ	PREVOD NA UCET	6531	30512	SIPO	KL	70977097
666592	2275	1997-08-11	VYDAJ	PREVOD NA UCET	6531	27702	SIPO	KL	70977097
666593	2275	1997-09-11	VYDAJ	PREVOD NA UCET	6531	25484	SIPO	KL	70977097
666594	2275	1997-10-11	VYDAJ	PREVOD NA UCET	6531	20049	SIPO	KL	70977097
666595	2275	1997-11-11	VYDAJ	PREVOD NA UCET	6531	5716	SIPO	KL	70977097
666596	2275	1997-12-11	VYDAJ	PREVOD NA UCET	6531	18912	SIPO	KL	70977097
666597	2275	1998-01-11	VYDAJ	PREVOD NA UCET	6531	7064	SIPO	KL	70977097
666598	2275	1998-02-11	VYDAJ	PREVOD NA UCET	6531	13701	SIPO	KL	70977097
666599	2275	1998-03-11	VYDAJ	PREVOD NA UCET	6531	7342	SIPO	KL	70977097
666600	2275	1998-04-11	VYDAJ	PREVOD NA UCET	6531	10475	SIPO	KL	70977097
666601	2275	1998-05-11	VYDAJ	PREVOD NA UCET	6531	7614	SIPO	KL	70977097
666602	2275	1998-06-11	VYDAJ	PREVOD NA UCET	6531	7015	SIPO	KL	70977097
666603	2275	1998-07-11	VYDAJ	PREVOD NA UCET	6531	13647	SIPO	KL	70977097
666604	2275	1998-08-11	VYDAJ	PREVOD NA UCET	6531	20289	SIPO	KL	70977097
666605	2275	1998-09-11	VYDAJ	PREVOD NA UCET	6531	24652	SIPO	KL	70977097
666606	2275	1998-10-11	VYDAJ	PREVOD NA UCET	6531	31339	SIPO	KL	70977097
666607	2275	1998-11-11	VYDAJ	PREVOD NA UCET	6531	38055	SIPO	KL	70977097
666608	2275	1998-12-11	VYDAJ	PREVOD NA UCET	6531	47967	SIPO	KL	70977097
666616	2275	1997-12-17	VYDAJ	VYBER	1700	17212	\N	\N	\N
666617	2275	1998-12-07	VYDAJ	VYBER	1200	34788	\N	\N	\N
666631	2275	1998-01-05	VYDAJ	VYBER	2000	13755	\N	\N	\N
666634	2275	1998-01-05	VYDAJ	VYBER	1500	15755	\N	\N	\N
666642	2275	1997-09-04	VYDAJ	VYBER	1700	18875	\N	\N	\N
666643	2275	1997-06-30	VYDAJ	VYBER	1500	23903	\N	\N	\N
666645	2275	1997-03-15	VYDAJ	VYBER	1400	38794	\N	\N	\N
666646	2275	1998-04-08	VYDAJ	VYBER	3500	17006	\N	\N	\N
666647	2275	1998-08-12	VYDAJ	VYBER	2300	17989	\N	\N	\N
666648	2275	1998-11-28	VYDAJ	VYBER	2200	35855	\N	\N	\N
666652	2275	1998-12-26	VYDAJ	VYBER	3800	44167	\N	\N	\N
666667	2275	1997-02-28	VYDAJ	VYBER	15	33585	SLUZBY	\N	\N
666668	2275	1997-03-31	VYDAJ	VYBER	15	30433	SLUZBY	\N	\N
666669	2275	1997-04-30	VYDAJ	VYBER	15	24142	SLUZBY	\N	\N
666670	2275	1997-05-31	VYDAJ	VYBER	15	22235	SLUZBY	\N	\N
666671	2275	1997-06-30	VYDAJ	VYBER	15	25403	SLUZBY	\N	\N
666672	2275	1997-07-31	VYDAJ	VYBER	15	21093	SLUZBY	\N	\N
666673	2275	1997-08-31	VYDAJ	VYBER	15	20575	SLUZBY	\N	\N
666674	2275	1997-09-30	VYDAJ	VYBER	15	13440	SLUZBY	\N	\N
666675	2275	1997-10-31	VYDAJ	VYBER	15	11507	SLUZBY	\N	\N
666676	2275	1997-11-30	VYDAJ	VYBER	15	5733	SLUZBY	\N	\N
666677	2275	1997-12-31	VYDAJ	VYBER	15	17255	SLUZBY	\N	\N
666678	2275	1998-01-31	VYDAJ	VYBER	15	7092	SLUZBY	\N	\N
666679	2275	1998-02-28	VYDAJ	VYBER	15	13733	SLUZBY	\N	\N
666680	2275	1998-03-31	VYDAJ	VYBER	15	7366	SLUZBY	\N	\N
666681	2275	1998-04-30	VYDAJ	VYBER	15	10505	SLUZBY	\N	\N
666682	2275	1998-05-31	VYDAJ	VYBER	15	7636	SLUZBY	\N	\N
666683	2275	1998-06-30	VYDAJ	VYBER	15	7038	SLUZBY	\N	\N
666684	2275	1998-07-31	VYDAJ	VYBER	15	13680	SLUZBY	\N	\N
666685	2275	1998-08-31	VYDAJ	VYBER	15	18043	SLUZBY	\N	\N
666686	2275	1998-09-30	VYDAJ	VYBER	15	24730	SLUZBY	\N	\N
666687	2275	1998-10-31	VYDAJ	VYBER	15	31446	SLUZBY	\N	\N
666688	2275	1998-11-30	VYDAJ	VYBER	15	35988	SLUZBY	\N	\N
666689	2275	1996-10-16	PRIJEM	VKLAD	6000	19340	\N	\N	\N
666690	2275	1996-11-15	VYDAJ	VYBER	5900	26622	\N	\N	\N
666691	2275	1996-12-15	VYDAJ	VYBER	11200	35228	\N	\N	\N
666692	2275	1997-01-14	VYDAJ	VYBER	13300	35199	\N	\N	\N
666693	2275	1997-02-13	VYDAJ	VYBER	8500	33455	\N	\N	\N
666694	2275	1997-03-15	VYDAJ	VYBER	8500	30294	\N	\N	\N
666695	2275	1997-04-14	VYDAJ	VYBER	13000	24042	\N	\N	\N
666696	2275	1997-05-14	VYDAJ	VYBER	8600	22151	\N	\N	\N
666697	2275	1997-06-13	VYDAJ	VYBER	10100	25314	\N	\N	\N
666698	2275	1997-07-13	VYDAJ	VYBER	9500	21012	\N	\N	\N
666699	2275	1997-08-12	VYDAJ	VYBER	7200	20502	\N	\N	\N
666700	2275	1997-09-11	VYDAJ	VYBER	12100	13384	\N	\N	\N
666701	2275	1997-10-11	VYDAJ	VYBER	8600	11449	\N	\N	\N
666702	2275	1997-11-10	VYDAJ	VYBER	12400	12247	\N	\N	\N
666703	2275	1998-01-09	VYDAJ	VYBER	13300	13595	\N	\N	\N
666704	2275	1998-03-10	VYDAJ	VYBER	13000	13873	\N	\N	\N
666705	2275	1998-05-09	VYDAJ	VYBER	9500	14145	\N	\N	\N
666706	2275	1998-06-08	VYDAJ	VYBER	13800	13546	\N	\N	\N
666734	2276	1993-10-22	PRIJEM	VKLAD	400	400	\N	\N	\N
666745	2276	1993-11-12	PRIJEM	PREVOD Z UCTU	4794	5194	DUCHOD	UV	67999994
666746	2276	1993-12-12	PRIJEM	PREVOD Z UCTU	4794	9988	DUCHOD	UV	67999994
666747	2276	1994-01-12	PRIJEM	PREVOD Z UCTU	4794	14782	DUCHOD	UV	67999994
666748	2276	1994-02-12	PRIJEM	PREVOD Z UCTU	4794	19576	DUCHOD	UV	67999994
666749	2276	1994-03-12	PRIJEM	PREVOD Z UCTU	4794	24370	DUCHOD	UV	67999994
666750	2276	1994-04-12	PRIJEM	PREVOD Z UCTU	4794	24383	DUCHOD	UV	67999994
666751	2276	1994-05-12	PRIJEM	PREVOD Z UCTU	4794	24036	DUCHOD	UV	67999994
666752	2276	1994-06-12	PRIJEM	PREVOD Z UCTU	4794	25024	DUCHOD	UV	67999994
666753	2276	1994-07-12	PRIJEM	PREVOD Z UCTU	4794	26278	DUCHOD	UV	67999994
666754	2276	1994-08-12	PRIJEM	PREVOD Z UCTU	4794	29539	DUCHOD	UV	67999994
666755	2276	1994-09-12	PRIJEM	PREVOD Z UCTU	4794	29608	DUCHOD	UV	67999994
666756	2276	1994-10-12	PRIJEM	PREVOD Z UCTU	4794	29978	DUCHOD	UV	67999994
666757	2276	1994-11-12	PRIJEM	PREVOD Z UCTU	4794	32954	DUCHOD	UV	67999994
666758	2276	1994-12-12	PRIJEM	PREVOD Z UCTU	4794	31387	DUCHOD	UV	67999994
666759	2276	1995-01-12	PRIJEM	PREVOD Z UCTU	4794	31350	DUCHOD	UV	67999994
666760	2276	1995-02-12	PRIJEM	PREVOD Z UCTU	4794	22201	DUCHOD	UV	67999994
666761	2276	1995-03-12	PRIJEM	PREVOD Z UCTU	4794	25445	DUCHOD	UV	67999994
666762	2276	1995-04-12	PRIJEM	PREVOD Z UCTU	4794	25742	DUCHOD	UV	67999994
666763	2276	1995-05-12	PRIJEM	PREVOD Z UCTU	4794	25475	DUCHOD	UV	67999994
666764	2276	1995-06-12	PRIJEM	PREVOD Z UCTU	4794	28092	DUCHOD	UV	67999994
666765	2276	1995-07-12	PRIJEM	PREVOD Z UCTU	4794	31361	DUCHOD	UV	67999994
666766	2276	1995-08-12	PRIJEM	PREVOD Z UCTU	4794	33344	DUCHOD	UV	67999994
666767	2276	1995-09-12	PRIJEM	PREVOD Z UCTU	4794	34932	DUCHOD	UV	67999994
666768	2276	1995-10-12	PRIJEM	PREVOD Z UCTU	4794	32184	DUCHOD	UV	67999994
666769	2276	1995-11-12	PRIJEM	PREVOD Z UCTU	4794	35476	DUCHOD	UV	67999994
666770	2276	1995-12-12	PRIJEM	PREVOD Z UCTU	4794	37426	DUCHOD	UV	67999994
666771	2276	1996-01-12	PRIJEM	PREVOD Z UCTU	4794	35537	DUCHOD	UV	67999994
666772	2276	1996-02-12	PRIJEM	PREVOD Z UCTU	4794	28034	DUCHOD	UV	67999994
666773	2276	1996-03-12	PRIJEM	PREVOD Z UCTU	4794	31307	DUCHOD	UV	67999994
666774	2276	1996-04-12	PRIJEM	PREVOD Z UCTU	4794	34589	DUCHOD	UV	67999994
666775	2276	1996-05-12	PRIJEM	PREVOD Z UCTU	4794	37884	DUCHOD	UV	67999994
666776	2276	1996-06-12	PRIJEM	PREVOD Z UCTU	4794	37794	DUCHOD	UV	67999994
666777	2276	1996-07-12	PRIJEM	PREVOD Z UCTU	4794	40609	DUCHOD	UV	67999994
666778	2276	1996-08-12	PRIJEM	PREVOD Z UCTU	4794	42832	DUCHOD	UV	67999994
666779	2276	1996-09-12	PRIJEM	PREVOD Z UCTU	4794	43525	DUCHOD	UV	67999994
666780	2276	1996-10-12	PRIJEM	PREVOD Z UCTU	4794	42538	DUCHOD	UV	67999994
666781	2276	1996-11-12	PRIJEM	PREVOD Z UCTU	4794	43667	DUCHOD	UV	67999994
666782	2276	1996-12-12	PRIJEM	PREVOD Z UCTU	4794	42526	DUCHOD	UV	67999994
666783	2276	1997-01-12	PRIJEM	PREVOD Z UCTU	4794	41118	DUCHOD	UV	67999994
666784	2276	1997-02-12	PRIJEM	PREVOD Z UCTU	4794	36164	DUCHOD	UV	67999994
666785	2276	1997-03-12	PRIJEM	PREVOD Z UCTU	4794	39168	DUCHOD	UV	67999994
666786	2276	1997-04-12	PRIJEM	PREVOD Z UCTU	4794	42484	DUCHOD	UV	67999994
666787	2276	1997-05-12	PRIJEM	PREVOD Z UCTU	4794	40790	DUCHOD	UV	67999994
666788	2276	1997-06-12	PRIJEM	PREVOD Z UCTU	4794	43393	DUCHOD	UV	67999994
666789	2276	1997-07-12	PRIJEM	PREVOD Z UCTU	4794	33368	DUCHOD	UV	67999994
666790	2276	1997-08-12	PRIJEM	PREVOD Z UCTU	4794	36658	DUCHOD	UV	67999994
666791	2276	1997-09-12	PRIJEM	PREVOD Z UCTU	4794	39961	DUCHOD	UV	67999994
666792	2276	1997-10-12	PRIJEM	PREVOD Z UCTU	4794	41998	DUCHOD	UV	67999994
666793	2276	1997-11-12	PRIJEM	PREVOD Z UCTU	4794	45327	DUCHOD	UV	67999994
666794	2276	1997-12-12	PRIJEM	PREVOD Z UCTU	4794	48666	DUCHOD	UV	67999994
666795	2276	1998-01-12	PRIJEM	PREVOD Z UCTU	4794	46448	DUCHOD	UV	67999994
666796	2276	1998-02-12	PRIJEM	PREVOD Z UCTU	4794	38049	DUCHOD	UV	67999994
666797	2276	1998-03-12	PRIJEM	PREVOD Z UCTU	4794	41357	DUCHOD	UV	67999994
666798	2276	1998-04-12	PRIJEM	PREVOD Z UCTU	4794	44679	DUCHOD	UV	67999994
666799	2276	1998-05-12	PRIJEM	PREVOD Z UCTU	4794	48015	DUCHOD	UV	67999994
666800	2276	1998-06-12	PRIJEM	PREVOD Z UCTU	4794	35444	DUCHOD	UV	67999994
666801	2276	1998-07-12	PRIJEM	PREVOD Z UCTU	4794	36923	DUCHOD	UV	67999994
666802	2276	1998-08-12	PRIJEM	PREVOD Z UCTU	4794	40226	DUCHOD	UV	67999994
666803	2276	1998-09-12	PRIJEM	PREVOD Z UCTU	4794	43543	DUCHOD	UV	67999994
666804	2276	1998-10-12	PRIJEM	PREVOD Z UCTU	4794	46874	DUCHOD	UV	67999994
666805	2276	1998-11-12	PRIJEM	PREVOD Z UCTU	4794	50218	DUCHOD	UV	67999994
666806	2276	1998-12-12	PRIJEM	PREVOD Z UCTU	4794	53576	DUCHOD	UV	67999994
666821	2276	1994-03-14	VYDAJ	PREVOD NA UCET	1615	22755	SIPO	MN	86481719
666822	2276	1994-04-14	VYDAJ	PREVOD NA UCET	1615	22768	SIPO	MN	86481719
666823	2276	1994-05-14	VYDAJ	PREVOD NA UCET	1615	22421	SIPO	MN	86481719
666824	2276	1994-06-14	VYDAJ	PREVOD NA UCET	1615	23409	SIPO	MN	86481719
666825	2276	1994-07-14	VYDAJ	PREVOD NA UCET	1615	24663	SIPO	MN	86481719
666826	2276	1994-08-14	VYDAJ	PREVOD NA UCET	1615	27924	SIPO	MN	86481719
666827	2276	1994-09-14	VYDAJ	PREVOD NA UCET	1615	27993	SIPO	MN	86481719
666828	2276	1994-10-14	VYDAJ	PREVOD NA UCET	1615	28363	SIPO	MN	86481719
666829	2276	1994-11-14	VYDAJ	PREVOD NA UCET	1615	31339	SIPO	MN	86481719
666830	2276	1994-12-14	VYDAJ	PREVOD NA UCET	1615	28572	SIPO	MN	86481719
666831	2276	1995-01-14	VYDAJ	PREVOD NA UCET	1615	26535	SIPO	MN	86481719
666832	2276	1995-02-14	VYDAJ	PREVOD NA UCET	1615	20586	SIPO	MN	86481719
666833	2276	1995-03-14	VYDAJ	PREVOD NA UCET	1615	23830	SIPO	MN	86481719
666834	2276	1995-04-14	VYDAJ	PREVOD NA UCET	1615	24127	SIPO	MN	86481719
666835	2276	1995-05-14	VYDAJ	PREVOD NA UCET	1615	23860	SIPO	MN	86481719
666836	2276	1995-06-14	VYDAJ	PREVOD NA UCET	1615	26477	SIPO	MN	86481719
666837	2276	1995-07-14	VYDAJ	PREVOD NA UCET	1615	28446	SIPO	MN	86481719
666838	2276	1995-08-14	VYDAJ	PREVOD NA UCET	1615	30029	SIPO	MN	86481719
666839	2276	1995-09-14	VYDAJ	PREVOD NA UCET	1615	30717	SIPO	MN	86481719
666840	2276	1995-10-14	VYDAJ	PREVOD NA UCET	1615	30569	SIPO	MN	86481719
666841	2276	1995-11-14	VYDAJ	PREVOD NA UCET	1615	33861	SIPO	MN	86481719
666842	2276	1995-12-14	VYDAJ	PREVOD NA UCET	1615	35811	SIPO	MN	86481719
666843	2276	1996-01-14	VYDAJ	PREVOD NA UCET	1615	33922	SIPO	MN	86481719
666844	2276	1996-02-14	VYDAJ	PREVOD NA UCET	1615	26419	SIPO	MN	86481719
666845	2276	1996-03-14	VYDAJ	PREVOD NA UCET	1615	29692	SIPO	MN	86481719
666846	2276	1996-04-14	VYDAJ	PREVOD NA UCET	1615	32974	SIPO	MN	86481719
666847	2276	1996-05-14	VYDAJ	PREVOD NA UCET	1615	36269	SIPO	MN	86481719
666848	2276	1996-06-14	VYDAJ	PREVOD NA UCET	1615	36179	SIPO	MN	86481719
666849	2276	1996-07-14	VYDAJ	PREVOD NA UCET	1615	38994	SIPO	MN	86481719
666850	2276	1996-08-14	VYDAJ	PREVOD NA UCET	1615	41217	SIPO	MN	86481719
666851	2276	1996-09-14	VYDAJ	PREVOD NA UCET	1615	41910	SIPO	MN	86481719
666852	2276	1996-10-14	VYDAJ	PREVOD NA UCET	1615	40923	SIPO	MN	86481719
666853	2276	1996-11-14	VYDAJ	PREVOD NA UCET	1615	38532	SIPO	MN	86481719
666854	2276	1996-12-14	VYDAJ	PREVOD NA UCET	1615	40911	SIPO	MN	86481719
666855	2276	1997-01-14	VYDAJ	PREVOD NA UCET	1615	39503	SIPO	MN	86481719
666856	2276	1997-02-14	VYDAJ	PREVOD NA UCET	1615	34549	SIPO	MN	86481719
666857	2276	1997-03-14	VYDAJ	PREVOD NA UCET	1615	37553	SIPO	MN	86481719
666858	2276	1997-04-14	VYDAJ	PREVOD NA UCET	1615	40869	SIPO	MN	86481719
666859	2276	1997-05-14	VYDAJ	PREVOD NA UCET	1615	39175	SIPO	MN	86481719
666860	2276	1997-06-14	VYDAJ	PREVOD NA UCET	1615	41778	SIPO	MN	86481719
666861	2276	1997-07-14	VYDAJ	PREVOD NA UCET	1615	31753	SIPO	MN	86481719
666862	2276	1997-08-14	VYDAJ	PREVOD NA UCET	1615	35043	SIPO	MN	86481719
666863	2276	1997-09-14	VYDAJ	PREVOD NA UCET	1615	38346	SIPO	MN	86481719
666864	2276	1997-10-14	VYDAJ	PREVOD NA UCET	1615	40383	SIPO	MN	86481719
666865	2276	1997-11-14	VYDAJ	PREVOD NA UCET	1615	43712	SIPO	MN	86481719
666866	2276	1997-12-14	VYDAJ	PREVOD NA UCET	1615	47051	SIPO	MN	86481719
666867	2276	1998-01-14	VYDAJ	PREVOD NA UCET	1615	44833	SIPO	MN	86481719
666868	2276	1998-02-14	VYDAJ	PREVOD NA UCET	1615	36434	SIPO	MN	86481719
666869	2276	1998-03-14	VYDAJ	PREVOD NA UCET	1615	39742	SIPO	MN	86481719
666870	2276	1998-04-14	VYDAJ	PREVOD NA UCET	1615	43064	SIPO	MN	86481719
666871	2276	1998-05-14	VYDAJ	PREVOD NA UCET	1615	46400	SIPO	MN	86481719
666872	2276	1998-06-14	VYDAJ	PREVOD NA UCET	1615	33829	SIPO	MN	86481719
666873	2276	1998-07-14	VYDAJ	PREVOD NA UCET	1615	35308	SIPO	MN	86481719
666874	2276	1998-08-14	VYDAJ	PREVOD NA UCET	1615	38611	SIPO	MN	86481719
666875	2276	1998-09-14	VYDAJ	PREVOD NA UCET	1615	41928	SIPO	MN	86481719
666876	2276	1998-10-14	VYDAJ	PREVOD NA UCET	1615	45259	SIPO	MN	86481719
666877	2276	1998-11-14	VYDAJ	PREVOD NA UCET	1615	48603	SIPO	MN	86481719
666878	2276	1998-12-14	VYDAJ	PREVOD NA UCET	1615	51961	SIPO	MN	86481719
666882	2276	1996-06-05	VYDAJ	VYBER	3400	33000	\N	\N	\N
666883	2276	1997-06-25	VYDAJ	VYBER	9900	28438	\N	\N	\N
666884	2276	1998-06-08	VYDAJ	VYBER	13600	30650	\N	\N	\N
666887	2276	1995-01-18	VYDAJ	VYBER	4250	18045	\N	\N	\N
666888	2276	1996-01-20	VYDAJ	VYBER	4800	29122	\N	\N	\N
666889	2276	1997-01-18	VYDAJ	VYBER	750	37073	\N	\N	\N
666890	2276	1998-01-29	VYDAJ	VYBER	1900	33093	\N	\N	\N
666892	2276	1994-12-04	VYDAJ	VYBER	1450	26593	\N	\N	\N
666893	2276	1995-12-10	VYDAJ	VYBER	1350	32632	\N	\N	\N
666894	2276	1996-12-01	VYDAJ	VYBER	950	37732	\N	\N	\N
666895	2276	1997-12-21	VYDAJ	VYBER	450	46601	\N	\N	\N
666896	2276	1998-12-29	VYDAJ	VYBER	1400	50561	\N	\N	\N
666909	2276	1995-01-28	VYDAJ	VYBER	720	17325	\N	\N	\N
666910	2276	1995-01-17	VYDAJ	VYBER	1360	23415	\N	\N	\N
666911	2276	1995-01-18	VYDAJ	VYBER	1120	22295	\N	\N	\N
666912	2276	1995-01-04	VYDAJ	VYBER	1920	26556	\N	\N	\N
666913	2276	1995-01-12	VYDAJ	VYBER	1920	29430	\N	\N	\N
666914	2276	1995-01-16	VYDAJ	VYBER	1760	24775	\N	\N	\N
666915	2276	1996-01-05	VYDAJ	VYBER	800	35143	\N	\N	\N
666916	2276	1996-01-10	VYDAJ	VYBER	560	32583	\N	\N	\N
666917	2276	1996-01-28	VYDAJ	VYBER	2320	25682	\N	\N	\N
666918	2276	1996-01-29	VYDAJ	VYBER	800	24882	\N	\N	\N
666919	2276	1996-01-27	VYDAJ	VYBER	1120	28002	\N	\N	\N
666920	2276	1996-01-11	VYDAJ	VYBER	1840	30743	\N	\N	\N
666921	2276	1997-01-20	VYDAJ	VYBER	1440	35633	\N	\N	\N
666922	2276	1997-01-24	VYDAJ	VYBER	880	34753	\N	\N	\N
666923	2276	1997-01-17	VYDAJ	VYBER	1280	37823	\N	\N	\N
666924	2276	1997-01-27	VYDAJ	VYBER	2240	32513	\N	\N	\N
666925	2276	1997-01-16	VYDAJ	VYBER	400	39103	\N	\N	\N
666926	2276	1997-01-01	VYDAJ	VYBER	1040	40024	\N	\N	\N
666927	2276	1998-01-29	VYDAJ	VYBER	2240	34993	\N	\N	\N
666928	2276	1998-01-26	VYDAJ	VYBER	1520	39153	\N	\N	\N
666929	2276	1998-01-29	VYDAJ	VYBER	480	37233	\N	\N	\N
666930	2276	1998-01-06	VYDAJ	VYBER	1840	41654	\N	\N	\N
666931	2276	1998-01-21	VYDAJ	VYBER	2080	42753	\N	\N	\N
666932	2276	1998-01-29	VYDAJ	VYBER	1440	37713	\N	\N	\N
666941	2276	1994-06-20	VYDAJ	VYBER	2000	21409	\N	\N	\N
666942	2276	1994-05-24	VYDAJ	VYBER	560	20161	\N	\N	\N
666943	2276	1994-12-12	VYDAJ	VYBER	1200	30187	\N	\N	\N
666944	2276	1994-03-17	VYDAJ	VYBER	3200	19555	\N	\N	\N
666945	2276	1994-04-29	VYDAJ	VYBER	3600	19168	\N	\N	\N
666946	2276	1995-10-02	VYDAJ	VYBER	3440	27390	\N	\N	\N
666947	2276	1995-01-12	VYDAJ	VYBER	1280	28150	\N	\N	\N
666948	2276	1995-03-30	VYDAJ	VYBER	2960	20870	\N	\N	\N
666949	2276	1995-05-28	VYDAJ	VYBER	640	23220	\N	\N	\N
666950	2276	1995-04-18	VYDAJ	VYBER	3520	20607	\N	\N	\N
666951	2276	1996-09-26	VYDAJ	VYBER	3440	37590	\N	\N	\N
666952	2276	1996-09-18	VYDAJ	VYBER	880	41030	\N	\N	\N
666953	2276	1996-09-06	VYDAJ	VYBER	2640	38731	\N	\N	\N
666954	2276	1996-02-08	VYDAJ	VYBER	1760	23240	\N	\N	\N
666955	2276	1996-11-12	VYDAJ	VYBER	3520	40147	\N	\N	\N
666956	2276	1997-04-19	VYDAJ	VYBER	1040	39829	\N	\N	\N
666957	2276	1997-10-03	VYDAJ	VYBER	1280	37204	\N	\N	\N
666958	2276	1997-06-15	VYDAJ	VYBER	3440	38338	\N	\N	\N
666959	2276	1997-05-17	VYDAJ	VYBER	720	38455	\N	\N	\N
666960	2276	1997-02-11	VYDAJ	VYBER	480	31370	\N	\N	\N
666961	2276	1997-05-05	VYDAJ	VYBER	3680	35996	\N	\N	\N
666962	2276	1998-01-02	VYDAJ	VYBER	3280	43494	\N	\N	\N
666963	2276	1998-01-26	VYDAJ	VYBER	2080	40673	\N	\N	\N
666964	2276	1998-06-26	VYDAJ	VYBER	1840	31989	\N	\N	\N
666965	2276	1998-05-31	VYDAJ	VYBER	2320	44265	\N	\N	\N
666981	2276	1994-03-31	VYDAJ	VYBER	15	19589	SLUZBY	\N	\N
666982	2276	1994-04-30	VYDAJ	VYBER	15	19242	SLUZBY	\N	\N
666983	2276	1994-05-31	VYDAJ	VYBER	15	20230	SLUZBY	\N	\N
666984	2276	1994-06-30	VYDAJ	VYBER	15	21484	SLUZBY	\N	\N
666985	2276	1994-07-31	VYDAJ	VYBER	15	24745	SLUZBY	\N	\N
666986	2276	1994-08-31	VYDAJ	VYBER	15	24814	SLUZBY	\N	\N
666987	2276	1994-09-30	VYDAJ	VYBER	15	25184	SLUZBY	\N	\N
666988	2276	1994-10-31	VYDAJ	VYBER	15	28160	SLUZBY	\N	\N
666989	2276	1994-11-30	VYDAJ	VYBER	15	28043	SLUZBY	\N	\N
666990	2276	1994-12-31	VYDAJ	VYBER	15	28476	SLUZBY	\N	\N
666991	2276	1995-01-31	VYDAJ	VYBER	15	17407	SLUZBY	\N	\N
666992	2276	1995-02-28	VYDAJ	VYBER	15	20651	SLUZBY	\N	\N
666993	2276	1995-03-31	VYDAJ	VYBER	15	20948	SLUZBY	\N	\N
666994	2276	1995-04-30	VYDAJ	VYBER	15	20681	SLUZBY	\N	\N
666995	2276	1995-05-31	VYDAJ	VYBER	15	23298	SLUZBY	\N	\N
666996	2276	1995-06-30	VYDAJ	VYBER	15	26567	SLUZBY	\N	\N
666997	2276	1995-07-31	VYDAJ	VYBER	15	28550	SLUZBY	\N	\N
666998	2276	1995-08-31	VYDAJ	VYBER	15	30138	SLUZBY	\N	\N
666999	2276	1995-09-30	VYDAJ	VYBER	15	30830	SLUZBY	\N	\N
667000	2276	1995-10-31	VYDAJ	VYBER	15	30682	SLUZBY	\N	\N
667001	2276	1995-11-30	VYDAJ	VYBER	15	33982	SLUZBY	\N	\N
667002	2276	1995-12-31	VYDAJ	VYBER	15	35943	SLUZBY	\N	\N
667003	2276	1996-01-31	VYDAJ	VYBER	15	25000	SLUZBY	\N	\N
667004	2276	1996-02-29	VYDAJ	VYBER	15	26513	SLUZBY	\N	\N
667005	2276	1996-03-31	VYDAJ	VYBER	15	29795	SLUZBY	\N	\N
667006	2276	1996-04-30	VYDAJ	VYBER	15	33090	SLUZBY	\N	\N
667007	2276	1996-05-31	VYDAJ	VYBER	15	36400	SLUZBY	\N	\N
667008	2276	1996-06-30	VYDAJ	VYBER	15	36315	SLUZBY	\N	\N
667009	2276	1996-07-31	VYDAJ	VYBER	15	39138	SLUZBY	\N	\N
667010	2276	1996-08-31	VYDAJ	VYBER	15	41371	SLUZBY	\N	\N
667011	2276	1996-09-30	VYDAJ	VYBER	15	37744	SLUZBY	\N	\N
667012	2276	1996-10-31	VYDAJ	VYBER	15	41073	SLUZBY	\N	\N
667013	2276	1996-11-30	VYDAJ	VYBER	15	38682	SLUZBY	\N	\N
667014	2276	1996-12-31	VYDAJ	VYBER	15	41064	SLUZBY	\N	\N
667015	2276	1997-01-31	VYDAJ	VYBER	15	32650	SLUZBY	\N	\N
667016	2276	1997-02-28	VYDAJ	VYBER	15	34674	SLUZBY	\N	\N
667017	2276	1997-03-31	VYDAJ	VYBER	15	37690	SLUZBY	\N	\N
667018	2276	1997-04-30	VYDAJ	VYBER	15	39976	SLUZBY	\N	\N
667019	2276	1997-05-31	VYDAJ	VYBER	15	38599	SLUZBY	\N	\N
667020	2276	1997-06-30	VYDAJ	VYBER	15	28574	SLUZBY	\N	\N
667021	2276	1997-07-31	VYDAJ	VYBER	15	31864	SLUZBY	\N	\N
667022	2276	1997-08-31	VYDAJ	VYBER	15	35167	SLUZBY	\N	\N
667023	2276	1997-09-30	VYDAJ	VYBER	15	38484	SLUZBY	\N	\N
667024	2276	1997-10-31	VYDAJ	VYBER	15	40533	SLUZBY	\N	\N
667025	2276	1997-11-30	VYDAJ	VYBER	15	43872	SLUZBY	\N	\N
667026	2276	1997-12-31	VYDAJ	VYBER	15	46774	SLUZBY	\N	\N
667027	2276	1998-01-31	VYDAJ	VYBER	15	33255	SLUZBY	\N	\N
667028	2276	1998-02-28	VYDAJ	VYBER	15	36563	SLUZBY	\N	\N
667029	2276	1998-03-31	VYDAJ	VYBER	15	39885	SLUZBY	\N	\N
667030	2276	1998-04-30	VYDAJ	VYBER	15	43221	SLUZBY	\N	\N
667031	2276	1998-05-31	VYDAJ	VYBER	15	44250	SLUZBY	\N	\N
667032	2276	1998-06-30	VYDAJ	VYBER	15	32129	SLUZBY	\N	\N
667033	2276	1998-07-31	VYDAJ	VYBER	15	35432	SLUZBY	\N	\N
667034	2276	1998-08-31	VYDAJ	VYBER	15	38749	SLUZBY	\N	\N
667035	2276	1998-09-30	VYDAJ	VYBER	15	42080	SLUZBY	\N	\N
667036	2276	1998-10-31	VYDAJ	VYBER	15	45424	SLUZBY	\N	\N
667037	2276	1998-11-30	VYDAJ	VYBER	15	48782	SLUZBY	\N	\N
667038	2276	1994-05-20	VYDAJ	VYBER	1700	20721	\N	\N	\N
667039	2276	1994-08-18	VYDAJ	VYBER	3200	24724	\N	\N	\N
667040	2276	1994-09-17	VYDAJ	VYBER	2900	25093	\N	\N	\N
667041	2276	1994-10-17	VYDAJ	VYBER	300	28063	\N	\N	\N
667042	2276	1994-11-16	VYDAJ	VYBER	3400	27939	\N	\N	\N
667043	2276	1994-12-16	VYDAJ	VYBER	200	28372	\N	\N	\N
667044	2276	1995-07-14	VYDAJ	VYBER	1300	30061	\N	\N	\N
667045	2276	1995-08-13	VYDAJ	VYBER	1700	31644	\N	\N	\N
667046	2276	1995-09-12	VYDAJ	VYBER	2600	32332	\N	\N	\N
667047	2276	1996-01-10	VYDAJ	VYBER	2000	33143	\N	\N	\N
667048	2276	1996-07-08	VYDAJ	VYBER	500	35815	\N	\N	\N
667049	2276	1996-08-07	VYDAJ	VYBER	1100	38038	\N	\N	\N
667050	2276	1996-11-05	VYDAJ	VYBER	2200	38873	\N	\N	\N
667051	2276	1997-01-04	VYDAJ	VYBER	3700	36324	\N	\N	\N
667052	2276	1997-02-03	VYDAJ	VYBER	800	31850	\N	\N	\N
667053	2276	1997-03-05	VYDAJ	VYBER	300	34374	\N	\N	\N
667054	2276	1997-05-04	VYDAJ	VYBER	300	39676	\N	\N	\N
667274	2278	1996-08-03	PRIJEM	VKLAD	500	500	\N	\N	\N
667282	2278	1996-08-06	PRIJEM	VKLAD	14408	14908	\N	\N	\N
667283	2278	1996-09-06	PRIJEM	VKLAD	14408	36268	\N	\N	\N
667284	2278	1996-10-06	PRIJEM	VKLAD	14408	45512	\N	\N	\N
667285	2278	1996-11-06	PRIJEM	VKLAD	14408	49904	\N	\N	\N
667286	2278	1996-12-06	PRIJEM	VKLAD	21612	60421	\N	\N	\N
667287	2278	1997-01-06	PRIJEM	VKLAD	14408	53905	\N	\N	\N
667288	2278	1997-02-06	PRIJEM	VKLAD	14408	37026	\N	\N	\N
667289	2278	1997-03-06	PRIJEM	VKLAD	14408	42214	\N	\N	\N
667290	2278	1997-04-06	PRIJEM	VKLAD	14408	43724	\N	\N	\N
667291	2278	1997-05-06	PRIJEM	VKLAD	14408	41439	\N	\N	\N
667292	2278	1997-06-06	PRIJEM	VKLAD	21612	44148	\N	\N	\N
667293	2278	1997-07-06	PRIJEM	VKLAD	14408	33524	\N	\N	\N
667294	2278	1997-08-06	PRIJEM	VKLAD	14408	39398	\N	\N	\N
667295	2278	1997-09-06	PRIJEM	VKLAD	14408	43895	\N	\N	\N
667296	2278	1997-10-06	PRIJEM	VKLAD	14408	47810	\N	\N	\N
667297	2278	1997-11-06	PRIJEM	VKLAD	14408	48640	\N	\N	\N
667298	2278	1997-12-06	PRIJEM	VKLAD	21612	48975	\N	\N	\N
667299	2278	1998-01-06	PRIJEM	VKLAD	14408	43999	\N	\N	\N
667300	2278	1998-02-06	PRIJEM	VKLAD	14408	36692	\N	\N	\N
667301	2278	1998-03-06	PRIJEM	VKLAD	14408	39876	\N	\N	\N
667302	2278	1998-04-06	PRIJEM	VKLAD	14408	38670	\N	\N	\N
667303	2278	1998-05-06	PRIJEM	VKLAD	14408	37956	\N	\N	\N
667304	2278	1998-06-06	PRIJEM	VKLAD	21612	44344	\N	\N	\N
667305	2278	1998-07-06	PRIJEM	VKLAD	14408	34946	\N	\N	\N
667306	2278	1998-08-06	PRIJEM	VKLAD	14408	42928	\N	\N	\N
667307	2278	1998-09-06	PRIJEM	VKLAD	14408	45836	\N	\N	\N
667308	2278	1998-10-06	PRIJEM	VKLAD	14408	49157	\N	\N	\N
667309	2278	1998-11-06	PRIJEM	VKLAD	14408	51891	\N	\N	\N
667310	2278	1998-12-06	PRIJEM	VKLAD	21612	61739	\N	\N	\N
667322	2278	1996-12-06	VYDAJ	PREVOD NA UCET	1145	59276	SIPO	YZ	28221976
667323	2278	1997-01-06	VYDAJ	PREVOD NA UCET	1145	52760	SIPO	YZ	28221976
667324	2278	1997-02-06	VYDAJ	PREVOD NA UCET	1145	35881	SIPO	YZ	28221976
667325	2278	1997-03-06	VYDAJ	PREVOD NA UCET	1145	41069	SIPO	YZ	28221976
667326	2278	1997-04-06	VYDAJ	PREVOD NA UCET	1145	42579	SIPO	YZ	28221976
667327	2278	1997-05-06	VYDAJ	PREVOD NA UCET	1145	40294	SIPO	YZ	28221976
667328	2278	1997-06-06	VYDAJ	PREVOD NA UCET	1145	43003	SIPO	YZ	28221976
667329	2278	1997-07-06	VYDAJ	PREVOD NA UCET	1145	32379	SIPO	YZ	28221976
667330	2278	1997-08-06	VYDAJ	PREVOD NA UCET	1145	38253	SIPO	YZ	28221976
667331	2278	1997-09-06	VYDAJ	PREVOD NA UCET	1145	42750	SIPO	YZ	28221976
667332	2278	1997-10-06	VYDAJ	PREVOD NA UCET	1145	46665	SIPO	YZ	28221976
667333	2278	1997-11-06	VYDAJ	PREVOD NA UCET	1145	47495	SIPO	YZ	28221976
667334	2278	1997-12-06	VYDAJ	PREVOD NA UCET	1145	47830	SIPO	YZ	28221976
667335	2278	1998-01-06	VYDAJ	PREVOD NA UCET	1145	42854	SIPO	YZ	28221976
667336	2278	1998-02-06	VYDAJ	PREVOD NA UCET	1145	35547	SIPO	YZ	28221976
667337	2278	1998-03-06	VYDAJ	PREVOD NA UCET	1145	38731	SIPO	YZ	28221976
667338	2278	1998-04-06	VYDAJ	PREVOD NA UCET	1145	37525	SIPO	YZ	28221976
667339	2278	1998-05-06	VYDAJ	PREVOD NA UCET	1145	36811	SIPO	YZ	28221976
667340	2278	1998-06-06	VYDAJ	PREVOD NA UCET	1145	43199	SIPO	YZ	28221976
667341	2278	1998-07-06	VYDAJ	PREVOD NA UCET	1145	33801	SIPO	YZ	28221976
667342	2278	1998-08-06	VYDAJ	PREVOD NA UCET	1145	41783	SIPO	YZ	28221976
667343	2278	1998-09-06	VYDAJ	PREVOD NA UCET	1145	44691	SIPO	YZ	28221976
667344	2278	1998-10-06	VYDAJ	PREVOD NA UCET	1145	48012	SIPO	YZ	28221976
667345	2278	1998-11-06	VYDAJ	PREVOD NA UCET	1145	50746	SIPO	YZ	28221976
667346	2278	1998-12-06	VYDAJ	PREVOD NA UCET	1145	60594	SIPO	YZ	28221976
667358	2278	1996-12-08	VYDAJ	PREVOD NA UCET	7377	51899	 	MN	48851555
667359	2278	1997-01-08	VYDAJ	PREVOD NA UCET	7377	45383	 	MN	48851555
667360	2278	1997-02-08	VYDAJ	PREVOD NA UCET	7377	28504	 	MN	48851555
667361	2278	1997-03-08	VYDAJ	PREVOD NA UCET	7377	33692	 	MN	48851555
667362	2278	1997-04-08	VYDAJ	PREVOD NA UCET	7377	35202	 	MN	48851555
667363	2278	1997-05-08	VYDAJ	PREVOD NA UCET	7377	32917	 	MN	48851555
667364	2278	1997-06-08	VYDAJ	PREVOD NA UCET	7377	25626	 	MN	48851555
667365	2278	1997-07-08	VYDAJ	PREVOD NA UCET	7377	25002	 	MN	48851555
667366	2278	1997-08-08	VYDAJ	PREVOD NA UCET	7377	30876	 	MN	48851555
667367	2278	1997-09-08	VYDAJ	PREVOD NA UCET	7377	35373	 	MN	48851555
667368	2278	1997-10-08	VYDAJ	PREVOD NA UCET	7377	39288	 	MN	48851555
667369	2278	1997-11-08	VYDAJ	PREVOD NA UCET	7377	40118	 	MN	48851555
667370	2278	1997-12-08	VYDAJ	PREVOD NA UCET	7377	40453	 	MN	48851555
667371	2278	1998-01-08	VYDAJ	PREVOD NA UCET	7377	32977	 	MN	48851555
667372	2278	1998-02-08	VYDAJ	PREVOD NA UCET	7377	28170	 	MN	48851555
667373	2278	1998-03-08	VYDAJ	PREVOD NA UCET	7377	31354	 	MN	48851555
667374	2278	1998-04-08	VYDAJ	PREVOD NA UCET	7377	30148	 	MN	48851555
667375	2278	1998-05-08	VYDAJ	PREVOD NA UCET	7377	29434	 	MN	48851555
667376	2278	1998-06-08	VYDAJ	PREVOD NA UCET	7377	35822	 	MN	48851555
667377	2278	1998-07-08	VYDAJ	PREVOD NA UCET	7377	26424	 	MN	48851555
667378	2278	1998-08-08	VYDAJ	PREVOD NA UCET	7377	34406	 	MN	48851555
667379	2278	1998-09-08	VYDAJ	PREVOD NA UCET	7377	37314	 	MN	48851555
667380	2278	1998-10-08	VYDAJ	PREVOD NA UCET	7377	40635	 	MN	48851555
667381	2278	1998-11-08	VYDAJ	PREVOD NA UCET	7377	43369	 	MN	48851555
667382	2278	1998-12-08	VYDAJ	PREVOD NA UCET	7377	51417	 	MN	48851555
667384	2278	1997-06-07	VYDAJ	VYBER	10000	33003	\N	\N	\N
667385	2278	1998-06-28	VYDAJ	VYBER	7600	20422	\N	\N	\N
667387	2278	1997-01-13	VYDAJ	VYBER	7000	38383	\N	\N	\N
667388	2278	1998-01-10	VYDAJ	VYBER	2900	28777	\N	\N	\N
667389	2278	1996-12-20	VYDAJ	VYBER	1400	50499	\N	\N	\N
667390	2278	1997-12-20	VYDAJ	VYBER	1400	39053	\N	\N	\N
667391	2278	1998-12-08	VYDAJ	VYBER	1800	58794	\N	\N	\N
667398	2278	1997-01-14	VYDAJ	VYBER	2300	36083	\N	\N	\N
667399	2278	1997-01-23	VYDAJ	VYBER	500	32683	\N	\N	\N
667400	2278	1997-01-27	VYDAJ	VYBER	1100	25983	\N	\N	\N
667401	2278	1997-01-16	VYDAJ	VYBER	2900	33183	\N	\N	\N
667402	2278	1997-01-24	VYDAJ	VYBER	1300	31383	\N	\N	\N
667403	2278	1997-01-25	VYDAJ	VYBER	700	30683	\N	\N	\N
667404	2278	1998-01-25	VYDAJ	VYBER	2300	26477	\N	\N	\N
667405	2278	1998-01-09	VYDAJ	VYBER	1300	31677	\N	\N	\N
667406	2278	1998-01-27	VYDAJ	VYBER	2700	23077	\N	\N	\N
667407	2278	1998-01-08	VYDAJ	VYBER	2500	40354	\N	\N	\N
667408	2278	1998-01-30	VYDAJ	VYBER	900	22177	\N	\N	\N
667409	2278	1998-01-05	VYDAJ	VYBER	1000	29591	\N	\N	\N
667417	2278	1997-06-01	VYDAJ	VYBER	3100	22536	\N	\N	\N
667418	2278	1997-12-01	VYDAJ	VYBER	2900	29663	\N	\N	\N
667419	2278	1997-01-25	VYDAJ	VYBER	3600	27083	\N	\N	\N
667420	2278	1997-06-23	VYDAJ	VYBER	4500	21126	\N	\N	\N
667421	2278	1997-12-02	VYDAJ	VYBER	2300	27363	\N	\N	\N
667422	2278	1998-12-08	VYDAJ	VYBER	4100	47317	\N	\N	\N
667423	2278	1998-04-19	VYDAJ	VYBER	4600	25548	\N	\N	\N
667424	2278	1998-05-22	VYDAJ	VYBER	3700	25734	\N	\N	\N
667437	2278	1996-12-31	VYDAJ	VYBER	15	39497	SLUZBY	\N	\N
667438	2278	1997-01-31	VYDAJ	VYBER	15	22618	SLUZBY	\N	\N
667439	2278	1997-02-28	VYDAJ	VYBER	15	28606	SLUZBY	\N	\N
667440	2278	1997-03-31	VYDAJ	VYBER	15	33816	SLUZBY	\N	\N
667441	2278	1997-04-30	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
667442	2278	1997-05-31	VYDAJ	VYBER	15	25636	SLUZBY	\N	\N
667443	2278	1997-06-30	VYDAJ	VYBER	15	19116	SLUZBY	\N	\N
667444	2278	1997-07-31	VYDAJ	VYBER	15	24990	SLUZBY	\N	\N
667445	2278	1997-08-31	VYDAJ	VYBER	15	29487	SLUZBY	\N	\N
667446	2278	1997-09-30	VYDAJ	VYBER	15	33402	SLUZBY	\N	\N
667447	2278	1997-10-31	VYDAJ	VYBER	15	34232	SLUZBY	\N	\N
667448	2278	1997-11-30	VYDAJ	VYBER	15	32563	SLUZBY	\N	\N
667449	2278	1997-12-31	VYDAJ	VYBER	15	30591	SLUZBY	\N	\N
667450	2278	1998-01-31	VYDAJ	VYBER	15	22284	SLUZBY	\N	\N
667451	2278	1998-02-28	VYDAJ	VYBER	15	25468	SLUZBY	\N	\N
667452	2278	1998-03-31	VYDAJ	VYBER	15	24262	SLUZBY	\N	\N
667453	2278	1998-04-30	VYDAJ	VYBER	15	23548	SLUZBY	\N	\N
667454	2278	1998-05-31	VYDAJ	VYBER	15	22732	SLUZBY	\N	\N
667455	2278	1998-06-30	VYDAJ	VYBER	15	20538	SLUZBY	\N	\N
667456	2278	1998-07-31	VYDAJ	VYBER	15	28520	SLUZBY	\N	\N
667457	2278	1998-08-31	VYDAJ	VYBER	15	31428	SLUZBY	\N	\N
667458	2278	1998-09-30	VYDAJ	VYBER	15	34749	SLUZBY	\N	\N
667459	2278	1998-10-31	VYDAJ	VYBER	15	37483	SLUZBY	\N	\N
667460	2278	1998-11-30	VYDAJ	VYBER	15	40127	SLUZBY	\N	\N
667461	2278	1996-09-02	PRIJEM	VKLAD	6900	21860	\N	\N	\N
667462	2278	1996-10-02	VYDAJ	VYBER	5300	31104	\N	\N	\N
667463	2278	1996-11-01	VYDAJ	VYBER	10200	35496	\N	\N	\N
667464	2278	1996-12-01	VYDAJ	VYBER	11300	38809	\N	\N	\N
667465	2278	1996-12-31	VYDAJ	VYBER	11200	39512	\N	\N	\N
667466	2278	1997-01-30	VYDAJ	VYBER	3500	22483	\N	\N	\N
667467	2278	1997-03-01	VYDAJ	VYBER	800	27806	\N	\N	\N
667468	2278	1997-03-31	VYDAJ	VYBER	4500	29316	\N	\N	\N
667469	2278	1997-04-30	VYDAJ	VYBER	8300	27046	\N	\N	\N
667470	2278	1997-05-30	VYDAJ	VYBER	7400	25517	\N	\N	\N
667471	2278	1997-06-29	VYDAJ	VYBER	2100	19026	\N	\N	\N
667472	2278	1997-07-29	VYDAJ	VYBER	100	24902	\N	\N	\N
667473	2278	1997-08-28	VYDAJ	VYBER	1500	29376	\N	\N	\N
667474	2278	1997-09-27	VYDAJ	VYBER	2100	33273	\N	\N	\N
667475	2278	1997-10-27	VYDAJ	VYBER	5200	34088	\N	\N	\N
667476	2278	1997-11-26	VYDAJ	VYBER	7700	32418	\N	\N	\N
667477	2278	1997-12-26	VYDAJ	VYBER	8600	30453	\N	\N	\N
667478	2278	1998-01-25	VYDAJ	VYBER	700	25777	\N	\N	\N
667479	2278	1998-02-24	VYDAJ	VYBER	2800	25370	\N	\N	\N
667480	2278	1998-03-26	VYDAJ	VYBER	7200	24154	\N	\N	\N
667481	2278	1998-04-25	VYDAJ	VYBER	2100	23448	\N	\N	\N
667482	2278	1998-05-25	VYDAJ	VYBER	3100	22634	\N	\N	\N
667483	2278	1998-06-24	VYDAJ	VYBER	7800	28022	\N	\N	\N
667484	2278	1998-07-24	PRIJEM	VKLAD	2000	28424	\N	\N	\N
667485	2278	1998-08-23	VYDAJ	VYBER	3100	31306	\N	\N	\N
667486	2278	1998-09-22	VYDAJ	VYBER	2700	34614	\N	\N	\N
667487	2278	1998-10-22	VYDAJ	VYBER	3300	37335	\N	\N	\N
667488	2278	1998-11-21	VYDAJ	VYBER	3400	39969	\N	\N	\N
667518	2279	1996-10-30	PRIJEM	VKLAD	600	600	\N	\N	\N
667529	2279	1996-11-09	PRIJEM	PREVOD Z UCTU	39338	39938	\N	GH	28062188
667530	2279	1996-12-09	PRIJEM	PREVOD Z UCTU	59007	88753	\N	GH	28062188
667531	2279	1997-01-09	PRIJEM	PREVOD Z UCTU	39338	93725	\N	GH	28062188
667532	2279	1997-02-09	PRIJEM	PREVOD Z UCTU	39338	99692	\N	GH	28062188
667533	2279	1997-03-09	PRIJEM	PREVOD Z UCTU	39338	91781	\N	GH	28062188
667534	2279	1997-04-09	PRIJEM	PREVOD Z UCTU	39338	78049	\N	GH	28062188
667535	2279	1997-05-09	PRIJEM	PREVOD Z UCTU	39338	51895	\N	GH	28062188
667536	2279	1997-06-09	PRIJEM	PREVOD Z UCTU	59007	94509	\N	GH	28062188
667537	2279	1997-07-09	PRIJEM	PREVOD Z UCTU	39338	77288	\N	GH	28062188
667538	2279	1997-08-09	PRIJEM	PREVOD Z UCTU	39338	82762	\N	GH	28062188
667539	2279	1997-09-09	PRIJEM	PREVOD Z UCTU	39338	77479	\N	GH	28062188
667540	2279	1997-10-09	PRIJEM	PREVOD Z UCTU	39338	64081	\N	GH	28062188
667541	2279	1997-11-09	PRIJEM	PREVOD Z UCTU	39338	61669	\N	GH	28062188
667542	2279	1997-12-09	PRIJEM	PREVOD Z UCTU	59007	94575	\N	GH	28062188
667543	2279	1998-01-09	PRIJEM	PREVOD Z UCTU	39338	98181	\N	GH	28062188
667544	2279	1998-02-09	PRIJEM	PREVOD Z UCTU	39338	98347	\N	GH	28062188
667545	2279	1998-03-09	PRIJEM	PREVOD Z UCTU	39338	87459	\N	GH	28062188
667546	2279	1998-04-09	PRIJEM	PREVOD Z UCTU	39338	85454	\N	GH	28062188
667547	2279	1998-05-09	PRIJEM	PREVOD Z UCTU	39338	73168	\N	GH	28062188
667548	2279	1998-06-09	PRIJEM	PREVOD Z UCTU	59007	102148	\N	GH	28062188
667549	2279	1998-07-09	PRIJEM	PREVOD Z UCTU	39338	88956	\N	GH	28062188
667550	2279	1998-08-09	PRIJEM	PREVOD Z UCTU	39338	86600	\N	GH	28062188
667551	2279	1998-09-09	PRIJEM	PREVOD Z UCTU	39338	95800	\N	GH	28062188
667552	2279	1998-10-09	PRIJEM	PREVOD Z UCTU	39338	101930	\N	GH	28062188
667553	2279	1998-11-09	PRIJEM	PREVOD Z UCTU	39338	74177	\N	GH	28062188
667554	2279	1998-12-09	PRIJEM	PREVOD Z UCTU	59007	98410	\N	GH	28062188
667569	2279	1997-03-04	VYDAJ	VYBER	7800	52443	\N	\N	0
667570	2279	1997-04-04	VYDAJ	VYBER	7500	38711	\N	\N	0
667571	2279	1997-05-02	VYDAJ	VYBER	6100	12557	\N	\N	0
667572	2279	1997-06-11	VYDAJ	VYBER	7200	66448	\N	\N	0
667573	2279	1997-07-04	VYDAJ	VYBER	6100	37950	\N	\N	0
667574	2279	1997-07-31	VYDAJ	VYBER	4400	43424	\N	\N	0
667575	2279	1997-09-14	VYDAJ	VYBER	4600	72879	\N	\N	0
667576	2279	1997-10-06	VYDAJ	VYBER	4200	24743	\N	\N	0
667577	2279	1997-11-20	VYDAJ	VYBER	6100	55569	\N	\N	0
667578	2279	1997-12-08	VYDAJ	VYBER	5500	35568	\N	\N	0
667579	2279	1998-01-20	VYDAJ	VYBER	6800	91381	\N	\N	0
667580	2279	1998-02-09	VYDAJ	VYBER	5700	92647	\N	\N	0
667581	2279	1998-03-11	VYDAJ	VYBER	7200	80259	\N	\N	0
667582	2279	1998-04-22	VYDAJ	VYBER	6800	78654	\N	\N	0
667583	2279	1998-05-27	VYDAJ	VYBER	5900	42927	\N	\N	0
667584	2279	1998-06-12	VYDAJ	PREVOD NA UCET	6556	95591	UVER	OP	19501900
667585	2279	1998-07-12	VYDAJ	PREVOD NA UCET	6556	82400	UVER	OP	19501900
667586	2279	1998-08-12	VYDAJ	PREVOD NA UCET	6556	80044	UVER	OP	19501900
667587	2279	1998-09-12	VYDAJ	PREVOD NA UCET	6556	89243	UVER	OP	19501900
667588	2279	1998-10-12	VYDAJ	PREVOD NA UCET	6556	71422	UVER	OP	19501900
667589	2279	1998-11-12	VYDAJ	PREVOD NA UCET	6556	61621	UVER	OP	19501900
667590	2279	1998-12-12	VYDAJ	PREVOD NA UCET	6556	91853	UVER	OP	19501900
667601	2279	1997-08-23	VYBER	VYBER	21982	53238	\N	\N	\N
667602	2279	1997-03-31	VYBER	VYBER	9249	46241	\N	\N	\N
667603	2279	1997-06-09	VYBER	VYBER	20861	73648	\N	\N	\N
667604	2279	1997-09-29	VYBER	VYBER	7800	28781	\N	\N	\N
667605	2279	1997-04-22	VYBER	VYBER	16548	13775	\N	\N	\N
667606	2279	1997-10-26	VYBER	VYBER	24513	22168	\N	\N	\N
667607	2279	1997-04-09	VYBER	VYBER	22784	30323	\N	\N	\N
667608	2279	1997-04-09	VYBER	VYBER	24942	53107	\N	\N	\N
667609	2279	1997-03-18	VYBER	VYBER	8411	83370	\N	\N	\N
667610	2279	1997-08-12	VYBER	VYBER	7542	75220	\N	\N	\N
667611	2279	1997-05-15	VYBER	VYBER	8419	43476	\N	\N	\N
667612	2279	1997-09-16	VYBER	VYBER	14098	58781	\N	\N	\N
667613	2279	1998-04-04	VYBER	VYBER	5171	46116	\N	\N	\N
667614	2279	1998-05-04	VYBER	VYBER	17272	33830	\N	\N	\N
667615	2279	1998-05-17	VYBER	VYBER	3241	69927	\N	\N	\N
667616	2279	1998-10-10	VYBER	VYBER	23952	77978	\N	\N	\N
667617	2279	1998-07-27	VYBER	VYBER	3756	47044	\N	\N	\N
667620	2279	1998-06-21	VYDAJ	VYBER	14400	81191	\N	\N	\N
667622	2279	1997-12-27	VYDAJ	VYBER KARTOU	3000	58575	\N	\N	0
667623	2279	1998-12-04	VYDAJ	VYBER KARTOU	3600	39403	\N	\N	0
667628	2279	1997-09-27	VYDAJ	VYBER	2700	36581	\N	\N	\N
667631	2279	1997-03-29	VYDAJ	VYBER	2400	55170	\N	\N	\N
667633	2279	1998-11-04	VYDAJ	VYBER	14400	34839	\N	\N	\N
667634	2279	1998-02-25	VYDAJ	VYBER	11700	47847	\N	\N	\N
667635	2279	1998-10-17	VYDAJ	VYBER	7200	64222	\N	\N	\N
667636	2279	1998-11-09	VYDAJ	VYBER	6000	68177	\N	\N	\N
667652	2279	1997-03-31	VYDAJ	VYBER	30	46211	SLUZBY	\N	\N
667653	2279	1997-04-30	VYDAJ	VYBER	30	18657	SLUZBY	\N	\N
667654	2279	1997-05-31	VYDAJ	VYBER	30	35502	SLUZBY	\N	\N
667655	2279	1997-06-30	VYDAJ	VYBER	30	44050	SLUZBY	\N	\N
667656	2279	1997-07-31	VYDAJ	VYBER	30	47824	SLUZBY	\N	\N
667657	2279	1997-08-31	VYDAJ	VYBER	30	38141	SLUZBY	\N	\N
667658	2279	1997-09-30	VYDAJ	VYBER	30	28943	SLUZBY	\N	\N
667659	2279	1997-10-31	VYDAJ	VYBER	30	22331	SLUZBY	\N	\N
667660	2279	1997-11-30	VYDAJ	VYBER	30	41068	SLUZBY	\N	\N
667661	2279	1997-12-31	VYDAJ	VYBER	30	58843	SLUZBY	\N	\N
667662	2279	1998-01-31	VYDAJ	VYBER	30	59009	SLUZBY	\N	\N
667663	2279	1998-02-28	VYDAJ	VYBER	30	48121	SLUZBY	\N	\N
667664	2279	1998-03-31	VYDAJ	VYBER	30	51287	SLUZBY	\N	\N
667665	2279	1998-04-30	VYDAJ	VYBER	30	51102	SLUZBY	\N	\N
667666	2279	1998-05-31	VYDAJ	VYBER	30	43141	SLUZBY	\N	\N
667667	2279	1998-06-30	VYDAJ	VYBER	30	49618	SLUZBY	\N	\N
667668	2279	1998-07-31	VYDAJ	VYBER	30	47262	SLUZBY	\N	\N
667669	2279	1998-08-31	VYDAJ	VYBER	30	56462	SLUZBY	\N	\N
667670	2279	1998-09-30	VYDAJ	VYBER	30	62592	SLUZBY	\N	\N
667671	2279	1998-10-31	VYDAJ	VYBER	30	49239	SLUZBY	\N	\N
667672	2279	1998-11-30	VYDAJ	VYBER	30	43003	SLUZBY	\N	\N
667673	2279	1996-11-29	VYDAJ	VYBER	10200	29738	\N	\N	\N
667674	2279	1996-12-29	VYDAJ	VYBER	34500	54253	\N	\N	\N
667675	2279	1997-01-28	VYDAJ	VYBER	33600	60125	\N	\N	\N
667676	2279	1997-02-27	VYDAJ	VYBER	39700	59992	\N	\N	\N
667677	2279	1997-03-29	VYDAJ	VYBER	25800	57570	\N	\N	\N
667678	2279	1997-04-28	PRIJEM	VKLAD	4700	18475	\N	\N	\N
667679	2279	1997-05-28	VYDAJ	VYBER	8100	35376	\N	\N	\N
667680	2279	1997-06-27	VYDAJ	VYBER	22600	43848	\N	\N	\N
667681	2279	1997-07-27	VYDAJ	VYBER	29700	47588	\N	\N	\N
667682	2279	1997-08-26	VYDAJ	VYBER	15300	37938	\N	\N	\N
667683	2279	1997-09-25	VYDAJ	VYBER	19500	39281	\N	\N	\N
667684	2279	1997-10-25	VYDAJ	VYBER	17400	46681	\N	\N	\N
667685	2279	1997-11-24	VYDAJ	VYBER	14600	40969	\N	\N	\N
667686	2279	1997-12-24	VYDAJ	VYBER	33000	61575	\N	\N	\N
667687	2279	1998-01-23	VYDAJ	VYBER	32600	58781	\N	\N	\N
667688	2279	1998-02-22	VYDAJ	VYBER	33100	59547	\N	\N	\N
667689	2279	1998-03-24	VYDAJ	VYBER	29200	51059	\N	\N	\N
667690	2279	1998-04-23	VYDAJ	VYBER	27800	50854	\N	\N	\N
667691	2279	1998-05-23	VYDAJ	VYBER	21100	48827	\N	\N	\N
667692	2279	1998-06-22	VYDAJ	VYBER	31800	49391	\N	\N	\N
667693	2279	1998-07-22	VYDAJ	VYBER	31600	50800	\N	\N	\N
667694	2279	1998-08-21	VYDAJ	VYBER	23800	56244	\N	\N	\N
667695	2279	1998-09-20	VYDAJ	VYBER	26900	62343	\N	\N	\N
667696	2279	1998-10-20	VYDAJ	VYBER	15200	49022	\N	\N	\N
667697	2279	1998-11-19	VYDAJ	VYBER	18800	42821	\N	\N	\N
667724	2280	1995-08-17	PRIJEM	VKLAD	200	200	\N	\N	\N
667733	2280	1995-09-08	PRIJEM	VKLAD	17448	17648	\N	\N	\N
667734	2280	1995-10-08	PRIJEM	VKLAD	17448	40544	\N	\N	\N
667735	2280	1995-11-08	PRIJEM	VKLAD	17448	47202	\N	\N	\N
667736	2280	1995-12-08	PRIJEM	VKLAD	26172	61310	\N	\N	\N
667737	2280	1996-01-08	PRIJEM	VKLAD	17448	58317	\N	\N	\N
667738	2280	1996-02-08	PRIJEM	VKLAD	17448	35865	\N	\N	\N
667739	2280	1996-03-08	PRIJEM	VKLAD	17448	37975	\N	\N	\N
667740	2280	1996-04-08	PRIJEM	VKLAD	17448	43603	\N	\N	\N
667741	2280	1996-05-08	PRIJEM	VKLAD	17448	41747	\N	\N	\N
667742	2280	1996-06-08	PRIJEM	VKLAD	26172	54813	\N	\N	\N
667743	2280	1996-07-08	PRIJEM	VKLAD	17448	48470	\N	\N	\N
667744	2280	1996-08-08	PRIJEM	VKLAD	17448	46721	\N	\N	\N
667745	2280	1996-09-08	PRIJEM	VKLAD	17448	46066	\N	\N	\N
667746	2280	1996-10-08	PRIJEM	VKLAD	17448	41996	\N	\N	\N
667747	2280	1996-11-08	PRIJEM	VKLAD	17448	41821	\N	\N	\N
667748	2280	1996-12-08	PRIJEM	VKLAD	26172	47863	\N	\N	\N
667749	2280	1997-01-08	PRIJEM	VKLAD	17448	37485	\N	\N	\N
667750	2280	1997-02-08	PRIJEM	VKLAD	17448	30775	\N	\N	\N
667751	2280	1997-03-08	PRIJEM	VKLAD	17448	33273	\N	\N	\N
667752	2280	1997-04-08	PRIJEM	VKLAD	17448	37677	\N	\N	\N
667753	2280	1997-05-08	PRIJEM	VKLAD	17448	38885	\N	\N	\N
667754	2280	1997-06-08	PRIJEM	VKLAD	26172	55631	\N	\N	\N
667755	2280	1997-07-08	PRIJEM	VKLAD	17448	46526	\N	\N	\N
667756	2280	1997-08-08	PRIJEM	VKLAD	17448	48598	\N	\N	\N
667757	2280	1997-09-08	PRIJEM	VKLAD	17448	51179	\N	\N	\N
667758	2280	1997-10-08	PRIJEM	VKLAD	17448	53577	\N	\N	\N
667759	2280	1997-11-08	PRIJEM	VKLAD	17448	53788	\N	\N	\N
667760	2280	1997-12-08	PRIJEM	VKLAD	26172	65425	\N	\N	\N
667761	2280	1998-01-08	PRIJEM	VKLAD	17448	52771	\N	\N	\N
667762	2280	1998-02-08	PRIJEM	VKLAD	17448	51767	\N	\N	\N
667763	2280	1998-03-08	PRIJEM	VKLAD	17448	52163	\N	\N	\N
667764	2280	1998-04-08	PRIJEM	VKLAD	17448	54770	\N	\N	\N
667765	2280	1998-05-08	PRIJEM	VKLAD	17448	56585	\N	\N	\N
667766	2280	1998-06-08	PRIJEM	VKLAD	26172	66026	\N	\N	\N
667767	2280	1998-07-08	PRIJEM	VKLAD	17448	53355	\N	\N	\N
667768	2280	1998-08-08	PRIJEM	VKLAD	17448	55467	\N	\N	\N
667769	2280	1998-09-08	PRIJEM	VKLAD	17448	53185	\N	\N	\N
667770	2280	1998-10-08	PRIJEM	VKLAD	17448	51696	\N	\N	\N
667771	2280	1998-11-08	PRIJEM	VKLAD	17448	57093	\N	\N	\N
667772	2280	1998-12-08	PRIJEM	VKLAD	26172	64733	\N	\N	\N
667786	2280	1996-02-07	VYDAJ	PREVOD NA UCET	6841	18417	SIPO	QR	5897534
667787	2280	1996-03-07	VYDAJ	PREVOD NA UCET	6841	20527	SIPO	QR	5897534
667788	2280	1996-04-07	VYDAJ	PREVOD NA UCET	6841	26155	SIPO	QR	5897534
667789	2280	1996-05-07	VYDAJ	PREVOD NA UCET	6841	24299	SIPO	QR	5897534
667790	2280	1996-06-07	VYDAJ	PREVOD NA UCET	6841	28641	SIPO	QR	5897534
667791	2280	1996-07-07	VYDAJ	PREVOD NA UCET	6841	31022	SIPO	QR	5897534
667792	2280	1996-08-07	VYDAJ	PREVOD NA UCET	6841	29273	SIPO	QR	5897534
667793	2280	1996-09-07	VYDAJ	PREVOD NA UCET	6841	28618	SIPO	QR	5897534
667794	2280	1996-10-07	VYDAJ	PREVOD NA UCET	6841	24548	SIPO	QR	5897534
667795	2280	1996-11-07	VYDAJ	PREVOD NA UCET	6841	24373	SIPO	QR	5897534
667796	2280	1996-12-07	VYDAJ	PREVOD NA UCET	6841	21691	SIPO	QR	5897534
667797	2280	1997-01-07	VYDAJ	PREVOD NA UCET	6841	20037	SIPO	QR	5897534
667798	2280	1997-02-07	VYDAJ	PREVOD NA UCET	6841	13327	SIPO	QR	5897534
667799	2280	1997-03-07	VYDAJ	PREVOD NA UCET	6841	15825	SIPO	QR	5897534
667800	2280	1997-04-07	VYDAJ	PREVOD NA UCET	6841	20229	SIPO	QR	5897534
667801	2280	1997-05-07	VYDAJ	PREVOD NA UCET	6841	21437	SIPO	QR	5897534
667802	2280	1997-06-07	VYDAJ	PREVOD NA UCET	6841	29459	SIPO	QR	5897534
667803	2280	1997-07-07	VYDAJ	PREVOD NA UCET	6841	29078	SIPO	QR	5897534
667804	2280	1997-08-07	VYDAJ	PREVOD NA UCET	6841	31150	SIPO	QR	5897534
667805	2280	1997-09-07	VYDAJ	PREVOD NA UCET	6841	33731	SIPO	QR	5897534
667806	2280	1997-10-07	VYDAJ	PREVOD NA UCET	6841	36129	SIPO	QR	5897534
667807	2280	1997-11-07	VYDAJ	PREVOD NA UCET	6841	36340	SIPO	QR	5897534
667808	2280	1997-12-07	VYDAJ	PREVOD NA UCET	6841	39253	SIPO	QR	5897534
667809	2280	1998-01-07	VYDAJ	PREVOD NA UCET	6841	36123	SIPO	QR	5897534
667810	2280	1998-02-07	VYDAJ	PREVOD NA UCET	6841	34319	SIPO	QR	5897534
667811	2280	1998-03-07	VYDAJ	PREVOD NA UCET	6841	34715	SIPO	QR	5897534
667812	2280	1998-04-07	VYDAJ	PREVOD NA UCET	6841	37322	SIPO	QR	5897534
667813	2280	1998-05-07	VYDAJ	PREVOD NA UCET	6841	39137	SIPO	QR	5897534
667814	2280	1998-06-07	VYDAJ	PREVOD NA UCET	6841	39854	SIPO	QR	5897534
667815	2280	1998-07-07	VYDAJ	PREVOD NA UCET	6841	35907	SIPO	QR	5897534
667816	2280	1998-08-07	VYDAJ	PREVOD NA UCET	6841	38019	SIPO	QR	5897534
667817	2280	1998-09-07	VYDAJ	PREVOD NA UCET	6841	35737	SIPO	QR	5897534
667818	2280	1998-10-07	VYDAJ	PREVOD NA UCET	6841	34248	SIPO	QR	5897534
667819	2280	1998-11-07	VYDAJ	PREVOD NA UCET	6841	39645	SIPO	QR	5897534
667820	2280	1998-12-07	VYDAJ	PREVOD NA UCET	6841	38561	SIPO	QR	5897534
667823	2280	1997-06-29	VYDAJ	VYBER	24000	31631	\N	\N	\N
667824	2280	1998-06-16	VYDAJ	VYBER	10800	55226	\N	\N	\N
667826	2280	1996-01-15	VYDAJ	VYBER	5900	32117	\N	\N	\N
667828	2280	1998-01-27	VYDAJ	VYBER	6900	43471	\N	\N	\N
667830	2280	1996-12-27	VYDAJ	VYBER	1700	29863	\N	\N	\N
667831	2280	1997-12-18	VYDAJ	VYBER	2900	62525	\N	\N	\N
667832	2280	1998-12-02	VYDAJ	VYBER	2500	45402	\N	\N	\N
667839	2280	1996-01-15	VYDAJ	VYBER	2500	29617	\N	\N	\N
667841	2280	1996-01-09	VYDAJ	VYBER	2200	56117	\N	\N	\N
667842	2280	1996-01-13	VYDAJ	VYBER	1800	54317	\N	\N	\N
667843	2280	1996-01-27	VYDAJ	VYBER	1800	27817	\N	\N	\N
667844	2280	1996-01-29	VYDAJ	VYBER	2700	25117	\N	\N	\N
667845	2280	1997-01-08	VYDAJ	VYBER	500	23485	\N	\N	\N
667846	2280	1997-01-04	VYDAJ	VYBER	1800	26878	\N	\N	\N
667847	2280	1997-01-08	VYDAJ	VYBER	2100	23985	\N	\N	\N
667848	2280	1997-01-13	VYDAJ	VYBER	2600	20885	\N	\N	\N
667849	2280	1997-01-19	VYDAJ	VYBER	1300	19585	\N	\N	\N
667850	2280	1997-01-20	VYDAJ	VYBER	2500	17085	\N	\N	\N
667851	2280	1998-01-28	VYDAJ	VYBER	1200	42271	\N	\N	\N
667852	2280	1998-01-04	VYDAJ	VYBER	2100	44164	\N	\N	\N
667853	2280	1998-01-04	VYDAJ	VYBER	1200	42964	\N	\N	\N
667854	2280	1998-01-01	VYDAJ	VYBER	1900	60864	\N	\N	\N
667855	2280	1998-01-07	VYDAJ	VYBER	800	35323	\N	\N	\N
667856	2280	1998-01-12	VYDAJ	VYBER	2400	50371	\N	\N	\N
667865	2280	1996-04-27	VYDAJ	VYBER	500	35203	\N	\N	\N
667866	2280	1996-11-14	VYDAJ	VYBER	3600	28421	\N	\N	\N
667867	2280	1996-05-02	VYDAJ	VYBER	4200	31140	\N	\N	\N
667869	2280	1997-01-04	VYDAJ	VYBER	1300	28678	\N	\N	\N
667870	2280	1997-02-15	VYDAJ	VYBER	3600	27175	\N	\N	\N
667872	2280	1997-02-04	VYDAJ	VYBER	1500	15668	\N	\N	\N
667873	2280	1997-03-02	VYDAJ	VYBER	4600	22666	\N	\N	\N
667874	2280	1997-08-16	VYDAJ	VYBER	4300	44298	\N	\N	\N
667875	2280	1998-10-05	VYDAJ	VYBER	4800	41089	\N	\N	\N
667876	2280	1998-05-19	VYDAJ	VYBER	3900	52685	\N	\N	\N
667877	2280	1998-07-26	VYDAJ	VYBER	800	52555	\N	\N	\N
667878	2280	1998-09-02	VYDAJ	VYBER	1500	42578	\N	\N	\N
667879	2280	1998-10-21	VYDAJ	VYBER	900	50796	\N	\N	\N
667893	2280	1996-01-31	VYDAJ	VYBER	15	25258	SLUZBY	\N	\N
667894	2280	1996-02-29	VYDAJ	VYBER	15	27368	SLUZBY	\N	\N
667895	2280	1996-03-31	VYDAJ	VYBER	15	32996	SLUZBY	\N	\N
667896	2280	1996-04-30	VYDAJ	VYBER	15	35340	SLUZBY	\N	\N
667897	2280	1996-05-31	VYDAJ	VYBER	15	35482	SLUZBY	\N	\N
667898	2280	1996-06-30	VYDAJ	VYBER	15	37863	SLUZBY	\N	\N
667899	2280	1996-07-31	VYDAJ	VYBER	15	36114	SLUZBY	\N	\N
667900	2280	1996-08-31	VYDAJ	VYBER	15	35459	SLUZBY	\N	\N
667901	2280	1996-09-30	VYDAJ	VYBER	15	31389	SLUZBY	\N	\N
667902	2280	1996-10-31	VYDAJ	VYBER	15	31214	SLUZBY	\N	\N
667903	2280	1996-11-30	VYDAJ	VYBER	15	28532	SLUZBY	\N	\N
667904	2280	1996-12-31	VYDAJ	VYBER	15	29978	SLUZBY	\N	\N
667905	2280	1997-01-31	VYDAJ	VYBER	15	17168	SLUZBY	\N	\N
667906	2280	1997-02-28	VYDAJ	VYBER	15	27266	SLUZBY	\N	\N
667907	2280	1997-03-31	VYDAJ	VYBER	15	27070	SLUZBY	\N	\N
667908	2280	1997-04-30	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
667909	2280	1997-05-31	VYDAJ	VYBER	15	32200	SLUZBY	\N	\N
667910	2280	1997-06-30	VYDAJ	VYBER	15	31819	SLUZBY	\N	\N
667911	2280	1997-07-31	VYDAJ	VYBER	15	46691	SLUZBY	\N	\N
667912	2280	1997-08-31	VYDAJ	VYBER	15	44472	SLUZBY	\N	\N
667913	2280	1997-09-30	VYDAJ	VYBER	15	51370	SLUZBY	\N	\N
667914	2280	1997-10-31	VYDAJ	VYBER	15	53781	SLUZBY	\N	\N
667915	2280	1997-11-30	VYDAJ	VYBER	15	53994	SLUZBY	\N	\N
667916	2280	1997-12-31	VYDAJ	VYBER	15	62764	SLUZBY	\N	\N
667917	2280	1998-01-31	VYDAJ	VYBER	15	42460	SLUZBY	\N	\N
667918	2280	1998-02-28	VYDAJ	VYBER	15	51956	SLUZBY	\N	\N
667919	2280	1998-03-31	VYDAJ	VYBER	15	52363	SLUZBY	\N	\N
667920	2280	1998-04-30	VYDAJ	VYBER	15	54978	SLUZBY	\N	\N
667921	2280	1998-05-31	VYDAJ	VYBER	15	52895	SLUZBY	\N	\N
667922	2280	1998-06-30	VYDAJ	VYBER	15	55448	SLUZBY	\N	\N
667923	2280	1998-07-31	VYDAJ	VYBER	15	52760	SLUZBY	\N	\N
667924	2280	1998-08-31	VYDAJ	VYBER	15	55678	SLUZBY	\N	\N
667925	2280	1998-09-30	VYDAJ	VYBER	15	53389	SLUZBY	\N	\N
667926	2280	1998-10-31	VYDAJ	VYBER	15	46486	SLUZBY	\N	\N
667927	2280	1998-11-30	VYDAJ	VYBER	15	47902	SLUZBY	\N	\N
667928	2280	1995-09-16	PRIJEM	VKLAD	5400	23048	\N	\N	\N
667929	2280	1995-10-16	VYDAJ	VYBER	10900	29644	\N	\N	\N
667930	2280	1995-11-15	VYDAJ	VYBER	12200	35002	\N	\N	\N
667931	2280	1995-12-15	VYDAJ	VYBER	20600	40710	\N	\N	\N
667932	2280	1996-01-14	VYDAJ	VYBER	16300	38017	\N	\N	\N
667933	2280	1996-02-13	VYDAJ	VYBER	8600	27265	\N	\N	\N
667934	2280	1996-03-14	VYDAJ	VYBER	5100	32875	\N	\N	\N
667935	2280	1996-04-13	VYDAJ	VYBER	7900	35703	\N	\N	\N
667936	2280	1996-05-13	VYDAJ	VYBER	6400	35347	\N	\N	\N
667937	2280	1996-06-12	VYDAJ	VYBER	17100	37713	\N	\N	\N
667938	2280	1996-07-12	VYDAJ	VYBER	12500	35970	\N	\N	\N
667939	2280	1996-08-11	VYDAJ	VYBER	11400	35321	\N	\N	\N
667940	2280	1996-09-10	VYDAJ	VYBER	14800	31266	\N	\N	\N
667941	2280	1996-10-10	VYDAJ	VYBER	10900	31096	\N	\N	\N
667942	2280	1996-11-09	VYDAJ	VYBER	9800	32021	\N	\N	\N
667943	2280	1996-12-09	VYDAJ	VYBER	16300	31563	\N	\N	\N
667944	2280	1997-01-08	VYDAJ	VYBER	11400	26085	\N	\N	\N
667945	2280	1997-02-07	PRIJEM	VKLAD	4500	20168	\N	\N	\N
667946	2280	1997-03-09	VYDAJ	VYBER	6300	26973	\N	\N	\N
667947	2280	1997-04-08	VYDAJ	VYBER	9500	28177	\N	\N	\N
667948	2280	1997-05-08	VYDAJ	VYBER	6800	32085	\N	\N	\N
667949	2280	1997-06-07	PRIJEM	VKLAD	4100	36300	\N	\N	\N
667950	2280	1997-07-07	PRIJEM	VKLAD	4100	35919	\N	\N	\N
667951	2280	1997-08-06	VYDAJ	VYBER	8700	37991	\N	\N	\N
667952	2280	1997-09-05	VYDAJ	VYBER	3900	40572	\N	\N	\N
667953	2280	1997-10-05	VYDAJ	VYBER	8400	42970	\N	\N	\N
667954	2280	1997-11-04	VYDAJ	VYBER	10600	43181	\N	\N	\N
667955	2280	1997-12-04	VYDAJ	VYBER	7900	46094	\N	\N	\N
667956	2280	1998-01-03	VYDAJ	VYBER	14600	46264	\N	\N	\N
667957	2280	1998-02-02	VYDAJ	VYBER	1300	41160	\N	\N	\N
667958	2280	1998-03-04	VYDAJ	VYBER	10400	41556	\N	\N	\N
667959	2280	1998-04-03	VYDAJ	VYBER	8200	44163	\N	\N	\N
667960	2280	1998-05-03	VYDAJ	VYBER	9000	45978	\N	\N	\N
667961	2280	1998-06-02	VYDAJ	VYBER	6200	46695	\N	\N	\N
667962	2280	1998-07-02	VYDAJ	VYBER	12700	42748	\N	\N	\N
667963	2280	1998-08-01	VYDAJ	VYBER	7900	44860	\N	\N	\N
667964	2280	1998-08-31	VYDAJ	VYBER	11600	44078	\N	\N	\N
667965	2280	1998-09-30	VYDAJ	VYBER	7500	45889	\N	\N	\N
667966	2280	1998-10-30	VYDAJ	VYBER	4500	46296	\N	\N	\N
667967	2280	1998-11-29	VYDAJ	VYBER	9400	47693	\N	\N	\N
668008	2281	1995-07-13	PRIJEM	VKLAD	400	400	\N	\N	\N
668016	2281	1995-08-12	PRIJEM	VKLAD	14463	14863	\N	\N	\N
668017	2281	1995-09-12	PRIJEM	VKLAD	14463	32466	\N	\N	\N
668018	2281	1995-10-12	PRIJEM	VKLAD	14463	44037	\N	\N	\N
668019	2281	1995-11-12	PRIJEM	VKLAD	14463	49567	\N	\N	\N
668020	2281	1995-12-12	PRIJEM	VKLAD	21694	59359	\N	\N	\N
668021	2281	1996-01-12	PRIJEM	VKLAD	14463	46000	\N	\N	\N
668022	2281	1996-02-12	PRIJEM	VKLAD	14463	45591	\N	\N	\N
668023	2281	1996-03-12	PRIJEM	VKLAD	14463	46578	\N	\N	\N
668024	2281	1996-04-12	PRIJEM	VKLAD	14463	49277	\N	\N	\N
668025	2281	1996-05-12	PRIJEM	VKLAD	14463	47584	\N	\N	\N
668026	2281	1996-06-12	PRIJEM	VKLAD	21694	57323	\N	\N	\N
668027	2281	1996-07-12	PRIJEM	VKLAD	14463	39521	\N	\N	\N
668028	2281	1996-08-12	PRIJEM	VKLAD	14463	41570	\N	\N	\N
668029	2281	1996-09-12	PRIJEM	VKLAD	14463	41043	\N	\N	\N
668030	2281	1996-10-12	PRIJEM	VKLAD	14463	40821	\N	\N	\N
668031	2281	1996-11-12	PRIJEM	VKLAD	14463	39398	\N	\N	\N
668032	2281	1996-12-12	PRIJEM	VKLAD	21694	46090	\N	\N	\N
668033	2281	1997-01-12	PRIJEM	VKLAD	14463	41972	\N	\N	\N
668034	2281	1997-02-12	PRIJEM	VKLAD	14463	32419	\N	\N	\N
668035	2281	1997-03-12	PRIJEM	VKLAD	14463	33948	\N	\N	\N
668036	2281	1997-04-12	PRIJEM	VKLAD	14463	35692	\N	\N	\N
668037	2281	1997-05-12	PRIJEM	VKLAD	14463	32742	\N	\N	\N
668038	2281	1997-06-12	PRIJEM	VKLAD	21694	40020	\N	\N	\N
668039	2281	1997-07-12	PRIJEM	VKLAD	14463	38769	\N	\N	\N
668040	2281	1997-08-12	PRIJEM	VKLAD	14463	36837	\N	\N	\N
668041	2281	1997-09-12	PRIJEM	VKLAD	14463	41297	\N	\N	\N
668042	2281	1997-10-12	PRIJEM	VKLAD	14463	39150	\N	\N	\N
668043	2281	1997-11-12	PRIJEM	VKLAD	14463	34699	\N	\N	\N
668044	2281	1997-12-12	PRIJEM	VKLAD	21694	44569	\N	\N	\N
668045	2281	1998-01-12	PRIJEM	VKLAD	14463	34623	\N	\N	\N
668046	2281	1998-02-12	PRIJEM	VKLAD	14463	29657	\N	\N	\N
668047	2281	1998-03-12	PRIJEM	VKLAD	14463	31665	\N	\N	\N
668048	2281	1998-04-12	PRIJEM	VKLAD	14463	30581	\N	\N	\N
668049	2281	1998-05-12	PRIJEM	VKLAD	14463	31293	\N	\N	\N
668050	2281	1998-06-12	PRIJEM	VKLAD	21694	40238	\N	\N	\N
668051	2281	1998-07-12	PRIJEM	VKLAD	14463	43477	\N	\N	\N
668052	2281	1998-08-12	PRIJEM	VKLAD	14463	40438	\N	\N	\N
668053	2281	1998-09-12	PRIJEM	VKLAD	14463	38886	\N	\N	\N
668054	2281	1998-10-12	PRIJEM	VKLAD	14463	33026	\N	\N	\N
668055	2281	1998-11-12	PRIJEM	VKLAD	14463	30749	\N	\N	\N
668056	2281	1998-12-12	PRIJEM	VKLAD	21694	36185	\N	\N	\N
668068	2281	1995-12-14	VYDAJ	PREVOD NA UCET	5720	51439	SIPO	YZ	7258689
668069	2281	1996-01-14	VYDAJ	PREVOD NA UCET	5720	40280	SIPO	YZ	7258689
668070	2281	1996-02-14	VYDAJ	PREVOD NA UCET	5720	39871	SIPO	YZ	7258689
668071	2281	1996-03-14	VYDAJ	PREVOD NA UCET	5720	40858	SIPO	YZ	7258689
668072	2281	1996-04-14	VYDAJ	PREVOD NA UCET	5720	43557	SIPO	YZ	7258689
668073	2281	1996-05-14	VYDAJ	PREVOD NA UCET	5720	41864	SIPO	YZ	7258689
668074	2281	1996-06-14	VYDAJ	PREVOD NA UCET	5720	51603	SIPO	YZ	7258689
668075	2281	1996-07-14	VYDAJ	PREVOD NA UCET	5720	31401	SIPO	YZ	7258689
668076	2281	1996-08-14	VYDAJ	PREVOD NA UCET	5720	35850	SIPO	YZ	7258689
668077	2281	1996-09-14	VYDAJ	PREVOD NA UCET	5720	35323	SIPO	YZ	7258689
668078	2281	1996-10-14	VYDAJ	PREVOD NA UCET	5720	35101	SIPO	YZ	7258689
668079	2281	1996-11-14	VYDAJ	PREVOD NA UCET	5720	33678	SIPO	YZ	7258689
668080	2281	1996-12-14	VYDAJ	PREVOD NA UCET	5720	40370	SIPO	YZ	7258689
668081	2281	1997-01-14	VYDAJ	PREVOD NA UCET	5720	36252	SIPO	YZ	7258689
668082	2281	1997-02-14	VYDAJ	PREVOD NA UCET	5720	26699	SIPO	YZ	7258689
668083	2281	1997-03-14	VYDAJ	PREVOD NA UCET	5720	28228	SIPO	YZ	7258689
668084	2281	1997-04-14	VYDAJ	PREVOD NA UCET	5720	29972	SIPO	YZ	7258689
668085	2281	1997-05-14	VYDAJ	PREVOD NA UCET	5720	27022	SIPO	YZ	7258689
668086	2281	1997-06-14	VYDAJ	PREVOD NA UCET	5720	34300	SIPO	YZ	7258689
668087	2281	1997-07-14	VYDAJ	PREVOD NA UCET	5720	33049	SIPO	YZ	7258689
668088	2281	1997-08-14	VYDAJ	PREVOD NA UCET	5720	31117	SIPO	YZ	7258689
668089	2281	1997-09-14	VYDAJ	PREVOD NA UCET	5720	32177	SIPO	YZ	7258689
668090	2281	1997-10-14	VYDAJ	PREVOD NA UCET	5720	33430	SIPO	YZ	7258689
668091	2281	1997-11-14	VYDAJ	PREVOD NA UCET	5720	28979	SIPO	YZ	7258689
668092	2281	1997-12-14	VYDAJ	PREVOD NA UCET	5720	38849	SIPO	YZ	7258689
668093	2281	1998-01-14	VYDAJ	PREVOD NA UCET	5720	28903	SIPO	YZ	7258689
668094	2281	1998-02-14	VYDAJ	PREVOD NA UCET	5720	23937	SIPO	YZ	7258689
668095	2281	1998-03-14	VYDAJ	PREVOD NA UCET	5720	25945	SIPO	YZ	7258689
668096	2281	1998-04-14	VYDAJ	PREVOD NA UCET	5720	24861	SIPO	YZ	7258689
668097	2281	1998-05-14	VYDAJ	PREVOD NA UCET	5720	25573	SIPO	YZ	7258689
668098	2281	1998-06-14	VYDAJ	PREVOD NA UCET	5720	34518	SIPO	YZ	7258689
668099	2281	1998-07-14	VYDAJ	PREVOD NA UCET	5720	37757	SIPO	YZ	7258689
668100	2281	1998-08-14	VYDAJ	PREVOD NA UCET	5720	34718	SIPO	YZ	7258689
668101	2281	1998-09-14	VYDAJ	PREVOD NA UCET	5720	33166	SIPO	YZ	7258689
668102	2281	1998-10-14	VYDAJ	PREVOD NA UCET	5720	27306	SIPO	YZ	7258689
668103	2281	1998-11-14	VYDAJ	PREVOD NA UCET	5720	25029	SIPO	YZ	7258689
668104	2281	1998-12-14	VYDAJ	PREVOD NA UCET	5720	30465	SIPO	YZ	7258689
668106	2281	1996-06-23	VYDAJ	VYBER	28500	23103	\N	\N	\N
668110	2281	1996-01-22	VYDAJ	VYBER	3000	34580	\N	\N	\N
668111	2281	1997-01-14	VYDAJ	VYBER	9700	26552	\N	\N	\N
668112	2281	1998-01-09	VYDAJ	VYBER	1100	22760	\N	\N	\N
668113	2281	1995-12-28	VYDAJ	VYBER	1800	49639	\N	\N	\N
668114	2281	1996-12-07	VYDAJ	VYBER	1000	24396	\N	\N	\N
668115	2281	1997-12-26	VYDAJ	VYBER	2600	36249	\N	\N	\N
668116	2281	1998-12-14	VYDAJ	VYBER	900	29565	\N	\N	\N
668123	2281	1996-01-02	VYDAJ	VYBER	2500	47337	\N	\N	\N
668124	2281	1996-01-03	VYDAJ	VYBER	1300	46037	\N	\N	\N
668125	2281	1996-01-06	VYDAJ	VYBER	2200	43837	\N	\N	\N
668126	2281	1996-01-19	VYDAJ	VYBER	2700	37580	\N	\N	\N
668127	2281	1996-01-07	VYDAJ	VYBER	1900	41937	\N	\N	\N
668128	2281	1996-01-26	VYDAJ	VYBER	600	33980	\N	\N	\N
668129	2281	1997-01-28	VYDAJ	VYBER	500	19552	\N	\N	\N
668130	2281	1997-01-03	VYDAJ	VYBER	1300	27509	\N	\N	\N
668131	2281	1997-01-20	VYDAJ	VYBER	1900	24652	\N	\N	\N
668132	2281	1997-01-22	VYDAJ	VYBER	2500	22152	\N	\N	\N
668133	2281	1997-01-26	VYDAJ	VYBER	2100	20052	\N	\N	\N
668134	2281	1997-01-02	VYDAJ	VYBER	1400	39109	\N	\N	\N
668135	2281	1998-01-26	VYDAJ	VYBER	2600	23403	\N	\N	\N
668136	2281	1998-01-10	VYDAJ	VYBER	2600	20160	\N	\N	\N
668137	2281	1998-01-07	VYDAJ	VYBER	700	23860	\N	\N	\N
668138	2281	1998-01-28	VYDAJ	VYBER	2300	17603	\N	\N	\N
668139	2281	1998-01-30	VYDAJ	VYBER	2500	15103	\N	\N	\N
668140	2281	1998-01-26	VYDAJ	VYBER	2900	26003	\N	\N	\N
668141	2281	1995-12-13	VYDAJ	VYBER	2200	57159	\N	\N	\N
668144	2281	1996-11-01	VYDAJ	VYBER	2600	32635	\N	\N	\N
668145	2281	1996-07-13	VYDAJ	VYBER	2400	37121	\N	\N	\N
668146	2281	1997-07-21	VYDAJ	VYBER	800	32249	\N	\N	\N
668147	2281	1997-11-19	VYDAJ	VYBER	1300	27679	\N	\N	\N
668148	2281	1997-03-26	VYDAJ	VYBER	1300	26928	\N	\N	\N
668149	2281	1997-09-13	VYDAJ	VYBER	3400	37897	\N	\N	\N
668150	2281	1997-11-11	VYDAJ	VYBER	3900	20236	\N	\N	\N
668151	2281	1997-06-02	VYDAJ	VYBER	3000	24126	\N	\N	\N
668153	2281	1998-10-07	VYDAJ	VYBER	3100	18563	\N	\N	\N
668166	2281	1995-12-31	VYDAJ	VYBER	15	49837	SLUZBY	\N	\N
668167	2281	1996-01-31	VYDAJ	VYBER	15	34128	SLUZBY	\N	\N
668168	2281	1996-02-29	VYDAJ	VYBER	15	40015	SLUZBY	\N	\N
668169	2281	1996-03-31	VYDAJ	VYBER	15	41014	SLUZBY	\N	\N
668170	2281	1996-04-30	VYDAJ	VYBER	15	43721	SLUZBY	\N	\N
668171	2281	1996-05-31	VYDAJ	VYBER	15	42029	SLUZBY	\N	\N
668172	2281	1996-06-30	VYDAJ	VYBER	15	23258	SLUZBY	\N	\N
668173	2281	1996-07-31	VYDAJ	VYBER	15	31507	SLUZBY	\N	\N
668174	2281	1996-08-31	VYDAJ	VYBER	15	35980	SLUZBY	\N	\N
668175	2281	1996-09-30	VYDAJ	VYBER	15	35458	SLUZBY	\N	\N
668176	2281	1996-10-31	VYDAJ	VYBER	15	35235	SLUZBY	\N	\N
668177	2281	1996-11-30	VYDAJ	VYBER	15	33796	SLUZBY	\N	\N
668178	2281	1996-12-31	VYDAJ	VYBER	15	40509	SLUZBY	\N	\N
668179	2281	1997-01-31	VYDAJ	VYBER	15	19656	SLUZBY	\N	\N
668180	2281	1997-02-28	VYDAJ	VYBER	15	26785	SLUZBY	\N	\N
668181	2281	1997-03-31	VYDAJ	VYBER	15	27029	SLUZBY	\N	\N
668182	2281	1997-04-30	VYDAJ	VYBER	15	30079	SLUZBY	\N	\N
668183	2281	1997-05-31	VYDAJ	VYBER	15	27126	SLUZBY	\N	\N
668184	2281	1997-06-30	VYDAJ	VYBER	15	34406	SLUZBY	\N	\N
668185	2281	1997-07-31	VYDAJ	VYBER	15	32374	SLUZBY	\N	\N
668186	2281	1997-08-31	VYDAJ	VYBER	15	26834	SLUZBY	\N	\N
668187	2281	1997-09-30	VYDAJ	VYBER	15	24687	SLUZBY	\N	\N
668188	2281	1997-10-31	VYDAJ	VYBER	15	24136	SLUZBY	\N	\N
668189	2281	1997-11-30	VYDAJ	VYBER	15	22875	SLUZBY	\N	\N
668190	2281	1997-12-31	VYDAJ	VYBER	15	24560	SLUZBY	\N	\N
668191	2281	1998-01-31	VYDAJ	VYBER	15	15194	SLUZBY	\N	\N
668192	2281	1998-02-28	VYDAJ	VYBER	15	17202	SLUZBY	\N	\N
668193	2281	1998-03-31	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
668194	2281	1998-04-30	VYDAJ	VYBER	15	16830	SLUZBY	\N	\N
668195	2281	1998-05-31	VYDAJ	VYBER	15	18544	SLUZBY	\N	\N
668196	2281	1998-06-30	VYDAJ	VYBER	15	29014	SLUZBY	\N	\N
668197	2281	1998-07-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
668198	2281	1998-08-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
668199	2281	1998-09-30	VYDAJ	VYBER	15	21663	SLUZBY	\N	\N
668200	2281	1998-10-31	VYDAJ	VYBER	15	16286	SLUZBY	\N	\N
668201	2281	1998-11-30	VYDAJ	VYBER	15	14491	SLUZBY	\N	\N
668202	2281	1995-08-12	PRIJEM	VKLAD	3800	18663	\N	\N	\N
668203	2281	1995-09-11	VYDAJ	VYBER	700	18003	\N	\N	\N
668204	2281	1995-10-11	VYDAJ	VYBER	3000	29574	\N	\N	\N
668205	2281	1995-11-10	VYDAJ	VYBER	9100	35104	\N	\N	\N
668206	2281	1995-12-10	VYDAJ	VYBER	12100	37665	\N	\N	\N
668207	2281	1996-01-09	VYDAJ	VYBER	10400	31537	\N	\N	\N
668208	2281	1996-02-08	VYDAJ	VYBER	3000	31128	\N	\N	\N
668209	2281	1996-03-09	VYDAJ	VYBER	7900	32115	\N	\N	\N
668210	2281	1996-04-08	VYDAJ	VYBER	6200	34814	\N	\N	\N
668211	2281	1996-05-08	VYDAJ	VYBER	10600	33121	\N	\N	\N
668212	2281	1996-06-07	VYDAJ	VYBER	6400	35629	\N	\N	\N
668213	2281	1996-07-07	PRIJEM	VKLAD	1800	25058	\N	\N	\N
668214	2281	1996-08-06	VYDAJ	VYBER	4400	27107	\N	\N	\N
668215	2281	1996-09-05	VYDAJ	VYBER	9400	26580	\N	\N	\N
668216	2281	1996-10-05	VYDAJ	VYBER	9100	26358	\N	\N	\N
668217	2281	1996-11-04	VYDAJ	VYBER	7700	24935	\N	\N	\N
668218	2281	1996-12-04	VYDAJ	VYBER	8400	25396	\N	\N	\N
668219	2281	1997-01-03	VYDAJ	VYBER	10300	28809	\N	\N	\N
668220	2281	1997-02-02	VYDAJ	VYBER	1700	17956	\N	\N	\N
668221	2281	1997-03-04	VYDAJ	VYBER	7300	19485	\N	\N	\N
668222	2281	1997-04-03	VYDAJ	VYBER	5800	21229	\N	\N	\N
668223	2281	1997-05-03	VYDAJ	VYBER	11800	18279	\N	\N	\N
668224	2281	1997-06-02	VYDAJ	VYBER	5800	18326	\N	\N	\N
668225	2281	1997-07-02	VYDAJ	VYBER	10100	24306	\N	\N	\N
668226	2281	1997-08-01	VYDAJ	VYBER	10000	22374	\N	\N	\N
668227	2281	1997-08-31	VYDAJ	VYBER	4400	26849	\N	\N	\N
668228	2281	1997-09-30	VYDAJ	VYBER	7600	24701	\N	\N	\N
668229	2281	1997-10-30	VYDAJ	VYBER	9400	24030	\N	\N	\N
668230	2281	1997-11-29	VYDAJ	VYBER	4900	22779	\N	\N	\N
668231	2281	1997-12-29	VYDAJ	VYBER	11800	24449	\N	\N	\N
668232	2281	1998-01-28	VYDAJ	VYBER	3500	19903	\N	\N	\N
668233	2281	1998-02-27	VYDAJ	VYBER	6800	17137	\N	\N	\N
668234	2281	1998-03-29	VYDAJ	VYBER	9900	16045	\N	\N	\N
668235	2281	1998-04-28	VYDAJ	VYBER	8100	16761	\N	\N	\N
668236	2281	1998-05-28	VYDAJ	VYBER	7100	18473	\N	\N	\N
668237	2281	1998-06-27	VYDAJ	VYBER	5600	28918	\N	\N	\N
668238	2281	1998-07-27	VYDAJ	VYBER	11900	25857	\N	\N	\N
668239	2281	1998-08-26	VYDAJ	VYBER	10400	24318	\N	\N	\N
668240	2281	1998-09-25	VYDAJ	VYBER	11600	21566	\N	\N	\N
668241	2281	1998-10-25	VYDAJ	VYBER	11100	16206	\N	\N	\N
668242	2281	1998-11-24	VYDAJ	VYBER	10600	14429	\N	\N	\N
668284	2282	1993-09-17	PRIJEM	VKLAD	600	600	\N	\N	\N
668294	2282	1993-10-14	PRIJEM	PREVOD Z UCTU	46101	46701	\N	UV	34391063
668295	2282	1993-11-14	PRIJEM	PREVOD Z UCTU	46101	81974	\N	UV	34391063
668296	2282	1993-12-14	PRIJEM	PREVOD Z UCTU	69152	122211	\N	UV	34391063
668297	2282	1994-01-14	PRIJEM	PREVOD Z UCTU	46101	106560	\N	UV	34391063
668298	2282	1994-02-14	PRIJEM	PREVOD Z UCTU	46101	112325	\N	UV	34391063
668299	2282	1994-03-14	PRIJEM	PREVOD Z UCTU	46101	74932	\N	UV	34391063
668300	2282	1994-04-14	PRIJEM	PREVOD Z UCTU	46101	91096	\N	UV	34391063
668301	2282	1994-05-14	PRIJEM	PREVOD Z UCTU	46101	92794	\N	UV	34391063
668302	2282	1994-06-14	PRIJEM	PREVOD Z UCTU	69152	124952	\N	UV	34391063
668303	2282	1994-07-14	PRIJEM	PREVOD Z UCTU	46101	66382	\N	UV	34391063
668304	2282	1994-08-14	PRIJEM	PREVOD Z UCTU	46101	77327	\N	UV	34391063
668305	2282	1994-09-14	PRIJEM	PREVOD Z UCTU	46101	95049	\N	UV	34391063
668306	2282	1994-10-14	PRIJEM	PREVOD Z UCTU	46101	99966	\N	UV	34391063
668307	2282	1994-11-14	PRIJEM	PREVOD Z UCTU	46101	110014	\N	UV	34391063
668308	2282	1994-12-14	PRIJEM	PREVOD Z UCTU	69152	99468	\N	UV	34391063
668309	2282	1995-01-14	PRIJEM	PREVOD Z UCTU	46101	95546	\N	UV	34391063
668310	2282	1995-02-14	PRIJEM	PREVOD Z UCTU	46101	83597	\N	UV	34391063
668311	2282	1995-03-14	PRIJEM	PREVOD Z UCTU	46101	90997	\N	UV	34391063
668312	2282	1995-04-14	PRIJEM	PREVOD Z UCTU	46101	103580	\N	UV	34391063
668313	2282	1995-05-14	PRIJEM	PREVOD Z UCTU	46101	109837	\N	UV	34391063
668314	2282	1995-06-14	PRIJEM	PREVOD Z UCTU	69152	109927	\N	UV	34391063
668315	2282	1995-07-14	PRIJEM	PREVOD Z UCTU	46101	74027	\N	UV	34391063
668316	2282	1995-08-14	PRIJEM	PREVOD Z UCTU	46101	92428	\N	UV	34391063
668317	2282	1995-09-14	PRIJEM	PREVOD Z UCTU	46101	105720	\N	UV	34391063
668318	2282	1995-10-14	PRIJEM	PREVOD Z UCTU	46101	107947	\N	UV	34391063
668319	2282	1995-11-14	PRIJEM	PREVOD Z UCTU	46101	103403	\N	UV	34391063
668320	2282	1995-12-14	PRIJEM	PREVOD Z UCTU	69152	134082	\N	UV	34391063
668321	2282	1996-01-14	PRIJEM	PREVOD Z UCTU	46101	73206	\N	UV	34391063
668322	2282	1996-02-14	PRIJEM	PREVOD Z UCTU	46101	88278	\N	UV	34391063
668323	2282	1996-03-14	PRIJEM	PREVOD Z UCTU	46101	105936	\N	UV	34391063
668324	2282	1996-04-14	PRIJEM	PREVOD Z UCTU	46101	84085	\N	UV	34391063
668325	2282	1996-05-14	PRIJEM	PREVOD Z UCTU	46101	76419	\N	UV	34391063
668326	2282	1996-06-14	PRIJEM	PREVOD Z UCTU	69152	101395	\N	UV	34391063
668327	2282	1996-07-14	PRIJEM	PREVOD Z UCTU	46101	117372	\N	UV	34391063
668328	2282	1996-08-14	PRIJEM	PREVOD Z UCTU	46101	106221	\N	UV	34391063
668329	2282	1996-09-14	PRIJEM	PREVOD Z UCTU	46101	95880	\N	UV	34391063
668330	2282	1996-10-14	PRIJEM	PREVOD Z UCTU	46101	97642	\N	UV	34391063
668331	2282	1996-11-14	PRIJEM	PREVOD Z UCTU	46101	118268	\N	UV	34391063
668332	2282	1996-12-14	PRIJEM	PREVOD Z UCTU	69152	110989	\N	UV	34391063
668333	2282	1997-01-14	PRIJEM	PREVOD Z UCTU	46101	90540	\N	UV	34391063
668334	2282	1997-02-14	PRIJEM	PREVOD Z UCTU	46101	78149	\N	UV	34391063
668335	2282	1997-03-14	PRIJEM	PREVOD Z UCTU	46101	103464	\N	UV	34391063
668336	2282	1997-04-14	PRIJEM	PREVOD Z UCTU	46101	117707	\N	UV	34391063
668337	2282	1997-05-14	PRIJEM	PREVOD Z UCTU	46101	112426	\N	UV	34391063
668338	2282	1997-06-14	PRIJEM	PREVOD Z UCTU	69152	148824	\N	UV	34391063
668339	2282	1997-07-14	PRIJEM	PREVOD Z UCTU	46101	125463	\N	UV	34391063
668340	2282	1997-08-14	PRIJEM	PREVOD Z UCTU	46101	104428	\N	UV	34391063
668341	2282	1997-09-14	PRIJEM	PREVOD Z UCTU	46101	103978	\N	UV	34391063
668342	2282	1997-10-14	PRIJEM	PREVOD Z UCTU	46101	118301	\N	UV	34391063
668343	2282	1997-11-14	PRIJEM	PREVOD Z UCTU	46101	139270	\N	UV	34391063
668344	2282	1997-12-14	PRIJEM	PREVOD Z UCTU	69152	119958	\N	UV	34391063
668345	2282	1998-01-14	PRIJEM	PREVOD Z UCTU	46101	78852	\N	UV	34391063
668346	2282	1998-02-14	PRIJEM	PREVOD Z UCTU	46101	89141	\N	UV	34391063
668347	2282	1998-03-14	PRIJEM	PREVOD Z UCTU	46101	121700	\N	UV	34391063
668348	2282	1998-04-14	PRIJEM	PREVOD Z UCTU	46101	120242	\N	UV	34391063
668349	2282	1998-05-14	PRIJEM	PREVOD Z UCTU	46101	130897	\N	UV	34391063
668350	2282	1998-06-14	PRIJEM	PREVOD Z UCTU	69152	145326	\N	UV	34391063
668351	2282	1998-07-14	PRIJEM	PREVOD Z UCTU	46101	82452	\N	UV	34391063
668352	2282	1998-08-14	PRIJEM	PREVOD Z UCTU	46101	134294	\N	UV	34391063
668353	2282	1998-09-14	PRIJEM	PREVOD Z UCTU	46101	153309	\N	UV	34391063
668354	2282	1998-10-14	PRIJEM	PREVOD Z UCTU	46101	139430	\N	UV	34391063
668355	2282	1998-11-14	PRIJEM	PREVOD Z UCTU	46101	137393	\N	UV	34391063
668356	2282	1998-12-14	PRIJEM	PREVOD Z UCTU	69152	156040	\N	UV	34391063
668371	2282	1994-03-06	VYDAJ	PREVOD NA UCET	4704	28831	SIPO	YZ	67707383
668372	2282	1994-04-06	VYDAJ	PREVOD NA UCET	4704	44995	SIPO	YZ	67707383
668373	2282	1994-05-06	VYDAJ	PREVOD NA UCET	4704	46693	SIPO	YZ	67707383
668374	2282	1994-06-06	VYDAJ	PREVOD NA UCET	4704	55800	SIPO	YZ	67707383
668375	2282	1994-07-06	VYDAJ	PREVOD NA UCET	4704	20281	SIPO	YZ	67707383
668376	2282	1994-08-06	VYDAJ	PREVOD NA UCET	4704	35126	SIPO	YZ	67707383
668377	2282	1994-09-06	VYDAJ	PREVOD NA UCET	4704	72848	SIPO	YZ	67707383
668378	2282	1994-10-06	VYDAJ	PREVOD NA UCET	4704	79265	SIPO	YZ	67707383
668379	2282	1994-11-06	VYDAJ	PREVOD NA UCET	4704	95613	SIPO	YZ	67707383
668380	2282	1994-12-06	VYDAJ	PREVOD NA UCET	4704	27216	SIPO	YZ	67707383
668381	2282	1995-01-06	VYDAJ	PREVOD NA UCET	4704	67645	SIPO	YZ	67707383
668382	2282	1995-02-06	VYDAJ	PREVOD NA UCET	4704	41596	SIPO	YZ	67707383
668383	2282	1995-03-06	VYDAJ	PREVOD NA UCET	4704	53096	SIPO	YZ	67707383
668384	2282	1995-04-06	VYDAJ	PREVOD NA UCET	4704	86579	SIPO	YZ	67707383
668385	2282	1995-05-06	VYDAJ	PREVOD NA UCET	4704	99236	SIPO	YZ	67707383
668386	2282	1995-06-06	VYDAJ	PREVOD NA UCET	4704	45275	SIPO	YZ	67707383
668387	2282	1995-07-06	VYDAJ	PREVOD NA UCET	4704	20126	SIPO	YZ	67707383
668388	2282	1995-08-06	VYDAJ	PREVOD NA UCET	4704	57027	SIPO	YZ	67707383
668389	2282	1995-09-06	VYDAJ	PREVOD NA UCET	4704	88019	SIPO	YZ	67707383
668390	2282	1995-10-06	VYDAJ	PREVOD NA UCET	4704	88746	SIPO	YZ	67707383
668391	2282	1995-11-06	VYDAJ	PREVOD NA UCET	4704	57302	SIPO	YZ	67707383
668392	2282	1995-12-06	VYDAJ	PREVOD NA UCET	4704	99030	SIPO	YZ	67707383
668393	2282	1996-01-06	VYDAJ	PREVOD NA UCET	4704	54705	SIPO	YZ	67707383
668394	2282	1996-02-06	VYDAJ	PREVOD NA UCET	4704	42177	SIPO	YZ	67707383
668395	2282	1996-03-06	VYDAJ	PREVOD NA UCET	4704	59835	SIPO	YZ	67707383
668396	2282	1996-04-06	VYDAJ	PREVOD NA UCET	4704	47284	SIPO	YZ	67707383
668397	2282	1996-05-06	VYDAJ	PREVOD NA UCET	4704	43218	SIPO	YZ	67707383
668398	2282	1996-06-06	VYDAJ	PREVOD NA UCET	4704	32243	SIPO	YZ	67707383
668399	2282	1996-07-06	VYDAJ	PREVOD NA UCET	4704	71271	SIPO	YZ	67707383
668400	2282	1996-08-06	VYDAJ	PREVOD NA UCET	4704	60120	SIPO	YZ	67707383
668401	2282	1996-09-06	VYDAJ	PREVOD NA UCET	4704	71317	SIPO	YZ	67707383
668402	2282	1996-10-06	VYDAJ	PREVOD NA UCET	4704	72893	SIPO	YZ	67707383
668403	2282	1996-11-06	VYDAJ	PREVOD NA UCET	4704	72167	SIPO	YZ	67707383
668404	2282	1996-12-06	VYDAJ	PREVOD NA UCET	4704	41837	SIPO	YZ	67707383
668405	2282	1997-01-06	VYDAJ	PREVOD NA UCET	4704	58839	SIPO	YZ	67707383
668406	2282	1997-02-06	VYDAJ	PREVOD NA UCET	4704	44165	SIPO	YZ	67707383
668407	2282	1997-03-06	VYDAJ	PREVOD NA UCET	4704	57363	SIPO	YZ	67707383
668408	2282	1997-04-06	VYDAJ	PREVOD NA UCET	4704	71606	SIPO	YZ	67707383
668409	2282	1997-05-06	VYDAJ	PREVOD NA UCET	4704	66325	SIPO	YZ	67707383
668410	2282	1997-06-06	VYDAJ	PREVOD NA UCET	4704	79672	SIPO	YZ	67707383
668411	2282	1997-07-06	VYDAJ	PREVOD NA UCET	4704	79362	SIPO	YZ	67707383
668412	2282	1997-08-06	VYDAJ	PREVOD NA UCET	4704	58327	SIPO	YZ	67707383
668413	2282	1997-09-06	VYDAJ	PREVOD NA UCET	4704	57877	SIPO	YZ	67707383
668414	2282	1997-10-06	VYDAJ	PREVOD NA UCET	4704	80690	SIPO	YZ	67707383
668415	2282	1997-11-06	VYDAJ	PREVOD NA UCET	4704	93169	SIPO	YZ	67707383
668416	2282	1997-12-06	VYDAJ	PREVOD NA UCET	4704	50806	SIPO	YZ	67707383
668417	2282	1998-01-06	VYDAJ	PREVOD NA UCET	4704	32751	SIPO	YZ	67707383
668418	2282	1998-02-06	VYDAJ	PREVOD NA UCET	4704	51440	SIPO	YZ	67707383
668419	2282	1998-03-06	VYDAJ	PREVOD NA UCET	4704	75599	SIPO	YZ	67707383
668420	2282	1998-04-06	VYDAJ	PREVOD NA UCET	4704	74141	SIPO	YZ	67707383
668421	2282	1998-05-06	VYDAJ	PREVOD NA UCET	4704	84796	SIPO	YZ	67707383
668422	2282	1998-06-06	VYDAJ	PREVOD NA UCET	4704	76174	SIPO	YZ	67707383
668423	2282	1998-07-06	VYDAJ	PREVOD NA UCET	4704	36351	SIPO	YZ	67707383
668424	2282	1998-08-06	VYDAJ	PREVOD NA UCET	4704	88193	SIPO	YZ	67707383
668425	2282	1998-09-06	VYDAJ	PREVOD NA UCET	4704	107208	SIPO	YZ	67707383
668426	2282	1998-10-06	VYDAJ	PREVOD NA UCET	4704	93329	SIPO	YZ	67707383
668427	2282	1998-11-06	VYDAJ	PREVOD NA UCET	4704	91292	SIPO	YZ	67707383
668428	2282	1998-12-06	VYDAJ	PREVOD NA UCET	4704	94988	SIPO	YZ	67707383
668438	2282	1994-03-03	VYBER	VYBER	24216	33535	\N	\N	\N
668439	2282	1994-12-25	VYBER	VYBER	12977	78391	\N	\N	\N
668440	2282	1994-12-05	VYBER	VYBER	16276	31920	\N	\N	\N
668441	2282	1994-07-28	VYBER	VYBER	8511	39671	\N	\N	\N
668443	2282	1995-05-15	VYBER	VYBER	18879	74258	\N	\N	\N
668444	2282	1995-06-26	VYBER	VYBER	6388	84239	\N	\N	\N
668445	2282	1995-02-26	VYBER	VYBER	13715	57582	\N	\N	\N
668446	2282	1995-05-22	VYBER	VYBER	18859	55399	\N	\N	\N
668447	2282	1995-08-04	VYBER	VYBER	12489	61731	\N	\N	\N
668448	2282	1996-12-22	VYBER	VYBER	24827	73262	\N	\N	\N
668449	2282	1996-04-20	VYBER	VYBER	8390	69004	\N	\N	\N
668450	2282	1996-11-22	VYBER	VYBER	10675	55093	\N	\N	\N
668451	2282	1996-08-15	VYBER	VYBER	14759	91462	\N	\N	\N
668452	2282	1996-04-14	VYBER	VYBER	6691	77394	\N	\N	\N
668453	2282	1996-08-17	VYBER	VYBER	2141	89321	\N	\N	\N
668454	2282	1996-07-23	VYBER	VYBER	10249	72823	\N	\N	\N
668455	2282	1996-02-02	VYBER	VYBER	7271	57781	\N	\N	\N
668456	2282	1996-10-09	VYBER	VYBER	21352	51541	\N	\N	\N
668457	2282	1996-09-08	VYBER	VYBER	21538	49779	\N	\N	\N
668458	2282	1996-03-24	VYBER	VYBER	22862	83074	\N	\N	\N
668459	2282	1996-03-26	VYBER	VYBER	20090	62984	\N	\N	\N
668460	2282	1997-10-08	VYBER	VYBER	8490	72200	\N	\N	\N
668461	2282	1997-09-03	VYBER	VYBER	4273	80069	\N	\N	\N
668462	2282	1997-02-07	VYBER	VYBER	12117	32048	\N	\N	\N
668463	2282	1997-12-04	VYBER	VYBER	23446	63610	\N	\N	\N
668464	2282	1997-09-05	VYBER	VYBER	17488	62581	\N	\N	\N
668465	2282	1997-11-22	VYBER	VYBER	16091	95379	\N	\N	\N
668467	2282	1994-06-28	VYDAJ	VYBER	35100	24652	\N	\N	\N
668468	2282	1995-06-26	VYDAJ	VYBER	59700	24539	\N	\N	\N
668469	2282	1996-06-01	VYDAJ	VYBER	48600	28047	\N	\N	\N
668471	2282	1998-06-27	VYDAJ	VYBER	60000	40726	\N	\N	\N
668474	2282	1995-01-21	VYDAJ	VYBER	28200	67346	\N	\N	\N
668476	2282	1997-01-23	VYDAJ	VYBER	28800	55740	\N	\N	\N
668477	2282	1998-01-03	VYDAJ	VYBER	12600	37455	\N	\N	\N
668479	2282	1994-12-24	VYDAJ	VYBER	8100	91368	\N	\N	\N
668480	2282	1995-12-07	VYDAJ	VYBER KARTOU	2400	64930	\N	\N	0
668481	2282	1996-12-20	VYDAJ	VYBER	8100	98089	\N	\N	\N
668482	2282	1997-12-05	VYDAJ	VYBER	8100	55510	\N	\N	\N
668483	2282	1998-12-03	VYDAJ	VYBER	7500	99692	\N	\N	\N
668496	2282	1995-01-03	VYDAJ	VYBER	6300	72349	\N	\N	\N
668497	2282	1995-01-23	VYDAJ	VYBER	5700	57446	\N	\N	\N
668498	2282	1995-01-21	VYDAJ	VYBER	4200	63146	\N	\N	\N
668499	2282	1995-01-28	VYDAJ	VYBER	7800	46046	\N	\N	\N
668500	2282	1995-01-10	VYDAJ	VYBER KARTOU	1500	49445	\N	\N	0
668501	2282	1995-01-25	VYDAJ	VYBER KARTOU	3600	53846	\N	\N	0
668502	2282	1996-01-30	VYDAJ	VYBER	8400	64806	\N	\N	\N
668503	2282	1996-01-02	VYDAJ	VYBER	4800	91809	\N	\N	\N
668504	2282	1996-01-11	VYDAJ	VYBER	4800	34605	\N	\N	\N
668505	2282	1996-01-04	VYDAJ	VYBER	8400	83409	\N	\N	\N
668506	2282	1996-01-08	VYDAJ	VYBER	8100	46605	\N	\N	\N
668507	2282	1996-01-09	VYDAJ	VYBER	7200	39405	\N	\N	\N
668508	2282	1997-01-15	VYDAJ	VYBER	6000	84540	\N	\N	\N
668509	2282	1997-01-12	VYDAJ	VYBER KARTOU	2100	44439	\N	\N	0
668510	2282	1997-01-25	VYDAJ	VYBER KARTOU	3600	52140	\N	\N	0
668511	2282	1997-01-27	VYDAJ	VYBER KARTOU	3000	49140	\N	\N	0
668512	2282	1997-01-08	VYDAJ	VYBER	5400	53439	\N	\N	\N
668513	2282	1997-01-10	VYDAJ	VYBER	6900	46539	\N	\N	\N
668514	2282	1998-01-16	VYDAJ	VYBER	6600	72252	\N	\N	\N
668515	2282	1998-01-01	VYDAJ	VYBER	8400	50055	\N	\N	\N
668516	2282	1998-01-26	VYDAJ	VYBER	8700	61952	\N	\N	\N
668517	2282	1998-01-27	VYDAJ	VYBER	6000	55952	\N	\N	\N
668519	2282	1998-01-17	VYDAJ	VYBER KARTOU	1800	70452	\N	\N	0
668524	2282	1994-10-03	VYDAJ	VYBER	6900	83969	\N	\N	\N
668525	2282	1994-11-14	VYDAJ	VYBER KARTOU	3300	106714	\N	\N	0
668526	2282	1994-09-22	VYDAJ	VYBER	4500	90549	\N	\N	\N
668527	2282	1994-06-14	VYDAJ	VYBER KARTOU	2700	122252	\N	\N	0
668528	2282	1994-12-03	VYDAJ	VYBER	14400	48196	\N	\N	\N
668529	2282	1994-04-30	VYDAJ	VYBER	7200	51427	\N	\N	\N
668530	2282	1995-09-29	VYDAJ	VYBER KARTOU	2700	93120	\N	\N	0
668531	2282	1995-05-07	VYDAJ	VYBER	8400	90836	\N	\N	\N
668532	2282	1995-02-21	VYDAJ	VYBER	12300	71297	\N	\N	\N
668533	2282	1995-06-06	VYDAJ	VYBER	5700	49979	\N	\N	\N
668534	2282	1995-09-14	VYDAJ	VYBER	9900	95820	\N	\N	\N
668535	2282	1996-01-13	VYDAJ	VYBER	7500	27105	\N	\N	\N
668536	2282	1996-04-11	VYDAJ	VYBER	9300	37984	\N	\N	\N
668537	2282	1996-05-09	VYDAJ	VYBER	12900	30318	\N	\N	\N
668538	2282	1996-04-21	VYDAJ	VYBER	6600	62404	\N	\N	\N
668539	2282	1996-12-16	VYDAJ	VYBER	4800	106189	\N	\N	\N
668540	2282	1996-11-30	VYDAJ	VYBER	13800	46571	\N	\N	\N
668541	2282	1996-03-28	VYDAJ	VYBER	4800	58184	\N	\N	\N
668542	2282	1996-05-03	VYDAJ	VYBER	11100	51522	\N	\N	\N
668544	2282	1997-12-16	VYDAJ	VYBER	4800	54258	\N	\N	\N
668545	2282	1997-12-19	VYDAJ	VYBER	14100	40158	\N	\N	\N
668546	2282	1998-03-03	VYDAJ	VYBER KARTOU	2400	80303	\N	\N	0
668547	2282	1998-09-18	VYDAJ	VYBER KARTOU	2100	127909	\N	\N	0
668548	2282	1998-03-14	VYDAJ	VYBER	6300	115400	\N	\N	\N
668549	2282	1998-12-11	VYDAJ	VYBER	8100	86888	\N	\N	\N
668550	2282	1998-10-15	VYDAJ	VYBER	12900	92530	\N	\N	\N
668551	2282	1998-02-13	VYDAJ	VYBER	8400	43040	\N	\N	\N
668552	2282	1998-11-20	VYDAJ	VYBER KARTOU	2400	106793	\N	\N	0
668567	2282	1994-02-28	VYDAJ	VYBER	30	57751	SLUZBY	\N	\N
668568	2282	1994-03-31	VYDAJ	VYBER	30	49699	SLUZBY	\N	\N
668569	2282	1994-04-30	VYDAJ	VYBER	30	51397	SLUZBY	\N	\N
668570	2282	1994-05-31	VYDAJ	VYBER	30	60504	SLUZBY	\N	\N
668571	2282	1994-06-30	VYDAJ	VYBER	30	24985	SLUZBY	\N	\N
668572	2282	1994-07-31	VYDAJ	VYBER	30	39830	SLUZBY	\N	\N
668573	2282	1994-08-31	VYDAJ	VYBER	30	77552	SLUZBY	\N	\N
668574	2282	1994-09-30	VYDAJ	VYBER	30	90869	SLUZBY	\N	\N
668575	2282	1994-10-31	VYDAJ	VYBER	30	100317	SLUZBY	\N	\N
668576	2282	1994-11-30	VYDAJ	VYBER	30	62596	SLUZBY	\N	\N
668577	2282	1994-12-31	VYDAJ	VYBER	30	78649	SLUZBY	\N	\N
668578	2282	1995-01-31	VYDAJ	VYBER	30	46300	SLUZBY	\N	\N
668579	2282	1995-02-28	VYDAJ	VYBER	30	57800	SLUZBY	\N	\N
668580	2282	1995-03-31	VYDAJ	VYBER	30	91283	SLUZBY	\N	\N
668581	2282	1995-04-30	VYDAJ	VYBER	30	103940	SLUZBY	\N	\N
668582	2282	1995-05-31	VYDAJ	VYBER	30	55679	SLUZBY	\N	\N
668583	2282	1995-06-30	VYDAJ	VYBER	30	24830	SLUZBY	\N	\N
668584	2282	1995-07-31	VYDAJ	VYBER	30	74220	SLUZBY	\N	\N
668585	2282	1995-08-31	VYDAJ	VYBER	30	92723	SLUZBY	\N	\N
668586	2282	1995-09-30	VYDAJ	VYBER	30	93450	SLUZBY	\N	\N
668587	2282	1995-10-31	VYDAJ	VYBER	30	78106	SLUZBY	\N	\N
668588	2282	1995-11-30	VYDAJ	VYBER	30	103734	SLUZBY	\N	\N
668589	2282	1995-12-31	VYDAJ	VYBER	30	96609	SLUZBY	\N	\N
668590	2282	1996-01-31	VYDAJ	VYBER	30	65052	SLUZBY	\N	\N
668591	2282	1996-02-29	VYDAJ	VYBER	30	88539	SLUZBY	\N	\N
668592	2282	1996-03-31	VYDAJ	VYBER	30	58488	SLUZBY	\N	\N
668593	2282	1996-04-30	VYDAJ	VYBER	30	62622	SLUZBY	\N	\N
668594	2282	1996-05-31	VYDAJ	VYBER	30	76647	SLUZBY	\N	\N
668595	2282	1996-06-30	VYDAJ	VYBER	30	101675	SLUZBY	\N	\N
668596	2282	1996-07-31	VYDAJ	VYBER	30	73124	SLUZBY	\N	\N
668597	2282	1996-08-31	VYDAJ	VYBER	30	89621	SLUZBY	\N	\N
668598	2282	1996-09-30	VYDAJ	VYBER	30	96197	SLUZBY	\N	\N
668599	2282	1996-10-31	VYDAJ	VYBER	30	97971	SLUZBY	\N	\N
668600	2282	1996-11-30	VYDAJ	VYBER	30	46541	SLUZBY	\N	\N
668601	2282	1996-12-31	VYDAJ	VYBER	30	63543	SLUZBY	\N	\N
668602	2282	1997-01-31	VYDAJ	VYBER	30	48869	SLUZBY	\N	\N
668603	2282	1997-02-28	VYDAJ	VYBER	30	78367	SLUZBY	\N	\N
668604	2282	1997-03-31	VYDAJ	VYBER	30	76310	SLUZBY	\N	\N
668605	2282	1997-04-30	VYDAJ	VYBER	30	71029	SLUZBY	\N	\N
668606	2282	1997-05-31	VYDAJ	VYBER	30	84376	SLUZBY	\N	\N
668607	2282	1997-06-30	VYDAJ	VYBER	30	84066	SLUZBY	\N	\N
668608	2282	1997-07-31	VYDAJ	VYBER	30	63031	SLUZBY	\N	\N
668609	2282	1997-08-31	VYDAJ	VYBER	30	84342	SLUZBY	\N	\N
668610	2282	1997-09-30	VYDAJ	VYBER	30	85394	SLUZBY	\N	\N
668611	2282	1997-10-31	VYDAJ	VYBER	30	97873	SLUZBY	\N	\N
668612	2282	1997-11-30	VYDAJ	VYBER	30	87056	SLUZBY	\N	\N
668613	2282	1997-12-31	VYDAJ	VYBER	30	58455	SLUZBY	\N	\N
668614	2282	1998-01-31	VYDAJ	VYBER	30	56144	SLUZBY	\N	\N
668615	2282	1998-02-28	VYDAJ	VYBER	30	82703	SLUZBY	\N	\N
668616	2282	1998-03-31	VYDAJ	VYBER	30	78845	SLUZBY	\N	\N
668617	2282	1998-04-30	VYDAJ	VYBER	30	89500	SLUZBY	\N	\N
668618	2282	1998-05-31	VYDAJ	VYBER	30	80878	SLUZBY	\N	\N
668619	2282	1998-06-30	VYDAJ	VYBER	30	41055	SLUZBY	\N	\N
668620	2282	1998-07-31	VYDAJ	VYBER	30	92897	SLUZBY	\N	\N
668621	2282	1998-08-31	VYDAJ	VYBER	30	111912	SLUZBY	\N	\N
668622	2282	1998-09-30	VYDAJ	VYBER	30	98033	SLUZBY	\N	\N
668623	2282	1998-10-31	VYDAJ	VYBER	30	95996	SLUZBY	\N	\N
668624	2282	1998-11-30	VYDAJ	VYBER	30	107192	SLUZBY	\N	\N
668625	2282	1993-10-17	VYDAJ	VYBER	10900	35801	\N	\N	\N
668626	2282	1993-11-16	VYDAJ	VYBER	29100	52874	\N	\N	\N
668627	2282	1993-12-14	VYDAJ	VYBER	23700	98511	\N	\N	\N
668628	2282	1993-12-16	VYDAJ	VYBER	38300	60211	\N	\N	\N
668629	2282	1994-01-15	VYDAJ	VYBER	40600	65960	\N	\N	\N
668630	2282	1994-02-14	VYDAJ	VYBER	20900	91425	\N	\N	\N
668631	2282	1994-02-14	VYDAJ	VYBER	33900	57525	\N	\N	\N
668632	2282	1994-03-16	VYDAJ	VYBER	25400	49532	\N	\N	\N
668633	2282	1994-04-15	VYDAJ	VYBER	32700	58396	\N	\N	\N
668634	2282	1994-05-15	VYDAJ	VYBER	32500	60294	\N	\N	\N
668635	2282	1994-06-14	VYDAJ	VYBER	28000	94252	\N	\N	\N
668636	2282	1994-06-14	VYDAJ	VYBER	34500	59752	\N	\N	\N
668637	2282	1994-07-14	VYDAJ	VYBER	18200	48182	\N	\N	\N
668638	2282	1994-08-13	VYDAJ	VYBER KARTOU	3900	31226	\N	\N	0
668639	2282	1994-09-12	VYDAJ	VYBER	23900	48948	\N	\N	\N
668640	2282	1994-10-12	VYDAJ	VYBER	25400	53865	\N	\N	\N
668641	2282	1994-11-11	VYDAJ	VYBER	31700	63913	\N	\N	\N
668642	2282	1994-11-14	VYDAJ	VYBER	44400	62314	\N	\N	\N
668643	2282	1994-12-11	PRIJEM	VKLAD	3100	30316	\N	\N	\N
668644	2282	1995-01-10	VYDAJ	VYBER	16700	50945	\N	\N	\N
668645	2282	1995-02-09	VYDAJ	VYBER	4100	37496	\N	\N	\N
668646	2282	1995-03-11	VYDAJ	VYBER	8200	44896	\N	\N	\N
668647	2282	1995-04-10	VYDAJ	VYBER	29100	57479	\N	\N	\N
668648	2282	1995-05-10	VYDAJ	VYBER	27100	63736	\N	\N	\N
668649	2282	1995-05-14	VYDAJ	VYBER	16700	93137	\N	\N	\N
668650	2282	1995-06-09	VYDAJ	VYBER	4500	40775	\N	\N	\N
668651	2282	1995-06-14	VYDAJ	VYBER	19300	90627	\N	\N	\N
668652	2282	1995-07-09	PRIJEM	VKLAD	7800	27926	\N	\N	\N
668653	2282	1995-08-08	VYDAJ	VYBER	10700	46327	\N	\N	\N
668654	2282	1995-09-07	VYDAJ	VYBER	28400	59619	\N	\N	\N
668655	2282	1995-10-07	VYDAJ	VYBER	26900	61846	\N	\N	\N
668656	2282	1995-10-14	VYDAJ	VYBER	30200	77747	\N	\N	\N
668657	2282	1995-11-06	VYDAJ	VYBER	16100	62006	\N	\N	\N
668658	2282	1995-12-06	VYDAJ	VYBER	31700	67330	\N	\N	\N
668659	2282	1995-12-14	VYDAJ	VYBER	37900	96182	\N	\N	\N
668660	2282	1996-01-05	VYDAJ	VYBER	24000	59409	\N	\N	\N
668661	2282	1996-02-04	VYDAJ	VYBER	10900	46881	\N	\N	\N
668662	2282	1996-03-05	VYDAJ	VYBER	24000	64539	\N	\N	\N
668663	2282	1996-04-04	VYDAJ	VYBER	6500	51988	\N	\N	\N
668664	2282	1996-05-04	VYDAJ	VYBER KARTOU	3600	47922	\N	\N	0
668665	2282	1996-06-03	PRIJEM	VKLAD	8900	36947	\N	\N	\N
668666	2282	1996-07-03	VYDAJ	VYBER	25700	75975	\N	\N	\N
668667	2282	1996-07-14	VYDAJ	VYBER	34300	83072	\N	\N	\N
668668	2282	1996-08-02	VYDAJ	VYBER	8300	64824	\N	\N	\N
668669	2282	1996-09-01	VYDAJ	VYBER	13600	76021	\N	\N	\N
668670	2282	1996-10-01	VYDAJ	VYBER	18600	77597	\N	\N	\N
668671	2282	1996-10-31	VYDAJ	VYBER	21100	76871	\N	\N	\N
668672	2282	1996-11-14	VYDAJ	VYBER	52500	65768	\N	\N	\N
668673	2282	1996-11-30	PRIJEM	VKLAD	5000	60093	\N	\N	\N
668674	2282	1996-12-30	VYDAJ	VYBER	10000	63262	\N	\N	\N
668675	2282	1997-01-29	VYDAJ	VYBER KARTOU	500	48640	\N	\N	0
668676	2282	1997-02-28	VYDAJ	VYBER	16300	62067	\N	\N	\N
668677	2282	1997-03-30	VYDAJ	VYBER	27500	75964	\N	\N	\N
668678	2282	1997-04-14	VYDAJ	VYBER	22300	95407	\N	\N	\N
668679	2282	1997-04-29	VYDAJ	VYBER	24700	70707	\N	\N	\N
668680	2282	1997-05-29	VYDAJ	VYBER	28400	84026	\N	\N	\N
668681	2282	1997-06-14	VYDAJ	VYBER	43000	105824	\N	\N	\N
668682	2282	1997-06-28	VYDAJ	VYBER	22200	83624	\N	\N	\N
668683	2282	1997-07-14	VYDAJ	VYBER	60000	65463	\N	\N	\N
668684	2282	1997-07-28	VYDAJ	VYBER KARTOU	2700	62763	\N	\N	0
668685	2282	1997-08-27	VYDAJ	VYBER	20400	84028	\N	\N	\N
668686	2282	1997-09-26	VYDAJ	VYBER	18900	85078	\N	\N	\N
668687	2282	1997-10-26	VYDAJ	VYBER	20800	97501	\N	\N	\N
668688	2282	1997-11-14	VYDAJ	VYBER	27800	111470	\N	\N	\N
668689	2282	1997-11-25	VYDAJ	VYBER	8700	86679	\N	\N	\N
668690	2282	1997-12-14	VYDAJ	VYBER	60900	59058	\N	\N	\N
668691	2282	1997-12-25	PRIJEM	VKLAD	18100	58258	\N	\N	\N
668692	2282	1998-01-24	PRIJEM	VKLAD	200	70652	\N	\N	\N
668693	2282	1998-02-23	VYDAJ	VYBER	6700	82441	\N	\N	\N
668694	2282	1998-03-14	VYDAJ	VYBER	42600	72800	\N	\N	\N
668695	2282	1998-03-25	PRIJEM	VKLAD	5700	78500	\N	\N	\N
668696	2282	1998-04-14	VYDAJ	VYBER	23400	96842	\N	\N	\N
668697	2282	1998-04-24	VYDAJ	VYBER	7700	89142	\N	\N	\N
668698	2282	1998-05-14	VYDAJ	VYBER	55400	75497	\N	\N	\N
668699	2282	1998-05-24	PRIJEM	VKLAD	5000	80497	\N	\N	\N
668700	2282	1998-06-14	VYDAJ	VYBER	30900	114426	\N	\N	\N
668701	2282	1998-06-23	VYDAJ	VYBER	13700	100726	\N	\N	\N
668702	2282	1998-07-23	PRIJEM	VKLAD	10200	92652	\N	\N	\N
668703	2282	1998-08-14	VYDAJ	VYBER	18900	115394	\N	\N	\N
668704	2282	1998-08-22	VYDAJ	VYBER KARTOU	3900	111494	\N	\N	0
668705	2282	1998-09-14	VYDAJ	VYBER	23300	130009	\N	\N	\N
668706	2282	1998-09-18	VYDAJ	VYBER	32500	95409	\N	\N	\N
668707	2282	1998-09-21	PRIJEM	VKLAD	2200	97609	\N	\N	\N
668708	2282	1998-10-14	VYDAJ	VYBER	34000	105430	\N	\N	\N
668709	2282	1998-10-21	PRIJEM	VKLAD	3100	95630	\N	\N	\N
668710	2282	1998-11-14	VYDAJ	VYBER	18700	118693	\N	\N	\N
668711	2282	1998-11-20	VYDAJ	VYBER	9500	109193	\N	\N	\N
668712	2282	1998-12-14	VYDAJ	VYBER	52400	103640	\N	\N	\N
669639	2285	1996-11-21	PRIJEM	VKLAD	800	800	\N	\N	\N
669642	2285	1997-12-10	PRIJEM	VKLAD	44337	74299	\N	\N	\N
669643	2285	1997-08-04	PRIJEM	VKLAD	17553	36811	\N	\N	\N
669644	2285	1998-03-25	PRIJEM	VKLAD	9568	40034	\N	\N	\N
669645	2285	1998-08-18	PRIJEM	VKLAD	43370	75937	\N	\N	\N
669657	2285	1996-12-13	PRIJEM	VKLAD	1800	2600	\N	\N	\N
669658	2285	1997-01-16	PRIJEM	VKLAD	1800	14519	\N	\N	\N
669659	2285	1997-02-14	PRIJEM	VKLAD	1800	19480	\N	\N	\N
669660	2285	1997-03-13	PRIJEM	VKLAD	1800	24661	\N	\N	\N
669661	2285	1997-04-14	PRIJEM	VKLAD	1800	26458	\N	\N	\N
669662	2285	1997-05-17	PRIJEM	VKLAD	1800	22241	\N	\N	\N
669663	2285	1997-06-14	PRIJEM	VKLAD	1800	21911	\N	\N	\N
669664	2285	1997-07-15	PRIJEM	VKLAD	1800	23985	\N	\N	\N
669665	2285	1997-08-14	PRIJEM	VKLAD	1800	38161	\N	\N	\N
669666	2285	1997-09-13	PRIJEM	VKLAD	1800	30367	\N	\N	\N
669667	2285	1997-10-13	PRIJEM	VKLAD	1800	26964	\N	\N	\N
669668	2285	1997-11-14	PRIJEM	VKLAD	1800	29058	\N	\N	\N
669669	2285	1997-12-13	PRIJEM	VKLAD	1800	76099	\N	\N	\N
669670	2285	1998-01-14	PRIJEM	VKLAD	1800	43972	\N	\N	\N
669671	2285	1998-02-15	PRIJEM	VKLAD	1800	31336	\N	\N	\N
669672	2285	1998-03-16	PRIJEM	VKLAD	1800	34466	\N	\N	\N
669673	2285	1998-04-16	PRIJEM	VKLAD	1800	30859	\N	\N	\N
669674	2285	1998-05-16	PRIJEM	VKLAD	1800	25595	\N	\N	\N
669675	2285	1998-06-14	PRIJEM	VKLAD	1800	28250	\N	\N	\N
669676	2285	1998-07-15	PRIJEM	VKLAD	1800	27584	\N	\N	\N
669677	2285	1998-08-13	PRIJEM	VKLAD	1800	30667	\N	\N	\N
669678	2285	1998-09-16	PRIJEM	VKLAD	1800	60682	\N	\N	\N
669679	2285	1998-10-16	PRIJEM	VKLAD	1800	53144	\N	\N	\N
669680	2285	1998-11-13	PRIJEM	VKLAD	1800	52671	\N	\N	\N
669681	2285	1998-12-16	PRIJEM	VKLAD	1800	51281	\N	\N	\N
669688	2285	1997-07-18	PRIJEM	VKLAD	1200	25185	\N	\N	\N
669689	2285	1997-08-18	PRIJEM	VKLAD	1200	39361	\N	\N	\N
669690	2285	1997-09-18	PRIJEM	VKLAD	1200	25067	\N	\N	\N
669691	2285	1997-10-18	PRIJEM	VKLAD	1200	27164	\N	\N	\N
669692	2285	1997-11-18	PRIJEM	VKLAD	1200	29858	\N	\N	\N
669693	2285	1997-12-18	PRIJEM	VKLAD	1200	50399	\N	\N	\N
669694	2285	1998-01-18	PRIJEM	VKLAD	1200	37172	\N	\N	\N
669695	2285	1998-02-18	PRIJEM	VKLAD	1200	32536	\N	\N	\N
669696	2285	1998-03-18	PRIJEM	VKLAD	1200	30466	\N	\N	\N
669697	2285	1998-04-18	PRIJEM	VKLAD	1200	32059	\N	\N	\N
669698	2285	1998-05-18	PRIJEM	VKLAD	1200	26795	\N	\N	\N
669699	2285	1998-06-18	PRIJEM	VKLAD	1200	29450	\N	\N	\N
669700	2285	1998-07-18	PRIJEM	VKLAD	1200	28784	\N	\N	\N
669701	2285	1998-08-18	PRIJEM	VKLAD	1200	32567	\N	\N	\N
669702	2285	1998-09-18	PRIJEM	VKLAD	1200	61882	\N	\N	\N
669703	2285	1998-10-18	PRIJEM	VKLAD	1200	54344	\N	\N	\N
669704	2285	1998-11-18	PRIJEM	VKLAD	1200	53871	\N	\N	\N
669705	2285	1998-12-18	PRIJEM	VKLAD	1200	49981	\N	\N	\N
669708	2285	1998-06-23	VYDAJ	VYBER	12200	16800	\N	\N	\N
669711	2285	1998-01-05	VYDAJ	VYBER	8400	42172	\N	\N	\N
669716	2285	1997-12-16	VYDAJ	VYBER	2900	73199	\N	\N	\N
669717	2285	1998-12-17	VYDAJ	VYBER	2500	48781	\N	\N	\N
669722	2285	1997-04-27	VYDAJ	VYBER	1900	20358	\N	\N	\N
669723	2285	1997-08-22	VYDAJ	VYBER	900	28461	\N	\N	\N
669724	2285	1997-06-28	VYDAJ	VYBER	800	22111	\N	\N	\N
669726	2285	1997-08-11	VYDAJ	VYBER	450	36361	\N	\N	\N
669727	2285	1998-12-14	VYDAJ	VYBER	1600	49481	\N	\N	\N
669728	2285	1998-05-23	VYDAJ	VYBER	1750	25045	\N	\N	\N
669729	2285	1998-06-22	VYDAJ	VYBER	450	29000	\N	\N	\N
669730	2285	1998-09-09	VYDAJ	VYBER	450	75682	\N	\N	\N
669747	2285	1997-04-30	VYDAJ	VYBER	15	20441	SLUZBY	\N	\N
669748	2285	1997-05-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
669749	2285	1997-06-30	VYDAJ	VYBER	15	22185	SLUZBY	\N	\N
669750	2285	1997-07-31	VYDAJ	VYBER	15	19258	SLUZBY	\N	\N
669751	2285	1997-08-31	VYDAJ	VYBER	15	28567	SLUZBY	\N	\N
669752	2285	1997-09-30	VYDAJ	VYBER	15	25164	SLUZBY	\N	\N
669753	2285	1997-10-31	VYDAJ	VYBER	15	27258	SLUZBY	\N	\N
669754	2285	1997-11-30	VYDAJ	VYBER	15	29962	SLUZBY	\N	\N
669755	2285	1997-12-31	VYDAJ	VYBER	15	50572	SLUZBY	\N	\N
669756	2285	1998-01-31	VYDAJ	VYBER	15	37336	SLUZBY	\N	\N
669757	2285	1998-02-28	VYDAJ	VYBER	15	32666	SLUZBY	\N	\N
669758	2285	1998-03-31	VYDAJ	VYBER	15	40159	SLUZBY	\N	\N
669759	2285	1998-04-30	VYDAJ	VYBER	15	32195	SLUZBY	\N	\N
669760	2285	1998-05-31	VYDAJ	VYBER	15	25150	SLUZBY	\N	\N
669761	2285	1998-06-30	VYDAJ	VYBER	15	16884	SLUZBY	\N	\N
669762	2285	1998-07-31	VYDAJ	VYBER	15	28867	SLUZBY	\N	\N
669763	2285	1998-08-31	VYDAJ	VYBER	15	76132	SLUZBY	\N	\N
669764	2285	1998-09-30	VYDAJ	VYBER	15	62144	SLUZBY	\N	\N
669765	2285	1998-10-31	VYDAJ	VYBER	15	54571	SLUZBY	\N	\N
669766	2285	1998-11-30	VYDAJ	VYBER	15	54081	SLUZBY	\N	\N
669767	2285	1996-12-21	PRIJEM	VKLAD	10100	12700	\N	\N	\N
669768	2285	1997-01-20	PRIJEM	VKLAD	3100	17619	\N	\N	\N
669769	2285	1997-02-19	PRIJEM	VKLAD	3300	22780	\N	\N	\N
669770	2285	1997-03-21	VYDAJ	VYBER	100	24561	\N	\N	\N
669771	2285	1997-04-20	VYDAJ	VYBER	4200	22258	\N	\N	\N
669772	2285	1997-05-20	VYDAJ	VYBER	2200	20041	\N	\N	\N
669773	2285	1997-06-19	PRIJEM	VKLAD	1000	22911	\N	\N	\N
669774	2285	1997-07-19	VYDAJ	VYBER	6000	19185	\N	\N	\N
669775	2285	1997-08-18	VYDAJ	VYBER	10000	29361	\N	\N	\N
669776	2285	1997-09-17	VYDAJ	VYBER	6500	23867	\N	\N	\N
669777	2285	1997-10-17	VYDAJ	VYBER	1000	25964	\N	\N	\N
669778	2285	1997-11-16	VYDAJ	VYBER	400	28658	\N	\N	\N
669779	2285	1997-12-16	VYDAJ	VYBER	24000	49199	\N	\N	\N
669780	2285	1998-01-15	VYDAJ	VYBER	8000	35972	\N	\N	\N
669781	2285	1998-02-14	VYDAJ	VYBER	7800	29536	\N	\N	\N
669782	2285	1998-03-16	VYDAJ	VYBER	5200	29266	\N	\N	\N
669783	2285	1998-04-15	VYDAJ	VYBER	11100	29059	\N	\N	\N
669784	2285	1998-05-15	VYDAJ	VYBER	8400	23795	\N	\N	\N
669785	2285	1998-06-14	PRIJEM	VKLAD	1300	26450	\N	\N	\N
669786	2285	1998-07-14	PRIJEM	VKLAD	8900	25784	\N	\N	\N
669787	2285	1998-08-13	PRIJEM	VKLAD	700	31367	\N	\N	\N
669788	2285	1998-09-12	VYDAJ	VYBER	16800	58882	\N	\N	\N
669789	2285	1998-10-12	VYDAJ	VYBER	10800	51344	\N	\N	\N
669790	2285	1998-11-11	VYDAJ	VYBER	3700	50871	\N	\N	\N
669791	2285	1998-12-11	VYDAJ	VYBER	3000	51081	\N	\N	\N
669817	2286	1996-12-06	PRIJEM	VKLAD	800	800	\N	\N	\N
669829	2286	1996-12-14	PRIJEM	PREVOD Z UCTU	15428	16228	\N	QR	65957486
669830	2286	1997-01-14	PRIJEM	PREVOD Z UCTU	10285	28452	\N	QR	65957486
669831	2286	1997-02-14	PRIJEM	PREVOD Z UCTU	10285	36234	\N	QR	65957486
669832	2286	1997-03-14	PRIJEM	PREVOD Z UCTU	10285	42755	\N	QR	65957486
669833	2286	1997-04-14	PRIJEM	PREVOD Z UCTU	10285	46007	\N	QR	65957486
669834	2286	1997-05-14	PRIJEM	PREVOD Z UCTU	10285	41062	\N	QR	65957486
669835	2286	1997-06-14	PRIJEM	PREVOD Z UCTU	15428	30642	\N	QR	65957486
669836	2286	1997-07-14	PRIJEM	PREVOD Z UCTU	10285	35937	\N	QR	65957486
669837	2286	1997-08-14	PRIJEM	PREVOD Z UCTU	10285	34133	\N	QR	65957486
669838	2286	1997-09-14	PRIJEM	PREVOD Z UCTU	10285	29432	\N	QR	65957486
669839	2286	1997-10-14	PRIJEM	PREVOD Z UCTU	10285	27716	\N	QR	65957486
669840	2286	1997-11-14	PRIJEM	PREVOD Z UCTU	10285	32498	\N	QR	65957486
669841	2286	1997-12-14	PRIJEM	PREVOD Z UCTU	15428	32035	\N	QR	65957486
669842	2286	1998-01-14	PRIJEM	PREVOD Z UCTU	10285	31621	\N	QR	65957486
669843	2286	1998-02-14	PRIJEM	PREVOD Z UCTU	10285	26303	\N	QR	65957486
669844	2286	1998-03-14	PRIJEM	PREVOD Z UCTU	10285	25467	\N	QR	65957486
669845	2286	1998-04-14	PRIJEM	PREVOD Z UCTU	10285	28238	\N	QR	65957486
669846	2286	1998-05-14	PRIJEM	PREVOD Z UCTU	10285	28418	\N	QR	65957486
669847	2286	1998-06-14	PRIJEM	PREVOD Z UCTU	15428	26328	\N	QR	65957486
669848	2286	1998-07-14	PRIJEM	PREVOD Z UCTU	10285	19279	\N	QR	65957486
669849	2286	1998-08-14	PRIJEM	PREVOD Z UCTU	10285	23915	\N	QR	65957486
669850	2286	1998-09-14	PRIJEM	PREVOD Z UCTU	10285	21265	\N	QR	65957486
669851	2286	1998-10-14	PRIJEM	PREVOD Z UCTU	10285	22105	\N	QR	65957486
669852	2286	1998-11-14	PRIJEM	PREVOD Z UCTU	10285	23750	\N	QR	65957486
669853	2286	1998-12-14	PRIJEM	PREVOD Z UCTU	15428	26741	\N	QR	65957486
669870	2286	1997-05-10	VYDAJ	PREVOD NA UCET	1192	32886	SIPO	YZ	68042516
669871	2286	1997-06-10	VYDAJ	PREVOD NA UCET	1192	17323	SIPO	YZ	68042516
669872	2286	1997-07-10	VYDAJ	PREVOD NA UCET	1192	27761	SIPO	YZ	68042516
669873	2286	1997-08-10	VYDAJ	PREVOD NA UCET	1192	25957	SIPO	YZ	68042516
669874	2286	1997-09-10	VYDAJ	PREVOD NA UCET	1192	21256	SIPO	YZ	68042516
669875	2286	1997-10-10	VYDAJ	PREVOD NA UCET	1192	19540	SIPO	YZ	68042516
669876	2286	1997-11-10	VYDAJ	PREVOD NA UCET	1192	24322	SIPO	YZ	68042516
669877	2286	1997-12-10	VYDAJ	PREVOD NA UCET	1192	18716	SIPO	YZ	68042516
669878	2286	1998-01-10	VYDAJ	PREVOD NA UCET	1192	23445	SIPO	YZ	68042516
669879	2286	1998-02-10	VYDAJ	PREVOD NA UCET	1192	18127	SIPO	YZ	68042516
669880	2286	1998-03-10	VYDAJ	PREVOD NA UCET	1192	17291	SIPO	YZ	68042516
669881	2286	1998-04-10	VYDAJ	PREVOD NA UCET	1192	20062	SIPO	YZ	68042516
669882	2286	1998-05-10	VYDAJ	PREVOD NA UCET	1192	20242	SIPO	YZ	68042516
669883	2286	1998-06-10	VYDAJ	PREVOD NA UCET	1192	13009	SIPO	YZ	68042516
669884	2286	1998-07-10	VYDAJ	PREVOD NA UCET	1192	11103	SIPO	YZ	68042516
669885	2286	1998-08-10	VYDAJ	PREVOD NA UCET	1192	15739	SIPO	YZ	68042516
669886	2286	1998-09-10	VYDAJ	PREVOD NA UCET	1192	13089	SIPO	YZ	68042516
669887	2286	1998-10-10	VYDAJ	PREVOD NA UCET	1192	13929	SIPO	YZ	68042516
669888	2286	1998-11-10	VYDAJ	PREVOD NA UCET	1192	15574	SIPO	YZ	68042516
669889	2286	1998-12-10	VYDAJ	PREVOD NA UCET	1192	13422	SIPO	YZ	68042516
669906	2286	1997-05-12	VYDAJ	PREVOD NA UCET	2109	30777	 	CD	33564162
669907	2286	1997-06-12	VYDAJ	PREVOD NA UCET	2109	15214	 	CD	33564162
669908	2286	1997-07-12	VYDAJ	PREVOD NA UCET	2109	25652	 	CD	33564162
669909	2286	1997-08-12	VYDAJ	PREVOD NA UCET	2109	23848	 	CD	33564162
669910	2286	1997-09-12	VYDAJ	PREVOD NA UCET	2109	19147	 	CD	33564162
669911	2286	1997-10-12	VYDAJ	PREVOD NA UCET	2109	17431	 	CD	33564162
669912	2286	1997-11-12	VYDAJ	PREVOD NA UCET	2109	22213	 	CD	33564162
669913	2286	1997-12-12	VYDAJ	PREVOD NA UCET	2109	16607	 	CD	33564162
669914	2286	1998-01-12	VYDAJ	PREVOD NA UCET	2109	21336	 	CD	33564162
669915	2286	1998-02-12	VYDAJ	PREVOD NA UCET	2109	16018	 	CD	33564162
669916	2286	1998-03-12	VYDAJ	PREVOD NA UCET	2109	15182	 	CD	33564162
669917	2286	1998-04-12	VYDAJ	PREVOD NA UCET	2109	17953	 	CD	33564162
669918	2286	1998-05-12	VYDAJ	PREVOD NA UCET	2109	18133	 	CD	33564162
669919	2286	1998-06-12	VYDAJ	PREVOD NA UCET	2109	10900	 	CD	33564162
669920	2286	1998-07-12	VYDAJ	PREVOD NA UCET	2109	8994	 	CD	33564162
669921	2286	1998-08-12	VYDAJ	PREVOD NA UCET	2109	13630	 	CD	33564162
669922	2286	1998-09-12	VYDAJ	PREVOD NA UCET	2109	10980	 	CD	33564162
669923	2286	1998-10-12	VYDAJ	PREVOD NA UCET	2109	11820	 	CD	33564162
669924	2286	1998-11-12	VYDAJ	PREVOD NA UCET	2109	13465	 	CD	33564162
669925	2286	1998-12-12	VYDAJ	PREVOD NA UCET	2109	11313	 	CD	33564162
669926	2286	1997-08-03	VYBER	VYBER	4312	31749	\N	\N	\N
669930	2286	1997-06-07	VYBER	VYBER	6621	18515	\N	\N	\N
669931	2286	1997-07-10	VYBER	VYBER	2788	28953	\N	\N	\N
669932	2286	1997-05-15	VYBER	VYBER	16047	25015	\N	\N	\N
669954	2286	1998-01-25	VYDAJ	VYBER	4200	27421	\N	\N	\N
669956	2286	1997-12-05	VYDAJ	VYBER	6600	19908	\N	\N	\N
669957	2286	1998-12-26	VYDAJ	VYBER	7200	19541	\N	\N	\N
669966	2286	1997-08-30	VYDAJ	VYBER	6900	27233	\N	\N	\N
669969	2286	1998-06-28	VYDAJ	VYBER	6000	20328	\N	\N	\N
669971	2286	1998-05-15	VYDAJ	VYBER	6900	21518	\N	\N	\N
669988	2286	1997-04-30	VYDAJ	VYBER	15	46178	SLUZBY	\N	\N
669989	2286	1997-05-31	VYDAJ	VYBER	15	25136	SLUZBY	\N	\N
669990	2286	1997-06-30	VYDAJ	VYBER	15	30741	SLUZBY	\N	\N
669991	2286	1997-07-31	VYDAJ	VYBER	15	36061	SLUZBY	\N	\N
669992	2286	1997-08-31	VYDAJ	VYBER	15	27348	SLUZBY	\N	\N
669993	2286	1997-09-30	VYDAJ	VYBER	15	29532	SLUZBY	\N	\N
669994	2286	1997-10-31	VYDAJ	VYBER	15	27814	SLUZBY	\N	\N
669995	2286	1997-11-30	VYDAJ	VYBER	15	32608	SLUZBY	\N	\N
669996	2286	1997-12-31	VYDAJ	VYBER	15	32137	SLUZBY	\N	\N
669997	2286	1998-01-31	VYDAJ	VYBER	15	19319	SLUZBY	\N	\N
669998	2286	1998-02-28	VYDAJ	VYBER	15	26383	SLUZBY	\N	\N
669999	2286	1998-03-31	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
670000	2286	1998-04-30	VYDAJ	VYBER	15	28334	SLUZBY	\N	\N
670001	2286	1998-05-31	VYDAJ	VYBER	15	14201	SLUZBY	\N	\N
670002	2286	1998-06-30	VYDAJ	VYBER	15	12295	SLUZBY	\N	\N
670003	2286	1998-07-31	VYDAJ	VYBER	15	16931	SLUZBY	\N	\N
670004	2286	1998-08-31	VYDAJ	VYBER	15	14281	SLUZBY	\N	\N
670005	2286	1998-09-30	VYDAJ	VYBER	15	15121	SLUZBY	\N	\N
670006	2286	1998-10-31	VYDAJ	VYBER	15	16766	SLUZBY	\N	\N
670007	2286	1998-11-30	VYDAJ	VYBER	15	14614	SLUZBY	\N	\N
670008	2286	1997-01-05	PRIJEM	VKLAD	1900	18167	\N	\N	\N
670009	2286	1997-02-04	VYDAJ	VYBER	2600	25950	\N	\N	\N
670010	2286	1997-03-06	VYDAJ	VYBER	3900	32470	\N	\N	\N
670011	2286	1997-04-05	VYDAJ	VYBER	7200	35722	\N	\N	\N
670012	2286	1997-05-05	VYDAJ	VYBER	12100	34078	\N	\N	\N
670013	2286	1997-07-04	PRIJEM	VKLAD	1000	31741	\N	\N	\N
670014	2286	1997-08-03	VYDAJ	VYBER	4600	27149	\N	\N	\N
670015	2286	1997-09-02	VYDAJ	VYBER	4900	22448	\N	\N	\N
670016	2286	1997-10-02	VYDAJ	VYBER	8800	20732	\N	\N	\N
670017	2286	1997-11-01	VYDAJ	VYBER	2300	25514	\N	\N	\N
670018	2286	1997-12-01	VYDAJ	VYBER	6100	26508	\N	\N	\N
670019	2286	1997-12-31	VYDAJ	VYBER	7500	24637	\N	\N	\N
670020	2286	1998-01-30	VYDAJ	VYBER	8200	19221	\N	\N	\N
670021	2286	1998-03-01	VYDAJ	VYBER	7900	18483	\N	\N	\N
670022	2286	1998-03-31	VYDAJ	VYBER	4300	21254	\N	\N	\N
670023	2286	1998-04-30	VYDAJ	VYBER	6900	21434	\N	\N	\N
670024	2286	1998-05-30	VYDAJ	VYBER	7400	14118	\N	\N	\N
670025	2286	1998-06-29	VYDAJ	VYBER	8100	12228	\N	\N	\N
670026	2286	1998-07-29	VYDAJ	VYBER	2400	16879	\N	\N	\N
670027	2286	1998-08-28	VYDAJ	VYBER	9700	14215	\N	\N	\N
670028	2286	1998-09-27	VYDAJ	VYBER	6200	15065	\N	\N	\N
670029	2286	1998-10-27	VYDAJ	VYBER	5400	16705	\N	\N	\N
670030	2286	1998-11-26	VYDAJ	VYBER	9200	14550	\N	\N	\N
670056	2287	1996-04-21	PRIJEM	VKLAD	900	900	\N	\N	\N
670061	2287	1996-05-06	PRIJEM	VKLAD	23507	24407	\N	\N	\N
670062	2287	1996-06-06	PRIJEM	VKLAD	35261	57801	\N	\N	\N
670063	2287	1996-07-06	PRIJEM	VKLAD	23507	67634	\N	\N	\N
670064	2287	1996-08-06	PRIJEM	VKLAD	23507	69528	\N	\N	\N
670065	2287	1996-09-06	PRIJEM	VKLAD	23507	73032	\N	\N	\N
670066	2287	1996-10-06	PRIJEM	VKLAD	23507	66988	\N	\N	\N
670067	2287	1996-11-06	PRIJEM	VKLAD	23507	69207	\N	\N	\N
670068	2287	1996-12-06	PRIJEM	VKLAD	35261	74749	\N	\N	\N
670069	2287	1997-01-06	PRIJEM	VKLAD	23507	73001	\N	\N	\N
670070	2287	1997-02-06	PRIJEM	VKLAD	23507	60108	\N	\N	\N
670071	2287	1997-03-06	PRIJEM	VKLAD	23507	69771	\N	\N	\N
670072	2287	1997-04-06	PRIJEM	VKLAD	23507	75606	\N	\N	\N
670073	2287	1997-05-06	PRIJEM	VKLAD	23507	77355	\N	\N	\N
670074	2287	1997-06-06	PRIJEM	VKLAD	35261	83543	\N	\N	\N
670075	2287	1997-07-06	PRIJEM	VKLAD	23507	79970	\N	\N	\N
670076	2287	1997-08-06	PRIJEM	VKLAD	23507	86045	\N	\N	\N
670077	2287	1997-09-06	PRIJEM	VKLAD	23507	90640	\N	\N	\N
670078	2287	1997-10-06	PRIJEM	VKLAD	23507	93448	\N	\N	\N
670079	2287	1997-11-06	PRIJEM	VKLAD	23507	91957	\N	\N	\N
670080	2287	1997-12-06	PRIJEM	VKLAD	35261	95985	\N	\N	\N
670081	2287	1998-01-06	PRIJEM	VKLAD	23507	93651	\N	\N	\N
670082	2287	1998-02-06	PRIJEM	VKLAD	23507	84780	\N	\N	\N
670083	2287	1998-03-06	PRIJEM	VKLAD	23507	86256	\N	\N	\N
670084	2287	1998-04-06	PRIJEM	VKLAD	23507	90347	\N	\N	\N
670085	2287	1998-05-06	PRIJEM	VKLAD	23507	90646	\N	\N	\N
670086	2287	1998-06-06	PRIJEM	VKLAD	35261	102996	\N	\N	\N
670087	2287	1998-07-06	PRIJEM	VKLAD	23507	49022	\N	\N	\N
670088	2287	1998-08-06	PRIJEM	VKLAD	23507	62184	\N	\N	\N
670089	2287	1998-09-06	PRIJEM	VKLAD	23507	63525	\N	\N	\N
670090	2287	1998-10-06	PRIJEM	VKLAD	23507	54996	\N	\N	\N
670091	2287	1998-11-06	PRIJEM	VKLAD	23507	56149	\N	\N	\N
670092	2287	1998-12-06	PRIJEM	VKLAD	35261	66287	\N	\N	\N
670101	2287	1996-09-11	VYDAJ	PREVOD NA UCET	6275	60877	SIPO	KL	35842073
670102	2287	1996-10-11	VYDAJ	PREVOD NA UCET	6275	60713	SIPO	KL	35842073
670103	2287	1996-11-11	VYDAJ	PREVOD NA UCET	6275	59692	SIPO	KL	35842073
670104	2287	1996-12-11	VYDAJ	PREVOD NA UCET	6275	68474	SIPO	KL	35842073
670105	2287	1997-01-11	VYDAJ	PREVOD NA UCET	6275	66726	SIPO	KL	35842073
670106	2287	1997-02-11	VYDAJ	PREVOD NA UCET	6275	53833	SIPO	KL	35842073
670107	2287	1997-03-11	VYDAJ	PREVOD NA UCET	6275	63496	SIPO	KL	35842073
670108	2287	1997-04-11	VYDAJ	PREVOD NA UCET	6275	69331	SIPO	KL	35842073
670109	2287	1997-05-11	VYDAJ	PREVOD NA UCET	6275	71080	SIPO	KL	35842073
670110	2287	1997-06-11	VYDAJ	PREVOD NA UCET	6275	77268	SIPO	KL	35842073
670111	2287	1997-07-11	VYDAJ	PREVOD NA UCET	6275	73695	SIPO	KL	35842073
670112	2287	1997-08-11	VYDAJ	PREVOD NA UCET	6275	79770	SIPO	KL	35842073
670113	2287	1997-09-11	VYDAJ	PREVOD NA UCET	6275	84365	SIPO	KL	35842073
670114	2287	1997-10-11	VYDAJ	PREVOD NA UCET	6275	87173	SIPO	KL	35842073
670115	2287	1997-11-11	VYDAJ	PREVOD NA UCET	6275	85682	SIPO	KL	35842073
670116	2287	1997-12-11	VYDAJ	PREVOD NA UCET	6275	88010	SIPO	KL	35842073
670117	2287	1998-01-11	VYDAJ	PREVOD NA UCET	6275	87376	SIPO	KL	35842073
670118	2287	1998-02-11	VYDAJ	PREVOD NA UCET	6275	62505	SIPO	KL	35842073
670119	2287	1998-03-11	VYDAJ	PREVOD NA UCET	6275	79981	SIPO	KL	35842073
670120	2287	1998-04-11	VYDAJ	PREVOD NA UCET	6275	68672	SIPO	KL	35842073
670121	2287	1998-05-11	VYDAJ	PREVOD NA UCET	6275	67471	SIPO	KL	35842073
670122	2287	1998-06-11	VYDAJ	PREVOD NA UCET	6275	69021	SIPO	KL	35842073
670123	2287	1998-07-11	VYDAJ	PREVOD NA UCET	6275	38547	SIPO	KL	35842073
670124	2287	1998-08-11	VYDAJ	PREVOD NA UCET	6275	45609	SIPO	KL	35842073
670125	2287	1998-09-11	VYDAJ	PREVOD NA UCET	6275	41650	SIPO	KL	35842073
670126	2287	1998-10-11	VYDAJ	PREVOD NA UCET	6275	32521	SIPO	KL	35842073
670127	2287	1998-11-11	VYDAJ	PREVOD NA UCET	6275	35374	SIPO	KL	35842073
670128	2287	1998-12-11	VYDAJ	PREVOD NA UCET	6275	44012	SIPO	KL	35842073
670130	2287	1997-06-26	VYDAJ	VYBER	5760	56208	\N	\N	\N
670131	2287	1998-06-15	VYDAJ	VYBER	43680	25341	\N	\N	\N
670133	2287	1997-01-26	VYDAJ	VYBER	14720	36406	\N	\N	\N
670134	2287	1998-01-26	VYDAJ	VYBER	6880	60996	\N	\N	\N
670135	2287	1996-12-04	VYDAJ	VYBER	4640	39489	\N	\N	\N
670136	2287	1997-12-12	VYDAJ	VYBER KARTOU	1800	86210	\N	\N	0
670137	2287	1998-12-04	VYDAJ	VYBER	4480	31026	\N	\N	\N
670138	2287	1996-11-29	VYDAJ	VYBER	2760	43932	\N	\N	\N
670139	2287	1996-09-06	VYDAJ	VYBER	5040	67992	\N	\N	\N
670141	2287	1996-11-08	VYDAJ	VYBER	3240	65967	\N	\N	\N
670142	2287	1996-09-07	VYDAJ	VYBER	840	67152	\N	\N	\N
670146	2287	1997-06-04	VYDAJ	VYBER	2880	48282	\N	\N	\N
670147	2287	1997-12-02	VYDAJ	VYBER	4320	60725	\N	\N	\N
670148	2287	1997-02-24	VYDAJ	VYBER	2040	46093	\N	\N	\N
670149	2287	1997-12-09	VYDAJ	VYBER KARTOU	1700	94285	\N	\N	0
670150	2287	1997-05-26	VYDAJ	VYBER	5040	50940	\N	\N	\N
670151	2287	1998-12-12	VYDAJ	VYBER KARTOU	2400	41612	\N	\N	0
670152	2287	1998-09-25	VYDAJ	VYBER	4440	31330	\N	\N	\N
670153	2287	1998-09-04	VYDAJ	VYBER	5760	40018	\N	\N	\N
670154	2287	1998-09-23	VYDAJ	VYBER	5880	35770	\N	\N	\N
670155	2287	1998-04-25	VYDAJ	VYBER KARTOU	1800	66872	\N	\N	0
670156	2287	1998-01-18	VYDAJ	VYBER KARTOU	2900	67876	\N	\N	0
670157	2287	1998-01-15	VYDAJ	VYBER KARTOU	800	70776	\N	\N	0
670167	2287	1996-09-30	VYDAJ	VYBER	15	43481	SLUZBY	\N	\N
670168	2287	1996-10-31	VYDAJ	VYBER	15	45700	SLUZBY	\N	\N
670169	2287	1996-11-30	VYDAJ	VYBER	15	44129	SLUZBY	\N	\N
670170	2287	1996-12-31	VYDAJ	VYBER	15	49494	SLUZBY	\N	\N
670171	2287	1997-01-31	VYDAJ	VYBER	15	36601	SLUZBY	\N	\N
670172	2287	1997-02-28	VYDAJ	VYBER	15	46264	SLUZBY	\N	\N
670173	2287	1997-03-31	VYDAJ	VYBER	15	52099	SLUZBY	\N	\N
670174	2287	1997-04-30	VYDAJ	VYBER	15	53848	SLUZBY	\N	\N
670175	2287	1997-05-31	VYDAJ	VYBER	15	51162	SLUZBY	\N	\N
670176	2287	1997-06-30	VYDAJ	VYBER	15	56463	SLUZBY	\N	\N
670177	2287	1997-07-31	VYDAJ	VYBER	15	62538	SLUZBY	\N	\N
670178	2287	1997-08-31	VYDAJ	VYBER	15	67133	SLUZBY	\N	\N
670179	2287	1997-09-30	VYDAJ	VYBER	15	69941	SLUZBY	\N	\N
670180	2287	1997-10-31	VYDAJ	VYBER	15	68450	SLUZBY	\N	\N
670181	2287	1997-11-30	VYDAJ	VYBER	15	65045	SLUZBY	\N	\N
670182	2287	1997-12-31	VYDAJ	VYBER	15	70144	SLUZBY	\N	\N
670183	2287	1998-01-31	VYDAJ	VYBER	15	61273	SLUZBY	\N	\N
670184	2287	1998-02-28	VYDAJ	VYBER	15	62749	SLUZBY	\N	\N
670185	2287	1998-03-31	VYDAJ	VYBER	15	66840	SLUZBY	\N	\N
670186	2287	1998-04-30	VYDAJ	VYBER	15	67139	SLUZBY	\N	\N
670187	2287	1998-05-31	VYDAJ	VYBER	15	67736	SLUZBY	\N	\N
670188	2287	1998-06-30	VYDAJ	VYBER	15	25515	SLUZBY	\N	\N
670189	2287	1998-07-31	VYDAJ	VYBER	15	38677	SLUZBY	\N	\N
670190	2287	1998-08-31	VYDAJ	VYBER	15	45778	SLUZBY	\N	\N
670191	2287	1998-09-30	VYDAJ	VYBER	15	31489	SLUZBY	\N	\N
670192	2287	1998-10-31	VYDAJ	VYBER	15	32642	SLUZBY	\N	\N
670193	2287	1998-11-30	VYDAJ	VYBER	15	35506	SLUZBY	\N	\N
670194	2287	1996-05-21	VYDAJ	VYBER	1900	22507	\N	\N	\N
670195	2287	1996-06-20	VYDAJ	VYBER	13800	44001	\N	\N	\N
670196	2287	1996-07-20	VYDAJ	VYBER	21800	45834	\N	\N	\N
670197	2287	1996-08-19	VYDAJ	VYBER	20200	49328	\N	\N	\N
670198	2287	1996-09-18	VYDAJ	VYBER	17600	43277	\N	\N	\N
670199	2287	1996-10-18	VYDAJ	VYBER	15200	45513	\N	\N	\N
670200	2287	1996-11-17	VYDAJ	VYBER	13000	46692	\N	\N	\N
670201	2287	1996-12-17	VYDAJ	VYBER	19200	49274	\N	\N	\N
670202	2287	1997-01-16	VYDAJ	VYBER	15600	51126	\N	\N	\N
670203	2287	1997-02-15	VYDAJ	VYBER	5700	48133	\N	\N	\N
670204	2287	1997-03-17	VYDAJ	VYBER	11600	51896	\N	\N	\N
670205	2287	1997-04-16	VYDAJ	VYBER	15700	53631	\N	\N	\N
670206	2287	1997-05-16	VYDAJ	VYBER	15100	55980	\N	\N	\N
670207	2287	1997-06-15	VYDAJ	VYBER	15300	61968	\N	\N	\N
670208	2287	1997-07-15	VYDAJ	VYBER	11400	62295	\N	\N	\N
670209	2287	1997-08-14	VYDAJ	VYBER	12900	66870	\N	\N	\N
670210	2287	1997-09-13	VYDAJ	VYBER	14700	69665	\N	\N	\N
670211	2287	1997-10-13	VYDAJ	VYBER	19000	68173	\N	\N	\N
670212	2287	1997-11-12	VYDAJ	VYBER	20900	64782	\N	\N	\N
670213	2287	1997-12-12	VYDAJ	VYBER	16400	69810	\N	\N	\N
670214	2287	1998-01-11	VYDAJ	VYBER	15800	71576	\N	\N	\N
670215	2287	1998-02-10	VYDAJ	VYBER	16000	68780	\N	\N	\N
670216	2287	1998-03-12	VYDAJ	VYBER	13400	66581	\N	\N	\N
670217	2287	1998-04-11	VYDAJ	VYBER	15400	74947	\N	\N	\N
670218	2287	1998-05-11	VYDAJ	VYBER	16900	73746	\N	\N	\N
670219	2287	1998-06-10	VYDAJ	VYBER	27700	75296	\N	\N	\N
670220	2287	1998-07-10	VYDAJ	VYBER	4200	44822	\N	\N	\N
670221	2287	1998-08-09	VYDAJ	VYBER	10300	51884	\N	\N	\N
670222	2287	1998-09-08	VYDAJ	VYBER	15600	47925	\N	\N	\N
670223	2287	1998-10-08	VYDAJ	VYBER	16200	38796	\N	\N	\N
670224	2287	1998-11-07	VYDAJ	VYBER	14500	41649	\N	\N	\N
670225	2287	1998-12-07	VYDAJ	VYBER	16000	50287	\N	\N	\N
670258	2288	1996-01-01	PRIJEM	VKLAD	900	900	\N	\N	\N
670259	2288	1996-01-14	PRIJEM	VKLAD	21130	22030	\N	\N	\N
670260	2288	1996-02-14	PRIJEM	VKLAD	21130	46414	\N	\N	\N
670261	2288	1996-03-14	PRIJEM	VKLAD	21130	56749	\N	\N	\N
670262	2288	1996-04-14	PRIJEM	VKLAD	21130	64959	\N	\N	\N
670263	2288	1996-05-14	PRIJEM	VKLAD	21130	71072	\N	\N	\N
670264	2288	1996-06-14	PRIJEM	VKLAD	31695	77950	\N	\N	\N
670265	2288	1996-07-14	PRIJEM	VKLAD	21130	66825	\N	\N	\N
670266	2288	1996-08-14	PRIJEM	VKLAD	21130	62674	\N	\N	\N
670267	2288	1996-09-14	PRIJEM	VKLAD	21130	65711	\N	\N	\N
670268	2288	1996-10-14	PRIJEM	VKLAD	21130	65252	\N	\N	\N
670269	2288	1996-11-14	PRIJEM	VKLAD	21130	66791	\N	\N	\N
670270	2288	1996-12-14	PRIJEM	VKLAD	31695	80401	\N	\N	\N
670271	2288	1997-01-14	PRIJEM	VKLAD	21130	57979	\N	\N	\N
670272	2288	1997-02-14	PRIJEM	VKLAD	21130	62896	\N	\N	\N
670273	2288	1997-03-14	PRIJEM	VKLAD	21130	67323	\N	\N	\N
670274	2288	1997-04-14	PRIJEM	VKLAD	21130	69971	\N	\N	\N
670275	2288	1997-05-14	PRIJEM	VKLAD	21130	76634	\N	\N	\N
670276	2288	1997-06-14	PRIJEM	VKLAD	31695	87880	\N	\N	\N
670277	2288	1997-07-14	PRIJEM	VKLAD	21130	70544	\N	\N	\N
670278	2288	1997-08-14	PRIJEM	VKLAD	21130	73901	\N	\N	\N
670279	2288	1997-09-14	PRIJEM	VKLAD	21130	77871	\N	\N	\N
670280	2288	1997-10-14	PRIJEM	VKLAD	21130	77952	\N	\N	\N
670281	2288	1997-11-14	PRIJEM	VKLAD	21130	76330	\N	\N	\N
670282	2288	1997-12-14	PRIJEM	VKLAD	31695	93876	\N	\N	\N
670283	2288	1998-01-14	PRIJEM	VKLAD	21130	90602	\N	\N	\N
670284	2288	1998-02-14	PRIJEM	VKLAD	21130	84628	\N	\N	\N
670285	2288	1998-03-14	PRIJEM	VKLAD	21130	87434	\N	\N	\N
670286	2288	1998-04-14	PRIJEM	VKLAD	21130	93160	\N	\N	\N
670287	2288	1998-05-14	PRIJEM	VKLAD	21130	93704	\N	\N	\N
670288	2288	1998-06-14	PRIJEM	VKLAD	31695	104814	\N	\N	\N
670289	2288	1998-07-14	PRIJEM	VKLAD	21130	77260	\N	\N	\N
670290	2288	1998-08-14	PRIJEM	VKLAD	21130	84442	\N	\N	\N
670291	2288	1998-09-14	PRIJEM	VKLAD	21130	90250	\N	\N	\N
670292	2288	1998-10-14	PRIJEM	VKLAD	21130	91872	\N	\N	\N
670293	2288	1998-11-14	PRIJEM	VKLAD	21130	92098	\N	\N	\N
670294	2288	1998-12-14	PRIJEM	VKLAD	31695	100287	\N	\N	\N
670300	2288	1996-06-13	VYDAJ	PREVOD NA UCET	5411	46255	SIPO	AB	28359425
670301	2288	1996-07-13	VYDAJ	PREVOD NA UCET	5411	45695	SIPO	AB	28359425
670302	2288	1996-08-13	VYDAJ	PREVOD NA UCET	5411	41544	SIPO	AB	28359425
670303	2288	1996-09-13	VYDAJ	PREVOD NA UCET	5411	44581	SIPO	AB	28359425
670304	2288	1996-10-13	VYDAJ	PREVOD NA UCET	5411	44122	SIPO	AB	28359425
670305	2288	1996-11-13	VYDAJ	PREVOD NA UCET	5411	45661	SIPO	AB	28359425
670306	2288	1996-12-13	VYDAJ	PREVOD NA UCET	5411	48706	SIPO	AB	28359425
670307	2288	1997-01-13	VYDAJ	PREVOD NA UCET	5411	36849	SIPO	AB	28359425
670308	2288	1997-02-13	VYDAJ	PREVOD NA UCET	5411	41766	SIPO	AB	28359425
670309	2288	1997-03-13	VYDAJ	PREVOD NA UCET	5411	46193	SIPO	AB	28359425
670310	2288	1997-04-13	VYDAJ	PREVOD NA UCET	5411	48841	SIPO	AB	28359425
670311	2288	1997-05-13	VYDAJ	PREVOD NA UCET	5411	55504	SIPO	AB	28359425
670312	2288	1997-06-13	VYDAJ	PREVOD NA UCET	5411	56185	SIPO	AB	28359425
670313	2288	1997-07-13	VYDAJ	PREVOD NA UCET	5411	49414	SIPO	AB	28359425
670314	2288	1997-08-13	VYDAJ	PREVOD NA UCET	5411	52771	SIPO	AB	28359425
670315	2288	1997-09-13	VYDAJ	PREVOD NA UCET	5411	56741	SIPO	AB	28359425
670316	2288	1997-10-13	VYDAJ	PREVOD NA UCET	5411	56822	SIPO	AB	28359425
670317	2288	1997-11-13	VYDAJ	PREVOD NA UCET	5411	55200	SIPO	AB	28359425
670318	2288	1997-12-13	VYDAJ	PREVOD NA UCET	5411	62181	SIPO	AB	28359425
670319	2288	1998-01-13	VYDAJ	PREVOD NA UCET	5411	69472	SIPO	AB	28359425
670320	2288	1998-02-13	VYDAJ	PREVOD NA UCET	5411	63498	SIPO	AB	28359425
670321	2288	1998-03-13	VYDAJ	PREVOD NA UCET	5411	66304	SIPO	AB	28359425
670322	2288	1998-04-13	VYDAJ	PREVOD NA UCET	5411	72030	SIPO	AB	28359425
670323	2288	1998-05-13	VYDAJ	PREVOD NA UCET	5411	72574	SIPO	AB	28359425
670324	2288	1998-06-13	VYDAJ	PREVOD NA UCET	5411	73119	SIPO	AB	28359425
670325	2288	1998-07-13	VYDAJ	PREVOD NA UCET	5411	56130	SIPO	AB	28359425
670326	2288	1998-08-13	VYDAJ	PREVOD NA UCET	5411	63312	SIPO	AB	28359425
670327	2288	1998-09-13	VYDAJ	PREVOD NA UCET	5411	69120	SIPO	AB	28359425
670328	2288	1998-10-13	VYDAJ	PREVOD NA UCET	5411	70742	SIPO	AB	28359425
670329	2288	1998-11-13	VYDAJ	PREVOD NA UCET	5411	70968	SIPO	AB	28359425
670330	2288	1998-12-13	VYDAJ	PREVOD NA UCET	5411	68592	SIPO	AB	28359425
670331	2288	1996-06-29	VYDAJ	VYBER	4200	50850	\N	\N	\N
670332	2288	1997-06-16	VYDAJ	VYBER	24100	63780	\N	\N	\N
670333	2288	1998-06-27	VYDAJ	VYBER	24200	61214	\N	\N	\N
670335	2288	1997-01-02	VYDAJ	VYBER	7900	53060	\N	\N	\N
670336	2288	1998-01-27	VYDAJ	VYBER	4300	69202	\N	\N	\N
670343	2288	1997-01-17	VYDAJ	VYBER	600	56079	\N	\N	\N
670344	2288	1997-01-11	VYDAJ	VYBER	2500	44360	\N	\N	\N
670345	2288	1997-01-16	VYDAJ	VYBER	1300	56679	\N	\N	\N
670346	2288	1997-01-05	VYDAJ	VYBER	2300	49260	\N	\N	\N
670347	2288	1997-01-03	VYDAJ	VYBER	1500	51560	\N	\N	\N
670348	2288	1997-01-08	VYDAJ	VYBER	2400	46860	\N	\N	\N
670349	2288	1998-01-05	VYDAJ	VYBER	2500	74883	\N	\N	\N
670350	2288	1998-01-29	VYDAJ	VYBER	600	68602	\N	\N	\N
670351	2288	1998-01-03	VYDAJ	VYBER	800	77383	\N	\N	\N
670352	2288	1998-01-25	VYDAJ	VYBER	2300	73502	\N	\N	\N
670353	2288	1998-01-23	VYDAJ	VYBER	1100	75802	\N	\N	\N
670354	2288	1998-01-02	VYDAJ	VYBER	1100	78183	\N	\N	\N
670355	2288	1996-08-12	VYDAJ	VYBER	4000	46955	\N	\N	\N
670359	2288	1996-09-12	VYDAJ	VYBER	600	49992	\N	\N	\N
670361	2288	1997-09-28	VYDAJ	VYBER	1600	61971	\N	\N	\N
670362	2288	1997-04-07	VYDAJ	VYBER	2200	54252	\N	\N	\N
670363	2288	1997-10-23	VYDAJ	VYBER	4500	60352	\N	\N	\N
670364	2288	1997-01-11	VYDAJ	VYBER	2100	42260	\N	\N	\N
670365	2288	1998-12-09	VYDAJ	VYBER	2100	74003	\N	\N	\N
670366	2288	1998-12-30	VYDAJ	VYBER	3000	80287	\N	\N	\N
670367	2288	1998-04-27	VYDAJ	VYBER	1400	80160	\N	\N	\N
670368	2288	1998-05-10	VYDAJ	VYBER	2500	77985	\N	\N	\N
670369	2288	1998-03-26	VYDAJ	VYBER	900	77134	\N	\N	\N
670375	2288	1996-05-31	VYDAJ	VYBER	15	51666	SLUZBY	\N	\N
670376	2288	1996-06-30	VYDAJ	VYBER	15	51106	SLUZBY	\N	\N
670377	2288	1996-07-31	VYDAJ	VYBER	15	50955	SLUZBY	\N	\N
670378	2288	1996-08-31	VYDAJ	VYBER	15	50592	SLUZBY	\N	\N
670379	2288	1996-09-30	VYDAJ	VYBER	15	49533	SLUZBY	\N	\N
670380	2288	1996-10-31	VYDAJ	VYBER	15	51072	SLUZBY	\N	\N
670381	2288	1996-11-30	VYDAJ	VYBER	15	54117	SLUZBY	\N	\N
670382	2288	1996-12-31	VYDAJ	VYBER	15	60960	SLUZBY	\N	\N
670383	2288	1997-01-31	VYDAJ	VYBER	15	47177	SLUZBY	\N	\N
670384	2288	1997-02-28	VYDAJ	VYBER	15	51604	SLUZBY	\N	\N
670385	2288	1997-03-31	VYDAJ	VYBER	15	56452	SLUZBY	\N	\N
670386	2288	1997-04-30	VYDAJ	VYBER	15	60915	SLUZBY	\N	\N
670387	2288	1997-05-31	VYDAJ	VYBER	15	61596	SLUZBY	\N	\N
670388	2288	1997-06-30	VYDAJ	VYBER	15	54825	SLUZBY	\N	\N
670389	2288	1997-07-31	VYDAJ	VYBER	15	58182	SLUZBY	\N	\N
670390	2288	1997-08-31	VYDAJ	VYBER	15	62152	SLUZBY	\N	\N
670391	2288	1997-09-30	VYDAJ	VYBER	15	62233	SLUZBY	\N	\N
670392	2288	1997-10-31	VYDAJ	VYBER	15	60611	SLUZBY	\N	\N
670393	2288	1997-11-30	VYDAJ	VYBER	15	67592	SLUZBY	\N	\N
670394	2288	1997-12-31	VYDAJ	VYBER	15	79283	SLUZBY	\N	\N
670395	2288	1998-01-31	VYDAJ	VYBER	15	68909	SLUZBY	\N	\N
670396	2288	1998-02-28	VYDAJ	VYBER	15	71715	SLUZBY	\N	\N
670397	2288	1998-03-31	VYDAJ	VYBER	15	77441	SLUZBY	\N	\N
670398	2288	1998-04-30	VYDAJ	VYBER	15	80485	SLUZBY	\N	\N
670399	2288	1998-05-31	VYDAJ	VYBER	15	78530	SLUZBY	\N	\N
670400	2288	1998-06-30	VYDAJ	VYBER	15	61541	SLUZBY	\N	\N
670401	2288	1998-07-31	VYDAJ	VYBER	15	68723	SLUZBY	\N	\N
670402	2288	1998-08-31	VYDAJ	VYBER	15	74531	SLUZBY	\N	\N
670403	2288	1998-09-30	VYDAJ	VYBER	15	76153	SLUZBY	\N	\N
670404	2288	1998-10-31	VYDAJ	VYBER	15	76379	SLUZBY	\N	\N
670405	2288	1998-11-30	VYDAJ	VYBER	15	76103	SLUZBY	\N	\N
670406	2288	1996-01-31	PRIJEM	VKLAD	3200	25284	\N	\N	\N
670407	2288	1996-03-01	VYDAJ	VYBER	10900	35619	\N	\N	\N
670408	2288	1996-03-31	VYDAJ	VYBER	13100	43829	\N	\N	\N
670409	2288	1996-04-30	VYDAJ	VYBER	15200	49942	\N	\N	\N
670410	2288	1996-05-30	VYDAJ	VYBER	19600	51472	\N	\N	\N
670411	2288	1996-06-29	VYDAJ	VYBER	22900	55050	\N	\N	\N
670412	2288	1996-07-29	VYDAJ	VYBER	16100	50725	\N	\N	\N
670413	2288	1996-08-28	VYDAJ	VYBER	12300	50374	\N	\N	\N
670414	2288	1996-09-27	VYDAJ	VYBER	16400	49311	\N	\N	\N
670415	2288	1996-10-27	VYDAJ	VYBER	14400	50852	\N	\N	\N
670416	2288	1996-11-26	VYDAJ	VYBER	12900	53891	\N	\N	\N
670417	2288	1996-12-26	VYDAJ	VYBER	19700	60701	\N	\N	\N
670418	2288	1997-01-25	VYDAJ	VYBER	9100	46979	\N	\N	\N
670419	2288	1997-02-24	VYDAJ	VYBER	11500	51396	\N	\N	\N
670420	2288	1997-03-26	VYDAJ	VYBER	11100	56223	\N	\N	\N
670421	2288	1997-04-25	VYDAJ	VYBER	9300	60671	\N	\N	\N
670422	2288	1997-05-25	VYDAJ	VYBER	15300	61334	\N	\N	\N
670423	2288	1997-06-24	VYDAJ	VYBER	9200	54580	\N	\N	\N
670424	2288	1997-07-24	VYDAJ	VYBER	12600	57944	\N	\N	\N
670425	2288	1997-08-23	VYDAJ	VYBER	12000	61901	\N	\N	\N
670426	2288	1997-09-22	VYDAJ	VYBER	14300	63571	\N	\N	\N
670427	2288	1997-10-22	VYDAJ	VYBER	13100	64852	\N	\N	\N
670428	2288	1997-11-21	VYDAJ	VYBER	9000	67330	\N	\N	\N
670429	2288	1997-12-21	VYDAJ	VYBER	14900	78976	\N	\N	\N
670430	2288	1998-01-20	VYDAJ	VYBER	13700	76902	\N	\N	\N
670431	2288	1998-02-19	VYDAJ	VYBER	13200	71428	\N	\N	\N
670432	2288	1998-03-21	VYDAJ	VYBER	9400	78034	\N	\N	\N
670433	2288	1998-04-20	VYDAJ	VYBER	11600	81560	\N	\N	\N
670434	2288	1998-05-20	VYDAJ	VYBER	15500	78204	\N	\N	\N
670435	2288	1998-06-19	VYDAJ	VYBER	19400	85414	\N	\N	\N
670436	2288	1998-07-19	VYDAJ	VYBER	8800	68460	\N	\N	\N
670437	2288	1998-08-18	VYDAJ	VYBER	10200	74242	\N	\N	\N
670438	2288	1998-09-17	VYDAJ	VYBER	14400	75850	\N	\N	\N
670439	2288	1998-10-17	VYDAJ	VYBER	15800	76072	\N	\N	\N
670440	2288	1998-11-16	VYDAJ	VYBER	16300	75798	\N	\N	\N
670441	2288	1998-12-16	VYDAJ	VYBER	17000	83287	\N	\N	\N
670478	2289	1996-03-07	PRIJEM	VKLAD	300	300	\N	\N	\N
670482	2289	1996-04-06	PRIJEM	VKLAD	15827	20927	\N	\N	\N
670483	2289	1996-05-06	PRIJEM	VKLAD	15827	36772	\N	\N	\N
670484	2289	1996-06-06	PRIJEM	VKLAD	23740	49122	\N	\N	\N
670485	2289	1996-07-06	PRIJEM	VKLAD	15827	53241	\N	\N	\N
670486	2289	1996-08-06	PRIJEM	VKLAD	15827	50788	\N	\N	\N
670487	2289	1996-09-06	PRIJEM	VKLAD	15827	47088	\N	\N	\N
670488	2289	1996-10-06	PRIJEM	VKLAD	15827	42923	\N	\N	\N
670489	2289	1996-11-06	PRIJEM	VKLAD	15827	41786	\N	\N	\N
670490	2289	1996-12-06	PRIJEM	VKLAD	23740	49172	\N	\N	\N
670491	2289	1997-01-06	PRIJEM	VKLAD	15827	42290	\N	\N	\N
670492	2289	1997-02-06	PRIJEM	VKLAD	15827	33137	\N	\N	\N
670493	2289	1997-03-06	PRIJEM	VKLAD	15827	40159	\N	\N	\N
670494	2289	1997-04-06	PRIJEM	VKLAD	15827	46003	\N	\N	\N
670495	2289	1997-05-06	PRIJEM	VKLAD	15827	49026	\N	\N	\N
670496	2289	1997-06-06	PRIJEM	VKLAD	23740	56634	\N	\N	\N
670497	2289	1997-07-06	PRIJEM	VKLAD	15827	34919	\N	\N	\N
670498	2289	1997-08-06	PRIJEM	VKLAD	15827	39733	\N	\N	\N
670499	2289	1997-09-06	PRIJEM	VKLAD	15827	40164	\N	\N	\N
670500	2289	1997-10-06	PRIJEM	VKLAD	15827	43998	\N	\N	\N
670501	2289	1997-11-06	PRIJEM	VKLAD	15827	38821	\N	\N	\N
670502	2289	1997-12-06	PRIJEM	VKLAD	23740	49661	\N	\N	\N
670503	2289	1998-01-06	PRIJEM	VKLAD	15827	42879	\N	\N	\N
670504	2289	1998-02-06	PRIJEM	VKLAD	15827	35407	\N	\N	\N
670505	2289	1998-03-06	PRIJEM	VKLAD	15827	39519	\N	\N	\N
670506	2289	1998-04-06	PRIJEM	VKLAD	15827	34745	\N	\N	\N
670507	2289	1998-05-06	PRIJEM	VKLAD	15827	31032	\N	\N	\N
670508	2289	1998-06-06	PRIJEM	VKLAD	23740	44249	\N	\N	\N
670509	2289	1998-07-06	PRIJEM	VKLAD	15827	35110	\N	\N	\N
670510	2289	1998-08-06	PRIJEM	VKLAD	15827	45726	\N	\N	\N
670511	2289	1998-09-06	PRIJEM	VKLAD	15827	36164	\N	\N	\N
670512	2289	1998-10-06	PRIJEM	VKLAD	15827	28363	\N	\N	\N
670513	2289	1998-11-06	PRIJEM	VKLAD	15827	33671	\N	\N	\N
670514	2289	1998-12-06	PRIJEM	VKLAD	23740	48357	\N	\N	\N
670522	2289	1996-08-09	VYDAJ	PREVOD NA UCET	5309	45479	SIPO	AB	28453374
670523	2289	1996-09-09	VYDAJ	PREVOD NA UCET	5309	39139	SIPO	AB	28453374
670524	2289	1996-10-09	VYDAJ	PREVOD NA UCET	5309	37614	SIPO	AB	28453374
670525	2289	1996-11-09	VYDAJ	PREVOD NA UCET	5309	36477	SIPO	AB	28453374
670526	2289	1996-12-09	VYDAJ	PREVOD NA UCET	5309	43863	SIPO	AB	28453374
670527	2289	1997-01-09	VYDAJ	PREVOD NA UCET	5309	36981	SIPO	AB	28453374
670528	2289	1997-02-09	VYDAJ	PREVOD NA UCET	5309	25548	SIPO	AB	28453374
670529	2289	1997-03-09	VYDAJ	PREVOD NA UCET	5309	34850	SIPO	AB	28453374
670530	2289	1997-04-09	VYDAJ	PREVOD NA UCET	5309	40694	SIPO	AB	28453374
670531	2289	1997-05-09	VYDAJ	PREVOD NA UCET	5309	43717	SIPO	AB	28453374
670532	2289	1997-06-09	VYDAJ	PREVOD NA UCET	5309	51325	SIPO	AB	28453374
670533	2289	1997-07-09	VYDAJ	PREVOD NA UCET	5309	29610	SIPO	AB	28453374
670534	2289	1997-08-09	VYDAJ	PREVOD NA UCET	5309	34424	SIPO	AB	28453374
670535	2289	1997-09-09	VYDAJ	PREVOD NA UCET	5309	34855	SIPO	AB	28453374
670536	2289	1997-10-09	VYDAJ	PREVOD NA UCET	5309	38689	SIPO	AB	28453374
670537	2289	1997-11-09	VYDAJ	PREVOD NA UCET	5309	33512	SIPO	AB	28453374
670538	2289	1997-12-09	VYDAJ	PREVOD NA UCET	5309	44352	SIPO	AB	28453374
670539	2289	1998-01-09	VYDAJ	PREVOD NA UCET	5309	35410	SIPO	AB	28453374
670540	2289	1998-02-09	VYDAJ	PREVOD NA UCET	5309	30098	SIPO	AB	28453374
670541	2289	1998-03-09	VYDAJ	PREVOD NA UCET	5309	34210	SIPO	AB	28453374
670542	2289	1998-04-09	VYDAJ	PREVOD NA UCET	5309	29436	SIPO	AB	28453374
670543	2289	1998-05-09	VYDAJ	PREVOD NA UCET	5309	25723	SIPO	AB	28453374
670544	2289	1998-06-09	VYDAJ	PREVOD NA UCET	5309	38940	SIPO	AB	28453374
670545	2289	1998-07-09	VYDAJ	PREVOD NA UCET	5309	29801	SIPO	AB	28453374
670546	2289	1998-08-09	VYDAJ	PREVOD NA UCET	5309	40417	SIPO	AB	28453374
670547	2289	1998-09-09	VYDAJ	PREVOD NA UCET	5309	30855	SIPO	AB	28453374
670548	2289	1998-10-09	VYDAJ	PREVOD NA UCET	5309	23054	SIPO	AB	28453374
670549	2289	1998-11-09	VYDAJ	PREVOD NA UCET	5309	28362	SIPO	AB	28453374
670550	2289	1998-12-09	VYDAJ	PREVOD NA UCET	5309	43048	SIPO	AB	28453374
670552	2289	1997-06-13	VYDAJ	VYBER	27840	23485	\N	\N	\N
670555	2289	1997-01-22	VYDAJ	VYBER	9120	19941	\N	\N	\N
670556	2289	1998-01-25	VYDAJ	VYBER	2080	29130	\N	\N	\N
670557	2289	1996-12-23	VYDAJ	VYBER	3520	40343	\N	\N	\N
670558	2289	1997-12-29	VYDAJ	VYBER	4640	26912	\N	\N	\N
670559	2289	1998-12-10	VYDAJ	VYBER	4480	38568	\N	\N	\N
670566	2289	1997-01-01	VYDAJ	VYBER	1920	38583	\N	\N	\N
670567	2289	1997-01-26	VYDAJ	VYBER	2040	17901	\N	\N	\N
670568	2289	1997-01-16	VYDAJ	VYBER	3240	33741	\N	\N	\N
670569	2289	1997-01-28	VYDAJ	VYBER	2400	15501	\N	\N	\N
670570	2289	1997-01-04	VYDAJ	VYBER	840	26463	\N	\N	\N
670571	2289	1997-01-03	VYDAJ	VYBER	2280	27303	\N	\N	\N
670572	2289	1998-01-28	VYDAJ	VYBER	1800	21030	\N	\N	\N
670573	2289	1998-01-20	VYDAJ	VYBER	600	31210	\N	\N	\N
670574	2289	1998-01-09	VYDAJ	VYBER	2160	40719	\N	\N	\N
670575	2289	1998-01-16	VYDAJ	VYBER	3000	31810	\N	\N	\N
670576	2289	1998-01-30	VYDAJ	VYBER	1560	19470	\N	\N	\N
670577	2289	1998-01-14	VYDAJ	VYBER	600	34810	\N	\N	\N
670581	2289	1996-09-06	VYDAJ	VYBER	2640	44448	\N	\N	\N
670583	2289	1996-11-12	VYDAJ	VYBER	2280	34197	\N	\N	\N
670584	2289	1997-01-20	VYDAJ	VYBER	4680	29061	\N	\N	\N
670585	2289	1997-05-20	VYDAJ	VYBER	4680	39037	\N	\N	\N
670586	2289	1997-04-12	VYDAJ	VYBER	3240	37454	\N	\N	\N
670587	2289	1997-06-17	VYDAJ	VYBER	1200	22285	\N	\N	\N
670588	2289	1997-10-26	VYDAJ	VYBER	5520	33169	\N	\N	\N
670589	2289	1997-02-08	VYDAJ	VYBER	2280	30857	\N	\N	\N
670590	2289	1998-05-12	VYDAJ	VYBER	5280	20443	\N	\N	\N
670591	2289	1998-06-12	VYDAJ	VYBER	3960	34980	\N	\N	\N
670592	2289	1998-11-20	VYDAJ	VYBER	3840	24522	\N	\N	\N
670593	2289	1998-11-03	VYDAJ	VYBER	5280	17844	\N	\N	\N
670594	2289	1998-04-03	VYDAJ	VYBER	3000	18918	\N	\N	\N
670595	2289	1998-04-15	VYDAJ	VYBER	3720	25716	\N	\N	\N
670604	2289	1996-08-31	VYDAJ	VYBER	15	45661	SLUZBY	\N	\N
670605	2289	1996-09-30	VYDAJ	VYBER	15	39296	SLUZBY	\N	\N
670606	2289	1996-10-31	VYDAJ	VYBER	15	37759	SLUZBY	\N	\N
670607	2289	1996-11-30	VYDAJ	VYBER	15	34332	SLUZBY	\N	\N
670608	2289	1996-12-31	VYDAJ	VYBER	15	40503	SLUZBY	\N	\N
670609	2289	1997-01-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
670610	2289	1997-02-28	VYDAJ	VYBER	15	25632	SLUZBY	\N	\N
670611	2289	1997-03-31	VYDAJ	VYBER	15	34976	SLUZBY	\N	\N
670612	2289	1997-04-30	VYDAJ	VYBER	15	37599	SLUZBY	\N	\N
670613	2289	1997-05-31	VYDAJ	VYBER	15	39194	SLUZBY	\N	\N
670614	2289	1997-06-30	VYDAJ	VYBER	15	19092	SLUZBY	\N	\N
670615	2289	1997-07-31	VYDAJ	VYBER	15	23906	SLUZBY	\N	\N
670616	2289	1997-08-31	VYDAJ	VYBER	15	24337	SLUZBY	\N	\N
670617	2289	1997-09-30	VYDAJ	VYBER	15	28171	SLUZBY	\N	\N
670618	2289	1997-10-31	VYDAJ	VYBER	15	22994	SLUZBY	\N	\N
670619	2289	1997-11-30	VYDAJ	VYBER	15	25921	SLUZBY	\N	\N
670620	2289	1997-12-31	VYDAJ	VYBER	15	27052	SLUZBY	\N	\N
670621	2289	1998-01-31	VYDAJ	VYBER	15	19580	SLUZBY	\N	\N
670622	2289	1998-02-28	VYDAJ	VYBER	15	23692	SLUZBY	\N	\N
670623	2289	1998-03-31	VYDAJ	VYBER	15	21918	SLUZBY	\N	\N
670624	2289	1998-04-30	VYDAJ	VYBER	15	15205	SLUZBY	\N	\N
670625	2289	1998-05-31	VYDAJ	VYBER	15	20509	SLUZBY	\N	\N
670626	2289	1998-06-30	VYDAJ	VYBER	15	19283	SLUZBY	\N	\N
670627	2289	1998-07-31	VYDAJ	VYBER	15	29899	SLUZBY	\N	\N
670628	2289	1998-08-31	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
670629	2289	1998-09-30	VYDAJ	VYBER	15	12536	SLUZBY	\N	\N
670630	2289	1998-10-31	VYDAJ	VYBER	15	23124	SLUZBY	\N	\N
670631	2289	1998-11-30	VYDAJ	VYBER	15	24617	SLUZBY	\N	\N
670632	2289	1996-04-06	PRIJEM	VKLAD	4800	5100	\N	\N	\N
670633	2289	1996-05-06	VYDAJ	VYBER	6200	30572	\N	\N	\N
670634	2289	1996-06-05	VYDAJ	VYBER	5300	25382	\N	\N	\N
670635	2289	1996-07-05	VYDAJ	VYBER	11900	37414	\N	\N	\N
670636	2289	1996-08-04	VYDAJ	VYBER	18500	34961	\N	\N	\N
670637	2289	1996-09-03	VYDAJ	VYBER	14400	31261	\N	\N	\N
670638	2289	1996-10-03	VYDAJ	VYBER	12200	27096	\N	\N	\N
670639	2289	1996-11-02	VYDAJ	VYBER	11800	25959	\N	\N	\N
670640	2289	1996-12-02	VYDAJ	VYBER	8900	25432	\N	\N	\N
670641	2289	1997-01-01	VYDAJ	VYBER	9000	29583	\N	\N	\N
670642	2289	1997-01-31	PRIJEM	VKLAD	1700	17324	\N	\N	\N
670643	2289	1997-03-02	VYDAJ	VYBER	1300	24332	\N	\N	\N
670644	2289	1997-04-01	VYDAJ	VYBER	4800	30176	\N	\N	\N
670645	2289	1997-05-01	VYDAJ	VYBER	4400	33199	\N	\N	\N
670646	2289	1997-05-31	VYDAJ	VYBER	6300	32894	\N	\N	\N
670647	2289	1997-06-30	VYDAJ	VYBER	3300	19106	\N	\N	\N
670648	2289	1997-07-30	VYDAJ	VYBER	5800	23810	\N	\N	\N
670649	2289	1997-08-29	VYDAJ	VYBER	10200	24224	\N	\N	\N
670650	2289	1997-09-28	VYDAJ	VYBER	6800	28055	\N	\N	\N
670651	2289	1997-10-28	VYDAJ	VYBER	10300	22869	\N	\N	\N
670652	2289	1997-11-27	VYDAJ	VYBER	7700	25812	\N	\N	\N
670653	2289	1997-12-27	VYDAJ	VYBER	12800	31552	\N	\N	\N
670654	2289	1998-01-26	VYDAJ	VYBER	6300	22830	\N	\N	\N
670655	2289	1998-02-25	VYDAJ	VYBER	6500	23598	\N	\N	\N
670656	2289	1998-03-27	VYDAJ	VYBER	12400	21810	\N	\N	\N
670657	2289	1998-04-26	VYDAJ	VYBER	10600	15116	\N	\N	\N
670658	2289	1998-06-25	VYDAJ	VYBER	15800	19180	\N	\N	\N
670659	2289	1998-08-24	VYDAJ	VYBER	20200	20217	\N	\N	\N
670660	2289	1998-09-23	VYDAJ	VYBER	18400	12455	\N	\N	\N
670694	2290	1996-10-22	PRIJEM	VKLAD	400	400	\N	\N	\N
670705	2290	1996-11-10	PRIJEM	PREVOD Z UCTU	6298	6698	DUCHOD	EF	68237256
670706	2290	1996-12-10	PRIJEM	PREVOD Z UCTU	6298	12996	DUCHOD	EF	68237256
670707	2290	1997-01-10	PRIJEM	PREVOD Z UCTU	6298	19294	DUCHOD	EF	68237256
670708	2290	1997-02-10	PRIJEM	PREVOD Z UCTU	6298	25592	DUCHOD	EF	68237256
670709	2290	1997-03-10	PRIJEM	PREVOD Z UCTU	6298	29725	DUCHOD	EF	68237256
670710	2290	1997-04-10	PRIJEM	PREVOD Z UCTU	6298	26262	DUCHOD	EF	68237256
670711	2290	1997-05-10	PRIJEM	PREVOD Z UCTU	6298	28687	DUCHOD	EF	68237256
670712	2290	1997-06-10	PRIJEM	PREVOD Z UCTU	6298	14867	DUCHOD	EF	68237256
670713	2290	1997-07-10	PRIJEM	PREVOD Z UCTU	6298	15414	DUCHOD	EF	68237256
670714	2290	1997-08-10	PRIJEM	PREVOD Z UCTU	6298	17794	DUCHOD	EF	68237256
670715	2290	1997-09-10	PRIJEM	PREVOD Z UCTU	6298	20183	DUCHOD	EF	68237256
670716	2290	1997-10-10	PRIJEM	PREVOD Z UCTU	6298	22583	DUCHOD	EF	68237256
670717	2290	1997-11-10	PRIJEM	PREVOD Z UCTU	6298	23388	DUCHOD	EF	68237256
670718	2290	1997-12-10	PRIJEM	PREVOD Z UCTU	6298	25801	DUCHOD	EF	68237256
670719	2290	1998-01-10	PRIJEM	PREVOD Z UCTU	6298	21240	DUCHOD	EF	68237256
670720	2290	1998-02-10	PRIJEM	PREVOD Z UCTU	6298	15793	DUCHOD	EF	68237256
670721	2290	1998-03-10	PRIJEM	PREVOD Z UCTU	6298	18173	DUCHOD	EF	68237256
670722	2290	1998-04-10	PRIJEM	PREVOD Z UCTU	6298	20565	DUCHOD	EF	68237256
670723	2290	1998-05-10	PRIJEM	PREVOD Z UCTU	6298	21863	DUCHOD	EF	68237256
670724	2290	1998-06-10	PRIJEM	PREVOD Z UCTU	6298	22265	DUCHOD	EF	68237256
670725	2290	1998-07-10	PRIJEM	PREVOD Z UCTU	6298	24673	DUCHOD	EF	68237256
670726	2290	1998-08-10	PRIJEM	PREVOD Z UCTU	6298	25287	DUCHOD	EF	68237256
670727	2290	1998-09-10	PRIJEM	PREVOD Z UCTU	6298	25202	DUCHOD	EF	68237256
670728	2290	1998-10-10	PRIJEM	PREVOD Z UCTU	6298	24013	DUCHOD	EF	68237256
670729	2290	1998-11-10	PRIJEM	PREVOD Z UCTU	6298	21515	DUCHOD	EF	68237256
670730	2290	1998-12-10	PRIJEM	PREVOD Z UCTU	6298	18404	DUCHOD	EF	68237256
670746	2290	1997-04-09	VYDAJ	PREVOD NA UCET	3965	19964	SIPO	ST	58844083
670747	2290	1997-05-09	VYDAJ	PREVOD NA UCET	3965	22389	SIPO	ST	58844083
670748	2290	1997-06-09	VYDAJ	PREVOD NA UCET	3965	8569	SIPO	ST	58844083
670749	2290	1997-07-09	VYDAJ	PREVOD NA UCET	3965	9116	SIPO	ST	58844083
670750	2290	1997-08-09	VYDAJ	PREVOD NA UCET	3965	11496	SIPO	ST	58844083
670751	2290	1997-09-09	VYDAJ	PREVOD NA UCET	3965	13885	SIPO	ST	58844083
670752	2290	1997-10-09	VYDAJ	PREVOD NA UCET	3965	16285	SIPO	ST	58844083
670753	2290	1997-11-09	VYDAJ	PREVOD NA UCET	3965	17090	SIPO	ST	58844083
670754	2290	1997-12-09	VYDAJ	PREVOD NA UCET	3965	19503	SIPO	ST	58844083
670755	2290	1998-01-09	VYDAJ	PREVOD NA UCET	3965	14942	SIPO	ST	58844083
670756	2290	1998-02-09	VYDAJ	PREVOD NA UCET	3965	9495	SIPO	ST	58844083
670757	2290	1998-03-09	VYDAJ	PREVOD NA UCET	3965	11875	SIPO	ST	58844083
670758	2290	1998-04-09	VYDAJ	PREVOD NA UCET	3965	14267	SIPO	ST	58844083
670759	2290	1998-05-09	VYDAJ	PREVOD NA UCET	3965	15565	SIPO	ST	58844083
670760	2290	1998-06-09	VYDAJ	PREVOD NA UCET	3965	15967	SIPO	ST	58844083
670761	2290	1998-07-09	VYDAJ	PREVOD NA UCET	3965	18375	SIPO	ST	58844083
670762	2290	1998-08-09	VYDAJ	PREVOD NA UCET	3965	18989	SIPO	ST	58844083
670763	2290	1998-09-09	VYDAJ	PREVOD NA UCET	3965	18904	SIPO	ST	58844083
670764	2290	1998-10-09	VYDAJ	PREVOD NA UCET	3965	17715	SIPO	ST	58844083
670765	2290	1998-11-09	VYDAJ	PREVOD NA UCET	3965	15217	SIPO	ST	58844083
670766	2290	1998-12-09	VYDAJ	PREVOD NA UCET	3965	12106	SIPO	ST	58844083
670768	2290	1997-06-02	VYDAJ	VYBER	13050	12534	\N	\N	\N
670774	2290	1997-12-16	VYDAJ	VYBER	1100	24701	\N	\N	\N
670775	2290	1998-12-11	VYDAJ	VYBER	1050	17354	\N	\N	\N
670788	2290	1998-01-03	VYDAJ	VYBER	1920	21547	\N	\N	\N
670789	2290	1998-01-20	VYDAJ	VYBER	880	15320	\N	\N	\N
670790	2290	1998-01-02	VYDAJ	VYBER	720	23467	\N	\N	\N
670791	2290	1998-01-19	VYDAJ	VYBER	2000	16200	\N	\N	\N
670792	2290	1998-01-16	VYDAJ	VYBER	1040	18200	\N	\N	\N
670793	2290	1998-01-25	VYDAJ	VYBER	1920	13400	\N	\N	\N
670798	2290	1997-03-28	VYDAJ	VYBER	880	23845	\N	\N	\N
670800	2290	1997-06-13	VYDAJ	VYBER	1840	13027	\N	\N	\N
670801	2290	1997-10-10	VYDAJ	VYBER	1600	20983	\N	\N	\N
670802	2290	1998-09-05	VYDAJ	VYBER	400	22869	\N	\N	\N
670803	2290	1998-12-17	VYDAJ	VYBER	1680	13474	\N	\N	\N
670804	2290	1998-01-06	VYDAJ	VYBER	2640	18907	\N	\N	\N
670805	2290	1998-05-14	VYDAJ	VYBER	1200	19863	\N	\N	\N
670806	2290	1998-05-11	VYDAJ	VYBER	800	21063	\N	\N	\N
670822	2290	1997-03-31	VYDAJ	VYBER	15	23929	SLUZBY	\N	\N
670823	2290	1997-04-30	VYDAJ	VYBER	15	26354	SLUZBY	\N	\N
670824	2290	1997-05-31	VYDAJ	VYBER	15	25584	SLUZBY	\N	\N
670825	2290	1997-06-30	VYDAJ	VYBER	15	13081	SLUZBY	\N	\N
670826	2290	1997-07-31	VYDAJ	VYBER	15	15461	SLUZBY	\N	\N
670827	2290	1997-08-31	VYDAJ	VYBER	15	17850	SLUZBY	\N	\N
670828	2290	1997-09-30	VYDAJ	VYBER	15	20250	SLUZBY	\N	\N
670829	2290	1997-10-31	VYDAJ	VYBER	15	21055	SLUZBY	\N	\N
670830	2290	1997-11-30	VYDAJ	VYBER	15	23468	SLUZBY	\N	\N
670831	2290	1997-12-31	VYDAJ	VYBER	15	24187	SLUZBY	\N	\N
670832	2290	1998-01-31	VYDAJ	VYBER	15	13460	SLUZBY	\N	\N
670833	2290	1998-02-28	VYDAJ	VYBER	15	15840	SLUZBY	\N	\N
670834	2290	1998-03-31	VYDAJ	VYBER	15	18232	SLUZBY	\N	\N
670835	2290	1998-04-30	VYDAJ	VYBER	15	19530	SLUZBY	\N	\N
670836	2290	1998-05-31	VYDAJ	VYBER	15	19932	SLUZBY	\N	\N
670837	2290	1998-06-30	VYDAJ	VYBER	15	22340	SLUZBY	\N	\N
670838	2290	1998-07-31	VYDAJ	VYBER	15	22954	SLUZBY	\N	\N
670839	2290	1998-08-31	VYDAJ	VYBER	15	23269	SLUZBY	\N	\N
670840	2290	1998-09-30	VYDAJ	VYBER	15	21680	SLUZBY	\N	\N
670841	2290	1998-10-31	VYDAJ	VYBER	15	19182	SLUZBY	\N	\N
670842	2290	1998-11-30	VYDAJ	VYBER	15	16071	SLUZBY	\N	\N
670843	2290	1997-02-19	VYDAJ	VYBER	2200	23392	\N	\N	\N
670844	2290	1997-03-21	VYDAJ	VYBER	5000	24725	\N	\N	\N
670845	2290	1997-05-20	VYDAJ	VYBER	3200	25487	\N	\N	\N
670846	2290	1997-12-16	VYDAJ	VYBER	600	24101	\N	\N	\N
670847	2290	1998-01-15	VYDAJ	VYBER	2000	19240	\N	\N	\N
670848	2290	1998-04-15	VYDAJ	VYBER	1100	19465	\N	\N	\N
670849	2290	1998-07-14	VYDAJ	VYBER	1800	22873	\N	\N	\N
670850	2290	1998-08-13	VYDAJ	VYBER	2100	23187	\N	\N	\N
670851	2290	1998-09-12	VYDAJ	VYBER	3600	21602	\N	\N	\N
670852	2290	1998-10-12	VYDAJ	VYBER	4900	19113	\N	\N	\N
670853	2290	1998-11-11	VYDAJ	VYBER	5500	16015	\N	\N	\N
670854	2290	1998-12-11	VYDAJ	VYBER	2200	15154	\N	\N	\N
670878	2291	1996-07-27	PRIJEM	VKLAD	700	700	\N	\N	\N
670886	2291	1996-08-11	PRIJEM	PREVOD Z UCTU	6563	7263	DUCHOD	ST	75758260
670887	2291	1996-09-11	PRIJEM	PREVOD Z UCTU	6563	13826	DUCHOD	ST	75758260
670888	2291	1996-10-11	PRIJEM	PREVOD Z UCTU	6563	20389	DUCHOD	ST	75758260
670889	2291	1996-11-11	PRIJEM	PREVOD Z UCTU	6563	24869	DUCHOD	ST	75758260
670890	2291	1996-12-11	PRIJEM	PREVOD Z UCTU	6563	24808	DUCHOD	ST	75758260
670891	2291	1997-01-11	PRIJEM	PREVOD Z UCTU	6563	24211	DUCHOD	ST	75758260
670892	2291	1997-02-11	PRIJEM	PREVOD Z UCTU	6563	20312	DUCHOD	ST	75758260
670893	2291	1997-03-11	PRIJEM	PREVOD Z UCTU	6563	23116	DUCHOD	ST	75758260
670894	2291	1997-04-11	PRIJEM	PREVOD Z UCTU	6563	25050	DUCHOD	ST	75758260
670895	2291	1997-05-11	PRIJEM	PREVOD Z UCTU	6563	26572	DUCHOD	ST	75758260
670896	2291	1997-06-11	PRIJEM	PREVOD Z UCTU	6563	26516	DUCHOD	ST	75758260
670897	2291	1997-07-11	PRIJEM	PREVOD Z UCTU	6563	20838	DUCHOD	ST	75758260
670898	2291	1997-08-11	PRIJEM	PREVOD Z UCTU	6563	23644	DUCHOD	ST	75758260
670899	2291	1997-09-11	PRIJEM	PREVOD Z UCTU	6563	21355	DUCHOD	ST	75758260
670900	2291	1997-10-11	PRIJEM	PREVOD Z UCTU	6563	17496	DUCHOD	ST	75758260
670901	2291	1997-11-11	PRIJEM	PREVOD Z UCTU	6563	20288	DUCHOD	ST	75758260
670902	2291	1997-12-11	PRIJEM	PREVOD Z UCTU	6563	19386	DUCHOD	ST	75758260
670903	2291	1998-01-11	PRIJEM	PREVOD Z UCTU	6563	16577	DUCHOD	ST	75758260
670904	2291	1998-02-11	PRIJEM	PREVOD Z UCTU	6563	16510	DUCHOD	ST	75758260
670905	2291	1998-03-11	PRIJEM	PREVOD Z UCTU	6563	16893	DUCHOD	ST	75758260
670906	2291	1998-04-11	PRIJEM	PREVOD Z UCTU	6563	14875	DUCHOD	ST	75758260
670907	2291	1998-05-11	PRIJEM	PREVOD Z UCTU	6563	17656	DUCHOD	ST	75758260
670908	2291	1998-06-11	PRIJEM	PREVOD Z UCTU	6563	20449	DUCHOD	ST	75758260
670909	2291	1998-07-11	PRIJEM	PREVOD Z UCTU	6563	13836	DUCHOD	ST	75758260
670910	2291	1998-08-11	PRIJEM	PREVOD Z UCTU	6563	16613	DUCHOD	ST	75758260
670911	2291	1998-09-11	PRIJEM	PREVOD Z UCTU	6563	19401	DUCHOD	ST	75758260
670912	2291	1998-10-11	PRIJEM	PREVOD Z UCTU	6563	21240	DUCHOD	ST	75758260
670913	2291	1998-11-11	PRIJEM	PREVOD Z UCTU	6563	20604	DUCHOD	ST	75758260
670914	2291	1998-12-11	PRIJEM	PREVOD Z UCTU	6563	20529	DUCHOD	ST	75758260
670927	2291	1997-01-08	VYDAJ	PREVOD NA UCET	3825	17648	SIPO	KL	69832765
670928	2291	1997-02-08	VYDAJ	PREVOD NA UCET	3825	13749	SIPO	KL	69832765
670929	2291	1997-03-08	VYDAJ	PREVOD NA UCET	3825	16553	SIPO	KL	69832765
670930	2291	1997-04-08	VYDAJ	PREVOD NA UCET	3825	18487	SIPO	KL	69832765
670931	2291	1997-05-08	VYDAJ	PREVOD NA UCET	3825	20009	SIPO	KL	69832765
670932	2291	1997-06-08	VYDAJ	PREVOD NA UCET	3825	19953	SIPO	KL	69832765
670933	2291	1997-07-08	VYDAJ	PREVOD NA UCET	3825	14275	SIPO	KL	69832765
670934	2291	1997-08-08	VYDAJ	PREVOD NA UCET	3825	17081	SIPO	KL	69832765
670935	2291	1997-09-08	VYDAJ	PREVOD NA UCET	3825	14792	SIPO	KL	69832765
670936	2291	1997-10-08	VYDAJ	PREVOD NA UCET	3825	10933	SIPO	KL	69832765
670937	2291	1997-11-08	VYDAJ	PREVOD NA UCET	3825	13725	SIPO	KL	69832765
670938	2291	1997-12-08	VYDAJ	PREVOD NA UCET	3825	12823	SIPO	KL	69832765
670939	2291	1998-01-08	VYDAJ	PREVOD NA UCET	3825	10014	SIPO	KL	69832765
670940	2291	1998-02-08	VYDAJ	PREVOD NA UCET	3825	9947	SIPO	KL	69832765
670941	2291	1998-03-08	VYDAJ	PREVOD NA UCET	3825	10330	SIPO	KL	69832765
670942	2291	1998-04-08	VYDAJ	PREVOD NA UCET	3825	8312	SIPO	KL	69832765
670943	2291	1998-05-08	VYDAJ	PREVOD NA UCET	3825	11093	SIPO	KL	69832765
670944	2291	1998-06-08	VYDAJ	PREVOD NA UCET	3825	13886	SIPO	KL	69832765
670945	2291	1998-07-08	VYDAJ	PREVOD NA UCET	3825	7273	SIPO	KL	69832765
670946	2291	1998-08-08	VYDAJ	PREVOD NA UCET	3825	10050	SIPO	KL	69832765
670947	2291	1998-09-08	VYDAJ	PREVOD NA UCET	3825	12838	SIPO	KL	69832765
670948	2291	1998-10-08	VYDAJ	PREVOD NA UCET	3825	14677	SIPO	KL	69832765
670949	2291	1998-11-08	VYDAJ	PREVOD NA UCET	3825	14041	SIPO	KL	69832765
670950	2291	1998-12-08	VYDAJ	PREVOD NA UCET	3825	16846	SIPO	KL	69832765
670952	2291	1997-06-25	VYDAJ	VYBER	5700	18016	\N	\N	\N
670955	2291	1997-01-13	VYDAJ	VYBER	950	23261	\N	\N	\N
670956	2291	1998-01-17	VYDAJ	VYBER	2850	13727	\N	\N	\N
670958	2291	1997-12-23	VYDAJ	VYBER	600	13786	\N	\N	\N
670959	2291	1998-12-20	VYDAJ	VYBER	1450	18039	\N	\N	\N
670965	2291	1997-03-11	VYDAJ	VYBER	880	22236	\N	\N	\N
670966	2291	1997-01-24	VYDAJ	VYBER	2160	17501	\N	\N	\N
670967	2291	1997-10-02	VYDAJ	VYBER	1200	14758	\N	\N	\N
670968	2291	1997-05-14	VYDAJ	VYBER	2880	23692	\N	\N	\N
670969	2291	1997-09-28	VYDAJ	VYBER	560	15895	\N	\N	\N
670971	2291	1998-10-22	VYDAJ	VYBER	1760	19480	\N	\N	\N
670972	2291	1998-12-23	VYDAJ	VYBER	1760	16279	\N	\N	\N
670973	2291	1998-12-15	VYDAJ	VYBER	1040	19489	\N	\N	\N
670975	2291	1998-09-20	VYDAJ	VYBER	960	18441	\N	\N	\N
670976	2291	1998-12-08	VYDAJ	VYBER	2880	13966	\N	\N	\N
670978	2291	1998-10-24	VYDAJ	VYBER	1680	17800	\N	\N	\N
670991	2291	1996-12-31	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
670992	2291	1997-01-31	VYDAJ	VYBER	15	17574	SLUZBY	\N	\N
670993	2291	1997-02-28	VYDAJ	VYBER	15	20378	SLUZBY	\N	\N
670994	2291	1997-03-31	VYDAJ	VYBER	15	22312	SLUZBY	\N	\N
670995	2291	1997-04-30	VYDAJ	VYBER	15	23834	SLUZBY	\N	\N
670996	2291	1997-05-31	VYDAJ	VYBER	15	23778	SLUZBY	\N	\N
670997	2291	1997-06-30	VYDAJ	VYBER	15	18100	SLUZBY	\N	\N
670998	2291	1997-07-31	VYDAJ	VYBER	15	20906	SLUZBY	\N	\N
670999	2291	1997-08-31	VYDAJ	VYBER	15	18617	SLUZBY	\N	\N
671000	2291	1997-09-30	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
671001	2291	1997-10-31	VYDAJ	VYBER	15	17550	SLUZBY	\N	\N
671002	2291	1997-11-30	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
671003	2291	1997-12-31	VYDAJ	VYBER	15	13839	SLUZBY	\N	\N
671004	2291	1998-01-31	VYDAJ	VYBER	15	13772	SLUZBY	\N	\N
671005	2291	1998-02-28	VYDAJ	VYBER	15	14155	SLUZBY	\N	\N
671006	2291	1998-03-31	VYDAJ	VYBER	15	12137	SLUZBY	\N	\N
671007	2291	1998-04-30	VYDAJ	VYBER	15	14918	SLUZBY	\N	\N
671008	2291	1998-05-31	VYDAJ	VYBER	15	17711	SLUZBY	\N	\N
671009	2291	1998-06-30	VYDAJ	VYBER	15	11098	SLUZBY	\N	\N
671010	2291	1998-07-31	VYDAJ	VYBER	15	13875	SLUZBY	\N	\N
671011	2291	1998-08-31	VYDAJ	VYBER	15	16663	SLUZBY	\N	\N
671012	2291	1998-09-30	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
671013	2291	1998-10-31	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
671014	2291	1998-11-30	VYDAJ	VYBER	15	20671	SLUZBY	\N	\N
671015	2291	1996-10-25	VYDAJ	VYBER	2100	18289	\N	\N	\N
671016	2291	1996-11-24	VYDAJ	VYBER	6700	18169	\N	\N	\N
671017	2291	1996-12-24	VYDAJ	VYBER	3400	21408	\N	\N	\N
671018	2291	1997-01-23	VYDAJ	VYBER	3600	19661	\N	\N	\N
671019	2291	1997-04-23	VYDAJ	VYBER	1300	23750	\N	\N	\N
671020	2291	1997-06-22	VYDAJ	VYBER	2800	23716	\N	\N	\N
671021	2291	1997-08-21	VYDAJ	VYBER	5100	18544	\N	\N	\N
671022	2291	1997-09-20	VYDAJ	VYBER	4900	16455	\N	\N	\N
671023	2291	1997-11-19	VYDAJ	VYBER	3700	16588	\N	\N	\N
671024	2291	1997-12-19	VYDAJ	VYBER	5000	14386	\N	\N	\N
671025	2291	1998-02-17	VYDAJ	VYBER	2400	14110	\N	\N	\N
671026	2291	1998-03-19	VYDAJ	VYBER	4800	12093	\N	\N	\N
671027	2291	1998-06-17	VYDAJ	VYBER	9400	11049	\N	\N	\N
671055	2292	1995-06-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
671062	2292	1995-07-10	PRIJEM	PREVOD Z UCTU	2994	4094	\N	YZ	9059656
671063	2292	1995-08-10	PRIJEM	PREVOD Z UCTU	2994	20195	\N	YZ	9059656
671064	2292	1995-09-10	PRIJEM	PREVOD Z UCTU	2994	27965	\N	YZ	9059656
671065	2292	1995-10-10	PRIJEM	PREVOD Z UCTU	2994	31464	\N	YZ	9059656
671066	2292	1995-11-10	PRIJEM	PREVOD Z UCTU	2994	31076	\N	YZ	9059656
671067	2292	1995-12-10	PRIJEM	PREVOD Z UCTU	2994	27391	\N	YZ	9059656
671068	2292	1996-01-10	PRIJEM	PREVOD Z UCTU	2994	27435	\N	YZ	9059656
671069	2292	1996-02-10	PRIJEM	PREVOD Z UCTU	2994	26216	\N	YZ	9059656
671070	2292	1996-03-10	PRIJEM	PREVOD Z UCTU	2994	27806	\N	YZ	9059656
671071	2292	1996-04-10	PRIJEM	PREVOD Z UCTU	2994	28803	\N	YZ	9059656
671072	2292	1996-05-10	PRIJEM	PREVOD Z UCTU	2994	27542	\N	YZ	9059656
671073	2292	1996-06-10	PRIJEM	PREVOD Z UCTU	2994	20716	\N	YZ	9059656
671074	2292	1996-07-10	PRIJEM	PREVOD Z UCTU	2994	24441	\N	YZ	9059656
671075	2292	1996-08-10	PRIJEM	PREVOD Z UCTU	2994	22420	\N	YZ	9059656
671076	2292	1996-09-10	PRIJEM	PREVOD Z UCTU	2994	23794	\N	YZ	9059656
671077	2292	1996-10-10	PRIJEM	PREVOD Z UCTU	2994	25976	\N	YZ	9059656
671078	2292	1996-11-10	PRIJEM	PREVOD Z UCTU	2994	24861	\N	YZ	9059656
671079	2292	1996-12-10	PRIJEM	PREVOD Z UCTU	2994	27779	\N	YZ	9059656
671080	2292	1997-01-10	PRIJEM	PREVOD Z UCTU	2994	28507	\N	YZ	9059656
671081	2292	1997-02-10	PRIJEM	PREVOD Z UCTU	2994	29048	\N	YZ	9059656
671082	2292	1997-03-10	PRIJEM	PREVOD Z UCTU	2994	27545	\N	YZ	9059656
671083	2292	1997-04-10	PRIJEM	PREVOD Z UCTU	2994	24526	\N	YZ	9059656
671084	2292	1997-05-10	PRIJEM	PREVOD Z UCTU	2994	25949	\N	YZ	9059656
671085	2292	1997-06-10	PRIJEM	PREVOD Z UCTU	2994	21059	\N	YZ	9059656
671086	2292	1997-07-10	PRIJEM	PREVOD Z UCTU	2994	29644	\N	YZ	9059656
671087	2292	1997-08-10	PRIJEM	PREVOD Z UCTU	2994	30348	\N	YZ	9059656
671088	2292	1997-09-10	PRIJEM	PREVOD Z UCTU	2994	33458	\N	YZ	9059656
671089	2292	1997-10-10	PRIJEM	PREVOD Z UCTU	2994	32474	\N	YZ	9059656
671090	2292	1997-11-10	PRIJEM	PREVOD Z UCTU	2994	27276	\N	YZ	9059656
671091	2292	1997-12-10	PRIJEM	PREVOD Z UCTU	2994	26899	\N	YZ	9059656
671092	2292	1998-01-10	PRIJEM	PREVOD Z UCTU	2994	29164	\N	YZ	9059656
671093	2292	1998-02-10	PRIJEM	PREVOD Z UCTU	2994	21688	\N	YZ	9059656
671094	2292	1998-03-10	PRIJEM	PREVOD Z UCTU	2994	21856	\N	YZ	9059656
671095	2292	1998-04-10	PRIJEM	PREVOD Z UCTU	2994	22326	\N	YZ	9059656
671096	2292	1998-05-10	PRIJEM	PREVOD Z UCTU	2994	24902	\N	YZ	9059656
671097	2292	1998-06-10	PRIJEM	PREVOD Z UCTU	2994	26187	\N	YZ	9059656
671098	2292	1998-07-10	PRIJEM	PREVOD Z UCTU	2994	21061	\N	YZ	9059656
671099	2292	1998-08-10	PRIJEM	PREVOD Z UCTU	2994	21538	\N	YZ	9059656
671100	2292	1998-09-10	PRIJEM	PREVOD Z UCTU	2994	21705	\N	YZ	9059656
671101	2292	1998-10-10	PRIJEM	PREVOD Z UCTU	2994	21093	\N	YZ	9059656
671102	2292	1998-11-10	PRIJEM	PREVOD Z UCTU	2994	21013	\N	YZ	9059656
671103	2292	1998-12-10	PRIJEM	PREVOD Z UCTU	2994	18572	\N	YZ	9059656
671115	2292	1995-12-06	VYDAJ	PREVOD NA UCET	1626	24620	SIPO	CD	71342873
671116	2292	1996-01-06	VYDAJ	PREVOD NA UCET	1626	25054	SIPO	CD	71342873
671117	2292	1996-02-06	VYDAJ	PREVOD NA UCET	1626	23445	SIPO	CD	71342873
671118	2292	1996-03-06	VYDAJ	PREVOD NA UCET	1626	25035	SIPO	CD	71342873
671119	2292	1996-04-06	VYDAJ	PREVOD NA UCET	1626	26032	SIPO	CD	71342873
671120	2292	1996-05-06	VYDAJ	PREVOD NA UCET	1626	24771	SIPO	CD	71342873
671121	2292	1996-06-06	VYDAJ	PREVOD NA UCET	1626	17945	SIPO	CD	71342873
671122	2292	1996-07-06	VYDAJ	PREVOD NA UCET	1626	21670	SIPO	CD	71342873
671123	2292	1996-08-06	VYDAJ	PREVOD NA UCET	1626	19649	SIPO	CD	71342873
671124	2292	1996-09-06	VYDAJ	PREVOD NA UCET	1626	21023	SIPO	CD	71342873
671125	2292	1996-10-06	VYDAJ	PREVOD NA UCET	1626	23205	SIPO	CD	71342873
671126	2292	1996-11-06	VYDAJ	PREVOD NA UCET	1626	22090	SIPO	CD	71342873
671127	2292	1996-12-06	VYDAJ	PREVOD NA UCET	1626	25008	SIPO	CD	71342873
671128	2292	1997-01-06	VYDAJ	PREVOD NA UCET	1626	25736	SIPO	CD	71342873
671129	2292	1997-02-06	VYDAJ	PREVOD NA UCET	1626	26277	SIPO	CD	71342873
671130	2292	1997-03-06	VYDAJ	PREVOD NA UCET	1626	24774	SIPO	CD	71342873
671131	2292	1997-04-06	VYDAJ	PREVOD NA UCET	1626	22865	SIPO	CD	71342873
671132	2292	1997-05-06	VYDAJ	PREVOD NA UCET	1626	23178	SIPO	CD	71342873
671133	2292	1997-06-06	VYDAJ	PREVOD NA UCET	1626	18288	SIPO	CD	71342873
671134	2292	1997-07-06	VYDAJ	PREVOD NA UCET	1626	26873	SIPO	CD	71342873
671135	2292	1997-08-06	VYDAJ	PREVOD NA UCET	1626	27577	SIPO	CD	71342873
671136	2292	1997-09-06	VYDAJ	PREVOD NA UCET	1626	30687	SIPO	CD	71342873
671137	2292	1997-10-06	VYDAJ	PREVOD NA UCET	1626	29703	SIPO	CD	71342873
671138	2292	1997-11-06	VYDAJ	PREVOD NA UCET	1626	24505	SIPO	CD	71342873
671139	2292	1997-12-06	VYDAJ	PREVOD NA UCET	1626	24128	SIPO	CD	71342873
671140	2292	1998-01-06	VYDAJ	PREVOD NA UCET	1626	26393	SIPO	CD	71342873
671141	2292	1998-02-06	VYDAJ	PREVOD NA UCET	1626	18917	SIPO	CD	71342873
671142	2292	1998-03-06	VYDAJ	PREVOD NA UCET	1626	19085	SIPO	CD	71342873
671143	2292	1998-04-06	VYDAJ	PREVOD NA UCET	1626	19555	SIPO	CD	71342873
671144	2292	1998-05-06	VYDAJ	PREVOD NA UCET	1626	22131	SIPO	CD	71342873
671145	2292	1998-06-06	VYDAJ	PREVOD NA UCET	1626	23416	SIPO	CD	71342873
671146	2292	1998-07-06	VYDAJ	PREVOD NA UCET	1626	18290	SIPO	CD	71342873
671147	2292	1998-08-06	VYDAJ	PREVOD NA UCET	1626	18767	SIPO	CD	71342873
671148	2292	1998-09-06	VYDAJ	PREVOD NA UCET	1626	18934	SIPO	CD	71342873
671149	2292	1998-10-06	VYDAJ	PREVOD NA UCET	1626	18322	SIPO	CD	71342873
671150	2292	1998-11-06	VYDAJ	PREVOD NA UCET	1626	20012	SIPO	CD	71342873
671151	2292	1998-12-06	VYDAJ	PREVOD NA UCET	1626	15801	SIPO	CD	71342873
671163	2292	1995-12-07	VYDAJ	PREVOD NA UCET	223	24397	 	YZ	37514162
671164	2292	1996-01-07	VYDAJ	PREVOD NA UCET	223	24831	 	YZ	37514162
671165	2292	1996-02-07	VYDAJ	PREVOD NA UCET	223	23222	 	YZ	37514162
671166	2292	1996-03-07	VYDAJ	PREVOD NA UCET	223	24812	 	YZ	37514162
671167	2292	1996-04-07	VYDAJ	PREVOD NA UCET	223	25809	 	YZ	37514162
671168	2292	1996-05-07	VYDAJ	PREVOD NA UCET	223	24548	 	YZ	37514162
671169	2292	1996-06-07	VYDAJ	PREVOD NA UCET	223	17722	 	YZ	37514162
671170	2292	1996-07-07	VYDAJ	PREVOD NA UCET	223	21447	 	YZ	37514162
671171	2292	1996-08-07	VYDAJ	PREVOD NA UCET	223	19426	 	YZ	37514162
671172	2292	1996-09-07	VYDAJ	PREVOD NA UCET	223	20800	 	YZ	37514162
671173	2292	1996-10-07	VYDAJ	PREVOD NA UCET	223	22982	 	YZ	37514162
671174	2292	1996-11-07	VYDAJ	PREVOD NA UCET	223	21867	 	YZ	37514162
671175	2292	1996-12-07	VYDAJ	PREVOD NA UCET	223	24785	 	YZ	37514162
671176	2292	1997-01-07	VYDAJ	PREVOD NA UCET	223	25513	 	YZ	37514162
671177	2292	1997-02-07	VYDAJ	PREVOD NA UCET	223	26054	 	YZ	37514162
671178	2292	1997-03-07	VYDAJ	PREVOD NA UCET	223	24551	 	YZ	37514162
671179	2292	1997-04-07	VYDAJ	PREVOD NA UCET	223	22642	 	YZ	37514162
671180	2292	1997-05-07	VYDAJ	PREVOD NA UCET	223	22955	 	YZ	37514162
671181	2292	1997-06-07	VYDAJ	PREVOD NA UCET	223	18065	 	YZ	37514162
671182	2292	1997-07-07	VYDAJ	PREVOD NA UCET	223	26650	 	YZ	37514162
671183	2292	1997-08-07	VYDAJ	PREVOD NA UCET	223	27354	 	YZ	37514162
671184	2292	1997-09-07	VYDAJ	PREVOD NA UCET	223	30464	 	YZ	37514162
671185	2292	1997-10-07	VYDAJ	PREVOD NA UCET	223	29480	 	YZ	37514162
671186	2292	1997-11-07	VYDAJ	PREVOD NA UCET	223	24282	 	YZ	37514162
671187	2292	1997-12-07	VYDAJ	PREVOD NA UCET	223	23905	 	YZ	37514162
671188	2292	1998-01-07	VYDAJ	PREVOD NA UCET	223	26170	 	YZ	37514162
671189	2292	1998-02-07	VYDAJ	PREVOD NA UCET	223	18694	 	YZ	37514162
671190	2292	1998-03-07	VYDAJ	PREVOD NA UCET	223	18862	 	YZ	37514162
671191	2292	1998-04-07	VYDAJ	PREVOD NA UCET	223	19332	 	YZ	37514162
671192	2292	1998-05-07	VYDAJ	PREVOD NA UCET	223	21908	 	YZ	37514162
671193	2292	1998-06-07	VYDAJ	PREVOD NA UCET	223	23193	 	YZ	37514162
671194	2292	1998-07-07	VYDAJ	PREVOD NA UCET	223	18067	 	YZ	37514162
671195	2292	1998-08-07	VYDAJ	PREVOD NA UCET	223	18544	 	YZ	37514162
671196	2292	1998-09-07	VYDAJ	PREVOD NA UCET	223	18711	 	YZ	37514162
671197	2292	1998-10-07	VYDAJ	PREVOD NA UCET	223	18099	 	YZ	37514162
671198	2292	1998-11-07	VYDAJ	PREVOD NA UCET	223	19789	 	YZ	37514162
671199	2292	1998-12-07	VYDAJ	PREVOD NA UCET	223	15578	 	YZ	37514162
671210	2292	1995-11-14	VYDAJ	PREVOD NA UCET	147	30929	POJISTNE	MN	26075345
671211	2292	1995-12-14	VYDAJ	PREVOD NA UCET	147	26764	POJISTNE	MN	26075345
671212	2292	1996-01-14	VYDAJ	PREVOD NA UCET	147	25818	POJISTNE	MN	26075345
671213	2292	1996-02-14	VYDAJ	PREVOD NA UCET	147	26069	POJISTNE	MN	26075345
671214	2292	1996-03-14	VYDAJ	PREVOD NA UCET	147	27659	POJISTNE	MN	26075345
671215	2292	1996-04-14	VYDAJ	PREVOD NA UCET	147	28656	POJISTNE	MN	26075345
671216	2292	1996-05-14	VYDAJ	PREVOD NA UCET	147	27395	POJISTNE	MN	26075345
671217	2292	1996-06-14	VYDAJ	PREVOD NA UCET	147	20569	POJISTNE	MN	26075345
671218	2292	1996-07-14	VYDAJ	PREVOD NA UCET	147	24294	POJISTNE	MN	26075345
671219	2292	1996-08-14	VYDAJ	PREVOD NA UCET	147	22273	POJISTNE	MN	26075345
671220	2292	1996-09-14	VYDAJ	PREVOD NA UCET	147	23647	POJISTNE	MN	26075345
671221	2292	1996-10-14	VYDAJ	PREVOD NA UCET	147	25829	POJISTNE	MN	26075345
671222	2292	1996-11-14	VYDAJ	PREVOD NA UCET	147	24714	POJISTNE	MN	26075345
671223	2292	1996-12-14	VYDAJ	PREVOD NA UCET	147	27632	POJISTNE	MN	26075345
671224	2292	1997-01-14	VYDAJ	PREVOD NA UCET	147	27580	POJISTNE	MN	26075345
671225	2292	1997-02-14	VYDAJ	PREVOD NA UCET	147	28901	POJISTNE	MN	26075345
671226	2292	1997-03-14	VYDAJ	PREVOD NA UCET	147	27398	POJISTNE	MN	26075345
671227	2292	1997-04-14	VYDAJ	PREVOD NA UCET	147	23719	POJISTNE	MN	26075345
671228	2292	1997-05-14	VYDAJ	PREVOD NA UCET	147	25802	POJISTNE	MN	26075345
671229	2292	1997-06-14	VYDAJ	PREVOD NA UCET	147	20912	POJISTNE	MN	26075345
671230	2292	1997-07-14	VYDAJ	PREVOD NA UCET	147	29497	POJISTNE	MN	26075345
671231	2292	1997-08-14	VYDAJ	PREVOD NA UCET	147	30201	POJISTNE	MN	26075345
671232	2292	1997-09-14	VYDAJ	PREVOD NA UCET	147	33311	POJISTNE	MN	26075345
671233	2292	1997-10-14	VYDAJ	PREVOD NA UCET	147	32327	POJISTNE	MN	26075345
671234	2292	1997-11-14	VYDAJ	PREVOD NA UCET	147	27129	POJISTNE	MN	26075345
671235	2292	1997-12-14	VYDAJ	PREVOD NA UCET	147	26752	POJISTNE	MN	26075345
671236	2292	1998-01-14	VYDAJ	PREVOD NA UCET	147	28777	POJISTNE	MN	26075345
671237	2292	1998-02-14	VYDAJ	PREVOD NA UCET	147	20641	POJISTNE	MN	26075345
671238	2292	1998-03-14	VYDAJ	PREVOD NA UCET	147	21709	POJISTNE	MN	26075345
671239	2292	1998-04-14	VYDAJ	PREVOD NA UCET	147	23679	POJISTNE	MN	26075345
671240	2292	1998-05-14	VYDAJ	PREVOD NA UCET	147	24955	POJISTNE	MN	26075345
671241	2292	1998-06-14	VYDAJ	PREVOD NA UCET	147	20860	POJISTNE	MN	26075345
671242	2292	1998-07-14	VYDAJ	PREVOD NA UCET	147	20714	POJISTNE	MN	26075345
671243	2292	1998-08-14	VYDAJ	PREVOD NA UCET	147	20491	POJISTNE	MN	26075345
671244	2292	1998-09-14	VYDAJ	PREVOD NA UCET	147	20958	POJISTNE	MN	26075345
671245	2292	1998-10-14	VYDAJ	PREVOD NA UCET	147	21566	POJISTNE	MN	26075345
671246	2292	1998-11-14	VYDAJ	PREVOD NA UCET	147	17366	POJISTNE	MN	26075345
671247	2292	1998-12-14	VYDAJ	PREVOD NA UCET	147	20025	POJISTNE	MN	26075345
671249	2292	1996-06-04	VYDAJ	VYBER	6720	19571	\N	\N	\N
671250	2292	1997-06-01	VYDAJ	VYBER	6180	19914	\N	\N	\N
671251	2292	1998-06-11	VYDAJ	VYBER	6060	18807	\N	\N	\N
671253	2292	1996-01-11	VYDAJ	VYBER	900	26535	\N	\N	\N
671254	2292	1997-01-28	VYDAJ	VYBER	930	28460	\N	\N	\N
671255	2292	1998-01-19	VYDAJ	VYBER	1650	21057	\N	\N	\N
671256	2292	1995-12-10	VYDAJ	VYBER	480	26911	\N	\N	\N
671257	2292	1996-12-02	VYDAJ	VYBER	270	26634	\N	\N	\N
671258	2292	1997-12-23	VYDAJ	VYBER	180	28072	\N	\N	\N
671259	2292	1998-12-25	VYDAJ	VYBER	330	19695	\N	\N	\N
671266	2292	1996-01-12	VYDAJ	VYBER	570	25965	\N	\N	\N
671267	2292	1996-01-17	VYDAJ	VYBER	690	25128	\N	\N	\N
671268	2292	1996-01-28	VYDAJ	VYBER	720	25158	\N	\N	\N
671269	2292	1996-01-06	VYDAJ	VYBER	780	26680	\N	\N	\N
671270	2292	1996-01-09	VYDAJ	VYBER	390	24441	\N	\N	\N
671271	2292	1996-01-29	VYDAJ	VYBER	180	24978	\N	\N	\N
671272	2292	1997-01-23	VYDAJ	VYBER	870	29390	\N	\N	\N
671273	2292	1997-01-03	VYDAJ	VYBER	660	27362	\N	\N	\N
671274	2292	1997-01-14	VYDAJ	VYBER	780	27727	\N	\N	\N
671275	2292	1997-01-02	VYDAJ	VYBER	810	28022	\N	\N	\N
671276	2292	1997-01-22	VYDAJ	VYBER	420	30260	\N	\N	\N
671277	2292	1997-01-29	VYDAJ	VYBER	660	27800	\N	\N	\N
671278	2292	1998-01-13	VYDAJ	VYBER	240	28924	\N	\N	\N
671279	2292	1998-01-01	VYDAJ	VYBER	150	28019	\N	\N	\N
671280	2292	1998-01-27	VYDAJ	VYBER	270	20457	\N	\N	\N
671281	2292	1998-01-15	VYDAJ	VYBER	240	23367	\N	\N	\N
671282	2292	1998-01-14	VYDAJ	VYBER	570	28207	\N	\N	\N
671283	2292	1998-01-21	VYDAJ	VYBER	330	20727	\N	\N	\N
671289	2292	1995-12-05	VYDAJ	VYBER	990	26246	\N	\N	\N
671290	2292	1996-01-22	VYDAJ	VYBER	1350	23778	\N	\N	\N
671291	2292	1996-12-19	VYDAJ	VYBER	300	27332	\N	\N	\N
671292	2292	1996-05-05	VYDAJ	VYBER	360	26397	\N	\N	\N
671293	2292	1996-06-27	VYDAJ	VYBER	150	23219	\N	\N	\N
671294	2292	1997-04-10	VYDAJ	VYBER	660	23866	\N	\N	\N
671295	2292	1997-11-28	VYDAJ	VYBER	1170	25659	\N	\N	\N
671296	2292	1997-04-08	VYDAJ	VYBER	1110	21532	\N	\N	\N
671297	2292	1998-11-07	VYDAJ	VYBER	420	18019	\N	\N	\N
671298	2292	1998-06-10	VYDAJ	VYBER	1320	24867	\N	\N	\N
671299	2292	1998-07-05	VYDAJ	VYBER	1020	19916	\N	\N	\N
671300	2292	1998-08-05	VYDAJ	VYBER	390	20393	\N	\N	\N
671301	2292	1998-11-07	VYDAJ	VYBER	1350	18439	\N	\N	\N
671302	2292	1998-10-11	VYDAJ	VYBER	480	21713	\N	\N	\N
671303	2292	1998-09-28	VYDAJ	VYBER	1080	19878	\N	\N	\N
671304	2292	1998-01-15	VYDAJ	VYBER	660	22707	\N	\N	\N
671316	2292	1995-11-30	VYDAJ	VYBER	15	27236	SLUZBY	\N	\N
671317	2292	1995-12-31	VYDAJ	VYBER	15	27460	SLUZBY	\N	\N
671318	2292	1996-01-31	VYDAJ	VYBER	15	25071	SLUZBY	\N	\N
671319	2292	1996-02-29	VYDAJ	VYBER	15	26661	SLUZBY	\N	\N
671320	2292	1996-03-31	VYDAJ	VYBER	15	27658	SLUZBY	\N	\N
671321	2292	1996-04-30	VYDAJ	VYBER	15	26757	SLUZBY	\N	\N
671322	2292	1996-05-31	VYDAJ	VYBER	15	26291	SLUZBY	\N	\N
671323	2292	1996-06-30	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
671324	2292	1996-07-31	VYDAJ	VYBER	15	21275	SLUZBY	\N	\N
671325	2292	1996-08-31	VYDAJ	VYBER	15	22649	SLUZBY	\N	\N
671326	2292	1996-09-30	VYDAJ	VYBER	15	24831	SLUZBY	\N	\N
671327	2292	1996-10-31	VYDAJ	VYBER	15	23716	SLUZBY	\N	\N
671328	2292	1996-11-30	VYDAJ	VYBER	15	26904	SLUZBY	\N	\N
671329	2292	1996-12-31	VYDAJ	VYBER	15	28832	SLUZBY	\N	\N
671330	2292	1997-01-31	VYDAJ	VYBER	15	27903	SLUZBY	\N	\N
671331	2292	1997-02-28	VYDAJ	VYBER	15	26400	SLUZBY	\N	\N
671332	2292	1997-03-31	VYDAJ	VYBER	15	24491	SLUZBY	\N	\N
671333	2292	1997-04-30	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
671334	2292	1997-05-31	VYDAJ	VYBER	15	26094	SLUZBY	\N	\N
671335	2292	1997-06-30	VYDAJ	VYBER	15	28499	SLUZBY	\N	\N
671336	2292	1997-07-31	VYDAJ	VYBER	15	29203	SLUZBY	\N	\N
671337	2292	1997-08-31	VYDAJ	VYBER	15	32313	SLUZBY	\N	\N
671338	2292	1997-09-30	VYDAJ	VYBER	15	31329	SLUZBY	\N	\N
671339	2292	1997-10-31	VYDAJ	VYBER	15	26131	SLUZBY	\N	\N
671340	2292	1997-11-30	VYDAJ	VYBER	15	25754	SLUZBY	\N	\N
671341	2292	1997-12-31	VYDAJ	VYBER	15	28169	SLUZBY	\N	\N
671342	2292	1998-01-31	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
671343	2292	1998-02-28	VYDAJ	VYBER	15	20711	SLUZBY	\N	\N
671344	2292	1998-03-31	VYDAJ	VYBER	15	21181	SLUZBY	\N	\N
671345	2292	1998-04-30	VYDAJ	VYBER	15	23757	SLUZBY	\N	\N
671346	2292	1998-05-31	VYDAJ	VYBER	15	25042	SLUZBY	\N	\N
671347	2292	1998-06-30	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
671348	2292	1998-07-31	VYDAJ	VYBER	15	20783	SLUZBY	\N	\N
671349	2292	1998-08-31	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
671350	2292	1998-09-30	VYDAJ	VYBER	15	19948	SLUZBY	\N	\N
671351	2292	1998-10-31	VYDAJ	VYBER	15	21638	SLUZBY	\N	\N
671352	2292	1998-11-30	VYDAJ	VYBER	15	17427	SLUZBY	\N	\N
671353	2292	1995-07-29	PRIJEM	VKLAD	13100	17194	\N	\N	\N
671354	2292	1995-08-28	PRIJEM	VKLAD	4700	24895	\N	\N	\N
671355	2292	1995-09-27	PRIJEM	VKLAD	400	28365	\N	\N	\N
671356	2292	1995-10-27	VYDAJ	VYBER	3500	27964	\N	\N	\N
671357	2292	1995-11-26	VYDAJ	VYBER	3800	27129	\N	\N	\N
671358	2292	1995-12-26	PRIJEM	VKLAD	600	27364	\N	\N	\N
671359	2292	1996-01-25	PRIJEM	VKLAD	2100	25878	\N	\N	\N
671360	2292	1996-02-24	PRIJEM	VKLAD	500	26569	\N	\N	\N
671361	2292	1996-03-25	VYDAJ	VYBER	100	27559	\N	\N	\N
671362	2292	1996-04-24	VYDAJ	VYBER	2000	26656	\N	\N	\N
671363	2292	1996-05-24	VYDAJ	VYBER	1200	26195	\N	\N	\N
671364	2292	1996-06-23	PRIJEM	VKLAD	2800	23369	\N	\N	\N
671365	2292	1996-07-23	VYDAJ	VYBER	3100	21194	\N	\N	\N
671366	2292	1996-08-22	PRIJEM	VKLAD	300	22573	\N	\N	\N
671367	2292	1996-09-21	PRIJEM	VKLAD	1100	24747	\N	\N	\N
671368	2292	1996-10-21	VYDAJ	VYBER	2200	23629	\N	\N	\N
671369	2292	1996-11-20	PRIJEM	VKLAD	2100	26814	\N	\N	\N
671370	2292	1996-12-20	PRIJEM	VKLAD	1400	28732	\N	\N	\N
671371	2292	1997-01-19	PRIJEM	VKLAD	3100	30680	\N	\N	\N
671372	2292	1997-02-18	VYDAJ	VYBER	2600	26301	\N	\N	\N
671373	2292	1997-03-20	VYDAJ	VYBER	3000	24398	\N	\N	\N
671374	2292	1997-04-19	PRIJEM	VKLAD	1000	24719	\N	\N	\N
671375	2292	1997-05-19	PRIJEM	VKLAD	200	26002	\N	\N	\N
671376	2292	1997-06-18	PRIJEM	VKLAD	7500	28412	\N	\N	\N
671377	2292	1997-07-18	VYDAJ	VYBER	400	29097	\N	\N	\N
671378	2292	1997-08-17	PRIJEM	VKLAD	2000	32201	\N	\N	\N
671379	2292	1997-09-16	VYDAJ	VYBER	2100	31211	\N	\N	\N
671380	2292	1997-10-16	VYDAJ	VYBER	6300	26027	\N	\N	\N
671381	2292	1997-11-15	VYDAJ	VYBER	300	26829	\N	\N	\N
671382	2292	1997-12-15	PRIJEM	VKLAD	1500	28252	\N	\N	\N
671383	2292	1998-01-14	VYDAJ	VYBER	4600	23607	\N	\N	\N
671384	2292	1998-02-13	VYDAJ	VYBER	900	20788	\N	\N	\N
671385	2292	1998-03-15	VYDAJ	VYBER	600	21109	\N	\N	\N
671386	2292	1998-04-14	PRIJEM	VKLAD	1500	23826	\N	\N	\N
671387	2292	1998-05-14	PRIJEM	VKLAD	200	25102	\N	\N	\N
671388	2292	1998-06-13	PRIJEM	VKLAD	2200	21007	\N	\N	\N
671389	2292	1998-07-13	VYDAJ	VYBER	200	20861	\N	\N	\N
671390	2292	1998-08-12	VYDAJ	VYBER	900	20638	\N	\N	\N
671391	2292	1998-09-11	VYDAJ	VYBER	600	21105	\N	\N	\N
671392	2292	1998-10-11	PRIJEM	VKLAD	1100	22193	\N	\N	\N
671393	2292	1998-11-10	VYDAJ	VYBER	3500	17513	\N	\N	\N
671394	2292	1998-12-10	PRIJEM	VKLAD	1600	20172	\N	\N	\N
671437	2293	1993-02-13	PRIJEM	VKLAD	700	700	\N	\N	\N
671440	2293	1993-03-12	PRIJEM	PREVOD Z UCTU	6745	7445	DUCHOD	EF	62203752
671441	2293	1993-04-12	PRIJEM	PREVOD Z UCTU	6745	14190	DUCHOD	EF	62203752
671442	2293	1993-05-12	PRIJEM	PREVOD Z UCTU	6745	20935	DUCHOD	EF	62203752
671443	2293	1993-06-12	PRIJEM	PREVOD Z UCTU	6745	27680	DUCHOD	EF	62203752
671444	2293	1993-07-12	PRIJEM	PREVOD Z UCTU	6745	33993	DUCHOD	EF	62203752
671445	2293	1993-08-12	PRIJEM	PREVOD Z UCTU	6745	31905	DUCHOD	EF	62203752
671446	2293	1993-09-12	PRIJEM	PREVOD Z UCTU	6745	30715	DUCHOD	EF	62203752
671447	2293	1993-10-12	PRIJEM	PREVOD Z UCTU	6745	33334	DUCHOD	EF	62203752
671448	2293	1993-11-12	PRIJEM	PREVOD Z UCTU	6745	34667	DUCHOD	EF	62203752
671449	2293	1993-12-12	PRIJEM	PREVOD Z UCTU	6745	34457	DUCHOD	EF	62203752
671450	2293	1994-01-12	PRIJEM	PREVOD Z UCTU	6745	31318	DUCHOD	EF	62203752
671451	2293	1994-02-12	PRIJEM	PREVOD Z UCTU	6745	30293	DUCHOD	EF	62203752
671452	2293	1994-03-12	PRIJEM	PREVOD Z UCTU	6745	32567	DUCHOD	EF	62203752
671453	2293	1994-04-12	PRIJEM	PREVOD Z UCTU	6745	33849	DUCHOD	EF	62203752
671454	2293	1994-05-12	PRIJEM	PREVOD Z UCTU	6745	34982	DUCHOD	EF	62203752
671455	2293	1994-06-12	PRIJEM	PREVOD Z UCTU	6745	29662	DUCHOD	EF	62203752
671456	2293	1994-07-12	PRIJEM	PREVOD Z UCTU	6745	31233	DUCHOD	EF	62203752
671457	2293	1994-08-12	PRIJEM	PREVOD Z UCTU	6745	33454	DUCHOD	EF	62203752
671458	2293	1994-09-12	PRIJEM	PREVOD Z UCTU	6745	31485	DUCHOD	EF	62203752
671459	2293	1994-10-12	PRIJEM	PREVOD Z UCTU	6745	34311	DUCHOD	EF	62203752
671460	2293	1994-11-12	PRIJEM	PREVOD Z UCTU	6745	31106	DUCHOD	EF	62203752
671461	2293	1994-12-12	PRIJEM	PREVOD Z UCTU	6745	30431	DUCHOD	EF	62203752
671462	2293	1995-01-12	PRIJEM	PREVOD Z UCTU	6745	23561	DUCHOD	EF	62203752
671463	2293	1995-02-12	PRIJEM	PREVOD Z UCTU	6745	22079	DUCHOD	EF	62203752
671464	2293	1995-03-12	PRIJEM	PREVOD Z UCTU	6745	25198	DUCHOD	EF	62203752
671465	2293	1995-04-12	PRIJEM	PREVOD Z UCTU	6745	28794	DUCHOD	EF	62203752
671466	2293	1995-05-12	PRIJEM	PREVOD Z UCTU	6745	30404	DUCHOD	EF	62203752
671467	2293	1995-06-12	PRIJEM	PREVOD Z UCTU	6745	22372	DUCHOD	EF	62203752
671468	2293	1995-07-12	PRIJEM	PREVOD Z UCTU	6745	22066	DUCHOD	EF	62203752
671469	2293	1995-08-12	PRIJEM	PREVOD Z UCTU	6745	20650	DUCHOD	EF	62203752
671470	2293	1995-09-12	PRIJEM	PREVOD Z UCTU	6745	23110	DUCHOD	EF	62203752
671471	2293	1995-10-12	PRIJEM	PREVOD Z UCTU	6745	24797	DUCHOD	EF	62203752
671472	2293	1995-11-12	PRIJEM	PREVOD Z UCTU	6745	24591	DUCHOD	EF	62203752
671473	2293	1995-12-12	PRIJEM	PREVOD Z UCTU	6745	21241	DUCHOD	EF	62203752
671474	2293	1996-01-12	PRIJEM	PREVOD Z UCTU	6745	17136	DUCHOD	EF	62203752
671475	2293	1996-02-12	PRIJEM	PREVOD Z UCTU	6745	19115	DUCHOD	EF	62203752
671476	2293	1996-03-12	PRIJEM	PREVOD Z UCTU	6745	23585	DUCHOD	EF	62203752
671477	2293	1996-04-12	PRIJEM	PREVOD Z UCTU	6745	24949	DUCHOD	EF	62203752
671478	2293	1996-05-12	PRIJEM	PREVOD Z UCTU	6745	25040	DUCHOD	EF	62203752
671479	2293	1996-06-12	PRIJEM	PREVOD Z UCTU	6745	18929	DUCHOD	EF	62203752
671480	2293	1996-07-12	PRIJEM	PREVOD Z UCTU	6745	16814	DUCHOD	EF	62203752
671481	2293	1996-08-12	PRIJEM	PREVOD Z UCTU	6745	19190	DUCHOD	EF	62203752
671482	2293	1996-09-12	PRIJEM	PREVOD Z UCTU	6745	21740	DUCHOD	EF	62203752
671483	2293	1996-10-12	PRIJEM	PREVOD Z UCTU	6745	23095	DUCHOD	EF	62203752
671484	2293	1996-11-12	PRIJEM	PREVOD Z UCTU	6745	27582	DUCHOD	EF	62203752
671485	2293	1996-12-12	PRIJEM	PREVOD Z UCTU	6745	29604	DUCHOD	EF	62203752
671486	2293	1997-01-12	PRIJEM	PREVOD Z UCTU	6745	17849	DUCHOD	EF	62203752
671487	2293	1997-02-12	PRIJEM	PREVOD Z UCTU	6745	19908	DUCHOD	EF	62203752
671488	2293	1997-03-12	PRIJEM	PREVOD Z UCTU	6745	24381	DUCHOD	EF	62203752
671489	2293	1997-04-12	PRIJEM	PREVOD Z UCTU	6745	28872	DUCHOD	EF	62203752
671490	2293	1997-05-12	PRIJEM	PREVOD Z UCTU	6745	33382	DUCHOD	EF	62203752
671491	2293	1997-06-12	PRIJEM	PREVOD Z UCTU	6745	35031	DUCHOD	EF	62203752
671492	2293	1997-07-12	PRIJEM	PREVOD Z UCTU	6745	33703	DUCHOD	EF	62203752
671493	2293	1997-08-12	PRIJEM	PREVOD Z UCTU	6745	38233	DUCHOD	EF	62203752
671494	2293	1997-09-12	PRIJEM	PREVOD Z UCTU	6745	42782	DUCHOD	EF	62203752
671495	2293	1997-10-12	PRIJEM	PREVOD Z UCTU	6745	47349	DUCHOD	EF	62203752
671496	2293	1997-11-12	PRIJEM	PREVOD Z UCTU	6745	51936	DUCHOD	EF	62203752
671497	2293	1997-12-12	PRIJEM	PREVOD Z UCTU	6745	56542	DUCHOD	EF	62203752
671498	2293	1998-01-12	PRIJEM	PREVOD Z UCTU	6745	18793	DUCHOD	EF	62203752
671499	2293	1998-02-12	PRIJEM	PREVOD Z UCTU	6745	21337	DUCHOD	EF	62203752
671500	2293	1998-03-12	PRIJEM	PREVOD Z UCTU	6745	25814	DUCHOD	EF	62203752
671501	2293	1998-04-12	PRIJEM	PREVOD Z UCTU	6745	29430	DUCHOD	EF	62203752
671502	2293	1998-05-12	PRIJEM	PREVOD Z UCTU	6745	33942	DUCHOD	EF	62203752
671503	2293	1998-06-12	PRIJEM	PREVOD Z UCTU	6745	26772	DUCHOD	EF	62203752
671504	2293	1998-07-12	PRIJEM	PREVOD Z UCTU	6745	31288	DUCHOD	EF	62203752
671505	2293	1998-08-12	PRIJEM	PREVOD Z UCTU	6745	35807	DUCHOD	EF	62203752
671506	2293	1998-09-12	PRIJEM	PREVOD Z UCTU	6745	36578	DUCHOD	EF	62203752
671507	2293	1998-10-12	PRIJEM	PREVOD Z UCTU	6745	41119	DUCHOD	EF	62203752
671508	2293	1998-11-12	PRIJEM	PREVOD Z UCTU	6745	43354	DUCHOD	EF	62203752
671509	2293	1998-12-12	PRIJEM	PREVOD Z UCTU	6745	43576	DUCHOD	EF	62203752
671517	2293	1993-08-06	VYDAJ	PREVOD NA UCET	2332	25160	SIPO	IJ	36960655
671518	2293	1993-09-06	VYDAJ	PREVOD NA UCET	2332	23970	SIPO	IJ	36960655
671519	2293	1993-10-06	VYDAJ	PREVOD NA UCET	2332	28489	SIPO	IJ	36960655
671520	2293	1993-11-06	VYDAJ	PREVOD NA UCET	2332	31122	SIPO	IJ	36960655
671521	2293	1993-12-06	VYDAJ	PREVOD NA UCET	2332	32462	SIPO	IJ	36960655
671522	2293	1994-01-06	VYDAJ	PREVOD NA UCET	2332	24973	SIPO	IJ	36960655
671523	2293	1994-02-06	VYDAJ	PREVOD NA UCET	2332	23548	SIPO	IJ	36960655
671524	2293	1994-03-06	VYDAJ	PREVOD NA UCET	2332	26222	SIPO	IJ	36960655
671525	2293	1994-04-06	VYDAJ	PREVOD NA UCET	2332	28104	SIPO	IJ	36960655
671526	2293	1994-05-06	VYDAJ	PREVOD NA UCET	2332	31637	SIPO	IJ	36960655
671527	2293	1994-06-06	VYDAJ	PREVOD NA UCET	2332	32777	SIPO	IJ	36960655
671528	2293	1994-07-06	VYDAJ	PREVOD NA UCET	2332	25188	SIPO	IJ	36960655
671529	2293	1994-08-06	VYDAJ	PREVOD NA UCET	2332	29009	SIPO	IJ	36960655
671530	2293	1994-09-06	VYDAJ	PREVOD NA UCET	2332	31240	SIPO	IJ	36960655
671531	2293	1994-10-06	VYDAJ	PREVOD NA UCET	2332	27566	SIPO	IJ	36960655
671532	2293	1994-11-06	VYDAJ	PREVOD NA UCET	2332	27001	SIPO	IJ	36960655
671533	2293	1994-12-06	VYDAJ	PREVOD NA UCET	2332	23686	SIPO	IJ	36960655
671534	2293	1995-01-06	VYDAJ	PREVOD NA UCET	2332	18976	SIPO	IJ	36960655
671535	2293	1995-02-06	VYDAJ	PREVOD NA UCET	2332	15334	SIPO	IJ	36960655
671536	2293	1995-03-06	VYDAJ	PREVOD NA UCET	2332	18453	SIPO	IJ	36960655
671537	2293	1995-04-06	VYDAJ	PREVOD NA UCET	2332	22049	SIPO	IJ	36960655
671538	2293	1995-05-06	VYDAJ	PREVOD NA UCET	2332	23659	SIPO	IJ	36960655
671539	2293	1995-06-06	VYDAJ	PREVOD NA UCET	2332	19577	SIPO	IJ	36960655
671540	2293	1995-07-06	VYDAJ	PREVOD NA UCET	2332	15321	SIPO	IJ	36960655
671541	2293	1995-08-06	VYDAJ	PREVOD NA UCET	2332	13905	SIPO	IJ	36960655
671542	2293	1995-09-06	VYDAJ	PREVOD NA UCET	2332	17885	SIPO	IJ	36960655
671543	2293	1995-10-06	VYDAJ	PREVOD NA UCET	2332	18052	SIPO	IJ	36960655
671544	2293	1995-11-06	VYDAJ	PREVOD NA UCET	2332	17846	SIPO	IJ	36960655
671545	2293	1995-12-06	VYDAJ	PREVOD NA UCET	2332	14496	SIPO	IJ	36960655
671546	2293	1996-01-06	VYDAJ	PREVOD NA UCET	2332	10391	SIPO	IJ	36960655
671547	2293	1996-02-06	VYDAJ	PREVOD NA UCET	2332	12370	SIPO	IJ	36960655
671548	2293	1996-03-06	VYDAJ	PREVOD NA UCET	2332	16840	SIPO	IJ	36960655
671549	2293	1996-04-06	VYDAJ	PREVOD NA UCET	2332	18204	SIPO	IJ	36960655
671550	2293	1996-05-06	VYDAJ	PREVOD NA UCET	2332	18295	SIPO	IJ	36960655
671551	2293	1996-06-06	VYDAJ	PREVOD NA UCET	2332	12184	SIPO	IJ	36960655
671552	2293	1996-07-06	VYDAJ	PREVOD NA UCET	2332	10069	SIPO	IJ	36960655
671553	2293	1996-08-06	VYDAJ	PREVOD NA UCET	2332	12445	SIPO	IJ	36960655
671554	2293	1996-09-06	VYDAJ	PREVOD NA UCET	2332	16915	SIPO	IJ	36960655
671555	2293	1996-10-06	VYDAJ	PREVOD NA UCET	2332	16350	SIPO	IJ	36960655
671556	2293	1996-11-06	VYDAJ	PREVOD NA UCET	2332	20837	SIPO	IJ	36960655
671557	2293	1996-12-06	VYDAJ	PREVOD NA UCET	2332	22859	SIPO	IJ	36960655
671558	2293	1997-01-06	VYDAJ	PREVOD NA UCET	2332	11104	SIPO	IJ	36960655
671559	2293	1997-02-06	VYDAJ	PREVOD NA UCET	2332	13163	SIPO	IJ	36960655
671560	2293	1997-03-06	VYDAJ	PREVOD NA UCET	2332	17636	SIPO	IJ	36960655
671561	2293	1997-04-06	VYDAJ	PREVOD NA UCET	2332	22127	SIPO	IJ	36960655
671562	2293	1997-05-06	VYDAJ	PREVOD NA UCET	2332	26637	SIPO	IJ	36960655
671563	2293	1997-06-06	VYDAJ	PREVOD NA UCET	2332	28286	SIPO	IJ	36960655
671564	2293	1997-07-06	VYDAJ	PREVOD NA UCET	2332	26958	SIPO	IJ	36960655
671565	2293	1997-08-06	VYDAJ	PREVOD NA UCET	2332	31488	SIPO	IJ	36960655
671566	2293	1997-09-06	VYDAJ	PREVOD NA UCET	2332	36037	SIPO	IJ	36960655
671567	2293	1997-10-06	VYDAJ	PREVOD NA UCET	2332	40604	SIPO	IJ	36960655
671568	2293	1997-11-06	VYDAJ	PREVOD NA UCET	2332	45191	SIPO	IJ	36960655
671569	2293	1997-12-06	VYDAJ	PREVOD NA UCET	2332	49797	SIPO	IJ	36960655
671570	2293	1998-01-06	VYDAJ	PREVOD NA UCET	2332	12048	SIPO	IJ	36960655
671571	2293	1998-02-06	VYDAJ	PREVOD NA UCET	2332	14592	SIPO	IJ	36960655
671572	2293	1998-03-06	VYDAJ	PREVOD NA UCET	2332	19069	SIPO	IJ	36960655
671573	2293	1998-04-06	VYDAJ	PREVOD NA UCET	2332	22685	SIPO	IJ	36960655
671574	2293	1998-05-06	VYDAJ	PREVOD NA UCET	2332	27197	SIPO	IJ	36960655
671575	2293	1998-06-06	VYDAJ	PREVOD NA UCET	2332	31727	SIPO	IJ	36960655
671576	2293	1998-07-06	VYDAJ	PREVOD NA UCET	2332	24543	SIPO	IJ	36960655
671577	2293	1998-08-06	VYDAJ	PREVOD NA UCET	2332	29062	SIPO	IJ	36960655
671578	2293	1998-09-06	VYDAJ	PREVOD NA UCET	2332	29833	SIPO	IJ	36960655
671579	2293	1998-10-06	VYDAJ	PREVOD NA UCET	2332	34374	SIPO	IJ	36960655
671580	2293	1998-11-06	VYDAJ	PREVOD NA UCET	2332	36609	SIPO	IJ	36960655
671581	2293	1998-12-06	VYDAJ	PREVOD NA UCET	2332	37331	SIPO	IJ	36960655
671583	2293	1994-06-15	VYDAJ	VYBER	2250	27412	\N	\N	\N
671584	2293	1995-06-10	VYDAJ	VYBER	3950	15627	\N	\N	\N
671586	2293	1997-06-15	VYDAJ	VYBER	5850	29181	\N	\N	\N
671587	2293	1998-06-11	VYDAJ	VYBER	11700	20027	\N	\N	\N
671589	2293	1994-01-17	VYDAJ	VYBER	3700	27618	\N	\N	\N
671590	2293	1995-01-29	VYDAJ	VYBER	3250	17591	\N	\N	\N
671594	2293	1993-12-10	VYDAJ	VYBER	650	27712	\N	\N	\N
671595	2293	1994-12-12	VYDAJ	VYBER	650	29781	\N	\N	\N
671596	2293	1995-12-19	VYDAJ	VYBER	1400	19841	\N	\N	\N
671597	2293	1996-12-16	VYDAJ	VYBER	550	29054	\N	\N	\N
671599	2293	1998-12-06	VYDAJ	VYBER	500	36831	\N	\N	\N
671606	2293	1994-01-06	VYDAJ	VYBER	1920	28665	\N	\N	\N
671607	2293	1994-01-06	VYDAJ	VYBER	1360	27305	\N	\N	\N
671608	2293	1994-01-03	VYDAJ	VYBER	1840	30585	\N	\N	\N
671609	2293	1994-01-03	VYDAJ	VYBER	2160	32425	\N	\N	\N
671610	2293	1994-01-11	VYDAJ	VYBER	400	24573	\N	\N	\N
671611	2293	1994-01-22	VYDAJ	VYBER	1840	25778	\N	\N	\N
671612	2293	1995-01-05	VYDAJ	VYBER	2080	21308	\N	\N	\N
671613	2293	1995-01-08	VYDAJ	VYBER	400	18576	\N	\N	\N
671614	2293	1995-01-09	VYDAJ	VYBER	1120	17456	\N	\N	\N
671615	2293	1995-01-13	VYDAJ	VYBER	1360	22201	\N	\N	\N
671616	2293	1995-01-17	VYDAJ	VYBER	960	21241	\N	\N	\N
671617	2293	1995-01-11	VYDAJ	VYBER	640	16816	\N	\N	\N
671619	2293	1996-01-20	VYDAJ	VYBER	2000	14656	\N	\N	\N
671621	2293	1996-01-19	VYDAJ	VYBER	480	16656	\N	\N	\N
671624	2293	1997-01-12	VYDAJ	VYBER	1360	16489	\N	\N	\N
671625	2293	1997-01-19	VYDAJ	VYBER	1040	15449	\N	\N	\N
671630	2293	1998-01-17	VYDAJ	VYBER	1520	16873	\N	\N	\N
671632	2293	1998-01-16	VYDAJ	VYBER	400	18393	\N	\N	\N
671640	2293	1994-06-10	VYDAJ	VYBER	2000	26277	\N	\N	\N
671641	2293	1994-02-15	VYDAJ	VYBER	1840	28453	\N	\N	\N
671642	2293	1994-06-11	VYDAJ	VYBER	3360	22917	\N	\N	\N
671643	2293	1994-03-16	VYDAJ	VYBER	2240	30327	\N	\N	\N
671644	2293	1994-11-07	VYDAJ	VYBER	2640	24361	\N	\N	\N
671645	2293	1995-09-11	VYDAJ	VYBER	1520	16365	\N	\N	\N
671646	2293	1995-11-13	VYDAJ	VYBER	1040	23551	\N	\N	\N
671647	2293	1995-12-30	VYDAJ	VYBER	2800	12661	\N	\N	\N
671648	2293	1995-01-21	VYDAJ	VYBER	400	20841	\N	\N	\N
671649	2293	1995-12-29	VYDAJ	VYBER	880	18961	\N	\N	\N
671650	2293	1995-02-12	VYDAJ	VYBER	1360	20719	\N	\N	\N
671651	2293	1996-09-13	VYDAJ	VYBER	3120	18620	\N	\N	\N
671652	2293	1996-11-21	VYDAJ	VYBER	2480	25102	\N	\N	\N
671653	2293	1996-05-05	VYDAJ	VYBER	2160	20627	\N	\N	\N
671654	2293	1996-07-15	VYDAJ	VYBER	2080	14734	\N	\N	\N
671655	2293	1996-03-22	VYDAJ	VYBER	3120	20465	\N	\N	\N
671656	2293	1996-04-17	VYDAJ	VYBER	2240	22709	\N	\N	\N
671657	2293	1996-06-25	VYDAJ	VYBER	1680	17249	\N	\N	\N
671658	2293	1996-09-11	VYDAJ	VYBER	1920	14995	\N	\N	\N
671659	2293	1997-05-25	VYDAJ	VYBER	880	32502	\N	\N	\N
671660	2293	1997-06-03	VYDAJ	VYBER	2000	30618	\N	\N	\N
671661	2293	1998-10-17	VYDAJ	VYBER	2320	38799	\N	\N	\N
671663	2293	1998-03-29	VYDAJ	VYBER	880	24934	\N	\N	\N
671664	2293	1998-08-19	VYDAJ	VYBER	2560	32047	\N	\N	\N
671665	2293	1998-08-19	VYDAJ	VYBER	1200	34607	\N	\N	\N
671666	2293	1998-11-18	VYDAJ	VYBER	3840	39514	\N	\N	\N
671674	2293	1993-07-31	VYDAJ	VYBER	15	27492	SLUZBY	\N	\N
671675	2293	1993-08-31	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
671676	2293	1993-09-30	VYDAJ	VYBER	15	30821	SLUZBY	\N	\N
671677	2293	1993-10-31	VYDAJ	VYBER	15	33454	SLUZBY	\N	\N
671678	2293	1993-11-30	VYDAJ	VYBER	15	34794	SLUZBY	\N	\N
671679	2293	1993-12-31	VYDAJ	VYBER	15	34585	SLUZBY	\N	\N
671680	2293	1994-01-31	VYDAJ	VYBER	15	25880	SLUZBY	\N	\N
671681	2293	1994-02-28	VYDAJ	VYBER	15	28554	SLUZBY	\N	\N
671682	2293	1994-03-31	VYDAJ	VYBER	15	30436	SLUZBY	\N	\N
671683	2293	1994-04-30	VYDAJ	VYBER	15	33969	SLUZBY	\N	\N
671684	2293	1994-05-31	VYDAJ	VYBER	15	35109	SLUZBY	\N	\N
671685	2293	1994-06-30	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
671686	2293	1994-07-31	VYDAJ	VYBER	15	31341	SLUZBY	\N	\N
671687	2293	1994-08-31	VYDAJ	VYBER	15	33572	SLUZBY	\N	\N
671688	2293	1994-09-30	VYDAJ	VYBER	15	31598	SLUZBY	\N	\N
671689	2293	1994-10-31	VYDAJ	VYBER	15	34433	SLUZBY	\N	\N
671690	2293	1994-11-30	VYDAJ	VYBER	15	31218	SLUZBY	\N	\N
671691	2293	1994-12-31	VYDAJ	VYBER	15	29888	SLUZBY	\N	\N
671692	2293	1995-01-31	VYDAJ	VYBER	15	17666	SLUZBY	\N	\N
671693	2293	1995-02-28	VYDAJ	VYBER	15	20785	SLUZBY	\N	\N
671694	2293	1995-03-31	VYDAJ	VYBER	15	25281	SLUZBY	\N	\N
671695	2293	1995-04-30	VYDAJ	VYBER	15	28891	SLUZBY	\N	\N
671696	2293	1995-05-31	VYDAJ	VYBER	15	30509	SLUZBY	\N	\N
671697	2293	1995-06-30	VYDAJ	VYBER	15	22453	SLUZBY	\N	\N
671698	2293	1995-07-31	VYDAJ	VYBER	15	22137	SLUZBY	\N	\N
671699	2293	1995-08-31	VYDAJ	VYBER	15	20717	SLUZBY	\N	\N
671700	2293	1995-09-30	VYDAJ	VYBER	15	23184	SLUZBY	\N	\N
671701	2293	1995-10-31	VYDAJ	VYBER	15	20178	SLUZBY	\N	\N
671702	2293	1995-11-30	VYDAJ	VYBER	15	23628	SLUZBY	\N	\N
671703	2293	1995-12-31	VYDAJ	VYBER	15	12723	SLUZBY	\N	\N
671704	2293	1996-01-31	VYDAJ	VYBER	15	14702	SLUZBY	\N	\N
671705	2293	1996-02-29	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
671706	2293	1996-03-31	VYDAJ	VYBER	15	20536	SLUZBY	\N	\N
671707	2293	1996-04-30	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
671708	2293	1996-05-31	VYDAJ	VYBER	15	14516	SLUZBY	\N	\N
671709	2293	1996-06-30	VYDAJ	VYBER	15	12401	SLUZBY	\N	\N
671710	2293	1996-07-31	VYDAJ	VYBER	15	14777	SLUZBY	\N	\N
671711	2293	1996-08-31	VYDAJ	VYBER	15	19247	SLUZBY	\N	\N
671712	2293	1996-09-30	VYDAJ	VYBER	15	18682	SLUZBY	\N	\N
671713	2293	1996-10-31	VYDAJ	VYBER	15	23169	SLUZBY	\N	\N
671714	2293	1996-11-30	VYDAJ	VYBER	15	25191	SLUZBY	\N	\N
671715	2293	1996-12-31	VYDAJ	VYBER	15	13436	SLUZBY	\N	\N
671716	2293	1997-01-31	VYDAJ	VYBER	15	15495	SLUZBY	\N	\N
671717	2293	1997-02-28	VYDAJ	VYBER	15	19968	SLUZBY	\N	\N
671718	2293	1997-03-31	VYDAJ	VYBER	15	24459	SLUZBY	\N	\N
671719	2293	1997-04-30	VYDAJ	VYBER	15	28969	SLUZBY	\N	\N
671720	2293	1997-05-31	VYDAJ	VYBER	15	32618	SLUZBY	\N	\N
671721	2293	1997-06-30	VYDAJ	VYBER	15	29290	SLUZBY	\N	\N
671722	2293	1997-07-31	VYDAJ	VYBER	15	33820	SLUZBY	\N	\N
671723	2293	1997-08-31	VYDAJ	VYBER	15	38369	SLUZBY	\N	\N
671724	2293	1997-09-30	VYDAJ	VYBER	15	42936	SLUZBY	\N	\N
671725	2293	1997-10-31	VYDAJ	VYBER	15	47523	SLUZBY	\N	\N
671726	2293	1997-11-30	VYDAJ	VYBER	15	52129	SLUZBY	\N	\N
671727	2293	1997-12-31	VYDAJ	VYBER	15	14380	SLUZBY	\N	\N
671728	2293	1998-01-31	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
671729	2293	1998-02-28	VYDAJ	VYBER	15	21401	SLUZBY	\N	\N
671730	2293	1998-03-31	VYDAJ	VYBER	15	25017	SLUZBY	\N	\N
671731	2293	1998-04-30	VYDAJ	VYBER	15	29529	SLUZBY	\N	\N
671732	2293	1998-05-31	VYDAJ	VYBER	15	34059	SLUZBY	\N	\N
671733	2293	1998-06-30	VYDAJ	VYBER	15	26875	SLUZBY	\N	\N
671734	2293	1998-07-31	VYDAJ	VYBER	15	31394	SLUZBY	\N	\N
671735	2293	1998-08-31	VYDAJ	VYBER	15	32165	SLUZBY	\N	\N
671736	2293	1998-09-30	VYDAJ	VYBER	15	36706	SLUZBY	\N	\N
671737	2293	1998-10-31	VYDAJ	VYBER	15	38941	SLUZBY	\N	\N
671738	2293	1998-11-30	VYDAJ	VYBER	15	39663	SLUZBY	\N	\N
671739	2293	1993-06-13	VYDAJ	VYBER	500	27180	\N	\N	\N
671740	2293	1993-07-13	VYDAJ	VYBER	6600	27393	\N	\N	\N
671741	2293	1993-08-12	VYDAJ	VYBER	5700	26205	\N	\N	\N
671742	2293	1993-10-11	VYDAJ	VYBER	1900	26589	\N	\N	\N
671743	2293	1993-11-10	VYDAJ	VYBER	3200	27922	\N	\N	\N
671744	2293	1993-12-10	VYDAJ	VYBER	4100	28362	\N	\N	\N
671745	2293	1994-03-10	VYDAJ	VYBER	400	25822	\N	\N	\N
671746	2293	1994-04-09	VYDAJ	VYBER	1000	27104	\N	\N	\N
671747	2293	1994-05-09	VYDAJ	VYBER	3400	28237	\N	\N	\N
671748	2293	1994-06-08	VYDAJ	VYBER	4500	28277	\N	\N	\N
671749	2293	1994-07-08	VYDAJ	VYBER	700	24488	\N	\N	\N
671750	2293	1994-08-07	VYDAJ	VYBER	2300	26709	\N	\N	\N
671751	2293	1994-09-06	VYDAJ	VYBER	6500	24740	\N	\N	\N
671752	2293	1994-10-06	VYDAJ	VYBER	1700	29898	\N	\N	\N
671753	2293	1994-11-05	VYDAJ	VYBER	5100	29333	\N	\N	\N
671754	2293	1994-12-05	VYDAJ	VYBER	5200	26018	\N	\N	\N
671755	2293	1995-01-04	VYDAJ	VYBER	6500	23388	\N	\N	\N
671756	2293	1995-04-04	VYDAJ	VYBER	900	24381	\N	\N	\N
671757	2293	1995-05-04	VYDAJ	VYBER	2900	25991	\N	\N	\N
671758	2293	1995-06-03	VYDAJ	VYBER	8600	21909	\N	\N	\N
671759	2293	1995-07-03	VYDAJ	VYBER	4800	17653	\N	\N	\N
671760	2293	1995-08-02	VYDAJ	VYBER	5900	16237	\N	\N	\N
671761	2293	1995-09-01	VYDAJ	VYBER	500	20217	\N	\N	\N
671762	2293	1995-10-01	VYDAJ	VYBER	2800	20384	\N	\N	\N
671763	2293	1995-10-31	VYDAJ	VYBER	4700	20193	\N	\N	\N
671764	2293	1995-11-30	VYDAJ	VYBER	6800	16828	\N	\N	\N
671765	2293	1995-12-30	VYDAJ	VYBER	3500	15461	\N	\N	\N
671766	2293	1996-05-28	VYDAJ	VYBER	10600	14440	\N	\N	\N
671767	2293	1996-06-27	VYDAJ	VYBER	4900	12349	\N	\N	\N
671768	2293	1996-12-24	VYDAJ	VYBER	15700	13354	\N	\N	\N
671769	2293	1997-12-19	VYDAJ	VYBER	42300	14242	\N	\N	\N
671837	2294	1996-09-29	PRIJEM	VKLAD	900	900	\N	\N	\N
671847	2294	1996-10-05	PRIJEM	VKLAD	13831	14731	\N	\N	\N
671848	2294	1996-11-05	PRIJEM	VKLAD	13831	35071	\N	\N	\N
671849	2294	1996-12-05	PRIJEM	VKLAD	20746	46307	\N	\N	\N
671850	2294	1997-01-05	PRIJEM	VKLAD	13831	47448	\N	\N	\N
671851	2294	1997-02-05	PRIJEM	VKLAD	13831	45518	\N	\N	\N
671852	2294	1997-03-05	PRIJEM	VKLAD	13831	41463	\N	\N	\N
671853	2294	1997-04-05	PRIJEM	VKLAD	13831	39393	\N	\N	\N
671854	2294	1997-05-05	PRIJEM	VKLAD	13831	34612	\N	\N	\N
671855	2294	1997-06-05	PRIJEM	VKLAD	20746	36705	\N	\N	\N
671856	2294	1997-07-05	PRIJEM	VKLAD	13831	34818	\N	\N	\N
671857	2294	1997-08-05	PRIJEM	VKLAD	13831	29781	\N	\N	\N
671858	2294	1997-09-05	PRIJEM	VKLAD	13831	25556	\N	\N	\N
671859	2294	1997-10-05	PRIJEM	VKLAD	13831	32861	\N	\N	\N
671860	2294	1997-11-05	PRIJEM	VKLAD	13831	39716	\N	\N	\N
671861	2294	1997-12-05	PRIJEM	VKLAD	20746	34936	\N	\N	\N
671862	2294	1998-01-05	PRIJEM	VKLAD	13831	41914	\N	\N	\N
671863	2294	1998-02-05	PRIJEM	VKLAD	13831	26853	\N	\N	\N
671864	2294	1998-03-05	PRIJEM	VKLAD	13831	36327	\N	\N	\N
671865	2294	1998-04-05	PRIJEM	VKLAD	13831	29522	\N	\N	\N
671866	2294	1998-05-05	PRIJEM	VKLAD	13831	39007	\N	\N	\N
671867	2294	1998-06-05	PRIJEM	VKLAD	20746	34366	\N	\N	\N
671868	2294	1998-07-05	PRIJEM	VKLAD	13831	29845	\N	\N	\N
671869	2294	1998-08-05	PRIJEM	VKLAD	13831	26012	\N	\N	\N
671870	2294	1998-09-05	PRIJEM	VKLAD	13831	27170	\N	\N	\N
671871	2294	1998-10-05	PRIJEM	VKLAD	13831	30135	\N	\N	\N
671872	2294	1998-11-05	PRIJEM	VKLAD	13831	32911	\N	\N	\N
671873	2294	1998-12-05	PRIJEM	VKLAD	20746	36704	\N	\N	\N
671887	2294	1997-02-08	VYDAJ	PREVOD NA UCET	4426	41092	SIPO	MN	18471438
671888	2294	1997-03-08	VYDAJ	PREVOD NA UCET	4426	37037	SIPO	MN	18471438
671889	2294	1997-04-08	VYDAJ	PREVOD NA UCET	4426	34967	SIPO	MN	18471438
671890	2294	1997-05-08	VYDAJ	PREVOD NA UCET	4426	30186	SIPO	MN	18471438
671891	2294	1997-06-08	VYDAJ	PREVOD NA UCET	4426	32279	SIPO	MN	18471438
671892	2294	1997-07-08	VYDAJ	PREVOD NA UCET	4426	28952	SIPO	MN	18471438
671893	2294	1997-08-08	VYDAJ	PREVOD NA UCET	4426	25355	SIPO	MN	18471438
671894	2294	1997-09-08	VYDAJ	PREVOD NA UCET	4426	21130	SIPO	MN	18471438
671895	2294	1997-10-08	VYDAJ	PREVOD NA UCET	4426	28435	SIPO	MN	18471438
671896	2294	1997-11-08	VYDAJ	PREVOD NA UCET	4426	35290	SIPO	MN	18471438
671897	2294	1997-12-08	VYDAJ	PREVOD NA UCET	4426	30510	SIPO	MN	18471438
671898	2294	1998-01-08	VYDAJ	PREVOD NA UCET	4426	34008	SIPO	MN	18471438
671899	2294	1998-02-08	VYDAJ	PREVOD NA UCET	4426	22427	SIPO	MN	18471438
671900	2294	1998-03-08	VYDAJ	PREVOD NA UCET	4426	31901	SIPO	MN	18471438
671901	2294	1998-04-08	VYDAJ	PREVOD NA UCET	4426	25096	SIPO	MN	18471438
671902	2294	1998-05-08	VYDAJ	PREVOD NA UCET	4426	34581	SIPO	MN	18471438
671903	2294	1998-06-08	VYDAJ	PREVOD NA UCET	4426	29940	SIPO	MN	18471438
671904	2294	1998-07-08	VYDAJ	PREVOD NA UCET	4426	25419	SIPO	MN	18471438
671905	2294	1998-08-08	VYDAJ	PREVOD NA UCET	4426	21586	SIPO	MN	18471438
671906	2294	1998-09-08	VYDAJ	PREVOD NA UCET	4426	22744	SIPO	MN	18471438
671907	2294	1998-10-08	VYDAJ	PREVOD NA UCET	4426	25709	SIPO	MN	18471438
671908	2294	1998-11-08	VYDAJ	PREVOD NA UCET	4426	28485	SIPO	MN	18471438
671909	2294	1998-12-08	VYDAJ	PREVOD NA UCET	4426	32278	SIPO	MN	18471438
671911	2294	1997-06-02	VYDAJ	VYBER	5280	15959	\N	\N	\N
671915	2294	1998-01-16	VYDAJ	VYBER	8960	24088	\N	\N	\N
671917	2294	1997-12-13	VYDAJ	VYBER	1440	29070	\N	\N	\N
671918	2294	1998-12-28	VYDAJ	VYBER	1760	25238	\N	\N	\N
671931	2294	1998-01-07	VYDAJ	VYBER	3480	38434	\N	\N	\N
671932	2294	1998-01-27	VYDAJ	VYBER	3240	15688	\N	\N	\N
671933	2294	1998-01-04	VYDAJ	VYBER	1080	28083	\N	\N	\N
671934	2294	1998-01-30	VYDAJ	VYBER	2760	12928	\N	\N	\N
671935	2294	1998-01-25	VYDAJ	VYBER	2040	18928	\N	\N	\N
671936	2294	1998-01-13	VYDAJ	VYBER	960	33048	\N	\N	\N
671945	2294	1997-09-20	VYDAJ	VYBER	2160	18970	\N	\N	\N
671946	2294	1997-07-08	VYDAJ	VYBER	1440	33378	\N	\N	\N
671947	2294	1997-10-17	VYDAJ	VYBER	2640	25795	\N	\N	\N
671948	2294	1997-05-12	VYDAJ	VYBER	1440	28746	\N	\N	\N
671949	2294	1998-11-20	VYDAJ	VYBER	4800	15885	\N	\N	\N
671950	2294	1998-05-22	VYDAJ	VYBER	5160	13521	\N	\N	\N
671951	2294	1998-01-18	VYDAJ	VYBER	3120	20968	\N	\N	\N
671952	2294	1998-12-18	VYDAJ	VYBER	1680	30598	\N	\N	\N
671968	2294	1997-02-28	VYDAJ	VYBER	15	27632	SLUZBY	\N	\N
671969	2294	1997-03-31	VYDAJ	VYBER	15	25562	SLUZBY	\N	\N
671970	2294	1997-04-30	VYDAJ	VYBER	15	20781	SLUZBY	\N	\N
671971	2294	1997-05-31	VYDAJ	VYBER	15	21239	SLUZBY	\N	\N
671972	2294	1997-06-30	VYDAJ	VYBER	15	20987	SLUZBY	\N	\N
671973	2294	1997-07-31	VYDAJ	VYBER	15	15950	SLUZBY	\N	\N
671974	2294	1997-08-31	VYDAJ	VYBER	15	11725	SLUZBY	\N	\N
671975	2294	1997-09-30	VYDAJ	VYBER	15	19030	SLUZBY	\N	\N
671976	2294	1997-10-31	VYDAJ	VYBER	15	25885	SLUZBY	\N	\N
671977	2294	1997-11-30	VYDAJ	VYBER	15	14190	SLUZBY	\N	\N
671978	2294	1997-12-31	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
671979	2294	1998-01-31	VYDAJ	VYBER	15	13022	SLUZBY	\N	\N
671980	2294	1998-02-28	VYDAJ	VYBER	15	22496	SLUZBY	\N	\N
671981	2294	1998-03-31	VYDAJ	VYBER	15	15691	SLUZBY	\N	\N
671982	2294	1998-04-30	VYDAJ	VYBER	15	25176	SLUZBY	\N	\N
671983	2294	1998-05-31	VYDAJ	VYBER	15	13620	SLUZBY	\N	\N
671984	2294	1998-06-30	VYDAJ	VYBER	15	16014	SLUZBY	\N	\N
671985	2294	1998-07-31	VYDAJ	VYBER	15	12181	SLUZBY	\N	\N
671986	2294	1998-08-31	VYDAJ	VYBER	15	13339	SLUZBY	\N	\N
671987	2294	1998-09-30	VYDAJ	VYBER	15	16304	SLUZBY	\N	\N
671988	2294	1998-10-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
671989	2294	1998-11-30	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
671990	2294	1996-10-29	PRIJEM	VKLAD	6500	21231	\N	\N	\N
671991	2294	1996-11-28	VYDAJ	VYBER	9600	25471	\N	\N	\N
671992	2294	1996-12-28	VYDAJ	VYBER	12800	33507	\N	\N	\N
671993	2294	1997-01-27	VYDAJ	VYBER	15900	31548	\N	\N	\N
671994	2294	1997-02-26	VYDAJ	VYBER	13600	27492	\N	\N	\N
671995	2294	1997-03-28	VYDAJ	VYBER	11600	25437	\N	\N	\N
671996	2294	1997-04-27	VYDAJ	VYBER	14300	20667	\N	\N	\N
671997	2294	1997-05-27	VYDAJ	VYBER	7600	21146	\N	\N	\N
671998	2294	1997-06-26	VYDAJ	VYBER	11400	20879	\N	\N	\N
671999	2294	1997-07-26	VYDAJ	VYBER	13100	15852	\N	\N	\N
672000	2294	1997-08-25	VYDAJ	VYBER	13700	11655	\N	\N	\N
672001	2294	1997-11-23	VYDAJ	VYBER	21200	14090	\N	\N	\N
672002	2294	1998-03-23	VYDAJ	VYBER	16300	15601	\N	\N	\N
672003	2294	1998-05-22	VYDAJ	VYBER	15900	18681	\N	\N	\N
672004	2294	1998-06-21	VYDAJ	VYBER	14000	15940	\N	\N	\N
672005	2294	1998-07-21	VYDAJ	VYBER	13300	12119	\N	\N	\N
672006	2294	1998-08-20	VYDAJ	VYBER	8300	13286	\N	\N	\N
672007	2294	1998-09-19	VYDAJ	VYBER	6500	16244	\N	\N	\N
672008	2294	1998-10-19	VYDAJ	VYBER	6700	19009	\N	\N	\N
672009	2294	1998-11-18	VYDAJ	VYBER	7800	20685	\N	\N	\N
672010	2294	1998-12-18	VYDAJ	VYBER	3600	26998	\N	\N	\N
672038	2295	1996-06-25	PRIJEM	VKLAD	600	600	\N	\N	\N
672041	2295	1996-10-16	PRIJEM	VKLAD	38026	109718	\N	\N	\N
672044	2295	1996-11-07	PRIJEM	VKLAD	18472	111902	\N	\N	\N
672046	2295	1996-09-12	PRIJEM	VKLAD	31653	84937	\N	\N	\N
672047	2295	1996-07-13	PRIJEM	VKLAD	37739	57307	\N	\N	\N
672052	2295	1996-10-05	PRIJEM	VKLAD	13928	71692	\N	\N	\N
672054	2295	1996-11-05	PRIJEM	VKLAD	46237	93430	\N	\N	\N
672056	2295	1996-11-17	PRIJEM	VKLAD	36769	113171	\N	\N	\N
672061	2295	1996-12-08	PRIJEM	VKLAD	16106	57361	\N	\N	\N
672063	2295	1996-09-18	PRIJEM	VKLAD	8887	93824	\N	\N	\N
672064	2295	1996-07-07	PRIJEM	VKLAD	18968	19568	\N	\N	\N
672066	2295	1996-10-26	PRIJEM	VKLAD	20219	66637	\N	\N	\N
672067	2295	1996-08-10	PRIJEM	VKLAD	40173	78709	\N	\N	\N
672068	2295	1997-03-11	PRIJEM	VKLAD	35560	72683	\N	\N	\N
672069	2295	1997-04-08	PRIJEM	VKLAD	36162	92410	\N	\N	\N
672070	2295	1997-06-28	PRIJEM	VKLAD	37628	67671	\N	\N	\N
672071	2295	1997-08-06	PRIJEM	VKLAD	37827	91531	\N	\N	\N
672072	2295	1997-02-10	PRIJEM	VKLAD	35145	43066	\N	\N	\N
672073	2295	1998-04-25	PRIJEM	VKLAD	13244	78986	\N	\N	\N
672074	2295	1998-07-23	PRIJEM	VKLAD	14744	27216	\N	\N	\N
672075	2295	1998-10-25	PRIJEM	VKLAD	31029	108274	\N	\N	\N
672076	2295	1998-03-26	PRIJEM	VKLAD	45108	143128	\N	\N	\N
672077	2295	1998-03-18	PRIJEM	VKLAD	36962	98020	\N	\N	\N
672078	2295	1998-08-27	PRIJEM	VKLAD	32430	114731	\N	\N	\N
672079	2295	1998-02-26	PRIJEM	VKLAD	48216	66247	\N	\N	\N
672080	2295	1998-06-17	PRIJEM	VKLAD	46905	83226	\N	\N	\N
672081	2295	1998-12-22	PRIJEM	VKLAD	27167	87161	\N	\N	\N
672082	2295	1998-02-27	PRIJEM	VKLAD	25530	91777	\N	\N	\N
672083	2295	1998-11-30	PRIJEM	VKLAD	42404	121181	\N	\N	\N
672084	2295	1998-07-13	PRIJEM	VKLAD	6241	7967	\N	\N	\N
672085	2295	1998-08-23	PRIJEM	VKLAD	36000	82301	\N	\N	\N
672086	2295	1998-04-12	PRIJEM	VKLAD	13312	93842	\N	\N	\N
672087	2295	1998-01-15	PRIJEM	VKLAD	7023	64035	\N	\N	\N
672088	2295	1998-11-22	PRIJEM	VKLAD	43987	78777	\N	\N	\N
672089	2295	1998-03-10	PRIJEM	VKLAD	26305	95858	\N	\N	\N
672090	2295	1998-10-24	PRIJEM	VKLAD	21376	77245	\N	\N	\N
672091	2295	1998-08-31	PRIJEM	VKLAD	37456	75175	\N	\N	\N
672092	2295	1998-10-23	PRIJEM	VKLAD	28593	55869	\N	\N	\N
672093	2295	1998-01-14	PRIJEM	VKLAD	29130	57012	\N	\N	\N
672094	2295	1998-08-19	PRIJEM	VKLAD	14148	46301	\N	\N	\N
672098	2295	1996-10-31	VYBER	VYBER	14576	52307	\N	\N	\N
672099	2295	1996-11-25	VYBER	VYBER	16730	40941	\N	\N	\N
672103	2295	1998-09-27	VYBER	VYBER	6445	45516	\N	\N	\N
672104	2295	1998-07-20	VYBER	VYBER	4995	12472	\N	\N	\N
672105	2295	1998-06-01	VYBER	VYBER	12526	37421	\N	\N	\N
672106	2295	1998-10-09	VYBER	VYBER	24021	21776	\N	\N	\N
672107	2295	1998-10-27	VYBER	VYBER	23443	43531	\N	\N	\N
672108	2295	1998-02-16	VYBER	VYBER	13437	18031	\N	\N	\N
672109	2295	1998-04-07	VYBER	VYBER	6673	80530	\N	\N	\N
672110	2295	1998-06-24	VYBER	VYBER	16919	66307	\N	\N	\N
672111	2295	1998-08-29	VYBER	VYBER	24683	37548	\N	\N	\N
672112	2295	1998-03-09	VYBER	VYBER	13030	69553	\N	\N	\N
672113	2295	1998-05-12	VYBER	VYBER	13909	65395	\N	\N	\N
672115	2295	1998-03-28	VYBER	VYBER	6493	86835	\N	\N	\N
672117	2295	1997-06-25	VYDAJ	VYBER	9000	30043	\N	\N	\N
672118	2295	1998-06-29	VYDAJ	VYBER	64800	1507	\N	\N	\N
672120	2295	1997-01-29	VYDAJ	VYBER	13200	7832	\N	\N	\N
672121	2295	1998-01-30	VYDAJ	VYBER	3000	29735	\N	\N	\N
672122	2295	1996-12-11	VYDAJ	VYBER	7500	49861	\N	\N	\N
672123	2295	1997-12-25	VYDAJ	VYBER	3300	29257	\N	\N	\N
672124	2295	1998-12-06	VYDAJ	VYBER	2700	96994	\N	\N	\N
672131	2295	1997-01-14	VYDAJ	VYBER	3300	24232	\N	\N	\N
672132	2295	1997-01-21	VYDAJ	VYBER	5400	21032	\N	\N	\N
672133	2295	1997-01-14	VYDAJ	VYBER	6600	17632	\N	\N	\N
672134	2295	1997-01-02	VYDAJ	VYBER	1500	40432	\N	\N	\N
672135	2295	1997-01-03	VYDAJ	VYBER	4500	35932	\N	\N	\N
672136	2295	1997-01-06	VYDAJ	VYBER	8400	27532	\N	\N	\N
672137	2295	1998-01-19	VYDAJ	VYBER	4800	41135	\N	\N	\N
672138	2295	1998-01-15	VYDAJ	VYBER	4800	59235	\N	\N	\N
672139	2295	1998-01-19	VYDAJ	VYBER	4500	45935	\N	\N	\N
672140	2295	1998-01-11	VYDAJ	VYBER	1500	27882	\N	\N	\N
672141	2295	1998-01-30	VYDAJ	VYBER	4500	25235	\N	\N	\N
672142	2295	1998-01-22	VYDAJ	VYBER	8400	32735	\N	\N	\N
672145	2295	1996-11-01	VYDAJ	VYBER	5100	47193	\N	\N	\N
672146	2295	1997-12-06	VYDAJ	VYBER	9300	26857	\N	\N	\N
672147	2295	1997-05-12	VYDAJ	VYBER	9000	51139	\N	\N	\N
672148	2295	1997-06-05	VYDAJ	VYBER	5100	37843	\N	\N	\N
672149	2295	1997-10-11	VYDAJ	VYBER	12000	33680	\N	\N	\N
672150	2295	1997-09-19	VYDAJ	VYBER	8400	45458	\N	\N	\N
672151	2295	1997-05-02	VYDAJ	VYBER	3300	60139	\N	\N	\N
672152	2295	1998-07-14	VYDAJ	VYBER	3600	4367	\N	\N	\N
672153	2295	1998-03-04	VYDAJ	VYBER	9300	82583	\N	\N	\N
672163	2295	1996-09-30	VYDAJ	VYBER	15	57764	SLUZBY	\N	\N
672164	2295	1996-10-31	VYDAJ	VYBER	15	52293	SLUZBY	\N	\N
672165	2295	1996-11-30	VYDAJ	VYBER	15	41255	SLUZBY	\N	\N
672166	2295	1996-12-31	VYDAJ	VYBER	15	41932	SLUZBY	\N	\N
672167	2295	1997-01-31	VYDAJ	VYBER	15	7921	SLUZBY	\N	\N
672168	2295	1997-02-28	VYDAJ	VYBER	15	37123	SLUZBY	\N	\N
672169	2295	1997-03-31	VYDAJ	VYBER	15	56248	SLUZBY	\N	\N
672170	2295	1997-04-30	VYDAJ	VYBER	15	63439	SLUZBY	\N	\N
672171	2295	1997-05-31	VYDAJ	VYBER	15	42943	SLUZBY	\N	\N
672172	2295	1997-06-30	VYDAJ	VYBER	15	67838	SLUZBY	\N	\N
672173	2295	1997-07-31	VYDAJ	VYBER	15	53704	SLUZBY	\N	\N
672174	2295	1997-08-31	VYDAJ	VYBER	15	64458	SLUZBY	\N	\N
672175	2295	1997-09-30	VYDAJ	VYBER	15	45680	SLUZBY	\N	\N
672176	2295	1997-10-31	VYDAJ	VYBER	15	33632	SLUZBY	\N	\N
672177	2295	1997-11-30	VYDAJ	VYBER	15	36157	SLUZBY	\N	\N
672178	2295	1997-12-31	VYDAJ	VYBER	15	29382	SLUZBY	\N	\N
672179	2295	1998-01-31	VYDAJ	VYBER	15	25368	SLUZBY	\N	\N
672180	2295	1998-02-28	VYDAJ	VYBER	15	91883	SLUZBY	\N	\N
672181	2295	1998-03-31	VYDAJ	VYBER	15	87203	SLUZBY	\N	\N
672182	2295	1998-04-30	VYDAJ	VYBER	15	79304	SLUZBY	\N	\N
672183	2295	1998-05-31	VYDAJ	VYBER	15	49947	SLUZBY	\N	\N
672184	2295	1998-06-30	VYDAJ	VYBER	15	1726	SLUZBY	\N	\N
672185	2295	1998-07-31	VYDAJ	VYBER	15	27253	SLUZBY	\N	\N
672186	2295	1998-08-31	VYDAJ	VYBER	15	75161	SLUZBY	\N	\N
672187	2295	1998-09-30	VYDAJ	VYBER	15	45797	SLUZBY	\N	\N
672188	2295	1998-10-31	VYDAJ	VYBER	15	43690	SLUZBY	\N	\N
672189	2295	1998-11-30	VYDAJ	VYBER	15	121394	SLUZBY	\N	\N
672190	2295	1996-07-25	VYDAJ	VYBER	18900	38407	\N	\N	\N
672191	2295	1996-08-24	VYDAJ	VYBER	25600	53109	\N	\N	\N
672192	2295	1996-09-23	VYDAJ	VYBER	36300	57524	\N	\N	\N
672193	2295	1996-10-16	VYDAJ	VYBER	47200	62518	\N	\N	\N
672194	2295	1996-10-23	VYDAJ	VYBER	16100	46418	\N	\N	\N
672195	2295	1996-11-07	VYDAJ	VYBER	35500	76402	\N	\N	\N
672196	2295	1996-11-17	VYDAJ	VYBER	25600	87571	\N	\N	\N
672197	2295	1996-11-22	VYDAJ	VYBER	29900	57671	\N	\N	\N
672198	2295	1996-12-22	VYDAJ	VYBER	8100	41761	\N	\N	\N
672199	2295	1997-01-21	PRIJEM	VKLAD	8800	26432	\N	\N	\N
672200	2295	1997-02-20	VYDAJ	VYBER	6000	37066	\N	\N	\N
672201	2295	1997-03-22	VYDAJ	VYBER	16600	56083	\N	\N	\N
672202	2295	1997-04-21	VYDAJ	VYBER	29200	63210	\N	\N	\N
672203	2295	1997-05-21	VYDAJ	VYBER	8400	42739	\N	\N	\N
672204	2295	1997-06-20	PRIJEM	VKLAD	1200	39043	\N	\N	\N
672205	2295	1997-07-20	VYDAJ	VYBER	14400	53438	\N	\N	\N
672206	2295	1997-08-19	VYDAJ	VYBER	27300	64231	\N	\N	\N
672207	2295	1997-09-18	VYDAJ	VYBER	10600	53858	\N	\N	\N
672208	2295	1997-10-18	VYDAJ	VYBER	200	33480	\N	\N	\N
672209	2295	1997-11-17	PRIJEM	VKLAD	2400	36032	\N	\N	\N
672210	2295	1997-12-17	PRIJEM	VKLAD	5700	32557	\N	\N	\N
672211	2295	1998-01-16	VYDAJ	VYBER	8800	50435	\N	\N	\N
672212	2295	1998-02-15	PRIJEM	VKLAD	6100	31468	\N	\N	\N
672213	2295	1998-03-17	VYDAJ	VYBER	34800	61058	\N	\N	\N
672214	2295	1998-03-26	VYDAJ	VYBER	49800	93328	\N	\N	\N
672215	2295	1998-04-16	VYDAJ	VYBER	28100	65742	\N	\N	\N
672216	2295	1998-05-16	VYDAJ	VYBER	15700	49695	\N	\N	\N
672217	2295	1998-06-15	VYDAJ	VYBER	1100	36321	\N	\N	\N
672218	2295	1998-07-15	PRIJEM	VKLAD	13100	17467	\N	\N	\N
672219	2295	1998-08-14	PRIJEM	VKLAD	4900	32153	\N	\N	\N
672220	2295	1998-08-27	VYDAJ	VYBER	52500	62231	\N	\N	\N
672221	2295	1998-09-13	VYDAJ	VYBER	23200	51961	\N	\N	\N
672222	2295	1998-10-13	PRIJEM	VKLAD	5500	27276	\N	\N	\N
672223	2295	1998-10-25	VYDAJ	VYBER	41300	66974	\N	\N	\N
672224	2295	1998-11-12	VYDAJ	VYBER	8900	34790	\N	\N	\N
672225	2295	1998-11-30	VYDAJ	VYBER	21700	99694	\N	\N	\N
672226	2295	1998-12-12	VYDAJ	VYBER	37000	59994	\N	\N	\N
672259	2296	1997-11-05	PRIJEM	VKLAD	600	600	\N	\N	\N
672270	2296	1997-11-09	PRIJEM	VKLAD	22037	22637	\N	\N	\N
672271	2296	1997-12-09	PRIJEM	VKLAD	33056	55062	\N	\N	\N
672272	2296	1998-01-09	PRIJEM	VKLAD	22037	60293	\N	\N	\N
672273	2296	1998-02-09	PRIJEM	VKLAD	22037	60176	\N	\N	\N
672274	2296	1998-03-09	PRIJEM	VKLAD	22037	59264	\N	\N	\N
672275	2296	1998-04-09	PRIJEM	VKLAD	22037	54694	\N	\N	\N
672276	2296	1998-05-09	PRIJEM	VKLAD	22037	51455	\N	\N	\N
672277	2296	1998-06-09	PRIJEM	VKLAD	33056	61364	\N	\N	\N
672278	2296	1998-07-09	PRIJEM	VKLAD	22037	37840	\N	\N	\N
672279	2296	1998-08-09	PRIJEM	VKLAD	22037	36154	\N	\N	\N
672280	2296	1998-09-09	PRIJEM	VKLAD	22037	36672	\N	\N	\N
672281	2296	1998-10-09	PRIJEM	VKLAD	22037	38597	\N	\N	\N
672282	2296	1998-11-09	PRIJEM	VKLAD	22037	36031	\N	\N	\N
672283	2296	1998-12-09	PRIJEM	VKLAD	33056	45745	\N	\N	\N
672298	2296	1998-03-12	VYDAJ	PREVOD NA UCET	3531	55733	SIPO	OP	93267988
672299	2296	1998-04-12	VYDAJ	PREVOD NA UCET	3531	47923	SIPO	OP	93267988
672300	2296	1998-05-12	VYDAJ	PREVOD NA UCET	3531	47924	SIPO	OP	93267988
672301	2296	1998-06-12	VYDAJ	PREVOD NA UCET	3531	57833	SIPO	OP	93267988
672302	2296	1998-07-12	VYDAJ	PREVOD NA UCET	3531	34309	SIPO	OP	93267988
672303	2296	1998-08-12	VYDAJ	PREVOD NA UCET	3531	32623	SIPO	OP	93267988
672304	2296	1998-09-12	VYDAJ	PREVOD NA UCET	3531	33141	SIPO	OP	93267988
672305	2296	1998-10-12	VYDAJ	PREVOD NA UCET	3531	35066	SIPO	OP	93267988
672306	2296	1998-11-12	VYDAJ	PREVOD NA UCET	3531	32500	SIPO	OP	93267988
672307	2296	1998-12-12	VYDAJ	PREVOD NA UCET	3531	42214	SIPO	OP	93267988
672309	2296	1998-06-29	VYDAJ	VYBER	25440	32393	\N	\N	\N
672332	2296	1998-08-05	VYDAJ	VYBER	5520	14117	\N	\N	\N
672333	2296	1998-04-29	VYDAJ	VYBER	1800	46123	\N	\N	\N
672334	2296	1998-04-09	VYDAJ	VYBER	3240	51454	\N	\N	\N
672335	2296	1998-08-30	VYDAJ	VYBER	4800	27823	\N	\N	\N
672351	2296	1998-03-31	VYDAJ	VYBER	15	55957	SLUZBY	\N	\N
672352	2296	1998-04-30	VYDAJ	VYBER	15	46318	SLUZBY	\N	\N
672353	2296	1998-05-31	VYDAJ	VYBER	15	48108	SLUZBY	\N	\N
672354	2296	1998-06-30	VYDAJ	VYBER	15	32603	SLUZBY	\N	\N
672355	2296	1998-07-31	VYDAJ	VYBER	15	34437	SLUZBY	\N	\N
672356	2296	1998-08-31	VYDAJ	VYBER	15	27935	SLUZBY	\N	\N
672357	2296	1998-09-30	VYDAJ	VYBER	15	33260	SLUZBY	\N	\N
672358	2296	1998-10-31	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
672359	2296	1998-11-30	VYDAJ	VYBER	15	12690	SLUZBY	\N	\N
672360	2296	1997-12-05	VYDAJ	VYBER	700	22006	\N	\N	\N
672361	2296	1998-01-04	VYDAJ	VYBER	17000	38256	\N	\N	\N
672362	2296	1998-02-03	VYDAJ	VYBER	22400	38139	\N	\N	\N
672363	2296	1998-03-05	VYDAJ	VYBER	23200	37227	\N	\N	\N
672364	2296	1998-04-04	VYDAJ	VYBER	23300	32657	\N	\N	\N
672365	2296	1998-05-04	VYDAJ	VYBER	16900	29418	\N	\N	\N
672366	2296	1998-06-03	VYDAJ	VYBER	19800	28308	\N	\N	\N
672367	2296	1998-07-03	VYDAJ	VYBER	16800	15803	\N	\N	\N
672368	2296	1998-08-02	VYDAJ	VYBER	14800	19637	\N	\N	\N
672369	2296	1998-09-01	VYDAJ	VYBER	13300	14635	\N	\N	\N
672370	2296	1998-10-01	VYDAJ	VYBER	16700	16560	\N	\N	\N
672371	2296	1998-10-31	VYDAJ	VYBER	21200	14009	\N	\N	\N
672372	2296	1998-11-30	VYDAJ	VYBER	19900	12704	\N	\N	\N
672387	2297	1995-06-18	PRIJEM	VKLAD	200	200	\N	\N	\N
672394	2297	1995-07-12	PRIJEM	VKLAD	4441	4641	\N	\N	\N
672395	2297	1995-08-12	PRIJEM	VKLAD	4441	18709	\N	\N	\N
672396	2297	1995-09-12	PRIJEM	VKLAD	4441	23819	\N	\N	\N
672397	2297	1995-10-12	PRIJEM	VKLAD	4441	28951	\N	\N	\N
672398	2297	1995-11-12	PRIJEM	VKLAD	4441	29696	\N	\N	\N
672399	2297	1995-12-12	PRIJEM	VKLAD	6662	32293	\N	\N	\N
672400	2297	1996-01-12	PRIJEM	VKLAD	4441	18021	\N	\N	\N
672401	2297	1996-02-12	PRIJEM	VKLAD	4441	18084	\N	\N	\N
672402	2297	1996-03-12	PRIJEM	VKLAD	4441	16851	\N	\N	\N
672403	2297	1996-04-12	PRIJEM	VKLAD	4441	22589	\N	\N	\N
672404	2297	1996-05-12	PRIJEM	VKLAD	4441	23038	\N	\N	\N
672405	2297	1996-06-12	PRIJEM	VKLAD	6662	20099	\N	\N	\N
672406	2297	1996-07-12	PRIJEM	VKLAD	4441	20434	\N	\N	\N
672407	2297	1996-08-12	PRIJEM	VKLAD	4441	20677	\N	\N	\N
672408	2297	1996-09-12	PRIJEM	VKLAD	4441	18256	\N	\N	\N
672409	2297	1996-10-12	PRIJEM	VKLAD	4441	18126	\N	\N	\N
672410	2297	1996-11-12	PRIJEM	VKLAD	4441	17262	\N	\N	\N
672411	2297	1996-12-12	PRIJEM	VKLAD	6662	20118	\N	\N	\N
672412	2297	1997-01-12	PRIJEM	VKLAD	4441	14375	\N	\N	\N
672413	2297	1997-02-12	PRIJEM	VKLAD	4441	15900	\N	\N	\N
672414	2297	1997-03-12	PRIJEM	VKLAD	4441	17427	\N	\N	\N
672415	2297	1997-04-12	PRIJEM	VKLAD	4441	18956	\N	\N	\N
672416	2297	1997-05-12	PRIJEM	VKLAD	4441	20496	\N	\N	\N
672417	2297	1997-06-12	PRIJEM	VKLAD	6662	17563	\N	\N	\N
672418	2297	1997-07-12	PRIJEM	VKLAD	4441	17175	\N	\N	\N
672419	2297	1997-08-12	PRIJEM	VKLAD	4441	18708	\N	\N	\N
672420	2297	1997-09-12	PRIJEM	VKLAD	4441	19643	\N	\N	\N
672421	2297	1997-10-12	PRIJEM	VKLAD	4441	21185	\N	\N	\N
672422	2297	1997-11-12	PRIJEM	VKLAD	4441	22735	\N	\N	\N
672423	2297	1997-12-12	PRIJEM	VKLAD	6662	21100	\N	\N	\N
672424	2297	1998-01-12	PRIJEM	VKLAD	4441	16519	\N	\N	\N
672425	2297	1998-02-12	PRIJEM	VKLAD	4441	17447	\N	\N	\N
672426	2297	1998-03-12	PRIJEM	VKLAD	4441	18980	\N	\N	\N
672427	2297	1998-04-12	PRIJEM	VKLAD	4441	18478	\N	\N	\N
672428	2297	1998-05-12	PRIJEM	VKLAD	4441	20015	\N	\N	\N
672429	2297	1998-06-12	PRIJEM	VKLAD	6662	23780	\N	\N	\N
672430	2297	1998-07-12	PRIJEM	VKLAD	4441	25333	\N	\N	\N
672431	2297	1998-08-12	PRIJEM	VKLAD	4441	26895	\N	\N	\N
672432	2297	1998-09-12	PRIJEM	VKLAD	4441	28464	\N	\N	\N
672433	2297	1998-10-12	PRIJEM	VKLAD	4441	30039	\N	\N	\N
672434	2297	1998-11-12	PRIJEM	VKLAD	4441	31625	\N	\N	\N
672435	2297	1998-12-12	PRIJEM	VKLAD	6662	27514	\N	\N	\N
672447	2297	1995-12-09	VYDAJ	PREVOD NA UCET	819	26321	SIPO	UV	46263361
672448	2297	1996-01-09	VYDAJ	PREVOD NA UCET	819	19669	SIPO	UV	46263361
672449	2297	1996-02-09	VYDAJ	PREVOD NA UCET	819	14332	SIPO	UV	46263361
672450	2297	1996-03-09	VYDAJ	PREVOD NA UCET	819	13099	SIPO	UV	46263361
672451	2297	1996-04-09	VYDAJ	PREVOD NA UCET	819	18148	SIPO	UV	46263361
672452	2297	1996-05-09	VYDAJ	PREVOD NA UCET	819	19286	SIPO	UV	46263361
672453	2297	1996-06-09	VYDAJ	PREVOD NA UCET	819	14127	SIPO	UV	46263361
672454	2297	1996-07-09	VYDAJ	PREVOD NA UCET	819	15993	SIPO	UV	46263361
672455	2297	1996-08-09	VYDAJ	PREVOD NA UCET	819	17336	SIPO	UV	46263361
672456	2297	1996-09-09	VYDAJ	PREVOD NA UCET	819	12704	SIPO	UV	46263361
672457	2297	1996-10-09	VYDAJ	PREVOD NA UCET	819	13874	SIPO	UV	46263361
672458	2297	1996-11-09	VYDAJ	PREVOD NA UCET	819	15910	SIPO	UV	46263361
672459	2297	1996-12-09	VYDAJ	PREVOD NA UCET	819	15046	SIPO	UV	46263361
672460	2297	1997-01-09	VYDAJ	PREVOD NA UCET	819	10623	SIPO	UV	46263361
672461	2297	1997-02-09	VYDAJ	PREVOD NA UCET	819	12148	SIPO	UV	46263361
672462	2297	1997-03-09	VYDAJ	PREVOD NA UCET	819	13675	SIPO	UV	46263361
672463	2297	1997-04-09	VYDAJ	PREVOD NA UCET	819	15204	SIPO	UV	46263361
672464	2297	1997-05-09	VYDAJ	PREVOD NA UCET	819	16055	SIPO	UV	46263361
672465	2297	1997-06-09	VYDAJ	PREVOD NA UCET	819	11591	SIPO	UV	46263361
672466	2297	1997-07-09	VYDAJ	PREVOD NA UCET	819	13423	SIPO	UV	46263361
672467	2297	1997-08-09	VYDAJ	PREVOD NA UCET	819	14956	SIPO	UV	46263361
672468	2297	1997-09-09	VYDAJ	PREVOD NA UCET	819	15891	SIPO	UV	46263361
672469	2297	1997-10-09	VYDAJ	PREVOD NA UCET	819	16744	SIPO	UV	46263361
672470	2297	1997-11-09	VYDAJ	PREVOD NA UCET	819	18983	SIPO	UV	46263361
672471	2297	1997-12-09	VYDAJ	PREVOD NA UCET	819	14439	SIPO	UV	46263361
672472	2297	1998-01-09	VYDAJ	PREVOD NA UCET	819	12078	SIPO	UV	46263361
672473	2297	1998-02-09	VYDAJ	PREVOD NA UCET	819	13695	SIPO	UV	46263361
672474	2297	1998-03-09	VYDAJ	PREVOD NA UCET	819	14539	SIPO	UV	46263361
672475	2297	1998-04-09	VYDAJ	PREVOD NA UCET	819	14726	SIPO	UV	46263361
672476	2297	1998-05-09	VYDAJ	PREVOD NA UCET	819	16263	SIPO	UV	46263361
672477	2297	1998-06-09	VYDAJ	PREVOD NA UCET	819	17118	SIPO	UV	46263361
672478	2297	1998-07-09	VYDAJ	PREVOD NA UCET	819	20892	SIPO	UV	46263361
672479	2297	1998-08-09	VYDAJ	PREVOD NA UCET	819	22454	SIPO	UV	46263361
672480	2297	1998-09-09	VYDAJ	PREVOD NA UCET	819	24712	SIPO	UV	46263361
672481	2297	1998-10-09	VYDAJ	PREVOD NA UCET	819	25598	SIPO	UV	46263361
672482	2297	1998-11-09	VYDAJ	PREVOD NA UCET	819	27184	SIPO	UV	46263361
672483	2297	1998-12-09	VYDAJ	PREVOD NA UCET	819	23733	SIPO	UV	46263361
672494	2297	1995-11-12	VYDAJ	PREVOD NA UCET	1452	28244	 	QR	1093173
672495	2297	1995-12-12	VYDAJ	PREVOD NA UCET	1452	30841	 	QR	1093173
672496	2297	1996-01-12	VYDAJ	PREVOD NA UCET	1452	16569	 	QR	1093173
672497	2297	1996-02-12	VYDAJ	PREVOD NA UCET	1452	16632	 	QR	1093173
672498	2297	1996-03-12	VYDAJ	PREVOD NA UCET	1452	15399	 	QR	1093173
672499	2297	1996-04-12	VYDAJ	PREVOD NA UCET	1452	21137	 	QR	1093173
672500	2297	1996-05-12	VYDAJ	PREVOD NA UCET	1452	21586	 	QR	1093173
672501	2297	1996-06-12	VYDAJ	PREVOD NA UCET	1452	17447	 	QR	1093173
672502	2297	1996-07-12	VYDAJ	PREVOD NA UCET	1452	18782	 	QR	1093173
672503	2297	1996-08-12	VYDAJ	PREVOD NA UCET	1452	19225	 	QR	1093173
672504	2297	1996-09-12	VYDAJ	PREVOD NA UCET	1452	16804	 	QR	1093173
672505	2297	1996-10-12	VYDAJ	PREVOD NA UCET	1452	16674	 	QR	1093173
672506	2297	1996-11-12	VYDAJ	PREVOD NA UCET	1452	15810	 	QR	1093173
672507	2297	1996-12-12	VYDAJ	PREVOD NA UCET	1452	18666	 	QR	1093173
672508	2297	1997-01-12	VYDAJ	PREVOD NA UCET	1452	12923	 	QR	1093173
672509	2297	1997-02-12	VYDAJ	PREVOD NA UCET	1452	14448	 	QR	1093173
672510	2297	1997-03-12	VYDAJ	PREVOD NA UCET	1452	15975	 	QR	1093173
672511	2297	1997-04-12	VYDAJ	PREVOD NA UCET	1452	17504	 	QR	1093173
672512	2297	1997-05-12	VYDAJ	PREVOD NA UCET	1452	19044	 	QR	1093173
672513	2297	1997-06-12	VYDAJ	PREVOD NA UCET	1452	16111	 	QR	1093173
672514	2297	1997-07-12	VYDAJ	PREVOD NA UCET	1452	15723	 	QR	1093173
672515	2297	1997-08-12	VYDAJ	PREVOD NA UCET	1452	17256	 	QR	1093173
672516	2297	1997-09-12	VYDAJ	PREVOD NA UCET	1452	18191	 	QR	1093173
672517	2297	1997-10-12	VYDAJ	PREVOD NA UCET	1452	19733	 	QR	1093173
672518	2297	1997-11-12	VYDAJ	PREVOD NA UCET	1452	21283	 	QR	1093173
672519	2297	1997-12-12	VYDAJ	PREVOD NA UCET	1452	19648	 	QR	1093173
672520	2297	1998-01-12	VYDAJ	PREVOD NA UCET	1452	15067	 	QR	1093173
672521	2297	1998-02-12	VYDAJ	PREVOD NA UCET	1452	15995	 	QR	1093173
672522	2297	1998-03-12	VYDAJ	PREVOD NA UCET	1452	17528	 	QR	1093173
672523	2297	1998-04-12	VYDAJ	PREVOD NA UCET	1452	17026	 	QR	1093173
672524	2297	1998-05-12	VYDAJ	PREVOD NA UCET	1452	18563	 	QR	1093173
672525	2297	1998-06-12	VYDAJ	PREVOD NA UCET	1452	22328	 	QR	1093173
672526	2297	1998-07-12	VYDAJ	PREVOD NA UCET	1452	23881	 	QR	1093173
672527	2297	1998-08-12	VYDAJ	PREVOD NA UCET	1452	25443	 	QR	1093173
672528	2297	1998-09-12	VYDAJ	PREVOD NA UCET	1452	27012	 	QR	1093173
672529	2297	1998-10-12	VYDAJ	PREVOD NA UCET	1452	28587	 	QR	1093173
672530	2297	1998-11-12	VYDAJ	PREVOD NA UCET	1452	30173	 	QR	1093173
672531	2297	1998-12-12	VYDAJ	PREVOD NA UCET	1452	26062	 	QR	1093173
672543	2297	1995-12-09	VYDAJ	PREVOD NA UCET	689	25632	POJISTNE	AB	97796540
672544	2297	1996-01-09	VYDAJ	PREVOD NA UCET	689	18980	POJISTNE	AB	97796540
672545	2297	1996-02-09	VYDAJ	PREVOD NA UCET	689	13643	POJISTNE	AB	97796540
672546	2297	1996-03-09	VYDAJ	PREVOD NA UCET	689	12410	POJISTNE	AB	97796540
672547	2297	1996-04-09	VYDAJ	PREVOD NA UCET	689	18967	POJISTNE	AB	97796540
672548	2297	1996-05-09	VYDAJ	PREVOD NA UCET	689	18597	POJISTNE	AB	97796540
672549	2297	1996-06-09	VYDAJ	PREVOD NA UCET	689	13438	POJISTNE	AB	97796540
672550	2297	1996-07-09	VYDAJ	PREVOD NA UCET	689	16812	POJISTNE	AB	97796540
672551	2297	1996-08-09	VYDAJ	PREVOD NA UCET	689	18155	POJISTNE	AB	97796540
672552	2297	1996-09-09	VYDAJ	PREVOD NA UCET	689	12015	POJISTNE	AB	97796540
672553	2297	1996-10-09	VYDAJ	PREVOD NA UCET	689	13185	POJISTNE	AB	97796540
672554	2297	1996-11-09	VYDAJ	PREVOD NA UCET	689	15221	POJISTNE	AB	97796540
672555	2297	1996-12-09	VYDAJ	PREVOD NA UCET	689	13457	POJISTNE	AB	97796540
672556	2297	1997-01-09	VYDAJ	PREVOD NA UCET	689	9934	POJISTNE	AB	97796540
672557	2297	1997-02-09	VYDAJ	PREVOD NA UCET	689	11459	POJISTNE	AB	97796540
672558	2297	1997-03-09	VYDAJ	PREVOD NA UCET	689	12986	POJISTNE	AB	97796540
672559	2297	1997-04-09	VYDAJ	PREVOD NA UCET	689	14515	POJISTNE	AB	97796540
672560	2297	1997-05-09	VYDAJ	PREVOD NA UCET	689	16874	POJISTNE	AB	97796540
672561	2297	1997-06-09	VYDAJ	PREVOD NA UCET	689	10902	POJISTNE	AB	97796540
672562	2297	1997-07-09	VYDAJ	PREVOD NA UCET	689	12734	POJISTNE	AB	97796540
672563	2297	1997-08-09	VYDAJ	PREVOD NA UCET	689	14267	POJISTNE	AB	97796540
672564	2297	1997-09-09	VYDAJ	PREVOD NA UCET	689	15202	POJISTNE	AB	97796540
672565	2297	1997-10-09	VYDAJ	PREVOD NA UCET	689	17563	POJISTNE	AB	97796540
672566	2297	1997-11-09	VYDAJ	PREVOD NA UCET	689	18294	POJISTNE	AB	97796540
672567	2297	1997-12-09	VYDAJ	PREVOD NA UCET	689	15258	POJISTNE	AB	97796540
672568	2297	1998-01-09	VYDAJ	PREVOD NA UCET	689	12897	POJISTNE	AB	97796540
672569	2297	1998-02-09	VYDAJ	PREVOD NA UCET	689	13006	POJISTNE	AB	97796540
672570	2297	1998-03-09	VYDAJ	PREVOD NA UCET	689	15358	POJISTNE	AB	97796540
672571	2297	1998-04-09	VYDAJ	PREVOD NA UCET	689	14037	POJISTNE	AB	97796540
672572	2297	1998-05-09	VYDAJ	PREVOD NA UCET	689	15574	POJISTNE	AB	97796540
672573	2297	1998-06-09	VYDAJ	PREVOD NA UCET	689	17937	POJISTNE	AB	97796540
672574	2297	1998-07-09	VYDAJ	PREVOD NA UCET	689	21711	POJISTNE	AB	97796540
672575	2297	1998-08-09	VYDAJ	PREVOD NA UCET	689	23273	POJISTNE	AB	97796540
672576	2297	1998-09-09	VYDAJ	PREVOD NA UCET	689	24023	POJISTNE	AB	97796540
672577	2297	1998-10-09	VYDAJ	PREVOD NA UCET	689	26417	POJISTNE	AB	97796540
672578	2297	1998-11-09	VYDAJ	PREVOD NA UCET	689	28003	POJISTNE	AB	97796540
672579	2297	1998-12-09	VYDAJ	PREVOD NA UCET	689	24552	POJISTNE	AB	97796540
672584	2297	1995-12-21	VYDAJ	VYBER	3040	20401	\N	\N	\N
672585	2297	1996-12-22	VYDAJ	VYBER	3680	14986	\N	\N	\N
672586	2297	1997-12-27	VYDAJ	VYBER	4320	15328	\N	\N	\N
672587	2297	1998-12-10	VYDAJ	VYBER	2880	20853	\N	\N	\N
672594	2297	1996-01-10	VYDAJ	VYBER	2880	16100	\N	\N	\N
672595	2297	1996-01-11	VYDAJ	VYBER	2520	13580	\N	\N	\N
672596	2297	1996-01-13	VYDAJ	VYBER	840	15729	\N	\N	\N
672597	2297	1996-01-29	VYDAJ	VYBER	1440	15089	\N	\N	\N
672598	2297	1996-01-18	VYDAJ	VYBER	720	20009	\N	\N	\N
672599	2297	1996-01-22	VYDAJ	VYBER	3480	16529	\N	\N	\N
672606	2297	1998-01-08	VYDAJ	VYBER	1800	13586	\N	\N	\N
672607	2297	1998-01-18	VYDAJ	VYBER	600	14467	\N	\N	\N
672619	2297	1996-05-21	VYDAJ	VYBER	4200	14886	\N	\N	\N
672620	2297	1996-02-14	VYDAJ	VYBER	3960	13872	\N	\N	\N
672621	2297	1996-08-22	VYDAJ	VYBER	5760	13465	\N	\N	\N
672622	2297	1996-09-21	VYDAJ	VYBER	2160	14644	\N	\N	\N
672623	2297	1997-08-30	VYDAJ	VYBER	600	16656	\N	\N	\N
672625	2297	1997-06-17	VYDAJ	VYBER	1920	14191	\N	\N	\N
672628	2297	1997-11-22	VYDAJ	VYBER	5400	15883	\N	\N	\N
672629	2297	1998-03-27	VYDAJ	VYBER	2040	15488	\N	\N	\N
672630	2297	1998-12-01	VYDAJ	VYBER	5040	25241	\N	\N	\N
672631	2297	1998-12-16	VYDAJ	VYBER	5160	20902	\N	\N	\N
672645	2297	1995-11-30	VYDAJ	VYBER	15	27140	SLUZBY	\N	\N
672646	2297	1995-12-31	VYDAJ	VYBER	15	20488	SLUZBY	\N	\N
672647	2297	1996-01-31	VYDAJ	VYBER	15	15151	SLUZBY	\N	\N
672648	2297	1996-02-29	VYDAJ	VYBER	15	13918	SLUZBY	\N	\N
672649	2297	1996-03-31	VYDAJ	VYBER	15	19656	SLUZBY	\N	\N
672650	2297	1996-04-30	VYDAJ	VYBER	15	20105	SLUZBY	\N	\N
672651	2297	1996-05-31	VYDAJ	VYBER	15	14946	SLUZBY	\N	\N
672652	2297	1996-06-30	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
672653	2297	1996-07-31	VYDAJ	VYBER	15	18844	SLUZBY	\N	\N
672654	2297	1996-08-31	VYDAJ	VYBER	15	13523	SLUZBY	\N	\N
672655	2297	1996-09-30	VYDAJ	VYBER	15	14693	SLUZBY	\N	\N
672656	2297	1996-10-31	VYDAJ	VYBER	15	16729	SLUZBY	\N	\N
672657	2297	1996-11-30	VYDAJ	VYBER	15	15865	SLUZBY	\N	\N
672658	2297	1996-12-31	VYDAJ	VYBER	15	15042	SLUZBY	\N	\N
672659	2297	1997-01-31	VYDAJ	VYBER	15	12967	SLUZBY	\N	\N
672660	2297	1997-02-28	VYDAJ	VYBER	15	14494	SLUZBY	\N	\N
672661	2297	1997-03-31	VYDAJ	VYBER	15	16023	SLUZBY	\N	\N
672662	2297	1997-04-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
672663	2297	1997-05-31	VYDAJ	VYBER	15	19110	SLUZBY	\N	\N
672664	2297	1997-06-30	VYDAJ	VYBER	15	14242	SLUZBY	\N	\N
672665	2297	1997-07-31	VYDAJ	VYBER	15	15775	SLUZBY	\N	\N
672666	2297	1997-08-31	VYDAJ	VYBER	15	16710	SLUZBY	\N	\N
672667	2297	1997-09-30	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
672668	2297	1997-10-31	VYDAJ	VYBER	15	19802	SLUZBY	\N	\N
672669	2297	1997-11-30	VYDAJ	VYBER	15	15947	SLUZBY	\N	\N
672670	2297	1997-12-31	VYDAJ	VYBER	15	15386	SLUZBY	\N	\N
672671	2297	1998-01-31	VYDAJ	VYBER	15	14514	SLUZBY	\N	\N
672672	2297	1998-02-28	VYDAJ	VYBER	15	16047	SLUZBY	\N	\N
672673	2297	1998-03-31	VYDAJ	VYBER	15	15545	SLUZBY	\N	\N
672674	2297	1998-04-30	VYDAJ	VYBER	15	17082	SLUZBY	\N	\N
672675	2297	1998-05-31	VYDAJ	VYBER	15	18626	SLUZBY	\N	\N
672676	2297	1998-06-30	VYDAJ	VYBER	15	22400	SLUZBY	\N	\N
672677	2297	1998-07-31	VYDAJ	VYBER	15	23962	SLUZBY	\N	\N
672678	2297	1998-08-31	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
672679	2297	1998-09-30	VYDAJ	VYBER	15	27106	SLUZBY	\N	\N
672680	2297	1998-10-31	VYDAJ	VYBER	15	28692	SLUZBY	\N	\N
672681	2297	1998-11-30	VYDAJ	VYBER	15	30281	SLUZBY	\N	\N
672682	2297	1995-07-18	PRIJEM	VKLAD	9600	14241	\N	\N	\N
672683	2297	1995-08-17	PRIJEM	VKLAD	600	19309	\N	\N	\N
672684	2297	1995-09-16	PRIJEM	VKLAD	600	24419	\N	\N	\N
672685	2297	1995-10-16	VYDAJ	VYBER	3800	25151	\N	\N	\N
672686	2297	1995-11-15	VYDAJ	VYBER	1200	27044	\N	\N	\N
672687	2297	1995-12-15	VYDAJ	VYBER	7400	23441	\N	\N	\N
672688	2297	1996-01-14	PRIJEM	VKLAD	5000	20729	\N	\N	\N
672689	2297	1996-02-13	PRIJEM	VKLAD	1200	17832	\N	\N	\N
672690	2297	1996-03-14	PRIJEM	VKLAD	4200	19599	\N	\N	\N
672691	2297	1996-04-13	VYDAJ	VYBER	1100	20037	\N	\N	\N
672692	2297	1996-05-13	VYDAJ	VYBER	2500	19086	\N	\N	\N
672693	2297	1996-06-12	VYDAJ	VYBER	1200	18899	\N	\N	\N
672694	2297	1996-07-12	VYDAJ	VYBER	200	20234	\N	\N	\N
672695	2297	1996-08-11	VYDAJ	VYBER	1100	16236	\N	\N	\N
672696	2297	1996-09-10	PRIJEM	VKLAD	1800	13815	\N	\N	\N
672697	2297	1996-10-10	PRIJEM	VKLAD	500	13685	\N	\N	\N
672698	2297	1996-11-09	VYDAJ	VYBER	2400	12821	\N	\N	\N
672699	2297	1996-12-09	VYDAJ	VYBER	900	14146	\N	\N	\N
672700	2297	1997-01-08	VYDAJ	VYBER	3600	11442	\N	\N	\N
672701	2297	1997-06-07	VYDAJ	VYBER	6700	12410	\N	\N	\N
672744	2298	1993-07-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
672751	2298	1993-07-12	PRIJEM	VKLAD	21788	22788	\N	\N	\N
672752	2298	1993-08-12	PRIJEM	VKLAD	21788	43837	\N	\N	\N
672753	2298	1993-09-12	PRIJEM	VKLAD	21788	56877	\N	\N	\N
672754	2298	1993-10-12	PRIJEM	VKLAD	21788	62382	\N	\N	\N
672755	2298	1993-11-12	PRIJEM	VKLAD	21788	67819	\N	\N	\N
672756	2298	1993-12-12	PRIJEM	VKLAD	32682	73932	\N	\N	\N
672757	2298	1994-01-12	PRIJEM	VKLAD	21788	61933	\N	\N	\N
672758	2298	1994-02-12	PRIJEM	VKLAD	21788	63285	\N	\N	\N
672759	2298	1994-03-12	PRIJEM	VKLAD	21788	61144	\N	\N	\N
672760	2298	1994-04-12	PRIJEM	VKLAD	21788	58921	\N	\N	\N
672761	2298	1994-05-12	PRIJEM	VKLAD	21788	61460	\N	\N	\N
672762	2298	1994-06-12	PRIJEM	VKLAD	32682	74301	\N	\N	\N
672763	2298	1994-07-12	PRIJEM	VKLAD	21788	56554	\N	\N	\N
672764	2298	1994-08-12	PRIJEM	VKLAD	21788	53179	\N	\N	\N
672765	2298	1994-09-12	PRIJEM	VKLAD	21788	57190	\N	\N	\N
672766	2298	1994-10-12	PRIJEM	VKLAD	21788	57413	\N	\N	\N
672767	2298	1994-11-12	PRIJEM	VKLAD	21788	52534	\N	\N	\N
672768	2298	1994-12-12	PRIJEM	VKLAD	32682	64134	\N	\N	\N
672769	2298	1995-01-12	PRIJEM	VKLAD	21788	58566	\N	\N	\N
672770	2298	1995-02-12	PRIJEM	VKLAD	21788	58890	\N	\N	\N
672771	2298	1995-03-12	PRIJEM	VKLAD	21788	61916	\N	\N	\N
672772	2298	1995-04-12	PRIJEM	VKLAD	21788	60948	\N	\N	\N
672773	2298	1995-05-12	PRIJEM	VKLAD	21788	61281	\N	\N	\N
672774	2298	1995-06-12	PRIJEM	VKLAD	32682	71309	\N	\N	\N
672775	2298	1995-07-12	PRIJEM	VKLAD	21788	61557	\N	\N	\N
672776	2298	1995-08-12	PRIJEM	VKLAD	21788	63592	\N	\N	\N
672777	2298	1995-09-12	PRIJEM	VKLAD	21788	67735	\N	\N	\N
672778	2298	1995-10-12	PRIJEM	VKLAD	21788	66988	\N	\N	\N
672779	2298	1995-11-12	PRIJEM	VKLAD	21788	68040	\N	\N	\N
672780	2298	1995-12-12	PRIJEM	VKLAD	32682	77584	\N	\N	\N
672781	2298	1996-01-12	PRIJEM	VKLAD	21788	71247	\N	\N	\N
672782	2298	1996-02-12	PRIJEM	VKLAD	21788	63495	\N	\N	\N
672783	2298	1996-03-12	PRIJEM	VKLAD	21788	66930	\N	\N	\N
672784	2298	1996-04-12	PRIJEM	VKLAD	21788	63170	\N	\N	\N
672785	2298	1996-05-12	PRIJEM	VKLAD	21788	63099	\N	\N	\N
672786	2298	1996-06-12	PRIJEM	VKLAD	32682	75220	\N	\N	\N
672787	2298	1996-07-12	PRIJEM	VKLAD	21788	57460	\N	\N	\N
672788	2298	1996-08-12	PRIJEM	VKLAD	21788	62169	\N	\N	\N
672789	2298	1996-09-12	PRIJEM	VKLAD	21788	65493	\N	\N	\N
672790	2298	1996-10-12	PRIJEM	VKLAD	21788	62917	\N	\N	\N
672791	2298	1996-11-12	PRIJEM	VKLAD	21788	64939	\N	\N	\N
672792	2298	1996-12-12	PRIJEM	VKLAD	32682	71752	\N	\N	\N
672793	2298	1997-01-12	PRIJEM	VKLAD	21788	64269	\N	\N	\N
672794	2298	1997-02-12	PRIJEM	VKLAD	21788	52361	\N	\N	\N
672795	2298	1997-03-12	PRIJEM	VKLAD	21788	57139	\N	\N	\N
672796	2298	1997-04-12	PRIJEM	VKLAD	21788	58934	\N	\N	\N
672797	2298	1997-05-12	PRIJEM	VKLAD	21788	56234	\N	\N	\N
672798	2298	1997-06-12	PRIJEM	VKLAD	32682	66623	\N	\N	\N
672799	2298	1997-07-12	PRIJEM	VKLAD	21788	63226	\N	\N	\N
672800	2298	1997-08-12	PRIJEM	VKLAD	21788	51323	\N	\N	\N
672801	2298	1997-09-12	PRIJEM	VKLAD	21788	57437	\N	\N	\N
672802	2298	1997-10-12	PRIJEM	VKLAD	21788	58782	\N	\N	\N
672803	2298	1997-11-12	PRIJEM	VKLAD	21788	57337	\N	\N	\N
672804	2298	1997-12-12	PRIJEM	VKLAD	32682	67280	\N	\N	\N
672805	2298	1998-01-12	PRIJEM	VKLAD	21788	52650	\N	\N	\N
672806	2298	1998-02-12	PRIJEM	VKLAD	21788	46985	\N	\N	\N
672807	2298	1998-03-12	PRIJEM	VKLAD	21788	50393	\N	\N	\N
672808	2298	1998-04-12	PRIJEM	VKLAD	21788	50809	\N	\N	\N
672809	2298	1998-05-12	PRIJEM	VKLAD	21788	51126	\N	\N	\N
672810	2298	1998-06-12	PRIJEM	VKLAD	32682	56839	\N	\N	\N
672811	2298	1998-07-12	PRIJEM	VKLAD	21788	50270	\N	\N	\N
672812	2298	1998-08-12	PRIJEM	VKLAD	21788	43591	\N	\N	\N
672813	2298	1998-09-12	PRIJEM	VKLAD	21788	41768	\N	\N	\N
672814	2298	1998-10-12	PRIJEM	VKLAD	21788	46241	\N	\N	\N
672815	2298	1998-11-12	PRIJEM	VKLAD	21788	53235	\N	\N	\N
672816	2298	1998-12-12	PRIJEM	VKLAD	32682	65049	\N	\N	\N
672828	2298	1993-12-08	VYDAJ	PREVOD NA UCET	4550	41250	SIPO	UV	63721817
672829	2298	1994-01-08	VYDAJ	PREVOD NA UCET	4550	42845	SIPO	UV	63721817
672830	2298	1994-02-08	VYDAJ	PREVOD NA UCET	4550	41497	SIPO	UV	63721817
672831	2298	1994-03-08	VYDAJ	PREVOD NA UCET	4550	39356	SIPO	UV	63721817
672832	2298	1994-04-08	VYDAJ	PREVOD NA UCET	4550	37133	SIPO	UV	63721817
672833	2298	1994-05-08	VYDAJ	PREVOD NA UCET	4550	39672	SIPO	UV	63721817
672834	2298	1994-06-08	VYDAJ	PREVOD NA UCET	4550	41619	SIPO	UV	63721817
672835	2298	1994-07-08	VYDAJ	PREVOD NA UCET	4550	34766	SIPO	UV	63721817
672836	2298	1994-08-08	VYDAJ	PREVOD NA UCET	4550	31391	SIPO	UV	63721817
672837	2298	1994-09-08	VYDAJ	PREVOD NA UCET	4550	35402	SIPO	UV	63721817
672838	2298	1994-10-08	VYDAJ	PREVOD NA UCET	4550	35625	SIPO	UV	63721817
672839	2298	1994-11-08	VYDAJ	PREVOD NA UCET	4550	34946	SIPO	UV	63721817
672840	2298	1994-12-08	VYDAJ	PREVOD NA UCET	4550	33752	SIPO	UV	63721817
672841	2298	1995-01-08	VYDAJ	PREVOD NA UCET	4550	36778	SIPO	UV	63721817
672842	2298	1995-02-08	VYDAJ	PREVOD NA UCET	4550	38202	SIPO	UV	63721817
672843	2298	1995-03-08	VYDAJ	PREVOD NA UCET	4550	40128	SIPO	UV	63721817
672844	2298	1995-04-08	VYDAJ	PREVOD NA UCET	4550	39160	SIPO	UV	63721817
672845	2298	1995-05-08	VYDAJ	PREVOD NA UCET	4550	39493	SIPO	UV	63721817
672846	2298	1995-06-08	VYDAJ	PREVOD NA UCET	4550	38627	SIPO	UV	63721817
672847	2298	1995-07-08	VYDAJ	PREVOD NA UCET	4550	39769	SIPO	UV	63721817
672848	2298	1995-08-08	VYDAJ	PREVOD NA UCET	4550	41804	SIPO	UV	63721817
672849	2298	1995-09-08	VYDAJ	PREVOD NA UCET	4550	45947	SIPO	UV	63721817
672850	2298	1995-10-08	VYDAJ	PREVOD NA UCET	4550	45200	SIPO	UV	63721817
672851	2298	1995-11-08	VYDAJ	PREVOD NA UCET	4550	46252	SIPO	UV	63721817
672852	2298	1995-12-08	VYDAJ	PREVOD NA UCET	4550	44902	SIPO	UV	63721817
672853	2298	1996-01-08	VYDAJ	PREVOD NA UCET	4550	49459	SIPO	UV	63721817
672854	2298	1996-02-08	VYDAJ	PREVOD NA UCET	4550	41707	SIPO	UV	63721817
672855	2298	1996-03-08	VYDAJ	PREVOD NA UCET	4550	45142	SIPO	UV	63721817
672856	2298	1996-04-08	VYDAJ	PREVOD NA UCET	4550	41382	SIPO	UV	63721817
672857	2298	1996-05-08	VYDAJ	PREVOD NA UCET	4550	41311	SIPO	UV	63721817
672858	2298	1996-06-08	VYDAJ	PREVOD NA UCET	4550	42538	SIPO	UV	63721817
672859	2298	1996-07-08	VYDAJ	PREVOD NA UCET	4550	35672	SIPO	UV	63721817
672860	2298	1996-08-08	VYDAJ	PREVOD NA UCET	4550	40381	SIPO	UV	63721817
672861	2298	1996-09-08	VYDAJ	PREVOD NA UCET	4550	43705	SIPO	UV	63721817
672862	2298	1996-10-08	VYDAJ	PREVOD NA UCET	4550	41129	SIPO	UV	63721817
672863	2298	1996-11-08	VYDAJ	PREVOD NA UCET	4550	43151	SIPO	UV	63721817
672864	2298	1996-12-08	VYDAJ	PREVOD NA UCET	4550	39070	SIPO	UV	63721817
672865	2298	1997-01-08	VYDAJ	PREVOD NA UCET	4550	42481	SIPO	UV	63721817
672866	2298	1997-02-08	VYDAJ	PREVOD NA UCET	4550	30573	SIPO	UV	63721817
672867	2298	1997-03-08	VYDAJ	PREVOD NA UCET	4550	35351	SIPO	UV	63721817
672868	2298	1997-04-08	VYDAJ	PREVOD NA UCET	4550	37146	SIPO	UV	63721817
672869	2298	1997-05-08	VYDAJ	PREVOD NA UCET	4550	34446	SIPO	UV	63721817
672870	2298	1997-06-08	VYDAJ	PREVOD NA UCET	4550	38641	SIPO	UV	63721817
672871	2298	1997-07-08	VYDAJ	PREVOD NA UCET	4550	41438	SIPO	UV	63721817
672872	2298	1997-08-08	VYDAJ	PREVOD NA UCET	4550	34935	SIPO	UV	63721817
672873	2298	1997-09-08	VYDAJ	PREVOD NA UCET	4550	46949	SIPO	UV	63721817
672874	2298	1997-10-08	VYDAJ	PREVOD NA UCET	4550	53094	SIPO	UV	63721817
672875	2298	1997-11-08	VYDAJ	PREVOD NA UCET	4550	52449	SIPO	UV	63721817
672876	2298	1997-12-08	VYDAJ	PREVOD NA UCET	4550	52098	SIPO	UV	63721817
672877	2298	1998-01-08	VYDAJ	PREVOD NA UCET	4550	50762	SIPO	UV	63721817
672878	2298	1998-02-08	VYDAJ	PREVOD NA UCET	4550	25197	SIPO	UV	63721817
672879	2298	1998-03-08	VYDAJ	PREVOD NA UCET	4550	42605	SIPO	UV	63721817
672880	2298	1998-04-08	VYDAJ	PREVOD NA UCET	4550	29021	SIPO	UV	63721817
672881	2298	1998-05-08	VYDAJ	PREVOD NA UCET	4550	29338	SIPO	UV	63721817
672882	2298	1998-06-08	VYDAJ	PREVOD NA UCET	4550	24157	SIPO	UV	63721817
672883	2298	1998-07-08	VYDAJ	PREVOD NA UCET	4550	28482	SIPO	UV	63721817
672884	2298	1998-08-08	VYDAJ	PREVOD NA UCET	4550	21803	SIPO	UV	63721817
672885	2298	1998-09-08	VYDAJ	PREVOD NA UCET	4550	19980	SIPO	UV	63721817
672886	2298	1998-10-08	VYDAJ	PREVOD NA UCET	4550	24453	SIPO	UV	63721817
672887	2298	1998-11-08	VYDAJ	PREVOD NA UCET	4550	31447	SIPO	UV	63721817
672888	2298	1998-12-08	VYDAJ	PREVOD NA UCET	4550	33267	SIPO	UV	63721817
672890	2298	1994-06-22	VYDAJ	VYBER	22200	49001	\N	\N	\N
672891	2298	1995-06-25	VYDAJ	VYBER	5900	44109	\N	\N	\N
672892	2298	1996-06-25	VYDAJ	VYBER	15000	40020	\N	\N	\N
672893	2298	1997-06-09	VYDAJ	VYBER	4700	33941	\N	\N	\N
672896	2298	1994-01-02	VYDAJ	VYBER	2100	47395	\N	\N	\N
672897	2298	1995-01-02	VYDAJ	VYBER	2900	41328	\N	\N	\N
672898	2298	1996-01-18	VYDAJ	VYBER	9700	61547	\N	\N	\N
672899	2298	1997-01-17	VYDAJ	VYBER	7600	34969	\N	\N	\N
672900	2298	1998-01-06	VYDAJ	VYBER	7200	55312	\N	\N	\N
672901	2298	1993-12-06	VYDAJ	VYBER	1500	45800	\N	\N	\N
672902	2298	1994-12-11	VYDAJ	VYBER	2300	31452	\N	\N	\N
672903	2298	1995-12-15	VYDAJ	VYBER	2700	74884	\N	\N	\N
672904	2298	1996-12-01	VYDAJ	VYBER	2300	43620	\N	\N	\N
672905	2298	1997-12-02	VYDAJ	VYBER	900	56648	\N	\N	\N
672906	2298	1998-12-22	VYDAJ	VYBER KARTOU	1200	63849	\N	\N	0
672912	2298	1994-11-09	VYDAJ	VYBER	4200	30746	\N	\N	\N
672913	2298	1994-10-13	VYDAJ	VYBER	800	56613	\N	\N	\N
672914	2298	1994-06-20	VYDAJ	VYBER	3100	71201	\N	\N	\N
672915	2298	1994-08-03	VYDAJ	VYBER	4300	35941	\N	\N	\N
672916	2298	1994-01-09	VYDAJ	VYBER	2700	40145	\N	\N	\N
672917	2298	1994-04-01	VYDAJ	VYBER	3400	41683	\N	\N	\N
672918	2298	1995-03-16	VYDAJ	VYBER	4600	57316	\N	\N	\N
672919	2298	1995-05-30	VYDAJ	VYBER	1500	42981	\N	\N	\N
672920	2298	1995-02-09	VYDAJ	VYBER	1100	37102	\N	\N	\N
672921	2298	1995-02-21	VYDAJ	VYBER	2000	56890	\N	\N	\N
672922	2298	1996-03-25	VYDAJ	VYBER	3600	45730	\N	\N	\N
672923	2298	1996-10-15	VYDAJ	VYBER	1100	47517	\N	\N	\N
672924	2298	1996-09-16	VYDAJ	VYBER	2400	45493	\N	\N	\N
672925	2298	1996-05-04	VYDAJ	VYBER	1100	45861	\N	\N	\N
672926	2298	1997-04-27	VYDAJ	VYBER	4500	38834	\N	\N	\N
672927	2298	1997-04-19	VYDAJ	VYBER	3100	43334	\N	\N	\N
672928	2298	1997-10-26	VYDAJ	VYBER	2000	56782	\N	\N	\N
672929	2298	1997-12-25	VYDAJ	VYBER	4100	62280	\N	\N	\N
672930	2298	1997-12-12	VYDAJ	VYBER	900	66380	\N	\N	\N
672931	2298	1997-06-15	VYDAJ	VYBER	800	45823	\N	\N	\N
672932	2298	1997-07-20	VYDAJ	VYBER	3300	39326	\N	\N	\N
672933	2298	1998-08-24	VYDAJ	VYBER KARTOU	1900	35891	\N	\N	0
672934	2298	1998-05-31	VYDAJ	VYBER	2600	48707	\N	\N	\N
672935	2298	1998-08-13	VYDAJ	VYBER KARTOU	3300	37791	\N	\N	0
672936	2298	1998-08-12	VYDAJ	VYBER KARTOU	2500	41091	\N	\N	0
672937	2298	1998-12-09	VYDAJ	VYBER KARTOU	900	32367	\N	\N	0
672938	2298	1998-12-30	VYDAJ	VYBER KARTOU	3800	60049	\N	\N	0
672950	2298	1993-11-30	VYDAJ	VYBER	15	68000	SLUZBY	\N	\N
672951	2298	1993-12-31	VYDAJ	VYBER	15	49495	SLUZBY	\N	\N
672952	2298	1994-01-31	VYDAJ	VYBER	15	46047	SLUZBY	\N	\N
672953	2298	1994-02-28	VYDAJ	VYBER	15	63506	SLUZBY	\N	\N
672954	2298	1994-03-31	VYDAJ	VYBER	15	45083	SLUZBY	\N	\N
672955	2298	1994-04-30	VYDAJ	VYBER	15	44222	SLUZBY	\N	\N
672956	2298	1994-05-31	VYDAJ	VYBER	15	46169	SLUZBY	\N	\N
672957	2298	1994-06-30	VYDAJ	VYBER	15	39316	SLUZBY	\N	\N
672958	2298	1994-07-31	VYDAJ	VYBER	15	40241	SLUZBY	\N	\N
672959	2298	1994-08-31	VYDAJ	VYBER	15	39952	SLUZBY	\N	\N
672960	2298	1994-09-30	VYDAJ	VYBER	15	40175	SLUZBY	\N	\N
672961	2298	1994-10-31	VYDAJ	VYBER	15	39496	SLUZBY	\N	\N
672962	2298	1994-11-30	VYDAJ	VYBER	15	38302	SLUZBY	\N	\N
672963	2298	1994-12-31	VYDAJ	VYBER	15	44228	SLUZBY	\N	\N
672964	2298	1995-01-31	VYDAJ	VYBER	15	42752	SLUZBY	\N	\N
672965	2298	1995-02-28	VYDAJ	VYBER	15	44678	SLUZBY	\N	\N
672966	2298	1995-03-31	VYDAJ	VYBER	15	43710	SLUZBY	\N	\N
672967	2298	1995-04-30	VYDAJ	VYBER	15	44043	SLUZBY	\N	\N
672968	2298	1995-05-31	VYDAJ	VYBER	15	43177	SLUZBY	\N	\N
672969	2298	1995-06-30	VYDAJ	VYBER	15	44319	SLUZBY	\N	\N
672970	2298	1995-07-31	VYDAJ	VYBER	15	46354	SLUZBY	\N	\N
672971	2298	1995-08-31	VYDAJ	VYBER	15	50497	SLUZBY	\N	\N
672972	2298	1995-09-30	VYDAJ	VYBER	15	49750	SLUZBY	\N	\N
672973	2298	1995-10-31	VYDAJ	VYBER	15	50802	SLUZBY	\N	\N
672974	2298	1995-11-30	VYDAJ	VYBER	15	49452	SLUZBY	\N	\N
672975	2298	1995-12-31	VYDAJ	VYBER	15	54009	SLUZBY	\N	\N
672976	2298	1996-01-31	VYDAJ	VYBER	15	46257	SLUZBY	\N	\N
672977	2298	1996-02-29	VYDAJ	VYBER	15	49692	SLUZBY	\N	\N
672978	2298	1996-03-31	VYDAJ	VYBER	15	45932	SLUZBY	\N	\N
672979	2298	1996-04-30	VYDAJ	VYBER	15	46961	SLUZBY	\N	\N
672980	2298	1996-05-31	VYDAJ	VYBER	15	47088	SLUZBY	\N	\N
672981	2298	1996-06-30	VYDAJ	VYBER	15	40222	SLUZBY	\N	\N
672982	2298	1996-07-31	VYDAJ	VYBER	15	44931	SLUZBY	\N	\N
672983	2298	1996-08-31	VYDAJ	VYBER	15	48255	SLUZBY	\N	\N
672984	2298	1996-09-30	VYDAJ	VYBER	15	45679	SLUZBY	\N	\N
672985	2298	1996-10-31	VYDAJ	VYBER	15	47701	SLUZBY	\N	\N
672986	2298	1996-11-30	VYDAJ	VYBER	15	45920	SLUZBY	\N	\N
672987	2298	1996-12-31	VYDAJ	VYBER	15	47031	SLUZBY	\N	\N
672988	2298	1997-01-31	VYDAJ	VYBER	15	35123	SLUZBY	\N	\N
672989	2298	1997-02-28	VYDAJ	VYBER	15	39901	SLUZBY	\N	\N
672990	2298	1997-03-31	VYDAJ	VYBER	15	41696	SLUZBY	\N	\N
672991	2298	1997-04-30	VYDAJ	VYBER	15	38996	SLUZBY	\N	\N
672992	2298	1997-05-31	VYDAJ	VYBER	15	43191	SLUZBY	\N	\N
672993	2298	1997-06-30	VYDAJ	VYBER	15	45988	SLUZBY	\N	\N
672994	2298	1997-07-31	VYDAJ	VYBER	15	39485	SLUZBY	\N	\N
672995	2298	1997-08-31	VYDAJ	VYBER	15	51499	SLUZBY	\N	\N
672996	2298	1997-09-30	VYDAJ	VYBER	15	57644	SLUZBY	\N	\N
672997	2298	1997-10-31	VYDAJ	VYBER	15	56999	SLUZBY	\N	\N
672998	2298	1997-11-30	VYDAJ	VYBER	15	57548	SLUZBY	\N	\N
672999	2298	1997-12-31	VYDAJ	VYBER	15	62512	SLUZBY	\N	\N
673000	2298	1998-01-31	VYDAJ	VYBER	15	52847	SLUZBY	\N	\N
673001	2298	1998-02-28	VYDAJ	VYBER	15	47155	SLUZBY	\N	\N
673002	2298	1998-03-31	VYDAJ	VYBER	15	50571	SLUZBY	\N	\N
673003	2298	1998-04-30	VYDAJ	VYBER	15	50988	SLUZBY	\N	\N
673004	2298	1998-05-31	VYDAJ	VYBER	15	51307	SLUZBY	\N	\N
673005	2298	1998-06-30	VYDAJ	VYBER	15	57032	SLUZBY	\N	\N
673006	2298	1998-07-31	VYDAJ	VYBER	15	50453	SLUZBY	\N	\N
673007	2298	1998-08-31	VYDAJ	VYBER	15	36030	SLUZBY	\N	\N
673008	2298	1998-09-30	VYDAJ	VYBER	15	41903	SLUZBY	\N	\N
673009	2298	1998-10-31	VYDAJ	VYBER	15	46397	SLUZBY	\N	\N
673010	2298	1998-11-30	VYDAJ	VYBER	15	53417	SLUZBY	\N	\N
673011	2298	1993-08-02	VYDAJ	VYBER	800	22049	\N	\N	\N
673012	2298	1993-09-01	VYDAJ	VYBER	8900	35089	\N	\N	\N
673013	2298	1993-10-01	VYDAJ	VYBER	16500	40594	\N	\N	\N
673014	2298	1993-10-31	VYDAJ	VYBER	16600	46031	\N	\N	\N
673015	2298	1993-11-30	VYDAJ	VYBER	20700	47300	\N	\N	\N
673016	2298	1993-12-30	VYDAJ	VYBER	24700	49232	\N	\N	\N
673017	2298	1994-01-29	VYDAJ	VYBER	16100	45833	\N	\N	\N
673018	2298	1994-02-28	VYDAJ	VYBER	19600	43906	\N	\N	\N
673019	2298	1994-03-30	VYDAJ	VYBER	16300	44844	\N	\N	\N
673020	2298	1994-04-29	VYDAJ	VYBER	14900	44021	\N	\N	\N
673021	2298	1994-05-29	VYDAJ	VYBER	15500	45960	\N	\N	\N
673022	2298	1994-06-28	VYDAJ	VYBER	9900	39101	\N	\N	\N
673023	2298	1994-07-28	VYDAJ	VYBER	16500	40054	\N	\N	\N
673024	2298	1994-08-27	VYDAJ	VYBER	13400	39779	\N	\N	\N
673025	2298	1994-09-26	VYDAJ	VYBER	17200	39990	\N	\N	\N
673026	2298	1994-10-26	VYDAJ	VYBER	17300	39313	\N	\N	\N
673027	2298	1994-11-25	VYDAJ	VYBER	14400	38134	\N	\N	\N
673028	2298	1994-12-25	VYDAJ	VYBER	20100	44034	\N	\N	\N
673029	2298	1995-01-24	VYDAJ	VYBER	16000	42566	\N	\N	\N
673030	2298	1995-02-23	VYDAJ	VYBER	12400	44490	\N	\N	\N
673031	2298	1995-03-25	VYDAJ	VYBER	13800	43516	\N	\N	\N
673032	2298	1995-04-24	VYDAJ	VYBER	17100	43848	\N	\N	\N
673033	2298	1995-05-24	VYDAJ	VYBER	16800	44481	\N	\N	\N
673034	2298	1995-06-23	VYDAJ	VYBER	21300	50009	\N	\N	\N
673035	2298	1995-07-23	VYDAJ	VYBER	15400	46157	\N	\N	\N
673036	2298	1995-08-22	VYDAJ	VYBER	13300	50292	\N	\N	\N
673037	2298	1995-09-21	VYDAJ	VYBER	18200	49535	\N	\N	\N
673038	2298	1995-10-21	VYDAJ	VYBER	16400	50588	\N	\N	\N
673039	2298	1995-11-20	VYDAJ	VYBER	18800	49240	\N	\N	\N
673040	2298	1995-12-20	VYDAJ	VYBER	21100	53784	\N	\N	\N
673041	2298	1996-01-19	VYDAJ	VYBER	15500	46047	\N	\N	\N
673042	2298	1996-02-18	VYDAJ	VYBER	14000	49495	\N	\N	\N
673043	2298	1996-03-19	VYDAJ	VYBER	17600	49330	\N	\N	\N
673044	2298	1996-04-18	VYDAJ	VYBER	16400	46770	\N	\N	\N
673045	2298	1996-05-18	VYDAJ	VYBER	16200	46899	\N	\N	\N
673046	2298	1996-06-17	VYDAJ	VYBER	20200	55020	\N	\N	\N
673047	2298	1996-07-17	VYDAJ	VYBER	12700	44760	\N	\N	\N
673048	2298	1996-08-16	VYDAJ	VYBER	14100	48069	\N	\N	\N
673049	2298	1996-09-15	VYDAJ	VYBER	17600	47893	\N	\N	\N
673050	2298	1996-10-15	VYDAJ	VYBER	14300	48617	\N	\N	\N
673051	2298	1996-11-14	VYDAJ	VYBER	19200	45739	\N	\N	\N
673052	2298	1996-12-14	VYDAJ	VYBER	24900	46852	\N	\N	\N
673053	2298	1997-01-13	VYDAJ	VYBER	21700	42569	\N	\N	\N
673054	2298	1997-02-12	VYDAJ	VYBER	12600	39761	\N	\N	\N
673055	2298	1997-03-14	VYDAJ	VYBER	15600	41539	\N	\N	\N
673056	2298	1997-04-13	VYDAJ	VYBER	12500	46434	\N	\N	\N
673057	2298	1997-05-13	VYDAJ	VYBER	13200	43034	\N	\N	\N
673058	2298	1997-06-12	VYDAJ	VYBER	20000	46623	\N	\N	\N
673059	2298	1997-07-12	VYDAJ	VYBER	20600	42626	\N	\N	\N
673060	2298	1997-08-11	VYDAJ	VYBER	5400	29535	\N	\N	\N
673061	2298	1997-09-10	VYDAJ	VYBER	11300	35649	\N	\N	\N
673062	2298	1997-10-10	VYDAJ	VYBER	16100	36994	\N	\N	\N
673063	2298	1997-11-09	VYDAJ	VYBER	16900	35549	\N	\N	\N
673064	2298	1997-12-09	VYDAJ	VYBER	17500	34598	\N	\N	\N
673065	2298	1998-01-08	VYDAJ	VYBER	19900	30862	\N	\N	\N
673066	2298	1998-02-07	VYDAJ	VYBER	23100	29747	\N	\N	\N
673067	2298	1998-03-09	VYDAJ	VYBER	14000	28605	\N	\N	\N
673068	2298	1998-04-08	VYDAJ	VYBER	17000	33571	\N	\N	\N
673069	2298	1998-05-08	VYDAJ	VYBER	17100	33888	\N	\N	\N
673070	2298	1998-06-07	VYDAJ	VYBER	20000	28707	\N	\N	\N
673071	2298	1998-07-07	VYDAJ	VYBER	24000	33032	\N	\N	\N
673072	2298	1998-08-06	VYDAJ	VYBER	24100	26353	\N	\N	\N
673073	2298	1998-09-05	VYDAJ	VYBER	11500	24530	\N	\N	\N
673074	2298	1998-10-05	VYDAJ	VYBER	12900	29003	\N	\N	\N
673075	2298	1998-11-04	VYDAJ	VYBER	10400	35997	\N	\N	\N
673076	2298	1998-12-04	VYDAJ	VYBER	15600	37817	\N	\N	\N
673143	2299	1997-01-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
673145	2299	1997-02-13	PRIJEM	VKLAD	8056	9056	\N	\N	\N
673146	2299	1997-03-13	PRIJEM	VKLAD	8056	22832	\N	\N	\N
673147	2299	1997-04-13	PRIJEM	VKLAD	8056	29558	\N	\N	\N
673148	2299	1997-05-13	PRIJEM	VKLAD	8056	35712	\N	\N	\N
673149	2299	1997-06-13	PRIJEM	VKLAD	12084	41113	\N	\N	\N
673150	2299	1997-07-13	PRIJEM	VKLAD	8056	17848	\N	\N	\N
673151	2299	1997-08-13	PRIJEM	VKLAD	8056	28247	\N	\N	\N
673152	2299	1997-09-13	PRIJEM	VKLAD	8056	32380	\N	\N	\N
673153	2299	1997-10-13	PRIJEM	VKLAD	8056	35529	\N	\N	\N
673154	2299	1997-11-13	PRIJEM	VKLAD	8056	32479	\N	\N	\N
673155	2299	1997-12-13	PRIJEM	VKLAD	12084	36453	\N	\N	\N
673156	2299	1998-01-13	PRIJEM	VKLAD	8056	25505	\N	\N	\N
673157	2299	1998-02-13	PRIJEM	VKLAD	8056	10005	\N	\N	\N
673158	2299	1998-03-13	PRIJEM	VKLAD	8056	13762	\N	\N	\N
673159	2299	1998-04-13	PRIJEM	VKLAD	8056	15536	\N	\N	\N
673160	2299	1998-05-13	PRIJEM	VKLAD	8056	20426	\N	\N	\N
673161	2299	1998-06-13	PRIJEM	VKLAD	12084	12844	\N	\N	\N
673162	2299	1998-07-13	PRIJEM	VKLAD	8056	11321	\N	\N	\N
673163	2299	1998-08-13	PRIJEM	VKLAD	8056	14286	\N	\N	\N
673164	2299	1998-09-13	PRIJEM	VKLAD	8056	15156	\N	\N	\N
673165	2299	1998-10-13	PRIJEM	VKLAD	8056	14245	\N	\N	\N
673166	2299	1998-11-13	PRIJEM	VKLAD	8056	7832	\N	\N	\N
673167	2299	1998-12-13	PRIJEM	VKLAD	12084	19128	\N	\N	\N
673168	2299	1997-06-21	VYDAJ	VYBER	21100	9713	\N	\N	\N
673169	2299	1998-06-10	VYDAJ	VYBER	9900	760	\N	\N	\N
673171	2299	1998-01-22	VYDAJ	VYBER	8400	1905	\N	\N	\N
673172	2299	1997-12-22	VYDAJ	VYBER	2300	23553	\N	\N	\N
673173	2299	1998-12-04	VYDAJ	VYBER	2100	5744	\N	\N	\N
673180	2299	1998-01-21	VYDAJ	VYBER	1200	13205	\N	\N	\N
673181	2299	1998-01-12	VYDAJ	VYBER	2700	17449	\N	\N	\N
673182	2299	1998-01-21	VYDAJ	VYBER	2900	10305	\N	\N	\N
673183	2299	1998-01-11	VYDAJ	VYBER	700	20149	\N	\N	\N
673184	2299	1998-01-03	VYDAJ	VYBER	1700	21949	\N	\N	\N
673185	2299	1998-01-03	VYDAJ	VYBER	1100	20849	\N	\N	\N
673186	2299	1997-12-01	VYDAJ	VYBER	1700	24369	\N	\N	\N
673188	2299	1997-09-21	VYDAJ	VYBER	1500	27380	\N	\N	\N
673189	2299	1998-05-23	VYDAJ	VYBER	1500	10626	\N	\N	\N
673190	2299	1998-01-17	VYDAJ	VYBER	1800	14405	\N	\N	\N
673191	2299	1998-10-31	VYDAJ	VYBER	1800	4776	\N	\N	\N
673192	2299	1998-06-20	VYDAJ	VYBER	4700	4644	\N	\N	\N
673193	2299	1998-07-03	VYDAJ	VYBER	1400	3265	\N	\N	\N
673194	2299	1998-04-04	VYDAJ	VYBER	2600	7480	\N	\N	\N
673201	2299	1997-06-30	VYDAJ	VYBER	15	9792	SLUZBY	\N	\N
673202	2299	1997-07-31	VYDAJ	VYBER	15	20191	SLUZBY	\N	\N
673203	2299	1997-08-31	VYDAJ	VYBER	15	24324	SLUZBY	\N	\N
673204	2299	1997-09-30	VYDAJ	VYBER	15	27473	SLUZBY	\N	\N
673205	2299	1997-10-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
673206	2299	1997-11-30	VYDAJ	VYBER	15	26069	SLUZBY	\N	\N
673207	2299	1997-12-31	VYDAJ	VYBER	15	23649	SLUZBY	\N	\N
673208	2299	1998-01-31	VYDAJ	VYBER	15	1949	SLUZBY	\N	\N
673209	2299	1998-02-28	VYDAJ	VYBER	15	5706	SLUZBY	\N	\N
673210	2299	1998-03-31	VYDAJ	VYBER	15	10080	SLUZBY	\N	\N
673211	2299	1998-04-30	VYDAJ	VYBER	15	12370	SLUZBY	\N	\N
673212	2299	1998-05-31	VYDAJ	VYBER	15	10660	SLUZBY	\N	\N
673213	2299	1998-06-30	VYDAJ	VYBER	15	4665	SLUZBY	\N	\N
673214	2299	1998-07-31	VYDAJ	VYBER	15	6230	SLUZBY	\N	\N
673215	2299	1998-08-31	VYDAJ	VYBER	15	7100	SLUZBY	\N	\N
673216	2299	1998-09-30	VYDAJ	VYBER	15	6189	SLUZBY	\N	\N
673217	2299	1998-10-31	VYDAJ	VYBER	15	6576	SLUZBY	\N	\N
673218	2299	1998-11-30	VYDAJ	VYBER	15	7844	SLUZBY	\N	\N
673219	2299	1997-02-20	PRIJEM	VKLAD	5700	14756	\N	\N	\N
673220	2299	1997-03-22	VYDAJ	VYBER	1400	21432	\N	\N	\N
673221	2299	1997-04-21	VYDAJ	VYBER	2000	27558	\N	\N	\N
673222	2299	1997-05-21	VYDAJ	VYBER	6800	28912	\N	\N	\N
673223	2299	1997-06-20	VYDAJ	VYBER	10300	30813	\N	\N	\N
673224	2299	1997-07-20	PRIJEM	VKLAD	2300	20148	\N	\N	\N
673225	2299	1997-08-19	VYDAJ	VYBER	4000	24247	\N	\N	\N
673226	2299	1997-09-18	VYDAJ	VYBER	3500	28880	\N	\N	\N
673227	2299	1997-10-18	VYDAJ	VYBER	11200	24329	\N	\N	\N
673228	2299	1997-11-17	VYDAJ	VYBER	6500	25979	\N	\N	\N
673229	2299	1997-12-17	VYDAJ	VYBER	10600	25853	\N	\N	\N
673230	2299	1998-01-16	VYDAJ	VYBER	9300	16205	\N	\N	\N
673231	2299	1998-02-15	VYDAJ	VYBER	4300	5705	\N	\N	\N
673232	2299	1998-03-17	VYDAJ	VYBER	3700	10062	\N	\N	\N
673233	2299	1998-04-16	VYDAJ	VYBER	3200	12336	\N	\N	\N
673234	2299	1998-05-16	VYDAJ	VYBER	8300	12126	\N	\N	\N
673235	2299	1998-06-15	VYDAJ	VYBER	3500	9344	\N	\N	\N
673236	2299	1998-07-15	VYDAJ	VYBER	5100	6221	\N	\N	\N
673237	2299	1998-08-14	VYDAJ	VYBER	7200	7086	\N	\N	\N
673238	2299	1998-09-13	VYDAJ	VYBER	9000	6156	\N	\N	\N
673239	2299	1998-10-13	VYDAJ	VYBER	7700	6545	\N	\N	\N
673240	2299	1998-11-12	VYDAJ	VYBER	5000	-224	\N	\N	\N
673241	2299	1998-12-12	PRIJEM	VKLAD	1300	7044	\N	\N	\N
673265	2300	1997-01-13	PRIJEM	VKLAD	500	500	\N	\N	\N
673303	2300	1997-02-12	PRIJEM	VKLAD	11500	12000	\N	\N	\N
673304	2300	1997-03-14	PRIJEM	VKLAD	4600	16600	\N	\N	\N
673305	2300	1997-04-13	PRIJEM	VKLAD	2000	18600	\N	\N	\N
673306	2300	1997-05-13	PRIJEM	VKLAD	600	19200	\N	\N	\N
673307	2300	1997-06-12	PRIJEM	VKLAD	200	19400	\N	\N	\N
673308	2300	1997-07-12	PRIJEM	VKLAD	200	19600	\N	\N	\N
673309	2300	1997-08-11	VYDAJ	VYBER	1600	18000	\N	\N	\N
673310	2300	1997-09-10	PRIJEM	VKLAD	3100	21100	\N	\N	\N
673311	2300	1997-10-10	VYDAJ	VYBER	300	20800	\N	\N	\N
673312	2300	1997-11-09	VYDAJ	VYBER	1000	19800	\N	\N	\N
673313	2300	1997-12-09	VYDAJ	VYBER	2600	17200	\N	\N	\N
673314	2300	1998-01-08	VYDAJ	VYBER	6700	10500	\N	\N	\N
673315	2300	1998-05-08	PRIJEM	VKLAD	1100	11600	\N	\N	\N
673316	2300	1998-06-07	VYDAJ	VYBER	1700	9900	\N	\N	\N
673317	2301	1995-10-10	PRIJEM	VKLAD	200	200	\N	\N	\N
673328	2301	1995-11-09	PRIJEM	VKLAD	20402	21702	\N	\N	\N
673329	2301	1995-12-09	PRIJEM	VKLAD	30603	52371	\N	\N	\N
673330	2301	1996-01-09	PRIJEM	VKLAD	20402	58259	\N	\N	\N
673331	2301	1996-02-09	PRIJEM	VKLAD	20402	64197	\N	\N	\N
673332	2301	1996-03-09	PRIJEM	VKLAD	20402	65859	\N	\N	\N
673333	2301	1996-04-09	PRIJEM	VKLAD	20402	61672	\N	\N	\N
673334	2301	1996-05-09	PRIJEM	VKLAD	20402	60797	\N	\N	\N
673335	2301	1996-06-09	PRIJEM	VKLAD	30603	73101	\N	\N	\N
673336	2301	1996-07-09	PRIJEM	VKLAD	20402	46478	\N	\N	\N
673337	2301	1996-08-09	PRIJEM	VKLAD	20402	58104	\N	\N	\N
673338	2301	1996-09-09	PRIJEM	VKLAD	20402	62086	\N	\N	\N
673339	2301	1996-10-09	PRIJEM	VKLAD	20402	62612	\N	\N	\N
673340	2301	1996-11-09	PRIJEM	VKLAD	20402	62575	\N	\N	\N
673341	2301	1996-12-09	PRIJEM	VKLAD	30603	77182	\N	\N	\N
673342	2301	1997-01-09	PRIJEM	VKLAD	20402	72735	\N	\N	\N
673343	2301	1997-02-09	PRIJEM	VKLAD	20402	51656	\N	\N	\N
673344	2301	1997-03-09	PRIJEM	VKLAD	20402	59708	\N	\N	\N
673345	2301	1997-04-09	PRIJEM	VKLAD	20402	67398	\N	\N	\N
673346	2301	1997-05-09	PRIJEM	VKLAD	20402	69521	\N	\N	\N
673347	2301	1997-06-09	PRIJEM	VKLAD	30603	76560	\N	\N	\N
673348	2301	1997-07-09	PRIJEM	VKLAD	20402	56367	\N	\N	\N
673349	2301	1997-08-09	PRIJEM	VKLAD	20402	63742	\N	\N	\N
673350	2301	1997-09-09	PRIJEM	VKLAD	20402	68839	\N	\N	\N
673351	2301	1997-10-09	PRIJEM	VKLAD	20402	68054	\N	\N	\N
673352	2301	1997-11-09	PRIJEM	VKLAD	20402	62164	\N	\N	\N
673353	2301	1997-12-09	PRIJEM	VKLAD	30603	71756	\N	\N	\N
673354	2301	1998-01-09	PRIJEM	VKLAD	20402	63663	\N	\N	\N
673355	2301	1998-02-09	PRIJEM	VKLAD	20402	54032	\N	\N	\N
673356	2301	1998-03-09	PRIJEM	VKLAD	20402	58784	\N	\N	\N
673357	2301	1998-04-09	PRIJEM	VKLAD	20402	56552	\N	\N	\N
673358	2301	1998-05-09	PRIJEM	VKLAD	20402	57412	\N	\N	\N
673359	2301	1998-06-09	PRIJEM	VKLAD	30603	69877	\N	\N	\N
673360	2301	1998-07-09	PRIJEM	VKLAD	20402	55220	\N	\N	\N
673361	2301	1998-08-09	PRIJEM	VKLAD	20402	55271	\N	\N	\N
673362	2301	1998-09-09	PRIJEM	VKLAD	20402	58423	\N	\N	\N
673363	2301	1998-10-09	PRIJEM	VKLAD	20402	59683	\N	\N	\N
673364	2301	1998-11-09	PRIJEM	VKLAD	20402	60952	\N	\N	\N
673365	2301	1998-12-09	PRIJEM	VKLAD	30603	78436	\N	\N	\N
673380	2301	1996-03-10	VYDAJ	PREVOD NA UCET	6907	58952	SIPO	EF	56871384
673381	2301	1996-04-10	VYDAJ	PREVOD NA UCET	6907	54765	SIPO	EF	56871384
673382	2301	1996-05-10	VYDAJ	PREVOD NA UCET	6907	53890	SIPO	EF	56871384
673383	2301	1996-06-10	VYDAJ	PREVOD NA UCET	6907	66194	SIPO	EF	56871384
673384	2301	1996-07-10	VYDAJ	PREVOD NA UCET	6907	39571	SIPO	EF	56871384
673385	2301	1996-08-10	VYDAJ	PREVOD NA UCET	6907	51197	SIPO	EF	56871384
673386	2301	1996-09-10	VYDAJ	PREVOD NA UCET	6907	55179	SIPO	EF	56871384
673387	2301	1996-10-10	VYDAJ	PREVOD NA UCET	6907	55705	SIPO	EF	56871384
673388	2301	1996-11-10	VYDAJ	PREVOD NA UCET	6907	55668	SIPO	EF	56871384
673389	2301	1996-12-10	VYDAJ	PREVOD NA UCET	6907	70275	SIPO	EF	56871384
673390	2301	1997-01-10	VYDAJ	PREVOD NA UCET	6907	65828	SIPO	EF	56871384
673391	2301	1997-02-10	VYDAJ	PREVOD NA UCET	6907	44749	SIPO	EF	56871384
673392	2301	1997-03-10	VYDAJ	PREVOD NA UCET	6907	52801	SIPO	EF	56871384
673393	2301	1997-04-10	VYDAJ	PREVOD NA UCET	6907	60491	SIPO	EF	56871384
673394	2301	1997-05-10	VYDAJ	PREVOD NA UCET	6907	62614	SIPO	EF	56871384
673395	2301	1997-06-10	VYDAJ	PREVOD NA UCET	6907	69653	SIPO	EF	56871384
673396	2301	1997-07-10	VYDAJ	PREVOD NA UCET	6907	49460	SIPO	EF	56871384
673397	2301	1997-08-10	VYDAJ	PREVOD NA UCET	6907	56835	SIPO	EF	56871384
673398	2301	1997-09-10	VYDAJ	PREVOD NA UCET	6907	61932	SIPO	EF	56871384
673399	2301	1997-10-10	VYDAJ	PREVOD NA UCET	6907	61147	SIPO	EF	56871384
673400	2301	1997-11-10	VYDAJ	PREVOD NA UCET	6907	55257	SIPO	EF	56871384
673401	2301	1997-12-10	VYDAJ	PREVOD NA UCET	6907	64849	SIPO	EF	56871384
673402	2301	1998-01-10	VYDAJ	PREVOD NA UCET	6907	44276	SIPO	EF	56871384
673403	2301	1998-02-10	VYDAJ	PREVOD NA UCET	6907	47125	SIPO	EF	56871384
673404	2301	1998-03-10	VYDAJ	PREVOD NA UCET	6907	51877	SIPO	EF	56871384
673405	2301	1998-04-10	VYDAJ	PREVOD NA UCET	6907	49645	SIPO	EF	56871384
673406	2301	1998-05-10	VYDAJ	PREVOD NA UCET	6907	50505	SIPO	EF	56871384
673407	2301	1998-06-10	VYDAJ	PREVOD NA UCET	6907	62970	SIPO	EF	56871384
673408	2301	1998-07-10	VYDAJ	PREVOD NA UCET	6907	48313	SIPO	EF	56871384
673409	2301	1998-08-10	VYDAJ	PREVOD NA UCET	6907	48364	SIPO	EF	56871384
673410	2301	1998-09-10	VYDAJ	PREVOD NA UCET	6907	51516	SIPO	EF	56871384
673411	2301	1998-10-10	VYDAJ	PREVOD NA UCET	6907	52776	SIPO	EF	56871384
673412	2301	1998-11-10	VYDAJ	PREVOD NA UCET	6907	54045	SIPO	EF	56871384
673413	2301	1998-12-10	VYDAJ	PREVOD NA UCET	6907	69629	SIPO	EF	56871384
673415	2301	1996-06-10	VYDAJ	VYBER	44960	21234	\N	\N	\N
673416	2301	1997-06-28	VYDAJ	VYBER	27040	40613	\N	\N	\N
673417	2301	1998-06-13	VYDAJ	VYBER	13920	49050	\N	\N	\N
673420	2301	1997-01-27	VYDAJ	VYBER	14400	37228	\N	\N	\N
673421	2301	1998-01-09	VYDAJ	VYBER	12480	51183	\N	\N	\N
673423	2301	1996-12-19	VYDAJ	VYBER KARTOU	2900	67375	\N	\N	0
673424	2301	1997-12-24	VYDAJ	VYBER KARTOU	3500	61349	\N	\N	0
673425	2301	1998-12-10	VYDAJ	VYBER KARTOU	1900	76536	\N	\N	0
673438	2301	1997-01-15	VYDAJ	VYBER KARTOU	1400	60028	\N	\N	0
673439	2301	1997-01-16	VYDAJ	VYBER KARTOU	1200	58828	\N	\N	0
673440	2301	1997-01-25	VYDAJ	VYBER KARTOU	2400	56428	\N	\N	0
673441	2301	1997-01-15	VYDAJ	VYBER KARTOU	2400	61428	\N	\N	0
673442	2301	1997-01-11	VYDAJ	VYBER KARTOU	2000	63828	\N	\N	0
673443	2301	1997-01-08	VYDAJ	VYBER KARTOU	700	52333	\N	\N	0
673444	2301	1998-01-29	VYDAJ	VYBER KARTOU	700	33476	\N	\N	0
673445	2301	1998-01-22	VYDAJ	VYBER KARTOU	1300	37576	\N	\N	0
673446	2301	1998-01-12	VYDAJ	VYBER KARTOU	2600	41676	\N	\N	0
673447	2301	1998-01-15	VYDAJ	VYBER KARTOU	1700	39976	\N	\N	0
673448	2301	1998-01-20	VYDAJ	VYBER KARTOU	1100	38876	\N	\N	0
673449	2301	1998-01-05	VYDAJ	VYBER KARTOU	2300	43261	\N	\N	0
673454	2301	1996-04-23	VYDAJ	VYBER	3480	51285	\N	\N	\N
673456	2301	1996-10-03	VYDAJ	VYBER	1080	54310	\N	\N	\N
673457	2301	1996-10-31	VYDAJ	VYBER	5640	50287	\N	\N	\N
673458	2301	1996-04-04	VYDAJ	VYBER	720	58470	\N	\N	\N
673460	2301	1997-11-06	VYDAJ	VYBER KARTOU	3200	41762	\N	\N	0
673461	2301	1997-02-13	VYDAJ	VYBER KARTOU	1400	43349	\N	\N	0
673462	2301	1997-02-07	VYDAJ	VYBER KARTOU	3800	31254	\N	\N	0
673463	2301	1997-06-17	VYDAJ	VYBER KARTOU	2000	67653	\N	\N	0
673464	2301	1997-01-25	VYDAJ	VYBER	4800	51628	\N	\N	\N
673465	2301	1998-11-01	VYDAJ	VYBER KARTOU	2400	40550	\N	\N	0
673466	2301	1998-09-12	VYDAJ	VYBER KARTOU	1200	50316	\N	\N	0
673467	2301	1998-06-22	VYDAJ	VYBER KARTOU	2500	46550	\N	\N	0
673483	2301	1996-03-31	VYDAJ	VYBER	15	59190	SLUZBY	\N	\N
673484	2301	1996-04-30	VYDAJ	VYBER	15	51495	SLUZBY	\N	\N
673485	2301	1996-05-31	VYDAJ	VYBER	15	54098	SLUZBY	\N	\N
673486	2301	1996-06-30	VYDAJ	VYBER	15	21476	SLUZBY	\N	\N
673487	2301	1996-07-31	VYDAJ	VYBER	15	39702	SLUZBY	\N	\N
673488	2301	1996-08-31	VYDAJ	VYBER	15	51384	SLUZBY	\N	\N
673489	2301	1996-09-30	VYDAJ	VYBER	15	55390	SLUZBY	\N	\N
673490	2301	1996-10-31	VYDAJ	VYBER	15	50273	SLUZBY	\N	\N
673491	2301	1996-11-30	VYDAJ	VYBER	15	55879	SLUZBY	\N	\N
673492	2301	1996-12-31	VYDAJ	VYBER	15	67633	SLUZBY	\N	\N
673493	2301	1997-01-31	VYDAJ	VYBER	15	37454	SLUZBY	\N	\N
673494	2301	1997-02-28	VYDAJ	VYBER	15	43506	SLUZBY	\N	\N
673495	2301	1997-03-31	VYDAJ	VYBER	15	52996	SLUZBY	\N	\N
673496	2301	1997-04-30	VYDAJ	VYBER	15	60719	SLUZBY	\N	\N
673497	2301	1997-05-31	VYDAJ	VYBER	15	62857	SLUZBY	\N	\N
673498	2301	1997-06-30	VYDAJ	VYBER	15	40865	SLUZBY	\N	\N
673499	2301	1997-07-31	VYDAJ	VYBER	15	49640	SLUZBY	\N	\N
673500	2301	1997-08-31	VYDAJ	VYBER	15	48437	SLUZBY	\N	\N
673501	2301	1997-09-30	VYDAJ	VYBER	15	47652	SLUZBY	\N	\N
673502	2301	1997-10-31	VYDAJ	VYBER	15	44962	SLUZBY	\N	\N
673503	2301	1997-11-30	VYDAJ	VYBER	15	41153	SLUZBY	\N	\N
673504	2301	1997-12-31	VYDAJ	VYBER	15	45561	SLUZBY	\N	\N
673505	2301	1998-01-31	VYDAJ	VYBER	15	33630	SLUZBY	\N	\N
673506	2301	1998-02-28	VYDAJ	VYBER	15	38382	SLUZBY	\N	\N
673507	2301	1998-03-31	VYDAJ	VYBER	15	36150	SLUZBY	\N	\N
673508	2301	1998-04-30	VYDAJ	VYBER	15	37010	SLUZBY	\N	\N
673509	2301	1998-05-31	VYDAJ	VYBER	15	39274	SLUZBY	\N	\N
673510	2301	1998-06-30	VYDAJ	VYBER	15	34818	SLUZBY	\N	\N
673511	2301	1998-07-31	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
673512	2301	1998-08-31	VYDAJ	VYBER	15	38021	SLUZBY	\N	\N
673513	2301	1998-09-30	VYDAJ	VYBER	15	39281	SLUZBY	\N	\N
673514	2301	1998-10-31	VYDAJ	VYBER	15	42950	SLUZBY	\N	\N
673515	2301	1998-11-30	VYDAJ	VYBER	15	47833	SLUZBY	\N	\N
673516	2301	1995-11-09	PRIJEM	VKLAD	1100	1300	\N	\N	\N
673517	2301	1995-12-09	VYDAJ	VYBER	12300	40071	\N	\N	\N
673518	2301	1996-01-08	VYDAJ	VYBER	2400	37857	\N	\N	\N
673519	2301	1996-02-07	VYDAJ	VYBER	14700	43795	\N	\N	\N
673520	2301	1996-03-08	VYDAJ	VYBER	19000	45457	\N	\N	\N
673521	2301	1996-04-07	VYDAJ	VYBER	17200	41270	\N	\N	\N
673522	2301	1996-05-07	VYDAJ	VYBER	11100	40395	\N	\N	\N
673523	2301	1996-06-06	VYDAJ	VYBER	11600	42498	\N	\N	\N
673524	2301	1996-07-06	PRIJEM	VKLAD	4600	26076	\N	\N	\N
673525	2301	1996-08-05	VYDAJ	VYBER	2000	37702	\N	\N	\N
673526	2301	1996-09-04	VYDAJ	VYBER	9700	41684	\N	\N	\N
673527	2301	1996-10-04	VYDAJ	VYBER	12100	42210	\N	\N	\N
673528	2301	1996-11-03	VYDAJ	VYBER	8100	42173	\N	\N	\N
673529	2301	1996-12-03	VYDAJ	VYBER	9300	46579	\N	\N	\N
673530	2301	1997-01-02	VYDAJ	VYBER	14600	53033	\N	\N	\N
673531	2301	1997-02-01	VYDAJ	VYBER KARTOU	2400	35054	\N	\N	0
673532	2301	1997-03-03	VYDAJ	VYBER	4200	39306	\N	\N	\N
673533	2301	1997-04-02	VYDAJ	VYBER	6000	46996	\N	\N	\N
673534	2301	1997-05-02	VYDAJ	VYBER	11600	49119	\N	\N	\N
673535	2301	1997-06-01	VYDAJ	VYBER	16900	45957	\N	\N	\N
673536	2301	1997-07-01	VYDAJ	VYBER	4900	35965	\N	\N	\N
673537	2301	1997-07-31	VYDAJ	VYBER	6300	43340	\N	\N	\N
673538	2301	1997-08-30	VYDAJ	VYBER	8600	48235	\N	\N	\N
673539	2301	1997-09-29	VYDAJ	VYBER	14500	47432	\N	\N	\N
673540	2301	1997-10-29	VYDAJ	VYBER	16400	44747	\N	\N	\N
673541	2301	1997-11-28	VYDAJ	VYBER	14300	40957	\N	\N	\N
673542	2301	1997-12-28	VYDAJ	VYBER	16000	45349	\N	\N	\N
673543	2301	1998-01-27	VYDAJ	VYBER KARTOU	3400	34176	\N	\N	0
673544	2301	1998-02-26	VYDAJ	VYBER	8900	38225	\N	\N	\N
673545	2301	1998-03-28	VYDAJ	VYBER	15900	35977	\N	\N	\N
673546	2301	1998-04-27	VYDAJ	VYBER	12800	36845	\N	\N	\N
673547	2301	1998-05-27	VYDAJ	VYBER	11400	39105	\N	\N	\N
673548	2301	1998-06-26	VYDAJ	VYBER	11900	34650	\N	\N	\N
673549	2301	1998-07-26	VYDAJ	VYBER	13600	34713	\N	\N	\N
673550	2301	1998-08-25	VYDAJ	VYBER	10500	37864	\N	\N	\N
673551	2301	1998-09-24	VYDAJ	VYBER	11200	39116	\N	\N	\N
673552	2301	1998-10-24	VYDAJ	VYBER	10000	42776	\N	\N	\N
673553	2301	1998-11-23	VYDAJ	VYBER	6400	47645	\N	\N	\N
673592	2302	1993-09-10	PRIJEM	VKLAD	300	300	\N	\N	\N
673601	2302	1993-09-11	PRIJEM	VKLAD	12537	12837	\N	\N	\N
673602	2302	1993-10-11	PRIJEM	VKLAD	12537	28910	\N	\N	\N
673603	2302	1993-11-11	PRIJEM	VKLAD	12537	39546	\N	\N	\N
673604	2302	1993-12-11	PRIJEM	VKLAD	18806	50702	\N	\N	\N
673605	2302	1994-01-11	PRIJEM	VKLAD	12537	50635	\N	\N	\N
673606	2302	1994-02-11	PRIJEM	VKLAD	12537	44935	\N	\N	\N
673607	2302	1994-03-11	PRIJEM	VKLAD	12537	41509	\N	\N	\N
673608	2302	1994-04-11	PRIJEM	VKLAD	12537	42273	\N	\N	\N
673609	2302	1994-05-11	PRIJEM	VKLAD	12537	43237	\N	\N	\N
673610	2302	1994-06-11	PRIJEM	VKLAD	18806	50872	\N	\N	\N
673611	2302	1994-07-11	PRIJEM	VKLAD	12537	44961	\N	\N	\N
673612	2302	1994-08-11	PRIJEM	VKLAD	12537	43039	\N	\N	\N
673613	2302	1994-09-11	PRIJEM	VKLAD	12537	42907	\N	\N	\N
673614	2302	1994-10-11	PRIJEM	VKLAD	12537	43175	\N	\N	\N
673615	2302	1994-11-11	PRIJEM	VKLAD	12537	47144	\N	\N	\N
673616	2302	1994-12-11	PRIJEM	VKLAD	18806	53593	\N	\N	\N
673617	2302	1995-01-11	PRIJEM	VKLAD	12537	46494	\N	\N	\N
673618	2302	1995-02-11	PRIJEM	VKLAD	12537	48775	\N	\N	\N
673619	2302	1995-03-11	PRIJEM	VKLAD	12537	49365	\N	\N	\N
673620	2302	1995-04-11	PRIJEM	VKLAD	12537	50059	\N	\N	\N
673621	2302	1995-05-11	PRIJEM	VKLAD	12537	47347	\N	\N	\N
673622	2302	1995-06-11	PRIJEM	VKLAD	18806	56103	\N	\N	\N
673623	2302	1995-07-11	PRIJEM	VKLAD	12537	51210	\N	\N	\N
673624	2302	1995-08-11	PRIJEM	VKLAD	12537	47813	\N	\N	\N
673625	2302	1995-09-11	PRIJEM	VKLAD	12537	49100	\N	\N	\N
673626	2302	1995-10-11	PRIJEM	VKLAD	12537	50594	\N	\N	\N
673627	2302	1995-11-11	PRIJEM	VKLAD	12537	48384	\N	\N	\N
673628	2302	1995-12-11	PRIJEM	VKLAD	18806	55235	\N	\N	\N
673629	2302	1996-01-11	PRIJEM	VKLAD	12537	44331	\N	\N	\N
673630	2302	1996-02-11	PRIJEM	VKLAD	12537	45794	\N	\N	\N
673631	2302	1996-03-11	PRIJEM	VKLAD	12537	45860	\N	\N	\N
673632	2302	1996-04-11	PRIJEM	VKLAD	12537	45525	\N	\N	\N
673633	2302	1996-05-11	PRIJEM	VKLAD	12537	44989	\N	\N	\N
673634	2302	1996-06-11	PRIJEM	VKLAD	18806	53723	\N	\N	\N
673635	2302	1996-07-11	PRIJEM	VKLAD	12537	42589	\N	\N	\N
673636	2302	1996-08-11	PRIJEM	VKLAD	12537	40939	\N	\N	\N
673637	2302	1996-09-11	PRIJEM	VKLAD	12537	41387	\N	\N	\N
673638	2302	1996-10-11	PRIJEM	VKLAD	12537	42433	\N	\N	\N
673639	2302	1996-11-11	PRIJEM	VKLAD	12537	42481	\N	\N	\N
673640	2302	1996-12-11	PRIJEM	VKLAD	18806	44294	\N	\N	\N
673641	2302	1997-01-11	PRIJEM	VKLAD	12537	34638	\N	\N	\N
673642	2302	1997-02-11	PRIJEM	VKLAD	12537	36662	\N	\N	\N
673643	2302	1997-03-11	PRIJEM	VKLAD	12537	34479	\N	\N	\N
673644	2302	1997-04-11	PRIJEM	VKLAD	12537	38097	\N	\N	\N
673645	2302	1997-05-11	PRIJEM	VKLAD	12537	35821	\N	\N	\N
673646	2302	1997-06-11	PRIJEM	VKLAD	18806	43710	\N	\N	\N
673647	2302	1997-07-11	PRIJEM	VKLAD	12537	35341	\N	\N	\N
673648	2302	1997-08-11	PRIJEM	VKLAD	12537	34854	\N	\N	\N
673649	2302	1997-09-11	PRIJEM	VKLAD	12537	34462	\N	\N	\N
673650	2302	1997-10-11	PRIJEM	VKLAD	12537	32767	\N	\N	\N
673651	2302	1997-11-11	PRIJEM	VKLAD	12537	32767	\N	\N	\N
673652	2302	1997-12-11	PRIJEM	VKLAD	18806	39336	\N	\N	\N
673653	2302	1998-01-11	PRIJEM	VKLAD	12537	39354	\N	\N	\N
673654	2302	1998-02-11	PRIJEM	VKLAD	12537	38376	\N	\N	\N
673655	2302	1998-03-11	PRIJEM	VKLAD	12537	34790	\N	\N	\N
673656	2302	1998-04-11	PRIJEM	VKLAD	12537	30195	\N	\N	\N
673657	2302	1998-05-11	PRIJEM	VKLAD	12537	28283	\N	\N	\N
673658	2302	1998-06-11	PRIJEM	VKLAD	18806	38339	\N	\N	\N
673659	2302	1998-07-11	PRIJEM	VKLAD	12537	32842	\N	\N	\N
673660	2302	1998-08-11	PRIJEM	VKLAD	12537	32639	\N	\N	\N
673661	2302	1998-09-11	PRIJEM	VKLAD	12537	27627	\N	\N	\N
673662	2302	1998-10-11	PRIJEM	VKLAD	12537	28100	\N	\N	\N
673663	2302	1998-11-11	PRIJEM	VKLAD	12537	29880	\N	\N	\N
673664	2302	1998-12-11	PRIJEM	VKLAD	18806	41642	\N	\N	\N
673678	2302	1994-02-07	VYDAJ	PREVOD NA UCET	1989	41236	SIPO	YZ	4605699
673679	2302	1994-03-07	VYDAJ	PREVOD NA UCET	1989	35210	SIPO	YZ	4605699
673680	2302	1994-04-07	VYDAJ	PREVOD NA UCET	1989	39674	SIPO	YZ	4605699
673681	2302	1994-05-07	VYDAJ	PREVOD NA UCET	1989	37038	SIPO	YZ	4605699
673682	2302	1994-06-07	VYDAJ	PREVOD NA UCET	1989	33904	SIPO	YZ	4605699
673683	2302	1994-07-07	VYDAJ	PREVOD NA UCET	1989	34262	SIPO	YZ	4605699
673684	2302	1994-08-07	VYDAJ	PREVOD NA UCET	1989	32340	SIPO	YZ	4605699
673685	2302	1994-09-07	VYDAJ	PREVOD NA UCET	1989	32208	SIPO	YZ	4605699
673686	2302	1994-10-07	VYDAJ	PREVOD NA UCET	1989	32476	SIPO	YZ	4605699
673687	2302	1994-11-07	VYDAJ	PREVOD NA UCET	1989	36445	SIPO	YZ	4605699
673688	2302	1994-12-07	VYDAJ	PREVOD NA UCET	1989	36625	SIPO	YZ	4605699
673689	2302	1995-01-07	VYDAJ	PREVOD NA UCET	1989	35795	SIPO	YZ	4605699
673690	2302	1995-02-07	VYDAJ	PREVOD NA UCET	1989	38076	SIPO	YZ	4605699
673691	2302	1995-03-07	VYDAJ	PREVOD NA UCET	1989	38666	SIPO	YZ	4605699
673692	2302	1995-04-07	VYDAJ	PREVOD NA UCET	1989	39360	SIPO	YZ	4605699
673693	2302	1995-05-07	VYDAJ	PREVOD NA UCET	1989	36648	SIPO	YZ	4605699
673694	2302	1995-06-07	VYDAJ	PREVOD NA UCET	1989	39135	SIPO	YZ	4605699
673695	2302	1995-07-07	VYDAJ	PREVOD NA UCET	1989	40511	SIPO	YZ	4605699
673696	2302	1995-08-07	VYDAJ	PREVOD NA UCET	1989	37114	SIPO	YZ	4605699
673697	2302	1995-09-07	VYDAJ	PREVOD NA UCET	1989	38401	SIPO	YZ	4605699
673698	2302	1995-10-07	VYDAJ	PREVOD NA UCET	1989	39895	SIPO	YZ	4605699
673699	2302	1995-11-07	VYDAJ	PREVOD NA UCET	1989	37685	SIPO	YZ	4605699
673700	2302	1995-12-07	VYDAJ	PREVOD NA UCET	1989	38267	SIPO	YZ	4605699
673701	2302	1996-01-07	VYDAJ	PREVOD NA UCET	1989	33632	SIPO	YZ	4605699
673702	2302	1996-02-07	VYDAJ	PREVOD NA UCET	1989	35095	SIPO	YZ	4605699
673703	2302	1996-03-07	VYDAJ	PREVOD NA UCET	1989	35161	SIPO	YZ	4605699
673704	2302	1996-04-07	VYDAJ	PREVOD NA UCET	1989	34826	SIPO	YZ	4605699
673705	2302	1996-05-07	VYDAJ	PREVOD NA UCET	1989	34290	SIPO	YZ	4605699
673706	2302	1996-06-07	VYDAJ	PREVOD NA UCET	1989	36755	SIPO	YZ	4605699
673707	2302	1996-07-07	VYDAJ	PREVOD NA UCET	1989	31890	SIPO	YZ	4605699
673708	2302	1996-08-07	VYDAJ	PREVOD NA UCET	1989	34540	SIPO	YZ	4605699
673709	2302	1996-09-07	VYDAJ	PREVOD NA UCET	1989	30688	SIPO	YZ	4605699
673710	2302	1996-10-07	VYDAJ	PREVOD NA UCET	1989	31734	SIPO	YZ	4605699
673711	2302	1996-11-07	VYDAJ	PREVOD NA UCET	1989	31782	SIPO	YZ	4605699
673712	2302	1996-12-07	VYDAJ	PREVOD NA UCET	1989	27326	SIPO	YZ	4605699
673713	2302	1997-01-07	VYDAJ	PREVOD NA UCET	1989	31439	SIPO	YZ	4605699
673714	2302	1997-02-07	VYDAJ	PREVOD NA UCET	1989	25963	SIPO	YZ	4605699
673715	2302	1997-03-07	VYDAJ	PREVOD NA UCET	1989	23780	SIPO	YZ	4605699
673716	2302	1997-04-07	VYDAJ	PREVOD NA UCET	1989	27398	SIPO	YZ	4605699
673717	2302	1997-05-07	VYDAJ	PREVOD NA UCET	1989	25122	SIPO	YZ	4605699
673718	2302	1997-06-07	VYDAJ	PREVOD NA UCET	1989	26742	SIPO	YZ	4605699
673719	2302	1997-07-07	VYDAJ	PREVOD NA UCET	1989	24642	SIPO	YZ	4605699
673720	2302	1997-08-07	VYDAJ	PREVOD NA UCET	1989	24155	SIPO	YZ	4605699
673721	2302	1997-09-07	VYDAJ	PREVOD NA UCET	1989	23763	SIPO	YZ	4605699
673722	2302	1997-10-07	VYDAJ	PREVOD NA UCET	1989	22068	SIPO	YZ	4605699
673723	2302	1997-11-07	VYDAJ	PREVOD NA UCET	1989	22068	SIPO	YZ	4605699
673724	2302	1997-12-07	VYDAJ	PREVOD NA UCET	1989	22368	SIPO	YZ	4605699
673725	2302	1998-01-07	VYDAJ	PREVOD NA UCET	1989	28655	SIPO	YZ	4605699
673726	2302	1998-02-07	VYDAJ	PREVOD NA UCET	1989	27677	SIPO	YZ	4605699
673727	2302	1998-03-07	VYDAJ	PREVOD NA UCET	1989	24091	SIPO	YZ	4605699
673728	2302	1998-04-07	VYDAJ	PREVOD NA UCET	1989	19496	SIPO	YZ	4605699
673729	2302	1998-05-07	VYDAJ	PREVOD NA UCET	1989	17584	SIPO	YZ	4605699
673730	2302	1998-06-07	VYDAJ	PREVOD NA UCET	1989	21371	SIPO	YZ	4605699
673731	2302	1998-07-07	VYDAJ	PREVOD NA UCET	1989	22143	SIPO	YZ	4605699
673732	2302	1998-08-07	VYDAJ	PREVOD NA UCET	1989	21940	SIPO	YZ	4605699
673733	2302	1998-09-07	VYDAJ	PREVOD NA UCET	1989	16928	SIPO	YZ	4605699
673734	2302	1998-10-07	VYDAJ	PREVOD NA UCET	1989	17401	SIPO	YZ	4605699
673735	2302	1998-11-07	VYDAJ	PREVOD NA UCET	1989	19181	SIPO	YZ	4605699
673736	2302	1998-12-07	VYDAJ	PREVOD NA UCET	1989	24674	SIPO	YZ	4605699
673750	2302	1994-02-09	VYDAJ	PREVOD NA UCET	1838	32398	 	MN	49296242
673751	2302	1994-03-09	VYDAJ	PREVOD NA UCET	1838	28972	 	MN	49296242
673752	2302	1994-04-09	VYDAJ	PREVOD NA UCET	1838	32436	 	MN	49296242
673753	2302	1994-05-09	VYDAJ	PREVOD NA UCET	1838	30700	 	MN	49296242
673754	2302	1994-06-09	VYDAJ	PREVOD NA UCET	1838	32066	 	MN	49296242
673755	2302	1994-07-09	VYDAJ	PREVOD NA UCET	1838	32424	 	MN	49296242
673756	2302	1994-08-09	VYDAJ	PREVOD NA UCET	1838	30502	 	MN	49296242
673757	2302	1994-09-09	VYDAJ	PREVOD NA UCET	1838	30370	 	MN	49296242
673758	2302	1994-10-09	VYDAJ	PREVOD NA UCET	1838	30638	 	MN	49296242
673759	2302	1994-11-09	VYDAJ	PREVOD NA UCET	1838	34607	 	MN	49296242
673760	2302	1994-12-09	VYDAJ	PREVOD NA UCET	1838	34787	 	MN	49296242
673761	2302	1995-01-09	VYDAJ	PREVOD NA UCET	1838	33957	 	MN	49296242
673762	2302	1995-02-09	VYDAJ	PREVOD NA UCET	1838	36238	 	MN	49296242
673763	2302	1995-03-09	VYDAJ	PREVOD NA UCET	1838	36828	 	MN	49296242
673764	2302	1995-04-09	VYDAJ	PREVOD NA UCET	1838	37522	 	MN	49296242
673765	2302	1995-05-09	VYDAJ	PREVOD NA UCET	1838	34810	 	MN	49296242
673766	2302	1995-06-09	VYDAJ	PREVOD NA UCET	1838	37297	 	MN	49296242
673767	2302	1995-07-09	VYDAJ	PREVOD NA UCET	1838	38673	 	MN	49296242
673768	2302	1995-08-09	VYDAJ	PREVOD NA UCET	1838	35276	 	MN	49296242
673769	2302	1995-09-09	VYDAJ	PREVOD NA UCET	1838	36563	 	MN	49296242
673770	2302	1995-10-09	VYDAJ	PREVOD NA UCET	1838	38057	 	MN	49296242
673771	2302	1995-11-09	VYDAJ	PREVOD NA UCET	1838	35847	 	MN	49296242
673772	2302	1995-12-09	VYDAJ	PREVOD NA UCET	1838	36429	 	MN	49296242
673773	2302	1996-01-09	VYDAJ	PREVOD NA UCET	1838	31794	 	MN	49296242
673774	2302	1996-02-09	VYDAJ	PREVOD NA UCET	1838	33257	 	MN	49296242
673775	2302	1996-03-09	VYDAJ	PREVOD NA UCET	1838	33323	 	MN	49296242
673776	2302	1996-04-09	VYDAJ	PREVOD NA UCET	1838	32988	 	MN	49296242
673777	2302	1996-05-09	VYDAJ	PREVOD NA UCET	1838	32452	 	MN	49296242
673778	2302	1996-06-09	VYDAJ	PREVOD NA UCET	1838	34917	 	MN	49296242
673779	2302	1996-07-09	VYDAJ	PREVOD NA UCET	1838	30052	 	MN	49296242
673780	2302	1996-08-09	VYDAJ	PREVOD NA UCET	1838	28402	 	MN	49296242
673781	2302	1996-09-09	VYDAJ	PREVOD NA UCET	1838	28850	 	MN	49296242
673782	2302	1996-10-09	VYDAJ	PREVOD NA UCET	1838	29896	 	MN	49296242
673783	2302	1996-11-09	VYDAJ	PREVOD NA UCET	1838	29944	 	MN	49296242
673784	2302	1996-12-09	VYDAJ	PREVOD NA UCET	1838	25488	 	MN	49296242
673785	2302	1997-01-09	VYDAJ	PREVOD NA UCET	1838	22101	 	MN	49296242
673786	2302	1997-02-09	VYDAJ	PREVOD NA UCET	1838	24125	 	MN	49296242
673787	2302	1997-03-09	VYDAJ	PREVOD NA UCET	1838	21942	 	MN	49296242
673788	2302	1997-04-09	VYDAJ	PREVOD NA UCET	1838	25560	 	MN	49296242
673789	2302	1997-05-09	VYDAJ	PREVOD NA UCET	1838	23284	 	MN	49296242
673790	2302	1997-06-09	VYDAJ	PREVOD NA UCET	1838	24904	 	MN	49296242
673791	2302	1997-07-09	VYDAJ	PREVOD NA UCET	1838	22804	 	MN	49296242
673792	2302	1997-08-09	VYDAJ	PREVOD NA UCET	1838	22317	 	MN	49296242
673793	2302	1997-09-09	VYDAJ	PREVOD NA UCET	1838	21925	 	MN	49296242
673794	2302	1997-10-09	VYDAJ	PREVOD NA UCET	1838	20230	 	MN	49296242
673795	2302	1997-11-09	VYDAJ	PREVOD NA UCET	1838	20230	 	MN	49296242
673796	2302	1997-12-09	VYDAJ	PREVOD NA UCET	1838	20530	 	MN	49296242
673797	2302	1998-01-09	VYDAJ	PREVOD NA UCET	1838	26817	 	MN	49296242
673798	2302	1998-02-09	VYDAJ	PREVOD NA UCET	1838	25839	 	MN	49296242
673799	2302	1998-03-09	VYDAJ	PREVOD NA UCET	1838	22253	 	MN	49296242
673800	2302	1998-04-09	VYDAJ	PREVOD NA UCET	1838	17658	 	MN	49296242
673801	2302	1998-05-09	VYDAJ	PREVOD NA UCET	1838	15746	 	MN	49296242
673802	2302	1998-06-09	VYDAJ	PREVOD NA UCET	1838	19533	 	MN	49296242
673803	2302	1998-07-09	VYDAJ	PREVOD NA UCET	1838	20305	 	MN	49296242
673804	2302	1998-08-09	VYDAJ	PREVOD NA UCET	1838	20102	 	MN	49296242
673805	2302	1998-09-09	VYDAJ	PREVOD NA UCET	1838	15090	 	MN	49296242
673806	2302	1998-10-09	VYDAJ	PREVOD NA UCET	1838	15563	 	MN	49296242
673807	2302	1998-11-09	VYDAJ	PREVOD NA UCET	1838	17343	 	MN	49296242
673808	2302	1998-12-09	VYDAJ	PREVOD NA UCET	1838	22836	 	MN	49296242
673811	2302	1995-06-25	VYDAJ	VYBER	4700	51403	\N	\N	\N
673812	2302	1996-06-17	VYDAJ	VYBER	12100	41623	\N	\N	\N
673813	2302	1997-06-25	VYDAJ	VYBER	3600	26510	\N	\N	\N
673816	2302	1994-01-26	VYDAJ	VYBER	7600	43035	\N	\N	\N
673817	2302	1995-01-04	VYDAJ	VYBER	3900	37784	\N	\N	\N
673818	2302	1996-01-02	VYDAJ	VYBER	2300	38821	\N	\N	\N
673819	2302	1997-01-09	VYDAJ	VYBER	7500	23939	\N	\N	\N
673820	2302	1998-01-15	VYDAJ	VYBER	6900	32454	\N	\N	\N
673822	2302	1994-12-28	VYDAJ	VYBER	2700	50893	\N	\N	\N
673823	2302	1995-12-18	VYDAJ	VYBER	2800	52435	\N	\N	\N
673824	2302	1996-12-05	VYDAJ	VYBER	2000	29315	\N	\N	\N
673825	2302	1997-12-12	VYDAJ	VYBER	800	38536	\N	\N	\N
673826	2302	1998-12-24	VYDAJ	VYBER	900	31442	\N	\N	\N
673831	2302	1994-02-17	VYDAJ	VYBER	1200	43735	\N	\N	\N
673832	2302	1994-04-10	VYDAJ	VYBER	2700	29736	\N	\N	\N
673833	2302	1994-06-24	VYDAJ	VYBER	2800	48072	\N	\N	\N
673834	2302	1994-11-22	VYDAJ	VYBER	1400	45744	\N	\N	\N
673835	2302	1994-03-04	VYDAJ	VYBER	1800	42099	\N	\N	\N
673836	2302	1994-07-22	VYDAJ	VYBER	1600	43361	\N	\N	\N
673837	2302	1994-04-24	VYDAJ	VYBER	3400	38873	\N	\N	\N
673838	2302	1994-03-05	VYDAJ	VYBER	4900	37199	\N	\N	\N
673839	2302	1995-04-02	VYDAJ	VYBER	500	49049	\N	\N	\N
673840	2302	1995-04-16	VYDAJ	VYBER	1900	48159	\N	\N	\N
673841	2302	1995-12-01	VYDAJ	VYBER	3800	40256	\N	\N	\N
673842	2302	1995-10-16	VYDAJ	VYBER	4200	46394	\N	\N	\N
673843	2302	1995-08-05	VYDAJ	VYBER	3400	39103	\N	\N	\N
673844	2302	1996-07-17	VYDAJ	VYBER	3300	39289	\N	\N	\N
673845	2302	1996-03-24	VYDAJ	VYBER	3100	42760	\N	\N	\N
673846	2302	1996-02-15	VYDAJ	VYBER	1100	44694	\N	\N	\N
673847	2302	1996-01-03	VYDAJ	VYBER	3200	35621	\N	\N	\N
673848	2302	1996-12-21	VYDAJ	VYBER	1700	42594	\N	\N	\N
673849	2302	1996-08-09	VYDAJ	VYBER	4300	30240	\N	\N	\N
673850	2302	1996-04-17	VYDAJ	VYBER	1100	44425	\N	\N	\N
673851	2302	1997-02-16	VYDAJ	VYBER	1400	35262	\N	\N	\N
673852	2302	1997-08-11	VYDAJ	VYBER	1900	32954	\N	\N	\N
673853	2302	1997-12-24	VYDAJ	VYBER	1200	30536	\N	\N	\N
673854	2302	1998-08-27	VYDAJ	VYBER	3800	18839	\N	\N	\N
673855	2302	1998-12-27	VYDAJ	VYBER	3600	27842	\N	\N	\N
673856	2302	1998-04-26	VYDAJ	VYBER	4100	19495	\N	\N	\N
673857	2302	1998-03-29	VYDAJ	VYBER	4300	21390	\N	\N	\N
673858	2302	1998-10-22	VYDAJ	VYBER	1700	21100	\N	\N	\N
673859	2302	1998-07-06	VYDAJ	VYBER	2000	24132	\N	\N	\N
673860	2302	1998-02-18	VYDAJ	VYBER	4600	25976	\N	\N	\N
673875	2302	1994-01-31	VYDAJ	VYBER	15	43225	SLUZBY	\N	\N
673876	2302	1994-02-28	VYDAJ	VYBER	15	43899	SLUZBY	\N	\N
673877	2302	1994-03-31	VYDAJ	VYBER	15	41663	SLUZBY	\N	\N
673878	2302	1994-04-30	VYDAJ	VYBER	15	39027	SLUZBY	\N	\N
673879	2302	1994-05-31	VYDAJ	VYBER	15	43393	SLUZBY	\N	\N
673880	2302	1994-06-30	VYDAJ	VYBER	15	48251	SLUZBY	\N	\N
673881	2302	1994-07-31	VYDAJ	VYBER	15	43529	SLUZBY	\N	\N
673882	2302	1994-08-31	VYDAJ	VYBER	15	43197	SLUZBY	\N	\N
673883	2302	1994-09-30	VYDAJ	VYBER	15	43065	SLUZBY	\N	\N
673884	2302	1994-10-31	VYDAJ	VYBER	15	43334	SLUZBY	\N	\N
673885	2302	1994-11-30	VYDAJ	VYBER	15	45914	SLUZBY	\N	\N
673886	2302	1994-12-31	VYDAJ	VYBER	15	51084	SLUZBY	\N	\N
673887	2302	1995-01-31	VYDAJ	VYBER	15	46665	SLUZBY	\N	\N
673888	2302	1995-02-28	VYDAJ	VYBER	15	48955	SLUZBY	\N	\N
673889	2302	1995-03-31	VYDAJ	VYBER	15	49549	SLUZBY	\N	\N
673890	2302	1995-04-30	VYDAJ	VYBER	15	48337	SLUZBY	\N	\N
673891	2302	1995-05-31	VYDAJ	VYBER	15	47524	SLUZBY	\N	\N
673892	2302	1995-06-30	VYDAJ	VYBER	15	51600	SLUZBY	\N	\N
673893	2302	1995-07-31	VYDAJ	VYBER	15	51403	SLUZBY	\N	\N
673894	2302	1995-08-31	VYDAJ	VYBER	15	47990	SLUZBY	\N	\N
673895	2302	1995-09-30	VYDAJ	VYBER	15	49284	SLUZBY	\N	\N
673896	2302	1995-10-31	VYDAJ	VYBER	15	39674	SLUZBY	\N	\N
673897	2302	1995-11-30	VYDAJ	VYBER	15	44056	SLUZBY	\N	\N
673898	2302	1995-12-31	VYDAJ	VYBER	15	41121	SLUZBY	\N	\N
673899	2302	1996-01-31	VYDAJ	VYBER	15	37084	SLUZBY	\N	\N
673900	2302	1996-02-29	VYDAJ	VYBER	15	37150	SLUZBY	\N	\N
673901	2302	1996-03-31	VYDAJ	VYBER	15	36815	SLUZBY	\N	\N
673902	2302	1996-04-30	VYDAJ	VYBER	15	36279	SLUZBY	\N	\N
673903	2302	1996-05-31	VYDAJ	VYBER	15	38744	SLUZBY	\N	\N
673904	2302	1996-06-30	VYDAJ	VYBER	15	33879	SLUZBY	\N	\N
673905	2302	1996-07-31	VYDAJ	VYBER	15	36529	SLUZBY	\N	\N
673906	2302	1996-08-31	VYDAJ	VYBER	15	32677	SLUZBY	\N	\N
673907	2302	1996-09-30	VYDAJ	VYBER	15	33723	SLUZBY	\N	\N
673908	2302	1996-10-31	VYDAJ	VYBER	15	33771	SLUZBY	\N	\N
673909	2302	1996-11-30	VYDAJ	VYBER	15	31315	SLUZBY	\N	\N
673910	2302	1996-12-31	VYDAJ	VYBER	15	33428	SLUZBY	\N	\N
673911	2302	1997-01-31	VYDAJ	VYBER	15	27952	SLUZBY	\N	\N
673912	2302	1997-02-28	VYDAJ	VYBER	15	25769	SLUZBY	\N	\N
673913	2302	1997-03-31	VYDAJ	VYBER	15	29387	SLUZBY	\N	\N
673914	2302	1997-04-30	VYDAJ	VYBER	15	27111	SLUZBY	\N	\N
673915	2302	1997-05-31	VYDAJ	VYBER	15	28731	SLUZBY	\N	\N
673916	2302	1997-06-30	VYDAJ	VYBER	15	26631	SLUZBY	\N	\N
673917	2302	1997-07-31	VYDAJ	VYBER	15	26144	SLUZBY	\N	\N
673918	2302	1997-08-31	VYDAJ	VYBER	15	25752	SLUZBY	\N	\N
673919	2302	1997-09-30	VYDAJ	VYBER	15	24057	SLUZBY	\N	\N
673920	2302	1997-10-31	VYDAJ	VYBER	15	24057	SLUZBY	\N	\N
673921	2302	1997-11-30	VYDAJ	VYBER	15	24357	SLUZBY	\N	\N
673922	2302	1997-12-31	VYDAJ	VYBER	15	30644	SLUZBY	\N	\N
673923	2302	1998-01-31	VYDAJ	VYBER	15	29666	SLUZBY	\N	\N
673924	2302	1998-02-28	VYDAJ	VYBER	15	26080	SLUZBY	\N	\N
673925	2302	1998-03-31	VYDAJ	VYBER	15	21485	SLUZBY	\N	\N
673926	2302	1998-04-30	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
673927	2302	1998-05-31	VYDAJ	VYBER	15	23360	SLUZBY	\N	\N
673928	2302	1998-06-30	VYDAJ	VYBER	15	26132	SLUZBY	\N	\N
673929	2302	1998-07-31	VYDAJ	VYBER	15	23929	SLUZBY	\N	\N
673930	2302	1998-08-31	VYDAJ	VYBER	15	18917	SLUZBY	\N	\N
673931	2302	1998-09-30	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
673932	2302	1998-10-31	VYDAJ	VYBER	15	21170	SLUZBY	\N	\N
673933	2302	1998-11-30	VYDAJ	VYBER	15	26663	SLUZBY	\N	\N
673934	2302	1993-10-10	PRIJEM	VKLAD	3500	16373	\N	\N	\N
673935	2302	1993-11-09	VYDAJ	VYBER	2000	27009	\N	\N	\N
673936	2302	1993-12-09	VYDAJ	VYBER	7800	31896	\N	\N	\N
673937	2302	1994-01-08	VYDAJ	VYBER	12800	38098	\N	\N	\N
673938	2302	1994-02-07	VYDAJ	VYBER	7000	34236	\N	\N	\N
673939	2302	1994-03-09	VYDAJ	VYBER	4400	30810	\N	\N	\N
673940	2302	1994-04-08	VYDAJ	VYBER	5400	34274	\N	\N	\N
673941	2302	1994-05-08	VYDAJ	VYBER	4500	32538	\N	\N	\N
673942	2302	1994-06-07	VYDAJ	VYBER	7500	35893	\N	\N	\N
673943	2302	1994-07-07	VYDAJ	VYBER	12000	36251	\N	\N	\N
673944	2302	1994-08-06	VYDAJ	VYBER	9200	34329	\N	\N	\N
673945	2302	1994-09-05	VYDAJ	VYBER	9000	34197	\N	\N	\N
673946	2302	1994-10-05	VYDAJ	VYBER	8600	34465	\N	\N	\N
673947	2302	1994-11-04	VYDAJ	VYBER	4900	38434	\N	\N	\N
673948	2302	1994-12-04	VYDAJ	VYBER	7300	38614	\N	\N	\N
673949	2302	1995-01-03	VYDAJ	VYBER	9400	41684	\N	\N	\N
673950	2302	1995-02-02	VYDAJ	VYBER	6600	40065	\N	\N	\N
673951	2302	1995-03-04	VYDAJ	VYBER	8300	40655	\N	\N	\N
673952	2302	1995-04-03	VYDAJ	VYBER	7700	41349	\N	\N	\N
673953	2302	1995-05-03	VYDAJ	VYBER	9700	38637	\N	\N	\N
673954	2302	1995-06-02	VYDAJ	VYBER	6400	41124	\N	\N	\N
673955	2302	1995-07-02	VYDAJ	VYBER	9100	42500	\N	\N	\N
673956	2302	1995-08-01	VYDAJ	VYBER	8900	42503	\N	\N	\N
673957	2302	1995-08-31	VYDAJ	VYBER	7600	40390	\N	\N	\N
673958	2302	1995-09-30	VYDAJ	VYBER	7400	41884	\N	\N	\N
673959	2302	1995-10-30	VYDAJ	VYBER	6900	39494	\N	\N	\N
673960	2302	1995-11-29	VYDAJ	VYBER	4500	43884	\N	\N	\N
673961	2302	1995-12-29	VYDAJ	VYBER	11500	40935	\N	\N	\N
673962	2302	1996-01-28	VYDAJ	VYBER	7400	36931	\N	\N	\N
673963	2302	1996-02-27	VYDAJ	VYBER	7700	36994	\N	\N	\N
673964	2302	1996-03-28	VYDAJ	VYBER	6100	36660	\N	\N	\N
673965	2302	1996-04-27	VYDAJ	VYBER	8300	36125	\N	\N	\N
673966	2302	1996-05-27	VYDAJ	VYBER	6400	38589	\N	\N	\N
673967	2302	1996-06-26	VYDAJ	VYBER	7900	33723	\N	\N	\N
673968	2302	1996-07-26	VYDAJ	VYBER	2900	36389	\N	\N	\N
673969	2302	1996-08-25	VYDAJ	VYBER	8400	32539	\N	\N	\N
673970	2302	1996-09-24	VYDAJ	VYBER	7800	33587	\N	\N	\N
673971	2302	1996-10-24	VYDAJ	VYBER	8800	33633	\N	\N	\N
673972	2302	1996-11-23	VYDAJ	VYBER	11300	31181	\N	\N	\N
673973	2302	1996-12-23	VYDAJ	VYBER	9300	33294	\N	\N	\N
673974	2302	1997-01-22	VYDAJ	VYBER	6800	27838	\N	\N	\N
673975	2302	1997-02-21	VYDAJ	VYBER	9600	25662	\N	\N	\N
673976	2302	1997-03-23	VYDAJ	VYBER	5200	29279	\N	\N	\N
673977	2302	1997-04-22	VYDAJ	VYBER	11100	26997	\N	\N	\N
673978	2302	1997-05-22	VYDAJ	VYBER	7200	28621	\N	\N	\N
673979	2302	1997-06-21	VYDAJ	VYBER	13600	30110	\N	\N	\N
673980	2302	1997-07-21	VYDAJ	VYBER	9300	26041	\N	\N	\N
673981	2302	1997-08-20	VYDAJ	VYBER	7300	25654	\N	\N	\N
673982	2302	1997-09-19	VYDAJ	VYBER	10500	23962	\N	\N	\N
673983	2302	1997-10-19	VYDAJ	VYBER	8800	23967	\N	\N	\N
673984	2302	1997-11-18	VYDAJ	VYBER	8500	24267	\N	\N	\N
673985	2302	1997-12-18	VYDAJ	VYBER	6800	31736	\N	\N	\N
673986	2302	1998-01-17	VYDAJ	VYBER	2900	29554	\N	\N	\N
673987	2302	1998-02-16	VYDAJ	VYBER	7800	30576	\N	\N	\N
673988	2302	1998-03-18	VYDAJ	VYBER	9100	25690	\N	\N	\N
673989	2302	1998-04-17	VYDAJ	VYBER	6600	23595	\N	\N	\N
673990	2302	1998-05-17	VYDAJ	VYBER	5000	23283	\N	\N	\N
673991	2302	1998-06-16	VYDAJ	VYBER	12300	26039	\N	\N	\N
673992	2302	1998-07-16	VYDAJ	VYBER	9000	23842	\N	\N	\N
673993	2302	1998-08-15	VYDAJ	VYBER	10000	22639	\N	\N	\N
673994	2302	1998-09-14	VYDAJ	VYBER	8300	19327	\N	\N	\N
673995	2302	1998-10-14	VYDAJ	VYBER	5300	22800	\N	\N	\N
673996	2302	1998-11-13	VYDAJ	VYBER	3300	26580	\N	\N	\N
673997	2302	1998-12-13	VYDAJ	VYBER	9300	32342	\N	\N	\N
674062	2303	1996-11-24	PRIJEM	VKLAD	500	500	\N	\N	\N
674074	2303	1996-12-12	PRIJEM	VKLAD	29714	30214	\N	\N	\N
674075	2303	1997-01-12	PRIJEM	VKLAD	19809	45650	\N	\N	\N
674076	2303	1997-02-12	PRIJEM	VKLAD	19809	54277	\N	\N	\N
674077	2303	1997-03-12	PRIJEM	VKLAD	19809	60636	\N	\N	\N
674078	2303	1997-04-12	PRIJEM	VKLAD	19809	63918	\N	\N	\N
674079	2303	1997-05-12	PRIJEM	VKLAD	19809	59034	\N	\N	\N
674080	2303	1997-06-12	PRIJEM	VKLAD	29714	71724	\N	\N	\N
674081	2303	1997-07-12	PRIJEM	VKLAD	19809	57150	\N	\N	\N
674082	2303	1997-08-12	PRIJEM	VKLAD	19809	53942	\N	\N	\N
674083	2303	1997-09-12	PRIJEM	VKLAD	19809	59614	\N	\N	\N
674084	2303	1997-10-12	PRIJEM	VKLAD	19809	57891	\N	\N	\N
674085	2303	1997-11-12	PRIJEM	VKLAD	19809	60467	\N	\N	\N
674086	2303	1997-12-12	PRIJEM	VKLAD	29714	68433	\N	\N	\N
674087	2303	1998-01-12	PRIJEM	VKLAD	19809	42408	\N	\N	\N
674088	2303	1998-02-12	PRIJEM	VKLAD	19809	36675	\N	\N	\N
674089	2303	1998-03-12	PRIJEM	VKLAD	19809	42350	\N	\N	\N
674090	2303	1998-04-12	PRIJEM	VKLAD	19809	44359	\N	\N	\N
674091	2303	1998-05-12	PRIJEM	VKLAD	19809	42568	\N	\N	\N
674092	2303	1998-06-12	PRIJEM	VKLAD	29714	53179	\N	\N	\N
674093	2303	1998-07-12	PRIJEM	VKLAD	19809	38149	\N	\N	\N
674094	2303	1998-08-12	PRIJEM	VKLAD	19809	42943	\N	\N	\N
674095	2303	1998-09-12	PRIJEM	VKLAD	19809	39860	\N	\N	\N
674096	2303	1998-10-12	PRIJEM	VKLAD	19809	40651	\N	\N	\N
674097	2303	1998-11-12	PRIJEM	VKLAD	19809	40141	\N	\N	\N
674098	2303	1998-12-12	PRIJEM	VKLAD	29714	45633	\N	\N	\N
674114	2303	1997-04-13	VYDAJ	PREVOD NA UCET	7892	56026	SIPO	KL	25147950
674115	2303	1997-05-13	VYDAJ	PREVOD NA UCET	7892	51142	SIPO	KL	25147950
674116	2303	1997-06-13	VYDAJ	PREVOD NA UCET	7892	63832	SIPO	KL	25147950
674117	2303	1997-07-13	VYDAJ	PREVOD NA UCET	7892	49258	SIPO	KL	25147950
674118	2303	1997-08-13	VYDAJ	PREVOD NA UCET	7892	46050	SIPO	KL	25147950
674119	2303	1997-09-13	VYDAJ	PREVOD NA UCET	7892	51722	SIPO	KL	25147950
674120	2303	1997-10-13	VYDAJ	PREVOD NA UCET	7892	49999	SIPO	KL	25147950
674121	2303	1997-11-13	VYDAJ	PREVOD NA UCET	7892	52575	SIPO	KL	25147950
674122	2303	1997-12-13	VYDAJ	PREVOD NA UCET	7892	60541	SIPO	KL	25147950
674123	2303	1998-01-13	VYDAJ	PREVOD NA UCET	7892	34516	SIPO	KL	25147950
674124	2303	1998-02-13	VYDAJ	PREVOD NA UCET	7892	28783	SIPO	KL	25147950
674125	2303	1998-03-13	VYDAJ	PREVOD NA UCET	7892	34458	SIPO	KL	25147950
674126	2303	1998-04-13	VYDAJ	PREVOD NA UCET	7892	36467	SIPO	KL	25147950
674127	2303	1998-05-13	VYDAJ	PREVOD NA UCET	7892	34676	SIPO	KL	25147950
674128	2303	1998-06-13	VYDAJ	PREVOD NA UCET	7892	45287	SIPO	KL	25147950
674129	2303	1998-07-13	VYDAJ	PREVOD NA UCET	7892	30257	SIPO	KL	25147950
674130	2303	1998-08-13	VYDAJ	PREVOD NA UCET	7892	31571	SIPO	KL	25147950
674131	2303	1998-09-13	VYDAJ	PREVOD NA UCET	7892	31968	SIPO	KL	25147950
674132	2303	1998-10-13	VYDAJ	PREVOD NA UCET	7892	32759	SIPO	KL	25147950
674133	2303	1998-11-13	VYDAJ	PREVOD NA UCET	7892	32249	SIPO	KL	25147950
674134	2303	1998-12-13	VYDAJ	PREVOD NA UCET	7892	37741	SIPO	KL	25147950
674136	2303	1997-06-27	VYDAJ	VYBER	11680	37152	\N	\N	\N
674140	2303	1998-01-08	VYDAJ	VYBER	15680	26079	\N	\N	\N
674142	2303	1997-12-01	VYDAJ	VYBER	1920	38720	\N	\N	\N
674143	2303	1998-12-08	VYDAJ	VYBER	4000	15919	\N	\N	\N
674156	2303	1998-01-02	VYDAJ	VYBER	960	41759	\N	\N	\N
674157	2303	1998-01-25	VYDAJ	VYBER	1920	22756	\N	\N	\N
674158	2303	1998-01-08	VYDAJ	VYBER	3480	22599	\N	\N	\N
674159	2303	1998-01-28	VYDAJ	VYBER	600	19276	\N	\N	\N
674160	2303	1998-01-28	VYDAJ	VYBER	2880	19876	\N	\N	\N
674161	2303	1998-01-20	VYDAJ	VYBER	3240	24676	\N	\N	\N
674167	2303	1997-04-22	VYDAJ	VYBER	5280	50746	\N	\N	\N
674169	2303	1997-08-09	VYDAJ	VYBER	2880	34133	\N	\N	\N
674170	2303	1998-02-06	VYDAJ	VYBER	2520	16866	\N	\N	\N
674171	2303	1998-02-14	VYDAJ	VYBER	3600	24463	\N	\N	\N
674172	2303	1998-02-13	VYDAJ	VYBER	720	28063	\N	\N	\N
674173	2303	1998-06-24	VYDAJ	VYBER	5400	18247	\N	\N	\N
674175	2303	1998-06-22	VYDAJ	VYBER	4440	23647	\N	\N	\N
674176	2303	1998-08-12	VYDAJ	VYBER	3480	39463	\N	\N	\N
674193	2303	1997-04-30	VYDAJ	VYBER	15	39225	SLUZBY	\N	\N
674194	2303	1997-05-31	VYDAJ	VYBER	15	42010	SLUZBY	\N	\N
674195	2303	1997-06-30	VYDAJ	VYBER	15	37341	SLUZBY	\N	\N
674196	2303	1997-07-31	VYDAJ	VYBER	15	37013	SLUZBY	\N	\N
674197	2303	1997-08-31	VYDAJ	VYBER	15	39805	SLUZBY	\N	\N
674198	2303	1997-09-30	VYDAJ	VYBER	15	38082	SLUZBY	\N	\N
674199	2303	1997-10-31	VYDAJ	VYBER	15	40658	SLUZBY	\N	\N
674200	2303	1997-11-30	VYDAJ	VYBER	15	40640	SLUZBY	\N	\N
674201	2303	1997-12-31	VYDAJ	VYBER	15	42719	SLUZBY	\N	\N
674202	2303	1998-01-31	VYDAJ	VYBER	15	19386	SLUZBY	\N	\N
674203	2303	1998-02-28	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
674204	2303	1998-03-31	VYDAJ	VYBER	15	24550	SLUZBY	\N	\N
674205	2303	1998-04-30	VYDAJ	VYBER	15	22759	SLUZBY	\N	\N
674206	2303	1998-05-31	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
674207	2303	1998-06-30	VYDAJ	VYBER	15	18340	SLUZBY	\N	\N
674208	2303	1998-07-31	VYDAJ	VYBER	15	23134	SLUZBY	\N	\N
674209	2303	1998-08-31	VYDAJ	VYBER	15	20051	SLUZBY	\N	\N
674210	2303	1998-09-30	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
674211	2303	1998-10-31	VYDAJ	VYBER	15	20332	SLUZBY	\N	\N
674212	2303	1998-11-30	VYDAJ	VYBER	15	19919	SLUZBY	\N	\N
674213	2303	1996-12-24	VYDAJ	VYBER	4400	25814	\N	\N	\N
674214	2303	1997-01-23	VYDAJ	VYBER	11300	34350	\N	\N	\N
674215	2303	1997-02-22	VYDAJ	VYBER	13600	40677	\N	\N	\N
674216	2303	1997-03-24	VYDAJ	VYBER	16700	43936	\N	\N	\N
674217	2303	1997-04-23	VYDAJ	VYBER	11700	39046	\N	\N	\N
674218	2303	1997-05-23	VYDAJ	VYBER	9300	41842	\N	\N	\N
674219	2303	1997-06-22	VYDAJ	VYBER	15000	48832	\N	\N	\N
674220	2303	1997-07-22	VYDAJ	VYBER	12400	36858	\N	\N	\N
674221	2303	1997-08-21	VYDAJ	VYBER	6400	39650	\N	\N	\N
674222	2303	1997-09-20	VYDAJ	VYBER	13800	37922	\N	\N	\N
674223	2303	1997-10-20	VYDAJ	VYBER	9500	40499	\N	\N	\N
674224	2303	1997-11-19	VYDAJ	VYBER	12100	40475	\N	\N	\N
674225	2303	1997-12-19	VYDAJ	VYBER	18000	42541	\N	\N	\N
674226	2303	1998-01-18	VYDAJ	VYBER	6600	27916	\N	\N	\N
674227	2303	1998-02-17	VYDAJ	VYBER	2000	22463	\N	\N	\N
674228	2303	1998-03-19	VYDAJ	VYBER	10000	24458	\N	\N	\N
674229	2303	1998-04-18	VYDAJ	VYBER	13800	22667	\N	\N	\N
674230	2303	1998-05-18	VYDAJ	VYBER	11300	23376	\N	\N	\N
674231	2303	1998-06-17	VYDAJ	VYBER	17200	28087	\N	\N	\N
674232	2303	1998-07-17	VYDAJ	VYBER	7200	23057	\N	\N	\N
674233	2303	1998-08-16	VYDAJ	VYBER	11600	19971	\N	\N	\N
674234	2303	1998-09-15	VYDAJ	VYBER	11200	20768	\N	\N	\N
674235	2303	1998-10-15	VYDAJ	VYBER	12500	20259	\N	\N	\N
674236	2303	1998-11-14	VYDAJ	VYBER	12400	19849	\N	\N	\N
674262	2304	1996-02-19	PRIJEM	VKLAD	500	500	\N	\N	\N
674263	2304	1996-05-17	PRIJEM	VKLAD	6896	74933	\N	\N	\N
674264	2304	1996-07-05	PRIJEM	VKLAD	35868	73647	\N	\N	\N
674265	2304	1996-04-24	PRIJEM	VKLAD	36644	67949	\N	\N	\N
674266	2304	1996-04-03	PRIJEM	VKLAD	21405	35005	\N	\N	\N
674267	2304	1997-06-06	PRIJEM	VKLAD	42820	87263	\N	\N	\N
674268	2304	1997-05-27	PRIJEM	VKLAD	21281	44327	\N	\N	\N
674269	2304	1997-09-15	PRIJEM	VKLAD	48004	64078	\N	\N	\N
674270	2304	1997-11-04	PRIJEM	VKLAD	46161	93747	\N	\N	\N
674271	2304	1997-04-02	PRIJEM	VKLAD	30950	71131	\N	\N	\N
674272	2304	1997-10-29	PRIJEM	VKLAD	18911	47437	\N	\N	\N
674273	2304	1997-11-12	PRIJEM	VKLAD	21797	70044	\N	\N	\N
674274	2304	1997-03-18	PRIJEM	VKLAD	36401	60715	\N	\N	\N
674275	2304	1997-11-13	PRIJEM	VKLAD	42993	113037	\N	\N	\N
674276	2304	1997-06-15	PRIJEM	VKLAD	36285	84048	\N	\N	\N
674277	2304	1997-02-07	PRIJEM	VKLAD	34060	52258	\N	\N	\N
674278	2304	1998-03-03	PRIJEM	VKLAD	40487	69731	\N	\N	\N
674279	2304	1998-04-03	PRIJEM	VKLAD	14220	46846	\N	\N	\N
674280	2304	1998-05-15	PRIJEM	VKLAD	31131	51181	\N	\N	\N
674281	2304	1998-03-07	PRIJEM	VKLAD	10630	80361	\N	\N	\N
674282	2304	1998-11-03	PRIJEM	VKLAD	49374	76249	\N	\N	\N
674283	2304	1998-08-09	PRIJEM	VKLAD	44852	63555	\N	\N	\N
674284	2304	1998-02-26	PRIJEM	VKLAD	42661	57362	\N	\N	\N
674285	2304	1998-10-01	PRIJEM	VKLAD	32010	61177	\N	\N	\N
674286	2304	1998-06-03	PRIJEM	VKLAD	40219	71437	\N	\N	\N
674296	2304	1997-08-11	VYBER	VYBER	5926	24889	\N	\N	\N
674297	2304	1997-09-17	VYBER	VYBER	7404	56674	\N	\N	\N
674298	2304	1997-04-22	VYBER	VYBER	17430	28601	\N	\N	\N
674299	2304	1997-03-29	VYBER	VYBER	20703	40012	\N	\N	\N
674300	2304	1997-06-19	VYBER	VYBER	14988	69060	\N	\N	\N
674301	2304	1997-07-16	VYBER	VYBER	3539	30650	\N	\N	\N
674310	2304	1998-12-08	VYBER	VYBER	2816	25748	\N	\N	\N
674312	2304	1998-05-18	VYBER	VYBER	20078	31103	\N	\N	\N
674314	2304	1998-03-21	VYBER	VYBER	13217	32444	\N	\N	\N
674322	2304	1997-12-10	VYDAJ	VYBER	5400	52349	\N	\N	\N
674323	2304	1998-12-07	VYDAJ	VYBER	3600	28564	\N	\N	\N
674353	2304	1997-06-28	VYDAJ	VYBER	12600	56460	\N	\N	\N
674354	2304	1997-10-06	VYDAJ	VYBER	12900	43926	\N	\N	\N
674355	2304	1998-06-29	VYDAJ	VYBER	2100	33537	\N	\N	\N
674356	2304	1998-06-26	VYDAJ	VYBER	6000	35637	\N	\N	\N
674357	2304	1998-03-02	VYDAJ	VYBER	13800	29244	\N	\N	\N
674358	2304	1998-02-26	VYDAJ	VYBER	14400	42962	\N	\N	\N
674374	2304	1997-02-28	VYDAJ	VYBER	15	34214	SLUZBY	\N	\N
674375	2304	1997-03-31	VYDAJ	VYBER	15	40181	SLUZBY	\N	\N
674376	2304	1997-04-30	VYDAJ	VYBER	15	28746	SLUZBY	\N	\N
674377	2304	1997-05-31	VYDAJ	VYBER	15	44443	SLUZBY	\N	\N
674378	2304	1997-06-30	VYDAJ	VYBER	15	56689	SLUZBY	\N	\N
674379	2304	1997-07-31	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
674380	2304	1997-08-31	VYDAJ	VYBER	15	20074	SLUZBY	\N	\N
674381	2304	1997-09-30	VYDAJ	VYBER	15	56826	SLUZBY	\N	\N
674382	2304	1997-10-31	VYDAJ	VYBER	15	47586	SLUZBY	\N	\N
674383	2304	1997-11-30	VYDAJ	VYBER	15	57749	SLUZBY	\N	\N
674384	2304	1997-12-31	VYDAJ	VYBER	15	30092	SLUZBY	\N	\N
674385	2304	1998-01-31	VYDAJ	VYBER	15	20001	SLUZBY	\N	\N
674386	2304	1998-02-28	VYDAJ	VYBER	15	43044	SLUZBY	\N	\N
674387	2304	1998-03-31	VYDAJ	VYBER	15	32626	SLUZBY	\N	\N
674388	2304	1998-04-30	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
674389	2304	1998-05-31	VYDAJ	VYBER	15	31218	SLUZBY	\N	\N
674390	2304	1998-06-30	VYDAJ	VYBER	15	33680	SLUZBY	\N	\N
674391	2304	1998-07-31	VYDAJ	VYBER	15	18703	SLUZBY	\N	\N
674392	2304	1998-08-31	VYDAJ	VYBER	15	63623	SLUZBY	\N	\N
674393	2304	1998-09-30	VYDAJ	VYBER	15	29167	SLUZBY	\N	\N
674394	2304	1998-10-31	VYDAJ	VYBER	15	26875	SLUZBY	\N	\N
674395	2304	1998-11-30	VYDAJ	VYBER	15	32164	SLUZBY	\N	\N
674396	2304	1996-03-20	PRIJEM	VKLAD	13100	13600	\N	\N	\N
674397	2304	1996-04-19	VYDAJ	VYBER	3700	31305	\N	\N	\N
674398	2304	1996-05-19	VYDAJ	VYBER	27300	47633	\N	\N	\N
674399	2304	1996-06-18	VYDAJ	VYBER	10300	37580	\N	\N	\N
674400	2304	1996-07-18	VYDAJ	VYBER	23700	49947	\N	\N	\N
674401	2304	1996-08-17	VYDAJ	VYBER	14200	35950	\N	\N	\N
674402	2304	1996-09-16	VYDAJ	VYBER	8300	27858	\N	\N	\N
674403	2304	1996-10-16	VYDAJ	VYBER	2700	25366	\N	\N	\N
674404	2304	1996-11-15	VYDAJ	VYBER	700	24874	\N	\N	\N
674405	2304	1996-12-15	VYDAJ	VYBER	3800	21282	\N	\N	\N
674406	2304	1997-01-14	VYDAJ	VYBER	3500	17990	\N	\N	\N
674407	2304	1997-02-13	VYDAJ	VYBER	18200	34058	\N	\N	\N
674408	2304	1997-03-15	VYDAJ	VYBER	9900	24314	\N	\N	\N
674409	2304	1997-04-14	VYDAJ	VYBER	25100	46031	\N	\N	\N
674410	2304	1997-05-14	VYDAJ	VYBER	5700	23046	\N	\N	\N
674411	2304	1997-06-13	VYDAJ	VYBER	39500	47763	\N	\N	\N
674412	2304	1997-07-13	VYDAJ	VYBER	22500	34189	\N	\N	\N
674413	2304	1997-08-12	VYDAJ	VYBER	4900	19989	\N	\N	\N
674414	2304	1997-09-11	VYDAJ	VYBER	4000	16074	\N	\N	\N
674415	2304	1997-10-11	VYDAJ	VYBER	15400	28526	\N	\N	\N
674416	2304	1997-11-10	VYDAJ	VYBER	45500	48247	\N	\N	\N
674417	2304	1997-11-13	VYDAJ	VYBER	55500	57537	\N	\N	\N
674418	2304	1997-12-10	VYDAJ	VYBER	22400	29949	\N	\N	\N
674419	2304	1998-01-09	VYDAJ	VYBER	10200	19892	\N	\N	\N
674420	2304	1998-02-08	VYDAJ	VYBER	5300	14701	\N	\N	\N
674421	2304	1998-03-10	VYDAJ	VYBER	34700	45661	\N	\N	\N
674422	2304	1998-04-09	VYDAJ	VYBER	19700	27146	\N	\N	\N
674423	2304	1998-05-09	VYDAJ	VYBER	7200	20050	\N	\N	\N
674424	2304	1998-06-08	VYDAJ	VYBER	29800	41637	\N	\N	\N
674425	2304	1998-07-08	VYDAJ	VYBER	15100	18580	\N	\N	\N
674426	2304	1998-09-06	VYDAJ	VYBER	34700	28923	\N	\N	\N
674427	2304	1998-10-06	VYDAJ	VYBER	34400	26777	\N	\N	\N
674428	2304	1998-11-05	VYDAJ	VYBER	44200	32049	\N	\N	\N
674462	2305	1993-12-11	PRIJEM	VKLAD	700	700	\N	\N	\N
674475	2305	1994-01-08	PRIJEM	PREVOD Z UCTU	3542	4242	\N	UV	49954766
674476	2305	1994-02-08	PRIJEM	PREVOD Z UCTU	3542	17124	\N	UV	49954766
674477	2305	1994-03-08	PRIJEM	PREVOD Z UCTU	3542	22137	\N	UV	49954766
674478	2305	1994-04-08	PRIJEM	PREVOD Z UCTU	3542	28575	\N	UV	49954766
674479	2305	1994-05-08	PRIJEM	PREVOD Z UCTU	3542	28119	\N	UV	49954766
674480	2305	1994-06-08	PRIJEM	PREVOD Z UCTU	3542	16331	\N	UV	49954766
674481	2305	1994-07-08	PRIJEM	PREVOD Z UCTU	3542	19959	\N	UV	49954766
674482	2305	1994-08-08	PRIJEM	PREVOD Z UCTU	3542	20362	\N	UV	49954766
674483	2305	1994-09-08	PRIJEM	PREVOD Z UCTU	3542	23151	\N	UV	49954766
674484	2305	1994-10-08	PRIJEM	PREVOD Z UCTU	3542	27472	\N	UV	49954766
674485	2305	1994-11-08	PRIJEM	PREVOD Z UCTU	3542	23403	\N	UV	49954766
674486	2305	1994-12-08	PRIJEM	PREVOD Z UCTU	3542	27029	\N	UV	49954766
674487	2305	1995-01-08	PRIJEM	PREVOD Z UCTU	3542	25836	\N	UV	49954766
674488	2305	1995-02-08	PRIJEM	PREVOD Z UCTU	3542	23458	\N	UV	49954766
674489	2305	1995-03-08	PRIJEM	PREVOD Z UCTU	3542	22280	\N	UV	49954766
674490	2305	1995-04-08	PRIJEM	PREVOD Z UCTU	3542	24899	\N	UV	49954766
674491	2305	1995-05-08	PRIJEM	PREVOD Z UCTU	3542	23628	\N	UV	49954766
674492	2305	1995-06-08	PRIJEM	PREVOD Z UCTU	3542	22447	\N	UV	49954766
674493	2305	1995-07-08	PRIJEM	PREVOD Z UCTU	3542	20933	\N	UV	49954766
674494	2305	1995-08-08	PRIJEM	PREVOD Z UCTU	3542	19942	\N	UV	49954766
674495	2305	1995-09-08	PRIJEM	PREVOD Z UCTU	3542	22270	\N	UV	49954766
674496	2305	1995-10-08	PRIJEM	PREVOD Z UCTU	3542	21180	\N	UV	49954766
674497	2305	1995-11-08	PRIJEM	PREVOD Z UCTU	3542	25194	\N	UV	49954766
674498	2305	1995-12-08	PRIJEM	PREVOD Z UCTU	3542	20257	\N	UV	49954766
674499	2305	1996-01-08	PRIJEM	PREVOD Z UCTU	3542	18555	\N	UV	49954766
674500	2305	1996-02-08	PRIJEM	PREVOD Z UCTU	3542	15780	\N	UV	49954766
674501	2305	1996-03-08	PRIJEM	PREVOD Z UCTU	3542	13963	\N	UV	49954766
674502	2305	1996-04-08	PRIJEM	PREVOD Z UCTU	3542	13334	\N	UV	49954766
674503	2305	1996-05-08	PRIJEM	PREVOD Z UCTU	3542	15007	\N	UV	49954766
674504	2305	1996-06-08	PRIJEM	PREVOD Z UCTU	3542	17164	\N	UV	49954766
674505	2305	1996-07-08	PRIJEM	PREVOD Z UCTU	3542	13099	\N	UV	49954766
674506	2305	1996-08-08	PRIJEM	PREVOD Z UCTU	3542	11478	\N	UV	49954766
674507	2305	1996-09-08	PRIJEM	PREVOD Z UCTU	3542	14690	\N	UV	49954766
674508	2305	1996-10-08	PRIJEM	PREVOD Z UCTU	3542	9992	\N	UV	49954766
674509	2305	1996-11-08	PRIJEM	PREVOD Z UCTU	3542	13459	\N	UV	49954766
674510	2305	1996-12-08	PRIJEM	PREVOD Z UCTU	3542	10785	\N	UV	49954766
674511	2305	1997-01-08	PRIJEM	PREVOD Z UCTU	3542	3401	\N	UV	49954766
674512	2305	1997-02-08	PRIJEM	PREVOD Z UCTU	3542	-339	\N	UV	49954766
674513	2305	1997-03-08	PRIJEM	PREVOD Z UCTU	3542	1081	\N	UV	49954766
674514	2305	1997-04-08	PRIJEM	PREVOD Z UCTU	3542	4790	\N	UV	49954766
674515	2305	1997-05-08	PRIJEM	PREVOD Z UCTU	3542	2222	\N	UV	49954766
674516	2305	1997-06-08	PRIJEM	PREVOD Z UCTU	3542	2149	\N	UV	49954766
674517	2305	1997-07-08	PRIJEM	PREVOD Z UCTU	3542	-4844	\N	UV	49954766
674518	2305	1997-08-08	PRIJEM	PREVOD Z UCTU	3542	-2083	\N	UV	49954766
674519	2305	1997-09-08	PRIJEM	PREVOD Z UCTU	3542	-2001	\N	UV	49954766
674520	2305	1997-10-08	PRIJEM	PREVOD Z UCTU	3542	-1317	\N	UV	49954766
674521	2305	1997-11-08	PRIJEM	PREVOD Z UCTU	3542	-2331	\N	UV	49954766
674522	2305	1997-12-08	PRIJEM	PREVOD Z UCTU	3542	-2253	\N	UV	49954766
674523	2305	1998-01-08	PRIJEM	PREVOD Z UCTU	3542	-7394	\N	UV	49954766
674524	2305	1998-02-08	PRIJEM	PREVOD Z UCTU	3542	-7969	\N	UV	49954766
674525	2305	1998-03-08	PRIJEM	PREVOD Z UCTU	3542	-6240	\N	UV	49954766
674526	2305	1998-04-08	PRIJEM	PREVOD Z UCTU	3542	-4997	\N	UV	49954766
674527	2305	1998-05-08	PRIJEM	PREVOD Z UCTU	3542	-2235	\N	UV	49954766
674528	2305	1998-06-08	PRIJEM	PREVOD Z UCTU	3542	-7772	\N	UV	49954766
674529	2305	1998-07-08	PRIJEM	PREVOD Z UCTU	3542	-14076	\N	UV	49954766
674530	2305	1998-08-08	PRIJEM	PREVOD Z UCTU	3542	-20143	\N	UV	49954766
674531	2305	1998-09-08	PRIJEM	PREVOD Z UCTU	3542	-20042	\N	UV	49954766
674532	2305	1998-10-08	PRIJEM	PREVOD Z UCTU	3542	-18935	\N	UV	49954766
674533	2305	1998-11-08	PRIJEM	PREVOD Z UCTU	3542	-19124	\N	UV	49954766
674534	2305	1998-12-08	PRIJEM	PREVOD Z UCTU	3542	-18108	\N	UV	49954766
674551	2305	1994-05-13	VYDAJ	VYBER	2200	24919	SIPO	\N	0
674552	2305	1994-06-03	VYDAJ	VYBER	2500	22509	SIPO	\N	0
674553	2305	1994-07-03	VYDAJ	VYBER	1700	16417	SIPO	\N	0
674554	2305	1994-08-07	VYDAJ	VYBER	2400	15820	SIPO	\N	0
674555	2305	1994-09-07	VYDAJ	VYBER	2500	19609	SIPO	\N	0
674556	2305	1994-10-11	VYDAJ	VYBER	2100	25372	SIPO	\N	0
674557	2305	1994-11-05	VYDAJ	VYBER	2200	23261	SIPO	\N	0
674558	2305	1994-12-09	VYDAJ	VYBER	2200	24829	SIPO	\N	0
674559	2305	1995-01-20	VYDAJ	VYBER	2100	21756	SIPO	\N	0
674560	2305	1995-02-08	VYDAJ	VYBER	2900	20558	SIPO	\N	0
674561	2305	1995-03-06	VYDAJ	VYBER	2000	18738	SIPO	\N	0
674562	2305	1995-04-05	VYDAJ	VYBER	2500	21357	SIPO	\N	0
674563	2305	1995-05-11	VYDAJ	VYBER	2800	20828	SIPO	\N	0
674564	2305	1995-06-10	VYDAJ	VYBER	2400	20047	SIPO	\N	0
674565	2305	1995-07-07	VYDAJ	VYBER	1900	17391	SIPO	\N	0
674566	2305	1995-08-02	VYDAJ	VYBER	2700	18000	SIPO	\N	0
674567	2305	1995-09-10	VYDAJ	VYBER	2300	19970	SIPO	\N	0
674568	2305	1995-10-07	VYDAJ	VYBER	1800	17638	SIPO	\N	0
674569	2305	1995-11-20	VYDAJ	VYBER	2400	22794	SIPO	\N	0
674570	2305	1995-12-06	VYDAJ	VYBER	2300	16715	SIPO	\N	0
674571	2305	1996-01-07	VYDAJ	VYBER	2700	15013	SIPO	\N	0
674572	2305	1996-02-15	VYDAJ	VYBER	2800	12980	SIPO	\N	0
674573	2305	1996-03-05	VYDAJ	VYBER	1900	10421	SIPO	\N	0
674574	2305	1996-04-10	VYDAJ	VYBER	1900	11434	SIPO	\N	0
674575	2305	1996-05-04	VYDAJ	VYBER	2300	11465	SIPO	\N	0
674576	2305	1996-06-17	VYDAJ	VYBER	2500	14664	SIPO	\N	0
674577	2305	1996-07-16	VYDAJ	VYBER	1800	11299	SIPO	\N	0
674578	2305	1996-08-05	VYDAJ	VYBER	2400	7936	SIPO	\N	0
674579	2305	1996-09-20	VYDAJ	VYBER	2600	12090	SIPO	\N	0
674580	2305	1996-10-04	VYDAJ	VYBER	2400	6450	SIPO	\N	0
674581	2305	1996-11-14	VYDAJ	VYBER	2800	10659	SIPO	\N	0
674582	2305	1996-12-11	VYDAJ	VYBER	2300	8485	SIPO	\N	0
674583	2305	1997-01-08	VYDAJ	VYBER	2300	1101	SIPO	\N	0
674585	2305	1997-03-17	VYDAJ	VYBER	2800	-1719	SIPO	\N	0
674586	2305	1997-04-13	VYDAJ	VYBER	2900	1890	SIPO	\N	0
674587	2305	1997-05-03	VYDAJ	VYBER	2800	-1321	SIPO	\N	0
674588	2305	1997-06-19	VYDAJ	VYBER	2200	-51	SIPO	\N	0
674592	2305	1997-10-20	VYDAJ	VYBER	2200	-3517	SIPO	\N	0
674608	2305	1994-06-05	VYDAJ	VYBER	8820	13689	\N	\N	\N
674609	2305	1995-06-23	VYDAJ	VYBER	4890	15157	\N	\N	\N
674610	2305	1996-06-20	VYDAJ	VYBER	2310	12354	\N	\N	\N
674615	2305	1995-01-23	VYDAJ	VYBER	1140	20616	\N	\N	\N
674616	2305	1996-01-11	VYDAJ	VYBER	2250	16305	\N	\N	\N
674617	2305	1997-01-07	VYDAJ	VYBER	2070	-141	\N	\N	\N
674620	2305	1994-12-09	VYDAJ	VYBER	660	24169	\N	\N	\N
674621	2305	1995-12-04	VYDAJ	VYBER	660	19015	\N	\N	\N
674622	2305	1996-12-22	VYDAJ	VYBER	270	8215	\N	\N	\N
674637	2305	1995-01-03	VYDAJ	VYBER	660	23594	\N	\N	\N
674638	2305	1995-01-15	VYDAJ	VYBER	240	24156	\N	\N	\N
674639	2305	1995-01-11	VYDAJ	VYBER	840	24996	\N	\N	\N
674640	2305	1995-01-13	VYDAJ	VYBER	600	24396	\N	\N	\N
674641	2305	1995-01-23	VYDAJ	VYBER	300	20316	\N	\N	\N
674642	2305	1995-01-17	VYDAJ	VYBER	300	23856	\N	\N	\N
674643	2305	1996-01-23	VYDAJ	VYBER	570	15555	\N	\N	\N
674644	2305	1996-01-16	VYDAJ	VYBER	180	16125	\N	\N	\N
674645	2305	1996-01-01	VYDAJ	VYBER	240	19033	\N	\N	\N
674646	2305	1996-01-03	VYDAJ	VYBER	720	17713	\N	\N	\N
674647	2305	1996-01-01	VYDAJ	VYBER	600	18433	\N	\N	\N
674648	2305	1996-01-23	VYDAJ	VYBER	570	14985	\N	\N	\N
674650	2305	1997-01-19	VYDAJ	VYBER	270	-1569	\N	\N	\N
674651	2305	1997-01-12	VYDAJ	VYBER	270	831	\N	\N	\N
674653	2305	1997-01-15	VYDAJ	VYBER	540	21	\N	\N	\N
674654	2305	1997-01-13	VYDAJ	VYBER	270	561	\N	\N	\N
674668	2305	1994-06-14	VYDAJ	VYBER	780	18051	\N	\N	\N
674669	2305	1994-06-05	VYDAJ	VYBER	900	12789	\N	\N	\N
674671	2305	1994-08-15	VYDAJ	VYBER	420	19942	\N	\N	\N
674672	2305	1995-09-06	VYDAJ	VYBER	1380	18728	\N	\N	\N
674673	2305	1995-07-15	VYDAJ	VYBER	300	20633	\N	\N	\N
674674	2305	1995-06-30	VYDAJ	VYBER	1230	13991	\N	\N	\N
674675	2305	1995-10-31	VYDAJ	VYBER	1200	20052	\N	\N	\N
674676	2305	1995-12-12	VYDAJ	VYBER	1050	19207	\N	\N	\N
674677	2305	1995-02-04	VYDAJ	VYBER	1380	19916	\N	\N	\N
674678	2305	1996-06-21	VYDAJ	VYBER	1440	10914	\N	\N	\N
674679	2305	1996-12-02	VYDAJ	VYBER	540	7243	\N	\N	\N
674680	2305	1996-06-04	VYDAJ	VYBER	930	13622	\N	\N	\N
674681	2305	1996-07-26	VYDAJ	VYBER	690	10609	\N	\N	\N
674682	2305	1996-08-13	VYDAJ	VYBER	360	11118	\N	\N	\N
674683	2305	1996-03-14	VYDAJ	VYBER	510	13453	\N	\N	\N
674684	2305	1996-02-05	VYDAJ	VYBER	300	12238	\N	\N	\N
674685	2305	1996-09-29	VYDAJ	VYBER	570	8820	\N	\N	\N
674686	2305	1997-01-15	VYDAJ	VYBER	1320	-1299	\N	\N	\N
674689	2305	1997-02-13	VYDAJ	VYBER	1290	-1629	\N	\N	\N
674690	2305	1997-01-04	VYDAJ	VYBER	600	1929	\N	\N	\N
674691	2305	1998-05-08	VYDAJ	VYBER	1200	-3435	\N	\N	\N
674715	2305	1994-05-31	VYDAJ	VYBER	15	25009	SLUZBY	\N	\N
674716	2305	1994-06-30	VYDAJ	VYBER	15	18117	SLUZBY	\N	\N
674717	2305	1994-07-31	VYDAJ	VYBER	15	18220	SLUZBY	\N	\N
674718	2305	1994-08-31	VYDAJ	VYBER	15	20009	SLUZBY	\N	\N
674719	2305	1994-09-30	VYDAJ	VYBER	15	23230	SLUZBY	\N	\N
674720	2305	1994-10-31	VYDAJ	VYBER	15	25461	SLUZBY	\N	\N
674721	2305	1994-11-30	VYDAJ	VYBER	15	23487	SLUZBY	\N	\N
674722	2305	1994-12-31	VYDAJ	VYBER	15	24254	SLUZBY	\N	\N
674723	2305	1995-01-31	VYDAJ	VYBER	15	20396	SLUZBY	\N	\N
674724	2305	1995-02-28	VYDAJ	VYBER	15	20638	SLUZBY	\N	\N
674725	2305	1995-03-31	VYDAJ	VYBER	15	22357	SLUZBY	\N	\N
674726	2305	1995-04-30	VYDAJ	VYBER	15	24986	SLUZBY	\N	\N
674727	2305	1995-05-31	VYDAJ	VYBER	15	20905	SLUZBY	\N	\N
674728	2305	1995-06-30	VYDAJ	VYBER	15	15221	SLUZBY	\N	\N
674729	2305	1995-07-31	VYDAJ	VYBER	15	20700	SLUZBY	\N	\N
674730	2305	1995-08-31	VYDAJ	VYBER	15	20008	SLUZBY	\N	\N
674731	2305	1995-09-30	VYDAJ	VYBER	15	20038	SLUZBY	\N	\N
674732	2305	1995-10-31	VYDAJ	VYBER	15	21252	SLUZBY	\N	\N
674733	2305	1995-11-30	VYDAJ	VYBER	15	22875	SLUZBY	\N	\N
674734	2305	1995-12-31	VYDAJ	VYBER	15	19273	SLUZBY	\N	\N
674735	2305	1996-01-31	VYDAJ	VYBER	15	12538	SLUZBY	\N	\N
674736	2305	1996-02-29	VYDAJ	VYBER	15	13021	SLUZBY	\N	\N
674737	2305	1996-03-31	VYDAJ	VYBER	15	9792	SLUZBY	\N	\N
674738	2305	1996-04-30	VYDAJ	VYBER	15	13765	SLUZBY	\N	\N
674739	2305	1996-05-31	VYDAJ	VYBER	15	14552	SLUZBY	\N	\N
674740	2305	1996-06-30	VYDAJ	VYBER	15	9557	SLUZBY	\N	\N
674741	2305	1996-07-31	VYDAJ	VYBER	15	10336	SLUZBY	\N	\N
674742	2305	1996-08-31	VYDAJ	VYBER	15	11148	SLUZBY	\N	\N
674743	2305	1996-09-30	VYDAJ	VYBER	15	8850	SLUZBY	\N	\N
674744	2305	1996-10-31	VYDAJ	VYBER	15	9917	SLUZBY	\N	\N
674745	2305	1996-11-30	VYDAJ	VYBER	15	7783	SLUZBY	\N	\N
674746	2305	1996-12-31	VYDAJ	VYBER	15	2529	SLUZBY	\N	\N
674749	2305	1997-03-31	VYDAJ	VYBER	15	1248	SLUZBY	\N	\N
674750	2305	1997-04-30	VYDAJ	VYBER	15	1480	SLUZBY	\N	\N
674751	2305	1997-05-31	VYDAJ	VYBER	15	-1388	SLUZBY	\N	\N
674770	2305	1994-01-10	PRIJEM	VKLAD	9300	13542	\N	\N	\N
674771	2305	1994-02-09	PRIJEM	VKLAD	1400	18524	\N	\N	\N
674772	2305	1994-03-11	PRIJEM	VKLAD	2800	24937	\N	\N	\N
674773	2305	1994-04-10	VYDAJ	VYBER	4100	24475	\N	\N	\N
674774	2305	1994-05-10	VYDAJ	VYBER	1000	27119	\N	\N	\N
674775	2305	1994-06-09	PRIJEM	VKLAD	2500	18831	\N	\N	\N
674776	2305	1994-07-09	VYDAJ	VYBER	1800	18159	\N	\N	\N
674777	2305	1994-08-08	PRIJEM	VKLAD	1000	16820	\N	\N	\N
674778	2305	1994-09-07	PRIJEM	VKLAD	2100	22109	\N	\N	\N
674779	2305	1994-10-07	PRIJEM	VKLAD	700	23930	\N	\N	\N
674780	2305	1994-11-06	VYDAJ	VYBER	3400	19861	\N	\N	\N
674781	2305	1995-01-05	VYDAJ	VYBER	1300	22294	\N	\N	\N
674782	2305	1995-02-04	PRIJEM	VKLAD	900	21296	\N	\N	\N
674783	2305	1995-03-06	PRIJEM	VKLAD	100	20738	\N	\N	\N
674784	2305	1995-04-05	PRIJEM	VKLAD	1500	23857	\N	\N	\N
674785	2305	1995-05-05	VYDAJ	VYBER	4900	20086	\N	\N	\N
674786	2305	1995-06-04	VYDAJ	VYBER	2000	18905	\N	\N	\N
674787	2305	1995-07-04	PRIJEM	VKLAD	5300	19291	\N	\N	\N
674788	2305	1995-08-03	VYDAJ	VYBER	1600	16400	\N	\N	\N
674789	2305	1995-09-02	PRIJEM	VKLAD	100	20108	\N	\N	\N
674790	2305	1995-10-02	VYDAJ	VYBER	600	19438	\N	\N	\N
674791	2305	1995-11-01	PRIJEM	VKLAD	1600	21652	\N	\N	\N
674792	2305	1995-12-01	VYDAJ	VYBER	3200	19675	\N	\N	\N
674793	2305	1996-01-30	VYDAJ	VYBER	2500	12485	\N	\N	\N
674794	2305	1996-02-29	VYDAJ	VYBER	700	12321	\N	\N	\N
674795	2305	1996-03-30	VYDAJ	VYBER	3700	9753	\N	\N	\N
674796	2305	1996-04-29	PRIJEM	VKLAD	2300	13734	\N	\N	\N
674797	2305	1996-05-29	VYDAJ	VYBER	500	14507	\N	\N	\N
674798	2305	1996-06-28	VYDAJ	VYBER	1400	9514	\N	\N	\N
674799	2305	1996-07-28	VYDAJ	VYBER	300	10309	\N	\N	\N
674800	2305	1996-09-26	VYDAJ	VYBER	2700	9390	\N	\N	\N
674801	2305	1996-10-26	VYDAJ	VYBER	100	9892	\N	\N	\N
674802	2305	1996-11-25	VYDAJ	VYBER	2900	7759	\N	\N	\N
674803	2305	1996-12-25	VYDAJ	VYBER	5700	2515	\N	\N	\N
674804	2305	1997-01-24	VYDAJ	VYBER	2300	-3869	\N	\N	\N
674805	2305	1997-02-23	VYDAJ	VYBER	800	-2429	\N	\N	\N
674806	2305	1997-03-25	PRIJEM	VKLAD	3000	1281	\N	\N	\N
674807	2305	1997-04-24	VYDAJ	VYBER	400	1490	\N	\N	\N
674808	2305	1997-05-24	VYDAJ	VYBER	3600	-1379	\N	\N	\N
674809	2305	1997-06-23	VYDAJ	VYBER	8300	-8351	\N	\N	\N
674810	2305	1997-07-23	VYDAJ	VYBER	700	-5544	\N	\N	\N
674811	2305	1997-08-22	VYDAJ	VYBER	3400	-5483	\N	\N	\N
674812	2305	1997-09-21	VYDAJ	VYBER	2800	-4801	\N	\N	\N
674813	2305	1997-10-21	VYDAJ	VYBER	2300	-5817	\N	\N	\N
674814	2305	1997-11-20	VYDAJ	VYBER	3400	-5731	\N	\N	\N
674815	2305	1997-12-20	VYDAJ	VYBER	8600	-10853	\N	\N	\N
674816	2305	1998-01-19	VYDAJ	VYBER	4000	-11394	\N	\N	\N
674817	2305	1998-02-18	VYDAJ	VYBER	1700	-9669	\N	\N	\N
674818	2305	1998-03-20	VYDAJ	VYBER	2200	-8440	\N	\N	\N
674819	2305	1998-04-19	VYDAJ	VYBER	700	-5697	\N	\N	\N
674820	2305	1998-05-19	VYDAJ	VYBER	7800	-11235	\N	\N	\N
674821	2305	1998-06-18	VYDAJ	VYBER	9700	-17472	\N	\N	\N
674822	2305	1998-07-18	VYDAJ	VYBER	9400	-23476	\N	\N	\N
674823	2305	1998-08-17	VYDAJ	VYBER	3200	-23343	\N	\N	\N
674824	2305	1998-09-16	VYDAJ	VYBER	2200	-22242	\N	\N	\N
674825	2305	1998-10-16	VYDAJ	VYBER	3500	-22435	\N	\N	\N
674826	2305	1998-11-15	VYDAJ	VYBER	2300	-21424	\N	\N	\N
674887	2306	1993-12-08	PRIJEM	VKLAD	400	400	\N	\N	\N
674900	2306	1994-01-08	PRIJEM	VKLAD	13003	26103	\N	\N	\N
674901	2306	1994-02-08	PRIJEM	VKLAD	13003	38990	\N	\N	\N
674902	2306	1994-03-08	PRIJEM	VKLAD	13003	52142	\N	\N	\N
674903	2306	1994-04-08	PRIJEM	VKLAD	13003	44550	\N	\N	\N
674904	2306	1994-05-08	PRIJEM	VKLAD	13003	45146	\N	\N	\N
674905	2306	1994-06-08	PRIJEM	VKLAD	19504	51145	\N	\N	\N
674906	2306	1994-07-08	PRIJEM	VKLAD	13003	39728	\N	\N	\N
674907	2306	1994-08-08	PRIJEM	VKLAD	13003	41191	\N	\N	\N
674908	2306	1994-09-08	PRIJEM	VKLAD	13003	41162	\N	\N	\N
674909	2306	1994-10-08	PRIJEM	VKLAD	13003	44038	\N	\N	\N
674910	2306	1994-11-08	PRIJEM	VKLAD	13003	45525	\N	\N	\N
674911	2306	1994-12-08	PRIJEM	VKLAD	19504	49113	\N	\N	\N
674912	2306	1995-01-08	PRIJEM	VKLAD	13003	42508	\N	\N	\N
674913	2306	1995-02-08	PRIJEM	VKLAD	13003	36773	\N	\N	\N
674914	2306	1995-03-08	PRIJEM	VKLAD	13003	42923	\N	\N	\N
674915	2306	1995-04-08	PRIJEM	VKLAD	13003	46602	\N	\N	\N
674916	2306	1995-05-08	PRIJEM	VKLAD	13003	47796	\N	\N	\N
674917	2306	1995-06-08	PRIJEM	VKLAD	19504	53797	\N	\N	\N
674918	2306	1995-07-08	PRIJEM	VKLAD	13003	39673	\N	\N	\N
674919	2306	1995-08-08	PRIJEM	VKLAD	13003	43539	\N	\N	\N
674920	2306	1995-09-08	PRIJEM	VKLAD	13003	42216	\N	\N	\N
674921	2306	1995-10-08	PRIJEM	VKLAD	13003	45389	\N	\N	\N
674922	2306	1995-11-08	PRIJEM	VKLAD	13003	43767	\N	\N	\N
674923	2306	1995-12-08	PRIJEM	VKLAD	19504	51245	\N	\N	\N
674924	2306	1996-01-08	PRIJEM	VKLAD	13003	37442	\N	\N	\N
674925	2306	1996-02-08	PRIJEM	VKLAD	13003	28891	\N	\N	\N
674926	2306	1996-03-08	PRIJEM	VKLAD	13003	38214	\N	\N	\N
674927	2306	1996-04-08	PRIJEM	VKLAD	13003	40367	\N	\N	\N
674928	2306	1996-05-08	PRIJEM	VKLAD	13003	40027	\N	\N	\N
674929	2306	1996-06-08	PRIJEM	VKLAD	19504	43081	\N	\N	\N
674930	2306	1996-07-08	PRIJEM	VKLAD	13003	42144	\N	\N	\N
674931	2306	1996-08-08	PRIJEM	VKLAD	13003	38805	\N	\N	\N
674932	2306	1996-09-08	PRIJEM	VKLAD	13003	36152	\N	\N	\N
674933	2306	1996-10-08	PRIJEM	VKLAD	13003	37992	\N	\N	\N
674934	2306	1996-11-08	PRIJEM	VKLAD	13003	37938	\N	\N	\N
674935	2306	1996-12-08	PRIJEM	VKLAD	19504	47688	\N	\N	\N
674936	2306	1997-01-08	PRIJEM	VKLAD	13003	32555	\N	\N	\N
674937	2306	1997-02-08	PRIJEM	VKLAD	13003	26868	\N	\N	\N
674938	2306	1997-03-08	PRIJEM	VKLAD	13003	34475	\N	\N	\N
674939	2306	1997-04-08	PRIJEM	VKLAD	13003	31905	\N	\N	\N
674940	2306	1997-05-08	PRIJEM	VKLAD	13003	34830	\N	\N	\N
674941	2306	1997-06-08	PRIJEM	VKLAD	19504	39460	\N	\N	\N
674942	2306	1997-07-08	PRIJEM	VKLAD	13003	26076	\N	\N	\N
674943	2306	1997-08-08	PRIJEM	VKLAD	13003	30575	\N	\N	\N
674944	2306	1997-09-08	PRIJEM	VKLAD	13003	27679	\N	\N	\N
674945	2306	1997-10-08	PRIJEM	VKLAD	13003	31683	\N	\N	\N
674946	2306	1997-11-08	PRIJEM	VKLAD	13003	31693	\N	\N	\N
674947	2306	1997-12-08	PRIJEM	VKLAD	19504	41612	\N	\N	\N
674948	2306	1998-01-08	PRIJEM	VKLAD	13003	32949	\N	\N	\N
674949	2306	1998-02-08	PRIJEM	VKLAD	13003	24858	\N	\N	\N
674950	2306	1998-03-08	PRIJEM	VKLAD	13003	34160	\N	\N	\N
674951	2306	1998-04-08	PRIJEM	VKLAD	13003	44202	\N	\N	\N
674952	2306	1998-05-08	PRIJEM	VKLAD	13003	47370	\N	\N	\N
674953	2306	1998-06-08	PRIJEM	VKLAD	19504	30749	\N	\N	\N
674954	2306	1998-07-08	PRIJEM	VKLAD	13003	39495	\N	\N	\N
674955	2306	1998-08-08	PRIJEM	VKLAD	13003	43344	\N	\N	\N
674956	2306	1998-09-08	PRIJEM	VKLAD	13003	51419	\N	\N	\N
674957	2306	1998-10-08	PRIJEM	VKLAD	13003	56319	\N	\N	\N
674958	2306	1998-11-08	PRIJEM	VKLAD	13003	59241	\N	\N	\N
674959	2306	1998-12-08	PRIJEM	VKLAD	19504	64467	\N	\N	\N
674976	2306	1994-05-08	VYDAJ	PREVOD NA UCET	1179	43967	SIPO	ST	79012286
674977	2306	1994-06-08	VYDAJ	PREVOD NA UCET	1179	49966	SIPO	ST	79012286
674978	2306	1994-07-08	VYDAJ	PREVOD NA UCET	1179	38549	SIPO	ST	79012286
674979	2306	1994-08-08	VYDAJ	PREVOD NA UCET	1179	40012	SIPO	ST	79012286
674980	2306	1994-09-08	VYDAJ	PREVOD NA UCET	1179	39983	SIPO	ST	79012286
674981	2306	1994-10-08	VYDAJ	PREVOD NA UCET	1179	42859	SIPO	ST	79012286
674982	2306	1994-11-08	VYDAJ	PREVOD NA UCET	1179	44346	SIPO	ST	79012286
674983	2306	1994-12-08	VYDAJ	PREVOD NA UCET	1179	47934	SIPO	ST	79012286
674984	2306	1995-01-08	VYDAJ	PREVOD NA UCET	1179	41329	SIPO	ST	79012286
674985	2306	1995-02-08	VYDAJ	PREVOD NA UCET	1179	35594	SIPO	ST	79012286
674986	2306	1995-03-08	VYDAJ	PREVOD NA UCET	1179	41744	SIPO	ST	79012286
674987	2306	1995-04-08	VYDAJ	PREVOD NA UCET	1179	45423	SIPO	ST	79012286
674988	2306	1995-05-08	VYDAJ	PREVOD NA UCET	1179	46617	SIPO	ST	79012286
674989	2306	1995-06-08	VYDAJ	PREVOD NA UCET	1179	34018	SIPO	ST	79012286
674990	2306	1995-07-08	VYDAJ	PREVOD NA UCET	1179	38494	SIPO	ST	79012286
674991	2306	1995-08-08	VYDAJ	PREVOD NA UCET	1179	42360	SIPO	ST	79012286
674992	2306	1995-09-08	VYDAJ	PREVOD NA UCET	1179	41037	SIPO	ST	79012286
674993	2306	1995-10-08	VYDAJ	PREVOD NA UCET	1179	44210	SIPO	ST	79012286
674994	2306	1995-11-08	VYDAJ	PREVOD NA UCET	1179	42588	SIPO	ST	79012286
674995	2306	1995-12-08	VYDAJ	PREVOD NA UCET	1179	50066	SIPO	ST	79012286
674996	2306	1996-01-08	VYDAJ	PREVOD NA UCET	1179	36263	SIPO	ST	79012286
674997	2306	1996-02-08	VYDAJ	PREVOD NA UCET	1179	27712	SIPO	ST	79012286
674998	2306	1996-03-08	VYDAJ	PREVOD NA UCET	1179	37035	SIPO	ST	79012286
674999	2306	1996-04-08	VYDAJ	PREVOD NA UCET	1179	39188	SIPO	ST	79012286
675000	2306	1996-05-08	VYDAJ	PREVOD NA UCET	1179	38848	SIPO	ST	79012286
675001	2306	1996-06-08	VYDAJ	PREVOD NA UCET	1179	41902	SIPO	ST	79012286
675002	2306	1996-07-08	VYDAJ	PREVOD NA UCET	1179	40965	SIPO	ST	79012286
675003	2306	1996-08-08	VYDAJ	PREVOD NA UCET	1179	37626	SIPO	ST	79012286
675004	2306	1996-09-08	VYDAJ	PREVOD NA UCET	1179	34973	SIPO	ST	79012286
675005	2306	1996-10-08	VYDAJ	PREVOD NA UCET	1179	36813	SIPO	ST	79012286
675006	2306	1996-11-08	VYDAJ	PREVOD NA UCET	1179	36759	SIPO	ST	79012286
675007	2306	1996-12-08	VYDAJ	PREVOD NA UCET	1179	46509	SIPO	ST	79012286
675008	2306	1997-01-08	VYDAJ	PREVOD NA UCET	1179	31376	SIPO	ST	79012286
675009	2306	1997-02-08	VYDAJ	PREVOD NA UCET	1179	25689	SIPO	ST	79012286
675010	2306	1997-03-08	VYDAJ	PREVOD NA UCET	1179	33296	SIPO	ST	79012286
675011	2306	1997-04-08	VYDAJ	PREVOD NA UCET	1179	30726	SIPO	ST	79012286
675012	2306	1997-05-08	VYDAJ	PREVOD NA UCET	1179	33651	SIPO	ST	79012286
675013	2306	1997-06-08	VYDAJ	PREVOD NA UCET	1179	38281	SIPO	ST	79012286
675014	2306	1997-07-08	VYDAJ	PREVOD NA UCET	1179	24897	SIPO	ST	79012286
675015	2306	1997-08-08	VYDAJ	PREVOD NA UCET	1179	29396	SIPO	ST	79012286
675016	2306	1997-09-08	VYDAJ	PREVOD NA UCET	1179	26500	SIPO	ST	79012286
675017	2306	1997-10-08	VYDAJ	PREVOD NA UCET	1179	30504	SIPO	ST	79012286
675018	2306	1997-11-08	VYDAJ	PREVOD NA UCET	1179	30514	SIPO	ST	79012286
675019	2306	1997-12-08	VYDAJ	PREVOD NA UCET	1179	40433	SIPO	ST	79012286
675020	2306	1998-01-08	VYDAJ	PREVOD NA UCET	1179	31770	SIPO	ST	79012286
675021	2306	1998-02-08	VYDAJ	PREVOD NA UCET	1179	23679	SIPO	ST	79012286
675022	2306	1998-03-08	VYDAJ	PREVOD NA UCET	1179	32981	SIPO	ST	79012286
675023	2306	1998-04-08	VYDAJ	PREVOD NA UCET	1179	43023	SIPO	ST	79012286
675024	2306	1998-05-08	VYDAJ	PREVOD NA UCET	1179	46191	SIPO	ST	79012286
675025	2306	1998-06-08	VYDAJ	PREVOD NA UCET	1179	29570	SIPO	ST	79012286
675026	2306	1998-07-08	VYDAJ	PREVOD NA UCET	1179	38316	SIPO	ST	79012286
675027	2306	1998-08-08	VYDAJ	PREVOD NA UCET	1179	42165	SIPO	ST	79012286
675028	2306	1998-09-08	VYDAJ	PREVOD NA UCET	1179	50240	SIPO	ST	79012286
675029	2306	1998-10-08	VYDAJ	PREVOD NA UCET	1179	55140	SIPO	ST	79012286
675030	2306	1998-11-08	VYDAJ	PREVOD NA UCET	1179	58062	SIPO	ST	79012286
675031	2306	1998-12-08	VYDAJ	PREVOD NA UCET	1179	63288	SIPO	ST	79012286
675048	2306	1994-05-13	VYDAJ	PREVOD NA UCET	3586	40381	 	KL	42063969
675049	2306	1994-06-13	VYDAJ	PREVOD NA UCET	3586	46380	 	KL	42063969
675050	2306	1994-07-13	VYDAJ	PREVOD NA UCET	3586	34963	 	KL	42063969
675051	2306	1994-08-13	VYDAJ	PREVOD NA UCET	3586	36426	 	KL	42063969
675052	2306	1994-09-13	VYDAJ	PREVOD NA UCET	3586	36397	 	KL	42063969
675053	2306	1994-10-13	VYDAJ	PREVOD NA UCET	3586	39273	 	KL	42063969
675054	2306	1994-11-13	VYDAJ	PREVOD NA UCET	3586	37860	 	KL	42063969
675055	2306	1994-12-13	VYDAJ	PREVOD NA UCET	3586	42848	 	KL	42063969
675056	2306	1995-01-13	VYDAJ	PREVOD NA UCET	3586	36243	 	KL	42063969
675057	2306	1995-02-13	VYDAJ	PREVOD NA UCET	3586	32008	 	KL	42063969
675058	2306	1995-03-13	VYDAJ	PREVOD NA UCET	3586	38158	 	KL	42063969
675059	2306	1995-04-13	VYDAJ	PREVOD NA UCET	3586	41837	 	KL	42063969
675060	2306	1995-05-13	VYDAJ	PREVOD NA UCET	3586	43031	 	KL	42063969
675061	2306	1995-06-13	VYDAJ	PREVOD NA UCET	3586	30432	 	KL	42063969
675062	2306	1995-07-13	VYDAJ	PREVOD NA UCET	3586	34908	 	KL	42063969
675063	2306	1995-08-13	VYDAJ	PREVOD NA UCET	3586	38774	 	KL	42063969
675064	2306	1995-09-13	VYDAJ	PREVOD NA UCET	3586	37451	 	KL	42063969
675065	2306	1995-10-13	VYDAJ	PREVOD NA UCET	3586	40624	 	KL	42063969
675066	2306	1995-11-13	VYDAJ	PREVOD NA UCET	3586	39002	 	KL	42063969
675067	2306	1995-12-13	VYDAJ	PREVOD NA UCET	3586	46480	 	KL	42063969
675068	2306	1996-01-13	VYDAJ	PREVOD NA UCET	3586	30977	 	KL	42063969
675069	2306	1996-02-13	VYDAJ	PREVOD NA UCET	3586	24126	 	KL	42063969
675070	2306	1996-03-13	VYDAJ	PREVOD NA UCET	3586	33449	 	KL	42063969
675071	2306	1996-04-13	VYDAJ	PREVOD NA UCET	3586	35602	 	KL	42063969
675072	2306	1996-05-13	VYDAJ	PREVOD NA UCET	3586	35262	 	KL	42063969
675073	2306	1996-06-13	VYDAJ	PREVOD NA UCET	3586	38316	 	KL	42063969
675074	2306	1996-07-13	VYDAJ	PREVOD NA UCET	3586	37379	 	KL	42063969
675075	2306	1996-08-13	VYDAJ	PREVOD NA UCET	3586	34040	 	KL	42063969
675076	2306	1996-09-13	VYDAJ	PREVOD NA UCET	3586	31387	 	KL	42063969
675077	2306	1996-10-13	VYDAJ	PREVOD NA UCET	3586	33227	 	KL	42063969
675078	2306	1996-11-13	VYDAJ	PREVOD NA UCET	3586	33173	 	KL	42063969
675079	2306	1996-12-13	VYDAJ	PREVOD NA UCET	3586	42923	 	KL	42063969
675080	2306	1997-01-13	VYDAJ	PREVOD NA UCET	3586	27090	 	KL	42063969
675081	2306	1997-02-13	VYDAJ	PREVOD NA UCET	3586	22103	 	KL	42063969
675082	2306	1997-03-13	VYDAJ	PREVOD NA UCET	3586	29710	 	KL	42063969
675083	2306	1997-04-13	VYDAJ	PREVOD NA UCET	3586	27140	 	KL	42063969
675084	2306	1997-05-13	VYDAJ	PREVOD NA UCET	3586	30065	 	KL	42063969
675085	2306	1997-06-13	VYDAJ	PREVOD NA UCET	3586	34695	 	KL	42063969
675086	2306	1997-07-13	VYDAJ	PREVOD NA UCET	3586	21311	 	KL	42063969
675087	2306	1997-08-13	VYDAJ	PREVOD NA UCET	3586	25810	 	KL	42063969
675088	2306	1997-09-13	VYDAJ	PREVOD NA UCET	3586	22914	 	KL	42063969
675089	2306	1997-10-13	VYDAJ	PREVOD NA UCET	3586	22818	 	KL	42063969
675090	2306	1997-11-13	VYDAJ	PREVOD NA UCET	3586	26928	 	KL	42063969
675091	2306	1997-12-13	VYDAJ	PREVOD NA UCET	3586	36847	 	KL	42063969
675092	2306	1998-01-13	VYDAJ	PREVOD NA UCET	3586	23784	 	KL	42063969
675093	2306	1998-02-13	VYDAJ	PREVOD NA UCET	3586	20093	 	KL	42063969
675094	2306	1998-03-13	VYDAJ	PREVOD NA UCET	3586	29395	 	KL	42063969
675095	2306	1998-04-13	VYDAJ	PREVOD NA UCET	3586	39437	 	KL	42063969
675096	2306	1998-05-13	VYDAJ	PREVOD NA UCET	3586	42605	 	KL	42063969
675097	2306	1998-06-13	VYDAJ	PREVOD NA UCET	3586	25984	 	KL	42063969
675098	2306	1998-07-13	VYDAJ	PREVOD NA UCET	3586	34730	 	KL	42063969
675099	2306	1998-08-13	VYDAJ	PREVOD NA UCET	3586	38579	 	KL	42063969
675100	2306	1998-09-13	VYDAJ	PREVOD NA UCET	3586	46654	 	KL	42063969
675101	2306	1998-10-13	VYDAJ	PREVOD NA UCET	3586	51554	 	KL	42063969
675102	2306	1998-11-13	VYDAJ	PREVOD NA UCET	3586	48076	 	KL	42063969
675103	2306	1998-12-13	VYDAJ	PREVOD NA UCET	3586	53202	 	KL	42063969
675105	2306	1994-06-21	VYDAJ	VYBER	21300	25080	\N	\N	\N
675106	2306	1995-06-08	VYDAJ	VYBER	18600	35197	\N	\N	\N
675108	2306	1997-06-18	VYDAJ	VYBER	18900	15795	\N	\N	\N
675109	2306	1998-06-04	VYDAJ	VYBER	24700	11245	\N	\N	\N
675112	2306	1995-01-10	VYDAJ	VYBER	1500	39829	\N	\N	\N
675113	2306	1996-01-07	VYDAJ	VYBER	8300	24439	\N	\N	\N
675114	2306	1997-01-18	VYDAJ	VYBER	3300	21190	\N	\N	\N
675115	2306	1998-01-24	VYDAJ	VYBER	7300	14184	\N	\N	\N
675117	2306	1994-12-09	VYDAJ	VYBER	1500	46434	\N	\N	\N
675118	2306	1995-12-22	VYDAJ	VYBER	800	45680	\N	\N	\N
675119	2306	1996-12-15	VYDAJ	VYBER	1200	41723	\N	\N	\N
675120	2306	1997-12-14	VYDAJ	VYBER	1500	35347	\N	\N	\N
675121	2306	1998-12-16	VYDAJ	VYBER	1800	51402	\N	\N	\N
675134	2306	1995-01-17	VYDAJ	VYBER	1200	35043	\N	\N	\N
675135	2306	1995-01-30	VYDAJ	VYBER	2100	23443	\N	\N	\N
675136	2306	1995-01-21	VYDAJ	VYBER	1000	31343	\N	\N	\N
675137	2306	1995-01-21	VYDAJ	VYBER	2700	32343	\N	\N	\N
675138	2306	1995-01-22	VYDAJ	VYBER	1500	29843	\N	\N	\N
675139	2306	1995-01-06	VYDAJ	VYBER	1200	29505	\N	\N	\N
675140	2306	1996-01-17	VYDAJ	VYBER	600	30377	\N	\N	\N
675141	2306	1996-01-27	VYDAJ	VYBER	1600	23677	\N	\N	\N
675142	2306	1996-01-29	VYDAJ	VYBER	2500	19977	\N	\N	\N
675143	2306	1996-01-09	VYDAJ	VYBER	1700	34563	\N	\N	\N
675144	2306	1996-01-17	VYDAJ	VYBER	2900	27477	\N	\N	\N
675145	2306	1996-01-26	VYDAJ	VYBER	2200	25277	\N	\N	\N
675146	2306	1997-01-17	VYDAJ	VYBER	500	24490	\N	\N	\N
675147	2306	1997-01-02	VYDAJ	VYBER	2700	23852	\N	\N	\N
675148	2306	1997-01-07	VYDAJ	VYBER	1200	19552	\N	\N	\N
675149	2306	1997-01-21	VYDAJ	VYBER	1700	14890	\N	\N	\N
675150	2306	1997-01-29	VYDAJ	VYBER	1100	13790	\N	\N	\N
675151	2306	1997-01-15	VYDAJ	VYBER	2100	24990	\N	\N	\N
675152	2306	1998-01-14	VYDAJ	VYBER	1700	22084	\N	\N	\N
675153	2306	1998-01-29	VYDAJ	VYBER	1700	12484	\N	\N	\N
675154	2306	1998-01-08	VYDAJ	VYBER	1500	30270	\N	\N	\N
675155	2306	1998-01-11	VYDAJ	VYBER	2900	27370	\N	\N	\N
675156	2306	1998-01-06	VYDAJ	VYBER	2600	19946	\N	\N	\N
675157	2306	1998-01-06	VYDAJ	VYBER	2000	22546	\N	\N	\N
675163	2306	1994-12-19	VYDAJ	VYBER	2500	40348	\N	\N	\N
675165	2306	1994-08-21	VYDAJ	VYBER	3200	33226	\N	\N	\N
675166	2306	1994-11-11	VYDAJ	VYBER	2900	41446	\N	\N	\N
675167	2306	1994-05-28	VYDAJ	VYBER	1900	38481	\N	\N	\N
675168	2306	1995-02-07	VYDAJ	VYBER	1100	23770	\N	\N	\N
675169	2306	1995-05-30	VYDAJ	VYBER	2200	40131	\N	\N	\N
675170	2306	1995-05-22	VYDAJ	VYBER	700	42331	\N	\N	\N
675171	2306	1995-10-20	VYDAJ	VYBER	4200	36424	\N	\N	\N
675172	2306	1995-01-27	VYDAJ	VYBER	4300	25543	\N	\N	\N
675173	2306	1995-04-24	VYDAJ	VYBER	2200	39637	\N	\N	\N
675174	2306	1995-04-02	VYDAJ	VYBER	1600	36699	\N	\N	\N
675175	2306	1996-05-31	VYDAJ	VYBER	1600	23592	\N	\N	\N
675176	2306	1996-05-17	VYDAJ	VYBER	1600	33662	\N	\N	\N
675177	2306	1996-01-31	VYDAJ	VYBER	4200	15888	\N	\N	\N
675178	2306	1996-04-25	VYDAJ	VYBER	700	34902	\N	\N	\N
675179	2306	1996-12-26	VYDAJ	VYBER	700	26423	\N	\N	\N
675180	2306	1997-10-08	VYDAJ	VYBER	4100	26404	\N	\N	\N
675181	2306	1997-05-26	VYDAJ	VYBER	3500	19865	\N	\N	\N
675182	2306	1997-04-02	VYDAJ	VYBER	2800	18902	\N	\N	\N
675183	2306	1997-06-21	VYDAJ	VYBER	500	12995	\N	\N	\N
675184	2306	1997-01-09	VYDAJ	VYBER	700	30676	\N	\N	\N
675185	2306	1997-01-03	VYDAJ	VYBER	3100	20752	\N	\N	\N
675186	2306	1998-12-01	VYDAJ	VYBER	3300	44963	\N	\N	\N
675187	2306	1998-06-28	VYDAJ	VYBER	2300	26384	\N	\N	\N
675188	2306	1998-12-18	VYDAJ	VYBER	1700	49702	\N	\N	\N
675189	2306	1998-01-31	VYDAJ	VYBER	700	11870	\N	\N	\N
675190	2306	1998-10-22	VYDAJ	VYBER	2500	46054	\N	\N	\N
675208	2306	1994-05-31	VYDAJ	VYBER	15	38641	SLUZBY	\N	\N
675209	2306	1994-06-30	VYDAJ	VYBER	15	25225	SLUZBY	\N	\N
675210	2306	1994-07-31	VYDAJ	VYBER	15	35088	SLUZBY	\N	\N
675211	2306	1994-08-31	VYDAJ	VYBER	15	33359	SLUZBY	\N	\N
675212	2306	1994-09-30	VYDAJ	VYBER	15	36535	SLUZBY	\N	\N
675213	2306	1994-10-31	VYDAJ	VYBER	15	39422	SLUZBY	\N	\N
675214	2306	1994-11-30	VYDAJ	VYBER	15	38009	SLUZBY	\N	\N
675215	2306	1994-12-31	VYDAJ	VYBER	15	40505	SLUZBY	\N	\N
675216	2306	1995-01-31	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
675217	2306	1995-02-28	VYDAJ	VYBER	15	32120	SLUZBY	\N	\N
675218	2306	1995-03-31	VYDAJ	VYBER	15	38299	SLUZBY	\N	\N
675219	2306	1995-04-30	VYDAJ	VYBER	15	39793	SLUZBY	\N	\N
675220	2306	1995-05-31	VYDAJ	VYBER	15	40293	SLUZBY	\N	\N
675221	2306	1995-06-30	VYDAJ	VYBER	15	30570	SLUZBY	\N	\N
675222	2306	1995-07-31	VYDAJ	VYBER	15	30536	SLUZBY	\N	\N
675223	2306	1995-08-31	VYDAJ	VYBER	15	29213	SLUZBY	\N	\N
675224	2306	1995-09-30	VYDAJ	VYBER	15	32386	SLUZBY	\N	\N
675225	2306	1995-10-31	VYDAJ	VYBER	15	30764	SLUZBY	\N	\N
675226	2306	1995-11-30	VYDAJ	VYBER	15	31741	SLUZBY	\N	\N
675227	2306	1995-12-31	VYDAJ	VYBER	15	32739	SLUZBY	\N	\N
675228	2306	1996-01-31	VYDAJ	VYBER	15	20088	SLUZBY	\N	\N
675229	2306	1996-02-29	VYDAJ	VYBER	15	25211	SLUZBY	\N	\N
675230	2306	1996-03-31	VYDAJ	VYBER	15	27364	SLUZBY	\N	\N
675231	2306	1996-04-30	VYDAJ	VYBER	15	27024	SLUZBY	\N	\N
675232	2306	1996-05-31	VYDAJ	VYBER	15	23577	SLUZBY	\N	\N
675233	2306	1996-06-30	VYDAJ	VYBER	15	29141	SLUZBY	\N	\N
675234	2306	1996-07-31	VYDAJ	VYBER	15	25802	SLUZBY	\N	\N
675235	2306	1996-08-31	VYDAJ	VYBER	15	23149	SLUZBY	\N	\N
675236	2306	1996-09-30	VYDAJ	VYBER	15	24989	SLUZBY	\N	\N
675237	2306	1996-10-31	VYDAJ	VYBER	15	24935	SLUZBY	\N	\N
675238	2306	1996-11-30	VYDAJ	VYBER	15	28184	SLUZBY	\N	\N
675239	2306	1996-12-31	VYDAJ	VYBER	15	26552	SLUZBY	\N	\N
675240	2306	1997-01-31	VYDAJ	VYBER	15	13865	SLUZBY	\N	\N
675241	2306	1997-02-28	VYDAJ	VYBER	15	21472	SLUZBY	\N	\N
675242	2306	1997-03-31	VYDAJ	VYBER	15	21702	SLUZBY	\N	\N
675243	2306	1997-04-30	VYDAJ	VYBER	15	21827	SLUZBY	\N	\N
675244	2306	1997-05-31	VYDAJ	VYBER	15	19956	SLUZBY	\N	\N
675245	2306	1997-06-30	VYDAJ	VYBER	15	13073	SLUZBY	\N	\N
675246	2306	1997-07-31	VYDAJ	VYBER	15	17572	SLUZBY	\N	\N
675247	2306	1997-08-31	VYDAJ	VYBER	15	14676	SLUZBY	\N	\N
675248	2306	1997-09-30	VYDAJ	VYBER	15	18680	SLUZBY	\N	\N
675249	2306	1997-10-31	VYDAJ	VYBER	15	18690	SLUZBY	\N	\N
675250	2306	1997-11-30	VYDAJ	VYBER	15	22108	SLUZBY	\N	\N
675251	2306	1997-12-31	VYDAJ	VYBER	15	24546	SLUZBY	\N	\N
675252	2306	1998-01-31	VYDAJ	VYBER	15	11855	SLUZBY	\N	\N
675253	2306	1998-02-28	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
675254	2306	1998-03-31	VYDAJ	VYBER	15	31199	SLUZBY	\N	\N
675255	2306	1998-04-30	VYDAJ	VYBER	15	34367	SLUZBY	\N	\N
675256	2306	1998-05-31	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
675257	2306	1998-06-30	VYDAJ	VYBER	15	26492	SLUZBY	\N	\N
675258	2306	1998-07-31	VYDAJ	VYBER	15	30341	SLUZBY	\N	\N
675259	2306	1998-08-31	VYDAJ	VYBER	15	38416	SLUZBY	\N	\N
675260	2306	1998-09-30	VYDAJ	VYBER	15	43316	SLUZBY	\N	\N
675261	2306	1998-10-31	VYDAJ	VYBER	15	46238	SLUZBY	\N	\N
675262	2306	1998-11-30	VYDAJ	VYBER	15	48263	SLUZBY	\N	\N
675263	2306	1994-01-07	PRIJEM	VKLAD	12700	13100	\N	\N	\N
675264	2306	1994-02-06	VYDAJ	VYBER	200	25987	\N	\N	\N
675265	2306	1994-03-08	VYDAJ	VYBER	11800	40342	\N	\N	\N
675266	2306	1994-04-07	VYDAJ	VYBER	9000	31547	\N	\N	\N
675267	2306	1994-05-07	VYDAJ	VYBER	12600	32143	\N	\N	\N
675268	2306	1994-06-06	VYDAJ	VYBER	7000	31641	\N	\N	\N
675269	2306	1994-07-06	PRIJEM	VKLAD	1500	26725	\N	\N	\N
675270	2306	1994-08-05	VYDAJ	VYBER	6900	28188	\N	\N	\N
675271	2306	1994-09-04	VYDAJ	VYBER	5200	28159	\N	\N	\N
675272	2306	1994-10-04	VYDAJ	VYBER	5500	31035	\N	\N	\N
675273	2306	1994-11-03	VYDAJ	VYBER	6900	32522	\N	\N	\N
675274	2306	1994-12-03	VYDAJ	VYBER	8400	29609	\N	\N	\N
675275	2306	1995-01-02	VYDAJ	VYBER	9800	30705	\N	\N	\N
675276	2306	1995-02-01	PRIJEM	VKLAD	1300	24870	\N	\N	\N
675277	2306	1995-03-03	VYDAJ	VYBER	2200	29920	\N	\N	\N
675278	2306	1995-04-02	VYDAJ	VYBER	3100	33599	\N	\N	\N
675279	2306	1995-05-02	VYDAJ	VYBER	5000	34793	\N	\N	\N
675280	2306	1995-06-01	VYDAJ	VYBER	6000	34293	\N	\N	\N
675281	2306	1995-07-01	VYDAJ	VYBER	3900	26670	\N	\N	\N
675282	2306	1995-07-31	VYDAJ	VYBER	4500	30551	\N	\N	\N
675283	2306	1995-08-30	VYDAJ	VYBER	9700	29074	\N	\N	\N
675284	2306	1995-09-29	VYDAJ	VYBER	5200	32251	\N	\N	\N
675285	2306	1995-10-29	VYDAJ	VYBER	5800	30624	\N	\N	\N
675286	2306	1995-11-28	VYDAJ	VYBER	7400	31602	\N	\N	\N
675287	2306	1995-12-28	VYDAJ	VYBER	13100	32580	\N	\N	\N
675288	2306	1996-01-27	VYDAJ	VYBER	1200	22477	\N	\N	\N
675289	2306	1996-02-26	PRIJEM	VKLAD	1000	25126	\N	\N	\N
675290	2306	1996-03-27	VYDAJ	VYBER	6200	27249	\N	\N	\N
675291	2306	1996-04-26	VYDAJ	VYBER	8000	26902	\N	\N	\N
675292	2306	1996-05-26	VYDAJ	VYBER	8600	25062	\N	\N	\N
675293	2306	1996-06-25	VYDAJ	VYBER	9300	29016	\N	\N	\N
675294	2306	1996-07-25	VYDAJ	VYBER	11700	25679	\N	\N	\N
675295	2306	1996-08-24	VYDAJ	VYBER	11000	23040	\N	\N	\N
675296	2306	1996-09-23	VYDAJ	VYBER	6500	24887	\N	\N	\N
675297	2306	1996-10-23	VYDAJ	VYBER	8400	24827	\N	\N	\N
675298	2306	1996-11-22	VYDAJ	VYBER	5100	28073	\N	\N	\N
675299	2306	1996-12-22	VYDAJ	VYBER	14600	27123	\N	\N	\N
675300	2306	1997-01-21	VYDAJ	VYBER	4600	16590	\N	\N	\N
675301	2306	1997-02-20	VYDAJ	VYBER	700	21403	\N	\N	\N
675302	2306	1997-03-22	VYDAJ	VYBER	8100	21610	\N	\N	\N
675303	2306	1997-04-21	VYDAJ	VYBER	5400	21740	\N	\N	\N
675304	2306	1997-05-21	VYDAJ	VYBER	6700	23365	\N	\N	\N
675305	2306	1997-06-20	VYDAJ	VYBER	2300	13495	\N	\N	\N
675306	2306	1997-07-20	VYDAJ	VYBER	3800	17511	\N	\N	\N
675307	2306	1997-08-19	VYDAJ	VYBER	11200	14610	\N	\N	\N
675308	2306	1997-09-18	VYDAJ	VYBER	4300	18614	\N	\N	\N
675309	2306	1997-10-18	VYDAJ	VYBER	4200	18618	\N	\N	\N
675310	2306	1997-11-17	VYDAJ	VYBER	4900	22028	\N	\N	\N
675311	2306	1997-12-17	VYDAJ	VYBER	10900	24447	\N	\N	\N
675312	2306	1998-01-16	VYDAJ	VYBER	600	21484	\N	\N	\N
675313	2306	1998-02-15	PRIJEM	VKLAD	1000	21093	\N	\N	\N
675314	2306	1998-03-17	PRIJEM	VKLAD	1700	31095	\N	\N	\N
675315	2306	1998-04-16	VYDAJ	VYBER	5200	34237	\N	\N	\N
675316	2306	1998-05-16	VYDAJ	VYBER	6800	35805	\N	\N	\N
675317	2306	1998-06-15	PRIJEM	VKLAD	2700	28684	\N	\N	\N
675318	2306	1998-07-15	VYDAJ	VYBER	4500	30230	\N	\N	\N
675319	2306	1998-08-14	VYDAJ	VYBER	300	38279	\N	\N	\N
675320	2306	1998-09-13	VYDAJ	VYBER	3500	43154	\N	\N	\N
675321	2306	1998-10-13	VYDAJ	VYBER	3000	48554	\N	\N	\N
675322	2306	1998-11-12	VYDAJ	VYBER	6400	51662	\N	\N	\N
675323	2306	1998-12-12	VYDAJ	VYBER	6500	56788	\N	\N	\N
675384	2307	1995-07-12	PRIJEM	VKLAD	600	600	\N	\N	\N
675391	2307	1995-07-13	PRIJEM	PREVOD Z UCTU	5189	5789	DUCHOD	EF	18081140
675392	2307	1995-08-13	PRIJEM	PREVOD Z UCTU	5189	10993	DUCHOD	EF	18081140
675393	2307	1995-09-13	PRIJEM	PREVOD Z UCTU	5189	16206	DUCHOD	EF	18081140
675394	2307	1995-10-13	PRIJEM	PREVOD Z UCTU	5189	21419	DUCHOD	EF	18081140
675395	2307	1995-11-13	PRIJEM	PREVOD Z UCTU	5189	26632	DUCHOD	EF	18081140
675396	2307	1995-12-13	PRIJEM	PREVOD Z UCTU	5189	28375	DUCHOD	EF	18081140
675397	2307	1996-01-13	PRIJEM	PREVOD Z UCTU	5189	24241	DUCHOD	EF	18081140
675398	2307	1996-02-13	PRIJEM	PREVOD Z UCTU	5189	22612	DUCHOD	EF	18081140
675399	2307	1996-03-13	PRIJEM	PREVOD Z UCTU	5189	22655	DUCHOD	EF	18081140
675400	2307	1996-04-13	PRIJEM	PREVOD Z UCTU	5189	24460	DUCHOD	EF	18081140
675401	2307	1996-05-13	PRIJEM	PREVOD Z UCTU	5189	26272	DUCHOD	EF	18081140
675402	2307	1996-06-13	PRIJEM	PREVOD Z UCTU	5189	14841	DUCHOD	EF	18081140
675403	2307	1996-07-13	PRIJEM	PREVOD Z UCTU	5189	16621	DUCHOD	EF	18081140
675615	2307	1997-11-30	VYDAJ	VYBER	15	23481	SLUZBY	\N	\N
675404	2307	1996-08-13	PRIJEM	PREVOD Z UCTU	5189	17278	DUCHOD	EF	18081140
675405	2307	1996-09-13	PRIJEM	PREVOD Z UCTU	5189	19059	DUCHOD	EF	18081140
675406	2307	1996-10-13	PRIJEM	PREVOD Z UCTU	5189	18363	DUCHOD	EF	18081140
675407	2307	1996-11-13	PRIJEM	PREVOD Z UCTU	5189	20149	DUCHOD	EF	18081140
675408	2307	1996-12-13	PRIJEM	PREVOD Z UCTU	5189	17406	DUCHOD	EF	18081140
675409	2307	1997-01-13	PRIJEM	PREVOD Z UCTU	5189	18149	DUCHOD	EF	18081140
675410	2307	1997-02-13	PRIJEM	PREVOD Z UCTU	5189	15770	DUCHOD	EF	18081140
675411	2307	1997-03-13	PRIJEM	PREVOD Z UCTU	5189	17545	DUCHOD	EF	18081140
675412	2307	1997-04-13	PRIJEM	PREVOD Z UCTU	5189	19327	DUCHOD	EF	18081140
675413	2307	1997-05-13	PRIJEM	PREVOD Z UCTU	5189	21117	DUCHOD	EF	18081140
675414	2307	1997-06-13	PRIJEM	PREVOD Z UCTU	5189	17625	DUCHOD	EF	18081140
675415	2307	1997-07-13	PRIJEM	PREVOD Z UCTU	5189	16251	DUCHOD	EF	18081140
675416	2307	1997-08-13	PRIJEM	PREVOD Z UCTU	5189	18028	DUCHOD	EF	18081140
675417	2307	1997-09-13	PRIJEM	PREVOD Z UCTU	5189	19813	DUCHOD	EF	18081140
675418	2307	1997-10-13	PRIJEM	PREVOD Z UCTU	5189	21605	DUCHOD	EF	18081140
675419	2307	1997-11-13	PRIJEM	PREVOD Z UCTU	5189	23404	DUCHOD	EF	18081140
675420	2307	1997-12-13	PRIJEM	PREVOD Z UCTU	5189	24711	DUCHOD	EF	18081140
675421	2307	1998-01-13	PRIJEM	PREVOD Z UCTU	5189	25003	DUCHOD	EF	18081140
675422	2307	1998-02-13	PRIJEM	PREVOD Z UCTU	5189	18002	DUCHOD	EF	18081140
675423	2307	1998-03-13	PRIJEM	PREVOD Z UCTU	5189	19786	DUCHOD	EF	18081140
675424	2307	1998-04-13	PRIJEM	PREVOD Z UCTU	5189	21578	DUCHOD	EF	18081140
675425	2307	1998-05-13	PRIJEM	PREVOD Z UCTU	5189	19937	DUCHOD	EF	18081140
675426	2307	1998-06-13	PRIJEM	PREVOD Z UCTU	5189	21731	DUCHOD	EF	18081140
675427	2307	1998-07-13	PRIJEM	PREVOD Z UCTU	5189	18519	DUCHOD	EF	18081140
675428	2307	1998-08-13	PRIJEM	PREVOD Z UCTU	5189	16620	DUCHOD	EF	18081140
675429	2307	1998-09-13	PRIJEM	PREVOD Z UCTU	5189	18398	DUCHOD	EF	18081140
675430	2307	1998-10-13	PRIJEM	PREVOD Z UCTU	5189	20184	DUCHOD	EF	18081140
675431	2307	1998-11-13	PRIJEM	PREVOD Z UCTU	5189	21977	DUCHOD	EF	18081140
675432	2307	1998-12-13	PRIJEM	PREVOD Z UCTU	5189	22827	DUCHOD	EF	18081140
675444	2307	1995-12-06	VYDAJ	PREVOD NA UCET	3336	23309	SIPO	OP	60090291
675445	2307	1996-01-06	VYDAJ	PREVOD NA UCET	3336	22575	SIPO	OP	60090291
675446	2307	1996-02-06	VYDAJ	PREVOD NA UCET	3336	17546	SIPO	OP	60090291
675447	2307	1996-03-06	VYDAJ	PREVOD NA UCET	3336	17589	SIPO	OP	60090291
675448	2307	1996-04-06	VYDAJ	PREVOD NA UCET	3336	19394	SIPO	OP	60090291
675449	2307	1996-05-06	VYDAJ	PREVOD NA UCET	3336	21206	SIPO	OP	60090291
675450	2307	1996-06-06	VYDAJ	PREVOD NA UCET	3336	9775	SIPO	OP	60090291
675451	2307	1996-07-06	VYDAJ	PREVOD NA UCET	3336	11555	SIPO	OP	60090291
675452	2307	1996-08-06	VYDAJ	PREVOD NA UCET	3336	12212	SIPO	OP	60090291
675453	2307	1996-09-06	VYDAJ	PREVOD NA UCET	3336	13993	SIPO	OP	60090291
675454	2307	1996-10-06	VYDAJ	PREVOD NA UCET	3336	13297	SIPO	OP	60090291
675455	2307	1996-11-06	VYDAJ	PREVOD NA UCET	3336	15083	SIPO	OP	60090291
675456	2307	1996-12-06	VYDAJ	PREVOD NA UCET	3336	12340	SIPO	OP	60090291
675457	2307	1997-01-06	VYDAJ	PREVOD NA UCET	3336	13083	SIPO	OP	60090291
675458	2307	1997-02-06	VYDAJ	PREVOD NA UCET	3336	10704	SIPO	OP	60090291
675459	2307	1997-03-06	VYDAJ	PREVOD NA UCET	3336	12479	SIPO	OP	60090291
675460	2307	1997-04-06	VYDAJ	PREVOD NA UCET	3336	14261	SIPO	OP	60090291
675461	2307	1997-05-06	VYDAJ	PREVOD NA UCET	3336	16051	SIPO	OP	60090291
675462	2307	1997-06-06	VYDAJ	PREVOD NA UCET	3336	12559	SIPO	OP	60090291
675463	2307	1997-07-06	VYDAJ	PREVOD NA UCET	3336	11185	SIPO	OP	60090291
675464	2307	1997-08-06	VYDAJ	PREVOD NA UCET	3336	12962	SIPO	OP	60090291
675465	2307	1997-09-06	VYDAJ	PREVOD NA UCET	3336	14747	SIPO	OP	60090291
675466	2307	1997-10-06	VYDAJ	PREVOD NA UCET	3336	16539	SIPO	OP	60090291
675467	2307	1997-11-06	VYDAJ	PREVOD NA UCET	3336	18338	SIPO	OP	60090291
675468	2307	1997-12-06	VYDAJ	PREVOD NA UCET	3336	19645	SIPO	OP	60090291
675469	2307	1998-01-06	VYDAJ	PREVOD NA UCET	3336	21457	SIPO	OP	60090291
675470	2307	1998-02-06	VYDAJ	PREVOD NA UCET	3336	12936	SIPO	OP	60090291
675471	2307	1998-03-06	VYDAJ	PREVOD NA UCET	3336	14720	SIPO	OP	60090291
675472	2307	1998-04-06	VYDAJ	PREVOD NA UCET	3336	16512	SIPO	OP	60090291
675473	2307	1998-05-06	VYDAJ	PREVOD NA UCET	3336	14871	SIPO	OP	60090291
675474	2307	1998-06-06	VYDAJ	PREVOD NA UCET	3336	16665	SIPO	OP	60090291
675475	2307	1998-07-06	VYDAJ	PREVOD NA UCET	3336	13453	SIPO	OP	60090291
675476	2307	1998-08-06	VYDAJ	PREVOD NA UCET	3336	11554	SIPO	OP	60090291
675477	2307	1998-09-06	VYDAJ	PREVOD NA UCET	3336	13332	SIPO	OP	60090291
675478	2307	1998-10-06	VYDAJ	PREVOD NA UCET	3336	15118	SIPO	OP	60090291
675479	2307	1998-11-06	VYDAJ	PREVOD NA UCET	3336	16911	SIPO	OP	60090291
675480	2307	1998-12-06	VYDAJ	PREVOD NA UCET	3336	18711	SIPO	OP	60090291
675492	2307	1995-12-07	VYDAJ	PREVOD NA UCET	123	23186	 	YZ	84354322
675493	2307	1996-01-07	VYDAJ	PREVOD NA UCET	123	21012	 	YZ	84354322
675494	2307	1996-02-07	VYDAJ	PREVOD NA UCET	123	17423	 	YZ	84354322
675495	2307	1996-03-07	VYDAJ	PREVOD NA UCET	123	17466	 	YZ	84354322
675496	2307	1996-04-07	VYDAJ	PREVOD NA UCET	123	19271	 	YZ	84354322
675497	2307	1996-05-07	VYDAJ	PREVOD NA UCET	123	21083	 	YZ	84354322
675498	2307	1996-06-07	VYDAJ	PREVOD NA UCET	123	9652	 	YZ	84354322
675499	2307	1996-07-07	VYDAJ	PREVOD NA UCET	123	11432	 	YZ	84354322
675500	2307	1996-08-07	VYDAJ	PREVOD NA UCET	123	12089	 	YZ	84354322
675501	2307	1996-09-07	VYDAJ	PREVOD NA UCET	123	13870	 	YZ	84354322
675502	2307	1996-10-07	VYDAJ	PREVOD NA UCET	123	13174	 	YZ	84354322
675503	2307	1996-11-07	VYDAJ	PREVOD NA UCET	123	14960	 	YZ	84354322
675504	2307	1996-12-07	VYDAJ	PREVOD NA UCET	123	12217	 	YZ	84354322
675505	2307	1997-01-07	VYDAJ	PREVOD NA UCET	123	12960	 	YZ	84354322
675506	2307	1997-02-07	VYDAJ	PREVOD NA UCET	123	10581	 	YZ	84354322
675507	2307	1997-03-07	VYDAJ	PREVOD NA UCET	123	12356	 	YZ	84354322
675508	2307	1997-04-07	VYDAJ	PREVOD NA UCET	123	14138	 	YZ	84354322
675509	2307	1997-05-07	VYDAJ	PREVOD NA UCET	123	15928	 	YZ	84354322
675510	2307	1997-06-07	VYDAJ	PREVOD NA UCET	123	12436	 	YZ	84354322
675511	2307	1997-07-07	VYDAJ	PREVOD NA UCET	123	11062	 	YZ	84354322
675512	2307	1997-08-07	VYDAJ	PREVOD NA UCET	123	12839	 	YZ	84354322
675513	2307	1997-09-07	VYDAJ	PREVOD NA UCET	123	14624	 	YZ	84354322
675514	2307	1997-10-07	VYDAJ	PREVOD NA UCET	123	16416	 	YZ	84354322
675515	2307	1997-11-07	VYDAJ	PREVOD NA UCET	123	18215	 	YZ	84354322
675516	2307	1997-12-07	VYDAJ	PREVOD NA UCET	123	19522	 	YZ	84354322
675517	2307	1998-01-07	VYDAJ	PREVOD NA UCET	123	21334	 	YZ	84354322
675518	2307	1998-02-07	VYDAJ	PREVOD NA UCET	123	12813	 	YZ	84354322
675519	2307	1998-03-07	VYDAJ	PREVOD NA UCET	123	14597	 	YZ	84354322
675520	2307	1998-04-07	VYDAJ	PREVOD NA UCET	123	16389	 	YZ	84354322
675521	2307	1998-05-07	VYDAJ	PREVOD NA UCET	123	14748	 	YZ	84354322
675522	2307	1998-06-07	VYDAJ	PREVOD NA UCET	123	16542	 	YZ	84354322
675523	2307	1998-07-07	VYDAJ	PREVOD NA UCET	123	13330	 	YZ	84354322
675524	2307	1998-08-07	VYDAJ	PREVOD NA UCET	123	11431	 	YZ	84354322
675525	2307	1998-09-07	VYDAJ	PREVOD NA UCET	123	13209	 	YZ	84354322
675526	2307	1998-10-07	VYDAJ	PREVOD NA UCET	123	14995	 	YZ	84354322
675527	2307	1998-11-07	VYDAJ	PREVOD NA UCET	123	16788	 	YZ	84354322
675528	2307	1998-12-07	VYDAJ	PREVOD NA UCET	123	18588	 	YZ	84354322
675530	2307	1996-06-05	VYDAJ	VYBER	13250	13111	\N	\N	\N
675531	2307	1997-06-15	VYDAJ	VYBER	3150	14475	\N	\N	\N
675532	2307	1998-06-14	VYDAJ	VYBER	5000	16731	\N	\N	\N
675533	2307	1995-12-15	VYDAJ	VYBER	800	27575	\N	\N	\N
675534	2307	1996-12-02	VYDAJ	VYBER	1250	15676	\N	\N	\N
675535	2307	1997-12-03	VYDAJ	VYBER	500	22981	\N	\N	\N
675536	2307	1998-12-12	VYDAJ	VYBER	950	17638	\N	\N	\N
675543	2307	1996-01-27	VYDAJ	VYBER	960	20801	\N	\N	\N
675544	2307	1996-01-05	VYDAJ	VYBER	1760	25911	\N	\N	\N
675545	2307	1996-01-24	VYDAJ	VYBER	480	21761	\N	\N	\N
675546	2307	1996-01-11	VYDAJ	VYBER	1360	19052	\N	\N	\N
675547	2307	1996-01-21	VYDAJ	VYBER	2000	22241	\N	\N	\N
675548	2307	1996-01-06	VYDAJ	VYBER	1440	21135	\N	\N	\N
675550	2307	1997-01-25	VYDAJ	VYBER	1600	13989	\N	\N	\N
675552	2307	1997-01-01	VYDAJ	VYBER	1040	16419	\N	\N	\N
675553	2307	1997-01-16	VYDAJ	VYBER	560	17589	\N	\N	\N
675554	2307	1997-01-25	VYDAJ	VYBER	2000	15589	\N	\N	\N
675555	2307	1998-01-13	VYDAJ	VYBER	2320	22683	\N	\N	\N
675556	2307	1998-01-14	VYDAJ	VYBER	2240	20443	\N	\N	\N
675557	2307	1998-01-11	VYDAJ	VYBER	1520	19814	\N	\N	\N
675558	2307	1998-01-19	VYDAJ	VYBER	800	18923	\N	\N	\N
675559	2307	1998-01-17	VYDAJ	VYBER	720	19723	\N	\N	\N
675560	2307	1998-01-26	VYDAJ	VYBER	1840	16203	\N	\N	\N
675567	2307	1996-09-15	VYDAJ	VYBER	2480	16579	\N	\N	\N
675568	2307	1996-07-15	VYDAJ	VYBER	1120	15501	\N	\N	\N
675569	2307	1996-11-17	VYDAJ	VYBER	3280	16869	\N	\N	\N
675570	2307	1996-03-03	VYDAJ	VYBER	1760	20925	\N	\N	\N
675571	2307	1997-05-20	VYDAJ	VYBER	3520	15837	\N	\N	\N
675573	2307	1997-05-16	VYDAJ	VYBER	1760	19357	\N	\N	\N
675576	2307	1998-01-24	VYDAJ	VYBER	880	18043	\N	\N	\N
675577	2307	1998-07-21	VYDAJ	VYBER	3680	14839	\N	\N	\N
675578	2307	1998-05-02	VYDAJ	VYBER	3440	18207	\N	\N	\N
675591	2307	1995-11-30	VYDAJ	VYBER	15	26645	SLUZBY	\N	\N
675592	2307	1995-12-31	VYDAJ	VYBER	15	27671	SLUZBY	\N	\N
675593	2307	1996-01-31	VYDAJ	VYBER	15	20882	SLUZBY	\N	\N
675594	2307	1996-02-29	VYDAJ	VYBER	15	22685	SLUZBY	\N	\N
675595	2307	1996-03-31	VYDAJ	VYBER	15	22730	SLUZBY	\N	\N
675596	2307	1996-04-30	VYDAJ	VYBER	15	24542	SLUZBY	\N	\N
675597	2307	1996-05-31	VYDAJ	VYBER	15	26361	SLUZBY	\N	\N
675598	2307	1996-06-30	VYDAJ	VYBER	15	14891	SLUZBY	\N	\N
675599	2307	1996-07-31	VYDAJ	VYBER	15	15548	SLUZBY	\N	\N
675600	2307	1996-08-31	VYDAJ	VYBER	15	17329	SLUZBY	\N	\N
675601	2307	1996-09-30	VYDAJ	VYBER	15	16633	SLUZBY	\N	\N
675602	2307	1996-10-31	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
675603	2307	1996-11-30	VYDAJ	VYBER	15	16926	SLUZBY	\N	\N
675604	2307	1996-12-31	VYDAJ	VYBER	15	17459	SLUZBY	\N	\N
675605	2307	1997-01-31	VYDAJ	VYBER	15	14040	SLUZBY	\N	\N
675606	2307	1997-02-28	VYDAJ	VYBER	15	15815	SLUZBY	\N	\N
675607	2307	1997-03-31	VYDAJ	VYBER	15	17597	SLUZBY	\N	\N
675608	2307	1997-04-30	VYDAJ	VYBER	15	19387	SLUZBY	\N	\N
675609	2307	1997-05-31	VYDAJ	VYBER	15	15895	SLUZBY	\N	\N
675610	2307	1997-06-30	VYDAJ	VYBER	15	14521	SLUZBY	\N	\N
675611	2307	1997-07-31	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
675612	2307	1997-08-31	VYDAJ	VYBER	15	18083	SLUZBY	\N	\N
675613	2307	1997-09-30	VYDAJ	VYBER	15	19875	SLUZBY	\N	\N
675614	2307	1997-10-31	VYDAJ	VYBER	15	21674	SLUZBY	\N	\N
675616	2307	1997-12-31	VYDAJ	VYBER	15	24793	SLUZBY	\N	\N
675617	2307	1998-01-31	VYDAJ	VYBER	15	16272	SLUZBY	\N	\N
675618	2307	1998-02-28	VYDAJ	VYBER	15	18056	SLUZBY	\N	\N
675619	2307	1998-03-31	VYDAJ	VYBER	15	19848	SLUZBY	\N	\N
675620	2307	1998-04-30	VYDAJ	VYBER	15	21647	SLUZBY	\N	\N
675621	2307	1998-05-31	VYDAJ	VYBER	15	20001	SLUZBY	\N	\N
675622	2307	1998-06-30	VYDAJ	VYBER	15	16789	SLUZBY	\N	\N
675623	2307	1998-07-31	VYDAJ	VYBER	15	14890	SLUZBY	\N	\N
675624	2307	1998-08-31	VYDAJ	VYBER	15	16668	SLUZBY	\N	\N
675625	2307	1998-09-30	VYDAJ	VYBER	15	18454	SLUZBY	\N	\N
675626	2307	1998-10-31	VYDAJ	VYBER	15	20247	SLUZBY	\N	\N
675627	2307	1998-11-30	VYDAJ	VYBER	15	22047	SLUZBY	\N	\N
675628	2307	1996-01-08	VYDAJ	VYBER	600	20412	\N	\N	\N
676021	2309	1995-12-03	PRIJEM	VKLAD	600	600	\N	\N	\N
676033	2309	1995-12-12	PRIJEM	VKLAD	25152	25752	\N	\N	\N
676034	2309	1996-01-12	PRIJEM	VKLAD	16768	41589	\N	\N	\N
676035	2309	1996-02-12	PRIJEM	VKLAD	16768	49207	\N	\N	\N
676036	2309	1996-03-12	PRIJEM	VKLAD	16768	53668	\N	\N	\N
676037	2309	1996-04-12	PRIJEM	VKLAD	16768	57453	\N	\N	\N
676038	2309	1996-05-12	PRIJEM	VKLAD	16768	51930	\N	\N	\N
676039	2309	1996-06-12	PRIJEM	VKLAD	25152	51005	\N	\N	\N
676040	2309	1996-07-12	PRIJEM	VKLAD	16768	46134	\N	\N	\N
676041	2309	1996-08-12	PRIJEM	VKLAD	16768	44846	\N	\N	\N
676042	2309	1996-09-12	PRIJEM	VKLAD	16768	42631	\N	\N	\N
676043	2309	1996-10-12	PRIJEM	VKLAD	16768	37650	\N	\N	\N
676044	2309	1996-11-12	PRIJEM	VKLAD	16768	40269	\N	\N	\N
676045	2309	1996-12-12	PRIJEM	VKLAD	25152	54121	\N	\N	\N
676046	2309	1997-01-12	PRIJEM	VKLAD	16768	42406	\N	\N	\N
676047	2309	1997-02-12	PRIJEM	VKLAD	16768	33908	\N	\N	\N
676048	2309	1997-03-12	PRIJEM	VKLAD	16768	37063	\N	\N	\N
676049	2309	1997-04-12	PRIJEM	VKLAD	16768	34292	\N	\N	\N
676050	2309	1997-05-12	PRIJEM	VKLAD	16768	38257	\N	\N	\N
676051	2309	1997-06-12	PRIJEM	VKLAD	25152	48897	\N	\N	\N
676052	2309	1997-07-12	PRIJEM	VKLAD	16768	48181	\N	\N	\N
676053	2309	1997-08-12	PRIJEM	VKLAD	16768	44372	\N	\N	\N
676054	2309	1997-09-12	PRIJEM	VKLAD	16768	45965	\N	\N	\N
676055	2309	1997-10-12	PRIJEM	VKLAD	16768	40136	\N	\N	\N
676056	2309	1997-11-12	PRIJEM	VKLAD	16768	42297	\N	\N	\N
676057	2309	1997-12-12	PRIJEM	VKLAD	25152	50047	\N	\N	\N
676058	2309	1998-01-12	PRIJEM	VKLAD	16768	46339	\N	\N	\N
676059	2309	1998-02-12	PRIJEM	VKLAD	16768	32201	\N	\N	\N
676060	2309	1998-03-12	PRIJEM	VKLAD	16768	35729	\N	\N	\N
676061	2309	1998-04-12	PRIJEM	VKLAD	16768	34816	\N	\N	\N
676062	2309	1998-05-12	PRIJEM	VKLAD	16768	39356	\N	\N	\N
676063	2309	1998-06-12	PRIJEM	VKLAD	25152	47092	\N	\N	\N
676064	2309	1998-07-12	PRIJEM	VKLAD	16768	40863	\N	\N	\N
676065	2309	1998-08-12	PRIJEM	VKLAD	16768	41598	\N	\N	\N
676066	2309	1998-09-12	PRIJEM	VKLAD	16768	36364	\N	\N	\N
676067	2309	1998-10-12	PRIJEM	VKLAD	16768	35618	\N	\N	\N
676068	2309	1998-11-12	PRIJEM	VKLAD	16768	32648	\N	\N	\N
676069	2309	1998-12-12	PRIJEM	VKLAD	25152	42060	\N	\N	\N
676085	2309	1996-04-12	VYDAJ	PREVOD NA UCET	8604	48849	SIPO	KL	33813035
676086	2309	1996-05-12	VYDAJ	PREVOD NA UCET	8604	43326	SIPO	KL	33813035
676087	2309	1996-06-12	VYDAJ	PREVOD NA UCET	8604	42401	SIPO	KL	33813035
676088	2309	1996-07-12	VYDAJ	PREVOD NA UCET	8604	37530	SIPO	KL	33813035
676089	2309	1996-08-12	VYDAJ	PREVOD NA UCET	8604	36242	SIPO	KL	33813035
676090	2309	1996-09-12	VYDAJ	PREVOD NA UCET	8604	34027	SIPO	KL	33813035
676091	2309	1996-10-12	VYDAJ	PREVOD NA UCET	8604	29046	SIPO	KL	33813035
676092	2309	1996-11-12	VYDAJ	PREVOD NA UCET	8604	31665	SIPO	KL	33813035
676093	2309	1996-12-12	VYDAJ	PREVOD NA UCET	8604	45517	SIPO	KL	33813035
676094	2309	1997-01-12	VYDAJ	PREVOD NA UCET	8604	33802	SIPO	KL	33813035
676095	2309	1997-02-12	VYDAJ	PREVOD NA UCET	8604	25304	SIPO	KL	33813035
676096	2309	1997-03-12	VYDAJ	PREVOD NA UCET	8604	28459	SIPO	KL	33813035
676097	2309	1997-04-12	VYDAJ	PREVOD NA UCET	8604	25688	SIPO	KL	33813035
676098	2309	1997-05-12	VYDAJ	PREVOD NA UCET	8604	29653	SIPO	KL	33813035
676099	2309	1997-06-12	VYDAJ	PREVOD NA UCET	8604	40293	SIPO	KL	33813035
676100	2309	1997-07-12	VYDAJ	PREVOD NA UCET	8604	39577	SIPO	KL	33813035
676101	2309	1997-08-12	VYDAJ	PREVOD NA UCET	8604	35768	SIPO	KL	33813035
676102	2309	1997-09-12	VYDAJ	PREVOD NA UCET	8604	37361	SIPO	KL	33813035
676103	2309	1997-10-12	VYDAJ	PREVOD NA UCET	8604	31532	SIPO	KL	33813035
676104	2309	1997-11-12	VYDAJ	PREVOD NA UCET	8604	33693	SIPO	KL	33813035
676105	2309	1997-12-12	VYDAJ	PREVOD NA UCET	8604	41443	SIPO	KL	33813035
676106	2309	1998-01-12	VYDAJ	PREVOD NA UCET	8604	37735	SIPO	KL	33813035
676107	2309	1998-02-12	VYDAJ	PREVOD NA UCET	8604	23597	SIPO	KL	33813035
676108	2309	1998-03-12	VYDAJ	PREVOD NA UCET	8604	27125	SIPO	KL	33813035
676109	2309	1998-04-12	VYDAJ	PREVOD NA UCET	8604	26212	SIPO	KL	33813035
676110	2309	1998-05-12	VYDAJ	PREVOD NA UCET	8604	30752	SIPO	KL	33813035
676111	2309	1998-06-12	VYDAJ	PREVOD NA UCET	8604	38488	SIPO	KL	33813035
676112	2309	1998-07-12	VYDAJ	PREVOD NA UCET	8604	32259	SIPO	KL	33813035
676113	2309	1998-08-12	VYDAJ	PREVOD NA UCET	8604	32994	SIPO	KL	33813035
676114	2309	1998-09-12	VYDAJ	PREVOD NA UCET	8604	27760	SIPO	KL	33813035
676115	2309	1998-10-12	VYDAJ	PREVOD NA UCET	8604	27014	SIPO	KL	33813035
676116	2309	1998-11-12	VYDAJ	PREVOD NA UCET	8604	24044	SIPO	KL	33813035
676117	2309	1998-12-12	VYDAJ	PREVOD NA UCET	8604	33456	SIPO	KL	33813035
676130	2309	1997-01-14	VYDAJ	VYBER	1800	32002	\N	\N	\N
676131	2309	1997-01-28	VYDAJ	VYBER	1200	17042	\N	\N	\N
676132	2309	1997-01-07	VYDAJ	VYBER	2280	28398	\N	\N	\N
676133	2309	1997-01-07	VYDAJ	VYBER	2760	25638	\N	\N	\N
676134	2309	1997-01-02	VYDAJ	VYBER	1680	30678	\N	\N	\N
676135	2309	1997-01-15	VYDAJ	VYBER	2520	29482	\N	\N	\N
676136	2309	1998-01-24	VYDAJ	VYBER	2640	19295	\N	\N	\N
676137	2309	1998-01-25	VYDAJ	VYBER	2160	17135	\N	\N	\N
676138	2309	1998-01-13	VYDAJ	VYBER	3480	34255	\N	\N	\N
676139	2309	1998-01-29	VYDAJ	VYBER	1800	15335	\N	\N	\N
676140	2309	1998-01-18	VYDAJ	VYBER	1920	32335	\N	\N	\N
676146	2309	1996-05-25	VYDAJ	VYBER	3600	39726	\N	\N	\N
676147	2309	1996-10-15	VYDAJ	VYBER	2640	26406	\N	\N	\N
676148	2309	1996-06-04	VYDAJ	VYBER	5640	25853	\N	\N	\N
676149	2309	1996-10-02	VYDAJ	VYBER	5760	20882	\N	\N	\N
676150	2309	1996-04-21	VYDAJ	VYBER	2280	46569	\N	\N	\N
676151	2309	1996-09-09	VYDAJ	VYBER	2520	25863	\N	\N	\N
676153	2309	1997-09-24	VYDAJ	VYBER	3120	23241	\N	\N	\N
676154	2309	1997-01-24	VYDAJ	VYBER	3120	23842	\N	\N	\N
676155	2309	1997-04-02	VYDAJ	VYBER	5040	17524	\N	\N	\N
676156	2309	1997-01-21	VYDAJ	VYBER	2520	26962	\N	\N	\N
676157	2309	1997-04-22	VYDAJ	VYBER	5880	19808	\N	\N	\N
676158	2309	1998-03-21	VYDAJ	VYBER	3960	23165	\N	\N	\N
676159	2309	1998-09-08	VYDAJ	VYBER	4800	19596	\N	\N	\N
676160	2309	1998-11-18	VYDAJ	VYBER	600	16844	\N	\N	\N
676161	2309	1998-10-05	VYDAJ	VYBER	1800	18850	\N	\N	\N
676162	2309	1998-07-13	VYDAJ	VYBER	4920	27339	\N	\N	\N
676179	2309	1996-04-30	VYDAJ	VYBER	15	46762	SLUZBY	\N	\N
676180	2309	1996-05-31	VYDAJ	VYBER	15	31493	SLUZBY	\N	\N
676181	2309	1996-06-30	VYDAJ	VYBER	15	42566	SLUZBY	\N	\N
676182	2309	1996-07-31	VYDAJ	VYBER	15	28078	SLUZBY	\N	\N
676183	2309	1996-08-31	VYDAJ	VYBER	15	28383	SLUZBY	\N	\N
676184	2309	1996-09-30	VYDAJ	VYBER	15	26642	SLUZBY	\N	\N
676185	2309	1996-10-31	VYDAJ	VYBER	15	23501	SLUZBY	\N	\N
676186	2309	1996-11-30	VYDAJ	VYBER	15	28969	SLUZBY	\N	\N
676187	2309	1996-12-31	VYDAJ	VYBER	15	32358	SLUZBY	\N	\N
676188	2309	1997-01-31	VYDAJ	VYBER	15	17140	SLUZBY	\N	\N
676189	2309	1997-02-28	VYDAJ	VYBER	15	20295	SLUZBY	\N	\N
676190	2309	1997-03-31	VYDAJ	VYBER	15	22564	SLUZBY	\N	\N
676191	2309	1997-04-30	VYDAJ	VYBER	15	21489	SLUZBY	\N	\N
676192	2309	1997-05-31	VYDAJ	VYBER	15	23745	SLUZBY	\N	\N
676193	2309	1997-06-30	VYDAJ	VYBER	15	31413	SLUZBY	\N	\N
676194	2309	1997-07-31	VYDAJ	VYBER	15	27604	SLUZBY	\N	\N
676195	2309	1997-08-31	VYDAJ	VYBER	15	29197	SLUZBY	\N	\N
676196	2309	1997-09-30	VYDAJ	VYBER	15	23368	SLUZBY	\N	\N
676197	2309	1997-10-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
676198	2309	1997-11-30	VYDAJ	VYBER	15	24895	SLUZBY	\N	\N
676199	2309	1997-12-31	VYDAJ	VYBER	15	29571	SLUZBY	\N	\N
676200	2309	1998-01-31	VYDAJ	VYBER	15	15433	SLUZBY	\N	\N
676201	2309	1998-02-28	VYDAJ	VYBER	15	18961	SLUZBY	\N	\N
676202	2309	1998-03-31	VYDAJ	VYBER	15	18048	SLUZBY	\N	\N
676203	2309	1998-04-30	VYDAJ	VYBER	15	22588	SLUZBY	\N	\N
676204	2309	1998-05-31	VYDAJ	VYBER	15	21940	SLUZBY	\N	\N
676205	2309	1998-06-30	VYDAJ	VYBER	15	24095	SLUZBY	\N	\N
676206	2309	1998-07-31	VYDAJ	VYBER	15	24830	SLUZBY	\N	\N
676207	2309	1998-08-31	VYDAJ	VYBER	15	24396	SLUZBY	\N	\N
676208	2309	1998-09-30	VYDAJ	VYBER	15	20650	SLUZBY	\N	\N
676209	2309	1998-10-31	VYDAJ	VYBER	15	15880	SLUZBY	\N	\N
676210	2309	1998-11-30	VYDAJ	VYBER	15	16908	SLUZBY	\N	\N
676211	2309	1996-01-02	VYDAJ	VYBER	1000	24821	\N	\N	\N
676212	2309	1996-02-01	VYDAJ	VYBER	9300	32439	\N	\N	\N
676213	2309	1996-03-02	VYDAJ	VYBER	12500	36900	\N	\N	\N
676214	2309	1996-04-01	VYDAJ	VYBER	13200	40685	\N	\N	\N
676215	2309	1996-05-01	VYDAJ	VYBER	11600	35162	\N	\N	\N
676216	2309	1996-05-31	VYDAJ	VYBER	8400	31507	\N	\N	\N
676217	2309	1996-06-30	VYDAJ	VYBER	13200	29366	\N	\N	\N
676218	2309	1996-07-30	VYDAJ	VYBER	9600	27930	\N	\N	\N
676219	2309	1996-08-29	VYDAJ	VYBER	8000	28242	\N	\N	\N
676220	2309	1996-09-28	VYDAJ	VYBER	7500	26527	\N	\N	\N
676221	2309	1996-10-28	VYDAJ	VYBER	3000	23406	\N	\N	\N
676222	2309	1996-11-27	VYDAJ	VYBER	2800	28865	\N	\N	\N
676223	2309	1996-12-27	VYDAJ	VYBER	13300	32217	\N	\N	\N
676224	2309	1997-01-26	VYDAJ	VYBER	5600	18242	\N	\N	\N
676225	2309	1997-02-25	VYDAJ	VYBER	5100	20204	\N	\N	\N
676226	2309	1997-03-27	VYDAJ	VYBER	6000	22459	\N	\N	\N
676227	2309	1997-04-26	PRIJEM	VKLAD	1600	21408	\N	\N	\N
676228	2309	1997-05-26	VYDAJ	VYBER	6000	23653	\N	\N	\N
676229	2309	1997-06-25	VYDAJ	VYBER	9000	31293	\N	\N	\N
676230	2309	1997-07-25	VYDAJ	VYBER	12100	27477	\N	\N	\N
676231	2309	1997-08-24	VYDAJ	VYBER	6700	29068	\N	\N	\N
676232	2309	1997-09-23	VYDAJ	VYBER	11000	26361	\N	\N	\N
676233	2309	1997-10-23	VYDAJ	VYBER	6100	25432	\N	\N	\N
676234	2309	1997-11-22	VYDAJ	VYBER	8900	24793	\N	\N	\N
676235	2309	1997-12-22	VYDAJ	VYBER	12000	29443	\N	\N	\N
676236	2309	1998-01-21	VYDAJ	VYBER	10400	21935	\N	\N	\N
676237	2309	1998-02-20	VYDAJ	VYBER	4700	18897	\N	\N	\N
676238	2309	1998-03-22	VYDAJ	VYBER	5200	17965	\N	\N	\N
676239	2309	1998-04-21	VYDAJ	VYBER	3700	22512	\N	\N	\N
676240	2309	1998-05-21	VYDAJ	VYBER	8900	21852	\N	\N	\N
676241	2309	1998-06-20	VYDAJ	VYBER	14500	23988	\N	\N	\N
676242	2309	1998-07-20	VYDAJ	VYBER	2600	24739	\N	\N	\N
676243	2309	1998-08-19	VYDAJ	VYBER	8700	24294	\N	\N	\N
676244	2309	1998-09-18	VYDAJ	VYBER	7200	20560	\N	\N	\N
676245	2309	1998-10-18	VYDAJ	VYBER	11200	15814	\N	\N	\N
676246	2309	1998-11-17	VYDAJ	VYBER	6600	17444	\N	\N	\N
676284	2310	1995-07-19	PRIJEM	VKLAD	700	700	\N	\N	\N
676292	2310	1995-08-09	PRIJEM	VKLAD	7889	8589	\N	\N	\N
676293	2310	1995-09-09	PRIJEM	VKLAD	7889	25311	\N	\N	\N
676294	2310	1995-10-09	PRIJEM	VKLAD	7889	32486	\N	\N	\N
676295	2310	1995-11-09	PRIJEM	VKLAD	7889	37387	\N	\N	\N
676296	2310	1995-12-09	PRIJEM	VKLAD	11834	42946	\N	\N	\N
676297	2310	1996-01-09	PRIJEM	VKLAD	7889	33467	\N	\N	\N
676298	2310	1996-02-09	PRIJEM	VKLAD	7889	27993	\N	\N	\N
676299	2310	1996-03-09	PRIJEM	VKLAD	7889	32008	\N	\N	\N
676300	2310	1996-04-09	PRIJEM	VKLAD	7889	35939	\N	\N	\N
676301	2310	1996-05-09	PRIJEM	VKLAD	7889	35971	\N	\N	\N
676302	2310	1996-06-09	PRIJEM	VKLAD	11834	43056	\N	\N	\N
676303	2310	1996-07-09	PRIJEM	VKLAD	7889	37816	\N	\N	\N
676304	2310	1996-08-09	PRIJEM	VKLAD	7889	32790	\N	\N	\N
676305	2310	1996-09-09	PRIJEM	VKLAD	7889	33612	\N	\N	\N
676306	2310	1996-10-09	PRIJEM	VKLAD	7889	31430	\N	\N	\N
676307	2310	1996-11-09	PRIJEM	VKLAD	7889	27934	\N	\N	\N
676308	2310	1996-12-09	PRIJEM	VKLAD	11834	29816	\N	\N	\N
676309	2310	1997-01-09	PRIJEM	VKLAD	7889	25365	\N	\N	\N
676310	2310	1997-02-09	PRIJEM	VKLAD	7889	37359	\N	\N	\N
676311	2310	1997-03-09	PRIJEM	VKLAD	7889	40100	\N	\N	\N
676312	2310	1997-04-09	PRIJEM	VKLAD	7889	39913	\N	\N	\N
676313	2310	1997-05-09	PRIJEM	VKLAD	7889	40047	\N	\N	\N
676314	2310	1997-06-09	PRIJEM	VKLAD	11834	47748	\N	\N	\N
676315	2310	1997-07-09	PRIJEM	VKLAD	7889	52034	\N	\N	\N
676316	2310	1997-08-09	PRIJEM	VKLAD	7889	52543	\N	\N	\N
676317	2310	1997-09-09	PRIJEM	VKLAD	7889	54057	\N	\N	\N
676318	2310	1997-10-09	PRIJEM	VKLAD	7889	52576	\N	\N	\N
676319	2310	1997-11-09	PRIJEM	VKLAD	7889	52393	\N	\N	\N
676320	2310	1997-12-09	PRIJEM	VKLAD	11834	54060	\N	\N	\N
676321	2310	1998-01-09	PRIJEM	VKLAD	7889	53978	\N	\N	\N
676322	2310	1998-02-09	PRIJEM	VKLAD	7889	50237	\N	\N	\N
676323	2310	1998-03-09	PRIJEM	VKLAD	7889	50209	\N	\N	\N
676324	2310	1998-04-09	PRIJEM	VKLAD	7889	52513	\N	\N	\N
676325	2310	1998-05-09	PRIJEM	VKLAD	7889	54625	\N	\N	\N
676326	2310	1998-06-09	PRIJEM	VKLAD	11834	60290	\N	\N	\N
676327	2310	1998-07-09	PRIJEM	VKLAD	7889	59630	\N	\N	\N
676328	2310	1998-08-09	PRIJEM	VKLAD	7889	61074	\N	\N	\N
676329	2310	1998-09-09	PRIJEM	VKLAD	7889	64222	\N	\N	\N
676330	2310	1998-10-09	PRIJEM	VKLAD	7889	64381	\N	\N	\N
676331	2310	1998-11-09	PRIJEM	VKLAD	7889	64353	\N	\N	\N
676332	2310	1998-12-09	PRIJEM	VKLAD	11834	70853	\N	\N	\N
676344	2310	1995-12-13	VYDAJ	PREVOD NA UCET	5259	37687	SIPO	WX	13273746
676345	2310	1996-01-13	VYDAJ	PREVOD NA UCET	5259	26768	SIPO	WX	13273746
676346	2310	1996-02-13	VYDAJ	PREVOD NA UCET	5259	22734	SIPO	WX	13273746
676347	2310	1996-03-13	VYDAJ	PREVOD NA UCET	5259	26749	SIPO	WX	13273746
676348	2310	1996-04-13	VYDAJ	PREVOD NA UCET	5259	30680	SIPO	WX	13273746
676349	2310	1996-05-13	VYDAJ	PREVOD NA UCET	5259	30712	SIPO	WX	13273746
676350	2310	1996-06-13	VYDAJ	PREVOD NA UCET	5259	37797	SIPO	WX	13273746
676351	2310	1996-07-13	VYDAJ	PREVOD NA UCET	5259	32557	SIPO	WX	13273746
676352	2310	1996-08-13	VYDAJ	PREVOD NA UCET	5259	25631	SIPO	WX	13273746
676353	2310	1996-09-13	VYDAJ	PREVOD NA UCET	5259	23453	SIPO	WX	13273746
676354	2310	1996-10-13	VYDAJ	PREVOD NA UCET	5259	19971	SIPO	WX	13273746
676355	2310	1996-11-13	VYDAJ	PREVOD NA UCET	5259	18875	SIPO	WX	13273746
676356	2310	1996-12-13	VYDAJ	PREVOD NA UCET	5259	24957	SIPO	WX	13273746
676357	2310	1997-01-13	VYDAJ	PREVOD NA UCET	5259	25406	SIPO	WX	13273746
676358	2310	1997-02-13	VYDAJ	PREVOD NA UCET	5259	32100	SIPO	WX	13273746
676359	2310	1997-03-13	VYDAJ	PREVOD NA UCET	5259	34541	SIPO	WX	13273746
676360	2310	1997-04-13	VYDAJ	PREVOD NA UCET	5259	33354	SIPO	WX	13273746
676361	2310	1997-05-13	VYDAJ	PREVOD NA UCET	5259	34788	SIPO	WX	13273746
676362	2310	1997-06-13	VYDAJ	PREVOD NA UCET	5259	42489	SIPO	WX	13273746
676363	2310	1997-07-13	VYDAJ	PREVOD NA UCET	5259	46775	SIPO	WX	13273746
676364	2310	1997-08-13	VYDAJ	PREVOD NA UCET	5259	47284	SIPO	WX	13273746
676365	2310	1997-09-13	VYDAJ	PREVOD NA UCET	5259	48798	SIPO	WX	13273746
676366	2310	1997-10-13	VYDAJ	PREVOD NA UCET	5259	47317	SIPO	WX	13273746
676367	2310	1997-11-13	VYDAJ	PREVOD NA UCET	5259	45214	SIPO	WX	13273746
676368	2310	1997-12-13	VYDAJ	PREVOD NA UCET	5259	45201	SIPO	WX	13273746
676369	2310	1998-01-13	VYDAJ	PREVOD NA UCET	5259	36479	SIPO	WX	13273746
676370	2310	1998-02-13	VYDAJ	PREVOD NA UCET	5259	44978	SIPO	WX	13273746
676371	2310	1998-03-13	VYDAJ	PREVOD NA UCET	5259	44950	SIPO	WX	13273746
676372	2310	1998-04-13	VYDAJ	PREVOD NA UCET	5259	47254	SIPO	WX	13273746
676373	2310	1998-05-13	VYDAJ	PREVOD NA UCET	5259	49366	SIPO	WX	13273746
676374	2310	1998-06-13	VYDAJ	PREVOD NA UCET	5259	55031	SIPO	WX	13273746
676375	2310	1998-07-13	VYDAJ	PREVOD NA UCET	5259	54371	SIPO	WX	13273746
676376	2310	1998-08-13	VYDAJ	PREVOD NA UCET	5259	55815	SIPO	WX	13273746
676377	2310	1998-09-13	VYDAJ	PREVOD NA UCET	5259	58963	SIPO	WX	13273746
676378	2310	1998-10-13	VYDAJ	PREVOD NA UCET	5259	59122	SIPO	WX	13273746
676379	2310	1998-11-13	VYDAJ	PREVOD NA UCET	5259	59094	SIPO	WX	13273746
676380	2310	1998-12-13	VYDAJ	PREVOD NA UCET	5259	65594	SIPO	WX	13273746
676381	2310	1995-12-21	VYDAJ	VYBER	2400	27387	\N	\N	\N
676382	2310	1996-12-14	VYDAJ	VYBER	2880	22077	\N	\N	\N
676383	2310	1997-12-01	VYDAJ	VYBER	1280	44126	\N	\N	\N
676384	2310	1998-12-20	VYDAJ	VYBER	3040	62554	\N	\N	\N
676391	2310	1996-01-12	VYDAJ	VYBER	1440	32027	\N	\N	\N
676392	2310	1996-01-21	VYDAJ	VYBER	960	26008	\N	\N	\N
676393	2310	1996-01-26	VYDAJ	VYBER	2640	21808	\N	\N	\N
676394	2310	1996-01-29	VYDAJ	VYBER	960	20848	\N	\N	\N
676395	2310	1996-01-22	VYDAJ	VYBER	1560	24448	\N	\N	\N
676396	2310	1996-01-05	VYDAJ	VYBER	1920	25578	\N	\N	\N
676397	2310	1997-01-06	VYDAJ	VYBER	1080	18076	\N	\N	\N
676398	2310	1997-01-22	VYDAJ	VYBER	2280	23126	\N	\N	\N
676399	2310	1997-01-05	VYDAJ	VYBER	1200	20956	\N	\N	\N
676400	2310	1997-01-06	VYDAJ	VYBER	1800	19156	\N	\N	\N
676401	2310	1997-01-07	VYDAJ	VYBER	600	17476	\N	\N	\N
676402	2310	1997-01-26	VYDAJ	VYBER	840	22286	\N	\N	\N
676403	2310	1998-01-19	VYDAJ	VYBER	1080	35399	\N	\N	\N
676404	2310	1998-01-09	VYDAJ	VYBER	2400	51578	\N	\N	\N
676405	2310	1998-01-21	VYDAJ	VYBER	1200	34199	\N	\N	\N
676406	2310	1998-01-10	VYDAJ	VYBER	3120	48458	\N	\N	\N
676407	2310	1998-01-11	VYDAJ	VYBER	3360	41738	\N	\N	\N
676408	2310	1998-01-11	VYDAJ	VYBER	3360	45098	\N	\N	\N
676414	2310	1996-03-08	VYDAJ	VYBER	600	24119	\N	\N	\N
676415	2310	1996-07-20	VYDAJ	VYBER	3960	24797	\N	\N	\N
676416	2310	1996-02-02	VYDAJ	VYBER	840	20104	\N	\N	\N
676417	2310	1996-12-06	VYDAJ	VYBER	960	17983	\N	\N	\N
676418	2310	1997-04-29	VYDAJ	VYBER	4320	29034	\N	\N	\N
676419	2310	1997-12-13	VYDAJ	VYBER	3600	50460	\N	\N	\N
676420	2310	1997-11-13	VYDAJ	VYBER	1920	50473	\N	\N	\N
676421	2310	1997-03-17	VYDAJ	VYBER	2640	31901	\N	\N	\N
676422	2310	1998-03-07	VYDAJ	VYBER	3720	42320	\N	\N	\N
676423	2310	1998-09-29	VYDAJ	VYBER	3600	55363	\N	\N	\N
676424	2310	1998-10-22	VYDAJ	VYBER	5280	53842	\N	\N	\N
676437	2310	1995-12-31	VYDAJ	VYBER	15	27498	SLUZBY	\N	\N
676438	2310	1996-01-31	VYDAJ	VYBER	15	20944	SLUZBY	\N	\N
676439	2310	1996-02-29	VYDAJ	VYBER	15	24719	SLUZBY	\N	\N
676440	2310	1996-03-31	VYDAJ	VYBER	15	28050	SLUZBY	\N	\N
676441	2310	1996-04-30	VYDAJ	VYBER	15	28082	SLUZBY	\N	\N
676442	2310	1996-05-31	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
676443	2310	1996-06-30	VYDAJ	VYBER	15	29927	SLUZBY	\N	\N
676444	2310	1996-07-31	VYDAJ	VYBER	15	24901	SLUZBY	\N	\N
676445	2310	1996-08-31	VYDAJ	VYBER	15	25723	SLUZBY	\N	\N
676446	2310	1996-09-30	VYDAJ	VYBER	15	23541	SLUZBY	\N	\N
676447	2310	1996-10-31	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
676448	2310	1996-11-30	VYDAJ	VYBER	15	18943	SLUZBY	\N	\N
676449	2310	1996-12-31	VYDAJ	VYBER	15	22156	SLUZBY	\N	\N
676450	2310	1997-01-31	VYDAJ	VYBER	15	22370	SLUZBY	\N	\N
676451	2310	1997-02-28	VYDAJ	VYBER	15	32211	SLUZBY	\N	\N
676452	2310	1997-03-31	VYDAJ	VYBER	15	32024	SLUZBY	\N	\N
676453	2310	1997-04-30	VYDAJ	VYBER	15	29158	SLUZBY	\N	\N
676454	2310	1997-05-31	VYDAJ	VYBER	15	34914	SLUZBY	\N	\N
676455	2310	1997-06-30	VYDAJ	VYBER	15	42645	SLUZBY	\N	\N
676456	2310	1997-07-31	VYDAJ	VYBER	15	46954	SLUZBY	\N	\N
676457	2310	1997-08-31	VYDAJ	VYBER	15	47468	SLUZBY	\N	\N
676458	2310	1997-09-30	VYDAJ	VYBER	15	48987	SLUZBY	\N	\N
676459	2310	1997-10-31	VYDAJ	VYBER	15	47504	SLUZBY	\N	\N
676460	2310	1997-11-30	VYDAJ	VYBER	15	45406	SLUZBY	\N	\N
676461	2310	1997-12-31	VYDAJ	VYBER	15	45389	SLUZBY	\N	\N
676462	2310	1998-01-31	VYDAJ	VYBER	15	34348	SLUZBY	\N	\N
676463	2310	1998-02-28	VYDAJ	VYBER	15	45140	SLUZBY	\N	\N
676464	2310	1998-03-31	VYDAJ	VYBER	15	45124	SLUZBY	\N	\N
676465	2310	1998-04-30	VYDAJ	VYBER	15	47436	SLUZBY	\N	\N
676466	2310	1998-05-31	VYDAJ	VYBER	15	49556	SLUZBY	\N	\N
676467	2310	1998-06-30	VYDAJ	VYBER	15	55241	SLUZBY	\N	\N
676468	2310	1998-07-31	VYDAJ	VYBER	15	54585	SLUZBY	\N	\N
676469	2310	1998-08-31	VYDAJ	VYBER	15	56033	SLUZBY	\N	\N
676470	2310	1998-09-30	VYDAJ	VYBER	15	55592	SLUZBY	\N	\N
676471	2310	1998-10-31	VYDAJ	VYBER	15	56464	SLUZBY	\N	\N
676472	2310	1998-11-30	VYDAJ	VYBER	15	59320	SLUZBY	\N	\N
676473	2310	1995-08-18	PRIJEM	VKLAD	8800	17389	\N	\N	\N
676474	2310	1995-09-17	VYDAJ	VYBER	800	24511	\N	\N	\N
676475	2310	1995-10-17	VYDAJ	VYBER	3100	29386	\N	\N	\N
676476	2310	1995-11-16	VYDAJ	VYBER	6400	30987	\N	\N	\N
676477	2310	1995-12-16	VYDAJ	VYBER	7900	29787	\N	\N	\N
676478	2310	1996-01-15	PRIJEM	VKLAD	200	26968	\N	\N	\N
676479	2310	1996-02-14	PRIJEM	VKLAD	1900	24634	\N	\N	\N
676480	2310	1996-03-15	PRIJEM	VKLAD	1200	27949	\N	\N	\N
676481	2310	1996-04-14	VYDAJ	VYBER	2700	27980	\N	\N	\N
676482	2310	1996-05-14	PRIJEM	VKLAD	400	31112	\N	\N	\N
676483	2310	1996-06-13	VYDAJ	VYBER	8000	29797	\N	\N	\N
676484	2310	1996-07-13	VYDAJ	VYBER	3800	28757	\N	\N	\N
676485	2310	1996-08-12	VYDAJ	VYBER	1900	30890	\N	\N	\N
676486	2310	1996-09-11	VYDAJ	VYBER	4900	28712	\N	\N	\N
676487	2310	1996-10-11	VYDAJ	VYBER	6200	25230	\N	\N	\N
676488	2310	1996-11-10	VYDAJ	VYBER	3800	24134	\N	\N	\N
676489	2310	1996-12-10	PRIJEM	VKLAD	400	30216	\N	\N	\N
676490	2310	1997-01-09	PRIJEM	VKLAD	5300	30665	\N	\N	\N
676491	2310	1997-02-08	PRIJEM	VKLAD	7100	29470	\N	\N	\N
676492	2310	1997-03-10	VYDAJ	VYBER	300	39800	\N	\N	\N
676493	2310	1997-04-09	VYDAJ	VYBER	1300	38613	\N	\N	\N
676494	2310	1997-05-09	PRIJEM	VKLAD	3000	32158	\N	\N	\N
676495	2310	1997-06-08	PRIJEM	VKLAD	1000	35914	\N	\N	\N
676496	2310	1997-07-08	PRIJEM	VKLAD	1500	44145	\N	\N	\N
676497	2310	1997-08-07	VYDAJ	VYBER	2300	44654	\N	\N	\N
676498	2310	1997-09-06	VYDAJ	VYBER	1300	46168	\N	\N	\N
676499	2310	1997-10-06	VYDAJ	VYBER	4300	44687	\N	\N	\N
676500	2310	1997-11-05	VYDAJ	VYBER	3000	44504	\N	\N	\N
676501	2310	1997-12-05	VYDAJ	VYBER	1900	42226	\N	\N	\N
676502	2310	1998-01-04	PRIJEM	VKLAD	700	46089	\N	\N	\N
676503	2310	1998-02-03	PRIJEM	VKLAD	8000	42348	\N	\N	\N
676504	2310	1998-03-05	PRIJEM	VKLAD	900	46040	\N	\N	\N
676505	2310	1998-04-04	VYDAJ	VYBER	500	44624	\N	\N	\N
676506	2310	1998-05-04	VYDAJ	VYBER	700	46736	\N	\N	\N
676507	2310	1998-06-03	VYDAJ	VYBER	1100	48456	\N	\N	\N
676508	2310	1998-07-03	VYDAJ	VYBER	3500	51741	\N	\N	\N
676509	2310	1998-08-02	VYDAJ	VYBER	1400	53185	\N	\N	\N
676510	2310	1998-09-01	PRIJEM	VKLAD	300	56333	\N	\N	\N
676511	2310	1998-10-01	PRIJEM	VKLAD	900	56492	\N	\N	\N
676512	2310	1998-10-31	PRIJEM	VKLAD	2400	56242	\N	\N	\N
676513	2310	1998-11-30	VYDAJ	VYBER	300	59020	\N	\N	\N
676555	2311	1997-10-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
676566	2311	1997-11-07	PRIJEM	VKLAD	20074	21174	\N	\N	\N
676567	2311	1997-12-07	PRIJEM	VKLAD	30111	54128	\N	\N	\N
676568	2311	1998-01-07	PRIJEM	VKLAD	20074	61835	\N	\N	\N
676569	2311	1998-02-07	PRIJEM	VKLAD	20074	65691	\N	\N	\N
676570	2311	1998-03-07	PRIJEM	VKLAD	20074	67257	\N	\N	\N
676571	2311	1998-04-07	PRIJEM	VKLAD	20074	64722	\N	\N	\N
676572	2311	1998-05-07	PRIJEM	VKLAD	20074	61678	\N	\N	\N
676573	2311	1998-06-07	PRIJEM	VKLAD	30111	68953	\N	\N	\N
676574	2311	1998-07-07	PRIJEM	VKLAD	20074	37157	\N	\N	\N
676575	2311	1998-08-07	PRIJEM	VKLAD	20074	43620	\N	\N	\N
676576	2311	1998-09-07	PRIJEM	VKLAD	20074	51603	\N	\N	\N
676577	2311	1998-10-07	PRIJEM	VKLAD	20074	50701	\N	\N	\N
676578	2311	1998-11-07	PRIJEM	VKLAD	20074	47487	\N	\N	\N
676579	2311	1998-12-07	PRIJEM	VKLAD	30111	57802	\N	\N	\N
676594	2311	1998-03-12	VYDAJ	PREVOD NA UCET	6798	57059	SIPO	AB	43163901
676595	2311	1998-04-12	VYDAJ	PREVOD NA UCET	6798	53524	SIPO	AB	43163901
676596	2311	1998-05-12	VYDAJ	PREVOD NA UCET	6798	54880	SIPO	AB	43163901
676597	2311	1998-06-12	VYDAJ	PREVOD NA UCET	6798	62155	SIPO	AB	43163901
676598	2311	1998-07-12	VYDAJ	PREVOD NA UCET	6798	29059	SIPO	AB	43163901
676599	2311	1998-08-12	VYDAJ	PREVOD NA UCET	6798	36822	SIPO	AB	43163901
676600	2311	1998-09-12	VYDAJ	PREVOD NA UCET	6798	44805	SIPO	AB	43163901
676601	2311	1998-10-12	VYDAJ	PREVOD NA UCET	6798	43903	SIPO	AB	43163901
676602	2311	1998-11-12	VYDAJ	PREVOD NA UCET	6798	40689	SIPO	AB	43163901
676603	2311	1998-12-12	VYDAJ	PREVOD NA UCET	6798	51004	SIPO	AB	43163901
676605	2311	1998-06-20	VYDAJ	VYBER	22000	18455	\N	\N	\N
676609	2311	1998-12-25	VYDAJ	VYBER	1100	31004	\N	\N	\N
676627	2311	1998-06-23	VYDAJ	VYBER	1500	16955	\N	\N	\N
676628	2311	1998-04-08	VYDAJ	VYBER	4400	60322	\N	\N	\N
676629	2311	1998-07-08	VYDAJ	VYBER	1300	35857	\N	\N	\N
676630	2311	1998-09-21	VYDAJ	VYBER	4200	30505	\N	\N	\N
676631	2311	1998-03-10	VYDAJ	VYBER	3400	63857	\N	\N	\N
676632	2311	1998-10-24	VYDAJ	VYBER	1800	27303	\N	\N	\N
676648	2311	1998-03-31	VYDAJ	VYBER	15	44648	SLUZBY	\N	\N
676649	2311	1998-04-30	VYDAJ	VYBER	15	41604	SLUZBY	\N	\N
676650	2311	1998-05-31	VYDAJ	VYBER	15	38842	SLUZBY	\N	\N
676651	2311	1998-06-30	VYDAJ	VYBER	15	17083	SLUZBY	\N	\N
676652	2311	1998-07-31	VYDAJ	VYBER	15	23546	SLUZBY	\N	\N
676653	2311	1998-08-31	VYDAJ	VYBER	15	31529	SLUZBY	\N	\N
676654	2311	1998-09-30	VYDAJ	VYBER	15	30627	SLUZBY	\N	\N
676655	2311	1998-10-31	VYDAJ	VYBER	15	27413	SLUZBY	\N	\N
676656	2311	1998-11-30	VYDAJ	VYBER	15	27691	SLUZBY	\N	\N
676657	2311	1997-11-18	PRIJEM	VKLAD	2800	23974	\N	\N	\N
676658	2311	1997-12-18	VYDAJ	VYBER	12500	41628	\N	\N	\N
676659	2311	1998-01-17	VYDAJ	VYBER	16400	45435	\N	\N	\N
676660	2311	1998-02-16	VYDAJ	VYBER	18700	46991	\N	\N	\N
676661	2311	1998-03-18	VYDAJ	VYBER	12600	44459	\N	\N	\N
676662	2311	1998-04-17	VYDAJ	VYBER	12100	41424	\N	\N	\N
676663	2311	1998-05-17	VYDAJ	VYBER	16200	38680	\N	\N	\N
676664	2311	1998-06-16	VYDAJ	VYBER	21700	40455	\N	\N	\N
676665	2311	1998-07-16	VYDAJ	VYBER	5600	23459	\N	\N	\N
676666	2311	1998-08-15	VYDAJ	VYBER	5400	31422	\N	\N	\N
676667	2311	1998-09-14	VYDAJ	VYBER	10100	34705	\N	\N	\N
676668	2311	1998-10-14	VYDAJ	VYBER	14800	29103	\N	\N	\N
676669	2311	1998-11-13	VYDAJ	VYBER	13100	27589	\N	\N	\N
676670	2311	1998-12-13	VYDAJ	VYBER	18900	32104	\N	\N	\N
676685	2312	1997-09-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
676695	2312	1997-10-08	PRIJEM	PREVOD Z UCTU	5340	6440	DUCHOD	AB	23158860
676696	2312	1997-11-08	PRIJEM	PREVOD Z UCTU	5340	11780	DUCHOD	AB	23158860
676697	2312	1997-12-08	PRIJEM	PREVOD Z UCTU	5340	17120	DUCHOD	AB	23158860
676698	2312	1998-01-08	PRIJEM	PREVOD Z UCTU	5340	22460	DUCHOD	AB	23158860
676699	2312	1998-02-08	PRIJEM	PREVOD Z UCTU	5340	21517	DUCHOD	AB	23158860
676700	2312	1998-03-08	PRIJEM	PREVOD Z UCTU	5340	23523	DUCHOD	AB	23158860
676701	2312	1998-04-08	PRIJEM	PREVOD Z UCTU	5340	25537	DUCHOD	AB	23158860
676702	2312	1998-05-08	PRIJEM	PREVOD Z UCTU	5340	23756	DUCHOD	AB	23158860
676703	2312	1998-06-08	PRIJEM	PREVOD Z UCTU	5340	19245	DUCHOD	AB	23158860
676704	2312	1998-07-08	PRIJEM	PREVOD Z UCTU	5340	17242	DUCHOD	AB	23158860
676705	2312	1998-08-08	PRIJEM	PREVOD Z UCTU	5340	19230	DUCHOD	AB	23158860
676706	2312	1998-09-08	PRIJEM	PREVOD Z UCTU	5340	17121	DUCHOD	AB	23158860
676707	2312	1998-10-08	PRIJEM	PREVOD Z UCTU	5340	19108	DUCHOD	AB	23158860
676708	2312	1998-11-08	PRIJEM	PREVOD Z UCTU	5340	21104	DUCHOD	AB	23158860
676709	2312	1998-12-08	PRIJEM	PREVOD Z UCTU	5340	18982	DUCHOD	AB	23158860
676723	2312	1998-02-13	VYDAJ	PREVOD NA UCET	3392	18125	SIPO	CD	88846653
676724	2312	1998-03-13	VYDAJ	PREVOD NA UCET	3392	20131	SIPO	CD	88846653
676725	2312	1998-04-13	VYDAJ	PREVOD NA UCET	3392	22145	SIPO	CD	88846653
676726	2312	1998-05-13	VYDAJ	PREVOD NA UCET	3392	20364	SIPO	CD	88846653
676727	2312	1998-06-13	VYDAJ	PREVOD NA UCET	3392	15853	SIPO	CD	88846653
676728	2312	1998-07-13	VYDAJ	PREVOD NA UCET	3392	13850	SIPO	CD	88846653
676729	2312	1998-08-13	VYDAJ	PREVOD NA UCET	3392	15838	SIPO	CD	88846653
676730	2312	1998-09-13	VYDAJ	PREVOD NA UCET	3392	13729	SIPO	CD	88846653
676731	2312	1998-10-13	VYDAJ	PREVOD NA UCET	3392	15716	SIPO	CD	88846653
676732	2312	1998-11-13	VYDAJ	PREVOD NA UCET	3392	15392	SIPO	CD	88846653
676733	2312	1998-12-13	VYDAJ	PREVOD NA UCET	3392	10150	SIPO	CD	88846653
676759	2312	1998-11-08	VYDAJ	VYBER	2320	18784	\N	\N	\N
676760	2312	1998-12-09	VYDAJ	VYBER	3840	15142	\N	\N	\N
676761	2312	1998-12-11	VYDAJ	VYBER	1600	13542	\N	\N	\N
676762	2312	1998-06-06	VYDAJ	VYBER	1520	13905	\N	\N	\N
676777	2312	1998-02-28	VYDAJ	VYBER	15	18183	SLUZBY	\N	\N
676778	2312	1998-03-31	VYDAJ	VYBER	15	20197	SLUZBY	\N	\N
676779	2312	1998-04-30	VYDAJ	VYBER	15	18416	SLUZBY	\N	\N
676780	2312	1998-05-31	VYDAJ	VYBER	15	15425	SLUZBY	\N	\N
676781	2312	1998-06-30	VYDAJ	VYBER	15	11902	SLUZBY	\N	\N
676782	2312	1998-07-31	VYDAJ	VYBER	15	13890	SLUZBY	\N	\N
676783	2312	1998-08-31	VYDAJ	VYBER	15	11781	SLUZBY	\N	\N
676784	2312	1998-09-30	VYDAJ	VYBER	15	13768	SLUZBY	\N	\N
676785	2312	1998-10-31	VYDAJ	VYBER	15	15764	SLUZBY	\N	\N
676786	2312	1998-11-30	VYDAJ	VYBER	15	13642	SLUZBY	\N	\N
676787	2312	1998-01-24	VYDAJ	VYBER	6300	16160	\N	\N	\N
676788	2312	1998-04-24	VYDAJ	VYBER	3800	18345	\N	\N	\N
676789	2312	1998-05-24	VYDAJ	VYBER	5000	15364	\N	\N	\N
676790	2312	1998-06-23	VYDAJ	VYBER	4000	11853	\N	\N	\N
676791	2312	1998-08-22	VYDAJ	VYBER	4100	11738	\N	\N	\N
676792	2312	1998-11-20	VYDAJ	VYBER	1800	13592	\N	\N	\N
676805	2313	1993-04-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
676810	2313	1993-05-07	PRIJEM	PREVOD Z UCTU	11580	12580	\N	CD	38014137
676811	2313	1993-06-07	PRIJEM	PREVOD Z UCTU	17370	34494	\N	CD	38014137
676812	2313	1993-07-07	PRIJEM	PREVOD Z UCTU	11580	40375	\N	CD	38014137
676813	2313	1993-08-07	PRIJEM	PREVOD Z UCTU	11580	45990	\N	CD	38014137
676814	2313	1993-09-07	PRIJEM	PREVOD Z UCTU	11580	47718	\N	CD	38014137
676815	2313	1993-10-07	PRIJEM	PREVOD Z UCTU	11580	41634	\N	CD	38014137
676816	2313	1993-11-07	PRIJEM	PREVOD Z UCTU	11580	31946	\N	CD	38014137
676817	2313	1993-12-07	PRIJEM	PREVOD Z UCTU	17370	38319	\N	CD	38014137
676818	2313	1994-01-07	PRIJEM	PREVOD Z UCTU	11580	29985	\N	CD	38014137
676819	2313	1994-02-07	PRIJEM	PREVOD Z UCTU	11580	31051	\N	CD	38014137
676820	2313	1994-03-07	PRIJEM	PREVOD Z UCTU	11580	34230	\N	CD	38014137
676821	2313	1994-04-07	PRIJEM	PREVOD Z UCTU	11580	36916	\N	CD	38014137
676822	2313	1994-05-07	PRIJEM	PREVOD Z UCTU	11580	32206	\N	CD	38014137
676823	2313	1994-06-07	PRIJEM	PREVOD Z UCTU	17370	38569	\N	CD	38014137
676824	2313	1994-07-07	PRIJEM	PREVOD Z UCTU	11580	38061	\N	CD	38014137
676825	2313	1994-08-07	PRIJEM	PREVOD Z UCTU	11580	38456	\N	CD	38014137
676826	2313	1994-09-07	PRIJEM	PREVOD Z UCTU	11580	38570	\N	CD	38014137
676827	2313	1994-10-07	PRIJEM	PREVOD Z UCTU	11580	41388	\N	CD	38014137
676828	2313	1994-11-07	PRIJEM	PREVOD Z UCTU	11580	38205	\N	CD	38014137
676829	2313	1994-12-07	PRIJEM	PREVOD Z UCTU	17370	46108	\N	CD	38014137
676830	2313	1995-01-07	PRIJEM	PREVOD Z UCTU	11580	35141	\N	CD	38014137
676831	2313	1995-02-07	PRIJEM	PREVOD Z UCTU	11580	31852	\N	CD	38014137
676832	2313	1995-03-07	PRIJEM	PREVOD Z UCTU	11580	36336	\N	CD	38014137
676833	2313	1995-04-07	PRIJEM	PREVOD Z UCTU	11580	41539	\N	CD	38014137
676834	2313	1995-05-07	PRIJEM	PREVOD Z UCTU	11580	37740	\N	CD	38014137
676835	2313	1995-06-07	PRIJEM	PREVOD Z UCTU	17370	39583	\N	CD	38014137
676836	2313	1995-07-07	PRIJEM	PREVOD Z UCTU	11580	37779	\N	CD	38014137
676837	2313	1995-08-07	PRIJEM	PREVOD Z UCTU	11580	34865	\N	CD	38014137
676838	2313	1995-09-07	PRIJEM	PREVOD Z UCTU	11580	36261	\N	CD	38014137
676839	2313	1995-10-07	PRIJEM	PREVOD Z UCTU	11580	34017	\N	CD	38014137
676840	2313	1995-11-07	PRIJEM	PREVOD Z UCTU	11580	31505	\N	CD	38014137
676841	2313	1995-12-07	PRIJEM	PREVOD Z UCTU	17370	42575	\N	CD	38014137
676842	2313	1996-01-07	PRIJEM	PREVOD Z UCTU	11580	39891	\N	CD	38014137
676843	2313	1996-02-07	PRIJEM	PREVOD Z UCTU	11580	32783	\N	CD	38014137
676844	2313	1996-03-07	PRIJEM	PREVOD Z UCTU	11580	35967	\N	CD	38014137
676845	2313	1996-04-07	PRIJEM	PREVOD Z UCTU	11580	34751	\N	CD	38014137
676846	2313	1996-05-07	PRIJEM	PREVOD Z UCTU	11580	36844	\N	CD	38014137
676847	2313	1996-06-07	PRIJEM	PREVOD Z UCTU	17370	44240	\N	CD	38014137
676848	2313	1996-07-07	PRIJEM	PREVOD Z UCTU	11580	40059	\N	CD	38014137
676849	2313	1996-08-07	PRIJEM	PREVOD Z UCTU	11580	37113	\N	CD	38014137
676850	2313	1996-09-07	PRIJEM	PREVOD Z UCTU	11580	37812	\N	CD	38014137
676851	2313	1996-10-07	PRIJEM	PREVOD Z UCTU	11580	39815	\N	CD	38014137
676852	2313	1996-11-07	PRIJEM	PREVOD Z UCTU	11580	42827	\N	CD	38014137
676853	2313	1996-12-07	PRIJEM	PREVOD Z UCTU	17370	48944	\N	CD	38014137
676854	2313	1997-01-07	PRIJEM	PREVOD Z UCTU	11580	33883	\N	CD	38014137
676855	2313	1997-02-07	PRIJEM	PREVOD Z UCTU	11580	33359	\N	CD	38014137
676856	2313	1997-03-07	PRIJEM	PREVOD Z UCTU	11580	48457	\N	CD	38014137
676857	2313	1997-04-07	PRIJEM	PREVOD Z UCTU	11580	36098	\N	CD	38014137
676858	2313	1997-05-07	PRIJEM	PREVOD Z UCTU	11580	35401	\N	CD	38014137
676859	2313	1997-06-07	PRIJEM	PREVOD Z UCTU	17370	50292	\N	CD	38014137
676860	2313	1997-07-07	PRIJEM	PREVOD Z UCTU	11580	49636	\N	CD	38014137
676861	2313	1997-08-07	PRIJEM	PREVOD Z UCTU	11580	53088	\N	CD	38014137
676862	2313	1997-09-07	PRIJEM	PREVOD Z UCTU	11580	48128	\N	CD	38014137
676863	2313	1997-10-07	PRIJEM	PREVOD Z UCTU	11580	42378	\N	CD	38014137
676864	2313	1997-11-07	PRIJEM	PREVOD Z UCTU	11580	50408	\N	CD	38014137
676865	2313	1997-12-07	PRIJEM	PREVOD Z UCTU	17370	62457	\N	CD	38014137
676866	2313	1998-01-07	PRIJEM	PREVOD Z UCTU	11580	36857	\N	CD	38014137
676867	2313	1998-02-07	PRIJEM	PREVOD Z UCTU	11580	35763	\N	CD	38014137
676868	2313	1998-03-07	PRIJEM	PREVOD Z UCTU	11580	48374	\N	CD	38014137
676869	2313	1998-04-07	PRIJEM	PREVOD Z UCTU	11580	53021	\N	CD	38014137
676870	2313	1998-05-07	PRIJEM	PREVOD Z UCTU	11580	50766	\N	CD	38014137
676871	2313	1998-06-07	PRIJEM	PREVOD Z UCTU	17370	44174	\N	CD	38014137
676872	2313	1998-07-07	PRIJEM	PREVOD Z UCTU	11580	46293	\N	CD	38014137
676873	2313	1998-08-07	PRIJEM	PREVOD Z UCTU	11580	50229	\N	CD	38014137
676874	2313	1998-09-07	PRIJEM	PREVOD Z UCTU	11580	41059	\N	CD	38014137
676875	2313	1998-10-07	PRIJEM	PREVOD Z UCTU	11580	36887	\N	CD	38014137
676876	2313	1998-11-07	PRIJEM	PREVOD Z UCTU	11580	34637	\N	CD	38014137
676877	2313	1998-12-07	PRIJEM	PREVOD Z UCTU	17370	47121	\N	CD	38014137
676886	2313	1993-09-10	VYDAJ	PREVOD NA UCET	5426	31292	SIPO	MN	33568215
676887	2313	1993-10-10	VYDAJ	PREVOD NA UCET	5426	32408	SIPO	MN	33568215
676888	2313	1993-11-10	VYDAJ	PREVOD NA UCET	5426	22220	SIPO	MN	33568215
676889	2313	1993-12-10	VYDAJ	PREVOD NA UCET	5426	23893	SIPO	MN	33568215
676890	2313	1994-01-10	VYDAJ	PREVOD NA UCET	5426	20759	SIPO	MN	33568215
676891	2313	1994-02-10	VYDAJ	PREVOD NA UCET	5426	23925	SIPO	MN	33568215
676892	2313	1994-03-10	VYDAJ	PREVOD NA UCET	5426	26604	SIPO	MN	33568215
676893	2313	1994-04-10	VYDAJ	PREVOD NA UCET	5426	26990	SIPO	MN	33568215
676894	2313	1994-05-10	VYDAJ	PREVOD NA UCET	5426	22480	SIPO	MN	33568215
676895	2313	1994-06-10	VYDAJ	PREVOD NA UCET	5426	27743	SIPO	MN	33568215
676896	2313	1994-07-10	VYDAJ	PREVOD NA UCET	5426	26835	SIPO	MN	33568215
676897	2313	1994-08-10	VYDAJ	PREVOD NA UCET	5426	33030	SIPO	MN	33568215
676898	2313	1994-09-10	VYDAJ	PREVOD NA UCET	5426	33144	SIPO	MN	33568215
676899	2313	1994-10-10	VYDAJ	PREVOD NA UCET	5426	35962	SIPO	MN	33568215
676900	2313	1994-11-10	VYDAJ	PREVOD NA UCET	5426	32779	SIPO	MN	33568215
676901	2313	1994-12-10	VYDAJ	PREVOD NA UCET	5426	40682	SIPO	MN	33568215
676902	2313	1995-01-10	VYDAJ	PREVOD NA UCET	5426	26415	SIPO	MN	33568215
676903	2313	1995-02-10	VYDAJ	PREVOD NA UCET	5426	26426	SIPO	MN	33568215
676904	2313	1995-03-10	VYDAJ	PREVOD NA UCET	5426	30910	SIPO	MN	33568215
676905	2313	1995-04-10	VYDAJ	PREVOD NA UCET	5426	36113	SIPO	MN	33568215
676906	2313	1995-05-10	VYDAJ	PREVOD NA UCET	5426	26230	SIPO	MN	33568215
676907	2313	1995-06-10	VYDAJ	PREVOD NA UCET	5426	29056	SIPO	MN	33568215
676908	2313	1995-07-10	VYDAJ	PREVOD NA UCET	5426	32353	SIPO	MN	33568215
676909	2313	1995-08-10	VYDAJ	PREVOD NA UCET	5426	29439	SIPO	MN	33568215
676910	2313	1995-09-10	VYDAJ	PREVOD NA UCET	5426	30835	SIPO	MN	33568215
676911	2313	1995-10-10	VYDAJ	PREVOD NA UCET	5426	18916	SIPO	MN	33568215
676912	2313	1995-11-10	VYDAJ	PREVOD NA UCET	5426	26079	SIPO	MN	33568215
676913	2313	1995-12-10	VYDAJ	PREVOD NA UCET	5426	37149	SIPO	MN	33568215
676914	2313	1996-01-10	VYDAJ	PREVOD NA UCET	5426	31465	SIPO	MN	33568215
676915	2313	1996-02-10	VYDAJ	PREVOD NA UCET	5426	27357	SIPO	MN	33568215
676916	2313	1996-03-10	VYDAJ	PREVOD NA UCET	5426	30541	SIPO	MN	33568215
676917	2313	1996-04-10	VYDAJ	PREVOD NA UCET	5426	29325	SIPO	MN	33568215
676918	2313	1996-05-10	VYDAJ	PREVOD NA UCET	5426	31418	SIPO	MN	33568215
676919	2313	1996-06-10	VYDAJ	PREVOD NA UCET	5426	38814	SIPO	MN	33568215
676920	2313	1996-07-10	VYDAJ	PREVOD NA UCET	5426	34633	SIPO	MN	33568215
676921	2313	1996-08-10	VYDAJ	PREVOD NA UCET	5426	31687	SIPO	MN	33568215
676922	2313	1996-09-10	VYDAJ	PREVOD NA UCET	5426	32386	SIPO	MN	33568215
676923	2313	1996-10-10	VYDAJ	PREVOD NA UCET	5426	34389	SIPO	MN	33568215
676924	2313	1996-11-10	VYDAJ	PREVOD NA UCET	5426	37401	SIPO	MN	33568215
676925	2313	1996-12-10	VYDAJ	PREVOD NA UCET	5426	43518	SIPO	MN	33568215
676926	2313	1997-01-10	VYDAJ	PREVOD NA UCET	5426	17957	SIPO	MN	33568215
676927	2313	1997-02-10	VYDAJ	PREVOD NA UCET	5426	27933	SIPO	MN	33568215
676928	2313	1997-03-10	VYDAJ	PREVOD NA UCET	5426	43031	SIPO	MN	33568215
676929	2313	1997-04-10	VYDAJ	PREVOD NA UCET	5426	30672	SIPO	MN	33568215
676930	2313	1997-05-10	VYDAJ	PREVOD NA UCET	5426	29975	SIPO	MN	33568215
676931	2313	1997-06-10	VYDAJ	PREVOD NA UCET	5426	42466	SIPO	MN	33568215
676932	2313	1997-07-10	VYDAJ	PREVOD NA UCET	5426	44210	SIPO	MN	33568215
676933	2313	1997-08-10	VYDAJ	PREVOD NA UCET	5426	34567	SIPO	MN	33568215
676934	2313	1997-09-10	VYDAJ	PREVOD NA UCET	5426	42702	SIPO	MN	33568215
676935	2313	1997-10-10	VYDAJ	PREVOD NA UCET	5426	36952	SIPO	MN	33568215
676936	2313	1997-11-10	VYDAJ	PREVOD NA UCET	5426	44982	SIPO	MN	33568215
676937	2313	1997-12-10	VYDAJ	PREVOD NA UCET	5426	57031	SIPO	MN	33568215
676938	2313	1998-01-10	VYDAJ	PREVOD NA UCET	5426	31431	SIPO	MN	33568215
676939	2313	1998-02-10	VYDAJ	PREVOD NA UCET	5426	30337	SIPO	MN	33568215
676940	2313	1998-03-10	VYDAJ	PREVOD NA UCET	5426	42948	SIPO	MN	33568215
676941	2313	1998-04-10	VYDAJ	PREVOD NA UCET	5426	37995	SIPO	MN	33568215
676942	2313	1998-05-10	VYDAJ	PREVOD NA UCET	5426	35140	SIPO	MN	33568215
676943	2313	1998-06-10	VYDAJ	PREVOD NA UCET	5426	33847	SIPO	MN	33568215
676944	2313	1998-07-10	VYDAJ	PREVOD NA UCET	5426	40867	SIPO	MN	33568215
676945	2313	1998-08-10	VYDAJ	PREVOD NA UCET	5426	44803	SIPO	MN	33568215
676946	2313	1998-09-10	VYDAJ	PREVOD NA UCET	5426	35633	SIPO	MN	33568215
676947	2313	1998-10-10	VYDAJ	PREVOD NA UCET	5426	31461	SIPO	MN	33568215
676948	2313	1998-11-10	VYDAJ	PREVOD NA UCET	5426	29211	SIPO	MN	33568215
676949	2313	1998-12-10	VYDAJ	PREVOD NA UCET	5426	37795	SIPO	MN	33568215
676958	2313	1993-09-14	VYDAJ	PREVOD NA UCET	1341	29951	 	GH	52766847
676959	2313	1993-10-14	VYDAJ	PREVOD NA UCET	1341	31067	 	GH	52766847
676960	2313	1993-11-14	VYDAJ	PREVOD NA UCET	1341	20879	 	GH	52766847
676961	2313	1993-12-14	VYDAJ	PREVOD NA UCET	1341	18352	 	GH	52766847
676962	2313	1994-01-14	VYDAJ	PREVOD NA UCET	1341	19418	 	GH	52766847
676963	2313	1994-02-14	VYDAJ	PREVOD NA UCET	1341	22584	 	GH	52766847
676964	2313	1994-03-14	VYDAJ	PREVOD NA UCET	1341	25263	 	GH	52766847
676965	2313	1994-04-14	VYDAJ	PREVOD NA UCET	1341	25649	 	GH	52766847
676966	2313	1994-05-14	VYDAJ	PREVOD NA UCET	1341	21139	 	GH	52766847
676967	2313	1994-06-14	VYDAJ	PREVOD NA UCET	1341	26402	 	GH	52766847
676968	2313	1994-07-14	VYDAJ	PREVOD NA UCET	1341	25494	 	GH	52766847
676969	2313	1994-08-14	VYDAJ	PREVOD NA UCET	1341	31689	 	GH	52766847
676970	2313	1994-09-14	VYDAJ	PREVOD NA UCET	1341	31803	 	GH	52766847
676971	2313	1994-10-14	VYDAJ	PREVOD NA UCET	1341	34621	 	GH	52766847
676972	2313	1994-11-14	VYDAJ	PREVOD NA UCET	1341	31438	 	GH	52766847
676973	2313	1994-12-14	VYDAJ	PREVOD NA UCET	1341	35741	 	GH	52766847
676974	2313	1995-01-14	VYDAJ	PREVOD NA UCET	1341	21774	 	GH	52766847
676975	2313	1995-02-14	VYDAJ	PREVOD NA UCET	1341	25085	 	GH	52766847
676976	2313	1995-03-14	VYDAJ	PREVOD NA UCET	1341	29569	 	GH	52766847
676977	2313	1995-04-14	VYDAJ	PREVOD NA UCET	1341	34772	 	GH	52766847
676978	2313	1995-05-14	VYDAJ	PREVOD NA UCET	1341	24889	 	GH	52766847
676979	2313	1995-06-14	VYDAJ	PREVOD NA UCET	1341	27715	 	GH	52766847
676980	2313	1995-07-14	VYDAJ	PREVOD NA UCET	1341	21412	 	GH	52766847
676981	2313	1995-08-14	VYDAJ	PREVOD NA UCET	1341	28098	 	GH	52766847
676982	2313	1995-09-14	VYDAJ	PREVOD NA UCET	1341	22559	 	GH	52766847
676983	2313	1995-10-14	VYDAJ	PREVOD NA UCET	1341	17575	 	GH	52766847
676984	2313	1995-11-14	VYDAJ	PREVOD NA UCET	1341	24738	 	GH	52766847
676985	2313	1995-12-14	VYDAJ	PREVOD NA UCET	1341	35808	 	GH	52766847
676986	2313	1996-01-14	VYDAJ	PREVOD NA UCET	1341	22924	 	GH	52766847
676987	2313	1996-02-14	VYDAJ	PREVOD NA UCET	1341	26016	 	GH	52766847
676988	2313	1996-03-14	VYDAJ	PREVOD NA UCET	1341	23800	 	GH	52766847
676989	2313	1996-04-14	VYDAJ	PREVOD NA UCET	1341	27984	 	GH	52766847
676990	2313	1996-05-14	VYDAJ	PREVOD NA UCET	1341	30077	 	GH	52766847
676991	2313	1996-06-14	VYDAJ	PREVOD NA UCET	1341	37473	 	GH	52766847
676992	2313	1996-07-14	VYDAJ	PREVOD NA UCET	1341	33292	 	GH	52766847
676993	2313	1996-08-14	VYDAJ	PREVOD NA UCET	1341	30346	 	GH	52766847
676994	2313	1996-09-14	VYDAJ	PREVOD NA UCET	1341	31045	 	GH	52766847
676995	2313	1996-10-14	VYDAJ	PREVOD NA UCET	1341	33048	 	GH	52766847
676996	2313	1996-11-14	VYDAJ	PREVOD NA UCET	1341	36060	 	GH	52766847
676997	2313	1996-12-14	VYDAJ	PREVOD NA UCET	1341	42177	 	GH	52766847
676998	2313	1997-01-14	VYDAJ	PREVOD NA UCET	1341	16616	 	GH	52766847
676999	2313	1997-02-14	VYDAJ	PREVOD NA UCET	1341	26592	 	GH	52766847
677000	2313	1997-03-14	VYDAJ	PREVOD NA UCET	1341	41690	 	GH	52766847
677001	2313	1997-04-14	VYDAJ	PREVOD NA UCET	1341	29331	 	GH	52766847
677002	2313	1997-05-14	VYDAJ	PREVOD NA UCET	1341	28634	 	GH	52766847
677003	2313	1997-06-14	VYDAJ	PREVOD NA UCET	1341	41125	 	GH	52766847
677004	2313	1997-07-14	VYDAJ	PREVOD NA UCET	1341	42869	 	GH	52766847
677005	2313	1997-08-14	VYDAJ	PREVOD NA UCET	1341	33226	 	GH	52766847
677006	2313	1997-09-14	VYDAJ	PREVOD NA UCET	1341	41361	 	GH	52766847
677007	2313	1997-10-14	VYDAJ	PREVOD NA UCET	1341	35611	 	GH	52766847
677008	2313	1997-11-14	VYDAJ	PREVOD NA UCET	1341	43641	 	GH	52766847
677009	2313	1997-12-14	VYDAJ	PREVOD NA UCET	1341	55690	 	GH	52766847
677010	2313	1998-01-14	VYDAJ	PREVOD NA UCET	1341	22890	 	GH	52766847
677011	2313	1998-02-14	VYDAJ	PREVOD NA UCET	1341	28996	 	GH	52766847
677012	2313	1998-03-14	VYDAJ	PREVOD NA UCET	1341	41607	 	GH	52766847
677013	2313	1998-04-14	VYDAJ	PREVOD NA UCET	1341	36654	 	GH	52766847
677014	2313	1998-05-14	VYDAJ	PREVOD NA UCET	1341	33799	 	GH	52766847
677015	2313	1998-06-14	VYDAJ	PREVOD NA UCET	1341	32506	 	GH	52766847
677016	2313	1998-07-14	VYDAJ	PREVOD NA UCET	1341	36826	 	GH	52766847
677017	2313	1998-08-14	VYDAJ	PREVOD NA UCET	1341	43462	 	GH	52766847
677018	2313	1998-09-14	VYDAJ	PREVOD NA UCET	1341	37492	 	GH	52766847
677019	2313	1998-10-14	VYDAJ	PREVOD NA UCET	1341	31320	 	GH	52766847
677020	2313	1998-11-14	VYDAJ	PREVOD NA UCET	1341	29670	 	GH	52766847
677021	2313	1998-12-14	VYDAJ	PREVOD NA UCET	1341	36054	 	GH	52766847
677033	2313	1995-06-09	VYBER	VYBER	5101	34482	\N	\N	\N
677035	2313	1995-09-01	VYBER	VYBER	2801	24681	\N	\N	\N
677036	2313	1995-05-10	VYBER	VYBER	6084	31656	\N	\N	\N
677040	2313	1995-04-19	VYBER	VYBER	12904	21868	\N	\N	\N
677041	2313	1995-05-30	VYBER	VYBER	3855	21034	\N	\N	\N
677042	2313	1995-02-03	VYBER	VYBER	3572	20272	\N	\N	\N
677043	2313	1995-09-14	VYBER	VYBER	6935	23900	\N	\N	\N
677045	2313	1995-10-07	VYBER	VYBER	9675	24342	\N	\N	\N
677047	2313	1996-07-31	VYBER	VYBER	3957	25563	\N	\N	\N
677053	2313	1997-04-24	VYBER	VYBER	12791	23740	\N	\N	\N
677056	2313	1997-12-18	VYBER	VYBER	17282	46408	\N	\N	\N
677057	2313	1997-08-10	VYBER	VYBER	13095	39993	\N	\N	\N
677059	2313	1998-06-07	VYBER	VYBER	4901	39273	\N	\N	\N
677062	2313	1998-10-22	VYBER	VYBER	8357	22963	\N	\N	\N
677074	2313	1998-01-04	VYDAJ	VYBER	14400	27377	\N	\N	\N
677075	2313	1993-12-10	VYDAJ	VYBER	4200	19693	\N	\N	\N
677076	2313	1994-12-10	VYDAJ	VYBER	3600	37082	\N	\N	\N
677078	2313	1996-12-01	VYDAJ	VYBER	5100	31574	\N	\N	\N
677079	2313	1997-12-14	VYDAJ	VYBER	2400	53290	\N	\N	\N
677080	2313	1998-12-10	VYDAJ	VYBER	3900	43221	\N	\N	\N
677093	2313	1995-01-04	VYDAJ	VYBER	8400	23561	\N	\N	\N
677095	2313	1995-01-10	VYDAJ	VYBER	3300	31841	\N	\N	\N
677096	2313	1995-01-11	VYDAJ	VYBER	3300	23115	\N	\N	\N
677097	2313	1995-01-22	VYDAJ	VYBER	2100	19674	\N	\N	\N
677102	2313	1996-01-10	VYDAJ	VYBER	3900	27565	\N	\N	\N
677103	2313	1996-01-07	VYDAJ	VYBER	3000	36891	\N	\N	\N
677104	2313	1996-01-13	VYDAJ	VYBER	3300	24265	\N	\N	\N
677106	2313	1997-01-02	VYDAJ	VYBER	8100	22303	\N	\N	\N
677107	2313	1997-01-27	VYDAJ	VYBER	4500	21716	\N	\N	\N
677109	2313	1997-01-08	VYDAJ	VYBER	6600	23383	\N	\N	\N
677110	2313	1997-01-08	VYDAJ	VYBER	3900	29983	\N	\N	\N
677111	2313	1998-01-10	VYDAJ	VYBER	7200	24231	\N	\N	\N
677112	2313	1998-01-21	VYDAJ	VYBER	4200	32190	\N	\N	\N
677113	2313	1998-01-22	VYDAJ	VYBER	8100	24090	\N	\N	\N
677114	2313	1998-01-05	VYDAJ	VYBER	2100	25277	\N	\N	\N
677116	2313	1998-01-02	VYDAJ	VYBER	3000	41777	\N	\N	\N
677119	2313	1993-10-31	VYDAJ	VYBER	10800	20366	\N	\N	\N
677121	2313	1994-12-26	VYDAJ	VYBER	2400	33341	\N	\N	\N
677122	2313	1994-04-27	VYDAJ	VYBER	5100	20549	\N	\N	\N
677123	2313	1994-10-23	VYDAJ	VYBER	9300	25321	\N	\N	\N
677127	2313	1995-07-11	VYDAJ	VYBER	9600	22753	\N	\N	\N
677128	2313	1995-02-21	VYDAJ	VYBER	2400	22685	\N	\N	\N
677131	2313	1996-05-03	VYDAJ	VYBER	1800	25264	\N	\N	\N
677132	2313	1996-12-21	VYDAJ	VYBER	12000	30177	\N	\N	\N
677133	2313	1996-03-13	VYDAJ	VYBER	5400	25141	\N	\N	\N
677136	2313	1997-06-07	VYDAJ	VYBER	2400	47892	\N	\N	\N
677137	2313	1997-03-28	VYDAJ	VYBER	14100	24390	\N	\N	\N
677138	2313	1997-03-26	VYDAJ	VYBER	5100	38490	\N	\N	\N
677139	2313	1997-09-30	VYDAJ	VYBER	13200	30798	\N	\N	\N
677140	2313	1997-12-18	VYDAJ	VYBER	1800	44608	\N	\N	\N
677142	2313	1998-05-09	VYDAJ	VYBER	10200	40566	\N	\N	\N
677143	2313	1998-05-21	VYDAJ	VYBER	7500	26699	\N	\N	\N
677144	2313	1998-04-08	VYDAJ	VYBER	9600	43421	\N	\N	\N
677145	2313	1998-08-19	VYDAJ	VYBER	13200	29362	\N	\N	\N
677146	2313	1998-07-12	VYDAJ	VYBER	2700	38167	\N	\N	\N
677147	2313	1998-10-05	VYDAJ	VYBER	12300	25307	\N	\N	\N
677157	2313	1993-09-30	VYDAJ	VYBER	30	30054	SLUZBY	\N	\N
677158	2313	1993-10-31	VYDAJ	VYBER	30	31166	SLUZBY	\N	\N
677159	2313	1993-11-30	VYDAJ	VYBER	30	20949	SLUZBY	\N	\N
677160	2313	1993-12-31	VYDAJ	VYBER	30	18405	SLUZBY	\N	\N
677161	2313	1994-01-31	VYDAJ	VYBER	30	19471	SLUZBY	\N	\N
677162	2313	1994-02-28	VYDAJ	VYBER	30	22650	SLUZBY	\N	\N
677163	2313	1994-03-31	VYDAJ	VYBER	30	25336	SLUZBY	\N	\N
677164	2313	1994-04-30	VYDAJ	VYBER	30	20626	SLUZBY	\N	\N
677165	2313	1994-05-31	VYDAJ	VYBER	30	21199	SLUZBY	\N	\N
677166	2313	1994-06-30	VYDAJ	VYBER	30	26481	SLUZBY	\N	\N
677167	2313	1994-07-31	VYDAJ	VYBER	30	25576	SLUZBY	\N	\N
677168	2313	1994-08-31	VYDAJ	VYBER	30	31790	SLUZBY	\N	\N
677169	2313	1994-09-30	VYDAJ	VYBER	30	31908	SLUZBY	\N	\N
677170	2313	1994-10-31	VYDAJ	VYBER	30	25425	SLUZBY	\N	\N
677171	2313	1994-11-30	VYDAJ	VYBER	30	31538	SLUZBY	\N	\N
677172	2313	1994-12-31	VYDAJ	VYBER	30	33461	SLUZBY	\N	\N
677173	2313	1995-01-31	VYDAJ	VYBER	30	19744	SLUZBY	\N	\N
677174	2313	1995-02-28	VYDAJ	VYBER	30	22756	SLUZBY	\N	\N
677175	2313	1995-03-31	VYDAJ	VYBER	30	29659	SLUZBY	\N	\N
677176	2313	1995-04-30	VYDAJ	VYBER	30	21960	SLUZBY	\N	\N
677177	2313	1995-05-31	VYDAJ	VYBER	30	21113	SLUZBY	\N	\N
677178	2313	1995-06-30	VYDAJ	VYBER	30	27799	SLUZBY	\N	\N
677179	2313	1995-07-31	VYDAJ	VYBER	30	21485	SLUZBY	\N	\N
677180	2313	1995-08-31	VYDAJ	VYBER	30	27482	SLUZBY	\N	\N
677181	2313	1995-09-30	VYDAJ	VYBER	30	22437	SLUZBY	\N	\N
677182	2313	1995-10-31	VYDAJ	VYBER	30	19925	SLUZBY	\N	\N
677183	2313	1995-11-30	VYDAJ	VYBER	30	25205	SLUZBY	\N	\N
677184	2313	1995-12-31	VYDAJ	VYBER	30	28311	SLUZBY	\N	\N
677185	2313	1996-01-31	VYDAJ	VYBER	30	21203	SLUZBY	\N	\N
677186	2313	1996-02-29	VYDAJ	VYBER	30	24387	SLUZBY	\N	\N
677187	2313	1996-03-31	VYDAJ	VYBER	30	23171	SLUZBY	\N	\N
677188	2313	1996-04-30	VYDAJ	VYBER	30	27064	SLUZBY	\N	\N
677189	2313	1996-05-31	VYDAJ	VYBER	30	26870	SLUZBY	\N	\N
677190	2313	1996-06-30	VYDAJ	VYBER	30	28479	SLUZBY	\N	\N
677191	2313	1996-07-31	VYDAJ	VYBER	30	25533	SLUZBY	\N	\N
677192	2313	1996-08-31	VYDAJ	VYBER	30	26232	SLUZBY	\N	\N
677193	2313	1996-09-30	VYDAJ	VYBER	30	28235	SLUZBY	\N	\N
677194	2313	1996-10-31	VYDAJ	VYBER	30	31247	SLUZBY	\N	\N
677195	2313	1996-11-30	VYDAJ	VYBER	30	36674	SLUZBY	\N	\N
677196	2313	1996-12-31	VYDAJ	VYBER	30	30403	SLUZBY	\N	\N
677197	2313	1997-01-31	VYDAJ	VYBER	30	21779	SLUZBY	\N	\N
677198	2313	1997-02-28	VYDAJ	VYBER	30	36877	SLUZBY	\N	\N
677199	2313	1997-03-31	VYDAJ	VYBER	30	24518	SLUZBY	\N	\N
677200	2313	1997-04-30	VYDAJ	VYBER	30	23821	SLUZBY	\N	\N
677201	2313	1997-05-31	VYDAJ	VYBER	30	32922	SLUZBY	\N	\N
677202	2313	1997-06-30	VYDAJ	VYBER	30	38056	SLUZBY	\N	\N
677203	2313	1997-07-31	VYDAJ	VYBER	30	41508	SLUZBY	\N	\N
677204	2313	1997-08-31	VYDAJ	VYBER	30	36548	SLUZBY	\N	\N
677205	2313	1997-09-30	VYDAJ	VYBER	30	43998	SLUZBY	\N	\N
677206	2313	1997-10-31	VYDAJ	VYBER	30	38828	SLUZBY	\N	\N
677207	2313	1997-11-30	VYDAJ	VYBER	30	45087	SLUZBY	\N	\N
677208	2313	1997-12-31	VYDAJ	VYBER	30	44777	SLUZBY	\N	\N
677209	2313	1998-01-31	VYDAJ	VYBER	30	24183	SLUZBY	\N	\N
677210	2313	1998-02-28	VYDAJ	VYBER	30	36794	SLUZBY	\N	\N
677211	2313	1998-03-31	VYDAJ	VYBER	30	41441	SLUZBY	\N	\N
677212	2313	1998-04-30	VYDAJ	VYBER	30	39186	SLUZBY	\N	\N
677213	2313	1998-05-31	VYDAJ	VYBER	30	26804	SLUZBY	\N	\N
677214	2313	1998-06-30	VYDAJ	VYBER	30	34713	SLUZBY	\N	\N
677215	2313	1998-07-31	VYDAJ	VYBER	30	38649	SLUZBY	\N	\N
677216	2313	1998-08-31	VYDAJ	VYBER	30	29479	SLUZBY	\N	\N
677217	2313	1998-09-30	VYDAJ	VYBER	30	37607	SLUZBY	\N	\N
677218	2313	1998-10-31	VYDAJ	VYBER	30	23057	SLUZBY	\N	\N
677219	2313	1998-11-30	VYDAJ	VYBER	30	29751	SLUZBY	\N	\N
677220	2313	1993-05-13	PRIJEM	VKLAD	4500	17080	\N	\N	\N
677221	2313	1993-06-12	VYDAJ	VYBER	5800	28694	\N	\N	\N
677222	2313	1993-07-12	VYDAJ	VYBER	6100	34275	\N	\N	\N
677223	2313	1993-08-11	VYDAJ	VYBER	10000	35990	\N	\N	\N
677224	2313	1993-09-10	VYDAJ	VYBER	11000	36718	\N	\N	\N
677225	2313	1993-10-10	VYDAJ	VYBER	3800	37834	\N	\N	\N
677226	2313	1993-11-09	VYDAJ	VYBER	4300	27646	\N	\N	\N
677227	2313	1993-12-09	VYDAJ	VYBER	9000	29319	\N	\N	\N
677228	2313	1994-01-08	VYDAJ	VYBER	3800	26185	\N	\N	\N
677229	2313	1994-02-07	VYDAJ	VYBER	1700	29351	\N	\N	\N
677230	2313	1994-03-09	VYDAJ	VYBER	2200	32030	\N	\N	\N
677231	2313	1994-04-08	VYDAJ	VYBER	4500	32416	\N	\N	\N
677232	2313	1994-05-08	VYDAJ	VYBER	4300	27906	\N	\N	\N
677233	2313	1994-06-07	VYDAJ	VYBER	5400	33169	\N	\N	\N
677234	2313	1994-07-07	VYDAJ	VYBER	5800	32261	\N	\N	\N
677235	2313	1994-08-06	PRIJEM	VKLAD	1300	26876	\N	\N	\N
677236	2313	1994-09-05	VYDAJ	VYBER	4800	26990	\N	\N	\N
677237	2313	1994-10-05	VYDAJ	VYBER	2100	29808	\N	\N	\N
677238	2313	1994-11-04	PRIJEM	VKLAD	1200	26625	\N	\N	\N
677239	2313	1994-12-04	VYDAJ	VYBER	2800	28738	\N	\N	\N
677240	2313	1995-01-03	VYDAJ	VYBER	1500	31961	\N	\N	\N
677241	2313	1995-02-02	PRIJEM	VKLAD	4100	23844	\N	\N	\N
677242	2313	1995-03-04	PRIJEM	VKLAD	2000	24756	\N	\N	\N
677243	2313	1995-04-03	PRIJEM	VKLAD	300	29959	\N	\N	\N
677244	2313	1995-05-03	PRIJEM	VKLAD	4200	26160	\N	\N	\N
677245	2313	1995-06-02	PRIJEM	VKLAD	1100	22213	\N	\N	\N
677246	2313	1995-07-02	VYDAJ	VYBER	1600	26199	\N	\N	\N
677247	2313	1995-08-01	PRIJEM	VKLAD	1800	23285	\N	\N	\N
677248	2313	1995-08-31	VYDAJ	VYBER	700	27512	\N	\N	\N
677249	2313	1995-09-30	VYDAJ	VYBER	200	22467	\N	\N	\N
677250	2313	1995-10-30	PRIJEM	VKLAD	2300	19875	\N	\N	\N
677251	2313	1995-11-29	PRIJEM	VKLAD	400	25138	\N	\N	\N
677252	2313	1995-12-29	VYDAJ	VYBER	7600	28208	\N	\N	\N
677253	2313	1996-01-28	VYDAJ	VYBER	1800	21124	\N	\N	\N
677254	2313	1996-02-27	VYDAJ	VYBER	1700	24316	\N	\N	\N
677255	2313	1996-03-28	VYDAJ	VYBER	700	23100	\N	\N	\N
677256	2313	1996-04-27	VYDAJ	VYBER	1000	26984	\N	\N	\N
677257	2313	1996-05-27	VYDAJ	VYBER	3300	26777	\N	\N	\N
677258	2313	1996-06-26	VYDAJ	VYBER	9100	28373	\N	\N	\N
677259	2313	1996-07-26	VYDAJ	VYBER	3900	29392	\N	\N	\N
677260	2313	1996-08-25	VYDAJ	VYBER	4200	26146	\N	\N	\N
677261	2313	1996-09-24	VYDAJ	VYBER	2900	28145	\N	\N	\N
677262	2313	1996-10-24	VYDAJ	VYBER	1900	31148	\N	\N	\N
677263	2313	1996-11-23	PRIJEM	VKLAD	500	36560	\N	\N	\N
677264	2313	1996-12-23	PRIJEM	VKLAD	100	30277	\N	\N	\N
677265	2313	1997-01-22	PRIJEM	VKLAD	9600	26216	\N	\N	\N
677266	2313	1997-02-21	PRIJEM	VKLAD	10200	36792	\N	\N	\N
677267	2313	1997-03-23	PRIJEM	VKLAD	1900	43590	\N	\N	\N
677268	2313	1997-04-22	PRIJEM	VKLAD	7200	36531	\N	\N	\N
677269	2313	1997-05-22	PRIJEM	VKLAD	4200	32834	\N	\N	\N
677270	2313	1997-06-21	VYDAJ	VYBER	3200	37925	\N	\N	\N
677271	2313	1997-07-21	VYDAJ	VYBER	1500	41369	\N	\N	\N
677272	2313	1997-08-20	PRIJEM	VKLAD	3200	36426	\N	\N	\N
677273	2313	1997-09-19	PRIJEM	VKLAD	2500	43861	\N	\N	\N
677274	2313	1997-10-19	PRIJEM	VKLAD	3100	38711	\N	\N	\N
677275	2313	1997-11-18	PRIJEM	VKLAD	1300	44941	\N	\N	\N
677276	2313	1997-12-18	PRIJEM	VKLAD	10400	63690	\N	\N	\N
677277	2313	1998-01-17	PRIJEM	VKLAD	13500	36390	\N	\N	\N
677278	2313	1998-02-16	PRIJEM	VKLAD	7700	36696	\N	\N	\N
677279	2313	1998-03-18	VYDAJ	VYBER	300	41307	\N	\N	\N
677280	2313	1998-04-17	PRIJEM	VKLAD	2400	39054	\N	\N	\N
677281	2313	1998-05-17	PRIJEM	VKLAD	400	34199	\N	\N	\N
677282	2313	1998-06-16	PRIJEM	VKLAD	2100	34606	\N	\N	\N
677283	2313	1998-07-16	PRIJEM	VKLAD	1700	38526	\N	\N	\N
677284	2313	1998-08-15	VYDAJ	VYBER	900	42562	\N	\N	\N
677285	2313	1998-09-14	PRIJEM	VKLAD	3200	38833	\N	\N	\N
677286	2313	1998-10-14	PRIJEM	VKLAD	1200	32661	\N	\N	\N
677287	2313	1998-11-13	PRIJEM	VKLAD	1800	31011	\N	\N	\N
677288	2313	1998-12-13	VYDAJ	VYBER	400	37395	\N	\N	\N
677357	2314	1996-09-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
677367	2314	1996-10-05	PRIJEM	VKLAD	12654	13754	\N	\N	\N
677368	2314	1996-11-05	PRIJEM	VKLAD	12654	31070	\N	\N	\N
677369	2314	1996-12-05	PRIJEM	VKLAD	18981	48967	\N	\N	\N
677370	2314	1997-01-05	PRIJEM	VKLAD	12654	50373	\N	\N	\N
677371	2314	1997-02-05	PRIJEM	VKLAD	12654	43376	\N	\N	\N
677372	2314	1997-03-05	PRIJEM	VKLAD	12654	56191	\N	\N	\N
677373	2314	1997-04-05	PRIJEM	VKLAD	12654	50291	\N	\N	\N
677374	2314	1997-05-05	PRIJEM	VKLAD	12654	51892	\N	\N	\N
677375	2314	1997-06-05	PRIJEM	VKLAD	18981	49019	\N	\N	\N
677376	2314	1997-07-05	PRIJEM	VKLAD	12654	40735	\N	\N	\N
677377	2314	1997-08-05	PRIJEM	VKLAD	12654	42937	\N	\N	\N
677378	2314	1997-09-05	PRIJEM	VKLAD	12654	42153	\N	\N	\N
677379	2314	1997-10-05	PRIJEM	VKLAD	12654	42468	\N	\N	\N
677380	2314	1997-11-05	PRIJEM	VKLAD	12654	37984	\N	\N	\N
677381	2314	1997-12-05	PRIJEM	VKLAD	18981	42508	\N	\N	\N
677382	2314	1998-01-05	PRIJEM	VKLAD	12654	34213	\N	\N	\N
677383	2314	1998-02-05	PRIJEM	VKLAD	12654	28863	\N	\N	\N
677384	2314	1998-03-05	PRIJEM	VKLAD	12654	36471	\N	\N	\N
677385	2314	1998-04-05	PRIJEM	VKLAD	12654	36456	\N	\N	\N
677386	2314	1998-05-05	PRIJEM	VKLAD	12654	35838	\N	\N	\N
677387	2314	1998-06-05	PRIJEM	VKLAD	18981	45701	\N	\N	\N
677388	2314	1998-07-05	PRIJEM	VKLAD	12654	41262	\N	\N	\N
677389	2314	1998-08-05	PRIJEM	VKLAD	12654	41720	\N	\N	\N
677390	2314	1998-09-05	PRIJEM	VKLAD	12654	46483	\N	\N	\N
677391	2314	1998-10-05	PRIJEM	VKLAD	12654	52066	\N	\N	\N
677392	2314	1998-11-05	PRIJEM	VKLAD	12654	54480	\N	\N	\N
677393	2314	1998-12-05	PRIJEM	VKLAD	18981	67024	\N	\N	\N
677395	2314	1997-06-20	VYDAJ	VYBER	14400	34619	\N	\N	\N
677396	2314	1998-06-22	VYDAJ	VYBER	8300	37401	\N	\N	\N
677399	2314	1998-01-07	VYDAJ	VYBER	4100	30113	\N	\N	\N
677401	2314	1997-12-20	VYDAJ	VYBER	2900	39608	\N	\N	\N
677402	2314	1998-12-30	VYDAJ	VYBER	2900	46524	\N	\N	\N
677415	2314	1998-01-16	VYDAJ	VYBER	2700	23313	\N	\N	\N
677416	2314	1998-01-13	VYDAJ	VYBER	1700	28413	\N	\N	\N
677417	2314	1998-01-17	VYDAJ	VYBER	1800	20613	\N	\N	\N
677418	2314	1998-01-30	VYDAJ	VYBER	2300	18313	\N	\N	\N
677419	2314	1998-01-13	VYDAJ	VYBER	1100	27313	\N	\N	\N
677420	2314	1998-01-17	VYDAJ	VYBER	900	22413	\N	\N	\N
677427	2314	1997-07-25	VYDAJ	VYBER	3300	37435	\N	\N	\N
677428	2314	1997-12-26	VYDAJ	VYBER	4500	35108	\N	\N	\N
677429	2314	1997-11-21	VYDAJ	VYBER	2100	35884	\N	\N	\N
677430	2314	1998-08-29	VYDAJ	VYBER	1100	33720	\N	\N	\N
677431	2314	1998-01-14	VYDAJ	VYBER	1300	26013	\N	\N	\N
677432	2314	1998-04-27	VYDAJ	VYBER	4600	31856	\N	\N	\N
677433	2314	1998-10-20	VYDAJ	VYBER	1700	50366	\N	\N	\N
677434	2314	1998-04-03	VYDAJ	VYBER	2000	23802	\N	\N	\N
677435	2314	1998-12-22	VYDAJ	VYBER	4000	63024	\N	\N	\N
677450	2314	1997-02-28	VYDAJ	VYBER	15	43537	SLUZBY	\N	\N
677451	2314	1997-03-31	VYDAJ	VYBER	15	37637	SLUZBY	\N	\N
677452	2314	1997-04-30	VYDAJ	VYBER	15	39238	SLUZBY	\N	\N
677453	2314	1997-05-31	VYDAJ	VYBER	15	38438	SLUZBY	\N	\N
677454	2314	1997-06-30	VYDAJ	VYBER	15	34781	SLUZBY	\N	\N
677455	2314	1997-07-31	VYDAJ	VYBER	15	37583	SLUZBY	\N	\N
677456	2314	1997-08-31	VYDAJ	VYBER	15	43099	SLUZBY	\N	\N
677457	2314	1997-09-30	VYDAJ	VYBER	15	42314	SLUZBY	\N	\N
677458	2314	1997-10-31	VYDAJ	VYBER	15	42630	SLUZBY	\N	\N
677459	2314	1997-11-30	VYDAJ	VYBER	15	36027	SLUZBY	\N	\N
677460	2314	1997-12-31	VYDAJ	VYBER	15	35259	SLUZBY	\N	\N
677461	2314	1998-01-31	VYDAJ	VYBER	15	16209	SLUZBY	\N	\N
677462	2314	1998-02-28	VYDAJ	VYBER	15	28917	SLUZBY	\N	\N
677463	2314	1998-03-31	VYDAJ	VYBER	15	25802	SLUZBY	\N	\N
677464	2314	1998-04-30	VYDAJ	VYBER	15	31984	SLUZBY	\N	\N
677465	2314	1998-05-31	VYDAJ	VYBER	15	26720	SLUZBY	\N	\N
677466	2314	1998-06-30	VYDAJ	VYBER	15	28608	SLUZBY	\N	\N
677467	2314	1998-07-31	VYDAJ	VYBER	15	29066	SLUZBY	\N	\N
677468	2314	1998-08-31	VYDAJ	VYBER	15	33829	SLUZBY	\N	\N
677469	2314	1998-09-30	VYDAJ	VYBER	15	39412	SLUZBY	\N	\N
677470	2314	1998-10-31	VYDAJ	VYBER	15	41826	SLUZBY	\N	\N
677471	2314	1998-11-30	VYDAJ	VYBER	15	48043	SLUZBY	\N	\N
677472	2314	1996-10-07	PRIJEM	VKLAD	4600	18354	\N	\N	\N
677473	2314	1996-11-06	VYDAJ	VYBER	1200	29870	\N	\N	\N
677474	2314	1996-12-06	VYDAJ	VYBER	11400	37567	\N	\N	\N
677475	2314	1997-01-05	VYDAJ	VYBER	14800	35573	\N	\N	\N
677476	2314	1997-02-04	VYDAJ	VYBER	5000	30722	\N	\N	\N
677477	2314	1997-03-06	VYDAJ	VYBER	18700	37491	\N	\N	\N
677478	2314	1997-04-05	VYDAJ	VYBER	11200	39091	\N	\N	\N
677479	2314	1997-05-05	VYDAJ	VYBER	13600	38292	\N	\N	\N
677480	2314	1997-06-04	VYDAJ	VYBER	8400	30038	\N	\N	\N
677481	2314	1997-07-04	VYDAJ	VYBER	6700	28081	\N	\N	\N
677482	2314	1997-08-03	VYDAJ	VYBER	7300	30283	\N	\N	\N
677483	2314	1997-09-02	VYDAJ	VYBER	13600	29499	\N	\N	\N
677484	2314	1997-10-02	VYDAJ	VYBER	12500	29814	\N	\N	\N
677485	2314	1997-11-01	VYDAJ	VYBER	17300	25330	\N	\N	\N
677486	2314	1997-12-01	VYDAJ	VYBER	12500	23527	\N	\N	\N
677487	2314	1997-12-31	VYDAJ	VYBER	13700	21559	\N	\N	\N
677488	2314	1998-01-30	VYDAJ	VYBER	2200	16113	\N	\N	\N
677489	2314	1998-03-01	VYDAJ	VYBER	5100	23817	\N	\N	\N
677490	2314	1998-03-31	VYDAJ	VYBER	10800	25817	\N	\N	\N
677491	2314	1998-04-30	VYDAJ	VYBER	8800	23184	\N	\N	\N
677492	2314	1998-05-30	VYDAJ	VYBER	9200	26638	\N	\N	\N
677493	2314	1998-06-29	VYDAJ	VYBER	8900	28501	\N	\N	\N
677494	2314	1998-07-29	VYDAJ	VYBER	12300	28962	\N	\N	\N
677495	2314	1998-08-28	VYDAJ	VYBER	6900	34820	\N	\N	\N
677496	2314	1998-09-27	VYDAJ	VYBER	7200	39283	\N	\N	\N
677497	2314	1998-10-27	VYDAJ	VYBER	8700	41666	\N	\N	\N
677498	2314	1998-11-26	VYDAJ	VYBER	6600	47880	\N	\N	\N
677499	2314	1998-12-26	VYDAJ	VYBER	13600	49424	\N	\N	\N
677527	2315	1994-02-13	PRIJEM	VKLAD	900	900	\N	\N	\N
677530	2315	1994-03-10	PRIJEM	PREVOD Z UCTU	4439	5339	DUCHOD	GH	19011515
677531	2315	1994-04-10	PRIJEM	PREVOD Z UCTU	4439	9778	DUCHOD	GH	19011515
677532	2315	1994-05-10	PRIJEM	PREVOD Z UCTU	4439	14217	DUCHOD	GH	19011515
677533	2315	1994-06-10	PRIJEM	PREVOD Z UCTU	4439	18656	DUCHOD	GH	19011515
677534	2315	1994-07-10	PRIJEM	PREVOD Z UCTU	4439	23095	DUCHOD	GH	19011515
677535	2315	1994-08-10	PRIJEM	PREVOD Z UCTU	4439	25910	DUCHOD	GH	19011515
677536	2315	1994-09-10	PRIJEM	PREVOD Z UCTU	4439	28759	DUCHOD	GH	19011515
677537	2315	1994-10-10	PRIJEM	PREVOD Z UCTU	4439	28611	DUCHOD	GH	19011515
677538	2315	1994-11-10	PRIJEM	PREVOD Z UCTU	4439	31472	DUCHOD	GH	19011515
677539	2315	1994-12-10	PRIJEM	PREVOD Z UCTU	4439	31034	DUCHOD	GH	19011515
677540	2315	1995-01-10	PRIJEM	PREVOD Z UCTU	4439	30363	DUCHOD	GH	19011515
677541	2315	1995-02-10	PRIJEM	PREVOD Z UCTU	4439	26427	DUCHOD	GH	19011515
677542	2315	1995-03-10	PRIJEM	PREVOD Z UCTU	4439	26956	DUCHOD	GH	19011515
677543	2315	1995-04-10	PRIJEM	PREVOD Z UCTU	4439	29809	DUCHOD	GH	19011515
677544	2315	1995-05-10	PRIJEM	PREVOD Z UCTU	4439	31979	DUCHOD	GH	19011515
677545	2315	1995-06-10	PRIJEM	PREVOD Z UCTU	4439	32704	DUCHOD	GH	19011515
677546	2315	1995-07-10	PRIJEM	PREVOD Z UCTU	4439	33584	DUCHOD	GH	19011515
677547	2315	1995-08-10	PRIJEM	PREVOD Z UCTU	4439	34784	DUCHOD	GH	19011515
677548	2315	1995-09-10	PRIJEM	PREVOD Z UCTU	4439	37470	DUCHOD	GH	19011515
677549	2315	1995-10-10	PRIJEM	PREVOD Z UCTU	4439	34867	DUCHOD	GH	19011515
677550	2315	1995-11-10	PRIJEM	PREVOD Z UCTU	4439	34556	DUCHOD	GH	19011515
677551	2315	1995-12-10	PRIJEM	PREVOD Z UCTU	4439	37446	DUCHOD	GH	19011515
677552	2315	1996-01-10	PRIJEM	PREVOD Z UCTU	4439	32038	DUCHOD	GH	19011515
677553	2315	1996-02-10	PRIJEM	PREVOD Z UCTU	4439	31472	DUCHOD	GH	19011515
677554	2315	1996-03-10	PRIJEM	PREVOD Z UCTU	4439	33949	DUCHOD	GH	19011515
677555	2315	1996-04-10	PRIJEM	PREVOD Z UCTU	4439	36831	DUCHOD	GH	19011515
677556	2315	1996-05-10	PRIJEM	PREVOD Z UCTU	4439	39725	DUCHOD	GH	19011515
677557	2315	1996-06-10	PRIJEM	PREVOD Z UCTU	4439	29799	DUCHOD	GH	19011515
677558	2315	1996-07-10	PRIJEM	PREVOD Z UCTU	4439	32674	DUCHOD	GH	19011515
677559	2315	1996-08-10	PRIJEM	PREVOD Z UCTU	4439	35556	DUCHOD	GH	19011515
677560	2315	1996-09-10	PRIJEM	PREVOD Z UCTU	4439	38449	DUCHOD	GH	19011515
677561	2315	1996-10-10	PRIJEM	PREVOD Z UCTU	4439	41355	DUCHOD	GH	19011515
677562	2315	1996-11-10	PRIJEM	PREVOD Z UCTU	4439	44272	DUCHOD	GH	19011515
677563	2315	1996-12-10	PRIJEM	PREVOD Z UCTU	4439	47201	DUCHOD	GH	19011515
677564	2315	1997-01-10	PRIJEM	PREVOD Z UCTU	4439	45234	DUCHOD	GH	19011515
677565	2315	1997-02-10	PRIJEM	PREVOD Z UCTU	4439	43758	DUCHOD	GH	19011515
677566	2315	1997-03-10	PRIJEM	PREVOD Z UCTU	4439	46684	DUCHOD	GH	19011515
677567	2315	1997-04-10	PRIJEM	PREVOD Z UCTU	4439	49624	DUCHOD	GH	19011515
677568	2315	1997-05-10	PRIJEM	PREVOD Z UCTU	4439	51874	DUCHOD	GH	19011515
677569	2315	1997-06-10	PRIJEM	PREVOD Z UCTU	4439	50143	DUCHOD	GH	19011515
677570	2315	1997-07-10	PRIJEM	PREVOD Z UCTU	4439	39836	DUCHOD	GH	19011515
677571	2315	1997-08-10	PRIJEM	PREVOD Z UCTU	4439	40739	DUCHOD	GH	19011515
677572	2315	1997-09-10	PRIJEM	PREVOD Z UCTU	4439	41167	DUCHOD	GH	19011515
677573	2315	1997-10-10	PRIJEM	PREVOD Z UCTU	4439	44078	DUCHOD	GH	19011515
677574	2315	1997-11-10	PRIJEM	PREVOD Z UCTU	4439	43876	DUCHOD	GH	19011515
677575	2315	1997-12-10	PRIJEM	PREVOD Z UCTU	4439	42395	DUCHOD	GH	19011515
677576	2315	1998-01-10	PRIJEM	PREVOD Z UCTU	4439	42997	DUCHOD	GH	19011515
677577	2315	1998-02-10	PRIJEM	PREVOD Z UCTU	4439	35416	DUCHOD	GH	19011515
677578	2315	1998-03-10	PRIJEM	PREVOD Z UCTU	4439	37100	DUCHOD	GH	19011515
677579	2315	1998-04-10	PRIJEM	PREVOD Z UCTU	4439	38078	DUCHOD	GH	19011515
677580	2315	1998-05-10	PRIJEM	PREVOD Z UCTU	4439	37216	DUCHOD	GH	19011515
677581	2315	1998-06-10	PRIJEM	PREVOD Z UCTU	4439	28465	DUCHOD	GH	19011515
677582	2315	1998-07-10	PRIJEM	PREVOD Z UCTU	4439	31341	DUCHOD	GH	19011515
677583	2315	1998-08-10	PRIJEM	PREVOD Z UCTU	4439	34215	DUCHOD	GH	19011515
677584	2315	1998-09-10	PRIJEM	PREVOD Z UCTU	4439	37101	DUCHOD	GH	19011515
677585	2315	1998-10-10	PRIJEM	PREVOD Z UCTU	4439	38894	DUCHOD	GH	19011515
677586	2315	1998-11-10	PRIJEM	PREVOD Z UCTU	4439	39691	DUCHOD	GH	19011515
677587	2315	1998-12-10	PRIJEM	PREVOD Z UCTU	4439	40792	DUCHOD	GH	19011515
677594	2315	1994-07-10	VYDAJ	PREVOD NA UCET	1673	21422	SIPO	WX	82363116
677595	2315	1994-08-10	VYDAJ	PREVOD NA UCET	1673	24237	SIPO	WX	82363116
677596	2315	1994-09-10	VYDAJ	PREVOD NA UCET	1673	27086	SIPO	WX	82363116
677597	2315	1994-10-10	VYDAJ	PREVOD NA UCET	1673	26938	SIPO	WX	82363116
677598	2315	1994-11-10	VYDAJ	PREVOD NA UCET	1673	29799	SIPO	WX	82363116
677599	2315	1994-12-10	VYDAJ	PREVOD NA UCET	1673	29361	SIPO	WX	82363116
677600	2315	1995-01-10	VYDAJ	PREVOD NA UCET	1673	28690	SIPO	WX	82363116
677601	2315	1995-02-10	VYDAJ	PREVOD NA UCET	1673	24754	SIPO	WX	82363116
677602	2315	1995-03-10	VYDAJ	PREVOD NA UCET	1673	25283	SIPO	WX	82363116
677603	2315	1995-04-10	VYDAJ	PREVOD NA UCET	1673	28136	SIPO	WX	82363116
677604	2315	1995-05-10	VYDAJ	PREVOD NA UCET	1673	30306	SIPO	WX	82363116
677605	2315	1995-06-10	VYDAJ	PREVOD NA UCET	1673	31031	SIPO	WX	82363116
677606	2315	1995-07-10	VYDAJ	PREVOD NA UCET	1673	31911	SIPO	WX	82363116
677607	2315	1995-08-10	VYDAJ	PREVOD NA UCET	1673	33111	SIPO	WX	82363116
677608	2315	1995-09-10	VYDAJ	PREVOD NA UCET	1673	35797	SIPO	WX	82363116
677609	2315	1995-10-10	VYDAJ	PREVOD NA UCET	1673	33194	SIPO	WX	82363116
677610	2315	1995-11-10	VYDAJ	PREVOD NA UCET	1673	32883	SIPO	WX	82363116
677611	2315	1995-12-10	VYDAJ	PREVOD NA UCET	1673	35773	SIPO	WX	82363116
677612	2315	1996-01-10	VYDAJ	PREVOD NA UCET	1673	29405	SIPO	WX	82363116
677613	2315	1996-02-10	VYDAJ	PREVOD NA UCET	1673	29799	SIPO	WX	82363116
677614	2315	1996-03-10	VYDAJ	PREVOD NA UCET	1673	32276	SIPO	WX	82363116
677615	2315	1996-04-10	VYDAJ	PREVOD NA UCET	1673	35158	SIPO	WX	82363116
677616	2315	1996-05-10	VYDAJ	PREVOD NA UCET	1673	38052	SIPO	WX	82363116
677617	2315	1996-06-10	VYDAJ	PREVOD NA UCET	1673	28126	SIPO	WX	82363116
677618	2315	1996-07-10	VYDAJ	PREVOD NA UCET	1673	31001	SIPO	WX	82363116
677619	2315	1996-08-10	VYDAJ	PREVOD NA UCET	1673	33883	SIPO	WX	82363116
677620	2315	1996-09-10	VYDAJ	PREVOD NA UCET	1673	36776	SIPO	WX	82363116
677621	2315	1996-10-10	VYDAJ	PREVOD NA UCET	1673	39682	SIPO	WX	82363116
677622	2315	1996-11-10	VYDAJ	PREVOD NA UCET	1673	42599	SIPO	WX	82363116
677623	2315	1996-12-10	VYDAJ	PREVOD NA UCET	1673	45528	SIPO	WX	82363116
677624	2315	1997-01-10	VYDAJ	PREVOD NA UCET	1673	43561	SIPO	WX	82363116
677625	2315	1997-02-10	VYDAJ	PREVOD NA UCET	1673	42085	SIPO	WX	82363116
677626	2315	1997-03-10	VYDAJ	PREVOD NA UCET	1673	45011	SIPO	WX	82363116
677627	2315	1997-04-10	VYDAJ	PREVOD NA UCET	1673	47951	SIPO	WX	82363116
677628	2315	1997-05-10	VYDAJ	PREVOD NA UCET	1673	50201	SIPO	WX	82363116
677629	2315	1997-06-10	VYDAJ	PREVOD NA UCET	1673	48470	SIPO	WX	82363116
677630	2315	1997-07-10	VYDAJ	PREVOD NA UCET	1673	38163	SIPO	WX	82363116
677631	2315	1997-08-10	VYDAJ	PREVOD NA UCET	1673	39066	SIPO	WX	82363116
677632	2315	1997-09-10	VYDAJ	PREVOD NA UCET	1673	39494	SIPO	WX	82363116
677633	2315	1997-10-10	VYDAJ	PREVOD NA UCET	1673	42405	SIPO	WX	82363116
677634	2315	1997-11-10	VYDAJ	PREVOD NA UCET	1673	42203	SIPO	WX	82363116
677635	2315	1997-12-10	VYDAJ	PREVOD NA UCET	1673	40722	SIPO	WX	82363116
677636	2315	1998-01-10	VYDAJ	PREVOD NA UCET	1673	41324	SIPO	WX	82363116
677637	2315	1998-02-10	VYDAJ	PREVOD NA UCET	1673	33743	SIPO	WX	82363116
677638	2315	1998-03-10	VYDAJ	PREVOD NA UCET	1673	35427	SIPO	WX	82363116
677639	2315	1998-04-10	VYDAJ	PREVOD NA UCET	1673	36405	SIPO	WX	82363116
677640	2315	1998-05-10	VYDAJ	PREVOD NA UCET	1673	35543	SIPO	WX	82363116
677641	2315	1998-06-10	VYDAJ	PREVOD NA UCET	1673	26792	SIPO	WX	82363116
677642	2315	1998-07-10	VYDAJ	PREVOD NA UCET	1673	29668	SIPO	WX	82363116
677643	2315	1998-08-10	VYDAJ	PREVOD NA UCET	1673	32542	SIPO	WX	82363116
677644	2315	1998-09-10	VYDAJ	PREVOD NA UCET	1673	35428	SIPO	WX	82363116
677645	2315	1998-10-10	VYDAJ	PREVOD NA UCET	1673	37221	SIPO	WX	82363116
677646	2315	1998-11-10	VYDAJ	PREVOD NA UCET	1673	38018	SIPO	WX	82363116
677647	2315	1998-12-10	VYDAJ	PREVOD NA UCET	1673	39119	SIPO	WX	82363116
677649	2315	1995-06-08	VYDAJ	VYBER	2150	28265	\N	\N	\N
677650	2315	1996-06-05	VYDAJ	VYBER	10750	25360	\N	\N	\N
677651	2315	1997-06-28	VYDAJ	VYBER	12950	35220	\N	\N	\N
677652	2315	1998-06-01	VYDAJ	VYBER	11650	24026	\N	\N	\N
677653	2315	1994-12-22	VYDAJ	VYBER	1300	28061	\N	\N	\N
677654	2315	1995-12-16	VYDAJ	VYBER	300	35473	\N	\N	\N
677655	2315	1996-12-23	VYDAJ	VYBER	500	42148	\N	\N	\N
677656	2315	1997-12-03	VYDAJ	VYBER	400	39316	\N	\N	\N
677657	2315	1998-12-16	VYDAJ	VYBER	500	38619	\N	\N	\N
677664	2315	1995-01-11	VYDAJ	VYBER	880	27810	\N	\N	\N
677665	2315	1995-01-07	VYDAJ	VYBER	800	25924	\N	\N	\N
677666	2315	1995-01-05	VYDAJ	VYBER	1440	26724	\N	\N	\N
677667	2315	1995-01-29	VYDAJ	VYBER	880	25730	\N	\N	\N
677668	2315	1995-01-30	VYDAJ	VYBER	2320	23410	\N	\N	\N
677669	2315	1995-01-22	VYDAJ	VYBER	1200	26610	\N	\N	\N
677670	2315	1996-01-20	VYDAJ	VYBER	960	28445	\N	\N	\N
677671	2315	1996-01-09	VYDAJ	VYBER	2080	27599	\N	\N	\N
677672	2315	1996-01-07	VYDAJ	VYBER	480	29679	\N	\N	\N
677673	2315	1996-01-01	VYDAJ	VYBER	2240	31119	\N	\N	\N
677674	2315	1996-01-10	VYDAJ	VYBER	960	31078	\N	\N	\N
677675	2315	1996-01-05	VYDAJ	VYBER	960	30159	\N	\N	\N
677676	2315	1997-01-20	VYDAJ	VYBER	1200	40201	\N	\N	\N
677677	2315	1997-01-13	VYDAJ	VYBER	1360	42201	\N	\N	\N
677678	2315	1997-01-20	VYDAJ	VYBER	800	41401	\N	\N	\N
677679	2315	1997-01-02	VYDAJ	VYBER	1520	40795	\N	\N	\N
677680	2315	1997-01-23	VYDAJ	VYBER	640	39561	\N	\N	\N
677681	2315	1997-01-24	VYDAJ	VYBER	400	39161	\N	\N	\N
677682	2315	1998-01-12	VYDAJ	VYBER	2320	38524	\N	\N	\N
677683	2315	1998-01-11	VYDAJ	VYBER	480	40844	\N	\N	\N
677684	2315	1998-01-18	VYDAJ	VYBER	1680	33484	\N	\N	\N
677685	2315	1998-01-02	VYDAJ	VYBER	2320	38558	\N	\N	\N
677686	2315	1998-01-26	VYDAJ	VYBER	880	30844	\N	\N	\N
677687	2315	1998-01-21	VYDAJ	VYBER	400	33084	\N	\N	\N
677691	2315	1995-12-18	VYDAJ	VYBER	2240	33233	\N	\N	\N
677692	2315	1995-02-09	VYDAJ	VYBER	1520	21988	\N	\N	\N
677693	2315	1995-07-18	VYDAJ	VYBER	1680	30231	\N	\N	\N
677694	2315	1995-02-14	VYDAJ	VYBER	2320	22434	\N	\N	\N
677695	2315	1995-10-23	VYDAJ	VYBER	3200	29994	\N	\N	\N
677696	2315	1996-01-21	VYDAJ	VYBER	1520	26925	\N	\N	\N
677697	2315	1996-05-15	VYDAJ	VYBER	1680	36372	\N	\N	\N
677698	2315	1996-12-22	VYDAJ	VYBER	2880	42648	\N	\N	\N
677699	2315	1997-05-12	VYDAJ	VYBER	2400	47801	\N	\N	\N
677700	2315	1997-12-03	VYDAJ	VYBER	1360	37956	\N	\N	\N
677701	2315	1997-11-17	VYDAJ	VYBER	2640	39563	\N	\N	\N
677702	2315	1997-05-29	VYDAJ	VYBER	1680	45521	\N	\N	\N
677703	2315	1997-08-29	VYDAJ	VYBER	2480	36586	\N	\N	\N
677704	2315	1997-07-21	VYDAJ	VYBER	2000	36163	\N	\N	\N
677705	2315	1997-10-19	VYDAJ	VYBER	3120	39285	\N	\N	\N
677706	2315	1998-02-12	VYDAJ	VYBER	1200	32543	\N	\N	\N
677707	2315	1998-04-27	VYDAJ	VYBER	3760	32645	\N	\N	\N
677708	2315	1998-01-25	VYDAJ	VYBER	1360	31724	\N	\N	\N
677709	2315	1998-01-12	VYDAJ	VYBER	3360	35164	\N	\N	\N
677710	2315	1998-04-05	VYDAJ	VYBER	1920	33639	\N	\N	\N
677718	2315	1994-07-31	VYDAJ	VYBER	15	21471	SLUZBY	\N	\N
677719	2315	1994-08-31	VYDAJ	VYBER	15	24320	SLUZBY	\N	\N
677720	2315	1994-09-30	VYDAJ	VYBER	15	24172	SLUZBY	\N	\N
677721	2315	1994-10-31	VYDAJ	VYBER	15	27033	SLUZBY	\N	\N
677722	2315	1994-11-30	VYDAJ	VYBER	15	26595	SLUZBY	\N	\N
677723	2315	1994-12-31	VYDAJ	VYBER	15	28164	SLUZBY	\N	\N
677724	2315	1995-01-31	VYDAJ	VYBER	15	23508	SLUZBY	\N	\N
677725	2315	1995-02-28	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
677726	2315	1995-03-31	VYDAJ	VYBER	15	25370	SLUZBY	\N	\N
677727	2315	1995-04-30	VYDAJ	VYBER	15	28240	SLUZBY	\N	\N
677728	2315	1995-05-31	VYDAJ	VYBER	15	30415	SLUZBY	\N	\N
677729	2315	1995-06-30	VYDAJ	VYBER	15	31145	SLUZBY	\N	\N
677730	2315	1995-07-31	VYDAJ	VYBER	15	30345	SLUZBY	\N	\N
677731	2315	1995-08-31	VYDAJ	VYBER	15	33231	SLUZBY	\N	\N
677732	2315	1995-09-30	VYDAJ	VYBER	15	35928	SLUZBY	\N	\N
677733	2315	1995-10-31	VYDAJ	VYBER	15	30117	SLUZBY	\N	\N
677734	2315	1995-11-30	VYDAJ	VYBER	15	33007	SLUZBY	\N	\N
677735	2315	1995-12-31	VYDAJ	VYBER	15	33359	SLUZBY	\N	\N
677736	2315	1996-01-31	VYDAJ	VYBER	15	27033	SLUZBY	\N	\N
677737	2315	1996-02-29	VYDAJ	VYBER	15	29910	SLUZBY	\N	\N
677738	2315	1996-03-31	VYDAJ	VYBER	15	32392	SLUZBY	\N	\N
677739	2315	1996-04-30	VYDAJ	VYBER	15	35286	SLUZBY	\N	\N
677740	2315	1996-05-31	VYDAJ	VYBER	15	36510	SLUZBY	\N	\N
677741	2315	1996-06-30	VYDAJ	VYBER	15	28235	SLUZBY	\N	\N
677742	2315	1996-07-31	VYDAJ	VYBER	15	31117	SLUZBY	\N	\N
677743	2315	1996-08-31	VYDAJ	VYBER	15	34010	SLUZBY	\N	\N
677744	2315	1996-09-30	VYDAJ	VYBER	15	36916	SLUZBY	\N	\N
677745	2315	1996-10-31	VYDAJ	VYBER	15	39833	SLUZBY	\N	\N
677746	2315	1996-11-30	VYDAJ	VYBER	15	42762	SLUZBY	\N	\N
677747	2315	1996-12-31	VYDAJ	VYBER	15	42315	SLUZBY	\N	\N
677748	2315	1997-01-31	VYDAJ	VYBER	15	39319	SLUZBY	\N	\N
677749	2315	1997-02-28	VYDAJ	VYBER	15	42245	SLUZBY	\N	\N
677750	2315	1997-03-31	VYDAJ	VYBER	15	45185	SLUZBY	\N	\N
677751	2315	1997-04-30	VYDAJ	VYBER	15	47435	SLUZBY	\N	\N
677752	2315	1997-05-31	VYDAJ	VYBER	15	45704	SLUZBY	\N	\N
677753	2315	1997-06-30	VYDAJ	VYBER	15	35397	SLUZBY	\N	\N
677754	2315	1997-07-31	VYDAJ	VYBER	15	36300	SLUZBY	\N	\N
677755	2315	1997-08-31	VYDAJ	VYBER	15	36728	SLUZBY	\N	\N
677756	2315	1997-09-30	VYDAJ	VYBER	15	39639	SLUZBY	\N	\N
677757	2315	1997-10-31	VYDAJ	VYBER	15	39437	SLUZBY	\N	\N
677758	2315	1997-11-30	VYDAJ	VYBER	15	39716	SLUZBY	\N	\N
677759	2315	1997-12-31	VYDAJ	VYBER	15	40878	SLUZBY	\N	\N
677760	2315	1998-01-31	VYDAJ	VYBER	15	30977	SLUZBY	\N	\N
677761	2315	1998-02-28	VYDAJ	VYBER	15	32661	SLUZBY	\N	\N
677762	2315	1998-03-31	VYDAJ	VYBER	15	35559	SLUZBY	\N	\N
677763	2315	1998-04-30	VYDAJ	VYBER	15	32777	SLUZBY	\N	\N
677764	2315	1998-05-31	VYDAJ	VYBER	15	35676	SLUZBY	\N	\N
677765	2315	1998-06-30	VYDAJ	VYBER	15	26902	SLUZBY	\N	\N
677766	2315	1998-07-31	VYDAJ	VYBER	15	29776	SLUZBY	\N	\N
677767	2315	1998-08-31	VYDAJ	VYBER	15	32662	SLUZBY	\N	\N
677768	2315	1998-09-30	VYDAJ	VYBER	15	34455	SLUZBY	\N	\N
677769	2315	1998-10-31	VYDAJ	VYBER	15	35252	SLUZBY	\N	\N
677770	2315	1998-11-30	VYDAJ	VYBER	15	36353	SLUZBY	\N	\N
677771	2315	1994-09-11	VYDAJ	VYBER	3000	24086	\N	\N	\N
677772	2315	1994-11-10	VYDAJ	VYBER	3300	26499	\N	\N	\N
677773	2315	1995-05-09	VYDAJ	VYBER	700	27540	\N	\N	\N
677774	2315	1995-07-08	VYDAJ	VYBER	2000	29145	\N	\N	\N
677775	2315	1995-09-06	VYDAJ	VYBER	200	33031	\N	\N	\N
677776	2315	1995-10-06	VYDAJ	VYBER	5500	30428	\N	\N	\N
677777	2315	1996-03-04	VYDAJ	VYBER	400	29510	\N	\N	\N
677778	2315	1996-06-02	VYDAJ	VYBER	400	36110	\N	\N	\N
677779	2315	1997-04-28	VYDAJ	VYBER	700	47251	\N	\N	\N
677780	2315	1997-05-28	VYDAJ	VYBER	600	47201	\N	\N	\N
677781	2315	1997-06-27	VYDAJ	VYBER	300	48170	\N	\N	\N
677782	2315	1998-09-20	VYDAJ	VYBER	1100	34328	\N	\N	\N
677783	2315	1998-10-20	VYDAJ	VYBER	2100	35121	\N	\N	\N
677784	2315	1998-11-19	VYDAJ	VYBER	1800	36218	\N	\N	\N
677839	2316	1997-07-21	PRIJEM	VKLAD	600	600	\N	\N	\N
677847	2316	1997-08-07	PRIJEM	PREVOD Z UCTU	3190	3790	\N	QR	19271183
677848	2316	1997-09-07	PRIJEM	PREVOD Z UCTU	3190	21109	\N	QR	19271183
677849	2316	1997-10-07	PRIJEM	PREVOD Z UCTU	3190	27584	\N	QR	19271183
677850	2316	1997-11-07	PRIJEM	PREVOD Z UCTU	3190	30480	\N	QR	19271183
677851	2316	1997-12-07	PRIJEM	PREVOD Z UCTU	3190	30584	\N	QR	19271183
677852	2316	1998-01-07	PRIJEM	PREVOD Z UCTU	3190	24944	\N	QR	19271183
677853	2316	1998-02-07	PRIJEM	PREVOD Z UCTU	3190	24619	\N	QR	19271183
677854	2316	1998-03-07	PRIJEM	PREVOD Z UCTU	3190	27365	\N	QR	19271183
677855	2316	1998-04-07	PRIJEM	PREVOD Z UCTU	3190	30223	\N	QR	19271183
677856	2316	1998-05-07	PRIJEM	PREVOD Z UCTU	3190	28684	\N	QR	19271183
677857	2316	1998-06-07	PRIJEM	PREVOD Z UCTU	3190	28143	\N	QR	19271183
677858	2316	1998-07-07	PRIJEM	PREVOD Z UCTU	3190	25457	\N	QR	19271183
677859	2316	1998-08-07	PRIJEM	PREVOD Z UCTU	3190	25200	\N	QR	19271183
677860	2316	1998-09-07	PRIJEM	PREVOD Z UCTU	3190	26352	\N	QR	19271183
677861	2316	1998-10-07	PRIJEM	PREVOD Z UCTU	3190	31411	\N	QR	19271183
677862	2316	1998-11-07	PRIJEM	PREVOD Z UCTU	3190	31781	\N	QR	19271183
677863	2316	1998-12-07	PRIJEM	PREVOD Z UCTU	3190	30547	\N	QR	19271183
677875	2316	1997-12-10	VYDAJ	PREVOD NA UCET	2111	28466	SIPO	KL	64642989
677876	2316	1998-01-10	VYDAJ	PREVOD NA UCET	2111	22826	SIPO	KL	64642989
677877	2316	1998-02-10	VYDAJ	PREVOD NA UCET	2111	22508	SIPO	KL	64642989
677878	2316	1998-03-10	VYDAJ	PREVOD NA UCET	2111	25247	SIPO	KL	64642989
677879	2316	1998-04-10	VYDAJ	PREVOD NA UCET	2111	28112	SIPO	KL	64642989
677880	2316	1998-05-10	VYDAJ	PREVOD NA UCET	2111	26566	SIPO	KL	64642989
677881	2316	1998-06-10	VYDAJ	PREVOD NA UCET	2111	26032	SIPO	KL	64642989
677882	2316	1998-07-10	VYDAJ	PREVOD NA UCET	2111	23346	SIPO	KL	64642989
677883	2316	1998-08-10	VYDAJ	PREVOD NA UCET	2111	23082	SIPO	KL	64642989
677884	2316	1998-09-10	VYDAJ	PREVOD NA UCET	2111	24241	SIPO	KL	64642989
677885	2316	1998-10-10	VYDAJ	PREVOD NA UCET	2111	29300	SIPO	KL	64642989
677886	2316	1998-11-10	VYDAJ	PREVOD NA UCET	2111	29670	SIPO	KL	64642989
677887	2316	1998-12-10	VYDAJ	PREVOD NA UCET	2111	28436	SIPO	KL	64642989
677899	2316	1997-12-10	VYDAJ	PREVOD NA UCET	7	30577	 	IJ	96044265
677900	2316	1998-01-10	VYDAJ	PREVOD NA UCET	7	24937	 	IJ	96044265
677901	2316	1998-02-10	VYDAJ	PREVOD NA UCET	7	22501	 	IJ	96044265
677902	2316	1998-03-10	VYDAJ	PREVOD NA UCET	7	27358	 	IJ	96044265
677903	2316	1998-04-10	VYDAJ	PREVOD NA UCET	7	28105	 	IJ	96044265
677904	2316	1998-05-10	VYDAJ	PREVOD NA UCET	7	28677	 	IJ	96044265
677905	2316	1998-06-10	VYDAJ	PREVOD NA UCET	7	26025	 	IJ	96044265
677906	2316	1998-07-10	VYDAJ	PREVOD NA UCET	7	23339	 	IJ	96044265
677907	2316	1998-08-10	VYDAJ	PREVOD NA UCET	7	25193	 	IJ	96044265
677908	2316	1998-09-10	VYDAJ	PREVOD NA UCET	7	24234	 	IJ	96044265
677909	2316	1998-10-10	VYDAJ	PREVOD NA UCET	7	29293	 	IJ	96044265
677910	2316	1998-11-10	VYDAJ	PREVOD NA UCET	7	29663	 	IJ	96044265
677911	2316	1998-12-10	VYDAJ	PREVOD NA UCET	7	28429	 	IJ	96044265
677924	2316	1998-01-05	VYDAJ	PREVOD NA UCET	8	21754	 	MN	51700419
677925	2316	1998-02-05	VYDAJ	PREVOD NA UCET	8	21429	 	MN	51700419
677926	2316	1998-03-05	VYDAJ	PREVOD NA UCET	8	24175	 	MN	51700419
677927	2316	1998-04-05	VYDAJ	PREVOD NA UCET	8	27033	 	MN	51700419
677928	2316	1998-05-05	VYDAJ	PREVOD NA UCET	8	25494	 	MN	51700419
677929	2316	1998-06-05	VYDAJ	PREVOD NA UCET	8	24953	 	MN	51700419
677930	2316	1998-07-05	VYDAJ	PREVOD NA UCET	8	22267	 	MN	51700419
677931	2316	1998-08-05	VYDAJ	PREVOD NA UCET	8	22010	 	MN	51700419
677932	2316	1998-09-05	VYDAJ	PREVOD NA UCET	8	23162	 	MN	51700419
677933	2316	1998-10-05	VYDAJ	PREVOD NA UCET	8	28221	 	MN	51700419
677934	2316	1998-11-05	VYDAJ	PREVOD NA UCET	8	28591	 	MN	51700419
677935	2316	1998-12-05	VYDAJ	PREVOD NA UCET	8	27357	 	MN	51700419
677937	2316	1998-06-20	VYDAJ	VYBER	5430	22695	\N	\N	\N
677939	2316	1998-01-30	VYDAJ	VYBER	1740	21356	\N	\N	\N
677940	2316	1997-12-30	VYDAJ	VYBER	870	22896	\N	\N	\N
677941	2316	1998-12-21	VYDAJ	VYBER	240	27489	\N	\N	\N
677948	2316	1998-01-25	VYDAJ	VYBER	330	23096	\N	\N	\N
677949	2316	1998-01-16	VYDAJ	VYBER	180	22496	\N	\N	\N
677950	2316	1998-01-01	VYDAJ	VYBER	450	22542	\N	\N	\N
677951	2316	1998-01-04	VYDAJ	VYBER	780	21762	\N	\N	\N
677952	2316	1998-01-13	VYDAJ	VYBER	150	22676	\N	\N	\N
677953	2316	1998-01-19	VYDAJ	VYBER	270	23426	\N	\N	\N
677960	2316	1998-07-04	VYDAJ	VYBER	510	22275	\N	\N	\N
677973	2316	1997-12-31	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
677974	2316	1998-01-31	VYDAJ	VYBER	15	21437	SLUZBY	\N	\N
677975	2316	1998-02-28	VYDAJ	VYBER	15	24183	SLUZBY	\N	\N
677976	2316	1998-03-31	VYDAJ	VYBER	15	27041	SLUZBY	\N	\N
677977	2316	1998-04-30	VYDAJ	VYBER	15	25502	SLUZBY	\N	\N
677978	2316	1998-05-31	VYDAJ	VYBER	15	24961	SLUZBY	\N	\N
677979	2316	1998-06-30	VYDAJ	VYBER	15	22785	SLUZBY	\N	\N
677980	2316	1998-07-31	VYDAJ	VYBER	15	22018	SLUZBY	\N	\N
677981	2316	1998-08-31	VYDAJ	VYBER	15	23170	SLUZBY	\N	\N
677982	2316	1998-09-30	VYDAJ	VYBER	15	28229	SLUZBY	\N	\N
677983	2316	1998-10-31	VYDAJ	VYBER	15	28599	SLUZBY	\N	\N
677984	2316	1998-11-30	VYDAJ	VYBER	15	27365	SLUZBY	\N	\N
677985	2316	1997-08-20	PRIJEM	VKLAD	14100	17890	\N	\N	\N
677986	2316	1997-09-19	PRIJEM	VKLAD	3200	24309	\N	\N	\N
677987	2316	1997-10-19	VYDAJ	VYBER	400	27184	\N	\N	\N
677988	2316	1997-11-18	VYDAJ	VYBER	3200	27280	\N	\N	\N
677989	2316	1997-12-18	VYDAJ	VYBER	4700	23766	\N	\N	\N
677990	2316	1998-01-17	PRIJEM	VKLAD	1200	23696	\N	\N	\N
677991	2316	1998-02-16	PRIJEM	VKLAD	1600	24101	\N	\N	\N
677992	2316	1998-03-18	PRIJEM	VKLAD	1700	26947	\N	\N	\N
677993	2316	1998-04-17	VYDAJ	VYBER	2700	25405	\N	\N	\N
677994	2316	1998-05-17	VYDAJ	VYBER	1700	24866	\N	\N	\N
677995	2316	1998-06-16	PRIJEM	VKLAD	2100	28125	\N	\N	\N
677996	2316	1998-07-16	VYDAJ	VYBER	1400	21939	\N	\N	\N
677997	2316	1998-09-14	PRIJEM	VKLAD	3900	28134	\N	\N	\N
677998	2316	1998-10-14	VYDAJ	VYBER	800	28493	\N	\N	\N
677999	2316	1998-11-13	VYDAJ	VYBER	2400	27263	\N	\N	\N
678000	2316	1998-12-13	VYDAJ	VYBER	700	27729	\N	\N	\N
678018	2317	1997-08-28	PRIJEM	VKLAD	300	300	\N	\N	\N
678027	2317	1997-09-05	PRIJEM	PREVOD Z UCTU	5293	5593	DUCHOD	GH	21547478
678028	2317	1997-10-05	PRIJEM	PREVOD Z UCTU	5293	10886	DUCHOD	GH	21547478
678029	2317	1997-11-05	PRIJEM	PREVOD Z UCTU	5293	16179	DUCHOD	GH	21547478
678030	2317	1997-12-05	PRIJEM	PREVOD Z UCTU	5293	21472	DUCHOD	GH	21547478
678031	2317	1998-01-05	PRIJEM	PREVOD Z UCTU	5293	26765	DUCHOD	GH	21547478
678032	2317	1998-02-05	PRIJEM	PREVOD Z UCTU	5293	17668	DUCHOD	GH	21547478
678033	2317	1998-03-05	PRIJEM	PREVOD Z UCTU	5293	20328	DUCHOD	GH	21547478
678034	2317	1998-04-05	PRIJEM	PREVOD Z UCTU	5293	22994	DUCHOD	GH	21547478
678035	2317	1998-05-05	PRIJEM	PREVOD Z UCTU	5293	25110	DUCHOD	GH	21547478
678036	2317	1998-06-05	PRIJEM	PREVOD Z UCTU	5293	27802	DUCHOD	GH	21547478
678037	2317	1998-07-05	PRIJEM	PREVOD Z UCTU	5293	17935	DUCHOD	GH	21547478
678038	2317	1998-08-05	PRIJEM	PREVOD Z UCTU	5293	20591	DUCHOD	GH	21547478
678039	2317	1998-09-05	PRIJEM	PREVOD Z UCTU	5293	20777	DUCHOD	GH	21547478
678040	2317	1998-10-05	PRIJEM	PREVOD Z UCTU	5293	22484	DUCHOD	GH	21547478
678041	2317	1998-11-05	PRIJEM	PREVOD Z UCTU	5293	25159	DUCHOD	GH	21547478
678042	2317	1998-12-05	PRIJEM	PREVOD Z UCTU	5293	27851	DUCHOD	GH	21547478
678055	2317	1998-01-14	VYDAJ	PREVOD NA UCET	195	22650	SIPO	CD	55275732
678056	2317	1998-02-14	VYDAJ	PREVOD NA UCET	195	17473	SIPO	CD	55275732
678057	2317	1998-03-14	VYDAJ	PREVOD NA UCET	195	17647	SIPO	CD	55275732
678058	2317	1998-04-14	VYDAJ	PREVOD NA UCET	195	20313	SIPO	CD	55275732
678059	2317	1998-05-14	VYDAJ	PREVOD NA UCET	195	24915	SIPO	CD	55275732
678060	2317	1998-06-14	VYDAJ	PREVOD NA UCET	195	27607	SIPO	CD	55275732
678061	2317	1998-07-14	VYDAJ	PREVOD NA UCET	195	17740	SIPO	CD	55275732
678062	2317	1998-08-14	VYDAJ	PREVOD NA UCET	195	20396	SIPO	CD	55275732
678063	2317	1998-09-14	VYDAJ	PREVOD NA UCET	195	20582	SIPO	CD	55275732
678064	2317	1998-10-14	VYDAJ	PREVOD NA UCET	195	22289	SIPO	CD	55275732
678065	2317	1998-11-14	VYDAJ	PREVOD NA UCET	195	24964	SIPO	CD	55275732
678066	2317	1998-12-14	VYDAJ	PREVOD NA UCET	195	27656	SIPO	CD	55275732
678079	2317	1998-01-14	VYDAJ	PREVOD NA UCET	2486	20164	 	AB	58933603
678080	2317	1998-02-14	VYDAJ	PREVOD NA UCET	2486	14987	 	AB	58933603
678081	2317	1998-03-14	VYDAJ	PREVOD NA UCET	2486	17842	 	AB	58933603
678082	2317	1998-04-14	VYDAJ	PREVOD NA UCET	2486	20508	 	AB	58933603
678083	2317	1998-05-14	VYDAJ	PREVOD NA UCET	2486	22429	 	AB	58933603
678084	2317	1998-06-14	VYDAJ	PREVOD NA UCET	2486	25121	 	AB	58933603
678085	2317	1998-07-14	VYDAJ	PREVOD NA UCET	2486	15254	 	AB	58933603
678086	2317	1998-08-14	VYDAJ	PREVOD NA UCET	2486	17910	 	AB	58933603
678087	2317	1998-09-14	VYDAJ	PREVOD NA UCET	2486	18096	 	AB	58933603
678088	2317	1998-10-14	VYDAJ	PREVOD NA UCET	2486	19803	 	AB	58933603
678089	2317	1998-11-14	VYDAJ	PREVOD NA UCET	2486	22478	 	AB	58933603
678090	2317	1998-12-14	VYDAJ	PREVOD NA UCET	2486	25170	 	AB	58933603
678092	2317	1998-06-21	VYDAJ	VYBER	12550	12571	\N	\N	\N
678094	2317	1998-01-07	VYDAJ	VYBER	1600	25165	\N	\N	\N
678096	2317	1998-12-17	VYDAJ	VYBER	550	24620	\N	\N	\N
678103	2317	1998-01-14	VYDAJ	VYBER	1440	22845	\N	\N	\N
678104	2317	1998-01-23	VYDAJ	VYBER	1440	14004	\N	\N	\N
678105	2317	1998-01-24	VYDAJ	VYBER	1680	12324	\N	\N	\N
678106	2317	1998-01-14	VYDAJ	VYBER	1600	18564	\N	\N	\N
678107	2317	1998-01-12	VYDAJ	VYBER	880	24285	\N	\N	\N
678114	2317	1998-12-29	VYDAJ	VYBER	2640	21980	\N	\N	\N
678115	2317	1998-08-29	VYDAJ	VYBER	2480	15430	\N	\N	\N
678116	2317	1998-04-14	VYDAJ	VYBER	560	19753	\N	\N	\N
678117	2317	1998-09-24	VYDAJ	VYBER	960	17136	\N	\N	\N
678118	2317	1998-01-22	VYDAJ	VYBER	3120	15444	\N	\N	\N
678132	2317	1998-01-31	VYDAJ	VYBER	15	12375	SLUZBY	\N	\N
678133	2317	1998-02-28	VYDAJ	VYBER	15	15035	SLUZBY	\N	\N
678134	2317	1998-03-31	VYDAJ	VYBER	15	17701	SLUZBY	\N	\N
678135	2317	1998-04-30	VYDAJ	VYBER	15	19817	SLUZBY	\N	\N
678136	2317	1998-05-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
678137	2317	1998-06-30	VYDAJ	VYBER	15	12642	SLUZBY	\N	\N
678138	2317	1998-07-31	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
678139	2317	1998-08-31	VYDAJ	VYBER	15	15484	SLUZBY	\N	\N
678140	2317	1998-09-30	VYDAJ	VYBER	15	17191	SLUZBY	\N	\N
678141	2317	1998-10-31	VYDAJ	VYBER	15	19866	SLUZBY	\N	\N
678142	2317	1998-11-30	VYDAJ	VYBER	15	22558	SLUZBY	\N	\N
678155	2318	1993-11-08	PRIJEM	VKLAD	200	200	\N	\N	\N
678166	2318	1993-11-09	PRIJEM	VKLAD	22962	23162	\N	\N	\N
678167	2318	1993-12-09	PRIJEM	VKLAD	34443	58476	\N	\N	\N
678168	2318	1994-01-09	PRIJEM	VKLAD	22962	65843	\N	\N	\N
678169	2318	1994-02-09	PRIJEM	VKLAD	22962	69772	\N	\N	\N
678170	2318	1994-03-09	PRIJEM	VKLAD	22962	71420	\N	\N	\N
678171	2318	1994-04-09	PRIJEM	VKLAD	22962	67662	\N	\N	\N
678172	2318	1994-05-09	PRIJEM	VKLAD	22962	64585	\N	\N	\N
678173	2318	1994-06-09	PRIJEM	VKLAD	34443	75175	\N	\N	\N
678174	2318	1994-07-09	PRIJEM	VKLAD	22962	64108	\N	\N	\N
678175	2318	1994-08-09	PRIJEM	VKLAD	22962	63217	\N	\N	\N
678176	2318	1994-09-09	PRIJEM	VKLAD	22962	58818	\N	\N	\N
678177	2318	1994-10-09	PRIJEM	VKLAD	22962	59900	\N	\N	\N
678178	2318	1994-11-09	PRIJEM	VKLAD	22962	57680	\N	\N	\N
678179	2318	1994-12-09	PRIJEM	VKLAD	34443	69415	\N	\N	\N
678180	2318	1995-01-09	PRIJEM	VKLAD	22962	67922	\N	\N	\N
678181	2318	1995-02-09	PRIJEM	VKLAD	22962	60104	\N	\N	\N
678182	2318	1995-03-09	PRIJEM	VKLAD	22962	64077	\N	\N	\N
678183	2318	1995-04-09	PRIJEM	VKLAD	22962	68076	\N	\N	\N
678184	2318	1995-05-09	PRIJEM	VKLAD	22962	68392	\N	\N	\N
678185	2318	1995-06-09	PRIJEM	VKLAD	34443	80594	\N	\N	\N
678186	2318	1995-07-09	PRIJEM	VKLAD	22962	64045	\N	\N	\N
678187	2318	1995-08-09	PRIJEM	VKLAD	22962	69237	\N	\N	\N
678188	2318	1995-09-09	PRIJEM	VKLAD	22962	64139	\N	\N	\N
678189	2318	1995-10-09	PRIJEM	VKLAD	22962	66927	\N	\N	\N
678190	2318	1995-11-09	PRIJEM	VKLAD	22962	65108	\N	\N	\N
678191	2318	1995-12-09	PRIJEM	VKLAD	34443	81181	\N	\N	\N
678192	2318	1996-01-09	PRIJEM	VKLAD	22962	71609	\N	\N	\N
678193	2318	1996-02-09	PRIJEM	VKLAD	22962	60106	\N	\N	\N
678194	2318	1996-03-09	PRIJEM	VKLAD	22962	64267	\N	\N	\N
678195	2318	1996-04-09	PRIJEM	VKLAD	22962	68550	\N	\N	\N
678196	2318	1996-05-09	PRIJEM	VKLAD	22962	71745	\N	\N	\N
678197	2318	1996-06-09	PRIJEM	VKLAD	34443	80731	\N	\N	\N
678198	2318	1996-07-09	PRIJEM	VKLAD	22962	68755	\N	\N	\N
678199	2318	1996-08-09	PRIJEM	VKLAD	22962	70643	\N	\N	\N
678200	2318	1996-09-09	PRIJEM	VKLAD	22962	72641	\N	\N	\N
678201	2318	1996-10-09	PRIJEM	VKLAD	22962	70541	\N	\N	\N
678202	2318	1996-11-09	PRIJEM	VKLAD	22962	69231	\N	\N	\N
678203	2318	1996-12-09	PRIJEM	VKLAD	34443	78497	\N	\N	\N
678204	2318	1997-01-09	PRIJEM	VKLAD	22962	71503	\N	\N	\N
678205	2318	1997-02-09	PRIJEM	VKLAD	22962	62182	\N	\N	\N
678206	2318	1997-03-09	PRIJEM	VKLAD	22962	62037	\N	\N	\N
678207	2318	1997-04-09	PRIJEM	VKLAD	22962	63494	\N	\N	\N
678208	2318	1997-05-09	PRIJEM	VKLAD	22962	60450	\N	\N	\N
678209	2318	1997-06-09	PRIJEM	VKLAD	34443	65869	\N	\N	\N
678210	2318	1997-07-09	PRIJEM	VKLAD	22962	54088	\N	\N	\N
678211	2318	1997-08-09	PRIJEM	VKLAD	22962	57712	\N	\N	\N
678212	2318	1997-09-09	PRIJEM	VKLAD	22962	54738	\N	\N	\N
678213	2318	1997-10-09	PRIJEM	VKLAD	22962	56459	\N	\N	\N
678214	2318	1997-11-09	PRIJEM	VKLAD	22962	57284	\N	\N	\N
678215	2318	1997-12-09	PRIJEM	VKLAD	34443	67689	\N	\N	\N
678216	2318	1998-01-09	PRIJEM	VKLAD	22962	51026	\N	\N	\N
678217	2318	1998-02-09	PRIJEM	VKLAD	22962	49630	\N	\N	\N
678218	2318	1998-03-09	PRIJEM	VKLAD	22962	49921	\N	\N	\N
678219	2318	1998-04-09	PRIJEM	VKLAD	22962	52320	\N	\N	\N
678220	2318	1998-05-09	PRIJEM	VKLAD	22962	58335	\N	\N	\N
678221	2318	1998-06-09	PRIJEM	VKLAD	34443	64441	\N	\N	\N
678222	2318	1998-07-09	PRIJEM	VKLAD	22962	56871	\N	\N	\N
678223	2318	1998-08-09	PRIJEM	VKLAD	22962	54785	\N	\N	\N
678224	2318	1998-09-09	PRIJEM	VKLAD	22962	49981	\N	\N	\N
678225	2318	1998-10-09	PRIJEM	VKLAD	22962	45556	\N	\N	\N
678226	2318	1998-11-09	PRIJEM	VKLAD	22962	54758	\N	\N	\N
678227	2318	1998-12-09	PRIJEM	VKLAD	34443	51914	\N	\N	\N
678242	2318	1994-03-12	VYDAJ	PREVOD NA UCET	3081	68088	SIPO	UV	58512443
678243	2318	1994-04-12	VYDAJ	PREVOD NA UCET	3081	64330	SIPO	UV	58512443
678244	2318	1994-05-12	VYDAJ	PREVOD NA UCET	3081	60599	SIPO	UV	58512443
678245	2318	1994-06-12	VYDAJ	PREVOD NA UCET	3081	71189	SIPO	UV	58512443
678246	2318	1994-07-12	VYDAJ	PREVOD NA UCET	3081	60122	SIPO	UV	58512443
678247	2318	1994-08-12	VYDAJ	PREVOD NA UCET	3081	59885	SIPO	UV	58512443
678248	2318	1994-09-12	VYDAJ	PREVOD NA UCET	3081	54832	SIPO	UV	58512443
678249	2318	1994-10-12	VYDAJ	PREVOD NA UCET	3081	56568	SIPO	UV	58512443
678250	2318	1994-11-12	VYDAJ	PREVOD NA UCET	3081	50148	SIPO	UV	58512443
678251	2318	1994-12-12	VYDAJ	PREVOD NA UCET	3081	66083	SIPO	UV	58512443
678252	2318	1995-01-12	VYDAJ	PREVOD NA UCET	3081	64590	SIPO	UV	58512443
678253	2318	1995-02-12	VYDAJ	PREVOD NA UCET	3081	56118	SIPO	UV	58512443
678254	2318	1995-03-12	VYDAJ	PREVOD NA UCET	3081	60745	SIPO	UV	58512443
678255	2318	1995-04-12	VYDAJ	PREVOD NA UCET	3081	64744	SIPO	UV	58512443
678256	2318	1995-05-12	VYDAJ	PREVOD NA UCET	3081	64406	SIPO	UV	58512443
678257	2318	1995-06-12	VYDAJ	PREVOD NA UCET	3081	77262	SIPO	UV	58512443
678258	2318	1995-07-12	VYDAJ	PREVOD NA UCET	3081	60059	SIPO	UV	58512443
678259	2318	1995-08-12	VYDAJ	PREVOD NA UCET	3081	65251	SIPO	UV	58512443
678260	2318	1995-09-12	VYDAJ	PREVOD NA UCET	3081	60807	SIPO	UV	58512443
678261	2318	1995-10-12	VYDAJ	PREVOD NA UCET	3081	62941	SIPO	UV	58512443
678262	2318	1995-11-12	VYDAJ	PREVOD NA UCET	3081	61776	SIPO	UV	58512443
678263	2318	1995-12-12	VYDAJ	PREVOD NA UCET	3081	77849	SIPO	UV	58512443
678264	2318	1996-01-12	VYDAJ	PREVOD NA UCET	3081	65777	SIPO	UV	58512443
678265	2318	1996-02-12	VYDAJ	PREVOD NA UCET	3081	56120	SIPO	UV	58512443
678266	2318	1996-03-12	VYDAJ	PREVOD NA UCET	3081	60935	SIPO	UV	58512443
678267	2318	1996-04-12	VYDAJ	PREVOD NA UCET	3081	64564	SIPO	UV	58512443
678268	2318	1996-05-12	VYDAJ	PREVOD NA UCET	3081	68413	SIPO	UV	58512443
678269	2318	1996-06-12	VYDAJ	PREVOD NA UCET	3081	76745	SIPO	UV	58512443
678270	2318	1996-07-12	VYDAJ	PREVOD NA UCET	3081	64769	SIPO	UV	58512443
678271	2318	1996-08-12	VYDAJ	PREVOD NA UCET	3081	67311	SIPO	UV	58512443
678272	2318	1996-09-12	VYDAJ	PREVOD NA UCET	3081	68655	SIPO	UV	58512443
678273	2318	1996-10-12	VYDAJ	PREVOD NA UCET	3081	66555	SIPO	UV	58512443
678274	2318	1996-11-12	VYDAJ	PREVOD NA UCET	3081	65245	SIPO	UV	58512443
678275	2318	1996-12-12	VYDAJ	PREVOD NA UCET	3081	74511	SIPO	UV	58512443
678276	2318	1997-01-12	VYDAJ	PREVOD NA UCET	3081	63617	SIPO	UV	58512443
678277	2318	1997-02-12	VYDAJ	PREVOD NA UCET	3081	58850	SIPO	UV	58512443
678278	2318	1997-03-12	VYDAJ	PREVOD NA UCET	3081	58051	SIPO	UV	58512443
678279	2318	1997-04-12	VYDAJ	PREVOD NA UCET	3081	60162	SIPO	UV	58512443
678280	2318	1997-05-12	VYDAJ	PREVOD NA UCET	3081	57118	SIPO	UV	58512443
678281	2318	1997-06-12	VYDAJ	PREVOD NA UCET	3081	47083	SIPO	UV	58512443
678282	2318	1997-07-12	VYDAJ	PREVOD NA UCET	3081	50756	SIPO	UV	58512443
678283	2318	1997-08-12	VYDAJ	PREVOD NA UCET	3081	54380	SIPO	UV	58512443
678284	2318	1997-09-12	VYDAJ	PREVOD NA UCET	3081	50752	SIPO	UV	58512443
678285	2318	1997-10-12	VYDAJ	PREVOD NA UCET	3081	53127	SIPO	UV	58512443
678286	2318	1997-11-12	VYDAJ	PREVOD NA UCET	3081	53298	SIPO	UV	58512443
678287	2318	1997-12-12	VYDAJ	PREVOD NA UCET	3081	63703	SIPO	UV	58512443
678288	2318	1998-01-12	VYDAJ	PREVOD NA UCET	3081	47040	SIPO	UV	58512443
678289	2318	1998-02-12	VYDAJ	PREVOD NA UCET	3081	46298	SIPO	UV	58512443
678290	2318	1998-03-12	VYDAJ	PREVOD NA UCET	3081	45935	SIPO	UV	58512443
678291	2318	1998-04-12	VYDAJ	PREVOD NA UCET	3081	48334	SIPO	UV	58512443
678292	2318	1998-05-12	VYDAJ	PREVOD NA UCET	3081	55003	SIPO	UV	58512443
678293	2318	1998-06-12	VYDAJ	PREVOD NA UCET	3081	60455	SIPO	UV	58512443
678294	2318	1998-07-12	VYDAJ	PREVOD NA UCET	3081	52885	SIPO	UV	58512443
678295	2318	1998-08-12	VYDAJ	PREVOD NA UCET	3081	50799	SIPO	UV	58512443
678296	2318	1998-09-12	VYDAJ	PREVOD NA UCET	3081	46649	SIPO	UV	58512443
678297	2318	1998-10-12	VYDAJ	PREVOD NA UCET	3081	42224	SIPO	UV	58512443
678298	2318	1998-11-12	VYDAJ	PREVOD NA UCET	3081	22572	SIPO	UV	58512443
678299	2318	1998-12-12	VYDAJ	PREVOD NA UCET	3081	48582	SIPO	UV	58512443
678314	2318	1994-03-13	VYDAJ	PREVOD NA UCET	5191	62243	 	IJ	95490520
678315	2318	1994-04-13	VYDAJ	PREVOD NA UCET	5191	58485	 	IJ	95490520
678316	2318	1994-05-13	VYDAJ	PREVOD NA UCET	5191	55408	 	IJ	95490520
678317	2318	1994-06-13	VYDAJ	PREVOD NA UCET	5191	65998	 	IJ	95490520
678318	2318	1994-07-13	VYDAJ	PREVOD NA UCET	5191	54931	 	IJ	95490520
678319	2318	1994-08-13	VYDAJ	PREVOD NA UCET	5191	54040	 	IJ	95490520
678320	2318	1994-09-13	VYDAJ	PREVOD NA UCET	5191	49641	 	IJ	95490520
678321	2318	1994-10-13	VYDAJ	PREVOD NA UCET	5191	50723	 	IJ	95490520
678322	2318	1994-11-13	VYDAJ	PREVOD NA UCET	5191	44303	 	IJ	95490520
678323	2318	1994-12-13	VYDAJ	PREVOD NA UCET	5191	60238	 	IJ	95490520
678324	2318	1995-01-13	VYDAJ	PREVOD NA UCET	5191	58745	 	IJ	95490520
678325	2318	1995-02-13	VYDAJ	PREVOD NA UCET	5191	50927	 	IJ	95490520
678326	2318	1995-03-13	VYDAJ	PREVOD NA UCET	5191	54900	 	IJ	95490520
678327	2318	1995-04-13	VYDAJ	PREVOD NA UCET	5191	58899	 	IJ	95490520
678328	2318	1995-05-13	VYDAJ	PREVOD NA UCET	5191	59215	 	IJ	95490520
678329	2318	1995-06-13	VYDAJ	PREVOD NA UCET	5191	71417	 	IJ	95490520
678330	2318	1995-07-13	VYDAJ	PREVOD NA UCET	5191	54868	 	IJ	95490520
678331	2318	1995-08-13	VYDAJ	PREVOD NA UCET	5191	60060	 	IJ	95490520
678332	2318	1995-09-13	VYDAJ	PREVOD NA UCET	5191	54962	 	IJ	95490520
678333	2318	1995-10-13	VYDAJ	PREVOD NA UCET	5191	57750	 	IJ	95490520
678334	2318	1995-11-13	VYDAJ	PREVOD NA UCET	5191	55931	 	IJ	95490520
678335	2318	1995-12-13	VYDAJ	PREVOD NA UCET	5191	72004	 	IJ	95490520
678336	2318	1996-01-13	VYDAJ	PREVOD NA UCET	5191	59932	 	IJ	95490520
678337	2318	1996-02-13	VYDAJ	PREVOD NA UCET	5191	50929	 	IJ	95490520
678338	2318	1996-03-13	VYDAJ	PREVOD NA UCET	5191	55090	 	IJ	95490520
678339	2318	1996-04-13	VYDAJ	PREVOD NA UCET	5191	59373	 	IJ	95490520
678340	2318	1996-05-13	VYDAJ	PREVOD NA UCET	5191	62568	 	IJ	95490520
678341	2318	1996-06-13	VYDAJ	PREVOD NA UCET	5191	71554	 	IJ	95490520
678342	2318	1996-07-13	VYDAJ	PREVOD NA UCET	5191	59578	 	IJ	95490520
678343	2318	1996-08-13	VYDAJ	PREVOD NA UCET	5191	61466	 	IJ	95490520
678344	2318	1996-09-13	VYDAJ	PREVOD NA UCET	5191	63464	 	IJ	95490520
678345	2318	1996-10-13	VYDAJ	PREVOD NA UCET	5191	61364	 	IJ	95490520
678346	2318	1996-11-13	VYDAJ	PREVOD NA UCET	5191	60054	 	IJ	95490520
678347	2318	1996-12-13	VYDAJ	PREVOD NA UCET	5191	69320	 	IJ	95490520
678348	2318	1997-01-13	VYDAJ	PREVOD NA UCET	5191	55926	 	IJ	95490520
678349	2318	1997-02-13	VYDAJ	PREVOD NA UCET	5191	53005	 	IJ	95490520
678350	2318	1997-03-13	VYDAJ	PREVOD NA UCET	5191	52860	 	IJ	95490520
678351	2318	1997-04-13	VYDAJ	PREVOD NA UCET	5191	54317	 	IJ	95490520
678352	2318	1997-05-13	VYDAJ	PREVOD NA UCET	5191	51273	 	IJ	95490520
678353	2318	1997-06-13	VYDAJ	PREVOD NA UCET	5191	41892	 	IJ	95490520
678354	2318	1997-07-13	VYDAJ	PREVOD NA UCET	5191	44911	 	IJ	95490520
678355	2318	1997-08-13	VYDAJ	PREVOD NA UCET	5191	48535	 	IJ	95490520
678356	2318	1997-09-13	VYDAJ	PREVOD NA UCET	5191	45561	 	IJ	95490520
678357	2318	1997-10-13	VYDAJ	PREVOD NA UCET	5191	47282	 	IJ	95490520
678358	2318	1997-11-13	VYDAJ	PREVOD NA UCET	5191	48107	 	IJ	95490520
678359	2318	1997-12-13	VYDAJ	PREVOD NA UCET	5191	58512	 	IJ	95490520
678360	2318	1998-01-13	VYDAJ	PREVOD NA UCET	5191	39749	 	IJ	95490520
678361	2318	1998-02-13	VYDAJ	PREVOD NA UCET	5191	40453	 	IJ	95490520
678362	2318	1998-03-13	VYDAJ	PREVOD NA UCET	5191	40744	 	IJ	95490520
678363	2318	1998-04-13	VYDAJ	PREVOD NA UCET	5191	43143	 	IJ	95490520
678364	2318	1998-05-13	VYDAJ	PREVOD NA UCET	5191	49158	 	IJ	95490520
678365	2318	1998-06-13	VYDAJ	PREVOD NA UCET	5191	55264	 	IJ	95490520
678366	2318	1998-07-13	VYDAJ	PREVOD NA UCET	5191	47694	 	IJ	95490520
678367	2318	1998-08-13	VYDAJ	PREVOD NA UCET	5191	45608	 	IJ	95490520
678368	2318	1998-09-13	VYDAJ	PREVOD NA UCET	5191	22504	 	IJ	95490520
678369	2318	1998-10-13	VYDAJ	PREVOD NA UCET	5191	36379	 	IJ	95490520
678370	2318	1998-11-13	VYDAJ	PREVOD NA UCET	5191	17381	 	IJ	95490520
678371	2318	1998-12-13	VYDAJ	PREVOD NA UCET	5191	22237	 	IJ	95490520
678386	2318	1994-03-12	VYDAJ	PREVOD NA UCET	654	67434	POJISTNE	ST	68937486
678387	2318	1994-04-12	VYDAJ	PREVOD NA UCET	654	63676	POJISTNE	ST	68937486
678388	2318	1994-05-12	VYDAJ	PREVOD NA UCET	654	63680	POJISTNE	ST	68937486
678389	2318	1994-06-12	VYDAJ	PREVOD NA UCET	654	74270	POJISTNE	ST	68937486
678390	2318	1994-07-12	VYDAJ	PREVOD NA UCET	654	63203	POJISTNE	ST	68937486
678391	2318	1994-08-12	VYDAJ	PREVOD NA UCET	654	59231	POJISTNE	ST	68937486
678392	2318	1994-09-12	VYDAJ	PREVOD NA UCET	654	57913	POJISTNE	ST	68937486
678393	2318	1994-10-12	VYDAJ	PREVOD NA UCET	654	55914	POJISTNE	ST	68937486
678394	2318	1994-11-12	VYDAJ	PREVOD NA UCET	654	49494	POJISTNE	ST	68937486
678395	2318	1994-12-12	VYDAJ	PREVOD NA UCET	654	65429	POJISTNE	ST	68937486
678396	2318	1995-01-12	VYDAJ	PREVOD NA UCET	654	63936	POJISTNE	ST	68937486
678397	2318	1995-02-12	VYDAJ	PREVOD NA UCET	654	59199	POJISTNE	ST	68937486
678398	2318	1995-03-12	VYDAJ	PREVOD NA UCET	654	60091	POJISTNE	ST	68937486
678399	2318	1995-04-12	VYDAJ	PREVOD NA UCET	654	64090	POJISTNE	ST	68937486
678400	2318	1995-05-12	VYDAJ	PREVOD NA UCET	654	67487	POJISTNE	ST	68937486
678401	2318	1995-06-12	VYDAJ	PREVOD NA UCET	654	76608	POJISTNE	ST	68937486
678402	2318	1995-07-12	VYDAJ	PREVOD NA UCET	654	63140	POJISTNE	ST	68937486
678403	2318	1995-08-12	VYDAJ	PREVOD NA UCET	654	68332	POJISTNE	ST	68937486
678404	2318	1995-09-12	VYDAJ	PREVOD NA UCET	654	60153	POJISTNE	ST	68937486
678405	2318	1995-10-12	VYDAJ	PREVOD NA UCET	654	66022	POJISTNE	ST	68937486
678406	2318	1995-11-12	VYDAJ	PREVOD NA UCET	654	61122	POJISTNE	ST	68937486
678407	2318	1995-12-12	VYDAJ	PREVOD NA UCET	654	77195	POJISTNE	ST	68937486
678408	2318	1996-01-12	VYDAJ	PREVOD NA UCET	654	65123	POJISTNE	ST	68937486
678409	2318	1996-02-12	VYDAJ	PREVOD NA UCET	654	59201	POJISTNE	ST	68937486
678410	2318	1996-03-12	VYDAJ	PREVOD NA UCET	654	60281	POJISTNE	ST	68937486
678411	2318	1996-04-12	VYDAJ	PREVOD NA UCET	654	67645	POJISTNE	ST	68937486
678412	2318	1996-05-12	VYDAJ	PREVOD NA UCET	654	67759	POJISTNE	ST	68937486
678413	2318	1996-06-12	VYDAJ	PREVOD NA UCET	654	79826	POJISTNE	ST	68937486
678414	2318	1996-07-12	VYDAJ	PREVOD NA UCET	654	67850	POJISTNE	ST	68937486
678415	2318	1996-08-12	VYDAJ	PREVOD NA UCET	654	66657	POJISTNE	ST	68937486
678416	2318	1996-09-12	VYDAJ	PREVOD NA UCET	654	71736	POJISTNE	ST	68937486
678417	2318	1996-10-12	VYDAJ	PREVOD NA UCET	654	69636	POJISTNE	ST	68937486
678418	2318	1996-11-12	VYDAJ	PREVOD NA UCET	654	68326	POJISTNE	ST	68937486
678419	2318	1996-12-12	VYDAJ	PREVOD NA UCET	654	77592	POJISTNE	ST	68937486
678420	2318	1997-01-12	VYDAJ	PREVOD NA UCET	654	66698	POJISTNE	ST	68937486
678421	2318	1997-02-12	VYDAJ	PREVOD NA UCET	654	58196	POJISTNE	ST	68937486
678422	2318	1997-03-12	VYDAJ	PREVOD NA UCET	654	61132	POJISTNE	ST	68937486
678423	2318	1997-04-12	VYDAJ	PREVOD NA UCET	654	59508	POJISTNE	ST	68937486
678424	2318	1997-05-12	VYDAJ	PREVOD NA UCET	654	56464	POJISTNE	ST	68937486
678425	2318	1997-06-12	VYDAJ	PREVOD NA UCET	654	50164	POJISTNE	ST	68937486
678426	2318	1997-07-12	VYDAJ	PREVOD NA UCET	654	50102	POJISTNE	ST	68937486
678427	2318	1997-08-12	VYDAJ	PREVOD NA UCET	654	53726	POJISTNE	ST	68937486
678428	2318	1997-09-12	VYDAJ	PREVOD NA UCET	654	53833	POJISTNE	ST	68937486
678429	2318	1997-10-12	VYDAJ	PREVOD NA UCET	654	52473	POJISTNE	ST	68937486
678430	2318	1997-11-12	VYDAJ	PREVOD NA UCET	654	56379	POJISTNE	ST	68937486
678431	2318	1997-12-12	VYDAJ	PREVOD NA UCET	654	66784	POJISTNE	ST	68937486
678432	2318	1998-01-12	VYDAJ	PREVOD NA UCET	654	50121	POJISTNE	ST	68937486
678433	2318	1998-02-12	VYDAJ	PREVOD NA UCET	654	45644	POJISTNE	ST	68937486
678434	2318	1998-03-12	VYDAJ	PREVOD NA UCET	654	49016	POJISTNE	ST	68937486
678435	2318	1998-04-12	VYDAJ	PREVOD NA UCET	654	51415	POJISTNE	ST	68937486
678436	2318	1998-05-12	VYDAJ	PREVOD NA UCET	654	54349	POJISTNE	ST	68937486
678437	2318	1998-06-12	VYDAJ	PREVOD NA UCET	654	63536	POJISTNE	ST	68937486
678438	2318	1998-07-12	VYDAJ	PREVOD NA UCET	654	55966	POJISTNE	ST	68937486
678439	2318	1998-08-12	VYDAJ	PREVOD NA UCET	654	53880	POJISTNE	ST	68937486
678440	2318	1998-09-12	VYDAJ	PREVOD NA UCET	654	45995	POJISTNE	ST	68937486
678441	2318	1998-10-12	VYDAJ	PREVOD NA UCET	654	41570	POJISTNE	ST	68937486
678442	2318	1998-11-12	VYDAJ	PREVOD NA UCET	654	25653	POJISTNE	ST	68937486
678443	2318	1998-12-12	VYDAJ	PREVOD NA UCET	654	27428	POJISTNE	ST	68937486
678458	2318	1994-03-10	VYDAJ	PREVOD NA UCET	251	71169	 	IJ	71377277
678459	2318	1994-04-10	VYDAJ	PREVOD NA UCET	251	67411	 	IJ	71377277
678460	2318	1994-05-10	VYDAJ	PREVOD NA UCET	251	64334	 	IJ	71377277
678461	2318	1994-06-10	VYDAJ	PREVOD NA UCET	251	74924	 	IJ	71377277
678462	2318	1994-07-10	VYDAJ	PREVOD NA UCET	251	63857	 	IJ	71377277
678463	2318	1994-08-10	VYDAJ	PREVOD NA UCET	251	62966	 	IJ	71377277
678464	2318	1994-09-10	VYDAJ	PREVOD NA UCET	251	58567	 	IJ	71377277
678465	2318	1994-10-10	VYDAJ	PREVOD NA UCET	251	59649	 	IJ	71377277
678466	2318	1994-11-10	VYDAJ	PREVOD NA UCET	251	57429	 	IJ	71377277
678467	2318	1994-12-10	VYDAJ	PREVOD NA UCET	251	69164	 	IJ	71377277
678468	2318	1995-01-10	VYDAJ	PREVOD NA UCET	251	67671	 	IJ	71377277
678469	2318	1995-02-10	VYDAJ	PREVOD NA UCET	251	59853	 	IJ	71377277
678470	2318	1995-03-10	VYDAJ	PREVOD NA UCET	251	63826	 	IJ	71377277
678471	2318	1995-04-10	VYDAJ	PREVOD NA UCET	251	67825	 	IJ	71377277
678472	2318	1995-05-10	VYDAJ	PREVOD NA UCET	251	68141	 	IJ	71377277
678473	2318	1995-06-10	VYDAJ	PREVOD NA UCET	251	80343	 	IJ	71377277
678474	2318	1995-07-10	VYDAJ	PREVOD NA UCET	251	63794	 	IJ	71377277
678475	2318	1995-08-10	VYDAJ	PREVOD NA UCET	251	68986	 	IJ	71377277
678476	2318	1995-09-10	VYDAJ	PREVOD NA UCET	251	63888	 	IJ	71377277
678477	2318	1995-10-10	VYDAJ	PREVOD NA UCET	251	66676	 	IJ	71377277
678478	2318	1995-11-10	VYDAJ	PREVOD NA UCET	251	64857	 	IJ	71377277
678479	2318	1995-12-10	VYDAJ	PREVOD NA UCET	251	80930	 	IJ	71377277
678480	2318	1996-01-10	VYDAJ	PREVOD NA UCET	251	71358	 	IJ	71377277
678481	2318	1996-02-10	VYDAJ	PREVOD NA UCET	251	59855	 	IJ	71377277
678482	2318	1996-03-10	VYDAJ	PREVOD NA UCET	251	64016	 	IJ	71377277
678483	2318	1996-04-10	VYDAJ	PREVOD NA UCET	251	68299	 	IJ	71377277
678484	2318	1996-05-10	VYDAJ	PREVOD NA UCET	251	71494	 	IJ	71377277
678485	2318	1996-06-10	VYDAJ	PREVOD NA UCET	251	80480	 	IJ	71377277
678486	2318	1996-07-10	VYDAJ	PREVOD NA UCET	251	68504	 	IJ	71377277
678487	2318	1996-08-10	VYDAJ	PREVOD NA UCET	251	70392	 	IJ	71377277
678488	2318	1996-09-10	VYDAJ	PREVOD NA UCET	251	72390	 	IJ	71377277
678489	2318	1996-10-10	VYDAJ	PREVOD NA UCET	251	70290	 	IJ	71377277
678490	2318	1996-11-10	VYDAJ	PREVOD NA UCET	251	68980	 	IJ	71377277
678491	2318	1996-12-10	VYDAJ	PREVOD NA UCET	251	78246	 	IJ	71377277
678492	2318	1997-01-10	VYDAJ	PREVOD NA UCET	251	68452	 	IJ	71377277
678493	2318	1997-02-10	VYDAJ	PREVOD NA UCET	251	61931	 	IJ	71377277
678494	2318	1997-03-10	VYDAJ	PREVOD NA UCET	251	61786	 	IJ	71377277
678495	2318	1997-04-10	VYDAJ	PREVOD NA UCET	251	63243	 	IJ	71377277
678496	2318	1997-05-10	VYDAJ	PREVOD NA UCET	251	60199	 	IJ	71377277
678497	2318	1997-06-10	VYDAJ	PREVOD NA UCET	251	65618	 	IJ	71377277
678498	2318	1997-07-10	VYDAJ	PREVOD NA UCET	251	53837	 	IJ	71377277
678499	2318	1997-08-10	VYDAJ	PREVOD NA UCET	251	57461	 	IJ	71377277
678500	2318	1997-09-10	VYDAJ	PREVOD NA UCET	251	54487	 	IJ	71377277
678501	2318	1997-10-10	VYDAJ	PREVOD NA UCET	251	56208	 	IJ	71377277
678502	2318	1997-11-10	VYDAJ	PREVOD NA UCET	251	57033	 	IJ	71377277
678503	2318	1997-12-10	VYDAJ	PREVOD NA UCET	251	67438	 	IJ	71377277
678504	2318	1998-01-10	VYDAJ	PREVOD NA UCET	251	50775	 	IJ	71377277
678505	2318	1998-02-10	VYDAJ	PREVOD NA UCET	251	49379	 	IJ	71377277
678506	2318	1998-03-10	VYDAJ	PREVOD NA UCET	251	49670	 	IJ	71377277
678507	2318	1998-04-10	VYDAJ	PREVOD NA UCET	251	52069	 	IJ	71377277
678508	2318	1998-05-10	VYDAJ	PREVOD NA UCET	251	58084	 	IJ	71377277
678509	2318	1998-06-10	VYDAJ	PREVOD NA UCET	251	64190	 	IJ	71377277
678510	2318	1998-07-10	VYDAJ	PREVOD NA UCET	251	56620	 	IJ	71377277
678511	2318	1998-08-10	VYDAJ	PREVOD NA UCET	251	54534	 	IJ	71377277
678512	2318	1998-09-10	VYDAJ	PREVOD NA UCET	251	49730	 	IJ	71377277
678513	2318	1998-10-10	VYDAJ	PREVOD NA UCET	251	45305	 	IJ	71377277
678514	2318	1998-11-10	VYDAJ	PREVOD NA UCET	251	54507	 	IJ	71377277
678515	2318	1998-12-10	VYDAJ	PREVOD NA UCET	251	51663	 	IJ	71377277
678517	2318	1994-06-24	VYDAJ	VYBER	5300	59898	\N	\N	\N
678518	2318	1995-06-29	VYDAJ	VYBER	26200	45217	\N	\N	\N
678519	2318	1996-06-28	VYDAJ	VYBER	4600	45554	\N	\N	\N
678520	2318	1997-06-12	VYDAJ	VYBER	14800	50818	\N	\N	\N
678524	2318	1995-01-18	VYDAJ	VYBER	9300	49445	\N	\N	\N
678525	2318	1996-01-30	VYDAJ	VYBER	6500	36932	\N	\N	\N
678526	2318	1997-01-12	VYDAJ	VYBER	1100	67352	\N	\N	\N
678527	2318	1998-01-04	VYDAJ	VYBER	3300	29964	\N	\N	\N
678529	2318	1994-12-08	VYDAJ	VYBER	1200	34972	\N	\N	\N
678530	2318	1995-12-17	VYDAJ	VYBER	2700	69304	\N	\N	\N
678531	2318	1996-12-16	VYDAJ	VYBER	800	68520	\N	\N	\N
678532	2318	1997-12-25	VYDAJ	VYBER	2400	34912	\N	\N	\N
678546	2318	1995-01-23	VYDAJ	VYBER	1100	43445	\N	\N	\N
678547	2318	1995-01-24	VYDAJ	VYBER	1200	42245	\N	\N	\N
678548	2318	1995-01-03	VYDAJ	VYBER	800	47260	\N	\N	\N
678549	2318	1995-01-06	VYDAJ	VYBER	2300	44960	\N	\N	\N
678550	2318	1995-01-28	VYDAJ	VYBER	2700	38845	\N	\N	\N
678551	2318	1995-01-27	VYDAJ	VYBER	700	41545	\N	\N	\N
678552	2318	1996-01-08	VYDAJ	VYBER	2600	48647	\N	\N	\N
678553	2318	1996-01-18	VYDAJ	VYBER	2600	57332	\N	\N	\N
678554	2318	1996-01-11	VYDAJ	VYBER	2500	68858	\N	\N	\N
678555	2318	1996-01-25	VYDAJ	VYBER	2100	51432	\N	\N	\N
678556	2318	1996-01-21	VYDAJ	VYBER	1100	56232	\N	\N	\N
678557	2318	1996-01-25	VYDAJ	VYBER	2700	53532	\N	\N	\N
678558	2318	1997-01-22	VYDAJ	VYBER	2100	39026	\N	\N	\N
678559	2318	1997-01-19	VYDAJ	VYBER	1900	54026	\N	\N	\N
678560	2318	1997-01-09	VYDAJ	VYBER	2800	68703	\N	\N	\N
678561	2318	1997-01-12	VYDAJ	VYBER	2500	61117	\N	\N	\N
678562	2318	1997-01-04	VYDAJ	VYBER	1700	51441	\N	\N	\N
678563	2318	1997-01-08	VYDAJ	VYBER	2900	48541	\N	\N	\N
678564	2318	1998-01-18	VYDAJ	VYBER	900	28349	\N	\N	\N
678565	2318	1998-01-01	VYDAJ	VYBER	1800	33264	\N	\N	\N
678566	2318	1998-01-20	VYDAJ	VYBER	1800	26549	\N	\N	\N
678567	2318	1998-01-13	VYDAJ	VYBER	700	44940	\N	\N	\N
678568	2318	1998-01-08	VYDAJ	VYBER	1900	28064	\N	\N	\N
678569	2318	1998-01-12	VYDAJ	VYBER	1400	45640	\N	\N	\N
678575	2318	1994-11-01	VYDAJ	VYBER	3300	43918	\N	\N	\N
678576	2318	1994-11-10	VYDAJ	VYBER	4200	53229	\N	\N	\N
678577	2318	1994-06-23	VYDAJ	VYBER	800	65198	\N	\N	\N
678578	2318	1994-09-07	VYDAJ	VYBER	4500	35856	\N	\N	\N
678579	2318	1994-10-23	VYDAJ	VYBER	3700	47023	\N	\N	\N
678581	2318	1995-09-30	VYDAJ	VYBER	3500	43979	\N	\N	\N
678582	2318	1995-01-18	VYDAJ	VYBER	4900	44545	\N	\N	\N
678583	2318	1995-11-05	VYDAJ	VYBER	3600	42146	\N	\N	\N
678584	2318	1995-12-28	VYDAJ	VYBER	4200	51004	\N	\N	\N
678585	2318	1995-08-29	VYDAJ	VYBER	2800	57260	\N	\N	\N
678586	2318	1995-10-19	VYDAJ	VYBER	2400	52250	\N	\N	\N
678587	2318	1995-09-02	VYDAJ	VYBER	2700	41177	\N	\N	\N
678588	2318	1995-10-13	VYDAJ	VYBER	3100	54650	\N	\N	\N
678589	2318	1996-03-07	VYDAJ	VYBER	700	41305	\N	\N	\N
678590	2318	1996-06-19	VYDAJ	VYBER	4000	67554	\N	\N	\N
678591	2318	1996-10-19	VYDAJ	VYBER	3800	57564	\N	\N	\N
678592	2318	1996-07-13	VYDAJ	VYBER	2900	56678	\N	\N	\N
678593	2318	1996-06-05	VYDAJ	VYBER	3500	46288	\N	\N	\N
678594	2318	1997-10-20	VYDAJ	VYBER	600	34182	\N	\N	\N
678595	2318	1997-05-24	VYDAJ	VYBER	1500	31273	\N	\N	\N
678596	2318	1997-05-18	VYDAJ	VYBER	4200	47073	\N	\N	\N
678597	2318	1997-07-26	VYDAJ	VYBER	600	34611	\N	\N	\N
678598	2318	1997-05-23	VYDAJ	VYBER	2400	32773	\N	\N	\N
678599	2318	1998-06-06	VYDAJ	VYBER	4900	29998	\N	\N	\N
678600	2318	1998-11-07	VYDAJ	VYBER	4700	31796	\N	\N	\N
678616	2318	1994-03-31	VYDAJ	VYBER	15	62500	SLUZBY	\N	\N
678617	2318	1994-04-30	VYDAJ	VYBER	15	58723	SLUZBY	\N	\N
678618	2318	1994-05-31	VYDAJ	VYBER	15	55632	SLUZBY	\N	\N
678619	2318	1994-06-30	VYDAJ	VYBER	15	60146	SLUZBY	\N	\N
678620	2318	1994-07-31	VYDAJ	VYBER	15	55155	SLUZBY	\N	\N
678621	2318	1994-08-31	VYDAJ	VYBER	15	54256	SLUZBY	\N	\N
678622	2318	1994-09-30	VYDAJ	VYBER	15	49838	SLUZBY	\N	\N
678623	2318	1994-10-31	VYDAJ	VYBER	15	47218	SLUZBY	\N	\N
678624	2318	1994-11-30	VYDAJ	VYBER	15	44472	SLUZBY	\N	\N
678625	2318	1994-12-31	VYDAJ	VYBER	15	60460	SLUZBY	\N	\N
678626	2318	1995-01-31	VYDAJ	VYBER	15	39042	SLUZBY	\N	\N
678627	2318	1995-02-28	VYDAJ	VYBER	15	51115	SLUZBY	\N	\N
678628	2318	1995-03-31	VYDAJ	VYBER	15	55114	SLUZBY	\N	\N
678629	2318	1995-04-30	VYDAJ	VYBER	15	59130	SLUZBY	\N	\N
678630	2318	1995-05-31	VYDAJ	VYBER	15	59451	SLUZBY	\N	\N
678631	2318	1995-06-30	VYDAJ	VYBER	15	45483	SLUZBY	\N	\N
678632	2318	1995-07-31	VYDAJ	VYBER	15	46275	SLUZBY	\N	\N
678633	2318	1995-08-31	VYDAJ	VYBER	15	43877	SLUZBY	\N	\N
678634	2318	1995-09-30	VYDAJ	VYBER	15	43965	SLUZBY	\N	\N
678635	2318	1995-10-31	VYDAJ	VYBER	15	45746	SLUZBY	\N	\N
678636	2318	1995-11-30	VYDAJ	VYBER	15	46738	SLUZBY	\N	\N
678637	2318	1995-12-31	VYDAJ	VYBER	15	51247	SLUZBY	\N	\N
678638	2318	1996-01-31	VYDAJ	VYBER	15	37144	SLUZBY	\N	\N
678639	2318	1996-02-29	VYDAJ	VYBER	15	42005	SLUZBY	\N	\N
678640	2318	1996-03-31	VYDAJ	VYBER	15	45588	SLUZBY	\N	\N
678641	2318	1996-04-30	VYDAJ	VYBER	15	48783	SLUZBY	\N	\N
678642	2318	1996-05-31	VYDAJ	VYBER	15	49788	SLUZBY	\N	\N
678643	2318	1996-06-30	VYDAJ	VYBER	15	45793	SLUZBY	\N	\N
678644	2318	1996-07-31	VYDAJ	VYBER	15	47681	SLUZBY	\N	\N
678645	2318	1996-08-31	VYDAJ	VYBER	15	49679	SLUZBY	\N	\N
678646	2318	1996-09-30	VYDAJ	VYBER	15	47579	SLUZBY	\N	\N
678647	2318	1996-10-31	VYDAJ	VYBER	15	46269	SLUZBY	\N	\N
678648	2318	1996-11-30	VYDAJ	VYBER	15	44054	SLUZBY	\N	\N
678649	2318	1996-12-31	VYDAJ	VYBER	15	53141	SLUZBY	\N	\N
678650	2318	1997-01-31	VYDAJ	VYBER	15	39220	SLUZBY	\N	\N
678651	2318	1997-02-28	VYDAJ	VYBER	15	39075	SLUZBY	\N	\N
678652	2318	1997-03-31	VYDAJ	VYBER	15	40532	SLUZBY	\N	\N
678653	2318	1997-04-30	VYDAJ	VYBER	15	37488	SLUZBY	\N	\N
678654	2318	1997-05-31	VYDAJ	VYBER	15	31426	SLUZBY	\N	\N
678655	2318	1997-06-30	VYDAJ	VYBER	15	31126	SLUZBY	\N	\N
678656	2318	1997-07-31	VYDAJ	VYBER	15	34750	SLUZBY	\N	\N
678657	2318	1997-08-31	VYDAJ	VYBER	15	31776	SLUZBY	\N	\N
678658	2318	1997-09-30	VYDAJ	VYBER	15	33497	SLUZBY	\N	\N
678659	2318	1997-10-31	VYDAJ	VYBER	15	34322	SLUZBY	\N	\N
678660	2318	1997-11-30	VYDAJ	VYBER	15	33246	SLUZBY	\N	\N
678661	2318	1997-12-31	VYDAJ	VYBER	15	35064	SLUZBY	\N	\N
678662	2318	1998-01-31	VYDAJ	VYBER	15	26668	SLUZBY	\N	\N
678663	2318	1998-02-28	VYDAJ	VYBER	15	26959	SLUZBY	\N	\N
678664	2318	1998-03-31	VYDAJ	VYBER	15	29358	SLUZBY	\N	\N
678665	2318	1998-04-30	VYDAJ	VYBER	15	35373	SLUZBY	\N	\N
678666	2318	1998-05-31	VYDAJ	VYBER	15	34898	SLUZBY	\N	\N
678667	2318	1998-06-30	VYDAJ	VYBER	15	33909	SLUZBY	\N	\N
678668	2318	1998-07-31	VYDAJ	VYBER	15	31823	SLUZBY	\N	\N
678669	2318	1998-08-31	VYDAJ	VYBER	15	27019	SLUZBY	\N	\N
678670	2318	1998-09-30	VYDAJ	VYBER	15	22594	SLUZBY	\N	\N
678671	2318	1998-10-31	VYDAJ	VYBER	15	36496	SLUZBY	\N	\N
678672	2318	1998-11-30	VYDAJ	VYBER	15	17471	SLUZBY	\N	\N
678673	2318	1993-12-08	PRIJEM	VKLAD	800	24033	\N	\N	\N
678674	2318	1994-01-07	VYDAJ	VYBER	15800	42881	\N	\N	\N
678675	2318	1994-02-06	VYDAJ	VYBER	19300	46810	\N	\N	\N
678676	2318	1994-03-08	VYDAJ	VYBER	21600	48458	\N	\N	\N
678677	2318	1994-04-07	VYDAJ	VYBER	17800	44700	\N	\N	\N
678678	2318	1994-05-07	VYDAJ	VYBER	17100	41623	\N	\N	\N
678679	2318	1994-06-06	VYDAJ	VYBER	14900	40732	\N	\N	\N
678680	2318	1994-07-06	VYDAJ	VYBER	19000	41146	\N	\N	\N
678681	2318	1994-08-05	VYDAJ	VYBER	14900	40255	\N	\N	\N
678682	2318	1994-09-04	VYDAJ	VYBER	13900	40356	\N	\N	\N
678683	2318	1994-10-04	VYDAJ	VYBER	12900	36938	\N	\N	\N
678684	2318	1994-11-03	VYDAJ	VYBER	9200	34718	\N	\N	\N
678685	2318	1994-12-03	VYDAJ	VYBER	8300	36172	\N	\N	\N
678686	2318	1995-01-02	VYDAJ	VYBER	12400	48060	\N	\N	\N
678687	2318	1995-02-01	VYDAJ	VYBER	1900	37142	\N	\N	\N
678688	2318	1995-03-03	VYDAJ	VYBER	10000	41115	\N	\N	\N
678689	2318	1995-04-02	VYDAJ	VYBER	10000	45114	\N	\N	\N
678690	2318	1995-05-02	VYDAJ	VYBER	13700	45430	\N	\N	\N
678691	2318	1995-06-01	VYDAJ	VYBER	13300	46151	\N	\N	\N
678692	2318	1995-07-01	VYDAJ	VYBER	4400	41083	\N	\N	\N
678693	2318	1995-07-31	VYDAJ	VYBER	8800	46290	\N	\N	\N
678694	2318	1995-08-30	VYDAJ	VYBER	13600	43660	\N	\N	\N
678695	2318	1995-09-29	VYDAJ	VYBER	7700	47262	\N	\N	\N
678696	2318	1995-10-29	VYDAJ	VYBER	6700	45550	\N	\N	\N
678697	2318	1995-11-28	VYDAJ	VYBER	9400	46531	\N	\N	\N
678698	2318	1995-12-28	VYDAJ	VYBER	14100	55204	\N	\N	\N
678699	2318	1996-01-27	VYDAJ	VYBER	8000	43432	\N	\N	\N
678700	2318	1996-02-26	VYDAJ	VYBER	9100	41829	\N	\N	\N
678701	2318	1996-03-27	VYDAJ	VYBER	9700	45390	\N	\N	\N
678702	2318	1996-04-26	VYDAJ	VYBER	10800	48573	\N	\N	\N
678703	2318	1996-05-26	VYDAJ	VYBER	13000	49568	\N	\N	\N
678704	2318	1996-06-25	VYDAJ	VYBER	17400	50154	\N	\N	\N
678705	2318	1996-07-25	VYDAJ	VYBER	9200	47478	\N	\N	\N
678706	2318	1996-08-24	VYDAJ	VYBER	12000	49466	\N	\N	\N
678707	2318	1996-09-23	VYDAJ	VYBER	16100	47364	\N	\N	\N
678708	2318	1996-10-23	VYDAJ	VYBER	11500	46064	\N	\N	\N
678709	2318	1996-11-22	VYDAJ	VYBER	16200	43854	\N	\N	\N
678710	2318	1996-12-22	VYDAJ	VYBER	15600	52920	\N	\N	\N
678711	2318	1997-01-21	VYDAJ	VYBER	12900	41126	\N	\N	\N
678712	2318	1997-02-20	VYDAJ	VYBER	14100	38905	\N	\N	\N
678713	2318	1997-03-22	VYDAJ	VYBER	12500	40360	\N	\N	\N
678714	2318	1997-04-21	VYDAJ	VYBER	17000	37317	\N	\N	\N
678715	2318	1997-05-21	VYDAJ	VYBER	11900	35173	\N	\N	\N
678716	2318	1997-06-20	VYDAJ	VYBER	10900	30992	\N	\N	\N
678717	2318	1997-07-20	VYDAJ	VYBER	9700	35211	\N	\N	\N
678718	2318	1997-08-19	VYDAJ	VYBER	16900	31635	\N	\N	\N
678719	2318	1997-09-18	VYDAJ	VYBER	12200	33361	\N	\N	\N
678720	2318	1997-10-18	VYDAJ	VYBER	12500	34782	\N	\N	\N
678721	2318	1997-11-17	VYDAJ	VYBER	15000	33107	\N	\N	\N
678722	2318	1997-12-17	VYDAJ	VYBER	21200	37312	\N	\N	\N
678723	2318	1998-01-16	VYDAJ	VYBER	10500	29249	\N	\N	\N
678724	2318	1998-02-15	VYDAJ	VYBER	13600	26853	\N	\N	\N
678725	2318	1998-03-17	VYDAJ	VYBER	11500	29244	\N	\N	\N
678726	2318	1998-04-16	VYDAJ	VYBER	7900	35243	\N	\N	\N
678727	2318	1998-05-16	VYDAJ	VYBER	14400	34758	\N	\N	\N
678728	2318	1998-06-15	VYDAJ	VYBER	21500	33764	\N	\N	\N
678729	2318	1998-07-15	VYDAJ	VYBER	16000	31694	\N	\N	\N
678730	2318	1998-08-14	VYDAJ	VYBER	18700	26908	\N	\N	\N
678731	2318	1998-09-13	VYDAJ	VYBER	18300	27695	\N	\N	\N
678732	2318	1998-11-12	VYDAJ	VYBER	28200	26307	\N	\N	\N
678733	2318	1998-12-12	VYDAJ	VYBER	20500	28082	\N	\N	\N
678796	2319	1996-07-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
678797	2319	1996-11-15	PRIJEM	VKLAD	15031	40689	\N	\N	\N
678800	2319	1996-11-23	PRIJEM	VKLAD	49576	90265	\N	\N	\N
678802	2319	1997-03-17	PRIJEM	VKLAD	38743	68520	\N	\N	\N
678803	2319	1997-03-28	PRIJEM	VKLAD	39452	107972	\N	\N	\N
678804	2319	1997-10-19	PRIJEM	VKLAD	30330	114342	\N	\N	\N
678805	2319	1997-11-29	PRIJEM	VKLAD	11218	57668	\N	\N	\N
678806	2319	1997-11-17	PRIJEM	VKLAD	23577	58810	\N	\N	\N
678807	2319	1997-09-22	PRIJEM	VKLAD	16562	101037	\N	\N	\N
678808	2319	1997-01-17	PRIJEM	VKLAD	36715	121284	\N	\N	\N
678809	2319	1997-09-06	PRIJEM	VKLAD	45170	95592	\N	\N	\N
678810	2319	1997-12-01	PRIJEM	VKLAD	27546	85413	\N	\N	\N
678811	2319	1997-01-13	PRIJEM	VKLAD	37905	84569	\N	\N	\N
678812	2319	1997-06-03	PRIJEM	VKLAD	9465	41165	\N	\N	\N
678813	2319	1997-09-05	PRIJEM	VKLAD	30947	50422	\N	\N	\N
678814	2319	1997-04-14	PRIJEM	VKLAD	43726	85037	\N	\N	\N
678815	2319	1997-10-22	PRIJEM	VKLAD	41186	99928	\N	\N	\N
678816	2319	1997-10-22	PRIJEM	VKLAD	17950	117878	\N	\N	\N
678817	2319	1997-10-13	PRIJEM	VKLAD	7859	84012	\N	\N	\N
678818	2319	1997-11-21	PRIJEM	VKLAD	20899	79709	\N	\N	\N
678819	2319	1997-04-14	PRIJEM	VKLAD	15443	41311	\N	\N	\N
678820	2319	1997-04-13	PRIJEM	VKLAD	8489	25868	\N	\N	\N
678821	2319	1997-09-13	PRIJEM	VKLAD	32793	118875	\N	\N	\N
678822	2319	1997-02-08	PRIJEM	VKLAD	21052	68997	\N	\N	\N
678823	2319	1997-10-08	PRIJEM	VKLAD	23538	85663	\N	\N	\N
678824	2319	1997-08-15	PRIJEM	VKLAD	6856	24486	\N	\N	\N
678825	2319	1997-06-21	PRIJEM	VKLAD	22715	54370	\N	\N	\N
678826	2319	1998-11-17	PRIJEM	VKLAD	16245	29102	\N	\N	\N
678827	2319	1998-01-07	PRIJEM	VKLAD	11974	43913	\N	\N	\N
678828	2319	1998-12-08	PRIJEM	VKLAD	41840	63521	\N	\N	\N
678829	2319	1998-12-24	PRIJEM	VKLAD	47849	69564	\N	\N	\N
678830	2319	1998-10-25	PRIJEM	VKLAD	9400	22294	\N	\N	\N
678831	2319	1998-08-10	PRIJEM	VKLAD	23017	27697	\N	\N	\N
678832	2319	1998-09-06	PRIJEM	VKLAD	30001	45827	\N	\N	\N
678846	2319	1997-02-11	VYDAJ	PREVOD NA UCET	9510	59487	SIPO	ST	46060675
678847	2319	1997-03-11	VYDAJ	PREVOD NA UCET	9510	29777	SIPO	ST	46060675
678848	2319	1997-04-11	VYDAJ	PREVOD NA UCET	9510	17379	SIPO	ST	46060675
678849	2319	1997-05-11	VYDAJ	PREVOD NA UCET	9510	44102	SIPO	ST	46060675
678850	2319	1997-06-11	VYDAJ	PREVOD NA UCET	9510	31655	SIPO	ST	46060675
678851	2319	1997-07-11	VYDAJ	PREVOD NA UCET	9510	29301	SIPO	ST	46060675
678852	2319	1997-08-11	VYDAJ	PREVOD NA UCET	9510	17630	SIPO	ST	46060675
678853	2319	1997-09-11	VYDAJ	PREVOD NA UCET	9510	86082	SIPO	ST	46060675
678854	2319	1997-10-11	VYDAJ	PREVOD NA UCET	9510	76153	SIPO	ST	46060675
678855	2319	1997-11-11	VYDAJ	PREVOD NA UCET	9510	35233	SIPO	ST	46060675
678856	2319	1997-12-11	VYDAJ	PREVOD NA UCET	9510	43567	SIPO	ST	46060675
678857	2319	1998-01-11	VYDAJ	PREVOD NA UCET	9510	34403	SIPO	ST	46060675
678858	2319	1998-02-11	VYDAJ	PREVOD NA UCET	9510	14298	SIPO	ST	46060675
678859	2319	1998-03-11	VYDAJ	PREVOD NA UCET	9510	11169	SIPO	ST	46060675
678860	2319	1998-04-11	VYDAJ	PREVOD NA UCET	9510	4623	SIPO	ST	46060675
678864	2319	1998-08-11	VYDAJ	PREVOD NA UCET	9510	18187	SIPO	ST	46060675
678865	2319	1998-09-11	VYDAJ	PREVOD NA UCET	9510	36317	SIPO	ST	46060675
678866	2319	1998-10-11	VYDAJ	PREVOD NA UCET	9510	13394	SIPO	ST	46060675
678867	2319	1998-11-11	VYDAJ	PREVOD NA UCET	9510	12857	SIPO	ST	46060675
678868	2319	1998-12-11	VYDAJ	PREVOD NA UCET	9510	54011	SIPO	ST	46060675
678870	2319	1997-12-02	VYBER	VYBER	22418	62995	\N	\N	\N
678871	2319	1997-03-28	VYBER	VYBER	24649	83323	\N	\N	\N
678872	2319	1997-11-23	VYBER	VYBER	9759	69950	\N	\N	\N
678874	2319	1997-12-10	VYBER	VYBER	4518	53077	\N	\N	\N
678876	2319	1997-11-10	VYBER	VYBER	6734	44743	\N	\N	\N
678878	2319	1997-04-15	VYBER	VYBER	2456	82581	\N	\N	\N
678879	2319	1997-04-07	VYBER	VYBER	15737	26889	\N	\N	\N
678884	2319	1998-12-18	VYBER	VYBER	10996	31615	\N	\N	\N
678893	2319	1997-12-07	VYDAJ	VYBER	5400	57595	\N	\N	\N
678894	2319	1998-12-21	VYDAJ	VYBER	3900	21715	\N	\N	\N
678902	2319	1997-12-15	VYDAJ	VYBER	3600	39967	\N	\N	\N
678903	2319	1997-02-21	VYDAJ	VYBER	10200	49287	\N	\N	\N
678904	2319	1997-05-30	VYDAJ	VYBER	5100	31502	\N	\N	\N
678907	2319	1998-12-28	VYDAJ	VYBER	14700	54864	\N	\N	\N
678908	2319	1998-01-13	VYDAJ	VYBER	6000	28403	\N	\N	\N
678911	2319	1998-12-17	VYDAJ	VYBER	11400	42611	\N	\N	\N
678926	2319	1997-02-28	VYDAJ	VYBER	15	39287	SLUZBY	\N	\N
678927	2319	1997-03-31	VYDAJ	VYBER	15	42626	SLUZBY	\N	\N
678928	2319	1997-04-30	VYDAJ	VYBER	15	53612	SLUZBY	\N	\N
678929	2319	1997-05-31	VYDAJ	VYBER	15	31700	SLUZBY	\N	\N
678930	2319	1997-06-30	VYDAJ	VYBER	15	38811	SLUZBY	\N	\N
678931	2319	1997-07-31	VYDAJ	VYBER	15	27140	SLUZBY	\N	\N
678932	2319	1997-08-31	VYDAJ	VYBER	15	19475	SLUZBY	\N	\N
678933	2319	1997-09-30	VYDAJ	VYBER	15	62125	SLUZBY	\N	\N
678934	2319	1997-10-31	VYDAJ	VYBER	15	51477	SLUZBY	\N	\N
678935	2319	1997-11-30	VYDAJ	VYBER	15	57867	SLUZBY	\N	\N
678936	2319	1997-12-31	VYDAJ	VYBER	15	31939	SLUZBY	\N	\N
678937	2319	1998-01-31	VYDAJ	VYBER	15	23808	SLUZBY	\N	\N
678938	2319	1998-02-28	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
678939	2319	1998-03-31	VYDAJ	VYBER	15	14133	SLUZBY	\N	\N
678940	2319	1998-04-30	VYDAJ	VYBER	15	4666	SLUZBY	\N	\N
678941	2319	1998-05-31	VYDAJ	VYBER	15	4651	SLUZBY	\N	\N
678942	2319	1998-06-30	VYDAJ	VYBER	15	4675	SLUZBY	\N	\N
678943	2319	1998-07-31	VYDAJ	VYBER	15	4680	SLUZBY	\N	\N
678944	2319	1998-08-31	VYDAJ	VYBER	15	15826	SLUZBY	\N	\N
678945	2319	1998-09-30	VYDAJ	VYBER	15	22904	SLUZBY	\N	\N
678946	2319	1998-10-31	VYDAJ	VYBER	15	22367	SLUZBY	\N	\N
678947	2319	1998-11-30	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
678948	2319	1996-08-01	PRIJEM	VKLAD	11800	12900	\N	\N	\N
678949	2319	1996-08-31	PRIJEM	VKLAD	5700	18603	\N	\N	\N
678950	2319	1996-09-30	PRIJEM	VKLAD	4900	23503	\N	\N	\N
678951	2319	1996-10-30	PRIJEM	VKLAD	2000	25580	\N	\N	\N
678952	2319	1996-11-29	VYDAJ	VYBER	30200	60065	\N	\N	\N
678953	2319	1996-12-29	VYDAJ	VYBER	13800	46413	\N	\N	\N
678954	2319	1997-01-17	VYDAJ	VYBER	49400	71884	\N	\N	\N
678955	2319	1997-01-28	VYDAJ	VYBER	24200	47684	\N	\N	\N
678956	2319	1997-02-27	VYDAJ	VYBER	10200	39087	\N	\N	\N
678957	2319	1997-03-28	VYDAJ	VYBER	24000	59323	\N	\N	\N
678958	2319	1997-03-29	VYDAJ	VYBER	16900	42423	\N	\N	\N
678959	2319	1997-04-28	VYDAJ	VYBER	29200	53381	\N	\N	\N
678960	2319	1997-05-28	VYDAJ	VYBER	7500	36602	\N	\N	\N
678961	2319	1997-06-27	VYDAJ	VYBER	15700	38670	\N	\N	\N
678962	2319	1997-07-27	VYDAJ	VYBER	2300	27001	\N	\N	\N
678963	2319	1997-08-26	VYDAJ	VYBER	5100	19386	\N	\N	\N
678964	2319	1997-09-13	VYDAJ	VYBER	34400	84475	\N	\N	\N
678965	2319	1997-09-25	VYDAJ	VYBER	39200	61837	\N	\N	\N
678966	2319	1997-10-19	VYDAJ	VYBER	55600	58742	\N	\N	\N
678967	2319	1997-10-22	VYDAJ	VYBER	37300	80578	\N	\N	\N
678968	2319	1997-10-25	VYDAJ	VYBER	29400	51178	\N	\N	\N
678969	2319	1997-11-24	VYDAJ	VYBER	23500	46450	\N	\N	\N
678970	2319	1997-12-24	VYDAJ	VYBER	8200	31767	\N	\N	\N
678971	2319	1998-01-23	VYDAJ	VYBER	4700	23703	\N	\N	\N
678972	2319	1998-02-22	PRIJEM	VKLAD	6300	20598	\N	\N	\N
678973	2319	1998-03-24	PRIJEM	VKLAD	2900	14069	\N	\N	\N
678974	2319	1998-08-21	VYDAJ	VYBER	2400	15787	\N	\N	\N
678975	2319	1998-09-20	VYDAJ	VYBER	13500	22817	\N	\N	\N
678976	2319	1998-10-20	VYDAJ	VYBER	500	12894	\N	\N	\N
678977	2319	1998-11-19	VYDAJ	VYBER	7500	21602	\N	\N	\N
678978	2319	1998-12-19	VYDAJ	VYBER	6000	25615	\N	\N	\N
679576	2321	1993-05-13	PRIJEM	VKLAD	400	400	\N	\N	\N
679577	2321	1993-12-10	PRIJEM	VKLAD	21489	82484	\N	\N	\N
679578	2321	1993-08-19	PRIJEM	VKLAD	9685	33317	\N	\N	\N
679579	2321	1993-06-01	PRIJEM	VKLAD	48300	114419	\N	\N	\N
679581	2321	1993-06-11	PRIJEM	VKLAD	33790	102990	\N	\N	\N
679582	2321	1993-05-31	PRIJEM	VKLAD	11274	66119	\N	\N	\N
679583	2321	1993-12-01	PRIJEM	VKLAD	25556	129495	\N	\N	\N
679587	2321	1993-05-16	PRIJEM	VKLAD	14082	14482	\N	\N	\N
679589	2321	1993-09-23	PRIJEM	VKLAD	22053	47376	\N	\N	\N
679590	2321	1993-12-24	PRIJEM	VKLAD	40379	110933	\N	\N	\N
679592	2321	1993-12-11	PRIJEM	VKLAD	33724	116208	\N	\N	\N
679593	2321	1993-12-19	PRIJEM	VKLAD	6146	107254	\N	\N	\N
679594	2321	1993-11-21	PRIJEM	VKLAD	6064	53967	\N	\N	\N
679596	2321	1993-12-26	PRIJEM	VKLAD	38328	113161	\N	\N	\N
679599	2321	1993-06-07	PRIJEM	VKLAD	32381	118900	\N	\N	\N
679601	2321	1993-05-30	PRIJEM	VKLAD	40319	54801	\N	\N	\N
679602	2321	1993-10-26	PRIJEM	VKLAD	29302	67203	\N	\N	\N
679604	2321	1993-11-27	PRIJEM	VKLAD	49697	103664	\N	\N	\N
679605	2321	1994-08-30	PRIJEM	VKLAD	34841	109806	\N	\N	\N
679606	2321	1994-05-23	PRIJEM	VKLAD	18703	42438	\N	\N	\N
679607	2321	1994-07-26	PRIJEM	VKLAD	17919	44793	\N	\N	\N
679608	2321	1994-03-18	PRIJEM	VKLAD	28495	86692	\N	\N	\N
679609	2321	1994-03-08	PRIJEM	VKLAD	34885	92997	\N	\N	\N
679610	2321	1994-12-15	PRIJEM	VKLAD	35671	73637	\N	\N	\N
679611	2321	1994-09-21	PRIJEM	VKLAD	49741	124172	\N	\N	\N
679612	2321	1994-03-04	PRIJEM	VKLAD	36859	58112	\N	\N	\N
679613	2321	1994-08-26	PRIJEM	VKLAD	37781	118042	\N	\N	\N
679614	2321	1994-08-11	PRIJEM	VKLAD	40335	83861	\N	\N	\N
679615	2321	1994-06-09	PRIJEM	VKLAD	34109	58653	\N	\N	\N
679616	2321	1994-02-25	PRIJEM	VKLAD	7661	27473	\N	\N	\N
679617	2321	1994-07-31	PRIJEM	VKLAD	13405	58340	\N	\N	\N
679618	2321	1994-12-03	PRIJEM	VKLAD	31575	69146	\N	\N	\N
679619	2321	1994-11-16	PRIJEM	VKLAD	5937	37437	\N	\N	\N
679620	2321	1994-09-13	PRIJEM	VKLAD	30133	78931	\N	\N	\N
679621	2321	1995-09-17	PRIJEM	VKLAD	46811	101831	\N	\N	\N
679622	2321	1995-08-28	PRIJEM	VKLAD	29769	84493	\N	\N	\N
679623	2321	1995-01-29	PRIJEM	VKLAD	46300	107961	\N	\N	\N
679624	2321	1995-09-07	PRIJEM	VKLAD	36707	96995	\N	\N	\N
679625	2321	1995-11-28	PRIJEM	VKLAD	32562	120047	\N	\N	\N
679626	2321	1995-05-13	PRIJEM	VKLAD	37457	81262	\N	\N	\N
679627	2321	1995-11-19	PRIJEM	VKLAD	33792	87485	\N	\N	\N
679628	2321	1995-12-18	PRIJEM	VKLAD	43885	92509	\N	\N	\N
679629	2321	1995-07-30	PRIJEM	VKLAD	49925	128839	\N	\N	\N
679630	2321	1995-09-17	PRIJEM	VKLAD	38550	140381	\N	\N	\N
679631	2321	1995-02-18	PRIJEM	VKLAD	42095	116453	\N	\N	\N
679632	2321	1995-02-12	PRIJEM	VKLAD	14774	114603	\N	\N	\N
679633	2321	1995-04-02	PRIJEM	VKLAD	23335	77521	\N	\N	\N
679634	2321	1995-07-18	PRIJEM	VKLAD	27974	78914	\N	\N	\N
679635	2321	1995-05-15	PRIJEM	VKLAD	25529	106791	\N	\N	\N
679636	2321	1995-01-19	PRIJEM	VKLAD	33242	70361	\N	\N	\N
679637	2321	1995-02-11	PRIJEM	VKLAD	32618	99829	\N	\N	\N
679638	2321	1995-06-17	PRIJEM	VKLAD	49168	91829	\N	\N	\N
679639	2321	1995-01-09	PRIJEM	VKLAD	15053	59619	\N	\N	\N
679640	2321	1995-09-09	PRIJEM	VKLAD	17925	114920	\N	\N	\N
679641	2321	1995-06-25	PRIJEM	VKLAD	20493	127046	\N	\N	\N
679642	2321	1995-05-01	PRIJEM	VKLAD	36589	124305	\N	\N	\N
679643	2321	1995-12-05	PRIJEM	VKLAD	5766	65431	\N	\N	\N
679644	2321	1995-06-22	PRIJEM	VKLAD	14724	106553	\N	\N	\N
679645	2321	1995-04-25	PRIJEM	VKLAD	40067	87488	\N	\N	\N
679646	2321	1995-10-15	PRIJEM	VKLAD	18206	78758	\N	\N	\N
679647	2321	1996-10-05	PRIJEM	VKLAD	40984	105386	\N	\N	\N
679648	2321	1996-01-19	PRIJEM	VKLAD	43658	137017	\N	\N	\N
679649	2321	1996-12-14	PRIJEM	VKLAD	37017	82224	\N	\N	\N
679650	2321	1996-04-06	PRIJEM	VKLAD	38390	87467	\N	\N	\N
679651	2321	1996-02-07	PRIJEM	VKLAD	38500	91523	\N	\N	\N
679652	2321	1996-09-30	PRIJEM	VKLAD	41738	119416	\N	\N	\N
679653	2321	1996-12-18	PRIJEM	VKLAD	23649	105873	\N	\N	\N
679654	2321	1996-01-06	PRIJEM	VKLAD	43277	93359	\N	\N	\N
679655	2321	1996-09-27	PRIJEM	VKLAD	39280	77492	\N	\N	\N
679656	2321	1996-05-29	PRIJEM	VKLAD	19972	64917	\N	\N	\N
679657	2321	1996-03-07	PRIJEM	VKLAD	18697	82329	\N	\N	\N
679658	2321	1996-05-21	PRIJEM	VKLAD	7191	54745	\N	\N	\N
679659	2321	1997-11-28	PRIJEM	VKLAD	5392	78706	\N	\N	\N
679660	2321	1997-11-25	PRIJEM	VKLAD	6182	73314	\N	\N	\N
679661	2321	1997-01-13	PRIJEM	VKLAD	29118	101139	\N	\N	\N
679662	2321	1997-06-17	PRIJEM	VKLAD	40531	83308	\N	\N	\N
679663	2321	1997-01-25	PRIJEM	VKLAD	30580	97319	\N	\N	\N
679664	2321	1997-11-15	PRIJEM	VKLAD	29541	93932	\N	\N	\N
679665	2321	1997-10-08	PRIJEM	VKLAD	29337	77379	\N	\N	\N
679666	2321	1998-11-27	PRIJEM	VKLAD	9214	54484	\N	\N	\N
679667	2321	1998-05-14	PRIJEM	VKLAD	42711	82774	\N	\N	\N
679668	2321	1998-10-14	PRIJEM	VKLAD	28367	150593	\N	\N	\N
679669	2321	1998-10-27	PRIJEM	VKLAD	49349	135242	\N	\N	\N
679670	2321	1998-11-04	PRIJEM	VKLAD	36451	116894	\N	\N	\N
679671	2321	1998-11-02	PRIJEM	VKLAD	17191	134743	\N	\N	\N
679672	2321	1998-06-11	PRIJEM	VKLAD	17749	74930	\N	\N	\N
679673	2321	1998-04-13	PRIJEM	VKLAD	35392	99186	\N	\N	\N
679674	2321	1998-01-09	PRIJEM	VKLAD	15295	67058	\N	\N	\N
679675	2321	1998-10-08	PRIJEM	VKLAD	46905	165426	\N	\N	\N
679676	2321	1998-10-02	PRIJEM	VKLAD	16272	98897	\N	\N	\N
679677	2321	1998-06-06	PRIJEM	VKLAD	31988	119381	\N	\N	\N
679678	2321	1998-06-01	PRIJEM	VKLAD	28647	87393	\N	\N	\N
679679	2321	1998-12-01	PRIJEM	VKLAD	22978	77778	\N	\N	\N
679680	2321	1998-07-19	PRIJEM	VKLAD	34066	101004	\N	\N	\N
679681	2321	1998-09-08	PRIJEM	VKLAD	40302	80847	\N	\N	\N
679682	2321	1998-10-28	PRIJEM	VKLAD	41989	117131	\N	\N	\N
679683	2321	1998-06-30	PRIJEM	VKLAD	39741	85771	\N	\N	\N
679684	2321	1998-09-21	PRIJEM	VKLAD	20088	82335	\N	\N	\N
679685	2321	1998-03-07	PRIJEM	VKLAD	5950	47510	\N	\N	\N
679686	2321	1998-05-20	PRIJEM	VKLAD	15880	81554	\N	\N	\N
679687	2321	1998-08-30	PRIJEM	VKLAD	12223	71250	\N	\N	\N
679688	2321	1998-10-06	PRIJEM	VKLAD	19624	118521	\N	\N	\N
679689	2321	1998-03-27	PRIJEM	VKLAD	21505	69915	\N	\N	\N
679763	2321	1994-12-09	VYBER	VYBER	7880	37966	\N	\N	\N
679765	2321	1994-04-10	VYBER	VYBER	16696	31467	\N	\N	\N
679766	2321	1994-10-07	VYBER	VYBER	5889	49743	\N	\N	\N
679767	2321	1994-02-11	VYBER	VYBER	3332	19812	\N	\N	\N
679768	2321	1994-10-17	VYBER	VYBER	16129	33614	\N	\N	\N
679769	2321	1994-08-28	VYBER	VYBER	5077	74965	\N	\N	\N
679775	2321	1994-04-28	VYBER	VYBER	7599	23868	\N	\N	\N
679776	2321	1994-06-27	VYBER	VYBER	17734	31019	\N	\N	\N
679777	2321	1995-06-06	VYBER	VYBER	3337	42661	\N	\N	\N
679778	2321	1995-12-12	VYBER	VYBER	16807	48624	\N	\N	\N
679779	2321	1995-05-25	VYBER	VYBER	11159	93232	\N	\N	\N
679780	2321	1995-02-15	VYBER	VYBER	2945	74358	\N	\N	\N
679781	2321	1995-06-02	VYBER	VYBER	2047	54598	\N	\N	\N
679782	2321	1996-06-02	VYBER	VYBER	3640	39209	\N	\N	\N
679783	2321	1996-10-07	VYBER	VYBER	17190	88196	\N	\N	\N
679784	2321	1996-06-01	VYBER	VYBER	22256	42849	\N	\N	\N
679785	2321	1996-03-21	VYBER	VYBER	16422	55634	\N	\N	\N
679787	2321	1996-04-23	VYBER	VYBER	11872	74095	\N	\N	\N
679788	2321	1996-01-23	VYBER	VYBER	6853	105864	\N	\N	\N
679789	2321	1996-11-25	VYBER	VYBER	8897	44977	\N	\N	\N
679790	2321	1996-10-16	VYBER	VYBER	3765	84431	\N	\N	\N
679791	2321	1996-03-12	VYBER	VYBER	10273	72056	\N	\N	\N
679792	2321	1998-09-06	VYBER	VYBER	16552	40545	\N	\N	\N
679793	2321	1998-04-23	VYBER	VYBER	22817	48969	\N	\N	\N
679794	2321	1998-05-06	VYBER	VYBER	9171	40063	\N	\N	\N
679795	2321	1998-08-11	VYBER	VYBER	3608	66027	\N	\N	\N
679797	2321	1998-02-04	VYBER	VYBER	3032	33020	\N	\N	\N
679798	2321	1998-07-26	VYBER	VYBER	21512	79492	\N	\N	\N
679800	2321	1998-11-20	VYBER	VYBER	21024	45270	\N	\N	\N
679801	2321	1998-05-23	VYBER	VYBER	23036	58518	\N	\N	\N
679802	2321	1993-06-27	VYDAJ	VYBER	14100	50990	\N	\N	\N
679804	2321	1995-06-01	VYDAJ	VYBER	36900	56645	\N	\N	\N
679807	2321	1998-06-25	VYDAJ	VYBER	15600	46030	\N	\N	\N
679814	2321	1994-01-17	VYDAJ	VYBER	3900	30198	\N	\N	\N
679815	2321	1994-01-09	VYDAJ	VYBER	3300	35898	\N	\N	\N
679816	2321	1994-01-07	VYDAJ	VYBER	8100	54298	\N	\N	\N
679817	2321	1994-01-24	VYDAJ	VYBER	5400	24798	\N	\N	\N
679818	2321	1994-01-02	VYDAJ	VYBER	7200	62398	\N	\N	\N
679819	2321	1994-01-10	VYDAJ	VYBER	1800	34098	\N	\N	\N
679820	2321	1995-01-14	VYDAJ	VYBER	6900	52719	\N	\N	\N
679821	2321	1995-01-20	VYDAJ	VYBER	2100	68261	\N	\N	\N
679822	2321	1995-01-03	VYDAJ	VYBER	7800	44566	\N	\N	\N
679823	2321	1995-01-23	VYDAJ	VYBER	4200	64061	\N	\N	\N
679824	2321	1995-01-28	VYDAJ	VYBER	2400	61661	\N	\N	\N
679825	2321	1995-01-14	VYDAJ	VYBER	4200	48519	\N	\N	\N
679826	2321	1996-01-28	VYDAJ	VYBER	2100	60164	\N	\N	\N
679827	2321	1996-01-30	VYDAJ	VYBER	7500	52664	\N	\N	\N
679828	2321	1996-01-24	VYDAJ	VYBER	2700	103164	\N	\N	\N
679829	2321	1996-01-28	VYDAJ	VYBER	3300	92064	\N	\N	\N
679830	2321	1996-01-25	VYDAJ	VYBER	7800	95364	\N	\N	\N
679831	2321	1996-01-05	VYDAJ	VYBER	2700	50082	\N	\N	\N
679832	2321	1997-01-13	VYDAJ	VYBER	3300	97839	\N	\N	\N
679833	2321	1997-01-16	VYDAJ	VYBER	2100	93939	\N	\N	\N
679834	2321	1997-01-13	VYDAJ	VYBER	1800	96039	\N	\N	\N
679835	2321	1997-01-10	VYDAJ	VYBER	1500	72021	\N	\N	\N
679836	2321	1997-01-29	VYDAJ	VYBER	5100	92219	\N	\N	\N
679837	2321	1997-01-05	VYDAJ	VYBER	2100	73521	\N	\N	\N
679838	2321	1998-01-12	VYDAJ	VYBER	6900	60158	\N	\N	\N
679839	2321	1998-01-06	VYDAJ	VYBER	7500	51763	\N	\N	\N
679840	2321	1998-01-21	VYDAJ	VYBER KARTOU	3900	45458	\N	\N	0
679841	2321	1998-01-14	VYDAJ	VYBER	8100	52058	\N	\N	\N
679842	2321	1998-01-24	VYDAJ	VYBER KARTOU	3600	41858	\N	\N	0
679843	2321	1998-01-17	VYDAJ	VYBER	8100	49358	\N	\N	\N
679844	2321	1993-09-04	VYDAJ	VYBER	4500	28923	\N	\N	\N
679845	2321	1993-07-23	VYDAJ	VYBER	14400	25564	\N	\N	\N
679846	2321	1994-09-18	VYDAJ	VYBER	4500	74431	\N	\N	\N
679847	2321	1994-03-01	VYDAJ	VYBER	6300	21253	\N	\N	\N
679848	2321	1994-03-30	VYDAJ	VYBER	12300	74392	\N	\N	\N
679849	2321	1994-06-09	VYDAJ	VYBER	9900	48753	\N	\N	\N
679850	2321	1994-05-23	VYDAJ	VYBER	14700	27738	\N	\N	\N
679851	2321	1994-08-12	VYDAJ	VYBER	3600	80261	\N	\N	\N
679854	2321	1995-03-21	VYDAJ	VYBER	2400	53909	\N	\N	\N
679855	2321	1995-05-19	VYDAJ	VYBER	2400	104391	\N	\N	\N
679856	2321	1995-04-13	VYDAJ	VYBER	7800	47421	\N	\N	\N
679857	2321	1995-05-05	VYDAJ	VYBER	4500	43805	\N	\N	\N
679858	2321	1995-01-18	VYDAJ	VYBER	11400	37119	\N	\N	\N
679859	2321	1996-06-23	VYDAJ	VYBER	3600	35609	\N	\N	\N
679860	2321	1996-04-11	VYDAJ	VYBER	1500	85967	\N	\N	\N
679861	2321	1996-04-25	VYDAJ	VYBER	10500	63595	\N	\N	\N
679862	2321	1996-01-02	VYDAJ	VYBER	10800	52782	\N	\N	\N
679863	2321	1997-12-25	VYDAJ	VYBER KARTOU	1800	58990	\N	\N	0
679864	2321	1997-03-20	VYDAJ	VYBER	12900	52816	\N	\N	\N
679865	2321	1997-12-16	VYDAJ	VYBER	9000	69990	\N	\N	\N
679866	2321	1997-06-21	VYDAJ	VYBER	3000	65108	\N	\N	\N
679867	2321	1997-11-24	VYDAJ	VYBER	8400	67132	\N	\N	\N
679868	2321	1997-08-26	VYDAJ	VYBER	12300	45551	\N	\N	\N
679869	2321	1997-04-06	VYDAJ	VYBER	9600	39050	\N	\N	\N
679870	2321	1997-11-06	VYDAJ	VYBER KARTOU	2100	64391	\N	\N	0
679871	2321	1998-08-31	VYDAJ	VYBER	14400	57097	\N	\N	\N
679872	2321	1998-06-10	VYDAJ	VYBER	10200	57181	\N	\N	\N
679873	2321	1998-04-01	VYDAJ	VYBER	6300	63794	\N	\N	\N
679874	2321	1998-12-07	VYDAJ	VYBER	13200	64578	\N	\N	\N
679875	2321	1998-07-26	VYDAJ	VYBER	10200	69292	\N	\N	\N
679876	2321	1998-01-28	VYDAJ	VYBER	6000	35858	\N	\N	\N
679883	2321	1993-06-30	VYDAJ	VYBER	15	51264	SLUZBY	\N	\N
679884	2321	1993-07-31	VYDAJ	VYBER	15	25732	SLUZBY	\N	\N
679885	2321	1993-08-31	VYDAJ	VYBER	15	33423	SLUZBY	\N	\N
679886	2321	1993-09-30	VYDAJ	VYBER	15	47501	SLUZBY	\N	\N
679887	2321	1993-10-31	VYDAJ	VYBER	15	67403	SLUZBY	\N	\N
679888	2321	1993-11-30	VYDAJ	VYBER	15	103939	SLUZBY	\N	\N
679889	2321	1993-12-31	VYDAJ	VYBER	15	69598	SLUZBY	\N	\N
679890	2321	1994-01-31	VYDAJ	VYBER	15	24944	SLUZBY	\N	\N
679891	2321	1994-02-28	VYDAJ	VYBER	15	27553	SLUZBY	\N	\N
679892	2321	1994-03-31	VYDAJ	VYBER	15	74663	SLUZBY	\N	\N
679893	2321	1994-04-30	VYDAJ	VYBER	15	24035	SLUZBY	\N	\N
679894	2321	1994-05-31	VYDAJ	VYBER	15	27844	SLUZBY	\N	\N
679895	2321	1994-06-30	VYDAJ	VYBER	15	31174	SLUZBY	\N	\N
679896	2321	1994-07-31	VYDAJ	VYBER	15	58326	SLUZBY	\N	\N
679897	2321	1994-08-31	VYDAJ	VYBER	15	73798	SLUZBY	\N	\N
679898	2321	1994-09-30	VYDAJ	VYBER	15	82432	SLUZBY	\N	\N
679899	2321	1994-10-31	VYDAJ	VYBER	15	33800	SLUZBY	\N	\N
679900	2321	1994-11-30	VYDAJ	VYBER	15	37571	SLUZBY	\N	\N
679901	2321	1994-12-31	VYDAJ	VYBER	15	73866	SLUZBY	\N	\N
679902	2321	1995-01-31	VYDAJ	VYBER	15	108211	SLUZBY	\N	\N
679903	2321	1995-02-28	VYDAJ	VYBER	15	78809	SLUZBY	\N	\N
679904	2321	1995-03-31	VYDAJ	VYBER	15	54186	SLUZBY	\N	\N
679905	2321	1995-04-30	VYDAJ	VYBER	15	87716	SLUZBY	\N	\N
679906	2321	1995-05-31	VYDAJ	VYBER	15	93545	SLUZBY	\N	\N
679907	2321	1995-06-30	VYDAJ	VYBER	15	64140	SLUZBY	\N	\N
679908	2321	1995-07-31	VYDAJ	VYBER	15	74024	SLUZBY	\N	\N
679909	2321	1995-08-31	VYDAJ	VYBER	15	60288	SLUZBY	\N	\N
679910	2321	1995-09-30	VYDAJ	VYBER	15	91452	SLUZBY	\N	\N
679911	2321	1995-10-31	VYDAJ	VYBER	15	53693	SLUZBY	\N	\N
679912	2321	1995-11-30	VYDAJ	VYBER	15	59665	SLUZBY	\N	\N
679913	2321	1995-12-31	VYDAJ	VYBER	15	63582	SLUZBY	\N	\N
679914	2321	1996-01-31	VYDAJ	VYBER	15	53023	SLUZBY	\N	\N
679915	2321	1996-02-29	VYDAJ	VYBER	15	63632	SLUZBY	\N	\N
679916	2321	1996-03-31	VYDAJ	VYBER	15	49077	SLUZBY	\N	\N
679917	2321	1996-04-30	VYDAJ	VYBER	15	47554	SLUZBY	\N	\N
679918	2321	1996-05-31	VYDAJ	VYBER	15	65105	SLUZBY	\N	\N
679919	2321	1996-06-30	VYDAJ	VYBER	15	35154	SLUZBY	\N	\N
679920	2321	1996-07-31	VYDAJ	VYBER	15	34983	SLUZBY	\N	\N
679921	2321	1996-08-31	VYDAJ	VYBER	15	38812	SLUZBY	\N	\N
679922	2321	1996-09-30	VYDAJ	VYBER	15	119402	SLUZBY	\N	\N
679923	2321	1996-10-31	VYDAJ	VYBER	15	63174	SLUZBY	\N	\N
679924	2321	1996-11-30	VYDAJ	VYBER	15	45207	SLUZBY	\N	\N
679925	2321	1996-12-31	VYDAJ	VYBER	15	75621	SLUZBY	\N	\N
679926	2321	1997-01-31	VYDAJ	VYBER	15	92553	SLUZBY	\N	\N
679927	2321	1997-02-28	VYDAJ	VYBER	15	65716	SLUZBY	\N	\N
679928	2321	1997-03-31	VYDAJ	VYBER	15	48650	SLUZBY	\N	\N
679929	2321	1997-04-30	VYDAJ	VYBER	15	41225	SLUZBY	\N	\N
679930	2321	1997-05-31	VYDAJ	VYBER	15	42777	SLUZBY	\N	\N
679931	2321	1997-06-30	VYDAJ	VYBER	15	65299	SLUZBY	\N	\N
679932	2321	1997-07-31	VYDAJ	VYBER	15	60451	SLUZBY	\N	\N
679933	2321	1997-08-31	VYDAJ	VYBER	15	45771	SLUZBY	\N	\N
679934	2321	1997-09-30	VYDAJ	VYBER	15	48042	SLUZBY	\N	\N
679935	2321	1997-10-31	VYDAJ	VYBER	15	66491	SLUZBY	\N	\N
679936	2321	1997-11-30	VYDAJ	VYBER	15	78990	SLUZBY	\N	\N
679937	2321	1997-12-31	VYDAJ	VYBER	15	59263	SLUZBY	\N	\N
679938	2321	1998-01-31	VYDAJ	VYBER	15	36052	SLUZBY	\N	\N
679939	2321	1998-02-28	VYDAJ	VYBER	15	41560	SLUZBY	\N	\N
679940	2321	1998-03-31	VYDAJ	VYBER	15	70094	SLUZBY	\N	\N
679941	2321	1998-04-30	VYDAJ	VYBER	15	49234	SLUZBY	\N	\N
679942	2321	1998-05-31	VYDAJ	VYBER	15	58746	SLUZBY	\N	\N
679943	2321	1998-06-30	VYDAJ	VYBER	15	86038	SLUZBY	\N	\N
679944	2321	1998-07-31	VYDAJ	VYBER	15	69635	SLUZBY	\N	\N
679945	2321	1998-08-31	VYDAJ	VYBER	15	71497	SLUZBY	\N	\N
679946	2321	1998-09-30	VYDAJ	VYBER	15	82625	SLUZBY	\N	\N
679947	2321	1998-10-31	VYDAJ	VYBER	15	117552	SLUZBY	\N	\N
679948	2321	1998-11-30	VYDAJ	VYBER	15	54800	SLUZBY	\N	\N
679949	2321	1993-06-01	VYDAJ	VYBER	27900	86519	\N	\N	\N
679950	2321	1993-06-07	VYDAJ	VYBER	49700	69200	\N	\N	\N
679951	2321	1993-06-12	VYDAJ	VYBER	37900	65090	\N	\N	\N
679952	2321	1993-07-12	VYDAJ	VYBER	11300	39964	\N	\N	\N
679953	2321	1993-08-11	VYDAJ	VYBER	2100	23632	\N	\N	\N
679954	2321	1993-09-10	VYDAJ	VYBER	3600	25323	\N	\N	\N
679955	2321	1993-10-10	VYDAJ	VYBER	9600	37901	\N	\N	\N
679956	2321	1993-11-09	VYDAJ	VYBER	19500	47903	\N	\N	\N
679957	2321	1993-12-01	VYDAJ	VYBER	36300	93195	\N	\N	\N
679958	2321	1993-12-09	VYDAJ	VYBER	32200	60995	\N	\N	\N
679959	2321	1993-12-11	VYDAJ	VYBER	15100	101108	\N	\N	\N
679960	2321	1993-12-19	VYDAJ	VYBER	36700	70554	\N	\N	\N
679961	2321	1993-12-24	VYDAJ	VYBER	36100	74833	\N	\N	\N
679962	2321	1993-12-26	VYDAJ	VYBER	43900	69261	\N	\N	\N
679963	2321	1994-01-08	VYDAJ	VYBER	15100	39198	\N	\N	\N
679964	2321	1994-02-07	VYDAJ	VYBER	1800	23144	\N	\N	\N
679965	2321	1994-03-09	VYDAJ	VYBER	34800	58197	\N	\N	\N
679966	2321	1994-04-08	VYDAJ	VYBER	26500	48163	\N	\N	\N
679967	2321	1994-05-08	VYDAJ	VYBER	300	23735	\N	\N	\N
679968	2321	1994-06-07	VYDAJ	VYBER	3300	24544	\N	\N	\N
679969	2321	1994-07-07	VYDAJ	VYBER	4300	26874	\N	\N	\N
679970	2321	1994-08-06	VYDAJ	VYBER	14800	43526	\N	\N	\N
679971	2321	1994-08-26	VYDAJ	VYBER	38000	80042	\N	\N	\N
679972	2321	1994-08-30	VYDAJ	VYBER	36300	73506	\N	\N	\N
679973	2321	1994-09-05	VYDAJ	VYBER	25000	48798	\N	\N	\N
679974	2321	1994-09-21	VYDAJ	VYBER	42100	82072	\N	\N	\N
679975	2321	1994-10-05	VYDAJ	VYBER	26800	55632	\N	\N	\N
679976	2321	1994-11-04	VYDAJ	VYBER	2300	31500	\N	\N	\N
679977	2321	1994-12-04	VYDAJ	VYBER	23300	45846	\N	\N	\N
679978	2321	1995-01-03	VYDAJ	VYBER	21500	52366	\N	\N	\N
679979	2321	1995-02-02	VYDAJ	VYBER	41000	67211	\N	\N	\N
679980	2321	1995-02-12	VYDAJ	VYBER	37300	77303	\N	\N	\N
679981	2321	1995-02-18	VYDAJ	VYBER	38000	78453	\N	\N	\N
679982	2321	1995-03-04	VYDAJ	VYBER	22500	56309	\N	\N	\N
679983	2321	1995-04-03	VYDAJ	VYBER	22300	55221	\N	\N	\N
679984	2321	1995-05-01	VYDAJ	VYBER	59500	64805	\N	\N	\N
679985	2321	1995-05-03	VYDAJ	VYBER	16500	48305	\N	\N	\N
679986	2321	1995-06-02	VYDAJ	VYBER	8600	45998	\N	\N	\N
679987	2321	1995-06-25	VYDAJ	VYBER	63200	63846	\N	\N	\N
679988	2321	1995-07-02	VYDAJ	VYBER	13200	50940	\N	\N	\N
679989	2321	1995-07-30	VYDAJ	VYBER	55100	73739	\N	\N	\N
679990	2321	1995-08-01	VYDAJ	VYBER	19300	54724	\N	\N	\N
679991	2321	1995-08-31	VYDAJ	VYBER	24500	60303	\N	\N	\N
679992	2321	1995-09-09	VYDAJ	VYBER	59900	55020	\N	\N	\N
679993	2321	1995-09-17	VYDAJ	VYBER	49300	91081	\N	\N	\N
679994	2321	1995-09-30	VYDAJ	VYBER	30900	60552	\N	\N	\N
679995	2321	1995-10-30	VYDAJ	VYBER	25300	53458	\N	\N	\N
679996	2321	1995-11-28	VYDAJ	VYBER	32000	88047	\N	\N	\N
679997	2321	1995-11-29	VYDAJ	VYBER	28600	59447	\N	\N	\N
679998	2321	1995-12-29	VYDAJ	VYBER	29200	63309	\N	\N	\N
679999	2321	1996-01-19	VYDAJ	VYBER	24300	112717	\N	\N	\N
680000	2321	1996-01-28	VYDAJ	VYBER	29800	62264	\N	\N	\N
680001	2321	1996-02-27	VYDAJ	VYBER	28100	63423	\N	\N	\N
680002	2321	1996-03-28	VYDAJ	VYBER	6800	48834	\N	\N	\N
680003	2321	1996-04-27	VYDAJ	VYBER	16300	47295	\N	\N	\N
680004	2321	1996-05-27	VYDAJ	VYBER	9800	44945	\N	\N	\N
680005	2321	1996-06-26	VYDAJ	VYBER	600	35009	\N	\N	\N
680006	2321	1996-07-26	VYDAJ	VYBER	300	34854	\N	\N	\N
680007	2321	1996-08-25	PRIJEM	VKLAD	3700	38683	\N	\N	\N
680008	2321	1996-09-24	VYDAJ	VYBER	600	38212	\N	\N	\N
680009	2321	1996-09-30	VYDAJ	VYBER	55000	64402	\N	\N	\N
680010	2321	1996-10-24	VYDAJ	VYBER	21600	62831	\N	\N	\N
680011	2321	1996-11-23	VYDAJ	VYBER	9300	53874	\N	\N	\N
680012	2321	1996-12-23	VYDAJ	VYBER	30500	75373	\N	\N	\N
680013	2321	1997-01-22	VYDAJ	VYBER	27200	66739	\N	\N	\N
680014	2321	1997-02-21	VYDAJ	VYBER	27200	65353	\N	\N	\N
680015	2321	1997-03-23	VYDAJ	VYBER	4400	48416	\N	\N	\N
680016	2321	1997-04-22	PRIJEM	VKLAD	2000	41050	\N	\N	\N
680017	2321	1997-05-22	PRIJEM	VKLAD	1400	42625	\N	\N	\N
680018	2321	1997-06-21	VYDAJ	VYBER	15200	68108	\N	\N	\N
680019	2321	1997-07-21	VYDAJ	VYBER	5100	60199	\N	\N	\N
680020	2321	1997-08-20	VYDAJ	VYBER KARTOU	2600	57851	\N	\N	0
680021	2321	1997-09-19	PRIJEM	VKLAD	2100	47871	\N	\N	\N
680022	2321	1997-10-19	VYDAJ	VYBER	11100	66279	\N	\N	\N
680023	2321	1997-11-18	VYDAJ	VYBER	18400	75532	\N	\N	\N
680024	2321	1997-12-18	VYDAJ	VYBER	9200	60790	\N	\N	\N
680025	2321	1998-01-17	PRIJEM	VKLAD	5400	57458	\N	\N	\N
680026	2321	1998-02-16	PRIJEM	VKLAD	8400	41420	\N	\N	\N
680027	2321	1998-03-18	PRIJEM	VKLAD	900	48410	\N	\N	\N
680028	2321	1998-04-17	VYDAJ	VYBER	27400	71786	\N	\N	\N
680029	2321	1998-05-17	VYDAJ	VYBER	17100	65674	\N	\N	\N
680030	2321	1998-06-06	VYDAJ	VYBER	52000	67381	\N	\N	\N
680031	2321	1998-06-16	VYDAJ	VYBER	13300	61630	\N	\N	\N
680032	2321	1998-07-16	VYDAJ	VYBER	19100	66938	\N	\N	\N
680033	2321	1998-08-15	VYDAJ	VYBER	7000	59027	\N	\N	\N
680034	2321	1998-09-14	VYDAJ	VYBER	18600	62247	\N	\N	\N
680035	2321	1998-10-08	VYDAJ	VYBER	43200	122226	\N	\N	\N
680036	2321	1998-10-14	VYDAJ	VYBER	33600	116993	\N	\N	\N
680037	2321	1998-10-14	VYDAJ	VYBER	31100	85893	\N	\N	\N
680038	2321	1998-10-27	VYDAJ	VYBER	60100	75142	\N	\N	\N
680039	2321	1998-11-02	VYDAJ	VYBER	54300	80443	\N	\N	\N
680040	2321	1998-11-04	VYDAJ	VYBER	37300	79594	\N	\N	\N
680041	2321	1998-11-13	VYDAJ	VYBER	13300	66294	\N	\N	\N
680110	2322	1995-01-02	PRIJEM	VKLAD	900	900	\N	\N	\N
680111	2322	1995-05-04	PRIJEM	VKLAD	6044	43994	\N	\N	\N
680113	2322	1995-02-21	PRIJEM	VKLAD	15903	87184	\N	\N	\N
680114	2322	1995-03-28	PRIJEM	VKLAD	6872	60460	\N	\N	\N
680115	2322	1995-05-22	PRIJEM	VKLAD	45128	111013	\N	\N	\N
680116	2322	1995-10-14	PRIJEM	VKLAD	47815	76099	\N	\N	\N
680117	2322	1995-01-26	PRIJEM	VKLAD	34922	35822	\N	\N	\N
680118	2322	1995-08-12	PRIJEM	VKLAD	12674	45214	\N	\N	\N
680119	2322	1995-12-26	PRIJEM	VKLAD	49053	106266	\N	\N	\N
680120	2322	1995-02-23	PRIJEM	VKLAD	8479	95663	\N	\N	\N
680121	2322	1995-02-12	PRIJEM	VKLAD	43930	71281	\N	\N	\N
680122	2322	1995-03-25	PRIJEM	VKLAD	31037	53588	\N	\N	\N
680123	2322	1995-02-27	PRIJEM	VKLAD	9932	105595	\N	\N	\N
680124	2322	1995-04-27	PRIJEM	VKLAD	21881	54698	\N	\N	\N
680125	2322	1995-05-20	PRIJEM	VKLAD	33985	69399	\N	\N	\N
680126	2322	1995-12-13	PRIJEM	VKLAD	26475	48935	\N	\N	\N
680127	2322	1995-09-10	PRIJEM	VKLAD	13392	56677	\N	\N	\N
680128	2322	1995-06-06	PRIJEM	VKLAD	48668	85561	\N	\N	\N
680129	2322	1995-12-22	PRIJEM	VKLAD	10909	57213	\N	\N	\N
680130	2322	1995-10-14	PRIJEM	VKLAD	6393	28284	\N	\N	\N
680131	2322	1995-08-26	PRIJEM	VKLAD	36075	78658	\N	\N	\N
680132	2322	1995-12-26	PRIJEM	VKLAD	13627	119893	\N	\N	\N
680133	2322	1995-07-11	PRIJEM	VKLAD	17790	57701	\N	\N	\N
680134	2322	1995-05-20	PRIJEM	VKLAD	43586	112985	\N	\N	\N
680135	2322	1995-11-07	PRIJEM	VKLAD	13142	61324	\N	\N	\N
680136	2322	1995-05-27	PRIJEM	VKLAD	8186	57599	\N	\N	\N
680137	2322	1996-07-11	PRIJEM	VKLAD	35323	54926	\N	\N	\N
680138	2322	1996-10-17	PRIJEM	VKLAD	28621	74370	\N	\N	\N
680139	2322	1996-11-03	PRIJEM	VKLAD	22413	90155	\N	\N	\N
680140	2322	1996-07-22	PRIJEM	VKLAD	26010	76375	\N	\N	\N
680141	2322	1996-01-24	PRIJEM	VKLAD	31104	56735	\N	\N	\N
680142	2322	1996-09-29	PRIJEM	VKLAD	33938	54281	\N	\N	\N
680143	2322	1996-06-11	PRIJEM	VKLAD	9839	19610	\N	\N	\N
680144	2322	1996-03-26	PRIJEM	VKLAD	44024	57640	\N	\N	\N
680145	2322	1996-06-12	PRIJEM	VKLAD	23826	43436	\N	\N	\N
680146	2322	1996-10-30	PRIJEM	VKLAD	18755	67525	\N	\N	\N
680147	2322	1996-01-07	PRIJEM	VKLAD	11049	48511	\N	\N	\N
680148	2322	1997-11-16	PRIJEM	VKLAD	35958	132980	\N	\N	\N
680149	2322	1997-09-20	PRIJEM	VKLAD	9690	69715	\N	\N	\N
680150	2322	1997-05-09	PRIJEM	VKLAD	46455	89531	\N	\N	\N
680151	2322	1997-11-15	PRIJEM	VKLAD	23417	113322	\N	\N	\N
680152	2322	1997-08-31	PRIJEM	VKLAD	28250	87561	\N	\N	\N
680153	2322	1997-03-30	PRIJEM	VKLAD	23862	44542	\N	\N	\N
680154	2322	1997-11-29	PRIJEM	VKLAD	25862	92742	\N	\N	\N
680155	2322	1997-10-21	PRIJEM	VKLAD	34825	87161	\N	\N	\N
680156	2322	1997-01-02	PRIJEM	VKLAD	11609	35945	\N	\N	\N
680157	2322	1997-11-09	PRIJEM	VKLAD	15285	97825	\N	\N	\N
680158	2322	1997-09-24	PRIJEM	VKLAD	49432	148002	\N	\N	\N
680159	2322	1997-09-21	PRIJEM	VKLAD	28855	98570	\N	\N	\N
680160	2322	1997-02-15	PRIJEM	VKLAD	19981	35201	\N	\N	\N
680161	2322	1997-09-12	PRIJEM	VKLAD	19488	102986	\N	\N	\N
680162	2322	1997-12-28	PRIJEM	VKLAD	31934	108668	\N	\N	\N
680163	2322	1997-04-08	PRIJEM	VKLAD	48422	92348	\N	\N	\N
680164	2322	1997-10-13	PRIJEM	VKLAD	34580	80967	\N	\N	\N
680165	2322	1997-07-16	PRIJEM	VKLAD	47392	72802	\N	\N	\N
680166	2322	1997-08-23	PRIJEM	VKLAD	26650	59109	\N	\N	\N
680167	2322	1997-12-18	PRIJEM	VKLAD	33077	90534	\N	\N	\N
680170	2322	1995-03-18	VYDAJ	VYBER	2400	22551	\N	\N	0
680171	2322	1995-04-04	VYDAJ	VYBER	1900	39497	\N	\N	0
680172	2322	1995-05-11	VYDAJ	VYBER	1900	38045	\N	\N	0
680173	2322	1995-06-12	VYDAJ	VYBER	1500	73112	\N	\N	0
680174	2322	1995-07-08	VYDAJ	VYBER	1100	43270	\N	\N	0
680175	2322	1995-08-01	VYDAJ	VYBER	2300	36589	\N	\N	0
680176	2322	1995-09-02	VYDAJ	VYBER	1200	47334	\N	\N	0
680177	2322	1995-10-28	VYDAJ	VYBER	2000	73080	\N	\N	0
680178	2322	1995-11-15	VYDAJ	VYBER	1800	52844	\N	\N	0
680179	2322	1995-11-26	VYDAJ	VYBER	2200	31941	\N	\N	0
680180	2322	1996-01-04	VYDAJ	VYBER	1900	37462	\N	\N	0
680181	2322	1996-02-03	VYDAJ	VYBER	2200	31378	\N	\N	0
680182	2322	1996-03-12	VYDAJ	VYBER	2000	16247	\N	\N	0
680183	2322	1996-04-20	VYDAJ	VYBER	1900	28035	\N	\N	0
680184	2322	1996-05-12	VYDAJ	VYBER	1400	16397	\N	\N	0
680185	2322	1996-06-14	VYDAJ	VYBER	2800	39024	\N	\N	0
680186	2322	1996-07-12	VYDAJ	PREVOD NA UCET	1930	52996	UVER	KL	89574056
680187	2322	1996-08-12	VYDAJ	PREVOD NA UCET	1930	28964	UVER	KL	89574056
680188	2322	1996-09-12	VYDAJ	PREVOD NA UCET	1930	18474	UVER	KL	89574056
680189	2322	1996-10-12	VYDAJ	PREVOD NA UCET	1930	48380	UVER	KL	89574056
680190	2322	1996-11-12	VYDAJ	PREVOD NA UCET	1930	84176	UVER	KL	89574056
680191	2322	1996-12-12	VYDAJ	PREVOD NA UCET	1930	45278	UVER	KL	89574056
680192	2322	1997-01-12	VYDAJ	PREVOD NA UCET	1930	27566	UVER	KL	89574056
680193	2322	1997-02-12	VYDAJ	PREVOD NA UCET	1930	17851	UVER	KL	89574056
680194	2322	1997-03-12	VYDAJ	PREVOD NA UCET	1930	18111	UVER	KL	89574056
680195	2322	1997-04-12	VYDAJ	PREVOD NA UCET	1930	87059	UVER	KL	89574056
680196	2322	1997-05-12	VYDAJ	PREVOD NA UCET	1930	84242	UVER	KL	89574056
680197	2322	1997-06-12	VYDAJ	PREVOD NA UCET	1930	46887	UVER	KL	89574056
680198	2322	1997-07-12	VYDAJ	PREVOD NA UCET	1930	28041	UVER	KL	89574056
680199	2322	1997-08-12	VYDAJ	PREVOD NA UCET	1930	43890	UVER	KL	89574056
680200	2322	1997-09-12	VYDAJ	PREVOD NA UCET	1930	101056	UVER	KL	89574056
680201	2322	1997-10-12	VYDAJ	PREVOD NA UCET	1930	46387	UVER	KL	89574056
680202	2322	1997-11-12	VYDAJ	PREVOD NA UCET	1930	92536	UVER	KL	89574056
680203	2322	1997-12-12	VYDAJ	PREVOD NA UCET	1930	87088	UVER	KL	89574056
680204	2322	1998-01-12	VYDAJ	PREVOD NA UCET	1930	78135	UVER	KL	89574056
680205	2322	1998-02-12	VYDAJ	PREVOD NA UCET	1930	26084	UVER	KL	89574056
680206	2322	1998-03-12	VYDAJ	PREVOD NA UCET	1930	25584	UVER	KL	89574056
680207	2322	1998-04-12	VYDAJ	PREVOD NA UCET	1930	18727	UVER	KL	89574056
680208	2322	1998-05-12	VYDAJ	PREVOD NA UCET	1930	19900	UVER	KL	89574056
680209	2322	1998-06-12	VYDAJ	PREVOD NA UCET	1930	16567	UVER	KL	89574056
680210	2322	1998-07-17	VYDAJ	VYBER	1400	18725	\N	\N	0
680211	2322	1998-08-08	VYDAJ	VYBER	2000	16096	\N	\N	0
680212	2322	1998-09-11	VYDAJ	VYBER	1300	15519	\N	\N	0
680218	2322	1995-03-09	VYDAJ	PREVOD NA UCET	3359	27582	SIPO	ST	75713777
680219	2322	1995-04-09	VYDAJ	PREVOD NA UCET	3359	35448	SIPO	ST	75713777
680220	2322	1995-05-09	VYDAJ	PREVOD NA UCET	3359	39945	SIPO	ST	75713777
680221	2322	1995-06-09	VYDAJ	PREVOD NA UCET	3359	74612	SIPO	ST	75713777
680222	2322	1995-07-09	VYDAJ	PREVOD NA UCET	3359	39911	SIPO	ST	75713777
680223	2322	1995-08-09	VYDAJ	PREVOD NA UCET	3359	32540	SIPO	ST	75713777
680224	2322	1995-09-09	VYDAJ	PREVOD NA UCET	3359	43285	SIPO	ST	75713777
680225	2322	1995-10-09	VYDAJ	PREVOD NA UCET	3359	23503	SIPO	ST	75713777
680226	2322	1995-11-09	VYDAJ	PREVOD NA UCET	3359	57275	SIPO	ST	75713777
680227	2322	1995-12-09	VYDAJ	PREVOD NA UCET	3359	22460	SIPO	ST	75713777
680228	2322	1996-01-09	VYDAJ	PREVOD NA UCET	3359	44462	SIPO	ST	75713777
680229	2322	1996-02-09	VYDAJ	PREVOD NA UCET	3359	27329	SIPO	ST	75713777
680230	2322	1996-03-09	VYDAJ	PREVOD NA UCET	3359	18247	SIPO	ST	75713777
680231	2322	1996-04-09	VYDAJ	PREVOD NA UCET	3359	32566	SIPO	ST	75713777
680232	2322	1996-05-09	VYDAJ	PREVOD NA UCET	3359	17797	SIPO	ST	75713777
680233	2322	1996-06-09	VYDAJ	PREVOD NA UCET	3359	9771	SIPO	ST	75713777
680234	2322	1996-07-09	VYDAJ	PREVOD NA UCET	3359	19603	SIPO	ST	75713777
680235	2322	1996-08-09	VYDAJ	PREVOD NA UCET	3359	42294	SIPO	ST	75713777
680236	2322	1996-09-09	VYDAJ	PREVOD NA UCET	3359	20404	SIPO	ST	75713777
680237	2322	1996-10-09	VYDAJ	PREVOD NA UCET	3359	50310	SIPO	ST	75713777
680238	2322	1996-11-09	VYDAJ	PREVOD NA UCET	3359	86106	SIPO	ST	75713777
680239	2322	1996-12-09	VYDAJ	PREVOD NA UCET	3359	47208	SIPO	ST	75713777
680240	2322	1997-01-09	VYDAJ	PREVOD NA UCET	3359	29496	SIPO	ST	75713777
680241	2322	1997-02-09	VYDAJ	PREVOD NA UCET	3359	19781	SIPO	ST	75713777
680242	2322	1997-03-09	VYDAJ	PREVOD NA UCET	3359	20041	SIPO	ST	75713777
680243	2322	1997-04-09	VYDAJ	PREVOD NA UCET	3359	88989	SIPO	ST	75713777
680244	2322	1997-05-09	VYDAJ	PREVOD NA UCET	3359	86172	SIPO	ST	75713777
680245	2322	1997-06-09	VYDAJ	PREVOD NA UCET	3359	48817	SIPO	ST	75713777
680246	2322	1997-07-09	VYDAJ	PREVOD NA UCET	3359	29971	SIPO	ST	75713777
680247	2322	1997-08-09	VYDAJ	PREVOD NA UCET	3359	45820	SIPO	ST	75713777
680248	2322	1997-09-09	VYDAJ	PREVOD NA UCET	3359	83498	SIPO	ST	75713777
680249	2322	1997-10-09	VYDAJ	PREVOD NA UCET	3359	48317	SIPO	ST	75713777
680250	2322	1997-11-09	VYDAJ	PREVOD NA UCET	3359	94466	SIPO	ST	75713777
680251	2322	1997-12-09	VYDAJ	PREVOD NA UCET	3359	89018	SIPO	ST	75713777
680252	2322	1998-01-09	VYDAJ	PREVOD NA UCET	3359	94774	SIPO	ST	75713777
680253	2322	1998-02-09	VYDAJ	PREVOD NA UCET	3359	28014	SIPO	ST	75713777
680254	2322	1998-03-09	VYDAJ	PREVOD NA UCET	3359	27514	SIPO	ST	75713777
680255	2322	1998-04-09	VYDAJ	PREVOD NA UCET	3359	20657	SIPO	ST	75713777
680256	2322	1998-05-09	VYDAJ	PREVOD NA UCET	3359	21830	SIPO	ST	75713777
680257	2322	1998-06-09	VYDAJ	PREVOD NA UCET	3359	18497	SIPO	ST	75713777
680258	2322	1998-07-09	VYDAJ	PREVOD NA UCET	3359	16956	SIPO	ST	75713777
680259	2322	1998-08-09	VYDAJ	PREVOD NA UCET	3359	12737	SIPO	ST	75713777
680260	2322	1998-09-09	VYDAJ	PREVOD NA UCET	3359	16819	SIPO	ST	75713777
680261	2322	1998-10-09	VYDAJ	PREVOD NA UCET	3359	8886	SIPO	ST	75713777
680266	2322	1995-03-07	VYDAJ	PREVOD NA UCET	690	30941	 	QR	87459748
680267	2322	1995-04-07	VYDAJ	PREVOD NA UCET	690	38807	 	QR	87459748
680268	2322	1995-05-07	VYDAJ	PREVOD NA UCET	690	43304	 	QR	87459748
680269	2322	1995-06-07	VYDAJ	PREVOD NA UCET	690	84871	 	QR	87459748
680270	2322	1995-07-07	VYDAJ	PREVOD NA UCET	690	44370	 	QR	87459748
680271	2322	1995-08-07	VYDAJ	PREVOD NA UCET	690	35899	 	QR	87459748
680272	2322	1995-09-07	VYDAJ	PREVOD NA UCET	690	46644	 	QR	87459748
680273	2322	1995-10-07	VYDAJ	PREVOD NA UCET	690	26862	 	QR	87459748
680274	2322	1995-11-07	VYDAJ	PREVOD NA UCET	690	60634	 	QR	87459748
680275	2322	1995-12-07	VYDAJ	PREVOD NA UCET	690	25819	 	QR	87459748
680276	2322	1996-01-07	VYDAJ	PREVOD NA UCET	690	47821	 	QR	87459748
680277	2322	1996-02-07	VYDAJ	PREVOD NA UCET	690	30688	 	QR	87459748
680278	2322	1996-03-07	VYDAJ	PREVOD NA UCET	690	21606	 	QR	87459748
680279	2322	1996-04-07	VYDAJ	PREVOD NA UCET	690	35925	 	QR	87459748
680280	2322	1996-05-07	VYDAJ	PREVOD NA UCET	690	21156	 	QR	87459748
680281	2322	1996-06-07	VYDAJ	PREVOD NA UCET	690	13130	 	QR	87459748
680282	2322	1996-07-07	VYDAJ	PREVOD NA UCET	690	22962	 	QR	87459748
680283	2322	1996-08-07	VYDAJ	PREVOD NA UCET	690	45653	 	QR	87459748
680284	2322	1996-09-07	VYDAJ	PREVOD NA UCET	690	23763	 	QR	87459748
680285	2322	1996-10-07	VYDAJ	PREVOD NA UCET	690	53669	 	QR	87459748
680286	2322	1996-11-07	VYDAJ	PREVOD NA UCET	690	89465	 	QR	87459748
680287	2322	1996-12-07	VYDAJ	PREVOD NA UCET	690	50567	 	QR	87459748
680288	2322	1997-01-07	VYDAJ	PREVOD NA UCET	690	32855	 	QR	87459748
680289	2322	1997-02-07	VYDAJ	PREVOD NA UCET	690	23140	 	QR	87459748
680290	2322	1997-03-07	VYDAJ	PREVOD NA UCET	690	23400	 	QR	87459748
680291	2322	1997-04-07	VYDAJ	PREVOD NA UCET	690	43926	 	QR	87459748
680292	2322	1997-05-07	VYDAJ	PREVOD NA UCET	690	43076	 	QR	87459748
680293	2322	1997-06-07	VYDAJ	PREVOD NA UCET	690	52176	 	QR	87459748
680294	2322	1997-07-07	VYDAJ	PREVOD NA UCET	690	33330	 	QR	87459748
680295	2322	1997-08-07	VYDAJ	PREVOD NA UCET	690	49179	 	QR	87459748
680296	2322	1997-09-07	VYDAJ	PREVOD NA UCET	690	86857	 	QR	87459748
680297	2322	1997-10-07	VYDAJ	PREVOD NA UCET	690	51676	 	QR	87459748
680298	2322	1997-11-07	VYDAJ	PREVOD NA UCET	690	82540	 	QR	87459748
680299	2322	1997-12-07	VYDAJ	PREVOD NA UCET	690	92377	 	QR	87459748
680300	2322	1998-01-07	VYDAJ	PREVOD NA UCET	690	98133	 	QR	87459748
680301	2322	1998-02-07	VYDAJ	PREVOD NA UCET	690	31373	 	QR	87459748
680302	2322	1998-03-07	VYDAJ	PREVOD NA UCET	690	30873	 	QR	87459748
680303	2322	1998-04-07	VYDAJ	PREVOD NA UCET	690	24016	 	QR	87459748
680304	2322	1998-05-07	VYDAJ	PREVOD NA UCET	690	25189	 	QR	87459748
680305	2322	1998-06-07	VYDAJ	PREVOD NA UCET	690	21856	 	QR	87459748
680306	2322	1998-07-07	VYDAJ	PREVOD NA UCET	690	20315	 	QR	87459748
680307	2322	1998-08-07	VYDAJ	PREVOD NA UCET	690	18096	 	QR	87459748
680308	2322	1998-09-07	VYDAJ	PREVOD NA UCET	690	20178	 	QR	87459748
680309	2322	1998-10-07	VYDAJ	PREVOD NA UCET	690	12245	 	QR	87459748
680310	2322	1998-11-07	VYDAJ	PREVOD NA UCET	690	5582	 	QR	87459748
680314	2322	1995-03-14	VYDAJ	PREVOD NA UCET	1019	24951	POJISTNE	EF	97367155
680315	2322	1995-04-14	VYDAJ	PREVOD NA UCET	1019	32817	POJISTNE	EF	97367155
680316	2322	1995-05-14	VYDAJ	PREVOD NA UCET	1019	35414	POJISTNE	EF	97367155
680317	2322	1995-06-14	VYDAJ	PREVOD NA UCET	1019	70481	POJISTNE	EF	97367155
680318	2322	1995-07-14	VYDAJ	PREVOD NA UCET	1019	55070	POJISTNE	EF	97367155
680319	2322	1995-08-14	VYDAJ	PREVOD NA UCET	1019	42583	POJISTNE	EF	97367155
680320	2322	1995-09-14	VYDAJ	PREVOD NA UCET	1019	54046	POJISTNE	EF	97367155
680321	2322	1995-10-14	VYDAJ	PREVOD NA UCET	1019	75080	POJISTNE	EF	97367155
680322	2322	1995-11-14	VYDAJ	PREVOD NA UCET	1019	54644	POJISTNE	EF	97367155
680323	2322	1995-12-14	VYDAJ	PREVOD NA UCET	1019	46304	POJISTNE	EF	97367155
680324	2322	1996-01-14	VYDAJ	PREVOD NA UCET	1019	37031	POJISTNE	EF	97367155
680325	2322	1996-02-14	VYDAJ	PREVOD NA UCET	1019	24698	POJISTNE	EF	97367155
680326	2322	1996-03-14	VYDAJ	PREVOD NA UCET	1019	13616	POJISTNE	EF	97367155
680327	2322	1996-04-14	VYDAJ	PREVOD NA UCET	1019	29935	POJISTNE	EF	97367155
680328	2322	1996-05-14	VYDAJ	PREVOD NA UCET	1019	13766	POJISTNE	EF	97367155
680329	2322	1996-06-14	VYDAJ	PREVOD NA UCET	1019	38005	POJISTNE	EF	97367155
680330	2322	1996-07-14	VYDAJ	PREVOD NA UCET	1019	50365	POJISTNE	EF	97367155
680331	2322	1996-08-14	VYDAJ	PREVOD NA UCET	1019	26333	POJISTNE	EF	97367155
680332	2322	1996-09-14	VYDAJ	PREVOD NA UCET	1019	15843	POJISTNE	EF	97367155
680333	2322	1996-10-14	VYDAJ	PREVOD NA UCET	1019	45749	POJISTNE	EF	97367155
680334	2322	1996-11-14	VYDAJ	PREVOD NA UCET	1019	81545	POJISTNE	EF	97367155
680335	2322	1996-12-14	VYDAJ	PREVOD NA UCET	1019	25905	POJISTNE	EF	97367155
680336	2322	1997-01-14	VYDAJ	PREVOD NA UCET	1019	24935	POJISTNE	EF	97367155
680337	2322	1997-02-14	VYDAJ	PREVOD NA UCET	1019	15220	POJISTNE	EF	97367155
680338	2322	1997-03-14	VYDAJ	PREVOD NA UCET	1019	15480	POJISTNE	EF	97367155
680339	2322	1997-04-14	VYDAJ	PREVOD NA UCET	1019	84428	POJISTNE	EF	97367155
680340	2322	1997-05-14	VYDAJ	PREVOD NA UCET	1019	81611	POJISTNE	EF	97367155
680341	2322	1997-06-14	VYDAJ	PREVOD NA UCET	1019	44256	POJISTNE	EF	97367155
680342	2322	1997-07-14	VYDAJ	PREVOD NA UCET	1019	25410	POJISTNE	EF	97367155
680343	2322	1997-08-14	VYDAJ	PREVOD NA UCET	1019	41259	POJISTNE	EF	97367155
680344	2322	1997-09-14	VYDAJ	PREVOD NA UCET	1019	98425	POJISTNE	EF	97367155
680345	2322	1997-10-14	VYDAJ	PREVOD NA UCET	1019	78336	POJISTNE	EF	97367155
680346	2322	1997-11-14	VYDAJ	PREVOD NA UCET	1019	89905	POJISTNE	EF	97367155
680347	2322	1997-12-14	VYDAJ	PREVOD NA UCET	1019	84457	POJISTNE	EF	97367155
680348	2322	1998-01-14	VYDAJ	PREVOD NA UCET	1019	75504	POJISTNE	EF	97367155
680349	2322	1998-02-14	VYDAJ	PREVOD NA UCET	1019	23453	POJISTNE	EF	97367155
680350	2322	1998-03-14	VYDAJ	PREVOD NA UCET	1019	22953	POJISTNE	EF	97367155
680351	2322	1998-04-14	VYDAJ	PREVOD NA UCET	1019	16096	POJISTNE	EF	97367155
680352	2322	1998-05-14	VYDAJ	PREVOD NA UCET	1019	17269	POJISTNE	EF	97367155
680353	2322	1998-06-14	VYDAJ	PREVOD NA UCET	1019	13936	POJISTNE	EF	97367155
680354	2322	1998-07-14	VYDAJ	PREVOD NA UCET	1019	14325	POJISTNE	EF	97367155
680355	2322	1998-08-14	VYDAJ	PREVOD NA UCET	1019	20806	POJISTNE	EF	97367155
680356	2322	1998-09-14	VYDAJ	PREVOD NA UCET	1019	12888	POJISTNE	EF	97367155
680357	2322	1998-10-14	VYDAJ	PREVOD NA UCET	1019	6255	POJISTNE	EF	97367155
680359	2322	1998-12-14	VYDAJ	PREVOD NA UCET	1019	16941	POJISTNE	EF	97367155
680362	2322	1995-03-13	VYDAJ	PREVOD NA UCET	1612	25970	 	ST	14182174
680363	2322	1995-04-13	VYDAJ	PREVOD NA UCET	1612	33836	 	ST	14182174
680364	2322	1995-05-13	VYDAJ	PREVOD NA UCET	1612	36433	 	ST	14182174
680365	2322	1995-06-13	VYDAJ	PREVOD NA UCET	1612	71500	 	ST	14182174
680366	2322	1995-07-13	VYDAJ	PREVOD NA UCET	1612	56089	 	ST	14182174
680367	2322	1995-08-13	VYDAJ	PREVOD NA UCET	1612	43602	 	ST	14182174
680368	2322	1995-09-13	VYDAJ	PREVOD NA UCET	1612	55065	 	ST	14182174
680369	2322	1995-10-13	VYDAJ	PREVOD NA UCET	1612	21891	 	ST	14182174
680370	2322	1995-11-13	VYDAJ	PREVOD NA UCET	1612	55663	 	ST	14182174
680371	2322	1995-12-13	VYDAJ	PREVOD NA UCET	1612	47323	 	ST	14182174
680372	2322	1996-01-13	VYDAJ	PREVOD NA UCET	1612	38050	 	ST	14182174
680373	2322	1996-02-13	VYDAJ	PREVOD NA UCET	1612	25717	 	ST	14182174
680374	2322	1996-03-13	VYDAJ	PREVOD NA UCET	1612	14635	 	ST	14182174
680375	2322	1996-04-13	VYDAJ	PREVOD NA UCET	1612	30954	 	ST	14182174
680376	2322	1996-05-13	VYDAJ	PREVOD NA UCET	1612	14785	 	ST	14182174
680377	2322	1996-06-13	VYDAJ	PREVOD NA UCET	1612	41824	 	ST	14182174
680378	2322	1996-07-13	VYDAJ	PREVOD NA UCET	1612	51384	 	ST	14182174
680379	2322	1996-08-13	VYDAJ	PREVOD NA UCET	1612	27352	 	ST	14182174
680380	2322	1996-09-13	VYDAJ	PREVOD NA UCET	1612	16862	 	ST	14182174
680381	2322	1996-10-13	VYDAJ	PREVOD NA UCET	1612	46768	 	ST	14182174
680382	2322	1996-11-13	VYDAJ	PREVOD NA UCET	1612	82564	 	ST	14182174
680383	2322	1996-12-13	VYDAJ	PREVOD NA UCET	1612	43666	 	ST	14182174
680384	2322	1997-01-13	VYDAJ	PREVOD NA UCET	1612	25954	 	ST	14182174
680385	2322	1997-02-13	VYDAJ	PREVOD NA UCET	1612	16239	 	ST	14182174
680386	2322	1997-03-13	VYDAJ	PREVOD NA UCET	1612	16499	 	ST	14182174
680387	2322	1997-04-13	VYDAJ	PREVOD NA UCET	1612	85447	 	ST	14182174
680388	2322	1997-05-13	VYDAJ	PREVOD NA UCET	1612	82630	 	ST	14182174
680389	2322	1997-06-13	VYDAJ	PREVOD NA UCET	1612	45275	 	ST	14182174
680390	2322	1997-07-13	VYDAJ	PREVOD NA UCET	1612	26429	 	ST	14182174
680391	2322	1997-08-13	VYDAJ	PREVOD NA UCET	1612	42278	 	ST	14182174
680392	2322	1997-09-13	VYDAJ	PREVOD NA UCET	1612	99444	 	ST	14182174
680393	2322	1997-10-13	VYDAJ	PREVOD NA UCET	1612	79355	 	ST	14182174
680394	2322	1997-11-13	VYDAJ	PREVOD NA UCET	1612	90924	 	ST	14182174
680395	2322	1997-12-13	VYDAJ	PREVOD NA UCET	1612	85476	 	ST	14182174
680396	2322	1998-01-13	VYDAJ	PREVOD NA UCET	1612	76523	 	ST	14182174
680397	2322	1998-02-13	VYDAJ	PREVOD NA UCET	1612	24472	 	ST	14182174
680398	2322	1998-03-13	VYDAJ	PREVOD NA UCET	1612	23972	 	ST	14182174
680399	2322	1998-04-13	VYDAJ	PREVOD NA UCET	1612	17115	 	ST	14182174
680400	2322	1998-05-13	VYDAJ	PREVOD NA UCET	1612	18288	 	ST	14182174
680401	2322	1998-06-13	VYDAJ	PREVOD NA UCET	1612	14955	 	ST	14182174
680402	2322	1998-07-13	VYDAJ	PREVOD NA UCET	1612	15344	 	ST	14182174
680403	2322	1998-08-13	VYDAJ	PREVOD NA UCET	1612	11125	 	ST	14182174
680404	2322	1998-09-13	VYDAJ	PREVOD NA UCET	1612	13907	 	ST	14182174
680405	2322	1998-10-13	VYDAJ	PREVOD NA UCET	1612	7274	 	ST	14182174
680406	2322	1998-11-13	VYDAJ	PREVOD NA UCET	1612	3970	 	ST	14182174
680407	2322	1998-12-13	VYDAJ	PREVOD NA UCET	1612	17960	 	ST	14182174
680408	2322	1995-09-17	VYBER	VYBER	3975	50071	\N	\N	\N
680410	2322	1995-11-16	VYBER	VYBER	15103	37741	\N	\N	\N
680413	2322	1996-06-25	VYBER	VYBER	11352	26653	\N	\N	\N
680416	2322	1996-12-14	VYBER	VYBER	16742	26924	\N	\N	\N
680418	2322	1997-05-03	VYBER	VYBER	12823	43766	\N	\N	\N
680421	2322	1998-03-23	VYBER	VYBER	6246	24607	\N	\N	\N
680426	2322	1998-01-12	VYBER	VYBER	14709	80065	\N	\N	\N
680436	2322	1997-12-25	VYDAJ	VYBER	8100	76734	\N	\N	\N
680444	2322	1996-01-19	VYDAJ	VYBER	5100	25631	\N	\N	\N
680445	2322	1996-01-10	VYDAJ	VYBER	4800	39662	\N	\N	\N
680446	2322	1996-01-01	VYDAJ	VYBER	6600	39362	\N	\N	\N
680447	2322	1996-01-16	VYDAJ	VYBER	2400	34631	\N	\N	\N
680448	2322	1996-01-17	VYDAJ	VYBER	3900	30731	\N	\N	\N
680449	2322	1996-01-25	VYDAJ	VYBER	6600	50135	\N	\N	\N
680450	2322	1997-01-25	VYDAJ	VYBER	1800	23735	\N	\N	\N
680454	2322	1997-01-04	VYDAJ	VYBER	2400	33545	\N	\N	\N
680456	2322	1998-01-20	VYDAJ	VYBER	5100	42004	\N	\N	\N
680457	2322	1998-01-17	VYDAJ	VYBER	5700	47104	\N	\N	\N
680458	2322	1998-01-24	VYDAJ	VYBER	4800	31804	\N	\N	\N
680459	2322	1998-01-07	VYDAJ	VYBER	5100	98823	\N	\N	\N
680460	2322	1998-01-22	VYDAJ	VYBER	5400	36604	\N	\N	\N
680461	2322	1998-01-03	VYDAJ	VYBER	5100	103923	\N	\N	\N
680462	2322	1995-11-02	VYDAJ	VYBER	2100	48182	\N	\N	\N
680464	2322	1995-06-09	VYDAJ	VYBER	6900	77971	\N	\N	\N
680465	2322	1995-09-25	VYDAJ	VYBER	14400	35671	\N	\N	\N
680466	2322	1995-11-18	VYDAJ	VYBER	3600	34141	\N	\N	\N
680467	2322	1996-08-10	VYDAJ	VYBER	11400	30894	\N	\N	\N
680468	2322	1996-11-22	VYDAJ	VYBER	1800	79745	\N	\N	\N
680471	2322	1996-10-27	VYDAJ	VYBER	2100	48770	\N	\N	\N
680472	2322	1996-08-01	VYDAJ	VYBER	2700	46343	\N	\N	\N
680473	2322	1996-10-19	VYDAJ	VYBER	4200	70170	\N	\N	\N
680474	2322	1997-12-20	VYDAJ	VYBER	5700	84834	\N	\N	\N
680476	2322	1997-02-24	VYDAJ	VYBER	2700	24001	\N	\N	\N
680477	2322	1997-11-05	VYDAJ	VYBER	4200	83230	\N	\N	\N
680481	2322	1995-02-28	VYDAJ	VYBER	15	45431	SLUZBY	\N	\N
680482	2322	1995-03-31	VYDAJ	VYBER	15	60597	SLUZBY	\N	\N
680483	2322	1995-04-30	VYDAJ	VYBER	15	54850	SLUZBY	\N	\N
680484	2322	1995-05-31	VYDAJ	VYBER	15	57793	SLUZBY	\N	\N
680485	2322	1995-06-30	VYDAJ	VYBER	15	70760	SLUZBY	\N	\N
680486	2322	1995-07-31	VYDAJ	VYBER	15	38889	SLUZBY	\N	\N
680487	2322	1995-08-31	VYDAJ	VYBER	15	48534	SLUZBY	\N	\N
680488	2322	1995-09-30	VYDAJ	VYBER	15	27552	SLUZBY	\N	\N
680489	2322	1995-10-31	VYDAJ	VYBER	15	50282	SLUZBY	\N	\N
680490	2322	1995-11-30	VYDAJ	VYBER	15	26509	SLUZBY	\N	\N
680491	2322	1995-12-31	VYDAJ	VYBER	15	45962	SLUZBY	\N	\N
680492	2322	1996-01-31	VYDAJ	VYBER	15	33578	SLUZBY	\N	\N
680493	2322	1996-02-29	VYDAJ	VYBER	15	22296	SLUZBY	\N	\N
680494	2322	1996-03-31	VYDAJ	VYBER	15	36615	SLUZBY	\N	\N
680495	2322	1996-04-30	VYDAJ	VYBER	15	21846	SLUZBY	\N	\N
680496	2322	1996-05-31	VYDAJ	VYBER	15	13820	SLUZBY	\N	\N
680497	2322	1996-06-30	VYDAJ	VYBER	15	23652	SLUZBY	\N	\N
680498	2322	1996-07-31	VYDAJ	VYBER	15	49043	SLUZBY	\N	\N
680499	2322	1996-08-31	VYDAJ	VYBER	15	24453	SLUZBY	\N	\N
680500	2322	1996-09-30	VYDAJ	VYBER	15	54359	SLUZBY	\N	\N
680501	2322	1996-10-31	VYDAJ	VYBER	15	67742	SLUZBY	\N	\N
680502	2322	1996-11-30	VYDAJ	VYBER	15	51257	SLUZBY	\N	\N
680503	2322	1996-12-31	VYDAJ	VYBER	15	24336	SLUZBY	\N	\N
680504	2322	1997-01-31	VYDAJ	VYBER	15	23830	SLUZBY	\N	\N
680505	2322	1997-02-28	VYDAJ	VYBER	15	24090	SLUZBY	\N	\N
680506	2322	1997-03-31	VYDAJ	VYBER	15	44616	SLUZBY	\N	\N
680507	2322	1997-04-30	VYDAJ	VYBER	15	56589	SLUZBY	\N	\N
680508	2322	1997-05-31	VYDAJ	VYBER	15	52866	SLUZBY	\N	\N
680509	2322	1997-06-30	VYDAJ	VYBER	15	34020	SLUZBY	\N	\N
680510	2322	1997-07-31	VYDAJ	VYBER	15	49869	SLUZBY	\N	\N
680511	2322	1997-08-31	VYDAJ	VYBER	15	87547	SLUZBY	\N	\N
680512	2322	1997-09-30	VYDAJ	VYBER	15	52366	SLUZBY	\N	\N
680513	2322	1997-10-31	VYDAJ	VYBER	15	87430	SLUZBY	\N	\N
680514	2322	1997-11-30	VYDAJ	VYBER	15	93067	SLUZBY	\N	\N
680515	2322	1997-12-31	VYDAJ	VYBER	15	109023	SLUZBY	\N	\N
680516	2322	1998-01-31	VYDAJ	VYBER	15	32063	SLUZBY	\N	\N
680517	2322	1998-02-28	VYDAJ	VYBER	15	31563	SLUZBY	\N	\N
680518	2322	1998-03-31	VYDAJ	VYBER	15	24706	SLUZBY	\N	\N
680519	2322	1998-04-30	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
680520	2322	1998-05-31	VYDAJ	VYBER	15	22546	SLUZBY	\N	\N
680521	2322	1998-06-30	VYDAJ	VYBER	15	21005	SLUZBY	\N	\N
680522	2322	1998-07-31	VYDAJ	VYBER	15	18786	SLUZBY	\N	\N
680523	2322	1998-08-31	VYDAJ	VYBER	15	20868	SLUZBY	\N	\N
680524	2322	1998-09-30	VYDAJ	VYBER	15	12935	SLUZBY	\N	\N
680525	2322	1998-10-31	VYDAJ	VYBER	15	6272	SLUZBY	\N	\N
680526	2322	1998-11-30	VYDAJ	VYBER	15	3972	SLUZBY	\N	\N
680527	2322	1995-02-01	VYDAJ	VYBER	8500	27351	\N	\N	\N
680528	2322	1995-02-27	VYDAJ	VYBER	60400	45195	\N	\N	\N
680529	2322	1995-03-03	VYDAJ	VYBER	13800	31631	\N	\N	\N
680530	2322	1995-04-02	VYDAJ	VYBER	19200	41397	\N	\N	\N
680531	2322	1995-05-02	VYDAJ	VYBER	16900	37950	\N	\N	\N
680532	2322	1995-05-20	VYDAJ	VYBER	47100	65885	\N	\N	\N
680533	2322	1995-05-22	VYDAJ	VYBER	61600	49413	\N	\N	\N
680534	2322	1995-06-01	VYDAJ	VYBER	20900	36893	\N	\N	\N
680535	2322	1995-07-01	VYDAJ	VYBER	25700	45060	\N	\N	\N
680536	2322	1995-07-31	VYDAJ	VYBER	16400	38904	\N	\N	\N
680537	2322	1995-08-30	VYDAJ	VYBER	30300	48358	\N	\N	\N
680538	2322	1995-09-29	VYDAJ	VYBER	8300	27371	\N	\N	\N
680539	2322	1995-10-29	VYDAJ	VYBER	23000	50080	\N	\N	\N
680540	2322	1995-11-28	VYDAJ	VYBER	5600	26341	\N	\N	\N
680541	2322	1995-12-26	VYDAJ	VYBER	49300	70593	\N	\N	\N
680542	2322	1995-12-28	VYDAJ	VYBER	24800	45793	\N	\N	\N
680543	2322	1996-01-27	VYDAJ	VYBER	16700	33435	\N	\N	\N
680544	2322	1996-02-26	VYDAJ	VYBER	2500	22198	\N	\N	\N
680545	2322	1996-03-27	VYDAJ	VYBER	21100	36540	\N	\N	\N
680546	2322	1996-04-26	VYDAJ	VYBER	6300	21735	\N	\N	\N
680547	2322	1996-06-25	VYDAJ	VYBER	3100	23553	\N	\N	\N
680548	2322	1996-07-25	VYDAJ	VYBER	27500	48875	\N	\N	\N
680549	2322	1996-08-24	VYDAJ	VYBER	2000	24333	\N	\N	\N
680550	2322	1996-09-23	PRIJEM	VKLAD	4500	20343	\N	\N	\N
680551	2322	1996-10-23	VYDAJ	VYBER	19300	50870	\N	\N	\N
680552	2322	1996-11-22	VYDAJ	VYBER	28800	50945	\N	\N	\N
680553	2322	1996-12-22	VYDAJ	VYBER	1700	24205	\N	\N	\N
680554	2322	1997-01-21	PRIJEM	VKLAD	600	25535	\N	\N	\N
680555	2322	1997-02-20	VYDAJ	VYBER	8500	26701	\N	\N	\N
680556	2322	1997-03-22	PRIJEM	VKLAD	5200	20680	\N	\N	\N
680557	2322	1997-04-21	VYDAJ	VYBER	28100	56328	\N	\N	\N
680558	2322	1997-05-21	VYDAJ	VYBER	29000	52611	\N	\N	\N
680559	2322	1997-06-20	VYDAJ	VYBER	10400	33856	\N	\N	\N
680560	2322	1997-07-20	VYDAJ	VYBER	23100	49702	\N	\N	\N
680561	2322	1997-08-19	VYDAJ	VYBER	8800	32459	\N	\N	\N
680562	2322	1997-09-18	VYDAJ	VYBER	38400	60025	\N	\N	\N
680563	2322	1997-09-24	VYDAJ	VYBER	39200	108802	\N	\N	\N
680564	2322	1997-09-30	VYDAJ	VYBER	56800	52380	\N	\N	\N
680565	2322	1997-10-18	VYDAJ	VYBER	26000	52336	\N	\N	\N
680566	2322	1997-11-15	VYDAJ	VYBER	16300	97022	\N	\N	\N
680567	2322	1997-11-16	VYDAJ	VYBER	32300	100680	\N	\N	\N
680568	2322	1997-11-17	VYDAJ	VYBER	33800	66880	\N	\N	\N
680569	2322	1997-12-17	VYDAJ	VYBER	27000	57457	\N	\N	\N
680570	2322	1998-01-16	VYDAJ	VYBER	22700	52804	\N	\N	\N
680571	2322	1998-02-15	PRIJEM	VKLAD	8000	31453	\N	\N	\N
680572	2322	1998-03-17	PRIJEM	VKLAD	7900	30853	\N	\N	\N
680573	2322	1998-04-16	PRIJEM	VKLAD	9700	25796	\N	\N	\N
680574	2322	1998-05-16	PRIJEM	VKLAD	5200	22469	\N	\N	\N
680575	2322	1998-06-15	PRIJEM	VKLAD	7000	20936	\N	\N	\N
680576	2322	1998-07-15	PRIJEM	VKLAD	5800	20125	\N	\N	\N
680577	2322	1998-08-14	PRIJEM	VKLAD	10700	21825	\N	\N	\N
680578	2322	1998-12-12	PRIJEM	VKLAD	15600	19572	\N	\N	\N
680629	2323	1995-05-08	PRIJEM	VKLAD	300	300	\N	\N	\N
680634	2323	1995-05-11	PRIJEM	VKLAD	22389	22689	\N	\N	\N
680635	2323	1995-06-11	PRIJEM	VKLAD	33584	58337	\N	\N	\N
680636	2323	1995-07-11	PRIJEM	VKLAD	22389	66820	\N	\N	\N
680637	2323	1995-08-11	PRIJEM	VKLAD	22389	69276	\N	\N	\N
680638	2323	1995-09-11	PRIJEM	VKLAD	22389	67950	\N	\N	\N
680639	2323	1995-10-11	PRIJEM	VKLAD	22389	62063	\N	\N	\N
680640	2323	1995-11-11	PRIJEM	VKLAD	22389	61347	\N	\N	\N
680641	2323	1995-12-11	PRIJEM	VKLAD	33584	71614	\N	\N	\N
680642	2323	1996-01-11	PRIJEM	VKLAD	22389	53315	\N	\N	\N
680643	2323	1996-02-11	PRIJEM	VKLAD	22389	46853	\N	\N	\N
680644	2323	1996-03-11	PRIJEM	VKLAD	22389	55063	\N	\N	\N
680645	2323	1996-04-11	PRIJEM	VKLAD	22389	59501	\N	\N	\N
680646	2323	1996-05-11	PRIJEM	VKLAD	22389	61451	\N	\N	\N
680647	2323	1996-06-11	PRIJEM	VKLAD	33584	75315	\N	\N	\N
680648	2323	1996-07-11	PRIJEM	VKLAD	22389	63711	\N	\N	\N
680649	2323	1996-08-11	PRIJEM	VKLAD	22389	69195	\N	\N	\N
680650	2323	1996-09-11	PRIJEM	VKLAD	22389	63398	\N	\N	\N
680651	2323	1996-10-11	PRIJEM	VKLAD	22389	64166	\N	\N	\N
680652	2323	1996-11-11	PRIJEM	VKLAD	22389	65628	\N	\N	\N
680653	2323	1996-12-11	PRIJEM	VKLAD	33584	78096	\N	\N	\N
680654	2323	1997-01-11	PRIJEM	VKLAD	22389	65096	\N	\N	\N
680655	2323	1997-02-11	PRIJEM	VKLAD	22389	61951	\N	\N	\N
680656	2323	1997-03-11	PRIJEM	VKLAD	22389	68509	\N	\N	\N
680657	2323	1997-04-11	PRIJEM	VKLAD	22389	69092	\N	\N	\N
680658	2323	1997-05-11	PRIJEM	VKLAD	22389	71174	\N	\N	\N
680659	2323	1997-06-11	PRIJEM	VKLAD	33584	76558	\N	\N	\N
680660	2323	1997-07-11	PRIJEM	VKLAD	22389	68433	\N	\N	\N
680661	2323	1997-08-11	PRIJEM	VKLAD	22389	68410	\N	\N	\N
680662	2323	1997-09-11	PRIJEM	VKLAD	22389	67382	\N	\N	\N
680663	2323	1997-10-11	PRIJEM	VKLAD	22389	66852	\N	\N	\N
680664	2323	1997-11-11	PRIJEM	VKLAD	22389	72424	\N	\N	\N
680665	2323	1997-12-11	PRIJEM	VKLAD	33584	82007	\N	\N	\N
680666	2323	1998-01-11	PRIJEM	VKLAD	22389	76713	\N	\N	\N
680667	2323	1998-02-11	PRIJEM	VKLAD	22389	63402	\N	\N	\N
680668	2323	1998-03-11	PRIJEM	VKLAD	22389	69557	\N	\N	\N
680669	2323	1998-04-11	PRIJEM	VKLAD	22389	69532	\N	\N	\N
680670	2323	1998-05-11	PRIJEM	VKLAD	22389	75312	\N	\N	\N
680671	2323	1998-06-11	PRIJEM	VKLAD	33584	80197	\N	\N	\N
680672	2323	1998-07-11	PRIJEM	VKLAD	22389	74481	\N	\N	\N
680673	2323	1998-08-11	PRIJEM	VKLAD	22389	75073	\N	\N	\N
680674	2323	1998-09-11	PRIJEM	VKLAD	22389	69855	\N	\N	\N
680675	2323	1998-10-11	PRIJEM	VKLAD	22389	67219	\N	\N	\N
680676	2323	1998-11-11	PRIJEM	VKLAD	22389	71983	\N	\N	\N
680677	2323	1998-12-11	PRIJEM	VKLAD	33584	76845	\N	\N	\N
680687	2323	1995-10-08	VYDAJ	PREVOD NA UCET	6446	39674	SIPO	AB	70839428
680688	2323	1995-11-08	VYDAJ	PREVOD NA UCET	6446	38958	SIPO	AB	70839428
680689	2323	1995-12-08	VYDAJ	PREVOD NA UCET	6446	38030	SIPO	AB	70839428
680690	2323	1996-01-08	VYDAJ	PREVOD NA UCET	6446	40726	SIPO	AB	70839428
680691	2323	1996-02-08	VYDAJ	PREVOD NA UCET	6446	27664	SIPO	AB	70839428
680692	2323	1996-03-08	VYDAJ	PREVOD NA UCET	6446	32674	SIPO	AB	70839428
680693	2323	1996-04-08	VYDAJ	PREVOD NA UCET	6446	37112	SIPO	AB	70839428
680694	2323	1996-05-08	VYDAJ	PREVOD NA UCET	6446	39062	SIPO	AB	70839428
680695	2323	1996-06-08	VYDAJ	PREVOD NA UCET	6446	41731	SIPO	AB	70839428
680696	2323	1996-07-08	VYDAJ	PREVOD NA UCET	6446	41322	SIPO	AB	70839428
680697	2323	1996-08-08	VYDAJ	PREVOD NA UCET	6446	46806	SIPO	AB	70839428
680698	2323	1996-09-08	VYDAJ	PREVOD NA UCET	6446	43809	SIPO	AB	70839428
680699	2323	1996-10-08	VYDAJ	PREVOD NA UCET	6446	41777	SIPO	AB	70839428
680700	2323	1996-11-08	VYDAJ	PREVOD NA UCET	6446	43239	SIPO	AB	70839428
680701	2323	1996-12-08	VYDAJ	PREVOD NA UCET	6446	44512	SIPO	AB	70839428
680702	2323	1997-01-08	VYDAJ	PREVOD NA UCET	6446	47707	SIPO	AB	70839428
680703	2323	1997-02-08	VYDAJ	PREVOD NA UCET	6446	39562	SIPO	AB	70839428
680704	2323	1997-03-08	VYDAJ	PREVOD NA UCET	6446	46120	SIPO	AB	70839428
680705	2323	1997-04-08	VYDAJ	PREVOD NA UCET	6446	46703	SIPO	AB	70839428
680706	2323	1997-05-08	VYDAJ	PREVOD NA UCET	6446	48785	SIPO	AB	70839428
680707	2323	1997-06-08	VYDAJ	PREVOD NA UCET	6446	42974	SIPO	AB	70839428
680708	2323	1997-07-08	VYDAJ	PREVOD NA UCET	6446	46044	SIPO	AB	70839428
680709	2323	1997-08-08	VYDAJ	PREVOD NA UCET	6446	46021	SIPO	AB	70839428
680710	2323	1997-09-08	VYDAJ	PREVOD NA UCET	6446	44993	SIPO	AB	70839428
680711	2323	1997-10-08	VYDAJ	PREVOD NA UCET	6446	44463	SIPO	AB	70839428
680712	2323	1997-11-08	VYDAJ	PREVOD NA UCET	6446	50035	SIPO	AB	70839428
680713	2323	1997-12-08	VYDAJ	PREVOD NA UCET	6446	49423	SIPO	AB	70839428
680714	2323	1998-01-08	VYDAJ	PREVOD NA UCET	6446	55624	SIPO	AB	70839428
680715	2323	1998-02-08	VYDAJ	PREVOD NA UCET	6446	41013	SIPO	AB	70839428
680716	2323	1998-03-08	VYDAJ	PREVOD NA UCET	6446	47168	SIPO	AB	70839428
680717	2323	1998-04-08	VYDAJ	PREVOD NA UCET	6446	47143	SIPO	AB	70839428
680718	2323	1998-05-08	VYDAJ	PREVOD NA UCET	6446	52923	SIPO	AB	70839428
680719	2323	1998-06-08	VYDAJ	PREVOD NA UCET	6446	46613	SIPO	AB	70839428
680720	2323	1998-07-08	VYDAJ	PREVOD NA UCET	6446	52092	SIPO	AB	70839428
680721	2323	1998-08-08	VYDAJ	PREVOD NA UCET	6446	52684	SIPO	AB	70839428
680722	2323	1998-09-08	VYDAJ	PREVOD NA UCET	6446	47466	SIPO	AB	70839428
680723	2323	1998-10-08	VYDAJ	PREVOD NA UCET	6446	44830	SIPO	AB	70839428
680724	2323	1998-11-08	VYDAJ	PREVOD NA UCET	6446	49594	SIPO	AB	70839428
680725	2323	1998-12-08	VYDAJ	PREVOD NA UCET	6446	43261	SIPO	AB	70839428
680727	2323	1996-06-21	VYDAJ	VYBER	11900	63415	\N	\N	\N
680728	2323	1997-06-18	VYDAJ	VYBER	14700	61858	\N	\N	\N
680729	2323	1998-06-17	VYDAJ	VYBER	13600	66597	\N	\N	\N
680731	2323	1996-01-09	VYDAJ	VYBER	8100	30926	\N	\N	\N
680732	2323	1997-01-08	VYDAJ	VYBER	4400	43307	\N	\N	\N
680733	2323	1998-01-26	VYDAJ	VYBER	5000	50913	\N	\N	\N
680734	2323	1995-12-25	VYDAJ	VYBER	600	71014	\N	\N	\N
680735	2323	1996-12-15	VYDAJ	VYBER	2600	75496	\N	\N	\N
680736	2323	1997-12-09	VYDAJ	VYBER	1000	48423	\N	\N	\N
680737	2323	1998-12-07	VYDAJ	VYBER	2200	49707	\N	\N	\N
680744	2323	1996-01-14	VYDAJ	VYBER	2500	48015	\N	\N	\N
680745	2323	1996-01-11	VYDAJ	VYBER	2800	50515	\N	\N	\N
680746	2323	1996-01-09	VYDAJ	VYBER	1700	39026	\N	\N	\N
680747	2323	1996-01-14	VYDAJ	VYBER	2600	45415	\N	\N	\N
680748	2323	1996-01-30	VYDAJ	VYBER	2900	42515	\N	\N	\N
680749	2323	1996-01-06	VYDAJ	VYBER	2200	47172	\N	\N	\N
680750	2323	1997-01-14	VYDAJ	VYBER	900	61396	\N	\N	\N
680751	2323	1997-01-01	VYDAJ	VYBER	1600	54153	\N	\N	\N
680752	2323	1997-01-15	VYDAJ	VYBER	2400	58996	\N	\N	\N
680753	2323	1997-01-09	VYDAJ	VYBER	600	42707	\N	\N	\N
680754	2323	1997-01-14	VYDAJ	VYBER	2800	62296	\N	\N	\N
680755	2323	1997-01-22	VYDAJ	VYBER	600	55596	\N	\N	\N
680756	2323	1998-01-30	VYDAJ	VYBER	1400	47213	\N	\N	\N
680757	2323	1998-01-16	VYDAJ	VYBER	1000	75713	\N	\N	\N
680758	2323	1998-01-28	VYDAJ	VYBER	2300	48613	\N	\N	\N
680759	2323	1998-01-09	VYDAJ	VYBER	1300	54324	\N	\N	\N
680760	2323	1998-01-24	VYDAJ	VYBER	900	55913	\N	\N	\N
680761	2323	1998-01-17	VYDAJ	VYBER	2300	73413	\N	\N	\N
680763	2323	1995-11-16	VYDAJ	VYBER	2000	59347	\N	\N	\N
680767	2323	1996-03-23	VYDAJ	VYBER	2900	52163	\N	\N	\N
680768	2323	1996-08-31	VYDAJ	VYBER	1400	50269	\N	\N	\N
680769	2323	1996-02-10	VYDAJ	VYBER	3200	24464	\N	\N	\N
680770	2323	1996-05-26	VYDAJ	VYBER	1300	60151	\N	\N	\N
680771	2323	1996-09-10	VYDAJ	VYBER	2800	41009	\N	\N	\N
680772	2323	1996-07-23	VYDAJ	VYBER	1000	62711	\N	\N	\N
680773	2323	1996-10-12	VYDAJ	VYBER	2400	61766	\N	\N	\N
680774	2323	1996-04-17	VYDAJ	VYBER	4700	54801	\N	\N	\N
680775	2323	1997-01-20	VYDAJ	VYBER	2800	56196	\N	\N	\N
680776	2323	1997-08-21	VYDAJ	VYBER	3600	64810	\N	\N	\N
680777	2323	1997-07-15	VYDAJ	VYBER	700	67733	\N	\N	\N
680778	2323	1997-04-17	VYDAJ	VYBER	2700	66392	\N	\N	\N
680779	2323	1997-06-07	VYDAJ	VYBER	2600	49420	\N	\N	\N
680780	2323	1998-11-21	VYDAJ	VYBER	4800	51683	\N	\N	\N
680781	2323	1998-11-14	VYDAJ	VYBER	1700	70283	\N	\N	\N
680782	2323	1998-05-25	VYDAJ	VYBER	4600	52812	\N	\N	\N
680783	2323	1998-09-23	VYDAJ	VYBER	2300	51055	\N	\N	\N
680793	2323	1995-09-30	VYDAJ	VYBER	15	68220	SLUZBY	\N	\N
680794	2323	1995-10-31	VYDAJ	VYBER	15	62304	SLUZBY	\N	\N
680795	2323	1995-11-30	VYDAJ	VYBER	15	59576	SLUZBY	\N	\N
680796	2323	1995-12-31	VYDAJ	VYBER	15	71272	SLUZBY	\N	\N
680797	2323	1996-01-31	VYDAJ	VYBER	15	42710	SLUZBY	\N	\N
680798	2323	1996-02-29	VYDAJ	VYBER	15	47020	SLUZBY	\N	\N
680799	2323	1996-03-31	VYDAJ	VYBER	15	52358	SLUZBY	\N	\N
680800	2323	1996-04-30	VYDAJ	VYBER	15	55008	SLUZBY	\N	\N
680801	2323	1996-05-31	VYDAJ	VYBER	15	60377	SLUZBY	\N	\N
680802	2323	1996-06-30	VYDAJ	VYBER	15	63668	SLUZBY	\N	\N
680803	2323	1996-07-31	VYDAJ	VYBER	15	62952	SLUZBY	\N	\N
680804	2323	1996-08-31	VYDAJ	VYBER	15	50255	SLUZBY	\N	\N
680805	2323	1996-09-30	VYDAJ	VYBER	15	48223	SLUZBY	\N	\N
680806	2323	1996-10-31	VYDAJ	VYBER	15	49685	SLUZBY	\N	\N
680807	2323	1996-11-30	VYDAJ	VYBER	15	50958	SLUZBY	\N	\N
680808	2323	1996-12-31	VYDAJ	VYBER	15	55753	SLUZBY	\N	\N
680809	2323	1997-01-31	VYDAJ	VYBER	15	46008	SLUZBY	\N	\N
680810	2323	1997-02-28	VYDAJ	VYBER	15	52566	SLUZBY	\N	\N
680811	2323	1997-03-31	VYDAJ	VYBER	15	53149	SLUZBY	\N	\N
680812	2323	1997-04-30	VYDAJ	VYBER	15	55231	SLUZBY	\N	\N
680813	2323	1997-05-31	VYDAJ	VYBER	15	52020	SLUZBY	\N	\N
680814	2323	1997-06-30	VYDAJ	VYBER	15	52490	SLUZBY	\N	\N
680815	2323	1997-07-31	VYDAJ	VYBER	15	52467	SLUZBY	\N	\N
680816	2323	1997-08-31	VYDAJ	VYBER	15	51439	SLUZBY	\N	\N
680817	2323	1997-09-30	VYDAJ	VYBER	15	50909	SLUZBY	\N	\N
680818	2323	1997-10-31	VYDAJ	VYBER	15	56481	SLUZBY	\N	\N
680819	2323	1997-11-30	VYDAJ	VYBER	15	55869	SLUZBY	\N	\N
680820	2323	1997-12-31	VYDAJ	VYBER	15	62070	SLUZBY	\N	\N
680821	2323	1998-01-31	VYDAJ	VYBER	15	47459	SLUZBY	\N	\N
680822	2323	1998-02-28	VYDAJ	VYBER	15	53614	SLUZBY	\N	\N
680823	2323	1998-03-31	VYDAJ	VYBER	15	53589	SLUZBY	\N	\N
680824	2323	1998-04-30	VYDAJ	VYBER	15	59369	SLUZBY	\N	\N
680825	2323	1998-05-31	VYDAJ	VYBER	15	53059	SLUZBY	\N	\N
680826	2323	1998-06-30	VYDAJ	VYBER	15	58538	SLUZBY	\N	\N
680827	2323	1998-07-31	VYDAJ	VYBER	15	59130	SLUZBY	\N	\N
680828	2323	1998-08-31	VYDAJ	VYBER	15	53912	SLUZBY	\N	\N
680829	2323	1998-09-30	VYDAJ	VYBER	15	51276	SLUZBY	\N	\N
680830	2323	1998-10-31	VYDAJ	VYBER	15	56040	SLUZBY	\N	\N
680831	2323	1998-11-30	VYDAJ	VYBER	15	51907	SLUZBY	\N	\N
680832	2323	1995-06-07	PRIJEM	VKLAD	2000	24753	\N	\N	\N
680833	2323	1995-07-07	VYDAJ	VYBER	14100	44431	\N	\N	\N
680834	2323	1995-08-06	VYDAJ	VYBER	20200	46887	\N	\N	\N
680835	2323	1995-09-05	VYDAJ	VYBER	24000	45561	\N	\N	\N
680836	2323	1995-10-05	VYDAJ	VYBER	22100	46120	\N	\N	\N
680837	2323	1995-11-04	VYDAJ	VYBER	16900	45404	\N	\N	\N
680838	2323	1995-12-04	VYDAJ	VYBER	15100	44476	\N	\N	\N
680839	2323	1996-01-03	VYDAJ	VYBER	21900	49372	\N	\N	\N
680840	2323	1996-02-02	VYDAJ	VYBER	8600	34110	\N	\N	\N
680841	2323	1996-03-03	VYDAJ	VYBER	7900	39120	\N	\N	\N
680842	2323	1996-04-02	VYDAJ	VYBER	8800	43558	\N	\N	\N
680843	2323	1996-05-02	VYDAJ	VYBER	9500	45508	\N	\N	\N
680844	2323	1996-06-01	VYDAJ	VYBER	12200	48177	\N	\N	\N
680845	2323	1996-07-01	VYDAJ	VYBER	15900	47768	\N	\N	\N
680846	2323	1996-07-31	VYDAJ	VYBER	9700	53252	\N	\N	\N
680847	2323	1996-08-30	VYDAJ	VYBER	17800	51395	\N	\N	\N
680848	2323	1996-09-29	VYDAJ	VYBER	15400	47998	\N	\N	\N
680849	2323	1996-10-29	VYDAJ	VYBER	12300	49466	\N	\N	\N
680850	2323	1996-11-28	VYDAJ	VYBER	14900	50728	\N	\N	\N
680851	2323	1996-12-28	VYDAJ	VYBER	20000	55496	\N	\N	\N
680852	2323	1997-01-27	VYDAJ	VYBER	9800	45796	\N	\N	\N
680853	2323	1997-02-26	VYDAJ	VYBER	9600	52351	\N	\N	\N
680854	2323	1997-03-28	VYDAJ	VYBER	15600	52909	\N	\N	\N
680855	2323	1997-04-27	VYDAJ	VYBER	11400	54992	\N	\N	\N
680856	2323	1997-05-27	VYDAJ	VYBER	19400	51774	\N	\N	\N
680857	2323	1997-06-26	VYDAJ	VYBER	9600	52258	\N	\N	\N
680858	2323	1997-07-26	VYDAJ	VYBER	15500	52233	\N	\N	\N
680859	2323	1997-08-25	VYDAJ	VYBER	13600	51210	\N	\N	\N
680860	2323	1997-09-24	VYDAJ	VYBER	16700	50682	\N	\N	\N
680861	2323	1997-10-24	VYDAJ	VYBER	10600	56252	\N	\N	\N
680862	2323	1997-11-23	VYDAJ	VYBER	16800	55624	\N	\N	\N
680863	2323	1997-12-23	VYDAJ	VYBER	20200	61807	\N	\N	\N
680864	2323	1998-01-22	VYDAJ	VYBER	16600	56813	\N	\N	\N
680865	2323	1998-02-21	VYDAJ	VYBER	10000	53402	\N	\N	\N
680866	2323	1998-03-23	VYDAJ	VYBER	16200	53357	\N	\N	\N
680867	2323	1998-04-22	VYDAJ	VYBER	10400	59132	\N	\N	\N
680868	2323	1998-05-22	VYDAJ	VYBER	17900	57412	\N	\N	\N
680869	2323	1998-06-21	VYDAJ	VYBER	8300	58297	\N	\N	\N
680870	2323	1998-07-21	VYDAJ	VYBER	15600	58881	\N	\N	\N
680871	2323	1998-08-20	VYDAJ	VYBER	21400	53673	\N	\N	\N
680872	2323	1998-09-19	VYDAJ	VYBER	16500	53355	\N	\N	\N
680873	2323	1998-10-19	VYDAJ	VYBER	11400	55819	\N	\N	\N
680874	2323	1998-11-18	VYDAJ	VYBER	13800	56483	\N	\N	\N
680919	2324	1997-05-24	PRIJEM	VKLAD	800	800	\N	\N	\N
680925	2324	1997-06-06	PRIJEM	VKLAD	21258	22058	\N	\N	\N
680926	2324	1997-07-06	PRIJEM	VKLAD	14172	33251	\N	\N	\N
680927	2324	1997-08-06	PRIJEM	VKLAD	14172	44016	\N	\N	\N
680928	2324	1997-09-06	PRIJEM	VKLAD	14172	44813	\N	\N	\N
680929	2324	1997-10-06	PRIJEM	VKLAD	14172	44311	\N	\N	\N
680930	2324	1997-11-06	PRIJEM	VKLAD	14172	38062	\N	\N	\N
680931	2324	1997-12-06	PRIJEM	VKLAD	21258	48086	\N	\N	\N
680932	2324	1998-01-06	PRIJEM	VKLAD	14172	34441	\N	\N	\N
680933	2324	1998-02-06	PRIJEM	VKLAD	14172	30746	\N	\N	\N
680934	2324	1998-03-06	PRIJEM	VKLAD	14172	28040	\N	\N	\N
680935	2324	1998-04-06	PRIJEM	VKLAD	14172	32431	\N	\N	\N
680936	2324	1998-05-06	PRIJEM	VKLAD	14172	28825	\N	\N	\N
680937	2324	1998-06-06	PRIJEM	VKLAD	21258	35094	\N	\N	\N
680938	2324	1998-07-06	PRIJEM	VKLAD	14172	27684	\N	\N	\N
680939	2324	1998-08-06	PRIJEM	VKLAD	14172	27964	\N	\N	\N
680940	2324	1998-09-06	PRIJEM	VKLAD	14172	26639	\N	\N	\N
680941	2324	1998-10-06	PRIJEM	VKLAD	14172	36746	\N	\N	\N
680942	2324	1998-11-06	PRIJEM	VKLAD	14172	30847	\N	\N	\N
680943	2324	1998-12-06	PRIJEM	VKLAD	21258	32509	\N	\N	\N
680953	2324	1997-10-06	VYDAJ	PREVOD NA UCET	4151	40160	SIPO	WX	80225026
680954	2324	1997-11-06	VYDAJ	PREVOD NA UCET	4151	33911	SIPO	WX	80225026
680955	2324	1997-12-06	VYDAJ	PREVOD NA UCET	4151	43935	SIPO	WX	80225026
680956	2324	1998-01-06	VYDAJ	PREVOD NA UCET	4151	30290	SIPO	WX	80225026
680957	2324	1998-02-06	VYDAJ	PREVOD NA UCET	4151	26595	SIPO	WX	80225026
680958	2324	1998-03-06	VYDAJ	PREVOD NA UCET	4151	23889	SIPO	WX	80225026
680959	2324	1998-04-06	VYDAJ	PREVOD NA UCET	4151	28280	SIPO	WX	80225026
680960	2324	1998-05-06	VYDAJ	PREVOD NA UCET	4151	24674	SIPO	WX	80225026
680961	2324	1998-06-06	VYDAJ	PREVOD NA UCET	4151	30943	SIPO	WX	80225026
680962	2324	1998-07-06	VYDAJ	PREVOD NA UCET	4151	23533	SIPO	WX	80225026
680963	2324	1998-08-06	VYDAJ	PREVOD NA UCET	4151	23813	SIPO	WX	80225026
680964	2324	1998-09-06	VYDAJ	PREVOD NA UCET	4151	22488	SIPO	WX	80225026
680965	2324	1998-10-06	VYDAJ	PREVOD NA UCET	4151	32595	SIPO	WX	80225026
680966	2324	1998-11-06	VYDAJ	PREVOD NA UCET	4151	26696	SIPO	WX	80225026
680967	2324	1998-12-06	VYDAJ	PREVOD NA UCET	4151	28358	SIPO	WX	80225026
680972	2324	1997-12-25	VYDAJ	VYBER	1500	24435	\N	\N	\N
680980	2324	1998-01-04	VYDAJ	VYBER	1700	20269	\N	\N	\N
680981	2324	1998-01-27	VYDAJ	VYBER	1800	16490	\N	\N	\N
680982	2324	1998-01-19	VYDAJ	VYBER	2300	18290	\N	\N	\N
680983	2324	1998-01-01	VYDAJ	VYBER	2600	21969	\N	\N	\N
680984	2324	1998-01-18	VYDAJ	VYBER	1900	26490	\N	\N	\N
680985	2324	1998-01-07	VYDAJ	VYBER	1900	28390	\N	\N	\N
680990	2324	1998-12-11	VYDAJ	VYBER	1800	26558	\N	\N	\N
680991	2324	1998-02-15	VYDAJ	VYBER	4100	22495	\N	\N	\N
680992	2324	1998-03-02	VYDAJ	VYBER	1100	13868	\N	\N	\N
680994	2324	1998-06-23	VYDAJ	VYBER	1600	13443	\N	\N	\N
680995	2324	1998-06-08	VYDAJ	VYBER	1900	29043	\N	\N	\N
681006	2324	1997-10-31	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
681007	2324	1997-11-30	VYDAJ	VYBER	15	26828	SLUZBY	\N	\N
681008	2324	1997-12-31	VYDAJ	VYBER	15	24569	SLUZBY	\N	\N
681009	2324	1998-01-31	VYDAJ	VYBER	15	16574	SLUZBY	\N	\N
681010	2324	1998-02-28	VYDAJ	VYBER	15	14968	SLUZBY	\N	\N
681011	2324	1998-03-31	VYDAJ	VYBER	15	18259	SLUZBY	\N	\N
681012	2324	1998-04-30	VYDAJ	VYBER	15	14653	SLUZBY	\N	\N
681013	2324	1998-05-31	VYDAJ	VYBER	15	13836	SLUZBY	\N	\N
681014	2324	1998-06-30	VYDAJ	VYBER	15	13512	SLUZBY	\N	\N
681015	2324	1998-07-31	VYDAJ	VYBER	15	13792	SLUZBY	\N	\N
681016	2324	1998-08-31	VYDAJ	VYBER	15	12467	SLUZBY	\N	\N
681017	2324	1998-09-30	VYDAJ	VYBER	15	22574	SLUZBY	\N	\N
681018	2324	1998-10-31	VYDAJ	VYBER	15	16675	SLUZBY	\N	\N
681019	2324	1998-11-30	VYDAJ	VYBER	15	11251	SLUZBY	\N	\N
681020	2324	1997-06-23	VYDAJ	VYBER	3000	19058	\N	\N	\N
681021	2324	1997-07-23	VYDAJ	VYBER	3500	29751	\N	\N	\N
681022	2324	1997-08-22	VYDAJ	VYBER	13500	30516	\N	\N	\N
681023	2324	1997-09-21	VYDAJ	VYBER	14800	30013	\N	\N	\N
681024	2324	1997-10-21	VYDAJ	VYBER	16400	23760	\N	\N	\N
681025	2324	1997-11-20	VYDAJ	VYBER	7200	26711	\N	\N	\N
681026	2324	1997-12-20	VYDAJ	VYBER	18000	25935	\N	\N	\N
681027	2324	1998-01-19	VYDAJ	VYBER	5900	20590	\N	\N	\N
681028	2324	1998-02-18	VYDAJ	VYBER	7600	14895	\N	\N	\N
681029	2324	1998-03-20	VYDAJ	VYBER	5700	18189	\N	\N	\N
681030	2324	1998-04-19	VYDAJ	VYBER	13700	14580	\N	\N	\N
681031	2324	1998-05-19	VYDAJ	VYBER	10900	13774	\N	\N	\N
681032	2324	1998-06-18	VYDAJ	VYBER	14000	15043	\N	\N	\N
681033	2324	1998-07-18	VYDAJ	VYBER	9800	13733	\N	\N	\N
681034	2324	1998-08-17	VYDAJ	VYBER	11400	12413	\N	\N	\N
681035	2324	1998-10-16	VYDAJ	VYBER	16000	16595	\N	\N	\N
681036	2324	1998-11-15	VYDAJ	VYBER	15500	11196	\N	\N	\N
681056	2325	1997-02-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
681059	2325	1997-03-13	PRIJEM	VKLAD	17189	18289	\N	\N	\N
681060	2325	1997-04-13	PRIJEM	VKLAD	17189	34787	\N	\N	\N
681061	2325	1997-05-13	PRIJEM	VKLAD	17189	41253	\N	\N	\N
681062	2325	1997-06-13	PRIJEM	VKLAD	25784	55041	\N	\N	\N
681063	2325	1997-07-13	PRIJEM	VKLAD	17189	50154	\N	\N	\N
681064	2325	1997-08-13	PRIJEM	VKLAD	17189	47130	\N	\N	\N
681065	2325	1997-09-13	PRIJEM	VKLAD	17189	46897	\N	\N	\N
681066	2325	1997-10-13	PRIJEM	VKLAD	17189	44461	\N	\N	\N
681067	2325	1997-11-13	PRIJEM	VKLAD	17189	38739	\N	\N	\N
681068	2325	1997-12-13	PRIJEM	VKLAD	25784	43754	\N	\N	\N
681069	2325	1998-01-13	PRIJEM	VKLAD	17189	30876	\N	\N	\N
681070	2325	1998-02-13	PRIJEM	VKLAD	17189	33306	\N	\N	\N
681071	2325	1998-03-13	PRIJEM	VKLAD	17189	40920	\N	\N	\N
681072	2325	1998-04-13	PRIJEM	VKLAD	17189	39243	\N	\N	\N
681073	2325	1998-05-13	PRIJEM	VKLAD	17189	46388	\N	\N	\N
681074	2325	1998-06-13	PRIJEM	VKLAD	25784	52039	\N	\N	\N
681075	2325	1998-07-13	PRIJEM	VKLAD	17189	43095	\N	\N	\N
681076	2325	1998-08-13	PRIJEM	VKLAD	17189	45242	\N	\N	\N
681077	2325	1998-09-13	PRIJEM	VKLAD	17189	41288	\N	\N	\N
681078	2325	1998-10-13	PRIJEM	VKLAD	17189	40721	\N	\N	\N
681079	2325	1998-11-13	PRIJEM	VKLAD	17189	31766	\N	\N	\N
681080	2325	1998-12-13	PRIJEM	VKLAD	25784	39350	\N	\N	\N
681087	2325	1997-07-13	VYDAJ	PREVOD NA UCET	1334	48820	SIPO	GH	26319808
681088	2325	1997-08-13	VYDAJ	PREVOD NA UCET	1334	45796	SIPO	GH	26319808
681089	2325	1997-09-13	VYDAJ	PREVOD NA UCET	1334	45563	SIPO	GH	26319808
681090	2325	1997-10-13	VYDAJ	PREVOD NA UCET	1334	43127	SIPO	GH	26319808
681091	2325	1997-11-13	VYDAJ	PREVOD NA UCET	1334	37405	SIPO	GH	26319808
681092	2325	1997-12-13	VYDAJ	PREVOD NA UCET	1334	42420	SIPO	GH	26319808
681093	2325	1998-01-13	VYDAJ	PREVOD NA UCET	1334	29542	SIPO	GH	26319808
681094	2325	1998-02-13	VYDAJ	PREVOD NA UCET	1334	31972	SIPO	GH	26319808
681095	2325	1998-03-13	VYDAJ	PREVOD NA UCET	1334	39586	SIPO	GH	26319808
681096	2325	1998-04-13	VYDAJ	PREVOD NA UCET	1334	37909	SIPO	GH	26319808
681097	2325	1998-05-13	VYDAJ	PREVOD NA UCET	1334	45054	SIPO	GH	26319808
681098	2325	1998-06-13	VYDAJ	PREVOD NA UCET	1334	50705	SIPO	GH	26319808
681099	2325	1998-07-13	VYDAJ	PREVOD NA UCET	1334	41761	SIPO	GH	26319808
681100	2325	1998-08-13	VYDAJ	PREVOD NA UCET	1334	43908	SIPO	GH	26319808
681101	2325	1998-09-13	VYDAJ	PREVOD NA UCET	1334	39954	SIPO	GH	26319808
681102	2325	1998-10-13	VYDAJ	PREVOD NA UCET	1334	39387	SIPO	GH	26319808
681103	2325	1998-11-13	VYDAJ	PREVOD NA UCET	1334	30432	SIPO	GH	26319808
681104	2325	1998-12-13	VYDAJ	PREVOD NA UCET	1334	38016	SIPO	GH	26319808
681112	2325	1997-08-12	VYDAJ	PREVOD NA UCET	2155	29941	 	ST	46773761
681113	2325	1997-09-12	VYDAJ	PREVOD NA UCET	2155	29708	 	ST	46773761
681114	2325	1997-10-12	VYDAJ	PREVOD NA UCET	2155	27272	 	ST	46773761
681115	2325	1997-11-12	VYDAJ	PREVOD NA UCET	2155	21550	 	ST	46773761
681116	2325	1997-12-12	VYDAJ	PREVOD NA UCET	2155	17970	 	ST	46773761
681117	2325	1998-01-12	VYDAJ	PREVOD NA UCET	2155	13687	 	ST	46773761
681118	2325	1998-02-12	VYDAJ	PREVOD NA UCET	2155	16117	 	ST	46773761
681119	2325	1998-03-12	VYDAJ	PREVOD NA UCET	2155	23731	 	ST	46773761
681120	2325	1998-04-12	VYDAJ	PREVOD NA UCET	2155	22054	 	ST	46773761
681121	2325	1998-05-12	VYDAJ	PREVOD NA UCET	2155	29199	 	ST	46773761
681122	2325	1998-06-12	VYDAJ	PREVOD NA UCET	2155	26255	 	ST	46773761
681123	2325	1998-07-12	VYDAJ	PREVOD NA UCET	2155	25906	 	ST	46773761
681124	2325	1998-08-12	VYDAJ	PREVOD NA UCET	2155	28053	 	ST	46773761
681125	2325	1998-09-12	VYDAJ	PREVOD NA UCET	2155	24099	 	ST	46773761
681126	2325	1998-10-12	VYDAJ	PREVOD NA UCET	2155	23532	 	ST	46773761
681127	2325	1998-11-12	VYDAJ	PREVOD NA UCET	2155	14577	 	ST	46773761
681128	2325	1998-12-12	VYDAJ	PREVOD NA UCET	2155	13566	 	ST	46773761
681135	2325	1997-07-14	VYDAJ	PREVOD NA UCET	2270	46550	POJISTNE	MN	86350583
681136	2325	1997-08-14	VYDAJ	PREVOD NA UCET	2270	43526	POJISTNE	MN	86350583
681137	2325	1997-09-14	VYDAJ	PREVOD NA UCET	2270	43293	POJISTNE	MN	86350583
681138	2325	1997-10-14	VYDAJ	PREVOD NA UCET	2270	40857	POJISTNE	MN	86350583
681139	2325	1997-11-14	VYDAJ	PREVOD NA UCET	2270	35135	POJISTNE	MN	86350583
681140	2325	1997-12-14	VYDAJ	PREVOD NA UCET	2270	40150	POJISTNE	MN	86350583
681141	2325	1998-01-14	VYDAJ	PREVOD NA UCET	2270	27272	POJISTNE	MN	86350583
681142	2325	1998-02-14	VYDAJ	PREVOD NA UCET	2270	29702	POJISTNE	MN	86350583
681143	2325	1998-03-14	VYDAJ	PREVOD NA UCET	2270	37316	POJISTNE	MN	86350583
681144	2325	1998-04-14	VYDAJ	PREVOD NA UCET	2270	35639	POJISTNE	MN	86350583
681145	2325	1998-05-14	VYDAJ	PREVOD NA UCET	2270	42784	POJISTNE	MN	86350583
681146	2325	1998-06-14	VYDAJ	PREVOD NA UCET	2270	48435	POJISTNE	MN	86350583
681147	2325	1998-07-14	VYDAJ	PREVOD NA UCET	2270	39491	POJISTNE	MN	86350583
681148	2325	1998-08-14	VYDAJ	PREVOD NA UCET	2270	41638	POJISTNE	MN	86350583
681149	2325	1998-09-14	VYDAJ	PREVOD NA UCET	2270	37684	POJISTNE	MN	86350583
681150	2325	1998-10-14	VYDAJ	PREVOD NA UCET	2270	37117	POJISTNE	MN	86350583
681151	2325	1998-11-14	VYDAJ	PREVOD NA UCET	2270	28162	POJISTNE	MN	86350583
681152	2325	1998-12-14	VYDAJ	PREVOD NA UCET	2270	35746	POJISTNE	MN	86350583
681156	2325	1998-01-10	VYDAJ	VYBER	6240	19802	\N	\N	\N
681157	2325	1997-12-24	VYDAJ	VYBER	1760	28690	\N	\N	\N
681158	2325	1998-12-11	VYDAJ	VYBER	4000	15721	\N	\N	\N
681165	2325	1998-01-04	VYDAJ	VYBER	2040	26042	\N	\N	\N
681166	2325	1998-01-16	VYDAJ	VYBER	960	23792	\N	\N	\N
681167	2325	1998-01-20	VYDAJ	VYBER	1440	22352	\N	\N	\N
681168	2325	1998-01-30	VYDAJ	VYBER	960	18192	\N	\N	\N
681169	2325	1998-01-16	VYDAJ	VYBER	2520	24752	\N	\N	\N
681170	2325	1998-01-01	VYDAJ	VYBER	720	28082	\N	\N	\N
681171	2325	1997-12-07	VYDAJ	VYBER	1560	23485	\N	\N	\N
681174	2325	1997-11-08	VYDAJ	VYBER	5760	23705	\N	\N	\N
681175	2325	1997-12-09	VYDAJ	VYBER	3360	20125	\N	\N	\N
681176	2325	1997-10-31	VYDAJ	VYBER	2520	29479	\N	\N	\N
681178	2325	1998-01-10	VYDAJ	VYBER	3960	15842	\N	\N	\N
681179	2325	1998-12-09	VYDAJ	VYBER	1320	19721	\N	\N	\N
681180	2325	1998-11-04	VYDAJ	VYBER	5280	16732	\N	\N	\N
681181	2325	1998-04-05	VYDAJ	VYBER	4320	24209	\N	\N	\N
681189	2325	1997-07-31	VYDAJ	VYBER	15	32096	SLUZBY	\N	\N
681190	2325	1997-08-31	VYDAJ	VYBER	15	31863	SLUZBY	\N	\N
681191	2325	1997-09-30	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
681192	2325	1997-10-31	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
681193	2325	1997-11-30	VYDAJ	VYBER	15	25045	SLUZBY	\N	\N
681194	2325	1997-12-31	VYDAJ	VYBER	15	28802	SLUZBY	\N	\N
681195	2325	1998-01-31	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
681196	2325	1998-02-28	VYDAJ	VYBER	15	25886	SLUZBY	\N	\N
681197	2325	1998-03-31	VYDAJ	VYBER	15	28529	SLUZBY	\N	\N
681198	2325	1998-04-30	VYDAJ	VYBER	15	31354	SLUZBY	\N	\N
681199	2325	1998-05-31	VYDAJ	VYBER	15	28410	SLUZBY	\N	\N
681200	2325	1998-06-30	VYDAJ	VYBER	15	28061	SLUZBY	\N	\N
681201	2325	1998-07-31	VYDAJ	VYBER	15	30208	SLUZBY	\N	\N
681202	2325	1998-08-31	VYDAJ	VYBER	15	26254	SLUZBY	\N	\N
681203	2325	1998-09-30	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
681204	2325	1998-10-31	VYDAJ	VYBER	15	22012	SLUZBY	\N	\N
681205	2325	1998-11-30	VYDAJ	VYBER	15	21041	SLUZBY	\N	\N
681206	2325	1997-03-28	VYDAJ	VYBER	700	17589	\N	\N	\N
681207	2325	1997-04-27	VYDAJ	VYBER	10800	23987	\N	\N	\N
681208	2325	1997-05-27	VYDAJ	VYBER	12100	29153	\N	\N	\N
681209	2325	1997-06-26	VYDAJ	VYBER	22200	32841	\N	\N	\N
681210	2325	1997-07-26	VYDAJ	VYBER	14600	31950	\N	\N	\N
681211	2325	1997-08-25	VYDAJ	VYBER	11800	31726	\N	\N	\N
681212	2325	1997-09-24	VYDAJ	VYBER	14000	29293	\N	\N	\N
681213	2325	1997-10-24	VYDAJ	VYBER	9000	31857	\N	\N	\N
681214	2325	1997-11-23	VYDAJ	VYBER	10200	24935	\N	\N	\N
681215	2325	1997-12-23	VYDAJ	VYBER	9700	30450	\N	\N	\N
681216	2325	1998-01-22	VYDAJ	VYBER	3200	19152	\N	\N	\N
681217	2325	1998-02-21	VYDAJ	VYBER	3900	25802	\N	\N	\N
681218	2325	1998-03-23	VYDAJ	VYBER	8900	28416	\N	\N	\N
681219	2325	1998-04-22	VYDAJ	VYBER	4400	31239	\N	\N	\N
681220	2325	1998-05-22	VYDAJ	VYBER	14500	28284	\N	\N	\N
681221	2325	1998-06-21	VYDAJ	VYBER	20500	27935	\N	\N	\N
681222	2325	1998-07-21	VYDAJ	VYBER	9400	30091	\N	\N	\N
681223	2325	1998-08-20	VYDAJ	VYBER	15500	26138	\N	\N	\N
681224	2325	1998-09-19	VYDAJ	VYBER	12100	25584	\N	\N	\N
681225	2325	1998-10-19	VYDAJ	VYBER	15200	21917	\N	\N	\N
681226	2325	1998-11-18	VYDAJ	VYBER	7200	20962	\N	\N	\N
681249	2326	1994-01-24	PRIJEM	VKLAD	200	200	\N	\N	\N
681250	2326	1994-07-24	PRIJEM	VKLAD	31189	56277	\N	\N	\N
681251	2326	1994-02-08	PRIJEM	VKLAD	19668	19868	\N	\N	\N
681252	2326	1994-04-27	PRIJEM	VKLAD	49848	144918	\N	\N	\N
681253	2326	1994-08-31	PRIJEM	VKLAD	18787	59460	\N	\N	\N
681254	2326	1994-02-27	PRIJEM	VKLAD	7576	39493	\N	\N	\N
681255	2326	1994-04-25	PRIJEM	VKLAD	49244	89417	\N	\N	\N
681256	2326	1994-12-08	PRIJEM	VKLAD	19884	56764	\N	\N	\N
681257	2326	1994-12-04	PRIJEM	VKLAD	8781	42102	\N	\N	\N
681258	2326	1994-09-14	PRIJEM	VKLAD	49576	95016	\N	\N	\N
681260	2326	1994-02-18	PRIJEM	VKLAD	19949	39817	\N	\N	\N
681261	2326	1994-10-12	PRIJEM	VKLAD	22942	75805	\N	\N	\N
681262	2326	1994-03-28	PRIJEM	VKLAD	29244	59597	\N	\N	\N
681263	2326	1994-06-22	PRIJEM	VKLAD	12666	39672	\N	\N	\N
681264	2326	1994-04-26	PRIJEM	VKLAD	36353	125770	\N	\N	\N
681265	2326	1994-12-09	PRIJEM	VKLAD	28071	84835	\N	\N	\N
681266	2326	1995-05-08	PRIJEM	VKLAD	12787	32183	\N	\N	\N
681267	2326	1996-07-17	PRIJEM	VKLAD	30800	89580	\N	\N	\N
681268	2326	1996-11-18	PRIJEM	VKLAD	39482	118322	\N	\N	\N
681269	2326	1996-10-27	PRIJEM	VKLAD	32996	130230	\N	\N	\N
681270	2326	1996-10-25	PRIJEM	VKLAD	45469	97234	\N	\N	\N
681271	2326	1996-01-03	PRIJEM	VKLAD	7881	28814	\N	\N	\N
681272	2326	1996-05-09	PRIJEM	VKLAD	8506	34464	\N	\N	\N
681273	2326	1996-11-21	PRIJEM	VKLAD	26890	82513	\N	\N	\N
681274	2326	1996-10-25	PRIJEM	VKLAD	14642	51765	\N	\N	\N
681275	2326	1996-07-15	PRIJEM	VKLAD	37578	58780	\N	\N	\N
681276	2326	1996-11-12	PRIJEM	VKLAD	24989	86577	\N	\N	\N
681277	2326	1996-12-19	PRIJEM	VKLAD	33070	71511	\N	\N	\N
681278	2326	1996-10-21	PRIJEM	VKLAD	5798	37123	\N	\N	\N
681279	2326	1996-02-12	PRIJEM	VKLAD	7766	25419	\N	\N	\N
681280	2326	1996-03-11	PRIJEM	VKLAD	24792	46371	\N	\N	\N
681281	2326	1997-11-10	PRIJEM	VKLAD	6670	34900	\N	\N	\N
681282	2326	1997-01-14	PRIJEM	VKLAD	33357	65389	\N	\N	\N
681283	2326	1997-09-19	PRIJEM	VKLAD	20996	48063	\N	\N	\N
681284	2326	1997-02-10	PRIJEM	VKLAD	44364	70604	\N	\N	\N
681285	2326	1997-08-15	PRIJEM	VKLAD	48709	73711	\N	\N	\N
681286	2326	1997-07-26	PRIJEM	VKLAD	11674	40475	\N	\N	\N
681291	2326	1994-05-06	VYDAJ	PREVOD NA UCET	3422	96065	SIPO	AB	48282474
681292	2326	1994-06-06	VYDAJ	PREVOD NA UCET	3422	39226	SIPO	AB	48282474
681293	2326	1994-07-06	VYDAJ	PREVOD NA UCET	3422	20088	SIPO	AB	48282474
681294	2326	1994-08-06	VYDAJ	PREVOD NA UCET	3422	52973	SIPO	AB	48282474
681295	2326	1994-09-06	VYDAJ	PREVOD NA UCET	3422	56240	SIPO	AB	48282474
681296	2326	1994-10-06	VYDAJ	PREVOD NA UCET	3422	59763	SIPO	AB	48282474
681297	2326	1994-11-06	VYDAJ	PREVOD NA UCET	3422	45157	SIPO	AB	48282474
681298	2326	1994-12-06	VYDAJ	PREVOD NA UCET	3422	36880	SIPO	AB	48282474
681299	2326	1995-01-06	VYDAJ	PREVOD NA UCET	3422	34951	SIPO	AB	48282474
681300	2326	1995-02-06	VYDAJ	PREVOD NA UCET	3422	18245	SIPO	AB	48282474
681301	2326	1995-03-06	VYDAJ	PREVOD NA UCET	3422	17597	SIPO	AB	48282474
681302	2326	1995-04-06	VYDAJ	PREVOD NA UCET	3422	16146	SIPO	AB	48282474
681303	2326	1995-05-06	VYDAJ	PREVOD NA UCET	3422	19396	SIPO	AB	48282474
681304	2326	1995-06-06	VYDAJ	PREVOD NA UCET	3422	17487	SIPO	AB	48282474
681305	2326	1995-07-06	VYDAJ	PREVOD NA UCET	3422	18237	SIPO	AB	48282474
681306	2326	1995-08-06	VYDAJ	PREVOD NA UCET	3422	18190	SIPO	AB	48282474
681307	2326	1995-09-06	VYDAJ	PREVOD NA UCET	3422	16039	SIPO	AB	48282474
681308	2326	1995-10-06	VYDAJ	PREVOD NA UCET	3422	14279	SIPO	AB	48282474
681309	2326	1995-11-06	VYDAJ	PREVOD NA UCET	3422	15618	SIPO	AB	48282474
681310	2326	1995-12-06	VYDAJ	PREVOD NA UCET	3422	16763	SIPO	AB	48282474
681311	2326	1996-01-06	VYDAJ	PREVOD NA UCET	3422	25392	SIPO	AB	48282474
681312	2326	1996-02-06	VYDAJ	PREVOD NA UCET	3422	17653	SIPO	AB	48282474
681313	2326	1996-03-06	VYDAJ	PREVOD NA UCET	3422	21579	SIPO	AB	48282474
681314	2326	1996-04-06	VYDAJ	PREVOD NA UCET	3422	29967	SIPO	AB	48282474
681315	2326	1996-05-06	VYDAJ	PREVOD NA UCET	3422	25958	SIPO	AB	48282474
681316	2326	1996-06-06	VYDAJ	PREVOD NA UCET	3422	21343	SIPO	AB	48282474
681317	2326	1996-07-06	VYDAJ	PREVOD NA UCET	3422	18602	SIPO	AB	48282474
681318	2326	1996-08-06	VYDAJ	PREVOD NA UCET	3422	75266	SIPO	AB	48282474
681319	2326	1996-09-06	VYDAJ	PREVOD NA UCET	3422	50285	SIPO	AB	48282474
681320	2326	1996-10-06	VYDAJ	PREVOD NA UCET	3422	34825	SIPO	AB	48282474
681321	2326	1996-11-06	VYDAJ	PREVOD NA UCET	3422	99888	SIPO	AB	48282474
681322	2326	1996-12-06	VYDAJ	PREVOD NA UCET	3422	58841	SIPO	AB	48282474
681323	2326	1997-01-06	VYDAJ	PREVOD NA UCET	3422	37532	SIPO	AB	48282474
681324	2326	1997-02-06	VYDAJ	PREVOD NA UCET	3422	20440	SIPO	AB	48282474
681325	2326	1997-03-06	VYDAJ	PREVOD NA UCET	3422	67402	SIPO	AB	48282474
681326	2326	1997-04-06	VYDAJ	PREVOD NA UCET	3422	24948	SIPO	AB	48282474
681327	2326	1997-05-06	VYDAJ	PREVOD NA UCET	3422	28238	SIPO	AB	48282474
681328	2326	1997-06-06	VYDAJ	PREVOD NA UCET	3422	26124	SIPO	AB	48282474
681329	2326	1997-07-06	VYDAJ	PREVOD NA UCET	3422	23801	SIPO	AB	48282474
681330	2326	1997-08-06	VYDAJ	PREVOD NA UCET	3422	34664	SIPO	AB	48282474
681331	2326	1997-09-06	VYDAJ	PREVOD NA UCET	3422	49713	SIPO	AB	48282474
681332	2326	1997-10-06	VYDAJ	PREVOD NA UCET	3422	25151	SIPO	AB	48282474
681333	2326	1997-11-06	VYDAJ	PREVOD NA UCET	3422	28230	SIPO	AB	48282474
681334	2326	1997-12-06	VYDAJ	PREVOD NA UCET	3422	33196	SIPO	AB	48282474
681335	2326	1998-01-06	VYDAJ	PREVOD NA UCET	3422	23193	SIPO	AB	48282474
681336	2326	1998-02-06	VYDAJ	PREVOD NA UCET	3422	30555	SIPO	AB	48282474
681337	2326	1998-03-06	VYDAJ	PREVOD NA UCET	3422	35433	SIPO	AB	48282474
681338	2326	1998-04-06	VYDAJ	PREVOD NA UCET	3422	42837	SIPO	AB	48282474
681339	2326	1998-05-06	VYDAJ	PREVOD NA UCET	3422	44466	SIPO	AB	48282474
681340	2326	1998-06-06	VYDAJ	PREVOD NA UCET	3422	32577	SIPO	AB	48282474
681341	2326	1998-07-06	VYDAJ	PREVOD NA UCET	3422	42867	SIPO	AB	48282474
681342	2326	1998-08-06	VYDAJ	PREVOD NA UCET	3422	50999	SIPO	AB	48282474
681343	2326	1998-09-06	VYDAJ	PREVOD NA UCET	3422	23441	SIPO	AB	48282474
681344	2326	1998-10-06	VYDAJ	PREVOD NA UCET	3422	39718	SIPO	AB	48282474
681345	2326	1998-11-06	VYDAJ	PREVOD NA UCET	3422	47941	SIPO	AB	48282474
681346	2326	1998-12-06	VYDAJ	PREVOD NA UCET	3422	49279	SIPO	AB	48282474
681347	2326	1994-05-20	VYBER	VYBER	22643	73422	\N	\N	\N
681348	2326	1994-10-18	VYBER	VYBER	3463	72342	\N	\N	\N
681350	2326	1994-06-18	VYBER	VYBER	12220	27006	\N	\N	\N
681352	2326	1995-06-03	VYBER	VYBER	7277	20909	\N	\N	\N
681360	2326	1996-11-14	VYBER	VYBER	7737	78840	\N	\N	\N
681362	2326	1996-11-20	VYBER	VYBER	22499	55623	\N	\N	\N
681365	2326	1996-11-26	VYBER	VYBER	20572	61941	\N	\N	\N
681367	2326	1997-10-03	VYBER	VYBER	23356	24873	\N	\N	\N
681368	2326	1997-03-21	VYBER	VYBER	10309	28193	\N	\N	\N
681370	2326	1997-08-14	VYBER	VYBER	9662	25002	\N	\N	\N
681371	2326	1997-01-05	VYBER	VYBER	22990	42754	\N	\N	\N
681373	2326	1997-09-07	VYBER	VYBER	22646	27067	\N	\N	\N
681375	2326	1998-08-12	VYBER	VYBER	12250	38749	\N	\N	\N
681376	2326	1998-11-12	VYBER	VYBER	13456	34485	\N	\N	\N
681377	2326	1998-11-20	VYBER	VYBER	5133	29352	\N	\N	\N
681380	2326	1998-09-05	VYBER	VYBER	20643	26863	\N	\N	\N
681382	2326	1998-05-20	VYBER	VYBER	5048	23982	\N	\N	\N
681383	2326	1998-05-15	VYBER	VYBER	3657	29030	\N	\N	\N
681385	2326	1998-05-12	VYBER	VYBER	11779	32687	\N	\N	\N
681392	2326	1995-01-05	VYDAJ	VYBER	11100	38373	\N	\N	\N
681394	2326	1997-01-21	VYDAJ	VYBER	9600	44089	\N	\N	\N
681396	2326	1994-12-05	VYDAJ	VYBER	1800	40302	\N	\N	\N
681398	2326	1996-12-18	VYDAJ	VYBER	4500	38441	\N	\N	\N
681399	2326	1997-12-22	VYDAJ	VYBER	1800	31396	\N	\N	\N
681400	2326	1998-12-15	VYDAJ	VYBER	8100	41179	\N	\N	\N
681407	2326	1995-01-16	VYDAJ	VYBER	6600	20551	\N	\N	\N
681408	2326	1995-01-26	VYDAJ	VYBER	1500	21551	\N	\N	\N
681411	2326	1995-01-16	VYDAJ	VYBER	7800	27151	\N	\N	\N
681412	2326	1995-01-03	VYDAJ	VYBER	4200	49473	\N	\N	\N
681416	2326	1996-01-22	VYDAJ	VYBER	2400	23692	\N	\N	\N
681417	2326	1996-01-23	VYDAJ	VYBER	2700	20992	\N	\N	\N
681419	2326	1997-01-04	VYDAJ	VYBER	2100	65744	\N	\N	\N
681420	2326	1997-01-01	VYDAJ	VYBER	3900	67844	\N	\N	\N
681421	2326	1997-01-05	VYDAJ	VYBER	1800	40954	\N	\N	\N
681422	2326	1997-01-26	VYDAJ	VYBER	1500	28189	\N	\N	\N
681423	2326	1997-01-21	VYDAJ	VYBER	3300	53689	\N	\N	\N
681424	2326	1997-01-19	VYDAJ	VYBER	8400	56989	\N	\N	\N
681431	2326	1994-09-06	VYDAJ	VYBER	10800	45440	\N	\N	\N
681432	2326	1994-06-27	VYDAJ	VYBER	8400	23372	\N	\N	\N
681433	2326	1994-10-09	VYDAJ	VYBER	6900	52863	\N	\N	\N
681437	2326	1994-05-26	VYDAJ	VYBER	6600	42322	\N	\N	\N
681439	2326	1996-05-17	VYDAJ	VYBER	7200	24664	\N	\N	\N
681441	2326	1996-07-23	VYDAJ	VYBER	11100	78480	\N	\N	\N
681443	2326	1997-01-25	VYDAJ	VYBER	14400	29689	\N	\N	\N
681445	2326	1997-03-16	VYDAJ	VYBER	14700	38502	\N	\N	\N
681447	2326	1997-02-02	VYDAJ	VYBER	4500	23862	\N	\N	\N
681448	2326	1998-01-04	VYDAJ	VYBER	11700	26615	\N	\N	\N
681449	2326	1998-04-17	VYDAJ	VYBER	2100	40737	\N	\N	\N
681451	2326	1998-02-08	VYDAJ	VYBER	1500	29055	\N	\N	\N
681453	2326	1998-10-19	VYDAJ	VYBER	9000	30718	\N	\N	\N
681458	2326	1994-04-30	VYDAJ	VYBER	15	99487	SLUZBY	\N	\N
681459	2326	1994-05-31	VYDAJ	VYBER	15	42648	SLUZBY	\N	\N
681460	2326	1994-06-30	VYDAJ	VYBER	15	23510	SLUZBY	\N	\N
681461	2326	1994-07-31	VYDAJ	VYBER	15	56395	SLUZBY	\N	\N
681462	2326	1994-08-31	VYDAJ	VYBER	15	59662	SLUZBY	\N	\N
681463	2326	1994-09-30	VYDAJ	VYBER	15	63185	SLUZBY	\N	\N
681464	2326	1994-10-31	VYDAJ	VYBER	15	48579	SLUZBY	\N	\N
681465	2326	1994-11-30	VYDAJ	VYBER	15	33321	SLUZBY	\N	\N
681466	2326	1994-12-31	VYDAJ	VYBER	15	53673	SLUZBY	\N	\N
681467	2326	1995-01-31	VYDAJ	VYBER	15	21667	SLUZBY	\N	\N
681468	2326	1995-02-28	VYDAJ	VYBER	15	21019	SLUZBY	\N	\N
681469	2326	1995-03-31	VYDAJ	VYBER	15	19568	SLUZBY	\N	\N
681470	2326	1995-04-30	VYDAJ	VYBER	15	22818	SLUZBY	\N	\N
681471	2326	1995-05-31	VYDAJ	VYBER	15	28186	SLUZBY	\N	\N
681472	2326	1995-06-30	VYDAJ	VYBER	15	21659	SLUZBY	\N	\N
681473	2326	1995-07-31	VYDAJ	VYBER	15	21612	SLUZBY	\N	\N
681474	2326	1995-08-31	VYDAJ	VYBER	15	19461	SLUZBY	\N	\N
681475	2326	1995-09-30	VYDAJ	VYBER	15	17701	SLUZBY	\N	\N
681476	2326	1995-10-31	VYDAJ	VYBER	15	19040	SLUZBY	\N	\N
681477	2326	1995-11-30	VYDAJ	VYBER	15	20185	SLUZBY	\N	\N
681478	2326	1995-12-31	VYDAJ	VYBER	15	20933	SLUZBY	\N	\N
681479	2326	1996-01-31	VYDAJ	VYBER	15	21075	SLUZBY	\N	\N
681480	2326	1996-02-29	VYDAJ	VYBER	15	25001	SLUZBY	\N	\N
681481	2326	1996-03-31	VYDAJ	VYBER	15	33389	SLUZBY	\N	\N
681482	2326	1996-04-30	VYDAJ	VYBER	15	29380	SLUZBY	\N	\N
681483	2326	1996-05-31	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
681484	2326	1996-06-30	VYDAJ	VYBER	15	22024	SLUZBY	\N	\N
681485	2326	1996-07-31	VYDAJ	VYBER	15	78688	SLUZBY	\N	\N
681486	2326	1996-08-31	VYDAJ	VYBER	15	53707	SLUZBY	\N	\N
681487	2326	1996-09-30	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
681488	2326	1996-10-31	VYDAJ	VYBER	15	103310	SLUZBY	\N	\N
681489	2326	1996-11-30	VYDAJ	VYBER	15	62263	SLUZBY	\N	\N
681490	2326	1996-12-31	VYDAJ	VYBER	15	71744	SLUZBY	\N	\N
681491	2326	1997-01-31	VYDAJ	VYBER	15	28362	SLUZBY	\N	\N
681492	2326	1997-02-28	VYDAJ	VYBER	15	70824	SLUZBY	\N	\N
681493	2326	1997-03-31	VYDAJ	VYBER	15	28370	SLUZBY	\N	\N
681494	2326	1997-04-30	VYDAJ	VYBER	15	31660	SLUZBY	\N	\N
681495	2326	1997-05-31	VYDAJ	VYBER	15	29546	SLUZBY	\N	\N
681496	2326	1997-06-30	VYDAJ	VYBER	15	27223	SLUZBY	\N	\N
681497	2326	1997-07-31	VYDAJ	VYBER	15	40586	SLUZBY	\N	\N
681498	2326	1997-08-31	VYDAJ	VYBER	15	73935	SLUZBY	\N	\N
681499	2326	1997-09-30	VYDAJ	VYBER	15	48229	SLUZBY	\N	\N
681500	2326	1997-10-31	VYDAJ	VYBER	15	25252	SLUZBY	\N	\N
681501	2326	1997-11-30	VYDAJ	VYBER	15	35018	SLUZBY	\N	\N
681502	2326	1997-12-31	VYDAJ	VYBER	15	31515	SLUZBY	\N	\N
681503	2326	1998-01-31	VYDAJ	VYBER	15	23277	SLUZBY	\N	\N
681504	2326	1998-02-28	VYDAJ	VYBER	15	29155	SLUZBY	\N	\N
681505	2326	1998-03-31	VYDAJ	VYBER	15	35559	SLUZBY	\N	\N
681506	2326	1998-04-30	VYDAJ	VYBER	15	40888	SLUZBY	\N	\N
681507	2326	1998-05-31	VYDAJ	VYBER	15	24099	SLUZBY	\N	\N
681508	2326	1998-06-30	VYDAJ	VYBER	15	32689	SLUZBY	\N	\N
681509	2326	1998-07-31	VYDAJ	VYBER	15	43021	SLUZBY	\N	\N
681510	2326	1998-08-31	VYDAJ	VYBER	15	47506	SLUZBY	\N	\N
681511	2326	1998-09-30	VYDAJ	VYBER	15	43140	SLUZBY	\N	\N
681512	2326	1998-10-31	VYDAJ	VYBER	15	51363	SLUZBY	\N	\N
681513	2326	1998-11-30	VYDAJ	VYBER	15	52701	SLUZBY	\N	\N
681514	2326	1994-02-23	VYDAJ	VYBER	7900	31917	\N	\N	\N
681515	2326	1994-03-25	VYDAJ	VYBER	9200	30353	\N	\N	\N
681516	2326	1994-04-24	VYDAJ	VYBER	19600	40173	\N	\N	\N
681517	2326	1994-04-26	VYDAJ	VYBER	30700	95070	\N	\N	\N
681518	2326	1994-04-27	VYDAJ	VYBER	45700	99218	\N	\N	\N
681519	2326	1994-05-24	VYDAJ	VYBER	24500	48922	\N	\N	\N
681520	2326	1994-06-23	VYDAJ	VYBER	7900	31772	\N	\N	\N
681521	2326	1994-07-23	PRIJEM	VKLAD	5000	25088	\N	\N	\N
681522	2326	1994-08-22	VYDAJ	VYBER	12300	40673	\N	\N	\N
681523	2326	1994-09-21	VYDAJ	VYBER	32100	62916	\N	\N	\N
681524	2326	1994-10-21	VYDAJ	VYBER	24000	48342	\N	\N	\N
681525	2326	1994-11-20	VYDAJ	VYBER	12000	33157	\N	\N	\N
681526	2326	1994-12-20	VYDAJ	VYBER	31400	53435	\N	\N	\N
681527	2326	1995-01-19	PRIJEM	VKLAD	2500	23051	\N	\N	\N
681528	2326	1995-02-18	PRIJEM	VKLAD	2700	20945	\N	\N	\N
681529	2326	1995-03-20	PRIJEM	VKLAD	1900	19497	\N	\N	\N
681530	2326	1995-04-19	PRIJEM	VKLAD	6600	22746	\N	\N	\N
681531	2326	1995-05-19	VYDAJ	VYBER	4100	28083	\N	\N	\N
681532	2326	1995-06-18	PRIJEM	VKLAD	4100	21587	\N	\N	\N
681533	2326	1995-07-18	PRIJEM	VKLAD	3300	21537	\N	\N	\N
681534	2326	1995-08-17	PRIJEM	VKLAD	1200	19390	\N	\N	\N
681535	2326	1995-09-16	PRIJEM	VKLAD	1600	17639	\N	\N	\N
681536	2326	1995-10-16	PRIJEM	VKLAD	4700	18979	\N	\N	\N
681537	2326	1995-11-15	PRIJEM	VKLAD	4500	20118	\N	\N	\N
681538	2326	1995-12-15	PRIJEM	VKLAD	4100	20863	\N	\N	\N
681539	2326	1996-01-14	PRIJEM	VKLAD	700	26092	\N	\N	\N
681540	2326	1996-02-13	VYDAJ	VYBER	500	24919	\N	\N	\N
681541	2326	1996-03-14	VYDAJ	VYBER	13100	33271	\N	\N	\N
681542	2326	1996-04-13	VYDAJ	VYBER	700	29267	\N	\N	\N
681543	2326	1996-05-13	VYDAJ	VYBER	2600	31864	\N	\N	\N
681544	2326	1996-06-12	PRIJEM	VKLAD	600	21943	\N	\N	\N
681545	2326	1996-07-12	PRIJEM	VKLAD	2600	21202	\N	\N	\N
681546	2326	1996-08-11	VYDAJ	VYBER	21800	53466	\N	\N	\N
681547	2326	1996-09-10	VYDAJ	VYBER	12200	38085	\N	\N	\N
681548	2326	1996-10-10	VYDAJ	VYBER	3500	31325	\N	\N	\N
681549	2326	1996-10-27	VYDAJ	VYBER	27100	103130	\N	\N	\N
681550	2326	1996-11-09	VYDAJ	VYBER	38300	61588	\N	\N	\N
681551	2326	1996-11-18	VYDAJ	VYBER	40200	78122	\N	\N	\N
681552	2326	1996-12-09	VYDAJ	VYBER	15900	42941	\N	\N	\N
681553	2326	1997-01-08	VYDAJ	VYBER	5500	32032	\N	\N	\N
681554	2326	1997-02-07	PRIJEM	VKLAD	5800	26240	\N	\N	\N
681555	2326	1997-03-09	VYDAJ	VYBER	14200	53202	\N	\N	\N
681556	2326	1997-04-08	PRIJEM	VKLAD	6600	31548	\N	\N	\N
681557	2326	1997-05-08	PRIJEM	VKLAD	1200	29438	\N	\N	\N
681558	2326	1997-06-07	PRIJEM	VKLAD	1000	27124	\N	\N	\N
681559	2326	1997-07-07	PRIJEM	VKLAD	5000	28801	\N	\N	\N
681560	2326	1997-08-06	VYDAJ	VYBER	2500	38086	\N	\N	\N
681561	2326	1997-09-05	VYDAJ	VYBER	20800	53135	\N	\N	\N
681562	2326	1997-10-05	PRIJEM	VKLAD	3700	28573	\N	\N	\N
681563	2326	1997-11-04	PRIJEM	VKLAD	6400	31652	\N	\N	\N
681564	2326	1997-12-04	PRIJEM	VKLAD	1600	36618	\N	\N	\N
681565	2326	1998-01-03	PRIJEM	VKLAD	6800	38315	\N	\N	\N
681566	2326	1998-02-02	PRIJEM	VKLAD	10700	33977	\N	\N	\N
681567	2326	1998-03-04	PRIJEM	VKLAD	9700	38855	\N	\N	\N
681568	2326	1998-04-03	PRIJEM	VKLAD	10700	46259	\N	\N	\N
681569	2326	1998-05-03	PRIJEM	VKLAD	7000	47888	\N	\N	\N
681570	2326	1998-06-02	PRIJEM	VKLAD	11900	35999	\N	\N	\N
681571	2326	1998-07-02	PRIJEM	VKLAD	13600	46289	\N	\N	\N
681572	2326	1998-08-01	PRIJEM	VKLAD	11400	54421	\N	\N	\N
681573	2326	1998-08-31	PRIJEM	VKLAD	8600	47349	\N	\N	\N
681574	2326	1998-09-30	PRIJEM	VKLAD	19600	43154	\N	\N	\N
681575	2326	1998-10-30	PRIJEM	VKLAD	20500	51218	\N	\N	\N
681576	2326	1998-11-29	PRIJEM	VKLAD	23200	52552	\N	\N	\N
681636	2327	1993-06-08	PRIJEM	VKLAD	600	600	\N	\N	\N
681643	2327	1993-07-07	PRIJEM	PREVOD Z UCTU	15714	16314	\N	GH	98203420
681644	2327	1993-08-07	PRIJEM	PREVOD Z UCTU	15714	37297	\N	GH	98203420
681645	2327	1993-09-07	PRIJEM	PREVOD Z UCTU	15714	42827	\N	GH	98203420
681646	2327	1993-10-07	PRIJEM	PREVOD Z UCTU	15714	51109	\N	GH	98203420
681647	2327	1993-11-07	PRIJEM	PREVOD Z UCTU	15714	55429	\N	GH	98203420
681648	2327	1993-12-07	PRIJEM	PREVOD Z UCTU	23571	58968	\N	GH	98203420
681649	2327	1994-01-07	PRIJEM	PREVOD Z UCTU	15714	41335	\N	GH	98203420
681650	2327	1994-02-07	PRIJEM	PREVOD Z UCTU	15714	36618	\N	GH	98203420
681651	2327	1994-03-07	PRIJEM	PREVOD Z UCTU	15714	37610	\N	GH	98203420
681652	2327	1994-04-07	PRIJEM	PREVOD Z UCTU	15714	41509	\N	GH	98203420
681653	2327	1994-05-07	PRIJEM	PREVOD Z UCTU	15714	43923	\N	GH	98203420
681654	2327	1994-06-07	PRIJEM	PREVOD Z UCTU	23571	51105	\N	GH	98203420
681655	2327	1994-07-07	PRIJEM	PREVOD Z UCTU	15714	48554	\N	GH	98203420
681656	2327	1994-08-07	PRIJEM	PREVOD Z UCTU	15714	47601	\N	GH	98203420
681657	2327	1994-09-07	PRIJEM	PREVOD Z UCTU	15714	40509	\N	GH	98203420
681658	2327	1994-10-07	PRIJEM	PREVOD Z UCTU	15714	42716	\N	GH	98203420
681659	2327	1994-11-07	PRIJEM	PREVOD Z UCTU	15714	44635	\N	GH	98203420
681660	2327	1994-12-07	PRIJEM	PREVOD Z UCTU	23571	53211	\N	GH	98203420
681661	2327	1995-01-07	PRIJEM	PREVOD Z UCTU	15714	44936	\N	GH	98203420
681662	2327	1995-02-07	PRIJEM	PREVOD Z UCTU	15714	40428	\N	GH	98203420
681663	2327	1995-03-07	PRIJEM	PREVOD Z UCTU	15714	40828	\N	GH	98203420
681664	2327	1995-04-07	PRIJEM	PREVOD Z UCTU	15714	39218	\N	GH	98203420
681665	2327	1995-05-07	PRIJEM	PREVOD Z UCTU	15714	28813	\N	GH	98203420
681666	2327	1995-06-07	PRIJEM	PREVOD Z UCTU	23571	40023	\N	GH	98203420
681667	2327	1995-07-07	PRIJEM	PREVOD Z UCTU	15714	37810	\N	GH	98203420
681668	2327	1995-08-07	PRIJEM	PREVOD Z UCTU	15714	36398	\N	GH	98203420
681669	2327	1995-09-07	PRIJEM	PREVOD Z UCTU	15714	37381	\N	GH	98203420
681670	2327	1995-10-07	PRIJEM	PREVOD Z UCTU	15714	35966	\N	GH	98203420
681671	2327	1995-11-07	PRIJEM	PREVOD Z UCTU	15714	36966	\N	GH	98203420
681672	2327	1995-12-07	PRIJEM	PREVOD Z UCTU	23571	44002	\N	GH	98203420
681673	2327	1996-01-07	PRIJEM	PREVOD Z UCTU	15714	41402	\N	GH	98203420
681674	2327	1996-02-07	PRIJEM	PREVOD Z UCTU	15714	33184	\N	GH	98203420
681675	2327	1996-03-07	PRIJEM	PREVOD Z UCTU	15714	31249	\N	GH	98203420
681676	2327	1996-04-07	PRIJEM	PREVOD Z UCTU	15714	31709	\N	GH	98203420
681677	2327	1996-05-07	PRIJEM	PREVOD Z UCTU	15714	33172	\N	GH	98203420
681678	2327	1996-06-07	PRIJEM	PREVOD Z UCTU	23571	42097	\N	GH	98203420
681679	2327	1996-07-07	PRIJEM	PREVOD Z UCTU	15714	34478	\N	GH	98203420
681680	2327	1996-08-07	PRIJEM	PREVOD Z UCTU	15714	31345	\N	GH	98203420
681681	2327	1996-09-07	PRIJEM	PREVOD Z UCTU	15714	29201	\N	GH	98203420
681682	2327	1996-10-07	PRIJEM	PREVOD Z UCTU	15714	33657	\N	GH	98203420
681683	2327	1996-11-07	PRIJEM	PREVOD Z UCTU	15714	28092	\N	GH	98203420
681684	2327	1996-12-07	PRIJEM	PREVOD Z UCTU	23571	38498	\N	GH	98203420
681685	2327	1997-01-07	PRIJEM	PREVOD Z UCTU	15714	35169	\N	GH	98203420
681686	2327	1997-02-07	PRIJEM	PREVOD Z UCTU	15714	33038	\N	GH	98203420
681687	2327	1997-03-07	PRIJEM	PREVOD Z UCTU	15714	30397	\N	GH	98203420
681688	2327	1997-04-07	PRIJEM	PREVOD Z UCTU	15714	32054	\N	GH	98203420
681689	2327	1997-05-07	PRIJEM	PREVOD Z UCTU	15714	32615	\N	GH	98203420
681690	2327	1997-06-07	PRIJEM	PREVOD Z UCTU	23571	41636	\N	GH	98203420
681691	2327	1997-07-07	PRIJEM	PREVOD Z UCTU	15714	38018	\N	GH	98203420
681692	2327	1997-08-07	PRIJEM	PREVOD Z UCTU	15714	35998	\N	GH	98203420
681693	2327	1997-09-07	PRIJEM	PREVOD Z UCTU	15714	31160	\N	GH	98203420
681694	2327	1997-10-07	PRIJEM	PREVOD Z UCTU	15714	30213	\N	GH	98203420
681695	2327	1997-11-07	PRIJEM	PREVOD Z UCTU	15714	32770	\N	GH	98203420
681696	2327	1997-12-07	PRIJEM	PREVOD Z UCTU	23571	43194	\N	GH	98203420
681697	2327	1998-01-07	PRIJEM	PREVOD Z UCTU	15714	37992	\N	GH	98203420
681698	2327	1998-02-07	PRIJEM	PREVOD Z UCTU	15714	28891	\N	GH	98203420
681699	2327	1998-03-07	PRIJEM	PREVOD Z UCTU	15714	31442	\N	GH	98203420
681700	2327	1998-04-07	PRIJEM	PREVOD Z UCTU	15714	34003	\N	GH	98203420
681701	2327	1998-05-07	PRIJEM	PREVOD Z UCTU	15714	36575	\N	GH	98203420
681702	2327	1998-06-07	PRIJEM	PREVOD Z UCTU	23571	47014	\N	GH	98203420
681703	2327	1998-07-07	PRIJEM	PREVOD Z UCTU	15714	49629	\N	GH	98203420
681704	2327	1998-08-07	PRIJEM	PREVOD Z UCTU	15714	52266	\N	GH	98203420
681705	2327	1998-09-07	PRIJEM	PREVOD Z UCTU	15714	54913	\N	GH	98203420
681706	2327	1998-10-07	PRIJEM	PREVOD Z UCTU	15714	25782	\N	GH	98203420
681707	2327	1998-11-07	PRIJEM	PREVOD Z UCTU	15714	28319	\N	GH	98203420
681708	2327	1998-12-07	PRIJEM	PREVOD Z UCTU	23571	38723	\N	GH	98203420
681719	2327	1993-11-11	VYDAJ	PREVOD NA UCET	13208	42221	SIPO	WX	58510798
681720	2327	1993-12-11	VYDAJ	PREVOD NA UCET	13208	45760	SIPO	WX	58510798
681721	2327	1994-01-11	VYDAJ	PREVOD NA UCET	13208	17327	SIPO	WX	58510798
681722	2327	1994-02-11	VYDAJ	PREVOD NA UCET	13208	23410	SIPO	WX	58510798
681723	2327	1994-03-11	VYDAJ	PREVOD NA UCET	13208	24402	SIPO	WX	58510798
681724	2327	1994-04-11	VYDAJ	PREVOD NA UCET	13208	28301	SIPO	WX	58510798
681725	2327	1994-05-11	VYDAJ	PREVOD NA UCET	13208	30715	SIPO	WX	58510798
681726	2327	1994-06-11	VYDAJ	PREVOD NA UCET	13208	37897	SIPO	WX	58510798
681727	2327	1994-07-11	VYDAJ	PREVOD NA UCET	13208	35346	SIPO	WX	58510798
681728	2327	1994-08-11	VYDAJ	PREVOD NA UCET	13208	28093	SIPO	WX	58510798
681729	2327	1994-09-11	VYDAJ	PREVOD NA UCET	13208	27301	SIPO	WX	58510798
681730	2327	1994-10-11	VYDAJ	PREVOD NA UCET	13208	29508	SIPO	WX	58510798
681731	2327	1994-11-11	VYDAJ	PREVOD NA UCET	13208	31427	SIPO	WX	58510798
681732	2327	1994-12-11	VYDAJ	PREVOD NA UCET	13208	40003	SIPO	WX	58510798
681733	2327	1995-01-11	VYDAJ	PREVOD NA UCET	13208	31728	SIPO	WX	58510798
681734	2327	1995-02-11	VYDAJ	PREVOD NA UCET	13208	27220	SIPO	WX	58510798
681735	2327	1995-03-11	VYDAJ	PREVOD NA UCET	13208	21120	SIPO	WX	58510798
681736	2327	1995-04-11	VYDAJ	PREVOD NA UCET	13208	7261	SIPO	WX	58510798
681737	2327	1995-05-11	VYDAJ	PREVOD NA UCET	13208	15605	SIPO	WX	58510798
681738	2327	1995-06-11	VYDAJ	PREVOD NA UCET	13208	26815	SIPO	WX	58510798
681739	2327	1995-07-11	VYDAJ	PREVOD NA UCET	13208	24602	SIPO	WX	58510798
681740	2327	1995-08-11	VYDAJ	PREVOD NA UCET	13208	23190	SIPO	WX	58510798
681741	2327	1995-09-11	VYDAJ	PREVOD NA UCET	13208	24173	SIPO	WX	58510798
681742	2327	1995-10-11	VYDAJ	PREVOD NA UCET	13208	22758	SIPO	WX	58510798
681743	2327	1995-11-11	VYDAJ	PREVOD NA UCET	13208	21358	SIPO	WX	58510798
681744	2327	1995-12-11	VYDAJ	PREVOD NA UCET	13208	30794	SIPO	WX	58510798
681745	2327	1996-01-11	VYDAJ	PREVOD NA UCET	13208	28194	SIPO	WX	58510798
681746	2327	1996-02-11	VYDAJ	PREVOD NA UCET	13208	19976	SIPO	WX	58510798
681747	2327	1996-03-11	VYDAJ	PREVOD NA UCET	13208	18041	SIPO	WX	58510798
681748	2327	1996-04-11	VYDAJ	PREVOD NA UCET	13208	18501	SIPO	WX	58510798
681749	2327	1996-05-11	VYDAJ	PREVOD NA UCET	13208	19964	SIPO	WX	58510798
681750	2327	1996-06-11	VYDAJ	PREVOD NA UCET	13208	28889	SIPO	WX	58510798
681751	2327	1996-07-11	VYDAJ	PREVOD NA UCET	13208	21270	SIPO	WX	58510798
681752	2327	1996-08-11	VYDAJ	PREVOD NA UCET	13208	18137	SIPO	WX	58510798
681753	2327	1996-09-11	VYDAJ	PREVOD NA UCET	13208	15993	SIPO	WX	58510798
681754	2327	1996-10-11	VYDAJ	PREVOD NA UCET	13208	12332	SIPO	WX	58510798
681755	2327	1996-11-11	VYDAJ	PREVOD NA UCET	13208	14884	SIPO	WX	58510798
681756	2327	1996-12-11	VYDAJ	PREVOD NA UCET	13208	25290	SIPO	WX	58510798
681757	2327	1997-01-11	VYDAJ	PREVOD NA UCET	13208	21961	SIPO	WX	58510798
681758	2327	1997-02-11	VYDAJ	PREVOD NA UCET	13208	19830	SIPO	WX	58510798
681759	2327	1997-03-11	VYDAJ	PREVOD NA UCET	13208	17189	SIPO	WX	58510798
681760	2327	1997-04-11	VYDAJ	PREVOD NA UCET	13208	18846	SIPO	WX	58510798
681761	2327	1997-05-11	VYDAJ	PREVOD NA UCET	13208	19407	SIPO	WX	58510798
681762	2327	1997-06-11	VYDAJ	PREVOD NA UCET	13208	28428	SIPO	WX	58510798
681763	2327	1997-07-11	VYDAJ	PREVOD NA UCET	13208	24810	SIPO	WX	58510798
681764	2327	1997-08-11	VYDAJ	PREVOD NA UCET	13208	14390	SIPO	WX	58510798
681765	2327	1997-09-11	VYDAJ	PREVOD NA UCET	13208	17952	SIPO	WX	58510798
681766	2327	1997-10-11	VYDAJ	PREVOD NA UCET	13208	17005	SIPO	WX	58510798
681767	2327	1997-11-11	VYDAJ	PREVOD NA UCET	13208	19562	SIPO	WX	58510798
681768	2327	1997-12-11	VYDAJ	PREVOD NA UCET	13208	29986	SIPO	WX	58510798
681769	2327	1998-01-11	VYDAJ	PREVOD NA UCET	13208	24784	SIPO	WX	58510798
681770	2327	1998-02-11	VYDAJ	PREVOD NA UCET	13208	15683	SIPO	WX	58510798
681771	2327	1998-03-11	VYDAJ	PREVOD NA UCET	13208	18234	SIPO	WX	58510798
681772	2327	1998-04-11	VYDAJ	PREVOD NA UCET	13208	20795	SIPO	WX	58510798
681773	2327	1998-05-11	VYDAJ	PREVOD NA UCET	13208	23367	SIPO	WX	58510798
681774	2327	1998-06-11	VYDAJ	PREVOD NA UCET	13208	33806	SIPO	WX	58510798
681775	2327	1998-07-11	VYDAJ	PREVOD NA UCET	13208	36421	SIPO	WX	58510798
681776	2327	1998-08-11	VYDAJ	PREVOD NA UCET	13208	39058	SIPO	WX	58510798
681777	2327	1998-09-11	VYDAJ	PREVOD NA UCET	13208	10005	SIPO	WX	58510798
681778	2327	1998-10-11	VYDAJ	PREVOD NA UCET	13208	12574	SIPO	WX	58510798
681779	2327	1998-11-11	VYDAJ	PREVOD NA UCET	13208	15111	SIPO	WX	58510798
681780	2327	1998-12-11	VYDAJ	PREVOD NA UCET	13208	25515	SIPO	WX	58510798
681786	2327	1993-12-13	VYBER	VYBER	10885	34875	\N	\N	\N
681803	2327	1995-03-07	VYBER	VYBER	6500	34328	\N	\N	\N
681804	2327	1995-04-08	VYBER	VYBER	18749	20469	\N	\N	\N
681805	2327	1995-10-15	VYBER	VYBER	2677	20081	\N	\N	\N
681807	2327	1995-11-11	VYBER	VYBER	2400	34566	\N	\N	\N
681816	2327	1996-10-08	VYBER	VYBER	8117	25540	\N	\N	\N
681827	2327	1995-01-12	VYDAJ	VYBER	11100	20628	\N	\N	\N
681831	2327	1993-12-22	VYDAJ	VYBER	4800	30075	\N	\N	\N
681832	2327	1994-12-12	VYDAJ	VYBER	6600	33403	\N	\N	\N
681835	2327	1997-12-27	VYDAJ	VYBER	3000	26986	\N	\N	\N
681844	2327	1994-01-10	VYDAJ	VYBER	8700	30535	\N	\N	\N
681845	2327	1994-01-07	VYDAJ	VYBER	2100	39235	\N	\N	\N
681848	2327	1994-01-02	VYDAJ	VYBER	7500	22721	\N	\N	\N
681855	2327	1996-01-12	VYDAJ	VYBER	2700	25494	\N	\N	\N
681859	2327	1996-01-15	VYDAJ	VYBER	5700	19794	\N	\N	\N
681870	2327	1998-01-05	VYDAJ	VYBER	4800	22278	\N	\N	\N
681872	2327	1998-01-11	VYDAJ	VYBER	6300	18484	\N	\N	\N
681881	2327	1994-08-17	VYDAJ	VYBER	8400	19693	\N	\N	\N
681882	2327	1994-08-07	VYDAJ	VYBER	6300	41301	\N	\N	\N
681883	2327	1994-06-02	VYDAJ	VYBER	2700	28134	\N	\N	\N
681888	2327	1996-06-17	VYDAJ	VYBER	4800	24089	\N	\N	\N
681898	2327	1997-08-08	VYDAJ	VYBER	8400	27598	\N	\N	\N
681903	2327	1998-01-11	VYDAJ	VYBER	5400	13084	\N	\N	\N
681915	2327	1993-11-30	VYDAJ	VYBER	15	42397	SLUZBY	\N	\N
681916	2327	1993-12-31	VYDAJ	VYBER	15	30221	SLUZBY	\N	\N
681917	2327	1994-01-31	VYDAJ	VYBER	15	17404	SLUZBY	\N	\N
681918	2327	1994-02-28	VYDAJ	VYBER	15	23496	SLUZBY	\N	\N
681919	2327	1994-03-31	VYDAJ	VYBER	15	24495	SLUZBY	\N	\N
681920	2327	1994-04-30	VYDAJ	VYBER	15	28409	SLUZBY	\N	\N
681921	2327	1994-05-31	VYDAJ	VYBER	15	30834	SLUZBY	\N	\N
681922	2327	1994-06-30	VYDAJ	VYBER	15	38040	SLUZBY	\N	\N
681923	2327	1994-07-31	VYDAJ	VYBER	15	35487	SLUZBY	\N	\N
681924	2327	1994-08-31	VYDAJ	VYBER	15	19795	SLUZBY	\N	\N
681925	2327	1994-09-30	VYDAJ	VYBER	15	27402	SLUZBY	\N	\N
681926	2327	1994-10-31	VYDAJ	VYBER	15	29621	SLUZBY	\N	\N
681927	2327	1994-11-30	VYDAJ	VYBER	15	29640	SLUZBY	\N	\N
681928	2327	1994-12-31	VYDAJ	VYBER	15	29222	SLUZBY	\N	\N
681929	2327	1995-01-31	VYDAJ	VYBER	15	24714	SLUZBY	\N	\N
681930	2327	1995-02-28	VYDAJ	VYBER	15	25114	SLUZBY	\N	\N
681931	2327	1995-03-31	VYDAJ	VYBER	15	23504	SLUZBY	\N	\N
681932	2327	1995-04-30	VYDAJ	VYBER	15	13099	SLUZBY	\N	\N
681933	2327	1995-05-31	VYDAJ	VYBER	15	16452	SLUZBY	\N	\N
681934	2327	1995-06-30	VYDAJ	VYBER	15	22096	SLUZBY	\N	\N
681935	2327	1995-07-31	VYDAJ	VYBER	15	20684	SLUZBY	\N	\N
681936	2327	1995-08-31	VYDAJ	VYBER	15	21667	SLUZBY	\N	\N
681937	2327	1995-09-30	VYDAJ	VYBER	15	20252	SLUZBY	\N	\N
681938	2327	1995-10-31	VYDAJ	VYBER	15	21252	SLUZBY	\N	\N
681939	2327	1995-11-30	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
681940	2327	1995-12-31	VYDAJ	VYBER	15	25688	SLUZBY	\N	\N
681941	2327	1996-01-31	VYDAJ	VYBER	15	17470	SLUZBY	\N	\N
681942	2327	1996-02-29	VYDAJ	VYBER	15	15535	SLUZBY	\N	\N
681943	2327	1996-03-31	VYDAJ	VYBER	15	15995	SLUZBY	\N	\N
681944	2327	1996-04-30	VYDAJ	VYBER	15	17458	SLUZBY	\N	\N
681945	2327	1996-05-31	VYDAJ	VYBER	15	18526	SLUZBY	\N	\N
681946	2327	1996-06-30	VYDAJ	VYBER	15	18764	SLUZBY	\N	\N
681947	2327	1996-07-31	VYDAJ	VYBER	15	15631	SLUZBY	\N	\N
681948	2327	1996-08-31	VYDAJ	VYBER	15	13487	SLUZBY	\N	\N
681949	2327	1996-09-30	VYDAJ	VYBER	15	17943	SLUZBY	\N	\N
681950	2327	1996-10-31	VYDAJ	VYBER	15	12378	SLUZBY	\N	\N
681951	2327	1996-11-30	VYDAJ	VYBER	15	14927	SLUZBY	\N	\N
681952	2327	1996-12-31	VYDAJ	VYBER	15	19455	SLUZBY	\N	\N
681953	2327	1997-01-31	VYDAJ	VYBER	15	17324	SLUZBY	\N	\N
681954	2327	1997-02-28	VYDAJ	VYBER	15	14683	SLUZBY	\N	\N
681955	2327	1997-03-31	VYDAJ	VYBER	15	16340	SLUZBY	\N	\N
681956	2327	1997-04-30	VYDAJ	VYBER	15	16901	SLUZBY	\N	\N
681957	2327	1997-05-31	VYDAJ	VYBER	15	18065	SLUZBY	\N	\N
681958	2327	1997-06-30	VYDAJ	VYBER	15	22304	SLUZBY	\N	\N
681959	2327	1997-07-31	VYDAJ	VYBER	15	20284	SLUZBY	\N	\N
681960	2327	1997-08-31	VYDAJ	VYBER	15	15446	SLUZBY	\N	\N
681961	2327	1997-09-30	VYDAJ	VYBER	15	14499	SLUZBY	\N	\N
681962	2327	1997-10-31	VYDAJ	VYBER	15	17056	SLUZBY	\N	\N
681963	2327	1997-11-30	VYDAJ	VYBER	15	19623	SLUZBY	\N	\N
681964	2327	1997-12-31	VYDAJ	VYBER	15	27078	SLUZBY	\N	\N
681965	2327	1998-01-31	VYDAJ	VYBER	15	13177	SLUZBY	\N	\N
681966	2327	1998-02-28	VYDAJ	VYBER	15	15728	SLUZBY	\N	\N
681967	2327	1998-03-31	VYDAJ	VYBER	15	18289	SLUZBY	\N	\N
681968	2327	1998-04-30	VYDAJ	VYBER	15	20861	SLUZBY	\N	\N
681969	2327	1998-05-31	VYDAJ	VYBER	15	23443	SLUZBY	\N	\N
681970	2327	1998-06-30	VYDAJ	VYBER	15	33915	SLUZBY	\N	\N
681971	2327	1998-07-31	VYDAJ	VYBER	15	36552	SLUZBY	\N	\N
681972	2327	1998-08-31	VYDAJ	VYBER	15	39199	SLUZBY	\N	\N
681973	2327	1998-09-30	VYDAJ	VYBER	15	10068	SLUZBY	\N	\N
681974	2327	1998-10-31	VYDAJ	VYBER	15	12605	SLUZBY	\N	\N
681975	2327	1998-11-30	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
681976	2327	1993-07-08	PRIJEM	VKLAD	5200	21514	\N	\N	\N
681977	2327	1993-08-07	VYDAJ	VYBER	8000	29297	\N	\N	\N
681978	2327	1993-09-06	VYDAJ	VYBER	2300	27113	\N	\N	\N
681979	2327	1993-10-06	VYDAJ	VYBER	7600	35395	\N	\N	\N
681980	2327	1993-11-05	VYDAJ	VYBER	11600	39715	\N	\N	\N
681981	2327	1993-12-05	VYDAJ	VYBER	7000	35397	\N	\N	\N
681982	2327	1994-01-04	PRIJEM	VKLAD	2900	25621	\N	\N	\N
681983	2327	1994-02-03	PRIJEM	VKLAD	3500	20904	\N	\N	\N
681984	2327	1994-03-05	VYDAJ	VYBER	1600	21896	\N	\N	\N
681985	2327	1994-04-04	PRIJEM	VKLAD	1300	25795	\N	\N	\N
681986	2327	1994-05-04	VYDAJ	VYBER	200	28209	\N	\N	\N
681987	2327	1994-06-03	VYDAJ	VYBER	600	27534	\N	\N	\N
681988	2327	1994-07-03	VYDAJ	VYBER	5200	32840	\N	\N	\N
681989	2327	1994-08-02	VYDAJ	VYBER	3600	31887	\N	\N	\N
681990	2327	1994-09-01	PRIJEM	VKLAD	5000	24795	\N	\N	\N
681991	2327	1994-10-01	VYDAJ	VYBER	400	27002	\N	\N	\N
681992	2327	1994-10-31	VYDAJ	VYBER	700	28921	\N	\N	\N
681993	2327	1994-11-30	VYDAJ	VYBER	1900	29654	\N	\N	\N
681994	2327	1994-12-30	VYDAJ	VYBER	4300	29103	\N	\N	\N
681995	2327	1995-01-29	PRIJEM	VKLAD	4000	24628	\N	\N	\N
681996	2327	1995-02-28	VYDAJ	VYBER	2200	25129	\N	\N	\N
681997	2327	1995-03-30	PRIJEM	VKLAD	2300	23420	\N	\N	\N
681998	2327	1995-04-29	PRIJEM	VKLAD	5800	13061	\N	\N	\N
681999	2327	1995-05-29	PRIJEM	VKLAD	800	16405	\N	\N	\N
682000	2327	1995-06-28	VYDAJ	VYBER	4800	22015	\N	\N	\N
682001	2327	1995-07-28	VYDAJ	VYBER	4000	20602	\N	\N	\N
682002	2327	1995-08-27	VYDAJ	VYBER	1600	21590	\N	\N	\N
682003	2327	1995-09-26	VYDAJ	VYBER	4000	20173	\N	\N	\N
682004	2327	1995-10-26	PRIJEM	VKLAD	1100	21181	\N	\N	\N
682005	2327	1995-11-25	VYDAJ	VYBER	1000	20358	\N	\N	\N
682006	2327	1995-12-25	VYDAJ	VYBER	5200	25594	\N	\N	\N
682007	2327	1996-01-24	VYDAJ	VYBER	2400	17394	\N	\N	\N
682008	2327	1996-02-23	VYDAJ	VYBER	4500	15476	\N	\N	\N
682009	2327	1996-03-24	VYDAJ	VYBER	2100	15941	\N	\N	\N
682010	2327	1996-04-23	VYDAJ	VYBER	1100	17401	\N	\N	\N
682011	2327	1996-05-23	VYDAJ	VYBER	1500	18464	\N	\N	\N
682012	2327	1996-06-22	VYDAJ	VYBER	5400	18689	\N	\N	\N
682013	2327	1996-07-22	VYDAJ	VYBER	5700	15570	\N	\N	\N
682014	2327	1996-08-21	VYDAJ	VYBER	4700	13437	\N	\N	\N
682015	2327	1996-09-20	PRIJEM	VKLAD	1900	17893	\N	\N	\N
682016	2327	1996-12-19	VYDAJ	VYBER	5900	19390	\N	\N	\N
682017	2327	1997-01-18	VYDAJ	VYBER	4700	17261	\N	\N	\N
682018	2327	1997-02-17	VYDAJ	VYBER	5200	14630	\N	\N	\N
682019	2327	1997-03-19	VYDAJ	VYBER	900	16289	\N	\N	\N
682020	2327	1997-04-18	VYDAJ	VYBER	2000	16846	\N	\N	\N
682021	2327	1997-05-18	VYDAJ	VYBER	1400	18007	\N	\N	\N
682022	2327	1997-06-17	VYDAJ	VYBER	6200	22228	\N	\N	\N
682023	2327	1997-07-17	VYDAJ	VYBER	4600	20210	\N	\N	\N
682024	2327	1997-08-16	PRIJEM	VKLAD	1000	15390	\N	\N	\N
682025	2327	1997-09-15	VYDAJ	VYBER	3500	14452	\N	\N	\N
682026	2327	1998-09-10	VYDAJ	VYBER	31700	23213	\N	\N	\N
682093	2328	1995-06-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
682100	2328	1995-07-13	PRIJEM	PREVOD Z UCTU	6765	7765	DUCHOD	QR	59922486
682101	2328	1995-08-13	PRIJEM	PREVOD Z UCTU	6765	14530	DUCHOD	QR	59922486
682102	2328	1995-09-13	PRIJEM	PREVOD Z UCTU	6765	21295	DUCHOD	QR	59922486
682103	2328	1995-10-13	PRIJEM	PREVOD Z UCTU	6765	28060	DUCHOD	QR	59922486
682104	2328	1995-11-13	PRIJEM	PREVOD Z UCTU	6765	34825	DUCHOD	QR	59922486
682105	2328	1995-12-13	PRIJEM	PREVOD Z UCTU	6765	38734	DUCHOD	QR	59922486
682106	2328	1996-01-13	PRIJEM	PREVOD Z UCTU	6765	35429	DUCHOD	QR	59922486
682107	2328	1996-02-13	PRIJEM	PREVOD Z UCTU	6765	32875	DUCHOD	QR	59922486
682108	2328	1996-03-13	PRIJEM	PREVOD Z UCTU	6765	35430	DUCHOD	QR	59922486
682109	2328	1996-04-13	PRIJEM	PREVOD Z UCTU	6765	39914	DUCHOD	QR	59922486
682110	2328	1996-05-13	PRIJEM	PREVOD Z UCTU	6765	42676	DUCHOD	QR	59922486
682111	2328	1996-06-13	PRIJEM	PREVOD Z UCTU	6765	34302	DUCHOD	QR	59922486
682112	2328	1996-07-13	PRIJEM	PREVOD Z UCTU	6765	35426	DUCHOD	QR	59922486
682113	2328	1996-08-13	PRIJEM	PREVOD Z UCTU	6765	40370	DUCHOD	QR	59922486
682114	2328	1996-09-13	PRIJEM	PREVOD Z UCTU	6765	44434	DUCHOD	QR	59922486
682115	2328	1996-10-13	PRIJEM	PREVOD Z UCTU	6765	48715	DUCHOD	QR	59922486
682116	2328	1996-11-13	PRIJEM	PREVOD Z UCTU	6765	50673	DUCHOD	QR	59922486
682117	2328	1996-12-13	PRIJEM	PREVOD Z UCTU	6765	52681	DUCHOD	QR	59922486
682118	2328	1997-01-13	PRIJEM	PREVOD Z UCTU	6765	50478	DUCHOD	QR	59922486
682119	2328	1997-02-13	PRIJEM	PREVOD Z UCTU	6765	52108	DUCHOD	QR	59922486
682120	2328	1997-03-13	PRIJEM	PREVOD Z UCTU	6765	52639	DUCHOD	QR	59922486
682121	2328	1997-04-13	PRIJEM	PREVOD Z UCTU	6765	57555	DUCHOD	QR	59922486
682122	2328	1997-05-13	PRIJEM	PREVOD Z UCTU	6765	56190	DUCHOD	QR	59922486
682123	2328	1997-06-13	PRIJEM	PREVOD Z UCTU	6765	60025	DUCHOD	QR	59922486
682124	2328	1997-07-13	PRIJEM	PREVOD Z UCTU	6765	56553	DUCHOD	QR	59922486
682125	2328	1997-08-13	PRIJEM	PREVOD Z UCTU	6765	61684	DUCHOD	QR	59922486
682126	2328	1997-09-13	PRIJEM	PREVOD Z UCTU	6765	64357	DUCHOD	QR	59922486
682127	2328	1997-10-13	PRIJEM	PREVOD Z UCTU	6765	66862	DUCHOD	QR	59922486
682128	2328	1997-11-13	PRIJEM	PREVOD Z UCTU	6765	69952	DUCHOD	QR	59922486
682129	2328	1997-12-13	PRIJEM	PREVOD Z UCTU	6765	69338	DUCHOD	QR	59922486
682130	2328	1998-01-13	PRIJEM	PREVOD Z UCTU	6765	65580	DUCHOD	QR	59922486
682131	2328	1998-02-13	PRIJEM	PREVOD Z UCTU	6765	61967	DUCHOD	QR	59922486
682132	2328	1998-03-13	PRIJEM	PREVOD Z UCTU	6765	67122	DUCHOD	QR	59922486
682133	2328	1998-04-13	PRIJEM	PREVOD Z UCTU	6765	65695	DUCHOD	QR	59922486
682134	2328	1998-05-13	PRIJEM	PREVOD Z UCTU	6765	66563	DUCHOD	QR	59922486
682135	2328	1998-06-13	PRIJEM	PREVOD Z UCTU	6765	68032	DUCHOD	QR	59922486
682136	2328	1998-07-13	PRIJEM	PREVOD Z UCTU	6765	63904	DUCHOD	QR	59922486
682137	2328	1998-08-13	PRIJEM	PREVOD Z UCTU	6765	60763	DUCHOD	QR	59922486
682138	2328	1998-09-13	PRIJEM	PREVOD Z UCTU	6765	59111	DUCHOD	QR	59922486
682139	2328	1998-10-13	PRIJEM	PREVOD Z UCTU	6765	63057	DUCHOD	QR	59922486
682140	2328	1998-11-13	PRIJEM	PREVOD Z UCTU	6765	64312	DUCHOD	QR	59922486
682141	2328	1998-12-13	PRIJEM	PREVOD Z UCTU	6765	64872	DUCHOD	QR	59922486
682153	2328	1995-12-08	VYDAJ	PREVOD NA UCET	1846	31969	SIPO	MN	22747612
682154	2328	1996-01-08	VYDAJ	PREVOD NA UCET	1846	32384	SIPO	MN	22747612
682155	2328	1996-02-08	VYDAJ	PREVOD NA UCET	1846	26110	SIPO	MN	22747612
682156	2328	1996-03-08	VYDAJ	PREVOD NA UCET	1846	28665	SIPO	MN	22747612
682157	2328	1996-04-08	VYDAJ	PREVOD NA UCET	1846	33149	SIPO	MN	22747612
682158	2328	1996-05-08	VYDAJ	PREVOD NA UCET	1846	38211	SIPO	MN	22747612
682159	2328	1996-06-08	VYDAJ	PREVOD NA UCET	1846	27537	SIPO	MN	22747612
682160	2328	1996-07-08	VYDAJ	PREVOD NA UCET	1846	28661	SIPO	MN	22747612
682161	2328	1996-08-08	VYDAJ	PREVOD NA UCET	1846	33605	SIPO	MN	22747612
682162	2328	1996-09-08	VYDAJ	PREVOD NA UCET	1846	37669	SIPO	MN	22747612
682163	2328	1996-10-08	VYDAJ	PREVOD NA UCET	1846	41950	SIPO	MN	22747612
682164	2328	1996-11-08	VYDAJ	PREVOD NA UCET	1846	43908	SIPO	MN	22747612
682165	2328	1996-12-08	VYDAJ	PREVOD NA UCET	1846	45916	SIPO	MN	22747612
682166	2328	1997-01-08	VYDAJ	PREVOD NA UCET	1846	45793	SIPO	MN	22747612
682167	2328	1997-02-08	VYDAJ	PREVOD NA UCET	1846	45343	SIPO	MN	22747612
682168	2328	1997-03-08	VYDAJ	PREVOD NA UCET	1846	45874	SIPO	MN	22747612
682169	2328	1997-04-08	VYDAJ	PREVOD NA UCET	1846	50790	SIPO	MN	22747612
682170	2328	1997-05-08	VYDAJ	PREVOD NA UCET	1846	49425	SIPO	MN	22747612
682171	2328	1997-06-08	VYDAJ	PREVOD NA UCET	1846	53260	SIPO	MN	22747612
682172	2328	1997-07-08	VYDAJ	PREVOD NA UCET	1846	49788	SIPO	MN	22747612
682173	2328	1997-08-08	VYDAJ	PREVOD NA UCET	1846	54919	SIPO	MN	22747612
682174	2328	1997-09-08	VYDAJ	PREVOD NA UCET	1846	58872	SIPO	MN	22747612
682175	2328	1997-10-08	VYDAJ	PREVOD NA UCET	1846	60097	SIPO	MN	22747612
682176	2328	1997-11-08	VYDAJ	PREVOD NA UCET	1846	63187	SIPO	MN	22747612
682177	2328	1997-12-08	VYDAJ	PREVOD NA UCET	1846	62573	SIPO	MN	22747612
682178	2328	1998-01-08	VYDAJ	PREVOD NA UCET	1846	60415	SIPO	MN	22747612
682179	2328	1998-02-08	VYDAJ	PREVOD NA UCET	1846	55202	SIPO	MN	22747612
682180	2328	1998-03-08	VYDAJ	PREVOD NA UCET	1846	60357	SIPO	MN	22747612
682181	2328	1998-04-08	VYDAJ	PREVOD NA UCET	1846	58930	SIPO	MN	22747612
682182	2328	1998-05-08	VYDAJ	PREVOD NA UCET	1846	59798	SIPO	MN	22747612
682183	2328	1998-06-08	VYDAJ	PREVOD NA UCET	1846	61267	SIPO	MN	22747612
682184	2328	1998-07-08	VYDAJ	PREVOD NA UCET	1846	57139	SIPO	MN	22747612
682185	2328	1998-08-08	VYDAJ	PREVOD NA UCET	1846	53998	SIPO	MN	22747612
682186	2328	1998-09-08	VYDAJ	PREVOD NA UCET	1846	56046	SIPO	MN	22747612
682187	2328	1998-10-08	VYDAJ	PREVOD NA UCET	1846	56292	SIPO	MN	22747612
682188	2328	1998-11-08	VYDAJ	PREVOD NA UCET	1846	57547	SIPO	MN	22747612
682189	2328	1998-12-08	VYDAJ	PREVOD NA UCET	1846	58107	SIPO	MN	22747612
682191	2328	1996-06-05	VYDAJ	VYBER	13450	29383	\N	\N	\N
682192	2328	1997-06-15	VYDAJ	VYBER	8100	51925	\N	\N	\N
682193	2328	1998-06-19	VYDAJ	VYBER KARTOU	2000	66032	\N	\N	0
682194	2328	1995-12-04	VYDAJ	VYBER	1000	33815	\N	\N	\N
682195	2328	1996-12-06	VYDAJ	VYBER	1000	47762	\N	\N	\N
682196	2328	1997-12-18	VYDAJ	VYBER	1000	68338	\N	\N	\N
682197	2328	1998-12-06	VYDAJ	VYBER KARTOU	1400	59953	\N	\N	0
682204	2328	1996-01-06	VYDAJ	VYBER	2000	35750	\N	\N	\N
682205	2328	1996-01-12	VYDAJ	VYBER	1520	28664	\N	\N	\N
682206	2328	1996-01-08	VYDAJ	VYBER	1520	34230	\N	\N	\N
682207	2328	1996-01-27	VYDAJ	VYBER	1920	31429	\N	\N	\N
682208	2328	1996-01-28	VYDAJ	VYBER	880	30549	\N	\N	\N
682209	2328	1996-01-19	VYDAJ	VYBER	2080	33349	\N	\N	\N
682210	2328	1997-01-06	VYDAJ	VYBER	960	47639	\N	\N	\N
682211	2328	1997-01-11	VYDAJ	VYBER	2080	43713	\N	\N	\N
682212	2328	1997-01-20	VYDAJ	VYBER	400	50078	\N	\N	\N
682213	2328	1997-01-04	VYDAJ	VYBER	480	50599	\N	\N	\N
682214	2328	1997-01-05	VYDAJ	VYBER	2000	48599	\N	\N	\N
682215	2328	1997-01-29	VYDAJ	VYBER	480	49598	\N	\N	\N
682216	2328	1998-01-19	VYDAJ	VYBER	720	64060	\N	\N	\N
682217	2328	1998-01-28	VYDAJ	VYBER	480	62620	\N	\N	\N
682218	2328	1998-01-08	VYDAJ	VYBER	1440	62261	\N	\N	\N
682219	2328	1998-01-11	VYDAJ	VYBER	1600	58815	\N	\N	\N
682220	2328	1998-01-27	VYDAJ	VYBER	960	63100	\N	\N	\N
682221	2328	1998-01-14	VYDAJ	VYBER	800	64780	\N	\N	\N
682222	2328	1995-12-15	VYDAJ	VYBER	1120	37614	\N	\N	\N
682224	2328	1996-09-07	VYDAJ	VYBER	800	39515	\N	\N	\N
682225	2328	1996-02-05	VYDAJ	VYBER	2720	27956	\N	\N	\N
682226	2328	1996-06-19	VYDAJ	VYBER	3920	30382	\N	\N	\N
682227	2328	1996-03-07	VYDAJ	VYBER	2480	30511	\N	\N	\N
682228	2328	1996-10-29	VYDAJ	VYBER	1040	47675	\N	\N	\N
682229	2328	1996-03-17	VYDAJ	VYBER	560	34870	\N	\N	\N
682230	2328	1997-09-12	VYDAJ	VYBER	1280	57592	\N	\N	\N
682231	2328	1997-12-08	VYDAJ	VYBER	2000	64419	\N	\N	\N
682232	2328	1997-02-14	VYDAJ	VYBER	1360	50748	\N	\N	\N
682233	2328	1997-09-22	VYDAJ	VYBER	560	63797	\N	\N	\N
682234	2328	1997-03-06	VYDAJ	VYBER	1920	47720	\N	\N	\N
682235	2328	1997-10-14	VYDAJ	VYBER	2080	64782	\N	\N	\N
682236	2328	1998-02-01	VYDAJ	VYBER	3520	57048	\N	\N	\N
682237	2328	1998-05-17	VYDAJ	VYBER KARTOU	900	65663	\N	\N	0
682238	2328	1998-03-29	VYDAJ	VYBER	3600	63522	\N	\N	\N
682239	2328	1998-09-08	VYDAJ	VYBER KARTOU	3700	52346	\N	\N	0
682240	2328	1998-10-28	VYDAJ	VYBER KARTOU	2700	59157	\N	\N	0
682241	2328	1998-08-01	VYDAJ	VYBER KARTOU	3000	55844	\N	\N	0
682253	2328	1995-11-30	VYDAJ	VYBER	15	34815	SLUZBY	\N	\N
682254	2328	1995-12-31	VYDAJ	VYBER	15	37750	SLUZBY	\N	\N
682255	2328	1996-01-31	VYDAJ	VYBER	15	30676	SLUZBY	\N	\N
682256	2328	1996-02-29	VYDAJ	VYBER	15	32991	SLUZBY	\N	\N
682257	2328	1996-03-31	VYDAJ	VYBER	15	34995	SLUZBY	\N	\N
682258	2328	1996-04-30	VYDAJ	VYBER	15	40057	SLUZBY	\N	\N
682259	2328	1996-05-31	VYDAJ	VYBER	15	42833	SLUZBY	\N	\N
682260	2328	1996-06-30	VYDAJ	VYBER	15	30507	SLUZBY	\N	\N
682261	2328	1996-07-31	VYDAJ	VYBER	15	35551	SLUZBY	\N	\N
682262	2328	1996-08-31	VYDAJ	VYBER	15	40515	SLUZBY	\N	\N
682263	2328	1996-09-30	VYDAJ	VYBER	15	44596	SLUZBY	\N	\N
682264	2328	1996-10-31	VYDAJ	VYBER	15	47854	SLUZBY	\N	\N
682265	2328	1996-11-30	VYDAJ	VYBER	15	50862	SLUZBY	\N	\N
682266	2328	1996-12-31	VYDAJ	VYBER	15	52879	SLUZBY	\N	\N
682267	2328	1997-01-31	VYDAJ	VYBER	15	49789	SLUZBY	\N	\N
682268	2328	1997-02-28	VYDAJ	VYBER	15	50940	SLUZBY	\N	\N
682269	2328	1997-03-31	VYDAJ	VYBER	15	52836	SLUZBY	\N	\N
682270	2328	1997-04-30	VYDAJ	VYBER	15	57771	SLUZBY	\N	\N
682271	2328	1997-05-31	VYDAJ	VYBER	15	56406	SLUZBY	\N	\N
682272	2328	1997-06-30	VYDAJ	VYBER	15	52134	SLUZBY	\N	\N
682273	2328	1997-07-31	VYDAJ	VYBER	15	56765	SLUZBY	\N	\N
682274	2328	1997-08-31	VYDAJ	VYBER	15	61918	SLUZBY	\N	\N
682275	2328	1997-09-30	VYDAJ	VYBER	15	64043	SLUZBY	\N	\N
682276	2328	1997-10-31	VYDAJ	VYBER	15	65033	SLUZBY	\N	\N
682277	2328	1997-11-30	VYDAJ	VYBER	15	70219	SLUZBY	\N	\N
682278	2328	1997-12-31	VYDAJ	VYBER	15	63701	SLUZBY	\N	\N
682279	2328	1998-01-31	VYDAJ	VYBER	15	60568	SLUZBY	\N	\N
682280	2328	1998-02-28	VYDAJ	VYBER	15	62203	SLUZBY	\N	\N
682281	2328	1998-03-31	VYDAJ	VYBER	15	60776	SLUZBY	\N	\N
682282	2328	1998-04-30	VYDAJ	VYBER	15	61644	SLUZBY	\N	\N
682283	2328	1998-05-31	VYDAJ	VYBER	15	63113	SLUZBY	\N	\N
682284	2328	1998-06-30	VYDAJ	VYBER	15	58985	SLUZBY	\N	\N
682285	2328	1998-07-31	VYDAJ	VYBER	15	58844	SLUZBY	\N	\N
682286	2328	1998-08-31	VYDAJ	VYBER	15	57892	SLUZBY	\N	\N
682287	2328	1998-09-30	VYDAJ	VYBER	15	58138	SLUZBY	\N	\N
682288	2328	1998-10-31	VYDAJ	VYBER	15	59393	SLUZBY	\N	\N
682289	2328	1998-11-30	VYDAJ	VYBER	15	61353	SLUZBY	\N	\N
682290	2328	1996-01-10	VYDAJ	VYBER	2200	30184	\N	\N	\N
682291	2328	1996-05-09	VYDAJ	VYBER	2300	35911	\N	\N	\N
682292	2328	1996-08-07	VYDAJ	VYBER	100	35451	\N	\N	\N
682293	2328	1996-09-06	VYDAJ	VYBER	200	40315	\N	\N	\N
682294	2328	1996-10-06	VYDAJ	VYBER	800	43796	\N	\N	\N
682295	2328	1996-11-05	VYDAJ	VYBER	2100	45754	\N	\N	\N
682296	2328	1996-12-05	VYDAJ	VYBER	2100	48762	\N	\N	\N
682297	2328	1997-01-04	VYDAJ	VYBER	1800	51079	\N	\N	\N
682298	2328	1997-02-03	VYDAJ	VYBER	2600	47189	\N	\N	\N
682299	2328	1997-03-05	VYDAJ	VYBER	1300	49640	\N	\N	\N
682300	2328	1997-04-04	VYDAJ	VYBER	200	52636	\N	\N	\N
682301	2328	1997-05-04	VYDAJ	VYBER	6500	51271	\N	\N	\N
682302	2328	1997-06-03	VYDAJ	VYBER	1300	55106	\N	\N	\N
682303	2328	1997-07-03	VYDAJ	VYBER	500	51634	\N	\N	\N
682304	2328	1997-09-01	VYDAJ	VYBER	1200	60718	\N	\N	\N
682305	2328	1997-10-01	VYDAJ	VYBER	2100	61943	\N	\N	\N
682306	2328	1997-11-30	VYDAJ	VYBER	3800	66419	\N	\N	\N
682307	2328	1997-12-30	VYDAJ	VYBER	4900	63438	\N	\N	\N
682308	2328	1998-01-29	VYDAJ	VYBER	2300	60320	\N	\N	\N
682309	2328	1998-03-30	VYDAJ	VYBER	3000	60522	\N	\N	\N
682310	2328	1998-04-29	VYDAJ	VYBER KARTOU	4300	61395	\N	\N	0
682311	2328	1998-05-29	VYDAJ	VYBER KARTOU	2800	62863	\N	\N	0
682312	2328	1998-06-28	VYDAJ	VYBER KARTOU	7300	58732	\N	\N	0
682313	2328	1998-07-28	VYDAJ	VYBER KARTOU	5300	58604	\N	\N	0
682314	2328	1998-08-27	VYDAJ	VYBER KARTOU	3100	57663	\N	\N	0
682315	2328	1998-09-26	VYDAJ	VYBER KARTOU	1200	57911	\N	\N	0
682316	2328	1998-10-26	VYDAJ	VYBER KARTOU	1200	61857	\N	\N	0
682317	2328	1998-11-25	VYDAJ	VYBER KARTOU	3200	61112	\N	\N	0
682356	2329	1996-08-07	PRIJEM	VKLAD	500	500	\N	\N	\N
682365	2329	1996-09-06	PRIJEM	VKLAD	6601	7101	\N	\N	\N
682366	2329	1996-10-06	PRIJEM	VKLAD	6601	19848	\N	\N	\N
682367	2329	1996-11-06	PRIJEM	VKLAD	6601	23827	\N	\N	\N
682368	2329	1996-12-06	PRIJEM	VKLAD	9902	31426	\N	\N	\N
682369	2329	1997-01-06	PRIJEM	VKLAD	6601	28752	\N	\N	\N
682370	2329	1997-02-06	PRIJEM	VKLAD	6601	19629	\N	\N	\N
682371	2329	1997-03-06	PRIJEM	VKLAD	6601	20076	\N	\N	\N
682372	2329	1997-04-06	PRIJEM	VKLAD	6601	19527	\N	\N	\N
682373	2329	1997-05-06	PRIJEM	VKLAD	6601	21791	\N	\N	\N
682374	2329	1997-06-06	PRIJEM	VKLAD	9902	24547	\N	\N	\N
682375	2329	1997-07-06	PRIJEM	VKLAD	6601	22104	\N	\N	\N
682376	2329	1997-08-06	PRIJEM	VKLAD	6601	24378	\N	\N	\N
682377	2329	1997-09-06	PRIJEM	VKLAD	6601	20240	\N	\N	\N
682378	2329	1997-10-06	PRIJEM	VKLAD	6601	21491	\N	\N	\N
682379	2329	1997-11-06	PRIJEM	VKLAD	6601	23748	\N	\N	\N
682380	2329	1997-12-06	PRIJEM	VKLAD	9902	29314	\N	\N	\N
682381	2329	1998-01-06	PRIJEM	VKLAD	6601	27899	\N	\N	\N
682382	2329	1998-02-06	PRIJEM	VKLAD	6601	23265	\N	\N	\N
682383	2329	1998-03-06	PRIJEM	VKLAD	6601	25543	\N	\N	\N
682384	2329	1998-04-06	PRIJEM	VKLAD	6601	27831	\N	\N	\N
682385	2329	1998-05-06	PRIJEM	VKLAD	6601	30128	\N	\N	\N
682386	2329	1998-06-06	PRIJEM	VKLAD	9902	35736	\N	\N	\N
682387	2329	1998-07-06	PRIJEM	VKLAD	6601	35345	\N	\N	\N
682388	2329	1998-08-06	PRIJEM	VKLAD	6601	36759	\N	\N	\N
682389	2329	1998-09-06	PRIJEM	VKLAD	6601	37676	\N	\N	\N
682390	2329	1998-10-06	PRIJEM	VKLAD	6601	40000	\N	\N	\N
682391	2329	1998-11-06	PRIJEM	VKLAD	6601	39637	\N	\N	\N
682392	2329	1998-12-06	PRIJEM	VKLAD	9902	41366	\N	\N	\N
682405	2329	1997-01-06	VYDAJ	PREVOD NA UCET	4400	24352	SIPO	WX	27642166
682406	2329	1997-02-06	VYDAJ	PREVOD NA UCET	4400	15229	SIPO	WX	27642166
682407	2329	1997-03-06	VYDAJ	PREVOD NA UCET	4400	15676	SIPO	WX	27642166
682408	2329	1997-04-06	VYDAJ	PREVOD NA UCET	4400	15127	SIPO	WX	27642166
682409	2329	1997-05-06	VYDAJ	PREVOD NA UCET	4400	17391	SIPO	WX	27642166
682410	2329	1997-06-06	VYDAJ	PREVOD NA UCET	4400	20147	SIPO	WX	27642166
682411	2329	1997-07-06	VYDAJ	PREVOD NA UCET	4400	17704	SIPO	WX	27642166
682412	2329	1997-08-06	VYDAJ	PREVOD NA UCET	4400	19978	SIPO	WX	27642166
682413	2329	1997-09-06	VYDAJ	PREVOD NA UCET	4400	15840	SIPO	WX	27642166
682414	2329	1997-10-06	VYDAJ	PREVOD NA UCET	4400	17091	SIPO	WX	27642166
682415	2329	1997-11-06	VYDAJ	PREVOD NA UCET	4400	19348	SIPO	WX	27642166
682416	2329	1997-12-06	VYDAJ	PREVOD NA UCET	4400	24914	SIPO	WX	27642166
682417	2329	1998-01-06	VYDAJ	PREVOD NA UCET	4400	23499	SIPO	WX	27642166
682418	2329	1998-02-06	VYDAJ	PREVOD NA UCET	4400	18865	SIPO	WX	27642166
682419	2329	1998-03-06	VYDAJ	PREVOD NA UCET	4400	21143	SIPO	WX	27642166
682420	2329	1998-04-06	VYDAJ	PREVOD NA UCET	4400	23431	SIPO	WX	27642166
682421	2329	1998-05-06	VYDAJ	PREVOD NA UCET	4400	25728	SIPO	WX	27642166
682422	2329	1998-06-06	VYDAJ	PREVOD NA UCET	4400	31336	SIPO	WX	27642166
682423	2329	1998-07-06	VYDAJ	PREVOD NA UCET	4400	30945	SIPO	WX	27642166
682424	2329	1998-08-06	VYDAJ	PREVOD NA UCET	4400	32359	SIPO	WX	27642166
682425	2329	1998-09-06	VYDAJ	PREVOD NA UCET	4400	33276	SIPO	WX	27642166
682426	2329	1998-10-06	VYDAJ	PREVOD NA UCET	4400	35600	SIPO	WX	27642166
682427	2329	1998-11-06	VYDAJ	PREVOD NA UCET	4400	35237	SIPO	WX	27642166
682428	2329	1998-12-06	VYDAJ	PREVOD NA UCET	4400	36966	SIPO	WX	27642166
682436	2329	1997-12-11	VYDAJ	VYBER	700	24214	\N	\N	\N
682437	2329	1998-12-26	VYDAJ	VYBER	1200	35766	\N	\N	\N
682444	2329	1997-01-12	VYDAJ	VYBER	1600	22752	\N	\N	\N
682445	2329	1997-01-29	VYDAJ	VYBER	2000	13652	\N	\N	\N
682446	2329	1997-01-14	VYDAJ	VYBER	2700	19152	\N	\N	\N
682447	2329	1997-01-30	VYDAJ	VYBER	1400	12252	\N	\N	\N
682448	2329	1997-01-21	VYDAJ	VYBER	500	15652	\N	\N	\N
682449	2329	1997-01-13	VYDAJ	VYBER	900	21852	\N	\N	\N
682450	2329	1998-01-10	VYDAJ	VYBER	2100	18699	\N	\N	\N
682451	2329	1998-01-02	VYDAJ	VYBER	2400	21898	\N	\N	\N
682452	2329	1998-01-19	VYDAJ	VYBER	1300	16599	\N	\N	\N
682453	2329	1998-01-19	VYDAJ	VYBER	800	17899	\N	\N	\N
682454	2329	1998-01-08	VYDAJ	VYBER	800	20799	\N	\N	\N
682455	2329	1998-01-08	VYDAJ	VYBER	1900	21599	\N	\N	\N
682461	2329	1997-01-14	VYDAJ	VYBER	3000	16152	\N	\N	\N
682462	2329	1997-08-21	VYDAJ	VYBER	4300	15678	\N	\N	\N
682463	2329	1997-09-05	VYDAJ	VYBER	2100	13639	\N	\N	\N
682464	2329	1997-02-27	VYDAJ	VYBER	1800	13429	\N	\N	\N
682465	2329	1997-09-25	VYDAJ	VYBER	1000	14840	\N	\N	\N
682466	2329	1997-06-02	VYDAJ	VYBER	2000	14645	\N	\N	\N
682467	2329	1997-05-11	VYDAJ	VYBER	800	16591	\N	\N	\N
682468	2329	1997-06-14	VYDAJ	VYBER	4700	15447	\N	\N	\N
682469	2329	1998-06-21	VYDAJ	VYBER	2700	28636	\N	\N	\N
682470	2329	1998-11-15	VYDAJ	VYBER	3900	31337	\N	\N	\N
682471	2329	1998-01-05	VYDAJ	VYBER	600	21298	\N	\N	\N
682472	2329	1998-07-28	VYDAJ	VYBER	900	30045	\N	\N	\N
682473	2329	1998-10-20	VYDAJ	VYBER	2700	32900	\N	\N	\N
682474	2329	1998-08-21	VYDAJ	VYBER	1400	30959	\N	\N	\N
682488	2329	1997-01-31	VYDAJ	VYBER	15	12328	SLUZBY	\N	\N
682489	2329	1997-02-28	VYDAJ	VYBER	15	13475	SLUZBY	\N	\N
682490	2329	1997-03-31	VYDAJ	VYBER	15	15726	SLUZBY	\N	\N
682491	2329	1997-04-30	VYDAJ	VYBER	15	15190	SLUZBY	\N	\N
682492	2329	1997-05-31	VYDAJ	VYBER	15	16645	SLUZBY	\N	\N
682493	2329	1997-06-30	VYDAJ	VYBER	15	15503	SLUZBY	\N	\N
682494	2329	1997-07-31	VYDAJ	VYBER	15	17777	SLUZBY	\N	\N
682495	2329	1997-08-31	VYDAJ	VYBER	15	15739	SLUZBY	\N	\N
682496	2329	1997-09-30	VYDAJ	VYBER	15	14890	SLUZBY	\N	\N
682497	2329	1997-10-31	VYDAJ	VYBER	15	17147	SLUZBY	\N	\N
682498	2329	1997-11-30	VYDAJ	VYBER	15	19412	SLUZBY	\N	\N
682499	2329	1997-12-31	VYDAJ	VYBER	15	24298	SLUZBY	\N	\N
682500	2329	1998-01-31	VYDAJ	VYBER	15	16664	SLUZBY	\N	\N
682501	2329	1998-02-28	VYDAJ	VYBER	15	18942	SLUZBY	\N	\N
682502	2329	1998-03-31	VYDAJ	VYBER	15	21230	SLUZBY	\N	\N
682503	2329	1998-04-30	VYDAJ	VYBER	15	23527	SLUZBY	\N	\N
682504	2329	1998-05-31	VYDAJ	VYBER	15	25834	SLUZBY	\N	\N
682505	2329	1998-06-30	VYDAJ	VYBER	15	28744	SLUZBY	\N	\N
682506	2329	1998-07-31	VYDAJ	VYBER	15	30158	SLUZBY	\N	\N
682507	2329	1998-08-31	VYDAJ	VYBER	15	31075	SLUZBY	\N	\N
682508	2329	1998-09-30	VYDAJ	VYBER	15	33399	SLUZBY	\N	\N
682509	2329	1998-10-31	VYDAJ	VYBER	15	33036	SLUZBY	\N	\N
682510	2329	1998-11-30	VYDAJ	VYBER	15	31464	SLUZBY	\N	\N
682511	2329	1996-09-06	PRIJEM	VKLAD	6100	13201	\N	\N	\N
682512	2329	1996-10-06	PRIJEM	VKLAD	1200	21048	\N	\N	\N
682513	2329	1996-11-05	VYDAJ	VYBER	3900	17226	\N	\N	\N
682514	2329	1996-12-05	VYDAJ	VYBER	2400	21524	\N	\N	\N
682515	2329	1997-01-04	VYDAJ	VYBER	9400	22151	\N	\N	\N
682516	2329	1997-02-03	PRIJEM	VKLAD	700	13028	\N	\N	\N
682517	2329	1997-04-04	VYDAJ	VYBER	2800	12926	\N	\N	\N
682546	2330	1993-01-19	PRIJEM	VKLAD	200	200	\N	\N	\N
682548	2330	1993-02-07	PRIJEM	PREVOD Z UCTU	3395	3595	\N	ST	18759459
682549	2330	1993-03-07	PRIJEM	PREVOD Z UCTU	3395	6990	\N	ST	18759459
682550	2330	1993-04-07	PRIJEM	PREVOD Z UCTU	3395	10385	\N	ST	18759459
682551	2330	1993-05-07	PRIJEM	PREVOD Z UCTU	3395	13780	\N	ST	18759459
682552	2330	1993-06-07	PRIJEM	PREVOD Z UCTU	3395	17175	\N	ST	18759459
682553	2330	1993-07-07	PRIJEM	PREVOD Z UCTU	3395	15576	\N	ST	18759459
682554	2330	1993-08-07	PRIJEM	PREVOD Z UCTU	3395	16749	\N	ST	18759459
682555	2330	1993-09-07	PRIJEM	PREVOD Z UCTU	3395	17927	\N	ST	18759459
682556	2330	1993-10-07	PRIJEM	PREVOD Z UCTU	3395	18180	\N	ST	18759459
682557	2330	1993-11-07	PRIJEM	PREVOD Z UCTU	3395	19364	\N	ST	18759459
682558	2330	1993-12-07	PRIJEM	PREVOD Z UCTU	3395	20553	\N	ST	18759459
682559	2330	1994-01-07	PRIJEM	PREVOD Z UCTU	3395	20066	\N	ST	18759459
682560	2330	1994-02-07	PRIJEM	PREVOD Z UCTU	3395	17894	\N	ST	18759459
682561	2330	1994-03-07	PRIJEM	PREVOD Z UCTU	3395	18056	\N	ST	18759459
682562	2330	1994-04-07	PRIJEM	PREVOD Z UCTU	3395	19241	\N	ST	18759459
682563	2330	1994-05-07	PRIJEM	PREVOD Z UCTU	3395	18715	\N	ST	18759459
682564	2330	1994-06-07	PRIJEM	PREVOD Z UCTU	3395	19901	\N	ST	18759459
682565	2330	1994-07-07	PRIJEM	PREVOD Z UCTU	3395	17281	\N	ST	18759459
682566	2330	1994-08-07	PRIJEM	PREVOD Z UCTU	3395	18461	\N	ST	18759459
682567	2330	1994-09-07	PRIJEM	PREVOD Z UCTU	3395	18202	\N	ST	18759459
682568	2330	1994-10-07	PRIJEM	PREVOD Z UCTU	3395	19386	\N	ST	18759459
682569	2330	1994-11-07	PRIJEM	PREVOD Z UCTU	3395	20575	\N	ST	18759459
682570	2330	1994-12-07	PRIJEM	PREVOD Z UCTU	3395	21769	\N	ST	18759459
682571	2330	1995-01-07	PRIJEM	PREVOD Z UCTU	3395	22278	\N	ST	18759459
682572	2330	1995-02-07	PRIJEM	PREVOD Z UCTU	3395	21435	\N	ST	18759459
682573	2330	1995-03-07	PRIJEM	PREVOD Z UCTU	3395	22633	\N	ST	18759459
682574	2330	1995-04-07	PRIJEM	PREVOD Z UCTU	3395	23835	\N	ST	18759459
682575	2330	1995-05-07	PRIJEM	PREVOD Z UCTU	3395	25042	\N	ST	18759459
682576	2330	1995-06-07	PRIJEM	PREVOD Z UCTU	3395	25923	\N	ST	18759459
682577	2330	1995-07-07	PRIJEM	PREVOD Z UCTU	3395	17804	\N	ST	18759459
682578	2330	1995-08-07	PRIJEM	PREVOD Z UCTU	3395	18986	\N	ST	18759459
682579	2330	1995-09-07	PRIJEM	PREVOD Z UCTU	3395	20173	\N	ST	18759459
682580	2330	1995-10-07	PRIJEM	PREVOD Z UCTU	3395	21365	\N	ST	18759459
682581	2330	1995-11-07	PRIJEM	PREVOD Z UCTU	3395	22562	\N	ST	18759459
682582	2330	1995-12-07	PRIJEM	PREVOD Z UCTU	3395	23764	\N	ST	18759459
682583	2330	1996-01-07	PRIJEM	PREVOD Z UCTU	3395	23740	\N	ST	18759459
682584	2330	1996-02-07	PRIJEM	PREVOD Z UCTU	3395	21522	\N	ST	18759459
682585	2330	1996-03-07	PRIJEM	PREVOD Z UCTU	3395	22719	\N	ST	18759459
682586	2330	1996-04-07	PRIJEM	PREVOD Z UCTU	3395	23921	\N	ST	18759459
682587	2330	1996-05-07	PRIJEM	PREVOD Z UCTU	3395	25129	\N	ST	18759459
682588	2330	1996-06-07	PRIJEM	PREVOD Z UCTU	3395	24869	\N	ST	18759459
682589	2330	1996-07-07	PRIJEM	PREVOD Z UCTU	3395	18226	\N	ST	18759459
682590	2330	1996-08-07	PRIJEM	PREVOD Z UCTU	3395	18989	\N	ST	18759459
682591	2330	1996-09-07	PRIJEM	PREVOD Z UCTU	3395	20175	\N	ST	18759459
682592	2330	1996-10-07	PRIJEM	PREVOD Z UCTU	3395	21366	\N	ST	18759459
682593	2330	1996-11-07	PRIJEM	PREVOD Z UCTU	3395	22563	\N	ST	18759459
682594	2330	1996-12-07	PRIJEM	PREVOD Z UCTU	3395	23764	\N	ST	18759459
682595	2330	1997-01-07	PRIJEM	PREVOD Z UCTU	3395	24971	\N	ST	18759459
682596	2330	1997-02-07	PRIJEM	PREVOD Z UCTU	3395	23386	\N	ST	18759459
682597	2330	1997-03-07	PRIJEM	PREVOD Z UCTU	3395	24591	\N	ST	18759459
682598	2330	1997-04-07	PRIJEM	PREVOD Z UCTU	3395	24779	\N	ST	18759459
682599	2330	1997-05-07	PRIJEM	PREVOD Z UCTU	3395	25990	\N	ST	18759459
682600	2330	1997-06-07	PRIJEM	PREVOD Z UCTU	3395	27205	\N	ST	18759459
682601	2330	1997-07-07	PRIJEM	PREVOD Z UCTU	3395	21343	\N	ST	18759459
682602	2330	1997-08-07	PRIJEM	PREVOD Z UCTU	3395	21186	\N	ST	18759459
682603	2330	1997-09-07	PRIJEM	PREVOD Z UCTU	3395	21178	\N	ST	18759459
682604	2330	1997-10-07	PRIJEM	PREVOD Z UCTU	3395	21202	\N	ST	18759459
682605	2330	1997-11-07	PRIJEM	PREVOD Z UCTU	3395	22398	\N	ST	18759459
682606	2330	1997-12-07	PRIJEM	PREVOD Z UCTU	3395	22846	\N	ST	18759459
682607	2330	1998-01-07	PRIJEM	PREVOD Z UCTU	3395	23417	\N	ST	18759459
682608	2330	1998-02-07	PRIJEM	PREVOD Z UCTU	3395	22400	\N	ST	18759459
682609	2330	1998-03-07	PRIJEM	PREVOD Z UCTU	3395	23600	\N	ST	18759459
682610	2330	1998-04-07	PRIJEM	PREVOD Z UCTU	3395	24174	\N	ST	18759459
682611	2330	1998-05-07	PRIJEM	PREVOD Z UCTU	3395	25381	\N	ST	18759459
682612	2330	1998-06-07	PRIJEM	PREVOD Z UCTU	3395	26383	\N	ST	18759459
682613	2330	1998-07-07	PRIJEM	PREVOD Z UCTU	3395	19988	\N	ST	18759459
682614	2330	1998-08-07	PRIJEM	PREVOD Z UCTU	3395	21177	\N	ST	18759459
682615	2330	1998-09-07	PRIJEM	PREVOD Z UCTU	3395	22372	\N	ST	18759459
682616	2330	1998-10-07	PRIJEM	PREVOD Z UCTU	3395	23571	\N	ST	18759459
682617	2330	1998-11-07	PRIJEM	PREVOD Z UCTU	3395	24535	\N	ST	18759459
682618	2330	1998-12-07	PRIJEM	PREVOD Z UCTU	3395	24633	\N	ST	18759459
682624	2330	1993-06-12	VYDAJ	PREVOD NA UCET	1662	12152	SIPO	QR	64704280
682625	2330	1993-07-12	VYDAJ	PREVOD NA UCET	1662	13313	SIPO	QR	64704280
682626	2330	1993-08-12	VYDAJ	PREVOD NA UCET	1662	14486	SIPO	QR	64704280
682627	2330	1993-09-12	VYDAJ	PREVOD NA UCET	1662	15664	SIPO	QR	64704280
682628	2330	1993-10-12	VYDAJ	PREVOD NA UCET	1662	15917	SIPO	QR	64704280
682629	2330	1993-11-12	VYDAJ	PREVOD NA UCET	1662	17101	SIPO	QR	64704280
682630	2330	1993-12-12	VYDAJ	PREVOD NA UCET	1662	18290	SIPO	QR	64704280
682631	2330	1994-01-12	VYDAJ	PREVOD NA UCET	1662	17803	SIPO	QR	64704280
682632	2330	1994-02-12	VYDAJ	PREVOD NA UCET	1662	15631	SIPO	QR	64704280
682633	2330	1994-03-12	VYDAJ	PREVOD NA UCET	1662	15793	SIPO	QR	64704280
682634	2330	1994-04-12	VYDAJ	PREVOD NA UCET	1662	16258	SIPO	QR	64704280
682635	2330	1994-05-12	VYDAJ	PREVOD NA UCET	1662	16452	SIPO	QR	64704280
682636	2330	1994-06-12	VYDAJ	PREVOD NA UCET	1662	17638	SIPO	QR	64704280
682637	2330	1994-07-12	VYDAJ	PREVOD NA UCET	1662	15018	SIPO	QR	64704280
682638	2330	1994-08-12	VYDAJ	PREVOD NA UCET	1662	15178	SIPO	QR	64704280
682639	2330	1994-09-12	VYDAJ	PREVOD NA UCET	1662	15939	SIPO	QR	64704280
682640	2330	1994-10-12	VYDAJ	PREVOD NA UCET	1662	17123	SIPO	QR	64704280
682641	2330	1994-11-12	VYDAJ	PREVOD NA UCET	1662	18312	SIPO	QR	64704280
682642	2330	1994-12-12	VYDAJ	PREVOD NA UCET	1662	19506	SIPO	QR	64704280
682643	2330	1995-01-12	VYDAJ	PREVOD NA UCET	1662	19355	SIPO	QR	64704280
682644	2330	1995-02-12	VYDAJ	PREVOD NA UCET	1662	19172	SIPO	QR	64704280
682645	2330	1995-03-12	VYDAJ	PREVOD NA UCET	1662	20370	SIPO	QR	64704280
682646	2330	1995-04-12	VYDAJ	PREVOD NA UCET	1662	21572	SIPO	QR	64704280
682647	2330	1995-05-12	VYDAJ	PREVOD NA UCET	1662	22779	SIPO	QR	64704280
682648	2330	1995-06-12	VYDAJ	PREVOD NA UCET	1662	22730	SIPO	QR	64704280
682649	2330	1995-07-12	VYDAJ	PREVOD NA UCET	1662	15541	SIPO	QR	64704280
682650	2330	1995-08-12	VYDAJ	PREVOD NA UCET	1662	16723	SIPO	QR	64704280
682651	2330	1995-09-12	VYDAJ	PREVOD NA UCET	1662	17910	SIPO	QR	64704280
682652	2330	1995-10-12	VYDAJ	PREVOD NA UCET	1662	19102	SIPO	QR	64704280
682653	2330	1995-11-12	VYDAJ	PREVOD NA UCET	1662	20299	SIPO	QR	64704280
682654	2330	1995-12-12	VYDAJ	PREVOD NA UCET	1662	21501	SIPO	QR	64704280
682655	2330	1996-01-12	VYDAJ	PREVOD NA UCET	1662	20217	SIPO	QR	64704280
682656	2330	1996-02-12	VYDAJ	PREVOD NA UCET	1662	19259	SIPO	QR	64704280
682657	2330	1996-03-12	VYDAJ	PREVOD NA UCET	1662	20456	SIPO	QR	64704280
682658	2330	1996-04-12	VYDAJ	PREVOD NA UCET	1662	21658	SIPO	QR	64704280
682659	2330	1996-05-12	VYDAJ	PREVOD NA UCET	1662	22866	SIPO	QR	64704280
682660	2330	1996-06-12	VYDAJ	PREVOD NA UCET	1662	14776	SIPO	QR	64704280
682661	2330	1996-07-12	VYDAJ	PREVOD NA UCET	1662	15963	SIPO	QR	64704280
682662	2330	1996-08-12	VYDAJ	PREVOD NA UCET	1662	16726	SIPO	QR	64704280
682663	2330	1996-09-12	VYDAJ	PREVOD NA UCET	1662	17912	SIPO	QR	64704280
682664	2330	1996-10-12	VYDAJ	PREVOD NA UCET	1662	19103	SIPO	QR	64704280
682665	2330	1996-11-12	VYDAJ	PREVOD NA UCET	1662	20300	SIPO	QR	64704280
682666	2330	1996-12-12	VYDAJ	PREVOD NA UCET	1662	21501	SIPO	QR	64704280
682667	2330	1997-01-12	VYDAJ	PREVOD NA UCET	1662	20878	SIPO	QR	64704280
682668	2330	1997-02-12	VYDAJ	PREVOD NA UCET	1662	21123	SIPO	QR	64704280
682669	2330	1997-03-12	VYDAJ	PREVOD NA UCET	1662	22328	SIPO	QR	64704280
682670	2330	1997-04-12	VYDAJ	PREVOD NA UCET	1662	22516	SIPO	QR	64704280
682671	2330	1997-05-12	VYDAJ	PREVOD NA UCET	1662	23727	SIPO	QR	64704280
682672	2330	1997-06-12	VYDAJ	PREVOD NA UCET	1662	24942	SIPO	QR	64704280
682673	2330	1997-07-12	VYDAJ	PREVOD NA UCET	1662	19080	SIPO	QR	64704280
682674	2330	1997-08-12	VYDAJ	PREVOD NA UCET	1662	18923	SIPO	QR	64704280
682675	2330	1997-09-12	VYDAJ	PREVOD NA UCET	1662	18915	SIPO	QR	64704280
682676	2330	1997-10-12	VYDAJ	PREVOD NA UCET	1662	18939	SIPO	QR	64704280
682677	2330	1997-11-12	VYDAJ	PREVOD NA UCET	1662	20135	SIPO	QR	64704280
682678	2330	1997-12-12	VYDAJ	PREVOD NA UCET	1662	20583	SIPO	QR	64704280
682679	2330	1998-01-12	VYDAJ	PREVOD NA UCET	1662	21154	SIPO	QR	64704280
682680	2330	1998-02-12	VYDAJ	PREVOD NA UCET	1662	20137	SIPO	QR	64704280
682681	2330	1998-03-12	VYDAJ	PREVOD NA UCET	1662	21337	SIPO	QR	64704280
682682	2330	1998-04-12	VYDAJ	PREVOD NA UCET	1662	21911	SIPO	QR	64704280
682683	2330	1998-05-12	VYDAJ	PREVOD NA UCET	1662	23118	SIPO	QR	64704280
682684	2330	1998-06-12	VYDAJ	PREVOD NA UCET	1662	16530	SIPO	QR	64704280
682685	2330	1998-07-12	VYDAJ	PREVOD NA UCET	1662	17725	SIPO	QR	64704280
682686	2330	1998-08-12	VYDAJ	PREVOD NA UCET	1662	18914	SIPO	QR	64704280
682687	2330	1998-09-12	VYDAJ	PREVOD NA UCET	1662	20109	SIPO	QR	64704280
682688	2330	1998-10-12	VYDAJ	PREVOD NA UCET	1662	21308	SIPO	QR	64704280
682689	2330	1998-11-12	VYDAJ	PREVOD NA UCET	1662	22272	SIPO	QR	64704280
682690	2330	1998-12-12	VYDAJ	PREVOD NA UCET	1662	22370	SIPO	QR	64704280
682696	2330	1993-06-07	VYDAJ	PREVOD NA UCET	601	16574	 	EF	63786613
682697	2330	1993-07-07	VYDAJ	PREVOD NA UCET	601	14975	 	EF	63786613
682698	2330	1993-08-07	VYDAJ	PREVOD NA UCET	601	16148	 	EF	63786613
682699	2330	1993-09-07	VYDAJ	PREVOD NA UCET	601	17326	 	EF	63786613
682700	2330	1993-10-07	VYDAJ	PREVOD NA UCET	601	17579	 	EF	63786613
682701	2330	1993-11-07	VYDAJ	PREVOD NA UCET	601	18763	 	EF	63786613
682702	2330	1993-12-07	VYDAJ	PREVOD NA UCET	601	19952	 	EF	63786613
682703	2330	1994-01-07	VYDAJ	PREVOD NA UCET	601	19465	 	EF	63786613
682704	2330	1994-02-07	VYDAJ	PREVOD NA UCET	601	17293	 	EF	63786613
682705	2330	1994-03-07	VYDAJ	PREVOD NA UCET	601	17455	 	EF	63786613
682706	2330	1994-04-07	VYDAJ	PREVOD NA UCET	601	18640	 	EF	63786613
682707	2330	1994-05-07	VYDAJ	PREVOD NA UCET	601	18114	 	EF	63786613
682708	2330	1994-06-07	VYDAJ	PREVOD NA UCET	601	19300	 	EF	63786613
682709	2330	1994-07-07	VYDAJ	PREVOD NA UCET	601	16680	 	EF	63786613
682710	2330	1994-08-07	VYDAJ	PREVOD NA UCET	601	17860	 	EF	63786613
682711	2330	1994-09-07	VYDAJ	PREVOD NA UCET	601	17601	 	EF	63786613
682712	2330	1994-10-07	VYDAJ	PREVOD NA UCET	601	18785	 	EF	63786613
682713	2330	1994-11-07	VYDAJ	PREVOD NA UCET	601	19974	 	EF	63786613
682714	2330	1994-12-07	VYDAJ	PREVOD NA UCET	601	21168	 	EF	63786613
682715	2330	1995-01-07	VYDAJ	PREVOD NA UCET	601	21677	 	EF	63786613
682716	2330	1995-02-07	VYDAJ	PREVOD NA UCET	601	20834	 	EF	63786613
682717	2330	1995-03-07	VYDAJ	PREVOD NA UCET	601	22032	 	EF	63786613
682718	2330	1995-04-07	VYDAJ	PREVOD NA UCET	601	23234	 	EF	63786613
682719	2330	1995-05-07	VYDAJ	PREVOD NA UCET	601	24441	 	EF	63786613
682720	2330	1995-06-07	VYDAJ	PREVOD NA UCET	601	25322	 	EF	63786613
682721	2330	1995-07-07	VYDAJ	PREVOD NA UCET	601	17203	 	EF	63786613
682722	2330	1995-08-07	VYDAJ	PREVOD NA UCET	601	18385	 	EF	63786613
682723	2330	1995-09-07	VYDAJ	PREVOD NA UCET	601	19572	 	EF	63786613
682724	2330	1995-10-07	VYDAJ	PREVOD NA UCET	601	20764	 	EF	63786613
682725	2330	1995-11-07	VYDAJ	PREVOD NA UCET	601	21961	 	EF	63786613
682726	2330	1995-12-07	VYDAJ	PREVOD NA UCET	601	23163	 	EF	63786613
682727	2330	1996-01-07	VYDAJ	PREVOD NA UCET	601	23139	 	EF	63786613
682728	2330	1996-02-07	VYDAJ	PREVOD NA UCET	601	20921	 	EF	63786613
682729	2330	1996-03-07	VYDAJ	PREVOD NA UCET	601	22118	 	EF	63786613
682730	2330	1996-04-07	VYDAJ	PREVOD NA UCET	601	23320	 	EF	63786613
682731	2330	1996-05-07	VYDAJ	PREVOD NA UCET	601	24528	 	EF	63786613
682732	2330	1996-06-07	VYDAJ	PREVOD NA UCET	601	24268	 	EF	63786613
682733	2330	1996-07-07	VYDAJ	PREVOD NA UCET	601	17625	 	EF	63786613
682734	2330	1996-08-07	VYDAJ	PREVOD NA UCET	601	18388	 	EF	63786613
682735	2330	1996-09-07	VYDAJ	PREVOD NA UCET	601	19574	 	EF	63786613
682736	2330	1996-10-07	VYDAJ	PREVOD NA UCET	601	20765	 	EF	63786613
682737	2330	1996-11-07	VYDAJ	PREVOD NA UCET	601	21962	 	EF	63786613
682738	2330	1996-12-07	VYDAJ	PREVOD NA UCET	601	23163	 	EF	63786613
682739	2330	1997-01-07	VYDAJ	PREVOD NA UCET	601	24370	 	EF	63786613
682740	2330	1997-02-07	VYDAJ	PREVOD NA UCET	601	22785	 	EF	63786613
682741	2330	1997-03-07	VYDAJ	PREVOD NA UCET	601	23990	 	EF	63786613
682742	2330	1997-04-07	VYDAJ	PREVOD NA UCET	601	24178	 	EF	63786613
682743	2330	1997-05-07	VYDAJ	PREVOD NA UCET	601	25389	 	EF	63786613
682744	2330	1997-06-07	VYDAJ	PREVOD NA UCET	601	26604	 	EF	63786613
682745	2330	1997-07-07	VYDAJ	PREVOD NA UCET	601	20742	 	EF	63786613
682746	2330	1997-08-07	VYDAJ	PREVOD NA UCET	601	20585	 	EF	63786613
682747	2330	1997-09-07	VYDAJ	PREVOD NA UCET	601	20577	 	EF	63786613
682748	2330	1997-10-07	VYDAJ	PREVOD NA UCET	601	20601	 	EF	63786613
682749	2330	1997-11-07	VYDAJ	PREVOD NA UCET	601	21797	 	EF	63786613
682750	2330	1997-12-07	VYDAJ	PREVOD NA UCET	601	22245	 	EF	63786613
682751	2330	1998-01-07	VYDAJ	PREVOD NA UCET	601	22816	 	EF	63786613
682752	2330	1998-02-07	VYDAJ	PREVOD NA UCET	601	21799	 	EF	63786613
682753	2330	1998-03-07	VYDAJ	PREVOD NA UCET	601	22999	 	EF	63786613
682754	2330	1998-04-07	VYDAJ	PREVOD NA UCET	601	23573	 	EF	63786613
682755	2330	1998-05-07	VYDAJ	PREVOD NA UCET	601	24780	 	EF	63786613
682756	2330	1998-06-07	VYDAJ	PREVOD NA UCET	601	25782	 	EF	63786613
682757	2330	1998-07-07	VYDAJ	PREVOD NA UCET	601	19387	 	EF	63786613
682758	2330	1998-08-07	VYDAJ	PREVOD NA UCET	601	20576	 	EF	63786613
682759	2330	1998-09-07	VYDAJ	PREVOD NA UCET	601	21771	 	EF	63786613
682760	2330	1998-10-07	VYDAJ	PREVOD NA UCET	601	22970	 	EF	63786613
682761	2330	1998-11-07	VYDAJ	PREVOD NA UCET	601	23934	 	EF	63786613
682762	2330	1998-12-07	VYDAJ	PREVOD NA UCET	601	24032	 	EF	63786613
682763	2330	1993-06-07	VYDAJ	VYBER	2760	13814	\N	\N	\N
682764	2330	1994-06-29	VYDAJ	VYBER	3810	13828	\N	\N	\N
682765	2330	1995-06-27	VYDAJ	VYBER	7950	14330	\N	\N	\N
682766	2330	1996-06-09	VYDAJ	VYBER	7830	16438	\N	\N	\N
682767	2330	1997-06-28	VYDAJ	VYBER	7080	17862	\N	\N	\N
682768	2330	1998-06-11	VYDAJ	VYBER	7590	18192	\N	\N	\N
682775	2330	1994-01-24	VYDAJ	VYBER	330	14863	\N	\N	\N
682776	2330	1994-01-01	VYDAJ	VYBER	540	17151	\N	\N	\N
682777	2330	1994-01-04	VYDAJ	VYBER	480	16671	\N	\N	\N
682778	2330	1994-01-24	VYDAJ	VYBER	870	15193	\N	\N	\N
682779	2330	1994-01-23	VYDAJ	VYBER	330	16063	\N	\N	\N
682780	2330	1994-01-30	VYDAJ	VYBER	420	14443	\N	\N	\N
682781	2330	1995-01-01	VYDAJ	VYBER	690	18883	\N	\N	\N
682782	2330	1995-01-10	VYDAJ	VYBER	330	21347	\N	\N	\N
682783	2330	1995-01-19	VYDAJ	VYBER	180	18725	\N	\N	\N
682784	2330	1995-01-11	VYDAJ	VYBER	330	21017	\N	\N	\N
682785	2330	1995-01-17	VYDAJ	VYBER	450	18905	\N	\N	\N
682786	2330	1995-01-23	VYDAJ	VYBER	750	17975	\N	\N	\N
682787	2330	1996-01-12	VYDAJ	VYBER	780	21879	\N	\N	\N
682788	2330	1996-01-20	VYDAJ	VYBER	720	19497	\N	\N	\N
682789	2330	1996-01-28	VYDAJ	VYBER	240	18057	\N	\N	\N
682790	2330	1996-01-08	VYDAJ	VYBER	480	22659	\N	\N	\N
682791	2330	1996-01-21	VYDAJ	VYBER	630	18867	\N	\N	\N
682792	2330	1996-01-24	VYDAJ	VYBER	570	18297	\N	\N	\N
682793	2330	1997-01-09	VYDAJ	VYBER	720	23650	\N	\N	\N
682794	2330	1997-01-19	VYDAJ	VYBER	180	20218	\N	\N	\N
682795	2330	1997-01-12	VYDAJ	VYBER	570	23080	\N	\N	\N
682796	2330	1997-01-17	VYDAJ	VYBER	480	20398	\N	\N	\N
682797	2330	1997-01-12	VYDAJ	VYBER	540	22540	\N	\N	\N
682798	2330	1997-01-20	VYDAJ	VYBER	300	19918	\N	\N	\N
682799	2330	1998-01-02	VYDAJ	VYBER	630	20022	\N	\N	\N
682800	2330	1998-01-30	VYDAJ	VYBER	390	18934	\N	\N	\N
682801	2330	1998-01-22	VYDAJ	VYBER	690	20254	\N	\N	\N
682802	2330	1998-01-24	VYDAJ	VYBER	540	19714	\N	\N	\N
682803	2330	1998-01-14	VYDAJ	VYBER	210	20944	\N	\N	\N
682804	2330	1998-01-29	VYDAJ	VYBER	390	19324	\N	\N	\N
682806	2330	1993-09-25	VYDAJ	VYBER	930	14734	\N	\N	\N
682807	2330	1993-12-20	VYDAJ	VYBER	660	17630	\N	\N	\N
682810	2330	1994-03-03	VYDAJ	VYBER	1020	14661	\N	\N	\N
682811	2330	1994-01-15	VYDAJ	VYBER	1410	16393	\N	\N	\N
682812	2330	1994-08-08	VYDAJ	VYBER	1020	16840	\N	\N	\N
682813	2330	1994-08-13	VYDAJ	VYBER	420	14758	\N	\N	\N
682814	2330	1994-04-08	VYDAJ	VYBER	720	17920	\N	\N	\N
682815	2330	1994-04-17	VYDAJ	VYBER	990	15268	\N	\N	\N
682816	2330	1995-06-20	VYDAJ	VYBER	450	22280	\N	\N	\N
682817	2330	1995-05-14	VYDAJ	VYBER	330	22449	\N	\N	\N
682818	2330	1995-06-12	VYDAJ	VYBER	930	24392	\N	\N	\N
682819	2330	1996-07-23	VYDAJ	VYBER	420	15543	\N	\N	\N
682820	2330	1996-05-16	VYDAJ	VYBER	1470	21396	\N	\N	\N
682821	2330	1996-01-03	VYDAJ	VYBER	1230	20345	\N	\N	\N
682822	2330	1997-11-13	VYDAJ	VYBER	750	19385	\N	\N	\N
682823	2330	1997-09-22	VYDAJ	VYBER	1170	17745	\N	\N	\N
682824	2330	1997-03-23	VYDAJ	VYBER	1020	21308	\N	\N	\N
682825	2330	1997-08-17	VYDAJ	VYBER	780	17723	\N	\N	\N
682826	2330	1997-07-14	VYDAJ	VYBER	1350	17730	\N	\N	\N
682827	2330	1997-08-12	VYDAJ	VYBER	420	18503	\N	\N	\N
682828	2330	1998-10-13	VYDAJ	VYBER	240	21068	\N	\N	\N
682829	2330	1998-12-05	VYDAJ	VYBER	1110	21238	\N	\N	\N
682830	2330	1998-05-26	VYDAJ	VYBER	210	22908	\N	\N	\N
682832	2330	1998-03-18	VYDAJ	VYBER	630	20707	\N	\N	\N
682839	2330	1993-06-30	VYDAJ	VYBER	15	12181	SLUZBY	\N	\N
682840	2330	1993-07-31	VYDAJ	VYBER	15	13354	SLUZBY	\N	\N
682841	2330	1993-08-31	VYDAJ	VYBER	15	14532	SLUZBY	\N	\N
682842	2330	1993-09-30	VYDAJ	VYBER	15	14785	SLUZBY	\N	\N
682843	2330	1993-10-31	VYDAJ	VYBER	15	15969	SLUZBY	\N	\N
682844	2330	1993-11-30	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
682845	2330	1993-12-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
682846	2330	1994-01-31	VYDAJ	VYBER	15	14499	SLUZBY	\N	\N
682847	2330	1994-02-28	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
682848	2330	1994-03-31	VYDAJ	VYBER	15	15846	SLUZBY	\N	\N
682849	2330	1994-04-30	VYDAJ	VYBER	15	15320	SLUZBY	\N	\N
682850	2330	1994-05-31	VYDAJ	VYBER	15	16506	SLUZBY	\N	\N
682851	2330	1994-06-30	VYDAJ	VYBER	15	13886	SLUZBY	\N	\N
682852	2330	1994-07-31	VYDAJ	VYBER	15	15066	SLUZBY	\N	\N
682853	2330	1994-08-31	VYDAJ	VYBER	15	14807	SLUZBY	\N	\N
682854	2330	1994-09-30	VYDAJ	VYBER	15	15991	SLUZBY	\N	\N
682855	2330	1994-10-31	VYDAJ	VYBER	15	17180	SLUZBY	\N	\N
682856	2330	1994-11-30	VYDAJ	VYBER	15	18374	SLUZBY	\N	\N
682857	2330	1994-12-31	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
682858	2330	1995-01-31	VYDAJ	VYBER	15	18040	SLUZBY	\N	\N
682859	2330	1995-02-28	VYDAJ	VYBER	15	19238	SLUZBY	\N	\N
682860	2330	1995-03-31	VYDAJ	VYBER	15	20440	SLUZBY	\N	\N
682861	2330	1995-04-30	VYDAJ	VYBER	15	21647	SLUZBY	\N	\N
682862	2330	1995-05-31	VYDAJ	VYBER	15	22528	SLUZBY	\N	\N
682863	2330	1995-06-30	VYDAJ	VYBER	15	14409	SLUZBY	\N	\N
682864	2330	1995-07-31	VYDAJ	VYBER	15	15591	SLUZBY	\N	\N
682865	2330	1995-08-31	VYDAJ	VYBER	15	16778	SLUZBY	\N	\N
682866	2330	1995-09-30	VYDAJ	VYBER	15	17970	SLUZBY	\N	\N
682867	2330	1995-10-31	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
682868	2330	1995-11-30	VYDAJ	VYBER	15	20369	SLUZBY	\N	\N
682869	2330	1995-12-31	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
682870	2330	1996-01-31	VYDAJ	VYBER	15	18127	SLUZBY	\N	\N
682871	2330	1996-02-29	VYDAJ	VYBER	15	19324	SLUZBY	\N	\N
682872	2330	1996-03-31	VYDAJ	VYBER	15	20526	SLUZBY	\N	\N
682873	2330	1996-04-30	VYDAJ	VYBER	15	21734	SLUZBY	\N	\N
682874	2330	1996-05-31	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
682875	2330	1996-06-30	VYDAJ	VYBER	15	14831	SLUZBY	\N	\N
682876	2330	1996-07-31	VYDAJ	VYBER	15	15594	SLUZBY	\N	\N
682877	2330	1996-08-31	VYDAJ	VYBER	15	16780	SLUZBY	\N	\N
682878	2330	1996-09-30	VYDAJ	VYBER	15	17971	SLUZBY	\N	\N
682879	2330	1996-10-31	VYDAJ	VYBER	15	19168	SLUZBY	\N	\N
682880	2330	1996-11-30	VYDAJ	VYBER	15	20369	SLUZBY	\N	\N
682881	2330	1996-12-31	VYDAJ	VYBER	15	21576	SLUZBY	\N	\N
682882	2330	1997-01-31	VYDAJ	VYBER	15	19991	SLUZBY	\N	\N
682883	2330	1997-02-28	VYDAJ	VYBER	15	21196	SLUZBY	\N	\N
682884	2330	1997-03-31	VYDAJ	VYBER	15	21384	SLUZBY	\N	\N
682885	2330	1997-04-30	VYDAJ	VYBER	15	22595	SLUZBY	\N	\N
682886	2330	1997-05-31	VYDAJ	VYBER	15	23810	SLUZBY	\N	\N
682887	2330	1997-06-30	VYDAJ	VYBER	15	17948	SLUZBY	\N	\N
682888	2330	1997-07-31	VYDAJ	VYBER	15	17791	SLUZBY	\N	\N
682889	2330	1997-08-31	VYDAJ	VYBER	15	17783	SLUZBY	\N	\N
682890	2330	1997-09-30	VYDAJ	VYBER	15	17807	SLUZBY	\N	\N
682891	2330	1997-10-31	VYDAJ	VYBER	15	19003	SLUZBY	\N	\N
682892	2330	1997-11-30	VYDAJ	VYBER	15	19451	SLUZBY	\N	\N
682893	2330	1997-12-31	VYDAJ	VYBER	15	20652	SLUZBY	\N	\N
682894	2330	1998-01-31	VYDAJ	VYBER	15	19005	SLUZBY	\N	\N
682895	2330	1998-02-28	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
682896	2330	1998-03-31	VYDAJ	VYBER	15	20779	SLUZBY	\N	\N
682897	2330	1998-04-30	VYDAJ	VYBER	15	21986	SLUZBY	\N	\N
682898	2330	1998-05-31	VYDAJ	VYBER	15	22988	SLUZBY	\N	\N
682899	2330	1998-06-30	VYDAJ	VYBER	15	16593	SLUZBY	\N	\N
682900	2330	1998-07-31	VYDAJ	VYBER	15	17782	SLUZBY	\N	\N
682901	2330	1998-08-31	VYDAJ	VYBER	15	18977	SLUZBY	\N	\N
682902	2330	1998-09-30	VYDAJ	VYBER	15	20176	SLUZBY	\N	\N
682903	2330	1998-10-31	VYDAJ	VYBER	15	21140	SLUZBY	\N	\N
682904	2330	1998-11-30	VYDAJ	VYBER	15	22348	SLUZBY	\N	\N
682972	2331	1995-04-29	PRIJEM	VKLAD	300	300	\N	\N	\N
682977	2331	1995-05-09	PRIJEM	PREVOD Z UCTU	3113	3413	\N	KL	67803734
682978	2331	1995-06-09	PRIJEM	PREVOD Z UCTU	3113	6526	\N	KL	67803734
682979	2331	1995-07-09	PRIJEM	PREVOD Z UCTU	3113	9639	\N	KL	67803734
682980	2331	1995-08-09	PRIJEM	PREVOD Z UCTU	3113	12752	\N	KL	67803734
683167	2331	1996-08-31	VYDAJ	VYBER	15	14827	SLUZBY	\N	\N
682981	2331	1995-09-09	PRIJEM	PREVOD Z UCTU	3113	15865	\N	KL	67803734
682982	2331	1995-10-09	PRIJEM	PREVOD Z UCTU	3113	15966	\N	KL	67803734
682983	2331	1995-11-09	PRIJEM	PREVOD Z UCTU	3113	17047	\N	KL	67803734
682984	2331	1995-12-09	PRIJEM	PREVOD Z UCTU	3113	17531	\N	KL	67803734
682985	2331	1996-01-09	PRIJEM	PREVOD Z UCTU	3113	18317	\N	KL	67803734
682986	2331	1996-02-09	PRIJEM	PREVOD Z UCTU	3113	17725	\N	KL	67803734
682987	2331	1996-03-09	PRIJEM	PREVOD Z UCTU	3113	17102	\N	KL	67803734
682988	2331	1996-04-09	PRIJEM	PREVOD Z UCTU	3113	18188	\N	KL	67803734
682989	2331	1996-05-09	PRIJEM	PREVOD Z UCTU	3113	18016	\N	KL	67803734
682990	2331	1996-06-09	PRIJEM	PREVOD Z UCTU	3113	18173	\N	KL	67803734
682991	2331	1996-07-09	PRIJEM	PREVOD Z UCTU	3113	15776	\N	KL	67803734
682992	2331	1996-08-09	PRIJEM	PREVOD Z UCTU	3113	16856	\N	KL	67803734
682993	2331	1996-09-09	PRIJEM	PREVOD Z UCTU	3113	17940	\N	KL	67803734
682994	2331	1996-10-09	PRIJEM	PREVOD Z UCTU	3113	18668	\N	KL	67803734
682995	2331	1996-11-09	PRIJEM	PREVOD Z UCTU	3113	19759	\N	KL	67803734
682996	2331	1996-12-09	PRIJEM	PREVOD Z UCTU	3113	20855	\N	KL	67803734
682997	2331	1997-01-09	PRIJEM	PREVOD Z UCTU	3113	19195	\N	KL	67803734
682998	2331	1997-02-09	PRIJEM	PREVOD Z UCTU	3113	20292	\N	KL	67803734
682999	2331	1997-03-09	PRIJEM	PREVOD Z UCTU	3113	21390	\N	KL	67803734
683000	2331	1997-04-09	PRIJEM	PREVOD Z UCTU	3113	22493	\N	KL	67803734
683001	2331	1997-05-09	PRIJEM	PREVOD Z UCTU	3113	22547	\N	KL	67803734
683002	2331	1997-06-09	PRIJEM	PREVOD Z UCTU	3113	18375	\N	KL	67803734
683003	2331	1997-07-09	PRIJEM	PREVOD Z UCTU	3113	19471	\N	KL	67803734
683004	2331	1997-08-09	PRIJEM	PREVOD Z UCTU	3113	20566	\N	KL	67803734
683005	2331	1997-09-09	PRIJEM	PREVOD Z UCTU	3113	21485	\N	KL	67803734
683006	2331	1997-10-09	PRIJEM	PREVOD Z UCTU	3113	22588	\N	KL	67803734
683007	2331	1997-11-09	PRIJEM	PREVOD Z UCTU	3113	23154	\N	KL	67803734
683008	2331	1997-12-09	PRIJEM	PREVOD Z UCTU	3113	24263	\N	KL	67803734
683009	2331	1998-01-09	PRIJEM	PREVOD Z UCTU	3113	24746	\N	KL	67803734
683010	2331	1998-02-09	PRIJEM	PREVOD Z UCTU	3113	23341	\N	KL	67803734
683011	2331	1998-03-09	PRIJEM	PREVOD Z UCTU	3113	24093	\N	KL	67803734
683012	2331	1998-04-09	PRIJEM	PREVOD Z UCTU	3113	25207	\N	KL	67803734
683013	2331	1998-05-09	PRIJEM	PREVOD Z UCTU	3113	26325	\N	KL	67803734
683014	2331	1998-06-09	PRIJEM	PREVOD Z UCTU	3113	23136	\N	KL	67803734
683015	2331	1998-07-09	PRIJEM	PREVOD Z UCTU	3113	18175	\N	KL	67803734
683016	2331	1998-08-09	PRIJEM	PREVOD Z UCTU	3113	19264	\N	KL	67803734
683017	2331	1998-09-09	PRIJEM	PREVOD Z UCTU	3113	20357	\N	KL	67803734
683018	2331	1998-10-09	PRIJEM	PREVOD Z UCTU	3113	14535	\N	KL	67803734
683019	2331	1998-11-09	PRIJEM	PREVOD Z UCTU	3113	15609	\N	KL	67803734
683020	2331	1998-12-09	PRIJEM	PREVOD Z UCTU	3113	16686	\N	KL	67803734
683029	2331	1995-09-14	VYDAJ	PREVOD NA UCET	667	13790	SIPO	GH	30773931
683030	2331	1995-10-14	VYDAJ	PREVOD NA UCET	667	13891	SIPO	GH	30773931
683031	2331	1995-11-14	VYDAJ	PREVOD NA UCET	667	14972	SIPO	GH	30773931
683032	2331	1995-12-14	VYDAJ	PREVOD NA UCET	667	15456	SIPO	GH	30773931
683033	2331	1996-01-14	VYDAJ	PREVOD NA UCET	667	16242	SIPO	GH	30773931
683034	2331	1996-02-14	VYDAJ	PREVOD NA UCET	667	15650	SIPO	GH	30773931
683035	2331	1996-03-14	VYDAJ	PREVOD NA UCET	667	15027	SIPO	GH	30773931
683036	2331	1996-04-14	VYDAJ	PREVOD NA UCET	667	16113	SIPO	GH	30773931
683037	2331	1996-05-14	VYDAJ	PREVOD NA UCET	667	15941	SIPO	GH	30773931
683038	2331	1996-06-14	VYDAJ	PREVOD NA UCET	667	16098	SIPO	GH	30773931
683039	2331	1996-07-14	VYDAJ	PREVOD NA UCET	667	13701	SIPO	GH	30773931
683040	2331	1996-08-14	VYDAJ	PREVOD NA UCET	667	14781	SIPO	GH	30773931
683041	2331	1996-09-14	VYDAJ	PREVOD NA UCET	667	15865	SIPO	GH	30773931
683042	2331	1996-10-14	VYDAJ	PREVOD NA UCET	667	16593	SIPO	GH	30773931
683043	2331	1996-11-14	VYDAJ	PREVOD NA UCET	667	17684	SIPO	GH	30773931
683044	2331	1996-12-14	VYDAJ	PREVOD NA UCET	667	18780	SIPO	GH	30773931
683045	2331	1997-01-14	VYDAJ	PREVOD NA UCET	667	17120	SIPO	GH	30773931
683046	2331	1997-02-14	VYDAJ	PREVOD NA UCET	667	18217	SIPO	GH	30773931
683047	2331	1997-03-14	VYDAJ	PREVOD NA UCET	667	19315	SIPO	GH	30773931
683048	2331	1997-04-14	VYDAJ	PREVOD NA UCET	667	19368	SIPO	GH	30773931
683049	2331	1997-05-14	VYDAJ	PREVOD NA UCET	667	20472	SIPO	GH	30773931
683050	2331	1997-06-14	VYDAJ	PREVOD NA UCET	667	16300	SIPO	GH	30773931
683051	2331	1997-07-14	VYDAJ	PREVOD NA UCET	667	17396	SIPO	GH	30773931
683052	2331	1997-08-14	VYDAJ	PREVOD NA UCET	667	18491	SIPO	GH	30773931
683053	2331	1997-09-14	VYDAJ	PREVOD NA UCET	667	19410	SIPO	GH	30773931
683054	2331	1997-10-14	VYDAJ	PREVOD NA UCET	667	20513	SIPO	GH	30773931
683055	2331	1997-11-14	VYDAJ	PREVOD NA UCET	667	21079	SIPO	GH	30773931
683056	2331	1997-12-14	VYDAJ	PREVOD NA UCET	667	22188	SIPO	GH	30773931
683057	2331	1998-01-14	VYDAJ	PREVOD NA UCET	667	22671	SIPO	GH	30773931
683058	2331	1998-02-14	VYDAJ	PREVOD NA UCET	667	21266	SIPO	GH	30773931
683059	2331	1998-03-14	VYDAJ	PREVOD NA UCET	667	22018	SIPO	GH	30773931
683060	2331	1998-04-14	VYDAJ	PREVOD NA UCET	667	23132	SIPO	GH	30773931
683061	2331	1998-05-14	VYDAJ	PREVOD NA UCET	667	19950	SIPO	GH	30773931
683062	2331	1998-06-14	VYDAJ	PREVOD NA UCET	667	17761	SIPO	GH	30773931
683063	2331	1998-07-14	VYDAJ	PREVOD NA UCET	667	16100	SIPO	GH	30773931
683064	2331	1998-08-14	VYDAJ	PREVOD NA UCET	667	17189	SIPO	GH	30773931
683065	2331	1998-09-14	VYDAJ	PREVOD NA UCET	667	11382	SIPO	GH	30773931
683066	2331	1998-10-14	VYDAJ	PREVOD NA UCET	667	12460	SIPO	GH	30773931
683067	2331	1998-11-14	VYDAJ	PREVOD NA UCET	667	13534	SIPO	GH	30773931
683068	2331	1998-12-14	VYDAJ	PREVOD NA UCET	667	13801	SIPO	GH	30773931
683077	2331	1995-09-11	VYDAJ	PREVOD NA UCET	1408	14457	 	MN	32200968
683078	2331	1995-10-11	VYDAJ	PREVOD NA UCET	1408	14558	 	MN	32200968
683079	2331	1995-11-11	VYDAJ	PREVOD NA UCET	1408	15639	 	MN	32200968
683080	2331	1995-12-11	VYDAJ	PREVOD NA UCET	1408	16123	 	MN	32200968
683081	2331	1996-01-11	VYDAJ	PREVOD NA UCET	1408	16909	 	MN	32200968
683082	2331	1996-02-11	VYDAJ	PREVOD NA UCET	1408	16317	 	MN	32200968
683083	2331	1996-03-11	VYDAJ	PREVOD NA UCET	1408	15694	 	MN	32200968
683084	2331	1996-04-11	VYDAJ	PREVOD NA UCET	1408	16780	 	MN	32200968
683085	2331	1996-05-11	VYDAJ	PREVOD NA UCET	1408	16608	 	MN	32200968
683086	2331	1996-06-11	VYDAJ	PREVOD NA UCET	1408	16765	 	MN	32200968
683087	2331	1996-07-11	VYDAJ	PREVOD NA UCET	1408	14368	 	MN	32200968
683088	2331	1996-08-11	VYDAJ	PREVOD NA UCET	1408	15448	 	MN	32200968
683089	2331	1996-09-11	VYDAJ	PREVOD NA UCET	1408	16532	 	MN	32200968
683090	2331	1996-10-11	VYDAJ	PREVOD NA UCET	1408	17260	 	MN	32200968
683091	2331	1996-11-11	VYDAJ	PREVOD NA UCET	1408	18351	 	MN	32200968
683092	2331	1996-12-11	VYDAJ	PREVOD NA UCET	1408	19447	 	MN	32200968
683093	2331	1997-01-11	VYDAJ	PREVOD NA UCET	1408	17787	 	MN	32200968
683094	2331	1997-02-11	VYDAJ	PREVOD NA UCET	1408	18884	 	MN	32200968
683095	2331	1997-03-11	VYDAJ	PREVOD NA UCET	1408	19982	 	MN	32200968
683096	2331	1997-04-11	VYDAJ	PREVOD NA UCET	1408	21085	 	MN	32200968
683097	2331	1997-05-11	VYDAJ	PREVOD NA UCET	1408	21139	 	MN	32200968
683098	2331	1997-06-11	VYDAJ	PREVOD NA UCET	1408	16967	 	MN	32200968
683099	2331	1997-07-11	VYDAJ	PREVOD NA UCET	1408	18063	 	MN	32200968
683100	2331	1997-08-11	VYDAJ	PREVOD NA UCET	1408	19158	 	MN	32200968
683101	2331	1997-09-11	VYDAJ	PREVOD NA UCET	1408	20077	 	MN	32200968
683102	2331	1997-10-11	VYDAJ	PREVOD NA UCET	1408	21180	 	MN	32200968
683103	2331	1997-11-11	VYDAJ	PREVOD NA UCET	1408	21746	 	MN	32200968
683104	2331	1997-12-11	VYDAJ	PREVOD NA UCET	1408	22855	 	MN	32200968
683105	2331	1998-01-11	VYDAJ	PREVOD NA UCET	1408	23338	 	MN	32200968
683106	2331	1998-02-11	VYDAJ	PREVOD NA UCET	1408	21933	 	MN	32200968
683107	2331	1998-03-11	VYDAJ	PREVOD NA UCET	1408	22685	 	MN	32200968
683108	2331	1998-04-11	VYDAJ	PREVOD NA UCET	1408	23799	 	MN	32200968
683109	2331	1998-05-11	VYDAJ	PREVOD NA UCET	1408	24917	 	MN	32200968
683110	2331	1998-06-11	VYDAJ	PREVOD NA UCET	1408	21728	 	MN	32200968
683111	2331	1998-07-11	VYDAJ	PREVOD NA UCET	1408	16767	 	MN	32200968
683112	2331	1998-08-11	VYDAJ	PREVOD NA UCET	1408	17856	 	MN	32200968
683113	2331	1998-09-11	VYDAJ	PREVOD NA UCET	1408	12049	 	MN	32200968
683114	2331	1998-10-11	VYDAJ	PREVOD NA UCET	1408	13127	 	MN	32200968
683115	2331	1998-11-11	VYDAJ	PREVOD NA UCET	1408	14201	 	MN	32200968
683116	2331	1998-12-11	VYDAJ	PREVOD NA UCET	1408	14468	 	MN	32200968
683118	2331	1996-06-20	VYDAJ	VYBER	3480	12618	\N	\N	\N
683119	2331	1997-06-03	VYDAJ	VYBER	5280	15262	\N	\N	\N
683120	2331	1998-06-26	VYDAJ	VYBER	2760	15001	\N	\N	\N
683122	2331	1996-01-23	VYDAJ	VYBER	1680	14562	\N	\N	\N
683123	2331	1997-01-01	VYDAJ	VYBER	2610	16082	\N	\N	\N
683124	2331	1998-01-22	VYDAJ	VYBER	1080	21591	\N	\N	\N
683125	2331	1995-12-24	VYDAJ	VYBER	300	15156	\N	\N	\N
683126	2331	1996-12-14	VYDAJ	VYBER	150	18630	\N	\N	\N
683127	2331	1997-12-17	VYDAJ	VYBER	630	21558	\N	\N	\N
683130	2331	1995-11-24	VYDAJ	VYBER	600	14372	\N	\N	\N
683131	2331	1995-09-27	VYDAJ	VYBER	960	12830	\N	\N	\N
683133	2331	1996-05-17	VYDAJ	VYBER	930	15011	\N	\N	\N
683134	2331	1996-02-27	VYDAJ	VYBER	960	14690	\N	\N	\N
683135	2331	1996-04-19	VYDAJ	VYBER	1260	14853	\N	\N	\N
683136	2331	1996-03-06	VYDAJ	VYBER	750	13989	\N	\N	\N
683137	2331	1996-09-24	VYDAJ	VYBER	360	15505	\N	\N	\N
683138	2331	1997-10-14	VYDAJ	VYBER	540	19973	\N	\N	\N
683139	2331	1997-04-13	VYDAJ	VYBER	1050	20035	\N	\N	\N
683140	2331	1997-08-26	VYDAJ	VYBER	180	18311	\N	\N	\N
683141	2331	1998-02-24	VYDAJ	VYBER	360	20906	\N	\N	\N
683142	2331	1998-02-02	VYDAJ	VYBER	480	21188	\N	\N	\N
683143	2331	1998-12-09	VYDAJ	VYBER	810	15876	\N	\N	\N
683145	2331	1998-02-04	VYDAJ	VYBER	960	20228	\N	\N	\N
683156	2331	1995-09-30	VYDAJ	VYBER	15	12853	SLUZBY	\N	\N
683157	2331	1995-10-31	VYDAJ	VYBER	15	13934	SLUZBY	\N	\N
683158	2331	1995-11-30	VYDAJ	VYBER	15	14418	SLUZBY	\N	\N
683159	2331	1995-12-31	VYDAJ	VYBER	15	15204	SLUZBY	\N	\N
683160	2331	1996-01-31	VYDAJ	VYBER	15	14612	SLUZBY	\N	\N
683161	2331	1996-02-29	VYDAJ	VYBER	15	14739	SLUZBY	\N	\N
683162	2331	1996-03-31	VYDAJ	VYBER	15	15075	SLUZBY	\N	\N
683163	2331	1996-04-30	VYDAJ	VYBER	15	14903	SLUZBY	\N	\N
683164	2331	1996-05-31	VYDAJ	VYBER	15	15060	SLUZBY	\N	\N
683165	2331	1996-06-30	VYDAJ	VYBER	15	12663	SLUZBY	\N	\N
683166	2331	1996-07-31	VYDAJ	VYBER	15	13743	SLUZBY	\N	\N
683168	2331	1996-09-30	VYDAJ	VYBER	15	15555	SLUZBY	\N	\N
683169	2331	1996-10-31	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
683170	2331	1996-11-30	VYDAJ	VYBER	15	17742	SLUZBY	\N	\N
683171	2331	1996-12-31	VYDAJ	VYBER	15	18692	SLUZBY	\N	\N
683172	2331	1997-01-31	VYDAJ	VYBER	15	17179	SLUZBY	\N	\N
683173	2331	1997-02-28	VYDAJ	VYBER	15	18277	SLUZBY	\N	\N
683174	2331	1997-03-31	VYDAJ	VYBER	15	19380	SLUZBY	\N	\N
683175	2331	1997-04-30	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
683176	2331	1997-05-31	VYDAJ	VYBER	15	20542	SLUZBY	\N	\N
683177	2331	1997-06-30	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
683178	2331	1997-07-31	VYDAJ	VYBER	15	17453	SLUZBY	\N	\N
683179	2331	1997-08-31	VYDAJ	VYBER	15	18372	SLUZBY	\N	\N
683180	2331	1997-09-30	VYDAJ	VYBER	15	19475	SLUZBY	\N	\N
683181	2331	1997-10-31	VYDAJ	VYBER	15	20041	SLUZBY	\N	\N
683182	2331	1997-11-30	VYDAJ	VYBER	15	21150	SLUZBY	\N	\N
683183	2331	1997-12-31	VYDAJ	VYBER	15	21633	SLUZBY	\N	\N
683184	2331	1998-01-31	VYDAJ	VYBER	15	21668	SLUZBY	\N	\N
683185	2331	1998-02-28	VYDAJ	VYBER	15	20980	SLUZBY	\N	\N
683186	2331	1998-03-31	VYDAJ	VYBER	15	22094	SLUZBY	\N	\N
683187	2331	1998-04-30	VYDAJ	VYBER	15	23212	SLUZBY	\N	\N
683188	2331	1998-05-31	VYDAJ	VYBER	15	20023	SLUZBY	\N	\N
683189	2331	1998-06-30	VYDAJ	VYBER	15	15062	SLUZBY	\N	\N
683190	2331	1998-07-31	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
683191	2331	1998-08-31	VYDAJ	VYBER	15	17244	SLUZBY	\N	\N
683192	2331	1998-09-30	VYDAJ	VYBER	15	11422	SLUZBY	\N	\N
683193	2331	1998-10-31	VYDAJ	VYBER	15	12496	SLUZBY	\N	\N
683194	2331	1998-11-30	VYDAJ	VYBER	15	13573	SLUZBY	\N	\N
683195	2331	1998-05-13	VYDAJ	VYBER	4300	20617	\N	\N	\N
683196	2331	1998-06-12	VYDAJ	VYBER	3300	18428	\N	\N	\N
683197	2331	1998-09-10	VYDAJ	VYBER	6900	13457	\N	\N	\N
683238	2332	1996-09-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
683248	2332	1996-10-11	PRIJEM	VKLAD	8298	9398	\N	\N	\N
683249	2332	1996-11-11	PRIJEM	VKLAD	8298	27617	\N	\N	\N
683250	2332	1996-12-11	PRIJEM	VKLAD	12447	40053	\N	\N	\N
683251	2332	1997-01-11	PRIJEM	VKLAD	8298	43475	\N	\N	\N
683252	2332	1997-02-11	PRIJEM	VKLAD	8298	41516	\N	\N	\N
683253	2332	1997-03-11	PRIJEM	VKLAD	8298	34519	\N	\N	\N
683254	2332	1997-04-11	PRIJEM	VKLAD	8298	33503	\N	\N	\N
683255	2332	1997-05-11	PRIJEM	VKLAD	8298	35981	\N	\N	\N
683256	2332	1997-06-11	PRIJEM	VKLAD	12447	46122	\N	\N	\N
683257	2332	1997-07-11	PRIJEM	VKLAD	8298	26028	\N	\N	\N
683258	2332	1997-08-11	PRIJEM	VKLAD	8298	39991	\N	\N	\N
683259	2332	1997-09-11	PRIJEM	VKLAD	8298	45601	\N	\N	\N
683260	2332	1997-10-11	PRIJEM	VKLAD	8298	51233	\N	\N	\N
683261	2332	1997-11-11	PRIJEM	VKLAD	8298	57191	\N	\N	\N
683262	2332	1997-12-11	PRIJEM	VKLAD	12447	52705	\N	\N	\N
683263	2332	1998-01-11	PRIJEM	VKLAD	8298	57071	\N	\N	\N
683264	2332	1998-02-11	PRIJEM	VKLAD	8298	60647	\N	\N	\N
683265	2332	1998-03-11	PRIJEM	VKLAD	8298	66642	\N	\N	\N
683266	2332	1998-04-11	PRIJEM	VKLAD	8298	65950	\N	\N	\N
683267	2332	1998-05-11	PRIJEM	VKLAD	8298	71466	\N	\N	\N
683268	2332	1998-06-11	PRIJEM	VKLAD	12447	65350	\N	\N	\N
683269	2332	1998-07-11	PRIJEM	VKLAD	8298	77090	\N	\N	\N
683270	2332	1998-08-11	PRIJEM	VKLAD	8298	80049	\N	\N	\N
683271	2332	1998-09-11	PRIJEM	VKLAD	8298	80216	\N	\N	\N
683272	2332	1998-10-11	PRIJEM	VKLAD	8298	74972	\N	\N	\N
683273	2332	1998-11-11	PRIJEM	VKLAD	8298	76831	\N	\N	\N
683274	2332	1998-12-11	PRIJEM	VKLAD	12447	80635	\N	\N	\N
683288	2332	1997-02-14	VYDAJ	PREVOD NA UCET	3919	37597	SIPO	EF	63277864
683289	2332	1997-03-14	VYDAJ	PREVOD NA UCET	3919	30600	SIPO	EF	63277864
683290	2332	1997-04-14	VYDAJ	PREVOD NA UCET	3919	29584	SIPO	EF	63277864
683291	2332	1997-05-14	VYDAJ	PREVOD NA UCET	3919	32062	SIPO	EF	63277864
683292	2332	1997-06-14	VYDAJ	PREVOD NA UCET	3919	42203	SIPO	EF	63277864
683293	2332	1997-07-14	VYDAJ	PREVOD NA UCET	3919	22109	SIPO	EF	63277864
683294	2332	1997-08-14	VYDAJ	PREVOD NA UCET	3919	36072	SIPO	EF	63277864
683295	2332	1997-09-14	VYDAJ	PREVOD NA UCET	3919	41682	SIPO	EF	63277864
683296	2332	1997-10-14	VYDAJ	PREVOD NA UCET	3919	47314	SIPO	EF	63277864
683297	2332	1997-11-14	VYDAJ	PREVOD NA UCET	3919	53272	SIPO	EF	63277864
683298	2332	1997-12-14	VYDAJ	PREVOD NA UCET	3919	48786	SIPO	EF	63277864
683299	2332	1998-01-14	VYDAJ	PREVOD NA UCET	3919	53152	SIPO	EF	63277864
683300	2332	1998-02-14	VYDAJ	PREVOD NA UCET	3919	56728	SIPO	EF	63277864
683301	2332	1998-03-14	VYDAJ	PREVOD NA UCET	3919	62723	SIPO	EF	63277864
683302	2332	1998-04-14	VYDAJ	PREVOD NA UCET	3919	62031	SIPO	EF	63277864
683303	2332	1998-05-14	VYDAJ	PREVOD NA UCET	3919	67547	SIPO	EF	63277864
683304	2332	1998-06-14	VYDAJ	PREVOD NA UCET	3919	61431	SIPO	EF	63277864
683305	2332	1998-07-14	VYDAJ	PREVOD NA UCET	3919	73171	SIPO	EF	63277864
683306	2332	1998-08-14	VYDAJ	PREVOD NA UCET	3919	76130	SIPO	EF	63277864
683307	2332	1998-09-14	VYDAJ	PREVOD NA UCET	3919	76297	SIPO	EF	63277864
683308	2332	1998-10-14	VYDAJ	PREVOD NA UCET	3919	71053	SIPO	EF	63277864
683309	2332	1998-11-14	VYDAJ	PREVOD NA UCET	3919	70712	SIPO	EF	63277864
683310	2332	1998-12-14	VYDAJ	PREVOD NA UCET	3919	66416	SIPO	EF	63277864
683312	2332	1997-06-26	VYDAJ	VYBER	22000	17603	\N	\N	\N
683313	2332	1998-06-01	VYDAJ	VYBER	11600	52903	\N	\N	\N
683315	2332	1997-12-03	VYDAJ	VYBER	2200	40258	\N	\N	\N
683316	2332	1998-12-06	VYDAJ	VYBER KARTOU	2800	68188	\N	\N	0
683326	2332	1997-10-19	VYDAJ	VYBER	1100	48714	\N	\N	\N
683327	2332	1997-11-30	VYDAJ	VYBER	4000	42458	\N	\N	\N
683328	2332	1997-03-10	VYDAJ	VYBER	2900	26221	\N	\N	\N
683329	2332	1997-08-23	VYDAJ	VYBER	3100	37172	\N	\N	\N
683330	2332	1998-10-03	VYDAJ	VYBER	2400	66674	\N	\N	\N
683331	2332	1998-02-14	VYDAJ	VYBER	4300	52428	\N	\N	\N
683332	2332	1998-05-28	VYDAJ	VYBER	2300	64247	\N	\N	\N
683333	2332	1998-08-05	VYDAJ	VYBER	600	71751	\N	\N	\N
683348	2332	1997-02-28	VYDAJ	VYBER	15	29121	SLUZBY	\N	\N
683349	2332	1997-03-31	VYDAJ	VYBER	15	25205	SLUZBY	\N	\N
683350	2332	1997-04-30	VYDAJ	VYBER	15	27683	SLUZBY	\N	\N
683351	2332	1997-05-31	VYDAJ	VYBER	15	33675	SLUZBY	\N	\N
683352	2332	1997-06-30	VYDAJ	VYBER	15	17730	SLUZBY	\N	\N
683353	2332	1997-07-31	VYDAJ	VYBER	15	31693	SLUZBY	\N	\N
683354	2332	1997-08-31	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
683355	2332	1997-09-30	VYDAJ	VYBER	15	42935	SLUZBY	\N	\N
683356	2332	1997-10-31	VYDAJ	VYBER	15	48893	SLUZBY	\N	\N
683357	2332	1997-11-30	VYDAJ	VYBER	15	46458	SLUZBY	\N	\N
683358	2332	1997-12-31	VYDAJ	VYBER	15	48773	SLUZBY	\N	\N
683359	2332	1998-01-31	VYDAJ	VYBER	15	52349	SLUZBY	\N	\N
683360	2332	1998-02-28	VYDAJ	VYBER	15	58344	SLUZBY	\N	\N
683361	2332	1998-03-31	VYDAJ	VYBER	15	57652	SLUZBY	\N	\N
683362	2332	1998-04-30	VYDAJ	VYBER	15	63168	SLUZBY	\N	\N
683363	2332	1998-05-31	VYDAJ	VYBER	15	64503	SLUZBY	\N	\N
683364	2332	1998-06-30	VYDAJ	VYBER	15	68792	SLUZBY	\N	\N
683365	2332	1998-07-31	VYDAJ	VYBER	15	72351	SLUZBY	\N	\N
683366	2332	1998-08-31	VYDAJ	VYBER	15	71918	SLUZBY	\N	\N
683367	2332	1998-09-30	VYDAJ	VYBER	15	69074	SLUZBY	\N	\N
683368	2332	1998-10-31	VYDAJ	VYBER	15	68533	SLUZBY	\N	\N
683369	2332	1998-11-30	VYDAJ	VYBER	15	70988	SLUZBY	\N	\N
683370	2332	1996-10-24	PRIJEM	VKLAD	9900	19298	\N	\N	\N
683371	2332	1996-11-23	VYDAJ	VYBER	100	27517	\N	\N	\N
683372	2332	1996-12-23	VYDAJ	VYBER	5000	35053	\N	\N	\N
683373	2332	1997-01-22	VYDAJ	VYBER	10400	33075	\N	\N	\N
683374	2332	1997-02-21	VYDAJ	VYBER	8600	28997	\N	\N	\N
683375	2332	1997-03-23	VYDAJ	VYBER	5500	25100	\N	\N	\N
683376	2332	1997-04-22	VYDAJ	VYBER	2000	27584	\N	\N	\N
683377	2332	1997-05-22	PRIJEM	VKLAD	1500	33562	\N	\N	\N
683378	2332	1997-06-21	VYDAJ	VYBER	2600	39603	\N	\N	\N
683379	2332	1997-07-21	PRIJEM	VKLAD	9500	31609	\N	\N	\N
683380	2332	1997-08-20	PRIJEM	VKLAD	4200	40272	\N	\N	\N
683381	2332	1997-09-19	PRIJEM	VKLAD	1100	42782	\N	\N	\N
683382	2332	1997-10-19	PRIJEM	VKLAD	2500	49814	\N	\N	\N
683383	2332	1997-11-18	VYDAJ	VYBER	7000	46272	\N	\N	\N
683384	2332	1997-12-18	VYDAJ	VYBER	200	48586	\N	\N	\N
683385	2332	1998-01-17	VYDAJ	VYBER	1000	52152	\N	\N	\N
683386	2332	1998-02-16	PRIJEM	VKLAD	5700	58128	\N	\N	\N
683387	2332	1998-03-18	VYDAJ	VYBER	5300	57423	\N	\N	\N
683388	2332	1998-04-17	PRIJEM	VKLAD	900	62931	\N	\N	\N
683389	2332	1998-05-17	VYDAJ	VYBER	1000	66547	\N	\N	\N
683390	2332	1998-06-16	PRIJEM	VKLAD	7100	68531	\N	\N	\N
683391	2332	1998-07-16	VYDAJ	VYBER	1100	72071	\N	\N	\N
683392	2332	1998-08-15	VYDAJ	VYBER	4500	71630	\N	\N	\N
683393	2332	1998-09-14	VYDAJ	VYBER	7500	68797	\N	\N	\N
683394	2332	1998-10-14	VYDAJ	VYBER	2800	68253	\N	\N	\N
683395	2332	1998-11-13	VYDAJ	VYBER	2200	74631	\N	\N	\N
683396	2332	1998-12-13	VYDAJ	VYBER	10300	70335	\N	\N	\N
683424	2333	1994-10-08	PRIJEM	VKLAD	400	400	\N	\N	\N
683425	2333	1994-11-09	PRIJEM	VKLAD	13886	29692	\N	\N	\N
683427	2333	1995-05-04	PRIJEM	VKLAD	42435	67386	\N	\N	\N
683428	2333	1995-07-10	PRIJEM	VKLAD	18362	48337	\N	\N	\N
683429	2333	1996-12-28	PRIJEM	VKLAD	34218	86251	\N	\N	\N
683430	2333	1996-12-02	PRIJEM	VKLAD	37528	71583	\N	\N	\N
683431	2333	1997-04-05	PRIJEM	VKLAD	36770	73918	\N	\N	\N
683432	2333	1997-06-13	PRIJEM	VKLAD	18991	68223	\N	\N	\N
683433	2333	1998-02-02	PRIJEM	VKLAD	24360	45294	\N	\N	\N
683434	2333	1998-10-09	PRIJEM	VKLAD	49166	66774	\N	\N	\N
683444	2333	1994-10-15	PRIJEM	VKLAD	1300	1700	\N	\N	\N
683445	2333	1994-11-13	PRIJEM	VKLAD	1300	30992	\N	\N	\N
683446	2333	1994-12-16	PRIJEM	VKLAD	1300	28277	\N	\N	\N
683447	2333	1995-01-17	PRIJEM	VKLAD	1300	18837	\N	\N	\N
683448	2333	1995-02-17	PRIJEM	VKLAD	1300	23911	\N	\N	\N
683449	2333	1995-03-14	PRIJEM	VKLAD	1300	23531	\N	\N	\N
683450	2333	1995-04-17	PRIJEM	VKLAD	1300	25415	\N	\N	\N
683451	2333	1995-05-17	PRIJEM	VKLAD	1300	48186	\N	\N	\N
683452	2333	1995-06-14	PRIJEM	VKLAD	1300	27955	\N	\N	\N
683453	2333	1995-07-14	PRIJEM	VKLAD	1300	49637	\N	\N	\N
683454	2333	1995-08-13	PRIJEM	VKLAD	1300	40403	\N	\N	\N
683455	2333	1995-09-13	PRIJEM	VKLAD	1300	36572	\N	\N	\N
683456	2333	1995-10-16	PRIJEM	VKLAD	1300	31615	\N	\N	\N
683457	2333	1995-11-15	PRIJEM	VKLAD	1300	32940	\N	\N	\N
683458	2333	1995-12-14	PRIJEM	VKLAD	1300	31955	\N	\N	\N
683459	2333	1996-01-16	PRIJEM	VKLAD	1300	32769	\N	\N	\N
683460	2333	1996-02-15	PRIJEM	VKLAD	1300	28227	\N	\N	\N
683461	2333	1996-03-13	PRIJEM	VKLAD	1300	30124	\N	\N	\N
683462	2333	1996-04-14	PRIJEM	VKLAD	1300	31833	\N	\N	\N
683463	2333	1996-05-15	PRIJEM	VKLAD	1300	28850	\N	\N	\N
683464	2333	1996-06-15	PRIJEM	VKLAD	1300	17506	\N	\N	\N
683465	2333	1996-07-14	PRIJEM	VKLAD	1300	27192	\N	\N	\N
683466	2333	1996-08-16	PRIJEM	VKLAD	1300	32187	\N	\N	\N
683467	2333	1996-09-16	PRIJEM	VKLAD	1300	35556	\N	\N	\N
683468	2333	1996-10-16	PRIJEM	VKLAD	1300	37685	\N	\N	\N
683469	2333	1996-11-15	PRIJEM	VKLAD	1300	37621	\N	\N	\N
683470	2333	1996-12-15	PRIJEM	VKLAD	1300	70983	\N	\N	\N
683471	2333	1997-01-16	PRIJEM	VKLAD	1300	83477	\N	\N	\N
683472	2333	1997-02-16	PRIJEM	VKLAD	1300	56080	\N	\N	\N
683473	2333	1997-03-17	PRIJEM	VKLAD	1300	45485	\N	\N	\N
683474	2333	1997-04-17	PRIJEM	VKLAD	1300	75218	\N	\N	\N
683475	2333	1997-05-14	PRIJEM	VKLAD	1300	58716	\N	\N	\N
683476	2333	1997-06-17	PRIJEM	VKLAD	1300	69523	\N	\N	\N
683477	2333	1997-07-13	PRIJEM	VKLAD	1300	33303	\N	\N	\N
683478	2333	1997-08-16	PRIJEM	VKLAD	1300	38178	\N	\N	\N
683479	2333	1997-09-14	PRIJEM	VKLAD	1300	38519	\N	\N	\N
683480	2333	1997-10-13	PRIJEM	VKLAD	1300	35655	\N	\N	\N
683481	2333	1997-11-13	PRIJEM	VKLAD	1300	36483	\N	\N	\N
683482	2333	1997-12-17	PRIJEM	VKLAD	1300	31009	\N	\N	\N
683483	2333	1998-01-17	PRIJEM	VKLAD	1300	17916	\N	\N	\N
683484	2333	1998-02-16	PRIJEM	VKLAD	1300	46594	\N	\N	\N
683485	2333	1998-03-15	PRIJEM	VKLAD	1300	38300	\N	\N	\N
683486	2333	1998-04-13	PRIJEM	VKLAD	1300	33531	\N	\N	\N
683487	2333	1998-05-17	PRIJEM	VKLAD	1300	29944	\N	\N	\N
683488	2333	1998-06-16	PRIJEM	VKLAD	1300	20082	\N	\N	\N
683489	2333	1998-07-14	PRIJEM	VKLAD	1300	17740	\N	\N	\N
683490	2333	1998-08-14	PRIJEM	VKLAD	1300	19092	\N	\N	\N
683491	2333	1998-09-17	PRIJEM	VKLAD	1300	19949	\N	\N	\N
683492	2333	1998-10-17	PRIJEM	VKLAD	1300	68074	\N	\N	\N
683493	2333	1998-11-13	PRIJEM	VKLAD	1300	44283	\N	\N	\N
683494	2333	1998-12-17	PRIJEM	VKLAD	1300	27229	\N	\N	\N
683504	2333	1994-10-18	PRIJEM	VKLAD	1300	3000	\N	\N	\N
683505	2333	1994-11-18	PRIJEM	VKLAD	1300	32292	\N	\N	\N
683506	2333	1994-12-18	PRIJEM	VKLAD	1300	29577	\N	\N	\N
683507	2333	1998-01-18	PRIJEM	VKLAD	1300	19216	\N	\N	\N
683508	2333	1998-02-18	PRIJEM	VKLAD	1300	47894	\N	\N	\N
683509	2333	1998-03-18	PRIJEM	VKLAD	1300	39600	\N	\N	\N
683510	2333	1998-04-18	PRIJEM	VKLAD	1300	34831	\N	\N	\N
683511	2333	1998-05-18	PRIJEM	VKLAD	1300	31244	\N	\N	\N
683512	2333	1998-06-18	PRIJEM	VKLAD	1300	21382	\N	\N	\N
683514	2333	1995-06-08	VYDAJ	VYBER	12400	26655	\N	\N	\N
683515	2333	1996-06-12	VYDAJ	VYBER	14500	16206	\N	\N	\N
683516	2333	1997-06-22	VYDAJ	VYBER	16800	26723	\N	\N	\N
683521	2333	1997-06-17	VYDAJ	VYBER	26000	43523	\N	\N	\N
683524	2333	1995-01-15	VYDAJ	VYBER	4800	18437	\N	\N	\N
683525	2333	1996-01-24	VYDAJ	VYBER	8300	21319	\N	\N	\N
683526	2333	1997-01-18	VYDAJ	VYBER	6900	76577	\N	\N	\N
683527	2333	1998-01-06	VYDAJ	VYBER	5500	17116	\N	\N	\N
683528	2333	1994-12-22	VYDAJ	VYBER	2900	26677	\N	\N	\N
683529	2333	1995-12-23	VYDAJ	VYBER	1300	30655	\N	\N	\N
683530	2333	1996-12-02	VYDAJ	VYBER	1900	69683	\N	\N	\N
683531	2333	1997-12-11	VYDAJ	VYBER	1100	29709	\N	\N	\N
683532	2333	1998-12-23	VYDAJ	VYBER	2800	24429	\N	\N	\N
683539	2333	1995-01-18	VYDAJ	VYBER	950	17887	\N	\N	\N
683540	2333	1995-01-11	VYDAJ	VYBER	1400	23237	\N	\N	\N
683541	2333	1995-01-03	VYDAJ	VYBER	750	26037	\N	\N	\N
683542	2333	1995-01-16	VYDAJ	VYBER	900	17537	\N	\N	\N
683543	2333	1995-01-09	VYDAJ	VYBER	400	24637	\N	\N	\N
683544	2333	1995-01-27	VYDAJ	VYBER	250	17637	\N	\N	\N
683545	2333	1996-01-12	VYDAJ	VYBER	1200	32169	\N	\N	\N
683546	2333	1996-01-19	VYDAJ	VYBER	1400	31369	\N	\N	\N
683547	2333	1996-01-15	VYDAJ	VYBER	700	31469	\N	\N	\N
683548	2333	1996-01-06	VYDAJ	VYBER	300	33369	\N	\N	\N
683549	2333	1996-01-23	VYDAJ	VYBER	300	29619	\N	\N	\N
683550	2333	1996-01-22	VYDAJ	VYBER	1450	29919	\N	\N	\N
683551	2333	1997-01-24	VYDAJ	VYBER	1400	75177	\N	\N	\N
683552	2333	1997-01-14	VYDAJ	VYBER	1300	83127	\N	\N	\N
683553	2333	1997-01-10	VYDAJ	VYBER	1450	84427	\N	\N	\N
683554	2333	1997-01-15	VYDAJ	VYBER	950	82177	\N	\N	\N
683555	2333	1997-01-02	VYDAJ	VYBER	650	85877	\N	\N	\N
683556	2333	1997-01-26	VYDAJ	VYBER	400	54477	\N	\N	\N
683557	2333	1998-01-26	VYDAJ	VYBER	900	20866	\N	\N	\N
683558	2333	1998-01-23	VYDAJ	VYBER	1450	21766	\N	\N	\N
683559	2333	1998-01-02	VYDAJ	VYBER	850	23516	\N	\N	\N
683560	2333	1998-01-03	VYDAJ	VYBER	450	23066	\N	\N	\N
683561	2333	1998-01-06	VYDAJ	VYBER	500	16616	\N	\N	\N
683562	2333	1998-01-04	VYDAJ	VYBER	450	22616	\N	\N	\N
683569	2333	1995-11-20	VYDAJ	VYBER	1100	29640	\N	\N	\N
683570	2333	1995-11-15	VYDAJ	VYBER	2200	30740	\N	\N	\N
683571	2333	1995-12-06	VYDAJ	VYBER	700	30655	\N	\N	\N
683572	2333	1995-09-23	VYDAJ	VYBER	1000	35572	\N	\N	\N
683573	2333	1995-03-11	VYDAJ	VYBER	1850	22231	\N	\N	\N
683574	2333	1995-04-18	VYDAJ	VYBER	550	24865	\N	\N	\N
683575	2333	1996-08-27	VYDAJ	VYBER	650	31537	\N	\N	\N
683576	2333	1996-04-13	VYDAJ	VYBER	1100	30533	\N	\N	\N
683577	2333	1996-05-07	VYDAJ	VYBER	2300	29550	\N	\N	\N
683578	2333	1996-12-25	VYDAJ	VYBER	2350	68633	\N	\N	\N
683579	2333	1996-05-07	VYDAJ	VYBER	2000	27550	\N	\N	\N
683580	2333	1996-05-18	VYDAJ	VYBER	1950	26900	\N	\N	\N
683581	2333	1996-03-07	VYDAJ	VYBER	2400	28824	\N	\N	\N
683582	2333	1996-08-12	VYDAJ	VYBER	700	30887	\N	\N	\N
683583	2333	1997-12-06	VYDAJ	VYBER	1700	30809	\N	\N	\N
683584	2333	1997-12-30	VYDAJ	VYBER	2450	24259	\N	\N	\N
683585	2333	1997-08-09	VYDAJ	VYBER	1250	36878	\N	\N	\N
683586	2333	1998-11-12	VYDAJ	VYBER	800	42983	\N	\N	\N
683587	2333	1998-08-29	VYDAJ	VYBER	500	18592	\N	\N	\N
683589	2333	1998-05-26	VYDAJ	VYBER	850	18694	\N	\N	\N
683601	2333	1994-11-30	VYDAJ	VYBER	15	32377	SLUZBY	\N	\N
683602	2333	1994-12-31	VYDAJ	VYBER	15	26787	SLUZBY	\N	\N
683603	2333	1995-01-31	VYDAJ	VYBER	15	17711	SLUZBY	\N	\N
683604	2333	1995-02-28	VYDAJ	VYBER	15	23981	SLUZBY	\N	\N
683605	2333	1995-03-31	VYDAJ	VYBER	15	23615	SLUZBY	\N	\N
683606	2333	1995-04-30	VYDAJ	VYBER	15	24951	SLUZBY	\N	\N
683607	2333	1995-05-31	VYDAJ	VYBER	15	48355	SLUZBY	\N	\N
683608	2333	1995-06-30	VYDAJ	VYBER	15	28075	SLUZBY	\N	\N
683609	2333	1995-07-31	VYDAJ	VYBER	15	49803	SLUZBY	\N	\N
683610	2333	1995-08-31	VYDAJ	VYBER	15	40572	SLUZBY	\N	\N
683611	2333	1995-09-30	VYDAJ	VYBER	15	35715	SLUZBY	\N	\N
683612	2333	1995-10-31	VYDAJ	VYBER	15	31740	SLUZBY	\N	\N
683613	2333	1995-11-30	VYDAJ	VYBER	15	29755	SLUZBY	\N	\N
683614	2333	1995-12-31	VYDAJ	VYBER	15	30769	SLUZBY	\N	\N
683615	2333	1996-01-31	VYDAJ	VYBER	15	26927	SLUZBY	\N	\N
683616	2333	1996-02-29	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
683617	2333	1996-03-31	VYDAJ	VYBER	15	31633	SLUZBY	\N	\N
683618	2333	1996-04-30	VYDAJ	VYBER	15	31850	SLUZBY	\N	\N
683619	2333	1996-05-31	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
683620	2333	1996-06-30	VYDAJ	VYBER	15	25892	SLUZBY	\N	\N
683621	2333	1996-07-31	VYDAJ	VYBER	15	31587	SLUZBY	\N	\N
683622	2333	1996-08-31	VYDAJ	VYBER	15	34256	SLUZBY	\N	\N
683623	2333	1996-09-30	VYDAJ	VYBER	15	36385	SLUZBY	\N	\N
683624	2333	1996-10-31	VYDAJ	VYBER	15	36321	SLUZBY	\N	\N
683625	2333	1996-11-30	VYDAJ	VYBER	15	34055	SLUZBY	\N	\N
683626	2333	1996-12-31	VYDAJ	VYBER	15	86527	SLUZBY	\N	\N
683627	2333	1997-01-31	VYDAJ	VYBER	15	54780	SLUZBY	\N	\N
683628	2333	1997-02-28	VYDAJ	VYBER	15	44185	SLUZBY	\N	\N
683629	2333	1997-03-31	VYDAJ	VYBER	15	37148	SLUZBY	\N	\N
683630	2333	1997-04-30	VYDAJ	VYBER	15	57416	SLUZBY	\N	\N
683631	2333	1997-05-31	VYDAJ	VYBER	15	49232	SLUZBY	\N	\N
683632	2333	1997-06-30	VYDAJ	VYBER	15	32003	SLUZBY	\N	\N
683633	2333	1997-07-31	VYDAJ	VYBER	15	38128	SLUZBY	\N	\N
683634	2333	1997-08-31	VYDAJ	VYBER	15	37219	SLUZBY	\N	\N
683635	2333	1997-09-30	VYDAJ	VYBER	15	34355	SLUZBY	\N	\N
683636	2333	1997-10-31	VYDAJ	VYBER	15	35183	SLUZBY	\N	\N
683637	2333	1997-11-30	VYDAJ	VYBER	15	32509	SLUZBY	\N	\N
683638	2333	1997-12-31	VYDAJ	VYBER	15	24366	SLUZBY	\N	\N
683639	2333	1998-01-31	VYDAJ	VYBER	15	20934	SLUZBY	\N	\N
683640	2333	1998-02-28	VYDAJ	VYBER	15	37000	SLUZBY	\N	\N
683641	2333	1998-03-31	VYDAJ	VYBER	15	32231	SLUZBY	\N	\N
683642	2333	1998-04-30	VYDAJ	VYBER	15	28644	SLUZBY	\N	\N
683643	2333	1998-05-31	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
683644	2333	1998-06-30	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
683645	2333	1998-07-31	VYDAJ	VYBER	15	17792	SLUZBY	\N	\N
683646	2333	1998-08-31	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
683647	2333	1998-09-30	VYDAJ	VYBER	15	17608	SLUZBY	\N	\N
683648	2333	1998-10-31	VYDAJ	VYBER	15	43783	SLUZBY	\N	\N
683649	2333	1998-11-30	VYDAJ	VYBER	15	34729	SLUZBY	\N	\N
683650	2333	1994-11-07	PRIJEM	VKLAD	12800	15806	\N	\N	\N
683651	2333	1994-12-07	VYDAJ	VYBER	5400	26977	\N	\N	\N
683652	2333	1995-01-06	VYDAJ	VYBER	1000	25037	\N	\N	\N
683653	2333	1995-02-05	PRIJEM	VKLAD	4900	22611	\N	\N	\N
683654	2333	1995-03-07	PRIJEM	VKLAD	100	24081	\N	\N	\N
683655	2333	1995-04-06	PRIJEM	VKLAD	500	24115	\N	\N	\N
683656	2333	1995-05-06	VYDAJ	VYBER	20500	46886	\N	\N	\N
683657	2333	1995-06-05	VYDAJ	VYBER	9300	39055	\N	\N	\N
683658	2333	1995-07-05	PRIJEM	VKLAD	1900	29975	\N	\N	\N
683659	2333	1995-08-04	VYDAJ	VYBER	10700	39103	\N	\N	\N
683660	2333	1995-09-03	VYDAJ	VYBER	5300	35272	\N	\N	\N
683661	2333	1995-10-03	VYDAJ	VYBER	5400	30315	\N	\N	\N
683662	2333	1995-11-02	VYDAJ	VYBER	100	31640	\N	\N	\N
683663	2333	1995-12-02	PRIJEM	VKLAD	1600	31355	\N	\N	\N
683664	2333	1996-01-01	PRIJEM	VKLAD	2900	33669	\N	\N	\N
683665	2333	1996-01-31	PRIJEM	VKLAD	5500	26819	\N	\N	\N
683666	2333	1996-03-01	PRIJEM	VKLAD	2900	31224	\N	\N	\N
683667	2333	1996-03-31	PRIJEM	VKLAD	1400	31647	\N	\N	\N
683668	2333	1996-04-30	VYDAJ	VYBER	100	31865	\N	\N	\N
683669	2333	1996-05-30	PRIJEM	VKLAD	3700	30600	\N	\N	\N
683670	2333	1996-06-29	PRIJEM	VKLAD	8300	25806	\N	\N	\N
683671	2333	1996-07-29	PRIJEM	VKLAD	4300	31492	\N	\N	\N
683672	2333	1996-08-28	PRIJEM	VKLAD	2600	34137	\N	\N	\N
683673	2333	1996-09-27	PRIJEM	VKLAD	700	36256	\N	\N	\N
683674	2333	1996-10-27	VYDAJ	VYBER	1500	36185	\N	\N	\N
683675	2333	1996-11-26	VYDAJ	VYBER	3700	33921	\N	\N	\N
683676	2333	1996-12-26	VYDAJ	VYBER	16600	52033	\N	\N	\N
683677	2333	1997-01-25	VYDAJ	VYBER	20300	54877	\N	\N	\N
683678	2333	1997-02-24	VYDAJ	VYBER	12100	43980	\N	\N	\N
683679	2333	1997-03-26	VYDAJ	VYBER	8500	36985	\N	\N	\N
683680	2333	1997-04-25	VYDAJ	VYBER	18000	57218	\N	\N	\N
683681	2333	1997-05-25	VYDAJ	VYBER	9700	49016	\N	\N	\N
683682	2333	1997-06-24	PRIJEM	VKLAD	5100	31823	\N	\N	\N
683683	2333	1997-07-24	PRIJEM	VKLAD	4700	38003	\N	\N	\N
683684	2333	1997-08-23	VYDAJ	VYBER	1100	37078	\N	\N	\N
683685	2333	1997-09-22	VYDAJ	VYBER	4300	34219	\N	\N	\N
683686	2333	1997-10-22	VYDAJ	VYBER	600	35055	\N	\N	\N
683687	2333	1997-11-21	VYDAJ	VYBER	4100	32383	\N	\N	\N
683688	2333	1997-12-21	VYDAJ	VYBER	4300	26709	\N	\N	\N
683689	2333	1998-01-20	PRIJEM	VKLAD	4000	23216	\N	\N	\N
683690	2333	1998-02-19	VYDAJ	VYBER	11000	36894	\N	\N	\N
683691	2333	1998-03-21	VYDAJ	VYBER	7500	32100	\N	\N	\N
683692	2333	1998-04-20	VYDAJ	VYBER	6300	28531	\N	\N	\N
683693	2333	1998-05-20	VYDAJ	VYBER	11700	19544	\N	\N	\N
683694	2333	1998-06-19	VYDAJ	VYBER	5000	16382	\N	\N	\N
683695	2333	1998-09-17	VYDAJ	VYBER	2400	17549	\N	\N	\N
683696	2333	1998-10-17	VYDAJ	VYBER	24400	43674	\N	\N	\N
683697	2333	1998-11-16	VYDAJ	VYBER	9700	34583	\N	\N	\N
683698	2333	1998-12-16	VYDAJ	VYBER	8800	25929	\N	\N	\N
683750	2334	1996-03-19	PRIJEM	VKLAD	600	600	\N	\N	\N
683754	2334	1996-04-06	PRIJEM	PREVOD Z UCTU	12078	12678	\N	MN	96802848
683755	2334	1996-05-06	PRIJEM	PREVOD Z UCTU	12078	32994	\N	MN	96802848
683756	2334	1996-06-06	PRIJEM	PREVOD Z UCTU	18117	49016	\N	MN	96802848
683757	2334	1996-07-06	PRIJEM	PREVOD Z UCTU	12078	47832	\N	MN	96802848
683758	2334	1996-08-06	PRIJEM	PREVOD Z UCTU	12078	49562	\N	MN	96802848
683759	2334	1996-09-06	PRIJEM	PREVOD Z UCTU	12078	44266	\N	MN	96802848
683760	2334	1996-10-06	PRIJEM	PREVOD Z UCTU	12078	45560	\N	MN	96802848
683761	2334	1996-11-06	PRIJEM	PREVOD Z UCTU	12078	44654	\N	MN	96802848
683762	2334	1996-12-06	PRIJEM	PREVOD Z UCTU	18117	41890	\N	MN	96802848
683763	2334	1997-01-06	PRIJEM	PREVOD Z UCTU	12078	42772	\N	MN	96802848
683764	2334	1997-02-06	PRIJEM	PREVOD Z UCTU	12078	33433	\N	MN	96802848
683765	2334	1997-03-06	PRIJEM	PREVOD Z UCTU	12078	33976	\N	MN	96802848
683766	2334	1997-04-06	PRIJEM	PREVOD Z UCTU	12078	41442	\N	MN	96802848
683767	2334	1997-05-06	PRIJEM	PREVOD Z UCTU	12078	28210	\N	MN	96802848
683768	2334	1997-06-06	PRIJEM	PREVOD Z UCTU	18117	48414	\N	MN	96802848
683769	2334	1997-07-06	PRIJEM	PREVOD Z UCTU	12078	53030	\N	MN	96802848
683770	2334	1997-08-06	PRIJEM	PREVOD Z UCTU	12078	53260	\N	MN	96802848
683771	2334	1997-09-06	PRIJEM	PREVOD Z UCTU	12078	47261	\N	MN	96802848
683772	2334	1997-10-06	PRIJEM	PREVOD Z UCTU	12078	39549	\N	MN	96802848
683773	2334	1997-11-06	PRIJEM	PREVOD Z UCTU	12078	41620	\N	MN	96802848
683774	2334	1997-12-06	PRIJEM	PREVOD Z UCTU	18117	41763	\N	MN	96802848
683775	2334	1998-01-06	PRIJEM	PREVOD Z UCTU	12078	32934	\N	MN	96802848
683776	2334	1998-02-06	PRIJEM	PREVOD Z UCTU	12078	31484	\N	MN	96802848
683777	2334	1998-03-06	PRIJEM	PREVOD Z UCTU	12078	30843	\N	MN	96802848
683778	2334	1998-04-06	PRIJEM	PREVOD Z UCTU	12078	41398	\N	MN	96802848
683779	2334	1998-05-06	PRIJEM	PREVOD Z UCTU	12078	42769	\N	MN	96802848
683780	2334	1998-06-06	PRIJEM	PREVOD Z UCTU	18117	48880	\N	MN	96802848
683781	2334	1998-07-06	PRIJEM	PREVOD Z UCTU	12078	44438	\N	MN	96802848
683782	2334	1998-08-06	PRIJEM	PREVOD Z UCTU	12078	41605	\N	MN	96802848
683783	2334	1998-09-06	PRIJEM	PREVOD Z UCTU	12078	42765	\N	MN	96802848
683784	2334	1998-10-06	PRIJEM	PREVOD Z UCTU	12078	49035	\N	MN	96802848
683785	2334	1998-11-06	PRIJEM	PREVOD Z UCTU	12078	49254	\N	MN	96802848
683786	2334	1998-12-06	PRIJEM	PREVOD Z UCTU	18117	59867	\N	MN	96802848
683794	2334	1996-08-21	VYDAJ	VYBER	2300	32055	\N	\N	0
683795	2334	1996-09-13	VYDAJ	VYBER	2700	30859	\N	\N	0
683796	2334	1996-10-09	VYDAJ	VYBER	1900	32953	\N	\N	0
683797	2334	1996-11-26	VYDAJ	VYBER	2000	32347	\N	\N	0
683798	2334	1996-12-12	VYDAJ	VYBER	1800	24583	\N	\N	0
683799	2334	1997-01-16	VYDAJ	VYBER	2100	21265	\N	\N	0
683800	2334	1997-02-14	VYDAJ	VYBER	2400	21826	\N	\N	0
683801	2334	1997-03-06	VYDAJ	VYBER	2400	31576	\N	\N	0
683802	2334	1997-04-19	VYDAJ	VYBER	2300	26535	\N	\N	0
683803	2334	1997-05-03	VYDAJ	VYBER	1800	16132	\N	\N	0
683804	2334	1997-06-06	VYDAJ	VYBER	1800	46614	\N	\N	0
683805	2334	1997-07-18	VYDAJ	VYBER	2000	41023	\N	\N	0
683806	2334	1997-08-12	VYDAJ	PREVOD NA UCET	2013	35044	UVER	IJ	17270642
683807	2334	1997-09-12	VYDAJ	PREVOD NA UCET	2013	33941	UVER	IJ	17270642
683808	2334	1997-10-12	VYDAJ	PREVOD NA UCET	2013	29429	UVER	IJ	17270642
683809	2334	1997-11-12	VYDAJ	PREVOD NA UCET	2013	32828	UVER	IJ	17270642
683810	2334	1997-12-12	VYDAJ	PREVOD NA UCET	2013	30943	UVER	IJ	17270642
683811	2334	1998-01-12	VYDAJ	PREVOD NA UCET	2013	30714	UVER	IJ	17270642
683812	2334	1998-02-12	VYDAJ	PREVOD NA UCET	2013	28264	UVER	IJ	17270642
683813	2334	1998-03-12	VYDAJ	PREVOD NA UCET	2013	29223	UVER	IJ	17270642
683814	2334	1998-04-12	VYDAJ	PREVOD NA UCET	2013	30578	UVER	IJ	17270642
683815	2334	1998-05-12	VYDAJ	PREVOD NA UCET	2013	30649	UVER	IJ	17270642
683816	2334	1998-06-12	VYDAJ	PREVOD NA UCET	2013	32240	UVER	IJ	17270642
683817	2334	1998-07-12	VYDAJ	PREVOD NA UCET	2013	34618	UVER	IJ	17270642
683818	2334	1998-08-12	VYDAJ	PREVOD NA UCET	2013	26885	UVER	IJ	17270642
683819	2334	1998-09-12	VYDAJ	PREVOD NA UCET	2013	30045	UVER	IJ	17270642
683820	2334	1998-10-12	VYDAJ	PREVOD NA UCET	2013	31947	UVER	IJ	17270642
683821	2334	1998-11-12	VYDAJ	PREVOD NA UCET	2013	34223	UVER	IJ	17270642
683822	2334	1998-12-12	VYDAJ	PREVOD NA UCET	2013	45647	UVER	IJ	17270642
683830	2334	1996-08-07	VYDAJ	PREVOD NA UCET	10707	38855	SIPO	ST	92322378
683831	2334	1996-09-07	VYDAJ	PREVOD NA UCET	10707	33559	SIPO	ST	92322378
683832	2334	1996-10-07	VYDAJ	PREVOD NA UCET	10707	34853	SIPO	ST	92322378
683833	2334	1996-11-07	VYDAJ	PREVOD NA UCET	10707	33947	SIPO	ST	92322378
683834	2334	1996-12-07	VYDAJ	PREVOD NA UCET	10707	26383	SIPO	ST	92322378
683835	2334	1997-01-07	VYDAJ	PREVOD NA UCET	10707	32065	SIPO	ST	92322378
683836	2334	1997-02-07	VYDAJ	PREVOD NA UCET	10707	12526	SIPO	ST	92322378
683837	2334	1997-03-07	VYDAJ	PREVOD NA UCET	10707	20869	SIPO	ST	92322378
683838	2334	1997-04-07	VYDAJ	PREVOD NA UCET	10707	30735	SIPO	ST	92322378
683839	2334	1997-05-07	VYDAJ	PREVOD NA UCET	10707	17503	SIPO	ST	92322378
683840	2334	1997-06-07	VYDAJ	PREVOD NA UCET	10707	35907	SIPO	ST	92322378
683841	2334	1997-07-07	VYDAJ	PREVOD NA UCET	10707	42323	SIPO	ST	92322378
683842	2334	1997-08-07	VYDAJ	PREVOD NA UCET	10707	42553	SIPO	ST	92322378
683843	2334	1997-09-07	VYDAJ	PREVOD NA UCET	10707	36554	SIPO	ST	92322378
683844	2334	1997-10-07	VYDAJ	PREVOD NA UCET	10707	28842	SIPO	ST	92322378
683845	2334	1997-11-07	VYDAJ	PREVOD NA UCET	10707	30913	SIPO	ST	92322378
683846	2334	1997-12-07	VYDAJ	PREVOD NA UCET	10707	31056	SIPO	ST	92322378
683847	2334	1998-01-07	VYDAJ	PREVOD NA UCET	10707	16527	SIPO	ST	92322378
683848	2334	1998-02-07	VYDAJ	PREVOD NA UCET	10707	30277	SIPO	ST	92322378
683849	2334	1998-03-07	VYDAJ	PREVOD NA UCET	10707	20136	SIPO	ST	92322378
683850	2334	1998-04-07	VYDAJ	PREVOD NA UCET	10707	30691	SIPO	ST	92322378
683851	2334	1998-05-07	VYDAJ	PREVOD NA UCET	10707	32062	SIPO	ST	92322378
683852	2334	1998-06-07	VYDAJ	PREVOD NA UCET	10707	38173	SIPO	ST	92322378
683853	2334	1998-07-07	VYDAJ	PREVOD NA UCET	10707	36631	SIPO	ST	92322378
683854	2334	1998-08-07	VYDAJ	PREVOD NA UCET	10707	28898	SIPO	ST	92322378
683855	2334	1998-09-07	VYDAJ	PREVOD NA UCET	10707	32058	SIPO	ST	92322378
683856	2334	1998-10-07	VYDAJ	PREVOD NA UCET	10707	38328	SIPO	ST	92322378
683857	2334	1998-11-07	VYDAJ	PREVOD NA UCET	10707	36236	SIPO	ST	92322378
683858	2334	1998-12-07	VYDAJ	PREVOD NA UCET	10707	49160	SIPO	ST	92322378
683862	2334	1997-11-09	VYBER	VYBER	5572	34841	\N	\N	\N
683863	2334	1997-08-10	VYBER	VYBER	9596	32957	\N	\N	\N
683865	2334	1998-10-09	VYBER	VYBER	4368	33960	\N	\N	\N
683867	2334	1998-07-22	VYBER	VYBER	5220	29398	\N	\N	\N
683869	2334	1998-06-09	VYBER	VYBER	2120	34253	\N	\N	\N
683870	2334	1998-11-06	VYBER	VYBER	2311	46943	\N	\N	\N
683871	2334	1998-10-20	VYBER	VYBER	4086	27861	\N	\N	\N
683879	2334	1998-01-04	VYDAJ	VYBER	3300	20856	\N	\N	\N
683880	2334	1996-12-05	VYDAJ	VYBER	8700	23773	\N	\N	\N
683881	2334	1997-12-04	VYDAJ	VYBER	6300	23646	\N	\N	\N
683882	2334	1998-12-07	VYDAJ	VYBER	1500	47660	\N	\N	\N
683889	2334	1997-01-15	VYDAJ	VYBER	7200	23365	\N	\N	\N
683892	2334	1997-01-09	VYDAJ	VYBER	4800	27265	\N	\N	\N
683895	2334	1998-01-03	VYDAJ	VYBER	5400	24156	\N	\N	\N
683896	2334	1998-01-18	VYDAJ	VYBER	8400	22314	\N	\N	\N
683898	2334	1998-01-27	VYDAJ	VYBER	3000	19314	\N	\N	\N
683900	2334	1998-01-06	VYDAJ	VYBER	5700	27234	\N	\N	\N
683901	2334	1996-12-07	VYDAJ	VYBER	4800	37090	\N	\N	\N
683904	2334	1996-10-17	VYDAJ	VYBER	2700	32453	\N	\N	\N
683905	2334	1996-11-15	VYDAJ	VYBER	1800	34347	\N	\N	\N
683907	2334	1997-02-06	VYDAJ	VYBER	10200	23233	\N	\N	\N
683908	2334	1997-12-16	VYDAJ	VYBER	1500	29443	\N	\N	\N
683909	2334	1997-04-09	VYDAJ	VYBER	12000	18735	\N	\N	\N
683911	2334	1997-10-02	VYDAJ	VYBER	6600	27471	\N	\N	\N
683912	2334	1997-11-28	VYDAJ	VYBER	3000	29828	\N	\N	\N
683913	2334	1997-05-02	VYDAJ	VYBER	8700	17932	\N	\N	\N
683914	2334	1998-09-02	VYDAJ	VYBER	4800	22187	\N	\N	\N
683915	2334	1998-02-27	VYDAJ	VYBER	9600	18664	\N	\N	\N
683924	2334	1996-08-31	VYDAJ	VYBER	15	32188	SLUZBY	\N	\N
683925	2334	1996-09-30	VYDAJ	VYBER	15	33482	SLUZBY	\N	\N
683926	2334	1996-10-31	VYDAJ	VYBER	15	32576	SLUZBY	\N	\N
683927	2334	1996-11-30	VYDAJ	VYBER	15	32473	SLUZBY	\N	\N
683928	2334	1996-12-31	VYDAJ	VYBER	15	30694	SLUZBY	\N	\N
683929	2334	1997-01-31	VYDAJ	VYBER	15	21355	SLUZBY	\N	\N
683930	2334	1997-02-28	VYDAJ	VYBER	15	21898	SLUZBY	\N	\N
683931	2334	1997-03-31	VYDAJ	VYBER	15	29364	SLUZBY	\N	\N
683932	2334	1997-04-30	VYDAJ	VYBER	15	26632	SLUZBY	\N	\N
683933	2334	1997-05-31	VYDAJ	VYBER	15	30297	SLUZBY	\N	\N
683934	2334	1997-06-30	VYDAJ	VYBER	15	40952	SLUZBY	\N	\N
683935	2334	1997-07-31	VYDAJ	VYBER	15	41182	SLUZBY	\N	\N
683936	2334	1997-08-31	VYDAJ	VYBER	15	35183	SLUZBY	\N	\N
683937	2334	1997-09-30	VYDAJ	VYBER	15	34071	SLUZBY	\N	\N
683938	2334	1997-10-31	VYDAJ	VYBER	15	29542	SLUZBY	\N	\N
683939	2334	1997-11-30	VYDAJ	VYBER	15	29946	SLUZBY	\N	\N
683940	2334	1997-12-31	VYDAJ	VYBER	15	29556	SLUZBY	\N	\N
683941	2334	1998-01-31	VYDAJ	VYBER	15	19406	SLUZBY	\N	\N
683942	2334	1998-02-28	VYDAJ	VYBER	15	18765	SLUZBY	\N	\N
683943	2334	1998-03-31	VYDAJ	VYBER	15	29320	SLUZBY	\N	\N
683944	2334	1998-04-30	VYDAJ	VYBER	15	30691	SLUZBY	\N	\N
683945	2334	1998-05-31	VYDAJ	VYBER	15	30763	SLUZBY	\N	\N
683946	2334	1998-06-30	VYDAJ	VYBER	15	32360	SLUZBY	\N	\N
683947	2334	1998-07-31	VYDAJ	VYBER	15	29527	SLUZBY	\N	\N
683948	2334	1998-08-31	VYDAJ	VYBER	15	26987	SLUZBY	\N	\N
683949	2334	1998-09-30	VYDAJ	VYBER	15	30157	SLUZBY	\N	\N
683950	2334	1998-10-31	VYDAJ	VYBER	15	27976	SLUZBY	\N	\N
683951	2334	1998-11-30	VYDAJ	VYBER	15	34350	SLUZBY	\N	\N
683952	2334	1996-04-18	PRIJEM	VKLAD	8200	20878	\N	\N	\N
683953	2334	1996-05-18	VYDAJ	VYBER	2200	30794	\N	\N	\N
683954	2334	1996-06-17	VYDAJ	VYBER	13400	35616	\N	\N	\N
683955	2334	1996-07-17	VYDAJ	VYBER	10500	37332	\N	\N	\N
683956	2334	1996-08-16	VYDAJ	VYBER	4500	34355	\N	\N	\N
683957	2334	1996-09-15	PRIJEM	VKLAD	2500	33359	\N	\N	\N
683958	2334	1996-10-15	PRIJEM	VKLAD	2200	35153	\N	\N	\N
683959	2334	1996-11-14	PRIJEM	VKLAD	2200	36147	\N	\N	\N
683960	2334	1996-12-14	PRIJEM	VKLAD	6000	30583	\N	\N	\N
683961	2334	1997-01-13	PRIJEM	VKLAD	3300	30565	\N	\N	\N
683962	2334	1997-02-12	PRIJEM	VKLAD	11700	24226	\N	\N	\N
683963	2334	1997-03-14	PRIJEM	VKLAD	8400	29269	\N	\N	\N
683964	2334	1997-04-13	PRIJEM	VKLAD	10100	28835	\N	\N	\N
683965	2334	1997-05-13	PRIJEM	VKLAD	12700	30203	\N	\N	\N
683966	2334	1997-06-12	PRIJEM	VKLAD	4900	40807	\N	\N	\N
683967	2334	1997-07-12	PRIJEM	VKLAD	700	43023	\N	\N	\N
683968	2334	1997-08-11	PRIJEM	VKLAD	4100	37057	\N	\N	\N
683969	2334	1997-09-10	VYDAJ	VYBER	600	35954	\N	\N	\N
683970	2334	1997-10-10	PRIJEM	VKLAD	2600	31442	\N	\N	\N
683971	2334	1997-11-09	PRIJEM	VKLAD	9500	40413	\N	\N	\N
683972	2334	1997-12-09	PRIJEM	VKLAD	1900	32956	\N	\N	\N
683973	2334	1998-01-08	PRIJEM	VKLAD	16200	32727	\N	\N	\N
683974	2334	1998-02-07	PRIJEM	VKLAD	9500	40984	\N	\N	\N
683975	2334	1998-03-09	PRIJEM	VKLAD	11100	31236	\N	\N	\N
683976	2334	1998-04-08	PRIJEM	VKLAD	1900	32591	\N	\N	\N
683977	2334	1998-05-08	PRIJEM	VKLAD	600	32662	\N	\N	\N
683978	2334	1998-06-07	VYDAJ	VYBER	1800	36373	\N	\N	\N
683979	2334	1998-07-07	PRIJEM	VKLAD	2900	47338	\N	\N	\N
683980	2334	1998-08-06	VYDAJ	VYBER	2000	39605	\N	\N	\N
683981	2334	1998-09-05	PRIJEM	VKLAD	8500	30687	\N	\N	\N
683982	2334	1998-10-05	PRIJEM	VKLAD	6800	36957	\N	\N	\N
683983	2334	1998-11-04	PRIJEM	VKLAD	9200	37176	\N	\N	\N
683984	2334	1998-12-04	PRIJEM	VKLAD	7400	41750	\N	\N	\N
684018	2335	1996-04-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
684022	2335	1996-04-10	PRIJEM	VKLAD	13992	15092	\N	\N	\N
684023	2335	1996-05-10	PRIJEM	VKLAD	13992	34472	\N	\N	\N
684024	2335	1996-06-10	PRIJEM	VKLAD	20988	48200	\N	\N	\N
684025	2335	1996-07-10	PRIJEM	VKLAD	13992	49959	\N	\N	\N
684026	2335	1996-08-10	PRIJEM	VKLAD	13992	51161	\N	\N	\N
684027	2335	1996-09-10	PRIJEM	VKLAD	13992	31645	\N	\N	\N
684028	2335	1996-10-10	PRIJEM	VKLAD	13992	24451	\N	\N	\N
684029	2335	1996-11-10	PRIJEM	VKLAD	13992	29120	\N	\N	\N
684030	2335	1996-12-10	PRIJEM	VKLAD	20988	30596	\N	\N	\N
684031	2335	1997-01-10	PRIJEM	VKLAD	13992	24757	\N	\N	\N
684032	2335	1997-02-10	PRIJEM	VKLAD	13992	20056	\N	\N	\N
684033	2335	1997-03-10	PRIJEM	VKLAD	13992	19654	\N	\N	\N
684034	2335	1997-04-10	PRIJEM	VKLAD	13992	19252	\N	\N	\N
684035	2335	1997-05-10	PRIJEM	VKLAD	13992	18400	\N	\N	\N
684036	2335	1997-06-10	PRIJEM	VKLAD	20988	10670	\N	\N	\N
684037	2335	1997-07-10	PRIJEM	VKLAD	13992	15482	\N	\N	\N
684038	2335	1997-08-10	PRIJEM	VKLAD	13992	834	\N	\N	\N
684039	2335	1997-09-10	PRIJEM	VKLAD	13992	-3038	\N	\N	\N
684040	2335	1997-10-10	PRIJEM	VKLAD	13992	5522	\N	\N	\N
684041	2335	1997-11-10	PRIJEM	VKLAD	13992	6361	\N	\N	\N
684042	2335	1997-12-10	PRIJEM	VKLAD	20988	15977	\N	\N	\N
684043	2335	1998-01-10	PRIJEM	VKLAD	13992	12993	\N	\N	\N
684044	2335	1998-02-10	PRIJEM	VKLAD	13992	12675	\N	\N	\N
684045	2335	1998-03-10	PRIJEM	VKLAD	13992	11144	\N	\N	\N
684046	2335	1998-04-10	PRIJEM	VKLAD	13992	11808	\N	\N	\N
684047	2335	1998-05-10	PRIJEM	VKLAD	13992	10473	\N	\N	\N
684048	2335	1998-06-10	PRIJEM	VKLAD	20988	17126	\N	\N	\N
684049	2335	1998-07-10	PRIJEM	VKLAD	13992	11518	\N	\N	\N
684050	2335	1998-08-10	PRIJEM	VKLAD	13992	11171	\N	\N	\N
684051	2335	1998-09-10	PRIJEM	VKLAD	13992	10811	\N	\N	\N
684052	2335	1998-10-10	PRIJEM	VKLAD	13992	10452	\N	\N	\N
684053	2335	1998-11-10	PRIJEM	VKLAD	13992	10093	\N	\N	\N
684054	2335	1998-12-10	PRIJEM	VKLAD	20988	16713	\N	\N	\N
684062	2335	1996-08-13	VYDAJ	PREVOD NA UCET	2036	49125	SIPO	YZ	25760704
684063	2335	1996-09-13	VYDAJ	PREVOD NA UCET	2036	29609	SIPO	YZ	25760704
684064	2335	1996-10-13	VYDAJ	PREVOD NA UCET	2036	22415	SIPO	YZ	25760704
684065	2335	1996-11-13	VYDAJ	PREVOD NA UCET	2036	27084	SIPO	YZ	25760704
684066	2335	1996-12-13	VYDAJ	PREVOD NA UCET	2036	27491	SIPO	YZ	25760704
684067	2335	1997-01-13	VYDAJ	PREVOD NA UCET	2036	21652	SIPO	YZ	25760704
684068	2335	1997-02-13	VYDAJ	PREVOD NA UCET	2036	16951	SIPO	YZ	25760704
684069	2335	1997-03-13	VYDAJ	PREVOD NA UCET	2036	9418	SIPO	YZ	25760704
684070	2335	1997-04-13	VYDAJ	PREVOD NA UCET	2036	3847	SIPO	YZ	25760704
684071	2335	1997-05-13	VYDAJ	PREVOD NA UCET	2036	16364	SIPO	YZ	25760704
684072	2335	1997-06-13	VYDAJ	PREVOD NA UCET	2036	7565	SIPO	YZ	25760704
684073	2335	1997-07-13	VYDAJ	PREVOD NA UCET	2036	13446	SIPO	YZ	25760704
684074	2335	1997-08-13	VYDAJ	PREVOD NA UCET	2036	-2271	SIPO	YZ	25760704
684075	2335	1997-09-13	VYDAJ	PREVOD NA UCET	2036	-5074	SIPO	YZ	25760704
684076	2335	1997-10-13	VYDAJ	PREVOD NA UCET	2036	2417	SIPO	YZ	25760704
684077	2335	1997-11-13	VYDAJ	PREVOD NA UCET	2036	-2744	SIPO	YZ	25760704
684078	2335	1997-12-13	VYDAJ	PREVOD NA UCET	2036	3852	SIPO	YZ	25760704
684079	2335	1998-01-13	VYDAJ	PREVOD NA UCET	2036	1937	SIPO	YZ	25760704
684080	2335	1998-02-13	VYDAJ	PREVOD NA UCET	2036	550	SIPO	YZ	25760704
684081	2335	1998-03-13	VYDAJ	PREVOD NA UCET	2036	39	SIPO	YZ	25760704
684082	2335	1998-04-13	VYDAJ	PREVOD NA UCET	2036	-228	SIPO	YZ	25760704
684083	2335	1998-05-13	VYDAJ	PREVOD NA UCET	2036	-563	SIPO	YZ	25760704
684084	2335	1998-06-13	VYDAJ	PREVOD NA UCET	2036	6070	SIPO	YZ	25760704
684085	2335	1998-07-13	VYDAJ	PREVOD NA UCET	2036	-607	SIPO	YZ	25760704
684086	2335	1998-08-13	VYDAJ	PREVOD NA UCET	2036	115	SIPO	YZ	25760704
684087	2335	1998-09-13	VYDAJ	PREVOD NA UCET	2036	-245	SIPO	YZ	25760704
684088	2335	1998-10-13	VYDAJ	PREVOD NA UCET	2036	-604	SIPO	YZ	25760704
684089	2335	1998-11-13	VYDAJ	PREVOD NA UCET	2036	-2032	SIPO	YZ	25760704
684090	2335	1998-12-13	VYDAJ	PREVOD NA UCET	2036	4588	SIPO	YZ	25760704
684098	2335	1996-08-13	VYDAJ	PREVOD NA UCET	1069	48056	 	EF	61203175
684099	2335	1996-09-13	VYDAJ	PREVOD NA UCET	1069	28540	 	EF	61203175
684100	2335	1996-10-13	VYDAJ	PREVOD NA UCET	1069	21346	 	EF	61203175
684101	2335	1996-11-13	VYDAJ	PREVOD NA UCET	1069	26015	 	EF	61203175
684102	2335	1996-12-13	VYDAJ	PREVOD NA UCET	1069	29527	 	EF	61203175
684103	2335	1997-01-13	VYDAJ	PREVOD NA UCET	1069	23688	 	EF	61203175
684104	2335	1997-02-13	VYDAJ	PREVOD NA UCET	1069	18987	 	EF	61203175
684105	2335	1997-03-13	VYDAJ	PREVOD NA UCET	1069	8349	 	EF	61203175
684106	2335	1997-04-13	VYDAJ	PREVOD NA UCET	1069	5883	 	EF	61203175
684107	2335	1997-05-13	VYDAJ	PREVOD NA UCET	1069	15295	 	EF	61203175
684108	2335	1997-06-13	VYDAJ	PREVOD NA UCET	1069	9601	 	EF	61203175
684109	2335	1997-07-13	VYDAJ	PREVOD NA UCET	1069	12377	 	EF	61203175
684110	2335	1997-08-13	VYDAJ	PREVOD NA UCET	1069	-235	 	EF	61203175
684111	2335	1997-09-13	VYDAJ	PREVOD NA UCET	1069	-6143	 	EF	61203175
684112	2335	1997-10-13	VYDAJ	PREVOD NA UCET	1069	4453	 	EF	61203175
684113	2335	1997-11-13	VYDAJ	PREVOD NA UCET	1069	-708	 	EF	61203175
684114	2335	1997-12-13	VYDAJ	PREVOD NA UCET	1069	5888	 	EF	61203175
684115	2335	1998-01-13	VYDAJ	PREVOD NA UCET	1069	868	 	EF	61203175
684116	2335	1998-02-13	VYDAJ	PREVOD NA UCET	1069	2586	 	EF	61203175
684117	2335	1998-03-13	VYDAJ	PREVOD NA UCET	1069	2075	 	EF	61203175
684118	2335	1998-04-13	VYDAJ	PREVOD NA UCET	1069	-1297	 	EF	61203175
684119	2335	1998-05-13	VYDAJ	PREVOD NA UCET	1069	-1632	 	EF	61203175
684120	2335	1998-06-13	VYDAJ	PREVOD NA UCET	1069	5001	 	EF	61203175
684121	2335	1998-07-13	VYDAJ	PREVOD NA UCET	1069	1429	 	EF	61203175
684122	2335	1998-08-13	VYDAJ	PREVOD NA UCET	1069	-955	 	EF	61203175
684123	2335	1998-09-13	VYDAJ	PREVOD NA UCET	1069	-1314	 	EF	61203175
684124	2335	1998-10-13	VYDAJ	PREVOD NA UCET	1069	-1673	 	EF	61203175
684125	2335	1998-11-13	VYDAJ	PREVOD NA UCET	1069	4	 	EF	61203175
684126	2335	1998-12-13	VYDAJ	PREVOD NA UCET	1069	6624	 	EF	61203175
684135	2335	1996-09-05	VYDAJ	PREVOD NA UCET	485	19329	POJISTNE	UV	98547273
684136	2335	1996-10-05	VYDAJ	PREVOD NA UCET	485	12135	POJISTNE	UV	98547273
684137	2335	1996-11-05	VYDAJ	PREVOD NA UCET	485	16804	POJISTNE	UV	98547273
684138	2335	1996-12-05	VYDAJ	PREVOD NA UCET	485	11284	POJISTNE	UV	98547273
684139	2335	1997-01-05	VYDAJ	PREVOD NA UCET	485	12441	POJISTNE	UV	98547273
684140	2335	1997-02-05	VYDAJ	PREVOD NA UCET	485	7740	POJISTNE	UV	98547273
684141	2335	1997-03-05	VYDAJ	PREVOD NA UCET	485	7338	POJISTNE	UV	98547273
684142	2335	1997-04-05	VYDAJ	PREVOD NA UCET	485	6936	POJISTNE	UV	98547273
684143	2335	1997-05-05	VYDAJ	PREVOD NA UCET	485	6084	POJISTNE	UV	98547273
684144	2335	1997-06-05	VYDAJ	PREVOD NA UCET	485	-8643	POJISTNE	UV	98547273
684145	2335	1997-07-05	VYDAJ	PREVOD NA UCET	485	3166	POJISTNE	UV	98547273
684146	2335	1997-08-05	VYDAJ	PREVOD NA UCET	485	-11482	POJISTNE	UV	98547273
684147	2335	1997-09-05	VYDAJ	PREVOD NA UCET	485	-3754	POJISTNE	UV	98547273
684148	2335	1997-10-05	VYDAJ	PREVOD NA UCET	485	-6794	POJISTNE	UV	98547273
684149	2335	1997-11-05	VYDAJ	PREVOD NA UCET	485	-5955	POJISTNE	UV	98547273
684150	2335	1997-12-05	VYDAJ	PREVOD NA UCET	485	-3335	POJISTNE	UV	98547273
684151	2335	1998-01-05	VYDAJ	PREVOD NA UCET	485	677	POJISTNE	UV	98547273
684152	2335	1998-02-05	VYDAJ	PREVOD NA UCET	485	359	POJISTNE	UV	98547273
684153	2335	1998-03-05	VYDAJ	PREVOD NA UCET	485	-1172	POJISTNE	UV	98547273
684154	2335	1998-04-05	VYDAJ	PREVOD NA UCET	485	-508	POJISTNE	UV	98547273
684155	2335	1998-05-05	VYDAJ	PREVOD NA UCET	485	-1843	POJISTNE	UV	98547273
684156	2335	1998-06-05	VYDAJ	PREVOD NA UCET	485	-2186	POJISTNE	UV	98547273
684157	2335	1998-07-05	VYDAJ	PREVOD NA UCET	485	-798	POJISTNE	UV	98547273
684158	2335	1998-08-05	VYDAJ	PREVOD NA UCET	485	-1146	POJISTNE	UV	98547273
684159	2335	1998-09-05	VYDAJ	PREVOD NA UCET	485	-1505	POJISTNE	UV	98547273
684160	2335	1998-10-05	VYDAJ	PREVOD NA UCET	485	-1864	POJISTNE	UV	98547273
684161	2335	1998-11-05	VYDAJ	PREVOD NA UCET	485	-2223	POJISTNE	UV	98547273
684162	2335	1998-12-05	VYDAJ	PREVOD NA UCET	485	-2599	POJISTNE	UV	98547273
684171	2335	1996-09-06	VYDAJ	PREVOD NA UCET	1676	17653	 	OP	63746511
684172	2335	1996-10-06	VYDAJ	PREVOD NA UCET	1676	10459	 	OP	63746511
684173	2335	1996-11-06	VYDAJ	PREVOD NA UCET	1676	15128	 	OP	63746511
684174	2335	1996-12-06	VYDAJ	PREVOD NA UCET	1676	9608	 	OP	63746511
684175	2335	1997-01-06	VYDAJ	PREVOD NA UCET	1676	10765	 	OP	63746511
684176	2335	1997-02-06	VYDAJ	PREVOD NA UCET	1676	6064	 	OP	63746511
684177	2335	1997-03-06	VYDAJ	PREVOD NA UCET	1676	5662	 	OP	63746511
684178	2335	1997-04-06	VYDAJ	PREVOD NA UCET	1676	5260	 	OP	63746511
684179	2335	1997-05-06	VYDAJ	PREVOD NA UCET	1676	4408	 	OP	63746511
684180	2335	1997-06-06	VYDAJ	PREVOD NA UCET	1676	-10319	 	OP	63746511
684181	2335	1997-07-06	VYDAJ	PREVOD NA UCET	1676	1490	 	OP	63746511
684182	2335	1997-08-06	VYDAJ	PREVOD NA UCET	1676	-13158	 	OP	63746511
684183	2335	1997-09-06	VYDAJ	PREVOD NA UCET	1676	-17030	 	OP	63746511
684184	2335	1997-10-06	VYDAJ	PREVOD NA UCET	1676	-8470	 	OP	63746511
684185	2335	1997-11-06	VYDAJ	PREVOD NA UCET	1676	-7631	 	OP	63746511
684186	2335	1997-12-06	VYDAJ	PREVOD NA UCET	1676	-5011	 	OP	63746511
684187	2335	1998-01-06	VYDAJ	PREVOD NA UCET	1676	-999	 	OP	63746511
684188	2335	1998-02-06	VYDAJ	PREVOD NA UCET	1676	-1318	 	OP	63746511
684189	2335	1998-03-06	VYDAJ	PREVOD NA UCET	1676	-2848	 	OP	63746511
684190	2335	1998-04-06	VYDAJ	PREVOD NA UCET	1676	-2184	 	OP	63746511
684191	2335	1998-05-06	VYDAJ	PREVOD NA UCET	1676	-3519	 	OP	63746511
684192	2335	1998-06-06	VYDAJ	PREVOD NA UCET	1676	-3862	 	OP	63746511
684193	2335	1998-07-06	VYDAJ	PREVOD NA UCET	1676	-2474	 	OP	63746511
684194	2335	1998-08-06	VYDAJ	PREVOD NA UCET	1676	-2822	 	OP	63746511
684195	2335	1998-09-06	VYDAJ	PREVOD NA UCET	1676	-3181	 	OP	63746511
684196	2335	1998-10-06	VYDAJ	PREVOD NA UCET	1676	-3540	 	OP	63746511
684197	2335	1998-11-06	VYDAJ	PREVOD NA UCET	1676	-3899	 	OP	63746511
684198	2335	1998-12-06	VYDAJ	PREVOD NA UCET	1676	-4275	 	OP	63746511
684206	2335	1996-08-21	VYDAJ	VYBER	10300	37756	\N	\N	0
684207	2335	1996-09-01	VYDAJ	VYBER	8400	29714	\N	\N	0
684208	2335	1996-09-23	VYDAJ	VYBER	10200	18340	\N	\N	0
684209	2335	1996-11-21	VYDAJ	VYBER	11700	12035	\N	\N	0
684210	2335	1996-12-22	VYDAJ	VYBER	13300	14191	\N	\N	0
684211	2335	1997-01-24	VYDAJ	VYBER	7800	13852	\N	\N	0
684212	2335	1997-02-19	VYDAJ	VYBER	7700	9251	\N	\N	0
684213	2335	1997-03-13	VYDAJ	VYBER	8200	11454	\N	\N	0
684214	2335	1997-04-11	VYDAJ	VYBER	12300	6952	\N	\N	0
684215	2335	1997-05-21	VYDAJ	VYBER	11300	3995	\N	\N	0
684216	2335	1997-06-04	VYDAJ	VYBER	10600	-8158	\N	\N	0
684217	2335	1997-07-13	VYDAJ	VYBER	10300	2077	\N	\N	0
684218	2335	1997-08-04	VYDAJ	VYBER	11200	-10997	\N	\N	0
684219	2335	1997-09-06	VYDAJ	VYBER	11600	-15354	\N	\N	0
684220	2335	1997-10-24	VYDAJ	VYBER	7800	-5383	\N	\N	0
684221	2335	1997-11-12	VYDAJ	VYBER	6000	361	\N	\N	\N
684222	2335	1997-12-12	VYDAJ	PREVOD NA UCET	9020	6957	UVER	GH	8226937
684223	2335	1998-01-12	VYDAJ	PREVOD NA UCET	9020	3973	UVER	GH	8226937
684224	2335	1998-02-12	VYDAJ	PREVOD NA UCET	9020	3655	UVER	GH	8226937
684225	2335	1998-03-12	VYDAJ	VYBER	8000	3144	\N	\N	\N
684226	2335	1998-04-12	VYDAJ	VYBER	10000	1808	\N	\N	\N
684227	2335	1998-05-12	VYDAJ	VYBER	9000	1473	\N	\N	\N
684228	2335	1998-06-12	VYDAJ	PREVOD NA UCET	9020	8106	UVER	GH	8226937
684229	2335	1998-07-12	VYDAJ	PREVOD NA UCET	9020	2498	UVER	GH	8226937
684230	2335	1998-08-12	VYDAJ	PREVOD NA UCET	9020	2151	UVER	GH	8226937
684231	2335	1998-09-12	VYDAJ	PREVOD NA UCET	9020	1791	UVER	GH	8226937
684232	2335	1998-10-12	VYDAJ	PREVOD NA UCET	9020	1432	UVER	GH	8226937
684233	2335	1998-11-12	VYDAJ	PREVOD NA UCET	9020	1073	UVER	GH	8226937
684234	2335	1998-12-12	VYDAJ	PREVOD NA UCET	9020	7693	UVER	GH	8226937
684237	2335	1998-06-23	VYDAJ	VYBER	5280	-279	\N	\N	\N
684243	2335	1998-12-20	VYDAJ	VYBER	3680	-2792	\N	\N	\N
684246	2335	1996-11-18	VYDAJ	VYBER	2280	23735	\N	\N	\N
684249	2335	1997-01-26	VYDAJ	VYBER	2640	11212	\N	\N	\N
684250	2335	1997-12-17	VYDAJ	VYBER	2640	1212	\N	\N	\N
684254	2335	1998-02-28	VYDAJ	VYBER	1200	-659	\N	\N	\N
684266	2335	1996-08-31	VYDAJ	VYBER	15	38114	SLUZBY	\N	\N
684267	2335	1996-09-30	VYDAJ	VYBER	15	18520	SLUZBY	\N	\N
684268	2335	1996-10-31	VYDAJ	VYBER	15	21489	SLUZBY	\N	\N
684269	2335	1996-11-30	VYDAJ	VYBER	15	11769	SLUZBY	\N	\N
684270	2335	1996-12-31	VYDAJ	VYBER	15	12926	SLUZBY	\N	\N
684271	2335	1997-01-31	VYDAJ	VYBER	15	8225	SLUZBY	\N	\N
684272	2335	1997-02-28	VYDAJ	VYBER	15	7823	SLUZBY	\N	\N
684273	2335	1997-03-31	VYDAJ	VYBER	15	7421	SLUZBY	\N	\N
684274	2335	1997-04-30	VYDAJ	VYBER	15	6569	SLUZBY	\N	\N
684275	2335	1997-05-31	VYDAJ	VYBER	15	2443	SLUZBY	\N	\N
684276	2335	1997-06-30	VYDAJ	VYBER	15	3688	SLUZBY	\N	\N
684277	2335	1997-07-31	VYDAJ	VYBER	15	203	SLUZBY	\N	\N
684278	2335	1997-08-31	VYDAJ	VYBER	15	-3185	SLUZBY	\N	\N
684279	2335	1997-09-30	VYDAJ	VYBER	15	-6158	SLUZBY	\N	\N
684280	2335	1997-10-31	VYDAJ	VYBER	15	-5470	SLUZBY	\N	\N
684281	2335	1997-11-30	VYDAJ	VYBER	15	-2756	SLUZBY	\N	\N
684282	2335	1997-12-31	VYDAJ	VYBER	15	1176	SLUZBY	\N	\N
684283	2335	1998-01-31	VYDAJ	VYBER	15	860	SLUZBY	\N	\N
684284	2335	1998-02-28	VYDAJ	VYBER	15	542	SLUZBY	\N	\N
684285	2335	1998-03-31	VYDAJ	VYBER	15	-9	SLUZBY	\N	\N
684286	2335	1998-04-30	VYDAJ	VYBER	15	-1306	SLUZBY	\N	\N
684287	2335	1998-05-31	VYDAJ	VYBER	15	-1701	SLUZBY	\N	\N
684288	2335	1998-06-30	VYDAJ	VYBER	15	-273	SLUZBY	\N	\N
684289	2335	1998-07-31	VYDAJ	VYBER	15	-616	SLUZBY	\N	\N
684290	2335	1998-08-31	VYDAJ	VYBER	15	-1001	SLUZBY	\N	\N
684291	2335	1998-09-30	VYDAJ	VYBER	15	-1379	SLUZBY	\N	\N
684292	2335	1998-10-31	VYDAJ	VYBER	15	-1708	SLUZBY	\N	\N
684293	2335	1998-11-30	VYDAJ	VYBER	15	-2114	SLUZBY	\N	\N
684294	2335	1996-05-04	PRIJEM	VKLAD	5300	20480	\N	\N	\N
684295	2335	1996-06-03	VYDAJ	VYBER	7500	27212	\N	\N	\N
684296	2335	1996-07-03	VYDAJ	VYBER	12600	35967	\N	\N	\N
684297	2335	1996-08-02	VYDAJ	VYBER	13200	37169	\N	\N	\N
684298	2335	1996-09-01	VYDAJ	VYBER	9900	19814	\N	\N	\N
684299	2335	1996-10-01	VYDAJ	VYBER	5900	12620	\N	\N	\N
684300	2335	1996-10-31	VYDAJ	VYBER	4200	17289	\N	\N	\N
684301	2335	1996-11-30	VYDAJ	VYBER	400	11784	\N	\N	\N
684302	2335	1996-12-30	VYDAJ	VYBER	1400	12791	\N	\N	\N
684303	2335	1997-01-29	VYDAJ	VYBER	3100	8112	\N	\N	\N
684304	2335	1997-02-28	VYDAJ	VYBER	1500	7837	\N	\N	\N
684305	2335	1997-03-30	VYDAJ	VYBER	1000	7349	\N	\N	\N
684306	2335	1997-04-29	PRIJEM	VKLAD	2700	6547	\N	\N	\N
684307	2335	1997-05-29	VYDAJ	VYBER	1600	2395	\N	\N	\N
684308	2335	1997-06-28	VYDAJ	VYBER	3900	3665	\N	\N	\N
684309	2335	1997-07-28	VYDAJ	VYBER	1900	177	\N	\N	\N
684310	2335	1997-08-27	VYDAJ	VYBER	900	-3171	\N	\N	\N
684311	2335	1998-12-20	VYDAJ	VYBER	3700	888	\N	\N	\N
684345	2336	1993-07-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
684352	2336	1993-07-13	PRIJEM	VKLAD	5177	6277	\N	\N	\N
684353	2336	1993-08-13	PRIJEM	VKLAD	5177	21770	\N	\N	\N
684354	2336	1993-09-13	PRIJEM	VKLAD	5177	30513	\N	\N	\N
684355	2336	1993-10-13	PRIJEM	VKLAD	5177	31902	\N	\N	\N
684356	2336	1993-11-13	PRIJEM	VKLAD	5177	35310	\N	\N	\N
684357	2336	1993-12-13	PRIJEM	VKLAD	7766	34045	\N	\N	\N
684358	2336	1994-01-13	PRIJEM	VKLAD	5177	23780	\N	\N	\N
684359	2336	1994-02-13	PRIJEM	VKLAD	5177	22671	\N	\N	\N
684360	2336	1994-03-13	PRIJEM	VKLAD	5177	27060	\N	\N	\N
684361	2336	1994-04-13	PRIJEM	VKLAD	5177	21663	\N	\N	\N
684362	2336	1994-05-13	PRIJEM	VKLAD	5177	22151	\N	\N	\N
684363	2336	1994-06-13	PRIJEM	VKLAD	7766	25224	\N	\N	\N
684364	2336	1994-07-13	PRIJEM	VKLAD	5177	22398	\N	\N	\N
684365	2336	1994-08-13	PRIJEM	VKLAD	5177	26386	\N	\N	\N
684366	2336	1994-09-13	PRIJEM	VKLAD	5177	22592	\N	\N	\N
684367	2336	1994-10-13	PRIJEM	VKLAD	5177	27085	\N	\N	\N
684368	2336	1994-11-13	PRIJEM	VKLAD	5177	24394	\N	\N	\N
684369	2336	1994-12-13	PRIJEM	VKLAD	7766	26386	\N	\N	\N
684370	2336	1995-01-13	PRIJEM	VKLAD	5177	21990	\N	\N	\N
684371	2336	1995-02-13	PRIJEM	VKLAD	5177	21780	\N	\N	\N
684372	2336	1995-03-13	PRIJEM	VKLAD	5177	24971	\N	\N	\N
684373	2336	1995-04-13	PRIJEM	VKLAD	5177	24075	\N	\N	\N
684374	2336	1995-05-13	PRIJEM	VKLAD	5177	24474	\N	\N	\N
684375	2336	1995-06-13	PRIJEM	VKLAD	7766	26564	\N	\N	\N
684376	2336	1995-07-13	PRIJEM	VKLAD	5177	23056	\N	\N	\N
684377	2336	1995-08-13	PRIJEM	VKLAD	5177	21251	\N	\N	\N
684378	2336	1995-09-13	PRIJEM	VKLAD	5177	19540	\N	\N	\N
684379	2336	1995-10-13	PRIJEM	VKLAD	5177	22823	\N	\N	\N
684380	2336	1995-11-13	PRIJEM	VKLAD	5177	20716	\N	\N	\N
684381	2336	1995-12-13	PRIJEM	VKLAD	7766	20787	\N	\N	\N
684382	2336	1996-01-13	PRIJEM	VKLAD	5177	18367	\N	\N	\N
684383	2336	1996-02-13	PRIJEM	VKLAD	5177	15342	\N	\N	\N
684384	2336	1996-03-13	PRIJEM	VKLAD	5177	18607	\N	\N	\N
684385	2336	1996-04-13	PRIJEM	VKLAD	5177	16580	\N	\N	\N
684386	2336	1996-05-13	PRIJEM	VKLAD	5177	17246	\N	\N	\N
684387	2336	1996-06-13	PRIJEM	VKLAD	7766	22007	\N	\N	\N
684388	2336	1996-07-13	PRIJEM	VKLAD	5177	18187	\N	\N	\N
684389	2336	1996-08-13	PRIJEM	VKLAD	5177	18460	\N	\N	\N
684390	2336	1996-09-13	PRIJEM	VKLAD	5177	16534	\N	\N	\N
684391	2336	1996-10-13	PRIJEM	VKLAD	5177	16299	\N	\N	\N
684392	2336	1996-11-13	PRIJEM	VKLAD	5177	15562	\N	\N	\N
684393	2336	1996-12-13	PRIJEM	VKLAD	7766	22520	\N	\N	\N
684394	2336	1997-01-13	PRIJEM	VKLAD	5177	16301	\N	\N	\N
684395	2336	1997-02-13	PRIJEM	VKLAD	5177	16266	\N	\N	\N
684396	2336	1997-03-13	PRIJEM	VKLAD	5177	15834	\N	\N	\N
684397	2336	1997-04-13	PRIJEM	VKLAD	5177	17300	\N	\N	\N
684398	2336	1997-05-13	PRIJEM	VKLAD	5177	17666	\N	\N	\N
684399	2336	1997-06-13	PRIJEM	VKLAD	7766	20925	\N	\N	\N
684400	2336	1997-07-13	PRIJEM	VKLAD	5177	23608	\N	\N	\N
684401	2336	1997-08-13	PRIJEM	VKLAD	5177	21197	\N	\N	\N
684402	2336	1997-09-13	PRIJEM	VKLAD	5177	17371	\N	\N	\N
684403	2336	1997-10-13	PRIJEM	VKLAD	5177	19543	\N	\N	\N
684404	2336	1997-11-13	PRIJEM	VKLAD	5177	13805	\N	\N	\N
684405	2336	1997-12-13	PRIJEM	VKLAD	7766	18551	\N	\N	\N
684406	2336	1998-01-13	PRIJEM	VKLAD	5177	16116	\N	\N	\N
684407	2336	1998-02-13	PRIJEM	VKLAD	5177	19579	\N	\N	\N
684408	2336	1998-03-13	PRIJEM	VKLAD	5177	20151	\N	\N	\N
684409	2336	1998-04-13	PRIJEM	VKLAD	5177	25842	\N	\N	\N
684410	2336	1998-05-13	PRIJEM	VKLAD	5177	27349	\N	\N	\N
684411	2336	1998-06-13	PRIJEM	VKLAD	7766	25247	\N	\N	\N
684412	2336	1998-07-13	PRIJEM	VKLAD	5177	28747	\N	\N	\N
684413	2336	1998-08-13	PRIJEM	VKLAD	5177	29762	\N	\N	\N
684414	2336	1998-09-13	PRIJEM	VKLAD	5177	33182	\N	\N	\N
684415	2336	1998-10-13	PRIJEM	VKLAD	5177	37215	\N	\N	\N
684416	2336	1998-11-13	PRIJEM	VKLAD	5177	35262	\N	\N	\N
684417	2336	1998-12-13	PRIJEM	VKLAD	7766	38194	\N	\N	\N
684429	2336	1993-12-06	VYDAJ	PREVOD NA UCET	3058	26279	SIPO	KL	73208963
684430	2336	1994-01-06	VYDAJ	PREVOD NA UCET	3058	24303	SIPO	KL	73208963
684431	2336	1994-02-06	VYDAJ	PREVOD NA UCET	3058	17494	SIPO	KL	73208963
684432	2336	1994-03-06	VYDAJ	PREVOD NA UCET	3058	21883	SIPO	KL	73208963
684433	2336	1994-04-06	VYDAJ	PREVOD NA UCET	3058	19386	SIPO	KL	73208963
684434	2336	1994-05-06	VYDAJ	PREVOD NA UCET	3058	16974	SIPO	KL	73208963
684435	2336	1994-06-06	VYDAJ	PREVOD NA UCET	3058	17458	SIPO	KL	73208963
684436	2336	1994-07-06	VYDAJ	PREVOD NA UCET	3058	17221	SIPO	KL	73208963
684437	2336	1994-08-06	VYDAJ	PREVOD NA UCET	3058	21209	SIPO	KL	73208963
684438	2336	1994-09-06	VYDAJ	PREVOD NA UCET	3058	17415	SIPO	KL	73208963
684439	2336	1994-10-06	VYDAJ	PREVOD NA UCET	3058	21908	SIPO	KL	73208963
684440	2336	1994-11-06	VYDAJ	PREVOD NA UCET	3058	20117	SIPO	KL	73208963
684441	2336	1994-12-06	VYDAJ	PREVOD NA UCET	3058	18620	SIPO	KL	73208963
684442	2336	1995-01-06	VYDAJ	PREVOD NA UCET	3058	18713	SIPO	KL	73208963
684443	2336	1995-02-06	VYDAJ	PREVOD NA UCET	3058	16603	SIPO	KL	73208963
684444	2336	1995-03-06	VYDAJ	PREVOD NA UCET	3058	19794	SIPO	KL	73208963
684445	2336	1995-04-06	VYDAJ	PREVOD NA UCET	3058	21598	SIPO	KL	73208963
684446	2336	1995-05-06	VYDAJ	PREVOD NA UCET	3058	19297	SIPO	KL	73208963
684447	2336	1995-06-06	VYDAJ	PREVOD NA UCET	3058	18798	SIPO	KL	73208963
684448	2336	1995-07-06	VYDAJ	PREVOD NA UCET	3058	17879	SIPO	KL	73208963
684449	2336	1995-08-06	VYDAJ	PREVOD NA UCET	3058	18074	SIPO	KL	73208963
684450	2336	1995-09-06	VYDAJ	PREVOD NA UCET	3058	14363	SIPO	KL	73208963
684451	2336	1995-10-06	VYDAJ	PREVOD NA UCET	3058	17646	SIPO	KL	73208963
684452	2336	1995-11-06	VYDAJ	PREVOD NA UCET	3058	15539	SIPO	KL	73208963
684453	2336	1995-12-06	VYDAJ	PREVOD NA UCET	3058	13021	SIPO	KL	73208963
684454	2336	1996-01-06	VYDAJ	PREVOD NA UCET	3058	14890	SIPO	KL	73208963
684455	2336	1996-02-06	VYDAJ	PREVOD NA UCET	3058	10165	SIPO	KL	73208963
684456	2336	1996-03-06	VYDAJ	PREVOD NA UCET	3058	13430	SIPO	KL	73208963
684457	2336	1996-04-06	VYDAJ	PREVOD NA UCET	3058	11403	SIPO	KL	73208963
684458	2336	1996-05-06	VYDAJ	PREVOD NA UCET	3058	12069	SIPO	KL	73208963
684459	2336	1996-06-06	VYDAJ	PREVOD NA UCET	3058	14241	SIPO	KL	73208963
684460	2336	1996-07-06	VYDAJ	PREVOD NA UCET	3058	13010	SIPO	KL	73208963
684461	2336	1996-08-06	VYDAJ	PREVOD NA UCET	3058	13283	SIPO	KL	73208963
684462	2336	1996-09-06	VYDAJ	PREVOD NA UCET	3058	11357	SIPO	KL	73208963
684463	2336	1996-10-06	VYDAJ	PREVOD NA UCET	3058	11122	SIPO	KL	73208963
684464	2336	1996-11-06	VYDAJ	PREVOD NA UCET	3058	10385	SIPO	KL	73208963
684465	2336	1996-12-06	VYDAJ	PREVOD NA UCET	3058	14754	SIPO	KL	73208963
684466	2336	1997-01-06	VYDAJ	PREVOD NA UCET	3058	11124	SIPO	KL	73208963
684467	2336	1997-02-06	VYDAJ	PREVOD NA UCET	3058	11089	SIPO	KL	73208963
684468	2336	1997-03-06	VYDAJ	PREVOD NA UCET	3058	10657	SIPO	KL	73208963
684469	2336	1997-04-06	VYDAJ	PREVOD NA UCET	3058	12123	SIPO	KL	73208963
684470	2336	1997-05-06	VYDAJ	PREVOD NA UCET	3058	12489	SIPO	KL	73208963
684471	2336	1997-06-06	VYDAJ	PREVOD NA UCET	3058	13159	SIPO	KL	73208963
684472	2336	1997-07-06	VYDAJ	PREVOD NA UCET	3058	18431	SIPO	KL	73208963
684473	2336	1997-08-06	VYDAJ	PREVOD NA UCET	3058	16020	SIPO	KL	73208963
684474	2336	1997-09-06	VYDAJ	PREVOD NA UCET	3058	12194	SIPO	KL	73208963
684475	2336	1997-10-06	VYDAJ	PREVOD NA UCET	3058	14366	SIPO	KL	73208963
684476	2336	1997-11-06	VYDAJ	PREVOD NA UCET	3058	8628	SIPO	KL	73208963
684477	2336	1997-12-06	VYDAJ	PREVOD NA UCET	3058	10785	SIPO	KL	73208963
684478	2336	1998-01-06	VYDAJ	PREVOD NA UCET	3058	10939	SIPO	KL	73208963
684479	2336	1998-02-06	VYDAJ	PREVOD NA UCET	3058	11602	SIPO	KL	73208963
684480	2336	1998-03-06	VYDAJ	PREVOD NA UCET	3058	14974	SIPO	KL	73208963
684481	2336	1998-04-06	VYDAJ	PREVOD NA UCET	3058	20665	SIPO	KL	73208963
684482	2336	1998-05-06	VYDAJ	PREVOD NA UCET	3058	22172	SIPO	KL	73208963
684483	2336	1998-06-06	VYDAJ	PREVOD NA UCET	3058	22881	SIPO	KL	73208963
684484	2336	1998-07-06	VYDAJ	PREVOD NA UCET	3058	22270	SIPO	KL	73208963
684485	2336	1998-08-06	VYDAJ	PREVOD NA UCET	3058	22785	SIPO	KL	73208963
684486	2336	1998-09-06	VYDAJ	PREVOD NA UCET	3058	26805	SIPO	KL	73208963
684487	2336	1998-10-06	VYDAJ	PREVOD NA UCET	3058	30238	SIPO	KL	73208963
684488	2336	1998-11-06	VYDAJ	PREVOD NA UCET	3058	30285	SIPO	KL	73208963
684489	2336	1998-12-06	VYDAJ	PREVOD NA UCET	3058	30628	SIPO	KL	73208963
684491	2336	1994-06-15	VYDAJ	VYBER	10400	14824	\N	\N	\N
684492	2336	1995-06-16	VYDAJ	VYBER	7700	18864	\N	\N	\N
684495	2336	1998-06-07	VYDAJ	VYBER	7500	15381	\N	\N	\N
684496	2336	1993-12-25	VYDAJ	VYBER	1800	30545	\N	\N	\N
684497	2336	1994-12-26	VYDAJ	VYBER	1300	25086	\N	\N	\N
684498	2336	1995-12-17	VYDAJ	VYBER	1900	18887	\N	\N	\N
684499	2336	1996-12-26	VYDAJ	VYBER	2900	16220	\N	\N	\N
684500	2336	1997-12-20	VYDAJ	VYBER	1100	15551	\N	\N	\N
684501	2336	1998-12-05	VYDAJ	VYBER	1700	33686	\N	\N	\N
684508	2336	1994-01-02	VYDAJ	VYBER	1200	29461	\N	\N	\N
684509	2336	1994-01-07	VYDAJ	VYBER	2800	21503	\N	\N	\N
684510	2336	1994-01-29	VYDAJ	VYBER	900	16780	\N	\N	\N
684511	2336	1994-01-08	VYDAJ	VYBER	2900	18603	\N	\N	\N
684512	2336	1994-01-24	VYDAJ	VYBER	500	17680	\N	\N	\N
684513	2336	1994-01-16	VYDAJ	VYBER	1800	18180	\N	\N	\N
684514	2336	1995-01-29	VYDAJ	VYBER	1700	19590	\N	\N	\N
684515	2336	1995-01-06	VYDAJ	VYBER	1900	16813	\N	\N	\N
684516	2336	1995-01-29	VYDAJ	VYBER	1700	21290	\N	\N	\N
684517	2336	1995-01-21	VYDAJ	VYBER	1700	20290	\N	\N	\N
684518	2336	1995-01-27	VYDAJ	VYBER	1700	18590	\N	\N	\N
684519	2336	1995-01-01	VYDAJ	VYBER	1100	21771	\N	\N	\N
684520	2336	1996-01-29	VYDAJ	VYBER	2500	13167	\N	\N	\N
684521	2336	1996-01-24	VYDAJ	VYBER	1100	18167	\N	\N	\N
684522	2336	1996-01-12	VYDAJ	VYBER	1700	13190	\N	\N	\N
684523	2336	1996-01-27	VYDAJ	VYBER	2500	15667	\N	\N	\N
684524	2336	1996-01-20	VYDAJ	VYBER	900	17467	\N	\N	\N
684525	2336	1996-01-03	VYDAJ	VYBER	1900	17948	\N	\N	\N
684526	2336	1997-01-24	VYDAJ	VYBER	1000	15101	\N	\N	\N
684528	2336	1997-01-02	VYDAJ	VYBER	1300	14182	\N	\N	\N
684529	2336	1997-01-18	VYDAJ	VYBER	2900	16101	\N	\N	\N
684530	2336	1997-01-25	VYDAJ	VYBER	1000	14101	\N	\N	\N
684533	2336	1998-01-14	VYDAJ	VYBER	1000	14616	\N	\N	\N
684534	2336	1998-01-02	VYDAJ	VYBER	1600	13997	\N	\N	\N
684535	2336	1998-01-14	VYDAJ	VYBER	1500	15616	\N	\N	\N
684538	2336	1993-12-19	VYDAJ	VYBER	1700	32345	\N	\N	\N
684544	2336	1994-08-13	VYDAJ	VYBER	4600	21786	\N	\N	\N
684545	2336	1994-04-06	VYDAJ	VYBER	2900	16486	\N	\N	\N
684546	2336	1994-03-21	VYDAJ	VYBER	4200	22860	\N	\N	\N
684547	2336	1994-05-04	VYDAJ	VYBER	3700	20032	\N	\N	\N
684548	2336	1994-04-27	VYDAJ	VYBER	4600	17063	\N	\N	\N
684549	2336	1994-11-06	VYDAJ	VYBER	900	19217	\N	\N	\N
684550	2336	1994-01-13	VYDAJ	VYBER	3800	19980	\N	\N	\N
684551	2336	1994-05-15	VYDAJ	VYBER	2800	19351	\N	\N	\N
684552	2336	1995-08-13	VYDAJ	VYBER	2200	19051	\N	\N	\N
684553	2336	1995-08-12	VYDAJ	VYBER	2000	16074	\N	\N	\N
684554	2336	1995-04-06	VYDAJ	VYBER	2700	18898	\N	\N	\N
684555	2336	1995-05-26	VYDAJ	VYBER	2400	22074	\N	\N	\N
684556	2336	1995-10-29	VYDAJ	VYBER	2500	18523	\N	\N	\N
684557	2336	1995-02-27	VYDAJ	VYBER	500	21280	\N	\N	\N
684558	2336	1996-08-28	VYDAJ	VYBER	3700	14360	\N	\N	\N
684560	2336	1996-10-13	VYDAJ	VYBER	900	15399	\N	\N	\N
684562	2336	1996-12-30	VYDAJ	VYBER	800	15420	\N	\N	\N
684563	2336	1996-04-17	VYDAJ	VYBER	1500	15080	\N	\N	\N
684568	2336	1997-04-02	VYDAJ	VYBER	1000	15181	\N	\N	\N
684569	2336	1997-02-24	VYDAJ	VYBER	4900	13666	\N	\N	\N
684570	2336	1998-10-25	VYDAJ	VYBER	4000	33215	\N	\N	\N
684571	2336	1998-02-15	VYDAJ	VYBER	1600	17979	\N	\N	\N
684572	2336	1998-05-15	VYDAJ	VYBER	2000	25849	\N	\N	\N
684573	2336	1998-07-31	VYDAJ	VYBER	3000	25843	\N	\N	\N
684585	2336	1993-11-30	VYDAJ	VYBER	15	35437	SLUZBY	\N	\N
684586	2336	1993-12-31	VYDAJ	VYBER	15	30661	SLUZBY	\N	\N
684587	2336	1994-01-31	VYDAJ	VYBER	15	16852	SLUZBY	\N	\N
684588	2336	1994-02-28	VYDAJ	VYBER	15	22741	SLUZBY	\N	\N
684589	2336	1994-03-31	VYDAJ	VYBER	15	22944	SLUZBY	\N	\N
684590	2336	1994-04-30	VYDAJ	VYBER	15	17132	SLUZBY	\N	\N
684591	2336	1994-05-31	VYDAJ	VYBER	15	19416	SLUZBY	\N	\N
684592	2336	1994-06-30	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
684593	2336	1994-07-31	VYDAJ	VYBER	15	22467	SLUZBY	\N	\N
684594	2336	1994-08-31	VYDAJ	VYBER	15	21873	SLUZBY	\N	\N
684595	2336	1994-09-30	VYDAJ	VYBER	15	22666	SLUZBY	\N	\N
684596	2336	1994-10-31	VYDAJ	VYBER	15	27175	SLUZBY	\N	\N
684597	2336	1994-11-30	VYDAJ	VYBER	15	24478	SLUZBY	\N	\N
684598	2336	1994-12-31	VYDAJ	VYBER	15	22871	SLUZBY	\N	\N
684599	2336	1995-01-31	VYDAJ	VYBER	15	19661	SLUZBY	\N	\N
684600	2336	1995-02-28	VYDAJ	VYBER	15	22852	SLUZBY	\N	\N
684601	2336	1995-03-31	VYDAJ	VYBER	15	24656	SLUZBY	\N	\N
684602	2336	1995-04-30	VYDAJ	VYBER	15	22355	SLUZBY	\N	\N
684603	2336	1995-05-31	VYDAJ	VYBER	15	21856	SLUZBY	\N	\N
684604	2336	1995-06-30	VYDAJ	VYBER	15	20937	SLUZBY	\N	\N
684605	2336	1995-07-31	VYDAJ	VYBER	15	21132	SLUZBY	\N	\N
684606	2336	1995-08-31	VYDAJ	VYBER	15	17421	SLUZBY	\N	\N
684607	2336	1995-09-30	VYDAJ	VYBER	15	20704	SLUZBY	\N	\N
684608	2336	1995-10-31	VYDAJ	VYBER	15	18597	SLUZBY	\N	\N
684609	2336	1995-11-30	VYDAJ	VYBER	15	16079	SLUZBY	\N	\N
684610	2336	1995-12-31	VYDAJ	VYBER	15	19848	SLUZBY	\N	\N
684611	2336	1996-01-31	VYDAJ	VYBER	15	13223	SLUZBY	\N	\N
684612	2336	1996-02-29	VYDAJ	VYBER	15	16488	SLUZBY	\N	\N
684613	2336	1996-03-31	VYDAJ	VYBER	15	14461	SLUZBY	\N	\N
684614	2336	1996-04-30	VYDAJ	VYBER	15	15127	SLUZBY	\N	\N
684615	2336	1996-05-31	VYDAJ	VYBER	15	17299	SLUZBY	\N	\N
684616	2336	1996-06-30	VYDAJ	VYBER	15	16068	SLUZBY	\N	\N
684617	2336	1996-07-31	VYDAJ	VYBER	15	16341	SLUZBY	\N	\N
684618	2336	1996-08-31	VYDAJ	VYBER	15	14415	SLUZBY	\N	\N
684619	2336	1996-09-30	VYDAJ	VYBER	15	14180	SLUZBY	\N	\N
684620	2336	1996-10-31	VYDAJ	VYBER	15	13443	SLUZBY	\N	\N
684621	2336	1996-11-30	VYDAJ	VYBER	15	17812	SLUZBY	\N	\N
684622	2336	1996-12-31	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
684623	2336	1997-01-31	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
684624	2336	1997-02-28	VYDAJ	VYBER	15	13715	SLUZBY	\N	\N
684625	2336	1997-03-31	VYDAJ	VYBER	15	16181	SLUZBY	\N	\N
684626	2336	1997-04-30	VYDAJ	VYBER	15	15547	SLUZBY	\N	\N
684627	2336	1997-05-31	VYDAJ	VYBER	15	16217	SLUZBY	\N	\N
684628	2336	1997-06-30	VYDAJ	VYBER	15	21489	SLUZBY	\N	\N
684629	2336	1997-07-31	VYDAJ	VYBER	15	19078	SLUZBY	\N	\N
684630	2336	1997-08-31	VYDAJ	VYBER	15	15252	SLUZBY	\N	\N
684631	2336	1997-09-30	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
684632	2336	1997-10-31	VYDAJ	VYBER	15	11686	SLUZBY	\N	\N
684633	2336	1997-11-30	VYDAJ	VYBER	15	13843	SLUZBY	\N	\N
684634	2336	1997-12-31	VYDAJ	VYBER	15	15597	SLUZBY	\N	\N
684635	2336	1998-01-31	VYDAJ	VYBER	15	14660	SLUZBY	\N	\N
684636	2336	1998-02-28	VYDAJ	VYBER	15	18032	SLUZBY	\N	\N
684637	2336	1998-03-31	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
684638	2336	1998-04-30	VYDAJ	VYBER	15	25230	SLUZBY	\N	\N
684639	2336	1998-05-31	VYDAJ	VYBER	15	25939	SLUZBY	\N	\N
684640	2336	1998-06-30	VYDAJ	VYBER	15	25328	SLUZBY	\N	\N
684641	2336	1998-07-31	VYDAJ	VYBER	15	28843	SLUZBY	\N	\N
684642	2336	1998-08-31	VYDAJ	VYBER	15	29863	SLUZBY	\N	\N
684643	2336	1998-09-30	VYDAJ	VYBER	15	33296	SLUZBY	\N	\N
684644	2336	1998-10-31	VYDAJ	VYBER	15	33343	SLUZBY	\N	\N
684645	2336	1998-11-30	VYDAJ	VYBER	15	35386	SLUZBY	\N	\N
684646	2336	1993-08-07	PRIJEM	VKLAD	10300	16593	\N	\N	\N
684647	2336	1993-09-06	PRIJEM	VKLAD	3500	25336	\N	\N	\N
684648	2336	1993-10-06	VYDAJ	VYBER	3900	26725	\N	\N	\N
684649	2336	1993-11-05	VYDAJ	VYBER	1900	30133	\N	\N	\N
684650	2336	1993-12-05	VYDAJ	VYBER	6100	29337	\N	\N	\N
684651	2336	1994-01-04	VYDAJ	VYBER	2100	27361	\N	\N	\N
684652	2336	1994-02-03	PRIJEM	VKLAD	3700	20552	\N	\N	\N
684653	2336	1994-03-05	PRIJEM	VKLAD	2200	24941	\N	\N	\N
684654	2336	1994-04-04	VYDAJ	VYBER	500	22444	\N	\N	\N
684655	2336	1994-05-04	PRIJEM	VKLAD	6600	23732	\N	\N	\N
684656	2336	1994-06-03	PRIJEM	VKLAD	1100	20516	\N	\N	\N
684657	2336	1994-07-03	PRIJEM	VKLAD	5400	20279	\N	\N	\N
684658	2336	1994-08-02	PRIJEM	VKLAD	1800	24267	\N	\N	\N
684659	2336	1994-09-01	VYDAJ	VYBER	1400	20473	\N	\N	\N
684660	2336	1994-10-01	PRIJEM	VKLAD	2300	24966	\N	\N	\N
684661	2336	1994-10-31	VYDAJ	VYBER	4000	23175	\N	\N	\N
684662	2336	1994-11-30	VYDAJ	VYBER	2800	21678	\N	\N	\N
684663	2336	1994-12-30	VYDAJ	VYBER	2300	22786	\N	\N	\N
684664	2336	1995-01-29	PRIJEM	VKLAD	4400	22990	\N	\N	\N
684665	2336	1995-02-28	PRIJEM	VKLAD	1500	22780	\N	\N	\N
684666	2336	1995-03-30	VYDAJ	VYBER	400	24571	\N	\N	\N
684667	2336	1995-04-29	VYDAJ	VYBER	1800	22275	\N	\N	\N
684668	2336	1995-05-29	VYDAJ	VYBER	300	21774	\N	\N	\N
684669	2336	1995-06-28	PRIJEM	VKLAD	2000	20864	\N	\N	\N
684670	2336	1995-07-28	VYDAJ	VYBER	2000	21056	\N	\N	\N
684671	2336	1995-08-27	VYDAJ	VYBER	1700	17351	\N	\N	\N
684672	2336	1995-09-26	PRIJEM	VKLAD	1100	20640	\N	\N	\N
684673	2336	1995-10-26	VYDAJ	VYBER	1800	21023	\N	\N	\N
684674	2336	1995-11-25	VYDAJ	VYBER	4700	16016	\N	\N	\N
684675	2336	1995-12-25	PRIJEM	VKLAD	900	19787	\N	\N	\N
684676	2336	1996-01-24	PRIJEM	VKLAD	1800	19267	\N	\N	\N
684677	2336	1996-02-23	PRIJEM	VKLAD	1100	16442	\N	\N	\N
684678	2336	1996-03-24	VYDAJ	VYBER	4200	14407	\N	\N	\N
684679	2336	1996-06-22	VYDAJ	VYBER	6000	16007	\N	\N	\N
684680	2336	1996-07-22	VYDAJ	VYBER	1900	16287	\N	\N	\N
684681	2336	1996-08-21	VYDAJ	VYBER	400	18060	\N	\N	\N
684682	2336	1996-09-20	VYDAJ	VYBER	2400	14134	\N	\N	\N
684683	2336	1996-10-20	VYDAJ	VYBER	2000	13399	\N	\N	\N
684684	2336	1996-11-19	PRIJEM	VKLAD	2200	17762	\N	\N	\N
684685	2336	1996-12-19	VYDAJ	VYBER	3400	19120	\N	\N	\N
684686	2336	1997-01-18	PRIJEM	VKLAD	2700	19001	\N	\N	\N
684687	2336	1997-02-17	PRIJEM	VKLAD	2300	18566	\N	\N	\N
684688	2336	1997-03-19	PRIJEM	VKLAD	300	16134	\N	\N	\N
684689	2336	1997-04-18	VYDAJ	VYBER	1800	15500	\N	\N	\N
684690	2336	1997-05-18	VYDAJ	VYBER	1500	16166	\N	\N	\N
684691	2336	1997-06-17	PRIJEM	VKLAD	500	21425	\N	\N	\N
684692	2336	1997-07-17	VYDAJ	VYBER	4600	19008	\N	\N	\N
684693	2336	1997-08-16	VYDAJ	VYBER	6000	15197	\N	\N	\N
684694	2336	1997-10-15	VYDAJ	VYBER	7900	11643	\N	\N	\N
684695	2336	1997-12-14	VYDAJ	VYBER	1900	16651	\N	\N	\N
684696	2336	1998-01-13	PRIJEM	VKLAD	1000	17116	\N	\N	\N
684697	2336	1998-02-12	PRIJEM	VKLAD	2800	14402	\N	\N	\N
684698	2336	1998-03-14	PRIJEM	VKLAD	3500	23651	\N	\N	\N
684699	2336	1998-04-13	VYDAJ	VYBER	700	25142	\N	\N	\N
684700	2336	1998-05-13	PRIJEM	VKLAD	500	27849	\N	\N	\N
684701	2336	1998-06-12	PRIJEM	VKLAD	2100	17481	\N	\N	\N
684702	2336	1998-07-12	PRIJEM	VKLAD	1300	23570	\N	\N	\N
684703	2336	1998-08-11	PRIJEM	VKLAD	1800	24585	\N	\N	\N
684704	2336	1998-09-10	PRIJEM	VKLAD	1200	28005	\N	\N	\N
684705	2336	1998-10-10	PRIJEM	VKLAD	1800	32038	\N	\N	\N
684706	2336	1998-11-09	VYDAJ	VYBER	200	30085	\N	\N	\N
684707	2336	1998-12-09	VYDAJ	VYBER	200	30428	\N	\N	\N
684774	2337	1997-07-07	PRIJEM	VKLAD	400	400	\N	\N	\N
684782	2337	1997-08-06	PRIJEM	VKLAD	21642	22042	\N	\N	\N
684783	2337	1997-09-06	PRIJEM	VKLAD	21642	45761	\N	\N	\N
684784	2337	1997-10-06	PRIJEM	VKLAD	21642	55377	\N	\N	\N
684785	2337	1997-11-06	PRIJEM	VKLAD	21642	64544	\N	\N	\N
684786	2337	1997-12-06	PRIJEM	VKLAD	32463	78569	\N	\N	\N
684787	2337	1998-01-06	PRIJEM	VKLAD	21642	68768	\N	\N	\N
684788	2337	1998-02-06	PRIJEM	VKLAD	21642	58774	\N	\N	\N
684789	2337	1998-03-06	PRIJEM	VKLAD	21642	61339	\N	\N	\N
684790	2337	1998-04-06	PRIJEM	VKLAD	21642	66615	\N	\N	\N
684791	2337	1998-05-06	PRIJEM	VKLAD	21642	62342	\N	\N	\N
684792	2337	1998-06-06	PRIJEM	VKLAD	32463	73345	\N	\N	\N
684793	2337	1998-07-06	PRIJEM	VKLAD	21642	45979	\N	\N	\N
684794	2337	1998-08-06	PRIJEM	VKLAD	21642	55487	\N	\N	\N
684795	2337	1998-09-06	PRIJEM	VKLAD	21642	57135	\N	\N	\N
684796	2337	1998-10-06	PRIJEM	VKLAD	21642	53476	\N	\N	\N
684797	2337	1998-11-06	PRIJEM	VKLAD	21642	52779	\N	\N	\N
684798	2337	1998-12-06	PRIJEM	VKLAD	32463	60924	\N	\N	\N
684810	2337	1997-12-06	VYDAJ	PREVOD NA UCET	2963	75606	SIPO	IJ	18192541
684811	2337	1998-01-06	VYDAJ	PREVOD NA UCET	2963	65805	SIPO	IJ	18192541
684812	2337	1998-02-06	VYDAJ	PREVOD NA UCET	2963	55811	SIPO	IJ	18192541
684813	2337	1998-03-06	VYDAJ	PREVOD NA UCET	2963	58376	SIPO	IJ	18192541
684814	2337	1998-04-06	VYDAJ	PREVOD NA UCET	2963	63652	SIPO	IJ	18192541
684815	2337	1998-05-06	VYDAJ	PREVOD NA UCET	2963	59379	SIPO	IJ	18192541
684816	2337	1998-06-06	VYDAJ	PREVOD NA UCET	2963	70382	SIPO	IJ	18192541
684817	2337	1998-07-06	VYDAJ	PREVOD NA UCET	2963	43016	SIPO	IJ	18192541
684818	2337	1998-08-06	VYDAJ	PREVOD NA UCET	2963	52524	SIPO	IJ	18192541
684819	2337	1998-09-06	VYDAJ	PREVOD NA UCET	2963	54172	SIPO	IJ	18192541
684820	2337	1998-10-06	VYDAJ	PREVOD NA UCET	2963	50513	SIPO	IJ	18192541
684821	2337	1998-11-06	VYDAJ	PREVOD NA UCET	2963	49816	SIPO	IJ	18192541
684822	2337	1998-12-06	VYDAJ	PREVOD NA UCET	2963	57961	SIPO	IJ	18192541
684834	2337	1997-12-14	VYDAJ	PREVOD NA UCET	927	74679	 	UV	63713687
684835	2337	1998-01-14	VYDAJ	PREVOD NA UCET	927	56158	 	UV	63713687
684836	2337	1998-02-14	VYDAJ	PREVOD NA UCET	927	54884	 	UV	63713687
684837	2337	1998-03-14	VYDAJ	PREVOD NA UCET	927	57449	 	UV	63713687
684838	2337	1998-04-14	VYDAJ	PREVOD NA UCET	927	58765	 	UV	63713687
684839	2337	1998-05-14	VYDAJ	PREVOD NA UCET	927	58452	 	UV	63713687
684840	2337	1998-06-14	VYDAJ	PREVOD NA UCET	927	33775	 	UV	63713687
684841	2337	1998-07-14	VYDAJ	PREVOD NA UCET	927	42089	 	UV	63713687
684842	2337	1998-08-14	VYDAJ	PREVOD NA UCET	927	51597	 	UV	63713687
684843	2337	1998-09-14	VYDAJ	PREVOD NA UCET	927	53245	 	UV	63713687
684844	2337	1998-10-14	VYDAJ	PREVOD NA UCET	927	49586	 	UV	63713687
684845	2337	1998-11-14	VYDAJ	PREVOD NA UCET	927	48889	 	UV	63713687
684846	2337	1998-12-14	VYDAJ	PREVOD NA UCET	927	57034	 	UV	63713687
684848	2337	1998-06-11	VYDAJ	VYBER	35680	34702	\N	\N	\N
684850	2337	1998-01-09	VYDAJ	VYBER	7520	58285	\N	\N	\N
684852	2337	1998-12-26	VYDAJ	VYBER	1760	55274	\N	\N	\N
684859	2337	1998-01-16	VYDAJ	VYBER	2160	53398	\N	\N	\N
684860	2337	1998-01-15	VYDAJ	VYBER	600	55558	\N	\N	\N
684861	2337	1998-01-22	VYDAJ	VYBER	2160	50398	\N	\N	\N
684862	2337	1998-01-17	VYDAJ	VYBER	840	52558	\N	\N	\N
684863	2337	1998-01-28	VYDAJ	VYBER	3480	46918	\N	\N	\N
684864	2337	1998-01-13	VYDAJ	VYBER	1200	57085	\N	\N	\N
684868	2337	1997-12-21	VYDAJ	VYBER	4680	69999	\N	\N	\N
684870	2337	1998-10-21	VYDAJ	VYBER	3720	45866	\N	\N	\N
684871	2337	1998-04-14	VYDAJ	VYBER	840	59692	\N	\N	\N
684872	2337	1998-01-01	VYDAJ	VYBER	5760	64526	\N	\N	\N
684873	2337	1998-09-17	VYDAJ	VYBER	4200	49045	\N	\N	\N
684874	2337	1998-04-10	VYDAJ	VYBER	3120	60532	\N	\N	\N
684875	2337	1998-06-15	VYDAJ	VYBER	4200	29575	\N	\N	\N
684888	2337	1997-12-31	VYDAJ	VYBER	15	70286	SLUZBY	\N	\N
684889	2337	1998-01-31	VYDAJ	VYBER	15	47132	SLUZBY	\N	\N
684890	2337	1998-02-28	VYDAJ	VYBER	15	55097	SLUZBY	\N	\N
684891	2337	1998-03-31	VYDAJ	VYBER	15	57673	SLUZBY	\N	\N
684892	2337	1998-04-30	VYDAJ	VYBER	15	59000	SLUZBY	\N	\N
684893	2337	1998-05-31	VYDAJ	VYBER	15	58682	SLUZBY	\N	\N
684894	2337	1998-06-30	VYDAJ	VYBER	15	29737	SLUZBY	\N	\N
684895	2337	1998-07-31	VYDAJ	VYBER	15	42245	SLUZBY	\N	\N
684896	2337	1998-08-31	VYDAJ	VYBER	15	35493	SLUZBY	\N	\N
684897	2337	1998-09-30	VYDAJ	VYBER	15	49234	SLUZBY	\N	\N
684898	2337	1998-10-31	VYDAJ	VYBER	15	31137	SLUZBY	\N	\N
684899	2337	1998-11-30	VYDAJ	VYBER	15	28461	SLUZBY	\N	\N
684900	2337	1997-08-06	PRIJEM	VKLAD	900	22942	\N	\N	\N
684901	2337	1997-09-05	PRIJEM	VKLAD	1100	24119	\N	\N	\N
684902	2337	1997-10-05	VYDAJ	VYBER	12200	33735	\N	\N	\N
684903	2337	1997-11-04	VYDAJ	VYBER	12700	42902	\N	\N	\N
684904	2337	1997-12-04	VYDAJ	VYBER	18700	46106	\N	\N	\N
684905	2337	1998-01-03	VYDAJ	VYBER	17400	47126	\N	\N	\N
684906	2337	1998-02-02	VYDAJ	VYBER	10000	37132	\N	\N	\N
684907	2337	1998-03-04	VYDAJ	VYBER	15400	39697	\N	\N	\N
684908	2337	1998-04-03	VYDAJ	VYBER	12700	44973	\N	\N	\N
684909	2337	1998-05-03	VYDAJ	VYBER	18300	40700	\N	\N	\N
684910	2337	1998-06-02	VYDAJ	VYBER	17800	40882	\N	\N	\N
684911	2337	1998-07-02	VYDAJ	VYBER	5400	24337	\N	\N	\N
684912	2337	1998-08-01	VYDAJ	VYBER	8400	33845	\N	\N	\N
684913	2337	1998-08-31	VYDAJ	VYBER	16300	35508	\N	\N	\N
684914	2337	1998-09-30	VYDAJ	VYBER	17400	31834	\N	\N	\N
684915	2337	1998-10-30	VYDAJ	VYBER	14900	30966	\N	\N	\N
684916	2337	1998-11-29	VYDAJ	VYBER	20600	28289	\N	\N	\N
684934	2338	1997-08-08	PRIJEM	VKLAD	300	300	\N	\N	\N
684935	2338	1997-09-15	PRIJEM	VKLAD	22620	33420	\N	\N	\N
684936	2338	1998-09-18	PRIJEM	VKLAD	14544	109956	\N	\N	\N
684937	2338	1998-11-28	PRIJEM	VKLAD	30135	85944	\N	\N	\N
684938	2338	1998-10-05	PRIJEM	VKLAD	22767	79914	\N	\N	\N
684939	2338	1998-10-15	PRIJEM	VKLAD	44751	109965	\N	\N	\N
684940	2338	1998-10-26	PRIJEM	VKLAD	24784	53995	\N	\N	\N
684941	2338	1998-07-13	PRIJEM	VKLAD	22148	78538	\N	\N	\N
684942	2338	1998-06-09	PRIJEM	VKLAD	39528	105128	\N	\N	\N
684943	2338	1998-09-16	PRIJEM	VKLAD	48342	95412	\N	\N	\N
684944	2338	1998-06-13	PRIJEM	VKLAD	36756	141884	\N	\N	\N
684945	2338	1998-05-30	PRIJEM	VKLAD	36773	101729	\N	\N	\N
684946	2338	1998-03-23	PRIJEM	VKLAD	8065	98049	\N	\N	\N
684947	2338	1998-08-10	PRIJEM	VKLAD	7450	40053	\N	\N	\N
684948	2338	1998-03-11	PRIJEM	VKLAD	49162	75553	\N	\N	\N
684949	2338	1998-10-28	PRIJEM	VKLAD	17340	71335	\N	\N	\N
684950	2338	1998-08-11	PRIJEM	VKLAD	48372	88425	\N	\N	\N
684951	2338	1998-12-29	PRIJEM	VKLAD	12009	54279	\N	\N	\N
684952	2338	1998-08-01	PRIJEM	VKLAD	16410	74356	\N	\N	\N
684953	2338	1998-08-18	PRIJEM	VKLAD	48511	131783	\N	\N	\N
684954	2338	1998-04-24	PRIJEM	VKLAD	22393	91569	\N	\N	\N
684955	2338	1998-03-14	PRIJEM	VKLAD	34531	110084	\N	\N	\N
684984	2338	1998-08-15	VYBER	VYBER	5153	83272	\N	\N	\N
684985	2338	1998-10-20	VYBER	VYBER	21554	29211	\N	\N	\N
684986	2338	1998-08-03	VYBER	VYBER	24253	50103	\N	\N	\N
684987	2338	1998-07-13	VYBER	VYBER	20827	57711	\N	\N	\N
684991	2338	1998-12-27	VYBER	VYBER	23164	42270	\N	\N	\N
684993	2338	1998-12-02	VYDAJ	VYBER	2100	65434	\N	\N	\N
685001	2338	1998-09-09	VYDAJ	VYBER	7200	47070	\N	\N	\N
685003	2338	1998-08-03	VYDAJ	VYBER	14100	32603	\N	\N	\N
685004	2338	1998-07-01	VYDAJ	VYBER	8400	89490	\N	\N	\N
685006	2338	1998-07-02	VYDAJ	VYBER	12000	77490	\N	\N	\N
685007	2338	1998-10-09	VYDAJ	VYBER	14700	65214	\N	\N	\N
685024	2338	1998-04-30	VYDAJ	VYBER	15	91956	SLUZBY	\N	\N
685025	2338	1998-05-31	VYDAJ	VYBER	15	102100	SLUZBY	\N	\N
685026	2338	1998-06-30	VYDAJ	VYBER	15	113690	SLUZBY	\N	\N
685027	2338	1998-07-31	VYDAJ	VYBER	15	57946	SLUZBY	\N	\N
685028	2338	1998-08-31	VYDAJ	VYBER	15	81370	SLUZBY	\N	\N
685029	2338	1998-09-30	VYDAJ	VYBER	15	79547	SLUZBY	\N	\N
685030	2338	1998-10-31	VYDAJ	VYBER	15	71609	SLUZBY	\N	\N
685031	2338	1998-11-30	VYDAJ	VYBER	15	86234	SLUZBY	\N	\N
685032	2338	1997-09-07	PRIJEM	VKLAD	10500	10800	\N	\N	\N
685033	2338	1997-10-07	VYDAJ	VYBER	4400	29094	\N	\N	\N
685034	2338	1997-11-06	VYDAJ	VYBER	2000	27234	\N	\N	\N
685035	2338	1997-12-06	VYDAJ	VYBER	1600	25773	\N	\N	\N
685036	2338	1998-01-05	PRIJEM	VKLAD	600	26512	\N	\N	\N
685037	2338	1998-02-04	VYDAJ	VYBER	3200	23451	\N	\N	\N
685038	2338	1998-03-06	PRIJEM	VKLAD	2800	26391	\N	\N	\N
685039	2338	1998-03-14	VYDAJ	VYBER	20100	89984	\N	\N	\N
685040	2338	1998-04-05	VYDAJ	VYBER	29200	69176	\N	\N	\N
685041	2338	1998-05-05	VYDAJ	VYBER	27000	64956	\N	\N	\N
685042	2338	1998-05-31	VYDAJ	VYBER	18500	83600	\N	\N	\N
685043	2338	1998-06-04	VYDAJ	VYBER	18000	65600	\N	\N	\N
685044	2338	1998-06-13	VYDAJ	VYBER	28700	113184	\N	\N	\N
685045	2338	1998-06-30	VYDAJ	VYBER	15800	97890	\N	\N	\N
685046	2338	1998-07-04	VYDAJ	VYBER	21100	56390	\N	\N	\N
685047	2338	1998-08-03	VYDAJ	VYBER	3400	46703	\N	\N	\N
685048	2338	1998-08-18	VYDAJ	VYBER	50700	81083	\N	\N	\N
685049	2338	1998-09-02	VYDAJ	VYBER	27100	54270	\N	\N	\N
685050	2338	1998-09-18	VYDAJ	VYBER	30700	79256	\N	\N	\N
685051	2338	1998-10-02	VYDAJ	VYBER	22400	57147	\N	\N	\N
685052	2338	1998-10-15	VYDAJ	VYBER	59200	50765	\N	\N	\N
685053	2338	1998-11-01	VYDAJ	VYBER	15800	55809	\N	\N	\N
685054	2338	1998-12-01	VYDAJ	VYBER	18700	67534	\N	\N	\N
685071	2339	1996-09-22	PRIJEM	VKLAD	500	500	\N	\N	\N
685081	2339	1996-10-11	PRIJEM	PREVOD Z UCTU	5893	6393	DUCHOD	GH	55847912
685082	2339	1996-11-11	PRIJEM	PREVOD Z UCTU	5893	12286	DUCHOD	GH	55847912
685083	2339	1996-12-11	PRIJEM	PREVOD Z UCTU	5893	18179	DUCHOD	GH	55847912
685084	2339	1997-01-11	PRIJEM	PREVOD Z UCTU	5893	24072	DUCHOD	GH	55847912
685085	2339	1997-02-11	PRIJEM	PREVOD Z UCTU	5893	25396	DUCHOD	GH	55847912
685086	2339	1997-03-11	PRIJEM	PREVOD Z UCTU	5893	23585	DUCHOD	GH	55847912
685087	2339	1997-04-11	PRIJEM	PREVOD Z UCTU	5893	23892	DUCHOD	GH	55847912
685088	2339	1997-05-11	PRIJEM	PREVOD Z UCTU	5893	21992	DUCHOD	GH	55847912
685089	2339	1997-06-11	PRIJEM	PREVOD Z UCTU	5893	18507	DUCHOD	GH	55847912
685090	2339	1997-07-11	PRIJEM	PREVOD Z UCTU	5893	17350	DUCHOD	GH	55847912
685091	2339	1997-08-11	PRIJEM	PREVOD Z UCTU	5893	17886	DUCHOD	GH	55847912
685092	2339	1997-09-11	PRIJEM	PREVOD Z UCTU	5893	19926	DUCHOD	GH	55847912
685093	2339	1997-10-11	PRIJEM	PREVOD Z UCTU	5893	21975	DUCHOD	GH	55847912
685094	2339	1997-11-11	PRIJEM	PREVOD Z UCTU	5893	23091	DUCHOD	GH	55847912
685095	2339	1997-12-11	PRIJEM	PREVOD Z UCTU	5893	20710	DUCHOD	GH	55847912
685096	2339	1998-01-11	PRIJEM	PREVOD Z UCTU	5893	18207	DUCHOD	GH	55847912
685097	2339	1998-02-11	PRIJEM	PREVOD Z UCTU	5893	18665	DUCHOD	GH	55847912
685098	2339	1998-03-11	PRIJEM	PREVOD Z UCTU	5893	19348	DUCHOD	GH	55847912
685099	2339	1998-04-11	PRIJEM	PREVOD Z UCTU	5893	21395	DUCHOD	GH	55847912
685100	2339	1998-05-11	PRIJEM	PREVOD Z UCTU	5893	23450	DUCHOD	GH	55847912
685101	2339	1998-06-11	PRIJEM	PREVOD Z UCTU	5893	23509	DUCHOD	GH	55847912
685102	2339	1998-07-11	PRIJEM	PREVOD Z UCTU	5893	25573	DUCHOD	GH	55847912
685103	2339	1998-08-11	PRIJEM	PREVOD Z UCTU	5893	22934	DUCHOD	GH	55847912
685104	2339	1998-09-11	PRIJEM	PREVOD Z UCTU	5893	24996	DUCHOD	GH	55847912
685105	2339	1998-10-11	PRIJEM	PREVOD Z UCTU	5893	25662	DUCHOD	GH	55847912
685106	2339	1998-11-11	PRIJEM	PREVOD Z UCTU	5893	25914	DUCHOD	GH	55847912
685107	2339	1998-12-11	PRIJEM	PREVOD Z UCTU	5893	24306	DUCHOD	GH	55847912
685121	2339	1997-02-12	VYDAJ	PREVOD NA UCET	3893	21503	SIPO	MN	60427570
685122	2339	1997-03-12	VYDAJ	PREVOD NA UCET	3893	19692	SIPO	MN	60427570
685123	2339	1997-04-12	VYDAJ	PREVOD NA UCET	3893	19999	SIPO	MN	60427570
685124	2339	1997-05-12	VYDAJ	PREVOD NA UCET	3893	18099	SIPO	MN	60427570
685125	2339	1997-06-12	VYDAJ	PREVOD NA UCET	3893	14614	SIPO	MN	60427570
685126	2339	1997-07-12	VYDAJ	PREVOD NA UCET	3893	13457	SIPO	MN	60427570
685127	2339	1997-08-12	VYDAJ	PREVOD NA UCET	3893	13993	SIPO	MN	60427570
685128	2339	1997-09-12	VYDAJ	PREVOD NA UCET	3893	16033	SIPO	MN	60427570
685129	2339	1997-10-12	VYDAJ	PREVOD NA UCET	3893	18082	SIPO	MN	60427570
685130	2339	1997-11-12	VYDAJ	PREVOD NA UCET	3893	19198	SIPO	MN	60427570
685131	2339	1997-12-12	VYDAJ	PREVOD NA UCET	3893	16817	SIPO	MN	60427570
685132	2339	1998-01-12	VYDAJ	PREVOD NA UCET	3893	14314	SIPO	MN	60427570
685133	2339	1998-02-12	VYDAJ	PREVOD NA UCET	3893	14772	SIPO	MN	60427570
685134	2339	1998-03-12	VYDAJ	PREVOD NA UCET	3893	15455	SIPO	MN	60427570
685135	2339	1998-04-12	VYDAJ	PREVOD NA UCET	3893	17502	SIPO	MN	60427570
685136	2339	1998-05-12	VYDAJ	PREVOD NA UCET	3893	19557	SIPO	MN	60427570
685137	2339	1998-06-12	VYDAJ	PREVOD NA UCET	3893	19616	SIPO	MN	60427570
685138	2339	1998-07-12	VYDAJ	PREVOD NA UCET	3893	21680	SIPO	MN	60427570
685139	2339	1998-08-12	VYDAJ	PREVOD NA UCET	3893	19041	SIPO	MN	60427570
685140	2339	1998-09-12	VYDAJ	PREVOD NA UCET	3893	21103	SIPO	MN	60427570
685141	2339	1998-10-12	VYDAJ	PREVOD NA UCET	3893	21069	SIPO	MN	60427570
685142	2339	1998-11-12	VYDAJ	PREVOD NA UCET	3893	20821	SIPO	MN	60427570
685143	2339	1998-12-12	VYDAJ	PREVOD NA UCET	3893	20413	SIPO	MN	60427570
685151	2339	1997-12-20	VYDAJ	VYBER	1350	12267	\N	\N	\N
685152	2339	1998-12-14	VYDAJ	VYBER	1050	19363	\N	\N	\N
685168	2339	1998-01-14	VYDAJ	VYBER	1280	13034	\N	\N	\N
685173	2339	1997-10-14	VYDAJ	VYBER	640	17442	\N	\N	\N
685174	2339	1997-03-24	VYDAJ	VYBER	1760	17932	\N	\N	\N
685176	2339	1997-06-08	VYDAJ	VYBER	3040	12614	\N	\N	\N
685177	2339	1997-12-09	VYDAJ	VYBER	2640	14817	\N	\N	\N
685178	2339	1997-03-10	VYDAJ	VYBER	2080	17692	\N	\N	\N
685179	2339	1997-04-30	VYDAJ	VYBER	560	16099	\N	\N	\N
685180	2339	1998-02-23	VYDAJ	VYBER	1360	13412	\N	\N	\N
685181	2339	1998-10-18	VYDAJ	VYBER	1120	19949	\N	\N	\N
685182	2339	1998-12-04	VYDAJ	VYBER	2480	18413	\N	\N	\N
685197	2339	1997-02-28	VYDAJ	VYBER	15	19772	SLUZBY	\N	\N
685198	2339	1997-03-31	VYDAJ	VYBER	15	17999	SLUZBY	\N	\N
685199	2339	1997-04-30	VYDAJ	VYBER	15	16659	SLUZBY	\N	\N
685200	2339	1997-05-31	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
685201	2339	1997-06-30	VYDAJ	VYBER	15	11457	SLUZBY	\N	\N
685202	2339	1997-07-31	VYDAJ	VYBER	15	11993	SLUZBY	\N	\N
685203	2339	1997-08-31	VYDAJ	VYBER	15	14033	SLUZBY	\N	\N
685204	2339	1997-09-30	VYDAJ	VYBER	15	16082	SLUZBY	\N	\N
685205	2339	1997-10-31	VYDAJ	VYBER	15	17198	SLUZBY	\N	\N
685206	2339	1997-11-30	VYDAJ	VYBER	15	17457	SLUZBY	\N	\N
685207	2339	1997-12-31	VYDAJ	VYBER	15	12314	SLUZBY	\N	\N
685208	2339	1998-01-31	VYDAJ	VYBER	15	12772	SLUZBY	\N	\N
685209	2339	1998-02-28	VYDAJ	VYBER	15	13455	SLUZBY	\N	\N
685210	2339	1998-03-31	VYDAJ	VYBER	15	15502	SLUZBY	\N	\N
685211	2339	1998-04-30	VYDAJ	VYBER	15	17557	SLUZBY	\N	\N
685212	2339	1998-05-31	VYDAJ	VYBER	15	17616	SLUZBY	\N	\N
685213	2339	1998-06-30	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
685214	2339	1998-07-31	VYDAJ	VYBER	15	17041	SLUZBY	\N	\N
685215	2339	1998-08-31	VYDAJ	VYBER	15	19103	SLUZBY	\N	\N
685216	2339	1998-09-30	VYDAJ	VYBER	15	19769	SLUZBY	\N	\N
685217	2339	1998-10-31	VYDAJ	VYBER	15	20021	SLUZBY	\N	\N
685218	2339	1998-11-30	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
685219	2339	1997-01-20	VYDAJ	VYBER	4600	19472	\N	\N	\N
685220	2339	1997-02-19	VYDAJ	VYBER	1800	19703	\N	\N	\N
685221	2339	1997-04-20	VYDAJ	VYBER	3400	16599	\N	\N	\N
685222	2339	1997-05-20	VYDAJ	VYBER	2500	15599	\N	\N	\N
685223	2339	1997-06-19	VYDAJ	VYBER	3200	11414	\N	\N	\N
685224	2339	1997-07-19	VYDAJ	VYBER	1500	11957	\N	\N	\N
685225	2339	1997-10-17	VYDAJ	VYBER	300	17142	\N	\N	\N
685226	2339	1997-11-16	VYDAJ	VYBER	1800	17398	\N	\N	\N
685227	2339	1997-12-16	VYDAJ	VYBER	3200	13617	\N	\N	\N
685228	2339	1998-01-15	VYDAJ	VYBER	300	12734	\N	\N	\N
685229	2339	1998-05-15	VYDAJ	VYBER	2000	17557	\N	\N	\N
685230	2339	1998-07-14	VYDAJ	VYBER	4700	16980	\N	\N	\N
685231	2339	1998-09-12	VYDAJ	VYBER	1400	19703	\N	\N	\N
685232	2339	1998-10-12	VYDAJ	VYBER	700	24962	\N	\N	\N
685233	2339	1998-11-11	VYDAJ	VYBER	1200	24714	\N	\N	\N
685258	2340	1997-06-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
685265	2340	1997-07-08	PRIJEM	VKLAD	8524	9624	\N	\N	\N
685266	2340	1997-08-08	PRIJEM	VKLAD	8524	28775	\N	\N	\N
685267	2340	1997-09-08	PRIJEM	VKLAD	8524	34292	\N	\N	\N
685268	2340	1997-10-08	PRIJEM	VKLAD	8524	35625	\N	\N	\N
685269	2340	1997-11-08	PRIJEM	VKLAD	8524	36763	\N	\N	\N
685270	2340	1997-12-08	PRIJEM	VKLAD	12786	42667	\N	\N	\N
685271	2340	1998-01-08	PRIJEM	VKLAD	8524	40220	\N	\N	\N
685272	2340	1998-02-08	PRIJEM	VKLAD	8524	26953	\N	\N	\N
685273	2340	1998-03-08	PRIJEM	VKLAD	8524	36456	\N	\N	\N
685274	2340	1998-04-08	PRIJEM	VKLAD	8524	42292	\N	\N	\N
685275	2340	1998-05-08	PRIJEM	VKLAD	8524	41042	\N	\N	\N
685276	2340	1998-06-08	PRIJEM	VKLAD	12786	42446	\N	\N	\N
685277	2340	1998-07-08	PRIJEM	VKLAD	8524	36275	\N	\N	\N
685278	2340	1998-08-08	PRIJEM	VKLAD	8524	40909	\N	\N	\N
685279	2340	1998-09-08	PRIJEM	VKLAD	8524	41857	\N	\N	\N
685280	2340	1998-10-08	PRIJEM	VKLAD	8524	42306	\N	\N	\N
685281	2340	1998-11-08	PRIJEM	VKLAD	8524	43960	\N	\N	\N
685282	2340	1998-12-08	PRIJEM	VKLAD	12786	43277	\N	\N	\N
685284	2340	1998-06-11	VYDAJ	VYBER	12800	29646	\N	\N	\N
685285	2340	1997-12-12	VYDAJ	VYBER	1400	41267	\N	\N	\N
685286	2340	1998-12-02	VYDAJ	VYBER	2900	30491	\N	\N	\N
685293	2340	1998-01-20	VYDAJ	VYBER	2700	24320	\N	\N	\N
685294	2340	1998-01-16	VYDAJ	VYBER	2200	36120	\N	\N	\N
685295	2340	1998-01-30	VYDAJ	VYBER	1100	18320	\N	\N	\N
685296	2340	1998-01-09	VYDAJ	VYBER	1900	38320	\N	\N	\N
685297	2340	1998-01-03	VYDAJ	VYBER	2800	31696	\N	\N	\N
685298	2340	1998-01-24	VYDAJ	VYBER	2700	19420	\N	\N	\N
685303	2340	1997-11-08	VYDAJ	VYBER	800	35963	\N	\N	\N
685306	2340	1998-01-17	VYDAJ	VYBER	1800	34320	\N	\N	\N
685307	2340	1998-01-23	VYDAJ	VYBER	2200	22120	\N	\N	\N
685308	2340	1998-04-24	VYDAJ	VYBER	3400	32392	\N	\N	\N
685309	2340	1998-05-14	VYDAJ	VYBER	4500	36542	\N	\N	\N
685310	2340	1998-08-28	VYDAJ	VYBER	1700	33209	\N	\N	\N
685311	2340	1998-11-20	VYDAJ	VYBER	4000	33260	\N	\N	\N
685323	2340	1997-11-30	VYDAJ	VYBER	15	29881	SLUZBY	\N	\N
685324	2340	1997-12-31	VYDAJ	VYBER	15	34496	SLUZBY	\N	\N
685325	2340	1998-01-31	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
685326	2340	1998-02-28	VYDAJ	VYBER	15	27932	SLUZBY	\N	\N
685327	2340	1998-03-31	VYDAJ	VYBER	15	33768	SLUZBY	\N	\N
685328	2340	1998-04-30	VYDAJ	VYBER	15	32518	SLUZBY	\N	\N
685329	2340	1998-05-31	VYDAJ	VYBER	15	29660	SLUZBY	\N	\N
685330	2340	1998-06-30	VYDAJ	VYBER	15	27751	SLUZBY	\N	\N
685331	2340	1998-07-31	VYDAJ	VYBER	15	32385	SLUZBY	\N	\N
685332	2340	1998-08-31	VYDAJ	VYBER	15	33333	SLUZBY	\N	\N
685333	2340	1998-09-30	VYDAJ	VYBER	15	33782	SLUZBY	\N	\N
685334	2340	1998-10-31	VYDAJ	VYBER	15	35436	SLUZBY	\N	\N
685335	2340	1998-11-30	VYDAJ	VYBER	15	33391	SLUZBY	\N	\N
685336	2340	1997-07-22	PRIJEM	VKLAD	10600	20224	\N	\N	\N
685337	2340	1997-08-21	VYDAJ	VYBER	3100	25675	\N	\N	\N
685338	2340	1997-09-20	VYDAJ	VYBER	7300	26992	\N	\N	\N
685339	2340	1997-10-20	VYDAJ	VYBER	7500	28125	\N	\N	\N
685340	2340	1997-11-19	VYDAJ	VYBER	6200	29763	\N	\N	\N
685341	2340	1997-12-19	VYDAJ	VYBER	6900	34367	\N	\N	\N
685342	2340	1998-01-18	VYDAJ	VYBER	7300	27020	\N	\N	\N
685343	2340	1998-02-17	PRIJEM	VKLAD	900	27853	\N	\N	\N
685344	2340	1998-03-19	VYDAJ	VYBER	2800	33656	\N	\N	\N
685345	2340	1998-04-18	VYDAJ	VYBER	6500	35792	\N	\N	\N
685346	2340	1998-05-18	VYDAJ	VYBER	7000	29542	\N	\N	\N
685347	2340	1998-06-17	VYDAJ	VYBER	2000	27646	\N	\N	\N
685348	2340	1998-07-17	VYDAJ	VYBER	4000	32275	\N	\N	\N
685349	2340	1998-08-16	VYDAJ	VYBER	6000	34909	\N	\N	\N
685350	2340	1998-09-15	VYDAJ	VYBER	8200	33657	\N	\N	\N
685351	2340	1998-10-15	VYDAJ	VYBER	7000	35306	\N	\N	\N
685352	2340	1998-11-14	VYDAJ	VYBER	6700	37260	\N	\N	\N
685371	2341	1995-11-25	PRIJEM	VKLAD	200	200	\N	\N	\N
685383	2341	1995-12-13	PRIJEM	PREVOD Z UCTU	3071	3271	\N	OP	67421823
685384	2341	1996-01-13	PRIJEM	PREVOD Z UCTU	3071	6342	\N	OP	67421823
685385	2341	1996-02-13	PRIJEM	PREVOD Z UCTU	3071	9413	\N	OP	67421823
685386	2341	1996-03-13	PRIJEM	PREVOD Z UCTU	3071	12484	\N	OP	67421823
685387	2341	1996-04-13	PRIJEM	PREVOD Z UCTU	3071	15555	\N	OP	67421823
685388	2341	1996-05-13	PRIJEM	PREVOD Z UCTU	3071	16567	\N	OP	67421823
685389	2341	1996-06-13	PRIJEM	PREVOD Z UCTU	3071	17643	\N	OP	67421823
685390	2341	1996-07-13	PRIJEM	PREVOD Z UCTU	3071	18724	\N	OP	67421823
685391	2341	1996-08-13	PRIJEM	PREVOD Z UCTU	3071	17979	\N	OP	67421823
685392	2341	1996-09-13	PRIJEM	PREVOD Z UCTU	3071	17959	\N	OP	67421823
685393	2341	1996-10-13	PRIJEM	PREVOD Z UCTU	3071	18352	\N	OP	67421823
685394	2341	1996-11-13	PRIJEM	PREVOD Z UCTU	3071	16091	\N	OP	67421823
685395	2341	1996-12-13	PRIJEM	PREVOD Z UCTU	3071	17015	\N	OP	67421823
685396	2341	1997-01-13	PRIJEM	PREVOD Z UCTU	3071	17042	\N	OP	67421823
685397	2341	1997-02-13	PRIJEM	PREVOD Z UCTU	3071	15987	\N	OP	67421823
685398	2341	1997-03-13	PRIJEM	PREVOD Z UCTU	3071	15177	\N	OP	67421823
685399	2341	1997-04-13	PRIJEM	PREVOD Z UCTU	3071	16247	\N	OP	67421823
685400	2341	1997-05-13	PRIJEM	PREVOD Z UCTU	3071	16752	\N	OP	67421823
685401	2341	1997-06-13	PRIJEM	PREVOD Z UCTU	3071	15624	\N	OP	67421823
685402	2341	1997-07-13	PRIJEM	PREVOD Z UCTU	3071	15856	\N	OP	67421823
685403	2341	1997-08-13	PRIJEM	PREVOD Z UCTU	3071	15627	\N	OP	67421823
685404	2341	1997-09-13	PRIJEM	PREVOD Z UCTU	3071	15438	\N	OP	67421823
685405	2341	1997-10-13	PRIJEM	PREVOD Z UCTU	3071	15520	\N	OP	67421823
685406	2341	1997-11-13	PRIJEM	PREVOD Z UCTU	3071	16591	\N	OP	67421823
685407	2341	1997-12-13	PRIJEM	PREVOD Z UCTU	3071	16084	\N	OP	67421823
685408	2341	1998-01-13	PRIJEM	PREVOD Z UCTU	3071	15688	\N	OP	67421823
685409	2341	1998-02-13	PRIJEM	PREVOD Z UCTU	3071	15319	\N	OP	67421823
685410	2341	1998-03-13	PRIJEM	PREVOD Z UCTU	3071	16390	\N	OP	67421823
685411	2341	1998-04-13	PRIJEM	PREVOD Z UCTU	3071	17466	\N	OP	67421823
685412	2341	1998-05-13	PRIJEM	PREVOD Z UCTU	3071	16744	\N	OP	67421823
685413	2341	1998-06-13	PRIJEM	PREVOD Z UCTU	3071	17821	\N	OP	67421823
685414	2341	1998-07-13	PRIJEM	PREVOD Z UCTU	3071	18902	\N	OP	67421823
685415	2341	1998-08-13	PRIJEM	PREVOD Z UCTU	3071	19988	\N	OP	67421823
685416	2341	1998-09-13	PRIJEM	PREVOD Z UCTU	3071	21078	\N	OP	67421823
685417	2341	1998-10-13	PRIJEM	PREVOD Z UCTU	3071	20823	\N	OP	67421823
685418	2341	1998-11-13	PRIJEM	PREVOD Z UCTU	3071	20475	\N	OP	67421823
685419	2341	1998-12-13	PRIJEM	PREVOD Z UCTU	3071	21180	\N	OP	67421823
685436	2341	1996-05-05	VYDAJ	PREVOD NA UCET	1583	13960	SIPO	OP	5022091
685437	2341	1996-06-05	VYDAJ	PREVOD NA UCET	1583	15036	SIPO	OP	5022091
685438	2341	1996-07-05	VYDAJ	PREVOD NA UCET	1583	16117	SIPO	OP	5022091
685439	2341	1996-08-05	VYDAJ	PREVOD NA UCET	1583	15912	SIPO	OP	5022091
685440	2341	1996-09-05	VYDAJ	PREVOD NA UCET	1583	15352	SIPO	OP	5022091
685441	2341	1996-10-05	VYDAJ	PREVOD NA UCET	1583	15745	SIPO	OP	5022091
685442	2341	1996-11-05	VYDAJ	PREVOD NA UCET	1583	14624	SIPO	OP	5022091
685443	2341	1996-12-05	VYDAJ	PREVOD NA UCET	1583	14408	SIPO	OP	5022091
685444	2341	1997-01-05	VYDAJ	PREVOD NA UCET	1583	15485	SIPO	OP	5022091
685445	2341	1997-02-05	VYDAJ	PREVOD NA UCET	1583	13380	SIPO	OP	5022091
685446	2341	1997-03-05	VYDAJ	PREVOD NA UCET	1583	12570	SIPO	OP	5022091
685447	2341	1997-04-05	VYDAJ	PREVOD NA UCET	1583	13640	SIPO	OP	5022091
685448	2341	1997-05-05	VYDAJ	PREVOD NA UCET	1583	14145	SIPO	OP	5022091
685449	2341	1997-06-05	VYDAJ	PREVOD NA UCET	1583	13017	SIPO	OP	5022091
685450	2341	1997-07-05	VYDAJ	PREVOD NA UCET	1583	13249	SIPO	OP	5022091
685451	2341	1997-08-05	VYDAJ	PREVOD NA UCET	1583	13020	SIPO	OP	5022091
685452	2341	1997-09-05	VYDAJ	PREVOD NA UCET	1583	12831	SIPO	OP	5022091
685453	2341	1997-10-05	VYDAJ	PREVOD NA UCET	1583	12913	SIPO	OP	5022091
685454	2341	1997-11-05	VYDAJ	PREVOD NA UCET	1583	13984	SIPO	OP	5022091
685455	2341	1997-12-05	VYDAJ	PREVOD NA UCET	1583	13957	SIPO	OP	5022091
685456	2341	1998-01-05	VYDAJ	PREVOD NA UCET	1583	13681	SIPO	OP	5022091
685457	2341	1998-02-05	VYDAJ	PREVOD NA UCET	1583	12712	SIPO	OP	5022091
685458	2341	1998-03-05	VYDAJ	PREVOD NA UCET	1583	13783	SIPO	OP	5022091
685459	2341	1998-04-05	VYDAJ	PREVOD NA UCET	1583	14859	SIPO	OP	5022091
685460	2341	1998-05-05	VYDAJ	PREVOD NA UCET	1583	14137	SIPO	OP	5022091
685461	2341	1998-06-05	VYDAJ	PREVOD NA UCET	1583	15214	SIPO	OP	5022091
685462	2341	1998-07-05	VYDAJ	PREVOD NA UCET	1583	16295	SIPO	OP	5022091
685463	2341	1998-08-05	VYDAJ	PREVOD NA UCET	1583	17381	SIPO	OP	5022091
685464	2341	1998-09-05	VYDAJ	PREVOD NA UCET	1583	18471	SIPO	OP	5022091
685465	2341	1998-10-05	VYDAJ	PREVOD NA UCET	1583	18216	SIPO	OP	5022091
685466	2341	1998-11-05	VYDAJ	PREVOD NA UCET	1583	18978	SIPO	OP	5022091
685467	2341	1998-12-05	VYDAJ	PREVOD NA UCET	1583	18573	SIPO	OP	5022091
685484	2341	1996-05-12	VYDAJ	PREVOD NA UCET	464	13496	 	ST	97825383
685485	2341	1996-06-12	VYDAJ	PREVOD NA UCET	464	14572	 	ST	97825383
685486	2341	1996-07-12	VYDAJ	PREVOD NA UCET	464	15653	 	ST	97825383
685487	2341	1996-08-12	VYDAJ	PREVOD NA UCET	464	14908	 	ST	97825383
685488	2341	1996-09-12	VYDAJ	PREVOD NA UCET	464	14888	 	ST	97825383
685489	2341	1996-10-12	VYDAJ	PREVOD NA UCET	464	15281	 	ST	97825383
685490	2341	1996-11-12	VYDAJ	PREVOD NA UCET	464	13020	 	ST	97825383
685491	2341	1996-12-12	VYDAJ	PREVOD NA UCET	464	13944	 	ST	97825383
685492	2341	1997-01-12	VYDAJ	PREVOD NA UCET	464	13971	 	ST	97825383
685493	2341	1997-02-12	VYDAJ	PREVOD NA UCET	464	12916	 	ST	97825383
685494	2341	1997-03-12	VYDAJ	PREVOD NA UCET	464	12106	 	ST	97825383
685495	2341	1997-04-12	VYDAJ	PREVOD NA UCET	464	13176	 	ST	97825383
685496	2341	1997-05-12	VYDAJ	PREVOD NA UCET	464	13681	 	ST	97825383
685497	2341	1997-06-12	VYDAJ	PREVOD NA UCET	464	12553	 	ST	97825383
685498	2341	1997-07-12	VYDAJ	PREVOD NA UCET	464	12785	 	ST	97825383
685499	2341	1997-08-12	VYDAJ	PREVOD NA UCET	464	12556	 	ST	97825383
685500	2341	1997-09-12	VYDAJ	PREVOD NA UCET	464	12367	 	ST	97825383
685501	2341	1997-10-12	VYDAJ	PREVOD NA UCET	464	12449	 	ST	97825383
685502	2341	1997-11-12	VYDAJ	PREVOD NA UCET	464	13520	 	ST	97825383
685503	2341	1997-12-12	VYDAJ	PREVOD NA UCET	464	13013	 	ST	97825383
685504	2341	1998-01-12	VYDAJ	PREVOD NA UCET	464	12617	 	ST	97825383
685505	2341	1998-02-12	VYDAJ	PREVOD NA UCET	464	12248	 	ST	97825383
685506	2341	1998-03-12	VYDAJ	PREVOD NA UCET	464	13319	 	ST	97825383
685507	2341	1998-04-12	VYDAJ	PREVOD NA UCET	464	14395	 	ST	97825383
685508	2341	1998-05-12	VYDAJ	PREVOD NA UCET	464	13673	 	ST	97825383
685509	2341	1998-06-12	VYDAJ	PREVOD NA UCET	464	14750	 	ST	97825383
685510	2341	1998-07-12	VYDAJ	PREVOD NA UCET	464	15831	 	ST	97825383
685511	2341	1998-08-12	VYDAJ	PREVOD NA UCET	464	16917	 	ST	97825383
685512	2341	1998-09-12	VYDAJ	PREVOD NA UCET	464	18007	 	ST	97825383
685513	2341	1998-10-12	VYDAJ	PREVOD NA UCET	464	17752	 	ST	97825383
685514	2341	1998-11-12	VYDAJ	PREVOD NA UCET	464	18514	 	ST	97825383
685515	2341	1998-12-12	VYDAJ	PREVOD NA UCET	464	18109	 	ST	97825383
685522	2341	1997-01-06	VYDAJ	VYBER	390	15095	\N	\N	\N
685523	2341	1998-01-06	VYDAJ	VYBER	600	13081	\N	\N	\N
685525	2341	1996-12-03	VYDAJ	VYBER	150	15991	\N	\N	\N
685527	2341	1998-12-25	VYDAJ	VYBER	810	20370	\N	\N	\N
685540	2341	1997-01-17	VYDAJ	VYBER	150	16052	\N	\N	\N
685541	2341	1997-01-26	VYDAJ	VYBER	450	14912	\N	\N	\N
685542	2341	1997-01-16	VYDAJ	VYBER	840	16202	\N	\N	\N
685543	2341	1997-01-19	VYDAJ	VYBER	540	15512	\N	\N	\N
685544	2341	1997-01-11	VYDAJ	VYBER	660	14435	\N	\N	\N
685545	2341	1997-01-20	VYDAJ	VYBER	150	15362	\N	\N	\N
685546	2341	1998-01-28	VYDAJ	VYBER	480	14938	\N	\N	\N
685547	2341	1998-01-26	VYDAJ	VYBER	270	15418	\N	\N	\N
685548	2341	1998-01-05	VYDAJ	VYBER	870	15264	\N	\N	\N
685558	2341	1996-07-27	VYDAJ	VYBER	1290	17434	\N	\N	\N
685559	2341	1996-10-05	VYDAJ	VYBER	690	17328	\N	\N	\N
685560	2341	1996-11-07	VYDAJ	VYBER	1140	13484	\N	\N	\N
685561	2341	1996-08-09	VYDAJ	VYBER	540	15372	\N	\N	\N
685563	2341	1997-06-30	VYDAJ	VYBER	840	14832	\N	\N	\N
685564	2341	1997-12-06	VYDAJ	VYBER	480	13477	\N	\N	\N
685565	2341	1997-08-22	VYDAJ	VYBER	1260	14367	\N	\N	\N
685566	2341	1997-02-14	VYDAJ	VYBER	1380	14607	\N	\N	\N
685567	2341	1997-10-03	VYDAJ	VYBER	990	14496	\N	\N	\N
685568	2341	1997-05-04	VYDAJ	VYBER	570	15728	\N	\N	\N
685569	2341	1998-11-12	VYDAJ	VYBER	1110	17404	\N	\N	\N
685570	2341	1998-04-26	VYDAJ	VYBER	750	15666	\N	\N	\N
685571	2341	1998-10-03	VYDAJ	VYBER	1350	19799	\N	\N	\N
685572	2341	1998-01-31	VYDAJ	VYBER	690	14310	\N	\N	\N
685573	2341	1998-10-13	VYDAJ	VYBER	330	20493	\N	\N	\N
685574	2341	1998-04-23	VYDAJ	VYBER	1050	16416	\N	\N	\N
685575	2341	1998-12-01	VYDAJ	VYBER	390	20156	\N	\N	\N
685592	2341	1996-04-30	VYDAJ	VYBER	15	15543	SLUZBY	\N	\N
685593	2341	1996-05-31	VYDAJ	VYBER	15	16619	SLUZBY	\N	\N
685594	2341	1996-06-30	VYDAJ	VYBER	15	17700	SLUZBY	\N	\N
685595	2341	1996-07-31	VYDAJ	VYBER	15	17495	SLUZBY	\N	\N
685596	2341	1996-08-31	VYDAJ	VYBER	15	16935	SLUZBY	\N	\N
685597	2341	1996-09-30	VYDAJ	VYBER	15	18018	SLUZBY	\N	\N
685598	2341	1996-10-31	VYDAJ	VYBER	15	16207	SLUZBY	\N	\N
685599	2341	1996-11-30	VYDAJ	VYBER	15	16141	SLUZBY	\N	\N
685600	2341	1996-12-31	VYDAJ	VYBER	15	17068	SLUZBY	\N	\N
685601	2341	1997-01-31	VYDAJ	VYBER	15	14963	SLUZBY	\N	\N
685602	2341	1997-02-28	VYDAJ	VYBER	15	14153	SLUZBY	\N	\N
685603	2341	1997-03-31	VYDAJ	VYBER	15	15223	SLUZBY	\N	\N
685604	2341	1997-04-30	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
685605	2341	1997-05-31	VYDAJ	VYBER	15	14600	SLUZBY	\N	\N
685606	2341	1997-06-30	VYDAJ	VYBER	15	15672	SLUZBY	\N	\N
685607	2341	1997-07-31	VYDAJ	VYBER	15	14603	SLUZBY	\N	\N
685608	2341	1997-08-31	VYDAJ	VYBER	15	14414	SLUZBY	\N	\N
685609	2341	1997-09-30	VYDAJ	VYBER	15	15486	SLUZBY	\N	\N
685610	2341	1997-10-31	VYDAJ	VYBER	15	15567	SLUZBY	\N	\N
685611	2341	1997-11-30	VYDAJ	VYBER	15	15540	SLUZBY	\N	\N
685612	2341	1997-12-31	VYDAJ	VYBER	15	16134	SLUZBY	\N	\N
685613	2341	1998-01-31	VYDAJ	VYBER	15	14295	SLUZBY	\N	\N
685614	2341	1998-02-28	VYDAJ	VYBER	15	15366	SLUZBY	\N	\N
685615	2341	1998-03-31	VYDAJ	VYBER	15	16442	SLUZBY	\N	\N
685616	2341	1998-04-30	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
685617	2341	1998-05-31	VYDAJ	VYBER	15	16797	SLUZBY	\N	\N
685618	2341	1998-06-30	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
685619	2341	1998-07-31	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
685620	2341	1998-08-31	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
685621	2341	1998-09-30	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
685622	2341	1998-10-31	VYDAJ	VYBER	15	20561	SLUZBY	\N	\N
685623	2341	1998-11-30	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
685624	2341	1996-08-21	VYDAJ	VYBER	1100	16879	\N	\N	\N
685625	2341	1996-10-20	VYDAJ	VYBER	2200	16152	\N	\N	\N
685626	2341	1997-02-17	VYDAJ	VYBER	500	14107	\N	\N	\N
685627	2341	1997-05-18	VYDAJ	VYBER	2200	14552	\N	\N	\N
685628	2341	1997-07-17	VYDAJ	VYBER	1300	14556	\N	\N	\N
685629	2341	1997-11-14	VYDAJ	VYBER	1100	15491	\N	\N	\N
685663	2342	1993-02-11	PRIJEM	VKLAD	400	400	\N	\N	\N
685666	2342	1993-03-05	PRIJEM	PREVOD Z UCTU	3247	3647	\N	EF	42284852
685667	2342	1993-04-05	PRIJEM	PREVOD Z UCTU	3247	6894	\N	EF	42284852
685668	2342	1993-05-05	PRIJEM	PREVOD Z UCTU	3247	10141	\N	EF	42284852
685669	2342	1993-06-05	PRIJEM	PREVOD Z UCTU	3247	13388	\N	EF	42284852
685670	2342	1993-07-05	PRIJEM	PREVOD Z UCTU	3247	16635	\N	EF	42284852
685671	2342	1993-08-05	PRIJEM	PREVOD Z UCTU	3247	17742	\N	EF	42284852
685672	2342	1993-09-05	PRIJEM	PREVOD Z UCTU	3247	18874	\N	EF	42284852
685673	2342	1993-10-05	PRIJEM	PREVOD Z UCTU	3247	20010	\N	EF	42284852
685674	2342	1993-11-05	PRIJEM	PREVOD Z UCTU	3247	20340	\N	EF	42284852
685675	2342	1993-12-05	PRIJEM	PREVOD Z UCTU	3247	21063	\N	EF	42284852
685676	2342	1994-01-05	PRIJEM	PREVOD Z UCTU	3247	22212	\N	EF	42284852
685677	2342	1994-02-05	PRIJEM	PREVOD Z UCTU	3247	16394	\N	EF	42284852
685678	2342	1994-03-05	PRIJEM	PREVOD Z UCTU	3247	16829	\N	EF	42284852
685679	2342	1994-04-05	PRIJEM	PREVOD Z UCTU	3247	17957	\N	EF	42284852
685680	2342	1994-05-05	PRIJEM	PREVOD Z UCTU	3247	19089	\N	EF	42284852
685681	2342	1994-06-05	PRIJEM	PREVOD Z UCTU	3247	20226	\N	EF	42284852
685682	2342	1994-07-05	PRIJEM	PREVOD Z UCTU	3247	20077	\N	EF	42284852
685683	2342	1994-08-05	PRIJEM	PREVOD Z UCTU	3247	21219	\N	EF	42284852
685684	2342	1994-09-05	PRIJEM	PREVOD Z UCTU	3247	21524	\N	EF	42284852
685685	2342	1994-10-05	PRIJEM	PREVOD Z UCTU	3247	22671	\N	EF	42284852
685686	2342	1994-11-05	PRIJEM	PREVOD Z UCTU	3247	23823	\N	EF	42284852
685687	2342	1994-12-05	PRIJEM	PREVOD Z UCTU	3247	24830	\N	EF	42284852
685688	2342	1995-01-05	PRIJEM	PREVOD Z UCTU	3247	23343	\N	EF	42284852
685689	2342	1995-02-05	PRIJEM	PREVOD Z UCTU	3247	21075	\N	EF	42284852
685690	2342	1995-03-05	PRIJEM	PREVOD Z UCTU	3247	22220	\N	EF	42284852
685691	2342	1995-04-05	PRIJEM	PREVOD Z UCTU	3247	22739	\N	EF	42284852
685692	2342	1995-05-05	PRIJEM	PREVOD Z UCTU	3247	23891	\N	EF	42284852
685693	2342	1995-06-05	PRIJEM	PREVOD Z UCTU	3247	25049	\N	EF	42284852
685694	2342	1995-07-05	PRIJEM	PREVOD Z UCTU	3247	21730	\N	EF	42284852
685695	2342	1995-08-05	PRIJEM	PREVOD Z UCTU	3247	22878	\N	EF	42284852
685696	2342	1995-09-05	PRIJEM	PREVOD Z UCTU	3247	24031	\N	EF	42284852
685697	2342	1995-10-05	PRIJEM	PREVOD Z UCTU	3247	25188	\N	EF	42284852
685698	2342	1995-11-05	PRIJEM	PREVOD Z UCTU	3247	26350	\N	EF	42284852
685699	2342	1995-12-05	PRIJEM	PREVOD Z UCTU	3247	26586	\N	EF	42284852
685700	2342	1996-01-05	PRIJEM	PREVOD Z UCTU	3247	24786	\N	EF	42284852
685701	2342	1996-02-05	PRIJEM	PREVOD Z UCTU	3247	24179	\N	EF	42284852
685702	2342	1996-03-05	PRIJEM	PREVOD Z UCTU	3247	24646	\N	EF	42284852
685703	2342	1996-04-05	PRIJEM	PREVOD Z UCTU	3247	25810	\N	EF	42284852
685704	2342	1996-05-05	PRIJEM	PREVOD Z UCTU	3247	25954	\N	EF	42284852
685705	2342	1996-06-05	PRIJEM	PREVOD Z UCTU	3247	24782	\N	EF	42284852
685706	2342	1996-07-05	PRIJEM	PREVOD Z UCTU	3247	25946	\N	EF	42284852
685707	2342	1996-08-05	PRIJEM	PREVOD Z UCTU	3247	25160	\N	EF	42284852
685708	2342	1996-09-05	PRIJEM	PREVOD Z UCTU	3247	25004	\N	EF	42284852
685709	2342	1996-10-05	PRIJEM	PREVOD Z UCTU	3247	26165	\N	EF	42284852
685710	2342	1996-11-05	PRIJEM	PREVOD Z UCTU	3247	27331	\N	EF	42284852
685711	2342	1996-12-05	PRIJEM	PREVOD Z UCTU	3247	28502	\N	EF	42284852
685712	2342	1997-01-05	PRIJEM	PREVOD Z UCTU	3247	28956	\N	EF	42284852
685713	2342	1997-02-05	PRIJEM	PREVOD Z UCTU	3247	26141	\N	EF	42284852
685714	2342	1997-03-05	PRIJEM	PREVOD Z UCTU	3247	27306	\N	EF	42284852
685715	2342	1997-04-05	PRIJEM	PREVOD Z UCTU	3247	28476	\N	EF	42284852
685716	2342	1997-05-05	PRIJEM	PREVOD Z UCTU	3247	29441	\N	EF	42284852
685717	2342	1997-06-05	PRIJEM	PREVOD Z UCTU	3247	30413	\N	EF	42284852
685718	2342	1997-07-05	PRIJEM	PREVOD Z UCTU	3247	26817	\N	EF	42284852
685719	2342	1997-08-05	PRIJEM	PREVOD Z UCTU	3247	26154	\N	EF	42284852
685720	2342	1997-09-05	PRIJEM	PREVOD Z UCTU	3247	26358	\N	EF	42284852
685721	2342	1997-10-05	PRIJEM	PREVOD Z UCTU	3247	27524	\N	EF	42284852
685722	2342	1997-11-05	PRIJEM	PREVOD Z UCTU	3247	28695	\N	EF	42284852
685723	2342	1997-12-05	PRIJEM	PREVOD Z UCTU	3247	29001	\N	EF	42284852
685724	2342	1998-01-05	PRIJEM	PREVOD Z UCTU	3247	28919	\N	EF	42284852
685725	2342	1998-02-05	PRIJEM	PREVOD Z UCTU	3247	26251	\N	EF	42284852
685726	2342	1998-03-05	PRIJEM	PREVOD Z UCTU	3247	27419	\N	EF	42284852
685727	2342	1998-04-05	PRIJEM	PREVOD Z UCTU	3247	28589	\N	EF	42284852
685728	2342	1998-05-05	PRIJEM	PREVOD Z UCTU	3247	28742	\N	EF	42284852
685729	2342	1998-06-05	PRIJEM	PREVOD Z UCTU	3247	24578	\N	EF	42284852
685730	2342	1998-07-05	PRIJEM	PREVOD Z UCTU	3247	25742	\N	EF	42284852
685731	2342	1998-08-05	PRIJEM	PREVOD Z UCTU	3247	26904	\N	EF	42284852
685732	2342	1998-09-05	PRIJEM	PREVOD Z UCTU	3247	28072	\N	EF	42284852
685733	2342	1998-10-05	PRIJEM	PREVOD Z UCTU	3247	28523	\N	EF	42284852
685734	2342	1998-11-05	PRIJEM	PREVOD Z UCTU	3247	29697	\N	EF	42284852
685735	2342	1998-12-05	PRIJEM	PREVOD Z UCTU	3247	30875	\N	EF	42284852
685742	2342	1993-07-12	VYDAJ	PREVOD NA UCET	2164	14471	SIPO	AB	54005241
685743	2342	1993-08-12	VYDAJ	PREVOD NA UCET	2164	15578	SIPO	AB	54005241
685744	2342	1993-09-12	VYDAJ	PREVOD NA UCET	2164	16710	SIPO	AB	54005241
685745	2342	1993-10-12	VYDAJ	PREVOD NA UCET	2164	17036	SIPO	AB	54005241
685746	2342	1993-11-12	VYDAJ	PREVOD NA UCET	2164	17996	SIPO	AB	54005241
685747	2342	1993-12-12	VYDAJ	PREVOD NA UCET	2164	18899	SIPO	AB	54005241
685748	2342	1994-01-12	VYDAJ	PREVOD NA UCET	2164	20048	SIPO	AB	54005241
685749	2342	1994-02-12	VYDAJ	PREVOD NA UCET	2164	13540	SIPO	AB	54005241
685750	2342	1994-03-12	VYDAJ	PREVOD NA UCET	2164	14665	SIPO	AB	54005241
685751	2342	1994-04-12	VYDAJ	PREVOD NA UCET	2164	15793	SIPO	AB	54005241
685752	2342	1994-05-12	VYDAJ	PREVOD NA UCET	2164	16925	SIPO	AB	54005241
685753	2342	1994-06-12	VYDAJ	PREVOD NA UCET	2164	18062	SIPO	AB	54005241
685754	2342	1994-07-12	VYDAJ	PREVOD NA UCET	2164	17913	SIPO	AB	54005241
685755	2342	1994-08-12	VYDAJ	PREVOD NA UCET	2164	18215	SIPO	AB	54005241
685756	2342	1994-09-12	VYDAJ	PREVOD NA UCET	2164	19360	SIPO	AB	54005241
685757	2342	1994-10-12	VYDAJ	PREVOD NA UCET	2164	20507	SIPO	AB	54005241
685758	2342	1994-11-12	VYDAJ	PREVOD NA UCET	2164	21659	SIPO	AB	54005241
685759	2342	1994-12-12	VYDAJ	PREVOD NA UCET	2164	22666	SIPO	AB	54005241
685760	2342	1995-01-12	VYDAJ	PREVOD NA UCET	2164	19559	SIPO	AB	54005241
685761	2342	1995-02-12	VYDAJ	PREVOD NA UCET	2164	18911	SIPO	AB	54005241
685762	2342	1995-03-12	VYDAJ	PREVOD NA UCET	2164	20056	SIPO	AB	54005241
685763	2342	1995-04-12	VYDAJ	PREVOD NA UCET	2164	20575	SIPO	AB	54005241
685764	2342	1995-05-12	VYDAJ	PREVOD NA UCET	2164	21727	SIPO	AB	54005241
685765	2342	1995-06-12	VYDAJ	PREVOD NA UCET	2164	22885	SIPO	AB	54005241
685766	2342	1995-07-12	VYDAJ	PREVOD NA UCET	2164	19566	SIPO	AB	54005241
685767	2342	1995-08-12	VYDAJ	PREVOD NA UCET	2164	20714	SIPO	AB	54005241
685768	2342	1995-09-12	VYDAJ	PREVOD NA UCET	2164	21867	SIPO	AB	54005241
685769	2342	1995-10-12	VYDAJ	PREVOD NA UCET	2164	23024	SIPO	AB	54005241
685770	2342	1995-11-12	VYDAJ	PREVOD NA UCET	2164	24186	SIPO	AB	54005241
685771	2342	1995-12-12	VYDAJ	PREVOD NA UCET	2164	24422	SIPO	AB	54005241
685772	2342	1996-01-12	VYDAJ	PREVOD NA UCET	2164	22622	SIPO	AB	54005241
685773	2342	1996-02-12	VYDAJ	PREVOD NA UCET	2164	22015	SIPO	AB	54005241
685774	2342	1996-03-12	VYDAJ	PREVOD NA UCET	2164	22482	SIPO	AB	54005241
685775	2342	1996-04-12	VYDAJ	PREVOD NA UCET	2164	23646	SIPO	AB	54005241
685776	2342	1996-05-12	VYDAJ	PREVOD NA UCET	2164	22740	SIPO	AB	54005241
685777	2342	1996-06-12	VYDAJ	PREVOD NA UCET	2164	22618	SIPO	AB	54005241
685778	2342	1996-07-12	VYDAJ	PREVOD NA UCET	2164	22792	SIPO	AB	54005241
685779	2342	1996-08-12	VYDAJ	PREVOD NA UCET	2164	22036	SIPO	AB	54005241
685780	2342	1996-09-12	VYDAJ	PREVOD NA UCET	2164	22840	SIPO	AB	54005241
685781	2342	1996-10-12	VYDAJ	PREVOD NA UCET	2164	24001	SIPO	AB	54005241
685782	2342	1996-11-12	VYDAJ	PREVOD NA UCET	2164	25167	SIPO	AB	54005241
685783	2342	1996-12-12	VYDAJ	PREVOD NA UCET	2164	26338	SIPO	AB	54005241
685784	2342	1997-01-12	VYDAJ	PREVOD NA UCET	2164	26792	SIPO	AB	54005241
685785	2342	1997-02-12	VYDAJ	PREVOD NA UCET	2164	23977	SIPO	AB	54005241
685786	2342	1997-03-12	VYDAJ	PREVOD NA UCET	2164	25142	SIPO	AB	54005241
685787	2342	1997-04-12	VYDAJ	PREVOD NA UCET	2164	26312	SIPO	AB	54005241
685788	2342	1997-05-12	VYDAJ	PREVOD NA UCET	2164	27277	SIPO	AB	54005241
685789	2342	1997-06-12	VYDAJ	PREVOD NA UCET	2164	23479	SIPO	AB	54005241
685790	2342	1997-07-12	VYDAJ	PREVOD NA UCET	2164	24653	SIPO	AB	54005241
685791	2342	1997-08-12	VYDAJ	PREVOD NA UCET	2164	23990	SIPO	AB	54005241
685792	2342	1997-09-12	VYDAJ	PREVOD NA UCET	2164	24194	SIPO	AB	54005241
685793	2342	1997-10-12	VYDAJ	PREVOD NA UCET	2164	25360	SIPO	AB	54005241
685794	2342	1997-11-12	VYDAJ	PREVOD NA UCET	2164	26531	SIPO	AB	54005241
685795	2342	1997-12-12	VYDAJ	PREVOD NA UCET	2164	26207	SIPO	AB	54005241
685796	2342	1998-01-12	VYDAJ	PREVOD NA UCET	2164	25165	SIPO	AB	54005241
685797	2342	1998-02-12	VYDAJ	PREVOD NA UCET	2164	24087	SIPO	AB	54005241
685798	2342	1998-03-12	VYDAJ	PREVOD NA UCET	2164	25255	SIPO	AB	54005241
685799	2342	1998-04-12	VYDAJ	PREVOD NA UCET	2164	25405	SIPO	AB	54005241
685800	2342	1998-05-12	VYDAJ	PREVOD NA UCET	2164	26578	SIPO	AB	54005241
685801	2342	1998-06-12	VYDAJ	PREVOD NA UCET	2164	22414	SIPO	AB	54005241
685802	2342	1998-07-12	VYDAJ	PREVOD NA UCET	2164	23578	SIPO	AB	54005241
685803	2342	1998-08-12	VYDAJ	PREVOD NA UCET	2164	24740	SIPO	AB	54005241
685804	2342	1998-09-12	VYDAJ	PREVOD NA UCET	2164	25908	SIPO	AB	54005241
685805	2342	1998-10-12	VYDAJ	PREVOD NA UCET	2164	26359	SIPO	AB	54005241
685806	2342	1998-11-12	VYDAJ	PREVOD NA UCET	2164	27533	SIPO	AB	54005241
685807	2342	1998-12-12	VYDAJ	PREVOD NA UCET	2164	28711	SIPO	AB	54005241
685810	2342	1995-06-13	VYDAJ	VYBER	3390	19495	\N	\N	\N
685811	2342	1996-06-04	VYDAJ	VYBER	1290	21535	\N	\N	\N
685812	2342	1997-06-05	VYDAJ	VYBER	4770	25643	\N	\N	\N
685813	2342	1998-06-02	VYDAJ	VYBER	5340	21331	\N	\N	\N
685815	2342	1994-01-27	VYDAJ	VYBER	1950	14498	\N	\N	\N
685816	2342	1995-01-21	VYDAJ	VYBER	1200	18359	\N	\N	\N
685817	2342	1996-01-04	VYDAJ	VYBER	750	21539	\N	\N	\N
685818	2342	1997-01-15	VYDAJ	VYBER	930	25352	\N	\N	\N
685819	2342	1998-01-08	VYDAJ	VYBER	1590	27329	\N	\N	\N
685820	2342	1993-12-03	VYDAJ	VYBER	240	17816	\N	\N	\N
685821	2342	1994-12-01	VYDAJ	VYBER	150	21583	\N	\N	\N
685822	2342	1995-12-02	VYDAJ	VYBER	240	23339	\N	\N	\N
685823	2342	1996-12-17	VYDAJ	VYBER	510	25828	\N	\N	\N
685824	2342	1997-12-11	VYDAJ	VYBER	630	28371	\N	\N	\N
685825	2342	1998-12-13	VYDAJ	VYBER	210	28501	\N	\N	\N
685832	2342	1994-01-21	VYDAJ	VYBER	420	17948	\N	\N	\N
685833	2342	1994-01-13	VYDAJ	VYBER	660	18578	\N	\N	\N
685834	2342	1994-01-24	VYDAJ	VYBER	630	16448	\N	\N	\N
685835	2342	1994-01-15	VYDAJ	VYBER	210	18368	\N	\N	\N
685836	2342	1994-01-22	VYDAJ	VYBER	870	17078	\N	\N	\N
685837	2342	1994-01-12	VYDAJ	VYBER	810	19238	\N	\N	\N
685838	2342	1995-01-29	VYDAJ	VYBER	600	17759	\N	\N	\N
685839	2342	1995-01-11	VYDAJ	VYBER	870	22113	\N	\N	\N
685840	2342	1995-01-04	VYDAJ	VYBER	510	20096	\N	\N	\N
685841	2342	1995-01-07	VYDAJ	VYBER	360	22983	\N	\N	\N
685842	2342	1995-01-03	VYDAJ	VYBER	690	20606	\N	\N	\N
685843	2342	1995-01-11	VYDAJ	VYBER	390	21723	\N	\N	\N
685844	2342	1996-01-02	VYDAJ	VYBER	720	22289	\N	\N	\N
685845	2342	1996-01-01	VYDAJ	VYBER	600	23009	\N	\N	\N
685846	2342	1996-01-28	VYDAJ	VYBER	390	21122	\N	\N	\N
685847	2342	1996-01-25	VYDAJ	VYBER	570	21512	\N	\N	\N
685848	2342	1996-01-28	VYDAJ	VYBER	270	20852	\N	\N	\N
685849	2342	1996-01-17	VYDAJ	VYBER	540	22082	\N	\N	\N
685850	2342	1997-01-15	VYDAJ	VYBER	510	26282	\N	\N	\N
685851	2342	1997-01-03	VYDAJ	VYBER	210	25709	\N	\N	\N
685852	2342	1997-01-16	VYDAJ	VYBER	300	25052	\N	\N	\N
685853	2342	1997-01-25	VYDAJ	VYBER	750	23552	\N	\N	\N
685854	2342	1997-01-19	VYDAJ	VYBER	750	24302	\N	\N	\N
685855	2342	1997-01-29	VYDAJ	VYBER	750	22802	\N	\N	\N
685856	2342	1998-01-26	VYDAJ	VYBER	240	23455	\N	\N	\N
685857	2342	1998-01-15	VYDAJ	VYBER	210	24955	\N	\N	\N
685858	2342	1998-01-17	VYDAJ	VYBER	690	23695	\N	\N	\N
685859	2342	1998-01-04	VYDAJ	VYBER	630	25672	\N	\N	\N
685860	2342	1998-01-15	VYDAJ	VYBER	270	24685	\N	\N	\N
685861	2342	1998-01-15	VYDAJ	VYBER	300	24385	\N	\N	\N
685863	2342	1993-11-09	VYDAJ	VYBER	180	20160	\N	\N	\N
685865	2342	1993-10-10	VYDAJ	VYBER	180	19830	\N	\N	\N
685866	2342	1993-10-11	VYDAJ	VYBER	630	19200	\N	\N	\N
685867	2342	1994-12-24	VYDAJ	VYBER	1050	21616	\N	\N	\N
685868	2342	1994-02-09	VYDAJ	VYBER	690	15704	\N	\N	\N
685869	2342	1994-01-27	VYDAJ	VYBER	1410	13088	\N	\N	\N
685870	2342	1994-08-08	VYDAJ	VYBER	840	20379	\N	\N	\N
685871	2342	1994-06-25	VYDAJ	VYBER	1290	16772	\N	\N	\N
685872	2342	1995-06-17	VYDAJ	VYBER	870	18625	\N	\N	\N
685873	2342	1995-11-17	VYDAJ	VYBER	690	23496	\N	\N	\N
685874	2342	1995-06-21	VYDAJ	VYBER	210	18415	\N	\N	\N
685875	2342	1995-12-23	VYDAJ	VYBER	900	23522	\N	\N	\N
685876	2342	1995-03-20	VYDAJ	VYBER	630	19426	\N	\N	\N
685877	2342	1996-04-29	VYDAJ	VYBER	1020	22626	\N	\N	\N
685878	2342	1996-08-20	VYDAJ	VYBER	360	21676	\N	\N	\N
685879	2342	1996-05-12	VYDAJ	VYBER	1050	24904	\N	\N	\N
685880	2342	1996-08-02	VYDAJ	VYBER	960	21913	\N	\N	\N
685881	2342	1996-03-04	VYDAJ	VYBER	690	21399	\N	\N	\N
685882	2342	1996-07-08	VYDAJ	VYBER	990	24956	\N	\N	\N
685883	2342	1996-08-12	VYDAJ	VYBER	960	24200	\N	\N	\N
685884	2342	1997-08-29	VYDAJ	VYBER	960	23030	\N	\N	\N
685885	2342	1997-05-04	VYDAJ	VYBER	210	26194	\N	\N	\N
685886	2342	1997-07-28	VYDAJ	VYBER	930	22823	\N	\N	\N
685887	2342	1997-05-22	VYDAJ	VYBER	210	27067	\N	\N	\N
685888	2342	1997-07-24	VYDAJ	VYBER	900	23753	\N	\N	\N
685889	2342	1997-12-01	VYDAJ	VYBER	870	25754	\N	\N	\N
685890	2342	1998-02-02	VYDAJ	VYBER	540	23004	\N	\N	\N
685891	2342	1998-09-20	VYDAJ	VYBER	720	25188	\N	\N	\N
685892	2342	1998-04-09	VYDAJ	VYBER	1020	27569	\N	\N	\N
685900	2342	1993-07-31	VYDAJ	VYBER	15	14495	SLUZBY	\N	\N
685901	2342	1993-08-31	VYDAJ	VYBER	15	15627	SLUZBY	\N	\N
685902	2342	1993-09-30	VYDAJ	VYBER	15	16763	SLUZBY	\N	\N
685903	2342	1993-10-31	VYDAJ	VYBER	15	17093	SLUZBY	\N	\N
685904	2342	1993-11-30	VYDAJ	VYBER	15	18056	SLUZBY	\N	\N
685905	2342	1993-12-31	VYDAJ	VYBER	15	18965	SLUZBY	\N	\N
685906	2342	1994-01-31	VYDAJ	VYBER	15	13147	SLUZBY	\N	\N
685907	2342	1994-02-28	VYDAJ	VYBER	15	13582	SLUZBY	\N	\N
685908	2342	1994-03-31	VYDAJ	VYBER	15	14710	SLUZBY	\N	\N
685909	2342	1994-04-30	VYDAJ	VYBER	15	15842	SLUZBY	\N	\N
685910	2342	1994-05-31	VYDAJ	VYBER	15	16979	SLUZBY	\N	\N
685911	2342	1994-06-30	VYDAJ	VYBER	15	16830	SLUZBY	\N	\N
685912	2342	1994-07-31	VYDAJ	VYBER	15	17972	SLUZBY	\N	\N
685913	2342	1994-08-31	VYDAJ	VYBER	15	18277	SLUZBY	\N	\N
685914	2342	1994-09-30	VYDAJ	VYBER	15	19424	SLUZBY	\N	\N
685915	2342	1994-10-31	VYDAJ	VYBER	15	20576	SLUZBY	\N	\N
685916	2342	1994-11-30	VYDAJ	VYBER	15	21733	SLUZBY	\N	\N
685917	2342	1994-12-31	VYDAJ	VYBER	15	21696	SLUZBY	\N	\N
685918	2342	1995-01-31	VYDAJ	VYBER	15	17828	SLUZBY	\N	\N
685919	2342	1995-02-28	VYDAJ	VYBER	15	18973	SLUZBY	\N	\N
685920	2342	1995-03-31	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
685921	2342	1995-04-30	VYDAJ	VYBER	15	20644	SLUZBY	\N	\N
685922	2342	1995-05-31	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
685923	2342	1995-06-30	VYDAJ	VYBER	15	18483	SLUZBY	\N	\N
685924	2342	1995-07-31	VYDAJ	VYBER	15	19631	SLUZBY	\N	\N
685925	2342	1995-08-31	VYDAJ	VYBER	15	20784	SLUZBY	\N	\N
685926	2342	1995-09-30	VYDAJ	VYBER	15	21941	SLUZBY	\N	\N
685927	2342	1995-10-31	VYDAJ	VYBER	15	23103	SLUZBY	\N	\N
685928	2342	1995-11-30	VYDAJ	VYBER	15	23579	SLUZBY	\N	\N
685929	2342	1995-12-31	VYDAJ	VYBER	15	23609	SLUZBY	\N	\N
685930	2342	1996-01-31	VYDAJ	VYBER	15	20932	SLUZBY	\N	\N
685931	2342	1996-02-29	VYDAJ	VYBER	15	22089	SLUZBY	\N	\N
685932	2342	1996-03-31	VYDAJ	VYBER	15	22563	SLUZBY	\N	\N
685933	2342	1996-04-30	VYDAJ	VYBER	15	22707	SLUZBY	\N	\N
685934	2342	1996-05-31	VYDAJ	VYBER	15	22825	SLUZBY	\N	\N
685935	2342	1996-06-30	VYDAJ	VYBER	15	22699	SLUZBY	\N	\N
685936	2342	1996-07-31	VYDAJ	VYBER	15	22873	SLUZBY	\N	\N
685937	2342	1996-08-31	VYDAJ	VYBER	15	21757	SLUZBY	\N	\N
685938	2342	1996-09-30	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
685939	2342	1996-10-31	VYDAJ	VYBER	15	24084	SLUZBY	\N	\N
685940	2342	1996-11-30	VYDAJ	VYBER	15	25255	SLUZBY	\N	\N
685941	2342	1996-12-31	VYDAJ	VYBER	15	25919	SLUZBY	\N	\N
685942	2342	1997-01-31	VYDAJ	VYBER	15	22894	SLUZBY	\N	\N
685943	2342	1997-02-28	VYDAJ	VYBER	15	24059	SLUZBY	\N	\N
685944	2342	1997-03-31	VYDAJ	VYBER	15	25229	SLUZBY	\N	\N
685945	2342	1997-04-30	VYDAJ	VYBER	15	26404	SLUZBY	\N	\N
685946	2342	1997-05-31	VYDAJ	VYBER	15	27166	SLUZBY	\N	\N
685947	2342	1997-06-30	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
685948	2342	1997-07-31	VYDAJ	VYBER	15	22907	SLUZBY	\N	\N
685949	2342	1997-08-31	VYDAJ	VYBER	15	23111	SLUZBY	\N	\N
685950	2342	1997-09-30	VYDAJ	VYBER	15	24277	SLUZBY	\N	\N
685951	2342	1997-10-31	VYDAJ	VYBER	15	25448	SLUZBY	\N	\N
685952	2342	1997-11-30	VYDAJ	VYBER	15	26624	SLUZBY	\N	\N
685953	2342	1997-12-31	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
685954	2342	1998-01-31	VYDAJ	VYBER	15	23544	SLUZBY	\N	\N
685955	2342	1998-02-28	VYDAJ	VYBER	15	24172	SLUZBY	\N	\N
685956	2342	1998-03-31	VYDAJ	VYBER	15	25342	SLUZBY	\N	\N
685957	2342	1998-04-30	VYDAJ	VYBER	15	25495	SLUZBY	\N	\N
685958	2342	1998-05-31	VYDAJ	VYBER	15	26671	SLUZBY	\N	\N
685959	2342	1998-06-30	VYDAJ	VYBER	15	22495	SLUZBY	\N	\N
685960	2342	1998-07-31	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
685961	2342	1998-08-31	VYDAJ	VYBER	15	24825	SLUZBY	\N	\N
685962	2342	1998-09-30	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
685963	2342	1998-10-31	VYDAJ	VYBER	15	26450	SLUZBY	\N	\N
685964	2342	1998-11-30	VYDAJ	VYBER	15	27628	SLUZBY	\N	\N
685965	2342	1995-01-02	VYDAJ	VYBER	400	21296	\N	\N	\N
686032	2343	1994-12-09	PRIJEM	VKLAD	300	300	\N	\N	\N
686045	2343	1995-01-07	PRIJEM	VKLAD	11244	11544	\N	\N	\N
686046	2343	1995-02-07	PRIJEM	VKLAD	11244	29447	\N	\N	\N
686047	2343	1995-03-07	PRIJEM	VKLAD	11244	39503	\N	\N	\N
686048	2343	1995-04-07	PRIJEM	VKLAD	11244	44080	\N	\N	\N
686049	2343	1995-05-07	PRIJEM	VKLAD	11244	46568	\N	\N	\N
686050	2343	1995-06-07	PRIJEM	VKLAD	16866	34287	\N	\N	\N
686051	2343	1995-07-07	PRIJEM	VKLAD	11244	35690	\N	\N	\N
686052	2343	1995-08-07	PRIJEM	VKLAD	11244	30899	\N	\N	\N
686053	2343	1995-09-07	PRIJEM	VKLAD	11244	31812	\N	\N	\N
686054	2343	1995-10-07	PRIJEM	VKLAD	11244	38532	\N	\N	\N
686055	2343	1995-11-07	PRIJEM	VKLAD	11244	39568	\N	\N	\N
686056	2343	1995-12-07	PRIJEM	VKLAD	16866	46290	\N	\N	\N
686057	2343	1996-01-07	PRIJEM	VKLAD	11244	45202	\N	\N	\N
686058	2343	1996-02-07	PRIJEM	VKLAD	11244	40993	\N	\N	\N
686059	2343	1996-03-07	PRIJEM	VKLAD	11244	41321	\N	\N	\N
686060	2343	1996-04-07	PRIJEM	VKLAD	11244	43624	\N	\N	\N
686061	2343	1996-05-07	PRIJEM	VKLAD	11244	43353	\N	\N	\N
686062	2343	1996-06-07	PRIJEM	VKLAD	16866	49925	\N	\N	\N
686063	2343	1996-07-07	PRIJEM	VKLAD	11244	53061	\N	\N	\N
686064	2343	1996-08-07	PRIJEM	VKLAD	11244	52513	\N	\N	\N
686065	2343	1996-09-07	PRIJEM	VKLAD	11244	51960	\N	\N	\N
686066	2343	1996-10-07	PRIJEM	VKLAD	11244	52386	\N	\N	\N
686067	2343	1996-11-07	PRIJEM	VKLAD	11244	55736	\N	\N	\N
686068	2343	1996-12-07	PRIJEM	VKLAD	16866	61718	\N	\N	\N
686069	2343	1997-01-07	PRIJEM	VKLAD	11244	55729	\N	\N	\N
686070	2343	1997-02-07	PRIJEM	VKLAD	11244	48574	\N	\N	\N
686071	2343	1997-03-07	PRIJEM	VKLAD	11244	52505	\N	\N	\N
686072	2343	1997-04-07	PRIJEM	VKLAD	11244	49749	\N	\N	\N
686073	2343	1997-05-07	PRIJEM	VKLAD	11244	52985	\N	\N	\N
686074	2343	1997-06-07	PRIJEM	VKLAD	16866	59555	\N	\N	\N
686075	2343	1997-07-07	PRIJEM	VKLAD	11244	59823	\N	\N	\N
686076	2343	1997-08-07	PRIJEM	VKLAD	11244	57214	\N	\N	\N
686077	2343	1997-09-07	PRIJEM	VKLAD	11244	57584	\N	\N	\N
686078	2343	1997-10-07	PRIJEM	VKLAD	11244	55373	\N	\N	\N
686079	2343	1997-11-07	PRIJEM	VKLAD	11244	52226	\N	\N	\N
686080	2343	1997-12-07	PRIJEM	VKLAD	16866	61839	\N	\N	\N
686081	2343	1998-01-07	PRIJEM	VKLAD	11244	55564	\N	\N	\N
686082	2343	1998-02-07	PRIJEM	VKLAD	11244	41760	\N	\N	\N
686083	2343	1998-03-07	PRIJEM	VKLAD	11244	50120	\N	\N	\N
686084	2343	1998-04-07	PRIJEM	VKLAD	11244	46390	\N	\N	\N
686085	2343	1998-05-07	PRIJEM	VKLAD	11244	49161	\N	\N	\N
686086	2343	1998-06-07	PRIJEM	VKLAD	16866	54549	\N	\N	\N
686087	2343	1998-07-07	PRIJEM	VKLAD	11244	36004	\N	\N	\N
686088	2343	1998-08-07	PRIJEM	VKLAD	11244	45438	\N	\N	\N
686089	2343	1998-09-07	PRIJEM	VKLAD	11244	47733	\N	\N	\N
686090	2343	1998-10-07	PRIJEM	VKLAD	11244	51100	\N	\N	\N
686091	2343	1998-11-07	PRIJEM	VKLAD	11244	52978	\N	\N	\N
686092	2343	1998-12-07	PRIJEM	VKLAD	16866	49079	\N	\N	\N
686109	2343	1995-05-09	VYDAJ	PREVOD NA UCET	4723	29945	SIPO	UV	28312742
686110	2343	1995-06-09	VYDAJ	PREVOD NA UCET	4723	24364	SIPO	UV	28312742
686111	2343	1995-07-09	VYDAJ	PREVOD NA UCET	4723	25667	SIPO	UV	28312742
686112	2343	1995-08-09	VYDAJ	PREVOD NA UCET	4723	26176	SIPO	UV	28312742
686113	2343	1995-09-09	VYDAJ	PREVOD NA UCET	4723	27089	SIPO	UV	28312742
686114	2343	1995-10-09	VYDAJ	PREVOD NA UCET	4723	33809	SIPO	UV	28312742
686115	2343	1995-11-09	VYDAJ	PREVOD NA UCET	4723	34845	SIPO	UV	28312742
686116	2343	1995-12-09	VYDAJ	PREVOD NA UCET	4723	41567	SIPO	UV	28312742
686117	2343	1996-01-09	VYDAJ	PREVOD NA UCET	4723	40479	SIPO	UV	28312742
686118	2343	1996-02-09	VYDAJ	PREVOD NA UCET	4723	36270	SIPO	UV	28312742
686119	2343	1996-03-09	VYDAJ	PREVOD NA UCET	4723	36598	SIPO	UV	28312742
686120	2343	1996-04-09	VYDAJ	PREVOD NA UCET	4723	38901	SIPO	UV	28312742
686121	2343	1996-05-09	VYDAJ	PREVOD NA UCET	4723	38630	SIPO	UV	28312742
686122	2343	1996-06-09	VYDAJ	PREVOD NA UCET	4723	45202	SIPO	UV	28312742
686123	2343	1996-07-09	VYDAJ	PREVOD NA UCET	4723	48338	SIPO	UV	28312742
686124	2343	1996-08-09	VYDAJ	PREVOD NA UCET	4723	47790	SIPO	UV	28312742
686125	2343	1996-09-09	VYDAJ	PREVOD NA UCET	4723	47237	SIPO	UV	28312742
686126	2343	1996-10-09	VYDAJ	PREVOD NA UCET	4723	47663	SIPO	UV	28312742
686127	2343	1996-11-09	VYDAJ	PREVOD NA UCET	4723	51013	SIPO	UV	28312742
686128	2343	1996-12-09	VYDAJ	PREVOD NA UCET	4723	56995	SIPO	UV	28312742
686129	2343	1997-01-09	VYDAJ	PREVOD NA UCET	4723	51006	SIPO	UV	28312742
686130	2343	1997-02-09	VYDAJ	PREVOD NA UCET	4723	43851	SIPO	UV	28312742
686131	2343	1997-03-09	VYDAJ	PREVOD NA UCET	4723	47782	SIPO	UV	28312742
686132	2343	1997-04-09	VYDAJ	PREVOD NA UCET	4723	45026	SIPO	UV	28312742
686133	2343	1997-05-09	VYDAJ	PREVOD NA UCET	4723	48262	SIPO	UV	28312742
686134	2343	1997-06-09	VYDAJ	PREVOD NA UCET	4723	54832	SIPO	UV	28312742
686135	2343	1997-07-09	VYDAJ	PREVOD NA UCET	4723	51860	SIPO	UV	28312742
686136	2343	1997-08-09	VYDAJ	PREVOD NA UCET	4723	52491	SIPO	UV	28312742
686137	2343	1997-09-09	VYDAJ	PREVOD NA UCET	4723	44701	SIPO	UV	28312742
686138	2343	1997-10-09	VYDAJ	PREVOD NA UCET	4723	50650	SIPO	UV	28312742
686139	2343	1997-11-09	VYDAJ	PREVOD NA UCET	4723	47503	SIPO	UV	28312742
686140	2343	1997-12-09	VYDAJ	PREVOD NA UCET	4723	57116	SIPO	UV	28312742
686141	2343	1998-01-09	VYDAJ	PREVOD NA UCET	4723	50841	SIPO	UV	28312742
686142	2343	1998-02-09	VYDAJ	PREVOD NA UCET	4723	37037	SIPO	UV	28312742
686143	2343	1998-03-09	VYDAJ	PREVOD NA UCET	4723	45397	SIPO	UV	28312742
686144	2343	1998-04-09	VYDAJ	PREVOD NA UCET	4723	41667	SIPO	UV	28312742
686145	2343	1998-05-09	VYDAJ	PREVOD NA UCET	4723	44438	SIPO	UV	28312742
686146	2343	1998-06-09	VYDAJ	PREVOD NA UCET	4723	21666	SIPO	UV	28312742
686147	2343	1998-07-09	VYDAJ	PREVOD NA UCET	4723	31281	SIPO	UV	28312742
686148	2343	1998-08-09	VYDAJ	PREVOD NA UCET	4723	40715	SIPO	UV	28312742
686149	2343	1998-09-09	VYDAJ	PREVOD NA UCET	4723	43010	SIPO	UV	28312742
686150	2343	1998-10-09	VYDAJ	PREVOD NA UCET	4723	46377	SIPO	UV	28312742
686151	2343	1998-11-09	VYDAJ	PREVOD NA UCET	4723	48255	SIPO	UV	28312742
686152	2343	1998-12-09	VYDAJ	PREVOD NA UCET	4723	44356	SIPO	UV	28312742
686169	2343	1995-05-11	VYDAJ	VYBER	6200	23745	\N	\N	0
686170	2343	1995-05-28	VYDAJ	VYBER	3900	19845	\N	\N	0
686171	2343	1995-07-16	VYDAJ	VYBER	2300	23367	\N	\N	0
686172	2343	1995-08-06	VYDAJ	VYBER	3700	19655	\N	\N	0
686173	2343	1995-09-06	VYDAJ	VYBER	3200	20568	\N	\N	0
686174	2343	1995-10-16	VYDAJ	VYBER	3100	30709	\N	\N	0
686175	2343	1995-11-12	VYDAJ	PREVOD NA UCET	4139	30706	UVER	KL	67309921
686176	2343	1995-12-12	VYDAJ	PREVOD NA UCET	4139	37428	UVER	KL	67309921
686177	2343	1996-01-12	VYDAJ	PREVOD NA UCET	4139	36340	UVER	KL	67309921
686178	2343	1996-02-12	VYDAJ	PREVOD NA UCET	4139	32131	UVER	KL	67309921
686179	2343	1996-03-12	VYDAJ	PREVOD NA UCET	4139	32459	UVER	KL	67309921
686180	2343	1996-04-12	VYDAJ	PREVOD NA UCET	4139	34762	UVER	KL	67309921
686181	2343	1996-05-12	VYDAJ	PREVOD NA UCET	4139	34491	UVER	KL	67309921
686182	2343	1996-06-12	VYDAJ	PREVOD NA UCET	4139	41063	UVER	KL	67309921
686183	2343	1996-07-12	VYDAJ	PREVOD NA UCET	4139	44199	UVER	KL	67309921
686184	2343	1996-08-12	VYDAJ	PREVOD NA UCET	4139	43651	UVER	KL	67309921
686185	2343	1996-09-12	VYDAJ	PREVOD NA UCET	4139	43098	UVER	KL	67309921
686186	2343	1996-10-12	VYDAJ	PREVOD NA UCET	4139	43524	UVER	KL	67309921
686187	2343	1996-11-12	VYDAJ	PREVOD NA UCET	4139	46874	UVER	KL	67309921
686188	2343	1996-12-12	VYDAJ	PREVOD NA UCET	4139	52856	UVER	KL	67309921
686189	2343	1997-01-12	VYDAJ	PREVOD NA UCET	4139	46867	UVER	KL	67309921
686190	2343	1997-02-12	VYDAJ	PREVOD NA UCET	4139	39712	UVER	KL	67309921
686191	2343	1997-03-12	VYDAJ	PREVOD NA UCET	4139	43643	UVER	KL	67309921
686192	2343	1997-04-12	VYDAJ	PREVOD NA UCET	4139	40887	UVER	KL	67309921
686193	2343	1997-05-12	VYDAJ	PREVOD NA UCET	4139	44123	UVER	KL	67309921
686194	2343	1997-06-12	VYDAJ	PREVOD NA UCET	4139	50693	UVER	KL	67309921
686195	2343	1997-07-12	VYDAJ	PREVOD NA UCET	4139	47721	UVER	KL	67309921
686196	2343	1997-08-12	VYDAJ	PREVOD NA UCET	4139	48352	UVER	KL	67309921
686197	2343	1997-09-12	VYDAJ	PREVOD NA UCET	4139	40562	UVER	KL	67309921
686198	2343	1997-10-12	VYDAJ	PREVOD NA UCET	4139	46511	UVER	KL	67309921
686199	2343	1997-10-25	VYDAJ	VYBER	3600	40811	\N	\N	0
686200	2343	1997-12-09	VYDAJ	VYBER	4000	53116	\N	\N	0
686201	2343	1998-01-10	VYDAJ	VYBER	5700	45141	\N	\N	0
686202	2343	1998-02-03	VYDAJ	VYBER	4400	31956	\N	\N	0
686203	2343	1998-03-15	VYDAJ	VYBER	5800	39597	\N	\N	0
686204	2343	1998-04-02	VYDAJ	VYBER	3200	35146	\N	\N	0
686205	2343	1998-05-12	VYDAJ	VYBER	3800	40638	\N	\N	0
686206	2343	1998-06-16	VYDAJ	VYBER	2400	19266	\N	\N	0
686207	2343	1998-07-06	VYDAJ	VYBER	2700	24760	\N	\N	0
686208	2343	1998-08-09	VYDAJ	VYBER	4100	36615	\N	\N	0
686209	2343	1998-09-10	VYDAJ	VYBER	2500	40510	\N	\N	0
686210	2343	1998-10-14	VYDAJ	VYBER	3800	42577	\N	\N	0
686211	2343	1998-11-11	VYDAJ	VYBER	4500	43755	\N	\N	0
686212	2343	1998-12-03	VYDAJ	VYBER	5200	36213	\N	\N	0
686217	2343	1998-06-07	VYDAJ	VYBER	28160	26389	\N	\N	\N
686220	2343	1996-01-18	VYDAJ	VYBER	11520	24820	\N	\N	\N
686221	2343	1997-01-13	VYDAJ	VYBER	15680	31187	\N	\N	\N
686222	2343	1998-01-19	VYDAJ	VYBER	8640	36501	\N	\N	\N
686224	2343	1995-12-27	VYDAJ	VYBER	1280	30628	\N	\N	\N
686225	2343	1996-12-16	VYDAJ	VYBER	2560	50296	\N	\N	\N
686226	2343	1997-12-19	VYDAJ	VYBER	2880	50236	\N	\N	\N
686227	2343	1998-12-05	VYDAJ	VYBER	4000	32213	\N	\N	\N
686233	2343	1995-12-19	VYDAJ	VYBER	2280	35148	\N	\N	\N
686235	2343	1995-08-05	VYDAJ	VYBER	1200	21055	\N	\N	\N
686236	2343	1995-05-31	VYDAJ	VYBER	2520	17435	\N	\N	\N
686237	2343	1995-07-30	VYDAJ	VYBER	1200	22167	\N	\N	\N
686238	2343	1995-12-21	VYDAJ	VYBER	3240	31908	\N	\N	\N
686240	2343	1996-09-30	VYDAJ	VYBER	2640	41156	\N	\N	\N
686241	2343	1996-09-30	VYDAJ	VYBER	1080	43796	\N	\N	\N
686242	2343	1996-02-18	VYDAJ	VYBER	3960	28171	\N	\N	\N
686243	2343	1996-01-21	VYDAJ	VYBER	4080	20740	\N	\N	\N
686244	2343	1996-05-19	VYDAJ	VYBER	960	33531	\N	\N	\N
686245	2343	1996-04-23	VYDAJ	VYBER	4680	30082	\N	\N	\N
686246	2343	1997-07-07	VYDAJ	VYBER	3240	56583	\N	\N	\N
686247	2343	1997-09-09	VYDAJ	VYBER	4920	49424	\N	\N	\N
686248	2343	1997-08-01	VYDAJ	VYBER	3840	45970	\N	\N	\N
686249	2343	1997-09-08	VYDAJ	VYBER	3240	54344	\N	\N	\N
686250	2343	1998-05-19	VYDAJ	VYBER	3600	37038	\N	\N	\N
686251	2343	1998-08-17	VYDAJ	VYBER	5160	31455	\N	\N	\N
686252	2343	1998-02-05	VYDAJ	VYBER	1440	30516	\N	\N	\N
686253	2343	1998-07-10	VYDAJ	VYBER	1200	30081	\N	\N	\N
686271	2343	1995-05-31	VYDAJ	VYBER	15	17421	SLUZBY	\N	\N
686272	2343	1995-06-30	VYDAJ	VYBER	15	24446	SLUZBY	\N	\N
686273	2343	1995-07-31	VYDAJ	VYBER	15	22255	SLUZBY	\N	\N
686274	2343	1995-08-31	VYDAJ	VYBER	15	26268	SLUZBY	\N	\N
686275	2343	1995-09-30	VYDAJ	VYBER	15	27188	SLUZBY	\N	\N
686276	2343	1995-10-31	VYDAJ	VYBER	15	30824	SLUZBY	\N	\N
686277	2343	1995-11-30	VYDAJ	VYBER	15	30824	SLUZBY	\N	\N
686278	2343	1995-12-31	VYDAJ	VYBER	15	30758	SLUZBY	\N	\N
686279	2343	1996-01-31	VYDAJ	VYBER	15	20849	SLUZBY	\N	\N
686280	2343	1996-02-29	VYDAJ	VYBER	15	28277	SLUZBY	\N	\N
686281	2343	1996-03-31	VYDAJ	VYBER	15	32580	SLUZBY	\N	\N
686282	2343	1996-04-30	VYDAJ	VYBER	15	30209	SLUZBY	\N	\N
686283	2343	1996-05-31	VYDAJ	VYBER	15	33659	SLUZBY	\N	\N
686284	2343	1996-06-30	VYDAJ	VYBER	15	41217	SLUZBY	\N	\N
686285	2343	1996-07-31	VYDAJ	VYBER	15	41269	SLUZBY	\N	\N
686286	2343	1996-08-31	VYDAJ	VYBER	15	40716	SLUZBY	\N	\N
686287	2343	1996-09-30	VYDAJ	VYBER	15	41142	SLUZBY	\N	\N
686288	2343	1996-10-31	VYDAJ	VYBER	15	44492	SLUZBY	\N	\N
686289	2343	1996-11-30	VYDAJ	VYBER	15	44852	SLUZBY	\N	\N
686290	2343	1996-12-31	VYDAJ	VYBER	15	44485	SLUZBY	\N	\N
686291	2343	1997-01-31	VYDAJ	VYBER	15	37330	SLUZBY	\N	\N
686292	2343	1997-02-28	VYDAJ	VYBER	15	41261	SLUZBY	\N	\N
686293	2343	1997-03-31	VYDAJ	VYBER	15	38505	SLUZBY	\N	\N
686294	2343	1997-04-30	VYDAJ	VYBER	15	41741	SLUZBY	\N	\N
686295	2343	1997-05-31	VYDAJ	VYBER	15	42689	SLUZBY	\N	\N
686296	2343	1997-06-30	VYDAJ	VYBER	15	48579	SLUZBY	\N	\N
686297	2343	1997-07-31	VYDAJ	VYBER	15	49810	SLUZBY	\N	\N
686298	2343	1997-08-31	VYDAJ	VYBER	15	46340	SLUZBY	\N	\N
686299	2343	1997-09-30	VYDAJ	VYBER	15	44129	SLUZBY	\N	\N
686300	2343	1997-10-31	VYDAJ	VYBER	15	40982	SLUZBY	\N	\N
686301	2343	1997-11-30	VYDAJ	VYBER	15	44973	SLUZBY	\N	\N
686302	2343	1997-12-31	VYDAJ	VYBER	15	44320	SLUZBY	\N	\N
686303	2343	1998-01-31	VYDAJ	VYBER	15	36356	SLUZBY	\N	\N
686304	2343	1998-02-28	VYDAJ	VYBER	15	38876	SLUZBY	\N	\N
686305	2343	1998-03-31	VYDAJ	VYBER	15	38346	SLUZBY	\N	\N
686306	2343	1998-04-30	VYDAJ	VYBER	15	37917	SLUZBY	\N	\N
686307	2343	1998-05-31	VYDAJ	VYBER	15	37683	SLUZBY	\N	\N
686308	2343	1998-06-30	VYDAJ	VYBER	15	27460	SLUZBY	\N	\N
686309	2343	1998-07-31	VYDAJ	VYBER	15	34194	SLUZBY	\N	\N
686310	2343	1998-08-31	VYDAJ	VYBER	15	36489	SLUZBY	\N	\N
686311	2343	1998-09-30	VYDAJ	VYBER	15	39856	SLUZBY	\N	\N
686312	2343	1998-10-31	VYDAJ	VYBER	15	41734	SLUZBY	\N	\N
686313	2343	1998-11-30	VYDAJ	VYBER	15	41413	SLUZBY	\N	\N
686314	2343	1995-01-08	PRIJEM	VKLAD	6600	18144	\N	\N	\N
686315	2343	1995-02-07	VYDAJ	VYBER	1300	28147	\N	\N	\N
686316	2343	1995-03-09	VYDAJ	VYBER	6800	32703	\N	\N	\N
686317	2343	1995-04-08	VYDAJ	VYBER	8900	35180	\N	\N	\N
686318	2343	1995-05-08	VYDAJ	VYBER	11900	34668	\N	\N	\N
686319	2343	1995-06-07	VYDAJ	VYBER	5200	29087	\N	\N	\N
686320	2343	1995-07-07	VYDAJ	VYBER	5300	30390	\N	\N	\N
686321	2343	1995-08-06	PRIJEM	VKLAD	2300	23355	\N	\N	\N
686322	2343	1995-09-05	VYDAJ	VYBER	2500	23768	\N	\N	\N
686323	2343	1995-10-05	PRIJEM	VKLAD	100	27288	\N	\N	\N
686324	2343	1995-11-04	VYDAJ	VYBER	2500	28324	\N	\N	\N
686325	2343	1995-12-04	VYDAJ	VYBER	1400	29424	\N	\N	\N
686326	2343	1996-01-03	PRIJEM	VKLAD	3200	33958	\N	\N	\N
686327	2343	1996-02-02	PRIJEM	VKLAD	8900	29749	\N	\N	\N
686328	2343	1996-03-03	PRIJEM	VKLAD	1800	30077	\N	\N	\N
686329	2343	1996-04-02	VYDAJ	VYBER	200	32380	\N	\N	\N
686330	2343	1996-05-02	PRIJEM	VKLAD	1900	32109	\N	\N	\N
686331	2343	1996-06-01	VYDAJ	VYBER	600	33059	\N	\N	\N
686332	2343	1996-07-01	PRIJEM	VKLAD	600	41817	\N	\N	\N
686333	2343	1996-07-31	VYDAJ	VYBER	3100	41284	\N	\N	\N
686334	2343	1996-08-30	VYDAJ	VYBER	3100	40551	\N	\N	\N
686335	2343	1996-09-29	PRIJEM	VKLAD	1600	44698	\N	\N	\N
686336	2343	1996-10-29	PRIJEM	VKLAD	800	44324	\N	\N	\N
686337	2343	1996-11-28	VYDAJ	VYBER	2200	44674	\N	\N	\N
686338	2343	1996-12-28	VYDAJ	VYBER	6000	44296	\N	\N	\N
686339	2343	1997-01-27	PRIJEM	VKLAD	6000	37187	\N	\N	\N
686340	2343	1997-02-26	PRIJEM	VKLAD	1400	41112	\N	\N	\N
686341	2343	1997-03-28	VYDAJ	VYBER	5300	38343	\N	\N	\N
686342	2343	1997-04-27	PRIJEM	VKLAD	700	41587	\N	\N	\N
686343	2343	1997-05-27	VYDAJ	VYBER	1600	42523	\N	\N	\N
686344	2343	1997-06-26	VYDAJ	VYBER	2300	48393	\N	\N	\N
686345	2343	1997-07-26	PRIJEM	VKLAD	1900	49621	\N	\N	\N
686346	2343	1997-08-25	VYDAJ	VYBER	2200	46152	\N	\N	\N
686347	2343	1997-09-24	PRIJEM	VKLAD	3400	43962	\N	\N	\N
686348	2343	1997-10-24	VYDAJ	VYBER	2100	44411	\N	\N	\N
686349	2343	1997-11-23	VYDAJ	VYBER	2700	44803	\N	\N	\N
686350	2343	1997-12-23	VYDAJ	VYBER	6100	44136	\N	\N	\N
686351	2343	1998-01-22	VYDAJ	VYBER	300	36201	\N	\N	\N
686352	2343	1998-02-21	PRIJEM	VKLAD	1700	38737	\N	\N	\N
686353	2343	1998-03-23	VYDAJ	VYBER	1400	38197	\N	\N	\N
686354	2343	1998-04-22	VYDAJ	VYBER	3900	37767	\N	\N	\N
686355	2343	1998-05-22	PRIJEM	VKLAD	500	37538	\N	\N	\N
686356	2343	1998-06-21	PRIJEM	VKLAD	8100	27366	\N	\N	\N
686357	2343	1998-07-21	PRIJEM	VKLAD	4000	34081	\N	\N	\N
686358	2343	1998-08-20	PRIJEM	VKLAD	4900	36355	\N	\N	\N
686359	2343	1998-09-19	VYDAJ	VYBER	800	39710	\N	\N	\N
686360	2343	1998-10-19	VYDAJ	VYBER	1000	41577	\N	\N	\N
686361	2343	1998-11-18	VYDAJ	VYBER	2500	41255	\N	\N	\N
686410	2344	1996-07-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
686417	2344	1996-07-06	PRIJEM	PREVOD Z UCTU	4928	6028	DUCHOD	ST	74556004
686418	2344	1996-08-06	PRIJEM	PREVOD Z UCTU	4928	10977	DUCHOD	ST	74556004
686419	2344	1996-09-06	PRIJEM	PREVOD Z UCTU	4928	15930	DUCHOD	ST	74556004
686420	2344	1996-10-06	PRIJEM	PREVOD Z UCTU	4928	20883	DUCHOD	ST	74556004
686421	2344	1996-11-06	PRIJEM	PREVOD Z UCTU	4928	23340	DUCHOD	ST	74556004
686422	2344	1996-12-06	PRIJEM	PREVOD Z UCTU	4928	20614	DUCHOD	ST	74556004
686423	2344	1997-01-06	PRIJEM	PREVOD Z UCTU	4928	17827	DUCHOD	ST	74556004
686424	2344	1997-02-06	PRIJEM	PREVOD Z UCTU	4928	16253	DUCHOD	ST	74556004
686425	2344	1997-03-06	PRIJEM	PREVOD Z UCTU	4928	18200	DUCHOD	ST	74556004
686426	2344	1997-04-06	PRIJEM	PREVOD Z UCTU	4928	20154	DUCHOD	ST	74556004
686427	2344	1997-05-06	PRIJEM	PREVOD Z UCTU	4928	21416	DUCHOD	ST	74556004
686428	2344	1997-06-06	PRIJEM	PREVOD Z UCTU	4928	19540	DUCHOD	ST	74556004
686429	2344	1997-07-06	PRIJEM	PREVOD Z UCTU	4928	17649	DUCHOD	ST	74556004
686430	2344	1997-08-06	PRIJEM	PREVOD Z UCTU	4928	19601	DUCHOD	ST	74556004
686431	2344	1997-09-06	PRIJEM	PREVOD Z UCTU	4928	20921	DUCHOD	ST	74556004
686432	2344	1997-10-06	PRIJEM	PREVOD Z UCTU	4928	22186	DUCHOD	ST	74556004
686433	2344	1997-11-06	PRIJEM	PREVOD Z UCTU	4928	23856	DUCHOD	ST	74556004
686434	2344	1997-12-06	PRIJEM	PREVOD Z UCTU	4928	24833	DUCHOD	ST	74556004
686435	2344	1998-01-06	PRIJEM	PREVOD Z UCTU	4928	23444	DUCHOD	ST	74556004
686436	2344	1998-02-06	PRIJEM	PREVOD Z UCTU	4928	18108	DUCHOD	ST	74556004
686437	2344	1998-03-06	PRIJEM	PREVOD Z UCTU	4928	20062	DUCHOD	ST	74556004
686438	2344	1998-04-06	PRIJEM	PREVOD Z UCTU	4928	22024	DUCHOD	ST	74556004
686439	2344	1998-05-06	PRIJEM	PREVOD Z UCTU	4928	23994	DUCHOD	ST	74556004
686440	2344	1998-06-06	PRIJEM	PREVOD Z UCTU	4928	25252	DUCHOD	ST	74556004
686441	2344	1998-07-06	PRIJEM	PREVOD Z UCTU	4928	24130	DUCHOD	ST	74556004
686442	2344	1998-08-06	PRIJEM	PREVOD Z UCTU	4928	23784	DUCHOD	ST	74556004
686443	2344	1998-09-06	PRIJEM	PREVOD Z UCTU	4928	25361	DUCHOD	ST	74556004
686444	2344	1998-10-06	PRIJEM	PREVOD Z UCTU	4928	27345	DUCHOD	ST	74556004
686445	2344	1998-11-06	PRIJEM	PREVOD Z UCTU	4928	29337	DUCHOD	ST	74556004
686446	2344	1998-12-06	PRIJEM	PREVOD Z UCTU	4928	31337	DUCHOD	ST	74556004
686457	2344	1996-11-10	VYDAJ	PREVOD NA UCET	1002	22338	SIPO	KL	95720600
686458	2344	1996-12-10	VYDAJ	PREVOD NA UCET	1002	19612	SIPO	KL	95720600
686459	2344	1997-01-10	VYDAJ	PREVOD NA UCET	1002	14585	SIPO	KL	95720600
686460	2344	1997-02-10	VYDAJ	PREVOD NA UCET	1002	15251	SIPO	KL	95720600
686461	2344	1997-03-10	VYDAJ	PREVOD NA UCET	1002	17198	SIPO	KL	95720600
686462	2344	1997-04-10	VYDAJ	PREVOD NA UCET	1002	19152	SIPO	KL	95720600
686463	2344	1997-05-10	VYDAJ	PREVOD NA UCET	1002	20414	SIPO	KL	95720600
686464	2344	1997-06-10	VYDAJ	PREVOD NA UCET	1002	18538	SIPO	KL	95720600
686465	2344	1997-07-10	VYDAJ	PREVOD NA UCET	1002	16647	SIPO	KL	95720600
686466	2344	1997-08-10	VYDAJ	PREVOD NA UCET	1002	18599	SIPO	KL	95720600
686467	2344	1997-09-10	VYDAJ	PREVOD NA UCET	1002	19919	SIPO	KL	95720600
686468	2344	1997-10-10	VYDAJ	PREVOD NA UCET	1002	21184	SIPO	KL	95720600
686469	2344	1997-11-10	VYDAJ	PREVOD NA UCET	1002	22854	SIPO	KL	95720600
686470	2344	1997-12-10	VYDAJ	PREVOD NA UCET	1002	23831	SIPO	KL	95720600
686471	2344	1998-01-10	VYDAJ	PREVOD NA UCET	1002	22442	SIPO	KL	95720600
686472	2344	1998-02-10	VYDAJ	PREVOD NA UCET	1002	17106	SIPO	KL	95720600
686473	2344	1998-03-10	VYDAJ	PREVOD NA UCET	1002	19060	SIPO	KL	95720600
686474	2344	1998-04-10	VYDAJ	PREVOD NA UCET	1002	21022	SIPO	KL	95720600
686475	2344	1998-05-10	VYDAJ	PREVOD NA UCET	1002	22992	SIPO	KL	95720600
686476	2344	1998-06-10	VYDAJ	PREVOD NA UCET	1002	24250	SIPO	KL	95720600
686477	2344	1998-07-10	VYDAJ	PREVOD NA UCET	1002	23128	SIPO	KL	95720600
686478	2344	1998-08-10	VYDAJ	PREVOD NA UCET	1002	22782	SIPO	KL	95720600
686479	2344	1998-09-10	VYDAJ	PREVOD NA UCET	1002	24359	SIPO	KL	95720600
686480	2344	1998-10-10	VYDAJ	PREVOD NA UCET	1002	26343	SIPO	KL	95720600
686481	2344	1998-11-10	VYDAJ	PREVOD NA UCET	1002	28335	SIPO	KL	95720600
686482	2344	1998-12-10	VYDAJ	PREVOD NA UCET	1002	30335	SIPO	KL	95720600
686493	2344	1996-11-14	VYDAJ	PREVOD NA UCET	2019	20319	 	CD	44955593
686494	2344	1996-12-14	VYDAJ	PREVOD NA UCET	2019	17143	 	CD	44955593
686495	2344	1997-01-14	VYDAJ	PREVOD NA UCET	2019	11286	 	CD	44955593
686496	2344	1997-02-14	VYDAJ	PREVOD NA UCET	2019	13232	 	CD	44955593
686497	2344	1997-03-14	VYDAJ	PREVOD NA UCET	2019	15179	 	CD	44955593
686498	2344	1997-04-14	VYDAJ	PREVOD NA UCET	2019	17133	 	CD	44955593
686499	2344	1997-05-14	VYDAJ	PREVOD NA UCET	2019	18395	 	CD	44955593
686500	2344	1997-06-14	VYDAJ	PREVOD NA UCET	2019	12679	 	CD	44955593
686501	2344	1997-07-14	VYDAJ	PREVOD NA UCET	2019	14628	 	CD	44955593
686502	2344	1997-08-14	VYDAJ	PREVOD NA UCET	2019	16580	 	CD	44955593
686503	2344	1997-09-14	VYDAJ	PREVOD NA UCET	2019	17900	 	CD	44955593
686504	2344	1997-10-14	VYDAJ	PREVOD NA UCET	2019	19165	 	CD	44955593
686505	2344	1997-11-14	VYDAJ	PREVOD NA UCET	2019	20835	 	CD	44955593
686506	2344	1997-12-14	VYDAJ	PREVOD NA UCET	2019	21812	 	CD	44955593
686507	2344	1998-01-14	VYDAJ	PREVOD NA UCET	2019	16823	 	CD	44955593
686508	2344	1998-02-14	VYDAJ	PREVOD NA UCET	2019	15087	 	CD	44955593
686509	2344	1998-03-14	VYDAJ	PREVOD NA UCET	2019	17041	 	CD	44955593
686510	2344	1998-04-14	VYDAJ	PREVOD NA UCET	2019	19003	 	CD	44955593
686511	2344	1998-05-14	VYDAJ	PREVOD NA UCET	2019	20973	 	CD	44955593
686512	2344	1998-06-14	VYDAJ	PREVOD NA UCET	2019	22231	 	CD	44955593
686513	2344	1998-07-14	VYDAJ	PREVOD NA UCET	2019	21109	 	CD	44955593
686514	2344	1998-08-14	VYDAJ	PREVOD NA UCET	2019	20763	 	CD	44955593
686515	2344	1998-09-14	VYDAJ	PREVOD NA UCET	2019	22340	 	CD	44955593
686516	2344	1998-10-14	VYDAJ	PREVOD NA UCET	2019	24324	 	CD	44955593
686517	2344	1998-11-14	VYDAJ	PREVOD NA UCET	2019	26316	 	CD	44955593
686518	2344	1998-12-14	VYDAJ	PREVOD NA UCET	2019	27916	 	CD	44955593
686521	2344	1998-06-18	VYDAJ	VYBER	3100	19131	\N	\N	\N
686523	2344	1997-01-05	VYDAJ	VYBER	3000	12899	\N	\N	\N
686524	2344	1998-01-21	VYDAJ	VYBER	3700	13123	\N	\N	\N
686525	2344	1996-12-13	VYDAJ	VYBER	450	19162	\N	\N	\N
686526	2344	1997-12-23	VYDAJ	VYBER	650	21162	\N	\N	\N
686527	2344	1998-12-11	VYDAJ	VYBER	400	29935	\N	\N	\N
686534	2344	1997-01-06	VYDAJ	VYBER	2240	15587	\N	\N	\N
686535	2344	1997-01-13	VYDAJ	VYBER	1280	13305	\N	\N	\N
686540	2344	1998-01-02	VYDAJ	VYBER	2080	18516	\N	\N	\N
686541	2344	1998-01-13	VYDAJ	VYBER	1840	18842	\N	\N	\N
686542	2344	1998-01-01	VYDAJ	VYBER	640	20596	\N	\N	\N
686543	2344	1998-01-10	VYDAJ	VYBER	1760	20682	\N	\N	\N
686553	2344	1997-05-24	VYDAJ	VYBER	1920	14555	\N	\N	\N
686554	2344	1997-05-23	VYDAJ	VYBER	1920	16475	\N	\N	\N
686555	2344	1997-08-25	VYDAJ	VYBER	640	15940	\N	\N	\N
686556	2344	1997-06-11	VYDAJ	VYBER	3840	14698	\N	\N	\N
686559	2344	1998-12-28	VYDAJ	VYBER	560	27356	\N	\N	\N
686560	2344	1998-08-15	VYDAJ	VYBER	400	20363	\N	\N	\N
686561	2344	1998-07-18	VYDAJ	VYBER	2320	18789	\N	\N	\N
686562	2344	1998-05-23	VYDAJ	VYBER	720	20253	\N	\N	\N
686574	2344	1996-11-30	VYDAJ	VYBER	15	15686	SLUZBY	\N	\N
686575	2344	1996-12-31	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
686576	2344	1997-01-31	VYDAJ	VYBER	15	11325	SLUZBY	\N	\N
686577	2344	1997-02-28	VYDAJ	VYBER	15	13272	SLUZBY	\N	\N
686578	2344	1997-03-31	VYDAJ	VYBER	15	15226	SLUZBY	\N	\N
686579	2344	1997-04-30	VYDAJ	VYBER	15	16488	SLUZBY	\N	\N
686580	2344	1997-05-31	VYDAJ	VYBER	15	14612	SLUZBY	\N	\N
686581	2344	1997-06-30	VYDAJ	VYBER	15	12721	SLUZBY	\N	\N
686582	2344	1997-07-31	VYDAJ	VYBER	15	14673	SLUZBY	\N	\N
686583	2344	1997-08-31	VYDAJ	VYBER	15	15993	SLUZBY	\N	\N
686584	2344	1997-09-30	VYDAJ	VYBER	15	17258	SLUZBY	\N	\N
686585	2344	1997-10-31	VYDAJ	VYBER	15	18928	SLUZBY	\N	\N
686586	2344	1997-11-30	VYDAJ	VYBER	15	19905	SLUZBY	\N	\N
686587	2344	1997-12-31	VYDAJ	VYBER	15	21236	SLUZBY	\N	\N
686588	2344	1998-01-31	VYDAJ	VYBER	15	13180	SLUZBY	\N	\N
686589	2344	1998-02-28	VYDAJ	VYBER	15	15134	SLUZBY	\N	\N
686590	2344	1998-03-31	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
686591	2344	1998-04-30	VYDAJ	VYBER	15	19066	SLUZBY	\N	\N
686592	2344	1998-05-31	VYDAJ	VYBER	15	20324	SLUZBY	\N	\N
686593	2344	1998-06-30	VYDAJ	VYBER	15	19202	SLUZBY	\N	\N
686594	2344	1998-07-31	VYDAJ	VYBER	15	18856	SLUZBY	\N	\N
686595	2344	1998-08-31	VYDAJ	VYBER	15	20433	SLUZBY	\N	\N
686596	2344	1998-09-30	VYDAJ	VYBER	15	22417	SLUZBY	\N	\N
686597	2344	1998-10-31	VYDAJ	VYBER	15	24409	SLUZBY	\N	\N
686598	2344	1998-11-30	VYDAJ	VYBER	15	26409	SLUZBY	\N	\N
686599	2344	1996-10-30	VYDAJ	VYBER	2500	18383	\N	\N	\N
686600	2344	1996-11-29	VYDAJ	VYBER	4700	15619	\N	\N	\N
686601	2344	1996-12-29	VYDAJ	VYBER	1300	15843	\N	\N	\N
686602	2344	1997-04-28	VYDAJ	VYBER	700	16433	\N	\N	\N
686603	2344	1997-09-25	VYDAJ	VYBER	700	17200	\N	\N	\N
686604	2344	1997-10-25	VYDAJ	VYBER	300	18865	\N	\N	\N
686605	2344	1997-11-24	VYDAJ	VYBER	1000	19835	\N	\N	\N
686636	2345	1993-10-25	PRIJEM	VKLAD	500	500	\N	\N	\N
686647	2345	1993-11-13	PRIJEM	PREVOD Z UCTU	19969	20469	\N	GH	67992108
686648	2345	1993-12-13	PRIJEM	PREVOD Z UCTU	29954	50743	\N	GH	67992108
686649	2345	1994-01-13	PRIJEM	PREVOD Z UCTU	19969	55414	\N	GH	67992108
686650	2345	1994-02-13	PRIJEM	PREVOD Z UCTU	19969	62239	\N	GH	67992108
686651	2345	1994-03-13	PRIJEM	PREVOD Z UCTU	19969	61182	\N	GH	67992108
686652	2345	1994-04-13	PRIJEM	PREVOD Z UCTU	19969	34382	\N	GH	67992108
686653	2345	1994-05-13	PRIJEM	PREVOD Z UCTU	19969	38943	\N	GH	67992108
686654	2345	1994-06-13	PRIJEM	PREVOD Z UCTU	29954	57186	\N	GH	67992108
686655	2345	1994-07-13	PRIJEM	PREVOD Z UCTU	19969	37636	\N	GH	67992108
686656	2345	1994-08-13	PRIJEM	PREVOD Z UCTU	19969	43750	\N	GH	67992108
686657	2345	1994-09-13	PRIJEM	PREVOD Z UCTU	19969	49631	\N	GH	67992108
686658	2345	1994-10-13	PRIJEM	PREVOD Z UCTU	19969	40444	\N	GH	67992108
686659	2345	1994-11-13	PRIJEM	PREVOD Z UCTU	19969	50514	\N	GH	67992108
686660	2345	1994-12-13	PRIJEM	PREVOD Z UCTU	29954	46550	\N	GH	67992108
686661	2345	1995-01-13	PRIJEM	PREVOD Z UCTU	19969	40678	\N	GH	67992108
686662	2345	1995-02-13	PRIJEM	PREVOD Z UCTU	19969	35805	\N	GH	67992108
686663	2345	1995-03-13	PRIJEM	PREVOD Z UCTU	19969	37094	\N	GH	67992108
686664	2345	1995-04-13	PRIJEM	PREVOD Z UCTU	19969	45925	\N	GH	67992108
686665	2345	1995-05-13	PRIJEM	PREVOD Z UCTU	19969	47274	\N	GH	67992108
686666	2345	1995-06-13	PRIJEM	PREVOD Z UCTU	29954	58614	\N	GH	67992108
686667	2345	1995-07-13	PRIJEM	PREVOD Z UCTU	19969	39462	\N	GH	67992108
686668	2345	1995-08-13	PRIJEM	PREVOD Z UCTU	19969	43788	\N	GH	67992108
686669	2345	1995-09-13	PRIJEM	PREVOD Z UCTU	19969	48531	\N	GH	67992108
686670	2345	1995-10-13	PRIJEM	PREVOD Z UCTU	19969	48988	\N	GH	67992108
686671	2345	1995-11-13	PRIJEM	PREVOD Z UCTU	19969	46543	\N	GH	67992108
686672	2345	1995-12-13	PRIJEM	PREVOD Z UCTU	29954	55385	\N	GH	67992108
686673	2345	1996-01-13	PRIJEM	PREVOD Z UCTU	19969	45571	\N	GH	67992108
686674	2345	1996-02-13	PRIJEM	PREVOD Z UCTU	19969	42118	\N	GH	67992108
686675	2345	1996-03-13	PRIJEM	PREVOD Z UCTU	19969	40942	\N	GH	67992108
686676	2345	1996-04-13	PRIJEM	PREVOD Z UCTU	19969	41869	\N	GH	67992108
686677	2345	1996-05-13	PRIJEM	PREVOD Z UCTU	19969	38725	\N	GH	67992108
686678	2345	1996-06-13	PRIJEM	PREVOD Z UCTU	29954	52773	\N	GH	67992108
686679	2345	1996-07-13	PRIJEM	PREVOD Z UCTU	19969	38425	\N	GH	67992108
686680	2345	1996-08-13	PRIJEM	PREVOD Z UCTU	19969	44572	\N	GH	67992108
686681	2345	1996-09-13	PRIJEM	PREVOD Z UCTU	19969	36144	\N	GH	67992108
686682	2345	1996-10-13	PRIJEM	PREVOD Z UCTU	19969	38583	\N	GH	67992108
686683	2345	1996-11-13	PRIJEM	PREVOD Z UCTU	19969	39337	\N	GH	67992108
686684	2345	1996-12-13	PRIJEM	PREVOD Z UCTU	29954	44375	\N	GH	67992108
686685	2345	1997-01-13	PRIJEM	PREVOD Z UCTU	19969	35680	\N	GH	67992108
686686	2345	1997-02-13	PRIJEM	PREVOD Z UCTU	19969	35714	\N	GH	67992108
686687	2345	1997-03-13	PRIJEM	PREVOD Z UCTU	19969	37848	\N	GH	67992108
686688	2345	1997-04-13	PRIJEM	PREVOD Z UCTU	19969	38099	\N	GH	67992108
686689	2345	1997-05-13	PRIJEM	PREVOD Z UCTU	19969	41752	\N	GH	67992108
686690	2345	1997-06-13	PRIJEM	PREVOD Z UCTU	29954	49103	\N	GH	67992108
686691	2345	1997-07-13	PRIJEM	PREVOD Z UCTU	19969	41492	\N	GH	67992108
686692	2345	1997-08-13	PRIJEM	PREVOD Z UCTU	19969	43370	\N	GH	67992108
686693	2345	1997-09-13	PRIJEM	PREVOD Z UCTU	19969	46745	\N	GH	67992108
686694	2345	1997-10-13	PRIJEM	PREVOD Z UCTU	19969	45531	\N	GH	67992108
686695	2345	1997-11-13	PRIJEM	PREVOD Z UCTU	19969	45320	\N	GH	67992108
686696	2345	1997-12-13	PRIJEM	PREVOD Z UCTU	29954	58790	\N	GH	67992108
686697	2345	1998-01-13	PRIJEM	PREVOD Z UCTU	19969	48699	\N	GH	67992108
686698	2345	1998-02-13	PRIJEM	PREVOD Z UCTU	19969	46398	\N	GH	67992108
686699	2345	1998-03-13	PRIJEM	PREVOD Z UCTU	19969	45982	\N	GH	67992108
686700	2345	1998-04-13	PRIJEM	PREVOD Z UCTU	19969	43867	\N	GH	67992108
686701	2345	1998-05-13	PRIJEM	PREVOD Z UCTU	19969	44850	\N	GH	67992108
686702	2345	1998-06-13	PRIJEM	PREVOD Z UCTU	29954	54913	\N	GH	67992108
686703	2345	1998-07-13	PRIJEM	PREVOD Z UCTU	19969	39546	\N	GH	67992108
686704	2345	1998-08-13	PRIJEM	PREVOD Z UCTU	19969	38595	\N	GH	67992108
686705	2345	1998-09-13	PRIJEM	PREVOD Z UCTU	19969	37139	\N	GH	67992108
686706	2345	1998-10-13	PRIJEM	PREVOD Z UCTU	19969	37466	\N	GH	67992108
686707	2345	1998-11-13	PRIJEM	PREVOD Z UCTU	19969	39494	\N	GH	67992108
686708	2345	1998-12-13	PRIJEM	PREVOD Z UCTU	29954	50214	\N	GH	67992108
686724	2345	1994-04-05	VYDAJ	VYBER	4900	14413	\N	\N	0
686725	2345	1994-05-05	VYDAJ	VYBER	3600	18974	\N	\N	0
686726	2345	1994-06-14	VYDAJ	VYBER	4000	53186	\N	\N	0
686727	2345	1994-07-13	VYDAJ	VYBER	2700	34936	\N	\N	0
686728	2345	1994-08-24	VYDAJ	VYBER	2500	32538	\N	\N	0
686729	2345	1994-09-04	VYDAJ	VYBER	3000	29662	\N	\N	0
686730	2345	1994-10-06	VYDAJ	VYBER	3500	26175	\N	\N	0
686731	2345	1994-11-23	VYDAJ	VYBER	4300	29702	\N	\N	0
686732	2345	1994-12-12	VYDAJ	PREVOD NA UCET	3328	16596	UVER	QR	31917315
686733	2345	1995-01-12	VYDAJ	PREVOD NA UCET	3328	20709	UVER	QR	31917315
686734	2345	1995-02-12	VYDAJ	PREVOD NA UCET	3328	15836	UVER	QR	31917315
686735	2345	1995-03-12	VYDAJ	PREVOD NA UCET	3328	17125	UVER	QR	31917315
686736	2345	1995-04-12	VYDAJ	PREVOD NA UCET	3328	25956	UVER	QR	31917315
686737	2345	1995-05-12	VYDAJ	PREVOD NA UCET	3328	27305	UVER	QR	31917315
686738	2345	1995-06-12	VYDAJ	PREVOD NA UCET	3328	28660	UVER	QR	31917315
686739	2345	1995-07-12	VYDAJ	PREVOD NA UCET	3328	19493	UVER	QR	31917315
686740	2345	1995-08-12	VYDAJ	PREVOD NA UCET	3328	23819	UVER	QR	31917315
686741	2345	1995-09-12	VYDAJ	PREVOD NA UCET	3328	28562	UVER	QR	31917315
686742	2345	1995-10-12	VYDAJ	PREVOD NA UCET	3328	29019	UVER	QR	31917315
686743	2345	1995-11-12	VYDAJ	PREVOD NA UCET	3328	26574	UVER	QR	31917315
686744	2345	1995-12-12	VYDAJ	PREVOD NA UCET	3328	25431	UVER	QR	31917315
686745	2345	1996-01-12	VYDAJ	PREVOD NA UCET	3328	32802	UVER	QR	31917315
686746	2345	1996-02-12	VYDAJ	PREVOD NA UCET	3328	22149	UVER	QR	31917315
686747	2345	1996-03-12	VYDAJ	PREVOD NA UCET	3328	20973	UVER	QR	31917315
686748	2345	1996-04-12	VYDAJ	PREVOD NA UCET	3328	24600	UVER	QR	31917315
686749	2345	1996-05-12	VYDAJ	PREVOD NA UCET	3328	21856	UVER	QR	31917315
686750	2345	1996-06-12	VYDAJ	PREVOD NA UCET	3328	22819	UVER	QR	31917315
686751	2345	1996-07-12	VYDAJ	PREVOD NA UCET	3328	18456	UVER	QR	31917315
686752	2345	1996-08-12	VYDAJ	PREVOD NA UCET	3328	24603	UVER	QR	31917315
686753	2345	1996-09-12	VYDAJ	PREVOD NA UCET	3328	16175	UVER	QR	31917315
686754	2345	1996-10-12	VYDAJ	PREVOD NA UCET	3328	18614	UVER	QR	31917315
686755	2345	1996-11-12	VYDAJ	PREVOD NA UCET	3328	19368	UVER	QR	31917315
686756	2345	1996-12-12	VYDAJ	PREVOD NA UCET	3328	14421	UVER	QR	31917315
686757	2345	1997-01-12	VYDAJ	PREVOD NA UCET	3328	15711	UVER	QR	31917315
686758	2345	1997-02-12	VYDAJ	PREVOD NA UCET	3328	15745	UVER	QR	31917315
686759	2345	1997-03-12	VYDAJ	PREVOD NA UCET	3328	17879	UVER	QR	31917315
686760	2345	1997-04-12	VYDAJ	PREVOD NA UCET	3328	18130	UVER	QR	31917315
686761	2345	1997-05-12	VYDAJ	PREVOD NA UCET	3328	21783	UVER	QR	31917315
686762	2345	1997-06-12	VYDAJ	PREVOD NA UCET	3328	19149	UVER	QR	31917315
686763	2345	1997-07-12	VYDAJ	PREVOD NA UCET	3328	21523	UVER	QR	31917315
686764	2345	1997-08-12	VYDAJ	PREVOD NA UCET	3328	23401	UVER	QR	31917315
686765	2345	1997-09-12	VYDAJ	PREVOD NA UCET	3328	26776	UVER	QR	31917315
686766	2345	1997-10-12	VYDAJ	PREVOD NA UCET	3328	25562	UVER	QR	31917315
686767	2345	1997-11-12	VYDAJ	PREVOD NA UCET	3328	25351	UVER	QR	31917315
686768	2345	1997-12-12	VYDAJ	PREVOD NA UCET	3328	28836	UVER	QR	31917315
686769	2345	1998-01-12	VYDAJ	PREVOD NA UCET	3328	28730	UVER	QR	31917315
686770	2345	1998-02-12	VYDAJ	PREVOD NA UCET	3328	26429	UVER	QR	31917315
686771	2345	1998-03-12	VYDAJ	PREVOD NA UCET	3328	26013	UVER	QR	31917315
686772	2345	1998-04-12	VYDAJ	PREVOD NA UCET	3328	23898	UVER	QR	31917315
686773	2345	1998-05-12	VYDAJ	PREVOD NA UCET	3328	24881	UVER	QR	31917315
686774	2345	1998-06-12	VYDAJ	PREVOD NA UCET	3328	24959	UVER	QR	31917315
686775	2345	1998-07-12	VYDAJ	PREVOD NA UCET	3328	19577	UVER	QR	31917315
686776	2345	1998-08-12	VYDAJ	PREVOD NA UCET	3328	18626	UVER	QR	31917315
686777	2345	1998-09-12	VYDAJ	PREVOD NA UCET	3328	17170	UVER	QR	31917315
686778	2345	1998-10-12	VYDAJ	PREVOD NA UCET	3328	17497	UVER	QR	31917315
686779	2345	1998-11-12	VYDAJ	PREVOD NA UCET	3328	19525	UVER	QR	31917315
686780	2345	1998-12-12	VYDAJ	PREVOD NA UCET	3328	20260	UVER	QR	31917315
686795	2345	1994-03-14	VYDAJ	PREVOD NA UCET	3612	57570	SIPO	QR	16879636
686796	2345	1994-04-14	VYDAJ	PREVOD NA UCET	3612	30770	SIPO	QR	16879636
686797	2345	1994-05-14	VYDAJ	PREVOD NA UCET	3612	35331	SIPO	QR	16879636
686798	2345	1994-06-14	VYDAJ	PREVOD NA UCET	3612	49574	SIPO	QR	16879636
686799	2345	1994-07-14	VYDAJ	PREVOD NA UCET	3612	31324	SIPO	QR	16879636
686800	2345	1994-08-14	VYDAJ	PREVOD NA UCET	3612	40138	SIPO	QR	16879636
686801	2345	1994-09-14	VYDAJ	PREVOD NA UCET	3612	46019	SIPO	QR	16879636
686802	2345	1994-10-14	VYDAJ	PREVOD NA UCET	3612	36832	SIPO	QR	16879636
686803	2345	1994-11-14	VYDAJ	PREVOD NA UCET	3612	46902	SIPO	QR	16879636
686804	2345	1994-12-14	VYDAJ	PREVOD NA UCET	3612	42938	SIPO	QR	16879636
686805	2345	1995-01-14	VYDAJ	PREVOD NA UCET	3612	37066	SIPO	QR	16879636
686806	2345	1995-02-14	VYDAJ	PREVOD NA UCET	3612	32193	SIPO	QR	16879636
686807	2345	1995-03-14	VYDAJ	PREVOD NA UCET	3612	33482	SIPO	QR	16879636
686808	2345	1995-04-14	VYDAJ	PREVOD NA UCET	3612	42313	SIPO	QR	16879636
686809	2345	1995-05-14	VYDAJ	PREVOD NA UCET	3612	43662	SIPO	QR	16879636
686810	2345	1995-06-14	VYDAJ	PREVOD NA UCET	3612	55002	SIPO	QR	16879636
686811	2345	1995-07-14	VYDAJ	PREVOD NA UCET	3612	35850	SIPO	QR	16879636
686812	2345	1995-08-14	VYDAJ	PREVOD NA UCET	3612	40176	SIPO	QR	16879636
686813	2345	1995-09-14	VYDAJ	PREVOD NA UCET	3612	44919	SIPO	QR	16879636
686814	2345	1995-10-14	VYDAJ	PREVOD NA UCET	3612	45376	SIPO	QR	16879636
686815	2345	1995-11-14	VYDAJ	PREVOD NA UCET	3612	36431	SIPO	QR	16879636
686816	2345	1995-12-14	VYDAJ	PREVOD NA UCET	3612	40773	SIPO	QR	16879636
686817	2345	1996-01-14	VYDAJ	PREVOD NA UCET	3612	32659	SIPO	QR	16879636
686818	2345	1996-02-14	VYDAJ	PREVOD NA UCET	3612	38506	SIPO	QR	16879636
686819	2345	1996-03-14	VYDAJ	PREVOD NA UCET	3612	27830	SIPO	QR	16879636
686820	2345	1996-04-14	VYDAJ	PREVOD NA UCET	3612	38257	SIPO	QR	16879636
686821	2345	1996-05-14	VYDAJ	PREVOD NA UCET	3612	35113	SIPO	QR	16879636
686822	2345	1996-06-14	VYDAJ	PREVOD NA UCET	3612	49161	SIPO	QR	16879636
686823	2345	1996-07-14	VYDAJ	PREVOD NA UCET	3612	34813	SIPO	QR	16879636
686824	2345	1996-08-14	VYDAJ	PREVOD NA UCET	3612	40960	SIPO	QR	16879636
686825	2345	1996-09-14	VYDAJ	PREVOD NA UCET	3612	32532	SIPO	QR	16879636
686826	2345	1996-10-14	VYDAJ	PREVOD NA UCET	3612	34971	SIPO	QR	16879636
686827	2345	1996-11-14	VYDAJ	PREVOD NA UCET	3612	35725	SIPO	QR	16879636
686828	2345	1996-12-14	VYDAJ	PREVOD NA UCET	3612	24057	SIPO	QR	16879636
686829	2345	1997-01-14	VYDAJ	PREVOD NA UCET	3612	32068	SIPO	QR	16879636
686830	2345	1997-02-14	VYDAJ	PREVOD NA UCET	3612	32102	SIPO	QR	16879636
686831	2345	1997-03-14	VYDAJ	PREVOD NA UCET	3612	34236	SIPO	QR	16879636
686832	2345	1997-04-14	VYDAJ	PREVOD NA UCET	3612	34487	SIPO	QR	16879636
686833	2345	1997-05-14	VYDAJ	PREVOD NA UCET	3612	38140	SIPO	QR	16879636
686834	2345	1997-06-14	VYDAJ	PREVOD NA UCET	3612	45491	SIPO	QR	16879636
686835	2345	1997-07-14	VYDAJ	PREVOD NA UCET	3612	37880	SIPO	QR	16879636
686836	2345	1997-08-14	VYDAJ	PREVOD NA UCET	3612	39758	SIPO	QR	16879636
686837	2345	1997-09-14	VYDAJ	PREVOD NA UCET	3612	43133	SIPO	QR	16879636
686838	2345	1997-10-14	VYDAJ	PREVOD NA UCET	3612	41919	SIPO	QR	16879636
686839	2345	1997-11-14	VYDAJ	PREVOD NA UCET	3612	41708	SIPO	QR	16879636
686840	2345	1997-12-14	VYDAJ	PREVOD NA UCET	3612	55178	SIPO	QR	16879636
686841	2345	1998-01-14	VYDAJ	PREVOD NA UCET	3612	45087	SIPO	QR	16879636
686842	2345	1998-02-14	VYDAJ	PREVOD NA UCET	3612	40686	SIPO	QR	16879636
686843	2345	1998-03-14	VYDAJ	PREVOD NA UCET	3612	42370	SIPO	QR	16879636
686844	2345	1998-04-14	VYDAJ	PREVOD NA UCET	3612	40255	SIPO	QR	16879636
686845	2345	1998-05-14	VYDAJ	PREVOD NA UCET	3612	41238	SIPO	QR	16879636
686846	2345	1998-06-14	VYDAJ	PREVOD NA UCET	3612	39387	SIPO	QR	16879636
686847	2345	1998-07-14	VYDAJ	PREVOD NA UCET	3612	35934	SIPO	QR	16879636
686848	2345	1998-08-14	VYDAJ	PREVOD NA UCET	3612	34983	SIPO	QR	16879636
686849	2345	1998-09-14	VYDAJ	PREVOD NA UCET	3612	33527	SIPO	QR	16879636
686850	2345	1998-10-14	VYDAJ	PREVOD NA UCET	3612	33854	SIPO	QR	16879636
686851	2345	1998-11-14	VYDAJ	PREVOD NA UCET	3612	35882	SIPO	QR	16879636
686852	2345	1998-12-14	VYDAJ	PREVOD NA UCET	3612	46602	SIPO	QR	16879636
686863	2345	1994-06-30	VYBER	VYBER	4835	17681	\N	\N	\N
686864	2345	1994-09-18	VYBER	VYBER	5873	40146	\N	\N	\N
686867	2345	1994-04-05	VYBER	VYBER	22637	19313	\N	\N	\N
686868	2345	1994-08-07	VYBER	VYBER	4934	23781	\N	\N	\N
686869	2345	1995-02-25	VYBER	VYBER	4366	24527	\N	\N	\N
686870	2345	1995-03-08	VYBER	VYBER	4162	20453	\N	\N	\N
686876	2345	1996-12-13	VYBER	VYBER	16706	27669	\N	\N	\N
686877	2345	1996-02-27	VYBER	VYBER	14320	24186	\N	\N	\N
686880	2345	1998-06-13	VYBER	VYBER	9214	45699	\N	\N	\N
686881	2345	1998-05-15	VYBER	VYBER	4493	36745	\N	\N	\N
686882	2345	1998-12-27	VYBER	VYBER	14950	31652	\N	\N	\N
686886	2345	1994-06-25	VYDAJ	VYBER	15000	22374	\N	\N	\N
686887	2345	1995-06-20	VYDAJ	VYBER	10800	22702	\N	\N	\N
686888	2345	1996-06-17	VYDAJ	VYBER	21900	27261	\N	\N	\N
686893	2345	1995-01-26	VYDAJ	VYBER	11700	19066	\N	\N	\N
686894	2345	1996-01-17	VYDAJ	VYBER	8400	24259	\N	\N	\N
686896	2345	1998-01-14	VYDAJ	VYBER	3000	42087	\N	\N	\N
686898	2345	1994-12-23	VYDAJ	VYBER	7800	23938	\N	\N	\N
686899	2345	1995-12-06	VYDAJ	VYBER	7800	28759	\N	\N	\N
686900	2345	1996-12-05	VYDAJ	VYBER	3600	21749	\N	\N	\N
686901	2345	1997-12-26	VYDAJ	VYBER	6300	45278	\N	\N	\N
686908	2345	1994-10-09	VYDAJ	VYBER	5700	20475	\N	\N	\N
686909	2345	1994-11-29	VYDAJ	VYBER	9900	19802	\N	\N	\N
686913	2345	1994-05-04	VYDAJ	VYBER	5100	22574	\N	\N	\N
686915	2345	1995-10-28	VYDAJ	VYBER	4200	29776	\N	\N	\N
686916	2345	1995-06-18	VYDAJ	VYBER	4200	33502	\N	\N	\N
686917	2345	1995-09-26	VYDAJ	VYBER	3600	32219	\N	\N	\N
686918	2345	1995-05-23	VYDAJ	VYBER	3000	31862	\N	\N	\N
686919	2345	1996-01-12	VYDAJ	VYBER	7200	25602	\N	\N	\N
686920	2345	1996-08-31	VYDAJ	VYBER	14400	26718	\N	\N	\N
686923	2345	1996-01-01	VYDAJ	VYBER	4800	36130	\N	\N	\N
686924	2345	1996-11-26	VYDAJ	VYBER	10500	25225	\N	\N	\N
686925	2345	1996-05-10	VYDAJ	VYBER	13200	25184	\N	\N	\N
686926	2345	1997-07-11	VYDAJ	VYBER	4500	24851	\N	\N	\N
686927	2345	1997-12-18	VYDAJ	VYBER	3600	51578	\N	\N	\N
686928	2345	1997-02-06	VYDAJ	VYBER	9300	22873	\N	\N	\N
686930	2345	1997-03-26	VYDAJ	VYBER	1500	32736	\N	\N	\N
686931	2345	1998-06-13	VYDAJ	VYBER	2700	42999	\N	\N	\N
686932	2345	1998-02-13	VYDAJ	VYBER	2100	44298	\N	\N	\N
686933	2345	1998-08-19	VYDAJ	VYBER	8700	26283	\N	\N	\N
686934	2345	1998-06-15	VYDAJ	VYBER	11700	27687	\N	\N	\N
686950	2345	1994-03-31	VYDAJ	VYBER	15	41950	SLUZBY	\N	\N
686951	2345	1994-04-30	VYDAJ	VYBER	15	27674	SLUZBY	\N	\N
686952	2345	1994-05-31	VYDAJ	VYBER	15	27232	SLUZBY	\N	\N
686953	2345	1994-06-30	VYDAJ	VYBER	15	17667	SLUZBY	\N	\N
686954	2345	1994-07-31	VYDAJ	VYBER	15	28715	SLUZBY	\N	\N
686955	2345	1994-08-31	VYDAJ	VYBER	15	32662	SLUZBY	\N	\N
686956	2345	1994-09-30	VYDAJ	VYBER	15	29675	SLUZBY	\N	\N
686957	2345	1994-10-31	VYDAJ	VYBER	15	30545	SLUZBY	\N	\N
686958	2345	1994-11-30	VYDAJ	VYBER	15	19924	SLUZBY	\N	\N
686959	2345	1994-12-31	VYDAJ	VYBER	15	24037	SLUZBY	\N	\N
686960	2345	1995-01-31	VYDAJ	VYBER	15	19164	SLUZBY	\N	\N
686961	2345	1995-02-28	VYDAJ	VYBER	15	24615	SLUZBY	\N	\N
686962	2345	1995-03-31	VYDAJ	VYBER	15	29285	SLUZBY	\N	\N
686963	2345	1995-04-30	VYDAJ	VYBER	15	30633	SLUZBY	\N	\N
686964	2345	1995-05-31	VYDAJ	VYBER	15	31988	SLUZBY	\N	\N
686965	2345	1995-06-30	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
686966	2345	1995-07-31	VYDAJ	VYBER	15	27147	SLUZBY	\N	\N
686967	2345	1995-08-31	VYDAJ	VYBER	15	31890	SLUZBY	\N	\N
686968	2345	1995-09-30	VYDAJ	VYBER	15	32348	SLUZBY	\N	\N
686969	2345	1995-10-31	VYDAJ	VYBER	15	29902	SLUZBY	\N	\N
686970	2345	1995-11-30	VYDAJ	VYBER	15	36559	SLUZBY	\N	\N
686971	2345	1995-12-31	VYDAJ	VYBER	15	40930	SLUZBY	\N	\N
686972	2345	1996-01-31	VYDAJ	VYBER	15	24377	SLUZBY	\N	\N
686973	2345	1996-02-29	VYDAJ	VYBER	15	24302	SLUZBY	\N	\N
686974	2345	1996-03-31	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
686975	2345	1996-04-30	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
686976	2345	1996-05-31	VYDAJ	VYBER	15	35248	SLUZBY	\N	\N
686977	2345	1996-06-30	VYDAJ	VYBER	15	27385	SLUZBY	\N	\N
686978	2345	1996-07-31	VYDAJ	VYBER	15	34931	SLUZBY	\N	\N
686979	2345	1996-08-31	VYDAJ	VYBER	15	26703	SLUZBY	\N	\N
686980	2345	1996-09-30	VYDAJ	VYBER	15	32642	SLUZBY	\N	\N
686981	2345	1996-10-31	VYDAJ	VYBER	15	35096	SLUZBY	\N	\N
686982	2345	1996-11-30	VYDAJ	VYBER	15	25349	SLUZBY	\N	\N
686983	2345	1996-12-31	VYDAJ	VYBER	15	24139	SLUZBY	\N	\N
686984	2345	1997-01-31	VYDAJ	VYBER	15	32173	SLUZBY	\N	\N
686985	2345	1997-02-28	VYDAJ	VYBER	15	32208	SLUZBY	\N	\N
686986	2345	1997-03-31	VYDAJ	VYBER	15	32858	SLUZBY	\N	\N
686987	2345	1997-04-30	VYDAJ	VYBER	15	34611	SLUZBY	\N	\N
686988	2345	1997-05-31	VYDAJ	VYBER	15	38277	SLUZBY	\N	\N
686989	2345	1997-06-30	VYDAJ	VYBER	15	45651	SLUZBY	\N	\N
686990	2345	1997-07-31	VYDAJ	VYBER	15	38029	SLUZBY	\N	\N
686991	2345	1997-08-31	VYDAJ	VYBER	15	39904	SLUZBY	\N	\N
686992	2345	1997-09-30	VYDAJ	VYBER	15	43290	SLUZBY	\N	\N
686993	2345	1997-10-31	VYDAJ	VYBER	15	42079	SLUZBY	\N	\N
686994	2345	1997-11-30	VYDAJ	VYBER	15	41865	SLUZBY	\N	\N
686995	2345	1997-12-31	VYDAJ	VYBER	15	45458	SLUZBY	\N	\N
686996	2345	1998-01-31	VYDAJ	VYBER	15	42258	SLUZBY	\N	\N
686997	2345	1998-02-28	VYDAJ	VYBER	15	40841	SLUZBY	\N	\N
686998	2345	1998-03-31	VYDAJ	VYBER	15	42527	SLUZBY	\N	\N
686999	2345	1998-04-30	VYDAJ	VYBER	15	40409	SLUZBY	\N	\N
687000	2345	1998-05-31	VYDAJ	VYBER	15	36887	SLUZBY	\N	\N
687001	2345	1998-06-30	VYDAJ	VYBER	15	27805	SLUZBY	\N	\N
687002	2345	1998-07-31	VYDAJ	VYBER	15	36054	SLUZBY	\N	\N
687003	2345	1998-08-31	VYDAJ	VYBER	15	20498	SLUZBY	\N	\N
687004	2345	1998-09-30	VYDAJ	VYBER	15	20825	SLUZBY	\N	\N
687005	2345	1998-10-31	VYDAJ	VYBER	15	22853	SLUZBY	\N	\N
687006	2345	1998-11-30	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
687007	2345	1993-11-24	PRIJEM	VKLAD	300	20769	\N	\N	\N
687008	2345	1993-12-24	VYDAJ	VYBER	15400	35343	\N	\N	\N
687009	2345	1994-01-23	VYDAJ	VYBER	13300	42114	\N	\N	\N
687010	2345	1994-02-22	VYDAJ	VYBER	21200	41039	\N	\N	\N
687011	2345	1994-03-24	VYDAJ	VYBER	15800	41770	\N	\N	\N
687012	2345	1994-04-23	VYDAJ	VYBER	3200	27570	\N	\N	\N
687013	2345	1994-05-23	VYDAJ	VYBER	8200	27131	\N	\N	\N
687014	2345	1994-06-22	VYDAJ	VYBER	12200	37374	\N	\N	\N
687015	2345	1994-07-22	VYDAJ	VYBER	2700	28624	\N	\N	\N
687016	2345	1994-08-21	VYDAJ	VYBER	5100	35038	\N	\N	\N
687017	2345	1994-09-20	VYDAJ	VYBER	10600	29546	\N	\N	\N
687018	2345	1994-10-20	VYDAJ	VYBER	6400	30432	\N	\N	\N
687019	2345	1994-11-19	VYDAJ	VYBER	12900	34002	\N	\N	\N
687020	2345	1994-12-19	VYDAJ	VYBER	11200	31738	\N	\N	\N
687021	2345	1995-01-18	VYDAJ	VYBER	6300	30766	\N	\N	\N
687022	2345	1995-02-17	VYDAJ	VYBER	3300	28893	\N	\N	\N
687023	2345	1995-03-19	VYDAJ	VYBER	4300	29182	\N	\N	\N
687024	2345	1995-04-18	VYDAJ	VYBER	11800	30513	\N	\N	\N
687025	2345	1995-05-18	VYDAJ	VYBER	8800	34862	\N	\N	\N
687026	2345	1995-06-17	VYDAJ	VYBER	17300	37702	\N	\N	\N
687027	2345	1995-07-17	VYDAJ	VYBER	8800	27050	\N	\N	\N
687028	2345	1995-08-16	VYDAJ	VYBER	8400	31776	\N	\N	\N
687029	2345	1995-09-15	VYDAJ	VYBER	9100	35819	\N	\N	\N
687030	2345	1995-10-15	VYDAJ	VYBER	11400	33976	\N	\N	\N
687031	2345	1995-11-14	VYDAJ	VYBER	6500	40043	\N	\N	\N
687032	2345	1995-12-14	VYDAJ	VYBER	11000	44385	\N	\N	\N
687033	2345	1996-01-13	VYDAJ	VYBER	9300	36271	\N	\N	\N
687034	2345	1996-02-12	PRIJEM	VKLAD	1100	25477	\N	\N	\N
687035	2345	1996-03-13	VYDAJ	VYBER	9500	31442	\N	\N	\N
687036	2345	1996-04-12	VYDAJ	VYBER	2700	21900	\N	\N	\N
687037	2345	1996-05-12	VYDAJ	VYBER	3100	18756	\N	\N	\N
687038	2345	1996-06-11	VYDAJ	VYBER	9100	26148	\N	\N	\N
687039	2345	1996-07-11	VYDAJ	VYBER	5600	21785	\N	\N	\N
687040	2345	1996-08-10	VYDAJ	VYBER	7000	27931	\N	\N	\N
687041	2345	1996-09-09	VYDAJ	VYBER	7200	19503	\N	\N	\N
687042	2345	1996-10-09	VYDAJ	VYBER	10700	21942	\N	\N	\N
687043	2345	1996-11-08	VYDAJ	VYBER	12400	22696	\N	\N	\N
687044	2345	1996-12-08	VYDAJ	VYBER	4000	17749	\N	\N	\N
687045	2345	1997-01-07	VYDAJ	VYBER	5100	19039	\N	\N	\N
687046	2345	1997-02-06	VYDAJ	VYBER	3800	19073	\N	\N	\N
687047	2345	1997-03-08	VYDAJ	VYBER	11000	21208	\N	\N	\N
687048	2345	1997-04-07	VYDAJ	VYBER	11400	21458	\N	\N	\N
687049	2345	1997-05-07	VYDAJ	VYBER	9500	25111	\N	\N	\N
687050	2345	1997-06-06	VYDAJ	VYBER	15800	22477	\N	\N	\N
687051	2345	1997-07-06	VYDAJ	VYBER	16300	29351	\N	\N	\N
687052	2345	1997-08-05	VYDAJ	VYBER	11300	26729	\N	\N	\N
687053	2345	1997-09-04	VYDAJ	VYBER	9800	30104	\N	\N	\N
687054	2345	1997-10-04	VYDAJ	VYBER	14400	28890	\N	\N	\N
687055	2345	1997-11-03	VYDAJ	VYBER	13400	28679	\N	\N	\N
687056	2345	1997-12-03	VYDAJ	VYBER	9700	32165	\N	\N	\N
687057	2345	1998-01-02	VYDAJ	VYBER	13400	32058	\N	\N	\N
687058	2345	1998-02-01	VYDAJ	VYBER	12500	29758	\N	\N	\N
687059	2345	1998-03-03	VYDAJ	VYBER	11500	29341	\N	\N	\N
687060	2345	1998-04-02	VYDAJ	VYBER	15300	27227	\N	\N	\N
687061	2345	1998-05-02	VYDAJ	VYBER	12200	28209	\N	\N	\N
687062	2345	1998-06-01	VYDAJ	VYBER	8600	28287	\N	\N	\N
687063	2345	1998-07-01	VYDAJ	VYBER	4900	22905	\N	\N	\N
687064	2345	1998-07-31	VYDAJ	VYBER	14100	21954	\N	\N	\N
687065	2345	1998-08-30	VYDAJ	VYBER	5900	20383	\N	\N	\N
687066	2345	1998-09-29	VYDAJ	VYBER	12800	20727	\N	\N	\N
687067	2345	1998-10-29	VYDAJ	VYBER	11100	22754	\N	\N	\N
687068	2345	1998-11-28	VYDAJ	VYBER	12400	23482	\N	\N	\N
687131	2346	1996-05-08	PRIJEM	VKLAD	600	600	\N	\N	\N
687133	2346	1996-09-08	PRIJEM	VKLAD	11519	67071	\N	\N	\N
687134	2346	1996-09-13	PRIJEM	VKLAD	13757	80828	\N	\N	\N
687135	2346	1996-08-22	PRIJEM	VKLAD	40454	84067	\N	\N	\N
687136	2346	1996-11-27	PRIJEM	VKLAD	47263	57400	\N	\N	\N
687139	2346	1996-09-28	PRIJEM	VKLAD	5560	53079	\N	\N	\N
687141	2346	1996-10-16	PRIJEM	VKLAD	27582	43838	\N	\N	\N
687142	2346	1996-11-01	PRIJEM	VKLAD	20604	64580	\N	\N	\N
687143	2346	1996-06-26	PRIJEM	VKLAD	32563	44063	\N	\N	\N
687147	2346	1996-07-31	PRIJEM	VKLAD	28234	60913	\N	\N	\N
687148	2346	1997-08-30	PRIJEM	VKLAD	9577	9965	\N	\N	\N
687149	2346	1997-05-11	PRIJEM	VKLAD	29816	50979	\N	\N	\N
687150	2346	1997-10-16	PRIJEM	VKLAD	48059	47047	\N	\N	\N
687151	2346	1997-10-18	PRIJEM	VKLAD	19602	49875	\N	\N	\N
687152	2346	1997-03-11	PRIJEM	VKLAD	32184	65856	\N	\N	\N
687153	2346	1997-04-04	PRIJEM	VKLAD	21154	64374	\N	\N	\N
687154	2346	1997-02-25	PRIJEM	VKLAD	40991	46130	\N	\N	\N
687155	2346	1998-01-23	PRIJEM	VKLAD	27242	24701	\N	\N	\N
687156	2346	1998-10-21	PRIJEM	VKLAD	35504	32713	\N	\N	\N
687165	2346	1996-09-14	VYDAJ	PREVOD NA UCET	334	71585	SIPO	UV	36571818
687166	2346	1996-10-14	VYDAJ	PREVOD NA UCET	334	16256	SIPO	UV	36571818
687167	2346	1996-11-14	VYDAJ	PREVOD NA UCET	334	10137	SIPO	UV	36571818
687168	2346	1996-12-14	VYDAJ	PREVOD NA UCET	334	31745	SIPO	UV	36571818
687169	2346	1997-01-14	VYDAJ	PREVOD NA UCET	334	6942	SIPO	UV	36571818
687170	2346	1997-02-14	VYDAJ	PREVOD NA UCET	334	5139	SIPO	UV	36571818
687171	2346	1997-03-14	VYDAJ	PREVOD NA UCET	334	56613	SIPO	UV	36571818
687172	2346	1997-04-14	VYDAJ	PREVOD NA UCET	334	37689	SIPO	UV	36571818
687173	2346	1997-05-14	VYDAJ	PREVOD NA UCET	334	41736	SIPO	UV	36571818
687174	2346	1997-06-14	VYDAJ	PREVOD NA UCET	334	22239	SIPO	UV	36571818
687175	2346	1997-07-14	VYDAJ	PREVOD NA UCET	334	7690	SIPO	UV	36571818
687176	2346	1997-08-14	VYDAJ	PREVOD NA UCET	334	388	SIPO	UV	36571818
687177	2346	1997-09-14	VYDAJ	PREVOD NA UCET	334	4830	SIPO	UV	36571818
687178	2346	1997-10-14	VYDAJ	PREVOD NA UCET	334	-1012	SIPO	UV	36571818
687179	2346	1997-11-14	VYDAJ	PREVOD NA UCET	334	19427	SIPO	UV	36571818
687180	2346	1997-12-14	VYDAJ	PREVOD NA UCET	334	2975	SIPO	UV	36571818
687182	2346	1998-02-14	VYDAJ	PREVOD NA UCET	334	5570	SIPO	UV	36571818
687183	2346	1998-03-14	VYDAJ	PREVOD NA UCET	334	-267	SIPO	UV	36571818
687184	2346	1998-04-14	VYDAJ	PREVOD NA UCET	334	-2549	SIPO	UV	36571818
687191	2346	1998-11-14	VYDAJ	PREVOD NA UCET	334	10538	SIPO	UV	36571818
687192	2346	1998-12-14	VYDAJ	PREVOD NA UCET	334	-2238	SIPO	UV	36571818
687201	2346	1996-09-13	VYDAJ	PREVOD NA UCET	1939	71919	 	QR	74352502
687202	2346	1996-10-13	VYDAJ	PREVOD NA UCET	1939	16590	 	QR	74352502
687203	2346	1996-11-13	VYDAJ	PREVOD NA UCET	1939	17441	 	QR	74352502
687204	2346	1996-12-13	VYDAJ	PREVOD NA UCET	1939	32079	 	QR	74352502
687205	2346	1997-01-13	VYDAJ	PREVOD NA UCET	1939	7276	 	QR	74352502
687206	2346	1997-02-13	VYDAJ	PREVOD NA UCET	1939	12443	 	QR	74352502
687207	2346	1997-03-13	VYDAJ	PREVOD NA UCET	1939	63917	 	QR	74352502
687208	2346	1997-04-13	VYDAJ	PREVOD NA UCET	1939	44993	 	QR	74352502
687209	2346	1997-05-13	VYDAJ	PREVOD NA UCET	1939	42070	 	QR	74352502
687210	2346	1997-06-13	VYDAJ	PREVOD NA UCET	1939	29543	 	QR	74352502
687211	2346	1997-07-13	VYDAJ	PREVOD NA UCET	1939	14994	 	QR	74352502
687212	2346	1997-08-13	VYDAJ	PREVOD NA UCET	1939	722	 	QR	74352502
687213	2346	1997-09-13	VYDAJ	PREVOD NA UCET	1939	5164	 	QR	74352502
687214	2346	1997-10-13	VYDAJ	PREVOD NA UCET	1939	-678	 	QR	74352502
687215	2346	1997-11-13	VYDAJ	PREVOD NA UCET	1939	19761	 	QR	74352502
687216	2346	1997-12-13	VYDAJ	PREVOD NA UCET	1939	10279	 	QR	74352502
687217	2346	1998-01-13	VYDAJ	PREVOD NA UCET	1939	-2541	 	QR	74352502
687218	2346	1998-02-13	VYDAJ	PREVOD NA UCET	1939	12874	 	QR	74352502
687219	2346	1998-03-13	VYDAJ	PREVOD NA UCET	1939	67	 	QR	74352502
687220	2346	1998-04-13	VYDAJ	PREVOD NA UCET	1939	-2215	 	QR	74352502
687227	2346	1998-11-13	VYDAJ	PREVOD NA UCET	1939	17842	 	QR	74352502
687228	2346	1998-12-13	VYDAJ	PREVOD NA UCET	1939	-1904	 	QR	74352502
687237	2346	1996-09-13	VYDAJ	PREVOD NA UCET	6970	73858	POJISTNE	WX	92272942
687238	2346	1996-10-13	VYDAJ	PREVOD NA UCET	6970	18529	POJISTNE	WX	92272942
687239	2346	1996-11-13	VYDAJ	PREVOD NA UCET	6970	10471	POJISTNE	WX	92272942
687240	2346	1996-12-13	VYDAJ	PREVOD NA UCET	6970	34018	POJISTNE	WX	92272942
687241	2346	1997-01-13	VYDAJ	PREVOD NA UCET	6970	9215	POJISTNE	WX	92272942
687242	2346	1997-02-13	VYDAJ	PREVOD NA UCET	6970	5473	POJISTNE	WX	92272942
687243	2346	1997-03-13	VYDAJ	PREVOD NA UCET	6970	56947	POJISTNE	WX	92272942
687244	2346	1997-04-13	VYDAJ	PREVOD NA UCET	6970	38023	POJISTNE	WX	92272942
687245	2346	1997-05-13	VYDAJ	PREVOD NA UCET	6970	44009	POJISTNE	WX	92272942
687246	2346	1997-06-13	VYDAJ	PREVOD NA UCET	6970	22573	POJISTNE	WX	92272942
687247	2346	1997-07-13	VYDAJ	PREVOD NA UCET	6970	8024	POJISTNE	WX	92272942
687248	2346	1997-08-13	VYDAJ	PREVOD NA UCET	6970	2661	POJISTNE	WX	92272942
687249	2346	1997-09-13	VYDAJ	PREVOD NA UCET	6970	7103	POJISTNE	WX	92272942
687251	2346	1997-11-13	VYDAJ	PREVOD NA UCET	6970	21700	POJISTNE	WX	92272942
687252	2346	1997-12-13	VYDAJ	PREVOD NA UCET	6970	3309	POJISTNE	WX	92272942
687254	2346	1998-02-13	VYDAJ	PREVOD NA UCET	6970	5904	POJISTNE	WX	92272942
687263	2346	1998-11-13	VYDAJ	PREVOD NA UCET	6970	10872	POJISTNE	WX	92272942
687264	2346	1998-12-13	VYDAJ	PREVOD NA UCET	6970	35	POJISTNE	WX	92272942
687274	2346	1996-10-09	VYDAJ	PREVOD NA UCET	3596	25499	 	QR	42005080
687275	2346	1996-11-09	VYDAJ	PREVOD NA UCET	3596	19380	 	QR	42005080
687276	2346	1996-12-09	VYDAJ	PREVOD NA UCET	3596	40988	 	QR	42005080
687277	2346	1997-01-09	VYDAJ	PREVOD NA UCET	3596	16185	 	QR	42005080
687278	2346	1997-02-09	VYDAJ	PREVOD NA UCET	3596	14382	 	QR	42005080
687279	2346	1997-03-09	VYDAJ	PREVOD NA UCET	3596	33672	 	QR	42005080
687280	2346	1997-04-09	VYDAJ	PREVOD NA UCET	3596	46932	 	QR	42005080
687281	2346	1997-05-09	VYDAJ	PREVOD NA UCET	3596	21163	 	QR	42005080
687282	2346	1997-06-09	VYDAJ	PREVOD NA UCET	3596	31482	 	QR	42005080
687283	2346	1997-07-09	VYDAJ	PREVOD NA UCET	3596	16933	 	QR	42005080
687284	2346	1997-08-09	VYDAJ	PREVOD NA UCET	3596	9631	 	QR	42005080
687285	2346	1997-09-09	VYDAJ	PREVOD NA UCET	3596	14073	 	QR	42005080
687286	2346	1997-10-09	VYDAJ	PREVOD NA UCET	3596	1261	 	QR	42005080
687287	2346	1997-11-09	VYDAJ	PREVOD NA UCET	3596	28670	 	QR	42005080
687288	2346	1997-12-09	VYDAJ	PREVOD NA UCET	3596	12218	 	QR	42005080
687289	2346	1998-01-09	VYDAJ	PREVOD NA UCET	3596	-602	 	QR	42005080
687290	2346	1998-02-09	VYDAJ	PREVOD NA UCET	3596	14813	 	QR	42005080
687291	2346	1998-03-09	VYDAJ	PREVOD NA UCET	3596	2006	 	QR	42005080
687299	2346	1998-11-09	VYDAJ	PREVOD NA UCET	3596	29081	 	QR	42005080
687300	2346	1998-12-09	VYDAJ	PREVOD NA UCET	3596	7005	 	QR	42005080
687303	2346	1996-09-21	VYBER	VYBER	24066	47519	\N	\N	\N
687305	2346	1996-11-05	VYBER	VYBER	19704	22976	\N	\N	\N
687310	2346	1996-09-30	VYBER	VYBER	18743	34610	\N	\N	\N
687317	2346	1997-04-07	VYBER	VYBER	13846	50528	\N	\N	\N
687318	2346	1997-07-06	VYBER	VYBER	5515	20529	\N	\N	\N
687323	2346	1997-10-17	VYBER	VYBER	16774	30273	\N	\N	\N
687332	2346	1996-12-14	VYDAJ	VYBER	6300	25445	\N	\N	\N
687345	2346	1997-01-07	VYDAJ	VYBER	1500	19781	\N	\N	\N
687346	2346	1997-01-04	VYDAJ	VYBER	4200	21281	\N	\N	\N
687359	2346	1997-05-02	VYDAJ	VYBER	12600	25259	\N	\N	\N
687367	2346	1998-11-12	VYDAJ	VYBER	9300	19781	\N	\N	\N
687377	2346	1996-09-30	VYDAJ	VYBER	15	34595	SLUZBY	\N	\N
687378	2346	1996-10-31	VYDAJ	VYBER	15	43976	SLUZBY	\N	\N
687379	2346	1996-11-30	VYDAJ	VYBER	15	57484	SLUZBY	\N	\N
687380	2346	1996-12-31	VYDAJ	VYBER	15	25581	SLUZBY	\N	\N
687381	2346	1997-01-31	VYDAJ	VYBER	15	6978	SLUZBY	\N	\N
687382	2346	1997-02-28	VYDAJ	VYBER	15	46168	SLUZBY	\N	\N
687383	2346	1997-03-31	VYDAJ	VYBER	15	56820	SLUZBY	\N	\N
687384	2346	1997-04-30	VYDAJ	VYBER	15	37859	SLUZBY	\N	\N
687385	2346	1997-05-31	VYDAJ	VYBER	15	41878	SLUZBY	\N	\N
687386	2346	1997-06-30	VYDAJ	VYBER	15	22344	SLUZBY	\N	\N
687387	2346	1997-07-31	VYDAJ	VYBER	15	7727	SLUZBY	\N	\N
687388	2346	1997-08-31	VYDAJ	VYBER	15	17669	SLUZBY	\N	\N
687389	2346	1997-09-30	VYDAJ	VYBER	15	4857	SLUZBY	\N	\N
687390	2346	1997-10-31	VYDAJ	VYBER	15	32266	SLUZBY	\N	\N
687391	2346	1997-11-30	VYDAJ	VYBER	15	15814	SLUZBY	\N	\N
687392	2346	1997-12-31	VYDAJ	VYBER	15	2994	SLUZBY	\N	\N
687393	2346	1998-01-31	VYDAJ	VYBER	15	18409	SLUZBY	\N	\N
687394	2346	1998-02-28	VYDAJ	VYBER	15	5602	SLUZBY	\N	\N
687395	2346	1998-03-31	VYDAJ	VYBER	15	-276	SLUZBY	\N	\N
687396	2346	1998-04-30	VYDAJ	VYBER	15	-2563	SLUZBY	\N	\N
687397	2346	1998-05-31	VYDAJ	VYBER	15	-2595	SLUZBY	\N	\N
687398	2346	1998-06-30	VYDAJ	VYBER	15	-2637	SLUZBY	\N	\N
687399	2346	1998-07-31	VYDAJ	VYBER	15	-2706	SLUZBY	\N	\N
687400	2346	1998-08-31	VYDAJ	VYBER	15	-2721	SLUZBY	\N	\N
687401	2346	1998-09-30	VYDAJ	VYBER	15	-2764	SLUZBY	\N	\N
687402	2346	1998-10-31	VYDAJ	VYBER	15	32703	SLUZBY	\N	\N
687403	2346	1998-11-30	VYDAJ	VYBER	15	10601	SLUZBY	\N	\N
687404	2346	1996-06-07	PRIJEM	VKLAD	10900	11500	\N	\N	\N
687405	2346	1996-07-07	VYDAJ	VYBER	11600	32494	\N	\N	\N
687406	2346	1996-08-06	VYDAJ	VYBER	17300	43613	\N	\N	\N
687407	2346	1996-09-05	VYDAJ	VYBER	28800	55552	\N	\N	\N
687408	2346	1996-10-05	VYDAJ	VYBER	5500	29095	\N	\N	\N
687409	2346	1996-11-04	VYDAJ	VYBER	21900	42680	\N	\N	\N
687410	2346	1996-12-04	VYDAJ	VYBER	12900	44584	\N	\N	\N
687411	2346	1997-01-03	VYDAJ	VYBER	100	25481	\N	\N	\N
687412	2346	1997-02-02	PRIJEM	VKLAD	11000	17978	\N	\N	\N
687413	2346	1997-03-04	VYDAJ	VYBER	8900	37268	\N	\N	\N
687414	2346	1997-04-03	VYDAJ	VYBER	13600	43220	\N	\N	\N
687415	2346	1997-05-03	VYDAJ	VYBER	500	24759	\N	\N	\N
687416	2346	1997-06-02	VYDAJ	VYBER	6800	35078	\N	\N	\N
687417	2346	1997-07-02	PRIJEM	VKLAD	3700	26044	\N	\N	\N
687418	2346	1997-08-01	PRIJEM	VKLAD	5500	13227	\N	\N	\N
687419	2346	1997-08-31	PRIJEM	VKLAD	7700	17684	\N	\N	\N
687420	2346	1997-10-30	VYDAJ	VYBER	17700	32175	\N	\N	\N
687421	2346	1997-11-29	VYDAJ	VYBER	3700	15727	\N	\N	\N
687422	2346	1998-01-28	VYDAJ	VYBER	6300	18401	\N	\N	\N
687460	2347	1996-08-30	PRIJEM	VKLAD	600	600	\N	\N	\N
687469	2347	1996-09-10	PRIJEM	PREVOD Z UCTU	6498	7098	DUCHOD	GH	97071051
687470	2347	1996-10-10	PRIJEM	PREVOD Z UCTU	6498	13596	DUCHOD	GH	97071051
687471	2347	1996-11-10	PRIJEM	PREVOD Z UCTU	6498	20094	DUCHOD	GH	97071051
687472	2347	1996-12-10	PRIJEM	PREVOD Z UCTU	6498	26592	DUCHOD	GH	97071051
687473	2347	1997-01-10	PRIJEM	PREVOD Z UCTU	6498	29302	DUCHOD	GH	97071051
687474	2347	1997-02-10	PRIJEM	PREVOD Z UCTU	6498	24067	DUCHOD	GH	97071051
687475	2347	1997-03-10	PRIJEM	PREVOD Z UCTU	6498	27168	DUCHOD	GH	97071051
687476	2347	1997-04-10	PRIJEM	PREVOD Z UCTU	6498	25794	DUCHOD	GH	97071051
687477	2347	1997-05-10	PRIJEM	PREVOD Z UCTU	6498	28899	DUCHOD	GH	97071051
687478	2347	1997-06-10	PRIJEM	PREVOD Z UCTU	6498	29285	DUCHOD	GH	97071051
687479	2347	1997-07-10	PRIJEM	PREVOD Z UCTU	6498	20169	DUCHOD	GH	97071051
687480	2347	1997-08-10	PRIJEM	PREVOD Z UCTU	6498	23253	DUCHOD	GH	97071051
687481	2347	1997-09-10	PRIJEM	PREVOD Z UCTU	6498	26347	DUCHOD	GH	97071051
687482	2347	1997-10-10	PRIJEM	PREVOD Z UCTU	6498	29455	DUCHOD	GH	97071051
687483	2347	1997-11-10	PRIJEM	PREVOD Z UCTU	6498	32272	DUCHOD	GH	97071051
687484	2347	1997-12-10	PRIJEM	PREVOD Z UCTU	6498	31705	DUCHOD	GH	97071051
687485	2347	1998-01-10	PRIJEM	PREVOD Z UCTU	6498	31864	DUCHOD	GH	97071051
687486	2347	1998-02-10	PRIJEM	PREVOD Z UCTU	6498	28174	DUCHOD	GH	97071051
687487	2347	1998-03-10	PRIJEM	PREVOD Z UCTU	6498	31279	DUCHOD	GH	97071051
687488	2347	1998-04-10	PRIJEM	PREVOD Z UCTU	6498	34407	DUCHOD	GH	97071051
687489	2347	1998-05-10	PRIJEM	PREVOD Z UCTU	6498	36243	DUCHOD	GH	97071051
687490	2347	1998-06-10	PRIJEM	PREVOD Z UCTU	6498	28465	DUCHOD	GH	97071051
687491	2347	1998-07-10	PRIJEM	PREVOD Z UCTU	6498	27896	DUCHOD	GH	97071051
687492	2347	1998-08-10	PRIJEM	PREVOD Z UCTU	6498	31000	DUCHOD	GH	97071051
687493	2347	1998-09-10	PRIJEM	PREVOD Z UCTU	6498	29835	DUCHOD	GH	97071051
687494	2347	1998-10-10	PRIJEM	PREVOD Z UCTU	6498	27639	DUCHOD	GH	97071051
687495	2347	1998-11-10	PRIJEM	PREVOD Z UCTU	6498	25533	DUCHOD	GH	97071051
687496	2347	1998-12-10	PRIJEM	PREVOD Z UCTU	6498	18609	DUCHOD	GH	97071051
687509	2347	1997-01-10	VYDAJ	PREVOD NA UCET	3477	25825	SIPO	WX	25791567
687510	2347	1997-02-10	VYDAJ	PREVOD NA UCET	3477	20590	SIPO	WX	25791567
687511	2347	1997-03-10	VYDAJ	PREVOD NA UCET	3477	23691	SIPO	WX	25791567
687512	2347	1997-04-10	VYDAJ	PREVOD NA UCET	3477	22317	SIPO	WX	25791567
687513	2347	1997-05-10	VYDAJ	PREVOD NA UCET	3477	25422	SIPO	WX	25791567
687514	2347	1997-06-10	VYDAJ	PREVOD NA UCET	3477	25808	SIPO	WX	25791567
687515	2347	1997-07-10	VYDAJ	PREVOD NA UCET	3477	16692	SIPO	WX	25791567
687516	2347	1997-08-10	VYDAJ	PREVOD NA UCET	3477	19776	SIPO	WX	25791567
687517	2347	1997-09-10	VYDAJ	PREVOD NA UCET	3477	22870	SIPO	WX	25791567
687518	2347	1997-10-10	VYDAJ	PREVOD NA UCET	3477	25978	SIPO	WX	25791567
687519	2347	1997-11-10	VYDAJ	PREVOD NA UCET	3477	28795	SIPO	WX	25791567
687520	2347	1997-12-10	VYDAJ	PREVOD NA UCET	3477	28228	SIPO	WX	25791567
687521	2347	1998-01-10	VYDAJ	PREVOD NA UCET	3477	28387	SIPO	WX	25791567
687522	2347	1998-02-10	VYDAJ	PREVOD NA UCET	3477	24697	SIPO	WX	25791567
687523	2347	1998-03-10	VYDAJ	PREVOD NA UCET	3477	27802	SIPO	WX	25791567
687524	2347	1998-04-10	VYDAJ	PREVOD NA UCET	3477	30930	SIPO	WX	25791567
687525	2347	1998-05-10	VYDAJ	PREVOD NA UCET	3477	32766	SIPO	WX	25791567
687526	2347	1998-06-10	VYDAJ	PREVOD NA UCET	3477	24988	SIPO	WX	25791567
687527	2347	1998-07-10	VYDAJ	PREVOD NA UCET	3477	24419	SIPO	WX	25791567
687528	2347	1998-08-10	VYDAJ	PREVOD NA UCET	3477	27523	SIPO	WX	25791567
687529	2347	1998-09-10	VYDAJ	PREVOD NA UCET	3477	26358	SIPO	WX	25791567
687530	2347	1998-10-10	VYDAJ	PREVOD NA UCET	3477	24162	SIPO	WX	25791567
687531	2347	1998-11-10	VYDAJ	PREVOD NA UCET	3477	22056	SIPO	WX	25791567
687532	2347	1998-12-10	VYDAJ	PREVOD NA UCET	3477	15132	SIPO	WX	25791567
687534	2347	1997-06-13	VYDAJ	VYBER	10600	15208	\N	\N	\N
687535	2347	1998-06-27	VYDAJ	VYBER	2900	21308	\N	\N	\N
687537	2347	1997-12-20	VYDAJ	VYBER	800	27428	\N	\N	\N
687545	2347	1997-01-16	VYDAJ	VYBER	1200	24625	\N	\N	\N
687549	2347	1997-01-29	VYDAJ	VYBER	1280	20285	\N	\N	\N
687550	2347	1997-01-18	VYDAJ	VYBER	560	24065	\N	\N	\N
687551	2347	1998-01-07	VYDAJ	VYBER	720	25366	\N	\N	\N
687552	2347	1998-01-25	VYDAJ	VYBER	2320	21587	\N	\N	\N
687553	2347	1998-01-13	VYDAJ	VYBER	400	24787	\N	\N	\N
687554	2347	1998-01-13	VYDAJ	VYBER	1280	25187	\N	\N	\N
687555	2347	1998-01-24	VYDAJ	VYBER	880	23907	\N	\N	\N
687556	2347	1998-01-01	VYDAJ	VYBER	1440	26086	\N	\N	\N
687561	2347	1997-05-25	VYDAJ	VYBER	2720	22702	\N	\N	\N
687562	2347	1997-07-02	VYDAJ	VYBER	1600	13671	\N	\N	\N
687563	2347	1997-03-26	VYDAJ	VYBER	2480	21211	\N	\N	\N
687564	2347	1997-11-12	VYDAJ	VYBER	3680	25115	\N	\N	\N
687565	2347	1997-02-02	VYDAJ	VYBER	2800	17569	\N	\N	\N
687566	2347	1998-09-15	VYDAJ	VYBER	3200	23158	\N	\N	\N
687567	2347	1998-06-20	VYDAJ	VYBER	480	24508	\N	\N	\N
687568	2347	1998-01-11	VYDAJ	VYBER	1120	27267	\N	\N	\N
687569	2347	1998-06-06	VYDAJ	VYBER	1760	21967	\N	\N	\N
687570	2347	1998-01-11	VYDAJ	VYBER	800	26467	\N	\N	\N
687571	2347	1998-05-11	VYDAJ	VYBER	3040	29726	\N	\N	\N
687572	2347	1998-08-25	VYDAJ	VYBER	480	23243	\N	\N	\N
687586	2347	1997-01-31	VYDAJ	VYBER	15	20369	SLUZBY	\N	\N
687587	2347	1997-02-28	VYDAJ	VYBER	15	20670	SLUZBY	\N	\N
687588	2347	1997-03-31	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
687589	2347	1997-04-30	VYDAJ	VYBER	15	22401	SLUZBY	\N	\N
687590	2347	1997-05-31	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
687591	2347	1997-06-30	VYDAJ	VYBER	15	15271	SLUZBY	\N	\N
687592	2347	1997-07-31	VYDAJ	VYBER	15	16755	SLUZBY	\N	\N
687593	2347	1997-08-31	VYDAJ	VYBER	15	19849	SLUZBY	\N	\N
687594	2347	1997-09-30	VYDAJ	VYBER	15	22957	SLUZBY	\N	\N
687595	2347	1997-10-31	VYDAJ	VYBER	15	25774	SLUZBY	\N	\N
687596	2347	1997-11-30	VYDAJ	VYBER	15	25207	SLUZBY	\N	\N
687597	2347	1997-12-31	VYDAJ	VYBER	15	27526	SLUZBY	\N	\N
687598	2347	1998-01-31	VYDAJ	VYBER	15	21676	SLUZBY	\N	\N
687599	2347	1998-02-28	VYDAJ	VYBER	15	24781	SLUZBY	\N	\N
687600	2347	1998-03-31	VYDAJ	VYBER	15	27909	SLUZBY	\N	\N
687601	2347	1998-04-30	VYDAJ	VYBER	15	29745	SLUZBY	\N	\N
687602	2347	1998-05-31	VYDAJ	VYBER	15	23727	SLUZBY	\N	\N
687603	2347	1998-06-30	VYDAJ	VYBER	15	21398	SLUZBY	\N	\N
687604	2347	1998-07-31	VYDAJ	VYBER	15	24502	SLUZBY	\N	\N
687605	2347	1998-08-31	VYDAJ	VYBER	15	23337	SLUZBY	\N	\N
687606	2347	1998-09-30	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
687607	2347	1998-10-31	VYDAJ	VYBER	15	19035	SLUZBY	\N	\N
687608	2347	1998-11-30	VYDAJ	VYBER	15	12111	SLUZBY	\N	\N
687609	2347	1996-12-28	VYDAJ	VYBER	3800	22792	\N	\N	\N
687610	2347	1997-01-27	VYDAJ	VYBER	2500	21565	\N	\N	\N
687611	2347	1997-03-28	VYDAJ	VYBER	2000	19211	\N	\N	\N
687612	2347	1997-10-24	VYDAJ	VYBER	300	25678	\N	\N	\N
687613	2347	1998-04-22	VYDAJ	VYBER	1300	29630	\N	\N	\N
687614	2347	1998-05-22	VYDAJ	VYBER	6100	23626	\N	\N	\N
687615	2347	1998-06-21	VYDAJ	VYBER	300	24208	\N	\N	\N
687616	2347	1998-08-20	VYDAJ	VYBER	3800	23723	\N	\N	\N
687617	2347	1998-09-19	VYDAJ	VYBER	2100	21058	\N	\N	\N
687618	2347	1998-10-19	VYDAJ	VYBER	5200	18962	\N	\N	\N
687619	2347	1998-11-18	VYDAJ	VYBER	10000	12056	\N	\N	\N
687620	2347	1998-12-18	VYDAJ	VYBER	3000	12132	\N	\N	\N
687646	2348	1996-02-05	PRIJEM	VKLAD	600	600	\N	\N	\N
687648	2348	1996-02-13	PRIJEM	VKLAD	14651	15251	\N	\N	\N
687649	2348	1996-03-13	PRIJEM	VKLAD	14651	36439	\N	\N	\N
687650	2348	1996-04-13	PRIJEM	VKLAD	14651	44008	\N	\N	\N
687651	2348	1996-05-13	PRIJEM	VKLAD	14651	48230	\N	\N	\N
687652	2348	1996-06-13	PRIJEM	VKLAD	21976	55500	\N	\N	\N
687653	2348	1996-07-13	PRIJEM	VKLAD	14651	33073	\N	\N	\N
687654	2348	1996-08-13	PRIJEM	VKLAD	14651	34041	\N	\N	\N
687655	2348	1996-09-13	PRIJEM	VKLAD	14651	34899	\N	\N	\N
687656	2348	1996-10-13	PRIJEM	VKLAD	14651	38162	\N	\N	\N
687657	2348	1996-11-13	PRIJEM	VKLAD	14651	39039	\N	\N	\N
687658	2348	1996-12-13	PRIJEM	VKLAD	21976	43344	\N	\N	\N
687659	2348	1997-01-13	PRIJEM	VKLAD	14651	33673	\N	\N	\N
687660	2348	1997-02-13	PRIJEM	VKLAD	14651	32100	\N	\N	\N
687661	2348	1997-03-13	PRIJEM	VKLAD	14651	31444	\N	\N	\N
687662	2348	1997-04-13	PRIJEM	VKLAD	14651	33895	\N	\N	\N
687663	2348	1997-05-13	PRIJEM	VKLAD	14651	35250	\N	\N	\N
687664	2348	1997-06-13	PRIJEM	VKLAD	21976	41737	\N	\N	\N
687665	2348	1997-07-13	PRIJEM	VKLAD	14651	39209	\N	\N	\N
687666	2348	1997-08-13	PRIJEM	VKLAD	14651	32080	\N	\N	\N
687667	2348	1997-09-13	PRIJEM	VKLAD	14651	29220	\N	\N	\N
687668	2348	1997-10-13	PRIJEM	VKLAD	14651	25746	\N	\N	\N
687669	2348	1997-11-13	PRIJEM	VKLAD	14651	23978	\N	\N	\N
687670	2348	1997-12-13	PRIJEM	VKLAD	21976	32513	\N	\N	\N
687671	2348	1998-01-13	PRIJEM	VKLAD	14651	21714	\N	\N	\N
687672	2348	1998-02-13	PRIJEM	VKLAD	14651	26894	\N	\N	\N
687673	2348	1998-03-13	PRIJEM	VKLAD	14651	20304	\N	\N	\N
687674	2348	1998-04-13	PRIJEM	VKLAD	14651	24392	\N	\N	\N
687675	2348	1998-05-13	PRIJEM	VKLAD	14651	31984	\N	\N	\N
687676	2348	1998-06-13	PRIJEM	VKLAD	21976	27737	\N	\N	\N
687677	2348	1998-07-13	PRIJEM	VKLAD	14651	36053	\N	\N	\N
687678	2348	1998-08-13	PRIJEM	VKLAD	14651	44415	\N	\N	\N
687679	2348	1998-09-13	PRIJEM	VKLAD	14651	22577	\N	\N	\N
687680	2348	1998-10-13	PRIJEM	VKLAD	14651	30884	\N	\N	\N
687681	2348	1998-11-13	PRIJEM	VKLAD	14651	39226	\N	\N	\N
687682	2348	1998-12-13	PRIJEM	VKLAD	21976	28690	\N	\N	\N
687689	2348	1996-07-07	VYDAJ	PREVOD NA UCET	3057	18422	SIPO	UV	94846903
687690	2348	1996-08-07	VYDAJ	PREVOD NA UCET	3057	22739	SIPO	UV	94846903
687691	2348	1996-09-07	VYDAJ	PREVOD NA UCET	3057	20248	SIPO	UV	94846903
687692	2348	1996-10-07	VYDAJ	PREVOD NA UCET	3057	26860	SIPO	UV	94846903
687693	2348	1996-11-07	VYDAJ	PREVOD NA UCET	3057	24388	SIPO	UV	94846903
687694	2348	1996-12-07	VYDAJ	PREVOD NA UCET	3057	21368	SIPO	UV	94846903
687695	2348	1997-01-07	VYDAJ	PREVOD NA UCET	3057	19622	SIPO	UV	94846903
687696	2348	1997-02-07	VYDAJ	PREVOD NA UCET	3057	17449	SIPO	UV	94846903
687697	2348	1997-03-07	VYDAJ	PREVOD NA UCET	3057	16793	SIPO	UV	94846903
687698	2348	1997-04-07	VYDAJ	PREVOD NA UCET	3057	19244	SIPO	UV	94846903
687699	2348	1997-05-07	VYDAJ	PREVOD NA UCET	3057	20599	SIPO	UV	94846903
687700	2348	1997-06-07	VYDAJ	PREVOD NA UCET	3057	19761	SIPO	UV	94846903
687701	2348	1997-07-07	VYDAJ	PREVOD NA UCET	3057	27907	SIPO	UV	94846903
687702	2348	1997-08-07	VYDAJ	PREVOD NA UCET	3057	17429	SIPO	UV	94846903
687703	2348	1997-09-07	VYDAJ	PREVOD NA UCET	3057	17918	SIPO	UV	94846903
687704	2348	1997-10-07	VYDAJ	PREVOD NA UCET	3057	11095	SIPO	UV	94846903
687705	2348	1997-11-07	VYDAJ	PREVOD NA UCET	3057	12676	SIPO	UV	94846903
687706	2348	1997-12-07	VYDAJ	PREVOD NA UCET	3057	13886	SIPO	UV	94846903
687707	2348	1998-01-07	VYDAJ	PREVOD NA UCET	3057	10412	SIPO	UV	94846903
687708	2348	1998-02-07	VYDAJ	PREVOD NA UCET	3057	15592	SIPO	UV	94846903
687709	2348	1998-03-07	VYDAJ	PREVOD NA UCET	3057	9002	SIPO	UV	94846903
687710	2348	1998-04-07	VYDAJ	PREVOD NA UCET	3057	13090	SIPO	UV	94846903
687711	2348	1998-05-07	VYDAJ	PREVOD NA UCET	3057	20682	SIPO	UV	94846903
687712	2348	1998-06-07	VYDAJ	PREVOD NA UCET	3057	5761	SIPO	UV	94846903
687713	2348	1998-07-07	VYDAJ	PREVOD NA UCET	3057	24751	SIPO	UV	94846903
687714	2348	1998-08-07	VYDAJ	PREVOD NA UCET	3057	33113	SIPO	UV	94846903
687715	2348	1998-09-07	VYDAJ	PREVOD NA UCET	3057	11275	SIPO	UV	94846903
687716	2348	1998-10-07	VYDAJ	PREVOD NA UCET	3057	16233	SIPO	UV	94846903
687717	2348	1998-11-07	VYDAJ	PREVOD NA UCET	3057	24575	SIPO	UV	94846903
687718	2348	1998-12-07	VYDAJ	PREVOD NA UCET	3057	10063	SIPO	UV	94846903
687725	2348	1996-07-07	VYDAJ	PREVOD NA UCET	3349	21479	 	QR	662106
687726	2348	1996-08-07	VYDAJ	PREVOD NA UCET	3349	19390	 	QR	662106
687727	2348	1996-09-07	VYDAJ	PREVOD NA UCET	3349	23305	 	QR	662106
687728	2348	1996-10-07	VYDAJ	PREVOD NA UCET	3349	23511	 	QR	662106
687729	2348	1996-11-07	VYDAJ	PREVOD NA UCET	3349	27445	 	QR	662106
687730	2348	1996-12-07	VYDAJ	PREVOD NA UCET	3349	24425	 	QR	662106
687731	2348	1997-01-07	VYDAJ	PREVOD NA UCET	3349	22679	 	QR	662106
687732	2348	1997-02-07	VYDAJ	PREVOD NA UCET	3349	20506	 	QR	662106
687733	2348	1997-03-07	VYDAJ	PREVOD NA UCET	3349	19850	 	QR	662106
687734	2348	1997-04-07	VYDAJ	PREVOD NA UCET	3349	22301	 	QR	662106
687735	2348	1997-05-07	VYDAJ	PREVOD NA UCET	3349	23656	 	QR	662106
687736	2348	1997-06-07	VYDAJ	PREVOD NA UCET	3349	22818	 	QR	662106
687737	2348	1997-07-07	VYDAJ	PREVOD NA UCET	3349	24558	 	QR	662106
687738	2348	1997-08-07	VYDAJ	PREVOD NA UCET	3349	20486	 	QR	662106
687739	2348	1997-09-07	VYDAJ	PREVOD NA UCET	3349	14569	 	QR	662106
687740	2348	1997-10-07	VYDAJ	PREVOD NA UCET	3349	14152	 	QR	662106
687741	2348	1997-11-07	VYDAJ	PREVOD NA UCET	3349	9327	 	QR	662106
687742	2348	1997-12-07	VYDAJ	PREVOD NA UCET	3349	10537	 	QR	662106
687743	2348	1998-01-07	VYDAJ	PREVOD NA UCET	3349	7063	 	QR	662106
687744	2348	1998-02-07	VYDAJ	PREVOD NA UCET	3349	12243	 	QR	662106
687745	2348	1998-03-07	VYDAJ	PREVOD NA UCET	3349	5653	 	QR	662106
687746	2348	1998-04-07	VYDAJ	PREVOD NA UCET	3349	9741	 	QR	662106
687747	2348	1998-05-07	VYDAJ	PREVOD NA UCET	3349	17333	 	QR	662106
687748	2348	1998-06-07	VYDAJ	PREVOD NA UCET	3349	8818	 	QR	662106
687749	2348	1998-07-07	VYDAJ	PREVOD NA UCET	3349	21402	 	QR	662106
687750	2348	1998-08-07	VYDAJ	PREVOD NA UCET	3349	29764	 	QR	662106
687751	2348	1998-09-07	VYDAJ	PREVOD NA UCET	3349	7926	 	QR	662106
687752	2348	1998-10-07	VYDAJ	PREVOD NA UCET	3349	19290	 	QR	662106
687753	2348	1998-11-07	VYDAJ	PREVOD NA UCET	3349	27632	 	QR	662106
687754	2348	1998-12-07	VYDAJ	PREVOD NA UCET	3349	6714	 	QR	662106
687755	2348	1996-06-17	VYDAJ	VYBER	29120	26380	\N	\N	\N
687758	2348	1996-12-30	VYDAJ	VYBER	4160	39184	\N	\N	\N
687759	2348	1997-12-25	VYDAJ	VYBER	3520	28993	\N	\N	\N
687760	2348	1998-12-20	VYDAJ	VYBER	1600	27090	\N	\N	\N
687767	2348	1997-01-05	VYDAJ	VYBER	1080	26028	\N	\N	\N
687768	2348	1997-01-10	VYDAJ	VYBER	600	19022	\N	\N	\N
687769	2348	1997-01-02	VYDAJ	VYBER	960	27108	\N	\N	\N
687770	2348	1997-01-17	VYDAJ	VYBER	960	32713	\N	\N	\N
687771	2348	1997-01-19	VYDAJ	VYBER	3360	29353	\N	\N	\N
687772	2348	1997-01-01	VYDAJ	VYBER	3360	28068	\N	\N	\N
687773	2348	1998-01-29	VYDAJ	VYBER	600	18594	\N	\N	\N
687776	2348	1998-01-25	VYDAJ	VYBER	2520	19194	\N	\N	\N
687780	2348	1996-07-19	VYDAJ	VYBER	2880	30193	\N	\N	\N
687782	2348	1997-11-03	VYDAJ	VYBER	1080	15733	\N	\N	\N
687785	2348	1998-04-25	VYDAJ	VYBER	720	23672	\N	\N	\N
687786	2348	1998-03-19	VYDAJ	VYBER	4200	16104	\N	\N	\N
687793	2348	1996-06-30	VYDAJ	VYBER	15	26528	SLUZBY	\N	\N
687794	2348	1996-07-31	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
687795	2348	1996-08-31	VYDAJ	VYBER	15	34154	SLUZBY	\N	\N
687796	2348	1996-09-30	VYDAJ	VYBER	15	35017	SLUZBY	\N	\N
687797	2348	1996-10-31	VYDAJ	VYBER	15	38294	SLUZBY	\N	\N
687798	2348	1996-11-30	VYDAJ	VYBER	15	39174	SLUZBY	\N	\N
687799	2348	1996-12-31	VYDAJ	VYBER	15	39328	SLUZBY	\N	\N
687800	2348	1997-01-31	VYDAJ	VYBER	15	23855	SLUZBY	\N	\N
687801	2348	1997-02-28	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
687802	2348	1997-03-31	VYDAJ	VYBER	15	25650	SLUZBY	\N	\N
687803	2348	1997-04-30	VYDAJ	VYBER	15	34005	SLUZBY	\N	\N
687804	2348	1997-05-31	VYDAJ	VYBER	15	26167	SLUZBY	\N	\N
687805	2348	1997-06-30	VYDAJ	VYBER	15	30964	SLUZBY	\N	\N
687806	2348	1997-07-31	VYDAJ	VYBER	15	23835	SLUZBY	\N	\N
687807	2348	1997-08-31	VYDAJ	VYBER	15	20975	SLUZBY	\N	\N
687808	2348	1997-09-30	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
687809	2348	1997-10-31	VYDAJ	VYBER	15	16813	SLUZBY	\N	\N
687810	2348	1997-11-30	VYDAJ	VYBER	15	16943	SLUZBY	\N	\N
687811	2348	1997-12-31	VYDAJ	VYBER	15	13469	SLUZBY	\N	\N
687812	2348	1998-01-31	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
687813	2348	1998-02-28	VYDAJ	VYBER	15	12059	SLUZBY	\N	\N
687814	2348	1998-03-31	VYDAJ	VYBER	15	16147	SLUZBY	\N	\N
687815	2348	1998-04-30	VYDAJ	VYBER	15	23739	SLUZBY	\N	\N
687816	2348	1998-05-31	VYDAJ	VYBER	15	12167	SLUZBY	\N	\N
687817	2348	1998-06-30	VYDAJ	VYBER	15	27808	SLUZBY	\N	\N
687818	2348	1998-07-31	VYDAJ	VYBER	15	36170	SLUZBY	\N	\N
687819	2348	1998-08-31	VYDAJ	VYBER	15	14332	SLUZBY	\N	\N
687820	2348	1998-09-30	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
687821	2348	1998-10-31	VYDAJ	VYBER	15	30981	SLUZBY	\N	\N
687822	2348	1998-11-30	VYDAJ	VYBER	15	13120	SLUZBY	\N	\N
687823	2348	1996-03-06	PRIJEM	VKLAD	6500	21788	\N	\N	\N
687824	2348	1996-04-05	VYDAJ	VYBER	7200	29357	\N	\N	\N
687825	2348	1996-05-05	VYDAJ	VYBER	10600	33579	\N	\N	\N
687826	2348	1996-06-04	VYDAJ	VYBER	14900	33524	\N	\N	\N
687827	2348	1996-07-04	VYDAJ	VYBER	1700	24828	\N	\N	\N
687828	2348	1996-08-03	VYDAJ	VYBER	4500	25796	\N	\N	\N
687829	2348	1996-09-02	VYDAJ	VYBER	7500	26654	\N	\N	\N
687830	2348	1996-10-02	VYDAJ	VYBER	5100	29917	\N	\N	\N
687831	2348	1996-11-01	VYDAJ	VYBER	7500	30794	\N	\N	\N
687832	2348	1996-12-01	VYDAJ	VYBER	11400	27774	\N	\N	\N
687833	2348	1996-12-31	VYDAJ	VYBER	7900	31428	\N	\N	\N
687834	2348	1997-01-30	VYDAJ	VYBER	5600	23753	\N	\N	\N
687835	2348	1997-03-01	VYDAJ	VYBER	9000	23199	\N	\N	\N
687836	2348	1997-03-31	VYDAJ	VYBER	5900	25665	\N	\N	\N
687837	2348	1997-04-30	VYDAJ	VYBER	7000	27005	\N	\N	\N
687838	2348	1997-05-30	VYDAJ	VYBER	9200	26050	\N	\N	\N
687839	2348	1997-06-29	VYDAJ	VYBER	10900	30837	\N	\N	\N
687840	2348	1997-07-29	VYDAJ	VYBER	15500	23709	\N	\N	\N
687841	2348	1997-08-28	VYDAJ	VYBER	11200	20880	\N	\N	\N
687842	2348	1997-09-27	VYDAJ	VYBER	11800	17420	\N	\N	\N
687843	2348	1997-10-27	VYDAJ	VYBER	9000	16746	\N	\N	\N
687844	2348	1997-11-26	VYDAJ	VYBER	7100	16878	\N	\N	\N
687845	2348	1997-12-26	VYDAJ	VYBER	15600	13393	\N	\N	\N
687846	2348	1998-02-24	VYDAJ	VYBER	14900	11994	\N	\N	\N
687847	2348	1998-05-25	VYDAJ	VYBER	19900	12084	\N	\N	\N
687848	2348	1998-08-23	VYDAJ	VYBER	30200	14215	\N	\N	\N
687849	2348	1998-11-21	VYDAJ	VYBER	26200	13026	\N	\N	\N
687885	2349	1996-09-11	PRIJEM	VKLAD	500	500	\N	\N	\N
687895	2349	1996-10-08	PRIJEM	PREVOD Z UCTU	6206	6706	DUCHOD	YZ	37480622
687896	2349	1996-11-08	PRIJEM	PREVOD Z UCTU	6206	12912	DUCHOD	YZ	37480622
687897	2349	1996-12-08	PRIJEM	PREVOD Z UCTU	6206	19118	DUCHOD	YZ	37480622
687898	2349	1997-01-08	PRIJEM	PREVOD Z UCTU	6206	25324	DUCHOD	YZ	37480622
687899	2349	1997-02-08	PRIJEM	PREVOD Z UCTU	6206	25088	DUCHOD	YZ	37480622
687900	2349	1997-03-08	PRIJEM	PREVOD Z UCTU	6206	21857	DUCHOD	YZ	37480622
687901	2349	1997-04-08	PRIJEM	PREVOD Z UCTU	6206	18512	DUCHOD	YZ	37480622
687902	2349	1997-05-08	PRIJEM	PREVOD Z UCTU	6206	19065	DUCHOD	YZ	37480622
687903	2349	1997-06-08	PRIJEM	PREVOD Z UCTU	6206	17815	DUCHOD	YZ	37480622
687904	2349	1997-07-08	PRIJEM	PREVOD Z UCTU	6206	20472	DUCHOD	YZ	37480622
687905	2349	1997-08-08	PRIJEM	PREVOD Z UCTU	6206	18426	DUCHOD	YZ	37480622
687906	2349	1997-09-08	PRIJEM	PREVOD Z UCTU	6206	16724	DUCHOD	YZ	37480622
687907	2349	1997-10-08	PRIJEM	PREVOD Z UCTU	6206	20984	DUCHOD	YZ	37480622
687908	2349	1997-11-08	PRIJEM	PREVOD Z UCTU	6206	22493	DUCHOD	YZ	37480622
687909	2349	1997-12-08	PRIJEM	PREVOD Z UCTU	6206	19033	DUCHOD	YZ	37480622
687910	2349	1998-01-08	PRIJEM	PREVOD Z UCTU	6206	21383	DUCHOD	YZ	37480622
687911	2349	1998-02-08	PRIJEM	PREVOD Z UCTU	6206	16953	DUCHOD	YZ	37480622
687912	2349	1998-03-08	PRIJEM	PREVOD Z UCTU	6206	21218	DUCHOD	YZ	37480622
687913	2349	1998-04-08	PRIJEM	PREVOD Z UCTU	6206	25491	DUCHOD	YZ	37480622
687914	2349	1998-05-08	PRIJEM	PREVOD Z UCTU	6206	29782	DUCHOD	YZ	37480622
687915	2349	1998-06-08	PRIJEM	PREVOD Z UCTU	6206	18350	DUCHOD	YZ	37480622
687916	2349	1998-07-08	PRIJEM	PREVOD Z UCTU	6206	22629	DUCHOD	YZ	37480622
687917	2349	1998-08-08	PRIJEM	PREVOD Z UCTU	6206	17908	DUCHOD	YZ	37480622
687918	2349	1998-09-08	PRIJEM	PREVOD Z UCTU	6206	22179	DUCHOD	YZ	37480622
687919	2349	1998-10-08	PRIJEM	PREVOD Z UCTU	6206	26456	DUCHOD	YZ	37480622
687920	2349	1998-11-08	PRIJEM	PREVOD Z UCTU	6206	24250	DUCHOD	YZ	37480622
687921	2349	1998-12-08	PRIJEM	PREVOD Z UCTU	6206	20194	DUCHOD	YZ	37480622
687935	2349	1997-02-12	VYDAJ	PREVOD NA UCET	1992	15596	SIPO	ST	98776816
687936	2349	1997-03-12	VYDAJ	PREVOD NA UCET	1992	12265	SIPO	ST	98776816
687937	2349	1997-04-12	VYDAJ	PREVOD NA UCET	1992	12820	SIPO	ST	98776816
687938	2349	1997-05-12	VYDAJ	PREVOD NA UCET	1992	11573	SIPO	ST	98776816
687939	2349	1997-06-12	VYDAJ	PREVOD NA UCET	1992	14223	SIPO	ST	98776816
687940	2349	1997-07-12	VYDAJ	PREVOD NA UCET	1992	12180	SIPO	ST	98776816
687941	2349	1997-08-12	VYDAJ	PREVOD NA UCET	1992	16434	SIPO	ST	98776816
687942	2349	1997-09-12	VYDAJ	PREVOD NA UCET	1992	14732	SIPO	ST	98776816
687943	2349	1997-10-12	VYDAJ	PREVOD NA UCET	1992	18992	SIPO	ST	98776816
687944	2349	1997-11-12	VYDAJ	PREVOD NA UCET	1992	20501	SIPO	ST	98776816
687945	2349	1997-12-12	VYDAJ	PREVOD NA UCET	1992	17041	SIPO	ST	98776816
687946	2349	1998-01-12	VYDAJ	PREVOD NA UCET	1992	16591	SIPO	ST	98776816
687947	2349	1998-02-12	VYDAJ	PREVOD NA UCET	1992	14961	SIPO	ST	98776816
687948	2349	1998-03-12	VYDAJ	PREVOD NA UCET	1992	19226	SIPO	ST	98776816
687949	2349	1998-04-12	VYDAJ	PREVOD NA UCET	1992	23499	SIPO	ST	98776816
687950	2349	1998-05-12	VYDAJ	PREVOD NA UCET	1992	27790	SIPO	ST	98776816
687951	2349	1998-06-12	VYDAJ	PREVOD NA UCET	1992	16358	SIPO	ST	98776816
687952	2349	1998-07-12	VYDAJ	PREVOD NA UCET	1992	20637	SIPO	ST	98776816
687953	2349	1998-08-12	VYDAJ	PREVOD NA UCET	1992	15916	SIPO	ST	98776816
687954	2349	1998-09-12	VYDAJ	PREVOD NA UCET	1992	20187	SIPO	ST	98776816
687955	2349	1998-10-12	VYDAJ	PREVOD NA UCET	1992	24464	SIPO	ST	98776816
687956	2349	1998-11-12	VYDAJ	PREVOD NA UCET	1992	22258	SIPO	ST	98776816
687957	2349	1998-12-12	VYDAJ	PREVOD NA UCET	1992	14762	SIPO	ST	98776816
687963	2349	1998-01-09	VYDAJ	VYBER	2800	18583	\N	\N	\N
687965	2349	1997-12-04	VYDAJ	VYBER	400	16327	\N	\N	\N
687966	2349	1998-12-16	VYDAJ	VYBER	1200	13562	\N	\N	\N
687978	2349	1997-08-23	VYDAJ	VYBER	2960	13474	\N	\N	\N
687980	2349	1997-11-26	VYDAJ	VYBER	3840	16661	\N	\N	\N
687981	2349	1997-10-18	VYDAJ	VYBER	1760	17232	\N	\N	\N
687984	2349	1998-05-28	VYDAJ	VYBER	1040	26750	\N	\N	\N
687985	2349	1998-01-03	VYDAJ	VYBER	1920	15177	\N	\N	\N
687987	2349	1998-11-25	VYDAJ	VYBER	1440	20818	\N	\N	\N
687988	2349	1998-12-08	VYDAJ	VYBER	3440	16754	\N	\N	\N
688003	2349	1997-02-28	VYDAJ	VYBER	15	15651	SLUZBY	\N	\N
688004	2349	1997-03-31	VYDAJ	VYBER	15	12306	SLUZBY	\N	\N
688005	2349	1997-04-30	VYDAJ	VYBER	15	12859	SLUZBY	\N	\N
688006	2349	1997-05-31	VYDAJ	VYBER	15	11609	SLUZBY	\N	\N
688007	2349	1997-06-30	VYDAJ	VYBER	15	14266	SLUZBY	\N	\N
688008	2349	1997-07-31	VYDAJ	VYBER	15	12220	SLUZBY	\N	\N
688009	2349	1997-08-31	VYDAJ	VYBER	15	13518	SLUZBY	\N	\N
688010	2349	1997-09-30	VYDAJ	VYBER	15	14778	SLUZBY	\N	\N
688011	2349	1997-10-31	VYDAJ	VYBER	15	17287	SLUZBY	\N	\N
688012	2349	1997-11-30	VYDAJ	VYBER	15	16727	SLUZBY	\N	\N
688013	2349	1997-12-31	VYDAJ	VYBER	15	17097	SLUZBY	\N	\N
688014	2349	1998-01-31	VYDAJ	VYBER	15	16647	SLUZBY	\N	\N
688015	2349	1998-02-28	VYDAJ	VYBER	15	15012	SLUZBY	\N	\N
688016	2349	1998-03-31	VYDAJ	VYBER	15	19285	SLUZBY	\N	\N
688017	2349	1998-04-30	VYDAJ	VYBER	15	23576	SLUZBY	\N	\N
688018	2349	1998-05-31	VYDAJ	VYBER	15	26844	SLUZBY	\N	\N
688019	2349	1998-06-30	VYDAJ	VYBER	15	16423	SLUZBY	\N	\N
688020	2349	1998-07-31	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
688021	2349	1998-08-31	VYDAJ	VYBER	15	15973	SLUZBY	\N	\N
688022	2349	1998-09-30	VYDAJ	VYBER	15	20250	SLUZBY	\N	\N
688023	2349	1998-10-31	VYDAJ	VYBER	15	24544	SLUZBY	\N	\N
688024	2349	1998-11-30	VYDAJ	VYBER	15	20888	SLUZBY	\N	\N
688025	2349	1997-01-09	VYDAJ	VYBER	6500	18824	\N	\N	\N
688026	2349	1997-02-08	VYDAJ	VYBER	7500	17588	\N	\N	\N
688027	2349	1997-03-10	VYDAJ	VYBER	7600	14257	\N	\N	\N
688028	2349	1997-04-09	VYDAJ	VYBER	3700	14812	\N	\N	\N
688029	2349	1997-05-09	VYDAJ	VYBER	5500	13565	\N	\N	\N
688030	2349	1997-06-08	VYDAJ	VYBER	1600	16215	\N	\N	\N
688031	2349	1997-07-08	VYDAJ	VYBER	6300	14172	\N	\N	\N
688032	2349	1997-09-06	VYDAJ	VYBER	3000	10518	\N	\N	\N
688033	2349	1997-11-05	VYDAJ	VYBER	1000	16287	\N	\N	\N
688034	2349	1997-12-05	VYDAJ	VYBER	3500	12827	\N	\N	\N
688035	2349	1998-02-03	VYDAJ	VYBER	5900	10747	\N	\N	\N
688036	2349	1998-06-03	VYDAJ	VYBER	14700	12144	\N	\N	\N
688037	2349	1998-08-02	VYDAJ	VYBER	9000	11702	\N	\N	\N
688038	2349	1998-10-31	VYDAJ	VYBER	6500	18044	\N	\N	\N
688039	2349	1998-11-30	VYDAJ	VYBER	6900	13988	\N	\N	\N
688064	2350	1996-08-04	PRIJEM	VKLAD	600	600	\N	\N	\N
688069	2350	1996-11-06	PRIJEM	VKLAD	12913	36013	\N	\N	\N
688074	2350	1996-12-24	PRIJEM	VKLAD	36870	65308	\N	\N	\N
688078	2350	1997-10-11	PRIJEM	VKLAD	33454	111195	\N	\N	\N
688079	2350	1997-09-25	PRIJEM	VKLAD	5489	11959	\N	\N	\N
688080	2350	1997-11-04	PRIJEM	VKLAD	49869	76958	\N	\N	\N
688081	2350	1997-12-09	PRIJEM	VKLAD	31428	59725	\N	\N	\N
688082	2350	1997-04-09	PRIJEM	VKLAD	42177	84141	\N	\N	\N
688083	2350	1997-12-18	PRIJEM	VKLAD	41854	87588	\N	\N	\N
688084	2350	1997-03-16	PRIJEM	VKLAD	42869	82744	\N	\N	\N
688085	2350	1997-10-02	PRIJEM	VKLAD	19795	38489	\N	\N	\N
688086	2350	1997-10-06	PRIJEM	VKLAD	39827	78316	\N	\N	\N
688087	2350	1997-01-05	PRIJEM	VKLAD	41840	86830	\N	\N	\N
688088	2350	1997-12-08	PRIJEM	VKLAD	7974	41764	\N	\N	\N
688089	2350	1997-03-23	PRIJEM	VKLAD	22901	105645	\N	\N	\N
688090	2350	1998-02-28	PRIJEM	VKLAD	37156	68674	\N	\N	\N
688091	2350	1998-01-11	PRIJEM	VKLAD	46470	96528	\N	\N	\N
688092	2350	1998-01-06	PRIJEM	VKLAD	26418	68933	\N	\N	\N
688093	2350	1998-12-20	PRIJEM	VKLAD	13571	42206	\N	\N	\N
688094	2350	1998-10-05	PRIJEM	VKLAD	34008	97337	\N	\N	\N
688095	2350	1998-12-22	PRIJEM	VKLAD	25032	67238	\N	\N	\N
688096	2350	1998-06-02	PRIJEM	VKLAD	30572	73768	\N	\N	\N
688097	2350	1998-05-06	PRIJEM	VKLAD	24805	72082	\N	\N	\N
688098	2350	1998-10-20	PRIJEM	VKLAD	34790	98533	\N	\N	\N
688099	2350	1998-07-21	PRIJEM	VKLAD	29130	57695	\N	\N	\N
688100	2350	1998-05-12	PRIJEM	VKLAD	40953	112460	\N	\N	\N
688101	2350	1998-09-18	PRIJEM	VKLAD	14740	42536	\N	\N	\N
688102	2350	1998-03-27	PRIJEM	VKLAD	47787	115356	\N	\N	\N
688103	2350	1998-04-14	PRIJEM	VKLAD	43317	109133	\N	\N	\N
688104	2350	1998-08-10	PRIJEM	VKLAD	8539	38405	\N	\N	\N
688105	2350	1998-12-29	PRIJEM	VKLAD	37188	75726	\N	\N	\N
688106	2350	1998-04-08	PRIJEM	VKLAD	17299	69144	\N	\N	\N
688107	2350	1998-02-02	PRIJEM	VKLAD	16286	59878	\N	\N	\N
688108	2350	1998-06-11	PRIJEM	VKLAD	11577	84770	\N	\N	\N
688109	2350	1998-09-28	PRIJEM	VKLAD	31349	63185	\N	\N	\N
688110	2350	1998-11-18	PRIJEM	VKLAD	26139	75689	\N	\N	\N
688111	2350	1998-10-13	PRIJEM	VKLAD	18372	111806	\N	\N	\N
688112	2350	1998-03-04	PRIJEM	VKLAD	8076	76735	\N	\N	\N
688113	2350	1998-08-23	PRIJEM	VKLAD	24316	54130	\N	\N	\N
688129	2350	1997-04-08	VYDAJ	VYBER	2300	41964	\N	\N	0
688130	2350	1997-05-12	VYDAJ	PREVOD NA UCET	3328	50270	UVER	OP	74027311
688131	2350	1997-06-12	VYDAJ	PREVOD NA UCET	3328	17952	UVER	OP	74027311
688132	2350	1997-07-12	VYDAJ	PREVOD NA UCET	3328	17569	UVER	OP	74027311
688133	2350	1997-08-12	VYDAJ	PREVOD NA UCET	3328	14856	UVER	OP	74027311
688134	2350	1997-09-12	VYDAJ	PREVOD NA UCET	3328	11733	UVER	OP	74027311
688135	2350	1997-10-12	VYDAJ	PREVOD NA UCET	3328	57167	UVER	OP	74027311
688136	2350	1997-11-12	VYDAJ	PREVOD NA UCET	3328	73055	UVER	OP	74027311
688137	2350	1997-12-12	VYDAJ	PREVOD NA UCET	3328	56397	UVER	OP	74027311
688138	2350	1998-01-12	VYDAJ	PREVOD NA UCET	3328	93200	UVER	OP	74027311
688139	2350	1998-02-12	VYDAJ	PREVOD NA UCET	3328	55975	UVER	OP	74027311
688140	2350	1998-03-12	VYDAJ	PREVOD NA UCET	3328	72832	UVER	OP	74027311
688141	2350	1998-04-12	VYDAJ	PREVOD NA UCET	3328	65816	UVER	OP	74027311
688142	2350	1998-05-12	VYDAJ	PREVOD NA UCET	3328	109132	UVER	OP	74027311
688143	2350	1998-06-12	VYDAJ	PREVOD NA UCET	3328	81442	UVER	OP	74027311
688144	2350	1998-07-12	VYDAJ	PREVOD NA UCET	3328	33828	UVER	OP	74027311
688145	2350	1998-08-12	VYDAJ	PREVOD NA UCET	3328	35077	UVER	OP	74027311
688146	2350	1998-09-12	VYDAJ	PREVOD NA UCET	3328	33059	UVER	OP	74027311
688147	2350	1998-10-12	VYDAJ	PREVOD NA UCET	3328	93434	UVER	OP	74027311
688148	2350	1998-11-12	VYDAJ	PREVOD NA UCET	3328	54813	UVER	OP	74027311
688149	2350	1998-12-12	VYDAJ	PREVOD NA UCET	3328	33898	UVER	OP	74027311
688165	2350	1997-04-07	VYDAJ	PREVOD NA UCET	575	44264	SIPO	KL	56521683
688166	2350	1997-05-07	VYDAJ	PREVOD NA UCET	575	53598	SIPO	KL	56521683
688167	2350	1997-06-07	VYDAJ	PREVOD NA UCET	575	37840	SIPO	KL	56521683
688168	2350	1997-07-07	VYDAJ	PREVOD NA UCET	575	20898	SIPO	KL	56521683
688169	2350	1997-08-07	VYDAJ	PREVOD NA UCET	575	18185	SIPO	KL	56521683
688170	2350	1997-09-07	VYDAJ	PREVOD NA UCET	575	15061	SIPO	KL	56521683
688171	2350	1997-10-07	VYDAJ	PREVOD NA UCET	575	77741	SIPO	KL	56521683
688172	2350	1997-11-07	VYDAJ	PREVOD NA UCET	575	76383	SIPO	KL	56521683
688173	2350	1997-12-07	VYDAJ	PREVOD NA UCET	575	33790	SIPO	KL	56521683
688174	2350	1998-01-07	VYDAJ	PREVOD NA UCET	575	68358	SIPO	KL	56521683
688175	2350	1998-02-07	VYDAJ	PREVOD NA UCET	575	59303	SIPO	KL	56521683
688176	2350	1998-03-07	VYDAJ	PREVOD NA UCET	575	76160	SIPO	KL	56521683
688177	2350	1998-04-07	VYDAJ	PREVOD NA UCET	575	51845	SIPO	KL	56521683
688178	2350	1998-05-07	VYDAJ	PREVOD NA UCET	575	71507	SIPO	KL	56521683
688179	2350	1998-06-07	VYDAJ	PREVOD NA UCET	575	73193	SIPO	KL	56521683
688180	2350	1998-07-07	VYDAJ	PREVOD NA UCET	575	37156	SIPO	KL	56521683
688181	2350	1998-08-07	VYDAJ	PREVOD NA UCET	575	29866	SIPO	KL	56521683
688182	2350	1998-09-07	VYDAJ	PREVOD NA UCET	575	36388	SIPO	KL	56521683
688183	2350	1998-10-07	VYDAJ	PREVOD NA UCET	575	96762	SIPO	KL	56521683
688184	2350	1998-11-07	VYDAJ	PREVOD NA UCET	575	58141	SIPO	KL	56521683
688185	2350	1998-12-07	VYDAJ	PREVOD NA UCET	575	37226	SIPO	KL	56521683
688201	2350	1997-04-14	VYDAJ	PREVOD NA UCET	5263	78878	 	IJ	98643308
688202	2350	1997-05-14	VYDAJ	PREVOD NA UCET	5263	45007	 	IJ	98643308
688203	2350	1997-06-14	VYDAJ	PREVOD NA UCET	5263	12689	 	IJ	98643308
688204	2350	1997-07-14	VYDAJ	PREVOD NA UCET	5263	12306	 	IJ	98643308
688205	2350	1997-08-14	VYDAJ	PREVOD NA UCET	5263	9593	 	IJ	98643308
688206	2350	1997-09-14	VYDAJ	PREVOD NA UCET	5263	6470	 	IJ	98643308
688207	2350	1997-10-14	VYDAJ	PREVOD NA UCET	5263	51904	 	IJ	98643308
688208	2350	1997-11-14	VYDAJ	PREVOD NA UCET	5263	67792	 	IJ	98643308
688209	2350	1997-12-14	VYDAJ	PREVOD NA UCET	5263	51134	 	IJ	98643308
688210	2350	1998-01-14	VYDAJ	PREVOD NA UCET	5263	87937	 	IJ	98643308
688211	2350	1998-02-14	VYDAJ	PREVOD NA UCET	5263	50712	 	IJ	98643308
688212	2350	1998-03-14	VYDAJ	PREVOD NA UCET	5263	67569	 	IJ	98643308
688213	2350	1998-04-14	VYDAJ	PREVOD NA UCET	5263	103870	 	IJ	98643308
688214	2350	1998-05-14	VYDAJ	PREVOD NA UCET	5263	56769	 	IJ	98643308
688215	2350	1998-06-14	VYDAJ	PREVOD NA UCET	5263	76179	 	IJ	98643308
688216	2350	1998-07-14	VYDAJ	PREVOD NA UCET	5263	28565	 	IJ	98643308
688217	2350	1998-08-14	VYDAJ	PREVOD NA UCET	5263	29814	 	IJ	98643308
688218	2350	1998-09-14	VYDAJ	PREVOD NA UCET	5263	27796	 	IJ	98643308
688219	2350	1998-10-14	VYDAJ	PREVOD NA UCET	5263	63743	 	IJ	98643308
688220	2350	1998-11-14	VYDAJ	PREVOD NA UCET	5263	49550	 	IJ	98643308
688221	2350	1998-12-14	VYDAJ	PREVOD NA UCET	5263	28635	 	IJ	98643308
688224	2350	1997-10-27	VYBER	VYBER	14144	29206	\N	\N	\N
688226	2350	1997-12-08	VYBER	VYBER	13467	28297	\N	\N	\N
688227	2350	1997-06-10	VYBER	VYBER	16560	21280	\N	\N	\N
688229	2350	1997-10-22	VYBER	VYBER	8554	43350	\N	\N	\N
688231	2350	1997-11-26	VYBER	VYBER	17047	50745	\N	\N	\N
688237	2350	1998-01-10	VYDAJ	VYBER	18300	50058	\N	\N	\N
688239	2350	1997-12-15	VYDAJ	VYBER	5400	45734	\N	\N	\N
688240	2350	1998-12-02	VYDAJ	VYBER	5400	37801	\N	\N	\N
688253	2350	1998-01-16	VYDAJ	VYBER	6600	81337	\N	\N	\N
688254	2350	1998-01-01	VYDAJ	VYBER	1500	49115	\N	\N	\N
688255	2350	1998-01-02	VYDAJ	VYBER	3000	46115	\N	\N	\N
688256	2350	1998-01-20	VYDAJ	VYBER	5100	69937	\N	\N	\N
688257	2350	1998-01-03	VYDAJ	VYBER	3600	42515	\N	\N	\N
688258	2350	1998-01-19	VYDAJ	VYBER	6300	75037	\N	\N	\N
688268	2350	1998-06-30	VYDAJ	VYBER	13200	37746	\N	\N	\N
688269	2350	1998-08-01	VYDAJ	VYBER	11400	30441	\N	\N	\N
688285	2350	1997-03-31	VYDAJ	VYBER	15	63939	SLUZBY	\N	\N
688286	2350	1997-04-30	VYDAJ	VYBER	15	79173	SLUZBY	\N	\N
688287	2350	1997-05-31	VYDAJ	VYBER	15	45215	SLUZBY	\N	\N
688288	2350	1997-06-30	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
688289	2350	1997-07-31	VYDAJ	VYBER	15	18760	SLUZBY	\N	\N
688290	2350	1997-08-31	VYDAJ	VYBER	15	15636	SLUZBY	\N	\N
688291	2350	1997-09-30	VYDAJ	VYBER	15	18694	SLUZBY	\N	\N
688292	2350	1997-10-31	VYDAJ	VYBER	15	27089	SLUZBY	\N	\N
688293	2350	1997-11-30	VYDAJ	VYBER	15	34365	SLUZBY	\N	\N
688294	2350	1997-12-31	VYDAJ	VYBER	15	50615	SLUZBY	\N	\N
688295	2350	1998-01-31	VYDAJ	VYBER	15	43592	SLUZBY	\N	\N
688296	2350	1998-02-28	VYDAJ	VYBER	15	68659	SLUZBY	\N	\N
688297	2350	1998-03-31	VYDAJ	VYBER	15	52420	SLUZBY	\N	\N
688298	2350	1998-04-30	VYDAJ	VYBER	15	47277	SLUZBY	\N	\N
688299	2350	1998-05-31	VYDAJ	VYBER	15	43196	SLUZBY	\N	\N
688300	2350	1998-06-30	VYDAJ	VYBER	15	37731	SLUZBY	\N	\N
688301	2350	1998-07-31	VYDAJ	VYBER	15	41841	SLUZBY	\N	\N
688302	2350	1998-08-31	VYDAJ	VYBER	15	36963	SLUZBY	\N	\N
688303	2350	1998-09-30	VYDAJ	VYBER	15	63329	SLUZBY	\N	\N
688304	2350	1998-10-31	VYDAJ	VYBER	15	58716	SLUZBY	\N	\N
688305	2350	1998-11-30	VYDAJ	VYBER	15	43201	SLUZBY	\N	\N
688306	2350	1996-09-03	PRIJEM	VKLAD	10600	11200	\N	\N	\N
688307	2350	1996-10-03	PRIJEM	VKLAD	6400	17600	\N	\N	\N
688308	2350	1996-11-02	PRIJEM	VKLAD	5500	23100	\N	\N	\N
688309	2350	1996-12-02	VYDAJ	VYBER	7700	28438	\N	\N	\N
688310	2350	1997-01-01	VYDAJ	VYBER	20500	44990	\N	\N	\N
688311	2350	1997-01-31	VYDAJ	VYBER	33500	53675	\N	\N	\N
688312	2350	1997-03-02	VYDAJ	VYBER	13800	39875	\N	\N	\N
688313	2350	1997-03-31	VYDAJ	VYBER	42000	63954	\N	\N	\N
688314	2350	1997-04-01	VYDAJ	VYBER	19100	44839	\N	\N	\N
688315	2350	1997-05-01	VYDAJ	VYBER	25000	54173	\N	\N	\N
688316	2350	1997-05-31	VYDAJ	VYBER	6800	38415	\N	\N	\N
688317	2350	1997-06-30	PRIJEM	VKLAD	8700	21389	\N	\N	\N
688318	2350	1997-07-30	PRIJEM	VKLAD	6400	18706	\N	\N	\N
688319	2350	1997-08-29	PRIJEM	VKLAD	6000	15593	\N	\N	\N
688320	2350	1997-09-28	PRIJEM	VKLAD	6700	18659	\N	\N	\N
688321	2350	1997-10-11	VYDAJ	VYBER	50700	60495	\N	\N	\N
688322	2350	1997-10-28	VYDAJ	VYBER	2300	26906	\N	\N	\N
688323	2350	1997-11-27	VYDAJ	VYBER	16600	34145	\N	\N	\N
688324	2350	1997-12-27	VYDAJ	VYBER	37200	50388	\N	\N	\N
688325	2350	1998-01-26	VYDAJ	VYBER	26600	43337	\N	\N	\N
688326	2350	1998-02-25	VYDAJ	VYBER	19400	31312	\N	\N	\N
688327	2350	1998-03-27	VYDAJ	VYBER	36100	52156	\N	\N	\N
688328	2350	1998-03-27	VYDAJ	VYBER	27100	88256	\N	\N	\N
688329	2350	1998-04-14	VYDAJ	VYBER	26500	77370	\N	\N	\N
688330	2350	1998-04-26	VYDAJ	VYBER	30400	46970	\N	\N	\N
688331	2350	1998-05-12	VYDAJ	VYBER	47100	62032	\N	\N	\N
688332	2350	1998-05-26	VYDAJ	VYBER	13800	42969	\N	\N	\N
688333	2350	1998-06-25	VYDAJ	VYBER	25500	50679	\N	\N	\N
688334	2350	1998-07-25	VYDAJ	VYBER	16000	41695	\N	\N	\N
688335	2350	1998-08-24	VYDAJ	VYBER	17300	36830	\N	\N	\N
688336	2350	1998-09-23	VYDAJ	VYBER	10700	31836	\N	\N	\N
688337	2350	1998-10-13	VYDAJ	VYBER	42800	69006	\N	\N	\N
688338	2350	1998-10-23	VYDAJ	VYBER	40100	58433	\N	\N	\N
688339	2350	1998-11-22	VYDAJ	VYBER	32700	42989	\N	\N	\N
688340	2350	1998-12-22	VYDAJ	VYBER	28700	38538	\N	\N	\N
688366	2351	1997-09-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
688375	2351	1997-09-09	PRIJEM	VKLAD	19501	20501	\N	\N	\N
688376	2351	1997-10-09	PRIJEM	VKLAD	19501	42665	\N	\N	\N
688377	2351	1997-11-09	PRIJEM	VKLAD	19501	55020	\N	\N	\N
688378	2351	1997-12-09	PRIJEM	VKLAD	29252	68787	\N	\N	\N
688379	2351	1998-01-09	PRIJEM	VKLAD	19501	72460	\N	\N	\N
688380	2351	1998-02-09	PRIJEM	VKLAD	19501	64763	\N	\N	\N
688381	2351	1998-03-09	PRIJEM	VKLAD	19501	63733	\N	\N	\N
688382	2351	1998-04-09	PRIJEM	VKLAD	19501	62007	\N	\N	\N
688383	2351	1998-05-09	PRIJEM	VKLAD	19501	62772	\N	\N	\N
688384	2351	1998-06-09	PRIJEM	VKLAD	29252	73885	\N	\N	\N
688385	2351	1998-07-09	PRIJEM	VKLAD	19501	54508	\N	\N	\N
688386	2351	1998-08-09	PRIJEM	VKLAD	19501	55638	\N	\N	\N
688387	2351	1998-09-09	PRIJEM	VKLAD	19501	54568	\N	\N	\N
688388	2351	1998-10-09	PRIJEM	VKLAD	19501	53397	\N	\N	\N
688389	2351	1998-11-09	PRIJEM	VKLAD	19501	54323	\N	\N	\N
688390	2351	1998-12-09	PRIJEM	VKLAD	29252	61802	\N	\N	\N
688404	2351	1998-02-05	VYDAJ	PREVOD NA UCET	9173	56562	SIPO	QR	91637825
688405	2351	1998-03-05	VYDAJ	PREVOD NA UCET	9173	54332	SIPO	QR	91637825
688406	2351	1998-04-05	VYDAJ	PREVOD NA UCET	9173	54806	SIPO	QR	91637825
688407	2351	1998-05-05	VYDAJ	PREVOD NA UCET	9173	53071	SIPO	QR	91637825
688408	2351	1998-06-05	VYDAJ	PREVOD NA UCET	9173	51033	SIPO	QR	91637825
688409	2351	1998-07-05	VYDAJ	PREVOD NA UCET	9173	35007	SIPO	QR	91637825
688410	2351	1998-08-05	VYDAJ	PREVOD NA UCET	9173	36137	SIPO	QR	91637825
688411	2351	1998-09-05	VYDAJ	PREVOD NA UCET	9173	35067	SIPO	QR	91637825
688412	2351	1998-10-05	VYDAJ	PREVOD NA UCET	9173	33896	SIPO	QR	91637825
688413	2351	1998-11-05	VYDAJ	PREVOD NA UCET	9173	34822	SIPO	QR	91637825
688414	2351	1998-12-05	VYDAJ	PREVOD NA UCET	9173	33350	SIPO	QR	91637825
688416	2351	1998-06-10	VYDAJ	VYBER	25600	48285	\N	\N	\N
688418	2351	1998-12-07	VYDAJ	VYBER	800	32550	\N	\N	\N
688425	2351	1998-01-27	VYDAJ	VYBER	800	67860	\N	\N	\N
688426	2351	1998-01-12	VYDAJ	VYBER	1100	71360	\N	\N	\N
688427	2351	1998-01-13	VYDAJ	VYBER	1600	68660	\N	\N	\N
688428	2351	1998-01-29	VYDAJ	VYBER	2400	65460	\N	\N	\N
688430	2351	1998-01-13	VYDAJ	VYBER	1100	70260	\N	\N	\N
688437	2351	1998-02-21	VYDAJ	VYBER	1500	63263	\N	\N	\N
688438	2351	1998-05-21	VYDAJ	VYBER	2800	59972	\N	\N	\N
688439	2351	1998-07-25	VYDAJ	VYBER	1200	53308	\N	\N	\N
688440	2351	1998-08-19	VYDAJ	VYBER	2200	53438	\N	\N	\N
688454	2351	1998-01-31	VYDAJ	VYBER	15	65735	SLUZBY	\N	\N
688455	2351	1998-02-28	VYDAJ	VYBER	15	63505	SLUZBY	\N	\N
688456	2351	1998-03-31	VYDAJ	VYBER	15	63979	SLUZBY	\N	\N
688457	2351	1998-04-30	VYDAJ	VYBER	15	62244	SLUZBY	\N	\N
688458	2351	1998-05-31	VYDAJ	VYBER	15	60206	SLUZBY	\N	\N
688459	2351	1998-06-30	VYDAJ	VYBER	15	48480	SLUZBY	\N	\N
688460	2351	1998-07-31	VYDAJ	VYBER	15	53510	SLUZBY	\N	\N
688461	2351	1998-08-31	VYDAJ	VYBER	15	53640	SLUZBY	\N	\N
688462	2351	1998-09-30	VYDAJ	VYBER	15	54769	SLUZBY	\N	\N
688463	2351	1998-10-31	VYDAJ	VYBER	15	53595	SLUZBY	\N	\N
688464	2351	1998-11-30	VYDAJ	VYBER	15	54523	SLUZBY	\N	\N
688465	2351	1997-10-08	PRIJEM	VKLAD	2600	23164	\N	\N	\N
688466	2351	1997-11-07	VYDAJ	VYBER	7300	35519	\N	\N	\N
688467	2351	1997-12-07	VYDAJ	VYBER	15700	39535	\N	\N	\N
688468	2351	1998-01-06	VYDAJ	VYBER	16100	52959	\N	\N	\N
688469	2351	1998-02-05	VYDAJ	VYBER	11300	45262	\N	\N	\N
688470	2351	1998-03-07	VYDAJ	VYBER	10100	44232	\N	\N	\N
688471	2351	1998-04-06	VYDAJ	VYBER	12300	42506	\N	\N	\N
688472	2351	1998-05-06	VYDAJ	VYBER	9800	43271	\N	\N	\N
688473	2351	1998-06-05	VYDAJ	VYBER	6400	44633	\N	\N	\N
688474	2351	1998-07-05	VYDAJ	VYBER	4300	44180	\N	\N	\N
688475	2351	1998-08-04	VYDAJ	VYBER	8200	45310	\N	\N	\N
688476	2351	1998-09-03	VYDAJ	VYBER	9400	44240	\N	\N	\N
688477	2351	1998-10-03	VYDAJ	VYBER	11700	43069	\N	\N	\N
688478	2351	1998-11-02	VYDAJ	VYBER	9600	43995	\N	\N	\N
688479	2351	1998-12-02	VYDAJ	VYBER	12000	42523	\N	\N	\N
688496	2352	1995-01-21	PRIJEM	VKLAD	300	300	\N	\N	\N
688498	2352	1995-02-11	PRIJEM	VKLAD	20252	20552	\N	\N	\N
688499	2352	1995-03-11	PRIJEM	VKLAD	20252	41733	\N	\N	\N
688500	2352	1995-04-11	PRIJEM	VKLAD	20252	53490	\N	\N	\N
688501	2352	1995-05-11	PRIJEM	VKLAD	20252	58186	\N	\N	\N
688502	2352	1995-06-11	PRIJEM	VKLAD	30378	71728	\N	\N	\N
688503	2352	1995-07-11	PRIJEM	VKLAD	20252	65761	\N	\N	\N
688504	2352	1995-08-11	PRIJEM	VKLAD	20252	65589	\N	\N	\N
688505	2352	1995-09-11	PRIJEM	VKLAD	20252	66918	\N	\N	\N
688506	2352	1995-10-11	PRIJEM	VKLAD	20252	64364	\N	\N	\N
688507	2352	1995-11-11	PRIJEM	VKLAD	20252	63379	\N	\N	\N
688508	2352	1995-12-11	PRIJEM	VKLAD	30378	74420	\N	\N	\N
688509	2352	1996-01-11	PRIJEM	VKLAD	20252	66852	\N	\N	\N
688510	2352	1996-02-11	PRIJEM	VKLAD	20252	52898	\N	\N	\N
688511	2352	1996-03-11	PRIJEM	VKLAD	20252	50756	\N	\N	\N
688512	2352	1996-04-11	PRIJEM	VKLAD	20252	58637	\N	\N	\N
688513	2352	1996-05-11	PRIJEM	VKLAD	20252	65441	\N	\N	\N
688514	2352	1996-06-11	PRIJEM	VKLAD	30378	72042	\N	\N	\N
688515	2352	1996-07-11	PRIJEM	VKLAD	20252	62656	\N	\N	\N
688516	2352	1996-08-11	PRIJEM	VKLAD	20252	66067	\N	\N	\N
688517	2352	1996-09-11	PRIJEM	VKLAD	20252	59407	\N	\N	\N
688518	2352	1996-10-11	PRIJEM	VKLAD	20252	64186	\N	\N	\N
688519	2352	1996-11-11	PRIJEM	VKLAD	20252	64036	\N	\N	\N
688520	2352	1996-12-11	PRIJEM	VKLAD	30378	75345	\N	\N	\N
688521	2352	1997-01-11	PRIJEM	VKLAD	20252	53276	\N	\N	\N
688522	2352	1997-02-11	PRIJEM	VKLAD	20252	62675	\N	\N	\N
688523	2352	1997-03-11	PRIJEM	VKLAD	20252	76687	\N	\N	\N
688524	2352	1997-04-11	PRIJEM	VKLAD	20252	58693	\N	\N	\N
688525	2352	1997-05-11	PRIJEM	VKLAD	20252	65596	\N	\N	\N
688526	2352	1997-06-11	PRIJEM	VKLAD	30378	75455	\N	\N	\N
688527	2352	1997-07-11	PRIJEM	VKLAD	20252	56268	\N	\N	\N
688528	2352	1997-08-11	PRIJEM	VKLAD	20252	59560	\N	\N	\N
688529	2352	1997-09-11	PRIJEM	VKLAD	20252	65468	\N	\N	\N
688530	2352	1997-10-11	PRIJEM	VKLAD	20252	73200	\N	\N	\N
688531	2352	1997-11-11	PRIJEM	VKLAD	20252	74662	\N	\N	\N
688532	2352	1997-12-11	PRIJEM	VKLAD	30378	86463	\N	\N	\N
688533	2352	1998-01-11	PRIJEM	VKLAD	20252	79129	\N	\N	\N
688534	2352	1998-02-11	PRIJEM	VKLAD	20252	63442	\N	\N	\N
688535	2352	1998-03-11	PRIJEM	VKLAD	20252	68339	\N	\N	\N
688536	2352	1998-04-11	PRIJEM	VKLAD	20252	74980	\N	\N	\N
688537	2352	1998-05-11	PRIJEM	VKLAD	20252	71050	\N	\N	\N
688538	2352	1998-06-11	PRIJEM	VKLAD	30378	80042	\N	\N	\N
688539	2352	1998-07-11	PRIJEM	VKLAD	20252	50149	\N	\N	\N
688540	2352	1998-08-11	PRIJEM	VKLAD	20252	59346	\N	\N	\N
688541	2352	1998-09-11	PRIJEM	VKLAD	20252	61344	\N	\N	\N
688542	2352	1998-10-11	PRIJEM	VKLAD	20252	59262	\N	\N	\N
688543	2352	1998-11-11	PRIJEM	VKLAD	20252	64176	\N	\N	\N
688544	2352	1998-12-11	PRIJEM	VKLAD	30378	70187	\N	\N	\N
688550	2352	1995-06-14	VYDAJ	PREVOD NA UCET	5581	66113	SIPO	MN	33949649
688551	2352	1995-07-14	VYDAJ	PREVOD NA UCET	5581	60146	SIPO	MN	33949649
688552	2352	1995-08-14	VYDAJ	PREVOD NA UCET	5581	59974	SIPO	MN	33949649
688553	2352	1995-09-14	VYDAJ	PREVOD NA UCET	5581	61303	SIPO	MN	33949649
688554	2352	1995-10-14	VYDAJ	PREVOD NA UCET	5581	57949	SIPO	MN	33949649
688555	2352	1995-11-14	VYDAJ	PREVOD NA UCET	5581	56964	SIPO	MN	33949649
688556	2352	1995-12-14	VYDAJ	PREVOD NA UCET	5581	68805	SIPO	MN	33949649
688557	2352	1996-01-14	VYDAJ	PREVOD NA UCET	5581	56037	SIPO	MN	33949649
688558	2352	1996-02-14	VYDAJ	PREVOD NA UCET	5581	47283	SIPO	MN	33949649
688559	2352	1996-03-14	VYDAJ	PREVOD NA UCET	5581	45141	SIPO	MN	33949649
688560	2352	1996-04-14	VYDAJ	PREVOD NA UCET	5581	53022	SIPO	MN	33949649
688561	2352	1996-05-14	VYDAJ	PREVOD NA UCET	5581	59002	SIPO	MN	33949649
688562	2352	1996-06-14	VYDAJ	PREVOD NA UCET	5581	65603	SIPO	MN	33949649
688563	2352	1996-07-14	VYDAJ	PREVOD NA UCET	5581	56217	SIPO	MN	33949649
688564	2352	1996-08-14	VYDAJ	PREVOD NA UCET	5581	41628	SIPO	MN	33949649
688565	2352	1996-09-14	VYDAJ	PREVOD NA UCET	5581	44368	SIPO	MN	33949649
688566	2352	1996-10-14	VYDAJ	PREVOD NA UCET	5581	47447	SIPO	MN	33949649
688567	2352	1996-11-14	VYDAJ	PREVOD NA UCET	5581	44797	SIPO	MN	33949649
688568	2352	1996-12-14	VYDAJ	PREVOD NA UCET	5581	48906	SIPO	MN	33949649
688569	2352	1997-01-14	VYDAJ	PREVOD NA UCET	5581	46837	SIPO	MN	33949649
688570	2352	1997-02-14	VYDAJ	PREVOD NA UCET	5581	56236	SIPO	MN	33949649
688571	2352	1997-03-14	VYDAJ	PREVOD NA UCET	5581	48748	SIPO	MN	33949649
688572	2352	1997-04-14	VYDAJ	PREVOD NA UCET	5581	52254	SIPO	MN	33949649
688573	2352	1997-05-14	VYDAJ	PREVOD NA UCET	5581	59157	SIPO	MN	33949649
688574	2352	1997-06-14	VYDAJ	PREVOD NA UCET	5581	69016	SIPO	MN	33949649
688575	2352	1997-07-14	VYDAJ	PREVOD NA UCET	5581	49829	SIPO	MN	33949649
688576	2352	1997-08-14	VYDAJ	PREVOD NA UCET	5581	53121	SIPO	MN	33949649
688577	2352	1997-09-14	VYDAJ	PREVOD NA UCET	5581	59029	SIPO	MN	33949649
688578	2352	1997-10-14	VYDAJ	PREVOD NA UCET	5581	66761	SIPO	MN	33949649
688579	2352	1997-11-14	VYDAJ	PREVOD NA UCET	5581	68223	SIPO	MN	33949649
688580	2352	1997-12-14	VYDAJ	PREVOD NA UCET	5581	80024	SIPO	MN	33949649
688581	2352	1998-01-14	VYDAJ	PREVOD NA UCET	5581	72690	SIPO	MN	33949649
688582	2352	1998-02-14	VYDAJ	PREVOD NA UCET	5581	57003	SIPO	MN	33949649
688583	2352	1998-03-14	VYDAJ	PREVOD NA UCET	5581	61900	SIPO	MN	33949649
688584	2352	1998-04-14	VYDAJ	PREVOD NA UCET	5581	68541	SIPO	MN	33949649
688585	2352	1998-05-14	VYDAJ	PREVOD NA UCET	5581	64611	SIPO	MN	33949649
688586	2352	1998-06-14	VYDAJ	PREVOD NA UCET	5581	31523	SIPO	MN	33949649
688587	2352	1998-07-14	VYDAJ	PREVOD NA UCET	5581	43710	SIPO	MN	33949649
688588	2352	1998-08-14	VYDAJ	PREVOD NA UCET	5581	52907	SIPO	MN	33949649
688589	2352	1998-09-14	VYDAJ	PREVOD NA UCET	5581	54905	SIPO	MN	33949649
688590	2352	1998-10-14	VYDAJ	PREVOD NA UCET	5581	52823	SIPO	MN	33949649
688591	2352	1998-11-14	VYDAJ	PREVOD NA UCET	5581	57737	SIPO	MN	33949649
688592	2352	1998-12-14	VYDAJ	PREVOD NA UCET	5581	63748	SIPO	MN	33949649
688598	2352	1995-06-12	VYDAJ	PREVOD NA UCET	34	71694	 	GH	79024326
688599	2352	1995-07-12	VYDAJ	PREVOD NA UCET	34	65727	 	GH	79024326
688600	2352	1995-08-12	VYDAJ	PREVOD NA UCET	34	65555	 	GH	79024326
688601	2352	1995-09-12	VYDAJ	PREVOD NA UCET	34	66884	 	GH	79024326
688602	2352	1995-10-12	VYDAJ	PREVOD NA UCET	34	63530	 	GH	79024326
688603	2352	1995-11-12	VYDAJ	PREVOD NA UCET	34	63345	 	GH	79024326
688604	2352	1995-12-12	VYDAJ	PREVOD NA UCET	34	74386	 	GH	79024326
688605	2352	1996-01-12	VYDAJ	PREVOD NA UCET	34	61618	 	GH	79024326
688606	2352	1996-02-12	VYDAJ	PREVOD NA UCET	34	52864	 	GH	79024326
688607	2352	1996-03-12	VYDAJ	PREVOD NA UCET	34	50722	 	GH	79024326
688608	2352	1996-04-12	VYDAJ	PREVOD NA UCET	34	58603	 	GH	79024326
688609	2352	1996-05-12	VYDAJ	PREVOD NA UCET	34	64583	 	GH	79024326
688610	2352	1996-06-12	VYDAJ	PREVOD NA UCET	34	71184	 	GH	79024326
688611	2352	1996-07-12	VYDAJ	PREVOD NA UCET	34	62622	 	GH	79024326
688612	2352	1996-08-12	VYDAJ	PREVOD NA UCET	34	66033	 	GH	79024326
688613	2352	1996-09-12	VYDAJ	PREVOD NA UCET	34	59373	 	GH	79024326
688614	2352	1996-10-12	VYDAJ	PREVOD NA UCET	34	64152	 	GH	79024326
688615	2352	1996-11-12	VYDAJ	PREVOD NA UCET	34	50378	 	GH	79024326
688616	2352	1996-12-12	VYDAJ	PREVOD NA UCET	34	55311	 	GH	79024326
688617	2352	1997-01-12	VYDAJ	PREVOD NA UCET	34	52418	 	GH	79024326
688618	2352	1997-02-12	VYDAJ	PREVOD NA UCET	34	61817	 	GH	79024326
688619	2352	1997-03-12	VYDAJ	PREVOD NA UCET	34	54329	 	GH	79024326
688620	2352	1997-04-12	VYDAJ	PREVOD NA UCET	34	58659	 	GH	79024326
688621	2352	1997-05-12	VYDAJ	PREVOD NA UCET	34	65562	 	GH	79024326
688622	2352	1997-06-12	VYDAJ	PREVOD NA UCET	34	74597	 	GH	79024326
688623	2352	1997-07-12	VYDAJ	PREVOD NA UCET	34	55410	 	GH	79024326
688624	2352	1997-08-12	VYDAJ	PREVOD NA UCET	34	59526	 	GH	79024326
688625	2352	1997-09-12	VYDAJ	PREVOD NA UCET	34	65434	 	GH	79024326
688626	2352	1997-10-12	VYDAJ	PREVOD NA UCET	34	72342	 	GH	79024326
688627	2352	1997-11-12	VYDAJ	PREVOD NA UCET	34	74628	 	GH	79024326
688628	2352	1997-12-12	VYDAJ	PREVOD NA UCET	34	86429	 	GH	79024326
688629	2352	1998-01-12	VYDAJ	PREVOD NA UCET	34	79095	 	GH	79024326
688630	2352	1998-02-12	VYDAJ	PREVOD NA UCET	34	62584	 	GH	79024326
688631	2352	1998-03-12	VYDAJ	PREVOD NA UCET	34	67481	 	GH	79024326
688632	2352	1998-04-12	VYDAJ	PREVOD NA UCET	34	74946	 	GH	79024326
688633	2352	1998-05-12	VYDAJ	PREVOD NA UCET	34	71016	 	GH	79024326
688634	2352	1998-06-12	VYDAJ	PREVOD NA UCET	34	79184	 	GH	79024326
688635	2352	1998-07-12	VYDAJ	PREVOD NA UCET	34	50115	 	GH	79024326
688636	2352	1998-08-12	VYDAJ	PREVOD NA UCET	34	59312	 	GH	79024326
688637	2352	1998-09-12	VYDAJ	PREVOD NA UCET	34	60486	 	GH	79024326
688638	2352	1998-10-12	VYDAJ	PREVOD NA UCET	34	58404	 	GH	79024326
688639	2352	1998-11-12	VYDAJ	PREVOD NA UCET	34	63318	 	GH	79024326
688640	2352	1998-12-12	VYDAJ	PREVOD NA UCET	34	70153	 	GH	79024326
688647	2352	1995-07-10	VYDAJ	PREVOD NA UCET	4	45509	POJISTNE	EF	61734002
688648	2352	1995-08-10	VYDAJ	PREVOD NA UCET	4	45337	POJISTNE	EF	61734002
688649	2352	1995-09-10	VYDAJ	PREVOD NA UCET	4	46666	POJISTNE	EF	61734002
688650	2352	1995-10-10	VYDAJ	PREVOD NA UCET	4	44112	POJISTNE	EF	61734002
688651	2352	1995-11-10	VYDAJ	PREVOD NA UCET	4	43127	POJISTNE	EF	61734002
688652	2352	1995-12-10	VYDAJ	PREVOD NA UCET	4	44042	POJISTNE	EF	61734002
688653	2352	1996-01-10	VYDAJ	PREVOD NA UCET	4	46600	POJISTNE	EF	61734002
688654	2352	1996-02-10	VYDAJ	PREVOD NA UCET	4	32646	POJISTNE	EF	61734002
688655	2352	1996-03-10	VYDAJ	PREVOD NA UCET	4	30504	POJISTNE	EF	61734002
688656	2352	1996-04-10	VYDAJ	PREVOD NA UCET	4	38385	POJISTNE	EF	61734002
688657	2352	1996-05-10	VYDAJ	PREVOD NA UCET	4	45189	POJISTNE	EF	61734002
688658	2352	1996-06-10	VYDAJ	PREVOD NA UCET	4	41664	POJISTNE	EF	61734002
688659	2352	1996-07-10	VYDAJ	PREVOD NA UCET	4	42404	POJISTNE	EF	61734002
688660	2352	1996-08-10	VYDAJ	PREVOD NA UCET	4	45815	POJISTNE	EF	61734002
688661	2352	1996-09-10	VYDAJ	PREVOD NA UCET	4	41795	POJISTNE	EF	61734002
688662	2352	1996-10-10	VYDAJ	PREVOD NA UCET	4	43934	POJISTNE	EF	61734002
688663	2352	1996-11-10	VYDAJ	PREVOD NA UCET	4	43784	POJISTNE	EF	61734002
688664	2352	1996-12-10	VYDAJ	PREVOD NA UCET	4	44967	POJISTNE	EF	61734002
688665	2352	1997-01-10	VYDAJ	PREVOD NA UCET	4	33024	POJISTNE	EF	61734002
688666	2352	1997-02-10	VYDAJ	PREVOD NA UCET	4	42423	POJISTNE	EF	61734002
688667	2352	1997-03-10	VYDAJ	PREVOD NA UCET	4	56435	POJISTNE	EF	61734002
688668	2352	1997-04-10	VYDAJ	PREVOD NA UCET	4	38441	POJISTNE	EF	61734002
688669	2352	1997-05-10	VYDAJ	PREVOD NA UCET	4	52444	POJISTNE	EF	61734002
688670	2352	1997-06-10	VYDAJ	PREVOD NA UCET	4	45077	POJISTNE	EF	61734002
688671	2352	1997-07-10	VYDAJ	PREVOD NA UCET	4	36016	POJISTNE	EF	61734002
688672	2352	1997-08-10	VYDAJ	PREVOD NA UCET	4	39308	POJISTNE	EF	61734002
688673	2352	1997-09-10	VYDAJ	PREVOD NA UCET	4	45216	POJISTNE	EF	61734002
688674	2352	1997-10-10	VYDAJ	PREVOD NA UCET	4	52948	POJISTNE	EF	61734002
688675	2352	1997-11-10	VYDAJ	PREVOD NA UCET	4	54410	POJISTNE	EF	61734002
688676	2352	1997-12-10	VYDAJ	PREVOD NA UCET	4	56085	POJISTNE	EF	61734002
688677	2352	1998-01-10	VYDAJ	PREVOD NA UCET	4	58877	POJISTNE	EF	61734002
688678	2352	1998-02-10	VYDAJ	PREVOD NA UCET	4	43190	POJISTNE	EF	61734002
688679	2352	1998-03-10	VYDAJ	PREVOD NA UCET	4	48087	POJISTNE	EF	61734002
688680	2352	1998-04-10	VYDAJ	PREVOD NA UCET	4	54728	POJISTNE	EF	61734002
688681	2352	1998-05-10	VYDAJ	PREVOD NA UCET	4	50798	POJISTNE	EF	61734002
688682	2352	1998-06-10	VYDAJ	PREVOD NA UCET	4	49664	POJISTNE	EF	61734002
688683	2352	1998-07-10	VYDAJ	PREVOD NA UCET	4	29897	POJISTNE	EF	61734002
688684	2352	1998-08-10	VYDAJ	PREVOD NA UCET	4	39094	POJISTNE	EF	61734002
688685	2352	1998-09-10	VYDAJ	PREVOD NA UCET	4	41092	POJISTNE	EF	61734002
688686	2352	1998-10-10	VYDAJ	PREVOD NA UCET	4	39010	POJISTNE	EF	61734002
688687	2352	1998-11-10	VYDAJ	PREVOD NA UCET	4	43924	POJISTNE	EF	61734002
688688	2352	1998-12-10	VYDAJ	PREVOD NA UCET	4	39809	POJISTNE	EF	61734002
688694	2352	1995-06-10	VYDAJ	VYBER	1100	41350	\N	\N	0
688695	2352	1995-07-07	VYDAJ	VYBER	800	45513	\N	\N	0
688696	2352	1995-08-17	VYDAJ	VYBER	800	59174	\N	\N	0
688697	2352	1995-09-07	VYDAJ	VYBER	600	46670	\N	\N	0
688698	2352	1995-10-12	VYDAJ	VYBER	800	63564	\N	\N	0
688699	2352	1995-11-12	VYDAJ	VYBER	800	62545	\N	\N	0
688700	2352	1995-12-08	VYDAJ	VYBER	500	44046	\N	\N	0
688701	2352	1996-01-21	VYDAJ	VYBER	600	37797	\N	\N	0
688702	2352	1996-01-30	VYDAJ	VYBER	400	35357	\N	\N	0
688703	2352	1996-03-05	VYDAJ	VYBER	800	33748	\N	\N	0
688704	2352	1996-04-08	VYDAJ	VYBER	700	38389	\N	\N	0
688705	2352	1996-05-12	VYDAJ	PREVOD NA UCET	824	64617	UVER	AB	25421935
688706	2352	1996-06-12	VYDAJ	PREVOD NA UCET	824	71218	UVER	AB	25421935
688707	2352	1996-07-12	VYDAJ	PREVOD NA UCET	824	61798	UVER	AB	25421935
688708	2352	1996-08-12	VYDAJ	PREVOD NA UCET	824	65209	UVER	AB	25421935
688709	2352	1996-09-12	VYDAJ	PREVOD NA UCET	824	49949	UVER	AB	25421935
688710	2352	1996-10-12	VYDAJ	PREVOD NA UCET	824	53028	UVER	AB	25421935
688711	2352	1996-11-12	VYDAJ	PREVOD NA UCET	824	50412	UVER	AB	25421935
688712	2352	1996-12-12	VYDAJ	PREVOD NA UCET	824	54487	UVER	AB	25421935
688713	2352	1997-01-12	VYDAJ	PREVOD NA UCET	824	52452	UVER	AB	25421935
688714	2352	1997-02-12	VYDAJ	PREVOD NA UCET	824	61851	UVER	AB	25421935
688715	2352	1997-03-12	VYDAJ	PREVOD NA UCET	824	54363	UVER	AB	25421935
688716	2352	1997-04-12	VYDAJ	PREVOD NA UCET	824	57835	UVER	AB	25421935
688717	2352	1997-05-12	VYDAJ	PREVOD NA UCET	824	64738	UVER	AB	25421935
688718	2352	1997-06-12	VYDAJ	PREVOD NA UCET	824	74631	UVER	AB	25421935
688719	2352	1997-07-12	VYDAJ	PREVOD NA UCET	824	55444	UVER	AB	25421935
688720	2352	1997-08-12	VYDAJ	PREVOD NA UCET	824	58702	UVER	AB	25421935
688721	2352	1997-09-12	VYDAJ	PREVOD NA UCET	824	64610	UVER	AB	25421935
688722	2352	1997-10-12	VYDAJ	PREVOD NA UCET	824	72376	UVER	AB	25421935
688723	2352	1997-11-12	VYDAJ	PREVOD NA UCET	824	73804	UVER	AB	25421935
688724	2352	1997-12-12	VYDAJ	PREVOD NA UCET	824	85605	UVER	AB	25421935
688725	2352	1998-01-12	VYDAJ	PREVOD NA UCET	824	78271	UVER	AB	25421935
688726	2352	1998-02-12	VYDAJ	PREVOD NA UCET	824	62618	UVER	AB	25421935
688727	2352	1998-03-12	VYDAJ	PREVOD NA UCET	824	67515	UVER	AB	25421935
688728	2352	1998-04-12	VYDAJ	PREVOD NA UCET	824	74122	UVER	AB	25421935
688729	2352	1998-05-12	VYDAJ	PREVOD NA UCET	824	70192	UVER	AB	25421935
688730	2352	1998-06-12	VYDAJ	PREVOD NA UCET	824	79218	UVER	AB	25421935
688731	2352	1998-07-12	VYDAJ	PREVOD NA UCET	824	49291	UVER	AB	25421935
688732	2352	1998-08-12	VYDAJ	PREVOD NA UCET	824	58488	UVER	AB	25421935
688733	2352	1998-09-12	VYDAJ	PREVOD NA UCET	824	60520	UVER	AB	25421935
688734	2352	1998-10-12	VYDAJ	PREVOD NA UCET	824	58438	UVER	AB	25421935
688735	2352	1998-11-12	VYDAJ	PREVOD NA UCET	824	63352	UVER	AB	25421935
688736	2352	1998-12-12	VYDAJ	PREVOD NA UCET	824	69329	UVER	AB	25421935
688738	2352	1996-06-14	VYDAJ	VYBER	11200	54403	\N	\N	\N
688739	2352	1997-06-27	VYDAJ	VYBER	26240	42776	\N	\N	\N
688740	2352	1998-06-12	VYDAJ	VYBER	42080	37104	\N	\N	\N
688742	2352	1996-01-12	VYDAJ	VYBER	4000	61652	\N	\N	\N
688743	2352	1997-01-10	VYDAJ	VYBER	6080	33028	\N	\N	\N
688744	2352	1998-01-18	VYDAJ	VYBER	8000	53170	\N	\N	\N
688745	2352	1995-12-21	VYDAJ	VYBER	2880	47125	\N	\N	\N
688746	2352	1996-12-16	VYDAJ	VYBER	1920	46986	\N	\N	\N
688747	2352	1997-12-17	VYDAJ	VYBER	1760	78264	\N	\N	\N
688748	2352	1998-12-02	VYDAJ	VYBER	4640	39813	\N	\N	\N
688755	2352	1996-01-30	VYDAJ	VYBER	2880	32477	\N	\N	\N
688756	2352	1996-01-21	VYDAJ	VYBER	3360	38397	\N	\N	\N
688757	2352	1996-01-11	VYDAJ	VYBER	1200	65652	\N	\N	\N
688758	2352	1996-01-02	VYDAJ	VYBER	720	46604	\N	\N	\N
688759	2352	1996-01-25	VYDAJ	VYBER	2040	35757	\N	\N	\N
688760	2352	1996-01-19	VYDAJ	VYBER	3480	41757	\N	\N	\N
688761	2352	1997-01-04	VYDAJ	VYBER	960	42368	\N	\N	\N
688762	2352	1997-01-20	VYDAJ	VYBER	2160	43957	\N	\N	\N
688763	2352	1997-01-10	VYDAJ	VYBER	3240	39108	\N	\N	\N
688764	2352	1997-01-10	VYDAJ	VYBER	2640	42348	\N	\N	\N
688765	2352	1997-01-06	VYDAJ	VYBER	3480	38888	\N	\N	\N
688766	2352	1997-01-03	VYDAJ	VYBER	960	43328	\N	\N	\N
688767	2352	1998-01-25	VYDAJ	VYBER	1800	47650	\N	\N	\N
688768	2352	1998-01-19	VYDAJ	VYBER	2520	50650	\N	\N	\N
688769	2352	1998-01-17	VYDAJ	VYBER	3240	61170	\N	\N	\N
688770	2352	1998-01-21	VYDAJ	VYBER	1200	49450	\N	\N	\N
688771	2352	1998-01-05	VYDAJ	VYBER	2280	75081	\N	\N	\N
688772	2352	1998-01-15	VYDAJ	VYBER	2760	69930	\N	\N	\N
688773	2352	1995-09-26	VYDAJ	VYBER	1080	43923	\N	\N	\N
688776	2352	1996-03-02	VYDAJ	VYBER	2520	36108	\N	\N	\N
688777	2352	1996-06-06	VYDAJ	VYBER	4920	41668	\N	\N	\N
688778	2352	1996-12-28	VYDAJ	VYBER	2880	44106	\N	\N	\N
688779	2352	1996-03-05	VYDAJ	VYBER	1560	34548	\N	\N	\N
688780	2352	1996-03-07	VYDAJ	VYBER	3240	30508	\N	\N	\N
688781	2352	1996-10-07	VYDAJ	VYBER	600	43938	\N	\N	\N
688782	2352	1996-09-10	VYDAJ	VYBER	2640	39155	\N	\N	\N
688783	2352	1996-10-25	VYDAJ	VYBER	3840	43607	\N	\N	\N
688784	2352	1997-08-04	VYDAJ	VYBER	2400	47612	\N	\N	\N
688785	2352	1997-12-23	VYDAJ	VYBER	1200	77064	\N	\N	\N
688786	2352	1997-01-15	VYDAJ	VYBER	720	46117	\N	\N	\N
688787	2352	1997-03-21	VYDAJ	VYBER	3600	45148	\N	\N	\N
688788	2352	1998-07-02	VYDAJ	VYBER	2400	29301	\N	\N	\N
688789	2352	1998-01-17	VYDAJ	VYBER	5520	64410	\N	\N	\N
688790	2352	1998-08-05	VYDAJ	VYBER	2160	39098	\N	\N	\N
688791	2352	1998-03-07	VYDAJ	VYBER	1920	48091	\N	\N	\N
688798	2352	1995-06-30	VYDAJ	VYBER	15	46313	SLUZBY	\N	\N
688799	2352	1995-07-31	VYDAJ	VYBER	15	45341	SLUZBY	\N	\N
688800	2352	1995-08-31	VYDAJ	VYBER	15	47270	SLUZBY	\N	\N
688801	2352	1995-09-30	VYDAJ	VYBER	15	44116	SLUZBY	\N	\N
688802	2352	1995-10-31	VYDAJ	VYBER	15	43131	SLUZBY	\N	\N
688803	2352	1995-11-30	VYDAJ	VYBER	15	44546	SLUZBY	\N	\N
688804	2352	1995-12-31	VYDAJ	VYBER	15	47324	SLUZBY	\N	\N
688805	2352	1996-01-31	VYDAJ	VYBER	15	32650	SLUZBY	\N	\N
688806	2352	1996-02-29	VYDAJ	VYBER	15	38628	SLUZBY	\N	\N
688807	2352	1996-03-31	VYDAJ	VYBER	15	39089	SLUZBY	\N	\N
688808	2352	1996-04-30	VYDAJ	VYBER	15	45193	SLUZBY	\N	\N
688809	2352	1996-05-31	VYDAJ	VYBER	15	46588	SLUZBY	\N	\N
688810	2352	1996-06-30	VYDAJ	VYBER	15	42408	SLUZBY	\N	\N
688811	2352	1996-07-31	VYDAJ	VYBER	15	45819	SLUZBY	\N	\N
688812	2352	1996-08-31	VYDAJ	VYBER	15	41799	SLUZBY	\N	\N
688813	2352	1996-09-30	VYDAJ	VYBER	15	44538	SLUZBY	\N	\N
688814	2352	1996-10-31	VYDAJ	VYBER	15	43788	SLUZBY	\N	\N
688815	2352	1996-11-30	VYDAJ	VYBER	15	44971	SLUZBY	\N	\N
688816	2352	1996-12-31	VYDAJ	VYBER	15	44288	SLUZBY	\N	\N
688817	2352	1997-01-31	VYDAJ	VYBER	15	44127	SLUZBY	\N	\N
688818	2352	1997-02-28	VYDAJ	VYBER	15	56439	SLUZBY	\N	\N
688819	2352	1997-03-31	VYDAJ	VYBER	15	45345	SLUZBY	\N	\N
688820	2352	1997-04-30	VYDAJ	VYBER	15	52448	SLUZBY	\N	\N
688821	2352	1997-05-31	VYDAJ	VYBER	15	59381	SLUZBY	\N	\N
688822	2352	1997-06-30	VYDAJ	VYBER	15	43020	SLUZBY	\N	\N
688823	2352	1997-07-31	VYDAJ	VYBER	15	50012	SLUZBY	\N	\N
688824	2352	1997-08-31	VYDAJ	VYBER	15	53320	SLUZBY	\N	\N
688825	2352	1997-09-30	VYDAJ	VYBER	15	59252	SLUZBY	\N	\N
688826	2352	1997-10-31	VYDAJ	VYBER	15	67014	SLUZBY	\N	\N
688827	2352	1997-11-30	VYDAJ	VYBER	15	68489	SLUZBY	\N	\N
688828	2352	1997-12-31	VYDAJ	VYBER	15	77361	SLUZBY	\N	\N
688829	2352	1998-01-31	VYDAJ	VYBER	15	47894	SLUZBY	\N	\N
688830	2352	1998-02-28	VYDAJ	VYBER	15	57211	SLUZBY	\N	\N
688831	2352	1998-03-31	VYDAJ	VYBER	15	62132	SLUZBY	\N	\N
688832	2352	1998-04-30	VYDAJ	VYBER	15	68802	SLUZBY	\N	\N
688833	2352	1998-05-31	VYDAJ	VYBER	15	64868	SLUZBY	\N	\N
688834	2352	1998-06-30	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
688835	2352	1998-07-31	VYDAJ	VYBER	15	43858	SLUZBY	\N	\N
688836	2352	1998-08-31	VYDAJ	VYBER	15	53096	SLUZBY	\N	\N
688837	2352	1998-09-30	VYDAJ	VYBER	15	55114	SLUZBY	\N	\N
688838	2352	1998-10-31	VYDAJ	VYBER	15	53028	SLUZBY	\N	\N
688839	2352	1998-11-30	VYDAJ	VYBER	15	57953	SLUZBY	\N	\N
688840	2352	1995-02-20	PRIJEM	VKLAD	900	21452	\N	\N	\N
688841	2352	1995-03-22	VYDAJ	VYBER	8600	33133	\N	\N	\N
688842	2352	1995-04-21	VYDAJ	VYBER	15700	37790	\N	\N	\N
688843	2352	1995-05-21	VYDAJ	VYBER	15900	42286	\N	\N	\N
688844	2352	1995-06-20	VYDAJ	VYBER	20000	46113	\N	\N	\N
688845	2352	1995-07-20	VYDAJ	VYBER	15000	45146	\N	\N	\N
688846	2352	1995-08-19	VYDAJ	VYBER	12100	47074	\N	\N	\N
688847	2352	1995-09-18	VYDAJ	VYBER	16300	45003	\N	\N	\N
688848	2352	1995-10-18	VYDAJ	VYBER	15000	42949	\N	\N	\N
688849	2352	1995-11-17	VYDAJ	VYBER	12600	44364	\N	\N	\N
688850	2352	1995-12-17	VYDAJ	VYBER	18800	50005	\N	\N	\N
688851	2352	1996-01-16	VYDAJ	VYBER	10800	45237	\N	\N	\N
688852	2352	1996-02-15	VYDAJ	VYBER	8800	38483	\N	\N	\N
688853	2352	1996-03-16	VYDAJ	VYBER	6200	38941	\N	\N	\N
688854	2352	1996-04-15	VYDAJ	VYBER	8000	45022	\N	\N	\N
688855	2352	1996-05-15	VYDAJ	VYBER	12600	46402	\N	\N	\N
688856	2352	1996-06-14	VYDAJ	VYBER	12200	42203	\N	\N	\N
688857	2352	1996-07-14	VYDAJ	VYBER	10600	45617	\N	\N	\N
688858	2352	1996-08-13	VYDAJ	VYBER	18000	47209	\N	\N	\N
688859	2352	1996-09-12	VYDAJ	VYBER	8600	50773	\N	\N	\N
688860	2352	1996-10-12	VYDAJ	VYBER	10300	53852	\N	\N	\N
688861	2352	1996-11-11	VYDAJ	VYBER	12800	51236	\N	\N	\N
688862	2352	1996-12-11	VYDAJ	VYBER	20000	55345	\N	\N	\N
688863	2352	1997-01-10	PRIJEM	VKLAD	6100	44988	\N	\N	\N
688864	2352	1997-02-09	VYDAJ	VYBER	1700	42427	\N	\N	\N
688865	2352	1997-03-11	VYDAJ	VYBER	21500	55187	\N	\N	\N
688866	2352	1997-04-10	VYDAJ	VYBER	6900	38445	\N	\N	\N
688867	2352	1997-05-10	VYDAJ	VYBER	7100	45344	\N	\N	\N
688868	2352	1997-06-09	VYDAJ	VYBER	14300	45081	\N	\N	\N
688869	2352	1997-07-09	VYDAJ	VYBER	7000	36020	\N	\N	\N
688870	2352	1997-08-08	VYDAJ	VYBER	8300	39312	\N	\N	\N
688871	2352	1997-09-07	VYDAJ	VYBER	8100	45220	\N	\N	\N
688872	2352	1997-10-07	VYDAJ	VYBER	6300	52952	\N	\N	\N
688873	2352	1997-11-06	VYDAJ	VYBER	12600	54414	\N	\N	\N
688874	2352	1997-12-06	VYDAJ	VYBER	12400	56089	\N	\N	\N
688875	2352	1998-01-05	VYDAJ	VYBER	16200	58881	\N	\N	\N
688876	2352	1998-02-04	VYDAJ	VYBER	4700	43194	\N	\N	\N
688877	2352	1998-03-06	VYDAJ	VYBER	7200	50011	\N	\N	\N
688878	2352	1998-04-05	VYDAJ	VYBER	7400	54732	\N	\N	\N
688879	2352	1998-05-05	VYDAJ	VYBER	18000	50802	\N	\N	\N
688880	2352	1998-06-04	VYDAJ	VYBER	15200	49668	\N	\N	\N
688881	2352	1998-07-04	PRIJEM	VKLAD	600	29901	\N	\N	\N
688882	2352	1998-08-03	VYDAJ	VYBER	2600	41258	\N	\N	\N
688883	2352	1998-09-02	VYDAJ	VYBER	12000	41096	\N	\N	\N
688884	2352	1998-10-02	VYDAJ	VYBER	16100	39014	\N	\N	\N
688885	2352	1998-11-01	VYDAJ	VYBER	9100	43928	\N	\N	\N
688886	2352	1998-12-01	VYDAJ	VYBER	13500	44453	\N	\N	\N
688934	2353	1995-09-21	PRIJEM	VKLAD	200	200	\N	\N	\N
688944	2353	1995-10-11	PRIJEM	VKLAD	15649	15849	\N	\N	\N
688945	2353	1995-11-11	PRIJEM	VKLAD	15649	33625	\N	\N	\N
688946	2353	1995-12-11	PRIJEM	VKLAD	23474	53492	\N	\N	\N
688947	2353	1996-01-11	PRIJEM	VKLAD	15649	52276	\N	\N	\N
688948	2353	1996-02-11	PRIJEM	VKLAD	15649	52577	\N	\N	\N
688949	2353	1996-03-11	PRIJEM	VKLAD	15649	47364	\N	\N	\N
688950	2353	1996-04-11	PRIJEM	VKLAD	15649	47738	\N	\N	\N
688951	2353	1996-05-11	PRIJEM	VKLAD	15649	47908	\N	\N	\N
688952	2353	1996-06-11	PRIJEM	VKLAD	23474	55205	\N	\N	\N
688953	2353	1996-07-11	PRIJEM	VKLAD	15649	53893	\N	\N	\N
688954	2353	1996-08-11	PRIJEM	VKLAD	15649	54289	\N	\N	\N
688955	2353	1996-09-11	PRIJEM	VKLAD	15649	53685	\N	\N	\N
688956	2353	1996-10-11	PRIJEM	VKLAD	15649	56084	\N	\N	\N
688957	2353	1996-11-11	PRIJEM	VKLAD	15649	57491	\N	\N	\N
688958	2353	1996-12-11	PRIJEM	VKLAD	23474	66431	\N	\N	\N
688959	2353	1997-01-11	PRIJEM	VKLAD	15649	61788	\N	\N	\N
688960	2353	1997-02-11	PRIJEM	VKLAD	15649	46791	\N	\N	\N
688961	2353	1997-03-11	PRIJEM	VKLAD	15649	50171	\N	\N	\N
688962	2353	1997-04-11	PRIJEM	VKLAD	15649	57366	\N	\N	\N
688963	2353	1997-05-11	PRIJEM	VKLAD	15649	56472	\N	\N	\N
688964	2353	1997-06-11	PRIJEM	VKLAD	23474	61600	\N	\N	\N
688965	2353	1997-07-11	PRIJEM	VKLAD	15649	59229	\N	\N	\N
688966	2353	1997-08-11	PRIJEM	VKLAD	15649	61557	\N	\N	\N
688967	2353	1997-09-11	PRIJEM	VKLAD	15649	64288	\N	\N	\N
688968	2353	1997-10-11	PRIJEM	VKLAD	15649	69159	\N	\N	\N
688969	2353	1997-11-11	PRIJEM	VKLAD	15649	67855	\N	\N	\N
688970	2353	1997-12-11	PRIJEM	VKLAD	23474	76562	\N	\N	\N
688971	2353	1998-01-11	PRIJEM	VKLAD	15649	68779	\N	\N	\N
688972	2353	1998-02-11	PRIJEM	VKLAD	15649	59959	\N	\N	\N
688973	2353	1998-03-11	PRIJEM	VKLAD	15649	59708	\N	\N	\N
688974	2353	1998-04-11	PRIJEM	VKLAD	15649	60052	\N	\N	\N
688975	2353	1998-05-11	PRIJEM	VKLAD	15649	66592	\N	\N	\N
688976	2353	1998-06-11	PRIJEM	VKLAD	23474	72286	\N	\N	\N
688977	2353	1998-07-11	PRIJEM	VKLAD	15649	65145	\N	\N	\N
688978	2353	1998-08-11	PRIJEM	VKLAD	15649	64419	\N	\N	\N
688979	2353	1998-09-11	PRIJEM	VKLAD	15649	67984	\N	\N	\N
688980	2353	1998-10-11	PRIJEM	VKLAD	15649	68152	\N	\N	\N
688981	2353	1998-11-11	PRIJEM	VKLAD	15649	74317	\N	\N	\N
688982	2353	1998-12-11	PRIJEM	VKLAD	23474	85038	\N	\N	\N
688996	2353	1996-02-14	VYDAJ	PREVOD NA UCET	7732	42877	SIPO	IJ	83465021
688997	2353	1996-03-14	VYDAJ	PREVOD NA UCET	7732	36464	SIPO	IJ	83465021
688998	2353	1996-04-14	VYDAJ	PREVOD NA UCET	7732	35138	SIPO	IJ	83465021
688999	2353	1996-05-14	VYDAJ	PREVOD NA UCET	7732	40176	SIPO	IJ	83465021
689000	2353	1996-06-14	VYDAJ	PREVOD NA UCET	7732	45505	SIPO	IJ	83465021
689001	2353	1996-07-14	VYDAJ	PREVOD NA UCET	7732	46161	SIPO	IJ	83465021
689002	2353	1996-08-14	VYDAJ	PREVOD NA UCET	7732	46557	SIPO	IJ	83465021
689003	2353	1996-09-14	VYDAJ	PREVOD NA UCET	7732	43985	SIPO	IJ	83465021
689004	2353	1996-10-14	VYDAJ	PREVOD NA UCET	7732	48352	SIPO	IJ	83465021
689005	2353	1996-11-14	VYDAJ	PREVOD NA UCET	7732	44759	SIPO	IJ	83465021
689006	2353	1996-12-14	VYDAJ	PREVOD NA UCET	7732	50199	SIPO	IJ	83465021
689007	2353	1997-01-14	VYDAJ	PREVOD NA UCET	7732	39556	SIPO	IJ	83465021
689008	2353	1997-02-14	VYDAJ	PREVOD NA UCET	7732	37859	SIPO	IJ	83465021
689009	2353	1997-03-14	VYDAJ	PREVOD NA UCET	7732	43539	SIPO	IJ	83465021
689010	2353	1997-04-14	VYDAJ	PREVOD NA UCET	7732	40666	SIPO	IJ	83465021
689011	2353	1997-05-14	VYDAJ	PREVOD NA UCET	7732	39940	SIPO	IJ	83465021
689012	2353	1997-06-14	VYDAJ	PREVOD NA UCET	7732	43400	SIPO	IJ	83465021
689013	2353	1997-07-14	VYDAJ	PREVOD NA UCET	7732	47697	SIPO	IJ	83465021
689014	2353	1997-08-14	VYDAJ	PREVOD NA UCET	7732	46557	SIPO	IJ	83465021
689015	2353	1997-09-14	VYDAJ	PREVOD NA UCET	7732	54588	SIPO	IJ	83465021
689016	2353	1997-10-14	VYDAJ	PREVOD NA UCET	7732	59459	SIPO	IJ	83465021
689017	2353	1997-11-14	VYDAJ	PREVOD NA UCET	7732	60123	SIPO	IJ	83465021
689018	2353	1997-12-14	VYDAJ	PREVOD NA UCET	7732	66862	SIPO	IJ	83465021
689019	2353	1998-01-14	VYDAJ	PREVOD NA UCET	7732	59079	SIPO	IJ	83465021
689020	2353	1998-02-14	VYDAJ	PREVOD NA UCET	7732	50259	SIPO	IJ	83465021
689154	2353	1997-02-28	VYDAJ	VYBER	15	34522	SLUZBY	\N	\N
689021	2353	1998-03-14	VYDAJ	PREVOD NA UCET	7732	51976	SIPO	IJ	83465021
689022	2353	1998-04-14	VYDAJ	PREVOD NA UCET	7732	52320	SIPO	IJ	83465021
689023	2353	1998-05-14	VYDAJ	PREVOD NA UCET	7732	58860	SIPO	IJ	83465021
689024	2353	1998-06-14	VYDAJ	PREVOD NA UCET	7732	64554	SIPO	IJ	83465021
689025	2353	1998-07-14	VYDAJ	PREVOD NA UCET	7732	54845	SIPO	IJ	83465021
689026	2353	1998-08-14	VYDAJ	PREVOD NA UCET	7732	56687	SIPO	IJ	83465021
689027	2353	1998-09-14	VYDAJ	PREVOD NA UCET	7732	60252	SIPO	IJ	83465021
689028	2353	1998-10-14	VYDAJ	PREVOD NA UCET	7732	58452	SIPO	IJ	83465021
689029	2353	1998-11-14	VYDAJ	PREVOD NA UCET	7732	64617	SIPO	IJ	83465021
689030	2353	1998-12-14	VYDAJ	PREVOD NA UCET	7732	74738	SIPO	IJ	83465021
689044	2353	1996-02-14	VYDAJ	PREVOD NA UCET	1968	50609	 	YZ	26668000
689045	2353	1996-03-14	VYDAJ	PREVOD NA UCET	1968	44196	 	YZ	26668000
689046	2353	1996-04-14	VYDAJ	PREVOD NA UCET	1968	45770	 	YZ	26668000
689047	2353	1996-05-14	VYDAJ	PREVOD NA UCET	1968	38208	 	YZ	26668000
689048	2353	1996-06-14	VYDAJ	PREVOD NA UCET	1968	53237	 	YZ	26668000
689049	2353	1996-07-14	VYDAJ	PREVOD NA UCET	1968	44193	 	YZ	26668000
689050	2353	1996-08-14	VYDAJ	PREVOD NA UCET	1968	44589	 	YZ	26668000
689051	2353	1996-09-14	VYDAJ	PREVOD NA UCET	1968	51717	 	YZ	26668000
689052	2353	1996-10-14	VYDAJ	PREVOD NA UCET	1968	46384	 	YZ	26668000
689053	2353	1996-11-14	VYDAJ	PREVOD NA UCET	1968	42791	 	YZ	26668000
689054	2353	1996-12-14	VYDAJ	PREVOD NA UCET	1968	48231	 	YZ	26668000
689055	2353	1997-01-14	VYDAJ	PREVOD NA UCET	1968	37588	 	YZ	26668000
689056	2353	1997-02-14	VYDAJ	PREVOD NA UCET	1968	35891	 	YZ	26668000
689057	2353	1997-03-14	VYDAJ	PREVOD NA UCET	1968	41571	 	YZ	26668000
689058	2353	1997-04-14	VYDAJ	PREVOD NA UCET	1968	48398	 	YZ	26668000
689059	2353	1997-05-14	VYDAJ	PREVOD NA UCET	1968	37972	 	YZ	26668000
689060	2353	1997-06-14	VYDAJ	PREVOD NA UCET	1968	51132	 	YZ	26668000
689061	2353	1997-07-14	VYDAJ	PREVOD NA UCET	1968	45729	 	YZ	26668000
689062	2353	1997-08-14	VYDAJ	PREVOD NA UCET	1968	54289	 	YZ	26668000
689063	2353	1997-09-14	VYDAJ	PREVOD NA UCET	1968	62320	 	YZ	26668000
689064	2353	1997-10-14	VYDAJ	PREVOD NA UCET	1968	67191	 	YZ	26668000
689065	2353	1997-11-14	VYDAJ	PREVOD NA UCET	1968	58155	 	YZ	26668000
689066	2353	1997-12-14	VYDAJ	PREVOD NA UCET	1968	74594	 	YZ	26668000
689067	2353	1998-01-14	VYDAJ	PREVOD NA UCET	1968	66811	 	YZ	26668000
689068	2353	1998-02-14	VYDAJ	PREVOD NA UCET	1968	57991	 	YZ	26668000
689069	2353	1998-03-14	VYDAJ	PREVOD NA UCET	1968	50008	 	YZ	26668000
689070	2353	1998-04-14	VYDAJ	PREVOD NA UCET	1968	50352	 	YZ	26668000
689071	2353	1998-05-14	VYDAJ	PREVOD NA UCET	1968	56892	 	YZ	26668000
689072	2353	1998-06-14	VYDAJ	PREVOD NA UCET	1968	62586	 	YZ	26668000
689073	2353	1998-07-14	VYDAJ	PREVOD NA UCET	1968	62577	 	YZ	26668000
689074	2353	1998-08-14	VYDAJ	PREVOD NA UCET	1968	54719	 	YZ	26668000
689075	2353	1998-09-14	VYDAJ	PREVOD NA UCET	1968	58284	 	YZ	26668000
689076	2353	1998-10-14	VYDAJ	PREVOD NA UCET	1968	66184	 	YZ	26668000
689077	2353	1998-11-14	VYDAJ	PREVOD NA UCET	1968	72349	 	YZ	26668000
689078	2353	1998-12-14	VYDAJ	PREVOD NA UCET	1968	82470	 	YZ	26668000
689081	2353	1997-06-11	VYDAJ	VYBER	3700	57900	\N	\N	\N
689082	2353	1998-06-15	VYDAJ	VYBER	14300	48286	\N	\N	\N
689084	2353	1996-12-11	VYDAJ	VYBER	2700	63731	\N	\N	\N
689085	2353	1997-12-26	VYDAJ	VYBER	600	66262	\N	\N	\N
689086	2353	1998-12-13	VYDAJ	VYBER	600	84438	\N	\N	\N
689099	2353	1997-01-13	VYDAJ	VYBER	600	47288	\N	\N	\N
689100	2353	1997-01-05	VYDAJ	VYBER	1500	46939	\N	\N	\N
689101	2353	1997-01-18	VYDAJ	VYBER	2400	33688	\N	\N	\N
689102	2353	1997-01-27	VYDAJ	VYBER	2700	30988	\N	\N	\N
689103	2353	1997-01-06	VYDAJ	VYBER	800	46139	\N	\N	\N
689104	2353	1997-01-17	VYDAJ	VYBER	1500	36088	\N	\N	\N
689105	2353	1998-01-03	VYDAJ	VYBER	2300	64230	\N	\N	\N
689106	2353	1998-01-22	VYDAJ	VYBER	2700	54079	\N	\N	\N
689107	2353	1998-01-17	VYDAJ	VYBER	2300	56779	\N	\N	\N
689108	2353	1998-01-26	VYDAJ	VYBER	1100	52379	\N	\N	\N
689109	2353	1998-01-24	VYDAJ	VYBER	600	53479	\N	\N	\N
689110	2353	1998-01-30	VYDAJ	VYBER	1000	51379	\N	\N	\N
689119	2353	1996-03-12	VYDAJ	VYBER	1200	46164	\N	\N	\N
689120	2353	1996-08-16	VYDAJ	VYBER	500	37889	\N	\N	\N
689121	2353	1996-04-14	VYDAJ	VYBER	2900	42870	\N	\N	\N
689122	2353	1997-02-22	VYDAJ	VYBER	1500	34391	\N	\N	\N
689123	2353	1998-10-21	VYDAJ	VYBER	800	57652	\N	\N	\N
689124	2353	1998-03-24	VYDAJ	VYBER	4700	45308	\N	\N	\N
689125	2353	1998-07-13	VYDAJ	VYBER	600	64545	\N	\N	\N
689126	2353	1998-09-24	VYDAJ	VYBER	1400	52284	\N	\N	\N
689127	2353	1998-09-21	VYDAJ	VYBER	4600	53684	\N	\N	\N
689142	2353	1996-02-29	VYDAJ	VYBER	15	31715	SLUZBY	\N	\N
689143	2353	1996-03-31	VYDAJ	VYBER	15	32089	SLUZBY	\N	\N
689144	2353	1996-04-30	VYDAJ	VYBER	15	32259	SLUZBY	\N	\N
689145	2353	1996-05-31	VYDAJ	VYBER	15	31731	SLUZBY	\N	\N
689146	2353	1996-06-30	VYDAJ	VYBER	15	38244	SLUZBY	\N	\N
689147	2353	1996-07-31	VYDAJ	VYBER	15	38640	SLUZBY	\N	\N
689148	2353	1996-08-31	VYDAJ	VYBER	15	38036	SLUZBY	\N	\N
689149	2353	1996-09-30	VYDAJ	VYBER	15	40435	SLUZBY	\N	\N
689150	2353	1996-10-31	VYDAJ	VYBER	15	41842	SLUZBY	\N	\N
689151	2353	1996-11-30	VYDAJ	VYBER	15	42957	SLUZBY	\N	\N
689152	2353	1996-12-31	VYDAJ	VYBER	15	48439	SLUZBY	\N	\N
689153	2353	1997-01-31	VYDAJ	VYBER	15	31142	SLUZBY	\N	\N
689155	2353	1997-03-31	VYDAJ	VYBER	15	41717	SLUZBY	\N	\N
689156	2353	1997-04-30	VYDAJ	VYBER	15	40823	SLUZBY	\N	\N
689157	2353	1997-05-31	VYDAJ	VYBER	15	38126	SLUZBY	\N	\N
689158	2353	1997-06-30	VYDAJ	VYBER	15	43580	SLUZBY	\N	\N
689159	2353	1997-07-31	VYDAJ	VYBER	15	45908	SLUZBY	\N	\N
689160	2353	1997-08-31	VYDAJ	VYBER	15	46739	SLUZBY	\N	\N
689161	2353	1997-09-30	VYDAJ	VYBER	15	54810	SLUZBY	\N	\N
689162	2353	1997-10-31	VYDAJ	VYBER	15	59706	SLUZBY	\N	\N
689163	2353	1997-11-30	VYDAJ	VYBER	15	58388	SLUZBY	\N	\N
689164	2353	1997-12-31	VYDAJ	VYBER	15	66530	SLUZBY	\N	\N
689165	2353	1998-01-31	VYDAJ	VYBER	15	51610	SLUZBY	\N	\N
689166	2353	1998-02-28	VYDAJ	VYBER	15	50459	SLUZBY	\N	\N
689167	2353	1998-03-31	VYDAJ	VYBER	15	45503	SLUZBY	\N	\N
689168	2353	1998-04-30	VYDAJ	VYBER	15	50543	SLUZBY	\N	\N
689169	2353	1998-05-31	VYDAJ	VYBER	15	57112	SLUZBY	\N	\N
689170	2353	1998-06-30	VYDAJ	VYBER	15	48496	SLUZBY	\N	\N
689171	2353	1998-07-31	VYDAJ	VYBER	15	55070	SLUZBY	\N	\N
689172	2353	1998-08-31	VYDAJ	VYBER	15	54935	SLUZBY	\N	\N
689173	2353	1998-09-30	VYDAJ	VYBER	15	52503	SLUZBY	\N	\N
689174	2353	1998-10-31	VYDAJ	VYBER	15	57868	SLUZBY	\N	\N
689175	2353	1998-11-30	VYDAJ	VYBER	15	64864	SLUZBY	\N	\N
689176	2353	1995-10-21	PRIJEM	VKLAD	2100	17949	\N	\N	\N
689177	2353	1995-11-20	VYDAJ	VYBER	3700	29925	\N	\N	\N
689178	2353	1995-12-20	VYDAJ	VYBER	17000	36492	\N	\N	\N
689179	2353	1996-01-19	VYDAJ	VYBER	15500	36776	\N	\N	\N
689180	2353	1996-02-18	VYDAJ	VYBER	11300	31577	\N	\N	\N
689181	2353	1996-03-19	VYDAJ	VYBER	4500	31964	\N	\N	\N
689182	2353	1996-04-18	VYDAJ	VYBER	3000	32138	\N	\N	\N
689183	2353	1996-05-18	VYDAJ	VYBER	6600	31608	\N	\N	\N
689184	2353	1996-06-17	VYDAJ	VYBER	7400	38105	\N	\N	\N
689185	2353	1996-07-17	VYDAJ	VYBER	5700	38493	\N	\N	\N
689186	2353	1996-08-16	VYDAJ	VYBER	6200	38389	\N	\N	\N
689187	2353	1996-09-15	VYDAJ	VYBER	3700	40285	\N	\N	\N
689188	2353	1996-10-15	VYDAJ	VYBER	4700	41684	\N	\N	\N
689189	2353	1996-11-14	VYDAJ	VYBER	5000	52491	\N	\N	\N
689190	2353	1996-12-14	VYDAJ	VYBER	5800	57931	\N	\N	\N
689191	2353	1997-01-13	VYDAJ	VYBER	13900	47888	\N	\N	\N
689192	2353	1997-02-12	VYDAJ	VYBER	1200	45591	\N	\N	\N
689193	2353	1997-03-14	PRIJEM	VKLAD	1100	51271	\N	\N	\N
689194	2353	1997-04-13	VYDAJ	VYBER	7000	50366	\N	\N	\N
689195	2353	1997-05-13	VYDAJ	VYBER	8800	47672	\N	\N	\N
689196	2353	1997-06-12	VYDAJ	VYBER	4800	53100	\N	\N	\N
689197	2353	1997-07-12	VYDAJ	VYBER	3800	55429	\N	\N	\N
689198	2353	1997-08-11	VYDAJ	VYBER	5300	56257	\N	\N	\N
689199	2353	1997-09-10	PRIJEM	VKLAD	1900	48639	\N	\N	\N
689200	2353	1997-10-10	VYDAJ	VYBER	1300	53510	\N	\N	\N
689201	2353	1997-11-09	VYDAJ	VYBER	7500	52206	\N	\N	\N
689202	2353	1997-12-09	VYDAJ	VYBER	5300	53088	\N	\N	\N
689203	2353	1998-01-08	VYDAJ	VYBER	11100	53130	\N	\N	\N
689204	2353	1998-02-07	VYDAJ	VYBER	7300	44310	\N	\N	\N
689205	2353	1998-03-09	VYDAJ	VYBER	6400	44059	\N	\N	\N
689206	2353	1998-04-08	VYDAJ	VYBER	1100	44403	\N	\N	\N
689207	2353	1998-05-08	PRIJEM	VKLAD	400	50943	\N	\N	\N
689208	2353	1998-06-07	VYDAJ	VYBER	8300	48812	\N	\N	\N
689209	2353	1998-07-07	PRIJEM	VKLAD	1000	49496	\N	\N	\N
689210	2353	1998-08-06	VYDAJ	VYBER	6300	48770	\N	\N	\N
689211	2353	1998-09-05	VYDAJ	VYBER	2600	52335	\N	\N	\N
689212	2353	1998-11-04	PRIJEM	VKLAD	800	58668	\N	\N	\N
689213	2353	1998-12-04	VYDAJ	VYBER	3300	61564	\N	\N	\N
689253	2354	1997-03-17	PRIJEM	VKLAD	700	700	\N	\N	\N
689257	2354	1997-04-13	PRIJEM	VKLAD	18600	19300	\N	\N	\N
689258	2354	1997-05-13	PRIJEM	VKLAD	18600	41548	\N	\N	\N
689259	2354	1997-06-13	PRIJEM	VKLAD	27900	66076	\N	\N	\N
689260	2354	1997-07-13	PRIJEM	VKLAD	18600	67759	\N	\N	\N
689261	2354	1997-08-13	PRIJEM	VKLAD	18600	69767	\N	\N	\N
689262	2354	1997-09-13	PRIJEM	VKLAD	18600	59892	\N	\N	\N
689263	2354	1997-10-13	PRIJEM	VKLAD	18600	52047	\N	\N	\N
689264	2354	1997-11-13	PRIJEM	VKLAD	18600	45385	\N	\N	\N
689265	2354	1997-12-13	PRIJEM	VKLAD	27900	58177	\N	\N	\N
689266	2354	1998-01-13	PRIJEM	VKLAD	18600	57282	\N	\N	\N
689267	2354	1998-02-13	PRIJEM	VKLAD	18600	54632	\N	\N	\N
689268	2354	1998-03-13	PRIJEM	VKLAD	18600	57313	\N	\N	\N
689269	2354	1998-04-13	PRIJEM	VKLAD	18600	60058	\N	\N	\N
689270	2354	1998-05-13	PRIJEM	VKLAD	18600	63216	\N	\N	\N
689271	2354	1998-06-13	PRIJEM	VKLAD	27900	66446	\N	\N	\N
689272	2354	1998-07-13	PRIJEM	VKLAD	18600	60218	\N	\N	\N
689273	2354	1998-08-13	PRIJEM	VKLAD	18600	57285	\N	\N	\N
689274	2354	1998-09-13	PRIJEM	VKLAD	18600	53937	\N	\N	\N
689275	2354	1998-10-13	PRIJEM	VKLAD	18600	51275	\N	\N	\N
689276	2354	1998-11-13	PRIJEM	VKLAD	18600	50002	\N	\N	\N
689277	2354	1998-12-13	PRIJEM	VKLAD	27900	62521	\N	\N	\N
689286	2354	1997-09-11	VYDAJ	PREVOD NA UCET	9071	41292	SIPO	ST	23677683
689287	2354	1997-10-11	VYDAJ	PREVOD NA UCET	9071	33447	SIPO	ST	23677683
689288	2354	1997-11-11	VYDAJ	PREVOD NA UCET	9071	27385	SIPO	ST	23677683
689289	2354	1997-12-11	VYDAJ	PREVOD NA UCET	9071	30577	SIPO	ST	23677683
689290	2354	1998-01-11	VYDAJ	PREVOD NA UCET	9071	38682	SIPO	ST	23677683
689291	2354	1998-02-11	VYDAJ	PREVOD NA UCET	9071	36032	SIPO	ST	23677683
689292	2354	1998-03-11	VYDAJ	PREVOD NA UCET	9071	40013	SIPO	ST	23677683
689293	2354	1998-04-11	VYDAJ	PREVOD NA UCET	9071	48458	SIPO	ST	23677683
689294	2354	1998-05-11	VYDAJ	PREVOD NA UCET	9071	44616	SIPO	ST	23677683
689295	2354	1998-06-11	VYDAJ	PREVOD NA UCET	9071	38546	SIPO	ST	23677683
689296	2354	1998-07-11	VYDAJ	PREVOD NA UCET	9071	41618	SIPO	ST	23677683
689297	2354	1998-08-11	VYDAJ	PREVOD NA UCET	9071	38685	SIPO	ST	23677683
689298	2354	1998-09-11	VYDAJ	PREVOD NA UCET	9071	35337	SIPO	ST	23677683
689299	2354	1998-10-11	VYDAJ	PREVOD NA UCET	9071	32675	SIPO	ST	23677683
689300	2354	1998-11-11	VYDAJ	PREVOD NA UCET	9071	31402	SIPO	ST	23677683
689301	2354	1998-12-11	VYDAJ	PREVOD NA UCET	9071	34621	SIPO	ST	23677683
689302	2354	1997-12-25	VYDAJ	VYBER	1120	57057	\N	\N	\N
689303	2354	1998-12-19	VYDAJ	VYBER KARTOU	2700	59821	\N	\N	0
689305	2354	1997-10-14	VYDAJ	VYBER	2640	36307	\N	\N	\N
689306	2354	1997-09-30	VYDAJ	VYBER	4560	42533	\N	\N	\N
689307	2354	1997-11-13	VYDAJ	VYBER	5880	39505	\N	\N	\N
689308	2354	1998-03-05	VYDAJ	VYBER	5760	49084	\N	\N	\N
689309	2354	1998-06-03	VYDAJ	VYBER	5040	55417	\N	\N	\N
689310	2354	1998-06-27	VYDAJ	VYBER	1800	64646	\N	\N	\N
689311	2354	1998-05-31	VYDAJ	VYBER	3000	60472	\N	\N	\N
689320	2354	1997-08-31	VYDAJ	VYBER	15	50363	SLUZBY	\N	\N
689321	2354	1997-09-30	VYDAJ	VYBER	15	42518	SLUZBY	\N	\N
689322	2354	1997-10-31	VYDAJ	VYBER	15	36456	SLUZBY	\N	\N
689323	2354	1997-11-30	VYDAJ	VYBER	15	39648	SLUZBY	\N	\N
689324	2354	1997-12-31	VYDAJ	VYBER	15	57253	SLUZBY	\N	\N
689325	2354	1998-01-31	VYDAJ	VYBER	15	57503	SLUZBY	\N	\N
689326	2354	1998-02-28	VYDAJ	VYBER	15	54844	SLUZBY	\N	\N
689327	2354	1998-03-31	VYDAJ	VYBER	15	57529	SLUZBY	\N	\N
689328	2354	1998-04-30	VYDAJ	VYBER	15	60287	SLUZBY	\N	\N
689329	2354	1998-05-31	VYDAJ	VYBER	15	60457	SLUZBY	\N	\N
689330	2354	1998-06-30	VYDAJ	VYBER	15	64889	SLUZBY	\N	\N
689331	2354	1998-07-31	VYDAJ	VYBER	15	60456	SLUZBY	\N	\N
689332	2354	1998-08-31	VYDAJ	VYBER	15	57508	SLUZBY	\N	\N
689333	2354	1998-09-30	VYDAJ	VYBER	15	54146	SLUZBY	\N	\N
689334	2354	1998-10-31	VYDAJ	VYBER	15	51473	SLUZBY	\N	\N
689335	2354	1998-11-30	VYDAJ	VYBER	15	50192	SLUZBY	\N	\N
689336	2354	1997-04-16	PRIJEM	VKLAD	3600	22900	\N	\N	\N
689337	2354	1997-05-16	VYDAJ	VYBER	3500	38048	\N	\N	\N
689338	2354	1997-06-15	VYDAJ	VYBER	17100	48976	\N	\N	\N
689339	2354	1997-07-15	VYDAJ	VYBER	16800	50959	\N	\N	\N
689340	2354	1997-08-14	VYDAJ	VYBER	19600	50167	\N	\N	\N
689341	2354	1997-09-13	VYDAJ	VYBER	13000	46892	\N	\N	\N
689342	2354	1997-10-13	VYDAJ	VYBER	13100	38947	\N	\N	\N
689343	2354	1997-11-12	VYDAJ	VYBER	600	26785	\N	\N	\N
689344	2354	1997-12-12	VYDAJ	VYBER	300	30277	\N	\N	\N
689345	2354	1998-01-11	VYDAJ	VYBER	9500	47753	\N	\N	\N
689346	2354	1998-02-10	VYDAJ	VYBER	12400	45103	\N	\N	\N
689347	2354	1998-03-12	VYDAJ	VYBER	1300	38713	\N	\N	\N
689348	2354	1998-04-11	VYDAJ	VYBER	7000	41458	\N	\N	\N
689349	2354	1998-05-11	VYDAJ	VYBER	6600	53687	\N	\N	\N
689350	2354	1998-06-10	VYDAJ	VYBER	7800	47617	\N	\N	\N
689351	2354	1998-07-10	VYDAJ	VYBER	14200	50689	\N	\N	\N
689352	2354	1998-08-09	VYDAJ	VYBER	12700	47756	\N	\N	\N
689353	2354	1998-09-08	VYDAJ	VYBER	13100	44408	\N	\N	\N
689354	2354	1998-10-08	VYDAJ	VYBER	12400	41746	\N	\N	\N
689355	2354	1998-11-07	VYDAJ	VYBER	11000	40473	\N	\N	\N
689356	2354	1998-12-07	VYDAJ	VYBER	6500	43692	\N	\N	\N
689378	2355	1995-01-03	PRIJEM	VKLAD	600	600	\N	\N	\N
689379	2355	1995-01-14	PRIJEM	PREVOD Z UCTU	42608	43208	\N	OP	26026225
689380	2355	1995-02-14	PRIJEM	PREVOD Z UCTU	42608	76521	\N	OP	26026225
689381	2355	1995-03-14	PRIJEM	PREVOD Z UCTU	42608	95483	\N	OP	26026225
689382	2355	1995-04-14	PRIJEM	PREVOD Z UCTU	42608	104556	\N	OP	26026225
689383	2355	1995-05-14	PRIJEM	PREVOD Z UCTU	42608	108683	\N	OP	26026225
689384	2355	1995-06-14	PRIJEM	PREVOD Z UCTU	63912	121150	\N	OP	26026225
689385	2355	1995-07-14	PRIJEM	PREVOD Z UCTU	42608	68175	\N	OP	26026225
689386	2355	1995-08-14	PRIJEM	PREVOD Z UCTU	42608	72381	\N	OP	26026225
689387	2355	1995-09-14	PRIJEM	PREVOD Z UCTU	42608	90315	\N	OP	26026225
689388	2355	1995-10-14	PRIJEM	PREVOD Z UCTU	42608	89094	\N	OP	26026225
689389	2355	1995-11-14	PRIJEM	PREVOD Z UCTU	42608	97384	\N	OP	26026225
689390	2355	1995-12-14	PRIJEM	PREVOD Z UCTU	63912	104711	\N	OP	26026225
689391	2355	1996-01-14	PRIJEM	PREVOD Z UCTU	42608	88062	\N	OP	26026225
689392	2355	1996-02-14	PRIJEM	PREVOD Z UCTU	42608	64125	\N	OP	26026225
689393	2355	1996-03-14	PRIJEM	PREVOD Z UCTU	42608	86818	\N	OP	26026225
689394	2355	1996-04-14	PRIJEM	PREVOD Z UCTU	42608	89540	\N	OP	26026225
689395	2355	1996-05-14	PRIJEM	PREVOD Z UCTU	42608	86874	\N	OP	26026225
689396	2355	1996-06-14	PRIJEM	PREVOD Z UCTU	63912	116256	\N	OP	26026225
689397	2355	1996-07-14	PRIJEM	PREVOD Z UCTU	42608	80520	\N	OP	26026225
689398	2355	1996-08-14	PRIJEM	PREVOD Z UCTU	42608	91880	\N	OP	26026225
689399	2355	1996-09-14	PRIJEM	PREVOD Z UCTU	42608	72610	\N	OP	26026225
689400	2355	1996-10-14	PRIJEM	PREVOD Z UCTU	42608	84839	\N	OP	26026225
689401	2355	1996-11-14	PRIJEM	PREVOD Z UCTU	42608	84310	\N	OP	26026225
689402	2355	1996-12-14	PRIJEM	PREVOD Z UCTU	63912	98195	\N	OP	26026225
689403	2355	1997-01-14	PRIJEM	PREVOD Z UCTU	42608	85847	\N	OP	26026225
689404	2355	1997-02-14	PRIJEM	PREVOD Z UCTU	42608	73140	\N	OP	26026225
689405	2355	1997-03-14	PRIJEM	PREVOD Z UCTU	42608	76203	\N	OP	26026225
689406	2355	1997-04-14	PRIJEM	PREVOD Z UCTU	42608	90263	\N	OP	26026225
689407	2355	1997-05-14	PRIJEM	PREVOD Z UCTU	42608	97963	\N	OP	26026225
689408	2355	1997-06-14	PRIJEM	PREVOD Z UCTU	63912	120190	\N	OP	26026225
689409	2355	1997-07-14	PRIJEM	PREVOD Z UCTU	42608	80052	\N	OP	26026225
689410	2355	1997-08-14	PRIJEM	PREVOD Z UCTU	42608	95823	\N	OP	26026225
689411	2355	1997-09-14	PRIJEM	PREVOD Z UCTU	42608	98232	\N	OP	26026225
689412	2355	1997-10-14	PRIJEM	PREVOD Z UCTU	42608	78852	\N	OP	26026225
689413	2355	1997-11-14	PRIJEM	PREVOD Z UCTU	42608	83213	\N	OP	26026225
689414	2355	1997-12-14	PRIJEM	PREVOD Z UCTU	63912	96428	\N	OP	26026225
689415	2355	1998-01-14	PRIJEM	PREVOD Z UCTU	42608	71216	\N	OP	26026225
689416	2355	1998-02-14	PRIJEM	PREVOD Z UCTU	42608	68266	\N	OP	26026225
689417	2355	1998-03-14	PRIJEM	PREVOD Z UCTU	42608	79236	\N	OP	26026225
689418	2355	1998-04-14	PRIJEM	PREVOD Z UCTU	42608	75906	\N	OP	26026225
689419	2355	1998-05-14	PRIJEM	PREVOD Z UCTU	42608	67807	\N	OP	26026225
689420	2355	1998-06-14	PRIJEM	PREVOD Z UCTU	63912	89219	\N	OP	26026225
689421	2355	1998-07-14	PRIJEM	PREVOD Z UCTU	42608	76809	\N	OP	26026225
689422	2355	1998-08-14	PRIJEM	PREVOD Z UCTU	42608	88466	\N	OP	26026225
689423	2355	1998-09-14	PRIJEM	PREVOD Z UCTU	42608	90151	\N	OP	26026225
689424	2355	1998-10-14	PRIJEM	PREVOD Z UCTU	42608	74770	\N	OP	26026225
689425	2355	1998-11-14	PRIJEM	PREVOD Z UCTU	42608	69474	\N	OP	26026225
689426	2355	1998-12-14	PRIJEM	PREVOD Z UCTU	63912	101885	\N	OP	26026225
689429	2355	1995-07-07	VYBER	VYBER	13937	25567	\N	\N	\N
689430	2355	1995-05-18	VYBER	VYBER	18940	89743	\N	\N	\N
689432	2355	1995-09-25	VYBER	VYBER	16128	74187	\N	\N	\N
689434	2355	1995-06-26	VYBER	VYBER	5072	56003	\N	\N	\N
689436	2355	1995-06-21	VYBER	VYBER	12375	61075	\N	\N	\N
689437	2355	1995-08-01	VYBER	VYBER	13522	54873	\N	\N	\N
689438	2355	1996-11-25	VYBER	VYBER	6787	41323	\N	\N	\N
689440	2355	1996-04-07	VYBER	VYBER	2860	46932	\N	\N	\N
689441	2355	1996-05-05	VYBER	VYBER	10641	44266	\N	\N	\N
689442	2355	1996-01-10	VYBER	VYBER	13561	45454	\N	\N	\N
689443	2355	1996-09-13	VYBER	VYBER	22371	30002	\N	\N	\N
689444	2355	1996-01-22	VYBER	VYBER	24942	30720	\N	\N	\N
689445	2355	1997-08-27	VYBER	VYBER	3711	55412	\N	\N	\N
689446	2355	1997-12-26	VYBER	VYBER	2719	44009	\N	\N	\N
689448	2355	1997-02-20	VYBER	VYBER	24208	48932	\N	\N	\N
689450	2355	1997-02-10	VYBER	VYBER	3730	30532	\N	\N	\N
689451	2355	1997-09-20	VYBER	VYBER	22973	36059	\N	\N	\N
689452	2355	1998-04-08	VYBER	VYBER	8447	36898	\N	\N	\N
689453	2355	1998-05-02	VYBER	VYBER	9248	32634	\N	\N	\N
689454	2355	1998-05-06	VYBER	VYBER	7435	25199	\N	\N	\N
689456	2355	1998-06-28	VYBER	VYBER	3167	48352	\N	\N	\N
689457	2355	1998-06-29	VYBER	VYBER	14311	34041	\N	\N	\N
689459	2355	1998-09-25	VYBER	VYBER	17621	31930	\N	\N	\N
689460	2355	1998-02-16	VYBER	VYBER	8749	59517	\N	\N	\N
689461	2355	1998-04-06	VYBER	VYBER	2847	45345	\N	\N	\N
689462	2355	1998-06-01	VYBER	VYBER	5753	38207	\N	\N	\N
689463	2355	1998-10-16	VYBER	VYBER	18618	29652	\N	\N	\N
689469	2355	1996-01-20	VYDAJ	VYBER	17100	59262	\N	\N	\N
689470	2355	1997-01-03	VYDAJ	VYBER	6300	50739	\N	\N	\N
689471	2355	1998-01-11	VYDAJ	VYBER	8700	28608	\N	\N	\N
689472	2355	1995-12-01	VYDAJ	VYBER	6000	54599	\N	\N	\N
689473	2355	1996-12-12	VYDAJ	VYBER	7200	34283	\N	\N	\N
689474	2355	1997-12-22	VYDAJ	VYBER	6600	46728	\N	\N	\N
689475	2355	1998-12-10	VYDAJ	VYBER	5100	64573	\N	\N	\N
689482	2355	1996-01-17	VYDAJ	VYBER	7500	80562	\N	\N	\N
689484	2355	1996-01-02	VYDAJ	VYBER	2400	62015	\N	\N	\N
689485	2355	1996-01-02	VYDAJ	VYBER	3000	59015	\N	\N	\N
689486	2355	1996-01-24	VYDAJ	VYBER	6300	24420	\N	\N	\N
689487	2355	1996-01-18	VYDAJ	VYBER	4200	76362	\N	\N	\N
689488	2355	1997-01-28	VYDAJ	VYBER	3300	36447	\N	\N	\N
689489	2355	1997-01-09	VYDAJ	VYBER	6000	43239	\N	\N	\N
689490	2355	1997-01-18	VYDAJ	VYBER	2100	83747	\N	\N	\N
689491	2355	1997-01-08	VYDAJ	VYBER	1500	49239	\N	\N	\N
689492	2355	1997-01-30	VYDAJ	VYBER	2400	34047	\N	\N	\N
689493	2355	1997-01-24	VYDAJ	VYBER	5400	39747	\N	\N	\N
689494	2355	1998-01-18	VYDAJ	VYBER	4800	36916	\N	\N	\N
689496	2355	1998-01-21	VYDAJ	VYBER	3000	33916	\N	\N	\N
689497	2355	1998-01-21	VYDAJ	VYBER	1800	32116	\N	\N	\N
689498	2355	1998-01-05	VYDAJ	VYBER	6900	37308	\N	\N	\N
689499	2355	1998-01-23	VYDAJ	VYBER	6600	25516	\N	\N	\N
689500	2355	1995-09-27	VYDAJ	VYBER	7500	66687	\N	\N	\N
689501	2355	1995-12-05	VYDAJ	VYBER	13800	40799	\N	\N	\N
689503	2355	1995-08-21	VYDAJ	VYBER	2700	69681	\N	\N	\N
689504	2355	1995-08-07	VYDAJ	VYBER	10200	29773	\N	\N	\N
689506	2355	1996-01-20	VYDAJ	VYBER	3600	55662	\N	\N	\N
689507	2355	1996-06-27	VYDAJ	VYBER	13200	37656	\N	\N	\N
689508	2355	1996-10-23	VYDAJ	VYBER	14100	70739	\N	\N	\N
689509	2355	1996-03-31	VYDAJ	VYBER	5100	49792	\N	\N	\N
689510	2355	1996-06-13	VYDAJ	VYBER	3300	52344	\N	\N	\N
689511	2355	1997-11-29	VYDAJ	VYBER	6900	42813	\N	\N	\N
689512	2355	1997-12-02	VYDAJ	VYBER	10500	32516	\N	\N	\N
689513	2355	1997-03-21	VYDAJ	VYBER	3000	73203	\N	\N	\N
689514	2355	1997-11-09	VYDAJ	VYBER	6600	40605	\N	\N	\N
689515	2355	1997-01-19	VYDAJ	VYBER	6000	77747	\N	\N	\N
689517	2355	1998-04-11	VYDAJ	VYBER	3600	33298	\N	\N	\N
689518	2355	1998-04-23	VYDAJ	VYBER	5100	41706	\N	\N	\N
689520	2355	1998-06-03	VYDAJ	VYBER	12900	25307	\N	\N	\N
689526	2355	1995-05-31	VYDAJ	VYBER	15	90138	SLUZBY	\N	\N
689527	2355	1995-06-30	VYDAJ	VYBER	15	56304	SLUZBY	\N	\N
689528	2355	1995-07-31	VYDAJ	VYBER	15	68395	SLUZBY	\N	\N
689529	2355	1995-08-31	VYDAJ	VYBER	15	47707	SLUZBY	\N	\N
689530	2355	1995-09-30	VYDAJ	VYBER	15	66886	SLUZBY	\N	\N
689531	2355	1995-10-31	VYDAJ	VYBER	15	54776	SLUZBY	\N	\N
689532	2355	1995-11-30	VYDAJ	VYBER	15	60599	SLUZBY	\N	\N
689533	2355	1995-12-31	VYDAJ	VYBER	15	64415	SLUZBY	\N	\N
689534	2355	1996-01-31	VYDAJ	VYBER	15	21517	SLUZBY	\N	\N
689535	2355	1996-02-29	VYDAJ	VYBER	15	44210	SLUZBY	\N	\N
689536	2355	1996-03-31	VYDAJ	VYBER	15	54892	SLUZBY	\N	\N
689537	2355	1996-04-30	VYDAJ	VYBER	15	54907	SLUZBY	\N	\N
689538	2355	1996-05-31	VYDAJ	VYBER	15	55644	SLUZBY	\N	\N
689539	2355	1996-06-30	VYDAJ	VYBER	15	37912	SLUZBY	\N	\N
689540	2355	1996-07-31	VYDAJ	VYBER	15	49272	SLUZBY	\N	\N
689541	2355	1996-08-31	VYDAJ	VYBER	15	52373	SLUZBY	\N	\N
689542	2355	1996-09-30	VYDAJ	VYBER	15	42231	SLUZBY	\N	\N
689543	2355	1996-10-31	VYDAJ	VYBER	15	41702	SLUZBY	\N	\N
689544	2355	1996-11-30	VYDAJ	VYBER	15	41483	SLUZBY	\N	\N
689545	2355	1996-12-31	VYDAJ	VYBER	15	57039	SLUZBY	\N	\N
689546	2355	1997-01-31	VYDAJ	VYBER	15	34262	SLUZBY	\N	\N
689547	2355	1997-02-28	VYDAJ	VYBER	15	33595	SLUZBY	\N	\N
689548	2355	1997-03-31	VYDAJ	VYBER	15	47655	SLUZBY	\N	\N
689549	2355	1997-04-30	VYDAJ	VYBER	15	55355	SLUZBY	\N	\N
689550	2355	1997-05-31	VYDAJ	VYBER	15	56278	SLUZBY	\N	\N
689551	2355	1997-06-30	VYDAJ	VYBER	15	37444	SLUZBY	\N	\N
689552	2355	1997-07-31	VYDAJ	VYBER	15	53215	SLUZBY	\N	\N
689553	2355	1997-08-31	VYDAJ	VYBER	15	55624	SLUZBY	\N	\N
689554	2355	1997-09-30	VYDAJ	VYBER	15	36244	SLUZBY	\N	\N
689555	2355	1997-10-31	VYDAJ	VYBER	15	47205	SLUZBY	\N	\N
689556	2355	1997-11-30	VYDAJ	VYBER	15	43016	SLUZBY	\N	\N
689557	2355	1997-12-31	VYDAJ	VYBER	15	44208	SLUZBY	\N	\N
689558	2355	1998-01-31	VYDAJ	VYBER	15	25658	SLUZBY	\N	\N
689559	2355	1998-02-28	VYDAJ	VYBER	15	36628	SLUZBY	\N	\N
689560	2355	1998-03-31	VYDAJ	VYBER	15	48192	SLUZBY	\N	\N
689561	2355	1998-04-30	VYDAJ	VYBER	15	41882	SLUZBY	\N	\N
689562	2355	1998-05-31	VYDAJ	VYBER	15	43960	SLUZBY	\N	\N
689563	2355	1998-06-30	VYDAJ	VYBER	15	34201	SLUZBY	\N	\N
689564	2355	1998-07-31	VYDAJ	VYBER	15	45858	SLUZBY	\N	\N
689565	2355	1998-08-31	VYDAJ	VYBER	15	47543	SLUZBY	\N	\N
689566	2355	1998-09-30	VYDAJ	VYBER	15	32162	SLUZBY	\N	\N
689567	2355	1998-10-31	VYDAJ	VYBER	15	29766	SLUZBY	\N	\N
689568	2355	1998-11-30	VYDAJ	VYBER	15	69673	SLUZBY	\N	\N
689569	2355	1995-02-02	VYDAJ	VYBER	9400	33913	\N	\N	\N
689570	2355	1995-03-04	VYDAJ	VYBER	23900	52875	\N	\N	\N
689571	2355	1995-04-03	VYDAJ	VYBER	33900	61948	\N	\N	\N
689572	2355	1995-05-03	VYDAJ	VYBER	38900	66075	\N	\N	\N
689573	2355	1995-06-02	VYDAJ	VYBER	32900	57238	\N	\N	\N
689574	2355	1995-06-14	VYDAJ	VYBER	47700	73450	\N	\N	\N
689575	2355	1995-07-02	VYDAJ	VYBER	16800	39504	\N	\N	\N
689576	2355	1995-08-01	VYDAJ	VYBER	14900	39973	\N	\N	\N
689577	2355	1995-08-31	VYDAJ	VYBER	22200	47722	\N	\N	\N
689578	2355	1995-09-30	VYDAJ	VYBER	20400	46486	\N	\N	\N
689579	2355	1995-10-30	VYDAJ	VYBER	34500	54594	\N	\N	\N
689580	2355	1995-11-29	VYDAJ	VYBER	37000	60384	\N	\N	\N
689581	2355	1995-12-29	VYDAJ	VYBER	40600	64111	\N	\N	\N
689582	2355	1996-01-28	VYDAJ	VYBER	3100	21320	\N	\N	\N
689583	2355	1996-02-27	VYDAJ	VYBER	20000	44125	\N	\N	\N
689584	2355	1996-03-28	VYDAJ	VYBER	32100	54718	\N	\N	\N
689585	2355	1996-04-27	VYDAJ	VYBER	34900	54640	\N	\N	\N
689586	2355	1996-05-27	VYDAJ	VYBER	31500	55374	\N	\N	\N
689587	2355	1996-06-14	VYDAJ	VYBER	30900	85356	\N	\N	\N
689588	2355	1996-06-26	VYDAJ	VYBER	34500	50856	\N	\N	\N
689589	2355	1996-07-26	VYDAJ	VYBER	31400	49120	\N	\N	\N
689590	2355	1996-08-25	VYDAJ	VYBER	39700	52180	\N	\N	\N
689591	2355	1996-09-24	VYDAJ	VYBER	30600	42010	\N	\N	\N
689592	2355	1996-10-24	VYDAJ	VYBER	29200	41539	\N	\N	\N
689593	2355	1996-11-23	VYDAJ	VYBER	36200	48110	\N	\N	\N
689594	2355	1996-12-23	VYDAJ	VYBER	41400	56795	\N	\N	\N
689595	2355	1997-01-22	VYDAJ	VYBER	32600	45147	\N	\N	\N
689596	2355	1997-02-21	VYDAJ	VYBER	15500	33432	\N	\N	\N
689597	2355	1997-03-23	VYDAJ	VYBER	25700	47503	\N	\N	\N
689598	2355	1997-04-22	VYDAJ	VYBER	35100	55163	\N	\N	\N
689599	2355	1997-05-22	VYDAJ	VYBER	41900	56063	\N	\N	\N
689600	2355	1997-06-14	VYDAJ	VYBER	64900	55290	\N	\N	\N
689601	2355	1997-06-21	VYDAJ	VYBER	18100	37190	\N	\N	\N
689602	2355	1997-07-21	VYDAJ	VYBER	27000	53052	\N	\N	\N
689603	2355	1997-08-20	VYDAJ	VYBER	36700	59123	\N	\N	\N
689604	2355	1997-09-19	VYDAJ	VYBER	39200	59032	\N	\N	\N
689605	2355	1997-10-19	VYDAJ	VYBER	31800	47052	\N	\N	\N
689606	2355	1997-11-18	VYDAJ	VYBER	33500	49713	\N	\N	\N
689607	2355	1997-12-18	VYDAJ	VYBER	43100	53328	\N	\N	\N
689608	2355	1998-01-17	VYDAJ	VYBER	29500	41716	\N	\N	\N
689609	2355	1998-02-16	VYDAJ	VYBER	23000	36517	\N	\N	\N
689610	2355	1998-03-18	VYDAJ	VYBER	31200	48036	\N	\N	\N
689611	2355	1998-04-17	VYDAJ	VYBER	29100	46806	\N	\N	\N
689612	2355	1998-05-17	VYDAJ	VYBER	24000	43807	\N	\N	\N
689613	2355	1998-06-16	VYDAJ	VYBER	37700	51519	\N	\N	\N
689614	2355	1998-07-16	VYDAJ	VYBER	31100	45709	\N	\N	\N
689615	2355	1998-08-15	VYDAJ	VYBER	41100	47366	\N	\N	\N
689616	2355	1998-09-14	VYDAJ	VYBER	40600	49551	\N	\N	\N
689617	2355	1998-10-14	VYDAJ	VYBER	26500	48270	\N	\N	\N
689618	2355	1998-11-13	VYDAJ	VYBER	2900	26866	\N	\N	\N
689619	2355	1998-12-13	VYDAJ	VYBER	26600	37973	\N	\N	\N
689668	2356	1996-12-23	PRIJEM	VKLAD	300	300	\N	\N	\N
689672	2356	1996-12-30	PRIJEM	VKLAD	37797	38097	\N	\N	\N
689673	2356	1997-07-19	PRIJEM	VKLAD	16618	63003	\N	\N	\N
689674	2356	1997-08-10	PRIJEM	VKLAD	47800	81457	\N	\N	\N
689675	2356	1997-01-14	PRIJEM	VKLAD	48955	87062	\N	\N	\N
689676	2356	1997-04-25	PRIJEM	VKLAD	41519	81934	\N	\N	\N
689677	2356	1997-04-05	PRIJEM	VKLAD	16620	58115	\N	\N	\N
689678	2356	1997-04-26	PRIJEM	VKLAD	13234	95168	\N	\N	\N
689679	2356	1997-02-25	PRIJEM	VKLAD	11594	55426	\N	\N	\N
689680	2356	1997-02-12	PRIJEM	VKLAD	8891	62132	\N	\N	\N
689681	2356	1997-05-01	PRIJEM	VKLAD	25530	120896	\N	\N	\N
689682	2356	1997-05-31	PRIJEM	VKLAD	26494	73941	\N	\N	\N
689683	2356	1997-03-08	PRIJEM	VKLAD	23582	79225	\N	\N	\N
689684	2356	1997-10-18	PRIJEM	VKLAD	5556	39295	\N	\N	\N
689685	2356	1997-03-09	PRIJEM	VKLAD	29483	108708	\N	\N	\N
689686	2356	1998-10-26	PRIJEM	VKLAD	37348	62328	\N	\N	\N
689698	2356	1997-03-14	VYBER	VYBER	12818	65390	\N	\N	\N
689700	2356	1998-06-06	VYBER	VYBER	6702	24722	\N	\N	\N
689702	2356	1998-11-16	VYBER	VYBER	24967	20876	\N	\N	\N
689705	2356	1998-12-16	VYDAJ	VYBER	4800	26512	\N	\N	\N
689718	2356	1998-01-05	VYDAJ	VYBER	1500	23134	\N	\N	\N
689729	2356	1997-08-09	VYDAJ	VYBER	2400	33657	\N	\N	\N
689731	2356	1997-05-30	VYDAJ	VYBER	11400	47096	\N	\N	\N
689732	2356	1997-07-28	VYDAJ	VYBER	6300	35903	\N	\N	\N
689733	2356	1997-04-13	VYDAJ	VYBER	6000	52115	\N	\N	\N
689734	2356	1997-05-14	VYDAJ	VYBER	9300	90396	\N	\N	\N
689735	2356	1997-03-16	VYDAJ	VYBER	7200	58190	\N	\N	\N
689736	2356	1998-11-12	VYDAJ	VYBER	10200	52243	\N	\N	\N
689738	2356	1998-10-15	VYDAJ	VYBER	13200	24980	\N	\N	\N
689740	2356	1998-03-28	VYDAJ	VYBER	6300	23386	\N	\N	\N
689756	2356	1997-03-31	VYDAJ	VYBER	30	41495	SLUZBY	\N	\N
689757	2356	1997-04-30	VYDAJ	VYBER	30	95366	SLUZBY	\N	\N
689758	2356	1997-05-31	VYDAJ	VYBER	30	73911	SLUZBY	\N	\N
689759	2356	1997-06-30	VYDAJ	VYBER	30	46385	SLUZBY	\N	\N
689760	2356	1997-07-31	VYDAJ	VYBER	30	36057	SLUZBY	\N	\N
689761	2356	1997-08-31	VYDAJ	VYBER	30	50461	SLUZBY	\N	\N
689762	2356	1997-09-30	VYDAJ	VYBER	30	33739	SLUZBY	\N	\N
689763	2356	1997-10-31	VYDAJ	VYBER	30	26893	SLUZBY	\N	\N
689764	2356	1997-11-30	VYDAJ	VYBER	30	21375	SLUZBY	\N	\N
689765	2356	1997-12-31	VYDAJ	VYBER	30	24634	SLUZBY	\N	\N
689766	2356	1998-01-31	VYDAJ	VYBER	30	25709	SLUZBY	\N	\N
689767	2356	1998-02-28	VYDAJ	VYBER	30	28886	SLUZBY	\N	\N
689768	2356	1998-03-31	VYDAJ	VYBER	30	23473	SLUZBY	\N	\N
689769	2356	1998-04-30	VYDAJ	VYBER	30	27041	SLUZBY	\N	\N
689770	2356	1998-05-31	VYDAJ	VYBER	30	31424	SLUZBY	\N	\N
689771	2356	1998-06-30	VYDAJ	VYBER	30	28115	SLUZBY	\N	\N
689772	2356	1998-07-31	VYDAJ	VYBER	30	28202	SLUZBY	\N	\N
689773	2356	1998-08-31	VYDAJ	VYBER	30	29089	SLUZBY	\N	\N
689774	2356	1998-09-30	VYDAJ	VYBER	30	31380	SLUZBY	\N	\N
689775	2356	1998-10-31	VYDAJ	VYBER	30	62443	SLUZBY	\N	\N
689776	2356	1998-11-30	VYDAJ	VYBER	30	21012	SLUZBY	\N	\N
689777	2356	1997-01-22	VYDAJ	VYBER	34000	53062	\N	\N	\N
689778	2356	1997-02-21	VYDAJ	VYBER	18300	43832	\N	\N	\N
689779	2356	1997-03-09	VYDAJ	VYBER	30500	78208	\N	\N	\N
689780	2356	1997-03-23	VYDAJ	VYBER	16900	41290	\N	\N	\N
689781	2356	1997-04-22	VYDAJ	VYBER	11700	40415	\N	\N	\N
689782	2356	1997-05-01	VYDAJ	VYBER	21200	99696	\N	\N	\N
689783	2356	1997-05-22	VYDAJ	VYBER	31900	58496	\N	\N	\N
689784	2356	1997-06-21	VYDAJ	VYBER	27800	46111	\N	\N	\N
689785	2356	1997-07-21	VYDAJ	VYBER	20800	42203	\N	\N	\N
689786	2356	1997-08-20	VYDAJ	VYBER	31200	50257	\N	\N	\N
689787	2356	1997-09-19	VYDAJ	VYBER	16900	33561	\N	\N	\N
689788	2356	1997-10-19	VYDAJ	VYBER	12500	26795	\N	\N	\N
689789	2356	1997-11-18	VYDAJ	VYBER	5600	21293	\N	\N	\N
689790	2356	1997-12-18	PRIJEM	VKLAD	3200	24575	\N	\N	\N
689791	2356	1998-01-17	PRIJEM	VKLAD	2500	25634	\N	\N	\N
689792	2356	1998-02-16	PRIJEM	VKLAD	3100	28809	\N	\N	\N
689793	2356	1998-03-18	PRIJEM	VKLAD	800	29686	\N	\N	\N
689794	2356	1998-04-17	PRIJEM	VKLAD	3500	26973	\N	\N	\N
689795	2356	1998-05-17	PRIJEM	VKLAD	4300	31341	\N	\N	\N
689796	2356	1998-06-16	PRIJEM	VKLAD	3300	28022	\N	\N	\N
689797	2356	1998-08-15	PRIJEM	VKLAD	800	29002	\N	\N	\N
689798	2356	1998-09-14	PRIJEM	VKLAD	2200	31289	\N	\N	\N
689799	2356	1998-10-14	PRIJEM	VKLAD	6800	38180	\N	\N	\N
689800	2356	1998-11-13	VYDAJ	VYBER	6400	45843	\N	\N	\N
689801	2356	1998-12-13	PRIJEM	VKLAD	10300	31312	\N	\N	\N
689827	2357	1993-01-04	PRIJEM	VKLAD	800	800	\N	\N	\N
689828	2357	1993-01-12	PRIJEM	PREVOD Z UCTU	6434	7234	DUCHOD	OP	34144538
689829	2357	1993-02-12	PRIJEM	PREVOD Z UCTU	6434	13687	DUCHOD	OP	34144538
689830	2357	1993-03-12	PRIJEM	PREVOD Z UCTU	6434	20152	DUCHOD	OP	34144538
689831	2357	1993-04-12	PRIJEM	PREVOD Z UCTU	6434	26616	DUCHOD	OP	34144538
689832	2357	1993-05-12	PRIJEM	PREVOD Z UCTU	6434	31580	DUCHOD	OP	34144538
689833	2357	1993-06-12	PRIJEM	PREVOD Z UCTU	6434	17026	DUCHOD	OP	34144538
689834	2357	1993-07-12	PRIJEM	PREVOD Z UCTU	6434	16217	DUCHOD	OP	34144538
689835	2357	1993-08-12	PRIJEM	PREVOD Z UCTU	6434	15471	DUCHOD	OP	34144538
689836	2357	1993-09-12	PRIJEM	PREVOD Z UCTU	6434	18083	DUCHOD	OP	34144538
689837	2357	1993-10-12	PRIJEM	PREVOD Z UCTU	6434	20705	DUCHOD	OP	34144538
689838	2357	1993-11-12	PRIJEM	PREVOD Z UCTU	6434	23338	DUCHOD	OP	34144538
689839	2357	1993-12-12	PRIJEM	PREVOD Z UCTU	6434	24082	DUCHOD	OP	34144538
689840	2357	1994-01-12	PRIJEM	PREVOD Z UCTU	6434	21288	DUCHOD	OP	34144538
689841	2357	1994-02-12	PRIJEM	PREVOD Z UCTU	6434	23045	DUCHOD	OP	34144538
689842	2357	1994-03-12	PRIJEM	PREVOD Z UCTU	6434	25687	DUCHOD	OP	34144538
689843	2357	1994-04-12	PRIJEM	PREVOD Z UCTU	6434	27340	DUCHOD	OP	34144538
689844	2357	1994-05-12	PRIJEM	PREVOD Z UCTU	6434	26399	DUCHOD	OP	34144538
689845	2357	1994-06-12	PRIJEM	PREVOD Z UCTU	6434	29056	DUCHOD	OP	34144538
689846	2357	1994-07-12	PRIJEM	PREVOD Z UCTU	6434	27137	DUCHOD	OP	34144538
689847	2357	1994-08-12	PRIJEM	PREVOD Z UCTU	6434	29596	DUCHOD	OP	34144538
689848	2357	1994-09-12	PRIJEM	PREVOD Z UCTU	6434	31966	DUCHOD	OP	34144538
689849	2357	1994-10-12	PRIJEM	PREVOD Z UCTU	6434	33244	DUCHOD	OP	34144538
689850	2357	1994-11-12	PRIJEM	PREVOD Z UCTU	6434	30564	DUCHOD	OP	34144538
689851	2357	1994-12-12	PRIJEM	PREVOD Z UCTU	6434	27236	DUCHOD	OP	34144538
689852	2357	1995-01-12	PRIJEM	PREVOD Z UCTU	6434	23576	DUCHOD	OP	34144538
689853	2357	1995-02-12	PRIJEM	PREVOD Z UCTU	6434	19729	DUCHOD	OP	34144538
689854	2357	1995-03-12	PRIJEM	PREVOD Z UCTU	6434	22357	DUCHOD	OP	34144538
689855	2357	1995-04-12	PRIJEM	PREVOD Z UCTU	6434	24997	DUCHOD	OP	34144538
689856	2357	1995-05-12	PRIJEM	PREVOD Z UCTU	6434	27647	DUCHOD	OP	34144538
689857	2357	1995-06-12	PRIJEM	PREVOD Z UCTU	6434	30308	DUCHOD	OP	34144538
689858	2357	1995-07-12	PRIJEM	PREVOD Z UCTU	6434	21249	DUCHOD	OP	34144538
689859	2357	1995-08-12	PRIJEM	PREVOD Z UCTU	6434	21798	DUCHOD	OP	34144538
689860	2357	1995-09-12	PRIJEM	PREVOD Z UCTU	6434	24435	DUCHOD	OP	34144538
689861	2357	1995-10-12	PRIJEM	PREVOD Z UCTU	6434	27083	DUCHOD	OP	34144538
689862	2357	1995-11-12	PRIJEM	PREVOD Z UCTU	6434	26213	DUCHOD	OP	34144538
689863	2357	1995-12-12	PRIJEM	PREVOD Z UCTU	6434	27818	DUCHOD	OP	34144538
689864	2357	1996-01-12	PRIJEM	PREVOD Z UCTU	6434	27439	DUCHOD	OP	34144538
689865	2357	1996-02-12	PRIJEM	PREVOD Z UCTU	6434	23771	DUCHOD	OP	34144538
689866	2357	1996-03-12	PRIJEM	PREVOD Z UCTU	6434	25936	DUCHOD	OP	34144538
689867	2357	1996-04-12	PRIJEM	PREVOD Z UCTU	6434	28588	DUCHOD	OP	34144538
689868	2357	1996-05-12	PRIJEM	PREVOD Z UCTU	6434	29970	DUCHOD	OP	34144538
689869	2357	1996-06-12	PRIJEM	PREVOD Z UCTU	6434	32641	DUCHOD	OP	34144538
689870	2357	1996-07-12	PRIJEM	PREVOD Z UCTU	6434	18276	DUCHOD	OP	34144538
689871	2357	1996-08-12	PRIJEM	PREVOD Z UCTU	6434	20898	DUCHOD	OP	34144538
689872	2357	1996-09-12	PRIJEM	PREVOD Z UCTU	6434	23530	DUCHOD	OP	34144538
689873	2357	1996-10-12	PRIJEM	PREVOD Z UCTU	6434	26173	DUCHOD	OP	34144538
689874	2357	1996-11-12	PRIJEM	PREVOD Z UCTU	6434	28828	DUCHOD	OP	34144538
689875	2357	1996-12-12	PRIJEM	PREVOD Z UCTU	6434	31493	DUCHOD	OP	34144538
689876	2357	1997-01-12	PRIJEM	PREVOD Z UCTU	6434	31048	DUCHOD	OP	34144538
689877	2357	1997-02-12	PRIJEM	PREVOD Z UCTU	6434	18658	DUCHOD	OP	34144538
689878	2357	1997-03-12	PRIJEM	PREVOD Z UCTU	6434	21279	DUCHOD	OP	34144538
689879	2357	1997-04-12	PRIJEM	PREVOD Z UCTU	6434	23912	DUCHOD	OP	34144538
689880	2357	1997-05-12	PRIJEM	PREVOD Z UCTU	6434	26556	DUCHOD	OP	34144538
689881	2357	1997-06-12	PRIJEM	PREVOD Z UCTU	6434	27932	DUCHOD	OP	34144538
689882	2357	1997-07-12	PRIJEM	PREVOD Z UCTU	6434	20288	DUCHOD	OP	34144538
689883	2357	1997-08-12	PRIJEM	PREVOD Z UCTU	6434	22917	DUCHOD	OP	34144538
689884	2357	1997-09-12	PRIJEM	PREVOD Z UCTU	6434	23797	DUCHOD	OP	34144538
689885	2357	1997-10-12	PRIJEM	PREVOD Z UCTU	6434	26440	DUCHOD	OP	34144538
689886	2357	1997-11-12	PRIJEM	PREVOD Z UCTU	6434	28614	DUCHOD	OP	34144538
689887	2357	1997-12-12	PRIJEM	PREVOD Z UCTU	6434	31276	DUCHOD	OP	34144538
689888	2357	1998-01-12	PRIJEM	PREVOD Z UCTU	6434	30257	DUCHOD	OP	34144538
689889	2357	1998-02-12	PRIJEM	PREVOD Z UCTU	6434	25718	DUCHOD	OP	34144538
689890	2357	1998-03-12	PRIJEM	PREVOD Z UCTU	6434	28368	DUCHOD	OP	34144538
689891	2357	1998-04-12	PRIJEM	PREVOD Z UCTU	6434	31030	DUCHOD	OP	34144538
689892	2357	1998-05-12	PRIJEM	PREVOD Z UCTU	6434	33223	DUCHOD	OP	34144538
689893	2357	1998-06-12	PRIJEM	PREVOD Z UCTU	6434	35905	DUCHOD	OP	34144538
689894	2357	1998-07-12	PRIJEM	PREVOD Z UCTU	6434	26523	DUCHOD	OP	34144538
689895	2357	1998-08-12	PRIJEM	PREVOD Z UCTU	6434	29177	DUCHOD	OP	34144538
689896	2357	1998-09-12	PRIJEM	PREVOD Z UCTU	6434	31842	DUCHOD	OP	34144538
689897	2357	1998-10-12	PRIJEM	PREVOD Z UCTU	6434	34518	DUCHOD	OP	34144538
689898	2357	1998-11-12	PRIJEM	PREVOD Z UCTU	6434	37205	DUCHOD	OP	34144538
689899	2357	1998-12-12	PRIJEM	PREVOD Z UCTU	6434	38943	DUCHOD	OP	34144538
689905	2357	1993-06-08	VYDAJ	PREVOD NA UCET	3869	23092	SIPO	KL	58773815
689906	2357	1993-07-08	VYDAJ	PREVOD NA UCET	3869	9783	SIPO	KL	58773815
689907	2357	1993-08-08	VYDAJ	PREVOD NA UCET	3869	9037	SIPO	KL	58773815
689908	2357	1993-09-08	VYDAJ	PREVOD NA UCET	3869	11649	SIPO	KL	58773815
689909	2357	1993-10-08	VYDAJ	PREVOD NA UCET	3869	14271	SIPO	KL	58773815
689910	2357	1993-11-08	VYDAJ	PREVOD NA UCET	3869	16904	SIPO	KL	58773815
689911	2357	1993-12-08	VYDAJ	PREVOD NA UCET	3869	18148	SIPO	KL	58773815
689912	2357	1994-01-08	VYDAJ	PREVOD NA UCET	3869	18854	SIPO	KL	58773815
689913	2357	1994-02-08	VYDAJ	PREVOD NA UCET	3869	16611	SIPO	KL	58773815
689914	2357	1994-03-08	VYDAJ	PREVOD NA UCET	3869	19253	SIPO	KL	58773815
689915	2357	1994-04-08	VYDAJ	PREVOD NA UCET	3869	20906	SIPO	KL	58773815
689916	2357	1994-05-08	VYDAJ	PREVOD NA UCET	3869	19965	SIPO	KL	58773815
689917	2357	1994-06-08	VYDAJ	PREVOD NA UCET	3869	22622	SIPO	KL	58773815
689918	2357	1994-07-08	VYDAJ	PREVOD NA UCET	3869	20703	SIPO	KL	58773815
689919	2357	1994-08-08	VYDAJ	PREVOD NA UCET	3869	23162	SIPO	KL	58773815
689920	2357	1994-09-08	VYDAJ	PREVOD NA UCET	3869	25532	SIPO	KL	58773815
689921	2357	1994-10-08	VYDAJ	PREVOD NA UCET	3869	26810	SIPO	KL	58773815
689922	2357	1994-11-08	VYDAJ	PREVOD NA UCET	3869	24130	SIPO	KL	58773815
689923	2357	1994-12-08	VYDAJ	PREVOD NA UCET	3869	24002	SIPO	KL	58773815
689924	2357	1995-01-08	VYDAJ	PREVOD NA UCET	3869	17142	SIPO	KL	58773815
689925	2357	1995-02-08	VYDAJ	PREVOD NA UCET	3869	13295	SIPO	KL	58773815
689926	2357	1995-03-08	VYDAJ	PREVOD NA UCET	3869	15923	SIPO	KL	58773815
689927	2357	1995-04-08	VYDAJ	PREVOD NA UCET	3869	18563	SIPO	KL	58773815
689928	2357	1995-05-08	VYDAJ	PREVOD NA UCET	3869	21213	SIPO	KL	58773815
689929	2357	1995-06-08	VYDAJ	PREVOD NA UCET	3869	23874	SIPO	KL	58773815
689930	2357	1995-07-08	VYDAJ	PREVOD NA UCET	3869	14815	SIPO	KL	58773815
689931	2357	1995-08-08	VYDAJ	PREVOD NA UCET	3869	15364	SIPO	KL	58773815
689932	2357	1995-09-08	VYDAJ	PREVOD NA UCET	3869	18001	SIPO	KL	58773815
689933	2357	1995-10-08	VYDAJ	PREVOD NA UCET	3869	20649	SIPO	KL	58773815
689934	2357	1995-11-08	VYDAJ	PREVOD NA UCET	3869	19779	SIPO	KL	58773815
689935	2357	1995-12-08	VYDAJ	PREVOD NA UCET	3869	21384	SIPO	KL	58773815
689936	2357	1996-01-08	VYDAJ	PREVOD NA UCET	3869	21725	SIPO	KL	58773815
689937	2357	1996-02-08	VYDAJ	PREVOD NA UCET	3869	17337	SIPO	KL	58773815
689938	2357	1996-03-08	VYDAJ	PREVOD NA UCET	3869	19502	SIPO	KL	58773815
689939	2357	1996-04-08	VYDAJ	PREVOD NA UCET	3869	22154	SIPO	KL	58773815
689940	2357	1996-05-08	VYDAJ	PREVOD NA UCET	3869	23536	SIPO	KL	58773815
689941	2357	1996-06-08	VYDAJ	PREVOD NA UCET	3869	26207	SIPO	KL	58773815
689942	2357	1996-07-08	VYDAJ	PREVOD NA UCET	3869	11842	SIPO	KL	58773815
689943	2357	1996-08-08	VYDAJ	PREVOD NA UCET	3869	14464	SIPO	KL	58773815
689944	2357	1996-09-08	VYDAJ	PREVOD NA UCET	3869	17096	SIPO	KL	58773815
689945	2357	1996-10-08	VYDAJ	PREVOD NA UCET	3869	19739	SIPO	KL	58773815
689946	2357	1996-11-08	VYDAJ	PREVOD NA UCET	3869	22394	SIPO	KL	58773815
689947	2357	1996-12-08	VYDAJ	PREVOD NA UCET	3869	25059	SIPO	KL	58773815
689948	2357	1997-01-08	VYDAJ	PREVOD NA UCET	3869	24614	SIPO	KL	58773815
689949	2357	1997-02-08	VYDAJ	PREVOD NA UCET	3869	12224	SIPO	KL	58773815
689950	2357	1997-03-08	VYDAJ	PREVOD NA UCET	3869	14845	SIPO	KL	58773815
689951	2357	1997-04-08	VYDAJ	PREVOD NA UCET	3869	17478	SIPO	KL	58773815
689952	2357	1997-05-08	VYDAJ	PREVOD NA UCET	3869	20122	SIPO	KL	58773815
689953	2357	1997-06-08	VYDAJ	PREVOD NA UCET	3869	21498	SIPO	KL	58773815
689954	2357	1997-07-08	VYDAJ	PREVOD NA UCET	3869	13854	SIPO	KL	58773815
689955	2357	1997-08-08	VYDAJ	PREVOD NA UCET	3869	16483	SIPO	KL	58773815
689956	2357	1997-09-08	VYDAJ	PREVOD NA UCET	3869	17363	SIPO	KL	58773815
689957	2357	1997-10-08	VYDAJ	PREVOD NA UCET	3869	20006	SIPO	KL	58773815
689958	2357	1997-11-08	VYDAJ	PREVOD NA UCET	3869	22180	SIPO	KL	58773815
689959	2357	1997-12-08	VYDAJ	PREVOD NA UCET	3869	24842	SIPO	KL	58773815
689960	2357	1998-01-08	VYDAJ	PREVOD NA UCET	3869	25743	SIPO	KL	58773815
689961	2357	1998-02-08	VYDAJ	PREVOD NA UCET	3869	19284	SIPO	KL	58773815
689962	2357	1998-03-08	VYDAJ	PREVOD NA UCET	3869	21934	SIPO	KL	58773815
689963	2357	1998-04-08	VYDAJ	PREVOD NA UCET	3869	24596	SIPO	KL	58773815
689964	2357	1998-05-08	VYDAJ	PREVOD NA UCET	3869	26789	SIPO	KL	58773815
689965	2357	1998-06-08	VYDAJ	PREVOD NA UCET	3869	29471	SIPO	KL	58773815
689966	2357	1998-07-08	VYDAJ	PREVOD NA UCET	3869	20089	SIPO	KL	58773815
689967	2357	1998-08-08	VYDAJ	PREVOD NA UCET	3869	22743	SIPO	KL	58773815
689968	2357	1998-09-08	VYDAJ	PREVOD NA UCET	3869	25408	SIPO	KL	58773815
689969	2357	1998-10-08	VYDAJ	PREVOD NA UCET	3869	28084	SIPO	KL	58773815
689970	2357	1998-11-08	VYDAJ	PREVOD NA UCET	3869	30771	SIPO	KL	58773815
689971	2357	1998-12-08	VYDAJ	PREVOD NA UCET	3869	32509	SIPO	KL	58773815
689972	2357	1993-06-08	VYDAJ	VYBER	12500	10592	\N	\N	\N
689973	2357	1994-06-25	VYDAJ	VYBER	2100	24476	\N	\N	\N
689974	2357	1995-06-23	VYDAJ	VYBER	9800	20508	\N	\N	\N
689975	2357	1996-06-24	VYDAJ	VYBER	14550	18091	\N	\N	\N
689976	2357	1997-06-28	VYDAJ	VYBER	10300	17632	\N	\N	\N
689977	2357	1998-06-16	VYDAJ	VYBER	12050	23855	\N	\N	\N
689978	2357	1993-12-10	VYDAJ	VYBER	500	17648	\N	\N	\N
689979	2357	1994-12-03	VYDAJ	VYBER	600	27871	\N	\N	\N
689980	2357	1995-12-06	VYDAJ	VYBER	1050	25253	\N	\N	\N
689981	2357	1996-12-16	VYDAJ	VYBER	400	31093	\N	\N	\N
689982	2357	1997-12-15	VYDAJ	VYBER	1050	30226	\N	\N	\N
689983	2357	1998-12-29	VYDAJ	VYBER	800	38143	\N	\N	\N
689990	2357	1994-01-03	VYDAJ	VYBER	800	22723	\N	\N	\N
689991	2357	1994-01-10	VYDAJ	VYBER	1760	14854	\N	\N	\N
689992	2357	1994-01-02	VYDAJ	VYBER	640	23523	\N	\N	\N
689993	2357	1994-01-10	VYDAJ	VYBER	2240	16614	\N	\N	\N
689994	2357	1994-01-21	VYDAJ	VYBER	480	20408	\N	\N	\N
689995	2357	1994-01-13	VYDAJ	VYBER	400	20888	\N	\N	\N
689996	2357	1995-01-30	VYDAJ	VYBER	960	17096	\N	\N	\N
689997	2357	1995-01-03	VYDAJ	VYBER	1360	21011	\N	\N	\N
689998	2357	1995-01-12	VYDAJ	VYBER	880	22696	\N	\N	\N
689999	2357	1995-01-24	VYDAJ	VYBER	1680	18056	\N	\N	\N
690000	2357	1995-01-15	VYDAJ	VYBER	1760	20536	\N	\N	\N
690001	2357	1995-01-24	VYDAJ	VYBER	800	19736	\N	\N	\N
690002	2357	1996-01-05	VYDAJ	VYBER	2320	25594	\N	\N	\N
690003	2357	1996-01-09	VYDAJ	VYBER	720	21005	\N	\N	\N
690004	2357	1996-01-21	VYDAJ	VYBER	1440	23839	\N	\N	\N
690005	2357	1996-01-23	VYDAJ	VYBER	720	21119	\N	\N	\N
690006	2357	1996-01-12	VYDAJ	VYBER	2160	25279	\N	\N	\N
690007	2357	1996-01-22	VYDAJ	VYBER	2000	21839	\N	\N	\N
690008	2357	1997-01-12	VYDAJ	VYBER	1600	29448	\N	\N	\N
690009	2357	1997-01-17	VYDAJ	VYBER	1120	26488	\N	\N	\N
690010	2357	1997-01-16	VYDAJ	VYBER	1840	27608	\N	\N	\N
690011	2357	1997-01-19	VYDAJ	VYBER	2160	24328	\N	\N	\N
690012	2357	1997-01-21	VYDAJ	VYBER	720	19528	\N	\N	\N
690013	2357	1997-01-20	VYDAJ	VYBER	720	20248	\N	\N	\N
690014	2357	1998-01-12	VYDAJ	VYBER	1840	28417	\N	\N	\N
690015	2357	1998-01-14	VYDAJ	VYBER	1200	27217	\N	\N	\N
690016	2357	1998-01-10	VYDAJ	VYBER	560	23823	\N	\N	\N
690017	2357	1998-01-23	VYDAJ	VYBER	1920	24737	\N	\N	\N
690018	2357	1998-01-22	VYDAJ	VYBER	560	26657	\N	\N	\N
690019	2357	1998-01-10	VYDAJ	VYBER	1360	24383	\N	\N	\N
690020	2357	1993-06-15	VYDAJ	VYBER	3440	13586	\N	\N	\N
690022	2357	1993-08-03	VYDAJ	VYBER	3360	12906	\N	\N	\N
690023	2357	1994-12-11	VYDAJ	VYBER	3200	20802	\N	\N	\N
690024	2357	1994-06-18	VYDAJ	VYBER	2480	26576	\N	\N	\N
690025	2357	1994-04-28	VYDAJ	VYBER	2400	24940	\N	\N	\N
690026	2357	1994-10-18	VYDAJ	VYBER	560	32684	\N	\N	\N
690027	2357	1995-01-13	VYDAJ	VYBER	400	22296	\N	\N	\N
690028	2357	1995-10-15	VYDAJ	VYBER	3520	23563	\N	\N	\N
690029	2357	1995-07-12	VYDAJ	VYBER	2080	19169	\N	\N	\N
690030	2357	1995-01-01	VYDAJ	VYBER	2560	22371	\N	\N	\N
690031	2357	1995-07-01	VYDAJ	VYBER	1920	18684	\N	\N	\N
690032	2357	1996-06-25	VYDAJ	VYBER	2480	15611	\N	\N	\N
690033	2357	1996-04-21	VYDAJ	VYBER	1280	27308	\N	\N	\N
690034	2357	1996-03-05	VYDAJ	VYBER	480	23371	\N	\N	\N
690035	2357	1996-12-30	VYDAJ	VYBER	2720	28373	\N	\N	\N
690036	2357	1997-01-19	VYDAJ	VYBER	3360	20968	\N	\N	\N
690037	2357	1997-12-17	VYDAJ	VYBER	720	29506	\N	\N	\N
690038	2357	1997-06-02	VYDAJ	VYBER	1280	25367	\N	\N	\N
690039	2357	1997-02-05	VYDAJ	VYBER	720	16093	\N	\N	\N
690040	2357	1997-11-06	VYDAJ	VYBER	480	26049	\N	\N	\N
690041	2357	1997-09-03	VYDAJ	VYBER	1760	21232	\N	\N	\N
690042	2357	1997-01-25	VYDAJ	VYBER	2800	16728	\N	\N	\N
690043	2357	1998-04-29	VYDAJ	VYBER	480	30550	\N	\N	\N
690044	2357	1998-02-05	VYDAJ	VYBER	1680	23153	\N	\N	\N
690045	2357	1998-12-06	VYDAJ	VYBER	960	36378	\N	\N	\N
690051	2357	1993-05-31	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
690052	2357	1993-06-30	VYDAJ	VYBER	15	13652	SLUZBY	\N	\N
690053	2357	1993-07-31	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
690054	2357	1993-08-31	VYDAJ	VYBER	15	15518	SLUZBY	\N	\N
690055	2357	1993-09-30	VYDAJ	VYBER	15	18140	SLUZBY	\N	\N
690056	2357	1993-10-31	VYDAJ	VYBER	15	20773	SLUZBY	\N	\N
690057	2357	1993-11-30	VYDAJ	VYBER	15	22017	SLUZBY	\N	\N
690058	2357	1993-12-31	VYDAJ	VYBER	15	24163	SLUZBY	\N	\N
690059	2357	1994-01-31	VYDAJ	VYBER	15	20480	SLUZBY	\N	\N
690060	2357	1994-02-28	VYDAJ	VYBER	15	23122	SLUZBY	\N	\N
690061	2357	1994-03-31	VYDAJ	VYBER	15	24775	SLUZBY	\N	\N
690062	2357	1994-04-30	VYDAJ	VYBER	15	23834	SLUZBY	\N	\N
690063	2357	1994-05-31	VYDAJ	VYBER	15	26491	SLUZBY	\N	\N
690064	2357	1994-06-30	VYDAJ	VYBER	15	24572	SLUZBY	\N	\N
690065	2357	1994-07-31	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
690066	2357	1994-08-31	VYDAJ	VYBER	15	29401	SLUZBY	\N	\N
690067	2357	1994-09-30	VYDAJ	VYBER	15	30679	SLUZBY	\N	\N
690068	2357	1994-10-31	VYDAJ	VYBER	15	27999	SLUZBY	\N	\N
690069	2357	1994-11-30	VYDAJ	VYBER	15	28471	SLUZBY	\N	\N
690070	2357	1994-12-31	VYDAJ	VYBER	15	24931	SLUZBY	\N	\N
690071	2357	1995-01-31	VYDAJ	VYBER	15	17164	SLUZBY	\N	\N
690072	2357	1995-02-28	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
690073	2357	1995-03-31	VYDAJ	VYBER	15	22432	SLUZBY	\N	\N
690074	2357	1995-04-30	VYDAJ	VYBER	15	25082	SLUZBY	\N	\N
690075	2357	1995-05-31	VYDAJ	VYBER	15	27743	SLUZBY	\N	\N
690076	2357	1995-06-30	VYDAJ	VYBER	15	20604	SLUZBY	\N	\N
690077	2357	1995-07-31	VYDAJ	VYBER	15	19233	SLUZBY	\N	\N
690078	2357	1995-08-31	VYDAJ	VYBER	15	21870	SLUZBY	\N	\N
690079	2357	1995-09-30	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
690080	2357	1995-10-31	VYDAJ	VYBER	15	23648	SLUZBY	\N	\N
690081	2357	1995-11-30	VYDAJ	VYBER	15	26303	SLUZBY	\N	\N
690082	2357	1995-12-31	VYDAJ	VYBER	15	27914	SLUZBY	\N	\N
690083	2357	1996-01-31	VYDAJ	VYBER	15	21206	SLUZBY	\N	\N
690084	2357	1996-02-29	VYDAJ	VYBER	15	23851	SLUZBY	\N	\N
690085	2357	1996-03-31	VYDAJ	VYBER	15	26023	SLUZBY	\N	\N
690086	2357	1996-04-30	VYDAJ	VYBER	15	27405	SLUZBY	\N	\N
690087	2357	1996-05-31	VYDAJ	VYBER	15	30076	SLUZBY	\N	\N
690088	2357	1996-06-30	VYDAJ	VYBER	15	15711	SLUZBY	\N	\N
690089	2357	1996-07-31	VYDAJ	VYBER	15	18333	SLUZBY	\N	\N
690090	2357	1996-08-31	VYDAJ	VYBER	15	20965	SLUZBY	\N	\N
690091	2357	1996-09-30	VYDAJ	VYBER	15	23608	SLUZBY	\N	\N
690092	2357	1996-10-31	VYDAJ	VYBER	15	26263	SLUZBY	\N	\N
690093	2357	1996-11-30	VYDAJ	VYBER	15	28928	SLUZBY	\N	\N
690094	2357	1996-12-31	VYDAJ	VYBER	15	28483	SLUZBY	\N	\N
690095	2357	1997-01-31	VYDAJ	VYBER	15	16813	SLUZBY	\N	\N
690096	2357	1997-02-28	VYDAJ	VYBER	15	18714	SLUZBY	\N	\N
690097	2357	1997-03-31	VYDAJ	VYBER	15	21347	SLUZBY	\N	\N
690098	2357	1997-04-30	VYDAJ	VYBER	15	23991	SLUZBY	\N	\N
690099	2357	1997-05-31	VYDAJ	VYBER	15	26647	SLUZBY	\N	\N
690100	2357	1997-06-30	VYDAJ	VYBER	15	17723	SLUZBY	\N	\N
690101	2357	1997-07-31	VYDAJ	VYBER	15	20352	SLUZBY	\N	\N
690102	2357	1997-08-31	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
690103	2357	1997-09-30	VYDAJ	VYBER	15	23875	SLUZBY	\N	\N
690104	2357	1997-10-31	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
690105	2357	1997-11-30	VYDAJ	VYBER	15	28711	SLUZBY	\N	\N
690106	2357	1997-12-31	VYDAJ	VYBER	15	29612	SLUZBY	\N	\N
690107	2357	1998-01-31	VYDAJ	VYBER	15	24833	SLUZBY	\N	\N
690108	2357	1998-02-28	VYDAJ	VYBER	15	25803	SLUZBY	\N	\N
690109	2357	1998-03-31	VYDAJ	VYBER	15	28465	SLUZBY	\N	\N
690110	2357	1998-04-30	VYDAJ	VYBER	15	30658	SLUZBY	\N	\N
690111	2357	1998-05-31	VYDAJ	VYBER	15	33340	SLUZBY	\N	\N
690112	2357	1998-06-30	VYDAJ	VYBER	15	23958	SLUZBY	\N	\N
690113	2357	1998-07-31	VYDAJ	VYBER	15	26612	SLUZBY	\N	\N
690114	2357	1998-08-31	VYDAJ	VYBER	15	29277	SLUZBY	\N	\N
690115	2357	1998-09-30	VYDAJ	VYBER	15	31953	SLUZBY	\N	\N
690116	2357	1998-10-31	VYDAJ	VYBER	15	34640	SLUZBY	\N	\N
690117	2357	1998-11-30	VYDAJ	VYBER	15	37338	SLUZBY	\N	\N
690118	2357	1993-05-04	VYDAJ	VYBER	1500	25146	\N	\N	\N
690119	2357	1993-06-03	VYDAJ	VYBER	4700	26961	\N	\N	\N
690120	2357	1993-11-30	VYDAJ	VYBER	1400	22031	\N	\N	\N
690121	2357	1994-03-30	VYDAJ	VYBER	1000	24687	\N	\N	\N
690122	2357	1994-04-29	VYDAJ	VYBER	1200	23740	\N	\N	\N
690123	2357	1994-07-28	VYDAJ	VYBER	200	26937	\N	\N	\N
690124	2357	1994-08-27	VYDAJ	VYBER	300	29296	\N	\N	\N
690125	2357	1994-09-26	VYDAJ	VYBER	1400	30566	\N	\N	\N
690126	2357	1994-10-26	VYDAJ	VYBER	4800	27884	\N	\N	\N
690127	2357	1994-11-25	VYDAJ	VYBER	2200	28364	\N	\N	\N
690128	2357	1994-12-25	VYDAJ	VYBER	2400	24836	\N	\N	\N
690201	2358	1995-09-13	PRIJEM	VKLAD	300	300	\N	\N	\N
690211	2358	1995-10-13	PRIJEM	VKLAD	9322	9622	\N	\N	\N
690212	2358	1995-11-13	PRIJEM	VKLAD	9322	30088	\N	\N	\N
690213	2358	1995-12-13	PRIJEM	VKLAD	13983	39075	\N	\N	\N
690214	2358	1996-01-13	PRIJEM	VKLAD	9322	41946	\N	\N	\N
690215	2358	1996-02-13	PRIJEM	VKLAD	9322	41838	\N	\N	\N
690216	2358	1996-03-13	PRIJEM	VKLAD	9322	37091	\N	\N	\N
690217	2358	1996-04-13	PRIJEM	VKLAD	9322	39021	\N	\N	\N
690218	2358	1996-05-13	PRIJEM	VKLAD	9322	41749	\N	\N	\N
690219	2358	1996-06-13	PRIJEM	VKLAD	13983	42962	\N	\N	\N
690220	2358	1996-07-13	PRIJEM	VKLAD	9322	42062	\N	\N	\N
690221	2358	1996-08-13	PRIJEM	VKLAD	9322	40619	\N	\N	\N
690222	2358	1996-09-13	PRIJEM	VKLAD	9322	40159	\N	\N	\N
690223	2358	1996-10-13	PRIJEM	VKLAD	9322	41048	\N	\N	\N
690224	2358	1996-11-13	PRIJEM	VKLAD	9322	45179	\N	\N	\N
690225	2358	1996-12-13	PRIJEM	VKLAD	13983	46124	\N	\N	\N
690226	2358	1997-01-13	PRIJEM	VKLAD	9322	41297	\N	\N	\N
690227	2358	1997-02-13	PRIJEM	VKLAD	9322	41936	\N	\N	\N
690228	2358	1997-03-13	PRIJEM	VKLAD	9322	40082	\N	\N	\N
690229	2358	1997-04-13	PRIJEM	VKLAD	9322	36127	\N	\N	\N
690230	2358	1997-05-13	PRIJEM	VKLAD	9322	35466	\N	\N	\N
690231	2358	1997-06-13	PRIJEM	VKLAD	13983	36715	\N	\N	\N
690232	2358	1997-07-13	PRIJEM	VKLAD	9322	30963	\N	\N	\N
690233	2358	1997-08-13	PRIJEM	VKLAD	9322	30069	\N	\N	\N
690234	2358	1997-09-13	PRIJEM	VKLAD	9322	26264	\N	\N	\N
690235	2358	1997-10-13	PRIJEM	VKLAD	9322	24039	\N	\N	\N
690236	2358	1997-11-13	PRIJEM	VKLAD	9322	26819	\N	\N	\N
690237	2358	1997-12-13	PRIJEM	VKLAD	13983	28791	\N	\N	\N
690238	2358	1998-01-13	PRIJEM	VKLAD	9322	25369	\N	\N	\N
690239	2358	1998-02-13	PRIJEM	VKLAD	9322	28641	\N	\N	\N
690240	2358	1998-03-13	PRIJEM	VKLAD	9322	23279	\N	\N	\N
690241	2358	1998-04-13	PRIJEM	VKLAD	9322	26549	\N	\N	\N
690242	2358	1998-05-13	PRIJEM	VKLAD	9322	24656	\N	\N	\N
690243	2358	1998-06-13	PRIJEM	VKLAD	13983	32597	\N	\N	\N
690244	2358	1998-07-13	PRIJEM	VKLAD	9322	28924	\N	\N	\N
690245	2358	1998-08-13	PRIJEM	VKLAD	9322	32212	\N	\N	\N
690246	2358	1998-09-13	PRIJEM	VKLAD	9322	35508	\N	\N	\N
690247	2358	1998-10-13	PRIJEM	VKLAD	9322	25221	\N	\N	\N
690248	2358	1998-11-13	PRIJEM	VKLAD	9322	28502	\N	\N	\N
690249	2358	1998-12-13	PRIJEM	VKLAD	13983	28238	\N	\N	\N
690263	2358	1996-02-13	VYDAJ	PREVOD NA UCET	6114	35724	SIPO	OP	90139603
690264	2358	1996-03-13	VYDAJ	PREVOD NA UCET	6114	30977	SIPO	OP	90139603
690265	2358	1996-04-13	VYDAJ	PREVOD NA UCET	6114	32907	SIPO	OP	90139603
690266	2358	1996-05-13	VYDAJ	PREVOD NA UCET	6114	35635	SIPO	OP	90139603
690267	2358	1996-06-13	VYDAJ	PREVOD NA UCET	6114	36848	SIPO	OP	90139603
690268	2358	1996-07-13	VYDAJ	PREVOD NA UCET	6114	35948	SIPO	OP	90139603
690269	2358	1996-08-13	VYDAJ	PREVOD NA UCET	6114	34505	SIPO	OP	90139603
690270	2358	1996-09-13	VYDAJ	PREVOD NA UCET	6114	34045	SIPO	OP	90139603
690271	2358	1996-10-13	VYDAJ	PREVOD NA UCET	6114	34934	SIPO	OP	90139603
690272	2358	1996-11-13	VYDAJ	PREVOD NA UCET	6114	39065	SIPO	OP	90139603
690273	2358	1996-12-13	VYDAJ	PREVOD NA UCET	6114	40010	SIPO	OP	90139603
690274	2358	1997-01-13	VYDAJ	PREVOD NA UCET	6114	35183	SIPO	OP	90139603
690275	2358	1997-02-13	VYDAJ	PREVOD NA UCET	6114	35822	SIPO	OP	90139603
690276	2358	1997-03-13	VYDAJ	PREVOD NA UCET	6114	33968	SIPO	OP	90139603
690277	2358	1997-04-13	VYDAJ	PREVOD NA UCET	6114	30013	SIPO	OP	90139603
690278	2358	1997-05-13	VYDAJ	PREVOD NA UCET	6114	29352	SIPO	OP	90139603
690279	2358	1997-06-13	VYDAJ	PREVOD NA UCET	6114	30601	SIPO	OP	90139603
690280	2358	1997-07-13	VYDAJ	PREVOD NA UCET	6114	24849	SIPO	OP	90139603
690281	2358	1997-08-13	VYDAJ	PREVOD NA UCET	6114	23955	SIPO	OP	90139603
690282	2358	1997-09-13	VYDAJ	PREVOD NA UCET	6114	20150	SIPO	OP	90139603
690283	2358	1997-10-13	VYDAJ	PREVOD NA UCET	6114	17925	SIPO	OP	90139603
690284	2358	1997-11-13	VYDAJ	PREVOD NA UCET	6114	20705	SIPO	OP	90139603
690285	2358	1997-12-13	VYDAJ	PREVOD NA UCET	6114	22677	SIPO	OP	90139603
690286	2358	1998-01-13	VYDAJ	PREVOD NA UCET	6114	19255	SIPO	OP	90139603
690287	2358	1998-02-13	VYDAJ	PREVOD NA UCET	6114	22527	SIPO	OP	90139603
690288	2358	1998-03-13	VYDAJ	PREVOD NA UCET	6114	17165	SIPO	OP	90139603
690289	2358	1998-04-13	VYDAJ	PREVOD NA UCET	6114	20435	SIPO	OP	90139603
690290	2358	1998-05-13	VYDAJ	PREVOD NA UCET	6114	18542	SIPO	OP	90139603
690291	2358	1998-06-13	VYDAJ	PREVOD NA UCET	6114	26483	SIPO	OP	90139603
690292	2358	1998-07-13	VYDAJ	PREVOD NA UCET	6114	22810	SIPO	OP	90139603
690293	2358	1998-08-13	VYDAJ	PREVOD NA UCET	6114	26098	SIPO	OP	90139603
690294	2358	1998-09-13	VYDAJ	PREVOD NA UCET	6114	29394	SIPO	OP	90139603
690295	2358	1998-10-13	VYDAJ	PREVOD NA UCET	6114	19107	SIPO	OP	90139603
690296	2358	1998-11-13	VYDAJ	PREVOD NA UCET	6114	22388	SIPO	OP	90139603
690297	2358	1998-12-13	VYDAJ	PREVOD NA UCET	6114	22124	SIPO	OP	90139603
690304	2358	1997-01-28	VYDAJ	VYBER	2720	32463	\N	\N	\N
690307	2358	1996-12-12	VYDAJ	VYBER	3680	32141	\N	\N	\N
690308	2358	1997-12-13	VYDAJ	VYBER	4000	18677	\N	\N	\N
690311	2358	1996-09-17	VYDAJ	VYBER	3840	30205	\N	\N	\N
690312	2358	1996-07-02	VYDAJ	VYBER	2160	34840	\N	\N	\N
690313	2358	1997-02-14	VYDAJ	VYBER	4680	31142	\N	\N	\N
690314	2358	1997-11-17	VYDAJ	VYBER	3360	17345	\N	\N	\N
690315	2358	1997-05-28	VYDAJ	VYBER	2640	26712	\N	\N	\N
690316	2358	1997-09-15	VYDAJ	VYBER	3600	16550	\N	\N	\N
690317	2358	1997-06-30	VYDAJ	VYBER	2280	28441	\N	\N	\N
690318	2358	1998-07-06	VYDAJ	VYBER	3720	19602	\N	\N	\N
690319	2358	1998-06-18	VYDAJ	VYBER	3240	23243	\N	\N	\N
690322	2358	1998-02-16	VYDAJ	VYBER	1440	21087	\N	\N	\N
690323	2358	1998-04-18	VYDAJ	VYBER	5160	15275	\N	\N	\N
690338	2358	1996-02-29	VYDAJ	VYBER	15	35869	SLUZBY	\N	\N
690339	2358	1996-03-31	VYDAJ	VYBER	15	31099	SLUZBY	\N	\N
690340	2358	1996-04-30	VYDAJ	VYBER	15	33027	SLUZBY	\N	\N
690341	2358	1996-05-31	VYDAJ	VYBER	15	35779	SLUZBY	\N	\N
690342	2358	1996-06-30	VYDAJ	VYBER	15	37000	SLUZBY	\N	\N
690343	2358	1996-07-31	VYDAJ	VYBER	15	36097	SLUZBY	\N	\N
690344	2358	1996-08-31	VYDAJ	VYBER	15	34637	SLUZBY	\N	\N
690345	2358	1996-09-30	VYDAJ	VYBER	15	30326	SLUZBY	\N	\N
690346	2358	1996-10-31	VYDAJ	VYBER	15	35057	SLUZBY	\N	\N
690347	2358	1996-11-30	VYDAJ	VYBER	15	39221	SLUZBY	\N	\N
690348	2358	1996-12-31	VYDAJ	VYBER	15	40175	SLUZBY	\N	\N
690349	2358	1997-01-31	VYDAJ	VYBER	15	32614	SLUZBY	\N	\N
690350	2358	1997-02-28	VYDAJ	VYBER	15	31260	SLUZBY	\N	\N
690351	2358	1997-03-31	VYDAJ	VYBER	15	34105	SLUZBY	\N	\N
690352	2358	1997-04-30	VYDAJ	VYBER	15	30144	SLUZBY	\N	\N
690353	2358	1997-05-31	VYDAJ	VYBER	15	26832	SLUZBY	\N	\N
690354	2358	1997-06-30	VYDAJ	VYBER	15	30721	SLUZBY	\N	\N
690355	2358	1997-07-31	VYDAJ	VYBER	15	24947	SLUZBY	\N	\N
690356	2358	1997-08-31	VYDAJ	VYBER	15	24042	SLUZBY	\N	\N
690357	2358	1997-09-30	VYDAJ	VYBER	15	16617	SLUZBY	\N	\N
690358	2358	1997-10-31	VYDAJ	VYBER	15	17997	SLUZBY	\N	\N
690359	2358	1997-11-30	VYDAJ	VYBER	15	17408	SLUZBY	\N	\N
690360	2358	1997-12-31	VYDAJ	VYBER	15	18747	SLUZBY	\N	\N
690361	2358	1998-01-31	VYDAJ	VYBER	15	19319	SLUZBY	\N	\N
690362	2358	1998-02-28	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
690363	2358	1998-03-31	VYDAJ	VYBER	15	17227	SLUZBY	\N	\N
690364	2358	1998-04-30	VYDAJ	VYBER	15	15334	SLUZBY	\N	\N
690365	2358	1998-05-31	VYDAJ	VYBER	15	18614	SLUZBY	\N	\N
690366	2358	1998-06-30	VYDAJ	VYBER	15	23322	SLUZBY	\N	\N
690367	2358	1998-07-31	VYDAJ	VYBER	15	22890	SLUZBY	\N	\N
690368	2358	1998-08-31	VYDAJ	VYBER	15	26186	SLUZBY	\N	\N
690369	2358	1998-09-30	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
690370	2358	1998-10-31	VYDAJ	VYBER	15	19180	SLUZBY	\N	\N
690371	2358	1998-11-30	VYDAJ	VYBER	15	14255	SLUZBY	\N	\N
690372	2358	1995-10-13	PRIJEM	VKLAD	7700	17322	\N	\N	\N
690373	2358	1995-11-12	PRIJEM	VKLAD	3400	20766	\N	\N	\N
690374	2358	1995-12-12	VYDAJ	VYBER	5100	25092	\N	\N	\N
690375	2358	1996-01-11	VYDAJ	VYBER	6600	32624	\N	\N	\N
690376	2358	1996-02-10	VYDAJ	VYBER	9600	32516	\N	\N	\N
690377	2358	1996-03-11	VYDAJ	VYBER	8100	27769	\N	\N	\N
690378	2358	1996-04-10	VYDAJ	VYBER	1400	29699	\N	\N	\N
690379	2358	1996-05-10	VYDAJ	VYBER	600	32427	\N	\N	\N
690380	2358	1996-06-09	VYDAJ	VYBER	6800	28979	\N	\N	\N
690381	2358	1996-07-09	VYDAJ	VYBER	2100	32740	\N	\N	\N
690382	2358	1996-08-08	VYDAJ	VYBER	4800	31297	\N	\N	\N
690383	2358	1996-09-07	VYDAJ	VYBER	3800	30837	\N	\N	\N
690384	2358	1996-10-07	PRIJEM	VKLAD	1400	31726	\N	\N	\N
690385	2358	1996-11-06	PRIJEM	VKLAD	800	35857	\N	\N	\N
690386	2358	1996-12-06	VYDAJ	VYBER	3400	35821	\N	\N	\N
690387	2358	1997-01-05	VYDAJ	VYBER	8200	31975	\N	\N	\N
690388	2358	1997-03-06	VYDAJ	VYBER	500	30760	\N	\N	\N
690389	2358	1997-04-05	VYDAJ	VYBER	7300	26805	\N	\N	\N
690390	2358	1997-05-05	VYDAJ	VYBER	4000	26144	\N	\N	\N
690391	2358	1997-06-04	VYDAJ	VYBER	4100	22732	\N	\N	\N
690392	2358	1997-07-04	VYDAJ	VYBER	6800	21641	\N	\N	\N
690393	2358	1997-08-03	VYDAJ	VYBER	4200	20747	\N	\N	\N
690394	2358	1997-09-02	VYDAJ	VYBER	7100	16942	\N	\N	\N
690395	2358	1997-10-02	VYDAJ	VYBER	1900	14717	\N	\N	\N
690396	2358	1997-11-01	VYDAJ	VYBER	500	17497	\N	\N	\N
690397	2358	1997-12-01	VYDAJ	VYBER	2600	14808	\N	\N	\N
690398	2358	1997-12-31	VYDAJ	VYBER	2700	16047	\N	\N	\N
690399	2358	1998-03-01	VYDAJ	VYBER	7200	13957	\N	\N	\N
690400	2358	1998-09-27	VYDAJ	VYBER	13600	15794	\N	\N	\N
690401	2358	1998-11-26	VYDAJ	VYBER	8200	14188	\N	\N	\N
690441	2359	1996-07-14	PRIJEM	VKLAD	600	600	\N	\N	\N
690449	2359	1996-08-06	PRIJEM	VKLAD	4679	5279	\N	\N	\N
690450	2359	1996-09-06	PRIJEM	VKLAD	4679	18092	\N	\N	\N
690451	2359	1996-10-06	PRIJEM	VKLAD	4679	28554	\N	\N	\N
690452	2359	1996-11-06	PRIJEM	VKLAD	4679	31641	\N	\N	\N
690453	2359	1996-12-06	PRIJEM	VKLAD	7018	37079	\N	\N	\N
690454	2359	1997-01-06	PRIJEM	VKLAD	4679	34456	\N	\N	\N
690455	2359	1997-02-06	PRIJEM	VKLAD	4679	17896	\N	\N	\N
690456	2359	1997-03-06	PRIJEM	VKLAD	4679	22412	\N	\N	\N
690457	2359	1997-04-06	PRIJEM	VKLAD	4679	18730	\N	\N	\N
690458	2359	1997-05-06	PRIJEM	VKLAD	4679	24050	\N	\N	\N
690459	2359	1997-06-06	PRIJEM	VKLAD	7018	29827	\N	\N	\N
690460	2359	1997-07-06	PRIJEM	VKLAD	4679	20164	\N	\N	\N
690461	2359	1997-08-06	PRIJEM	VKLAD	4679	21981	\N	\N	\N
690462	2359	1997-09-06	PRIJEM	VKLAD	4679	24510	\N	\N	\N
690463	2359	1997-10-06	PRIJEM	VKLAD	4679	24139	\N	\N	\N
690464	2359	1997-11-06	PRIJEM	VKLAD	4679	26676	\N	\N	\N
690465	2359	1997-12-06	PRIJEM	VKLAD	7018	30059	\N	\N	\N
690466	2359	1998-01-06	PRIJEM	VKLAD	4679	30613	\N	\N	\N
690467	2359	1998-02-06	PRIJEM	VKLAD	4679	26558	\N	\N	\N
690468	2359	1998-03-06	PRIJEM	VKLAD	4679	28198	\N	\N	\N
690469	2359	1998-04-06	PRIJEM	VKLAD	4679	30843	\N	\N	\N
690470	2359	1998-05-06	PRIJEM	VKLAD	4679	24586	\N	\N	\N
690471	2359	1998-06-06	PRIJEM	VKLAD	7018	24661	\N	\N	\N
690472	2359	1998-07-06	PRIJEM	VKLAD	4679	19285	\N	\N	\N
690473	2359	1998-08-06	PRIJEM	VKLAD	4679	21000	\N	\N	\N
690474	2359	1998-09-06	PRIJEM	VKLAD	4679	20021	\N	\N	\N
690475	2359	1998-10-06	PRIJEM	VKLAD	4679	20240	\N	\N	\N
690476	2359	1998-11-06	PRIJEM	VKLAD	4679	20659	\N	\N	\N
690477	2359	1998-12-06	PRIJEM	VKLAD	7018	19811	\N	\N	\N
690489	2359	1996-12-13	VYDAJ	PREVOD NA UCET	3119	32160	SIPO	YZ	54163086
690490	2359	1997-01-13	VYDAJ	PREVOD NA UCET	3119	25837	SIPO	YZ	54163086
690491	2359	1997-02-13	VYDAJ	PREVOD NA UCET	3119	17677	SIPO	YZ	54163086
690492	2359	1997-03-13	VYDAJ	PREVOD NA UCET	3119	13993	SIPO	YZ	54163086
690493	2359	1997-04-13	VYDAJ	PREVOD NA UCET	3119	19311	SIPO	YZ	54163086
690494	2359	1997-05-13	VYDAJ	PREVOD NA UCET	3119	22731	SIPO	YZ	54163086
690495	2359	1997-06-13	VYDAJ	PREVOD NA UCET	3119	25408	SIPO	YZ	54163086
690496	2359	1997-07-13	VYDAJ	PREVOD NA UCET	3119	17245	SIPO	YZ	54163086
690497	2359	1997-08-13	VYDAJ	PREVOD NA UCET	3119	21562	SIPO	YZ	54163086
690498	2359	1997-09-13	VYDAJ	PREVOD NA UCET	3119	19391	SIPO	YZ	54163086
690499	2359	1997-10-13	VYDAJ	PREVOD NA UCET	3119	21920	SIPO	YZ	54163086
690500	2359	1997-11-13	VYDAJ	PREVOD NA UCET	3119	22957	SIPO	YZ	54163086
690501	2359	1997-12-13	VYDAJ	PREVOD NA UCET	3119	26140	SIPO	YZ	54163086
690502	2359	1998-01-13	VYDAJ	PREVOD NA UCET	3119	24994	SIPO	YZ	54163086
690503	2359	1998-02-13	VYDAJ	PREVOD NA UCET	3119	23439	SIPO	YZ	54163086
690504	2359	1998-03-13	VYDAJ	PREVOD NA UCET	3119	22679	SIPO	YZ	54163086
690505	2359	1998-04-13	VYDAJ	PREVOD NA UCET	3119	23224	SIPO	YZ	54163086
690506	2359	1998-05-13	VYDAJ	PREVOD NA UCET	3119	21467	SIPO	YZ	54163086
690507	2359	1998-06-13	VYDAJ	PREVOD NA UCET	3119	21542	SIPO	YZ	54163086
690508	2359	1998-07-13	VYDAJ	PREVOD NA UCET	3119	16166	SIPO	YZ	54163086
690509	2359	1998-08-13	VYDAJ	PREVOD NA UCET	3119	17881	SIPO	YZ	54163086
690510	2359	1998-09-13	VYDAJ	PREVOD NA UCET	3119	16902	SIPO	YZ	54163086
690511	2359	1998-10-13	VYDAJ	PREVOD NA UCET	3119	17121	SIPO	YZ	54163086
690512	2359	1998-11-13	VYDAJ	PREVOD NA UCET	3119	17540	SIPO	YZ	54163086
690513	2359	1998-12-13	VYDAJ	PREVOD NA UCET	3119	15192	SIPO	YZ	54163086
690515	2359	1997-06-21	VYDAJ	VYBER	8300	17108	\N	\N	\N
690516	2359	1998-06-15	VYDAJ	VYBER	6200	15342	\N	\N	\N
690518	2359	1997-01-20	VYDAJ	VYBER	5300	14337	\N	\N	\N
690519	2359	1998-01-26	VYDAJ	VYBER	3600	16794	\N	\N	\N
690520	2359	1996-12-24	VYDAJ	VYBER	900	31260	\N	\N	\N
690521	2359	1997-12-25	VYDAJ	VYBER	1300	24840	\N	\N	\N
690522	2359	1998-12-12	VYDAJ	VYBER	1500	18311	\N	\N	\N
690529	2359	1997-01-03	VYDAJ	VYBER	1100	30277	\N	\N	\N
690530	2359	1997-01-04	VYDAJ	VYBER	500	29777	\N	\N	\N
690531	2359	1997-01-15	VYDAJ	VYBER	1300	22537	\N	\N	\N
690532	2359	1997-01-13	VYDAJ	VYBER	1100	28956	\N	\N	\N
690533	2359	1997-01-14	VYDAJ	VYBER	2000	23837	\N	\N	\N
690534	2359	1997-01-24	VYDAJ	VYBER	1200	13137	\N	\N	\N
690535	2359	1998-01-29	VYDAJ	VYBER	1400	15394	\N	\N	\N
690536	2359	1998-01-20	VYDAJ	VYBER	2300	22694	\N	\N	\N
690537	2359	1998-01-23	VYDAJ	VYBER	1100	21594	\N	\N	\N
690538	2359	1998-01-04	VYDAJ	VYBER	500	24434	\N	\N	\N
690539	2359	1998-01-23	VYDAJ	VYBER	1200	20394	\N	\N	\N
690540	2359	1998-01-11	VYDAJ	VYBER	2500	28113	\N	\N	\N
690543	2359	1997-01-15	VYDAJ	VYBER	2900	19637	\N	\N	\N
690544	2359	1997-03-08	VYDAJ	VYBER	4900	17512	\N	\N	\N
690545	2359	1997-03-13	VYDAJ	VYBER	4500	17112	\N	\N	\N
690546	2359	1997-01-11	VYDAJ	VYBER	1000	30056	\N	\N	\N
690547	2359	1997-06-26	VYDAJ	VYBER	1700	15408	\N	\N	\N
690548	2359	1997-08-17	VYDAJ	VYBER	1800	19762	\N	\N	\N
690549	2359	1998-04-27	VYDAJ	VYBER	4200	19024	\N	\N	\N
690550	2359	1998-04-07	VYDAJ	VYBER	4500	26343	\N	\N	\N
690552	2359	1998-11-20	VYDAJ	VYBER	4800	12740	\N	\N	\N
690553	2359	1998-05-02	VYDAJ	VYBER	4900	14207	\N	\N	\N
690567	2359	1996-12-31	VYDAJ	VYBER	15	31377	SLUZBY	\N	\N
690568	2359	1997-01-31	VYDAJ	VYBER	15	13217	SLUZBY	\N	\N
690569	2359	1997-02-28	VYDAJ	VYBER	15	17733	SLUZBY	\N	\N
690570	2359	1997-03-31	VYDAJ	VYBER	15	14051	SLUZBY	\N	\N
690571	2359	1997-04-30	VYDAJ	VYBER	15	19371	SLUZBY	\N	\N
690572	2359	1997-05-31	VYDAJ	VYBER	15	22809	SLUZBY	\N	\N
690573	2359	1997-06-30	VYDAJ	VYBER	15	15485	SLUZBY	\N	\N
690574	2359	1997-07-31	VYDAJ	VYBER	15	17302	SLUZBY	\N	\N
690575	2359	1997-08-31	VYDAJ	VYBER	15	19831	SLUZBY	\N	\N
690576	2359	1997-09-30	VYDAJ	VYBER	15	19460	SLUZBY	\N	\N
690577	2359	1997-10-31	VYDAJ	VYBER	15	21997	SLUZBY	\N	\N
690578	2359	1997-11-30	VYDAJ	VYBER	15	23041	SLUZBY	\N	\N
690579	2359	1997-12-31	VYDAJ	VYBER	15	24934	SLUZBY	\N	\N
690580	2359	1998-01-31	VYDAJ	VYBER	15	15479	SLUZBY	\N	\N
690581	2359	1998-02-28	VYDAJ	VYBER	15	23519	SLUZBY	\N	\N
690582	2359	1998-03-31	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
690583	2359	1998-04-30	VYDAJ	VYBER	15	19107	SLUZBY	\N	\N
690584	2359	1998-05-31	VYDAJ	VYBER	15	21543	SLUZBY	\N	\N
690585	2359	1998-06-30	VYDAJ	VYBER	15	15406	SLUZBY	\N	\N
690586	2359	1998-07-31	VYDAJ	VYBER	15	16221	SLUZBY	\N	\N
690587	2359	1998-08-31	VYDAJ	VYBER	15	17942	SLUZBY	\N	\N
690588	2359	1998-09-30	VYDAJ	VYBER	15	16961	SLUZBY	\N	\N
690589	2359	1998-10-31	VYDAJ	VYBER	15	17180	SLUZBY	\N	\N
690590	2359	1998-11-30	VYDAJ	VYBER	15	12793	SLUZBY	\N	\N
690591	2359	1996-08-13	PRIJEM	VKLAD	8100	13379	\N	\N	\N
690592	2359	1996-09-12	PRIJEM	VKLAD	5700	23792	\N	\N	\N
690593	2359	1996-10-12	VYDAJ	VYBER	1700	26854	\N	\N	\N
690594	2359	1996-11-11	VYDAJ	VYBER	1700	29941	\N	\N	\N
690595	2359	1996-12-11	VYDAJ	VYBER	1800	35279	\N	\N	\N
690596	2359	1997-01-10	VYDAJ	VYBER	3400	31056	\N	\N	\N
690597	2359	1997-02-09	PRIJEM	VKLAD	2900	20796	\N	\N	\N
690598	2359	1997-03-11	PRIJEM	VKLAD	4100	21612	\N	\N	\N
690599	2359	1997-04-10	PRIJEM	VKLAD	3700	22430	\N	\N	\N
690600	2359	1997-05-10	PRIJEM	VKLAD	1800	25850	\N	\N	\N
690601	2359	1997-06-09	VYDAJ	VYBER	1300	28527	\N	\N	\N
690602	2359	1997-07-09	PRIJEM	VKLAD	200	20364	\N	\N	\N
690603	2359	1997-08-08	PRIJEM	VKLAD	2700	24681	\N	\N	\N
690604	2359	1997-09-07	VYDAJ	VYBER	2000	22510	\N	\N	\N
690605	2359	1997-10-07	PRIJEM	VKLAD	900	25039	\N	\N	\N
690606	2359	1997-11-06	VYDAJ	VYBER	600	26076	\N	\N	\N
690607	2359	1997-12-06	VYDAJ	VYBER	800	29259	\N	\N	\N
690608	2359	1998-01-05	PRIJEM	VKLAD	1500	25934	\N	\N	\N
690609	2359	1998-02-04	PRIJEM	VKLAD	6400	21879	\N	\N	\N
690610	2359	1998-03-06	VYDAJ	VYBER	2400	25798	\N	\N	\N
690611	2359	1998-04-05	PRIJEM	VKLAD	3400	26164	\N	\N	\N
690612	2359	1998-05-05	PRIJEM	VKLAD	5700	19907	\N	\N	\N
690613	2359	1998-06-04	VYDAJ	VYBER	3900	17643	\N	\N	\N
690614	2359	1998-07-04	VYDAJ	VYBER	800	14606	\N	\N	\N
690615	2359	1998-08-03	PRIJEM	VKLAD	100	16321	\N	\N	\N
690616	2359	1998-09-02	VYDAJ	VYBER	2600	15342	\N	\N	\N
690617	2359	1998-10-02	VYDAJ	VYBER	1400	15561	\N	\N	\N
690618	2359	1998-11-01	VYDAJ	VYBER	1200	15980	\N	\N	\N
690648	2360	1996-08-27	PRIJEM	VKLAD	300	300	\N	\N	\N
690657	2360	1996-09-14	PRIJEM	VKLAD	20174	20474	\N	\N	\N
690658	2360	1996-10-14	PRIJEM	VKLAD	20174	42764	\N	\N	\N
690659	2360	1996-11-14	PRIJEM	VKLAD	20174	50638	\N	\N	\N
690660	2360	1996-12-14	PRIJEM	VKLAD	30261	65830	\N	\N	\N
690661	2360	1997-01-14	PRIJEM	VKLAD	20174	63859	\N	\N	\N
690662	2360	1997-02-14	PRIJEM	VKLAD	20174	45514	\N	\N	\N
690663	2360	1997-03-14	PRIJEM	VKLAD	20174	50861	\N	\N	\N
690664	2360	1997-04-14	PRIJEM	VKLAD	20174	53020	\N	\N	\N
690665	2360	1997-05-14	PRIJEM	VKLAD	20174	48629	\N	\N	\N
690666	2360	1997-06-14	PRIJEM	VKLAD	30261	62572	\N	\N	\N
690667	2360	1997-07-14	PRIJEM	VKLAD	20174	56350	\N	\N	\N
690668	2360	1997-08-14	PRIJEM	VKLAD	20174	51525	\N	\N	\N
690669	2360	1997-09-14	PRIJEM	VKLAD	20174	52580	\N	\N	\N
690670	2360	1997-10-14	PRIJEM	VKLAD	20174	54441	\N	\N	\N
690671	2360	1997-11-14	PRIJEM	VKLAD	20174	56709	\N	\N	\N
690672	2360	1997-12-14	PRIJEM	VKLAD	30261	66870	\N	\N	\N
690673	2360	1998-01-14	PRIJEM	VKLAD	20174	50717	\N	\N	\N
690674	2360	1998-02-14	PRIJEM	VKLAD	20174	46865	\N	\N	\N
690675	2360	1998-03-14	PRIJEM	VKLAD	20174	55508	\N	\N	\N
690676	2360	1998-04-14	PRIJEM	VKLAD	20174	53198	\N	\N	\N
690677	2360	1998-05-14	PRIJEM	VKLAD	20174	51420	\N	\N	\N
690678	2360	1998-06-14	PRIJEM	VKLAD	30261	69532	\N	\N	\N
690679	2360	1998-07-14	PRIJEM	VKLAD	20174	63744	\N	\N	\N
690680	2360	1998-08-14	PRIJEM	VKLAD	20174	62046	\N	\N	\N
690681	2360	1998-09-14	PRIJEM	VKLAD	20174	64646	\N	\N	\N
690682	2360	1998-10-14	PRIJEM	VKLAD	20174	62199	\N	\N	\N
690683	2360	1998-11-14	PRIJEM	VKLAD	20174	61185	\N	\N	\N
690684	2360	1998-12-14	PRIJEM	VKLAD	30261	68994	\N	\N	\N
690698	2360	1997-02-09	VYDAJ	PREVOD NA UCET	7580	28220	SIPO	KL	84537815
690699	2360	1997-03-09	VYDAJ	PREVOD NA UCET	7580	30687	SIPO	KL	84537815
690700	2360	1997-04-09	VYDAJ	PREVOD NA UCET	7580	32846	SIPO	KL	84537815
690701	2360	1997-05-09	VYDAJ	PREVOD NA UCET	7580	33855	SIPO	KL	84537815
690702	2360	1997-06-09	VYDAJ	PREVOD NA UCET	7580	32311	SIPO	KL	84537815
690703	2360	1997-07-09	VYDAJ	PREVOD NA UCET	7580	36176	SIPO	KL	84537815
690704	2360	1997-08-09	VYDAJ	PREVOD NA UCET	7580	31351	SIPO	KL	84537815
690705	2360	1997-09-09	VYDAJ	PREVOD NA UCET	7580	32406	SIPO	KL	84537815
690706	2360	1997-10-09	VYDAJ	PREVOD NA UCET	7580	34267	SIPO	KL	84537815
690707	2360	1997-11-09	VYDAJ	PREVOD NA UCET	7580	36535	SIPO	KL	84537815
690708	2360	1997-12-09	VYDAJ	PREVOD NA UCET	7580	36609	SIPO	KL	84537815
690709	2360	1998-01-09	VYDAJ	PREVOD NA UCET	7580	34023	SIPO	KL	84537815
690710	2360	1998-02-09	VYDAJ	PREVOD NA UCET	7580	26691	SIPO	KL	84537815
690711	2360	1998-03-09	VYDAJ	PREVOD NA UCET	7580	35334	SIPO	KL	84537815
690712	2360	1998-04-09	VYDAJ	PREVOD NA UCET	7580	33024	SIPO	KL	84537815
690713	2360	1998-05-09	VYDAJ	PREVOD NA UCET	7580	31246	SIPO	KL	84537815
690714	2360	1998-06-09	VYDAJ	PREVOD NA UCET	7580	39271	SIPO	KL	84537815
690715	2360	1998-07-09	VYDAJ	PREVOD NA UCET	7580	43570	SIPO	KL	84537815
690716	2360	1998-08-09	VYDAJ	PREVOD NA UCET	7580	45472	SIPO	KL	84537815
690717	2360	1998-09-09	VYDAJ	PREVOD NA UCET	7580	44472	SIPO	KL	84537815
690718	2360	1998-10-09	VYDAJ	PREVOD NA UCET	7580	42025	SIPO	KL	84537815
690719	2360	1998-11-09	VYDAJ	PREVOD NA UCET	7580	41011	SIPO	KL	84537815
690720	2360	1998-12-09	VYDAJ	PREVOD NA UCET	7580	40493	SIPO	KL	84537815
690723	2360	1998-06-16	VYDAJ	VYBER	6080	63452	\N	\N	\N
690726	2360	1998-01-16	VYDAJ	VYBER	4800	45917	\N	\N	\N
690728	2360	1997-12-29	VYDAJ	VYBER	4000	44770	\N	\N	\N
690729	2360	1998-12-13	VYDAJ	VYBER	1760	38733	\N	\N	\N
690736	2360	1997-01-29	VYDAJ	VYBER	720	39939	\N	\N	\N
690737	2360	1997-01-15	VYDAJ	VYBER	960	62899	\N	\N	\N
690738	2360	1997-01-16	VYDAJ	VYBER	1920	58819	\N	\N	\N
690739	2360	1997-01-16	VYDAJ	VYBER	2160	60739	\N	\N	\N
690740	2360	1997-01-18	VYDAJ	VYBER	960	57859	\N	\N	\N
690741	2360	1997-01-30	VYDAJ	VYBER	1680	38259	\N	\N	\N
690742	2360	1998-01-30	VYDAJ	VYBER	3240	34117	\N	\N	\N
690743	2360	1998-01-17	VYDAJ	VYBER	1800	44117	\N	\N	\N
690744	2360	1998-01-04	VYDAJ	VYBER	1680	43283	\N	\N	\N
690745	2360	1998-01-29	VYDAJ	VYBER	1560	37357	\N	\N	\N
690746	2360	1998-01-10	VYDAJ	VYBER	3480	30543	\N	\N	\N
690747	2360	1998-01-09	VYDAJ	VYBER	1680	41603	\N	\N	\N
690751	2360	1997-05-12	VYDAJ	VYBER	5400	28455	\N	\N	\N
690752	2360	1997-08-05	VYDAJ	VYBER	3600	38931	\N	\N	\N
690753	2360	1997-02-13	VYDAJ	VYBER	2880	25340	\N	\N	\N
690754	2360	1997-04-30	VYDAJ	VYBER	3360	41450	\N	\N	\N
690755	2360	1997-11-19	VYDAJ	VYBER	600	56109	\N	\N	\N
690756	2360	1997-01-31	VYDAJ	VYBER	2640	35800	\N	\N	\N
690757	2360	1997-02-19	VYDAJ	VYBER	600	44914	\N	\N	\N
690758	2360	1998-05-19	VYDAJ	VYBER	840	47280	\N	\N	\N
690759	2360	1998-08-13	VYDAJ	VYBER	3600	41872	\N	\N	\N
690760	2360	1998-04-07	VYDAJ	VYBER	3600	40604	\N	\N	\N
690761	2360	1998-04-29	VYDAJ	VYBER	4920	38658	\N	\N	\N
690762	2360	1998-04-29	VYDAJ	VYBER	1320	43578	\N	\N	\N
690763	2360	1998-05-31	VYDAJ	VYBER	600	46866	\N	\N	\N
690764	2360	1998-03-22	VYDAJ	VYBER	1680	44028	\N	\N	\N
690765	2360	1998-09-17	VYDAJ	VYBER	840	49406	\N	\N	\N
690779	2360	1997-01-31	VYDAJ	VYBER	15	38440	SLUZBY	\N	\N
690780	2360	1997-02-28	VYDAJ	VYBER	15	38267	SLUZBY	\N	\N
690781	2360	1997-03-31	VYDAJ	VYBER	15	40426	SLUZBY	\N	\N
690782	2360	1997-04-30	VYDAJ	VYBER	15	41435	SLUZBY	\N	\N
690783	2360	1997-05-31	VYDAJ	VYBER	15	39891	SLUZBY	\N	\N
690784	2360	1997-06-30	VYDAJ	VYBER	15	43756	SLUZBY	\N	\N
690785	2360	1997-07-31	VYDAJ	VYBER	15	42531	SLUZBY	\N	\N
690786	2360	1997-08-31	VYDAJ	VYBER	15	39986	SLUZBY	\N	\N
690787	2360	1997-09-30	VYDAJ	VYBER	15	41847	SLUZBY	\N	\N
690788	2360	1997-10-31	VYDAJ	VYBER	15	44115	SLUZBY	\N	\N
690789	2360	1997-11-30	VYDAJ	VYBER	15	44189	SLUZBY	\N	\N
690790	2360	1997-12-31	VYDAJ	VYBER	15	44963	SLUZBY	\N	\N
690791	2360	1998-01-31	VYDAJ	VYBER	15	34271	SLUZBY	\N	\N
690792	2360	1998-02-28	VYDAJ	VYBER	15	42914	SLUZBY	\N	\N
690793	2360	1998-03-31	VYDAJ	VYBER	15	44204	SLUZBY	\N	\N
690794	2360	1998-04-30	VYDAJ	VYBER	15	38826	SLUZBY	\N	\N
690795	2360	1998-05-31	VYDAJ	VYBER	15	46851	SLUZBY	\N	\N
690796	2360	1998-06-30	VYDAJ	VYBER	15	51150	SLUZBY	\N	\N
690797	2360	1998-07-31	VYDAJ	VYBER	15	53052	SLUZBY	\N	\N
690798	2360	1998-08-31	VYDAJ	VYBER	15	52052	SLUZBY	\N	\N
690799	2360	1998-09-30	VYDAJ	VYBER	15	49605	SLUZBY	\N	\N
690800	2360	1998-10-31	VYDAJ	VYBER	15	48591	SLUZBY	\N	\N
690801	2360	1998-11-30	VYDAJ	VYBER	15	48073	SLUZBY	\N	\N
690802	2360	1996-09-26	PRIJEM	VKLAD	2100	22574	\N	\N	\N
690803	2360	1996-10-26	VYDAJ	VYBER	12400	30364	\N	\N	\N
690804	2360	1996-11-25	VYDAJ	VYBER	15200	35438	\N	\N	\N
690805	2360	1996-12-25	VYDAJ	VYBER	22300	43530	\N	\N	\N
690806	2360	1997-01-24	VYDAJ	VYBER	17200	40659	\N	\N	\N
690807	2360	1997-02-23	VYDAJ	VYBER	6800	38114	\N	\N	\N
690808	2360	1997-03-25	VYDAJ	VYBER	10600	40261	\N	\N	\N
690809	2360	1997-04-24	VYDAJ	VYBER	8400	44620	\N	\N	\N
690810	2360	1997-05-24	VYDAJ	VYBER	8900	39729	\N	\N	\N
690811	2360	1997-06-23	VYDAJ	VYBER	19000	43572	\N	\N	\N
690812	2360	1997-07-23	VYDAJ	VYBER	14000	42350	\N	\N	\N
690813	2360	1997-08-22	VYDAJ	VYBER	11700	39825	\N	\N	\N
690814	2360	1997-09-21	VYDAJ	VYBER	10900	41680	\N	\N	\N
690815	2360	1997-10-21	VYDAJ	VYBER	10500	43941	\N	\N	\N
690816	2360	1997-11-20	VYDAJ	VYBER	12100	44009	\N	\N	\N
690817	2360	1997-12-20	VYDAJ	VYBER	18100	48770	\N	\N	\N
690818	2360	1998-01-19	VYDAJ	VYBER	5200	38917	\N	\N	\N
690819	2360	1998-02-18	VYDAJ	VYBER	4100	42765	\N	\N	\N
690820	2360	1998-03-20	VYDAJ	VYBER	9800	45708	\N	\N	\N
690821	2360	1998-04-19	VYDAJ	VYBER	8300	44898	\N	\N	\N
690822	2360	1998-05-19	VYDAJ	VYBER	3300	48120	\N	\N	\N
690823	2360	1998-06-18	VYDAJ	VYBER	12500	50952	\N	\N	\N
690824	2360	1998-07-18	VYDAJ	VYBER	10900	52844	\N	\N	\N
690825	2360	1998-08-17	VYDAJ	VYBER	10200	51846	\N	\N	\N
690826	2360	1998-09-16	VYDAJ	VYBER	14400	50246	\N	\N	\N
690827	2360	1998-10-16	VYDAJ	VYBER	13800	48399	\N	\N	\N
690828	2360	1998-11-15	VYDAJ	VYBER	13300	47885	\N	\N	\N
690857	2361	1994-02-25	PRIJEM	VKLAD	500	500	\N	\N	\N
690860	2361	1994-03-13	PRIJEM	VKLAD	6920	7420	\N	\N	\N
690861	2361	1994-04-13	PRIJEM	VKLAD	6920	23651	\N	\N	\N
690862	2361	1994-05-13	PRIJEM	VKLAD	6920	30746	\N	\N	\N
690863	2361	1994-06-13	PRIJEM	VKLAD	10380	40029	\N	\N	\N
690864	2361	1994-07-13	PRIJEM	VKLAD	6920	41877	\N	\N	\N
690865	2361	1994-08-13	PRIJEM	VKLAD	6920	25972	\N	\N	\N
690866	2361	1994-09-13	PRIJEM	VKLAD	6920	27502	\N	\N	\N
690867	2361	1994-10-13	PRIJEM	VKLAD	6920	26304	\N	\N	\N
690868	2361	1994-11-13	PRIJEM	VKLAD	6920	21796	\N	\N	\N
690869	2361	1994-12-13	PRIJEM	VKLAD	10380	25379	\N	\N	\N
690870	2361	1995-01-13	PRIJEM	VKLAD	6920	24357	\N	\N	\N
690871	2361	1995-02-13	PRIJEM	VKLAD	6920	18339	\N	\N	\N
690872	2361	1995-03-13	PRIJEM	VKLAD	6920	19606	\N	\N	\N
690873	2361	1995-04-13	PRIJEM	VKLAD	6920	21227	\N	\N	\N
690874	2361	1995-05-13	PRIJEM	VKLAD	6920	22382	\N	\N	\N
690875	2361	1995-06-13	PRIJEM	VKLAD	10380	26782	\N	\N	\N
690876	2361	1995-07-13	PRIJEM	VKLAD	6920	15621	\N	\N	\N
690877	2361	1995-08-13	PRIJEM	VKLAD	6920	15193	\N	\N	\N
690878	2361	1995-09-13	PRIJEM	VKLAD	6920	18906	\N	\N	\N
690879	2361	1995-10-13	PRIJEM	VKLAD	6920	18631	\N	\N	\N
690880	2361	1995-11-13	PRIJEM	VKLAD	6920	16358	\N	\N	\N
690881	2361	1995-12-13	PRIJEM	VKLAD	10380	21237	\N	\N	\N
690882	2361	1996-01-13	PRIJEM	VKLAD	6920	15145	\N	\N	\N
690883	2361	1996-02-13	PRIJEM	VKLAD	6920	11599	\N	\N	\N
690884	2361	1996-03-13	PRIJEM	VKLAD	6920	15505	\N	\N	\N
690885	2361	1996-04-13	PRIJEM	VKLAD	6920	16761	\N	\N	\N
690886	2361	1996-05-13	PRIJEM	VKLAD	6920	17880	\N	\N	\N
690887	2361	1996-06-13	PRIJEM	VKLAD	10380	20463	\N	\N	\N
690888	2361	1996-07-13	PRIJEM	VKLAD	6920	20491	\N	\N	\N
690889	2361	1996-08-13	PRIJEM	VKLAD	6920	22729	\N	\N	\N
690890	2361	1996-09-13	PRIJEM	VKLAD	6920	29273	\N	\N	\N
690891	2361	1996-10-13	PRIJEM	VKLAD	6920	29028	\N	\N	\N
690892	2361	1996-11-13	PRIJEM	VKLAD	6920	26389	\N	\N	\N
690893	2361	1996-12-13	PRIJEM	VKLAD	10380	26813	\N	\N	\N
690894	2361	1997-01-13	PRIJEM	VKLAD	6920	21674	\N	\N	\N
690895	2361	1997-02-13	PRIJEM	VKLAD	6920	23337	\N	\N	\N
690896	2361	1997-03-13	PRIJEM	VKLAD	6920	24565	\N	\N	\N
690897	2361	1997-04-13	PRIJEM	VKLAD	6920	25805	\N	\N	\N
690898	2361	1997-05-13	PRIJEM	VKLAD	6920	26646	\N	\N	\N
690899	2361	1997-06-13	PRIJEM	VKLAD	10380	35152	\N	\N	\N
690900	2361	1997-07-13	PRIJEM	VKLAD	6920	29257	\N	\N	\N
690901	2361	1997-08-13	PRIJEM	VKLAD	6920	29118	\N	\N	\N
690902	2361	1997-09-13	PRIJEM	VKLAD	6920	26895	\N	\N	\N
690903	2361	1997-10-13	PRIJEM	VKLAD	6920	27306	\N	\N	\N
690904	2361	1997-11-13	PRIJEM	VKLAD	6920	24654	\N	\N	\N
690905	2361	1997-12-13	PRIJEM	VKLAD	10380	22256	\N	\N	\N
690906	2361	1998-01-13	PRIJEM	VKLAD	6920	16363	\N	\N	\N
690907	2361	1998-02-13	PRIJEM	VKLAD	6920	11686	\N	\N	\N
690908	2361	1998-03-13	PRIJEM	VKLAD	6920	14772	\N	\N	\N
690909	2361	1998-04-13	PRIJEM	VKLAD	6920	17120	\N	\N	\N
690910	2361	1998-05-13	PRIJEM	VKLAD	6920	16273	\N	\N	\N
690911	2361	1998-06-13	PRIJEM	VKLAD	10380	16374	\N	\N	\N
690912	2361	1998-07-13	PRIJEM	VKLAD	6920	11517	\N	\N	\N
690913	2361	1998-08-13	PRIJEM	VKLAD	6920	13849	\N	\N	\N
690914	2361	1998-09-13	PRIJEM	VKLAD	6920	16194	\N	\N	\N
690915	2361	1998-10-13	PRIJEM	VKLAD	6920	15341	\N	\N	\N
690916	2361	1998-11-13	PRIJEM	VKLAD	6920	12992	\N	\N	\N
690917	2361	1998-12-13	PRIJEM	VKLAD	10380	18797	\N	\N	\N
690925	2361	1994-08-05	VYDAJ	PREVOD NA UCET	4613	19052	SIPO	MN	781095
690926	2361	1994-09-05	VYDAJ	PREVOD NA UCET	4613	20582	SIPO	MN	781095
690927	2361	1994-10-05	VYDAJ	PREVOD NA UCET	4613	19384	SIPO	MN	781095
690928	2361	1994-11-05	VYDAJ	PREVOD NA UCET	4613	19276	SIPO	MN	781095
690929	2361	1994-12-05	VYDAJ	PREVOD NA UCET	4613	21059	SIPO	MN	781095
690930	2361	1995-01-05	VYDAJ	PREVOD NA UCET	4613	21877	SIPO	MN	781095
690931	2361	1995-02-05	VYDAJ	PREVOD NA UCET	4613	11419	SIPO	MN	781095
690932	2361	1995-03-05	VYDAJ	PREVOD NA UCET	4613	12686	SIPO	MN	781095
690933	2361	1995-04-05	VYDAJ	PREVOD NA UCET	4613	18659	SIPO	MN	781095
690934	2361	1995-05-05	VYDAJ	PREVOD NA UCET	4613	19814	SIPO	MN	781095
690935	2361	1995-06-05	VYDAJ	PREVOD NA UCET	4613	20754	SIPO	MN	781095
690936	2361	1995-07-05	VYDAJ	PREVOD NA UCET	4613	13053	SIPO	MN	781095
690937	2361	1995-08-05	VYDAJ	PREVOD NA UCET	4613	12625	SIPO	MN	781095
690938	2361	1995-09-05	VYDAJ	PREVOD NA UCET	4613	16338	SIPO	MN	781095
690939	2361	1995-10-05	VYDAJ	PREVOD NA UCET	4613	16063	SIPO	MN	781095
690940	2361	1995-11-05	VYDAJ	PREVOD NA UCET	4613	18110	SIPO	MN	781095
690941	2361	1995-12-05	VYDAJ	PREVOD NA UCET	4613	15209	SIPO	MN	781095
690942	2361	1996-01-05	VYDAJ	PREVOD NA UCET	4613	15337	SIPO	MN	781095
690943	2361	1996-02-05	VYDAJ	PREVOD NA UCET	4613	12151	SIPO	MN	781095
690944	2361	1996-03-05	VYDAJ	PREVOD NA UCET	4613	12937	SIPO	MN	781095
690945	2361	1996-04-05	VYDAJ	PREVOD NA UCET	4613	14193	SIPO	MN	781095
690946	2361	1996-05-05	VYDAJ	PREVOD NA UCET	4613	15312	SIPO	MN	781095
690947	2361	1996-06-05	VYDAJ	PREVOD NA UCET	4613	16235	SIPO	MN	781095
690948	2361	1996-07-05	VYDAJ	PREVOD NA UCET	4613	17923	SIPO	MN	781095
690949	2361	1996-08-05	VYDAJ	PREVOD NA UCET	4613	20161	SIPO	MN	781095
690950	2361	1996-09-05	VYDAJ	PREVOD NA UCET	4613	21005	SIPO	MN	781095
690951	2361	1996-10-05	VYDAJ	PREVOD NA UCET	4613	24760	SIPO	MN	781095
690952	2361	1996-11-05	VYDAJ	PREVOD NA UCET	4613	24521	SIPO	MN	781095
690953	2361	1996-12-05	VYDAJ	PREVOD NA UCET	4613	15985	SIPO	MN	781095
690954	2361	1997-01-05	VYDAJ	PREVOD NA UCET	4613	19286	SIPO	MN	781095
690955	2361	1997-02-05	VYDAJ	PREVOD NA UCET	4613	13169	SIPO	MN	781095
690956	2361	1997-03-05	VYDAJ	PREVOD NA UCET	4613	18797	SIPO	MN	781095
690957	2361	1997-04-05	VYDAJ	PREVOD NA UCET	4613	20037	SIPO	MN	781095
690958	2361	1997-05-05	VYDAJ	PREVOD NA UCET	4613	19478	SIPO	MN	781095
690959	2361	1997-06-05	VYDAJ	PREVOD NA UCET	4613	22124	SIPO	MN	781095
690960	2361	1997-07-05	VYDAJ	PREVOD NA UCET	4613	26089	SIPO	MN	781095
690961	2361	1997-08-05	VYDAJ	PREVOD NA UCET	4613	24750	SIPO	MN	781095
690962	2361	1997-09-05	VYDAJ	PREVOD NA UCET	4613	23767	SIPO	MN	781095
690963	2361	1997-10-05	VYDAJ	PREVOD NA UCET	4613	19258	SIPO	MN	781095
690964	2361	1997-11-05	VYDAJ	PREVOD NA UCET	4613	22786	SIPO	MN	781095
690965	2361	1997-12-05	VYDAJ	PREVOD NA UCET	4613	20128	SIPO	MN	781095
690966	2361	1998-01-05	VYDAJ	PREVOD NA UCET	4613	13795	SIPO	MN	781095
690967	2361	1998-02-05	VYDAJ	PREVOD NA UCET	4613	9118	SIPO	MN	781095
690968	2361	1998-03-05	VYDAJ	PREVOD NA UCET	4613	7104	SIPO	MN	781095
690969	2361	1998-04-05	VYDAJ	PREVOD NA UCET	4613	10200	SIPO	MN	781095
690970	2361	1998-05-05	VYDAJ	PREVOD NA UCET	4613	9353	SIPO	MN	781095
690971	2361	1998-06-05	VYDAJ	PREVOD NA UCET	4613	5994	SIPO	MN	781095
690972	2361	1998-07-05	VYDAJ	PREVOD NA UCET	4613	4597	SIPO	MN	781095
690973	2361	1998-08-05	VYDAJ	PREVOD NA UCET	4613	6929	SIPO	MN	781095
690974	2361	1998-09-05	VYDAJ	PREVOD NA UCET	4613	9274	SIPO	MN	781095
690975	2361	1998-10-05	VYDAJ	PREVOD NA UCET	4613	8421	SIPO	MN	781095
690976	2361	1998-11-05	VYDAJ	PREVOD NA UCET	4613	10772	SIPO	MN	781095
690977	2361	1998-12-05	VYDAJ	PREVOD NA UCET	4613	8417	SIPO	MN	781095
690985	2361	1994-07-31	VYDAJ	VYBER	3100	23680	\N	\N	0
690986	2361	1994-09-28	VYDAJ	VYBER	5200	23902	\N	\N	0
690987	2361	1994-10-18	VYDAJ	VYBER	5900	20404	\N	\N	0
690988	2361	1994-11-07	VYDAJ	VYBER	4400	14876	\N	\N	0
690989	2361	1994-12-10	VYDAJ	VYBER	3500	17559	\N	\N	0
690990	2361	1995-01-23	VYDAJ	VYBER	4900	16917	\N	\N	0
690991	2361	1995-02-17	VYDAJ	VYBER	4400	13939	\N	\N	0
690992	2361	1995-03-04	VYDAJ	VYBER	4500	17299	\N	\N	0
690993	2361	1995-04-12	VYDAJ	PREVOD NA UCET	4352	14307	UVER	YZ	17524379
690994	2361	1995-05-12	VYDAJ	PREVOD NA UCET	4352	15462	UVER	YZ	17524379
690995	2361	1995-06-12	VYDAJ	PREVOD NA UCET	4352	16402	UVER	YZ	17524379
690996	2361	1995-07-12	VYDAJ	PREVOD NA UCET	4352	8701	UVER	YZ	17524379
690997	2361	1995-08-12	VYDAJ	PREVOD NA UCET	4352	8273	UVER	YZ	17524379
690998	2361	1995-09-12	VYDAJ	PREVOD NA UCET	4352	11986	UVER	YZ	17524379
690999	2361	1995-10-12	VYDAJ	PREVOD NA UCET	4352	11711	UVER	YZ	17524379
691000	2361	1995-11-12	VYDAJ	PREVOD NA UCET	4352	9438	UVER	YZ	17524379
691001	2361	1995-12-12	VYDAJ	PREVOD NA UCET	4352	10857	UVER	YZ	17524379
691002	2361	1996-01-12	VYDAJ	PREVOD NA UCET	4352	8225	UVER	YZ	17524379
691003	2361	1996-02-12	VYDAJ	PREVOD NA UCET	4352	4679	UVER	YZ	17524379
691004	2361	1996-03-12	VYDAJ	PREVOD NA UCET	4352	8585	UVER	YZ	17524379
691005	2361	1996-04-12	VYDAJ	PREVOD NA UCET	4352	9841	UVER	YZ	17524379
691006	2361	1996-05-12	VYDAJ	PREVOD NA UCET	4352	10960	UVER	YZ	17524379
691007	2361	1996-06-12	VYDAJ	PREVOD NA UCET	4352	10083	UVER	YZ	17524379
691008	2361	1996-07-12	VYDAJ	PREVOD NA UCET	4352	13571	UVER	YZ	17524379
691009	2361	1996-08-12	VYDAJ	PREVOD NA UCET	4352	15809	UVER	YZ	17524379
691010	2361	1996-09-12	VYDAJ	PREVOD NA UCET	4352	22353	UVER	YZ	17524379
691011	2361	1996-10-12	VYDAJ	PREVOD NA UCET	4352	22108	UVER	YZ	17524379
691012	2361	1996-11-12	VYDAJ	PREVOD NA UCET	4352	19469	UVER	YZ	17524379
691013	2361	1996-12-12	VYDAJ	PREVOD NA UCET	4352	16433	UVER	YZ	17524379
691014	2361	1997-01-12	VYDAJ	PREVOD NA UCET	4352	14754	UVER	YZ	17524379
691015	2361	1997-02-12	VYDAJ	PREVOD NA UCET	4352	16417	UVER	YZ	17524379
691016	2361	1997-03-12	VYDAJ	PREVOD NA UCET	4352	17645	UVER	YZ	17524379
691017	2361	1997-04-12	VYDAJ	PREVOD NA UCET	4352	18885	UVER	YZ	17524379
691018	2361	1997-05-12	VYDAJ	PREVOD NA UCET	4352	19726	UVER	YZ	17524379
691019	2361	1997-06-12	VYDAJ	PREVOD NA UCET	4352	24772	UVER	YZ	17524379
691020	2361	1997-07-12	VYDAJ	PREVOD NA UCET	4352	22337	UVER	YZ	17524379
691021	2361	1997-08-12	VYDAJ	PREVOD NA UCET	4352	22198	UVER	YZ	17524379
691022	2361	1997-09-12	VYDAJ	PREVOD NA UCET	4352	19975	UVER	YZ	17524379
691023	2361	1997-10-12	VYDAJ	PREVOD NA UCET	4352	20386	UVER	YZ	17524379
691024	2361	1997-11-12	VYDAJ	PREVOD NA UCET	4352	17734	UVER	YZ	17524379
691025	2361	1997-12-12	VYDAJ	PREVOD NA UCET	4352	11876	UVER	YZ	17524379
691026	2361	1998-01-12	VYDAJ	PREVOD NA UCET	4352	9443	UVER	YZ	17524379
691027	2361	1998-02-12	VYDAJ	PREVOD NA UCET	4352	4766	UVER	YZ	17524379
691028	2361	1998-03-12	VYDAJ	PREVOD NA UCET	4352	7852	UVER	YZ	17524379
691029	2361	1998-04-19	VYDAJ	VYBER	3200	13920	\N	\N	0
691030	2361	1998-05-13	VYDAJ	VYBER	5700	10573	\N	\N	0
691031	2361	1998-06-19	VYDAJ	VYBER	4200	12174	\N	\N	0
691032	2361	1998-07-01	VYDAJ	VYBER	3000	9210	\N	\N	0
691034	2361	1998-09-15	VYDAJ	VYBER	3200	12994	\N	\N	0
691036	2361	1998-11-10	VYDAJ	VYBER	4700	6072	\N	\N	0
691037	2361	1998-12-26	VYDAJ	VYBER	3600	15197	\N	\N	0
691039	2361	1995-06-23	VYDAJ	VYBER	5920	18662	\N	\N	\N
691043	2361	1994-12-12	VYDAJ	VYBER	2560	14999	\N	\N	\N
691044	2361	1995-12-30	VYDAJ	VYBER	3360	19877	\N	\N	\N
691046	2361	1997-12-30	VYDAJ	VYBER	960	21296	\N	\N	\N
691054	2361	1995-01-15	VYDAJ	VYBER	1560	22797	\N	\N	\N
691055	2361	1995-01-11	VYDAJ	VYBER	3120	18757	\N	\N	\N
691056	2361	1995-01-01	VYDAJ	VYBER	1080	26490	\N	\N	\N
691057	2361	1995-01-11	VYDAJ	VYBER	1320	17437	\N	\N	\N
691058	2361	1995-01-22	VYDAJ	VYBER	2880	21817	\N	\N	\N
691059	2361	1995-01-30	VYDAJ	VYBER	960	15957	\N	\N	\N
691060	2361	1996-01-10	VYDAJ	VYBER	840	12577	\N	\N	\N
691061	2361	1996-01-28	VYDAJ	VYBER	2880	16705	\N	\N	\N
691063	2361	1996-01-06	VYDAJ	VYBER	1080	14257	\N	\N	\N
691065	2361	1996-01-23	VYDAJ	VYBER	2160	19585	\N	\N	\N
691066	2361	1997-01-06	VYDAJ	VYBER	2760	16526	\N	\N	\N
691067	2361	1997-01-02	VYDAJ	VYBER	1800	25099	\N	\N	\N
691068	2361	1997-01-04	VYDAJ	VYBER	1200	23899	\N	\N	\N
691069	2361	1997-01-24	VYDAJ	VYBER	2760	17714	\N	\N	\N
691070	2361	1997-01-22	VYDAJ	VYBER	1200	20474	\N	\N	\N
691071	2361	1997-01-08	VYDAJ	VYBER	1920	14606	\N	\N	\N
691072	2361	1998-01-01	VYDAJ	VYBER	3480	15848	\N	\N	\N
691073	2361	1998-01-20	VYDAJ	VYBER	600	15763	\N	\N	\N
691074	2361	1998-01-04	VYDAJ	VYBER	840	15008	\N	\N	\N
691075	2361	1998-01-20	VYDAJ	VYBER	2280	13483	\N	\N	\N
691076	2361	1998-01-01	VYDAJ	VYBER	2040	19328	\N	\N	\N
691081	2361	1994-08-13	VYDAJ	VYBER	4560	21412	\N	\N	\N
691082	2361	1994-07-26	VYDAJ	VYBER	3720	26637	\N	\N	\N
691083	2361	1994-07-16	VYDAJ	VYBER	2520	39357	\N	\N	\N
691084	2361	1995-10-16	VYDAJ	VYBER	2880	15751	\N	\N	\N
691086	2361	1995-08-01	VYDAJ	VYBER	3840	17238	\N	\N	\N
691087	2361	1995-07-01	VYDAJ	VYBER	1080	17666	\N	\N	\N
691088	2361	1995-11-05	VYDAJ	VYBER	4320	13790	\N	\N	\N
691089	2361	1995-04-24	VYDAJ	VYBER	1080	24347	\N	\N	\N
691091	2361	1996-01-07	VYDAJ	VYBER	840	13417	\N	\N	\N
691092	2361	1996-02-05	VYDAJ	VYBER	3120	9031	\N	\N	\N
691093	2361	1996-06-10	VYDAJ	VYBER	1800	14435	\N	\N	\N
691094	2361	1996-03-28	VYDAJ	VYBER	1560	18745	\N	\N	\N
691095	2361	1996-11-21	VYDAJ	VYBER	5880	20509	\N	\N	\N
691096	2361	1997-10-06	VYDAJ	VYBER	720	18538	\N	\N	\N
691097	2361	1997-09-11	VYDAJ	VYBER	840	24327	\N	\N	\N
691098	2361	1997-08-16	VYDAJ	VYBER	840	28278	\N	\N	\N
691099	2361	1997-10-03	VYDAJ	VYBER	3120	23871	\N	\N	\N
691100	2361	1997-06-19	VYDAJ	VYBER	4560	30592	\N	\N	\N
691101	2361	1997-04-18	VYDAJ	VYBER	1800	24005	\N	\N	\N
691115	2361	1994-07-31	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
691116	2361	1994-08-31	VYDAJ	VYBER	15	25195	SLUZBY	\N	\N
691117	2361	1994-09-30	VYDAJ	VYBER	15	23997	SLUZBY	\N	\N
691118	2361	1994-10-31	VYDAJ	VYBER	15	23889	SLUZBY	\N	\N
691119	2361	1994-11-30	VYDAJ	VYBER	15	25672	SLUZBY	\N	\N
691120	2361	1994-12-31	VYDAJ	VYBER	15	27570	SLUZBY	\N	\N
691121	2361	1995-01-31	VYDAJ	VYBER	15	16032	SLUZBY	\N	\N
691122	2361	1995-02-28	VYDAJ	VYBER	15	21799	SLUZBY	\N	\N
691123	2361	1995-03-31	VYDAJ	VYBER	15	23272	SLUZBY	\N	\N
691124	2361	1995-04-30	VYDAJ	VYBER	15	24427	SLUZBY	\N	\N
691125	2361	1995-05-31	VYDAJ	VYBER	15	25367	SLUZBY	\N	\N
691126	2361	1995-06-30	VYDAJ	VYBER	15	18746	SLUZBY	\N	\N
691127	2361	1995-07-31	VYDAJ	VYBER	15	21078	SLUZBY	\N	\N
691128	2361	1995-08-31	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
691129	2361	1995-09-30	VYDAJ	VYBER	15	20676	SLUZBY	\N	\N
691130	2361	1995-10-31	VYDAJ	VYBER	15	22723	SLUZBY	\N	\N
691131	2361	1995-11-30	VYDAJ	VYBER	15	19822	SLUZBY	\N	\N
691132	2361	1995-12-31	VYDAJ	VYBER	15	19950	SLUZBY	\N	\N
691133	2361	1996-01-31	VYDAJ	VYBER	15	16764	SLUZBY	\N	\N
691134	2361	1996-02-29	VYDAJ	VYBER	15	17550	SLUZBY	\N	\N
691135	2361	1996-03-31	VYDAJ	VYBER	15	18806	SLUZBY	\N	\N
691136	2361	1996-04-30	VYDAJ	VYBER	15	19925	SLUZBY	\N	\N
691137	2361	1996-05-31	VYDAJ	VYBER	15	20848	SLUZBY	\N	\N
691138	2361	1996-06-30	VYDAJ	VYBER	15	22536	SLUZBY	\N	\N
691139	2361	1996-07-31	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
691140	2361	1996-08-31	VYDAJ	VYBER	15	25618	SLUZBY	\N	\N
691141	2361	1996-09-30	VYDAJ	VYBER	15	29373	SLUZBY	\N	\N
691142	2361	1996-10-31	VYDAJ	VYBER	15	29134	SLUZBY	\N	\N
691143	2361	1996-11-30	VYDAJ	VYBER	15	20598	SLUZBY	\N	\N
691144	2361	1996-12-31	VYDAJ	VYBER	15	26899	SLUZBY	\N	\N
691145	2361	1997-01-31	VYDAJ	VYBER	15	17782	SLUZBY	\N	\N
691146	2361	1997-02-28	VYDAJ	VYBER	15	23410	SLUZBY	\N	\N
691147	2361	1997-03-31	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
691148	2361	1997-04-30	VYDAJ	VYBER	15	24091	SLUZBY	\N	\N
691149	2361	1997-05-31	VYDAJ	VYBER	15	26737	SLUZBY	\N	\N
691150	2361	1997-06-30	VYDAJ	VYBER	15	30702	SLUZBY	\N	\N
691151	2361	1997-07-31	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
691152	2361	1997-08-31	VYDAJ	VYBER	15	28380	SLUZBY	\N	\N
691153	2361	1997-09-30	VYDAJ	VYBER	15	26991	SLUZBY	\N	\N
691154	2361	1997-10-31	VYDAJ	VYBER	15	27399	SLUZBY	\N	\N
691155	2361	1997-11-30	VYDAJ	VYBER	15	24741	SLUZBY	\N	\N
691156	2361	1997-12-31	VYDAJ	VYBER	15	21368	SLUZBY	\N	\N
691157	2361	1998-01-31	VYDAJ	VYBER	15	13531	SLUZBY	\N	\N
691158	2361	1998-02-28	VYDAJ	VYBER	15	11717	SLUZBY	\N	\N
691159	2361	1998-03-31	VYDAJ	VYBER	15	14813	SLUZBY	\N	\N
691160	2361	1998-04-30	VYDAJ	VYBER	15	13966	SLUZBY	\N	\N
691161	2361	1998-05-31	VYDAJ	VYBER	15	10607	SLUZBY	\N	\N
691162	2361	1998-06-30	VYDAJ	VYBER	15	12210	SLUZBY	\N	\N
691163	2361	1998-07-31	VYDAJ	VYBER	15	11542	SLUZBY	\N	\N
691164	2361	1998-08-31	VYDAJ	VYBER	15	13887	SLUZBY	\N	\N
691165	2361	1998-09-30	VYDAJ	VYBER	15	13034	SLUZBY	\N	\N
691166	2361	1998-10-31	VYDAJ	VYBER	15	15385	SLUZBY	\N	\N
691167	2361	1998-11-30	VYDAJ	VYBER	15	13030	SLUZBY	\N	\N
691168	2361	1994-03-27	PRIJEM	VKLAD	9300	16720	\N	\N	\N
691169	2361	1994-04-26	PRIJEM	VKLAD	100	23751	\N	\N	\N
691170	2361	1994-05-26	VYDAJ	VYBER	1200	29546	\N	\N	\N
691171	2361	1994-06-25	VYDAJ	VYBER	5200	34829	\N	\N	\N
691172	2361	1994-07-25	VYDAJ	VYBER	9000	30357	\N	\N	\N
691173	2361	1994-08-24	PRIJEM	VKLAD	3700	25112	\N	\N	\N
691174	2361	1994-09-23	PRIJEM	VKLAD	1600	29102	\N	\N	\N
691175	2361	1994-10-23	PRIJEM	VKLAD	3400	23804	\N	\N	\N
691176	2361	1994-11-22	PRIJEM	VKLAD	3800	25596	\N	\N	\N
691177	2361	1994-12-22	PRIJEM	VKLAD	2100	27479	\N	\N	\N
691178	2361	1995-01-21	PRIJEM	VKLAD	1900	24697	\N	\N	\N
691179	2361	1995-02-20	PRIJEM	VKLAD	7800	21739	\N	\N	\N
691180	2361	1995-03-22	PRIJEM	VKLAD	3600	23206	\N	\N	\N
691181	2361	1995-04-21	PRIJEM	VKLAD	4200	25427	\N	\N	\N
691182	2361	1995-05-21	PRIJEM	VKLAD	2900	25282	\N	\N	\N
691183	2361	1995-06-20	VYDAJ	VYBER	2200	24582	\N	\N	\N
691184	2361	1995-07-20	PRIJEM	VKLAD	5400	21021	\N	\N	\N
691185	2361	1995-08-19	PRIJEM	VKLAD	5700	20893	\N	\N	\N
691186	2361	1995-09-18	PRIJEM	VKLAD	1700	20606	\N	\N	\N
691187	2361	1995-10-18	PRIJEM	VKLAD	6900	22651	\N	\N	\N
691188	2361	1995-11-17	PRIJEM	VKLAD	3400	19758	\N	\N	\N
691189	2361	1995-12-17	PRIJEM	VKLAD	2000	23237	\N	\N	\N
691190	2361	1996-01-16	PRIJEM	VKLAD	6600	21745	\N	\N	\N
691191	2361	1996-02-15	PRIJEM	VKLAD	5900	17499	\N	\N	\N
691192	2361	1996-03-16	PRIJEM	VKLAD	4800	20305	\N	\N	\N
691193	2361	1996-04-15	PRIJEM	VKLAD	3100	19861	\N	\N	\N
691194	2361	1996-05-15	PRIJEM	VKLAD	2900	20780	\N	\N	\N
691195	2361	1996-06-14	PRIJEM	VKLAD	2000	22463	\N	\N	\N
691196	2361	1996-07-14	PRIJEM	VKLAD	4200	24691	\N	\N	\N
691197	2361	1996-08-13	PRIJEM	VKLAD	2800	25529	\N	\N	\N
691198	2361	1996-09-12	PRIJEM	VKLAD	5700	26705	\N	\N	\N
691199	2361	1996-10-12	PRIJEM	VKLAD	1700	26460	\N	\N	\N
691200	2361	1996-11-11	VYDAJ	VYBER	700	23821	\N	\N	\N
691201	2361	1996-12-11	PRIJEM	VKLAD	4800	20785	\N	\N	\N
691202	2361	1997-01-10	PRIJEM	VKLAD	4500	19106	\N	\N	\N
691203	2361	1997-02-09	PRIJEM	VKLAD	7600	20769	\N	\N	\N
691204	2361	1997-03-11	PRIJEM	VKLAD	3200	21997	\N	\N	\N
691205	2361	1997-04-10	PRIJEM	VKLAD	3200	23237	\N	\N	\N
691206	2361	1997-05-10	PRIJEM	VKLAD	4600	24078	\N	\N	\N
691207	2361	1997-06-09	PRIJEM	VKLAD	7000	29124	\N	\N	\N
691208	2361	1997-07-09	PRIJEM	VKLAD	600	26689	\N	\N	\N
691209	2361	1997-08-08	PRIJEM	VKLAD	1800	26550	\N	\N	\N
691210	2361	1997-09-07	PRIJEM	VKLAD	1400	25167	\N	\N	\N
691211	2361	1997-10-07	PRIJEM	VKLAD	6200	24738	\N	\N	\N
691212	2361	1997-11-06	VYDAJ	VYBER	700	22086	\N	\N	\N
691213	2361	1997-12-06	VYDAJ	VYBER	3900	16228	\N	\N	\N
691214	2361	1998-01-05	PRIJEM	VKLAD	3400	18408	\N	\N	\N
691215	2361	1998-02-04	PRIJEM	VKLAD	200	13731	\N	\N	\N
691216	2361	1998-03-06	PRIJEM	VKLAD	5100	12204	\N	\N	\N
691279	2362	1996-12-30	PRIJEM	VKLAD	700	700	\N	\N	\N
691292	2362	1997-01-08	PRIJEM	PREVOD Z UCTU	3389	4089	\N	UV	75748979
691293	2362	1997-02-08	PRIJEM	PREVOD Z UCTU	3389	7478	\N	UV	75748979
691294	2362	1997-03-08	PRIJEM	PREVOD Z UCTU	3389	10867	\N	UV	75748979
691295	2362	1997-04-08	PRIJEM	PREVOD Z UCTU	3389	14256	\N	UV	75748979
691296	2362	1997-05-08	PRIJEM	PREVOD Z UCTU	3389	17645	\N	UV	75748979
691297	2362	1997-06-08	PRIJEM	PREVOD Z UCTU	3389	17687	\N	UV	75748979
691298	2362	1997-07-08	PRIJEM	PREVOD Z UCTU	3389	18725	\N	UV	75748979
691299	2362	1997-08-08	PRIJEM	PREVOD Z UCTU	3389	19917	\N	UV	75748979
691300	2362	1997-09-08	PRIJEM	PREVOD Z UCTU	3389	18499	\N	UV	75748979
691301	2362	1997-10-08	PRIJEM	PREVOD Z UCTU	3389	19690	\N	UV	75748979
691302	2362	1997-11-08	PRIJEM	PREVOD Z UCTU	3389	20617	\N	UV	75748979
691303	2362	1997-12-08	PRIJEM	PREVOD Z UCTU	3389	20165	\N	UV	75748979
691304	2362	1998-01-08	PRIJEM	PREVOD Z UCTU	3389	20824	\N	UV	75748979
691305	2362	1998-02-08	PRIJEM	PREVOD Z UCTU	3389	19861	\N	UV	75748979
691306	2362	1998-03-08	PRIJEM	PREVOD Z UCTU	3389	21058	\N	UV	75748979
691307	2362	1998-04-08	PRIJEM	PREVOD Z UCTU	3389	20335	\N	UV	75748979
691677	2363	1995-02-28	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
691308	2362	1998-05-08	PRIJEM	PREVOD Z UCTU	3389	21534	\N	UV	75748979
691309	2362	1998-06-08	PRIJEM	PREVOD Z UCTU	3389	22738	\N	UV	75748979
691310	2362	1998-07-08	PRIJEM	PREVOD Z UCTU	3389	20944	\N	UV	75748979
691311	2362	1998-08-08	PRIJEM	PREVOD Z UCTU	3389	22146	\N	UV	75748979
691312	2362	1998-09-08	PRIJEM	PREVOD Z UCTU	3389	23352	\N	UV	75748979
691313	2362	1998-10-08	PRIJEM	PREVOD Z UCTU	3389	24563	\N	UV	75748979
691314	2362	1998-11-08	PRIJEM	PREVOD Z UCTU	3389	25780	\N	UV	75748979
691315	2362	1998-12-08	PRIJEM	PREVOD Z UCTU	3389	26300	\N	UV	75748979
691333	2362	1997-06-07	VYDAJ	PREVOD NA UCET	2259	14298	SIPO	KL	47032982
691334	2362	1997-07-07	VYDAJ	PREVOD NA UCET	2259	15336	SIPO	KL	47032982
691335	2362	1997-08-07	VYDAJ	PREVOD NA UCET	2259	16528	SIPO	KL	47032982
691336	2362	1997-09-07	VYDAJ	PREVOD NA UCET	2259	15110	SIPO	KL	47032982
691337	2362	1997-10-07	VYDAJ	PREVOD NA UCET	2259	16301	SIPO	KL	47032982
691338	2362	1997-11-07	VYDAJ	PREVOD NA UCET	2259	17498	SIPO	KL	47032982
691339	2362	1997-12-07	VYDAJ	PREVOD NA UCET	2259	16776	SIPO	KL	47032982
691340	2362	1998-01-07	VYDAJ	PREVOD NA UCET	2259	17645	SIPO	KL	47032982
691341	2362	1998-02-07	VYDAJ	PREVOD NA UCET	2259	16472	SIPO	KL	47032982
691342	2362	1998-03-07	VYDAJ	PREVOD NA UCET	2259	17669	SIPO	KL	47032982
691343	2362	1998-04-07	VYDAJ	PREVOD NA UCET	2259	16946	SIPO	KL	47032982
691344	2362	1998-05-07	VYDAJ	PREVOD NA UCET	2259	18145	SIPO	KL	47032982
691345	2362	1998-06-07	VYDAJ	PREVOD NA UCET	2259	19349	SIPO	KL	47032982
691346	2362	1998-07-07	VYDAJ	PREVOD NA UCET	2259	17555	SIPO	KL	47032982
691347	2362	1998-08-07	VYDAJ	PREVOD NA UCET	2259	18757	SIPO	KL	47032982
691348	2362	1998-09-07	VYDAJ	PREVOD NA UCET	2259	19963	SIPO	KL	47032982
691349	2362	1998-10-07	VYDAJ	PREVOD NA UCET	2259	21174	SIPO	KL	47032982
691350	2362	1998-11-07	VYDAJ	PREVOD NA UCET	2259	22391	SIPO	KL	47032982
691351	2362	1998-12-07	VYDAJ	PREVOD NA UCET	2259	22911	SIPO	KL	47032982
691354	2362	1998-06-23	VYDAJ	VYBER	3000	19738	\N	\N	\N
691356	2362	1997-12-05	VYDAJ	VYBER	420	19035	\N	\N	\N
691357	2362	1998-12-14	VYDAJ	VYBER	660	25640	\N	\N	\N
691370	2362	1998-01-13	VYDAJ	VYBER	480	20344	\N	\N	\N
691371	2362	1998-01-16	VYDAJ	VYBER	390	19534	\N	\N	\N
691372	2362	1998-01-26	VYDAJ	VYBER	600	18664	\N	\N	\N
691373	2362	1998-01-03	VYDAJ	VYBER	330	19904	\N	\N	\N
691374	2362	1998-01-07	VYDAJ	VYBER	210	17435	\N	\N	\N
691375	2362	1998-01-19	VYDAJ	VYBER	270	19264	\N	\N	\N
691383	2362	1997-11-22	VYDAJ	VYBER	1230	19387	\N	\N	\N
691384	2362	1997-11-07	VYDAJ	VYBER	270	17228	\N	\N	\N
691385	2362	1997-08-23	VYDAJ	VYBER	1380	17307	\N	\N	\N
691386	2362	1997-06-15	VYDAJ	VYBER	150	17537	\N	\N	\N
691387	2362	1997-05-29	VYDAJ	VYBER	1080	16565	\N	\N	\N
691388	2362	1997-08-08	VYDAJ	VYBER	1230	18687	\N	\N	\N
691389	2362	1998-03-23	VYDAJ	VYBER	630	19138	\N	\N	\N
691390	2362	1998-01-14	VYDAJ	VYBER	420	19924	\N	\N	\N
691391	2362	1998-03-12	VYDAJ	VYBER	1290	19768	\N	\N	\N
691409	2362	1997-05-31	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
691410	2362	1997-06-30	VYDAJ	VYBER	15	17595	SLUZBY	\N	\N
691411	2362	1997-07-31	VYDAJ	VYBER	15	18787	SLUZBY	\N	\N
691412	2362	1997-08-31	VYDAJ	VYBER	15	17369	SLUZBY	\N	\N
691413	2362	1997-09-30	VYDAJ	VYBER	15	18560	SLUZBY	\N	\N
691414	2362	1997-10-31	VYDAJ	VYBER	15	19757	SLUZBY	\N	\N
691415	2362	1997-11-30	VYDAJ	VYBER	15	19455	SLUZBY	\N	\N
691416	2362	1997-12-31	VYDAJ	VYBER	15	20234	SLUZBY	\N	\N
691417	2362	1998-01-31	VYDAJ	VYBER	15	18731	SLUZBY	\N	\N
691418	2362	1998-02-28	VYDAJ	VYBER	15	19928	SLUZBY	\N	\N
691419	2362	1998-03-31	VYDAJ	VYBER	15	19205	SLUZBY	\N	\N
691420	2362	1998-04-30	VYDAJ	VYBER	15	20404	SLUZBY	\N	\N
691421	2362	1998-05-31	VYDAJ	VYBER	15	21608	SLUZBY	\N	\N
691422	2362	1998-06-30	VYDAJ	VYBER	15	19814	SLUZBY	\N	\N
691423	2362	1998-07-31	VYDAJ	VYBER	15	21016	SLUZBY	\N	\N
691424	2362	1998-08-31	VYDAJ	VYBER	15	22222	SLUZBY	\N	\N
691425	2362	1998-09-30	VYDAJ	VYBER	15	23433	SLUZBY	\N	\N
691426	2362	1998-10-31	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
691427	2362	1998-11-30	VYDAJ	VYBER	15	25170	SLUZBY	\N	\N
691428	2362	1998-11-20	VYDAJ	VYBER	700	25080	\N	\N	\N
691449	2363	1994-10-07	PRIJEM	VKLAD	700	700	\N	\N	\N
691459	2363	1994-10-09	PRIJEM	PREVOD Z UCTU	6840	7540	DUCHOD	KL	20430076
691460	2363	1994-11-09	PRIJEM	PREVOD Z UCTU	6840	14403	DUCHOD	KL	20430076
691461	2363	1994-12-09	PRIJEM	PREVOD Z UCTU	6840	21275	DUCHOD	KL	20430076
691462	2363	1995-01-09	PRIJEM	PREVOD Z UCTU	6840	28146	DUCHOD	KL	20430076
691463	2363	1995-02-09	PRIJEM	PREVOD Z UCTU	6840	34418	DUCHOD	KL	20430076
691464	2363	1995-03-09	PRIJEM	PREVOD Z UCTU	6840	33748	DUCHOD	KL	20430076
691465	2363	1995-04-09	PRIJEM	PREVOD Z UCTU	6840	31886	DUCHOD	KL	20430076
691466	2363	1995-05-09	PRIJEM	PREVOD Z UCTU	6840	31818	DUCHOD	KL	20430076
691467	2363	1995-06-09	PRIJEM	PREVOD Z UCTU	6840	30449	DUCHOD	KL	20430076
691468	2363	1995-07-09	PRIJEM	PREVOD Z UCTU	6840	28409	DUCHOD	KL	20430076
691469	2363	1995-08-09	PRIJEM	PREVOD Z UCTU	6840	28524	DUCHOD	KL	20430076
691470	2363	1995-09-09	PRIJEM	PREVOD Z UCTU	6840	30300	DUCHOD	KL	20430076
691471	2363	1995-10-09	PRIJEM	PREVOD Z UCTU	6840	30324	DUCHOD	KL	20430076
691472	2363	1995-11-09	PRIJEM	PREVOD Z UCTU	6840	27446	DUCHOD	KL	20430076
691473	2363	1995-12-09	PRIJEM	PREVOD Z UCTU	6840	29858	DUCHOD	KL	20430076
691474	2363	1996-01-09	PRIJEM	PREVOD Z UCTU	6840	26656	DUCHOD	KL	20430076
691475	2363	1996-02-09	PRIJEM	PREVOD Z UCTU	6840	27311	DUCHOD	KL	20430076
691476	2363	1996-03-09	PRIJEM	PREVOD Z UCTU	6840	31119	DUCHOD	KL	20430076
691477	2363	1996-04-09	PRIJEM	PREVOD Z UCTU	6840	30821	DUCHOD	KL	20430076
691478	2363	1996-05-09	PRIJEM	PREVOD Z UCTU	6840	29743	DUCHOD	KL	20430076
691479	2363	1996-06-09	PRIJEM	PREVOD Z UCTU	6840	29160	DUCHOD	KL	20430076
691480	2363	1996-07-09	PRIJEM	PREVOD Z UCTU	6840	21452	DUCHOD	KL	20430076
691481	2363	1996-08-09	PRIJEM	PREVOD Z UCTU	6840	26237	DUCHOD	KL	20430076
691482	2363	1996-09-09	PRIJEM	PREVOD Z UCTU	6840	30080	DUCHOD	KL	20430076
691483	2363	1996-10-09	PRIJEM	PREVOD Z UCTU	6840	30838	DUCHOD	KL	20430076
691484	2363	1996-11-09	PRIJEM	PREVOD Z UCTU	6840	32658	DUCHOD	KL	20430076
691485	2363	1996-12-09	PRIJEM	PREVOD Z UCTU	6840	37089	DUCHOD	KL	20430076
691486	2363	1997-01-09	PRIJEM	PREVOD Z UCTU	6840	32370	DUCHOD	KL	20430076
691487	2363	1997-02-09	PRIJEM	PREVOD Z UCTU	6840	32142	DUCHOD	KL	20430076
691488	2363	1997-03-09	PRIJEM	PREVOD Z UCTU	6840	36971	DUCHOD	KL	20430076
691489	2363	1997-04-09	PRIJEM	PREVOD Z UCTU	6840	34813	DUCHOD	KL	20430076
691490	2363	1997-05-09	PRIJEM	PREVOD Z UCTU	6840	37150	DUCHOD	KL	20430076
691491	2363	1997-06-09	PRIJEM	PREVOD Z UCTU	6840	36296	DUCHOD	KL	20430076
691492	2363	1997-07-09	PRIJEM	PREVOD Z UCTU	6840	38139	DUCHOD	KL	20430076
691493	2363	1997-08-09	PRIJEM	PREVOD Z UCTU	6840	37286	DUCHOD	KL	20430076
691494	2363	1997-09-09	PRIJEM	PREVOD Z UCTU	6840	42135	DUCHOD	KL	20430076
691495	2363	1997-10-09	PRIJEM	PREVOD Z UCTU	6840	42363	DUCHOD	KL	20430076
691496	2363	1997-11-09	PRIJEM	PREVOD Z UCTU	6840	42570	DUCHOD	KL	20430076
691497	2363	1997-12-09	PRIJEM	PREVOD Z UCTU	6840	39382	DUCHOD	KL	20430076
691498	2363	1998-01-09	PRIJEM	PREVOD Z UCTU	6840	39132	DUCHOD	KL	20430076
691499	2363	1998-02-09	PRIJEM	PREVOD Z UCTU	6840	36278	DUCHOD	KL	20430076
691500	2363	1998-03-09	PRIJEM	PREVOD Z UCTU	6840	34011	DUCHOD	KL	20430076
691501	2363	1998-04-09	PRIJEM	PREVOD Z UCTU	6840	32036	DUCHOD	KL	20430076
691502	2363	1998-05-09	PRIJEM	PREVOD Z UCTU	6840	28349	DUCHOD	KL	20430076
691503	2363	1998-06-09	PRIJEM	PREVOD Z UCTU	6840	26549	DUCHOD	KL	20430076
691504	2363	1998-07-09	PRIJEM	PREVOD Z UCTU	6840	21297	DUCHOD	KL	20430076
691505	2363	1998-08-09	PRIJEM	PREVOD Z UCTU	6840	22773	DUCHOD	KL	20430076
691506	2363	1998-09-09	PRIJEM	PREVOD Z UCTU	6840	22652	DUCHOD	KL	20430076
691507	2363	1998-10-09	PRIJEM	PREVOD Z UCTU	6840	24234	DUCHOD	KL	20430076
691508	2363	1998-11-09	PRIJEM	PREVOD Z UCTU	6840	28027	DUCHOD	KL	20430076
691509	2363	1998-12-09	PRIJEM	PREVOD Z UCTU	6840	29080	DUCHOD	KL	20430076
691524	2363	1995-03-05	VYDAJ	PREVOD NA UCET	1525	30507	SIPO	CD	96414541
691525	2363	1995-04-05	VYDAJ	PREVOD NA UCET	1525	25645	SIPO	CD	96414541
691526	2363	1995-05-05	VYDAJ	PREVOD NA UCET	1525	30477	SIPO	CD	96414541
691527	2363	1995-06-05	VYDAJ	PREVOD NA UCET	1525	24208	SIPO	CD	96414541
691528	2363	1995-07-05	VYDAJ	PREVOD NA UCET	1525	22168	SIPO	CD	96414541
691529	2363	1995-08-05	VYDAJ	PREVOD NA UCET	1525	22283	SIPO	CD	96414541
691530	2363	1995-09-05	VYDAJ	PREVOD NA UCET	1525	25099	SIPO	CD	96414541
691531	2363	1995-10-05	VYDAJ	PREVOD NA UCET	1525	24083	SIPO	CD	96414541
691532	2363	1995-11-05	VYDAJ	PREVOD NA UCET	1525	21205	SIPO	CD	96414541
691533	2363	1995-12-05	VYDAJ	PREVOD NA UCET	1525	23617	SIPO	CD	96414541
691534	2363	1996-01-05	VYDAJ	PREVOD NA UCET	1525	21935	SIPO	CD	96414541
691535	2363	1996-02-05	VYDAJ	PREVOD NA UCET	1525	21070	SIPO	CD	96414541
691536	2363	1996-03-05	VYDAJ	PREVOD NA UCET	1525	24878	SIPO	CD	96414541
691537	2363	1996-04-05	VYDAJ	PREVOD NA UCET	1525	24580	SIPO	CD	96414541
691538	2363	1996-05-05	VYDAJ	PREVOD NA UCET	1525	23502	SIPO	CD	96414541
691539	2363	1996-06-05	VYDAJ	PREVOD NA UCET	1525	22919	SIPO	CD	96414541
691540	2363	1996-07-05	VYDAJ	PREVOD NA UCET	1525	15211	SIPO	CD	96414541
691541	2363	1996-08-05	VYDAJ	PREVOD NA UCET	1525	19996	SIPO	CD	96414541
691542	2363	1996-09-05	VYDAJ	PREVOD NA UCET	1525	23839	SIPO	CD	96414541
691543	2363	1996-10-05	VYDAJ	PREVOD NA UCET	1525	24597	SIPO	CD	96414541
691544	2363	1996-11-05	VYDAJ	PREVOD NA UCET	1525	26417	SIPO	CD	96414541
691545	2363	1996-12-05	VYDAJ	PREVOD NA UCET	1525	30848	SIPO	CD	96414541
691546	2363	1997-01-05	VYDAJ	PREVOD NA UCET	1525	26129	SIPO	CD	96414541
691547	2363	1997-02-05	VYDAJ	PREVOD NA UCET	1525	25901	SIPO	CD	96414541
691548	2363	1997-03-05	VYDAJ	PREVOD NA UCET	1525	30730	SIPO	CD	96414541
691549	2363	1997-04-05	VYDAJ	PREVOD NA UCET	1525	28572	SIPO	CD	96414541
691550	2363	1997-05-05	VYDAJ	PREVOD NA UCET	1525	30909	SIPO	CD	96414541
691551	2363	1997-06-05	VYDAJ	PREVOD NA UCET	1525	30055	SIPO	CD	96414541
691552	2363	1997-07-05	VYDAJ	PREVOD NA UCET	1525	31898	SIPO	CD	96414541
691553	2363	1997-08-05	VYDAJ	PREVOD NA UCET	1525	31045	SIPO	CD	96414541
691554	2363	1997-09-05	VYDAJ	PREVOD NA UCET	1525	35894	SIPO	CD	96414541
691555	2363	1997-10-05	VYDAJ	PREVOD NA UCET	1525	38762	SIPO	CD	96414541
691556	2363	1997-11-05	VYDAJ	PREVOD NA UCET	1525	36329	SIPO	CD	96414541
691557	2363	1997-12-05	VYDAJ	PREVOD NA UCET	1525	33141	SIPO	CD	96414541
691558	2363	1998-01-05	VYDAJ	PREVOD NA UCET	1525	32891	SIPO	CD	96414541
691559	2363	1998-02-05	VYDAJ	PREVOD NA UCET	1525	30037	SIPO	CD	96414541
691678	2363	1995-03-31	VYDAJ	VYBER	15	33870	SLUZBY	\N	\N
691560	2363	1998-03-05	VYDAJ	PREVOD NA UCET	1525	27770	SIPO	CD	96414541
691561	2363	1998-04-05	VYDAJ	PREVOD NA UCET	1525	25795	SIPO	CD	96414541
691562	2363	1998-05-05	VYDAJ	PREVOD NA UCET	1525	22108	SIPO	CD	96414541
691563	2363	1998-06-05	VYDAJ	PREVOD NA UCET	1525	20308	SIPO	CD	96414541
691564	2363	1998-07-05	VYDAJ	PREVOD NA UCET	1525	15056	SIPO	CD	96414541
691565	2363	1998-08-05	VYDAJ	PREVOD NA UCET	1525	16532	SIPO	CD	96414541
691566	2363	1998-09-05	VYDAJ	PREVOD NA UCET	1525	16411	SIPO	CD	96414541
691567	2363	1998-10-05	VYDAJ	PREVOD NA UCET	1525	17993	SIPO	CD	96414541
691568	2363	1998-11-05	VYDAJ	PREVOD NA UCET	1525	21786	SIPO	CD	96414541
691569	2363	1998-12-05	VYDAJ	PREVOD NA UCET	1525	22839	SIPO	CD	96414541
691584	2363	1995-03-06	VYDAJ	PREVOD NA UCET	599	26908	 	YZ	11521917
691585	2363	1995-04-06	VYDAJ	PREVOD NA UCET	599	25046	 	YZ	11521917
691586	2363	1995-05-06	VYDAJ	PREVOD NA UCET	599	24978	 	YZ	11521917
691587	2363	1995-06-06	VYDAJ	PREVOD NA UCET	599	23609	 	YZ	11521917
691588	2363	1995-07-06	VYDAJ	PREVOD NA UCET	599	21569	 	YZ	11521917
691589	2363	1995-08-06	VYDAJ	PREVOD NA UCET	599	21684	 	YZ	11521917
691590	2363	1995-09-06	VYDAJ	PREVOD NA UCET	599	24500	 	YZ	11521917
691591	2363	1995-10-06	VYDAJ	PREVOD NA UCET	599	23484	 	YZ	11521917
691592	2363	1995-11-06	VYDAJ	PREVOD NA UCET	599	20606	 	YZ	11521917
691593	2363	1995-12-06	VYDAJ	PREVOD NA UCET	599	23018	 	YZ	11521917
691594	2363	1996-01-06	VYDAJ	PREVOD NA UCET	599	21336	 	YZ	11521917
691595	2363	1996-02-06	VYDAJ	PREVOD NA UCET	599	20471	 	YZ	11521917
691596	2363	1996-03-06	VYDAJ	PREVOD NA UCET	599	24279	 	YZ	11521917
691597	2363	1996-04-06	VYDAJ	PREVOD NA UCET	599	23981	 	YZ	11521917
691598	2363	1996-05-06	VYDAJ	PREVOD NA UCET	599	22903	 	YZ	11521917
691599	2363	1996-06-06	VYDAJ	PREVOD NA UCET	599	22320	 	YZ	11521917
691600	2363	1996-07-06	VYDAJ	PREVOD NA UCET	599	14612	 	YZ	11521917
691601	2363	1996-08-06	VYDAJ	PREVOD NA UCET	599	19397	 	YZ	11521917
691602	2363	1996-09-06	VYDAJ	PREVOD NA UCET	599	23240	 	YZ	11521917
691603	2363	1996-10-06	VYDAJ	PREVOD NA UCET	599	23998	 	YZ	11521917
691604	2363	1996-11-06	VYDAJ	PREVOD NA UCET	599	25818	 	YZ	11521917
691605	2363	1996-12-06	VYDAJ	PREVOD NA UCET	599	30249	 	YZ	11521917
691606	2363	1997-01-06	VYDAJ	PREVOD NA UCET	599	25530	 	YZ	11521917
691607	2363	1997-02-06	VYDAJ	PREVOD NA UCET	599	25302	 	YZ	11521917
691608	2363	1997-03-06	VYDAJ	PREVOD NA UCET	599	30131	 	YZ	11521917
691609	2363	1997-04-06	VYDAJ	PREVOD NA UCET	599	27973	 	YZ	11521917
691610	2363	1997-05-06	VYDAJ	PREVOD NA UCET	599	30310	 	YZ	11521917
691611	2363	1997-06-06	VYDAJ	PREVOD NA UCET	599	29456	 	YZ	11521917
691612	2363	1997-07-06	VYDAJ	PREVOD NA UCET	599	31299	 	YZ	11521917
691613	2363	1997-08-06	VYDAJ	PREVOD NA UCET	599	30446	 	YZ	11521917
691614	2363	1997-09-06	VYDAJ	PREVOD NA UCET	599	35295	 	YZ	11521917
691615	2363	1997-10-06	VYDAJ	PREVOD NA UCET	599	38163	 	YZ	11521917
691616	2363	1997-11-06	VYDAJ	PREVOD NA UCET	599	35730	 	YZ	11521917
691617	2363	1997-12-06	VYDAJ	PREVOD NA UCET	599	32542	 	YZ	11521917
691618	2363	1998-01-06	VYDAJ	PREVOD NA UCET	599	32292	 	YZ	11521917
691619	2363	1998-02-06	VYDAJ	PREVOD NA UCET	599	29438	 	YZ	11521917
691620	2363	1998-03-06	VYDAJ	PREVOD NA UCET	599	27171	 	YZ	11521917
691621	2363	1998-04-06	VYDAJ	PREVOD NA UCET	599	25196	 	YZ	11521917
691622	2363	1998-05-06	VYDAJ	PREVOD NA UCET	599	21509	 	YZ	11521917
691623	2363	1998-06-06	VYDAJ	PREVOD NA UCET	599	19709	 	YZ	11521917
691624	2363	1998-07-06	VYDAJ	PREVOD NA UCET	599	14457	 	YZ	11521917
691625	2363	1998-08-06	VYDAJ	PREVOD NA UCET	599	15933	 	YZ	11521917
691626	2363	1998-09-06	VYDAJ	PREVOD NA UCET	599	15812	 	YZ	11521917
691627	2363	1998-10-06	VYDAJ	PREVOD NA UCET	599	17394	 	YZ	11521917
691628	2363	1998-11-06	VYDAJ	PREVOD NA UCET	599	21187	 	YZ	11521917
691629	2363	1998-12-06	VYDAJ	PREVOD NA UCET	599	22240	 	YZ	11521917
691631	2363	1995-06-10	VYDAJ	VYBER	5150	25299	\N	\N	\N
691632	2363	1996-06-17	VYDAJ	VYBER	12500	16660	\N	\N	\N
691633	2363	1997-06-04	VYDAJ	VYBER	2000	31580	\N	\N	\N
691634	2363	1998-06-21	VYDAJ	VYBER	5300	16509	\N	\N	\N
691637	2363	1996-01-17	VYDAJ	VYBER	3050	23606	\N	\N	\N
691638	2363	1997-01-19	VYDAJ	VYBER	2350	30020	\N	\N	\N
691639	2363	1998-01-30	VYDAJ	VYBER	1000	31432	\N	\N	\N
691641	2363	1995-12-15	VYDAJ	VYBER	1300	28558	\N	\N	\N
691642	2363	1996-12-14	VYDAJ	VYBER	500	36589	\N	\N	\N
691643	2363	1997-12-03	VYDAJ	VYBER	1350	34666	\N	\N	\N
691644	2363	1998-12-05	VYDAJ	VYBER	550	24364	\N	\N	\N
691649	2363	1995-02-22	VYDAJ	VYBER	2480	31938	\N	\N	\N
691650	2363	1995-09-07	VYDAJ	VYBER	1040	23460	\N	\N	\N
691651	2363	1995-10-26	VYDAJ	VYBER	2400	27924	\N	\N	\N
691652	2363	1996-01-07	VYDAJ	VYBER	1520	19816	\N	\N	\N
691653	2363	1996-10-16	VYDAJ	VYBER	400	30438	\N	\N	\N
691654	2363	1996-12-27	VYDAJ	VYBER	3360	27529	\N	\N	\N
691655	2363	1996-04-28	VYDAJ	VYBER	400	30421	\N	\N	\N
691656	2363	1996-09-26	VYDAJ	VYBER	2160	26020	\N	\N	\N
691657	2363	1996-03-19	VYDAJ	VYBER	1120	29999	\N	\N	\N
691658	2363	1996-08-28	VYDAJ	VYBER	960	25277	\N	\N	\N
691659	2363	1997-10-07	VYDAJ	VYBER	2640	35523	\N	\N	\N
691660	2363	1997-11-01	VYDAJ	VYBER	960	37854	\N	\N	\N
691661	2363	1998-06-15	VYDAJ	VYBER	1040	25509	\N	\N	\N
691662	2363	1998-09-19	VYDAJ	VYBER	3200	19452	\N	\N	\N
691679	2363	1995-04-30	VYDAJ	VYBER	15	32002	SLUZBY	\N	\N
691680	2363	1995-05-31	VYDAJ	VYBER	15	31933	SLUZBY	\N	\N
691681	2363	1995-06-30	VYDAJ	VYBER	15	25393	SLUZBY	\N	\N
691682	2363	1995-07-31	VYDAJ	VYBER	15	28508	SLUZBY	\N	\N
691683	2363	1995-08-31	VYDAJ	VYBER	15	28624	SLUZBY	\N	\N
691684	2363	1995-09-30	VYDAJ	VYBER	15	30408	SLUZBY	\N	\N
691685	2363	1995-10-31	VYDAJ	VYBER	15	28030	SLUZBY	\N	\N
691686	2363	1995-11-30	VYDAJ	VYBER	15	27542	SLUZBY	\N	\N
691687	2363	1995-12-31	VYDAJ	VYBER	15	28660	SLUZBY	\N	\N
691688	2363	1996-01-31	VYDAJ	VYBER	15	22595	SLUZBY	\N	\N
691689	2363	1996-02-29	VYDAJ	VYBER	15	26403	SLUZBY	\N	\N
691690	2363	1996-03-31	VYDAJ	VYBER	15	26105	SLUZBY	\N	\N
691691	2363	1996-04-30	VYDAJ	VYBER	15	25027	SLUZBY	\N	\N
691692	2363	1996-05-31	VYDAJ	VYBER	15	24444	SLUZBY	\N	\N
691693	2363	1996-06-30	VYDAJ	VYBER	15	16736	SLUZBY	\N	\N
691694	2363	1996-07-31	VYDAJ	VYBER	15	21521	SLUZBY	\N	\N
691695	2363	1996-08-31	VYDAJ	VYBER	15	25364	SLUZBY	\N	\N
691696	2363	1996-09-30	VYDAJ	VYBER	15	26122	SLUZBY	\N	\N
691697	2363	1996-10-31	VYDAJ	VYBER	15	27942	SLUZBY	\N	\N
691698	2363	1996-11-30	VYDAJ	VYBER	15	32373	SLUZBY	\N	\N
691699	2363	1996-12-31	VYDAJ	VYBER	15	27654	SLUZBY	\N	\N
691700	2363	1997-01-31	VYDAJ	VYBER	15	27426	SLUZBY	\N	\N
691701	2363	1997-02-28	VYDAJ	VYBER	15	32255	SLUZBY	\N	\N
691702	2363	1997-03-31	VYDAJ	VYBER	15	30097	SLUZBY	\N	\N
691703	2363	1997-04-30	VYDAJ	VYBER	15	32434	SLUZBY	\N	\N
691704	2363	1997-05-31	VYDAJ	VYBER	15	33580	SLUZBY	\N	\N
691705	2363	1997-06-30	VYDAJ	VYBER	15	33423	SLUZBY	\N	\N
691706	2363	1997-07-31	VYDAJ	VYBER	15	32570	SLUZBY	\N	\N
691707	2363	1997-08-31	VYDAJ	VYBER	15	37419	SLUZBY	\N	\N
691708	2363	1997-09-30	VYDAJ	VYBER	15	40287	SLUZBY	\N	\N
691709	2363	1997-10-31	VYDAJ	VYBER	15	38814	SLUZBY	\N	\N
691710	2363	1997-11-30	VYDAJ	VYBER	15	36016	SLUZBY	\N	\N
691711	2363	1997-12-31	VYDAJ	VYBER	15	34416	SLUZBY	\N	\N
691712	2363	1998-01-31	VYDAJ	VYBER	15	31562	SLUZBY	\N	\N
691713	2363	1998-02-28	VYDAJ	VYBER	15	29295	SLUZBY	\N	\N
691714	2363	1998-03-31	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
691715	2363	1998-04-30	VYDAJ	VYBER	15	23633	SLUZBY	\N	\N
691716	2363	1998-05-31	VYDAJ	VYBER	15	21833	SLUZBY	\N	\N
691717	2363	1998-06-30	VYDAJ	VYBER	15	16581	SLUZBY	\N	\N
691718	2363	1998-07-31	VYDAJ	VYBER	15	18057	SLUZBY	\N	\N
691719	2363	1998-08-31	VYDAJ	VYBER	15	17936	SLUZBY	\N	\N
691720	2363	1998-09-30	VYDAJ	VYBER	15	19518	SLUZBY	\N	\N
691721	2363	1998-10-31	VYDAJ	VYBER	15	23311	SLUZBY	\N	\N
691722	2363	1998-11-30	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
691723	2363	1995-02-04	VYDAJ	VYBER	600	27578	\N	\N	\N
691724	2363	1995-03-06	VYDAJ	VYBER	3000	27507	\N	\N	\N
691725	2363	1995-04-05	VYDAJ	VYBER	6700	27170	\N	\N	\N
691726	2363	1995-05-05	VYDAJ	VYBER	4900	25577	\N	\N	\N
691727	2363	1995-06-04	VYDAJ	VYBER	6200	25733	\N	\N	\N
691728	2363	1995-07-04	VYDAJ	VYBER	1700	23693	\N	\N	\N
691729	2363	1995-08-03	VYDAJ	VYBER	4700	23808	\N	\N	\N
691730	2363	1995-09-02	VYDAJ	VYBER	2000	26624	\N	\N	\N
691731	2363	1995-10-02	VYDAJ	VYBER	4800	25608	\N	\N	\N
691732	2363	1995-11-01	VYDAJ	VYBER	5300	22730	\N	\N	\N
691733	2363	1995-12-01	VYDAJ	VYBER	2400	25142	\N	\N	\N
691734	2363	1995-12-31	VYDAJ	VYBER	5200	23460	\N	\N	\N
691735	2363	1996-01-30	VYDAJ	VYBER	1100	22506	\N	\N	\N
691736	2363	1996-02-29	VYDAJ	VYBER	1000	26418	\N	\N	\N
691737	2363	1996-03-30	VYDAJ	VYBER	4000	25999	\N	\N	\N
691738	2363	1996-04-29	VYDAJ	VYBER	5500	24921	\N	\N	\N
691739	2363	1996-05-29	VYDAJ	VYBER	5400	24343	\N	\N	\N
691740	2363	1996-09-26	VYDAJ	VYBER	1900	28180	\N	\N	\N
691741	2363	1996-10-26	VYDAJ	VYBER	2600	27838	\N	\N	\N
691742	2363	1996-11-25	VYDAJ	VYBER	400	32258	\N	\N	\N
691743	2363	1996-12-25	VYDAJ	VYBER	5700	30889	\N	\N	\N
691744	2363	1997-01-24	VYDAJ	VYBER	2700	27320	\N	\N	\N
691745	2363	1997-03-25	VYDAJ	VYBER	7000	29971	\N	\N	\N
691746	2363	1997-04-24	VYDAJ	VYBER	2500	32313	\N	\N	\N
691747	2363	1997-05-24	VYDAJ	VYBER	3700	33450	\N	\N	\N
691748	2363	1997-06-23	VYDAJ	VYBER	3000	33296	\N	\N	\N
691749	2363	1997-07-23	VYDAJ	VYBER	5700	32439	\N	\N	\N
691750	2363	1997-09-21	VYDAJ	VYBER	2000	40135	\N	\N	\N
691751	2363	1997-10-21	VYDAJ	VYBER	3700	38663	\N	\N	\N
691752	2363	1997-11-20	VYDAJ	VYBER	6700	35870	\N	\N	\N
691753	2363	1997-12-20	VYDAJ	VYBER	5100	34282	\N	\N	\N
691754	2363	1998-01-19	VYDAJ	VYBER	6700	32432	\N	\N	\N
691755	2363	1998-02-18	VYDAJ	VYBER	7100	29178	\N	\N	\N
691756	2363	1998-03-20	VYDAJ	VYBER	6800	27211	\N	\N	\N
691757	2363	1998-04-19	VYDAJ	VYBER	8500	23536	\N	\N	\N
691758	2363	1998-05-19	VYDAJ	VYBER	6600	21749	\N	\N	\N
691759	2363	1998-06-18	VYDAJ	VYBER	3700	21809	\N	\N	\N
691760	2363	1998-07-18	VYDAJ	VYBER	3300	17997	\N	\N	\N
691761	2363	1998-08-17	VYDAJ	VYBER	4900	17873	\N	\N	\N
691762	2363	1998-10-16	VYDAJ	VYBER	1000	23234	\N	\N	\N
691763	2363	1998-11-15	VYDAJ	VYBER	3200	24827	\N	\N	\N
691815	2364	1995-05-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
691820	2364	1995-05-13	PRIJEM	PREVOD Z UCTU	5899	6999	DUCHOD	MN	29009521
691821	2364	1995-06-13	PRIJEM	PREVOD Z UCTU	5899	12916	DUCHOD	MN	29009521
691822	2364	1995-07-13	PRIJEM	PREVOD Z UCTU	5899	18844	DUCHOD	MN	29009521
691823	2364	1995-08-13	PRIJEM	PREVOD Z UCTU	5899	24772	DUCHOD	MN	29009521
691824	2364	1995-09-13	PRIJEM	PREVOD Z UCTU	5899	29803	DUCHOD	MN	29009521
691825	2364	1995-10-13	PRIJEM	PREVOD Z UCTU	5899	28754	DUCHOD	MN	29009521
691826	2364	1995-11-13	PRIJEM	PREVOD Z UCTU	5899	28498	DUCHOD	MN	29009521
691827	2364	1995-12-13	PRIJEM	PREVOD Z UCTU	5899	30411	DUCHOD	MN	29009521
691828	2364	1996-01-13	PRIJEM	PREVOD Z UCTU	5899	24359	DUCHOD	MN	29009521
691829	2364	1996-02-13	PRIJEM	PREVOD Z UCTU	5899	19336	DUCHOD	MN	29009521
691830	2364	1996-03-13	PRIJEM	PREVOD Z UCTU	5899	23261	DUCHOD	MN	29009521
691831	2364	1996-04-13	PRIJEM	PREVOD Z UCTU	5899	27204	DUCHOD	MN	29009521
691832	2364	1996-05-13	PRIJEM	PREVOD Z UCTU	5899	30461	DUCHOD	MN	29009521
691833	2364	1996-06-13	PRIJEM	PREVOD Z UCTU	5899	31031	DUCHOD	MN	29009521
691834	2364	1996-07-13	PRIJEM	PREVOD Z UCTU	5899	26009	DUCHOD	MN	29009521
691835	2364	1996-08-13	PRIJEM	PREVOD Z UCTU	5899	29962	DUCHOD	MN	29009521
691836	2364	1996-09-13	PRIJEM	PREVOD Z UCTU	5899	31612	DUCHOD	MN	29009521
691837	2364	1996-10-13	PRIJEM	PREVOD Z UCTU	5899	35388	DUCHOD	MN	29009521
691838	2364	1996-11-13	PRIJEM	PREVOD Z UCTU	5899	33274	DUCHOD	MN	29009521
691839	2364	1996-12-13	PRIJEM	PREVOD Z UCTU	5899	30351	DUCHOD	MN	29009521
691840	2364	1997-01-13	PRIJEM	PREVOD Z UCTU	5899	19636	DUCHOD	MN	29009521
691841	2364	1997-02-13	PRIJEM	PREVOD Z UCTU	5899	20526	DUCHOD	MN	29009521
691842	2364	1997-03-13	PRIJEM	PREVOD Z UCTU	5899	20696	DUCHOD	MN	29009521
691843	2364	1997-04-13	PRIJEM	PREVOD Z UCTU	5899	20102	DUCHOD	MN	29009521
691844	2364	1997-05-13	PRIJEM	PREVOD Z UCTU	5899	21945	DUCHOD	MN	29009521
691845	2364	1997-06-13	PRIJEM	PREVOD Z UCTU	5899	19655	DUCHOD	MN	29009521
691846	2364	1997-07-13	PRIJEM	PREVOD Z UCTU	5899	23583	DUCHOD	MN	29009521
691847	2364	1997-08-13	PRIJEM	PREVOD Z UCTU	5899	25924	DUCHOD	MN	29009521
691848	2364	1997-09-13	PRIJEM	PREVOD Z UCTU	5899	26571	DUCHOD	MN	29009521
691849	2364	1997-10-13	PRIJEM	PREVOD Z UCTU	5899	28523	DUCHOD	MN	29009521
691850	2364	1997-11-13	PRIJEM	PREVOD Z UCTU	5899	27778	DUCHOD	MN	29009521
691851	2364	1997-12-13	PRIJEM	PREVOD Z UCTU	5899	28793	DUCHOD	MN	29009521
691852	2364	1998-01-13	PRIJEM	PREVOD Z UCTU	5899	28650	DUCHOD	MN	29009521
691853	2364	1998-02-13	PRIJEM	PREVOD Z UCTU	5899	20605	DUCHOD	MN	29009521
691854	2364	1998-03-13	PRIJEM	PREVOD Z UCTU	5899	24534	DUCHOD	MN	29009521
691855	2364	1998-04-13	PRIJEM	PREVOD Z UCTU	5899	27880	DUCHOD	MN	29009521
691856	2364	1998-05-13	PRIJEM	PREVOD Z UCTU	5899	27932	DUCHOD	MN	29009521
691857	2364	1998-06-13	PRIJEM	PREVOD Z UCTU	5899	24979	DUCHOD	MN	29009521
691858	2364	1998-07-13	PRIJEM	PREVOD Z UCTU	5899	23917	DUCHOD	MN	29009521
691859	2364	1998-08-13	PRIJEM	PREVOD Z UCTU	5899	22048	DUCHOD	MN	29009521
691860	2364	1998-09-13	PRIJEM	PREVOD Z UCTU	5899	20616	DUCHOD	MN	29009521
691861	2364	1998-10-13	PRIJEM	PREVOD Z UCTU	5899	18732	DUCHOD	MN	29009521
691862	2364	1998-11-13	PRIJEM	PREVOD Z UCTU	5899	19547	DUCHOD	MN	29009521
691863	2364	1998-12-13	PRIJEM	PREVOD Z UCTU	5899	21022	DUCHOD	MN	29009521
691873	2364	1995-10-05	VYDAJ	PREVOD NA UCET	2033	22855	SIPO	CD	33847505
691874	2364	1995-11-05	VYDAJ	PREVOD NA UCET	2033	24119	SIPO	CD	33847505
691875	2364	1995-12-05	VYDAJ	PREVOD NA UCET	2033	24512	SIPO	CD	33847505
691876	2364	1996-01-05	VYDAJ	PREVOD NA UCET	2033	20140	SIPO	CD	33847505
691877	2364	1996-02-05	VYDAJ	PREVOD NA UCET	2033	13437	SIPO	CD	33847505
691878	2364	1996-03-05	VYDAJ	PREVOD NA UCET	2033	17362	SIPO	CD	33847505
691879	2364	1996-04-05	VYDAJ	PREVOD NA UCET	2033	21305	SIPO	CD	33847505
691880	2364	1996-05-05	VYDAJ	PREVOD NA UCET	2033	24562	SIPO	CD	33847505
691881	2364	1996-06-05	VYDAJ	PREVOD NA UCET	2033	25132	SIPO	CD	33847505
691882	2364	1996-07-05	VYDAJ	PREVOD NA UCET	2033	20110	SIPO	CD	33847505
691883	2364	1996-08-05	VYDAJ	PREVOD NA UCET	2033	24063	SIPO	CD	33847505
691884	2364	1996-09-05	VYDAJ	PREVOD NA UCET	2033	28033	SIPO	CD	33847505
691885	2364	1996-10-05	VYDAJ	PREVOD NA UCET	2033	29489	SIPO	CD	33847505
691886	2364	1996-11-05	VYDAJ	PREVOD NA UCET	2033	27375	SIPO	CD	33847505
691887	2364	1996-12-05	VYDAJ	PREVOD NA UCET	2033	24452	SIPO	CD	33847505
691888	2364	1997-01-05	VYDAJ	PREVOD NA UCET	2033	22937	SIPO	CD	33847505
691889	2364	1997-02-05	VYDAJ	PREVOD NA UCET	2033	14627	SIPO	CD	33847505
691890	2364	1997-03-05	VYDAJ	PREVOD NA UCET	2033	14797	SIPO	CD	33847505
691891	2364	1997-04-05	VYDAJ	PREVOD NA UCET	2033	14203	SIPO	CD	33847505
691892	2364	1997-05-05	VYDAJ	PREVOD NA UCET	2033	16046	SIPO	CD	33847505
691893	2364	1997-06-05	VYDAJ	PREVOD NA UCET	2033	15276	SIPO	CD	33847505
691894	2364	1997-07-05	VYDAJ	PREVOD NA UCET	2033	17684	SIPO	CD	33847505
691895	2364	1997-08-05	VYDAJ	PREVOD NA UCET	2033	20025	SIPO	CD	33847505
691896	2364	1997-09-05	VYDAJ	PREVOD NA UCET	2033	20672	SIPO	CD	33847505
691897	2364	1997-10-05	VYDAJ	PREVOD NA UCET	2033	22624	SIPO	CD	33847505
691898	2364	1997-11-05	VYDAJ	PREVOD NA UCET	2033	21879	SIPO	CD	33847505
691899	2364	1997-12-05	VYDAJ	PREVOD NA UCET	2033	22894	SIPO	CD	33847505
691900	2364	1998-01-05	VYDAJ	PREVOD NA UCET	2033	22751	SIPO	CD	33847505
691901	2364	1998-02-05	VYDAJ	PREVOD NA UCET	2033	14706	SIPO	CD	33847505
691902	2364	1998-03-05	VYDAJ	PREVOD NA UCET	2033	18635	SIPO	CD	33847505
691903	2364	1998-04-05	VYDAJ	PREVOD NA UCET	2033	21981	SIPO	CD	33847505
691904	2364	1998-05-05	VYDAJ	PREVOD NA UCET	2033	22033	SIPO	CD	33847505
691905	2364	1998-06-05	VYDAJ	PREVOD NA UCET	2033	19080	SIPO	CD	33847505
691906	2364	1998-07-05	VYDAJ	PREVOD NA UCET	2033	18018	SIPO	CD	33847505
691907	2364	1998-08-05	VYDAJ	PREVOD NA UCET	2033	16149	SIPO	CD	33847505
691908	2364	1998-09-05	VYDAJ	PREVOD NA UCET	2033	16477	SIPO	CD	33847505
691909	2364	1998-10-05	VYDAJ	PREVOD NA UCET	2033	12833	SIPO	CD	33847505
691910	2364	1998-11-05	VYDAJ	PREVOD NA UCET	2033	13648	SIPO	CD	33847505
691911	2364	1998-12-05	VYDAJ	PREVOD NA UCET	2033	15573	SIPO	CD	33847505
691913	2364	1996-06-27	VYDAJ	VYBER	5550	22041	\N	\N	\N
691917	2364	1996-01-03	VYDAJ	VYBER	2000	23213	\N	\N	\N
691918	2364	1997-01-07	VYDAJ	VYBER	4800	15817	\N	\N	\N
691919	2364	1998-01-22	VYDAJ	VYBER	1350	19540	\N	\N	\N
691920	2364	1995-12-01	VYDAJ	VYBER	1250	26545	\N	\N	\N
691921	2364	1996-12-03	VYDAJ	VYBER	1000	26485	\N	\N	\N
691922	2364	1997-12-16	VYDAJ	VYBER	500	28293	\N	\N	\N
691923	2364	1998-12-11	VYDAJ	VYBER	450	15123	\N	\N	\N
691930	2364	1996-01-24	VYDAJ	VYBER	2080	18999	\N	\N	\N
691931	2364	1996-01-11	VYDAJ	VYBER	1680	18460	\N	\N	\N
691932	2364	1996-01-20	VYDAJ	VYBER	1600	22759	\N	\N	\N
691933	2364	1996-01-25	VYDAJ	VYBER	720	15879	\N	\N	\N
691934	2364	1996-01-20	VYDAJ	VYBER	1680	21079	\N	\N	\N
691935	2364	1996-01-28	VYDAJ	VYBER	480	15399	\N	\N	\N
691936	2364	1997-01-26	VYDAJ	VYBER	1360	16596	\N	\N	\N
691937	2364	1997-01-16	VYDAJ	VYBER	1040	18596	\N	\N	\N
691938	2364	1997-01-04	VYDAJ	VYBER	1200	25850	\N	\N	\N
691939	2364	1997-01-11	VYDAJ	VYBER	2080	13737	\N	\N	\N
691940	2364	1997-01-22	VYDAJ	VYBER	640	17956	\N	\N	\N
691941	2364	1997-01-06	VYDAJ	VYBER	2320	20617	\N	\N	\N
691942	2364	1998-01-13	VYDAJ	VYBER	2240	25290	\N	\N	\N
691943	2364	1998-01-21	VYDAJ	VYBER	2240	20890	\N	\N	\N
691944	2364	1998-01-16	VYDAJ	VYBER	2160	23130	\N	\N	\N
691945	2364	1998-01-29	VYDAJ	VYBER	2240	16660	\N	\N	\N
691946	2364	1998-01-13	VYDAJ	VYBER	1120	27530	\N	\N	\N
691947	2364	1998-01-23	VYDAJ	VYBER	640	18900	\N	\N	\N
691948	2364	1995-11-07	VYDAJ	VYBER	1520	22599	\N	\N	\N
691951	2364	1995-12-23	VYDAJ	VYBER	800	29611	\N	\N	\N
691952	2364	1996-01-25	VYDAJ	VYBER	2400	16599	\N	\N	\N
691953	2364	1996-06-23	VYDAJ	VYBER	3040	27991	\N	\N	\N
691954	2364	1996-09-06	VYDAJ	VYBER	2320	25713	\N	\N	\N
691955	2364	1996-01-04	VYDAJ	VYBER	1040	22173	\N	\N	\N
691956	2364	1997-11-18	VYDAJ	VYBER	640	24838	\N	\N	\N
691957	2364	1997-01-04	VYDAJ	VYBER	880	24970	\N	\N	\N
691958	2364	1997-06-11	VYDAJ	VYBER	1520	13756	\N	\N	\N
691959	2364	1997-03-03	VYDAJ	VYBER	3760	16830	\N	\N	\N
691960	2364	1997-04-15	VYDAJ	VYBER	2080	18022	\N	\N	\N
691961	2364	1997-03-24	VYDAJ	VYBER	3120	16176	\N	\N	\N
691964	2364	1998-09-08	VYDAJ	VYBER	1760	14717	\N	\N	\N
691974	2364	1995-09-30	VYDAJ	VYBER	15	24888	SLUZBY	\N	\N
691975	2364	1995-10-31	VYDAJ	VYBER	15	26152	SLUZBY	\N	\N
691976	2364	1995-11-30	VYDAJ	VYBER	15	27795	SLUZBY	\N	\N
691977	2364	1995-12-31	VYDAJ	VYBER	15	25213	SLUZBY	\N	\N
691978	2364	1996-01-31	VYDAJ	VYBER	15	15470	SLUZBY	\N	\N
691979	2364	1996-02-29	VYDAJ	VYBER	15	19395	SLUZBY	\N	\N
691980	2364	1996-03-31	VYDAJ	VYBER	15	23338	SLUZBY	\N	\N
691981	2364	1996-04-30	VYDAJ	VYBER	15	26595	SLUZBY	\N	\N
691982	2364	1996-05-31	VYDAJ	VYBER	15	27165	SLUZBY	\N	\N
691983	2364	1996-06-30	VYDAJ	VYBER	15	22143	SLUZBY	\N	\N
691984	2364	1996-07-31	VYDAJ	VYBER	15	26096	SLUZBY	\N	\N
691985	2364	1996-08-31	VYDAJ	VYBER	15	30066	SLUZBY	\N	\N
691986	2364	1996-09-30	VYDAJ	VYBER	15	31522	SLUZBY	\N	\N
691987	2364	1996-10-31	VYDAJ	VYBER	15	29408	SLUZBY	\N	\N
691988	2364	1996-11-30	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
691989	2364	1996-12-31	VYDAJ	VYBER	15	27050	SLUZBY	\N	\N
691990	2364	1997-01-31	VYDAJ	VYBER	15	16660	SLUZBY	\N	\N
691991	2364	1997-02-28	VYDAJ	VYBER	15	20590	SLUZBY	\N	\N
691992	2364	1997-03-31	VYDAJ	VYBER	15	16236	SLUZBY	\N	\N
691993	2364	1997-04-30	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
691994	2364	1997-05-31	VYDAJ	VYBER	15	17309	SLUZBY	\N	\N
691995	2364	1997-06-30	VYDAJ	VYBER	15	19717	SLUZBY	\N	\N
691996	2364	1997-07-31	VYDAJ	VYBER	15	22058	SLUZBY	\N	\N
691997	2364	1997-08-31	VYDAJ	VYBER	15	22705	SLUZBY	\N	\N
691998	2364	1997-09-30	VYDAJ	VYBER	15	24657	SLUZBY	\N	\N
691999	2364	1997-10-31	VYDAJ	VYBER	15	23912	SLUZBY	\N	\N
692000	2364	1997-11-30	VYDAJ	VYBER	15	24927	SLUZBY	\N	\N
692001	2364	1997-12-31	VYDAJ	VYBER	15	24784	SLUZBY	\N	\N
692002	2364	1998-01-31	VYDAJ	VYBER	15	16739	SLUZBY	\N	\N
692003	2364	1998-02-28	VYDAJ	VYBER	15	20668	SLUZBY	\N	\N
692004	2364	1998-03-31	VYDAJ	VYBER	15	24014	SLUZBY	\N	\N
692005	2364	1998-04-30	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
692006	2364	1998-05-31	VYDAJ	VYBER	15	21113	SLUZBY	\N	\N
692007	2364	1998-06-30	VYDAJ	VYBER	15	20051	SLUZBY	\N	\N
692008	2364	1998-07-31	VYDAJ	VYBER	15	18182	SLUZBY	\N	\N
692009	2364	1998-08-31	VYDAJ	VYBER	15	18510	SLUZBY	\N	\N
692010	2364	1998-09-30	VYDAJ	VYBER	15	14866	SLUZBY	\N	\N
692011	2364	1998-10-31	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
692012	2364	1998-11-30	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
692013	2364	1995-08-31	VYDAJ	VYBER	900	23904	\N	\N	\N
692014	2364	1995-09-30	VYDAJ	VYBER	5000	24902	\N	\N	\N
692015	2364	1995-10-30	VYDAJ	VYBER	2700	26054	\N	\N	\N
692016	2364	1995-11-29	VYDAJ	VYBER	800	27698	\N	\N	\N
692017	2364	1995-12-29	VYDAJ	VYBER	4500	25111	\N	\N	\N
692018	2364	1996-04-27	VYDAJ	VYBER	700	26504	\N	\N	\N
692019	2364	1996-05-27	VYDAJ	VYBER	3400	27061	\N	\N	\N
692020	2364	1996-06-26	VYDAJ	VYBER	400	27591	\N	\N	\N
692021	2364	1996-09-24	VYDAJ	VYBER	200	31412	\N	\N	\N
692022	2364	1996-10-24	VYDAJ	VYBER	6100	29288	\N	\N	\N
692023	2364	1996-11-23	VYDAJ	VYBER	5900	27374	\N	\N	\N
692024	2364	1996-12-23	VYDAJ	VYBER	3400	26951	\N	\N	\N
692025	2364	1997-03-23	VYDAJ	VYBER	1400	19296	\N	\N	\N
692026	2364	1997-05-22	VYDAJ	VYBER	4700	17245	\N	\N	\N
692027	2364	1997-07-21	VYDAJ	VYBER	1600	21983	\N	\N	\N
692028	2364	1997-08-20	VYDAJ	VYBER	3300	22624	\N	\N	\N
692029	2364	1997-09-19	VYDAJ	VYBER	2000	24571	\N	\N	\N
692030	2364	1997-10-19	VYDAJ	VYBER	4700	23823	\N	\N	\N
692031	2364	1997-11-18	VYDAJ	VYBER	2300	25478	\N	\N	\N
692032	2364	1997-12-18	VYDAJ	VYBER	3600	24693	\N	\N	\N
692033	2364	1998-03-18	VYDAJ	VYBER	600	23934	\N	\N	\N
692034	2364	1998-04-17	VYDAJ	VYBER	3900	23980	\N	\N	\N
692035	2364	1998-05-17	VYDAJ	VYBER	6900	21032	\N	\N	\N
692036	2364	1998-06-16	VYDAJ	VYBER	5000	19979	\N	\N	\N
692037	2364	1998-07-16	VYDAJ	VYBER	5800	18117	\N	\N	\N
692038	2364	1998-08-15	VYDAJ	VYBER	3600	18448	\N	\N	\N
692039	2364	1998-09-14	VYDAJ	VYBER	5800	14816	\N	\N	\N
692040	2364	1998-10-14	VYDAJ	VYBER	3100	15632	\N	\N	\N
692041	2364	1998-11-13	VYDAJ	VYBER	2000	17547	\N	\N	\N
692086	2365	1994-11-04	PRIJEM	VKLAD	500	500	\N	\N	\N
692097	2365	1994-11-05	PRIJEM	PREVOD Z UCTU	5113	5613	DUCHOD	IJ	60613775
692098	2365	1994-12-05	PRIJEM	PREVOD Z UCTU	5113	10746	DUCHOD	IJ	60613775
692099	2365	1995-01-05	PRIJEM	PREVOD Z UCTU	5113	15883	DUCHOD	IJ	60613775
692100	2365	1995-02-05	PRIJEM	PREVOD Z UCTU	5113	21019	DUCHOD	IJ	60613775
692101	2365	1995-03-05	PRIJEM	PREVOD Z UCTU	5113	25555	DUCHOD	IJ	60613775
692102	2365	1995-04-05	PRIJEM	PREVOD Z UCTU	5113	25879	DUCHOD	IJ	60613775
692103	2365	1995-05-05	PRIJEM	PREVOD Z UCTU	5113	28014	DUCHOD	IJ	60613775
692104	2365	1995-06-05	PRIJEM	PREVOD Z UCTU	5113	25152	DUCHOD	IJ	60613775
692105	2365	1995-07-05	PRIJEM	PREVOD Z UCTU	5113	27286	DUCHOD	IJ	60613775
692106	2365	1995-08-05	PRIJEM	PREVOD Z UCTU	5113	26055	DUCHOD	IJ	60613775
692107	2365	1995-09-05	PRIJEM	PREVOD Z UCTU	5113	28185	DUCHOD	IJ	60613775
692108	2365	1995-10-05	PRIJEM	PREVOD Z UCTU	5113	23263	DUCHOD	IJ	60613775
692109	2365	1995-11-05	PRIJEM	PREVOD Z UCTU	5113	25388	DUCHOD	IJ	60613775
692110	2365	1995-12-05	PRIJEM	PREVOD Z UCTU	5113	27516	DUCHOD	IJ	60613775
692111	2365	1996-01-05	PRIJEM	PREVOD Z UCTU	5113	25307	DUCHOD	IJ	60613775
692112	2365	1996-02-05	PRIJEM	PREVOD Z UCTU	5113	21020	DUCHOD	IJ	60613775
692113	2365	1996-03-05	PRIJEM	PREVOD Z UCTU	5113	23129	DUCHOD	IJ	60613775
692114	2365	1996-04-05	PRIJEM	PREVOD Z UCTU	5113	25247	DUCHOD	IJ	60613775
692115	2365	1996-05-05	PRIJEM	PREVOD Z UCTU	5113	25209	DUCHOD	IJ	60613775
692116	2365	1996-06-05	PRIJEM	PREVOD Z UCTU	5113	24930	DUCHOD	IJ	60613775
692117	2365	1996-07-05	PRIJEM	PREVOD Z UCTU	5113	24953	DUCHOD	IJ	60613775
692118	2365	1996-08-05	PRIJEM	PREVOD Z UCTU	5113	26278	DUCHOD	IJ	60613775
692119	2365	1996-09-05	PRIJEM	PREVOD Z UCTU	5113	28009	DUCHOD	IJ	60613775
692120	2365	1996-10-05	PRIJEM	PREVOD Z UCTU	5113	30147	DUCHOD	IJ	60613775
692121	2365	1996-11-05	PRIJEM	PREVOD Z UCTU	5113	32294	DUCHOD	IJ	60613775
692122	2365	1996-12-05	PRIJEM	PREVOD Z UCTU	5113	31970	DUCHOD	IJ	60613775
692123	2365	1997-01-05	PRIJEM	PREVOD Z UCTU	5113	30879	DUCHOD	IJ	60613775
692124	2365	1997-02-05	PRIJEM	PREVOD Z UCTU	5113	24157	DUCHOD	IJ	60613775
692125	2365	1997-03-05	PRIJEM	PREVOD Z UCTU	5113	26279	DUCHOD	IJ	60613775
692126	2365	1997-04-05	PRIJEM	PREVOD Z UCTU	5113	26248	DUCHOD	IJ	60613775
692127	2365	1997-05-05	PRIJEM	PREVOD Z UCTU	5113	26376	DUCHOD	IJ	60613775
692128	2365	1997-06-05	PRIJEM	PREVOD Z UCTU	5113	28507	DUCHOD	IJ	60613775
692129	2365	1997-07-05	PRIJEM	PREVOD Z UCTU	5113	22095	DUCHOD	IJ	60613775
692130	2365	1997-08-05	PRIJEM	PREVOD Z UCTU	5113	24208	DUCHOD	IJ	60613775
692131	2365	1997-09-05	PRIJEM	PREVOD Z UCTU	5113	26330	DUCHOD	IJ	60613775
692132	2365	1997-10-05	PRIJEM	PREVOD Z UCTU	5113	28461	DUCHOD	IJ	60613775
692133	2365	1997-11-05	PRIJEM	PREVOD Z UCTU	5113	30601	DUCHOD	IJ	60613775
692134	2365	1997-12-05	PRIJEM	PREVOD Z UCTU	5113	32749	DUCHOD	IJ	60613775
692135	2365	1998-01-05	PRIJEM	PREVOD Z UCTU	5113	29627	DUCHOD	IJ	60613775
692136	2365	1998-02-05	PRIJEM	PREVOD Z UCTU	5113	20354	DUCHOD	IJ	60613775
692137	2365	1998-03-05	PRIJEM	PREVOD Z UCTU	5113	22459	DUCHOD	IJ	60613775
692138	2365	1998-04-05	PRIJEM	PREVOD Z UCTU	5113	24573	DUCHOD	IJ	60613775
692139	2365	1998-05-05	PRIJEM	PREVOD Z UCTU	5113	25494	DUCHOD	IJ	60613775
692140	2365	1998-06-05	PRIJEM	PREVOD Z UCTU	5113	27621	DUCHOD	IJ	60613775
692141	2365	1998-07-05	PRIJEM	PREVOD Z UCTU	5113	27756	DUCHOD	IJ	60613775
692142	2365	1998-08-05	PRIJEM	PREVOD Z UCTU	5113	29892	DUCHOD	IJ	60613775
692143	2365	1998-09-05	PRIJEM	PREVOD Z UCTU	5113	32038	DUCHOD	IJ	60613775
692144	2365	1998-10-05	PRIJEM	PREVOD Z UCTU	5113	34192	DUCHOD	IJ	60613775
692145	2365	1998-11-05	PRIJEM	PREVOD Z UCTU	5113	32587	DUCHOD	IJ	60613775
692146	2365	1998-12-05	PRIJEM	PREVOD Z UCTU	5113	34744	DUCHOD	IJ	60613775
692161	2365	1995-03-11	VYDAJ	PREVOD NA UCET	3061	22494	SIPO	KL	22873586
692162	2365	1995-04-11	VYDAJ	PREVOD NA UCET	3061	22818	SIPO	KL	22873586
692163	2365	1995-05-11	VYDAJ	PREVOD NA UCET	3061	24953	SIPO	KL	22873586
692273	2365	1997-03-23	VYDAJ	VYBER	2160	21058	\N	\N	\N
692164	2365	1995-06-11	VYDAJ	PREVOD NA UCET	3061	22091	SIPO	KL	22873586
692165	2365	1995-07-11	VYDAJ	PREVOD NA UCET	3061	24225	SIPO	KL	22873586
692166	2365	1995-08-11	VYDAJ	PREVOD NA UCET	3061	22994	SIPO	KL	22873586
692167	2365	1995-09-11	VYDAJ	PREVOD NA UCET	3061	25124	SIPO	KL	22873586
692168	2365	1995-10-11	VYDAJ	PREVOD NA UCET	3061	20202	SIPO	KL	22873586
692169	2365	1995-11-11	VYDAJ	PREVOD NA UCET	3061	22327	SIPO	KL	22873586
692170	2365	1995-12-11	VYDAJ	PREVOD NA UCET	3061	24455	SIPO	KL	22873586
692171	2365	1996-01-11	VYDAJ	PREVOD NA UCET	3061	17046	SIPO	KL	22873586
692172	2365	1996-02-11	VYDAJ	PREVOD NA UCET	3061	17959	SIPO	KL	22873586
692173	2365	1996-03-11	VYDAJ	PREVOD NA UCET	3061	20068	SIPO	KL	22873586
692174	2365	1996-04-11	VYDAJ	PREVOD NA UCET	3061	22186	SIPO	KL	22873586
692175	2365	1996-05-11	VYDAJ	PREVOD NA UCET	3061	22148	SIPO	KL	22873586
692176	2365	1996-06-11	VYDAJ	PREVOD NA UCET	3061	21869	SIPO	KL	22873586
692177	2365	1996-07-11	VYDAJ	PREVOD NA UCET	3061	21892	SIPO	KL	22873586
692178	2365	1996-08-11	VYDAJ	PREVOD NA UCET	3061	23217	SIPO	KL	22873586
692179	2365	1996-09-11	VYDAJ	PREVOD NA UCET	3061	24948	SIPO	KL	22873586
692180	2365	1996-10-11	VYDAJ	PREVOD NA UCET	3061	27086	SIPO	KL	22873586
692181	2365	1996-11-11	VYDAJ	PREVOD NA UCET	3061	29233	SIPO	KL	22873586
692182	2365	1996-12-11	VYDAJ	PREVOD NA UCET	3061	28909	SIPO	KL	22873586
692183	2365	1997-01-11	VYDAJ	PREVOD NA UCET	3061	21418	SIPO	KL	22873586
692184	2365	1997-02-11	VYDAJ	PREVOD NA UCET	3061	21096	SIPO	KL	22873586
692185	2365	1997-03-11	VYDAJ	PREVOD NA UCET	3061	23218	SIPO	KL	22873586
692186	2365	1997-04-11	VYDAJ	PREVOD NA UCET	3061	23187	SIPO	KL	22873586
692187	2365	1997-05-11	VYDAJ	PREVOD NA UCET	3061	23315	SIPO	KL	22873586
692188	2365	1997-06-11	VYDAJ	PREVOD NA UCET	3061	22406	SIPO	KL	22873586
692189	2365	1997-07-11	VYDAJ	PREVOD NA UCET	3061	19034	SIPO	KL	22873586
692190	2365	1997-08-11	VYDAJ	PREVOD NA UCET	3061	21147	SIPO	KL	22873586
692191	2365	1997-09-11	VYDAJ	PREVOD NA UCET	3061	23269	SIPO	KL	22873586
692192	2365	1997-10-11	VYDAJ	PREVOD NA UCET	3061	25400	SIPO	KL	22873586
692193	2365	1997-11-11	VYDAJ	PREVOD NA UCET	3061	27540	SIPO	KL	22873586
692194	2365	1997-12-11	VYDAJ	PREVOD NA UCET	3061	25698	SIPO	KL	22873586
692195	2365	1998-01-11	VYDAJ	PREVOD NA UCET	3061	23446	SIPO	KL	22873586
692196	2365	1998-02-11	VYDAJ	PREVOD NA UCET	3061	17293	SIPO	KL	22873586
692197	2365	1998-03-11	VYDAJ	PREVOD NA UCET	3061	19398	SIPO	KL	22873586
692198	2365	1998-04-11	VYDAJ	PREVOD NA UCET	3061	21512	SIPO	KL	22873586
692199	2365	1998-05-11	VYDAJ	PREVOD NA UCET	3061	22433	SIPO	KL	22873586
692200	2365	1998-06-11	VYDAJ	PREVOD NA UCET	3061	24560	SIPO	KL	22873586
692201	2365	1998-07-11	VYDAJ	PREVOD NA UCET	3061	24695	SIPO	KL	22873586
692202	2365	1998-08-11	VYDAJ	PREVOD NA UCET	3061	26831	SIPO	KL	22873586
692203	2365	1998-09-11	VYDAJ	PREVOD NA UCET	3061	28977	SIPO	KL	22873586
692204	2365	1998-10-11	VYDAJ	PREVOD NA UCET	3061	31131	SIPO	KL	22873586
692205	2365	1998-11-11	VYDAJ	PREVOD NA UCET	3061	29526	SIPO	KL	22873586
692206	2365	1998-12-11	VYDAJ	PREVOD NA UCET	3061	31683	SIPO	KL	22873586
692208	2365	1995-06-01	VYDAJ	VYBER	5000	20039	\N	\N	\N
692209	2365	1996-06-22	VYDAJ	VYBER	2100	19769	\N	\N	\N
692210	2365	1997-06-26	VYDAJ	VYBER	5500	16906	\N	\N	\N
692215	2365	1997-01-17	VYDAJ	VYBER	1250	20168	\N	\N	\N
692216	2365	1998-01-16	VYDAJ	VYBER	1000	20126	\N	\N	\N
692218	2365	1995-12-17	VYDAJ	VYBER	1300	21795	\N	\N	\N
692219	2365	1996-12-18	VYDAJ	VYBER	850	28059	\N	\N	\N
692220	2365	1997-12-09	VYDAJ	VYBER	950	28759	\N	\N	\N
692221	2365	1998-12-23	VYDAJ	VYBER	1100	30583	\N	\N	\N
692234	2365	1996-01-05	VYDAJ	VYBER	2000	22827	\N	\N	\N
692235	2365	1996-01-08	VYDAJ	VYBER	640	22187	\N	\N	\N
692236	2365	1996-01-19	VYDAJ	VYBER	640	16406	\N	\N	\N
692237	2365	1996-01-09	VYDAJ	VYBER	2080	20107	\N	\N	\N
692238	2365	1996-01-05	VYDAJ	VYBER	480	24827	\N	\N	\N
692239	2365	1996-01-01	VYDAJ	VYBER	1680	20194	\N	\N	\N
692240	2365	1997-01-01	VYDAJ	VYBER	1680	26486	\N	\N	\N
692241	2365	1997-01-09	VYDAJ	VYBER	2320	24479	\N	\N	\N
692242	2365	1997-01-19	VYDAJ	VYBER	1200	18968	\N	\N	\N
692243	2365	1997-01-02	VYDAJ	VYBER	720	25766	\N	\N	\N
692244	2365	1997-01-06	VYDAJ	VYBER	2320	28559	\N	\N	\N
692245	2365	1997-01-07	VYDAJ	VYBER	1760	26799	\N	\N	\N
692246	2365	1998-01-06	VYDAJ	VYBER	2000	26507	\N	\N	\N
692247	2365	1998-01-05	VYDAJ	VYBER	1120	28507	\N	\N	\N
692248	2365	1998-01-25	VYDAJ	VYBER	1040	19086	\N	\N	\N
692249	2365	1998-01-01	VYDAJ	VYBER	720	25074	\N	\N	\N
692250	2365	1998-01-14	VYDAJ	VYBER	2320	21126	\N	\N	\N
692251	2365	1998-01-02	VYDAJ	VYBER	560	24514	\N	\N	\N
692258	2365	1995-10-01	VYDAJ	VYBER	3760	18150	\N	\N	\N
692259	2365	1995-12-15	VYDAJ	VYBER	1360	23095	\N	\N	\N
692260	2365	1995-09-26	VYDAJ	VYBER	2400	22724	\N	\N	\N
692261	2365	1995-03-27	VYDAJ	VYBER	800	21694	\N	\N	\N
692262	2365	1995-07-17	VYDAJ	VYBER	3360	20865	\N	\N	\N
692264	2365	1996-05-14	VYDAJ	VYBER	2400	19748	\N	\N	\N
692265	2365	1996-07-30	VYDAJ	VYBER	800	21092	\N	\N	\N
692266	2365	1996-01-26	VYDAJ	VYBER	560	15846	\N	\N	\N
692267	2365	1996-08-13	VYDAJ	VYBER	400	22817	\N	\N	\N
692268	2365	1996-04-15	VYDAJ	VYBER	2160	20026	\N	\N	\N
692269	2365	1996-12-04	VYDAJ	VYBER	2480	26857	\N	\N	\N
692270	2365	1997-12-05	VYDAJ	VYBER	3040	29709	\N	\N	\N
692271	2365	1997-06-10	VYDAJ	VYBER	3040	25467	\N	\N	\N
692272	2365	1997-04-22	VYDAJ	VYBER	2000	21187	\N	\N	\N
692274	2365	1998-10-18	VYDAJ	VYBER	3760	27371	\N	\N	\N
692275	2365	1998-01-27	VYDAJ	VYBER	3920	15166	\N	\N	\N
692276	2365	1998-06-30	VYDAJ	VYBER	2000	22658	\N	\N	\N
692277	2365	1998-04-14	VYDAJ	VYBER	1200	20312	\N	\N	\N
692293	2365	1995-03-31	VYDAJ	VYBER	15	21766	SLUZBY	\N	\N
692294	2365	1995-04-30	VYDAJ	VYBER	15	22901	SLUZBY	\N	\N
692295	2365	1995-05-31	VYDAJ	VYBER	15	25039	SLUZBY	\N	\N
692296	2365	1995-06-30	VYDAJ	VYBER	15	22173	SLUZBY	\N	\N
692297	2365	1995-07-31	VYDAJ	VYBER	15	20942	SLUZBY	\N	\N
692298	2365	1995-08-31	VYDAJ	VYBER	15	23072	SLUZBY	\N	\N
692299	2365	1995-09-30	VYDAJ	VYBER	15	22810	SLUZBY	\N	\N
692300	2365	1995-10-31	VYDAJ	VYBER	15	20275	SLUZBY	\N	\N
692301	2365	1995-11-30	VYDAJ	VYBER	15	22403	SLUZBY	\N	\N
692302	2365	1995-12-31	VYDAJ	VYBER	15	21874	SLUZBY	\N	\N
692303	2365	1996-01-31	VYDAJ	VYBER	15	15907	SLUZBY	\N	\N
692304	2365	1996-02-29	VYDAJ	VYBER	15	18016	SLUZBY	\N	\N
692305	2365	1996-03-31	VYDAJ	VYBER	15	20134	SLUZBY	\N	\N
692306	2365	1996-04-30	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
692307	2365	1996-05-31	VYDAJ	VYBER	15	19817	SLUZBY	\N	\N
692308	2365	1996-06-30	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
692309	2365	1996-07-31	VYDAJ	VYBER	15	21165	SLUZBY	\N	\N
692310	2365	1996-08-31	VYDAJ	VYBER	15	22896	SLUZBY	\N	\N
692311	2365	1996-09-30	VYDAJ	VYBER	15	25034	SLUZBY	\N	\N
692312	2365	1996-10-31	VYDAJ	VYBER	15	27181	SLUZBY	\N	\N
692313	2365	1996-11-30	VYDAJ	VYBER	15	29337	SLUZBY	\N	\N
692314	2365	1996-12-31	VYDAJ	VYBER	15	28166	SLUZBY	\N	\N
692315	2365	1997-01-31	VYDAJ	VYBER	15	19044	SLUZBY	\N	\N
692316	2365	1997-02-28	VYDAJ	VYBER	15	21166	SLUZBY	\N	\N
692317	2365	1997-03-31	VYDAJ	VYBER	15	21135	SLUZBY	\N	\N
692318	2365	1997-04-30	VYDAJ	VYBER	15	21263	SLUZBY	\N	\N
692319	2365	1997-05-31	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
692320	2365	1997-06-30	VYDAJ	VYBER	15	16982	SLUZBY	\N	\N
692321	2365	1997-07-31	VYDAJ	VYBER	15	19095	SLUZBY	\N	\N
692322	2365	1997-08-31	VYDAJ	VYBER	15	21217	SLUZBY	\N	\N
692323	2365	1997-09-30	VYDAJ	VYBER	15	23348	SLUZBY	\N	\N
692324	2365	1997-10-31	VYDAJ	VYBER	15	25488	SLUZBY	\N	\N
692325	2365	1997-11-30	VYDAJ	VYBER	15	27636	SLUZBY	\N	\N
692326	2365	1997-12-31	VYDAJ	VYBER	15	25794	SLUZBY	\N	\N
692327	2365	1998-01-31	VYDAJ	VYBER	15	15241	SLUZBY	\N	\N
692328	2365	1998-02-28	VYDAJ	VYBER	15	17346	SLUZBY	\N	\N
692329	2365	1998-03-31	VYDAJ	VYBER	15	19460	SLUZBY	\N	\N
692330	2365	1998-04-30	VYDAJ	VYBER	15	20381	SLUZBY	\N	\N
692331	2365	1998-05-31	VYDAJ	VYBER	15	22508	SLUZBY	\N	\N
692332	2365	1998-06-30	VYDAJ	VYBER	15	22643	SLUZBY	\N	\N
692333	2365	1998-07-31	VYDAJ	VYBER	15	24779	SLUZBY	\N	\N
692334	2365	1998-08-31	VYDAJ	VYBER	15	26925	SLUZBY	\N	\N
692335	2365	1998-09-30	VYDAJ	VYBER	15	29079	SLUZBY	\N	\N
692336	2365	1998-10-31	VYDAJ	VYBER	15	27474	SLUZBY	\N	\N
692337	2365	1998-11-30	VYDAJ	VYBER	15	29631	SLUZBY	\N	\N
692338	2365	1995-03-04	VYDAJ	VYBER	600	20442	\N	\N	\N
692339	2365	1995-04-03	VYDAJ	VYBER	1000	20766	\N	\N	\N
692340	2365	1995-09-30	VYDAJ	VYBER	900	21910	\N	\N	\N
692391	2366	1997-05-20	PRIJEM	VKLAD	700	700	\N	\N	\N
692397	2366	1997-06-10	PRIJEM	PREVOD Z UCTU	5226	5926	DUCHOD	EF	55076229
692398	2366	1997-07-10	PRIJEM	PREVOD Z UCTU	5226	11152	DUCHOD	EF	55076229
692399	2366	1997-08-10	PRIJEM	PREVOD Z UCTU	5226	16378	DUCHOD	EF	55076229
692400	2366	1997-09-10	PRIJEM	PREVOD Z UCTU	5226	21604	DUCHOD	EF	55076229
692401	2366	1997-10-10	PRIJEM	PREVOD Z UCTU	5226	23966	DUCHOD	EF	55076229
692402	2366	1997-11-10	PRIJEM	PREVOD Z UCTU	5226	25813	DUCHOD	EF	55076229
692403	2366	1997-12-10	PRIJEM	PREVOD Z UCTU	5226	28973	DUCHOD	EF	55076229
692404	2366	1998-01-10	PRIJEM	PREVOD Z UCTU	5226	27472	DUCHOD	EF	55076229
692405	2366	1998-02-10	PRIJEM	PREVOD Z UCTU	5226	29336	DUCHOD	EF	55076229
692406	2366	1998-03-10	PRIJEM	PREVOD Z UCTU	5226	33012	DUCHOD	EF	55076229
692407	2366	1998-04-10	PRIJEM	PREVOD Z UCTU	5226	27648	DUCHOD	EF	55076229
692408	2366	1998-05-10	PRIJEM	PREVOD Z UCTU	5226	26909	DUCHOD	EF	55076229
692409	2366	1998-06-10	PRIJEM	PREVOD Z UCTU	5226	10652	DUCHOD	EF	55076229
692410	2366	1998-07-10	PRIJEM	PREVOD Z UCTU	5226	14255	DUCHOD	EF	55076229
692411	2366	1998-08-10	PRIJEM	PREVOD Z UCTU	5226	13708	DUCHOD	EF	55076229
692412	2366	1998-09-10	PRIJEM	PREVOD Z UCTU	5226	12689	DUCHOD	EF	55076229
692413	2366	1998-10-10	PRIJEM	PREVOD Z UCTU	5226	9330	DUCHOD	EF	55076229
692414	2366	1998-11-10	PRIJEM	PREVOD Z UCTU	5226	12925	DUCHOD	EF	55076229
692415	2366	1998-12-10	PRIJEM	PREVOD Z UCTU	5226	16532	DUCHOD	EF	55076229
692426	2366	1997-11-07	VYDAJ	PREVOD NA UCET	388	20587	SIPO	CD	66497516
692427	2366	1997-12-07	VYDAJ	PREVOD NA UCET	388	23747	SIPO	CD	66497516
692428	2366	1998-01-07	VYDAJ	PREVOD NA UCET	388	22246	SIPO	CD	66497516
692429	2366	1998-02-07	VYDAJ	PREVOD NA UCET	388	24110	SIPO	CD	66497516
692430	2366	1998-03-07	VYDAJ	PREVOD NA UCET	388	27786	SIPO	CD	66497516
692431	2366	1998-04-07	VYDAJ	PREVOD NA UCET	388	24662	SIPO	CD	66497516
692432	2366	1998-05-07	VYDAJ	PREVOD NA UCET	388	21683	SIPO	CD	66497516
692433	2366	1998-06-07	VYDAJ	PREVOD NA UCET	388	5426	SIPO	CD	66497516
692434	2366	1998-07-07	VYDAJ	PREVOD NA UCET	388	9029	SIPO	CD	66497516
692435	2366	1998-08-07	VYDAJ	PREVOD NA UCET	388	8482	SIPO	CD	66497516
692436	2366	1998-09-07	VYDAJ	PREVOD NA UCET	388	7463	SIPO	CD	66497516
692437	2366	1998-10-07	VYDAJ	PREVOD NA UCET	388	7384	SIPO	CD	66497516
692438	2366	1998-11-07	VYDAJ	PREVOD NA UCET	388	7699	SIPO	CD	66497516
692439	2366	1998-12-07	VYDAJ	PREVOD NA UCET	388	11306	SIPO	CD	66497516
692449	2366	1997-10-14	VYDAJ	PREVOD NA UCET	1261	22705	 	QR	30780631
692450	2366	1997-11-14	VYDAJ	PREVOD NA UCET	1261	24552	 	QR	30780631
692451	2366	1997-12-14	VYDAJ	PREVOD NA UCET	1261	27712	 	QR	30780631
692452	2366	1998-01-14	VYDAJ	PREVOD NA UCET	1261	26211	 	QR	30780631
692453	2366	1998-02-14	VYDAJ	PREVOD NA UCET	1261	28075	 	QR	30780631
692454	2366	1998-03-14	VYDAJ	PREVOD NA UCET	1261	31751	 	QR	30780631
692455	2366	1998-04-14	VYDAJ	PREVOD NA UCET	1261	26387	 	QR	30780631
692456	2366	1998-05-14	VYDAJ	PREVOD NA UCET	1261	25648	 	QR	30780631
692457	2366	1998-06-14	VYDAJ	PREVOD NA UCET	1261	9391	 	QR	30780631
692458	2366	1998-07-14	VYDAJ	PREVOD NA UCET	1261	12994	 	QR	30780631
692459	2366	1998-08-14	VYDAJ	PREVOD NA UCET	1261	9747	 	QR	30780631
692460	2366	1998-09-14	VYDAJ	PREVOD NA UCET	1261	11428	 	QR	30780631
692461	2366	1998-10-14	VYDAJ	PREVOD NA UCET	1261	8069	 	QR	30780631
692462	2366	1998-11-14	VYDAJ	PREVOD NA UCET	1261	11664	 	QR	30780631
692463	2366	1998-12-14	VYDAJ	PREVOD NA UCET	1261	15271	 	QR	30780631
692465	2366	1998-06-04	VYDAJ	VYBER	13650	5814	\N	\N	\N
692466	2366	1997-12-24	VYDAJ	VYBER	250	26462	\N	\N	\N
692467	2366	1998-12-20	VYDAJ	VYBER	1450	13821	\N	\N	\N
692472	2366	1997-12-28	VYDAJ	VYBER	3920	22542	\N	\N	\N
692476	2366	1998-08-17	VYDAJ	VYBER	1920	7827	\N	\N	\N
692477	2366	1998-08-02	VYDAJ	VYBER	1760	8870	\N	\N	\N
692478	2366	1998-09-21	VYDAJ	VYBER	3680	7748	\N	\N	\N
692479	2366	1998-06-02	VYDAJ	VYBER	560	19464	\N	\N	\N
692480	2366	1998-10-08	VYDAJ	VYBER	3280	4104	\N	\N	\N
692481	2366	1998-04-09	VYDAJ	VYBER	2240	22422	\N	\N	\N
692492	2366	1997-10-31	VYDAJ	VYBER	15	20975	SLUZBY	\N	\N
692493	2366	1997-11-30	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
692494	2366	1997-12-31	VYDAJ	VYBER	15	22634	SLUZBY	\N	\N
692495	2366	1998-01-31	VYDAJ	VYBER	15	24498	SLUZBY	\N	\N
692496	2366	1998-02-28	VYDAJ	VYBER	15	28174	SLUZBY	\N	\N
692497	2366	1998-03-31	VYDAJ	VYBER	15	25050	SLUZBY	\N	\N
692498	2366	1998-04-30	VYDAJ	VYBER	15	22071	SLUZBY	\N	\N
692499	2366	1998-05-31	VYDAJ	VYBER	15	20024	SLUZBY	\N	\N
692500	2366	1998-06-30	VYDAJ	VYBER	15	9417	SLUZBY	\N	\N
692501	2366	1998-07-31	VYDAJ	VYBER	15	10630	SLUZBY	\N	\N
692502	2366	1998-08-31	VYDAJ	VYBER	15	7851	SLUZBY	\N	\N
692503	2366	1998-09-30	VYDAJ	VYBER	15	7772	SLUZBY	\N	\N
692504	2366	1998-10-31	VYDAJ	VYBER	15	8087	SLUZBY	\N	\N
692505	2366	1998-11-30	VYDAJ	VYBER	15	11694	SLUZBY	\N	\N
692506	2366	1997-09-17	VYDAJ	VYBER	2900	18704	\N	\N	\N
692507	2366	1997-10-17	VYDAJ	VYBER	1800	20905	\N	\N	\N
692508	2366	1997-11-16	VYDAJ	VYBER	500	24052	\N	\N	\N
692509	2366	1997-12-16	VYDAJ	VYBER	1000	26712	\N	\N	\N
692510	2366	1998-01-15	VYDAJ	VYBER	1800	24411	\N	\N	\N
692511	2366	1998-03-16	VYDAJ	VYBER	6800	24951	\N	\N	\N
692512	2366	1998-04-15	VYDAJ	VYBER	4400	21987	\N	\N	\N
692513	2366	1998-05-15	VYDAJ	VYBER	5700	19948	\N	\N	\N
692514	2366	1998-07-14	VYDAJ	VYBER	2400	10594	\N	\N	\N
692515	2366	1998-08-13	VYDAJ	VYBER	2700	11008	\N	\N	\N
692532	2367	1995-03-04	PRIJEM	VKLAD	800	800	\N	\N	\N
692535	2367	1995-03-13	PRIJEM	VKLAD	19816	20616	\N	\N	\N
692536	2367	1995-04-13	PRIJEM	VKLAD	19816	40785	\N	\N	\N
692537	2367	1995-05-13	PRIJEM	VKLAD	19816	50137	\N	\N	\N
692538	2367	1995-06-13	PRIJEM	VKLAD	29724	63855	\N	\N	\N
692539	2367	1995-07-13	PRIJEM	VKLAD	19816	60514	\N	\N	\N
692540	2367	1995-08-13	PRIJEM	VKLAD	19816	54585	\N	\N	\N
692541	2367	1995-09-13	PRIJEM	VKLAD	19816	47610	\N	\N	\N
692542	2367	1995-10-13	PRIJEM	VKLAD	19816	44295	\N	\N	\N
692543	2367	1995-11-13	PRIJEM	VKLAD	19816	46078	\N	\N	\N
692544	2367	1995-12-13	PRIJEM	VKLAD	29724	49157	\N	\N	\N
692545	2367	1996-01-13	PRIJEM	VKLAD	19816	48131	\N	\N	\N
692546	2367	1996-02-13	PRIJEM	VKLAD	19816	44511	\N	\N	\N
692547	2367	1996-03-13	PRIJEM	VKLAD	19816	47082	\N	\N	\N
692548	2367	1996-04-13	PRIJEM	VKLAD	19816	49264	\N	\N	\N
692549	2367	1996-05-13	PRIJEM	VKLAD	19816	48954	\N	\N	\N
692550	2367	1996-06-13	PRIJEM	VKLAD	29724	62551	\N	\N	\N
692551	2367	1996-07-13	PRIJEM	VKLAD	19816	54767	\N	\N	\N
692552	2367	1996-08-13	PRIJEM	VKLAD	19816	51675	\N	\N	\N
692553	2367	1996-09-13	PRIJEM	VKLAD	19816	51470	\N	\N	\N
692554	2367	1996-10-13	PRIJEM	VKLAD	19816	46261	\N	\N	\N
692555	2367	1996-11-13	PRIJEM	VKLAD	19816	43236	\N	\N	\N
692556	2367	1996-12-13	PRIJEM	VKLAD	29724	58305	\N	\N	\N
692557	2367	1997-01-13	PRIJEM	VKLAD	19816	42504	\N	\N	\N
692558	2367	1997-02-13	PRIJEM	VKLAD	19816	41363	\N	\N	\N
692559	2367	1997-03-13	PRIJEM	VKLAD	19816	46817	\N	\N	\N
692560	2367	1997-04-13	PRIJEM	VKLAD	19816	47390	\N	\N	\N
692561	2367	1997-05-13	PRIJEM	VKLAD	19816	47063	\N	\N	\N
692562	2367	1997-06-13	PRIJEM	VKLAD	29724	56341	\N	\N	\N
692563	2367	1997-07-13	PRIJEM	VKLAD	19816	53731	\N	\N	\N
692564	2367	1997-08-13	PRIJEM	VKLAD	19816	55732	\N	\N	\N
692565	2367	1997-09-13	PRIJEM	VKLAD	19816	49227	\N	\N	\N
692566	2367	1997-10-13	PRIJEM	VKLAD	19816	50505	\N	\N	\N
692567	2367	1997-11-13	PRIJEM	VKLAD	19816	52489	\N	\N	\N
692568	2367	1997-12-13	PRIJEM	VKLAD	29724	61884	\N	\N	\N
692569	2367	1998-01-13	PRIJEM	VKLAD	19816	42576	\N	\N	\N
692570	2367	1998-02-13	PRIJEM	VKLAD	19816	47833	\N	\N	\N
692571	2367	1998-03-13	PRIJEM	VKLAD	19816	49802	\N	\N	\N
692572	2367	1998-04-13	PRIJEM	VKLAD	19816	55088	\N	\N	\N
692573	2367	1998-05-13	PRIJEM	VKLAD	19816	61097	\N	\N	\N
692574	2367	1998-06-13	PRIJEM	VKLAD	29724	71027	\N	\N	\N
692575	2367	1998-07-13	PRIJEM	VKLAD	19816	49954	\N	\N	\N
692576	2367	1998-08-13	PRIJEM	VKLAD	19816	56041	\N	\N	\N
692577	2367	1998-09-13	PRIJEM	VKLAD	19816	63856	\N	\N	\N
692578	2367	1998-10-13	PRIJEM	VKLAD	19816	63392	\N	\N	\N
692579	2367	1998-11-13	PRIJEM	VKLAD	19816	62314	\N	\N	\N
692580	2367	1998-12-13	PRIJEM	VKLAD	29724	70640	\N	\N	\N
692588	2367	1995-08-07	VYDAJ	PREVOD NA UCET	5601	34769	SIPO	MN	47298574
692589	2367	1995-09-07	VYDAJ	PREVOD NA UCET	5601	27794	SIPO	MN	47298574
692590	2367	1995-10-07	VYDAJ	PREVOD NA UCET	5601	28779	SIPO	MN	47298574
692591	2367	1995-11-07	VYDAJ	PREVOD NA UCET	5601	26262	SIPO	MN	47298574
692592	2367	1995-12-07	VYDAJ	PREVOD NA UCET	5601	21733	SIPO	MN	47298574
692593	2367	1996-01-07	VYDAJ	PREVOD NA UCET	5601	28315	SIPO	MN	47298574
692594	2367	1996-02-07	VYDAJ	PREVOD NA UCET	5601	24695	SIPO	MN	47298574
692595	2367	1996-03-07	VYDAJ	PREVOD NA UCET	5601	27266	SIPO	MN	47298574
692596	2367	1996-04-07	VYDAJ	PREVOD NA UCET	5601	29448	SIPO	MN	47298574
692597	2367	1996-05-07	VYDAJ	PREVOD NA UCET	5601	29138	SIPO	MN	47298574
692598	2367	1996-06-07	VYDAJ	PREVOD NA UCET	5601	32827	SIPO	MN	47298574
692599	2367	1996-07-07	VYDAJ	PREVOD NA UCET	5601	34951	SIPO	MN	47298574
692600	2367	1996-08-07	VYDAJ	PREVOD NA UCET	5601	31859	SIPO	MN	47298574
692601	2367	1996-09-07	VYDAJ	PREVOD NA UCET	5601	31654	SIPO	MN	47298574
692602	2367	1996-10-07	VYDAJ	PREVOD NA UCET	5601	28845	SIPO	MN	47298574
692603	2367	1996-11-07	VYDAJ	PREVOD NA UCET	5601	23420	SIPO	MN	47298574
692604	2367	1996-12-07	VYDAJ	PREVOD NA UCET	5601	28581	SIPO	MN	47298574
692605	2367	1997-01-07	VYDAJ	PREVOD NA UCET	5601	22688	SIPO	MN	47298574
692606	2367	1997-02-07	VYDAJ	PREVOD NA UCET	5601	23647	SIPO	MN	47298574
692607	2367	1997-03-07	VYDAJ	PREVOD NA UCET	5601	27001	SIPO	MN	47298574
692608	2367	1997-04-07	VYDAJ	PREVOD NA UCET	5601	27574	SIPO	MN	47298574
692609	2367	1997-05-07	VYDAJ	PREVOD NA UCET	5601	27247	SIPO	MN	47298574
692610	2367	1997-06-07	VYDAJ	PREVOD NA UCET	5601	26617	SIPO	MN	47298574
692611	2367	1997-07-07	VYDAJ	PREVOD NA UCET	5601	33915	SIPO	MN	47298574
692612	2367	1997-08-07	VYDAJ	PREVOD NA UCET	5601	35916	SIPO	MN	47298574
692613	2367	1997-09-07	VYDAJ	PREVOD NA UCET	5601	29411	SIPO	MN	47298574
692614	2367	1997-10-07	VYDAJ	PREVOD NA UCET	5601	30689	SIPO	MN	47298574
692615	2367	1997-11-07	VYDAJ	PREVOD NA UCET	5601	32673	SIPO	MN	47298574
692616	2367	1997-12-07	VYDAJ	PREVOD NA UCET	5601	32160	SIPO	MN	47298574
692617	2367	1998-01-07	VYDAJ	PREVOD NA UCET	5601	22760	SIPO	MN	47298574
692618	2367	1998-02-07	VYDAJ	PREVOD NA UCET	5601	28017	SIPO	MN	47298574
692619	2367	1998-03-07	VYDAJ	PREVOD NA UCET	5601	29986	SIPO	MN	47298574
692620	2367	1998-04-07	VYDAJ	PREVOD NA UCET	5601	35272	SIPO	MN	47298574
692621	2367	1998-05-07	VYDAJ	PREVOD NA UCET	5601	41281	SIPO	MN	47298574
692622	2367	1998-06-07	VYDAJ	PREVOD NA UCET	5601	41303	SIPO	MN	47298574
692623	2367	1998-07-07	VYDAJ	PREVOD NA UCET	5601	30138	SIPO	MN	47298574
692624	2367	1998-08-07	VYDAJ	PREVOD NA UCET	5601	36225	SIPO	MN	47298574
692625	2367	1998-09-07	VYDAJ	PREVOD NA UCET	5601	44040	SIPO	MN	47298574
692626	2367	1998-10-07	VYDAJ	PREVOD NA UCET	5601	43576	SIPO	MN	47298574
692627	2367	1998-11-07	VYDAJ	PREVOD NA UCET	5601	42498	SIPO	MN	47298574
692628	2367	1998-12-07	VYDAJ	PREVOD NA UCET	5601	40916	SIPO	MN	47298574
692635	2367	1995-07-14	VYDAJ	PREVOD NA UCET	3678	56836	 	KL	61017304
692636	2367	1995-08-14	VYDAJ	PREVOD NA UCET	3678	50907	 	KL	61017304
692637	2367	1995-09-14	VYDAJ	PREVOD NA UCET	3678	43932	 	KL	61017304
692638	2367	1995-10-14	VYDAJ	PREVOD NA UCET	3678	40617	 	KL	61017304
692639	2367	1995-11-14	VYDAJ	PREVOD NA UCET	3678	42400	 	KL	61017304
692640	2367	1995-12-14	VYDAJ	PREVOD NA UCET	3678	45479	 	KL	61017304
692641	2367	1996-01-14	VYDAJ	PREVOD NA UCET	3678	44453	 	KL	61017304
692642	2367	1996-02-14	VYDAJ	PREVOD NA UCET	3678	40833	 	KL	61017304
692643	2367	1996-03-14	VYDAJ	PREVOD NA UCET	3678	43404	 	KL	61017304
692644	2367	1996-04-14	VYDAJ	PREVOD NA UCET	3678	45586	 	KL	61017304
692645	2367	1996-05-14	VYDAJ	PREVOD NA UCET	3678	45276	 	KL	61017304
692646	2367	1996-06-14	VYDAJ	PREVOD NA UCET	3678	58873	 	KL	61017304
692647	2367	1996-07-14	VYDAJ	PREVOD NA UCET	3678	51089	 	KL	61017304
692648	2367	1996-08-14	VYDAJ	PREVOD NA UCET	3678	47997	 	KL	61017304
692649	2367	1996-09-14	VYDAJ	PREVOD NA UCET	3678	47792	 	KL	61017304
692650	2367	1996-10-14	VYDAJ	PREVOD NA UCET	3678	42583	 	KL	61017304
692651	2367	1996-11-14	VYDAJ	PREVOD NA UCET	3678	39558	 	KL	61017304
692652	2367	1996-12-14	VYDAJ	PREVOD NA UCET	3678	54627	 	KL	61017304
692653	2367	1997-01-14	VYDAJ	PREVOD NA UCET	3678	38826	 	KL	61017304
692654	2367	1997-02-14	VYDAJ	PREVOD NA UCET	3678	37685	 	KL	61017304
692655	2367	1997-03-14	VYDAJ	PREVOD NA UCET	3678	43139	 	KL	61017304
692656	2367	1997-04-14	VYDAJ	PREVOD NA UCET	3678	43712	 	KL	61017304
692657	2367	1997-05-14	VYDAJ	PREVOD NA UCET	3678	43385	 	KL	61017304
692658	2367	1997-06-14	VYDAJ	PREVOD NA UCET	3678	52663	 	KL	61017304
692659	2367	1997-07-14	VYDAJ	PREVOD NA UCET	3678	50053	 	KL	61017304
692660	2367	1997-08-14	VYDAJ	PREVOD NA UCET	3678	52054	 	KL	61017304
692661	2367	1997-09-14	VYDAJ	PREVOD NA UCET	3678	45549	 	KL	61017304
692662	2367	1997-10-14	VYDAJ	PREVOD NA UCET	3678	46827	 	KL	61017304
692663	2367	1997-11-14	VYDAJ	PREVOD NA UCET	3678	48811	 	KL	61017304
692664	2367	1997-12-14	VYDAJ	PREVOD NA UCET	3678	58206	 	KL	61017304
692665	2367	1998-01-14	VYDAJ	PREVOD NA UCET	3678	38898	 	KL	61017304
692666	2367	1998-02-14	VYDAJ	PREVOD NA UCET	3678	44155	 	KL	61017304
692667	2367	1998-03-14	VYDAJ	PREVOD NA UCET	3678	46124	 	KL	61017304
692668	2367	1998-04-14	VYDAJ	PREVOD NA UCET	3678	51410	 	KL	61017304
692669	2367	1998-05-14	VYDAJ	PREVOD NA UCET	3678	57419	 	KL	61017304
692670	2367	1998-06-14	VYDAJ	PREVOD NA UCET	3678	67349	 	KL	61017304
692671	2367	1998-07-14	VYDAJ	PREVOD NA UCET	3678	46276	 	KL	61017304
692672	2367	1998-08-14	VYDAJ	PREVOD NA UCET	3678	52363	 	KL	61017304
692673	2367	1998-09-14	VYDAJ	PREVOD NA UCET	3678	60178	 	KL	61017304
692674	2367	1998-10-14	VYDAJ	PREVOD NA UCET	3678	47914	 	KL	61017304
692675	2367	1998-11-14	VYDAJ	PREVOD NA UCET	3678	46336	 	KL	61017304
692676	2367	1998-12-14	VYDAJ	PREVOD NA UCET	3678	60962	 	KL	61017304
692678	2367	1996-06-23	VYDAJ	VYBER	11700	47173	\N	\N	\N
692680	2367	1998-06-28	VYDAJ	VYBER	15700	35549	\N	\N	\N
692682	2367	1996-01-19	VYDAJ	VYBER	2600	41853	\N	\N	\N
692683	2367	1997-01-05	VYDAJ	VYBER	6900	28289	\N	\N	\N
692684	2367	1998-01-02	VYDAJ	VYBER	7500	28361	\N	\N	\N
692685	2367	1995-12-10	VYDAJ	VYBER	1700	19433	\N	\N	\N
692686	2367	1996-12-28	VYDAJ	VYBER	2100	38227	\N	\N	\N
692687	2367	1997-12-23	VYDAJ	VYBER	2600	35706	\N	\N	\N
692688	2367	1998-12-26	VYDAJ	VYBER	600	56862	\N	\N	\N
692689	2367	1995-09-06	VYDAJ	VYBER	2200	33395	\N	\N	\N
692690	2367	1995-12-08	VYDAJ	VYBER	600	21133	\N	\N	\N
692691	2367	1995-10-08	VYDAJ	VYBER	4300	24479	\N	\N	\N
692693	2367	1995-11-16	VYDAJ	VYBER	3300	39100	\N	\N	\N
692696	2367	1996-11-04	VYDAJ	VYBER	4600	29021	\N	\N	\N
692697	2367	1996-04-27	VYDAJ	VYBER	1800	34586	\N	\N	\N
692698	2367	1996-10-11	VYDAJ	VYBER	2400	26445	\N	\N	\N
692699	2367	1996-11-19	VYDAJ	VYBER	1900	37658	\N	\N	\N
692700	2367	1997-01-04	VYDAJ	VYBER	3200	35189	\N	\N	\N
692701	2367	1997-02-09	VYDAJ	VYBER	2100	21547	\N	\N	\N
692702	2367	1997-02-01	VYDAJ	VYBER	3100	29248	\N	\N	\N
692703	2367	1997-06-25	VYDAJ	VYBER	2200	39363	\N	\N	\N
692704	2367	1997-08-23	VYDAJ	VYBER	2500	34854	\N	\N	\N
692705	2367	1997-12-21	VYDAJ	VYBER	1900	38306	\N	\N	\N
692706	2367	1998-11-14	VYDAJ	VYBER	4900	50014	\N	\N	\N
692707	2367	1998-10-13	VYDAJ	VYBER	4900	58492	\N	\N	\N
692708	2367	1998-10-01	VYDAJ	VYBER	3700	49177	\N	\N	\N
692709	2367	1998-06-17	VYDAJ	VYBER	1400	51249	\N	\N	\N
692710	2367	1998-12-19	VYDAJ	VYBER	3500	57462	\N	\N	\N
692718	2367	1995-07-31	VYDAJ	VYBER	15	57070	SLUZBY	\N	\N
692719	2367	1995-08-31	VYDAJ	VYBER	15	35595	SLUZBY	\N	\N
692720	2367	1995-09-30	VYDAJ	VYBER	15	44080	SLUZBY	\N	\N
692721	2367	1995-10-31	VYDAJ	VYBER	15	31863	SLUZBY	\N	\N
692722	2367	1995-11-30	VYDAJ	VYBER	15	27334	SLUZBY	\N	\N
692723	2367	1995-12-31	VYDAJ	VYBER	15	33916	SLUZBY	\N	\N
692724	2367	1996-01-31	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
692725	2367	1996-02-29	VYDAJ	VYBER	15	32867	SLUZBY	\N	\N
692726	2367	1996-03-31	VYDAJ	VYBER	15	35049	SLUZBY	\N	\N
692727	2367	1996-04-30	VYDAJ	VYBER	15	34739	SLUZBY	\N	\N
692728	2367	1996-05-31	VYDAJ	VYBER	15	38428	SLUZBY	\N	\N
692729	2367	1996-06-30	VYDAJ	VYBER	15	40552	SLUZBY	\N	\N
692730	2367	1996-07-31	VYDAJ	VYBER	15	37460	SLUZBY	\N	\N
692731	2367	1996-08-31	VYDAJ	VYBER	15	37255	SLUZBY	\N	\N
692732	2367	1996-09-30	VYDAJ	VYBER	15	34446	SLUZBY	\N	\N
692733	2367	1996-10-31	VYDAJ	VYBER	15	33621	SLUZBY	\N	\N
692734	2367	1996-11-30	VYDAJ	VYBER	15	34182	SLUZBY	\N	\N
692735	2367	1996-12-31	VYDAJ	VYBER	15	38389	SLUZBY	\N	\N
692736	2367	1997-01-31	VYDAJ	VYBER	15	32348	SLUZBY	\N	\N
692737	2367	1997-02-28	VYDAJ	VYBER	15	32602	SLUZBY	\N	\N
692738	2367	1997-03-31	VYDAJ	VYBER	15	33175	SLUZBY	\N	\N
692739	2367	1997-04-30	VYDAJ	VYBER	15	32848	SLUZBY	\N	\N
692740	2367	1997-05-31	VYDAJ	VYBER	15	32218	SLUZBY	\N	\N
692741	2367	1997-06-30	VYDAJ	VYBER	15	39516	SLUZBY	\N	\N
692742	2367	1997-07-31	VYDAJ	VYBER	15	41517	SLUZBY	\N	\N
692743	2367	1997-08-31	VYDAJ	VYBER	15	35012	SLUZBY	\N	\N
692744	2367	1997-09-30	VYDAJ	VYBER	15	36290	SLUZBY	\N	\N
692745	2367	1997-10-31	VYDAJ	VYBER	15	38274	SLUZBY	\N	\N
692746	2367	1997-11-30	VYDAJ	VYBER	15	37761	SLUZBY	\N	\N
692747	2367	1997-12-31	VYDAJ	VYBER	15	35861	SLUZBY	\N	\N
692748	2367	1998-01-31	VYDAJ	VYBER	15	33618	SLUZBY	\N	\N
692749	2367	1998-02-28	VYDAJ	VYBER	15	35587	SLUZBY	\N	\N
692750	2367	1998-03-31	VYDAJ	VYBER	15	40873	SLUZBY	\N	\N
692751	2367	1998-04-30	VYDAJ	VYBER	15	46882	SLUZBY	\N	\N
692752	2367	1998-05-31	VYDAJ	VYBER	15	46904	SLUZBY	\N	\N
692753	2367	1998-06-30	VYDAJ	VYBER	15	35739	SLUZBY	\N	\N
692754	2367	1998-07-31	VYDAJ	VYBER	15	41826	SLUZBY	\N	\N
692755	2367	1998-08-31	VYDAJ	VYBER	15	49641	SLUZBY	\N	\N
692756	2367	1998-09-30	VYDAJ	VYBER	15	52877	SLUZBY	\N	\N
692757	2367	1998-10-31	VYDAJ	VYBER	15	48099	SLUZBY	\N	\N
692758	2367	1998-11-30	VYDAJ	VYBER	15	46517	SLUZBY	\N	\N
692759	2367	1995-04-03	PRIJEM	VKLAD	300	20969	\N	\N	\N
692760	2367	1995-05-03	VYDAJ	VYBER	10600	30321	\N	\N	\N
692761	2367	1995-06-02	VYDAJ	VYBER	16200	34131	\N	\N	\N
692762	2367	1995-07-02	VYDAJ	VYBER	23400	40698	\N	\N	\N
692763	2367	1995-08-01	VYDAJ	VYBER	16700	40370	\N	\N	\N
692764	2367	1995-08-31	VYDAJ	VYBER	15500	35610	\N	\N	\N
692765	2367	1995-09-30	VYDAJ	VYBER	9700	34380	\N	\N	\N
692766	2367	1995-10-30	VYDAJ	VYBER	8900	31717	\N	\N	\N
692767	2367	1995-11-29	VYDAJ	VYBER	11900	27200	\N	\N	\N
692768	2367	1995-12-29	VYDAJ	VYBER	11700	33779	\N	\N	\N
692769	2367	1996-01-28	VYDAJ	VYBER	11700	30153	\N	\N	\N
692770	2367	1996-02-27	VYDAJ	VYBER	8100	32733	\N	\N	\N
692771	2367	1996-03-28	VYDAJ	VYBER	8500	34904	\N	\N	\N
692772	2367	1996-04-27	VYDAJ	VYBER	9200	36386	\N	\N	\N
692773	2367	1996-05-27	VYDAJ	VYBER	7000	38276	\N	\N	\N
692774	2367	1996-06-26	VYDAJ	VYBER	6800	40373	\N	\N	\N
692775	2367	1996-07-26	VYDAJ	VYBER	13800	37289	\N	\N	\N
692776	2367	1996-08-25	VYDAJ	VYBER	10900	37097	\N	\N	\N
692777	2367	1996-09-24	VYDAJ	VYBER	13500	34292	\N	\N	\N
692778	2367	1996-10-24	VYDAJ	VYBER	9100	33483	\N	\N	\N
692779	2367	1996-11-23	VYDAJ	VYBER	3600	34058	\N	\N	\N
692780	2367	1996-12-23	VYDAJ	VYBER	14300	40327	\N	\N	\N
692781	2367	1997-01-22	VYDAJ	VYBER	6600	32226	\N	\N	\N
692782	2367	1997-02-21	VYDAJ	VYBER	5200	32485	\N	\N	\N
692783	2367	1997-03-23	VYDAJ	VYBER	10100	33039	\N	\N	\N
692784	2367	1997-04-22	VYDAJ	VYBER	11000	32712	\N	\N	\N
692785	2367	1997-05-22	VYDAJ	VYBER	11300	32085	\N	\N	\N
692786	2367	1997-06-21	VYDAJ	VYBER	11100	41563	\N	\N	\N
692787	2367	1997-07-21	VYDAJ	VYBER	8700	41353	\N	\N	\N
692788	2367	1997-08-20	VYDAJ	VYBER	14700	37354	\N	\N	\N
692789	2367	1997-09-19	VYDAJ	VYBER	9400	36149	\N	\N	\N
692790	2367	1997-10-19	VYDAJ	VYBER	8700	38127	\N	\N	\N
692791	2367	1997-11-18	VYDAJ	VYBER	11200	37611	\N	\N	\N
692792	2367	1997-12-18	VYDAJ	VYBER	18000	40206	\N	\N	\N
692793	2367	1998-01-17	VYDAJ	VYBER	5400	33498	\N	\N	\N
692794	2367	1998-02-16	VYDAJ	VYBER	8700	35455	\N	\N	\N
692795	2367	1998-03-18	VYDAJ	VYBER	5400	40724	\N	\N	\N
692796	2367	1998-04-17	VYDAJ	VYBER	4700	46710	\N	\N	\N
692797	2367	1998-05-17	VYDAJ	VYBER	10700	46719	\N	\N	\N
692798	2367	1998-06-16	VYDAJ	VYBER	14700	52649	\N	\N	\N
692799	2367	1998-07-16	VYDAJ	VYBER	4600	41676	\N	\N	\N
692800	2367	1998-08-15	VYDAJ	VYBER	2900	49463	\N	\N	\N
692801	2367	1998-09-14	VYDAJ	VYBER	7500	52678	\N	\N	\N
692802	2367	1998-10-14	VYDAJ	VYBER	6900	51592	\N	\N	\N
692803	2367	1998-11-13	VYDAJ	VYBER	7400	54914	\N	\N	\N
692804	2367	1998-12-13	VYDAJ	VYBER	6000	64640	\N	\N	\N
693181	2369	1997-07-19	PRIJEM	VKLAD	600	600	\N	\N	\N
693189	2369	1997-08-12	PRIJEM	VKLAD	15773	16373	\N	\N	\N
693190	2369	1997-09-12	PRIJEM	VKLAD	15773	34281	\N	\N	\N
693191	2369	1997-10-12	PRIJEM	VKLAD	15773	45653	\N	\N	\N
693192	2369	1997-11-12	PRIJEM	VKLAD	15773	52564	\N	\N	\N
693193	2369	1997-12-12	PRIJEM	VKLAD	23660	65286	\N	\N	\N
693194	2369	1998-01-12	PRIJEM	VKLAD	15773	55195	\N	\N	\N
693195	2369	1998-02-12	PRIJEM	VKLAD	15773	41864	\N	\N	\N
693196	2369	1998-03-12	PRIJEM	VKLAD	15773	46974	\N	\N	\N
693197	2369	1998-04-12	PRIJEM	VKLAD	15773	49402	\N	\N	\N
693198	2369	1998-05-12	PRIJEM	VKLAD	15773	46455	\N	\N	\N
693199	2369	1998-06-12	PRIJEM	VKLAD	23660	60873	\N	\N	\N
693200	2369	1998-07-12	PRIJEM	VKLAD	15773	41657	\N	\N	\N
693201	2369	1998-08-12	PRIJEM	VKLAD	15773	51680	\N	\N	\N
693202	2369	1998-09-12	PRIJEM	VKLAD	15773	53523	\N	\N	\N
693203	2369	1998-10-12	PRIJEM	VKLAD	15773	57679	\N	\N	\N
693204	2369	1998-11-12	PRIJEM	VKLAD	15773	68153	\N	\N	\N
693205	2369	1998-12-12	PRIJEM	VKLAD	23660	82259	\N	\N	\N
693218	2369	1998-01-05	VYDAJ	PREVOD NA UCET	7292	39629	SIPO	YZ	20459878
693219	2369	1998-02-05	VYDAJ	PREVOD NA UCET	7292	26298	SIPO	YZ	20459878
693220	2369	1998-03-05	VYDAJ	PREVOD NA UCET	7292	31408	SIPO	YZ	20459878
693221	2369	1998-04-05	VYDAJ	PREVOD NA UCET	7292	33836	SIPO	YZ	20459878
693222	2369	1998-05-05	VYDAJ	PREVOD NA UCET	7292	30889	SIPO	YZ	20459878
693223	2369	1998-06-05	VYDAJ	PREVOD NA UCET	7292	37421	SIPO	YZ	20459878
693224	2369	1998-07-05	VYDAJ	PREVOD NA UCET	7292	26091	SIPO	YZ	20459878
693225	2369	1998-08-05	VYDAJ	PREVOD NA UCET	7292	36114	SIPO	YZ	20459878
693226	2369	1998-09-05	VYDAJ	PREVOD NA UCET	7292	37957	SIPO	YZ	20459878
693227	2369	1998-10-05	VYDAJ	PREVOD NA UCET	7292	42113	SIPO	YZ	20459878
693228	2369	1998-11-05	VYDAJ	PREVOD NA UCET	7292	46187	SIPO	YZ	20459878
693229	2369	1998-12-05	VYDAJ	PREVOD NA UCET	7292	61106	SIPO	YZ	20459878
693242	2369	1998-01-10	VYDAJ	PREVOD NA UCET	207	39422	 	EF	44902819
693243	2369	1998-02-10	VYDAJ	PREVOD NA UCET	207	26091	 	EF	44902819
693244	2369	1998-03-10	VYDAJ	PREVOD NA UCET	207	31201	 	EF	44902819
693245	2369	1998-04-10	VYDAJ	PREVOD NA UCET	207	33629	 	EF	44902819
693246	2369	1998-05-10	VYDAJ	PREVOD NA UCET	207	30682	 	EF	44902819
693247	2369	1998-06-10	VYDAJ	PREVOD NA UCET	207	37214	 	EF	44902819
693248	2369	1998-07-10	VYDAJ	PREVOD NA UCET	207	25884	 	EF	44902819
693249	2369	1998-08-10	VYDAJ	PREVOD NA UCET	207	35907	 	EF	44902819
693250	2369	1998-09-10	VYDAJ	PREVOD NA UCET	207	37750	 	EF	44902819
693251	2369	1998-10-10	VYDAJ	PREVOD NA UCET	207	41906	 	EF	44902819
693252	2369	1998-11-10	VYDAJ	PREVOD NA UCET	207	45980	 	EF	44902819
693253	2369	1998-12-10	VYDAJ	PREVOD NA UCET	207	60899	 	EF	44902819
693255	2369	1998-06-23	VYDAJ	VYBER	18560	33213	\N	\N	\N
693257	2369	1998-01-21	VYDAJ	VYBER	9760	33435	\N	\N	\N
693258	2369	1997-12-25	VYDAJ	VYBER	1920	48066	\N	\N	\N
693259	2369	1998-12-23	VYDAJ	VYBER	1920	80339	\N	\N	\N
693264	2369	1998-05-03	VYDAJ	VYBER	3480	38181	\N	\N	\N
693265	2369	1998-01-03	VYDAJ	VYBER	1320	46921	\N	\N	\N
693278	2369	1997-12-31	VYDAJ	VYBER	15	48241	SLUZBY	\N	\N
693279	2369	1998-01-31	VYDAJ	VYBER	15	33590	SLUZBY	\N	\N
693280	2369	1998-02-28	VYDAJ	VYBER	15	38700	SLUZBY	\N	\N
693281	2369	1998-03-31	VYDAJ	VYBER	15	41128	SLUZBY	\N	\N
693282	2369	1998-04-30	VYDAJ	VYBER	15	41661	SLUZBY	\N	\N
693283	2369	1998-05-31	VYDAJ	VYBER	15	44713	SLUZBY	\N	\N
693284	2369	1998-06-30	VYDAJ	VYBER	15	33383	SLUZBY	\N	\N
693285	2369	1998-07-31	VYDAJ	VYBER	15	43406	SLUZBY	\N	\N
693286	2369	1998-08-31	VYDAJ	VYBER	15	45249	SLUZBY	\N	\N
693287	2369	1998-09-30	VYDAJ	VYBER	15	49405	SLUZBY	\N	\N
693288	2369	1998-10-31	VYDAJ	VYBER	15	53479	SLUZBY	\N	\N
693289	2369	1998-11-30	VYDAJ	VYBER	15	68398	SLUZBY	\N	\N
693290	2369	1997-08-18	PRIJEM	VKLAD	2100	18473	\N	\N	\N
693291	2369	1997-09-17	VYDAJ	VYBER	4500	29781	\N	\N	\N
693292	2369	1997-10-17	VYDAJ	VYBER	9000	36653	\N	\N	\N
693293	2369	1997-11-16	VYDAJ	VYBER	11100	41464	\N	\N	\N
693294	2369	1997-12-16	VYDAJ	VYBER	15300	49986	\N	\N	\N
693295	2369	1998-01-15	VYDAJ	VYBER	12000	43195	\N	\N	\N
693296	2369	1998-02-14	VYDAJ	VYBER	3300	38564	\N	\N	\N
693297	2369	1998-03-16	VYDAJ	VYBER	6000	40974	\N	\N	\N
693298	2369	1998-04-15	VYDAJ	VYBER	7900	41502	\N	\N	\N
693299	2369	1998-05-15	VYDAJ	VYBER	1900	44555	\N	\N	\N
693300	2369	1998-06-14	VYDAJ	VYBER	9100	51773	\N	\N	\N
693301	2369	1998-07-14	PRIJEM	VKLAD	1600	43257	\N	\N	\N
693302	2369	1998-08-13	VYDAJ	VYBER	6600	45080	\N	\N	\N
693303	2369	1998-09-12	VYDAJ	VYBER	4300	49223	\N	\N	\N
693304	2369	1998-10-12	VYDAJ	VYBER	4400	53279	\N	\N	\N
693305	2369	1998-11-11	PRIJEM	VKLAD	6400	52380	\N	\N	\N
693306	2369	1998-12-11	VYDAJ	VYBER	2300	58599	\N	\N	\N
693324	2370	1997-10-01	PRIJEM	VKLAD	300	300	\N	\N	\N
693334	2370	1997-10-11	PRIJEM	VKLAD	17165	17465	\N	\N	\N
693335	2370	1997-11-11	PRIJEM	VKLAD	17165	40180	\N	\N	\N
693336	2370	1997-12-11	PRIJEM	VKLAD	25748	59726	\N	\N	\N
693337	2370	1998-01-11	PRIJEM	VKLAD	17165	60435	\N	\N	\N
693338	2370	1998-02-11	PRIJEM	VKLAD	17165	63280	\N	\N	\N
693339	2370	1998-03-11	PRIJEM	VKLAD	17165	57476	\N	\N	\N
693340	2370	1998-04-11	PRIJEM	VKLAD	17165	57307	\N	\N	\N
693341	2370	1998-05-11	PRIJEM	VKLAD	17165	55436	\N	\N	\N
693342	2370	1998-06-11	PRIJEM	VKLAD	25748	58038	\N	\N	\N
693343	2370	1998-07-11	PRIJEM	VKLAD	17165	41386	\N	\N	\N
693344	2370	1998-08-11	PRIJEM	VKLAD	17165	45144	\N	\N	\N
693345	2370	1998-09-11	PRIJEM	VKLAD	17165	46317	\N	\N	\N
693346	2370	1998-10-11	PRIJEM	VKLAD	17165	49400	\N	\N	\N
693347	2370	1998-11-11	PRIJEM	VKLAD	17165	53396	\N	\N	\N
693348	2370	1998-12-11	PRIJEM	VKLAD	25748	65391	\N	\N	\N
693363	2370	1998-03-07	VYDAJ	PREVOD NA UCET	9747	40311	SIPO	MN	28076833
693364	2370	1998-04-07	VYDAJ	PREVOD NA UCET	9747	40142	SIPO	MN	28076833
693365	2370	1998-05-07	VYDAJ	PREVOD NA UCET	9747	38271	SIPO	MN	28076833
693366	2370	1998-06-07	VYDAJ	PREVOD NA UCET	9747	32290	SIPO	MN	28076833
693367	2370	1998-07-07	VYDAJ	PREVOD NA UCET	9747	24221	SIPO	MN	28076833
693368	2370	1998-08-07	VYDAJ	PREVOD NA UCET	9747	27979	SIPO	MN	28076833
693369	2370	1998-09-07	VYDAJ	PREVOD NA UCET	9747	29152	SIPO	MN	28076833
693370	2370	1998-10-07	VYDAJ	PREVOD NA UCET	9747	32235	SIPO	MN	28076833
693371	2370	1998-11-07	VYDAJ	PREVOD NA UCET	9747	36231	SIPO	MN	28076833
693372	2370	1998-12-07	VYDAJ	PREVOD NA UCET	9747	39643	SIPO	MN	28076833
693374	2370	1998-06-12	VYDAJ	VYBER	29100	28938	\N	\N	\N
693378	2370	1998-12-14	VYDAJ	VYBER KARTOU	2000	63391	\N	\N	0
693397	2370	1998-05-30	VYDAJ	VYBER KARTOU	3300	41836	\N	\N	0
693398	2370	1998-05-28	VYDAJ	VYBER KARTOU	2600	52836	\N	\N	0
693399	2370	1998-07-14	VYDAJ	VYBER KARTOU	3100	38286	\N	\N	0
693400	2370	1998-12-14	VYDAJ	VYBER KARTOU	1400	61991	\N	\N	0
693401	2370	1998-08-18	VYDAJ	VYBER KARTOU	3200	41944	\N	\N	0
693416	2370	1998-02-28	VYDAJ	VYBER	15	63458	SLUZBY	\N	\N
693417	2370	1998-03-31	VYDAJ	VYBER	15	49889	SLUZBY	\N	\N
693418	2370	1998-04-30	VYDAJ	VYBER	15	48018	SLUZBY	\N	\N
693419	2370	1998-05-31	VYDAJ	VYBER	15	42037	SLUZBY	\N	\N
693420	2370	1998-06-30	VYDAJ	VYBER	15	33968	SLUZBY	\N	\N
693421	2370	1998-07-31	VYDAJ	VYBER	15	37726	SLUZBY	\N	\N
693422	2370	1998-08-31	VYDAJ	VYBER	15	38899	SLUZBY	\N	\N
693423	2370	1998-09-30	VYDAJ	VYBER	15	41982	SLUZBY	\N	\N
693424	2370	1998-10-31	VYDAJ	VYBER	15	45978	SLUZBY	\N	\N
693425	2370	1998-11-30	VYDAJ	VYBER	15	49390	SLUZBY	\N	\N
693426	2370	1997-10-31	PRIJEM	VKLAD	5500	23015	\N	\N	\N
693427	2370	1997-11-30	VYDAJ	VYBER	6300	33978	\N	\N	\N
693428	2370	1997-12-30	VYDAJ	VYBER	16600	43126	\N	\N	\N
693429	2370	1998-01-29	VYDAJ	VYBER	14500	45935	\N	\N	\N
693430	2370	1998-02-28	VYDAJ	VYBER	13400	50058	\N	\N	\N
693431	2370	1998-03-30	VYDAJ	VYBER	7800	49676	\N	\N	\N
693432	2370	1998-04-29	VYDAJ	VYBER	9500	47807	\N	\N	\N
693433	2370	1998-05-29	VYDAJ	VYBER	7700	45136	\N	\N	\N
693434	2370	1998-06-28	PRIJEM	VKLAD	4900	33838	\N	\N	\N
693435	2370	1998-07-28	VYDAJ	VYBER KARTOU	700	37586	\N	\N	0
693436	2370	1998-08-27	VYDAJ	VYBER KARTOU	3200	38744	\N	\N	0
693437	2370	1998-09-26	VYDAJ	VYBER	4500	41817	\N	\N	\N
693438	2370	1998-10-26	VYDAJ	VYBER KARTOU	3600	45800	\N	\N	0
693439	2370	1998-11-25	VYDAJ	VYBER	4200	49196	\N	\N	\N
693455	2371	1997-10-23	PRIJEM	VKLAD	600	600	\N	\N	\N
693457	2371	1997-12-22	PRIJEM	VKLAD	36739	53639	\N	\N	\N
693461	2371	1998-03-09	PRIJEM	VKLAD	22239	63197	\N	\N	\N
693462	2371	1998-09-20	PRIJEM	VKLAD	19468	68366	\N	\N	\N
693463	2371	1998-10-12	PRIJEM	VKLAD	39939	64193	\N	\N	\N
693464	2371	1998-10-26	PRIJEM	VKLAD	25333	56375	\N	\N	\N
693465	2371	1998-03-25	PRIJEM	VKLAD	16806	69103	\N	\N	\N
693466	2371	1998-11-24	PRIJEM	VKLAD	33894	74746	\N	\N	\N
693467	2371	1998-05-20	PRIJEM	VKLAD	19694	78923	\N	\N	\N
693489	2371	1998-10-14	VYDAJ	VYBER	4900	57912	\N	\N	0
693490	2371	1998-11-13	VYDAJ	VYBER	5700	37533	\N	\N	0
693491	2371	1998-12-16	VYDAJ	VYBER	5500	25765	\N	\N	0
693513	2371	1998-10-11	VYDAJ	PREVOD NA UCET	12510	24254	SIPO	YZ	33079290
693514	2371	1998-11-11	VYDAJ	PREVOD NA UCET	12510	43233	SIPO	YZ	33079290
693515	2371	1998-12-11	VYDAJ	PREVOD NA UCET	12510	39546	SIPO	YZ	33079290
693537	2371	1998-10-05	VYDAJ	PREVOD NA UCET	793	36764	 	AB	87190907
693538	2371	1998-11-05	VYDAJ	PREVOD NA UCET	793	55743	 	AB	87190907
693539	2371	1998-12-05	VYDAJ	PREVOD NA UCET	793	52056	 	AB	87190907
693561	2371	1998-10-14	VYDAJ	PREVOD NA UCET	1087	62812	POJISTNE	OP	51855623
693562	2371	1998-11-14	VYDAJ	PREVOD NA UCET	1087	36152	POJISTNE	OP	51855623
693563	2371	1998-12-14	VYDAJ	PREVOD NA UCET	1087	31265	POJISTNE	OP	51855623
693585	2371	1998-10-13	VYDAJ	PREVOD NA UCET	294	63899	 	YZ	45326221
693586	2371	1998-11-13	VYDAJ	PREVOD NA UCET	294	37239	 	YZ	45326221
693587	2371	1998-12-13	VYDAJ	PREVOD NA UCET	294	32352	 	YZ	45326221
693600	2371	1998-09-23	VYBER	VYBER	22681	45685	\N	\N	\N
693602	2371	1998-10-18	VYBER	VYBER	20970	39742	\N	\N	\N
693608	2371	1998-12-24	VYBER	VYBER	3008	32557	\N	\N	\N
693609	2371	1998-10-02	VYBER	VYBER	8345	37557	\N	\N	\N
693612	2371	1998-11-29	VYBER	VYBER	9479	52667	\N	\N	\N
693618	2371	1998-12-12	VYDAJ	VYBER	6900	32646	\N	\N	\N
693636	2371	1998-11-26	VYDAJ	VYBER	12600	62146	\N	\N	\N
693637	2371	1998-10-19	VYDAJ	VYBER	8700	31042	\N	\N	\N
693660	2371	1998-09-30	VYDAJ	VYBER	30	45902	SLUZBY	\N	\N
693661	2371	1998-10-31	VYDAJ	VYBER	30	56536	SLUZBY	\N	\N
693662	2371	1998-11-30	VYDAJ	VYBER	30	52849	SLUZBY	\N	\N
693663	2371	1997-11-22	PRIJEM	VKLAD	16300	16900	\N	\N	\N
693664	2371	1997-12-22	VYDAJ	VYBER	10800	42839	\N	\N	\N
693665	2371	1998-01-21	VYDAJ	VYBER	3600	39311	\N	\N	\N
693666	2371	1998-02-20	PRIJEM	VKLAD	1200	40735	\N	\N	\N
693667	2371	1998-03-22	VYDAJ	VYBER	10900	52297	\N	\N	\N
693668	2371	1998-04-21	VYDAJ	VYBER	10400	58941	\N	\N	\N
693669	2371	1998-05-21	VYDAJ	VYBER	15300	63623	\N	\N	\N
693670	2371	1998-06-20	VYDAJ	VYBER	5600	58302	\N	\N	\N
693671	2371	1998-07-20	VYDAJ	VYBER	4000	54567	\N	\N	\N
693672	2371	1998-08-19	VYDAJ	VYBER	1600	53233	\N	\N	\N
693673	2371	1998-09-18	VYDAJ	VYBER	4600	48898	\N	\N	\N
693674	2371	1998-10-18	PRIJEM	VKLAD	2800	60712	\N	\N	\N
693675	2371	1998-11-17	PRIJEM	VKLAD	4700	40852	\N	\N	\N
693676	2371	1998-12-17	PRIJEM	VKLAD	9800	35565	\N	\N	\N
693690	2372	1997-06-15	PRIJEM	VKLAD	500	500	\N	\N	\N
693697	2372	1997-07-14	PRIJEM	PREVOD Z UCTU	3438	3938	\N	GH	46955609
693698	2372	1997-08-14	PRIJEM	PREVOD Z UCTU	3438	24308	\N	GH	46955609
693699	2372	1997-09-14	PRIJEM	PREVOD Z UCTU	3438	28229	\N	GH	46955609
693700	2372	1997-10-14	PRIJEM	PREVOD Z UCTU	3438	33478	\N	GH	46955609
693701	2372	1997-11-14	PRIJEM	PREVOD Z UCTU	3438	31646	\N	GH	46955609
693702	2372	1997-12-14	PRIJEM	PREVOD Z UCTU	3438	30502	\N	GH	46955609
693703	2372	1998-01-14	PRIJEM	PREVOD Z UCTU	3438	24362	\N	GH	46955609
693704	2372	1998-02-14	PRIJEM	PREVOD Z UCTU	3438	16438	\N	GH	46955609
693705	2372	1998-03-14	PRIJEM	PREVOD Z UCTU	3438	17743	\N	GH	46955609
693706	2372	1998-04-14	PRIJEM	PREVOD Z UCTU	3438	13046	\N	GH	46955609
693707	2372	1998-05-14	PRIJEM	PREVOD Z UCTU	3438	14237	\N	GH	46955609
693708	2372	1998-06-14	PRIJEM	PREVOD Z UCTU	3438	15424	\N	GH	46955609
693709	2372	1998-07-14	PRIJEM	PREVOD Z UCTU	3438	15507	\N	GH	46955609
693710	2372	1998-08-14	PRIJEM	PREVOD Z UCTU	3438	14810	\N	GH	46955609
693711	2372	1998-09-14	PRIJEM	PREVOD Z UCTU	3438	12202	\N	GH	46955609
693712	2372	1998-10-14	PRIJEM	PREVOD Z UCTU	3438	13385	\N	GH	46955609
693713	2372	1998-11-14	PRIJEM	PREVOD Z UCTU	3438	14569	\N	GH	46955609
693714	2372	1998-12-14	PRIJEM	PREVOD Z UCTU	3438	15008	\N	GH	46955609
693725	2372	1997-11-14	VYDAJ	PREVOD NA UCET	108	31538	SIPO	KL	46931564
693726	2372	1997-12-14	VYDAJ	PREVOD NA UCET	108	30394	SIPO	KL	46931564
693727	2372	1998-01-14	VYDAJ	PREVOD NA UCET	108	22994	SIPO	KL	46931564
693728	2372	1998-02-14	VYDAJ	PREVOD NA UCET	108	16330	SIPO	KL	46931564
693729	2372	1998-03-14	VYDAJ	PREVOD NA UCET	108	17635	SIPO	KL	46931564
693730	2372	1998-04-14	VYDAJ	PREVOD NA UCET	108	12938	SIPO	KL	46931564
693731	2372	1998-05-14	VYDAJ	PREVOD NA UCET	108	14129	SIPO	KL	46931564
693732	2372	1998-06-14	VYDAJ	PREVOD NA UCET	108	15316	SIPO	KL	46931564
693733	2372	1998-07-14	VYDAJ	PREVOD NA UCET	108	15399	SIPO	KL	46931564
693734	2372	1998-08-14	VYDAJ	PREVOD NA UCET	108	14702	SIPO	KL	46931564
693735	2372	1998-09-14	VYDAJ	PREVOD NA UCET	108	12094	SIPO	KL	46931564
693736	2372	1998-10-14	VYDAJ	PREVOD NA UCET	108	13277	SIPO	KL	46931564
693737	2372	1998-11-14	VYDAJ	PREVOD NA UCET	108	14461	SIPO	KL	46931564
693738	2372	1998-12-14	VYDAJ	PREVOD NA UCET	108	14900	SIPO	KL	46931564
693750	2372	1997-12-12	VYDAJ	PREVOD NA UCET	1946	27064	 	MN	79875886
693751	2372	1998-01-12	VYDAJ	PREVOD NA UCET	1946	20924	 	MN	79875886
693752	2372	1998-02-12	VYDAJ	PREVOD NA UCET	1946	13000	 	MN	79875886
693753	2372	1998-03-12	VYDAJ	PREVOD NA UCET	1946	14305	 	MN	79875886
693754	2372	1998-04-12	VYDAJ	PREVOD NA UCET	1946	9608	 	MN	79875886
693755	2372	1998-05-12	VYDAJ	PREVOD NA UCET	1946	10799	 	MN	79875886
693756	2372	1998-06-12	VYDAJ	PREVOD NA UCET	1946	11986	 	MN	79875886
693757	2372	1998-07-12	VYDAJ	PREVOD NA UCET	1946	12069	 	MN	79875886
693758	2372	1998-08-12	VYDAJ	PREVOD NA UCET	1946	11372	 	MN	79875886
693759	2372	1998-09-12	VYDAJ	PREVOD NA UCET	1946	8764	 	MN	79875886
693760	2372	1998-10-12	VYDAJ	PREVOD NA UCET	1946	9947	 	MN	79875886
693761	2372	1998-11-12	VYDAJ	PREVOD NA UCET	1946	11131	 	MN	79875886
693762	2372	1998-12-12	VYDAJ	PREVOD NA UCET	1946	11570	 	MN	79875886
693774	2372	1997-12-08	VYDAJ	PREVOD NA UCET	107	31420	POJISTNE	GH	21510470
693775	2372	1998-01-08	VYDAJ	PREVOD NA UCET	107	30270	POJISTNE	GH	21510470
693776	2372	1998-02-08	VYDAJ	PREVOD NA UCET	107	21046	POJISTNE	GH	21510470
693777	2372	1998-03-08	VYDAJ	PREVOD NA UCET	107	16151	POJISTNE	GH	21510470
693778	2372	1998-04-08	VYDAJ	PREVOD NA UCET	107	17454	POJISTNE	GH	21510470
693779	2372	1998-05-08	VYDAJ	PREVOD NA UCET	107	12745	POJISTNE	GH	21510470
693780	2372	1998-06-08	VYDAJ	PREVOD NA UCET	107	13932	POJISTNE	GH	21510470
693781	2372	1998-07-08	VYDAJ	PREVOD NA UCET	107	14015	POJISTNE	GH	21510470
693782	2372	1998-08-08	VYDAJ	PREVOD NA UCET	107	14158	POJISTNE	GH	21510470
693783	2372	1998-09-08	VYDAJ	PREVOD NA UCET	107	10710	POJISTNE	GH	21510470
693784	2372	1998-10-08	VYDAJ	PREVOD NA UCET	107	11893	POJISTNE	GH	21510470
693785	2372	1998-11-08	VYDAJ	PREVOD NA UCET	107	13077	POJISTNE	GH	21510470
693786	2372	1998-12-08	VYDAJ	PREVOD NA UCET	107	13666	POJISTNE	GH	21510470
693798	2372	1997-12-06	VYDAJ	PREVOD NA UCET	131	31527	 	MN	9774154
693799	2372	1998-01-06	VYDAJ	PREVOD NA UCET	131	30377	 	MN	9774154
693800	2372	1998-02-06	VYDAJ	PREVOD NA UCET	131	21153	 	MN	9774154
693801	2372	1998-03-06	VYDAJ	PREVOD NA UCET	131	16258	 	MN	9774154
693802	2372	1998-04-06	VYDAJ	PREVOD NA UCET	131	17561	 	MN	9774154
693803	2372	1998-05-06	VYDAJ	PREVOD NA UCET	131	12852	 	MN	9774154
693804	2372	1998-06-06	VYDAJ	PREVOD NA UCET	131	14039	 	MN	9774154
693805	2372	1998-07-06	VYDAJ	PREVOD NA UCET	131	14122	 	MN	9774154
693806	2372	1998-08-06	VYDAJ	PREVOD NA UCET	131	14265	 	MN	9774154
693807	2372	1998-09-06	VYDAJ	PREVOD NA UCET	131	14617	 	MN	9774154
693808	2372	1998-10-06	VYDAJ	PREVOD NA UCET	131	12000	 	MN	9774154
693809	2372	1998-11-06	VYDAJ	PREVOD NA UCET	131	13184	 	MN	9774154
693810	2372	1998-12-06	VYDAJ	PREVOD NA UCET	131	13773	 	MN	9774154
693814	2372	1998-01-26	VYDAJ	VYBER	780	21524	\N	\N	\N
693815	2372	1997-12-11	VYDAJ	VYBER	210	31210	\N	\N	\N
693816	2372	1998-12-11	VYDAJ	VYBER	150	13516	\N	\N	\N
693823	2372	1998-01-10	VYDAJ	VYBER	780	29070	\N	\N	\N
693824	2372	1998-01-23	VYDAJ	VYBER	690	22304	\N	\N	\N
693825	2372	1998-01-14	VYDAJ	VYBER	780	23582	\N	\N	\N
693826	2372	1998-01-09	VYDAJ	VYBER	420	29850	\N	\N	\N
693827	2372	1998-01-14	VYDAJ	VYBER	480	23102	\N	\N	\N
693828	2372	1998-01-30	VYDAJ	VYBER	330	21194	\N	\N	\N
693832	2372	1998-12-06	VYDAJ	VYBER	600	13904	\N	\N	\N
693833	2372	1998-08-08	VYDAJ	VYBER	840	13318	\N	\N	\N
693834	2372	1998-07-06	VYDAJ	VYBER	1110	14253	\N	\N	\N
693835	2372	1998-08-01	VYDAJ	VYBER	1050	14396	\N	\N	\N
693836	2372	1998-12-25	VYDAJ	VYBER	1260	13640	\N	\N	\N
693848	2372	1997-11-30	VYDAJ	VYBER	15	31658	SLUZBY	\N	\N
693849	2372	1997-12-31	VYDAJ	VYBER	15	30508	SLUZBY	\N	\N
693850	2372	1998-01-31	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
693851	2372	1998-02-28	VYDAJ	VYBER	15	16389	SLUZBY	\N	\N
693852	2372	1998-03-31	VYDAJ	VYBER	15	17692	SLUZBY	\N	\N
693853	2372	1998-04-30	VYDAJ	VYBER	15	12983	SLUZBY	\N	\N
693854	2372	1998-05-31	VYDAJ	VYBER	15	14170	SLUZBY	\N	\N
693855	2372	1998-06-30	VYDAJ	VYBER	15	15363	SLUZBY	\N	\N
693856	2372	1998-07-31	VYDAJ	VYBER	15	15446	SLUZBY	\N	\N
693857	2372	1998-08-31	VYDAJ	VYBER	15	14748	SLUZBY	\N	\N
693858	2372	1998-09-30	VYDAJ	VYBER	15	12131	SLUZBY	\N	\N
693859	2372	1998-10-31	VYDAJ	VYBER	15	13315	SLUZBY	\N	\N
693860	2372	1998-11-30	VYDAJ	VYBER	15	14504	SLUZBY	\N	\N
693861	2372	1997-07-15	PRIJEM	VKLAD	10000	13938	\N	\N	\N
693862	2372	1997-08-14	PRIJEM	VKLAD	6900	20870	\N	\N	\N
693863	2372	1997-09-13	PRIJEM	VKLAD	400	24791	\N	\N	\N
693864	2372	1997-10-13	PRIJEM	VKLAD	1700	30040	\N	\N	\N
693865	2372	1997-11-12	VYDAJ	VYBER	5400	28208	\N	\N	\N
693866	2372	1997-12-12	VYDAJ	VYBER	2200	29010	\N	\N	\N
693867	2372	1998-01-11	VYDAJ	VYBER	6200	22870	\N	\N	\N
693868	2372	1998-02-10	VYDAJ	VYBER	6100	14946	\N	\N	\N
693869	2372	1998-03-12	PRIJEM	VKLAD	100	16251	\N	\N	\N
693870	2372	1998-04-11	VYDAJ	VYBER	5900	11554	\N	\N	\N
693871	2372	1998-09-08	VYDAJ	VYBER	3800	10817	\N	\N	\N
693890	2373	1996-09-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
693900	2373	1996-10-08	PRIJEM	PREVOD Z UCTU	4812	5912	DUCHOD	IJ	36199426
693901	2373	1996-11-08	PRIJEM	PREVOD Z UCTU	4812	10724	DUCHOD	IJ	36199426
693902	2373	1996-12-08	PRIJEM	PREVOD Z UCTU	4812	15536	DUCHOD	IJ	36199426
693903	2373	1997-01-08	PRIJEM	PREVOD Z UCTU	4812	20348	DUCHOD	IJ	36199426
693904	2373	1997-02-08	PRIJEM	PREVOD Z UCTU	4812	25160	DUCHOD	IJ	36199426
693905	2373	1997-03-08	PRIJEM	PREVOD Z UCTU	4812	19788	DUCHOD	IJ	36199426
693906	2373	1997-04-08	PRIJEM	PREVOD Z UCTU	4812	17086	DUCHOD	IJ	36199426
693907	2373	1997-05-08	PRIJEM	PREVOD Z UCTU	4812	14609	DUCHOD	IJ	36199426
693908	2373	1997-06-08	PRIJEM	PREVOD Z UCTU	4812	17088	DUCHOD	IJ	36199426
693909	2373	1997-07-08	PRIJEM	PREVOD Z UCTU	4812	14696	DUCHOD	IJ	36199426
693910	2373	1997-08-08	PRIJEM	PREVOD Z UCTU	4812	14774	DUCHOD	IJ	36199426
693911	2373	1997-09-08	PRIJEM	PREVOD Z UCTU	4812	15852	DUCHOD	IJ	36199426
693912	2373	1997-10-08	PRIJEM	PREVOD Z UCTU	4812	14933	DUCHOD	IJ	36199426
693913	2373	1997-11-08	PRIJEM	PREVOD Z UCTU	4812	15411	DUCHOD	IJ	36199426
693914	2373	1997-12-08	PRIJEM	PREVOD Z UCTU	4812	13088	DUCHOD	IJ	36199426
693915	2373	1998-01-08	PRIJEM	PREVOD Z UCTU	4812	15560	DUCHOD	IJ	36199426
693916	2373	1998-02-08	PRIJEM	PREVOD Z UCTU	4812	14386	DUCHOD	IJ	36199426
693917	2373	1998-03-08	PRIJEM	PREVOD Z UCTU	4812	14962	DUCHOD	IJ	36199426
693918	2373	1998-04-08	PRIJEM	PREVOD Z UCTU	4812	15840	DUCHOD	IJ	36199426
693919	2373	1998-05-08	PRIJEM	PREVOD Z UCTU	4812	18324	DUCHOD	IJ	36199426
693920	2373	1998-06-08	PRIJEM	PREVOD Z UCTU	4812	17379	DUCHOD	IJ	36199426
693921	2373	1998-07-08	PRIJEM	PREVOD Z UCTU	4812	14163	DUCHOD	IJ	36199426
693922	2373	1998-08-08	PRIJEM	PREVOD Z UCTU	4812	16640	DUCHOD	IJ	36199426
693923	2373	1998-09-08	PRIJEM	PREVOD Z UCTU	4812	18406	DUCHOD	IJ	36199426
693924	2373	1998-10-08	PRIJEM	PREVOD Z UCTU	4812	13589	DUCHOD	IJ	36199426
693925	2373	1998-11-08	PRIJEM	PREVOD Z UCTU	4812	16063	DUCHOD	IJ	36199426
693926	2373	1998-12-08	PRIJEM	PREVOD Z UCTU	4812	18548	DUCHOD	IJ	36199426
693941	2373	1997-03-06	VYDAJ	PREVOD NA UCET	2377	14976	SIPO	GH	19720453
693942	2373	1997-04-06	VYDAJ	PREVOD NA UCET	2377	12274	SIPO	GH	19720453
693943	2373	1997-05-06	VYDAJ	PREVOD NA UCET	2377	9797	SIPO	GH	19720453
693944	2373	1997-06-06	VYDAJ	PREVOD NA UCET	2377	12276	SIPO	GH	19720453
693945	2373	1997-07-06	VYDAJ	PREVOD NA UCET	2377	9884	SIPO	GH	19720453
693946	2373	1997-08-06	VYDAJ	PREVOD NA UCET	2377	9962	SIPO	GH	19720453
693947	2373	1997-09-06	VYDAJ	PREVOD NA UCET	2377	11040	SIPO	GH	19720453
693948	2373	1997-10-06	VYDAJ	PREVOD NA UCET	2377	10121	SIPO	GH	19720453
693949	2373	1997-11-06	VYDAJ	PREVOD NA UCET	2377	10599	SIPO	GH	19720453
693950	2373	1997-12-06	VYDAJ	PREVOD NA UCET	2377	8276	SIPO	GH	19720453
693951	2373	1998-01-06	VYDAJ	PREVOD NA UCET	2377	10748	SIPO	GH	19720453
693952	2373	1998-02-06	VYDAJ	PREVOD NA UCET	2377	9574	SIPO	GH	19720453
693953	2373	1998-03-06	VYDAJ	PREVOD NA UCET	2377	10150	SIPO	GH	19720453
693954	2373	1998-04-06	VYDAJ	PREVOD NA UCET	2377	11028	SIPO	GH	19720453
693955	2373	1998-05-06	VYDAJ	PREVOD NA UCET	2377	13512	SIPO	GH	19720453
693956	2373	1998-06-06	VYDAJ	PREVOD NA UCET	2377	12567	SIPO	GH	19720453
693957	2373	1998-07-06	VYDAJ	PREVOD NA UCET	2377	9351	SIPO	GH	19720453
693958	2373	1998-08-06	VYDAJ	PREVOD NA UCET	2377	11828	SIPO	GH	19720453
693959	2373	1998-09-06	VYDAJ	PREVOD NA UCET	2377	13594	SIPO	GH	19720453
693960	2373	1998-10-06	VYDAJ	PREVOD NA UCET	2377	8777	SIPO	GH	19720453
693961	2373	1998-11-06	VYDAJ	PREVOD NA UCET	2377	11251	SIPO	GH	19720453
693962	2373	1998-12-06	VYDAJ	PREVOD NA UCET	2377	13736	SIPO	GH	19720453
693968	2373	1998-01-19	VYDAJ	VYBER	1850	12510	\N	\N	\N
693971	2373	1998-12-14	VYDAJ	VYBER	750	17798	\N	\N	\N
693985	2373	1998-01-13	VYDAJ	VYBER	800	14760	\N	\N	\N
693989	2373	1998-01-17	VYDAJ	VYBER	400	14360	\N	\N	\N
693995	2373	1997-06-08	VYDAJ	VYBER	3760	12208	\N	\N	\N
693997	2373	1997-04-15	VYDAJ	VYBER	2160	14926	\N	\N	\N
693998	2373	1997-04-27	VYDAJ	VYBER	2800	12126	\N	\N	\N
693999	2373	1997-06-08	VYDAJ	VYBER	1120	15968	\N	\N	\N
694003	2373	1998-08-24	VYDAJ	VYBER	720	15920	\N	\N	\N
694004	2373	1998-06-02	VYDAJ	VYBER	3440	14944	\N	\N	\N
694005	2373	1998-12-22	VYDAJ	VYBER	1440	16358	\N	\N	\N
694020	2373	1997-02-28	VYDAJ	VYBER	15	17353	SLUZBY	\N	\N
694021	2373	1997-03-31	VYDAJ	VYBER	15	14651	SLUZBY	\N	\N
694022	2373	1997-04-30	VYDAJ	VYBER	15	12174	SLUZBY	\N	\N
694023	2373	1997-05-31	VYDAJ	VYBER	15	14653	SLUZBY	\N	\N
694024	2373	1997-06-30	VYDAJ	VYBER	15	12261	SLUZBY	\N	\N
694025	2373	1997-07-31	VYDAJ	VYBER	15	12339	SLUZBY	\N	\N
694026	2373	1997-08-31	VYDAJ	VYBER	15	13417	SLUZBY	\N	\N
694027	2373	1997-09-30	VYDAJ	VYBER	15	12498	SLUZBY	\N	\N
694028	2373	1997-10-31	VYDAJ	VYBER	15	12976	SLUZBY	\N	\N
694029	2373	1997-11-30	VYDAJ	VYBER	15	10653	SLUZBY	\N	\N
694030	2373	1997-12-31	VYDAJ	VYBER	15	13125	SLUZBY	\N	\N
694031	2373	1998-01-31	VYDAJ	VYBER	15	11951	SLUZBY	\N	\N
694032	2373	1998-02-28	VYDAJ	VYBER	15	12527	SLUZBY	\N	\N
694033	2373	1998-03-31	VYDAJ	VYBER	15	13405	SLUZBY	\N	\N
694034	2373	1998-04-30	VYDAJ	VYBER	15	15889	SLUZBY	\N	\N
694035	2373	1998-05-31	VYDAJ	VYBER	15	18384	SLUZBY	\N	\N
694036	2373	1998-06-30	VYDAJ	VYBER	15	11728	SLUZBY	\N	\N
694037	2373	1998-07-31	VYDAJ	VYBER	15	14205	SLUZBY	\N	\N
694038	2373	1998-08-31	VYDAJ	VYBER	15	15971	SLUZBY	\N	\N
694039	2373	1998-09-30	VYDAJ	VYBER	15	11154	SLUZBY	\N	\N
694040	2373	1998-10-31	VYDAJ	VYBER	15	13628	SLUZBY	\N	\N
694041	2373	1998-11-30	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
694042	2373	1997-02-26	VYDAJ	VYBER	7800	17360	\N	\N	\N
694043	2373	1997-03-28	VYDAJ	VYBER	5200	14588	\N	\N	\N
694044	2373	1997-07-26	VYDAJ	VYBER	2400	12296	\N	\N	\N
694045	2373	1997-08-25	VYDAJ	VYBER	1400	13374	\N	\N	\N
694046	2373	1997-09-24	VYDAJ	VYBER	3400	12452	\N	\N	\N
694047	2373	1997-10-24	VYDAJ	VYBER	2000	12933	\N	\N	\N
694048	2373	1997-11-23	VYDAJ	VYBER	4800	10611	\N	\N	\N
694049	2373	1998-01-22	VYDAJ	VYBER	600	11910	\N	\N	\N
694050	2373	1998-02-21	VYDAJ	VYBER	1900	12486	\N	\N	\N
694051	2373	1998-03-23	VYDAJ	VYBER	1600	13362	\N	\N	\N
694052	2373	1998-06-21	VYDAJ	VYBER	5700	11679	\N	\N	\N
694053	2373	1998-09-19	VYDAJ	VYBER	7300	11106	\N	\N	\N
694077	2374	1995-12-07	PRIJEM	VKLAD	200	200	\N	\N	\N
694089	2374	1995-12-08	PRIJEM	PREVOD Z UCTU	3497	3697	\N	ST	53674542
694090	2374	1996-01-08	PRIJEM	PREVOD Z UCTU	3497	7206	\N	ST	53674542
694091	2374	1996-02-08	PRIJEM	PREVOD Z UCTU	3497	10718	\N	ST	53674542
694092	2374	1996-03-08	PRIJEM	PREVOD Z UCTU	3497	14231	\N	ST	53674542
694093	2374	1996-04-08	PRIJEM	PREVOD Z UCTU	3497	17743	\N	ST	53674542
694094	2374	1996-05-08	PRIJEM	PREVOD Z UCTU	3497	17838	\N	ST	53674542
694095	2374	1996-06-08	PRIJEM	PREVOD Z UCTU	3497	19055	\N	ST	53674542
694096	2374	1996-07-08	PRIJEM	PREVOD Z UCTU	3497	20274	\N	ST	53674542
694097	2374	1996-08-08	PRIJEM	PREVOD Z UCTU	3497	19558	\N	ST	53674542
694098	2374	1996-09-08	PRIJEM	PREVOD Z UCTU	3497	20383	\N	ST	53674542
694099	2374	1996-10-08	PRIJEM	PREVOD Z UCTU	3497	18310	\N	ST	53674542
694100	2374	1996-11-08	PRIJEM	PREVOD Z UCTU	3497	15032	\N	ST	53674542
694101	2374	1996-12-08	PRIJEM	PREVOD Z UCTU	3497	13912	\N	ST	53674542
694102	2374	1997-01-08	PRIJEM	PREVOD Z UCTU	3497	13912	\N	ST	53674542
694103	2374	1997-02-08	PRIJEM	PREVOD Z UCTU	3497	14779	\N	ST	53674542
694104	2374	1997-03-08	PRIJEM	PREVOD Z UCTU	3497	15980	\N	ST	53674542
694105	2374	1997-04-08	PRIJEM	PREVOD Z UCTU	3497	17186	\N	ST	53674542
694106	2374	1997-05-08	PRIJEM	PREVOD Z UCTU	3497	17077	\N	ST	53674542
694107	2374	1997-06-08	PRIJEM	PREVOD Z UCTU	3497	17542	\N	ST	53674542
694108	2374	1997-07-08	PRIJEM	PREVOD Z UCTU	3497	18608	\N	ST	53674542
694109	2374	1997-08-08	PRIJEM	PREVOD Z UCTU	3497	19825	\N	ST	53674542
694110	2374	1997-09-08	PRIJEM	PREVOD Z UCTU	3497	21047	\N	ST	53674542
694111	2374	1997-10-08	PRIJEM	PREVOD Z UCTU	3497	22274	\N	ST	53674542
694112	2374	1997-11-08	PRIJEM	PREVOD Z UCTU	3497	23507	\N	ST	53674542
694113	2374	1997-12-08	PRIJEM	PREVOD Z UCTU	3497	24354	\N	ST	53674542
694114	2374	1998-01-08	PRIJEM	PREVOD Z UCTU	3497	24158	\N	ST	53674542
694115	2374	1998-02-08	PRIJEM	PREVOD Z UCTU	3497	25402	\N	ST	53674542
694116	2374	1998-03-08	PRIJEM	PREVOD Z UCTU	3497	26647	\N	ST	53674542
694117	2374	1998-04-08	PRIJEM	PREVOD Z UCTU	3497	27898	\N	ST	53674542
694118	2374	1998-05-08	PRIJEM	PREVOD Z UCTU	3497	27772	\N	ST	53674542
694119	2374	1998-06-08	PRIJEM	PREVOD Z UCTU	3497	29027	\N	ST	53674542
694120	2374	1998-07-08	PRIJEM	PREVOD Z UCTU	3497	28636	\N	ST	53674542
694121	2374	1998-08-08	PRIJEM	PREVOD Z UCTU	3497	29894	\N	ST	53674542
694122	2374	1998-09-08	PRIJEM	PREVOD Z UCTU	3497	31158	\N	ST	53674542
694123	2374	1998-10-08	PRIJEM	PREVOD Z UCTU	3497	32127	\N	ST	53674542
694124	2374	1998-11-08	PRIJEM	PREVOD Z UCTU	3497	32742	\N	ST	53674542
694125	2374	1998-12-08	PRIJEM	PREVOD Z UCTU	3497	34017	\N	ST	53674542
694141	2374	1996-04-14	VYDAJ	PREVOD NA UCET	2331	15412	SIPO	UV	11096793
694142	2374	1996-05-14	VYDAJ	PREVOD NA UCET	2331	15507	SIPO	UV	11096793
694143	2374	1996-06-14	VYDAJ	PREVOD NA UCET	2331	16724	SIPO	UV	11096793
694144	2374	1996-07-14	VYDAJ	PREVOD NA UCET	2331	17943	SIPO	UV	11096793
694145	2374	1996-08-14	VYDAJ	PREVOD NA UCET	2331	17227	SIPO	UV	11096793
694146	2374	1996-09-14	VYDAJ	PREVOD NA UCET	2331	18052	SIPO	UV	11096793
694147	2374	1996-10-14	VYDAJ	PREVOD NA UCET	2331	15979	SIPO	UV	11096793
694148	2374	1996-11-14	VYDAJ	PREVOD NA UCET	2331	12701	SIPO	UV	11096793
694149	2374	1996-12-14	VYDAJ	PREVOD NA UCET	2331	11581	SIPO	UV	11096793
694150	2374	1997-01-14	VYDAJ	PREVOD NA UCET	2331	11251	SIPO	UV	11096793
694151	2374	1997-02-14	VYDAJ	PREVOD NA UCET	2331	12448	SIPO	UV	11096793
694152	2374	1997-03-14	VYDAJ	PREVOD NA UCET	2331	13649	SIPO	UV	11096793
694153	2374	1997-04-14	VYDAJ	PREVOD NA UCET	2331	14855	SIPO	UV	11096793
694154	2374	1997-05-14	VYDAJ	PREVOD NA UCET	2331	14746	SIPO	UV	11096793
694155	2374	1997-06-14	VYDAJ	PREVOD NA UCET	2331	15061	SIPO	UV	11096793
694156	2374	1997-07-14	VYDAJ	PREVOD NA UCET	2331	16277	SIPO	UV	11096793
694157	2374	1997-08-14	VYDAJ	PREVOD NA UCET	2331	17494	SIPO	UV	11096793
694158	2374	1997-09-14	VYDAJ	PREVOD NA UCET	2331	18716	SIPO	UV	11096793
694159	2374	1997-10-14	VYDAJ	PREVOD NA UCET	2331	19943	SIPO	UV	11096793
694160	2374	1997-11-14	VYDAJ	PREVOD NA UCET	2331	21176	SIPO	UV	11096793
694161	2374	1997-12-14	VYDAJ	PREVOD NA UCET	2331	22023	SIPO	UV	11096793
694162	2374	1998-01-14	VYDAJ	PREVOD NA UCET	2331	21827	SIPO	UV	11096793
694163	2374	1998-02-14	VYDAJ	PREVOD NA UCET	2331	23071	SIPO	UV	11096793
694164	2374	1998-03-14	VYDAJ	PREVOD NA UCET	2331	24316	SIPO	UV	11096793
694165	2374	1998-04-14	VYDAJ	PREVOD NA UCET	2331	25567	SIPO	UV	11096793
694166	2374	1998-05-14	VYDAJ	PREVOD NA UCET	2331	25441	SIPO	UV	11096793
694167	2374	1998-06-14	VYDAJ	PREVOD NA UCET	2331	26696	SIPO	UV	11096793
694168	2374	1998-07-14	VYDAJ	PREVOD NA UCET	2331	26305	SIPO	UV	11096793
694169	2374	1998-08-14	VYDAJ	PREVOD NA UCET	2331	27563	SIPO	UV	11096793
694170	2374	1998-09-14	VYDAJ	PREVOD NA UCET	2331	28827	SIPO	UV	11096793
694171	2374	1998-10-14	VYDAJ	PREVOD NA UCET	2331	29796	SIPO	UV	11096793
694172	2374	1998-11-14	VYDAJ	PREVOD NA UCET	2331	30411	SIPO	UV	11096793
694173	2374	1998-12-14	VYDAJ	PREVOD NA UCET	2331	31416	SIPO	UV	11096793
694177	2374	1998-06-23	VYDAJ	VYBER	1650	25046	\N	\N	\N
694181	2374	1998-01-02	VYDAJ	VYBER	1440	20661	\N	\N	\N
694183	2374	1996-12-01	VYDAJ	VYBER	330	10415	\N	\N	\N
694184	2374	1997-12-01	VYDAJ	VYBER	390	20857	\N	\N	\N
694185	2374	1998-12-22	VYDAJ	VYBER	600	30816	\N	\N	\N
694187	2374	1996-07-30	VYDAJ	VYBER	540	16803	\N	\N	\N
694188	2374	1996-07-26	VYDAJ	VYBER	600	17343	\N	\N	\N
694189	2374	1997-06-06	VYDAJ	VYBER	750	14045	\N	\N	\N
694190	2374	1997-05-05	VYDAJ	VYBER	1320	13580	\N	\N	\N
694191	2374	1997-01-13	VYDAJ	VYBER	330	13582	\N	\N	\N
694192	2374	1997-06-11	VYDAJ	VYBER	150	17392	\N	\N	\N
694193	2374	1998-10-15	VYDAJ	VYBER	660	29136	\N	\N	\N
694194	2374	1998-12-23	VYDAJ	VYBER	840	29976	\N	\N	\N
694195	2374	1998-04-27	VYDAJ	VYBER	1380	24187	\N	\N	\N
694196	2374	1998-10-05	VYDAJ	VYBER	300	28630	\N	\N	\N
694197	2374	1998-12-13	VYDAJ	VYBER	270	33747	\N	\N	\N
694198	2374	1998-12-24	VYDAJ	VYBER	1020	28956	\N	\N	\N
694215	2374	1996-04-30	VYDAJ	VYBER	15	15441	SLUZBY	\N	\N
694216	2374	1996-05-31	VYDAJ	VYBER	15	15558	SLUZBY	\N	\N
694217	2374	1996-06-30	VYDAJ	VYBER	15	16777	SLUZBY	\N	\N
694218	2374	1996-07-31	VYDAJ	VYBER	15	16861	SLUZBY	\N	\N
694219	2374	1996-08-31	VYDAJ	VYBER	15	17286	SLUZBY	\N	\N
694220	2374	1996-09-30	VYDAJ	VYBER	15	18113	SLUZBY	\N	\N
694221	2374	1996-10-31	VYDAJ	VYBER	15	16035	SLUZBY	\N	\N
694222	2374	1996-11-30	VYDAJ	VYBER	15	12745	SLUZBY	\N	\N
694223	2374	1996-12-31	VYDAJ	VYBER	15	10415	SLUZBY	\N	\N
694224	2374	1997-01-31	VYDAJ	VYBER	15	11282	SLUZBY	\N	\N
694225	2374	1997-02-28	VYDAJ	VYBER	15	12483	SLUZBY	\N	\N
694226	2374	1997-03-31	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
694227	2374	1997-04-30	VYDAJ	VYBER	15	14900	SLUZBY	\N	\N
694228	2374	1997-05-31	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
694229	2374	1997-06-30	VYDAJ	VYBER	15	15111	SLUZBY	\N	\N
694230	2374	1997-07-31	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
694231	2374	1997-08-31	VYDAJ	VYBER	15	17550	SLUZBY	\N	\N
694232	2374	1997-09-30	VYDAJ	VYBER	15	18777	SLUZBY	\N	\N
694233	2374	1997-10-31	VYDAJ	VYBER	15	20010	SLUZBY	\N	\N
694234	2374	1997-11-30	VYDAJ	VYBER	15	21247	SLUZBY	\N	\N
694235	2374	1997-12-31	VYDAJ	VYBER	15	22101	SLUZBY	\N	\N
694236	2374	1998-01-31	VYDAJ	VYBER	15	21905	SLUZBY	\N	\N
694237	2374	1998-02-28	VYDAJ	VYBER	15	23150	SLUZBY	\N	\N
694238	2374	1998-03-31	VYDAJ	VYBER	15	24401	SLUZBY	\N	\N
694239	2374	1998-04-30	VYDAJ	VYBER	15	24275	SLUZBY	\N	\N
694240	2374	1998-05-31	VYDAJ	VYBER	15	25530	SLUZBY	\N	\N
694241	2374	1998-06-30	VYDAJ	VYBER	15	25139	SLUZBY	\N	\N
694242	2374	1998-07-31	VYDAJ	VYBER	15	26397	SLUZBY	\N	\N
694243	2374	1998-08-31	VYDAJ	VYBER	15	27661	SLUZBY	\N	\N
694244	2374	1998-09-30	VYDAJ	VYBER	15	28930	SLUZBY	\N	\N
694245	2374	1998-10-31	VYDAJ	VYBER	15	29245	SLUZBY	\N	\N
694246	2374	1998-11-30	VYDAJ	VYBER	15	30520	SLUZBY	\N	\N
694247	2374	1996-05-05	VYDAJ	VYBER	1100	14341	\N	\N	\N
694248	2374	1996-08-03	VYDAJ	VYBER	800	16061	\N	\N	\N
694249	2374	1996-09-02	VYDAJ	VYBER	400	16886	\N	\N	\N
694250	2374	1996-10-02	VYDAJ	VYBER	3300	14813	\N	\N	\N
694251	2374	1996-11-01	VYDAJ	VYBER	4500	11535	\N	\N	\N
694252	2374	1996-12-01	VYDAJ	VYBER	2000	10745	\N	\N	\N
694253	2374	1996-12-31	VYDAJ	VYBER	1200	10430	\N	\N	\N
694291	2375	1994-05-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
694297	2375	1994-06-10	PRIJEM	VKLAD	35226	36226	\N	\N	\N
694298	2375	1994-07-10	PRIJEM	VKLAD	23484	55481	\N	\N	\N
694299	2375	1994-08-10	PRIJEM	VKLAD	23484	63416	\N	\N	\N
694300	2375	1994-09-10	PRIJEM	VKLAD	23484	68979	\N	\N	\N
694301	2375	1994-10-10	PRIJEM	VKLAD	23484	69253	\N	\N	\N
694302	2375	1994-11-10	PRIJEM	VKLAD	23484	60810	\N	\N	\N
694303	2375	1994-12-10	PRIJEM	VKLAD	35226	68399	\N	\N	\N
694304	2375	1995-01-10	PRIJEM	VKLAD	23484	52060	\N	\N	\N
694305	2375	1995-02-10	PRIJEM	VKLAD	23484	45467	\N	\N	\N
694306	2375	1995-03-10	PRIJEM	VKLAD	23484	45849	\N	\N	\N
694307	2375	1995-04-10	PRIJEM	VKLAD	23484	50857	\N	\N	\N
694308	2375	1995-05-10	PRIJEM	VKLAD	23484	49622	\N	\N	\N
694309	2375	1995-06-10	PRIJEM	VKLAD	35226	68392	\N	\N	\N
694310	2375	1995-07-10	PRIJEM	VKLAD	23484	61341	\N	\N	\N
694311	2375	1995-08-10	PRIJEM	VKLAD	23484	53889	\N	\N	\N
694312	2375	1995-09-10	PRIJEM	VKLAD	23484	59866	\N	\N	\N
694313	2375	1995-10-10	PRIJEM	VKLAD	23484	62370	\N	\N	\N
694314	2375	1995-11-10	PRIJEM	VKLAD	23484	65889	\N	\N	\N
694315	2375	1995-12-10	PRIJEM	VKLAD	35226	75240	\N	\N	\N
694316	2375	1996-01-10	PRIJEM	VKLAD	23484	62920	\N	\N	\N
694317	2375	1996-02-10	PRIJEM	VKLAD	23484	57358	\N	\N	\N
694318	2375	1996-03-10	PRIJEM	VKLAD	23484	59651	\N	\N	\N
694319	2375	1996-04-10	PRIJEM	VKLAD	23484	56926	\N	\N	\N
694320	2375	1996-05-10	PRIJEM	VKLAD	23484	59516	\N	\N	\N
694321	2375	1996-06-10	PRIJEM	VKLAD	35226	75858	\N	\N	\N
694322	2375	1996-07-10	PRIJEM	VKLAD	23484	69110	\N	\N	\N
694323	2375	1996-08-10	PRIJEM	VKLAD	23484	66437	\N	\N	\N
694324	2375	1996-09-10	PRIJEM	VKLAD	23484	63970	\N	\N	\N
694325	2375	1996-10-10	PRIJEM	VKLAD	23484	64791	\N	\N	\N
694326	2375	1996-11-10	PRIJEM	VKLAD	23484	65115	\N	\N	\N
694327	2375	1996-12-10	PRIJEM	VKLAD	35226	74361	\N	\N	\N
694328	2375	1997-01-10	PRIJEM	VKLAD	23484	67890	\N	\N	\N
694329	2375	1997-02-10	PRIJEM	VKLAD	23484	62751	\N	\N	\N
694330	2375	1997-03-10	PRIJEM	VKLAD	23484	64157	\N	\N	\N
694331	2375	1997-04-10	PRIJEM	VKLAD	23484	64447	\N	\N	\N
694332	2375	1997-05-10	PRIJEM	VKLAD	23484	62799	\N	\N	\N
694333	2375	1997-06-10	PRIJEM	VKLAD	35226	78661	\N	\N	\N
694334	2375	1997-07-10	PRIJEM	VKLAD	23484	75713	\N	\N	\N
694335	2375	1997-08-10	PRIJEM	VKLAD	23484	73767	\N	\N	\N
694336	2375	1997-09-10	PRIJEM	VKLAD	23484	67689	\N	\N	\N
694337	2375	1997-10-10	PRIJEM	VKLAD	23484	68205	\N	\N	\N
694338	2375	1997-11-10	PRIJEM	VKLAD	23484	67823	\N	\N	\N
694339	2375	1997-12-10	PRIJEM	VKLAD	35226	78580	\N	\N	\N
694340	2375	1998-01-10	PRIJEM	VKLAD	23484	68219	\N	\N	\N
694341	2375	1998-02-10	PRIJEM	VKLAD	23484	61260	\N	\N	\N
694342	2375	1998-03-10	PRIJEM	VKLAD	23484	66150	\N	\N	\N
694343	2375	1998-04-10	PRIJEM	VKLAD	23484	70760	\N	\N	\N
694344	2375	1998-05-10	PRIJEM	VKLAD	23484	70685	\N	\N	\N
694345	2375	1998-06-10	PRIJEM	VKLAD	35226	85853	\N	\N	\N
694346	2375	1998-07-10	PRIJEM	VKLAD	23484	79217	\N	\N	\N
694347	2375	1998-08-10	PRIJEM	VKLAD	23484	78670	\N	\N	\N
694348	2375	1998-09-10	PRIJEM	VKLAD	23484	83127	\N	\N	\N
694349	2375	1998-10-10	PRIJEM	VKLAD	23484	80993	\N	\N	\N
694350	2375	1998-11-10	PRIJEM	VKLAD	23484	82954	\N	\N	\N
694351	2375	1998-12-10	PRIJEM	VKLAD	35226	94226	\N	\N	\N
694361	2375	1994-10-12	VYDAJ	PREVOD NA UCET	279	68974	SIPO	UV	68029534
694362	2375	1994-11-12	VYDAJ	PREVOD NA UCET	279	40031	SIPO	UV	68029534
694363	2375	1994-12-12	VYDAJ	PREVOD NA UCET	279	68120	SIPO	UV	68029534
694364	2375	1995-01-12	VYDAJ	PREVOD NA UCET	279	34641	SIPO	UV	68029534
694365	2375	1995-02-12	VYDAJ	PREVOD NA UCET	279	34188	SIPO	UV	68029534
694366	2375	1995-03-12	VYDAJ	PREVOD NA UCET	279	45570	SIPO	UV	68029534
694367	2375	1995-04-12	VYDAJ	PREVOD NA UCET	279	38778	SIPO	UV	68029534
694368	2375	1995-05-12	VYDAJ	PREVOD NA UCET	279	40043	SIPO	UV	68029534
694369	2375	1995-06-12	VYDAJ	PREVOD NA UCET	279	44713	SIPO	UV	68029534
694370	2375	1995-07-12	VYDAJ	PREVOD NA UCET	279	42462	SIPO	UV	68029534
694371	2375	1995-08-12	VYDAJ	PREVOD NA UCET	279	53610	SIPO	UV	68029534
694372	2375	1995-09-12	VYDAJ	PREVOD NA UCET	279	59587	SIPO	UV	68029534
694373	2375	1995-10-12	VYDAJ	PREVOD NA UCET	279	62091	SIPO	UV	68029534
694374	2375	1995-11-12	VYDAJ	PREVOD NA UCET	279	65610	SIPO	UV	68029534
694375	2375	1995-12-12	VYDAJ	PREVOD NA UCET	279	74961	SIPO	UV	68029534
694376	2375	1996-01-12	VYDAJ	PREVOD NA UCET	279	62641	SIPO	UV	68029534
694377	2375	1996-02-12	VYDAJ	PREVOD NA UCET	279	57079	SIPO	UV	68029534
694378	2375	1996-03-12	VYDAJ	PREVOD NA UCET	279	54452	SIPO	UV	68029534
694379	2375	1996-04-12	VYDAJ	PREVOD NA UCET	279	56647	SIPO	UV	68029534
694380	2375	1996-05-12	VYDAJ	PREVOD NA UCET	279	59237	SIPO	UV	68029534
694381	2375	1996-06-12	VYDAJ	PREVOD NA UCET	279	75579	SIPO	UV	68029534
694382	2375	1996-07-12	VYDAJ	PREVOD NA UCET	279	68831	SIPO	UV	68029534
694383	2375	1996-08-12	VYDAJ	PREVOD NA UCET	279	66158	SIPO	UV	68029534
694384	2375	1996-09-12	VYDAJ	PREVOD NA UCET	279	63691	SIPO	UV	68029534
694385	2375	1996-10-12	VYDAJ	PREVOD NA UCET	279	64512	SIPO	UV	68029534
694386	2375	1996-11-12	VYDAJ	PREVOD NA UCET	279	64836	SIPO	UV	68029534
694387	2375	1996-12-12	VYDAJ	PREVOD NA UCET	279	74082	SIPO	UV	68029534
694388	2375	1997-01-12	VYDAJ	PREVOD NA UCET	279	63411	SIPO	UV	68029534
694389	2375	1997-02-12	VYDAJ	PREVOD NA UCET	279	62472	SIPO	UV	68029534
694390	2375	1997-03-12	VYDAJ	PREVOD NA UCET	279	60758	SIPO	UV	68029534
694391	2375	1997-04-12	VYDAJ	PREVOD NA UCET	279	64168	SIPO	UV	68029534
694392	2375	1997-05-12	VYDAJ	PREVOD NA UCET	279	62520	SIPO	UV	68029534
694393	2375	1997-06-12	VYDAJ	PREVOD NA UCET	279	78382	SIPO	UV	68029534
694394	2375	1997-07-12	VYDAJ	PREVOD NA UCET	279	75434	SIPO	UV	68029534
694395	2375	1997-08-12	VYDAJ	PREVOD NA UCET	279	73488	SIPO	UV	68029534
694396	2375	1997-09-12	VYDAJ	PREVOD NA UCET	279	67410	SIPO	UV	68029534
694397	2375	1997-10-12	VYDAJ	PREVOD NA UCET	279	67926	SIPO	UV	68029534
694398	2375	1997-11-12	VYDAJ	PREVOD NA UCET	279	67544	SIPO	UV	68029534
694399	2375	1997-12-12	VYDAJ	PREVOD NA UCET	279	78301	SIPO	UV	68029534
694400	2375	1998-01-12	VYDAJ	PREVOD NA UCET	279	67940	SIPO	UV	68029534
694401	2375	1998-02-12	VYDAJ	PREVOD NA UCET	279	60981	SIPO	UV	68029534
694402	2375	1998-03-12	VYDAJ	PREVOD NA UCET	279	65871	SIPO	UV	68029534
694403	2375	1998-04-12	VYDAJ	PREVOD NA UCET	279	70481	SIPO	UV	68029534
694404	2375	1998-05-12	VYDAJ	PREVOD NA UCET	279	70406	SIPO	UV	68029534
694405	2375	1998-06-12	VYDAJ	PREVOD NA UCET	279	85574	SIPO	UV	68029534
694406	2375	1998-07-12	VYDAJ	PREVOD NA UCET	279	78938	SIPO	UV	68029534
694407	2375	1998-08-12	VYDAJ	PREVOD NA UCET	279	78391	SIPO	UV	68029534
694408	2375	1998-09-12	VYDAJ	PREVOD NA UCET	279	82848	SIPO	UV	68029534
694409	2375	1998-10-12	VYDAJ	PREVOD NA UCET	279	80714	SIPO	UV	68029534
694410	2375	1998-11-12	VYDAJ	PREVOD NA UCET	279	82675	SIPO	UV	68029534
694411	2375	1998-12-12	VYDAJ	PREVOD NA UCET	279	93947	SIPO	UV	68029534
694422	2375	1994-11-06	VYDAJ	PREVOD NA UCET	7022	37326	 	KL	35131472
694423	2375	1994-12-06	VYDAJ	PREVOD NA UCET	7022	33173	 	KL	35131472
694424	2375	1995-01-06	VYDAJ	PREVOD NA UCET	7022	28576	 	KL	35131472
694425	2375	1995-02-06	VYDAJ	PREVOD NA UCET	7022	21983	 	KL	35131472
694426	2375	1995-03-06	VYDAJ	PREVOD NA UCET	7022	22365	 	KL	35131472
694427	2375	1995-04-06	VYDAJ	PREVOD NA UCET	7022	27373	 	KL	35131472
694428	2375	1995-05-06	VYDAJ	PREVOD NA UCET	7022	26138	 	KL	35131472
694429	2375	1995-06-06	VYDAJ	PREVOD NA UCET	7022	33166	 	KL	35131472
694430	2375	1995-07-06	VYDAJ	PREVOD NA UCET	7022	37857	 	KL	35131472
694431	2375	1995-08-06	VYDAJ	PREVOD NA UCET	7022	35605	 	KL	35131472
694432	2375	1995-09-06	VYDAJ	PREVOD NA UCET	7022	46782	 	KL	35131472
694433	2375	1995-10-06	VYDAJ	PREVOD NA UCET	7022	52786	 	KL	35131472
694434	2375	1995-11-06	VYDAJ	PREVOD NA UCET	7022	55305	 	KL	35131472
694435	2375	1995-12-06	VYDAJ	PREVOD NA UCET	7022	58834	 	KL	35131472
694436	2375	1996-01-06	VYDAJ	PREVOD NA UCET	7022	44836	 	KL	35131472
694437	2375	1996-02-06	VYDAJ	PREVOD NA UCET	7022	33874	 	KL	35131472
694438	2375	1996-03-06	VYDAJ	PREVOD NA UCET	7022	50267	 	KL	35131472
694439	2375	1996-04-06	VYDAJ	PREVOD NA UCET	7022	33442	 	KL	35131472
694440	2375	1996-05-06	VYDAJ	PREVOD NA UCET	7022	36032	 	KL	35131472
694441	2375	1996-06-06	VYDAJ	PREVOD NA UCET	7022	40632	 	KL	35131472
694442	2375	1996-07-06	VYDAJ	PREVOD NA UCET	7022	45626	 	KL	35131472
694443	2375	1996-08-06	VYDAJ	PREVOD NA UCET	7022	44273	 	KL	35131472
694444	2375	1996-09-06	VYDAJ	PREVOD NA UCET	7022	40486	 	KL	35131472
694445	2375	1996-10-06	VYDAJ	PREVOD NA UCET	7022	41307	 	KL	35131472
694446	2375	1996-11-06	VYDAJ	PREVOD NA UCET	7022	41631	 	KL	35131472
694447	2375	1996-12-06	VYDAJ	PREVOD NA UCET	7022	41855	 	KL	35131472
694448	2375	1997-01-06	VYDAJ	PREVOD NA UCET	7022	44406	 	KL	35131472
694449	2375	1997-02-06	VYDAJ	PREVOD NA UCET	7022	39267	 	KL	35131472
694450	2375	1997-03-06	VYDAJ	PREVOD NA UCET	7022	40673	 	KL	35131472
694451	2375	1997-04-06	VYDAJ	PREVOD NA UCET	7022	40963	 	KL	35131472
694452	2375	1997-05-06	VYDAJ	PREVOD NA UCET	7022	39315	 	KL	35131472
694453	2375	1997-06-06	VYDAJ	PREVOD NA UCET	7022	43435	 	KL	35131472
694454	2375	1997-07-06	VYDAJ	PREVOD NA UCET	7022	52229	 	KL	35131472
694455	2375	1997-08-06	VYDAJ	PREVOD NA UCET	7022	50283	 	KL	35131472
694456	2375	1997-09-06	VYDAJ	PREVOD NA UCET	7022	44205	 	KL	35131472
694457	2375	1997-10-06	VYDAJ	PREVOD NA UCET	7022	44721	 	KL	35131472
694458	2375	1997-11-06	VYDAJ	PREVOD NA UCET	7022	44339	 	KL	35131472
694459	2375	1997-12-06	VYDAJ	PREVOD NA UCET	7022	43354	 	KL	35131472
694460	2375	1998-01-06	VYDAJ	PREVOD NA UCET	7022	47975	 	KL	35131472
694461	2375	1998-02-06	VYDAJ	PREVOD NA UCET	7022	37776	 	KL	35131472
694462	2375	1998-03-06	VYDAJ	PREVOD NA UCET	7022	42666	 	KL	35131472
694463	2375	1998-04-06	VYDAJ	PREVOD NA UCET	7022	47276	 	KL	35131472
694464	2375	1998-05-06	VYDAJ	PREVOD NA UCET	7022	47201	 	KL	35131472
694465	2375	1998-06-06	VYDAJ	PREVOD NA UCET	7022	50627	 	KL	35131472
694466	2375	1998-07-06	VYDAJ	PREVOD NA UCET	7022	55733	 	KL	35131472
694467	2375	1998-08-06	VYDAJ	PREVOD NA UCET	7022	55186	 	KL	35131472
694468	2375	1998-09-06	VYDAJ	PREVOD NA UCET	7022	59643	 	KL	35131472
694469	2375	1998-10-06	VYDAJ	PREVOD NA UCET	7022	57509	 	KL	35131472
694470	2375	1998-11-06	VYDAJ	PREVOD NA UCET	7022	59470	 	KL	35131472
694471	2375	1998-12-06	VYDAJ	PREVOD NA UCET	7022	59000	 	KL	35131472
694472	2375	1994-12-22	VYDAJ	VYBER	4640	40680	\N	\N	\N
694473	2375	1995-12-07	VYDAJ	VYBER	1920	40014	\N	\N	\N
694474	2375	1996-12-08	VYDAJ	VYBER	2720	39135	\N	\N	\N
694475	2375	1997-12-22	VYDAJ	VYBER	4640	73661	\N	\N	\N
694476	2375	1998-12-05	VYDAJ	VYBER	3840	66022	\N	\N	\N
694483	2375	1995-01-11	VYDAJ	VYBER	2040	34920	\N	\N	\N
694484	2375	1995-01-01	VYDAJ	VYBER	2400	38478	\N	\N	\N
694485	2375	1995-01-19	VYDAJ	VYBER	1200	31521	\N	\N	\N
694486	2375	1995-01-04	VYDAJ	VYBER	2880	35598	\N	\N	\N
694487	2375	1995-01-15	VYDAJ	VYBER	1920	32721	\N	\N	\N
694488	2375	1995-01-29	VYDAJ	VYBER	2640	28881	\N	\N	\N
694489	2375	1996-01-05	VYDAJ	VYBER	2040	70558	\N	\N	\N
694490	2375	1996-01-02	VYDAJ	VYBER	2640	72598	\N	\N	\N
694491	2375	1996-01-25	VYDAJ	VYBER	3360	57841	\N	\N	\N
694492	2375	1996-01-14	VYDAJ	VYBER	600	62041	\N	\N	\N
694493	2375	1996-01-18	VYDAJ	VYBER	840	61201	\N	\N	\N
694494	2375	1996-01-30	VYDAJ	VYBER	1080	56761	\N	\N	\N
694495	2375	1997-01-14	VYDAJ	VYBER	2640	60771	\N	\N	\N
694496	2375	1997-01-04	VYDAJ	VYBER	3240	51428	\N	\N	\N
694497	2375	1997-01-23	VYDAJ	VYBER	2400	57411	\N	\N	\N
694498	2375	1997-01-28	VYDAJ	VYBER	600	54771	\N	\N	\N
694499	2375	1997-01-21	VYDAJ	VYBER	960	59811	\N	\N	\N
694500	2375	1997-01-03	VYDAJ	VYBER	2880	54668	\N	\N	\N
694501	2375	1998-01-04	VYDAJ	VYBER	1680	54997	\N	\N	\N
694502	2375	1998-01-17	VYDAJ	VYBER	1920	66020	\N	\N	\N
694503	2375	1998-01-20	VYDAJ	VYBER	2880	63140	\N	\N	\N
694504	2375	1998-01-07	VYDAJ	VYBER	3240	44735	\N	\N	\N
694505	2375	1998-01-02	VYDAJ	VYBER	840	56677	\N	\N	\N
694506	2375	1998-01-22	VYDAJ	VYBER	2760	60380	\N	\N	\N
694509	2375	1995-04-30	VYDAJ	VYBER	5760	33175	\N	\N	\N
694510	2375	1995-02-26	VYDAJ	VYBER	4920	29268	\N	\N	\N
694511	2375	1996-01-07	VYDAJ	VYBER	5400	39436	\N	\N	\N
694512	2375	1996-03-10	VYDAJ	VYBER	4920	54731	\N	\N	\N
694513	2375	1996-08-08	VYDAJ	VYBER	1320	42953	\N	\N	\N
694514	2375	1997-03-31	VYDAJ	VYBER	1800	48000	\N	\N	\N
694515	2375	1997-01-26	VYDAJ	VYBER	2040	55371	\N	\N	\N
694516	2375	1997-04-28	VYDAJ	VYBER	5160	59008	\N	\N	\N
694517	2375	1997-01-11	VYDAJ	VYBER	4200	63690	\N	\N	\N
694518	2375	1997-03-12	VYDAJ	VYBER	3120	61037	\N	\N	\N
694519	2375	1997-09-05	VYDAJ	VYBER	3120	51227	\N	\N	\N
694520	2375	1998-07-20	VYDAJ	VYBER	4200	74738	\N	\N	\N
694531	2375	1994-10-31	VYDAJ	VYBER	15	44348	SLUZBY	\N	\N
694532	2375	1994-11-30	VYDAJ	VYBER	15	40195	SLUZBY	\N	\N
694533	2375	1994-12-31	VYDAJ	VYBER	15	40878	SLUZBY	\N	\N
694534	2375	1995-01-31	VYDAJ	VYBER	15	29005	SLUZBY	\N	\N
694535	2375	1995-02-28	VYDAJ	VYBER	15	29387	SLUZBY	\N	\N
694536	2375	1995-03-31	VYDAJ	VYBER	15	34395	SLUZBY	\N	\N
694537	2375	1995-04-30	VYDAJ	VYBER	15	33160	SLUZBY	\N	\N
694538	2375	1995-05-31	VYDAJ	VYBER	15	40188	SLUZBY	\N	\N
694539	2375	1995-06-30	VYDAJ	VYBER	15	44879	SLUZBY	\N	\N
694540	2375	1995-07-31	VYDAJ	VYBER	15	42627	SLUZBY	\N	\N
694541	2375	1995-08-31	VYDAJ	VYBER	15	53804	SLUZBY	\N	\N
694542	2375	1995-09-30	VYDAJ	VYBER	15	59808	SLUZBY	\N	\N
694543	2375	1995-10-31	VYDAJ	VYBER	15	62327	SLUZBY	\N	\N
694544	2375	1995-11-30	VYDAJ	VYBER	15	65856	SLUZBY	\N	\N
694545	2375	1995-12-31	VYDAJ	VYBER	15	75238	SLUZBY	\N	\N
694546	2375	1996-01-31	VYDAJ	VYBER	15	56996	SLUZBY	\N	\N
694547	2375	1996-02-29	VYDAJ	VYBER	15	57289	SLUZBY	\N	\N
694548	2375	1996-03-31	VYDAJ	VYBER	15	54664	SLUZBY	\N	\N
694549	2375	1996-04-30	VYDAJ	VYBER	15	56854	SLUZBY	\N	\N
694550	2375	1996-05-31	VYDAJ	VYBER	15	59454	SLUZBY	\N	\N
694551	2375	1996-06-30	VYDAJ	VYBER	15	75848	SLUZBY	\N	\N
694552	2375	1996-07-31	VYDAJ	VYBER	15	69095	SLUZBY	\N	\N
694553	2375	1996-08-31	VYDAJ	VYBER	15	66408	SLUZBY	\N	\N
694554	2375	1996-09-30	VYDAJ	VYBER	15	63929	SLUZBY	\N	\N
694555	2375	1996-10-31	VYDAJ	VYBER	15	64753	SLUZBY	\N	\N
694556	2375	1996-11-30	VYDAJ	VYBER	15	65077	SLUZBY	\N	\N
694557	2375	1996-12-31	VYDAJ	VYBER	15	74348	SLUZBY	\N	\N
694558	2375	1997-01-31	VYDAJ	VYBER	15	46289	SLUZBY	\N	\N
694559	2375	1997-02-28	VYDAJ	VYBER	15	62695	SLUZBY	\N	\N
694560	2375	1997-03-31	VYDAJ	VYBER	15	47985	SLUZBY	\N	\N
694561	2375	1997-04-30	VYDAJ	VYBER	15	59237	SLUZBY	\N	\N
694562	2375	1997-05-31	VYDAJ	VYBER	15	50457	SLUZBY	\N	\N
694563	2375	1997-06-30	VYDAJ	VYBER	15	59251	SLUZBY	\N	\N
694564	2375	1997-07-31	VYDAJ	VYBER	15	57305	SLUZBY	\N	\N
694565	2375	1997-08-31	VYDAJ	VYBER	15	54347	SLUZBY	\N	\N
694566	2375	1997-09-30	VYDAJ	VYBER	15	51743	SLUZBY	\N	\N
694567	2375	1997-10-31	VYDAJ	VYBER	15	51361	SLUZBY	\N	\N
694568	2375	1997-11-30	VYDAJ	VYBER	15	50376	SLUZBY	\N	\N
694569	2375	1997-12-31	VYDAJ	VYBER	15	57517	SLUZBY	\N	\N
694570	2375	1998-01-31	VYDAJ	VYBER	15	44798	SLUZBY	\N	\N
694571	2375	1998-02-28	VYDAJ	VYBER	15	49688	SLUZBY	\N	\N
694572	2375	1998-03-31	VYDAJ	VYBER	15	54298	SLUZBY	\N	\N
694573	2375	1998-04-30	VYDAJ	VYBER	15	54223	SLUZBY	\N	\N
694574	2375	1998-05-31	VYDAJ	VYBER	15	57649	SLUZBY	\N	\N
694575	2375	1998-06-30	VYDAJ	VYBER	15	62755	SLUZBY	\N	\N
694576	2375	1998-07-31	VYDAJ	VYBER	15	62208	SLUZBY	\N	\N
694577	2375	1998-08-31	VYDAJ	VYBER	15	66665	SLUZBY	\N	\N
694578	2375	1998-09-30	VYDAJ	VYBER	15	64531	SLUZBY	\N	\N
694579	2375	1998-10-31	VYDAJ	VYBER	15	66492	SLUZBY	\N	\N
694580	2375	1998-11-30	VYDAJ	VYBER	15	69862	SLUZBY	\N	\N
694581	2375	1994-06-15	VYDAJ	VYBER	4300	31926	\N	\N	\N
694582	2375	1994-07-15	VYDAJ	VYBER	15700	39781	\N	\N	\N
694583	2375	1994-08-14	VYDAJ	VYBER	18100	45316	\N	\N	\N
694584	2375	1994-09-13	VYDAJ	VYBER	23400	45579	\N	\N	\N
694585	2375	1994-10-13	VYDAJ	VYBER	24800	44174	\N	\N	\N
694586	2375	1994-11-12	VYDAJ	VYBER	20500	40310	\N	\N	\N
694587	2375	1994-12-12	VYDAJ	VYBER	22800	45320	\N	\N	\N
694588	2375	1995-01-11	VYDAJ	VYBER	15100	36960	\N	\N	\N
694589	2375	1995-02-10	VYDAJ	VYBER	11000	34467	\N	\N	\N
694590	2375	1995-03-12	VYDAJ	VYBER	11300	34270	\N	\N	\N
694591	2375	1995-04-11	VYDAJ	VYBER	11800	39057	\N	\N	\N
694592	2375	1995-05-11	VYDAJ	VYBER	9300	40322	\N	\N	\N
694593	2375	1995-06-10	VYDAJ	VYBER	23400	44992	\N	\N	\N
694594	2375	1995-07-10	VYDAJ	VYBER	18600	42741	\N	\N	\N
694595	2375	1995-08-09	VYDAJ	VYBER	5200	30405	\N	\N	\N
694596	2375	1995-09-08	VYDAJ	VYBER	10400	36382	\N	\N	\N
694597	2375	1995-10-08	VYDAJ	VYBER	13900	38886	\N	\N	\N
694598	2375	1995-11-07	VYDAJ	VYBER	12900	42405	\N	\N	\N
694599	2375	1995-12-07	VYDAJ	VYBER	16900	41934	\N	\N	\N
694600	2375	1996-01-06	VYDAJ	VYBER	18700	51858	\N	\N	\N
694601	2375	1996-02-05	VYDAJ	VYBER	16100	40896	\N	\N	\N
694602	2375	1996-03-06	VYDAJ	VYBER	14100	36167	\N	\N	\N
694603	2375	1996-04-05	VYDAJ	VYBER	14200	40464	\N	\N	\N
694604	2375	1996-05-05	VYDAJ	VYBER	13800	43054	\N	\N	\N
694605	2375	1996-06-04	VYDAJ	VYBER	11800	47654	\N	\N	\N
694606	2375	1996-07-04	VYDAJ	VYBER	23200	52648	\N	\N	\N
694607	2375	1996-08-03	VYDAJ	VYBER	17800	51295	\N	\N	\N
694608	2375	1996-09-02	VYDAJ	VYBER	18900	47508	\N	\N	\N
694609	2375	1996-10-02	VYDAJ	VYBER	15600	48329	\N	\N	\N
694610	2375	1996-11-01	VYDAJ	VYBER	16100	48653	\N	\N	\N
694611	2375	1996-12-01	VYDAJ	VYBER	16200	48877	\N	\N	\N
694612	2375	1996-12-31	VYDAJ	VYBER	16800	57548	\N	\N	\N
694613	2375	1997-01-30	VYDAJ	VYBER	8700	46071	\N	\N	\N
694614	2375	1997-03-01	VYDAJ	VYBER	15000	47695	\N	\N	\N
694615	2375	1997-03-31	VYDAJ	VYBER	11200	49800	\N	\N	\N
694616	2375	1997-04-30	VYDAJ	VYBER	12900	46337	\N	\N	\N
694617	2375	1997-05-30	VYDAJ	VYBER	12300	50220	\N	\N	\N
694618	2375	1997-06-29	VYDAJ	VYBER	19400	58982	\N	\N	\N
694619	2375	1997-07-29	VYDAJ	VYBER	18400	57034	\N	\N	\N
694620	2375	1997-08-28	VYDAJ	VYBER	19400	54088	\N	\N	\N
694621	2375	1997-09-27	VYDAJ	VYBER	15900	51510	\N	\N	\N
694622	2375	1997-10-27	VYDAJ	VYBER	16800	51126	\N	\N	\N
694623	2375	1997-11-26	VYDAJ	VYBER	17400	50144	\N	\N	\N
694624	2375	1997-12-26	VYDAJ	VYBER	16400	57261	\N	\N	\N
694625	2375	1998-01-25	VYDAJ	VYBER	15800	44580	\N	\N	\N
694626	2375	1998-02-24	VYDAJ	VYBER	11500	49481	\N	\N	\N
694627	2375	1998-03-26	VYDAJ	VYBER	11800	54071	\N	\N	\N
694628	2375	1998-04-25	VYDAJ	VYBER	16500	53981	\N	\N	\N
694629	2375	1998-05-25	VYDAJ	VYBER	13000	57406	\N	\N	\N
694630	2375	1998-06-24	VYDAJ	VYBER	23100	62474	\N	\N	\N
694631	2375	1998-07-24	VYDAJ	VYBER	12800	61938	\N	\N	\N
694632	2375	1998-08-23	VYDAJ	VYBER	12000	66391	\N	\N	\N
694633	2375	1998-09-22	VYDAJ	VYBER	18600	64248	\N	\N	\N
694634	2375	1998-10-22	VYDAJ	VYBER	14500	66214	\N	\N	\N
694635	2375	1998-11-21	VYDAJ	VYBER	13100	69575	\N	\N	\N
694691	2376	1996-12-14	PRIJEM	VKLAD	600	600	\N	\N	\N
694704	2376	1997-01-05	PRIJEM	VKLAD	22440	23040	\N	\N	\N
694705	2376	1997-02-05	PRIJEM	VKLAD	22440	47544	\N	\N	\N
694706	2376	1997-03-05	PRIJEM	VKLAD	22440	59218	\N	\N	\N
694707	2376	1997-04-05	PRIJEM	VKLAD	22440	64423	\N	\N	\N
694708	2376	1997-05-05	PRIJEM	VKLAD	22440	68046	\N	\N	\N
694709	2376	1997-06-05	PRIJEM	VKLAD	33660	69929	\N	\N	\N
694710	2376	1997-07-05	PRIJEM	VKLAD	22440	43944	\N	\N	\N
694711	2376	1997-08-05	PRIJEM	VKLAD	22440	51385	\N	\N	\N
694712	2376	1997-09-05	PRIJEM	VKLAD	22440	56635	\N	\N	\N
694713	2376	1997-10-05	PRIJEM	VKLAD	22440	57281	\N	\N	\N
694714	2376	1997-11-05	PRIJEM	VKLAD	22440	55088	\N	\N	\N
694715	2376	1997-12-05	PRIJEM	VKLAD	33660	56376	\N	\N	\N
694716	2376	1998-01-05	PRIJEM	VKLAD	22440	53289	\N	\N	\N
694717	2376	1998-02-05	PRIJEM	VKLAD	22440	59133	\N	\N	\N
694718	2376	1998-03-05	PRIJEM	VKLAD	22440	53758	\N	\N	\N
694719	2376	1998-04-05	PRIJEM	VKLAD	22440	53598	\N	\N	\N
694720	2376	1998-05-05	PRIJEM	VKLAD	22440	51600	\N	\N	\N
694721	2376	1998-06-05	PRIJEM	VKLAD	33660	61950	\N	\N	\N
694722	2376	1998-07-05	PRIJEM	VKLAD	22440	51621	\N	\N	\N
694723	2376	1998-08-05	PRIJEM	VKLAD	22440	52242	\N	\N	\N
694724	2376	1998-09-05	PRIJEM	VKLAD	22440	50659	\N	\N	\N
694725	2376	1998-10-05	PRIJEM	VKLAD	22440	43395	\N	\N	\N
694726	2376	1998-11-05	PRIJEM	VKLAD	22440	38109	\N	\N	\N
694727	2376	1998-12-05	PRIJEM	VKLAD	33660	61055	\N	\N	\N
694744	2376	1997-05-08	VYDAJ	PREVOD NA UCET	4428	63618	SIPO	ST	7464963
694745	2376	1997-06-08	VYDAJ	PREVOD NA UCET	4428	18301	SIPO	ST	7464963
694746	2376	1997-07-08	VYDAJ	PREVOD NA UCET	4428	39516	SIPO	ST	7464963
694747	2376	1997-08-08	VYDAJ	PREVOD NA UCET	4428	46957	SIPO	ST	7464963
694748	2376	1997-09-08	VYDAJ	PREVOD NA UCET	4428	52207	SIPO	ST	7464963
694749	2376	1997-10-08	VYDAJ	PREVOD NA UCET	4428	52853	SIPO	ST	7464963
694750	2376	1997-11-08	VYDAJ	PREVOD NA UCET	4428	50660	SIPO	ST	7464963
694751	2376	1997-12-08	VYDAJ	PREVOD NA UCET	4428	49228	SIPO	ST	7464963
694752	2376	1998-01-08	VYDAJ	PREVOD NA UCET	4428	48861	SIPO	ST	7464963
694753	2376	1998-02-08	VYDAJ	PREVOD NA UCET	4428	34905	SIPO	ST	7464963
694754	2376	1998-03-08	VYDAJ	PREVOD NA UCET	4428	49330	SIPO	ST	7464963
694755	2376	1998-04-08	VYDAJ	PREVOD NA UCET	4428	49170	SIPO	ST	7464963
694756	2376	1998-05-08	VYDAJ	PREVOD NA UCET	4428	28172	SIPO	ST	7464963
694757	2376	1998-06-08	VYDAJ	PREVOD NA UCET	4428	33622	SIPO	ST	7464963
694758	2376	1998-07-08	VYDAJ	PREVOD NA UCET	4428	29693	SIPO	ST	7464963
694759	2376	1998-08-08	VYDAJ	PREVOD NA UCET	4428	28114	SIPO	ST	7464963
694760	2376	1998-09-08	VYDAJ	PREVOD NA UCET	4428	20871	SIPO	ST	7464963
694761	2376	1998-10-08	VYDAJ	PREVOD NA UCET	4428	22567	SIPO	ST	7464963
694762	2376	1998-11-08	VYDAJ	PREVOD NA UCET	4428	33681	SIPO	ST	7464963
694763	2376	1998-12-08	VYDAJ	PREVOD NA UCET	4428	56627	SIPO	ST	7464963
694765	2376	1997-06-05	VYDAJ	VYBER	47200	22729	\N	\N	\N
694768	2376	1997-12-05	VYDAJ	VYBER	2720	53656	\N	\N	\N
694769	2376	1998-12-14	VYDAJ	VYBER	800	55827	\N	\N	\N
694779	2376	1997-10-18	VYDAJ	VYBER	1560	34193	\N	\N	\N
694780	2376	1997-10-30	VYDAJ	VYBER	1680	32513	\N	\N	\N
694781	2376	1997-07-12	VYDAJ	VYBER	4680	30636	\N	\N	\N
694782	2376	1997-08-04	VYDAJ	VYBER	1800	28945	\N	\N	\N
694783	2376	1997-11-13	VYDAJ	VYBER	5640	22620	\N	\N	\N
694785	2376	1997-06-02	VYDAJ	VYBER	3120	36269	\N	\N	\N
694786	2376	1998-09-07	VYDAJ	VYBER	3960	25299	\N	\N	\N
694787	2376	1998-12-22	VYDAJ	VYBER	1560	54267	\N	\N	\N
694788	2376	1998-11-12	VYDAJ	VYBER	1800	31881	\N	\N	\N
694789	2376	1998-06-29	VYDAJ	VYBER	4560	29062	\N	\N	\N
694790	2376	1998-04-13	VYDAJ	VYBER	3120	29050	\N	\N	\N
694791	2376	1998-03-11	VYDAJ	VYBER	1200	31030	\N	\N	\N
694792	2376	1998-03-03	VYDAJ	VYBER	3720	31318	\N	\N	\N
694793	2376	1998-10-26	VYDAJ	VYBER	5280	17287	\N	\N	\N
694811	2376	1997-05-31	VYDAJ	VYBER	15	39389	SLUZBY	\N	\N
694812	2376	1997-06-30	VYDAJ	VYBER	15	21504	SLUZBY	\N	\N
694813	2376	1997-07-31	VYDAJ	VYBER	15	30745	SLUZBY	\N	\N
694814	2376	1997-08-31	VYDAJ	VYBER	15	34195	SLUZBY	\N	\N
694815	2376	1997-09-30	VYDAJ	VYBER	15	34841	SLUZBY	\N	\N
694816	2376	1997-10-31	VYDAJ	VYBER	15	32648	SLUZBY	\N	\N
694817	2376	1997-11-30	VYDAJ	VYBER	15	22716	SLUZBY	\N	\N
694818	2376	1997-12-31	VYDAJ	VYBER	15	30849	SLUZBY	\N	\N
694819	2376	1998-01-31	VYDAJ	VYBER	15	36693	SLUZBY	\N	\N
694820	2376	1998-02-28	VYDAJ	VYBER	15	35038	SLUZBY	\N	\N
694821	2376	1998-03-31	VYDAJ	VYBER	15	31158	SLUZBY	\N	\N
694822	2376	1998-04-30	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
694823	2376	1998-05-31	VYDAJ	VYBER	15	28290	SLUZBY	\N	\N
694824	2376	1998-06-30	VYDAJ	VYBER	15	29181	SLUZBY	\N	\N
694825	2376	1998-07-31	VYDAJ	VYBER	15	29802	SLUZBY	\N	\N
694826	2376	1998-08-31	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
694827	2376	1998-09-30	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
694828	2376	1998-10-31	VYDAJ	VYBER	15	17369	SLUZBY	\N	\N
694829	2376	1998-11-30	VYDAJ	VYBER	15	31995	SLUZBY	\N	\N
694830	2376	1997-01-13	PRIJEM	VKLAD	2000	25040	\N	\N	\N
694831	2376	1997-02-12	VYDAJ	VYBER	10900	36644	\N	\N	\N
694832	2376	1997-03-14	VYDAJ	VYBER	17400	41818	\N	\N	\N
694833	2376	1997-04-13	VYDAJ	VYBER	19000	45423	\N	\N	\N
694834	2376	1997-05-13	VYDAJ	VYBER	24400	39218	\N	\N	\N
694835	2376	1997-06-12	PRIJEM	VKLAD	3100	21401	\N	\N	\N
694836	2376	1997-07-12	VYDAJ	VYBER	4200	35316	\N	\N	\N
694837	2376	1997-08-11	VYDAJ	VYBER	12900	34057	\N	\N	\N
694838	2376	1997-09-10	VYDAJ	VYBER	17500	34707	\N	\N	\N
694839	2376	1997-10-10	VYDAJ	VYBER	17100	35753	\N	\N	\N
694840	2376	1997-11-09	VYDAJ	VYBER	22400	28260	\N	\N	\N
694841	2376	1997-12-09	VYDAJ	VYBER	18500	30728	\N	\N	\N
694842	2376	1998-01-08	VYDAJ	VYBER	12300	36561	\N	\N	\N
694843	2376	1998-02-07	VYDAJ	VYBER	19800	39333	\N	\N	\N
694844	2376	1998-03-09	VYDAJ	VYBER	17100	32230	\N	\N	\N
694845	2376	1998-04-08	VYDAJ	VYBER	17000	32170	\N	\N	\N
694846	2376	1998-05-08	VYDAJ	VYBER	19000	32600	\N	\N	\N
694847	2376	1998-06-07	VYDAJ	VYBER	23900	38050	\N	\N	\N
694848	2376	1998-07-07	VYDAJ	VYBER	17500	34121	\N	\N	\N
694849	2376	1998-08-06	VYDAJ	VYBER	19700	32542	\N	\N	\N
694850	2376	1998-09-05	VYDAJ	VYBER	21400	29259	\N	\N	\N
694851	2376	1998-10-05	VYDAJ	VYBER	16400	26995	\N	\N	\N
694852	2376	1998-11-04	VYDAJ	VYBER	1700	15669	\N	\N	\N
694853	2376	1998-12-04	VYDAJ	VYBER	4600	27395	\N	\N	\N
694878	2377	1994-11-13	PRIJEM	VKLAD	300	300	\N	\N	\N
694890	2377	1994-12-13	PRIJEM	PREVOD Z UCTU	4393	4693	DUCHOD	AB	86304866
694891	2377	1995-01-13	PRIJEM	PREVOD Z UCTU	4393	9086	DUCHOD	AB	86304866
694892	2377	1995-02-13	PRIJEM	PREVOD Z UCTU	4393	13479	DUCHOD	AB	86304866
694893	2377	1995-03-13	PRIJEM	PREVOD Z UCTU	4393	17872	DUCHOD	AB	86304866
694894	2377	1995-04-13	PRIJEM	PREVOD Z UCTU	4393	22265	DUCHOD	AB	86304866
694895	2377	1995-05-13	PRIJEM	PREVOD Z UCTU	4393	20393	DUCHOD	AB	86304866
694896	2377	1995-06-13	PRIJEM	PREVOD Z UCTU	4393	19397	DUCHOD	AB	86304866
694897	2377	1995-07-13	PRIJEM	PREVOD Z UCTU	4393	21900	DUCHOD	AB	86304866
694898	2377	1995-08-13	PRIJEM	PREVOD Z UCTU	4393	23768	DUCHOD	AB	86304866
694899	2377	1995-09-13	PRIJEM	PREVOD Z UCTU	4393	26284	DUCHOD	AB	86304866
694900	2377	1995-10-13	PRIJEM	PREVOD Z UCTU	4393	20077	DUCHOD	AB	86304866
694901	2377	1995-11-13	PRIJEM	PREVOD Z UCTU	4393	22580	DUCHOD	AB	86304866
694902	2377	1995-12-13	PRIJEM	PREVOD Z UCTU	4393	25091	DUCHOD	AB	86304866
694903	2377	1996-01-13	PRIJEM	PREVOD Z UCTU	4393	25293	DUCHOD	AB	86304866
694904	2377	1996-02-13	PRIJEM	PREVOD Z UCTU	4393	18025	DUCHOD	AB	86304866
694905	2377	1996-03-13	PRIJEM	PREVOD Z UCTU	4393	20517	DUCHOD	AB	86304866
694906	2377	1996-04-13	PRIJEM	PREVOD Z UCTU	4393	20293	DUCHOD	AB	86304866
694907	2377	1996-05-13	PRIJEM	PREVOD Z UCTU	4393	22795	DUCHOD	AB	86304866
694908	2377	1996-06-13	PRIJEM	PREVOD Z UCTU	4393	25007	DUCHOD	AB	86304866
694909	2377	1996-07-13	PRIJEM	PREVOD Z UCTU	4393	23828	DUCHOD	AB	86304866
694910	2377	1996-08-13	PRIJEM	PREVOD Z UCTU	4393	22608	DUCHOD	AB	86304866
694911	2377	1996-09-13	PRIJEM	PREVOD Z UCTU	4393	23521	DUCHOD	AB	86304866
694912	2377	1996-10-13	PRIJEM	PREVOD Z UCTU	4393	22358	DUCHOD	AB	86304866
694913	2377	1996-11-13	PRIJEM	PREVOD Z UCTU	4393	22872	DUCHOD	AB	86304866
694914	2377	1996-12-13	PRIJEM	PREVOD Z UCTU	4393	24486	DUCHOD	AB	86304866
694915	2377	1997-01-13	PRIJEM	PREVOD Z UCTU	4393	25826	DUCHOD	AB	86304866
694916	2377	1997-02-13	PRIJEM	PREVOD Z UCTU	4393	19134	DUCHOD	AB	86304866
694917	2377	1997-03-13	PRIJEM	PREVOD Z UCTU	4393	20430	DUCHOD	AB	86304866
694918	2377	1997-04-13	PRIJEM	PREVOD Z UCTU	4393	18613	DUCHOD	AB	86304866
694919	2377	1997-05-13	PRIJEM	PREVOD Z UCTU	4393	21109	DUCHOD	AB	86304866
694920	2377	1997-06-13	PRIJEM	PREVOD Z UCTU	4393	23313	DUCHOD	AB	86304866
694921	2377	1997-07-13	PRIJEM	PREVOD Z UCTU	4393	17860	DUCHOD	AB	86304866
694922	2377	1997-08-13	PRIJEM	PREVOD Z UCTU	4393	16111	DUCHOD	AB	86304866
694923	2377	1997-09-13	PRIJEM	PREVOD Z UCTU	4393	16598	DUCHOD	AB	86304866
694924	2377	1997-10-13	PRIJEM	PREVOD Z UCTU	4393	19084	DUCHOD	AB	86304866
694925	2377	1997-11-13	PRIJEM	PREVOD Z UCTU	4393	21580	DUCHOD	AB	86304866
694926	2377	1997-12-13	PRIJEM	PREVOD Z UCTU	4393	20985	DUCHOD	AB	86304866
694927	2377	1998-01-13	PRIJEM	PREVOD Z UCTU	4393	19419	DUCHOD	AB	86304866
694928	2377	1998-02-13	PRIJEM	PREVOD Z UCTU	4393	18075	DUCHOD	AB	86304866
694929	2377	1998-03-13	PRIJEM	PREVOD Z UCTU	4393	17686	DUCHOD	AB	86304866
694930	2377	1998-04-13	PRIJEM	PREVOD Z UCTU	4393	20180	DUCHOD	AB	86304866
694931	2377	1998-05-13	PRIJEM	PREVOD Z UCTU	4393	21979	DUCHOD	AB	86304866
694932	2377	1998-06-13	PRIJEM	PREVOD Z UCTU	4393	21143	DUCHOD	AB	86304866
694933	2377	1998-07-13	PRIJEM	PREVOD Z UCTU	4393	20444	DUCHOD	AB	86304866
694934	2377	1998-08-13	PRIJEM	PREVOD Z UCTU	4393	15038	DUCHOD	AB	86304866
694935	2377	1998-09-13	PRIJEM	PREVOD Z UCTU	4393	17517	DUCHOD	AB	86304866
694936	2377	1998-10-13	PRIJEM	PREVOD Z UCTU	4393	17606	DUCHOD	AB	86304866
694937	2377	1998-11-13	PRIJEM	PREVOD Z UCTU	4393	20098	DUCHOD	AB	86304866
694938	2377	1998-12-13	PRIJEM	PREVOD Z UCTU	4393	22598	DUCHOD	AB	86304866
694955	2377	1995-05-09	VYDAJ	PREVOD NA UCET	305	18852	SIPO	CD	25924396
694956	2377	1995-06-09	VYDAJ	PREVOD NA UCET	305	20156	SIPO	CD	25924396
694957	2377	1995-07-09	VYDAJ	PREVOD NA UCET	305	19159	SIPO	CD	25924396
694958	2377	1995-08-09	VYDAJ	PREVOD NA UCET	305	21027	SIPO	CD	25924396
694959	2377	1995-09-09	VYDAJ	PREVOD NA UCET	305	23543	SIPO	CD	25924396
694960	2377	1995-10-09	VYDAJ	PREVOD NA UCET	305	17336	SIPO	CD	25924396
694961	2377	1995-11-09	VYDAJ	PREVOD NA UCET	305	19839	SIPO	CD	25924396
694962	2377	1995-12-09	VYDAJ	PREVOD NA UCET	305	22350	SIPO	CD	25924396
694963	2377	1996-01-09	VYDAJ	PREVOD NA UCET	305	22552	SIPO	CD	25924396
694964	2377	1996-02-09	VYDAJ	PREVOD NA UCET	305	15284	SIPO	CD	25924396
694965	2377	1996-03-09	VYDAJ	PREVOD NA UCET	305	17776	SIPO	CD	25924396
694966	2377	1996-04-09	VYDAJ	PREVOD NA UCET	305	17552	SIPO	CD	25924396
694967	2377	1996-05-09	VYDAJ	PREVOD NA UCET	305	20054	SIPO	CD	25924396
694968	2377	1996-06-09	VYDAJ	PREVOD NA UCET	305	22266	SIPO	CD	25924396
694969	2377	1996-07-09	VYDAJ	PREVOD NA UCET	305	21087	SIPO	CD	25924396
694970	2377	1996-08-09	VYDAJ	PREVOD NA UCET	305	19867	SIPO	CD	25924396
694971	2377	1996-09-09	VYDAJ	PREVOD NA UCET	305	20780	SIPO	CD	25924396
694972	2377	1996-10-09	VYDAJ	PREVOD NA UCET	305	19617	SIPO	CD	25924396
694973	2377	1996-11-09	VYDAJ	PREVOD NA UCET	305	20131	SIPO	CD	25924396
694974	2377	1996-12-09	VYDAJ	PREVOD NA UCET	305	21745	SIPO	CD	25924396
694975	2377	1997-01-09	VYDAJ	PREVOD NA UCET	305	23565	SIPO	CD	25924396
694976	2377	1997-02-09	VYDAJ	PREVOD NA UCET	305	16393	SIPO	CD	25924396
694977	2377	1997-03-09	VYDAJ	PREVOD NA UCET	305	17689	SIPO	CD	25924396
694978	2377	1997-04-09	VYDAJ	PREVOD NA UCET	305	15872	SIPO	CD	25924396
694979	2377	1997-05-09	VYDAJ	PREVOD NA UCET	305	18368	SIPO	CD	25924396
694980	2377	1997-06-09	VYDAJ	PREVOD NA UCET	305	20572	SIPO	CD	25924396
694981	2377	1997-07-09	VYDAJ	PREVOD NA UCET	305	15119	SIPO	CD	25924396
694982	2377	1997-08-09	VYDAJ	PREVOD NA UCET	305	13370	SIPO	CD	25924396
694983	2377	1997-09-09	VYDAJ	PREVOD NA UCET	305	13857	SIPO	CD	25924396
694984	2377	1997-10-09	VYDAJ	PREVOD NA UCET	305	16343	SIPO	CD	25924396
694985	2377	1997-11-09	VYDAJ	PREVOD NA UCET	305	18839	SIPO	CD	25924396
694986	2377	1997-12-09	VYDAJ	PREVOD NA UCET	305	18244	SIPO	CD	25924396
694987	2377	1998-01-09	VYDAJ	PREVOD NA UCET	305	18438	SIPO	CD	25924396
694988	2377	1998-02-09	VYDAJ	PREVOD NA UCET	305	15334	SIPO	CD	25924396
694989	2377	1998-03-09	VYDAJ	PREVOD NA UCET	305	17825	SIPO	CD	25924396
694990	2377	1998-04-09	VYDAJ	PREVOD NA UCET	305	17439	SIPO	CD	25924396
694991	2377	1998-05-09	VYDAJ	PREVOD NA UCET	305	19238	SIPO	CD	25924396
694992	2377	1998-06-09	VYDAJ	PREVOD NA UCET	305	18402	SIPO	CD	25924396
694993	2377	1998-07-09	VYDAJ	PREVOD NA UCET	305	17703	SIPO	CD	25924396
694994	2377	1998-08-09	VYDAJ	PREVOD NA UCET	305	12297	SIPO	CD	25924396
694995	2377	1998-09-09	VYDAJ	PREVOD NA UCET	305	14776	SIPO	CD	25924396
694996	2377	1998-10-09	VYDAJ	PREVOD NA UCET	305	14865	SIPO	CD	25924396
694997	2377	1998-11-09	VYDAJ	PREVOD NA UCET	305	17357	SIPO	CD	25924396
694998	2377	1998-12-09	VYDAJ	PREVOD NA UCET	305	19857	SIPO	CD	25924396
695015	2377	1995-05-12	VYDAJ	PREVOD NA UCET	1652	17200	 	UV	10629874
695016	2377	1995-06-12	VYDAJ	PREVOD NA UCET	1652	15004	 	UV	10629874
695017	2377	1995-07-12	VYDAJ	PREVOD NA UCET	1652	17507	 	UV	10629874
695018	2377	1995-08-12	VYDAJ	PREVOD NA UCET	1652	19375	 	UV	10629874
695019	2377	1995-09-12	VYDAJ	PREVOD NA UCET	1652	21891	 	UV	10629874
695020	2377	1995-10-12	VYDAJ	PREVOD NA UCET	1652	15684	 	UV	10629874
695021	2377	1995-11-12	VYDAJ	PREVOD NA UCET	1652	18187	 	UV	10629874
695022	2377	1995-12-12	VYDAJ	PREVOD NA UCET	1652	20698	 	UV	10629874
695023	2377	1996-01-12	VYDAJ	PREVOD NA UCET	1652	20900	 	UV	10629874
695024	2377	1996-02-12	VYDAJ	PREVOD NA UCET	1652	13632	 	UV	10629874
695025	2377	1996-03-12	VYDAJ	PREVOD NA UCET	1652	16124	 	UV	10629874
695026	2377	1996-04-12	VYDAJ	PREVOD NA UCET	1652	15900	 	UV	10629874
695027	2377	1996-05-12	VYDAJ	PREVOD NA UCET	1652	18402	 	UV	10629874
695028	2377	1996-06-12	VYDAJ	PREVOD NA UCET	1652	20614	 	UV	10629874
695029	2377	1996-07-12	VYDAJ	PREVOD NA UCET	1652	19435	 	UV	10629874
695030	2377	1996-08-12	VYDAJ	PREVOD NA UCET	1652	18215	 	UV	10629874
695031	2377	1996-09-12	VYDAJ	PREVOD NA UCET	1652	19128	 	UV	10629874
695032	2377	1996-10-12	VYDAJ	PREVOD NA UCET	1652	17965	 	UV	10629874
695033	2377	1996-11-12	VYDAJ	PREVOD NA UCET	1652	18479	 	UV	10629874
695034	2377	1996-12-12	VYDAJ	PREVOD NA UCET	1652	20093	 	UV	10629874
695035	2377	1997-01-12	VYDAJ	PREVOD NA UCET	1652	21913	 	UV	10629874
695036	2377	1997-02-12	VYDAJ	PREVOD NA UCET	1652	14741	 	UV	10629874
695037	2377	1997-03-12	VYDAJ	PREVOD NA UCET	1652	16037	 	UV	10629874
695038	2377	1997-04-12	VYDAJ	PREVOD NA UCET	1652	14220	 	UV	10629874
695039	2377	1997-05-12	VYDAJ	PREVOD NA UCET	1652	16716	 	UV	10629874
695040	2377	1997-06-12	VYDAJ	PREVOD NA UCET	1652	18920	 	UV	10629874
695041	2377	1997-07-12	VYDAJ	PREVOD NA UCET	1652	13467	 	UV	10629874
695042	2377	1997-08-12	VYDAJ	PREVOD NA UCET	1652	11718	 	UV	10629874
695043	2377	1997-09-12	VYDAJ	PREVOD NA UCET	1652	12205	 	UV	10629874
695044	2377	1997-10-12	VYDAJ	PREVOD NA UCET	1652	14691	 	UV	10629874
695045	2377	1997-11-12	VYDAJ	PREVOD NA UCET	1652	17187	 	UV	10629874
695046	2377	1997-12-12	VYDAJ	PREVOD NA UCET	1652	16592	 	UV	10629874
695047	2377	1998-01-12	VYDAJ	PREVOD NA UCET	1652	15026	 	UV	10629874
695048	2377	1998-02-12	VYDAJ	PREVOD NA UCET	1652	13682	 	UV	10629874
695049	2377	1998-03-12	VYDAJ	PREVOD NA UCET	1652	13293	 	UV	10629874
695050	2377	1998-04-12	VYDAJ	PREVOD NA UCET	1652	15787	 	UV	10629874
695051	2377	1998-05-12	VYDAJ	PREVOD NA UCET	1652	17586	 	UV	10629874
695052	2377	1998-06-12	VYDAJ	PREVOD NA UCET	1652	16750	 	UV	10629874
695053	2377	1998-07-12	VYDAJ	PREVOD NA UCET	1652	16051	 	UV	10629874
695054	2377	1998-08-12	VYDAJ	PREVOD NA UCET	1652	10645	 	UV	10629874
695055	2377	1998-09-12	VYDAJ	PREVOD NA UCET	1652	13124	 	UV	10629874
695056	2377	1998-10-12	VYDAJ	PREVOD NA UCET	1652	13213	 	UV	10629874
695057	2377	1998-11-12	VYDAJ	PREVOD NA UCET	1652	15705	 	UV	10629874
695058	2377	1998-12-12	VYDAJ	PREVOD NA UCET	1652	18205	 	UV	10629874
695060	2377	1995-06-12	VYDAJ	VYBER	3500	16656	\N	\N	\N
695062	2377	1997-06-15	VYDAJ	VYBER	7750	15563	\N	\N	\N
695066	2377	1996-01-18	VYDAJ	VYBER	2900	20953	\N	\N	\N
695067	2377	1997-01-16	VYDAJ	VYBER	4800	21026	\N	\N	\N
695068	2377	1998-01-08	VYDAJ	VYBER	950	18743	\N	\N	\N
695081	2377	1996-01-15	VYDAJ	VYBER	1440	23853	\N	\N	\N
695082	2377	1996-01-26	VYDAJ	VYBER	1120	18793	\N	\N	\N
695083	2377	1996-01-28	VYDAJ	VYBER	1040	15513	\N	\N	\N
695084	2377	1996-01-27	VYDAJ	VYBER	2240	16553	\N	\N	\N
695085	2377	1996-01-23	VYDAJ	VYBER	1040	19913	\N	\N	\N
695086	2377	1996-01-07	VYDAJ	VYBER	2320	22857	\N	\N	\N
695087	2377	1997-01-17	VYDAJ	VYBER	880	19746	\N	\N	\N
695088	2377	1997-01-19	VYDAJ	VYBER	880	17506	\N	\N	\N
695089	2377	1997-01-18	VYDAJ	VYBER	1360	18386	\N	\N	\N
695090	2377	1997-01-23	VYDAJ	VYBER	880	16626	\N	\N	\N
695091	2377	1997-01-17	VYDAJ	VYBER	400	20626	\N	\N	\N
695092	2377	1997-01-12	VYDAJ	VYBER	480	21433	\N	\N	\N
695093	2377	1998-01-20	VYDAJ	VYBER	880	17179	\N	\N	\N
695094	2377	1998-01-02	VYDAJ	VYBER	1360	19693	\N	\N	\N
695095	2377	1998-01-19	VYDAJ	VYBER	1360	18059	\N	\N	\N
695096	2377	1998-01-24	VYDAJ	VYBER	1600	15579	\N	\N	\N
695097	2377	1998-01-11	VYDAJ	VYBER	1040	16678	\N	\N	\N
695098	2377	1998-01-10	VYDAJ	VYBER	720	17718	\N	\N	\N
695105	2377	1995-07-22	VYDAJ	VYBER	640	21260	\N	\N	\N
695106	2377	1995-04-21	VYDAJ	VYBER	3120	19145	\N	\N	\N
695108	2377	1995-09-14	VYDAJ	VYBER	3040	23244	\N	\N	\N
695110	2377	1995-09-19	VYDAJ	VYBER	3840	19404	\N	\N	\N
695111	2377	1995-10-05	VYDAJ	VYBER	1840	17641	\N	\N	\N
695112	2377	1996-10-06	VYDAJ	VYBER	3680	19922	\N	\N	\N
695113	2377	1996-03-16	VYDAJ	VYBER	2720	17797	\N	\N	\N
695114	2377	1996-07-28	VYDAJ	VYBER	1440	22388	\N	\N	\N
695115	2377	1997-08-02	VYDAJ	VYBER	3840	13675	\N	\N	\N
695118	2377	1997-04-03	VYDAJ	VYBER	3920	16177	\N	\N	\N
695119	2377	1998-03-10	VYDAJ	VYBER	2880	14945	\N	\N	\N
695120	2377	1998-05-22	VYDAJ	VYBER	3040	18939	\N	\N	\N
695121	2377	1998-10-04	VYDAJ	VYBER	2400	15170	\N	\N	\N
695139	2377	1995-04-30	VYDAJ	VYBER	15	19157	SLUZBY	\N	\N
695140	2377	1995-05-31	VYDAJ	VYBER	15	20461	SLUZBY	\N	\N
695141	2377	1995-06-30	VYDAJ	VYBER	15	19464	SLUZBY	\N	\N
695142	2377	1995-07-31	VYDAJ	VYBER	15	21332	SLUZBY	\N	\N
695143	2377	1995-08-31	VYDAJ	VYBER	15	23848	SLUZBY	\N	\N
695144	2377	1995-09-30	VYDAJ	VYBER	15	19481	SLUZBY	\N	\N
695145	2377	1995-10-31	VYDAJ	VYBER	15	20144	SLUZBY	\N	\N
695146	2377	1995-11-30	VYDAJ	VYBER	15	22655	SLUZBY	\N	\N
695147	2377	1995-12-31	VYDAJ	VYBER	15	25177	SLUZBY	\N	\N
695148	2377	1996-01-31	VYDAJ	VYBER	15	15589	SLUZBY	\N	\N
695149	2377	1996-02-29	VYDAJ	VYBER	15	18081	SLUZBY	\N	\N
695150	2377	1996-03-31	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
695151	2377	1996-04-30	VYDAJ	VYBER	15	20359	SLUZBY	\N	\N
695152	2377	1996-05-31	VYDAJ	VYBER	15	22871	SLUZBY	\N	\N
695153	2377	1996-06-30	VYDAJ	VYBER	15	25092	SLUZBY	\N	\N
695154	2377	1996-07-31	VYDAJ	VYBER	15	22472	SLUZBY	\N	\N
695155	2377	1996-08-31	VYDAJ	VYBER	15	22685	SLUZBY	\N	\N
695156	2377	1996-09-30	VYDAJ	VYBER	15	23602	SLUZBY	\N	\N
695157	2377	1996-10-31	VYDAJ	VYBER	15	22436	SLUZBY	\N	\N
695158	2377	1996-11-30	VYDAJ	VYBER	15	22950	SLUZBY	\N	\N
695159	2377	1996-12-31	VYDAJ	VYBER	15	24570	SLUZBY	\N	\N
695160	2377	1997-01-31	VYDAJ	VYBER	15	16698	SLUZBY	\N	\N
695161	2377	1997-02-28	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
695162	2377	1997-03-31	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
695163	2377	1997-04-30	VYDAJ	VYBER	15	18673	SLUZBY	\N	\N
695164	2377	1997-05-31	VYDAJ	VYBER	15	21177	SLUZBY	\N	\N
695165	2377	1997-06-30	VYDAJ	VYBER	15	15624	SLUZBY	\N	\N
695166	2377	1997-07-31	VYDAJ	VYBER	15	17515	SLUZBY	\N	\N
695167	2377	1997-08-31	VYDAJ	VYBER	15	14162	SLUZBY	\N	\N
695168	2377	1997-09-30	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
695169	2377	1997-10-31	VYDAJ	VYBER	15	19144	SLUZBY	\N	\N
695170	2377	1997-11-30	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
695171	2377	1997-12-31	VYDAJ	VYBER	15	21053	SLUZBY	\N	\N
695172	2377	1998-01-31	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
695173	2377	1998-02-28	VYDAJ	VYBER	15	18130	SLUZBY	\N	\N
695174	2377	1998-03-31	VYDAJ	VYBER	15	17744	SLUZBY	\N	\N
695175	2377	1998-04-30	VYDAJ	VYBER	15	19543	SLUZBY	\N	\N
695176	2377	1998-05-31	VYDAJ	VYBER	15	18707	SLUZBY	\N	\N
695177	2377	1998-06-30	VYDAJ	VYBER	15	18008	SLUZBY	\N	\N
695178	2377	1998-07-31	VYDAJ	VYBER	15	12602	SLUZBY	\N	\N
695179	2377	1998-08-31	VYDAJ	VYBER	15	15081	SLUZBY	\N	\N
695180	2377	1998-09-30	VYDAJ	VYBER	15	17570	SLUZBY	\N	\N
695181	2377	1998-10-31	VYDAJ	VYBER	15	17662	SLUZBY	\N	\N
695182	2377	1998-11-30	VYDAJ	VYBER	15	20162	SLUZBY	\N	\N
695183	2377	1995-05-12	VYDAJ	VYBER	1200	16000	\N	\N	\N
695184	2377	1996-06-05	VYDAJ	VYBER	300	22571	\N	\N	\N
695185	2377	1996-07-05	VYDAJ	VYBER	3700	21392	\N	\N	\N
695186	2377	1996-08-04	VYDAJ	VYBER	2300	20172	\N	\N	\N
695187	2377	1996-09-03	VYDAJ	VYBER	1600	21085	\N	\N	\N
695188	2377	1996-11-02	VYDAJ	VYBER	2000	20436	\N	\N	\N
695189	2377	1996-12-02	VYDAJ	VYBER	900	22050	\N	\N	\N
695190	2377	1997-01-01	VYDAJ	VYBER	700	23870	\N	\N	\N
695191	2377	1997-03-02	VYDAJ	VYBER	1200	17994	\N	\N	\N
695192	2377	1997-04-01	VYDAJ	VYBER	400	20097	\N	\N	\N
695193	2377	1997-05-31	VYDAJ	VYBER	300	20877	\N	\N	\N
695194	2377	1997-06-30	VYDAJ	VYBER	200	15424	\N	\N	\N
695195	2377	1997-07-30	VYDAJ	VYBER	400	17460	\N	\N	\N
695196	2377	1997-08-29	VYDAJ	VYBER	2000	14111	\N	\N	\N
695197	2377	1997-11-27	VYDAJ	VYBER	3100	18480	\N	\N	\N
695198	2377	1998-04-26	VYDAJ	VYBER	700	19480	\N	\N	\N
695199	2377	1998-05-26	VYDAJ	VYBER	300	18639	\N	\N	\N
695200	2377	1998-06-25	VYDAJ	VYBER	3200	17943	\N	\N	\N
695201	2377	1998-07-25	VYDAJ	VYBER	7900	12544	\N	\N	\N
695247	2378	1993-01-01	PRIJEM	VKLAD	700	700	\N	\N	\N
695248	2378	1993-07-30	PRIJEM	VKLAD	28392	100577	\N	\N	\N
695249	2378	1993-09-24	PRIJEM	VKLAD	37840	101739	\N	\N	\N
695250	2378	1993-01-22	PRIJEM	VKLAD	7268	7968	\N	\N	\N
695251	2378	1993-02-20	PRIJEM	VKLAD	19136	105008	\N	\N	\N
695252	2378	1993-05-22	PRIJEM	VKLAD	31609	132492	\N	\N	\N
695253	2378	1993-12-30	PRIJEM	VKLAD	37306	61926	\N	\N	\N
695254	2378	1993-03-03	PRIJEM	VKLAD	7077	57115	\N	\N	\N
695255	2378	1993-05-08	PRIJEM	VKLAD	13944	92367	\N	\N	\N
695256	2378	1993-05-19	PRIJEM	VKLAD	43637	151483	\N	\N	\N
695257	2378	1993-08-26	PRIJEM	VKLAD	44359	119548	\N	\N	\N
695258	2378	1993-10-09	PRIJEM	VKLAD	14698	69208	\N	\N	\N
695259	2378	1993-04-19	PRIJEM	VKLAD	29841	54427	\N	\N	\N
695260	2378	1993-07-06	PRIJEM	VKLAD	27498	81797	\N	\N	\N
695261	2378	1993-05-18	PRIJEM	VKLAD	41179	133546	\N	\N	\N
695262	2378	1993-01-24	PRIJEM	VKLAD	49752	72160	\N	\N	\N
695263	2378	1993-09-15	PRIJEM	VKLAD	18422	63899	\N	\N	\N
695264	2378	1993-05-02	PRIJEM	VKLAD	42538	88035	\N	\N	\N
695265	2378	1993-01-26	PRIJEM	VKLAD	21899	94059	\N	\N	\N
695266	2378	1993-01-23	PRIJEM	VKLAD	14440	22408	\N	\N	\N
695267	2378	1993-10-03	PRIJEM	VKLAD	44483	103222	\N	\N	\N
695268	2378	1993-06-17	PRIJEM	VKLAD	41935	80749	\N	\N	\N
695269	2378	1993-04-26	PRIJEM	VKLAD	15105	68032	\N	\N	\N
695270	2378	1993-02-11	PRIJEM	VKLAD	31038	111072	\N	\N	\N
695271	2378	1993-07-31	PRIJEM	VKLAD	38524	99515	\N	\N	\N
695272	2378	1993-02-05	PRIJEM	VKLAD	30192	89646	\N	\N	\N
695273	2378	1993-12-02	PRIJEM	VKLAD	16338	40732	\N	\N	\N
695274	2378	1994-11-14	PRIJEM	VKLAD	22825	49175	\N	\N	\N
695275	2378	1994-10-16	PRIJEM	VKLAD	39594	48921	\N	\N	\N
695276	2378	1994-02-15	PRIJEM	VKLAD	28454	69658	\N	\N	\N
695277	2378	1994-02-06	PRIJEM	VKLAD	22156	50816	\N	\N	\N
695278	2378	1994-03-31	PRIJEM	VKLAD	23672	50843	\N	\N	\N
695279	2378	1994-05-26	PRIJEM	VKLAD	43567	67482	\N	\N	\N
695280	2378	1995-05-26	PRIJEM	VKLAD	39806	94405	\N	\N	\N
695281	2378	1995-07-02	PRIJEM	VKLAD	33751	76961	\N	\N	\N
695282	2378	1995-11-02	PRIJEM	VKLAD	21588	49435	\N	\N	\N
695283	2378	1995-03-24	PRIJEM	VKLAD	45592	69035	\N	\N	\N
695284	2378	1995-05-21	PRIJEM	VKLAD	45386	108501	\N	\N	\N
695285	2378	1995-04-26	PRIJEM	VKLAD	9835	51530	\N	\N	\N
695286	2378	1995-08-29	PRIJEM	VKLAD	39122	83875	\N	\N	\N
695287	2378	1995-12-15	PRIJEM	VKLAD	48398	88852	\N	\N	\N
695288	2378	1995-12-12	PRIJEM	VKLAD	25682	40454	\N	\N	\N
695289	2378	1995-05-08	PRIJEM	VKLAD	12891	55008	\N	\N	\N
695290	2378	1995-09-20	PRIJEM	VKLAD	25185	64347	\N	\N	\N
695291	2378	1995-05-13	PRIJEM	VKLAD	45008	100016	\N	\N	\N
695292	2378	1995-05-26	PRIJEM	VKLAD	13498	54599	\N	\N	\N
695293	2378	1995-06-02	PRIJEM	VKLAD	23166	117887	\N	\N	\N
695294	2378	1995-05-16	PRIJEM	VKLAD	26999	127015	\N	\N	\N
695295	2378	1995-08-14	PRIJEM	VKLAD	10396	53853	\N	\N	\N
695296	2378	1995-04-04	PRIJEM	VKLAD	8594	77752	\N	\N	\N
695297	2378	1996-06-11	PRIJEM	VKLAD	12417	55186	\N	\N	\N
695298	2378	1996-09-27	PRIJEM	VKLAD	23875	81338	\N	\N	\N
695299	2378	1996-11-21	PRIJEM	VKLAD	48608	98505	\N	\N	\N
695300	2378	1996-01-15	PRIJEM	VKLAD	38225	81045	\N	\N	\N
695301	2378	1996-11-22	PRIJEM	VKLAD	30390	128895	\N	\N	\N
695302	2378	1996-12-23	PRIJEM	VKLAD	32921	91144	\N	\N	\N
695303	2378	1996-08-26	PRIJEM	VKLAD	15639	59923	\N	\N	\N
695304	2378	1996-07-09	PRIJEM	VKLAD	16998	94224	\N	\N	\N
695305	2378	1996-12-08	PRIJEM	VKLAD	23784	115723	\N	\N	\N
695306	2378	1996-09-11	PRIJEM	VKLAD	13418	107363	\N	\N	\N
695307	2378	1996-02-26	PRIJEM	VKLAD	19626	51765	\N	\N	\N
695308	2378	1996-04-24	PRIJEM	VKLAD	48530	86355	\N	\N	\N
695309	2378	1996-09-06	PRIJEM	VKLAD	43423	103557	\N	\N	\N
695310	2378	1996-11-25	PRIJEM	VKLAD	17770	96765	\N	\N	\N
695311	2378	1996-06-13	PRIJEM	VKLAD	37212	92398	\N	\N	\N
695312	2378	1996-12-06	PRIJEM	VKLAD	12610	101551	\N	\N	\N
695313	2378	1996-10-04	PRIJEM	VKLAD	42394	124004	\N	\N	\N
695314	2378	1996-03-30	PRIJEM	VKLAD	28771	55778	\N	\N	\N
695315	2378	1996-05-13	PRIJEM	VKLAD	48556	125521	\N	\N	\N
695316	2378	1996-10-11	PRIJEM	VKLAD	45666	134258	\N	\N	\N
695317	2378	1996-10-22	PRIJEM	VKLAD	33552	81510	\N	\N	\N
695318	2378	1996-07-04	PRIJEM	VKLAD	27109	89838	\N	\N	\N
695319	2378	1997-05-28	PRIJEM	VKLAD	49588	115507	\N	\N	\N
695320	2378	1997-05-18	PRIJEM	VKLAD	34332	65919	\N	\N	\N
695321	2378	1997-03-13	PRIJEM	VKLAD	49753	73913	\N	\N	\N
695322	2378	1997-09-06	PRIJEM	VKLAD	10531	45226	\N	\N	\N
695323	2378	1997-08-12	PRIJEM	VKLAD	12932	34583	\N	\N	\N
695324	2378	1997-07-03	PRIJEM	VKLAD	15608	53550	\N	\N	\N
695325	2378	1998-08-28	PRIJEM	VKLAD	32990	110810	\N	\N	\N
695326	2378	1998-01-16	PRIJEM	VKLAD	11955	27263	\N	\N	\N
695327	2378	1998-08-10	PRIJEM	VKLAD	35078	64532	\N	\N	\N
695328	2378	1998-12-21	PRIJEM	VKLAD	17671	47723	\N	\N	\N
695329	2378	1998-04-27	PRIJEM	VKLAD	13859	51482	\N	\N	\N
695330	2378	1998-06-23	PRIJEM	VKLAD	27729	78941	\N	\N	\N
695331	2378	1998-09-25	PRIJEM	VKLAD	23631	91381	\N	\N	\N
695332	2378	1998-03-01	PRIJEM	VKLAD	18928	49986	\N	\N	\N
695333	2378	1998-06-17	PRIJEM	VKLAD	18715	51212	\N	\N	\N
695334	2378	1998-08-17	PRIJEM	VKLAD	13288	77820	\N	\N	\N
695335	2378	1998-12-21	PRIJEM	VKLAD	45410	93133	\N	\N	\N
695336	2378	1998-04-11	PRIJEM	VKLAD	5627	37623	\N	\N	\N
695337	2378	1998-01-27	PRIJEM	VKLAD	40196	67459	\N	\N	\N
695338	2378	1998-05-30	PRIJEM	VKLAD	37386	63789	\N	\N	\N
695340	2378	1993-02-07	VYDAJ	PREVOD NA UCET	9612	80034	SIPO	EF	1222903
695341	2378	1993-03-07	VYDAJ	PREVOD NA UCET	9612	47503	SIPO	EF	1222903
695342	2378	1993-04-07	VYDAJ	PREVOD NA UCET	9612	24586	SIPO	EF	1222903
695343	2378	1993-05-07	VYDAJ	PREVOD NA UCET	9612	78423	SIPO	EF	1222903
695344	2378	1993-06-07	VYDAJ	PREVOD NA UCET	9612	38814	SIPO	EF	1222903
695345	2378	1993-07-07	VYDAJ	PREVOD NA UCET	9612	72185	SIPO	EF	1222903
695346	2378	1993-08-07	VYDAJ	PREVOD NA UCET	9612	89889	SIPO	EF	1222903
695347	2378	1993-09-07	VYDAJ	PREVOD NA UCET	9612	45477	SIPO	EF	1222903
695348	2378	1993-10-07	VYDAJ	PREVOD NA UCET	9612	54510	SIPO	EF	1222903
695349	2378	1993-11-07	VYDAJ	PREVOD NA UCET	9612	37869	SIPO	EF	1222903
695350	2378	1993-12-07	VYDAJ	PREVOD NA UCET	9612	31120	SIPO	EF	1222903
695351	2378	1994-01-07	VYDAJ	PREVOD NA UCET	9612	28430	SIPO	EF	1222903
695352	2378	1994-02-07	VYDAJ	PREVOD NA UCET	9612	41204	SIPO	EF	1222903
695353	2378	1994-03-07	VYDAJ	PREVOD NA UCET	9612	40339	SIPO	EF	1222903
695354	2378	1994-04-07	VYDAJ	PREVOD NA UCET	9612	41344	SIPO	EF	1222903
695355	2378	1994-05-07	VYDAJ	PREVOD NA UCET	9612	23915	SIPO	EF	1222903
695356	2378	1994-06-07	VYDAJ	PREVOD NA UCET	9612	18464	SIPO	EF	1222903
695357	2378	1994-07-07	VYDAJ	PREVOD NA UCET	9612	14950	SIPO	EF	1222903
695358	2378	1994-08-07	VYDAJ	PREVOD NA UCET	9612	9420	SIPO	EF	1222903
695359	2378	1994-09-07	VYDAJ	PREVOD NA UCET	9612	10472	SIPO	EF	1222903
695360	2378	1994-10-07	VYDAJ	PREVOD NA UCET	9612	9327	SIPO	EF	1222903
695361	2378	1994-11-07	VYDAJ	PREVOD NA UCET	9612	26350	SIPO	EF	1222903
695362	2378	1994-12-07	VYDAJ	PREVOD NA UCET	9612	22716	SIPO	EF	1222903
695363	2378	1995-01-07	VYDAJ	PREVOD NA UCET	9612	15198	SIPO	EF	1222903
695364	2378	1995-02-07	VYDAJ	PREVOD NA UCET	9612	15173	SIPO	EF	1222903
695365	2378	1995-03-07	VYDAJ	PREVOD NA UCET	9612	11343	SIPO	EF	1222903
695366	2378	1995-04-07	VYDAJ	PREVOD NA UCET	9612	45795	SIPO	EF	1222903
695367	2378	1995-05-07	VYDAJ	PREVOD NA UCET	9612	42117	SIPO	EF	1222903
695368	2378	1995-06-07	VYDAJ	PREVOD NA UCET	9612	49975	SIPO	EF	1222903
695369	2378	1995-07-07	VYDAJ	PREVOD NA UCET	9612	67349	SIPO	EF	1222903
695370	2378	1995-08-07	VYDAJ	PREVOD NA UCET	9612	43457	SIPO	EF	1222903
695371	2378	1995-09-07	VYDAJ	PREVOD NA UCET	9612	63966	SIPO	EF	1222903
695372	2378	1995-10-07	VYDAJ	PREVOD NA UCET	9612	36395	SIPO	EF	1222903
695373	2378	1995-11-07	VYDAJ	PREVOD NA UCET	9612	39823	SIPO	EF	1222903
695374	2378	1995-12-07	VYDAJ	PREVOD NA UCET	9612	14772	SIPO	EF	1222903
695375	2378	1996-01-07	VYDAJ	PREVOD NA UCET	9612	42820	SIPO	EF	1222903
695376	2378	1996-02-07	VYDAJ	PREVOD NA UCET	9612	35439	SIPO	EF	1222903
695377	2378	1996-03-07	VYDAJ	PREVOD NA UCET	9612	42307	SIPO	EF	1222903
695378	2378	1996-04-07	VYDAJ	PREVOD NA UCET	9612	46325	SIPO	EF	1222903
695379	2378	1996-05-07	VYDAJ	PREVOD NA UCET	9612	76965	SIPO	EF	1222903
695380	2378	1996-06-07	VYDAJ	PREVOD NA UCET	9612	42769	SIPO	EF	1222903
695381	2378	1996-07-07	VYDAJ	PREVOD NA UCET	9612	80226	SIPO	EF	1222903
695382	2378	1996-08-07	VYDAJ	PREVOD NA UCET	9612	54584	SIPO	EF	1222903
695383	2378	1996-09-07	VYDAJ	PREVOD NA UCET	9612	93945	SIPO	EF	1222903
695384	2378	1996-10-07	VYDAJ	PREVOD NA UCET	9612	88592	SIPO	EF	1222903
695385	2378	1996-11-07	VYDAJ	PREVOD NA UCET	9612	61097	SIPO	EF	1222903
695386	2378	1996-12-07	VYDAJ	PREVOD NA UCET	9612	91939	SIPO	EF	1222903
695387	2378	1997-01-07	VYDAJ	PREVOD NA UCET	9612	62355	SIPO	EF	1222903
695388	2378	1997-02-07	VYDAJ	PREVOD NA UCET	9612	34352	SIPO	EF	1222903
695389	2378	1997-03-07	VYDAJ	PREVOD NA UCET	9612	19360	SIPO	EF	1222903
695390	2378	1997-04-07	VYDAJ	PREVOD NA UCET	9612	56408	SIPO	EF	1222903
695391	2378	1997-05-07	VYDAJ	PREVOD NA UCET	9612	34587	SIPO	EF	1222903
695392	2378	1997-06-07	VYDAJ	PREVOD NA UCET	9612	47883	SIPO	EF	1222903
695393	2378	1997-07-07	VYDAJ	PREVOD NA UCET	9612	43938	SIPO	EF	1222903
695394	2378	1997-08-07	VYDAJ	PREVOD NA UCET	9612	19551	SIPO	EF	1222903
695395	2378	1997-09-07	VYDAJ	PREVOD NA UCET	9612	35614	SIPO	EF	1222903
695396	2378	1997-10-07	VYDAJ	PREVOD NA UCET	9612	26815	SIPO	EF	1222903
695397	2378	1997-11-07	VYDAJ	PREVOD NA UCET	9612	22497	SIPO	EF	1222903
695398	2378	1997-12-07	VYDAJ	PREVOD NA UCET	9612	18162	SIPO	EF	1222903
695399	2378	1998-01-07	VYDAJ	PREVOD NA UCET	9612	15308	SIPO	EF	1222903
695400	2378	1998-02-07	VYDAJ	PREVOD NA UCET	9612	30941	SIPO	EF	1222903
695401	2378	1998-03-07	VYDAJ	PREVOD NA UCET	9612	38074	SIPO	EF	1222903
695402	2378	1998-04-07	VYDAJ	PREVOD NA UCET	9612	31996	SIPO	EF	1222903
695403	2378	1998-05-07	VYDAJ	PREVOD NA UCET	9612	26403	SIPO	EF	1222903
695404	2378	1998-06-07	VYDAJ	PREVOD NA UCET	9612	40897	SIPO	EF	1222903
695405	2378	1998-07-07	VYDAJ	PREVOD NA UCET	9612	38444	SIPO	EF	1222903
695406	2378	1998-08-07	VYDAJ	PREVOD NA UCET	9612	29454	SIPO	EF	1222903
695407	2378	1998-09-07	VYDAJ	PREVOD NA UCET	9612	67750	SIPO	EF	1222903
695408	2378	1998-10-07	VYDAJ	PREVOD NA UCET	9612	61484	SIPO	EF	1222903
695409	2378	1998-11-07	VYDAJ	PREVOD NA UCET	9612	37616	SIPO	EF	1222903
695410	2378	1998-12-07	VYDAJ	PREVOD NA UCET	9612	30052	SIPO	EF	1222903
695411	2378	1993-09-26	VYBER	VYBER	8850	92889	\N	\N	\N
695412	2378	1993-11-13	VYBER	VYBER	12501	25368	\N	\N	\N
695413	2378	1994-10-19	VYBER	VYBER	10664	38257	\N	\N	\N
695416	2378	1994-05-31	VYBER	VYBER	19052	28091	\N	\N	\N
695421	2378	1994-04-09	VYBER	VYBER	2373	38971	\N	\N	\N
695424	2378	1994-03-09	VYBER	VYBER	17968	22371	\N	\N	\N
695426	2378	1995-09-17	VYBER	VYBER	17204	46762	\N	\N	\N
695427	2378	1995-10-20	VYBER	VYBER	9787	27708	\N	\N	\N
695429	2378	1995-11-30	VYBER	VYBER	15676	24398	\N	\N	\N
695431	2378	1995-04-04	VYBER	VYBER	22345	55407	\N	\N	\N
695432	2378	1996-01-24	VYBER	VYBER	11691	44854	\N	\N	\N
695436	2378	1998-07-20	VYBER	VYBER	5129	33315	\N	\N	\N
695437	2378	1998-07-06	VYBER	VYBER	4289	48056	\N	\N	\N
695438	2378	1998-05-05	VYBER	VYBER	20207	36015	\N	\N	\N
695448	2378	1994-01-02	VYDAJ	VYBER	24000	38042	\N	\N	\N
695451	2378	1997-01-06	VYDAJ	VYBER	19500	71967	\N	\N	\N
695452	2378	1998-01-27	VYDAJ	VYBER	26400	41059	\N	\N	\N
695453	2378	1993-12-29	VYDAJ	VYBER	5100	24620	\N	\N	\N
695454	2378	1994-12-05	VYDAJ	VYBER	6900	32328	\N	\N	\N
695455	2378	1995-12-17	VYDAJ	VYBER	3900	60052	\N	\N	\N
695456	2378	1996-12-03	VYDAJ	VYBER	8100	88941	\N	\N	\N
695459	2378	1993-08-13	VYDAJ	VYBER	9600	75189	\N	\N	\N
695460	2378	1993-04-22	VYDAJ	VYBER	1500	52927	\N	\N	\N
695461	2378	1993-08-10	VYDAJ	VYBER	5100	84789	\N	\N	\N
695462	2378	1993-07-30	VYDAJ	VYBER	5400	60677	\N	\N	\N
695468	2378	1995-08-30	VYDAJ	VYBER	10500	73375	\N	\N	\N
695469	2378	1995-05-23	VYDAJ	VYBER	7200	41101	\N	\N	\N
695470	2378	1995-10-07	VYDAJ	VYBER	13500	46007	\N	\N	\N
695471	2378	1995-09-27	VYDAJ	VYBER	5100	59247	\N	\N	\N
695472	2378	1996-09-17	VYDAJ	VYBER	12600	57463	\N	\N	\N
695473	2378	1996-03-20	VYDAJ	VYBER	12000	27007	\N	\N	\N
695474	2378	1996-10-22	VYDAJ	VYBER	11100	70410	\N	\N	\N
695475	2378	1996-10-14	VYDAJ	VYBER	11100	47958	\N	\N	\N
695476	2378	1996-01-04	VYDAJ	VYBER	7800	52432	\N	\N	\N
695477	2378	1996-07-07	VYDAJ	VYBER	3000	77226	\N	\N	\N
695480	2378	1997-03-25	VYDAJ	VYBER	8100	65813	\N	\N	\N
695481	2378	1997-09-10	VYDAJ	VYBER	1800	30714	\N	\N	\N
695483	2378	1997-07-27	VYDAJ	VYBER	5100	29038	\N	\N	\N
695484	2378	1997-02-10	VYDAJ	VYBER	2400	28852	\N	\N	\N
695485	2378	1998-10-16	VYDAJ	VYBER	6600	54884	\N	\N	\N
695486	2378	1998-06-13	VYDAJ	VYBER	8400	32497	\N	\N	\N
695487	2378	1998-06-25	VYDAJ	VYBER	11700	67241	\N	\N	\N
695490	2378	1993-02-28	VYDAJ	VYBER	15	71438	SLUZBY	\N	\N
695491	2378	1993-03-31	VYDAJ	VYBER	15	47698	SLUZBY	\N	\N
695492	2378	1993-04-30	VYDAJ	VYBER	15	68197	SLUZBY	\N	\N
695493	2378	1993-05-31	VYDAJ	VYBER	15	72926	SLUZBY	\N	\N
695494	2378	1993-06-30	VYDAJ	VYBER	15	80999	SLUZBY	\N	\N
695495	2378	1993-07-31	VYDAJ	VYBER	15	99501	SLUZBY	\N	\N
695496	2378	1993-08-31	VYDAJ	VYBER	15	55089	SLUZBY	\N	\N
695497	2378	1993-09-30	VYDAJ	VYBER	15	58739	SLUZBY	\N	\N
695498	2378	1993-10-31	VYDAJ	VYBER	15	47481	SLUZBY	\N	\N
695499	2378	1993-11-30	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
695500	2378	1993-12-31	VYDAJ	VYBER	15	62042	SLUZBY	\N	\N
695501	2378	1994-01-31	VYDAJ	VYBER	15	28660	SLUZBY	\N	\N
695502	2378	1994-02-28	VYDAJ	VYBER	15	49951	SLUZBY	\N	\N
695503	2378	1994-03-31	VYDAJ	VYBER	15	50956	SLUZBY	\N	\N
695504	2378	1994-04-30	VYDAJ	VYBER	15	33527	SLUZBY	\N	\N
695505	2378	1994-05-31	VYDAJ	VYBER	15	28076	SLUZBY	\N	\N
695506	2378	1994-06-30	VYDAJ	VYBER	15	24562	SLUZBY	\N	\N
695507	2378	1994-07-31	VYDAJ	VYBER	15	19032	SLUZBY	\N	\N
695508	2378	1994-08-31	VYDAJ	VYBER	15	20084	SLUZBY	\N	\N
695509	2378	1994-09-30	VYDAJ	VYBER	15	18939	SLUZBY	\N	\N
695510	2378	1994-10-31	VYDAJ	VYBER	15	35962	SLUZBY	\N	\N
695511	2378	1994-11-30	VYDAJ	VYBER	15	39228	SLUZBY	\N	\N
695512	2378	1994-12-31	VYDAJ	VYBER	15	24810	SLUZBY	\N	\N
695513	2378	1995-01-31	VYDAJ	VYBER	15	24785	SLUZBY	\N	\N
695514	2378	1995-02-28	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
695515	2378	1995-03-31	VYDAJ	VYBER	15	69158	SLUZBY	\N	\N
695516	2378	1995-04-30	VYDAJ	VYBER	15	51729	SLUZBY	\N	\N
695517	2378	1995-05-31	VYDAJ	VYBER	15	94721	SLUZBY	\N	\N
695518	2378	1995-06-30	VYDAJ	VYBER	15	43210	SLUZBY	\N	\N
695519	2378	1995-07-31	VYDAJ	VYBER	15	53069	SLUZBY	\N	\N
695520	2378	1995-08-31	VYDAJ	VYBER	15	73578	SLUZBY	\N	\N
695521	2378	1995-09-30	VYDAJ	VYBER	15	59507	SLUZBY	\N	\N
695522	2378	1995-10-31	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
695523	2378	1995-11-30	VYDAJ	VYBER	15	24384	SLUZBY	\N	\N
695524	2378	1995-12-31	VYDAJ	VYBER	15	60232	SLUZBY	\N	\N
695525	2378	1996-01-31	VYDAJ	VYBER	15	45051	SLUZBY	\N	\N
695526	2378	1996-02-29	VYDAJ	VYBER	15	51919	SLUZBY	\N	\N
695527	2378	1996-03-31	VYDAJ	VYBER	15	55937	SLUZBY	\N	\N
695528	2378	1996-04-30	VYDAJ	VYBER	15	86577	SLUZBY	\N	\N
695529	2378	1996-05-31	VYDAJ	VYBER	15	52381	SLUZBY	\N	\N
695530	2378	1996-06-30	VYDAJ	VYBER	15	62729	SLUZBY	\N	\N
695531	2378	1996-07-31	VYDAJ	VYBER	15	64196	SLUZBY	\N	\N
695532	2378	1996-08-31	VYDAJ	VYBER	15	60134	SLUZBY	\N	\N
695533	2378	1996-09-30	VYDAJ	VYBER	15	81610	SLUZBY	\N	\N
695534	2378	1996-10-31	VYDAJ	VYBER	15	70709	SLUZBY	\N	\N
695535	2378	1996-11-30	VYDAJ	VYBER	15	97041	SLUZBY	\N	\N
695536	2378	1996-12-31	VYDAJ	VYBER	15	91467	SLUZBY	\N	\N
695537	2378	1997-01-31	VYDAJ	VYBER	15	43964	SLUZBY	\N	\N
695538	2378	1997-02-28	VYDAJ	VYBER	15	28972	SLUZBY	\N	\N
695539	2378	1997-03-31	VYDAJ	VYBER	15	66020	SLUZBY	\N	\N
695540	2378	1997-04-30	VYDAJ	VYBER	15	44199	SLUZBY	\N	\N
695541	2378	1997-05-31	VYDAJ	VYBER	15	57495	SLUZBY	\N	\N
695542	2378	1997-06-30	VYDAJ	VYBER	15	37942	SLUZBY	\N	\N
695543	2378	1997-07-31	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
695544	2378	1997-08-31	VYDAJ	VYBER	15	34695	SLUZBY	\N	\N
695545	2378	1997-09-30	VYDAJ	VYBER	15	30827	SLUZBY	\N	\N
695546	2378	1997-10-31	VYDAJ	VYBER	15	26909	SLUZBY	\N	\N
695547	2378	1997-11-30	VYDAJ	VYBER	15	22574	SLUZBY	\N	\N
695548	2378	1997-12-31	VYDAJ	VYBER	15	18220	SLUZBY	\N	\N
695549	2378	1998-01-31	VYDAJ	VYBER	15	41153	SLUZBY	\N	\N
695550	2378	1998-02-28	VYDAJ	VYBER	15	31058	SLUZBY	\N	\N
695551	2378	1998-03-31	VYDAJ	VYBER	15	38208	SLUZBY	\N	\N
695552	2378	1998-04-30	VYDAJ	VYBER	15	51622	SLUZBY	\N	\N
695553	2378	1998-05-31	VYDAJ	VYBER	15	63909	SLUZBY	\N	\N
695554	2378	1998-06-30	VYDAJ	VYBER	15	67445	SLUZBY	\N	\N
695555	2378	1998-07-31	VYDAJ	VYBER	15	33466	SLUZBY	\N	\N
695556	2378	1998-08-31	VYDAJ	VYBER	15	111062	SLUZBY	\N	\N
695557	2378	1998-09-30	VYDAJ	VYBER	15	91696	SLUZBY	\N	\N
695558	2378	1998-10-31	VYDAJ	VYBER	15	55128	SLUZBY	\N	\N
695559	2378	1998-11-30	VYDAJ	VYBER	15	37764	SLUZBY	\N	\N
695560	2378	1993-01-31	VYDAJ	VYBER	34700	59454	\N	\N	\N
695561	2378	1993-02-11	VYDAJ	VYBER	25200	85872	\N	\N	\N
695562	2378	1993-02-20	VYDAJ	VYBER	33900	71108	\N	\N	\N
695563	2378	1993-03-02	VYDAJ	VYBER	21400	50038	\N	\N	\N
695564	2378	1993-04-01	VYDAJ	VYBER	13500	34198	\N	\N	\N
695565	2378	1993-05-01	VYDAJ	VYBER	22700	45497	\N	\N	\N
695566	2378	1993-05-18	VYDAJ	VYBER	25700	107846	\N	\N	\N
695567	2378	1993-05-19	VYDAJ	VYBER	50600	100883	\N	\N	\N
695568	2378	1993-05-22	VYDAJ	VYBER	60000	72492	\N	\N	\N
695569	2378	1993-05-31	VYDAJ	VYBER	24500	48426	\N	\N	\N
695570	2378	1993-06-30	VYDAJ	VYBER	26700	54299	\N	\N	\N
695571	2378	1993-07-30	VYDAJ	VYBER	34500	66077	\N	\N	\N
695572	2378	1993-08-26	VYDAJ	VYBER	32700	86848	\N	\N	\N
695573	2378	1993-08-29	VYDAJ	VYBER	32100	54748	\N	\N	\N
695574	2378	1993-09-28	VYDAJ	VYBER	34400	58489	\N	\N	\N
695575	2378	1993-10-03	VYDAJ	VYBER	39100	64122	\N	\N	\N
695576	2378	1993-10-28	VYDAJ	VYBER	22000	47208	\N	\N	\N
695577	2378	1993-11-27	VYDAJ	VYBER	1100	24268	\N	\N	\N
695578	2378	1993-12-27	VYDAJ	VYBER	1400	29720	\N	\N	\N
695579	2378	1994-01-26	PRIJEM	VKLAD	100	28530	\N	\N	\N
695580	2378	1994-02-25	VYDAJ	VYBER	19900	49758	\N	\N	\N
695581	2378	1994-03-27	PRIJEM	VKLAD	4800	27171	\N	\N	\N
695582	2378	1994-04-26	VYDAJ	VYBER	5600	33371	\N	\N	\N
695583	2378	1994-05-26	VYDAJ	VYBER	20500	46982	\N	\N	\N
695584	2378	1994-06-25	PRIJEM	VKLAD	6000	24464	\N	\N	\N
695585	2378	1994-07-25	PRIJEM	VKLAD	4000	18950	\N	\N	\N
695586	2378	1994-08-24	PRIJEM	VKLAD	10600	20020	\N	\N	\N
695587	2378	1994-09-23	PRIJEM	VKLAD	8400	18872	\N	\N	\N
695588	2378	1994-10-23	VYDAJ	VYBER	2400	35857	\N	\N	\N
695589	2378	1994-11-22	VYDAJ	VYBER	10100	39075	\N	\N	\N
695590	2378	1994-12-22	PRIJEM	VKLAD	2000	24716	\N	\N	\N
695591	2378	1995-01-21	PRIJEM	VKLAD	9500	24698	\N	\N	\N
695592	2378	1995-02-20	PRIJEM	VKLAD	5700	20873	\N	\N	\N
695593	2378	1995-03-22	PRIJEM	VKLAD	12100	23443	\N	\N	\N
695594	2378	1995-04-21	VYDAJ	VYBER	4100	41695	\N	\N	\N
695595	2378	1995-05-16	VYDAJ	VYBER	63900	63115	\N	\N	\N
695596	2378	1995-05-21	VYDAJ	VYBER	50000	58501	\N	\N	\N
695597	2378	1995-05-21	VYDAJ	VYBER	10200	48301	\N	\N	\N
695598	2378	1995-06-02	VYDAJ	VYBER	58300	59587	\N	\N	\N
695599	2378	1995-06-20	VYDAJ	VYBER	7000	42975	\N	\N	\N
695600	2378	1995-07-20	VYDAJ	VYBER	14500	52849	\N	\N	\N
695601	2378	1995-08-19	VYDAJ	VYBER	9100	44753	\N	\N	\N
695602	2378	1995-09-18	VYDAJ	VYBER	7600	39162	\N	\N	\N
695603	2378	1995-10-18	PRIJEM	VKLAD	1100	37495	\N	\N	\N
695604	2378	1995-11-17	PRIJEM	VKLAD	100	39923	\N	\N	\N
695605	2378	1995-12-17	VYDAJ	VYBER	24900	63952	\N	\N	\N
695606	2378	1996-01-16	VYDAJ	VYBER	24500	56545	\N	\N	\N
695607	2378	1996-02-15	VYDAJ	VYBER	3300	32139	\N	\N	\N
695608	2378	1996-03-16	VYDAJ	VYBER	3300	39007	\N	\N	\N
695609	2378	1996-04-15	VYDAJ	VYBER	8500	37825	\N	\N	\N
695610	2378	1996-05-13	VYDAJ	VYBER	53700	71821	\N	\N	\N
695611	2378	1996-05-15	VYDAJ	VYBER	19700	52121	\N	\N	\N
695612	2378	1996-06-14	VYDAJ	VYBER	29900	62498	\N	\N	\N
695613	2378	1996-07-14	VYDAJ	VYBER	30300	63924	\N	\N	\N
695614	2378	1996-08-13	VYDAJ	VYBER	10300	44284	\N	\N	\N
695615	2378	1996-09-12	VYDAJ	VYBER	37300	70063	\N	\N	\N
695616	2378	1996-10-04	VYDAJ	VYBER	25800	98204	\N	\N	\N
695617	2378	1996-10-11	VYDAJ	VYBER	53600	80658	\N	\N	\N
695618	2378	1996-10-12	VYDAJ	VYBER	21600	59058	\N	\N	\N
695619	2378	1996-11-11	VYDAJ	VYBER	11200	49897	\N	\N	\N
695620	2378	1996-11-22	VYDAJ	VYBER	49900	78995	\N	\N	\N
695621	2378	1996-12-08	VYDAJ	VYBER	33100	82623	\N	\N	\N
695622	2378	1996-12-11	VYDAJ	VYBER	24400	58223	\N	\N	\N
695623	2378	1997-01-10	VYDAJ	VYBER	18600	43755	\N	\N	\N
695624	2378	1997-02-09	VYDAJ	VYBER	3100	31252	\N	\N	\N
695625	2378	1997-03-11	PRIJEM	VKLAD	4800	24160	\N	\N	\N
695626	2378	1997-04-10	VYDAJ	VYBER	12400	44008	\N	\N	\N
695627	2378	1997-05-10	VYDAJ	VYBER	3000	31587	\N	\N	\N
695628	2378	1997-05-28	VYDAJ	VYBER	58200	57307	\N	\N	\N
695629	2378	1997-06-09	VYDAJ	VYBER	10100	37783	\N	\N	\N
695630	2378	1997-07-09	VYDAJ	VYBER	9800	34138	\N	\N	\N
695631	2378	1997-08-08	PRIJEM	VKLAD	2100	21651	\N	\N	\N
695632	2378	1997-09-07	VYDAJ	VYBER	3100	32514	\N	\N	\N
695633	2378	1997-10-07	PRIJEM	VKLAD	5600	36427	\N	\N	\N
695634	2378	1997-11-06	PRIJEM	VKLAD	5200	32109	\N	\N	\N
695635	2378	1997-12-06	PRIJEM	VKLAD	5200	27774	\N	\N	\N
695636	2378	1998-01-05	PRIJEM	VKLAD	6700	24920	\N	\N	\N
695637	2378	1998-02-04	VYDAJ	VYBER	600	40553	\N	\N	\N
695638	2378	1998-03-06	VYDAJ	VYBER	2300	47686	\N	\N	\N
695639	2378	1998-04-05	PRIJEM	VKLAD	3400	41608	\N	\N	\N
695640	2378	1998-05-05	PRIJEM	VKLAD	4600	56222	\N	\N	\N
695641	2378	1998-06-04	VYDAJ	VYBER	13400	50509	\N	\N	\N
695642	2378	1998-07-04	VYDAJ	VYBER	15100	52345	\N	\N	\N
695643	2378	1998-08-03	PRIJEM	VKLAD	5600	39066	\N	\N	\N
695644	2378	1998-09-02	VYDAJ	VYBER	33700	77362	\N	\N	\N
695645	2378	1998-10-02	VYDAJ	VYBER	20600	71096	\N	\N	\N
695646	2378	1998-11-01	VYDAJ	VYBER	7900	47228	\N	\N	\N
695647	2378	1998-12-01	PRIJEM	VKLAD	1900	39664	\N	\N	\N
695720	2379	1993-01-10	PRIJEM	VKLAD	800	800	\N	\N	\N
695722	2379	1993-02-10	PRIJEM	VKLAD	5072	19772	\N	\N	\N
695723	2379	1993-03-10	PRIJEM	VKLAD	5072	24900	\N	\N	\N
695724	2379	1993-04-10	PRIJEM	VKLAD	5072	27461	\N	\N	\N
695725	2379	1993-05-10	PRIJEM	VKLAD	5072	32140	\N	\N	\N
695726	2379	1993-06-10	PRIJEM	VKLAD	7608	32461	\N	\N	\N
695727	2379	1993-07-10	PRIJEM	VKLAD	5072	29566	\N	\N	\N
695728	2379	1993-08-10	PRIJEM	VKLAD	5072	29768	\N	\N	\N
695729	2379	1993-09-10	PRIJEM	VKLAD	5072	26326	\N	\N	\N
695730	2379	1993-10-10	PRIJEM	VKLAD	5072	28209	\N	\N	\N
695731	2379	1993-11-10	PRIJEM	VKLAD	5072	30101	\N	\N	\N
695732	2379	1993-12-10	PRIJEM	VKLAD	7608	33135	\N	\N	\N
695733	2379	1994-01-10	PRIJEM	VKLAD	5072	19254	\N	\N	\N
695734	2379	1994-02-10	PRIJEM	VKLAD	5072	23148	\N	\N	\N
695735	2379	1994-03-10	PRIJEM	VKLAD	5072	23811	\N	\N	\N
695736	2379	1994-04-10	PRIJEM	VKLAD	5072	27123	\N	\N	\N
695737	2379	1994-05-10	PRIJEM	VKLAD	5072	27698	\N	\N	\N
695738	2379	1994-06-10	PRIJEM	VKLAD	7608	31922	\N	\N	\N
695739	2379	1994-07-10	PRIJEM	VKLAD	5072	29525	\N	\N	\N
695740	2379	1994-08-10	PRIJEM	VKLAD	5072	31026	\N	\N	\N
695741	2379	1994-09-10	PRIJEM	VKLAD	5072	30029	\N	\N	\N
695742	2379	1994-10-10	PRIJEM	VKLAD	5072	29830	\N	\N	\N
695743	2379	1994-11-10	PRIJEM	VKLAD	5072	27530	\N	\N	\N
695744	2379	1994-12-10	PRIJEM	VKLAD	7608	29978	\N	\N	\N
695745	2379	1995-01-10	PRIJEM	VKLAD	5072	19071	\N	\N	\N
695746	2379	1995-02-10	PRIJEM	VKLAD	5072	21818	\N	\N	\N
695747	2379	1995-03-10	PRIJEM	VKLAD	5072	24882	\N	\N	\N
695748	2379	1995-04-10	PRIJEM	VKLAD	5072	27158	\N	\N	\N
695749	2379	1995-05-10	PRIJEM	VKLAD	5072	26344	\N	\N	\N
695750	2379	1995-06-10	PRIJEM	VKLAD	7608	18675	\N	\N	\N
695751	2379	1995-07-10	PRIJEM	VKLAD	5072	19240	\N	\N	\N
695752	2379	1995-08-10	PRIJEM	VKLAD	5072	19893	\N	\N	\N
695753	2379	1995-09-10	PRIJEM	VKLAD	5072	19226	\N	\N	\N
695754	2379	1995-10-10	PRIJEM	VKLAD	5072	18478	\N	\N	\N
695755	2379	1995-11-10	PRIJEM	VKLAD	5072	18365	\N	\N	\N
695756	2379	1995-12-10	PRIJEM	VKLAD	7608	18248	\N	\N	\N
695757	2379	1996-01-10	PRIJEM	VKLAD	5072	14189	\N	\N	\N
695758	2379	1996-02-10	PRIJEM	VKLAD	5072	15921	\N	\N	\N
695759	2379	1996-03-10	PRIJEM	VKLAD	5072	14957	\N	\N	\N
695760	2379	1996-04-10	PRIJEM	VKLAD	5072	13789	\N	\N	\N
695761	2379	1996-05-10	PRIJEM	VKLAD	5072	13918	\N	\N	\N
695762	2379	1996-06-10	PRIJEM	VKLAD	7608	18184	\N	\N	\N
695763	2379	1996-07-10	PRIJEM	VKLAD	5072	14523	\N	\N	\N
695764	2379	1996-08-10	PRIJEM	VKLAD	5072	16256	\N	\N	\N
695765	2379	1996-09-10	PRIJEM	VKLAD	5072	17996	\N	\N	\N
695766	2379	1996-10-10	PRIJEM	VKLAD	5072	19743	\N	\N	\N
695767	2379	1996-11-10	PRIJEM	VKLAD	5072	14888	\N	\N	\N
695768	2379	1996-12-10	PRIJEM	VKLAD	7608	19158	\N	\N	\N
695769	2379	1997-01-10	PRIJEM	VKLAD	5072	16104	\N	\N	\N
695770	2379	1997-02-10	PRIJEM	VKLAD	5072	16881	\N	\N	\N
695771	2379	1997-03-10	PRIJEM	VKLAD	5072	18623	\N	\N	\N
695772	2379	1997-04-10	PRIJEM	VKLAD	5072	20372	\N	\N	\N
695773	2379	1997-05-10	PRIJEM	VKLAD	5072	22129	\N	\N	\N
695774	2379	1997-06-10	PRIJEM	VKLAD	7608	26429	\N	\N	\N
695775	2379	1997-07-10	PRIJEM	VKLAD	5072	28207	\N	\N	\N
695776	2379	1997-08-10	PRIJEM	VKLAD	5072	29996	\N	\N	\N
695777	2379	1997-09-10	PRIJEM	VKLAD	5072	31793	\N	\N	\N
695778	2379	1997-10-10	PRIJEM	VKLAD	5072	14958	\N	\N	\N
695779	2379	1997-11-10	PRIJEM	VKLAD	5072	16692	\N	\N	\N
695780	2379	1997-12-10	PRIJEM	VKLAD	7608	19527	\N	\N	\N
695781	2379	1998-01-10	PRIJEM	VKLAD	5072	17916	\N	\N	\N
695782	2379	1998-02-10	PRIJEM	VKLAD	5072	17261	\N	\N	\N
695783	2379	1998-03-10	PRIJEM	VKLAD	5072	19004	\N	\N	\N
695784	2379	1998-04-10	PRIJEM	VKLAD	5072	20754	\N	\N	\N
695785	2379	1998-05-10	PRIJEM	VKLAD	5072	22511	\N	\N	\N
695786	2379	1998-06-10	PRIJEM	VKLAD	7608	25127	\N	\N	\N
695787	2379	1998-07-10	PRIJEM	VKLAD	5072	26899	\N	\N	\N
695788	2379	1998-08-10	PRIJEM	VKLAD	5072	25079	\N	\N	\N
695789	2379	1998-09-10	PRIJEM	VKLAD	5072	26854	\N	\N	\N
695790	2379	1998-10-10	PRIJEM	VKLAD	5072	28636	\N	\N	\N
695791	2379	1998-11-10	PRIJEM	VKLAD	5072	30426	\N	\N	\N
695792	2379	1998-12-10	PRIJEM	VKLAD	7608	30279	\N	\N	\N
695799	2379	1993-07-09	VYDAJ	PREVOD NA UCET	3190	24494	SIPO	AB	13537359
695800	2379	1993-08-09	VYDAJ	PREVOD NA UCET	3190	24696	SIPO	AB	13537359
695801	2379	1993-09-09	VYDAJ	PREVOD NA UCET	3190	21254	SIPO	AB	13537359
695802	2379	1993-10-09	VYDAJ	PREVOD NA UCET	3190	23137	SIPO	AB	13537359
695803	2379	1993-11-09	VYDAJ	PREVOD NA UCET	3190	25029	SIPO	AB	13537359
695804	2379	1993-12-09	VYDAJ	PREVOD NA UCET	3190	25527	SIPO	AB	13537359
695805	2379	1994-01-09	VYDAJ	PREVOD NA UCET	3190	19702	SIPO	AB	13537359
695806	2379	1994-02-09	VYDAJ	PREVOD NA UCET	3190	18076	SIPO	AB	13537359
695807	2379	1994-03-09	VYDAJ	PREVOD NA UCET	3190	18739	SIPO	AB	13537359
695808	2379	1994-04-09	VYDAJ	PREVOD NA UCET	3190	22051	SIPO	AB	13537359
695809	2379	1994-05-09	VYDAJ	PREVOD NA UCET	3190	22626	SIPO	AB	13537359
695810	2379	1994-06-09	VYDAJ	PREVOD NA UCET	3190	24314	SIPO	AB	13537359
695811	2379	1994-07-09	VYDAJ	PREVOD NA UCET	3190	24453	SIPO	AB	13537359
695812	2379	1994-08-09	VYDAJ	PREVOD NA UCET	3190	25954	SIPO	AB	13537359
695813	2379	1994-09-09	VYDAJ	PREVOD NA UCET	3190	24957	SIPO	AB	13537359
695814	2379	1994-10-09	VYDAJ	PREVOD NA UCET	3190	24758	SIPO	AB	13537359
695815	2379	1994-11-09	VYDAJ	PREVOD NA UCET	3190	22458	SIPO	AB	13537359
695816	2379	1994-12-09	VYDAJ	PREVOD NA UCET	3190	22370	SIPO	AB	13537359
695817	2379	1995-01-09	VYDAJ	PREVOD NA UCET	3190	13999	SIPO	AB	13537359
695818	2379	1995-02-09	VYDAJ	PREVOD NA UCET	3190	16746	SIPO	AB	13537359
695819	2379	1995-03-09	VYDAJ	PREVOD NA UCET	3190	19810	SIPO	AB	13537359
695820	2379	1995-04-09	VYDAJ	PREVOD NA UCET	3190	22086	SIPO	AB	13537359
695821	2379	1995-05-09	VYDAJ	PREVOD NA UCET	3190	21272	SIPO	AB	13537359
695822	2379	1995-06-09	VYDAJ	PREVOD NA UCET	3190	11067	SIPO	AB	13537359
695823	2379	1995-07-09	VYDAJ	PREVOD NA UCET	3190	14168	SIPO	AB	13537359
695824	2379	1995-08-09	VYDAJ	PREVOD NA UCET	3190	14821	SIPO	AB	13537359
695825	2379	1995-09-09	VYDAJ	PREVOD NA UCET	3190	14154	SIPO	AB	13537359
695826	2379	1995-10-09	VYDAJ	PREVOD NA UCET	3190	13406	SIPO	AB	13537359
695827	2379	1995-11-09	VYDAJ	PREVOD NA UCET	3190	13293	SIPO	AB	13537359
695828	2379	1995-12-09	VYDAJ	PREVOD NA UCET	3190	10640	SIPO	AB	13537359
695829	2379	1996-01-09	VYDAJ	PREVOD NA UCET	3190	9117	SIPO	AB	13537359
695830	2379	1996-02-09	VYDAJ	PREVOD NA UCET	3190	10849	SIPO	AB	13537359
695831	2379	1996-03-09	VYDAJ	PREVOD NA UCET	3190	9885	SIPO	AB	13537359
695832	2379	1996-04-09	VYDAJ	PREVOD NA UCET	3190	8717	SIPO	AB	13537359
695833	2379	1996-05-09	VYDAJ	PREVOD NA UCET	3190	8846	SIPO	AB	13537359
695834	2379	1996-06-09	VYDAJ	PREVOD NA UCET	3190	10576	SIPO	AB	13537359
695835	2379	1996-07-09	VYDAJ	PREVOD NA UCET	3190	9451	SIPO	AB	13537359
695836	2379	1996-08-09	VYDAJ	PREVOD NA UCET	3190	11184	SIPO	AB	13537359
695837	2379	1996-09-09	VYDAJ	PREVOD NA UCET	3190	12924	SIPO	AB	13537359
695838	2379	1996-10-09	VYDAJ	PREVOD NA UCET	3190	14671	SIPO	AB	13537359
695839	2379	1996-11-09	VYDAJ	PREVOD NA UCET	3190	9816	SIPO	AB	13537359
695840	2379	1996-12-09	VYDAJ	PREVOD NA UCET	3190	11550	SIPO	AB	13537359
695841	2379	1997-01-09	VYDAJ	PREVOD NA UCET	3190	11032	SIPO	AB	13537359
695842	2379	1997-02-09	VYDAJ	PREVOD NA UCET	3190	11809	SIPO	AB	13537359
695843	2379	1997-03-09	VYDAJ	PREVOD NA UCET	3190	13551	SIPO	AB	13537359
695844	2379	1997-04-09	VYDAJ	PREVOD NA UCET	3190	15300	SIPO	AB	13537359
695845	2379	1997-05-09	VYDAJ	PREVOD NA UCET	3190	17057	SIPO	AB	13537359
695846	2379	1997-06-09	VYDAJ	PREVOD NA UCET	3190	18821	SIPO	AB	13537359
695847	2379	1997-07-09	VYDAJ	PREVOD NA UCET	3190	23135	SIPO	AB	13537359
695848	2379	1997-08-09	VYDAJ	PREVOD NA UCET	3190	24924	SIPO	AB	13537359
695849	2379	1997-09-09	VYDAJ	PREVOD NA UCET	3190	26721	SIPO	AB	13537359
695850	2379	1997-10-09	VYDAJ	PREVOD NA UCET	3190	9886	SIPO	AB	13537359
695851	2379	1997-11-09	VYDAJ	PREVOD NA UCET	3190	11620	SIPO	AB	13537359
695852	2379	1997-12-09	VYDAJ	PREVOD NA UCET	3190	11919	SIPO	AB	13537359
695853	2379	1998-01-09	VYDAJ	PREVOD NA UCET	3190	12844	SIPO	AB	13537359
695854	2379	1998-02-09	VYDAJ	PREVOD NA UCET	3190	12189	SIPO	AB	13537359
695855	2379	1998-03-09	VYDAJ	PREVOD NA UCET	3190	13932	SIPO	AB	13537359
695856	2379	1998-04-09	VYDAJ	PREVOD NA UCET	3190	15682	SIPO	AB	13537359
695857	2379	1998-05-09	VYDAJ	PREVOD NA UCET	3190	17439	SIPO	AB	13537359
695858	2379	1998-06-09	VYDAJ	PREVOD NA UCET	3190	17519	SIPO	AB	13537359
695859	2379	1998-07-09	VYDAJ	PREVOD NA UCET	3190	21827	SIPO	AB	13537359
695860	2379	1998-08-09	VYDAJ	PREVOD NA UCET	3190	20007	SIPO	AB	13537359
695861	2379	1998-09-09	VYDAJ	PREVOD NA UCET	3190	21782	SIPO	AB	13537359
695862	2379	1998-10-09	VYDAJ	PREVOD NA UCET	3190	23564	SIPO	AB	13537359
695863	2379	1998-11-09	VYDAJ	PREVOD NA UCET	3190	25354	SIPO	AB	13537359
695864	2379	1998-12-09	VYDAJ	PREVOD NA UCET	3190	22671	SIPO	AB	13537359
695871	2379	1993-07-08	VYDAJ	PREVOD NA UCET	145	32384	 	IJ	3021407
695872	2379	1993-08-08	VYDAJ	PREVOD NA UCET	145	29486	 	IJ	3021407
695873	2379	1993-09-08	VYDAJ	PREVOD NA UCET	145	24444	 	IJ	3021407
695874	2379	1993-10-08	VYDAJ	PREVOD NA UCET	145	26327	 	IJ	3021407
695875	2379	1993-11-08	VYDAJ	PREVOD NA UCET	145	28219	 	IJ	3021407
695876	2379	1993-12-08	VYDAJ	PREVOD NA UCET	145	28717	 	IJ	3021407
695877	2379	1994-01-08	VYDAJ	PREVOD NA UCET	145	22892	 	IJ	3021407
695878	2379	1994-02-08	VYDAJ	PREVOD NA UCET	145	21266	 	IJ	3021407
695879	2379	1994-03-08	VYDAJ	PREVOD NA UCET	145	21929	 	IJ	3021407
695880	2379	1994-04-08	VYDAJ	PREVOD NA UCET	145	25241	 	IJ	3021407
695881	2379	1994-05-08	VYDAJ	PREVOD NA UCET	145	25816	 	IJ	3021407
695882	2379	1994-06-08	VYDAJ	PREVOD NA UCET	145	27504	 	IJ	3021407
695883	2379	1994-07-08	VYDAJ	PREVOD NA UCET	145	27643	 	IJ	3021407
695884	2379	1994-08-08	VYDAJ	PREVOD NA UCET	145	29144	 	IJ	3021407
695885	2379	1994-09-08	VYDAJ	PREVOD NA UCET	145	28147	 	IJ	3021407
695886	2379	1994-10-08	VYDAJ	PREVOD NA UCET	145	27948	 	IJ	3021407
695887	2379	1994-11-08	VYDAJ	PREVOD NA UCET	145	25648	 	IJ	3021407
695888	2379	1994-12-08	VYDAJ	PREVOD NA UCET	145	25560	 	IJ	3021407
695889	2379	1995-01-08	VYDAJ	PREVOD NA UCET	145	19229	 	IJ	3021407
695890	2379	1995-02-08	VYDAJ	PREVOD NA UCET	145	19936	 	IJ	3021407
695891	2379	1995-03-08	VYDAJ	PREVOD NA UCET	145	23000	 	IJ	3021407
695892	2379	1995-04-08	VYDAJ	PREVOD NA UCET	145	25276	 	IJ	3021407
695893	2379	1995-05-08	VYDAJ	PREVOD NA UCET	145	24462	 	IJ	3021407
695894	2379	1995-06-08	VYDAJ	PREVOD NA UCET	145	14257	 	IJ	3021407
695895	2379	1995-07-08	VYDAJ	PREVOD NA UCET	145	17358	 	IJ	3021407
695896	2379	1995-08-08	VYDAJ	PREVOD NA UCET	145	18011	 	IJ	3021407
695897	2379	1995-09-08	VYDAJ	PREVOD NA UCET	145	17344	 	IJ	3021407
695898	2379	1995-10-08	VYDAJ	PREVOD NA UCET	145	16596	 	IJ	3021407
695899	2379	1995-11-08	VYDAJ	PREVOD NA UCET	145	16483	 	IJ	3021407
695900	2379	1995-12-08	VYDAJ	PREVOD NA UCET	145	13830	 	IJ	3021407
695901	2379	1996-01-08	VYDAJ	PREVOD NA UCET	145	12307	 	IJ	3021407
695902	2379	1996-02-08	VYDAJ	PREVOD NA UCET	145	14039	 	IJ	3021407
695903	2379	1996-03-08	VYDAJ	PREVOD NA UCET	145	13075	 	IJ	3021407
695904	2379	1996-04-08	VYDAJ	PREVOD NA UCET	145	11907	 	IJ	3021407
695905	2379	1996-05-08	VYDAJ	PREVOD NA UCET	145	12036	 	IJ	3021407
695906	2379	1996-06-08	VYDAJ	PREVOD NA UCET	145	13766	 	IJ	3021407
695907	2379	1996-07-08	VYDAJ	PREVOD NA UCET	145	12641	 	IJ	3021407
695908	2379	1996-08-08	VYDAJ	PREVOD NA UCET	145	14374	 	IJ	3021407
695909	2379	1996-09-08	VYDAJ	PREVOD NA UCET	145	16114	 	IJ	3021407
695910	2379	1996-10-08	VYDAJ	PREVOD NA UCET	145	17861	 	IJ	3021407
695911	2379	1996-11-08	VYDAJ	PREVOD NA UCET	145	13006	 	IJ	3021407
695912	2379	1996-12-08	VYDAJ	PREVOD NA UCET	145	14740	 	IJ	3021407
695913	2379	1997-01-08	VYDAJ	PREVOD NA UCET	145	14222	 	IJ	3021407
695914	2379	1997-02-08	VYDAJ	PREVOD NA UCET	145	14999	 	IJ	3021407
695915	2379	1997-03-08	VYDAJ	PREVOD NA UCET	145	16741	 	IJ	3021407
695916	2379	1997-04-08	VYDAJ	PREVOD NA UCET	145	18490	 	IJ	3021407
695917	2379	1997-05-08	VYDAJ	PREVOD NA UCET	145	20247	 	IJ	3021407
695918	2379	1997-06-08	VYDAJ	PREVOD NA UCET	145	22011	 	IJ	3021407
695919	2379	1997-07-08	VYDAJ	PREVOD NA UCET	145	26325	 	IJ	3021407
695920	2379	1997-08-08	VYDAJ	PREVOD NA UCET	145	28114	 	IJ	3021407
695921	2379	1997-09-08	VYDAJ	PREVOD NA UCET	145	29911	 	IJ	3021407
695922	2379	1997-10-08	VYDAJ	PREVOD NA UCET	145	13076	 	IJ	3021407
695923	2379	1997-11-08	VYDAJ	PREVOD NA UCET	145	14810	 	IJ	3021407
695924	2379	1997-12-08	VYDAJ	PREVOD NA UCET	145	15109	 	IJ	3021407
695925	2379	1998-01-08	VYDAJ	PREVOD NA UCET	145	17474	 	IJ	3021407
695926	2379	1998-02-08	VYDAJ	PREVOD NA UCET	145	15379	 	IJ	3021407
695927	2379	1998-03-08	VYDAJ	PREVOD NA UCET	145	17122	 	IJ	3021407
695928	2379	1998-04-08	VYDAJ	PREVOD NA UCET	145	18872	 	IJ	3021407
695929	2379	1998-05-08	VYDAJ	PREVOD NA UCET	145	20629	 	IJ	3021407
695930	2379	1998-06-08	VYDAJ	PREVOD NA UCET	145	20709	 	IJ	3021407
695931	2379	1998-07-08	VYDAJ	PREVOD NA UCET	145	25017	 	IJ	3021407
695932	2379	1998-08-08	VYDAJ	PREVOD NA UCET	145	23197	 	IJ	3021407
695933	2379	1998-09-08	VYDAJ	PREVOD NA UCET	145	24972	 	IJ	3021407
695934	2379	1998-10-08	VYDAJ	PREVOD NA UCET	145	26754	 	IJ	3021407
695935	2379	1998-11-08	VYDAJ	PREVOD NA UCET	145	28544	 	IJ	3021407
695936	2379	1998-12-08	VYDAJ	PREVOD NA UCET	145	25861	 	IJ	3021407
695942	2379	1993-06-12	VYDAJ	PREVOD NA UCET	46	32415	POJISTNE	OP	77863126
695943	2379	1993-07-12	VYDAJ	PREVOD NA UCET	46	29520	POJISTNE	OP	77863126
695944	2379	1993-08-12	VYDAJ	PREVOD NA UCET	46	29722	POJISTNE	OP	77863126
695945	2379	1993-09-12	VYDAJ	PREVOD NA UCET	46	26280	POJISTNE	OP	77863126
695946	2379	1993-10-12	VYDAJ	PREVOD NA UCET	46	28163	POJISTNE	OP	77863126
695947	2379	1993-11-12	VYDAJ	PREVOD NA UCET	46	30055	POJISTNE	OP	77863126
695948	2379	1993-12-12	VYDAJ	PREVOD NA UCET	46	33089	POJISTNE	OP	77863126
695949	2379	1994-01-12	VYDAJ	PREVOD NA UCET	46	19208	POJISTNE	OP	77863126
695950	2379	1994-02-12	VYDAJ	PREVOD NA UCET	46	23102	POJISTNE	OP	77863126
695951	2379	1994-03-12	VYDAJ	PREVOD NA UCET	46	23765	POJISTNE	OP	77863126
695952	2379	1994-04-12	VYDAJ	PREVOD NA UCET	46	27077	POJISTNE	OP	77863126
695953	2379	1994-05-12	VYDAJ	PREVOD NA UCET	46	27652	POJISTNE	OP	77863126
695954	2379	1994-06-12	VYDAJ	PREVOD NA UCET	46	31876	POJISTNE	OP	77863126
695955	2379	1994-07-12	VYDAJ	PREVOD NA UCET	46	29479	POJISTNE	OP	77863126
695956	2379	1994-08-12	VYDAJ	PREVOD NA UCET	46	30980	POJISTNE	OP	77863126
695957	2379	1994-09-12	VYDAJ	PREVOD NA UCET	46	29983	POJISTNE	OP	77863126
695958	2379	1994-10-12	VYDAJ	PREVOD NA UCET	46	29784	POJISTNE	OP	77863126
695959	2379	1994-11-12	VYDAJ	PREVOD NA UCET	46	27484	POJISTNE	OP	77863126
695960	2379	1994-12-12	VYDAJ	PREVOD NA UCET	46	29932	POJISTNE	OP	77863126
695961	2379	1995-01-12	VYDAJ	PREVOD NA UCET	46	19025	POJISTNE	OP	77863126
695962	2379	1995-02-12	VYDAJ	PREVOD NA UCET	46	21772	POJISTNE	OP	77863126
695963	2379	1995-03-12	VYDAJ	PREVOD NA UCET	46	24836	POJISTNE	OP	77863126
695964	2379	1995-04-12	VYDAJ	PREVOD NA UCET	46	27112	POJISTNE	OP	77863126
695965	2379	1995-05-12	VYDAJ	PREVOD NA UCET	46	20418	POJISTNE	OP	77863126
695966	2379	1995-06-12	VYDAJ	PREVOD NA UCET	46	17549	POJISTNE	OP	77863126
695967	2379	1995-07-12	VYDAJ	PREVOD NA UCET	46	19194	POJISTNE	OP	77863126
695968	2379	1995-08-12	VYDAJ	PREVOD NA UCET	46	19847	POJISTNE	OP	77863126
695969	2379	1995-09-12	VYDAJ	PREVOD NA UCET	46	19180	POJISTNE	OP	77863126
695970	2379	1995-10-12	VYDAJ	PREVOD NA UCET	46	18432	POJISTNE	OP	77863126
695971	2379	1995-11-12	VYDAJ	PREVOD NA UCET	46	18319	POJISTNE	OP	77863126
695972	2379	1995-12-12	VYDAJ	PREVOD NA UCET	46	18202	POJISTNE	OP	77863126
695973	2379	1996-01-12	VYDAJ	PREVOD NA UCET	46	14143	POJISTNE	OP	77863126
695974	2379	1996-02-12	VYDAJ	PREVOD NA UCET	46	15875	POJISTNE	OP	77863126
695975	2379	1996-03-12	VYDAJ	PREVOD NA UCET	46	14911	POJISTNE	OP	77863126
695976	2379	1996-04-12	VYDAJ	PREVOD NA UCET	46	13743	POJISTNE	OP	77863126
695977	2379	1996-05-12	VYDAJ	PREVOD NA UCET	46	13872	POJISTNE	OP	77863126
695978	2379	1996-06-12	VYDAJ	PREVOD NA UCET	46	18138	POJISTNE	OP	77863126
695979	2379	1996-07-12	VYDAJ	PREVOD NA UCET	46	14477	POJISTNE	OP	77863126
695980	2379	1996-08-12	VYDAJ	PREVOD NA UCET	46	16210	POJISTNE	OP	77863126
695981	2379	1996-09-12	VYDAJ	PREVOD NA UCET	46	17950	POJISTNE	OP	77863126
695982	2379	1996-10-12	VYDAJ	PREVOD NA UCET	46	19697	POJISTNE	OP	77863126
695983	2379	1996-11-12	VYDAJ	PREVOD NA UCET	46	14842	POJISTNE	OP	77863126
695984	2379	1996-12-12	VYDAJ	PREVOD NA UCET	46	19112	POJISTNE	OP	77863126
695985	2379	1997-01-12	VYDAJ	PREVOD NA UCET	46	16058	POJISTNE	OP	77863126
695986	2379	1997-02-12	VYDAJ	PREVOD NA UCET	46	16835	POJISTNE	OP	77863126
695987	2379	1997-03-12	VYDAJ	PREVOD NA UCET	46	18577	POJISTNE	OP	77863126
695988	2379	1997-04-12	VYDAJ	PREVOD NA UCET	46	20326	POJISTNE	OP	77863126
695989	2379	1997-05-12	VYDAJ	PREVOD NA UCET	46	22083	POJISTNE	OP	77863126
695990	2379	1997-06-12	VYDAJ	PREVOD NA UCET	46	26383	POJISTNE	OP	77863126
695991	2379	1997-07-12	VYDAJ	PREVOD NA UCET	46	28161	POJISTNE	OP	77863126
695992	2379	1997-08-12	VYDAJ	PREVOD NA UCET	46	29950	POJISTNE	OP	77863126
695993	2379	1997-09-12	VYDAJ	PREVOD NA UCET	46	31747	POJISTNE	OP	77863126
695994	2379	1997-10-12	VYDAJ	PREVOD NA UCET	46	14912	POJISTNE	OP	77863126
695995	2379	1997-11-12	VYDAJ	PREVOD NA UCET	46	16646	POJISTNE	OP	77863126
695996	2379	1997-12-12	VYDAJ	PREVOD NA UCET	46	19481	POJISTNE	OP	77863126
695997	2379	1998-01-12	VYDAJ	PREVOD NA UCET	46	17870	POJISTNE	OP	77863126
695998	2379	1998-02-12	VYDAJ	PREVOD NA UCET	46	17215	POJISTNE	OP	77863126
695999	2379	1998-03-12	VYDAJ	PREVOD NA UCET	46	18958	POJISTNE	OP	77863126
696000	2379	1998-04-12	VYDAJ	PREVOD NA UCET	46	20708	POJISTNE	OP	77863126
696001	2379	1998-05-12	VYDAJ	PREVOD NA UCET	46	20785	POJISTNE	OP	77863126
696002	2379	1998-06-12	VYDAJ	PREVOD NA UCET	46	25081	POJISTNE	OP	77863126
696003	2379	1998-07-12	VYDAJ	PREVOD NA UCET	46	26853	POJISTNE	OP	77863126
696004	2379	1998-08-12	VYDAJ	PREVOD NA UCET	46	25033	POJISTNE	OP	77863126
696005	2379	1998-09-12	VYDAJ	PREVOD NA UCET	46	26808	POJISTNE	OP	77863126
696006	2379	1998-10-12	VYDAJ	PREVOD NA UCET	46	28590	POJISTNE	OP	77863126
696007	2379	1998-11-12	VYDAJ	PREVOD NA UCET	46	30380	POJISTNE	OP	77863126
696008	2379	1998-12-12	VYDAJ	PREVOD NA UCET	46	30233	POJISTNE	OP	77863126
696017	2379	1995-01-04	VYDAJ	VYBER	2880	19374	\N	\N	\N
696021	2379	1993-12-16	VYDAJ	VYBER	4160	28089	\N	\N	\N
696022	2379	1994-12-19	VYDAJ	VYBER	1440	28492	\N	\N	\N
696024	2379	1996-12-26	VYDAJ	VYBER	960	18152	\N	\N	\N
696026	2379	1998-12-06	VYDAJ	VYBER	4480	26006	\N	\N	\N
696033	2379	1994-01-08	VYDAJ	VYBER	3360	23037	\N	\N	\N
696035	2379	1994-01-16	VYDAJ	VYBER	1200	14768	\N	\N	\N
696036	2379	1994-01-25	VYDAJ	VYBER	720	14048	\N	\N	\N
696038	2379	1994-01-15	VYDAJ	VYBER	3240	15968	\N	\N	\N
696039	2379	1995-01-01	VYDAJ	VYBER	2880	22254	\N	\N	\N
696041	2379	1995-01-15	VYDAJ	VYBER	1680	17345	\N	\N	\N
696042	2379	1995-01-09	VYDAJ	VYBER	2040	17189	\N	\N	\N
696043	2379	1995-01-01	VYDAJ	VYBER	1560	25134	\N	\N	\N
696044	2379	1995-01-16	VYDAJ	VYBER	3120	14225	\N	\N	\N
696051	2379	1997-01-13	VYDAJ	VYBER	960	15098	\N	\N	\N
696060	2379	1998-01-13	VYDAJ	VYBER	1440	16430	\N	\N	\N
696061	2379	1998-01-08	VYDAJ	VYBER	1440	16034	\N	\N	\N
696062	2379	1998-01-27	VYDAJ	VYBER	960	15470	\N	\N	\N
696065	2379	1993-12-13	VYDAJ	VYBER	840	32249	\N	\N	\N
696066	2379	1993-08-29	VYDAJ	VYBER	5040	24682	\N	\N	\N
696069	2379	1994-04-14	VYDAJ	VYBER	3000	24077	\N	\N	\N
696070	2379	1994-01-09	VYDAJ	VYBER	5520	14182	\N	\N	\N
696071	2379	1994-12-05	VYDAJ	VYBER	1080	25705	\N	\N	\N
696072	2379	1994-03-28	VYDAJ	VYBER	2760	21005	\N	\N	\N
696073	2379	1995-06-11	VYDAJ	VYBER	1080	17595	\N	\N	\N
696074	2379	1995-05-15	VYDAJ	VYBER	5880	14538	\N	\N	\N
696076	2379	1995-05-10	VYDAJ	VYBER	5880	20464	\N	\N	\N
696077	2379	1995-10-21	VYDAJ	VYBER	1560	16872	\N	\N	\N
696078	2379	1995-08-19	VYDAJ	VYBER	720	19127	\N	\N	\N
696081	2379	1996-12-27	VYDAJ	VYBER	3240	14912	\N	\N	\N
696082	2379	1996-12-29	VYDAJ	VYBER	600	14312	\N	\N	\N
696088	2379	1997-11-23	VYDAJ	VYBER	1440	15206	\N	\N	\N
696089	2379	1998-01-05	VYDAJ	VYBER	1920	17619	\N	\N	\N
696090	2379	1998-05-11	VYDAJ	VYBER	1680	20831	\N	\N	\N
696091	2379	1998-07-25	VYDAJ	VYBER	3600	23253	\N	\N	\N
696098	2379	1993-06-30	VYDAJ	VYBER	15	32529	SLUZBY	\N	\N
696099	2379	1993-07-31	VYDAJ	VYBER	15	29631	SLUZBY	\N	\N
696100	2379	1993-08-31	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
696101	2379	1993-09-30	VYDAJ	VYBER	15	26372	SLUZBY	\N	\N
696102	2379	1993-10-31	VYDAJ	VYBER	15	28264	SLUZBY	\N	\N
696103	2379	1993-11-30	VYDAJ	VYBER	15	30162	SLUZBY	\N	\N
696104	2379	1993-12-31	VYDAJ	VYBER	15	28197	SLUZBY	\N	\N
696105	2379	1994-01-31	VYDAJ	VYBER	15	14111	SLUZBY	\N	\N
696106	2379	1994-02-28	VYDAJ	VYBER	15	23174	SLUZBY	\N	\N
696107	2379	1994-03-31	VYDAJ	VYBER	15	21086	SLUZBY	\N	\N
696108	2379	1994-04-30	VYDAJ	VYBER	15	24161	SLUZBY	\N	\N
696109	2379	1994-05-31	VYDAJ	VYBER	15	27749	SLUZBY	\N	\N
696110	2379	1994-06-30	VYDAJ	VYBER	15	31988	SLUZBY	\N	\N
696111	2379	1994-07-31	VYDAJ	VYBER	15	29589	SLUZBY	\N	\N
696112	2379	1994-08-31	VYDAJ	VYBER	15	31092	SLUZBY	\N	\N
696113	2379	1994-09-30	VYDAJ	VYBER	15	30093	SLUZBY	\N	\N
696114	2379	1994-10-31	VYDAJ	VYBER	15	29893	SLUZBY	\N	\N
696115	2379	1994-11-30	VYDAJ	VYBER	15	27585	SLUZBY	\N	\N
696116	2379	1994-12-31	VYDAJ	VYBER	15	28594	SLUZBY	\N	\N
696117	2379	1995-01-31	VYDAJ	VYBER	15	20081	SLUZBY	\N	\N
696118	2379	1995-02-28	VYDAJ	VYBER	15	21845	SLUZBY	\N	\N
696119	2379	1995-03-31	VYDAJ	VYBER	15	25421	SLUZBY	\N	\N
696120	2379	1995-04-30	VYDAJ	VYBER	15	27207	SLUZBY	\N	\N
696121	2379	1995-05-31	VYDAJ	VYBER	15	14402	SLUZBY	\N	\N
696122	2379	1995-06-30	VYDAJ	VYBER	15	17503	SLUZBY	\N	\N
696123	2379	1995-07-31	VYDAJ	VYBER	15	18156	SLUZBY	\N	\N
696124	2379	1995-08-31	VYDAJ	VYBER	15	17489	SLUZBY	\N	\N
696125	2379	1995-09-30	VYDAJ	VYBER	15	16741	SLUZBY	\N	\N
696126	2379	1995-10-31	VYDAJ	VYBER	15	16628	SLUZBY	\N	\N
696127	2379	1995-11-30	VYDAJ	VYBER	15	13975	SLUZBY	\N	\N
696128	2379	1995-12-31	VYDAJ	VYBER	15	12452	SLUZBY	\N	\N
696129	2379	1996-01-31	VYDAJ	VYBER	15	14184	SLUZBY	\N	\N
696130	2379	1996-02-29	VYDAJ	VYBER	15	13220	SLUZBY	\N	\N
696131	2379	1996-03-31	VYDAJ	VYBER	15	12052	SLUZBY	\N	\N
696132	2379	1996-04-30	VYDAJ	VYBER	15	12181	SLUZBY	\N	\N
696133	2379	1996-05-31	VYDAJ	VYBER	15	13911	SLUZBY	\N	\N
696134	2379	1996-06-30	VYDAJ	VYBER	15	12786	SLUZBY	\N	\N
696135	2379	1996-07-31	VYDAJ	VYBER	15	14519	SLUZBY	\N	\N
696136	2379	1996-08-31	VYDAJ	VYBER	15	16259	SLUZBY	\N	\N
696137	2379	1996-09-30	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
696138	2379	1996-10-31	VYDAJ	VYBER	15	13151	SLUZBY	\N	\N
696139	2379	1996-11-30	VYDAJ	VYBER	15	14885	SLUZBY	\N	\N
696140	2379	1996-12-31	VYDAJ	VYBER	15	14367	SLUZBY	\N	\N
696141	2379	1997-01-31	VYDAJ	VYBER	15	15144	SLUZBY	\N	\N
696142	2379	1997-02-28	VYDAJ	VYBER	15	16886	SLUZBY	\N	\N
696143	2379	1997-03-31	VYDAJ	VYBER	15	18635	SLUZBY	\N	\N
696144	2379	1997-04-30	VYDAJ	VYBER	15	20392	SLUZBY	\N	\N
696145	2379	1997-05-31	VYDAJ	VYBER	15	22156	SLUZBY	\N	\N
696146	2379	1997-06-30	VYDAJ	VYBER	15	26470	SLUZBY	\N	\N
696147	2379	1997-07-31	VYDAJ	VYBER	15	28259	SLUZBY	\N	\N
696148	2379	1997-08-31	VYDAJ	VYBER	15	30056	SLUZBY	\N	\N
696149	2379	1997-09-30	VYDAJ	VYBER	15	13221	SLUZBY	\N	\N
696150	2379	1997-10-31	VYDAJ	VYBER	15	14955	SLUZBY	\N	\N
696151	2379	1997-11-30	VYDAJ	VYBER	15	15254	SLUZBY	\N	\N
696152	2379	1997-12-31	VYDAJ	VYBER	15	19539	SLUZBY	\N	\N
696153	2379	1998-01-31	VYDAJ	VYBER	15	15524	SLUZBY	\N	\N
696154	2379	1998-02-28	VYDAJ	VYBER	15	17267	SLUZBY	\N	\N
696155	2379	1998-03-31	VYDAJ	VYBER	15	19017	SLUZBY	\N	\N
696156	2379	1998-04-30	VYDAJ	VYBER	15	20774	SLUZBY	\N	\N
696157	2379	1998-05-31	VYDAJ	VYBER	15	20854	SLUZBY	\N	\N
696158	2379	1998-06-30	VYDAJ	VYBER	15	25162	SLUZBY	\N	\N
696159	2379	1998-07-31	VYDAJ	VYBER	15	23342	SLUZBY	\N	\N
696160	2379	1998-08-31	VYDAJ	VYBER	15	25117	SLUZBY	\N	\N
696161	2379	1998-09-30	VYDAJ	VYBER	15	26899	SLUZBY	\N	\N
696162	2379	1998-10-31	VYDAJ	VYBER	15	28689	SLUZBY	\N	\N
696163	2379	1998-11-30	VYDAJ	VYBER	15	30486	SLUZBY	\N	\N
696164	2379	1993-02-09	PRIJEM	VKLAD	13900	14700	\N	\N	\N
696165	2379	1993-03-11	VYDAJ	VYBER	2600	22300	\N	\N	\N
696166	2379	1993-04-10	VYDAJ	VYBER	500	26961	\N	\N	\N
696167	2379	1993-05-10	VYDAJ	VYBER	5000	27140	\N	\N	\N
696168	2379	1993-06-09	VYDAJ	VYBER	2400	24853	\N	\N	\N
696169	2379	1993-07-09	VYDAJ	VYBER	4700	27684	\N	\N	\N
696170	2379	1993-08-08	VYDAJ	VYBER	1600	27886	\N	\N	\N
696171	2379	1993-09-07	VYDAJ	VYBER	200	24589	\N	\N	\N
696172	2379	1993-10-07	PRIJEM	VKLAD	100	26472	\N	\N	\N
696173	2379	1993-11-06	PRIJEM	VKLAD	100	28364	\N	\N	\N
696174	2379	1993-12-06	VYDAJ	VYBER	1300	28862	\N	\N	\N
696175	2379	1994-01-05	VYDAJ	VYBER	1800	26397	\N	\N	\N
696176	2379	1994-02-04	PRIJEM	VKLAD	7300	21411	\N	\N	\N
696177	2379	1994-03-06	VYDAJ	VYBER	1100	22074	\N	\N	\N
696178	2379	1994-04-05	PRIJEM	VKLAD	4300	25386	\N	\N	\N
696179	2379	1994-05-05	PRIJEM	VKLAD	1800	25961	\N	\N	\N
696180	2379	1994-06-04	VYDAJ	VYBER	100	27649	\N	\N	\N
696181	2379	1994-07-04	VYDAJ	VYBER	4200	27788	\N	\N	\N
696182	2379	1994-08-03	VYDAJ	VYBER	300	29289	\N	\N	\N
696183	2379	1994-09-02	VYDAJ	VYBER	2800	28292	\N	\N	\N
696184	2379	1994-10-02	VYDAJ	VYBER	2000	28093	\N	\N	\N
696185	2379	1994-11-01	VYDAJ	VYBER	4100	25793	\N	\N	\N
696186	2379	1994-12-01	VYDAJ	VYBER	800	26785	\N	\N	\N
696187	2379	1994-12-31	VYDAJ	VYBER	1900	26694	\N	\N	\N
696188	2379	1995-01-30	PRIJEM	VKLAD	5800	20025	\N	\N	\N
696189	2379	1995-03-01	PRIJEM	VKLAD	1300	23145	\N	\N	\N
696190	2379	1995-03-31	PRIJEM	VKLAD	500	25336	\N	\N	\N
696191	2379	1995-04-30	VYDAJ	VYBER	2600	24607	\N	\N	\N
696192	2379	1995-05-30	VYDAJ	VYBER	200	14338	\N	\N	\N
696193	2379	1995-06-29	VYDAJ	VYBER	100	17449	\N	\N	\N
696194	2379	1995-07-29	VYDAJ	VYBER	1100	18094	\N	\N	\N
696195	2379	1995-08-28	VYDAJ	VYBER	1700	17427	\N	\N	\N
696196	2379	1995-09-27	VYDAJ	VYBER	2500	16680	\N	\N	\N
696197	2379	1995-10-27	VYDAJ	VYBER	300	16572	\N	\N	\N
696198	2379	1995-11-26	VYDAJ	VYBER	4400	13919	\N	\N	\N
696199	2379	1995-12-26	VYDAJ	VYBER	5800	12402	\N	\N	\N
696200	2379	1996-02-24	VYDAJ	VYBER	2700	13175	\N	\N	\N
696201	2379	1996-03-25	VYDAJ	VYBER	2900	12011	\N	\N	\N
696202	2379	1996-04-24	VYDAJ	VYBER	1600	12143	\N	\N	\N
696203	2379	1996-06-23	VYDAJ	VYBER	5400	12738	\N	\N	\N
696204	2379	1996-10-21	VYDAJ	VYBER	6600	13097	\N	\N	\N
696205	2379	1997-09-16	VYDAJ	VYBER	18600	13147	\N	\N	\N
696277	2380	1997-02-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
696280	2380	1997-03-14	PRIJEM	VKLAD	7425	8425	\N	\N	\N
696281	2380	1997-04-14	PRIJEM	VKLAD	7425	21756	\N	\N	\N
696282	2380	1997-05-14	PRIJEM	VKLAD	7425	31845	\N	\N	\N
696283	2380	1997-06-14	PRIJEM	VKLAD	11138	40987	\N	\N	\N
696284	2380	1997-07-14	PRIJEM	VKLAD	7425	45741	\N	\N	\N
696285	2380	1997-08-14	PRIJEM	VKLAD	7425	41014	\N	\N	\N
696286	2380	1997-09-14	PRIJEM	VKLAD	7425	38770	\N	\N	\N
696287	2380	1997-10-14	PRIJEM	VKLAD	7425	43915	\N	\N	\N
696288	2380	1997-11-14	PRIJEM	VKLAD	7425	46488	\N	\N	\N
696289	2380	1997-12-14	PRIJEM	VKLAD	11138	46776	\N	\N	\N
696290	2380	1998-01-14	PRIJEM	VKLAD	7425	36536	\N	\N	\N
696291	2380	1998-02-14	PRIJEM	VKLAD	7425	28459	\N	\N	\N
696292	2380	1998-03-14	PRIJEM	VKLAD	7425	37268	\N	\N	\N
696293	2380	1998-04-14	PRIJEM	VKLAD	7425	41306	\N	\N	\N
696294	2380	1998-05-14	PRIJEM	VKLAD	7425	41855	\N	\N	\N
696295	2380	1998-06-14	PRIJEM	VKLAD	11138	32624	\N	\N	\N
696296	2380	1998-07-14	PRIJEM	VKLAD	7425	34058	\N	\N	\N
696297	2380	1998-08-14	PRIJEM	VKLAD	7425	30273	\N	\N	\N
696298	2380	1998-09-14	PRIJEM	VKLAD	7425	33589	\N	\N	\N
696299	2380	1998-10-14	PRIJEM	VKLAD	7425	36710	\N	\N	\N
696300	2380	1998-11-14	PRIJEM	VKLAD	7425	40044	\N	\N	\N
696301	2380	1998-12-14	PRIJEM	VKLAD	11138	40693	\N	\N	\N
696308	2380	1997-07-14	VYDAJ	PREVOD NA UCET	4206	41535	SIPO	QR	25673014
696309	2380	1997-08-14	VYDAJ	PREVOD NA UCET	4206	36808	SIPO	QR	25673014
696310	2380	1997-09-14	VYDAJ	PREVOD NA UCET	4206	34564	SIPO	QR	25673014
696311	2380	1997-10-14	VYDAJ	PREVOD NA UCET	4206	39709	SIPO	QR	25673014
696312	2380	1997-11-14	VYDAJ	PREVOD NA UCET	4206	42282	SIPO	QR	25673014
696313	2380	1997-12-14	VYDAJ	PREVOD NA UCET	4206	42570	SIPO	QR	25673014
696314	2380	1998-01-14	VYDAJ	PREVOD NA UCET	4206	32330	SIPO	QR	25673014
696315	2380	1998-02-14	VYDAJ	PREVOD NA UCET	4206	24253	SIPO	QR	25673014
696316	2380	1998-03-14	VYDAJ	PREVOD NA UCET	4206	33062	SIPO	QR	25673014
696317	2380	1998-04-14	VYDAJ	PREVOD NA UCET	4206	37100	SIPO	QR	25673014
696318	2380	1998-05-14	VYDAJ	PREVOD NA UCET	4206	37649	SIPO	QR	25673014
696319	2380	1998-06-14	VYDAJ	PREVOD NA UCET	4206	28418	SIPO	QR	25673014
696320	2380	1998-07-14	VYDAJ	PREVOD NA UCET	4206	29852	SIPO	QR	25673014
696321	2380	1998-08-14	VYDAJ	PREVOD NA UCET	4206	26067	SIPO	QR	25673014
696322	2380	1998-09-14	VYDAJ	PREVOD NA UCET	4206	29383	SIPO	QR	25673014
696323	2380	1998-10-14	VYDAJ	PREVOD NA UCET	4206	32504	SIPO	QR	25673014
696324	2380	1998-11-14	VYDAJ	PREVOD NA UCET	4206	35838	SIPO	QR	25673014
696325	2380	1998-12-14	VYDAJ	PREVOD NA UCET	4206	36487	SIPO	QR	25673014
696327	2380	1998-06-10	VYDAJ	VYBER	11900	21486	\N	\N	\N
696329	2380	1998-01-17	VYDAJ	VYBER	1500	29830	\N	\N	\N
696330	2380	1997-12-27	VYDAJ	VYBER	1000	34070	\N	\N	\N
696331	2380	1998-12-16	VYDAJ	VYBER	1700	34787	\N	\N	\N
696338	2380	1998-01-18	VYDAJ	VYBER	2300	27530	\N	\N	\N
696339	2380	1998-01-25	VYDAJ	VYBER	2900	22930	\N	\N	\N
696340	2380	1998-01-16	VYDAJ	VYBER	1000	31330	\N	\N	\N
696341	2380	1998-01-03	VYDAJ	VYBER	1900	32311	\N	\N	\N
696342	2380	1998-01-28	VYDAJ	VYBER	2000	20930	\N	\N	\N
696343	2380	1998-01-24	VYDAJ	VYBER	2400	25830	\N	\N	\N
696344	2380	1997-11-27	VYDAJ	VYBER	2400	35482	\N	\N	\N
696345	2380	1997-10-26	VYDAJ	VYBER	900	38909	\N	\N	\N
696346	2380	1997-12-15	VYDAJ	VYBER	1300	41270	\N	\N	\N
696347	2380	1997-08-28	VYDAJ	VYBER	3500	31208	\N	\N	\N
696349	2380	1997-10-07	VYDAJ	VYBER	1900	36490	\N	\N	\N
696350	2380	1998-01-06	VYDAJ	VYBER	3200	29111	\N	\N	\N
696351	2380	1998-07-19	VYDAJ	VYBER	2300	27552	\N	\N	\N
696359	2380	1997-07-31	VYDAJ	VYBER	15	33589	SLUZBY	\N	\N
696360	2380	1997-08-31	VYDAJ	VYBER	15	31345	SLUZBY	\N	\N
696361	2380	1997-09-30	VYDAJ	VYBER	15	38390	SLUZBY	\N	\N
696362	2380	1997-10-31	VYDAJ	VYBER	15	39063	SLUZBY	\N	\N
696363	2380	1997-11-30	VYDAJ	VYBER	15	35638	SLUZBY	\N	\N
696364	2380	1997-12-31	VYDAJ	VYBER	15	34211	SLUZBY	\N	\N
696365	2380	1998-01-31	VYDAJ	VYBER	15	21034	SLUZBY	\N	\N
696366	2380	1998-02-28	VYDAJ	VYBER	15	29843	SLUZBY	\N	\N
696367	2380	1998-03-31	VYDAJ	VYBER	15	33881	SLUZBY	\N	\N
696368	2380	1998-04-30	VYDAJ	VYBER	15	34430	SLUZBY	\N	\N
696369	2380	1998-05-31	VYDAJ	VYBER	15	33386	SLUZBY	\N	\N
696370	2380	1998-06-30	VYDAJ	VYBER	15	26633	SLUZBY	\N	\N
696371	2380	1998-07-31	VYDAJ	VYBER	15	22848	SLUZBY	\N	\N
696372	2380	1998-08-31	VYDAJ	VYBER	15	26164	SLUZBY	\N	\N
696373	2380	1998-09-30	VYDAJ	VYBER	15	29285	SLUZBY	\N	\N
696374	2380	1998-10-31	VYDAJ	VYBER	15	32619	SLUZBY	\N	\N
696375	2380	1998-11-30	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
696376	2380	1997-03-29	PRIJEM	VKLAD	5900	14325	\N	\N	\N
696377	2380	1997-04-28	PRIJEM	VKLAD	2600	24356	\N	\N	\N
696378	2380	1997-05-28	VYDAJ	VYBER	2100	29745	\N	\N	\N
696379	2380	1997-06-27	VYDAJ	VYBER	2800	38187	\N	\N	\N
696380	2380	1997-07-27	VYDAJ	VYBER	8100	33435	\N	\N	\N
696381	2380	1997-08-26	VYDAJ	VYBER	2100	34708	\N	\N	\N
696382	2380	1997-09-25	PRIJEM	VKLAD	3700	38264	\N	\N	\N
696383	2380	1997-10-25	PRIJEM	VKLAD	100	39809	\N	\N	\N
696384	2380	1997-11-24	VYDAJ	VYBER	4400	37882	\N	\N	\N
696385	2380	1997-12-24	VYDAJ	VYBER	6200	35070	\N	\N	\N
696386	2380	1998-01-23	PRIJEM	VKLAD	700	28230	\N	\N	\N
696387	2380	1998-02-22	PRIJEM	VKLAD	5500	29753	\N	\N	\N
696388	2380	1998-03-24	PRIJEM	VKLAD	700	33762	\N	\N	\N
696389	2380	1998-04-23	VYDAJ	VYBER	2800	34300	\N	\N	\N
696390	2380	1998-05-23	VYDAJ	VYBER	4400	33249	\N	\N	\N
696391	2380	1998-06-22	VYDAJ	VYBER	1900	26518	\N	\N	\N
696392	2380	1998-07-22	VYDAJ	VYBER	4800	22752	\N	\N	\N
696393	2380	1998-09-20	VYDAJ	VYBER	200	29183	\N	\N	\N
696394	2380	1998-11-19	VYDAJ	VYBER	6400	29438	\N	\N	\N
696417	2381	1997-02-13	PRIJEM	VKLAD	600	600	\N	\N	\N
696420	2381	1997-03-06	PRIJEM	VKLAD	17578	18178	\N	\N	\N
696421	2381	1997-04-06	PRIJEM	VKLAD	17578	41210	\N	\N	\N
696422	2381	1997-05-06	PRIJEM	VKLAD	17578	51410	\N	\N	\N
696423	2381	1997-06-06	PRIJEM	VKLAD	26367	65330	\N	\N	\N
696424	2381	1997-07-06	PRIJEM	VKLAD	17578	63086	\N	\N	\N
696425	2381	1997-08-06	PRIJEM	VKLAD	17578	51884	\N	\N	\N
696426	2381	1997-09-06	PRIJEM	VKLAD	17578	41754	\N	\N	\N
696427	2381	1997-10-06	PRIJEM	VKLAD	17578	42106	\N	\N	\N
696428	2381	1997-11-06	PRIJEM	VKLAD	17578	47974	\N	\N	\N
696429	2381	1997-12-06	PRIJEM	VKLAD	26367	53341	\N	\N	\N
696430	2381	1998-01-06	PRIJEM	VKLAD	17578	51330	\N	\N	\N
696431	2381	1998-02-06	PRIJEM	VKLAD	17578	42194	\N	\N	\N
696432	2381	1998-03-06	PRIJEM	VKLAD	17578	46356	\N	\N	\N
696433	2381	1998-04-06	PRIJEM	VKLAD	17578	50837	\N	\N	\N
696434	2381	1998-05-06	PRIJEM	VKLAD	17578	52528	\N	\N	\N
696435	2381	1998-06-06	PRIJEM	VKLAD	26367	38716	\N	\N	\N
696436	2381	1998-07-06	PRIJEM	VKLAD	17578	49591	\N	\N	\N
696437	2381	1998-08-06	PRIJEM	VKLAD	17578	49373	\N	\N	\N
696438	2381	1998-09-06	PRIJEM	VKLAD	17578	51056	\N	\N	\N
696439	2381	1998-10-06	PRIJEM	VKLAD	17578	52845	\N	\N	\N
696440	2381	1998-11-06	PRIJEM	VKLAD	17578	58364	\N	\N	\N
696441	2381	1998-12-06	PRIJEM	VKLAD	26367	71894	\N	\N	\N
696449	2381	1997-08-05	VYDAJ	PREVOD NA UCET	9358	34306	SIPO	WX	94099801
696450	2381	1997-09-05	VYDAJ	PREVOD NA UCET	9358	24176	SIPO	WX	94099801
696451	2381	1997-10-05	VYDAJ	PREVOD NA UCET	9358	24528	SIPO	WX	94099801
696452	2381	1997-11-05	VYDAJ	PREVOD NA UCET	9358	30396	SIPO	WX	94099801
696453	2381	1997-12-05	VYDAJ	PREVOD NA UCET	9358	26974	SIPO	WX	94099801
696454	2381	1998-01-05	VYDAJ	PREVOD NA UCET	9358	33752	SIPO	WX	94099801
696455	2381	1998-02-05	VYDAJ	PREVOD NA UCET	9358	24616	SIPO	WX	94099801
696456	2381	1998-03-05	VYDAJ	PREVOD NA UCET	9358	28778	SIPO	WX	94099801
696457	2381	1998-04-05	VYDAJ	PREVOD NA UCET	9358	33259	SIPO	WX	94099801
696458	2381	1998-05-05	VYDAJ	PREVOD NA UCET	9358	34950	SIPO	WX	94099801
696459	2381	1998-06-05	VYDAJ	PREVOD NA UCET	9358	12349	SIPO	WX	94099801
696460	2381	1998-07-05	VYDAJ	PREVOD NA UCET	9358	32013	SIPO	WX	94099801
696461	2381	1998-08-05	VYDAJ	PREVOD NA UCET	9358	31795	SIPO	WX	94099801
696462	2381	1998-09-05	VYDAJ	PREVOD NA UCET	9358	33478	SIPO	WX	94099801
696463	2381	1998-10-05	VYDAJ	PREVOD NA UCET	9358	35267	SIPO	WX	94099801
696464	2381	1998-11-05	VYDAJ	PREVOD NA UCET	9358	40786	SIPO	WX	94099801
696465	2381	1998-12-05	VYDAJ	PREVOD NA UCET	9358	45527	SIPO	WX	94099801
696467	2381	1998-06-05	VYDAJ	VYBER	23300	21707	\N	\N	\N
696468	2381	1997-12-24	VYDAJ	VYBER	800	43641	\N	\N	\N
696469	2381	1998-12-27	VYDAJ	VYBER	1900	65694	\N	\N	\N
696476	2381	1998-01-06	VYDAJ	VYBER	1200	50130	\N	\N	\N
696477	2381	1998-01-11	VYDAJ	VYBER	2400	36430	\N	\N	\N
696478	2381	1998-01-01	VYDAJ	VYBER	700	43110	\N	\N	\N
696479	2381	1998-01-13	VYDAJ	VYBER	1800	34630	\N	\N	\N
696480	2381	1998-01-09	VYDAJ	VYBER	500	45530	\N	\N	\N
696481	2381	1998-01-26	VYDAJ	VYBER	800	33830	\N	\N	\N
696482	2381	1997-11-09	VYDAJ	VYBER	1700	46274	\N	\N	\N
696483	2381	1997-08-18	VYDAJ	VYBER	4500	33384	\N	\N	\N
696484	2381	1997-11-30	VYDAJ	VYBER	4600	36346	\N	\N	\N
696485	2381	1997-07-07	VYDAJ	VYBER	4500	56386	\N	\N	\N
696486	2381	1997-07-07	VYDAJ	VYBER	2200	60886	\N	\N	\N
696487	2381	1998-12-30	VYDAJ	VYBER	4900	60794	\N	\N	\N
696488	2381	1998-12-26	VYDAJ	VYBER	4300	67594	\N	\N	\N
696489	2381	1998-07-17	VYDAJ	VYBER	800	40991	\N	\N	\N
696490	2381	1998-01-09	VYDAJ	VYBER	4100	46030	\N	\N	\N
696491	2381	1998-05-17	VYDAJ	VYBER	4600	44828	\N	\N	\N
696492	2381	1998-07-13	VYDAJ	VYBER	4000	41791	\N	\N	\N
696500	2381	1997-07-31	VYDAJ	VYBER	15	43664	SLUZBY	\N	\N
696501	2381	1997-08-31	VYDAJ	VYBER	15	33534	SLUZBY	\N	\N
696502	2381	1997-09-30	VYDAJ	VYBER	15	33886	SLUZBY	\N	\N
696503	2381	1997-10-31	VYDAJ	VYBER	15	39754	SLUZBY	\N	\N
696504	2381	1997-11-30	VYDAJ	VYBER	15	36332	SLUZBY	\N	\N
696505	2381	1997-12-31	VYDAJ	VYBER	15	43810	SLUZBY	\N	\N
696506	2381	1998-01-31	VYDAJ	VYBER	15	33974	SLUZBY	\N	\N
696507	2381	1998-02-28	VYDAJ	VYBER	15	38136	SLUZBY	\N	\N
696508	2381	1998-03-31	VYDAJ	VYBER	15	42617	SLUZBY	\N	\N
696509	2381	1998-04-30	VYDAJ	VYBER	15	44308	SLUZBY	\N	\N
696510	2381	1998-05-31	VYDAJ	VYBER	15	45007	SLUZBY	\N	\N
696511	2381	1998-06-30	VYDAJ	VYBER	15	41371	SLUZBY	\N	\N
696512	2381	1998-07-31	VYDAJ	VYBER	15	41153	SLUZBY	\N	\N
696513	2381	1998-08-31	VYDAJ	VYBER	15	42836	SLUZBY	\N	\N
696514	2381	1998-09-30	VYDAJ	VYBER	15	44625	SLUZBY	\N	\N
696515	2381	1998-10-31	VYDAJ	VYBER	15	48744	SLUZBY	\N	\N
696516	2381	1998-11-30	VYDAJ	VYBER	15	58585	SLUZBY	\N	\N
696517	2381	1997-03-15	PRIJEM	VKLAD	5400	23578	\N	\N	\N
696518	2381	1997-04-14	VYDAJ	VYBER	7500	33710	\N	\N	\N
696519	2381	1997-05-14	VYDAJ	VYBER	12600	38810	\N	\N	\N
696520	2381	1997-06-13	VYDAJ	VYBER	20000	45330	\N	\N	\N
696521	2381	1997-07-13	VYDAJ	VYBER	12900	43486	\N	\N	\N
696522	2381	1997-08-12	VYDAJ	VYBER	14000	37884	\N	\N	\N
696523	2381	1997-09-11	VYDAJ	VYBER	8000	33754	\N	\N	\N
696524	2381	1997-10-11	VYDAJ	VYBER	2500	39606	\N	\N	\N
696525	2381	1997-11-10	VYDAJ	VYBER	5500	40774	\N	\N	\N
696526	2381	1997-12-10	VYDAJ	VYBER	8900	44441	\N	\N	\N
696527	2381	1998-01-09	VYDAJ	VYBER	6700	38830	\N	\N	\N
696528	2381	1998-02-08	VYDAJ	VYBER	4200	37994	\N	\N	\N
696529	2381	1998-03-10	VYDAJ	VYBER	3900	42456	\N	\N	\N
696530	2381	1998-04-09	VYDAJ	VYBER	6700	44137	\N	\N	\N
696531	2381	1998-05-09	VYDAJ	VYBER	3100	49428	\N	\N	\N
696532	2381	1998-06-08	PRIJEM	VKLAD	2500	41216	\N	\N	\N
696533	2381	1998-07-08	VYDAJ	VYBER	3800	45791	\N	\N	\N
696534	2381	1998-08-07	VYDAJ	VYBER	6700	42673	\N	\N	\N
696535	2381	1998-09-06	VYDAJ	VYBER	6600	44456	\N	\N	\N
696536	2381	1998-10-06	VYDAJ	VYBER	4300	48545	\N	\N	\N
696537	2381	1998-11-05	PRIJEM	VKLAD	1400	50144	\N	\N	\N
696538	2381	1998-12-05	VYDAJ	VYBER	3700	54885	\N	\N	\N
696561	2382	1994-03-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
696565	2382	1994-04-05	PRIJEM	PREVOD Z UCTU	6115	7115	DUCHOD	EF	88811969
696566	2382	1994-05-05	PRIJEM	PREVOD Z UCTU	6115	13230	DUCHOD	EF	88811969
696567	2382	1994-06-05	PRIJEM	PREVOD Z UCTU	6115	19345	DUCHOD	EF	88811969
696568	2382	1994-07-05	PRIJEM	PREVOD Z UCTU	6115	25460	DUCHOD	EF	88811969
696569	2382	1994-08-05	PRIJEM	PREVOD Z UCTU	6115	31575	DUCHOD	EF	88811969
696570	2382	1994-09-05	PRIJEM	PREVOD Z UCTU	6115	32656	DUCHOD	EF	88811969
696571	2382	1994-10-05	PRIJEM	PREVOD Z UCTU	6115	31658	DUCHOD	EF	88811969
696572	2382	1994-11-05	PRIJEM	PREVOD Z UCTU	6115	26986	DUCHOD	EF	88811969
696573	2382	1994-12-05	PRIJEM	PREVOD Z UCTU	6115	30064	DUCHOD	EF	88811969
696574	2382	1995-01-05	PRIJEM	PREVOD Z UCTU	6115	31186	DUCHOD	EF	88811969
696575	2382	1995-02-05	PRIJEM	PREVOD Z UCTU	6115	24387	DUCHOD	EF	88811969
696576	2382	1995-03-05	PRIJEM	PREVOD Z UCTU	6115	19515	DUCHOD	EF	88811969
696577	2382	1995-04-05	PRIJEM	PREVOD Z UCTU	6115	22563	DUCHOD	EF	88811969
696578	2382	1995-05-05	PRIJEM	PREVOD Z UCTU	6115	25617	DUCHOD	EF	88811969
696579	2382	1995-06-05	PRIJEM	PREVOD Z UCTU	6115	24339	DUCHOD	EF	88811969
696580	2382	1995-07-05	PRIJEM	PREVOD Z UCTU	6115	27406	DUCHOD	EF	88811969
696581	2382	1995-08-05	PRIJEM	PREVOD Z UCTU	6115	26550	DUCHOD	EF	88811969
696582	2382	1995-09-05	PRIJEM	PREVOD Z UCTU	6115	29621	DUCHOD	EF	88811969
696583	2382	1995-10-05	PRIJEM	PREVOD Z UCTU	6115	32705	DUCHOD	EF	88811969
696584	2382	1995-11-05	PRIJEM	PREVOD Z UCTU	6115	35802	DUCHOD	EF	88811969
696585	2382	1995-12-05	PRIJEM	PREVOD Z UCTU	6115	37862	DUCHOD	EF	88811969
696586	2382	1996-01-05	PRIJEM	PREVOD Z UCTU	6115	40485	DUCHOD	EF	88811969
696587	2382	1996-02-05	PRIJEM	PREVOD Z UCTU	6115	30615	DUCHOD	EF	88811969
696588	2382	1996-03-05	PRIJEM	PREVOD Z UCTU	6115	30343	DUCHOD	EF	88811969
696589	2382	1996-04-05	PRIJEM	PREVOD Z UCTU	6115	33436	DUCHOD	EF	88811969
696590	2382	1996-05-05	PRIJEM	PREVOD Z UCTU	6115	35813	DUCHOD	EF	88811969
696591	2382	1996-06-05	PRIJEM	PREVOD Z UCTU	6115	22071	DUCHOD	EF	88811969
696592	2382	1996-07-05	PRIJEM	PREVOD Z UCTU	6115	21773	DUCHOD	EF	88811969
696593	2382	1996-08-05	PRIJEM	PREVOD Z UCTU	6115	24824	DUCHOD	EF	88811969
696594	2382	1996-09-05	PRIJEM	PREVOD Z UCTU	6115	25246	DUCHOD	EF	88811969
696595	2382	1996-10-05	PRIJEM	PREVOD Z UCTU	6115	26109	DUCHOD	EF	88811969
696596	2382	1996-11-05	PRIJEM	PREVOD Z UCTU	6115	29178	DUCHOD	EF	88811969
696597	2382	1996-12-05	PRIJEM	PREVOD Z UCTU	6115	30157	DUCHOD	EF	88811969
696598	2382	1997-01-05	PRIJEM	PREVOD Z UCTU	6115	30531	DUCHOD	EF	88811969
696599	2382	1997-02-05	PRIJEM	PREVOD Z UCTU	6115	24521	DUCHOD	EF	88811969
696600	2382	1997-03-05	PRIJEM	PREVOD Z UCTU	6115	26882	DUCHOD	EF	88811969
696601	2382	1997-04-05	PRIJEM	PREVOD Z UCTU	6115	28952	DUCHOD	EF	88811969
696602	2382	1997-05-05	PRIJEM	PREVOD Z UCTU	6115	26425	DUCHOD	EF	88811969
696603	2382	1997-06-05	PRIJEM	PREVOD Z UCTU	6115	29194	DUCHOD	EF	88811969
696604	2382	1997-07-05	PRIJEM	PREVOD Z UCTU	6115	24708	DUCHOD	EF	88811969
696605	2382	1997-08-05	PRIJEM	PREVOD Z UCTU	6115	23145	DUCHOD	EF	88811969
696606	2382	1997-09-05	PRIJEM	PREVOD Z UCTU	6115	22094	DUCHOD	EF	88811969
696607	2382	1997-10-05	PRIJEM	PREVOD Z UCTU	6115	22140	DUCHOD	EF	88811969
696608	2382	1997-11-05	PRIJEM	PREVOD Z UCTU	6115	21185	DUCHOD	EF	88811969
696609	2382	1997-12-05	PRIJEM	PREVOD Z UCTU	6115	19323	DUCHOD	EF	88811969
696610	2382	1998-01-05	PRIJEM	PREVOD Z UCTU	6115	21110	DUCHOD	EF	88811969
696611	2382	1998-02-05	PRIJEM	PREVOD Z UCTU	6115	21352	DUCHOD	EF	88811969
696612	2382	1998-03-05	PRIJEM	PREVOD Z UCTU	6115	23760	DUCHOD	EF	88811969
696613	2382	1998-04-05	PRIJEM	PREVOD Z UCTU	6115	26823	DUCHOD	EF	88811969
696614	2382	1998-05-05	PRIJEM	PREVOD Z UCTU	6115	19272	DUCHOD	EF	88811969
696615	2382	1998-06-05	PRIJEM	PREVOD Z UCTU	6115	20207	DUCHOD	EF	88811969
696616	2382	1998-07-05	PRIJEM	PREVOD Z UCTU	6115	19642	DUCHOD	EF	88811969
696617	2382	1998-08-05	PRIJEM	PREVOD Z UCTU	6115	22683	DUCHOD	EF	88811969
696618	2382	1998-09-05	PRIJEM	PREVOD Z UCTU	6115	21965	DUCHOD	EF	88811969
696619	2382	1998-10-05	PRIJEM	PREVOD Z UCTU	6115	25016	DUCHOD	EF	88811969
696620	2382	1998-11-05	PRIJEM	PREVOD Z UCTU	6115	26398	DUCHOD	EF	88811969
696621	2382	1998-12-05	PRIJEM	PREVOD Z UCTU	6115	19942	DUCHOD	EF	88811969
696629	2382	1994-08-10	VYDAJ	PREVOD NA UCET	3123	27952	SIPO	AB	6405681
696630	2382	1994-09-10	VYDAJ	PREVOD NA UCET	3123	29533	SIPO	AB	6405681
696631	2382	1994-10-10	VYDAJ	PREVOD NA UCET	3123	28535	SIPO	AB	6405681
696632	2382	1994-11-10	VYDAJ	PREVOD NA UCET	3123	23863	SIPO	AB	6405681
696633	2382	1994-12-10	VYDAJ	PREVOD NA UCET	3123	24981	SIPO	AB	6405681
696634	2382	1995-01-10	VYDAJ	PREVOD NA UCET	3123	26623	SIPO	AB	6405681
696635	2382	1995-02-10	VYDAJ	PREVOD NA UCET	3123	19664	SIPO	AB	6405681
696636	2382	1995-03-10	VYDAJ	PREVOD NA UCET	3123	16392	SIPO	AB	6405681
696637	2382	1995-04-10	VYDAJ	PREVOD NA UCET	3123	19440	SIPO	AB	6405681
696638	2382	1995-05-10	VYDAJ	PREVOD NA UCET	3123	22494	SIPO	AB	6405681
696639	2382	1995-06-10	VYDAJ	PREVOD NA UCET	3123	21216	SIPO	AB	6405681
696640	2382	1995-07-10	VYDAJ	PREVOD NA UCET	3123	24283	SIPO	AB	6405681
696641	2382	1995-08-10	VYDAJ	PREVOD NA UCET	3123	23427	SIPO	AB	6405681
696642	2382	1995-09-10	VYDAJ	PREVOD NA UCET	3123	26498	SIPO	AB	6405681
696643	2382	1995-10-10	VYDAJ	PREVOD NA UCET	3123	29582	SIPO	AB	6405681
696644	2382	1995-11-10	VYDAJ	PREVOD NA UCET	3123	32679	SIPO	AB	6405681
696645	2382	1995-12-10	VYDAJ	PREVOD NA UCET	3123	34739	SIPO	AB	6405681
696646	2382	1996-01-10	VYDAJ	PREVOD NA UCET	3123	35362	SIPO	AB	6405681
696647	2382	1996-02-10	VYDAJ	PREVOD NA UCET	3123	27492	SIPO	AB	6405681
696648	2382	1996-03-10	VYDAJ	PREVOD NA UCET	3123	27220	SIPO	AB	6405681
696649	2382	1996-04-10	VYDAJ	PREVOD NA UCET	3123	29593	SIPO	AB	6405681
696650	2382	1996-05-10	VYDAJ	PREVOD NA UCET	3123	32690	SIPO	AB	6405681
696651	2382	1996-06-10	VYDAJ	PREVOD NA UCET	3123	18948	SIPO	AB	6405681
696652	2382	1996-07-10	VYDAJ	PREVOD NA UCET	3123	18650	SIPO	AB	6405681
696653	2382	1996-08-10	VYDAJ	PREVOD NA UCET	3123	21701	SIPO	AB	6405681
696654	2382	1996-09-10	VYDAJ	PREVOD NA UCET	3123	22123	SIPO	AB	6405681
696655	2382	1996-10-10	VYDAJ	PREVOD NA UCET	3123	22986	SIPO	AB	6405681
696656	2382	1996-11-10	VYDAJ	PREVOD NA UCET	3123	26055	SIPO	AB	6405681
696657	2382	1996-12-10	VYDAJ	PREVOD NA UCET	3123	26684	SIPO	AB	6405681
696658	2382	1997-01-10	VYDAJ	PREVOD NA UCET	3123	26848	SIPO	AB	6405681
696659	2382	1997-02-10	VYDAJ	PREVOD NA UCET	3123	21398	SIPO	AB	6405681
696660	2382	1997-03-10	VYDAJ	PREVOD NA UCET	3123	23759	SIPO	AB	6405681
696661	2382	1997-04-10	VYDAJ	PREVOD NA UCET	3123	25829	SIPO	AB	6405681
696662	2382	1997-05-10	VYDAJ	PREVOD NA UCET	3123	23302	SIPO	AB	6405681
696663	2382	1997-06-10	VYDAJ	PREVOD NA UCET	3123	26071	SIPO	AB	6405681
696664	2382	1997-07-10	VYDAJ	PREVOD NA UCET	3123	21585	SIPO	AB	6405681
696665	2382	1997-08-10	VYDAJ	PREVOD NA UCET	3123	20022	SIPO	AB	6405681
696666	2382	1997-09-10	VYDAJ	PREVOD NA UCET	3123	18971	SIPO	AB	6405681
696667	2382	1997-10-10	VYDAJ	PREVOD NA UCET	3123	19017	SIPO	AB	6405681
696668	2382	1997-11-10	VYDAJ	PREVOD NA UCET	3123	18062	SIPO	AB	6405681
696669	2382	1997-12-10	VYDAJ	PREVOD NA UCET	3123	16200	SIPO	AB	6405681
696670	2382	1998-01-10	VYDAJ	PREVOD NA UCET	3123	17987	SIPO	AB	6405681
696671	2382	1998-02-10	VYDAJ	PREVOD NA UCET	3123	18229	SIPO	AB	6405681
696672	2382	1998-03-10	VYDAJ	PREVOD NA UCET	3123	20637	SIPO	AB	6405681
696673	2382	1998-04-10	VYDAJ	PREVOD NA UCET	3123	23700	SIPO	AB	6405681
696674	2382	1998-05-10	VYDAJ	PREVOD NA UCET	3123	16149	SIPO	AB	6405681
696675	2382	1998-06-10	VYDAJ	PREVOD NA UCET	3123	17084	SIPO	AB	6405681
696676	2382	1998-07-10	VYDAJ	PREVOD NA UCET	3123	16519	SIPO	AB	6405681
696677	2382	1998-08-10	VYDAJ	PREVOD NA UCET	3123	19560	SIPO	AB	6405681
696678	2382	1998-09-10	VYDAJ	PREVOD NA UCET	3123	18842	SIPO	AB	6405681
696679	2382	1998-10-10	VYDAJ	PREVOD NA UCET	3123	21893	SIPO	AB	6405681
696680	2382	1998-11-10	VYDAJ	PREVOD NA UCET	3123	23275	SIPO	AB	6405681
696681	2382	1998-12-10	VYDAJ	PREVOD NA UCET	3123	16819	SIPO	AB	6405681
696683	2382	1995-06-04	VYDAJ	VYBER	2100	18224	\N	\N	\N
696684	2382	1996-06-02	VYDAJ	VYBER	14150	15956	\N	\N	\N
696685	2382	1997-06-11	VYDAJ	VYBER	1900	24171	\N	\N	\N
696688	2382	1995-01-30	VYDAJ	VYBER	2200	19863	\N	\N	\N
696689	2382	1996-01-21	VYDAJ	VYBER	4100	29262	\N	\N	\N
696690	2382	1997-01-24	VYDAJ	VYBER	2350	20078	\N	\N	\N
696692	2382	1994-12-09	VYDAJ	VYBER	600	28104	\N	\N	\N
696693	2382	1995-12-01	VYDAJ	VYBER	1050	31747	\N	\N	\N
696694	2382	1996-12-08	VYDAJ	VYBER	350	29807	\N	\N	\N
696695	2382	1997-12-15	VYDAJ	VYBER	1250	14950	\N	\N	\N
696696	2382	1998-12-26	VYDAJ	VYBER	1450	15369	\N	\N	\N
696703	2382	1995-01-24	VYDAJ	VYBER	560	23183	\N	\N	\N
696704	2382	1995-01-05	VYDAJ	VYBER	1440	29746	\N	\N	\N
696705	2382	1995-01-16	VYDAJ	VYBER	960	24863	\N	\N	\N
696706	2382	1995-01-30	VYDAJ	VYBER	1680	18183	\N	\N	\N
696707	2382	1995-01-20	VYDAJ	VYBER	1120	23743	\N	\N	\N
696708	2382	1995-01-24	VYDAJ	VYBER	1120	22063	\N	\N	\N
696709	2382	1996-01-17	VYDAJ	VYBER	1200	33362	\N	\N	\N
696710	2382	1996-01-06	VYDAJ	VYBER	2000	38485	\N	\N	\N
696711	2382	1996-01-13	VYDAJ	VYBER	800	34562	\N	\N	\N
696712	2382	1996-01-21	VYDAJ	VYBER	2080	27182	\N	\N	\N
696713	2382	1996-01-24	VYDAJ	VYBER	560	26622	\N	\N	\N
696714	2382	1996-01-30	VYDAJ	VYBER	2240	24382	\N	\N	\N
696715	2382	1997-01-23	VYDAJ	VYBER	2160	22428	\N	\N	\N
696716	2382	1997-01-13	VYDAJ	VYBER	960	25888	\N	\N	\N
696717	2382	1997-01-28	VYDAJ	VYBER	800	19278	\N	\N	\N
696718	2382	1997-01-30	VYDAJ	VYBER	960	18318	\N	\N	\N
696719	2382	1997-01-02	VYDAJ	VYBER	560	24416	\N	\N	\N
696720	2382	1997-01-07	VYDAJ	VYBER	560	29971	\N	\N	\N
696721	2382	1998-01-19	VYDAJ	VYBER	1280	16067	\N	\N	\N
696724	2382	1998-01-22	VYDAJ	VYBER	880	15187	\N	\N	\N
696726	2382	1998-01-16	VYDAJ	VYBER	640	17347	\N	\N	\N
696727	2382	1994-11-03	VYDAJ	VYBER	1200	20871	\N	\N	\N
696731	2382	1994-12-07	VYDAJ	VYBER	1360	28704	\N	\N	\N
696732	2382	1994-11-01	VYDAJ	VYBER	2880	22071	\N	\N	\N
696734	2382	1994-10-10	VYDAJ	VYBER	3680	24855	\N	\N	\N
696735	2382	1995-03-02	VYDAJ	VYBER	2560	13400	\N	\N	\N
696736	2382	1995-07-11	VYDAJ	VYBER	3920	20363	\N	\N	\N
696737	2382	1995-01-12	VYDAJ	VYBER	800	25823	\N	\N	\N
696738	2382	1995-02-09	VYDAJ	VYBER	1600	22787	\N	\N	\N
696739	2382	1995-05-12	VYDAJ	VYBER	2240	20254	\N	\N	\N
696740	2382	1995-02-11	VYDAJ	VYBER	3760	15904	\N	\N	\N
696741	2382	1996-06-26	VYDAJ	VYBER	3360	15588	\N	\N	\N
696742	2382	1996-04-10	VYDAJ	VYBER	720	32716	\N	\N	\N
696743	2382	1996-08-28	VYDAJ	VYBER	2640	19061	\N	\N	\N
696744	2382	1996-03-02	VYDAJ	VYBER	3360	24228	\N	\N	\N
696745	2382	1997-06-20	VYDAJ	VYBER	1600	22571	\N	\N	\N
696746	2382	1997-07-28	VYDAJ	VYBER	1520	16965	\N	\N	\N
696747	2382	1997-06-30	VYDAJ	VYBER	560	18593	\N	\N	\N
696749	2382	1998-03-01	VYDAJ	VYBER	640	17645	\N	\N	\N
696753	2382	1998-10-30	VYDAJ	VYBER	1680	20213	\N	\N	\N
696754	2382	1998-08-11	VYDAJ	VYBER	3760	15800	\N	\N	\N
696763	2382	1994-08-31	VYDAJ	VYBER	15	28041	SLUZBY	\N	\N
696764	2382	1994-09-30	VYDAJ	VYBER	15	29643	SLUZBY	\N	\N
696765	2382	1994-10-31	VYDAJ	VYBER	15	24951	SLUZBY	\N	\N
696766	2382	1994-11-30	VYDAJ	VYBER	15	23949	SLUZBY	\N	\N
696767	2382	1994-12-31	VYDAJ	VYBER	15	25071	SLUZBY	\N	\N
696768	2382	1995-01-31	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
696769	2382	1995-02-28	VYDAJ	VYBER	15	15960	SLUZBY	\N	\N
696770	2382	1995-03-31	VYDAJ	VYBER	15	16448	SLUZBY	\N	\N
696771	2382	1995-04-30	VYDAJ	VYBER	15	19502	SLUZBY	\N	\N
696772	2382	1995-05-31	VYDAJ	VYBER	15	20324	SLUZBY	\N	\N
696773	2382	1995-06-30	VYDAJ	VYBER	15	21291	SLUZBY	\N	\N
696774	2382	1995-07-31	VYDAJ	VYBER	15	20435	SLUZBY	\N	\N
696775	2382	1995-08-31	VYDAJ	VYBER	15	23506	SLUZBY	\N	\N
696776	2382	1995-09-30	VYDAJ	VYBER	15	26590	SLUZBY	\N	\N
696777	2382	1995-10-31	VYDAJ	VYBER	15	29687	SLUZBY	\N	\N
696778	2382	1995-11-30	VYDAJ	VYBER	15	32797	SLUZBY	\N	\N
696779	2382	1995-12-31	VYDAJ	VYBER	15	34370	SLUZBY	\N	\N
696780	2382	1996-01-31	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
696781	2382	1996-02-29	VYDAJ	VYBER	15	27588	SLUZBY	\N	\N
696782	2382	1996-03-31	VYDAJ	VYBER	15	27321	SLUZBY	\N	\N
696783	2382	1996-04-30	VYDAJ	VYBER	15	29698	SLUZBY	\N	\N
696784	2382	1996-05-31	VYDAJ	VYBER	15	30106	SLUZBY	\N	\N
696785	2382	1996-06-30	VYDAJ	VYBER	15	15658	SLUZBY	\N	\N
696786	2382	1996-07-31	VYDAJ	VYBER	15	18709	SLUZBY	\N	\N
696787	2382	1996-08-31	VYDAJ	VYBER	15	19131	SLUZBY	\N	\N
696788	2382	1996-09-30	VYDAJ	VYBER	15	19994	SLUZBY	\N	\N
696789	2382	1996-10-31	VYDAJ	VYBER	15	23063	SLUZBY	\N	\N
696790	2382	1996-11-30	VYDAJ	VYBER	15	24042	SLUZBY	\N	\N
696791	2382	1996-12-31	VYDAJ	VYBER	15	24976	SLUZBY	\N	\N
696792	2382	1997-01-31	VYDAJ	VYBER	15	18406	SLUZBY	\N	\N
696793	2382	1997-02-28	VYDAJ	VYBER	15	20767	SLUZBY	\N	\N
696794	2382	1997-03-31	VYDAJ	VYBER	15	22837	SLUZBY	\N	\N
696795	2382	1997-04-30	VYDAJ	VYBER	15	20310	SLUZBY	\N	\N
696796	2382	1997-05-31	VYDAJ	VYBER	15	23079	SLUZBY	\N	\N
696797	2382	1997-06-30	VYDAJ	VYBER	15	19153	SLUZBY	\N	\N
696798	2382	1997-07-31	VYDAJ	VYBER	15	17030	SLUZBY	\N	\N
696799	2382	1997-08-31	VYDAJ	VYBER	15	15979	SLUZBY	\N	\N
696800	2382	1997-09-30	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
696801	2382	1997-10-31	VYDAJ	VYBER	15	15070	SLUZBY	\N	\N
696802	2382	1997-11-30	VYDAJ	VYBER	15	13208	SLUZBY	\N	\N
696803	2382	1997-12-31	VYDAJ	VYBER	15	14995	SLUZBY	\N	\N
696804	2382	1998-01-31	VYDAJ	VYBER	15	15237	SLUZBY	\N	\N
696805	2382	1998-02-28	VYDAJ	VYBER	15	18285	SLUZBY	\N	\N
696806	2382	1998-03-31	VYDAJ	VYBER	15	20708	SLUZBY	\N	\N
696807	2382	1998-04-30	VYDAJ	VYBER	15	13157	SLUZBY	\N	\N
696808	2382	1998-05-31	VYDAJ	VYBER	15	14092	SLUZBY	\N	\N
696809	2382	1998-06-30	VYDAJ	VYBER	15	13527	SLUZBY	\N	\N
696810	2382	1998-07-31	VYDAJ	VYBER	15	16568	SLUZBY	\N	\N
696811	2382	1998-08-31	VYDAJ	VYBER	15	15850	SLUZBY	\N	\N
696812	2382	1998-09-30	VYDAJ	VYBER	15	18901	SLUZBY	\N	\N
696813	2382	1998-10-31	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
696814	2382	1998-11-30	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
696815	2382	1994-08-05	VYDAJ	VYBER	500	31075	\N	\N	\N
696816	2382	1994-09-04	VYDAJ	VYBER	1500	26541	\N	\N	\N
696817	2382	1994-10-04	VYDAJ	VYBER	4100	25543	\N	\N	\N
696818	2382	1995-12-28	VYDAJ	VYBER	500	34239	\N	\N	\N
696819	2382	1996-05-26	VYDAJ	VYBER	2700	29990	\N	\N	\N
696820	2382	1996-09-23	VYDAJ	VYBER	2200	19923	\N	\N	\N
696821	2382	1996-11-22	VYDAJ	VYBER	2100	23955	\N	\N	\N
696822	2382	1996-12-22	VYDAJ	VYBER	1800	24884	\N	\N	\N
696823	2382	1997-01-21	VYDAJ	VYBER	1300	24588	\N	\N	\N
696824	2382	1997-02-20	VYDAJ	VYBER	700	20698	\N	\N	\N
696825	2382	1997-03-22	VYDAJ	VYBER	1000	22759	\N	\N	\N
696826	2382	1997-04-21	VYDAJ	VYBER	5600	20229	\N	\N	\N
696827	2382	1997-05-21	VYDAJ	VYBER	300	23002	\N	\N	\N
696828	2382	1997-06-20	VYDAJ	VYBER	3500	19071	\N	\N	\N
696829	2382	1997-07-20	VYDAJ	VYBER	3100	18485	\N	\N	\N
696830	2382	1997-08-19	VYDAJ	VYBER	4100	15922	\N	\N	\N
696831	2382	1997-09-18	VYDAJ	VYBER	3000	15971	\N	\N	\N
696832	2382	1997-10-18	VYDAJ	VYBER	4000	15017	\N	\N	\N
696833	2382	1997-11-17	VYDAJ	VYBER	4900	13162	\N	\N	\N
696834	2382	1998-04-16	VYDAJ	VYBER	10600	13100	\N	\N	\N
696835	2382	1998-05-16	VYDAJ	VYBER	2100	14049	\N	\N	\N
696836	2382	1998-06-15	VYDAJ	VYBER	3600	13484	\N	\N	\N
696837	2382	1998-11-12	VYDAJ	VYBER	9500	13775	\N	\N	\N
696891	2383	1996-08-05	PRIJEM	VKLAD	300	300	\N	\N	\N
696899	2383	1996-08-11	PRIJEM	VKLAD	11091	11391	\N	\N	\N
696900	2383	1996-09-11	PRIJEM	VKLAD	11091	31414	\N	\N	\N
696901	2383	1996-10-11	PRIJEM	VKLAD	11091	42608	\N	\N	\N
696902	2383	1996-11-11	PRIJEM	VKLAD	11091	44530	\N	\N	\N
696903	2383	1996-12-11	PRIJEM	VKLAD	16637	55634	\N	\N	\N
696904	2383	1997-01-11	PRIJEM	VKLAD	11091	45953	\N	\N	\N
696905	2383	1997-02-11	PRIJEM	VKLAD	11091	44051	\N	\N	\N
696906	2383	1997-03-11	PRIJEM	VKLAD	11091	41739	\N	\N	\N
696907	2383	1997-04-11	PRIJEM	VKLAD	11091	39948	\N	\N	\N
696908	2383	1997-05-11	PRIJEM	VKLAD	11091	41015	\N	\N	\N
696909	2383	1997-06-11	PRIJEM	VKLAD	16637	41914	\N	\N	\N
696910	2383	1997-07-11	PRIJEM	VKLAD	11091	29467	\N	\N	\N
696911	2383	1997-08-11	PRIJEM	VKLAD	11091	35776	\N	\N	\N
696912	2383	1997-09-11	PRIJEM	VKLAD	11091	32201	\N	\N	\N
696913	2383	1997-10-11	PRIJEM	VKLAD	11091	37438	\N	\N	\N
696914	2383	1997-11-11	PRIJEM	VKLAD	11091	44391	\N	\N	\N
696915	2383	1997-12-11	PRIJEM	VKLAD	16637	43335	\N	\N	\N
696916	2383	1998-01-11	PRIJEM	VKLAD	11091	44905	\N	\N	\N
696917	2383	1998-02-11	PRIJEM	VKLAD	11091	45220	\N	\N	\N
696918	2383	1998-03-11	PRIJEM	VKLAD	11091	46402	\N	\N	\N
696919	2383	1998-04-11	PRIJEM	VKLAD	11091	52493	\N	\N	\N
696920	2383	1998-05-11	PRIJEM	VKLAD	11091	52286	\N	\N	\N
696921	2383	1998-06-11	PRIJEM	VKLAD	16637	58743	\N	\N	\N
696922	2383	1998-07-11	PRIJEM	VKLAD	11091	40159	\N	\N	\N
696923	2383	1998-08-11	PRIJEM	VKLAD	11091	52528	\N	\N	\N
696924	2383	1998-09-11	PRIJEM	VKLAD	11091	51649	\N	\N	\N
696925	2383	1998-10-11	PRIJEM	VKLAD	11091	53935	\N	\N	\N
696926	2383	1998-11-11	PRIJEM	VKLAD	11091	56453	\N	\N	\N
696927	2383	1998-12-11	PRIJEM	VKLAD	16637	63925	\N	\N	\N
696940	2383	1997-01-09	VYDAJ	PREVOD NA UCET	1897	38196	SIPO	YZ	94815557
696941	2383	1997-02-09	VYDAJ	PREVOD NA UCET	1897	36294	SIPO	YZ	94815557
696942	2383	1997-03-09	VYDAJ	PREVOD NA UCET	1897	33982	SIPO	YZ	94815557
696943	2383	1997-04-09	VYDAJ	PREVOD NA UCET	1897	32191	SIPO	YZ	94815557
696944	2383	1997-05-09	VYDAJ	PREVOD NA UCET	1897	33258	SIPO	YZ	94815557
696945	2383	1997-06-09	VYDAJ	PREVOD NA UCET	1897	28612	SIPO	YZ	94815557
696946	2383	1997-07-09	VYDAJ	PREVOD NA UCET	1897	21710	SIPO	YZ	94815557
696947	2383	1997-08-09	VYDAJ	PREVOD NA UCET	1897	28019	SIPO	YZ	94815557
696948	2383	1997-09-09	VYDAJ	PREVOD NA UCET	1897	27924	SIPO	YZ	94815557
696949	2383	1997-10-09	VYDAJ	PREVOD NA UCET	1897	29681	SIPO	YZ	94815557
696950	2383	1997-11-09	VYDAJ	PREVOD NA UCET	1897	36634	SIPO	YZ	94815557
696951	2383	1997-12-09	VYDAJ	PREVOD NA UCET	1897	30032	SIPO	YZ	94815557
696952	2383	1998-01-09	VYDAJ	PREVOD NA UCET	1897	37148	SIPO	YZ	94815557
696953	2383	1998-02-09	VYDAJ	PREVOD NA UCET	1897	37463	SIPO	YZ	94815557
696954	2383	1998-03-09	VYDAJ	PREVOD NA UCET	1897	38645	SIPO	YZ	94815557
696955	2383	1998-04-09	VYDAJ	PREVOD NA UCET	1897	44736	SIPO	YZ	94815557
696956	2383	1998-05-09	VYDAJ	PREVOD NA UCET	1897	44529	SIPO	YZ	94815557
696957	2383	1998-06-09	VYDAJ	PREVOD NA UCET	1897	45440	SIPO	YZ	94815557
696958	2383	1998-07-09	VYDAJ	PREVOD NA UCET	1897	32402	SIPO	YZ	94815557
696959	2383	1998-08-09	VYDAJ	PREVOD NA UCET	1897	44771	SIPO	YZ	94815557
696960	2383	1998-09-09	VYDAJ	PREVOD NA UCET	1897	43892	SIPO	YZ	94815557
696961	2383	1998-10-09	VYDAJ	PREVOD NA UCET	1897	46178	SIPO	YZ	94815557
696962	2383	1998-11-09	VYDAJ	PREVOD NA UCET	1897	48696	SIPO	YZ	94815557
696963	2383	1998-12-09	VYDAJ	PREVOD NA UCET	1897	50622	SIPO	YZ	94815557
696976	2383	1997-01-10	VYDAJ	PREVOD NA UCET	3334	34862	 	WX	50398296
696977	2383	1997-02-10	VYDAJ	PREVOD NA UCET	3334	32960	 	WX	50398296
696978	2383	1997-03-10	VYDAJ	PREVOD NA UCET	3334	30648	 	WX	50398296
696979	2383	1997-04-10	VYDAJ	PREVOD NA UCET	3334	28857	 	WX	50398296
696980	2383	1997-05-10	VYDAJ	PREVOD NA UCET	3334	29924	 	WX	50398296
696981	2383	1997-06-10	VYDAJ	PREVOD NA UCET	3334	25278	 	WX	50398296
696982	2383	1997-07-10	VYDAJ	PREVOD NA UCET	3334	18376	 	WX	50398296
696983	2383	1997-08-10	VYDAJ	PREVOD NA UCET	3334	24685	 	WX	50398296
696984	2383	1997-09-10	VYDAJ	PREVOD NA UCET	3334	21110	 	WX	50398296
696985	2383	1997-10-10	VYDAJ	PREVOD NA UCET	3334	26347	 	WX	50398296
696986	2383	1997-11-10	VYDAJ	PREVOD NA UCET	3334	33300	 	WX	50398296
696987	2383	1997-12-10	VYDAJ	PREVOD NA UCET	3334	26698	 	WX	50398296
696988	2383	1998-01-10	VYDAJ	PREVOD NA UCET	3334	33814	 	WX	50398296
696989	2383	1998-02-10	VYDAJ	PREVOD NA UCET	3334	34129	 	WX	50398296
696990	2383	1998-03-10	VYDAJ	PREVOD NA UCET	3334	35311	 	WX	50398296
696991	2383	1998-04-10	VYDAJ	PREVOD NA UCET	3334	41402	 	WX	50398296
696992	2383	1998-05-10	VYDAJ	PREVOD NA UCET	3334	41195	 	WX	50398296
696993	2383	1998-06-10	VYDAJ	PREVOD NA UCET	3334	42106	 	WX	50398296
696994	2383	1998-07-10	VYDAJ	PREVOD NA UCET	3334	29068	 	WX	50398296
696995	2383	1998-08-10	VYDAJ	PREVOD NA UCET	3334	41437	 	WX	50398296
696996	2383	1998-09-10	VYDAJ	PREVOD NA UCET	3334	40558	 	WX	50398296
696997	2383	1998-10-10	VYDAJ	PREVOD NA UCET	3334	42844	 	WX	50398296
696998	2383	1998-11-10	VYDAJ	PREVOD NA UCET	3334	45362	 	WX	50398296
696999	2383	1998-12-10	VYDAJ	PREVOD NA UCET	3334	47288	 	WX	50398296
697011	2383	1996-12-12	VYDAJ	PREVOD NA UCET	139	55495	POJISTNE	UV	40245962
697012	2383	1997-01-12	VYDAJ	PREVOD NA UCET	139	45814	POJISTNE	UV	40245962
697013	2383	1997-02-12	VYDAJ	PREVOD NA UCET	139	43912	POJISTNE	UV	40245962
697014	2383	1997-03-12	VYDAJ	PREVOD NA UCET	139	37640	POJISTNE	UV	40245962
697015	2383	1997-04-12	VYDAJ	PREVOD NA UCET	139	39809	POJISTNE	UV	40245962
697016	2383	1997-05-12	VYDAJ	PREVOD NA UCET	139	40876	POJISTNE	UV	40245962
697017	2383	1997-06-12	VYDAJ	PREVOD NA UCET	139	41775	POJISTNE	UV	40245962
697018	2383	1997-07-12	VYDAJ	PREVOD NA UCET	139	29328	POJISTNE	UV	40245962
697019	2383	1997-08-12	VYDAJ	PREVOD NA UCET	139	35637	POJISTNE	UV	40245962
697020	2383	1997-09-12	VYDAJ	PREVOD NA UCET	139	32062	POJISTNE	UV	40245962
697021	2383	1997-10-12	VYDAJ	PREVOD NA UCET	139	37299	POJISTNE	UV	40245962
697022	2383	1997-11-12	VYDAJ	PREVOD NA UCET	139	44252	POJISTNE	UV	40245962
697023	2383	1997-12-12	VYDAJ	PREVOD NA UCET	139	43196	POJISTNE	UV	40245962
697024	2383	1998-01-12	VYDAJ	PREVOD NA UCET	139	44766	POJISTNE	UV	40245962
697025	2383	1998-02-12	VYDAJ	PREVOD NA UCET	139	45081	POJISTNE	UV	40245962
697026	2383	1998-03-12	VYDAJ	PREVOD NA UCET	139	46263	POJISTNE	UV	40245962
697027	2383	1998-04-12	VYDAJ	PREVOD NA UCET	139	52354	POJISTNE	UV	40245962
697028	2383	1998-05-12	VYDAJ	PREVOD NA UCET	139	52147	POJISTNE	UV	40245962
697029	2383	1998-06-12	VYDAJ	PREVOD NA UCET	139	58604	POJISTNE	UV	40245962
697030	2383	1998-07-12	VYDAJ	PREVOD NA UCET	139	40020	POJISTNE	UV	40245962
697031	2383	1998-08-12	VYDAJ	PREVOD NA UCET	139	52389	POJISTNE	UV	40245962
697032	2383	1998-09-12	VYDAJ	PREVOD NA UCET	139	51510	POJISTNE	UV	40245962
697033	2383	1998-10-12	VYDAJ	PREVOD NA UCET	139	53796	POJISTNE	UV	40245962
697034	2383	1998-11-12	VYDAJ	PREVOD NA UCET	139	56314	POJISTNE	UV	40245962
697035	2383	1998-12-12	VYDAJ	PREVOD NA UCET	139	63786	POJISTNE	UV	40245962
697037	2383	1997-06-27	VYDAJ	VYBER	28000	13775	\N	\N	\N
697038	2383	1998-06-12	VYDAJ	VYBER	36800	21804	\N	\N	\N
697039	2383	1996-12-26	VYDAJ	VYBER	2400	50695	\N	\N	\N
697040	2383	1997-12-07	VYDAJ	VYBER	2240	31929	\N	\N	\N
697041	2383	1998-12-24	VYDAJ	VYBER	4640	45606	\N	\N	\N
697043	2383	1996-12-25	VYDAJ	VYBER	2400	53095	\N	\N	\N
697047	2383	1997-06-04	VYDAJ	VYBER	4320	30509	\N	\N	\N
697048	2383	1997-01-20	VYDAJ	VYBER	1200	44614	\N	\N	\N
697049	2383	1997-03-11	VYDAJ	VYBER	3960	37779	\N	\N	\N
697050	2383	1997-09-05	VYDAJ	VYBER	1440	29821	\N	\N	\N
697051	2383	1997-09-09	VYDAJ	VYBER	3480	24444	\N	\N	\N
697052	2383	1997-11-29	VYDAJ	VYBER	2640	34012	\N	\N	\N
697053	2383	1998-09-20	VYDAJ	VYBER	3720	47790	\N	\N	\N
697054	2383	1998-12-22	VYDAJ	VYBER	2880	60906	\N	\N	\N
697055	2383	1998-01-18	VYDAJ	VYBER	4560	40206	\N	\N	\N
697056	2383	1998-08-15	VYDAJ	VYBER	5880	46509	\N	\N	\N
697057	2383	1998-12-23	VYDAJ	VYBER	2160	50246	\N	\N	\N
697058	2383	1998-04-27	VYDAJ	VYBER	4320	48034	\N	\N	\N
697071	2383	1996-12-31	VYDAJ	VYBER	15	50893	SLUZBY	\N	\N
697072	2383	1997-01-31	VYDAJ	VYBER	15	44791	SLUZBY	\N	\N
697073	2383	1997-02-28	VYDAJ	VYBER	15	44079	SLUZBY	\N	\N
697074	2383	1997-03-31	VYDAJ	VYBER	15	37788	SLUZBY	\N	\N
697075	2383	1997-04-30	VYDAJ	VYBER	15	39955	SLUZBY	\N	\N
697076	2383	1997-05-31	VYDAJ	VYBER	15	41029	SLUZBY	\N	\N
697077	2383	1997-06-30	VYDAJ	VYBER	15	13907	SLUZBY	\N	\N
697078	2383	1997-07-31	VYDAJ	VYBER	15	29916	SLUZBY	\N	\N
697079	2383	1997-08-31	VYDAJ	VYBER	15	31261	SLUZBY	\N	\N
697080	2383	1997-09-30	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
697081	2383	1997-10-31	VYDAJ	VYBER	15	38531	SLUZBY	\N	\N
697082	2383	1997-11-30	VYDAJ	VYBER	15	34169	SLUZBY	\N	\N
697083	2383	1997-12-31	VYDAJ	VYBER	15	39045	SLUZBY	\N	\N
697084	2383	1998-01-31	VYDAJ	VYBER	15	39360	SLUZBY	\N	\N
697085	2383	1998-02-28	VYDAJ	VYBER	15	40542	SLUZBY	\N	\N
697086	2383	1998-03-31	VYDAJ	VYBER	15	46633	SLUZBY	\N	\N
697087	2383	1998-04-30	VYDAJ	VYBER	15	46426	SLUZBY	\N	\N
697088	2383	1998-05-31	VYDAJ	VYBER	15	47337	SLUZBY	\N	\N
697089	2383	1998-06-30	VYDAJ	VYBER	15	34299	SLUZBY	\N	\N
697090	2383	1998-07-31	VYDAJ	VYBER	15	46668	SLUZBY	\N	\N
697091	2383	1998-08-31	VYDAJ	VYBER	15	45789	SLUZBY	\N	\N
697092	2383	1998-09-30	VYDAJ	VYBER	15	48075	SLUZBY	\N	\N
697093	2383	1998-10-31	VYDAJ	VYBER	15	50593	SLUZBY	\N	\N
697094	2383	1998-11-30	VYDAJ	VYBER	15	52519	SLUZBY	\N	\N
697095	2383	1996-09-04	PRIJEM	VKLAD	8900	20323	\N	\N	\N
697096	2383	1996-11-03	VYDAJ	VYBER	9300	33439	\N	\N	\N
697097	2383	1996-12-03	VYDAJ	VYBER	5700	38997	\N	\N	\N
697098	2383	1997-01-02	VYDAJ	VYBER	10800	40093	\N	\N	\N
697099	2383	1997-02-01	VYDAJ	VYBER	6600	38191	\N	\N	\N
697100	2383	1997-03-03	VYDAJ	VYBER	8200	35879	\N	\N	\N
697101	2383	1997-04-02	VYDAJ	VYBER	3700	34088	\N	\N	\N
697102	2383	1997-05-02	VYDAJ	VYBER	4800	35155	\N	\N	\N
697103	2383	1997-06-01	VYDAJ	VYBER	6200	34829	\N	\N	\N
697104	2383	1997-07-01	PRIJEM	VKLAD	9700	23607	\N	\N	\N
697105	2383	1997-07-31	PRIJEM	VKLAD	500	29931	\N	\N	\N
697106	2383	1997-08-30	VYDAJ	VYBER	4500	31137	\N	\N	\N
697107	2383	1997-09-29	VYDAJ	VYBER	600	31462	\N	\N	\N
697108	2383	1997-10-29	PRIJEM	VKLAD	1100	38399	\N	\N	\N
697109	2383	1997-11-28	VYDAJ	VYBER	7600	36652	\N	\N	\N
697110	2383	1997-12-28	VYDAJ	VYBER	4300	38896	\N	\N	\N
697111	2383	1998-01-27	VYDAJ	VYBER	1000	39206	\N	\N	\N
697112	2383	1998-02-26	VYDAJ	VYBER	4700	40381	\N	\N	\N
697113	2383	1998-03-28	PRIJEM	VKLAD	200	46463	\N	\N	\N
697114	2383	1998-04-27	VYDAJ	VYBER	1800	46234	\N	\N	\N
697115	2383	1998-05-27	VYDAJ	VYBER	5000	47147	\N	\N	\N
697116	2383	1998-06-26	PRIJEM	VKLAD	12300	34104	\N	\N	\N
697117	2383	1998-07-26	PRIJEM	VKLAD	6500	46520	\N	\N	\N
697118	2383	1998-08-25	VYDAJ	VYBER	900	45609	\N	\N	\N
697119	2383	1998-09-24	PRIJEM	VKLAD	100	47890	\N	\N	\N
697120	2383	1998-10-24	VYDAJ	VYBER	3400	50396	\N	\N	\N
697121	2383	1998-11-23	VYDAJ	VYBER	4000	52314	\N	\N	\N
697122	2383	1998-12-23	VYDAJ	VYBER	8500	52406	\N	\N	\N
697152	2384	1994-12-23	PRIJEM	VKLAD	500	500	\N	\N	\N
697165	2384	1995-01-10	PRIJEM	PREVOD Z UCTU	47906	48406	\N	KL	13283962
697166	2384	1995-02-10	PRIJEM	PREVOD Z UCTU	47906	84962	\N	KL	13283962
697167	2384	1995-03-10	PRIJEM	PREVOD Z UCTU	47906	100340	\N	KL	13283962
697168	2384	1995-04-10	PRIJEM	PREVOD Z UCTU	47906	110776	\N	KL	13283962
697169	2384	1995-05-10	PRIJEM	PREVOD Z UCTU	47906	105981	\N	KL	13283962
697170	2384	1995-06-10	PRIJEM	PREVOD Z UCTU	71859	107517	\N	KL	13283962
697171	2384	1995-07-10	PRIJEM	PREVOD Z UCTU	47906	92426	\N	KL	13283962
697172	2384	1995-08-10	PRIJEM	PREVOD Z UCTU	47906	105021	\N	KL	13283962
697173	2384	1995-09-10	PRIJEM	PREVOD Z UCTU	47906	93333	\N	KL	13283962
697174	2384	1995-10-10	PRIJEM	PREVOD Z UCTU	47906	105209	\N	KL	13283962
697175	2384	1995-11-10	PRIJEM	PREVOD Z UCTU	47906	88719	\N	KL	13283962
697176	2384	1995-12-10	PRIJEM	PREVOD Z UCTU	71859	117871	\N	KL	13283962
697177	2384	1996-01-10	PRIJEM	PREVOD Z UCTU	47906	74457	\N	KL	13283962
697178	2384	1996-02-10	PRIJEM	PREVOD Z UCTU	47906	77016	\N	KL	13283962
697179	2384	1996-03-10	PRIJEM	PREVOD Z UCTU	47906	80958	\N	KL	13283962
697180	2384	1996-04-10	PRIJEM	PREVOD Z UCTU	47906	93211	\N	KL	13283962
697181	2384	1996-05-10	PRIJEM	PREVOD Z UCTU	47906	98903	\N	KL	13283962
697182	2384	1996-06-10	PRIJEM	PREVOD Z UCTU	71859	92572	\N	KL	13283962
697183	2384	1996-07-10	PRIJEM	PREVOD Z UCTU	47906	98309	\N	KL	13283962
697184	2384	1996-08-10	PRIJEM	PREVOD Z UCTU	47906	97015	\N	KL	13283962
697185	2384	1996-09-10	PRIJEM	PREVOD Z UCTU	47906	99647	\N	KL	13283962
697186	2384	1996-10-10	PRIJEM	PREVOD Z UCTU	47906	102460	\N	KL	13283962
697187	2384	1996-11-10	PRIJEM	PREVOD Z UCTU	47906	102879	\N	KL	13283962
697188	2384	1996-12-10	PRIJEM	PREVOD Z UCTU	71859	110906	\N	KL	13283962
697189	2384	1997-01-10	PRIJEM	PREVOD Z UCTU	47906	71790	\N	KL	13283962
697190	2384	1997-02-10	PRIJEM	PREVOD Z UCTU	47906	70602	\N	KL	13283962
697191	2384	1997-03-10	PRIJEM	PREVOD Z UCTU	47906	83017	\N	KL	13283962
697192	2384	1997-04-10	PRIJEM	PREVOD Z UCTU	47906	84972	\N	KL	13283962
697193	2384	1997-05-10	PRIJEM	PREVOD Z UCTU	47906	90933	\N	KL	13283962
697194	2384	1997-06-10	PRIJEM	PREVOD Z UCTU	71859	113151	\N	KL	13283962
697195	2384	1997-07-10	PRIJEM	PREVOD Z UCTU	47906	69010	\N	KL	13283962
697196	2384	1997-08-10	PRIJEM	PREVOD Z UCTU	47906	76124	\N	KL	13283962
697197	2384	1997-09-10	PRIJEM	PREVOD Z UCTU	47906	86438	\N	KL	13283962
697198	2384	1997-10-10	PRIJEM	PREVOD Z UCTU	47906	86175	\N	KL	13283962
697199	2384	1997-11-10	PRIJEM	PREVOD Z UCTU	47906	89711	\N	KL	13283962
697200	2384	1997-12-10	PRIJEM	PREVOD Z UCTU	71859	114523	\N	KL	13283962
697201	2384	1998-01-10	PRIJEM	PREVOD Z UCTU	47906	67858	\N	KL	13283962
697202	2384	1998-02-10	PRIJEM	PREVOD Z UCTU	47906	78743	\N	KL	13283962
697203	2384	1998-03-10	PRIJEM	PREVOD Z UCTU	47906	76723	\N	KL	13283962
697204	2384	1998-04-10	PRIJEM	PREVOD Z UCTU	47906	73646	\N	KL	13283962
697205	2384	1998-05-10	PRIJEM	PREVOD Z UCTU	47906	75030	\N	KL	13283962
697206	2384	1998-06-10	PRIJEM	PREVOD Z UCTU	71859	89783	\N	KL	13283962
697207	2384	1998-07-10	PRIJEM	PREVOD Z UCTU	47906	76888	\N	KL	13283962
697208	2384	1998-08-10	PRIJEM	PREVOD Z UCTU	47906	66012	\N	KL	13283962
697209	2384	1998-09-10	PRIJEM	PREVOD Z UCTU	47906	86885	\N	KL	13283962
697210	2384	1998-10-10	PRIJEM	PREVOD Z UCTU	47906	70745	\N	KL	13283962
697211	2384	1998-11-10	PRIJEM	PREVOD Z UCTU	47906	69931	\N	KL	13283962
697212	2384	1998-12-10	PRIJEM	PREVOD Z UCTU	71859	131556	\N	KL	13283962
697277	2384	1995-08-16	VYBER	VYBER	12437	92584	\N	\N	\N
697280	2384	1996-11-27	VYBER	VYBER	6242	48437	\N	\N	\N
697281	2384	1998-01-26	VYBER	VYBER	12304	34854	\N	\N	\N
697282	2384	1998-08-14	VYBER	VYBER	23347	42665	\N	\N	\N
697283	2384	1998-03-30	VYBER	VYBER	12074	64649	\N	\N	\N
697287	2384	1996-06-05	VYDAJ	VYBER	35100	20713	\N	\N	\N
697289	2384	1998-06-05	VYDAJ	VYBER	20700	17924	\N	\N	\N
697296	2384	1995-12-02	VYDAJ	VYBER	6600	46012	\N	\N	\N
697297	2384	1996-12-03	VYDAJ	VYBER	6600	42047	\N	\N	\N
697298	2384	1997-12-18	VYDAJ	VYBER	5100	60223	\N	\N	\N
697299	2384	1998-12-13	VYDAJ	VYBER	5400	67856	\N	\N	\N
697312	2384	1996-01-21	VYDAJ	VYBER	6600	31357	\N	\N	\N
697313	2384	1996-01-17	VYDAJ	VYBER	3600	63057	\N	\N	\N
697314	2384	1996-01-11	VYDAJ	VYBER	3000	71457	\N	\N	\N
697315	2384	1996-01-23	VYDAJ	VYBER	2400	28957	\N	\N	\N
697316	2384	1996-01-06	VYDAJ	VYBER	7500	26551	\N	\N	\N
697317	2384	1996-01-05	VYDAJ	VYBER	1800	34051	\N	\N	\N
697318	2384	1997-01-19	VYDAJ	VYBER	6600	22590	\N	\N	\N
697320	2384	1997-01-04	VYDAJ	VYBER	7500	23884	\N	\N	\N
697321	2384	1997-01-04	VYDAJ	VYBER	8100	31384	\N	\N	\N
697322	2384	1997-01-15	VYDAJ	VYBER	5100	29190	\N	\N	\N
697323	2384	1997-01-14	VYDAJ	VYBER	6600	34290	\N	\N	\N
697324	2384	1998-01-14	VYDAJ	VYBER	8100	59758	\N	\N	\N
697325	2384	1998-01-15	VYDAJ	VYBER	4500	52258	\N	\N	\N
697326	2384	1998-01-15	VYDAJ	VYBER	3000	56758	\N	\N	\N
697327	2384	1998-01-21	VYDAJ	VYBER	5100	47158	\N	\N	\N
697328	2384	1998-01-29	VYDAJ	VYBER	4200	30654	\N	\N	\N
697329	2384	1998-01-01	VYDAJ	VYBER	7500	53052	\N	\N	\N
697338	2384	1995-11-15	VYDAJ	VYBER	6300	82419	\N	\N	\N
697339	2384	1995-09-04	VYDAJ	VYBER	12300	45427	\N	\N	\N
697340	2384	1996-12-09	VYDAJ	VYBER	3000	39047	\N	\N	\N
697341	2384	1996-05-28	VYDAJ	VYBER	1500	55603	\N	\N	\N
697342	2384	1996-01-14	VYDAJ	VYBER	4800	66657	\N	\N	\N
697343	2384	1996-02-26	VYDAJ	VYBER	14400	32916	\N	\N	\N
697344	2384	1996-08-01	VYDAJ	VYBER	3600	49109	\N	\N	\N
697346	2384	1997-10-03	VYDAJ	VYBER	2700	84069	\N	\N	\N
697347	2384	1997-03-10	VYDAJ	VYBER	11400	71617	\N	\N	\N
697350	2384	1998-09-12	VYDAJ	VYBER	13200	73685	\N	\N	\N
697351	2384	1998-12-05	VYDAJ	VYBER	4200	59697	\N	\N	\N
697352	2384	1998-02-18	VYDAJ	VYBER	9300	69443	\N	\N	\N
697353	2384	1998-11-21	VYDAJ	VYBER	6300	63631	\N	\N	\N
697354	2384	1998-09-01	VYDAJ	VYBER	3900	38979	\N	\N	\N
697372	2384	1995-05-31	VYDAJ	VYBER	15	35658	SLUZBY	\N	\N
697373	2384	1995-06-30	VYDAJ	VYBER	15	44520	SLUZBY	\N	\N
697374	2384	1995-07-31	VYDAJ	VYBER	15	57115	SLUZBY	\N	\N
697375	2384	1995-08-31	VYDAJ	VYBER	15	57727	SLUZBY	\N	\N
697376	2384	1995-09-30	VYDAJ	VYBER	15	57303	SLUZBY	\N	\N
697377	2384	1995-10-31	VYDAJ	VYBER	15	40813	SLUZBY	\N	\N
697378	2384	1995-11-30	VYDAJ	VYBER	15	52612	SLUZBY	\N	\N
697379	2384	1995-12-31	VYDAJ	VYBER	15	35851	SLUZBY	\N	\N
697380	2384	1996-01-31	VYDAJ	VYBER	15	29110	SLUZBY	\N	\N
697381	2384	1996-02-29	VYDAJ	VYBER	15	33052	SLUZBY	\N	\N
697382	2384	1996-03-31	VYDAJ	VYBER	15	45305	SLUZBY	\N	\N
697383	2384	1996-04-30	VYDAJ	VYBER	15	50997	SLUZBY	\N	\N
697384	2384	1996-05-31	VYDAJ	VYBER	15	55813	SLUZBY	\N	\N
697385	2384	1996-06-30	VYDAJ	VYBER	15	50403	SLUZBY	\N	\N
697386	2384	1996-07-31	VYDAJ	VYBER	15	52709	SLUZBY	\N	\N
697387	2384	1996-08-31	VYDAJ	VYBER	15	51741	SLUZBY	\N	\N
697388	2384	1996-09-30	VYDAJ	VYBER	15	54554	SLUZBY	\N	\N
697389	2384	1996-10-31	VYDAJ	VYBER	15	54973	SLUZBY	\N	\N
697390	2384	1996-11-30	VYDAJ	VYBER	15	48647	SLUZBY	\N	\N
697391	2384	1996-12-31	VYDAJ	VYBER	15	39484	SLUZBY	\N	\N
697392	2384	1997-01-31	VYDAJ	VYBER	15	22696	SLUZBY	\N	\N
697393	2384	1997-02-28	VYDAJ	VYBER	15	35111	SLUZBY	\N	\N
697394	2384	1997-03-31	VYDAJ	VYBER	15	37066	SLUZBY	\N	\N
697395	2384	1997-04-30	VYDAJ	VYBER	15	43027	SLUZBY	\N	\N
697396	2384	1997-05-31	VYDAJ	VYBER	15	41292	SLUZBY	\N	\N
697397	2384	1997-06-30	VYDAJ	VYBER	15	21104	SLUZBY	\N	\N
697398	2384	1997-07-31	VYDAJ	VYBER	15	28218	SLUZBY	\N	\N
697399	2384	1997-08-31	VYDAJ	VYBER	15	76232	SLUZBY	\N	\N
697400	2384	1997-09-30	VYDAJ	VYBER	15	86769	SLUZBY	\N	\N
697401	2384	1997-10-31	VYDAJ	VYBER	15	86505	SLUZBY	\N	\N
697402	2384	1997-11-30	VYDAJ	VYBER	15	90064	SLUZBY	\N	\N
697403	2384	1997-12-31	VYDAJ	VYBER	15	60552	SLUZBY	\N	\N
697404	2384	1998-01-31	VYDAJ	VYBER	15	30837	SLUZBY	\N	\N
697405	2384	1998-02-28	VYDAJ	VYBER	15	69617	SLUZBY	\N	\N
697406	2384	1998-03-31	VYDAJ	VYBER	15	64940	SLUZBY	\N	\N
697407	2384	1998-04-30	VYDAJ	VYBER	15	73924	SLUZBY	\N	\N
697408	2384	1998-05-31	VYDAJ	VYBER	15	75324	SLUZBY	\N	\N
697409	2384	1998-06-30	VYDAJ	VYBER	15	90082	SLUZBY	\N	\N
697410	2384	1998-07-31	VYDAJ	VYBER	15	77206	SLUZBY	\N	\N
697411	2384	1998-08-31	VYDAJ	VYBER	15	42879	SLUZBY	\N	\N
697412	2384	1998-09-30	VYDAJ	VYBER	15	73939	SLUZBY	\N	\N
697413	2384	1998-10-31	VYDAJ	VYBER	15	71025	SLUZBY	\N	\N
697414	2384	1998-11-30	VYDAJ	VYBER	15	63897	SLUZBY	\N	\N
697415	2384	1995-01-22	VYDAJ	VYBER	11400	37006	\N	\N	\N
697416	2384	1995-02-21	VYDAJ	VYBER	32700	52262	\N	\N	\N
697417	2384	1995-03-23	VYDAJ	VYBER	37700	62640	\N	\N	\N
697418	2384	1995-04-10	VYDAJ	VYBER	21800	88976	\N	\N	\N
697419	2384	1995-04-22	VYDAJ	VYBER	31200	57776	\N	\N	\N
697420	2384	1995-05-10	VYDAJ	VYBER	60100	45881	\N	\N	\N
697421	2384	1995-05-22	VYDAJ	VYBER	10400	35481	\N	\N	\N
697422	2384	1995-06-10	VYDAJ	VYBER	35100	72417	\N	\N	\N
697423	2384	1995-06-21	VYDAJ	VYBER	28100	44317	\N	\N	\N
697424	2384	1995-07-21	VYDAJ	VYBER	35500	56926	\N	\N	\N
697425	2384	1995-08-20	VYDAJ	VYBER	35100	57484	\N	\N	\N
697426	2384	1995-09-19	VYDAJ	VYBER	36300	57033	\N	\N	\N
697427	2384	1995-10-10	VYDAJ	VYBER	40400	64809	\N	\N	\N
697428	2384	1995-10-19	VYDAJ	VYBER	24200	40609	\N	\N	\N
697429	2384	1995-11-18	VYDAJ	VYBER	30000	52419	\N	\N	\N
697430	2384	1995-12-10	VYDAJ	VYBER	59000	58871	\N	\N	\N
697431	2384	1995-12-18	VYDAJ	VYBER	23200	35671	\N	\N	\N
697432	2384	1996-01-17	VYDAJ	VYBER	25100	37957	\N	\N	\N
697433	2384	1996-02-16	VYDAJ	VYBER	29700	47316	\N	\N	\N
697434	2384	1996-03-17	VYDAJ	VYBER	35800	45158	\N	\N	\N
697435	2384	1996-04-16	VYDAJ	VYBER	42400	50811	\N	\N	\N
697436	2384	1996-05-16	VYDAJ	VYBER	41800	57103	\N	\N	\N
697437	2384	1996-06-15	VYDAJ	VYBER	42400	50172	\N	\N	\N
697438	2384	1996-07-15	VYDAJ	VYBER	45800	52509	\N	\N	\N
697439	2384	1996-08-14	VYDAJ	VYBER	45500	51515	\N	\N	\N
697440	2384	1996-09-13	VYDAJ	VYBER	45300	54347	\N	\N	\N
697441	2384	1996-10-13	VYDAJ	VYBER	47700	54760	\N	\N	\N
697442	2384	1996-11-12	VYDAJ	VYBER	48200	54679	\N	\N	\N
697443	2384	1996-12-10	VYDAJ	VYBER	39600	71306	\N	\N	\N
697444	2384	1996-12-12	VYDAJ	VYBER	32000	39306	\N	\N	\N
697445	2384	1997-01-11	VYDAJ	VYBER	30900	40890	\N	\N	\N
697446	2384	1997-02-10	VYDAJ	VYBER	35700	34902	\N	\N	\N
697447	2384	1997-03-12	VYDAJ	VYBER	34700	36917	\N	\N	\N
697448	2384	1997-04-11	VYDAJ	VYBER	42100	42872	\N	\N	\N
697449	2384	1997-05-11	VYDAJ	VYBER	49800	41133	\N	\N	\N
697450	2384	1997-06-10	VYDAJ	VYBER	56300	20751	\N	\N	\N
697451	2384	1997-06-10	VYDAJ	VYBER	36100	77051	\N	\N	\N
697452	2384	1997-07-10	VYDAJ	VYBER	41000	28010	\N	\N	\N
697453	2384	1997-09-08	VYDAJ	VYBER	37700	38532	\N	\N	\N
697454	2384	1997-10-08	VYDAJ	VYBER	45800	38269	\N	\N	\N
697455	2384	1997-11-07	VYDAJ	VYBER	44700	41805	\N	\N	\N
697456	2384	1997-12-07	VYDAJ	VYBER	47400	42664	\N	\N	\N
697457	2384	1997-12-10	VYDAJ	VYBER	49200	65323	\N	\N	\N
697458	2384	1998-01-06	VYDAJ	VYBER	33100	19952	\N	\N	\N
697459	2384	1998-03-07	VYDAJ	VYBER	40800	28817	\N	\N	\N
697460	2384	1998-04-06	VYDAJ	VYBER	39200	25740	\N	\N	\N
697461	2384	1998-05-06	VYDAJ	VYBER	46800	27124	\N	\N	\N
697462	2384	1998-06-05	VYDAJ	VYBER	36700	38624	\N	\N	\N
697463	2384	1998-07-05	VYDAJ	VYBER	61100	28982	\N	\N	\N
697464	2384	1998-08-04	VYDAJ	VYBER	59100	18106	\N	\N	\N
697465	2384	1998-10-03	VYDAJ	VYBER	51100	22839	\N	\N	\N
697466	2384	1998-11-02	VYDAJ	VYBER	49000	22025	\N	\N	\N
697467	2384	1998-12-10	VYDAJ	VYBER	58300	73256	\N	\N	\N
697516	2385	1996-11-15	PRIJEM	VKLAD	300	300	\N	\N	\N
697528	2385	1996-12-14	PRIJEM	VKLAD	28122	28422	\N	\N	\N
697529	2385	1997-01-14	PRIJEM	VKLAD	18748	45732	\N	\N	\N
697530	2385	1997-02-14	PRIJEM	VKLAD	18748	47406	\N	\N	\N
697531	2385	1997-03-14	PRIJEM	VKLAD	18748	66324	\N	\N	\N
697532	2385	1997-04-14	PRIJEM	VKLAD	18748	64766	\N	\N	\N
697533	2385	1997-05-14	PRIJEM	VKLAD	18748	62285	\N	\N	\N
697534	2385	1997-06-14	PRIJEM	VKLAD	28122	51269	\N	\N	\N
697535	2385	1997-07-14	PRIJEM	VKLAD	18748	58696	\N	\N	\N
697536	2385	1997-08-14	PRIJEM	VKLAD	18748	61461	\N	\N	\N
697537	2385	1997-09-14	PRIJEM	VKLAD	18748	64542	\N	\N	\N
697538	2385	1997-10-14	PRIJEM	VKLAD	18748	64131	\N	\N	\N
697539	2385	1997-11-14	PRIJEM	VKLAD	18748	65733	\N	\N	\N
697540	2385	1997-12-14	PRIJEM	VKLAD	28122	71913	\N	\N	\N
697541	2385	1998-01-14	PRIJEM	VKLAD	18748	58233	\N	\N	\N
697542	2385	1998-02-14	PRIJEM	VKLAD	18748	55997	\N	\N	\N
697543	2385	1998-03-14	PRIJEM	VKLAD	18748	58153	\N	\N	\N
697544	2385	1998-04-14	PRIJEM	VKLAD	18748	60323	\N	\N	\N
697545	2385	1998-05-14	PRIJEM	VKLAD	18748	64504	\N	\N	\N
697546	2385	1998-06-14	PRIJEM	VKLAD	28122	62374	\N	\N	\N
697547	2385	1998-07-14	PRIJEM	VKLAD	18748	61646	\N	\N	\N
697548	2385	1998-08-14	PRIJEM	VKLAD	18748	64738	\N	\N	\N
697549	2385	1998-09-14	PRIJEM	VKLAD	18748	60836	\N	\N	\N
697550	2385	1998-10-14	PRIJEM	VKLAD	18748	56330	\N	\N	\N
697551	2385	1998-11-14	PRIJEM	VKLAD	18748	59378	\N	\N	\N
697552	2385	1998-12-14	PRIJEM	VKLAD	28122	66823	\N	\N	\N
697590	2385	1997-06-02	VYDAJ	VYBER	27600	13947	\N	\N	\N
697591	2385	1998-06-08	VYDAJ	VYBER	20700	34252	\N	\N	\N
697594	2385	1998-01-06	VYDAJ	VYBER	2000	65685	\N	\N	\N
697596	2385	1997-12-27	VYDAJ	VYBER	2000	69913	\N	\N	\N
697597	2385	1998-12-03	VYDAJ	VYBER KARTOU	1700	57901	\N	\N	0
697610	2385	1998-01-20	VYDAJ	VYBER	2800	55433	\N	\N	\N
697611	2385	1998-01-26	VYDAJ	VYBER	1300	51633	\N	\N	\N
697612	2385	1998-01-21	VYDAJ	VYBER	2500	52933	\N	\N	\N
697613	2385	1998-01-12	VYDAJ	VYBER	1400	39485	\N	\N	\N
697614	2385	1998-01-28	VYDAJ	VYBER	1300	50333	\N	\N	\N
697615	2385	1998-01-07	VYDAJ	VYBER	2000	63685	\N	\N	\N
697620	2385	1997-07-02	VYDAJ	VYBER	4600	46848	\N	\N	\N
697621	2385	1997-08-26	VYDAJ	VYBER	4900	56561	\N	\N	\N
697624	2385	1997-12-28	VYDAJ	VYBER	2500	67413	\N	\N	\N
697625	2385	1998-10-03	VYDAJ	VYBER KARTOU	1900	59182	\N	\N	0
697626	2385	1998-10-23	VYDAJ	VYBER KARTOU	2700	53630	\N	\N	0
697627	2385	1998-02-25	VYDAJ	VYBER	1400	54597	\N	\N	\N
697644	2385	1997-04-30	VYDAJ	VYBER	15	43537	SLUZBY	\N	\N
697645	2385	1997-05-31	VYDAJ	VYBER	15	41547	SLUZBY	\N	\N
697646	2385	1997-06-30	VYDAJ	VYBER	15	51448	SLUZBY	\N	\N
697647	2385	1997-07-31	VYDAJ	VYBER	15	58913	SLUZBY	\N	\N
697648	2385	1997-08-31	VYDAJ	VYBER	15	56794	SLUZBY	\N	\N
697649	2385	1997-09-30	VYDAJ	VYBER	15	64783	SLUZBY	\N	\N
697650	2385	1997-10-31	VYDAJ	VYBER	15	64385	SLUZBY	\N	\N
697651	2385	1997-11-30	VYDAJ	VYBER	15	65991	SLUZBY	\N	\N
697652	2385	1997-12-31	VYDAJ	VYBER	15	67685	SLUZBY	\N	\N
697653	2385	1998-01-31	VYDAJ	VYBER	15	50549	SLUZBY	\N	\N
697654	2385	1998-02-28	VYDAJ	VYBER	15	54805	SLUZBY	\N	\N
697655	2385	1998-03-31	VYDAJ	VYBER	15	58375	SLUZBY	\N	\N
697656	2385	1998-04-30	VYDAJ	VYBER	15	60556	SLUZBY	\N	\N
697657	2385	1998-05-31	VYDAJ	VYBER	15	64752	SLUZBY	\N	\N
697658	2385	1998-06-30	VYDAJ	VYBER	15	62598	SLUZBY	\N	\N
697659	2385	1998-07-31	VYDAJ	VYBER	15	61890	SLUZBY	\N	\N
697660	2385	1998-08-31	VYDAJ	VYBER	15	64988	SLUZBY	\N	\N
697661	2385	1998-09-30	VYDAJ	VYBER	15	61082	SLUZBY	\N	\N
697662	2385	1998-10-31	VYDAJ	VYBER	15	53830	SLUZBY	\N	\N
697663	2385	1998-11-30	VYDAJ	VYBER	15	59601	SLUZBY	\N	\N
697664	2385	1996-12-15	VYDAJ	VYBER	1500	26922	\N	\N	\N
697665	2385	1997-01-14	VYDAJ	VYBER	12800	32932	\N	\N	\N
697666	2385	1997-02-13	VYDAJ	VYBER	4400	28658	\N	\N	\N
697667	2385	1997-03-15	VYDAJ	VYBER	20500	45824	\N	\N	\N
697668	2385	1997-04-14	VYDAJ	VYBER	21400	43366	\N	\N	\N
697669	2385	1997-05-14	VYDAJ	VYBER	20900	41385	\N	\N	\N
697670	2385	1997-06-13	PRIJEM	VKLAD	9200	23147	\N	\N	\N
697671	2385	1997-07-13	VYDAJ	VYBER	6900	39948	\N	\N	\N
697672	2385	1997-08-12	VYDAJ	VYBER	16200	42713	\N	\N	\N
697673	2385	1997-09-11	VYDAJ	VYBER	11000	45794	\N	\N	\N
697674	2385	1997-10-11	VYDAJ	VYBER	19400	45383	\N	\N	\N
697675	2385	1997-11-10	VYDAJ	VYBER	17400	46985	\N	\N	\N
697676	2385	1997-12-10	VYDAJ	VYBER	22200	43791	\N	\N	\N
697677	2385	1998-01-09	VYDAJ	VYBER	22800	40885	\N	\N	\N
697678	2385	1998-02-08	VYDAJ	VYBER	13300	37249	\N	\N	\N
697679	2385	1998-03-10	VYDAJ	VYBER	15400	39405	\N	\N	\N
697680	2385	1998-04-09	VYDAJ	VYBER	16800	41575	\N	\N	\N
697681	2385	1998-05-09	VYDAJ	VYBER	14800	45756	\N	\N	\N
697682	2385	1998-06-08	VYDAJ	VYBER	9800	54952	\N	\N	\N
697683	2385	1998-07-08	VYDAJ	VYBER	19700	42898	\N	\N	\N
697684	2385	1998-08-07	VYDAJ	VYBER	15900	45990	\N	\N	\N
697685	2385	1998-09-06	VYDAJ	VYBER	22900	42088	\N	\N	\N
697686	2385	1998-10-06	VYDAJ	VYBER	21600	37582	\N	\N	\N
697687	2385	1998-11-05	VYDAJ	VYBER	13200	40630	\N	\N	\N
697688	2385	1998-12-05	VYDAJ	VYBER	19200	38701	\N	\N	\N
697714	2386	1996-12-17	PRIJEM	VKLAD	600	600	\N	\N	\N
697727	2386	1997-01-12	PRIJEM	VKLAD	17794	18394	\N	\N	\N
697728	2386	1997-02-12	PRIJEM	VKLAD	17794	40036	\N	\N	\N
697729	2386	1997-03-12	PRIJEM	VKLAD	17794	51646	\N	\N	\N
697730	2386	1997-04-12	PRIJEM	VKLAD	17794	58895	\N	\N	\N
697731	2386	1997-05-12	PRIJEM	VKLAD	17794	61465	\N	\N	\N
697732	2386	1997-06-12	PRIJEM	VKLAD	26691	44890	\N	\N	\N
697733	2386	1997-07-12	PRIJEM	VKLAD	17794	55687	\N	\N	\N
697734	2386	1997-08-12	PRIJEM	VKLAD	17794	59507	\N	\N	\N
697735	2386	1997-09-12	PRIJEM	VKLAD	17794	60835	\N	\N	\N
697736	2386	1997-10-12	PRIJEM	VKLAD	17794	63070	\N	\N	\N
697737	2386	1997-11-12	PRIJEM	VKLAD	17794	63108	\N	\N	\N
697738	2386	1997-12-12	PRIJEM	VKLAD	26691	71248	\N	\N	\N
697739	2386	1998-01-12	PRIJEM	VKLAD	17794	63610	\N	\N	\N
697740	2386	1998-02-12	PRIJEM	VKLAD	17794	63468	\N	\N	\N
697741	2386	1998-03-12	PRIJEM	VKLAD	17794	76146	\N	\N	\N
697742	2386	1998-04-12	PRIJEM	VKLAD	17794	66078	\N	\N	\N
697743	2386	1998-05-12	PRIJEM	VKLAD	17794	73573	\N	\N	\N
697744	2386	1998-06-12	PRIJEM	VKLAD	26691	75095	\N	\N	\N
697745	2386	1998-07-12	PRIJEM	VKLAD	17794	73524	\N	\N	\N
697746	2386	1998-08-12	PRIJEM	VKLAD	17794	78158	\N	\N	\N
697747	2386	1998-09-12	PRIJEM	VKLAD	17794	82007	\N	\N	\N
697748	2386	1998-10-12	PRIJEM	VKLAD	17794	77573	\N	\N	\N
697749	2386	1998-11-12	PRIJEM	VKLAD	17794	78129	\N	\N	\N
697750	2386	1998-12-12	PRIJEM	VKLAD	26691	84973	\N	\N	\N
697767	2386	1997-05-12	VYDAJ	PREVOD NA UCET	2042	59423	SIPO	WX	88837807
697768	2386	1997-06-12	VYDAJ	PREVOD NA UCET	2042	42848	SIPO	WX	88837807
697769	2386	1997-07-12	VYDAJ	PREVOD NA UCET	2042	53645	SIPO	WX	88837807
697770	2386	1997-08-12	VYDAJ	PREVOD NA UCET	2042	57465	SIPO	WX	88837807
697771	2386	1997-09-12	VYDAJ	PREVOD NA UCET	2042	58793	SIPO	WX	88837807
697772	2386	1997-10-12	VYDAJ	PREVOD NA UCET	2042	61028	SIPO	WX	88837807
697773	2386	1997-11-12	VYDAJ	PREVOD NA UCET	2042	61066	SIPO	WX	88837807
697774	2386	1997-12-12	VYDAJ	PREVOD NA UCET	2042	54306	SIPO	WX	88837807
697775	2386	1998-01-12	VYDAJ	PREVOD NA UCET	2042	61568	SIPO	WX	88837807
697776	2386	1998-02-12	VYDAJ	PREVOD NA UCET	2042	61426	SIPO	WX	88837807
697777	2386	1998-03-12	VYDAJ	PREVOD NA UCET	2042	58304	SIPO	WX	88837807
697778	2386	1998-04-12	VYDAJ	PREVOD NA UCET	2042	64036	SIPO	WX	88837807
697779	2386	1998-05-12	VYDAJ	PREVOD NA UCET	2042	71531	SIPO	WX	88837807
697780	2386	1998-06-12	VYDAJ	PREVOD NA UCET	2042	73053	SIPO	WX	88837807
697781	2386	1998-07-12	VYDAJ	PREVOD NA UCET	2042	71482	SIPO	WX	88837807
697782	2386	1998-08-12	VYDAJ	PREVOD NA UCET	2042	76116	SIPO	WX	88837807
697783	2386	1998-09-12	VYDAJ	PREVOD NA UCET	2042	79965	SIPO	WX	88837807
697784	2386	1998-10-12	VYDAJ	PREVOD NA UCET	2042	75531	SIPO	WX	88837807
697785	2386	1998-11-12	VYDAJ	PREVOD NA UCET	2042	76087	SIPO	WX	88837807
697786	2386	1998-12-12	VYDAJ	PREVOD NA UCET	2042	82931	SIPO	WX	88837807
697804	2386	1997-06-08	VYDAJ	PREVOD NA UCET	1797	18199	 	KL	16295147
697805	2386	1997-07-08	VYDAJ	PREVOD NA UCET	1797	37893	 	KL	16295147
697806	2386	1997-08-08	VYDAJ	PREVOD NA UCET	1797	41713	 	KL	16295147
697807	2386	1997-09-08	VYDAJ	PREVOD NA UCET	1797	43041	 	KL	16295147
697808	2386	1997-10-08	VYDAJ	PREVOD NA UCET	1797	45276	 	KL	16295147
697809	2386	1997-11-08	VYDAJ	PREVOD NA UCET	1797	45314	 	KL	16295147
697810	2386	1997-12-08	VYDAJ	PREVOD NA UCET	1797	44557	 	KL	16295147
697811	2386	1998-01-08	VYDAJ	PREVOD NA UCET	1797	47516	 	KL	16295147
697812	2386	1998-02-08	VYDAJ	PREVOD NA UCET	1797	50174	 	KL	16295147
697813	2386	1998-03-08	VYDAJ	PREVOD NA UCET	1797	58352	 	KL	16295147
697814	2386	1998-04-08	VYDAJ	PREVOD NA UCET	1797	56784	 	KL	16295147
697815	2386	1998-05-08	VYDAJ	PREVOD NA UCET	1797	61579	 	KL	16295147
697816	2386	1998-06-08	VYDAJ	PREVOD NA UCET	1797	47804	 	KL	16295147
697817	2386	1998-07-08	VYDAJ	PREVOD NA UCET	1797	71530	 	KL	16295147
697818	2386	1998-08-08	VYDAJ	PREVOD NA UCET	1797	68564	 	KL	16295147
697819	2386	1998-09-08	VYDAJ	PREVOD NA UCET	1797	74613	 	KL	16295147
697820	2386	1998-10-08	VYDAJ	PREVOD NA UCET	1797	59779	 	KL	16295147
697821	2386	1998-11-08	VYDAJ	PREVOD NA UCET	1797	60335	 	KL	16295147
697822	2386	1998-12-08	VYDAJ	PREVOD NA UCET	1797	60882	 	KL	16295147
697824	2386	1997-06-07	VYDAJ	VYBER	22100	19996	\N	\N	\N
697825	2386	1998-06-02	VYDAJ	VYBER	22200	49601	\N	\N	\N
697828	2386	1998-01-19	VYDAJ	VYBER	2800	51768	\N	\N	\N
697830	2386	1997-12-17	VYDAJ	VYBER	2400	51906	\N	\N	\N
697831	2386	1998-12-08	VYDAJ	VYBER	2600	58282	\N	\N	\N
697844	2386	1998-01-12	VYDAJ	VYBER	2400	59168	\N	\N	\N
697845	2386	1998-01-07	VYDAJ	VYBER	500	49313	\N	\N	\N
697846	2386	1998-01-14	VYDAJ	VYBER	2900	56268	\N	\N	\N
697847	2386	1998-01-06	VYDAJ	VYBER	2300	49813	\N	\N	\N
697848	2386	1998-01-17	VYDAJ	VYBER	1700	54568	\N	\N	\N
697849	2386	1998-01-09	VYDAJ	VYBER	2000	45516	\N	\N	\N
697858	2386	1997-11-16	VYDAJ	VYBER	2800	46166	\N	\N	\N
697864	2386	1998-07-09	VYDAJ	VYBER	4500	67030	\N	\N	\N
697865	2386	1998-02-26	VYDAJ	VYBER	1500	59926	\N	\N	\N
697866	2386	1998-04-14	VYDAJ	VYBER	900	63136	\N	\N	\N
697867	2386	1998-07-18	VYDAJ	VYBER	1400	70082	\N	\N	\N
697868	2386	1998-12-03	VYDAJ	VYBER	3600	72779	\N	\N	\N
697886	2386	1997-05-31	VYDAJ	VYBER	15	42096	SLUZBY	\N	\N
697887	2386	1997-06-30	VYDAJ	VYBER	15	39690	SLUZBY	\N	\N
697888	2386	1997-07-31	VYDAJ	VYBER	15	43510	SLUZBY	\N	\N
697889	2386	1997-08-31	VYDAJ	VYBER	15	44838	SLUZBY	\N	\N
697890	2386	1997-09-30	VYDAJ	VYBER	15	47073	SLUZBY	\N	\N
697891	2386	1997-10-31	VYDAJ	VYBER	15	47111	SLUZBY	\N	\N
697892	2386	1997-11-30	VYDAJ	VYBER	15	46354	SLUZBY	\N	\N
697893	2386	1997-12-31	VYDAJ	VYBER	15	52113	SLUZBY	\N	\N
697894	2386	1998-01-31	VYDAJ	VYBER	15	51971	SLUZBY	\N	\N
697895	2386	1998-02-28	VYDAJ	VYBER	15	60149	SLUZBY	\N	\N
697896	2386	1998-03-31	VYDAJ	VYBER	15	58581	SLUZBY	\N	\N
697897	2386	1998-04-30	VYDAJ	VYBER	15	63376	SLUZBY	\N	\N
697898	2386	1998-05-31	VYDAJ	VYBER	15	71801	SLUZBY	\N	\N
697899	2386	1998-06-30	VYDAJ	VYBER	15	73327	SLUZBY	\N	\N
697900	2386	1998-07-31	VYDAJ	VYBER	15	70361	SLUZBY	\N	\N
697901	2386	1998-08-31	VYDAJ	VYBER	15	76410	SLUZBY	\N	\N
697902	2386	1998-09-30	VYDAJ	VYBER	15	80276	SLUZBY	\N	\N
697903	2386	1998-10-31	VYDAJ	VYBER	15	75832	SLUZBY	\N	\N
697904	2386	1998-11-30	VYDAJ	VYBER	15	76379	SLUZBY	\N	\N
697905	2386	1997-01-16	PRIJEM	VKLAD	3800	22194	\N	\N	\N
697906	2386	1997-02-15	VYDAJ	VYBER	6300	33736	\N	\N	\N
697907	2386	1997-03-17	VYDAJ	VYBER	10700	40946	\N	\N	\N
697908	2386	1997-04-16	VYDAJ	VYBER	15400	43495	\N	\N	\N
697909	2386	1997-05-16	VYDAJ	VYBER	17500	41923	\N	\N	\N
697910	2386	1997-06-15	VYDAJ	VYBER	3300	39548	\N	\N	\N
697911	2386	1997-07-15	VYDAJ	VYBER	10300	43345	\N	\N	\N
697912	2386	1997-08-14	VYDAJ	VYBER	12800	44665	\N	\N	\N
697913	2386	1997-09-13	VYDAJ	VYBER	11900	46893	\N	\N	\N
697914	2386	1997-10-13	VYDAJ	VYBER	14100	46928	\N	\N	\N
697915	2386	1997-11-12	VYDAJ	VYBER	12100	48966	\N	\N	\N
697916	2386	1997-12-12	VYDAJ	VYBER	14900	56348	\N	\N	\N
697917	2386	1998-01-11	PRIJEM	VKLAD	300	45816	\N	\N	\N
697918	2386	1998-02-10	VYDAJ	VYBER	4500	45674	\N	\N	\N
697919	2386	1998-03-12	VYDAJ	VYBER	15800	60346	\N	\N	\N
697920	2386	1998-04-11	VYDAJ	VYBER	8500	48284	\N	\N	\N
697921	2386	1998-05-11	VYDAJ	VYBER	5800	55779	\N	\N	\N
697922	2386	1998-06-10	PRIJEM	VKLAD	600	48404	\N	\N	\N
697923	2386	1998-07-10	VYDAJ	VYBER	11300	55730	\N	\N	\N
697924	2386	1998-08-09	VYDAJ	VYBER	8200	60364	\N	\N	\N
697925	2386	1998-09-08	VYDAJ	VYBER	10400	64213	\N	\N	\N
697926	2386	1998-10-08	VYDAJ	VYBER	18700	61576	\N	\N	\N
697927	2386	1998-11-07	VYDAJ	VYBER	13700	62132	\N	\N	\N
697928	2386	1998-12-07	VYDAJ	VYBER	10100	62679	\N	\N	\N
697953	2387	1996-06-22	PRIJEM	VKLAD	800	800	\N	\N	\N
697960	2387	1996-07-11	PRIJEM	PREVOD Z UCTU	5121	5921	DUCHOD	MN	3603214
697961	2387	1996-08-11	PRIJEM	PREVOD Z UCTU	5121	11042	DUCHOD	MN	3603214
697962	2387	1996-09-11	PRIJEM	PREVOD Z UCTU	5121	16163	DUCHOD	MN	3603214
697963	2387	1996-10-11	PRIJEM	PREVOD Z UCTU	5121	18504	DUCHOD	MN	3603214
697964	2387	1996-11-11	PRIJEM	PREVOD Z UCTU	5121	20084	DUCHOD	MN	3603214
697965	2387	1996-12-11	PRIJEM	PREVOD Z UCTU	5121	16137	DUCHOD	MN	3603214
697966	2387	1997-01-11	PRIJEM	PREVOD Z UCTU	5121	14189	DUCHOD	MN	3603214
697967	2387	1997-02-11	PRIJEM	PREVOD Z UCTU	5121	14094	DUCHOD	MN	3603214
697968	2387	1997-03-11	PRIJEM	PREVOD Z UCTU	5121	15843	DUCHOD	MN	3603214
697969	2387	1997-04-11	PRIJEM	PREVOD Z UCTU	5121	13792	DUCHOD	MN	3603214
697970	2387	1997-05-11	PRIJEM	PREVOD Z UCTU	5121	12534	DUCHOD	MN	3603214
697971	2387	1997-06-11	PRIJEM	PREVOD Z UCTU	5121	14276	DUCHOD	MN	3603214
697972	2387	1997-07-11	PRIJEM	PREVOD Z UCTU	5121	15385	DUCHOD	MN	3603214
697973	2387	1997-08-11	PRIJEM	PREVOD Z UCTU	5121	14179	DUCHOD	MN	3603214
697974	2387	1997-09-11	PRIJEM	PREVOD Z UCTU	5121	15928	DUCHOD	MN	3603214
697975	2387	1997-10-11	PRIJEM	PREVOD Z UCTU	5121	17685	DUCHOD	MN	3603214
697976	2387	1997-11-11	PRIJEM	PREVOD Z UCTU	5121	19448	DUCHOD	MN	3603214
697977	2387	1997-12-11	PRIJEM	PREVOD Z UCTU	5121	18657	DUCHOD	MN	3603214
697978	2387	1998-01-11	PRIJEM	PREVOD Z UCTU	5121	14782	DUCHOD	MN	3603214
697979	2387	1998-02-11	PRIJEM	PREVOD Z UCTU	5121	15251	DUCHOD	MN	3603214
697980	2387	1998-03-11	PRIJEM	PREVOD Z UCTU	5121	17004	DUCHOD	MN	3603214
697981	2387	1998-04-11	PRIJEM	PREVOD Z UCTU	5121	18765	DUCHOD	MN	3603214
697982	2387	1998-05-11	PRIJEM	PREVOD Z UCTU	5121	20533	DUCHOD	MN	3603214
697983	2387	1998-06-11	PRIJEM	PREVOD Z UCTU	5121	20148	DUCHOD	MN	3603214
697984	2387	1998-07-11	PRIJEM	PREVOD Z UCTU	5121	18399	DUCHOD	MN	3603214
697985	2387	1998-08-11	PRIJEM	PREVOD Z UCTU	5121	20166	DUCHOD	MN	3603214
697986	2387	1998-09-11	PRIJEM	PREVOD Z UCTU	5121	21940	DUCHOD	MN	3603214
697987	2387	1998-10-11	PRIJEM	PREVOD Z UCTU	5121	23721	DUCHOD	MN	3603214
697988	2387	1998-11-11	PRIJEM	PREVOD Z UCTU	5121	23829	DUCHOD	MN	3603214
697989	2387	1998-12-11	PRIJEM	PREVOD Z UCTU	5121	25618	DUCHOD	MN	3603214
698001	2387	1996-12-08	VYDAJ	PREVOD NA UCET	3414	11016	SIPO	WX	55608665
698002	2387	1997-01-08	VYDAJ	PREVOD NA UCET	3414	9068	SIPO	WX	55608665
698003	2387	1997-02-08	VYDAJ	PREVOD NA UCET	3414	8973	SIPO	WX	55608665
698004	2387	1997-03-08	VYDAJ	PREVOD NA UCET	3414	10722	SIPO	WX	55608665
698005	2387	1997-04-08	VYDAJ	PREVOD NA UCET	3414	8671	SIPO	WX	55608665
698006	2387	1997-05-08	VYDAJ	PREVOD NA UCET	3414	7413	SIPO	WX	55608665
698007	2387	1997-06-08	VYDAJ	PREVOD NA UCET	3414	9155	SIPO	WX	55608665
698008	2387	1997-07-08	VYDAJ	PREVOD NA UCET	3414	10264	SIPO	WX	55608665
698009	2387	1997-08-08	VYDAJ	PREVOD NA UCET	3414	9058	SIPO	WX	55608665
698010	2387	1997-09-08	VYDAJ	PREVOD NA UCET	3414	10807	SIPO	WX	55608665
698011	2387	1997-10-08	VYDAJ	PREVOD NA UCET	3414	12564	SIPO	WX	55608665
698012	2387	1997-11-08	VYDAJ	PREVOD NA UCET	3414	14327	SIPO	WX	55608665
698013	2387	1997-12-08	VYDAJ	PREVOD NA UCET	3414	13536	SIPO	WX	55608665
698014	2387	1998-01-08	VYDAJ	PREVOD NA UCET	3414	9661	SIPO	WX	55608665
698015	2387	1998-02-08	VYDAJ	PREVOD NA UCET	3414	10130	SIPO	WX	55608665
698016	2387	1998-03-08	VYDAJ	PREVOD NA UCET	3414	11883	SIPO	WX	55608665
698017	2387	1998-04-08	VYDAJ	PREVOD NA UCET	3414	13644	SIPO	WX	55608665
698018	2387	1998-05-08	VYDAJ	PREVOD NA UCET	3414	15412	SIPO	WX	55608665
698019	2387	1998-06-08	VYDAJ	PREVOD NA UCET	3414	15027	SIPO	WX	55608665
698020	2387	1998-07-08	VYDAJ	PREVOD NA UCET	3414	14398	SIPO	WX	55608665
698021	2387	1998-08-08	VYDAJ	PREVOD NA UCET	3414	15045	SIPO	WX	55608665
698022	2387	1998-09-08	VYDAJ	PREVOD NA UCET	3414	16819	SIPO	WX	55608665
698023	2387	1998-10-08	VYDAJ	PREVOD NA UCET	3414	18600	SIPO	WX	55608665
698024	2387	1998-11-08	VYDAJ	PREVOD NA UCET	3414	18708	SIPO	WX	55608665
698025	2387	1998-12-08	VYDAJ	PREVOD NA UCET	3414	20497	SIPO	WX	55608665
698029	2387	1996-12-28	VYDAJ	VYBER	600	12437	\N	\N	\N
698030	2387	1997-12-18	VYDAJ	VYBER	1400	17257	\N	\N	\N
698031	2387	1998-12-13	VYDAJ	VYBER	1250	24368	\N	\N	\N
698041	2387	1997-01-27	VYDAJ	VYBER	400	12349	\N	\N	\N
698042	2387	1997-01-12	VYDAJ	VYBER	1440	12749	\N	\N	\N
698044	2387	1998-01-03	VYDAJ	VYBER	2240	13075	\N	\N	\N
698046	2387	1998-01-01	VYDAJ	VYBER	2000	15315	\N	\N	\N
698049	2387	1998-01-16	VYDAJ	VYBER	1280	13502	\N	\N	\N
698055	2387	1997-06-26	VYDAJ	VYBER	640	13636	\N	\N	\N
698057	2387	1997-11-24	VYDAJ	VYBER	2560	16888	\N	\N	\N
698058	2387	1997-07-31	VYDAJ	VYBER	2960	12487	\N	\N	\N
698059	2387	1998-07-08	VYDAJ	VYBER	1120	13278	\N	\N	\N
698060	2387	1998-10-28	VYDAJ	VYBER	1680	22041	\N	\N	\N
698061	2387	1998-05-30	VYDAJ	VYBER	2160	18373	\N	\N	\N
698063	2387	1998-06-24	VYDAJ	VYBER	2400	17748	\N	\N	\N
698075	2387	1996-11-30	VYDAJ	VYBER	15	14430	SLUZBY	\N	\N
698076	2387	1996-12-31	VYDAJ	VYBER	15	12482	SLUZBY	\N	\N
698077	2387	1997-01-31	VYDAJ	VYBER	15	12387	SLUZBY	\N	\N
698078	2387	1997-02-28	VYDAJ	VYBER	15	14136	SLUZBY	\N	\N
698079	2387	1997-03-31	VYDAJ	VYBER	15	12085	SLUZBY	\N	\N
698080	2387	1997-04-30	VYDAJ	VYBER	15	10827	SLUZBY	\N	\N
698081	2387	1997-05-31	VYDAJ	VYBER	15	12569	SLUZBY	\N	\N
698082	2387	1997-06-30	VYDAJ	VYBER	15	13678	SLUZBY	\N	\N
698083	2387	1997-07-31	VYDAJ	VYBER	15	12472	SLUZBY	\N	\N
698084	2387	1997-08-31	VYDAJ	VYBER	15	14221	SLUZBY	\N	\N
698085	2387	1997-09-30	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
698086	2387	1997-10-31	VYDAJ	VYBER	15	17741	SLUZBY	\N	\N
698087	2387	1997-11-30	VYDAJ	VYBER	15	16950	SLUZBY	\N	\N
698088	2387	1997-12-31	VYDAJ	VYBER	15	17315	SLUZBY	\N	\N
698089	2387	1998-01-31	VYDAJ	VYBER	15	13544	SLUZBY	\N	\N
698090	2387	1998-02-28	VYDAJ	VYBER	15	15297	SLUZBY	\N	\N
698091	2387	1998-03-31	VYDAJ	VYBER	15	17058	SLUZBY	\N	\N
698092	2387	1998-04-30	VYDAJ	VYBER	15	18826	SLUZBY	\N	\N
698093	2387	1998-05-31	VYDAJ	VYBER	15	18441	SLUZBY	\N	\N
698094	2387	1998-06-30	VYDAJ	VYBER	15	17812	SLUZBY	\N	\N
698095	2387	1998-07-31	VYDAJ	VYBER	15	18459	SLUZBY	\N	\N
698096	2387	1998-08-31	VYDAJ	VYBER	15	20233	SLUZBY	\N	\N
698097	2387	1998-09-30	VYDAJ	VYBER	15	22014	SLUZBY	\N	\N
698098	2387	1998-10-31	VYDAJ	VYBER	15	22122	SLUZBY	\N	\N
698099	2387	1998-11-30	VYDAJ	VYBER	15	23911	SLUZBY	\N	\N
698100	2387	1996-09-20	VYDAJ	VYBER	2800	13363	\N	\N	\N
698101	2387	1996-10-20	VYDAJ	VYBER	3600	14904	\N	\N	\N
698102	2387	1996-11-19	VYDAJ	VYBER	5700	14384	\N	\N	\N
698103	2387	1996-12-19	VYDAJ	VYBER	3100	13037	\N	\N	\N
698104	2387	1997-03-19	VYDAJ	VYBER	3800	12043	\N	\N	\N
698105	2387	1997-04-18	VYDAJ	VYBER	3000	10792	\N	\N	\N
698134	2388	1993-06-09	PRIJEM	VKLAD	300	300	\N	\N	\N
698141	2388	1993-07-05	PRIJEM	PREVOD Z UCTU	3492	3792	\N	AB	94397276
698142	2388	1993-08-05	PRIJEM	PREVOD Z UCTU	3492	7284	\N	AB	94397276
698143	2388	1993-09-05	PRIJEM	PREVOD Z UCTU	3492	10776	\N	AB	94397276
698144	2388	1993-10-05	PRIJEM	PREVOD Z UCTU	3492	14268	\N	AB	94397276
698145	2388	1993-11-05	PRIJEM	PREVOD Z UCTU	3492	17760	\N	AB	94397276
698146	2388	1993-12-05	PRIJEM	PREVOD Z UCTU	3492	18957	\N	AB	94397276
698147	2388	1994-01-05	PRIJEM	PREVOD Z UCTU	3492	19604	\N	AB	94397276
698148	2388	1994-02-05	PRIJEM	PREVOD Z UCTU	3492	17730	\N	AB	94397276
698149	2388	1994-03-05	PRIJEM	PREVOD Z UCTU	3492	18942	\N	AB	94397276
698150	2388	1994-04-05	PRIJEM	PREVOD Z UCTU	3492	19408	\N	AB	94397276
698151	2388	1994-05-05	PRIJEM	PREVOD Z UCTU	3492	18974	\N	AB	94397276
698152	2388	1994-06-05	PRIJEM	PREVOD Z UCTU	3492	20192	\N	AB	94397276
698153	2388	1994-07-05	PRIJEM	PREVOD Z UCTU	3492	19582	\N	AB	94397276
698154	2388	1994-08-05	PRIJEM	PREVOD Z UCTU	3492	20802	\N	AB	94397276
698155	2388	1994-09-05	PRIJEM	PREVOD Z UCTU	3492	22027	\N	AB	94397276
698156	2388	1994-10-05	PRIJEM	PREVOD Z UCTU	3492	23257	\N	AB	94397276
698157	2388	1994-11-05	PRIJEM	PREVOD Z UCTU	3492	24102	\N	AB	94397276
698158	2388	1994-12-05	PRIJEM	PREVOD Z UCTU	3492	25343	\N	AB	94397276
698159	2388	1995-01-05	PRIJEM	PREVOD Z UCTU	3492	26407	\N	AB	94397276
698160	2388	1995-02-05	PRIJEM	PREVOD Z UCTU	3492	26452	\N	AB	94397276
698161	2388	1995-03-05	PRIJEM	PREVOD Z UCTU	3492	27701	\N	AB	94397276
698162	2388	1995-04-05	PRIJEM	PREVOD Z UCTU	3492	28954	\N	AB	94397276
698163	2388	1995-05-05	PRIJEM	PREVOD Z UCTU	3492	29402	\N	AB	94397276
698164	2388	1995-06-05	PRIJEM	PREVOD Z UCTU	3492	25593	\N	AB	94397276
698165	2388	1995-07-05	PRIJEM	PREVOD Z UCTU	3492	25881	\N	AB	94397276
698166	2388	1995-08-05	PRIJEM	PREVOD Z UCTU	3492	27127	\N	AB	94397276
698167	2388	1995-09-05	PRIJEM	PREVOD Z UCTU	3492	28378	\N	AB	94397276
698168	2388	1995-10-05	PRIJEM	PREVOD Z UCTU	3492	27492	\N	AB	94397276
698169	2388	1995-11-05	PRIJEM	PREVOD Z UCTU	3492	28745	\N	AB	94397276
698170	2388	1995-12-05	PRIJEM	PREVOD Z UCTU	3492	27872	\N	AB	94397276
698171	2388	1996-01-05	PRIJEM	PREVOD Z UCTU	3492	29128	\N	AB	94397276
698172	2388	1996-02-05	PRIJEM	PREVOD Z UCTU	3492	29726	\N	AB	94397276
698173	2388	1996-03-05	PRIJEM	PREVOD Z UCTU	3492	28386	\N	AB	94397276
698174	2388	1996-04-05	PRIJEM	PREVOD Z UCTU	3492	29642	\N	AB	94397276
698175	2388	1996-05-05	PRIJEM	PREVOD Z UCTU	3492	29791	\N	AB	94397276
698176	2388	1996-06-05	PRIJEM	PREVOD Z UCTU	3492	30153	\N	AB	94397276
698177	2388	1996-07-05	PRIJEM	PREVOD Z UCTU	3492	27209	\N	AB	94397276
698178	2388	1996-08-05	PRIJEM	PREVOD Z UCTU	3492	27559	\N	AB	94397276
698179	2388	1996-09-05	PRIJEM	PREVOD Z UCTU	3492	27491	\N	AB	94397276
698180	2388	1996-10-05	PRIJEM	PREVOD Z UCTU	3492	28743	\N	AB	94397276
698181	2388	1996-11-05	PRIJEM	PREVOD Z UCTU	3492	30000	\N	AB	94397276
698182	2388	1996-12-05	PRIJEM	PREVOD Z UCTU	3492	31263	\N	AB	94397276
698183	2388	1997-01-05	PRIJEM	PREVOD Z UCTU	3492	30699	\N	AB	94397276
698184	2388	1997-02-05	PRIJEM	PREVOD Z UCTU	3492	28692	\N	AB	94397276
698185	2388	1997-03-05	PRIJEM	PREVOD Z UCTU	3492	29949	\N	AB	94397276
698186	2388	1997-04-05	PRIJEM	PREVOD Z UCTU	3492	31211	\N	AB	94397276
698187	2388	1997-05-05	PRIJEM	PREVOD Z UCTU	3492	31368	\N	AB	94397276
698188	2388	1997-06-05	PRIJEM	PREVOD Z UCTU	3492	30946	\N	AB	94397276
698189	2388	1997-07-05	PRIJEM	PREVOD Z UCTU	3492	24582	\N	AB	94397276
698190	2388	1997-08-05	PRIJEM	PREVOD Z UCTU	3492	23016	\N	AB	94397276
698191	2388	1997-09-05	PRIJEM	PREVOD Z UCTU	3492	24249	\N	AB	94397276
698192	2388	1997-10-05	PRIJEM	PREVOD Z UCTU	3492	25487	\N	AB	94397276
698193	2388	1997-11-05	PRIJEM	PREVOD Z UCTU	3492	26730	\N	AB	94397276
698194	2388	1997-12-05	PRIJEM	PREVOD Z UCTU	3492	27978	\N	AB	94397276
698195	2388	1998-01-05	PRIJEM	PREVOD Z UCTU	3492	28359	\N	AB	94397276
698196	2388	1998-02-05	PRIJEM	PREVOD Z UCTU	3492	28743	\N	AB	94397276
698197	2388	1998-03-05	PRIJEM	PREVOD Z UCTU	3492	28556	\N	AB	94397276
698198	2388	1998-04-05	PRIJEM	PREVOD Z UCTU	3492	29451	\N	AB	94397276
698199	2388	1998-05-05	PRIJEM	PREVOD Z UCTU	3492	30711	\N	AB	94397276
698200	2388	1998-06-05	PRIJEM	PREVOD Z UCTU	3492	31975	\N	AB	94397276
698201	2388	1998-07-05	PRIJEM	PREVOD Z UCTU	3492	30451	\N	AB	94397276
698202	2388	1998-08-05	PRIJEM	PREVOD Z UCTU	3492	31714	\N	AB	94397276
698203	2388	1998-09-05	PRIJEM	PREVOD Z UCTU	3492	32982	\N	AB	94397276
698204	2388	1998-10-05	PRIJEM	PREVOD Z UCTU	3492	32392	\N	AB	94397276
698205	2388	1998-11-05	PRIJEM	PREVOD Z UCTU	3492	33663	\N	AB	94397276
698206	2388	1998-12-05	PRIJEM	PREVOD Z UCTU	3492	34939	\N	AB	94397276
698217	2388	1993-11-09	VYDAJ	PREVOD NA UCET	2328	15432	SIPO	QR	54345786
698218	2388	1993-12-09	VYDAJ	PREVOD NA UCET	2328	16389	SIPO	QR	54345786
698219	2388	1994-01-09	VYDAJ	PREVOD NA UCET	2328	17276	SIPO	QR	54345786
698220	2388	1994-02-09	VYDAJ	PREVOD NA UCET	2328	15402	SIPO	QR	54345786
698221	2388	1994-03-09	VYDAJ	PREVOD NA UCET	2328	15864	SIPO	QR	54345786
698222	2388	1994-04-09	VYDAJ	PREVOD NA UCET	2328	16480	SIPO	QR	54345786
698223	2388	1994-05-09	VYDAJ	PREVOD NA UCET	2328	16646	SIPO	QR	54345786
698224	2388	1994-06-09	VYDAJ	PREVOD NA UCET	2328	17864	SIPO	QR	54345786
698225	2388	1994-07-09	VYDAJ	PREVOD NA UCET	2328	17254	SIPO	QR	54345786
698226	2388	1994-08-09	VYDAJ	PREVOD NA UCET	2328	18474	SIPO	QR	54345786
698227	2388	1994-09-09	VYDAJ	PREVOD NA UCET	2328	19699	SIPO	QR	54345786
698228	2388	1994-10-09	VYDAJ	PREVOD NA UCET	2328	20929	SIPO	QR	54345786
698229	2388	1994-11-09	VYDAJ	PREVOD NA UCET	2328	21774	SIPO	QR	54345786
698230	2388	1994-12-09	VYDAJ	PREVOD NA UCET	2328	23015	SIPO	QR	54345786
698231	2388	1995-01-09	VYDAJ	PREVOD NA UCET	2328	24079	SIPO	QR	54345786
698232	2388	1995-02-09	VYDAJ	PREVOD NA UCET	2328	24124	SIPO	QR	54345786
698233	2388	1995-03-09	VYDAJ	PREVOD NA UCET	2328	25373	SIPO	QR	54345786
698234	2388	1995-04-09	VYDAJ	PREVOD NA UCET	2328	26626	SIPO	QR	54345786
698235	2388	1995-05-09	VYDAJ	PREVOD NA UCET	2328	27074	SIPO	QR	54345786
698236	2388	1995-06-09	VYDAJ	PREVOD NA UCET	2328	23265	SIPO	QR	54345786
698237	2388	1995-07-09	VYDAJ	PREVOD NA UCET	2328	23553	SIPO	QR	54345786
698238	2388	1995-08-09	VYDAJ	PREVOD NA UCET	2328	24799	SIPO	QR	54345786
698239	2388	1995-09-09	VYDAJ	PREVOD NA UCET	2328	26050	SIPO	QR	54345786
698240	2388	1995-10-09	VYDAJ	PREVOD NA UCET	2328	25164	SIPO	QR	54345786
698241	2388	1995-11-09	VYDAJ	PREVOD NA UCET	2328	26417	SIPO	QR	54345786
698242	2388	1995-12-09	VYDAJ	PREVOD NA UCET	2328	25544	SIPO	QR	54345786
698243	2388	1996-01-09	VYDAJ	PREVOD NA UCET	2328	26800	SIPO	QR	54345786
698244	2388	1996-02-09	VYDAJ	PREVOD NA UCET	2328	27398	SIPO	QR	54345786
698245	2388	1996-03-09	VYDAJ	PREVOD NA UCET	2328	26058	SIPO	QR	54345786
698246	2388	1996-04-09	VYDAJ	PREVOD NA UCET	2328	26204	SIPO	QR	54345786
698247	2388	1996-05-09	VYDAJ	PREVOD NA UCET	2328	27463	SIPO	QR	54345786
698248	2388	1996-06-09	VYDAJ	PREVOD NA UCET	2328	27825	SIPO	QR	54345786
698249	2388	1996-07-09	VYDAJ	PREVOD NA UCET	2328	24881	SIPO	QR	54345786
698250	2388	1996-08-09	VYDAJ	PREVOD NA UCET	2328	25231	SIPO	QR	54345786
698251	2388	1996-09-09	VYDAJ	PREVOD NA UCET	2328	25163	SIPO	QR	54345786
698252	2388	1996-10-09	VYDAJ	PREVOD NA UCET	2328	26415	SIPO	QR	54345786
698253	2388	1996-11-09	VYDAJ	PREVOD NA UCET	2328	27672	SIPO	QR	54345786
698254	2388	1996-12-09	VYDAJ	PREVOD NA UCET	2328	28935	SIPO	QR	54345786
698255	2388	1997-01-09	VYDAJ	PREVOD NA UCET	2328	28371	SIPO	QR	54345786
698256	2388	1997-02-09	VYDAJ	PREVOD NA UCET	2328	26364	SIPO	QR	54345786
698257	2388	1997-03-09	VYDAJ	PREVOD NA UCET	2328	27621	SIPO	QR	54345786
698258	2388	1997-04-09	VYDAJ	PREVOD NA UCET	2328	28883	SIPO	QR	54345786
698259	2388	1997-05-09	VYDAJ	PREVOD NA UCET	2328	29040	SIPO	QR	54345786
698260	2388	1997-06-09	VYDAJ	PREVOD NA UCET	2328	28618	SIPO	QR	54345786
698261	2388	1997-07-09	VYDAJ	PREVOD NA UCET	2328	22254	SIPO	QR	54345786
698262	2388	1997-08-09	VYDAJ	PREVOD NA UCET	2328	20688	SIPO	QR	54345786
698263	2388	1997-09-09	VYDAJ	PREVOD NA UCET	2328	21921	SIPO	QR	54345786
698264	2388	1997-10-09	VYDAJ	PREVOD NA UCET	2328	23159	SIPO	QR	54345786
698265	2388	1997-11-09	VYDAJ	PREVOD NA UCET	2328	24402	SIPO	QR	54345786
698266	2388	1997-12-09	VYDAJ	PREVOD NA UCET	2328	25650	SIPO	QR	54345786
698267	2388	1998-01-09	VYDAJ	PREVOD NA UCET	2328	26031	SIPO	QR	54345786
698268	2388	1998-02-09	VYDAJ	PREVOD NA UCET	2328	24975	SIPO	QR	54345786
698269	2388	1998-03-09	VYDAJ	PREVOD NA UCET	2328	26228	SIPO	QR	54345786
698270	2388	1998-04-09	VYDAJ	PREVOD NA UCET	2328	27123	SIPO	QR	54345786
698271	2388	1998-05-09	VYDAJ	PREVOD NA UCET	2328	28383	SIPO	QR	54345786
698272	2388	1998-06-09	VYDAJ	PREVOD NA UCET	2328	29647	SIPO	QR	54345786
698273	2388	1998-07-09	VYDAJ	PREVOD NA UCET	2328	28123	SIPO	QR	54345786
698274	2388	1998-08-09	VYDAJ	PREVOD NA UCET	2328	29386	SIPO	QR	54345786
698275	2388	1998-09-09	VYDAJ	PREVOD NA UCET	2328	30654	SIPO	QR	54345786
698276	2388	1998-10-09	VYDAJ	PREVOD NA UCET	2328	30064	SIPO	QR	54345786
698277	2388	1998-11-09	VYDAJ	PREVOD NA UCET	2328	31335	SIPO	QR	54345786
698278	2388	1998-12-09	VYDAJ	PREVOD NA UCET	2328	32611	SIPO	QR	54345786
698281	2388	1995-06-01	VYDAJ	VYBER	4770	22101	\N	\N	\N
698282	2388	1996-06-19	VYDAJ	VYBER	4200	23625	\N	\N	\N
698283	2388	1997-06-23	VYDAJ	VYBER	5670	21688	\N	\N	\N
698284	2388	1998-06-21	VYDAJ	VYBER	2040	26857	\N	\N	\N
698286	2388	1994-01-24	VYDAJ	VYBER	1950	14186	\N	\N	\N
698287	2388	1995-01-13	VYDAJ	VYBER	1200	22879	\N	\N	\N
698288	2388	1996-01-20	VYDAJ	VYBER	660	26140	\N	\N	\N
698289	2388	1997-01-22	VYDAJ	VYBER	2190	25101	\N	\N	\N
698290	2388	1998-01-19	VYDAJ	VYBER	870	25161	\N	\N	\N
698291	2388	1993-12-11	VYDAJ	VYBER	330	16059	\N	\N	\N
698292	2388	1994-12-27	VYDAJ	VYBER	180	22835	\N	\N	\N
698293	2388	1995-12-04	VYDAJ	VYBER	570	24380	\N	\N	\N
698294	2388	1996-12-18	VYDAJ	VYBER	870	28065	\N	\N	\N
698295	2388	1997-12-15	VYDAJ	VYBER	870	24780	\N	\N	\N
698296	2388	1998-12-15	VYDAJ	VYBER	390	32221	\N	\N	\N
698303	2388	1993-12-05	VYDAJ	VYBER	240	18717	\N	\N	\N
698304	2388	1994-04-07	VYDAJ	VYBER	600	18808	\N	\N	\N
698305	2388	1994-06-19	VYDAJ	VYBER	540	17324	\N	\N	\N
698306	2388	1994-04-18	VYDAJ	VYBER	1050	15430	\N	\N	\N
698307	2388	1994-01-19	VYDAJ	VYBER	1140	16136	\N	\N	\N
698308	2388	1994-06-22	VYDAJ	VYBER	1290	16034	\N	\N	\N
698309	2388	1994-11-01	VYDAJ	VYBER	210	20610	\N	\N	\N
698310	2388	1994-10-31	VYDAJ	VYBER	180	20835	\N	\N	\N
698311	2388	1994-03-08	VYDAJ	VYBER	750	18192	\N	\N	\N
698312	2388	1995-11-18	VYDAJ	VYBER	390	26027	\N	\N	\N
698313	2388	1995-06-22	VYDAJ	VYBER	960	22305	\N	\N	\N
698314	2388	1995-09-18	VYDAJ	VYBER	840	25210	\N	\N	\N
698315	2388	1995-04-21	VYDAJ	VYBER	810	25816	\N	\N	\N
698316	2388	1995-11-27	VYDAJ	VYBER	1170	24857	\N	\N	\N
698317	2388	1996-08-24	VYDAJ	VYBER	1320	23911	\N	\N	\N
698318	2388	1996-04-05	VYDAJ	VYBER	1110	28532	\N	\N	\N
698319	2388	1996-07-26	VYDAJ	VYBER	900	23981	\N	\N	\N
698320	2388	1997-05-04	VYDAJ	VYBER	1110	27876	\N	\N	\N
698321	2388	1997-01-02	VYDAJ	VYBER	960	27207	\N	\N	\N
698322	2388	1997-01-20	VYDAJ	VYBER	1080	27291	\N	\N	\N
698323	2388	1997-05-19	VYDAJ	VYBER	1290	27750	\N	\N	\N
698324	2388	1997-06-24	VYDAJ	VYBER	690	20998	\N	\N	\N
698325	2388	1997-06-10	VYDAJ	VYBER	1260	27358	\N	\N	\N
698326	2388	1998-09-15	VYDAJ	VYBER	810	29844	\N	\N	\N
698327	2388	1998-06-21	VYDAJ	VYBER	750	28897	\N	\N	\N
698328	2388	1998-09-19	VYDAJ	VYBER	1050	28794	\N	\N	\N
698329	2388	1998-02-06	VYDAJ	VYBER	1440	27303	\N	\N	\N
698330	2388	1998-03-31	VYDAJ	VYBER	360	25959	\N	\N	\N
698342	2388	1993-11-30	VYDAJ	VYBER	15	15465	SLUZBY	\N	\N
698343	2388	1993-12-31	VYDAJ	VYBER	15	16112	SLUZBY	\N	\N
698344	2388	1994-01-31	VYDAJ	VYBER	15	14238	SLUZBY	\N	\N
698345	2388	1994-02-28	VYDAJ	VYBER	15	15450	SLUZBY	\N	\N
698346	2388	1994-03-31	VYDAJ	VYBER	15	15916	SLUZBY	\N	\N
698347	2388	1994-04-30	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
698348	2388	1994-05-31	VYDAJ	VYBER	15	16700	SLUZBY	\N	\N
698349	2388	1994-06-30	VYDAJ	VYBER	15	16090	SLUZBY	\N	\N
698350	2388	1994-07-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
698351	2388	1994-08-31	VYDAJ	VYBER	15	18535	SLUZBY	\N	\N
698352	2388	1994-09-30	VYDAJ	VYBER	15	19765	SLUZBY	\N	\N
698353	2388	1994-10-31	VYDAJ	VYBER	15	20820	SLUZBY	\N	\N
698354	2388	1994-11-30	VYDAJ	VYBER	15	21851	SLUZBY	\N	\N
698355	2388	1994-12-31	VYDAJ	VYBER	15	22915	SLUZBY	\N	\N
698356	2388	1995-01-31	VYDAJ	VYBER	15	22960	SLUZBY	\N	\N
698357	2388	1995-02-28	VYDAJ	VYBER	15	24209	SLUZBY	\N	\N
698358	2388	1995-03-31	VYDAJ	VYBER	15	25462	SLUZBY	\N	\N
698359	2388	1995-04-30	VYDAJ	VYBER	15	25910	SLUZBY	\N	\N
698360	2388	1995-05-31	VYDAJ	VYBER	15	26871	SLUZBY	\N	\N
698361	2388	1995-06-30	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
698362	2388	1995-07-31	VYDAJ	VYBER	15	23635	SLUZBY	\N	\N
698363	2388	1995-08-31	VYDAJ	VYBER	15	24886	SLUZBY	\N	\N
698364	2388	1995-09-30	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
698365	2388	1995-10-31	VYDAJ	VYBER	15	25253	SLUZBY	\N	\N
698366	2388	1995-11-30	VYDAJ	VYBER	15	24950	SLUZBY	\N	\N
698367	2388	1995-12-31	VYDAJ	VYBER	15	25636	SLUZBY	\N	\N
698368	2388	1996-01-31	VYDAJ	VYBER	15	26234	SLUZBY	\N	\N
698369	2388	1996-02-29	VYDAJ	VYBER	15	24894	SLUZBY	\N	\N
698370	2388	1996-03-31	VYDAJ	VYBER	15	26150	SLUZBY	\N	\N
698371	2388	1996-04-30	VYDAJ	VYBER	15	26299	SLUZBY	\N	\N
698372	2388	1996-05-31	VYDAJ	VYBER	15	26661	SLUZBY	\N	\N
698373	2388	1996-06-30	VYDAJ	VYBER	15	23717	SLUZBY	\N	\N
698374	2388	1996-07-31	VYDAJ	VYBER	15	24067	SLUZBY	\N	\N
698375	2388	1996-08-31	VYDAJ	VYBER	15	23999	SLUZBY	\N	\N
698376	2388	1996-09-30	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
698377	2388	1996-10-31	VYDAJ	VYBER	15	26508	SLUZBY	\N	\N
698378	2388	1996-11-30	VYDAJ	VYBER	15	27771	SLUZBY	\N	\N
698379	2388	1996-12-31	VYDAJ	VYBER	15	28167	SLUZBY	\N	\N
698380	2388	1997-01-31	VYDAJ	VYBER	15	25200	SLUZBY	\N	\N
698381	2388	1997-02-28	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
698382	2388	1997-03-31	VYDAJ	VYBER	15	27719	SLUZBY	\N	\N
698383	2388	1997-04-30	VYDAJ	VYBER	15	28986	SLUZBY	\N	\N
698384	2388	1997-05-31	VYDAJ	VYBER	15	27454	SLUZBY	\N	\N
698385	2388	1997-06-30	VYDAJ	VYBER	15	21090	SLUZBY	\N	\N
698386	2388	1997-07-31	VYDAJ	VYBER	15	19524	SLUZBY	\N	\N
698387	2388	1997-08-31	VYDAJ	VYBER	15	20757	SLUZBY	\N	\N
698388	2388	1997-09-30	VYDAJ	VYBER	15	21995	SLUZBY	\N	\N
698389	2388	1997-10-31	VYDAJ	VYBER	15	23238	SLUZBY	\N	\N
698390	2388	1997-11-30	VYDAJ	VYBER	15	24486	SLUZBY	\N	\N
698391	2388	1997-12-31	VYDAJ	VYBER	15	24867	SLUZBY	\N	\N
698392	2388	1998-01-31	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
698393	2388	1998-02-28	VYDAJ	VYBER	15	25064	SLUZBY	\N	\N
698394	2388	1998-03-31	VYDAJ	VYBER	15	26319	SLUZBY	\N	\N
698395	2388	1998-04-30	VYDAJ	VYBER	15	27219	SLUZBY	\N	\N
698396	2388	1998-05-31	VYDAJ	VYBER	15	28483	SLUZBY	\N	\N
698397	2388	1998-06-30	VYDAJ	VYBER	15	26959	SLUZBY	\N	\N
698398	2388	1998-07-31	VYDAJ	VYBER	15	28222	SLUZBY	\N	\N
698399	2388	1998-08-31	VYDAJ	VYBER	15	29490	SLUZBY	\N	\N
698400	2388	1998-09-30	VYDAJ	VYBER	15	28900	SLUZBY	\N	\N
698401	2388	1998-10-31	VYDAJ	VYBER	15	30171	SLUZBY	\N	\N
698402	2388	1998-11-30	VYDAJ	VYBER	15	31447	SLUZBY	\N	\N
698403	2388	1995-05-30	VYDAJ	VYBER	300	26774	\N	\N	\N
698404	2388	1995-09-27	VYDAJ	VYBER	1300	23910	\N	\N	\N
698405	2388	1996-02-24	VYDAJ	VYBER	2600	24798	\N	\N	\N
698406	2388	1996-05-24	VYDAJ	VYBER	900	26563	\N	\N	\N
698407	2388	1997-05-19	VYDAJ	VYBER	400	27350	\N	\N	\N
698408	2388	1997-07-18	VYDAJ	VYBER	2800	19454	\N	\N	\N
698471	2389	1996-06-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
698477	2389	1996-06-06	PRIJEM	VKLAD	32244	33244	\N	\N	\N
698478	2389	1996-07-06	PRIJEM	VKLAD	21496	52055	\N	\N	\N
698479	2389	1996-08-06	PRIJEM	VKLAD	21496	58856	\N	\N	\N
698480	2389	1996-09-06	PRIJEM	VKLAD	21496	61690	\N	\N	\N
698481	2389	1996-10-06	PRIJEM	VKLAD	21496	65054	\N	\N	\N
698482	2389	1996-11-06	PRIJEM	VKLAD	21496	64647	\N	\N	\N
698483	2389	1996-12-06	PRIJEM	VKLAD	32244	76381	\N	\N	\N
698484	2389	1997-01-06	PRIJEM	VKLAD	21496	69301	\N	\N	\N
698485	2389	1997-02-06	PRIJEM	VKLAD	21496	59516	\N	\N	\N
698486	2389	1997-03-06	PRIJEM	VKLAD	21496	61705	\N	\N	\N
698487	2389	1997-04-06	PRIJEM	VKLAD	21496	64683	\N	\N	\N
698488	2389	1997-05-06	PRIJEM	VKLAD	21496	63970	\N	\N	\N
698489	2389	1997-06-06	PRIJEM	VKLAD	32244	76403	\N	\N	\N
698490	2389	1997-07-06	PRIJEM	VKLAD	21496	60867	\N	\N	\N
698491	2389	1997-08-06	PRIJEM	VKLAD	21496	63337	\N	\N	\N
698492	2389	1997-09-06	PRIJEM	VKLAD	21496	58509	\N	\N	\N
698493	2389	1997-10-06	PRIJEM	VKLAD	21496	56365	\N	\N	\N
698494	2389	1997-11-06	PRIJEM	VKLAD	21496	59133	\N	\N	\N
698495	2389	1997-12-06	PRIJEM	VKLAD	32244	70041	\N	\N	\N
698496	2389	1998-01-06	PRIJEM	VKLAD	21496	66848	\N	\N	\N
698497	2389	1998-02-06	PRIJEM	VKLAD	21496	57626	\N	\N	\N
698498	2389	1998-03-06	PRIJEM	VKLAD	21496	54768	\N	\N	\N
698499	2389	1998-04-06	PRIJEM	VKLAD	21496	53102	\N	\N	\N
698500	2389	1998-05-06	PRIJEM	VKLAD	21496	53127	\N	\N	\N
698501	2389	1998-06-06	PRIJEM	VKLAD	32244	58606	\N	\N	\N
698502	2389	1998-07-06	PRIJEM	VKLAD	21496	56470	\N	\N	\N
698503	2389	1998-08-06	PRIJEM	VKLAD	21496	58010	\N	\N	\N
698504	2389	1998-09-06	PRIJEM	VKLAD	21496	54352	\N	\N	\N
698505	2389	1998-10-06	PRIJEM	VKLAD	21496	59885	\N	\N	\N
698506	2389	1998-11-06	PRIJEM	VKLAD	21496	63939	\N	\N	\N
698507	2389	1998-12-06	PRIJEM	VKLAD	32244	76551	\N	\N	\N
698517	2389	1996-10-12	VYDAJ	PREVOD NA UCET	3912	61142	SIPO	IJ	87516963
698518	2389	1996-11-12	VYDAJ	PREVOD NA UCET	3912	60735	SIPO	IJ	87516963
698519	2389	1996-12-12	VYDAJ	PREVOD NA UCET	3912	72469	SIPO	IJ	87516963
698520	2389	1997-01-12	VYDAJ	PREVOD NA UCET	3912	63889	SIPO	IJ	87516963
698521	2389	1997-02-12	VYDAJ	PREVOD NA UCET	3912	55604	SIPO	IJ	87516963
698522	2389	1997-03-12	VYDAJ	PREVOD NA UCET	3912	57793	SIPO	IJ	87516963
698523	2389	1997-04-12	VYDAJ	PREVOD NA UCET	3912	60771	SIPO	IJ	87516963
698524	2389	1997-05-12	VYDAJ	PREVOD NA UCET	3912	60058	SIPO	IJ	87516963
698525	2389	1997-06-12	VYDAJ	PREVOD NA UCET	3912	49091	SIPO	IJ	87516963
698526	2389	1997-07-12	VYDAJ	PREVOD NA UCET	3912	56955	SIPO	IJ	87516963
698527	2389	1997-08-12	VYDAJ	PREVOD NA UCET	3912	59425	SIPO	IJ	87516963
698528	2389	1997-09-12	VYDAJ	PREVOD NA UCET	3912	54597	SIPO	IJ	87516963
698529	2389	1997-10-12	VYDAJ	PREVOD NA UCET	3912	52453	SIPO	IJ	87516963
698530	2389	1997-11-12	VYDAJ	PREVOD NA UCET	3912	55221	SIPO	IJ	87516963
698531	2389	1997-12-12	VYDAJ	PREVOD NA UCET	3912	66129	SIPO	IJ	87516963
698532	2389	1998-01-12	VYDAJ	PREVOD NA UCET	3912	61436	SIPO	IJ	87516963
698533	2389	1998-02-12	VYDAJ	PREVOD NA UCET	3912	53714	SIPO	IJ	87516963
698534	2389	1998-03-12	VYDAJ	PREVOD NA UCET	3912	50856	SIPO	IJ	87516963
698535	2389	1998-04-12	VYDAJ	PREVOD NA UCET	3912	49190	SIPO	IJ	87516963
698536	2389	1998-05-12	VYDAJ	PREVOD NA UCET	3912	49215	SIPO	IJ	87516963
698537	2389	1998-06-12	VYDAJ	PREVOD NA UCET	3912	54694	SIPO	IJ	87516963
698538	2389	1998-07-12	VYDAJ	PREVOD NA UCET	3912	52558	SIPO	IJ	87516963
698539	2389	1998-08-12	VYDAJ	PREVOD NA UCET	3912	54098	SIPO	IJ	87516963
698540	2389	1998-09-12	VYDAJ	PREVOD NA UCET	3912	50440	SIPO	IJ	87516963
698541	2389	1998-10-12	VYDAJ	PREVOD NA UCET	3912	55973	SIPO	IJ	87516963
698542	2389	1998-11-12	VYDAJ	PREVOD NA UCET	3912	60027	SIPO	IJ	87516963
698543	2389	1998-12-12	VYDAJ	PREVOD NA UCET	3912	72639	SIPO	IJ	87516963
698545	2389	1997-06-09	VYDAJ	VYBER	23400	53003	\N	\N	\N
698546	2389	1998-06-05	VYDAJ	VYBER	9400	26362	\N	\N	\N
698547	2389	1996-12-16	VYDAJ	VYBER	600	71869	\N	\N	\N
698548	2389	1997-12-03	VYDAJ	VYBER	2800	37797	\N	\N	\N
698549	2389	1998-12-23	VYDAJ	VYBER	800	45139	\N	\N	\N
698556	2389	1997-01-25	VYDAJ	VYBER	2200	58989	\N	\N	\N
698557	2389	1997-01-01	VYDAJ	VYBER	1000	52405	\N	\N	\N
698558	2389	1997-01-22	VYDAJ	VYBER	1600	61189	\N	\N	\N
698559	2389	1997-01-10	VYDAJ	VYBER	900	68401	\N	\N	\N
698560	2389	1997-01-11	VYDAJ	VYBER	600	67801	\N	\N	\N
698561	2389	1997-01-18	VYDAJ	VYBER	1100	62789	\N	\N	\N
698562	2389	1998-01-11	VYDAJ	VYBER	600	65348	\N	\N	\N
698563	2389	1998-01-17	VYDAJ	VYBER	1700	57736	\N	\N	\N
698564	2389	1998-01-16	VYDAJ	VYBER	2000	59436	\N	\N	\N
698565	2389	1998-01-27	VYDAJ	VYBER	1800	35936	\N	\N	\N
698566	2389	1998-01-20	VYDAJ	VYBER	1200	56536	\N	\N	\N
698567	2389	1998-01-08	VYDAJ	VYBER	900	65948	\N	\N	\N
698568	2389	1996-11-16	VYDAJ	VYBER	2900	57835	\N	\N	\N
698571	2389	1997-02-03	VYDAJ	VYBER	2900	38020	\N	\N	\N
698572	2389	1997-01-04	VYDAJ	VYBER	4600	47805	\N	\N	\N
698573	2389	1997-04-24	VYDAJ	VYBER	2800	57971	\N	\N	\N
698574	2389	1997-08-23	VYDAJ	VYBER	2500	56925	\N	\N	\N
698575	2389	1997-10-02	VYDAJ	VYBER	4400	34869	\N	\N	\N
698576	2389	1997-12-01	VYDAJ	VYBER	1700	40597	\N	\N	\N
698577	2389	1998-08-23	VYDAJ	VYBER	1600	39798	\N	\N	\N
698578	2389	1998-04-18	VYDAJ	VYBER	3600	45590	\N	\N	\N
698579	2389	1998-09-22	VYDAJ	VYBER	1800	38240	\N	\N	\N
698580	2389	1998-08-28	VYDAJ	VYBER	4300	32698	\N	\N	\N
698581	2389	1998-06-29	VYDAJ	VYBER	2600	34794	\N	\N	\N
698582	2389	1998-08-26	VYDAJ	VYBER	2800	36998	\N	\N	\N
698593	2389	1996-10-31	VYDAJ	VYBER	15	43151	SLUZBY	\N	\N
698594	2389	1996-11-30	VYDAJ	VYBER	15	44137	SLUZBY	\N	\N
698595	2389	1996-12-31	VYDAJ	VYBER	15	53405	SLUZBY	\N	\N
698596	2389	1997-01-31	VYDAJ	VYBER	15	40920	SLUZBY	\N	\N
698597	2389	1997-02-28	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
698598	2389	1997-03-31	VYDAJ	VYBER	15	43187	SLUZBY	\N	\N
698599	2389	1997-04-30	VYDAJ	VYBER	15	42474	SLUZBY	\N	\N
698600	2389	1997-05-31	VYDAJ	VYBER	15	44159	SLUZBY	\N	\N
698601	2389	1997-06-30	VYDAJ	VYBER	15	39371	SLUZBY	\N	\N
698602	2389	1997-07-31	VYDAJ	VYBER	15	41841	SLUZBY	\N	\N
698603	2389	1997-08-31	VYDAJ	VYBER	15	37013	SLUZBY	\N	\N
698604	2389	1997-09-30	VYDAJ	VYBER	15	39269	SLUZBY	\N	\N
698605	2389	1997-10-31	VYDAJ	VYBER	15	37637	SLUZBY	\N	\N
698606	2389	1997-11-30	VYDAJ	VYBER	15	42297	SLUZBY	\N	\N
698607	2389	1997-12-31	VYDAJ	VYBER	15	45352	SLUZBY	\N	\N
698608	2389	1998-01-31	VYDAJ	VYBER	15	36130	SLUZBY	\N	\N
698609	2389	1998-02-28	VYDAJ	VYBER	15	33272	SLUZBY	\N	\N
698610	2389	1998-03-31	VYDAJ	VYBER	15	31606	SLUZBY	\N	\N
698611	2389	1998-04-30	VYDAJ	VYBER	15	31631	SLUZBY	\N	\N
698612	2389	1998-05-31	VYDAJ	VYBER	15	35762	SLUZBY	\N	\N
698613	2389	1998-06-30	VYDAJ	VYBER	15	34974	SLUZBY	\N	\N
698614	2389	1998-07-31	VYDAJ	VYBER	15	36514	SLUZBY	\N	\N
698615	2389	1998-08-31	VYDAJ	VYBER	15	32856	SLUZBY	\N	\N
698616	2389	1998-09-30	VYDAJ	VYBER	15	38389	SLUZBY	\N	\N
698617	2389	1998-10-31	VYDAJ	VYBER	15	42443	SLUZBY	\N	\N
698618	2389	1998-11-30	VYDAJ	VYBER	15	44307	SLUZBY	\N	\N
698619	2389	1996-07-02	VYDAJ	VYBER	2800	30559	\N	\N	\N
698620	2389	1996-08-01	VYDAJ	VYBER	14900	37360	\N	\N	\N
698621	2389	1996-08-31	VYDAJ	VYBER	18900	40194	\N	\N	\N
698622	2389	1996-09-30	VYDAJ	VYBER	18300	43558	\N	\N	\N
698623	2389	1996-10-30	VYDAJ	VYBER	18200	42942	\N	\N	\N
698624	2389	1996-11-29	VYDAJ	VYBER	13900	43935	\N	\N	\N
698625	2389	1996-12-29	VYDAJ	VYBER	18700	53169	\N	\N	\N
698626	2389	1997-01-28	VYDAJ	VYBER	18300	40689	\N	\N	\N
698627	2389	1997-02-27	VYDAJ	VYBER	15600	40004	\N	\N	\N
698628	2389	1997-03-29	VYDAJ	VYBER	14800	42993	\N	\N	\N
698629	2389	1997-04-28	VYDAJ	VYBER	15700	42271	\N	\N	\N
698630	2389	1997-05-28	VYDAJ	VYBER	16100	43958	\N	\N	\N
698631	2389	1997-06-27	VYDAJ	VYBER	9900	39191	\N	\N	\N
698632	2389	1997-07-27	VYDAJ	VYBER	15300	41655	\N	\N	\N
698633	2389	1997-08-26	VYDAJ	VYBER	20100	36825	\N	\N	\N
698634	2389	1997-09-25	VYDAJ	VYBER	15500	39097	\N	\N	\N
698635	2389	1997-10-25	VYDAJ	VYBER	15000	37453	\N	\N	\N
698636	2389	1997-11-24	VYDAJ	VYBER	13100	42121	\N	\N	\N
698637	2389	1997-12-24	VYDAJ	VYBER	21000	45129	\N	\N	\N
698638	2389	1998-01-23	VYDAJ	VYBER	18800	37736	\N	\N	\N
698639	2389	1998-02-22	VYDAJ	VYBER	20600	33114	\N	\N	\N
698640	2389	1998-03-24	VYDAJ	VYBER	19400	31456	\N	\N	\N
698641	2389	1998-04-23	VYDAJ	VYBER	14100	31490	\N	\N	\N
698642	2389	1998-05-23	VYDAJ	VYBER	13600	35615	\N	\N	\N
698643	2389	1998-06-22	VYDAJ	VYBER	17300	37394	\N	\N	\N
698644	2389	1998-07-22	VYDAJ	VYBER	16200	36358	\N	\N	\N
698645	2389	1998-08-21	VYDAJ	VYBER	12700	41398	\N	\N	\N
698646	2389	1998-09-20	VYDAJ	VYBER	10400	40040	\N	\N	\N
698647	2389	1998-10-20	VYDAJ	VYBER	13700	42273	\N	\N	\N
698648	2389	1998-11-19	VYDAJ	VYBER	15900	44127	\N	\N	\N
698649	2389	1998-12-19	VYDAJ	VYBER	26700	45939	\N	\N	\N
698681	2390	1996-02-12	PRIJEM	VKLAD	700	700	\N	\N	\N
698682	2390	1996-10-23	PRIJEM	VKLAD	42743	88183	\N	\N	\N
698683	2390	1996-05-29	PRIJEM	VKLAD	19732	69063	\N	\N	\N
698684	2390	1996-10-12	PRIJEM	VKLAD	26347	45440	\N	\N	\N
698685	2390	1996-08-27	PRIJEM	VKLAD	6840	21420	\N	\N	\N
698686	2390	1996-09-08	PRIJEM	VKLAD	42352	50150	\N	\N	\N
698688	2390	1996-03-08	PRIJEM	VKLAD	48165	88204	\N	\N	\N
698689	2390	1996-03-24	PRIJEM	VKLAD	39064	92068	\N	\N	\N
698690	2390	1996-04-29	PRIJEM	VKLAD	25146	81051	\N	\N	\N
698691	2390	1996-03-03	PRIJEM	VKLAD	39339	40039	\N	\N	\N
698692	2390	1997-01-21	PRIJEM	VKLAD	42680	94593	\N	\N	\N
698693	2390	1997-03-24	PRIJEM	VKLAD	7948	33311	\N	\N	\N
698694	2390	1997-06-22	PRIJEM	VKLAD	33138	50325	\N	\N	\N
698695	2390	1997-10-19	PRIJEM	VKLAD	37325	65283	\N	\N	\N
698696	2390	1997-01-01	PRIJEM	VKLAD	29748	52892	\N	\N	\N
698697	2390	1997-09-17	PRIJEM	VKLAD	26782	52070	\N	\N	\N
698698	2390	1997-09-22	PRIJEM	VKLAD	24622	76692	\N	\N	\N
698699	2390	1997-11-17	PRIJEM	VKLAD	23476	89582	\N	\N	\N
698700	2390	1997-01-16	PRIJEM	VKLAD	20291	51913	\N	\N	\N
698701	2390	1997-12-21	PRIJEM	VKLAD	33298	119584	\N	\N	\N
698702	2390	1997-02-07	PRIJEM	VKLAD	7903	56834	\N	\N	\N
698703	2390	1997-06-29	PRIJEM	VKLAD	49704	96576	\N	\N	\N
698704	2390	1997-07-10	PRIJEM	VKLAD	46675	81232	\N	\N	\N
698705	2390	1997-02-02	PRIJEM	VKLAD	48788	113662	\N	\N	\N
698706	2390	1997-05-01	PRIJEM	VKLAD	39603	118441	\N	\N	\N
698707	2390	1997-02-28	PRIJEM	VKLAD	40619	118454	\N	\N	\N
698708	2390	1997-03-05	PRIJEM	VKLAD	15407	94783	\N	\N	\N
698709	2390	1997-08-28	PRIJEM	VKLAD	41809	93749	\N	\N	\N
698710	2390	1997-10-09	PRIJEM	VKLAD	16738	45766	\N	\N	\N
698711	2390	1997-03-06	PRIJEM	VKLAD	14350	109133	\N	\N	\N
698712	2390	1997-08-14	PRIJEM	VKLAD	44632	65331	\N	\N	\N
698713	2390	1997-04-15	PRIJEM	VKLAD	40684	78589	\N	\N	\N
698714	2390	1997-12-08	PRIJEM	VKLAD	14212	52265	\N	\N	\N
698715	2390	1997-02-06	PRIJEM	VKLAD	15039	89201	\N	\N	\N
698716	2390	1997-11-16	PRIJEM	VKLAD	36640	66106	\N	\N	\N
698717	2390	1997-02-09	PRIJEM	VKLAD	21001	77835	\N	\N	\N
698718	2390	1997-12-20	PRIJEM	VKLAD	37321	86286	\N	\N	\N
698719	2390	1997-04-03	PRIJEM	VKLAD	45345	72475	\N	\N	\N
698720	2390	1997-11-05	PRIJEM	VKLAD	15357	44936	\N	\N	\N
698721	2390	1998-11-14	PRIJEM	VKLAD	16793	41899	\N	\N	\N
698722	2390	1998-11-12	PRIJEM	VKLAD	12327	25106	\N	\N	\N
698723	2390	1998-03-13	PRIJEM	VKLAD	14991	40701	\N	\N	\N
698724	2390	1998-03-19	PRIJEM	VKLAD	42181	82882	\N	\N	\N
698725	2390	1998-03-11	PRIJEM	VKLAD	23363	25710	\N	\N	\N
698726	2390	1998-11-04	PRIJEM	VKLAD	24741	26449	\N	\N	\N
698727	2390	1998-01-15	PRIJEM	VKLAD	21292	62426	\N	\N	\N
698728	2390	1998-01-25	PRIJEM	VKLAD	5066	62408	\N	\N	\N
698770	2390	1996-06-06	VYDAJ	PREVOD NA UCET	2206	55414	SIPO	KL	62916707
698771	2390	1996-07-06	VYDAJ	PREVOD NA UCET	2206	18272	SIPO	KL	62916707
698772	2390	1996-08-06	VYDAJ	PREVOD NA UCET	2206	15744	SIPO	KL	62916707
698773	2390	1996-09-06	VYDAJ	PREVOD NA UCET	2206	19262	SIPO	KL	62916707
698774	2390	1996-10-06	VYDAJ	PREVOD NA UCET	2206	31757	SIPO	KL	62916707
698775	2390	1996-11-06	VYDAJ	PREVOD NA UCET	2206	86180	SIPO	KL	62916707
698776	2390	1996-12-06	VYDAJ	PREVOD NA UCET	2206	32918	SIPO	KL	62916707
698777	2390	1997-01-06	VYDAJ	PREVOD NA UCET	2206	39222	SIPO	KL	62916707
698778	2390	1997-02-06	VYDAJ	PREVOD NA UCET	2206	48931	SIPO	KL	62916707
698779	2390	1997-03-06	VYDAJ	PREVOD NA UCET	2206	106927	SIPO	KL	62916707
698780	2390	1997-04-06	VYDAJ	PREVOD NA UCET	2206	58805	SIPO	KL	62916707
698781	2390	1997-05-06	VYDAJ	PREVOD NA UCET	2206	69471	SIPO	KL	62916707
698782	2390	1997-06-06	VYDAJ	PREVOD NA UCET	2206	33651	SIPO	KL	62916707
698783	2390	1997-07-06	VYDAJ	PREVOD NA UCET	2206	34557	SIPO	KL	62916707
698784	2390	1997-08-06	VYDAJ	PREVOD NA UCET	2206	32163	SIPO	KL	62916707
698785	2390	1997-09-06	VYDAJ	PREVOD NA UCET	2206	25288	SIPO	KL	62916707
698786	2390	1997-10-06	VYDAJ	PREVOD NA UCET	2206	29028	SIPO	KL	62916707
698787	2390	1997-11-06	VYDAJ	PREVOD NA UCET	2206	42730	SIPO	KL	62916707
698788	2390	1997-12-06	VYDAJ	PREVOD NA UCET	2206	49517	SIPO	KL	62916707
698789	2390	1998-01-06	VYDAJ	PREVOD NA UCET	2206	52598	SIPO	KL	62916707
698790	2390	1998-02-06	VYDAJ	PREVOD NA UCET	2206	11927	SIPO	KL	62916707
698791	2390	1998-03-06	VYDAJ	PREVOD NA UCET	2206	2347	SIPO	KL	62916707
698792	2390	1998-04-06	VYDAJ	PREVOD NA UCET	2206	44653	SIPO	KL	62916707
698793	2390	1998-05-06	VYDAJ	PREVOD NA UCET	2206	15407	SIPO	KL	62916707
698794	2390	1998-06-06	VYDAJ	PREVOD NA UCET	2206	1750	SIPO	KL	62916707
698799	2390	1998-11-06	VYDAJ	PREVOD NA UCET	2206	12779	SIPO	KL	62916707
698800	2390	1998-12-06	VYDAJ	PREVOD NA UCET	2206	31796	SIPO	KL	62916707
698806	2390	1996-06-06	VYDAJ	PREVOD NA UCET	11464	43950	 	QR	66811156
698807	2390	1996-07-06	VYDAJ	PREVOD NA UCET	11464	20478	 	QR	66811156
698808	2390	1996-08-06	VYDAJ	PREVOD NA UCET	11464	4280	 	QR	66811156
698809	2390	1996-09-06	VYDAJ	PREVOD NA UCET	11464	7798	 	QR	66811156
698810	2390	1996-10-06	VYDAJ	PREVOD NA UCET	11464	20293	 	QR	66811156
698811	2390	1996-11-06	VYDAJ	PREVOD NA UCET	11464	74716	 	QR	66811156
698812	2390	1996-12-06	VYDAJ	PREVOD NA UCET	11464	21454	 	QR	66811156
698813	2390	1997-01-06	VYDAJ	PREVOD NA UCET	11464	41428	 	QR	66811156
698814	2390	1997-02-06	VYDAJ	PREVOD NA UCET	11464	51137	 	QR	66811156
698815	2390	1997-03-06	VYDAJ	PREVOD NA UCET	11464	95463	 	QR	66811156
698816	2390	1997-04-06	VYDAJ	PREVOD NA UCET	11464	61011	 	QR	66811156
698817	2390	1997-05-06	VYDAJ	PREVOD NA UCET	11464	85177	 	QR	66811156
698818	2390	1997-06-06	VYDAJ	PREVOD NA UCET	11464	22187	 	QR	66811156
698819	2390	1997-07-06	VYDAJ	PREVOD NA UCET	11464	63863	 	QR	66811156
698820	2390	1997-08-06	VYDAJ	PREVOD NA UCET	11464	20699	 	QR	66811156
698821	2390	1997-09-06	VYDAJ	PREVOD NA UCET	11464	27494	 	QR	66811156
698822	2390	1997-10-06	VYDAJ	PREVOD NA UCET	11464	31234	 	QR	66811156
698823	2390	1997-11-06	VYDAJ	PREVOD NA UCET	11464	31266	 	QR	66811156
698824	2390	1997-12-06	VYDAJ	PREVOD NA UCET	11464	38053	 	QR	66811156
698825	2390	1998-01-06	VYDAJ	PREVOD NA UCET	11464	41134	 	QR	66811156
698826	2390	1998-02-06	VYDAJ	PREVOD NA UCET	11464	14133	 	QR	66811156
698827	2390	1998-03-06	VYDAJ	PREVOD NA UCET	11464	4553	 	QR	66811156
698828	2390	1998-04-06	VYDAJ	PREVOD NA UCET	11464	33189	 	QR	66811156
698829	2390	1998-05-06	VYDAJ	PREVOD NA UCET	11464	3943	 	QR	66811156
698835	2390	1998-11-06	VYDAJ	PREVOD NA UCET	11464	14985	 	QR	66811156
698836	2390	1998-12-06	VYDAJ	PREVOD NA UCET	11464	20332	 	QR	66811156
698839	2390	1996-06-11	VYBER	VYBER	5072	38878	\N	\N	\N
698840	2390	1996-11-28	VYBER	VYBER	10700	34916	\N	\N	\N
698844	2390	1996-05-29	VYBER	VYBER	11757	57306	\N	\N	\N
698847	2390	1997-07-30	VYBER	VYBER	24687	56545	\N	\N	\N
698848	2390	1997-02-01	VYBER	VYBER	21528	64874	\N	\N	\N
698850	2390	1997-10-26	VYBER	VYBER	19791	45492	\N	\N	\N
698851	2390	1997-04-02	VYBER	VYBER	6321	27130	\N	\N	\N
698852	2390	1997-08-25	VYBER	VYBER	13391	51940	\N	\N	\N
698854	2390	1997-06-28	VYBER	VYBER	3453	46872	\N	\N	\N
698855	2390	1997-07-01	VYBER	VYBER	3325	93374	\N	\N	\N
698856	2390	1997-10-10	VYBER	VYBER	17808	27958	\N	\N	\N
698857	2390	1997-09-03	VYBER	VYBER	24404	69558	\N	\N	\N
698859	2390	1997-07-06	VYBER	VYBER	18047	75327	\N	\N	\N
698869	2390	1998-01-29	VYBER	VYBER	3343	37165	\N	\N	\N
698870	2390	1998-01-21	VYBER	VYBER	5084	57342	\N	\N	\N
698879	2390	1997-01-22	VYDAJ	VYBER	8400	86193	\N	\N	\N
698880	2390	1998-01-26	VYDAJ	VYBER	21900	40508	\N	\N	\N
698882	2390	1997-12-10	VYDAJ	VYBER	3300	48965	\N	\N	\N
698888	2390	1997-05-12	VYDAJ	VYBER	4800	35671	\N	\N	\N
698890	2390	1997-11-11	VYDAJ	VYBER	1800	29466	\N	\N	\N
698891	2390	1997-05-04	VYDAJ	VYBER	3900	96641	\N	\N	\N
698892	2390	1997-05-06	VYDAJ	VYBER	13500	71677	\N	\N	\N
698897	2390	1998-03-19	VYDAJ	VYBER	9900	72982	\N	\N	\N
698898	2390	1998-04-12	VYDAJ	VYBER	9900	23289	\N	\N	\N
698906	2390	1996-05-31	VYDAJ	VYBER	15	57620	SLUZBY	\N	\N
698907	2390	1996-06-30	VYDAJ	VYBER	15	31942	SLUZBY	\N	\N
698908	2390	1996-07-31	VYDAJ	VYBER	15	17950	SLUZBY	\N	\N
698909	2390	1996-08-31	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
698910	2390	1996-09-30	VYDAJ	VYBER	15	33963	SLUZBY	\N	\N
698911	2390	1996-10-31	VYDAJ	VYBER	15	88386	SLUZBY	\N	\N
698912	2390	1996-11-30	VYDAJ	VYBER	15	35124	SLUZBY	\N	\N
698913	2390	1996-12-31	VYDAJ	VYBER	15	23144	SLUZBY	\N	\N
698914	2390	1997-01-31	VYDAJ	VYBER	15	86402	SLUZBY	\N	\N
698915	2390	1997-02-28	VYDAJ	VYBER	15	79376	SLUZBY	\N	\N
698916	2390	1997-03-31	VYDAJ	VYBER	15	33451	SLUZBY	\N	\N
698917	2390	1997-04-30	VYDAJ	VYBER	15	78838	SLUZBY	\N	\N
698918	2390	1997-05-31	VYDAJ	VYBER	15	35857	SLUZBY	\N	\N
698919	2390	1997-06-30	VYDAJ	VYBER	15	96699	SLUZBY	\N	\N
698920	2390	1997-07-31	VYDAJ	VYBER	15	56869	SLUZBY	\N	\N
698921	2390	1997-08-31	VYDAJ	VYBER	15	93962	SLUZBY	\N	\N
698922	2390	1997-09-30	VYDAJ	VYBER	15	76898	SLUZBY	\N	\N
698923	2390	1997-10-31	VYDAJ	VYBER	15	45679	SLUZBY	\N	\N
698924	2390	1997-11-30	VYDAJ	VYBER	15	89823	SLUZBY	\N	\N
698925	2390	1997-12-31	VYDAJ	VYBER	15	93404	SLUZBY	\N	\N
698926	2390	1998-01-31	VYDAJ	VYBER	15	37397	SLUZBY	\N	\N
698927	2390	1998-02-28	VYDAJ	VYBER	15	12017	SLUZBY	\N	\N
698928	2390	1998-03-31	VYDAJ	VYBER	15	73159	SLUZBY	\N	\N
698929	2390	1998-04-30	VYDAJ	VYBER	15	23413	SLUZBY	\N	\N
698930	2390	1998-05-31	VYDAJ	VYBER	15	3956	SLUZBY	\N	\N
698931	2390	1998-06-30	VYDAJ	VYBER	15	1750	SLUZBY	\N	\N
698932	2390	1998-07-31	VYDAJ	VYBER	15	1741	SLUZBY	\N	\N
698933	2390	1998-08-31	VYDAJ	VYBER	15	1726	SLUZBY	\N	\N
698934	2390	1998-09-30	VYDAJ	VYBER	15	1723	SLUZBY	\N	\N
698935	2390	1998-10-31	VYDAJ	VYBER	15	1708	SLUZBY	\N	\N
698936	2390	1998-11-30	VYDAJ	VYBER	15	34002	SLUZBY	\N	\N
698937	2390	1996-03-13	VYDAJ	VYBER	35200	53004	\N	\N	\N
698938	2390	1996-04-12	VYDAJ	VYBER	36400	55905	\N	\N	\N
698939	2390	1996-05-12	VYDAJ	VYBER	32100	49331	\N	\N	\N
698940	2390	1996-06-11	VYDAJ	VYBER	7100	31778	\N	\N	\N
698941	2390	1996-07-11	VYDAJ	VYBER	400	17872	\N	\N	\N
698942	2390	1996-08-10	PRIJEM	VKLAD	10300	14580	\N	\N	\N
698943	2390	1996-09-09	VYDAJ	VYBER	16300	33850	\N	\N	\N
698944	2390	1996-10-09	VYDAJ	VYBER	1200	19093	\N	\N	\N
698945	2390	1996-11-08	VYDAJ	VYBER	29100	45616	\N	\N	\N
698946	2390	1996-12-08	PRIJEM	VKLAD	1600	23054	\N	\N	\N
698947	2390	1997-01-07	VYDAJ	VYBER	7600	31622	\N	\N	\N
698948	2390	1997-02-02	VYDAJ	VYBER	39500	74162	\N	\N	\N
698949	2390	1997-02-06	VYDAJ	VYBER	26600	62601	\N	\N	\N
698950	2390	1997-02-28	VYDAJ	VYBER	39400	79391	\N	\N	\N
698951	2390	1997-03-06	VYDAJ	VYBER	55600	39863	\N	\N	\N
698952	2390	1997-03-08	VYDAJ	VYBER	14500	25363	\N	\N	\N
698953	2390	1997-04-07	VYDAJ	VYBER	20900	37905	\N	\N	\N
698954	2390	1997-05-01	VYDAJ	VYBER	17900	100541	\N	\N	\N
698955	2390	1997-05-07	VYDAJ	VYBER	29000	40471	\N	\N	\N
698956	2390	1997-06-06	VYDAJ	VYBER	5000	17187	\N	\N	\N
698957	2390	1997-07-06	VYDAJ	VYBER	27100	36763	\N	\N	\N
698958	2390	1997-08-05	VYDAJ	VYBER	22500	34369	\N	\N	\N
698959	2390	1997-09-04	VYDAJ	VYBER	30600	38958	\N	\N	\N
698960	2390	1997-10-04	VYDAJ	VYBER	34200	42698	\N	\N	\N
698961	2390	1997-11-03	VYDAJ	VYBER	16100	29579	\N	\N	\N
698962	2390	1997-12-03	VYDAJ	VYBER	38100	51723	\N	\N	\N
698963	2390	1997-12-21	VYDAJ	VYBER	26500	93084	\N	\N	\N
698964	2390	1998-01-02	VYDAJ	VYBER	38600	54804	\N	\N	\N
698965	2390	1998-02-01	VYDAJ	VYBER	11800	25597	\N	\N	\N
698966	2390	1998-03-03	PRIJEM	VKLAD	4000	16017	\N	\N	\N
698967	2390	1998-04-02	VYDAJ	VYBER	26300	46859	\N	\N	\N
698968	2390	1998-05-02	VYDAJ	VYBER	5800	17613	\N	\N	\N
698969	2390	1998-11-28	VYDAJ	VYBER	8000	33899	\N	\N	\N
699007	2391	1997-11-07	PRIJEM	VKLAD	500	500	\N	\N	\N
699018	2391	1997-11-12	PRIJEM	VKLAD	8119	8619	\N	\N	\N
699019	2391	1997-12-12	PRIJEM	VKLAD	12179	29520	\N	\N	\N
699020	2391	1998-01-12	PRIJEM	VKLAD	8119	33831	\N	\N	\N
699021	2391	1998-02-12	PRIJEM	VKLAD	8119	37985	\N	\N	\N
699022	2391	1998-03-12	PRIJEM	VKLAD	8119	42555	\N	\N	\N
699023	2391	1998-04-12	PRIJEM	VKLAD	8119	37468	\N	\N	\N
699024	2391	1998-05-12	PRIJEM	VKLAD	8119	35374	\N	\N	\N
699025	2391	1998-06-12	PRIJEM	VKLAD	12179	40488	\N	\N	\N
699026	2391	1998-07-12	PRIJEM	VKLAD	8119	38692	\N	\N	\N
699027	2391	1998-08-12	PRIJEM	VKLAD	8119	32800	\N	\N	\N
699028	2391	1998-09-12	PRIJEM	VKLAD	8119	33480	\N	\N	\N
699029	2391	1998-10-12	PRIJEM	VKLAD	8119	37459	\N	\N	\N
699030	2391	1998-11-12	PRIJEM	VKLAD	8119	38554	\N	\N	\N
699031	2391	1998-12-12	PRIJEM	VKLAD	12179	41617	\N	\N	\N
699047	2391	1998-04-11	VYDAJ	PREVOD NA UCET	4959	29349	SIPO	GH	6469798
699048	2391	1998-05-11	VYDAJ	PREVOD NA UCET	4959	27255	SIPO	GH	6469798
699049	2391	1998-06-11	VYDAJ	PREVOD NA UCET	4959	28310	SIPO	GH	6469798
699050	2391	1998-07-11	VYDAJ	PREVOD NA UCET	4959	30573	SIPO	GH	6469798
699051	2391	1998-08-11	VYDAJ	PREVOD NA UCET	4959	24681	SIPO	GH	6469798
699052	2391	1998-09-11	VYDAJ	PREVOD NA UCET	4959	25361	SIPO	GH	6469798
699053	2391	1998-10-11	VYDAJ	PREVOD NA UCET	4959	29340	SIPO	GH	6469798
699054	2391	1998-11-11	VYDAJ	PREVOD NA UCET	4959	30435	SIPO	GH	6469798
699055	2391	1998-12-11	VYDAJ	PREVOD NA UCET	4959	29438	SIPO	GH	6469798
699061	2391	1998-12-25	VYDAJ	VYBER	960	40657	\N	\N	\N
699080	2391	1998-08-25	VYDAJ	VYBER	5400	27400	\N	\N	\N
699081	2391	1998-03-12	VYDAJ	VYBER	1200	41355	\N	\N	\N
699082	2391	1998-08-04	VYDAJ	VYBER	5400	29640	\N	\N	\N
699083	2391	1998-06-01	VYDAJ	VYBER	840	34669	\N	\N	\N
699085	2391	1998-09-03	VYDAJ	VYBER	2400	30320	\N	\N	\N
699101	2391	1998-03-31	VYDAJ	VYBER	15	41508	SLUZBY	\N	\N
699102	2391	1998-04-30	VYDAJ	VYBER	15	37614	SLUZBY	\N	\N
699103	2391	1998-05-31	VYDAJ	VYBER	15	35509	SLUZBY	\N	\N
699104	2391	1998-06-30	VYDAJ	VYBER	15	40632	SLUZBY	\N	\N
699105	2391	1998-07-31	VYDAJ	VYBER	15	38840	SLUZBY	\N	\N
699106	2391	1998-08-31	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
699107	2391	1998-09-30	VYDAJ	VYBER	15	33599	SLUZBY	\N	\N
699108	2391	1998-10-31	VYDAJ	VYBER	15	37594	SLUZBY	\N	\N
699109	2391	1998-11-30	VYDAJ	VYBER	15	38697	SLUZBY	\N	\N
699110	2391	1997-12-07	PRIJEM	VKLAD	8700	17342	\N	\N	\N
699111	2391	1998-01-06	VYDAJ	VYBER	3900	25712	\N	\N	\N
699112	2391	1998-02-05	VYDAJ	VYBER	4100	29866	\N	\N	\N
699113	2391	1998-03-07	VYDAJ	VYBER	3700	34436	\N	\N	\N
699114	2391	1998-04-06	VYDAJ	VYBER	7200	34308	\N	\N	\N
699115	2391	1998-05-06	VYDAJ	VYBER	5400	32214	\N	\N	\N
699116	2391	1998-06-05	VYDAJ	VYBER	1400	33269	\N	\N	\N
699117	2391	1998-07-05	VYDAJ	VYBER	5100	35532	\N	\N	\N
699118	2391	1998-08-04	VYDAJ	VYBER	3800	35040	\N	\N	\N
699119	2391	1998-09-03	PRIJEM	VKLAD	5200	32720	\N	\N	\N
699120	2391	1998-10-03	PRIJEM	VKLAD	700	34299	\N	\N	\N
699121	2391	1998-11-02	VYDAJ	VYBER	2200	35394	\N	\N	\N
699122	2391	1998-12-02	VYDAJ	VYBER	4300	34397	\N	\N	\N
699137	2392	1997-05-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
699139	2392	1997-08-30	PRIJEM	VKLAD	47430	64530	\N	\N	\N
699140	2392	1998-11-08	PRIJEM	VKLAD	39871	63777	\N	\N	\N
699141	2392	1998-03-12	PRIJEM	VKLAD	40757	54218	\N	\N	\N
699186	2392	1997-06-17	PRIJEM	VKLAD	10400	11500	\N	\N	\N
699187	2392	1997-07-17	PRIJEM	VKLAD	6400	17900	\N	\N	\N
699188	2392	1997-08-16	VYDAJ	VYBER	800	17100	\N	\N	\N
699189	2392	1997-09-15	VYDAJ	VYBER	28400	36147	\N	\N	\N
699190	2392	1997-10-15	VYDAJ	VYBER	10500	25916	\N	\N	\N
699191	2392	1997-11-14	VYDAJ	VYBER	4100	22085	\N	\N	\N
699192	2392	1997-12-14	VYDAJ	VYBER	5400	16954	\N	\N	\N
699193	2392	1998-01-13	VYDAJ	VYBER	800	16423	\N	\N	\N
699194	2392	1998-02-12	VYDAJ	VYBER	3500	13192	\N	\N	\N
699195	2392	1998-03-14	VYDAJ	VYBER	17000	37218	\N	\N	\N
699196	2392	1998-04-13	VYDAJ	VYBER	9100	28320	\N	\N	\N
699197	2392	1998-05-13	VYDAJ	VYBER	4100	24375	\N	\N	\N
699198	2392	1998-06-12	VYDAJ	VYBER	6500	18031	\N	\N	\N
699199	2392	1998-07-12	PRIJEM	VKLAD	100	18286	\N	\N	\N
699200	2392	1998-08-11	PRIJEM	VKLAD	500	18941	\N	\N	\N
699201	2392	1998-09-10	PRIJEM	VKLAD	4600	23696	\N	\N	\N
699202	2392	1998-10-10	VYDAJ	VYBER KARTOU	100	23751	\N	\N	0
699203	2392	1998-11-09	VYDAJ	VYBER	22100	41677	\N	\N	\N
699220	2393	1993-01-07	PRIJEM	VKLAD	900	900	\N	\N	\N
699221	2393	1993-01-14	PRIJEM	VKLAD	10737	11637	\N	\N	\N
699222	2393	1993-02-14	PRIJEM	VKLAD	10737	27902	\N	\N	\N
699223	2393	1993-03-14	PRIJEM	VKLAD	10737	36224	\N	\N	\N
699224	2393	1993-04-14	PRIJEM	VKLAD	10737	40197	\N	\N	\N
699225	2393	1993-05-14	PRIJEM	VKLAD	10737	42995	\N	\N	\N
699226	2393	1993-06-14	PRIJEM	VKLAD	16106	43261	\N	\N	\N
699227	2393	1993-07-14	PRIJEM	VKLAD	10737	37457	\N	\N	\N
699228	2393	1993-08-14	PRIJEM	VKLAD	10737	37042	\N	\N	\N
699229	2393	1993-09-14	PRIJEM	VKLAD	10737	35020	\N	\N	\N
699230	2393	1993-10-14	PRIJEM	VKLAD	10737	34192	\N	\N	\N
699231	2393	1993-11-14	PRIJEM	VKLAD	10737	33958	\N	\N	\N
699232	2393	1993-12-14	PRIJEM	VKLAD	16106	43292	\N	\N	\N
699233	2393	1994-01-14	PRIJEM	VKLAD	10737	35992	\N	\N	\N
699234	2393	1994-02-14	PRIJEM	VKLAD	10737	31624	\N	\N	\N
699235	2393	1994-03-14	PRIJEM	VKLAD	10737	29946	\N	\N	\N
699236	2393	1994-04-14	PRIJEM	VKLAD	10737	32399	\N	\N	\N
699237	2393	1994-05-14	PRIJEM	VKLAD	10737	35154	\N	\N	\N
699238	2393	1994-06-14	PRIJEM	VKLAD	16106	42289	\N	\N	\N
699239	2393	1994-07-14	PRIJEM	VKLAD	10737	38177	\N	\N	\N
699240	2393	1994-08-14	PRIJEM	VKLAD	10737	35562	\N	\N	\N
699241	2393	1994-09-14	PRIJEM	VKLAD	10737	33744	\N	\N	\N
699242	2393	1994-10-14	PRIJEM	VKLAD	10737	33601	\N	\N	\N
699243	2393	1994-11-14	PRIJEM	VKLAD	10737	35958	\N	\N	\N
699244	2393	1994-12-14	PRIJEM	VKLAD	16106	36911	\N	\N	\N
699245	2393	1995-01-14	PRIJEM	VKLAD	10737	27326	\N	\N	\N
699246	2393	1995-02-14	PRIJEM	VKLAD	10737	27335	\N	\N	\N
699247	2393	1995-03-14	PRIJEM	VKLAD	10737	30386	\N	\N	\N
699248	2393	1995-04-14	PRIJEM	VKLAD	10737	33931	\N	\N	\N
699249	2393	1995-05-14	PRIJEM	VKLAD	10737	28125	\N	\N	\N
699250	2393	1995-06-14	PRIJEM	VKLAD	16106	39029	\N	\N	\N
699251	2393	1995-07-14	PRIJEM	VKLAD	10737	27241	\N	\N	\N
699252	2393	1995-08-14	PRIJEM	VKLAD	10737	33773	\N	\N	\N
699253	2393	1995-09-14	PRIJEM	VKLAD	10737	34969	\N	\N	\N
699254	2393	1995-10-14	PRIJEM	VKLAD	10737	37127	\N	\N	\N
699255	2393	1995-11-14	PRIJEM	VKLAD	10737	39095	\N	\N	\N
699256	2393	1995-12-14	PRIJEM	VKLAD	16106	43836	\N	\N	\N
699257	2393	1996-01-14	PRIJEM	VKLAD	10737	29514	\N	\N	\N
699258	2393	1996-02-14	PRIJEM	VKLAD	10737	33718	\N	\N	\N
699259	2393	1996-03-14	PRIJEM	VKLAD	10737	40175	\N	\N	\N
699260	2393	1996-04-14	PRIJEM	VKLAD	10737	42354	\N	\N	\N
699261	2393	1996-05-14	PRIJEM	VKLAD	10737	39535	\N	\N	\N
699262	2393	1996-06-14	PRIJEM	VKLAD	16106	42473	\N	\N	\N
699263	2393	1996-07-14	PRIJEM	VKLAD	10737	32994	\N	\N	\N
699264	2393	1996-08-14	PRIJEM	VKLAD	10737	38046	\N	\N	\N
699265	2393	1996-09-14	PRIJEM	VKLAD	10737	36708	\N	\N	\N
699266	2393	1996-10-14	PRIJEM	VKLAD	10737	35347	\N	\N	\N
699267	2393	1996-11-14	PRIJEM	VKLAD	10737	40509	\N	\N	\N
699268	2393	1996-12-14	PRIJEM	VKLAD	16106	42167	\N	\N	\N
699269	2393	1997-01-14	PRIJEM	VKLAD	10737	32253	\N	\N	\N
699270	2393	1997-02-14	PRIJEM	VKLAD	10737	31337	\N	\N	\N
699271	2393	1997-03-14	PRIJEM	VKLAD	10737	36079	\N	\N	\N
699272	2393	1997-04-14	PRIJEM	VKLAD	10737	39540	\N	\N	\N
699273	2393	1997-05-14	PRIJEM	VKLAD	10737	40008	\N	\N	\N
699274	2393	1997-06-14	PRIJEM	VKLAD	16106	38044	\N	\N	\N
699275	2393	1997-07-14	PRIJEM	VKLAD	10737	39802	\N	\N	\N
699276	2393	1997-08-14	PRIJEM	VKLAD	10737	37764	\N	\N	\N
699277	2393	1997-09-14	PRIJEM	VKLAD	10737	37237	\N	\N	\N
699278	2393	1997-10-14	PRIJEM	VKLAD	10737	40408	\N	\N	\N
699279	2393	1997-11-14	PRIJEM	VKLAD	10737	40345	\N	\N	\N
699280	2393	1997-12-14	PRIJEM	VKLAD	16106	43176	\N	\N	\N
699281	2393	1998-01-14	PRIJEM	VKLAD	10737	34333	\N	\N	\N
699282	2393	1998-02-14	PRIJEM	VKLAD	10737	32880	\N	\N	\N
699283	2393	1998-03-14	PRIJEM	VKLAD	10737	33842	\N	\N	\N
699284	2393	1998-04-14	PRIJEM	VKLAD	10737	37805	\N	\N	\N
699285	2393	1998-05-14	PRIJEM	VKLAD	10737	39779	\N	\N	\N
699286	2393	1998-06-14	PRIJEM	VKLAD	16106	45832	\N	\N	\N
699287	2393	1998-07-14	PRIJEM	VKLAD	10737	41238	\N	\N	\N
699288	2393	1998-08-14	PRIJEM	VKLAD	10737	39206	\N	\N	\N
699289	2393	1998-09-14	PRIJEM	VKLAD	10737	34868	\N	\N	\N
699290	2393	1998-10-14	PRIJEM	VKLAD	10737	35897	\N	\N	\N
699291	2393	1998-11-14	PRIJEM	VKLAD	10737	38862	\N	\N	\N
699292	2393	1998-12-14	PRIJEM	VKLAD	16106	49006	\N	\N	\N
699298	2393	1993-06-09	VYDAJ	PREVOD NA UCET	4292	27155	SIPO	KL	70831024
699299	2393	1993-07-09	VYDAJ	PREVOD NA UCET	4292	26720	SIPO	KL	70831024
699300	2393	1993-08-09	VYDAJ	PREVOD NA UCET	4292	26305	SIPO	KL	70831024
699301	2393	1993-09-09	VYDAJ	PREVOD NA UCET	4292	24283	SIPO	KL	70831024
699302	2393	1993-10-09	VYDAJ	PREVOD NA UCET	4292	23455	SIPO	KL	70831024
699303	2393	1993-11-09	VYDAJ	PREVOD NA UCET	4292	23221	SIPO	KL	70831024
699304	2393	1993-12-09	VYDAJ	PREVOD NA UCET	4292	27186	SIPO	KL	70831024
699305	2393	1994-01-09	VYDAJ	PREVOD NA UCET	4292	27655	SIPO	KL	70831024
699306	2393	1994-02-09	VYDAJ	PREVOD NA UCET	4292	20887	SIPO	KL	70831024
699307	2393	1994-03-09	VYDAJ	PREVOD NA UCET	4292	24129	SIPO	KL	70831024
699308	2393	1994-04-09	VYDAJ	PREVOD NA UCET	4292	21662	SIPO	KL	70831024
699309	2393	1994-05-09	VYDAJ	PREVOD NA UCET	4292	24417	SIPO	KL	70831024
699310	2393	1994-06-09	VYDAJ	PREVOD NA UCET	4292	26184	SIPO	KL	70831024
699311	2393	1994-07-09	VYDAJ	PREVOD NA UCET	4292	27440	SIPO	KL	70831024
699312	2393	1994-08-09	VYDAJ	PREVOD NA UCET	4292	24825	SIPO	KL	70831024
699313	2393	1994-09-09	VYDAJ	PREVOD NA UCET	4292	23007	SIPO	KL	70831024
699314	2393	1994-10-09	VYDAJ	PREVOD NA UCET	4292	22864	SIPO	KL	70831024
699315	2393	1994-11-09	VYDAJ	PREVOD NA UCET	4292	25221	SIPO	KL	70831024
699316	2393	1994-12-09	VYDAJ	PREVOD NA UCET	4292	23685	SIPO	KL	70831024
699317	2393	1995-01-09	VYDAJ	PREVOD NA UCET	4292	16589	SIPO	KL	70831024
699318	2393	1995-02-09	VYDAJ	PREVOD NA UCET	4292	16598	SIPO	KL	70831024
699319	2393	1995-03-09	VYDAJ	PREVOD NA UCET	4292	21329	SIPO	KL	70831024
699320	2393	1995-04-09	VYDAJ	PREVOD NA UCET	4292	23194	SIPO	KL	70831024
699321	2393	1995-05-09	VYDAJ	PREVOD NA UCET	4292	17388	SIPO	KL	70831024
699322	2393	1995-06-09	VYDAJ	PREVOD NA UCET	4292	22923	SIPO	KL	70831024
699323	2393	1995-07-09	VYDAJ	PREVOD NA UCET	4292	16504	SIPO	KL	70831024
699324	2393	1995-08-09	VYDAJ	PREVOD NA UCET	4292	23036	SIPO	KL	70831024
699325	2393	1995-09-09	VYDAJ	PREVOD NA UCET	4292	24232	SIPO	KL	70831024
699326	2393	1995-10-09	VYDAJ	PREVOD NA UCET	4292	26390	SIPO	KL	70831024
699327	2393	1995-11-09	VYDAJ	PREVOD NA UCET	4292	28358	SIPO	KL	70831024
699328	2393	1995-12-09	VYDAJ	PREVOD NA UCET	4292	27730	SIPO	KL	70831024
699329	2393	1996-01-09	VYDAJ	PREVOD NA UCET	4292	25377	SIPO	KL	70831024
699330	2393	1996-02-09	VYDAJ	PREVOD NA UCET	4292	22981	SIPO	KL	70831024
699331	2393	1996-03-09	VYDAJ	PREVOD NA UCET	4292	29438	SIPO	KL	70831024
699332	2393	1996-04-09	VYDAJ	PREVOD NA UCET	4292	31617	SIPO	KL	70831024
699333	2393	1996-05-09	VYDAJ	PREVOD NA UCET	4292	28798	SIPO	KL	70831024
699334	2393	1996-06-09	VYDAJ	PREVOD NA UCET	4292	26367	SIPO	KL	70831024
699335	2393	1996-07-09	VYDAJ	PREVOD NA UCET	4292	22257	SIPO	KL	70831024
699336	2393	1996-08-09	VYDAJ	PREVOD NA UCET	4292	27309	SIPO	KL	70831024
699337	2393	1996-09-09	VYDAJ	PREVOD NA UCET	4292	25971	SIPO	KL	70831024
699338	2393	1996-10-09	VYDAJ	PREVOD NA UCET	4292	24610	SIPO	KL	70831024
699339	2393	1996-11-09	VYDAJ	PREVOD NA UCET	4292	29772	SIPO	KL	70831024
699340	2393	1996-12-09	VYDAJ	PREVOD NA UCET	4292	28342	SIPO	KL	70831024
699341	2393	1997-01-09	VYDAJ	PREVOD NA UCET	4292	25956	SIPO	KL	70831024
699342	2393	1997-02-09	VYDAJ	PREVOD NA UCET	4292	20600	SIPO	KL	70831024
699343	2393	1997-03-09	VYDAJ	PREVOD NA UCET	4292	25342	SIPO	KL	70831024
699344	2393	1997-04-09	VYDAJ	PREVOD NA UCET	4292	28803	SIPO	KL	70831024
699345	2393	1997-05-09	VYDAJ	PREVOD NA UCET	4292	29271	SIPO	KL	70831024
699346	2393	1997-06-09	VYDAJ	PREVOD NA UCET	4292	21938	SIPO	KL	70831024
699347	2393	1997-07-09	VYDAJ	PREVOD NA UCET	4292	29065	SIPO	KL	70831024
699348	2393	1997-08-09	VYDAJ	PREVOD NA UCET	4292	27027	SIPO	KL	70831024
699349	2393	1997-09-09	VYDAJ	PREVOD NA UCET	4292	27300	SIPO	KL	70831024
699350	2393	1997-10-09	VYDAJ	PREVOD NA UCET	4292	33071	SIPO	KL	70831024
699351	2393	1997-11-09	VYDAJ	PREVOD NA UCET	4292	30008	SIPO	KL	70831024
699352	2393	1997-12-09	VYDAJ	PREVOD NA UCET	4292	25871	SIPO	KL	70831024
699353	2393	1998-01-09	VYDAJ	PREVOD NA UCET	4292	26216	SIPO	KL	70831024
699354	2393	1998-02-09	VYDAJ	PREVOD NA UCET	4292	17343	SIPO	KL	70831024
699355	2393	1998-03-09	VYDAJ	PREVOD NA UCET	4292	25805	SIPO	KL	70831024
699356	2393	1998-04-09	VYDAJ	PREVOD NA UCET	4292	29668	SIPO	KL	70831024
699357	2393	1998-05-09	VYDAJ	PREVOD NA UCET	4292	33642	SIPO	KL	70831024
699358	2393	1998-06-09	VYDAJ	PREVOD NA UCET	4292	35627	SIPO	KL	70831024
699359	2393	1998-07-09	VYDAJ	PREVOD NA UCET	4292	34001	SIPO	KL	70831024
699360	2393	1998-08-09	VYDAJ	PREVOD NA UCET	4292	28469	SIPO	KL	70831024
699361	2393	1998-09-09	VYDAJ	PREVOD NA UCET	4292	26051	SIPO	KL	70831024
699362	2393	1998-10-09	VYDAJ	PREVOD NA UCET	4292	25160	SIPO	KL	70831024
699363	2393	1998-11-09	VYDAJ	PREVOD NA UCET	4292	28125	SIPO	KL	70831024
699364	2393	1998-12-09	VYDAJ	PREVOD NA UCET	4292	32900	SIPO	KL	70831024
699439	2393	1995-06-18	VYDAJ	VYBER	22720	16309	\N	\N	\N
699440	2393	1996-06-21	VYDAJ	VYBER	8640	26433	\N	\N	\N
699441	2393	1997-06-07	VYDAJ	VYBER	6400	26230	\N	\N	\N
699442	2393	1998-06-17	VYDAJ	VYBER	7680	38152	\N	\N	\N
699444	2393	1994-01-22	VYDAJ	VYBER	7040	25352	\N	\N	\N
699446	2393	1996-01-14	VYDAJ	VYBER	5600	23914	\N	\N	\N
699448	2393	1998-01-20	VYDAJ	VYBER	8960	24653	\N	\N	\N
699449	2393	1993-12-14	VYDAJ	VYBER	3840	39452	\N	\N	\N
699450	2393	1994-12-28	VYDAJ	VYBER	1600	26651	\N	\N	\N
699451	2393	1995-12-15	VYDAJ	VYBER	2080	41756	\N	\N	\N
699452	2393	1996-12-27	VYDAJ	VYBER	960	31807	\N	\N	\N
699453	2393	1997-12-20	VYDAJ	VYBER	1760	35776	\N	\N	\N
699454	2393	1998-12-15	VYDAJ	VYBER	1120	47886	\N	\N	\N
699461	2393	1994-01-25	VYDAJ	VYBER	3240	21272	\N	\N	\N
699462	2393	1994-01-18	VYDAJ	VYBER	2880	32392	\N	\N	\N
699463	2393	1994-01-23	VYDAJ	VYBER	840	24512	\N	\N	\N
699464	2393	1994-01-11	VYDAJ	VYBER	2400	25255	\N	\N	\N
699465	2393	1994-01-15	VYDAJ	VYBER	720	35272	\N	\N	\N
699466	2393	1994-01-04	VYDAJ	VYBER	840	31947	\N	\N	\N
699467	2393	1995-01-07	VYDAJ	VYBER	1560	24001	\N	\N	\N
699468	2393	1995-01-25	VYDAJ	VYBER	1800	23966	\N	\N	\N
699469	2393	1995-01-24	VYDAJ	VYBER	1560	25766	\N	\N	\N
699470	2393	1995-01-08	VYDAJ	VYBER	3120	20881	\N	\N	\N
699471	2393	1995-01-02	VYDAJ	VYBER	1200	25561	\N	\N	\N
699472	2393	1995-01-26	VYDAJ	VYBER	2760	21206	\N	\N	\N
699473	2393	1996-01-10	VYDAJ	VYBER	3000	22377	\N	\N	\N
699474	2393	1996-01-01	VYDAJ	VYBER	3120	32069	\N	\N	\N
699475	2393	1996-01-12	VYDAJ	VYBER	1440	20937	\N	\N	\N
699476	2393	1996-01-16	VYDAJ	VYBER	2640	21274	\N	\N	\N
699477	2393	1996-01-12	VYDAJ	VYBER	2160	18777	\N	\N	\N
699478	2393	1996-01-09	VYDAJ	VYBER	2400	29669	\N	\N	\N
699479	2393	1997-01-11	VYDAJ	VYBER	1320	24636	\N	\N	\N
699480	2393	1997-01-06	VYDAJ	VYBER	1680	30248	\N	\N	\N
699481	2393	1997-01-19	VYDAJ	VYBER	840	29113	\N	\N	\N
699482	2393	1997-01-12	VYDAJ	VYBER	3120	21516	\N	\N	\N
699483	2393	1997-01-20	VYDAJ	VYBER	3000	26113	\N	\N	\N
699484	2393	1997-01-23	VYDAJ	VYBER	1320	24793	\N	\N	\N
699485	2393	1998-01-09	VYDAJ	VYBER	1200	30508	\N	\N	\N
699486	2393	1998-01-16	VYDAJ	VYBER	720	33613	\N	\N	\N
699487	2393	1998-01-28	VYDAJ	VYBER	3120	21533	\N	\N	\N
699488	2393	1998-01-09	VYDAJ	VYBER	3120	23096	\N	\N	\N
699489	2393	1998-01-03	VYDAJ	VYBER	1200	34708	\N	\N	\N
699490	2393	1998-01-07	VYDAJ	VYBER	3000	31708	\N	\N	\N
699492	2393	1993-05-14	VYDAJ	VYBER	3000	39995	\N	\N	\N
699494	2393	1994-12-12	VYDAJ	VYBER	2880	20805	\N	\N	\N
699495	2393	1994-03-09	VYDAJ	VYBER	4920	19209	\N	\N	\N
699496	2393	1994-12-21	VYDAJ	VYBER	5760	31151	\N	\N	\N
699497	2393	1994-08-19	VYDAJ	VYBER	2280	33282	\N	\N	\N
699498	2393	1995-06-18	VYDAJ	VYBER	600	15709	\N	\N	\N
699499	2393	1995-09-03	VYDAJ	VYBER	2160	28524	\N	\N	\N
699500	2393	1995-03-13	VYDAJ	VYBER	1680	19649	\N	\N	\N
699501	2393	1995-04-29	VYDAJ	VYBER	5760	21571	\N	\N	\N
699502	2393	1996-12-12	VYDAJ	VYBER	960	27382	\N	\N	\N
699503	2393	1996-09-28	VYDAJ	VYBER	2520	28788	\N	\N	\N
699504	2393	1996-12-13	VYDAJ	VYBER	1320	26062	\N	\N	\N
699505	2393	1997-10-29	VYDAJ	VYBER	960	34168	\N	\N	\N
699506	2393	1997-12-18	VYDAJ	VYBER	5640	37536	\N	\N	\N
699507	2393	1997-12-01	VYDAJ	VYBER	4680	35803	\N	\N	\N
699508	2393	1997-10-15	VYDAJ	VYBER	5280	35128	\N	\N	\N
699509	2393	1997-12-07	VYDAJ	VYBER	5640	30163	\N	\N	\N
699510	2393	1998-07-28	VYDAJ	VYBER	1920	39318	\N	\N	\N
699511	2393	1998-10-03	VYDAJ	VYBER	2280	30552	\N	\N	\N
699512	2393	1998-09-30	VYDAJ	VYBER	2160	32832	\N	\N	\N
699513	2393	1998-10-30	VYDAJ	VYBER	1800	34097	\N	\N	\N
699514	2393	1998-09-09	VYDAJ	VYBER	1920	24131	\N	\N	\N
699515	2393	1998-03-09	VYDAJ	VYBER	2880	30097	\N	\N	\N
699521	2393	1993-05-31	VYDAJ	VYBER	15	40147	SLUZBY	\N	\N
699522	2393	1993-06-30	VYDAJ	VYBER	15	43412	SLUZBY	\N	\N
699523	2393	1993-07-31	VYDAJ	VYBER	15	37597	SLUZBY	\N	\N
699524	2393	1993-08-31	VYDAJ	VYBER	15	37175	SLUZBY	\N	\N
699525	2393	1993-09-30	VYDAJ	VYBER	15	35147	SLUZBY	\N	\N
699526	2393	1993-10-31	VYDAJ	VYBER	15	34313	SLUZBY	\N	\N
699527	2393	1993-11-30	VYDAJ	VYBER	15	34078	SLUZBY	\N	\N
699528	2393	1993-12-31	VYDAJ	VYBER	15	39587	SLUZBY	\N	\N
699529	2393	1994-01-31	VYDAJ	VYBER	15	21379	SLUZBY	\N	\N
699530	2393	1994-02-28	VYDAJ	VYBER	15	31721	SLUZBY	\N	\N
699531	2393	1994-03-31	VYDAJ	VYBER	15	30054	SLUZBY	\N	\N
699532	2393	1994-04-30	VYDAJ	VYBER	15	32509	SLUZBY	\N	\N
699533	2393	1994-05-31	VYDAJ	VYBER	15	35276	SLUZBY	\N	\N
699534	2393	1994-06-30	VYDAJ	VYBER	15	42432	SLUZBY	\N	\N
699535	2393	1994-07-31	VYDAJ	VYBER	15	38317	SLUZBY	\N	\N
699536	2393	1994-08-31	VYDAJ	VYBER	15	27299	SLUZBY	\N	\N
699537	2393	1994-09-30	VYDAJ	VYBER	15	27156	SLUZBY	\N	\N
699538	2393	1994-10-31	VYDAJ	VYBER	15	29513	SLUZBY	\N	\N
699539	2393	1994-11-30	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
699540	2393	1994-12-31	VYDAJ	VYBER	15	26761	SLUZBY	\N	\N
699541	2393	1995-01-31	VYDAJ	VYBER	15	20890	SLUZBY	\N	\N
699542	2393	1995-02-28	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
699543	2393	1995-03-31	VYDAJ	VYBER	15	27486	SLUZBY	\N	\N
699544	2393	1995-04-30	VYDAJ	VYBER	15	21680	SLUZBY	\N	\N
699545	2393	1995-05-31	VYDAJ	VYBER	15	27215	SLUZBY	\N	\N
699546	2393	1995-06-30	VYDAJ	VYBER	15	20796	SLUZBY	\N	\N
699547	2393	1995-07-31	VYDAJ	VYBER	15	27328	SLUZBY	\N	\N
699548	2393	1995-08-31	VYDAJ	VYBER	15	30684	SLUZBY	\N	\N
699549	2393	1995-09-30	VYDAJ	VYBER	15	30682	SLUZBY	\N	\N
699550	2393	1995-10-31	VYDAJ	VYBER	15	32650	SLUZBY	\N	\N
699551	2393	1995-11-30	VYDAJ	VYBER	15	32022	SLUZBY	\N	\N
699552	2393	1995-12-31	VYDAJ	VYBER	15	35189	SLUZBY	\N	\N
699553	2393	1996-01-31	VYDAJ	VYBER	15	27273	SLUZBY	\N	\N
699554	2393	1996-02-29	VYDAJ	VYBER	15	33730	SLUZBY	\N	\N
699555	2393	1996-03-31	VYDAJ	VYBER	15	35909	SLUZBY	\N	\N
699556	2393	1996-04-30	VYDAJ	VYBER	15	33090	SLUZBY	\N	\N
699557	2393	1996-05-31	VYDAJ	VYBER	15	30659	SLUZBY	\N	\N
699558	2393	1996-06-30	VYDAJ	VYBER	15	26549	SLUZBY	\N	\N
699559	2393	1996-07-31	VYDAJ	VYBER	15	31601	SLUZBY	\N	\N
699560	2393	1996-08-31	VYDAJ	VYBER	15	30263	SLUZBY	\N	\N
699561	2393	1996-09-30	VYDAJ	VYBER	15	28902	SLUZBY	\N	\N
699562	2393	1996-10-31	VYDAJ	VYBER	15	34064	SLUZBY	\N	\N
699563	2393	1996-11-30	VYDAJ	VYBER	15	32634	SLUZBY	\N	\N
699564	2393	1996-12-31	VYDAJ	VYBER	15	31928	SLUZBY	\N	\N
699565	2393	1997-01-31	VYDAJ	VYBER	15	24892	SLUZBY	\N	\N
699566	2393	1997-02-28	VYDAJ	VYBER	15	29634	SLUZBY	\N	\N
699567	2393	1997-03-31	VYDAJ	VYBER	15	33095	SLUZBY	\N	\N
699568	2393	1997-04-30	VYDAJ	VYBER	15	33563	SLUZBY	\N	\N
699569	2393	1997-05-31	VYDAJ	VYBER	15	32630	SLUZBY	\N	\N
699570	2393	1997-06-30	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
699571	2393	1997-07-31	VYDAJ	VYBER	15	31319	SLUZBY	\N	\N
699572	2393	1997-08-31	VYDAJ	VYBER	15	31592	SLUZBY	\N	\N
699573	2393	1997-09-30	VYDAJ	VYBER	15	37363	SLUZBY	\N	\N
699574	2393	1997-10-31	VYDAJ	VYBER	15	34300	SLUZBY	\N	\N
699575	2393	1997-11-30	VYDAJ	VYBER	15	40483	SLUZBY	\N	\N
699576	2393	1997-12-31	VYDAJ	VYBER	15	35908	SLUZBY	\N	\N
699577	2393	1998-01-31	VYDAJ	VYBER	15	21635	SLUZBY	\N	\N
699578	2393	1998-02-28	VYDAJ	VYBER	15	32977	SLUZBY	\N	\N
699579	2393	1998-03-31	VYDAJ	VYBER	15	33960	SLUZBY	\N	\N
699580	2393	1998-04-30	VYDAJ	VYBER	15	37934	SLUZBY	\N	\N
699581	2393	1998-05-31	VYDAJ	VYBER	15	39919	SLUZBY	\N	\N
699582	2393	1998-06-30	VYDAJ	VYBER	15	38293	SLUZBY	\N	\N
699583	2393	1998-07-31	VYDAJ	VYBER	15	39461	SLUZBY	\N	\N
699584	2393	1998-08-31	VYDAJ	VYBER	15	39343	SLUZBY	\N	\N
699585	2393	1998-09-30	VYDAJ	VYBER	15	34992	SLUZBY	\N	\N
699586	2393	1998-10-31	VYDAJ	VYBER	15	34217	SLUZBY	\N	\N
699587	2393	1998-11-30	VYDAJ	VYBER	15	38992	SLUZBY	\N	\N
699588	2393	1993-02-06	PRIJEM	VKLAD	5500	17165	\N	\N	\N
699589	2393	1993-03-08	VYDAJ	VYBER	2500	25487	\N	\N	\N
699590	2393	1993-04-07	VYDAJ	VYBER	6900	29460	\N	\N	\N
699591	2393	1993-05-07	VYDAJ	VYBER	8100	32258	\N	\N	\N
699592	2393	1993-06-06	VYDAJ	VYBER	8700	31447	\N	\N	\N
699593	2393	1993-07-06	VYDAJ	VYBER	12400	31012	\N	\N	\N
699594	2393	1993-08-05	VYDAJ	VYBER	7000	30597	\N	\N	\N
699595	2393	1993-09-04	VYDAJ	VYBER	8600	28575	\N	\N	\N
699596	2393	1993-10-04	VYDAJ	VYBER	7400	27747	\N	\N	\N
699597	2393	1993-11-03	VYDAJ	VYBER	6800	27513	\N	\N	\N
699598	2393	1993-12-03	VYDAJ	VYBER	2600	31478	\N	\N	\N
699599	2393	1994-01-02	VYDAJ	VYBER	6800	32787	\N	\N	\N
699600	2393	1994-02-01	PRIJEM	VKLAD	3800	25179	\N	\N	\N
699601	2393	1994-03-03	VYDAJ	VYBER	3300	28421	\N	\N	\N
699602	2393	1994-04-02	VYDAJ	VYBER	4100	25954	\N	\N	\N
699603	2393	1994-05-02	VYDAJ	VYBER	3800	28709	\N	\N	\N
699604	2393	1994-06-01	VYDAJ	VYBER	4800	30476	\N	\N	\N
699605	2393	1994-07-01	VYDAJ	VYBER	10700	31732	\N	\N	\N
699606	2393	1994-07-31	VYDAJ	VYBER	9200	29117	\N	\N	\N
699607	2393	1994-08-30	VYDAJ	VYBER	6100	27182	\N	\N	\N
699608	2393	1994-09-29	VYDAJ	VYBER	6700	27044	\N	\N	\N
699609	2393	1994-10-29	VYDAJ	VYBER	4200	29401	\N	\N	\N
699610	2393	1994-11-28	VYDAJ	VYBER	8100	27858	\N	\N	\N
699611	2393	1994-12-28	VYDAJ	VYBER	2900	28251	\N	\N	\N
699612	2393	1995-01-27	VYDAJ	VYBER	400	20806	\N	\N	\N
699613	2393	1995-02-26	VYDAJ	VYBER	1800	25535	\N	\N	\N
699614	2393	1995-03-28	VYDAJ	VYBER	3000	27386	\N	\N	\N
699615	2393	1995-04-27	VYDAJ	VYBER	6600	27331	\N	\N	\N
699616	2393	1995-05-27	VYDAJ	VYBER	1000	27125	\N	\N	\N
699617	2393	1995-06-26	PRIJEM	VKLAD	5000	20709	\N	\N	\N
699618	2393	1995-08-25	VYDAJ	VYBER	3200	30573	\N	\N	\N
699619	2393	1995-09-24	VYDAJ	VYBER	4400	30569	\N	\N	\N
699620	2393	1995-10-24	VYDAJ	VYBER	4600	32527	\N	\N	\N
699621	2393	1995-11-23	VYDAJ	VYBER	7200	31895	\N	\N	\N
699622	2393	1995-12-23	VYDAJ	VYBER	6700	35056	\N	\N	\N
699623	2393	1996-01-22	PRIJEM	VKLAD	5900	27174	\N	\N	\N
699624	2393	1996-02-21	VYDAJ	VYBER	100	33618	\N	\N	\N
699625	2393	1996-03-22	VYDAJ	VYBER	4400	35775	\N	\N	\N
699626	2393	1996-04-21	VYDAJ	VYBER	9400	32954	\N	\N	\N
699627	2393	1996-05-21	VYDAJ	VYBER	9000	30535	\N	\N	\N
699628	2393	1996-06-20	VYDAJ	VYBER	7400	35073	\N	\N	\N
699629	2393	1996-07-20	VYDAJ	VYBER	1500	31494	\N	\N	\N
699630	2393	1996-08-19	VYDAJ	VYBER	7900	30146	\N	\N	\N
699631	2393	1996-09-18	VYDAJ	VYBER	5400	31308	\N	\N	\N
699632	2393	1996-10-18	VYDAJ	VYBER	1400	33947	\N	\N	\N
699633	2393	1996-11-17	VYDAJ	VYBER	8000	32509	\N	\N	\N
699634	2393	1996-12-17	VYDAJ	VYBER	9400	32767	\N	\N	\N
699635	2393	1997-01-16	VYDAJ	VYBER	2300	29953	\N	\N	\N
699636	2393	1997-02-15	VYDAJ	VYBER	1800	29537	\N	\N	\N
699637	2393	1997-03-17	VYDAJ	VYBER	3100	32979	\N	\N	\N
699638	2393	1997-04-16	VYDAJ	VYBER	6100	33440	\N	\N	\N
699639	2393	1997-05-16	VYDAJ	VYBER	7500	32508	\N	\N	\N
699640	2393	1997-06-15	VYDAJ	VYBER	4800	33244	\N	\N	\N
699641	2393	1997-07-15	VYDAJ	VYBER	8600	31202	\N	\N	\N
699642	2393	1997-08-14	VYDAJ	VYBER	6300	31464	\N	\N	\N
699643	2393	1997-09-13	VYDAJ	VYBER	800	26500	\N	\N	\N
699644	2393	1997-10-13	VYDAJ	VYBER	3400	29671	\N	\N	\N
699645	2393	1997-11-12	VYDAJ	VYBER	400	29608	\N	\N	\N
699646	2393	1997-12-12	PRIJEM	VKLAD	1200	27071	\N	\N	\N
699647	2393	1998-01-11	PRIJEM	VKLAD	500	23596	\N	\N	\N
699648	2393	1998-02-10	PRIJEM	VKLAD	4800	22143	\N	\N	\N
699649	2393	1998-03-12	VYDAJ	VYBER	2700	23105	\N	\N	\N
699650	2393	1998-04-11	VYDAJ	VYBER	2600	27068	\N	\N	\N
699651	2393	1998-05-11	VYDAJ	VYBER	4600	29042	\N	\N	\N
699652	2393	1998-06-10	VYDAJ	VYBER	5900	29727	\N	\N	\N
699653	2393	1998-07-10	VYDAJ	VYBER	3500	30501	\N	\N	\N
699654	2393	1998-08-09	VYDAJ	VYBER	6700	32761	\N	\N	\N
699655	2393	1998-09-08	VYDAJ	VYBER	9000	30343	\N	\N	\N
699656	2393	1998-10-08	VYDAJ	VYBER	1100	29452	\N	\N	\N
699657	2393	1998-11-07	VYDAJ	VYBER	1800	32417	\N	\N	\N
699658	2393	1998-12-07	VYDAJ	VYBER	1800	37192	\N	\N	\N
699731	2394	1997-08-23	PRIJEM	VKLAD	400	400	\N	\N	\N
699733	2394	1997-12-12	PRIJEM	VKLAD	10079	52559	\N	\N	\N
699736	2394	1997-09-10	PRIJEM	VKLAD	37078	37478	\N	\N	\N
699738	2394	1997-11-30	PRIJEM	VKLAD	15094	42480	\N	\N	\N
699740	2394	1998-07-15	PRIJEM	VKLAD	11455	45476	\N	\N	\N
699741	2394	1998-01-13	PRIJEM	VKLAD	32741	69368	\N	\N	\N
699742	2394	1998-11-24	PRIJEM	VKLAD	27313	43312	\N	\N	\N
699743	2394	1998-08-22	PRIJEM	VKLAD	28003	57229	\N	\N	\N
699744	2394	1998-05-01	PRIJEM	VKLAD	7548	29797	\N	\N	\N
699745	2394	1998-04-16	PRIJEM	VKLAD	10979	36534	\N	\N	\N
699746	2394	1998-02-22	PRIJEM	VKLAD	42086	78322	\N	\N	\N
699747	2394	1998-06-17	PRIJEM	VKLAD	31625	50906	\N	\N	\N
699762	2394	1998-03-20	VYDAJ	VYBER	3300	71133	\N	\N	0
699763	2394	1998-04-11	VYDAJ	VYBER	1900	29474	\N	\N	0
699764	2394	1998-04-24	VYDAJ	VYBER	2600	28734	\N	\N	0
699765	2394	1998-06-06	VYDAJ	VYBER	2900	23382	\N	\N	0
699766	2394	1998-07-19	VYDAJ	VYBER	3500	41976	\N	\N	0
699767	2394	1998-08-27	VYDAJ	VYBER	4200	36585	\N	\N	0
699768	2394	1998-08-28	VYDAJ	VYBER	3100	33485	\N	\N	0
699769	2394	1998-10-15	VYDAJ	VYBER	2200	20819	\N	\N	0
699770	2394	1998-11-18	VYDAJ	VYBER	2300	15999	\N	\N	0
699771	2394	1998-12-11	VYDAJ	VYBER	3200	34916	\N	\N	0
699786	2394	1998-03-11	VYDAJ	PREVOD NA UCET	3131	75221	SIPO	IJ	38287389
699787	2394	1998-04-11	VYDAJ	PREVOD NA UCET	3131	26343	SIPO	IJ	38287389
699788	2394	1998-05-11	VYDAJ	PREVOD NA UCET	3131	24684	SIPO	IJ	38287389
699789	2394	1998-06-11	VYDAJ	PREVOD NA UCET	3131	20069	SIPO	IJ	38287389
699790	2394	1998-07-11	VYDAJ	PREVOD NA UCET	3131	34809	SIPO	IJ	38287389
699791	2394	1998-08-11	VYDAJ	PREVOD NA UCET	3131	29514	SIPO	IJ	38287389
699792	2394	1998-09-11	VYDAJ	PREVOD NA UCET	3131	30299	SIPO	IJ	38287389
699793	2394	1998-10-11	VYDAJ	PREVOD NA UCET	3131	23807	SIPO	IJ	38287389
699794	2394	1998-11-11	VYDAJ	PREVOD NA UCET	3131	17187	SIPO	IJ	38287389
699795	2394	1998-12-11	VYDAJ	PREVOD NA UCET	3131	31785	SIPO	IJ	38287389
699810	2394	1998-03-10	VYDAJ	PREVOD NA UCET	182	78352	 	CD	11698562
699811	2394	1998-04-10	VYDAJ	PREVOD NA UCET	182	31374	 	CD	11698562
699812	2394	1998-05-10	VYDAJ	PREVOD NA UCET	182	29615	 	CD	11698562
699813	2394	1998-06-10	VYDAJ	PREVOD NA UCET	182	23200	 	CD	11698562
699814	2394	1998-07-10	VYDAJ	PREVOD NA UCET	182	37940	 	CD	11698562
699815	2394	1998-08-10	VYDAJ	PREVOD NA UCET	182	32645	 	CD	11698562
699816	2394	1998-09-10	VYDAJ	PREVOD NA UCET	182	33430	 	CD	11698562
699817	2394	1998-10-10	VYDAJ	PREVOD NA UCET	182	26938	 	CD	11698562
699818	2394	1998-11-10	VYDAJ	PREVOD NA UCET	182	20318	 	CD	11698562
699819	2394	1998-12-10	VYDAJ	PREVOD NA UCET	182	41116	 	CD	11698562
699834	2394	1998-03-14	VYDAJ	PREVOD NA UCET	788	74433	POJISTNE	WX	93556361
699835	2394	1998-04-14	VYDAJ	PREVOD NA UCET	788	25555	POJISTNE	WX	93556361
699836	2394	1998-05-14	VYDAJ	PREVOD NA UCET	788	22396	POJISTNE	WX	93556361
699837	2394	1998-06-14	VYDAJ	PREVOD NA UCET	788	19281	POJISTNE	WX	93556361
699838	2394	1998-07-14	VYDAJ	PREVOD NA UCET	788	34021	POJISTNE	WX	93556361
699839	2394	1998-08-14	VYDAJ	PREVOD NA UCET	788	28726	POJISTNE	WX	93556361
699840	2394	1998-09-14	VYDAJ	PREVOD NA UCET	788	29511	POJISTNE	WX	93556361
699841	2394	1998-10-14	VYDAJ	PREVOD NA UCET	788	23019	POJISTNE	WX	93556361
699842	2394	1998-11-14	VYDAJ	PREVOD NA UCET	788	16399	POJISTNE	WX	93556361
699843	2394	1998-12-14	VYDAJ	PREVOD NA UCET	788	30997	POJISTNE	WX	93556361
699849	2394	1998-04-01	VYBER	VYBER	5817	31556	\N	\N	\N
699850	2394	1998-03-23	VYBER	VYBER	11009	37124	\N	\N	\N
699851	2394	1998-08-24	VYBER	VYBER	16444	40785	\N	\N	\N
699857	2394	1998-12-08	VYDAJ	VYBER	2100	41298	\N	\N	\N
699864	2394	1998-05-12	VYDAJ	VYBER	1500	23184	\N	\N	\N
699866	2394	1998-05-11	VYDAJ	VYBER	1800	27815	\N	\N	\N
699867	2394	1998-12-10	VYDAJ	VYBER	3000	38116	\N	\N	\N
699870	2394	1998-04-26	VYDAJ	VYBER	6600	22134	\N	\N	\N
699885	2394	1998-02-28	VYDAJ	VYBER	15	78534	SLUZBY	\N	\N
699886	2394	1998-03-31	VYDAJ	VYBER	15	37373	SLUZBY	\N	\N
699887	2394	1998-04-30	VYDAJ	VYBER	15	22249	SLUZBY	\N	\N
699888	2394	1998-05-31	VYDAJ	VYBER	15	26282	SLUZBY	\N	\N
699889	2394	1998-06-30	VYDAJ	VYBER	15	38122	SLUZBY	\N	\N
699890	2394	1998-07-31	VYDAJ	VYBER	15	32827	SLUZBY	\N	\N
699891	2394	1998-08-31	VYDAJ	VYBER	15	33612	SLUZBY	\N	\N
699892	2394	1998-09-30	VYDAJ	VYBER	15	27120	SLUZBY	\N	\N
699893	2394	1998-10-31	VYDAJ	VYBER	15	20500	SLUZBY	\N	\N
699894	2394	1998-11-30	VYDAJ	VYBER	15	43398	SLUZBY	\N	\N
699895	2394	1997-09-22	VYDAJ	VYBER	5500	31978	\N	\N	\N
699896	2394	1997-10-22	VYDAJ	VYBER	1900	30118	\N	\N	\N
699897	2394	1997-11-21	VYDAJ	VYBER	3000	27251	\N	\N	\N
699898	2394	1997-12-21	VYDAJ	VYBER	16100	36459	\N	\N	\N
699899	2394	1998-01-20	VYDAJ	VYBER	23000	46368	\N	\N	\N
699900	2394	1998-02-19	VYDAJ	VYBER	10300	36236	\N	\N	\N
699901	2394	1998-03-21	VYDAJ	VYBER	23000	48133	\N	\N	\N
699902	2394	1998-04-20	VYDAJ	VYBER	5200	31334	\N	\N	\N
699903	2394	1998-05-20	PRIJEM	VKLAD	3800	26196	\N	\N	\N
699904	2394	1998-06-19	VYDAJ	VYBER	12900	38006	\N	\N	\N
699905	2394	1998-07-19	VYDAJ	VYBER	9300	32676	\N	\N	\N
699906	2394	1998-08-18	PRIJEM	VKLAD	500	29226	\N	\N	\N
699907	2394	1998-09-17	VYDAJ	VYBER	2500	27011	\N	\N	\N
699908	2394	1998-10-17	VYDAJ	VYBER	400	20419	\N	\N	\N
699909	2394	1998-11-16	PRIJEM	VKLAD	1900	18299	\N	\N	\N
699926	2395	1996-06-24	PRIJEM	VKLAD	500	500	\N	\N	\N
699933	2395	1996-07-11	PRIJEM	VKLAD	6291	6791	\N	\N	\N
699934	2395	1996-08-11	PRIJEM	VKLAD	6291	23000	\N	\N	\N
699935	2395	1996-09-11	PRIJEM	VKLAD	6291	28367	\N	\N	\N
699936	2395	1996-10-11	PRIJEM	VKLAD	6291	33556	\N	\N	\N
699937	2395	1996-11-11	PRIJEM	VKLAD	6291	34161	\N	\N	\N
699938	2395	1996-12-11	PRIJEM	VKLAD	9437	29991	\N	\N	\N
699939	2395	1997-01-11	PRIJEM	VKLAD	6291	31809	\N	\N	\N
699940	2395	1997-02-11	PRIJEM	VKLAD	6291	30508	\N	\N	\N
699941	2395	1997-03-11	PRIJEM	VKLAD	6291	40623	\N	\N	\N
699942	2395	1997-04-11	PRIJEM	VKLAD	6291	43687	\N	\N	\N
699943	2395	1997-05-11	PRIJEM	VKLAD	6291	48870	\N	\N	\N
699944	2395	1997-06-11	PRIJEM	VKLAD	9437	25358	\N	\N	\N
699945	2395	1997-07-11	PRIJEM	VKLAD	6291	38066	\N	\N	\N
699946	2395	1997-08-11	PRIJEM	VKLAD	6291	43306	\N	\N	\N
699947	2395	1997-09-11	PRIJEM	VKLAD	6291	45763	\N	\N	\N
699948	2395	1997-10-11	PRIJEM	VKLAD	6291	43650	\N	\N	\N
699949	2395	1997-11-11	PRIJEM	VKLAD	6291	44705	\N	\N	\N
699950	2395	1997-12-11	PRIJEM	VKLAD	9437	47406	\N	\N	\N
699951	2395	1998-01-11	PRIJEM	VKLAD	6291	38097	\N	\N	\N
699952	2395	1998-02-11	PRIJEM	VKLAD	6291	22766	\N	\N	\N
699953	2395	1998-03-11	PRIJEM	VKLAD	6291	26940	\N	\N	\N
699954	2395	1998-04-11	PRIJEM	VKLAD	6291	32936	\N	\N	\N
699955	2395	1998-05-11	PRIJEM	VKLAD	6291	34578	\N	\N	\N
699956	2395	1998-06-11	PRIJEM	VKLAD	9437	38238	\N	\N	\N
699957	2395	1998-07-11	PRIJEM	VKLAD	6291	35757	\N	\N	\N
699958	2395	1998-08-11	PRIJEM	VKLAD	6291	37280	\N	\N	\N
699959	2395	1998-09-11	PRIJEM	VKLAD	6291	38708	\N	\N	\N
699960	2395	1998-10-11	PRIJEM	VKLAD	6291	41947	\N	\N	\N
699961	2395	1998-11-11	PRIJEM	VKLAD	6291	44140	\N	\N	\N
699962	2395	1998-12-11	PRIJEM	VKLAD	9437	48599	\N	\N	\N
699974	2395	1996-12-05	VYDAJ	PREVOD NA UCET	3696	23914	SIPO	IJ	13785899
699975	2395	1997-01-05	VYDAJ	PREVOD NA UCET	3696	25518	SIPO	IJ	13785899
699976	2395	1997-02-05	VYDAJ	PREVOD NA UCET	3696	24217	SIPO	IJ	13785899
699977	2395	1997-03-05	VYDAJ	PREVOD NA UCET	3696	34332	SIPO	IJ	13785899
699978	2395	1997-04-05	VYDAJ	PREVOD NA UCET	3696	37396	SIPO	IJ	13785899
699979	2395	1997-05-05	VYDAJ	PREVOD NA UCET	3696	42579	SIPO	IJ	13785899
699980	2395	1997-06-05	VYDAJ	PREVOD NA UCET	3696	15921	SIPO	IJ	13785899
699981	2395	1997-07-05	VYDAJ	PREVOD NA UCET	3696	31775	SIPO	IJ	13785899
699982	2395	1997-08-05	VYDAJ	PREVOD NA UCET	3696	37015	SIPO	IJ	13785899
699983	2395	1997-09-05	VYDAJ	PREVOD NA UCET	3696	39472	SIPO	IJ	13785899
699984	2395	1997-10-05	VYDAJ	PREVOD NA UCET	3696	37359	SIPO	IJ	13785899
699985	2395	1997-11-05	VYDAJ	PREVOD NA UCET	3696	38414	SIPO	IJ	13785899
699986	2395	1997-12-05	VYDAJ	PREVOD NA UCET	3696	37970	SIPO	IJ	13785899
699987	2395	1998-01-05	VYDAJ	PREVOD NA UCET	3696	31806	SIPO	IJ	13785899
699988	2395	1998-02-05	VYDAJ	PREVOD NA UCET	3696	16475	SIPO	IJ	13785899
699989	2395	1998-03-05	VYDAJ	PREVOD NA UCET	3696	20649	SIPO	IJ	13785899
699990	2395	1998-04-05	VYDAJ	PREVOD NA UCET	3696	26645	SIPO	IJ	13785899
699991	2395	1998-05-05	VYDAJ	PREVOD NA UCET	3696	28287	SIPO	IJ	13785899
699992	2395	1998-06-05	VYDAJ	PREVOD NA UCET	3696	28802	SIPO	IJ	13785899
699993	2395	1998-07-05	VYDAJ	PREVOD NA UCET	3696	29466	SIPO	IJ	13785899
699994	2395	1998-08-05	VYDAJ	PREVOD NA UCET	3696	30989	SIPO	IJ	13785899
699995	2395	1998-09-05	VYDAJ	PREVOD NA UCET	3696	32417	SIPO	IJ	13785899
699996	2395	1998-10-05	VYDAJ	PREVOD NA UCET	3696	35656	SIPO	IJ	13785899
699997	2395	1998-11-05	VYDAJ	PREVOD NA UCET	3696	33349	SIPO	IJ	13785899
699998	2395	1998-12-05	VYDAJ	PREVOD NA UCET	3696	39162	SIPO	IJ	13785899
700000	2395	1997-06-02	VYDAJ	VYBER	30560	19617	\N	\N	\N
700003	2395	1997-01-19	VYDAJ	VYBER	5760	18249	\N	\N	\N
700004	2395	1998-01-23	VYDAJ	VYBER	9920	23297	\N	\N	\N
700005	2395	1996-12-06	VYDAJ	VYBER	3360	20554	\N	\N	\N
700006	2395	1997-12-22	VYDAJ	VYBER	1280	38226	\N	\N	\N
700007	2395	1998-12-01	VYDAJ	VYBER	1440	42858	\N	\N	\N
700014	2395	1997-01-17	VYDAJ	VYBER	1080	30729	\N	\N	\N
700015	2395	1997-01-18	VYDAJ	VYBER	2520	25209	\N	\N	\N
700016	2395	1997-01-29	VYDAJ	VYBER	1440	27809	\N	\N	\N
700017	2395	1997-01-03	VYDAJ	VYBER	1080	29214	\N	\N	\N
700018	2395	1997-01-17	VYDAJ	VYBER	3000	27729	\N	\N	\N
700019	2395	1997-01-19	VYDAJ	VYBER	1200	24009	\N	\N	\N
700020	2395	1998-01-14	VYDAJ	VYBER	2280	31017	\N	\N	\N
700021	2395	1998-01-14	VYDAJ	VYBER	840	33897	\N	\N	\N
700022	2395	1998-01-04	VYDAJ	VYBER	2880	35502	\N	\N	\N
700023	2395	1998-01-14	VYDAJ	VYBER	600	33297	\N	\N	\N
700024	2395	1998-01-12	VYDAJ	VYBER	3360	34737	\N	\N	\N
700025	2395	1998-01-30	VYDAJ	VYBER	3240	20057	\N	\N	\N
700026	2395	1996-11-12	VYDAJ	VYBER	960	33201	\N	\N	\N
700027	2395	1996-12-02	VYDAJ	VYBER	1200	27610	\N	\N	\N
700030	2395	1997-10-02	VYDAJ	VYBER	4680	41055	\N	\N	\N
700031	2395	1997-05-19	VYDAJ	VYBER	2280	46590	\N	\N	\N
700032	2395	1997-04-23	VYDAJ	VYBER	1080	46107	\N	\N	\N
700033	2395	1997-03-18	VYDAJ	VYBER	4680	35943	\N	\N	\N
700034	2395	1998-12-29	VYDAJ	VYBER	4680	41819	\N	\N	\N
700035	2395	1998-11-03	VYDAJ	VYBER	5760	37045	\N	\N	\N
700036	2395	1998-05-02	VYDAJ	VYBER	4680	31983	\N	\N	\N
700048	2395	1996-11-30	VYDAJ	VYBER	15	28810	SLUZBY	\N	\N
700049	2395	1996-12-31	VYDAJ	VYBER	15	30294	SLUZBY	\N	\N
700050	2395	1997-01-31	VYDAJ	VYBER	15	27913	SLUZBY	\N	\N
700051	2395	1997-02-28	VYDAJ	VYBER	15	38028	SLUZBY	\N	\N
700052	2395	1997-03-31	VYDAJ	VYBER	15	41092	SLUZBY	\N	\N
700053	2395	1997-04-30	VYDAJ	VYBER	15	46275	SLUZBY	\N	\N
700054	2395	1997-05-31	VYDAJ	VYBER	15	50177	SLUZBY	\N	\N
700055	2395	1997-06-30	VYDAJ	VYBER	15	35471	SLUZBY	\N	\N
700056	2395	1997-07-31	VYDAJ	VYBER	15	40711	SLUZBY	\N	\N
700057	2395	1997-08-31	VYDAJ	VYBER	15	43168	SLUZBY	\N	\N
700058	2395	1997-09-30	VYDAJ	VYBER	15	45735	SLUZBY	\N	\N
700059	2395	1997-10-31	VYDAJ	VYBER	15	42110	SLUZBY	\N	\N
700060	2395	1997-11-30	VYDAJ	VYBER	15	41666	SLUZBY	\N	\N
700061	2395	1997-12-31	VYDAJ	VYBER	15	38382	SLUZBY	\N	\N
700062	2395	1998-01-31	VYDAJ	VYBER	15	20171	SLUZBY	\N	\N
700063	2395	1998-02-28	VYDAJ	VYBER	15	24345	SLUZBY	\N	\N
700064	2395	1998-03-31	VYDAJ	VYBER	15	30341	SLUZBY	\N	\N
700065	2395	1998-04-30	VYDAJ	VYBER	15	36663	SLUZBY	\N	\N
700066	2395	1998-05-31	VYDAJ	VYBER	15	32498	SLUZBY	\N	\N
700067	2395	1998-06-30	VYDAJ	VYBER	15	33162	SLUZBY	\N	\N
700068	2395	1998-07-31	VYDAJ	VYBER	15	34685	SLUZBY	\N	\N
700069	2395	1998-08-31	VYDAJ	VYBER	15	36113	SLUZBY	\N	\N
700070	2395	1998-09-30	VYDAJ	VYBER	15	39352	SLUZBY	\N	\N
700071	2395	1998-10-31	VYDAJ	VYBER	15	42805	SLUZBY	\N	\N
700072	2395	1998-11-30	VYDAJ	VYBER	15	44298	SLUZBY	\N	\N
700073	2395	1996-07-24	PRIJEM	VKLAD	9900	16691	\N	\N	\N
700074	2395	1996-08-23	VYDAJ	VYBER	1000	22000	\N	\N	\N
700075	2395	1996-09-22	VYDAJ	VYBER	1200	27167	\N	\N	\N
700076	2395	1996-10-22	VYDAJ	VYBER	5800	27756	\N	\N	\N
700077	2395	1996-11-21	VYDAJ	VYBER	4500	28701	\N	\N	\N
700078	2395	1996-12-21	PRIJEM	VKLAD	200	30191	\N	\N	\N
700079	2395	1997-01-20	PRIJEM	VKLAD	11000	29249	\N	\N	\N
700080	2395	1997-02-19	PRIJEM	VKLAD	7400	37908	\N	\N	\N
700081	2395	1997-03-21	PRIJEM	VKLAD	5000	40943	\N	\N	\N
700082	2395	1997-04-20	PRIJEM	VKLAD	3500	47187	\N	\N	\N
700083	2395	1997-05-20	PRIJEM	VKLAD	3400	49990	\N	\N	\N
700084	2395	1997-06-19	PRIJEM	VKLAD	10000	35358	\N	\N	\N
700085	2395	1997-07-19	PRIJEM	VKLAD	2500	40566	\N	\N	\N
700086	2395	1997-08-18	VYDAJ	VYBER	300	43006	\N	\N	\N
700087	2395	1997-09-17	VYDAJ	VYBER	200	45563	\N	\N	\N
700088	2395	1997-10-17	VYDAJ	VYBER	1700	41950	\N	\N	\N
700089	2395	1997-11-16	VYDAJ	VYBER	3200	41505	\N	\N	\N
700090	2395	1997-12-16	VYDAJ	VYBER	7900	39506	\N	\N	\N
700091	2395	1998-01-15	PRIJEM	VKLAD	2200	33217	\N	\N	\N
700092	2395	1998-02-14	PRIJEM	VKLAD	1500	24266	\N	\N	\N
700093	2395	1998-03-16	PRIJEM	VKLAD	3300	30240	\N	\N	\N
700094	2395	1998-04-15	PRIJEM	VKLAD	3600	36536	\N	\N	\N
700095	2395	1998-05-15	VYDAJ	VYBER	2200	32378	\N	\N	\N
700096	2395	1998-06-14	VYDAJ	VYBER	5200	33038	\N	\N	\N
700097	2395	1998-07-14	VYDAJ	VYBER	1200	34557	\N	\N	\N
700098	2395	1998-08-13	VYDAJ	VYBER	1300	35980	\N	\N	\N
700099	2395	1998-09-12	PRIJEM	VKLAD	500	39208	\N	\N	\N
700100	2395	1998-10-12	PRIJEM	VKLAD	700	42647	\N	\N	\N
700101	2395	1998-11-11	PRIJEM	VKLAD	4500	37849	\N	\N	\N
700102	2395	1998-12-11	VYDAJ	VYBER	2100	46499	\N	\N	\N
700133	2396	1993-02-22	PRIJEM	VKLAD	500	500	\N	\N	\N
700136	2396	1993-03-05	PRIJEM	PREVOD Z UCTU	4203	4703	DUCHOD	OP	27204734
700137	2396	1993-04-05	PRIJEM	PREVOD Z UCTU	4203	8906	DUCHOD	OP	27204734
700138	2396	1993-05-05	PRIJEM	PREVOD Z UCTU	4203	13109	DUCHOD	OP	27204734
700139	2396	1993-06-05	PRIJEM	PREVOD Z UCTU	4203	17312	DUCHOD	OP	27204734
700140	2396	1993-07-05	PRIJEM	PREVOD Z UCTU	4203	21515	DUCHOD	OP	27204734
700141	2396	1993-08-05	PRIJEM	PREVOD Z UCTU	4203	23209	DUCHOD	OP	27204734
700142	2396	1993-09-05	PRIJEM	PREVOD Z UCTU	4203	21404	DUCHOD	OP	27204734
700143	2396	1993-10-05	PRIJEM	PREVOD Z UCTU	4203	23121	DUCHOD	OP	27204734
700144	2396	1993-11-05	PRIJEM	PREVOD Z UCTU	4203	24845	DUCHOD	OP	27204734
700145	2396	1993-12-05	PRIJEM	PREVOD Z UCTU	4203	26075	DUCHOD	OP	27204734
700146	2396	1994-01-05	PRIJEM	PREVOD Z UCTU	4203	21509	DUCHOD	OP	27204734
700147	2396	1994-02-05	PRIJEM	PREVOD Z UCTU	4203	23232	DUCHOD	OP	27204734
700148	2396	1994-03-05	PRIJEM	PREVOD Z UCTU	4203	24956	DUCHOD	OP	27204734
700149	2396	1994-04-05	PRIJEM	PREVOD Z UCTU	4203	23346	DUCHOD	OP	27204734
700150	2396	1994-05-05	PRIJEM	PREVOD Z UCTU	4203	25075	DUCHOD	OP	27204734
700151	2396	1994-06-05	PRIJEM	PREVOD Z UCTU	4203	24407	DUCHOD	OP	27204734
700152	2396	1994-07-05	PRIJEM	PREVOD Z UCTU	4203	25180	DUCHOD	OP	27204734
700153	2396	1994-08-05	PRIJEM	PREVOD Z UCTU	4203	26912	DUCHOD	OP	27204734
700154	2396	1994-09-05	PRIJEM	PREVOD Z UCTU	4203	28652	DUCHOD	OP	27204734
700155	2396	1994-10-05	PRIJEM	PREVOD Z UCTU	4203	29296	DUCHOD	OP	27204734
700156	2396	1994-11-05	PRIJEM	PREVOD Z UCTU	4203	30043	DUCHOD	OP	27204734
700157	2396	1994-12-05	PRIJEM	PREVOD Z UCTU	4203	31796	DUCHOD	OP	27204734
700158	2396	1995-01-05	PRIJEM	PREVOD Z UCTU	4203	30558	DUCHOD	OP	27204734
700159	2396	1995-02-05	PRIJEM	PREVOD Z UCTU	4203	29611	DUCHOD	OP	27204734
700160	2396	1995-03-05	PRIJEM	PREVOD Z UCTU	4203	25732	DUCHOD	OP	27204734
700161	2396	1995-04-05	PRIJEM	PREVOD Z UCTU	4203	26965	DUCHOD	OP	27204734
700162	2396	1995-05-05	PRIJEM	PREVOD Z UCTU	4203	28705	DUCHOD	OP	27204734
700163	2396	1995-06-05	PRIJEM	PREVOD Z UCTU	4203	25159	DUCHOD	OP	27204734
700164	2396	1995-07-05	PRIJEM	PREVOD Z UCTU	4203	16158	DUCHOD	OP	27204734
700165	2396	1995-08-05	PRIJEM	PREVOD Z UCTU	4203	17853	DUCHOD	OP	27204734
700166	2396	1995-09-05	PRIJEM	PREVOD Z UCTU	4203	18354	DUCHOD	OP	27204734
700167	2396	1995-10-05	PRIJEM	PREVOD Z UCTU	4203	20057	DUCHOD	OP	27204734
700168	2396	1995-11-05	PRIJEM	PREVOD Z UCTU	4203	20568	DUCHOD	OP	27204734
700169	2396	1995-12-05	PRIJEM	PREVOD Z UCTU	4203	22282	DUCHOD	OP	27204734
700170	2396	1996-01-05	PRIJEM	PREVOD Z UCTU	4203	23602	DUCHOD	OP	27204734
700171	2396	1996-02-05	PRIJEM	PREVOD Z UCTU	4203	24026	DUCHOD	OP	27204734
700172	2396	1996-03-05	PRIJEM	PREVOD Z UCTU	4203	25753	DUCHOD	OP	27204734
700173	2396	1996-04-05	PRIJEM	PREVOD Z UCTU	4203	26987	DUCHOD	OP	27204734
700174	2396	1996-05-05	PRIJEM	PREVOD Z UCTU	4203	28726	DUCHOD	OP	27204734
700175	2396	1996-06-05	PRIJEM	PREVOD Z UCTU	4203	30074	DUCHOD	OP	27204734
700176	2396	1996-07-05	PRIJEM	PREVOD Z UCTU	4203	21398	DUCHOD	OP	27204734
700177	2396	1996-08-05	PRIJEM	PREVOD Z UCTU	4203	23114	DUCHOD	OP	27204734
700178	2396	1996-09-05	PRIJEM	PREVOD Z UCTU	4203	24640	DUCHOD	OP	27204734
700179	2396	1996-10-05	PRIJEM	PREVOD Z UCTU	4203	26369	DUCHOD	OP	27204734
700180	2396	1996-11-05	PRIJEM	PREVOD Z UCTU	4203	26261	DUCHOD	OP	27204734
700181	2396	1996-12-05	PRIJEM	PREVOD Z UCTU	4203	27997	DUCHOD	OP	27204734
700182	2396	1997-01-05	PRIJEM	PREVOD Z UCTU	4203	28788	DUCHOD	OP	27204734
700183	2396	1997-02-05	PRIJEM	PREVOD Z UCTU	4203	24803	DUCHOD	OP	27204734
700184	2396	1997-03-05	PRIJEM	PREVOD Z UCTU	4203	26533	DUCHOD	OP	27204734
700185	2396	1997-04-05	PRIJEM	PREVOD Z UCTU	4203	28269	DUCHOD	OP	27204734
700186	2396	1997-05-05	PRIJEM	PREVOD Z UCTU	4203	28250	DUCHOD	OP	27204734
700187	2396	1997-06-05	PRIJEM	PREVOD Z UCTU	4203	29994	DUCHOD	OP	27204734
700188	2396	1997-07-05	PRIJEM	PREVOD Z UCTU	4203	27590	DUCHOD	OP	27204734
700189	2396	1997-08-05	PRIJEM	PREVOD Z UCTU	4203	28291	DUCHOD	OP	27204734
700190	2396	1997-09-05	PRIJEM	PREVOD Z UCTU	4203	29393	DUCHOD	OP	27204734
700191	2396	1997-10-05	PRIJEM	PREVOD Z UCTU	4203	28339	DUCHOD	OP	27204734
700192	2396	1997-11-05	PRIJEM	PREVOD Z UCTU	4203	25677	DUCHOD	OP	27204734
700193	2396	1997-12-05	PRIJEM	PREVOD Z UCTU	4203	27414	DUCHOD	OP	27204734
700194	2396	1998-01-05	PRIJEM	PREVOD Z UCTU	4203	28152	DUCHOD	OP	27204734
700195	2396	1998-02-05	PRIJEM	PREVOD Z UCTU	4203	26639	DUCHOD	OP	27204734
700196	2396	1998-03-05	PRIJEM	PREVOD Z UCTU	4203	28375	DUCHOD	OP	27204734
700197	2396	1998-04-05	PRIJEM	PREVOD Z UCTU	4203	30119	DUCHOD	OP	27204734
700198	2396	1998-05-05	PRIJEM	PREVOD Z UCTU	4203	31870	DUCHOD	OP	27204734
700199	2396	1998-06-05	PRIJEM	PREVOD Z UCTU	4203	31126	DUCHOD	OP	27204734
700200	2396	1998-07-05	PRIJEM	PREVOD Z UCTU	4203	29478	DUCHOD	OP	27204734
700201	2396	1998-08-05	PRIJEM	PREVOD Z UCTU	4203	24921	DUCHOD	OP	27204734
700202	2396	1998-09-05	PRIJEM	PREVOD Z UCTU	4203	24888	DUCHOD	OP	27204734
700203	2396	1998-10-05	PRIJEM	PREVOD Z UCTU	4203	25916	DUCHOD	OP	27204734
700204	2396	1998-11-05	PRIJEM	PREVOD Z UCTU	4203	24145	DUCHOD	OP	27204734
700205	2396	1998-12-05	PRIJEM	PREVOD Z UCTU	4203	25870	DUCHOD	OP	27204734
700212	2396	1993-07-11	VYDAJ	PREVOD NA UCET	2548	18967	SIPO	AB	75456380
700213	2396	1993-08-11	VYDAJ	PREVOD NA UCET	2548	20661	SIPO	AB	75456380
700214	2396	1993-09-11	VYDAJ	PREVOD NA UCET	2548	18856	SIPO	AB	75456380
700215	2396	1993-10-11	VYDAJ	PREVOD NA UCET	2548	20573	SIPO	AB	75456380
700216	2396	1993-11-11	VYDAJ	PREVOD NA UCET	2548	22297	SIPO	AB	75456380
700217	2396	1993-12-11	VYDAJ	PREVOD NA UCET	2548	22177	SIPO	AB	75456380
700218	2396	1994-01-11	VYDAJ	PREVOD NA UCET	2548	18961	SIPO	AB	75456380
700219	2396	1994-02-11	VYDAJ	PREVOD NA UCET	2548	20684	SIPO	AB	75456380
700220	2396	1994-03-11	VYDAJ	PREVOD NA UCET	2548	22408	SIPO	AB	75456380
700221	2396	1994-04-11	VYDAJ	PREVOD NA UCET	2548	20798	SIPO	AB	75456380
700222	2396	1994-05-11	VYDAJ	PREVOD NA UCET	2548	22527	SIPO	AB	75456380
700223	2396	1994-06-11	VYDAJ	PREVOD NA UCET	2548	21859	SIPO	AB	75456380
700224	2396	1994-07-11	VYDAJ	PREVOD NA UCET	2548	22632	SIPO	AB	75456380
700225	2396	1994-08-11	VYDAJ	PREVOD NA UCET	2548	24364	SIPO	AB	75456380
700226	2396	1994-09-11	VYDAJ	PREVOD NA UCET	2548	26104	SIPO	AB	75456380
700227	2396	1994-10-11	VYDAJ	PREVOD NA UCET	2548	26748	SIPO	AB	75456380
700228	2396	1994-11-11	VYDAJ	PREVOD NA UCET	2548	27495	SIPO	AB	75456380
700229	2396	1994-12-11	VYDAJ	PREVOD NA UCET	2548	28198	SIPO	AB	75456380
700230	2396	1995-01-11	VYDAJ	PREVOD NA UCET	2548	28010	SIPO	AB	75456380
700231	2396	1995-02-11	VYDAJ	PREVOD NA UCET	2548	27063	SIPO	AB	75456380
700232	2396	1995-03-11	VYDAJ	PREVOD NA UCET	2548	23184	SIPO	AB	75456380
700233	2396	1995-04-11	VYDAJ	PREVOD NA UCET	2548	24417	SIPO	AB	75456380
700234	2396	1995-05-11	VYDAJ	PREVOD NA UCET	2548	23037	SIPO	AB	75456380
700235	2396	1995-06-11	VYDAJ	PREVOD NA UCET	2548	11911	SIPO	AB	75456380
700236	2396	1995-07-11	VYDAJ	PREVOD NA UCET	2548	13610	SIPO	AB	75456380
700237	2396	1995-08-11	VYDAJ	PREVOD NA UCET	2548	15305	SIPO	AB	75456380
700238	2396	1995-09-11	VYDAJ	PREVOD NA UCET	2548	15806	SIPO	AB	75456380
700239	2396	1995-10-11	VYDAJ	PREVOD NA UCET	2548	17509	SIPO	AB	75456380
700240	2396	1995-11-11	VYDAJ	PREVOD NA UCET	2548	18020	SIPO	AB	75456380
700241	2396	1995-12-11	VYDAJ	PREVOD NA UCET	2548	19334	SIPO	AB	75456380
700242	2396	1996-01-11	VYDAJ	PREVOD NA UCET	2548	21054	SIPO	AB	75456380
700243	2396	1996-02-11	VYDAJ	PREVOD NA UCET	2548	21478	SIPO	AB	75456380
700244	2396	1996-03-11	VYDAJ	PREVOD NA UCET	2548	22705	SIPO	AB	75456380
700245	2396	1996-04-11	VYDAJ	PREVOD NA UCET	2548	24439	SIPO	AB	75456380
700246	2396	1996-05-11	VYDAJ	PREVOD NA UCET	2548	25778	SIPO	AB	75456380
700247	2396	1996-06-11	VYDAJ	PREVOD NA UCET	2548	23926	SIPO	AB	75456380
700248	2396	1996-07-11	VYDAJ	PREVOD NA UCET	2548	18850	SIPO	AB	75456380
700249	2396	1996-08-11	VYDAJ	PREVOD NA UCET	2548	20366	SIPO	AB	75456380
700250	2396	1996-09-11	VYDAJ	PREVOD NA UCET	2548	22092	SIPO	AB	75456380
700251	2396	1996-10-11	VYDAJ	PREVOD NA UCET	2548	23821	SIPO	AB	75456380
700252	2396	1996-11-11	VYDAJ	PREVOD NA UCET	2548	23713	SIPO	AB	75456380
700253	2396	1996-12-11	VYDAJ	PREVOD NA UCET	2548	25449	SIPO	AB	75456380
700254	2396	1997-01-11	VYDAJ	PREVOD NA UCET	2548	26240	SIPO	AB	75456380
700255	2396	1997-02-11	VYDAJ	PREVOD NA UCET	2548	22255	SIPO	AB	75456380
700256	2396	1997-03-11	VYDAJ	PREVOD NA UCET	2548	23985	SIPO	AB	75456380
700257	2396	1997-04-11	VYDAJ	PREVOD NA UCET	2548	25721	SIPO	AB	75456380
700258	2396	1997-05-11	VYDAJ	PREVOD NA UCET	2548	25702	SIPO	AB	75456380
700259	2396	1997-06-11	VYDAJ	PREVOD NA UCET	2548	27446	SIPO	AB	75456380
700260	2396	1997-07-11	VYDAJ	PREVOD NA UCET	2548	25042	SIPO	AB	75456380
700261	2396	1997-08-11	VYDAJ	PREVOD NA UCET	2548	25103	SIPO	AB	75456380
700262	2396	1997-09-11	VYDAJ	PREVOD NA UCET	2548	26845	SIPO	AB	75456380
700263	2396	1997-10-11	VYDAJ	PREVOD NA UCET	2548	25791	SIPO	AB	75456380
700264	2396	1997-11-11	VYDAJ	PREVOD NA UCET	2548	23129	SIPO	AB	75456380
700265	2396	1997-12-11	VYDAJ	PREVOD NA UCET	2548	23866	SIPO	AB	75456380
700266	2396	1998-01-11	VYDAJ	PREVOD NA UCET	2548	25604	SIPO	AB	75456380
700267	2396	1998-02-11	VYDAJ	PREVOD NA UCET	2548	24091	SIPO	AB	75456380
700268	2396	1998-03-11	VYDAJ	PREVOD NA UCET	2548	25827	SIPO	AB	75456380
700269	2396	1998-04-11	VYDAJ	PREVOD NA UCET	2548	27571	SIPO	AB	75456380
700270	2396	1998-05-11	VYDAJ	PREVOD NA UCET	2548	29322	SIPO	AB	75456380
700271	2396	1998-06-11	VYDAJ	PREVOD NA UCET	2548	28578	SIPO	AB	75456380
700272	2396	1998-07-11	VYDAJ	PREVOD NA UCET	2548	26930	SIPO	AB	75456380
700273	2396	1998-08-11	VYDAJ	PREVOD NA UCET	2548	22373	SIPO	AB	75456380
700274	2396	1998-09-11	VYDAJ	PREVOD NA UCET	2548	22340	SIPO	AB	75456380
700275	2396	1998-10-11	VYDAJ	PREVOD NA UCET	2548	23368	SIPO	AB	75456380
700276	2396	1998-11-11	VYDAJ	PREVOD NA UCET	2548	21597	SIPO	AB	75456380
700277	2396	1998-12-11	VYDAJ	PREVOD NA UCET	2548	23322	SIPO	AB	75456380
700280	2396	1995-06-08	VYDAJ	VYBER	10700	14459	\N	\N	\N
700281	2396	1996-06-12	VYDAJ	VYBER	6800	17126	\N	\N	\N
700282	2396	1997-06-23	VYDAJ	VYBER	4150	23296	\N	\N	\N
700285	2396	1994-01-01	VYDAJ	VYBER	4950	17306	\N	\N	\N
700286	2396	1995-01-26	VYDAJ	VYBER	2700	25310	\N	\N	\N
700287	2396	1996-01-28	VYDAJ	VYBER	1300	19754	\N	\N	\N
700288	2396	1997-01-19	VYDAJ	VYBER	3800	20520	\N	\N	\N
700289	2396	1998-01-19	VYDAJ	VYBER	3250	22354	\N	\N	\N
700290	2396	1993-12-07	VYDAJ	VYBER	1350	24725	\N	\N	\N
700291	2396	1994-12-09	VYDAJ	VYBER	1050	30746	\N	\N	\N
700292	2396	1995-12-09	VYDAJ	VYBER	400	21882	\N	\N	\N
700293	2396	1996-12-16	VYDAJ	VYBER	950	24499	\N	\N	\N
700294	2396	1997-12-10	VYDAJ	VYBER	1000	26414	\N	\N	\N
700295	2396	1998-12-21	VYDAJ	VYBER	250	23072	\N	\N	\N
700300	2396	1993-08-13	VYDAJ	VYBER	3520	17141	\N	\N	\N
700301	2396	1994-12-12	VYDAJ	VYBER	1040	27158	\N	\N	\N
700302	2396	1994-06-02	VYDAJ	VYBER	2400	20204	\N	\N	\N
700303	2396	1994-04-04	VYDAJ	VYBER	2240	19143	\N	\N	\N
700304	2396	1994-06-19	VYDAJ	VYBER	960	20899	\N	\N	\N
700305	2396	1995-02-20	VYDAJ	VYBER	3920	21443	\N	\N	\N
700306	2396	1995-10-31	VYDAJ	VYBER	1200	16365	\N	\N	\N
700307	2396	1995-05-10	VYDAJ	VYBER	3120	25585	\N	\N	\N
700308	2396	1995-08-28	VYDAJ	VYBER	1200	14105	\N	\N	\N
700309	2396	1995-05-18	VYDAJ	VYBER	2160	20877	\N	\N	\N
700310	2396	1996-10-17	VYDAJ	VYBER	1840	21981	\N	\N	\N
700311	2396	1997-11-01	VYDAJ	VYBER	1760	21474	\N	\N	\N
700312	2396	1997-08-10	VYDAJ	VYBER	640	27651	\N	\N	\N
700313	2396	1997-04-19	VYDAJ	VYBER	1760	23961	\N	\N	\N
700314	2396	1997-07-27	VYDAJ	VYBER	1040	24002	\N	\N	\N
700315	2396	1997-10-18	VYDAJ	VYBER	2640	23151	\N	\N	\N
700316	2396	1997-01-14	VYDAJ	VYBER	1920	24320	\N	\N	\N
700317	2396	1997-09-24	VYDAJ	VYBER	2800	24045	\N	\N	\N
700318	2396	1998-08-21	VYDAJ	VYBER	560	21813	\N	\N	\N
700326	2396	1993-07-31	VYDAJ	VYBER	15	19006	SLUZBY	\N	\N
700327	2396	1993-08-31	VYDAJ	VYBER	15	17201	SLUZBY	\N	\N
700328	2396	1993-09-30	VYDAJ	VYBER	15	18918	SLUZBY	\N	\N
700329	2396	1993-10-31	VYDAJ	VYBER	15	20642	SLUZBY	\N	\N
700330	2396	1993-11-30	VYDAJ	VYBER	15	21872	SLUZBY	\N	\N
700331	2396	1993-12-31	VYDAJ	VYBER	15	22256	SLUZBY	\N	\N
700332	2396	1994-01-31	VYDAJ	VYBER	15	19029	SLUZBY	\N	\N
700333	2396	1994-02-28	VYDAJ	VYBER	15	20753	SLUZBY	\N	\N
700334	2396	1994-03-31	VYDAJ	VYBER	15	21383	SLUZBY	\N	\N
700335	2396	1994-04-30	VYDAJ	VYBER	15	20872	SLUZBY	\N	\N
700336	2396	1994-05-31	VYDAJ	VYBER	15	22604	SLUZBY	\N	\N
700337	2396	1994-06-30	VYDAJ	VYBER	15	20977	SLUZBY	\N	\N
700338	2396	1994-07-31	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
700339	2396	1994-08-31	VYDAJ	VYBER	15	24449	SLUZBY	\N	\N
700340	2396	1994-09-30	VYDAJ	VYBER	15	25093	SLUZBY	\N	\N
700341	2396	1994-10-31	VYDAJ	VYBER	15	25840	SLUZBY	\N	\N
700342	2396	1994-11-30	VYDAJ	VYBER	15	27593	SLUZBY	\N	\N
700343	2396	1994-12-31	VYDAJ	VYBER	15	26355	SLUZBY	\N	\N
700344	2396	1995-01-31	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
700345	2396	1995-02-28	VYDAJ	VYBER	15	21529	SLUZBY	\N	\N
700346	2396	1995-03-31	VYDAJ	VYBER	15	22762	SLUZBY	\N	\N
700347	2396	1995-04-30	VYDAJ	VYBER	15	24502	SLUZBY	\N	\N
700348	2396	1995-05-31	VYDAJ	VYBER	15	20956	SLUZBY	\N	\N
700349	2396	1995-06-30	VYDAJ	VYBER	15	11955	SLUZBY	\N	\N
700350	2396	1995-07-31	VYDAJ	VYBER	15	13650	SLUZBY	\N	\N
700351	2396	1995-08-31	VYDAJ	VYBER	15	14151	SLUZBY	\N	\N
700352	2396	1995-09-30	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
700353	2396	1995-10-31	VYDAJ	VYBER	15	17565	SLUZBY	\N	\N
700354	2396	1995-11-30	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
700355	2396	1995-12-31	VYDAJ	VYBER	15	19399	SLUZBY	\N	\N
700356	2396	1996-01-31	VYDAJ	VYBER	15	19823	SLUZBY	\N	\N
700357	2396	1996-02-29	VYDAJ	VYBER	15	21550	SLUZBY	\N	\N
700358	2396	1996-03-31	VYDAJ	VYBER	15	22784	SLUZBY	\N	\N
700359	2396	1996-04-30	VYDAJ	VYBER	15	24523	SLUZBY	\N	\N
700360	2396	1996-05-31	VYDAJ	VYBER	15	25871	SLUZBY	\N	\N
700361	2396	1996-06-30	VYDAJ	VYBER	15	17195	SLUZBY	\N	\N
700362	2396	1996-07-31	VYDAJ	VYBER	15	18911	SLUZBY	\N	\N
700363	2396	1996-08-31	VYDAJ	VYBER	15	20437	SLUZBY	\N	\N
700364	2396	1996-09-30	VYDAJ	VYBER	15	22166	SLUZBY	\N	\N
700365	2396	1996-10-31	VYDAJ	VYBER	15	22058	SLUZBY	\N	\N
700366	2396	1996-11-30	VYDAJ	VYBER	15	23794	SLUZBY	\N	\N
700367	2396	1996-12-31	VYDAJ	VYBER	15	24585	SLUZBY	\N	\N
700368	2396	1997-01-31	VYDAJ	VYBER	15	20600	SLUZBY	\N	\N
700369	2396	1997-02-28	VYDAJ	VYBER	15	22330	SLUZBY	\N	\N
700370	2396	1997-03-31	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
700371	2396	1997-04-30	VYDAJ	VYBER	15	24047	SLUZBY	\N	\N
700372	2396	1997-05-31	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
700373	2396	1997-06-30	VYDAJ	VYBER	15	23387	SLUZBY	\N	\N
700374	2396	1997-07-31	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
700375	2396	1997-08-31	VYDAJ	VYBER	15	25190	SLUZBY	\N	\N
700376	2396	1997-09-30	VYDAJ	VYBER	15	24136	SLUZBY	\N	\N
700377	2396	1997-10-31	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
700378	2396	1997-11-30	VYDAJ	VYBER	15	23211	SLUZBY	\N	\N
700379	2396	1997-12-31	VYDAJ	VYBER	15	23949	SLUZBY	\N	\N
700380	2396	1998-01-31	VYDAJ	VYBER	15	22436	SLUZBY	\N	\N
700381	2396	1998-02-28	VYDAJ	VYBER	15	24172	SLUZBY	\N	\N
700382	2396	1998-03-31	VYDAJ	VYBER	15	25916	SLUZBY	\N	\N
700383	2396	1998-04-30	VYDAJ	VYBER	15	27667	SLUZBY	\N	\N
700384	2396	1998-05-31	VYDAJ	VYBER	15	26923	SLUZBY	\N	\N
700385	2396	1998-06-30	VYDAJ	VYBER	15	25275	SLUZBY	\N	\N
700386	2396	1998-07-31	VYDAJ	VYBER	15	20718	SLUZBY	\N	\N
700387	2396	1998-08-31	VYDAJ	VYBER	15	20685	SLUZBY	\N	\N
700388	2396	1998-09-30	VYDAJ	VYBER	15	21713	SLUZBY	\N	\N
700389	2396	1998-10-31	VYDAJ	VYBER	15	19942	SLUZBY	\N	\N
700390	2396	1998-11-30	VYDAJ	VYBER	15	21667	SLUZBY	\N	\N
700391	2396	1993-11-19	VYDAJ	VYBER	500	21797	\N	\N	\N
700392	2396	1994-03-19	VYDAJ	VYBER	1100	21308	\N	\N	\N
700393	2396	1994-09-15	VYDAJ	VYBER	1100	25004	\N	\N	\N
700394	2396	1994-10-15	VYDAJ	VYBER	1000	25748	\N	\N	\N
700395	2396	1994-12-14	VYDAJ	VYBER	900	26258	\N	\N	\N
700396	2396	1995-02-12	VYDAJ	VYBER	1700	25363	\N	\N	\N
700397	2396	1995-03-14	VYDAJ	VYBER	500	22684	\N	\N	\N
700398	2396	1996-03-08	VYDAJ	VYBER	500	25253	\N	\N	\N
700399	2396	1996-05-07	VYDAJ	VYBER	400	28326	\N	\N	\N
700400	2396	1996-06-06	VYDAJ	VYBER	3600	26474	\N	\N	\N
700401	2396	1996-08-05	VYDAJ	VYBER	200	22914	\N	\N	\N
700402	2396	1998-05-27	VYDAJ	VYBER	2500	26822	\N	\N	\N
700403	2396	1998-06-26	VYDAJ	VYBER	3400	25178	\N	\N	\N
700404	2396	1998-07-26	VYDAJ	VYBER	6300	20630	\N	\N	\N
700405	2396	1998-08-25	VYDAJ	VYBER	1200	20613	\N	\N	\N
700406	2396	1998-09-24	VYDAJ	VYBER	700	21640	\N	\N	\N
700407	2396	1998-10-24	VYDAJ	VYBER	3500	19868	\N	\N	\N
700474	2397	1996-06-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
700481	2397	1996-07-10	PRIJEM	VKLAD	4694	5694	\N	\N	\N
700482	2397	1996-08-10	PRIJEM	VKLAD	4694	16517	\N	\N	\N
700483	2397	1996-09-10	PRIJEM	VKLAD	4694	26686	\N	\N	\N
700484	2397	1996-10-10	PRIJEM	VKLAD	4694	30381	\N	\N	\N
700485	2397	1996-11-10	PRIJEM	VKLAD	4694	31584	\N	\N	\N
700486	2397	1996-12-10	PRIJEM	VKLAD	7041	29089	\N	\N	\N
700487	2397	1997-01-10	PRIJEM	VKLAD	4694	20537	\N	\N	\N
700488	2397	1997-02-10	PRIJEM	VKLAD	4694	17653	\N	\N	\N
700489	2397	1997-03-10	PRIJEM	VKLAD	4694	19270	\N	\N	\N
700490	2397	1997-04-10	PRIJEM	VKLAD	4694	23405	\N	\N	\N
700491	2397	1997-05-10	PRIJEM	VKLAD	4694	23350	\N	\N	\N
700492	2397	1997-06-10	PRIJEM	VKLAD	7041	25430	\N	\N	\N
700493	2397	1997-07-10	PRIJEM	VKLAD	4694	20776	\N	\N	\N
700494	2397	1997-08-10	PRIJEM	VKLAD	4694	23805	\N	\N	\N
700495	2397	1997-09-10	PRIJEM	VKLAD	4694	27347	\N	\N	\N
700496	2397	1997-10-10	PRIJEM	VKLAD	4694	32107	\N	\N	\N
700497	2397	1997-11-10	PRIJEM	VKLAD	4694	31984	\N	\N	\N
700498	2397	1997-12-10	PRIJEM	VKLAD	7041	33410	\N	\N	\N
700499	2397	1998-01-10	PRIJEM	VKLAD	4694	28393	\N	\N	\N
700500	2397	1998-02-10	PRIJEM	VKLAD	4694	19640	\N	\N	\N
700501	2397	1998-03-10	PRIJEM	VKLAD	4694	26767	\N	\N	\N
700502	2397	1998-04-10	PRIJEM	VKLAD	4694	25119	\N	\N	\N
700503	2397	1998-05-10	PRIJEM	VKLAD	4694	26568	\N	\N	\N
700504	2397	1998-06-10	PRIJEM	VKLAD	7041	29072	\N	\N	\N
700505	2397	1998-07-10	PRIJEM	VKLAD	4694	33137	\N	\N	\N
700506	2397	1998-08-10	PRIJEM	VKLAD	4694	34320	\N	\N	\N
700507	2397	1998-09-10	PRIJEM	VKLAD	4694	27509	\N	\N	\N
700508	2397	1998-10-10	PRIJEM	VKLAD	4694	28574	\N	\N	\N
700509	2397	1998-11-10	PRIJEM	VKLAD	4694	33139	\N	\N	\N
700510	2397	1998-12-10	PRIJEM	VKLAD	7041	38968	\N	\N	\N
700522	2397	1996-12-05	VYDAJ	PREVOD NA UCET	3113	22064	SIPO	YZ	20025152
700523	2397	1997-01-05	VYDAJ	PREVOD NA UCET	3113	15859	SIPO	YZ	20025152
700524	2397	1997-02-05	VYDAJ	PREVOD NA UCET	3113	10175	SIPO	YZ	20025152
700525	2397	1997-03-05	VYDAJ	PREVOD NA UCET	3113	14592	SIPO	YZ	20025152
700526	2397	1997-04-05	VYDAJ	PREVOD NA UCET	3113	18727	SIPO	YZ	20025152
700527	2397	1997-05-05	VYDAJ	PREVOD NA UCET	3113	18672	SIPO	YZ	20025152
700528	2397	1997-06-05	VYDAJ	PREVOD NA UCET	3113	16105	SIPO	YZ	20025152
700529	2397	1997-07-05	VYDAJ	PREVOD NA UCET	3113	11198	SIPO	YZ	20025152
700530	2397	1997-08-05	VYDAJ	PREVOD NA UCET	3113	14627	SIPO	YZ	20025152
700531	2397	1997-09-05	VYDAJ	PREVOD NA UCET	3113	20769	SIPO	YZ	20025152
700532	2397	1997-10-05	VYDAJ	PREVOD NA UCET	3113	24329	SIPO	YZ	20025152
700533	2397	1997-11-05	VYDAJ	PREVOD NA UCET	3113	26506	SIPO	YZ	20025152
700534	2397	1997-12-05	VYDAJ	PREVOD NA UCET	3113	28985	SIPO	YZ	20025152
700535	2397	1998-01-05	VYDAJ	PREVOD NA UCET	3113	23715	SIPO	YZ	20025152
700536	2397	1998-02-05	VYDAJ	PREVOD NA UCET	3113	14962	SIPO	YZ	20025152
700537	2397	1998-03-05	VYDAJ	PREVOD NA UCET	3113	16589	SIPO	YZ	20025152
700538	2397	1998-04-05	VYDAJ	PREVOD NA UCET	3113	20441	SIPO	YZ	20025152
700539	2397	1998-05-05	VYDAJ	PREVOD NA UCET	3113	21890	SIPO	YZ	20025152
700540	2397	1998-06-05	VYDAJ	PREVOD NA UCET	3113	22047	SIPO	YZ	20025152
700541	2397	1998-07-05	VYDAJ	PREVOD NA UCET	3113	28459	SIPO	YZ	20025152
700542	2397	1998-08-05	VYDAJ	PREVOD NA UCET	3113	29642	SIPO	YZ	20025152
700543	2397	1998-09-05	VYDAJ	PREVOD NA UCET	3113	22831	SIPO	YZ	20025152
700544	2397	1998-10-05	VYDAJ	PREVOD NA UCET	3113	23896	SIPO	YZ	20025152
700545	2397	1998-11-05	VYDAJ	PREVOD NA UCET	3113	28461	SIPO	YZ	20025152
700546	2397	1998-12-05	VYDAJ	PREVOD NA UCET	3113	31943	SIPO	YZ	20025152
700558	2397	1996-12-08	VYDAJ	PREVOD NA UCET	16	22048	 	MN	30975151
700559	2397	1997-01-08	VYDAJ	PREVOD NA UCET	16	15843	 	MN	30975151
700560	2397	1997-02-08	VYDAJ	PREVOD NA UCET	16	10159	 	MN	30975151
700561	2397	1997-03-08	VYDAJ	PREVOD NA UCET	16	14576	 	MN	30975151
700562	2397	1997-04-08	VYDAJ	PREVOD NA UCET	16	18711	 	MN	30975151
700563	2397	1997-05-08	VYDAJ	PREVOD NA UCET	16	18656	 	MN	30975151
700564	2397	1997-06-08	VYDAJ	PREVOD NA UCET	16	16089	 	MN	30975151
700565	2397	1997-07-08	VYDAJ	PREVOD NA UCET	16	11182	 	MN	30975151
700566	2397	1997-08-08	VYDAJ	PREVOD NA UCET	16	19111	 	MN	30975151
700567	2397	1997-09-08	VYDAJ	PREVOD NA UCET	16	22653	 	MN	30975151
700568	2397	1997-10-08	VYDAJ	PREVOD NA UCET	16	27413	 	MN	30975151
700569	2397	1997-11-08	VYDAJ	PREVOD NA UCET	16	27290	 	MN	30975151
700570	2397	1997-12-08	VYDAJ	PREVOD NA UCET	16	26369	 	MN	30975151
700571	2397	1998-01-08	VYDAJ	PREVOD NA UCET	16	23699	 	MN	30975151
700572	2397	1998-02-08	VYDAJ	PREVOD NA UCET	16	14946	 	MN	30975151
700573	2397	1998-03-08	VYDAJ	PREVOD NA UCET	16	22073	 	MN	30975151
700574	2397	1998-04-08	VYDAJ	PREVOD NA UCET	16	20425	 	MN	30975151
700575	2397	1998-05-08	VYDAJ	PREVOD NA UCET	16	21874	 	MN	30975151
700576	2397	1998-06-08	VYDAJ	PREVOD NA UCET	16	22031	 	MN	30975151
700577	2397	1998-07-08	VYDAJ	PREVOD NA UCET	16	28443	 	MN	30975151
700578	2397	1998-08-08	VYDAJ	PREVOD NA UCET	16	29626	 	MN	30975151
700579	2397	1998-09-08	VYDAJ	PREVOD NA UCET	16	22815	 	MN	30975151
700580	2397	1998-10-08	VYDAJ	PREVOD NA UCET	16	23880	 	MN	30975151
700581	2397	1998-11-08	VYDAJ	PREVOD NA UCET	16	28445	 	MN	30975151
700582	2397	1998-12-08	VYDAJ	PREVOD NA UCET	16	31927	 	MN	30975151
700584	2397	1997-06-10	VYDAJ	VYBER	11200	14230	\N	\N	\N
700588	2397	1998-01-12	VYDAJ	VYBER	1100	27293	\N	\N	\N
700589	2397	1996-12-22	VYDAJ	VYBER	1700	21989	\N	\N	\N
700590	2397	1997-12-30	VYDAJ	VYBER	2000	31410	\N	\N	\N
700591	2397	1998-12-19	VYDAJ	VYBER	2100	36868	\N	\N	\N
700598	2397	1997-01-27	VYDAJ	VYBER	700	13237	\N	\N	\N
700599	2397	1997-01-04	VYDAJ	VYBER	700	18972	\N	\N	\N
700600	2397	1997-01-11	VYDAJ	VYBER	2600	16137	\N	\N	\N
700601	2397	1997-01-02	VYDAJ	VYBER	2400	19672	\N	\N	\N
700602	2397	1997-01-15	VYDAJ	VYBER	1200	14937	\N	\N	\N
700603	2397	1997-01-17	VYDAJ	VYBER	1000	13937	\N	\N	\N
700604	2397	1998-01-27	VYDAJ	VYBER	2200	17393	\N	\N	\N
700605	2397	1998-01-20	VYDAJ	VYBER	2100	21393	\N	\N	\N
700606	2397	1998-01-12	VYDAJ	VYBER	1700	25593	\N	\N	\N
700607	2397	1998-01-12	VYDAJ	VYBER	2100	23493	\N	\N	\N
700608	2397	1998-01-27	VYDAJ	VYBER	900	16493	\N	\N	\N
700609	2397	1998-01-24	VYDAJ	VYBER	1800	19593	\N	\N	\N
700617	2397	1997-10-28	VYDAJ	VYBER	2600	29507	\N	\N	\N
700618	2397	1997-08-02	VYDAJ	VYBER	3100	17740	\N	\N	\N
700619	2397	1997-12-30	VYDAJ	VYBER	4400	27010	\N	\N	\N
700620	2397	1998-03-28	VYDAJ	VYBER	2500	24267	\N	\N	\N
700621	2397	1998-03-31	VYDAJ	VYBER	2700	21669	\N	\N	\N
700633	2397	1996-11-30	VYDAJ	VYBER	15	25177	SLUZBY	\N	\N
700634	2397	1996-12-31	VYDAJ	VYBER	15	22072	SLUZBY	\N	\N
700635	2397	1997-01-31	VYDAJ	VYBER	15	13288	SLUZBY	\N	\N
700636	2397	1997-02-28	VYDAJ	VYBER	15	17705	SLUZBY	\N	\N
700637	2397	1997-03-31	VYDAJ	VYBER	15	21840	SLUZBY	\N	\N
700638	2397	1997-04-30	VYDAJ	VYBER	15	21785	SLUZBY	\N	\N
700639	2397	1997-05-31	VYDAJ	VYBER	15	19218	SLUZBY	\N	\N
700640	2397	1997-06-30	VYDAJ	VYBER	15	14311	SLUZBY	\N	\N
700641	2397	1997-07-31	VYDAJ	VYBER	15	20840	SLUZBY	\N	\N
700642	2397	1997-08-31	VYDAJ	VYBER	15	23882	SLUZBY	\N	\N
700643	2397	1997-09-30	VYDAJ	VYBER	15	27442	SLUZBY	\N	\N
700644	2397	1997-10-31	VYDAJ	VYBER	15	29619	SLUZBY	\N	\N
700645	2397	1997-11-30	VYDAJ	VYBER	15	32098	SLUZBY	\N	\N
700646	2397	1997-12-31	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
700647	2397	1998-01-31	VYDAJ	VYBER	15	16575	SLUZBY	\N	\N
700648	2397	1998-02-28	VYDAJ	VYBER	15	19702	SLUZBY	\N	\N
700649	2397	1998-03-31	VYDAJ	VYBER	15	21654	SLUZBY	\N	\N
700650	2397	1998-04-30	VYDAJ	VYBER	15	25203	SLUZBY	\N	\N
700651	2397	1998-05-31	VYDAJ	VYBER	15	26660	SLUZBY	\N	\N
700652	2397	1998-06-30	VYDAJ	VYBER	15	29172	SLUZBY	\N	\N
700653	2397	1998-07-31	VYDAJ	VYBER	15	33255	SLUZBY	\N	\N
700654	2397	1998-08-31	VYDAJ	VYBER	15	34444	SLUZBY	\N	\N
700655	2397	1998-09-30	VYDAJ	VYBER	15	27609	SLUZBY	\N	\N
700656	2397	1998-10-31	VYDAJ	VYBER	15	28674	SLUZBY	\N	\N
700657	2397	1998-11-30	VYDAJ	VYBER	15	33256	SLUZBY	\N	\N
700658	2397	1996-07-14	PRIJEM	VKLAD	6100	11794	\N	\N	\N
700659	2397	1996-08-13	PRIJEM	VKLAD	5400	21917	\N	\N	\N
700660	2397	1996-09-12	VYDAJ	VYBER	1100	25586	\N	\N	\N
700661	2397	1996-10-12	VYDAJ	VYBER	3600	26781	\N	\N	\N
700662	2397	1996-11-11	VYDAJ	VYBER	6500	25084	\N	\N	\N
700663	2397	1996-12-11	VYDAJ	VYBER	5400	23689	\N	\N	\N
700664	2397	1997-01-10	VYDAJ	VYBER	1800	18737	\N	\N	\N
700665	2397	1997-02-09	PRIJEM	VKLAD	2800	12959	\N	\N	\N
700666	2397	1997-03-11	PRIJEM	VKLAD	2500	21770	\N	\N	\N
700667	2397	1997-04-10	VYDAJ	VYBER	1700	21705	\N	\N	\N
700668	2397	1997-05-10	VYDAJ	VYBER	4200	19150	\N	\N	\N
700669	2397	1997-06-09	PRIJEM	VKLAD	2300	18389	\N	\N	\N
700670	2397	1997-07-09	PRIJEM	VKLAD	4900	16082	\N	\N	\N
700671	2397	1997-08-08	PRIJEM	VKLAD	4500	19127	\N	\N	\N
700672	2397	1997-09-07	PRIJEM	VKLAD	1900	22669	\N	\N	\N
700673	2397	1997-10-07	PRIJEM	VKLAD	3100	27429	\N	\N	\N
700674	2397	1997-11-06	PRIJEM	VKLAD	800	27306	\N	\N	\N
700675	2397	1997-12-06	VYDAJ	VYBER	2600	26385	\N	\N	\N
700676	2397	1998-01-05	VYDAJ	VYBER	300	26828	\N	\N	\N
700677	2397	1998-02-04	PRIJEM	VKLAD	1500	18075	\N	\N	\N
700678	2397	1998-03-06	PRIJEM	VKLAD	5500	22089	\N	\N	\N
700679	2397	1998-04-05	PRIJEM	VKLAD	1900	23554	\N	\N	\N
700680	2397	1998-05-05	VYDAJ	VYBER	200	25003	\N	\N	\N
700681	2397	1998-06-04	VYDAJ	VYBER	1500	25160	\N	\N	\N
700682	2397	1998-07-04	PRIJEM	VKLAD	2400	31572	\N	\N	\N
700683	2397	1998-08-03	VYDAJ	VYBER	500	32755	\N	\N	\N
700684	2397	1998-09-02	VYDAJ	VYBER	8500	25944	\N	\N	\N
700685	2397	1998-10-02	VYDAJ	VYBER	600	27009	\N	\N	\N
700686	2397	1998-11-01	PRIJEM	VKLAD	2900	31574	\N	\N	\N
700687	2397	1998-12-01	PRIJEM	VKLAD	1800	35056	\N	\N	\N
700718	2398	1996-11-25	PRIJEM	VKLAD	200	200	\N	\N	\N
700721	2398	1997-06-12	PRIJEM	VKLAD	7379	35463	\N	\N	\N
700722	2398	1997-03-08	PRIJEM	VKLAD	12074	36335	\N	\N	\N
700723	2398	1998-02-05	PRIJEM	VKLAD	24528	46810	\N	\N	\N
700724	2398	1998-06-09	PRIJEM	VKLAD	36405	52539	\N	\N	\N
700736	2398	1996-12-15	PRIJEM	VKLAD	200	400	\N	\N	\N
700737	2398	1997-01-13	PRIJEM	VKLAD	200	14815	\N	\N	\N
700738	2398	1997-02-16	PRIJEM	VKLAD	200	21184	\N	\N	\N
700739	2398	1997-03-14	PRIJEM	VKLAD	200	36535	\N	\N	\N
700740	2398	1997-04-16	PRIJEM	VKLAD	200	32348	\N	\N	\N
700741	2398	1997-05-13	PRIJEM	VKLAD	200	31768	\N	\N	\N
700742	2398	1997-06-14	PRIJEM	VKLAD	200	35663	\N	\N	\N
700743	2398	1997-07-15	PRIJEM	VKLAD	200	26776	\N	\N	\N
700744	2398	1997-08-17	PRIJEM	VKLAD	200	28475	\N	\N	\N
700745	2398	1997-09-16	PRIJEM	VKLAD	200	32183	\N	\N	\N
700746	2398	1997-10-14	PRIJEM	VKLAD	200	34256	\N	\N	\N
700747	2398	1997-11-17	PRIJEM	VKLAD	200	37788	\N	\N	\N
700748	2398	1997-12-15	PRIJEM	VKLAD	200	34828	\N	\N	\N
700749	2398	1998-01-16	PRIJEM	VKLAD	200	34660	\N	\N	\N
700750	2398	1998-02-14	PRIJEM	VKLAD	200	46160	\N	\N	\N
700751	2398	1998-03-14	PRIJEM	VKLAD	200	42106	\N	\N	\N
700752	2398	1998-04-16	PRIJEM	VKLAD	200	40312	\N	\N	\N
700753	2398	1998-05-13	PRIJEM	VKLAD	200	43469	\N	\N	\N
700754	2398	1998-06-14	PRIJEM	VKLAD	200	33839	\N	\N	\N
700755	2398	1998-07-13	PRIJEM	VKLAD	200	39287	\N	\N	\N
700756	2398	1998-08-17	PRIJEM	VKLAD	200	48039	\N	\N	\N
700757	2398	1998-09-13	PRIJEM	VKLAD	200	48075	\N	\N	\N
700758	2398	1998-10-14	PRIJEM	VKLAD	200	51168	\N	\N	\N
700759	2398	1998-11-15	PRIJEM	VKLAD	200	52318	\N	\N	\N
700760	2398	1998-12-13	PRIJEM	VKLAD	200	46812	\N	\N	\N
700772	2398	1996-12-18	PRIJEM	VKLAD	1200	1600	\N	\N	\N
700773	2398	1997-01-18	PRIJEM	VKLAD	1200	16015	\N	\N	\N
700774	2398	1997-02-18	PRIJEM	VKLAD	1200	22384	\N	\N	\N
700775	2398	1997-03-18	PRIJEM	VKLAD	1200	37735	\N	\N	\N
700776	2398	1997-04-18	PRIJEM	VKLAD	1200	33548	\N	\N	\N
700777	2398	1997-05-18	PRIJEM	VKLAD	1200	32968	\N	\N	\N
700778	2398	1997-06-18	PRIJEM	VKLAD	1200	36863	\N	\N	\N
700779	2398	1997-07-18	PRIJEM	VKLAD	1200	27976	\N	\N	\N
700780	2398	1997-08-18	PRIJEM	VKLAD	1200	29675	\N	\N	\N
700781	2398	1997-09-18	PRIJEM	VKLAD	1200	33383	\N	\N	\N
700782	2398	1997-10-18	PRIJEM	VKLAD	1200	35456	\N	\N	\N
700783	2398	1997-11-18	PRIJEM	VKLAD	1200	38988	\N	\N	\N
700784	2398	1997-12-18	PRIJEM	VKLAD	1200	34628	\N	\N	\N
700785	2398	1998-01-18	PRIJEM	VKLAD	1200	35860	\N	\N	\N
700786	2398	1998-02-18	PRIJEM	VKLAD	1200	47360	\N	\N	\N
700787	2398	1998-03-18	PRIJEM	VKLAD	1200	40956	\N	\N	\N
700788	2398	1998-04-18	PRIJEM	VKLAD	1200	41512	\N	\N	\N
700789	2398	1998-05-18	PRIJEM	VKLAD	1200	44669	\N	\N	\N
700790	2398	1998-06-18	PRIJEM	VKLAD	1200	38939	\N	\N	\N
700791	2398	1998-07-18	PRIJEM	VKLAD	1200	40487	\N	\N	\N
700792	2398	1998-08-18	PRIJEM	VKLAD	1200	48939	\N	\N	\N
700793	2398	1998-09-18	PRIJEM	VKLAD	1200	50775	\N	\N	\N
700794	2398	1998-10-18	PRIJEM	VKLAD	1200	52268	\N	\N	\N
700795	2398	1998-11-18	PRIJEM	VKLAD	1200	47218	\N	\N	\N
700796	2398	1998-12-18	PRIJEM	VKLAD	1200	47712	\N	\N	\N
700799	2398	1998-06-11	VYDAJ	VYBER	18900	33639	\N	\N	\N
700802	2398	1998-01-18	VYDAJ	VYBER	9000	26860	\N	\N	\N
700804	2398	1997-06-21	VYDAJ	VYBER	12100	24763	\N	\N	\N
700805	2398	1998-06-01	VYDAJ	VYBER	26700	16134	\N	\N	\N
700808	2398	1998-01-26	VYDAJ	VYBER	9300	25260	\N	\N	\N
700810	2398	1997-12-18	VYDAJ	VYBER	1500	33128	\N	\N	\N
700811	2398	1998-12-02	VYDAJ	VYBER	800	46612	\N	\N	\N
700824	2398	1998-01-29	VYDAJ	VYBER	800	22160	\N	\N	\N
700825	2398	1998-01-27	VYDAJ	VYBER	1350	23910	\N	\N	\N
700826	2398	1998-01-28	VYDAJ	VYBER	950	22960	\N	\N	\N
700827	2398	1998-01-19	VYDAJ	VYBER	600	34560	\N	\N	\N
700828	2398	1998-01-05	VYDAJ	VYBER	800	34460	\N	\N	\N
700829	2398	1998-01-05	VYDAJ	VYBER	600	35260	\N	\N	\N
700835	2398	1997-09-29	VYDAJ	VYBER	350	33933	\N	\N	\N
700836	2398	1997-06-10	VYDAJ	VYBER	2000	28084	\N	\N	\N
700837	2398	1997-12-17	VYDAJ	VYBER	1400	33428	\N	\N	\N
700838	2398	1997-11-25	VYDAJ	VYBER	600	35388	\N	\N	\N
700839	2398	1997-12-09	VYDAJ	VYBER	900	34628	\N	\N	\N
700840	2398	1998-09-01	VYDAJ	VYBER	1250	47875	\N	\N	\N
700841	2398	1998-12-22	VYDAJ	VYBER	950	46762	\N	\N	\N
700842	2398	1998-03-14	VYDAJ	VYBER	2350	39756	\N	\N	\N
700843	2398	1998-11-02	VYDAJ	VYBER	350	52118	\N	\N	\N
700844	2398	1998-02-10	VYDAJ	VYBER	850	45960	\N	\N	\N
700859	2398	1997-02-28	VYDAJ	VYBER	15	24261	SLUZBY	\N	\N
700860	2398	1997-03-31	VYDAJ	VYBER	15	32148	SLUZBY	\N	\N
700861	2398	1997-04-30	VYDAJ	VYBER	15	31568	SLUZBY	\N	\N
700862	2398	1997-05-31	VYDAJ	VYBER	15	30084	SLUZBY	\N	\N
700863	2398	1997-06-30	VYDAJ	VYBER	15	26576	SLUZBY	\N	\N
700864	2398	1997-07-31	VYDAJ	VYBER	15	28275	SLUZBY	\N	\N
700865	2398	1997-08-31	VYDAJ	VYBER	15	31983	SLUZBY	\N	\N
700866	2398	1997-09-30	VYDAJ	VYBER	15	34056	SLUZBY	\N	\N
700867	2398	1997-10-31	VYDAJ	VYBER	15	37588	SLUZBY	\N	\N
700868	2398	1997-11-30	VYDAJ	VYBER	15	35528	SLUZBY	\N	\N
700869	2398	1997-12-31	VYDAJ	VYBER	15	35860	SLUZBY	\N	\N
700870	2398	1998-01-31	VYDAJ	VYBER	15	22282	SLUZBY	\N	\N
700871	2398	1998-02-28	VYDAJ	VYBER	15	41906	SLUZBY	\N	\N
700872	2398	1998-03-31	VYDAJ	VYBER	15	40112	SLUZBY	\N	\N
700873	2398	1998-04-30	VYDAJ	VYBER	15	43269	SLUZBY	\N	\N
700874	2398	1998-05-31	VYDAJ	VYBER	15	42834	SLUZBY	\N	\N
700875	2398	1998-06-30	VYDAJ	VYBER	15	39087	SLUZBY	\N	\N
700876	2398	1998-07-31	VYDAJ	VYBER	15	47839	SLUZBY	\N	\N
700877	2398	1998-08-31	VYDAJ	VYBER	15	49125	SLUZBY	\N	\N
700878	2398	1998-09-30	VYDAJ	VYBER	15	50968	SLUZBY	\N	\N
700879	2398	1998-10-31	VYDAJ	VYBER	15	52468	SLUZBY	\N	\N
700880	2398	1998-11-30	VYDAJ	VYBER	15	47412	SLUZBY	\N	\N
700881	2398	1996-12-25	PRIJEM	VKLAD	13000	14600	\N	\N	\N
700882	2398	1997-01-24	PRIJEM	VKLAD	4900	20915	\N	\N	\N
700883	2398	1997-02-23	PRIJEM	VKLAD	1800	24184	\N	\N	\N
700884	2398	1997-03-25	VYDAJ	VYBER	5700	32035	\N	\N	\N
700885	2398	1997-04-24	VYDAJ	VYBER	2100	31448	\N	\N	\N
700886	2398	1997-05-24	VYDAJ	VYBER	3000	29968	\N	\N	\N
700887	2398	1997-06-23	PRIJEM	VKLAD	1700	26463	\N	\N	\N
700888	2398	1997-07-23	PRIJEM	VKLAD	200	28176	\N	\N	\N
700889	2398	1997-08-22	PRIJEM	VKLAD	2200	31875	\N	\N	\N
700890	2398	1997-09-21	PRIJEM	VKLAD	900	34283	\N	\N	\N
700891	2398	1997-10-21	PRIJEM	VKLAD	2000	37456	\N	\N	\N
700892	2398	1997-11-20	VYDAJ	VYBER	3000	35988	\N	\N	\N
700893	2398	1997-12-20	PRIJEM	VKLAD	2600	35728	\N	\N	\N
700894	2398	1998-01-19	PRIJEM	VKLAD	8300	35160	\N	\N	\N
700895	2398	1998-02-18	VYDAJ	VYBER	5600	41760	\N	\N	\N
700896	2398	1998-03-20	VYDAJ	VYBER	1000	39956	\N	\N	\N
700897	2398	1998-04-19	PRIJEM	VKLAD	1600	43112	\N	\N	\N
700898	2398	1998-05-19	VYDAJ	VYBER	2000	42669	\N	\N	\N
700899	2398	1998-06-18	PRIJEM	VKLAD	3900	37739	\N	\N	\N
700900	2398	1998-07-18	PRIJEM	VKLAD	7200	47687	\N	\N	\N
700901	2398	1998-08-17	VYDAJ	VYBER	300	47739	\N	\N	\N
700902	2398	1998-09-16	PRIJEM	VKLAD	1500	49575	\N	\N	\N
700903	2398	1998-10-16	VYDAJ	VYBER	100	51068	\N	\N	\N
700904	2398	1998-11-15	VYDAJ	VYBER	6300	46018	\N	\N	\N
700905	2398	1998-12-15	VYDAJ	VYBER	300	46512	\N	\N	\N
700931	2399	1994-04-26	PRIJEM	VKLAD	300	300	\N	\N	\N
700932	2399	1994-06-14	PRIJEM	VKLAD	29625	42438	\N	\N	\N
700933	2399	1994-12-28	PRIJEM	VKLAD	16871	42557	\N	\N	\N
700934	2399	1995-11-03	PRIJEM	VKLAD	13008	77574	\N	\N	\N
700935	2399	1995-10-20	PRIJEM	VKLAD	40498	64414	\N	\N	\N
700936	2399	1996-10-29	PRIJEM	VKLAD	8266	42109	\N	\N	\N
700937	2399	1996-10-07	PRIJEM	VKLAD	9374	38493	\N	\N	\N
700938	2399	1997-04-15	PRIJEM	VKLAD	24144	50992	\N	\N	\N
700939	2399	1997-11-25	PRIJEM	VKLAD	32206	63501	\N	\N	\N
700940	2399	1998-06-27	PRIJEM	VKLAD	12996	41191	\N	\N	\N
700941	2399	1998-09-28	PRIJEM	VKLAD	46183	79389	\N	\N	\N
700946	2399	1994-05-15	PRIJEM	VKLAD	900	1200	\N	\N	\N
700947	2399	1994-06-16	PRIJEM	VKLAD	900	43338	\N	\N	\N
700948	2399	1994-07-13	PRIJEM	VKLAD	900	32929	\N	\N	\N
700949	2399	1994-08-14	PRIJEM	VKLAD	900	31299	\N	\N	\N
700950	2399	1994-09-14	PRIJEM	VKLAD	900	30463	\N	\N	\N
700951	2399	1994-10-15	PRIJEM	VKLAD	900	28473	\N	\N	\N
700952	2399	1994-11-14	PRIJEM	VKLAD	900	30577	\N	\N	\N
700953	2399	1994-12-17	PRIJEM	VKLAD	900	29886	\N	\N	\N
700954	2399	1995-01-15	PRIJEM	VKLAD	900	34569	\N	\N	\N
700955	2399	1995-02-14	PRIJEM	VKLAD	900	30454	\N	\N	\N
700956	2399	1995-03-13	PRIJEM	VKLAD	900	25763	\N	\N	\N
700957	2399	1995-04-14	PRIJEM	VKLAD	900	26609	\N	\N	\N
700958	2399	1995-05-14	PRIJEM	VKLAD	900	29008	\N	\N	\N
700959	2399	1995-06-16	PRIJEM	VKLAD	900	29612	\N	\N	\N
700960	2399	1995-07-15	PRIJEM	VKLAD	900	20624	\N	\N	\N
700961	2399	1995-08-13	PRIJEM	VKLAD	900	21994	\N	\N	\N
700962	2399	1995-09-13	PRIJEM	VKLAD	900	26876	\N	\N	\N
700963	2399	1995-10-14	PRIJEM	VKLAD	900	25616	\N	\N	\N
700964	2399	1995-11-16	PRIJEM	VKLAD	900	78474	\N	\N	\N
700965	2399	1995-12-15	PRIJEM	VKLAD	900	54307	\N	\N	\N
700966	2399	1996-01-15	PRIJEM	VKLAD	900	37795	\N	\N	\N
700967	2399	1996-02-13	PRIJEM	VKLAD	900	35438	\N	\N	\N
700968	2399	1996-03-13	PRIJEM	VKLAD	900	30858	\N	\N	\N
700969	2399	1996-04-17	PRIJEM	VKLAD	900	28916	\N	\N	\N
700970	2399	1996-05-14	PRIJEM	VKLAD	900	31424	\N	\N	\N
700971	2399	1996-06-14	PRIJEM	VKLAD	900	29330	\N	\N	\N
700972	2399	1996-07-14	PRIJEM	VKLAD	900	23013	\N	\N	\N
700973	2399	1996-08-17	PRIJEM	VKLAD	900	22738	\N	\N	\N
700974	2399	1996-09-14	PRIJEM	VKLAD	900	27523	\N	\N	\N
700975	2399	1996-10-14	PRIJEM	VKLAD	900	32993	\N	\N	\N
700976	2399	1996-11-15	PRIJEM	VKLAD	900	35831	\N	\N	\N
700977	2399	1996-12-13	PRIJEM	VKLAD	900	33679	\N	\N	\N
700978	2399	1997-01-14	PRIJEM	VKLAD	900	30812	\N	\N	\N
700979	2399	1997-02-13	PRIJEM	VKLAD	900	29928	\N	\N	\N
700980	2399	1997-03-16	PRIJEM	VKLAD	900	26141	\N	\N	\N
700981	2399	1997-04-13	PRIJEM	VKLAD	900	26848	\N	\N	\N
700982	2399	1997-05-13	PRIJEM	VKLAD	900	39446	\N	\N	\N
700983	2399	1997-06-14	PRIJEM	VKLAD	900	15962	\N	\N	\N
700984	2399	1997-07-15	PRIJEM	VKLAD	900	22854	\N	\N	\N
700985	2399	1997-08-17	PRIJEM	VKLAD	900	29726	\N	\N	\N
700986	2399	1997-09-13	PRIJEM	VKLAD	900	29674	\N	\N	\N
700987	2399	1997-10-13	PRIJEM	VKLAD	900	28486	\N	\N	\N
700988	2399	1997-11-15	PRIJEM	VKLAD	900	29795	\N	\N	\N
700989	2399	1997-12-14	PRIJEM	VKLAD	900	47789	\N	\N	\N
700990	2399	1998-01-13	PRIJEM	VKLAD	900	37884	\N	\N	\N
700991	2399	1998-02-16	PRIJEM	VKLAD	900	36232	\N	\N	\N
700992	2399	1998-03-15	PRIJEM	VKLAD	900	29876	\N	\N	\N
700993	2399	1998-04-14	PRIJEM	VKLAD	900	24202	\N	\N	\N
700994	2399	1998-05-13	PRIJEM	VKLAD	900	28196	\N	\N	\N
700995	2399	1998-06-17	PRIJEM	VKLAD	900	26695	\N	\N	\N
700996	2399	1998-07-15	PRIJEM	VKLAD	900	37495	\N	\N	\N
700997	2399	1998-08-14	PRIJEM	VKLAD	900	31040	\N	\N	\N
700998	2399	1998-09-13	PRIJEM	VKLAD	900	31706	\N	\N	\N
700999	2399	1998-10-15	PRIJEM	VKLAD	900	51826	\N	\N	\N
701000	2399	1998-11-15	PRIJEM	VKLAD	900	45580	\N	\N	\N
701001	2399	1998-12-15	PRIJEM	VKLAD	900	37070	\N	\N	\N
701006	2399	1994-05-18	PRIJEM	VKLAD	1500	2700	\N	\N	\N
701007	2399	1994-06-18	PRIJEM	VKLAD	1500	44838	\N	\N	\N
701008	2399	1994-07-18	PRIJEM	VKLAD	1500	34079	\N	\N	\N
701009	2399	1994-08-18	PRIJEM	VKLAD	1500	32799	\N	\N	\N
701010	2399	1994-09-18	PRIJEM	VKLAD	1500	31963	\N	\N	\N
701011	2399	1994-10-18	PRIJEM	VKLAD	1500	29973	\N	\N	\N
701012	2399	1994-11-18	PRIJEM	VKLAD	1500	32077	\N	\N	\N
701013	2399	1994-12-18	PRIJEM	VKLAD	1500	31386	\N	\N	\N
701014	2399	1995-01-18	PRIJEM	VKLAD	1500	36069	\N	\N	\N
701015	2399	1995-02-18	PRIJEM	VKLAD	1500	31954	\N	\N	\N
701016	2399	1995-03-18	PRIJEM	VKLAD	1500	27263	\N	\N	\N
701017	2399	1995-04-18	PRIJEM	VKLAD	1500	28109	\N	\N	\N
701018	2399	1995-05-18	PRIJEM	VKLAD	1500	30508	\N	\N	\N
701019	2399	1995-06-18	PRIJEM	VKLAD	1500	31112	\N	\N	\N
701020	2399	1995-07-18	PRIJEM	VKLAD	1500	22124	\N	\N	\N
701021	2399	1995-08-18	PRIJEM	VKLAD	1500	23494	\N	\N	\N
701022	2399	1995-09-18	PRIJEM	VKLAD	1500	26526	\N	\N	\N
701023	2399	1995-10-18	PRIJEM	VKLAD	1500	27116	\N	\N	\N
701024	2399	1995-11-18	PRIJEM	VKLAD	1500	53174	\N	\N	\N
701025	2399	1995-12-18	PRIJEM	VKLAD	1500	44907	\N	\N	\N
701026	2399	1996-01-18	PRIJEM	VKLAD	1500	34395	\N	\N	\N
701027	2399	1996-02-18	PRIJEM	VKLAD	1500	31638	\N	\N	\N
701028	2399	1996-03-18	PRIJEM	VKLAD	1500	29058	\N	\N	\N
701029	2399	1996-04-18	PRIJEM	VKLAD	1500	30416	\N	\N	\N
701030	2399	1996-05-18	PRIJEM	VKLAD	1500	28324	\N	\N	\N
701031	2399	1996-06-18	PRIJEM	VKLAD	1500	17930	\N	\N	\N
701032	2399	1996-07-18	PRIJEM	VKLAD	1500	24513	\N	\N	\N
701033	2399	1996-08-18	PRIJEM	VKLAD	1500	24238	\N	\N	\N
701034	2399	1996-09-18	PRIJEM	VKLAD	1500	29023	\N	\N	\N
701035	2399	1996-10-18	PRIJEM	VKLAD	1500	34493	\N	\N	\N
701036	2399	1996-11-18	PRIJEM	VKLAD	1500	37331	\N	\N	\N
701037	2399	1996-12-18	PRIJEM	VKLAD	1500	35179	\N	\N	\N
701038	2399	1997-01-18	PRIJEM	VKLAD	1500	32312	\N	\N	\N
701039	2399	1997-02-18	PRIJEM	VKLAD	1500	31428	\N	\N	\N
701040	2399	1997-03-18	PRIJEM	VKLAD	1500	27641	\N	\N	\N
701041	2399	1997-04-18	PRIJEM	VKLAD	1500	52492	\N	\N	\N
701042	2399	1997-05-18	PRIJEM	VKLAD	1500	40946	\N	\N	\N
701043	2399	1997-06-18	PRIJEM	VKLAD	1500	17462	\N	\N	\N
701044	2399	1997-07-18	PRIJEM	VKLAD	1500	24354	\N	\N	\N
701045	2399	1997-08-18	PRIJEM	VKLAD	1500	31226	\N	\N	\N
701046	2399	1997-09-18	PRIJEM	VKLAD	1500	31174	\N	\N	\N
701047	2399	1997-10-18	PRIJEM	VKLAD	1500	29986	\N	\N	\N
701048	2399	1997-11-18	PRIJEM	VKLAD	1500	31295	\N	\N	\N
701049	2399	1997-12-18	PRIJEM	VKLAD	1500	49289	\N	\N	\N
701050	2399	1998-01-18	PRIJEM	VKLAD	1500	39384	\N	\N	\N
701051	2399	1998-02-18	PRIJEM	VKLAD	1500	37732	\N	\N	\N
701052	2399	1998-03-18	PRIJEM	VKLAD	1500	31376	\N	\N	\N
701053	2399	1998-04-18	PRIJEM	VKLAD	1500	25702	\N	\N	\N
701054	2399	1998-05-18	PRIJEM	VKLAD	1500	29696	\N	\N	\N
701055	2399	1998-06-18	PRIJEM	VKLAD	1500	28195	\N	\N	\N
701056	2399	1998-07-18	PRIJEM	VKLAD	1500	36895	\N	\N	\N
701057	2399	1998-08-18	PRIJEM	VKLAD	1500	32540	\N	\N	\N
701058	2399	1998-09-18	PRIJEM	VKLAD	1500	33206	\N	\N	\N
701059	2399	1998-10-18	PRIJEM	VKLAD	1500	53326	\N	\N	\N
701060	2399	1998-11-18	PRIJEM	VKLAD	1500	47080	\N	\N	\N
701061	2399	1998-12-18	PRIJEM	VKLAD	1500	38570	\N	\N	\N
701063	2399	1995-06-20	VYDAJ	VYBER	14600	19612	\N	\N	\N
701066	2399	1998-06-01	VYDAJ	VYBER	4400	25395	\N	\N	\N
701068	2399	1995-01-03	VYDAJ	VYBER	6800	33669	\N	\N	\N
701069	2399	1996-01-11	VYDAJ	VYBER	5300	36895	\N	\N	\N
701070	2399	1997-01-23	VYDAJ	VYBER	1400	30912	\N	\N	\N
701071	2399	1998-01-04	VYDAJ	VYBER	3400	43184	\N	\N	\N
701072	2399	1994-06-18	VYDAJ	VYBER	3300	41538	\N	\N	\N
701074	2399	1996-06-17	VYDAJ	VYBER	11800	16430	\N	\N	\N
701075	2399	1997-06-12	VYDAJ	VYBER	15100	17312	\N	\N	\N
701077	2399	1994-12-30	VYDAJ	VYBER	2200	40357	\N	\N	\N
701078	2399	1995-12-24	VYDAJ	VYBER	2900	42007	\N	\N	\N
701079	2399	1996-12-30	VYDAJ	VYBER	1400	33779	\N	\N	\N
701080	2399	1997-12-26	VYDAJ	VYBER	2900	46389	\N	\N	\N
701081	2399	1998-12-02	VYDAJ	VYBER	900	36170	\N	\N	\N
701083	2399	1994-09-10	VYDAJ	VYBER	850	29563	\N	\N	\N
701085	2399	1994-07-16	VYDAJ	VYBER	350	32579	\N	\N	\N
701087	2399	1995-09-15	VYDAJ	VYBER	1850	25026	\N	\N	\N
701088	2399	1995-04-06	VYDAJ	VYBER	650	25709	\N	\N	\N
701089	2399	1995-02-28	VYDAJ	VYBER	2100	24863	\N	\N	\N
701090	2399	1995-02-05	VYDAJ	VYBER	1250	29554	\N	\N	\N
701091	2399	1996-04-07	VYDAJ	VYBER	2450	26716	\N	\N	\N
701092	2399	1996-02-25	VYDAJ	VYBER	1800	29838	\N	\N	\N
701093	2399	1996-08-16	VYDAJ	VYBER	1300	21838	\N	\N	\N
701094	2399	1996-10-26	VYDAJ	VYBER	650	33843	\N	\N	\N
701095	2399	1996-08-04	VYDAJ	VYBER	1950	22638	\N	\N	\N
701096	2399	1996-12-30	VYDAJ	VYBER	1550	32229	\N	\N	\N
701097	2399	1997-01-07	VYDAJ	VYBER	1050	31312	\N	\N	\N
701098	2399	1997-05-09	VYDAJ	VYBER	1650	50646	\N	\N	\N
701099	2399	1997-06-12	VYDAJ	VYBER	2250	15062	\N	\N	\N
701100	2399	1997-08-25	VYDAJ	VYBER	250	30976	\N	\N	\N
701101	2399	1997-08-29	VYDAJ	VYBER	800	30176	\N	\N	\N
701102	2399	1997-12-07	VYDAJ	VYBER	1350	46889	\N	\N	\N
701103	2399	1997-04-18	VYDAJ	VYBER	350	52142	\N	\N	\N
701104	2399	1998-08-04	VYDAJ	VYBER	1800	30140	\N	\N	\N
701105	2399	1998-07-17	VYDAJ	VYBER	2100	35395	\N	\N	\N
701106	2399	1998-09-10	VYDAJ	VYBER	1950	30806	\N	\N	\N
701107	2399	1998-12-26	VYDAJ	VYBER	1050	37520	\N	\N	\N
701108	2399	1998-04-09	VYDAJ	VYBER	400	23302	\N	\N	\N
701115	2399	1994-06-30	VYDAJ	VYBER	15	32029	SLUZBY	\N	\N
701116	2399	1994-07-31	VYDAJ	VYBER	15	30399	SLUZBY	\N	\N
701117	2399	1994-08-31	VYDAJ	VYBER	15	30413	SLUZBY	\N	\N
701118	2399	1994-09-30	VYDAJ	VYBER	15	27573	SLUZBY	\N	\N
701119	2399	1994-10-31	VYDAJ	VYBER	15	29677	SLUZBY	\N	\N
701120	2399	1994-11-30	VYDAJ	VYBER	15	28986	SLUZBY	\N	\N
701121	2399	1994-12-31	VYDAJ	VYBER	15	40469	SLUZBY	\N	\N
701122	2399	1995-01-31	VYDAJ	VYBER	15	30804	SLUZBY	\N	\N
701123	2399	1995-02-28	VYDAJ	VYBER	15	26963	SLUZBY	\N	\N
701124	2399	1995-03-31	VYDAJ	VYBER	15	26359	SLUZBY	\N	\N
701125	2399	1995-04-30	VYDAJ	VYBER	15	28108	SLUZBY	\N	\N
701126	2399	1995-05-31	VYDAJ	VYBER	15	28712	SLUZBY	\N	\N
701127	2399	1995-06-30	VYDAJ	VYBER	15	19724	SLUZBY	\N	\N
701128	2399	1995-07-31	VYDAJ	VYBER	15	21094	SLUZBY	\N	\N
701129	2399	1995-08-31	VYDAJ	VYBER	15	25976	SLUZBY	\N	\N
701130	2399	1995-09-30	VYDAJ	VYBER	15	24716	SLUZBY	\N	\N
701131	2399	1995-10-31	VYDAJ	VYBER	15	64566	SLUZBY	\N	\N
701132	2399	1995-11-30	VYDAJ	VYBER	15	53407	SLUZBY	\N	\N
701133	2399	1995-12-31	VYDAJ	VYBER	15	42195	SLUZBY	\N	\N
701134	2399	1996-01-31	VYDAJ	VYBER	15	34538	SLUZBY	\N	\N
701135	2399	1996-02-29	VYDAJ	VYBER	15	29958	SLUZBY	\N	\N
701136	2399	1996-03-31	VYDAJ	VYBER	15	29166	SLUZBY	\N	\N
701137	2399	1996-04-30	VYDAJ	VYBER	15	30524	SLUZBY	\N	\N
701138	2399	1996-05-31	VYDAJ	VYBER	15	28430	SLUZBY	\N	\N
701139	2399	1996-06-30	VYDAJ	VYBER	15	18013	SLUZBY	\N	\N
701140	2399	1996-07-31	VYDAJ	VYBER	15	24588	SLUZBY	\N	\N
701141	2399	1996-08-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
701142	2399	1996-09-30	VYDAJ	VYBER	15	29119	SLUZBY	\N	\N
701143	2399	1996-10-31	VYDAJ	VYBER	15	42231	SLUZBY	\N	\N
701144	2399	1996-11-30	VYDAJ	VYBER	15	37479	SLUZBY	\N	\N
701145	2399	1996-12-31	VYDAJ	VYBER	15	32362	SLUZBY	\N	\N
701146	2399	1997-01-31	VYDAJ	VYBER	15	31028	SLUZBY	\N	\N
701147	2399	1997-02-28	VYDAJ	VYBER	15	31541	SLUZBY	\N	\N
701148	2399	1997-03-31	VYDAJ	VYBER	15	27748	SLUZBY	\N	\N
701149	2399	1997-04-30	VYDAJ	VYBER	15	52296	SLUZBY	\N	\N
701150	2399	1997-05-31	VYDAJ	VYBER	15	41112	SLUZBY	\N	\N
701151	2399	1997-06-30	VYDAJ	VYBER	15	17554	SLUZBY	\N	\N
701152	2399	1997-07-31	VYDAJ	VYBER	15	24426	SLUZBY	\N	\N
701153	2399	1997-08-31	VYDAJ	VYBER	15	30274	SLUZBY	\N	\N
701154	2399	1997-09-30	VYDAJ	VYBER	15	31286	SLUZBY	\N	\N
701155	2399	1997-10-31	VYDAJ	VYBER	15	30095	SLUZBY	\N	\N
701156	2399	1997-11-30	VYDAJ	VYBER	15	63639	SLUZBY	\N	\N
701157	2399	1997-12-31	VYDAJ	VYBER	15	46584	SLUZBY	\N	\N
701158	2399	1998-01-31	VYDAJ	VYBER	15	39532	SLUZBY	\N	\N
701159	2399	1998-02-28	VYDAJ	VYBER	15	37876	SLUZBY	\N	\N
701160	2399	1998-03-31	VYDAJ	VYBER	15	31502	SLUZBY	\N	\N
701161	2399	1998-04-30	VYDAJ	VYBER	15	25796	SLUZBY	\N	\N
701162	2399	1998-05-31	VYDAJ	VYBER	15	29795	SLUZBY	\N	\N
701163	2399	1998-06-30	VYDAJ	VYBER	15	41295	SLUZBY	\N	\N
701164	2399	1998-07-31	VYDAJ	VYBER	15	37040	SLUZBY	\N	\N
701165	2399	1998-08-31	VYDAJ	VYBER	15	32656	SLUZBY	\N	\N
701166	2399	1998-09-30	VYDAJ	VYBER	15	79526	SLUZBY	\N	\N
701167	2399	1998-10-31	VYDAJ	VYBER	15	53580	SLUZBY	\N	\N
701168	2399	1998-11-30	VYDAJ	VYBER	15	47270	SLUZBY	\N	\N
701169	2399	1994-05-26	PRIJEM	VKLAD	10100	12800	\N	\N	\N
701170	2399	1994-06-25	VYDAJ	VYBER	9600	31938	\N	\N	\N
701171	2399	1994-07-25	VYDAJ	VYBER	3800	30279	\N	\N	\N
701172	2399	1994-08-24	VYDAJ	VYBER	2500	30299	\N	\N	\N
701173	2399	1994-09-23	VYDAJ	VYBER	4500	27463	\N	\N	\N
701174	2399	1994-10-23	VYDAJ	VYBER	400	29573	\N	\N	\N
701175	2399	1994-11-22	VYDAJ	VYBER	3200	28877	\N	\N	\N
701176	2399	1994-12-22	VYDAJ	VYBER	5700	25686	\N	\N	\N
701177	2399	1995-01-21	VYDAJ	VYBER	5400	30669	\N	\N	\N
701178	2399	1995-02-20	VYDAJ	VYBER	5100	26854	\N	\N	\N
701179	2399	1995-03-22	VYDAJ	VYBER	1000	26263	\N	\N	\N
701180	2399	1995-04-21	VYDAJ	VYBER	100	28009	\N	\N	\N
701181	2399	1995-05-21	VYDAJ	VYBER	1900	28608	\N	\N	\N
701182	2399	1995-06-20	PRIJEM	VKLAD	3100	34212	\N	\N	\N
701183	2399	1995-07-20	VYDAJ	VYBER	1100	21024	\N	\N	\N
701184	2399	1995-08-19	PRIJEM	VKLAD	2400	25894	\N	\N	\N
701185	2399	1995-09-18	VYDAJ	VYBER	1900	24626	\N	\N	\N
701186	2399	1995-10-18	VYDAJ	VYBER	3200	23916	\N	\N	\N
701187	2399	1995-11-17	VYDAJ	VYBER	26800	51674	\N	\N	\N
701188	2399	1995-12-17	VYDAJ	VYBER	10900	43407	\N	\N	\N
701189	2399	1996-01-16	VYDAJ	VYBER	4900	32895	\N	\N	\N
701190	2399	1996-02-15	VYDAJ	VYBER	5300	30138	\N	\N	\N
701191	2399	1996-03-16	VYDAJ	VYBER	3300	27558	\N	\N	\N
701192	2399	1996-04-15	PRIJEM	VKLAD	1300	28016	\N	\N	\N
701193	2399	1996-05-15	VYDAJ	VYBER	4600	26824	\N	\N	\N
701194	2399	1996-06-14	VYDAJ	VYBER	1100	28230	\N	\N	\N
701195	2399	1996-07-14	PRIJEM	VKLAD	4100	22113	\N	\N	\N
701196	2399	1996-08-13	PRIJEM	VKLAD	500	23138	\N	\N	\N
701197	2399	1996-09-12	PRIJEM	VKLAD	2300	26623	\N	\N	\N
701198	2399	1996-10-12	VYDAJ	VYBER	6400	32093	\N	\N	\N
701199	2399	1996-11-11	VYDAJ	VYBER	7300	34931	\N	\N	\N
701200	2399	1996-12-11	VYDAJ	VYBER	4700	32779	\N	\N	\N
701201	2399	1997-01-10	VYDAJ	VYBER	1400	29912	\N	\N	\N
701202	2399	1997-02-09	VYDAJ	VYBER	2000	29028	\N	\N	\N
701203	2399	1997-03-11	VYDAJ	VYBER	6300	25241	\N	\N	\N
701204	2399	1997-04-10	VYDAJ	VYBER	1800	25948	\N	\N	\N
701205	2399	1997-05-10	VYDAJ	VYBER	12100	38546	\N	\N	\N
701206	2399	1997-06-09	VYDAJ	VYBER	8700	32412	\N	\N	\N
701207	2399	1997-07-09	PRIJEM	VKLAD	4400	21954	\N	\N	\N
701208	2399	1997-08-08	PRIJEM	VKLAD	4400	28826	\N	\N	\N
701209	2399	1997-09-07	VYDAJ	VYBER	1500	28774	\N	\N	\N
701210	2399	1997-10-07	VYDAJ	VYBER	3700	27586	\N	\N	\N
701211	2399	1997-11-06	VYDAJ	VYBER	1200	28895	\N	\N	\N
701212	2399	1997-12-06	VYDAJ	VYBER	15400	48239	\N	\N	\N
701213	2399	1998-01-05	VYDAJ	VYBER	6200	36984	\N	\N	\N
701214	2399	1998-02-04	VYDAJ	VYBER	4200	35332	\N	\N	\N
701215	2399	1998-03-06	VYDAJ	VYBER	8900	28976	\N	\N	\N
701216	2399	1998-04-05	VYDAJ	VYBER	7800	23702	\N	\N	\N
701217	2399	1998-05-05	PRIJEM	VKLAD	1500	27296	\N	\N	\N
701218	2399	1998-06-04	PRIJEM	VKLAD	400	25795	\N	\N	\N
701219	2399	1998-07-04	VYDAJ	VYBER	4700	36595	\N	\N	\N
701220	2399	1998-08-03	VYDAJ	VYBER	5100	31940	\N	\N	\N
701221	2399	1998-09-02	PRIJEM	VKLAD	100	32756	\N	\N	\N
701222	2399	1998-10-02	VYDAJ	VYBER	28600	50926	\N	\N	\N
701223	2399	1998-11-01	VYDAJ	VYBER	8900	44680	\N	\N	\N
701224	2399	1998-12-01	VYDAJ	VYBER	10200	37070	\N	\N	\N
701281	2400	1996-06-15	PRIJEM	VKLAD	500	500	\N	\N	\N
701288	2400	1996-07-12	PRIJEM	PREVOD Z UCTU	4351	4851	DUCHOD	WX	79331838
701289	2400	1996-08-12	PRIJEM	PREVOD Z UCTU	4351	9202	DUCHOD	WX	79331838
701290	2400	1996-09-12	PRIJEM	PREVOD Z UCTU	4351	13553	DUCHOD	WX	79331838
701291	2400	1996-10-12	PRIJEM	PREVOD Z UCTU	4351	17904	DUCHOD	WX	79331838
701292	2400	1996-11-12	PRIJEM	PREVOD Z UCTU	4351	22255	DUCHOD	WX	79331838
701293	2400	1996-12-12	PRIJEM	PREVOD Z UCTU	4351	24955	DUCHOD	WX	79331838
701294	2400	1997-01-12	PRIJEM	PREVOD Z UCTU	4351	23296	DUCHOD	WX	79331838
701295	2400	1997-02-12	PRIJEM	PREVOD Z UCTU	4351	15459	DUCHOD	WX	79331838
701296	2400	1997-03-12	PRIJEM	PREVOD Z UCTU	4351	18216	DUCHOD	WX	79331838
701297	2400	1997-04-12	PRIJEM	PREVOD Z UCTU	4351	18820	DUCHOD	WX	79331838
701298	2400	1997-05-12	PRIJEM	PREVOD Z UCTU	4351	21590	DUCHOD	WX	79331838
701299	2400	1997-06-12	PRIJEM	PREVOD Z UCTU	4351	23173	DUCHOD	WX	79331838
701300	2400	1997-07-12	PRIJEM	PREVOD Z UCTU	4351	25962	DUCHOD	WX	79331838
701301	2400	1997-08-12	PRIJEM	PREVOD Z UCTU	4351	28762	DUCHOD	WX	79331838
701302	2400	1997-09-12	PRIJEM	PREVOD Z UCTU	4351	31574	DUCHOD	WX	79331838
701303	2400	1997-10-12	PRIJEM	PREVOD Z UCTU	4351	31158	DUCHOD	WX	79331838
701304	2400	1997-11-12	PRIJEM	PREVOD Z UCTU	4351	33984	DUCHOD	WX	79331838
701305	2400	1997-12-12	PRIJEM	PREVOD Z UCTU	4351	36817	DUCHOD	WX	79331838
701306	2400	1998-01-12	PRIJEM	PREVOD Z UCTU	4351	36042	DUCHOD	WX	79331838
701307	2400	1998-02-12	PRIJEM	PREVOD Z UCTU	4351	30817	DUCHOD	WX	79331838
701308	2400	1998-03-12	PRIJEM	PREVOD Z UCTU	4351	30197	DUCHOD	WX	79331838
701309	2400	1998-04-12	PRIJEM	PREVOD Z UCTU	4351	33019	DUCHOD	WX	79331838
701310	2400	1998-05-12	PRIJEM	PREVOD Z UCTU	4351	34489	DUCHOD	WX	79331838
701311	2400	1998-06-12	PRIJEM	PREVOD Z UCTU	4351	37325	DUCHOD	WX	79331838
701312	2400	1998-07-12	PRIJEM	PREVOD Z UCTU	4351	38169	DUCHOD	WX	79331838
701313	2400	1998-08-12	PRIJEM	PREVOD Z UCTU	4351	38821	DUCHOD	WX	79331838
701314	2400	1998-09-12	PRIJEM	PREVOD Z UCTU	4351	41675	DUCHOD	WX	79331838
701315	2400	1998-10-12	PRIJEM	PREVOD Z UCTU	4351	42379	DUCHOD	WX	79331838
701316	2400	1998-11-12	PRIJEM	PREVOD Z UCTU	4351	43248	DUCHOD	WX	79331838
701317	2400	1998-12-12	PRIJEM	PREVOD Z UCTU	4351	42757	DUCHOD	WX	79331838
701329	2400	1996-12-06	VYDAJ	PREVOD NA UCET	1640	20604	SIPO	MN	98761516
701330	2400	1997-01-06	VYDAJ	PREVOD NA UCET	1640	20945	SIPO	MN	98761516
701331	2400	1997-02-06	VYDAJ	PREVOD NA UCET	1640	11108	SIPO	MN	98761516
701332	2400	1997-03-06	VYDAJ	PREVOD NA UCET	1640	13865	SIPO	MN	98761516
701333	2400	1997-04-06	VYDAJ	PREVOD NA UCET	1640	14469	SIPO	MN	98761516
701334	2400	1997-05-06	VYDAJ	PREVOD NA UCET	1640	17239	SIPO	MN	98761516
701335	2400	1997-06-06	VYDAJ	PREVOD NA UCET	1640	18822	SIPO	MN	98761516
701336	2400	1997-07-06	VYDAJ	PREVOD NA UCET	1640	21611	SIPO	MN	98761516
701337	2400	1997-08-06	VYDAJ	PREVOD NA UCET	1640	24411	SIPO	MN	98761516
701338	2400	1997-09-06	VYDAJ	PREVOD NA UCET	1640	27223	SIPO	MN	98761516
701339	2400	1997-10-06	VYDAJ	PREVOD NA UCET	1640	30047	SIPO	MN	98761516
701340	2400	1997-11-06	VYDAJ	PREVOD NA UCET	1640	29633	SIPO	MN	98761516
701341	2400	1997-12-06	VYDAJ	PREVOD NA UCET	1640	32466	SIPO	MN	98761516
701342	2400	1998-01-06	VYDAJ	PREVOD NA UCET	1640	32571	SIPO	MN	98761516
701343	2400	1998-02-06	VYDAJ	PREVOD NA UCET	1640	26466	SIPO	MN	98761516
701344	2400	1998-03-06	VYDAJ	PREVOD NA UCET	1640	29286	SIPO	MN	98761516
701345	2400	1998-04-06	VYDAJ	PREVOD NA UCET	1640	28668	SIPO	MN	98761516
701346	2400	1998-05-06	VYDAJ	PREVOD NA UCET	1640	31498	SIPO	MN	98761516
701347	2400	1998-06-06	VYDAJ	PREVOD NA UCET	1640	32974	SIPO	MN	98761516
701348	2400	1998-07-06	VYDAJ	PREVOD NA UCET	1640	33818	SIPO	MN	98761516
701349	2400	1998-08-06	VYDAJ	PREVOD NA UCET	1640	34470	SIPO	MN	98761516
701350	2400	1998-09-06	VYDAJ	PREVOD NA UCET	1640	37324	SIPO	MN	98761516
701351	2400	1998-10-06	VYDAJ	PREVOD NA UCET	1640	38028	SIPO	MN	98761516
701352	2400	1998-11-06	VYDAJ	PREVOD NA UCET	1640	38897	SIPO	MN	98761516
701353	2400	1998-12-06	VYDAJ	PREVOD NA UCET	1640	38406	SIPO	MN	98761516
701356	2400	1998-06-21	VYDAJ	VYBER	2000	35325	\N	\N	\N
701358	2400	1997-01-30	VYDAJ	VYBER	3100	12676	\N	\N	\N
701359	2400	1998-01-29	VYDAJ	VYBER	2300	29262	\N	\N	\N
701360	2400	1996-12-23	VYDAJ	VYBER	1150	22505	\N	\N	\N
701361	2400	1997-12-13	VYDAJ	VYBER	500	36317	\N	\N	\N
701362	2400	1998-12-27	VYDAJ	VYBER	550	42207	\N	\N	\N
701369	2400	1997-01-26	VYDAJ	VYBER	640	21056	\N	\N	\N
701370	2400	1997-01-29	VYDAJ	VYBER	1360	15776	\N	\N	\N
701371	2400	1997-01-07	VYDAJ	VYBER	1440	19505	\N	\N	\N
701372	2400	1997-01-11	VYDAJ	VYBER	560	18945	\N	\N	\N
701373	2400	1997-01-27	VYDAJ	VYBER	2080	18976	\N	\N	\N
701374	2400	1997-01-17	VYDAJ	VYBER	1600	21696	\N	\N	\N
701375	2400	1998-01-23	VYDAJ	VYBER	1280	31562	\N	\N	\N
701376	2400	1998-01-08	VYDAJ	VYBER	880	31691	\N	\N	\N
701377	2400	1998-01-17	VYDAJ	VYBER	1280	34762	\N	\N	\N
701378	2400	1998-01-29	VYDAJ	VYBER	1280	27982	\N	\N	\N
701379	2400	1998-01-22	VYDAJ	VYBER	1920	32842	\N	\N	\N
701380	2400	1998-01-01	VYDAJ	VYBER	2240	34211	\N	\N	\N
701387	2400	1997-03-18	VYDAJ	VYBER	2160	16056	\N	\N	\N
701388	2400	1997-01-29	VYDAJ	VYBER	1840	17136	\N	\N	\N
701389	2400	1997-10-11	VYDAJ	VYBER	3040	26807	\N	\N	\N
701390	2400	1997-05-31	VYDAJ	VYBER	1200	20476	\N	\N	\N
701391	2400	1998-03-10	VYDAJ	VYBER	3440	25846	\N	\N	\N
701392	2400	1998-12-04	VYDAJ	VYBER	480	41566	\N	\N	\N
701393	2400	1998-12-06	VYDAJ	VYBER	1520	40046	\N	\N	\N
701394	2400	1998-05-07	VYDAJ	VYBER	1360	30138	\N	\N	\N
701395	2400	1998-11-18	VYDAJ	VYBER	1360	41888	\N	\N	\N
701396	2400	1998-09-27	VYDAJ	VYBER	2160	39515	\N	\N	\N
701408	2400	1996-11-30	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
701409	2400	1996-12-31	VYDAJ	VYBER	15	22585	SLUZBY	\N	\N
701410	2400	1997-01-31	VYDAJ	VYBER	15	12748	SLUZBY	\N	\N
701411	2400	1997-02-28	VYDAJ	VYBER	15	15505	SLUZBY	\N	\N
701412	2400	1997-03-31	VYDAJ	VYBER	15	16109	SLUZBY	\N	\N
701413	2400	1997-04-30	VYDAJ	VYBER	15	18879	SLUZBY	\N	\N
701414	2400	1997-05-31	VYDAJ	VYBER	15	20462	SLUZBY	\N	\N
701415	2400	1997-06-30	VYDAJ	VYBER	15	23251	SLUZBY	\N	\N
701416	2400	1997-07-31	VYDAJ	VYBER	15	26051	SLUZBY	\N	\N
701417	2400	1997-08-31	VYDAJ	VYBER	15	28863	SLUZBY	\N	\N
701418	2400	1997-09-30	VYDAJ	VYBER	15	31687	SLUZBY	\N	\N
701419	2400	1997-10-31	VYDAJ	VYBER	15	31273	SLUZBY	\N	\N
701420	2400	1997-11-30	VYDAJ	VYBER	15	34106	SLUZBY	\N	\N
701421	2400	1997-12-31	VYDAJ	VYBER	15	36451	SLUZBY	\N	\N
701422	2400	1998-01-31	VYDAJ	VYBER	15	28106	SLUZBY	\N	\N
701423	2400	1998-02-28	VYDAJ	VYBER	15	30926	SLUZBY	\N	\N
701424	2400	1998-03-31	VYDAJ	VYBER	15	30308	SLUZBY	\N	\N
701425	2400	1998-04-30	VYDAJ	VYBER	15	33138	SLUZBY	\N	\N
701426	2400	1998-05-31	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
701427	2400	1998-06-30	VYDAJ	VYBER	15	35458	SLUZBY	\N	\N
701428	2400	1998-07-31	VYDAJ	VYBER	15	38310	SLUZBY	\N	\N
701429	2400	1998-08-31	VYDAJ	VYBER	15	38964	SLUZBY	\N	\N
701430	2400	1998-09-30	VYDAJ	VYBER	15	39668	SLUZBY	\N	\N
701431	2400	1998-10-31	VYDAJ	VYBER	15	42537	SLUZBY	\N	\N
701432	2400	1998-11-30	VYDAJ	VYBER	15	42046	SLUZBY	\N	\N
701433	2400	1996-12-12	VYDAJ	VYBER	1300	23655	\N	\N	\N
701434	2400	1997-10-08	VYDAJ	VYBER	200	29847	\N	\N	\N
701435	2400	1998-08-04	VYDAJ	VYBER	2200	36110	\N	\N	\N
701436	2400	1998-11-02	VYDAJ	VYBER	2000	40537	\N	\N	\N
701463	2401	1994-08-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
701472	2401	1994-09-07	PRIJEM	PREVOD Z UCTU	6852	7952	DUCHOD	OP	73600065
701473	2401	1994-10-07	PRIJEM	PREVOD Z UCTU	6852	14804	DUCHOD	OP	73600065
701474	2401	1994-11-07	PRIJEM	PREVOD Z UCTU	6852	21656	DUCHOD	OP	73600065
701475	2401	1994-12-07	PRIJEM	PREVOD Z UCTU	6852	28508	DUCHOD	OP	73600065
701476	2401	1995-01-07	PRIJEM	PREVOD Z UCTU	6852	31687	DUCHOD	OP	73600065
701477	2401	1995-02-07	PRIJEM	PREVOD Z UCTU	6852	34455	DUCHOD	OP	73600065
701478	2401	1995-03-07	PRIJEM	PREVOD Z UCTU	6852	34434	DUCHOD	OP	73600065
701479	2401	1995-04-07	PRIJEM	PREVOD Z UCTU	6852	34101	DUCHOD	OP	73600065
701480	2401	1995-05-07	PRIJEM	PREVOD Z UCTU	6852	36279	DUCHOD	OP	73600065
701481	2401	1995-06-07	PRIJEM	PREVOD Z UCTU	6852	34015	DUCHOD	OP	73600065
701482	2401	1995-07-07	PRIJEM	PREVOD Z UCTU	6852	32679	DUCHOD	OP	73600065
701483	2401	1995-08-07	PRIJEM	PREVOD Z UCTU	6852	33250	DUCHOD	OP	73600065
701484	2401	1995-09-07	PRIJEM	PREVOD Z UCTU	6852	34310	DUCHOD	OP	73600065
701485	2401	1995-10-07	PRIJEM	PREVOD Z UCTU	6852	37990	DUCHOD	OP	73600065
701486	2401	1995-11-07	PRIJEM	PREVOD Z UCTU	6852	36677	DUCHOD	OP	73600065
701487	2401	1995-12-07	PRIJEM	PREVOD Z UCTU	6852	40667	DUCHOD	OP	73600065
701488	2401	1996-01-07	PRIJEM	PREVOD Z UCTU	6852	38763	DUCHOD	OP	73600065
701489	2401	1996-02-07	PRIJEM	PREVOD Z UCTU	6852	40810	DUCHOD	OP	73600065
701490	2401	1996-03-07	PRIJEM	PREVOD Z UCTU	6852	39607	DUCHOD	OP	73600065
701491	2401	1996-04-07	PRIJEM	PREVOD Z UCTU	6852	38600	DUCHOD	OP	73600065
701492	2401	1996-05-07	PRIJEM	PREVOD Z UCTU	6852	40553	DUCHOD	OP	73600065
701493	2401	1996-06-07	PRIJEM	PREVOD Z UCTU	6852	39035	DUCHOD	OP	73600065
701494	2401	1996-07-07	PRIJEM	PREVOD Z UCTU	6852	33071	DUCHOD	OP	73600065
701495	2401	1996-08-07	PRIJEM	PREVOD Z UCTU	6852	31634	DUCHOD	OP	73600065
701496	2401	1996-09-07	PRIJEM	PREVOD Z UCTU	6852	35804	DUCHOD	OP	73600065
701497	2401	1996-10-07	PRIJEM	PREVOD Z UCTU	6852	39990	DUCHOD	OP	73600065
701498	2401	1996-11-07	PRIJEM	PREVOD Z UCTU	6852	40609	DUCHOD	OP	73600065
701499	2401	1996-12-07	PRIJEM	PREVOD Z UCTU	6852	42261	DUCHOD	OP	73600065
701500	2401	1997-01-07	PRIJEM	PREVOD Z UCTU	6852	41607	DUCHOD	OP	73600065
701501	2401	1997-02-07	PRIJEM	PREVOD Z UCTU	6852	36622	DUCHOD	OP	73600065
701592	2401	1997-01-23	VYDAJ	VYBER	4600	29645	\N	\N	\N
701502	2401	1997-03-07	PRIJEM	PREVOD Z UCTU	6852	35498	DUCHOD	OP	73600065
701503	2401	1997-04-07	PRIJEM	PREVOD Z UCTU	6852	36635	DUCHOD	OP	73600065
701504	2401	1997-05-07	PRIJEM	PREVOD Z UCTU	6852	40825	DUCHOD	OP	73600065
701505	2401	1997-06-07	PRIJEM	PREVOD Z UCTU	6852	45032	DUCHOD	OP	73600065
701506	2401	1997-07-07	PRIJEM	PREVOD Z UCTU	6852	35116	DUCHOD	OP	73600065
701507	2401	1997-08-07	PRIJEM	PREVOD Z UCTU	6852	39305	DUCHOD	OP	73600065
701508	2401	1997-09-07	PRIJEM	PREVOD Z UCTU	6852	39905	DUCHOD	OP	73600065
701509	2401	1997-10-07	PRIJEM	PREVOD Z UCTU	6852	44113	DUCHOD	OP	73600065
701510	2401	1997-11-07	PRIJEM	PREVOD Z UCTU	6852	47534	DUCHOD	OP	73600065
701511	2401	1997-12-07	PRIJEM	PREVOD Z UCTU	6852	51769	DUCHOD	OP	73600065
701512	2401	1998-01-07	PRIJEM	PREVOD Z UCTU	6852	48634	DUCHOD	OP	73600065
701513	2401	1998-02-07	PRIJEM	PREVOD Z UCTU	6852	46309	DUCHOD	OP	73600065
701514	2401	1998-03-07	PRIJEM	PREVOD Z UCTU	6852	46612	DUCHOD	OP	73600065
701515	2401	1998-04-07	PRIJEM	PREVOD Z UCTU	6852	45431	DUCHOD	OP	73600065
701516	2401	1998-05-07	PRIJEM	PREVOD Z UCTU	6852	44347	DUCHOD	OP	73600065
701517	2401	1998-06-07	PRIJEM	PREVOD Z UCTU	6852	39554	DUCHOD	OP	73600065
701518	2401	1998-07-07	PRIJEM	PREVOD Z UCTU	6852	31958	DUCHOD	OP	73600065
701519	2401	1998-08-07	PRIJEM	PREVOD Z UCTU	6852	35008	DUCHOD	OP	73600065
701520	2401	1998-09-07	PRIJEM	PREVOD Z UCTU	6852	36147	DUCHOD	OP	73600065
701521	2401	1998-10-07	PRIJEM	PREVOD Z UCTU	6852	37373	DUCHOD	OP	73600065
701522	2401	1998-11-07	PRIJEM	PREVOD Z UCTU	6852	41572	DUCHOD	OP	73600065
701523	2401	1998-12-07	PRIJEM	PREVOD Z UCTU	6852	45780	DUCHOD	OP	73600065
701536	2401	1995-01-12	VYDAJ	PREVOD NA UCET	2782	28905	SIPO	KL	76152759
701537	2401	1995-02-12	VYDAJ	PREVOD NA UCET	2782	31673	SIPO	KL	76152759
701538	2401	1995-03-12	VYDAJ	PREVOD NA UCET	2782	31652	SIPO	KL	76152759
701539	2401	1995-04-12	VYDAJ	PREVOD NA UCET	2782	31319	SIPO	KL	76152759
701540	2401	1995-05-12	VYDAJ	PREVOD NA UCET	2782	33497	SIPO	KL	76152759
701541	2401	1995-06-12	VYDAJ	PREVOD NA UCET	2782	31233	SIPO	KL	76152759
701542	2401	1995-07-12	VYDAJ	PREVOD NA UCET	2782	29897	SIPO	KL	76152759
701543	2401	1995-08-12	VYDAJ	PREVOD NA UCET	2782	30468	SIPO	KL	76152759
701544	2401	1995-09-12	VYDAJ	PREVOD NA UCET	2782	31528	SIPO	KL	76152759
701545	2401	1995-10-12	VYDAJ	PREVOD NA UCET	2782	35208	SIPO	KL	76152759
701546	2401	1995-11-12	VYDAJ	PREVOD NA UCET	2782	33895	SIPO	KL	76152759
701547	2401	1995-12-12	VYDAJ	PREVOD NA UCET	2782	37885	SIPO	KL	76152759
701548	2401	1996-01-12	VYDAJ	PREVOD NA UCET	2782	34531	SIPO	KL	76152759
701549	2401	1996-02-12	VYDAJ	PREVOD NA UCET	2782	38028	SIPO	KL	76152759
701550	2401	1996-03-12	VYDAJ	PREVOD NA UCET	2782	36825	SIPO	KL	76152759
701551	2401	1996-04-12	VYDAJ	PREVOD NA UCET	2782	35178	SIPO	KL	76152759
701552	2401	1996-05-12	VYDAJ	PREVOD NA UCET	2782	37771	SIPO	KL	76152759
701553	2401	1996-06-12	VYDAJ	PREVOD NA UCET	2782	36253	SIPO	KL	76152759
701554	2401	1996-07-12	VYDAJ	PREVOD NA UCET	2782	26609	SIPO	KL	76152759
701555	2401	1996-08-12	VYDAJ	PREVOD NA UCET	2782	28852	SIPO	KL	76152759
701556	2401	1996-09-12	VYDAJ	PREVOD NA UCET	2782	33022	SIPO	KL	76152759
701557	2401	1996-10-12	VYDAJ	PREVOD NA UCET	2782	35928	SIPO	KL	76152759
701558	2401	1996-11-12	VYDAJ	PREVOD NA UCET	2782	37827	SIPO	KL	76152759
701559	2401	1996-12-12	VYDAJ	PREVOD NA UCET	2782	37319	SIPO	KL	76152759
701560	2401	1997-01-12	VYDAJ	PREVOD NA UCET	2782	34245	SIPO	KL	76152759
701561	2401	1997-02-12	VYDAJ	PREVOD NA UCET	2782	28540	SIPO	KL	76152759
701562	2401	1997-03-12	VYDAJ	PREVOD NA UCET	2782	29676	SIPO	KL	76152759
701563	2401	1997-04-12	VYDAJ	PREVOD NA UCET	2782	33853	SIPO	KL	76152759
701564	2401	1997-05-12	VYDAJ	PREVOD NA UCET	2782	38043	SIPO	KL	76152759
701565	2401	1997-06-12	VYDAJ	PREVOD NA UCET	2782	40550	SIPO	KL	76152759
701566	2401	1997-07-12	VYDAJ	PREVOD NA UCET	2782	32334	SIPO	KL	76152759
701567	2401	1997-08-12	VYDAJ	PREVOD NA UCET	2782	36523	SIPO	KL	76152759
701568	2401	1997-09-12	VYDAJ	PREVOD NA UCET	2782	37123	SIPO	KL	76152759
701569	2401	1997-10-12	VYDAJ	PREVOD NA UCET	2782	40531	SIPO	KL	76152759
701570	2401	1997-11-12	VYDAJ	PREVOD NA UCET	2782	44752	SIPO	KL	76152759
701571	2401	1997-12-12	VYDAJ	PREVOD NA UCET	2782	42827	SIPO	KL	76152759
701572	2401	1998-01-12	VYDAJ	PREVOD NA UCET	2782	42902	SIPO	KL	76152759
701573	2401	1998-02-12	VYDAJ	PREVOD NA UCET	2782	43527	SIPO	KL	76152759
701574	2401	1998-03-12	VYDAJ	PREVOD NA UCET	2782	38430	SIPO	KL	76152759
701575	2401	1998-04-12	VYDAJ	PREVOD NA UCET	2782	37349	SIPO	KL	76152759
701576	2401	1998-05-12	VYDAJ	PREVOD NA UCET	2782	36365	SIPO	KL	76152759
701577	2401	1998-06-12	VYDAJ	PREVOD NA UCET	2782	25002	SIPO	KL	76152759
701578	2401	1998-07-12	VYDAJ	PREVOD NA UCET	2782	28056	SIPO	KL	76152759
701579	2401	1998-08-12	VYDAJ	PREVOD NA UCET	2782	32226	SIPO	KL	76152759
701580	2401	1998-09-12	VYDAJ	PREVOD NA UCET	2782	33365	SIPO	KL	76152759
701581	2401	1998-10-12	VYDAJ	PREVOD NA UCET	2782	34591	SIPO	KL	76152759
701582	2401	1998-11-12	VYDAJ	PREVOD NA UCET	2782	38790	SIPO	KL	76152759
701583	2401	1998-12-12	VYDAJ	PREVOD NA UCET	2782	42998	SIPO	KL	76152759
701585	2401	1995-06-04	VYDAJ	VYBER	3850	27163	\N	\N	\N
701586	2401	1996-06-24	VYDAJ	VYBER	5750	26103	\N	\N	\N
701587	2401	1997-06-20	VYDAJ	VYBER	10900	29650	\N	\N	\N
701588	2401	1998-06-10	VYDAJ	VYBER	9850	27784	\N	\N	\N
701591	2401	1996-01-08	VYDAJ	VYBER	1450	37313	\N	\N	\N
701593	2401	1998-01-07	VYDAJ	VYBER	1750	46884	\N	\N	\N
701595	2401	1995-12-14	VYDAJ	VYBER	1200	36685	\N	\N	\N
701596	2401	1996-12-01	VYDAJ	VYBER	750	35409	\N	\N	\N
701597	2401	1997-12-29	VYDAJ	VYBER	650	41617	\N	\N	\N
701598	2401	1998-12-29	VYDAJ	VYBER	900	42098	\N	\N	\N
701604	2401	1995-06-30	VYDAJ	VYBER	3520	25827	\N	\N	\N
701605	2401	1995-02-16	VYDAJ	VYBER	560	31113	\N	\N	\N
701606	2401	1995-03-04	VYDAJ	VYBER	3440	27582	\N	\N	\N
701607	2401	1995-03-24	VYDAJ	VYBER	3520	27132	\N	\N	\N
701608	2401	1995-08-03	VYDAJ	VYBER	1600	26398	\N	\N	\N
701609	2401	1995-08-30	VYDAJ	VYBER	2320	27348	\N	\N	\N
701610	2401	1996-07-23	VYDAJ	VYBER	1920	24689	\N	\N	\N
701611	2401	1996-07-10	VYDAJ	VYBER	3680	29391	\N	\N	\N
701612	2401	1996-10-07	VYDAJ	VYBER	1280	38710	\N	\N	\N
701613	2401	1996-05-17	VYDAJ	VYBER	3520	32051	\N	\N	\N
701614	2401	1996-06-22	VYDAJ	VYBER	800	31853	\N	\N	\N
701615	2401	1996-04-12	VYDAJ	VYBER	640	37960	\N	\N	\N
701616	2401	1996-12-11	VYDAJ	VYBER	2160	40101	\N	\N	\N
701617	2401	1997-08-31	VYDAJ	VYBER	3600	33053	\N	\N	\N
701618	2401	1997-07-03	VYDAJ	VYBER	1520	28264	\N	\N	\N
701619	2401	1997-12-11	VYDAJ	VYBER	2160	45609	\N	\N	\N
701620	2401	1997-03-10	VYDAJ	VYBER	3040	32458	\N	\N	\N
701621	2401	1997-12-22	VYDAJ	VYBER	560	42267	\N	\N	\N
701622	2401	1997-01-07	VYDAJ	VYBER	3280	38327	\N	\N	\N
701623	2401	1998-10-06	VYDAJ	VYBER	2960	30521	\N	\N	\N
701624	2401	1998-02-16	VYDAJ	VYBER	2960	40567	\N	\N	\N
701625	2401	1998-06-09	VYDAJ	VYBER	1920	37634	\N	\N	\N
701626	2401	1998-01-14	VYDAJ	VYBER	3600	39302	\N	\N	\N
701627	2401	1998-07-07	VYDAJ	VYBER	1120	30838	\N	\N	\N
701628	2401	1998-03-01	VYDAJ	VYBER	960	39760	\N	\N	\N
701629	2401	1998-08-26	VYDAJ	VYBER	3040	29186	\N	\N	\N
701643	2401	1995-01-31	VYDAJ	VYBER	15	27603	SLUZBY	\N	\N
701644	2401	1995-02-28	VYDAJ	VYBER	15	31022	SLUZBY	\N	\N
701645	2401	1995-03-31	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
701646	2401	1995-04-30	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
701647	2401	1995-05-31	VYDAJ	VYBER	15	31013	SLUZBY	\N	\N
701648	2401	1995-06-30	VYDAJ	VYBER	15	29347	SLUZBY	\N	\N
701649	2401	1995-07-31	VYDAJ	VYBER	15	27998	SLUZBY	\N	\N
701650	2401	1995-08-31	VYDAJ	VYBER	15	27458	SLUZBY	\N	\N
701651	2401	1995-09-30	VYDAJ	VYBER	15	31138	SLUZBY	\N	\N
701652	2401	1995-10-31	VYDAJ	VYBER	15	29825	SLUZBY	\N	\N
701653	2401	1995-11-30	VYDAJ	VYBER	15	33815	SLUZBY	\N	\N
701654	2401	1995-12-31	VYDAJ	VYBER	15	31911	SLUZBY	\N	\N
701655	2401	1996-01-31	VYDAJ	VYBER	15	33958	SLUZBY	\N	\N
701656	2401	1996-02-29	VYDAJ	VYBER	15	32755	SLUZBY	\N	\N
701657	2401	1996-03-31	VYDAJ	VYBER	15	31748	SLUZBY	\N	\N
701658	2401	1996-04-30	VYDAJ	VYBER	15	33701	SLUZBY	\N	\N
701659	2401	1996-05-31	VYDAJ	VYBER	15	32183	SLUZBY	\N	\N
701660	2401	1996-06-30	VYDAJ	VYBER	15	26219	SLUZBY	\N	\N
701661	2401	1996-07-31	VYDAJ	VYBER	15	24782	SLUZBY	\N	\N
701662	2401	1996-08-31	VYDAJ	VYBER	15	28952	SLUZBY	\N	\N
701663	2401	1996-09-30	VYDAJ	VYBER	15	33138	SLUZBY	\N	\N
701664	2401	1996-10-31	VYDAJ	VYBER	15	33757	SLUZBY	\N	\N
701665	2401	1996-11-30	VYDAJ	VYBER	15	36159	SLUZBY	\N	\N
701666	2401	1996-12-31	VYDAJ	VYBER	15	34755	SLUZBY	\N	\N
701667	2401	1997-01-31	VYDAJ	VYBER	15	29770	SLUZBY	\N	\N
701668	2401	1997-02-28	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
701669	2401	1997-03-31	VYDAJ	VYBER	15	29783	SLUZBY	\N	\N
701670	2401	1997-04-30	VYDAJ	VYBER	15	33973	SLUZBY	\N	\N
701671	2401	1997-05-31	VYDAJ	VYBER	15	38180	SLUZBY	\N	\N
701672	2401	1997-06-30	VYDAJ	VYBER	15	29784	SLUZBY	\N	\N
701673	2401	1997-07-31	VYDAJ	VYBER	15	32453	SLUZBY	\N	\N
701674	2401	1997-08-31	VYDAJ	VYBER	15	36653	SLUZBY	\N	\N
701675	2401	1997-09-30	VYDAJ	VYBER	15	37261	SLUZBY	\N	\N
701676	2401	1997-10-31	VYDAJ	VYBER	15	40682	SLUZBY	\N	\N
701677	2401	1997-11-30	VYDAJ	VYBER	15	44917	SLUZBY	\N	\N
701678	2401	1997-12-31	VYDAJ	VYBER	15	41782	SLUZBY	\N	\N
701679	2401	1998-01-31	VYDAJ	VYBER	15	39457	SLUZBY	\N	\N
701680	2401	1998-02-28	VYDAJ	VYBER	15	40720	SLUZBY	\N	\N
701681	2401	1998-03-31	VYDAJ	VYBER	15	38579	SLUZBY	\N	\N
701682	2401	1998-04-30	VYDAJ	VYBER	15	37495	SLUZBY	\N	\N
701683	2401	1998-05-31	VYDAJ	VYBER	15	36502	SLUZBY	\N	\N
701684	2401	1998-06-30	VYDAJ	VYBER	15	25106	SLUZBY	\N	\N
701685	2401	1998-07-31	VYDAJ	VYBER	15	28156	SLUZBY	\N	\N
701686	2401	1998-08-31	VYDAJ	VYBER	15	29295	SLUZBY	\N	\N
701687	2401	1998-09-30	VYDAJ	VYBER	15	33481	SLUZBY	\N	\N
701688	2401	1998-10-31	VYDAJ	VYBER	15	34720	SLUZBY	\N	\N
701689	2401	1998-11-30	VYDAJ	VYBER	15	38928	SLUZBY	\N	\N
701690	2401	1994-12-24	VYDAJ	VYBER	3700	24808	\N	\N	\N
701691	2401	1995-01-23	VYDAJ	VYBER	1400	27505	\N	\N	\N
701692	2401	1995-02-22	VYDAJ	VYBER	200	30913	\N	\N	\N
701693	2401	1995-03-24	VYDAJ	VYBER	1000	30652	\N	\N	\N
701694	2401	1995-04-23	VYDAJ	VYBER	2000	29319	\N	\N	\N
701695	2401	1995-05-23	VYDAJ	VYBER	2600	30897	\N	\N	\N
701696	2401	1995-06-22	VYDAJ	VYBER	2000	29233	\N	\N	\N
701697	2401	1995-07-22	VYDAJ	VYBER	2000	27897	\N	\N	\N
701698	2401	1995-08-21	VYDAJ	VYBER	800	29668	\N	\N	\N
701699	2401	1995-09-20	VYDAJ	VYBER	500	31028	\N	\N	\N
701700	2401	1995-10-20	VYDAJ	VYBER	5500	29708	\N	\N	\N
701701	2401	1995-11-19	VYDAJ	VYBER	200	33695	\N	\N	\N
701702	2401	1995-12-19	VYDAJ	VYBER	4900	31785	\N	\N	\N
701703	2401	1996-01-18	VYDAJ	VYBER	700	33831	\N	\N	\N
701704	2401	1996-02-17	VYDAJ	VYBER	5400	32628	\N	\N	\N
701705	2401	1996-03-18	VYDAJ	VYBER	5200	31625	\N	\N	\N
701706	2401	1996-04-17	VYDAJ	VYBER	1600	33578	\N	\N	\N
701707	2401	1996-05-17	VYDAJ	VYBER	2200	35571	\N	\N	\N
701708	2401	1996-06-16	VYDAJ	VYBER	3600	32653	\N	\N	\N
701709	2401	1996-10-14	VYDAJ	VYBER	2300	33628	\N	\N	\N
701710	2401	1996-11-13	VYDAJ	VYBER	1800	36027	\N	\N	\N
701711	2401	1996-12-13	VYDAJ	VYBER	2700	34619	\N	\N	\N
701712	2401	1997-01-12	VYDAJ	VYBER	1300	37027	\N	\N	\N
701713	2401	1997-02-11	VYDAJ	VYBER	5300	31322	\N	\N	\N
701714	2401	1997-06-11	VYDAJ	VYBER	1700	43332	\N	\N	\N
701715	2401	1997-10-09	VYDAJ	VYBER	800	43313	\N	\N	\N
701716	2401	1997-12-08	VYDAJ	VYBER	4000	47769	\N	\N	\N
701717	2401	1998-01-07	VYDAJ	VYBER	1200	45684	\N	\N	\N
701718	2401	1998-03-08	VYDAJ	VYBER	5400	41212	\N	\N	\N
701719	2401	1998-04-07	VYDAJ	VYBER	5300	40131	\N	\N	\N
701720	2401	1998-05-07	VYDAJ	VYBER	5200	39147	\N	\N	\N
701721	2401	1998-06-06	VYDAJ	VYBER	3800	32702	\N	\N	\N
701771	2402	1997-11-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
701782	2402	1997-11-12	PRIJEM	PREVOD Z UCTU	6943	7943	DUCHOD	OP	22592258
701783	2402	1997-12-12	PRIJEM	PREVOD Z UCTU	6943	14907	DUCHOD	OP	22592258
701784	2402	1998-01-12	PRIJEM	PREVOD Z UCTU	6943	21883	DUCHOD	OP	22592258
701785	2402	1998-02-12	PRIJEM	PREVOD Z UCTU	6943	28859	DUCHOD	OP	22592258
701786	2402	1998-03-12	PRIJEM	PREVOD Z UCTU	6943	32935	DUCHOD	OP	22592258
701787	2402	1998-04-12	PRIJEM	PREVOD Z UCTU	6943	28740	DUCHOD	OP	22592258
701788	2402	1998-05-12	PRIJEM	PREVOD Z UCTU	6943	33403	DUCHOD	OP	22592258
701789	2402	1998-06-12	PRIJEM	PREVOD Z UCTU	6943	37180	DUCHOD	OP	22592258
701790	2402	1998-07-12	PRIJEM	PREVOD Z UCTU	6943	33112	DUCHOD	OP	22592258
701791	2402	1998-08-12	PRIJEM	PREVOD Z UCTU	6943	36888	DUCHOD	OP	22592258
701792	2402	1998-09-12	PRIJEM	PREVOD Z UCTU	6943	41578	DUCHOD	OP	22592258
701793	2402	1998-10-12	PRIJEM	PREVOD Z UCTU	6943	46289	DUCHOD	OP	22592258
701794	2402	1998-11-12	PRIJEM	PREVOD Z UCTU	6943	46259	DUCHOD	OP	22592258
701795	2402	1998-12-12	PRIJEM	PREVOD Z UCTU	6943	45992	DUCHOD	OP	22592258
701811	2402	1998-04-07	VYDAJ	PREVOD NA UCET	2384	25637	SIPO	IJ	65373653
701812	2402	1998-05-07	VYDAJ	PREVOD NA UCET	2384	26460	SIPO	IJ	65373653
701813	2402	1998-06-07	VYDAJ	PREVOD NA UCET	2384	30237	SIPO	IJ	65373653
701814	2402	1998-07-07	VYDAJ	PREVOD NA UCET	2384	26169	SIPO	IJ	65373653
701815	2402	1998-08-07	VYDAJ	PREVOD NA UCET	2384	29945	SIPO	IJ	65373653
701816	2402	1998-09-07	VYDAJ	PREVOD NA UCET	2384	34635	SIPO	IJ	65373653
701817	2402	1998-10-07	VYDAJ	PREVOD NA UCET	2384	39346	SIPO	IJ	65373653
701818	2402	1998-11-07	VYDAJ	PREVOD NA UCET	2384	39876	SIPO	IJ	65373653
701819	2402	1998-12-07	VYDAJ	PREVOD NA UCET	2384	39049	SIPO	IJ	65373653
701821	2402	1998-06-23	VYDAJ	VYBER	8750	28430	\N	\N	\N
701825	2402	1998-12-01	VYDAJ	VYBER	1100	41433	\N	\N	\N
701832	2402	1998-04-08	VYDAJ	VYBER	3840	21797	\N	\N	\N
701833	2402	1998-11-08	VYDAJ	VYBER	560	39316	\N	\N	\N
701849	2402	1998-03-31	VYDAJ	VYBER	15	33021	SLUZBY	\N	\N
701850	2402	1998-04-30	VYDAJ	VYBER	15	28844	SLUZBY	\N	\N
701851	2402	1998-05-31	VYDAJ	VYBER	15	33521	SLUZBY	\N	\N
701852	2402	1998-06-30	VYDAJ	VYBER	15	28553	SLUZBY	\N	\N
701853	2402	1998-07-31	VYDAJ	VYBER	15	33229	SLUZBY	\N	\N
701854	2402	1998-08-31	VYDAJ	VYBER	15	37019	SLUZBY	\N	\N
701855	2402	1998-09-30	VYDAJ	VYBER	15	41730	SLUZBY	\N	\N
701856	2402	1998-10-31	VYDAJ	VYBER	15	46460	SLUZBY	\N	\N
701857	2402	1998-11-30	VYDAJ	VYBER	15	46433	SLUZBY	\N	\N
701858	2402	1998-03-06	VYDAJ	VYBER	2900	25992	\N	\N	\N
701859	2402	1998-04-05	VYDAJ	VYBER	5000	28021	\N	\N	\N
701860	2402	1998-06-04	VYDAJ	VYBER	900	32621	\N	\N	\N
701861	2402	1998-08-03	VYDAJ	VYBER	900	32329	\N	\N	\N
701862	2402	1998-11-01	VYDAJ	VYBER	4200	42260	\N	\N	\N
701863	2402	1998-12-01	VYDAJ	VYBER	3900	42533	\N	\N	\N
701878	2403	1996-02-20	PRIJEM	VKLAD	400	400	\N	\N	\N
701881	2403	1996-03-11	PRIJEM	VKLAD	4547	4947	\N	\N	\N
701882	2403	1996-04-11	PRIJEM	VKLAD	4547	18715	\N	\N	\N
701883	2403	1996-05-11	PRIJEM	VKLAD	4547	25631	\N	\N	\N
701884	2403	1996-06-11	PRIJEM	VKLAD	6820	30844	\N	\N	\N
701885	2403	1996-07-11	PRIJEM	VKLAD	4547	32497	\N	\N	\N
701886	2403	1996-08-11	PRIJEM	VKLAD	4547	33517	\N	\N	\N
701887	2403	1996-09-11	PRIJEM	VKLAD	4547	33140	\N	\N	\N
701888	2403	1996-10-11	PRIJEM	VKLAD	4547	28953	\N	\N	\N
701889	2403	1996-11-11	PRIJEM	VKLAD	4547	24854	\N	\N	\N
701890	2403	1996-12-11	PRIJEM	VKLAD	6820	31027	\N	\N	\N
701891	2403	1997-01-11	PRIJEM	VKLAD	4547	22525	\N	\N	\N
701892	2403	1997-02-11	PRIJEM	VKLAD	4547	18807	\N	\N	\N
701893	2403	1997-03-11	PRIJEM	VKLAD	4547	23278	\N	\N	\N
701894	2403	1997-04-11	PRIJEM	VKLAD	4547	22957	\N	\N	\N
701895	2403	1997-05-11	PRIJEM	VKLAD	4547	23236	\N	\N	\N
701896	2403	1997-06-11	PRIJEM	VKLAD	6820	27796	\N	\N	\N
701897	2403	1997-07-11	PRIJEM	VKLAD	4547	25087	\N	\N	\N
701898	2403	1997-08-11	PRIJEM	VKLAD	4547	28081	\N	\N	\N
701899	2403	1997-09-11	PRIJEM	VKLAD	4547	27981	\N	\N	\N
701900	2403	1997-10-11	PRIJEM	VKLAD	4547	24680	\N	\N	\N
701901	2403	1997-11-11	PRIJEM	VKLAD	4547	26876	\N	\N	\N
701902	2403	1997-12-11	PRIJEM	VKLAD	6820	30747	\N	\N	\N
701903	2403	1998-01-11	PRIJEM	VKLAD	4547	30360	\N	\N	\N
701904	2403	1998-02-11	PRIJEM	VKLAD	4547	31354	\N	\N	\N
701905	2403	1998-03-11	PRIJEM	VKLAD	4547	30157	\N	\N	\N
701906	2403	1998-04-11	PRIJEM	VKLAD	4547	34668	\N	\N	\N
701907	2403	1998-05-11	PRIJEM	VKLAD	4547	35292	\N	\N	\N
701908	2403	1998-06-11	PRIJEM	VKLAD	6820	39399	\N	\N	\N
701909	2403	1998-07-11	PRIJEM	VKLAD	4547	38546	\N	\N	\N
701910	2403	1998-08-11	PRIJEM	VKLAD	4547	36297	\N	\N	\N
701911	2403	1998-09-11	PRIJEM	VKLAD	4547	36741	\N	\N	\N
701912	2403	1998-10-11	PRIJEM	VKLAD	4547	31082	\N	\N	\N
701913	2403	1998-11-11	PRIJEM	VKLAD	4547	26201	\N	\N	\N
701914	2403	1998-12-11	PRIJEM	VKLAD	6820	26574	\N	\N	\N
701921	2403	1996-07-13	VYDAJ	PREVOD NA UCET	3031	29466	SIPO	GH	38700193
701922	2403	1996-08-13	VYDAJ	PREVOD NA UCET	3031	30486	SIPO	GH	38700193
701923	2403	1996-09-13	VYDAJ	PREVOD NA UCET	3031	30109	SIPO	GH	38700193
701924	2403	1996-10-13	VYDAJ	PREVOD NA UCET	3031	25922	SIPO	GH	38700193
701925	2403	1996-11-13	VYDAJ	PREVOD NA UCET	3031	21823	SIPO	GH	38700193
701926	2403	1996-12-13	VYDAJ	PREVOD NA UCET	3031	27996	SIPO	GH	38700193
701927	2403	1997-01-13	VYDAJ	PREVOD NA UCET	3031	18994	SIPO	GH	38700193
701928	2403	1997-02-13	VYDAJ	PREVOD NA UCET	3031	15776	SIPO	GH	38700193
701929	2403	1997-03-13	VYDAJ	PREVOD NA UCET	3031	20247	SIPO	GH	38700193
701930	2403	1997-04-13	VYDAJ	PREVOD NA UCET	3031	19926	SIPO	GH	38700193
701931	2403	1997-05-13	VYDAJ	PREVOD NA UCET	3031	20205	SIPO	GH	38700193
701932	2403	1997-06-13	VYDAJ	PREVOD NA UCET	3031	24765	SIPO	GH	38700193
701933	2403	1997-07-13	VYDAJ	PREVOD NA UCET	3031	22056	SIPO	GH	38700193
701934	2403	1997-08-13	VYDAJ	PREVOD NA UCET	3031	25750	SIPO	GH	38700193
701935	2403	1997-09-13	VYDAJ	PREVOD NA UCET	3031	27550	SIPO	GH	38700193
701936	2403	1997-10-13	VYDAJ	PREVOD NA UCET	3031	22249	SIPO	GH	38700193
701937	2403	1997-11-13	VYDAJ	PREVOD NA UCET	3031	23645	SIPO	GH	38700193
701938	2403	1997-12-13	VYDAJ	PREVOD NA UCET	3031	27716	SIPO	GH	38700193
701939	2403	1998-01-13	VYDAJ	PREVOD NA UCET	3031	25429	SIPO	GH	38700193
701940	2403	1998-02-13	VYDAJ	PREVOD NA UCET	3031	28323	SIPO	GH	38700193
701941	2403	1998-03-13	VYDAJ	PREVOD NA UCET	3031	27126	SIPO	GH	38700193
701942	2403	1998-04-13	VYDAJ	PREVOD NA UCET	3031	31637	SIPO	GH	38700193
701943	2403	1998-05-13	VYDAJ	PREVOD NA UCET	3031	32261	SIPO	GH	38700193
701944	2403	1998-06-13	VYDAJ	PREVOD NA UCET	3031	36368	SIPO	GH	38700193
701945	2403	1998-07-13	VYDAJ	PREVOD NA UCET	3031	35515	SIPO	GH	38700193
701946	2403	1998-08-13	VYDAJ	PREVOD NA UCET	3031	33266	SIPO	GH	38700193
701947	2403	1998-09-13	VYDAJ	PREVOD NA UCET	3031	33710	SIPO	GH	38700193
701948	2403	1998-10-13	VYDAJ	PREVOD NA UCET	3031	28051	SIPO	GH	38700193
701949	2403	1998-11-13	VYDAJ	PREVOD NA UCET	3031	23170	SIPO	GH	38700193
701950	2403	1998-12-13	VYDAJ	PREVOD NA UCET	3031	23543	SIPO	GH	38700193
701955	2403	1997-01-09	VYDAJ	VYBER	4000	17978	\N	\N	\N
701956	2403	1998-01-09	VYDAJ	VYBER	3900	17313	\N	\N	\N
701957	2403	1996-12-15	VYDAJ	VYBER	700	27296	\N	\N	\N
701958	2403	1997-12-01	VYDAJ	VYBER	1100	22627	\N	\N	\N
701959	2403	1998-12-14	VYDAJ	VYBER	2500	21043	\N	\N	\N
701967	2403	1997-01-11	VYDAJ	VYBER	500	22025	\N	\N	\N
701968	2403	1997-01-25	VYDAJ	VYBER	2700	16894	\N	\N	\N
701969	2403	1997-01-26	VYDAJ	VYBER	2700	14194	\N	\N	\N
701970	2403	1997-01-16	VYDAJ	VYBER	1100	19594	\N	\N	\N
701971	2403	1997-01-14	VYDAJ	VYBER	2000	16994	\N	\N	\N
701972	2403	1998-01-28	VYDAJ	VYBER	1700	19229	\N	\N	\N
701973	2403	1998-01-13	VYDAJ	VYBER	1900	28460	\N	\N	\N
701974	2403	1998-01-27	VYDAJ	VYBER	1100	20929	\N	\N	\N
701975	2403	1998-01-01	VYDAJ	VYBER	2700	23913	\N	\N	\N
701976	2403	1998-01-17	VYDAJ	VYBER	2800	22029	\N	\N	\N
701977	2403	1998-01-14	VYDAJ	VYBER	600	24829	\N	\N	\N
701978	2403	1996-11-07	VYDAJ	VYBER	2900	20307	\N	\N	\N
701979	2403	1997-08-14	VYDAJ	VYBER	2400	23350	\N	\N	\N
701980	2403	1997-10-10	VYDAJ	VYBER	1600	20133	\N	\N	\N
701981	2403	1997-10-03	VYDAJ	VYBER	1500	21733	\N	\N	\N
701982	2403	1997-09-14	VYDAJ	VYBER	4400	23150	\N	\N	\N
701983	2403	1997-05-26	VYDAJ	VYBER	1300	20905	\N	\N	\N
701984	2403	1997-06-22	VYDAJ	VYBER	3300	20465	\N	\N	\N
701985	2403	1998-10-19	VYDAJ	VYBER	4100	23951	\N	\N	\N
701986	2403	1998-04-18	VYDAJ	VYBER	1600	30037	\N	\N	\N
701987	2403	1998-12-17	VYDAJ	VYBER	1400	19643	\N	\N	\N
701988	2403	1998-01-02	VYDAJ	VYBER	2700	21213	\N	\N	\N
701989	2403	1998-01-01	VYDAJ	VYBER	1200	26613	\N	\N	\N
701990	2403	1998-02-24	VYDAJ	VYBER	4400	23923	\N	\N	\N
701998	2403	1996-07-31	VYDAJ	VYBER	15	28970	SLUZBY	\N	\N
701999	2403	1996-08-31	VYDAJ	VYBER	15	28593	SLUZBY	\N	\N
702000	2403	1996-09-30	VYDAJ	VYBER	15	24406	SLUZBY	\N	\N
702001	2403	1996-10-31	VYDAJ	VYBER	15	23207	SLUZBY	\N	\N
702002	2403	1996-11-30	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
702003	2403	1996-12-31	VYDAJ	VYBER	15	21978	SLUZBY	\N	\N
702004	2403	1997-01-31	VYDAJ	VYBER	15	14260	SLUZBY	\N	\N
702005	2403	1997-02-28	VYDAJ	VYBER	15	18731	SLUZBY	\N	\N
702006	2403	1997-03-31	VYDAJ	VYBER	15	18410	SLUZBY	\N	\N
702007	2403	1997-04-30	VYDAJ	VYBER	15	18689	SLUZBY	\N	\N
702008	2403	1997-05-31	VYDAJ	VYBER	15	20976	SLUZBY	\N	\N
702009	2403	1997-06-30	VYDAJ	VYBER	15	20540	SLUZBY	\N	\N
702010	2403	1997-07-31	VYDAJ	VYBER	15	23534	SLUZBY	\N	\N
702011	2403	1997-08-31	VYDAJ	VYBER	15	23434	SLUZBY	\N	\N
702012	2403	1997-09-30	VYDAJ	VYBER	15	23233	SLUZBY	\N	\N
702013	2403	1997-10-31	VYDAJ	VYBER	15	22329	SLUZBY	\N	\N
702014	2403	1997-11-30	VYDAJ	VYBER	15	23727	SLUZBY	\N	\N
702015	2403	1997-12-31	VYDAJ	VYBER	15	27813	SLUZBY	\N	\N
702016	2403	1998-01-31	VYDAJ	VYBER	15	19307	SLUZBY	\N	\N
702017	2403	1998-02-28	VYDAJ	VYBER	15	24010	SLUZBY	\N	\N
702018	2403	1998-03-31	VYDAJ	VYBER	15	27221	SLUZBY	\N	\N
702019	2403	1998-04-30	VYDAJ	VYBER	15	30145	SLUZBY	\N	\N
702020	2403	1998-05-31	VYDAJ	VYBER	15	32379	SLUZBY	\N	\N
702021	2403	1998-06-30	VYDAJ	VYBER	15	36499	SLUZBY	\N	\N
702022	2403	1998-07-31	VYDAJ	VYBER	15	35650	SLUZBY	\N	\N
702023	2403	1998-08-31	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
702024	2403	1998-09-30	VYDAJ	VYBER	15	33835	SLUZBY	\N	\N
702025	2403	1998-10-31	VYDAJ	VYBER	15	24054	SLUZBY	\N	\N
702026	2403	1998-11-30	VYDAJ	VYBER	15	23254	SLUZBY	\N	\N
702027	2403	1996-03-21	PRIJEM	VKLAD	9200	14147	\N	\N	\N
702028	2403	1996-04-20	PRIJEM	VKLAD	2300	21015	\N	\N	\N
702029	2403	1996-05-20	VYDAJ	VYBER	1700	23931	\N	\N	\N
702030	2403	1996-06-19	VYDAJ	VYBER	3000	27844	\N	\N	\N
702031	2403	1996-07-19	VYDAJ	VYBER	600	28866	\N	\N	\N
702032	2403	1996-08-18	VYDAJ	VYBER	2000	28486	\N	\N	\N
702033	2403	1996-09-17	VYDAJ	VYBER	5800	24309	\N	\N	\N
702034	2403	1996-10-17	VYDAJ	VYBER	2800	23122	\N	\N	\N
702035	2403	1996-11-16	PRIJEM	VKLAD	2300	24123	\N	\N	\N
702036	2403	1996-12-16	VYDAJ	VYBER	5400	21896	\N	\N	\N
702037	2403	1997-01-15	PRIJEM	VKLAD	3700	20694	\N	\N	\N
702038	2403	1997-02-14	PRIJEM	VKLAD	2900	18676	\N	\N	\N
702039	2403	1997-03-16	VYDAJ	VYBER	1900	18347	\N	\N	\N
702040	2403	1997-04-15	VYDAJ	VYBER	1300	18626	\N	\N	\N
702041	2403	1997-05-15	PRIJEM	VKLAD	2000	22205	\N	\N	\N
702042	2403	1997-06-14	VYDAJ	VYBER	1000	23765	\N	\N	\N
702043	2403	1997-07-14	PRIJEM	VKLAD	1400	23456	\N	\N	\N
702044	2403	1997-08-13	PRIJEM	VKLAD	700	28781	\N	\N	\N
702045	2403	1997-09-12	PRIJEM	VKLAD	2600	30581	\N	\N	\N
702046	2403	1997-10-12	PRIJEM	VKLAD	600	25280	\N	\N	\N
702047	2403	1997-11-11	VYDAJ	VYBER	200	26676	\N	\N	\N
702048	2403	1997-12-11	PRIJEM	VKLAD	1300	23927	\N	\N	\N
702049	2403	1998-01-10	PRIJEM	VKLAD	8500	25813	\N	\N	\N
702050	2403	1998-02-09	PRIJEM	VKLAD	7500	26807	\N	\N	\N
702051	2403	1998-03-11	PRIJEM	VKLAD	1600	25610	\N	\N	\N
702052	2403	1998-04-10	PRIJEM	VKLAD	2900	30121	\N	\N	\N
702053	2403	1998-05-10	PRIJEM	VKLAD	600	30745	\N	\N	\N
702054	2403	1998-06-09	PRIJEM	VKLAD	200	32579	\N	\N	\N
702055	2403	1998-07-09	VYDAJ	VYBER	2500	33999	\N	\N	\N
702056	2403	1998-08-08	VYDAJ	VYBER	3900	31750	\N	\N	\N
702057	2403	1998-09-07	VYDAJ	VYBER	1200	32194	\N	\N	\N
702058	2403	1998-10-07	VYDAJ	VYBER	7300	26535	\N	\N	\N
702059	2403	1998-11-06	VYDAJ	VYBER	2400	21654	\N	\N	\N
702060	2403	1998-12-06	VYDAJ	VYBER	3500	19754	\N	\N	\N
702095	2404	1997-06-05	PRIJEM	VKLAD	200	200	\N	\N	\N
702101	2404	1997-06-14	PRIJEM	VKLAD	19251	19451	\N	\N	\N
702102	2404	1997-07-14	PRIJEM	VKLAD	12834	33431	\N	\N	\N
702103	2404	1997-08-14	PRIJEM	VKLAD	12834	38780	\N	\N	\N
702104	2404	1997-09-14	PRIJEM	VKLAD	12834	43966	\N	\N	\N
702105	2404	1997-10-14	PRIJEM	VKLAD	12834	47874	\N	\N	\N
702106	2404	1997-11-14	PRIJEM	VKLAD	12834	38278	\N	\N	\N
702107	2404	1997-12-14	PRIJEM	VKLAD	19251	46873	\N	\N	\N
702108	2404	1998-01-14	PRIJEM	VKLAD	12834	37062	\N	\N	\N
702109	2404	1998-02-14	PRIJEM	VKLAD	12834	27123	\N	\N	\N
702110	2404	1998-03-14	PRIJEM	VKLAD	12834	24249	\N	\N	\N
702111	2404	1998-04-14	PRIJEM	VKLAD	12834	21773	\N	\N	\N
702112	2404	1998-05-14	PRIJEM	VKLAD	12834	20391	\N	\N	\N
702113	2404	1998-06-14	PRIJEM	VKLAD	19251	29423	\N	\N	\N
702114	2404	1998-07-14	PRIJEM	VKLAD	12834	31160	\N	\N	\N
702115	2404	1998-08-14	PRIJEM	VKLAD	12834	30006	\N	\N	\N
702116	2404	1998-09-14	PRIJEM	VKLAD	12834	23518	\N	\N	\N
702117	2404	1998-10-14	PRIJEM	VKLAD	12834	20230	\N	\N	\N
702118	2404	1998-11-14	PRIJEM	VKLAD	12834	27632	\N	\N	\N
702119	2404	1998-12-14	PRIJEM	VKLAD	19251	25650	\N	\N	\N
702130	2404	1997-11-12	VYDAJ	PREVOD NA UCET	5488	25444	SIPO	YZ	50743573
702131	2404	1997-12-12	VYDAJ	PREVOD NA UCET	5488	27622	SIPO	YZ	50743573
702132	2404	1998-01-12	VYDAJ	PREVOD NA UCET	5488	25188	SIPO	YZ	50743573
702133	2404	1998-02-12	VYDAJ	PREVOD NA UCET	5488	14289	SIPO	YZ	50743573
702134	2404	1998-03-12	VYDAJ	PREVOD NA UCET	5488	11415	SIPO	YZ	50743573
702135	2404	1998-04-12	VYDAJ	PREVOD NA UCET	5488	8939	SIPO	YZ	50743573
702136	2404	1998-05-12	VYDAJ	PREVOD NA UCET	5488	7557	SIPO	YZ	50743573
702137	2404	1998-06-12	VYDAJ	PREVOD NA UCET	5488	10172	SIPO	YZ	50743573
702138	2404	1998-07-12	VYDAJ	PREVOD NA UCET	5488	18326	SIPO	YZ	50743573
702139	2404	1998-08-12	VYDAJ	PREVOD NA UCET	5488	17172	SIPO	YZ	50743573
702140	2404	1998-09-12	VYDAJ	PREVOD NA UCET	5488	10684	SIPO	YZ	50743573
702141	2404	1998-10-12	VYDAJ	PREVOD NA UCET	5488	7396	SIPO	YZ	50743573
702142	2404	1998-11-12	VYDAJ	PREVOD NA UCET	5488	14798	SIPO	YZ	50743573
702143	2404	1998-12-12	VYDAJ	PREVOD NA UCET	5488	6399	SIPO	YZ	50743573
702146	2404	1997-12-14	VYDAJ	VYBER	3520	43353	\N	\N	\N
702154	2404	1998-01-17	VYDAJ	VYBER	960	33582	\N	\N	\N
702155	2404	1998-01-03	VYDAJ	VYBER	840	30676	\N	\N	\N
702156	2404	1998-01-19	VYDAJ	VYBER	2280	31302	\N	\N	\N
702157	2404	1998-01-28	VYDAJ	VYBER	2760	24462	\N	\N	\N
702158	2404	1998-01-17	VYDAJ	VYBER	1680	34542	\N	\N	\N
702159	2404	1998-01-15	VYDAJ	VYBER	840	36222	\N	\N	\N
702160	2404	1997-11-02	VYDAJ	VYBER	5520	42532	\N	\N	\N
702163	2404	1998-03-17	VYDAJ	VYBER	2400	21849	\N	\N	\N
702164	2404	1998-01-28	VYDAJ	VYBER	4080	27222	\N	\N	\N
702165	2404	1998-02-19	VYDAJ	VYBER	3000	24123	\N	\N	\N
702166	2404	1998-01-13	VYDAJ	VYBER	960	24228	\N	\N	\N
702167	2404	1998-08-17	VYDAJ	VYBER	3720	26286	\N	\N	\N
702168	2404	1998-11-22	VYDAJ	VYBER	5520	22112	\N	\N	\N
702180	2404	1997-10-31	VYDAJ	VYBER	15	48052	SLUZBY	\N	\N
702181	2404	1997-11-30	VYDAJ	VYBER	15	38410	SLUZBY	\N	\N
702182	2404	1997-12-31	VYDAJ	VYBER	15	43516	SLUZBY	\N	\N
702183	2404	1998-01-31	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
702184	2404	1998-02-28	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
702185	2404	1998-03-31	VYDAJ	VYBER	15	21927	SLUZBY	\N	\N
702186	2404	1998-04-30	VYDAJ	VYBER	15	21845	SLUZBY	\N	\N
702187	2404	1998-05-31	VYDAJ	VYBER	15	20460	SLUZBY	\N	\N
702188	2404	1998-06-30	VYDAJ	VYBER	15	23814	SLUZBY	\N	\N
702189	2404	1998-07-31	VYDAJ	VYBER	15	22660	SLUZBY	\N	\N
702190	2404	1998-08-31	VYDAJ	VYBER	15	16172	SLUZBY	\N	\N
702191	2404	1998-09-30	VYDAJ	VYBER	15	12884	SLUZBY	\N	\N
702192	2404	1998-10-31	VYDAJ	VYBER	15	20286	SLUZBY	\N	\N
702193	2404	1998-11-30	VYDAJ	VYBER	15	11887	SLUZBY	\N	\N
702194	2404	1997-07-05	PRIJEM	VKLAD	1100	20597	\N	\N	\N
702195	2404	1997-08-04	VYDAJ	VYBER	7600	25946	\N	\N	\N
702196	2404	1997-09-03	VYDAJ	VYBER	7800	31132	\N	\N	\N
702197	2404	1997-10-03	VYDAJ	VYBER	9100	35040	\N	\N	\N
702198	2404	1997-11-02	VYDAJ	VYBER	11600	30932	\N	\N	\N
702199	2404	1997-12-02	VYDAJ	VYBER	5300	33110	\N	\N	\N
702200	2404	1998-01-01	VYDAJ	VYBER	12000	31516	\N	\N	\N
702201	2404	1998-01-31	VYDAJ	VYBER	4800	19791	\N	\N	\N
702202	2404	1998-03-02	VYDAJ	VYBER	7300	16903	\N	\N	\N
702203	2404	1998-04-01	VYDAJ	VYBER	7500	14427	\N	\N	\N
702204	2404	1998-05-01	VYDAJ	VYBER	8800	13045	\N	\N	\N
702205	2404	1998-05-31	VYDAJ	VYBER	4800	15660	\N	\N	\N
702206	2404	1998-06-30	VYDAJ	VYBER	5700	23829	\N	\N	\N
702207	2404	1998-07-30	VYDAJ	VYBER	8600	22560	\N	\N	\N
702208	2404	1998-08-29	VYDAJ	VYBER	10200	16086	\N	\N	\N
702209	2404	1998-09-28	VYDAJ	VYBER	10700	12818	\N	\N	\N
702210	2404	1998-11-27	VYDAJ	VYBER	10300	11812	\N	\N	\N
702211	2404	1998-12-27	VYDAJ	VYBER	11000	14650	\N	\N	\N
702231	2405	1997-02-27	PRIJEM	VKLAD	600	600	\N	\N	\N
702234	2405	1997-03-12	PRIJEM	VKLAD	12875	13475	\N	\N	\N
702235	2405	1997-04-12	PRIJEM	VKLAD	12875	34459	\N	\N	\N
702236	2405	1997-05-12	PRIJEM	VKLAD	12875	43727	\N	\N	\N
702237	2405	1997-06-12	PRIJEM	VKLAD	19313	49968	\N	\N	\N
702238	2405	1997-07-12	PRIJEM	VKLAD	12875	48073	\N	\N	\N
702239	2405	1997-08-12	PRIJEM	VKLAD	12875	36209	\N	\N	\N
702240	2405	1997-09-12	PRIJEM	VKLAD	12875	34197	\N	\N	\N
702241	2405	1997-10-12	PRIJEM	VKLAD	12875	36380	\N	\N	\N
702242	2405	1997-11-12	PRIJEM	VKLAD	12875	36869	\N	\N	\N
702243	2405	1997-12-12	PRIJEM	VKLAD	19313	36962	\N	\N	\N
702244	2405	1998-01-12	PRIJEM	VKLAD	12875	31088	\N	\N	\N
702245	2405	1998-02-12	PRIJEM	VKLAD	12875	32099	\N	\N	\N
702246	2405	1998-03-12	PRIJEM	VKLAD	12875	40077	\N	\N	\N
702247	2405	1998-04-12	PRIJEM	VKLAD	12875	42283	\N	\N	\N
702248	2405	1998-05-12	PRIJEM	VKLAD	12875	40493	\N	\N	\N
702249	2405	1998-06-12	PRIJEM	VKLAD	19313	49638	\N	\N	\N
702250	2405	1998-07-12	PRIJEM	VKLAD	12875	45165	\N	\N	\N
702251	2405	1998-08-12	PRIJEM	VKLAD	12875	39582	\N	\N	\N
702252	2405	1998-09-12	PRIJEM	VKLAD	12875	37403	\N	\N	\N
702253	2405	1998-10-12	PRIJEM	VKLAD	12875	37492	\N	\N	\N
702254	2405	1998-11-12	PRIJEM	VKLAD	12875	35878	\N	\N	\N
702255	2405	1998-12-12	PRIJEM	VKLAD	19313	42698	\N	\N	\N
702263	2405	1997-08-06	VYDAJ	PREVOD NA UCET	6407	23334	SIPO	KL	9480673
702264	2405	1997-09-06	VYDAJ	PREVOD NA UCET	6407	21322	SIPO	KL	9480673
702265	2405	1997-10-06	VYDAJ	PREVOD NA UCET	6407	23505	SIPO	KL	9480673
702266	2405	1997-11-06	VYDAJ	PREVOD NA UCET	6407	23994	SIPO	KL	9480673
702267	2405	1997-12-06	VYDAJ	PREVOD NA UCET	6407	21170	SIPO	KL	9480673
702268	2405	1998-01-06	VYDAJ	PREVOD NA UCET	6407	25773	SIPO	KL	9480673
702269	2405	1998-02-06	VYDAJ	PREVOD NA UCET	6407	19224	SIPO	KL	9480673
702270	2405	1998-03-06	VYDAJ	PREVOD NA UCET	6407	27202	SIPO	KL	9480673
702271	2405	1998-04-06	VYDAJ	PREVOD NA UCET	6407	29408	SIPO	KL	9480673
702272	2405	1998-05-06	VYDAJ	PREVOD NA UCET	6407	27618	SIPO	KL	9480673
702273	2405	1998-06-06	VYDAJ	PREVOD NA UCET	6407	30326	SIPO	KL	9480673
702274	2405	1998-07-06	VYDAJ	PREVOD NA UCET	6407	32290	SIPO	KL	9480673
702275	2405	1998-08-06	VYDAJ	PREVOD NA UCET	6407	26707	SIPO	KL	9480673
702276	2405	1998-09-06	VYDAJ	PREVOD NA UCET	6407	24528	SIPO	KL	9480673
702277	2405	1998-10-06	VYDAJ	PREVOD NA UCET	6407	24617	SIPO	KL	9480673
702278	2405	1998-11-06	VYDAJ	PREVOD NA UCET	6407	23003	SIPO	KL	9480673
702279	2405	1998-12-06	VYDAJ	PREVOD NA UCET	6407	23385	SIPO	KL	9480673
702283	2405	1998-01-09	VYDAJ	VYBER	5280	18213	\N	\N	\N
702284	2405	1997-12-10	VYDAJ	VYBER	3520	17650	\N	\N	\N
702285	2405	1998-12-24	VYDAJ	VYBER	2400	30598	\N	\N	\N
702292	2405	1998-01-23	VYDAJ	VYBER	3120	29128	\N	\N	\N
702293	2405	1998-01-29	VYDAJ	VYBER	720	25528	\N	\N	\N
702294	2405	1998-01-27	VYDAJ	VYBER	2880	26248	\N	\N	\N
702295	2405	1998-01-04	VYDAJ	VYBER	600	32180	\N	\N	\N
702296	2405	1998-01-16	VYDAJ	VYBER	1440	29648	\N	\N	\N
702297	2405	1998-01-17	VYDAJ	VYBER	1200	28448	\N	\N	\N
702298	2405	1997-12-01	VYDAJ	VYBER	4200	27577	\N	\N	\N
702300	2405	1997-07-30	VYDAJ	VYBER	2160	29613	\N	\N	\N
702301	2405	1997-11-24	VYDAJ	VYBER	720	36149	\N	\N	\N
702302	2405	1998-08-31	VYDAJ	VYBER	4080	30935	\N	\N	\N
702303	2405	1998-01-07	VYDAJ	VYBER	2280	23493	\N	\N	\N
702304	2405	1998-07-27	VYDAJ	VYBER	2400	32965	\N	\N	\N
702312	2405	1997-07-31	VYDAJ	VYBER	15	29741	SLUZBY	\N	\N
702313	2405	1997-08-31	VYDAJ	VYBER	15	27729	SLUZBY	\N	\N
702314	2405	1997-09-30	VYDAJ	VYBER	15	29912	SLUZBY	\N	\N
702315	2405	1997-10-31	VYDAJ	VYBER	15	30401	SLUZBY	\N	\N
702316	2405	1997-11-30	VYDAJ	VYBER	15	31777	SLUZBY	\N	\N
702317	2405	1997-12-31	VYDAJ	VYBER	15	32780	SLUZBY	\N	\N
702318	2405	1998-01-31	VYDAJ	VYBER	15	25631	SLUZBY	\N	\N
702319	2405	1998-02-28	VYDAJ	VYBER	15	33609	SLUZBY	\N	\N
702320	2405	1998-03-31	VYDAJ	VYBER	15	35815	SLUZBY	\N	\N
702321	2405	1998-04-30	VYDAJ	VYBER	15	34025	SLUZBY	\N	\N
702322	2405	1998-05-31	VYDAJ	VYBER	15	36733	SLUZBY	\N	\N
702323	2405	1998-06-30	VYDAJ	VYBER	15	38697	SLUZBY	\N	\N
702324	2405	1998-07-31	VYDAJ	VYBER	15	33114	SLUZBY	\N	\N
702325	2405	1998-08-31	VYDAJ	VYBER	15	35015	SLUZBY	\N	\N
702326	2405	1998-09-30	VYDAJ	VYBER	15	31024	SLUZBY	\N	\N
702327	2405	1998-10-31	VYDAJ	VYBER	15	29410	SLUZBY	\N	\N
702328	2405	1998-11-30	VYDAJ	VYBER	15	29792	SLUZBY	\N	\N
702329	2405	1997-03-29	PRIJEM	VKLAD	8100	21575	\N	\N	\N
702330	2405	1997-04-28	VYDAJ	VYBER	3700	30759	\N	\N	\N
702331	2405	1997-05-28	VYDAJ	VYBER	13200	30527	\N	\N	\N
702332	2405	1997-06-27	VYDAJ	VYBER	14900	35068	\N	\N	\N
702333	2405	1997-07-27	VYDAJ	VYBER	16300	31773	\N	\N	\N
702334	2405	1997-08-26	VYDAJ	VYBER	8600	27609	\N	\N	\N
702335	2405	1997-09-25	VYDAJ	VYBER	4400	29797	\N	\N	\N
702336	2405	1997-10-25	VYDAJ	VYBER	6100	30280	\N	\N	\N
702337	2405	1997-11-24	VYDAJ	VYBER	4500	31649	\N	\N	\N
702338	2405	1997-12-24	VYDAJ	VYBER	4300	32662	\N	\N	\N
702339	2405	1998-01-23	PRIJEM	VKLAD	3800	32248	\N	\N	\N
702340	2405	1998-02-22	PRIJEM	VKLAD	1400	33499	\N	\N	\N
702341	2405	1998-03-24	VYDAJ	VYBER	4400	35677	\N	\N	\N
702342	2405	1998-04-23	VYDAJ	VYBER	8400	33883	\N	\N	\N
702343	2405	1998-05-23	VYDAJ	VYBER	3900	36593	\N	\N	\N
702344	2405	1998-06-22	VYDAJ	VYBER	11100	38538	\N	\N	\N
702345	2405	1998-07-22	VYDAJ	VYBER	9800	35365	\N	\N	\N
702346	2405	1998-08-21	VYDAJ	VYBER	4700	34882	\N	\N	\N
702347	2405	1998-09-20	VYDAJ	VYBER	6500	30903	\N	\N	\N
702348	2405	1998-10-20	VYDAJ	VYBER	8200	29292	\N	\N	\N
702349	2405	1998-11-19	VYDAJ	VYBER	6200	29678	\N	\N	\N
702350	2405	1998-12-19	VYDAJ	VYBER	9700	32998	\N	\N	\N
702373	2406	1996-03-22	PRIJEM	VKLAD	400	400	\N	\N	\N
702377	2406	1996-04-09	PRIJEM	PREVOD Z UCTU	4780	5180	DUCHOD	QR	19643825
702378	2406	1996-05-09	PRIJEM	PREVOD Z UCTU	4780	9960	DUCHOD	QR	19643825
702379	2406	1996-06-09	PRIJEM	PREVOD Z UCTU	4780	14740	DUCHOD	QR	19643825
702380	2406	1996-07-09	PRIJEM	PREVOD Z UCTU	4780	19520	DUCHOD	QR	19643825
702381	2406	1996-08-09	PRIJEM	PREVOD Z UCTU	4780	24300	DUCHOD	QR	19643825
702382	2406	1996-09-09	PRIJEM	PREVOD Z UCTU	4780	25933	DUCHOD	QR	19643825
702383	2406	1996-10-09	PRIJEM	PREVOD Z UCTU	4780	27605	DUCHOD	QR	19643825
702384	2406	1996-11-09	PRIJEM	PREVOD Z UCTU	4780	29283	DUCHOD	QR	19643825
702385	2406	1996-12-09	PRIJEM	PREVOD Z UCTU	4780	27843	DUCHOD	QR	19643825
702386	2406	1997-01-09	PRIJEM	PREVOD Z UCTU	4780	23091	DUCHOD	QR	19643825
702387	2406	1997-02-09	PRIJEM	PREVOD Z UCTU	4780	19226	DUCHOD	QR	19643825
702388	2406	1997-03-09	PRIJEM	PREVOD Z UCTU	4780	19829	DUCHOD	QR	19643825
702389	2406	1997-04-09	PRIJEM	PREVOD Z UCTU	4780	21479	DUCHOD	QR	19643825
702390	2406	1997-05-09	PRIJEM	PREVOD Z UCTU	4780	23132	DUCHOD	QR	19643825
702391	2406	1997-06-09	PRIJEM	PREVOD Z UCTU	4780	24792	DUCHOD	QR	19643825
702392	2406	1997-07-09	PRIJEM	PREVOD Z UCTU	4780	15077	DUCHOD	QR	19643825
702393	2406	1997-08-09	PRIJEM	PREVOD Z UCTU	4780	16703	DUCHOD	QR	19643825
702394	2406	1997-09-09	PRIJEM	PREVOD Z UCTU	4780	18336	DUCHOD	QR	19643825
702395	2406	1997-10-09	PRIJEM	PREVOD Z UCTU	4780	19976	DUCHOD	QR	19643825
702396	2406	1997-11-09	PRIJEM	PREVOD Z UCTU	4780	18022	DUCHOD	QR	19643825
702397	2406	1997-12-09	PRIJEM	PREVOD Z UCTU	4780	19667	DUCHOD	QR	19643825
702398	2406	1998-01-09	PRIJEM	PREVOD Z UCTU	4780	18081	DUCHOD	QR	19643825
702399	2406	1998-02-09	PRIJEM	PREVOD Z UCTU	4780	18281	DUCHOD	QR	19643825
702400	2406	1998-03-09	PRIJEM	PREVOD Z UCTU	4780	19200	DUCHOD	QR	19643825
702401	2406	1998-04-09	PRIJEM	PREVOD Z UCTU	4780	20843	DUCHOD	QR	19643825
702402	2406	1998-05-09	PRIJEM	PREVOD Z UCTU	4780	22493	DUCHOD	QR	19643825
702403	2406	1998-06-09	PRIJEM	PREVOD Z UCTU	4780	24150	DUCHOD	QR	19643825
702404	2406	1998-07-09	PRIJEM	PREVOD Z UCTU	4780	25814	DUCHOD	QR	19643825
702405	2406	1998-08-09	PRIJEM	PREVOD Z UCTU	4780	27485	DUCHOD	QR	19643825
702406	2406	1998-09-09	PRIJEM	PREVOD Z UCTU	4780	29163	DUCHOD	QR	19643825
702407	2406	1998-10-09	PRIJEM	PREVOD Z UCTU	4780	30847	DUCHOD	QR	19643825
702408	2406	1998-11-09	PRIJEM	PREVOD Z UCTU	4780	32539	DUCHOD	QR	19643825
702409	2406	1998-12-09	PRIJEM	PREVOD Z UCTU	4780	33887	DUCHOD	QR	19643825
702417	2406	1996-08-13	VYDAJ	PREVOD NA UCET	3186	21114	SIPO	QR	54419815
702418	2406	1996-09-13	VYDAJ	PREVOD NA UCET	3186	22747	SIPO	QR	54419815
702419	2406	1996-10-13	VYDAJ	PREVOD NA UCET	3186	24419	SIPO	QR	54419815
702420	2406	1996-11-13	VYDAJ	PREVOD NA UCET	3186	26097	SIPO	QR	54419815
702421	2406	1996-12-13	VYDAJ	PREVOD NA UCET	3186	24657	SIPO	QR	54419815
702422	2406	1997-01-13	VYDAJ	PREVOD NA UCET	3186	18705	SIPO	QR	54419815
702423	2406	1997-02-13	VYDAJ	PREVOD NA UCET	3186	16040	SIPO	QR	54419815
702424	2406	1997-03-13	VYDAJ	PREVOD NA UCET	3186	16643	SIPO	QR	54419815
702425	2406	1997-04-13	VYDAJ	PREVOD NA UCET	3186	18293	SIPO	QR	54419815
702426	2406	1997-05-13	VYDAJ	PREVOD NA UCET	3186	19946	SIPO	QR	54419815
702427	2406	1997-06-13	VYDAJ	PREVOD NA UCET	3186	10256	SIPO	QR	54419815
702428	2406	1997-07-13	VYDAJ	PREVOD NA UCET	3186	11891	SIPO	QR	54419815
702429	2406	1997-08-13	VYDAJ	PREVOD NA UCET	3186	13517	SIPO	QR	54419815
702430	2406	1997-09-13	VYDAJ	PREVOD NA UCET	3186	15150	SIPO	QR	54419815
702431	2406	1997-10-13	VYDAJ	PREVOD NA UCET	3186	16790	SIPO	QR	54419815
702432	2406	1997-11-13	VYDAJ	PREVOD NA UCET	3186	14836	SIPO	QR	54419815
702433	2406	1997-12-13	VYDAJ	PREVOD NA UCET	3186	16481	SIPO	QR	54419815
702434	2406	1998-01-13	VYDAJ	PREVOD NA UCET	3186	14895	SIPO	QR	54419815
702435	2406	1998-02-13	VYDAJ	PREVOD NA UCET	3186	15095	SIPO	QR	54419815
702436	2406	1998-03-13	VYDAJ	PREVOD NA UCET	3186	16014	SIPO	QR	54419815
702437	2406	1998-04-13	VYDAJ	PREVOD NA UCET	3186	17657	SIPO	QR	54419815
702438	2406	1998-05-13	VYDAJ	PREVOD NA UCET	3186	19307	SIPO	QR	54419815
702439	2406	1998-06-13	VYDAJ	PREVOD NA UCET	3186	20964	SIPO	QR	54419815
702440	2406	1998-07-13	VYDAJ	PREVOD NA UCET	3186	22628	SIPO	QR	54419815
702441	2406	1998-08-13	VYDAJ	PREVOD NA UCET	3186	24299	SIPO	QR	54419815
702442	2406	1998-09-13	VYDAJ	PREVOD NA UCET	3186	25977	SIPO	QR	54419815
702443	2406	1998-10-13	VYDAJ	PREVOD NA UCET	3186	27661	SIPO	QR	54419815
702444	2406	1998-11-13	VYDAJ	PREVOD NA UCET	3186	29353	SIPO	QR	54419815
702445	2406	1998-12-13	VYDAJ	PREVOD NA UCET	3186	30701	SIPO	QR	54419815
702447	2406	1997-06-09	VYDAJ	VYBER	11350	13442	\N	\N	\N
702450	2406	1997-01-04	VYDAJ	VYBER	2950	20391	\N	\N	\N
702452	2406	1996-12-22	VYDAJ	VYBER	1000	23657	\N	\N	\N
702453	2406	1997-12-25	VYDAJ	VYBER	350	15651	\N	\N	\N
702454	2406	1998-12-01	VYDAJ	VYBER	350	29107	\N	\N	\N
702461	2406	1997-01-15	VYDAJ	VYBER	2240	16465	\N	\N	\N
702462	2406	1997-01-12	VYDAJ	VYBER	1200	21891	\N	\N	\N
702463	2406	1997-01-07	VYDAJ	VYBER	2080	18311	\N	\N	\N
702464	2406	1997-01-28	VYDAJ	VYBER	640	14385	\N	\N	\N
702465	2406	1997-01-22	VYDAJ	VYBER	1440	15025	\N	\N	\N
702466	2406	1997-01-03	VYDAJ	VYBER	400	23341	\N	\N	\N
702468	2406	1998-01-07	VYDAJ	VYBER	880	13301	\N	\N	\N
702471	2406	1998-01-14	VYDAJ	VYBER	1440	13455	\N	\N	\N
702472	2406	1998-01-01	VYDAJ	VYBER	1520	14181	\N	\N	\N
702473	2406	1996-11-17	VYDAJ	VYBER	3120	22977	\N	\N	\N
702474	2406	1997-03-04	VYDAJ	VYBER	1040	15049	\N	\N	\N
702475	2406	1997-11-01	VYDAJ	VYBER	3600	13242	\N	\N	\N
702477	2406	1997-12-17	VYDAJ	VYBER	480	16001	\N	\N	\N
702479	2406	1998-02-23	VYDAJ	VYBER	720	14375	\N	\N	\N
702480	2406	1998-12-21	VYDAJ	VYBER	1840	28861	\N	\N	\N
702489	2406	1996-08-31	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
702490	2406	1996-09-30	VYDAJ	VYBER	15	22825	SLUZBY	\N	\N
702491	2406	1996-10-31	VYDAJ	VYBER	15	24503	SLUZBY	\N	\N
702492	2406	1996-11-30	VYDAJ	VYBER	15	23063	SLUZBY	\N	\N
702493	2406	1996-12-31	VYDAJ	VYBER	15	23741	SLUZBY	\N	\N
702494	2406	1997-01-31	VYDAJ	VYBER	15	14446	SLUZBY	\N	\N
702495	2406	1997-02-28	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
702496	2406	1997-03-31	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
702497	2406	1997-04-30	VYDAJ	VYBER	15	18352	SLUZBY	\N	\N
702498	2406	1997-05-31	VYDAJ	VYBER	15	20012	SLUZBY	\N	\N
702499	2406	1997-06-30	VYDAJ	VYBER	15	10297	SLUZBY	\N	\N
702500	2406	1997-07-31	VYDAJ	VYBER	15	11923	SLUZBY	\N	\N
702501	2406	1997-08-31	VYDAJ	VYBER	15	13556	SLUZBY	\N	\N
702502	2406	1997-09-30	VYDAJ	VYBER	15	15196	SLUZBY	\N	\N
702503	2406	1997-10-31	VYDAJ	VYBER	15	16842	SLUZBY	\N	\N
702504	2406	1997-11-30	VYDAJ	VYBER	15	14887	SLUZBY	\N	\N
702505	2406	1997-12-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
702506	2406	1998-01-31	VYDAJ	VYBER	15	13501	SLUZBY	\N	\N
702507	2406	1998-02-28	VYDAJ	VYBER	15	14420	SLUZBY	\N	\N
702508	2406	1998-03-31	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
702509	2406	1998-04-30	VYDAJ	VYBER	15	17713	SLUZBY	\N	\N
702510	2406	1998-05-31	VYDAJ	VYBER	15	19370	SLUZBY	\N	\N
702511	2406	1998-06-30	VYDAJ	VYBER	15	21034	SLUZBY	\N	\N
702512	2406	1998-07-31	VYDAJ	VYBER	15	22705	SLUZBY	\N	\N
702513	2406	1998-08-31	VYDAJ	VYBER	15	24383	SLUZBY	\N	\N
702514	2406	1998-09-30	VYDAJ	VYBER	15	26067	SLUZBY	\N	\N
702515	2406	1998-10-31	VYDAJ	VYBER	15	27759	SLUZBY	\N	\N
702516	2406	1998-11-30	VYDAJ	VYBER	15	29457	SLUZBY	\N	\N
702546	2407	1996-07-21	PRIJEM	VKLAD	900	900	\N	\N	\N
702554	2407	1996-08-12	PRIJEM	VKLAD	10938	11838	\N	\N	\N
702555	2407	1996-09-12	PRIJEM	VKLAD	10938	27002	\N	\N	\N
702556	2407	1996-10-12	PRIJEM	VKLAD	10938	34619	\N	\N	\N
702557	2407	1996-11-12	PRIJEM	VKLAD	10938	38162	\N	\N	\N
702558	2407	1996-12-12	PRIJEM	VKLAD	16407	43782	\N	\N	\N
702559	2407	1997-01-12	PRIJEM	VKLAD	10938	27133	\N	\N	\N
702560	2407	1997-02-12	PRIJEM	VKLAD	10938	22858	\N	\N	\N
702561	2407	1997-03-12	PRIJEM	VKLAD	10938	25377	\N	\N	\N
702562	2407	1997-04-12	PRIJEM	VKLAD	10938	25201	\N	\N	\N
702563	2407	1997-05-12	PRIJEM	VKLAD	10938	22821	\N	\N	\N
702564	2407	1997-06-12	PRIJEM	VKLAD	16407	30007	\N	\N	\N
702565	2407	1997-07-12	PRIJEM	VKLAD	10938	32146	\N	\N	\N
702566	2407	1997-08-12	PRIJEM	VKLAD	10938	26787	\N	\N	\N
702567	2407	1997-09-12	PRIJEM	VKLAD	10938	27317	\N	\N	\N
702568	2407	1997-10-12	PRIJEM	VKLAD	10938	27248	\N	\N	\N
702569	2407	1997-11-12	PRIJEM	VKLAD	10938	26576	\N	\N	\N
702570	2407	1997-12-12	PRIJEM	VKLAD	16407	30073	\N	\N	\N
702571	2407	1998-01-12	PRIJEM	VKLAD	10938	29809	\N	\N	\N
702572	2407	1998-02-12	PRIJEM	VKLAD	10938	19731	\N	\N	\N
702573	2407	1998-03-12	PRIJEM	VKLAD	10938	23438	\N	\N	\N
702574	2407	1998-04-12	PRIJEM	VKLAD	10938	23452	\N	\N	\N
702575	2407	1998-05-12	PRIJEM	VKLAD	10938	24069	\N	\N	\N
702576	2407	1998-06-12	PRIJEM	VKLAD	16407	28150	\N	\N	\N
702577	2407	1998-07-12	PRIJEM	VKLAD	10938	29983	\N	\N	\N
702578	2407	1998-08-12	PRIJEM	VKLAD	10938	36233	\N	\N	\N
702579	2407	1998-09-12	PRIJEM	VKLAD	10938	40303	\N	\N	\N
702580	2407	1998-10-12	PRIJEM	VKLAD	10938	37092	\N	\N	\N
702581	2407	1998-11-12	PRIJEM	VKLAD	10938	27566	\N	\N	\N
702582	2407	1998-12-12	PRIJEM	VKLAD	16407	29983	\N	\N	\N
702595	2407	1997-01-09	VYDAJ	PREVOD NA UCET	7292	20095	SIPO	YZ	5476630
702596	2407	1997-02-09	VYDAJ	PREVOD NA UCET	7292	11920	SIPO	YZ	5476630
702597	2407	1997-03-09	VYDAJ	PREVOD NA UCET	7292	14439	SIPO	YZ	5476630
702598	2407	1997-04-09	VYDAJ	PREVOD NA UCET	7292	14263	SIPO	YZ	5476630
702599	2407	1997-05-09	VYDAJ	PREVOD NA UCET	7292	11883	SIPO	YZ	5476630
702600	2407	1997-06-09	VYDAJ	PREVOD NA UCET	7292	13600	SIPO	YZ	5476630
702601	2407	1997-07-09	VYDAJ	PREVOD NA UCET	7292	21208	SIPO	YZ	5476630
702602	2407	1997-08-09	VYDAJ	PREVOD NA UCET	7292	15849	SIPO	YZ	5476630
702603	2407	1997-09-09	VYDAJ	PREVOD NA UCET	7292	16379	SIPO	YZ	5476630
702604	2407	1997-10-09	VYDAJ	PREVOD NA UCET	7292	16310	SIPO	YZ	5476630
702605	2407	1997-11-09	VYDAJ	PREVOD NA UCET	7292	15638	SIPO	YZ	5476630
702606	2407	1997-12-09	VYDAJ	PREVOD NA UCET	7292	13666	SIPO	YZ	5476630
702607	2407	1998-01-09	VYDAJ	PREVOD NA UCET	7292	18871	SIPO	YZ	5476630
702608	2407	1998-02-09	VYDAJ	PREVOD NA UCET	7292	8793	SIPO	YZ	5476630
702609	2407	1998-03-09	VYDAJ	PREVOD NA UCET	7292	12500	SIPO	YZ	5476630
702610	2407	1998-04-09	VYDAJ	PREVOD NA UCET	7292	12514	SIPO	YZ	5476630
702611	2407	1998-05-09	VYDAJ	PREVOD NA UCET	7292	13131	SIPO	YZ	5476630
702612	2407	1998-06-09	VYDAJ	PREVOD NA UCET	7292	10943	SIPO	YZ	5476630
702613	2407	1998-07-09	VYDAJ	PREVOD NA UCET	7292	20945	SIPO	YZ	5476630
702614	2407	1998-08-09	VYDAJ	PREVOD NA UCET	7292	21795	SIPO	YZ	5476630
702615	2407	1998-09-09	VYDAJ	PREVOD NA UCET	7292	29365	SIPO	YZ	5476630
702616	2407	1998-10-09	VYDAJ	PREVOD NA UCET	7292	30654	SIPO	YZ	5476630
702617	2407	1998-11-09	VYDAJ	PREVOD NA UCET	7292	16628	SIPO	YZ	5476630
702618	2407	1998-12-09	VYDAJ	PREVOD NA UCET	7292	13576	SIPO	YZ	5476630
702619	2407	1996-12-23	VYDAJ	VYBER	1700	29782	\N	\N	\N
702621	2407	1998-12-15	VYDAJ	VYBER	900	29083	\N	\N	\N
702628	2407	1997-01-16	VYDAJ	VYBER	1200	25933	\N	\N	\N
702629	2407	1997-01-01	VYDAJ	VYBER	500	29387	\N	\N	\N
702630	2407	1997-01-19	VYDAJ	VYBER	1900	19133	\N	\N	\N
702631	2407	1997-01-10	VYDAJ	VYBER	2900	16195	\N	\N	\N
702632	2407	1997-01-09	VYDAJ	VYBER	1000	19095	\N	\N	\N
702633	2407	1997-01-02	VYDAJ	VYBER	2000	27387	\N	\N	\N
702634	2407	1998-01-14	VYDAJ	VYBER	1700	21809	\N	\N	\N
702635	2407	1998-01-30	VYDAJ	VYBER	1500	16009	\N	\N	\N
702636	2407	1998-01-29	VYDAJ	VYBER	600	17509	\N	\N	\N
702637	2407	1998-01-28	VYDAJ	VYBER	1800	18109	\N	\N	\N
702638	2407	1998-01-20	VYDAJ	VYBER	1900	19909	\N	\N	\N
702639	2407	1998-01-02	VYDAJ	VYBER	500	26163	\N	\N	\N
702646	2407	1997-12-13	VYDAJ	VYBER	900	26573	\N	\N	\N
702647	2407	1997-11-30	VYDAJ	VYBER	700	20972	\N	\N	\N
702649	2407	1997-04-19	VYDAJ	VYBER	4300	19101	\N	\N	\N
702650	2407	1997-07-17	VYDAJ	VYBER	2800	23046	\N	\N	\N
702651	2407	1997-11-19	VYDAJ	VYBER	4000	21576	\N	\N	\N
702653	2407	1998-05-15	VYDAJ	VYBER	4100	18169	\N	\N	\N
702654	2407	1998-10-13	VYDAJ	VYBER	3800	33292	\N	\N	\N
702655	2407	1998-04-21	VYDAJ	VYBER	1400	20352	\N	\N	\N
702656	2407	1998-07-17	VYDAJ	VYBER	1000	28983	\N	\N	\N
702657	2407	1998-09-19	VYDAJ	VYBER	2500	37803	\N	\N	\N
702670	2407	1996-12-31	VYDAJ	VYBER	15	29887	SLUZBY	\N	\N
702671	2407	1997-01-31	VYDAJ	VYBER	15	19212	SLUZBY	\N	\N
702672	2407	1997-02-28	VYDAJ	VYBER	15	21731	SLUZBY	\N	\N
702673	2407	1997-03-31	VYDAJ	VYBER	15	21555	SLUZBY	\N	\N
702674	2407	1997-04-30	VYDAJ	VYBER	15	19175	SLUZBY	\N	\N
702675	2407	1997-05-31	VYDAJ	VYBER	15	20892	SLUZBY	\N	\N
702676	2407	1997-06-30	VYDAJ	VYBER	15	28500	SLUZBY	\N	\N
702677	2407	1997-07-31	VYDAJ	VYBER	15	23141	SLUZBY	\N	\N
702678	2407	1997-08-31	VYDAJ	VYBER	15	23671	SLUZBY	\N	\N
702679	2407	1997-09-30	VYDAJ	VYBER	15	23602	SLUZBY	\N	\N
702680	2407	1997-10-31	VYDAJ	VYBER	15	22930	SLUZBY	\N	\N
702681	2407	1997-11-30	VYDAJ	VYBER	15	20958	SLUZBY	\N	\N
702682	2407	1997-12-31	VYDAJ	VYBER	15	26663	SLUZBY	\N	\N
702683	2407	1998-01-31	VYDAJ	VYBER	15	16085	SLUZBY	\N	\N
702684	2407	1998-02-28	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
702685	2407	1998-03-31	VYDAJ	VYBER	15	19806	SLUZBY	\N	\N
702686	2407	1998-04-30	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
702687	2407	1998-05-31	VYDAJ	VYBER	15	18235	SLUZBY	\N	\N
702688	2407	1998-06-30	VYDAJ	VYBER	15	28237	SLUZBY	\N	\N
702689	2407	1998-07-31	VYDAJ	VYBER	15	29087	SLUZBY	\N	\N
702690	2407	1998-08-31	VYDAJ	VYBER	15	36357	SLUZBY	\N	\N
702691	2407	1998-09-30	VYDAJ	VYBER	15	37946	SLUZBY	\N	\N
702692	2407	1998-10-31	VYDAJ	VYBER	15	33420	SLUZBY	\N	\N
702693	2407	1998-11-30	VYDAJ	VYBER	15	27668	SLUZBY	\N	\N
702694	2407	1996-08-20	PRIJEM	VKLAD	4200	16038	\N	\N	\N
702695	2407	1996-09-19	VYDAJ	VYBER	3400	23602	\N	\N	\N
702696	2407	1996-10-19	VYDAJ	VYBER	7500	27119	\N	\N	\N
702697	2407	1996-11-18	VYDAJ	VYBER	10900	27262	\N	\N	\N
702698	2407	1996-12-18	VYDAJ	VYBER	12300	31482	\N	\N	\N
702699	2407	1997-01-17	VYDAJ	VYBER	4900	21033	\N	\N	\N
702700	2407	1997-02-16	VYDAJ	VYBER	1200	21658	\N	\N	\N
702701	2407	1997-03-18	VYDAJ	VYBER	3900	21477	\N	\N	\N
702702	2407	1997-04-17	VYDAJ	VYBER	1800	23401	\N	\N	\N
702703	2407	1997-05-17	VYDAJ	VYBER	2000	20821	\N	\N	\N
702704	2407	1997-06-16	VYDAJ	VYBER	1600	28407	\N	\N	\N
702705	2407	1997-07-16	VYDAJ	VYBER	6300	25846	\N	\N	\N
702706	2407	1997-08-15	VYDAJ	VYBER	3200	23587	\N	\N	\N
702707	2407	1997-09-14	VYDAJ	VYBER	3800	23517	\N	\N	\N
702708	2407	1997-10-14	VYDAJ	VYBER	4400	22848	\N	\N	\N
702709	2407	1997-11-13	VYDAJ	VYBER	1000	25576	\N	\N	\N
702710	2407	1997-12-13	VYDAJ	VYBER	2600	27473	\N	\N	\N
702711	2407	1998-01-12	VYDAJ	VYBER	6300	23509	\N	\N	\N
702712	2407	1998-03-13	VYDAJ	VYBER	3700	19738	\N	\N	\N
702713	2407	1998-04-12	VYDAJ	VYBER	1700	21752	\N	\N	\N
702714	2407	1998-05-12	VYDAJ	VYBER	1800	22269	\N	\N	\N
702715	2407	1998-06-11	PRIJEM	VKLAD	800	11743	\N	\N	\N
702716	2407	1998-07-11	VYDAJ	VYBER	1900	19045	\N	\N	\N
702717	2407	1998-08-10	PRIJEM	VKLAD	3500	25295	\N	\N	\N
702718	2407	1998-09-09	PRIJEM	VKLAD	300	36657	\N	\N	\N
702719	2407	1998-10-09	VYDAJ	VYBER	4500	26154	\N	\N	\N
702720	2407	1998-11-08	VYDAJ	VYBER	9500	23920	\N	\N	\N
702721	2407	1998-12-08	VYDAJ	VYBER	6800	20868	\N	\N	\N
702751	2408	1996-12-27	PRIJEM	VKLAD	600	600	\N	\N	\N
702764	2408	1997-01-05	PRIJEM	VKLAD	15984	16584	\N	\N	\N
702765	2408	1997-02-05	PRIJEM	VKLAD	15984	33282	\N	\N	\N
702766	2408	1997-03-05	PRIJEM	VKLAD	15984	41143	\N	\N	\N
702767	2408	1997-04-05	PRIJEM	VKLAD	15984	47936	\N	\N	\N
702768	2408	1997-05-05	PRIJEM	VKLAD	15984	50054	\N	\N	\N
702769	2408	1997-06-05	PRIJEM	VKLAD	23976	58111	\N	\N	\N
702770	2408	1997-07-05	PRIJEM	VKLAD	15984	49348	\N	\N	\N
702771	2408	1997-08-05	PRIJEM	VKLAD	15984	41432	\N	\N	\N
702772	2408	1997-09-05	PRIJEM	VKLAD	15984	44397	\N	\N	\N
702773	2408	1997-10-05	PRIJEM	VKLAD	15984	51041	\N	\N	\N
702774	2408	1997-11-05	PRIJEM	VKLAD	15984	55010	\N	\N	\N
702775	2408	1997-12-05	PRIJEM	VKLAD	23976	64678	\N	\N	\N
702776	2408	1998-01-05	PRIJEM	VKLAD	15984	62562	\N	\N	\N
702777	2408	1998-02-05	PRIJEM	VKLAD	15984	50338	\N	\N	\N
702778	2408	1998-03-05	PRIJEM	VKLAD	15984	56604	\N	\N	\N
702779	2408	1998-04-05	PRIJEM	VKLAD	15984	58592	\N	\N	\N
702780	2408	1998-05-05	PRIJEM	VKLAD	15984	62290	\N	\N	\N
702781	2408	1998-06-05	PRIJEM	VKLAD	23976	69889	\N	\N	\N
702782	2408	1998-07-05	PRIJEM	VKLAD	15984	63561	\N	\N	\N
702783	2408	1998-08-05	PRIJEM	VKLAD	15984	63011	\N	\N	\N
702784	2408	1998-09-05	PRIJEM	VKLAD	15984	69933	\N	\N	\N
702785	2408	1998-10-05	PRIJEM	VKLAD	15984	66664	\N	\N	\N
702786	2408	1998-11-05	PRIJEM	VKLAD	15984	68487	\N	\N	\N
702787	2408	1998-12-05	PRIJEM	VKLAD	23976	73900	\N	\N	\N
702804	2408	1997-05-12	VYDAJ	PREVOD NA UCET	3017	47037	SIPO	QR	14278769
702805	2408	1997-06-12	VYDAJ	PREVOD NA UCET	3017	55094	SIPO	QR	14278769
702806	2408	1997-07-12	VYDAJ	PREVOD NA UCET	3017	46278	SIPO	QR	14278769
702807	2408	1997-08-12	VYDAJ	PREVOD NA UCET	3017	38362	SIPO	QR	14278769
702808	2408	1997-09-12	VYDAJ	PREVOD NA UCET	3017	41327	SIPO	QR	14278769
702809	2408	1997-10-12	VYDAJ	PREVOD NA UCET	3017	47971	SIPO	QR	14278769
702810	2408	1997-11-12	VYDAJ	PREVOD NA UCET	3017	47140	SIPO	QR	14278769
702811	2408	1997-12-12	VYDAJ	PREVOD NA UCET	3017	61661	SIPO	QR	14278769
702812	2408	1998-01-12	VYDAJ	PREVOD NA UCET	3017	59492	SIPO	QR	14278769
702813	2408	1998-02-12	VYDAJ	PREVOD NA UCET	3017	47268	SIPO	QR	14278769
702814	2408	1998-03-12	VYDAJ	PREVOD NA UCET	3017	53587	SIPO	QR	14278769
702815	2408	1998-04-12	VYDAJ	PREVOD NA UCET	3017	55575	SIPO	QR	14278769
702816	2408	1998-05-12	VYDAJ	PREVOD NA UCET	3017	59273	SIPO	QR	14278769
702817	2408	1998-06-12	VYDAJ	PREVOD NA UCET	3017	55832	SIPO	QR	14278769
702818	2408	1998-07-12	VYDAJ	PREVOD NA UCET	3017	60544	SIPO	QR	14278769
702819	2408	1998-08-12	VYDAJ	PREVOD NA UCET	3017	59941	SIPO	QR	14278769
702820	2408	1998-09-12	VYDAJ	PREVOD NA UCET	3017	66863	SIPO	QR	14278769
702821	2408	1998-10-12	VYDAJ	PREVOD NA UCET	3017	63647	SIPO	QR	14278769
702822	2408	1998-11-12	VYDAJ	PREVOD NA UCET	3017	65470	SIPO	QR	14278769
702823	2408	1998-12-12	VYDAJ	PREVOD NA UCET	3017	70830	SIPO	QR	14278769
702840	2408	1997-05-12	VYDAJ	PREVOD NA UCET	53	46984	 	ST	51844030
702841	2408	1997-06-12	VYDAJ	PREVOD NA UCET	53	55041	 	ST	51844030
702842	2408	1997-07-12	VYDAJ	PREVOD NA UCET	53	49295	 	ST	51844030
702843	2408	1997-08-12	VYDAJ	PREVOD NA UCET	53	41379	 	ST	51844030
702844	2408	1997-09-12	VYDAJ	PREVOD NA UCET	53	44344	 	ST	51844030
702845	2408	1997-10-12	VYDAJ	PREVOD NA UCET	53	50988	 	ST	51844030
702846	2408	1997-11-12	VYDAJ	PREVOD NA UCET	53	54957	 	ST	51844030
702847	2408	1997-12-12	VYDAJ	PREVOD NA UCET	53	61608	 	ST	51844030
702848	2408	1998-01-12	VYDAJ	PREVOD NA UCET	53	62509	 	ST	51844030
702849	2408	1998-02-12	VYDAJ	PREVOD NA UCET	53	50285	 	ST	51844030
702850	2408	1998-03-12	VYDAJ	PREVOD NA UCET	53	53534	 	ST	51844030
702851	2408	1998-04-12	VYDAJ	PREVOD NA UCET	53	55522	 	ST	51844030
702852	2408	1998-05-12	VYDAJ	PREVOD NA UCET	53	59220	 	ST	51844030
702853	2408	1998-06-12	VYDAJ	PREVOD NA UCET	53	55779	 	ST	51844030
702854	2408	1998-07-12	VYDAJ	PREVOD NA UCET	53	60491	 	ST	51844030
702855	2408	1998-08-12	VYDAJ	PREVOD NA UCET	53	62958	 	ST	51844030
702856	2408	1998-09-12	VYDAJ	PREVOD NA UCET	53	69880	 	ST	51844030
702857	2408	1998-10-12	VYDAJ	PREVOD NA UCET	53	63594	 	ST	51844030
702858	2408	1998-11-12	VYDAJ	PREVOD NA UCET	53	65417	 	ST	51844030
702859	2408	1998-12-12	VYDAJ	PREVOD NA UCET	53	73847	 	ST	51844030
702862	2408	1998-06-07	VYDAJ	VYBER	11040	58849	\N	\N	\N
702865	2408	1998-01-25	VYDAJ	VYBER	7360	35372	\N	\N	\N
702867	2408	1997-12-20	VYDAJ	VYBER	2720	58888	\N	\N	\N
702868	2408	1998-12-18	VYDAJ	VYBER	4640	46590	\N	\N	\N
702872	2408	1997-08-15	VYDAJ	VYBER	4560	33802	\N	\N	\N
702874	2408	1997-06-23	VYDAJ	VYBER	5640	49401	\N	\N	\N
702875	2408	1997-07-31	VYDAJ	VYBER	5880	25462	\N	\N	\N
702877	2408	1997-11-12	VYDAJ	VYBER	4800	50157	\N	\N	\N
702878	2408	1998-07-12	VYDAJ	VYBER	5520	54971	\N	\N	\N
702879	2408	1998-01-17	VYDAJ	VYBER	2160	57332	\N	\N	\N
702880	2408	1998-01-26	VYDAJ	VYBER	1200	34172	\N	\N	\N
702881	2408	1998-07-22	VYDAJ	VYBER	1440	46831	\N	\N	\N
702882	2408	1998-12-30	VYDAJ	VYBER	1560	45030	\N	\N	\N
702900	2408	1997-05-31	VYDAJ	VYBER	15	34135	SLUZBY	\N	\N
702901	2408	1997-06-30	VYDAJ	VYBER	15	33364	SLUZBY	\N	\N
702902	2408	1997-07-31	VYDAJ	VYBER	15	25448	SLUZBY	\N	\N
702903	2408	1997-08-31	VYDAJ	VYBER	15	28413	SLUZBY	\N	\N
702904	2408	1997-09-30	VYDAJ	VYBER	15	35057	SLUZBY	\N	\N
702905	2408	1997-10-31	VYDAJ	VYBER	15	39026	SLUZBY	\N	\N
702906	2408	1997-11-30	VYDAJ	VYBER	15	40702	SLUZBY	\N	\N
702907	2408	1997-12-31	VYDAJ	VYBER	15	46578	SLUZBY	\N	\N
702908	2408	1998-01-31	VYDAJ	VYBER	15	34354	SLUZBY	\N	\N
702909	2408	1998-02-28	VYDAJ	VYBER	15	40620	SLUZBY	\N	\N
702910	2408	1998-03-31	VYDAJ	VYBER	15	42608	SLUZBY	\N	\N
702911	2408	1998-04-30	VYDAJ	VYBER	15	46306	SLUZBY	\N	\N
702912	2408	1998-05-31	VYDAJ	VYBER	15	45913	SLUZBY	\N	\N
702913	2408	1998-06-30	VYDAJ	VYBER	15	47577	SLUZBY	\N	\N
702914	2408	1998-07-31	VYDAJ	VYBER	15	47027	SLUZBY	\N	\N
702915	2408	1998-08-31	VYDAJ	VYBER	15	53949	SLUZBY	\N	\N
702916	2408	1998-09-30	VYDAJ	VYBER	15	50680	SLUZBY	\N	\N
702917	2408	1998-10-31	VYDAJ	VYBER	15	52503	SLUZBY	\N	\N
702918	2408	1998-11-30	VYDAJ	VYBER	15	49924	SLUZBY	\N	\N
702919	2408	1997-01-26	PRIJEM	VKLAD	700	17284	\N	\N	\N
702920	2408	1997-02-25	VYDAJ	VYBER	8200	25082	\N	\N	\N
702921	2408	1997-03-27	VYDAJ	VYBER	9300	31843	\N	\N	\N
702922	2408	1997-04-26	VYDAJ	VYBER	14000	33936	\N	\N	\N
702923	2408	1997-05-26	VYDAJ	VYBER	13000	33984	\N	\N	\N
702924	2408	1997-06-25	VYDAJ	VYBER	16200	33201	\N	\N	\N
702925	2408	1997-07-25	VYDAJ	VYBER	15100	31178	\N	\N	\N
702926	2408	1997-08-24	VYDAJ	VYBER	5500	28302	\N	\N	\N
702927	2408	1997-09-23	VYDAJ	VYBER	6400	34927	\N	\N	\N
702928	2408	1997-10-23	VYDAJ	VYBER	9100	38871	\N	\N	\N
702929	2408	1997-11-22	VYDAJ	VYBER	6600	40540	\N	\N	\N
702930	2408	1997-12-22	VYDAJ	VYBER	12500	46388	\N	\N	\N
702931	2408	1998-01-21	VYDAJ	VYBER	14600	42732	\N	\N	\N
702932	2408	1998-02-20	VYDAJ	VYBER	6800	40468	\N	\N	\N
702933	2408	1998-03-22	VYDAJ	VYBER	11100	42434	\N	\N	\N
702934	2408	1998-04-21	VYDAJ	VYBER	9400	46122	\N	\N	\N
702935	2408	1998-05-21	VYDAJ	VYBER	13500	45720	\N	\N	\N
702936	2408	1998-06-20	VYDAJ	VYBER	8400	47379	\N	\N	\N
702937	2408	1998-07-20	VYDAJ	VYBER	6700	48271	\N	\N	\N
702938	2408	1998-08-19	VYDAJ	VYBER	6200	53741	\N	\N	\N
702939	2408	1998-09-18	VYDAJ	VYBER	16400	50463	\N	\N	\N
702940	2408	1998-10-18	VYDAJ	VYBER	11300	52294	\N	\N	\N
702941	2408	1998-11-17	VYDAJ	VYBER	15700	49717	\N	\N	\N
702942	2408	1998-12-17	VYDAJ	VYBER	19600	51230	\N	\N	\N
702967	2409	1996-02-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
702970	2409	1996-03-12	PRIJEM	VKLAD	10295	11395	\N	\N	\N
702971	2409	1996-04-12	PRIJEM	VKLAD	10295	28935	\N	\N	\N
702972	2409	1996-05-12	PRIJEM	VKLAD	10295	38932	\N	\N	\N
702973	2409	1996-06-12	PRIJEM	VKLAD	15442	49106	\N	\N	\N
702974	2409	1996-07-12	PRIJEM	VKLAD	10295	50658	\N	\N	\N
702975	2409	1996-08-12	PRIJEM	VKLAD	10295	45071	\N	\N	\N
702976	2409	1996-09-12	PRIJEM	VKLAD	10295	45967	\N	\N	\N
702977	2409	1996-10-12	PRIJEM	VKLAD	10295	45388	\N	\N	\N
702978	2409	1996-11-12	PRIJEM	VKLAD	10295	45982	\N	\N	\N
702979	2409	1996-12-12	PRIJEM	VKLAD	15442	46726	\N	\N	\N
702980	2409	1997-01-12	PRIJEM	VKLAD	10295	45168	\N	\N	\N
702981	2409	1997-02-12	PRIJEM	VKLAD	10295	40559	\N	\N	\N
702982	2409	1997-03-12	PRIJEM	VKLAD	10295	47852	\N	\N	\N
702983	2409	1997-04-12	PRIJEM	VKLAD	10295	52373	\N	\N	\N
702984	2409	1997-05-12	PRIJEM	VKLAD	10295	53916	\N	\N	\N
702985	2409	1997-06-12	PRIJEM	VKLAD	15442	54358	\N	\N	\N
702986	2409	1997-07-12	PRIJEM	VKLAD	10295	56914	\N	\N	\N
702987	2409	1997-08-12	PRIJEM	VKLAD	10295	53980	\N	\N	\N
702988	2409	1997-09-12	PRIJEM	VKLAD	10295	53141	\N	\N	\N
702989	2409	1997-10-12	PRIJEM	VKLAD	10295	53896	\N	\N	\N
702990	2409	1997-11-12	PRIJEM	VKLAD	10295	54351	\N	\N	\N
702991	2409	1997-12-12	PRIJEM	VKLAD	15442	54811	\N	\N	\N
702992	2409	1998-01-12	PRIJEM	VKLAD	10295	48087	\N	\N	\N
702993	2409	1998-02-12	PRIJEM	VKLAD	10295	45660	\N	\N	\N
702994	2409	1998-03-12	PRIJEM	VKLAD	10295	54274	\N	\N	\N
702995	2409	1998-04-12	PRIJEM	VKLAD	10295	52779	\N	\N	\N
702996	2409	1998-05-12	PRIJEM	VKLAD	10295	49944	\N	\N	\N
702997	2409	1998-06-12	PRIJEM	VKLAD	15442	57807	\N	\N	\N
702998	2409	1998-07-12	PRIJEM	VKLAD	10295	52033	\N	\N	\N
702999	2409	1998-08-12	PRIJEM	VKLAD	10295	53271	\N	\N	\N
703000	2409	1998-09-12	PRIJEM	VKLAD	10295	59923	\N	\N	\N
703001	2409	1998-10-12	PRIJEM	VKLAD	10295	67494	\N	\N	\N
703002	2409	1998-11-12	PRIJEM	VKLAD	10295	73798	\N	\N	\N
703003	2409	1998-12-12	PRIJEM	VKLAD	15442	77751	\N	\N	\N
703010	2409	1996-07-13	VYDAJ	PREVOD NA UCET	5028	36930	SIPO	WX	68054622
703011	2409	1996-08-13	VYDAJ	PREVOD NA UCET	5028	40043	SIPO	WX	68054622
703012	2409	1996-09-13	VYDAJ	PREVOD NA UCET	5028	40939	SIPO	WX	68054622
703013	2409	1996-10-13	VYDAJ	PREVOD NA UCET	5028	39400	SIPO	WX	68054622
703014	2409	1996-11-13	VYDAJ	PREVOD NA UCET	5028	40954	SIPO	WX	68054622
703015	2409	1996-12-13	VYDAJ	PREVOD NA UCET	5028	41698	SIPO	WX	68054622
703016	2409	1997-01-13	VYDAJ	PREVOD NA UCET	5028	40140	SIPO	WX	68054622
703017	2409	1997-02-13	VYDAJ	PREVOD NA UCET	5028	35531	SIPO	WX	68054622
703018	2409	1997-03-13	VYDAJ	PREVOD NA UCET	5028	42824	SIPO	WX	68054622
703019	2409	1997-04-13	VYDAJ	PREVOD NA UCET	5028	47345	SIPO	WX	68054622
703020	2409	1997-05-13	VYDAJ	PREVOD NA UCET	5028	48888	SIPO	WX	68054622
703021	2409	1997-06-13	VYDAJ	PREVOD NA UCET	5028	49330	SIPO	WX	68054622
703022	2409	1997-07-13	VYDAJ	PREVOD NA UCET	5028	51886	SIPO	WX	68054622
703023	2409	1997-08-13	VYDAJ	PREVOD NA UCET	5028	48952	SIPO	WX	68054622
703024	2409	1997-09-13	VYDAJ	PREVOD NA UCET	5028	48113	SIPO	WX	68054622
703025	2409	1997-10-13	VYDAJ	PREVOD NA UCET	5028	48868	SIPO	WX	68054622
703026	2409	1997-11-13	VYDAJ	PREVOD NA UCET	5028	49323	SIPO	WX	68054622
703027	2409	1997-12-13	VYDAJ	PREVOD NA UCET	5028	49783	SIPO	WX	68054622
703028	2409	1998-01-13	VYDAJ	PREVOD NA UCET	5028	41019	SIPO	WX	68054622
703029	2409	1998-02-13	VYDAJ	PREVOD NA UCET	5028	40632	SIPO	WX	68054622
703030	2409	1998-03-13	VYDAJ	PREVOD NA UCET	5028	49246	SIPO	WX	68054622
703031	2409	1998-04-13	VYDAJ	PREVOD NA UCET	5028	47751	SIPO	WX	68054622
703032	2409	1998-05-13	VYDAJ	PREVOD NA UCET	5028	44916	SIPO	WX	68054622
703033	2409	1998-06-13	VYDAJ	PREVOD NA UCET	5028	52779	SIPO	WX	68054622
703034	2409	1998-07-13	VYDAJ	PREVOD NA UCET	5028	47005	SIPO	WX	68054622
703035	2409	1998-08-13	VYDAJ	PREVOD NA UCET	5028	48243	SIPO	WX	68054622
703036	2409	1998-09-13	VYDAJ	PREVOD NA UCET	5028	54895	SIPO	WX	68054622
703037	2409	1998-10-13	VYDAJ	PREVOD NA UCET	5028	62466	SIPO	WX	68054622
703038	2409	1998-11-13	VYDAJ	PREVOD NA UCET	5028	68770	SIPO	WX	68054622
703039	2409	1998-12-13	VYDAJ	PREVOD NA UCET	5028	72723	SIPO	WX	68054622
703041	2409	1997-06-07	VYDAJ	VYBER	5440	38916	\N	\N	\N
703042	2409	1998-06-23	VYDAJ	VYBER	12320	40459	\N	\N	\N
703043	2409	1996-12-06	VYDAJ	VYBER	2720	38384	\N	\N	\N
703044	2409	1997-12-13	VYDAJ	VYBER	3040	46743	\N	\N	\N
703045	2409	1998-12-24	VYDAJ	VYBER KARTOU	2600	70123	\N	\N	0
703052	2409	1997-01-17	VYDAJ	VYBER	1200	38940	\N	\N	\N
703053	2409	1997-01-30	VYDAJ	VYBER	2760	30660	\N	\N	\N
703054	2409	1997-01-11	VYDAJ	VYBER	1080	34873	\N	\N	\N
703055	2409	1997-01-23	VYDAJ	VYBER	2400	36540	\N	\N	\N
703056	2409	1997-01-27	VYDAJ	VYBER	3120	33420	\N	\N	\N
703057	2409	1997-01-06	VYDAJ	VYBER	3000	38853	\N	\N	\N
703058	2409	1998-01-04	VYDAJ	VYBER	720	37792	\N	\N	\N
703059	2409	1998-01-03	VYDAJ	VYBER	2520	40912	\N	\N	\N
703060	2409	1998-01-23	VYDAJ	VYBER	960	37899	\N	\N	\N
703061	2409	1998-01-18	VYDAJ	VYBER	2160	38859	\N	\N	\N
703062	2409	1998-01-24	VYDAJ	VYBER	2280	35619	\N	\N	\N
703063	2409	1998-01-12	VYDAJ	VYBER	2040	46047	\N	\N	\N
703064	2409	1996-09-09	VYDAJ	VYBER	4320	35872	\N	\N	\N
703067	2409	1996-10-15	VYDAJ	VYBER	2760	36640	\N	\N	\N
703068	2409	1996-10-13	VYDAJ	VYBER	960	44428	\N	\N	\N
703070	2409	1997-12-16	VYDAJ	VYBER	3480	43263	\N	\N	\N
703071	2409	1997-06-07	VYDAJ	VYBER	2520	46556	\N	\N	\N
703072	2409	1997-11-25	VYDAJ	VYBER	5640	43683	\N	\N	\N
703073	2409	1997-02-02	VYDAJ	VYBER	3240	27564	\N	\N	\N
703074	2409	1998-04-07	VYDAJ	VYBER	3840	42484	\N	\N	\N
703075	2409	1998-11-28	VYDAJ	VYBER	5520	63250	\N	\N	\N
703076	2409	1998-04-19	VYDAJ	VYBER	2400	45351	\N	\N	\N
703077	2409	1998-05-07	VYDAJ	VYBER	3840	39649	\N	\N	\N
703078	2409	1998-05-03	VYDAJ	VYBER	2640	43489	\N	\N	\N
703079	2409	1998-05-26	VYDAJ	VYBER	720	44196	\N	\N	\N
703087	2409	1996-07-31	VYDAJ	VYBER	15	37076	SLUZBY	\N	\N
703088	2409	1996-08-31	VYDAJ	VYBER	15	40192	SLUZBY	\N	\N
703089	2409	1996-09-30	VYDAJ	VYBER	15	41093	SLUZBY	\N	\N
703090	2409	1996-10-31	VYDAJ	VYBER	15	36787	SLUZBY	\N	\N
703091	2409	1996-11-30	VYDAJ	VYBER	15	41104	SLUZBY	\N	\N
703092	2409	1996-12-31	VYDAJ	VYBER	15	41853	SLUZBY	\N	\N
703093	2409	1997-01-31	VYDAJ	VYBER	15	30804	SLUZBY	\N	\N
703094	2409	1997-02-28	VYDAJ	VYBER	15	35657	SLUZBY	\N	\N
703095	2409	1997-03-31	VYDAJ	VYBER	15	42978	SLUZBY	\N	\N
703096	2409	1997-04-30	VYDAJ	VYBER	15	47521	SLUZBY	\N	\N
703097	2409	1997-05-31	VYDAJ	VYBER	15	49076	SLUZBY	\N	\N
703098	2409	1997-06-30	VYDAJ	VYBER	15	49519	SLUZBY	\N	\N
703099	2409	1997-07-31	VYDAJ	VYBER	15	52085	SLUZBY	\N	\N
703100	2409	1997-08-31	VYDAJ	VYBER	15	49146	SLUZBY	\N	\N
703101	2409	1997-09-30	VYDAJ	VYBER	15	48301	SLUZBY	\N	\N
703102	2409	1997-10-31	VYDAJ	VYBER	15	49056	SLUZBY	\N	\N
703103	2409	1997-11-30	VYDAJ	VYBER	15	43869	SLUZBY	\N	\N
703104	2409	1997-12-31	VYDAJ	VYBER	15	43432	SLUZBY	\N	\N
703105	2409	1998-01-31	VYDAJ	VYBER	15	35765	SLUZBY	\N	\N
703106	2409	1998-02-28	VYDAJ	VYBER	15	40779	SLUZBY	\N	\N
703107	2409	1998-03-31	VYDAJ	VYBER	15	49424	SLUZBY	\N	\N
703108	2409	1998-04-30	VYDAJ	VYBER	15	45529	SLUZBY	\N	\N
703109	2409	1998-05-31	VYDAJ	VYBER	15	44365	SLUZBY	\N	\N
703110	2409	1998-06-30	VYDAJ	VYBER	15	40638	SLUZBY	\N	\N
703111	2409	1998-07-31	VYDAJ	VYBER	15	47176	SLUZBY	\N	\N
703112	2409	1998-08-31	VYDAJ	VYBER	15	49628	SLUZBY	\N	\N
703113	2409	1998-09-30	VYDAJ	VYBER	15	57199	SLUZBY	\N	\N
703114	2409	1998-10-31	VYDAJ	VYBER	15	63503	SLUZBY	\N	\N
703115	2409	1998-11-30	VYDAJ	VYBER	15	62309	SLUZBY	\N	\N
703116	2409	1996-03-14	PRIJEM	VKLAD	7200	18595	\N	\N	\N
703117	2409	1996-04-13	VYDAJ	VYBER	400	28535	\N	\N	\N
703118	2409	1996-05-13	VYDAJ	VYBER	5400	33532	\N	\N	\N
703119	2409	1996-06-12	VYDAJ	VYBER	8900	40206	\N	\N	\N
703120	2409	1996-07-12	VYDAJ	VYBER	8700	41958	\N	\N	\N
703121	2409	1996-08-11	VYDAJ	VYBER	2300	34776	\N	\N	\N
703122	2409	1996-09-10	VYDAJ	VYBER	200	35672	\N	\N	\N
703123	2409	1996-10-10	VYDAJ	VYBER	6000	35093	\N	\N	\N
703124	2409	1996-11-09	VYDAJ	VYBER	1100	35687	\N	\N	\N
703125	2409	1996-12-09	VYDAJ	VYBER	7100	31284	\N	\N	\N
703126	2409	1997-01-08	VYDAJ	VYBER	2900	35953	\N	\N	\N
703127	2409	1997-02-07	PRIJEM	VKLAD	2700	30264	\N	\N	\N
703128	2409	1997-03-09	PRIJEM	VKLAD	1900	37557	\N	\N	\N
703129	2409	1997-04-08	VYDAJ	VYBER	900	42078	\N	\N	\N
703130	2409	1997-05-08	VYDAJ	VYBER	3900	43621	\N	\N	\N
703131	2409	1997-06-07	VYDAJ	VYBER	2200	44356	\N	\N	\N
703132	2409	1997-07-07	VYDAJ	VYBER	2900	46619	\N	\N	\N
703133	2409	1997-08-06	VYDAJ	VYBER	8400	43685	\N	\N	\N
703134	2409	1997-09-05	VYDAJ	VYBER	6300	42846	\N	\N	\N
703135	2409	1997-10-05	VYDAJ	VYBER	4700	43601	\N	\N	\N
703136	2409	1997-11-04	VYDAJ	VYBER	5000	44056	\N	\N	\N
703137	2409	1997-12-04	VYDAJ	VYBER	4500	39369	\N	\N	\N
703138	2409	1998-01-03	VYDAJ	VYBER	2400	38512	\N	\N	\N
703139	2409	1998-02-02	VYDAJ	VYBER	400	35365	\N	\N	\N
703140	2409	1998-03-04	PRIJEM	VKLAD	3200	43979	\N	\N	\N
703141	2409	1998-04-03	VYDAJ	VYBER	3100	46324	\N	\N	\N
703142	2409	1998-05-03	PRIJEM	VKLAD	600	46129	\N	\N	\N
703143	2409	1998-06-02	VYDAJ	VYBER	2000	42365	\N	\N	\N
703144	2409	1998-07-02	PRIJEM	VKLAD	1100	41738	\N	\N	\N
703145	2409	1998-08-01	VYDAJ	VYBER	4200	42976	\N	\N	\N
703146	2409	1998-08-31	PRIJEM	VKLAD	1200	49443	\N	\N	\N
703147	2409	1998-09-30	PRIJEM	VKLAD	2100	57214	\N	\N	\N
703148	2409	1998-10-30	PRIJEM	VKLAD	800	63266	\N	\N	\N
703149	2409	1998-11-29	VYDAJ	VYBER	1200	62050	\N	\N	\N
703184	2410	1993-05-11	PRIJEM	VKLAD	600	600	\N	\N	\N
703190	2410	1993-06-11	PRIJEM	PREVOD Z UCTU	6105	6705	DUCHOD	WX	71350979
703191	2410	1993-07-11	PRIJEM	PREVOD Z UCTU	6105	12810	DUCHOD	WX	71350979
703192	2410	1993-08-11	PRIJEM	PREVOD Z UCTU	6105	18915	DUCHOD	WX	71350979
703193	2410	1993-09-11	PRIJEM	PREVOD Z UCTU	6105	25020	DUCHOD	WX	71350979
703194	2410	1993-10-11	PRIJEM	PREVOD Z UCTU	6105	29825	DUCHOD	WX	71350979
703195	2410	1993-11-11	PRIJEM	PREVOD Z UCTU	6105	32590	DUCHOD	WX	71350979
703196	2410	1993-12-11	PRIJEM	PREVOD Z UCTU	6105	33202	DUCHOD	WX	71350979
703197	2410	1994-01-11	PRIJEM	PREVOD Z UCTU	6105	29666	DUCHOD	WX	71350979
703198	2410	1994-02-11	PRIJEM	PREVOD Z UCTU	6105	28422	DUCHOD	WX	71350979
703199	2410	1994-03-11	PRIJEM	PREVOD Z UCTU	6105	29315	DUCHOD	WX	71350979
703200	2410	1994-04-11	PRIJEM	PREVOD Z UCTU	6105	32113	DUCHOD	WX	71350979
703201	2410	1994-05-11	PRIJEM	PREVOD Z UCTU	6105	34924	DUCHOD	WX	71350979
703202	2410	1994-06-11	PRIJEM	PREVOD Z UCTU	6105	35246	DUCHOD	WX	71350979
703203	2410	1994-07-11	PRIJEM	PREVOD Z UCTU	6105	21178	DUCHOD	WX	71350979
703204	2410	1994-08-11	PRIJEM	PREVOD Z UCTU	6105	23942	DUCHOD	WX	71350979
703205	2410	1994-09-11	PRIJEM	PREVOD Z UCTU	6105	26718	DUCHOD	WX	71350979
703206	2410	1994-10-11	PRIJEM	PREVOD Z UCTU	6105	29506	DUCHOD	WX	71350979
703207	2410	1994-11-11	PRIJEM	PREVOD Z UCTU	6105	30546	DUCHOD	WX	71350979
703208	2410	1994-12-11	PRIJEM	PREVOD Z UCTU	6105	31271	DUCHOD	WX	71350979
703209	2410	1995-01-11	PRIJEM	PREVOD Z UCTU	6105	27833	DUCHOD	WX	71350979
703210	2410	1995-02-11	PRIJEM	PREVOD Z UCTU	6105	30624	DUCHOD	WX	71350979
703211	2410	1995-03-11	PRIJEM	PREVOD Z UCTU	6105	33428	DUCHOD	WX	71350979
703212	2410	1995-04-11	PRIJEM	PREVOD Z UCTU	6105	36243	DUCHOD	WX	71350979
703213	2410	1995-05-11	PRIJEM	PREVOD Z UCTU	6105	35311	DUCHOD	WX	71350979
703214	2410	1995-06-11	PRIJEM	PREVOD Z UCTU	6105	38134	DUCHOD	WX	71350979
703215	2410	1995-07-11	PRIJEM	PREVOD Z UCTU	6105	36510	DUCHOD	WX	71350979
703216	2410	1995-08-11	PRIJEM	PREVOD Z UCTU	6105	36216	DUCHOD	WX	71350979
703217	2410	1995-09-11	PRIJEM	PREVOD Z UCTU	6105	39043	DUCHOD	WX	71350979
703218	2410	1995-10-11	PRIJEM	PREVOD Z UCTU	6105	41882	DUCHOD	WX	71350979
703219	2410	1995-11-11	PRIJEM	PREVOD Z UCTU	6105	41631	DUCHOD	WX	71350979
703406	2410	1995-08-31	VYDAJ	VYBER	15	36348	SLUZBY	\N	\N
703220	2410	1995-12-11	PRIJEM	PREVOD Z UCTU	6105	42780	DUCHOD	WX	71350979
703221	2410	1996-01-11	PRIJEM	PREVOD Z UCTU	6105	44731	DUCHOD	WX	71350979
703222	2410	1996-02-11	PRIJEM	PREVOD Z UCTU	6105	44837	DUCHOD	WX	71350979
703223	2410	1996-03-11	PRIJEM	PREVOD Z UCTU	6105	42718	DUCHOD	WX	71350979
703224	2410	1996-04-11	PRIJEM	PREVOD Z UCTU	6105	45572	DUCHOD	WX	71350979
703225	2410	1996-05-11	PRIJEM	PREVOD Z UCTU	6105	47637	DUCHOD	WX	71350979
703226	2410	1996-06-11	PRIJEM	PREVOD Z UCTU	6105	45507	DUCHOD	WX	71350979
703227	2410	1996-07-11	PRIJEM	PREVOD Z UCTU	6105	36608	DUCHOD	WX	71350979
703228	2410	1996-08-11	PRIJEM	PREVOD Z UCTU	6105	38876	DUCHOD	WX	71350979
703229	2410	1996-09-11	PRIJEM	PREVOD Z UCTU	6105	41713	DUCHOD	WX	71350979
703230	2410	1996-10-11	PRIJEM	PREVOD Z UCTU	6105	44562	DUCHOD	WX	71350979
703231	2410	1996-11-11	PRIJEM	PREVOD Z UCTU	6105	47423	DUCHOD	WX	71350979
703232	2410	1996-12-11	PRIJEM	PREVOD Z UCTU	6105	48375	DUCHOD	WX	71350979
703233	2410	1997-01-11	PRIJEM	PREVOD Z UCTU	6105	50451	DUCHOD	WX	71350979
703234	2410	1997-02-11	PRIJEM	PREVOD Z UCTU	6105	48925	DUCHOD	WX	71350979
703235	2410	1997-03-11	PRIJEM	PREVOD Z UCTU	6105	50681	DUCHOD	WX	71350979
703236	2410	1997-04-11	PRIJEM	PREVOD Z UCTU	6105	53567	DUCHOD	WX	71350979
703237	2410	1997-05-11	PRIJEM	PREVOD Z UCTU	6105	56465	DUCHOD	WX	71350979
703238	2410	1997-06-11	PRIJEM	PREVOD Z UCTU	6105	54575	DUCHOD	WX	71350979
703239	2410	1997-07-11	PRIJEM	PREVOD Z UCTU	6105	57476	DUCHOD	WX	71350979
703240	2410	1997-08-11	PRIJEM	PREVOD Z UCTU	6105	58228	DUCHOD	WX	71350979
703241	2410	1997-09-11	PRIJEM	PREVOD Z UCTU	6105	61143	DUCHOD	WX	71350979
703242	2410	1997-10-11	PRIJEM	PREVOD Z UCTU	6105	63511	DUCHOD	WX	71350979
703243	2410	1997-11-11	PRIJEM	PREVOD Z UCTU	6105	66450	DUCHOD	WX	71350979
703244	2410	1997-12-11	PRIJEM	PREVOD Z UCTU	6105	65957	DUCHOD	WX	71350979
703245	2410	1998-01-11	PRIJEM	PREVOD Z UCTU	6105	67265	DUCHOD	WX	71350979
703246	2410	1998-02-11	PRIJEM	PREVOD Z UCTU	6105	67610	DUCHOD	WX	71350979
703247	2410	1998-03-11	PRIJEM	PREVOD Z UCTU	6105	70565	DUCHOD	WX	71350979
703248	2410	1998-04-11	PRIJEM	PREVOD Z UCTU	6105	70727	DUCHOD	WX	71350979
703249	2410	1998-05-11	PRIJEM	PREVOD Z UCTU	6105	70015	DUCHOD	WX	71350979
703250	2410	1998-06-11	PRIJEM	PREVOD Z UCTU	6105	72979	DUCHOD	WX	71350979
703251	2410	1998-07-11	PRIJEM	PREVOD Z UCTU	6105	67491	DUCHOD	WX	71350979
703252	2410	1998-08-11	PRIJEM	PREVOD Z UCTU	6105	70445	DUCHOD	WX	71350979
703253	2410	1998-09-11	PRIJEM	PREVOD Z UCTU	6105	71611	DUCHOD	WX	71350979
703254	2410	1998-10-11	PRIJEM	PREVOD Z UCTU	6105	74581	DUCHOD	WX	71350979
703255	2410	1998-11-11	PRIJEM	PREVOD Z UCTU	6105	77564	DUCHOD	WX	71350979
703256	2410	1998-12-11	PRIJEM	PREVOD Z UCTU	6105	80559	DUCHOD	WX	71350979
703267	2410	1993-11-05	VYDAJ	PREVOD NA UCET	3410	26485	SIPO	EF	6188935
703268	2410	1993-12-05	VYDAJ	PREVOD NA UCET	3410	29297	SIPO	EF	6188935
703269	2410	1994-01-05	VYDAJ	PREVOD NA UCET	3410	25861	SIPO	EF	6188935
703270	2410	1994-02-05	VYDAJ	PREVOD NA UCET	3410	22317	SIPO	EF	6188935
703271	2410	1994-03-05	VYDAJ	PREVOD NA UCET	3410	25110	SIPO	EF	6188935
703272	2410	1994-04-05	VYDAJ	PREVOD NA UCET	3410	26008	SIPO	EF	6188935
703273	2410	1994-05-05	VYDAJ	PREVOD NA UCET	3410	28819	SIPO	EF	6188935
703274	2410	1994-06-05	VYDAJ	PREVOD NA UCET	3410	31641	SIPO	EF	6188935
703275	2410	1994-07-05	VYDAJ	PREVOD NA UCET	3410	15073	SIPO	EF	6188935
703276	2410	1994-08-05	VYDAJ	PREVOD NA UCET	3410	17837	SIPO	EF	6188935
703277	2410	1994-09-05	VYDAJ	PREVOD NA UCET	3410	20613	SIPO	EF	6188935
703278	2410	1994-10-05	VYDAJ	PREVOD NA UCET	3410	23401	SIPO	EF	6188935
703279	2410	1994-11-05	VYDAJ	PREVOD NA UCET	3410	26201	SIPO	EF	6188935
703280	2410	1994-12-05	VYDAJ	PREVOD NA UCET	3410	27246	SIPO	EF	6188935
703281	2410	1995-01-05	VYDAJ	PREVOD NA UCET	3410	21728	SIPO	EF	6188935
703282	2410	1995-02-05	VYDAJ	PREVOD NA UCET	3410	24519	SIPO	EF	6188935
703283	2410	1995-03-05	VYDAJ	PREVOD NA UCET	3410	27323	SIPO	EF	6188935
703284	2410	1995-04-05	VYDAJ	PREVOD NA UCET	3410	30138	SIPO	EF	6188935
703285	2410	1995-05-05	VYDAJ	PREVOD NA UCET	3410	29926	SIPO	EF	6188935
703286	2410	1995-06-05	VYDAJ	PREVOD NA UCET	3410	32029	SIPO	EF	6188935
703287	2410	1995-07-05	VYDAJ	PREVOD NA UCET	3410	30405	SIPO	EF	6188935
703288	2410	1995-08-05	VYDAJ	PREVOD NA UCET	3410	30111	SIPO	EF	6188935
703289	2410	1995-09-05	VYDAJ	PREVOD NA UCET	3410	32938	SIPO	EF	6188935
703290	2410	1995-10-05	VYDAJ	PREVOD NA UCET	3410	35777	SIPO	EF	6188935
703291	2410	1995-11-05	VYDAJ	PREVOD NA UCET	3410	35526	SIPO	EF	6188935
703292	2410	1995-12-05	VYDAJ	PREVOD NA UCET	3410	36675	SIPO	EF	6188935
703293	2410	1996-01-05	VYDAJ	PREVOD NA UCET	3410	38626	SIPO	EF	6188935
703294	2410	1996-02-05	VYDAJ	PREVOD NA UCET	3410	38732	SIPO	EF	6188935
703295	2410	1996-03-05	VYDAJ	PREVOD NA UCET	3410	39493	SIPO	EF	6188935
703296	2410	1996-04-05	VYDAJ	PREVOD NA UCET	3410	39467	SIPO	EF	6188935
703297	2410	1996-05-05	VYDAJ	PREVOD NA UCET	3410	41532	SIPO	EF	6188935
703298	2410	1996-06-05	VYDAJ	PREVOD NA UCET	3410	39402	SIPO	EF	6188935
703299	2410	1996-07-05	VYDAJ	PREVOD NA UCET	3410	30503	SIPO	EF	6188935
703300	2410	1996-08-05	VYDAJ	PREVOD NA UCET	3410	32771	SIPO	EF	6188935
703301	2410	1996-09-05	VYDAJ	PREVOD NA UCET	3410	35608	SIPO	EF	6188935
703302	2410	1996-10-05	VYDAJ	PREVOD NA UCET	3410	38457	SIPO	EF	6188935
703303	2410	1996-11-05	VYDAJ	PREVOD NA UCET	3410	41318	SIPO	EF	6188935
703304	2410	1996-12-05	VYDAJ	PREVOD NA UCET	3410	42270	SIPO	EF	6188935
703305	2410	1997-01-05	VYDAJ	PREVOD NA UCET	3410	44346	SIPO	EF	6188935
703306	2410	1997-02-05	VYDAJ	PREVOD NA UCET	3410	42820	SIPO	EF	6188935
703307	2410	1997-03-05	VYDAJ	PREVOD NA UCET	3410	44576	SIPO	EF	6188935
703308	2410	1997-04-05	VYDAJ	PREVOD NA UCET	3410	47462	SIPO	EF	6188935
703309	2410	1997-05-05	VYDAJ	PREVOD NA UCET	3410	50360	SIPO	EF	6188935
703310	2410	1997-06-05	VYDAJ	PREVOD NA UCET	3410	48470	SIPO	EF	6188935
703311	2410	1997-07-05	VYDAJ	PREVOD NA UCET	3410	51371	SIPO	EF	6188935
703312	2410	1997-08-05	VYDAJ	PREVOD NA UCET	3410	52123	SIPO	EF	6188935
703313	2410	1997-09-05	VYDAJ	PREVOD NA UCET	3410	55038	SIPO	EF	6188935
703314	2410	1997-10-05	VYDAJ	PREVOD NA UCET	3410	57406	SIPO	EF	6188935
703315	2410	1997-11-05	VYDAJ	PREVOD NA UCET	3410	60345	SIPO	EF	6188935
703316	2410	1997-12-05	VYDAJ	PREVOD NA UCET	3410	59852	SIPO	EF	6188935
703317	2410	1998-01-05	VYDAJ	PREVOD NA UCET	3410	61160	SIPO	EF	6188935
703318	2410	1998-02-05	VYDAJ	PREVOD NA UCET	3410	61505	SIPO	EF	6188935
703319	2410	1998-03-05	VYDAJ	PREVOD NA UCET	3410	64460	SIPO	EF	6188935
703320	2410	1998-04-05	VYDAJ	PREVOD NA UCET	3410	64622	SIPO	EF	6188935
703321	2410	1998-05-05	VYDAJ	PREVOD NA UCET	3410	63910	SIPO	EF	6188935
703322	2410	1998-06-05	VYDAJ	PREVOD NA UCET	3410	66874	SIPO	EF	6188935
703323	2410	1998-07-05	VYDAJ	PREVOD NA UCET	3410	61386	SIPO	EF	6188935
703324	2410	1998-08-05	VYDAJ	PREVOD NA UCET	3410	64340	SIPO	EF	6188935
703325	2410	1998-09-05	VYDAJ	PREVOD NA UCET	3410	67306	SIPO	EF	6188935
703326	2410	1998-10-05	VYDAJ	PREVOD NA UCET	3410	68476	SIPO	EF	6188935
703327	2410	1998-11-05	VYDAJ	PREVOD NA UCET	3410	71459	SIPO	EF	6188935
703328	2410	1998-12-05	VYDAJ	PREVOD NA UCET	3410	74454	SIPO	EF	6188935
703330	2410	1994-06-11	VYDAJ	VYBER	13450	21796	\N	\N	\N
703331	2410	1995-06-16	VYDAJ	VYBER	4450	33684	\N	\N	\N
703332	2410	1996-06-22	VYDAJ	VYBER	11750	33757	\N	\N	\N
703333	2410	1997-06-03	VYDAJ	VYBER	4800	51880	\N	\N	\N
703334	2410	1998-06-18	VYDAJ	VYBER	8450	64529	\N	\N	\N
703336	2410	1994-01-02	VYDAJ	VYBER	2600	29271	\N	\N	\N
703337	2410	1995-01-02	VYDAJ	VYBER	2950	25138	\N	\N	\N
703338	2410	1996-01-15	VYDAJ	VYBER	2750	41981	\N	\N	\N
703339	2410	1997-01-13	VYDAJ	VYBER	4400	46051	\N	\N	\N
703340	2410	1998-01-14	VYDAJ	VYBER	2600	64665	\N	\N	\N
703341	2410	1993-12-24	VYDAJ	VYBER	1450	31752	\N	\N	\N
703342	2410	1994-12-20	VYDAJ	VYBER	1050	27981	\N	\N	\N
703343	2410	1995-12-13	VYDAJ	VYBER	900	41880	\N	\N	\N
703344	2410	1996-12-21	VYDAJ	VYBER	800	47575	\N	\N	\N
703345	2410	1997-12-27	VYDAJ	VYBER	1000	64957	\N	\N	\N
703346	2410	1998-12-15	VYDAJ	VYBER KARTOU	400	80159	\N	\N	0
703352	2410	1994-11-10	VYDAJ	VYBER	1760	24441	\N	\N	\N
703353	2410	1994-12-09	VYDAJ	VYBER	2080	25166	\N	\N	\N
703354	2410	1994-12-17	VYDAJ	VYBER	2240	29031	\N	\N	\N
703355	2410	1994-07-02	VYDAJ	VYBER	3440	18483	\N	\N	\N
703356	2410	1994-01-24	VYDAJ	VYBER	3440	26226	\N	\N	\N
703357	2410	1995-07-24	VYDAJ	VYBER	1360	35150	\N	\N	\N
703358	2410	1995-05-05	VYDAJ	VYBER	720	29206	\N	\N	\N
703359	2410	1995-05-01	VYDAJ	VYBER	3040	33336	\N	\N	\N
703360	2410	1995-07-24	VYDAJ	VYBER	1760	33390	\N	\N	\N
703361	2410	1996-05-27	VYDAJ	VYBER	3600	42637	\N	\N	\N
703362	2410	1996-03-06	VYDAJ	VYBER	2880	36613	\N	\N	\N
703363	2410	1996-07-31	VYDAJ	VYBER	560	36195	\N	\N	\N
703364	2410	1996-11-28	VYDAJ	VYBER	1920	45503	\N	\N	\N
703365	2410	1997-08-01	VYDAJ	VYBER	1360	55533	\N	\N	\N
703366	2410	1997-02-16	VYDAJ	VYBER	1120	47805	\N	\N	\N
703367	2410	1997-11-23	VYDAJ	VYBER	3440	63010	\N	\N	\N
703368	2410	1997-09-16	VYDAJ	VYBER	560	60583	\N	\N	\N
703369	2410	1997-07-14	VYDAJ	VYBER	800	56676	\N	\N	\N
703370	2410	1998-05-04	VYDAJ	VYBER	3680	67320	\N	\N	\N
703371	2410	1998-01-01	VYDAJ	VYBER	640	64570	\N	\N	\N
703372	2410	1998-09-07	VYDAJ	VYBER KARTOU	1800	65506	\N	\N	0
703373	2410	1998-03-16	VYDAJ	VYBER	2800	67765	\N	\N	\N
703384	2410	1993-10-31	VYDAJ	VYBER	15	29895	SLUZBY	\N	\N
703385	2410	1993-11-30	VYDAJ	VYBER	15	32707	SLUZBY	\N	\N
703386	2410	1993-12-31	VYDAJ	VYBER	15	31871	SLUZBY	\N	\N
703387	2410	1994-01-31	VYDAJ	VYBER	15	26327	SLUZBY	\N	\N
703388	2410	1994-02-28	VYDAJ	VYBER	15	28520	SLUZBY	\N	\N
703389	2410	1994-03-31	VYDAJ	VYBER	15	29418	SLUZBY	\N	\N
703390	2410	1994-04-30	VYDAJ	VYBER	15	32229	SLUZBY	\N	\N
703391	2410	1994-05-31	VYDAJ	VYBER	15	35051	SLUZBY	\N	\N
703392	2410	1994-06-30	VYDAJ	VYBER	15	21923	SLUZBY	\N	\N
703393	2410	1994-07-31	VYDAJ	VYBER	15	21247	SLUZBY	\N	\N
703394	2410	1994-08-31	VYDAJ	VYBER	15	24023	SLUZBY	\N	\N
703395	2410	1994-09-30	VYDAJ	VYBER	15	26811	SLUZBY	\N	\N
703396	2410	1994-10-31	VYDAJ	VYBER	15	29611	SLUZBY	\N	\N
703397	2410	1994-11-30	VYDAJ	VYBER	15	30656	SLUZBY	\N	\N
703398	2410	1994-12-31	VYDAJ	VYBER	15	28088	SLUZBY	\N	\N
703399	2410	1995-01-31	VYDAJ	VYBER	15	27929	SLUZBY	\N	\N
703400	2410	1995-02-28	VYDAJ	VYBER	15	30733	SLUZBY	\N	\N
703401	2410	1995-03-31	VYDAJ	VYBER	15	33548	SLUZBY	\N	\N
703402	2410	1995-04-30	VYDAJ	VYBER	15	36376	SLUZBY	\N	\N
703403	2410	1995-05-31	VYDAJ	VYBER	15	35439	SLUZBY	\N	\N
703404	2410	1995-06-30	VYDAJ	VYBER	15	33815	SLUZBY	\N	\N
703405	2410	1995-07-31	VYDAJ	VYBER	15	33521	SLUZBY	\N	\N
703407	2410	1995-09-30	VYDAJ	VYBER	15	39187	SLUZBY	\N	\N
703408	2410	1995-10-31	VYDAJ	VYBER	15	38936	SLUZBY	\N	\N
703409	2410	1995-11-30	VYDAJ	VYBER	15	40085	SLUZBY	\N	\N
703410	2410	1995-12-31	VYDAJ	VYBER	15	42036	SLUZBY	\N	\N
703411	2410	1996-01-31	VYDAJ	VYBER	15	42142	SLUZBY	\N	\N
703412	2410	1996-02-29	VYDAJ	VYBER	15	42903	SLUZBY	\N	\N
703413	2410	1996-03-31	VYDAJ	VYBER	15	42877	SLUZBY	\N	\N
703414	2410	1996-04-30	VYDAJ	VYBER	15	44942	SLUZBY	\N	\N
703415	2410	1996-05-31	VYDAJ	VYBER	15	42812	SLUZBY	\N	\N
703416	2410	1996-06-30	VYDAJ	VYBER	15	33913	SLUZBY	\N	\N
703417	2410	1996-07-31	VYDAJ	VYBER	15	36181	SLUZBY	\N	\N
703418	2410	1996-08-31	VYDAJ	VYBER	15	39018	SLUZBY	\N	\N
703419	2410	1996-09-30	VYDAJ	VYBER	15	41867	SLUZBY	\N	\N
703420	2410	1996-10-31	VYDAJ	VYBER	15	44728	SLUZBY	\N	\N
703421	2410	1996-11-30	VYDAJ	VYBER	15	45680	SLUZBY	\N	\N
703422	2410	1996-12-31	VYDAJ	VYBER	15	47756	SLUZBY	\N	\N
703423	2410	1997-01-31	VYDAJ	VYBER	15	46230	SLUZBY	\N	\N
703424	2410	1997-02-28	VYDAJ	VYBER	15	47986	SLUZBY	\N	\N
703425	2410	1997-03-31	VYDAJ	VYBER	15	50872	SLUZBY	\N	\N
703426	2410	1997-04-30	VYDAJ	VYBER	15	53770	SLUZBY	\N	\N
703427	2410	1997-05-31	VYDAJ	VYBER	15	56680	SLUZBY	\N	\N
703428	2410	1997-06-30	VYDAJ	VYBER	15	54781	SLUZBY	\N	\N
703429	2410	1997-07-31	VYDAJ	VYBER	15	56893	SLUZBY	\N	\N
703430	2410	1997-08-31	VYDAJ	VYBER	15	58448	SLUZBY	\N	\N
703431	2410	1997-09-30	VYDAJ	VYBER	15	60816	SLUZBY	\N	\N
703432	2410	1997-10-31	VYDAJ	VYBER	15	63755	SLUZBY	\N	\N
703433	2410	1997-11-30	VYDAJ	VYBER	15	63262	SLUZBY	\N	\N
703434	2410	1997-12-31	VYDAJ	VYBER	15	65210	SLUZBY	\N	\N
703435	2410	1998-01-31	VYDAJ	VYBER	15	64915	SLUZBY	\N	\N
703436	2410	1998-02-28	VYDAJ	VYBER	15	67870	SLUZBY	\N	\N
703437	2410	1998-03-31	VYDAJ	VYBER	15	68032	SLUZBY	\N	\N
703438	2410	1998-04-30	VYDAJ	VYBER	15	71000	SLUZBY	\N	\N
703439	2410	1998-05-31	VYDAJ	VYBER	15	70284	SLUZBY	\N	\N
703440	2410	1998-06-30	VYDAJ	VYBER	15	64796	SLUZBY	\N	\N
703441	2410	1998-07-31	VYDAJ	VYBER	15	67750	SLUZBY	\N	\N
703442	2410	1998-08-31	VYDAJ	VYBER	15	70716	SLUZBY	\N	\N
703443	2410	1998-09-30	VYDAJ	VYBER	15	71886	SLUZBY	\N	\N
703444	2410	1998-10-31	VYDAJ	VYBER	15	74869	SLUZBY	\N	\N
703445	2410	1998-11-30	VYDAJ	VYBER	15	77864	SLUZBY	\N	\N
703446	2410	1993-10-08	VYDAJ	VYBER	1300	23720	\N	\N	\N
703447	2410	1993-12-07	VYDAJ	VYBER	2200	27097	\N	\N	\N
703448	2410	1994-01-06	VYDAJ	VYBER	2300	23561	\N	\N	\N
703449	2410	1994-02-05	VYDAJ	VYBER	600	25727	\N	\N	\N
703450	2410	1994-03-07	VYDAJ	VYBER	1900	23210	\N	\N	\N
703451	2410	1994-06-05	VYDAJ	VYBER	2500	29141	\N	\N	\N
703452	2410	1995-10-28	VYDAJ	VYBER	3100	38782	\N	\N	\N
703453	2410	1995-11-27	VYDAJ	VYBER	1700	39931	\N	\N	\N
703454	2410	1996-02-25	VYDAJ	VYBER	2100	42737	\N	\N	\N
703455	2410	1996-04-25	VYDAJ	VYBER	800	44772	\N	\N	\N
703456	2410	1996-05-25	VYDAJ	VYBER	1400	46237	\N	\N	\N
703520	2411	1993-06-27	PRIJEM	VKLAD	700	700	\N	\N	\N
703527	2411	1993-07-07	PRIJEM	VKLAD	22183	22883	\N	\N	\N
703528	2411	1993-08-07	PRIJEM	VKLAD	22183	47983	\N	\N	\N
703529	2411	1993-09-07	PRIJEM	VKLAD	22183	59383	\N	\N	\N
703530	2411	1993-10-07	PRIJEM	VKLAD	22183	65125	\N	\N	\N
703531	2411	1993-11-07	PRIJEM	VKLAD	22183	65186	\N	\N	\N
703532	2411	1993-12-07	PRIJEM	VKLAD	33275	77526	\N	\N	\N
703533	2411	1994-01-07	PRIJEM	VKLAD	22183	65202	\N	\N	\N
703534	2411	1994-02-07	PRIJEM	VKLAD	22183	58341	\N	\N	\N
703535	2411	1994-03-07	PRIJEM	VKLAD	22183	62965	\N	\N	\N
703536	2411	1994-04-07	PRIJEM	VKLAD	22183	65906	\N	\N	\N
703537	2411	1994-05-07	PRIJEM	VKLAD	22183	67558	\N	\N	\N
703538	2411	1994-06-07	PRIJEM	VKLAD	33275	80108	\N	\N	\N
703539	2411	1994-07-07	PRIJEM	VKLAD	22183	54832	\N	\N	\N
703540	2411	1994-08-07	PRIJEM	VKLAD	22183	60036	\N	\N	\N
703541	2411	1994-09-07	PRIJEM	VKLAD	22183	61292	\N	\N	\N
703542	2411	1994-10-07	PRIJEM	VKLAD	22183	62572	\N	\N	\N
703543	2411	1994-11-07	PRIJEM	VKLAD	22183	66314	\N	\N	\N
703544	2411	1994-12-07	PRIJEM	VKLAD	33275	75299	\N	\N	\N
703545	2411	1995-01-07	PRIJEM	VKLAD	22183	70772	\N	\N	\N
703546	2411	1995-02-07	PRIJEM	VKLAD	22183	59477	\N	\N	\N
703547	2411	1995-03-07	PRIJEM	VKLAD	22183	65511	\N	\N	\N
703548	2411	1995-04-07	PRIJEM	VKLAD	22183	72872	\N	\N	\N
703549	2411	1995-05-07	PRIJEM	VKLAD	22183	75656	\N	\N	\N
703550	2411	1995-06-07	PRIJEM	VKLAD	33275	67343	\N	\N	\N
703551	2411	1995-07-07	PRIJEM	VKLAD	22183	72343	\N	\N	\N
703552	2411	1995-08-07	PRIJEM	VKLAD	22183	77028	\N	\N	\N
703553	2411	1995-09-07	PRIJEM	VKLAD	22183	77525	\N	\N	\N
703554	2411	1995-10-07	PRIJEM	VKLAD	22183	78525	\N	\N	\N
703555	2411	1995-11-07	PRIJEM	VKLAD	22183	80831	\N	\N	\N
703556	2411	1995-12-07	PRIJEM	VKLAD	33275	88626	\N	\N	\N
703557	2411	1996-01-07	PRIJEM	VKLAD	22183	73103	\N	\N	\N
703558	2411	1996-02-07	PRIJEM	VKLAD	22183	57496	\N	\N	\N
703559	2411	1996-03-07	PRIJEM	VKLAD	22183	65732	\N	\N	\N
703560	2411	1996-04-07	PRIJEM	VKLAD	22183	69389	\N	\N	\N
703561	2411	1996-05-07	PRIJEM	VKLAD	22183	71758	\N	\N	\N
703562	2411	1996-06-07	PRIJEM	VKLAD	33275	79413	\N	\N	\N
703563	2411	1996-07-07	PRIJEM	VKLAD	22183	72383	\N	\N	\N
703564	2411	1996-08-07	PRIJEM	VKLAD	22183	71456	\N	\N	\N
703565	2411	1996-09-07	PRIJEM	VKLAD	22183	71025	\N	\N	\N
703566	2411	1996-10-07	PRIJEM	VKLAD	22183	75107	\N	\N	\N
703567	2411	1996-11-07	PRIJEM	VKLAD	22183	79105	\N	\N	\N
703568	2411	1996-12-07	PRIJEM	VKLAD	33275	90525	\N	\N	\N
703569	2411	1997-01-07	PRIJEM	VKLAD	22183	51765	\N	\N	\N
703570	2411	1997-02-07	PRIJEM	VKLAD	22183	52480	\N	\N	\N
703571	2411	1997-03-07	PRIJEM	VKLAD	22183	72318	\N	\N	\N
703572	2411	1997-04-07	PRIJEM	VKLAD	22183	69067	\N	\N	\N
703573	2411	1997-05-07	PRIJEM	VKLAD	22183	71899	\N	\N	\N
703574	2411	1997-06-07	PRIJEM	VKLAD	33275	75149	\N	\N	\N
703575	2411	1997-07-07	PRIJEM	VKLAD	22183	56394	\N	\N	\N
703576	2411	1997-08-07	PRIJEM	VKLAD	22183	62278	\N	\N	\N
703577	2411	1997-09-07	PRIJEM	VKLAD	22183	64030	\N	\N	\N
703578	2411	1997-10-07	PRIJEM	VKLAD	22183	62758	\N	\N	\N
703579	2411	1997-11-07	PRIJEM	VKLAD	22183	62085	\N	\N	\N
703580	2411	1997-12-07	PRIJEM	VKLAD	33275	74800	\N	\N	\N
703581	2411	1998-01-07	PRIJEM	VKLAD	22183	61357	\N	\N	\N
703582	2411	1998-02-07	PRIJEM	VKLAD	22183	48932	\N	\N	\N
703583	2411	1998-03-07	PRIJEM	VKLAD	22183	59607	\N	\N	\N
703584	2411	1998-04-07	PRIJEM	VKLAD	22183	64310	\N	\N	\N
703585	2411	1998-05-07	PRIJEM	VKLAD	22183	68137	\N	\N	\N
703586	2411	1998-06-07	PRIJEM	VKLAD	33275	78910	\N	\N	\N
703587	2411	1998-07-07	PRIJEM	VKLAD	22183	48852	\N	\N	\N
703588	2411	1998-08-07	PRIJEM	VKLAD	22183	58904	\N	\N	\N
703589	2411	1998-09-07	PRIJEM	VKLAD	22183	55339	\N	\N	\N
703590	2411	1998-10-07	PRIJEM	VKLAD	22183	59113	\N	\N	\N
703591	2411	1998-11-07	PRIJEM	VKLAD	22183	61629	\N	\N	\N
703592	2411	1998-12-07	PRIJEM	VKLAD	33275	71746	\N	\N	\N
703594	2411	1994-06-21	VYDAJ	VYBER	44320	35788	\N	\N	\N
703595	2411	1995-06-01	VYDAJ	VYBER	16000	34068	\N	\N	\N
703597	2411	1997-06-09	VYDAJ	VYBER	37600	37549	\N	\N	\N
703598	2411	1998-06-25	VYDAJ	VYBER	46400	32510	\N	\N	\N
703600	2411	1994-01-30	VYDAJ	VYBER	2240	35962	\N	\N	\N
703601	2411	1995-01-12	VYDAJ	VYBER	2240	65532	\N	\N	\N
703602	2411	1996-01-25	VYDAJ	VYBER	7680	36683	\N	\N	\N
703603	2411	1997-01-03	VYDAJ	VYBER	14560	31742	\N	\N	\N
703604	2411	1998-01-10	VYDAJ	VYBER	10720	50637	\N	\N	\N
703605	2411	1993-12-25	VYDAJ	VYBER	2880	46446	\N	\N	\N
703606	2411	1994-12-03	VYDAJ	VYBER	3360	42024	\N	\N	\N
703607	2411	1995-12-14	VYDAJ	VYBER	1120	87506	\N	\N	\N
703608	2411	1996-12-20	VYDAJ	VYBER	3840	53285	\N	\N	\N
703609	2411	1997-12-17	VYDAJ	VYBER	3840	70960	\N	\N	\N
703610	2411	1998-12-30	VYDAJ	VYBER	2720	41926	\N	\N	\N
703617	2411	1994-01-17	VYDAJ	VYBER	2400	56922	\N	\N	\N
703618	2411	1994-01-13	VYDAJ	VYBER	3360	61002	\N	\N	\N
703619	2411	1994-01-18	VYDAJ	VYBER	1920	55002	\N	\N	\N
703620	2411	1994-01-01	VYDAJ	VYBER	1920	44699	\N	\N	\N
703621	2411	1994-01-09	VYDAJ	VYBER	840	64362	\N	\N	\N
703622	2411	1994-01-13	VYDAJ	VYBER	1680	59322	\N	\N	\N
703623	2411	1995-01-21	VYDAJ	VYBER	3000	40572	\N	\N	\N
703624	2411	1995-01-20	VYDAJ	VYBER	3480	44172	\N	\N	\N
703625	2411	1995-01-04	VYDAJ	VYBER	1440	48589	\N	\N	\N
703626	2411	1995-01-15	VYDAJ	VYBER	1680	63852	\N	\N	\N
703627	2411	1995-01-20	VYDAJ	VYBER	600	43572	\N	\N	\N
703628	2411	1995-01-07	VYDAJ	VYBER	3000	67772	\N	\N	\N
703629	2411	1996-01-12	VYDAJ	VYBER	3000	66863	\N	\N	\N
703630	2411	1996-01-25	VYDAJ	VYBER	1560	35123	\N	\N	\N
703631	2411	1996-01-05	VYDAJ	VYBER	2520	50920	\N	\N	\N
703632	2411	1996-01-09	VYDAJ	VYBER	2520	70583	\N	\N	\N
703633	2411	1996-01-18	VYDAJ	VYBER	1800	44363	\N	\N	\N
703634	2411	1996-01-02	VYDAJ	VYBER	1320	53440	\N	\N	\N
703635	2411	1997-01-06	VYDAJ	VYBER	2160	29582	\N	\N	\N
703636	2411	1997-01-01	VYDAJ	VYBER	3240	46302	\N	\N	\N
703637	2411	1997-01-26	VYDAJ	VYBER	1200	31865	\N	\N	\N
703638	2411	1997-01-15	VYDAJ	VYBER	1080	37385	\N	\N	\N
703639	2411	1997-01-20	VYDAJ	VYBER	1320	34385	\N	\N	\N
703640	2411	1997-01-17	VYDAJ	VYBER	1680	35705	\N	\N	\N
703641	2411	1998-01-16	VYDAJ	VYBER	1080	46197	\N	\N	\N
703642	2411	1998-01-22	VYDAJ	VYBER	2760	40797	\N	\N	\N
703643	2411	1998-01-25	VYDAJ	VYBER	1920	38877	\N	\N	\N
703644	2411	1998-01-17	VYDAJ	VYBER	2640	43557	\N	\N	\N
703645	2411	1998-01-15	VYDAJ	VYBER	3360	47277	\N	\N	\N
703646	2411	1998-01-02	VYDAJ	VYBER	2520	68714	\N	\N	\N
703650	2411	1994-08-26	VYDAJ	VYBER	840	38936	\N	\N	\N
703651	2411	1994-08-10	VYDAJ	VYBER	2160	57876	\N	\N	\N
703652	2411	1994-07-17	VYDAJ	VYBER	3120	51712	\N	\N	\N
703653	2411	1994-05-23	VYDAJ	VYBER	3120	64438	\N	\N	\N
703654	2411	1994-09-29	VYDAJ	VYBER	5160	40232	\N	\N	\N
703655	2411	1994-08-15	VYDAJ	VYBER	1200	56676	\N	\N	\N
703656	2411	1994-01-04	VYDAJ	VYBER	1680	43019	\N	\N	\N
703657	2411	1995-05-15	VYDAJ	VYBER	5040	70616	\N	\N	\N
703658	2411	1995-05-31	VYDAJ	VYBER	2760	50068	\N	\N	\N
703659	2411	1995-01-29	VYDAJ	VYBER	3480	37092	\N	\N	\N
703660	2411	1995-12-17	VYDAJ	VYBER	2760	54546	\N	\N	\N
703661	2411	1996-12-13	VYDAJ	VYBER	4200	57125	\N	\N	\N
703662	2411	1996-11-08	VYDAJ	VYBER	840	78265	\N	\N	\N
703663	2411	1996-12-20	VYDAJ	VYBER	3960	49325	\N	\N	\N
703664	2411	1996-01-09	VYDAJ	VYBER	720	69863	\N	\N	\N
703665	2411	1996-02-13	VYDAJ	VYBER	3000	43396	\N	\N	\N
703666	2411	1997-03-21	VYDAJ	VYBER	3720	46698	\N	\N	\N
703667	2411	1997-05-29	VYDAJ	VYBER	1680	52519	\N	\N	\N
703668	2411	1997-08-09	VYDAJ	VYBER	2160	60118	\N	\N	\N
703669	2411	1997-02-09	VYDAJ	VYBER	2520	49960	\N	\N	\N
703670	2411	1997-01-24	VYDAJ	VYBER	1320	33065	\N	\N	\N
703671	2411	1998-09-02	VYDAJ	VYBER	5280	33156	\N	\N	\N
703672	2411	1998-01-04	VYDAJ	VYBER	5040	39174	\N	\N	\N
703673	2411	1998-02-12	VYDAJ	VYBER	1080	47852	\N	\N	\N
703674	2411	1998-05-20	VYDAJ	VYBER	1560	66577	\N	\N	\N
703686	2411	1993-11-30	VYDAJ	VYBER	15	44252	SLUZBY	\N	\N
703687	2411	1993-12-31	VYDAJ	VYBER	15	46619	SLUZBY	\N	\N
703688	2411	1994-01-31	VYDAJ	VYBER	15	36158	SLUZBY	\N	\N
703689	2411	1994-02-28	VYDAJ	VYBER	15	40782	SLUZBY	\N	\N
703690	2411	1994-03-31	VYDAJ	VYBER	15	43723	SLUZBY	\N	\N
703691	2411	1994-04-30	VYDAJ	VYBER	15	45375	SLUZBY	\N	\N
703692	2411	1994-05-31	VYDAJ	VYBER	15	46833	SLUZBY	\N	\N
703693	2411	1994-06-30	VYDAJ	VYBER	15	32649	SLUZBY	\N	\N
703694	2411	1994-07-31	VYDAJ	VYBER	15	37853	SLUZBY	\N	\N
703695	2411	1994-08-31	VYDAJ	VYBER	15	39109	SLUZBY	\N	\N
703696	2411	1994-09-30	VYDAJ	VYBER	15	40389	SLUZBY	\N	\N
703697	2411	1994-10-31	VYDAJ	VYBER	15	44131	SLUZBY	\N	\N
703698	2411	1994-11-30	VYDAJ	VYBER	15	45384	SLUZBY	\N	\N
703699	2411	1994-12-31	VYDAJ	VYBER	15	50029	SLUZBY	\N	\N
703700	2411	1995-01-31	VYDAJ	VYBER	15	37294	SLUZBY	\N	\N
703701	2411	1995-02-28	VYDAJ	VYBER	15	43328	SLUZBY	\N	\N
703702	2411	1995-03-31	VYDAJ	VYBER	15	50689	SLUZBY	\N	\N
703703	2411	1995-04-30	VYDAJ	VYBER	15	53473	SLUZBY	\N	\N
703704	2411	1995-05-31	VYDAJ	VYBER	15	52828	SLUZBY	\N	\N
703705	2411	1995-06-30	VYDAJ	VYBER	15	50160	SLUZBY	\N	\N
703706	2411	1995-07-31	VYDAJ	VYBER	15	54845	SLUZBY	\N	\N
703707	2411	1995-08-31	VYDAJ	VYBER	15	55342	SLUZBY	\N	\N
703708	2411	1995-09-30	VYDAJ	VYBER	15	56342	SLUZBY	\N	\N
703709	2411	1995-10-31	VYDAJ	VYBER	15	58648	SLUZBY	\N	\N
703710	2411	1995-11-30	VYDAJ	VYBER	15	55352	SLUZBY	\N	\N
703711	2411	1995-12-31	VYDAJ	VYBER	15	54760	SLUZBY	\N	\N
703712	2411	1996-01-31	VYDAJ	VYBER	15	35313	SLUZBY	\N	\N
703713	2411	1996-02-29	VYDAJ	VYBER	15	43549	SLUZBY	\N	\N
703714	2411	1996-03-31	VYDAJ	VYBER	15	47206	SLUZBY	\N	\N
703715	2411	1996-04-30	VYDAJ	VYBER	15	49575	SLUZBY	\N	\N
703716	2411	1996-05-31	VYDAJ	VYBER	15	46139	SLUZBY	\N	\N
703717	2411	1996-06-30	VYDAJ	VYBER	15	50200	SLUZBY	\N	\N
703718	2411	1996-07-31	VYDAJ	VYBER	15	49273	SLUZBY	\N	\N
703719	2411	1996-08-31	VYDAJ	VYBER	15	48842	SLUZBY	\N	\N
703720	2411	1996-09-30	VYDAJ	VYBER	15	52924	SLUZBY	\N	\N
703721	2411	1996-10-31	VYDAJ	VYBER	15	56922	SLUZBY	\N	\N
703722	2411	1996-11-30	VYDAJ	VYBER	15	57251	SLUZBY	\N	\N
703723	2411	1996-12-31	VYDAJ	VYBER	15	49542	SLUZBY	\N	\N
703724	2411	1997-01-31	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
703725	2411	1997-02-28	VYDAJ	VYBER	15	50135	SLUZBY	\N	\N
703726	2411	1997-03-31	VYDAJ	VYBER	15	46884	SLUZBY	\N	\N
703727	2411	1997-04-30	VYDAJ	VYBER	15	49716	SLUZBY	\N	\N
703728	2411	1997-05-31	VYDAJ	VYBER	15	52775	SLUZBY	\N	\N
703729	2411	1997-06-30	VYDAJ	VYBER	15	37711	SLUZBY	\N	\N
703730	2411	1997-07-31	VYDAJ	VYBER	15	56595	SLUZBY	\N	\N
703731	2411	1997-08-31	VYDAJ	VYBER	15	60347	SLUZBY	\N	\N
703732	2411	1997-09-30	VYDAJ	VYBER	15	64275	SLUZBY	\N	\N
703733	2411	1997-10-31	VYDAJ	VYBER	15	63002	SLUZBY	\N	\N
703734	2411	1997-11-30	VYDAJ	VYBER	15	62325	SLUZBY	\N	\N
703735	2411	1997-12-31	VYDAJ	VYBER	15	71234	SLUZBY	\N	\N
703736	2411	1998-01-31	VYDAJ	VYBER	15	39049	SLUZBY	\N	\N
703737	2411	1998-02-28	VYDAJ	VYBER	15	48024	SLUZBY	\N	\N
703738	2411	1998-03-31	VYDAJ	VYBER	15	59827	SLUZBY	\N	\N
703739	2411	1998-04-30	VYDAJ	VYBER	15	64554	SLUZBY	\N	\N
703740	2411	1998-05-31	VYDAJ	VYBER	15	66835	SLUZBY	\N	\N
703741	2411	1998-06-30	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
703742	2411	1998-07-31	VYDAJ	VYBER	15	49021	SLUZBY	\N	\N
703743	2411	1998-08-31	VYDAJ	VYBER	15	38436	SLUZBY	\N	\N
703744	2411	1998-09-30	VYDAJ	VYBER	15	36930	SLUZBY	\N	\N
703745	2411	1998-10-31	VYDAJ	VYBER	15	39446	SLUZBY	\N	\N
703746	2411	1998-11-30	VYDAJ	VYBER	15	38472	SLUZBY	\N	\N
703747	2411	1993-07-27	PRIJEM	VKLAD	2900	25783	\N	\N	\N
703748	2411	1993-08-26	VYDAJ	VYBER	10900	37083	\N	\N	\N
703749	2411	1993-09-25	VYDAJ	VYBER	16600	42783	\N	\N	\N
703750	2411	1993-10-25	VYDAJ	VYBER	22300	42825	\N	\N	\N
703751	2411	1993-11-24	VYDAJ	VYBER	21100	44086	\N	\N	\N
703752	2411	1993-12-24	VYDAJ	VYBER	28200	49326	\N	\N	\N
703753	2411	1994-01-23	VYDAJ	VYBER	16800	38202	\N	\N	\N
703754	2411	1994-02-22	VYDAJ	VYBER	17700	40641	\N	\N	\N
703755	2411	1994-03-24	VYDAJ	VYBER	19400	43565	\N	\N	\N
703756	2411	1994-04-23	VYDAJ	VYBER	20700	45206	\N	\N	\N
703757	2411	1994-05-23	VYDAJ	VYBER	17800	46638	\N	\N	\N
703758	2411	1994-06-22	VYDAJ	VYBER	3300	32488	\N	\N	\N
703759	2411	1994-07-22	VYDAJ	VYBER	14000	37712	\N	\N	\N
703760	2411	1994-08-21	VYDAJ	VYBER	16900	39776	\N	\N	\N
703761	2411	1994-09-20	VYDAJ	VYBER	15900	45392	\N	\N	\N
703762	2411	1994-10-20	VYDAJ	VYBER	18600	43972	\N	\N	\N
703763	2411	1994-11-19	VYDAJ	VYBER	21100	45214	\N	\N	\N
703764	2411	1994-12-19	VYDAJ	VYBER	25500	49799	\N	\N	\N
703765	2411	1995-01-18	VYDAJ	VYBER	16200	47652	\N	\N	\N
703766	2411	1995-02-17	VYDAJ	VYBER	16300	43177	\N	\N	\N
703767	2411	1995-03-19	VYDAJ	VYBER	15000	50511	\N	\N	\N
703768	2411	1995-04-18	VYDAJ	VYBER	19600	53272	\N	\N	\N
703769	2411	1995-05-18	VYDAJ	VYBER	18000	52616	\N	\N	\N
703770	2411	1995-06-17	VYDAJ	VYBER	17400	49943	\N	\N	\N
703771	2411	1995-07-17	VYDAJ	VYBER	17700	54643	\N	\N	\N
703772	2411	1995-08-16	VYDAJ	VYBER	21900	55128	\N	\N	\N
703773	2411	1995-09-15	VYDAJ	VYBER	21400	56125	\N	\N	\N
703774	2411	1995-10-15	VYDAJ	VYBER	20100	58425	\N	\N	\N
703775	2411	1995-11-14	VYDAJ	VYBER	25700	55131	\N	\N	\N
703776	2411	1995-12-14	VYDAJ	VYBER	30200	57306	\N	\N	\N
703777	2411	1996-01-13	VYDAJ	VYBER	20700	46163	\N	\N	\N
703778	2411	1996-02-12	VYDAJ	VYBER	11100	46396	\N	\N	\N
703779	2411	1996-03-13	VYDAJ	VYBER	18700	47032	\N	\N	\N
703780	2411	1996-04-12	VYDAJ	VYBER	20000	49389	\N	\N	\N
703781	2411	1996-05-12	VYDAJ	VYBER	25800	45958	\N	\N	\N
703782	2411	1996-06-11	VYDAJ	VYBER	29400	50013	\N	\N	\N
703783	2411	1996-07-11	VYDAJ	VYBER	23300	49083	\N	\N	\N
703784	2411	1996-08-10	VYDAJ	VYBER	22800	48656	\N	\N	\N
703785	2411	1996-09-09	VYDAJ	VYBER	18300	52725	\N	\N	\N
703786	2411	1996-10-09	VYDAJ	VYBER	18400	56707	\N	\N	\N
703787	2411	1996-11-08	VYDAJ	VYBER	21300	56965	\N	\N	\N
703788	2411	1996-12-08	VYDAJ	VYBER	29200	61325	\N	\N	\N
703789	2411	1997-01-07	VYDAJ	VYBER	13300	38465	\N	\N	\N
703790	2411	1997-02-06	VYDAJ	VYBER	1700	30297	\N	\N	\N
703791	2411	1997-03-08	VYDAJ	VYBER	21900	50418	\N	\N	\N
703792	2411	1997-04-07	VYDAJ	VYBER	19600	49467	\N	\N	\N
703793	2411	1997-05-07	VYDAJ	VYBER	17700	54199	\N	\N	\N
703794	2411	1997-06-06	VYDAJ	VYBER	10900	41875	\N	\N	\N
703795	2411	1997-07-06	VYDAJ	VYBER	3500	34211	\N	\N	\N
703796	2411	1997-08-05	VYDAJ	VYBER	16500	40095	\N	\N	\N
703797	2411	1997-09-04	VYDAJ	VYBER	18500	41847	\N	\N	\N
703798	2411	1997-10-04	VYDAJ	VYBER	23700	40575	\N	\N	\N
703799	2411	1997-11-03	VYDAJ	VYBER	23100	39902	\N	\N	\N
703800	2411	1997-12-03	VYDAJ	VYBER	20800	41525	\N	\N	\N
703801	2411	1998-01-02	VYDAJ	VYBER	24500	44214	\N	\N	\N
703802	2411	1998-02-01	VYDAJ	VYBER	12300	26749	\N	\N	\N
703803	2411	1998-03-03	VYDAJ	VYBER	10600	37424	\N	\N	\N
703804	2411	1998-04-02	VYDAJ	VYBER	17700	42127	\N	\N	\N
703805	2411	1998-05-02	VYDAJ	VYBER	18600	45954	\N	\N	\N
703806	2411	1998-06-01	VYDAJ	VYBER	21200	45635	\N	\N	\N
703807	2411	1998-07-01	VYDAJ	VYBER	6100	26669	\N	\N	\N
703808	2411	1998-07-31	VYDAJ	VYBER	12300	36721	\N	\N	\N
703809	2411	1998-08-30	VYDAJ	VYBER	20600	38304	\N	\N	\N
703810	2411	1998-09-29	VYDAJ	VYBER	18600	36739	\N	\N	\N
703811	2411	1998-10-29	VYDAJ	VYBER	19800	39313	\N	\N	\N
703812	2411	1998-11-28	VYDAJ	VYBER	23300	38329	\N	\N	\N
703813	2411	1998-12-28	VYDAJ	VYBER	27100	44646	\N	\N	\N
704680	2413	1997-10-27	PRIJEM	VKLAD	500	500	\N	\N	\N
704691	2413	1997-11-09	PRIJEM	VKLAD	15721	16221	\N	\N	\N
704692	2413	1997-12-09	PRIJEM	VKLAD	23582	40715	\N	\N	\N
704693	2413	1998-01-09	PRIJEM	VKLAD	15721	45618	\N	\N	\N
704694	2413	1998-02-09	PRIJEM	VKLAD	15721	44862	\N	\N	\N
704695	2413	1998-03-09	PRIJEM	VKLAD	15721	46705	\N	\N	\N
704696	2413	1998-04-09	PRIJEM	VKLAD	15721	40006	\N	\N	\N
704697	2413	1998-05-09	PRIJEM	VKLAD	15721	38086	\N	\N	\N
704698	2413	1998-06-09	PRIJEM	VKLAD	23582	41471	\N	\N	\N
704699	2413	1998-07-09	PRIJEM	VKLAD	15721	34412	\N	\N	\N
704700	2413	1998-08-09	PRIJEM	VKLAD	15721	42684	\N	\N	\N
704701	2413	1998-09-09	PRIJEM	VKLAD	15721	42688	\N	\N	\N
704702	2413	1998-10-09	PRIJEM	VKLAD	15721	46782	\N	\N	\N
704703	2413	1998-11-09	PRIJEM	VKLAD	15721	48891	\N	\N	\N
704704	2413	1998-12-09	PRIJEM	VKLAD	23582	57469	\N	\N	\N
704719	2413	1998-03-09	VYDAJ	PREVOD NA UCET	6448	40257	SIPO	KL	97954469
704720	2413	1998-04-09	VYDAJ	PREVOD NA UCET	6448	33558	SIPO	KL	97954469
704721	2413	1998-05-09	VYDAJ	PREVOD NA UCET	6448	31638	SIPO	KL	97954469
704722	2413	1998-06-09	VYDAJ	PREVOD NA UCET	6448	14223	SIPO	KL	97954469
704723	2413	1998-07-09	VYDAJ	PREVOD NA UCET	6448	27964	SIPO	KL	97954469
704724	2413	1998-08-09	VYDAJ	PREVOD NA UCET	6448	36236	SIPO	KL	97954469
704725	2413	1998-09-09	VYDAJ	PREVOD NA UCET	6448	36240	SIPO	KL	97954469
704726	2413	1998-10-09	VYDAJ	PREVOD NA UCET	6448	40334	SIPO	KL	97954469
704727	2413	1998-11-09	VYDAJ	PREVOD NA UCET	6448	42443	SIPO	KL	97954469
704728	2413	1998-12-09	VYDAJ	PREVOD NA UCET	6448	51021	SIPO	KL	97954469
704743	2413	1998-03-15	VYDAJ	VYBER	1000	39257	\N	\N	0
704744	2413	1998-04-12	VYDAJ	VYBER	1200	32358	\N	\N	0
704745	2413	1998-04-29	VYDAJ	VYBER	2000	22258	\N	\N	0
704746	2413	1998-06-02	VYDAJ	VYBER	1000	17889	\N	\N	0
704747	2413	1998-07-18	VYDAJ	VYBER	1600	26364	\N	\N	0
704748	2413	1998-08-04	VYDAJ	VYBER	2000	26963	\N	\N	0
704749	2413	1998-09-07	VYDAJ	VYBER	1900	26967	\N	\N	0
704750	2413	1998-10-12	VYDAJ	PREVOD NA UCET	1496	38838	UVER	MN	81122290
704751	2413	1998-11-12	VYDAJ	PREVOD NA UCET	1496	40947	UVER	MN	81122290
704752	2413	1998-12-12	VYDAJ	PREVOD NA UCET	1496	46805	UVER	MN	81122290
704754	2413	1998-06-09	VYDAJ	VYBER	20800	20671	\N	\N	\N
704758	2413	1998-12-10	VYDAJ	VYBER	2720	48301	\N	\N	\N
704762	2413	1998-12-19	VYDAJ	VYBER	3000	43805	\N	\N	\N
704763	2413	1998-03-18	VYDAJ	VYBER	5400	33857	\N	\N	\N
704764	2413	1998-05-28	VYDAJ	VYBER	4560	18778	\N	\N	\N
704780	2413	1998-03-31	VYDAJ	VYBER	15	24285	SLUZBY	\N	\N
704781	2413	1998-04-30	VYDAJ	VYBER	15	22365	SLUZBY	\N	\N
704782	2413	1998-05-31	VYDAJ	VYBER	15	18889	SLUZBY	\N	\N
704783	2413	1998-06-30	VYDAJ	VYBER	15	18691	SLUZBY	\N	\N
704784	2413	1998-07-31	VYDAJ	VYBER	15	28963	SLUZBY	\N	\N
704785	2413	1998-08-31	VYDAJ	VYBER	15	28867	SLUZBY	\N	\N
704786	2413	1998-09-30	VYDAJ	VYBER	15	31061	SLUZBY	\N	\N
704787	2413	1998-10-31	VYDAJ	VYBER	15	33170	SLUZBY	\N	\N
704788	2413	1998-11-30	VYDAJ	VYBER	15	33887	SLUZBY	\N	\N
704789	2413	1997-11-26	PRIJEM	VKLAD	900	17121	\N	\N	\N
704790	2413	1997-12-26	VYDAJ	VYBER	10900	29815	\N	\N	\N
704791	2413	1998-01-25	VYDAJ	VYBER	16600	29018	\N	\N	\N
704792	2413	1998-02-24	VYDAJ	VYBER	14000	30862	\N	\N	\N
704793	2413	1998-03-26	VYDAJ	VYBER	9700	24157	\N	\N	\N
704794	2413	1998-04-25	VYDAJ	VYBER	8100	24258	\N	\N	\N
704795	2413	1998-05-25	VYDAJ	VYBER	8300	23338	\N	\N	\N
704796	2413	1998-06-24	PRIJEM	VKLAD	4400	18623	\N	\N	\N
704797	2413	1998-07-24	PRIJEM	VKLAD	2500	28864	\N	\N	\N
704798	2413	1998-08-23	VYDAJ	VYBER	7500	28736	\N	\N	\N
704799	2413	1998-09-22	VYDAJ	VYBER	5300	30940	\N	\N	\N
704800	2413	1998-10-22	VYDAJ	VYBER	5800	33038	\N	\N	\N
704801	2413	1998-11-21	VYDAJ	VYBER	7200	33747	\N	\N	\N
704816	2414	1995-01-19	PRIJEM	VKLAD	400	400	\N	\N	\N
704818	2414	1995-02-14	PRIJEM	PREVOD Z UCTU	2949	3349	\N	GH	94407939
704819	2414	1995-03-14	PRIJEM	PREVOD Z UCTU	2949	6298	\N	GH	94407939
704820	2414	1995-04-14	PRIJEM	PREVOD Z UCTU	2949	9247	\N	GH	94407939
704821	2414	1995-05-14	PRIJEM	PREVOD Z UCTU	2949	12196	\N	GH	94407939
704822	2414	1995-06-14	PRIJEM	PREVOD Z UCTU	2949	15145	\N	GH	94407939
704823	2414	1995-07-14	PRIJEM	PREVOD Z UCTU	2949	15186	\N	GH	94407939
704824	2414	1995-08-14	PRIJEM	PREVOD Z UCTU	2949	16036	\N	GH	94407939
704825	2414	1995-09-14	PRIJEM	PREVOD Z UCTU	2949	16738	\N	GH	94407939
704826	2414	1995-10-14	PRIJEM	PREVOD Z UCTU	2949	17573	\N	GH	94407939
704827	2414	1995-11-14	PRIJEM	PREVOD Z UCTU	2949	17911	\N	GH	94407939
704828	2414	1995-12-14	PRIJEM	PREVOD Z UCTU	2949	16897	\N	GH	94407939
704829	2414	1996-01-14	PRIJEM	PREVOD Z UCTU	2949	17603	\N	GH	94407939
704830	2414	1996-02-14	PRIJEM	PREVOD Z UCTU	2949	16239	\N	GH	94407939
704831	2414	1996-03-14	PRIJEM	PREVOD Z UCTU	2949	17272	\N	GH	94407939
704832	2414	1996-04-14	PRIJEM	PREVOD Z UCTU	2949	18310	\N	GH	94407939
704833	2414	1996-05-14	PRIJEM	PREVOD Z UCTU	2949	19352	\N	GH	94407939
704834	2414	1996-06-14	PRIJEM	PREVOD Z UCTU	2949	17248	\N	GH	94407939
704835	2414	1996-07-14	PRIJEM	PREVOD Z UCTU	2949	15991	\N	GH	94407939
704836	2414	1996-08-14	PRIJEM	PREVOD Z UCTU	2949	16327	\N	GH	94407939
704837	2414	1996-09-14	PRIJEM	PREVOD Z UCTU	2949	15262	\N	GH	94407939
704838	2414	1996-10-14	PRIJEM	PREVOD Z UCTU	2949	16294	\N	GH	94407939
704839	2414	1996-11-14	PRIJEM	PREVOD Z UCTU	2949	14686	\N	GH	94407939
704840	2414	1996-12-14	PRIJEM	PREVOD Z UCTU	2949	13585	\N	GH	94407939
704841	2414	1997-01-14	PRIJEM	PREVOD Z UCTU	2949	13548	\N	GH	94407939
704842	2414	1997-02-14	PRIJEM	PREVOD Z UCTU	2949	11760	\N	GH	94407939
704843	2414	1997-03-14	PRIJEM	PREVOD Z UCTU	2949	12777	\N	GH	94407939
704844	2414	1997-04-14	PRIJEM	PREVOD Z UCTU	2949	13796	\N	GH	94407939
704845	2414	1997-05-14	PRIJEM	PREVOD Z UCTU	2949	14819	\N	GH	94407939
704846	2414	1997-06-14	PRIJEM	PREVOD Z UCTU	2949	15847	\N	GH	94407939
704847	2414	1997-07-14	PRIJEM	PREVOD Z UCTU	2949	16878	\N	GH	94407939
704848	2414	1997-08-14	PRIJEM	PREVOD Z UCTU	2949	17074	\N	GH	94407939
704849	2414	1997-09-14	PRIJEM	PREVOD Z UCTU	2949	17389	\N	GH	94407939
704850	2414	1997-10-14	PRIJEM	PREVOD Z UCTU	2949	18427	\N	GH	94407939
704851	2414	1997-11-14	PRIJEM	PREVOD Z UCTU	2949	18027	\N	GH	94407939
704852	2414	1997-12-14	PRIJEM	PREVOD Z UCTU	2949	13667	\N	GH	94407939
704853	2414	1998-01-14	PRIJEM	PREVOD Z UCTU	2949	14456	\N	GH	94407939
704854	2414	1998-02-14	PRIJEM	PREVOD Z UCTU	2949	14580	\N	GH	94407939
704855	2414	1998-03-14	PRIJEM	PREVOD Z UCTU	2949	14006	\N	GH	94407939
704856	2414	1998-04-14	PRIJEM	PREVOD Z UCTU	2949	14521	\N	GH	94407939
704857	2414	1998-05-14	PRIJEM	PREVOD Z UCTU	2949	15547	\N	GH	94407939
704858	2414	1998-06-14	PRIJEM	PREVOD Z UCTU	2949	13777	\N	GH	94407939
704859	2414	1998-07-14	PRIJEM	PREVOD Z UCTU	2949	14803	\N	GH	94407939
704860	2414	1998-08-14	PRIJEM	PREVOD Z UCTU	2949	15830	\N	GH	94407939
704861	2414	1998-09-14	PRIJEM	PREVOD Z UCTU	2949	16861	\N	GH	94407939
704862	2414	1998-10-14	PRIJEM	PREVOD Z UCTU	2949	17896	\N	GH	94407939
704863	2414	1998-11-14	PRIJEM	PREVOD Z UCTU	2949	18936	\N	GH	94407939
704864	2414	1998-12-14	PRIJEM	PREVOD Z UCTU	2949	19980	\N	GH	94407939
704871	2414	1995-07-10	VYDAJ	PREVOD NA UCET	465	13738	SIPO	EF	6135642
704872	2414	1995-08-10	VYDAJ	PREVOD NA UCET	465	14588	SIPO	EF	6135642
704873	2414	1995-09-10	VYDAJ	PREVOD NA UCET	465	15290	SIPO	EF	6135642
704874	2414	1995-10-10	VYDAJ	PREVOD NA UCET	465	16125	SIPO	EF	6135642
704875	2414	1995-11-10	VYDAJ	PREVOD NA UCET	465	16463	SIPO	EF	6135642
704876	2414	1995-12-10	VYDAJ	PREVOD NA UCET	465	15449	SIPO	EF	6135642
704877	2414	1996-01-10	VYDAJ	PREVOD NA UCET	465	16155	SIPO	EF	6135642
704878	2414	1996-02-10	VYDAJ	PREVOD NA UCET	465	14791	SIPO	EF	6135642
704879	2414	1996-03-10	VYDAJ	PREVOD NA UCET	465	15824	SIPO	EF	6135642
704880	2414	1996-04-10	VYDAJ	PREVOD NA UCET	465	16862	SIPO	EF	6135642
704881	2414	1996-05-10	VYDAJ	PREVOD NA UCET	465	17904	SIPO	EF	6135642
704882	2414	1996-06-10	VYDAJ	PREVOD NA UCET	465	18950	SIPO	EF	6135642
704883	2414	1996-07-10	VYDAJ	PREVOD NA UCET	465	16843	SIPO	EF	6135642
704972	2414	1996-01-14	VYDAJ	VYBER	270	17333	\N	\N	\N
704884	2414	1996-08-10	VYDAJ	PREVOD NA UCET	465	15579	SIPO	EF	6135642
704885	2414	1996-09-10	VYDAJ	PREVOD NA UCET	465	13814	SIPO	EF	6135642
704886	2414	1996-10-10	VYDAJ	PREVOD NA UCET	465	14846	SIPO	EF	6135642
704887	2414	1996-11-10	VYDAJ	PREVOD NA UCET	465	13238	SIPO	EF	6135642
704888	2414	1996-12-10	VYDAJ	PREVOD NA UCET	465	12137	SIPO	EF	6135642
704889	2414	1997-01-10	VYDAJ	PREVOD NA UCET	465	12100	SIPO	EF	6135642
704890	2414	1997-02-10	VYDAJ	PREVOD NA UCET	465	10312	SIPO	EF	6135642
704891	2414	1997-03-10	VYDAJ	PREVOD NA UCET	465	11329	SIPO	EF	6135642
704892	2414	1997-04-10	VYDAJ	PREVOD NA UCET	465	12348	SIPO	EF	6135642
704893	2414	1997-05-10	VYDAJ	PREVOD NA UCET	465	13371	SIPO	EF	6135642
704894	2414	1997-06-10	VYDAJ	PREVOD NA UCET	465	14399	SIPO	EF	6135642
704895	2414	1997-07-10	VYDAJ	PREVOD NA UCET	465	15430	SIPO	EF	6135642
704896	2414	1997-08-10	VYDAJ	PREVOD NA UCET	465	15626	SIPO	EF	6135642
704897	2414	1997-09-10	VYDAJ	PREVOD NA UCET	465	15941	SIPO	EF	6135642
704898	2414	1997-10-10	VYDAJ	PREVOD NA UCET	465	16979	SIPO	EF	6135642
704899	2414	1997-11-10	VYDAJ	PREVOD NA UCET	465	16579	SIPO	EF	6135642
704900	2414	1997-12-10	VYDAJ	PREVOD NA UCET	465	12219	SIPO	EF	6135642
704901	2414	1998-01-10	VYDAJ	PREVOD NA UCET	465	13008	SIPO	EF	6135642
704902	2414	1998-02-10	VYDAJ	PREVOD NA UCET	465	13132	SIPO	EF	6135642
704903	2414	1998-03-10	VYDAJ	PREVOD NA UCET	465	12558	SIPO	EF	6135642
704904	2414	1998-04-10	VYDAJ	PREVOD NA UCET	465	13073	SIPO	EF	6135642
704905	2414	1998-05-10	VYDAJ	PREVOD NA UCET	465	14099	SIPO	EF	6135642
704906	2414	1998-06-10	VYDAJ	PREVOD NA UCET	465	12329	SIPO	EF	6135642
704907	2414	1998-07-10	VYDAJ	PREVOD NA UCET	465	13355	SIPO	EF	6135642
704908	2414	1998-08-10	VYDAJ	PREVOD NA UCET	465	14382	SIPO	EF	6135642
704909	2414	1998-09-10	VYDAJ	PREVOD NA UCET	465	15413	SIPO	EF	6135642
704910	2414	1998-10-10	VYDAJ	PREVOD NA UCET	465	16448	SIPO	EF	6135642
704911	2414	1998-11-10	VYDAJ	PREVOD NA UCET	465	17488	SIPO	EF	6135642
704912	2414	1998-12-10	VYDAJ	PREVOD NA UCET	465	18532	SIPO	EF	6135642
704919	2414	1995-07-11	VYDAJ	PREVOD NA UCET	1501	12237	 	EF	64713829
704920	2414	1995-08-11	VYDAJ	PREVOD NA UCET	1501	13087	 	EF	64713829
704921	2414	1995-09-11	VYDAJ	PREVOD NA UCET	1501	13789	 	EF	64713829
704922	2414	1995-10-11	VYDAJ	PREVOD NA UCET	1501	14624	 	EF	64713829
704923	2414	1995-11-11	VYDAJ	PREVOD NA UCET	1501	14962	 	EF	64713829
704924	2414	1995-12-11	VYDAJ	PREVOD NA UCET	1501	13948	 	EF	64713829
704925	2414	1996-01-11	VYDAJ	PREVOD NA UCET	1501	14654	 	EF	64713829
704926	2414	1996-02-11	VYDAJ	PREVOD NA UCET	1501	13290	 	EF	64713829
704927	2414	1996-03-11	VYDAJ	PREVOD NA UCET	1501	14323	 	EF	64713829
704928	2414	1996-04-11	VYDAJ	PREVOD NA UCET	1501	15361	 	EF	64713829
704929	2414	1996-05-11	VYDAJ	PREVOD NA UCET	1501	16403	 	EF	64713829
704930	2414	1996-06-11	VYDAJ	PREVOD NA UCET	1501	17299	 	EF	64713829
704931	2414	1996-07-11	VYDAJ	PREVOD NA UCET	1501	15342	 	EF	64713829
704932	2414	1996-08-11	VYDAJ	PREVOD NA UCET	1501	14078	 	EF	64713829
704933	2414	1996-09-11	VYDAJ	PREVOD NA UCET	1501	12313	 	EF	64713829
704934	2414	1996-10-11	VYDAJ	PREVOD NA UCET	1501	13345	 	EF	64713829
704935	2414	1996-11-11	VYDAJ	PREVOD NA UCET	1501	11737	 	EF	64713829
704936	2414	1996-12-11	VYDAJ	PREVOD NA UCET	1501	10636	 	EF	64713829
704937	2414	1997-01-11	VYDAJ	PREVOD NA UCET	1501	10599	 	EF	64713829
704938	2414	1997-02-11	VYDAJ	PREVOD NA UCET	1501	8811	 	EF	64713829
704939	2414	1997-03-11	VYDAJ	PREVOD NA UCET	1501	9828	 	EF	64713829
704940	2414	1997-04-11	VYDAJ	PREVOD NA UCET	1501	10847	 	EF	64713829
704941	2414	1997-05-11	VYDAJ	PREVOD NA UCET	1501	11870	 	EF	64713829
704942	2414	1997-06-11	VYDAJ	PREVOD NA UCET	1501	12898	 	EF	64713829
704943	2414	1997-07-11	VYDAJ	PREVOD NA UCET	1501	13929	 	EF	64713829
704944	2414	1997-08-11	VYDAJ	PREVOD NA UCET	1501	14125	 	EF	64713829
704945	2414	1997-09-11	VYDAJ	PREVOD NA UCET	1501	14440	 	EF	64713829
704946	2414	1997-10-11	VYDAJ	PREVOD NA UCET	1501	15478	 	EF	64713829
704947	2414	1997-11-11	VYDAJ	PREVOD NA UCET	1501	15078	 	EF	64713829
704948	2414	1997-12-11	VYDAJ	PREVOD NA UCET	1501	10718	 	EF	64713829
704949	2414	1998-01-11	VYDAJ	PREVOD NA UCET	1501	11507	 	EF	64713829
704950	2414	1998-02-11	VYDAJ	PREVOD NA UCET	1501	11631	 	EF	64713829
704951	2414	1998-03-11	VYDAJ	PREVOD NA UCET	1501	11057	 	EF	64713829
704952	2414	1998-04-11	VYDAJ	PREVOD NA UCET	1501	11572	 	EF	64713829
704953	2414	1998-05-11	VYDAJ	PREVOD NA UCET	1501	12598	 	EF	64713829
704954	2414	1998-06-11	VYDAJ	PREVOD NA UCET	1501	10828	 	EF	64713829
704955	2414	1998-07-11	VYDAJ	PREVOD NA UCET	1501	11854	 	EF	64713829
704956	2414	1998-08-11	VYDAJ	PREVOD NA UCET	1501	12881	 	EF	64713829
704957	2414	1998-09-11	VYDAJ	PREVOD NA UCET	1501	13912	 	EF	64713829
704958	2414	1998-10-11	VYDAJ	PREVOD NA UCET	1501	14947	 	EF	64713829
704959	2414	1998-11-11	VYDAJ	PREVOD NA UCET	1501	15987	 	EF	64713829
704960	2414	1998-12-11	VYDAJ	PREVOD NA UCET	1501	17031	 	EF	64713829
704961	2414	1995-12-03	VYDAJ	VYBER	150	15914	\N	\N	\N
704962	2414	1996-12-21	VYDAJ	VYBER	360	13225	\N	\N	\N
704963	2414	1997-12-30	VYDAJ	VYBER	240	13427	\N	\N	\N
704964	2414	1998-12-21	VYDAJ	VYBER	750	19230	\N	\N	\N
704971	2414	1996-01-30	VYDAJ	VYBER	510	15203	\N	\N	\N
704973	2414	1996-01-15	VYDAJ	VYBER	870	16463	\N	\N	\N
704974	2414	1996-01-16	VYDAJ	VYBER	210	16253	\N	\N	\N
704975	2414	1996-01-21	VYDAJ	VYBER	540	15713	\N	\N	\N
704976	2414	1996-01-04	VYDAJ	VYBER	330	16620	\N	\N	\N
704980	2414	1997-01-22	VYDAJ	VYBER	810	12738	\N	\N	\N
704985	2414	1998-01-15	VYDAJ	VYBER	660	13796	\N	\N	\N
704986	2414	1998-01-27	VYDAJ	VYBER	240	13556	\N	\N	\N
704989	2414	1995-07-29	VYDAJ	VYBER	180	15006	\N	\N	\N
704992	2414	1995-07-01	VYDAJ	VYBER	930	14203	\N	\N	\N
704993	2414	1995-08-18	VYDAJ	VYBER	330	15706	\N	\N	\N
704995	2414	1996-11-29	VYDAJ	VYBER	630	14056	\N	\N	\N
704996	2414	1996-10-15	VYDAJ	VYBER	390	15904	\N	\N	\N
704998	2414	1996-10-25	VYDAJ	VYBER	450	15454	\N	\N	\N
704999	2414	1996-06-10	VYDAJ	VYBER	150	18800	\N	\N	\N
705000	2414	1997-07-31	VYDAJ	VYBER	840	16091	\N	\N	\N
705001	2414	1997-08-20	VYDAJ	VYBER	450	16624	\N	\N	\N
705002	2414	1997-08-20	VYDAJ	VYBER	270	16354	\N	\N	\N
705004	2414	1997-10-17	VYDAJ	VYBER	1440	16987	\N	\N	\N
705005	2414	1998-03-31	VYDAJ	VYBER	510	13538	\N	\N	\N
705008	2414	1998-12-26	VYDAJ	VYBER	690	18540	\N	\N	\N
705015	2414	1995-06-30	VYDAJ	VYBER	15	15133	SLUZBY	\N	\N
705016	2414	1995-07-31	VYDAJ	VYBER	15	15053	SLUZBY	\N	\N
705017	2414	1995-08-31	VYDAJ	VYBER	15	15755	SLUZBY	\N	\N
705018	2414	1995-09-30	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
705019	2414	1995-10-31	VYDAJ	VYBER	15	16928	SLUZBY	\N	\N
705020	2414	1995-11-30	VYDAJ	VYBER	15	16064	SLUZBY	\N	\N
705021	2414	1995-12-31	VYDAJ	VYBER	15	16950	SLUZBY	\N	\N
705022	2414	1996-01-31	VYDAJ	VYBER	15	15256	SLUZBY	\N	\N
705023	2414	1996-02-29	VYDAJ	VYBER	15	16289	SLUZBY	\N	\N
705024	2414	1996-03-31	VYDAJ	VYBER	15	17327	SLUZBY	\N	\N
705025	2414	1996-04-30	VYDAJ	VYBER	15	18369	SLUZBY	\N	\N
705026	2414	1996-05-31	VYDAJ	VYBER	15	19415	SLUZBY	\N	\N
705027	2414	1996-06-30	VYDAJ	VYBER	15	17308	SLUZBY	\N	\N
705028	2414	1996-07-31	VYDAJ	VYBER	15	16044	SLUZBY	\N	\N
705029	2414	1996-08-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
705030	2414	1996-09-30	VYDAJ	VYBER	15	15311	SLUZBY	\N	\N
705031	2414	1996-10-31	VYDAJ	VYBER	15	15503	SLUZBY	\N	\N
705032	2414	1996-11-30	VYDAJ	VYBER	15	14102	SLUZBY	\N	\N
705033	2414	1996-12-31	VYDAJ	VYBER	15	13265	SLUZBY	\N	\N
705034	2414	1997-01-31	VYDAJ	VYBER	15	12777	SLUZBY	\N	\N
705035	2414	1997-02-28	VYDAJ	VYBER	15	11794	SLUZBY	\N	\N
705036	2414	1997-03-31	VYDAJ	VYBER	15	12813	SLUZBY	\N	\N
705037	2414	1997-04-30	VYDAJ	VYBER	15	13836	SLUZBY	\N	\N
705038	2414	1997-05-31	VYDAJ	VYBER	15	14864	SLUZBY	\N	\N
705039	2414	1997-06-30	VYDAJ	VYBER	15	15895	SLUZBY	\N	\N
705040	2414	1997-07-31	VYDAJ	VYBER	15	16931	SLUZBY	\N	\N
705041	2414	1997-08-31	VYDAJ	VYBER	15	16406	SLUZBY	\N	\N
705042	2414	1997-09-30	VYDAJ	VYBER	15	17444	SLUZBY	\N	\N
705043	2414	1997-10-31	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
705044	2414	1997-11-30	VYDAJ	VYBER	15	18084	SLUZBY	\N	\N
705045	2414	1997-12-31	VYDAJ	VYBER	15	13473	SLUZBY	\N	\N
705046	2414	1998-01-31	VYDAJ	VYBER	15	13597	SLUZBY	\N	\N
705047	2414	1998-02-28	VYDAJ	VYBER	15	14623	SLUZBY	\N	\N
705048	2414	1998-03-31	VYDAJ	VYBER	15	14048	SLUZBY	\N	\N
705049	2414	1998-04-30	VYDAJ	VYBER	15	14564	SLUZBY	\N	\N
705050	2414	1998-05-31	VYDAJ	VYBER	15	15594	SLUZBY	\N	\N
705051	2414	1998-06-30	VYDAJ	VYBER	15	13820	SLUZBY	\N	\N
705052	2414	1998-07-31	VYDAJ	VYBER	15	14847	SLUZBY	\N	\N
705053	2414	1998-08-31	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
705054	2414	1998-09-30	VYDAJ	VYBER	15	16913	SLUZBY	\N	\N
705055	2414	1998-10-31	VYDAJ	VYBER	15	17953	SLUZBY	\N	\N
705056	2414	1998-11-30	VYDAJ	VYBER	15	18997	SLUZBY	\N	\N
705057	2414	1995-09-16	VYDAJ	VYBER	200	16538	\N	\N	\N
705058	2414	1995-10-16	VYDAJ	VYBER	700	16873	\N	\N	\N
705059	2414	1995-11-15	VYDAJ	VYBER	1900	16011	\N	\N	\N
705060	2414	1996-06-12	VYDAJ	VYBER	3000	14299	\N	\N	\N
705061	2414	1996-07-12	VYDAJ	VYBER	2300	13042	\N	\N	\N
705062	2414	1996-08-11	VYDAJ	VYBER	700	13378	\N	\N	\N
705063	2414	1996-09-10	VYDAJ	VYBER	2100	14279	\N	\N	\N
705064	2414	1996-11-09	VYDAJ	VYBER	1800	13703	\N	\N	\N
705065	2414	1996-12-09	VYDAJ	VYBER	1500	12602	\N	\N	\N
705066	2414	1997-01-08	VYDAJ	VYBER	700	12565	\N	\N	\N
705067	2414	1997-02-07	VYDAJ	VYBER	2000	10777	\N	\N	\N
705068	2414	1997-12-04	VYDAJ	VYBER	5400	12684	\N	\N	\N
705069	2414	1998-03-04	VYDAJ	VYBER	1600	13023	\N	\N	\N
705070	2414	1998-06-02	VYDAJ	VYBER	2800	12794	\N	\N	\N
705114	2415	1997-02-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
705117	2415	1997-03-10	PRIJEM	VKLAD	15320	16420	\N	\N	\N
705118	2415	1997-04-10	PRIJEM	VKLAD	15320	37749	\N	\N	\N
705119	2415	1997-05-10	PRIJEM	VKLAD	15320	44065	\N	\N	\N
705120	2415	1997-06-10	PRIJEM	VKLAD	22980	57067	\N	\N	\N
705121	2415	1997-07-10	PRIJEM	VKLAD	15320	54532	\N	\N	\N
705122	2415	1997-08-10	PRIJEM	VKLAD	15320	43990	\N	\N	\N
705123	2415	1997-09-10	PRIJEM	VKLAD	15320	32365	\N	\N	\N
705124	2415	1997-10-10	PRIJEM	VKLAD	15320	28878	\N	\N	\N
705125	2415	1997-11-10	PRIJEM	VKLAD	15320	27939	\N	\N	\N
705126	2415	1997-12-10	PRIJEM	VKLAD	22980	35744	\N	\N	\N
705127	2415	1998-01-10	PRIJEM	VKLAD	15320	33476	\N	\N	\N
705128	2415	1998-02-10	PRIJEM	VKLAD	15320	36197	\N	\N	\N
705129	2415	1998-03-10	PRIJEM	VKLAD	15320	38428	\N	\N	\N
705130	2415	1998-04-10	PRIJEM	VKLAD	15320	35601	\N	\N	\N
705131	2415	1998-05-10	PRIJEM	VKLAD	15320	35227	\N	\N	\N
705132	2415	1998-06-10	PRIJEM	VKLAD	22980	43472	\N	\N	\N
705133	2415	1998-07-10	PRIJEM	VKLAD	15320	40117	\N	\N	\N
705134	2415	1998-08-10	PRIJEM	VKLAD	15320	40361	\N	\N	\N
705135	2415	1998-09-10	PRIJEM	VKLAD	15320	40605	\N	\N	\N
705136	2415	1998-10-10	PRIJEM	VKLAD	15320	39947	\N	\N	\N
705137	2415	1998-11-10	PRIJEM	VKLAD	15320	41370	\N	\N	\N
705138	2415	1998-12-10	PRIJEM	VKLAD	22980	51379	\N	\N	\N
705146	2415	1997-08-06	VYDAJ	PREVOD NA UCET	7308	28670	SIPO	OP	65874808
705147	2415	1997-09-06	VYDAJ	PREVOD NA UCET	7308	17045	SIPO	OP	65874808
705148	2415	1997-10-06	VYDAJ	PREVOD NA UCET	7308	13558	SIPO	OP	65874808
705149	2415	1997-11-06	VYDAJ	PREVOD NA UCET	7308	12619	SIPO	OP	65874808
705150	2415	1997-12-06	VYDAJ	PREVOD NA UCET	7308	12764	SIPO	OP	65874808
705151	2415	1998-01-06	VYDAJ	PREVOD NA UCET	7308	18156	SIPO	OP	65874808
705152	2415	1998-02-06	VYDAJ	PREVOD NA UCET	7308	20877	SIPO	OP	65874808
705153	2415	1998-03-06	VYDAJ	PREVOD NA UCET	7308	23108	SIPO	OP	65874808
705154	2415	1998-04-06	VYDAJ	PREVOD NA UCET	7308	20281	SIPO	OP	65874808
705155	2415	1998-05-06	VYDAJ	PREVOD NA UCET	7308	19907	SIPO	OP	65874808
705156	2415	1998-06-06	VYDAJ	PREVOD NA UCET	7308	20492	SIPO	OP	65874808
705157	2415	1998-07-06	VYDAJ	PREVOD NA UCET	7308	24797	SIPO	OP	65874808
705158	2415	1998-08-06	VYDAJ	PREVOD NA UCET	7308	25041	SIPO	OP	65874808
705159	2415	1998-09-06	VYDAJ	PREVOD NA UCET	7308	25285	SIPO	OP	65874808
705160	2415	1998-10-06	VYDAJ	PREVOD NA UCET	7308	24627	SIPO	OP	65874808
705161	2415	1998-11-06	VYDAJ	PREVOD NA UCET	7308	26050	SIPO	OP	65874808
705162	2415	1998-12-06	VYDAJ	PREVOD NA UCET	7308	28399	SIPO	OP	65874808
705165	2415	1997-12-13	VYDAJ	VYBER	2880	32864	\N	\N	\N
705166	2415	1998-12-14	VYDAJ	VYBER	3200	43379	\N	\N	\N
705167	2415	1997-11-06	VYDAJ	VYBER	840	19927	\N	\N	\N
705171	2415	1997-11-11	VYDAJ	VYBER	3840	24099	\N	\N	\N
705172	2415	1997-09-26	VYDAJ	VYBER	3600	20765	\N	\N	\N
705173	2415	1997-08-27	VYDAJ	VYBER	3480	24210	\N	\N	\N
705174	2415	1998-05-24	VYDAJ	VYBER	840	27687	\N	\N	\N
705175	2415	1998-03-18	VYDAJ	VYBER	3960	34468	\N	\N	\N
705176	2415	1998-12-11	VYDAJ	VYBER	4800	46579	\N	\N	\N
705177	2415	1998-10-18	VYDAJ	VYBER	3120	36827	\N	\N	\N
705185	2415	1997-07-31	VYDAJ	VYBER	15	35978	SLUZBY	\N	\N
705186	2415	1997-08-31	VYDAJ	VYBER	15	24353	SLUZBY	\N	\N
705187	2415	1997-09-30	VYDAJ	VYBER	15	20866	SLUZBY	\N	\N
705188	2415	1997-10-31	VYDAJ	VYBER	15	20767	SLUZBY	\N	\N
705189	2415	1997-11-30	VYDAJ	VYBER	15	20072	SLUZBY	\N	\N
705190	2415	1997-12-31	VYDAJ	VYBER	15	25464	SLUZBY	\N	\N
705191	2415	1998-01-31	VYDAJ	VYBER	15	28185	SLUZBY	\N	\N
705192	2415	1998-02-28	VYDAJ	VYBER	15	30416	SLUZBY	\N	\N
705193	2415	1998-03-31	VYDAJ	VYBER	15	27589	SLUZBY	\N	\N
705194	2415	1998-04-30	VYDAJ	VYBER	15	27215	SLUZBY	\N	\N
705195	2415	1998-05-31	VYDAJ	VYBER	15	27800	SLUZBY	\N	\N
705196	2415	1998-06-30	VYDAJ	VYBER	15	32105	SLUZBY	\N	\N
705197	2415	1998-07-31	VYDAJ	VYBER	15	32349	SLUZBY	\N	\N
705198	2415	1998-08-31	VYDAJ	VYBER	15	32593	SLUZBY	\N	\N
705199	2415	1998-09-30	VYDAJ	VYBER	15	31935	SLUZBY	\N	\N
705200	2415	1998-10-31	VYDAJ	VYBER	15	33358	SLUZBY	\N	\N
705201	2415	1998-11-30	VYDAJ	VYBER	15	35707	SLUZBY	\N	\N
705202	2415	1997-03-29	PRIJEM	VKLAD	6000	22420	\N	\N	\N
705203	2415	1997-04-28	VYDAJ	VYBER	9100	28649	\N	\N	\N
705204	2415	1997-05-28	VYDAJ	VYBER	10100	33965	\N	\N	\N
705205	2415	1997-06-27	VYDAJ	VYBER	18000	39067	\N	\N	\N
705206	2415	1997-07-27	VYDAJ	VYBER	18700	35832	\N	\N	\N
705207	2415	1997-08-26	VYDAJ	VYBER	16300	27690	\N	\N	\N
705208	2415	1997-09-25	VYDAJ	VYBER	8000	24365	\N	\N	\N
705209	2415	1997-10-25	VYDAJ	VYBER	8200	20678	\N	\N	\N
705210	2415	1997-11-24	VYDAJ	VYBER	4100	19999	\N	\N	\N
705211	2415	1997-12-24	VYDAJ	VYBER	7500	25364	\N	\N	\N
705212	2415	1998-01-23	VYDAJ	VYBER	5400	28076	\N	\N	\N
705213	2415	1998-02-22	VYDAJ	VYBER	5900	30297	\N	\N	\N
705214	2415	1998-03-24	VYDAJ	VYBER	7000	27468	\N	\N	\N
705215	2415	1998-04-23	VYDAJ	VYBER	8500	27101	\N	\N	\N
705216	2415	1998-05-23	VYDAJ	VYBER	6700	28527	\N	\N	\N
705217	2415	1998-06-22	VYDAJ	VYBER	11500	31972	\N	\N	\N
705218	2415	1998-07-22	VYDAJ	VYBER	7900	32217	\N	\N	\N
705219	2415	1998-08-21	VYDAJ	VYBER	7900	32461	\N	\N	\N
705220	2415	1998-09-20	VYDAJ	VYBER	8800	31805	\N	\N	\N
705221	2415	1998-10-20	VYDAJ	VYBER	3600	33227	\N	\N	\N
705222	2415	1998-11-19	VYDAJ	VYBER	5800	35570	\N	\N	\N
705245	2416	1996-01-23	PRIJEM	VKLAD	700	700	\N	\N	\N
705247	2416	1996-02-08	PRIJEM	VKLAD	16887	17587	\N	\N	\N
705248	2416	1996-03-08	PRIJEM	VKLAD	16887	41602	\N	\N	\N
705249	2416	1996-04-08	PRIJEM	VKLAD	16887	49001	\N	\N	\N
705250	2416	1996-05-08	PRIJEM	VKLAD	16887	53627	\N	\N	\N
705251	2416	1996-06-08	PRIJEM	VKLAD	25331	62611	\N	\N	\N
705252	2416	1996-07-08	PRIJEM	VKLAD	16887	48315	\N	\N	\N
705253	2416	1996-08-08	PRIJEM	VKLAD	16887	50105	\N	\N	\N
705254	2416	1996-09-08	PRIJEM	VKLAD	16887	47776	\N	\N	\N
705255	2416	1996-10-08	PRIJEM	VKLAD	16887	47659	\N	\N	\N
705256	2416	1996-11-08	PRIJEM	VKLAD	16887	46139	\N	\N	\N
705257	2416	1996-12-08	PRIJEM	VKLAD	25331	57864	\N	\N	\N
705258	2416	1997-01-08	PRIJEM	VKLAD	16887	30018	\N	\N	\N
705259	2416	1997-02-08	PRIJEM	VKLAD	16887	37207	\N	\N	\N
705260	2416	1997-03-08	PRIJEM	VKLAD	16887	44056	\N	\N	\N
705261	2416	1997-04-08	PRIJEM	VKLAD	16887	45425	\N	\N	\N
705262	2416	1997-05-08	PRIJEM	VKLAD	16887	48702	\N	\N	\N
705263	2416	1997-06-08	PRIJEM	VKLAD	25331	55527	\N	\N	\N
705264	2416	1997-07-08	PRIJEM	VKLAD	16887	51017	\N	\N	\N
705265	2416	1997-08-08	PRIJEM	VKLAD	16887	48103	\N	\N	\N
705266	2416	1997-09-08	PRIJEM	VKLAD	16887	48385	\N	\N	\N
705267	2416	1997-10-08	PRIJEM	VKLAD	16887	50771	\N	\N	\N
705268	2416	1997-11-08	PRIJEM	VKLAD	16887	45512	\N	\N	\N
705269	2416	1997-12-08	PRIJEM	VKLAD	25331	54123	\N	\N	\N
705270	2416	1998-01-08	PRIJEM	VKLAD	16887	45386	\N	\N	\N
705271	2416	1998-02-08	PRIJEM	VKLAD	16887	43584	\N	\N	\N
705272	2416	1998-03-08	PRIJEM	VKLAD	16887	36689	\N	\N	\N
705273	2416	1998-04-08	PRIJEM	VKLAD	16887	32332	\N	\N	\N
705274	2416	1998-05-08	PRIJEM	VKLAD	16887	29636	\N	\N	\N
705275	2416	1998-06-08	PRIJEM	VKLAD	25331	41497	\N	\N	\N
705276	2416	1998-07-08	PRIJEM	VKLAD	16887	31147	\N	\N	\N
705277	2416	1998-08-08	PRIJEM	VKLAD	16887	24836	\N	\N	\N
705278	2416	1998-09-08	PRIJEM	VKLAD	16887	22311	\N	\N	\N
705279	2416	1998-10-08	PRIJEM	VKLAD	16887	29799	\N	\N	\N
705280	2416	1998-11-08	PRIJEM	VKLAD	16887	35275	\N	\N	\N
705281	2416	1998-12-08	PRIJEM	VKLAD	25331	30404	\N	\N	\N
705287	2416	1996-06-12	VYDAJ	PREVOD NA UCET	9425	53186	SIPO	UV	52533727
705288	2416	1996-07-12	VYDAJ	PREVOD NA UCET	9425	38890	SIPO	UV	52533727
705289	2416	1996-08-12	VYDAJ	PREVOD NA UCET	9425	40680	SIPO	UV	52533727
705290	2416	1996-09-12	VYDAJ	PREVOD NA UCET	9425	38351	SIPO	UV	52533727
705291	2416	1996-10-12	VYDAJ	PREVOD NA UCET	9425	38234	SIPO	UV	52533727
705292	2416	1996-11-12	VYDAJ	PREVOD NA UCET	9425	36714	SIPO	UV	52533727
705293	2416	1996-12-12	VYDAJ	PREVOD NA UCET	9425	48439	SIPO	UV	52533727
705294	2416	1997-01-12	VYDAJ	PREVOD NA UCET	9425	20593	SIPO	UV	52533727
705295	2416	1997-02-12	VYDAJ	PREVOD NA UCET	9425	27782	SIPO	UV	52533727
705296	2416	1997-03-12	VYDAJ	PREVOD NA UCET	9425	34631	SIPO	UV	52533727
705297	2416	1997-04-12	VYDAJ	PREVOD NA UCET	9425	36000	SIPO	UV	52533727
705298	2416	1997-05-12	VYDAJ	PREVOD NA UCET	9425	39277	SIPO	UV	52533727
705299	2416	1997-06-12	VYDAJ	PREVOD NA UCET	9425	46102	SIPO	UV	52533727
705300	2416	1997-07-12	VYDAJ	PREVOD NA UCET	9425	41592	SIPO	UV	52533727
705301	2416	1997-08-12	VYDAJ	PREVOD NA UCET	9425	38678	SIPO	UV	52533727
705302	2416	1997-09-12	VYDAJ	PREVOD NA UCET	9425	38960	SIPO	UV	52533727
705303	2416	1997-10-12	VYDAJ	PREVOD NA UCET	9425	41346	SIPO	UV	52533727
705304	2416	1997-11-12	VYDAJ	PREVOD NA UCET	9425	36087	SIPO	UV	52533727
705305	2416	1997-12-12	VYDAJ	PREVOD NA UCET	9425	44698	SIPO	UV	52533727
705306	2416	1998-01-12	VYDAJ	PREVOD NA UCET	9425	35961	SIPO	UV	52533727
705307	2416	1998-02-12	VYDAJ	PREVOD NA UCET	9425	21759	SIPO	UV	52533727
705308	2416	1998-03-12	VYDAJ	PREVOD NA UCET	9425	27264	SIPO	UV	52533727
705309	2416	1998-04-12	VYDAJ	PREVOD NA UCET	9425	12707	SIPO	UV	52533727
705310	2416	1998-05-12	VYDAJ	PREVOD NA UCET	9425	16111	SIPO	UV	52533727
705311	2416	1998-06-12	VYDAJ	PREVOD NA UCET	9425	16972	SIPO	UV	52533727
705312	2416	1998-07-12	VYDAJ	PREVOD NA UCET	9425	7922	SIPO	UV	52533727
705313	2416	1998-08-12	VYDAJ	PREVOD NA UCET	9425	5411	SIPO	UV	52533727
705314	2416	1998-09-12	VYDAJ	PREVOD NA UCET	9425	12886	SIPO	UV	52533727
705315	2416	1998-10-12	VYDAJ	PREVOD NA UCET	9425	20374	SIPO	UV	52533727
705316	2416	1998-11-12	VYDAJ	PREVOD NA UCET	9425	5050	SIPO	UV	52533727
705317	2416	1998-12-12	VYDAJ	PREVOD NA UCET	9425	6779	SIPO	UV	52533727
705318	2416	1996-06-15	VYDAJ	VYBER	12000	41186	\N	\N	\N
705322	2416	1997-01-07	VYDAJ	VYBER	10400	13131	\N	\N	\N
705324	2416	1996-12-24	VYDAJ	VYBER	2400	31439	\N	\N	\N
705325	2416	1997-12-28	VYDAJ	VYBER	2400	32698	\N	\N	\N
705329	2416	1996-12-30	VYDAJ	VYBER	3720	27719	\N	\N	\N
705330	2416	1996-08-29	VYDAJ	VYBER	1320	30760	\N	\N	\N
705334	2416	1997-01-04	VYDAJ	VYBER	4320	23531	\N	\N	\N
705335	2416	1997-01-17	VYDAJ	VYBER	3360	20233	\N	\N	\N
705336	2416	1997-03-17	VYDAJ	VYBER	4200	30431	\N	\N	\N
705337	2416	1997-08-21	VYDAJ	VYBER	1800	31378	\N	\N	\N
705338	2416	1997-10-22	VYDAJ	VYBER	3240	28506	\N	\N	\N
705339	2416	1998-03-25	VYDAJ	VYBER	2280	15384	\N	\N	\N
705340	2416	1998-02-26	VYDAJ	VYBER	2040	19719	\N	\N	\N
705341	2416	1998-01-04	VYDAJ	VYBER	4320	28499	\N	\N	\N
705343	2416	1998-06-13	VYDAJ	VYBER	2760	14212	\N	\N	\N
705344	2416	1998-05-08	VYDAJ	VYBER	600	29036	\N	\N	\N
705345	2416	1998-10-14	VYDAJ	VYBER	2040	18334	\N	\N	\N
705354	2416	1996-06-30	VYDAJ	VYBER	15	31428	SLUZBY	\N	\N
705355	2416	1996-07-31	VYDAJ	VYBER	15	33218	SLUZBY	\N	\N
705356	2416	1996-08-31	VYDAJ	VYBER	15	30889	SLUZBY	\N	\N
705357	2416	1996-09-30	VYDAJ	VYBER	15	30772	SLUZBY	\N	\N
705358	2416	1996-10-31	VYDAJ	VYBER	15	29252	SLUZBY	\N	\N
705359	2416	1996-11-30	VYDAJ	VYBER	15	32533	SLUZBY	\N	\N
705360	2416	1996-12-31	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
705361	2416	1997-01-31	VYDAJ	VYBER	15	20320	SLUZBY	\N	\N
705362	2416	1997-02-28	VYDAJ	VYBER	15	27169	SLUZBY	\N	\N
705363	2416	1997-03-31	VYDAJ	VYBER	15	28538	SLUZBY	\N	\N
705364	2416	1997-04-30	VYDAJ	VYBER	15	31815	SLUZBY	\N	\N
705365	2416	1997-05-31	VYDAJ	VYBER	15	30196	SLUZBY	\N	\N
705366	2416	1997-06-30	VYDAJ	VYBER	15	34130	SLUZBY	\N	\N
705367	2416	1997-07-31	VYDAJ	VYBER	15	31216	SLUZBY	\N	\N
705368	2416	1997-08-31	VYDAJ	VYBER	15	31498	SLUZBY	\N	\N
705369	2416	1997-09-30	VYDAJ	VYBER	15	33884	SLUZBY	\N	\N
705370	2416	1997-10-31	VYDAJ	VYBER	15	28625	SLUZBY	\N	\N
705371	2416	1997-11-30	VYDAJ	VYBER	15	28792	SLUZBY	\N	\N
705372	2416	1997-12-31	VYDAJ	VYBER	15	32819	SLUZBY	\N	\N
705373	2416	1998-01-31	VYDAJ	VYBER	15	26697	SLUZBY	\N	\N
705374	2416	1998-02-28	VYDAJ	VYBER	15	19802	SLUZBY	\N	\N
705375	2416	1998-03-31	VYDAJ	VYBER	15	15445	SLUZBY	\N	\N
705376	2416	1998-04-30	VYDAJ	VYBER	15	12749	SLUZBY	\N	\N
705377	2416	1998-05-31	VYDAJ	VYBER	15	16166	SLUZBY	\N	\N
705378	2416	1998-06-30	VYDAJ	VYBER	15	14260	SLUZBY	\N	\N
705379	2416	1998-07-31	VYDAJ	VYBER	15	7949	SLUZBY	\N	\N
705380	2416	1998-08-31	VYDAJ	VYBER	15	5424	SLUZBY	\N	\N
705381	2416	1998-09-30	VYDAJ	VYBER	15	12912	SLUZBY	\N	\N
705382	2416	1998-10-31	VYDAJ	VYBER	15	18388	SLUZBY	\N	\N
705383	2416	1998-11-30	VYDAJ	VYBER	15	5073	SLUZBY	\N	\N
705384	2416	1996-02-22	PRIJEM	VKLAD	7100	24687	\N	\N	\N
705385	2416	1996-03-23	VYDAJ	VYBER	9600	32002	\N	\N	\N
705386	2416	1996-04-22	VYDAJ	VYBER	12400	36601	\N	\N	\N
705387	2416	1996-05-22	VYDAJ	VYBER	16500	37127	\N	\N	\N
705388	2416	1996-06-21	VYDAJ	VYBER	9900	31286	\N	\N	\N
705389	2416	1996-07-21	VYDAJ	VYBER	5800	33090	\N	\N	\N
705390	2416	1996-08-20	VYDAJ	VYBER	8600	32080	\N	\N	\N
705391	2416	1996-09-19	VYDAJ	VYBER	7700	30651	\N	\N	\N
705392	2416	1996-10-19	VYDAJ	VYBER	9100	29134	\N	\N	\N
705393	2416	1996-11-18	VYDAJ	VYBER	4300	32414	\N	\N	\N
705394	2416	1996-12-18	VYDAJ	VYBER	14600	33839	\N	\N	\N
705395	2416	1997-01-17	PRIJEM	VKLAD	3000	23593	\N	\N	\N
705396	2416	1997-02-16	VYDAJ	VYBER	700	27082	\N	\N	\N
705397	2416	1997-03-18	VYDAJ	VYBER	2000	28431	\N	\N	\N
705398	2416	1997-04-17	VYDAJ	VYBER	4300	31700	\N	\N	\N
705399	2416	1997-05-17	VYDAJ	VYBER	9200	30077	\N	\N	\N
705400	2416	1997-06-16	VYDAJ	VYBER	12100	34002	\N	\N	\N
705401	2416	1997-07-16	VYDAJ	VYBER	10500	31092	\N	\N	\N
705402	2416	1997-08-15	VYDAJ	VYBER	5500	33178	\N	\N	\N
705403	2416	1997-09-14	VYDAJ	VYBER	5200	33760	\N	\N	\N
705404	2416	1997-10-14	VYDAJ	VYBER	9600	31746	\N	\N	\N
705405	2416	1997-11-13	VYDAJ	VYBER	7400	28687	\N	\N	\N
705406	2416	1997-12-13	VYDAJ	VYBER	9600	35098	\N	\N	\N
705407	2416	1998-01-12	VYDAJ	VYBER	9400	26561	\N	\N	\N
705408	2416	1998-02-11	VYDAJ	VYBER	12400	31184	\N	\N	\N
705409	2416	1998-03-13	VYDAJ	VYBER	9600	17664	\N	\N	\N
705410	2416	1998-04-12	VYDAJ	VYBER	10200	22132	\N	\N	\N
705411	2416	1998-05-12	VYDAJ	VYBER	3500	25536	\N	\N	\N
705412	2416	1998-06-11	VYDAJ	VYBER	15100	26397	\N	\N	\N
705413	2416	1998-07-11	VYDAJ	VYBER	13800	17347	\N	\N	\N
705414	2416	1998-08-10	VYDAJ	VYBER	10000	14836	\N	\N	\N
705415	2416	1998-11-08	VYDAJ	VYBER	20800	14475	\N	\N	\N
705416	2416	1998-12-08	VYDAJ	VYBER	14200	16204	\N	\N	\N
705452	2417	1993-08-20	PRIJEM	VKLAD	800	800	\N	\N	\N
705461	2417	1993-09-07	PRIJEM	VKLAD	4744	5544	\N	\N	\N
705462	2417	1993-10-07	PRIJEM	VKLAD	4744	22017	\N	\N	\N
705463	2417	1993-11-07	PRIJEM	VKLAD	4744	26741	\N	\N	\N
705464	2417	1993-12-07	PRIJEM	VKLAD	7116	33055	\N	\N	\N
705465	2417	1994-01-07	PRIJEM	VKLAD	4744	34915	\N	\N	\N
705466	2417	1994-02-07	PRIJEM	VKLAD	4744	20799	\N	\N	\N
705467	2417	1994-03-07	PRIJEM	VKLAD	4744	26553	\N	\N	\N
705468	2417	1994-04-07	PRIJEM	VKLAD	4744	27815	\N	\N	\N
705469	2417	1994-05-07	PRIJEM	VKLAD	4744	25173	\N	\N	\N
705470	2417	1994-06-07	PRIJEM	VKLAD	7116	28600	\N	\N	\N
705471	2417	1994-07-07	PRIJEM	VKLAD	4744	19043	\N	\N	\N
705472	2417	1994-08-07	PRIJEM	VKLAD	4744	24683	\N	\N	\N
705473	2417	1994-09-07	PRIJEM	VKLAD	4744	25937	\N	\N	\N
705474	2417	1994-10-07	PRIJEM	VKLAD	4744	28303	\N	\N	\N
705475	2417	1994-11-07	PRIJEM	VKLAD	4744	25060	\N	\N	\N
705476	2417	1994-12-07	PRIJEM	VKLAD	7116	26683	\N	\N	\N
705477	2417	1995-01-07	PRIJEM	VKLAD	4744	17429	\N	\N	\N
705478	2417	1995-02-07	PRIJEM	VKLAD	4744	16952	\N	\N	\N
705479	2417	1995-03-07	PRIJEM	VKLAD	4744	18475	\N	\N	\N
705480	2417	1995-04-07	PRIJEM	VKLAD	4744	20505	\N	\N	\N
705481	2417	1995-05-07	PRIJEM	VKLAD	4744	18634	\N	\N	\N
705482	2417	1995-06-07	PRIJEM	VKLAD	7116	19728	\N	\N	\N
705483	2417	1995-07-07	PRIJEM	VKLAD	4744	17048	\N	\N	\N
705484	2417	1995-08-07	PRIJEM	VKLAD	4744	16366	\N	\N	\N
705485	2417	1995-09-07	PRIJEM	VKLAD	4744	14176	\N	\N	\N
705486	2417	1995-10-07	PRIJEM	VKLAD	4744	13583	\N	\N	\N
705487	2417	1995-11-07	PRIJEM	VKLAD	4744	15191	\N	\N	\N
705488	2417	1995-12-07	PRIJEM	VKLAD	7116	17877	\N	\N	\N
705489	2417	1996-01-07	PRIJEM	VKLAD	4744	12682	\N	\N	\N
705490	2417	1996-02-07	PRIJEM	VKLAD	4744	14286	\N	\N	\N
705491	2417	1996-03-07	PRIJEM	VKLAD	4744	15896	\N	\N	\N
705492	2417	1996-04-07	PRIJEM	VKLAD	4744	13608	\N	\N	\N
705493	2417	1996-05-07	PRIJEM	VKLAD	4744	15216	\N	\N	\N
705494	2417	1996-06-07	PRIJEM	VKLAD	7116	19203	\N	\N	\N
705495	2417	1996-07-07	PRIJEM	VKLAD	4744	20830	\N	\N	\N
705496	2417	1996-08-07	PRIJEM	VKLAD	4744	22468	\N	\N	\N
705497	2417	1996-09-07	PRIJEM	VKLAD	4744	24112	\N	\N	\N
705498	2417	1996-10-07	PRIJEM	VKLAD	4744	24962	\N	\N	\N
705499	2417	1996-11-07	PRIJEM	VKLAD	4744	26617	\N	\N	\N
705500	2417	1996-12-07	PRIJEM	VKLAD	7116	30651	\N	\N	\N
705501	2417	1997-01-07	PRIJEM	VKLAD	4744	30026	\N	\N	\N
705502	2417	1997-02-07	PRIJEM	VKLAD	4744	20380	\N	\N	\N
705503	2417	1997-03-07	PRIJEM	VKLAD	4744	18215	\N	\N	\N
705504	2417	1997-04-07	PRIJEM	VKLAD	4744	19842	\N	\N	\N
705505	2417	1997-05-07	PRIJEM	VKLAD	4744	21475	\N	\N	\N
705506	2417	1997-06-07	PRIJEM	VKLAD	7116	25488	\N	\N	\N
705507	2417	1997-07-07	PRIJEM	VKLAD	4744	24641	\N	\N	\N
705508	2417	1997-08-07	PRIJEM	VKLAD	4744	26300	\N	\N	\N
705509	2417	1997-09-07	PRIJEM	VKLAD	4744	27960	\N	\N	\N
705510	2417	1997-10-07	PRIJEM	VKLAD	4744	29627	\N	\N	\N
705511	2417	1997-11-07	PRIJEM	VKLAD	4744	31301	\N	\N	\N
705512	2417	1997-12-07	PRIJEM	VKLAD	7116	35354	\N	\N	\N
705513	2417	1998-01-07	PRIJEM	VKLAD	4744	32343	\N	\N	\N
705514	2417	1998-02-07	PRIJEM	VKLAD	4744	22420	\N	\N	\N
705515	2417	1998-03-07	PRIJEM	VKLAD	4744	24069	\N	\N	\N
705516	2417	1998-04-07	PRIJEM	VKLAD	4744	25720	\N	\N	\N
705517	2417	1998-05-07	PRIJEM	VKLAD	4744	27377	\N	\N	\N
705518	2417	1998-06-07	PRIJEM	VKLAD	7116	27109	\N	\N	\N
705519	2417	1998-07-07	PRIJEM	VKLAD	4744	28768	\N	\N	\N
705520	2417	1998-08-07	PRIJEM	VKLAD	4744	26728	\N	\N	\N
705521	2417	1998-09-07	PRIJEM	VKLAD	4744	20081	\N	\N	\N
705522	2417	1998-10-07	PRIJEM	VKLAD	4744	21715	\N	\N	\N
705523	2417	1998-11-07	PRIJEM	VKLAD	4744	23355	\N	\N	\N
705524	2417	1998-12-07	PRIJEM	VKLAD	7116	27374	\N	\N	\N
705537	2417	1994-01-13	VYDAJ	PREVOD NA UCET	1319	31796	SIPO	YZ	83809387
705538	2417	1994-02-13	VYDAJ	PREVOD NA UCET	1319	19480	SIPO	YZ	83809387
705539	2417	1994-03-13	VYDAJ	PREVOD NA UCET	1319	25234	SIPO	YZ	83809387
705540	2417	1994-04-13	VYDAJ	PREVOD NA UCET	1319	23296	SIPO	YZ	83809387
705541	2417	1994-05-13	VYDAJ	PREVOD NA UCET	1319	23854	SIPO	YZ	83809387
705542	2417	1994-06-13	VYDAJ	PREVOD NA UCET	1319	11281	SIPO	YZ	83809387
705543	2417	1994-07-13	VYDAJ	PREVOD NA UCET	1319	17724	SIPO	YZ	83809387
705544	2417	1994-08-13	VYDAJ	PREVOD NA UCET	1319	23364	SIPO	YZ	83809387
705545	2417	1994-09-13	VYDAJ	PREVOD NA UCET	1319	24618	SIPO	YZ	83809387
705546	2417	1994-10-13	VYDAJ	PREVOD NA UCET	1319	26984	SIPO	YZ	83809387
705547	2417	1994-11-13	VYDAJ	PREVOD NA UCET	1319	23741	SIPO	YZ	83809387
705548	2417	1994-12-13	VYDAJ	PREVOD NA UCET	1319	24664	SIPO	YZ	83809387
705549	2417	1995-01-13	VYDAJ	PREVOD NA UCET	1319	14010	SIPO	YZ	83809387
705550	2417	1995-02-13	VYDAJ	PREVOD NA UCET	1319	15533	SIPO	YZ	83809387
705551	2417	1995-03-13	VYDAJ	PREVOD NA UCET	1319	17556	SIPO	YZ	83809387
705552	2417	1995-04-13	VYDAJ	PREVOD NA UCET	1319	15686	SIPO	YZ	83809387
705553	2417	1995-05-13	VYDAJ	PREVOD NA UCET	1319	14415	SIPO	YZ	83809387
705554	2417	1995-06-13	VYDAJ	PREVOD NA UCET	1319	14109	SIPO	YZ	83809387
705555	2417	1995-07-13	VYDAJ	PREVOD NA UCET	1319	13429	SIPO	YZ	83809387
705556	2417	1995-08-13	VYDAJ	PREVOD NA UCET	1319	11247	SIPO	YZ	83809387
705557	2417	1995-09-13	VYDAJ	PREVOD NA UCET	1319	10657	SIPO	YZ	83809387
705558	2417	1995-10-13	VYDAJ	PREVOD NA UCET	1319	12264	SIPO	YZ	83809387
705559	2417	1995-11-13	VYDAJ	PREVOD NA UCET	1319	12572	SIPO	YZ	83809387
705560	2417	1995-12-13	VYDAJ	PREVOD NA UCET	1319	9758	SIPO	YZ	83809387
705561	2417	1996-01-13	VYDAJ	PREVOD NA UCET	1319	11363	SIPO	YZ	83809387
705562	2417	1996-02-13	VYDAJ	PREVOD NA UCET	1319	12967	SIPO	YZ	83809387
705563	2417	1996-03-13	VYDAJ	PREVOD NA UCET	1319	10677	SIPO	YZ	83809387
705564	2417	1996-04-13	VYDAJ	PREVOD NA UCET	1319	12289	SIPO	YZ	83809387
705565	2417	1996-05-13	VYDAJ	PREVOD NA UCET	1319	13897	SIPO	YZ	83809387
705566	2417	1996-06-13	VYDAJ	PREVOD NA UCET	1319	17884	SIPO	YZ	83809387
705567	2417	1996-07-13	VYDAJ	PREVOD NA UCET	1319	19511	SIPO	YZ	83809387
705568	2417	1996-08-13	VYDAJ	PREVOD NA UCET	1319	21149	SIPO	YZ	83809387
705569	2417	1996-09-13	VYDAJ	PREVOD NA UCET	1319	22793	SIPO	YZ	83809387
705570	2417	1996-10-13	VYDAJ	PREVOD NA UCET	1319	23643	SIPO	YZ	83809387
705571	2417	1996-11-13	VYDAJ	PREVOD NA UCET	1319	25298	SIPO	YZ	83809387
705572	2417	1996-12-13	VYDAJ	PREVOD NA UCET	1319	29332	SIPO	YZ	83809387
705573	2417	1997-01-13	VYDAJ	PREVOD NA UCET	1319	24007	SIPO	YZ	83809387
705574	2417	1997-02-13	VYDAJ	PREVOD NA UCET	1319	19061	SIPO	YZ	83809387
705575	2417	1997-03-13	VYDAJ	PREVOD NA UCET	1319	16896	SIPO	YZ	83809387
705576	2417	1997-04-13	VYDAJ	PREVOD NA UCET	1319	18523	SIPO	YZ	83809387
705577	2417	1997-05-13	VYDAJ	PREVOD NA UCET	1319	20156	SIPO	YZ	83809387
705578	2417	1997-06-13	VYDAJ	PREVOD NA UCET	1319	24169	SIPO	YZ	83809387
705579	2417	1997-07-13	VYDAJ	PREVOD NA UCET	1319	23322	SIPO	YZ	83809387
705580	2417	1997-08-13	VYDAJ	PREVOD NA UCET	1319	24981	SIPO	YZ	83809387
705581	2417	1997-09-13	VYDAJ	PREVOD NA UCET	1319	26641	SIPO	YZ	83809387
705582	2417	1997-10-13	VYDAJ	PREVOD NA UCET	1319	28308	SIPO	YZ	83809387
705583	2417	1997-11-13	VYDAJ	PREVOD NA UCET	1319	29982	SIPO	YZ	83809387
705584	2417	1997-12-13	VYDAJ	PREVOD NA UCET	1319	34035	SIPO	YZ	83809387
705585	2417	1998-01-13	VYDAJ	PREVOD NA UCET	1319	28624	SIPO	YZ	83809387
705586	2417	1998-02-13	VYDAJ	PREVOD NA UCET	1319	21101	SIPO	YZ	83809387
705587	2417	1998-03-13	VYDAJ	PREVOD NA UCET	1319	22750	SIPO	YZ	83809387
705588	2417	1998-04-13	VYDAJ	PREVOD NA UCET	1319	24401	SIPO	YZ	83809387
705589	2417	1998-05-13	VYDAJ	PREVOD NA UCET	1319	26058	SIPO	YZ	83809387
705590	2417	1998-06-13	VYDAJ	PREVOD NA UCET	1319	25790	SIPO	YZ	83809387
705591	2417	1998-07-13	VYDAJ	PREVOD NA UCET	1319	23749	SIPO	YZ	83809387
705592	2417	1998-08-13	VYDAJ	PREVOD NA UCET	1319	25409	SIPO	YZ	83809387
705593	2417	1998-09-13	VYDAJ	PREVOD NA UCET	1319	18762	SIPO	YZ	83809387
705594	2417	1998-10-13	VYDAJ	PREVOD NA UCET	1319	20396	SIPO	YZ	83809387
705595	2417	1998-11-13	VYDAJ	PREVOD NA UCET	1319	22036	SIPO	YZ	83809387
705596	2417	1998-12-13	VYDAJ	PREVOD NA UCET	1319	22355	SIPO	YZ	83809387
705609	2417	1994-01-14	VYDAJ	PREVOD NA UCET	1843	29953	 	OP	93963139
705610	2417	1994-02-14	VYDAJ	PREVOD NA UCET	1843	17637	 	OP	93963139
705611	2417	1994-03-14	VYDAJ	PREVOD NA UCET	1843	23391	 	OP	93963139
705612	2417	1994-04-14	VYDAJ	PREVOD NA UCET	1843	21453	 	OP	93963139
705613	2417	1994-05-14	VYDAJ	PREVOD NA UCET	1843	22011	 	OP	93963139
705614	2417	1994-06-14	VYDAJ	PREVOD NA UCET	1843	9438	 	OP	93963139
705615	2417	1994-07-14	VYDAJ	PREVOD NA UCET	1843	15881	 	OP	93963139
705616	2417	1994-08-14	VYDAJ	PREVOD NA UCET	1843	21521	 	OP	93963139
705617	2417	1994-09-14	VYDAJ	PREVOD NA UCET	1843	23475	 	OP	93963139
705618	2417	1994-10-14	VYDAJ	PREVOD NA UCET	1843	20241	 	OP	93963139
705619	2417	1994-11-14	VYDAJ	PREVOD NA UCET	1843	19498	 	OP	93963139
705620	2417	1994-12-14	VYDAJ	PREVOD NA UCET	1843	22821	 	OP	93963139
705621	2417	1995-01-14	VYDAJ	PREVOD NA UCET	1843	12167	 	OP	93963139
705622	2417	1995-02-14	VYDAJ	PREVOD NA UCET	1843	13690	 	OP	93963139
705623	2417	1995-03-14	VYDAJ	PREVOD NA UCET	1843	15713	 	OP	93963139
705624	2417	1995-04-14	VYDAJ	PREVOD NA UCET	1843	13843	 	OP	93963139
705625	2417	1995-05-14	VYDAJ	PREVOD NA UCET	1843	12572	 	OP	93963139
705626	2417	1995-06-14	VYDAJ	PREVOD NA UCET	1843	12266	 	OP	93963139
705627	2417	1995-07-14	VYDAJ	PREVOD NA UCET	1843	11586	 	OP	93963139
705628	2417	1995-08-14	VYDAJ	PREVOD NA UCET	1843	9404	 	OP	93963139
705629	2417	1995-09-14	VYDAJ	PREVOD NA UCET	1843	8814	 	OP	93963139
705630	2417	1995-10-14	VYDAJ	PREVOD NA UCET	1843	10421	 	OP	93963139
705631	2417	1995-11-14	VYDAJ	PREVOD NA UCET	1843	10729	 	OP	93963139
705632	2417	1995-12-14	VYDAJ	PREVOD NA UCET	1843	7915	 	OP	93963139
705633	2417	1996-01-14	VYDAJ	PREVOD NA UCET	1843	9520	 	OP	93963139
705634	2417	1996-02-14	VYDAJ	PREVOD NA UCET	1843	11124	 	OP	93963139
705635	2417	1996-03-14	VYDAJ	PREVOD NA UCET	1843	8834	 	OP	93963139
705636	2417	1996-04-14	VYDAJ	PREVOD NA UCET	1843	10446	 	OP	93963139
705637	2417	1996-05-14	VYDAJ	PREVOD NA UCET	1843	12054	 	OP	93963139
705638	2417	1996-06-14	VYDAJ	PREVOD NA UCET	1843	16041	 	OP	93963139
705639	2417	1996-07-14	VYDAJ	PREVOD NA UCET	1843	17668	 	OP	93963139
705640	2417	1996-08-14	VYDAJ	PREVOD NA UCET	1843	19306	 	OP	93963139
705641	2417	1996-09-14	VYDAJ	PREVOD NA UCET	1843	20950	 	OP	93963139
705642	2417	1996-10-14	VYDAJ	PREVOD NA UCET	1843	21800	 	OP	93963139
705643	2417	1996-11-14	VYDAJ	PREVOD NA UCET	1843	23455	 	OP	93963139
705644	2417	1996-12-14	VYDAJ	PREVOD NA UCET	1843	27489	 	OP	93963139
705645	2417	1997-01-14	VYDAJ	PREVOD NA UCET	1843	22164	 	OP	93963139
705646	2417	1997-02-14	VYDAJ	PREVOD NA UCET	1843	17218	 	OP	93963139
705647	2417	1997-03-14	VYDAJ	PREVOD NA UCET	1843	15053	 	OP	93963139
705648	2417	1997-04-14	VYDAJ	PREVOD NA UCET	1843	16680	 	OP	93963139
705649	2417	1997-05-14	VYDAJ	PREVOD NA UCET	1843	18313	 	OP	93963139
705650	2417	1997-06-14	VYDAJ	PREVOD NA UCET	1843	22326	 	OP	93963139
705651	2417	1997-07-14	VYDAJ	PREVOD NA UCET	1843	21479	 	OP	93963139
705652	2417	1997-08-14	VYDAJ	PREVOD NA UCET	1843	23138	 	OP	93963139
705653	2417	1997-09-14	VYDAJ	PREVOD NA UCET	1843	24798	 	OP	93963139
705654	2417	1997-10-14	VYDAJ	PREVOD NA UCET	1843	26465	 	OP	93963139
705655	2417	1997-11-14	VYDAJ	PREVOD NA UCET	1843	28139	 	OP	93963139
705656	2417	1997-12-14	VYDAJ	PREVOD NA UCET	1843	32192	 	OP	93963139
705657	2417	1998-01-14	VYDAJ	PREVOD NA UCET	1843	26781	 	OP	93963139
705658	2417	1998-02-14	VYDAJ	PREVOD NA UCET	1843	19258	 	OP	93963139
705659	2417	1998-03-14	VYDAJ	PREVOD NA UCET	1843	20907	 	OP	93963139
705660	2417	1998-04-14	VYDAJ	PREVOD NA UCET	1843	22558	 	OP	93963139
705661	2417	1998-05-14	VYDAJ	PREVOD NA UCET	1843	24215	 	OP	93963139
705662	2417	1998-06-14	VYDAJ	PREVOD NA UCET	1843	23947	 	OP	93963139
705663	2417	1998-07-14	VYDAJ	PREVOD NA UCET	1843	21906	 	OP	93963139
705664	2417	1998-08-14	VYDAJ	PREVOD NA UCET	1843	23566	 	OP	93963139
705665	2417	1998-09-14	VYDAJ	PREVOD NA UCET	1843	16919	 	OP	93963139
705666	2417	1998-10-14	VYDAJ	PREVOD NA UCET	1843	18553	 	OP	93963139
705667	2417	1998-11-14	VYDAJ	PREVOD NA UCET	1843	20193	 	OP	93963139
705668	2417	1998-12-14	VYDAJ	PREVOD NA UCET	1843	20512	 	OP	93963139
705670	2417	1994-06-07	VYDAJ	VYBER	16000	12600	\N	\N	\N
705676	2417	1994-12-22	VYDAJ	VYBER	2400	16721	\N	\N	\N
705678	2417	1996-12-14	VYDAJ	VYBER	700	26789	\N	\N	\N
705679	2417	1997-12-18	VYDAJ	VYBER	2600	29592	\N	\N	\N
705680	2417	1998-12-28	VYDAJ	VYBER	1000	19512	\N	\N	\N
705687	2417	1994-01-29	VYDAJ	VYBER	2800	20153	\N	\N	\N
705689	2417	1994-01-28	VYDAJ	VYBER	1400	22953	\N	\N	\N
705690	2417	1994-01-28	VYDAJ	VYBER	2400	24353	\N	\N	\N
705691	2417	1994-01-10	VYDAJ	VYBER	1800	33115	\N	\N	\N
705692	2417	1994-01-18	VYDAJ	VYBER	700	26753	\N	\N	\N
705694	2417	1995-01-04	VYDAJ	VYBER	1500	12685	\N	\N	\N
705696	2417	1995-01-09	VYDAJ	VYBER	900	16529	\N	\N	\N
705698	2417	1995-01-02	VYDAJ	VYBER	600	14185	\N	\N	\N
705705	2417	1997-01-05	VYDAJ	VYBER	1600	25282	\N	\N	\N
705706	2417	1997-01-16	VYDAJ	VYBER	1700	17964	\N	\N	\N
705708	2417	1997-01-11	VYDAJ	VYBER	2100	25326	\N	\N	\N
705709	2417	1997-01-17	VYDAJ	VYBER	2400	15564	\N	\N	\N
705710	2417	1997-01-15	VYDAJ	VYBER	2500	19664	\N	\N	\N
705711	2417	1998-01-05	VYDAJ	VYBER	2100	27599	\N	\N	\N
705712	2417	1998-01-24	VYDAJ	VYBER	1400	25381	\N	\N	\N
705713	2417	1998-01-26	VYDAJ	VYBER	2500	22881	\N	\N	\N
705714	2417	1998-01-28	VYDAJ	VYBER	1000	18981	\N	\N	\N
705715	2417	1998-01-28	VYDAJ	VYBER	2900	19981	\N	\N	\N
705716	2417	1998-01-09	VYDAJ	VYBER	2400	29943	\N	\N	\N
705719	2417	1994-04-13	VYDAJ	VYBER	3200	24615	\N	\N	\N
705720	2417	1994-02-04	VYDAJ	VYBER	4200	16055	\N	\N	\N
705721	2417	1994-12-28	VYDAJ	VYBER	2000	14721	\N	\N	\N
705722	2417	1994-12-19	VYDAJ	VYBER	3700	19121	\N	\N	\N
705724	2417	1995-06-09	VYDAJ	VYBER	3400	16328	\N	\N	\N
705731	2417	1996-09-15	VYDAJ	VYBER	800	20150	\N	\N	\N
705733	2417	1997-01-11	VYDAJ	VYBER	2600	27426	\N	\N	\N
705734	2417	1997-07-01	VYDAJ	VYBER	2500	19897	\N	\N	\N
705735	2417	1997-02-28	VYDAJ	VYBER	3800	13471	\N	\N	\N
705737	2417	1998-07-09	VYDAJ	VYBER	3700	25068	\N	\N	\N
705738	2417	1998-05-24	VYDAJ	VYBER	4300	19915	\N	\N	\N
705739	2417	1998-08-27	VYDAJ	VYBER	3000	17066	\N	\N	\N
705740	2417	1998-08-27	VYDAJ	VYBER	1800	15266	\N	\N	\N
705741	2417	1998-12-12	VYDAJ	VYBER	3700	23674	\N	\N	\N
705742	2417	1998-08-21	VYDAJ	VYBER	3500	20066	\N	\N	\N
705743	2417	1998-02-05	VYDAJ	VYBER	1400	17676	\N	\N	\N
705757	2417	1994-01-31	VYDAJ	VYBER	15	20255	SLUZBY	\N	\N
705758	2417	1994-02-28	VYDAJ	VYBER	15	21809	SLUZBY	\N	\N
705759	2417	1994-03-31	VYDAJ	VYBER	15	23071	SLUZBY	\N	\N
705760	2417	1994-04-30	VYDAJ	VYBER	15	20429	SLUZBY	\N	\N
705761	2417	1994-05-31	VYDAJ	VYBER	15	21484	SLUZBY	\N	\N
705762	2417	1994-06-30	VYDAJ	VYBER	15	14299	SLUZBY	\N	\N
705763	2417	1994-07-31	VYDAJ	VYBER	15	19939	SLUZBY	\N	\N
705764	2417	1994-08-31	VYDAJ	VYBER	15	21193	SLUZBY	\N	\N
705765	2417	1994-09-30	VYDAJ	VYBER	15	23559	SLUZBY	\N	\N
705766	2417	1994-10-31	VYDAJ	VYBER	15	20316	SLUZBY	\N	\N
705767	2417	1994-11-30	VYDAJ	VYBER	15	19567	SLUZBY	\N	\N
705768	2417	1994-12-31	VYDAJ	VYBER	15	14785	SLUZBY	\N	\N
705769	2417	1995-01-31	VYDAJ	VYBER	15	12208	SLUZBY	\N	\N
705770	2417	1995-02-28	VYDAJ	VYBER	15	13731	SLUZBY	\N	\N
705771	2417	1995-03-31	VYDAJ	VYBER	15	15761	SLUZBY	\N	\N
705772	2417	1995-04-30	VYDAJ	VYBER	15	13890	SLUZBY	\N	\N
705773	2417	1995-05-31	VYDAJ	VYBER	15	12612	SLUZBY	\N	\N
705774	2417	1995-06-30	VYDAJ	VYBER	15	12304	SLUZBY	\N	\N
705775	2417	1995-07-31	VYDAJ	VYBER	15	11622	SLUZBY	\N	\N
705776	2417	1995-08-31	VYDAJ	VYBER	15	9432	SLUZBY	\N	\N
705777	2417	1995-09-30	VYDAJ	VYBER	15	8839	SLUZBY	\N	\N
705778	2417	1995-10-31	VYDAJ	VYBER	15	10447	SLUZBY	\N	\N
705779	2417	1995-11-30	VYDAJ	VYBER	15	10761	SLUZBY	\N	\N
705780	2417	1995-12-31	VYDAJ	VYBER	15	7938	SLUZBY	\N	\N
705781	2417	1996-01-31	VYDAJ	VYBER	15	9542	SLUZBY	\N	\N
705782	2417	1996-02-29	VYDAJ	VYBER	15	11152	SLUZBY	\N	\N
705783	2417	1996-03-31	VYDAJ	VYBER	15	8864	SLUZBY	\N	\N
705784	2417	1996-04-30	VYDAJ	VYBER	15	10472	SLUZBY	\N	\N
705785	2417	1996-05-31	VYDAJ	VYBER	15	12087	SLUZBY	\N	\N
705786	2417	1996-06-30	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
705787	2417	1996-07-31	VYDAJ	VYBER	15	17724	SLUZBY	\N	\N
705788	2417	1996-08-31	VYDAJ	VYBER	15	19368	SLUZBY	\N	\N
705789	2417	1996-09-30	VYDAJ	VYBER	15	20218	SLUZBY	\N	\N
705790	2417	1996-10-31	VYDAJ	VYBER	15	21873	SLUZBY	\N	\N
705791	2417	1996-11-30	VYDAJ	VYBER	15	23535	SLUZBY	\N	\N
705792	2417	1996-12-31	VYDAJ	VYBER	15	26882	SLUZBY	\N	\N
705793	2417	1997-01-31	VYDAJ	VYBER	15	15636	SLUZBY	\N	\N
705794	2417	1997-02-28	VYDAJ	VYBER	15	17271	SLUZBY	\N	\N
705795	2417	1997-03-31	VYDAJ	VYBER	15	15098	SLUZBY	\N	\N
705796	2417	1997-04-30	VYDAJ	VYBER	15	16731	SLUZBY	\N	\N
705797	2417	1997-05-31	VYDAJ	VYBER	15	18372	SLUZBY	\N	\N
705798	2417	1997-06-30	VYDAJ	VYBER	15	22397	SLUZBY	\N	\N
705799	2417	1997-07-31	VYDAJ	VYBER	15	21556	SLUZBY	\N	\N
705800	2417	1997-08-31	VYDAJ	VYBER	15	23216	SLUZBY	\N	\N
705801	2417	1997-09-30	VYDAJ	VYBER	15	24883	SLUZBY	\N	\N
705802	2417	1997-10-31	VYDAJ	VYBER	15	26557	SLUZBY	\N	\N
705803	2417	1997-11-30	VYDAJ	VYBER	15	28238	SLUZBY	\N	\N
705804	2417	1997-12-31	VYDAJ	VYBER	15	29699	SLUZBY	\N	\N
705805	2417	1998-01-31	VYDAJ	VYBER	15	19076	SLUZBY	\N	\N
705806	2417	1998-02-28	VYDAJ	VYBER	15	19325	SLUZBY	\N	\N
705807	2417	1998-03-31	VYDAJ	VYBER	15	20976	SLUZBY	\N	\N
705808	2417	1998-04-30	VYDAJ	VYBER	15	22633	SLUZBY	\N	\N
705809	2417	1998-05-31	VYDAJ	VYBER	15	19993	SLUZBY	\N	\N
705810	2417	1998-06-30	VYDAJ	VYBER	15	24024	SLUZBY	\N	\N
705811	2417	1998-07-31	VYDAJ	VYBER	15	21984	SLUZBY	\N	\N
705812	2417	1998-08-31	VYDAJ	VYBER	15	15337	SLUZBY	\N	\N
705813	2417	1998-09-30	VYDAJ	VYBER	15	16971	SLUZBY	\N	\N
705814	2417	1998-10-31	VYDAJ	VYBER	15	18611	SLUZBY	\N	\N
705815	2417	1998-11-30	VYDAJ	VYBER	15	20258	SLUZBY	\N	\N
705816	2417	1993-09-19	PRIJEM	VKLAD	11700	17244	\N	\N	\N
705817	2417	1993-10-19	VYDAJ	VYBER	100	21917	\N	\N	\N
705818	2417	1993-11-18	VYDAJ	VYBER	900	25841	\N	\N	\N
705819	2417	1993-12-18	VYDAJ	VYBER	3000	30055	\N	\N	\N
705820	2417	1994-01-17	VYDAJ	VYBER	2500	27453	\N	\N	\N
705821	2417	1994-02-16	PRIJEM	VKLAD	4100	21737	\N	\N	\N
705822	2417	1994-03-18	VYDAJ	VYBER	400	22991	\N	\N	\N
705823	2417	1994-04-17	VYDAJ	VYBER	1100	20353	\N	\N	\N
705824	2417	1994-05-17	VYDAJ	VYBER	600	21411	\N	\N	\N
705825	2417	1994-06-16	PRIJEM	VKLAD	4800	14238	\N	\N	\N
705826	2417	1994-07-16	PRIJEM	VKLAD	4000	19881	\N	\N	\N
705827	2417	1994-08-15	VYDAJ	VYBER	400	21121	\N	\N	\N
705828	2417	1994-09-14	PRIJEM	VKLAD	700	25318	\N	\N	\N
705829	2417	1994-10-14	VYDAJ	VYBER	4900	22084	\N	\N	\N
705830	2417	1994-11-13	VYDAJ	VYBER	2400	21341	\N	\N	\N
705831	2417	1994-12-13	VYDAJ	VYBER	700	25983	\N	\N	\N
705832	2417	1995-01-12	VYDAJ	VYBER	1200	15329	\N	\N	\N
705833	2417	1995-02-11	VYDAJ	VYBER	100	16852	\N	\N	\N
705834	2417	1995-03-13	PRIJEM	VKLAD	400	18875	\N	\N	\N
705835	2417	1995-04-12	VYDAJ	VYBER	3500	17005	\N	\N	\N
705836	2417	1995-05-12	VYDAJ	VYBER	2900	15734	\N	\N	\N
705837	2417	1995-06-11	VYDAJ	VYBER	900	15428	\N	\N	\N
705838	2417	1995-07-11	VYDAJ	VYBER	2300	14748	\N	\N	\N
705839	2417	1995-08-10	VYDAJ	VYBER	3800	12566	\N	\N	\N
705840	2417	1995-09-09	VYDAJ	VYBER	2200	11976	\N	\N	\N
705841	2417	1995-11-08	VYDAJ	VYBER	1300	13891	\N	\N	\N
705842	2417	1995-12-08	VYDAJ	VYBER	6800	11077	\N	\N	\N
705843	2417	1996-03-07	VYDAJ	VYBER	3900	11996	\N	\N	\N
705908	2418	1996-10-29	PRIJEM	VKLAD	200	200	\N	\N	\N
705916	2418	1996-11-16	PRIJEM	VKLAD	5336	78797	\N	\N	\N
705919	2418	1996-11-20	PRIJEM	VKLAD	36048	114845	\N	\N	\N
705921	2418	1996-12-08	PRIJEM	VKLAD	32279	68783	\N	\N	\N
705926	2418	1996-12-18	PRIJEM	VKLAD	39873	100856	\N	\N	\N
705927	2418	1996-10-31	PRIJEM	VKLAD	15633	43681	\N	\N	\N
705930	2418	1996-11-02	PRIJEM	VKLAD	29780	73461	\N	\N	\N
705931	2418	1996-10-31	PRIJEM	VKLAD	27844	28044	\N	\N	\N
705933	2418	1997-09-07	PRIJEM	VKLAD	23383	123594	\N	\N	\N
705934	2418	1997-08-31	PRIJEM	VKLAD	28774	100225	\N	\N	\N
705935	2418	1997-12-30	PRIJEM	VKLAD	13492	46213	\N	\N	\N
705936	2418	1997-01-09	PRIJEM	VKLAD	44276	125253	\N	\N	\N
705937	2418	1997-01-01	PRIJEM	VKLAD	13721	74024	\N	\N	\N
705938	2418	1997-02-12	PRIJEM	VKLAD	7777	76035	\N	\N	\N
705939	2418	1997-06-25	PRIJEM	VKLAD	13176	70009	\N	\N	\N
705940	2418	1997-03-04	PRIJEM	VKLAD	29342	79699	\N	\N	\N
705941	2418	1997-08-03	PRIJEM	VKLAD	40554	74659	\N	\N	\N
705942	2418	1997-08-27	PRIJEM	VKLAD	35387	81846	\N	\N	\N
705943	2418	1997-08-29	PRIJEM	VKLAD	46728	128574	\N	\N	\N
705944	2418	1997-09-25	PRIJEM	VKLAD	16884	59673	\N	\N	\N
705945	2418	1997-04-19	PRIJEM	VKLAD	23571	119827	\N	\N	\N
705946	2418	1997-12-19	PRIJEM	VKLAD	18813	40021	\N	\N	\N
705947	2418	1997-09-15	PRIJEM	VKLAD	44034	121390	\N	\N	\N
705948	2418	1997-04-11	PRIJEM	VKLAD	5868	89254	\N	\N	\N
705949	2418	1997-04-03	PRIJEM	VKLAD	43477	83386	\N	\N	\N
705950	2418	1997-02-17	PRIJEM	VKLAD	9406	85441	\N	\N	\N
705951	2418	1997-04-25	PRIJEM	VKLAD	17245	83872	\N	\N	\N
705952	2418	1997-01-05	PRIJEM	VKLAD	15653	88177	\N	\N	\N
705953	2418	1997-05-03	PRIJEM	VKLAD	49496	99831	\N	\N	\N
705954	2418	1997-02-10	PRIJEM	VKLAD	45156	68258	\N	\N	\N
705955	2418	1997-03-09	PRIJEM	VKLAD	38278	117977	\N	\N	\N
705956	2418	1997-04-16	PRIJEM	VKLAD	18487	96256	\N	\N	\N
705957	2418	1997-09-13	PRIJEM	VKLAD	16862	77356	\N	\N	\N
705958	2418	1998-09-11	PRIJEM	VKLAD	17056	74621	\N	\N	\N
705959	2418	1998-01-17	PRIJEM	VKLAD	29449	78594	\N	\N	\N
705960	2418	1998-03-17	PRIJEM	VKLAD	9374	45387	\N	\N	\N
705961	2418	1998-05-20	PRIJEM	VKLAD	16755	49093	\N	\N	\N
705962	2418	1998-11-23	PRIJEM	VKLAD	43160	67248	\N	\N	\N
705963	2418	1998-04-06	PRIJEM	VKLAD	33094	67894	\N	\N	\N
705964	2418	1998-12-04	PRIJEM	VKLAD	30624	129046	\N	\N	\N
705965	2418	1998-10-14	PRIJEM	VKLAD	13990	73532	\N	\N	\N
705966	2418	1998-12-02	PRIJEM	VKLAD	27109	94536	\N	\N	\N
705967	2418	1998-03-11	PRIJEM	VKLAD	13136	36013	\N	\N	\N
705968	2418	1998-08-08	PRIJEM	VKLAD	26475	105724	\N	\N	\N
705969	2418	1998-08-07	PRIJEM	VKLAD	25909	47589	\N	\N	\N
705970	2418	1998-09-06	PRIJEM	VKLAD	37745	97204	\N	\N	\N
705971	2418	1998-01-12	PRIJEM	VKLAD	49137	110745	\N	\N	\N
705972	2418	1998-01-01	PRIJEM	VKLAD	37993	84321	\N	\N	\N
705973	2418	1998-09-07	PRIJEM	VKLAD	17114	114318	\N	\N	\N
705974	2418	1998-12-02	PRIJEM	VKLAD	26486	121022	\N	\N	\N
705975	2418	1998-06-07	PRIJEM	VKLAD	18864	53018	\N	\N	\N
705976	2418	1998-12-17	PRIJEM	VKLAD	45073	113119	\N	\N	\N
705977	2418	1998-08-08	PRIJEM	VKLAD	31660	79249	\N	\N	\N
705978	2418	1998-09-12	PRIJEM	VKLAD	29828	104449	\N	\N	\N
705979	2418	1998-12-28	PRIJEM	VKLAD	25786	75505	\N	\N	\N
705982	2418	1997-09-17	VYBER	VYBER	14401	64989	\N	\N	\N
705983	2418	1997-10-17	VYBER	VYBER	10532	31153	\N	\N	\N
705984	2418	1997-10-08	VYBER	VYBER	14066	41685	\N	\N	\N
705985	2418	1997-04-15	VYBER	VYBER	11485	77769	\N	\N	\N
705986	2418	1998-09-09	VYBER	VYBER	3053	57565	\N	\N	\N
705987	2418	1998-08-11	VYBER	VYBER	10813	94911	\N	\N	\N
705988	2418	1998-01-08	VYBER	VYBER	12513	61608	\N	\N	\N
705989	2418	1998-06-13	VYBER	VYBER	24043	28975	\N	\N	\N
705991	2418	1998-11-15	VYBER	VYBER	3449	40088	\N	\N	\N
705996	2418	1997-01-13	VYDAJ	VYBER	15300	55353	\N	\N	\N
705997	2418	1998-01-23	VYDAJ	VYBER	22200	24694	\N	\N	\N
705998	2418	1996-12-15	VYDAJ	VYBER	7800	60983	\N	\N	\N
706000	2418	1998-12-12	VYDAJ	VYBER	4200	68046	\N	\N	\N
706007	2418	1997-01-21	VYDAJ	VYBER	6900	48453	\N	\N	\N
706008	2418	1997-01-27	VYDAJ	VYBER	7800	29153	\N	\N	\N
706009	2418	1997-01-03	VYDAJ	VYBER	1500	72524	\N	\N	\N
706010	2418	1997-01-28	VYDAJ	VYBER	6300	22853	\N	\N	\N
706011	2418	1997-01-06	VYDAJ	VYBER	7200	80977	\N	\N	\N
706012	2418	1997-01-09	VYDAJ	VYBER	2400	70653	\N	\N	\N
706013	2418	1998-01-20	VYDAJ	VYBER	4200	67494	\N	\N	\N
706014	2418	1998-01-12	VYDAJ	VYBER	5100	49145	\N	\N	\N
706015	2418	1998-01-19	VYDAJ	VYBER KARTOU	2100	71694	\N	\N	0
706016	2418	1998-01-05	VYDAJ	VYBER KARTOU	3300	81021	\N	\N	0
706017	2418	1998-01-05	VYDAJ	VYBER	6900	74121	\N	\N	\N
706018	2418	1998-01-17	VYDAJ	VYBER	4800	73794	\N	\N	\N
706024	2418	1997-12-02	VYDAJ	VYBER	5700	21208	\N	\N	\N
706026	2418	1997-04-21	VYDAJ	VYBER	1500	66627	\N	\N	\N
706027	2418	1997-09-25	VYDAJ	VYBER	4200	55473	\N	\N	\N
706028	2418	1997-06-09	VYDAJ	VYBER	3300	56833	\N	\N	\N
706030	2418	1998-05-06	VYDAJ	VYBER	13200	32338	\N	\N	\N
706042	2418	1996-11-30	VYDAJ	VYBER	15	36504	SLUZBY	\N	\N
706043	2418	1996-12-31	VYDAJ	VYBER	15	60303	SLUZBY	\N	\N
706044	2418	1997-01-31	VYDAJ	VYBER	15	23102	SLUZBY	\N	\N
706045	2418	1997-02-28	VYDAJ	VYBER	15	50357	SLUZBY	\N	\N
706046	2418	1997-03-31	VYDAJ	VYBER	15	39909	SLUZBY	\N	\N
706047	2418	1997-04-30	VYDAJ	VYBER	15	50335	SLUZBY	\N	\N
706048	2418	1997-05-31	VYDAJ	VYBER	15	60133	SLUZBY	\N	\N
706049	2418	1997-06-30	VYDAJ	VYBER	15	44236	SLUZBY	\N	\N
706050	2418	1997-07-31	VYDAJ	VYBER	15	34105	SLUZBY	\N	\N
706051	2418	1997-08-31	VYDAJ	VYBER	15	100211	SLUZBY	\N	\N
706052	2418	1997-09-30	VYDAJ	VYBER	15	55751	SLUZBY	\N	\N
706053	2418	1997-10-31	VYDAJ	VYBER	15	25516	SLUZBY	\N	\N
706054	2418	1997-11-30	VYDAJ	VYBER	15	26908	SLUZBY	\N	\N
706055	2418	1997-12-31	VYDAJ	VYBER	15	46328	SLUZBY	\N	\N
706056	2418	1998-01-31	VYDAJ	VYBER	15	24888	SLUZBY	\N	\N
706057	2418	1998-02-28	VYDAJ	VYBER	15	22877	SLUZBY	\N	\N
706058	2418	1998-03-31	VYDAJ	VYBER	15	34800	SLUZBY	\N	\N
706059	2418	1998-04-30	VYDAJ	VYBER	15	45538	SLUZBY	\N	\N
706060	2418	1998-05-31	VYDAJ	VYBER	15	34154	SLUZBY	\N	\N
706061	2418	1998-06-30	VYDAJ	VYBER	15	26286	SLUZBY	\N	\N
706062	2418	1998-07-31	VYDAJ	VYBER	15	21680	SLUZBY	\N	\N
706063	2418	1998-08-31	VYDAJ	VYBER	15	59459	SLUZBY	\N	\N
706064	2418	1998-09-30	VYDAJ	VYBER	15	59542	SLUZBY	\N	\N
706065	2418	1998-10-31	VYDAJ	VYBER	15	43537	SLUZBY	\N	\N
706066	2418	1998-11-30	VYDAJ	VYBER	15	67427	SLUZBY	\N	\N
706067	2418	1996-11-20	VYDAJ	VYBER	64100	50745	\N	\N	\N
706068	2418	1996-11-28	VYDAJ	VYBER	14400	36345	\N	\N	\N
706069	2418	1996-12-28	VYDAJ	VYBER	40800	60056	\N	\N	\N
706070	2418	1997-01-09	VYDAJ	VYBER	52200	73053	\N	\N	\N
706071	2418	1997-01-27	VYDAJ	VYBER	11500	36953	\N	\N	\N
706072	2418	1997-02-26	VYDAJ	VYBER	35300	50141	\N	\N	\N
706073	2418	1997-03-09	VYDAJ	VYBER	51100	66877	\N	\N	\N
706074	2418	1997-03-28	VYDAJ	VYBER	27200	39677	\N	\N	\N
706075	2418	1997-04-19	VYDAJ	VYBER	51700	68127	\N	\N	\N
706076	2418	1997-04-27	VYDAJ	VYBER	33800	50072	\N	\N	\N
706077	2418	1997-05-27	VYDAJ	VYBER	39900	59931	\N	\N	\N
706078	2418	1997-06-26	VYDAJ	VYBER	26000	44009	\N	\N	\N
706079	2418	1997-07-26	VYDAJ	VYBER	10300	33936	\N	\N	\N
706080	2418	1997-08-25	VYDAJ	VYBER	28200	46459	\N	\N	\N
706081	2418	1997-08-29	VYDAJ	VYBER	57300	71274	\N	\N	\N
706082	2418	1997-09-07	VYDAJ	VYBER	63100	60494	\N	\N	\N
706083	2418	1997-09-15	VYDAJ	VYBER	42000	79390	\N	\N	\N
706084	2418	1997-09-24	VYDAJ	VYBER	22200	42789	\N	\N	\N
706085	2418	1997-10-24	VYDAJ	VYBER	5800	25353	\N	\N	\N
706086	2418	1997-11-23	PRIJEM	VKLAD	1300	26816	\N	\N	\N
706087	2418	1997-12-23	VYDAJ	VYBER	7300	32721	\N	\N	\N
706088	2418	1998-01-12	VYDAJ	VYBER	56500	54245	\N	\N	\N
706089	2418	1998-01-22	VYDAJ	VYBER	20600	46894	\N	\N	\N
706090	2418	1998-02-21	VYDAJ	VYBER KARTOU	2100	22788	\N	\N	0
706091	2418	1998-03-23	VYDAJ	VYBER	10700	34687	\N	\N	\N
706092	2418	1998-04-22	VYDAJ	VYBER	22500	45394	\N	\N	\N
706093	2418	1998-05-22	VYDAJ	VYBER	15100	33993	\N	\N	\N
706094	2418	1998-06-21	VYDAJ	VYBER KARTOU	2800	26175	\N	\N	0
706095	2418	1998-07-21	VYDAJ	VYBER	4700	21586	\N	\N	\N
706096	2418	1998-08-20	VYDAJ	VYBER	35700	59211	\N	\N	\N
706097	2418	1998-09-07	VYDAJ	VYBER	53700	60618	\N	\N	\N
706098	2418	1998-09-19	VYDAJ	VYBER	45200	59249	\N	\N	\N
706099	2418	1998-10-19	VYDAJ	VYBER	30200	43332	\N	\N	\N
706100	2418	1998-11-18	VYDAJ	VYBER	16000	24088	\N	\N	\N
706101	2418	1998-12-02	VYDAJ	VYBER	22600	98422	\N	\N	\N
706102	2418	1998-12-04	VYDAJ	VYBER	56800	72246	\N	\N	\N
706103	2418	1998-12-17	VYDAJ	VYBER	21100	92019	\N	\N	\N
706104	2418	1998-12-18	VYDAJ	VYBER	42300	49719	\N	\N	\N
706132	2419	1993-11-27	PRIJEM	VKLAD	900	900	\N	\N	\N
706133	2419	1993-12-03	PRIJEM	VKLAD	8978	9878	\N	\N	\N
706158	2419	1993-12-13	PRIJEM	VKLAD	36320	46198	\N	\N	\N
706162	2419	1994-04-07	PRIJEM	VKLAD	21045	72752	\N	\N	\N
706163	2419	1994-08-10	PRIJEM	VKLAD	22968	109094	\N	\N	\N
706164	2419	1994-07-31	PRIJEM	VKLAD	30879	87329	\N	\N	\N
706165	2419	1994-09-22	PRIJEM	VKLAD	40036	122139	\N	\N	\N
706166	2419	1994-01-02	PRIJEM	VKLAD	36593	70801	\N	\N	\N
706167	2419	1994-10-12	PRIJEM	VKLAD	20384	67312	\N	\N	\N
706168	2419	1994-08-23	PRIJEM	VKLAD	29995	92113	\N	\N	\N
706169	2419	1994-11-15	PRIJEM	VKLAD	8401	44465	\N	\N	\N
706170	2419	1994-07-21	PRIJEM	VKLAD	33698	111150	\N	\N	\N
706171	2419	1994-08-17	PRIJEM	VKLAD	10724	62118	\N	\N	\N
706172	2419	1994-06-09	PRIJEM	VKLAD	45573	91383	\N	\N	\N
706173	2419	1994-07-04	PRIJEM	VKLAD	36320	122452	\N	\N	\N
706174	2419	1994-08-09	PRIJEM	VKLAD	39453	118026	\N	\N	\N
706175	2419	1994-05-25	PRIJEM	VKLAD	12816	49183	\N	\N	\N
706176	2419	1994-03-02	PRIJEM	VKLAD	22087	81057	\N	\N	\N
706177	2419	1994-06-08	PRIJEM	VKLAD	29071	45810	\N	\N	\N
706178	2419	1994-06-28	PRIJEM	VKLAD	11341	44199	\N	\N	\N
706179	2419	1994-02-03	PRIJEM	VKLAD	49008	97562	\N	\N	\N
706180	2419	1994-11-30	PRIJEM	VKLAD	25653	53018	\N	\N	\N
706181	2419	1994-06-29	PRIJEM	VKLAD	41694	85893	\N	\N	\N
706182	2419	1994-09-08	PRIJEM	VKLAD	39735	90603	\N	\N	\N
706183	2419	1994-12-29	PRIJEM	VKLAD	32662	53208	\N	\N	\N
706184	2419	1995-08-03	PRIJEM	VKLAD	12862	79890	\N	\N	\N
706185	2419	1995-02-13	PRIJEM	VKLAD	6112	56150	\N	\N	\N
706186	2419	1995-03-28	PRIJEM	VKLAD	19069	55618	\N	\N	\N
706187	2419	1995-10-24	PRIJEM	VKLAD	11548	59467	\N	\N	\N
706188	2419	1995-03-27	PRIJEM	VKLAD	19151	36549	\N	\N	\N
706189	2419	1995-08-07	PRIJEM	VKLAD	22683	102573	\N	\N	\N
706190	2419	1995-07-29	PRIJEM	VKLAD	32898	66865	\N	\N	\N
706191	2419	1995-01-16	PRIJEM	VKLAD	43242	78627	\N	\N	\N
706192	2419	1995-12-16	PRIJEM	VKLAD	9478	95862	\N	\N	\N
706193	2419	1995-01-29	PRIJEM	VKLAD	26373	72500	\N	\N	\N
706194	2419	1995-06-09	PRIJEM	VKLAD	27831	108521	\N	\N	\N
706195	2419	1995-10-12	PRIJEM	VKLAD	13155	85003	\N	\N	\N
706196	2419	1995-04-20	PRIJEM	VKLAD	13308	61018	\N	\N	\N
706197	2419	1995-05-18	PRIJEM	VKLAD	12370	83903	\N	\N	\N
706198	2419	1995-03-20	PRIJEM	VKLAD	5561	13398	\N	\N	\N
706199	2419	1995-07-07	PRIJEM	VKLAD	26514	61751	\N	\N	\N
706200	2419	1995-08-14	PRIJEM	VKLAD	32684	103502	\N	\N	\N
706201	2419	1995-10-08	PRIJEM	VKLAD	44065	71848	\N	\N	\N
706202	2419	1995-05-15	PRIJEM	VKLAD	41606	71533	\N	\N	\N
706203	2419	1995-06-06	PRIJEM	VKLAD	42999	80690	\N	\N	\N
706204	2419	1995-08-11	PRIJEM	VKLAD	19729	122302	\N	\N	\N
706205	2419	1995-06-26	PRIJEM	VKLAD	5553	35089	\N	\N	\N
706206	2419	1995-12-10	PRIJEM	VKLAD	37816	94368	\N	\N	\N
706207	2419	1995-12-01	PRIJEM	VKLAD	34244	70612	\N	\N	\N
706208	2419	1996-07-14	PRIJEM	VKLAD	40741	102542	\N	\N	\N
706209	2419	1996-03-21	PRIJEM	VKLAD	14070	83399	\N	\N	\N
706210	2419	1996-01-11	PRIJEM	VKLAD	7826	65464	\N	\N	\N
706211	2419	1996-10-16	PRIJEM	VKLAD	8334	38182	\N	\N	\N
706212	2419	1996-05-24	PRIJEM	VKLAD	5711	55554	\N	\N	\N
706213	2419	1996-11-18	PRIJEM	VKLAD	29835	109778	\N	\N	\N
706214	2419	1996-05-20	PRIJEM	VKLAD	24071	49843	\N	\N	\N
706215	2419	1996-05-15	PRIJEM	VKLAD	13776	30872	\N	\N	\N
706216	2419	1996-01-23	PRIJEM	VKLAD	47879	87059	\N	\N	\N
706217	2419	1996-12-17	PRIJEM	VKLAD	33046	115518	\N	\N	\N
706218	2419	1996-11-17	PRIJEM	VKLAD	41236	79943	\N	\N	\N
706219	2419	1996-11-18	PRIJEM	VKLAD	17662	127440	\N	\N	\N
706220	2419	1996-01-08	PRIJEM	VKLAD	32444	87338	\N	\N	\N
706221	2419	1996-11-02	PRIJEM	VKLAD	25482	52707	\N	\N	\N
706222	2419	1996-12-13	PRIJEM	VKLAD	30340	82472	\N	\N	\N
706223	2419	1996-03-19	PRIJEM	VKLAD	29154	69329	\N	\N	\N
706224	2419	1996-04-10	PRIJEM	VKLAD	41869	118123	\N	\N	\N
706225	2419	1996-07-13	PRIJEM	VKLAD	29315	61801	\N	\N	\N
706226	2419	1996-10-16	PRIJEM	VKLAD	10916	49098	\N	\N	\N
706227	2419	1997-09-28	PRIJEM	VKLAD	11672	100430	\N	\N	\N
706228	2419	1997-04-29	PRIJEM	VKLAD	42996	76851	\N	\N	\N
706229	2419	1997-07-10	PRIJEM	VKLAD	14365	69004	\N	\N	\N
706230	2419	1997-05-21	PRIJEM	VKLAD	44223	132459	\N	\N	\N
706231	2419	1997-05-14	PRIJEM	VKLAD	43358	94336	\N	\N	\N
706232	2419	1997-09-15	PRIJEM	VKLAD	16733	98312	\N	\N	\N
706233	2419	1997-10-28	PRIJEM	VKLAD	35035	131609	\N	\N	\N
706234	2419	1997-11-24	PRIJEM	VKLAD	23580	77317	\N	\N	\N
706235	2419	1997-01-04	PRIJEM	VKLAD	22498	121875	\N	\N	\N
706236	2419	1997-07-16	PRIJEM	VKLAD	8330	72534	\N	\N	\N
706237	2419	1997-09-17	PRIJEM	VKLAD	43467	141779	\N	\N	\N
706238	2419	1997-06-06	PRIJEM	VKLAD	46076	124351	\N	\N	\N
706239	2419	1997-10-25	PRIJEM	VKLAD	14415	119501	\N	\N	\N
706240	2419	1997-02-16	PRIJEM	VKLAD	20707	36966	\N	\N	\N
706241	2419	1997-12-04	PRIJEM	VKLAD	20962	98569	\N	\N	\N
706242	2419	1997-09-10	PRIJEM	VKLAD	33421	88079	\N	\N	\N
706243	2419	1997-04-05	PRIJEM	VKLAD	34513	51455	\N	\N	\N
706244	2419	1997-09-22	PRIJEM	VKLAD	12491	137758	\N	\N	\N
706245	2419	1997-10-16	PRIJEM	VKLAD	45150	113686	\N	\N	\N
706246	2419	1997-08-12	PRIJEM	VKLAD	9281	66018	\N	\N	\N
706247	2419	1997-08-22	PRIJEM	VKLAD	25773	85891	\N	\N	\N
706248	2419	1997-01-20	PRIJEM	VKLAD	10511	45886	\N	\N	\N
706249	2419	1997-09-18	PRIJEM	VKLAD	42488	162567	\N	\N	\N
706250	2419	1997-10-25	PRIJEM	VKLAD	31773	151274	\N	\N	\N
706251	2419	1997-08-04	PRIJEM	VKLAD	16253	77937	\N	\N	\N
706252	2419	1997-10-07	PRIJEM	VKLAD	42298	130936	\N	\N	\N
706253	2419	1998-09-08	PRIJEM	VKLAD	35295	97356	\N	\N	\N
706254	2419	1998-01-13	PRIJEM	VKLAD	10819	77067	\N	\N	\N
706255	2419	1998-05-31	PRIJEM	VKLAD	30490	123686	\N	\N	\N
706256	2419	1998-08-04	PRIJEM	VKLAD	49601	121372	\N	\N	\N
706257	2419	1998-09-11	PRIJEM	VKLAD	37739	135095	\N	\N	\N
706258	2419	1998-09-20	PRIJEM	VKLAD	8784	111079	\N	\N	\N
706259	2419	1998-01-07	PRIJEM	VKLAD	20835	66248	\N	\N	\N
706260	2419	1998-11-03	PRIJEM	VKLAD	40621	103404	\N	\N	\N
706261	2419	1998-03-18	PRIJEM	VKLAD	28163	97765	\N	\N	\N
706262	2419	1998-08-09	PRIJEM	VKLAD	23716	145088	\N	\N	\N
706263	2419	1998-04-21	PRIJEM	VKLAD	30283	99209	\N	\N	\N
706264	2419	1998-05-14	PRIJEM	VKLAD	36227	104572	\N	\N	\N
706265	2419	1998-08-01	PRIJEM	VKLAD	38756	77871	\N	\N	\N
706266	2419	1998-11-14	PRIJEM	VKLAD	30323	131627	\N	\N	\N
706267	2419	1998-12-09	PRIJEM	VKLAD	11220	98909	\N	\N	\N
706268	2419	1998-03-26	PRIJEM	VKLAD	12885	110650	\N	\N	\N
706269	2419	1998-06-08	PRIJEM	VKLAD	37723	111494	\N	\N	\N
706270	2419	1998-02-06	PRIJEM	VKLAD	12457	50071	\N	\N	\N
706271	2419	1998-02-15	PRIJEM	VKLAD	43296	93367	\N	\N	\N
706272	2419	1998-02-23	PRIJEM	VKLAD	12452	105819	\N	\N	\N
706287	2419	1994-03-16	VYDAJ	VYBER	5900	75157	\N	\N	0
706288	2419	1994-04-08	VYDAJ	VYBER	10500	62252	\N	\N	0
706289	2419	1994-05-20	VYDAJ	VYBER	5100	36367	\N	\N	0
706290	2419	1994-06-25	VYDAJ	VYBER	9600	37758	\N	\N	0
706291	2419	1994-07-09	VYDAJ	VYBER	7700	77452	\N	\N	0
706292	2419	1994-08-06	VYDAJ	VYBER	9100	78573	\N	\N	0
706293	2419	1994-09-19	VYDAJ	VYBER	8500	82103	\N	\N	0
706294	2419	1994-10-25	VYDAJ	VYBER	9500	35853	\N	\N	0
706295	2419	1994-11-22	VYDAJ	VYBER	8800	27365	\N	\N	0
706296	2419	1994-12-05	VYDAJ	VYBER	11300	41846	\N	\N	0
706297	2419	1995-01-19	VYDAJ	VYBER	7500	71127	\N	\N	0
706298	2419	1995-02-12	VYDAJ	PREVOD NA UCET	7984	50038	UVER	ST	79840576
706299	2419	1995-03-12	VYDAJ	PREVOD NA UCET	7984	12337	UVER	ST	79840576
706300	2419	1995-04-12	VYDAJ	PREVOD NA UCET	7984	47710	UVER	ST	79840576
706301	2419	1995-05-12	VYDAJ	PREVOD NA UCET	7984	29927	UVER	ST	79840576
706302	2419	1995-06-12	VYDAJ	PREVOD NA UCET	7984	45136	UVER	ST	79840576
706303	2419	1995-07-12	VYDAJ	PREVOD NA UCET	7984	53767	UVER	ST	79840576
706304	2419	1995-08-12	VYDAJ	PREVOD NA UCET	7984	70818	UVER	ST	79840576
706305	2419	1995-09-12	VYDAJ	PREVOD NA UCET	7984	42321	UVER	ST	79840576
706306	2419	1995-10-12	VYDAJ	PREVOD NA UCET	7984	77019	UVER	ST	79840576
706307	2419	1995-11-12	VYDAJ	PREVOD NA UCET	7984	51680	UVER	ST	79840576
706308	2419	1995-12-12	VYDAJ	PREVOD NA UCET	7984	86384	UVER	ST	79840576
706309	2419	1996-01-12	VYDAJ	PREVOD NA UCET	7984	57480	UVER	ST	79840576
706310	2419	1996-02-06	VYDAJ	VYBER	7300	80000	\N	\N	0
706311	2419	1996-03-21	VYDAJ	VYBER	7400	75999	\N	\N	0
706312	2419	1996-04-15	VYDAJ	VYBER	11300	50523	\N	\N	0
706313	2419	1996-05-09	VYDAJ	VYBER	8400	17096	\N	\N	0
706314	2419	1996-06-21	VYDAJ	VYBER	7600	37794	\N	\N	0
706315	2419	1996-07-12	VYDAJ	VYBER	5500	32486	\N	\N	0
706316	2419	1996-08-17	VYDAJ	VYBER	5100	44939	\N	\N	0
706317	2419	1996-09-13	VYDAJ	VYBER	5000	23542	\N	\N	0
706318	2419	1996-10-25	VYDAJ	VYBER	7700	41398	\N	\N	0
706319	2419	1996-11-01	VYDAJ	VYBER	8300	27225	\N	\N	0
706320	2419	1996-12-25	VYDAJ	VYBER	7800	99018	\N	\N	0
706321	2419	1997-01-21	VYDAJ	VYBER	7000	27486	\N	\N	0
706322	2419	1997-01-25	VYDAJ	VYBER	8400	19086	\N	\N	0
706323	2419	1997-03-06	VYDAJ	VYBER	6000	9290	\N	\N	0
706324	2419	1997-04-22	VYDAJ	VYBER	6500	33855	\N	\N	0
706325	2419	1997-05-19	VYDAJ	VYBER	6100	88236	\N	\N	0
706326	2419	1997-06-08	VYDAJ	VYBER	8700	99451	\N	\N	0
706327	2419	1997-07-17	VYDAJ	VYBER	11100	61434	\N	\N	0
706328	2419	1997-08-12	VYDAJ	VYBER	5900	60118	\N	\N	0
706329	2419	1997-09-10	VYDAJ	VYBER	6500	81579	\N	\N	0
706330	2419	1997-10-16	VYDAJ	VYBER	6800	106886	\N	\N	0
706331	2419	1997-11-20	VYDAJ	VYBER	5000	53737	\N	\N	0
706332	2419	1997-12-15	VYDAJ	VYBER	9800	59569	\N	\N	0
706333	2419	1998-01-23	VYDAJ	VYBER	11500	65567	\N	\N	0
706334	2419	1998-01-27	VYDAJ	VYBER	8100	57467	\N	\N	0
706335	2419	1998-03-11	VYDAJ	VYBER	8600	69602	\N	\N	0
706336	2419	1998-04-11	VYDAJ	VYBER	6900	68926	\N	\N	0
706337	2419	1998-05-10	VYDAJ	VYBER	5400	68345	\N	\N	0
706338	2419	1998-05-25	VYDAJ	VYBER	6100	92803	\N	\N	0
706339	2419	1998-07-22	VYDAJ	VYBER	4800	38994	\N	\N	0
706340	2419	1998-08-16	VYDAJ	VYBER	6700	117588	\N	\N	0
706341	2419	1998-09-07	VYDAJ	VYBER	7000	62061	\N	\N	0
706342	2419	1998-10-23	VYDAJ	VYBER	7200	66398	\N	\N	0
706343	2419	1998-10-29	VYDAJ	VYBER	5600	60798	\N	\N	0
706344	2419	1998-12-07	VYDAJ	VYBER	8100	87689	\N	\N	0
706350	2419	1994-10-15	VYBER	VYBER	3559	63753	\N	\N	\N
706353	2419	1994-06-14	VYBER	VYBER	20616	70767	\N	\N	\N
706354	2419	1994-09-05	VYBER	VYBER	5161	50868	\N	\N	\N
706355	2419	1994-06-23	VYBER	VYBER	23409	47358	\N	\N	\N
706356	2419	1995-02-27	VYBER	VYBER	17644	20106	\N	\N	\N
706357	2419	1995-12-07	VYBER	VYBER	10760	59852	\N	\N	\N
706358	2419	1997-09-30	VYBER	VYBER	12154	88652	\N	\N	\N
706359	2419	1997-02-16	VYBER	VYBER	21741	15225	\N	\N	\N
706360	2419	1998-12-24	VYBER	VYBER	7617	85292	\N	\N	\N
706361	2419	1998-05-22	VYBER	VYBER	5669	98903	\N	\N	\N
706362	2419	1998-09-01	VYBER	VYBER	15971	80161	\N	\N	\N
706363	2419	1998-04-01	VYBER	VYBER	2701	103826	\N	\N	\N
706364	2419	1998-08-23	VYBER	VYBER	21880	95708	\N	\N	\N
706365	2419	1998-03-29	VYBER	VYBER	4504	106146	\N	\N	\N
706367	2419	1994-06-04	VYDAJ	VYBER	21000	16739	\N	\N	\N
706371	2419	1998-06-10	VYDAJ	VYBER	80100	31394	\N	\N	\N
706374	2419	1995-01-10	VYDAJ	VYBER	18000	35385	\N	\N	\N
706375	2419	1996-01-10	VYDAJ	VYBER	29700	57638	\N	\N	\N
706376	2419	1997-01-07	VYDAJ	VYBER	21600	41375	\N	\N	\N
706377	2419	1998-01-29	VYDAJ	VYBER	18000	39467	\N	\N	\N
706379	2419	1994-12-24	VYDAJ	VYBER	8700	20546	\N	\N	\N
706380	2419	1995-12-08	VYDAJ	VYBER	3300	56552	\N	\N	\N
706381	2419	1996-12-19	VYDAJ	VYBER	1800	113718	\N	\N	\N
706382	2419	1997-12-22	VYDAJ	VYBER	7200	52369	\N	\N	\N
706383	2419	1998-12-26	VYDAJ	VYBER	6600	78692	\N	\N	\N
706391	2419	1994-04-23	VYDAJ	VYBER	4800	54452	\N	\N	\N
706392	2419	1994-10-03	VYDAJ	VYBER	10200	46928	\N	\N	\N
706393	2419	1994-04-19	VYDAJ	VYBER	3000	59252	\N	\N	\N
706394	2419	1995-05-28	VYDAJ	VYBER	14100	37503	\N	\N	\N
706395	2419	1995-02-06	VYDAJ	VYBER	14700	58023	\N	\N	\N
706396	2419	1995-09-04	VYDAJ	VYBER	9900	50306	\N	\N	\N
706397	2419	1995-03-14	VYDAJ	VYBER	4500	7837	\N	\N	\N
706398	2419	1996-05-06	VYDAJ	VYBER	9900	25496	\N	\N	\N
706399	2419	1996-08-24	VYDAJ	VYBER	7200	37739	\N	\N	\N
706400	2419	1996-09-10	VYDAJ	VYBER	9600	28342	\N	\N	\N
706401	2419	1996-12-22	VYDAJ	VYBER	6900	106818	\N	\N	\N
706402	2419	1996-10-28	VYDAJ	VYBER	6000	35398	\N	\N	\N
706403	2419	1997-10-24	VYDAJ	VYBER	1800	105086	\N	\N	\N
706404	2419	1997-05-13	VYDAJ	VYBER	4200	50978	\N	\N	\N
706405	2419	1997-01-30	VYDAJ	VYBER	13200	5886	\N	\N	\N
706406	2419	1997-01-20	VYDAJ	VYBER	11400	34486	\N	\N	\N
706407	2419	1997-07-13	VYDAJ	VYBER	4800	64204	\N	\N	\N
706409	2419	1997-09-04	VYDAJ	VYBER	14400	71758	\N	\N	\N
706410	2419	1998-11-11	VYDAJ	VYBER	2100	101304	\N	\N	\N
706411	2419	1998-09-25	VYDAJ	VYBER	10200	100879	\N	\N	\N
706412	2419	1998-10-04	VYDAJ	VYBER	8100	73598	\N	\N	\N
706413	2419	1998-09-11	VYDAJ	VYBER	9900	102295	\N	\N	\N
706414	2419	1998-12-20	VYDAJ	VYBER	6000	92909	\N	\N	\N
706430	2419	1994-03-31	VYDAJ	VYBER	15	51707	SLUZBY	\N	\N
706431	2419	1994-04-30	VYDAJ	VYBER	15	41467	SLUZBY	\N	\N
706432	2419	1994-05-31	VYDAJ	VYBER	15	37739	SLUZBY	\N	\N
706433	2419	1994-06-30	VYDAJ	VYBER	15	86132	SLUZBY	\N	\N
706434	2419	1994-07-31	VYDAJ	VYBER	15	87673	SLUZBY	\N	\N
706435	2419	1994-08-31	VYDAJ	VYBER	15	56029	SLUZBY	\N	\N
706436	2419	1994-09-30	VYDAJ	VYBER	15	57128	SLUZBY	\N	\N
706437	2419	1994-10-31	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
706438	2419	1994-11-30	VYDAJ	VYBER	15	53146	SLUZBY	\N	\N
706439	2419	1994-12-31	VYDAJ	VYBER	15	53385	SLUZBY	\N	\N
706440	2419	1995-01-31	VYDAJ	VYBER	15	72723	SLUZBY	\N	\N
706441	2419	1995-02-28	VYDAJ	VYBER	15	20321	SLUZBY	\N	\N
706442	2419	1995-03-31	VYDAJ	VYBER	15	55695	SLUZBY	\N	\N
706443	2419	1995-04-30	VYDAJ	VYBER	15	37911	SLUZBY	\N	\N
706444	2419	1995-05-31	VYDAJ	VYBER	15	37691	SLUZBY	\N	\N
706445	2419	1995-06-30	VYDAJ	VYBER	15	35237	SLUZBY	\N	\N
706446	2419	1995-07-31	VYDAJ	VYBER	15	67028	SLUZBY	\N	\N
706447	2419	1995-08-31	VYDAJ	VYBER	15	60206	SLUZBY	\N	\N
706448	2419	1995-09-30	VYDAJ	VYBER	15	27783	SLUZBY	\N	\N
706449	2419	1995-10-31	VYDAJ	VYBER	15	59664	SLUZBY	\N	\N
706450	2419	1995-11-30	VYDAJ	VYBER	15	36368	SLUZBY	\N	\N
706451	2419	1995-12-31	VYDAJ	VYBER	15	54894	SLUZBY	\N	\N
706452	2419	1996-01-31	VYDAJ	VYBER	15	87300	SLUZBY	\N	\N
706453	2419	1996-02-29	VYDAJ	VYBER	15	53375	SLUZBY	\N	\N
706454	2419	1996-03-31	VYDAJ	VYBER	15	76254	SLUZBY	\N	\N
706455	2419	1996-04-30	VYDAJ	VYBER	15	35396	SLUZBY	\N	\N
706456	2419	1996-05-31	VYDAJ	VYBER	15	55694	SLUZBY	\N	\N
706457	2419	1996-06-30	VYDAJ	VYBER	15	37986	SLUZBY	\N	\N
706458	2419	1996-07-31	VYDAJ	VYBER	15	63139	SLUZBY	\N	\N
706459	2419	1996-08-31	VYDAJ	VYBER	15	37942	SLUZBY	\N	\N
706460	2419	1996-09-30	VYDAJ	VYBER	15	23648	SLUZBY	\N	\N
706461	2419	1996-10-31	VYDAJ	VYBER	15	35525	SLUZBY	\N	\N
706462	2419	1996-11-30	VYDAJ	VYBER	15	72832	SLUZBY	\N	\N
706463	2419	1996-12-31	VYDAJ	VYBER	15	99377	SLUZBY	\N	\N
706464	2419	1997-01-31	VYDAJ	VYBER	15	6059	SLUZBY	\N	\N
706465	2419	1997-02-28	VYDAJ	VYBER	15	15290	SLUZBY	\N	\N
706466	2419	1997-03-31	VYDAJ	VYBER	15	16942	SLUZBY	\N	\N
706467	2419	1997-04-30	VYDAJ	VYBER	15	76978	SLUZBY	\N	\N
706468	2419	1997-05-31	VYDAJ	VYBER	15	78275	SLUZBY	\N	\N
706469	2419	1997-06-30	VYDAJ	VYBER	15	66239	SLUZBY	\N	\N
706470	2419	1997-07-31	VYDAJ	VYBER	15	61684	SLUZBY	\N	\N
706471	2419	1997-08-31	VYDAJ	VYBER	15	86158	SLUZBY	\N	\N
706472	2419	1997-09-30	VYDAJ	VYBER	15	88638	SLUZBY	\N	\N
706473	2419	1997-10-31	VYDAJ	VYBER	15	77137	SLUZBY	\N	\N
706474	2419	1997-11-30	VYDAJ	VYBER	15	77607	SLUZBY	\N	\N
706475	2419	1997-12-31	VYDAJ	VYBER	15	52613	SLUZBY	\N	\N
706476	2419	1998-01-31	VYDAJ	VYBER	15	39714	SLUZBY	\N	\N
706477	2419	1998-02-28	VYDAJ	VYBER	15	106102	SLUZBY	\N	\N
706478	2419	1998-03-31	VYDAJ	VYBER	15	106527	SLUZBY	\N	\N
706479	2419	1998-04-30	VYDAJ	VYBER	15	99545	SLUZBY	\N	\N
706480	2419	1998-05-31	VYDAJ	VYBER	15	123671	SLUZBY	\N	\N
706481	2419	1998-06-30	VYDAJ	VYBER	15	31594	SLUZBY	\N	\N
706482	2419	1998-07-31	VYDAJ	VYBER	15	39115	SLUZBY	\N	\N
706483	2419	1998-08-31	VYDAJ	VYBER	15	96132	SLUZBY	\N	\N
706484	2419	1998-09-30	VYDAJ	VYBER	15	101298	SLUZBY	\N	\N
706485	2419	1998-10-31	VYDAJ	VYBER	15	61083	SLUZBY	\N	\N
706486	2419	1998-11-30	VYDAJ	VYBER	15	132089	SLUZBY	\N	\N
706487	2419	1993-12-27	VYDAJ	VYBER	12100	34098	\N	\N	\N
706488	2419	1994-01-26	VYDAJ	VYBER	22400	48401	\N	\N	\N
706489	2419	1994-02-25	VYDAJ	VYBER	38800	58762	\N	\N	\N
706490	2419	1994-03-27	VYDAJ	VYBER	23700	51457	\N	\N	\N
706491	2419	1994-04-26	VYDAJ	VYBER	13200	41252	\N	\N	\N
706492	2419	1994-05-26	VYDAJ	VYBER	11600	37583	\N	\N	\N
706493	2419	1994-06-25	VYDAJ	VYBER	4900	32858	\N	\N	\N
706494	2419	1994-07-04	VYDAJ	VYBER	37300	85152	\N	\N	\N
706495	2419	1994-07-21	VYDAJ	VYBER	20600	90550	\N	\N	\N
706496	2419	1994-07-25	VYDAJ	VYBER	34100	56450	\N	\N	\N
706497	2419	1994-08-09	VYDAJ	VYBER	31900	86126	\N	\N	\N
706498	2419	1994-08-10	VYDAJ	VYBER	57700	51394	\N	\N	\N
706499	2419	1994-08-24	VYDAJ	VYBER	36400	55713	\N	\N	\N
706500	2419	1994-09-22	VYDAJ	VYBER	27000	95139	\N	\N	\N
706501	2419	1994-09-23	VYDAJ	VYBER	38300	56839	\N	\N	\N
706502	2419	1994-10-23	VYDAJ	VYBER	18400	45353	\N	\N	\N
706503	2419	1994-11-22	VYDAJ	VYBER	8300	36165	\N	\N	\N
706504	2419	1994-12-22	VYDAJ	VYBER	12600	29246	\N	\N	\N
706505	2419	1995-01-21	VYDAJ	VYBER	25000	46127	\N	\N	\N
706506	2419	1995-02-20	VYDAJ	VYBER	18400	37750	\N	\N	\N
706507	2419	1995-03-22	PRIJEM	VKLAD	4000	17398	\N	\N	\N
706508	2419	1995-04-21	VYDAJ	VYBER	23300	37718	\N	\N	\N
706509	2419	1995-05-21	VYDAJ	VYBER	32300	51603	\N	\N	\N
706510	2419	1995-06-09	VYDAJ	VYBER	55400	53121	\N	\N	\N
706511	2419	1995-06-20	VYDAJ	VYBER	15600	29536	\N	\N	\N
706512	2419	1995-07-20	VYDAJ	VYBER	19800	33967	\N	\N	\N
706513	2419	1995-08-11	VYDAJ	VYBER	43500	78802	\N	\N	\N
706514	2419	1995-08-19	VYDAJ	VYBER	43600	59902	\N	\N	\N
706515	2419	1995-09-18	VYDAJ	VYBER	14700	27621	\N	\N	\N
706516	2419	1995-10-18	VYDAJ	VYBER	29100	47919	\N	\N	\N
706517	2419	1995-11-17	VYDAJ	VYBER	15500	36180	\N	\N	\N
706518	2419	1995-12-17	VYDAJ	VYBER	41200	54662	\N	\N	\N
706519	2419	1996-01-16	VYDAJ	VYBER	18300	39180	\N	\N	\N
706520	2419	1996-02-15	VYDAJ	VYBER	26900	53100	\N	\N	\N
706521	2419	1996-03-16	VYDAJ	VYBER	13200	40175	\N	\N	\N
706522	2419	1996-04-10	VYDAJ	VYBER	56300	61823	\N	\N	\N
706523	2419	1996-04-15	VYDAJ	VYBER	15400	35123	\N	\N	\N
706524	2419	1996-05-15	VYDAJ	VYBER	5100	25772	\N	\N	\N
706525	2419	1996-06-14	VYDAJ	VYBER	10300	45394	\N	\N	\N
706526	2419	1996-07-14	VYDAJ	VYBER	39700	62842	\N	\N	\N
706527	2419	1996-08-13	VYDAJ	VYBER	13100	50039	\N	\N	\N
706528	2419	1996-09-12	PRIJEM	VKLAD	200	28542	\N	\N	\N
706529	2419	1996-10-12	PRIJEM	VKLAD	6200	29848	\N	\N	\N
706530	2419	1996-11-11	VYDAJ	VYBER	14000	38707	\N	\N	\N
706531	2419	1996-11-18	VYDAJ	VYBER	54900	72540	\N	\N	\N
706532	2419	1996-12-11	VYDAJ	VYBER	20700	52132	\N	\N	\N
706533	2419	1997-01-04	VYDAJ	VYBER	58900	62975	\N	\N	\N
706534	2419	1997-01-10	VYDAJ	VYBER	6000	35375	\N	\N	\N
706535	2419	1997-02-09	PRIJEM	VKLAD	10200	16259	\N	\N	\N
706536	2419	1997-03-11	PRIJEM	VKLAD	7600	16890	\N	\N	\N
706537	2419	1997-04-10	VYDAJ	VYBER	11100	40355	\N	\N	\N
706538	2419	1997-05-10	VYDAJ	VYBER	21800	55178	\N	\N	\N
706539	2419	1997-05-21	VYDAJ	VYBER	54500	77959	\N	\N	\N
706540	2419	1997-06-06	VYDAJ	VYBER	16200	108151	\N	\N	\N
706541	2419	1997-06-09	VYDAJ	VYBER	33500	65951	\N	\N	\N
706542	2419	1997-07-09	VYDAJ	VYBER	11600	54639	\N	\N	\N
706543	2419	1997-08-08	VYDAJ	VYBER	21200	56737	\N	\N	\N
706544	2419	1997-09-07	VYDAJ	VYBER	17100	54658	\N	\N	\N
706545	2419	1997-09-17	VYDAJ	VYBER	21700	120079	\N	\N	\N
706546	2419	1997-09-18	VYDAJ	VYBER	37300	125267	\N	\N	\N
706547	2419	1997-09-22	VYDAJ	VYBER	49000	88758	\N	\N	\N
706548	2419	1997-10-07	VYDAJ	VYBER	35200	68536	\N	\N	\N
706549	2419	1997-10-07	VYDAJ	VYBER	27200	103736	\N	\N	\N
706550	2419	1997-10-25	VYDAJ	VYBER	54700	96574	\N	\N	\N
706551	2419	1997-10-28	VYDAJ	VYBER	54900	76709	\N	\N	\N
706552	2419	1997-11-06	VYDAJ	VYBER	18400	58737	\N	\N	\N
706553	2419	1997-12-06	VYDAJ	VYBER	29200	69369	\N	\N	\N
706554	2419	1998-01-05	VYDAJ	VYBER	7200	45413	\N	\N	\N
706555	2419	1998-02-04	VYDAJ	VYBER	2100	37614	\N	\N	\N
706556	2419	1998-03-06	VYDAJ	VYBER	27900	78202	\N	\N	\N
706557	2419	1998-04-05	VYDAJ	VYBER	28000	75826	\N	\N	\N
706558	2419	1998-05-05	VYDAJ	VYBER	25800	73745	\N	\N	\N
706559	2419	1998-05-31	VYDAJ	VYBER	23300	100371	\N	\N	\N
706560	2419	1998-06-04	VYDAJ	VYBER	26600	73771	\N	\N	\N
706561	2419	1998-07-04	PRIJEM	VKLAD	12200	43794	\N	\N	\N
706562	2419	1998-08-03	VYDAJ	VYBER	6100	71771	\N	\N	\N
706563	2419	1998-08-09	VYDAJ	VYBER	20800	124288	\N	\N	\N
706564	2419	1998-09-02	VYDAJ	VYBER	11100	69061	\N	\N	\N
706565	2419	1998-09-11	VYDAJ	VYBER	22900	112195	\N	\N	\N
706566	2419	1998-10-02	VYDAJ	VYBER	19600	81698	\N	\N	\N
706567	2419	1998-11-01	PRIJEM	VKLAD	1700	62783	\N	\N	\N
706568	2419	1998-12-01	VYDAJ	VYBER	36300	95789	\N	\N	\N
706630	2420	1996-06-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
706637	2420	1996-07-07	PRIJEM	PREVOD Z UCTU	3602	4602	\N	MN	30639845
706638	2420	1996-08-07	PRIJEM	PREVOD Z UCTU	3602	17317	\N	MN	30639845
706639	2420	1996-09-07	PRIJEM	PREVOD Z UCTU	3602	24484	\N	MN	30639845
706640	2420	1996-10-07	PRIJEM	PREVOD Z UCTU	3602	26174	\N	MN	30639845
706641	2420	1996-11-07	PRIJEM	PREVOD Z UCTU	3602	27171	\N	MN	30639845
706642	2420	1996-12-07	PRIJEM	PREVOD Z UCTU	3602	24655	\N	MN	30639845
706643	2420	1997-01-07	PRIJEM	PREVOD Z UCTU	3602	25492	\N	MN	30639845
706644	2420	1997-02-07	PRIJEM	PREVOD Z UCTU	3602	16742	\N	MN	30639845
706645	2420	1997-03-07	PRIJEM	PREVOD Z UCTU	3602	17491	\N	MN	30639845
706646	2420	1997-04-07	PRIJEM	PREVOD Z UCTU	3602	17407	\N	MN	30639845
706647	2420	1997-05-07	PRIJEM	PREVOD Z UCTU	3602	18154	\N	MN	30639845
706768	2420	1998-01-31	VYDAJ	VYBER	15	13097	SLUZBY	\N	\N
706648	2420	1997-06-07	PRIJEM	PREVOD Z UCTU	3602	16300	\N	MN	30639845
706649	2420	1997-07-07	PRIJEM	PREVOD Z UCTU	3602	17551	\N	MN	30639845
706650	2420	1997-08-07	PRIJEM	PREVOD Z UCTU	3602	18807	\N	MN	30639845
706651	2420	1997-09-07	PRIJEM	PREVOD Z UCTU	3602	16355	\N	MN	30639845
706652	2420	1997-10-07	PRIJEM	PREVOD Z UCTU	3602	14893	\N	MN	30639845
706653	2420	1997-11-07	PRIJEM	PREVOD Z UCTU	3602	15930	\N	MN	30639845
706654	2420	1997-12-07	PRIJEM	PREVOD Z UCTU	3602	16999	\N	MN	30639845
706655	2420	1998-01-07	PRIJEM	PREVOD Z UCTU	3602	17766	\N	MN	30639845
706656	2420	1998-02-07	PRIJEM	PREVOD Z UCTU	3602	16699	\N	MN	30639845
706657	2420	1998-03-07	PRIJEM	PREVOD Z UCTU	3602	17103	\N	MN	30639845
706658	2420	1998-04-07	PRIJEM	PREVOD Z UCTU	3602	17778	\N	MN	30639845
706659	2420	1998-05-07	PRIJEM	PREVOD Z UCTU	3602	19035	\N	MN	30639845
706660	2420	1998-06-07	PRIJEM	PREVOD Z UCTU	3602	18463	\N	MN	30639845
706661	2420	1998-07-07	PRIJEM	PREVOD Z UCTU	3602	19716	\N	MN	30639845
706662	2420	1998-08-07	PRIJEM	PREVOD Z UCTU	3602	20973	\N	MN	30639845
706663	2420	1998-09-07	PRIJEM	PREVOD Z UCTU	3602	15121	\N	MN	30639845
706664	2420	1998-10-07	PRIJEM	PREVOD Z UCTU	3602	16366	\N	MN	30639845
706665	2420	1998-11-07	PRIJEM	PREVOD Z UCTU	3602	17617	\N	MN	30639845
706666	2420	1998-12-07	PRIJEM	PREVOD Z UCTU	3602	18866	\N	MN	30639845
706677	2420	1996-11-07	VYDAJ	PREVOD NA UCET	2401	24770	SIPO	YZ	71461701
706678	2420	1996-12-07	VYDAJ	PREVOD NA UCET	2401	22254	SIPO	YZ	71461701
706679	2420	1997-01-07	VYDAJ	PREVOD NA UCET	2401	23091	SIPO	YZ	71461701
706680	2420	1997-02-07	VYDAJ	PREVOD NA UCET	2401	14341	SIPO	YZ	71461701
706681	2420	1997-03-07	VYDAJ	PREVOD NA UCET	2401	15090	SIPO	YZ	71461701
706682	2420	1997-04-07	VYDAJ	PREVOD NA UCET	2401	15006	SIPO	YZ	71461701
706683	2420	1997-05-07	VYDAJ	PREVOD NA UCET	2401	15753	SIPO	YZ	71461701
706684	2420	1997-06-07	VYDAJ	PREVOD NA UCET	2401	13899	SIPO	YZ	71461701
706685	2420	1997-07-07	VYDAJ	PREVOD NA UCET	2401	15150	SIPO	YZ	71461701
706686	2420	1997-08-07	VYDAJ	PREVOD NA UCET	2401	16406	SIPO	YZ	71461701
706687	2420	1997-09-07	VYDAJ	PREVOD NA UCET	2401	13954	SIPO	YZ	71461701
706688	2420	1997-10-07	VYDAJ	PREVOD NA UCET	2401	12492	SIPO	YZ	71461701
706689	2420	1997-11-07	VYDAJ	PREVOD NA UCET	2401	13529	SIPO	YZ	71461701
706690	2420	1997-12-07	VYDAJ	PREVOD NA UCET	2401	14598	SIPO	YZ	71461701
706691	2420	1998-01-07	VYDAJ	PREVOD NA UCET	2401	15365	SIPO	YZ	71461701
706692	2420	1998-02-07	VYDAJ	PREVOD NA UCET	2401	14298	SIPO	YZ	71461701
706693	2420	1998-03-07	VYDAJ	PREVOD NA UCET	2401	14702	SIPO	YZ	71461701
706694	2420	1998-04-07	VYDAJ	PREVOD NA UCET	2401	15377	SIPO	YZ	71461701
706695	2420	1998-05-07	VYDAJ	PREVOD NA UCET	2401	16634	SIPO	YZ	71461701
706696	2420	1998-06-07	VYDAJ	PREVOD NA UCET	2401	16062	SIPO	YZ	71461701
706697	2420	1998-07-07	VYDAJ	PREVOD NA UCET	2401	17315	SIPO	YZ	71461701
706698	2420	1998-08-07	VYDAJ	PREVOD NA UCET	2401	18572	SIPO	YZ	71461701
706699	2420	1998-09-07	VYDAJ	PREVOD NA UCET	2401	12720	SIPO	YZ	71461701
706700	2420	1998-10-07	VYDAJ	PREVOD NA UCET	2401	13965	SIPO	YZ	71461701
706701	2420	1998-11-07	VYDAJ	PREVOD NA UCET	2401	15216	SIPO	YZ	71461701
706702	2420	1998-12-07	VYDAJ	PREVOD NA UCET	2401	16465	SIPO	YZ	71461701
706707	2420	1997-01-26	VYDAJ	VYBER	2400	14721	\N	\N	\N
706709	2420	1996-12-10	VYDAJ	VYBER	480	21774	\N	\N	\N
706710	2420	1997-12-02	VYDAJ	VYBER	180	13397	\N	\N	\N
706711	2420	1998-12-18	VYDAJ	VYBER	810	15655	\N	\N	\N
706718	2420	1997-01-18	VYDAJ	VYBER	480	21741	\N	\N	\N
706719	2420	1997-01-26	VYDAJ	VYBER	810	13911	\N	\N	\N
706720	2420	1997-01-21	VYDAJ	VYBER	600	17121	\N	\N	\N
706721	2420	1997-01-18	VYDAJ	VYBER	870	22221	\N	\N	\N
706722	2420	1997-01-02	VYDAJ	VYBER	360	21890	\N	\N	\N
706723	2420	1997-01-27	VYDAJ	VYBER	840	13071	\N	\N	\N
706724	2420	1998-01-14	VYDAJ	VYBER	270	13865	\N	\N	\N
706725	2420	1998-01-18	VYDAJ	VYBER	810	13055	\N	\N	\N
706726	2420	1998-01-09	VYDAJ	VYBER	660	14705	\N	\N	\N
706727	2420	1998-01-05	VYDAJ	VYBER	480	14164	\N	\N	\N
706728	2420	1998-01-10	VYDAJ	VYBER	570	14135	\N	\N	\N
706735	2420	1997-03-17	VYDAJ	VYBER	930	14160	\N	\N	\N
706736	2420	1997-01-20	VYDAJ	VYBER	1320	20421	\N	\N	\N
706738	2420	1998-06-05	VYDAJ	VYBER	840	14861	\N	\N	\N
706739	2420	1998-02-17	VYDAJ	VYBER	570	13728	\N	\N	\N
706740	2420	1998-05-22	VYDAJ	VYBER	990	15644	\N	\N	\N
706741	2420	1998-02-18	VYDAJ	VYBER	270	13458	\N	\N	\N
706742	2420	1998-03-19	VYDAJ	VYBER	570	14132	\N	\N	\N
706754	2420	1996-11-30	VYDAJ	VYBER	15	21053	SLUZBY	\N	\N
706755	2420	1996-12-31	VYDAJ	VYBER	15	22250	SLUZBY	\N	\N
706756	2420	1997-01-31	VYDAJ	VYBER	15	13140	SLUZBY	\N	\N
706757	2420	1997-02-28	VYDAJ	VYBER	15	13889	SLUZBY	\N	\N
706758	2420	1997-03-31	VYDAJ	VYBER	15	13805	SLUZBY	\N	\N
706759	2420	1997-04-30	VYDAJ	VYBER	15	14552	SLUZBY	\N	\N
706760	2420	1997-05-31	VYDAJ	VYBER	15	12698	SLUZBY	\N	\N
706761	2420	1997-06-30	VYDAJ	VYBER	15	13949	SLUZBY	\N	\N
706762	2420	1997-07-31	VYDAJ	VYBER	15	15205	SLUZBY	\N	\N
706763	2420	1997-08-31	VYDAJ	VYBER	15	12753	SLUZBY	\N	\N
706764	2420	1997-09-30	VYDAJ	VYBER	15	11291	SLUZBY	\N	\N
706765	2420	1997-10-31	VYDAJ	VYBER	15	12328	SLUZBY	\N	\N
706766	2420	1997-11-30	VYDAJ	VYBER	15	13577	SLUZBY	\N	\N
706767	2420	1997-12-31	VYDAJ	VYBER	15	14644	SLUZBY	\N	\N
706769	2420	1998-02-28	VYDAJ	VYBER	15	13501	SLUZBY	\N	\N
706770	2420	1998-03-31	VYDAJ	VYBER	15	14176	SLUZBY	\N	\N
706771	2420	1998-04-30	VYDAJ	VYBER	15	15433	SLUZBY	\N	\N
706772	2420	1998-05-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
706773	2420	1998-06-30	VYDAJ	VYBER	15	16114	SLUZBY	\N	\N
706774	2420	1998-07-31	VYDAJ	VYBER	15	17371	SLUZBY	\N	\N
706775	2420	1998-08-31	VYDAJ	VYBER	15	11519	SLUZBY	\N	\N
706776	2420	1998-09-30	VYDAJ	VYBER	15	12764	SLUZBY	\N	\N
706777	2420	1998-10-31	VYDAJ	VYBER	15	14015	SLUZBY	\N	\N
706778	2420	1998-11-30	VYDAJ	VYBER	15	15264	SLUZBY	\N	\N
706779	2420	1996-07-25	PRIJEM	VKLAD	9100	13702	\N	\N	\N
706780	2420	1996-08-24	PRIJEM	VKLAD	3500	20817	\N	\N	\N
706781	2420	1996-09-23	VYDAJ	VYBER	2000	22484	\N	\N	\N
706782	2420	1996-10-23	VYDAJ	VYBER	2700	23474	\N	\N	\N
706783	2420	1996-11-22	VYDAJ	VYBER	3800	20970	\N	\N	\N
706784	2420	1996-12-22	PRIJEM	VKLAD	400	22174	\N	\N	\N
706785	2420	1997-01-21	VYDAJ	VYBER	2700	17721	\N	\N	\N
706786	2420	1997-02-20	VYDAJ	VYBER	500	13841	\N	\N	\N
706787	2420	1997-03-22	VYDAJ	VYBER	400	13760	\N	\N	\N
706788	2420	1997-04-21	VYDAJ	VYBER	500	14506	\N	\N	\N
706789	2420	1997-05-21	VYDAJ	VYBER	3100	12653	\N	\N	\N
706790	2420	1997-08-19	VYDAJ	VYBER	3700	12706	\N	\N	\N
706791	2420	1997-09-18	VYDAJ	VYBER	2700	11254	\N	\N	\N
706792	2420	1997-10-18	VYDAJ	VYBER	200	12292	\N	\N	\N
706793	2420	1998-08-14	VYDAJ	VYBER	7100	11472	\N	\N	\N
706824	2421	1995-01-11	PRIJEM	VKLAD	900	900	\N	\N	\N
706826	2421	1995-02-11	PRIJEM	PREVOD Z UCTU	3460	4360	\N	GH	10733700
706827	2421	1995-03-11	PRIJEM	PREVOD Z UCTU	3460	7820	\N	GH	10733700
706828	2421	1995-04-11	PRIJEM	PREVOD Z UCTU	3460	11280	\N	GH	10733700
706829	2421	1995-05-11	PRIJEM	PREVOD Z UCTU	3460	14740	\N	GH	10733700
706830	2421	1995-06-11	PRIJEM	PREVOD Z UCTU	3460	18200	\N	GH	10733700
706831	2421	1995-07-11	PRIJEM	PREVOD Z UCTU	3460	18294	\N	GH	10733700
706832	2421	1995-08-11	PRIJEM	PREVOD Z UCTU	3460	19686	\N	GH	10733700
706833	2421	1995-09-11	PRIJEM	PREVOD Z UCTU	3460	20844	\N	GH	10733700
706834	2421	1995-10-11	PRIJEM	PREVOD Z UCTU	3460	22246	\N	GH	10733700
706835	2421	1995-11-11	PRIJEM	PREVOD Z UCTU	3460	23655	\N	GH	10733700
706836	2421	1995-12-11	PRIJEM	PREVOD Z UCTU	3460	24499	\N	GH	10733700
706837	2421	1996-01-11	PRIJEM	PREVOD Z UCTU	3460	23968	\N	GH	10733700
706838	2421	1996-02-11	PRIJEM	PREVOD Z UCTU	3460	25385	\N	GH	10733700
706839	2421	1996-03-11	PRIJEM	PREVOD Z UCTU	3460	26807	\N	GH	10733700
706840	2421	1996-04-11	PRIJEM	PREVOD Z UCTU	3460	27934	\N	GH	10733700
706841	2421	1996-05-11	PRIJEM	PREVOD Z UCTU	3460	28375	\N	GH	10733700
706842	2421	1996-06-11	PRIJEM	PREVOD Z UCTU	3460	29659	\N	GH	10733700
706843	2421	1996-07-11	PRIJEM	PREVOD Z UCTU	3460	26837	\N	GH	10733700
706844	2421	1996-08-11	PRIJEM	PREVOD Z UCTU	3460	28264	\N	GH	10733700
706845	2421	1996-09-11	PRIJEM	PREVOD Z UCTU	3460	29698	\N	GH	10733700
706846	2421	1996-10-11	PRIJEM	PREVOD Z UCTU	3460	31137	\N	GH	10733700
706847	2421	1996-11-11	PRIJEM	PREVOD Z UCTU	3460	32583	\N	GH	10733700
706848	2421	1996-12-11	PRIJEM	PREVOD Z UCTU	3460	33644	\N	GH	10733700
706849	2421	1997-01-11	PRIJEM	PREVOD Z UCTU	3460	35101	\N	GH	10733700
706850	2421	1997-02-11	PRIJEM	PREVOD Z UCTU	3460	33680	\N	GH	10733700
706851	2421	1997-03-11	PRIJEM	PREVOD Z UCTU	3460	35136	\N	GH	10733700
706852	2421	1997-04-11	PRIJEM	PREVOD Z UCTU	3460	36598	\N	GH	10733700
706853	2421	1997-05-11	PRIJEM	PREVOD Z UCTU	3460	38066	\N	GH	10733700
706854	2421	1997-06-11	PRIJEM	PREVOD Z UCTU	3460	39540	\N	GH	10733700
706855	2421	1997-07-11	PRIJEM	PREVOD Z UCTU	3460	39069	\N	GH	10733700
706856	2421	1997-08-11	PRIJEM	PREVOD Z UCTU	3460	40548	\N	GH	10733700
706857	2421	1997-09-11	PRIJEM	PREVOD Z UCTU	3460	42032	\N	GH	10733700
706858	2421	1997-10-11	PRIJEM	PREVOD Z UCTU	3460	43522	\N	GH	10733700
706859	2421	1997-11-11	PRIJEM	PREVOD Z UCTU	3460	45019	\N	GH	10733700
706860	2421	1997-12-11	PRIJEM	PREVOD Z UCTU	3460	45200	\N	GH	10733700
706861	2421	1998-01-11	PRIJEM	PREVOD Z UCTU	3460	46283	\N	GH	10733700
706862	2421	1998-02-11	PRIJEM	PREVOD Z UCTU	3460	45180	\N	GH	10733700
706863	2421	1998-03-11	PRIJEM	PREVOD Z UCTU	3460	46683	\N	GH	10733700
706864	2421	1998-04-11	PRIJEM	PREVOD Z UCTU	3460	48192	\N	GH	10733700
706865	2421	1998-05-11	PRIJEM	PREVOD Z UCTU	3460	49708	\N	GH	10733700
706866	2421	1998-06-11	PRIJEM	PREVOD Z UCTU	3460	45408	\N	GH	10733700
706867	2421	1998-07-11	PRIJEM	PREVOD Z UCTU	3460	46916	\N	GH	10733700
706868	2421	1998-08-11	PRIJEM	PREVOD Z UCTU	3460	48427	\N	GH	10733700
706869	2421	1998-09-11	PRIJEM	PREVOD Z UCTU	3460	48653	\N	GH	10733700
706870	2421	1998-10-11	PRIJEM	PREVOD Z UCTU	3460	50171	\N	GH	10733700
706871	2421	1998-11-11	PRIJEM	PREVOD Z UCTU	3460	50312	\N	GH	10733700
706872	2421	1998-12-11	PRIJEM	PREVOD Z UCTU	3460	51836	\N	GH	10733700
706879	2421	1995-07-09	VYDAJ	PREVOD NA UCET	1544	14834	SIPO	YZ	66208350
706880	2421	1995-08-09	VYDAJ	PREVOD NA UCET	1544	16226	SIPO	YZ	66208350
706881	2421	1995-09-09	VYDAJ	PREVOD NA UCET	1544	17384	SIPO	YZ	66208350
706882	2421	1995-10-09	VYDAJ	PREVOD NA UCET	1544	18786	SIPO	YZ	66208350
706883	2421	1995-11-09	VYDAJ	PREVOD NA UCET	1544	20195	SIPO	YZ	66208350
706884	2421	1995-12-09	VYDAJ	PREVOD NA UCET	1544	21039	SIPO	YZ	66208350
706885	2421	1996-01-09	VYDAJ	PREVOD NA UCET	1544	20508	SIPO	YZ	66208350
706886	2421	1996-02-09	VYDAJ	PREVOD NA UCET	1544	21925	SIPO	YZ	66208350
706887	2421	1996-03-09	VYDAJ	PREVOD NA UCET	1544	23347	SIPO	YZ	66208350
706888	2421	1996-04-09	VYDAJ	PREVOD NA UCET	1544	24474	SIPO	YZ	66208350
706889	2421	1996-05-09	VYDAJ	PREVOD NA UCET	1544	24915	SIPO	YZ	66208350
706890	2421	1996-06-09	VYDAJ	PREVOD NA UCET	1544	26199	SIPO	YZ	66208350
706891	2421	1996-07-09	VYDAJ	PREVOD NA UCET	1544	23377	SIPO	YZ	66208350
706892	2421	1996-08-09	VYDAJ	PREVOD NA UCET	1544	24804	SIPO	YZ	66208350
706893	2421	1996-09-09	VYDAJ	PREVOD NA UCET	1544	26238	SIPO	YZ	66208350
706894	2421	1996-10-09	VYDAJ	PREVOD NA UCET	1544	27677	SIPO	YZ	66208350
706895	2421	1996-11-09	VYDAJ	PREVOD NA UCET	1544	29123	SIPO	YZ	66208350
706896	2421	1996-12-09	VYDAJ	PREVOD NA UCET	1544	30184	SIPO	YZ	66208350
706897	2421	1997-01-09	VYDAJ	PREVOD NA UCET	1544	31641	SIPO	YZ	66208350
706898	2421	1997-02-09	VYDAJ	PREVOD NA UCET	1544	30220	SIPO	YZ	66208350
706899	2421	1997-03-09	VYDAJ	PREVOD NA UCET	1544	31676	SIPO	YZ	66208350
706900	2421	1997-04-09	VYDAJ	PREVOD NA UCET	1544	33138	SIPO	YZ	66208350
706901	2421	1997-05-09	VYDAJ	PREVOD NA UCET	1544	34606	SIPO	YZ	66208350
706902	2421	1997-06-09	VYDAJ	PREVOD NA UCET	1544	36080	SIPO	YZ	66208350
706903	2421	1997-07-09	VYDAJ	PREVOD NA UCET	1544	35609	SIPO	YZ	66208350
706904	2421	1997-08-09	VYDAJ	PREVOD NA UCET	1544	37088	SIPO	YZ	66208350
706905	2421	1997-09-09	VYDAJ	PREVOD NA UCET	1544	38572	SIPO	YZ	66208350
706906	2421	1997-10-09	VYDAJ	PREVOD NA UCET	1544	40062	SIPO	YZ	66208350
706907	2421	1997-11-09	VYDAJ	PREVOD NA UCET	1544	41559	SIPO	YZ	66208350
706908	2421	1997-12-09	VYDAJ	PREVOD NA UCET	1544	41740	SIPO	YZ	66208350
706909	2421	1998-01-09	VYDAJ	PREVOD NA UCET	1544	42823	SIPO	YZ	66208350
706910	2421	1998-02-09	VYDAJ	PREVOD NA UCET	1544	41720	SIPO	YZ	66208350
706911	2421	1998-03-09	VYDAJ	PREVOD NA UCET	1544	43223	SIPO	YZ	66208350
706912	2421	1998-04-09	VYDAJ	PREVOD NA UCET	1544	44732	SIPO	YZ	66208350
706913	2421	1998-05-09	VYDAJ	PREVOD NA UCET	1544	46248	SIPO	YZ	66208350
706914	2421	1998-06-09	VYDAJ	PREVOD NA UCET	1544	41948	SIPO	YZ	66208350
706915	2421	1998-07-09	VYDAJ	PREVOD NA UCET	1544	43456	SIPO	YZ	66208350
706916	2421	1998-08-09	VYDAJ	PREVOD NA UCET	1544	44967	SIPO	YZ	66208350
706917	2421	1998-09-09	VYDAJ	PREVOD NA UCET	1544	45193	SIPO	YZ	66208350
706918	2421	1998-10-09	VYDAJ	PREVOD NA UCET	1544	46711	SIPO	YZ	66208350
706919	2421	1998-11-09	VYDAJ	PREVOD NA UCET	1544	46852	SIPO	YZ	66208350
706920	2421	1998-12-09	VYDAJ	PREVOD NA UCET	1544	48376	SIPO	YZ	66208350
706927	2421	1995-07-08	VYDAJ	PREVOD NA UCET	220	16378	 	MN	93932258
706928	2421	1995-08-08	VYDAJ	PREVOD NA UCET	220	17770	 	MN	93932258
706929	2421	1995-09-08	VYDAJ	PREVOD NA UCET	220	18928	 	MN	93932258
706930	2421	1995-10-08	VYDAJ	PREVOD NA UCET	220	20330	 	MN	93932258
706931	2421	1995-11-08	VYDAJ	PREVOD NA UCET	220	21739	 	MN	93932258
706932	2421	1995-12-08	VYDAJ	PREVOD NA UCET	220	22583	 	MN	93932258
706933	2421	1996-01-08	VYDAJ	PREVOD NA UCET	220	22052	 	MN	93932258
706934	2421	1996-02-08	VYDAJ	PREVOD NA UCET	220	23469	 	MN	93932258
706935	2421	1996-03-08	VYDAJ	PREVOD NA UCET	220	24891	 	MN	93932258
706936	2421	1996-04-08	VYDAJ	PREVOD NA UCET	220	26018	 	MN	93932258
706937	2421	1996-05-08	VYDAJ	PREVOD NA UCET	220	26459	 	MN	93932258
706938	2421	1996-06-08	VYDAJ	PREVOD NA UCET	220	27743	 	MN	93932258
706939	2421	1996-07-08	VYDAJ	PREVOD NA UCET	220	24921	 	MN	93932258
706940	2421	1996-08-08	VYDAJ	PREVOD NA UCET	220	26348	 	MN	93932258
706941	2421	1996-09-08	VYDAJ	PREVOD NA UCET	220	27782	 	MN	93932258
706942	2421	1996-10-08	VYDAJ	PREVOD NA UCET	220	29221	 	MN	93932258
706943	2421	1996-11-08	VYDAJ	PREVOD NA UCET	220	30667	 	MN	93932258
706944	2421	1996-12-08	VYDAJ	PREVOD NA UCET	220	31728	 	MN	93932258
706945	2421	1997-01-08	VYDAJ	PREVOD NA UCET	220	33185	 	MN	93932258
706946	2421	1997-02-08	VYDAJ	PREVOD NA UCET	220	31764	 	MN	93932258
706947	2421	1997-03-08	VYDAJ	PREVOD NA UCET	220	33220	 	MN	93932258
706948	2421	1997-04-08	VYDAJ	PREVOD NA UCET	220	34682	 	MN	93932258
706949	2421	1997-05-08	VYDAJ	PREVOD NA UCET	220	36150	 	MN	93932258
706950	2421	1997-06-08	VYDAJ	PREVOD NA UCET	220	37624	 	MN	93932258
706951	2421	1997-07-08	VYDAJ	PREVOD NA UCET	220	37153	 	MN	93932258
706952	2421	1997-08-08	VYDAJ	PREVOD NA UCET	220	38632	 	MN	93932258
706953	2421	1997-09-08	VYDAJ	PREVOD NA UCET	220	40116	 	MN	93932258
706954	2421	1997-10-08	VYDAJ	PREVOD NA UCET	220	41606	 	MN	93932258
706955	2421	1997-11-08	VYDAJ	PREVOD NA UCET	220	43103	 	MN	93932258
706956	2421	1997-12-08	VYDAJ	PREVOD NA UCET	220	43284	 	MN	93932258
706957	2421	1998-01-08	VYDAJ	PREVOD NA UCET	220	44367	 	MN	93932258
706958	2421	1998-02-08	VYDAJ	PREVOD NA UCET	220	43264	 	MN	93932258
706959	2421	1998-03-08	VYDAJ	PREVOD NA UCET	220	44767	 	MN	93932258
706960	2421	1998-04-08	VYDAJ	PREVOD NA UCET	220	46276	 	MN	93932258
706961	2421	1998-05-08	VYDAJ	PREVOD NA UCET	220	47792	 	MN	93932258
706962	2421	1998-06-08	VYDAJ	PREVOD NA UCET	220	43492	 	MN	93932258
706963	2421	1998-07-08	VYDAJ	PREVOD NA UCET	220	45000	 	MN	93932258
706964	2421	1998-08-08	VYDAJ	PREVOD NA UCET	220	46511	 	MN	93932258
706965	2421	1998-09-08	VYDAJ	PREVOD NA UCET	220	46737	 	MN	93932258
706966	2421	1998-10-08	VYDAJ	PREVOD NA UCET	220	48255	 	MN	93932258
706967	2421	1998-11-08	VYDAJ	PREVOD NA UCET	220	48396	 	MN	93932258
706968	2421	1998-12-08	VYDAJ	PREVOD NA UCET	220	49920	 	MN	93932258
706975	2421	1995-07-07	VYDAJ	PREVOD NA UCET	363	16598	POJISTNE	OP	19669050
706976	2421	1995-08-07	VYDAJ	PREVOD NA UCET	363	17990	POJISTNE	OP	19669050
706977	2421	1995-09-07	VYDAJ	PREVOD NA UCET	363	19148	POJISTNE	OP	19669050
706978	2421	1995-10-07	VYDAJ	PREVOD NA UCET	363	20550	POJISTNE	OP	19669050
706979	2421	1995-11-07	VYDAJ	PREVOD NA UCET	363	21959	POJISTNE	OP	19669050
706980	2421	1995-12-07	VYDAJ	PREVOD NA UCET	363	23373	POJISTNE	OP	19669050
706981	2421	1996-01-07	VYDAJ	PREVOD NA UCET	363	22272	POJISTNE	OP	19669050
706982	2421	1996-02-07	VYDAJ	PREVOD NA UCET	363	23689	POJISTNE	OP	19669050
706983	2421	1996-03-07	VYDAJ	PREVOD NA UCET	363	25111	POJISTNE	OP	19669050
706984	2421	1996-04-07	VYDAJ	PREVOD NA UCET	363	26238	POJISTNE	OP	19669050
706985	2421	1996-05-07	VYDAJ	PREVOD NA UCET	363	26679	POJISTNE	OP	19669050
706986	2421	1996-06-07	VYDAJ	PREVOD NA UCET	363	27963	POJISTNE	OP	19669050
706987	2421	1996-07-07	VYDAJ	PREVOD NA UCET	363	25141	POJISTNE	OP	19669050
706988	2421	1996-08-07	VYDAJ	PREVOD NA UCET	363	26568	POJISTNE	OP	19669050
706989	2421	1996-09-07	VYDAJ	PREVOD NA UCET	363	28002	POJISTNE	OP	19669050
706990	2421	1996-10-07	VYDAJ	PREVOD NA UCET	363	29441	POJISTNE	OP	19669050
706991	2421	1996-11-07	VYDAJ	PREVOD NA UCET	363	30887	POJISTNE	OP	19669050
706992	2421	1996-12-07	VYDAJ	PREVOD NA UCET	363	31948	POJISTNE	OP	19669050
706993	2421	1997-01-07	VYDAJ	PREVOD NA UCET	363	33405	POJISTNE	OP	19669050
706994	2421	1997-02-07	VYDAJ	PREVOD NA UCET	363	31984	POJISTNE	OP	19669050
706995	2421	1997-03-07	VYDAJ	PREVOD NA UCET	363	33440	POJISTNE	OP	19669050
706996	2421	1997-04-07	VYDAJ	PREVOD NA UCET	363	34902	POJISTNE	OP	19669050
706997	2421	1997-05-07	VYDAJ	PREVOD NA UCET	363	36370	POJISTNE	OP	19669050
706998	2421	1997-06-07	VYDAJ	PREVOD NA UCET	363	37844	POJISTNE	OP	19669050
706999	2421	1997-07-07	VYDAJ	PREVOD NA UCET	363	37373	POJISTNE	OP	19669050
707000	2421	1997-08-07	VYDAJ	PREVOD NA UCET	363	38852	POJISTNE	OP	19669050
707001	2421	1997-09-07	VYDAJ	PREVOD NA UCET	363	40336	POJISTNE	OP	19669050
707002	2421	1997-10-07	VYDAJ	PREVOD NA UCET	363	41826	POJISTNE	OP	19669050
707003	2421	1997-11-07	VYDAJ	PREVOD NA UCET	363	43323	POJISTNE	OP	19669050
707004	2421	1997-12-07	VYDAJ	PREVOD NA UCET	363	43504	POJISTNE	OP	19669050
707005	2421	1998-01-07	VYDAJ	PREVOD NA UCET	363	44587	POJISTNE	OP	19669050
707006	2421	1998-02-07	VYDAJ	PREVOD NA UCET	363	43484	POJISTNE	OP	19669050
707007	2421	1998-03-07	VYDAJ	PREVOD NA UCET	363	44987	POJISTNE	OP	19669050
707008	2421	1998-04-07	VYDAJ	PREVOD NA UCET	363	46496	POJISTNE	OP	19669050
707009	2421	1998-05-07	VYDAJ	PREVOD NA UCET	363	48012	POJISTNE	OP	19669050
707010	2421	1998-06-07	VYDAJ	PREVOD NA UCET	363	43712	POJISTNE	OP	19669050
707011	2421	1998-07-07	VYDAJ	PREVOD NA UCET	363	45220	POJISTNE	OP	19669050
707012	2421	1998-08-07	VYDAJ	PREVOD NA UCET	363	46731	POJISTNE	OP	19669050
707013	2421	1998-09-07	VYDAJ	PREVOD NA UCET	363	46957	POJISTNE	OP	19669050
707014	2421	1998-10-07	VYDAJ	PREVOD NA UCET	363	48475	POJISTNE	OP	19669050
707015	2421	1998-11-07	VYDAJ	PREVOD NA UCET	363	48616	POJISTNE	OP	19669050
707016	2421	1998-12-07	VYDAJ	PREVOD NA UCET	363	50140	POJISTNE	OP	19669050
707017	2421	1995-06-16	VYDAJ	VYBER	1260	16940	\N	\N	\N
707018	2421	1996-06-28	VYDAJ	VYBER	4260	25399	\N	\N	\N
707019	2421	1997-06-27	VYDAJ	VYBER	1950	37590	\N	\N	\N
707020	2421	1998-06-04	VYDAJ	VYBER	4920	44075	\N	\N	\N
707022	2421	1996-01-01	VYDAJ	VYBER	1800	22635	\N	\N	\N
707023	2421	1997-01-26	VYDAJ	VYBER	2880	32221	\N	\N	\N
707024	2421	1998-01-28	VYDAJ	VYBER	2610	43673	\N	\N	\N
707025	2421	1995-12-08	VYDAJ	VYBER	570	22803	\N	\N	\N
707026	2421	1996-12-04	VYDAJ	VYBER	390	32311	\N	\N	\N
707027	2421	1997-12-25	VYDAJ	VYBER	420	44780	\N	\N	\N
707028	2421	1998-12-18	VYDAJ	VYBER KARTOU	200	51636	\N	\N	0
707029	2421	1995-12-25	VYDAJ	VYBER	150	24349	\N	\N	\N
707030	2421	1995-08-23	VYDAJ	VYBER	240	19446	\N	\N	\N
707031	2421	1996-04-26	VYDAJ	VYBER	990	26944	\N	\N	\N
707032	2421	1996-03-18	VYDAJ	VYBER	300	26507	\N	\N	\N
707033	2421	1996-05-19	VYDAJ	VYBER	150	28225	\N	\N	\N
707034	2421	1997-11-20	VYDAJ	VYBER	1320	43699	\N	\N	\N
707035	2421	1998-10-15	VYDAJ	VYBER	1380	48791	\N	\N	\N
707036	2421	1998-09-02	VYDAJ	VYBER	1290	47320	\N	\N	\N
707037	2421	1998-05-21	VYDAJ	VYBER	900	48808	\N	\N	\N
707044	2421	1995-06-30	VYDAJ	VYBER	15	16961	SLUZBY	\N	\N
707045	2421	1995-07-31	VYDAJ	VYBER	15	18353	SLUZBY	\N	\N
707046	2421	1995-08-31	VYDAJ	VYBER	15	19511	SLUZBY	\N	\N
707047	2421	1995-09-30	VYDAJ	VYBER	15	20913	SLUZBY	\N	\N
707048	2421	1995-10-31	VYDAJ	VYBER	15	22322	SLUZBY	\N	\N
707049	2421	1995-11-30	VYDAJ	VYBER	15	23736	SLUZBY	\N	\N
707050	2421	1995-12-31	VYDAJ	VYBER	15	24435	SLUZBY	\N	\N
707051	2421	1996-01-31	VYDAJ	VYBER	15	24052	SLUZBY	\N	\N
707052	2421	1996-02-29	VYDAJ	VYBER	15	25474	SLUZBY	\N	\N
707053	2421	1996-03-31	VYDAJ	VYBER	15	26601	SLUZBY	\N	\N
707054	2421	1996-04-30	VYDAJ	VYBER	15	27042	SLUZBY	\N	\N
707055	2421	1996-05-31	VYDAJ	VYBER	15	28326	SLUZBY	\N	\N
707056	2421	1996-06-30	VYDAJ	VYBER	15	25504	SLUZBY	\N	\N
707057	2421	1996-07-31	VYDAJ	VYBER	15	26931	SLUZBY	\N	\N
707058	2421	1996-08-31	VYDAJ	VYBER	15	28365	SLUZBY	\N	\N
707059	2421	1996-09-30	VYDAJ	VYBER	15	29804	SLUZBY	\N	\N
707060	2421	1996-10-31	VYDAJ	VYBER	15	31250	SLUZBY	\N	\N
707061	2421	1996-11-30	VYDAJ	VYBER	15	32701	SLUZBY	\N	\N
707062	2421	1996-12-31	VYDAJ	VYBER	15	33768	SLUZBY	\N	\N
707063	2421	1997-01-31	VYDAJ	VYBER	15	32347	SLUZBY	\N	\N
707064	2421	1997-02-28	VYDAJ	VYBER	15	33803	SLUZBY	\N	\N
707065	2421	1997-03-31	VYDAJ	VYBER	15	35265	SLUZBY	\N	\N
707066	2421	1997-04-30	VYDAJ	VYBER	15	36733	SLUZBY	\N	\N
707067	2421	1997-05-31	VYDAJ	VYBER	15	38207	SLUZBY	\N	\N
707068	2421	1997-06-30	VYDAJ	VYBER	15	37736	SLUZBY	\N	\N
707069	2421	1997-07-31	VYDAJ	VYBER	15	39215	SLUZBY	\N	\N
707070	2421	1997-08-31	VYDAJ	VYBER	15	40699	SLUZBY	\N	\N
707071	2421	1997-09-30	VYDAJ	VYBER	15	42189	SLUZBY	\N	\N
707072	2421	1997-10-31	VYDAJ	VYBER	15	43686	SLUZBY	\N	\N
707073	2421	1997-11-30	VYDAJ	VYBER	15	43867	SLUZBY	\N	\N
707074	2421	1997-12-31	VYDAJ	VYBER	15	44950	SLUZBY	\N	\N
707075	2421	1998-01-31	VYDAJ	VYBER	15	43847	SLUZBY	\N	\N
707076	2421	1998-02-28	VYDAJ	VYBER	15	45350	SLUZBY	\N	\N
707077	2421	1998-03-31	VYDAJ	VYBER	15	46859	SLUZBY	\N	\N
707078	2421	1998-04-30	VYDAJ	VYBER	15	48375	SLUZBY	\N	\N
707079	2421	1998-05-31	VYDAJ	VYBER	15	48995	SLUZBY	\N	\N
707080	2421	1998-06-30	VYDAJ	VYBER	15	45583	SLUZBY	\N	\N
707081	2421	1998-07-31	VYDAJ	VYBER	15	47094	SLUZBY	\N	\N
707082	2421	1998-08-31	VYDAJ	VYBER	15	48610	SLUZBY	\N	\N
707083	2421	1998-09-30	VYDAJ	VYBER	15	48838	SLUZBY	\N	\N
707084	2421	1998-10-31	VYDAJ	VYBER	15	48979	SLUZBY	\N	\N
707085	2421	1998-11-30	VYDAJ	VYBER	15	50503	SLUZBY	\N	\N
707129	2422	1997-08-29	PRIJEM	VKLAD	200	200	\N	\N	\N
707138	2422	1997-09-06	PRIJEM	PREVOD Z UCTU	6114	6314	DUCHOD	MN	3356892
707139	2422	1997-10-06	PRIJEM	PREVOD Z UCTU	6114	12428	DUCHOD	MN	3356892
707140	2422	1997-11-06	PRIJEM	PREVOD Z UCTU	6114	18542	DUCHOD	MN	3356892
707141	2422	1997-12-06	PRIJEM	PREVOD Z UCTU	6114	24656	DUCHOD	MN	3356892
707142	2422	1998-01-06	PRIJEM	PREVOD Z UCTU	6114	30770	DUCHOD	MN	3356892
707143	2422	1998-02-06	PRIJEM	PREVOD Z UCTU	6114	21878	DUCHOD	MN	3356892
707144	2422	1998-03-06	PRIJEM	PREVOD Z UCTU	6114	21880	DUCHOD	MN	3356892
707145	2422	1998-04-06	PRIJEM	PREVOD Z UCTU	6114	25245	DUCHOD	MN	3356892
707146	2422	1998-05-06	PRIJEM	PREVOD Z UCTU	6114	28625	DUCHOD	MN	3356892
707147	2422	1998-06-06	PRIJEM	PREVOD Z UCTU	6114	30177	DUCHOD	MN	3356892
707148	2422	1998-07-06	PRIJEM	PREVOD Z UCTU	6114	30970	DUCHOD	MN	3356892
707149	2422	1998-08-06	PRIJEM	PREVOD Z UCTU	6114	32171	DUCHOD	MN	3356892
707150	2422	1998-09-06	PRIJEM	PREVOD Z UCTU	6114	35579	DUCHOD	MN	3356892
707151	2422	1998-10-06	PRIJEM	PREVOD Z UCTU	6114	38101	DUCHOD	MN	3356892
707152	2422	1998-11-06	PRIJEM	PREVOD Z UCTU	6114	39670	DUCHOD	MN	3356892
707153	2422	1998-12-06	PRIJEM	PREVOD Z UCTU	6114	36302	DUCHOD	MN	3356892
707166	2422	1998-01-11	VYDAJ	PREVOD NA UCET	2809	27961	SIPO	EF	17186141
707167	2422	1998-02-11	VYDAJ	PREVOD NA UCET	2809	19069	SIPO	EF	17186141
707168	2422	1998-03-11	VYDAJ	PREVOD NA UCET	2809	19071	SIPO	EF	17186141
707169	2422	1998-04-11	VYDAJ	PREVOD NA UCET	2809	22436	SIPO	EF	17186141
707170	2422	1998-05-11	VYDAJ	PREVOD NA UCET	2809	25816	SIPO	EF	17186141
707171	2422	1998-06-11	VYDAJ	PREVOD NA UCET	2809	27368	SIPO	EF	17186141
707172	2422	1998-07-11	VYDAJ	PREVOD NA UCET	2809	28161	SIPO	EF	17186141
707173	2422	1998-08-11	VYDAJ	PREVOD NA UCET	2809	29362	SIPO	EF	17186141
707174	2422	1998-09-11	VYDAJ	PREVOD NA UCET	2809	32770	SIPO	EF	17186141
707175	2422	1998-10-11	VYDAJ	PREVOD NA UCET	2809	35292	SIPO	EF	17186141
707176	2422	1998-11-11	VYDAJ	PREVOD NA UCET	2809	36861	SIPO	EF	17186141
707177	2422	1998-12-11	VYDAJ	PREVOD NA UCET	2809	33493	SIPO	EF	17186141
707179	2422	1998-06-12	VYDAJ	VYBER	2600	24768	\N	\N	\N
707181	2422	1998-01-23	VYDAJ	VYBER	3600	15721	\N	\N	\N
707183	2422	1998-12-03	VYDAJ	VYBER	500	30188	\N	\N	\N
707191	2422	1998-01-17	VYDAJ	VYBER	2320	22441	\N	\N	\N
707192	2422	1998-01-22	VYDAJ	VYBER	1680	19321	\N	\N	\N
707193	2422	1998-01-15	VYDAJ	VYBER	1840	26121	\N	\N	\N
707194	2422	1998-01-16	VYDAJ	VYBER	1360	24761	\N	\N	\N
707195	2422	1998-01-19	VYDAJ	VYBER	1440	21001	\N	\N	\N
707199	2422	1998-02-22	VYDAJ	VYBER	3360	15709	\N	\N	\N
707200	2422	1998-11-23	VYDAJ	VYBER	1200	30561	\N	\N	\N
707201	2422	1998-12-22	VYDAJ	VYBER	480	33013	\N	\N	\N
707202	2422	1998-05-28	VYDAJ	VYBER	640	23976	\N	\N	\N
707203	2422	1998-10-15	VYDAJ	VYBER	960	34332	\N	\N	\N
707217	2422	1998-01-31	VYDAJ	VYBER	15	15764	SLUZBY	\N	\N
707218	2422	1998-02-28	VYDAJ	VYBER	15	15766	SLUZBY	\N	\N
707219	2422	1998-03-31	VYDAJ	VYBER	15	19131	SLUZBY	\N	\N
707220	2422	1998-04-30	VYDAJ	VYBER	15	22511	SLUZBY	\N	\N
707221	2422	1998-05-31	VYDAJ	VYBER	15	24063	SLUZBY	\N	\N
707222	2422	1998-06-30	VYDAJ	VYBER	15	24856	SLUZBY	\N	\N
707223	2422	1998-07-31	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
707224	2422	1998-08-31	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
707225	2422	1998-09-30	VYDAJ	VYBER	15	31987	SLUZBY	\N	\N
707226	2422	1998-10-31	VYDAJ	VYBER	15	33556	SLUZBY	\N	\N
707227	2422	1998-11-30	VYDAJ	VYBER	15	30688	SLUZBY	\N	\N
707228	2422	1998-05-26	VYDAJ	VYBER	1200	24616	\N	\N	\N
707229	2422	1998-07-25	VYDAJ	VYBER	2200	25961	\N	\N	\N
707230	2422	1998-09-23	VYDAJ	VYBER	900	31870	\N	\N	\N
707231	2422	1998-10-23	VYDAJ	VYBER	900	33432	\N	\N	\N
707232	2422	1998-11-22	VYDAJ	VYBER	5100	31761	\N	\N	\N
707245	2423	1993-02-14	PRIJEM	VKLAD	400	400	\N	\N	\N
707248	2423	1993-03-12	PRIJEM	PREVOD Z UCTU	5671	6071	DUCHOD	UV	2074182
707249	2423	1993-04-12	PRIJEM	PREVOD Z UCTU	5671	11742	DUCHOD	UV	2074182
707250	2423	1993-05-12	PRIJEM	PREVOD Z UCTU	5671	17413	DUCHOD	UV	2074182
707251	2423	1993-06-12	PRIJEM	PREVOD Z UCTU	5671	23084	DUCHOD	UV	2074182
707252	2423	1993-07-12	PRIJEM	PREVOD Z UCTU	5671	28755	DUCHOD	UV	2074182
707253	2423	1993-08-12	PRIJEM	PREVOD Z UCTU	5671	28262	DUCHOD	UV	2074182
707254	2423	1993-09-12	PRIJEM	PREVOD Z UCTU	5671	31220	DUCHOD	UV	2074182
707255	2423	1993-10-12	PRIJEM	PREVOD Z UCTU	5671	25789	DUCHOD	UV	2074182
707256	2423	1993-11-12	PRIJEM	PREVOD Z UCTU	5671	26641	DUCHOD	UV	2074182
707257	2423	1993-12-12	PRIJEM	PREVOD Z UCTU	5671	28370	DUCHOD	UV	2074182
707258	2423	1994-01-12	PRIJEM	PREVOD Z UCTU	5671	29849	DUCHOD	UV	2074182
707259	2423	1994-02-12	PRIJEM	PREVOD Z UCTU	5671	25443	DUCHOD	UV	2074182
707260	2423	1994-03-12	PRIJEM	PREVOD Z UCTU	5671	23504	DUCHOD	UV	2074182
707261	2423	1994-04-12	PRIJEM	PREVOD Z UCTU	5671	26444	DUCHOD	UV	2074182
707262	2423	1994-05-12	PRIJEM	PREVOD Z UCTU	5671	25871	DUCHOD	UV	2074182
707263	2423	1994-06-12	PRIJEM	PREVOD Z UCTU	5671	24121	DUCHOD	UV	2074182
707264	2423	1994-07-12	PRIJEM	PREVOD Z UCTU	5671	27067	DUCHOD	UV	2074182
707265	2423	1994-08-12	PRIJEM	PREVOD Z UCTU	5671	26919	DUCHOD	UV	2074182
707266	2423	1994-09-12	PRIJEM	PREVOD Z UCTU	5671	27475	DUCHOD	UV	2074182
707267	2423	1994-10-12	PRIJEM	PREVOD Z UCTU	5671	29632	DUCHOD	UV	2074182
707268	2423	1994-11-12	PRIJEM	PREVOD Z UCTU	5671	27255	DUCHOD	UV	2074182
707269	2423	1994-12-12	PRIJEM	PREVOD Z UCTU	5671	26914	DUCHOD	UV	2074182
707270	2423	1995-01-12	PRIJEM	PREVOD Z UCTU	5671	25810	DUCHOD	UV	2074182
707271	2423	1995-02-12	PRIJEM	PREVOD Z UCTU	5671	20815	DUCHOD	UV	2074182
707272	2423	1995-03-12	PRIJEM	PREVOD Z UCTU	5671	21824	DUCHOD	UV	2074182
707273	2423	1995-04-12	PRIJEM	PREVOD Z UCTU	5671	20657	DUCHOD	UV	2074182
707274	2423	1995-05-12	PRIJEM	PREVOD Z UCTU	5671	21887	DUCHOD	UV	2074182
707275	2423	1995-06-12	PRIJEM	PREVOD Z UCTU	5671	22599	DUCHOD	UV	2074182
707276	2423	1995-07-12	PRIJEM	PREVOD Z UCTU	5671	19810	DUCHOD	UV	2074182
707277	2423	1995-08-12	PRIJEM	PREVOD Z UCTU	5671	17935	DUCHOD	UV	2074182
707278	2423	1995-09-12	PRIJEM	PREVOD Z UCTU	5671	16954	DUCHOD	UV	2074182
707279	2423	1995-10-12	PRIJEM	PREVOD Z UCTU	5671	19869	DUCHOD	UV	2074182
707280	2423	1995-11-12	PRIJEM	PREVOD Z UCTU	5671	17585	DUCHOD	UV	2074182
707281	2423	1995-12-12	PRIJEM	PREVOD Z UCTU	5671	15598	DUCHOD	UV	2074182
707282	2423	1996-01-12	PRIJEM	PREVOD Z UCTU	5671	18156	DUCHOD	UV	2074182
707283	2423	1996-02-12	PRIJEM	PREVOD Z UCTU	5671	17626	DUCHOD	UV	2074182
707284	2423	1996-03-12	PRIJEM	PREVOD Z UCTU	5671	15238	DUCHOD	UV	2074182
707285	2423	1996-04-12	PRIJEM	PREVOD Z UCTU	5671	18141	DUCHOD	UV	2074182
707286	2423	1996-05-12	PRIJEM	PREVOD Z UCTU	5671	21056	DUCHOD	UV	2074182
707287	2423	1996-06-12	PRIJEM	PREVOD Z UCTU	5671	18781	DUCHOD	UV	2074182
707288	2423	1996-07-12	PRIJEM	PREVOD Z UCTU	5671	17196	DUCHOD	UV	2074182
707289	2423	1996-08-12	PRIJEM	PREVOD Z UCTU	5671	18407	DUCHOD	UV	2074182
707290	2423	1996-09-12	PRIJEM	PREVOD Z UCTU	5671	17261	DUCHOD	UV	2074182
707291	2423	1996-10-12	PRIJEM	PREVOD Z UCTU	5671	18731	DUCHOD	UV	2074182
707292	2423	1996-11-12	PRIJEM	PREVOD Z UCTU	5671	16044	DUCHOD	UV	2074182
707293	2423	1996-12-12	PRIJEM	PREVOD Z UCTU	5671	18249	DUCHOD	UV	2074182
707294	2423	1997-01-12	PRIJEM	PREVOD Z UCTU	5671	16709	DUCHOD	UV	2074182
707295	2423	1997-02-12	PRIJEM	PREVOD Z UCTU	5671	15730	DUCHOD	UV	2074182
707296	2423	1997-03-12	PRIJEM	PREVOD Z UCTU	5671	18634	DUCHOD	UV	2074182
707297	2423	1997-04-12	PRIJEM	PREVOD Z UCTU	5671	16545	DUCHOD	UV	2074182
707298	2423	1997-05-12	PRIJEM	PREVOD Z UCTU	5671	19152	DUCHOD	UV	2074182
707299	2423	1997-06-12	PRIJEM	PREVOD Z UCTU	5671	17365	DUCHOD	UV	2074182
707300	2423	1997-07-12	PRIJEM	PREVOD Z UCTU	5671	20176	DUCHOD	UV	2074182
707301	2423	1997-08-12	PRIJEM	PREVOD Z UCTU	5671	18093	DUCHOD	UV	2074182
707302	2423	1997-09-12	PRIJEM	PREVOD Z UCTU	5671	18002	DUCHOD	UV	2074182
707303	2423	1997-10-12	PRIJEM	PREVOD Z UCTU	5671	20915	DUCHOD	UV	2074182
707304	2423	1997-11-12	PRIJEM	PREVOD Z UCTU	5671	21358	DUCHOD	UV	2074182
707305	2423	1997-12-12	PRIJEM	PREVOD Z UCTU	5671	20479	DUCHOD	UV	2074182
707306	2423	1998-01-12	PRIJEM	PREVOD Z UCTU	5671	17645	DUCHOD	UV	2074182
707307	2423	1998-02-12	PRIJEM	PREVOD Z UCTU	5671	18312	DUCHOD	UV	2074182
707308	2423	1998-03-12	PRIJEM	PREVOD Z UCTU	5671	18321	DUCHOD	UV	2074182
707309	2423	1998-04-12	PRIJEM	PREVOD Z UCTU	5671	17830	DUCHOD	UV	2074182
707310	2423	1998-05-12	PRIJEM	PREVOD Z UCTU	5671	17237	DUCHOD	UV	2074182
707311	2423	1998-06-12	PRIJEM	PREVOD Z UCTU	5671	19186	DUCHOD	UV	2074182
707312	2423	1998-07-12	PRIJEM	PREVOD Z UCTU	5671	17143	DUCHOD	UV	2074182
707313	2423	1998-08-12	PRIJEM	PREVOD Z UCTU	5671	18850	DUCHOD	UV	2074182
707314	2423	1998-09-12	PRIJEM	PREVOD Z UCTU	5671	20162	DUCHOD	UV	2074182
707315	2423	1998-10-12	PRIJEM	PREVOD Z UCTU	5671	17572	DUCHOD	UV	2074182
707316	2423	1998-11-12	PRIJEM	PREVOD Z UCTU	5671	20482	DUCHOD	UV	2074182
707317	2423	1998-12-12	PRIJEM	PREVOD Z UCTU	5671	22555	DUCHOD	UV	2074182
707325	2423	1993-08-09	VYDAJ	PREVOD NA UCET	1494	22591	SIPO	KL	35182595
707326	2423	1993-09-09	VYDAJ	PREVOD NA UCET	1494	25549	SIPO	KL	35182595
707327	2423	1993-10-09	VYDAJ	PREVOD NA UCET	1494	22635	SIPO	KL	35182595
707328	2423	1993-11-09	VYDAJ	PREVOD NA UCET	1494	20970	SIPO	KL	35182595
707329	2423	1993-12-09	VYDAJ	PREVOD NA UCET	1494	22699	SIPO	KL	35182595
707330	2423	1994-01-09	VYDAJ	PREVOD NA UCET	1494	26495	SIPO	KL	35182595
707331	2423	1994-02-09	VYDAJ	PREVOD NA UCET	1494	21089	SIPO	KL	35182595
707332	2423	1994-03-09	VYDAJ	PREVOD NA UCET	1494	17833	SIPO	KL	35182595
707333	2423	1994-04-09	VYDAJ	PREVOD NA UCET	1494	20773	SIPO	KL	35182595
707334	2423	1994-05-09	VYDAJ	PREVOD NA UCET	1494	21517	SIPO	KL	35182595
707335	2423	1994-06-09	VYDAJ	PREVOD NA UCET	1494	19767	SIPO	KL	35182595
707336	2423	1994-07-09	VYDAJ	PREVOD NA UCET	1494	21396	SIPO	KL	35182595
707337	2423	1994-08-09	VYDAJ	PREVOD NA UCET	1494	22565	SIPO	KL	35182595
707338	2423	1994-09-09	VYDAJ	PREVOD NA UCET	1494	23121	SIPO	KL	35182595
707339	2423	1994-10-09	VYDAJ	PREVOD NA UCET	1494	23961	SIPO	KL	35182595
707340	2423	1994-11-09	VYDAJ	PREVOD NA UCET	1494	22901	SIPO	KL	35182595
707341	2423	1994-12-09	VYDAJ	PREVOD NA UCET	1494	23960	SIPO	KL	35182595
707342	2423	1995-01-09	VYDAJ	PREVOD NA UCET	1494	21339	SIPO	KL	35182595
707343	2423	1995-02-09	VYDAJ	PREVOD NA UCET	1494	16461	SIPO	KL	35182595
707344	2423	1995-03-09	VYDAJ	PREVOD NA UCET	1494	17470	SIPO	KL	35182595
707345	2423	1995-04-09	VYDAJ	PREVOD NA UCET	1494	14986	SIPO	KL	35182595
707346	2423	1995-05-09	VYDAJ	PREVOD NA UCET	1494	16216	SIPO	KL	35182595
707347	2423	1995-06-09	VYDAJ	PREVOD NA UCET	1494	16928	SIPO	KL	35182595
707348	2423	1995-07-09	VYDAJ	PREVOD NA UCET	1494	15456	SIPO	KL	35182595
707349	2423	1995-08-09	VYDAJ	PREVOD NA UCET	1494	13581	SIPO	KL	35182595
707350	2423	1995-09-09	VYDAJ	PREVOD NA UCET	1494	11283	SIPO	KL	35182595
707351	2423	1995-10-09	VYDAJ	PREVOD NA UCET	1494	15515	SIPO	KL	35182595
707352	2423	1995-11-09	VYDAJ	PREVOD NA UCET	1494	13231	SIPO	KL	35182595
707353	2423	1995-12-09	VYDAJ	PREVOD NA UCET	1494	11244	SIPO	KL	35182595
707354	2423	1996-01-09	VYDAJ	PREVOD NA UCET	1494	13802	SIPO	KL	35182595
707355	2423	1996-02-09	VYDAJ	PREVOD NA UCET	1494	13272	SIPO	KL	35182595
707356	2423	1996-03-09	VYDAJ	PREVOD NA UCET	1494	9567	SIPO	KL	35182595
707357	2423	1996-04-09	VYDAJ	PREVOD NA UCET	1494	12470	SIPO	KL	35182595
707358	2423	1996-05-09	VYDAJ	PREVOD NA UCET	1494	16702	SIPO	KL	35182595
707359	2423	1996-06-09	VYDAJ	PREVOD NA UCET	1494	13110	SIPO	KL	35182595
707360	2423	1996-07-09	VYDAJ	PREVOD NA UCET	1494	12842	SIPO	KL	35182595
707361	2423	1996-08-09	VYDAJ	PREVOD NA UCET	1494	12736	SIPO	KL	35182595
707362	2423	1996-09-09	VYDAJ	PREVOD NA UCET	1494	11590	SIPO	KL	35182595
707363	2423	1996-10-09	VYDAJ	PREVOD NA UCET	1494	14377	SIPO	KL	35182595
707364	2423	1996-11-09	VYDAJ	PREVOD NA UCET	1494	10373	SIPO	KL	35182595
707365	2423	1996-12-09	VYDAJ	PREVOD NA UCET	1494	13895	SIPO	KL	35182595
707366	2423	1997-01-09	VYDAJ	PREVOD NA UCET	1494	11038	SIPO	KL	35182595
707367	2423	1997-02-09	VYDAJ	PREVOD NA UCET	1494	10059	SIPO	KL	35182595
707368	2423	1997-03-09	VYDAJ	PREVOD NA UCET	1494	14280	SIPO	KL	35182595
707369	2423	1997-04-09	VYDAJ	PREVOD NA UCET	1494	12191	SIPO	KL	35182595
707370	2423	1997-05-09	VYDAJ	PREVOD NA UCET	1494	14798	SIPO	KL	35182595
707371	2423	1997-06-09	VYDAJ	PREVOD NA UCET	1494	13011	SIPO	KL	35182595
707372	2423	1997-07-09	VYDAJ	PREVOD NA UCET	1494	14505	SIPO	KL	35182595
707373	2423	1997-08-09	VYDAJ	PREVOD NA UCET	1494	13739	SIPO	KL	35182595
707374	2423	1997-09-09	VYDAJ	PREVOD NA UCET	1494	12331	SIPO	KL	35182595
707375	2423	1997-10-09	VYDAJ	PREVOD NA UCET	1494	16561	SIPO	KL	35182595
707376	2423	1997-11-09	VYDAJ	PREVOD NA UCET	1494	15687	SIPO	KL	35182595
707377	2423	1997-12-09	VYDAJ	PREVOD NA UCET	1494	14808	SIPO	KL	35182595
707378	2423	1998-01-09	VYDAJ	PREVOD NA UCET	1494	13291	SIPO	KL	35182595
707379	2423	1998-02-09	VYDAJ	PREVOD NA UCET	1494	13958	SIPO	KL	35182595
707380	2423	1998-03-09	VYDAJ	PREVOD NA UCET	1494	12650	SIPO	KL	35182595
707381	2423	1998-04-09	VYDAJ	PREVOD NA UCET	1494	12159	SIPO	KL	35182595
707382	2423	1998-05-09	VYDAJ	PREVOD NA UCET	1494	12883	SIPO	KL	35182595
707383	2423	1998-06-09	VYDAJ	PREVOD NA UCET	1494	14832	SIPO	KL	35182595
707384	2423	1998-07-09	VYDAJ	PREVOD NA UCET	1494	11472	SIPO	KL	35182595
707385	2423	1998-08-09	VYDAJ	PREVOD NA UCET	1494	14496	SIPO	KL	35182595
707386	2423	1998-09-09	VYDAJ	PREVOD NA UCET	1494	15808	SIPO	KL	35182595
707387	2423	1998-10-09	VYDAJ	PREVOD NA UCET	1494	13218	SIPO	KL	35182595
707388	2423	1998-11-09	VYDAJ	PREVOD NA UCET	1494	16128	SIPO	KL	35182595
707389	2423	1998-12-09	VYDAJ	PREVOD NA UCET	1494	16884	SIPO	KL	35182595
707397	2423	1993-08-09	VYDAJ	PREVOD NA UCET	1317	24085	 	AB	66884094
707398	2423	1993-09-09	VYDAJ	PREVOD NA UCET	1317	27043	 	AB	66884094
707399	2423	1993-10-09	VYDAJ	PREVOD NA UCET	1317	21318	 	AB	66884094
707400	2423	1993-11-09	VYDAJ	PREVOD NA UCET	1317	22464	 	AB	66884094
707401	2423	1993-12-09	VYDAJ	PREVOD NA UCET	1317	24193	 	AB	66884094
707402	2423	1994-01-09	VYDAJ	PREVOD NA UCET	1317	25178	 	AB	66884094
707403	2423	1994-02-09	VYDAJ	PREVOD NA UCET	1317	19772	 	AB	66884094
707404	2423	1994-03-09	VYDAJ	PREVOD NA UCET	1317	19327	 	AB	66884094
707405	2423	1994-04-09	VYDAJ	PREVOD NA UCET	1317	22267	 	AB	66884094
707406	2423	1994-05-09	VYDAJ	PREVOD NA UCET	1317	20200	 	AB	66884094
707407	2423	1994-06-09	VYDAJ	PREVOD NA UCET	1317	18450	 	AB	66884094
707408	2423	1994-07-09	VYDAJ	PREVOD NA UCET	1317	22890	 	AB	66884094
707409	2423	1994-08-09	VYDAJ	PREVOD NA UCET	1317	21248	 	AB	66884094
707410	2423	1994-09-09	VYDAJ	PREVOD NA UCET	1317	21804	 	AB	66884094
707411	2423	1994-10-09	VYDAJ	PREVOD NA UCET	1317	25455	 	AB	66884094
707412	2423	1994-11-09	VYDAJ	PREVOD NA UCET	1317	21584	 	AB	66884094
707413	2423	1994-12-09	VYDAJ	PREVOD NA UCET	1317	22643	 	AB	66884094
707414	2423	1995-01-09	VYDAJ	PREVOD NA UCET	1317	22833	 	AB	66884094
707415	2423	1995-02-09	VYDAJ	PREVOD NA UCET	1317	15144	 	AB	66884094
707416	2423	1995-03-09	VYDAJ	PREVOD NA UCET	1317	16153	 	AB	66884094
707417	2423	1995-04-09	VYDAJ	PREVOD NA UCET	1317	16480	 	AB	66884094
707418	2423	1995-05-09	VYDAJ	PREVOD NA UCET	1317	17710	 	AB	66884094
707419	2423	1995-06-09	VYDAJ	PREVOD NA UCET	1317	18422	 	AB	66884094
707420	2423	1995-07-09	VYDAJ	PREVOD NA UCET	1317	14139	 	AB	66884094
707421	2423	1995-08-09	VYDAJ	PREVOD NA UCET	1317	12264	 	AB	66884094
707422	2423	1995-09-09	VYDAJ	PREVOD NA UCET	1317	12777	 	AB	66884094
707423	2423	1995-10-09	VYDAJ	PREVOD NA UCET	1317	14198	 	AB	66884094
707424	2423	1995-11-09	VYDAJ	PREVOD NA UCET	1317	11914	 	AB	66884094
707425	2423	1995-12-09	VYDAJ	PREVOD NA UCET	1317	9927	 	AB	66884094
707426	2423	1996-01-09	VYDAJ	PREVOD NA UCET	1317	12485	 	AB	66884094
707427	2423	1996-02-09	VYDAJ	PREVOD NA UCET	1317	11955	 	AB	66884094
707428	2423	1996-03-09	VYDAJ	PREVOD NA UCET	1317	11061	 	AB	66884094
707429	2423	1996-04-09	VYDAJ	PREVOD NA UCET	1317	13964	 	AB	66884094
707430	2423	1996-05-09	VYDAJ	PREVOD NA UCET	1317	15385	 	AB	66884094
707431	2423	1996-06-09	VYDAJ	PREVOD NA UCET	1317	14604	 	AB	66884094
707432	2423	1996-07-09	VYDAJ	PREVOD NA UCET	1317	11525	 	AB	66884094
707433	2423	1996-08-09	VYDAJ	PREVOD NA UCET	1317	14230	 	AB	66884094
707434	2423	1996-09-09	VYDAJ	PREVOD NA UCET	1317	13084	 	AB	66884094
707435	2423	1996-10-09	VYDAJ	PREVOD NA UCET	1317	13060	 	AB	66884094
707436	2423	1996-11-09	VYDAJ	PREVOD NA UCET	1317	11867	 	AB	66884094
707437	2423	1996-12-09	VYDAJ	PREVOD NA UCET	1317	12578	 	AB	66884094
707438	2423	1997-01-09	VYDAJ	PREVOD NA UCET	1317	12532	 	AB	66884094
707439	2423	1997-02-09	VYDAJ	PREVOD NA UCET	1317	11553	 	AB	66884094
707440	2423	1997-03-09	VYDAJ	PREVOD NA UCET	1317	12963	 	AB	66884094
707441	2423	1997-04-09	VYDAJ	PREVOD NA UCET	1317	10874	 	AB	66884094
707442	2423	1997-05-09	VYDAJ	PREVOD NA UCET	1317	13481	 	AB	66884094
707443	2423	1997-06-09	VYDAJ	PREVOD NA UCET	1317	11694	 	AB	66884094
707444	2423	1997-07-09	VYDAJ	PREVOD NA UCET	1317	15999	 	AB	66884094
707445	2423	1997-08-09	VYDAJ	PREVOD NA UCET	1317	12422	 	AB	66884094
707446	2423	1997-09-09	VYDAJ	PREVOD NA UCET	1317	13825	 	AB	66884094
707447	2423	1997-10-09	VYDAJ	PREVOD NA UCET	1317	15244	 	AB	66884094
707448	2423	1997-11-09	VYDAJ	PREVOD NA UCET	1317	17181	 	AB	66884094
707449	2423	1997-12-09	VYDAJ	PREVOD NA UCET	1317	16302	 	AB	66884094
707450	2423	1998-01-09	VYDAJ	PREVOD NA UCET	1317	11974	 	AB	66884094
707451	2423	1998-02-09	VYDAJ	PREVOD NA UCET	1317	12641	 	AB	66884094
707452	2423	1998-03-09	VYDAJ	PREVOD NA UCET	1317	14144	 	AB	66884094
707453	2423	1998-04-09	VYDAJ	PREVOD NA UCET	1317	13653	 	AB	66884094
707454	2423	1998-05-09	VYDAJ	PREVOD NA UCET	1317	11566	 	AB	66884094
707455	2423	1998-06-09	VYDAJ	PREVOD NA UCET	1317	13515	 	AB	66884094
707456	2423	1998-07-09	VYDAJ	PREVOD NA UCET	1317	12966	 	AB	66884094
707457	2423	1998-08-09	VYDAJ	PREVOD NA UCET	1317	13179	 	AB	66884094
707458	2423	1998-09-09	VYDAJ	PREVOD NA UCET	1317	14491	 	AB	66884094
707459	2423	1998-10-09	VYDAJ	PREVOD NA UCET	1317	11901	 	AB	66884094
707460	2423	1998-11-09	VYDAJ	PREVOD NA UCET	1317	14811	 	AB	66884094
707461	2423	1998-12-09	VYDAJ	PREVOD NA UCET	1317	18378	 	AB	66884094
707463	2423	1994-06-01	VYDAJ	VYBER	4700	21261	\N	\N	\N
707467	2423	1998-06-13	VYDAJ	VYBER	1750	17436	\N	\N	\N
707468	2423	1993-12-09	VYDAJ	VYBER	500	25510	\N	\N	\N
707469	2423	1994-12-10	VYDAJ	VYBER	1400	21243	\N	\N	\N
707470	2423	1995-12-14	VYDAJ	VYBER	350	15248	\N	\N	\N
707471	2423	1996-12-23	VYDAJ	VYBER	1450	16799	\N	\N	\N
707472	2423	1997-12-24	VYDAJ	VYBER	1050	15529	\N	\N	\N
707473	2423	1998-12-02	VYDAJ	VYBER	850	19695	\N	\N	\N
707480	2423	1994-01-15	VYDAJ	VYBER	640	27289	\N	\N	\N
707481	2423	1994-01-23	VYDAJ	VYBER	1680	23609	\N	\N	\N
707482	2423	1994-01-05	VYDAJ	VYBER	480	27989	\N	\N	\N
707483	2423	1994-01-12	VYDAJ	VYBER	1920	27929	\N	\N	\N
707484	2423	1994-01-27	VYDAJ	VYBER	1120	22489	\N	\N	\N
707485	2423	1994-01-22	VYDAJ	VYBER	2000	25289	\N	\N	\N
707486	2423	1995-01-21	VYDAJ	VYBER	880	24930	\N	\N	\N
707487	2423	1995-01-21	VYDAJ	VYBER	640	24290	\N	\N	\N
707488	2423	1995-01-24	VYDAJ	VYBER	2080	22210	\N	\N	\N
707489	2423	1995-01-10	VYDAJ	VYBER	1200	20139	\N	\N	\N
707490	2423	1995-01-04	VYDAJ	VYBER	1760	24450	\N	\N	\N
707491	2423	1995-01-01	VYDAJ	VYBER	800	26210	\N	\N	\N
707495	2423	1996-01-18	VYDAJ	VYBER	2000	16156	\N	\N	\N
707497	2423	1996-01-20	VYDAJ	VYBER	1440	14716	\N	\N	\N
707498	2423	1997-01-12	VYDAJ	VYBER	1680	15029	\N	\N	\N
707506	2423	1998-01-08	VYDAJ	VYBER	800	14785	\N	\N	\N
707508	2423	1998-01-14	VYDAJ	VYBER	1840	15805	\N	\N	\N
707509	2423	1998-01-15	VYDAJ	VYBER	400	15405	\N	\N	\N
707512	2423	1993-11-13	VYDAJ	VYBER	720	25921	\N	\N	\N
707513	2423	1993-10-05	VYDAJ	VYBER	2400	24129	\N	\N	\N
707515	2423	1993-10-10	VYDAJ	VYBER	1200	20118	\N	\N	\N
707517	2423	1994-02-20	VYDAJ	VYBER	3280	22163	\N	\N	\N
707518	2423	1994-10-23	VYDAJ	VYBER	640	28992	\N	\N	\N
707519	2423	1994-05-08	VYDAJ	VYBER	1520	23011	\N	\N	\N
707520	2423	1994-03-02	VYDAJ	VYBER	1600	20644	\N	\N	\N
707521	2423	1994-04-19	VYDAJ	VYBER	2000	24444	\N	\N	\N
707522	2423	1995-06-20	VYDAJ	VYBER	3120	19479	\N	\N	\N
707523	2423	1995-03-02	VYDAJ	VYBER	1920	18964	\N	\N	\N
707524	2423	1995-10-20	VYDAJ	VYBER	2240	17629	\N	\N	\N
707525	2423	1995-10-25	VYDAJ	VYBER	2960	14669	\N	\N	\N
707526	2423	1995-05-24	VYDAJ	VYBER	720	21167	\N	\N	\N
707527	2423	1995-01-24	VYDAJ	VYBER	1840	20370	\N	\N	\N
707528	2423	1996-09-24	VYDAJ	VYBER	1440	15821	\N	\N	\N
707529	2423	1996-08-31	VYDAJ	VYBER	960	14401	\N	\N	\N
707535	2423	1997-10-30	VYDAJ	VYBER	480	18435	\N	\N	\N
707538	2423	1998-05-23	VYDAJ	VYBER	960	16277	\N	\N	\N
707546	2423	1993-07-31	VYDAJ	VYBER	15	25402	SLUZBY	\N	\N
707547	2423	1993-08-31	VYDAJ	VYBER	15	28360	SLUZBY	\N	\N
707548	2423	1993-09-30	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
707549	2423	1993-10-31	VYDAJ	VYBER	15	23781	SLUZBY	\N	\N
707550	2423	1993-11-30	VYDAJ	VYBER	15	26010	SLUZBY	\N	\N
707551	2423	1993-12-31	VYDAJ	VYBER	15	28469	SLUZBY	\N	\N
707552	2423	1994-01-31	VYDAJ	VYBER	15	22583	SLUZBY	\N	\N
707553	2423	1994-02-28	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
707554	2423	1994-03-31	VYDAJ	VYBER	15	23584	SLUZBY	\N	\N
707555	2423	1994-04-30	VYDAJ	VYBER	15	24531	SLUZBY	\N	\N
707556	2423	1994-05-31	VYDAJ	VYBER	15	25961	SLUZBY	\N	\N
707557	2423	1994-06-30	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
707558	2423	1994-07-31	VYDAJ	VYBER	15	27159	SLUZBY	\N	\N
707559	2423	1994-08-31	VYDAJ	VYBER	15	27015	SLUZBY	\N	\N
707560	2423	1994-09-30	VYDAJ	VYBER	15	27572	SLUZBY	\N	\N
707561	2423	1994-10-31	VYDAJ	VYBER	15	29095	SLUZBY	\N	\N
707562	2423	1994-11-30	VYDAJ	VYBER	15	27354	SLUZBY	\N	\N
707563	2423	1994-12-31	VYDAJ	VYBER	15	27010	SLUZBY	\N	\N
707564	2423	1995-01-31	VYDAJ	VYBER	15	20455	SLUZBY	\N	\N
707565	2423	1995-02-28	VYDAJ	VYBER	15	20884	SLUZBY	\N	\N
707566	2423	1995-03-31	VYDAJ	VYBER	15	21897	SLUZBY	\N	\N
707567	2423	1995-04-30	VYDAJ	VYBER	15	20727	SLUZBY	\N	\N
707568	2423	1995-05-31	VYDAJ	VYBER	15	21239	SLUZBY	\N	\N
707569	2423	1995-06-30	VYDAJ	VYBER	15	19550	SLUZBY	\N	\N
707570	2423	1995-07-31	VYDAJ	VYBER	15	19875	SLUZBY	\N	\N
707571	2423	1995-08-31	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
707572	2423	1995-09-30	VYDAJ	VYBER	15	17009	SLUZBY	\N	\N
707573	2423	1995-10-31	VYDAJ	VYBER	15	14725	SLUZBY	\N	\N
707574	2423	1995-11-30	VYDAJ	VYBER	15	17638	SLUZBY	\N	\N
707575	2423	1995-12-31	VYDAJ	VYBER	15	15296	SLUZBY	\N	\N
707576	2423	1996-01-31	VYDAJ	VYBER	15	14766	SLUZBY	\N	\N
707577	2423	1996-02-29	VYDAJ	VYBER	15	12378	SLUZBY	\N	\N
707578	2423	1996-03-31	VYDAJ	VYBER	15	15281	SLUZBY	\N	\N
707579	2423	1996-04-30	VYDAJ	VYBER	15	18196	SLUZBY	\N	\N
707580	2423	1996-05-31	VYDAJ	VYBER	15	15921	SLUZBY	\N	\N
707581	2423	1996-06-30	VYDAJ	VYBER	15	14336	SLUZBY	\N	\N
707582	2423	1996-07-31	VYDAJ	VYBER	15	15547	SLUZBY	\N	\N
707583	2423	1996-08-31	VYDAJ	VYBER	15	15361	SLUZBY	\N	\N
707584	2423	1996-09-30	VYDAJ	VYBER	15	15871	SLUZBY	\N	\N
707585	2423	1996-10-31	VYDAJ	VYBER	15	13184	SLUZBY	\N	\N
707586	2423	1996-11-30	VYDAJ	VYBER	15	15389	SLUZBY	\N	\N
707587	2423	1996-12-31	VYDAJ	VYBER	15	13849	SLUZBY	\N	\N
707588	2423	1997-01-31	VYDAJ	VYBER	15	12870	SLUZBY	\N	\N
707589	2423	1997-02-28	VYDAJ	VYBER	15	15774	SLUZBY	\N	\N
707590	2423	1997-03-31	VYDAJ	VYBER	15	13685	SLUZBY	\N	\N
707591	2423	1997-04-30	VYDAJ	VYBER	15	16292	SLUZBY	\N	\N
707592	2423	1997-05-31	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
707593	2423	1997-06-30	VYDAJ	VYBER	15	17316	SLUZBY	\N	\N
707594	2423	1997-07-31	VYDAJ	VYBER	15	15233	SLUZBY	\N	\N
707595	2423	1997-08-31	VYDAJ	VYBER	15	15142	SLUZBY	\N	\N
707596	2423	1997-09-30	VYDAJ	VYBER	15	18055	SLUZBY	\N	\N
707597	2423	1997-10-31	VYDAJ	VYBER	15	18498	SLUZBY	\N	\N
707598	2423	1997-11-30	VYDAJ	VYBER	15	17619	SLUZBY	\N	\N
707599	2423	1997-12-31	VYDAJ	VYBER	15	15585	SLUZBY	\N	\N
707600	2423	1998-01-31	VYDAJ	VYBER	15	15452	SLUZBY	\N	\N
707601	2423	1998-02-28	VYDAJ	VYBER	15	15461	SLUZBY	\N	\N
707602	2423	1998-03-31	VYDAJ	VYBER	15	14970	SLUZBY	\N	\N
707603	2423	1998-04-30	VYDAJ	VYBER	15	14377	SLUZBY	\N	\N
707604	2423	1998-05-31	VYDAJ	VYBER	15	16326	SLUZBY	\N	\N
707605	2423	1998-06-30	VYDAJ	VYBER	15	14283	SLUZBY	\N	\N
707606	2423	1998-07-31	VYDAJ	VYBER	15	15990	SLUZBY	\N	\N
707607	2423	1998-08-31	VYDAJ	VYBER	15	17302	SLUZBY	\N	\N
707608	2423	1998-09-30	VYDAJ	VYBER	15	14712	SLUZBY	\N	\N
707609	2423	1998-10-31	VYDAJ	VYBER	15	17622	SLUZBY	\N	\N
707610	2423	1998-11-30	VYDAJ	VYBER	15	20545	SLUZBY	\N	\N
707611	2423	1993-07-14	VYDAJ	VYBER	3400	25355	\N	\N	\N
707612	2423	1993-09-12	VYDAJ	VYBER	4800	26420	\N	\N	\N
707613	2423	1993-10-12	VYDAJ	VYBER	2100	23689	\N	\N	\N
707614	2423	1994-01-10	VYDAJ	VYBER	1000	24178	\N	\N	\N
707615	2423	1994-08-08	VYDAJ	VYBER	3100	24059	\N	\N	\N
707616	2423	1994-09-07	VYDAJ	VYBER	2400	24615	\N	\N	\N
707617	2423	1994-10-07	VYDAJ	VYBER	800	26772	\N	\N	\N
707618	2423	1994-11-06	VYDAJ	VYBER	4700	24395	\N	\N	\N
707619	2423	1994-12-06	VYDAJ	VYBER	1900	25454	\N	\N	\N
707620	2423	1995-01-05	VYDAJ	VYBER	300	24150	\N	\N	\N
707621	2423	1995-02-04	VYDAJ	VYBER	2500	17955	\N	\N	\N
707622	2423	1995-04-05	VYDAJ	VYBER	4100	17797	\N	\N	\N
707623	2423	1995-05-05	VYDAJ	VYBER	1700	19027	\N	\N	\N
707624	2423	1995-06-04	VYDAJ	VYBER	1500	19739	\N	\N	\N
707625	2423	1995-07-04	VYDAJ	VYBER	2600	16950	\N	\N	\N
707626	2423	1995-08-03	VYDAJ	VYBER	4800	15075	\N	\N	\N
707627	2423	1995-09-02	VYDAJ	VYBER	3900	14094	\N	\N	\N
707628	2423	1995-12-01	VYDAJ	VYBER	4900	12738	\N	\N	\N
707629	2423	1996-02-29	VYDAJ	VYBER	5300	12392	\N	\N	\N
707630	2423	1996-05-29	VYDAJ	VYBER	5200	15856	\N	\N	\N
707631	2423	1996-06-28	VYDAJ	VYBER	4500	14281	\N	\N	\N
707632	2423	1996-07-28	VYDAJ	VYBER	1700	15496	\N	\N	\N
707633	2423	1996-08-27	VYDAJ	VYBER	3100	15307	\N	\N	\N
707634	2423	1996-10-26	VYDAJ	VYBER	5600	13131	\N	\N	\N
707635	2423	1996-11-25	VYDAJ	VYBER	700	15344	\N	\N	\N
707636	2423	1996-12-25	VYDAJ	VYBER	3000	13799	\N	\N	\N
707637	2423	1997-01-24	VYDAJ	VYBER	2200	12829	\N	\N	\N
707638	2423	1997-03-25	VYDAJ	VYBER	5000	13634	\N	\N	\N
707639	2423	1997-04-24	VYDAJ	VYBER	300	16245	\N	\N	\N
707640	2423	1997-05-24	VYDAJ	VYBER	4700	14452	\N	\N	\N
707641	2423	1997-06-23	VYDAJ	VYBER	100	17265	\N	\N	\N
707642	2423	1997-07-23	VYDAJ	VYBER	5000	15176	\N	\N	\N
707643	2423	1997-08-22	VYDAJ	VYBER	3000	15093	\N	\N	\N
707644	2423	1997-10-21	VYDAJ	VYBER	2000	18915	\N	\N	\N
707645	2423	1997-11-20	VYDAJ	VYBER	3800	17558	\N	\N	\N
707646	2423	1997-12-20	VYDAJ	VYBER	3900	16579	\N	\N	\N
707647	2423	1998-02-18	VYDAJ	VYBER	2900	15412	\N	\N	\N
707648	2423	1998-03-20	VYDAJ	VYBER	3400	14921	\N	\N	\N
707649	2423	1998-04-19	VYDAJ	VYBER	3500	14330	\N	\N	\N
707650	2423	1998-06-18	VYDAJ	VYBER	3200	14236	\N	\N	\N
707651	2423	1998-07-18	VYDAJ	VYBER	1200	15943	\N	\N	\N
707652	2423	1998-08-17	VYDAJ	VYBER	1600	17250	\N	\N	\N
707653	2423	1998-09-16	VYDAJ	VYBER	5500	14662	\N	\N	\N
707720	2424	1995-10-13	PRIJEM	VKLAD	300	300	\N	\N	\N
707722	2424	1996-04-24	PRIJEM	VKLAD	23174	103136	\N	\N	\N
707723	2424	1996-07-28	PRIJEM	VKLAD	10018	54190	\N	\N	\N
707724	2424	1996-08-26	PRIJEM	VKLAD	19115	82709	\N	\N	\N
707725	2424	1996-08-20	PRIJEM	VKLAD	10948	63594	\N	\N	\N
707726	2424	1996-04-02	PRIJEM	VKLAD	49651	153616	\N	\N	\N
707727	2424	1996-03-27	PRIJEM	VKLAD	35313	121940	\N	\N	\N
707728	2424	1996-06-05	PRIJEM	VKLAD	39739	95933	\N	\N	\N
707729	2424	1996-11-01	PRIJEM	VKLAD	43334	91471	\N	\N	\N
707730	2424	1996-12-25	PRIJEM	VKLAD	41995	139346	\N	\N	\N
707731	2424	1996-04-20	PRIJEM	VKLAD	19184	79962	\N	\N	\N
707732	2424	1996-05-10	PRIJEM	VKLAD	9586	84082	\N	\N	\N
707733	2424	1996-03-04	PRIJEM	VKLAD	41999	142600	\N	\N	\N
707734	2424	1996-12-30	PRIJEM	VKLAD	30373	141119	\N	\N	\N
707735	2424	1996-03-02	PRIJEM	VKLAD	8148	67166	\N	\N	\N
707736	2424	1996-01-09	PRIJEM	VKLAD	32300	49600	\N	\N	\N
707737	2424	1996-12-17	PRIJEM	VKLAD	39747	115951	\N	\N	\N
707738	2424	1996-02-08	PRIJEM	VKLAD	40033	94279	\N	\N	\N
707739	2424	1996-03-10	PRIJEM	VKLAD	49425	132987	\N	\N	\N
707740	2424	1996-08-07	PRIJEM	VKLAD	37854	78110	\N	\N	\N
707741	2424	1996-09-19	PRIJEM	VKLAD	36337	96201	\N	\N	\N
707742	2424	1996-12-15	PRIJEM	VKLAD	23798	76204	\N	\N	\N
707743	2424	1996-03-02	PRIJEM	VKLAD	33435	100601	\N	\N	\N
707744	2424	1996-05-02	PRIJEM	VKLAD	30049	88634	\N	\N	\N
707745	2424	1996-08-30	PRIJEM	VKLAD	20980	103689	\N	\N	\N
707746	2424	1996-07-09	PRIJEM	VKLAD	19572	51972	\N	\N	\N
707747	2424	1996-11-11	PRIJEM	VKLAD	31306	87539	\N	\N	\N
707748	2424	1996-01-19	PRIJEM	VKLAD	19014	54114	\N	\N	\N
707749	2424	1996-03-20	PRIJEM	VKLAD	39840	102127	\N	\N	\N
707750	2424	1996-08-08	PRIJEM	VKLAD	37836	115946	\N	\N	\N
707751	2424	1997-11-10	PRIJEM	VKLAD	26912	68597	\N	\N	\N
707752	2424	1997-09-29	PRIJEM	VKLAD	34197	102928	\N	\N	\N
707753	2424	1997-10-04	PRIJEM	VKLAD	27791	99109	\N	\N	\N
707754	2424	1997-10-24	PRIJEM	VKLAD	19893	109547	\N	\N	\N
707755	2424	1997-03-18	PRIJEM	VKLAD	14125	38448	\N	\N	\N
707756	2424	1997-04-29	PRIJEM	VKLAD	32535	79060	\N	\N	\N
707757	2424	1997-12-03	PRIJEM	VKLAD	43639	126209	\N	\N	\N
707758	2424	1997-10-30	PRIJEM	VKLAD	34773	90520	\N	\N	\N
707759	2424	1997-01-03	PRIJEM	VKLAD	33300	78169	\N	\N	\N
707760	2424	1997-05-03	PRIJEM	VKLAD	27443	106717	\N	\N	\N
707761	2424	1997-08-19	PRIJEM	VKLAD	18774	40766	\N	\N	\N
707762	2424	1997-08-19	PRIJEM	VKLAD	44651	85417	\N	\N	\N
707763	2424	1997-01-14	PRIJEM	VKLAD	20124	94564	\N	\N	\N
707764	2424	1997-11-13	PRIJEM	VKLAD	25096	93693	\N	\N	\N
707765	2424	1997-09-05	PRIJEM	VKLAD	8767	69301	\N	\N	\N
707766	2424	1997-05-19	PRIJEM	VKLAD	9649	54030	\N	\N	\N
707767	2424	1997-09-24	PRIJEM	VKLAD	20674	68731	\N	\N	\N
707768	2424	1997-10-10	PRIJEM	VKLAD	35183	120154	\N	\N	\N
707769	2424	1997-10-01	PRIJEM	VKLAD	10826	114018	\N	\N	\N
707770	2424	1997-04-01	PRIJEM	VKLAD	39651	78263	\N	\N	\N
707771	2424	1997-08-28	PRIJEM	VKLAD	33916	113247	\N	\N	\N
707772	2424	1997-03-05	PRIJEM	VKLAD	48410	124066	\N	\N	\N
707773	2424	1997-12-02	PRIJEM	VKLAD	31302	82570	\N	\N	\N
707774	2424	1997-12-04	PRIJEM	VKLAD	11807	111416	\N	\N	\N
707775	2424	1997-01-10	PRIJEM	VKLAD	34209	82540	\N	\N	\N
707776	2424	1997-12-14	PRIJEM	VKLAD	13999	87977	\N	\N	\N
707777	2424	1997-02-28	PRIJEM	VKLAD	18185	75671	\N	\N	\N
707778	2424	1997-02-13	PRIJEM	VKLAD	43035	80043	\N	\N	\N
707779	2424	1998-10-28	PRIJEM	VKLAD	13294	41432	\N	\N	\N
707780	2424	1998-04-21	PRIJEM	VKLAD	16834	99906	\N	\N	\N
707781	2424	1998-04-12	PRIJEM	VKLAD	42072	110372	\N	\N	\N
707782	2424	1998-10-13	PRIJEM	VKLAD	7092	34338	\N	\N	\N
707783	2424	1998-05-16	PRIJEM	VKLAD	10659	69408	\N	\N	\N
707784	2424	1998-05-13	PRIJEM	VKLAD	5823	58749	\N	\N	\N
707785	2424	1998-03-16	PRIJEM	VKLAD	12277	71141	\N	\N	\N
707786	2424	1998-07-16	PRIJEM	VKLAD	47651	93716	\N	\N	\N
707787	2424	1998-12-09	PRIJEM	VKLAD	49136	65105	\N	\N	\N
707788	2424	1998-06-06	PRIJEM	VKLAD	23098	61252	\N	\N	\N
707789	2424	1998-03-17	PRIJEM	VKLAD	41578	112719	\N	\N	\N
707790	2424	1998-04-05	PRIJEM	VKLAD	30857	91265	\N	\N	\N
707791	2424	1998-09-20	PRIJEM	VKLAD	28464	45056	\N	\N	\N
707792	2424	1998-02-26	PRIJEM	VKLAD	21306	86906	\N	\N	\N
707793	2424	1998-03-13	PRIJEM	VKLAD	18816	58864	\N	\N	\N
707794	2424	1998-02-20	PRIJEM	VKLAD	36272	65600	\N	\N	\N
707795	2424	1998-06-21	PRIJEM	VKLAD	34708	85048	\N	\N	\N
707796	2424	1998-05-28	PRIJEM	VKLAD	10050	64138	\N	\N	\N
707797	2424	1998-11-27	PRIJEM	VKLAD	30408	66414	\N	\N	\N
707798	2424	1998-10-29	PRIJEM	VKLAD	31664	73096	\N	\N	\N
707799	2424	1998-01-12	PRIJEM	VKLAD	47765	74160	\N	\N	\N
707800	2424	1998-09-26	PRIJEM	VKLAD	33385	78441	\N	\N	\N
707815	2424	1996-03-05	VYDAJ	PREVOD NA UCET	14138	83562	SIPO	EF	92266177
707816	2424	1996-04-05	VYDAJ	PREVOD NA UCET	14138	89778	SIPO	EF	92266177
707817	2424	1996-05-05	VYDAJ	PREVOD NA UCET	14138	74496	SIPO	EF	92266177
707818	2424	1996-06-05	VYDAJ	PREVOD NA UCET	14138	81795	SIPO	EF	92266177
707819	2424	1996-07-05	VYDAJ	PREVOD NA UCET	14138	42600	SIPO	EF	92266177
707820	2424	1996-08-05	VYDAJ	PREVOD NA UCET	14138	40256	SIPO	EF	92266177
707821	2424	1996-09-05	VYDAJ	PREVOD NA UCET	14138	80564	SIPO	EF	92266177
707822	2424	1996-10-05	VYDAJ	PREVOD NA UCET	14138	82388	SIPO	EF	92266177
707823	2424	1996-11-05	VYDAJ	PREVOD NA UCET	14138	77333	SIPO	EF	92266177
707824	2424	1996-12-05	VYDAJ	PREVOD NA UCET	14138	69806	SIPO	EF	92266177
707825	2424	1997-01-05	VYDAJ	PREVOD NA UCET	14138	50431	SIPO	EF	92266177
707826	2424	1997-02-05	VYDAJ	PREVOD NA UCET	14138	37008	SIPO	EF	92266177
707827	2424	1997-03-05	VYDAJ	PREVOD NA UCET	14138	46228	SIPO	EF	92266177
707828	2424	1997-04-05	VYDAJ	PREVOD NA UCET	14138	64125	SIPO	EF	92266177
707829	2424	1997-05-05	VYDAJ	PREVOD NA UCET	14138	59479	SIPO	EF	92266177
707830	2424	1997-06-05	VYDAJ	PREVOD NA UCET	14138	33929	SIPO	EF	92266177
707831	2424	1997-07-05	VYDAJ	PREVOD NA UCET	14138	28425	SIPO	EF	92266177
707832	2424	1997-08-05	VYDAJ	PREVOD NA UCET	14138	21992	SIPO	EF	92266177
707833	2424	1997-09-05	VYDAJ	PREVOD NA UCET	14138	48057	SIPO	EF	92266177
707834	2424	1997-10-05	VYDAJ	PREVOD NA UCET	14138	84971	SIPO	EF	92266177
707835	2424	1997-11-05	VYDAJ	PREVOD NA UCET	14138	41685	SIPO	EF	92266177
707836	2424	1997-12-05	VYDAJ	PREVOD NA UCET	14138	80578	SIPO	EF	92266177
707837	2424	1998-01-05	VYDAJ	PREVOD NA UCET	14138	26395	SIPO	EF	92266177
707838	2424	1998-02-05	VYDAJ	PREVOD NA UCET	14138	29328	SIPO	EF	92266177
707839	2424	1998-03-05	VYDAJ	PREVOD NA UCET	14138	48772	SIPO	EF	92266177
707840	2424	1998-04-05	VYDAJ	PREVOD NA UCET	14138	77127	SIPO	EF	92266177
707841	2424	1998-05-05	VYDAJ	PREVOD NA UCET	14138	52926	SIPO	EF	92266177
707842	2424	1998-06-05	VYDAJ	PREVOD NA UCET	14138	38154	SIPO	EF	92266177
707843	2424	1998-07-05	VYDAJ	PREVOD NA UCET	14138	46065	SIPO	EF	92266177
707844	2424	1998-08-05	VYDAJ	PREVOD NA UCET	14138	37681	SIPO	EF	92266177
707845	2424	1998-09-05	VYDAJ	PREVOD NA UCET	14138	16592	SIPO	EF	92266177
707846	2424	1998-10-05	VYDAJ	PREVOD NA UCET	14138	27246	SIPO	EF	92266177
707847	2424	1998-11-05	VYDAJ	PREVOD NA UCET	14138	59110	SIPO	EF	92266177
707848	2424	1998-12-05	VYDAJ	PREVOD NA UCET	14138	15969	SIPO	EF	92266177
707858	2424	1996-10-07	VYBER	VYBER	23510	58878	\N	\N	\N
707859	2424	1997-03-09	VYBER	VYBER	21835	24323	\N	\N	\N
707860	2424	1997-11-01	VYBER	VYBER	19524	71323	\N	\N	\N
707861	2424	1997-11-22	VYBER	VYBER	22202	66391	\N	\N	\N
707863	2424	1997-02-20	VYBER	VYBER	22799	57244	\N	\N	\N
707864	2424	1997-05-19	VYBER	VYBER	5575	48455	\N	\N	\N
707865	2424	1997-05-07	VYBER	VYBER	15098	44381	\N	\N	\N
707866	2424	1997-08-20	VYBER	VYBER	6086	79331	\N	\N	\N
707867	2424	1997-03-06	VYBER	VYBER	4070	46158	\N	\N	\N
707868	2424	1997-12-18	VYBER	VYBER	19240	68737	\N	\N	\N
707869	2424	1997-09-05	VYBER	VYBER	7106	62195	\N	\N	\N
707870	2424	1998-06-19	VYBER	VYBER	10912	50340	\N	\N	\N
707871	2424	1998-12-13	VYBER	VYBER	17305	47800	\N	\N	\N
707873	2424	1998-08-03	VYBER	VYBER	10290	51819	\N	\N	\N
707874	2424	1998-12-18	VYBER	VYBER	2918	32282	\N	\N	\N
707875	2424	1998-03-11	VYBER	VYBER	8724	40048	\N	\N	\N
707876	2424	1998-04-07	VYBER	VYBER	8827	68300	\N	\N	\N
707877	2424	1998-11-27	VYBER	VYBER	11913	54501	\N	\N	\N
707878	2424	1998-11-30	VYBER	VYBER	24642	30121	\N	\N	\N
707879	2424	1998-05-26	VYBER	VYBER	15320	54088	\N	\N	\N
707881	2424	1998-11-23	VYBER	VYBER	2304	45406	\N	\N	\N
707888	2424	1997-01-18	VYDAJ	VYBER	4500	82264	\N	\N	\N
707889	2424	1998-01-01	VYDAJ	VYBER	9600	46233	\N	\N	\N
707891	2424	1996-12-05	VYDAJ	VYBER	3900	83944	\N	\N	\N
707892	2424	1997-12-07	VYDAJ	VYBER	6600	73978	\N	\N	\N
707893	2424	1998-12-14	VYDAJ	VYBER	6000	41800	\N	\N	\N
707906	2424	1997-01-30	VYDAJ	VYBER	4200	60664	\N	\N	\N
707907	2424	1997-01-02	VYDAJ	VYBER	4800	44869	\N	\N	\N
707908	2424	1997-01-01	VYDAJ	VYBER	6300	49669	\N	\N	\N
707909	2424	1997-01-10	VYDAJ	VYBER	8100	74440	\N	\N	\N
707910	2424	1997-01-09	VYDAJ	VYBER	2100	48331	\N	\N	\N
707911	2424	1997-01-14	VYDAJ	VYBER	7800	86764	\N	\N	\N
707913	2424	1998-01-03	VYDAJ	VYBER	5700	40533	\N	\N	\N
707914	2424	1998-01-24	VYDAJ	VYBER	8400	59160	\N	\N	\N
707915	2424	1998-01-16	VYDAJ	VYBER	6600	67560	\N	\N	\N
707916	2424	1998-01-24	VYDAJ	VYBER	6300	52860	\N	\N	\N
707925	2424	1996-07-08	VYDAJ	VYBER	10200	32400	\N	\N	\N
707927	2424	1996-09-03	VYDAJ	VYBER	9300	94702	\N	\N	\N
707928	2424	1997-11-16	VYDAJ	VYBER	5100	88593	\N	\N	\N
707929	2424	1997-01-22	VYDAJ	VYBER	4500	77764	\N	\N	\N
707931	2424	1997-01-29	VYDAJ	VYBER	12900	64864	\N	\N	\N
707932	2424	1997-04-24	VYDAJ	VYBER	11700	46525	\N	\N	\N
707934	2424	1998-11-19	VYDAJ	VYBER	11400	47710	\N	\N	\N
707935	2424	1998-12-17	VYDAJ	VYBER	6600	35200	\N	\N	\N
707936	2424	1998-10-14	VYDAJ	VYBER	4800	29538	\N	\N	\N
707937	2424	1998-10-05	VYDAJ	VYBER	13500	41384	\N	\N	\N
707953	2424	1996-03-31	VYDAJ	VYBER	15	103965	SLUZBY	\N	\N
707954	2424	1996-04-30	VYDAJ	VYBER	15	58585	SLUZBY	\N	\N
707955	2424	1996-05-31	VYDAJ	VYBER	15	56194	SLUZBY	\N	\N
707956	2424	1996-06-30	VYDAJ	VYBER	15	56738	SLUZBY	\N	\N
707957	2424	1996-07-31	VYDAJ	VYBER	15	54394	SLUZBY	\N	\N
707958	2424	1996-08-31	VYDAJ	VYBER	15	104002	SLUZBY	\N	\N
707959	2424	1996-09-30	VYDAJ	VYBER	15	96526	SLUZBY	\N	\N
707960	2424	1996-10-31	VYDAJ	VYBER	15	48137	SLUZBY	\N	\N
707961	2424	1996-11-30	VYDAJ	VYBER	15	87844	SLUZBY	\N	\N
707962	2424	1996-12-31	VYDAJ	VYBER	15	55969	SLUZBY	\N	\N
707963	2424	1997-01-31	VYDAJ	VYBER	15	60946	SLUZBY	\N	\N
707964	2424	1997-02-28	VYDAJ	VYBER	15	75656	SLUZBY	\N	\N
707965	2424	1997-03-31	VYDAJ	VYBER	15	38612	SLUZBY	\N	\N
707966	2424	1997-04-30	VYDAJ	VYBER	15	79274	SLUZBY	\N	\N
707967	2424	1997-05-31	VYDAJ	VYBER	15	48667	SLUZBY	\N	\N
707968	2424	1997-06-30	VYDAJ	VYBER	15	34063	SLUZBY	\N	\N
707969	2424	1997-07-31	VYDAJ	VYBER	15	28530	SLUZBY	\N	\N
707970	2424	1997-08-31	VYDAJ	VYBER	15	71834	SLUZBY	\N	\N
707971	2424	1997-09-30	VYDAJ	VYBER	15	103192	SLUZBY	\N	\N
707972	2424	1997-10-31	VYDAJ	VYBER	15	90847	SLUZBY	\N	\N
707973	2424	1997-11-30	VYDAJ	VYBER	15	66668	SLUZBY	\N	\N
707974	2424	1997-12-31	VYDAJ	VYBER	15	55833	SLUZBY	\N	\N
707975	2424	1998-01-31	VYDAJ	VYBER	15	43466	SLUZBY	\N	\N
707976	2424	1998-02-28	VYDAJ	VYBER	15	87110	SLUZBY	\N	\N
707977	2424	1998-03-31	VYDAJ	VYBER	15	60408	SLUZBY	\N	\N
707978	2424	1998-04-30	VYDAJ	VYBER	15	67064	SLUZBY	\N	\N
707979	2424	1998-05-31	VYDAJ	VYBER	15	52292	SLUZBY	\N	\N
707980	2424	1998-06-30	VYDAJ	VYBER	15	60203	SLUZBY	\N	\N
707981	2424	1998-07-31	VYDAJ	VYBER	15	62109	SLUZBY	\N	\N
707982	2424	1998-08-31	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
707983	2424	1998-09-30	VYDAJ	VYBER	15	54884	SLUZBY	\N	\N
707984	2424	1998-10-31	VYDAJ	VYBER	15	73248	SLUZBY	\N	\N
707985	2424	1998-11-30	VYDAJ	VYBER	15	30107	SLUZBY	\N	\N
707986	2424	1995-11-12	PRIJEM	VKLAD	10000	10300	\N	\N	\N
707987	2424	1995-12-12	PRIJEM	VKLAD	7000	17300	\N	\N	\N
707988	2424	1996-01-11	VYDAJ	VYBER	14500	35100	\N	\N	\N
707989	2424	1996-02-10	VYDAJ	VYBER	35500	58779	\N	\N	\N
707990	2424	1996-03-04	VYDAJ	VYBER	44900	97700	\N	\N	\N
707991	2424	1996-03-10	VYDAJ	VYBER	35000	97987	\N	\N	\N
707992	2424	1996-03-11	VYDAJ	VYBER	35700	62287	\N	\N	\N
707993	2424	1996-03-20	VYDAJ	VYBER	15500	86627	\N	\N	\N
707994	2424	1996-03-27	VYDAJ	VYBER	18300	103640	\N	\N	\N
707995	2424	1996-04-02	VYDAJ	VYBER	49700	103916	\N	\N	\N
707996	2424	1996-04-10	VYDAJ	VYBER	29000	60778	\N	\N	\N
707997	2424	1996-04-24	VYDAJ	VYBER	44900	58236	\N	\N	\N
707998	2424	1996-05-10	VYDAJ	VYBER	28200	55882	\N	\N	\N
707999	2424	1996-06-09	VYDAJ	VYBER	25300	56495	\N	\N	\N
708000	2424	1996-07-09	VYDAJ	VYBER	7800	44172	\N	\N	\N
708001	2424	1996-08-08	VYDAJ	VYBER	40300	52646	\N	\N	\N
708002	2424	1996-08-08	VYDAJ	VYBER	23000	92946	\N	\N	\N
708003	2424	1996-09-07	VYDAJ	VYBER	20700	59864	\N	\N	\N
708004	2424	1996-10-07	VYDAJ	VYBER	11000	47878	\N	\N	\N
708005	2424	1996-11-06	VYDAJ	VYBER	21100	56233	\N	\N	\N
708006	2424	1996-12-06	VYDAJ	VYBER	17400	52406	\N	\N	\N
708007	2424	1996-12-17	VYDAJ	VYBER	18600	97351	\N	\N	\N
708008	2424	1996-12-25	VYDAJ	VYBER	28600	110746	\N	\N	\N
708009	2424	1996-12-30	VYDAJ	VYBER	26600	114519	\N	\N	\N
708010	2424	1996-12-31	VYDAJ	VYBER	58900	55984	\N	\N	\N
708011	2424	1997-01-05	VYDAJ	VYBER	13600	64569	\N	\N	\N
708012	2424	1997-02-04	VYDAJ	VYBER	9800	51146	\N	\N	\N
708013	2424	1997-03-05	VYDAJ	VYBER	63700	60366	\N	\N	\N
708014	2424	1997-03-06	PRIJEM	VKLAD	4000	50228	\N	\N	\N
708015	2424	1997-04-05	VYDAJ	VYBER	5900	58225	\N	\N	\N
708016	2424	1997-05-03	VYDAJ	VYBER	23300	83417	\N	\N	\N
708017	2424	1997-05-05	VYDAJ	VYBER	9800	73617	\N	\N	\N
708018	2424	1997-06-04	VYDAJ	VYBER	600	48067	\N	\N	\N
708019	2424	1997-07-04	PRIJEM	VKLAD	8500	42563	\N	\N	\N
708020	2424	1997-08-03	PRIJEM	VKLAD	7600	36130	\N	\N	\N
708021	2424	1997-08-28	VYDAJ	VYBER	41600	71647	\N	\N	\N
708022	2424	1997-09-02	VYDAJ	VYBER	11300	60534	\N	\N	\N
708023	2424	1997-10-01	VYDAJ	VYBER	15800	98218	\N	\N	\N
708024	2424	1997-10-02	VYDAJ	VYBER	26900	71318	\N	\N	\N
708025	2424	1997-10-10	VYDAJ	VYBER	30500	89654	\N	\N	\N
708026	2424	1997-10-24	VYDAJ	VYBER	53800	55747	\N	\N	\N
708027	2424	1997-11-01	VYDAJ	VYBER	15500	55823	\N	\N	\N
708028	2424	1997-12-01	VYDAJ	VYBER	15400	51268	\N	\N	\N
708029	2424	1997-12-03	VYDAJ	VYBER	26600	99609	\N	\N	\N
708030	2424	1997-12-04	VYDAJ	VYBER	16700	94716	\N	\N	\N
708031	2424	1997-12-31	VYDAJ	VYBER	13200	55847	\N	\N	\N
708032	2424	1998-01-30	VYDAJ	VYBER	9600	43260	\N	\N	\N
708033	2424	1998-03-01	VYDAJ	VYBER	24200	62910	\N	\N	\N
708034	2424	1998-03-17	VYDAJ	VYBER	23900	88819	\N	\N	\N
708035	2424	1998-03-31	VYDAJ	VYBER	28700	60423	\N	\N	\N
708036	2424	1998-04-12	VYDAJ	VYBER	27300	83072	\N	\N	\N
708037	2424	1998-04-30	VYDAJ	VYBER	33200	67078	\N	\N	\N
708038	2424	1998-05-30	VYDAJ	VYBER	12100	52038	\N	\N	\N
708039	2424	1998-06-29	VYDAJ	VYBER	25100	59948	\N	\N	\N
708040	2424	1998-07-29	VYDAJ	VYBER	31900	61816	\N	\N	\N
708041	2424	1998-08-28	VYDAJ	VYBER	7100	30581	\N	\N	\N
708042	2424	1998-09-27	VYDAJ	VYBER	23700	54741	\N	\N	\N
708043	2424	1998-10-27	VYDAJ	VYBER KARTOU	1400	28138	\N	\N	0
708044	2424	1998-11-26	VYDAJ	VYBER	9400	36006	\N	\N	\N
708081	2425	1993-01-23	PRIJEM	VKLAD	900	900	\N	\N	\N
708083	2425	1993-02-10	PRIJEM	VKLAD	8905	9805	\N	\N	\N
708084	2425	1993-03-10	PRIJEM	VKLAD	8905	26729	\N	\N	\N
708085	2425	1993-04-10	PRIJEM	VKLAD	8905	34917	\N	\N	\N
708086	2425	1993-05-10	PRIJEM	VKLAD	8905	36631	\N	\N	\N
708087	2425	1993-06-10	PRIJEM	VKLAD	13358	44508	\N	\N	\N
708088	2425	1993-07-10	PRIJEM	VKLAD	8905	37997	\N	\N	\N
708089	2425	1993-08-10	PRIJEM	VKLAD	8905	26607	\N	\N	\N
708090	2425	1993-09-10	PRIJEM	VKLAD	8905	22185	\N	\N	\N
708091	2425	1993-10-10	PRIJEM	VKLAD	8905	27331	\N	\N	\N
708092	2425	1993-11-10	PRIJEM	VKLAD	8905	24471	\N	\N	\N
708093	2425	1993-12-10	PRIJEM	VKLAD	13358	32559	\N	\N	\N
708094	2425	1994-01-10	PRIJEM	VKLAD	8905	24766	\N	\N	\N
708095	2425	1994-02-10	PRIJEM	VKLAD	8905	18285	\N	\N	\N
708096	2425	1994-03-10	PRIJEM	VKLAD	8905	24317	\N	\N	\N
708097	2425	1994-04-10	PRIJEM	VKLAD	8905	26968	\N	\N	\N
708098	2425	1994-05-10	PRIJEM	VKLAD	8905	30933	\N	\N	\N
708099	2425	1994-06-10	PRIJEM	VKLAD	13358	34217	\N	\N	\N
708100	2425	1994-07-10	PRIJEM	VKLAD	8905	34800	\N	\N	\N
708101	2425	1994-08-10	PRIJEM	VKLAD	8905	32043	\N	\N	\N
708102	2425	1994-09-10	PRIJEM	VKLAD	8905	33985	\N	\N	\N
708103	2425	1994-10-10	PRIJEM	VKLAD	8905	33498	\N	\N	\N
708104	2425	1994-11-10	PRIJEM	VKLAD	8905	36992	\N	\N	\N
708105	2425	1994-12-10	PRIJEM	VKLAD	13358	43948	\N	\N	\N
708106	2425	1995-01-10	PRIJEM	VKLAD	8905	34017	\N	\N	\N
708107	2425	1995-02-10	PRIJEM	VKLAD	8905	25301	\N	\N	\N
708108	2425	1995-03-10	PRIJEM	VKLAD	8905	32371	\N	\N	\N
708109	2425	1995-04-10	PRIJEM	VKLAD	8905	34153	\N	\N	\N
708110	2425	1995-05-10	PRIJEM	VKLAD	8905	33639	\N	\N	\N
708111	2425	1995-06-10	PRIJEM	VKLAD	13358	42386	\N	\N	\N
708112	2425	1995-07-10	PRIJEM	VKLAD	8905	41496	\N	\N	\N
708113	2425	1995-08-10	PRIJEM	VKLAD	8905	39706	\N	\N	\N
708114	2425	1995-09-10	PRIJEM	VKLAD	8905	41618	\N	\N	\N
708115	2425	1995-10-10	PRIJEM	VKLAD	8905	38269	\N	\N	\N
708116	2425	1995-11-10	PRIJEM	VKLAD	8905	40210	\N	\N	\N
708117	2425	1995-12-10	PRIJEM	VKLAD	13358	45078	\N	\N	\N
708118	2425	1996-01-10	PRIJEM	VKLAD	8905	34793	\N	\N	\N
708119	2425	1996-02-10	PRIJEM	VKLAD	8905	30673	\N	\N	\N
708120	2425	1996-03-10	PRIJEM	VKLAD	8905	33246	\N	\N	\N
708121	2425	1996-04-10	PRIJEM	VKLAD	8905	32989	\N	\N	\N
708122	2425	1996-05-10	PRIJEM	VKLAD	8905	36474	\N	\N	\N
708123	2425	1996-06-10	PRIJEM	VKLAD	13358	37947	\N	\N	\N
708124	2425	1996-07-10	PRIJEM	VKLAD	8905	34751	\N	\N	\N
708125	2425	1996-08-10	PRIJEM	VKLAD	8905	32231	\N	\N	\N
708126	2425	1996-09-10	PRIJEM	VKLAD	8905	31895	\N	\N	\N
708127	2425	1996-10-10	PRIJEM	VKLAD	8905	31479	\N	\N	\N
708128	2425	1996-11-10	PRIJEM	VKLAD	8905	33262	\N	\N	\N
708129	2425	1996-12-10	PRIJEM	VKLAD	13358	35903	\N	\N	\N
708130	2425	1997-01-10	PRIJEM	VKLAD	8905	28920	\N	\N	\N
708131	2425	1997-02-10	PRIJEM	VKLAD	8905	26949	\N	\N	\N
708132	2425	1997-03-10	PRIJEM	VKLAD	8905	29201	\N	\N	\N
708133	2425	1997-04-10	PRIJEM	VKLAD	8905	20511	\N	\N	\N
708134	2425	1997-05-10	PRIJEM	VKLAD	8905	19953	\N	\N	\N
708135	2425	1997-06-10	PRIJEM	VKLAD	13358	25240	\N	\N	\N
708136	2425	1997-07-10	PRIJEM	VKLAD	8905	27189	\N	\N	\N
708137	2425	1997-08-10	PRIJEM	VKLAD	8905	28351	\N	\N	\N
708138	2425	1997-09-10	PRIJEM	VKLAD	8905	27218	\N	\N	\N
708139	2425	1997-10-10	PRIJEM	VKLAD	8905	26278	\N	\N	\N
708140	2425	1997-11-10	PRIJEM	VKLAD	8905	30136	\N	\N	\N
708141	2425	1997-12-10	PRIJEM	VKLAD	13358	35061	\N	\N	\N
708142	2425	1998-01-10	PRIJEM	VKLAD	8905	23738	\N	\N	\N
708143	2425	1998-02-10	PRIJEM	VKLAD	8905	26020	\N	\N	\N
708144	2425	1998-03-10	PRIJEM	VKLAD	8905	29976	\N	\N	\N
708145	2425	1998-04-10	PRIJEM	VKLAD	8905	27643	\N	\N	\N
708146	2425	1998-05-10	PRIJEM	VKLAD	8905	30105	\N	\N	\N
708147	2425	1998-06-10	PRIJEM	VKLAD	13358	30426	\N	\N	\N
708148	2425	1998-07-10	PRIJEM	VKLAD	8905	27608	\N	\N	\N
708149	2425	1998-08-10	PRIJEM	VKLAD	8905	27267	\N	\N	\N
708150	2425	1998-09-10	PRIJEM	VKLAD	8905	30127	\N	\N	\N
708151	2425	1998-10-10	PRIJEM	VKLAD	8905	29996	\N	\N	\N
708152	2425	1998-11-10	PRIJEM	VKLAD	8905	24358	\N	\N	\N
708153	2425	1998-12-10	PRIJEM	VKLAD	13358	28695	\N	\N	\N
708160	2425	1993-07-09	VYDAJ	PREVOD NA UCET	5936	29092	SIPO	KL	64028662
708161	2425	1993-08-09	VYDAJ	PREVOD NA UCET	5936	17702	SIPO	KL	64028662
708162	2425	1993-09-09	VYDAJ	PREVOD NA UCET	5936	13280	SIPO	KL	64028662
708163	2425	1993-10-09	VYDAJ	PREVOD NA UCET	5936	18426	SIPO	KL	64028662
708164	2425	1993-11-09	VYDAJ	PREVOD NA UCET	5936	15566	SIPO	KL	64028662
708165	2425	1993-12-09	VYDAJ	PREVOD NA UCET	5936	19202	SIPO	KL	64028662
708166	2425	1994-01-09	VYDAJ	PREVOD NA UCET	5936	15861	SIPO	KL	64028662
708167	2425	1994-02-09	VYDAJ	PREVOD NA UCET	5936	9380	SIPO	KL	64028662
708168	2425	1994-03-09	VYDAJ	PREVOD NA UCET	5936	15412	SIPO	KL	64028662
708169	2425	1994-04-09	VYDAJ	PREVOD NA UCET	5936	18063	SIPO	KL	64028662
708170	2425	1994-05-09	VYDAJ	PREVOD NA UCET	5936	22028	SIPO	KL	64028662
708171	2425	1994-06-09	VYDAJ	PREVOD NA UCET	5936	20859	SIPO	KL	64028662
708172	2425	1994-07-09	VYDAJ	PREVOD NA UCET	5936	25895	SIPO	KL	64028662
708173	2425	1994-08-09	VYDAJ	PREVOD NA UCET	5936	23138	SIPO	KL	64028662
708174	2425	1994-09-09	VYDAJ	PREVOD NA UCET	5936	25080	SIPO	KL	64028662
708175	2425	1994-10-09	VYDAJ	PREVOD NA UCET	5936	24593	SIPO	KL	64028662
708176	2425	1994-11-09	VYDAJ	PREVOD NA UCET	5936	28087	SIPO	KL	64028662
708177	2425	1994-12-09	VYDAJ	PREVOD NA UCET	5936	30590	SIPO	KL	64028662
708178	2425	1995-01-09	VYDAJ	PREVOD NA UCET	5936	25112	SIPO	KL	64028662
708179	2425	1995-02-09	VYDAJ	PREVOD NA UCET	5936	16396	SIPO	KL	64028662
708180	2425	1995-03-09	VYDAJ	PREVOD NA UCET	5936	23466	SIPO	KL	64028662
708181	2425	1995-04-09	VYDAJ	PREVOD NA UCET	5936	25248	SIPO	KL	64028662
708182	2425	1995-05-09	VYDAJ	PREVOD NA UCET	5936	24734	SIPO	KL	64028662
708183	2425	1995-06-09	VYDAJ	PREVOD NA UCET	5936	29028	SIPO	KL	64028662
708184	2425	1995-07-09	VYDAJ	PREVOD NA UCET	5936	32591	SIPO	KL	64028662
708185	2425	1995-08-09	VYDAJ	PREVOD NA UCET	5936	30801	SIPO	KL	64028662
708186	2425	1995-09-09	VYDAJ	PREVOD NA UCET	5936	32713	SIPO	KL	64028662
708187	2425	1995-10-09	VYDAJ	PREVOD NA UCET	5936	29364	SIPO	KL	64028662
708188	2425	1995-11-09	VYDAJ	PREVOD NA UCET	5936	34065	SIPO	KL	64028662
708189	2425	1995-12-09	VYDAJ	PREVOD NA UCET	5936	34420	SIPO	KL	64028662
708190	2425	1996-01-09	VYDAJ	PREVOD NA UCET	5936	25888	SIPO	KL	64028662
708191	2425	1996-02-09	VYDAJ	PREVOD NA UCET	5936	21768	SIPO	KL	64028662
708192	2425	1996-03-09	VYDAJ	PREVOD NA UCET	5936	24341	SIPO	KL	64028662
708193	2425	1996-04-09	VYDAJ	PREVOD NA UCET	5936	24084	SIPO	KL	64028662
708194	2425	1996-05-09	VYDAJ	PREVOD NA UCET	5936	27569	SIPO	KL	64028662
708195	2425	1996-06-09	VYDAJ	PREVOD NA UCET	5936	24589	SIPO	KL	64028662
708196	2425	1996-07-09	VYDAJ	PREVOD NA UCET	5936	25846	SIPO	KL	64028662
708197	2425	1996-08-09	VYDAJ	PREVOD NA UCET	5936	23326	SIPO	KL	64028662
708198	2425	1996-09-09	VYDAJ	PREVOD NA UCET	5936	22990	SIPO	KL	64028662
708199	2425	1996-10-09	VYDAJ	PREVOD NA UCET	5936	22574	SIPO	KL	64028662
708200	2425	1996-11-09	VYDAJ	PREVOD NA UCET	5936	24357	SIPO	KL	64028662
708201	2425	1996-12-09	VYDAJ	PREVOD NA UCET	5936	22545	SIPO	KL	64028662
708202	2425	1997-01-09	VYDAJ	PREVOD NA UCET	5936	20015	SIPO	KL	64028662
708203	2425	1997-02-09	VYDAJ	PREVOD NA UCET	5936	18044	SIPO	KL	64028662
708204	2425	1997-03-09	VYDAJ	PREVOD NA UCET	5936	20296	SIPO	KL	64028662
708205	2425	1997-04-09	VYDAJ	PREVOD NA UCET	5936	11606	SIPO	KL	64028662
708206	2425	1997-05-09	VYDAJ	PREVOD NA UCET	5936	11048	SIPO	KL	64028662
708207	2425	1997-06-09	VYDAJ	PREVOD NA UCET	5936	11882	SIPO	KL	64028662
708208	2425	1997-07-09	VYDAJ	PREVOD NA UCET	5936	18284	SIPO	KL	64028662
708209	2425	1997-08-09	VYDAJ	PREVOD NA UCET	5936	19446	SIPO	KL	64028662
708210	2425	1997-09-09	VYDAJ	PREVOD NA UCET	5936	18313	SIPO	KL	64028662
708211	2425	1997-10-09	VYDAJ	PREVOD NA UCET	5936	17373	SIPO	KL	64028662
708212	2425	1997-11-09	VYDAJ	PREVOD NA UCET	5936	21231	SIPO	KL	64028662
708213	2425	1997-12-09	VYDAJ	PREVOD NA UCET	5936	21703	SIPO	KL	64028662
708214	2425	1998-01-09	VYDAJ	PREVOD NA UCET	5936	14833	SIPO	KL	64028662
708215	2425	1998-02-09	VYDAJ	PREVOD NA UCET	5936	17115	SIPO	KL	64028662
708216	2425	1998-03-09	VYDAJ	PREVOD NA UCET	5936	21071	SIPO	KL	64028662
708217	2425	1998-04-09	VYDAJ	PREVOD NA UCET	5936	18738	SIPO	KL	64028662
708218	2425	1998-05-09	VYDAJ	PREVOD NA UCET	5936	21200	SIPO	KL	64028662
708219	2425	1998-06-09	VYDAJ	PREVOD NA UCET	5936	17069	SIPO	KL	64028662
708220	2425	1998-07-09	VYDAJ	PREVOD NA UCET	5936	18703	SIPO	KL	64028662
708221	2425	1998-08-09	VYDAJ	PREVOD NA UCET	5936	18362	SIPO	KL	64028662
708222	2425	1998-09-09	VYDAJ	PREVOD NA UCET	5936	21222	SIPO	KL	64028662
708223	2425	1998-10-09	VYDAJ	PREVOD NA UCET	5936	21091	SIPO	KL	64028662
708224	2425	1998-11-09	VYDAJ	PREVOD NA UCET	5936	15453	SIPO	KL	64028662
708225	2425	1998-12-09	VYDAJ	PREVOD NA UCET	5936	15337	SIPO	KL	64028662
708226	2425	1993-12-22	VYDAJ	VYBER	2720	23739	\N	\N	\N
708227	2425	1994-12-20	VYDAJ	VYBER	2880	37868	\N	\N	\N
708228	2425	1995-12-23	VYDAJ	VYBER	3680	35518	\N	\N	\N
708229	2425	1996-12-09	VYDAJ	VYBER	3200	28481	\N	\N	\N
708230	2425	1997-12-20	VYDAJ	VYBER	3520	31541	\N	\N	\N
708238	2425	1994-01-27	VYDAJ	VYBER	1920	15246	\N	\N	\N
708239	2425	1994-01-09	VYDAJ	VYBER	2040	21797	\N	\N	\N
708240	2425	1994-01-22	VYDAJ	VYBER	2040	18726	\N	\N	\N
708241	2425	1994-01-24	VYDAJ	VYBER	1560	17166	\N	\N	\N
708242	2425	1994-01-15	VYDAJ	VYBER	3480	18766	\N	\N	\N
708243	2425	1994-01-12	VYDAJ	VYBER	2520	22246	\N	\N	\N
708244	2425	1995-01-26	VYDAJ	VYBER	3240	29057	\N	\N	\N
708245	2425	1995-01-11	VYDAJ	VYBER	2520	31497	\N	\N	\N
708246	2425	1995-01-29	VYDAJ	VYBER	1560	27497	\N	\N	\N
708247	2425	1995-01-09	VYDAJ	VYBER	1080	31048	\N	\N	\N
708248	2425	1995-01-30	VYDAJ	VYBER	960	26537	\N	\N	\N
708249	2425	1995-01-12	VYDAJ	VYBER	1200	30297	\N	\N	\N
708250	2425	1996-01-19	VYDAJ	VYBER	2160	31073	\N	\N	\N
708251	2425	1996-01-22	VYDAJ	VYBER	2640	25193	\N	\N	\N
708252	2425	1996-01-10	VYDAJ	VYBER	1560	33233	\N	\N	\N
708253	2425	1996-01-21	VYDAJ	VYBER	3240	27833	\N	\N	\N
708254	2425	1996-01-06	VYDAJ	VYBER	3360	30024	\N	\N	\N
708255	2425	1996-01-02	VYDAJ	VYBER	2280	33384	\N	\N	\N
708256	2425	1997-01-21	VYDAJ	VYBER	720	20280	\N	\N	\N
708257	2425	1997-01-23	VYDAJ	VYBER	2880	17400	\N	\N	\N
708258	2425	1997-01-06	VYDAJ	VYBER	1800	25951	\N	\N	\N
708259	2425	1997-01-17	VYDAJ	VYBER	2160	25200	\N	\N	\N
708260	2425	1997-01-02	VYDAJ	VYBER	2880	28951	\N	\N	\N
708261	2425	1997-01-11	VYDAJ	VYBER	1560	27360	\N	\N	\N
708262	2425	1998-01-21	VYDAJ	VYBER	1080	20378	\N	\N	\N
708263	2425	1998-01-05	VYDAJ	VYBER	960	20769	\N	\N	\N
708264	2425	1998-01-03	VYDAJ	VYBER	2040	21729	\N	\N	\N
708265	2425	1998-01-01	VYDAJ	VYBER	1440	23769	\N	\N	\N
708266	2425	1998-01-16	VYDAJ	VYBER	960	22778	\N	\N	\N
708267	2425	1998-01-19	VYDAJ	VYBER	1320	21458	\N	\N	\N
708268	2425	1993-11-02	VYDAJ	VYBER	3120	21502	\N	\N	\N
708269	2425	1993-07-28	VYDAJ	VYBER	5520	24957	\N	\N	\N
708270	2425	1993-08-29	VYDAJ	VYBER	5880	19127	\N	\N	\N
708271	2425	1993-07-11	VYDAJ	VYBER	3720	34277	\N	\N	\N
708272	2425	1993-11-14	VYDAJ	VYBER	1320	23151	\N	\N	\N
708273	2425	1993-08-01	VYDAJ	VYBER	1440	23638	\N	\N	\N
708274	2425	1994-08-17	VYDAJ	VYBER	1440	30903	\N	\N	\N
708275	2425	1994-10-07	VYDAJ	VYBER	4080	30529	\N	\N	\N
708276	2425	1994-12-24	VYDAJ	VYBER	5880	31988	\N	\N	\N
708277	2425	1994-07-14	VYDAJ	VYBER	1440	33360	\N	\N	\N
708278	2425	1994-05-17	VYDAJ	VYBER	840	30093	\N	\N	\N
708279	2425	1995-11-09	VYDAJ	VYBER	2760	31305	\N	\N	\N
708280	2425	1995-12-14	VYDAJ	VYBER	5880	39198	\N	\N	\N
708281	2425	1995-02-03	VYDAJ	VYBER	4320	22332	\N	\N	\N
708282	2425	1995-05-01	VYDAJ	VYBER	1200	30670	\N	\N	\N
708283	2425	1995-09-24	VYDAJ	VYBER	3360	35158	\N	\N	\N
708284	2425	1996-08-11	VYDAJ	VYBER	720	31511	\N	\N	\N
708285	2425	1996-05-31	VYDAJ	VYBER	600	36005	\N	\N	\N
708286	2425	1996-03-22	VYDAJ	VYBER	3840	29406	\N	\N	\N
708287	2425	1996-06-02	VYDAJ	VYBER	5520	30485	\N	\N	\N
708288	2425	1996-08-02	VYDAJ	VYBER	3720	31162	\N	\N	\N
708289	2425	1996-12-10	VYDAJ	VYBER	4200	31703	\N	\N	\N
708290	2425	1996-06-05	VYDAJ	VYBER	960	29525	\N	\N	\N
708291	2425	1997-04-06	VYDAJ	VYBER	5760	17542	\N	\N	\N
708293	2425	1997-01-19	VYDAJ	VYBER	4200	21000	\N	\N	\N
708294	2425	1997-12-21	VYDAJ	VYBER	2640	28901	\N	\N	\N
708295	2425	1998-12-20	VYDAJ	VYBER	5640	23055	\N	\N	\N
708296	2425	1998-11-22	VYDAJ	VYBER	3360	20998	\N	\N	\N
708297	2425	1998-03-25	VYDAJ	VYBER	5400	24576	\N	\N	\N
708298	2425	1998-06-20	VYDAJ	VYBER	3480	26946	\N	\N	\N
708299	2425	1998-06-02	VYDAJ	VYBER	1200	23005	\N	\N	\N
708306	2425	1993-06-30	VYDAJ	VYBER	15	35028	SLUZBY	\N	\N
708307	2425	1993-07-31	VYDAJ	VYBER	15	25078	SLUZBY	\N	\N
708308	2425	1993-08-31	VYDAJ	VYBER	15	19216	SLUZBY	\N	\N
708309	2425	1993-09-30	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
708310	2425	1993-10-31	VYDAJ	VYBER	15	24622	SLUZBY	\N	\N
708311	2425	1993-11-30	VYDAJ	VYBER	15	25138	SLUZBY	\N	\N
708312	2425	1993-12-31	VYDAJ	VYBER	15	23837	SLUZBY	\N	\N
708313	2425	1994-01-31	VYDAJ	VYBER	15	15316	SLUZBY	\N	\N
708314	2425	1994-02-28	VYDAJ	VYBER	15	21348	SLUZBY	\N	\N
708315	2425	1994-03-31	VYDAJ	VYBER	15	23999	SLUZBY	\N	\N
708316	2425	1994-04-30	VYDAJ	VYBER	15	27964	SLUZBY	\N	\N
708317	2425	1994-05-31	VYDAJ	VYBER	15	26795	SLUZBY	\N	\N
708318	2425	1994-06-30	VYDAJ	VYBER	15	31831	SLUZBY	\N	\N
708319	2425	1994-07-31	VYDAJ	VYBER	15	29074	SLUZBY	\N	\N
708320	2425	1994-08-31	VYDAJ	VYBER	15	31016	SLUZBY	\N	\N
708321	2425	1994-09-30	VYDAJ	VYBER	15	34609	SLUZBY	\N	\N
708322	2425	1994-10-31	VYDAJ	VYBER	15	34023	SLUZBY	\N	\N
708323	2425	1994-11-30	VYDAJ	VYBER	15	36526	SLUZBY	\N	\N
708324	2425	1994-12-31	VYDAJ	VYBER	15	32128	SLUZBY	\N	\N
708325	2425	1995-01-31	VYDAJ	VYBER	15	26652	SLUZBY	\N	\N
708326	2425	1995-02-28	VYDAJ	VYBER	15	29402	SLUZBY	\N	\N
708327	2425	1995-03-31	VYDAJ	VYBER	15	31184	SLUZBY	\N	\N
708328	2425	1995-04-30	VYDAJ	VYBER	15	31870	SLUZBY	\N	\N
708329	2425	1995-05-31	VYDAJ	VYBER	15	34964	SLUZBY	\N	\N
708330	2425	1995-06-30	VYDAJ	VYBER	15	38527	SLUZBY	\N	\N
708331	2425	1995-07-31	VYDAJ	VYBER	15	36737	SLUZBY	\N	\N
708332	2425	1995-08-31	VYDAJ	VYBER	15	38649	SLUZBY	\N	\N
708333	2425	1995-09-30	VYDAJ	VYBER	15	35300	SLUZBY	\N	\N
708334	2425	1995-10-31	VYDAJ	VYBER	15	35601	SLUZBY	\N	\N
708335	2425	1995-11-30	VYDAJ	VYBER	15	40356	SLUZBY	\N	\N
708336	2425	1995-12-31	VYDAJ	VYBER	15	35664	SLUZBY	\N	\N
708337	2425	1996-01-31	VYDAJ	VYBER	15	25304	SLUZBY	\N	\N
708338	2425	1996-02-29	VYDAJ	VYBER	15	30777	SLUZBY	\N	\N
708339	2425	1996-03-31	VYDAJ	VYBER	15	29520	SLUZBY	\N	\N
708340	2425	1996-04-30	VYDAJ	VYBER	15	33105	SLUZBY	\N	\N
708341	2425	1996-05-31	VYDAJ	VYBER	15	36605	SLUZBY	\N	\N
708342	2425	1996-06-30	VYDAJ	VYBER	15	38082	SLUZBY	\N	\N
708343	2425	1996-07-31	VYDAJ	VYBER	15	34882	SLUZBY	\N	\N
708344	2425	1996-08-31	VYDAJ	VYBER	15	31626	SLUZBY	\N	\N
708345	2425	1996-09-30	VYDAJ	VYBER	15	32010	SLUZBY	\N	\N
708346	2425	1996-10-31	VYDAJ	VYBER	15	31593	SLUZBY	\N	\N
708347	2425	1996-11-30	VYDAJ	VYBER	15	33381	SLUZBY	\N	\N
708348	2425	1996-12-31	VYDAJ	VYBER	15	31831	SLUZBY	\N	\N
708349	2425	1997-01-31	VYDAJ	VYBER	15	17480	SLUZBY	\N	\N
708350	2425	1997-02-28	VYDAJ	VYBER	15	27032	SLUZBY	\N	\N
708351	2425	1997-03-31	VYDAJ	VYBER	15	29302	SLUZBY	\N	\N
708352	2425	1997-04-30	VYDAJ	VYBER	15	20584	SLUZBY	\N	\N
708353	2425	1997-05-31	VYDAJ	VYBER	15	20018	SLUZBY	\N	\N
708354	2425	1997-06-30	VYDAJ	VYBER	15	25320	SLUZBY	\N	\N
708355	2425	1997-07-31	VYDAJ	VYBER	15	27282	SLUZBY	\N	\N
708356	2425	1997-08-31	VYDAJ	VYBER	15	24249	SLUZBY	\N	\N
708357	2425	1997-09-30	VYDAJ	VYBER	15	23309	SLUZBY	\N	\N
708358	2425	1997-10-31	VYDAJ	VYBER	15	27167	SLUZBY	\N	\N
708359	2425	1997-11-30	VYDAJ	VYBER	15	27639	SLUZBY	\N	\N
708360	2425	1997-12-31	VYDAJ	VYBER	15	25209	SLUZBY	\N	\N
708361	2425	1998-01-31	VYDAJ	VYBER	15	23051	SLUZBY	\N	\N
708362	2425	1998-02-28	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
708363	2425	1998-03-31	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
708364	2425	1998-04-30	VYDAJ	VYBER	15	27136	SLUZBY	\N	\N
708365	2425	1998-05-31	VYDAJ	VYBER	15	24205	SLUZBY	\N	\N
708366	2425	1998-06-30	VYDAJ	VYBER	15	24639	SLUZBY	\N	\N
708367	2425	1998-07-31	VYDAJ	VYBER	15	24298	SLUZBY	\N	\N
708368	2425	1998-08-31	VYDAJ	VYBER	15	27158	SLUZBY	\N	\N
708369	2425	1998-09-30	VYDAJ	VYBER	15	27027	SLUZBY	\N	\N
708370	2425	1998-10-31	VYDAJ	VYBER	15	21389	SLUZBY	\N	\N
708371	2425	1998-11-30	VYDAJ	VYBER	15	21273	SLUZBY	\N	\N
708372	2425	1993-02-22	PRIJEM	VKLAD	8000	17805	\N	\N	\N
708373	2425	1993-03-24	VYDAJ	VYBER	800	25929	\N	\N	\N
708374	2425	1993-04-23	VYDAJ	VYBER	7300	27617	\N	\N	\N
708375	2425	1993-05-23	VYDAJ	VYBER	5600	31031	\N	\N	\N
708376	2425	1993-06-22	VYDAJ	VYBER	9600	34908	\N	\N	\N
708377	2425	1993-07-22	VYDAJ	VYBER	3800	30477	\N	\N	\N
708378	2425	1993-08-21	VYDAJ	VYBER	1600	25007	\N	\N	\N
708379	2425	1993-09-20	PRIJEM	VKLAD	2100	24285	\N	\N	\N
708380	2425	1993-10-20	VYDAJ	VYBER	2800	24531	\N	\N	\N
708381	2425	1993-11-19	PRIJEM	VKLAD	1900	25051	\N	\N	\N
708382	2425	1993-12-19	VYDAJ	VYBER	6100	26459	\N	\N	\N
708383	2425	1994-01-18	PRIJEM	VKLAD	2000	20766	\N	\N	\N
708384	2425	1994-02-17	PRIJEM	VKLAD	3000	21285	\N	\N	\N
708385	2425	1994-03-19	VYDAJ	VYBER	400	23917	\N	\N	\N
708386	2425	1994-04-18	PRIJEM	VKLAD	900	27868	\N	\N	\N
708387	2425	1994-05-18	VYDAJ	VYBER	3400	26693	\N	\N	\N
708388	2425	1994-06-17	VYDAJ	VYBER	2500	31717	\N	\N	\N
708389	2425	1994-07-17	VYDAJ	VYBER	4400	28960	\N	\N	\N
708390	2425	1994-08-16	PRIJEM	VKLAD	300	32343	\N	\N	\N
708391	2425	1994-09-15	PRIJEM	VKLAD	500	34485	\N	\N	\N
708392	2425	1994-10-15	PRIJEM	VKLAD	400	33898	\N	\N	\N
708393	2425	1994-11-14	VYDAJ	VYBER	600	36392	\N	\N	\N
708394	2425	1994-12-14	VYDAJ	VYBER	3200	40748	\N	\N	\N
708395	2425	1995-01-13	PRIJEM	VKLAD	2000	32297	\N	\N	\N
708396	2425	1995-02-12	PRIJEM	VKLAD	4000	29301	\N	\N	\N
708397	2425	1995-03-14	VYDAJ	VYBER	1300	31071	\N	\N	\N
708398	2425	1995-04-13	VYDAJ	VYBER	2400	31753	\N	\N	\N
708399	2425	1995-05-13	PRIJEM	VKLAD	1200	34839	\N	\N	\N
708400	2425	1995-06-12	VYDAJ	VYBER	4000	38386	\N	\N	\N
708401	2425	1995-07-12	VYDAJ	VYBER	4900	36596	\N	\N	\N
708402	2425	1995-08-11	VYDAJ	VYBER	1200	38506	\N	\N	\N
708403	2425	1995-09-10	VYDAJ	VYBER	3100	38518	\N	\N	\N
708404	2425	1995-10-10	VYDAJ	VYBER	2800	35469	\N	\N	\N
708405	2425	1995-11-09	PRIJEM	VKLAD	4400	40001	\N	\N	\N
708406	2425	1995-12-09	VYDAJ	VYBER	2700	31720	\N	\N	\N
708407	2425	1996-01-08	PRIJEM	VKLAD	1800	31824	\N	\N	\N
708408	2425	1996-02-07	PRIJEM	VKLAD	2400	27704	\N	\N	\N
708409	2425	1996-03-08	VYDAJ	VYBER	500	30277	\N	\N	\N
708410	2425	1996-04-07	PRIJEM	VKLAD	500	30020	\N	\N	\N
708411	2425	1996-05-07	PRIJEM	VKLAD	400	33505	\N	\N	\N
708412	2425	1996-06-06	PRIJEM	VKLAD	1000	30525	\N	\N	\N
708413	2425	1996-07-06	VYDAJ	VYBER	6300	31782	\N	\N	\N
708414	2425	1996-08-05	VYDAJ	VYBER	1900	29262	\N	\N	\N
708415	2425	1996-09-04	VYDAJ	VYBER	2700	28926	\N	\N	\N
708416	2425	1996-10-04	VYDAJ	VYBER	3500	28510	\N	\N	\N
708417	2425	1996-11-03	VYDAJ	VYBER	1300	30293	\N	\N	\N
708418	2425	1996-12-03	VYDAJ	VYBER	1700	31681	\N	\N	\N
708419	2425	1997-01-02	VYDAJ	VYBER	1200	27751	\N	\N	\N
708420	2425	1997-02-01	PRIJEM	VKLAD	6500	23980	\N	\N	\N
708421	2425	1997-03-03	VYDAJ	VYBER	800	26232	\N	\N	\N
708422	2425	1997-04-02	VYDAJ	VYBER	6000	23302	\N	\N	\N
708423	2425	1997-05-02	VYDAJ	VYBER	3600	16984	\N	\N	\N
708424	2425	1997-06-01	VYDAJ	VYBER	2200	17818	\N	\N	\N
708425	2425	1997-07-01	VYDAJ	VYBER	1100	24220	\N	\N	\N
708426	2425	1997-07-31	VYDAJ	VYBER	1900	25382	\N	\N	\N
708427	2425	1997-08-30	VYDAJ	VYBER	4200	24151	\N	\N	\N
708428	2425	1997-09-29	VYDAJ	VYBER	4000	23218	\N	\N	\N
708429	2425	1997-10-29	PRIJEM	VKLAD	800	27078	\N	\N	\N
708430	2425	1997-11-28	VYDAJ	VYBER	2600	27536	\N	\N	\N
708431	2425	1997-12-28	VYDAJ	VYBER	3800	25101	\N	\N	\N
708432	2425	1998-01-27	PRIJEM	VKLAD	2600	22978	\N	\N	\N
708433	2425	1998-02-26	PRIJEM	VKLAD	900	26920	\N	\N	\N
708434	2425	1998-04-27	VYDAJ	VYBER	600	27043	\N	\N	\N
708435	2425	1998-05-27	VYDAJ	VYBER	6000	24105	\N	\N	\N
708436	2425	1998-06-26	VYDAJ	VYBER	2400	24546	\N	\N	\N
708437	2425	1998-07-26	VYDAJ	VYBER	3400	24208	\N	\N	\N
708438	2425	1998-08-25	VYDAJ	VYBER	200	27067	\N	\N	\N
708439	2425	1998-09-24	VYDAJ	VYBER	3200	26927	\N	\N	\N
708440	2425	1998-10-24	VYDAJ	VYBER	8700	21296	\N	\N	\N
708441	2425	1998-11-23	PRIJEM	VKLAD	200	21198	\N	\N	\N
709139	2427	1993-10-08	PRIJEM	VKLAD	800	800	\N	\N	\N
709141	2427	1994-08-30	PRIJEM	VKLAD	47979	80838	\N	\N	\N
709142	2427	1994-07-01	PRIJEM	VKLAD	18920	72659	\N	\N	\N
709143	2427	1994-02-05	PRIJEM	VKLAD	15140	37040	\N	\N	\N
709144	2427	1994-07-30	PRIJEM	VKLAD	28376	63376	\N	\N	\N
709145	2427	1994-04-18	PRIJEM	VKLAD	10265	50147	\N	\N	\N
709146	2427	1994-11-09	PRIJEM	VKLAD	29695	51692	\N	\N	\N
709147	2427	1994-03-15	PRIJEM	VKLAD	23918	53590	\N	\N	\N
709148	2427	1994-06-09	PRIJEM	VKLAD	33592	68427	\N	\N	\N
709149	2427	1994-04-28	PRIJEM	VKLAD	23155	73302	\N	\N	\N
709150	2427	1994-07-11	PRIJEM	VKLAD	19185	46160	\N	\N	\N
709151	2427	1996-12-10	PRIJEM	VKLAD	16260	49618	\N	\N	\N
709152	2427	1996-09-03	PRIJEM	VKLAD	20137	41182	\N	\N	\N
709153	2427	1996-11-28	PRIJEM	VKLAD	18788	45251	\N	\N	\N
709154	2427	1997-11-18	PRIJEM	VKLAD	28677	65112	\N	\N	\N
709155	2427	1997-07-30	PRIJEM	VKLAD	6785	60970	\N	\N	\N
709156	2427	1997-06-26	PRIJEM	VKLAD	43913	112553	\N	\N	\N
709157	2427	1997-11-28	PRIJEM	VKLAD	32922	98034	\N	\N	\N
709158	2427	1997-07-25	PRIJEM	VKLAD	45283	108085	\N	\N	\N
709159	2427	1997-06-07	PRIJEM	VKLAD	10559	44482	\N	\N	\N
709160	2427	1997-07-31	PRIJEM	VKLAD	26770	88049	\N	\N	\N
709161	2427	1997-06-11	PRIJEM	VKLAD	48664	92278	\N	\N	\N
709162	2427	1998-07-19	PRIJEM	VKLAD	20616	53000	\N	\N	\N
709180	2427	1994-06-12	VYDAJ	PREVOD NA UCET	5496	59721	SIPO	CD	39447444
709181	2427	1994-07-12	VYDAJ	PREVOD NA UCET	5496	38322	SIPO	CD	39447444
709182	2427	1994-08-12	VYDAJ	PREVOD NA UCET	5496	32859	SIPO	CD	39447444
709183	2427	1994-09-12	VYDAJ	PREVOD NA UCET	5496	45182	SIPO	CD	39447444
709184	2427	1994-10-12	VYDAJ	PREVOD NA UCET	5496	18238	SIPO	CD	39447444
709185	2427	1994-11-12	VYDAJ	PREVOD NA UCET	5496	42986	SIPO	CD	39447444
709186	2427	1994-12-12	VYDAJ	PREVOD NA UCET	5496	10646	SIPO	CD	39447444
709187	2427	1995-01-12	VYDAJ	PREVOD NA UCET	5496	8267	SIPO	CD	39447444
709188	2427	1995-02-12	VYDAJ	PREVOD NA UCET	5496	8071	SIPO	CD	39447444
709189	2427	1995-03-12	VYDAJ	PREVOD NA UCET	5496	7883	SIPO	CD	39447444
709190	2427	1995-04-12	VYDAJ	PREVOD NA UCET	5496	10282	SIPO	CD	39447444
709191	2427	1995-05-12	VYDAJ	PREVOD NA UCET	5496	7989	SIPO	CD	39447444
709192	2427	1995-06-12	VYDAJ	PREVOD NA UCET	5496	8793	SIPO	CD	39447444
709193	2427	1995-07-12	VYDAJ	PREVOD NA UCET	5496	9207	SIPO	CD	39447444
709194	2427	1995-08-12	VYDAJ	PREVOD NA UCET	5496	11925	SIPO	CD	39447444
709195	2427	1995-09-12	VYDAJ	PREVOD NA UCET	5496	12754	SIPO	CD	39447444
709196	2427	1995-10-12	VYDAJ	PREVOD NA UCET	5496	14288	SIPO	CD	39447444
709197	2427	1995-11-12	VYDAJ	PREVOD NA UCET	5496	12227	SIPO	CD	39447444
709198	2427	1995-12-12	VYDAJ	PREVOD NA UCET	5496	10858	SIPO	CD	39447444
709199	2427	1996-01-12	VYDAJ	PREVOD NA UCET	5496	8083	SIPO	CD	39447444
709200	2427	1996-02-12	VYDAJ	PREVOD NA UCET	5496	9501	SIPO	CD	39447444
709201	2427	1996-03-12	VYDAJ	PREVOD NA UCET	5496	13326	SIPO	CD	39447444
709202	2427	1996-04-12	VYDAJ	PREVOD NA UCET	5496	12264	SIPO	CD	39447444
709203	2427	1996-05-12	VYDAJ	PREVOD NA UCET	5496	13499	SIPO	CD	39447444
709204	2427	1996-06-12	VYDAJ	PREVOD NA UCET	5496	11938	SIPO	CD	39447444
709205	2427	1996-07-12	VYDAJ	PREVOD NA UCET	5496	11872	SIPO	CD	39447444
709206	2427	1996-08-12	VYDAJ	PREVOD NA UCET	5496	11105	SIPO	CD	39447444
709207	2427	1996-09-12	VYDAJ	PREVOD NA UCET	5496	29338	SIPO	CD	39447444
709208	2427	1996-10-12	VYDAJ	PREVOD NA UCET	5496	11720	SIPO	CD	39447444
709209	2427	1996-11-12	VYDAJ	PREVOD NA UCET	5496	17063	SIPO	CD	39447444
709210	2427	1996-12-12	VYDAJ	PREVOD NA UCET	5496	37280	SIPO	CD	39447444
709211	2427	1997-01-12	VYDAJ	PREVOD NA UCET	5496	20511	SIPO	CD	39447444
709212	2427	1997-02-12	VYDAJ	PREVOD NA UCET	5496	13084	SIPO	CD	39447444
709213	2427	1997-03-12	VYDAJ	PREVOD NA UCET	5496	21442	SIPO	CD	39447444
709214	2427	1997-04-12	VYDAJ	PREVOD NA UCET	5496	26126	SIPO	CD	39447444
709215	2427	1997-05-12	VYDAJ	PREVOD NA UCET	5496	25423	SIPO	CD	39447444
709216	2427	1997-06-12	VYDAJ	PREVOD NA UCET	5496	84440	SIPO	CD	39447444
709217	2427	1997-07-12	VYDAJ	PREVOD NA UCET	5496	79202	SIPO	CD	39447444
709218	2427	1997-08-12	VYDAJ	PREVOD NA UCET	5496	79313	SIPO	CD	39447444
709219	2427	1997-09-12	VYDAJ	PREVOD NA UCET	5496	46755	SIPO	CD	39447444
709220	2427	1997-10-12	VYDAJ	PREVOD NA UCET	5496	31520	SIPO	CD	39447444
709221	2427	1997-11-12	VYDAJ	PREVOD NA UCET	5496	26635	SIPO	CD	39447444
709222	2427	1997-12-12	VYDAJ	PREVOD NA UCET	5496	69822	SIPO	CD	39447444
709223	2427	1998-01-12	VYDAJ	PREVOD NA UCET	5496	26668	SIPO	CD	39447444
709224	2427	1998-02-12	VYDAJ	PREVOD NA UCET	5496	19978	SIPO	CD	39447444
709225	2427	1998-03-12	VYDAJ	PREVOD NA UCET	5496	22161	SIPO	CD	39447444
709226	2427	1998-04-12	VYDAJ	PREVOD NA UCET	5496	23950	SIPO	CD	39447444
709227	2427	1998-05-12	VYDAJ	PREVOD NA UCET	5496	23843	SIPO	CD	39447444
709228	2427	1998-06-12	VYDAJ	PREVOD NA UCET	5496	24855	SIPO	CD	39447444
709229	2427	1998-07-12	VYDAJ	PREVOD NA UCET	5496	17684	SIPO	CD	39447444
709230	2427	1998-08-12	VYDAJ	PREVOD NA UCET	5496	20481	SIPO	CD	39447444
709231	2427	1998-09-12	VYDAJ	PREVOD NA UCET	5496	35054	SIPO	CD	39447444
709232	2427	1998-10-12	VYDAJ	PREVOD NA UCET	5496	38148	SIPO	CD	39447444
709233	2427	1998-11-12	VYDAJ	PREVOD NA UCET	5496	33058	SIPO	CD	39447444
709234	2427	1998-12-12	VYDAJ	PREVOD NA UCET	5496	31962	SIPO	CD	39447444
709252	2427	1994-06-09	VYDAJ	PREVOD NA UCET	868	67559	 	YZ	61671554
709253	2427	1994-07-09	VYDAJ	PREVOD NA UCET	868	26975	 	YZ	61671554
709254	2427	1994-08-09	VYDAJ	PREVOD NA UCET	868	40697	 	YZ	61671554
709255	2427	1994-09-09	VYDAJ	PREVOD NA UCET	868	53020	 	YZ	61671554
709256	2427	1994-10-09	VYDAJ	PREVOD NA UCET	868	26076	 	YZ	61671554
709257	2427	1994-11-09	VYDAJ	PREVOD NA UCET	868	50824	 	YZ	61671554
709258	2427	1994-12-09	VYDAJ	PREVOD NA UCET	868	18484	 	YZ	61671554
709259	2427	1995-01-09	VYDAJ	PREVOD NA UCET	868	16105	 	YZ	61671554
709260	2427	1995-02-09	VYDAJ	PREVOD NA UCET	868	15909	 	YZ	61671554
709261	2427	1995-03-09	VYDAJ	PREVOD NA UCET	868	15721	 	YZ	61671554
709262	2427	1995-04-09	VYDAJ	PREVOD NA UCET	868	18120	 	YZ	61671554
709263	2427	1995-05-09	VYDAJ	PREVOD NA UCET	868	15827	 	YZ	61671554
709264	2427	1995-06-09	VYDAJ	PREVOD NA UCET	868	16631	 	YZ	61671554
709265	2427	1995-07-09	VYDAJ	PREVOD NA UCET	868	17045	 	YZ	61671554
709266	2427	1995-08-09	VYDAJ	PREVOD NA UCET	868	19763	 	YZ	61671554
709267	2427	1995-09-09	VYDAJ	PREVOD NA UCET	868	20592	 	YZ	61671554
709268	2427	1995-10-09	VYDAJ	PREVOD NA UCET	868	22126	 	YZ	61671554
709269	2427	1995-11-09	VYDAJ	PREVOD NA UCET	868	20065	 	YZ	61671554
709270	2427	1995-12-09	VYDAJ	PREVOD NA UCET	868	18696	 	YZ	61671554
709271	2427	1996-01-09	VYDAJ	PREVOD NA UCET	868	15921	 	YZ	61671554
709272	2427	1996-02-09	VYDAJ	PREVOD NA UCET	868	17339	 	YZ	61671554
709273	2427	1996-03-09	VYDAJ	PREVOD NA UCET	868	21164	 	YZ	61671554
709274	2427	1996-04-09	VYDAJ	PREVOD NA UCET	868	20102	 	YZ	61671554
709275	2427	1996-05-09	VYDAJ	PREVOD NA UCET	868	21337	 	YZ	61671554
709276	2427	1996-06-09	VYDAJ	PREVOD NA UCET	868	19776	 	YZ	61671554
709277	2427	1996-07-09	VYDAJ	PREVOD NA UCET	868	19710	 	YZ	61671554
709278	2427	1996-08-09	VYDAJ	PREVOD NA UCET	868	18943	 	YZ	61671554
709279	2427	1996-09-09	VYDAJ	PREVOD NA UCET	868	37176	 	YZ	61671554
709280	2427	1996-10-09	VYDAJ	PREVOD NA UCET	868	19558	 	YZ	61671554
709281	2427	1996-11-09	VYDAJ	PREVOD NA UCET	868	24901	 	YZ	61671554
709282	2427	1996-12-09	VYDAJ	PREVOD NA UCET	868	33358	 	YZ	61671554
709283	2427	1997-01-09	VYDAJ	PREVOD NA UCET	868	28349	 	YZ	61671554
709284	2427	1997-02-09	VYDAJ	PREVOD NA UCET	868	20922	 	YZ	61671554
709285	2427	1997-03-09	VYDAJ	PREVOD NA UCET	868	29280	 	YZ	61671554
709286	2427	1997-04-09	VYDAJ	PREVOD NA UCET	868	33964	 	YZ	61671554
709287	2427	1997-05-09	VYDAJ	PREVOD NA UCET	868	33261	 	YZ	61671554
709288	2427	1997-06-09	VYDAJ	PREVOD NA UCET	868	43614	 	YZ	61671554
709289	2427	1997-07-09	VYDAJ	PREVOD NA UCET	868	87040	 	YZ	61671554
709290	2427	1997-08-09	VYDAJ	PREVOD NA UCET	868	87151	 	YZ	61671554
709291	2427	1997-09-09	VYDAJ	PREVOD NA UCET	868	54593	 	YZ	61671554
709292	2427	1997-10-09	VYDAJ	PREVOD NA UCET	868	39358	 	YZ	61671554
709293	2427	1997-11-09	VYDAJ	PREVOD NA UCET	868	34473	 	YZ	61671554
709294	2427	1997-12-09	VYDAJ	PREVOD NA UCET	868	77660	 	YZ	61671554
709295	2427	1998-01-09	VYDAJ	PREVOD NA UCET	868	36906	 	YZ	61671554
709296	2427	1998-02-09	VYDAJ	PREVOD NA UCET	868	27816	 	YZ	61671554
709297	2427	1998-03-09	VYDAJ	PREVOD NA UCET	868	29999	 	YZ	61671554
709298	2427	1998-04-09	VYDAJ	PREVOD NA UCET	868	31788	 	YZ	61671554
709299	2427	1998-05-09	VYDAJ	PREVOD NA UCET	868	31681	 	YZ	61671554
709300	2427	1998-06-09	VYDAJ	PREVOD NA UCET	868	32693	 	YZ	61671554
709301	2427	1998-07-09	VYDAJ	PREVOD NA UCET	868	25522	 	YZ	61671554
709302	2427	1998-08-09	VYDAJ	PREVOD NA UCET	868	28319	 	YZ	61671554
709303	2427	1998-09-09	VYDAJ	PREVOD NA UCET	868	25392	 	YZ	61671554
709304	2427	1998-10-09	VYDAJ	PREVOD NA UCET	868	31586	 	YZ	61671554
709305	2427	1998-11-09	VYDAJ	PREVOD NA UCET	868	35296	 	YZ	61671554
709306	2427	1998-12-09	VYDAJ	PREVOD NA UCET	868	29900	 	YZ	61671554
709324	2427	1994-06-11	VYDAJ	PREVOD NA UCET	2342	65217	POJISTNE	UV	48815095
709325	2427	1994-07-11	VYDAJ	PREVOD NA UCET	2342	43818	POJISTNE	UV	48815095
709326	2427	1994-08-11	VYDAJ	PREVOD NA UCET	2342	38355	POJISTNE	UV	48815095
709327	2427	1994-09-11	VYDAJ	PREVOD NA UCET	2342	50678	POJISTNE	UV	48815095
709328	2427	1994-10-11	VYDAJ	PREVOD NA UCET	2342	23734	POJISTNE	UV	48815095
709329	2427	1994-11-11	VYDAJ	PREVOD NA UCET	2342	48482	POJISTNE	UV	48815095
709330	2427	1994-12-11	VYDAJ	PREVOD NA UCET	2342	16142	POJISTNE	UV	48815095
709331	2427	1995-01-11	VYDAJ	PREVOD NA UCET	2342	13763	POJISTNE	UV	48815095
709332	2427	1995-02-11	VYDAJ	PREVOD NA UCET	2342	13567	POJISTNE	UV	48815095
709503	2427	1996-11-24	VYDAJ	VYBER	4500	26463	\N	\N	\N
709333	2427	1995-03-11	VYDAJ	PREVOD NA UCET	2342	13379	POJISTNE	UV	48815095
709334	2427	1995-04-11	VYDAJ	PREVOD NA UCET	2342	15778	POJISTNE	UV	48815095
709335	2427	1995-05-11	VYDAJ	PREVOD NA UCET	2342	13485	POJISTNE	UV	48815095
709336	2427	1995-06-11	VYDAJ	PREVOD NA UCET	2342	14289	POJISTNE	UV	48815095
709337	2427	1995-07-11	VYDAJ	PREVOD NA UCET	2342	14703	POJISTNE	UV	48815095
709338	2427	1995-08-11	VYDAJ	PREVOD NA UCET	2342	17421	POJISTNE	UV	48815095
709339	2427	1995-09-11	VYDAJ	PREVOD NA UCET	2342	18250	POJISTNE	UV	48815095
709340	2427	1995-10-11	VYDAJ	PREVOD NA UCET	2342	19784	POJISTNE	UV	48815095
709341	2427	1995-11-11	VYDAJ	PREVOD NA UCET	2342	17723	POJISTNE	UV	48815095
709342	2427	1995-12-11	VYDAJ	PREVOD NA UCET	2342	16354	POJISTNE	UV	48815095
709343	2427	1996-01-11	VYDAJ	PREVOD NA UCET	2342	13579	POJISTNE	UV	48815095
709344	2427	1996-02-11	VYDAJ	PREVOD NA UCET	2342	14997	POJISTNE	UV	48815095
709345	2427	1996-03-11	VYDAJ	PREVOD NA UCET	2342	18822	POJISTNE	UV	48815095
709346	2427	1996-04-11	VYDAJ	PREVOD NA UCET	2342	17760	POJISTNE	UV	48815095
709347	2427	1996-05-11	VYDAJ	PREVOD NA UCET	2342	18995	POJISTNE	UV	48815095
709348	2427	1996-06-11	VYDAJ	PREVOD NA UCET	2342	17434	POJISTNE	UV	48815095
709349	2427	1996-07-11	VYDAJ	PREVOD NA UCET	2342	17368	POJISTNE	UV	48815095
709350	2427	1996-08-11	VYDAJ	PREVOD NA UCET	2342	16601	POJISTNE	UV	48815095
709351	2427	1996-09-11	VYDAJ	PREVOD NA UCET	2342	34834	POJISTNE	UV	48815095
709352	2427	1996-10-11	VYDAJ	PREVOD NA UCET	2342	17216	POJISTNE	UV	48815095
709353	2427	1996-11-11	VYDAJ	PREVOD NA UCET	2342	22559	POJISTNE	UV	48815095
709354	2427	1996-12-11	VYDAJ	PREVOD NA UCET	2342	42776	POJISTNE	UV	48815095
709355	2427	1997-01-11	VYDAJ	PREVOD NA UCET	2342	26007	POJISTNE	UV	48815095
709356	2427	1997-02-11	VYDAJ	PREVOD NA UCET	2342	18580	POJISTNE	UV	48815095
709357	2427	1997-03-11	VYDAJ	PREVOD NA UCET	2342	26938	POJISTNE	UV	48815095
709358	2427	1997-04-11	VYDAJ	PREVOD NA UCET	2342	31622	POJISTNE	UV	48815095
709359	2427	1997-05-11	VYDAJ	PREVOD NA UCET	2342	30919	POJISTNE	UV	48815095
709360	2427	1997-06-11	VYDAJ	PREVOD NA UCET	2342	89936	POJISTNE	UV	48815095
709361	2427	1997-07-11	VYDAJ	PREVOD NA UCET	2342	84698	POJISTNE	UV	48815095
709362	2427	1997-08-11	VYDAJ	PREVOD NA UCET	2342	84809	POJISTNE	UV	48815095
709363	2427	1997-09-11	VYDAJ	PREVOD NA UCET	2342	52251	POJISTNE	UV	48815095
709364	2427	1997-10-11	VYDAJ	PREVOD NA UCET	2342	37016	POJISTNE	UV	48815095
709365	2427	1997-11-11	VYDAJ	PREVOD NA UCET	2342	32131	POJISTNE	UV	48815095
709366	2427	1997-12-11	VYDAJ	PREVOD NA UCET	2342	75318	POJISTNE	UV	48815095
709367	2427	1998-01-11	VYDAJ	PREVOD NA UCET	2342	32164	POJISTNE	UV	48815095
709368	2427	1998-02-11	VYDAJ	PREVOD NA UCET	2342	25474	POJISTNE	UV	48815095
709369	2427	1998-03-11	VYDAJ	PREVOD NA UCET	2342	27657	POJISTNE	UV	48815095
709370	2427	1998-04-11	VYDAJ	PREVOD NA UCET	2342	29446	POJISTNE	UV	48815095
709371	2427	1998-05-11	VYDAJ	PREVOD NA UCET	2342	29339	POJISTNE	UV	48815095
709372	2427	1998-06-11	VYDAJ	PREVOD NA UCET	2342	30351	POJISTNE	UV	48815095
709373	2427	1998-07-11	VYDAJ	PREVOD NA UCET	2342	23180	POJISTNE	UV	48815095
709374	2427	1998-08-11	VYDAJ	PREVOD NA UCET	2342	25977	POJISTNE	UV	48815095
709375	2427	1998-09-11	VYDAJ	PREVOD NA UCET	2342	23050	POJISTNE	UV	48815095
709376	2427	1998-10-11	VYDAJ	PREVOD NA UCET	2342	29244	POJISTNE	UV	48815095
709377	2427	1998-11-11	VYDAJ	PREVOD NA UCET	2342	38554	POJISTNE	UV	48815095
709378	2427	1998-12-11	VYDAJ	PREVOD NA UCET	2342	37458	POJISTNE	UV	48815095
709380	2427	1994-06-17	VYBER	VYBER	6207	53514	\N	\N	\N
709381	2427	1994-07-07	VYBER	VYBER	20116	27843	\N	\N	\N
709385	2427	1994-12-05	VYBER	VYBER	5206	19352	\N	\N	\N
709386	2427	1994-09-29	VYBER	VYBER	13071	27755	\N	\N	\N
709387	2427	1994-07-30	VYBER	VYBER	5249	58127	\N	\N	\N
709389	2427	1994-09-17	VYBER	VYBER	4356	40826	\N	\N	\N
709391	2427	1994-11-14	VYBER	VYBER	14207	28779	\N	\N	\N
709392	2427	1994-07-23	VYBER	VYBER	3322	35000	\N	\N	\N
709406	2427	1996-09-09	VYBER	VYBER	3138	38044	\N	\N	\N
709407	2427	1996-09-23	VYBER	VYBER	12688	20350	\N	\N	\N
709418	2427	1997-12-07	VYBER	VYBER	13384	78528	\N	\N	\N
709419	2427	1997-09-06	VYBER	VYBER	6130	55461	\N	\N	\N
709421	2427	1998-08-09	VYBER	VYBER	23948	29187	\N	\N	\N
709424	2427	1998-07-03	VYBER	VYBER	9377	26390	\N	\N	\N
709425	2427	1998-06-06	VYBER	VYBER	2590	33561	\N	\N	\N
709428	2427	1998-08-27	VYBER	VYBER	6939	26142	\N	\N	\N
709440	2427	1998-01-06	VYDAJ	VYBER	6900	37774	\N	\N	\N
709444	2427	1996-12-10	VYDAJ	VYBER	4500	45118	\N	\N	\N
709445	2427	1997-12-04	VYDAJ	VYBER	6300	91912	\N	\N	\N
709446	2427	1998-12-02	VYDAJ	VYBER	2400	30768	\N	\N	\N
709471	2427	1997-01-12	VYDAJ	VYBER	1800	18711	\N	\N	\N
709472	2427	1997-01-02	VYDAJ	VYBER	2700	35817	\N	\N	\N
709473	2427	1997-01-25	VYDAJ	VYBER	3600	25311	\N	\N	\N
709475	2427	1997-01-26	VYDAJ	VYBER	3600	21711	\N	\N	\N
709476	2427	1997-01-05	VYDAJ	VYBER	6600	29217	\N	\N	\N
709477	2427	1998-01-25	VYDAJ	VYBER	4500	30668	\N	\N	\N
709478	2427	1998-01-14	VYDAJ	VYBER	1800	24868	\N	\N	\N
709479	2427	1998-01-01	VYDAJ	VYBER	6300	44674	\N	\N	\N
709480	2427	1998-01-27	VYDAJ	VYBER	2100	28568	\N	\N	\N
709481	2427	1998-01-10	VYDAJ	VYBER	2400	34506	\N	\N	\N
709482	2427	1998-01-01	VYDAJ	VYBER	2700	50974	\N	\N	\N
709493	2427	1994-11-20	VYDAJ	VYBER	8400	20379	\N	\N	\N
709499	2427	1996-12-08	VYDAJ	VYBER	11100	34226	\N	\N	\N
709505	2427	1997-09-15	VYDAJ	VYBER	10500	36255	\N	\N	\N
709506	2427	1997-02-28	VYDAJ	VYBER	1800	30148	\N	\N	\N
709507	2427	1997-12-15	VYDAJ	VYBER	4200	65622	\N	\N	\N
709508	2427	1997-10-04	VYDAJ	VYBER	2100	40226	\N	\N	\N
709509	2427	1998-10-06	VYDAJ	VYBER	2700	32454	\N	\N	\N
709510	2427	1998-10-21	VYDAJ	VYBER	2100	36048	\N	\N	\N
709530	2427	1994-06-30	VYDAJ	VYBER	30	53739	SLUZBY	\N	\N
709531	2427	1994-07-31	VYDAJ	VYBER	30	58265	SLUZBY	\N	\N
709532	2427	1994-08-31	VYDAJ	VYBER	30	80988	SLUZBY	\N	\N
709533	2427	1994-09-30	VYDAJ	VYBER	30	27944	SLUZBY	\N	\N
709534	2427	1994-10-31	VYDAJ	VYBER	30	18297	SLUZBY	\N	\N
709535	2427	1994-11-30	VYDAJ	VYBER	30	20458	SLUZBY	\N	\N
709536	2427	1994-12-31	VYDAJ	VYBER	30	10673	SLUZBY	\N	\N
709537	2427	1995-01-31	VYDAJ	VYBER	30	16777	SLUZBY	\N	\N
709538	2427	1995-02-28	VYDAJ	VYBER	30	8089	SLUZBY	\N	\N
709539	2427	1995-03-31	VYDAJ	VYBER	30	7888	SLUZBY	\N	\N
709540	2427	1995-04-30	VYDAJ	VYBER	30	10295	SLUZBY	\N	\N
709541	2427	1995-05-31	VYDAJ	VYBER	30	17499	SLUZBY	\N	\N
709542	2427	1995-06-30	VYDAJ	VYBER	30	17913	SLUZBY	\N	\N
709543	2427	1995-07-31	VYDAJ	VYBER	30	20631	SLUZBY	\N	\N
709544	2427	1995-08-31	VYDAJ	VYBER	30	21460	SLUZBY	\N	\N
709545	2427	1995-09-30	VYDAJ	VYBER	30	22994	SLUZBY	\N	\N
709546	2427	1995-10-31	VYDAJ	VYBER	30	20933	SLUZBY	\N	\N
709547	2427	1995-11-30	VYDAJ	VYBER	30	19564	SLUZBY	\N	\N
709548	2427	1995-12-31	VYDAJ	VYBER	30	16789	SLUZBY	\N	\N
709549	2427	1996-01-31	VYDAJ	VYBER	30	18207	SLUZBY	\N	\N
709550	2427	1996-02-29	VYDAJ	VYBER	30	22032	SLUZBY	\N	\N
709551	2427	1996-03-31	VYDAJ	VYBER	30	20970	SLUZBY	\N	\N
709552	2427	1996-04-30	VYDAJ	VYBER	30	22205	SLUZBY	\N	\N
709553	2427	1996-05-31	VYDAJ	VYBER	30	20644	SLUZBY	\N	\N
709554	2427	1996-06-30	VYDAJ	VYBER	30	20578	SLUZBY	\N	\N
709555	2427	1996-07-31	VYDAJ	VYBER	30	19811	SLUZBY	\N	\N
709556	2427	1996-08-31	VYDAJ	VYBER	30	21045	SLUZBY	\N	\N
709557	2427	1996-09-30	VYDAJ	VYBER	30	20426	SLUZBY	\N	\N
709558	2427	1996-10-31	VYDAJ	VYBER	30	25769	SLUZBY	\N	\N
709559	2427	1996-11-30	VYDAJ	VYBER	30	45326	SLUZBY	\N	\N
709560	2427	1996-12-31	VYDAJ	VYBER	30	38517	SLUZBY	\N	\N
709561	2427	1997-01-31	VYDAJ	VYBER	30	21790	SLUZBY	\N	\N
709562	2427	1997-02-28	VYDAJ	VYBER	30	31948	SLUZBY	\N	\N
709563	2427	1997-03-31	VYDAJ	VYBER	30	34832	SLUZBY	\N	\N
709564	2427	1997-04-30	VYDAJ	VYBER	30	34129	SLUZBY	\N	\N
709565	2427	1997-05-31	VYDAJ	VYBER	30	33923	SLUZBY	\N	\N
709566	2427	1997-06-30	VYDAJ	VYBER	30	87908	SLUZBY	\N	\N
709567	2427	1997-07-31	VYDAJ	VYBER	30	88019	SLUZBY	\N	\N
709568	2427	1997-08-31	VYDAJ	VYBER	30	61591	SLUZBY	\N	\N
709569	2427	1997-09-30	VYDAJ	VYBER	30	42326	SLUZBY	\N	\N
709570	2427	1997-10-31	VYDAJ	VYBER	30	35341	SLUZBY	\N	\N
709571	2427	1997-11-30	VYDAJ	VYBER	30	98212	SLUZBY	\N	\N
709572	2427	1997-12-31	VYDAJ	VYBER	30	53674	SLUZBY	\N	\N
709573	2427	1998-01-31	VYDAJ	VYBER	30	28684	SLUZBY	\N	\N
709574	2427	1998-02-28	VYDAJ	VYBER	30	30867	SLUZBY	\N	\N
709575	2427	1998-03-31	VYDAJ	VYBER	30	32656	SLUZBY	\N	\N
709576	2427	1998-04-30	VYDAJ	VYBER	30	32549	SLUZBY	\N	\N
709577	2427	1998-05-31	VYDAJ	VYBER	30	36151	SLUZBY	\N	\N
709578	2427	1998-06-30	VYDAJ	VYBER	30	35767	SLUZBY	\N	\N
709579	2427	1998-07-31	VYDAJ	VYBER	30	53135	SLUZBY	\N	\N
709580	2427	1998-08-31	VYDAJ	VYBER	30	26260	SLUZBY	\N	\N
709581	2427	1998-09-30	VYDAJ	VYBER	30	35154	SLUZBY	\N	\N
709582	2427	1998-10-31	VYDAJ	VYBER	30	36164	SLUZBY	\N	\N
709583	2427	1998-11-30	VYDAJ	VYBER	30	33168	SLUZBY	\N	\N
709584	2427	1993-11-07	PRIJEM	VKLAD	10500	11300	\N	\N	\N
709585	2427	1993-12-07	PRIJEM	VKLAD	7800	19100	\N	\N	\N
709586	2427	1994-01-06	PRIJEM	VKLAD	2800	21900	\N	\N	\N
709587	2427	1994-02-05	VYDAJ	VYBER	4700	32340	\N	\N	\N
709588	2427	1994-03-07	VYDAJ	VYBER	2800	29672	\N	\N	\N
709589	2427	1994-04-06	VYDAJ	VYBER	13900	39882	\N	\N	\N
709590	2427	1994-05-06	VYDAJ	VYBER	25500	48029	\N	\N	\N
709591	2427	1994-06-05	VYDAJ	VYBER	13500	34835	\N	\N	\N
709592	2427	1994-07-05	VYDAJ	VYBER	24700	47959	\N	\N	\N
709593	2427	1994-08-04	VYDAJ	VYBER	16700	41565	\N	\N	\N
709594	2427	1994-09-03	VYDAJ	VYBER	27100	53888	\N	\N	\N
709595	2427	1994-10-03	VYDAJ	VYBER	1000	26944	\N	\N	\N
709596	2427	1994-11-02	PRIJEM	VKLAD	3700	21997	\N	\N	\N
709597	2427	1994-12-02	PRIJEM	VKLAD	4100	24558	\N	\N	\N
709598	2427	1995-01-01	PRIJEM	VKLAD	6300	16973	\N	\N	\N
709599	2427	1995-01-31	PRIJEM	VKLAD	8500	16807	\N	\N	\N
709600	2427	1995-03-02	PRIJEM	VKLAD	8500	16589	\N	\N	\N
709601	2427	1995-04-01	PRIJEM	VKLAD	11100	18988	\N	\N	\N
709602	2427	1995-05-01	PRIJEM	VKLAD	6400	16695	\N	\N	\N
709603	2427	1995-05-31	PRIJEM	VKLAD	9500	17529	\N	\N	\N
709604	2427	1995-06-30	PRIJEM	VKLAD	9100	17893	\N	\N	\N
709605	2427	1995-07-30	PRIJEM	VKLAD	11400	20607	\N	\N	\N
709606	2427	1995-08-29	PRIJEM	VKLAD	9500	21425	\N	\N	\N
709607	2427	1995-09-28	PRIJEM	VKLAD	10200	22954	\N	\N	\N
709608	2427	1995-10-28	PRIJEM	VKLAD	6600	20888	\N	\N	\N
709609	2427	1995-11-27	PRIJEM	VKLAD	7300	19527	\N	\N	\N
709610	2427	1995-12-27	PRIJEM	VKLAD	5900	16758	\N	\N	\N
709611	2427	1996-01-26	PRIJEM	VKLAD	10100	18183	\N	\N	\N
709612	2427	1996-02-25	PRIJEM	VKLAD	12500	22001	\N	\N	\N
709613	2427	1996-03-26	PRIJEM	VKLAD	7600	20926	\N	\N	\N
709614	2427	1996-04-25	PRIJEM	VKLAD	9900	22164	\N	\N	\N
709615	2427	1996-05-25	PRIJEM	VKLAD	7100	20599	\N	\N	\N
709616	2427	1996-06-24	PRIJEM	VKLAD	8600	20538	\N	\N	\N
709617	2427	1996-07-24	PRIJEM	VKLAD	7900	19772	\N	\N	\N
709618	2427	1996-08-23	PRIJEM	VKLAD	9900	21005	\N	\N	\N
709619	2427	1996-09-22	PRIJEM	VKLAD	3700	33038	\N	\N	\N
709620	2427	1996-10-22	PRIJEM	VKLAD	14000	25720	\N	\N	\N
709621	2427	1996-11-21	PRIJEM	VKLAD	13900	30963	\N	\N	\N
709622	2427	1996-12-21	PRIJEM	VKLAD	1100	38380	\N	\N	\N
709623	2427	1997-01-20	PRIJEM	VKLAD	10200	28911	\N	\N	\N
709624	2427	1997-02-19	PRIJEM	VKLAD	18800	31884	\N	\N	\N
709625	2427	1997-03-21	PRIJEM	VKLAD	13300	34742	\N	\N	\N
709626	2427	1997-04-20	PRIJEM	VKLAD	7900	34026	\N	\N	\N
709627	2427	1997-05-20	PRIJEM	VKLAD	8400	33823	\N	\N	\N
709628	2427	1997-06-19	VYDAJ	VYBER	15800	68640	\N	\N	\N
709629	2427	1997-06-26	VYDAJ	VYBER	24900	87653	\N	\N	\N
709630	2427	1997-07-19	VYDAJ	VYBER	16400	62802	\N	\N	\N
709631	2427	1997-07-25	VYDAJ	VYBER	53900	54185	\N	\N	\N
709632	2427	1997-08-18	VYDAJ	VYBER	18000	61313	\N	\N	\N
709633	2427	1997-09-17	PRIJEM	VKLAD	5900	42155	\N	\N	\N
709634	2427	1997-10-17	PRIJEM	VKLAD	3700	35220	\N	\N	\N
709635	2427	1997-11-16	PRIJEM	VKLAD	9800	36435	\N	\N	\N
709636	2427	1997-12-16	VYDAJ	VYBER	12200	53422	\N	\N	\N
709637	2427	1998-01-15	PRIJEM	VKLAD	10300	35168	\N	\N	\N
709638	2427	1998-02-14	PRIJEM	VKLAD	10800	30778	\N	\N	\N
709639	2427	1998-03-16	PRIJEM	VKLAD	10400	32561	\N	\N	\N
709640	2427	1998-04-15	PRIJEM	VKLAD	8500	32450	\N	\N	\N
709641	2427	1998-05-15	PRIJEM	VKLAD	12200	36043	\N	\N	\N
709642	2427	1998-06-14	PRIJEM	VKLAD	10800	35655	\N	\N	\N
709643	2427	1998-07-14	PRIJEM	VKLAD	14700	32384	\N	\N	\N
709644	2427	1998-08-13	PRIJEM	VKLAD	12600	33081	\N	\N	\N
709645	2427	1998-09-12	PRIJEM	VKLAD	17500	40550	\N	\N	\N
709646	2427	1998-10-12	PRIJEM	VKLAD	14400	43644	\N	\N	\N
709647	2427	1998-11-11	PRIJEM	VKLAD	5600	40896	\N	\N	\N
709648	2427	1998-12-11	PRIJEM	VKLAD	9900	39800	\N	\N	\N
709708	2428	1993-09-08	PRIJEM	VKLAD	700	700	\N	\N	\N
709717	2428	1993-09-13	PRIJEM	VKLAD	15720	16420	\N	\N	\N
709718	2428	1993-10-13	PRIJEM	VKLAD	15720	34481	\N	\N	\N
709719	2428	1993-11-13	PRIJEM	VKLAD	15720	45016	\N	\N	\N
709720	2428	1993-12-13	PRIJEM	VKLAD	23580	59266	\N	\N	\N
709721	2428	1994-01-13	PRIJEM	VKLAD	15720	58610	\N	\N	\N
709722	2428	1994-02-13	PRIJEM	VKLAD	15720	55369	\N	\N	\N
709723	2428	1994-03-13	PRIJEM	VKLAD	15720	53998	\N	\N	\N
709724	2428	1994-04-13	PRIJEM	VKLAD	15720	54586	\N	\N	\N
709725	2428	1994-05-13	PRIJEM	VKLAD	15720	56214	\N	\N	\N
709726	2428	1994-06-13	PRIJEM	VKLAD	23580	64812	\N	\N	\N
709727	2428	1994-07-13	PRIJEM	VKLAD	15720	40292	\N	\N	\N
709728	2428	1994-08-13	PRIJEM	VKLAD	15720	41976	\N	\N	\N
709729	2428	1994-09-13	PRIJEM	VKLAD	15720	49544	\N	\N	\N
709730	2428	1994-10-13	PRIJEM	VKLAD	15720	51244	\N	\N	\N
709731	2428	1994-11-13	PRIJEM	VKLAD	15720	53760	\N	\N	\N
709732	2428	1994-12-13	PRIJEM	VKLAD	23580	60425	\N	\N	\N
709733	2428	1995-01-13	PRIJEM	VKLAD	15720	58249	\N	\N	\N
709734	2428	1995-02-13	PRIJEM	VKLAD	15720	37703	\N	\N	\N
709735	2428	1995-03-13	PRIJEM	VKLAD	15720	49748	\N	\N	\N
709736	2428	1995-04-13	PRIJEM	VKLAD	15720	58041	\N	\N	\N
709737	2428	1995-05-13	PRIJEM	VKLAD	15720	62374	\N	\N	\N
709738	2428	1995-06-13	PRIJEM	VKLAD	23580	67190	\N	\N	\N
709739	2428	1995-07-13	PRIJEM	VKLAD	15720	60976	\N	\N	\N
709740	2428	1995-08-13	PRIJEM	VKLAD	15720	60269	\N	\N	\N
709741	2428	1995-09-13	PRIJEM	VKLAD	15720	55423	\N	\N	\N
709742	2428	1995-10-13	PRIJEM	VKLAD	15720	56394	\N	\N	\N
709743	2428	1995-11-13	PRIJEM	VKLAD	15720	59369	\N	\N	\N
709744	2428	1995-12-13	PRIJEM	VKLAD	23580	62995	\N	\N	\N
709745	2428	1996-01-13	PRIJEM	VKLAD	15720	42306	\N	\N	\N
709746	2428	1996-02-13	PRIJEM	VKLAD	15720	41667	\N	\N	\N
709747	2428	1996-03-13	PRIJEM	VKLAD	15720	50485	\N	\N	\N
709748	2428	1996-04-13	PRIJEM	VKLAD	15720	46294	\N	\N	\N
709749	2428	1996-05-13	PRIJEM	VKLAD	15720	51830	\N	\N	\N
709750	2428	1996-06-13	PRIJEM	VKLAD	23580	61679	\N	\N	\N
709751	2428	1996-07-13	PRIJEM	VKLAD	15720	42569	\N	\N	\N
709752	2428	1996-08-13	PRIJEM	VKLAD	15720	45397	\N	\N	\N
709753	2428	1996-09-13	PRIJEM	VKLAD	15720	53434	\N	\N	\N
709754	2428	1996-10-13	PRIJEM	VKLAD	15720	53206	\N	\N	\N
709755	2428	1996-11-13	PRIJEM	VKLAD	15720	56470	\N	\N	\N
709756	2428	1996-12-13	PRIJEM	VKLAD	23580	60146	\N	\N	\N
709757	2428	1997-01-13	PRIJEM	VKLAD	15720	59742	\N	\N	\N
709758	2428	1997-02-13	PRIJEM	VKLAD	15720	41363	\N	\N	\N
709759	2428	1997-03-13	PRIJEM	VKLAD	15720	41076	\N	\N	\N
709760	2428	1997-04-13	PRIJEM	VKLAD	15720	42305	\N	\N	\N
709761	2428	1997-05-13	PRIJEM	VKLAD	15720	45423	\N	\N	\N
709762	2428	1997-06-13	PRIJEM	VKLAD	23580	58818	\N	\N	\N
709763	2428	1997-07-13	PRIJEM	VKLAD	15720	42965	\N	\N	\N
709764	2428	1997-08-13	PRIJEM	VKLAD	15720	44884	\N	\N	\N
709765	2428	1997-09-13	PRIJEM	VKLAD	15720	47995	\N	\N	\N
709766	2428	1997-10-13	PRIJEM	VKLAD	15720	47540	\N	\N	\N
709767	2428	1997-11-13	PRIJEM	VKLAD	15720	45091	\N	\N	\N
709768	2428	1997-12-13	PRIJEM	VKLAD	23580	53175	\N	\N	\N
709769	2428	1998-01-13	PRIJEM	VKLAD	15720	54091	\N	\N	\N
709770	2428	1998-02-13	PRIJEM	VKLAD	15720	34597	\N	\N	\N
709771	2428	1998-03-13	PRIJEM	VKLAD	15720	45100	\N	\N	\N
709772	2428	1998-04-13	PRIJEM	VKLAD	15720	44911	\N	\N	\N
709773	2428	1998-05-13	PRIJEM	VKLAD	15720	44644	\N	\N	\N
709774	2428	1998-06-13	PRIJEM	VKLAD	23580	48016	\N	\N	\N
709775	2428	1998-07-13	PRIJEM	VKLAD	15720	49659	\N	\N	\N
709776	2428	1998-08-13	PRIJEM	VKLAD	15720	49561	\N	\N	\N
709777	2428	1998-09-13	PRIJEM	VKLAD	15720	38626	\N	\N	\N
709778	2428	1998-10-13	PRIJEM	VKLAD	15720	37676	\N	\N	\N
709779	2428	1998-11-13	PRIJEM	VKLAD	15720	37535	\N	\N	\N
709780	2428	1998-12-13	PRIJEM	VKLAD	23580	47252	\N	\N	\N
709782	2428	1994-06-20	VYDAJ	VYBER	39360	25452	\N	\N	\N
709784	2428	1996-06-23	VYDAJ	VYBER	29760	31919	\N	\N	\N
709785	2428	1997-06-27	VYDAJ	VYBER	10400	27118	\N	\N	\N
709786	2428	1998-06-05	VYDAJ	VYBER	9120	24436	\N	\N	\N
709789	2428	1995-01-22	VYDAJ	VYBER	7680	45049	\N	\N	\N
709790	2428	1996-01-08	VYDAJ	VYBER	14880	29706	\N	\N	\N
709791	2428	1997-01-17	VYDAJ	VYBER	15200	40222	\N	\N	\N
709792	2428	1998-01-24	VYDAJ	VYBER	11200	23431	\N	\N	\N
709794	2428	1994-12-03	VYDAJ	VYBER	1120	36845	\N	\N	\N
709795	2428	1995-12-01	VYDAJ	VYBER	3520	39415	\N	\N	\N
709796	2428	1996-12-02	VYDAJ	VYBER	2880	36566	\N	\N	\N
709797	2428	1997-12-13	VYDAJ	VYBER	800	52375	\N	\N	\N
709798	2428	1998-12-21	VYDAJ	VYBER	3040	44212	\N	\N	\N
709805	2428	1994-01-24	VYDAJ	VYBER	2160	51530	\N	\N	\N
709806	2428	1994-01-15	VYDAJ	VYBER	1560	57050	\N	\N	\N
709809	2428	1994-01-19	VYDAJ	VYBER	3360	53690	\N	\N	\N
709811	2428	1995-01-30	VYDAJ	VYBER	2040	40369	\N	\N	\N
709812	2428	1995-01-17	VYDAJ	VYBER	1560	54049	\N	\N	\N
709813	2428	1995-01-08	VYDAJ	VYBER	3000	42529	\N	\N	\N
709814	2428	1995-01-27	VYDAJ	VYBER	2640	42409	\N	\N	\N
709815	2428	1995-01-13	VYDAJ	VYBER	2640	55609	\N	\N	\N
709816	2428	1995-01-18	VYDAJ	VYBER	1320	52729	\N	\N	\N
709817	2428	1996-01-29	VYDAJ	VYBER	3360	25806	\N	\N	\N
709818	2428	1996-01-20	VYDAJ	VYBER	960	41346	\N	\N	\N
709819	2428	1996-01-27	VYDAJ	VYBER	3240	29166	\N	\N	\N
709820	2428	1996-01-01	VYDAJ	VYBER	1200	44586	\N	\N	\N
709821	2428	1996-01-21	VYDAJ	VYBER	840	40506	\N	\N	\N
709822	2428	1996-01-08	VYDAJ	VYBER	3120	26586	\N	\N	\N
709823	2428	1997-01-21	VYDAJ	VYBER	960	28262	\N	\N	\N
709824	2428	1997-01-16	VYDAJ	VYBER	3120	55422	\N	\N	\N
709825	2428	1997-01-20	VYDAJ	VYBER	2760	29222	\N	\N	\N
709826	2428	1997-01-26	VYDAJ	VYBER	2760	25502	\N	\N	\N
709827	2428	1997-01-19	VYDAJ	VYBER	1440	38782	\N	\N	\N
709828	2428	1997-01-15	VYDAJ	VYBER	1200	58542	\N	\N	\N
709829	2428	1998-01-27	VYDAJ	VYBER	1680	21751	\N	\N	\N
709830	2428	1998-01-18	VYDAJ	VYBER	960	35231	\N	\N	\N
709831	2428	1998-01-16	VYDAJ	VYBER	2400	36191	\N	\N	\N
709832	2428	1998-01-10	VYDAJ	VYBER	1440	38371	\N	\N	\N
709833	2428	1998-01-21	VYDAJ	VYBER	600	34631	\N	\N	\N
709834	2428	1998-01-28	VYDAJ	VYBER	3000	18751	\N	\N	\N
709842	2428	1994-03-19	VYDAJ	VYBER	2640	51358	\N	\N	\N
709843	2428	1994-08-12	VYDAJ	VYBER	2760	26256	\N	\N	\N
709844	2428	1994-07-27	VYDAJ	VYBER	4800	35492	\N	\N	\N
709845	2428	1994-06-27	VYDAJ	VYBER	1560	23892	\N	\N	\N
709846	2428	1995-02-04	VYDAJ	VYBER	5640	26423	\N	\N	\N
709847	2428	1995-12-27	VYDAJ	VYBER	1320	61675	\N	\N	\N
709848	2428	1995-08-21	VYDAJ	VYBER	5160	55109	\N	\N	\N
709849	2428	1995-02-08	VYDAJ	VYBER	4440	21983	\N	\N	\N
709850	2428	1995-08-22	VYDAJ	VYBER	5880	49229	\N	\N	\N
709851	2428	1996-09-15	VYDAJ	VYBER	3600	49834	\N	\N	\N
709852	2428	1996-05-18	VYDAJ	VYBER	1680	50150	\N	\N	\N
709853	2428	1996-07-19	VYDAJ	VYBER	3960	38609	\N	\N	\N
709854	2428	1996-03-30	VYDAJ	VYBER	5640	30445	\N	\N	\N
709855	2428	1996-11-18	VYDAJ	VYBER	3480	52990	\N	\N	\N
709856	2428	1996-07-26	VYDAJ	VYBER	5640	29569	\N	\N	\N
709857	2428	1997-03-06	VYDAJ	VYBER	840	25356	\N	\N	\N
709858	2428	1997-10-16	VYDAJ	VYBER	5280	42260	\N	\N	\N
709859	2428	1997-02-26	VYDAJ	VYBER	2760	26103	\N	\N	\N
709860	2428	1997-09-18	VYDAJ	VYBER	1200	31695	\N	\N	\N
709861	2428	1997-09-04	VYDAJ	VYBER	720	32275	\N	\N	\N
709862	2428	1998-04-10	VYDAJ	VYBER	3720	29191	\N	\N	\N
709863	2428	1998-08-17	VYDAJ	VYBER	5280	31481	\N	\N	\N
709865	2428	1998-07-19	VYDAJ	VYBER	840	33719	\N	\N	\N
709879	2428	1994-01-31	VYDAJ	VYBER	15	51749	SLUZBY	\N	\N
709880	2428	1994-02-28	VYDAJ	VYBER	15	55578	SLUZBY	\N	\N
709881	2428	1994-03-31	VYDAJ	VYBER	15	51566	SLUZBY	\N	\N
709882	2428	1994-04-30	VYDAJ	VYBER	15	54794	SLUZBY	\N	\N
709883	2428	1994-05-31	VYDAJ	VYBER	15	56432	SLUZBY	\N	\N
709884	2428	1994-06-30	VYDAJ	VYBER	15	24072	SLUZBY	\N	\N
709885	2428	1994-07-31	VYDAJ	VYBER	15	35616	SLUZBY	\N	\N
709886	2428	1994-08-31	VYDAJ	VYBER	15	42124	SLUZBY	\N	\N
709887	2428	1994-09-30	VYDAJ	VYBER	15	49724	SLUZBY	\N	\N
709888	2428	1994-10-31	VYDAJ	VYBER	15	51440	SLUZBY	\N	\N
709889	2428	1994-11-30	VYDAJ	VYBER	15	53965	SLUZBY	\N	\N
709890	2428	1994-12-31	VYDAJ	VYBER	15	60629	SLUZBY	\N	\N
709891	2428	1995-01-31	VYDAJ	VYBER	15	40563	SLUZBY	\N	\N
709892	2428	1995-02-28	VYDAJ	VYBER	15	37828	SLUZBY	\N	\N
709893	2428	1995-03-31	VYDAJ	VYBER	15	49921	SLUZBY	\N	\N
709894	2428	1995-04-30	VYDAJ	VYBER	15	58254	SLUZBY	\N	\N
709895	2428	1995-05-31	VYDAJ	VYBER	15	62610	SLUZBY	\N	\N
709896	2428	1995-06-30	VYDAJ	VYBER	15	45256	SLUZBY	\N	\N
709897	2428	1995-07-31	VYDAJ	VYBER	15	44549	SLUZBY	\N	\N
709898	2428	1995-08-31	VYDAJ	VYBER	15	39703	SLUZBY	\N	\N
709899	2428	1995-09-30	VYDAJ	VYBER	15	40674	SLUZBY	\N	\N
709900	2428	1995-10-31	VYDAJ	VYBER	15	43649	SLUZBY	\N	\N
709901	2428	1995-11-30	VYDAJ	VYBER	15	42935	SLUZBY	\N	\N
709902	2428	1995-12-31	VYDAJ	VYBER	15	45786	SLUZBY	\N	\N
709903	2428	1996-01-31	VYDAJ	VYBER	15	25947	SLUZBY	\N	\N
709904	2428	1996-02-29	VYDAJ	VYBER	15	34765	SLUZBY	\N	\N
709905	2428	1996-03-31	VYDAJ	VYBER	15	30574	SLUZBY	\N	\N
709906	2428	1996-04-30	VYDAJ	VYBER	15	36110	SLUZBY	\N	\N
709907	2428	1996-05-31	VYDAJ	VYBER	15	38099	SLUZBY	\N	\N
709908	2428	1996-06-30	VYDAJ	VYBER	15	26849	SLUZBY	\N	\N
709909	2428	1996-07-31	VYDAJ	VYBER	15	29677	SLUZBY	\N	\N
709910	2428	1996-08-31	VYDAJ	VYBER	15	37714	SLUZBY	\N	\N
709911	2428	1996-09-30	VYDAJ	VYBER	15	37486	SLUZBY	\N	\N
709912	2428	1996-10-31	VYDAJ	VYBER	15	40750	SLUZBY	\N	\N
709913	2428	1996-11-30	VYDAJ	VYBER	15	39446	SLUZBY	\N	\N
709914	2428	1996-12-31	VYDAJ	VYBER	15	44022	SLUZBY	\N	\N
709915	2428	1997-01-31	VYDAJ	VYBER	15	25643	SLUZBY	\N	\N
709916	2428	1997-02-28	VYDAJ	VYBER	15	26196	SLUZBY	\N	\N
709917	2428	1997-03-31	VYDAJ	VYBER	15	26585	SLUZBY	\N	\N
709918	2428	1997-04-30	VYDAJ	VYBER	15	29703	SLUZBY	\N	\N
709919	2428	1997-05-31	VYDAJ	VYBER	15	35238	SLUZBY	\N	\N
709920	2428	1997-06-30	VYDAJ	VYBER	15	27245	SLUZBY	\N	\N
709921	2428	1997-07-31	VYDAJ	VYBER	15	29164	SLUZBY	\N	\N
709922	2428	1997-08-31	VYDAJ	VYBER	15	32995	SLUZBY	\N	\N
709923	2428	1997-09-30	VYDAJ	VYBER	15	31820	SLUZBY	\N	\N
709924	2428	1997-10-31	VYDAJ	VYBER	15	29371	SLUZBY	\N	\N
709925	2428	1997-11-30	VYDAJ	VYBER	15	29595	SLUZBY	\N	\N
709926	2428	1997-12-31	VYDAJ	VYBER	15	39811	SLUZBY	\N	\N
709927	2428	1998-01-31	VYDAJ	VYBER	15	18877	SLUZBY	\N	\N
709928	2428	1998-02-28	VYDAJ	VYBER	15	29380	SLUZBY	\N	\N
709929	2428	1998-03-31	VYDAJ	VYBER	15	32911	SLUZBY	\N	\N
709930	2428	1998-04-30	VYDAJ	VYBER	15	28924	SLUZBY	\N	\N
709931	2428	1998-05-31	VYDAJ	VYBER	15	33556	SLUZBY	\N	\N
709932	2428	1998-06-30	VYDAJ	VYBER	15	33939	SLUZBY	\N	\N
709933	2428	1998-07-31	VYDAJ	VYBER	15	33841	SLUZBY	\N	\N
709934	2428	1998-08-31	VYDAJ	VYBER	15	31606	SLUZBY	\N	\N
709935	2428	1998-09-30	VYDAJ	VYBER	15	38756	SLUZBY	\N	\N
709936	2428	1998-10-31	VYDAJ	VYBER	15	37815	SLUZBY	\N	\N
709937	2428	1998-11-30	VYDAJ	VYBER	15	37672	SLUZBY	\N	\N
709938	2428	1993-10-08	PRIJEM	VKLAD	2300	18761	\N	\N	\N
709939	2428	1993-11-07	VYDAJ	VYBER	5300	29296	\N	\N	\N
709940	2428	1993-12-07	VYDAJ	VYBER	9500	35686	\N	\N	\N
709941	2428	1994-01-06	VYDAJ	VYBER	16600	42890	\N	\N	\N
709942	2428	1994-02-05	VYDAJ	VYBER	12100	39649	\N	\N	\N
709943	2428	1994-03-07	VYDAJ	VYBER	17300	38278	\N	\N	\N
709944	2428	1994-04-06	VYDAJ	VYBER	12700	38866	\N	\N	\N
709945	2428	1994-05-06	VYDAJ	VYBER	14300	40494	\N	\N	\N
709946	2428	1994-06-05	VYDAJ	VYBER	15200	41232	\N	\N	\N
709947	2428	1994-07-05	PRIJEM	VKLAD	500	24572	\N	\N	\N
709948	2428	1994-08-04	VYDAJ	VYBER	6600	29016	\N	\N	\N
709949	2428	1994-09-03	VYDAJ	VYBER	8300	33824	\N	\N	\N
709950	2428	1994-10-03	VYDAJ	VYBER	14200	35524	\N	\N	\N
709951	2428	1994-11-02	VYDAJ	VYBER	13400	38040	\N	\N	\N
709952	2428	1994-12-02	VYDAJ	VYBER	16000	37965	\N	\N	\N
709953	2428	1995-01-01	VYDAJ	VYBER	15100	45529	\N	\N	\N
709954	2428	1995-01-31	VYDAJ	VYBER	8500	32063	\N	\N	\N
709955	2428	1995-03-02	VYDAJ	VYBER	3800	34028	\N	\N	\N
709956	2428	1995-04-01	VYDAJ	VYBER	7600	42321	\N	\N	\N
709957	2428	1995-05-01	VYDAJ	VYBER	11600	46654	\N	\N	\N
709958	2428	1995-05-31	VYDAJ	VYBER	19000	43610	\N	\N	\N
709959	2428	1995-06-30	VYDAJ	VYBER	22100	45271	\N	\N	\N
709960	2428	1995-07-30	VYDAJ	VYBER	16600	44376	\N	\N	\N
709961	2428	1995-08-29	VYDAJ	VYBER	9700	39529	\N	\N	\N
709962	2428	1995-09-28	VYDAJ	VYBER	14900	40523	\N	\N	\N
709963	2428	1995-10-28	VYDAJ	VYBER	12900	43494	\N	\N	\N
709964	2428	1995-11-27	VYDAJ	VYBER	16600	42769	\N	\N	\N
709965	2428	1995-12-27	VYDAJ	VYBER	16100	45575	\N	\N	\N
709966	2428	1996-01-26	VYDAJ	VYBER	8100	32406	\N	\N	\N
709967	2428	1996-02-25	VYDAJ	VYBER	7000	34667	\N	\N	\N
709968	2428	1996-03-26	VYDAJ	VYBER	14400	36085	\N	\N	\N
709969	2428	1996-04-25	VYDAJ	VYBER	10300	35994	\N	\N	\N
709970	2428	1996-05-25	VYDAJ	VYBER	12200	37950	\N	\N	\N
709971	2428	1996-06-24	VYDAJ	VYBER	5200	26719	\N	\N	\N
709972	2428	1996-07-24	VYDAJ	VYBER	3400	35209	\N	\N	\N
709973	2428	1996-08-23	VYDAJ	VYBER	7800	37597	\N	\N	\N
709974	2428	1996-09-22	VYDAJ	VYBER	12500	37334	\N	\N	\N
709975	2428	1996-10-22	VYDAJ	VYBER	12600	40606	\N	\N	\N
709976	2428	1996-11-21	VYDAJ	VYBER	13700	39290	\N	\N	\N
709977	2428	1996-12-21	VYDAJ	VYBER	16300	43846	\N	\N	\N
709978	2428	1997-01-20	VYDAJ	VYBER	6800	31982	\N	\N	\N
709979	2428	1997-02-19	VYDAJ	VYBER	12500	28863	\N	\N	\N
709980	2428	1997-03-21	VYDAJ	VYBER	14600	26476	\N	\N	\N
709981	2428	1997-04-20	VYDAJ	VYBER	12700	29605	\N	\N	\N
709982	2428	1997-05-20	VYDAJ	VYBER	10300	35123	\N	\N	\N
709983	2428	1997-06-19	VYDAJ	VYBER	21300	37518	\N	\N	\N
709984	2428	1997-07-19	VYDAJ	VYBER	13900	29065	\N	\N	\N
709985	2428	1997-08-18	VYDAJ	VYBER	12000	32884	\N	\N	\N
709986	2428	1997-09-17	VYDAJ	VYBER	15100	32895	\N	\N	\N
709987	2428	1997-10-17	VYDAJ	VYBER	13000	29260	\N	\N	\N
709988	2428	1997-11-16	VYDAJ	VYBER	15600	29491	\N	\N	\N
709989	2428	1997-12-16	VYDAJ	VYBER	12700	39675	\N	\N	\N
709990	2428	1998-01-15	VYDAJ	VYBER	15500	38591	\N	\N	\N
709991	2428	1998-02-14	VYDAJ	VYBER	5300	29297	\N	\N	\N
709992	2428	1998-03-16	VYDAJ	VYBER	12300	32800	\N	\N	\N
709993	2428	1998-04-15	VYDAJ	VYBER	16100	28811	\N	\N	\N
709994	2428	1998-05-15	VYDAJ	VYBER	11200	33444	\N	\N	\N
709995	2428	1998-06-14	VYDAJ	VYBER	14200	33816	\N	\N	\N
709996	2428	1998-07-14	VYDAJ	VYBER	15100	34559	\N	\N	\N
709997	2428	1998-08-13	VYDAJ	VYBER	12800	36761	\N	\N	\N
709998	2428	1998-09-12	VYDAJ	VYBER	8700	22906	\N	\N	\N
709999	2428	1998-10-12	VYDAJ	VYBER	16800	21956	\N	\N	\N
710000	2428	1998-11-11	VYDAJ	VYBER	16000	21815	\N	\N	\N
710001	2428	1998-12-11	VYDAJ	VYBER	14000	23672	\N	\N	\N
710066	2429	1993-02-06	PRIJEM	VKLAD	600	600	\N	\N	\N
710069	2429	1993-03-05	PRIJEM	VKLAD	14609	15209	\N	\N	\N
710070	2429	1993-04-05	PRIJEM	VKLAD	14609	34984	\N	\N	\N
710071	2429	1993-05-05	PRIJEM	VKLAD	14609	46014	\N	\N	\N
710072	2429	1993-06-05	PRIJEM	VKLAD	21914	55063	\N	\N	\N
710073	2429	1993-07-05	PRIJEM	VKLAD	14609	52727	\N	\N	\N
710074	2429	1993-08-05	PRIJEM	VKLAD	14609	43396	\N	\N	\N
710075	2429	1993-09-05	PRIJEM	VKLAD	14609	37557	\N	\N	\N
710076	2429	1993-10-05	PRIJEM	VKLAD	14609	42345	\N	\N	\N
710077	2429	1993-11-05	PRIJEM	VKLAD	14609	44659	\N	\N	\N
710078	2429	1993-12-05	PRIJEM	VKLAD	21914	51761	\N	\N	\N
710079	2429	1994-01-05	PRIJEM	VKLAD	14609	46640	\N	\N	\N
710080	2429	1994-02-05	PRIJEM	VKLAD	14609	43299	\N	\N	\N
710081	2429	1994-03-05	PRIJEM	VKLAD	14609	46420	\N	\N	\N
710082	2429	1994-04-05	PRIJEM	VKLAD	14609	46000	\N	\N	\N
710083	2429	1994-05-05	PRIJEM	VKLAD	14609	47204	\N	\N	\N
710084	2429	1994-06-05	PRIJEM	VKLAD	21914	54137	\N	\N	\N
710085	2429	1994-07-05	PRIJEM	VKLAD	14609	51106	\N	\N	\N
710086	2429	1994-08-05	PRIJEM	VKLAD	14609	49351	\N	\N	\N
710087	2429	1994-09-05	PRIJEM	VKLAD	14609	50875	\N	\N	\N
710088	2429	1994-10-05	PRIJEM	VKLAD	14609	48924	\N	\N	\N
710089	2429	1994-11-05	PRIJEM	VKLAD	14609	49344	\N	\N	\N
710090	2429	1994-12-05	PRIJEM	VKLAD	21914	56613	\N	\N	\N
710091	2429	1995-01-05	PRIJEM	VKLAD	14609	52989	\N	\N	\N
710092	2429	1995-02-05	PRIJEM	VKLAD	14609	38607	\N	\N	\N
710093	2429	1995-03-05	PRIJEM	VKLAD	14609	44384	\N	\N	\N
710094	2429	1995-04-05	PRIJEM	VKLAD	14609	48567	\N	\N	\N
710095	2429	1995-05-05	PRIJEM	VKLAD	14609	51768	\N	\N	\N
710096	2429	1995-06-05	PRIJEM	VKLAD	21914	60801	\N	\N	\N
710097	2429	1995-07-05	PRIJEM	VKLAD	14609	41638	\N	\N	\N
710098	2429	1995-08-05	PRIJEM	VKLAD	14609	51413	\N	\N	\N
710099	2429	1995-09-05	PRIJEM	VKLAD	14609	56525	\N	\N	\N
710100	2429	1995-10-05	PRIJEM	VKLAD	14609	60156	\N	\N	\N
710101	2429	1995-11-05	PRIJEM	VKLAD	14609	59210	\N	\N	\N
710102	2429	1995-12-05	PRIJEM	VKLAD	21914	66727	\N	\N	\N
710103	2429	1996-01-05	PRIJEM	VKLAD	14609	61076	\N	\N	\N
710104	2429	1996-02-05	PRIJEM	VKLAD	14609	47002	\N	\N	\N
710105	2429	1996-03-05	PRIJEM	VKLAD	14609	58803	\N	\N	\N
710106	2429	1996-04-05	PRIJEM	VKLAD	14609	62253	\N	\N	\N
710107	2429	1996-05-05	PRIJEM	VKLAD	14609	65305	\N	\N	\N
710108	2429	1996-06-05	PRIJEM	VKLAD	21914	69736	\N	\N	\N
710109	2429	1996-07-05	PRIJEM	VKLAD	14609	69932	\N	\N	\N
710110	2429	1996-08-05	PRIJEM	VKLAD	14609	71312	\N	\N	\N
710111	2429	1996-09-05	PRIJEM	VKLAD	14609	70301	\N	\N	\N
710112	2429	1996-10-05	PRIJEM	VKLAD	14609	68684	\N	\N	\N
710113	2429	1996-11-05	PRIJEM	VKLAD	14609	68053	\N	\N	\N
710114	2429	1996-12-05	PRIJEM	VKLAD	21914	73127	\N	\N	\N
710115	2429	1997-01-05	PRIJEM	VKLAD	14609	66082	\N	\N	\N
710116	2429	1997-02-05	PRIJEM	VKLAD	14609	56852	\N	\N	\N
710117	2429	1997-03-05	PRIJEM	VKLAD	14609	64787	\N	\N	\N
710118	2429	1997-04-05	PRIJEM	VKLAD	14609	72192	\N	\N	\N
710119	2429	1997-05-05	PRIJEM	VKLAD	14609	73777	\N	\N	\N
710120	2429	1997-06-05	PRIJEM	VKLAD	21914	51629	\N	\N	\N
710121	2429	1997-07-05	PRIJEM	VKLAD	14609	67380	\N	\N	\N
710122	2429	1997-08-05	PRIJEM	VKLAD	14609	74556	\N	\N	\N
710123	2429	1997-09-05	PRIJEM	VKLAD	14609	77252	\N	\N	\N
710124	2429	1997-10-05	PRIJEM	VKLAD	14609	79260	\N	\N	\N
710125	2429	1997-11-05	PRIJEM	VKLAD	14609	82174	\N	\N	\N
710126	2429	1997-12-05	PRIJEM	VKLAD	21914	86890	\N	\N	\N
710127	2429	1998-01-05	PRIJEM	VKLAD	14609	74837	\N	\N	\N
710128	2429	1998-02-05	PRIJEM	VKLAD	14609	56121	\N	\N	\N
710129	2429	1998-03-05	PRIJEM	VKLAD	14609	68063	\N	\N	\N
710130	2429	1998-04-05	PRIJEM	VKLAD	14609	75644	\N	\N	\N
710131	2429	1998-05-05	PRIJEM	VKLAD	14609	78343	\N	\N	\N
710132	2429	1998-06-05	PRIJEM	VKLAD	21914	87152	\N	\N	\N
710133	2429	1998-07-05	PRIJEM	VKLAD	14609	74617	\N	\N	\N
710134	2429	1998-08-05	PRIJEM	VKLAD	14609	77609	\N	\N	\N
710135	2429	1998-09-05	PRIJEM	VKLAD	14609	80532	\N	\N	\N
710136	2429	1998-10-05	PRIJEM	VKLAD	14609	75945	\N	\N	\N
710137	2429	1998-11-05	PRIJEM	VKLAD	14609	64475	\N	\N	\N
710138	2429	1998-12-05	PRIJEM	VKLAD	21914	70638	\N	\N	\N
710145	2429	1993-07-09	VYDAJ	PREVOD NA UCET	6786	29041	SIPO	QR	50382167
710146	2429	1993-08-09	VYDAJ	PREVOD NA UCET	6786	26710	SIPO	QR	50382167
710147	2429	1993-09-09	VYDAJ	PREVOD NA UCET	6786	30402	SIPO	QR	50382167
710148	2429	1993-10-09	VYDAJ	PREVOD NA UCET	6786	35190	SIPO	QR	50382167
710149	2429	1993-11-09	VYDAJ	PREVOD NA UCET	6786	37873	SIPO	QR	50382167
710150	2429	1993-12-09	VYDAJ	PREVOD NA UCET	6786	44606	SIPO	QR	50382167
710151	2429	1994-01-09	VYDAJ	PREVOD NA UCET	6786	34574	SIPO	QR	50382167
710152	2429	1994-02-09	VYDAJ	PREVOD NA UCET	6786	36144	SIPO	QR	50382167
710153	2429	1994-03-09	VYDAJ	PREVOD NA UCET	6786	39634	SIPO	QR	50382167
710154	2429	1994-04-09	VYDAJ	PREVOD NA UCET	6786	39214	SIPO	QR	50382167
710155	2429	1994-05-09	VYDAJ	PREVOD NA UCET	6786	40049	SIPO	QR	50382167
710156	2429	1994-06-09	VYDAJ	PREVOD NA UCET	6786	46982	SIPO	QR	50382167
710157	2429	1994-07-09	VYDAJ	PREVOD NA UCET	6786	43951	SIPO	QR	50382167
710158	2429	1994-08-09	VYDAJ	PREVOD NA UCET	6786	42196	SIPO	QR	50382167
710159	2429	1994-09-09	VYDAJ	PREVOD NA UCET	6786	43720	SIPO	QR	50382167
710160	2429	1994-10-09	VYDAJ	PREVOD NA UCET	6786	41769	SIPO	QR	50382167
710161	2429	1994-11-09	VYDAJ	PREVOD NA UCET	6786	42189	SIPO	QR	50382167
710162	2429	1994-12-09	VYDAJ	PREVOD NA UCET	6786	49458	SIPO	QR	50382167
710163	2429	1995-01-09	VYDAJ	PREVOD NA UCET	6786	46203	SIPO	QR	50382167
710164	2429	1995-02-09	VYDAJ	PREVOD NA UCET	6786	31452	SIPO	QR	50382167
710165	2429	1995-03-09	VYDAJ	PREVOD NA UCET	6786	37598	SIPO	QR	50382167
710166	2429	1995-04-09	VYDAJ	PREVOD NA UCET	6786	41781	SIPO	QR	50382167
710167	2429	1995-05-09	VYDAJ	PREVOD NA UCET	6786	44613	SIPO	QR	50382167
710168	2429	1995-06-09	VYDAJ	PREVOD NA UCET	6786	52095	SIPO	QR	50382167
710169	2429	1995-07-09	VYDAJ	PREVOD NA UCET	6786	34852	SIPO	QR	50382167
710170	2429	1995-08-09	VYDAJ	PREVOD NA UCET	6786	44627	SIPO	QR	50382167
710171	2429	1995-09-09	VYDAJ	PREVOD NA UCET	6786	49370	SIPO	QR	50382167
710172	2429	1995-10-09	VYDAJ	PREVOD NA UCET	6786	53001	SIPO	QR	50382167
710173	2429	1995-11-09	VYDAJ	PREVOD NA UCET	6786	48935	SIPO	QR	50382167
710174	2429	1995-12-09	VYDAJ	PREVOD NA UCET	6786	59941	SIPO	QR	50382167
710175	2429	1996-01-09	VYDAJ	PREVOD NA UCET	6786	51881	SIPO	QR	50382167
710176	2429	1996-02-09	VYDAJ	PREVOD NA UCET	6786	40216	SIPO	QR	50382167
710177	2429	1996-03-09	VYDAJ	PREVOD NA UCET	6786	51648	SIPO	QR	50382167
710178	2429	1996-04-09	VYDAJ	PREVOD NA UCET	6786	55467	SIPO	QR	50382167
710179	2429	1996-05-09	VYDAJ	PREVOD NA UCET	6786	58519	SIPO	QR	50382167
710180	2429	1996-06-09	VYDAJ	PREVOD NA UCET	6786	62581	SIPO	QR	50382167
710181	2429	1996-07-09	VYDAJ	PREVOD NA UCET	6786	62777	SIPO	QR	50382167
710182	2429	1996-08-09	VYDAJ	PREVOD NA UCET	6786	64157	SIPO	QR	50382167
710183	2429	1996-09-09	VYDAJ	PREVOD NA UCET	6786	63146	SIPO	QR	50382167
710184	2429	1996-10-09	VYDAJ	PREVOD NA UCET	6786	61529	SIPO	QR	50382167
710185	2429	1996-11-09	VYDAJ	PREVOD NA UCET	6786	60898	SIPO	QR	50382167
710186	2429	1996-12-09	VYDAJ	PREVOD NA UCET	6786	65972	SIPO	QR	50382167
710187	2429	1997-01-09	VYDAJ	PREVOD NA UCET	6786	58096	SIPO	QR	50382167
710188	2429	1997-02-09	VYDAJ	PREVOD NA UCET	6786	49697	SIPO	QR	50382167
710189	2429	1997-03-09	VYDAJ	PREVOD NA UCET	6786	58001	SIPO	QR	50382167
710190	2429	1997-04-09	VYDAJ	PREVOD NA UCET	6786	65037	SIPO	QR	50382167
710191	2429	1997-05-09	VYDAJ	PREVOD NA UCET	6786	66622	SIPO	QR	50382167
710192	2429	1997-06-09	VYDAJ	PREVOD NA UCET	6786	44474	SIPO	QR	50382167
710193	2429	1997-07-09	VYDAJ	PREVOD NA UCET	6786	60225	SIPO	QR	50382167
710194	2429	1997-08-09	VYDAJ	PREVOD NA UCET	6786	67401	SIPO	QR	50382167
710195	2429	1997-09-09	VYDAJ	PREVOD NA UCET	6786	70097	SIPO	QR	50382167
710196	2429	1997-10-09	VYDAJ	PREVOD NA UCET	6786	72474	SIPO	QR	50382167
710197	2429	1997-11-09	VYDAJ	PREVOD NA UCET	6786	75019	SIPO	QR	50382167
710198	2429	1997-12-09	VYDAJ	PREVOD NA UCET	6786	80104	SIPO	QR	50382167
710199	2429	1998-01-09	VYDAJ	PREVOD NA UCET	6786	68051	SIPO	QR	50382167
710200	2429	1998-02-09	VYDAJ	PREVOD NA UCET	6786	48966	SIPO	QR	50382167
710201	2429	1998-03-09	VYDAJ	PREVOD NA UCET	6786	60908	SIPO	QR	50382167
710202	2429	1998-04-09	VYDAJ	PREVOD NA UCET	6786	68489	SIPO	QR	50382167
710203	2429	1998-05-09	VYDAJ	PREVOD NA UCET	6786	71557	SIPO	QR	50382167
710204	2429	1998-06-09	VYDAJ	PREVOD NA UCET	6786	80366	SIPO	QR	50382167
710205	2429	1998-07-09	VYDAJ	PREVOD NA UCET	6786	67831	SIPO	QR	50382167
710206	2429	1998-08-09	VYDAJ	PREVOD NA UCET	6786	65654	SIPO	QR	50382167
710207	2429	1998-09-09	VYDAJ	PREVOD NA UCET	6786	61077	SIPO	QR	50382167
710208	2429	1998-10-09	VYDAJ	PREVOD NA UCET	6786	58059	SIPO	QR	50382167
710209	2429	1998-11-09	VYDAJ	PREVOD NA UCET	6786	49120	SIPO	QR	50382167
710210	2429	1998-12-09	VYDAJ	PREVOD NA UCET	6786	54852	SIPO	QR	50382167
710217	2429	1993-07-09	VYDAJ	PREVOD NA UCET	369	28672	 	GH	91816699
710218	2429	1993-08-09	VYDAJ	PREVOD NA UCET	369	26341	 	GH	91816699
710219	2429	1993-09-09	VYDAJ	PREVOD NA UCET	369	37188	 	GH	91816699
710220	2429	1993-10-09	VYDAJ	PREVOD NA UCET	369	41976	 	GH	91816699
710221	2429	1993-11-09	VYDAJ	PREVOD NA UCET	369	37504	 	GH	91816699
710222	2429	1993-12-09	VYDAJ	PREVOD NA UCET	369	51392	 	GH	91816699
710223	2429	1994-01-09	VYDAJ	PREVOD NA UCET	369	34205	 	GH	91816699
710224	2429	1994-02-09	VYDAJ	PREVOD NA UCET	369	42930	 	GH	91816699
710225	2429	1994-03-09	VYDAJ	PREVOD NA UCET	369	39265	 	GH	91816699
710226	2429	1994-04-09	VYDAJ	PREVOD NA UCET	369	38845	 	GH	91816699
710227	2429	1994-05-09	VYDAJ	PREVOD NA UCET	369	46835	 	GH	91816699
710228	2429	1994-06-09	VYDAJ	PREVOD NA UCET	369	53768	 	GH	91816699
710229	2429	1994-07-09	VYDAJ	PREVOD NA UCET	369	50737	 	GH	91816699
710230	2429	1994-08-09	VYDAJ	PREVOD NA UCET	369	48982	 	GH	91816699
710231	2429	1994-09-09	VYDAJ	PREVOD NA UCET	369	50506	 	GH	91816699
710232	2429	1994-10-09	VYDAJ	PREVOD NA UCET	369	48555	 	GH	91816699
710233	2429	1994-11-09	VYDAJ	PREVOD NA UCET	369	48975	 	GH	91816699
710234	2429	1994-12-09	VYDAJ	PREVOD NA UCET	369	56244	 	GH	91816699
710235	2429	1995-01-09	VYDAJ	PREVOD NA UCET	369	45834	 	GH	91816699
710236	2429	1995-02-09	VYDAJ	PREVOD NA UCET	369	38238	 	GH	91816699
710237	2429	1995-03-09	VYDAJ	PREVOD NA UCET	369	37229	 	GH	91816699
710238	2429	1995-04-09	VYDAJ	PREVOD NA UCET	369	41412	 	GH	91816699
710239	2429	1995-05-09	VYDAJ	PREVOD NA UCET	369	51399	 	GH	91816699
710240	2429	1995-06-09	VYDAJ	PREVOD NA UCET	369	51726	 	GH	91816699
710241	2429	1995-07-09	VYDAJ	PREVOD NA UCET	369	34483	 	GH	91816699
710242	2429	1995-08-09	VYDAJ	PREVOD NA UCET	369	44258	 	GH	91816699
710243	2429	1995-09-09	VYDAJ	PREVOD NA UCET	369	56156	 	GH	91816699
710244	2429	1995-10-09	VYDAJ	PREVOD NA UCET	369	59787	 	GH	91816699
710245	2429	1995-11-09	VYDAJ	PREVOD NA UCET	369	58841	 	GH	91816699
710246	2429	1995-12-09	VYDAJ	PREVOD NA UCET	369	59572	 	GH	91816699
710247	2429	1996-01-09	VYDAJ	PREVOD NA UCET	369	58667	 	GH	91816699
710248	2429	1996-02-09	VYDAJ	PREVOD NA UCET	369	39847	 	GH	91816699
710249	2429	1996-03-09	VYDAJ	PREVOD NA UCET	369	58434	 	GH	91816699
710250	2429	1996-04-09	VYDAJ	PREVOD NA UCET	369	55098	 	GH	91816699
710251	2429	1996-05-09	VYDAJ	PREVOD NA UCET	369	58150	 	GH	91816699
710252	2429	1996-06-09	VYDAJ	PREVOD NA UCET	369	69367	 	GH	91816699
710253	2429	1996-07-09	VYDAJ	PREVOD NA UCET	369	69563	 	GH	91816699
710254	2429	1996-08-09	VYDAJ	PREVOD NA UCET	369	70943	 	GH	91816699
710255	2429	1996-09-09	VYDAJ	PREVOD NA UCET	369	69932	 	GH	91816699
710256	2429	1996-10-09	VYDAJ	PREVOD NA UCET	369	68315	 	GH	91816699
710257	2429	1996-11-09	VYDAJ	PREVOD NA UCET	369	67684	 	GH	91816699
710258	2429	1996-12-09	VYDAJ	PREVOD NA UCET	369	72758	 	GH	91816699
710259	2429	1997-01-09	VYDAJ	PREVOD NA UCET	369	56287	 	GH	91816699
710260	2429	1997-02-09	VYDAJ	PREVOD NA UCET	369	56483	 	GH	91816699
710261	2429	1997-03-09	VYDAJ	PREVOD NA UCET	369	57632	 	GH	91816699
710262	2429	1997-04-09	VYDAJ	PREVOD NA UCET	369	71823	 	GH	91816699
710263	2429	1997-05-09	VYDAJ	PREVOD NA UCET	369	73408	 	GH	91816699
710264	2429	1997-06-09	VYDAJ	PREVOD NA UCET	369	51260	 	GH	91816699
710265	2429	1997-07-09	VYDAJ	PREVOD NA UCET	369	67011	 	GH	91816699
710266	2429	1997-08-09	VYDAJ	PREVOD NA UCET	369	74187	 	GH	91816699
710267	2429	1997-09-09	VYDAJ	PREVOD NA UCET	369	76883	 	GH	91816699
710268	2429	1997-10-09	VYDAJ	PREVOD NA UCET	369	72105	 	GH	91816699
710269	2429	1997-11-09	VYDAJ	PREVOD NA UCET	369	81805	 	GH	91816699
710270	2429	1997-12-09	VYDAJ	PREVOD NA UCET	369	79735	 	GH	91816699
710271	2429	1998-01-09	VYDAJ	PREVOD NA UCET	369	67682	 	GH	91816699
710272	2429	1998-02-09	VYDAJ	PREVOD NA UCET	369	55752	 	GH	91816699
710273	2429	1998-03-09	VYDAJ	PREVOD NA UCET	369	67694	 	GH	91816699
710274	2429	1998-04-09	VYDAJ	PREVOD NA UCET	369	75275	 	GH	91816699
710275	2429	1998-05-09	VYDAJ	PREVOD NA UCET	369	71188	 	GH	91816699
710276	2429	1998-06-09	VYDAJ	PREVOD NA UCET	369	79997	 	GH	91816699
710277	2429	1998-07-09	VYDAJ	PREVOD NA UCET	369	67462	 	GH	91816699
710278	2429	1998-08-09	VYDAJ	PREVOD NA UCET	369	77240	 	GH	91816699
710279	2429	1998-09-09	VYDAJ	PREVOD NA UCET	369	67863	 	GH	91816699
710280	2429	1998-10-09	VYDAJ	PREVOD NA UCET	369	57690	 	GH	91816699
710281	2429	1998-11-09	VYDAJ	PREVOD NA UCET	369	55906	 	GH	91816699
710282	2429	1998-12-09	VYDAJ	PREVOD NA UCET	369	54483	 	GH	91816699
710285	2429	1995-06-09	VYDAJ	VYBER	24960	26766	\N	\N	\N
710286	2429	1996-06-01	VYDAJ	VYBER	7040	47823	\N	\N	\N
710287	2429	1997-06-01	VYDAJ	VYBER	29600	29716	\N	\N	\N
710288	2429	1998-06-25	VYDAJ	VYBER	7040	59757	\N	\N	\N
710290	2429	1994-01-08	VYDAJ	VYBER	5280	41360	\N	\N	\N
710291	2429	1995-01-27	VYDAJ	VYBER	13280	23854	\N	\N	\N
710292	2429	1996-01-10	VYDAJ	VYBER	2560	47521	\N	\N	\N
710293	2429	1997-01-22	VYDAJ	VYBER	5440	45047	\N	\N	\N
710294	2429	1998-01-13	VYDAJ	VYBER	3680	57502	\N	\N	\N
710295	2429	1993-12-26	VYDAJ	VYBER	2240	42366	\N	\N	\N
710296	2429	1994-12-02	VYDAJ	VYBER	3840	34699	\N	\N	\N
710297	2429	1995-12-29	VYDAJ	VYBER	3520	46252	\N	\N	\N
710298	2429	1996-12-16	VYDAJ	VYBER	2560	63412	\N	\N	\N
710299	2429	1997-12-15	VYDAJ	VYBER	4480	62855	\N	\N	\N
710300	2429	1998-12-24	VYDAJ	VYBER	2560	51923	\N	\N	\N
710307	2429	1994-01-18	VYDAJ	VYBER	1320	31445	\N	\N	\N
710308	2429	1994-01-29	VYDAJ	VYBER	600	27365	\N	\N	\N
710309	2429	1994-01-18	VYDAJ	VYBER	1440	32765	\N	\N	\N
710310	2429	1994-01-20	VYDAJ	VYBER	3480	27965	\N	\N	\N
710311	2429	1994-01-02	VYDAJ	VYBER	2760	39791	\N	\N	\N
710312	2429	1994-01-04	VYDAJ	VYBER	2160	32031	\N	\N	\N
710313	2429	1995-01-17	VYDAJ	VYBER	2880	37794	\N	\N	\N
710314	2429	1995-01-26	VYDAJ	VYBER	1200	32634	\N	\N	\N
710315	2429	1995-01-21	VYDAJ	VYBER	2760	35034	\N	\N	\N
710316	2429	1995-01-26	VYDAJ	VYBER	1200	33834	\N	\N	\N
710317	2429	1995-01-16	VYDAJ	VYBER	3360	40674	\N	\N	\N
710318	2429	1995-01-10	VYDAJ	VYBER	1800	44034	\N	\N	\N
710319	2429	1996-01-07	VYDAJ	VYBER	2040	59036	\N	\N	\N
710320	2429	1996-01-09	VYDAJ	VYBER	1800	50081	\N	\N	\N
710321	2429	1996-01-28	VYDAJ	VYBER	3000	35101	\N	\N	\N
710322	2429	1996-01-23	VYDAJ	VYBER	3120	43501	\N	\N	\N
710323	2429	1996-01-27	VYDAJ	VYBER	2040	38101	\N	\N	\N
710324	2429	1996-01-25	VYDAJ	VYBER	3360	40141	\N	\N	\N
710325	2429	1997-01-29	VYDAJ	VYBER	3000	42047	\N	\N	\N
710326	2429	1997-01-09	VYDAJ	VYBER	1440	56656	\N	\N	\N
710327	2429	1997-01-01	VYDAJ	VYBER	2880	53753	\N	\N	\N
710328	2429	1997-01-14	VYDAJ	VYBER	1080	52807	\N	\N	\N
710329	2429	1997-01-06	VYDAJ	VYBER	1200	64882	\N	\N	\N
710330	2429	1997-01-01	VYDAJ	VYBER	2280	51473	\N	\N	\N
710331	2429	1998-01-18	VYDAJ	VYBER	2040	46582	\N	\N	\N
710332	2429	1998-01-15	VYDAJ	VYBER	3360	54142	\N	\N	\N
710333	2429	1998-01-01	VYDAJ	VYBER	2880	60228	\N	\N	\N
710334	2429	1998-01-16	VYDAJ	VYBER	3480	50662	\N	\N	\N
710335	2429	1998-01-17	VYDAJ	VYBER	2040	48622	\N	\N	\N
710336	2429	1998-01-27	VYDAJ	VYBER	2640	43942	\N	\N	\N
710337	2429	1993-10-20	VYDAJ	VYBER	1680	33510	\N	\N	\N
710344	2429	1994-02-10	VYDAJ	VYBER	2760	33384	\N	\N	\N
710345	2429	1994-12-27	VYDAJ	VYBER	3360	46098	\N	\N	\N
710346	2429	1994-03-24	VYDAJ	VYBER	3120	36145	\N	\N	\N
710347	2429	1994-06-18	VYDAJ	VYBER	3360	43622	\N	\N	\N
710348	2429	1994-09-28	VYDAJ	VYBER	3360	40360	\N	\N	\N
710349	2429	1995-06-08	VYDAJ	VYBER	1920	58881	\N	\N	\N
710350	2429	1995-12-04	VYDAJ	VYBER	1320	44814	\N	\N	\N
710351	2429	1995-06-20	VYDAJ	VYBER	1920	23286	\N	\N	\N
710352	2429	1995-06-19	VYDAJ	VYBER	1560	25206	\N	\N	\N
710353	2429	1995-11-09	VYDAJ	VYBER	3120	55721	\N	\N	\N
710354	2429	1996-01-28	VYDAJ	VYBER	2880	32221	\N	\N	\N
710355	2429	1997-05-13	VYDAJ	VYBER	840	65782	\N	\N	\N
710356	2429	1997-01-16	VYDAJ	VYBER	600	52407	\N	\N	\N
710357	2429	1997-01-17	VYDAJ	VYBER	1920	50487	\N	\N	\N
710358	2429	1997-01-13	VYDAJ	VYBER	2400	53887	\N	\N	\N
710359	2429	1997-03-12	VYDAJ	VYBER	2760	54872	\N	\N	\N
710360	2429	1998-10-12	VYDAJ	VYBER	1440	56250	\N	\N	\N
710361	2429	1998-11-04	VYDAJ	VYBER	4800	49866	\N	\N	\N
710362	2429	1998-01-29	VYDAJ	VYBER	2640	41302	\N	\N	\N
710363	2429	1998-11-24	VYDAJ	VYBER	600	48520	\N	\N	\N
710364	2429	1998-10-20	VYDAJ	VYBER	1800	54450	\N	\N	\N
710372	2429	1993-07-31	VYDAJ	VYBER	15	28787	SLUZBY	\N	\N
710373	2429	1993-08-31	VYDAJ	VYBER	15	26448	SLUZBY	\N	\N
710374	2429	1993-09-30	VYDAJ	VYBER	15	30536	SLUZBY	\N	\N
710375	2429	1993-10-31	VYDAJ	VYBER	15	33650	SLUZBY	\N	\N
710376	2429	1993-11-30	VYDAJ	VYBER	15	37647	SLUZBY	\N	\N
710377	2429	1993-12-31	VYDAJ	VYBER	15	42551	SLUZBY	\N	\N
710378	2429	1994-01-31	VYDAJ	VYBER	15	27490	SLUZBY	\N	\N
710379	2429	1994-02-28	VYDAJ	VYBER	15	33511	SLUZBY	\N	\N
710380	2429	1994-03-31	VYDAJ	VYBER	15	36291	SLUZBY	\N	\N
710381	2429	1994-04-30	VYDAJ	VYBER	15	38995	SLUZBY	\N	\N
710382	2429	1994-05-31	VYDAJ	VYBER	15	40224	SLUZBY	\N	\N
710383	2429	1994-06-30	VYDAJ	VYBER	15	43797	SLUZBY	\N	\N
710384	2429	1994-07-31	VYDAJ	VYBER	15	34742	SLUZBY	\N	\N
710385	2429	1994-08-31	VYDAJ	VYBER	15	36266	SLUZBY	\N	\N
710386	2429	1994-09-30	VYDAJ	VYBER	15	34315	SLUZBY	\N	\N
710387	2429	1994-10-31	VYDAJ	VYBER	15	34735	SLUZBY	\N	\N
710388	2429	1994-11-30	VYDAJ	VYBER	15	38539	SLUZBY	\N	\N
710389	2429	1994-12-31	VYDAJ	VYBER	15	38380	SLUZBY	\N	\N
710390	2429	1995-01-31	VYDAJ	VYBER	15	23998	SLUZBY	\N	\N
710391	2429	1995-02-28	VYDAJ	VYBER	15	29775	SLUZBY	\N	\N
710392	2429	1995-03-31	VYDAJ	VYBER	15	33958	SLUZBY	\N	\N
710393	2429	1995-04-30	VYDAJ	VYBER	15	37159	SLUZBY	\N	\N
710394	2429	1995-05-31	VYDAJ	VYBER	15	38887	SLUZBY	\N	\N
710395	2429	1995-06-30	VYDAJ	VYBER	15	27029	SLUZBY	\N	\N
710396	2429	1995-07-31	VYDAJ	VYBER	15	36804	SLUZBY	\N	\N
710397	2429	1995-08-31	VYDAJ	VYBER	15	41916	SLUZBY	\N	\N
710398	2429	1995-09-30	VYDAJ	VYBER	15	45547	SLUZBY	\N	\N
710399	2429	1995-10-31	VYDAJ	VYBER	15	44601	SLUZBY	\N	\N
710400	2429	1995-11-30	VYDAJ	VYBER	15	46134	SLUZBY	\N	\N
710401	2429	1995-12-31	VYDAJ	VYBER	15	46467	SLUZBY	\N	\N
710402	2429	1996-01-31	VYDAJ	VYBER	15	32393	SLUZBY	\N	\N
710403	2429	1996-02-29	VYDAJ	VYBER	15	44194	SLUZBY	\N	\N
710404	2429	1996-03-31	VYDAJ	VYBER	15	47644	SLUZBY	\N	\N
710405	2429	1996-04-30	VYDAJ	VYBER	15	50696	SLUZBY	\N	\N
710406	2429	1996-05-31	VYDAJ	VYBER	15	54863	SLUZBY	\N	\N
710407	2429	1996-06-30	VYDAJ	VYBER	15	55323	SLUZBY	\N	\N
710408	2429	1996-07-31	VYDAJ	VYBER	15	56703	SLUZBY	\N	\N
710409	2429	1996-08-31	VYDAJ	VYBER	15	55692	SLUZBY	\N	\N
710410	2429	1996-09-30	VYDAJ	VYBER	15	54075	SLUZBY	\N	\N
710411	2429	1996-10-31	VYDAJ	VYBER	15	53444	SLUZBY	\N	\N
710412	2429	1996-11-30	VYDAJ	VYBER	15	51213	SLUZBY	\N	\N
710413	2429	1996-12-31	VYDAJ	VYBER	15	56633	SLUZBY	\N	\N
710414	2429	1997-01-31	VYDAJ	VYBER	15	42243	SLUZBY	\N	\N
710415	2429	1997-02-28	VYDAJ	VYBER	15	50178	SLUZBY	\N	\N
710416	2429	1997-03-31	VYDAJ	VYBER	15	57583	SLUZBY	\N	\N
710417	2429	1997-04-30	VYDAJ	VYBER	15	59168	SLUZBY	\N	\N
710418	2429	1997-05-31	VYDAJ	VYBER	15	59316	SLUZBY	\N	\N
710419	2429	1997-06-30	VYDAJ	VYBER	15	52771	SLUZBY	\N	\N
710420	2429	1997-07-31	VYDAJ	VYBER	15	59947	SLUZBY	\N	\N
710421	2429	1997-08-31	VYDAJ	VYBER	15	62643	SLUZBY	\N	\N
710422	2429	1997-09-30	VYDAJ	VYBER	15	64651	SLUZBY	\N	\N
710423	2429	1997-10-31	VYDAJ	VYBER	15	67565	SLUZBY	\N	\N
710424	2429	1997-11-30	VYDAJ	VYBER	15	64977	SLUZBY	\N	\N
710425	2429	1997-12-31	VYDAJ	VYBER	15	63108	SLUZBY	\N	\N
710426	2429	1998-01-31	VYDAJ	VYBER	15	41512	SLUZBY	\N	\N
710427	2429	1998-02-28	VYDAJ	VYBER	15	53454	SLUZBY	\N	\N
710428	2429	1998-03-31	VYDAJ	VYBER	15	61035	SLUZBY	\N	\N
710429	2429	1998-04-30	VYDAJ	VYBER	15	63734	SLUZBY	\N	\N
710430	2429	1998-05-31	VYDAJ	VYBER	15	65238	SLUZBY	\N	\N
710431	2429	1998-06-30	VYDAJ	VYBER	15	60008	SLUZBY	\N	\N
710432	2429	1998-07-31	VYDAJ	VYBER	15	63000	SLUZBY	\N	\N
710433	2429	1998-08-31	VYDAJ	VYBER	15	65923	SLUZBY	\N	\N
710434	2429	1998-09-30	VYDAJ	VYBER	15	61336	SLUZBY	\N	\N
710435	2429	1998-10-31	VYDAJ	VYBER	15	54666	SLUZBY	\N	\N
710436	2429	1998-11-30	VYDAJ	VYBER	15	48725	SLUZBY	\N	\N
710437	2429	1993-03-08	PRIJEM	VKLAD	5100	20309	\N	\N	\N
710438	2429	1993-04-07	VYDAJ	VYBER	3700	31284	\N	\N	\N
710439	2429	1993-05-07	VYDAJ	VYBER	13000	33014	\N	\N	\N
710440	2429	1993-06-06	VYDAJ	VYBER	17100	37963	\N	\N	\N
710441	2429	1993-07-06	VYDAJ	VYBER	16900	35827	\N	\N	\N
710442	2429	1993-08-05	VYDAJ	VYBER	9900	33496	\N	\N	\N
710443	2429	1993-09-04	VYDAJ	VYBER	3500	22948	\N	\N	\N
710444	2429	1993-10-04	VYDAJ	VYBER	2800	27736	\N	\N	\N
710445	2429	1993-11-03	VYDAJ	VYBER	3600	30050	\N	\N	\N
710446	2429	1993-12-03	VYDAJ	VYBER	7800	29847	\N	\N	\N
710447	2429	1994-01-02	VYDAJ	VYBER	5600	34191	\N	\N	\N
710448	2429	1994-02-01	PRIJEM	VKLAD	1200	28690	\N	\N	\N
710449	2429	1994-03-03	VYDAJ	VYBER	1700	31811	\N	\N	\N
710450	2429	1994-04-02	VYDAJ	VYBER	4900	31391	\N	\N	\N
710451	2429	1994-05-02	VYDAJ	VYBER	6400	32595	\N	\N	\N
710452	2429	1994-06-01	VYDAJ	VYBER	8000	32224	\N	\N	\N
710453	2429	1994-07-01	VYDAJ	VYBER	7300	36497	\N	\N	\N
710454	2429	1994-07-31	VYDAJ	VYBER	9400	34756	\N	\N	\N
710455	2429	1994-08-30	VYDAJ	VYBER	6100	36096	\N	\N	\N
710456	2429	1994-09-29	VYDAJ	VYBER	6200	34160	\N	\N	\N
710457	2429	1994-10-29	VYDAJ	VYBER	7200	34569	\N	\N	\N
710458	2429	1994-11-28	VYDAJ	VYBER	3800	38389	\N	\N	\N
710459	2429	1994-12-28	VYDAJ	VYBER	7900	38198	\N	\N	\N
710460	2429	1995-01-27	PRIJEM	VKLAD	4500	37134	\N	\N	\N
710461	2429	1995-02-26	VYDAJ	VYBER	1800	29652	\N	\N	\N
710462	2429	1995-03-28	VYDAJ	VYBER	3400	33829	\N	\N	\N
710463	2429	1995-04-27	VYDAJ	VYBER	4400	37012	\N	\N	\N
710464	2429	1995-05-27	VYDAJ	VYBER	5900	38713	\N	\N	\N
710465	2429	1995-06-26	PRIJEM	VKLAD	3600	26886	\N	\N	\N
710466	2429	1995-07-26	PRIJEM	VKLAD	2200	36683	\N	\N	\N
710467	2429	1995-08-25	VYDAJ	VYBER	2500	41758	\N	\N	\N
710468	2429	1995-09-24	VYDAJ	VYBER	4000	45370	\N	\N	\N
710469	2429	1995-10-24	VYDAJ	VYBER	8600	44401	\N	\N	\N
710470	2429	1995-11-23	VYDAJ	VYBER	3000	45935	\N	\N	\N
710471	2429	1995-12-23	VYDAJ	VYBER	9800	49772	\N	\N	\N
710472	2429	1996-01-22	VYDAJ	VYBER	900	46621	\N	\N	\N
710473	2429	1996-02-21	PRIJEM	VKLAD	4200	44047	\N	\N	\N
710474	2429	1996-03-22	VYDAJ	VYBER	4200	47448	\N	\N	\N
710475	2429	1996-04-21	VYDAJ	VYBER	4600	50498	\N	\N	\N
710476	2429	1996-05-21	VYDAJ	VYBER	3500	54650	\N	\N	\N
710477	2429	1996-06-20	VYDAJ	VYBER	7500	55081	\N	\N	\N
710478	2429	1996-07-20	VYDAJ	VYBER	6300	56477	\N	\N	\N
710479	2429	1996-08-19	VYDAJ	VYBER	8700	55457	\N	\N	\N
710480	2429	1996-09-18	VYDAJ	VYBER	9300	53846	\N	\N	\N
710481	2429	1996-10-18	VYDAJ	VYBER	8300	53229	\N	\N	\N
710482	2429	1996-11-17	VYDAJ	VYBER	9900	50998	\N	\N	\N
710483	2429	1996-12-17	VYDAJ	VYBER	7000	56412	\N	\N	\N
710484	2429	1997-01-16	PRIJEM	VKLAD	200	53007	\N	\N	\N
710485	2429	1997-02-15	PRIJEM	VKLAD	300	49997	\N	\N	\N
710486	2429	1997-03-17	PRIJEM	VKLAD	2500	57372	\N	\N	\N
710487	2429	1997-04-16	VYDAJ	VYBER	6100	58937	\N	\N	\N
710488	2429	1997-05-16	VYDAJ	VYBER	6700	59082	\N	\N	\N
710489	2429	1997-06-15	PRIJEM	VKLAD	8100	52574	\N	\N	\N
710490	2429	1997-07-15	VYDAJ	VYBER	500	59725	\N	\N	\N
710491	2429	1997-08-14	VYDAJ	VYBER	5000	62401	\N	\N	\N
710492	2429	1997-09-13	VYDAJ	VYBER	5700	64397	\N	\N	\N
710493	2429	1997-10-13	VYDAJ	VYBER	4800	67305	\N	\N	\N
710494	2429	1997-11-12	VYDAJ	VYBER	10300	64719	\N	\N	\N
710495	2429	1997-12-12	VYDAJ	VYBER	12400	67335	\N	\N	\N
710496	2429	1998-01-11	VYDAJ	VYBER	6500	61182	\N	\N	\N
710497	2429	1998-02-10	PRIJEM	VKLAD	4300	53266	\N	\N	\N
710498	2429	1998-03-12	VYDAJ	VYBER	100	60808	\N	\N	\N
710499	2429	1998-04-11	VYDAJ	VYBER	5000	63489	\N	\N	\N
710500	2429	1998-05-11	VYDAJ	VYBER	6200	64988	\N	\N	\N
710501	2429	1998-06-10	VYDAJ	VYBER	13200	66797	\N	\N	\N
710502	2429	1998-07-10	VYDAJ	VYBER	4700	62762	\N	\N	\N
710503	2429	1998-08-09	VYDAJ	VYBER	4800	72440	\N	\N	\N
710504	2429	1998-09-08	VYDAJ	VYBER	12300	68232	\N	\N	\N
710505	2429	1998-10-08	VYDAJ	VYBER	11100	64845	\N	\N	\N
710506	2429	1998-11-07	VYDAJ	VYBER	8200	56275	\N	\N	\N
710507	2429	1998-12-07	VYDAJ	VYBER	9000	61638	\N	\N	\N
710578	2430	1994-10-09	PRIJEM	VKLAD	900	900	\N	\N	\N
710589	2430	1994-11-06	PRIJEM	VKLAD	9032	9932	\N	\N	\N
710590	2430	1994-12-06	PRIJEM	VKLAD	13548	31437	\N	\N	\N
710591	2430	1995-01-06	PRIJEM	VKLAD	9032	37578	\N	\N	\N
710592	2430	1995-02-06	PRIJEM	VKLAD	9032	42645	\N	\N	\N
710593	2430	1995-03-06	PRIJEM	VKLAD	9032	42048	\N	\N	\N
710594	2430	1995-04-06	PRIJEM	VKLAD	9032	39774	\N	\N	\N
710595	2430	1995-05-06	PRIJEM	VKLAD	9032	40822	\N	\N	\N
710596	2430	1995-06-06	PRIJEM	VKLAD	13548	42484	\N	\N	\N
710597	2430	1995-07-06	PRIJEM	VKLAD	9032	19979	\N	\N	\N
710598	2430	1995-08-06	PRIJEM	VKLAD	9032	29812	\N	\N	\N
710599	2430	1995-09-06	PRIJEM	VKLAD	9032	34444	\N	\N	\N
710600	2430	1995-10-06	PRIJEM	VKLAD	9032	38902	\N	\N	\N
710601	2430	1995-11-06	PRIJEM	VKLAD	9032	39078	\N	\N	\N
710602	2430	1995-12-06	PRIJEM	VKLAD	13548	42414	\N	\N	\N
710603	2430	1996-01-06	PRIJEM	VKLAD	9032	38768	\N	\N	\N
710604	2430	1996-02-06	PRIJEM	VKLAD	9032	28865	\N	\N	\N
710605	2430	1996-03-06	PRIJEM	VKLAD	9032	31299	\N	\N	\N
710606	2430	1996-04-06	PRIJEM	VKLAD	9032	33545	\N	\N	\N
710607	2430	1996-05-06	PRIJEM	VKLAD	9032	33901	\N	\N	\N
710608	2430	1996-06-06	PRIJEM	VKLAD	13548	43174	\N	\N	\N
710609	2430	1996-07-06	PRIJEM	VKLAD	9032	33184	\N	\N	\N
710610	2430	1996-08-06	PRIJEM	VKLAD	9032	35302	\N	\N	\N
710611	2430	1996-09-06	PRIJEM	VKLAD	9032	37546	\N	\N	\N
710612	2430	1996-10-06	PRIJEM	VKLAD	9032	39783	\N	\N	\N
710613	2430	1996-11-06	PRIJEM	VKLAD	9032	41929	\N	\N	\N
710614	2430	1996-12-06	PRIJEM	VKLAD	13548	47499	\N	\N	\N
710615	2430	1997-01-06	PRIJEM	VKLAD	9032	41581	\N	\N	\N
710616	2430	1997-02-06	PRIJEM	VKLAD	9032	41157	\N	\N	\N
710617	2430	1997-03-06	PRIJEM	VKLAD	9032	43008	\N	\N	\N
710618	2430	1997-04-06	PRIJEM	VKLAD	9032	46769	\N	\N	\N
710619	2430	1997-05-06	PRIJEM	VKLAD	9032	49244	\N	\N	\N
710620	2430	1997-06-06	PRIJEM	VKLAD	13548	50686	\N	\N	\N
710621	2430	1997-07-06	PRIJEM	VKLAD	9032	32798	\N	\N	\N
710622	2430	1997-08-06	PRIJEM	VKLAD	9032	42515	\N	\N	\N
710623	2430	1997-09-06	PRIJEM	VKLAD	9032	48777	\N	\N	\N
710624	2430	1997-10-06	PRIJEM	VKLAD	9032	51052	\N	\N	\N
710625	2430	1997-11-06	PRIJEM	VKLAD	9032	49041	\N	\N	\N
710626	2430	1997-12-06	PRIJEM	VKLAD	13548	54541	\N	\N	\N
710627	2430	1998-01-06	PRIJEM	VKLAD	9032	41212	\N	\N	\N
710628	2430	1998-02-06	PRIJEM	VKLAD	9032	49702	\N	\N	\N
710629	2430	1998-03-06	PRIJEM	VKLAD	9032	45639	\N	\N	\N
710630	2430	1998-04-06	PRIJEM	VKLAD	9032	49113	\N	\N	\N
710631	2430	1998-05-06	PRIJEM	VKLAD	9032	50404	\N	\N	\N
710632	2430	1998-06-06	PRIJEM	VKLAD	13548	39917	\N	\N	\N
710633	2430	1998-07-06	PRIJEM	VKLAD	9032	50507	\N	\N	\N
710634	2430	1998-08-06	PRIJEM	VKLAD	9032	55203	\N	\N	\N
710635	2430	1998-09-06	PRIJEM	VKLAD	9032	56436	\N	\N	\N
710636	2430	1998-10-06	PRIJEM	VKLAD	9032	60372	\N	\N	\N
710637	2430	1998-11-06	PRIJEM	VKLAD	9032	65109	\N	\N	\N
710638	2430	1998-12-06	PRIJEM	VKLAD	13548	73782	\N	\N	\N
710640	2430	1995-06-19	VYDAJ	VYBER	21600	11684	\N	\N	\N
710641	2430	1996-06-10	VYDAJ	VYBER	17120	26054	\N	\N	\N
710642	2430	1997-06-06	VYDAJ	VYBER	40320	10366	\N	\N	\N
710643	2430	1998-06-02	VYDAJ	VYBER	21600	26369	\N	\N	\N
710646	2430	1996-01-28	VYDAJ	VYBER	9120	24008	\N	\N	\N
710647	2430	1997-01-22	VYDAJ	VYBER	2880	38701	\N	\N	\N
710648	2430	1998-01-02	VYDAJ	VYBER	14080	32180	\N	\N	\N
710650	2430	1995-12-01	VYDAJ	VYBER	1760	37466	\N	\N	\N
710651	2430	1996-12-12	VYDAJ	VYBER	3360	44139	\N	\N	\N
710652	2430	1997-12-12	VYDAJ	VYBER	960	53581	\N	\N	\N
710653	2430	1998-12-29	VYDAJ	VYBER	2880	62002	\N	\N	\N
710661	2430	1995-12-08	VYDAJ	VYBER	4320	38094	\N	\N	\N
710662	2430	1995-07-04	VYDAJ	VYBER	3840	7947	\N	\N	\N
710663	2430	1995-06-02	VYDAJ	VYBER	1800	28936	\N	\N	\N
710664	2430	1995-03-27	VYDAJ	VYBER	3840	30608	\N	\N	\N
710665	2430	1995-07-26	VYDAJ	VYBER	3360	16619	\N	\N	\N
710667	2430	1996-12-27	VYDAJ	VYBER	3240	40899	\N	\N	\N
710668	2430	1996-08-06	VYDAJ	VYBER	3600	31702	\N	\N	\N
710669	2430	1996-01-11	VYDAJ	VYBER	5640	33128	\N	\N	\N
710670	2430	1997-09-16	VYDAJ	VYBER	3480	42657	\N	\N	\N
710671	2430	1997-09-07	VYDAJ	VYBER	2640	46137	\N	\N	\N
710672	2430	1997-06-18	VYDAJ	VYBER	960	9406	\N	\N	\N
710673	2430	1997-06-04	VYDAJ	VYBER	5760	37138	\N	\N	\N
710674	2430	1997-07-12	VYDAJ	VYBER	2520	30278	\N	\N	\N
710675	2430	1998-02-06	VYDAJ	VYBER	3000	46702	\N	\N	\N
710676	2430	1998-04-21	VYDAJ	VYBER	1440	42653	\N	\N	\N
710677	2430	1998-04-17	VYDAJ	VYBER	1320	47793	\N	\N	\N
710678	2430	1998-03-20	VYDAJ	VYBER	4800	40839	\N	\N	\N
710679	2430	1998-04-26	VYDAJ	VYBER	1440	41213	\N	\N	\N
710680	2430	1998-09-02	VYDAJ	VYBER	1680	47404	\N	\N	\N
710681	2430	1998-02-26	VYDAJ	VYBER	4560	36442	\N	\N	\N
710697	2430	1995-03-31	VYDAJ	VYBER	15	30742	SLUZBY	\N	\N
710698	2430	1995-04-30	VYDAJ	VYBER	15	31790	SLUZBY	\N	\N
710699	2430	1995-05-31	VYDAJ	VYBER	15	30736	SLUZBY	\N	\N
710700	2430	1995-06-30	VYDAJ	VYBER	15	11787	SLUZBY	\N	\N
710701	2430	1995-07-31	VYDAJ	VYBER	15	16680	SLUZBY	\N	\N
710702	2430	1995-08-31	VYDAJ	VYBER	15	29912	SLUZBY	\N	\N
710703	2430	1995-09-30	VYDAJ	VYBER	15	34570	SLUZBY	\N	\N
710704	2430	1995-10-31	VYDAJ	VYBER	15	39046	SLUZBY	\N	\N
710705	2430	1995-11-30	VYDAJ	VYBER	15	39226	SLUZBY	\N	\N
710706	2430	1995-12-31	VYDAJ	VYBER	15	38236	SLUZBY	\N	\N
710707	2430	1996-01-31	VYDAJ	VYBER	15	24133	SLUZBY	\N	\N
710708	2430	1996-02-29	VYDAJ	VYBER	15	28967	SLUZBY	\N	\N
710709	2430	1996-03-31	VYDAJ	VYBER	15	31413	SLUZBY	\N	\N
710710	2430	1996-04-30	VYDAJ	VYBER	15	33669	SLUZBY	\N	\N
710711	2430	1996-05-31	VYDAJ	VYBER	15	34026	SLUZBY	\N	\N
710712	2430	1996-06-30	VYDAJ	VYBER	15	26152	SLUZBY	\N	\N
710713	2430	1996-07-31	VYDAJ	VYBER	15	26270	SLUZBY	\N	\N
710714	2430	1996-08-31	VYDAJ	VYBER	15	28514	SLUZBY	\N	\N
710715	2430	1996-09-30	VYDAJ	VYBER	15	30751	SLUZBY	\N	\N
710716	2430	1996-10-31	VYDAJ	VYBER	15	32897	SLUZBY	\N	\N
710717	2430	1996-11-30	VYDAJ	VYBER	15	33951	SLUZBY	\N	\N
710718	2430	1996-12-31	VYDAJ	VYBER	15	32549	SLUZBY	\N	\N
710719	2430	1997-01-31	VYDAJ	VYBER	15	32125	SLUZBY	\N	\N
710720	2430	1997-02-28	VYDAJ	VYBER	15	33976	SLUZBY	\N	\N
710721	2430	1997-03-31	VYDAJ	VYBER	15	37737	SLUZBY	\N	\N
710722	2430	1997-04-30	VYDAJ	VYBER	15	40212	SLUZBY	\N	\N
710723	2430	1997-05-31	VYDAJ	VYBER	15	42898	SLUZBY	\N	\N
710724	2430	1997-06-30	VYDAJ	VYBER	15	23766	SLUZBY	\N	\N
710725	2430	1997-07-31	VYDAJ	VYBER	15	33483	SLUZBY	\N	\N
710726	2430	1997-08-31	VYDAJ	VYBER	15	39745	SLUZBY	\N	\N
710727	2430	1997-09-30	VYDAJ	VYBER	15	42020	SLUZBY	\N	\N
710728	2430	1997-10-31	VYDAJ	VYBER	15	40009	SLUZBY	\N	\N
710729	2430	1997-11-30	VYDAJ	VYBER	15	40993	SLUZBY	\N	\N
710730	2430	1997-12-31	VYDAJ	VYBER	15	46260	SLUZBY	\N	\N
710731	2430	1998-01-31	VYDAJ	VYBER	15	40670	SLUZBY	\N	\N
710732	2430	1998-02-28	VYDAJ	VYBER	15	36607	SLUZBY	\N	\N
710733	2430	1998-03-31	VYDAJ	VYBER	15	40081	SLUZBY	\N	\N
710734	2430	1998-04-30	VYDAJ	VYBER	15	41372	SLUZBY	\N	\N
710735	2430	1998-05-31	VYDAJ	VYBER	15	47969	SLUZBY	\N	\N
710736	2430	1998-06-30	VYDAJ	VYBER	15	41475	SLUZBY	\N	\N
710737	2430	1998-07-31	VYDAJ	VYBER	15	46171	SLUZBY	\N	\N
710738	2430	1998-08-31	VYDAJ	VYBER	15	49084	SLUZBY	\N	\N
710739	2430	1998-09-30	VYDAJ	VYBER	15	51340	SLUZBY	\N	\N
710740	2430	1998-10-31	VYDAJ	VYBER	15	56077	SLUZBY	\N	\N
710741	2430	1998-11-30	VYDAJ	VYBER	15	60234	SLUZBY	\N	\N
710742	2430	1994-11-08	PRIJEM	VKLAD	7900	17832	\N	\N	\N
710743	2430	1994-12-08	VYDAJ	VYBER	3000	28437	\N	\N	\N
710744	2430	1995-01-07	VYDAJ	VYBER	4100	33478	\N	\N	\N
710745	2430	1995-02-06	VYDAJ	VYBER	9800	32845	\N	\N	\N
710746	2430	1995-03-08	VYDAJ	VYBER	7600	34448	\N	\N	\N
710747	2430	1995-04-07	VYDAJ	VYBER	8100	31674	\N	\N	\N
710748	2430	1995-05-07	VYDAJ	VYBER	10200	30622	\N	\N	\N
710749	2430	1995-06-06	VYDAJ	VYBER	9200	33284	\N	\N	\N
710750	2430	1995-07-06	PRIJEM	VKLAD	3000	10947	\N	\N	\N
710751	2430	1995-08-05	PRIJEM	VKLAD	4100	20780	\N	\N	\N
710752	2430	1995-09-04	VYDAJ	VYBER	4500	25412	\N	\N	\N
710753	2430	1995-10-04	VYDAJ	VYBER	4700	29870	\N	\N	\N
710754	2430	1995-11-03	VYDAJ	VYBER	9000	30046	\N	\N	\N
710755	2430	1995-12-03	VYDAJ	VYBER	8600	28866	\N	\N	\N
710756	2430	1996-01-02	VYDAJ	VYBER	8500	29736	\N	\N	\N
710757	2430	1996-02-01	VYDAJ	VYBER	4300	19833	\N	\N	\N
710758	2430	1996-03-02	VYDAJ	VYBER	6700	22267	\N	\N	\N
710759	2430	1996-04-01	VYDAJ	VYBER	6900	24513	\N	\N	\N
710760	2430	1996-05-01	VYDAJ	VYBER	8800	24869	\N	\N	\N
710761	2430	1996-05-31	VYDAJ	VYBER	4400	29626	\N	\N	\N
710762	2430	1996-06-30	VYDAJ	VYBER	2000	24152	\N	\N	\N
710763	2430	1996-07-30	VYDAJ	VYBER	7000	26184	\N	\N	\N
710764	2430	1996-08-29	VYDAJ	VYBER	3300	28402	\N	\N	\N
710765	2430	1996-09-28	VYDAJ	VYBER	6900	30646	\N	\N	\N
710766	2430	1996-10-28	VYDAJ	VYBER	7000	32783	\N	\N	\N
710767	2430	1996-11-27	VYDAJ	VYBER	8100	33829	\N	\N	\N
710768	2430	1996-12-27	VYDAJ	VYBER	8500	32399	\N	\N	\N
710769	2430	1997-01-26	VYDAJ	VYBER	6700	32001	\N	\N	\N
710770	2430	1997-02-25	VYDAJ	VYBER	7300	33857	\N	\N	\N
710771	2430	1997-03-27	VYDAJ	VYBER	5400	37608	\N	\N	\N
710772	2430	1997-04-26	VYDAJ	VYBER	6700	40069	\N	\N	\N
710773	2430	1997-05-26	VYDAJ	VYBER	6500	42744	\N	\N	\N
710774	2430	1997-06-25	PRIJEM	VKLAD	14300	23706	\N	\N	\N
710775	2430	1997-07-25	PRIJEM	VKLAD	3100	33378	\N	\N	\N
710776	2430	1997-08-24	VYDAJ	VYBER	2900	39615	\N	\N	\N
710777	2430	1997-09-23	VYDAJ	VYBER	800	41857	\N	\N	\N
710778	2430	1997-10-23	VYDAJ	VYBER	11200	39852	\N	\N	\N
710779	2430	1997-11-22	VYDAJ	VYBER	8200	40841	\N	\N	\N
710780	2430	1997-12-22	VYDAJ	VYBER	7500	46081	\N	\N	\N
710781	2430	1998-01-21	VYDAJ	VYBER	700	40512	\N	\N	\N
710782	2430	1998-02-20	VYDAJ	VYBER	5700	41002	\N	\N	\N
710783	2430	1998-03-22	VYDAJ	VYBER	900	39939	\N	\N	\N
710784	2430	1998-04-21	VYDAJ	VYBER	3700	44093	\N	\N	\N
710785	2430	1998-05-21	VYDAJ	VYBER	2600	47804	\N	\N	\N
710786	2430	1998-06-20	PRIJEM	VKLAD	1400	41317	\N	\N	\N
710787	2430	1998-07-20	VYDAJ	VYBER	4500	46007	\N	\N	\N
710788	2430	1998-08-19	VYDAJ	VYBER	6300	48903	\N	\N	\N
710789	2430	1998-09-18	VYDAJ	VYBER	5300	51136	\N	\N	\N
710790	2430	1998-10-18	VYDAJ	VYBER	4500	55872	\N	\N	\N
710791	2430	1998-11-17	VYDAJ	VYBER	5100	60009	\N	\N	\N
710792	2430	1998-12-17	VYDAJ	VYBER	8900	64882	\N	\N	\N
710843	2431	1995-02-23	PRIJEM	VKLAD	400	400	\N	\N	\N
710846	2431	1995-03-10	PRIJEM	VKLAD	5677	6077	\N	\N	\N
710847	2431	1995-04-10	PRIJEM	VKLAD	5677	22270	\N	\N	\N
710848	2431	1995-05-10	PRIJEM	VKLAD	5677	30524	\N	\N	\N
710849	2431	1995-06-10	PRIJEM	VKLAD	8516	38448	\N	\N	\N
710850	2431	1995-07-10	PRIJEM	VKLAD	5677	37652	\N	\N	\N
710851	2431	1995-08-10	PRIJEM	VKLAD	5677	30336	\N	\N	\N
710852	2431	1995-09-10	PRIJEM	VKLAD	5677	31127	\N	\N	\N
710853	2431	1995-10-10	PRIJEM	VKLAD	5677	25057	\N	\N	\N
710854	2431	1995-11-10	PRIJEM	VKLAD	5677	27930	\N	\N	\N
710855	2431	1995-12-10	PRIJEM	VKLAD	8516	32251	\N	\N	\N
710856	2431	1996-01-10	PRIJEM	VKLAD	5677	23483	\N	\N	\N
710857	2431	1996-02-10	PRIJEM	VKLAD	5677	22427	\N	\N	\N
710858	2431	1996-03-10	PRIJEM	VKLAD	5677	29796	\N	\N	\N
710859	2431	1996-04-10	PRIJEM	VKLAD	5677	29339	\N	\N	\N
710860	2431	1996-05-10	PRIJEM	VKLAD	5677	34133	\N	\N	\N
710861	2431	1996-06-10	PRIJEM	VKLAD	8516	40483	\N	\N	\N
710862	2431	1996-07-10	PRIJEM	VKLAD	5677	30275	\N	\N	\N
710863	2431	1996-08-10	PRIJEM	VKLAD	5677	30079	\N	\N	\N
710864	2431	1996-09-10	PRIJEM	VKLAD	5677	31870	\N	\N	\N
710865	2431	1996-10-10	PRIJEM	VKLAD	5677	31188	\N	\N	\N
710866	2431	1996-11-10	PRIJEM	VKLAD	5677	35090	\N	\N	\N
710867	2431	1996-12-10	PRIJEM	VKLAD	8516	32714	\N	\N	\N
710868	2431	1997-01-10	PRIJEM	VKLAD	5677	31292	\N	\N	\N
710869	2431	1997-02-10	PRIJEM	VKLAD	5677	19133	\N	\N	\N
710870	2431	1997-03-10	PRIJEM	VKLAD	5677	28698	\N	\N	\N
710871	2431	1997-04-10	PRIJEM	VKLAD	5677	31486	\N	\N	\N
710872	2431	1997-05-10	PRIJEM	VKLAD	5677	34586	\N	\N	\N
710873	2431	1997-06-10	PRIJEM	VKLAD	8516	40938	\N	\N	\N
710874	2431	1997-07-10	PRIJEM	VKLAD	5677	27546	\N	\N	\N
710875	2431	1997-08-10	PRIJEM	VKLAD	5677	37448	\N	\N	\N
710876	2431	1997-09-10	PRIJEM	VKLAD	5677	35262	\N	\N	\N
710877	2431	1997-10-10	PRIJEM	VKLAD	5677	38902	\N	\N	\N
710878	2431	1997-11-10	PRIJEM	VKLAD	5677	41622	\N	\N	\N
710879	2431	1997-12-10	PRIJEM	VKLAD	8516	43736	\N	\N	\N
710880	2431	1998-01-10	PRIJEM	VKLAD	5677	41119	\N	\N	\N
710881	2431	1998-02-10	PRIJEM	VKLAD	5677	38182	\N	\N	\N
710882	2431	1998-03-10	PRIJEM	VKLAD	5677	43962	\N	\N	\N
710883	2431	1998-04-10	PRIJEM	VKLAD	5677	46643	\N	\N	\N
710884	2431	1998-05-10	PRIJEM	VKLAD	5677	52801	\N	\N	\N
710885	2431	1998-06-10	PRIJEM	VKLAD	8516	53921	\N	\N	\N
710886	2431	1998-07-10	PRIJEM	VKLAD	5677	46365	\N	\N	\N
710887	2431	1998-08-10	PRIJEM	VKLAD	5677	52716	\N	\N	\N
710888	2431	1998-09-10	PRIJEM	VKLAD	5677	48022	\N	\N	\N
710889	2431	1998-10-10	PRIJEM	VKLAD	5677	54489	\N	\N	\N
710890	2431	1998-11-10	PRIJEM	VKLAD	5677	55716	\N	\N	\N
710891	2431	1998-12-10	PRIJEM	VKLAD	8516	59851	\N	\N	\N
710899	2431	1995-08-05	VYDAJ	PREVOD NA UCET	1243	24659	SIPO	KL	96937953
710900	2431	1995-09-05	VYDAJ	PREVOD NA UCET	1243	25450	SIPO	KL	96937953
710901	2431	1995-10-05	VYDAJ	PREVOD NA UCET	1243	22980	SIPO	KL	96937953
710902	2431	1995-11-05	VYDAJ	PREVOD NA UCET	1243	22253	SIPO	KL	96937953
710903	2431	1995-12-05	VYDAJ	PREVOD NA UCET	1243	23735	SIPO	KL	96937953
710904	2431	1996-01-05	VYDAJ	PREVOD NA UCET	1243	22726	SIPO	KL	96937953
710905	2431	1996-02-05	VYDAJ	PREVOD NA UCET	1243	16750	SIPO	KL	96937953
710906	2431	1996-03-05	VYDAJ	PREVOD NA UCET	1243	24119	SIPO	KL	96937953
710907	2431	1996-04-05	VYDAJ	PREVOD NA UCET	1243	23662	SIPO	KL	96937953
710908	2431	1996-05-05	VYDAJ	PREVOD NA UCET	1243	28456	SIPO	KL	96937953
710909	2431	1996-06-05	VYDAJ	PREVOD NA UCET	1243	31967	SIPO	KL	96937953
710910	2431	1996-07-05	VYDAJ	PREVOD NA UCET	1243	24598	SIPO	KL	96937953
710911	2431	1996-08-05	VYDAJ	PREVOD NA UCET	1243	24402	SIPO	KL	96937953
710912	2431	1996-09-05	VYDAJ	PREVOD NA UCET	1243	26193	SIPO	KL	96937953
710913	2431	1996-10-05	VYDAJ	PREVOD NA UCET	1243	27791	SIPO	KL	96937953
710914	2431	1996-11-05	VYDAJ	PREVOD NA UCET	1243	29413	SIPO	KL	96937953
710915	2431	1996-12-05	VYDAJ	PREVOD NA UCET	1243	28518	SIPO	KL	96937953
710916	2431	1997-01-05	VYDAJ	PREVOD NA UCET	1243	25615	SIPO	KL	96937953
710917	2431	1997-02-05	VYDAJ	PREVOD NA UCET	1243	13456	SIPO	KL	96937953
710918	2431	1997-03-05	VYDAJ	PREVOD NA UCET	1243	23021	SIPO	KL	96937953
710919	2431	1997-04-05	VYDAJ	PREVOD NA UCET	1243	25809	SIPO	KL	96937953
710920	2431	1997-05-05	VYDAJ	PREVOD NA UCET	1243	28909	SIPO	KL	96937953
710921	2431	1997-06-05	VYDAJ	PREVOD NA UCET	1243	32422	SIPO	KL	96937953
710922	2431	1997-07-05	VYDAJ	PREVOD NA UCET	1243	21869	SIPO	KL	96937953
710923	2431	1997-08-05	VYDAJ	PREVOD NA UCET	1243	31771	SIPO	KL	96937953
710924	2431	1997-09-05	VYDAJ	PREVOD NA UCET	1243	29585	SIPO	KL	96937953
710925	2431	1997-10-05	VYDAJ	PREVOD NA UCET	1243	33225	SIPO	KL	96937953
710926	2431	1997-11-05	VYDAJ	PREVOD NA UCET	1243	32745	SIPO	KL	96937953
710927	2431	1997-12-05	VYDAJ	PREVOD NA UCET	1243	37980	SIPO	KL	96937953
710928	2431	1998-01-05	VYDAJ	PREVOD NA UCET	1243	33542	SIPO	KL	96937953
710929	2431	1998-02-05	VYDAJ	PREVOD NA UCET	1243	29305	SIPO	KL	96937953
710930	2431	1998-03-05	VYDAJ	PREVOD NA UCET	1243	29485	SIPO	KL	96937953
710931	2431	1998-04-05	VYDAJ	PREVOD NA UCET	1243	40326	SIPO	KL	96937953
710932	2431	1998-05-05	VYDAJ	PREVOD NA UCET	1243	43024	SIPO	KL	96937953
710933	2431	1998-06-05	VYDAJ	PREVOD NA UCET	1243	49205	SIPO	KL	96937953
710934	2431	1998-07-05	VYDAJ	PREVOD NA UCET	1243	31568	SIPO	KL	96937953
710935	2431	1998-08-05	VYDAJ	PREVOD NA UCET	1243	42739	SIPO	KL	96937953
710936	2431	1998-09-05	VYDAJ	PREVOD NA UCET	1243	46665	SIPO	KL	96937953
710937	2431	1998-10-05	VYDAJ	PREVOD NA UCET	1243	48812	SIPO	KL	96937953
710938	2431	1998-11-05	VYDAJ	PREVOD NA UCET	1243	50039	SIPO	KL	96937953
710939	2431	1998-12-05	VYDAJ	PREVOD NA UCET	1243	51335	SIPO	KL	96937953
710946	2431	1995-07-14	VYDAJ	PREVOD NA UCET	236	35111	 	UV	92502820
710947	2431	1995-08-14	VYDAJ	PREVOD NA UCET	236	27795	 	UV	92502820
710948	2431	1995-09-14	VYDAJ	PREVOD NA UCET	236	28586	 	UV	92502820
710949	2431	1995-10-14	VYDAJ	PREVOD NA UCET	236	22516	 	UV	92502820
710950	2431	1995-11-14	VYDAJ	PREVOD NA UCET	236	25389	 	UV	92502820
710951	2431	1995-12-14	VYDAJ	PREVOD NA UCET	236	29710	 	UV	92502820
710952	2431	1996-01-14	VYDAJ	PREVOD NA UCET	236	20942	 	UV	92502820
710953	2431	1996-02-14	VYDAJ	PREVOD NA UCET	236	19886	 	UV	92502820
710954	2431	1996-03-14	VYDAJ	PREVOD NA UCET	236	27255	 	UV	92502820
710955	2431	1996-04-14	VYDAJ	PREVOD NA UCET	236	26798	 	UV	92502820
710956	2431	1996-05-14	VYDAJ	PREVOD NA UCET	236	31592	 	UV	92502820
710957	2431	1996-06-14	VYDAJ	PREVOD NA UCET	236	37942	 	UV	92502820
710958	2431	1996-07-14	VYDAJ	PREVOD NA UCET	236	23054	 	UV	92502820
710959	2431	1996-08-14	VYDAJ	PREVOD NA UCET	236	27538	 	UV	92502820
710960	2431	1996-09-14	VYDAJ	PREVOD NA UCET	236	29329	 	UV	92502820
710961	2431	1996-10-14	VYDAJ	PREVOD NA UCET	236	28647	 	UV	92502820
710962	2431	1996-11-14	VYDAJ	PREVOD NA UCET	236	29649	 	UV	92502820
710963	2431	1996-12-14	VYDAJ	PREVOD NA UCET	236	30173	 	UV	92502820
710964	2431	1997-01-14	VYDAJ	PREVOD NA UCET	236	27571	 	UV	92502820
710965	2431	1997-02-14	VYDAJ	PREVOD NA UCET	236	24192	 	UV	92502820
710966	2431	1997-03-14	VYDAJ	PREVOD NA UCET	236	26957	 	UV	92502820
710967	2431	1997-04-14	VYDAJ	PREVOD NA UCET	236	30045	 	UV	92502820
710968	2431	1997-05-14	VYDAJ	PREVOD NA UCET	236	33545	 	UV	92502820
710969	2431	1997-06-14	VYDAJ	PREVOD NA UCET	236	34197	 	UV	92502820
710970	2431	1997-07-14	VYDAJ	PREVOD NA UCET	236	32905	 	UV	92502820
710971	2431	1997-08-14	VYDAJ	PREVOD NA UCET	236	34307	 	UV	92502820
710972	2431	1997-09-14	VYDAJ	PREVOD NA UCET	236	35421	 	UV	92502820
710973	2431	1997-10-14	VYDAJ	PREVOD NA UCET	236	33861	 	UV	92502820
710974	2431	1997-11-14	VYDAJ	PREVOD NA UCET	236	39081	 	UV	92502820
710975	2431	1997-12-14	VYDAJ	PREVOD NA UCET	236	41195	 	UV	92502820
710976	2431	1998-01-14	VYDAJ	PREVOD NA UCET	236	35218	 	UV	92502820
710977	2431	1998-02-14	VYDAJ	PREVOD NA UCET	236	35641	 	UV	92502820
710978	2431	1998-03-14	VYDAJ	PREVOD NA UCET	236	41421	 	UV	92502820
710979	2431	1998-04-14	VYDAJ	PREVOD NA UCET	236	44102	 	UV	92502820
710980	2431	1998-05-14	VYDAJ	PREVOD NA UCET	236	50260	 	UV	92502820
710981	2431	1998-06-14	VYDAJ	PREVOD NA UCET	236	51380	 	UV	92502820
710982	2431	1998-07-14	VYDAJ	PREVOD NA UCET	236	43824	 	UV	92502820
710983	2431	1998-08-14	VYDAJ	PREVOD NA UCET	236	44535	 	UV	92502820
710984	2431	1998-09-14	VYDAJ	PREVOD NA UCET	236	45481	 	UV	92502820
710985	2431	1998-10-14	VYDAJ	PREVOD NA UCET	236	51948	 	UV	92502820
710986	2431	1998-11-14	VYDAJ	PREVOD NA UCET	236	53175	 	UV	92502820
710987	2431	1998-12-14	VYDAJ	PREVOD NA UCET	236	57310	 	UV	92502820
710994	2431	1995-07-12	VYDAJ	PREVOD NA UCET	2305	35347	POJISTNE	IJ	28942603
710995	2431	1995-08-12	VYDAJ	PREVOD NA UCET	2305	28031	POJISTNE	IJ	28942603
710996	2431	1995-09-12	VYDAJ	PREVOD NA UCET	2305	28822	POJISTNE	IJ	28942603
710997	2431	1995-10-12	VYDAJ	PREVOD NA UCET	2305	22752	POJISTNE	IJ	28942603
710998	2431	1995-11-12	VYDAJ	PREVOD NA UCET	2305	25625	POJISTNE	IJ	28942603
710999	2431	1995-12-12	VYDAJ	PREVOD NA UCET	2305	29946	POJISTNE	IJ	28942603
711000	2431	1996-01-12	VYDAJ	PREVOD NA UCET	2305	21178	POJISTNE	IJ	28942603
711001	2431	1996-02-12	VYDAJ	PREVOD NA UCET	2305	20122	POJISTNE	IJ	28942603
711002	2431	1996-03-12	VYDAJ	PREVOD NA UCET	2305	27491	POJISTNE	IJ	28942603
711003	2431	1996-04-12	VYDAJ	PREVOD NA UCET	2305	27034	POJISTNE	IJ	28942603
711004	2431	1996-05-12	VYDAJ	PREVOD NA UCET	2305	31828	POJISTNE	IJ	28942603
711005	2431	1996-06-12	VYDAJ	PREVOD NA UCET	2305	38178	POJISTNE	IJ	28942603
711006	2431	1996-07-12	VYDAJ	PREVOD NA UCET	2305	27970	POJISTNE	IJ	28942603
711007	2431	1996-08-12	VYDAJ	PREVOD NA UCET	2305	27774	POJISTNE	IJ	28942603
711008	2431	1996-09-12	VYDAJ	PREVOD NA UCET	2305	29565	POJISTNE	IJ	28942603
711009	2431	1996-10-12	VYDAJ	PREVOD NA UCET	2305	28883	POJISTNE	IJ	28942603
711010	2431	1996-11-12	VYDAJ	PREVOD NA UCET	2305	32785	POJISTNE	IJ	28942603
711011	2431	1996-12-12	VYDAJ	PREVOD NA UCET	2305	30409	POJISTNE	IJ	28942603
711012	2431	1997-01-12	VYDAJ	PREVOD NA UCET	2305	28987	POJISTNE	IJ	28942603
711013	2431	1997-02-12	VYDAJ	PREVOD NA UCET	2305	24428	POJISTNE	IJ	28942603
711014	2431	1997-03-12	VYDAJ	PREVOD NA UCET	2305	26393	POJISTNE	IJ	28942603
711015	2431	1997-04-12	VYDAJ	PREVOD NA UCET	2305	29181	POJISTNE	IJ	28942603
711016	2431	1997-05-12	VYDAJ	PREVOD NA UCET	2305	32281	POJISTNE	IJ	28942603
711017	2431	1997-06-12	VYDAJ	PREVOD NA UCET	2305	38633	POJISTNE	IJ	28942603
711018	2431	1997-07-12	VYDAJ	PREVOD NA UCET	2305	33141	POJISTNE	IJ	28942603
711019	2431	1997-08-12	VYDAJ	PREVOD NA UCET	2305	34543	POJISTNE	IJ	28942603
711020	2431	1997-09-12	VYDAJ	PREVOD NA UCET	2305	35657	POJISTNE	IJ	28942603
711021	2431	1997-10-12	VYDAJ	PREVOD NA UCET	2305	34097	POJISTNE	IJ	28942603
711022	2431	1997-11-12	VYDAJ	PREVOD NA UCET	2305	39317	POJISTNE	IJ	28942603
711023	2431	1997-12-12	VYDAJ	PREVOD NA UCET	2305	41431	POJISTNE	IJ	28942603
711024	2431	1998-01-12	VYDAJ	PREVOD NA UCET	2305	38814	POJISTNE	IJ	28942603
711025	2431	1998-02-12	VYDAJ	PREVOD NA UCET	2305	35877	POJISTNE	IJ	28942603
711026	2431	1998-03-12	VYDAJ	PREVOD NA UCET	2305	41657	POJISTNE	IJ	28942603
711027	2431	1998-04-12	VYDAJ	PREVOD NA UCET	2305	44338	POJISTNE	IJ	28942603
711028	2431	1998-05-12	VYDAJ	PREVOD NA UCET	2305	50496	POJISTNE	IJ	28942603
711029	2431	1998-06-12	VYDAJ	PREVOD NA UCET	2305	51616	POJISTNE	IJ	28942603
711030	2431	1998-07-12	VYDAJ	PREVOD NA UCET	2305	44060	POJISTNE	IJ	28942603
711031	2431	1998-08-12	VYDAJ	PREVOD NA UCET	2305	50411	POJISTNE	IJ	28942603
711032	2431	1998-09-12	VYDAJ	PREVOD NA UCET	2305	45717	POJISTNE	IJ	28942603
711033	2431	1998-10-12	VYDAJ	PREVOD NA UCET	2305	52184	POJISTNE	IJ	28942603
711034	2431	1998-11-12	VYDAJ	PREVOD NA UCET	2305	53411	POJISTNE	IJ	28942603
711035	2431	1998-12-12	VYDAJ	PREVOD NA UCET	2305	57546	POJISTNE	IJ	28942603
711085	2431	1996-06-22	VYDAJ	VYBER	5920	25722	\N	\N	\N
711086	2431	1997-06-21	VYDAJ	VYBER	11200	22997	\N	\N	\N
711087	2431	1998-06-14	VYDAJ	VYBER	18720	32660	\N	\N	\N
711090	2431	1997-01-25	VYDAJ	VYBER	7200	17731	\N	\N	\N
711091	2431	1998-01-19	VYDAJ	VYBER	2880	32338	\N	\N	\N
711092	2431	1995-12-25	VYDAJ	VYBER	3840	25070	\N	\N	\N
711093	2431	1996-12-07	VYDAJ	VYBER	4320	24198	\N	\N	\N
711094	2431	1997-12-23	VYDAJ	VYBER	800	40395	\N	\N	\N
711095	2431	1998-12-27	VYDAJ	VYBER	960	56350	\N	\N	\N
711102	2431	1996-01-15	VYDAJ	VYBER	1320	19622	\N	\N	\N
711103	2431	1996-01-23	VYDAJ	VYBER	2760	17922	\N	\N	\N
711104	2431	1996-01-04	VYDAJ	VYBER	1200	23969	\N	\N	\N
711105	2431	1996-01-21	VYDAJ	VYBER	2040	20682	\N	\N	\N
711106	2431	1996-01-08	VYDAJ	VYBER	3120	17806	\N	\N	\N
711107	2431	1996-01-06	VYDAJ	VYBER	1800	20926	\N	\N	\N
711108	2431	1997-01-30	VYDAJ	VYBER	3120	14611	\N	\N	\N
711109	2431	1997-01-18	VYDAJ	VYBER	1440	24931	\N	\N	\N
711111	2431	1997-01-15	VYDAJ	VYBER	1200	26371	\N	\N	\N
711112	2431	1997-01-04	VYDAJ	VYBER	1920	26858	\N	\N	\N
711113	2431	1997-01-14	VYDAJ	VYBER	2280	27807	\N	\N	\N
711114	2431	1998-01-12	VYDAJ	VYBER	2520	36294	\N	\N	\N
711115	2431	1998-01-05	VYDAJ	VYBER	1800	34785	\N	\N	\N
711116	2431	1998-01-02	VYDAJ	VYBER	720	39825	\N	\N	\N
711117	2431	1998-01-14	VYDAJ	VYBER	840	35454	\N	\N	\N
711118	2431	1998-01-30	VYDAJ	VYBER	1920	30418	\N	\N	\N
711119	2431	1998-01-04	VYDAJ	VYBER	3240	36585	\N	\N	\N
711121	2431	1995-09-22	VYDAJ	VYBER	960	24126	\N	\N	\N
711122	2431	1995-07-16	VYDAJ	VYBER	4920	30191	\N	\N	\N
711123	2431	1995-10-05	VYDAJ	VYBER	3600	19380	\N	\N	\N
711126	2431	1996-10-07	VYDAJ	VYBER	2280	25511	\N	\N	\N
711127	2431	1996-07-12	VYDAJ	VYBER	4680	23290	\N	\N	\N
711128	2431	1996-03-15	VYDAJ	VYBER	4440	22815	\N	\N	\N
711129	2431	1997-08-16	VYDAJ	VYBER	2400	31907	\N	\N	\N
711131	2431	1997-10-01	VYDAJ	VYBER	1080	34468	\N	\N	\N
711132	2431	1997-12-05	VYDAJ	VYBER	4560	33420	\N	\N	\N
711133	2431	1997-08-29	VYDAJ	VYBER	1200	30707	\N	\N	\N
711134	2431	1998-04-05	VYDAJ	VYBER	5760	34566	\N	\N	\N
711135	2431	1998-09-08	VYDAJ	VYBER	4320	42345	\N	\N	\N
711136	2431	1998-08-13	VYDAJ	VYBER	5640	44771	\N	\N	\N
711137	2431	1998-03-03	VYDAJ	VYBER	5040	30728	\N	\N	\N
711138	2431	1998-10-15	VYDAJ	VYBER	960	50988	\N	\N	\N
711139	2431	1998-07-08	VYDAJ	VYBER	1080	40688	\N	\N	\N
711140	2431	1998-10-05	VYDAJ	VYBER	4200	50055	\N	\N	\N
711148	2431	1995-07-31	VYDAJ	VYBER	15	25902	SLUZBY	\N	\N
711149	2431	1995-08-31	VYDAJ	VYBER	15	26693	SLUZBY	\N	\N
711150	2431	1995-09-30	VYDAJ	VYBER	15	24223	SLUZBY	\N	\N
711151	2431	1995-10-31	VYDAJ	VYBER	15	23496	SLUZBY	\N	\N
711152	2431	1995-11-30	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
711153	2431	1995-12-31	VYDAJ	VYBER	15	25169	SLUZBY	\N	\N
711154	2431	1996-01-31	VYDAJ	VYBER	15	17993	SLUZBY	\N	\N
711155	2431	1996-02-29	VYDAJ	VYBER	15	25362	SLUZBY	\N	\N
711156	2431	1996-03-31	VYDAJ	VYBER	15	24905	SLUZBY	\N	\N
711157	2431	1996-04-30	VYDAJ	VYBER	15	29699	SLUZBY	\N	\N
711158	2431	1996-05-31	VYDAJ	VYBER	15	33210	SLUZBY	\N	\N
711159	2431	1996-06-30	VYDAJ	VYBER	15	25841	SLUZBY	\N	\N
711160	2431	1996-07-31	VYDAJ	VYBER	15	25645	SLUZBY	\N	\N
711161	2431	1996-08-31	VYDAJ	VYBER	15	27436	SLUZBY	\N	\N
711162	2431	1996-09-30	VYDAJ	VYBER	15	29034	SLUZBY	\N	\N
711163	2431	1996-10-31	VYDAJ	VYBER	15	30656	SLUZBY	\N	\N
711164	2431	1996-11-30	VYDAJ	VYBER	15	29761	SLUZBY	\N	\N
711165	2431	1996-12-31	VYDAJ	VYBER	15	28778	SLUZBY	\N	\N
711166	2431	1997-01-31	VYDAJ	VYBER	15	14699	SLUZBY	\N	\N
711167	2431	1997-02-28	VYDAJ	VYBER	15	24264	SLUZBY	\N	\N
711168	2431	1997-03-31	VYDAJ	VYBER	15	27052	SLUZBY	\N	\N
711169	2431	1997-04-30	VYDAJ	VYBER	15	30152	SLUZBY	\N	\N
711170	2431	1997-05-31	VYDAJ	VYBER	15	33665	SLUZBY	\N	\N
711171	2431	1997-06-30	VYDAJ	VYBER	15	23112	SLUZBY	\N	\N
711172	2431	1997-07-31	VYDAJ	VYBER	15	33014	SLUZBY	\N	\N
711173	2431	1997-08-31	VYDAJ	VYBER	15	30828	SLUZBY	\N	\N
711174	2431	1997-09-30	VYDAJ	VYBER	15	35548	SLUZBY	\N	\N
711175	2431	1997-10-31	VYDAJ	VYBER	15	33988	SLUZBY	\N	\N
711176	2431	1997-11-30	VYDAJ	VYBER	15	39223	SLUZBY	\N	\N
711177	2431	1997-12-31	VYDAJ	VYBER	15	40545	SLUZBY	\N	\N
711178	2431	1998-01-31	VYDAJ	VYBER	15	30548	SLUZBY	\N	\N
711179	2431	1998-02-28	VYDAJ	VYBER	15	35768	SLUZBY	\N	\N
711180	2431	1998-03-31	VYDAJ	VYBER	15	41569	SLUZBY	\N	\N
711181	2431	1998-04-30	VYDAJ	VYBER	15	44267	SLUZBY	\N	\N
711182	2431	1998-05-31	VYDAJ	VYBER	15	50448	SLUZBY	\N	\N
711183	2431	1998-06-30	VYDAJ	VYBER	15	32811	SLUZBY	\N	\N
711184	2431	1998-07-31	VYDAJ	VYBER	15	43982	SLUZBY	\N	\N
711185	2431	1998-08-31	VYDAJ	VYBER	15	44708	SLUZBY	\N	\N
711186	2431	1998-09-30	VYDAJ	VYBER	15	45655	SLUZBY	\N	\N
711187	2431	1998-10-31	VYDAJ	VYBER	15	51182	SLUZBY	\N	\N
711188	2431	1998-11-30	VYDAJ	VYBER	15	53378	SLUZBY	\N	\N
711189	2431	1995-03-25	PRIJEM	VKLAD	10500	16577	\N	\N	\N
711190	2431	1995-04-24	PRIJEM	VKLAD	2500	24770	\N	\N	\N
711191	2431	1995-05-24	VYDAJ	VYBER	700	29824	\N	\N	\N
711192	2431	1995-06-23	VYDAJ	VYBER	6600	31848	\N	\N	\N
711193	2431	1995-07-23	VYDAJ	VYBER	4400	25791	\N	\N	\N
711194	2431	1995-08-22	VYDAJ	VYBER	1200	26595	\N	\N	\N
711195	2431	1995-09-21	VYDAJ	VYBER	3500	25086	\N	\N	\N
711196	2431	1995-10-21	PRIJEM	VKLAD	900	23416	\N	\N	\N
711197	2431	1995-11-20	VYDAJ	VYBER	500	24889	\N	\N	\N
711198	2431	1995-12-20	VYDAJ	VYBER	800	28910	\N	\N	\N
711199	2431	1996-01-19	PRIJEM	VKLAD	3100	22722	\N	\N	\N
711200	2431	1996-02-18	PRIJEM	VKLAD	5400	25286	\N	\N	\N
711201	2431	1996-03-19	PRIJEM	VKLAD	2000	24815	\N	\N	\N
711202	2431	1996-04-18	PRIJEM	VKLAD	2800	29598	\N	\N	\N
711203	2431	1996-05-18	PRIJEM	VKLAD	1500	33092	\N	\N	\N
711204	2431	1996-06-17	VYDAJ	VYBER	6300	31642	\N	\N	\N
711205	2431	1996-07-17	PRIJEM	VKLAD	2500	25554	\N	\N	\N
711206	2431	1996-08-16	VYDAJ	VYBER	200	27338	\N	\N	\N
711207	2431	1996-09-15	VYDAJ	VYBER	400	28929	\N	\N	\N
711208	2431	1996-10-15	PRIJEM	VKLAD	1900	30547	\N	\N	\N
711209	2431	1996-11-14	VYDAJ	VYBER	2900	29885	\N	\N	\N
711210	2431	1996-12-14	VYDAJ	VYBER	1500	28673	\N	\N	\N
711211	2431	1997-01-13	PRIJEM	VKLAD	1100	30087	\N	\N	\N
711212	2431	1997-02-12	PRIJEM	VKLAD	7600	26733	\N	\N	\N
711213	2431	1997-03-14	PRIJEM	VKLAD	800	27193	\N	\N	\N
711214	2431	1997-04-13	PRIJEM	VKLAD	1100	30281	\N	\N	\N
711215	2431	1997-05-13	PRIJEM	VKLAD	1500	33781	\N	\N	\N
711216	2431	1997-06-12	VYDAJ	VYBER	4200	34433	\N	\N	\N
711217	2431	1997-07-12	PRIJEM	VKLAD	7900	35446	\N	\N	\N
711218	2431	1997-08-11	VYDAJ	VYBER	600	36848	\N	\N	\N
711219	2431	1997-09-10	PRIJEM	VKLAD	2700	37962	\N	\N	\N
711220	2431	1997-10-10	VYDAJ	VYBER	2500	36402	\N	\N	\N
711221	2431	1997-11-09	PRIJEM	VKLAD	3200	35945	\N	\N	\N
711222	2431	1997-12-09	PRIJEM	VKLAD	1800	35220	\N	\N	\N
711223	2431	1998-01-08	PRIJEM	VKLAD	1900	35442	\N	\N	\N
711224	2431	1998-02-07	PRIJEM	VKLAD	3200	32505	\N	\N	\N
711225	2431	1998-03-09	PRIJEM	VKLAD	8800	38285	\N	\N	\N
711226	2431	1998-04-08	PRIJEM	VKLAD	6400	40966	\N	\N	\N
711227	2431	1998-05-08	PRIJEM	VKLAD	4100	47124	\N	\N	\N
711228	2431	1998-06-07	VYDAJ	VYBER	3800	45405	\N	\N	\N
711229	2431	1998-07-07	PRIJEM	VKLAD	10200	41768	\N	\N	\N
711230	2431	1998-08-06	PRIJEM	VKLAD	4300	47039	\N	\N	\N
711231	2431	1998-09-05	PRIJEM	VKLAD	3200	47908	\N	\N	\N
711232	2431	1998-10-05	PRIJEM	VKLAD	8600	54255	\N	\N	\N
711233	2431	1998-11-04	PRIJEM	VKLAD	100	51282	\N	\N	\N
711234	2431	1998-12-04	VYDAJ	VYBER	800	52578	\N	\N	\N
711281	2432	1996-04-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
711286	2432	1996-05-09	PRIJEM	PREVOD Z UCTU	5880	6980	DUCHOD	QR	12108809
711287	2432	1996-06-09	PRIJEM	PREVOD Z UCTU	5880	12860	DUCHOD	QR	12108809
711288	2432	1996-07-09	PRIJEM	PREVOD Z UCTU	5880	18740	DUCHOD	QR	12108809
711289	2432	1996-08-09	PRIJEM	PREVOD Z UCTU	5880	24620	DUCHOD	QR	12108809
711290	2432	1996-09-09	PRIJEM	PREVOD Z UCTU	5880	29751	DUCHOD	QR	12108809
711291	2432	1996-10-09	PRIJEM	PREVOD Z UCTU	5880	28735	DUCHOD	QR	12108809
711292	2432	1996-11-09	PRIJEM	PREVOD Z UCTU	5880	29559	DUCHOD	QR	12108809
711293	2432	1996-12-09	PRIJEM	PREVOD Z UCTU	5880	29934	DUCHOD	QR	12108809
711294	2432	1997-01-09	PRIJEM	PREVOD Z UCTU	5880	23572	DUCHOD	QR	12108809
711295	2432	1997-02-09	PRIJEM	PREVOD Z UCTU	5880	15976	DUCHOD	QR	12108809
711296	2432	1997-03-09	PRIJEM	PREVOD Z UCTU	5880	19350	DUCHOD	QR	12108809
711297	2432	1997-04-09	PRIJEM	PREVOD Z UCTU	5880	22738	DUCHOD	QR	12108809
711298	2432	1997-05-09	PRIJEM	PREVOD Z UCTU	5880	26141	DUCHOD	QR	12108809
711299	2432	1997-06-09	PRIJEM	PREVOD Z UCTU	5880	28274	DUCHOD	QR	12108809
711300	2432	1997-07-09	PRIJEM	PREVOD Z UCTU	5880	29045	DUCHOD	QR	12108809
711301	2432	1997-08-09	PRIJEM	PREVOD Z UCTU	5880	32474	DUCHOD	QR	12108809
711302	2432	1997-09-09	PRIJEM	PREVOD Z UCTU	5880	34212	DUCHOD	QR	12108809
711303	2432	1997-10-09	PRIJEM	PREVOD Z UCTU	5880	34653	DUCHOD	QR	12108809
711304	2432	1997-11-09	PRIJEM	PREVOD Z UCTU	5880	38105	DUCHOD	QR	12108809
711305	2432	1997-12-09	PRIJEM	PREVOD Z UCTU	5880	37083	DUCHOD	QR	12108809
711306	2432	1998-01-09	PRIJEM	PREVOD Z UCTU	5880	31904	DUCHOD	QR	12108809
711307	2432	1998-02-09	PRIJEM	PREVOD Z UCTU	5880	22762	DUCHOD	QR	12108809
711308	2432	1998-03-09	PRIJEM	PREVOD Z UCTU	5880	26165	DUCHOD	QR	12108809
711309	2432	1998-04-09	PRIJEM	PREVOD Z UCTU	5880	26537	DUCHOD	QR	12108809
711310	2432	1998-05-09	PRIJEM	PREVOD Z UCTU	5880	27635	DUCHOD	QR	12108809
711311	2432	1998-06-09	PRIJEM	PREVOD Z UCTU	5880	31060	DUCHOD	QR	12108809
711312	2432	1998-07-09	PRIJEM	PREVOD Z UCTU	5880	31141	DUCHOD	QR	12108809
711313	2432	1998-08-09	PRIJEM	PREVOD Z UCTU	5880	31128	DUCHOD	QR	12108809
711314	2432	1998-09-09	PRIJEM	PREVOD Z UCTU	5880	34004	DUCHOD	QR	12108809
711315	2432	1998-10-09	PRIJEM	PREVOD Z UCTU	5880	34253	DUCHOD	QR	12108809
711316	2432	1998-11-09	PRIJEM	PREVOD Z UCTU	5880	37706	DUCHOD	QR	12108809
711317	2432	1998-12-09	PRIJEM	PREVOD Z UCTU	5880	41170	DUCHOD	QR	12108809
711327	2432	1996-10-08	VYDAJ	PREVOD NA UCET	2554	22855	SIPO	GH	70597290
711328	2432	1996-11-08	VYDAJ	PREVOD NA UCET	2554	23679	SIPO	GH	70597290
711329	2432	1996-12-08	VYDAJ	PREVOD NA UCET	2554	24054	SIPO	GH	70597290
711330	2432	1997-01-08	VYDAJ	PREVOD NA UCET	2554	17692	SIPO	GH	70597290
711331	2432	1997-02-08	VYDAJ	PREVOD NA UCET	2554	10096	SIPO	GH	70597290
711332	2432	1997-03-08	VYDAJ	PREVOD NA UCET	2554	13470	SIPO	GH	70597290
711333	2432	1997-04-08	VYDAJ	PREVOD NA UCET	2554	16858	SIPO	GH	70597290
711334	2432	1997-05-08	VYDAJ	PREVOD NA UCET	2554	20261	SIPO	GH	70597290
711335	2432	1997-06-08	VYDAJ	PREVOD NA UCET	2554	22394	SIPO	GH	70597290
711336	2432	1997-07-08	VYDAJ	PREVOD NA UCET	2554	23165	SIPO	GH	70597290
711337	2432	1997-08-08	VYDAJ	PREVOD NA UCET	2554	26594	SIPO	GH	70597290
711338	2432	1997-09-08	VYDAJ	PREVOD NA UCET	2554	28332	SIPO	GH	70597290
711339	2432	1997-10-08	VYDAJ	PREVOD NA UCET	2554	28773	SIPO	GH	70597290
711340	2432	1997-11-08	VYDAJ	PREVOD NA UCET	2554	32225	SIPO	GH	70597290
711341	2432	1997-12-08	VYDAJ	PREVOD NA UCET	2554	31203	SIPO	GH	70597290
711342	2432	1998-01-08	VYDAJ	PREVOD NA UCET	2554	26024	SIPO	GH	70597290
711343	2432	1998-02-08	VYDAJ	PREVOD NA UCET	2554	16882	SIPO	GH	70597290
711344	2432	1998-03-08	VYDAJ	PREVOD NA UCET	2554	20285	SIPO	GH	70597290
711345	2432	1998-04-08	VYDAJ	PREVOD NA UCET	2554	20657	SIPO	GH	70597290
711346	2432	1998-05-08	VYDAJ	PREVOD NA UCET	2554	24075	SIPO	GH	70597290
711347	2432	1998-06-08	VYDAJ	PREVOD NA UCET	2554	25180	SIPO	GH	70597290
711348	2432	1998-07-08	VYDAJ	PREVOD NA UCET	2554	25261	SIPO	GH	70597290
711349	2432	1998-08-08	VYDAJ	PREVOD NA UCET	2554	25248	SIPO	GH	70597290
711350	2432	1998-09-08	VYDAJ	PREVOD NA UCET	2554	28124	SIPO	GH	70597290
711351	2432	1998-10-08	VYDAJ	PREVOD NA UCET	2554	28373	SIPO	GH	70597290
711352	2432	1998-11-08	VYDAJ	PREVOD NA UCET	2554	31826	SIPO	GH	70597290
711353	2432	1998-12-08	VYDAJ	PREVOD NA UCET	2554	35290	SIPO	GH	70597290
711355	2432	1997-06-18	VYDAJ	VYBER	2650	25624	\N	\N	\N
711356	2432	1998-06-19	VYDAJ	VYBER	3350	27710	\N	\N	\N
711358	2432	1997-01-13	VYDAJ	VYBER	3300	17872	\N	\N	\N
711359	2432	1998-01-18	VYDAJ	VYBER	3850	25174	\N	\N	\N
711360	2432	1996-12-07	VYDAJ	VYBER	250	26608	\N	\N	\N
711361	2432	1997-12-17	VYDAJ	VYBER	1250	34533	\N	\N	\N
711362	2432	1998-12-29	VYDAJ	VYBER	550	40620	\N	\N	\N
711369	2432	1997-01-11	VYDAJ	VYBER	1040	21172	\N	\N	\N
711370	2432	1997-01-09	VYDAJ	VYBER	1360	22212	\N	\N	\N
711371	2432	1997-01-06	VYDAJ	VYBER	1120	22326	\N	\N	\N
711372	2432	1997-01-17	VYDAJ	VYBER	800	17072	\N	\N	\N
711373	2432	1997-01-29	VYDAJ	VYBER	1120	12592	\N	\N	\N
711374	2432	1997-01-06	VYDAJ	VYBER	2080	20246	\N	\N	\N
711375	2432	1998-01-05	VYDAJ	VYBER	560	30818	\N	\N	\N
711376	2432	1998-01-16	VYDAJ	VYBER	1200	29024	\N	\N	\N
711377	2432	1998-01-09	VYDAJ	VYBER	1680	30224	\N	\N	\N
711378	2432	1998-01-29	VYDAJ	VYBER	2000	23174	\N	\N	\N
711379	2432	1998-01-30	VYDAJ	VYBER	1920	21254	\N	\N	\N
711380	2432	1998-01-06	VYDAJ	VYBER	2240	28578	\N	\N	\N
711381	2432	1996-10-06	VYDAJ	VYBER	640	29009	\N	\N	\N
711382	2432	1996-10-07	VYDAJ	VYBER	3600	25409	\N	\N	\N
711384	2432	1996-12-19	VYDAJ	VYBER	2480	23354	\N	\N	\N
711385	2432	1997-11-17	VYDAJ	VYBER	3680	33625	\N	\N	\N
711386	2432	1997-05-16	VYDAJ	VYBER	640	24861	\N	\N	\N
711387	2432	1997-01-18	VYDAJ	VYBER	3360	13712	\N	\N	\N
711388	2432	1997-05-09	VYDAJ	VYBER	640	25501	\N	\N	\N
711389	2432	1997-12-22	VYDAJ	VYBER	3280	31253	\N	\N	\N
711390	2432	1998-10-06	VYDAJ	VYBER	3200	30927	\N	\N	\N
711391	2432	1998-02-02	VYDAJ	VYBER	1920	19436	\N	\N	\N
711392	2432	1998-07-10	VYDAJ	VYBER	3440	27701	\N	\N	\N
711393	2432	1998-08-23	VYDAJ	VYBER	560	30568	\N	\N	\N
711394	2432	1998-05-08	VYDAJ	VYBER	2320	21755	\N	\N	\N
711395	2432	1998-03-20	VYDAJ	VYBER	3040	23125	\N	\N	\N
711405	2432	1996-09-30	VYDAJ	VYBER	15	29649	SLUZBY	\N	\N
711406	2432	1996-10-31	VYDAJ	VYBER	15	26233	SLUZBY	\N	\N
711407	2432	1996-11-30	VYDAJ	VYBER	15	26858	SLUZBY	\N	\N
711408	2432	1996-12-31	VYDAJ	VYBER	15	23446	SLUZBY	\N	\N
711409	2432	1997-01-31	VYDAJ	VYBER	15	12650	SLUZBY	\N	\N
711410	2432	1997-02-28	VYDAJ	VYBER	15	16024	SLUZBY	\N	\N
711411	2432	1997-03-31	VYDAJ	VYBER	15	19412	SLUZBY	\N	\N
711412	2432	1997-04-30	VYDAJ	VYBER	15	22815	SLUZBY	\N	\N
711413	2432	1997-05-31	VYDAJ	VYBER	15	24948	SLUZBY	\N	\N
711414	2432	1997-06-30	VYDAJ	VYBER	15	25719	SLUZBY	\N	\N
711415	2432	1997-07-31	VYDAJ	VYBER	15	29148	SLUZBY	\N	\N
711416	2432	1997-08-31	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
711417	2432	1997-09-30	VYDAJ	VYBER	15	31327	SLUZBY	\N	\N
711418	2432	1997-10-31	VYDAJ	VYBER	15	34779	SLUZBY	\N	\N
711419	2432	1997-11-30	VYDAJ	VYBER	15	33757	SLUZBY	\N	\N
711420	2432	1997-12-31	VYDAJ	VYBER	15	31378	SLUZBY	\N	\N
711421	2432	1998-01-31	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
711422	2432	1998-02-28	VYDAJ	VYBER	15	22839	SLUZBY	\N	\N
711423	2432	1998-03-31	VYDAJ	VYBER	15	23211	SLUZBY	\N	\N
711424	2432	1998-04-30	VYDAJ	VYBER	15	26629	SLUZBY	\N	\N
711425	2432	1998-05-31	VYDAJ	VYBER	15	27734	SLUZBY	\N	\N
711426	2432	1998-06-30	VYDAJ	VYBER	15	27815	SLUZBY	\N	\N
711427	2432	1998-07-31	VYDAJ	VYBER	15	27802	SLUZBY	\N	\N
711428	2432	1998-08-31	VYDAJ	VYBER	15	30678	SLUZBY	\N	\N
711429	2432	1998-09-30	VYDAJ	VYBER	15	34127	SLUZBY	\N	\N
711430	2432	1998-10-31	VYDAJ	VYBER	15	34380	SLUZBY	\N	\N
711431	2432	1998-11-30	VYDAJ	VYBER	15	37844	SLUZBY	\N	\N
711432	2432	1996-08-16	VYDAJ	VYBER	800	23820	\N	\N	\N
711433	2432	1996-09-15	VYDAJ	VYBER	200	29551	\N	\N	\N
711434	2432	1996-10-15	VYDAJ	VYBER	2600	26135	\N	\N	\N
711435	2432	1996-11-14	VYDAJ	VYBER	2800	26759	\N	\N	\N
711436	2432	1996-12-14	VYDAJ	VYBER	4100	25834	\N	\N	\N
711437	2432	1997-08-11	VYDAJ	VYBER	1700	30774	\N	\N	\N
711438	2432	1997-09-10	VYDAJ	VYBER	3000	31212	\N	\N	\N
711439	2432	1997-11-09	VYDAJ	VYBER	800	37305	\N	\N	\N
711440	2432	1997-12-09	VYDAJ	VYBER	1300	35783	\N	\N	\N
711470	2433	1993-02-19	PRIJEM	VKLAD	500	500	\N	\N	\N
711473	2433	1993-03-05	PRIJEM	PREVOD Z UCTU	4718	5218	DUCHOD	OP	98568486
711474	2433	1993-04-05	PRIJEM	PREVOD Z UCTU	4718	9936	DUCHOD	OP	98568486
711475	2433	1993-05-05	PRIJEM	PREVOD Z UCTU	4718	14654	DUCHOD	OP	98568486
711476	2433	1993-06-05	PRIJEM	PREVOD Z UCTU	4718	19372	DUCHOD	OP	98568486
711477	2433	1993-07-05	PRIJEM	PREVOD Z UCTU	4718	23622	DUCHOD	OP	98568486
711478	2433	1993-08-05	PRIJEM	PREVOD Z UCTU	4718	21932	DUCHOD	OP	98568486
711479	2433	1993-09-05	PRIJEM	PREVOD Z UCTU	4718	24959	DUCHOD	OP	98568486
711480	2433	1993-10-05	PRIJEM	PREVOD Z UCTU	4718	27498	DUCHOD	OP	98568486
711481	2433	1993-11-05	PRIJEM	PREVOD Z UCTU	4718	27943	DUCHOD	OP	98568486
711482	2433	1993-12-05	PRIJEM	PREVOD Z UCTU	4718	29292	DUCHOD	OP	98568486
711483	2433	1994-01-05	PRIJEM	PREVOD Z UCTU	4718	26976	DUCHOD	OP	98568486
711484	2433	1994-02-05	PRIJEM	PREVOD Z UCTU	4718	18400	DUCHOD	OP	98568486
711485	2433	1994-03-05	PRIJEM	PREVOD Z UCTU	4718	21412	DUCHOD	OP	98568486
711486	2433	1994-04-05	PRIJEM	PREVOD Z UCTU	4718	24437	DUCHOD	OP	98568486
711487	2433	1994-05-05	PRIJEM	PREVOD Z UCTU	4718	27475	DUCHOD	OP	98568486
711488	2433	1994-06-05	PRIJEM	PREVOD Z UCTU	4718	29562	DUCHOD	OP	98568486
711489	2433	1994-07-05	PRIJEM	PREVOD Z UCTU	4718	23611	DUCHOD	OP	98568486
711490	2433	1994-08-05	PRIJEM	PREVOD Z UCTU	4718	23522	DUCHOD	OP	98568486
711491	2433	1994-09-05	PRIJEM	PREVOD Z UCTU	4718	22874	DUCHOD	OP	98568486
711492	2433	1994-10-05	PRIJEM	PREVOD Z UCTU	4718	24302	DUCHOD	OP	98568486
711493	2433	1994-11-05	PRIJEM	PREVOD Z UCTU	4718	27339	DUCHOD	OP	98568486
711494	2433	1994-12-05	PRIJEM	PREVOD Z UCTU	4718	30389	DUCHOD	OP	98568486
711495	2433	1995-01-05	PRIJEM	PREVOD Z UCTU	4718	33001	DUCHOD	OP	98568486
711496	2433	1995-02-05	PRIJEM	PREVOD Z UCTU	4718	24221	DUCHOD	OP	98568486
711497	2433	1995-03-05	PRIJEM	PREVOD Z UCTU	4718	27257	DUCHOD	OP	98568486
711498	2433	1995-04-05	PRIJEM	PREVOD Z UCTU	4718	30306	DUCHOD	OP	98568486
711499	2433	1995-05-05	PRIJEM	PREVOD Z UCTU	4718	33368	DUCHOD	OP	98568486
711500	2433	1995-06-05	PRIJEM	PREVOD Z UCTU	4718	36443	DUCHOD	OP	98568486
711501	2433	1995-07-05	PRIJEM	PREVOD Z UCTU	4718	33719	DUCHOD	OP	98568486
711502	2433	1995-08-05	PRIJEM	PREVOD Z UCTU	4718	36795	DUCHOD	OP	98568486
711503	2433	1995-09-05	PRIJEM	PREVOD Z UCTU	4718	39883	DUCHOD	OP	98568486
711504	2433	1995-10-05	PRIJEM	PREVOD Z UCTU	4718	39776	DUCHOD	OP	98568486
711505	2433	1995-11-05	PRIJEM	PREVOD Z UCTU	4718	42877	DUCHOD	OP	98568486
711506	2433	1995-12-05	PRIJEM	PREVOD Z UCTU	4718	44086	DUCHOD	OP	98568486
711507	2433	1996-01-05	PRIJEM	PREVOD Z UCTU	4718	41786	DUCHOD	OP	98568486
711508	2433	1996-02-05	PRIJEM	PREVOD Z UCTU	4718	36384	DUCHOD	OP	98568486
711509	2433	1996-03-05	PRIJEM	PREVOD Z UCTU	4718	36181	DUCHOD	OP	98568486
711510	2433	1996-04-05	PRIJEM	PREVOD Z UCTU	4718	37564	DUCHOD	OP	98568486
711511	2433	1996-05-05	PRIJEM	PREVOD Z UCTU	4718	39256	DUCHOD	OP	98568486
711512	2433	1996-06-05	PRIJEM	PREVOD Z UCTU	4718	42357	DUCHOD	OP	98568486
711513	2433	1996-07-05	PRIJEM	PREVOD Z UCTU	4718	32632	DUCHOD	OP	98568486
711514	2433	1996-08-05	PRIJEM	PREVOD Z UCTU	4718	30735	DUCHOD	OP	98568486
711515	2433	1996-09-05	PRIJEM	PREVOD Z UCTU	4718	29957	DUCHOD	OP	98568486
711516	2433	1996-10-05	PRIJEM	PREVOD Z UCTU	4718	33016	DUCHOD	OP	98568486
711517	2433	1996-11-05	PRIJEM	PREVOD Z UCTU	4718	35608	DUCHOD	OP	98568486
711518	2433	1996-12-05	PRIJEM	PREVOD Z UCTU	4718	37791	DUCHOD	OP	98568486
711519	2433	1997-01-05	PRIJEM	PREVOD Z UCTU	4718	32429	DUCHOD	OP	98568486
711520	2433	1997-02-05	PRIJEM	PREVOD Z UCTU	4718	29326	DUCHOD	OP	98568486
711521	2433	1997-03-05	PRIJEM	PREVOD Z UCTU	4718	32382	DUCHOD	OP	98568486
711522	2433	1997-04-05	PRIJEM	PREVOD Z UCTU	4718	33045	DUCHOD	OP	98568486
711523	2433	1997-05-05	PRIJEM	PREVOD Z UCTU	4718	36116	DUCHOD	OP	98568486
711524	2433	1997-06-05	PRIJEM	PREVOD Z UCTU	4718	35995	DUCHOD	OP	98568486
711525	2433	1997-07-05	PRIJEM	PREVOD Z UCTU	4718	29221	DUCHOD	OP	98568486
711526	2433	1997-08-05	PRIJEM	PREVOD Z UCTU	4718	32281	DUCHOD	OP	98568486
711527	2433	1997-09-05	PRIJEM	PREVOD Z UCTU	4718	35349	DUCHOD	OP	98568486
711528	2433	1997-10-05	PRIJEM	PREVOD Z UCTU	4718	32578	DUCHOD	OP	98568486
711529	2433	1997-11-05	PRIJEM	PREVOD Z UCTU	4718	35246	DUCHOD	OP	98568486
711530	2433	1997-12-05	PRIJEM	PREVOD Z UCTU	4718	38326	DUCHOD	OP	98568486
711531	2433	1998-01-05	PRIJEM	PREVOD Z UCTU	4718	40869	DUCHOD	OP	98568486
711532	2433	1998-02-05	PRIJEM	PREVOD Z UCTU	4718	33171	DUCHOD	OP	98568486
711533	2433	1998-03-05	PRIJEM	PREVOD Z UCTU	4718	36242	DUCHOD	OP	98568486
711534	2433	1998-04-05	PRIJEM	PREVOD Z UCTU	4718	35394	DUCHOD	OP	98568486
711535	2433	1998-05-05	PRIJEM	PREVOD Z UCTU	4718	38475	DUCHOD	OP	98568486
711536	2433	1998-06-05	PRIJEM	PREVOD Z UCTU	4718	39963	DUCHOD	OP	98568486
711537	2433	1998-07-05	PRIJEM	PREVOD Z UCTU	4718	39308	DUCHOD	OP	98568486
711538	2433	1998-08-05	PRIJEM	PREVOD Z UCTU	4718	41605	DUCHOD	OP	98568486
711539	2433	1998-09-05	PRIJEM	PREVOD Z UCTU	4718	44714	DUCHOD	OP	98568486
711540	2433	1998-10-05	PRIJEM	PREVOD Z UCTU	4718	47833	DUCHOD	OP	98568486
711626	2433	1998-01-08	VYDAJ	VYBER	4300	36569	\N	\N	\N
711541	2433	1998-11-05	PRIJEM	PREVOD Z UCTU	4718	50964	DUCHOD	OP	98568486
711542	2433	1998-12-05	PRIJEM	PREVOD Z UCTU	4718	54109	DUCHOD	OP	98568486
711549	2433	1993-07-09	VYDAJ	PREVOD NA UCET	1757	21865	SIPO	GH	28003591
711550	2433	1993-08-09	VYDAJ	PREVOD NA UCET	1757	20175	SIPO	GH	28003591
711551	2433	1993-09-09	VYDAJ	PREVOD NA UCET	1757	23202	SIPO	GH	28003591
711552	2433	1993-10-09	VYDAJ	PREVOD NA UCET	1757	25741	SIPO	GH	28003591
711553	2433	1993-11-09	VYDAJ	PREVOD NA UCET	1757	26186	SIPO	GH	28003591
711554	2433	1993-12-09	VYDAJ	PREVOD NA UCET	1757	27535	SIPO	GH	28003591
711555	2433	1994-01-09	VYDAJ	PREVOD NA UCET	1757	24419	SIPO	GH	28003591
711556	2433	1994-02-09	VYDAJ	PREVOD NA UCET	1757	16643	SIPO	GH	28003591
711557	2433	1994-03-09	VYDAJ	PREVOD NA UCET	1757	19655	SIPO	GH	28003591
711558	2433	1994-04-09	VYDAJ	PREVOD NA UCET	1757	22680	SIPO	GH	28003591
711559	2433	1994-05-09	VYDAJ	PREVOD NA UCET	1757	25718	SIPO	GH	28003591
711560	2433	1994-06-09	VYDAJ	PREVOD NA UCET	1757	27805	SIPO	GH	28003591
711561	2433	1994-07-09	VYDAJ	PREVOD NA UCET	1757	21854	SIPO	GH	28003591
711562	2433	1994-08-09	VYDAJ	PREVOD NA UCET	1757	21765	SIPO	GH	28003591
711563	2433	1994-09-09	VYDAJ	PREVOD NA UCET	1757	21117	SIPO	GH	28003591
711564	2433	1994-10-09	VYDAJ	PREVOD NA UCET	1757	22545	SIPO	GH	28003591
711565	2433	1994-11-09	VYDAJ	PREVOD NA UCET	1757	25582	SIPO	GH	28003591
711566	2433	1994-12-09	VYDAJ	PREVOD NA UCET	1757	28182	SIPO	GH	28003591
711567	2433	1995-01-09	VYDAJ	PREVOD NA UCET	1757	27324	SIPO	GH	28003591
711568	2433	1995-02-09	VYDAJ	PREVOD NA UCET	1757	22464	SIPO	GH	28003591
711569	2433	1995-03-09	VYDAJ	PREVOD NA UCET	1757	25500	SIPO	GH	28003591
711570	2433	1995-04-09	VYDAJ	PREVOD NA UCET	1757	28549	SIPO	GH	28003591
711571	2433	1995-05-09	VYDAJ	PREVOD NA UCET	1757	31611	SIPO	GH	28003591
711572	2433	1995-06-09	VYDAJ	PREVOD NA UCET	1757	34686	SIPO	GH	28003591
711573	2433	1995-07-09	VYDAJ	PREVOD NA UCET	1757	31962	SIPO	GH	28003591
711574	2433	1995-08-09	VYDAJ	PREVOD NA UCET	1757	35038	SIPO	GH	28003591
711575	2433	1995-09-09	VYDAJ	PREVOD NA UCET	1757	38126	SIPO	GH	28003591
711576	2433	1995-10-09	VYDAJ	PREVOD NA UCET	1757	38019	SIPO	GH	28003591
711577	2433	1995-11-09	VYDAJ	PREVOD NA UCET	1757	39220	SIPO	GH	28003591
711578	2433	1995-12-09	VYDAJ	PREVOD NA UCET	1757	39079	SIPO	GH	28003591
711579	2433	1996-01-09	VYDAJ	PREVOD NA UCET	1757	38129	SIPO	GH	28003591
711580	2433	1996-02-09	VYDAJ	PREVOD NA UCET	1757	31347	SIPO	GH	28003591
711581	2433	1996-03-09	VYDAJ	PREVOD NA UCET	1757	32724	SIPO	GH	28003591
711582	2433	1996-04-09	VYDAJ	PREVOD NA UCET	1757	35807	SIPO	GH	28003591
711583	2433	1996-05-09	VYDAJ	PREVOD NA UCET	1757	37499	SIPO	GH	28003591
711584	2433	1996-06-09	VYDAJ	PREVOD NA UCET	1757	27800	SIPO	GH	28003591
711585	2433	1996-07-09	VYDAJ	PREVOD NA UCET	1757	30875	SIPO	GH	28003591
711586	2433	1996-08-09	VYDAJ	PREVOD NA UCET	1757	28978	SIPO	GH	28003591
711587	2433	1996-09-09	VYDAJ	PREVOD NA UCET	1757	28200	SIPO	GH	28003591
711588	2433	1996-10-09	VYDAJ	PREVOD NA UCET	1757	31259	SIPO	GH	28003591
711589	2433	1996-11-09	VYDAJ	PREVOD NA UCET	1757	33851	SIPO	GH	28003591
711590	2433	1996-12-09	VYDAJ	PREVOD NA UCET	1757	36034	SIPO	GH	28003591
711591	2433	1997-01-09	VYDAJ	PREVOD NA UCET	1757	28192	SIPO	GH	28003591
711592	2433	1997-02-09	VYDAJ	PREVOD NA UCET	1757	27569	SIPO	GH	28003591
711593	2433	1997-03-09	VYDAJ	PREVOD NA UCET	1757	30625	SIPO	GH	28003591
711594	2433	1997-04-09	VYDAJ	PREVOD NA UCET	1757	31288	SIPO	GH	28003591
711595	2433	1997-05-09	VYDAJ	PREVOD NA UCET	1757	34359	SIPO	GH	28003591
711596	2433	1997-06-09	VYDAJ	PREVOD NA UCET	1757	34238	SIPO	GH	28003591
711597	2433	1997-07-09	VYDAJ	PREVOD NA UCET	1757	27464	SIPO	GH	28003591
711598	2433	1997-08-09	VYDAJ	PREVOD NA UCET	1757	30524	SIPO	GH	28003591
711599	2433	1997-09-09	VYDAJ	PREVOD NA UCET	1757	29832	SIPO	GH	28003591
711600	2433	1997-10-09	VYDAJ	PREVOD NA UCET	1757	30821	SIPO	GH	28003591
711601	2433	1997-11-09	VYDAJ	PREVOD NA UCET	1757	33489	SIPO	GH	28003591
711602	2433	1997-12-09	VYDAJ	PREVOD NA UCET	1757	36019	SIPO	GH	28003591
711603	2433	1998-01-09	VYDAJ	PREVOD NA UCET	1757	34812	SIPO	GH	28003591
711604	2433	1998-02-09	VYDAJ	PREVOD NA UCET	1757	31414	SIPO	GH	28003591
711605	2433	1998-03-09	VYDAJ	PREVOD NA UCET	1757	30565	SIPO	GH	28003591
711606	2433	1998-04-09	VYDAJ	PREVOD NA UCET	1757	33637	SIPO	GH	28003591
711607	2433	1998-05-09	VYDAJ	PREVOD NA UCET	1757	35118	SIPO	GH	28003591
711608	2433	1998-06-09	VYDAJ	PREVOD NA UCET	1757	38206	SIPO	GH	28003591
711609	2433	1998-07-09	VYDAJ	PREVOD NA UCET	1757	37551	SIPO	GH	28003591
711610	2433	1998-08-09	VYDAJ	PREVOD NA UCET	1757	39848	SIPO	GH	28003591
711611	2433	1998-09-09	VYDAJ	PREVOD NA UCET	1757	42957	SIPO	GH	28003591
711612	2433	1998-10-09	VYDAJ	PREVOD NA UCET	1757	46076	SIPO	GH	28003591
711613	2433	1998-11-09	VYDAJ	PREVOD NA UCET	1757	49207	SIPO	GH	28003591
711614	2433	1998-12-09	VYDAJ	PREVOD NA UCET	1757	52352	SIPO	GH	28003591
711616	2433	1994-06-25	VYDAJ	VYBER	7600	18805	\N	\N	\N
711617	2433	1995-06-17	VYDAJ	VYBER	5800	28886	\N	\N	\N
711618	2433	1996-06-05	VYDAJ	VYBER	12800	29557	\N	\N	\N
711619	2433	1997-06-23	VYDAJ	VYBER	7050	27188	\N	\N	\N
711620	2433	1998-06-23	VYDAJ	VYBER	3750	34456	\N	\N	\N
711622	2433	1994-01-25	VYDAJ	VYBER	3950	13609	\N	\N	\N
711623	2433	1995-01-21	VYDAJ	VYBER	2750	22374	\N	\N	\N
711624	2433	1996-01-21	VYDAJ	VYBER	1400	34249	\N	\N	\N
711625	2433	1997-01-01	VYDAJ	VYBER	3650	28991	\N	\N	\N
711627	2433	1993-12-26	VYDAJ	VYBER	550	25285	\N	\N	\N
711628	2433	1994-12-07	VYDAJ	VYBER	450	29939	\N	\N	\N
711629	2433	1995-12-07	VYDAJ	VYBER	950	40836	\N	\N	\N
711630	2433	1996-12-04	VYDAJ	VYBER	900	33073	\N	\N	\N
711631	2433	1997-12-07	VYDAJ	VYBER	550	37776	\N	\N	\N
711632	2433	1998-12-17	VYDAJ	VYBER	850	51502	\N	\N	\N
711639	2433	1994-01-22	VYDAJ	VYBER	1760	19159	\N	\N	\N
711640	2433	1994-01-22	VYDAJ	VYBER	2000	20919	\N	\N	\N
711641	2433	1994-01-01	VYDAJ	VYBER	1360	22258	\N	\N	\N
711642	2433	1994-01-05	VYDAJ	VYBER	800	26176	\N	\N	\N
711643	2433	1994-01-01	VYDAJ	VYBER	1760	23618	\N	\N	\N
711644	2433	1994-01-24	VYDAJ	VYBER	1600	17559	\N	\N	\N
711645	2433	1995-01-15	VYDAJ	VYBER	1200	25124	\N	\N	\N
711646	2433	1995-01-05	VYDAJ	VYBER	1920	31081	\N	\N	\N
711647	2433	1995-01-27	VYDAJ	VYBER	640	20454	\N	\N	\N
711648	2433	1995-01-07	VYDAJ	VYBER	2000	29081	\N	\N	\N
711649	2433	1995-01-22	VYDAJ	VYBER	1280	21094	\N	\N	\N
711650	2433	1995-01-28	VYDAJ	VYBER	1040	19414	\N	\N	\N
711651	2433	1996-01-18	VYDAJ	VYBER	2000	35649	\N	\N	\N
711652	2433	1996-01-05	VYDAJ	VYBER	800	39886	\N	\N	\N
711653	2433	1996-01-29	VYDAJ	VYBER	1840	31529	\N	\N	\N
711654	2433	1996-01-03	VYDAJ	VYBER	2160	37068	\N	\N	\N
711655	2433	1996-01-26	VYDAJ	VYBER	880	33369	\N	\N	\N
711656	2433	1996-01-12	VYDAJ	VYBER	480	37649	\N	\N	\N
711657	2433	1997-01-03	VYDAJ	VYBER	1280	27711	\N	\N	\N
711658	2433	1997-01-06	VYDAJ	VYBER	560	29949	\N	\N	\N
711659	2433	1997-01-14	VYDAJ	VYBER	1200	25872	\N	\N	\N
711660	2433	1997-01-25	VYDAJ	VYBER	1360	24512	\N	\N	\N
711661	2433	1997-01-11	VYDAJ	VYBER	1120	27072	\N	\N	\N
711662	2433	1997-01-05	VYDAJ	VYBER	1920	30509	\N	\N	\N
711663	2433	1998-01-20	VYDAJ	VYBER	480	32332	\N	\N	\N
711664	2433	1998-01-30	VYDAJ	VYBER	800	28332	\N	\N	\N
711665	2433	1998-01-23	VYDAJ	VYBER	1040	29852	\N	\N	\N
711666	2433	1998-01-23	VYDAJ	VYBER	1440	30892	\N	\N	\N
711667	2433	1998-01-24	VYDAJ	VYBER	720	29132	\N	\N	\N
711668	2433	1998-01-18	VYDAJ	VYBER	2000	32812	\N	\N	\N
711671	2433	1993-07-28	VYDAJ	VYBER	3520	17145	\N	\N	\N
711672	2433	1994-09-21	VYDAJ	VYBER	1600	19517	\N	\N	\N
711673	2433	1994-07-24	VYDAJ	VYBER	3120	18734	\N	\N	\N
711675	2433	1994-05-09	VYDAJ	VYBER	960	24758	\N	\N	\N
711676	2433	1994-08-27	VYDAJ	VYBER	3680	18085	\N	\N	\N
711677	2433	1995-09-11	VYDAJ	VYBER	2160	34926	\N	\N	\N
711678	2433	1995-09-10	VYDAJ	VYBER	1040	37086	\N	\N	\N
711679	2433	1996-10-27	VYDAJ	VYBER	480	30779	\N	\N	\N
711680	2433	1996-07-18	VYDAJ	VYBER	3600	27275	\N	\N	\N
711681	2433	1996-02-05	VYDAJ	VYBER	3280	33104	\N	\N	\N
711682	2433	1996-12-18	VYDAJ	VYBER	3520	32514	\N	\N	\N
711683	2433	1996-08-30	VYDAJ	VYBER	3840	25138	\N	\N	\N
711684	2433	1996-07-21	VYDAJ	VYBER	560	26715	\N	\N	\N
711685	2433	1996-07-26	VYDAJ	VYBER	800	25915	\N	\N	\N
711686	2433	1997-10-10	VYDAJ	VYBER	400	30421	\N	\N	\N
711687	2433	1997-09-09	VYDAJ	VYBER	3760	31589	\N	\N	\N
711688	2433	1997-09-29	VYDAJ	VYBER	2080	27752	\N	\N	\N
711689	2433	1997-05-18	VYDAJ	VYBER	3200	31159	\N	\N	\N
711690	2433	1997-03-11	VYDAJ	VYBER	2400	28225	\N	\N	\N
711691	2433	1997-07-03	VYDAJ	VYBER	2800	24503	\N	\N	\N
711692	2433	1998-03-05	VYDAJ	VYBER	3920	32322	\N	\N	\N
711693	2433	1998-08-02	VYDAJ	VYBER	800	36887	\N	\N	\N
711694	2433	1998-05-08	VYDAJ	VYBER	1600	36875	\N	\N	\N
711702	2433	1993-07-31	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
711703	2433	1993-08-31	VYDAJ	VYBER	15	20241	SLUZBY	\N	\N
711704	2433	1993-09-30	VYDAJ	VYBER	15	22780	SLUZBY	\N	\N
711705	2433	1993-10-31	VYDAJ	VYBER	15	23225	SLUZBY	\N	\N
711706	2433	1993-11-30	VYDAJ	VYBER	15	24574	SLUZBY	\N	\N
711707	2433	1993-12-31	VYDAJ	VYBER	15	25378	SLUZBY	\N	\N
711708	2433	1994-01-31	VYDAJ	VYBER	15	13682	SLUZBY	\N	\N
711709	2433	1994-02-28	VYDAJ	VYBER	15	16694	SLUZBY	\N	\N
711710	2433	1994-03-31	VYDAJ	VYBER	15	19719	SLUZBY	\N	\N
711711	2433	1994-04-30	VYDAJ	VYBER	15	22757	SLUZBY	\N	\N
711712	2433	1994-05-31	VYDAJ	VYBER	15	24844	SLUZBY	\N	\N
711713	2433	1994-06-30	VYDAJ	VYBER	15	18893	SLUZBY	\N	\N
711714	2433	1994-07-31	VYDAJ	VYBER	15	18804	SLUZBY	\N	\N
711715	2433	1994-08-31	VYDAJ	VYBER	15	18156	SLUZBY	\N	\N
711716	2433	1994-09-30	VYDAJ	VYBER	15	19584	SLUZBY	\N	\N
711717	2433	1994-10-31	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
711718	2433	1994-11-30	VYDAJ	VYBER	15	25671	SLUZBY	\N	\N
711719	2433	1994-12-31	VYDAJ	VYBER	15	28283	SLUZBY	\N	\N
711720	2433	1995-01-31	VYDAJ	VYBER	15	19503	SLUZBY	\N	\N
711721	2433	1995-02-28	VYDAJ	VYBER	15	22539	SLUZBY	\N	\N
711722	2433	1995-03-31	VYDAJ	VYBER	15	25588	SLUZBY	\N	\N
711723	2433	1995-04-30	VYDAJ	VYBER	15	28650	SLUZBY	\N	\N
711724	2433	1995-05-31	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
711725	2433	1995-06-30	VYDAJ	VYBER	15	29001	SLUZBY	\N	\N
711726	2433	1995-07-31	VYDAJ	VYBER	15	32077	SLUZBY	\N	\N
711727	2433	1995-08-31	VYDAJ	VYBER	15	35165	SLUZBY	\N	\N
711728	2433	1995-09-30	VYDAJ	VYBER	15	35058	SLUZBY	\N	\N
711729	2433	1995-10-31	VYDAJ	VYBER	15	38159	SLUZBY	\N	\N
711730	2433	1995-11-30	VYDAJ	VYBER	15	39368	SLUZBY	\N	\N
711731	2433	1995-12-31	VYDAJ	VYBER	15	39228	SLUZBY	\N	\N
711732	2433	1996-01-31	VYDAJ	VYBER	15	31666	SLUZBY	\N	\N
711733	2433	1996-02-29	VYDAJ	VYBER	15	31463	SLUZBY	\N	\N
711734	2433	1996-03-31	VYDAJ	VYBER	15	32846	SLUZBY	\N	\N
711735	2433	1996-04-30	VYDAJ	VYBER	15	35938	SLUZBY	\N	\N
711736	2433	1996-05-31	VYDAJ	VYBER	15	37639	SLUZBY	\N	\N
711737	2433	1996-06-30	VYDAJ	VYBER	15	27914	SLUZBY	\N	\N
711738	2433	1996-07-31	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
711739	2433	1996-08-31	VYDAJ	VYBER	15	25239	SLUZBY	\N	\N
711740	2433	1996-09-30	VYDAJ	VYBER	15	28298	SLUZBY	\N	\N
711741	2433	1996-10-31	VYDAJ	VYBER	15	30890	SLUZBY	\N	\N
711742	2433	1996-11-30	VYDAJ	VYBER	15	33973	SLUZBY	\N	\N
711743	2433	1996-12-31	VYDAJ	VYBER	15	32641	SLUZBY	\N	\N
711744	2433	1997-01-31	VYDAJ	VYBER	15	24608	SLUZBY	\N	\N
711745	2433	1997-02-28	VYDAJ	VYBER	15	27664	SLUZBY	\N	\N
711746	2433	1997-03-31	VYDAJ	VYBER	15	28327	SLUZBY	\N	\N
711747	2433	1997-04-30	VYDAJ	VYBER	15	31398	SLUZBY	\N	\N
711748	2433	1997-05-31	VYDAJ	VYBER	15	31277	SLUZBY	\N	\N
711749	2433	1997-06-30	VYDAJ	VYBER	15	27303	SLUZBY	\N	\N
711750	2433	1997-07-31	VYDAJ	VYBER	15	27563	SLUZBY	\N	\N
711751	2433	1997-08-31	VYDAJ	VYBER	15	30631	SLUZBY	\N	\N
711752	2433	1997-09-30	VYDAJ	VYBER	15	27860	SLUZBY	\N	\N
711753	2433	1997-10-31	VYDAJ	VYBER	15	30528	SLUZBY	\N	\N
711754	2433	1997-11-30	VYDAJ	VYBER	15	33608	SLUZBY	\N	\N
711755	2433	1997-12-31	VYDAJ	VYBER	15	36151	SLUZBY	\N	\N
711756	2433	1998-01-31	VYDAJ	VYBER	15	28453	SLUZBY	\N	\N
711757	2433	1998-02-28	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
711758	2433	1998-03-31	VYDAJ	VYBER	15	30676	SLUZBY	\N	\N
711759	2433	1998-04-30	VYDAJ	VYBER	15	33757	SLUZBY	\N	\N
711760	2433	1998-05-31	VYDAJ	VYBER	15	35245	SLUZBY	\N	\N
711761	2433	1998-06-30	VYDAJ	VYBER	15	34590	SLUZBY	\N	\N
711762	2433	1998-07-31	VYDAJ	VYBER	15	37687	SLUZBY	\N	\N
711763	2433	1998-08-31	VYDAJ	VYBER	15	39996	SLUZBY	\N	\N
711764	2433	1998-09-30	VYDAJ	VYBER	15	43115	SLUZBY	\N	\N
711765	2433	1998-10-31	VYDAJ	VYBER	15	46246	SLUZBY	\N	\N
711766	2433	1998-11-30	VYDAJ	VYBER	15	49391	SLUZBY	\N	\N
711767	2433	1993-06-19	VYDAJ	VYBER	500	18872	\N	\N	\N
711768	2433	1993-07-19	VYDAJ	VYBER	1200	20665	\N	\N	\N
711769	2433	1993-09-17	VYDAJ	VYBER	500	22702	\N	\N	\N
711770	2433	1993-10-17	VYDAJ	VYBER	2600	23141	\N	\N	\N
711771	2433	1993-11-16	VYDAJ	VYBER	1700	24486	\N	\N	\N
711772	2433	1993-12-16	VYDAJ	VYBER	1700	25835	\N	\N	\N
711773	2433	1994-01-15	VYDAJ	VYBER	1500	22919	\N	\N	\N
711774	2433	1994-06-14	VYDAJ	VYBER	1400	26405	\N	\N	\N
711775	2433	1995-01-10	VYDAJ	VYBER	1000	26324	\N	\N	\N
711776	2433	1995-11-06	VYDAJ	VYBER	1900	40977	\N	\N	\N
711777	2433	1995-12-06	VYDAJ	VYBER	2300	41786	\N	\N	\N
711778	2433	1996-01-05	VYDAJ	VYBER	1100	40686	\N	\N	\N
711779	2433	1996-03-05	VYDAJ	VYBER	1700	34481	\N	\N	\N
711780	2433	1996-05-04	VYDAJ	VYBER	1400	34538	\N	\N	\N
711848	2434	1993-02-02	PRIJEM	VKLAD	600	600	\N	\N	\N
711850	2434	1993-02-12	PRIJEM	VKLAD	4391	4991	\N	\N	\N
711851	2434	1993-03-12	PRIJEM	VKLAD	4391	19995	\N	\N	\N
711852	2434	1993-04-12	PRIJEM	VKLAD	4391	27747	\N	\N	\N
711853	2434	1993-05-12	PRIJEM	VKLAD	4391	31542	\N	\N	\N
711854	2434	1993-06-12	PRIJEM	VKLAD	6586	34753	\N	\N	\N
711855	2434	1993-07-12	PRIJEM	VKLAD	4391	21893	\N	\N	\N
711856	2434	1993-08-12	PRIJEM	VKLAD	4391	27613	\N	\N	\N
711857	2434	1993-09-12	PRIJEM	VKLAD	4391	29858	\N	\N	\N
711858	2434	1993-10-12	PRIJEM	VKLAD	4391	28816	\N	\N	\N
711859	2434	1993-11-12	PRIJEM	VKLAD	4391	24511	\N	\N	\N
711860	2434	1993-12-12	PRIJEM	VKLAD	6586	24800	\N	\N	\N
711861	2434	1994-01-12	PRIJEM	VKLAD	4391	17995	\N	\N	\N
711862	2434	1994-02-12	PRIJEM	VKLAD	4391	22129	\N	\N	\N
711863	2434	1994-03-12	PRIJEM	VKLAD	4391	25156	\N	\N	\N
711864	2434	1994-04-12	PRIJEM	VKLAD	4391	25413	\N	\N	\N
711865	2434	1994-05-12	PRIJEM	VKLAD	4391	27053	\N	\N	\N
711866	2434	1994-06-12	PRIJEM	VKLAD	6586	21851	\N	\N	\N
711867	2434	1994-07-12	PRIJEM	VKLAD	4391	23800	\N	\N	\N
711868	2434	1994-08-12	PRIJEM	VKLAD	4391	24634	\N	\N	\N
711869	2434	1994-09-12	PRIJEM	VKLAD	4391	25533	\N	\N	\N
711870	2434	1994-10-12	PRIJEM	VKLAD	4391	25779	\N	\N	\N
711871	2434	1994-11-12	PRIJEM	VKLAD	4391	25519	\N	\N	\N
711872	2434	1994-12-12	PRIJEM	VKLAD	6586	27908	\N	\N	\N
711873	2434	1995-01-12	PRIJEM	VKLAD	4391	18947	\N	\N	\N
711874	2434	1995-02-12	PRIJEM	VKLAD	4391	21387	\N	\N	\N
711875	2434	1995-03-12	PRIJEM	VKLAD	4391	23511	\N	\N	\N
711876	2434	1995-04-12	PRIJEM	VKLAD	4391	22884	\N	\N	\N
711877	2434	1995-05-12	PRIJEM	VKLAD	4391	22111	\N	\N	\N
711878	2434	1995-06-12	PRIJEM	VKLAD	6586	26433	\N	\N	\N
711879	2434	1995-07-12	PRIJEM	VKLAD	4391	20834	\N	\N	\N
711880	2434	1995-08-12	PRIJEM	VKLAD	4391	18248	\N	\N	\N
711881	2434	1995-09-12	PRIJEM	VKLAD	4391	18256	\N	\N	\N
711882	2434	1995-10-12	PRIJEM	VKLAD	4391	19187	\N	\N	\N
711883	2434	1995-11-12	PRIJEM	VKLAD	4391	19303	\N	\N	\N
711884	2434	1995-12-12	PRIJEM	VKLAD	6586	21192	\N	\N	\N
711885	2434	1996-01-12	PRIJEM	VKLAD	4391	17447	\N	\N	\N
711886	2434	1996-02-12	PRIJEM	VKLAD	4391	17854	\N	\N	\N
711887	2434	1996-03-12	PRIJEM	VKLAD	4391	20063	\N	\N	\N
711888	2434	1996-04-12	PRIJEM	VKLAD	4391	18475	\N	\N	\N
711889	2434	1996-05-12	PRIJEM	VKLAD	4391	22190	\N	\N	\N
711890	2434	1996-06-12	PRIJEM	VKLAD	6586	25009	\N	\N	\N
711891	2434	1996-07-12	PRIJEM	VKLAD	4391	19172	\N	\N	\N
711892	2434	1996-08-12	PRIJEM	VKLAD	4391	20690	\N	\N	\N
711893	2434	1996-09-12	PRIJEM	VKLAD	4391	22209	\N	\N	\N
711894	2434	1996-10-12	PRIJEM	VKLAD	4391	16117	\N	\N	\N
711895	2434	1996-11-12	PRIJEM	VKLAD	4391	16217	\N	\N	\N
711896	2434	1996-12-12	PRIJEM	VKLAD	6586	19913	\N	\N	\N
711897	2434	1997-01-12	PRIJEM	VKLAD	4391	14609	\N	\N	\N
711898	2434	1997-02-12	PRIJEM	VKLAD	4391	16103	\N	\N	\N
711899	2434	1997-03-12	PRIJEM	VKLAD	4391	17603	\N	\N	\N
711900	2434	1997-04-12	PRIJEM	VKLAD	4391	12995	\N	\N	\N
711901	2434	1997-05-12	PRIJEM	VKLAD	4391	14482	\N	\N	\N
711902	2434	1997-06-12	PRIJEM	VKLAD	6586	18170	\N	\N	\N
711903	2434	1997-07-12	PRIJEM	VKLAD	4391	19675	\N	\N	\N
711904	2434	1997-08-12	PRIJEM	VKLAD	4391	21189	\N	\N	\N
711905	2434	1997-09-12	PRIJEM	VKLAD	4391	22710	\N	\N	\N
711906	2434	1997-10-12	PRIJEM	VKLAD	4391	24238	\N	\N	\N
711907	2434	1997-11-12	PRIJEM	VKLAD	4391	23971	\N	\N	\N
711908	2434	1997-12-12	PRIJEM	VKLAD	6586	24183	\N	\N	\N
711909	2434	1998-01-12	PRIJEM	VKLAD	4391	17219	\N	\N	\N
711910	2434	1998-02-12	PRIJEM	VKLAD	4391	18737	\N	\N	\N
711911	2434	1998-03-12	PRIJEM	VKLAD	4391	20247	\N	\N	\N
711912	2434	1998-04-12	PRIJEM	VKLAD	4391	21764	\N	\N	\N
711913	2434	1998-05-12	PRIJEM	VKLAD	4391	23287	\N	\N	\N
711914	2434	1998-06-12	PRIJEM	VKLAD	6586	18711	\N	\N	\N
711915	2434	1998-07-12	PRIJEM	VKLAD	4391	20232	\N	\N	\N
711916	2434	1998-08-12	PRIJEM	VKLAD	4391	21748	\N	\N	\N
711917	2434	1998-09-12	PRIJEM	VKLAD	4391	17471	\N	\N	\N
711918	2434	1998-10-12	PRIJEM	VKLAD	4391	18986	\N	\N	\N
711919	2434	1998-11-12	PRIJEM	VKLAD	4391	20497	\N	\N	\N
711920	2434	1998-12-12	PRIJEM	VKLAD	6586	22405	\N	\N	\N
711926	2434	1993-06-14	VYDAJ	PREVOD NA UCET	2927	31826	SIPO	CD	94916831
711927	2434	1993-07-14	VYDAJ	PREVOD NA UCET	2927	18966	SIPO	CD	94916831
711928	2434	1993-08-14	VYDAJ	PREVOD NA UCET	2927	24686	SIPO	CD	94916831
711929	2434	1993-09-14	VYDAJ	PREVOD NA UCET	2927	26931	SIPO	CD	94916831
711930	2434	1993-10-14	VYDAJ	PREVOD NA UCET	2927	25889	SIPO	CD	94916831
711931	2434	1993-11-14	VYDAJ	PREVOD NA UCET	2927	21584	SIPO	CD	94916831
711932	2434	1993-12-14	VYDAJ	PREVOD NA UCET	2927	21873	SIPO	CD	94916831
711933	2434	1994-01-14	VYDAJ	PREVOD NA UCET	2927	15068	SIPO	CD	94916831
711934	2434	1994-02-14	VYDAJ	PREVOD NA UCET	2927	19202	SIPO	CD	94916831
711935	2434	1994-03-14	VYDAJ	PREVOD NA UCET	2927	22229	SIPO	CD	94916831
711936	2434	1994-04-14	VYDAJ	PREVOD NA UCET	2927	22486	SIPO	CD	94916831
711937	2434	1994-05-14	VYDAJ	PREVOD NA UCET	2927	24126	SIPO	CD	94916831
711938	2434	1994-06-14	VYDAJ	PREVOD NA UCET	2927	18924	SIPO	CD	94916831
711939	2434	1994-07-14	VYDAJ	PREVOD NA UCET	2927	20873	SIPO	CD	94916831
711940	2434	1994-08-14	VYDAJ	PREVOD NA UCET	2927	21707	SIPO	CD	94916831
711941	2434	1994-09-14	VYDAJ	PREVOD NA UCET	2927	22606	SIPO	CD	94916831
711942	2434	1994-10-14	VYDAJ	PREVOD NA UCET	2927	22852	SIPO	CD	94916831
711943	2434	1994-11-14	VYDAJ	PREVOD NA UCET	2927	22592	SIPO	CD	94916831
711944	2434	1994-12-14	VYDAJ	PREVOD NA UCET	2927	20501	SIPO	CD	94916831
711945	2434	1995-01-14	VYDAJ	PREVOD NA UCET	2927	16020	SIPO	CD	94916831
711946	2434	1995-02-14	VYDAJ	PREVOD NA UCET	2927	18460	SIPO	CD	94916831
711947	2434	1995-03-14	VYDAJ	PREVOD NA UCET	2927	20584	SIPO	CD	94916831
711948	2434	1995-04-14	VYDAJ	PREVOD NA UCET	2927	19957	SIPO	CD	94916831
711949	2434	1995-05-14	VYDAJ	PREVOD NA UCET	2927	19184	SIPO	CD	94916831
711950	2434	1995-06-14	VYDAJ	PREVOD NA UCET	2927	15186	SIPO	CD	94916831
711951	2434	1995-07-14	VYDAJ	PREVOD NA UCET	2927	17907	SIPO	CD	94916831
711952	2434	1995-08-14	VYDAJ	PREVOD NA UCET	2927	15321	SIPO	CD	94916831
711953	2434	1995-09-14	VYDAJ	PREVOD NA UCET	2927	15329	SIPO	CD	94916831
711954	2434	1995-10-14	VYDAJ	PREVOD NA UCET	2927	16260	SIPO	CD	94916831
711955	2434	1995-11-14	VYDAJ	PREVOD NA UCET	2927	16376	SIPO	CD	94916831
711956	2434	1995-12-14	VYDAJ	PREVOD NA UCET	2927	18265	SIPO	CD	94916831
711957	2434	1996-01-14	VYDAJ	PREVOD NA UCET	2927	13920	SIPO	CD	94916831
711958	2434	1996-02-14	VYDAJ	PREVOD NA UCET	2927	14927	SIPO	CD	94916831
711959	2434	1996-03-14	VYDAJ	PREVOD NA UCET	2927	17136	SIPO	CD	94916831
711960	2434	1996-04-14	VYDAJ	PREVOD NA UCET	2927	15548	SIPO	CD	94916831
711961	2434	1996-05-14	VYDAJ	PREVOD NA UCET	2927	19263	SIPO	CD	94916831
711962	2434	1996-06-14	VYDAJ	PREVOD NA UCET	2927	22082	SIPO	CD	94916831
711963	2434	1996-07-14	VYDAJ	PREVOD NA UCET	2927	16245	SIPO	CD	94916831
711964	2434	1996-08-14	VYDAJ	PREVOD NA UCET	2927	17763	SIPO	CD	94916831
711965	2434	1996-09-14	VYDAJ	PREVOD NA UCET	2927	19282	SIPO	CD	94916831
711966	2434	1996-10-14	VYDAJ	PREVOD NA UCET	2927	13190	SIPO	CD	94916831
711967	2434	1996-11-14	VYDAJ	PREVOD NA UCET	2927	13290	SIPO	CD	94916831
711968	2434	1996-12-14	VYDAJ	PREVOD NA UCET	2927	10186	SIPO	CD	94916831
711969	2434	1997-01-14	VYDAJ	PREVOD NA UCET	2927	11682	SIPO	CD	94916831
711970	2434	1997-02-14	VYDAJ	PREVOD NA UCET	2927	13176	SIPO	CD	94916831
711971	2434	1997-03-14	VYDAJ	PREVOD NA UCET	2927	8576	SIPO	CD	94916831
711972	2434	1997-04-14	VYDAJ	PREVOD NA UCET	2927	10068	SIPO	CD	94916831
711973	2434	1997-05-14	VYDAJ	PREVOD NA UCET	2927	11555	SIPO	CD	94916831
711974	2434	1997-06-14	VYDAJ	PREVOD NA UCET	2927	15243	SIPO	CD	94916831
711975	2434	1997-07-14	VYDAJ	PREVOD NA UCET	2927	16748	SIPO	CD	94916831
711976	2434	1997-08-14	VYDAJ	PREVOD NA UCET	2927	18262	SIPO	CD	94916831
711977	2434	1997-09-14	VYDAJ	PREVOD NA UCET	2927	19783	SIPO	CD	94916831
711978	2434	1997-10-14	VYDAJ	PREVOD NA UCET	2927	21311	SIPO	CD	94916831
711979	2434	1997-11-14	VYDAJ	PREVOD NA UCET	2927	21044	SIPO	CD	94916831
711980	2434	1997-12-14	VYDAJ	PREVOD NA UCET	2927	21256	SIPO	CD	94916831
711981	2434	1998-01-14	VYDAJ	PREVOD NA UCET	2927	14292	SIPO	CD	94916831
711982	2434	1998-02-14	VYDAJ	PREVOD NA UCET	2927	15810	SIPO	CD	94916831
711983	2434	1998-03-14	VYDAJ	PREVOD NA UCET	2927	17320	SIPO	CD	94916831
711984	2434	1998-04-14	VYDAJ	PREVOD NA UCET	2927	18837	SIPO	CD	94916831
711985	2434	1998-05-14	VYDAJ	PREVOD NA UCET	2927	20360	SIPO	CD	94916831
711986	2434	1998-06-14	VYDAJ	PREVOD NA UCET	2927	15784	SIPO	CD	94916831
711987	2434	1998-07-14	VYDAJ	PREVOD NA UCET	2927	17305	SIPO	CD	94916831
711988	2434	1998-08-14	VYDAJ	PREVOD NA UCET	2927	18821	SIPO	CD	94916831
711989	2434	1998-09-14	VYDAJ	PREVOD NA UCET	2927	14544	SIPO	CD	94916831
711990	2434	1998-10-14	VYDAJ	PREVOD NA UCET	2927	16059	SIPO	CD	94916831
711991	2434	1998-11-14	VYDAJ	PREVOD NA UCET	2927	15770	SIPO	CD	94916831
711992	2434	1998-12-14	VYDAJ	PREVOD NA UCET	2927	19478	SIPO	CD	94916831
711993	2434	1993-06-15	VYDAJ	VYBER	19200	12626	\N	\N	\N
711994	2434	1994-06-09	VYDAJ	VYBER	6080	16465	\N	\N	\N
711995	2434	1995-06-13	VYDAJ	VYBER	8320	18113	\N	\N	\N
712001	2434	1995-01-06	VYDAJ	VYBER	2560	14556	\N	\N	\N
712005	2434	1993-12-29	VYDAJ	VYBER	4640	20133	\N	\N	\N
712006	2434	1994-12-13	VYDAJ	VYBER	4480	23428	\N	\N	\N
712007	2434	1995-12-09	VYDAJ	VYBER	1920	14606	\N	\N	\N
712009	2434	1997-12-07	VYDAJ	VYBER	3520	17597	\N	\N	\N
712018	2434	1994-01-29	VYDAJ	VYBER	3240	17688	\N	\N	\N
712019	2434	1994-01-08	VYDAJ	VYBER	1680	13604	\N	\N	\N
712020	2434	1994-01-03	VYDAJ	VYBER	1800	18404	\N	\N	\N
712021	2434	1994-01-20	VYDAJ	VYBER	1440	13628	\N	\N	\N
712022	2434	1994-01-04	VYDAJ	VYBER	3120	15284	\N	\N	\N
712023	2434	1995-01-28	VYDAJ	VYBER	1920	16940	\N	\N	\N
712024	2434	1995-01-05	VYDAJ	VYBER	960	20356	\N	\N	\N
712025	2434	1995-01-06	VYDAJ	VYBER	3240	17116	\N	\N	\N
712026	2434	1995-01-18	VYDAJ	VYBER	720	15300	\N	\N	\N
712027	2434	1995-01-04	VYDAJ	VYBER	960	21316	\N	\N	\N
712028	2434	1995-01-22	VYDAJ	VYBER	2040	13260	\N	\N	\N
712033	2434	1996-01-01	VYDAJ	VYBER	960	13056	\N	\N	\N
712034	2434	1996-01-13	VYDAJ	VYBER	600	16847	\N	\N	\N
712047	2434	1993-11-03	VYDAJ	VYBER	5760	20120	\N	\N	\N
712048	2434	1993-11-16	VYDAJ	VYBER	5040	15344	\N	\N	\N
712051	2434	1993-11-14	VYDAJ	VYBER	1200	20384	\N	\N	\N
712052	2434	1994-09-11	VYDAJ	VYBER	3240	21142	\N	\N	\N
712053	2434	1994-06-11	VYDAJ	VYBER	1200	15265	\N	\N	\N
712054	2434	1994-03-21	VYDAJ	VYBER	2280	19949	\N	\N	\N
712055	2434	1994-11-14	VYDAJ	VYBER	3240	19352	\N	\N	\N
712056	2434	1994-05-20	VYDAJ	VYBER	3360	20766	\N	\N	\N
712057	2434	1994-06-17	VYDAJ	VYBER	2880	16044	\N	\N	\N
712058	2434	1995-03-24	VYDAJ	VYBER	2760	18424	\N	\N	\N
712060	2434	1995-07-19	VYDAJ	VYBER	4800	13107	\N	\N	\N
712061	2434	1995-10-01	VYDAJ	VYBER	1680	14796	\N	\N	\N
712062	2434	1996-07-05	VYDAJ	VYBER	2160	14781	\N	\N	\N
712069	2434	1997-11-02	VYDAJ	VYBER	1800	19580	\N	\N	\N
712077	2434	1998-11-13	VYDAJ	VYBER	1800	18697	\N	\N	\N
712087	2434	1993-06-30	VYDAJ	VYBER	15	12702	SLUZBY	\N	\N
712088	2434	1993-07-31	VYDAJ	VYBER	15	19022	SLUZBY	\N	\N
712089	2434	1993-08-31	VYDAJ	VYBER	15	25467	SLUZBY	\N	\N
712090	2434	1993-09-30	VYDAJ	VYBER	15	24425	SLUZBY	\N	\N
712091	2434	1993-10-31	VYDAJ	VYBER	15	25880	SLUZBY	\N	\N
712092	2434	1993-11-30	VYDAJ	VYBER	15	18214	SLUZBY	\N	\N
712093	2434	1993-12-31	VYDAJ	VYBER	15	20204	SLUZBY	\N	\N
712094	2434	1994-01-31	VYDAJ	VYBER	15	17738	SLUZBY	\N	\N
712095	2434	1994-02-28	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
712096	2434	1994-03-31	VYDAJ	VYBER	15	21022	SLUZBY	\N	\N
712097	2434	1994-04-30	VYDAJ	VYBER	15	22662	SLUZBY	\N	\N
712098	2434	1994-05-31	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
712099	2434	1994-06-30	VYDAJ	VYBER	15	19409	SLUZBY	\N	\N
712100	2434	1994-07-31	VYDAJ	VYBER	15	20243	SLUZBY	\N	\N
712101	2434	1994-08-31	VYDAJ	VYBER	15	24382	SLUZBY	\N	\N
712102	2434	1994-09-30	VYDAJ	VYBER	15	21388	SLUZBY	\N	\N
712103	2434	1994-10-31	VYDAJ	VYBER	15	21128	SLUZBY	\N	\N
712104	2434	1994-11-30	VYDAJ	VYBER	15	21322	SLUZBY	\N	\N
712105	2434	1994-12-31	VYDAJ	VYBER	15	22276	SLUZBY	\N	\N
712106	2434	1995-01-31	VYDAJ	VYBER	15	16996	SLUZBY	\N	\N
712107	2434	1995-02-28	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
712108	2434	1995-03-31	VYDAJ	VYBER	15	18493	SLUZBY	\N	\N
712109	2434	1995-04-30	VYDAJ	VYBER	15	17720	SLUZBY	\N	\N
712110	2434	1995-05-31	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
712111	2434	1995-06-30	VYDAJ	VYBER	15	16443	SLUZBY	\N	\N
712112	2434	1995-07-31	VYDAJ	VYBER	15	13857	SLUZBY	\N	\N
712113	2434	1995-08-31	VYDAJ	VYBER	15	13865	SLUZBY	\N	\N
712114	2434	1995-09-30	VYDAJ	VYBER	15	16476	SLUZBY	\N	\N
712115	2434	1995-10-31	VYDAJ	VYBER	15	14912	SLUZBY	\N	\N
712116	2434	1995-11-30	VYDAJ	VYBER	15	16526	SLUZBY	\N	\N
712117	2434	1995-12-31	VYDAJ	VYBER	15	14016	SLUZBY	\N	\N
712118	2434	1996-01-31	VYDAJ	VYBER	15	13463	SLUZBY	\N	\N
712119	2434	1996-02-29	VYDAJ	VYBER	15	15672	SLUZBY	\N	\N
712120	2434	1996-03-31	VYDAJ	VYBER	15	14084	SLUZBY	\N	\N
712121	2434	1996-04-30	VYDAJ	VYBER	15	17799	SLUZBY	\N	\N
712122	2434	1996-05-31	VYDAJ	VYBER	15	18423	SLUZBY	\N	\N
712123	2434	1996-06-30	VYDAJ	VYBER	15	16941	SLUZBY	\N	\N
712124	2434	1996-07-31	VYDAJ	VYBER	15	16299	SLUZBY	\N	\N
712125	2434	1996-08-31	VYDAJ	VYBER	15	17818	SLUZBY	\N	\N
712126	2434	1996-09-30	VYDAJ	VYBER	15	11726	SLUZBY	\N	\N
712127	2434	1996-10-31	VYDAJ	VYBER	15	11826	SLUZBY	\N	\N
712128	2434	1996-11-30	VYDAJ	VYBER	15	13327	SLUZBY	\N	\N
712129	2434	1996-12-31	VYDAJ	VYBER	15	10218	SLUZBY	\N	\N
712130	2434	1997-01-31	VYDAJ	VYBER	15	11712	SLUZBY	\N	\N
712131	2434	1997-02-28	VYDAJ	VYBER	15	13212	SLUZBY	\N	\N
712132	2434	1997-03-31	VYDAJ	VYBER	15	8604	SLUZBY	\N	\N
712133	2434	1997-04-30	VYDAJ	VYBER	15	10091	SLUZBY	\N	\N
712134	2434	1997-05-31	VYDAJ	VYBER	15	11584	SLUZBY	\N	\N
712135	2434	1997-06-30	VYDAJ	VYBER	15	15284	SLUZBY	\N	\N
712136	2434	1997-07-31	VYDAJ	VYBER	15	16798	SLUZBY	\N	\N
712137	2434	1997-08-31	VYDAJ	VYBER	15	18319	SLUZBY	\N	\N
712138	2434	1997-09-30	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
712139	2434	1997-10-31	VYDAJ	VYBER	15	21380	SLUZBY	\N	\N
712140	2434	1997-11-30	VYDAJ	VYBER	15	21117	SLUZBY	\N	\N
712141	2434	1997-12-31	VYDAJ	VYBER	15	21328	SLUZBY	\N	\N
712142	2434	1998-01-31	VYDAJ	VYBER	15	14346	SLUZBY	\N	\N
712143	2434	1998-02-28	VYDAJ	VYBER	15	15856	SLUZBY	\N	\N
712144	2434	1998-03-31	VYDAJ	VYBER	15	17373	SLUZBY	\N	\N
712145	2434	1998-04-30	VYDAJ	VYBER	15	18896	SLUZBY	\N	\N
712146	2434	1998-05-31	VYDAJ	VYBER	15	20425	SLUZBY	\N	\N
712147	2434	1998-06-30	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
712148	2434	1998-07-31	VYDAJ	VYBER	15	17357	SLUZBY	\N	\N
712149	2434	1998-08-31	VYDAJ	VYBER	15	18880	SLUZBY	\N	\N
712150	2434	1998-09-30	VYDAJ	VYBER	15	14595	SLUZBY	\N	\N
712151	2434	1998-10-31	VYDAJ	VYBER	15	16106	SLUZBY	\N	\N
712152	2434	1998-11-30	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
712153	2434	1993-03-04	PRIJEM	VKLAD	10600	15604	\N	\N	\N
712154	2434	1993-04-03	PRIJEM	VKLAD	3300	23356	\N	\N	\N
712155	2434	1993-05-03	VYDAJ	VYBER	700	27151	\N	\N	\N
712156	2434	1993-06-02	VYDAJ	VYBER	3500	28167	\N	\N	\N
712157	2434	1993-07-02	PRIJEM	VKLAD	4800	17502	\N	\N	\N
712158	2434	1993-08-01	PRIJEM	VKLAD	4200	23222	\N	\N	\N
712159	2434	1993-08-31	PRIJEM	VKLAD	700	25386	\N	\N	\N
712160	2434	1993-09-30	VYDAJ	VYBER	2600	24440	\N	\N	\N
712161	2434	1993-10-30	VYDAJ	VYBER	100	25789	\N	\N	\N
712162	2434	1993-11-29	PRIJEM	VKLAD	2800	18144	\N	\N	\N
712163	2434	1993-12-29	PRIJEM	VKLAD	2900	24773	\N	\N	\N
712164	2434	1994-01-28	PRIJEM	VKLAD	7300	20928	\N	\N	\N
712165	2434	1994-02-27	PRIJEM	VKLAD	1500	20702	\N	\N	\N
712166	2434	1994-03-29	PRIJEM	VKLAD	1000	20949	\N	\N	\N
712167	2434	1994-04-28	PRIJEM	VKLAD	100	22586	\N	\N	\N
712168	2434	1994-05-28	PRIJEM	VKLAD	1700	22466	\N	\N	\N
712169	2434	1994-06-27	PRIJEM	VKLAD	3300	19344	\N	\N	\N
712170	2434	1994-07-27	VYDAJ	VYBER	700	20173	\N	\N	\N
712171	2434	1994-08-26	PRIJEM	VKLAD	2600	24307	\N	\N	\N
712172	2434	1994-09-25	VYDAJ	VYBER	1300	21306	\N	\N	\N
712173	2434	1994-10-25	VYDAJ	VYBER	1800	21052	\N	\N	\N
712174	2434	1994-11-24	PRIJEM	VKLAD	1900	21252	\N	\N	\N
712175	2434	1994-12-24	PRIJEM	VKLAD	1700	22201	\N	\N	\N
712176	2434	1995-01-23	PRIJEM	VKLAD	5600	18860	\N	\N	\N
712177	2434	1995-02-22	PRIJEM	VKLAD	600	19060	\N	\N	\N
712178	2434	1995-03-24	PRIJEM	VKLAD	600	21184	\N	\N	\N
712179	2434	1995-04-23	VYDAJ	VYBER	2300	17657	\N	\N	\N
712180	2434	1995-05-23	PRIJEM	VKLAD	600	19784	\N	\N	\N
712181	2434	1995-06-22	PRIJEM	VKLAD	1200	16386	\N	\N	\N
712182	2434	1995-07-22	PRIJEM	VKLAD	700	13807	\N	\N	\N
712183	2434	1995-08-21	VYDAJ	VYBER	1500	13821	\N	\N	\N
712184	2434	1995-09-20	PRIJEM	VKLAD	1100	16429	\N	\N	\N
712185	2434	1995-10-20	VYDAJ	VYBER	1400	14860	\N	\N	\N
712186	2434	1995-11-19	PRIJEM	VKLAD	100	16476	\N	\N	\N
712187	2434	1995-12-19	VYDAJ	VYBER	4300	13965	\N	\N	\N
712188	2434	1996-01-18	VYDAJ	VYBER	500	13420	\N	\N	\N
712189	2434	1996-02-17	PRIJEM	VKLAD	700	15627	\N	\N	\N
712190	2434	1996-03-18	VYDAJ	VYBER	3100	14036	\N	\N	\N
712191	2434	1996-04-17	PRIJEM	VKLAD	2200	17748	\N	\N	\N
712192	2434	1996-05-17	VYDAJ	VYBER	900	18363	\N	\N	\N
712193	2434	1996-06-16	VYDAJ	VYBER	5200	16882	\N	\N	\N
712194	2434	1996-09-14	VYDAJ	VYBER	7600	11682	\N	\N	\N
712195	2434	1996-10-14	VYDAJ	VYBER	1400	11790	\N	\N	\N
712196	2434	1996-12-13	VYDAJ	VYBER	6800	13113	\N	\N	\N
712197	2434	1997-03-13	VYDAJ	VYBER	6100	11503	\N	\N	\N
712198	2434	1998-01-07	VYDAJ	VYBER	8500	12828	\N	\N	\N
712199	2434	1998-06-06	VYDAJ	VYBER	8300	12125	\N	\N	\N
712200	2434	1998-09-04	VYDAJ	VYBER	5800	13080	\N	\N	\N
712272	2435	1993-11-01	PRIJEM	VKLAD	200	200	\N	\N	\N
712280	2435	1993-12-21	PRIJEM	VKLAD	10403	22003	\N	\N	\N
712281	2435	1994-05-14	PRIJEM	VKLAD	12322	63794	\N	\N	\N
712282	2435	1994-01-16	PRIJEM	VKLAD	23067	44002	\N	\N	\N
712283	2435	1994-08-03	PRIJEM	VKLAD	41733	92653	\N	\N	\N
712284	2435	1994-01-22	PRIJEM	VKLAD	24904	68906	\N	\N	\N
712285	2435	1994-12-06	PRIJEM	VKLAD	32537	82963	\N	\N	\N
712286	2435	1994-02-09	PRIJEM	VKLAD	25572	76293	\N	\N	\N
712287	2435	1994-10-26	PRIJEM	VKLAD	24420	48429	\N	\N	\N
712288	2435	1994-01-25	PRIJEM	VKLAD	5364	74270	\N	\N	\N
712289	2435	1994-04-05	PRIJEM	VKLAD	48146	104036	\N	\N	\N
712290	2435	1994-03-03	PRIJEM	VKLAD	44285	93612	\N	\N	\N
712291	2435	1994-06-09	PRIJEM	VKLAD	41888	78317	\N	\N	\N
712292	2435	1994-03-12	PRIJEM	VKLAD	19006	104714	\N	\N	\N
712293	2435	1994-07-15	PRIJEM	VKLAD	48802	83258	\N	\N	\N
712294	2435	1994-12-08	PRIJEM	VKLAD	31065	106124	\N	\N	\N
712295	2435	1994-10-28	PRIJEM	VKLAD	20858	57387	\N	\N	\N
712296	2435	1994-11-26	PRIJEM	VKLAD	36321	73639	\N	\N	\N
712297	2435	1994-12-20	PRIJEM	VKLAD	38919	145043	\N	\N	\N
712298	2435	1995-12-23	PRIJEM	VKLAD	16860	41650	\N	\N	\N
712299	2435	1995-09-16	PRIJEM	VKLAD	33457	62294	\N	\N	\N
712300	2435	1995-03-24	PRIJEM	VKLAD	7461	66919	\N	\N	\N
712301	2435	1995-11-06	PRIJEM	VKLAD	17617	91618	\N	\N	\N
712302	2435	1995-09-23	PRIJEM	VKLAD	33671	75665	\N	\N	\N
712303	2435	1995-08-08	PRIJEM	VKLAD	17459	25670	\N	\N	\N
712304	2435	1995-08-23	PRIJEM	VKLAD	22775	48445	\N	\N	\N
712305	2435	1995-01-15	PRIJEM	VKLAD	14165	41318	\N	\N	\N
712306	2435	1995-03-16	PRIJEM	VKLAD	36047	59458	\N	\N	\N
712307	2435	1995-10-29	PRIJEM	VKLAD	24823	73675	\N	\N	\N
712308	2435	1995-02-03	PRIJEM	VKLAD	7889	31118	\N	\N	\N
712309	2435	1995-10-08	PRIJEM	VKLAD	49688	117652	\N	\N	\N
712310	2435	1995-02-04	PRIJEM	VKLAD	36226	67344	\N	\N	\N
712311	2435	1996-02-03	PRIJEM	VKLAD	29546	102488	\N	\N	\N
712312	2435	1996-11-30	PRIJEM	VKLAD	49135	120809	\N	\N	\N
712313	2435	1996-01-23	PRIJEM	VKLAD	38325	53234	\N	\N	\N
712314	2435	1996-05-19	PRIJEM	VKLAD	34570	77839	\N	\N	\N
712315	2435	1996-11-24	PRIJEM	VKLAD	10008	30230	\N	\N	\N
712316	2435	1996-10-03	PRIJEM	VKLAD	29606	37037	\N	\N	\N
712317	2435	1996-11-04	PRIJEM	VKLAD	9393	38326	\N	\N	\N
712318	2435	1996-05-08	PRIJEM	VKLAD	15571	43269	\N	\N	\N
712319	2435	1996-10-17	PRIJEM	VKLAD	31540	47873	\N	\N	\N
712320	2435	1996-04-25	PRIJEM	VKLAD	21117	43892	\N	\N	\N
712321	2435	1996-03-29	PRIJEM	VKLAD	47470	109334	\N	\N	\N
712322	2435	1996-03-23	PRIJEM	VKLAD	38559	61864	\N	\N	\N
712323	2435	1996-06-25	PRIJEM	VKLAD	16118	34446	\N	\N	\N
712324	2435	1996-11-27	PRIJEM	VKLAD	41444	71674	\N	\N	\N
712325	2435	1996-01-31	PRIJEM	VKLAD	42539	78056	\N	\N	\N
712326	2435	1996-07-06	PRIJEM	VKLAD	13382	47927	\N	\N	\N
712327	2435	1996-07-22	PRIJEM	VKLAD	7357	32280	\N	\N	\N
712328	2435	1997-04-11	PRIJEM	VKLAD	43737	116951	\N	\N	\N
712329	2435	1997-02-17	PRIJEM	VKLAD	20500	66876	\N	\N	\N
712330	2435	1997-03-06	PRIJEM	VKLAD	49695	116799	\N	\N	\N
712331	2435	1997-05-10	PRIJEM	VKLAD	49885	69808	\N	\N	\N
712332	2435	1997-03-27	PRIJEM	VKLAD	6040	80824	\N	\N	\N
712333	2435	1997-03-26	PRIJEM	VKLAD	33889	74784	\N	\N	\N
712334	2435	1997-07-01	PRIJEM	VKLAD	14146	76277	\N	\N	\N
712335	2435	1997-11-16	PRIJEM	VKLAD	35498	72408	\N	\N	\N
712336	2435	1997-08-14	PRIJEM	VKLAD	16524	40575	\N	\N	\N
712337	2435	1997-09-21	PRIJEM	VKLAD	37940	66427	\N	\N	\N
712338	2435	1997-02-04	PRIJEM	VKLAD	47839	64701	\N	\N	\N
712339	2435	1997-11-26	PRIJEM	VKLAD	43821	102158	\N	\N	\N
712340	2435	1997-10-19	PRIJEM	VKLAD	47174	81715	\N	\N	\N
712341	2435	1997-11-28	PRIJEM	VKLAD	5518	107676	\N	\N	\N
712342	2435	1997-09-30	PRIJEM	VKLAD	41548	107975	\N	\N	\N
712343	2435	1997-06-20	PRIJEM	VKLAD	36818	61967	\N	\N	\N
712344	2435	1997-02-06	PRIJEM	VKLAD	25679	90380	\N	\N	\N
712345	2435	1997-09-06	PRIJEM	VKLAD	5813	40046	\N	\N	\N
712346	2435	1998-10-03	PRIJEM	VKLAD	24863	89909	\N	\N	\N
712347	2435	1998-09-24	PRIJEM	VKLAD	24435	52661	\N	\N	\N
712348	2435	1998-12-05	PRIJEM	VKLAD	18044	34378	\N	\N	\N
712349	2435	1998-12-25	PRIJEM	VKLAD	5183	38020	\N	\N	\N
712350	2435	1998-06-12	PRIJEM	VKLAD	43874	70675	\N	\N	\N
712351	2435	1998-09-04	PRIJEM	VKLAD	49504	163430	\N	\N	\N
712352	2435	1998-01-24	PRIJEM	VKLAD	9390	28660	\N	\N	\N
712353	2435	1998-10-09	PRIJEM	VKLAD	23849	63154	\N	\N	\N
712354	2435	1998-08-08	PRIJEM	VKLAD	45794	83847	\N	\N	\N
712355	2435	1998-09-26	PRIJEM	VKLAD	12157	64818	\N	\N	\N
712356	2435	1998-05-21	PRIJEM	VKLAD	36654	59959	\N	\N	\N
712357	2435	1998-08-14	PRIJEM	VKLAD	29680	113527	\N	\N	\N
712358	2435	1998-12-11	PRIJEM	VKLAD	12363	38837	\N	\N	\N
712359	2435	1998-05-15	PRIJEM	VKLAD	18061	23305	\N	\N	\N
712360	2435	1998-12-26	PRIJEM	VKLAD	15835	53855	\N	\N	\N
712361	2435	1998-06-04	PRIJEM	VKLAD	31664	91706	\N	\N	\N
712362	2435	1998-07-31	PRIJEM	VKLAD	24463	88571	\N	\N	\N
712363	2435	1998-07-16	PRIJEM	VKLAD	30149	75963	\N	\N	\N
712450	2435	1994-03-06	VYDAJ	PREVOD NA UCET	7904	85708	SIPO	WX	21075344
712451	2435	1994-04-06	VYDAJ	PREVOD NA UCET	7904	96132	SIPO	WX	21075344
712452	2435	1994-05-06	VYDAJ	PREVOD NA UCET	7904	51472	SIPO	WX	21075344
712453	2435	1994-06-06	VYDAJ	PREVOD NA UCET	7904	36429	SIPO	WX	21075344
712454	2435	1994-07-06	VYDAJ	PREVOD NA UCET	7904	34456	SIPO	WX	21075344
712455	2435	1994-08-06	VYDAJ	PREVOD NA UCET	7904	84749	SIPO	WX	21075344
712456	2435	1994-09-06	VYDAJ	PREVOD NA UCET	7904	34343	SIPO	WX	21075344
712457	2435	1994-10-06	VYDAJ	PREVOD NA UCET	7904	24009	SIPO	WX	21075344
712458	2435	1994-11-06	VYDAJ	PREVOD NA UCET	7904	49618	SIPO	WX	21075344
712459	2435	1994-12-06	VYDAJ	PREVOD NA UCET	7904	75059	SIPO	WX	21075344
712460	2435	1995-01-06	VYDAJ	PREVOD NA UCET	7904	34053	SIPO	WX	21075344
712461	2435	1995-02-06	VYDAJ	PREVOD NA UCET	7904	51237	SIPO	WX	21075344
712462	2435	1995-03-06	VYDAJ	PREVOD NA UCET	7904	23411	SIPO	WX	21075344
712463	2435	1995-04-06	VYDAJ	PREVOD NA UCET	7904	35580	SIPO	WX	21075344
712464	2435	1995-05-06	VYDAJ	PREVOD NA UCET	7904	18298	SIPO	WX	21075344
712465	2435	1995-06-06	VYDAJ	PREVOD NA UCET	7904	15185	SIPO	WX	21075344
712466	2435	1995-07-06	VYDAJ	PREVOD NA UCET	7904	10157	SIPO	WX	21075344
712467	2435	1995-08-06	VYDAJ	PREVOD NA UCET	7904	8211	SIPO	WX	21075344
712468	2435	1995-09-06	VYDAJ	PREVOD NA UCET	7904	28837	SIPO	WX	21075344
712469	2435	1995-10-06	VYDAJ	PREVOD NA UCET	7904	67964	SIPO	WX	21075344
712470	2435	1995-11-06	VYDAJ	PREVOD NA UCET	7904	83714	SIPO	WX	21075344
712471	2435	1995-12-06	VYDAJ	PREVOD NA UCET	7904	42490	SIPO	WX	21075344
712472	2435	1996-01-06	VYDAJ	PREVOD NA UCET	7904	14909	SIPO	WX	21075344
712473	2435	1996-02-06	VYDAJ	PREVOD NA UCET	7904	82535	SIPO	WX	21075344
712474	2435	1996-03-06	VYDAJ	PREVOD NA UCET	7904	30105	SIPO	WX	21075344
712475	2435	1996-04-06	VYDAJ	PREVOD NA UCET	7904	42706	SIPO	WX	21075344
712476	2435	1996-05-06	VYDAJ	PREVOD NA UCET	7904	27698	SIPO	WX	21075344
712477	2435	1996-06-06	VYDAJ	PREVOD NA UCET	7904	21328	SIPO	WX	21075344
712478	2435	1996-07-06	VYDAJ	PREVOD NA UCET	7904	40023	SIPO	WX	21075344
712479	2435	1996-08-06	VYDAJ	PREVOD NA UCET	7904	24505	SIPO	WX	21075344
712480	2435	1996-09-06	VYDAJ	PREVOD NA UCET	7904	7385	SIPO	WX	21075344
712481	2435	1996-10-06	VYDAJ	PREVOD NA UCET	7904	24033	SIPO	WX	21075344
712482	2435	1996-11-06	VYDAJ	PREVOD NA UCET	7904	30422	SIPO	WX	21075344
712483	2435	1996-12-06	VYDAJ	PREVOD NA UCET	7904	53831	SIPO	WX	21075344
712484	2435	1997-01-06	VYDAJ	PREVOD NA UCET	7904	16802	SIPO	WX	21075344
712485	2435	1997-02-06	VYDAJ	PREVOD NA UCET	7904	82476	SIPO	WX	21075344
712486	2435	1997-03-06	VYDAJ	PREVOD NA UCET	7904	76995	SIPO	WX	21075344
712487	2435	1997-04-06	VYDAJ	PREVOD NA UCET	7904	73214	SIPO	WX	21075344
712488	2435	1997-05-06	VYDAJ	PREVOD NA UCET	7904	19923	SIPO	WX	21075344
712489	2435	1997-06-06	VYDAJ	PREVOD NA UCET	7904	25149	SIPO	WX	21075344
712490	2435	1997-07-06	VYDAJ	PREVOD NA UCET	7904	68373	SIPO	WX	21075344
712491	2435	1997-08-06	VYDAJ	PREVOD NA UCET	7904	24051	SIPO	WX	21075344
712492	2435	1997-09-06	VYDAJ	PREVOD NA UCET	7904	32142	SIPO	WX	21075344
712493	2435	1997-10-06	VYDAJ	PREVOD NA UCET	7904	92641	SIPO	WX	21075344
712494	2435	1997-11-06	VYDAJ	PREVOD NA UCET	7904	74110	SIPO	WX	21075344
712495	2435	1997-12-06	VYDAJ	PREVOD NA UCET	7904	54837	SIPO	WX	21075344
712496	2435	1998-01-06	VYDAJ	PREVOD NA UCET	7904	19270	SIPO	WX	21075344
712497	2435	1998-02-06	VYDAJ	PREVOD NA UCET	7904	20851	SIPO	WX	21075344
712498	2435	1998-03-06	VYDAJ	PREVOD NA UCET	7904	13047	SIPO	WX	21075344
712499	2435	1998-04-06	VYDAJ	PREVOD NA UCET	7904	5210	SIPO	WX	21075344
712501	2435	1998-06-06	VYDAJ	PREVOD NA UCET	7904	83802	SIPO	WX	21075344
712502	2435	1998-07-06	VYDAJ	PREVOD NA UCET	7904	63020	SIPO	WX	21075344
712503	2435	1998-08-06	VYDAJ	PREVOD NA UCET	7904	80653	SIPO	WX	21075344
712504	2435	1998-09-06	VYDAJ	PREVOD NA UCET	7904	37226	SIPO	WX	21075344
712505	2435	1998-10-06	VYDAJ	PREVOD NA UCET	7904	39305	SIPO	WX	21075344
712506	2435	1998-11-06	VYDAJ	PREVOD NA UCET	7904	16262	SIPO	WX	21075344
712507	2435	1998-12-06	VYDAJ	PREVOD NA UCET	7904	26474	SIPO	WX	21075344
712513	2435	1994-07-23	VYBER	VYBER	5276	77982	\N	\N	\N
712515	2435	1995-04-14	VYBER	VYBER	4411	31169	\N	\N	\N
712516	2435	1995-12-27	VYBER	VYBER	15986	25664	\N	\N	\N
712518	2435	1995-02-06	VYBER	VYBER	8203	59141	\N	\N	\N
712522	2435	1996-04-12	VYBER	VYBER	8231	34475	\N	\N	\N
712523	2435	1996-02-04	VYBER	VYBER	12049	90439	\N	\N	\N
712524	2435	1996-05-22	VYBER	VYBER	17846	29093	\N	\N	\N
712525	2435	1996-04-27	VYBER	VYBER	8434	35458	\N	\N	\N
712530	2435	1996-01-30	VYBER	VYBER	4023	35411	\N	\N	\N
712531	2435	1996-10-22	VYBER	VYBER	8546	39327	\N	\N	\N
712533	2435	1996-02-19	VYBER	VYBER	24887	57648	\N	\N	\N
712535	2435	1997-08-16	VYBER	VYBER	6464	34111	\N	\N	\N
712537	2435	1997-09-09	VYBER	VYBER	3655	28487	\N	\N	\N
712538	2435	1997-05-01	VYBER	VYBER	9733	27827	\N	\N	\N
712539	2435	1997-10-02	VYBER	VYBER	7597	100545	\N	\N	\N
712542	2435	1997-11-17	VYBER	VYBER	14071	58337	\N	\N	\N
712543	2435	1998-06-10	VYBER	VYBER	8601	26801	\N	\N	\N
712544	2435	1998-07-09	VYBER	VYBER	3955	45814	\N	\N	\N
712547	2435	1998-07-24	VYBER	VYBER	12117	63846	\N	\N	\N
712548	2435	1998-07-07	VYBER	VYBER	13251	49769	\N	\N	\N
712553	2435	1998-10-14	VYBER	VYBER	11096	52058	\N	\N	\N
712555	2435	1994-06-19	VYDAJ	VYBER	15000	63317	\N	\N	\N
712567	2435	1994-12-30	VYDAJ	VYBER	8700	41643	\N	\N	\N
712568	2435	1995-12-09	VYDAJ	VYBER	2700	39790	\N	\N	\N
712569	2435	1996-12-20	VYDAJ	VYBER	3900	27131	\N	\N	\N
712571	2435	1998-12-22	VYDAJ	VYBER	6000	32837	\N	\N	\N
712584	2435	1995-01-15	VYDAJ	VYBER	5100	36218	\N	\N	\N
712585	2435	1995-01-10	VYDAJ	VYBER	6900	27153	\N	\N	\N
712586	2435	1995-01-16	VYDAJ	VYBER	8400	25718	\N	\N	\N
712587	2435	1995-01-17	VYDAJ	VYBER	1500	24218	\N	\N	\N
712588	2435	1995-01-16	VYDAJ	VYBER	2100	34118	\N	\N	\N
712592	2435	1996-01-02	VYDAJ	VYBER	3000	22813	\N	\N	\N
712594	2435	1996-01-23	VYDAJ	VYBER	6600	46634	\N	\N	\N
712595	2435	1996-01-27	VYDAJ	VYBER	7200	39434	\N	\N	\N
712597	2435	1997-01-01	VYDAJ	VYBER	2700	24706	\N	\N	\N
712610	2435	1994-09-06	VYDAJ	VYBER	10500	42247	\N	\N	\N
712611	2435	1994-04-13	VYDAJ	VYBER	3600	92532	\N	\N	\N
712612	2435	1994-11-08	VYDAJ	VYBER	3600	46018	\N	\N	\N
712613	2435	1994-11-12	VYDAJ	VYBER	8700	37318	\N	\N	\N
712614	2435	1994-02-16	VYDAJ	VYBER	6000	70293	\N	\N	\N
712615	2435	1994-03-19	VYDAJ	VYBER	5400	99314	\N	\N	\N
712616	2435	1994-03-30	VYDAJ	VYBER	11400	87914	\N	\N	\N
712618	2435	1995-02-27	VYDAJ	VYBER	4800	31137	\N	\N	\N
712619	2435	1995-10-17	VYDAJ	VYBER	5700	77752	\N	\N	\N
712620	2435	1996-10-26	VYDAJ	VYBER	10500	28827	\N	\N	\N
712621	2435	1996-10-04	VYDAJ	VYBER	5100	31937	\N	\N	\N
712623	2435	1996-02-01	VYDAJ	VYBER	5100	72942	\N	\N	\N
712624	2435	1996-04-16	VYDAJ	VYBER	6300	28175	\N	\N	\N
712627	2435	1997-07-29	VYDAJ	VYBER	6000	31773	\N	\N	\N
712631	2435	1997-05-28	VYDAJ	VYBER	5400	32908	\N	\N	\N
712633	2435	1997-10-13	VYDAJ	VYBER	8100	34541	\N	\N	\N
712638	2435	1998-09-08	VYDAJ	VYBER	9000	28226	\N	\N	\N
712653	2435	1994-02-28	VYDAJ	VYBER	15	70527	SLUZBY	\N	\N
712654	2435	1994-03-31	VYDAJ	VYBER	15	88290	SLUZBY	\N	\N
712655	2435	1994-04-30	VYDAJ	VYBER	15	59376	SLUZBY	\N	\N
712656	2435	1994-05-31	VYDAJ	VYBER	15	44333	SLUZBY	\N	\N
712657	2435	1994-06-30	VYDAJ	VYBER	15	42360	SLUZBY	\N	\N
712658	2435	1994-07-31	VYDAJ	VYBER	15	50920	SLUZBY	\N	\N
712659	2435	1994-08-31	VYDAJ	VYBER	15	52747	SLUZBY	\N	\N
712660	2435	1994-09-30	VYDAJ	VYBER	15	31913	SLUZBY	\N	\N
712661	2435	1994-10-31	VYDAJ	VYBER	15	57522	SLUZBY	\N	\N
712662	2435	1994-11-30	VYDAJ	VYBER	15	50426	SLUZBY	\N	\N
712663	2435	1994-12-31	VYDAJ	VYBER	15	41957	SLUZBY	\N	\N
712664	2435	1995-01-31	VYDAJ	VYBER	15	23229	SLUZBY	\N	\N
712665	2435	1995-02-28	VYDAJ	VYBER	15	31315	SLUZBY	\N	\N
712666	2435	1995-03-31	VYDAJ	VYBER	15	43484	SLUZBY	\N	\N
712667	2435	1995-04-30	VYDAJ	VYBER	15	26202	SLUZBY	\N	\N
712668	2435	1995-05-31	VYDAJ	VYBER	15	23089	SLUZBY	\N	\N
712669	2435	1995-06-30	VYDAJ	VYBER	15	18061	SLUZBY	\N	\N
712670	2435	1995-07-31	VYDAJ	VYBER	15	16115	SLUZBY	\N	\N
712671	2435	1995-08-31	VYDAJ	VYBER	15	36741	SLUZBY	\N	\N
712672	2435	1995-09-30	VYDAJ	VYBER	15	75868	SLUZBY	\N	\N
712673	2435	1995-10-31	VYDAJ	VYBER	15	74001	SLUZBY	\N	\N
712674	2435	1995-11-30	VYDAJ	VYBER	15	50394	SLUZBY	\N	\N
712675	2435	1995-12-31	VYDAJ	VYBER	15	25813	SLUZBY	\N	\N
712676	2435	1996-01-31	VYDAJ	VYBER	15	78042	SLUZBY	\N	\N
712677	2435	1996-02-29	VYDAJ	VYBER	15	38009	SLUZBY	\N	\N
712678	2435	1996-03-31	VYDAJ	VYBER	15	50610	SLUZBY	\N	\N
712679	2435	1996-04-30	VYDAJ	VYBER	15	35602	SLUZBY	\N	\N
712680	2435	1996-05-31	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
712681	2435	1996-06-30	VYDAJ	VYBER	15	34545	SLUZBY	\N	\N
712682	2435	1996-07-31	VYDAJ	VYBER	15	32409	SLUZBY	\N	\N
712683	2435	1996-08-31	VYDAJ	VYBER	15	15289	SLUZBY	\N	\N
712684	2435	1996-09-30	VYDAJ	VYBER	15	7431	SLUZBY	\N	\N
712685	2435	1996-10-31	VYDAJ	VYBER	15	28933	SLUZBY	\N	\N
712686	2435	1996-11-30	VYDAJ	VYBER	15	61735	SLUZBY	\N	\N
712687	2435	1996-12-31	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
712688	2435	1997-01-31	VYDAJ	VYBER	15	16862	SLUZBY	\N	\N
712689	2435	1997-02-28	VYDAJ	VYBER	15	67104	SLUZBY	\N	\N
712690	2435	1997-03-31	VYDAJ	VYBER	15	81118	SLUZBY	\N	\N
712691	2435	1997-04-30	VYDAJ	VYBER	15	37560	SLUZBY	\N	\N
712692	2435	1997-05-31	VYDAJ	VYBER	15	33053	SLUZBY	\N	\N
712693	2435	1997-06-30	VYDAJ	VYBER	15	62131	SLUZBY	\N	\N
712694	2435	1997-07-31	VYDAJ	VYBER	15	31955	SLUZBY	\N	\N
712695	2435	1997-08-31	VYDAJ	VYBER	15	34233	SLUZBY	\N	\N
712696	2435	1997-09-30	VYDAJ	VYBER	15	108142	SLUZBY	\N	\N
712697	2435	1997-10-31	VYDAJ	VYBER	15	82014	SLUZBY	\N	\N
712698	2435	1997-11-30	VYDAJ	VYBER	15	107941	SLUZBY	\N	\N
712699	2435	1997-12-31	VYDAJ	VYBER	15	27174	SLUZBY	\N	\N
712700	2435	1998-01-31	VYDAJ	VYBER	15	28755	SLUZBY	\N	\N
712701	2435	1998-02-28	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
712702	2435	1998-03-31	VYDAJ	VYBER	15	13114	SLUZBY	\N	\N
712703	2435	1998-04-30	VYDAJ	VYBER	15	5244	SLUZBY	\N	\N
712704	2435	1998-05-31	VYDAJ	VYBER	15	60042	SLUZBY	\N	\N
712705	2435	1998-06-30	VYDAJ	VYBER	15	70924	SLUZBY	\N	\N
712706	2435	1998-07-31	VYDAJ	VYBER	15	88557	SLUZBY	\N	\N
712707	2435	1998-08-31	VYDAJ	VYBER	15	113926	SLUZBY	\N	\N
712708	2435	1998-09-30	VYDAJ	VYBER	15	65046	SLUZBY	\N	\N
712709	2435	1998-10-31	VYDAJ	VYBER	15	52266	SLUZBY	\N	\N
712710	2435	1998-11-30	VYDAJ	VYBER	15	16334	SLUZBY	\N	\N
712711	2435	1993-12-01	PRIJEM	VKLAD	11400	11600	\N	\N	\N
712712	2435	1993-12-31	VYDAJ	VYBER	1100	20935	\N	\N	\N
712713	2435	1994-01-30	VYDAJ	VYBER	23700	50570	\N	\N	\N
712714	2435	1994-03-01	VYDAJ	VYBER	21200	49327	\N	\N	\N
712715	2435	1994-03-31	VYDAJ	VYBER	32400	55890	\N	\N	\N
712716	2435	1994-04-30	VYDAJ	VYBER	33500	59391	\N	\N	\N
712717	2435	1994-05-30	VYDAJ	VYBER	19700	44094	\N	\N	\N
712718	2435	1994-06-29	VYDAJ	VYBER	21200	42117	\N	\N	\N
712719	2435	1994-07-29	VYDAJ	VYBER	27300	50682	\N	\N	\N
712720	2435	1994-08-28	VYDAJ	VYBER	32300	52449	\N	\N	\N
712721	2435	1994-09-27	VYDAJ	VYBER	2600	31743	\N	\N	\N
712722	2435	1994-10-27	VYDAJ	VYBER	11900	36529	\N	\N	\N
712723	2435	1994-11-26	VYDAJ	VYBER	23400	50239	\N	\N	\N
712724	2435	1994-12-20	VYDAJ	VYBER	63200	81843	\N	\N	\N
712725	2435	1994-12-26	VYDAJ	VYBER	31500	50343	\N	\N	\N
712726	2435	1995-01-25	VYDAJ	VYBER	1100	23118	\N	\N	\N
712727	2435	1995-02-24	VYDAJ	VYBER	15300	35937	\N	\N	\N
712728	2435	1995-03-26	VYDAJ	VYBER	23600	43319	\N	\N	\N
712729	2435	1995-04-25	VYDAJ	VYBER	5100	26069	\N	\N	\N
712730	2435	1995-05-25	PRIJEM	VKLAD	4700	22998	\N	\N	\N
712731	2435	1995-06-24	PRIJEM	VKLAD	2800	17985	\N	\N	\N
712732	2435	1995-07-24	PRIJEM	VKLAD	5900	16057	\N	\N	\N
712733	2435	1995-08-23	VYDAJ	VYBER	11800	36645	\N	\N	\N
712734	2435	1995-09-22	VYDAJ	VYBER	20300	41994	\N	\N	\N
712735	2435	1995-10-08	VYDAJ	VYBER	34200	83452	\N	\N	\N
712736	2435	1995-10-22	VYDAJ	VYBER	28900	48852	\N	\N	\N
712737	2435	1995-11-21	VYDAJ	VYBER	33600	50114	\N	\N	\N
712738	2435	1995-12-21	VYDAJ	VYBER	15000	24790	\N	\N	\N
712739	2435	1996-02-19	VYDAJ	VYBER	19900	37748	\N	\N	\N
712740	2435	1996-03-20	VYDAJ	VYBER	6800	23305	\N	\N	\N
712741	2435	1996-03-29	VYDAJ	VYBER	58900	50434	\N	\N	\N
712742	2435	1996-04-19	VYDAJ	VYBER	5400	22775	\N	\N	\N
712743	2435	1996-05-19	VYDAJ	VYBER	30900	46939	\N	\N	\N
712744	2435	1996-06-18	VYDAJ	VYBER	3000	18328	\N	\N	\N
712745	2435	1996-07-18	VYDAJ	VYBER	15100	24923	\N	\N	\N
712746	2435	1996-08-17	VYDAJ	VYBER	9300	15205	\N	\N	\N
712747	2435	1996-10-16	VYDAJ	VYBER	7700	16333	\N	\N	\N
712748	2435	1996-11-15	VYDAJ	VYBER	10200	20222	\N	\N	\N
712749	2435	1996-11-30	VYDAJ	VYBER	59200	61750	\N	\N	\N
712750	2435	1996-12-15	VYDAJ	VYBER	22800	31031	\N	\N	\N
712751	2435	1997-02-13	VYDAJ	VYBER	36100	46376	\N	\N	\N
712752	2435	1997-03-06	VYDAJ	VYBER	31900	84899	\N	\N	\N
712753	2435	1997-03-15	VYDAJ	VYBER	36100	40895	\N	\N	\N
712754	2435	1997-04-11	VYDAJ	VYBER	55200	61751	\N	\N	\N
712755	2435	1997-04-14	VYDAJ	VYBER	24400	37351	\N	\N	\N
712756	2435	1997-05-14	VYDAJ	VYBER	31500	38308	\N	\N	\N
712757	2435	1997-07-13	VYDAJ	VYBER	30600	37773	\N	\N	\N
712758	2435	1997-10-11	VYDAJ	VYBER	50000	42641	\N	\N	\N
712759	2435	1997-11-10	VYDAJ	VYBER	37200	36910	\N	\N	\N
712760	2435	1997-11-30	VYDAJ	VYBER	45200	62741	\N	\N	\N
712761	2435	1997-12-10	VYDAJ	VYBER	27800	27037	\N	\N	\N
712762	2435	1998-06-08	VYDAJ	VYBER	48400	35402	\N	\N	\N
712763	2435	1998-08-07	VYDAJ	VYBER	42600	38053	\N	\N	\N
712764	2435	1998-09-04	VYDAJ	VYBER	34200	129230	\N	\N	\N
712765	2435	1998-09-06	VYDAJ	VYBER	37000	45130	\N	\N	\N
712766	2435	1998-09-06	VYDAJ	VYBER	47100	82130	\N	\N	\N
712767	2435	1998-10-06	VYDAJ	VYBER	42700	47209	\N	\N	\N
712768	2435	1998-11-05	VYDAJ	VYBER	28100	24166	\N	\N	\N
712832	2436	1993-05-25	PRIJEM	VKLAD	400	400	\N	\N	\N
712838	2436	1993-06-11	PRIJEM	VKLAD	12810	13210	\N	\N	\N
712839	2436	1993-07-11	PRIJEM	VKLAD	8540	25366	\N	\N	\N
712840	2436	1993-08-11	PRIJEM	VKLAD	8540	31183	\N	\N	\N
712841	2436	1993-09-11	PRIJEM	VKLAD	8540	34921	\N	\N	\N
712842	2436	1993-10-11	PRIJEM	VKLAD	8540	36773	\N	\N	\N
712843	2436	1993-11-11	PRIJEM	VKLAD	8540	36796	\N	\N	\N
712844	2436	1993-12-11	PRIJEM	VKLAD	12810	41590	\N	\N	\N
712845	2436	1994-01-11	PRIJEM	VKLAD	8540	28520	\N	\N	\N
712846	2436	1994-02-11	PRIJEM	VKLAD	8540	31116	\N	\N	\N
712847	2436	1994-03-11	PRIJEM	VKLAD	8540	34641	\N	\N	\N
712848	2436	1994-04-11	PRIJEM	VKLAD	8540	40183	\N	\N	\N
712849	2436	1994-05-11	PRIJEM	VKLAD	8540	41002	\N	\N	\N
712850	2436	1994-06-11	PRIJEM	VKLAD	12810	46134	\N	\N	\N
712851	2436	1994-07-11	PRIJEM	VKLAD	8540	43500	\N	\N	\N
712852	2436	1994-08-11	PRIJEM	VKLAD	8540	44272	\N	\N	\N
712853	2436	1994-09-11	PRIJEM	VKLAD	8540	46551	\N	\N	\N
712854	2436	1994-10-11	PRIJEM	VKLAD	8540	45372	\N	\N	\N
712855	2436	1994-11-11	PRIJEM	VKLAD	8540	48657	\N	\N	\N
712856	2436	1994-12-11	PRIJEM	VKLAD	12810	47559	\N	\N	\N
712857	2436	1995-01-11	PRIJEM	VKLAD	8540	37339	\N	\N	\N
712858	2436	1995-02-11	PRIJEM	VKLAD	8540	42851	\N	\N	\N
712859	2436	1995-03-11	PRIJEM	VKLAD	8540	46026	\N	\N	\N
712860	2436	1995-04-11	PRIJEM	VKLAD	8540	46895	\N	\N	\N
712861	2436	1995-05-11	PRIJEM	VKLAD	8540	50597	\N	\N	\N
712862	2436	1995-06-11	PRIJEM	VKLAD	12810	52646	\N	\N	\N
712863	2436	1995-07-11	PRIJEM	VKLAD	8540	47823	\N	\N	\N
712864	2436	1995-08-11	PRIJEM	VKLAD	8540	50524	\N	\N	\N
712865	2436	1995-09-11	PRIJEM	VKLAD	8540	50122	\N	\N	\N
712866	2436	1995-10-11	PRIJEM	VKLAD	8540	51223	\N	\N	\N
712867	2436	1995-11-11	PRIJEM	VKLAD	8540	47239	\N	\N	\N
712868	2436	1995-12-11	PRIJEM	VKLAD	12810	46131	\N	\N	\N
712869	2436	1996-01-11	PRIJEM	VKLAD	8540	45707	\N	\N	\N
712870	2436	1996-02-11	PRIJEM	VKLAD	8540	44468	\N	\N	\N
712871	2436	1996-03-11	PRIJEM	VKLAD	8540	48625	\N	\N	\N
712872	2436	1996-04-11	PRIJEM	VKLAD	8540	50084	\N	\N	\N
712873	2436	1996-05-11	PRIJEM	VKLAD	8540	55213	\N	\N	\N
712874	2436	1996-06-11	PRIJEM	VKLAD	12810	62131	\N	\N	\N
712875	2436	1996-07-11	PRIJEM	VKLAD	8540	52048	\N	\N	\N
712876	2436	1996-08-11	PRIJEM	VKLAD	8540	58469	\N	\N	\N
712877	2436	1996-09-11	PRIJEM	VKLAD	8540	56768	\N	\N	\N
712878	2436	1996-10-11	PRIJEM	VKLAD	8540	62324	\N	\N	\N
712879	2436	1996-11-11	PRIJEM	VKLAD	8540	58101	\N	\N	\N
712880	2436	1996-12-11	PRIJEM	VKLAD	12810	65434	\N	\N	\N
712881	2436	1997-01-11	PRIJEM	VKLAD	8540	59317	\N	\N	\N
712882	2436	1997-02-11	PRIJEM	VKLAD	8540	61314	\N	\N	\N
712883	2436	1997-03-11	PRIJEM	VKLAD	8540	64178	\N	\N	\N
712884	2436	1997-04-11	PRIJEM	VKLAD	8540	66965	\N	\N	\N
712885	2436	1997-05-11	PRIJEM	VKLAD	8540	64798	\N	\N	\N
712886	2436	1997-06-11	PRIJEM	VKLAD	12810	58154	\N	\N	\N
712887	2436	1997-07-11	PRIJEM	VKLAD	8540	65206	\N	\N	\N
712888	2436	1997-08-11	PRIJEM	VKLAD	8540	67192	\N	\N	\N
712889	2436	1997-09-11	PRIJEM	VKLAD	8540	67091	\N	\N	\N
712890	2436	1997-10-11	PRIJEM	VKLAD	8540	67338	\N	\N	\N
712891	2436	1997-11-11	PRIJEM	VKLAD	8540	73934	\N	\N	\N
712892	2436	1997-12-11	PRIJEM	VKLAD	12810	78199	\N	\N	\N
712893	2436	1998-01-11	PRIJEM	VKLAD	8540	67147	\N	\N	\N
712894	2436	1998-02-11	PRIJEM	VKLAD	8540	73260	\N	\N	\N
712895	2436	1998-03-11	PRIJEM	VKLAD	8540	77152	\N	\N	\N
712896	2436	1998-04-11	PRIJEM	VKLAD	8540	85261	\N	\N	\N
712897	2436	1998-05-11	PRIJEM	VKLAD	8540	86593	\N	\N	\N
712898	2436	1998-06-11	PRIJEM	VKLAD	12810	90609	\N	\N	\N
712899	2436	1998-07-11	PRIJEM	VKLAD	8540	73005	\N	\N	\N
712900	2436	1998-08-11	PRIJEM	VKLAD	8540	79498	\N	\N	\N
712901	2436	1998-09-11	PRIJEM	VKLAD	8540	86419	\N	\N	\N
712902	2436	1998-10-11	PRIJEM	VKLAD	8540	85268	\N	\N	\N
712903	2436	1998-11-11	PRIJEM	VKLAD	8540	86309	\N	\N	\N
712904	2436	1998-12-11	PRIJEM	VKLAD	12810	91924	\N	\N	\N
712908	2436	1996-06-11	VYDAJ	VYBER	22560	39571	\N	\N	\N
712909	2436	1997-06-01	VYDAJ	VYBER	28800	36244	\N	\N	\N
712910	2436	1998-06-12	VYDAJ	VYBER	41280	49329	\N	\N	\N
712911	2436	1993-12-27	VYDAJ	VYBER	3680	29710	\N	\N	\N
712912	2436	1994-12-15	VYDAJ	VYBER	1760	45799	\N	\N	\N
712913	2436	1995-12-05	VYDAJ	VYBER	4160	33321	\N	\N	\N
712914	2436	1996-12-06	VYDAJ	VYBER	3200	52624	\N	\N	\N
712915	2436	1997-12-19	VYDAJ	VYBER	3680	74519	\N	\N	\N
712916	2436	1998-12-28	VYDAJ	VYBER	1440	77184	\N	\N	\N
712923	2436	1994-01-10	VYDAJ	VYBER	3000	19980	\N	\N	\N
712924	2436	1994-01-17	VYDAJ	VYBER	1680	23360	\N	\N	\N
712925	2436	1994-01-30	VYDAJ	VYBER	1560	22480	\N	\N	\N
712926	2436	1994-01-11	VYDAJ	VYBER	3480	25040	\N	\N	\N
712927	2436	1994-01-28	VYDAJ	VYBER	1920	24040	\N	\N	\N
712928	2436	1994-01-09	VYDAJ	VYBER	1320	25860	\N	\N	\N
712929	2436	1995-01-03	VYDAJ	VYBER	1800	36599	\N	\N	\N
712930	2436	1995-01-02	VYDAJ	VYBER	2760	38399	\N	\N	\N
712931	2436	1995-01-09	VYDAJ	VYBER	3000	28799	\N	\N	\N
712932	2436	1995-01-27	VYDAJ	VYBER	1560	34179	\N	\N	\N
712933	2436	1995-01-04	VYDAJ	VYBER	2400	34199	\N	\N	\N
712934	2436	1995-01-08	VYDAJ	VYBER	2400	31799	\N	\N	\N
712935	2436	1996-01-04	VYDAJ	VYBER	1920	41067	\N	\N	\N
712936	2436	1996-01-12	VYDAJ	VYBER	840	43667	\N	\N	\N
712937	2436	1996-01-11	VYDAJ	VYBER	1200	44507	\N	\N	\N
712938	2436	1996-01-22	VYDAJ	VYBER	840	42827	\N	\N	\N
712939	2436	1996-01-29	VYDAJ	VYBER	2640	37667	\N	\N	\N
712940	2436	1996-01-26	VYDAJ	VYBER	1680	41147	\N	\N	\N
712941	2436	1997-01-07	VYDAJ	VYBER	2520	50777	\N	\N	\N
712942	2436	1997-01-13	VYDAJ	VYBER	1800	57517	\N	\N	\N
712943	2436	1997-01-23	VYDAJ	VYBER	840	56677	\N	\N	\N
712944	2436	1997-01-24	VYDAJ	VYBER	2880	53797	\N	\N	\N
712945	2436	1997-01-25	VYDAJ	VYBER	2640	51157	\N	\N	\N
712946	2436	1997-01-05	VYDAJ	VYBER	2880	53297	\N	\N	\N
712947	2436	1998-01-10	VYDAJ	VYBER	3000	58607	\N	\N	\N
712948	2436	1998-01-26	VYDAJ	VYBER	1560	64627	\N	\N	\N
712949	2436	1998-01-13	VYDAJ	VYBER	960	66187	\N	\N	\N
712950	2436	1998-01-28	VYDAJ	VYBER	720	62467	\N	\N	\N
712951	2436	1998-01-28	VYDAJ	VYBER	1440	63187	\N	\N	\N
712952	2436	1998-01-03	VYDAJ	VYBER	2880	61607	\N	\N	\N
712954	2436	1993-11-23	VYDAJ	VYBER	3720	28676	\N	\N	\N
712956	2436	1993-10-22	VYDAJ	VYBER	1320	35453	\N	\N	\N
712959	2436	1994-09-17	VYDAJ	VYBER	960	45591	\N	\N	\N
712960	2436	1994-01-10	VYDAJ	VYBER	2880	22980	\N	\N	\N
712961	2436	1994-01-02	VYDAJ	VYBER	2640	27180	\N	\N	\N
712962	2436	1994-12-02	VYDAJ	VYBER	5760	34749	\N	\N	\N
712963	2436	1994-04-24	VYDAJ	VYBER	840	32343	\N	\N	\N
712964	2436	1995-07-08	VYDAJ	VYBER	2520	39283	\N	\N	\N
712965	2436	1995-05-22	VYDAJ	VYBER	4320	39677	\N	\N	\N
712966	2436	1995-04-02	VYDAJ	VYBER	3120	38355	\N	\N	\N
712967	2436	1995-06-20	VYDAJ	VYBER	1800	41646	\N	\N	\N
712968	2436	1995-10-24	VYDAJ	VYBER	2880	38543	\N	\N	\N
712969	2436	1996-02-19	VYDAJ	VYBER	2040	42428	\N	\N	\N
712970	2436	1996-11-02	VYDAJ	VYBER	720	61841	\N	\N	\N
712971	2436	1996-01-29	VYDAJ	VYBER	840	40307	\N	\N	\N
712972	2436	1996-04-06	VYDAJ	VYBER	5760	43044	\N	\N	\N
712973	2436	1996-06-26	VYDAJ	VYBER	2280	37291	\N	\N	\N
712974	2436	1996-09-01	VYDAJ	VYBER	5160	53528	\N	\N	\N
712975	2436	1996-11-09	VYDAJ	VYBER	4680	49561	\N	\N	\N
712976	2436	1997-04-30	VYDAJ	VYBER	5760	59073	\N	\N	\N
712977	2436	1997-09-12	VYDAJ	VYBER	5040	62051	\N	\N	\N
712978	2436	1997-04-11	VYDAJ	VYBER	1200	65765	\N	\N	\N
712979	2436	1997-08-24	VYDAJ	VYBER	1200	65992	\N	\N	\N
712980	2436	1997-04-16	VYDAJ	VYBER	1200	64565	\N	\N	\N
712981	2436	1998-09-14	VYDAJ	VYBER	5400	81019	\N	\N	\N
712982	2436	1998-04-24	VYDAJ	VYBER	3240	78541	\N	\N	\N
712983	2436	1998-04-12	VYDAJ	VYBER	3480	81781	\N	\N	\N
712994	2436	1993-10-31	VYDAJ	VYBER	15	28256	SLUZBY	\N	\N
712995	2436	1993-11-30	VYDAJ	VYBER	15	28780	SLUZBY	\N	\N
712996	2436	1993-12-31	VYDAJ	VYBER	15	29820	SLUZBY	\N	\N
712997	2436	1994-01-31	VYDAJ	VYBER	15	22576	SLUZBY	\N	\N
712998	2436	1994-02-28	VYDAJ	VYBER	15	26101	SLUZBY	\N	\N
712999	2436	1994-03-31	VYDAJ	VYBER	15	31643	SLUZBY	\N	\N
713000	2436	1994-04-30	VYDAJ	VYBER	15	32462	SLUZBY	\N	\N
713001	2436	1994-05-31	VYDAJ	VYBER	15	33324	SLUZBY	\N	\N
713002	2436	1994-06-30	VYDAJ	VYBER	15	34960	SLUZBY	\N	\N
713003	2436	1994-07-31	VYDAJ	VYBER	15	35732	SLUZBY	\N	\N
713004	2436	1994-08-31	VYDAJ	VYBER	15	38011	SLUZBY	\N	\N
713005	2436	1994-09-30	VYDAJ	VYBER	15	36832	SLUZBY	\N	\N
713006	2436	1994-10-31	VYDAJ	VYBER	15	40117	SLUZBY	\N	\N
713007	2436	1994-11-30	VYDAJ	VYBER	15	40509	SLUZBY	\N	\N
713008	2436	1994-12-31	VYDAJ	VYBER	15	41159	SLUZBY	\N	\N
713009	2436	1995-01-31	VYDAJ	VYBER	15	34311	SLUZBY	\N	\N
713010	2436	1995-02-28	VYDAJ	VYBER	15	37486	SLUZBY	\N	\N
713011	2436	1995-03-31	VYDAJ	VYBER	15	41475	SLUZBY	\N	\N
713012	2436	1995-04-30	VYDAJ	VYBER	15	42057	SLUZBY	\N	\N
713013	2436	1995-05-31	VYDAJ	VYBER	15	39836	SLUZBY	\N	\N
713014	2436	1995-06-30	VYDAJ	VYBER	15	41803	SLUZBY	\N	\N
713015	2436	1995-07-31	VYDAJ	VYBER	15	41984	SLUZBY	\N	\N
713016	2436	1995-08-31	VYDAJ	VYBER	15	41582	SLUZBY	\N	\N
713017	2436	1995-09-30	VYDAJ	VYBER	15	42683	SLUZBY	\N	\N
713018	2436	1995-10-31	VYDAJ	VYBER	15	38699	SLUZBY	\N	\N
713019	2436	1995-11-30	VYDAJ	VYBER	15	37481	SLUZBY	\N	\N
713020	2436	1995-12-31	VYDAJ	VYBER	15	42987	SLUZBY	\N	\N
713021	2436	1996-01-31	VYDAJ	VYBER	15	37828	SLUZBY	\N	\N
713022	2436	1996-02-29	VYDAJ	VYBER	15	42585	SLUZBY	\N	\N
713023	2436	1996-03-31	VYDAJ	VYBER	15	48804	SLUZBY	\N	\N
713024	2436	1996-04-30	VYDAJ	VYBER	15	50273	SLUZBY	\N	\N
713025	2436	1996-05-31	VYDAJ	VYBER	15	55421	SLUZBY	\N	\N
713026	2436	1996-06-30	VYDAJ	VYBER	15	37508	SLUZBY	\N	\N
713027	2436	1996-07-31	VYDAJ	VYBER	15	52229	SLUZBY	\N	\N
713028	2436	1996-08-31	VYDAJ	VYBER	15	58688	SLUZBY	\N	\N
713029	2436	1996-09-30	VYDAJ	VYBER	15	56984	SLUZBY	\N	\N
713030	2436	1996-10-31	VYDAJ	VYBER	15	62561	SLUZBY	\N	\N
713031	2436	1996-11-30	VYDAJ	VYBER	15	58324	SLUZBY	\N	\N
713032	2436	1996-12-31	VYDAJ	VYBER	15	65677	SLUZBY	\N	\N
713033	2436	1997-01-31	VYDAJ	VYBER	15	51374	SLUZBY	\N	\N
713034	2436	1997-02-28	VYDAJ	VYBER	15	61538	SLUZBY	\N	\N
713035	2436	1997-03-31	VYDAJ	VYBER	15	64425	SLUZBY	\N	\N
713036	2436	1997-04-30	VYDAJ	VYBER	15	59058	SLUZBY	\N	\N
713037	2436	1997-05-31	VYDAJ	VYBER	15	65044	SLUZBY	\N	\N
713038	2436	1997-06-30	VYDAJ	VYBER	15	58366	SLUZBY	\N	\N
713039	2436	1997-07-31	VYDAJ	VYBER	15	65452	SLUZBY	\N	\N
713040	2436	1997-08-31	VYDAJ	VYBER	15	66251	SLUZBY	\N	\N
713041	2436	1997-09-30	VYDAJ	VYBER	15	62298	SLUZBY	\N	\N
713042	2436	1997-10-31	VYDAJ	VYBER	15	67594	SLUZBY	\N	\N
713043	2436	1997-11-30	VYDAJ	VYBER	15	65389	SLUZBY	\N	\N
713044	2436	1997-12-31	VYDAJ	VYBER	15	64487	SLUZBY	\N	\N
713045	2436	1998-01-31	VYDAJ	VYBER	15	64720	SLUZBY	\N	\N
713046	2436	1998-02-28	VYDAJ	VYBER	15	68612	SLUZBY	\N	\N
713047	2436	1998-03-31	VYDAJ	VYBER	15	76721	SLUZBY	\N	\N
713048	2436	1998-04-30	VYDAJ	VYBER	15	78053	SLUZBY	\N	\N
713049	2436	1998-05-31	VYDAJ	VYBER	15	77799	SLUZBY	\N	\N
713050	2436	1998-06-30	VYDAJ	VYBER	15	64465	SLUZBY	\N	\N
713051	2436	1998-07-31	VYDAJ	VYBER	15	70958	SLUZBY	\N	\N
713052	2436	1998-08-31	VYDAJ	VYBER	15	77879	SLUZBY	\N	\N
713053	2436	1998-09-30	VYDAJ	VYBER	15	76728	SLUZBY	\N	\N
713054	2436	1998-10-31	VYDAJ	VYBER	15	77769	SLUZBY	\N	\N
713055	2436	1998-11-30	VYDAJ	VYBER	15	79114	SLUZBY	\N	\N
713056	2436	1993-06-24	PRIJEM	VKLAD	3600	16810	\N	\N	\N
713057	2436	1993-07-24	VYDAJ	VYBER	2800	22566	\N	\N	\N
713058	2436	1993-08-23	VYDAJ	VYBER	4900	26283	\N	\N	\N
713059	2436	1993-09-22	VYDAJ	VYBER	6800	28121	\N	\N	\N
713060	2436	1993-10-22	VYDAJ	VYBER	7300	28153	\N	\N	\N
713061	2436	1993-11-21	VYDAJ	VYBER	4400	32396	\N	\N	\N
713062	2436	1993-12-21	VYDAJ	VYBER	8200	33390	\N	\N	\N
713063	2436	1994-01-20	PRIJEM	VKLAD	2600	25960	\N	\N	\N
713064	2436	1994-02-19	VYDAJ	VYBER	5100	26016	\N	\N	\N
713065	2436	1994-03-21	VYDAJ	VYBER	3100	31541	\N	\N	\N
713066	2436	1994-04-20	VYDAJ	VYBER	7000	33183	\N	\N	\N
713067	2436	1994-05-20	VYDAJ	VYBER	7800	33202	\N	\N	\N
713068	2436	1994-06-19	VYDAJ	VYBER	11300	34834	\N	\N	\N
713069	2436	1994-07-19	VYDAJ	VYBER	7900	35600	\N	\N	\N
713070	2436	1994-08-18	VYDAJ	VYBER	6400	37872	\N	\N	\N
713071	2436	1994-09-17	VYDAJ	VYBER	8900	36691	\N	\N	\N
713072	2436	1994-10-17	VYDAJ	VYBER	5400	39972	\N	\N	\N
713073	2436	1994-11-16	VYDAJ	VYBER	8300	40357	\N	\N	\N
713074	2436	1994-12-16	VYDAJ	VYBER	4800	40999	\N	\N	\N
713075	2436	1995-01-15	VYDAJ	VYBER	1600	35739	\N	\N	\N
713076	2436	1995-02-14	VYDAJ	VYBER	5500	37351	\N	\N	\N
713077	2436	1995-03-16	VYDAJ	VYBER	4700	41326	\N	\N	\N
713078	2436	1995-04-15	VYDAJ	VYBER	5000	41895	\N	\N	\N
713079	2436	1995-05-15	VYDAJ	VYBER	6600	43997	\N	\N	\N
713080	2436	1995-06-14	VYDAJ	VYBER	9200	43446	\N	\N	\N
713081	2436	1995-07-14	VYDAJ	VYBER	6000	41823	\N	\N	\N
713082	2436	1995-08-13	VYDAJ	VYBER	9100	41424	\N	\N	\N
713083	2436	1995-09-12	VYDAJ	VYBER	7600	42522	\N	\N	\N
713084	2436	1995-10-12	VYDAJ	VYBER	9800	41423	\N	\N	\N
713085	2436	1995-11-11	VYDAJ	VYBER	9900	37339	\N	\N	\N
713086	2436	1995-12-11	VYDAJ	VYBER	3300	42831	\N	\N	\N
713087	2436	1996-01-10	VYDAJ	VYBER	3900	37167	\N	\N	\N
713088	2436	1996-02-09	VYDAJ	VYBER	1900	35928	\N	\N	\N
713089	2436	1996-03-10	VYDAJ	VYBER	2500	40085	\N	\N	\N
713090	2436	1996-04-09	VYDAJ	VYBER	1500	41544	\N	\N	\N
713091	2436	1996-05-09	VYDAJ	VYBER	3600	46673	\N	\N	\N
713092	2436	1996-06-08	VYDAJ	VYBER	6100	49321	\N	\N	\N
713093	2436	1996-07-08	PRIJEM	VKLAD	6000	43508	\N	\N	\N
713094	2436	1996-08-07	VYDAJ	VYBER	2300	49929	\N	\N	\N
713095	2436	1996-09-06	VYDAJ	VYBER	5300	48228	\N	\N	\N
713096	2436	1996-10-06	VYDAJ	VYBER	3200	53784	\N	\N	\N
713097	2436	1996-11-05	VYDAJ	VYBER	7600	54241	\N	\N	\N
713098	2436	1996-12-05	VYDAJ	VYBER	2500	55824	\N	\N	\N
713099	2436	1997-01-04	VYDAJ	VYBER	9500	56177	\N	\N	\N
713100	2436	1997-02-03	PRIJEM	VKLAD	1400	52774	\N	\N	\N
713101	2436	1997-03-05	VYDAJ	VYBER	5900	55638	\N	\N	\N
713102	2436	1997-04-04	VYDAJ	VYBER	6000	58425	\N	\N	\N
713103	2436	1997-05-04	VYDAJ	VYBER	2800	56258	\N	\N	\N
713104	2436	1997-06-03	PRIJEM	VKLAD	9100	45344	\N	\N	\N
713105	2436	1997-07-03	VYDAJ	VYBER	1700	56666	\N	\N	\N
713106	2436	1997-08-02	VYDAJ	VYBER	6800	58652	\N	\N	\N
713107	2436	1997-09-01	VYDAJ	VYBER	7700	58551	\N	\N	\N
713108	2436	1997-10-01	VYDAJ	VYBER	3500	58798	\N	\N	\N
713109	2436	1997-10-31	VYDAJ	VYBER	2200	65394	\N	\N	\N
713110	2436	1997-11-30	VYDAJ	VYBER	8800	65403	\N	\N	\N
713111	2436	1997-12-30	VYDAJ	VYBER	10300	64219	\N	\N	\N
713112	2436	1998-01-29	PRIJEM	VKLAD	2000	64467	\N	\N	\N
713113	2436	1998-02-28	VYDAJ	VYBER	4900	68626	\N	\N	\N
713114	2436	1998-03-30	VYDAJ	VYBER	700	76452	\N	\N	\N
713115	2436	1998-04-29	VYDAJ	VYBER	800	77741	\N	\N	\N
713116	2436	1998-05-29	VYDAJ	VYBER	9100	77493	\N	\N	\N
713117	2436	1998-06-28	PRIJEM	VKLAD	14900	64229	\N	\N	\N
713118	2436	1998-07-28	VYDAJ	VYBER	2300	70705	\N	\N	\N
713119	2436	1998-08-27	VYDAJ	VYBER	1900	77598	\N	\N	\N
713120	2436	1998-09-26	VYDAJ	VYBER	4600	76419	\N	\N	\N
713121	2436	1998-10-26	VYDAJ	VYBER	7800	77468	\N	\N	\N
713122	2436	1998-11-25	VYDAJ	VYBER	7500	78809	\N	\N	\N
713123	2436	1998-12-25	VYDAJ	VYBER	13300	78624	\N	\N	\N
713191	2437	1995-12-04	PRIJEM	VKLAD	500	500	\N	\N	\N
713203	2437	1995-12-13	PRIJEM	PREVOD Z UCTU	2991	3491	\N	ST	69567405
713204	2437	1996-01-13	PRIJEM	PREVOD Z UCTU	2991	6491	\N	ST	69567405
713205	2437	1996-02-13	PRIJEM	PREVOD Z UCTU	2991	9497	\N	ST	69567405
713206	2437	1996-03-13	PRIJEM	PREVOD Z UCTU	2991	12502	\N	ST	69567405
713207	2437	1996-04-13	PRIJEM	PREVOD Z UCTU	2991	15508	\N	ST	69567405
713208	2437	1996-05-13	PRIJEM	PREVOD Z UCTU	2991	16506	\N	ST	69567405
713209	2437	1996-06-13	PRIJEM	PREVOD Z UCTU	2991	16805	\N	ST	69567405
713210	2437	1996-07-13	PRIJEM	PREVOD Z UCTU	2991	16145	\N	ST	69567405
713211	2437	1996-08-13	PRIJEM	PREVOD Z UCTU	2991	17195	\N	ST	69567405
713212	2437	1996-09-13	PRIJEM	PREVOD Z UCTU	2991	17797	\N	ST	69567405
713213	2437	1996-10-13	PRIJEM	PREVOD Z UCTU	2991	18851	\N	ST	69567405
713214	2437	1996-11-13	PRIJEM	PREVOD Z UCTU	2991	19910	\N	ST	69567405
713215	2437	1996-12-13	PRIJEM	PREVOD Z UCTU	2991	20553	\N	ST	69567405
713216	2437	1997-01-13	PRIJEM	PREVOD Z UCTU	2991	21199	\N	ST	69567405
713217	2437	1997-02-13	PRIJEM	PREVOD Z UCTU	2991	18873	\N	ST	69567405
713218	2437	1997-03-13	PRIJEM	PREVOD Z UCTU	2991	19931	\N	ST	69567405
713219	2437	1997-04-13	PRIJEM	PREVOD Z UCTU	2991	20995	\N	ST	69567405
713220	2437	1997-05-13	PRIJEM	PREVOD Z UCTU	2991	21552	\N	ST	69567405
713221	2437	1997-06-13	PRIJEM	PREVOD Z UCTU	2991	20463	\N	ST	69567405
713222	2437	1997-07-13	PRIJEM	PREVOD Z UCTU	2991	14534	\N	ST	69567405
713223	2437	1997-08-13	PRIJEM	PREVOD Z UCTU	2991	15575	\N	ST	69567405
713224	2437	1997-09-13	PRIJEM	PREVOD Z UCTU	2991	15749	\N	ST	69567405
713225	2437	1997-10-13	PRIJEM	PREVOD Z UCTU	2991	16795	\N	ST	69567405
713226	2437	1997-11-13	PRIJEM	PREVOD Z UCTU	2991	17845	\N	ST	69567405
713227	2437	1997-12-13	PRIJEM	PREVOD Z UCTU	2991	16327	\N	ST	69567405
713228	2437	1998-01-13	PRIJEM	PREVOD Z UCTU	2991	16776	\N	ST	69567405
713229	2437	1998-02-13	PRIJEM	PREVOD Z UCTU	2991	14791	\N	ST	69567405
713230	2437	1998-03-13	PRIJEM	PREVOD Z UCTU	2991	14842	\N	ST	69567405
713231	2437	1998-04-13	PRIJEM	PREVOD Z UCTU	2991	15883	\N	ST	69567405
713232	2437	1998-05-13	PRIJEM	PREVOD Z UCTU	2991	16929	\N	ST	69567405
713233	2437	1998-06-13	PRIJEM	PREVOD Z UCTU	2991	15460	\N	ST	69567405
713234	2437	1998-07-13	PRIJEM	PREVOD Z UCTU	2991	15336	\N	ST	69567405
713235	2437	1998-08-13	PRIJEM	PREVOD Z UCTU	2991	15719	\N	ST	69567405
713236	2437	1998-09-13	PRIJEM	PREVOD Z UCTU	2991	16765	\N	ST	69567405
713237	2437	1998-10-13	PRIJEM	PREVOD Z UCTU	2991	17424	\N	ST	69567405
713238	2437	1998-11-13	PRIJEM	PREVOD Z UCTU	2991	18266	\N	ST	69567405
713239	2437	1998-12-13	PRIJEM	PREVOD Z UCTU	2991	18571	\N	ST	69567405
713256	2437	1996-05-10	VYDAJ	PREVOD NA UCET	656	14853	SIPO	OP	10448074
713257	2437	1996-06-10	VYDAJ	PREVOD NA UCET	656	15152	SIPO	OP	10448074
713258	2437	1996-07-10	VYDAJ	PREVOD NA UCET	656	16202	SIPO	OP	10448074
713259	2437	1996-08-10	VYDAJ	PREVOD NA UCET	656	15542	SIPO	OP	10448074
713260	2437	1996-09-10	VYDAJ	PREVOD NA UCET	656	16144	SIPO	OP	10448074
713261	2437	1996-10-10	VYDAJ	PREVOD NA UCET	656	17198	SIPO	OP	10448074
713262	2437	1996-11-10	VYDAJ	PREVOD NA UCET	656	18257	SIPO	OP	10448074
713263	2437	1996-12-10	VYDAJ	PREVOD NA UCET	656	18900	SIPO	OP	10448074
713264	2437	1997-01-10	VYDAJ	PREVOD NA UCET	656	19546	SIPO	OP	10448074
713265	2437	1997-02-10	VYDAJ	PREVOD NA UCET	656	17220	SIPO	OP	10448074
713266	2437	1997-03-10	VYDAJ	PREVOD NA UCET	656	18278	SIPO	OP	10448074
713267	2437	1997-04-10	VYDAJ	PREVOD NA UCET	656	19342	SIPO	OP	10448074
713268	2437	1997-05-10	VYDAJ	PREVOD NA UCET	656	19899	SIPO	OP	10448074
713269	2437	1997-06-10	VYDAJ	PREVOD NA UCET	656	18810	SIPO	OP	10448074
713270	2437	1997-07-10	VYDAJ	PREVOD NA UCET	656	12881	SIPO	OP	10448074
713271	2437	1997-08-10	VYDAJ	PREVOD NA UCET	656	13922	SIPO	OP	10448074
713272	2437	1997-09-10	VYDAJ	PREVOD NA UCET	656	14096	SIPO	OP	10448074
713273	2437	1997-10-10	VYDAJ	PREVOD NA UCET	656	15142	SIPO	OP	10448074
713274	2437	1997-11-10	VYDAJ	PREVOD NA UCET	656	16192	SIPO	OP	10448074
713275	2437	1997-12-10	VYDAJ	PREVOD NA UCET	656	14674	SIPO	OP	10448074
713276	2437	1998-01-10	VYDAJ	PREVOD NA UCET	656	15123	SIPO	OP	10448074
713277	2437	1998-02-10	VYDAJ	PREVOD NA UCET	656	13138	SIPO	OP	10448074
713278	2437	1998-03-10	VYDAJ	PREVOD NA UCET	656	13189	SIPO	OP	10448074
713279	2437	1998-04-10	VYDAJ	PREVOD NA UCET	656	14230	SIPO	OP	10448074
713280	2437	1998-05-10	VYDAJ	PREVOD NA UCET	656	15276	SIPO	OP	10448074
713281	2437	1998-06-10	VYDAJ	PREVOD NA UCET	656	13807	SIPO	OP	10448074
713282	2437	1998-07-10	VYDAJ	PREVOD NA UCET	656	13683	SIPO	OP	10448074
713283	2437	1998-08-10	VYDAJ	PREVOD NA UCET	656	14066	SIPO	OP	10448074
713284	2437	1998-09-10	VYDAJ	PREVOD NA UCET	656	15112	SIPO	OP	10448074
713285	2437	1998-10-10	VYDAJ	PREVOD NA UCET	656	15771	SIPO	OP	10448074
713286	2437	1998-11-10	VYDAJ	PREVOD NA UCET	656	16613	SIPO	OP	10448074
713287	2437	1998-12-10	VYDAJ	PREVOD NA UCET	656	16918	SIPO	OP	10448074
713304	2437	1996-05-11	VYDAJ	PREVOD NA UCET	1338	13515	 	YZ	65697604
713305	2437	1996-06-11	VYDAJ	PREVOD NA UCET	1338	13814	 	YZ	65697604
713306	2437	1996-07-11	VYDAJ	PREVOD NA UCET	1338	14264	 	YZ	65697604
713307	2437	1996-08-11	VYDAJ	PREVOD NA UCET	1338	14204	 	YZ	65697604
713308	2437	1996-09-11	VYDAJ	PREVOD NA UCET	1338	14806	 	YZ	65697604
713309	2437	1996-10-11	VYDAJ	PREVOD NA UCET	1338	15860	 	YZ	65697604
713310	2437	1996-11-11	VYDAJ	PREVOD NA UCET	1338	16919	 	YZ	65697604
713311	2437	1996-12-11	VYDAJ	PREVOD NA UCET	1338	17562	 	YZ	65697604
713312	2437	1997-01-11	VYDAJ	PREVOD NA UCET	1338	18208	 	YZ	65697604
713313	2437	1997-02-11	VYDAJ	PREVOD NA UCET	1338	15882	 	YZ	65697604
713314	2437	1997-03-11	VYDAJ	PREVOD NA UCET	1338	16940	 	YZ	65697604
713315	2437	1997-04-11	VYDAJ	PREVOD NA UCET	1338	18004	 	YZ	65697604
713316	2437	1997-05-11	VYDAJ	PREVOD NA UCET	1338	18561	 	YZ	65697604
713317	2437	1997-06-11	VYDAJ	PREVOD NA UCET	1338	17472	 	YZ	65697604
713318	2437	1997-07-11	VYDAJ	PREVOD NA UCET	1338	11543	 	YZ	65697604
713319	2437	1997-08-11	VYDAJ	PREVOD NA UCET	1338	12584	 	YZ	65697604
713320	2437	1997-09-11	VYDAJ	PREVOD NA UCET	1338	12758	 	YZ	65697604
713321	2437	1997-10-11	VYDAJ	PREVOD NA UCET	1338	13804	 	YZ	65697604
713322	2437	1997-11-11	VYDAJ	PREVOD NA UCET	1338	14854	 	YZ	65697604
713323	2437	1997-12-11	VYDAJ	PREVOD NA UCET	1338	13336	 	YZ	65697604
713324	2437	1998-01-11	VYDAJ	PREVOD NA UCET	1338	13785	 	YZ	65697604
713325	2437	1998-02-11	VYDAJ	PREVOD NA UCET	1338	11800	 	YZ	65697604
713326	2437	1998-03-11	VYDAJ	PREVOD NA UCET	1338	11851	 	YZ	65697604
713327	2437	1998-04-11	VYDAJ	PREVOD NA UCET	1338	12892	 	YZ	65697604
713328	2437	1998-05-11	VYDAJ	PREVOD NA UCET	1338	13938	 	YZ	65697604
713329	2437	1998-06-11	VYDAJ	PREVOD NA UCET	1338	12469	 	YZ	65697604
713330	2437	1998-07-11	VYDAJ	PREVOD NA UCET	1338	12345	 	YZ	65697604
713331	2437	1998-08-11	VYDAJ	PREVOD NA UCET	1338	12728	 	YZ	65697604
713332	2437	1998-09-11	VYDAJ	PREVOD NA UCET	1338	13774	 	YZ	65697604
713333	2437	1998-10-11	VYDAJ	PREVOD NA UCET	1338	14433	 	YZ	65697604
713334	2437	1998-11-11	VYDAJ	PREVOD NA UCET	1338	15275	 	YZ	65697604
713335	2437	1998-12-11	VYDAJ	PREVOD NA UCET	1338	15580	 	YZ	65697604
713338	2437	1997-06-27	VYDAJ	VYBER	5880	13473	\N	\N	\N
713339	2437	1998-06-01	VYDAJ	VYBER	1740	14463	\N	\N	\N
713342	2437	1997-01-17	VYDAJ	VYBER	540	19129	\N	\N	\N
713343	2437	1998-01-21	VYDAJ	VYBER	1440	14016	\N	\N	\N
713345	2437	1996-12-08	VYDAJ	VYBER	420	19556	\N	\N	\N
713346	2437	1997-12-09	VYDAJ	VYBER	570	15330	\N	\N	\N
713347	2437	1998-12-06	VYDAJ	VYBER	750	17574	\N	\N	\N
713360	2437	1997-01-09	VYDAJ	VYBER	420	20202	\N	\N	\N
713361	2437	1997-01-30	VYDAJ	VYBER	390	17809	\N	\N	\N
713362	2437	1997-01-23	VYDAJ	VYBER	270	18199	\N	\N	\N
713363	2437	1997-01-15	VYDAJ	VYBER	480	20719	\N	\N	\N
713364	2437	1997-01-18	VYDAJ	VYBER	390	18739	\N	\N	\N
713365	2437	1997-01-22	VYDAJ	VYBER	270	18469	\N	\N	\N
713366	2437	1998-01-02	VYDAJ	VYBER	600	15779	\N	\N	\N
713367	2437	1998-01-22	VYDAJ	VYBER	270	13746	\N	\N	\N
713368	2437	1998-01-15	VYDAJ	VYBER	690	15456	\N	\N	\N
713371	2437	1998-01-14	VYDAJ	VYBER	630	16146	\N	\N	\N
713376	2437	1996-05-13	VYDAJ	VYBER	750	15756	\N	\N	\N
713377	2437	1996-08-29	VYDAJ	VYBER	450	16745	\N	\N	\N
713378	2437	1996-07-10	VYDAJ	VYBER	600	15602	\N	\N	\N
713379	2437	1996-07-12	VYDAJ	VYBER	1110	13154	\N	\N	\N
713381	2437	1997-06-21	VYDAJ	VYBER	1110	19353	\N	\N	\N
713382	2437	1997-06-04	VYDAJ	VYBER	900	19466	\N	\N	\N
713383	2437	1997-05-09	VYDAJ	VYBER	510	20555	\N	\N	\N
713384	2437	1997-06-02	VYDAJ	VYBER	1260	20366	\N	\N	\N
713385	2437	1997-01-17	VYDAJ	VYBER	1050	19669	\N	\N	\N
713386	2437	1997-08-28	VYDAJ	VYBER	870	14705	\N	\N	\N
713387	2437	1998-12-30	VYDAJ	VYBER	1470	17101	\N	\N	\N
713388	2437	1998-09-18	VYDAJ	VYBER	390	16375	\N	\N	\N
713389	2437	1998-05-30	VYDAJ	VYBER	780	16149	\N	\N	\N
713390	2437	1998-07-09	VYDAJ	VYBER	1170	14339	\N	\N	\N
713391	2437	1998-10-22	VYDAJ	VYBER	210	17214	\N	\N	\N
713392	2437	1998-07-15	VYDAJ	VYBER	660	14676	\N	\N	\N
713393	2437	1998-02-27	VYDAJ	VYBER	990	13801	\N	\N	\N
713410	2437	1996-04-30	VYDAJ	VYBER	15	15509	SLUZBY	\N	\N
713411	2437	1996-05-31	VYDAJ	VYBER	15	15808	SLUZBY	\N	\N
713412	2437	1996-06-30	VYDAJ	VYBER	15	16858	SLUZBY	\N	\N
713413	2437	1996-07-31	VYDAJ	VYBER	15	16198	SLUZBY	\N	\N
713414	2437	1996-08-31	VYDAJ	VYBER	15	16800	SLUZBY	\N	\N
713415	2437	1996-09-30	VYDAJ	VYBER	15	17854	SLUZBY	\N	\N
713416	2437	1996-10-31	VYDAJ	VYBER	15	18913	SLUZBY	\N	\N
713417	2437	1996-11-30	VYDAJ	VYBER	15	19976	SLUZBY	\N	\N
713418	2437	1996-12-31	VYDAJ	VYBER	15	20622	SLUZBY	\N	\N
713419	2437	1997-01-31	VYDAJ	VYBER	15	17876	SLUZBY	\N	\N
713420	2437	1997-02-28	VYDAJ	VYBER	15	18934	SLUZBY	\N	\N
713421	2437	1997-03-31	VYDAJ	VYBER	15	19998	SLUZBY	\N	\N
713422	2437	1997-04-30	VYDAJ	VYBER	15	21065	SLUZBY	\N	\N
713423	2437	1997-05-31	VYDAJ	VYBER	15	21626	SLUZBY	\N	\N
713424	2437	1997-06-30	VYDAJ	VYBER	15	13537	SLUZBY	\N	\N
713425	2437	1997-07-31	VYDAJ	VYBER	15	14578	SLUZBY	\N	\N
713426	2437	1997-08-31	VYDAJ	VYBER	15	14752	SLUZBY	\N	\N
713427	2437	1997-09-30	VYDAJ	VYBER	15	15798	SLUZBY	\N	\N
713428	2437	1997-10-31	VYDAJ	VYBER	15	16848	SLUZBY	\N	\N
713429	2437	1997-11-30	VYDAJ	VYBER	15	15900	SLUZBY	\N	\N
713430	2437	1997-12-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
713431	2437	1998-01-31	VYDAJ	VYBER	15	13794	SLUZBY	\N	\N
713432	2437	1998-02-28	VYDAJ	VYBER	15	13845	SLUZBY	\N	\N
713433	2437	1998-03-31	VYDAJ	VYBER	15	14886	SLUZBY	\N	\N
713434	2437	1998-04-30	VYDAJ	VYBER	15	15932	SLUZBY	\N	\N
713435	2437	1998-05-31	VYDAJ	VYBER	15	16203	SLUZBY	\N	\N
713436	2437	1998-06-30	VYDAJ	VYBER	15	15509	SLUZBY	\N	\N
713437	2437	1998-07-31	VYDAJ	VYBER	15	14722	SLUZBY	\N	\N
713438	2437	1998-08-31	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
713439	2437	1998-09-30	VYDAJ	VYBER	15	16427	SLUZBY	\N	\N
713440	2437	1998-10-31	VYDAJ	VYBER	15	17269	SLUZBY	\N	\N
713441	2437	1998-11-30	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
713442	2437	1997-11-23	VYDAJ	VYBER	2000	15845	\N	\N	\N
713480	2438	1997-11-16	PRIJEM	VKLAD	300	300	\N	\N	\N
713492	2438	1997-12-10	PRIJEM	VKLAD	14674	14974	\N	\N	\N
713493	2438	1998-01-10	PRIJEM	VKLAD	9783	28998	\N	\N	\N
713494	2438	1998-02-10	PRIJEM	VKLAD	9783	33872	\N	\N	\N
713495	2438	1998-03-10	PRIJEM	VKLAD	9783	32452	\N	\N	\N
713496	2438	1998-04-10	PRIJEM	VKLAD	9783	34834	\N	\N	\N
713497	2438	1998-05-10	PRIJEM	VKLAD	9783	24181	\N	\N	\N
713498	2438	1998-06-10	PRIJEM	VKLAD	14674	24496	\N	\N	\N
713499	2438	1998-07-10	PRIJEM	VKLAD	9783	20113	\N	\N	\N
713500	2438	1998-08-10	PRIJEM	VKLAD	9783	16320	\N	\N	\N
713501	2438	1998-09-10	PRIJEM	VKLAD	9783	19628	\N	\N	\N
713502	2438	1998-10-10	PRIJEM	VKLAD	9783	22949	\N	\N	\N
713503	2438	1998-11-10	PRIJEM	VKLAD	9783	14152	\N	\N	\N
713504	2438	1998-12-10	PRIJEM	VKLAD	14674	22341	\N	\N	\N
713521	2438	1998-05-06	VYDAJ	PREVOD NA UCET	5817	15103	SIPO	GH	26398313
713522	2438	1998-06-06	VYDAJ	PREVOD NA UCET	5817	10527	SIPO	GH	26398313
713523	2438	1998-07-06	VYDAJ	PREVOD NA UCET	5817	11035	SIPO	GH	26398313
713524	2438	1998-08-06	VYDAJ	PREVOD NA UCET	5817	7242	SIPO	GH	26398313
713525	2438	1998-09-06	VYDAJ	PREVOD NA UCET	5817	10550	SIPO	GH	26398313
713526	2438	1998-10-06	VYDAJ	PREVOD NA UCET	5817	13871	SIPO	GH	26398313
713527	2438	1998-11-06	VYDAJ	PREVOD NA UCET	5817	5074	SIPO	GH	26398313
713528	2438	1998-12-06	VYDAJ	PREVOD NA UCET	5817	8372	SIPO	GH	26398313
713545	2438	1998-05-07	VYDAJ	PREVOD NA UCET	705	14398	 	UV	62592428
713546	2438	1998-06-07	VYDAJ	PREVOD NA UCET	705	9822	 	UV	62592428
713547	2438	1998-07-07	VYDAJ	PREVOD NA UCET	705	10330	 	UV	62592428
713548	2438	1998-08-07	VYDAJ	PREVOD NA UCET	705	6537	 	UV	62592428
713549	2438	1998-09-07	VYDAJ	PREVOD NA UCET	705	9845	 	UV	62592428
713550	2438	1998-10-07	VYDAJ	PREVOD NA UCET	705	13166	 	UV	62592428
713551	2438	1998-11-07	VYDAJ	PREVOD NA UCET	705	4369	 	UV	62592428
713552	2438	1998-12-07	VYDAJ	PREVOD NA UCET	705	7667	 	UV	62592428
713575	2438	1998-05-03	VYDAJ	VYBER	2700	20920	\N	\N	\N
713593	2438	1998-04-30	VYDAJ	VYBER	15	23620	SLUZBY	\N	\N
713594	2438	1998-05-31	VYDAJ	VYBER	15	16344	SLUZBY	\N	\N
713595	2438	1998-06-30	VYDAJ	VYBER	15	16852	SLUZBY	\N	\N
713596	2438	1998-07-31	VYDAJ	VYBER	15	13059	SLUZBY	\N	\N
713597	2438	1998-08-31	VYDAJ	VYBER	15	16367	SLUZBY	\N	\N
713598	2438	1998-09-30	VYDAJ	VYBER	15	19688	SLUZBY	\N	\N
713599	2438	1998-10-31	VYDAJ	VYBER	15	10891	SLUZBY	\N	\N
713600	2438	1998-11-30	VYDAJ	VYBER	15	14189	SLUZBY	\N	\N
713601	2438	1997-12-16	PRIJEM	VKLAD	4200	19174	\N	\N	\N
713602	2438	1998-01-15	VYDAJ	VYBER	5000	23998	\N	\N	\N
713603	2438	1998-02-14	VYDAJ	VYBER	11300	22572	\N	\N	\N
713604	2438	1998-03-16	VYDAJ	VYBER	7500	24952	\N	\N	\N
713605	2438	1998-04-15	VYDAJ	VYBER	11300	23534	\N	\N	\N
713606	2438	1998-05-15	VYDAJ	VYBER	7900	16281	\N	\N	\N
713607	2438	1998-06-14	VYDAJ	VYBER	7700	16796	\N	\N	\N
713608	2438	1998-07-14	VYDAJ	VYBER	7100	13013	\N	\N	\N
713609	2438	1998-10-12	VYDAJ	VYBER	12100	10849	\N	\N	\N
713623	2439	1996-08-13	PRIJEM	VKLAD	500	500	\N	\N	\N
713632	2439	1996-09-11	PRIJEM	PREVOD Z UCTU	6457	6957	DUCHOD	YZ	86485772
713633	2439	1996-10-11	PRIJEM	PREVOD Z UCTU	6457	13414	DUCHOD	YZ	86485772
713634	2439	1996-11-11	PRIJEM	PREVOD Z UCTU	6457	19871	DUCHOD	YZ	86485772
713635	2439	1996-12-11	PRIJEM	PREVOD Z UCTU	6457	26328	DUCHOD	YZ	86485772
713636	2439	1997-01-11	PRIJEM	PREVOD Z UCTU	6457	28453	DUCHOD	YZ	86485772
713637	2439	1997-02-11	PRIJEM	PREVOD Z UCTU	6457	23522	DUCHOD	YZ	86485772
713638	2439	1997-03-11	PRIJEM	PREVOD Z UCTU	6457	27964	DUCHOD	YZ	86485772
713639	2439	1997-04-11	PRIJEM	PREVOD Z UCTU	6457	27001	DUCHOD	YZ	86485772
713640	2439	1997-05-11	PRIJEM	PREVOD Z UCTU	6457	27554	DUCHOD	YZ	86485772
713641	2439	1997-06-11	PRIJEM	PREVOD Z UCTU	6457	32013	DUCHOD	YZ	86485772
713642	2439	1997-07-11	PRIJEM	PREVOD Z UCTU	6457	26224	DUCHOD	YZ	86485772
713643	2439	1997-08-11	PRIJEM	PREVOD Z UCTU	6457	29075	DUCHOD	YZ	86485772
713644	2439	1997-09-11	PRIJEM	PREVOD Z UCTU	6457	30338	DUCHOD	YZ	86485772
713645	2439	1997-10-11	PRIJEM	PREVOD Z UCTU	6457	29327	DUCHOD	YZ	86485772
713646	2439	1997-11-11	PRIJEM	PREVOD Z UCTU	6457	25814	DUCHOD	YZ	86485772
713647	2439	1997-12-11	PRIJEM	PREVOD Z UCTU	6457	27848	DUCHOD	YZ	86485772
713648	2439	1998-01-11	PRIJEM	PREVOD Z UCTU	6457	22664	DUCHOD	YZ	86485772
713649	2439	1998-02-11	PRIJEM	PREVOD Z UCTU	6457	18024	DUCHOD	YZ	86485772
713650	2439	1998-03-11	PRIJEM	PREVOD Z UCTU	6457	22238	DUCHOD	YZ	86485772
713651	2439	1998-04-11	PRIJEM	PREVOD Z UCTU	6457	25071	DUCHOD	YZ	86485772
713652	2439	1998-05-11	PRIJEM	PREVOD Z UCTU	6457	24234	DUCHOD	YZ	86485772
713653	2439	1998-06-11	PRIJEM	PREVOD Z UCTU	6457	19177	DUCHOD	YZ	86485772
713654	2439	1998-07-11	PRIJEM	PREVOD Z UCTU	6457	19807	DUCHOD	YZ	86485772
713655	2439	1998-08-11	PRIJEM	PREVOD Z UCTU	6457	21033	DUCHOD	YZ	86485772
713656	2439	1998-09-11	PRIJEM	PREVOD Z UCTU	6457	20964	DUCHOD	YZ	86485772
713657	2439	1998-10-11	PRIJEM	PREVOD Z UCTU	6457	16595	DUCHOD	YZ	86485772
713658	2439	1998-11-11	PRIJEM	PREVOD Z UCTU	6457	21013	DUCHOD	YZ	86485772
713659	2439	1998-12-11	PRIJEM	PREVOD Z UCTU	6457	21141	DUCHOD	YZ	86485772
713673	2439	1997-02-09	VYDAJ	PREVOD NA UCET	2096	17065	SIPO	ST	16428494
713674	2439	1997-03-09	VYDAJ	PREVOD NA UCET	2096	21507	SIPO	ST	16428494
713675	2439	1997-04-09	VYDAJ	PREVOD NA UCET	2096	20544	SIPO	ST	16428494
713676	2439	1997-05-09	VYDAJ	PREVOD NA UCET	2096	24997	SIPO	ST	16428494
713677	2439	1997-06-09	VYDAJ	PREVOD NA UCET	2096	25556	SIPO	ST	16428494
713678	2439	1997-07-09	VYDAJ	PREVOD NA UCET	2096	19767	SIPO	ST	16428494
713679	2439	1997-08-09	VYDAJ	PREVOD NA UCET	2096	22618	SIPO	ST	16428494
713680	2439	1997-09-09	VYDAJ	PREVOD NA UCET	2096	23881	SIPO	ST	16428494
713681	2439	1997-10-09	VYDAJ	PREVOD NA UCET	2096	22870	SIPO	ST	16428494
713682	2439	1997-11-09	VYDAJ	PREVOD NA UCET	2096	19357	SIPO	ST	16428494
713683	2439	1997-12-09	VYDAJ	PREVOD NA UCET	2096	21391	SIPO	ST	16428494
713684	2439	1998-01-09	VYDAJ	PREVOD NA UCET	2096	16207	SIPO	ST	16428494
713685	2439	1998-02-09	VYDAJ	PREVOD NA UCET	2096	11567	SIPO	ST	16428494
713686	2439	1998-03-09	VYDAJ	PREVOD NA UCET	2096	15781	SIPO	ST	16428494
713687	2439	1998-04-09	VYDAJ	PREVOD NA UCET	2096	18614	SIPO	ST	16428494
713688	2439	1998-05-09	VYDAJ	PREVOD NA UCET	2096	17777	SIPO	ST	16428494
713689	2439	1998-06-09	VYDAJ	PREVOD NA UCET	2096	12720	SIPO	ST	16428494
713690	2439	1998-07-09	VYDAJ	PREVOD NA UCET	2096	13350	SIPO	ST	16428494
713691	2439	1998-08-09	VYDAJ	PREVOD NA UCET	2096	14576	SIPO	ST	16428494
713692	2439	1998-09-09	VYDAJ	PREVOD NA UCET	2096	14507	SIPO	ST	16428494
713693	2439	1998-10-09	VYDAJ	PREVOD NA UCET	2096	10138	SIPO	ST	16428494
713694	2439	1998-11-09	VYDAJ	PREVOD NA UCET	2096	14556	SIPO	ST	16428494
713695	2439	1998-12-09	VYDAJ	PREVOD NA UCET	2096	14684	SIPO	ST	16428494
713697	2439	1997-06-28	VYDAJ	VYBER	8100	23913	\N	\N	\N
713698	2439	1998-06-03	VYDAJ	VYBER	9500	14816	\N	\N	\N
713701	2439	1998-01-12	VYDAJ	VYBER	800	18424	\N	\N	\N
713703	2439	1997-12-18	VYDAJ	VYBER	400	27448	\N	\N	\N
713704	2439	1998-12-30	VYDAJ	VYBER	250	20891	\N	\N	\N
713711	2439	1997-01-19	VYDAJ	VYBER	720	25413	\N	\N	\N
713712	2439	1997-01-20	VYDAJ	VYBER	720	24693	\N	\N	\N
713713	2439	1997-01-23	VYDAJ	VYBER	560	24133	\N	\N	\N
713714	2439	1997-01-27	VYDAJ	VYBER	1360	22773	\N	\N	\N
713715	2439	1997-01-14	VYDAJ	VYBER	2320	26133	\N	\N	\N
713718	2439	1998-01-11	VYDAJ	VYBER	1200	21464	\N	\N	\N
713719	2439	1998-01-15	VYDAJ	VYBER	1360	17064	\N	\N	\N
713720	2439	1998-01-12	VYDAJ	VYBER	2240	19224	\N	\N	\N
713721	2439	1998-01-04	VYDAJ	VYBER	2240	25303	\N	\N	\N
713722	2439	1998-01-15	VYDAJ	VYBER	1760	15304	\N	\N	\N
713727	2439	1997-10-05	VYDAJ	VYBER	3680	26766	\N	\N	\N
713728	2439	1997-07-06	VYDAJ	VYBER	2160	21863	\N	\N	\N
713729	2439	1997-04-04	VYDAJ	VYBER	720	22640	\N	\N	\N
713730	2439	1997-11-06	VYDAJ	VYBER	1280	28153	\N	\N	\N
713731	2439	1997-11-23	VYDAJ	VYBER	1520	24294	\N	\N	\N
713732	2439	1998-01-15	VYDAJ	VYBER	1600	13704	\N	\N	\N
713734	2439	1998-04-23	VYDAJ	VYBER	2880	22191	\N	\N	\N
713748	2439	1997-01-31	VYDAJ	VYBER	15	22861	SLUZBY	\N	\N
713749	2439	1997-02-28	VYDAJ	VYBER	15	23603	SLUZBY	\N	\N
713750	2439	1997-03-31	VYDAJ	VYBER	15	23360	SLUZBY	\N	\N
713751	2439	1997-04-30	VYDAJ	VYBER	15	27093	SLUZBY	\N	\N
713752	2439	1997-05-31	VYDAJ	VYBER	15	27652	SLUZBY	\N	\N
713753	2439	1997-06-30	VYDAJ	VYBER	15	24023	SLUZBY	\N	\N
713754	2439	1997-07-31	VYDAJ	VYBER	15	26314	SLUZBY	\N	\N
713755	2439	1997-08-31	VYDAJ	VYBER	15	29177	SLUZBY	\N	\N
713756	2439	1997-09-30	VYDAJ	VYBER	15	30446	SLUZBY	\N	\N
713757	2439	1997-10-31	VYDAJ	VYBER	15	29433	SLUZBY	\N	\N
713758	2439	1997-11-30	VYDAJ	VYBER	15	24387	SLUZBY	\N	\N
713759	2439	1997-12-31	VYDAJ	VYBER	15	27543	SLUZBY	\N	\N
713760	2439	1998-01-31	VYDAJ	VYBER	15	13763	SLUZBY	\N	\N
713761	2439	1998-02-28	VYDAJ	VYBER	15	18077	SLUZBY	\N	\N
713762	2439	1998-03-31	VYDAJ	VYBER	15	22310	SLUZBY	\N	\N
713763	2439	1998-04-30	VYDAJ	VYBER	15	22273	SLUZBY	\N	\N
713764	2439	1998-05-31	VYDAJ	VYBER	15	24316	SLUZBY	\N	\N
713765	2439	1998-06-30	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
713766	2439	1998-07-31	VYDAJ	VYBER	15	19872	SLUZBY	\N	\N
713767	2439	1998-08-31	VYDAJ	VYBER	15	21103	SLUZBY	\N	\N
713768	2439	1998-09-30	VYDAJ	VYBER	15	21034	SLUZBY	\N	\N
713769	2439	1998-10-31	VYDAJ	VYBER	15	16652	SLUZBY	\N	\N
713770	2439	1998-11-30	VYDAJ	VYBER	15	21080	SLUZBY	\N	\N
713771	2439	1996-12-11	VYDAJ	VYBER	2400	23928	\N	\N	\N
713772	2439	1997-01-10	VYDAJ	VYBER	2000	21996	\N	\N	\N
713773	2439	1997-02-09	VYDAJ	VYBER	3700	19161	\N	\N	\N
713774	2439	1997-03-11	VYDAJ	VYBER	4700	23264	\N	\N	\N
713775	2439	1997-05-10	VYDAJ	VYBER	3900	21097	\N	\N	\N
713776	2439	1997-08-08	VYDAJ	VYBER	1600	24714	\N	\N	\N
713777	2439	1997-09-07	VYDAJ	VYBER	3200	25977	\N	\N	\N
713778	2439	1997-10-07	VYDAJ	VYBER	1800	24966	\N	\N	\N
713779	2439	1997-11-06	VYDAJ	VYBER	6700	21453	\N	\N	\N
713780	2439	1997-12-06	VYDAJ	VYBER	900	23487	\N	\N	\N
713781	2439	1998-01-05	VYDAJ	VYBER	7000	18303	\N	\N	\N
713782	2439	1998-02-04	VYDAJ	VYBER	100	13663	\N	\N	\N
713783	2439	1998-03-06	VYDAJ	VYBER	200	17877	\N	\N	\N
713784	2439	1998-04-05	VYDAJ	VYBER	1600	20710	\N	\N	\N
713785	2439	1998-05-05	VYDAJ	VYBER	2400	19873	\N	\N	\N
713786	2439	1998-07-04	VYDAJ	VYBER	3800	15446	\N	\N	\N
713787	2439	1998-08-03	VYDAJ	VYBER	3200	16672	\N	\N	\N
713788	2439	1998-09-02	VYDAJ	VYBER	4500	16603	\N	\N	\N
713789	2439	1998-10-02	VYDAJ	VYBER	8800	12234	\N	\N	\N
713790	2439	1998-12-01	VYDAJ	VYBER	4300	16780	\N	\N	\N
713816	2440	1997-12-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
713829	2440	1998-01-14	PRIJEM	VKLAD	23687	24787	\N	\N	\N
713830	2440	1998-02-14	PRIJEM	VKLAD	23687	48123	\N	\N	\N
713831	2440	1998-03-14	PRIJEM	VKLAD	23687	55225	\N	\N	\N
713832	2440	1998-04-14	PRIJEM	VKLAD	23687	64360	\N	\N	\N
713833	2440	1998-05-14	PRIJEM	VKLAD	23687	67823	\N	\N	\N
713834	2440	1998-06-14	PRIJEM	VKLAD	35530	71111	\N	\N	\N
713835	2440	1998-07-14	PRIJEM	VKLAD	23687	46140	\N	\N	\N
713836	2440	1998-08-14	PRIJEM	VKLAD	23687	52245	\N	\N	\N
713837	2440	1998-09-14	PRIJEM	VKLAD	23687	46049	\N	\N	\N
713838	2440	1998-10-14	PRIJEM	VKLAD	23687	46433	\N	\N	\N
713839	2440	1998-11-14	PRIJEM	VKLAD	23687	43054	\N	\N	\N
713840	2440	1998-12-14	PRIJEM	VKLAD	35530	59305	\N	\N	\N
713858	2440	1998-06-09	VYDAJ	PREVOD NA UCET	6219	36242	SIPO	YZ	19144922
713859	2440	1998-07-09	VYDAJ	PREVOD NA UCET	6219	23114	SIPO	YZ	19144922
713860	2440	1998-08-09	VYDAJ	PREVOD NA UCET	6219	29219	SIPO	YZ	19144922
713861	2440	1998-09-09	VYDAJ	PREVOD NA UCET	6219	23023	SIPO	YZ	19144922
713862	2440	1998-10-09	VYDAJ	PREVOD NA UCET	6219	23407	SIPO	YZ	19144922
713863	2440	1998-11-09	VYDAJ	PREVOD NA UCET	6219	20028	SIPO	YZ	19144922
713864	2440	1998-12-09	VYDAJ	PREVOD NA UCET	6219	35736	SIPO	YZ	19144922
713882	2440	1998-06-12	VYDAJ	PREVOD NA UCET	661	35581	 	KL	30988913
713883	2440	1998-07-12	VYDAJ	PREVOD NA UCET	661	22453	 	KL	30988913
713884	2440	1998-08-12	VYDAJ	PREVOD NA UCET	661	28558	 	KL	30988913
713885	2440	1998-09-12	VYDAJ	PREVOD NA UCET	661	22362	 	KL	30988913
713886	2440	1998-10-12	VYDAJ	PREVOD NA UCET	661	22746	 	KL	30988913
713887	2440	1998-11-12	VYDAJ	PREVOD NA UCET	661	19367	 	KL	30988913
713888	2440	1998-12-12	VYDAJ	PREVOD NA UCET	661	35075	 	KL	30988913
713906	2440	1998-06-05	VYDAJ	PREVOD NA UCET	1230	42461	POJISTNE	GH	32329070
713907	2440	1998-07-05	VYDAJ	PREVOD NA UCET	1230	34033	POJISTNE	GH	32329070
713908	2440	1998-08-05	VYDAJ	PREVOD NA UCET	1230	35438	POJISTNE	GH	32329070
713909	2440	1998-09-05	VYDAJ	PREVOD NA UCET	1230	29242	POJISTNE	GH	32329070
713910	2440	1998-10-05	VYDAJ	PREVOD NA UCET	1230	29626	POJISTNE	GH	32329070
713911	2440	1998-11-05	VYDAJ	PREVOD NA UCET	1230	26247	POJISTNE	GH	32329070
713912	2440	1998-12-05	VYDAJ	PREVOD NA UCET	1230	41955	POJISTNE	GH	32329070
713914	2440	1998-06-14	VYDAJ	VYBER	23100	48011	\N	\N	\N
713918	2440	1998-12-13	VYDAJ	VYBER	1500	33575	\N	\N	\N
713935	2440	1998-07-08	VYDAJ	VYBER	4700	29333	\N	\N	\N
713936	2440	1998-08-30	VYDAJ	VYBER	2900	30345	\N	\N	\N
713955	2440	1998-05-31	VYDAJ	VYBER	15	43691	SLUZBY	\N	\N
713956	2440	1998-06-30	VYDAJ	VYBER	15	35263	SLUZBY	\N	\N
713957	2440	1998-07-31	VYDAJ	VYBER	15	36668	SLUZBY	\N	\N
713958	2440	1998-08-31	VYDAJ	VYBER	15	30472	SLUZBY	\N	\N
713959	2440	1998-09-30	VYDAJ	VYBER	15	30856	SLUZBY	\N	\N
713960	2440	1998-10-31	VYDAJ	VYBER	15	27477	SLUZBY	\N	\N
713961	2440	1998-11-30	VYDAJ	VYBER	15	43185	SLUZBY	\N	\N
713962	2440	1998-01-17	VYDAJ	VYBER	400	24387	\N	\N	\N
713963	2440	1998-02-16	VYDAJ	VYBER	16700	31423	\N	\N	\N
713964	2440	1998-03-18	VYDAJ	VYBER	14700	40525	\N	\N	\N
713965	2440	1998-04-17	VYDAJ	VYBER	20400	43960	\N	\N	\N
713966	2440	1998-05-17	VYDAJ	VYBER	24300	43523	\N	\N	\N
713967	2440	1998-06-16	VYDAJ	VYBER	12900	35111	\N	\N	\N
713968	2440	1998-07-16	VYDAJ	VYBER	9600	36540	\N	\N	\N
713969	2440	1998-08-15	VYDAJ	VYBER	19000	33245	\N	\N	\N
713970	2440	1998-09-14	VYDAJ	VYBER	15300	30749	\N	\N	\N
713971	2440	1998-10-14	VYDAJ	VYBER	19100	27333	\N	\N	\N
713972	2440	1998-12-13	VYDAJ	VYBER	9800	23775	\N	\N	\N
713985	2441	1996-12-22	PRIJEM	VKLAD	200	200	\N	\N	\N
713998	2441	1997-01-06	PRIJEM	VKLAD	18200	18400	\N	\N	\N
713999	2441	1997-02-06	PRIJEM	VKLAD	18200	38630	\N	\N	\N
714000	2441	1997-03-06	PRIJEM	VKLAD	18200	53335	\N	\N	\N
714001	2441	1997-04-06	PRIJEM	VKLAD	18200	61392	\N	\N	\N
714002	2441	1997-05-06	PRIJEM	VKLAD	18200	63674	\N	\N	\N
714003	2441	1997-06-06	PRIJEM	VKLAD	27300	59873	\N	\N	\N
714004	2441	1997-07-06	PRIJEM	VKLAD	18200	58457	\N	\N	\N
714005	2441	1997-08-06	PRIJEM	VKLAD	18200	60943	\N	\N	\N
714006	2441	1997-09-06	PRIJEM	VKLAD	18200	62336	\N	\N	\N
714007	2441	1997-10-06	PRIJEM	VKLAD	18200	64937	\N	\N	\N
714008	2441	1997-11-06	PRIJEM	VKLAD	18200	62738	\N	\N	\N
714009	2441	1997-12-06	PRIJEM	VKLAD	27300	71934	\N	\N	\N
714010	2441	1998-01-06	PRIJEM	VKLAD	18200	59844	\N	\N	\N
714011	2441	1998-02-06	PRIJEM	VKLAD	18200	44481	\N	\N	\N
714012	2441	1998-03-06	PRIJEM	VKLAD	18200	46102	\N	\N	\N
714013	2441	1998-04-06	PRIJEM	VKLAD	18200	47531	\N	\N	\N
714014	2441	1998-05-06	PRIJEM	VKLAD	18200	35353	\N	\N	\N
714015	2441	1998-06-06	PRIJEM	VKLAD	27300	54560	\N	\N	\N
714016	2441	1998-07-06	PRIJEM	VKLAD	18200	35601	\N	\N	\N
714017	2441	1998-08-06	PRIJEM	VKLAD	18200	42395	\N	\N	\N
714018	2441	1998-09-06	PRIJEM	VKLAD	18200	50520	\N	\N	\N
714019	2441	1998-10-06	PRIJEM	VKLAD	18200	51460	\N	\N	\N
714020	2441	1998-11-06	PRIJEM	VKLAD	18200	55110	\N	\N	\N
714021	2441	1998-12-06	PRIJEM	VKLAD	27300	61658	\N	\N	\N
714038	2441	1997-05-10	VYDAJ	PREVOD NA UCET	4719	57680	SIPO	OP	53539413
714039	2441	1997-06-10	VYDAJ	PREVOD NA UCET	4719	53879	SIPO	OP	53539413
714040	2441	1997-07-10	VYDAJ	PREVOD NA UCET	4719	52463	SIPO	OP	53539413
714041	2441	1997-08-10	VYDAJ	PREVOD NA UCET	4719	54949	SIPO	OP	53539413
714042	2441	1997-09-10	VYDAJ	PREVOD NA UCET	4719	56342	SIPO	OP	53539413
714043	2441	1997-10-10	VYDAJ	PREVOD NA UCET	4719	58943	SIPO	OP	53539413
714044	2441	1997-11-10	VYDAJ	PREVOD NA UCET	4719	56744	SIPO	OP	53539413
714045	2441	1997-12-10	VYDAJ	PREVOD NA UCET	4719	65940	SIPO	OP	53539413
714046	2441	1998-01-10	VYDAJ	PREVOD NA UCET	4719	42550	SIPO	OP	53539413
714047	2441	1998-02-10	VYDAJ	PREVOD NA UCET	4719	38487	SIPO	OP	53539413
714048	2441	1998-03-10	VYDAJ	PREVOD NA UCET	4719	40108	SIPO	OP	53539413
714049	2441	1998-04-10	VYDAJ	PREVOD NA UCET	4719	41537	SIPO	OP	53539413
714050	2441	1998-05-10	VYDAJ	PREVOD NA UCET	4719	29359	SIPO	OP	53539413
714051	2441	1998-06-10	VYDAJ	PREVOD NA UCET	4719	48566	SIPO	OP	53539413
714052	2441	1998-07-10	VYDAJ	PREVOD NA UCET	4719	29607	SIPO	OP	53539413
714053	2441	1998-08-10	VYDAJ	PREVOD NA UCET	4719	36401	SIPO	OP	53539413
714054	2441	1998-09-10	VYDAJ	PREVOD NA UCET	4719	44526	SIPO	OP	53539413
714055	2441	1998-10-10	VYDAJ	PREVOD NA UCET	4719	45466	SIPO	OP	53539413
714056	2441	1998-11-10	VYDAJ	PREVOD NA UCET	4719	49116	SIPO	OP	53539413
714057	2441	1998-12-10	VYDAJ	PREVOD NA UCET	4719	55664	SIPO	OP	53539413
714074	2441	1997-05-07	VYDAJ	PREVOD NA UCET	490	63184	 	ST	57518833
714075	2441	1997-06-07	VYDAJ	PREVOD NA UCET	490	59383	 	ST	57518833
714076	2441	1997-07-07	VYDAJ	PREVOD NA UCET	490	57967	 	ST	57518833
714077	2441	1997-08-07	VYDAJ	PREVOD NA UCET	490	60453	 	ST	57518833
714078	2441	1997-09-07	VYDAJ	PREVOD NA UCET	490	61846	 	ST	57518833
714079	2441	1997-10-07	VYDAJ	PREVOD NA UCET	490	64447	 	ST	57518833
714080	2441	1997-11-07	VYDAJ	PREVOD NA UCET	490	62248	 	ST	57518833
714081	2441	1997-12-07	VYDAJ	PREVOD NA UCET	490	71444	 	ST	57518833
714082	2441	1998-01-07	VYDAJ	PREVOD NA UCET	490	59354	 	ST	57518833
714083	2441	1998-02-07	VYDAJ	PREVOD NA UCET	490	43991	 	ST	57518833
714084	2441	1998-03-07	VYDAJ	PREVOD NA UCET	490	45612	 	ST	57518833
714085	2441	1998-04-07	VYDAJ	PREVOD NA UCET	490	47041	 	ST	57518833
714086	2441	1998-05-07	VYDAJ	PREVOD NA UCET	490	34863	 	ST	57518833
714087	2441	1998-06-07	VYDAJ	PREVOD NA UCET	490	54070	 	ST	57518833
714088	2441	1998-07-07	VYDAJ	PREVOD NA UCET	490	35111	 	ST	57518833
714089	2441	1998-08-07	VYDAJ	PREVOD NA UCET	490	41905	 	ST	57518833
714090	2441	1998-09-07	VYDAJ	PREVOD NA UCET	490	50030	 	ST	57518833
714091	2441	1998-10-07	VYDAJ	PREVOD NA UCET	490	50970	 	ST	57518833
714092	2441	1998-11-07	VYDAJ	PREVOD NA UCET	490	54620	 	ST	57518833
714093	2441	1998-12-07	VYDAJ	PREVOD NA UCET	490	61168	 	ST	57518833
714110	2441	1997-05-09	VYDAJ	PREVOD NA UCET	785	62399	POJISTNE	ST	13103747
714111	2441	1997-06-09	VYDAJ	PREVOD NA UCET	785	58598	POJISTNE	ST	13103747
714112	2441	1997-07-09	VYDAJ	PREVOD NA UCET	785	57182	POJISTNE	ST	13103747
714113	2441	1997-08-09	VYDAJ	PREVOD NA UCET	785	59668	POJISTNE	ST	13103747
714114	2441	1997-09-09	VYDAJ	PREVOD NA UCET	785	61061	POJISTNE	ST	13103747
714115	2441	1997-10-09	VYDAJ	PREVOD NA UCET	785	63662	POJISTNE	ST	13103747
714116	2441	1997-11-09	VYDAJ	PREVOD NA UCET	785	61463	POJISTNE	ST	13103747
714117	2441	1997-12-09	VYDAJ	PREVOD NA UCET	785	70659	POJISTNE	ST	13103747
714118	2441	1998-01-09	VYDAJ	PREVOD NA UCET	785	47269	POJISTNE	ST	13103747
714119	2441	1998-02-09	VYDAJ	PREVOD NA UCET	785	43206	POJISTNE	ST	13103747
714120	2441	1998-03-09	VYDAJ	PREVOD NA UCET	785	44827	POJISTNE	ST	13103747
714121	2441	1998-04-09	VYDAJ	PREVOD NA UCET	785	46256	POJISTNE	ST	13103747
714122	2441	1998-05-09	VYDAJ	PREVOD NA UCET	785	34078	POJISTNE	ST	13103747
714123	2441	1998-06-09	VYDAJ	PREVOD NA UCET	785	53285	POJISTNE	ST	13103747
714124	2441	1998-07-09	VYDAJ	PREVOD NA UCET	785	34326	POJISTNE	ST	13103747
714125	2441	1998-08-09	VYDAJ	PREVOD NA UCET	785	41120	POJISTNE	ST	13103747
714126	2441	1998-09-09	VYDAJ	PREVOD NA UCET	785	49245	POJISTNE	ST	13103747
714127	2441	1998-10-09	VYDAJ	PREVOD NA UCET	785	50185	POJISTNE	ST	13103747
714128	2441	1998-11-09	VYDAJ	PREVOD NA UCET	785	53835	POJISTNE	ST	13103747
714129	2441	1998-12-09	VYDAJ	PREVOD NA UCET	785	60383	POJISTNE	ST	13103747
714131	2441	1997-06-05	VYDAJ	VYBER	8600	32573	\N	\N	\N
714132	2441	1998-06-29	VYDAJ	VYBER	15900	17266	\N	\N	\N
714135	2441	1998-01-07	VYDAJ	VYBER	8900	50454	\N	\N	\N
714137	2441	1997-12-24	VYDAJ	VYBER	2700	44740	\N	\N	\N
714138	2441	1998-12-28	VYDAJ	VYBER KARTOU	900	35864	\N	\N	0
714151	2441	1998-01-11	VYDAJ	VYBER	2000	40550	\N	\N	\N
714152	2441	1998-01-15	VYDAJ	VYBER	2800	34350	\N	\N	\N
714153	2441	1998-01-19	VYDAJ	VYBER	2600	26150	\N	\N	\N
714154	2441	1998-01-08	VYDAJ	VYBER	2400	48054	\N	\N	\N
714155	2441	1998-01-13	VYDAJ	VYBER	2300	38250	\N	\N	\N
714156	2441	1998-01-03	VYDAJ	VYBER	900	41644	\N	\N	\N
714162	2441	1997-12-28	VYDAJ	VYBER	2400	42340	\N	\N	\N
714164	2441	1997-06-10	VYDAJ	VYBER	4000	49879	\N	\N	\N
714165	2441	1998-05-01	VYDAJ	VYBER	4300	17153	\N	\N	\N
714166	2441	1998-01-15	VYDAJ	VYBER	1100	37150	\N	\N	\N
714167	2441	1998-04-24	VYDAJ	VYBER	4100	24037	\N	\N	\N
714168	2441	1998-06-22	VYDAJ	VYBER KARTOU	2600	33166	\N	\N	0
714169	2441	1998-04-27	VYDAJ	VYBER	2700	21337	\N	\N	\N
714187	2441	1997-05-31	VYDAJ	VYBER	15	41173	SLUZBY	\N	\N
714188	2441	1997-06-30	VYDAJ	VYBER	15	40257	SLUZBY	\N	\N
714189	2441	1997-07-31	VYDAJ	VYBER	15	42743	SLUZBY	\N	\N
714190	2441	1997-08-31	VYDAJ	VYBER	15	44136	SLUZBY	\N	\N
714191	2441	1997-09-30	VYDAJ	VYBER	15	46737	SLUZBY	\N	\N
714192	2441	1997-10-31	VYDAJ	VYBER	15	44538	SLUZBY	\N	\N
714193	2441	1997-11-30	VYDAJ	VYBER	15	44634	SLUZBY	\N	\N
714194	2441	1997-12-31	VYDAJ	VYBER	15	42544	SLUZBY	\N	\N
714195	2441	1998-01-31	VYDAJ	VYBER	15	26281	SLUZBY	\N	\N
714196	2441	1998-02-28	VYDAJ	VYBER	15	27902	SLUZBY	\N	\N
714197	2441	1998-03-31	VYDAJ	VYBER	15	29331	SLUZBY	\N	\N
714198	2441	1998-04-30	VYDAJ	VYBER	15	21453	SLUZBY	\N	\N
714199	2441	1998-05-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
714200	2441	1998-06-30	VYDAJ	VYBER	15	17401	SLUZBY	\N	\N
714201	2441	1998-07-31	VYDAJ	VYBER	15	24195	SLUZBY	\N	\N
714202	2441	1998-08-31	VYDAJ	VYBER	15	32320	SLUZBY	\N	\N
714203	2441	1998-09-30	VYDAJ	VYBER	15	33260	SLUZBY	\N	\N
714204	2441	1998-10-31	VYDAJ	VYBER	15	36910	SLUZBY	\N	\N
714205	2441	1998-11-30	VYDAJ	VYBER	15	34358	SLUZBY	\N	\N
714206	2441	1997-01-21	PRIJEM	VKLAD	2000	20400	\N	\N	\N
714207	2441	1997-02-20	VYDAJ	VYBER	3600	35030	\N	\N	\N
714208	2441	1997-03-22	VYDAJ	VYBER	10300	43035	\N	\N	\N
714209	2441	1997-04-21	VYDAJ	VYBER	16100	45292	\N	\N	\N
714210	2441	1997-05-21	VYDAJ	VYBER	16700	40980	\N	\N	\N
714211	2441	1997-06-20	VYDAJ	VYBER	9800	40079	\N	\N	\N
714212	2441	1997-07-20	VYDAJ	VYBER	9900	42563	\N	\N	\N
714213	2441	1997-08-19	VYDAJ	VYBER	11000	43949	\N	\N	\N
714214	2441	1997-09-18	VYDAJ	VYBER	9800	46542	\N	\N	\N
714215	2441	1997-10-18	VYDAJ	VYBER	14600	44343	\N	\N	\N
714216	2441	1997-11-17	VYDAJ	VYBER	12300	44444	\N	\N	\N
714217	2441	1997-12-17	VYDAJ	VYBER	18500	47440	\N	\N	\N
714218	2441	1998-01-16	VYDAJ	VYBER	5600	28750	\N	\N	\N
714219	2441	1998-02-15	VYDAJ	VYBER	10700	27787	\N	\N	\N
714220	2441	1998-03-17	VYDAJ	VYBER	10900	29208	\N	\N	\N
714221	2441	1998-04-16	VYDAJ	VYBER	13400	28137	\N	\N	\N
714222	2441	1998-05-16	VYDAJ	VYBER	2200	27159	\N	\N	\N
714223	2441	1998-06-15	VYDAJ	VYBER	12800	35766	\N	\N	\N
714224	2441	1998-07-15	VYDAJ	VYBER	5500	24107	\N	\N	\N
714225	2441	1998-08-14	VYDAJ	VYBER	4200	32201	\N	\N	\N
714226	2441	1998-09-13	VYDAJ	VYBER	11400	33126	\N	\N	\N
714227	2441	1998-10-13	VYDAJ	VYBER	8700	36766	\N	\N	\N
714228	2441	1998-11-12	VYDAJ	VYBER	14900	34216	\N	\N	\N
714229	2441	1998-12-12	VYDAJ	VYBER	18900	36764	\N	\N	\N
714254	2442	1997-08-21	PRIJEM	VKLAD	600	600	\N	\N	\N
714263	2442	1997-09-14	PRIJEM	PREVOD Z UCTU	3163	3763	\N	ST	52997320
714264	2442	1997-10-14	PRIJEM	PREVOD Z UCTU	3163	6926	\N	ST	52997320
714265	2442	1997-11-14	PRIJEM	PREVOD Z UCTU	3163	10089	\N	ST	52997320
714266	2442	1997-12-14	PRIJEM	PREVOD Z UCTU	3163	13252	\N	ST	52997320
714267	2442	1998-01-14	PRIJEM	PREVOD Z UCTU	3163	16415	\N	ST	52997320
714268	2442	1998-02-14	PRIJEM	PREVOD Z UCTU	3163	14310	\N	ST	52997320
714269	2442	1998-03-14	PRIJEM	PREVOD Z UCTU	3163	15406	\N	ST	52997320
714270	2442	1998-04-14	PRIJEM	PREVOD Z UCTU	3163	16507	\N	ST	52997320
714271	2442	1998-05-14	PRIJEM	PREVOD Z UCTU	3163	17613	\N	ST	52997320
714272	2442	1998-06-14	PRIJEM	PREVOD Z UCTU	3163	17312	\N	ST	52997320
714273	2442	1998-07-14	PRIJEM	PREVOD Z UCTU	3163	18421	\N	ST	52997320
714274	2442	1998-08-14	PRIJEM	PREVOD Z UCTU	3163	19535	\N	ST	52997320
714275	2442	1998-09-14	PRIJEM	PREVOD Z UCTU	3163	20353	\N	ST	52997320
714276	2442	1998-10-14	PRIJEM	PREVOD Z UCTU	3163	17949	\N	ST	52997320
714277	2442	1998-11-14	PRIJEM	PREVOD Z UCTU	3163	16856	\N	ST	52997320
714278	2442	1998-12-14	PRIJEM	PREVOD Z UCTU	3163	17273	\N	ST	52997320
714292	2442	1998-02-06	VYDAJ	PREVOD NA UCET	540	12715	SIPO	AB	89339786
714456	2443	1998-01-13	VYDAJ	VYBER	1100	49499	\N	\N	\N
714293	2442	1998-03-06	VYDAJ	PREVOD NA UCET	540	13811	SIPO	AB	89339786
714294	2442	1998-04-06	VYDAJ	PREVOD NA UCET	540	14912	SIPO	AB	89339786
714295	2442	1998-05-06	VYDAJ	PREVOD NA UCET	540	16018	SIPO	AB	89339786
714296	2442	1998-06-06	VYDAJ	PREVOD NA UCET	540	15717	SIPO	AB	89339786
714297	2442	1998-07-06	VYDAJ	PREVOD NA UCET	540	16826	SIPO	AB	89339786
714298	2442	1998-08-06	VYDAJ	PREVOD NA UCET	540	17940	SIPO	AB	89339786
714299	2442	1998-09-06	VYDAJ	PREVOD NA UCET	540	18758	SIPO	AB	89339786
714300	2442	1998-10-06	VYDAJ	PREVOD NA UCET	540	16354	SIPO	AB	89339786
714301	2442	1998-11-06	VYDAJ	PREVOD NA UCET	540	15261	SIPO	AB	89339786
714302	2442	1998-12-06	VYDAJ	PREVOD NA UCET	540	16368	SIPO	AB	89339786
714316	2442	1998-02-09	VYDAJ	PREVOD NA UCET	1568	11147	 	IJ	67963898
714317	2442	1998-03-09	VYDAJ	PREVOD NA UCET	1568	12243	 	IJ	67963898
714318	2442	1998-04-09	VYDAJ	PREVOD NA UCET	1568	13344	 	IJ	67963898
714319	2442	1998-05-09	VYDAJ	PREVOD NA UCET	1568	14450	 	IJ	67963898
714320	2442	1998-06-09	VYDAJ	PREVOD NA UCET	1568	14149	 	IJ	67963898
714321	2442	1998-07-09	VYDAJ	PREVOD NA UCET	1568	15258	 	IJ	67963898
714322	2442	1998-08-09	VYDAJ	PREVOD NA UCET	1568	16372	 	IJ	67963898
714323	2442	1998-09-09	VYDAJ	PREVOD NA UCET	1568	17190	 	IJ	67963898
714324	2442	1998-10-09	VYDAJ	PREVOD NA UCET	1568	14786	 	IJ	67963898
714325	2442	1998-11-09	VYDAJ	PREVOD NA UCET	1568	13693	 	IJ	67963898
714326	2442	1998-12-09	VYDAJ	PREVOD NA UCET	1568	14800	 	IJ	67963898
714330	2442	1998-01-26	VYDAJ	VYBER	1530	13235	\N	\N	\N
714332	2442	1998-12-12	VYDAJ	VYBER	690	14110	\N	\N	\N
714339	2442	1998-01-23	VYDAJ	VYBER	690	15515	\N	\N	\N
714341	2442	1998-01-23	VYDAJ	VYBER	390	15125	\N	\N	\N
714342	2442	1998-01-15	VYDAJ	VYBER	210	16205	\N	\N	\N
714344	2442	1998-01-25	VYDAJ	VYBER	360	14765	\N	\N	\N
714349	2442	1998-05-24	VYDAJ	VYBER	1410	16203	\N	\N	\N
714350	2442	1998-09-15	VYDAJ	VYBER	1020	16833	\N	\N	\N
714364	2442	1998-01-31	VYDAJ	VYBER	15	13255	SLUZBY	\N	\N
714365	2442	1998-02-28	VYDAJ	VYBER	15	14351	SLUZBY	\N	\N
714366	2442	1998-03-31	VYDAJ	VYBER	15	15452	SLUZBY	\N	\N
714367	2442	1998-04-30	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
714368	2442	1998-05-31	VYDAJ	VYBER	15	16257	SLUZBY	\N	\N
714369	2442	1998-06-30	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
714370	2442	1998-07-31	VYDAJ	VYBER	15	18480	SLUZBY	\N	\N
714371	2442	1998-08-31	VYDAJ	VYBER	15	19298	SLUZBY	\N	\N
714372	2442	1998-09-30	VYDAJ	VYBER	15	16894	SLUZBY	\N	\N
714373	2442	1998-10-31	VYDAJ	VYBER	15	15801	SLUZBY	\N	\N
714374	2442	1998-11-30	VYDAJ	VYBER	15	16908	SLUZBY	\N	\N
714375	2442	1998-08-16	VYDAJ	VYBER	300	19235	\N	\N	\N
714376	2442	1998-09-15	VYDAJ	VYBER	2500	17853	\N	\N	\N
714377	2442	1998-10-15	VYDAJ	VYBER	2200	15749	\N	\N	\N
714390	2443	1997-06-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
714397	2443	1997-07-12	PRIJEM	VKLAD	24366	25366	\N	\N	\N
714398	2443	1997-08-12	PRIJEM	VKLAD	24366	49255	\N	\N	\N
714399	2443	1997-09-12	PRIJEM	VKLAD	24366	56933	\N	\N	\N
714400	2443	1997-10-12	PRIJEM	VKLAD	24366	60939	\N	\N	\N
714401	2443	1997-11-12	PRIJEM	VKLAD	24366	59655	\N	\N	\N
714402	2443	1997-12-12	PRIJEM	VKLAD	36549	69833	\N	\N	\N
714403	2443	1998-01-12	PRIJEM	VKLAD	24366	57633	\N	\N	\N
714404	2443	1998-02-12	PRIJEM	VKLAD	24366	44493	\N	\N	\N
714405	2443	1998-03-12	PRIJEM	VKLAD	24366	42213	\N	\N	\N
714406	2443	1998-04-12	PRIJEM	VKLAD	24366	42841	\N	\N	\N
714407	2443	1998-05-12	PRIJEM	VKLAD	24366	43157	\N	\N	\N
714408	2443	1998-06-12	PRIJEM	VKLAD	36549	48762	\N	\N	\N
714409	2443	1998-07-12	PRIJEM	VKLAD	24366	41686	\N	\N	\N
714410	2443	1998-08-12	PRIJEM	VKLAD	24366	45600	\N	\N	\N
714411	2443	1998-09-12	PRIJEM	VKLAD	24366	47024	\N	\N	\N
714412	2443	1998-10-12	PRIJEM	VKLAD	24366	51759	\N	\N	\N
714413	2443	1998-11-12	PRIJEM	VKLAD	24366	58923	\N	\N	\N
714414	2443	1998-12-12	PRIJEM	VKLAD	36549	66976	\N	\N	\N
714425	2443	1997-11-12	VYDAJ	PREVOD NA UCET	7034	52621	SIPO	OP	54071068
714426	2443	1997-12-12	VYDAJ	PREVOD NA UCET	7034	62799	SIPO	OP	54071068
714427	2443	1998-01-12	VYDAJ	PREVOD NA UCET	7034	50599	SIPO	OP	54071068
714428	2443	1998-02-12	VYDAJ	PREVOD NA UCET	7034	37459	SIPO	OP	54071068
714429	2443	1998-03-12	VYDAJ	PREVOD NA UCET	7034	35179	SIPO	OP	54071068
714430	2443	1998-04-12	VYDAJ	PREVOD NA UCET	7034	35807	SIPO	OP	54071068
714431	2443	1998-05-12	VYDAJ	PREVOD NA UCET	7034	36123	SIPO	OP	54071068
714432	2443	1998-06-12	VYDAJ	PREVOD NA UCET	7034	41728	SIPO	OP	54071068
714433	2443	1998-07-12	VYDAJ	PREVOD NA UCET	7034	34652	SIPO	OP	54071068
714434	2443	1998-08-12	VYDAJ	PREVOD NA UCET	7034	38566	SIPO	OP	54071068
714435	2443	1998-09-12	VYDAJ	PREVOD NA UCET	7034	39990	SIPO	OP	54071068
714436	2443	1998-10-12	VYDAJ	PREVOD NA UCET	7034	44725	SIPO	OP	54071068
714437	2443	1998-11-12	VYDAJ	PREVOD NA UCET	7034	51889	SIPO	OP	54071068
714438	2443	1998-12-12	VYDAJ	PREVOD NA UCET	7034	59942	SIPO	OP	54071068
714442	2443	1998-01-22	VYDAJ	VYBER	2600	23899	\N	\N	\N
714443	2443	1997-12-28	VYDAJ	VYBER	1300	35799	\N	\N	\N
714444	2443	1998-12-08	VYDAJ	VYBER	2800	30427	\N	\N	\N
714451	2443	1998-01-15	VYDAJ	VYBER	2300	45899	\N	\N	\N
714452	2443	1998-01-24	VYDAJ	VYBER	2200	21699	\N	\N	\N
714453	2443	1998-01-26	VYDAJ	VYBER	1700	19999	\N	\N	\N
714454	2443	1998-01-06	VYDAJ	VYBER	2700	33267	\N	\N	\N
714455	2443	1998-01-13	VYDAJ	VYBER	1300	48199	\N	\N	\N
714458	2443	1997-12-17	VYDAJ	VYBER	1500	61299	\N	\N	\N
714461	2443	1998-06-02	VYDAJ	VYBER	4900	12213	\N	\N	\N
714462	2443	1998-01-15	VYDAJ	VYBER	3400	42499	\N	\N	\N
714463	2443	1998-12-25	VYDAJ	VYBER	3300	32242	\N	\N	\N
714464	2443	1998-03-02	VYDAJ	VYBER	1300	17847	\N	\N	\N
714465	2443	1998-09-18	VYDAJ	VYBER	2500	27290	\N	\N	\N
714466	2443	1998-06-12	VYDAJ	VYBER	4500	37228	\N	\N	\N
714478	2443	1997-11-30	VYDAJ	VYBER	15	33284	SLUZBY	\N	\N
714479	2443	1997-12-31	VYDAJ	VYBER	15	35967	SLUZBY	\N	\N
714480	2443	1998-01-31	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
714481	2443	1998-02-28	VYDAJ	VYBER	15	19147	SLUZBY	\N	\N
714482	2443	1998-03-31	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
714483	2443	1998-04-30	VYDAJ	VYBER	15	18791	SLUZBY	\N	\N
714484	2443	1998-05-31	VYDAJ	VYBER	15	17113	SLUZBY	\N	\N
714485	2443	1998-06-30	VYDAJ	VYBER	15	17320	SLUZBY	\N	\N
714486	2443	1998-07-31	VYDAJ	VYBER	15	21234	SLUZBY	\N	\N
714487	2443	1998-08-31	VYDAJ	VYBER	15	22658	SLUZBY	\N	\N
714488	2443	1998-09-30	VYDAJ	VYBER	15	27393	SLUZBY	\N	\N
714489	2443	1998-10-31	VYDAJ	VYBER	15	34557	SLUZBY	\N	\N
714490	2443	1998-11-30	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
714491	2443	1997-07-25	VYDAJ	VYBER	500	24866	\N	\N	\N
714492	2443	1997-08-24	VYDAJ	VYBER	16800	32455	\N	\N	\N
714493	2443	1997-09-23	VYDAJ	VYBER	20500	36433	\N	\N	\N
714494	2443	1997-10-23	VYDAJ	VYBER	25800	35139	\N	\N	\N
714495	2443	1997-11-22	VYDAJ	VYBER	19500	33121	\N	\N	\N
714496	2443	1997-12-22	VYDAJ	VYBER	24200	37099	\N	\N	\N
714497	2443	1998-01-21	VYDAJ	VYBER	16000	26499	\N	\N	\N
714498	2443	1998-02-20	VYDAJ	VYBER	18400	19059	\N	\N	\N
714499	2443	1998-03-22	VYDAJ	VYBER	16800	18379	\N	\N	\N
714500	2443	1998-04-21	VYDAJ	VYBER	17100	18707	\N	\N	\N
714501	2443	1998-05-21	VYDAJ	VYBER	19100	17023	\N	\N	\N
714502	2443	1998-06-20	VYDAJ	VYBER	20000	17228	\N	\N	\N
714503	2443	1998-07-20	VYDAJ	VYBER	13500	21152	\N	\N	\N
714504	2443	1998-08-19	VYDAJ	VYBER	16000	22566	\N	\N	\N
714505	2443	1998-09-18	VYDAJ	VYBER	10200	29790	\N	\N	\N
714506	2443	1998-10-18	VYDAJ	VYBER	10300	34425	\N	\N	\N
714507	2443	1998-11-17	VYDAJ	VYBER	18800	33089	\N	\N	\N
714508	2443	1998-12-17	VYDAJ	VYBER	24400	35542	\N	\N	\N
714527	2444	1997-09-07	PRIJEM	VKLAD	900	900	\N	\N	\N
714536	2444	1997-09-08	PRIJEM	PREVOD Z UCTU	29316	30216	\N	UV	24909997
714537	2444	1997-10-08	PRIJEM	PREVOD Z UCTU	29316	58429	\N	UV	24909997
714538	2444	1997-11-08	PRIJEM	PREVOD Z UCTU	29316	71861	\N	UV	24909997
714539	2444	1997-12-08	PRIJEM	PREVOD Z UCTU	43974	91022	\N	UV	24909997
714540	2444	1998-01-08	PRIJEM	PREVOD Z UCTU	29316	88499	\N	UV	24909997
714541	2444	1998-02-08	PRIJEM	PREVOD Z UCTU	29316	67666	\N	UV	24909997
714542	2444	1998-03-08	PRIJEM	PREVOD Z UCTU	29316	81119	\N	UV	24909997
714543	2444	1998-04-08	PRIJEM	PREVOD Z UCTU	29316	88646	\N	UV	24909997
714544	2444	1998-05-08	PRIJEM	PREVOD Z UCTU	29316	87475	\N	UV	24909997
714545	2444	1998-06-08	PRIJEM	PREVOD Z UCTU	43974	105483	\N	UV	24909997
714546	2444	1998-07-08	PRIJEM	PREVOD Z UCTU	29316	93901	\N	UV	24909997
714547	2444	1998-08-08	PRIJEM	PREVOD Z UCTU	29316	78119	\N	UV	24909997
714548	2444	1998-09-08	PRIJEM	PREVOD Z UCTU	29316	75651	\N	UV	24909997
714549	2444	1998-10-08	PRIJEM	PREVOD Z UCTU	29316	91439	\N	UV	24909997
714550	2444	1998-11-08	PRIJEM	PREVOD Z UCTU	29316	101507	\N	UV	24909997
714551	2444	1998-12-08	PRIJEM	PREVOD Z UCTU	43974	104592	\N	UV	24909997
714577	2444	1998-12-27	VYBER	VYBER	18705	78387	\N	\N	\N
714578	2444	1998-08-20	VYBER	VYBER	19789	53230	\N	\N	\N
714579	2444	1998-06-09	VYBER	VYBER	16054	89429	\N	\N	\N
714580	2444	1998-04-09	VYBER	VYBER	10502	78144	\N	\N	\N
714581	2444	1998-07-26	VYBER	VYBER	17569	52766	\N	\N	\N
714582	2444	1998-01-12	VYBER	VYBER	7970	77229	\N	\N	\N
714583	2444	1998-11-14	VYBER	VYBER	10328	76717	\N	\N	\N
714585	2444	1998-11-28	VYBER	VYBER	11623	61494	\N	\N	\N
714586	2444	1998-11-13	VYBER	VYBER	2462	87045	\N	\N	\N
714587	2444	1998-01-25	VYBER	VYBER	24752	37777	\N	\N	\N
714588	2444	1998-08-26	VYBER	VYBER	6532	46698	\N	\N	\N
714589	2444	1998-07-25	VYBER	VYBER	23566	70335	\N	\N	\N
714591	2444	1998-12-16	VYDAJ	VYBER KARTOU	7500	97092	\N	\N	0
714598	2444	1998-01-11	VYDAJ	VYBER	3300	85199	\N	\N	\N
714599	2444	1998-01-23	VYDAJ	VYBER	4200	62529	\N	\N	\N
714601	2444	1998-01-12	VYDAJ	VYBER	8400	68829	\N	\N	\N
714602	2444	1998-01-15	VYDAJ	VYBER	2100	66729	\N	\N	\N
714607	2444	1998-11-11	VYDAJ	VYBER	12000	89507	\N	\N	\N
714608	2444	1998-05-11	VYDAJ	VYBER	2100	85375	\N	\N	\N
714609	2444	1998-08-13	VYDAJ	VYBER KARTOU	5100	73019	\N	\N	0
714610	2444	1998-11-20	VYDAJ	VYBER KARTOU	3600	73117	\N	\N	0
714611	2444	1998-04-30	VYDAJ	VYBER	1800	76659	\N	\N	\N
714625	2444	1998-01-31	VYDAJ	VYBER	15	38050	SLUZBY	\N	\N
714626	2444	1998-02-28	VYDAJ	VYBER	15	67903	SLUZBY	\N	\N
714627	2444	1998-03-31	VYDAJ	VYBER	15	81430	SLUZBY	\N	\N
714628	2444	1998-04-30	VYDAJ	VYBER	15	78459	SLUZBY	\N	\N
714629	2444	1998-05-31	VYDAJ	VYBER	15	85709	SLUZBY	\N	\N
714630	2444	1998-06-30	VYDAJ	VYBER	15	89785	SLUZBY	\N	\N
714631	2444	1998-07-31	VYDAJ	VYBER	15	53103	SLUZBY	\N	\N
714632	2444	1998-08-31	VYDAJ	VYBER	15	46935	SLUZBY	\N	\N
714633	2444	1998-09-30	VYDAJ	VYBER	15	75923	SLUZBY	\N	\N
714634	2444	1998-10-31	VYDAJ	VYBER	15	91791	SLUZBY	\N	\N
714635	2444	1998-11-30	VYDAJ	VYBER	15	61818	SLUZBY	\N	\N
714636	2444	1997-10-07	VYDAJ	VYBER	1200	29113	\N	\N	\N
714637	2444	1997-11-06	VYDAJ	VYBER	16100	42545	\N	\N	\N
714638	2444	1997-12-06	VYDAJ	VYBER	25100	47048	\N	\N	\N
714639	2444	1998-01-05	VYDAJ	VYBER	32200	59183	\N	\N	\N
714640	2444	1998-02-04	PRIJEM	VKLAD	300	38350	\N	\N	\N
714641	2444	1998-03-06	VYDAJ	VYBER	16100	51803	\N	\N	\N
714642	2444	1998-04-05	VYDAJ	VYBER	22100	59330	\N	\N	\N
714643	2444	1998-05-05	VYDAJ	VYBER	18500	58159	\N	\N	\N
714644	2444	1998-06-04	VYDAJ	VYBER	24200	61509	\N	\N	\N
714645	2444	1998-07-04	VYDAJ	VYBER	25200	64585	\N	\N	\N
714646	2444	1998-08-03	VYDAJ	VYBER KARTOU	4300	48803	\N	\N	0
714647	2444	1998-09-02	VYDAJ	VYBER KARTOU	600	46335	\N	\N	0
714648	2444	1998-10-02	VYDAJ	VYBER	13800	62123	\N	\N	\N
714649	2444	1998-11-01	VYDAJ	VYBER	19600	72191	\N	\N	\N
714650	2444	1998-12-01	VYDAJ	VYBER KARTOU	1200	60618	\N	\N	0
714667	2445	1996-07-07	PRIJEM	VKLAD	800	800	\N	\N	\N
714668	2445	1996-11-26	PRIJEM	VKLAD	47819	90024	\N	\N	\N
714669	2445	1996-10-09	PRIJEM	VKLAD	5056	58889	\N	\N	\N
714670	2445	1996-10-13	PRIJEM	VKLAD	26039	84928	\N	\N	\N
714672	2445	1996-10-30	PRIJEM	VKLAD	34158	125708	\N	\N	\N
714673	2445	1996-11-07	PRIJEM	VKLAD	35782	84839	\N	\N	\N
714675	2445	1996-10-25	PRIJEM	VKLAD	44422	129350	\N	\N	\N
714677	2445	1996-09-07	PRIJEM	VKLAD	40438	80321	\N	\N	\N
714678	2445	1996-11-10	PRIJEM	VKLAD	46437	131276	\N	\N	\N
714679	2445	1996-08-13	PRIJEM	VKLAD	41248	52948	\N	\N	\N
714680	2445	1997-07-12	PRIJEM	VKLAD	35737	94017	\N	\N	\N
714681	2445	1997-02-21	PRIJEM	VKLAD	10460	80121	\N	\N	\N
714682	2445	1997-09-20	PRIJEM	VKLAD	10699	41440	\N	\N	\N
714683	2445	1997-01-20	PRIJEM	VKLAD	14977	38109	\N	\N	\N
714684	2445	1997-07-07	PRIJEM	VKLAD	5056	58280	\N	\N	\N
714685	2445	1997-06-25	PRIJEM	VKLAD	42520	88817	\N	\N	\N
714686	2445	1997-11-12	PRIJEM	VKLAD	12943	24767	\N	\N	\N
714687	2445	1997-02-17	PRIJEM	VKLAD	23441	69661	\N	\N	\N
714688	2445	1997-04-01	PRIJEM	VKLAD	20631	41957	\N	\N	\N
714689	2445	1997-06-05	PRIJEM	VKLAD	42290	55796	\N	\N	\N
714690	2445	1997-08-14	PRIJEM	VKLAD	7226	54979	\N	\N	\N
714691	2445	1997-02-04	PRIJEM	VKLAD	29156	49820	\N	\N	\N
714692	2445	1998-12-08	PRIJEM	VKLAD	32592	122586	\N	\N	\N
714693	2445	1998-03-28	PRIJEM	VKLAD	49119	135318	\N	\N	\N
714694	2445	1998-01-14	PRIJEM	VKLAD	5091	45070	\N	\N	\N
714695	2445	1998-08-22	PRIJEM	VKLAD	11339	75775	\N	\N	\N
714696	2445	1998-04-28	PRIJEM	VKLAD	22628	125220	\N	\N	\N
714697	2445	1998-03-10	PRIJEM	VKLAD	12226	106430	\N	\N	\N
714698	2445	1998-12-02	PRIJEM	VKLAD	13060	60227	\N	\N	\N
714699	2445	1998-08-09	PRIJEM	VKLAD	38107	59652	\N	\N	\N
714700	2445	1998-12-21	PRIJEM	VKLAD	38934	107434	\N	\N	\N
714701	2445	1998-10-18	PRIJEM	VKLAD	27536	80972	\N	\N	\N
714702	2445	1998-04-13	PRIJEM	VKLAD	47880	119894	\N	\N	\N
714703	2445	1998-08-18	PRIJEM	VKLAD	9817	64583	\N	\N	\N
714704	2445	1998-03-16	PRIJEM	VKLAD	39255	120299	\N	\N	\N
714705	2445	1998-12-02	PRIJEM	VKLAD	29767	89994	\N	\N	\N
714706	2445	1998-10-14	PRIJEM	VKLAD	17025	62914	\N	\N	\N
714707	2445	1998-09-24	PRIJEM	VKLAD	38729	78899	\N	\N	\N
714708	2445	1998-02-28	PRIJEM	VKLAD	43916	67023	\N	\N	\N
714709	2445	1998-11-11	PRIJEM	VKLAD	21841	72441	\N	\N	\N
714710	2445	1998-03-08	PRIJEM	VKLAD	36796	103804	\N	\N	\N
714711	2445	1998-08-18	PRIJEM	VKLAD	46553	111136	\N	\N	\N
714712	2445	1998-04-27	PRIJEM	VKLAD	23321	102592	\N	\N	\N
714713	2445	1998-11-17	PRIJEM	VKLAD	7385	74940	\N	\N	\N
714714	2445	1998-10-16	PRIJEM	VKLAD	49822	112736	\N	\N	\N
714715	2445	1998-04-01	PRIJEM	VKLAD	11953	76900	\N	\N	\N
714716	2445	1998-12-22	PRIJEM	VKLAD	10449	78483	\N	\N	\N
714717	2445	1998-09-07	PRIJEM	VKLAD	13227	52556	\N	\N	\N
714718	2445	1998-01-09	PRIJEM	VKLAD	27560	44865	\N	\N	\N
714729	2445	1996-10-29	VYDAJ	VYBER	4100	91550	\N	\N	0
714730	2445	1996-12-08	VYDAJ	VYBER	4700	53475	\N	\N	0
714731	2445	1997-01-18	VYDAJ	VYBER	6300	23132	\N	\N	0
714732	2445	1997-02-14	VYDAJ	VYBER	3600	46220	\N	\N	0
714733	2445	1997-03-11	VYDAJ	VYBER	4900	21215	\N	\N	0
714734	2445	1997-04-01	VYDAJ	VYBER	4600	37357	\N	\N	0
714735	2445	1997-05-20	VYDAJ	VYBER	4400	18635	\N	\N	0
714736	2445	1997-06-03	VYDAJ	VYBER	6700	13506	\N	\N	0
714737	2445	1997-07-17	VYDAJ	VYBER	5700	88317	\N	\N	0
714738	2445	1997-07-31	VYDAJ	VYBER	6300	82368	\N	\N	0
714739	2445	1997-09-15	VYDAJ	VYBER	4900	30741	\N	\N	0
714740	2445	1997-10-22	VYDAJ	VYBER	4000	22432	\N	\N	0
714741	2445	1997-11-05	VYDAJ	VYBER	4600	11824	\N	\N	0
714742	2445	1997-12-06	VYDAJ	VYBER	4300	14841	\N	\N	0
714743	2445	1998-01-12	VYDAJ	PREVOD NA UCET	4886	39979	UVER	ST	37553960
714744	2445	1998-02-12	VYDAJ	PREVOD NA UCET	4886	17806	UVER	ST	37553960
714745	2445	1998-03-12	VYDAJ	PREVOD NA UCET	4886	81044	UVER	ST	37553960
714746	2445	1998-04-12	VYDAJ	PREVOD NA UCET	4886	72014	UVER	ST	37553960
714747	2445	1998-05-12	VYDAJ	PREVOD NA UCET	4886	55251	UVER	ST	37553960
714748	2445	1998-06-12	VYDAJ	PREVOD NA UCET	4886	33086	UVER	ST	37553960
714749	2445	1998-07-12	VYDAJ	PREVOD NA UCET	4886	25739	UVER	ST	37553960
714750	2445	1998-08-12	VYDAJ	PREVOD NA UCET	4886	54766	UVER	ST	37553960
714751	2445	1998-09-12	VYDAJ	PREVOD NA UCET	4886	47670	UVER	ST	37553960
714752	2445	1998-10-12	VYDAJ	PREVOD NA UCET	4886	45889	UVER	ST	37553960
714753	2445	1998-11-12	VYDAJ	PREVOD NA UCET	4886	67555	UVER	ST	37553960
714754	2445	1998-12-12	VYDAJ	PREVOD NA UCET	4886	68500	UVER	ST	37553960
714759	2445	1996-11-19	VYBER	VYBER	24571	42205	\N	\N	\N
714760	2445	1997-01-29	VYBER	VYBER	7371	19338	\N	\N	\N
714761	2445	1997-06-19	VYBER	VYBER	4699	46297	\N	\N	\N
714762	2445	1997-01-09	VYBER	VYBER	12679	29432	\N	\N	\N
714763	2445	1997-03-08	VYBER	VYBER	16316	26115	\N	\N	\N
714765	2445	1997-03-03	VYBER	VYBER	22915	57431	\N	\N	\N
714769	2445	1998-04-18	VYBER	VYBER	17223	79271	\N	\N	\N
714770	2445	1998-08-25	VYBER	VYBER	8237	67538	\N	\N	\N
714774	2445	1996-12-09	VYDAJ	VYBER	2100	51375	\N	\N	\N
714776	2445	1998-12-24	VYDAJ	VYBER	7500	70983	\N	\N	\N
714782	2445	1997-06-07	VYDAJ	VYBER	2700	53096	\N	\N	\N
714784	2445	1997-01-22	VYDAJ	VYBER	11400	26709	\N	\N	\N
714785	2445	1997-04-02	VYDAJ	VYBER	14400	22957	\N	\N	\N
714786	2445	1997-06-08	VYDAJ	VYBER	2100	50996	\N	\N	\N
714787	2445	1998-03-08	VYDAJ	VYBER	9600	94204	\N	\N	\N
714788	2445	1998-01-31	VYDAJ	VYBER	11100	22707	\N	\N	\N
714789	2445	1998-05-26	VYDAJ	VYBER	4800	50451	\N	\N	\N
714790	2445	1998-09-23	VYDAJ	VYBER	7500	40170	\N	\N	\N
714802	2445	1996-10-31	VYDAJ	VYBER	15	74457	SLUZBY	\N	\N
714803	2445	1996-11-30	VYDAJ	VYBER	15	90375	SLUZBY	\N	\N
714804	2445	1996-12-31	VYDAJ	VYBER	15	51611	SLUZBY	\N	\N
714805	2445	1997-01-31	VYDAJ	VYBER	15	19464	SLUZBY	\N	\N
714806	2445	1997-02-28	VYDAJ	VYBER	15	80346	SLUZBY	\N	\N
714807	2445	1997-03-31	VYDAJ	VYBER	15	21326	SLUZBY	\N	\N
714808	2445	1997-04-30	VYDAJ	VYBER	15	21735	SLUZBY	\N	\N
714809	2445	1997-05-31	VYDAJ	VYBER	15	18706	SLUZBY	\N	\N
714810	2445	1997-06-30	VYDAJ	VYBER	15	89024	SLUZBY	\N	\N
714811	2445	1997-07-31	VYDAJ	VYBER	15	82353	SLUZBY	\N	\N
714812	2445	1997-08-31	VYDAJ	VYBER	15	55241	SLUZBY	\N	\N
714813	2445	1997-09-30	VYDAJ	VYBER	15	26432	SLUZBY	\N	\N
714814	2445	1997-10-31	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
714815	2445	1997-11-30	VYDAJ	VYBER	15	19141	SLUZBY	\N	\N
714816	2445	1997-12-31	VYDAJ	VYBER	15	17305	SLUZBY	\N	\N
714817	2445	1998-01-31	VYDAJ	VYBER	15	22692	SLUZBY	\N	\N
714818	2445	1998-02-28	VYDAJ	VYBER	15	67008	SLUZBY	\N	\N
714819	2445	1998-03-31	VYDAJ	VYBER	15	64947	SLUZBY	\N	\N
714820	2445	1998-04-30	VYDAJ	VYBER	15	60137	SLUZBY	\N	\N
714821	2445	1998-05-31	VYDAJ	VYBER	15	37972	SLUZBY	\N	\N
714822	2445	1998-06-30	VYDAJ	VYBER	15	30625	SLUZBY	\N	\N
714823	2445	1998-07-31	VYDAJ	VYBER	15	21545	SLUZBY	\N	\N
714824	2445	1998-08-31	VYDAJ	VYBER	15	39329	SLUZBY	\N	\N
714825	2445	1998-09-30	VYDAJ	VYBER	15	50775	SLUZBY	\N	\N
714826	2445	1998-10-31	VYDAJ	VYBER	15	50600	SLUZBY	\N	\N
714827	2445	1998-11-30	VYDAJ	VYBER	15	47167	SLUZBY	\N	\N
714828	2445	1996-08-06	PRIJEM	VKLAD	10900	11700	\N	\N	\N
714829	2445	1996-09-05	VYDAJ	VYBER	13200	39883	\N	\N	\N
714830	2445	1996-10-05	VYDAJ	VYBER	26800	53833	\N	\N	\N
714831	2445	1996-10-25	VYDAJ	VYBER	33700	95650	\N	\N	\N
714832	2445	1996-10-30	VYDAJ	VYBER	51600	74108	\N	\N	\N
714833	2445	1996-11-04	VYDAJ	VYBER	25400	49057	\N	\N	\N
714834	2445	1996-11-10	VYDAJ	VYBER	64500	66776	\N	\N	\N
714835	2445	1996-12-04	VYDAJ	VYBER	32200	58175	\N	\N	\N
714836	2445	1997-01-03	VYDAJ	VYBER	9500	42111	\N	\N	\N
714837	2445	1997-02-02	PRIJEM	VKLAD	1200	20664	\N	\N	\N
714838	2445	1997-03-04	VYDAJ	VYBER	15000	42431	\N	\N	\N
714839	2445	1997-04-03	VYDAJ	VYBER	1300	21657	\N	\N	\N
714840	2445	1997-05-03	PRIJEM	VKLAD	1300	23035	\N	\N	\N
714841	2445	1997-06-02	PRIJEM	VKLAD	1500	20206	\N	\N	\N
714842	2445	1997-07-02	VYDAJ	VYBER	35800	53224	\N	\N	\N
714843	2445	1997-08-01	VYDAJ	VYBER	34600	47753	\N	\N	\N
714844	2445	1997-08-31	VYDAJ	VYBER	19600	35641	\N	\N	\N
714845	2445	1997-09-30	VYDAJ	VYBER	15200	26446	\N	\N	\N
714846	2445	1997-10-30	VYDAJ	VYBER	6100	16332	\N	\N	\N
714847	2445	1997-11-29	VYDAJ	VYBER	5700	19067	\N	\N	\N
714848	2445	1997-12-29	PRIJEM	VKLAD	2400	17241	\N	\N	\N
714849	2445	1998-01-28	VYDAJ	VYBER	11400	33670	\N	\N	\N
714850	2445	1998-02-27	PRIJEM	VKLAD	5200	23006	\N	\N	\N
714851	2445	1998-03-10	VYDAJ	VYBER	20500	85930	\N	\N	\N
714852	2445	1998-03-16	VYDAJ	VYBER	34100	86199	\N	\N	\N
714853	2445	1998-03-28	VYDAJ	VYBER	30900	104418	\N	\N	\N
714854	2445	1998-03-29	VYDAJ	VYBER	39800	64618	\N	\N	\N
714855	2445	1998-04-13	VYDAJ	VYBER	23400	96494	\N	\N	\N
714856	2445	1998-04-28	VYDAJ	VYBER	36000	59820	\N	\N	\N
714857	2445	1998-04-28	VYDAJ	VYBER	29400	95820	\N	\N	\N
714858	2445	1998-05-28	VYDAJ	VYBER	12700	37751	\N	\N	\N
714859	2445	1998-06-27	VYDAJ	VYBER	2600	30486	\N	\N	\N
714860	2445	1998-07-27	VYDAJ	VYBER	4300	21439	\N	\N	\N
714861	2445	1998-08-18	VYDAJ	VYBER	46700	64436	\N	\N	\N
714862	2445	1998-08-26	VYDAJ	VYBER	28400	39138	\N	\N	\N
714863	2445	1998-09-25	VYDAJ	VYBER	28300	50599	\N	\N	\N
714864	2445	1998-10-16	VYDAJ	VYBER	59300	53436	\N	\N	\N
714865	2445	1998-10-25	VYDAJ	VYBER	30600	50372	\N	\N	\N
714866	2445	1998-11-24	VYDAJ	VYBER	28000	46940	\N	\N	\N
714867	2445	1998-12-08	VYDAJ	VYBER	49200	73386	\N	\N	\N
714868	2445	1998-12-21	VYDAJ	VYBER	39400	68034	\N	\N	\N
714898	2446	1995-01-16	PRIJEM	VKLAD	700	700	\N	\N	\N
714900	2446	1995-02-11	PRIJEM	VKLAD	11874	12574	\N	\N	\N
714901	2446	1995-03-11	PRIJEM	VKLAD	11874	31589	\N	\N	\N
714902	2446	1995-04-11	PRIJEM	VKLAD	11874	37457	\N	\N	\N
714903	2446	1995-05-11	PRIJEM	VKLAD	11874	39641	\N	\N	\N
714904	2446	1995-06-11	PRIJEM	VKLAD	17811	48073	\N	\N	\N
714905	2446	1995-07-11	PRIJEM	VKLAD	11874	38573	\N	\N	\N
714906	2446	1995-08-11	PRIJEM	VKLAD	11874	38782	\N	\N	\N
714907	2446	1995-09-11	PRIJEM	VKLAD	11874	34443	\N	\N	\N
714908	2446	1995-10-11	PRIJEM	VKLAD	11874	32029	\N	\N	\N
714909	2446	1995-11-11	PRIJEM	VKLAD	11874	34909	\N	\N	\N
714910	2446	1995-12-11	PRIJEM	VKLAD	17811	40630	\N	\N	\N
714911	2446	1996-01-11	PRIJEM	VKLAD	11874	29373	\N	\N	\N
714912	2446	1996-02-11	PRIJEM	VKLAD	11874	29816	\N	\N	\N
714913	2446	1996-03-11	PRIJEM	VKLAD	11874	35390	\N	\N	\N
714914	2446	1996-04-11	PRIJEM	VKLAD	11874	36838	\N	\N	\N
714915	2446	1996-05-11	PRIJEM	VKLAD	11874	39383	\N	\N	\N
714916	2446	1996-06-11	PRIJEM	VKLAD	17811	48444	\N	\N	\N
714917	2446	1996-07-11	PRIJEM	VKLAD	11874	43035	\N	\N	\N
714918	2446	1996-08-11	PRIJEM	VKLAD	11874	42142	\N	\N	\N
714919	2446	1996-09-11	PRIJEM	VKLAD	11874	42477	\N	\N	\N
714920	2446	1996-10-11	PRIJEM	VKLAD	11874	42623	\N	\N	\N
714921	2446	1996-11-11	PRIJEM	VKLAD	11874	42255	\N	\N	\N
714922	2446	1996-12-11	PRIJEM	VKLAD	17811	51132	\N	\N	\N
714923	2446	1997-01-11	PRIJEM	VKLAD	11874	42554	\N	\N	\N
714924	2446	1997-02-11	PRIJEM	VKLAD	11874	38648	\N	\N	\N
714925	2446	1997-03-11	PRIJEM	VKLAD	11874	43865	\N	\N	\N
714926	2446	1997-04-11	PRIJEM	VKLAD	11874	47803	\N	\N	\N
714927	2446	1997-05-11	PRIJEM	VKLAD	11874	49491	\N	\N	\N
714928	2446	1997-06-11	PRIJEM	VKLAD	17811	55300	\N	\N	\N
714929	2446	1997-07-11	PRIJEM	VKLAD	11874	53260	\N	\N	\N
714930	2446	1997-08-11	PRIJEM	VKLAD	11874	48476	\N	\N	\N
714931	2446	1997-09-11	PRIJEM	VKLAD	11874	49841	\N	\N	\N
714932	2446	1997-10-11	PRIJEM	VKLAD	11874	53209	\N	\N	\N
714933	2446	1997-11-11	PRIJEM	VKLAD	11874	50828	\N	\N	\N
714934	2446	1997-12-11	PRIJEM	VKLAD	17811	56593	\N	\N	\N
714935	2446	1998-01-11	PRIJEM	VKLAD	11874	50782	\N	\N	\N
714936	2446	1998-02-11	PRIJEM	VKLAD	11874	49454	\N	\N	\N
714937	2446	1998-03-11	PRIJEM	VKLAD	11874	50136	\N	\N	\N
714938	2446	1998-04-11	PRIJEM	VKLAD	11874	54673	\N	\N	\N
714939	2446	1998-05-11	PRIJEM	VKLAD	11874	55550	\N	\N	\N
714940	2446	1998-06-11	PRIJEM	VKLAD	17811	61266	\N	\N	\N
714941	2446	1998-07-11	PRIJEM	VKLAD	11874	61759	\N	\N	\N
714942	2446	1998-08-11	PRIJEM	VKLAD	11874	60863	\N	\N	\N
714943	2446	1998-09-11	PRIJEM	VKLAD	11874	58162	\N	\N	\N
714944	2446	1998-10-11	PRIJEM	VKLAD	11874	58226	\N	\N	\N
714945	2446	1998-11-11	PRIJEM	VKLAD	11874	58522	\N	\N	\N
714946	2446	1998-12-11	PRIJEM	VKLAD	17811	63047	\N	\N	\N
714952	2446	1995-06-14	VYDAJ	PREVOD NA UCET	6372	41701	SIPO	KL	93986022
714953	2446	1995-07-14	VYDAJ	PREVOD NA UCET	6372	32201	SIPO	KL	93986022
714954	2446	1995-08-14	VYDAJ	PREVOD NA UCET	6372	32410	SIPO	KL	93986022
714955	2446	1995-09-14	VYDAJ	PREVOD NA UCET	6372	20071	SIPO	KL	93986022
714956	2446	1995-10-14	VYDAJ	PREVOD NA UCET	6372	22957	SIPO	KL	93986022
714957	2446	1995-11-14	VYDAJ	PREVOD NA UCET	6372	22737	SIPO	KL	93986022
714958	2446	1995-12-14	VYDAJ	PREVOD NA UCET	6372	23458	SIPO	KL	93986022
714959	2446	1996-01-14	VYDAJ	PREVOD NA UCET	6372	19401	SIPO	KL	93986022
714960	2446	1996-02-14	VYDAJ	PREVOD NA UCET	6372	23444	SIPO	KL	93986022
714961	2446	1996-03-14	VYDAJ	PREVOD NA UCET	6372	26018	SIPO	KL	93986022
714962	2446	1996-04-14	VYDAJ	PREVOD NA UCET	6372	30466	SIPO	KL	93986022
714963	2446	1996-05-14	VYDAJ	PREVOD NA UCET	6372	33011	SIPO	KL	93986022
714964	2446	1996-06-14	VYDAJ	PREVOD NA UCET	6372	42072	SIPO	KL	93986022
714965	2446	1996-07-14	VYDAJ	PREVOD NA UCET	6372	36663	SIPO	KL	93986022
714966	2446	1996-08-14	VYDAJ	PREVOD NA UCET	6372	35770	SIPO	KL	93986022
714967	2446	1996-09-14	VYDAJ	PREVOD NA UCET	6372	30225	SIPO	KL	93986022
714968	2446	1996-10-14	VYDAJ	PREVOD NA UCET	6372	36251	SIPO	KL	93986022
714969	2446	1996-11-14	VYDAJ	PREVOD NA UCET	6372	35883	SIPO	KL	93986022
714970	2446	1996-12-14	VYDAJ	PREVOD NA UCET	6372	44760	SIPO	KL	93986022
714971	2446	1997-01-14	VYDAJ	PREVOD NA UCET	6372	34742	SIPO	KL	93986022
714972	2446	1997-02-14	VYDAJ	PREVOD NA UCET	6372	32276	SIPO	KL	93986022
714973	2446	1997-03-14	VYDAJ	PREVOD NA UCET	6372	37493	SIPO	KL	93986022
714974	2446	1997-04-14	VYDAJ	PREVOD NA UCET	6372	37471	SIPO	KL	93986022
714975	2446	1997-05-14	VYDAJ	PREVOD NA UCET	6372	43119	SIPO	KL	93986022
714976	2446	1997-06-14	VYDAJ	PREVOD NA UCET	6372	48928	SIPO	KL	93986022
714977	2446	1997-07-14	VYDAJ	PREVOD NA UCET	6372	46888	SIPO	KL	93986022
714978	2446	1997-08-14	VYDAJ	PREVOD NA UCET	6372	42104	SIPO	KL	93986022
714979	2446	1997-09-14	VYDAJ	PREVOD NA UCET	6372	43469	SIPO	KL	93986022
714980	2446	1997-10-14	VYDAJ	PREVOD NA UCET	6372	46837	SIPO	KL	93986022
714981	2446	1997-11-14	VYDAJ	PREVOD NA UCET	6372	44456	SIPO	KL	93986022
714982	2446	1997-12-14	VYDAJ	PREVOD NA UCET	6372	50221	SIPO	KL	93986022
714983	2446	1998-01-14	VYDAJ	PREVOD NA UCET	6372	38650	SIPO	KL	93986022
714984	2446	1998-02-14	VYDAJ	PREVOD NA UCET	6372	40562	SIPO	KL	93986022
714985	2446	1998-03-14	VYDAJ	PREVOD NA UCET	6372	43764	SIPO	KL	93986022
714986	2446	1998-04-14	VYDAJ	PREVOD NA UCET	6372	48301	SIPO	KL	93986022
714987	2446	1998-05-14	VYDAJ	PREVOD NA UCET	6372	49178	SIPO	KL	93986022
714988	2446	1998-06-14	VYDAJ	PREVOD NA UCET	6372	54894	SIPO	KL	93986022
714989	2446	1998-07-14	VYDAJ	PREVOD NA UCET	6372	55387	SIPO	KL	93986022
714990	2446	1998-08-14	VYDAJ	PREVOD NA UCET	6372	54491	SIPO	KL	93986022
714991	2446	1998-09-14	VYDAJ	PREVOD NA UCET	6372	51790	SIPO	KL	93986022
714992	2446	1998-10-14	VYDAJ	PREVOD NA UCET	6372	51854	SIPO	KL	93986022
714993	2446	1998-11-14	VYDAJ	PREVOD NA UCET	6372	52150	SIPO	KL	93986022
714994	2446	1998-12-14	VYDAJ	PREVOD NA UCET	6372	56675	SIPO	KL	93986022
714995	2446	1995-12-21	VYDAJ	VYBER	1600	21858	\N	\N	\N
714996	2446	1996-12-26	VYDAJ	VYBER	2560	42200	\N	\N	\N
714997	2446	1997-12-10	VYDAJ	VYBER	4640	38782	\N	\N	\N
714998	2446	1998-12-24	VYDAJ	VYBER	960	55715	\N	\N	\N
715005	2446	1996-01-12	VYDAJ	VYBER	600	25773	\N	\N	\N
715006	2446	1996-01-06	VYDAJ	VYBER	2400	17499	\N	\N	\N
715007	2446	1996-01-22	VYDAJ	VYBER	2040	13881	\N	\N	\N
715008	2446	1996-01-19	VYDAJ	VYBER	2400	15921	\N	\N	\N
715009	2446	1996-01-17	VYDAJ	VYBER	1080	18321	\N	\N	\N
715010	2446	1996-01-04	VYDAJ	VYBER	2040	19899	\N	\N	\N
715011	2446	1997-01-20	VYDAJ	VYBER	2520	32222	\N	\N	\N
715012	2446	1997-01-30	VYDAJ	VYBER	720	26942	\N	\N	\N
715013	2446	1997-01-24	VYDAJ	VYBER	1680	29582	\N	\N	\N
715014	2446	1997-01-24	VYDAJ	VYBER	960	31262	\N	\N	\N
715015	2446	1997-01-11	VYDAJ	VYBER	1440	41114	\N	\N	\N
715016	2446	1997-01-29	VYDAJ	VYBER	1920	27662	\N	\N	\N
715017	2446	1998-01-11	VYDAJ	VYBER	2400	48382	\N	\N	\N
715018	2446	1998-01-29	VYDAJ	VYBER	1080	36130	\N	\N	\N
715019	2446	1998-01-14	VYDAJ	VYBER	1800	45022	\N	\N	\N
715020	2446	1998-01-16	VYDAJ	VYBER	1440	37210	\N	\N	\N
715021	2446	1998-01-13	VYDAJ	VYBER	1560	46822	\N	\N	\N
715022	2446	1998-01-01	VYDAJ	VYBER	2400	38908	\N	\N	\N
715023	2446	1995-06-24	VYDAJ	VYBER	5400	29701	\N	\N	\N
715024	2446	1995-07-06	VYDAJ	VYBER	3120	26699	\N	\N	\N
715025	2446	1995-09-03	VYDAJ	VYBER	5040	22569	\N	\N	\N
715027	2446	1996-06-20	VYDAJ	VYBER	960	41112	\N	\N	\N
715029	2446	1996-09-11	VYDAJ	VYBER	5880	36597	\N	\N	\N
715030	2446	1996-07-28	VYDAJ	VYBER	3840	32823	\N	\N	\N
715031	2446	1996-03-19	VYDAJ	VYBER	4440	21578	\N	\N	\N
715032	2446	1996-05-01	VYDAJ	VYBER	4560	26009	\N	\N	\N
715033	2446	1997-05-17	VYDAJ	VYBER	2280	40839	\N	\N	\N
715034	2446	1997-01-08	VYDAJ	VYBER	4680	30680	\N	\N	\N
715035	2446	1997-07-17	VYDAJ	VYBER	1920	44968	\N	\N	\N
715036	2446	1997-06-26	VYDAJ	VYBER	3120	45808	\N	\N	\N
715037	2446	1997-11-02	VYDAJ	VYBER	3960	38954	\N	\N	\N
715038	2446	1997-04-11	VYDAJ	VYBER	3960	43843	\N	\N	\N
715039	2446	1997-09-27	VYDAJ	VYBER	600	42869	\N	\N	\N
715040	2446	1997-07-21	VYDAJ	VYBER	2640	42328	\N	\N	\N
715041	2446	1998-09-16	VYDAJ	VYBER	3600	48190	\N	\N	\N
715042	2446	1998-10-09	VYDAJ	VYBER	2520	46352	\N	\N	\N
715043	2446	1998-02-21	VYDAJ	VYBER	5640	34922	\N	\N	\N
715044	2446	1998-02-14	VYDAJ	VYBER	2520	46934	\N	\N	\N
715045	2446	1998-03-23	VYDAJ	VYBER	1920	41844	\N	\N	\N
715052	2446	1995-06-30	VYDAJ	VYBER	15	29819	SLUZBY	\N	\N
715053	2446	1995-07-31	VYDAJ	VYBER	15	26908	SLUZBY	\N	\N
715054	2446	1995-08-31	VYDAJ	VYBER	15	27609	SLUZBY	\N	\N
715055	2446	1995-09-30	VYDAJ	VYBER	15	20155	SLUZBY	\N	\N
715056	2446	1995-10-31	VYDAJ	VYBER	15	23035	SLUZBY	\N	\N
715057	2446	1995-11-30	VYDAJ	VYBER	15	22819	SLUZBY	\N	\N
715058	2446	1995-12-31	VYDAJ	VYBER	15	21939	SLUZBY	\N	\N
715059	2446	1996-01-31	VYDAJ	VYBER	15	13942	SLUZBY	\N	\N
715060	2446	1996-02-29	VYDAJ	VYBER	15	23516	SLUZBY	\N	\N
715061	2446	1996-03-31	VYDAJ	VYBER	15	21664	SLUZBY	\N	\N
715062	2446	1996-04-30	VYDAJ	VYBER	15	30569	SLUZBY	\N	\N
715063	2446	1996-05-31	VYDAJ	VYBER	15	33133	SLUZBY	\N	\N
715064	2446	1996-06-30	VYDAJ	VYBER	15	41261	SLUZBY	\N	\N
715065	2446	1996-07-31	VYDAJ	VYBER	15	32968	SLUZBY	\N	\N
715066	2446	1996-08-31	VYDAJ	VYBER	15	35903	SLUZBY	\N	\N
715067	2446	1996-09-30	VYDAJ	VYBER	15	30349	SLUZBY	\N	\N
715068	2446	1996-10-31	VYDAJ	VYBER	15	36381	SLUZBY	\N	\N
715069	2446	1996-11-30	VYDAJ	VYBER	15	36021	SLUZBY	\N	\N
715070	2446	1996-12-31	VYDAJ	VYBER	15	42360	SLUZBY	\N	\N
715071	2446	1997-01-31	VYDAJ	VYBER	15	27074	SLUZBY	\N	\N
715072	2446	1997-02-28	VYDAJ	VYBER	15	32391	SLUZBY	\N	\N
715073	2446	1997-03-31	VYDAJ	VYBER	15	37629	SLUZBY	\N	\N
715074	2446	1997-04-30	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
715075	2446	1997-05-31	VYDAJ	VYBER	15	40989	SLUZBY	\N	\N
715076	2446	1997-06-30	VYDAJ	VYBER	15	45986	SLUZBY	\N	\N
715077	2446	1997-07-31	VYDAJ	VYBER	15	42502	SLUZBY	\N	\N
715078	2446	1997-08-31	VYDAJ	VYBER	15	42267	SLUZBY	\N	\N
715079	2446	1997-09-30	VYDAJ	VYBER	15	43035	SLUZBY	\N	\N
715080	2446	1997-10-31	VYDAJ	VYBER	15	47014	SLUZBY	\N	\N
715081	2446	1997-11-30	VYDAJ	VYBER	15	44622	SLUZBY	\N	\N
715082	2446	1997-12-31	VYDAJ	VYBER	15	41308	SLUZBY	\N	\N
715083	2446	1998-01-31	VYDAJ	VYBER	15	37580	SLUZBY	\N	\N
715084	2446	1998-02-28	VYDAJ	VYBER	15	35062	SLUZBY	\N	\N
715085	2446	1998-03-31	VYDAJ	VYBER	15	42799	SLUZBY	\N	\N
715086	2446	1998-04-30	VYDAJ	VYBER	15	43676	SLUZBY	\N	\N
715087	2446	1998-05-31	VYDAJ	VYBER	15	43455	SLUZBY	\N	\N
715088	2446	1998-06-30	VYDAJ	VYBER	15	49885	SLUZBY	\N	\N
715089	2446	1998-07-31	VYDAJ	VYBER	15	48989	SLUZBY	\N	\N
715090	2446	1998-08-31	VYDAJ	VYBER	15	46288	SLUZBY	\N	\N
715091	2446	1998-09-30	VYDAJ	VYBER	15	48872	SLUZBY	\N	\N
715092	2446	1998-10-31	VYDAJ	VYBER	15	46648	SLUZBY	\N	\N
715093	2446	1998-11-30	VYDAJ	VYBER	15	45236	SLUZBY	\N	\N
715094	2446	1995-02-15	PRIJEM	VKLAD	7100	19674	\N	\N	\N
715095	2446	1995-03-17	VYDAJ	VYBER	6100	25489	\N	\N	\N
715096	2446	1995-04-16	VYDAJ	VYBER	9800	27657	\N	\N	\N
715097	2446	1995-05-16	VYDAJ	VYBER	9500	30141	\N	\N	\N
715098	2446	1995-06-15	VYDAJ	VYBER	6600	35101	\N	\N	\N
715099	2446	1995-07-15	VYDAJ	VYBER	5400	26801	\N	\N	\N
715100	2446	1995-08-14	VYDAJ	VYBER	4900	27510	\N	\N	\N
715101	2446	1995-09-13	VYDAJ	VYBER	8000	26443	\N	\N	\N
715102	2446	1995-10-13	VYDAJ	VYBER	2700	29329	\N	\N	\N
715103	2446	1995-11-12	VYDAJ	VYBER	5800	29109	\N	\N	\N
715104	2446	1995-12-12	VYDAJ	VYBER	10800	29830	\N	\N	\N
715105	2446	1996-01-11	VYDAJ	VYBER	3000	26373	\N	\N	\N
715106	2446	1996-02-10	PRIJEM	VKLAD	4000	17942	\N	\N	\N
715107	2446	1996-03-11	VYDAJ	VYBER	3000	32390	\N	\N	\N
715108	2446	1996-04-10	PRIJEM	VKLAD	3300	24964	\N	\N	\N
715109	2446	1996-05-10	PRIJEM	VKLAD	1500	27509	\N	\N	\N
715110	2446	1996-06-09	VYDAJ	VYBER	2500	30633	\N	\N	\N
715111	2446	1996-07-09	VYDAJ	VYBER	10100	31161	\N	\N	\N
715112	2446	1996-08-08	VYDAJ	VYBER	2700	30268	\N	\N	\N
715113	2446	1996-09-07	VYDAJ	VYBER	5300	30603	\N	\N	\N
715114	2446	1996-10-07	PRIJEM	VKLAD	400	30749	\N	\N	\N
715115	2446	1996-11-06	VYDAJ	VYBER	6000	30381	\N	\N	\N
715116	2446	1996-12-06	VYDAJ	VYBER	2700	33321	\N	\N	\N
715117	2446	1997-01-05	VYDAJ	VYBER	7000	35360	\N	\N	\N
715118	2446	1997-02-04	VYDAJ	VYBER	300	26774	\N	\N	\N
715119	2446	1997-03-06	VYDAJ	VYBER	400	31991	\N	\N	\N
715120	2446	1997-04-05	VYDAJ	VYBER	1700	35929	\N	\N	\N
715121	2446	1997-06-04	VYDAJ	VYBER	3500	37489	\N	\N	\N
715122	2446	1997-07-04	VYDAJ	VYBER	4600	41386	\N	\N	\N
715123	2446	1997-08-03	VYDAJ	VYBER	5900	36602	\N	\N	\N
715124	2446	1997-09-02	VYDAJ	VYBER	4300	37967	\N	\N	\N
715125	2446	1997-10-02	VYDAJ	VYBER	1700	41335	\N	\N	\N
715126	2446	1997-11-01	VYDAJ	VYBER	4100	42914	\N	\N	\N
715127	2446	1997-12-01	VYDAJ	VYBER	1200	43422	\N	\N	\N
715128	2446	1997-12-31	VYDAJ	VYBER	9100	41322	\N	\N	\N
715129	2446	1998-01-30	PRIJEM	VKLAD	1300	37430	\N	\N	\N
715130	2446	1998-03-01	PRIJEM	VKLAD	3200	38262	\N	\N	\N
715131	2446	1998-03-31	PRIJEM	VKLAD	800	42644	\N	\N	\N
715132	2446	1998-04-30	VYDAJ	VYBER	4800	43690	\N	\N	\N
715133	2446	1998-05-30	VYDAJ	VYBER	5900	43278	\N	\N	\N
715134	2446	1998-06-29	VYDAJ	VYBER	5200	49694	\N	\N	\N
715135	2446	1998-07-29	VYDAJ	VYBER	6600	48787	\N	\N	\N
715136	2446	1998-08-28	VYDAJ	VYBER	8400	46091	\N	\N	\N
715137	2446	1998-09-27	PRIJEM	VKLAD	500	48690	\N	\N	\N
715138	2446	1998-10-27	VYDAJ	VYBER	5400	46454	\N	\N	\N
715139	2446	1998-11-26	VYDAJ	VYBER	7100	45050	\N	\N	\N
715187	2447	1997-07-14	PRIJEM	VKLAD	200	12251	\N	\N	\N
715194	2447	1997-07-14	PRIJEM	VKLAD	12051	12051	\N	\N	\N
715195	2447	1997-08-14	PRIJEM	VKLAD	12051	29532	\N	\N	\N
715196	2447	1997-09-14	PRIJEM	VKLAD	12051	37276	\N	\N	\N
715197	2447	1997-10-14	PRIJEM	VKLAD	12051	42568	\N	\N	\N
715198	2447	1997-11-14	PRIJEM	VKLAD	12051	46587	\N	\N	\N
715199	2447	1997-12-14	PRIJEM	VKLAD	18076	42543	\N	\N	\N
715200	2447	1998-01-14	PRIJEM	VKLAD	12051	29224	\N	\N	\N
715201	2447	1998-02-14	PRIJEM	VKLAD	12051	27361	\N	\N	\N
715202	2447	1998-03-14	PRIJEM	VKLAD	12051	28713	\N	\N	\N
715203	2447	1998-04-14	PRIJEM	VKLAD	12051	33547	\N	\N	\N
715204	2447	1998-05-14	PRIJEM	VKLAD	12051	39201	\N	\N	\N
715205	2447	1998-06-14	PRIJEM	VKLAD	18076	35643	\N	\N	\N
715206	2447	1998-07-14	PRIJEM	VKLAD	12051	39920	\N	\N	\N
715207	2447	1998-08-14	PRIJEM	VKLAD	12051	39702	\N	\N	\N
715208	2447	1998-09-14	PRIJEM	VKLAD	12051	44090	\N	\N	\N
715209	2447	1998-10-14	PRIJEM	VKLAD	12051	42489	\N	\N	\N
715210	2447	1998-11-14	PRIJEM	VKLAD	12051	43769	\N	\N	\N
715211	2447	1998-12-14	PRIJEM	VKLAD	18076	53494	\N	\N	\N
715223	2447	1997-12-12	VYDAJ	PREVOD NA UCET	6911	24467	SIPO	WX	57538109
715224	2447	1998-01-12	VYDAJ	PREVOD NA UCET	6911	17173	SIPO	WX	57538109
715225	2447	1998-02-12	VYDAJ	PREVOD NA UCET	6911	15310	SIPO	WX	57538109
715226	2447	1998-03-12	VYDAJ	PREVOD NA UCET	6911	16662	SIPO	WX	57538109
715227	2447	1998-04-12	VYDAJ	PREVOD NA UCET	6911	21496	SIPO	WX	57538109
715228	2447	1998-05-12	VYDAJ	PREVOD NA UCET	6911	27150	SIPO	WX	57538109
715229	2447	1998-06-12	VYDAJ	PREVOD NA UCET	6911	32127	SIPO	WX	57538109
715230	2447	1998-07-12	VYDAJ	PREVOD NA UCET	6911	27869	SIPO	WX	57538109
715231	2447	1998-08-12	VYDAJ	PREVOD NA UCET	6911	27651	SIPO	WX	57538109
715232	2447	1998-09-12	VYDAJ	PREVOD NA UCET	6911	32039	SIPO	WX	57538109
715233	2447	1998-10-12	VYDAJ	PREVOD NA UCET	6911	30438	SIPO	WX	57538109
715234	2447	1998-11-12	VYDAJ	PREVOD NA UCET	6911	31718	SIPO	WX	57538109
715235	2447	1998-12-12	VYDAJ	PREVOD NA UCET	6911	35418	SIPO	WX	57538109
715237	2447	1998-06-13	VYDAJ	VYBER	14560	17567	\N	\N	\N
715238	2447	1997-12-09	VYDAJ	VYBER	3680	42478	\N	\N	\N
715239	2447	1998-12-20	VYDAJ	VYBER	1120	52374	\N	\N	\N
715246	2447	1998-01-09	VYDAJ	VYBER	960	40544	\N	\N	\N
715247	2447	1998-01-11	VYDAJ	VYBER	2760	26004	\N	\N	\N
715248	2447	1998-01-19	VYDAJ	VYBER	2520	26704	\N	\N	\N
715249	2447	1998-01-12	VYDAJ	VYBER	1920	24084	\N	\N	\N
715250	2447	1998-01-09	VYDAJ	VYBER	1680	38864	\N	\N	\N
715251	2447	1998-01-03	VYDAJ	VYBER	1200	41504	\N	\N	\N
715257	2447	1997-11-17	VYDAJ	VYBER	600	45987	\N	\N	\N
715259	2447	1998-12-22	VYDAJ	VYBER	5520	46854	\N	\N	\N
715260	2447	1998-10-20	VYDAJ	VYBER	1320	41169	\N	\N	\N
715261	2447	1998-02-24	VYDAJ	VYBER	4080	23281	\N	\N	\N
715273	2447	1997-11-30	VYDAJ	VYBER	15	46158	SLUZBY	\N	\N
715274	2447	1997-12-31	VYDAJ	VYBER	15	42704	SLUZBY	\N	\N
715275	2447	1998-01-31	VYDAJ	VYBER	15	26821	SLUZBY	\N	\N
715276	2447	1998-02-28	VYDAJ	VYBER	15	23373	SLUZBY	\N	\N
715277	2447	1998-03-31	VYDAJ	VYBER	15	28807	SLUZBY	\N	\N
715278	2447	1998-04-30	VYDAJ	VYBER	15	33661	SLUZBY	\N	\N
715279	2447	1998-05-31	VYDAJ	VYBER	15	39338	SLUZBY	\N	\N
715280	2447	1998-06-30	VYDAJ	VYBER	15	35780	SLUZBY	\N	\N
715281	2447	1998-07-31	VYDAJ	VYBER	15	40062	SLUZBY	\N	\N
715282	2447	1998-08-31	VYDAJ	VYBER	15	39850	SLUZBY	\N	\N
715283	2447	1998-09-30	VYDAJ	VYBER	15	44249	SLUZBY	\N	\N
715284	2447	1998-10-31	VYDAJ	VYBER	15	41329	SLUZBY	\N	\N
715285	2447	1998-11-30	VYDAJ	VYBER	15	43929	SLUZBY	\N	\N
715286	2447	1997-08-13	PRIJEM	VKLAD	5200	17481	\N	\N	\N
715287	2447	1997-09-12	VYDAJ	VYBER	4400	25225	\N	\N	\N
715288	2447	1997-10-12	VYDAJ	VYBER	6900	30517	\N	\N	\N
715289	2447	1997-11-11	VYDAJ	VYBER	8200	34536	\N	\N	\N
715290	2447	1997-12-11	VYDAJ	VYBER	11100	31378	\N	\N	\N
715291	2447	1998-01-10	VYDAJ	VYBER	10100	28764	\N	\N	\N
715292	2447	1998-02-09	VYDAJ	VYBER	4600	22221	\N	\N	\N
715293	2447	1998-03-11	PRIJEM	VKLAD	200	23573	\N	\N	\N
715294	2447	1998-04-10	VYDAJ	VYBER	400	28407	\N	\N	\N
715295	2447	1998-05-10	PRIJEM	VKLAD	400	34061	\N	\N	\N
715296	2447	1998-06-09	VYDAJ	VYBER	300	39038	\N	\N	\N
715297	2447	1998-07-09	VYDAJ	VYBER	1000	34780	\N	\N	\N
715298	2447	1998-08-08	VYDAJ	VYBER	5500	34562	\N	\N	\N
715299	2447	1998-09-07	VYDAJ	VYBER	900	38950	\N	\N	\N
715300	2447	1998-10-07	VYDAJ	VYBER	6900	37349	\N	\N	\N
715301	2447	1998-11-06	VYDAJ	VYBER	2700	38629	\N	\N	\N
715302	2447	1998-12-06	VYDAJ	VYBER	1600	42329	\N	\N	\N
715321	2448	1997-05-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
715327	2448	1997-06-08	PRIJEM	PREVOD Z UCTU	3390	4390	\N	GH	95418810
715328	2448	1997-07-08	PRIJEM	PREVOD Z UCTU	3390	7780	\N	GH	95418810
715329	2448	1997-08-08	PRIJEM	PREVOD Z UCTU	3390	11170	\N	GH	95418810
715330	2448	1997-09-08	PRIJEM	PREVOD Z UCTU	3390	14560	\N	GH	95418810
715331	2448	1997-10-08	PRIJEM	PREVOD Z UCTU	3390	17950	\N	GH	95418810
715332	2448	1997-11-08	PRIJEM	PREVOD Z UCTU	3390	16419	\N	GH	95418810
715333	2448	1997-12-08	PRIJEM	PREVOD Z UCTU	3390	16282	\N	GH	95418810
715334	2448	1998-01-08	PRIJEM	PREVOD Z UCTU	3390	17224	\N	GH	95418810
715335	2448	1998-02-08	PRIJEM	PREVOD Z UCTU	3390	16978	\N	GH	95418810
715336	2448	1998-03-08	PRIJEM	PREVOD Z UCTU	3390	18163	\N	GH	95418810
715337	2448	1998-04-08	PRIJEM	PREVOD Z UCTU	3390	17551	\N	GH	95418810
715338	2448	1998-05-08	PRIJEM	PREVOD Z UCTU	3390	18338	\N	GH	95418810
715339	2448	1998-06-08	PRIJEM	PREVOD Z UCTU	3390	17486	\N	GH	95418810
715340	2448	1998-07-08	PRIJEM	PREVOD Z UCTU	3390	16373	\N	GH	95418810
715341	2448	1998-08-08	PRIJEM	PREVOD Z UCTU	3390	16683	\N	GH	95418810
715342	2448	1998-09-08	PRIJEM	PREVOD Z UCTU	3390	16395	\N	GH	95418810
715343	2448	1998-10-08	PRIJEM	PREVOD Z UCTU	3390	16478	\N	GH	95418810
715344	2448	1998-11-08	PRIJEM	PREVOD Z UCTU	3390	16460	\N	GH	95418810
715345	2448	1998-12-08	PRIJEM	PREVOD Z UCTU	3390	17543	\N	GH	95418810
715356	2448	1997-11-05	VYDAJ	PREVOD NA UCET	1067	15722	SIPO	MN	56000006
715357	2448	1997-12-05	VYDAJ	PREVOD NA UCET	1067	13372	SIPO	MN	56000006
715358	2448	1998-01-05	VYDAJ	PREVOD NA UCET	1067	13834	SIPO	MN	56000006
715359	2448	1998-02-05	VYDAJ	PREVOD NA UCET	1067	15581	SIPO	MN	56000006
715360	2448	1998-03-05	VYDAJ	PREVOD NA UCET	1067	15966	SIPO	MN	56000006
715361	2448	1998-04-05	VYDAJ	PREVOD NA UCET	1067	14761	SIPO	MN	56000006
715362	2448	1998-05-05	VYDAJ	PREVOD NA UCET	1067	15348	SIPO	MN	56000006
715363	2448	1998-06-05	VYDAJ	PREVOD NA UCET	1067	14096	SIPO	MN	56000006
715364	2448	1998-07-05	VYDAJ	PREVOD NA UCET	1067	12983	SIPO	MN	56000006
715365	2448	1998-08-05	VYDAJ	PREVOD NA UCET	1067	13293	SIPO	MN	56000006
715366	2448	1998-09-05	VYDAJ	PREVOD NA UCET	1067	14198	SIPO	MN	56000006
715367	2448	1998-10-05	VYDAJ	PREVOD NA UCET	1067	13088	SIPO	MN	56000006
715368	2448	1998-11-05	VYDAJ	PREVOD NA UCET	1067	13070	SIPO	MN	56000006
715369	2448	1998-12-05	VYDAJ	PREVOD NA UCET	1067	15346	SIPO	MN	56000006
715380	2448	1997-11-05	VYDAJ	PREVOD NA UCET	1193	14529	 	CD	6193393
715381	2448	1997-12-05	VYDAJ	PREVOD NA UCET	1193	14439	 	CD	6193393
715382	2448	1998-01-05	VYDAJ	PREVOD NA UCET	1193	14901	 	CD	6193393
715383	2448	1998-02-05	VYDAJ	PREVOD NA UCET	1193	13588	 	CD	6193393
715384	2448	1998-03-05	VYDAJ	PREVOD NA UCET	1193	14773	 	CD	6193393
715385	2448	1998-04-05	VYDAJ	PREVOD NA UCET	1193	15828	 	CD	6193393
715386	2448	1998-05-05	VYDAJ	PREVOD NA UCET	1193	16415	 	CD	6193393
715387	2448	1998-06-05	VYDAJ	PREVOD NA UCET	1193	15163	 	CD	6193393
715388	2448	1998-07-05	VYDAJ	PREVOD NA UCET	1193	16350	 	CD	6193393
715389	2448	1998-08-05	VYDAJ	PREVOD NA UCET	1193	14360	 	CD	6193393
715390	2448	1998-09-05	VYDAJ	PREVOD NA UCET	1193	13005	 	CD	6193393
715391	2448	1998-10-05	VYDAJ	PREVOD NA UCET	1193	14155	 	CD	6193393
715392	2448	1998-11-05	VYDAJ	PREVOD NA UCET	1193	14137	 	CD	6193393
715393	2448	1998-12-05	VYDAJ	PREVOD NA UCET	1193	14153	 	CD	6193393
715396	2448	1997-12-24	VYDAJ	VYBER	240	16042	\N	\N	\N
715397	2448	1998-12-15	VYDAJ	VYBER	720	16823	\N	\N	\N
715399	2448	1997-12-07	VYDAJ	VYBER	480	12892	\N	\N	\N
715400	2448	1997-11-27	VYDAJ	VYBER	840	15579	\N	\N	\N
715404	2448	1998-05-14	VYDAJ	VYBER	420	17528	\N	\N	\N
715405	2448	1998-06-02	VYDAJ	VYBER	1230	16356	\N	\N	\N
715406	2448	1998-07-14	VYDAJ	VYBER	870	15503	\N	\N	\N
715407	2448	1998-05-11	VYDAJ	VYBER	390	17948	\N	\N	\N
715408	2448	1998-08-28	VYDAJ	VYBER	1470	15213	\N	\N	\N
715409	2448	1998-03-19	VYDAJ	VYBER	1200	16963	\N	\N	\N
715410	2448	1998-01-14	VYDAJ	VYBER	630	16594	\N	\N	\N
715421	2448	1997-10-31	VYDAJ	VYBER	15	16789	SLUZBY	\N	\N
715422	2448	1997-11-30	VYDAJ	VYBER	15	15632	SLUZBY	\N	\N
715423	2448	1997-12-31	VYDAJ	VYBER	15	16094	SLUZBY	\N	\N
715424	2448	1998-01-31	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
715425	2448	1998-02-28	VYDAJ	VYBER	15	17033	SLUZBY	\N	\N
715426	2448	1998-03-31	VYDAJ	VYBER	15	17021	SLUZBY	\N	\N
715427	2448	1998-04-30	VYDAJ	VYBER	15	17608	SLUZBY	\N	\N
715428	2448	1998-05-31	VYDAJ	VYBER	15	17586	SLUZBY	\N	\N
715429	2448	1998-06-30	VYDAJ	VYBER	15	17543	SLUZBY	\N	\N
715430	2448	1998-07-31	VYDAJ	VYBER	15	15553	SLUZBY	\N	\N
715431	2448	1998-08-31	VYDAJ	VYBER	15	15265	SLUZBY	\N	\N
715432	2448	1998-09-30	VYDAJ	VYBER	15	16448	SLUZBY	\N	\N
715433	2448	1998-10-31	VYDAJ	VYBER	15	16530	SLUZBY	\N	\N
715434	2448	1998-11-30	VYDAJ	VYBER	15	16513	SLUZBY	\N	\N
715435	2448	1997-10-08	VYDAJ	VYBER	1200	16750	\N	\N	\N
715436	2448	1997-11-07	VYDAJ	VYBER	1500	13029	\N	\N	\N
715437	2448	1998-02-05	VYDAJ	VYBER	800	14781	\N	\N	\N
715438	2448	1998-04-06	VYDAJ	VYBER	600	14161	\N	\N	\N
715439	2448	1998-05-06	VYDAJ	VYBER	400	14948	\N	\N	\N
715440	2448	1998-07-05	VYDAJ	VYBER	2300	14050	\N	\N	\N
715441	2448	1998-10-03	VYDAJ	VYBER	1100	15348	\N	\N	\N
715442	2448	1998-11-02	VYDAJ	VYBER	1200	15330	\N	\N	\N
715443	2448	1998-12-02	VYDAJ	VYBER	100	16413	\N	\N	\N
715459	2449	1997-08-05	PRIJEM	VKLAD	200	200	\N	\N	\N
715462	2449	1998-07-06	PRIJEM	VKLAD	49898	87572	\N	\N	\N
715463	2449	1998-03-20	PRIJEM	VKLAD	13408	40108	\N	\N	\N
715522	2449	1997-09-04	PRIJEM	VKLAD	12500	12700	\N	\N	\N
715523	2449	1997-10-04	PRIJEM	VKLAD	10400	23100	\N	\N	\N
715524	2449	1997-11-03	PRIJEM	VKLAD	5100	28200	\N	\N	\N
715525	2449	1997-12-03	VYDAJ	VYBER	300	27900	\N	\N	\N
715526	2449	1998-01-02	PRIJEM	VKLAD	600	28500	\N	\N	\N
715527	2449	1998-02-01	PRIJEM	VKLAD	2700	31200	\N	\N	\N
715528	2449	1998-03-03	VYDAJ	VYBER	4500	26700	\N	\N	\N
715529	2449	1998-04-02	VYDAJ	VYBER	7600	32573	\N	\N	\N
715530	2449	1998-05-02	VYDAJ	VYBER	2100	30640	\N	\N	\N
715531	2449	1998-06-01	PRIJEM	VKLAD	900	31707	\N	\N	\N
715532	2449	1998-07-01	PRIJEM	VKLAD	5800	37674	\N	\N	\N
715533	2449	1998-07-31	VYDAJ	VYBER	22600	65302	\N	\N	\N
715534	2449	1998-08-30	VYDAJ	VYBER	8000	57302	\N	\N	\N
715535	2449	1998-09-29	VYDAJ	VYBER	7000	50574	\N	\N	\N
715536	2449	1998-10-29	PRIJEM	VKLAD	700	51546	\N	\N	\N
715537	2449	1998-11-28	PRIJEM	VKLAD	3900	55718	\N	\N	\N
715546	2450	1996-04-10	PRIJEM	VKLAD	900	900	\N	\N	\N
715550	2450	1996-04-12	PRIJEM	VKLAD	24756	25656	\N	\N	\N
715551	2450	1996-05-12	PRIJEM	VKLAD	24756	51980	\N	\N	\N
715552	2450	1996-06-12	PRIJEM	VKLAD	37134	77891	\N	\N	\N
715553	2450	1996-07-12	PRIJEM	VKLAD	24756	77532	\N	\N	\N
715554	2450	1996-08-12	PRIJEM	VKLAD	24756	80712	\N	\N	\N
715555	2450	1996-09-12	PRIJEM	VKLAD	24756	74615	\N	\N	\N
715556	2450	1996-10-12	PRIJEM	VKLAD	24756	69990	\N	\N	\N
715557	2450	1996-11-12	PRIJEM	VKLAD	24756	70149	\N	\N	\N
715558	2450	1996-12-12	PRIJEM	VKLAD	37134	77880	\N	\N	\N
715559	2450	1997-01-12	PRIJEM	VKLAD	24756	74752	\N	\N	\N
715560	2450	1997-02-12	PRIJEM	VKLAD	24756	69287	\N	\N	\N
715561	2450	1997-03-12	PRIJEM	VKLAD	24756	72824	\N	\N	\N
715562	2450	1997-04-12	PRIJEM	VKLAD	24756	75385	\N	\N	\N
715563	2450	1997-05-12	PRIJEM	VKLAD	24756	76856	\N	\N	\N
715564	2450	1997-06-12	PRIJEM	VKLAD	37134	87113	\N	\N	\N
715565	2450	1997-07-12	PRIJEM	VKLAD	24756	85314	\N	\N	\N
715566	2450	1997-08-12	PRIJEM	VKLAD	24756	78128	\N	\N	\N
715567	2450	1997-09-12	PRIJEM	VKLAD	24756	76120	\N	\N	\N
715568	2450	1997-10-12	PRIJEM	VKLAD	24756	75000	\N	\N	\N
715569	2450	1997-11-12	PRIJEM	VKLAD	24756	74476	\N	\N	\N
715570	2450	1997-12-12	PRIJEM	VKLAD	37134	81126	\N	\N	\N
715571	2450	1998-01-12	PRIJEM	VKLAD	24756	74404	\N	\N	\N
715572	2450	1998-02-12	PRIJEM	VKLAD	24756	68947	\N	\N	\N
715573	2450	1998-03-12	PRIJEM	VKLAD	24756	75281	\N	\N	\N
715574	2450	1998-04-12	PRIJEM	VKLAD	24756	74439	\N	\N	\N
715575	2450	1998-05-12	PRIJEM	VKLAD	24756	78093	\N	\N	\N
715576	2450	1998-06-12	PRIJEM	VKLAD	37134	78039	\N	\N	\N
715577	2450	1998-07-12	PRIJEM	VKLAD	24756	83398	\N	\N	\N
715578	2450	1998-08-12	PRIJEM	VKLAD	24756	86387	\N	\N	\N
715579	2450	1998-09-12	PRIJEM	VKLAD	24756	91587	\N	\N	\N
715580	2450	1998-10-12	PRIJEM	VKLAD	24756	94406	\N	\N	\N
715581	2450	1998-11-12	PRIJEM	VKLAD	24756	97536	\N	\N	\N
715582	2450	1998-12-12	PRIJEM	VKLAD	37134	108553	\N	\N	\N
715591	2450	1996-09-11	VYDAJ	PREVOD NA UCET	1455	49859	SIPO	OP	34500575
715592	2450	1996-10-11	VYDAJ	PREVOD NA UCET	1455	45234	SIPO	OP	34500575
715593	2450	1996-11-11	VYDAJ	PREVOD NA UCET	1455	45393	SIPO	OP	34500575
715594	2450	1996-12-11	VYDAJ	PREVOD NA UCET	1455	40746	SIPO	OP	34500575
715595	2450	1997-01-11	VYDAJ	PREVOD NA UCET	1455	49996	SIPO	OP	34500575
715596	2450	1997-02-11	VYDAJ	PREVOD NA UCET	1455	44531	SIPO	OP	34500575
715597	2450	1997-03-11	VYDAJ	PREVOD NA UCET	1455	48068	SIPO	OP	34500575
715598	2450	1997-04-11	VYDAJ	PREVOD NA UCET	1455	50629	SIPO	OP	34500575
715599	2450	1997-05-11	VYDAJ	PREVOD NA UCET	1455	52100	SIPO	OP	34500575
715600	2450	1997-06-11	VYDAJ	PREVOD NA UCET	1455	49979	SIPO	OP	34500575
715601	2450	1997-07-11	VYDAJ	PREVOD NA UCET	1455	60558	SIPO	OP	34500575
715602	2450	1997-08-11	VYDAJ	PREVOD NA UCET	1455	53372	SIPO	OP	34500575
715603	2450	1997-09-11	VYDAJ	PREVOD NA UCET	1455	51364	SIPO	OP	34500575
715604	2450	1997-10-11	VYDAJ	PREVOD NA UCET	1455	50244	SIPO	OP	34500575
715605	2450	1997-11-11	VYDAJ	PREVOD NA UCET	1455	49720	SIPO	OP	34500575
715606	2450	1997-12-11	VYDAJ	PREVOD NA UCET	1455	43992	SIPO	OP	34500575
715607	2450	1998-01-11	VYDAJ	PREVOD NA UCET	1455	49648	SIPO	OP	34500575
715608	2450	1998-02-11	VYDAJ	PREVOD NA UCET	1455	44191	SIPO	OP	34500575
715609	2450	1998-03-11	VYDAJ	PREVOD NA UCET	1455	50525	SIPO	OP	34500575
715610	2450	1998-04-11	VYDAJ	PREVOD NA UCET	1455	49683	SIPO	OP	34500575
715611	2450	1998-05-11	VYDAJ	PREVOD NA UCET	1455	53337	SIPO	OP	34500575
715612	2450	1998-06-11	VYDAJ	PREVOD NA UCET	1455	40905	SIPO	OP	34500575
715613	2450	1998-07-11	VYDAJ	PREVOD NA UCET	1455	58642	SIPO	OP	34500575
715614	2450	1998-08-11	VYDAJ	PREVOD NA UCET	1455	61631	SIPO	OP	34500575
715615	2450	1998-09-11	VYDAJ	PREVOD NA UCET	1455	66831	SIPO	OP	34500575
715616	2450	1998-10-11	VYDAJ	PREVOD NA UCET	1455	69650	SIPO	OP	34500575
715617	2450	1998-11-11	VYDAJ	PREVOD NA UCET	1455	72780	SIPO	OP	34500575
715618	2450	1998-12-11	VYDAJ	PREVOD NA UCET	1455	71419	SIPO	OP	34500575
715627	2450	1996-09-09	VYDAJ	PREVOD NA UCET	7915	51314	 	KL	21773249
715628	2450	1996-10-09	VYDAJ	PREVOD NA UCET	7915	46689	 	KL	21773249
715629	2450	1996-11-09	VYDAJ	PREVOD NA UCET	7915	46848	 	KL	21773249
715630	2450	1996-12-09	VYDAJ	PREVOD NA UCET	7915	45201	 	KL	21773249
715631	2450	1997-01-09	VYDAJ	PREVOD NA UCET	7915	51451	 	KL	21773249
715632	2450	1997-02-09	VYDAJ	PREVOD NA UCET	7915	45986	 	KL	21773249
715633	2450	1997-03-09	VYDAJ	PREVOD NA UCET	7915	49523	 	KL	21773249
715634	2450	1997-04-09	VYDAJ	PREVOD NA UCET	7915	52084	 	KL	21773249
715635	2450	1997-05-09	VYDAJ	PREVOD NA UCET	7915	53555	 	KL	21773249
715636	2450	1997-06-09	VYDAJ	PREVOD NA UCET	7915	51434	 	KL	21773249
715637	2450	1997-07-09	VYDAJ	PREVOD NA UCET	7915	62013	 	KL	21773249
715638	2450	1997-08-09	VYDAJ	PREVOD NA UCET	7915	54827	 	KL	21773249
715639	2450	1997-09-09	VYDAJ	PREVOD NA UCET	7915	52819	 	KL	21773249
715640	2450	1997-10-09	VYDAJ	PREVOD NA UCET	7915	51699	 	KL	21773249
715641	2450	1997-11-09	VYDAJ	PREVOD NA UCET	7915	51175	 	KL	21773249
715642	2450	1997-12-09	VYDAJ	PREVOD NA UCET	7915	45447	 	KL	21773249
715643	2450	1998-01-09	VYDAJ	PREVOD NA UCET	7915	51103	 	KL	21773249
715644	2450	1998-02-09	VYDAJ	PREVOD NA UCET	7915	48446	 	KL	21773249
715645	2450	1998-03-09	VYDAJ	PREVOD NA UCET	7915	51980	 	KL	21773249
715646	2450	1998-04-09	VYDAJ	PREVOD NA UCET	7915	51138	 	KL	21773249
715647	2450	1998-05-09	VYDAJ	PREVOD NA UCET	7915	54792	 	KL	21773249
715648	2450	1998-06-09	VYDAJ	PREVOD NA UCET	7915	42360	 	KL	21773249
715649	2450	1998-07-09	VYDAJ	PREVOD NA UCET	7915	60097	 	KL	21773249
715650	2450	1998-08-09	VYDAJ	PREVOD NA UCET	7915	63086	 	KL	21773249
715651	2450	1998-09-09	VYDAJ	PREVOD NA UCET	7915	68286	 	KL	21773249
715652	2450	1998-10-09	VYDAJ	PREVOD NA UCET	7915	71105	 	KL	21773249
715653	2450	1998-11-09	VYDAJ	PREVOD NA UCET	7915	74235	 	KL	21773249
715654	2450	1998-12-09	VYDAJ	PREVOD NA UCET	7915	72874	 	KL	21773249
715656	2450	1997-06-04	VYDAJ	VYBER	7700	59349	\N	\N	\N
715657	2450	1998-06-03	VYDAJ	VYBER	18500	50275	\N	\N	\N
715659	2450	1997-01-12	VYDAJ	VYBER	3000	69652	\N	\N	\N
715660	2450	1998-01-25	VYDAJ	VYBER	3200	66504	\N	\N	\N
715661	2450	1996-12-08	VYDAJ	VYBER	2900	53116	\N	\N	\N
715662	2450	1997-12-07	VYDAJ	VYBER	2600	53362	\N	\N	\N
715663	2450	1998-12-27	VYDAJ	VYBER KARTOU	1000	89853	\N	\N	0
715670	2450	1997-01-23	VYDAJ	VYBER	1700	60052	\N	\N	\N
715671	2450	1997-01-16	VYDAJ	VYBER	1400	68252	\N	\N	\N
715672	2450	1997-01-04	VYDAJ	VYBER	1600	76566	\N	\N	\N
715673	2450	1997-01-27	VYDAJ	VYBER	1600	58452	\N	\N	\N
715674	2450	1997-01-19	VYDAJ	VYBER	2200	61752	\N	\N	\N
715675	2450	1997-01-12	VYDAJ	VYBER	2100	72652	\N	\N	\N
715676	2450	1998-01-03	VYDAJ	VYBER	600	59018	\N	\N	\N
715677	2450	1998-01-18	VYDAJ	VYBER	2500	71904	\N	\N	\N
715678	2450	1998-01-23	VYDAJ	VYBER	2200	69704	\N	\N	\N
715679	2450	1998-01-03	VYDAJ	VYBER	1500	59618	\N	\N	\N
715680	2450	1998-01-03	VYDAJ	VYBER	1900	61118	\N	\N	\N
715681	2450	1998-01-25	VYDAJ	VYBER	1700	64804	\N	\N	\N
715683	2450	1996-09-19	VYDAJ	VYBER	600	74015	\N	\N	\N
715684	2450	1996-09-08	VYDAJ	VYBER	700	59229	\N	\N	\N
715685	2450	1996-12-11	VYDAJ	VYBER	3000	42201	\N	\N	\N
715686	2450	1997-01-18	VYDAJ	VYBER	4300	63952	\N	\N	\N
715687	2450	1997-07-17	VYDAJ	VYBER	2700	82614	\N	\N	\N
715688	2450	1997-04-18	VYDAJ	VYBER	1200	74185	\N	\N	\N
715689	2450	1998-03-03	VYDAJ	VYBER KARTOU	800	59895	\N	\N	0
715690	2450	1998-05-02	VYDAJ	VYBER KARTOU	1100	62707	\N	\N	0
715691	2450	1998-06-18	VYDAJ	VYBER KARTOU	4800	73239	\N	\N	0
715692	2450	1998-04-01	VYDAJ	VYBER KARTOU	1800	59053	\N	\N	0
715693	2450	1998-02-10	VYDAJ	VYBER	2800	45646	\N	\N	\N
715694	2450	1998-12-16	VYDAJ	VYBER KARTOU	3000	105553	\N	\N	0
715703	2450	1996-08-31	VYDAJ	VYBER	15	81029	SLUZBY	\N	\N
715704	2450	1996-09-30	VYDAJ	VYBER	15	74304	SLUZBY	\N	\N
715705	2450	1996-10-31	VYDAJ	VYBER	15	70263	SLUZBY	\N	\N
715706	2450	1996-11-30	VYDAJ	VYBER	15	70416	SLUZBY	\N	\N
715707	2450	1996-12-31	VYDAJ	VYBER	15	78166	SLUZBY	\N	\N
715708	2450	1997-01-31	VYDAJ	VYBER	15	58701	SLUZBY	\N	\N
715709	2450	1997-02-28	VYDAJ	VYBER	15	69538	SLUZBY	\N	\N
715710	2450	1997-03-31	VYDAJ	VYBER	15	73099	SLUZBY	\N	\N
715711	2450	1997-04-30	VYDAJ	VYBER	15	74470	SLUZBY	\N	\N
715712	2450	1997-05-31	VYDAJ	VYBER	15	77149	SLUZBY	\N	\N
715713	2450	1997-06-30	VYDAJ	VYBER	15	87428	SLUZBY	\N	\N
715714	2450	1997-07-31	VYDAJ	VYBER	15	82942	SLUZBY	\N	\N
715715	2450	1997-08-31	VYDAJ	VYBER	15	78434	SLUZBY	\N	\N
715716	2450	1997-09-30	VYDAJ	VYBER	15	76414	SLUZBY	\N	\N
715717	2450	1997-10-31	VYDAJ	VYBER	15	75290	SLUZBY	\N	\N
715718	2450	1997-11-30	VYDAJ	VYBER	15	74762	SLUZBY	\N	\N
715719	2450	1997-12-31	VYDAJ	VYBER	15	63018	SLUZBY	\N	\N
715720	2450	1998-01-31	VYDAJ	VYBER	15	56361	SLUZBY	\N	\N
715721	2450	1998-02-28	VYDAJ	VYBER	15	69195	SLUZBY	\N	\N
715722	2450	1998-03-31	VYDAJ	VYBER	15	60853	SLUZBY	\N	\N
715723	2450	1998-04-30	VYDAJ	VYBER	15	63807	SLUZBY	\N	\N
715724	2450	1998-05-31	VYDAJ	VYBER	15	68775	SLUZBY	\N	\N
715725	2450	1998-06-30	VYDAJ	VYBER	15	68012	SLUZBY	\N	\N
715726	2450	1998-07-31	VYDAJ	VYBER	15	71001	SLUZBY	\N	\N
715727	2450	1998-08-31	VYDAJ	VYBER	15	76201	SLUZBY	\N	\N
715728	2450	1998-09-30	VYDAJ	VYBER	15	79020	SLUZBY	\N	\N
715729	2450	1998-10-31	VYDAJ	VYBER	15	82150	SLUZBY	\N	\N
715730	2450	1998-11-30	VYDAJ	VYBER	15	80789	SLUZBY	\N	\N
715731	2450	1996-05-10	PRIJEM	VKLAD	1500	27224	\N	\N	\N
715732	2450	1996-06-09	VYDAJ	VYBER	11400	40757	\N	\N	\N
715733	2450	1996-07-09	VYDAJ	VYBER	25400	52776	\N	\N	\N
715734	2450	1996-08-08	VYDAJ	VYBER	21900	55956	\N	\N	\N
715735	2450	1996-09-07	VYDAJ	VYBER	21100	59929	\N	\N	\N
715736	2450	1996-10-07	VYDAJ	VYBER	19700	54604	\N	\N	\N
715737	2450	1996-11-06	VYDAJ	VYBER	15500	54763	\N	\N	\N
715738	2450	1996-12-06	VYDAJ	VYBER	14400	56016	\N	\N	\N
715739	2450	1997-01-05	VYDAJ	VYBER	17200	59366	\N	\N	\N
715740	2450	1997-02-04	VYDAJ	VYBER	4800	53901	\N	\N	\N
715741	2450	1997-03-06	VYDAJ	VYBER	12100	57438	\N	\N	\N
715742	2450	1997-04-05	VYDAJ	VYBER	13100	59999	\N	\N	\N
715743	2450	1997-05-05	VYDAJ	VYBER	13000	61470	\N	\N	\N
715744	2450	1997-06-04	VYDAJ	VYBER	10100	67049	\N	\N	\N
715745	2450	1997-07-04	VYDAJ	VYBER	17500	69928	\N	\N	\N
715746	2450	1997-08-03	VYDAJ	VYBER	20200	62742	\N	\N	\N
715747	2450	1997-09-02	VYDAJ	VYBER	17700	60734	\N	\N	\N
715748	2450	1997-10-02	VYDAJ	VYBER	16800	59614	\N	\N	\N
715749	2450	1997-11-01	VYDAJ	VYBER	16200	59090	\N	\N	\N
715750	2450	1997-12-01	VYDAJ	VYBER	18800	55962	\N	\N	\N
715751	2450	1997-12-31	VYDAJ	VYBER	18400	63033	\N	\N	\N
715752	2450	1998-01-30	VYDAJ	VYBER	8700	56104	\N	\N	\N
715753	2450	1998-03-01	VYDAJ	VYBER	8500	60695	\N	\N	\N
715754	2450	1998-03-31	VYDAJ	VYBER	14700	60868	\N	\N	\N
715755	2450	1998-04-30	VYDAJ	VYBER	10900	63822	\N	\N	\N
715756	2450	1998-05-30	VYDAJ	VYBER	9600	68493	\N	\N	\N
715757	2450	1998-06-29	VYDAJ	VYBER KARTOU	5500	67739	\N	\N	0
715758	2450	1998-07-29	VYDAJ	VYBER	12700	70698	\N	\N	\N
715759	2450	1998-08-28	VYDAJ	VYBER	10500	75887	\N	\N	\N
715760	2450	1998-09-27	VYDAJ	VYBER	12900	78687	\N	\N	\N
715761	2450	1998-10-27	VYDAJ	VYBER	12600	81806	\N	\N	\N
715762	2450	1998-11-26	VYDAJ	VYBER	17100	80436	\N	\N	\N
715763	2450	1998-12-26	VYDAJ	VYBER	14700	90853	\N	\N	\N
715797	2451	1997-04-29	PRIJEM	VKLAD	300	300	\N	\N	\N
715802	2451	1997-05-10	PRIJEM	VKLAD	15708	16008	\N	\N	\N
715803	2451	1997-06-10	PRIJEM	VKLAD	23562	41677	\N	\N	\N
715804	2451	1997-07-10	PRIJEM	VKLAD	15708	49467	\N	\N	\N
715805	2451	1997-08-10	PRIJEM	VKLAD	15708	50716	\N	\N	\N
715806	2451	1997-09-10	PRIJEM	VKLAD	15708	49068	\N	\N	\N
715807	2451	1997-10-10	PRIJEM	VKLAD	15708	46390	\N	\N	\N
715808	2451	1997-11-10	PRIJEM	VKLAD	15708	46586	\N	\N	\N
715809	2451	1997-12-10	PRIJEM	VKLAD	23562	53717	\N	\N	\N
715810	2451	1998-01-10	PRIJEM	VKLAD	15708	45930	\N	\N	\N
715811	2451	1998-02-10	PRIJEM	VKLAD	15708	35671	\N	\N	\N
715812	2451	1998-03-10	PRIJEM	VKLAD	15708	38937	\N	\N	\N
715813	2451	1998-04-10	PRIJEM	VKLAD	15708	39701	\N	\N	\N
715814	2451	1998-05-10	PRIJEM	VKLAD	15708	38466	\N	\N	\N
715815	2451	1998-06-10	PRIJEM	VKLAD	23562	37190	\N	\N	\N
715816	2451	1998-07-10	PRIJEM	VKLAD	15708	35239	\N	\N	\N
715817	2451	1998-08-10	PRIJEM	VKLAD	15708	35185	\N	\N	\N
715818	2451	1998-09-10	PRIJEM	VKLAD	15708	38746	\N	\N	\N
715819	2451	1998-10-10	PRIJEM	VKLAD	15708	34938	\N	\N	\N
715820	2451	1998-11-10	PRIJEM	VKLAD	15708	40992	\N	\N	\N
715821	2451	1998-12-10	PRIJEM	VKLAD	23562	47294	\N	\N	\N
715830	2451	1997-09-10	VYDAJ	PREVOD NA UCET	6944	42124	SIPO	IJ	55826187
715831	2451	1997-10-10	VYDAJ	PREVOD NA UCET	6944	39446	SIPO	IJ	55826187
715832	2451	1997-11-10	VYDAJ	PREVOD NA UCET	6944	39642	SIPO	IJ	55826187
715833	2451	1997-12-10	VYDAJ	PREVOD NA UCET	6944	46773	SIPO	IJ	55826187
715834	2451	1998-01-10	VYDAJ	PREVOD NA UCET	6944	38986	SIPO	IJ	55826187
715835	2451	1998-02-10	VYDAJ	PREVOD NA UCET	6944	28727	SIPO	IJ	55826187
715836	2451	1998-03-10	VYDAJ	PREVOD NA UCET	6944	31993	SIPO	IJ	55826187
715837	2451	1998-04-10	VYDAJ	PREVOD NA UCET	6944	32757	SIPO	IJ	55826187
715838	2451	1998-05-10	VYDAJ	PREVOD NA UCET	6944	31522	SIPO	IJ	55826187
715839	2451	1998-06-10	VYDAJ	PREVOD NA UCET	6944	30246	SIPO	IJ	55826187
715840	2451	1998-07-10	VYDAJ	PREVOD NA UCET	6944	28295	SIPO	IJ	55826187
715841	2451	1998-08-10	VYDAJ	PREVOD NA UCET	6944	28241	SIPO	IJ	55826187
715842	2451	1998-09-10	VYDAJ	PREVOD NA UCET	6944	31802	SIPO	IJ	55826187
715843	2451	1998-10-10	VYDAJ	PREVOD NA UCET	6944	27994	SIPO	IJ	55826187
715844	2451	1998-11-10	VYDAJ	PREVOD NA UCET	6944	34048	SIPO	IJ	55826187
715845	2451	1998-12-10	VYDAJ	PREVOD NA UCET	6944	40350	SIPO	IJ	55826187
715848	2451	1997-12-06	VYDAJ	VYBER	1920	30155	\N	\N	\N
715849	2451	1998-12-03	VYDAJ	VYBER	1920	23732	\N	\N	\N
715856	2451	1998-01-28	VYDAJ	VYBER	1800	19846	\N	\N	\N
715857	2451	1998-01-26	VYDAJ	VYBER	2280	21646	\N	\N	\N
715858	2451	1998-01-06	VYDAJ	VYBER	2400	30222	\N	\N	\N
715859	2451	1998-01-10	VYDAJ	VYBER	2040	36946	\N	\N	\N
715860	2451	1998-01-25	VYDAJ	VYBER	2400	23926	\N	\N	\N
715861	2451	1998-01-21	VYDAJ	VYBER	2520	34426	\N	\N	\N
715866	2451	1998-09-24	VYDAJ	VYBER	2160	19142	\N	\N	\N
715867	2451	1998-09-15	VYDAJ	VYBER	3000	28802	\N	\N	\N
715868	2451	1998-10-21	VYDAJ	VYBER	2400	25194	\N	\N	\N
715869	2451	1998-08-28	VYDAJ	VYBER	600	22941	\N	\N	\N
715870	2451	1998-06-07	VYDAJ	VYBER	5400	13628	\N	\N	\N
715880	2451	1997-09-30	VYDAJ	VYBER	15	30682	SLUZBY	\N	\N
715881	2451	1997-10-31	VYDAJ	VYBER	15	30878	SLUZBY	\N	\N
715882	2451	1997-11-30	VYDAJ	VYBER	15	32075	SLUZBY	\N	\N
715883	2451	1997-12-31	VYDAJ	VYBER	15	32622	SLUZBY	\N	\N
715884	2451	1998-01-31	VYDAJ	VYBER	15	19963	SLUZBY	\N	\N
715885	2451	1998-02-28	VYDAJ	VYBER	15	23229	SLUZBY	\N	\N
715886	2451	1998-03-31	VYDAJ	VYBER	15	23993	SLUZBY	\N	\N
715887	2451	1998-04-30	VYDAJ	VYBER	15	22758	SLUZBY	\N	\N
715888	2451	1998-05-31	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
715889	2451	1998-06-30	VYDAJ	VYBER	15	19531	SLUZBY	\N	\N
715890	2451	1998-07-31	VYDAJ	VYBER	15	19477	SLUZBY	\N	\N
715891	2451	1998-08-31	VYDAJ	VYBER	15	23038	SLUZBY	\N	\N
715892	2451	1998-09-30	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
715893	2451	1998-10-31	VYDAJ	VYBER	15	25284	SLUZBY	\N	\N
715894	2451	1998-11-30	VYDAJ	VYBER	15	25652	SLUZBY	\N	\N
715895	2451	1997-05-29	PRIJEM	VKLAD	2100	18108	\N	\N	\N
715896	2451	1997-06-28	VYDAJ	VYBER	8000	33677	\N	\N	\N
715897	2451	1997-07-28	VYDAJ	VYBER	14600	34867	\N	\N	\N
715898	2451	1997-08-27	VYDAJ	VYBER	17500	33216	\N	\N	\N
715899	2451	1997-09-26	VYDAJ	VYBER	11600	30524	\N	\N	\N
715900	2451	1997-10-26	VYDAJ	VYBER	8700	30746	\N	\N	\N
715901	2451	1997-11-25	VYDAJ	VYBER	7700	31942	\N	\N	\N
715902	2451	1997-12-25	VYDAJ	VYBER	14300	32473	\N	\N	\N
715903	2451	1998-01-24	VYDAJ	VYBER	8100	26326	\N	\N	\N
715904	2451	1998-02-23	VYDAJ	VYBER	5600	23127	\N	\N	\N
715905	2451	1998-03-25	VYDAJ	VYBER	8100	23893	\N	\N	\N
715906	2451	1998-04-24	VYDAJ	VYBER	10100	22657	\N	\N	\N
715907	2451	1998-05-24	VYDAJ	VYBER	12600	18922	\N	\N	\N
715908	2451	1998-06-23	VYDAJ	VYBER	10800	19446	\N	\N	\N
715909	2451	1998-07-23	VYDAJ	VYBER	8900	19395	\N	\N	\N
715910	2451	1998-08-22	VYDAJ	VYBER	4700	23541	\N	\N	\N
715911	2451	1998-09-21	VYDAJ	VYBER	7500	21302	\N	\N	\N
715912	2451	1998-10-21	VYDAJ	VYBER	400	27594	\N	\N	\N
715913	2451	1998-11-20	VYDAJ	VYBER	8500	25548	\N	\N	\N
715934	2452	1997-07-14	PRIJEM	VKLAD	600	600	\N	\N	\N
715942	2452	1997-08-08	PRIJEM	PREVOD Z UCTU	5563	6163	DUCHOD	AB	86956369
715943	2452	1997-09-08	PRIJEM	PREVOD Z UCTU	5563	11726	DUCHOD	AB	86956369
715944	2452	1997-10-08	PRIJEM	PREVOD Z UCTU	5563	17289	DUCHOD	AB	86956369
715945	2452	1997-11-08	PRIJEM	PREVOD Z UCTU	5563	22852	DUCHOD	AB	86956369
715946	2452	1997-12-08	PRIJEM	PREVOD Z UCTU	5563	28415	DUCHOD	AB	86956369
715947	2452	1998-01-08	PRIJEM	PREVOD Z UCTU	5563	26780	DUCHOD	AB	86956369
715948	2452	1998-02-08	PRIJEM	PREVOD Z UCTU	5563	23809	DUCHOD	AB	86956369
715949	2452	1998-03-08	PRIJEM	PREVOD Z UCTU	5563	22275	DUCHOD	AB	86956369
715950	2452	1998-04-08	PRIJEM	PREVOD Z UCTU	5563	24662	DUCHOD	AB	86956369
715951	2452	1998-05-08	PRIJEM	PREVOD Z UCTU	5563	27052	DUCHOD	AB	86956369
715952	2452	1998-06-08	PRIJEM	PREVOD Z UCTU	5563	29452	DUCHOD	AB	86956369
715953	2452	1998-07-08	PRIJEM	PREVOD Z UCTU	5563	23726	DUCHOD	AB	86956369
715954	2452	1998-08-08	PRIJEM	PREVOD Z UCTU	5563	22668	DUCHOD	AB	86956369
715955	2452	1998-09-08	PRIJEM	PREVOD Z UCTU	5563	22813	DUCHOD	AB	86956369
715956	2452	1998-10-08	PRIJEM	PREVOD Z UCTU	5563	25202	DUCHOD	AB	86956369
715957	2452	1998-11-08	PRIJEM	PREVOD Z UCTU	5563	25990	DUCHOD	AB	86956369
715958	2452	1998-12-08	PRIJEM	PREVOD Z UCTU	5563	26784	DUCHOD	AB	86956369
715970	2452	1997-12-13	VYDAJ	PREVOD NA UCET	3244	21171	SIPO	WX	99223190
715971	2452	1998-01-13	VYDAJ	PREVOD NA UCET	3244	23536	SIPO	WX	99223190
715972	2452	1998-02-13	VYDAJ	PREVOD NA UCET	3244	20565	SIPO	WX	99223190
715973	2452	1998-03-13	VYDAJ	PREVOD NA UCET	3244	19031	SIPO	WX	99223190
715974	2452	1998-04-13	VYDAJ	PREVOD NA UCET	3244	21418	SIPO	WX	99223190
715975	2452	1998-05-13	VYDAJ	PREVOD NA UCET	3244	23808	SIPO	WX	99223190
715976	2452	1998-06-13	VYDAJ	PREVOD NA UCET	3244	20808	SIPO	WX	99223190
715977	2452	1998-07-13	VYDAJ	PREVOD NA UCET	3244	20482	SIPO	WX	99223190
715978	2452	1998-08-13	VYDAJ	PREVOD NA UCET	3244	19424	SIPO	WX	99223190
715979	2452	1998-09-13	VYDAJ	PREVOD NA UCET	3244	19569	SIPO	WX	99223190
715980	2452	1998-10-13	VYDAJ	PREVOD NA UCET	3244	20358	SIPO	WX	99223190
715981	2452	1998-11-13	VYDAJ	PREVOD NA UCET	3244	22746	SIPO	WX	99223190
715982	2452	1998-12-13	VYDAJ	PREVOD NA UCET	3244	22690	SIPO	WX	99223190
715984	2452	1998-06-09	VYDAJ	VYBER	5400	24052	\N	\N	\N
715986	2452	1998-01-18	VYDAJ	VYBER	2400	21136	\N	\N	\N
715988	2452	1998-12-11	VYDAJ	VYBER	850	25934	\N	\N	\N
715995	2452	1998-09-07	VYDAJ	VYBER	2240	17250	\N	\N	\N
715996	2452	1998-11-24	VYDAJ	VYBER	1600	21146	\N	\N	\N
715997	2452	1998-08-05	VYDAJ	VYBER	640	17105	\N	\N	\N
715998	2452	1998-01-19	VYDAJ	VYBER	2960	18176	\N	\N	\N
715999	2452	1998-03-07	VYDAJ	VYBER	3920	16712	\N	\N	\N
716000	2452	1998-06-24	VYDAJ	VYBER	2720	18088	\N	\N	\N
716001	2452	1998-10-12	VYDAJ	VYBER	1600	23602	\N	\N	\N
716002	2452	1998-07-21	VYDAJ	VYBER	2800	17682	\N	\N	\N
716015	2452	1997-12-31	VYDAJ	VYBER	15	21217	SLUZBY	\N	\N
716016	2452	1998-01-31	VYDAJ	VYBER	15	18246	SLUZBY	\N	\N
716017	2452	1998-02-28	VYDAJ	VYBER	15	20632	SLUZBY	\N	\N
716018	2452	1998-03-31	VYDAJ	VYBER	15	19099	SLUZBY	\N	\N
716019	2452	1998-04-30	VYDAJ	VYBER	15	21489	SLUZBY	\N	\N
716020	2452	1998-05-31	VYDAJ	VYBER	15	23889	SLUZBY	\N	\N
716021	2452	1998-06-30	VYDAJ	VYBER	15	18163	SLUZBY	\N	\N
716022	2452	1998-07-31	VYDAJ	VYBER	15	17745	SLUZBY	\N	\N
716023	2452	1998-08-31	VYDAJ	VYBER	15	19490	SLUZBY	\N	\N
716024	2452	1998-09-30	VYDAJ	VYBER	15	19639	SLUZBY	\N	\N
716025	2452	1998-10-31	VYDAJ	VYBER	15	20427	SLUZBY	\N	\N
716026	2452	1998-11-30	VYDAJ	VYBER	15	21221	SLUZBY	\N	\N
716027	2452	1997-12-11	VYDAJ	VYBER	4000	24415	\N	\N	\N
716041	2453	1993-03-08	PRIJEM	VKLAD	400	400	\N	\N	\N
716044	2453	1993-03-13	PRIJEM	PREVOD Z UCTU	3285	3685	\N	OP	70054560
716045	2453	1993-04-13	PRIJEM	PREVOD Z UCTU	3285	6979	\N	OP	70054560
716046	2453	1993-05-13	PRIJEM	PREVOD Z UCTU	3285	10280	\N	OP	70054560
716047	2453	1993-06-13	PRIJEM	PREVOD Z UCTU	3285	13580	\N	OP	70054560
716048	2453	1993-07-13	PRIJEM	PREVOD Z UCTU	3285	16881	\N	OP	70054560
716049	2453	1993-08-13	PRIJEM	PREVOD Z UCTU	3285	16569	\N	OP	70054560
716050	2453	1993-09-13	PRIJEM	PREVOD Z UCTU	3285	17717	\N	OP	70054560
716051	2453	1993-10-13	PRIJEM	PREVOD Z UCTU	3285	18869	\N	OP	70054560
716052	2453	1993-11-13	PRIJEM	PREVOD Z UCTU	3285	18617	\N	OP	70054560
716053	2453	1993-12-13	PRIJEM	PREVOD Z UCTU	3285	19772	\N	OP	70054560
716054	2453	1994-01-13	PRIJEM	PREVOD Z UCTU	3285	16402	\N	OP	70054560
716055	2453	1994-02-13	PRIJEM	PREVOD Z UCTU	3285	17549	\N	OP	70054560
716056	2453	1994-03-13	PRIJEM	PREVOD Z UCTU	3285	18700	\N	OP	70054560
716057	2453	1994-04-13	PRIJEM	PREVOD Z UCTU	3285	18565	\N	OP	70054560
716058	2453	1994-05-13	PRIJEM	PREVOD Z UCTU	3285	19390	\N	OP	70054560
716059	2453	1994-06-13	PRIJEM	PREVOD Z UCTU	3285	20550	\N	OP	70054560
716060	2453	1994-07-13	PRIJEM	PREVOD Z UCTU	3285	21714	\N	OP	70054560
716061	2453	1994-08-13	PRIJEM	PREVOD Z UCTU	3285	22523	\N	OP	70054560
716062	2453	1994-09-13	PRIJEM	PREVOD Z UCTU	3285	23694	\N	OP	70054560
716063	2453	1994-10-13	PRIJEM	PREVOD Z UCTU	3285	24871	\N	OP	70054560
716064	2453	1994-11-13	PRIJEM	PREVOD Z UCTU	3285	26053	\N	OP	70054560
716065	2453	1994-12-13	PRIJEM	PREVOD Z UCTU	3285	27240	\N	OP	70054560
716066	2453	1995-01-13	PRIJEM	PREVOD Z UCTU	3285	24256	\N	OP	70054560
716067	2453	1995-02-13	PRIJEM	PREVOD Z UCTU	3285	25435	\N	OP	70054560
716068	2453	1995-03-13	PRIJEM	PREVOD Z UCTU	3285	26619	\N	OP	70054560
716069	2453	1995-04-13	PRIJEM	PREVOD Z UCTU	3285	27808	\N	OP	70054560
716070	2453	1995-05-13	PRIJEM	PREVOD Z UCTU	3285	29002	\N	OP	70054560
716071	2453	1995-06-13	PRIJEM	PREVOD Z UCTU	3285	22401	\N	OP	70054560
716072	2453	1995-07-13	PRIJEM	PREVOD Z UCTU	3285	23576	\N	OP	70054560
716073	2453	1995-08-13	PRIJEM	PREVOD Z UCTU	3285	22292	\N	OP	70054560
716074	2453	1995-09-13	PRIJEM	PREVOD Z UCTU	3285	23253	\N	OP	70054560
716075	2453	1995-10-13	PRIJEM	PREVOD Z UCTU	3285	23857	\N	OP	70054560
716076	2453	1995-11-13	PRIJEM	PREVOD Z UCTU	3285	25035	\N	OP	70054560
716077	2453	1995-12-13	PRIJEM	PREVOD Z UCTU	3285	24146	\N	OP	70054560
716078	2453	1996-01-13	PRIJEM	PREVOD Z UCTU	3285	24993	\N	OP	70054560
716079	2453	1996-02-13	PRIJEM	PREVOD Z UCTU	3285	23679	\N	OP	70054560
716080	2453	1996-03-13	PRIJEM	PREVOD Z UCTU	3285	24856	\N	OP	70054560
716081	2453	1996-04-13	PRIJEM	PREVOD Z UCTU	3285	25647	\N	OP	70054560
716082	2453	1996-05-13	PRIJEM	PREVOD Z UCTU	3285	26832	\N	OP	70054560
716083	2453	1996-06-13	PRIJEM	PREVOD Z UCTU	3285	20281	\N	OP	70054560
716084	2453	1996-07-13	PRIJEM	PREVOD Z UCTU	3285	20577	\N	OP	70054560
716085	2453	1996-08-13	PRIJEM	PREVOD Z UCTU	3285	21739	\N	OP	70054560
716086	2453	1996-09-13	PRIJEM	PREVOD Z UCTU	3285	21527	\N	OP	70054560
716087	2453	1996-10-13	PRIJEM	PREVOD Z UCTU	3285	22693	\N	OP	70054560
716088	2453	1996-11-13	PRIJEM	PREVOD Z UCTU	3285	23865	\N	OP	70054560
716089	2453	1996-12-13	PRIJEM	PREVOD Z UCTU	3285	25042	\N	OP	70054560
716090	2453	1997-01-13	PRIJEM	PREVOD Z UCTU	3285	23913	\N	OP	70054560
716091	2453	1997-02-13	PRIJEM	PREVOD Z UCTU	3285	24429	\N	OP	70054560
716092	2453	1997-03-13	PRIJEM	PREVOD Z UCTU	3285	25608	\N	OP	70054560
716093	2453	1997-04-13	PRIJEM	PREVOD Z UCTU	3285	26012	\N	OP	70054560
716094	2453	1997-05-13	PRIJEM	PREVOD Z UCTU	3285	27198	\N	OP	70054560
716095	2453	1997-06-13	PRIJEM	PREVOD Z UCTU	3285	22058	\N	OP	70054560
716096	2453	1997-07-13	PRIJEM	PREVOD Z UCTU	3285	23233	\N	OP	70054560
716097	2453	1997-08-13	PRIJEM	PREVOD Z UCTU	3285	24407	\N	OP	70054560
716098	2453	1997-09-13	PRIJEM	PREVOD Z UCTU	3285	25585	\N	OP	70054560
716099	2453	1997-10-13	PRIJEM	PREVOD Z UCTU	3285	26769	\N	OP	70054560
716100	2453	1997-11-13	PRIJEM	PREVOD Z UCTU	3285	26514	\N	OP	70054560
716101	2453	1997-12-13	PRIJEM	PREVOD Z UCTU	3285	27701	\N	OP	70054560
716102	2453	1998-01-13	PRIJEM	PREVOD Z UCTU	3285	25291	\N	OP	70054560
716103	2453	1998-02-13	PRIJEM	PREVOD Z UCTU	3285	26477	\N	OP	70054560
716104	2453	1998-03-13	PRIJEM	PREVOD Z UCTU	3285	25262	\N	OP	70054560
716105	2453	1998-04-13	PRIJEM	PREVOD Z UCTU	3285	26442	\N	OP	70054560
716106	2453	1998-05-13	PRIJEM	PREVOD Z UCTU	3285	27629	\N	OP	70054560
716107	2453	1998-06-13	PRIJEM	PREVOD Z UCTU	3285	27829	\N	OP	70054560
716108	2453	1998-07-13	PRIJEM	PREVOD Z UCTU	3285	24002	\N	OP	70054560
716109	2453	1998-08-13	PRIJEM	PREVOD Z UCTU	3285	25178	\N	OP	70054560
716110	2453	1998-09-13	PRIJEM	PREVOD Z UCTU	3285	26359	\N	OP	70054560
716111	2453	1998-10-13	PRIJEM	PREVOD Z UCTU	3285	27544	\N	OP	70054560
716112	2453	1998-11-13	PRIJEM	PREVOD Z UCTU	3285	28014	\N	OP	70054560
716113	2453	1998-12-13	PRIJEM	PREVOD Z UCTU	3285	29206	\N	OP	70054560
716121	2453	1993-08-06	VYDAJ	PREVOD NA UCET	2190	13284	SIPO	UV	32186746
716122	2453	1993-09-06	VYDAJ	PREVOD NA UCET	2190	14432	SIPO	UV	32186746
716123	2453	1993-10-06	VYDAJ	PREVOD NA UCET	2190	15584	SIPO	UV	32186746
716124	2453	1993-11-06	VYDAJ	PREVOD NA UCET	2190	15332	SIPO	UV	32186746
716125	2453	1993-12-06	VYDAJ	PREVOD NA UCET	2190	16487	SIPO	UV	32186746
716126	2453	1994-01-06	VYDAJ	PREVOD NA UCET	2190	13117	SIPO	UV	32186746
716127	2453	1994-02-06	VYDAJ	PREVOD NA UCET	2190	14264	SIPO	UV	32186746
716128	2453	1994-03-06	VYDAJ	PREVOD NA UCET	2190	15415	SIPO	UV	32186746
716129	2453	1994-04-06	VYDAJ	PREVOD NA UCET	2190	15280	SIPO	UV	32186746
716130	2453	1994-05-06	VYDAJ	PREVOD NA UCET	2190	16105	SIPO	UV	32186746
716131	2453	1994-06-06	VYDAJ	PREVOD NA UCET	2190	17265	SIPO	UV	32186746
716132	2453	1994-07-06	VYDAJ	PREVOD NA UCET	2190	18429	SIPO	UV	32186746
716133	2453	1994-08-06	VYDAJ	PREVOD NA UCET	2190	19238	SIPO	UV	32186746
716134	2453	1994-09-06	VYDAJ	PREVOD NA UCET	2190	20409	SIPO	UV	32186746
716135	2453	1994-10-06	VYDAJ	PREVOD NA UCET	2190	21586	SIPO	UV	32186746
716136	2453	1994-11-06	VYDAJ	PREVOD NA UCET	2190	22768	SIPO	UV	32186746
716137	2453	1994-12-06	VYDAJ	PREVOD NA UCET	2190	23955	SIPO	UV	32186746
716138	2453	1995-01-06	VYDAJ	PREVOD NA UCET	2190	21691	SIPO	UV	32186746
716139	2453	1995-02-06	VYDAJ	PREVOD NA UCET	2190	22150	SIPO	UV	32186746
716140	2453	1995-03-06	VYDAJ	PREVOD NA UCET	2190	23334	SIPO	UV	32186746
716141	2453	1995-04-06	VYDAJ	PREVOD NA UCET	2190	24523	SIPO	UV	32186746
716142	2453	1995-05-06	VYDAJ	PREVOD NA UCET	2190	25717	SIPO	UV	32186746
716143	2453	1995-06-06	VYDAJ	PREVOD NA UCET	2190	19116	SIPO	UV	32186746
716144	2453	1995-07-06	VYDAJ	PREVOD NA UCET	2190	20291	SIPO	UV	32186746
716145	2453	1995-08-06	VYDAJ	PREVOD NA UCET	2190	20057	SIPO	UV	32186746
716146	2453	1995-09-06	VYDAJ	PREVOD NA UCET	2190	19968	SIPO	UV	32186746
716147	2453	1995-10-06	VYDAJ	PREVOD NA UCET	2190	20572	SIPO	UV	32186746
716148	2453	1995-11-06	VYDAJ	PREVOD NA UCET	2190	21750	SIPO	UV	32186746
716149	2453	1995-12-06	VYDAJ	PREVOD NA UCET	2190	20861	SIPO	UV	32186746
716150	2453	1996-01-06	VYDAJ	PREVOD NA UCET	2190	21708	SIPO	UV	32186746
716151	2453	1996-02-06	VYDAJ	PREVOD NA UCET	2190	20394	SIPO	UV	32186746
716152	2453	1996-03-06	VYDAJ	PREVOD NA UCET	2190	21571	SIPO	UV	32186746
716153	2453	1996-04-06	VYDAJ	PREVOD NA UCET	2190	22362	SIPO	UV	32186746
716154	2453	1996-05-06	VYDAJ	PREVOD NA UCET	2190	23547	SIPO	UV	32186746
716155	2453	1996-06-06	VYDAJ	PREVOD NA UCET	2190	16996	SIPO	UV	32186746
716156	2453	1996-07-06	VYDAJ	PREVOD NA UCET	2190	18162	SIPO	UV	32186746
716157	2453	1996-08-06	VYDAJ	PREVOD NA UCET	2190	18454	SIPO	UV	32186746
716158	2453	1996-09-06	VYDAJ	PREVOD NA UCET	2190	18242	SIPO	UV	32186746
716159	2453	1996-10-06	VYDAJ	PREVOD NA UCET	2190	19408	SIPO	UV	32186746
716160	2453	1996-11-06	VYDAJ	PREVOD NA UCET	2190	20580	SIPO	UV	32186746
716161	2453	1996-12-06	VYDAJ	PREVOD NA UCET	2190	21757	SIPO	UV	32186746
716162	2453	1997-01-06	VYDAJ	PREVOD NA UCET	2190	20628	SIPO	UV	32186746
716163	2453	1997-02-06	VYDAJ	PREVOD NA UCET	2190	21144	SIPO	UV	32186746
716164	2453	1997-03-06	VYDAJ	PREVOD NA UCET	2190	22323	SIPO	UV	32186746
716165	2453	1997-04-06	VYDAJ	PREVOD NA UCET	2190	22727	SIPO	UV	32186746
716166	2453	1997-05-06	VYDAJ	PREVOD NA UCET	2190	23913	SIPO	UV	32186746
716167	2453	1997-06-06	VYDAJ	PREVOD NA UCET	2190	25103	SIPO	UV	32186746
716168	2453	1997-07-06	VYDAJ	PREVOD NA UCET	2190	19948	SIPO	UV	32186746
716169	2453	1997-08-06	VYDAJ	PREVOD NA UCET	2190	21122	SIPO	UV	32186746
716170	2453	1997-09-06	VYDAJ	PREVOD NA UCET	2190	22300	SIPO	UV	32186746
716272	2453	1996-02-29	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
716171	2453	1997-10-06	VYDAJ	PREVOD NA UCET	2190	23484	SIPO	UV	32186746
716172	2453	1997-11-06	VYDAJ	PREVOD NA UCET	2190	23229	SIPO	UV	32186746
716173	2453	1997-12-06	VYDAJ	PREVOD NA UCET	2190	24416	SIPO	UV	32186746
716174	2453	1998-01-06	VYDAJ	PREVOD NA UCET	2190	24526	SIPO	UV	32186746
716175	2453	1998-02-06	VYDAJ	PREVOD NA UCET	2190	23192	SIPO	UV	32186746
716176	2453	1998-03-06	VYDAJ	PREVOD NA UCET	2190	21977	SIPO	UV	32186746
716177	2453	1998-04-06	VYDAJ	PREVOD NA UCET	2190	23157	SIPO	UV	32186746
716178	2453	1998-05-06	VYDAJ	PREVOD NA UCET	2190	24344	SIPO	UV	32186746
716179	2453	1998-06-06	VYDAJ	PREVOD NA UCET	2190	24544	SIPO	UV	32186746
716180	2453	1998-07-06	VYDAJ	PREVOD NA UCET	2190	20717	SIPO	UV	32186746
716181	2453	1998-08-06	VYDAJ	PREVOD NA UCET	2190	21893	SIPO	UV	32186746
716182	2453	1998-09-06	VYDAJ	PREVOD NA UCET	2190	23074	SIPO	UV	32186746
716183	2453	1998-10-06	VYDAJ	PREVOD NA UCET	2190	24259	SIPO	UV	32186746
716184	2453	1998-11-06	VYDAJ	PREVOD NA UCET	2190	24729	SIPO	UV	32186746
716185	2453	1998-12-06	VYDAJ	PREVOD NA UCET	2190	25921	SIPO	UV	32186746
716188	2453	1995-06-03	VYDAJ	VYBER	7800	21306	\N	\N	\N
716189	2453	1996-06-05	VYDAJ	VYBER	7740	19186	\N	\N	\N
716190	2453	1997-06-09	VYDAJ	VYBER	6330	18773	\N	\N	\N
716191	2453	1998-06-18	VYDAJ	VYBER	5010	22819	\N	\N	\N
716193	2453	1994-01-03	VYDAJ	VYBER	2700	16747	\N	\N	\N
716194	2453	1995-01-05	VYDAJ	VYBER	300	23881	\N	\N	\N
716195	2453	1996-01-15	VYDAJ	VYBER	2490	22503	\N	\N	\N
716196	2453	1997-01-02	VYDAJ	VYBER	2010	22818	\N	\N	\N
716197	2453	1998-01-12	VYDAJ	VYBER	2520	22006	\N	\N	\N
716198	2453	1993-12-22	VYDAJ	VYBER	390	19382	\N	\N	\N
716199	2453	1994-12-26	VYDAJ	VYBER	780	24090	\N	\N	\N
716200	2453	1995-12-03	VYDAJ	VYBER	840	23051	\N	\N	\N
716201	2453	1996-12-13	VYDAJ	VYBER	300	24742	\N	\N	\N
716202	2453	1997-12-16	VYDAJ	VYBER	570	27131	\N	\N	\N
716203	2453	1998-12-21	VYDAJ	VYBER	330	28876	\N	\N	\N
716205	2453	1993-11-01	VYDAJ	VYBER	1410	17522	\N	\N	\N
716206	2453	1993-07-30	VYDAJ	VYBER	1410	15471	\N	\N	\N
716207	2453	1994-12-13	VYDAJ	VYBER	450	26790	\N	\N	\N
716208	2453	1994-12-17	VYDAJ	VYBER	510	24870	\N	\N	\N
716209	2453	1994-08-02	VYDAJ	VYBER	360	21428	\N	\N	\N
716210	2453	1994-04-19	VYDAJ	VYBER	330	18235	\N	\N	\N
716211	2453	1994-01-04	VYDAJ	VYBER	1440	15307	\N	\N	\N
716212	2453	1994-03-22	VYDAJ	VYBER	1290	17410	\N	\N	\N
716213	2453	1994-12-16	VYDAJ	VYBER	1410	25380	\N	\N	\N
716214	2453	1995-01-10	VYDAJ	VYBER	720	20971	\N	\N	\N
716215	2453	1995-08-14	VYDAJ	VYBER	210	22082	\N	\N	\N
716216	2453	1995-11-25	VYDAJ	VYBER	1230	23805	\N	\N	\N
716217	2453	1995-12-28	VYDAJ	VYBER	330	23816	\N	\N	\N
716218	2453	1995-09-21	VYDAJ	VYBER	570	22683	\N	\N	\N
716219	2453	1995-07-23	VYDAJ	VYBER	480	23096	\N	\N	\N
716220	2453	1995-08-10	VYDAJ	VYBER	750	19307	\N	\N	\N
716221	2453	1995-07-29	VYDAJ	VYBER	930	22166	\N	\N	\N
716222	2453	1995-08-11	VYDAJ	VYBER	300	19007	\N	\N	\N
716223	2453	1996-07-06	VYDAJ	VYBER	870	17292	\N	\N	\N
716224	2453	1996-09-04	VYDAJ	VYBER	1380	20432	\N	\N	\N
716225	2453	1996-03-24	VYDAJ	VYBER	390	24466	\N	\N	\N
716226	2453	1997-01-29	VYDAJ	VYBER	660	23253	\N	\N	\N
716227	2453	1997-12-25	VYDAJ	VYBER	510	26621	\N	\N	\N
716228	2453	1997-03-31	VYDAJ	VYBER	780	24932	\N	\N	\N
716229	2453	1997-10-14	VYDAJ	VYBER	1440	25329	\N	\N	\N
716230	2453	1998-03-04	VYDAJ	VYBER	1110	24167	\N	\N	\N
716231	2453	1998-10-19	VYDAJ	VYBER	720	26824	\N	\N	\N
716232	2453	1998-02-21	VYDAJ	VYBER	1290	25187	\N	\N	\N
716233	2453	1998-05-24	VYDAJ	VYBER	990	26639	\N	\N	\N
716241	2453	1993-07-31	VYDAJ	VYBER	15	15474	SLUZBY	\N	\N
716242	2453	1993-08-31	VYDAJ	VYBER	15	16622	SLUZBY	\N	\N
716243	2453	1993-09-30	VYDAJ	VYBER	15	17774	SLUZBY	\N	\N
716244	2453	1993-10-31	VYDAJ	VYBER	15	18932	SLUZBY	\N	\N
716245	2453	1993-11-30	VYDAJ	VYBER	15	18677	SLUZBY	\N	\N
716246	2453	1993-12-31	VYDAJ	VYBER	15	19447	SLUZBY	\N	\N
716247	2453	1994-01-31	VYDAJ	VYBER	15	16454	SLUZBY	\N	\N
716248	2453	1994-02-28	VYDAJ	VYBER	15	17605	SLUZBY	\N	\N
716249	2453	1994-03-31	VYDAJ	VYBER	15	17470	SLUZBY	\N	\N
716250	2453	1994-04-30	VYDAJ	VYBER	15	18295	SLUZBY	\N	\N
716251	2453	1994-05-31	VYDAJ	VYBER	15	19455	SLUZBY	\N	\N
716252	2453	1994-06-30	VYDAJ	VYBER	15	20619	SLUZBY	\N	\N
716253	2453	1994-07-31	VYDAJ	VYBER	15	21788	SLUZBY	\N	\N
716254	2453	1994-08-31	VYDAJ	VYBER	15	22599	SLUZBY	\N	\N
716255	2453	1994-09-30	VYDAJ	VYBER	15	23776	SLUZBY	\N	\N
716256	2453	1994-10-31	VYDAJ	VYBER	15	24958	SLUZBY	\N	\N
716257	2453	1994-11-30	VYDAJ	VYBER	15	26145	SLUZBY	\N	\N
716258	2453	1994-12-31	VYDAJ	VYBER	15	24181	SLUZBY	\N	\N
716259	2453	1995-01-31	VYDAJ	VYBER	15	24340	SLUZBY	\N	\N
716260	2453	1995-02-28	VYDAJ	VYBER	15	25524	SLUZBY	\N	\N
716261	2453	1995-03-31	VYDAJ	VYBER	15	26713	SLUZBY	\N	\N
716262	2453	1995-04-30	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
716263	2453	1995-05-31	VYDAJ	VYBER	15	29106	SLUZBY	\N	\N
716264	2453	1995-06-30	VYDAJ	VYBER	15	22481	SLUZBY	\N	\N
716265	2453	1995-07-31	VYDAJ	VYBER	15	22247	SLUZBY	\N	\N
716266	2453	1995-08-31	VYDAJ	VYBER	15	22158	SLUZBY	\N	\N
716267	2453	1995-09-30	VYDAJ	VYBER	15	22762	SLUZBY	\N	\N
716268	2453	1995-10-31	VYDAJ	VYBER	15	23940	SLUZBY	\N	\N
716269	2453	1995-11-30	VYDAJ	VYBER	15	23891	SLUZBY	\N	\N
716270	2453	1995-12-31	VYDAJ	VYBER	15	23898	SLUZBY	\N	\N
716271	2453	1996-01-31	VYDAJ	VYBER	15	22584	SLUZBY	\N	\N
716273	2453	1996-03-31	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
716274	2453	1996-04-30	VYDAJ	VYBER	15	25737	SLUZBY	\N	\N
716275	2453	1996-05-31	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
716276	2453	1996-06-30	VYDAJ	VYBER	15	20352	SLUZBY	\N	\N
716277	2453	1996-07-31	VYDAJ	VYBER	15	20644	SLUZBY	\N	\N
716278	2453	1996-08-31	VYDAJ	VYBER	15	21812	SLUZBY	\N	\N
716279	2453	1996-09-30	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
716280	2453	1996-10-31	VYDAJ	VYBER	15	22770	SLUZBY	\N	\N
716281	2453	1996-11-30	VYDAJ	VYBER	15	23947	SLUZBY	\N	\N
716282	2453	1996-12-31	VYDAJ	VYBER	15	24828	SLUZBY	\N	\N
716283	2453	1997-01-31	VYDAJ	VYBER	15	23334	SLUZBY	\N	\N
716284	2453	1997-02-28	VYDAJ	VYBER	15	24513	SLUZBY	\N	\N
716285	2453	1997-03-31	VYDAJ	VYBER	15	24917	SLUZBY	\N	\N
716286	2453	1997-04-30	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
716287	2453	1997-05-31	VYDAJ	VYBER	15	27293	SLUZBY	\N	\N
716288	2453	1997-06-30	VYDAJ	VYBER	15	22138	SLUZBY	\N	\N
716289	2453	1997-07-31	VYDAJ	VYBER	15	23312	SLUZBY	\N	\N
716290	2453	1997-08-31	VYDAJ	VYBER	15	24490	SLUZBY	\N	\N
716291	2453	1997-09-30	VYDAJ	VYBER	15	25674	SLUZBY	\N	\N
716292	2453	1997-10-31	VYDAJ	VYBER	15	25419	SLUZBY	\N	\N
716293	2453	1997-11-30	VYDAJ	VYBER	15	26606	SLUZBY	\N	\N
716294	2453	1997-12-31	VYDAJ	VYBER	15	26716	SLUZBY	\N	\N
716295	2453	1998-01-31	VYDAJ	VYBER	15	25382	SLUZBY	\N	\N
716296	2453	1998-02-28	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
716297	2453	1998-03-31	VYDAJ	VYBER	15	25347	SLUZBY	\N	\N
716298	2453	1998-04-30	VYDAJ	VYBER	15	26534	SLUZBY	\N	\N
716299	2453	1998-05-31	VYDAJ	VYBER	15	26734	SLUZBY	\N	\N
716300	2453	1998-06-30	VYDAJ	VYBER	15	22907	SLUZBY	\N	\N
716301	2453	1998-07-31	VYDAJ	VYBER	15	24083	SLUZBY	\N	\N
716302	2453	1998-08-31	VYDAJ	VYBER	15	25264	SLUZBY	\N	\N
716303	2453	1998-09-30	VYDAJ	VYBER	15	26449	SLUZBY	\N	\N
716304	2453	1998-10-31	VYDAJ	VYBER	15	26919	SLUZBY	\N	\N
716305	2453	1998-11-30	VYDAJ	VYBER	15	28111	SLUZBY	\N	\N
716376	2454	1994-05-07	PRIJEM	VKLAD	400	400	\N	\N	\N
716378	2454	1994-05-26	PRIJEM	VKLAD	24899	28199	\N	\N	\N
716379	2454	1995-04-15	PRIJEM	VKLAD	34550	84231	\N	\N	\N
716380	2454	1995-03-25	PRIJEM	VKLAD	42014	71333	\N	\N	\N
716381	2454	1996-12-06	PRIJEM	VKLAD	42645	70412	\N	\N	\N
716382	2454	1996-08-28	PRIJEM	VKLAD	49363	68747	\N	\N	\N
716383	2454	1997-05-24	PRIJEM	VKLAD	47215	66846	\N	\N	\N
716384	2454	1997-03-05	PRIJEM	VKLAD	16363	43644	\N	\N	\N
716385	2454	1998-02-24	PRIJEM	VKLAD	43014	72798	\N	\N	\N
716386	2454	1998-02-28	PRIJEM	VKLAD	21789	94729	\N	\N	\N
716391	2454	1994-05-14	PRIJEM	VKLAD	1700	2100	\N	\N	\N
716392	2454	1994-06-16	PRIJEM	VKLAD	1700	29926	\N	\N	\N
716393	2454	1994-07-13	PRIJEM	VKLAD	1700	25520	\N	\N	\N
716394	2454	1994-08-13	PRIJEM	VKLAD	1700	29907	\N	\N	\N
716395	2454	1994-09-15	PRIJEM	VKLAD	1700	29014	\N	\N	\N
716396	2454	1994-10-16	PRIJEM	VKLAD	1700	31727	\N	\N	\N
716397	2454	1994-11-15	PRIJEM	VKLAD	1700	31244	\N	\N	\N
716398	2454	1994-12-16	PRIJEM	VKLAD	1700	28066	\N	\N	\N
716399	2454	1995-01-17	PRIJEM	VKLAD	1700	29423	\N	\N	\N
716400	2454	1995-02-14	PRIJEM	VKLAD	1700	28821	\N	\N	\N
716401	2454	1995-03-16	PRIJEM	VKLAD	1700	28119	\N	\N	\N
716402	2454	1995-04-13	PRIJEM	VKLAD	1700	49681	\N	\N	\N
716403	2454	1995-05-17	PRIJEM	VKLAD	1700	56489	\N	\N	\N
716404	2454	1995-06-16	PRIJEM	VKLAD	1700	33025	\N	\N	\N
716405	2454	1995-07-16	PRIJEM	VKLAD	1700	31474	\N	\N	\N
716406	2454	1995-08-14	PRIJEM	VKLAD	1700	29798	\N	\N	\N
716407	2454	1995-09-16	PRIJEM	VKLAD	1700	29104	\N	\N	\N
716408	2454	1995-10-15	PRIJEM	VKLAD	1700	26908	\N	\N	\N
716409	2454	1995-11-16	PRIJEM	VKLAD	1700	31106	\N	\N	\N
716410	2454	1995-12-14	PRIJEM	VKLAD	1700	26816	\N	\N	\N
716411	2454	1996-01-13	PRIJEM	VKLAD	1700	25962	\N	\N	\N
716412	2454	1996-02-16	PRIJEM	VKLAD	1700	20347	\N	\N	\N
716413	2454	1996-03-17	PRIJEM	VKLAD	1700	25016	\N	\N	\N
716414	2454	1996-04-16	PRIJEM	VKLAD	1700	20950	\N	\N	\N
716415	2454	1996-05-17	PRIJEM	VKLAD	1700	23425	\N	\N	\N
716416	2454	1996-06-16	PRIJEM	VKLAD	1700	23707	\N	\N	\N
716417	2454	1996-07-16	PRIJEM	VKLAD	1700	16532	\N	\N	\N
716418	2454	1996-08-13	PRIJEM	VKLAD	1700	19684	\N	\N	\N
716419	2454	1996-09-17	PRIJEM	VKLAD	1700	70537	\N	\N	\N
716420	2454	1996-10-13	PRIJEM	VKLAD	1700	45834	\N	\N	\N
716421	2454	1996-11-13	PRIJEM	VKLAD	1700	37193	\N	\N	\N
716422	2454	1996-12-15	PRIJEM	VKLAD	1700	72112	\N	\N	\N
716423	2454	1997-01-14	PRIJEM	VKLAD	1700	47283	\N	\N	\N
716424	2454	1997-02-13	PRIJEM	VKLAD	1700	30279	\N	\N	\N
716425	2454	1997-03-17	PRIJEM	VKLAD	1700	45344	\N	\N	\N
716426	2454	1997-04-13	PRIJEM	VKLAD	1700	33513	\N	\N	\N
716427	2454	1997-05-14	PRIJEM	VKLAD	1700	30731	\N	\N	\N
716428	2454	1997-06-15	PRIJEM	VKLAD	1700	68690	\N	\N	\N
716429	2454	1997-07-16	PRIJEM	VKLAD	1700	33814	\N	\N	\N
716430	2454	1997-08-13	PRIJEM	VKLAD	1700	26975	\N	\N	\N
716431	2454	1997-09-16	PRIJEM	VKLAD	1700	29569	\N	\N	\N
716432	2454	1997-10-14	PRIJEM	VKLAD	1700	28767	\N	\N	\N
716433	2454	1997-11-14	PRIJEM	VKLAD	1700	30366	\N	\N	\N
716434	2454	1997-12-14	PRIJEM	VKLAD	1700	25917	\N	\N	\N
716435	2454	1998-01-15	PRIJEM	VKLAD	1700	18212	\N	\N	\N
716436	2454	1998-02-16	PRIJEM	VKLAD	1700	28584	\N	\N	\N
716437	2454	1998-03-14	PRIJEM	VKLAD	1700	96414	\N	\N	\N
716438	2454	1998-04-15	PRIJEM	VKLAD	1700	65529	\N	\N	\N
716439	2454	1998-05-17	PRIJEM	VKLAD	1700	34642	\N	\N	\N
716440	2454	1998-06-13	PRIJEM	VKLAD	1700	31497	\N	\N	\N
716441	2454	1998-07-16	PRIJEM	VKLAD	1700	21004	\N	\N	\N
716442	2454	1998-08-17	PRIJEM	VKLAD	1700	25974	\N	\N	\N
716443	2454	1998-09-17	PRIJEM	VKLAD	1700	27459	\N	\N	\N
716444	2454	1998-10-13	PRIJEM	VKLAD	1700	29856	\N	\N	\N
716445	2454	1998-11-15	PRIJEM	VKLAD	1700	30861	\N	\N	\N
716446	2454	1998-12-16	PRIJEM	VKLAD	1700	36420	\N	\N	\N
716451	2454	1994-05-18	PRIJEM	VKLAD	1200	3300	\N	\N	\N
716452	2454	1994-06-18	PRIJEM	VKLAD	1200	31126	\N	\N	\N
716453	2454	1994-07-18	PRIJEM	VKLAD	1200	26720	\N	\N	\N
716454	2454	1994-08-18	PRIJEM	VKLAD	1200	31107	\N	\N	\N
716455	2454	1994-09-18	PRIJEM	VKLAD	1200	30214	\N	\N	\N
716456	2454	1994-10-18	PRIJEM	VKLAD	1200	32927	\N	\N	\N
716457	2454	1994-11-18	PRIJEM	VKLAD	1200	32444	\N	\N	\N
716458	2454	1994-12-18	PRIJEM	VKLAD	1200	29266	\N	\N	\N
716459	2454	1995-01-18	PRIJEM	VKLAD	1200	30173	\N	\N	\N
716460	2454	1995-02-18	PRIJEM	VKLAD	1200	30021	\N	\N	\N
716461	2454	1995-03-18	PRIJEM	VKLAD	1200	29319	\N	\N	\N
716462	2454	1995-04-18	PRIJEM	VKLAD	1200	85431	\N	\N	\N
716463	2454	1995-05-18	PRIJEM	VKLAD	1200	57689	\N	\N	\N
716464	2454	1995-06-18	PRIJEM	VKLAD	1200	34225	\N	\N	\N
716465	2454	1995-07-18	PRIJEM	VKLAD	1200	32674	\N	\N	\N
716466	2454	1995-08-18	PRIJEM	VKLAD	1200	30998	\N	\N	\N
716467	2454	1995-09-18	PRIJEM	VKLAD	1200	30304	\N	\N	\N
716468	2454	1995-10-18	PRIJEM	VKLAD	1200	28108	\N	\N	\N
716469	2454	1995-11-18	PRIJEM	VKLAD	1200	32306	\N	\N	\N
716470	2454	1995-12-18	PRIJEM	VKLAD	1200	28016	\N	\N	\N
716471	2454	1996-01-18	PRIJEM	VKLAD	1200	26562	\N	\N	\N
716472	2454	1996-02-18	PRIJEM	VKLAD	1200	21547	\N	\N	\N
716473	2454	1996-03-18	PRIJEM	VKLAD	1200	26216	\N	\N	\N
716474	2454	1996-04-18	PRIJEM	VKLAD	1200	22150	\N	\N	\N
716475	2454	1996-05-18	PRIJEM	VKLAD	1200	24625	\N	\N	\N
716476	2454	1996-06-18	PRIJEM	VKLAD	1200	24907	\N	\N	\N
716477	2454	1996-07-18	PRIJEM	VKLAD	1200	17732	\N	\N	\N
716478	2454	1996-08-18	PRIJEM	VKLAD	1200	20884	\N	\N	\N
716479	2454	1996-09-18	PRIJEM	VKLAD	1200	71737	\N	\N	\N
716480	2454	1996-10-18	PRIJEM	VKLAD	1200	47034	\N	\N	\N
716481	2454	1996-11-18	PRIJEM	VKLAD	1200	37743	\N	\N	\N
716482	2454	1996-12-18	PRIJEM	VKLAD	1200	73312	\N	\N	\N
716483	2454	1997-01-18	PRIJEM	VKLAD	1200	39633	\N	\N	\N
716484	2454	1997-02-18	PRIJEM	VKLAD	1200	31479	\N	\N	\N
716485	2454	1997-03-18	PRIJEM	VKLAD	1200	46544	\N	\N	\N
716486	2454	1997-04-18	PRIJEM	VKLAD	1200	34713	\N	\N	\N
716487	2454	1997-05-18	PRIJEM	VKLAD	1200	31931	\N	\N	\N
716488	2454	1997-06-18	PRIJEM	VKLAD	1200	69890	\N	\N	\N
716489	2454	1997-07-18	PRIJEM	VKLAD	1200	35014	\N	\N	\N
716490	2454	1997-08-18	PRIJEM	VKLAD	1200	28175	\N	\N	\N
716491	2454	1997-09-18	PRIJEM	VKLAD	1200	30769	\N	\N	\N
716492	2454	1997-10-18	PRIJEM	VKLAD	1200	29967	\N	\N	\N
716493	2454	1997-11-18	PRIJEM	VKLAD	1200	27766	\N	\N	\N
716494	2454	1997-12-18	PRIJEM	VKLAD	1200	26417	\N	\N	\N
716495	2454	1998-01-18	PRIJEM	VKLAD	1200	23812	\N	\N	\N
716496	2454	1998-02-18	PRIJEM	VKLAD	1200	29784	\N	\N	\N
716497	2454	1998-03-18	PRIJEM	VKLAD	1200	63514	\N	\N	\N
716498	2454	1998-04-18	PRIJEM	VKLAD	1200	48429	\N	\N	\N
716499	2454	1998-05-18	PRIJEM	VKLAD	1200	35842	\N	\N	\N
716500	2454	1998-06-18	PRIJEM	VKLAD	1200	28297	\N	\N	\N
716501	2454	1998-07-18	PRIJEM	VKLAD	1200	22204	\N	\N	\N
716502	2454	1998-08-18	PRIJEM	VKLAD	1200	27174	\N	\N	\N
716503	2454	1998-09-18	PRIJEM	VKLAD	1200	28659	\N	\N	\N
716504	2454	1998-10-18	PRIJEM	VKLAD	1200	30356	\N	\N	\N
716505	2454	1998-11-18	PRIJEM	VKLAD	1200	32061	\N	\N	\N
716506	2454	1998-12-18	PRIJEM	VKLAD	1200	37620	\N	\N	\N
716507	2454	1994-06-21	VYDAJ	VYBER	10200	20926	\N	\N	\N
716508	2454	1995-06-12	VYDAJ	VYBER	5800	31325	\N	\N	\N
716509	2454	1996-06-25	VYDAJ	VYBER	3200	21707	\N	\N	\N
716511	2454	1998-06-25	VYDAJ	VYBER	8800	19497	\N	\N	\N
716513	2454	1995-06-07	VYDAJ	VYBER	4300	39025	\N	\N	\N
716515	2454	1997-06-28	VYDAJ	VYBER	10800	33390	\N	\N	\N
716516	2454	1998-06-02	VYDAJ	VYBER	6200	29797	\N	\N	\N
716518	2454	1995-01-19	VYDAJ	VYBER	3400	26773	\N	\N	\N
716519	2454	1996-01-23	VYDAJ	VYBER	6800	17962	\N	\N	\N
716520	2454	1997-01-14	VYDAJ	VYBER	6400	39583	\N	\N	\N
716521	2454	1998-01-04	VYDAJ	VYBER	8800	16762	\N	\N	\N
716522	2454	1994-12-09	VYDAJ	VYBER	1600	26366	\N	\N	\N
716523	2454	1995-12-05	VYDAJ	VYBER	800	25116	\N	\N	\N
716524	2454	1996-12-26	VYDAJ	VYBER	1100	48412	\N	\N	\N
716525	2454	1997-12-13	VYDAJ	VYBER	2000	24217	\N	\N	\N
716526	2454	1998-12-24	VYDAJ	VYBER	1800	35820	\N	\N	\N
716533	2454	1995-01-19	VYDAJ	VYBER	900	25873	\N	\N	\N
716534	2454	1995-01-11	VYDAJ	VYBER	550	27723	\N	\N	\N
716535	2454	1995-01-27	VYDAJ	VYBER	1050	23623	\N	\N	\N
716536	2454	1995-01-25	VYDAJ	VYBER	1200	24673	\N	\N	\N
716537	2454	1995-01-17	VYDAJ	VYBER	450	28973	\N	\N	\N
716538	2454	1995-01-02	VYDAJ	VYBER	600	28273	\N	\N	\N
716539	2454	1996-01-23	VYDAJ	VYBER	900	24762	\N	\N	\N
716540	2454	1996-01-03	VYDAJ	VYBER	650	24762	\N	\N	\N
716541	2454	1996-01-23	VYDAJ	VYBER	250	25662	\N	\N	\N
716542	2454	1996-01-19	VYDAJ	VYBER	650	25912	\N	\N	\N
716543	2454	1996-01-05	VYDAJ	VYBER	500	24262	\N	\N	\N
716544	2454	1996-01-13	VYDAJ	VYBER	600	25362	\N	\N	\N
716545	2454	1997-01-25	VYDAJ	VYBER	600	28433	\N	\N	\N
716546	2454	1997-01-05	VYDAJ	VYBER	1300	45583	\N	\N	\N
716547	2454	1997-01-16	VYDAJ	VYBER	1150	38433	\N	\N	\N
716548	2454	1997-01-14	VYDAJ	VYBER	1300	45983	\N	\N	\N
716549	2454	1997-01-03	VYDAJ	VYBER	750	46883	\N	\N	\N
716550	2454	1997-01-02	VYDAJ	VYBER	950	47633	\N	\N	\N
716551	2454	1998-01-01	VYDAJ	VYBER	950	25562	\N	\N	\N
716553	2454	1998-01-27	VYDAJ	VYBER	800	23012	\N	\N	\N
716556	2454	1998-01-10	VYDAJ	VYBER	250	16512	\N	\N	\N
716559	2454	1995-10-04	VYDAJ	VYBER	900	25208	\N	\N	\N
716560	2454	1995-06-07	VYDAJ	VYBER	1900	37125	\N	\N	\N
716561	2454	1995-05-05	VYDAJ	VYBER	1750	54789	\N	\N	\N
716562	2454	1996-11-17	VYDAJ	VYBER	650	36543	\N	\N	\N
716563	2454	1996-05-07	VYDAJ	VYBER	1600	21725	\N	\N	\N
716564	2454	1996-04-08	VYDAJ	VYBER	1850	19250	\N	\N	\N
716565	2454	1996-06-28	VYDAJ	VYBER	2450	14757	\N	\N	\N
716566	2454	1996-09-29	VYDAJ	VYBER	1350	43887	\N	\N	\N
716567	2454	1997-07-14	VYDAJ	VYBER	1500	32114	\N	\N	\N
716568	2454	1997-04-09	VYDAJ	VYBER	1750	31813	\N	\N	\N
716569	2454	1997-07-18	VYDAJ	VYBER	1950	33064	\N	\N	\N
716570	2454	1997-05-22	VYDAJ	VYBER	1500	19631	\N	\N	\N
716571	2454	1997-12-07	VYDAJ	VYBER	1650	26217	\N	\N	\N
716572	2454	1998-09-20	VYDAJ	VYBER	600	28059	\N	\N	\N
716573	2454	1998-11-22	VYDAJ	VYBER	2450	29611	\N	\N	\N
716574	2454	1998-04-24	VYDAJ	VYBER	900	46229	\N	\N	\N
716575	2454	1998-04-18	VYDAJ	VYBER	1300	47129	\N	\N	\N
716582	2454	1994-06-30	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
716583	2454	1994-07-31	VYDAJ	VYBER	15	26807	SLUZBY	\N	\N
716584	2454	1994-08-31	VYDAJ	VYBER	15	31214	SLUZBY	\N	\N
716585	2454	1994-09-30	VYDAJ	VYBER	15	30327	SLUZBY	\N	\N
716586	2454	1994-10-31	VYDAJ	VYBER	15	33044	SLUZBY	\N	\N
716587	2454	1994-11-30	VYDAJ	VYBER	15	32566	SLUZBY	\N	\N
716588	2454	1994-12-31	VYDAJ	VYBER	15	29373	SLUZBY	\N	\N
716589	2454	1995-01-31	VYDAJ	VYBER	15	23721	SLUZBY	\N	\N
716590	2454	1995-02-28	VYDAJ	VYBER	15	30119	SLUZBY	\N	\N
716591	2454	1995-03-31	VYDAJ	VYBER	15	71481	SLUZBY	\N	\N
716592	2454	1995-04-30	VYDAJ	VYBER	15	85739	SLUZBY	\N	\N
716593	2454	1995-05-31	VYDAJ	VYBER	15	57925	SLUZBY	\N	\N
716594	2454	1995-06-30	VYDAJ	VYBER	15	34374	SLUZBY	\N	\N
716595	2454	1995-07-31	VYDAJ	VYBER	15	28098	SLUZBY	\N	\N
716596	2454	1995-08-31	VYDAJ	VYBER	15	27404	SLUZBY	\N	\N
716597	2454	1995-09-30	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
716598	2454	1995-10-31	VYDAJ	VYBER	15	29406	SLUZBY	\N	\N
716599	2454	1995-11-30	VYDAJ	VYBER	15	25916	SLUZBY	\N	\N
716600	2454	1995-12-31	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
716601	2454	1996-01-31	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
716602	2454	1996-02-29	VYDAJ	VYBER	15	23316	SLUZBY	\N	\N
716603	2454	1996-03-31	VYDAJ	VYBER	15	21100	SLUZBY	\N	\N
716604	2454	1996-04-30	VYDAJ	VYBER	15	23325	SLUZBY	\N	\N
716605	2454	1996-05-31	VYDAJ	VYBER	15	22007	SLUZBY	\N	\N
716606	2454	1996-06-30	VYDAJ	VYBER	15	14832	SLUZBY	\N	\N
716607	2454	1996-07-31	VYDAJ	VYBER	15	17984	SLUZBY	\N	\N
716608	2454	1996-08-31	VYDAJ	VYBER	15	68837	SLUZBY	\N	\N
716609	2454	1996-09-30	VYDAJ	VYBER	15	44134	SLUZBY	\N	\N
716610	2454	1996-10-31	VYDAJ	VYBER	15	35493	SLUZBY	\N	\N
716611	2454	1996-11-30	VYDAJ	VYBER	15	27767	SLUZBY	\N	\N
716612	2454	1996-12-31	VYDAJ	VYBER	15	48583	SLUZBY	\N	\N
716613	2454	1997-01-31	VYDAJ	VYBER	15	28579	SLUZBY	\N	\N
716614	2454	1997-02-28	VYDAJ	VYBER	15	27281	SLUZBY	\N	\N
716615	2454	1997-03-31	VYDAJ	VYBER	15	33563	SLUZBY	\N	\N
716616	2454	1997-04-30	VYDAJ	VYBER	15	29031	SLUZBY	\N	\N
716617	2454	1997-05-31	VYDAJ	VYBER	15	66990	SLUZBY	\N	\N
716618	2454	1997-06-30	VYDAJ	VYBER	15	33614	SLUZBY	\N	\N
716619	2454	1997-07-31	VYDAJ	VYBER	15	25275	SLUZBY	\N	\N
716620	2454	1997-08-31	VYDAJ	VYBER	15	27869	SLUZBY	\N	\N
716621	2454	1997-09-30	VYDAJ	VYBER	15	27067	SLUZBY	\N	\N
716622	2454	1997-10-31	VYDAJ	VYBER	15	28666	SLUZBY	\N	\N
716623	2454	1997-11-30	VYDAJ	VYBER	15	27867	SLUZBY	\N	\N
716624	2454	1997-12-31	VYDAJ	VYBER	15	26512	SLUZBY	\N	\N
716625	2454	1998-01-31	VYDAJ	VYBER	15	23084	SLUZBY	\N	\N
716626	2454	1998-02-28	VYDAJ	VYBER	15	94714	SLUZBY	\N	\N
716627	2454	1998-03-31	VYDAJ	VYBER	15	63829	SLUZBY	\N	\N
716628	2454	1998-04-30	VYDAJ	VYBER	15	46442	SLUZBY	\N	\N
716629	2454	1998-05-31	VYDAJ	VYBER	15	35997	SLUZBY	\N	\N
716630	2454	1998-06-30	VYDAJ	VYBER	15	19604	SLUZBY	\N	\N
716631	2454	1998-07-31	VYDAJ	VYBER	15	22274	SLUZBY	\N	\N
716632	2454	1998-08-31	VYDAJ	VYBER	15	27259	SLUZBY	\N	\N
716633	2454	1998-09-30	VYDAJ	VYBER	15	28156	SLUZBY	\N	\N
716634	2454	1998-10-31	VYDAJ	VYBER	15	30461	SLUZBY	\N	\N
716635	2454	1998-11-30	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
716636	2454	1994-07-06	PRIJEM	VKLAD	2800	23820	\N	\N	\N
716637	2454	1994-08-05	PRIJEM	VKLAD	1400	28207	\N	\N	\N
716638	2454	1994-09-04	VYDAJ	VYBER	3900	27314	\N	\N	\N
716639	2454	1994-10-04	VYDAJ	VYBER	300	30027	\N	\N	\N
716640	2454	1994-11-03	VYDAJ	VYBER	3500	29544	\N	\N	\N
716641	2454	1994-12-03	VYDAJ	VYBER	4600	27966	\N	\N	\N
716642	2454	1995-01-02	VYDAJ	VYBER	500	28873	\N	\N	\N
716643	2454	1995-02-01	PRIJEM	VKLAD	3400	27121	\N	\N	\N
716644	2454	1995-03-03	VYDAJ	VYBER	3700	26419	\N	\N	\N
716645	2454	1995-04-02	VYDAJ	VYBER	23500	47981	\N	\N	\N
716646	2454	1995-05-02	VYDAJ	VYBER	29200	56539	\N	\N	\N
716647	2454	1995-06-01	VYDAJ	VYBER	14600	43325	\N	\N	\N
716648	2454	1995-07-01	VYDAJ	VYBER	4600	29774	\N	\N	\N
716649	2454	1995-07-31	VYDAJ	VYBER	4700	28112	\N	\N	\N
716650	2454	1995-08-30	VYDAJ	VYBER	3700	27298	\N	\N	\N
716651	2454	1995-09-29	VYDAJ	VYBER	4300	26004	\N	\N	\N
716652	2454	1995-10-29	PRIJEM	VKLAD	1200	29308	\N	\N	\N
716653	2454	1995-11-28	VYDAJ	VYBER	6500	25806	\N	\N	\N
716654	2454	1995-12-28	VYDAJ	VYBER	2700	25316	\N	\N	\N
716655	2454	1996-01-27	PRIJEM	VKLAD	600	18562	\N	\N	\N
716656	2454	1996-02-26	PRIJEM	VKLAD	1700	23247	\N	\N	\N
716657	2454	1996-03-27	VYDAJ	VYBER	5200	21016	\N	\N	\N
716658	2454	1996-04-26	PRIJEM	VKLAD	1100	23250	\N	\N	\N
716659	2454	1996-05-26	VYDAJ	VYBER	2700	21925	\N	\N	\N
716660	2454	1996-06-25	VYDAJ	VYBER	4500	17207	\N	\N	\N
716661	2454	1996-07-25	PRIJEM	VKLAD	200	17932	\N	\N	\N
716662	2454	1996-08-24	VYDAJ	VYBER	1500	19384	\N	\N	\N
716663	2454	1996-09-23	VYDAJ	VYBER	26500	45237	\N	\N	\N
716664	2454	1996-10-23	VYDAJ	VYBER	11700	35334	\N	\N	\N
716665	2454	1996-11-22	VYDAJ	VYBER	10100	27643	\N	\N	\N
716666	2454	1996-12-22	VYDAJ	VYBER	23800	49512	\N	\N	\N
716667	2454	1997-01-21	VYDAJ	VYBER	10600	29033	\N	\N	\N
716668	2454	1997-02-20	VYDAJ	VYBER	4300	27179	\N	\N	\N
716669	2454	1997-03-22	VYDAJ	VYBER	13100	33444	\N	\N	\N
716670	2454	1997-04-21	VYDAJ	VYBER	5800	28913	\N	\N	\N
716671	2454	1997-05-21	VYDAJ	VYBER	10800	21131	\N	\N	\N
716672	2454	1997-06-20	VYDAJ	VYBER	25700	44190	\N	\N	\N
716673	2454	1997-07-20	VYDAJ	VYBER	7900	25164	\N	\N	\N
716674	2454	1997-08-19	VYDAJ	VYBER	400	27775	\N	\N	\N
716675	2454	1997-09-18	VYDAJ	VYBER	3800	26969	\N	\N	\N
716676	2454	1997-10-18	VYDAJ	VYBER	1400	28567	\N	\N	\N
716677	2454	1997-11-17	VYDAJ	VYBER	3800	26566	\N	\N	\N
716678	2454	1997-12-17	VYDAJ	VYBER	700	25217	\N	\N	\N
716679	2454	1998-01-16	PRIJEM	VKLAD	4400	22612	\N	\N	\N
716680	2454	1998-02-15	PRIJEM	VKLAD	3800	26884	\N	\N	\N
716681	2454	1998-03-17	VYDAJ	VYBER	34100	62314	\N	\N	\N
716682	2454	1998-04-16	VYDAJ	VYBER	18300	47229	\N	\N	\N
716683	2454	1998-05-16	VYDAJ	VYBER	13500	32942	\N	\N	\N
716684	2454	1998-06-15	VYDAJ	VYBER	4400	27097	\N	\N	\N
716685	2454	1998-07-15	VYDAJ	VYBER	300	19304	\N	\N	\N
716686	2454	1998-08-14	PRIJEM	VKLAD	2000	24274	\N	\N	\N
716687	2454	1998-09-13	VYDAJ	VYBER	1500	25759	\N	\N	\N
716688	2454	1998-10-13	VYDAJ	VYBER	700	29156	\N	\N	\N
716689	2454	1998-11-12	VYDAJ	VYBER	1300	29161	\N	\N	\N
716690	2454	1998-12-12	PRIJEM	VKLAD	5000	34720	\N	\N	\N
716747	2455	1997-02-06	PRIJEM	VKLAD	200	200	\N	\N	\N
716749	2455	1997-02-10	PRIJEM	PREVOD Z UCTU	6216	6416	DUCHOD	AB	77920144
716750	2455	1997-03-10	PRIJEM	PREVOD Z UCTU	6216	12650	DUCHOD	AB	77920144
716751	2455	1997-04-10	PRIJEM	PREVOD Z UCTU	6216	18893	DUCHOD	AB	77920144
716752	2455	1997-05-10	PRIJEM	PREVOD Z UCTU	6216	25136	DUCHOD	AB	77920144
716753	2455	1997-06-10	PRIJEM	PREVOD Z UCTU	6216	31378	DUCHOD	AB	77920144
716754	2455	1997-07-10	PRIJEM	PREVOD Z UCTU	6216	25508	DUCHOD	AB	77920144
716755	2455	1997-08-10	PRIJEM	PREVOD Z UCTU	6216	28550	DUCHOD	AB	77920144
716756	2455	1997-09-10	PRIJEM	PREVOD Z UCTU	6216	27041	DUCHOD	AB	77920144
716757	2455	1997-10-10	PRIJEM	PREVOD Z UCTU	6216	27124	DUCHOD	AB	77920144
716758	2455	1997-11-10	PRIJEM	PREVOD Z UCTU	6216	30173	DUCHOD	AB	77920144
716759	2455	1997-12-10	PRIJEM	PREVOD Z UCTU	6216	30584	DUCHOD	AB	77920144
716760	2455	1998-01-10	PRIJEM	PREVOD Z UCTU	6216	30286	DUCHOD	AB	77920144
716761	2455	1998-02-10	PRIJEM	PREVOD Z UCTU	6216	29187	DUCHOD	AB	77920144
716762	2455	1998-03-10	PRIJEM	PREVOD Z UCTU	6216	32244	DUCHOD	AB	77920144
716763	2455	1998-04-10	PRIJEM	PREVOD Z UCTU	6216	31635	DUCHOD	AB	77920144
716764	2455	1998-05-10	PRIJEM	PREVOD Z UCTU	6216	31422	DUCHOD	AB	77920144
716765	2455	1998-06-10	PRIJEM	PREVOD Z UCTU	6216	34089	DUCHOD	AB	77920144
716766	2455	1998-07-10	PRIJEM	PREVOD Z UCTU	6216	31011	DUCHOD	AB	77920144
716767	2455	1998-08-10	PRIJEM	PREVOD Z UCTU	6216	34076	DUCHOD	AB	77920144
716768	2455	1998-09-10	PRIJEM	PREVOD Z UCTU	6216	36954	DUCHOD	AB	77920144
716769	2455	1998-10-10	PRIJEM	PREVOD Z UCTU	6216	35082	DUCHOD	AB	77920144
716770	2455	1998-11-10	PRIJEM	PREVOD Z UCTU	6216	35379	DUCHOD	AB	77920144
716771	2455	1998-12-10	PRIJEM	PREVOD Z UCTU	6216	30697	DUCHOD	AB	77920144
716778	2455	1997-07-05	VYDAJ	PREVOD NA UCET	3262	19292	SIPO	OP	28967535
716779	2455	1997-08-05	VYDAJ	PREVOD NA UCET	3262	22334	SIPO	OP	28967535
716780	2455	1997-09-05	VYDAJ	PREVOD NA UCET	3262	20825	SIPO	OP	28967535
716781	2455	1997-10-05	VYDAJ	PREVOD NA UCET	3262	20908	SIPO	OP	28967535
716782	2455	1997-11-05	VYDAJ	PREVOD NA UCET	3262	23957	SIPO	OP	28967535
716783	2455	1997-12-05	VYDAJ	PREVOD NA UCET	3262	24368	SIPO	OP	28967535
716784	2455	1998-01-05	VYDAJ	PREVOD NA UCET	3262	24070	SIPO	OP	28967535
716785	2455	1998-02-05	VYDAJ	PREVOD NA UCET	3262	22971	SIPO	OP	28967535
716786	2455	1998-03-05	VYDAJ	PREVOD NA UCET	3262	26028	SIPO	OP	28967535
716787	2455	1998-04-05	VYDAJ	PREVOD NA UCET	3262	29099	SIPO	OP	28967535
716788	2455	1998-05-05	VYDAJ	PREVOD NA UCET	3262	25206	SIPO	OP	28967535
716789	2455	1998-06-05	VYDAJ	PREVOD NA UCET	3262	27873	SIPO	OP	28967535
716790	2455	1998-07-05	VYDAJ	PREVOD NA UCET	3262	24795	SIPO	OP	28967535
716791	2455	1998-08-05	VYDAJ	PREVOD NA UCET	3262	27860	SIPO	OP	28967535
716792	2455	1998-09-05	VYDAJ	PREVOD NA UCET	3262	30738	SIPO	OP	28967535
716793	2455	1998-10-05	VYDAJ	PREVOD NA UCET	3262	28866	SIPO	OP	28967535
716794	2455	1998-11-05	VYDAJ	PREVOD NA UCET	3262	29163	SIPO	OP	28967535
716795	2455	1998-12-05	VYDAJ	PREVOD NA UCET	3262	25881	SIPO	OP	28967535
716796	2455	1997-06-26	VYDAJ	VYBER	7200	22498	\N	\N	\N
716797	2455	1998-06-27	VYDAJ	VYBER	6150	27939	\N	\N	\N
716799	2455	1998-01-13	VYDAJ	VYBER	4150	26136	\N	\N	\N
716800	2455	1997-12-04	VYDAJ	VYBER	750	27630	\N	\N	\N
716801	2455	1998-12-09	VYDAJ	VYBER	1400	24481	\N	\N	\N
716802	2455	1997-09-19	VYDAJ	VYBER	2960	24081	\N	\N	\N
716805	2455	1997-06-16	VYDAJ	VYBER	1680	29698	\N	\N	\N
716806	2455	1997-08-10	VYDAJ	VYBER	3920	24630	\N	\N	\N
716807	2455	1997-08-25	VYDAJ	VYBER	640	23990	\N	\N	\N
716808	2455	1998-04-26	VYDAJ	VYBER	3280	28355	\N	\N	\N
716809	2455	1998-10-15	VYDAJ	VYBER	1680	33402	\N	\N	\N
716810	2455	1998-11-24	VYDAJ	VYBER	3360	32019	\N	\N	\N
716811	2455	1998-10-02	VYDAJ	VYBER	2560	32128	\N	\N	\N
716812	2455	1998-04-08	VYDAJ	VYBER	3680	25419	\N	\N	\N
716813	2455	1998-01-05	VYDAJ	VYBER	3360	27332	\N	\N	\N
716820	2455	1997-06-30	VYDAJ	VYBER	15	22554	SLUZBY	\N	\N
716821	2455	1997-07-31	VYDAJ	VYBER	15	25596	SLUZBY	\N	\N
716822	2455	1997-08-31	VYDAJ	VYBER	15	24087	SLUZBY	\N	\N
716823	2455	1997-09-30	VYDAJ	VYBER	15	24170	SLUZBY	\N	\N
716824	2455	1997-10-31	VYDAJ	VYBER	15	27219	SLUZBY	\N	\N
716825	2455	1997-11-30	VYDAJ	VYBER	15	30280	SLUZBY	\N	\N
716826	2455	1997-12-31	VYDAJ	VYBER	15	30692	SLUZBY	\N	\N
716827	2455	1998-01-31	VYDAJ	VYBER	15	26233	SLUZBY	\N	\N
716828	2455	1998-02-28	VYDAJ	VYBER	15	29290	SLUZBY	\N	\N
716829	2455	1998-03-31	VYDAJ	VYBER	15	32361	SLUZBY	\N	\N
716830	2455	1998-04-30	VYDAJ	VYBER	15	28468	SLUZBY	\N	\N
716831	2455	1998-05-31	VYDAJ	VYBER	15	31535	SLUZBY	\N	\N
716832	2455	1998-06-30	VYDAJ	VYBER	15	28057	SLUZBY	\N	\N
716833	2455	1998-07-31	VYDAJ	VYBER	15	31122	SLUZBY	\N	\N
716834	2455	1998-08-31	VYDAJ	VYBER	15	34000	SLUZBY	\N	\N
716835	2455	1998-09-30	VYDAJ	VYBER	15	34688	SLUZBY	\N	\N
716836	2455	1998-10-31	VYDAJ	VYBER	15	32425	SLUZBY	\N	\N
716837	2455	1998-11-30	VYDAJ	VYBER	15	29143	SLUZBY	\N	\N
716838	2455	1997-12-03	VYDAJ	VYBER	1900	28380	\N	\N	\N
716839	2455	1998-06-01	VYDAJ	VYBER	400	31135	\N	\N	\N
716840	2455	1998-08-30	VYDAJ	VYBER	200	33876	\N	\N	\N
716841	2455	1998-09-29	VYDAJ	VYBER	2400	34554	\N	\N	\N
716842	2455	1998-10-29	VYDAJ	VYBER	1100	32302	\N	\N	\N
716843	2455	1998-11-28	VYDAJ	VYBER	3000	29019	\N	\N	\N
716867	2456	1995-09-09	PRIJEM	VKLAD	600	600	\N	\N	\N
716876	2456	1995-09-14	PRIJEM	PREVOD Z UCTU	25124	25724	\N	EF	23090493
716877	2456	1995-10-14	PRIJEM	PREVOD Z UCTU	25124	52009	\N	EF	23090493
716878	2456	1995-11-14	PRIJEM	PREVOD Z UCTU	25124	65404	\N	EF	23090493
716879	2456	1995-12-14	PRIJEM	PREVOD Z UCTU	37686	83238	\N	EF	23090493
716880	2456	1996-01-14	PRIJEM	PREVOD Z UCTU	25124	82078	\N	EF	23090493
716881	2456	1996-02-14	PRIJEM	PREVOD Z UCTU	25124	57057	\N	EF	23090493
716882	2456	1996-03-14	PRIJEM	PREVOD Z UCTU	25124	45881	\N	EF	23090493
716883	2456	1996-04-14	PRIJEM	PREVOD Z UCTU	25124	47431	\N	EF	23090493
716884	2456	1996-05-14	PRIJEM	PREVOD Z UCTU	25124	49173	\N	EF	23090493
716885	2456	1996-06-14	PRIJEM	PREVOD Z UCTU	37686	58187	\N	EF	23090493
716886	2456	1996-07-14	PRIJEM	PREVOD Z UCTU	25124	39291	\N	EF	23090493
716887	2456	1996-08-14	PRIJEM	PREVOD Z UCTU	25124	43287	\N	EF	23090493
716888	2456	1996-09-14	PRIJEM	PREVOD Z UCTU	25124	38527	\N	EF	23090493
716889	2456	1996-10-14	PRIJEM	PREVOD Z UCTU	25124	40604	\N	EF	23090493
716890	2456	1996-11-14	PRIJEM	PREVOD Z UCTU	25124	49820	\N	EF	23090493
716891	2456	1996-12-14	PRIJEM	PREVOD Z UCTU	37686	61539	\N	EF	23090493
716892	2456	1997-01-14	PRIJEM	PREVOD Z UCTU	25124	59609	\N	EF	23090493
716893	2456	1997-02-14	PRIJEM	PREVOD Z UCTU	25124	44056	\N	EF	23090493
716894	2456	1997-03-14	PRIJEM	PREVOD Z UCTU	25124	38153	\N	EF	23090493
716895	2456	1997-04-14	PRIJEM	PREVOD Z UCTU	25124	43125	\N	EF	23090493
716896	2456	1997-05-14	PRIJEM	PREVOD Z UCTU	25124	57734	\N	EF	23090493
716897	2456	1997-06-14	PRIJEM	PREVOD Z UCTU	37686	51975	\N	EF	23090493
716898	2456	1997-07-14	PRIJEM	PREVOD Z UCTU	25124	51135	\N	EF	23090493
716899	2456	1997-08-14	PRIJEM	PREVOD Z UCTU	25124	41759	\N	EF	23090493
716900	2456	1997-09-14	PRIJEM	PREVOD Z UCTU	25124	56295	\N	EF	23090493
716901	2456	1997-10-14	PRIJEM	PREVOD Z UCTU	25124	61370	\N	EF	23090493
716902	2456	1997-11-14	PRIJEM	PREVOD Z UCTU	25124	51166	\N	EF	23090493
716903	2456	1997-12-14	PRIJEM	PREVOD Z UCTU	37686	60103	\N	EF	23090493
716904	2456	1998-01-14	PRIJEM	PREVOD Z UCTU	25124	50577	\N	EF	23090493
716905	2456	1998-02-14	PRIJEM	PREVOD Z UCTU	25124	53216	\N	EF	23090493
716906	2456	1998-03-14	PRIJEM	PREVOD Z UCTU	25124	62280	\N	EF	23090493
716907	2456	1998-04-14	PRIJEM	PREVOD Z UCTU	25124	57785	\N	EF	23090493
716908	2456	1998-05-14	PRIJEM	PREVOD Z UCTU	25124	50351	\N	EF	23090493
716909	2456	1998-06-14	PRIJEM	PREVOD Z UCTU	37686	75593	\N	EF	23090493
716910	2456	1998-07-14	PRIJEM	PREVOD Z UCTU	25124	58202	\N	EF	23090493
716911	2456	1998-08-14	PRIJEM	PREVOD Z UCTU	25124	50601	\N	EF	23090493
716912	2456	1998-09-14	PRIJEM	PREVOD Z UCTU	25124	61980	\N	EF	23090493
716913	2456	1998-10-14	PRIJEM	PREVOD Z UCTU	25124	58434	\N	EF	23090493
716914	2456	1998-11-14	PRIJEM	PREVOD Z UCTU	25124	42248	\N	EF	23090493
716915	2456	1998-12-14	PRIJEM	PREVOD Z UCTU	37686	71136	\N	EF	23090493
716929	2456	1996-02-03	VYDAJ	VYBER	4400	61787	\N	\N	0
716930	2456	1996-03-09	VYDAJ	VYBER	4300	38865	\N	\N	0
716931	2456	1996-04-18	VYDAJ	VYBER	4100	43331	\N	\N	0
716932	2456	1996-05-12	VYDAJ	PREVOD NA UCET	4187	33603	UVER	YZ	58417534
716933	2456	1996-06-12	VYDAJ	PREVOD NA UCET	4187	20501	UVER	YZ	58417534
716934	2456	1996-07-12	VYDAJ	PREVOD NA UCET	4187	14167	UVER	YZ	58417534
716935	2456	1996-08-12	VYDAJ	PREVOD NA UCET	4187	18163	UVER	YZ	58417534
716936	2456	1996-09-12	VYDAJ	PREVOD NA UCET	4187	22957	UVER	YZ	58417534
716937	2456	1996-10-12	VYDAJ	PREVOD NA UCET	4187	15480	UVER	YZ	58417534
716938	2456	1996-11-12	VYDAJ	PREVOD NA UCET	4187	34250	UVER	YZ	58417534
716939	2456	1996-12-12	VYDAJ	PREVOD NA UCET	4187	23853	UVER	YZ	58417534
716940	2456	1997-01-12	VYDAJ	PREVOD NA UCET	4187	34485	UVER	YZ	58417534
716941	2456	1997-02-12	VYDAJ	PREVOD NA UCET	4187	18932	UVER	YZ	58417534
716942	2456	1997-03-12	VYDAJ	PREVOD NA UCET	4187	22583	UVER	YZ	58417534
716943	2456	1997-04-12	VYDAJ	PREVOD NA UCET	4187	18001	UVER	YZ	58417534
716944	2456	1997-05-12	VYDAJ	PREVOD NA UCET	4187	32610	UVER	YZ	58417534
716945	2456	1997-06-12	VYDAJ	PREVOD NA UCET	4187	14289	UVER	YZ	58417534
716946	2456	1997-07-12	VYDAJ	PREVOD NA UCET	4187	26011	UVER	YZ	58417534
716947	2456	1997-08-12	VYDAJ	PREVOD NA UCET	4187	26189	UVER	YZ	58417534
716948	2456	1997-09-12	VYDAJ	PREVOD NA UCET	4187	31171	UVER	YZ	58417534
716949	2456	1997-10-12	VYDAJ	PREVOD NA UCET	4187	36246	UVER	YZ	58417534
716950	2456	1997-11-12	VYDAJ	PREVOD NA UCET	4187	35596	UVER	YZ	58417534
716951	2456	1997-12-12	VYDAJ	PREVOD NA UCET	4187	22417	UVER	YZ	58417534
716952	2456	1998-01-12	VYDAJ	PREVOD NA UCET	4187	25453	UVER	YZ	58417534
716953	2456	1998-02-12	VYDAJ	PREVOD NA UCET	4187	37646	UVER	YZ	58417534
716954	2456	1998-03-12	VYDAJ	PREVOD NA UCET	4187	37156	UVER	YZ	58417534
716955	2456	1998-04-12	VYDAJ	PREVOD NA UCET	4187	42215	UVER	YZ	58417534
716956	2456	1998-05-12	VYDAJ	PREVOD NA UCET	4187	25227	UVER	YZ	58417534
716957	2456	1998-06-12	VYDAJ	PREVOD NA UCET	4187	47461	UVER	YZ	58417534
716958	2456	1998-07-12	VYDAJ	PREVOD NA UCET	4187	33078	UVER	YZ	58417534
716959	2456	1998-08-12	VYDAJ	PREVOD NA UCET	4187	35031	UVER	YZ	58417534
716960	2456	1998-09-12	VYDAJ	PREVOD NA UCET	4187	46410	UVER	YZ	58417534
716961	2456	1998-10-12	VYDAJ	PREVOD NA UCET	4187	33310	UVER	YZ	58417534
716962	2456	1998-11-12	VYDAJ	PREVOD NA UCET	4187	26678	UVER	YZ	58417534
716963	2456	1998-12-12	VYDAJ	PREVOD NA UCET	4187	33450	UVER	YZ	58417534
716977	2456	1996-02-12	VYDAJ	PREVOD NA UCET	9554	31933	SIPO	KL	71291804
716978	2456	1996-03-12	VYDAJ	PREVOD NA UCET	9554	29311	SIPO	KL	71291804
716979	2456	1996-04-12	VYDAJ	PREVOD NA UCET	9554	22307	SIPO	KL	71291804
716980	2456	1996-05-12	VYDAJ	PREVOD NA UCET	9554	24049	SIPO	KL	71291804
716981	2456	1996-06-12	VYDAJ	PREVOD NA UCET	9554	24688	SIPO	KL	71291804
716982	2456	1996-07-12	VYDAJ	PREVOD NA UCET	9554	18354	SIPO	KL	71291804
716983	2456	1996-08-12	VYDAJ	PREVOD NA UCET	9554	22350	SIPO	KL	71291804
716984	2456	1996-09-12	VYDAJ	PREVOD NA UCET	9554	13403	SIPO	KL	71291804
716985	2456	1996-10-12	VYDAJ	PREVOD NA UCET	9554	19667	SIPO	KL	71291804
716986	2456	1996-11-12	VYDAJ	PREVOD NA UCET	9554	24696	SIPO	KL	71291804
716987	2456	1996-12-12	VYDAJ	PREVOD NA UCET	9554	28040	SIPO	KL	71291804
716988	2456	1997-01-12	VYDAJ	PREVOD NA UCET	9554	38672	SIPO	KL	71291804
716989	2456	1997-02-12	VYDAJ	PREVOD NA UCET	9554	23119	SIPO	KL	71291804
716990	2456	1997-03-12	VYDAJ	PREVOD NA UCET	9554	13029	SIPO	KL	71291804
716991	2456	1997-04-12	VYDAJ	PREVOD NA UCET	9554	22188	SIPO	KL	71291804
716992	2456	1997-05-12	VYDAJ	PREVOD NA UCET	9554	36797	SIPO	KL	71291804
716993	2456	1997-06-12	VYDAJ	PREVOD NA UCET	9554	18476	SIPO	KL	71291804
716994	2456	1997-07-12	VYDAJ	PREVOD NA UCET	9554	30198	SIPO	KL	71291804
716995	2456	1997-08-12	VYDAJ	PREVOD NA UCET	9554	16635	SIPO	KL	71291804
716996	2456	1997-09-12	VYDAJ	PREVOD NA UCET	9554	35358	SIPO	KL	71291804
716997	2456	1997-10-12	VYDAJ	PREVOD NA UCET	9554	40433	SIPO	KL	71291804
716998	2456	1997-11-12	VYDAJ	PREVOD NA UCET	9554	26042	SIPO	KL	71291804
716999	2456	1997-12-12	VYDAJ	PREVOD NA UCET	9554	26605	SIPO	KL	71291804
717000	2456	1998-01-12	VYDAJ	PREVOD NA UCET	9554	29640	SIPO	KL	71291804
717001	2456	1998-02-12	VYDAJ	PREVOD NA UCET	9554	28092	SIPO	KL	71291804
717002	2456	1998-03-12	VYDAJ	PREVOD NA UCET	9554	41344	SIPO	KL	71291804
717003	2456	1998-04-12	VYDAJ	PREVOD NA UCET	9554	32661	SIPO	KL	71291804
717004	2456	1998-05-12	VYDAJ	PREVOD NA UCET	9554	29414	SIPO	KL	71291804
717005	2456	1998-06-12	VYDAJ	PREVOD NA UCET	9554	37907	SIPO	KL	71291804
717006	2456	1998-07-12	VYDAJ	PREVOD NA UCET	9554	37265	SIPO	KL	71291804
717007	2456	1998-08-12	VYDAJ	PREVOD NA UCET	9554	25477	SIPO	KL	71291804
717008	2456	1998-09-12	VYDAJ	PREVOD NA UCET	9554	36856	SIPO	KL	71291804
717009	2456	1998-10-12	VYDAJ	PREVOD NA UCET	9554	37498	SIPO	KL	71291804
717010	2456	1998-11-12	VYDAJ	PREVOD NA UCET	9554	17124	SIPO	KL	71291804
717011	2456	1998-12-12	VYDAJ	PREVOD NA UCET	9554	37638	SIPO	KL	71291804
717012	2456	1996-05-29	VYBER	VYBER	15651	31176	\N	\N	\N
717013	2456	1996-08-08	VYBER	VYBER	5196	31904	\N	\N	\N
717014	2456	1996-08-26	VYBER	VYBER	17973	25314	\N	\N	\N
717015	2456	1996-05-25	VYBER	VYBER	2346	46827	\N	\N	\N
717016	2456	1996-03-13	VYBER	VYBER	8554	20757	\N	\N	\N
717017	2456	1996-10-03	VYBER	VYBER	17619	29221	\N	\N	\N
717019	2456	1997-03-03	VYBER	VYBER	15429	26771	\N	\N	\N
717020	2456	1997-12-21	VYBER	VYBER	19088	41015	\N	\N	\N
717021	2456	1997-03-15	VYBER	VYBER	15800	22353	\N	\N	\N
717022	2456	1997-07-14	VYBER	VYBER	16695	34440	\N	\N	\N
717023	2456	1997-06-29	VYBER	VYBER	11609	40366	\N	\N	\N
717025	2456	1998-10-20	VYBER	VYBER	10167	48267	\N	\N	\N
717026	2456	1998-08-01	VYBER	VYBER	17598	39218	\N	\N	\N
717027	2456	1998-06-22	VYBER	VYBER	18403	57190	\N	\N	\N
717028	2456	1998-10-25	VYBER	VYBER	17474	30693	\N	\N	\N
717029	2456	1998-03-26	VYBER	VYBER	16085	46195	\N	\N	\N
717030	2456	1998-07-12	VYBER	VYBER	8799	46819	\N	\N	\N
717032	2456	1998-09-16	VYBER	VYBER	15114	46866	\N	\N	\N
717033	2456	1998-05-02	VYBER	VYBER	17417	38968	\N	\N	\N
717034	2456	1998-12-18	VYBER	VYBER	16946	52090	\N	\N	\N
717036	2456	1996-06-20	VYDAJ	VYBER	36000	22187	\N	\N	\N
717037	2456	1997-06-03	VYDAJ	VYBER	22500	28030	\N	\N	\N
717040	2456	1996-01-23	VYDAJ	VYBER	16200	65878	\N	\N	\N
717041	2456	1997-01-16	VYDAJ	VYBER	27900	31709	\N	\N	\N
717042	2456	1998-01-22	VYDAJ	VYBER	16500	34077	\N	\N	\N
717044	2456	1996-12-14	VYDAJ	VYBER	4500	57039	\N	\N	\N
717045	2456	1997-12-26	VYDAJ	VYBER	8400	32615	\N	\N	\N
717046	2456	1998-12-23	VYDAJ	VYBER	3900	43690	\N	\N	\N
717051	2456	1996-08-30	VYDAJ	VYBER	3900	21414	\N	\N	\N
717052	2456	1996-02-05	VYDAJ	VYBER	5100	56687	\N	\N	\N
717053	2456	1996-07-14	VYDAJ	VYBER	3900	35391	\N	\N	\N
717054	2456	1996-04-08	VYDAJ	VYBER	6600	31861	\N	\N	\N
717056	2456	1996-12-02	VYDAJ	VYBER	8400	41594	\N	\N	\N
717057	2456	1997-12-04	VYDAJ	VYBER	13500	36159	\N	\N	\N
717058	2456	1997-11-04	VYDAJ	VYBER	13200	39783	\N	\N	\N
717059	2456	1997-08-07	VYDAJ	VYBER	9300	30377	\N	\N	\N
717060	2456	1998-09-22	VYDAJ	VYBER	6300	40566	\N	\N	\N
717061	2456	1998-11-14	VYDAJ	VYBER	1800	40448	\N	\N	\N
717062	2456	1998-06-22	VYDAJ	VYBER	2700	54490	\N	\N	\N
717063	2456	1998-12-17	VYDAJ	VYBER	2100	69036	\N	\N	\N
717077	2456	1996-01-31	VYDAJ	VYBER	15	66187	SLUZBY	\N	\N
717078	2456	1996-02-29	VYDAJ	VYBER	15	57265	SLUZBY	\N	\N
717079	2456	1996-03-31	VYDAJ	VYBER	15	46061	SLUZBY	\N	\N
717080	2456	1996-04-30	VYDAJ	VYBER	15	43490	SLUZBY	\N	\N
717081	2456	1996-05-31	VYDAJ	VYBER	15	31342	SLUZBY	\N	\N
717082	2456	1996-06-30	VYDAJ	VYBER	15	22308	SLUZBY	\N	\N
717083	2456	1996-07-31	VYDAJ	VYBER	15	35500	SLUZBY	\N	\N
717084	2456	1996-08-31	VYDAJ	VYBER	15	21545	SLUZBY	\N	\N
717085	2456	1996-09-30	VYDAJ	VYBER	15	38640	SLUZBY	\N	\N
717086	2456	1996-10-31	VYDAJ	VYBER	15	40737	SLUZBY	\N	\N
717087	2456	1996-11-30	VYDAJ	VYBER	15	49994	SLUZBY	\N	\N
717088	2456	1996-12-31	VYDAJ	VYBER	15	57226	SLUZBY	\N	\N
717089	2456	1997-01-31	VYDAJ	VYBER	15	32673	SLUZBY	\N	\N
717090	2456	1997-02-28	VYDAJ	VYBER	15	44200	SLUZBY	\N	\N
717091	2456	1997-03-31	VYDAJ	VYBER	15	22442	SLUZBY	\N	\N
717092	2456	1997-04-30	VYDAJ	VYBER	15	43251	SLUZBY	\N	\N
717093	2456	1997-05-31	VYDAJ	VYBER	15	50530	SLUZBY	\N	\N
717094	2456	1997-06-30	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
717095	2456	1997-07-31	VYDAJ	VYBER	15	39677	SLUZBY	\N	\N
717096	2456	1997-08-31	VYDAJ	VYBER	15	44912	SLUZBY	\N	\N
717097	2456	1997-09-30	VYDAJ	VYBER	15	49987	SLUZBY	\N	\N
717098	2456	1997-10-31	VYDAJ	VYBER	15	52983	SLUZBY	\N	\N
717099	2456	1997-11-30	VYDAJ	VYBER	15	49659	SLUZBY	\N	\N
717100	2456	1997-12-31	VYDAJ	VYBER	15	39194	SLUZBY	\N	\N
717101	2456	1998-01-31	VYDAJ	VYBER	15	41833	SLUZBY	\N	\N
717102	2456	1998-02-28	VYDAJ	VYBER	15	50898	SLUZBY	\N	\N
717103	2456	1998-03-31	VYDAJ	VYBER	15	46403	SLUZBY	\N	\N
717104	2456	1998-04-30	VYDAJ	VYBER	15	56385	SLUZBY	\N	\N
717105	2456	1998-05-31	VYDAJ	VYBER	15	51649	SLUZBY	\N	\N
717106	2456	1998-06-30	VYDAJ	VYBER	15	55618	SLUZBY	\N	\N
717107	2456	1998-07-31	VYDAJ	VYBER	15	56816	SLUZBY	\N	\N
717108	2456	1998-08-31	VYDAJ	VYBER	15	50598	SLUZBY	\N	\N
717109	2456	1998-09-30	VYDAJ	VYBER	15	47052	SLUZBY	\N	\N
717110	2456	1998-10-31	VYDAJ	VYBER	15	30865	SLUZBY	\N	\N
717111	2456	1998-11-30	VYDAJ	VYBER	15	47192	SLUZBY	\N	\N
717112	2456	1995-10-09	PRIJEM	VKLAD	1100	26885	\N	\N	\N
717113	2456	1995-11-08	VYDAJ	VYBER	11900	40280	\N	\N	\N
717114	2456	1995-12-08	VYDAJ	VYBER	20100	45552	\N	\N	\N
717115	2456	1996-01-07	VYDAJ	VYBER	26600	56954	\N	\N	\N
717116	2456	1996-02-06	VYDAJ	VYBER	15200	41487	\N	\N	\N
717117	2456	1996-03-07	VYDAJ	VYBER	14100	43165	\N	\N	\N
717118	2456	1996-04-06	VYDAJ	VYBER	7600	38461	\N	\N	\N
717119	2456	1996-05-06	VYDAJ	VYBER	5700	37790	\N	\N	\N
717120	2456	1996-06-05	PRIJEM	VKLAD	2900	34242	\N	\N	\N
717121	2456	1996-07-05	PRIJEM	VKLAD	5600	27908	\N	\N	\N
717122	2456	1996-08-04	PRIJEM	VKLAD	1600	37100	\N	\N	\N
717123	2456	1996-09-03	PRIJEM	VKLAD	5600	27145	\N	\N	\N
717124	2456	1996-10-03	PRIJEM	VKLAD	8200	46840	\N	\N	\N
717125	2456	1996-11-02	VYDAJ	VYBER	2300	38437	\N	\N	\N
717126	2456	1996-12-02	VYDAJ	VYBER	4000	37594	\N	\N	\N
717127	2456	1997-01-01	VYDAJ	VYBER	9000	48226	\N	\N	\N
717128	2456	1997-01-31	PRIJEM	VKLAD	800	32509	\N	\N	\N
717129	2456	1997-03-02	VYDAJ	VYBER	2000	42200	\N	\N	\N
717130	2456	1997-04-01	PRIJEM	VKLAD	9300	31742	\N	\N	\N
717131	2456	1997-05-01	PRIJEM	VKLAD	3100	46351	\N	\N	\N
717132	2456	1997-05-31	VYDAJ	VYBER	7400	50545	\N	\N	\N
717133	2456	1997-06-30	VYDAJ	VYBER	800	39767	\N	\N	\N
717134	2456	1997-07-30	PRIJEM	VKLAD	5100	39540	\N	\N	\N
717135	2456	1997-08-29	PRIJEM	VKLAD	3000	44759	\N	\N	\N
717136	2456	1997-09-28	VYDAJ	VYBER	6500	49795	\N	\N	\N
717137	2456	1997-10-28	VYDAJ	VYBER	8600	52770	\N	\N	\N
717138	2456	1997-11-27	VYDAJ	VYBER	1700	49466	\N	\N	\N
717139	2456	1997-12-27	PRIJEM	VKLAD	6400	39015	\N	\N	\N
717140	2456	1998-01-26	PRIJEM	VKLAD	7600	41677	\N	\N	\N
717141	2456	1998-02-25	VYDAJ	VYBER	2500	50716	\N	\N	\N
717142	2456	1998-04-26	VYDAJ	VYBER	1600	56185	\N	\N	\N
717143	2456	1998-05-26	PRIJEM	VKLAD	1100	51451	\N	\N	\N
717144	2456	1998-06-25	PRIJEM	VKLAD	900	55390	\N	\N	\N
717145	2456	1998-07-25	VYDAJ	VYBER	1600	56602	\N	\N	\N
717146	2456	1998-08-24	VYDAJ	VYBER	200	50401	\N	\N	\N
717147	2456	1998-09-23	PRIJEM	VKLAD	6300	46866	\N	\N	\N
717148	2456	1998-10-23	VYDAJ	VYBER	100	48167	\N	\N	\N
717149	2456	1998-11-22	PRIJEM	VKLAD	6600	47048	\N	\N	\N
717150	2456	1998-12-22	VYDAJ	VYBER	4500	47590	\N	\N	\N
717191	2457	1993-11-11	PRIJEM	VKLAD	500	500	\N	\N	\N
717203	2457	1993-12-10	PRIJEM	VKLAD	8628	9128	\N	\N	\N
717204	2457	1994-01-10	PRIJEM	VKLAD	5752	24332	\N	\N	\N
717205	2457	1994-02-10	PRIJEM	VKLAD	5752	31077	\N	\N	\N
717206	2457	1994-03-10	PRIJEM	VKLAD	5752	36948	\N	\N	\N
717207	2457	1994-04-10	PRIJEM	VKLAD	5752	35425	\N	\N	\N
717208	2457	1994-05-10	PRIJEM	VKLAD	5752	33450	\N	\N	\N
717209	2457	1994-06-10	PRIJEM	VKLAD	8628	30746	\N	\N	\N
717210	2457	1994-07-10	PRIJEM	VKLAD	5752	30162	\N	\N	\N
717211	2457	1994-08-10	PRIJEM	VKLAD	5752	33478	\N	\N	\N
717212	2457	1994-09-10	PRIJEM	VKLAD	5752	29203	\N	\N	\N
717213	2457	1994-10-10	PRIJEM	VKLAD	5752	31217	\N	\N	\N
717214	2457	1994-11-10	PRIJEM	VKLAD	5752	30733	\N	\N	\N
717215	2457	1994-12-10	PRIJEM	VKLAD	8628	31922	\N	\N	\N
717216	2457	1995-01-10	PRIJEM	VKLAD	5752	27639	\N	\N	\N
717217	2457	1995-02-10	PRIJEM	VKLAD	5752	27647	\N	\N	\N
717218	2457	1995-03-10	PRIJEM	VKLAD	5752	29851	\N	\N	\N
717219	2457	1995-04-10	PRIJEM	VKLAD	5752	26158	\N	\N	\N
717220	2457	1995-05-10	PRIJEM	VKLAD	5752	29158	\N	\N	\N
717221	2457	1995-06-10	PRIJEM	VKLAD	8628	32941	\N	\N	\N
717222	2457	1995-07-10	PRIJEM	VKLAD	5752	31563	\N	\N	\N
717223	2457	1995-08-10	PRIJEM	VKLAD	5752	29185	\N	\N	\N
717224	2457	1995-09-10	PRIJEM	VKLAD	5752	30699	\N	\N	\N
717225	2457	1995-10-10	PRIJEM	VKLAD	5752	30714	\N	\N	\N
717226	2457	1995-11-10	PRIJEM	VKLAD	5752	29332	\N	\N	\N
717227	2457	1995-12-10	PRIJEM	VKLAD	8628	31021	\N	\N	\N
717228	2457	1996-01-10	PRIJEM	VKLAD	5752	28032	\N	\N	\N
717229	2457	1996-02-10	PRIJEM	VKLAD	5752	30833	\N	\N	\N
717230	2457	1996-03-10	PRIJEM	VKLAD	5752	29044	\N	\N	\N
717231	2457	1996-04-10	PRIJEM	VKLAD	5752	28248	\N	\N	\N
717232	2457	1996-05-10	PRIJEM	VKLAD	5752	27348	\N	\N	\N
717233	2457	1996-06-10	PRIJEM	VKLAD	8628	26620	\N	\N	\N
717234	2457	1996-07-10	PRIJEM	VKLAD	5752	26808	\N	\N	\N
717235	2457	1996-08-10	PRIJEM	VKLAD	5752	26001	\N	\N	\N
717236	2457	1996-09-10	PRIJEM	VKLAD	5752	25284	\N	\N	\N
717237	2457	1996-10-10	PRIJEM	VKLAD	5752	23771	\N	\N	\N
717238	2457	1996-11-10	PRIJEM	VKLAD	5752	21251	\N	\N	\N
717239	2457	1996-12-10	PRIJEM	VKLAD	8628	21595	\N	\N	\N
717240	2457	1997-01-10	PRIJEM	VKLAD	5752	22861	\N	\N	\N
717241	2457	1997-02-10	PRIJEM	VKLAD	5752	18732	\N	\N	\N
717242	2457	1997-03-10	PRIJEM	VKLAD	5752	17890	\N	\N	\N
717243	2457	1997-04-10	PRIJEM	VKLAD	5752	18246	\N	\N	\N
717244	2457	1997-05-10	PRIJEM	VKLAD	5752	17902	\N	\N	\N
717245	2457	1997-06-10	PRIJEM	VKLAD	8628	22735	\N	\N	\N
717246	2457	1997-07-10	PRIJEM	VKLAD	5752	23607	\N	\N	\N
717247	2457	1997-08-10	PRIJEM	VKLAD	5752	19581	\N	\N	\N
717248	2457	1997-09-10	PRIJEM	VKLAD	5752	21545	\N	\N	\N
717249	2457	1997-10-10	PRIJEM	VKLAD	5752	23517	\N	\N	\N
717250	2457	1997-11-10	PRIJEM	VKLAD	5752	21291	\N	\N	\N
717251	2457	1997-12-10	PRIJEM	VKLAD	8628	24535	\N	\N	\N
717252	2457	1998-01-10	PRIJEM	VKLAD	5752	23309	\N	\N	\N
717253	2457	1998-02-10	PRIJEM	VKLAD	5752	20680	\N	\N	\N
717254	2457	1998-03-10	PRIJEM	VKLAD	5752	24350	\N	\N	\N
717255	2457	1998-04-10	PRIJEM	VKLAD	5752	24932	\N	\N	\N
717256	2457	1998-05-10	PRIJEM	VKLAD	5752	27418	\N	\N	\N
717257	2457	1998-06-10	PRIJEM	VKLAD	8628	29790	\N	\N	\N
717258	2457	1998-07-10	PRIJEM	VKLAD	5752	25886	\N	\N	\N
717259	2457	1998-08-10	PRIJEM	VKLAD	5752	26272	\N	\N	\N
717260	2457	1998-09-10	PRIJEM	VKLAD	5752	24355	\N	\N	\N
717261	2457	1998-10-10	PRIJEM	VKLAD	5752	20426	\N	\N	\N
717262	2457	1998-11-10	PRIJEM	VKLAD	5752	18283	\N	\N	\N
717263	2457	1998-12-10	PRIJEM	VKLAD	8628	23319	\N	\N	\N
717279	2457	1994-04-14	VYDAJ	PREVOD NA UCET	3834	27591	SIPO	UV	35646599
717280	2457	1994-05-14	VYDAJ	PREVOD NA UCET	3834	26516	SIPO	UV	35646599
717281	2457	1994-06-14	VYDAJ	PREVOD NA UCET	3834	26912	SIPO	UV	35646599
717282	2457	1994-07-14	VYDAJ	PREVOD NA UCET	3834	26328	SIPO	UV	35646599
717283	2457	1994-08-14	VYDAJ	PREVOD NA UCET	3834	29644	SIPO	UV	35646599
717284	2457	1994-09-14	VYDAJ	PREVOD NA UCET	3834	25369	SIPO	UV	35646599
717285	2457	1994-10-14	VYDAJ	PREVOD NA UCET	3834	27383	SIPO	UV	35646599
717286	2457	1994-11-14	VYDAJ	PREVOD NA UCET	3834	26899	SIPO	UV	35646599
717287	2457	1994-12-14	VYDAJ	PREVOD NA UCET	3834	28088	SIPO	UV	35646599
717288	2457	1995-01-14	VYDAJ	PREVOD NA UCET	3834	23805	SIPO	UV	35646599
717289	2457	1995-02-14	VYDAJ	PREVOD NA UCET	3834	23813	SIPO	UV	35646599
717290	2457	1995-03-14	VYDAJ	PREVOD NA UCET	3834	26017	SIPO	UV	35646599
717291	2457	1995-04-14	VYDAJ	PREVOD NA UCET	3834	22324	SIPO	UV	35646599
717292	2457	1995-05-14	VYDAJ	PREVOD NA UCET	3834	25324	SIPO	UV	35646599
717293	2457	1995-06-14	VYDAJ	PREVOD NA UCET	3834	29107	SIPO	UV	35646599
717294	2457	1995-07-14	VYDAJ	PREVOD NA UCET	3834	27729	SIPO	UV	35646599
717295	2457	1995-08-14	VYDAJ	PREVOD NA UCET	3834	25351	SIPO	UV	35646599
717296	2457	1995-09-14	VYDAJ	PREVOD NA UCET	3834	26865	SIPO	UV	35646599
717297	2457	1995-10-14	VYDAJ	PREVOD NA UCET	3834	26880	SIPO	UV	35646599
717298	2457	1995-11-14	VYDAJ	PREVOD NA UCET	3834	25498	SIPO	UV	35646599
717299	2457	1995-12-14	VYDAJ	PREVOD NA UCET	3834	26487	SIPO	UV	35646599
717300	2457	1996-01-14	VYDAJ	PREVOD NA UCET	3834	24198	SIPO	UV	35646599
717301	2457	1996-02-14	VYDAJ	PREVOD NA UCET	3834	26999	SIPO	UV	35646599
717302	2457	1996-03-14	VYDAJ	PREVOD NA UCET	3834	25210	SIPO	UV	35646599
717303	2457	1996-04-14	VYDAJ	PREVOD NA UCET	3834	24414	SIPO	UV	35646599
717304	2457	1996-05-14	VYDAJ	PREVOD NA UCET	3834	23514	SIPO	UV	35646599
717305	2457	1996-06-14	VYDAJ	PREVOD NA UCET	3834	22786	SIPO	UV	35646599
717306	2457	1996-07-14	VYDAJ	PREVOD NA UCET	3834	22974	SIPO	UV	35646599
717307	2457	1996-08-14	VYDAJ	PREVOD NA UCET	3834	18167	SIPO	UV	35646599
717308	2457	1996-09-14	VYDAJ	PREVOD NA UCET	3834	21450	SIPO	UV	35646599
717309	2457	1996-10-14	VYDAJ	PREVOD NA UCET	3834	19937	SIPO	UV	35646599
717310	2457	1996-11-14	VYDAJ	PREVOD NA UCET	3834	17417	SIPO	UV	35646599
717311	2457	1996-12-14	VYDAJ	PREVOD NA UCET	3834	17761	SIPO	UV	35646599
717312	2457	1997-01-14	VYDAJ	PREVOD NA UCET	3834	19027	SIPO	UV	35646599
717313	2457	1997-02-14	VYDAJ	PREVOD NA UCET	3834	14898	SIPO	UV	35646599
717314	2457	1997-03-14	VYDAJ	PREVOD NA UCET	3834	14056	SIPO	UV	35646599
717315	2457	1997-04-14	VYDAJ	PREVOD NA UCET	3834	14412	SIPO	UV	35646599
717316	2457	1997-05-14	VYDAJ	PREVOD NA UCET	3834	14068	SIPO	UV	35646599
717317	2457	1997-06-14	VYDAJ	PREVOD NA UCET	3834	18901	SIPO	UV	35646599
717318	2457	1997-07-14	VYDAJ	PREVOD NA UCET	3834	19773	SIPO	UV	35646599
717319	2457	1997-08-14	VYDAJ	PREVOD NA UCET	3834	15747	SIPO	UV	35646599
717320	2457	1997-09-14	VYDAJ	PREVOD NA UCET	3834	17711	SIPO	UV	35646599
717321	2457	1997-10-14	VYDAJ	PREVOD NA UCET	3834	19683	SIPO	UV	35646599
717322	2457	1997-11-14	VYDAJ	PREVOD NA UCET	3834	17457	SIPO	UV	35646599
717323	2457	1997-12-14	VYDAJ	PREVOD NA UCET	3834	20701	SIPO	UV	35646599
717324	2457	1998-01-14	VYDAJ	PREVOD NA UCET	3834	19475	SIPO	UV	35646599
717325	2457	1998-02-14	VYDAJ	PREVOD NA UCET	3834	16846	SIPO	UV	35646599
717326	2457	1998-03-14	VYDAJ	PREVOD NA UCET	3834	20516	SIPO	UV	35646599
717327	2457	1998-04-14	VYDAJ	PREVOD NA UCET	3834	21098	SIPO	UV	35646599
717328	2457	1998-05-14	VYDAJ	PREVOD NA UCET	3834	23584	SIPO	UV	35646599
717329	2457	1998-06-14	VYDAJ	PREVOD NA UCET	3834	25456	SIPO	UV	35646599
717330	2457	1998-07-14	VYDAJ	PREVOD NA UCET	3834	22052	SIPO	UV	35646599
717331	2457	1998-08-14	VYDAJ	PREVOD NA UCET	3834	22438	SIPO	UV	35646599
717332	2457	1998-09-14	VYDAJ	PREVOD NA UCET	3834	20521	SIPO	UV	35646599
717333	2457	1998-10-14	VYDAJ	PREVOD NA UCET	3834	12492	SIPO	UV	35646599
717334	2457	1998-11-14	VYDAJ	PREVOD NA UCET	3834	14449	SIPO	UV	35646599
717335	2457	1998-12-14	VYDAJ	PREVOD NA UCET	3834	19485	SIPO	UV	35646599
717337	2457	1994-12-26	VYDAJ	VYBER	700	27388	\N	\N	\N
717338	2457	1995-12-11	VYDAJ	VYBER	700	30321	\N	\N	\N
717339	2457	1996-12-15	VYDAJ	VYBER	700	17061	\N	\N	\N
717340	2457	1997-12-17	VYDAJ	VYBER	2100	18601	\N	\N	\N
717341	2457	1998-12-04	VYDAJ	VYBER	1000	14691	\N	\N	\N
717344	2457	1994-09-02	VYDAJ	VYBER	3300	26451	\N	\N	\N
717346	2457	1994-12-04	VYDAJ	VYBER	4700	19394	\N	\N	\N
717347	2457	1994-09-24	VYDAJ	VYBER	600	24769	\N	\N	\N
717348	2457	1994-04-10	VYDAJ	VYBER	800	34625	\N	\N	\N
717349	2457	1994-06-06	VYDAJ	VYBER	4700	21918	\N	\N	\N
717350	2457	1994-11-19	VYDAJ	VYBER	2900	23999	\N	\N	\N
717351	2457	1995-01-05	VYDAJ	VYBER	3700	21887	\N	\N	\N
717352	2457	1995-02-08	VYDAJ	VYBER	3300	21895	\N	\N	\N
717353	2457	1995-12-20	VYDAJ	VYBER	1500	24987	\N	\N	\N
717354	2457	1995-01-02	VYDAJ	VYBER	2100	25387	\N	\N	\N
717355	2457	1995-03-18	VYDAJ	VYBER	1400	24617	\N	\N	\N
717356	2457	1995-03-27	VYDAJ	VYBER	1600	23017	\N	\N	\N
717357	2457	1996-05-29	VYDAJ	VYBER	1900	21614	\N	\N	\N
717358	2457	1996-08-12	VYDAJ	VYBER	4000	22001	\N	\N	\N
717359	2457	1996-09-30	VYDAJ	VYBER	1200	18019	\N	\N	\N
717360	2457	1996-06-26	VYDAJ	VYBER	2000	20786	\N	\N	\N
717361	2457	1997-06-28	VYDAJ	VYBER	1100	17801	\N	\N	\N
717365	2457	1997-01-20	VYDAJ	VYBER	1900	17127	\N	\N	\N
717366	2457	1998-10-12	VYDAJ	VYBER	4100	16326	\N	\N	\N
717369	2457	1998-06-24	VYDAJ	VYBER	1900	20056	\N	\N	\N
717370	2457	1998-06-10	VYDAJ	VYBER	500	29290	\N	\N	\N
717373	2457	1998-05-30	VYDAJ	VYBER	2800	21084	\N	\N	\N
717390	2457	1994-04-30	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
717391	2457	1994-05-31	VYDAJ	VYBER	15	26618	SLUZBY	\N	\N
717392	2457	1994-06-30	VYDAJ	VYBER	15	27010	SLUZBY	\N	\N
717393	2457	1994-07-31	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
717394	2457	1994-08-31	VYDAJ	VYBER	15	29751	SLUZBY	\N	\N
717395	2457	1994-09-30	VYDAJ	VYBER	15	24865	SLUZBY	\N	\N
717396	2457	1994-10-31	VYDAJ	VYBER	15	27481	SLUZBY	\N	\N
717397	2457	1994-11-30	VYDAJ	VYBER	15	24094	SLUZBY	\N	\N
717398	2457	1994-12-31	VYDAJ	VYBER	15	27487	SLUZBY	\N	\N
717399	2457	1995-01-31	VYDAJ	VYBER	15	23895	SLUZBY	\N	\N
717400	2457	1995-02-28	VYDAJ	VYBER	15	23899	SLUZBY	\N	\N
717401	2457	1995-03-31	VYDAJ	VYBER	15	23106	SLUZBY	\N	\N
717402	2457	1995-04-30	VYDAJ	VYBER	15	22406	SLUZBY	\N	\N
717403	2457	1995-05-31	VYDAJ	VYBER	15	25413	SLUZBY	\N	\N
717404	2457	1995-06-30	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
717405	2457	1995-07-31	VYDAJ	VYBER	15	27833	SLUZBY	\N	\N
717406	2457	1995-08-31	VYDAJ	VYBER	15	25447	SLUZBY	\N	\N
717407	2457	1995-09-30	VYDAJ	VYBER	15	26962	SLUZBY	\N	\N
717408	2457	1995-10-31	VYDAJ	VYBER	15	26980	SLUZBY	\N	\N
717409	2457	1995-11-30	VYDAJ	VYBER	15	25593	SLUZBY	\N	\N
717410	2457	1995-12-31	VYDAJ	VYBER	15	22280	SLUZBY	\N	\N
717411	2457	1996-01-31	VYDAJ	VYBER	15	25081	SLUZBY	\N	\N
717412	2457	1996-02-29	VYDAJ	VYBER	15	23292	SLUZBY	\N	\N
717413	2457	1996-03-31	VYDAJ	VYBER	15	22496	SLUZBY	\N	\N
717414	2457	1996-04-30	VYDAJ	VYBER	15	21596	SLUZBY	\N	\N
717415	2457	1996-05-31	VYDAJ	VYBER	15	17992	SLUZBY	\N	\N
717416	2457	1996-06-30	VYDAJ	VYBER	15	21056	SLUZBY	\N	\N
717417	2457	1996-07-31	VYDAJ	VYBER	15	20249	SLUZBY	\N	\N
717418	2457	1996-08-31	VYDAJ	VYBER	15	19532	SLUZBY	\N	\N
717419	2457	1996-09-30	VYDAJ	VYBER	15	19219	SLUZBY	\N	\N
717420	2457	1996-10-31	VYDAJ	VYBER	15	15499	SLUZBY	\N	\N
717421	2457	1996-11-30	VYDAJ	VYBER	15	12967	SLUZBY	\N	\N
717422	2457	1996-12-31	VYDAJ	VYBER	15	17109	SLUZBY	\N	\N
717423	2457	1997-01-31	VYDAJ	VYBER	15	12980	SLUZBY	\N	\N
717424	2457	1997-02-28	VYDAJ	VYBER	15	12138	SLUZBY	\N	\N
717425	2457	1997-03-31	VYDAJ	VYBER	15	12494	SLUZBY	\N	\N
717426	2457	1997-04-30	VYDAJ	VYBER	15	12150	SLUZBY	\N	\N
717427	2457	1997-05-31	VYDAJ	VYBER	15	14107	SLUZBY	\N	\N
717428	2457	1997-06-30	VYDAJ	VYBER	15	17855	SLUZBY	\N	\N
717429	2457	1997-07-31	VYDAJ	VYBER	15	13829	SLUZBY	\N	\N
717430	2457	1997-08-31	VYDAJ	VYBER	15	15793	SLUZBY	\N	\N
717431	2457	1997-09-30	VYDAJ	VYBER	15	17765	SLUZBY	\N	\N
717432	2457	1997-10-31	VYDAJ	VYBER	15	15539	SLUZBY	\N	\N
717433	2457	1997-11-30	VYDAJ	VYBER	15	15907	SLUZBY	\N	\N
717434	2457	1997-12-31	VYDAJ	VYBER	15	17557	SLUZBY	\N	\N
717435	2457	1998-01-31	VYDAJ	VYBER	15	14928	SLUZBY	\N	\N
717436	2457	1998-02-28	VYDAJ	VYBER	15	18598	SLUZBY	\N	\N
717437	2457	1998-03-31	VYDAJ	VYBER	15	19180	SLUZBY	\N	\N
717438	2457	1998-04-30	VYDAJ	VYBER	15	21666	SLUZBY	\N	\N
717439	2457	1998-05-31	VYDAJ	VYBER	15	21162	SLUZBY	\N	\N
717440	2457	1998-06-30	VYDAJ	VYBER	15	20134	SLUZBY	\N	\N
717441	2457	1998-07-31	VYDAJ	VYBER	15	20520	SLUZBY	\N	\N
717442	2457	1998-08-31	VYDAJ	VYBER	15	18603	SLUZBY	\N	\N
717443	2457	1998-09-30	VYDAJ	VYBER	15	14674	SLUZBY	\N	\N
717444	2457	1998-10-31	VYDAJ	VYBER	15	12531	SLUZBY	\N	\N
717445	2457	1998-11-30	VYDAJ	VYBER	15	15691	SLUZBY	\N	\N
717446	2457	1993-12-11	PRIJEM	VKLAD	9400	18528	\N	\N	\N
717447	2457	1994-01-10	VYDAJ	VYBER	700	23632	\N	\N	\N
717448	2457	1994-02-09	PRIJEM	VKLAD	1600	25325	\N	\N	\N
717449	2457	1994-03-11	VYDAJ	VYBER	7400	29548	\N	\N	\N
717450	2457	1994-04-10	VYDAJ	VYBER	3200	31425	\N	\N	\N
717451	2457	1994-05-10	VYDAJ	VYBER	3100	30350	\N	\N	\N
717452	2457	1994-06-09	PRIJEM	VKLAD	200	22118	\N	\N	\N
717453	2457	1994-07-09	VYDAJ	VYBER	2600	24410	\N	\N	\N
717454	2457	1994-08-08	PRIJEM	VKLAD	1300	27726	\N	\N	\N
717455	2457	1994-09-07	VYDAJ	VYBER	3000	23451	\N	\N	\N
717456	2457	1994-10-07	PRIJEM	VKLAD	600	25465	\N	\N	\N
717457	2457	1994-11-06	VYDAJ	VYBER	2500	24981	\N	\N	\N
717458	2457	1994-12-06	PRIJEM	VKLAD	3900	23294	\N	\N	\N
717459	2457	1995-01-05	PRIJEM	VKLAD	200	25587	\N	\N	\N
717460	2457	1995-02-04	PRIJEM	VKLAD	1300	25195	\N	\N	\N
717461	2457	1995-03-06	PRIJEM	VKLAD	200	24099	\N	\N	\N
717462	2457	1995-04-05	VYDAJ	VYBER	2700	20406	\N	\N	\N
717463	2457	1995-05-05	PRIJEM	VKLAD	1000	23406	\N	\N	\N
717464	2457	1995-06-04	VYDAJ	VYBER	1100	24313	\N	\N	\N
717465	2457	1995-07-04	VYDAJ	VYBER	3400	25811	\N	\N	\N
717466	2457	1995-08-03	VYDAJ	VYBER	4400	23433	\N	\N	\N
717467	2457	1995-09-02	VYDAJ	VYBER	500	24947	\N	\N	\N
717468	2457	1995-10-02	VYDAJ	VYBER	2000	24962	\N	\N	\N
717469	2457	1995-11-01	VYDAJ	VYBER	3400	23580	\N	\N	\N
717470	2457	1995-12-01	VYDAJ	VYBER	3200	22393	\N	\N	\N
717471	2457	1995-12-31	VYDAJ	VYBER	2800	22295	\N	\N	\N
717472	2457	1996-01-30	PRIJEM	VKLAD	800	24998	\N	\N	\N
717473	2457	1996-02-29	VYDAJ	VYBER	3800	23307	\N	\N	\N
717474	2457	1996-03-30	VYDAJ	VYBER	2800	22410	\N	\N	\N
717475	2457	1996-04-29	VYDAJ	VYBER	2900	21514	\N	\N	\N
717476	2457	1996-05-29	VYDAJ	VYBER	3700	17914	\N	\N	\N
717477	2457	1996-06-28	PRIJEM	VKLAD	200	20986	\N	\N	\N
717478	2457	1996-07-28	VYDAJ	VYBER	2800	20174	\N	\N	\N
717479	2457	1996-08-27	PRIJEM	VKLAD	1300	19467	\N	\N	\N
717480	2457	1996-09-26	VYDAJ	VYBER	2300	19150	\N	\N	\N
717481	2457	1996-10-26	VYDAJ	VYBER	4500	15437	\N	\N	\N
717482	2457	1996-11-25	VYDAJ	VYBER	4500	12917	\N	\N	\N
717483	2457	1997-01-24	VYDAJ	VYBER	4200	12927	\N	\N	\N
717484	2457	1997-02-23	VYDAJ	VYBER	2800	12098	\N	\N	\N
717485	2457	1997-03-25	VYDAJ	VYBER	1600	12456	\N	\N	\N
717486	2457	1997-04-24	VYDAJ	VYBER	2300	12112	\N	\N	\N
717487	2457	1997-07-23	VYDAJ	VYBER	6000	13773	\N	\N	\N
717488	2457	1997-10-21	VYDAJ	VYBER	4200	15483	\N	\N	\N
717489	2457	1997-11-20	VYDAJ	VYBER	1600	15857	\N	\N	\N
717490	2457	1997-12-20	VYDAJ	VYBER	1100	17501	\N	\N	\N
717491	2457	1998-01-19	VYDAJ	VYBER	4600	14875	\N	\N	\N
717492	2457	1998-02-18	PRIJEM	VKLAD	1700	18546	\N	\N	\N
717493	2457	1998-03-20	VYDAJ	VYBER	1400	19116	\N	\N	\N
717494	2457	1998-04-19	PRIJEM	VKLAD	500	21598	\N	\N	\N
717495	2457	1998-05-19	PRIJEM	VKLAD	300	23884	\N	\N	\N
717496	2457	1998-06-18	VYDAJ	VYBER	3500	21956	\N	\N	\N
717497	2457	1998-07-18	VYDAJ	VYBER	1600	20452	\N	\N	\N
717498	2457	1998-08-17	VYDAJ	VYBER	3900	18538	\N	\N	\N
717499	2457	1998-09-16	VYDAJ	VYBER	5900	14621	\N	\N	\N
717500	2457	1998-11-15	PRIJEM	VKLAD	1200	15649	\N	\N	\N
717562	2458	1993-03-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
717566	2458	1993-04-12	PRIJEM	PREVOD Z UCTU	25920	27020	\N	WX	55121827
717567	2458	1993-05-12	PRIJEM	PREVOD Z UCTU	25920	53308	\N	WX	55121827
717568	2458	1993-06-12	PRIJEM	PREVOD Z UCTU	38880	80538	\N	WX	55121827
717569	2458	1993-07-12	PRIJEM	PREVOD Z UCTU	25920	79463	\N	WX	55121827
717570	2458	1993-08-12	PRIJEM	PREVOD Z UCTU	25920	65503	\N	WX	55121827
717571	2458	1993-09-12	PRIJEM	PREVOD Z UCTU	25920	69044	\N	WX	55121827
717572	2458	1993-10-12	PRIJEM	PREVOD Z UCTU	25920	73413	\N	WX	55121827
717573	2458	1993-11-12	PRIJEM	PREVOD Z UCTU	25920	74804	\N	WX	55121827
717574	2458	1993-12-12	PRIJEM	PREVOD Z UCTU	38880	86265	\N	WX	55121827
717575	2458	1994-01-12	PRIJEM	PREVOD Z UCTU	25920	59614	\N	WX	55121827
717576	2458	1994-02-12	PRIJEM	PREVOD Z UCTU	25920	47384	\N	WX	55121827
717577	2458	1994-03-12	PRIJEM	PREVOD Z UCTU	25920	60440	\N	WX	55121827
717578	2458	1994-04-12	PRIJEM	PREVOD Z UCTU	25920	59999	\N	WX	55121827
717579	2458	1994-05-12	PRIJEM	PREVOD Z UCTU	25920	67530	\N	WX	55121827
717580	2458	1994-06-12	PRIJEM	PREVOD Z UCTU	38880	77222	\N	WX	55121827
717581	2458	1994-07-12	PRIJEM	PREVOD Z UCTU	25920	60423	\N	WX	55121827
717582	2458	1994-08-12	PRIJEM	PREVOD Z UCTU	25920	69984	\N	WX	55121827
717583	2458	1994-09-12	PRIJEM	PREVOD Z UCTU	25920	68549	\N	WX	55121827
717584	2458	1994-10-12	PRIJEM	PREVOD Z UCTU	25920	69322	\N	WX	55121827
717585	2458	1994-11-12	PRIJEM	PREVOD Z UCTU	25920	69280	\N	WX	55121827
717586	2458	1994-12-12	PRIJEM	PREVOD Z UCTU	38880	73436	\N	WX	55121827
717587	2458	1995-01-12	PRIJEM	PREVOD Z UCTU	25920	65199	\N	WX	55121827
717588	2458	1995-02-12	PRIJEM	PREVOD Z UCTU	25920	48933	\N	WX	55121827
717589	2458	1995-03-12	PRIJEM	PREVOD Z UCTU	25920	54381	\N	WX	55121827
717590	2458	1995-04-12	PRIJEM	PREVOD Z UCTU	25920	60766	\N	WX	55121827
717591	2458	1995-05-12	PRIJEM	PREVOD Z UCTU	25920	64771	\N	WX	55121827
717592	2458	1995-06-12	PRIJEM	PREVOD Z UCTU	38880	70658	\N	WX	55121827
717593	2458	1995-07-12	PRIJEM	PREVOD Z UCTU	25920	51454	\N	WX	55121827
717594	2458	1995-08-12	PRIJEM	PREVOD Z UCTU	25920	50636	\N	WX	55121827
717595	2458	1995-09-12	PRIJEM	PREVOD Z UCTU	25920	54410	\N	WX	55121827
717596	2458	1995-10-12	PRIJEM	PREVOD Z UCTU	25920	54918	\N	WX	55121827
717597	2458	1995-11-12	PRIJEM	PREVOD Z UCTU	25920	47096	\N	WX	55121827
717598	2458	1995-12-12	PRIJEM	PREVOD Z UCTU	38880	58839	\N	WX	55121827
717599	2458	1996-01-12	PRIJEM	PREVOD Z UCTU	25920	46323	\N	WX	55121827
717600	2458	1996-02-12	PRIJEM	PREVOD Z UCTU	25920	54021	\N	WX	55121827
717601	2458	1996-03-12	PRIJEM	PREVOD Z UCTU	25920	49641	\N	WX	55121827
717602	2458	1996-04-12	PRIJEM	PREVOD Z UCTU	25920	51344	\N	WX	55121827
717603	2458	1996-05-12	PRIJEM	PREVOD Z UCTU	25920	50211	\N	WX	55121827
717604	2458	1996-06-12	PRIJEM	PREVOD Z UCTU	38880	60658	\N	WX	55121827
717605	2458	1996-07-12	PRIJEM	PREVOD Z UCTU	25920	51340	\N	WX	55121827
717606	2458	1996-08-12	PRIJEM	PREVOD Z UCTU	25920	44469	\N	WX	55121827
717607	2458	1996-09-12	PRIJEM	PREVOD Z UCTU	25920	50980	\N	WX	55121827
717608	2458	1996-10-12	PRIJEM	PREVOD Z UCTU	25920	42912	\N	WX	55121827
717609	2458	1996-11-12	PRIJEM	PREVOD Z UCTU	25920	68874	\N	WX	55121827
717610	2458	1996-12-12	PRIJEM	PREVOD Z UCTU	38880	68085	\N	WX	55121827
717611	2458	1997-01-12	PRIJEM	PREVOD Z UCTU	25920	48218	\N	WX	55121827
717612	2458	1997-02-12	PRIJEM	PREVOD Z UCTU	25920	52931	\N	WX	55121827
717613	2458	1997-03-12	PRIJEM	PREVOD Z UCTU	25920	42819	\N	WX	55121827
717614	2458	1997-04-12	PRIJEM	PREVOD Z UCTU	25920	55298	\N	WX	55121827
717615	2458	1997-05-12	PRIJEM	PREVOD Z UCTU	25920	43692	\N	WX	55121827
717616	2458	1997-06-12	PRIJEM	PREVOD Z UCTU	38880	71516	\N	WX	55121827
717617	2458	1997-07-12	PRIJEM	PREVOD Z UCTU	25920	51394	\N	WX	55121827
717618	2458	1997-08-12	PRIJEM	PREVOD Z UCTU	25920	73811	\N	WX	55121827
717619	2458	1997-09-12	PRIJEM	PREVOD Z UCTU	25920	45952	\N	WX	55121827
717620	2458	1997-10-12	PRIJEM	PREVOD Z UCTU	25920	71925	\N	WX	55121827
717621	2458	1997-11-12	PRIJEM	PREVOD Z UCTU	25920	48060	\N	WX	55121827
717622	2458	1997-12-12	PRIJEM	PREVOD Z UCTU	38880	81902	\N	WX	55121827
717623	2458	1998-01-12	PRIJEM	PREVOD Z UCTU	25920	48565	\N	WX	55121827
717624	2458	1998-02-12	PRIJEM	PREVOD Z UCTU	25920	58384	\N	WX	55121827
717625	2458	1998-03-12	PRIJEM	PREVOD Z UCTU	25920	53612	\N	WX	55121827
717626	2458	1998-04-12	PRIJEM	PREVOD Z UCTU	25920	52996	\N	WX	55121827
717627	2458	1998-05-12	PRIJEM	PREVOD Z UCTU	25920	56576	\N	WX	55121827
717628	2458	1998-06-12	PRIJEM	PREVOD Z UCTU	38880	95636	\N	WX	55121827
717629	2458	1998-07-12	PRIJEM	PREVOD Z UCTU	25920	50590	\N	WX	55121827
717630	2458	1998-08-12	PRIJEM	PREVOD Z UCTU	25920	56505	\N	WX	55121827
717631	2458	1998-09-12	PRIJEM	PREVOD Z UCTU	25920	74103	\N	WX	55121827
717632	2458	1998-10-12	PRIJEM	PREVOD Z UCTU	25920	85516	\N	WX	55121827
717633	2458	1998-11-12	PRIJEM	PREVOD Z UCTU	25920	98752	\N	WX	55121827
717634	2458	1998-12-12	PRIJEM	PREVOD Z UCTU	38880	63000	\N	WX	55121827
717638	2458	1994-07-11	VYBER	VYBER	16471	34503	\N	\N	\N
717639	2458	1994-01-07	VYBER	VYBER	19273	44194	\N	\N	\N
717640	2458	1994-04-09	VYBER	VYBER	9464	34079	\N	\N	\N
717641	2458	1994-05-31	VYBER	VYBER	8375	50772	\N	\N	\N
717642	2458	1994-01-31	VYBER	VYBER	12864	31680	\N	\N	\N
717643	2458	1994-02-01	VYBER	VYBER	9386	22264	\N	\N	\N
717644	2458	1994-05-18	VYBER	VYBER	8637	58893	\N	\N	\N
717645	2458	1994-11-23	VYBER	VYBER	12370	56910	\N	\N	\N
717647	2458	1995-01-12	VYBER	VYBER	16908	48291	\N	\N	\N
717648	2458	1995-06-05	VYBER	VYBER	10024	31778	\N	\N	\N
717649	2458	1995-10-22	VYBER	VYBER	20335	34583	\N	\N	\N
717650	2458	1995-02-23	VYBER	VYBER	15995	32938	\N	\N	\N
717651	2458	1995-12-22	VYBER	VYBER	11194	35832	\N	\N	\N
717652	2458	1995-12-21	VYBER	VYBER	11813	47026	\N	\N	\N
717654	2458	1996-09-03	VYBER	VYBER	3353	25060	\N	\N	\N
717655	2458	1996-08-14	VYBER	VYBER	16125	28344	\N	\N	\N
717656	2458	1996-07-20	VYBER	VYBER	14868	36472	\N	\N	\N
717658	2458	1998-03-18	VYBER	VYBER	2514	51098	\N	\N	\N
717659	2458	1998-12-23	VYBER	VYBER	21678	33844	\N	\N	\N
717660	2458	1998-02-25	VYBER	VYBER	10251	34169	\N	\N	\N
717661	2458	1998-05-03	VYBER	VYBER	11765	30656	\N	\N	\N
717662	2458	1998-03-26	VYBER	VYBER	10128	26946	\N	\N	\N
717663	2458	1998-12-22	VYBER	VYBER	7478	55522	\N	\N	\N
717667	2458	1998-04-23	VYBER	VYBER	8576	42320	\N	\N	\N
717668	2458	1998-03-23	VYBER	VYBER	14024	37074	\N	\N	\N
717669	2458	1998-02-13	VYBER	VYBER	13964	44420	\N	\N	\N
717670	2458	1998-07-30	VYBER	VYBER	20074	30516	\N	\N	\N
717671	2458	1998-08-16	VYBER	VYBER	8451	48054	\N	\N	\N
717674	2458	1995-06-21	VYDAJ	VYBER	33900	36758	\N	\N	\N
717679	2458	1994-01-27	VYDAJ	VYBER	10800	45814	\N	\N	\N
717680	2458	1995-01-13	VYDAJ	VYBER	18900	29391	\N	\N	\N
717684	2458	1993-12-08	VYDAJ	VYBER	2700	72385	\N	\N	\N
717685	2458	1994-12-09	VYDAJ	VYBER	2400	34556	\N	\N	\N
717687	2458	1996-12-15	VYDAJ	VYBER	4800	53985	\N	\N	\N
717688	2458	1997-12-16	VYDAJ	VYBER	8700	73202	\N	\N	\N
717696	2458	1994-01-08	VYDAJ	VYBER	6300	37894	\N	\N	\N
717697	2458	1994-01-03	VYDAJ	VYBER	3900	75767	\N	\N	\N
717698	2458	1994-01-02	VYDAJ	VYBER	5400	79667	\N	\N	\N
717699	2458	1994-01-01	VYDAJ	VYBER	1500	85067	\N	\N	\N
717700	2458	1994-01-28	VYDAJ	VYBER	1500	44314	\N	\N	\N
717701	2458	1994-01-05	VYDAJ	VYBER	8400	63467	\N	\N	\N
717702	2458	1995-01-24	VYDAJ	VYBER	2700	26691	\N	\N	\N
717703	2458	1995-01-02	VYDAJ	VYBER	2700	70979	\N	\N	\N
717704	2458	1995-01-10	VYDAJ	VYBER	1500	39279	\N	\N	\N
717706	2458	1995-01-05	VYDAJ	VYBER	3900	40779	\N	\N	\N
717707	2458	1995-01-03	VYDAJ	VYBER	4200	44679	\N	\N	\N
717708	2458	1996-01-18	VYDAJ	VYBER	5100	32523	\N	\N	\N
717710	2458	1996-01-14	VYDAJ	VYBER	8700	37623	\N	\N	\N
717713	2458	1996-01-19	VYDAJ	VYBER	4500	28023	\N	\N	\N
717716	2458	1997-01-13	VYDAJ	VYBER	3300	38918	\N	\N	\N
717717	2458	1997-01-12	VYDAJ	VYBER	6000	42218	\N	\N	\N
717718	2458	1997-01-27	VYDAJ	VYBER	5100	26918	\N	\N	\N
717719	2458	1997-01-22	VYDAJ	VYBER	6900	32018	\N	\N	\N
717722	2458	1998-01-23	VYDAJ	VYBER	5100	34765	\N	\N	\N
717723	2458	1998-01-14	VYDAJ	VYBER	3000	45565	\N	\N	\N
717724	2458	1998-01-21	VYDAJ	VYBER	5700	39865	\N	\N	\N
717725	2458	1998-01-26	VYDAJ	VYBER	2400	32365	\N	\N	\N
717726	2458	1993-08-22	VYDAJ	VYBER	3000	62503	\N	\N	\N
717732	2458	1994-01-05	VYDAJ	VYBER	3900	71867	\N	\N	\N
717733	2458	1994-01-14	VYDAJ	VYBER	3000	56614	\N	\N	\N
717734	2458	1994-10-06	VYDAJ	VYBER	2100	43402	\N	\N	\N
717735	2458	1994-02-08	VYDAJ	VYBER	3900	21464	\N	\N	\N
717736	2458	1994-08-25	VYDAJ	VYBER	3600	66384	\N	\N	\N
717737	2458	1995-11-27	VYDAJ	VYBER	4500	42596	\N	\N	\N
717738	2458	1995-08-05	VYDAJ	VYBER	4200	24716	\N	\N	\N
717739	2458	1995-04-21	VYDAJ	VYBER	2400	58366	\N	\N	\N
717740	2458	1995-04-03	VYDAJ	VYBER	5400	49146	\N	\N	\N
717742	2458	1996-02-22	VYDAJ	VYBER	3600	50421	\N	\N	\N
717743	2458	1996-12-15	VYDAJ	VYBER	9300	58785	\N	\N	\N
717745	2458	1996-04-06	VYDAJ	VYBER	12600	25424	\N	\N	\N
717747	2458	1996-03-24	VYDAJ	VYBER	11700	37941	\N	\N	\N
717748	2458	1997-12-09	VYDAJ	VYBER	5100	43022	\N	\N	\N
717751	2458	1997-03-19	VYDAJ	VYBER	13500	29319	\N	\N	\N
717752	2458	1997-06-07	VYDAJ	VYBER	11100	32636	\N	\N	\N
717753	2458	1997-07-24	VYDAJ	VYBER	3600	47794	\N	\N	\N
717756	2458	1998-11-05	VYDAJ	VYBER	12900	72832	\N	\N	\N
717757	2458	1998-04-21	VYDAJ	VYBER	2100	50896	\N	\N	\N
717758	2458	1998-03-09	VYDAJ	VYBER	6600	27692	\N	\N	\N
717759	2458	1998-09-13	VYDAJ	VYBER	14700	59403	\N	\N	\N
717768	2458	1993-08-31	VYDAJ	VYBER	30	62724	SLUZBY	\N	\N
717769	2458	1993-09-30	VYDAJ	VYBER	30	69293	SLUZBY	\N	\N
717770	2458	1993-10-31	VYDAJ	VYBER	30	73684	SLUZBY	\N	\N
717771	2458	1993-11-30	VYDAJ	VYBER	30	75085	SLUZBY	\N	\N
717772	2458	1993-12-31	VYDAJ	VYBER	30	86567	SLUZBY	\N	\N
717773	2458	1994-01-31	VYDAJ	VYBER	30	31650	SLUZBY	\N	\N
717774	2458	1994-02-28	VYDAJ	VYBER	30	47520	SLUZBY	\N	\N
717775	2458	1994-03-31	VYDAJ	VYBER	30	60643	SLUZBY	\N	\N
717776	2458	1994-04-30	VYDAJ	VYBER	30	60210	SLUZBY	\N	\N
717777	2458	1994-05-31	VYDAJ	VYBER	30	50742	SLUZBY	\N	\N
717778	2458	1994-06-30	VYDAJ	VYBER	30	77474	SLUZBY	\N	\N
717779	2458	1994-07-31	VYDAJ	VYBER	30	60664	SLUZBY	\N	\N
717780	2458	1994-08-31	VYDAJ	VYBER	30	66629	SLUZBY	\N	\N
717781	2458	1994-09-30	VYDAJ	VYBER	30	68802	SLUZBY	\N	\N
717782	2458	1994-10-31	VYDAJ	VYBER	30	69560	SLUZBY	\N	\N
717783	2458	1994-11-30	VYDAJ	VYBER	30	57156	SLUZBY	\N	\N
717784	2458	1994-12-31	VYDAJ	VYBER	30	73679	SLUZBY	\N	\N
717785	2458	1995-01-31	VYDAJ	VYBER	30	26813	SLUZBY	\N	\N
717786	2458	1995-02-28	VYDAJ	VYBER	30	33061	SLUZBY	\N	\N
717787	2458	1995-03-31	VYDAJ	VYBER	30	54546	SLUZBY	\N	\N
717788	2458	1995-04-30	VYDAJ	VYBER	30	58551	SLUZBY	\N	\N
717789	2458	1995-05-31	VYDAJ	VYBER	30	65002	SLUZBY	\N	\N
717790	2458	1995-06-30	VYDAJ	VYBER	30	36934	SLUZBY	\N	\N
717791	2458	1995-07-31	VYDAJ	VYBER	30	51616	SLUZBY	\N	\N
717792	2458	1995-08-31	VYDAJ	VYBER	30	28490	SLUZBY	\N	\N
717793	2458	1995-09-30	VYDAJ	VYBER	30	28998	SLUZBY	\N	\N
717794	2458	1995-10-31	VYDAJ	VYBER	30	21176	SLUZBY	\N	\N
717795	2458	1995-11-30	VYDAJ	VYBER	30	19959	SLUZBY	\N	\N
717796	2458	1995-12-31	VYDAJ	VYBER	30	20403	SLUZBY	\N	\N
717797	2458	1996-01-31	VYDAJ	VYBER	30	28101	SLUZBY	\N	\N
717798	2458	1996-02-29	VYDAJ	VYBER	30	23721	SLUZBY	\N	\N
717799	2458	1996-03-31	VYDAJ	VYBER	30	38024	SLUZBY	\N	\N
717800	2458	1996-04-30	VYDAJ	VYBER	30	24291	SLUZBY	\N	\N
717801	2458	1996-05-31	VYDAJ	VYBER	30	21778	SLUZBY	\N	\N
717802	2458	1996-06-30	VYDAJ	VYBER	30	25420	SLUZBY	\N	\N
717803	2458	1996-07-31	VYDAJ	VYBER	30	18549	SLUZBY	\N	\N
717804	2458	1996-08-31	VYDAJ	VYBER	30	28413	SLUZBY	\N	\N
717805	2458	1996-09-30	VYDAJ	VYBER	30	16992	SLUZBY	\N	\N
717806	2458	1996-10-31	VYDAJ	VYBER	30	42954	SLUZBY	\N	\N
717807	2458	1996-11-30	VYDAJ	VYBER	30	29205	SLUZBY	\N	\N
717808	2458	1996-12-31	VYDAJ	VYBER	30	22298	SLUZBY	\N	\N
717809	2458	1997-01-31	VYDAJ	VYBER	30	27011	SLUZBY	\N	\N
717810	2458	1997-02-28	VYDAJ	VYBER	30	16899	SLUZBY	\N	\N
717811	2458	1997-03-31	VYDAJ	VYBER	30	29378	SLUZBY	\N	\N
717812	2458	1997-04-30	VYDAJ	VYBER	30	17772	SLUZBY	\N	\N
717813	2458	1997-05-31	VYDAJ	VYBER	30	43736	SLUZBY	\N	\N
717814	2458	1997-06-30	VYDAJ	VYBER	30	25474	SLUZBY	\N	\N
717815	2458	1997-07-31	VYDAJ	VYBER	30	47891	SLUZBY	\N	\N
717816	2458	1997-08-31	VYDAJ	VYBER	30	20032	SLUZBY	\N	\N
717817	2458	1997-09-30	VYDAJ	VYBER	30	46005	SLUZBY	\N	\N
717818	2458	1997-10-31	VYDAJ	VYBER	30	22140	SLUZBY	\N	\N
717819	2458	1997-11-30	VYDAJ	VYBER	30	48122	SLUZBY	\N	\N
717820	2458	1997-12-31	VYDAJ	VYBER	30	22645	SLUZBY	\N	\N
717821	2458	1998-01-31	VYDAJ	VYBER	30	32464	SLUZBY	\N	\N
717822	2458	1998-02-28	VYDAJ	VYBER	30	34292	SLUZBY	\N	\N
717823	2458	1998-03-31	VYDAJ	VYBER	30	27076	SLUZBY	\N	\N
717824	2458	1998-04-30	VYDAJ	VYBER	30	42421	SLUZBY	\N	\N
717825	2458	1998-05-31	VYDAJ	VYBER	30	56756	SLUZBY	\N	\N
717826	2458	1998-06-30	VYDAJ	VYBER	30	24670	SLUZBY	\N	\N
717827	2458	1998-07-31	VYDAJ	VYBER	30	30585	SLUZBY	\N	\N
717828	2458	1998-08-31	VYDAJ	VYBER	30	48183	SLUZBY	\N	\N
717829	2458	1998-09-30	VYDAJ	VYBER	30	59596	SLUZBY	\N	\N
717830	2458	1998-10-31	VYDAJ	VYBER	30	85732	SLUZBY	\N	\N
717831	2458	1998-11-30	VYDAJ	VYBER	30	24120	SLUZBY	\N	\N
717832	2458	1993-04-13	PRIJEM	VKLAD	300	27320	\N	\N	\N
717833	2458	1993-05-13	VYDAJ	VYBER	11800	41508	\N	\N	\N
717834	2458	1993-06-12	VYDAJ	VYBER	27200	53338	\N	\N	\N
717835	2458	1993-07-12	VYDAJ	VYBER	26700	52763	\N	\N	\N
717836	2458	1993-08-11	VYDAJ	VYBER	13400	39583	\N	\N	\N
717837	2458	1993-09-10	VYDAJ	VYBER	19600	43124	\N	\N	\N
717838	2458	1993-10-10	VYDAJ	VYBER	21800	47493	\N	\N	\N
717839	2458	1993-11-09	VYDAJ	VYBER	24800	48884	\N	\N	\N
717840	2458	1993-12-09	VYDAJ	VYBER	25000	47385	\N	\N	\N
717841	2458	1994-01-08	VYDAJ	VYBER	4200	33694	\N	\N	\N
717842	2458	1994-02-07	PRIJEM	VKLAD	3100	25364	\N	\N	\N
717843	2458	1994-03-09	VYDAJ	VYBER	13000	34520	\N	\N	\N
717844	2458	1994-04-08	VYDAJ	VYBER	17100	43543	\N	\N	\N
717845	2458	1994-05-08	VYDAJ	VYBER	18600	41610	\N	\N	\N
717846	2458	1994-06-07	VYDAJ	VYBER	12400	38342	\N	\N	\N
717847	2458	1994-07-07	VYDAJ	VYBER	26500	50974	\N	\N	\N
717848	2458	1994-08-06	VYDAJ	VYBER	16600	44064	\N	\N	\N
717849	2458	1994-09-05	VYDAJ	VYBER	24000	42629	\N	\N	\N
717850	2458	1994-10-05	VYDAJ	VYBER	23300	45502	\N	\N	\N
717851	2458	1994-11-04	VYDAJ	VYBER	26200	43360	\N	\N	\N
717852	2458	1994-12-04	VYDAJ	VYBER	20200	36956	\N	\N	\N
717853	2458	1995-01-03	VYDAJ	VYBER	22100	48879	\N	\N	\N
717854	2458	1995-02-02	VYDAJ	VYBER	3800	23013	\N	\N	\N
717855	2458	1995-03-04	VYDAJ	VYBER	4600	28461	\N	\N	\N
717856	2458	1995-04-03	VYDAJ	VYBER	14300	34846	\N	\N	\N
717857	2458	1995-05-03	VYDAJ	VYBER	19700	38851	\N	\N	\N
717858	2458	1995-06-02	VYDAJ	VYBER	23200	41802	\N	\N	\N
717859	2458	1995-07-02	VYDAJ	VYBER	11400	25534	\N	\N	\N
717860	2458	1995-08-01	VYDAJ	VYBER	22700	28916	\N	\N	\N
717861	2458	1995-08-31	VYDAJ	VYBER	22300	28520	\N	\N	\N
717862	2458	1995-09-30	VYDAJ	VYBER	25500	29028	\N	\N	\N
717863	2458	1995-10-30	VYDAJ	VYBER	13500	21083	\N	\N	\N
717864	2458	1995-11-29	VYDAJ	VYBER	22700	19896	\N	\N	\N
717865	2458	1995-12-29	VYDAJ	VYBER	15500	20332	\N	\N	\N
717866	2458	1996-02-27	VYDAJ	VYBER	26800	23621	\N	\N	\N
717867	2458	1996-04-27	VYDAJ	VYBER	27200	24144	\N	\N	\N
717868	2458	1996-05-27	VYDAJ	VYBER	28500	21711	\N	\N	\N
717869	2458	1996-06-26	VYDAJ	VYBER	35300	25358	\N	\N	\N
717870	2458	1996-07-26	VYDAJ	VYBER	18000	18472	\N	\N	\N
717871	2458	1996-09-24	VYDAJ	VYBER	34100	16880	\N	\N	\N
717872	2458	1996-11-23	VYDAJ	VYBER	39800	29074	\N	\N	\N
717873	2458	1996-12-23	VYDAJ	VYBER	31800	22185	\N	\N	\N
717874	2458	1997-02-21	VYDAJ	VYBER	36100	16831	\N	\N	\N
717875	2458	1997-04-22	VYDAJ	VYBER	37600	17698	\N	\N	\N
717876	2458	1997-06-21	VYDAJ	VYBER	46200	25316	\N	\N	\N
717877	2458	1997-08-20	VYDAJ	VYBER	53900	19911	\N	\N	\N
717878	2458	1997-10-19	VYDAJ	VYBER	49900	22025	\N	\N	\N
717879	2458	1997-12-18	VYDAJ	VYBER	50700	22502	\N	\N	\N
717880	2458	1998-06-16	VYDAJ	VYBER	71100	24536	\N	\N	\N
717881	2458	1998-11-13	VYDAJ	VYBER	74800	23952	\N	\N	\N
717951	2459	1997-09-10	PRIJEM	VKLAD	200	200	\N	\N	\N
717960	2459	1997-09-14	PRIJEM	PREVOD Z UCTU	5049	5249	DUCHOD	GH	20870089
717961	2459	1997-10-14	PRIJEM	PREVOD Z UCTU	5049	10310	DUCHOD	GH	20870089
717962	2459	1997-11-14	PRIJEM	PREVOD Z UCTU	5049	15381	DUCHOD	GH	20870089
717963	2459	1997-12-14	PRIJEM	PREVOD Z UCTU	5049	20452	DUCHOD	GH	20870089
717964	2459	1998-01-14	PRIJEM	PREVOD Z UCTU	5049	25523	DUCHOD	GH	20870089
717965	2459	1998-02-14	PRIJEM	PREVOD Z UCTU	5049	23763	DUCHOD	GH	20870089
717966	2459	1998-03-14	PRIJEM	PREVOD Z UCTU	5049	22590	DUCHOD	GH	20870089
717967	2459	1998-04-14	PRIJEM	PREVOD Z UCTU	5049	25742	DUCHOD	GH	20870089
717968	2459	1998-05-14	PRIJEM	PREVOD Z UCTU	5049	28907	DUCHOD	GH	20870089
717969	2459	1998-06-14	PRIJEM	PREVOD Z UCTU	5049	26936	DUCHOD	GH	20870089
717970	2459	1998-07-14	PRIJEM	PREVOD Z UCTU	5049	30113	DUCHOD	GH	20870089
717971	2459	1998-08-14	PRIJEM	PREVOD Z UCTU	5049	29896	DUCHOD	GH	20870089
717972	2459	1998-09-14	PRIJEM	PREVOD Z UCTU	5049	29174	DUCHOD	GH	20870089
717973	2459	1998-10-14	PRIJEM	PREVOD Z UCTU	5049	25552	DUCHOD	GH	20870089
717974	2459	1998-11-14	PRIJEM	PREVOD Z UCTU	5049	22559	DUCHOD	GH	20870089
717975	2459	1998-12-14	PRIJEM	PREVOD Z UCTU	5049	25709	DUCHOD	GH	20870089
717989	2459	1998-02-06	VYDAJ	PREVOD NA UCET	1971	18714	SIPO	ST	65574568
717990	2459	1998-03-06	VYDAJ	PREVOD NA UCET	1971	17541	SIPO	ST	65574568
717991	2459	1998-04-06	VYDAJ	PREVOD NA UCET	1971	20693	SIPO	ST	65574568
717992	2459	1998-05-06	VYDAJ	PREVOD NA UCET	1971	23858	SIPO	ST	65574568
717993	2459	1998-06-06	VYDAJ	PREVOD NA UCET	1971	27037	SIPO	ST	65574568
717994	2459	1998-07-06	VYDAJ	PREVOD NA UCET	1971	25064	SIPO	ST	65574568
717995	2459	1998-08-06	VYDAJ	PREVOD NA UCET	1971	24847	SIPO	ST	65574568
717996	2459	1998-09-06	VYDAJ	PREVOD NA UCET	1971	24125	SIPO	ST	65574568
717997	2459	1998-10-06	VYDAJ	PREVOD NA UCET	1971	20503	SIPO	ST	65574568
717998	2459	1998-11-06	VYDAJ	PREVOD NA UCET	1971	17510	SIPO	ST	65574568
717999	2459	1998-12-06	VYDAJ	PREVOD NA UCET	1971	20660	SIPO	ST	65574568
718001	2459	1998-06-07	VYDAJ	VYBER	4650	21887	\N	\N	\N
718005	2459	1998-12-29	VYDAJ	VYBER	1200	24509	\N	\N	\N
718013	2459	1998-01-25	VYDAJ	VYBER	880	21443	\N	\N	\N
718014	2459	1998-01-21	VYDAJ	VYBER	1760	22323	\N	\N	\N
718015	2459	1998-01-29	VYDAJ	VYBER	800	20643	\N	\N	\N
718016	2459	1998-01-17	VYDAJ	VYBER	1440	24083	\N	\N	\N
718025	2459	1998-11-01	VYDAJ	VYBER	2480	23161	\N	\N	\N
718026	2459	1998-02-14	VYDAJ	VYBER	1040	22723	\N	\N	\N
718027	2459	1998-02-15	VYDAJ	VYBER	3280	19443	\N	\N	\N
718028	2459	1998-11-02	VYDAJ	VYBER	2880	20281	\N	\N	\N
718029	2459	1998-08-16	VYDAJ	VYBER	2400	27496	\N	\N	\N
718043	2459	1998-01-31	VYDAJ	VYBER	15	20685	SLUZBY	\N	\N
718044	2459	1998-02-28	VYDAJ	VYBER	15	19512	SLUZBY	\N	\N
718045	2459	1998-03-31	VYDAJ	VYBER	15	22664	SLUZBY	\N	\N
718046	2459	1998-04-30	VYDAJ	VYBER	15	25829	SLUZBY	\N	\N
718047	2459	1998-05-31	VYDAJ	VYBER	15	29008	SLUZBY	\N	\N
718048	2459	1998-06-30	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
718049	2459	1998-07-31	VYDAJ	VYBER	15	30218	SLUZBY	\N	\N
718050	2459	1998-08-31	VYDAJ	VYBER	15	27596	SLUZBY	\N	\N
718051	2459	1998-09-30	VYDAJ	VYBER	15	29274	SLUZBY	\N	\N
718052	2459	1998-10-31	VYDAJ	VYBER	15	25641	SLUZBY	\N	\N
718053	2459	1998-11-30	VYDAJ	VYBER	15	22631	SLUZBY	\N	\N
718054	2459	1998-06-07	VYDAJ	VYBER	500	26537	\N	\N	\N
718055	2459	1998-08-06	VYDAJ	VYBER	3400	26818	\N	\N	\N
718056	2459	1998-09-05	VYDAJ	VYBER	1500	26096	\N	\N	\N
718057	2459	1998-10-05	VYDAJ	VYBER	6800	22474	\N	\N	\N
718058	2459	1998-11-04	VYDAJ	VYBER	800	19481	\N	\N	\N
718075	2460	1993-11-22	PRIJEM	VKLAD	700	700	\N	\N	\N
718087	2460	1993-12-13	PRIJEM	VKLAD	10386	11086	\N	\N	\N
718088	2460	1994-01-13	PRIJEM	VKLAD	6924	25936	\N	\N	\N
718089	2460	1994-02-13	PRIJEM	VKLAD	6924	32939	\N	\N	\N
718090	2460	1994-03-13	PRIJEM	VKLAD	6924	36956	\N	\N	\N
718091	2460	1994-04-13	PRIJEM	VKLAD	6924	36404	\N	\N	\N
718092	2460	1994-05-13	PRIJEM	VKLAD	6924	36937	\N	\N	\N
718093	2460	1994-06-13	PRIJEM	VKLAD	10386	23533	\N	\N	\N
718094	2460	1994-07-13	PRIJEM	VKLAD	6924	26647	\N	\N	\N
718095	2460	1994-08-13	PRIJEM	VKLAD	6924	29251	\N	\N	\N
718096	2460	1994-09-13	PRIJEM	VKLAD	6924	34162	\N	\N	\N
718097	2460	1994-10-13	PRIJEM	VKLAD	6924	33684	\N	\N	\N
718098	2460	1994-11-13	PRIJEM	VKLAD	6924	35212	\N	\N	\N
718099	2460	1994-12-13	PRIJEM	VKLAD	10386	34598	\N	\N	\N
718100	2460	1995-01-13	PRIJEM	VKLAD	6924	26827	\N	\N	\N
718101	2460	1995-02-13	PRIJEM	VKLAD	6924	25129	\N	\N	\N
718102	2460	1995-03-13	PRIJEM	VKLAD	6924	23617	\N	\N	\N
718103	2460	1995-04-13	PRIJEM	VKLAD	6924	30009	\N	\N	\N
718104	2460	1995-05-13	PRIJEM	VKLAD	6924	32920	\N	\N	\N
718105	2460	1995-06-13	PRIJEM	VKLAD	10386	24507	\N	\N	\N
718106	2460	1995-07-13	PRIJEM	VKLAD	6924	32027	\N	\N	\N
718107	2460	1995-08-13	PRIJEM	VKLAD	6924	36050	\N	\N	\N
718108	2460	1995-09-13	PRIJEM	VKLAD	6924	31981	\N	\N	\N
718109	2460	1995-10-13	PRIJEM	VKLAD	6924	37717	\N	\N	\N
718110	2460	1995-11-13	PRIJEM	VKLAD	6924	34156	\N	\N	\N
718111	2460	1995-12-13	PRIJEM	VKLAD	10386	37864	\N	\N	\N
718112	2460	1996-01-13	PRIJEM	VKLAD	6924	29423	\N	\N	\N
718113	2460	1996-02-13	PRIJEM	VKLAD	6924	35347	\N	\N	\N
718114	2460	1996-03-13	PRIJEM	VKLAD	6924	39291	\N	\N	\N
718115	2460	1996-04-13	PRIJEM	VKLAD	6924	39457	\N	\N	\N
718116	2460	1996-05-13	PRIJEM	VKLAD	6924	41930	\N	\N	\N
718117	2460	1996-06-13	PRIJEM	VKLAD	10386	44172	\N	\N	\N
718118	2460	1996-07-13	PRIJEM	VKLAD	6924	27236	\N	\N	\N
718119	2460	1996-08-13	PRIJEM	VKLAD	6924	37746	\N	\N	\N
718120	2460	1996-09-13	PRIJEM	VKLAD	6924	38485	\N	\N	\N
718121	2460	1996-10-13	PRIJEM	VKLAD	6924	39840	\N	\N	\N
718122	2460	1996-11-13	PRIJEM	VKLAD	6924	40508	\N	\N	\N
718123	2460	1996-12-13	PRIJEM	VKLAD	10386	47845	\N	\N	\N
718124	2460	1997-01-13	PRIJEM	VKLAD	6924	32833	\N	\N	\N
718125	2460	1997-02-13	PRIJEM	VKLAD	6924	36177	\N	\N	\N
718126	2460	1997-03-13	PRIJEM	VKLAD	6924	38824	\N	\N	\N
718127	2460	1997-04-13	PRIJEM	VKLAD	6924	36886	\N	\N	\N
718128	2460	1997-05-13	PRIJEM	VKLAD	6924	39850	\N	\N	\N
718129	2460	1997-06-13	PRIJEM	VKLAD	10386	45082	\N	\N	\N
718130	2460	1997-07-13	PRIJEM	VKLAD	6924	33413	\N	\N	\N
718131	2460	1997-08-13	PRIJEM	VKLAD	6924	43036	\N	\N	\N
718132	2460	1997-09-13	PRIJEM	VKLAD	6924	47007	\N	\N	\N
718133	2460	1997-10-13	PRIJEM	VKLAD	6924	51404	\N	\N	\N
718134	2460	1997-11-13	PRIJEM	VKLAD	6924	44619	\N	\N	\N
718135	2460	1997-12-13	PRIJEM	VKLAD	10386	53482	\N	\N	\N
718136	2460	1998-01-13	PRIJEM	VKLAD	6924	47390	\N	\N	\N
718137	2460	1998-02-13	PRIJEM	VKLAD	6924	47077	\N	\N	\N
718138	2460	1998-03-13	PRIJEM	VKLAD	6924	50652	\N	\N	\N
718139	2460	1998-04-13	PRIJEM	VKLAD	6924	55964	\N	\N	\N
718140	2460	1998-05-13	PRIJEM	VKLAD	6924	52575	\N	\N	\N
718141	2460	1998-06-13	PRIJEM	VKLAD	10386	58235	\N	\N	\N
718142	2460	1998-07-13	PRIJEM	VKLAD	6924	55742	\N	\N	\N
718143	2460	1998-08-13	PRIJEM	VKLAD	6924	56153	\N	\N	\N
718144	2460	1998-09-13	PRIJEM	VKLAD	6924	59387	\N	\N	\N
718145	2460	1998-10-13	PRIJEM	VKLAD	6924	61413	\N	\N	\N
718146	2460	1998-11-13	PRIJEM	VKLAD	6924	65149	\N	\N	\N
718147	2460	1998-12-13	PRIJEM	VKLAD	10386	70362	\N	\N	\N
718221	2460	1994-06-10	VYDAJ	VYBER	16600	13147	\N	\N	\N
718222	2460	1995-06-06	VYDAJ	VYBER	15300	14121	\N	\N	\N
718223	2460	1996-06-24	VYDAJ	VYBER	25400	18772	\N	\N	\N
718224	2460	1997-06-16	VYDAJ	VYBER	26800	18282	\N	\N	\N
718225	2460	1998-06-27	VYDAJ	VYBER	7600	50635	\N	\N	\N
718228	2460	1995-01-13	VYDAJ	VYBER	1500	25327	\N	\N	\N
718229	2460	1996-01-05	VYDAJ	VYBER	9200	23099	\N	\N	\N
718230	2460	1997-01-09	VYDAJ	VYBER	9000	25909	\N	\N	\N
718231	2460	1998-01-22	VYDAJ	VYBER	4400	42190	\N	\N	\N
718233	2460	1994-12-12	VYDAJ	VYBER	2800	24212	\N	\N	\N
718234	2460	1995-12-27	VYDAJ	VYBER	1900	35964	\N	\N	\N
718235	2460	1996-12-16	VYDAJ	VYBER	2300	45545	\N	\N	\N
718236	2460	1997-12-21	VYDAJ	VYBER	700	49682	\N	\N	\N
718237	2460	1998-12-04	VYDAJ	VYBER KARTOU	1600	59976	\N	\N	0
718250	2460	1995-01-02	VYDAJ	VYBER	2700	25603	\N	\N	\N
718251	2460	1995-01-24	VYDAJ	VYBER	1400	18127	\N	\N	\N
718252	2460	1995-01-19	VYDAJ	VYBER	1900	22327	\N	\N	\N
718253	2460	1995-01-23	VYDAJ	VYBER	2800	19527	\N	\N	\N
718254	2460	1995-01-04	VYDAJ	VYBER	1100	24503	\N	\N	\N
718255	2460	1995-01-10	VYDAJ	VYBER	800	19903	\N	\N	\N
718256	2460	1996-01-10	VYDAJ	VYBER	1100	17699	\N	\N	\N
718257	2460	1996-01-03	VYDAJ	VYBER	1100	32299	\N	\N	\N
718258	2460	1996-01-03	VYDAJ	VYBER	2700	33399	\N	\N	\N
718259	2460	1996-01-12	VYDAJ	VYBER	1100	22499	\N	\N	\N
718260	2460	1996-01-19	VYDAJ	VYBER	500	28923	\N	\N	\N
718261	2460	1996-01-28	VYDAJ	VYBER	700	28223	\N	\N	\N
718262	2460	1997-01-01	VYDAJ	VYBER	2700	41009	\N	\N	\N
718263	2460	1997-01-02	VYDAJ	VYBER	2900	34309	\N	\N	\N
718264	2460	1997-01-02	VYDAJ	VYBER	1000	37209	\N	\N	\N
718265	2460	1997-01-02	VYDAJ	VYBER	1300	38209	\N	\N	\N
718266	2460	1997-01-02	VYDAJ	VYBER	1500	39509	\N	\N	\N
718267	2460	1997-01-29	VYDAJ	VYBER	1800	31033	\N	\N	\N
718268	2460	1998-01-11	VYDAJ	VYBER	1400	40466	\N	\N	\N
718269	2460	1998-01-04	VYDAJ	VYBER	1100	41866	\N	\N	\N
718270	2460	1998-01-21	VYDAJ	VYBER	800	46590	\N	\N	\N
718271	2460	1998-01-24	VYDAJ	VYBER	2600	39590	\N	\N	\N
718272	2460	1998-01-30	VYDAJ	VYBER	2800	39990	\N	\N	\N
718273	2460	1998-01-02	VYDAJ	VYBER	600	42966	\N	\N	\N
718279	2460	1994-07-12	VYDAJ	VYBER	1400	19723	\N	\N	\N
718280	2460	1994-10-13	VYDAJ	VYBER	700	32984	\N	\N	\N
718281	2460	1995-01-09	VYDAJ	VYBER	3800	20703	\N	\N	\N
718282	2460	1995-08-30	VYDAJ	VYBER	1500	28050	\N	\N	\N
718283	2460	1995-09-11	VYDAJ	VYBER	3100	25057	\N	\N	\N
718284	2460	1995-02-18	VYDAJ	VYBER	2800	20129	\N	\N	\N
718285	2460	1995-10-02	VYDAJ	VYBER	1500	30793	\N	\N	\N
718286	2460	1995-02-24	VYDAJ	VYBER	3500	16629	\N	\N	\N
718287	2460	1996-01-07	VYDAJ	VYBER	4300	18799	\N	\N	\N
718288	2460	1996-12-22	VYDAJ	VYBER	2000	43545	\N	\N	\N
718289	2460	1996-10-04	VYDAJ	VYBER	4900	33716	\N	\N	\N
718290	2460	1996-11-12	VYDAJ	VYBER	1700	33584	\N	\N	\N
718291	2460	1996-08-29	VYDAJ	VYBER	4000	29746	\N	\N	\N
718292	2460	1996-08-17	VYDAJ	VYBER	4000	33746	\N	\N	\N
718293	2460	1996-07-01	VYDAJ	VYBER	3700	15212	\N	\N	\N
718294	2460	1997-12-16	VYDAJ	VYBER	3100	50382	\N	\N	\N
718295	2460	1997-11-11	VYDAJ	VYBER	2800	37695	\N	\N	\N
718296	2460	1997-04-12	VYDAJ	VYBER	2800	29962	\N	\N	\N
718297	2460	1997-02-18	VYDAJ	VYBER	2000	34177	\N	\N	\N
718298	2460	1998-08-04	VYDAJ	VYBER	4200	49229	\N	\N	\N
718315	2460	1994-04-30	VYDAJ	VYBER	15	30013	SLUZBY	\N	\N
718316	2460	1994-05-31	VYDAJ	VYBER	15	29747	SLUZBY	\N	\N
718317	2460	1994-06-30	VYDAJ	VYBER	15	21123	SLUZBY	\N	\N
718318	2460	1994-07-31	VYDAJ	VYBER	15	22327	SLUZBY	\N	\N
718319	2460	1994-08-31	VYDAJ	VYBER	15	27238	SLUZBY	\N	\N
718320	2460	1994-09-30	VYDAJ	VYBER	15	26760	SLUZBY	\N	\N
718321	2460	1994-10-31	VYDAJ	VYBER	15	28288	SLUZBY	\N	\N
718322	2460	1994-11-30	VYDAJ	VYBER	15	27012	SLUZBY	\N	\N
718323	2460	1994-12-31	VYDAJ	VYBER	15	28303	SLUZBY	\N	\N
718324	2460	1995-01-31	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
718325	2460	1995-02-28	VYDAJ	VYBER	15	16693	SLUZBY	\N	\N
718326	2460	1995-03-31	VYDAJ	VYBER	15	23085	SLUZBY	\N	\N
718327	2460	1995-04-30	VYDAJ	VYBER	15	25996	SLUZBY	\N	\N
718328	2460	1995-05-31	VYDAJ	VYBER	15	29421	SLUZBY	\N	\N
718329	2460	1995-06-30	VYDAJ	VYBER	15	25103	SLUZBY	\N	\N
718330	2460	1995-07-31	VYDAJ	VYBER	15	29126	SLUZBY	\N	\N
718331	2460	1995-08-31	VYDAJ	VYBER	15	28157	SLUZBY	\N	\N
718332	2460	1995-09-30	VYDAJ	VYBER	15	32293	SLUZBY	\N	\N
718333	2460	1995-10-31	VYDAJ	VYBER	15	30632	SLUZBY	\N	\N
718334	2460	1995-11-30	VYDAJ	VYBER	15	34278	SLUZBY	\N	\N
718335	2460	1995-12-31	VYDAJ	VYBER	15	36099	SLUZBY	\N	\N
718336	2460	1996-01-31	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
718337	2460	1996-02-29	VYDAJ	VYBER	15	35467	SLUZBY	\N	\N
718338	2460	1996-03-31	VYDAJ	VYBER	15	39433	SLUZBY	\N	\N
718339	2460	1996-04-30	VYDAJ	VYBER	15	39606	SLUZBY	\N	\N
718340	2460	1996-05-31	VYDAJ	VYBER	15	42086	SLUZBY	\N	\N
718341	2460	1996-06-30	VYDAJ	VYBER	15	18912	SLUZBY	\N	\N
718342	2460	1996-07-31	VYDAJ	VYBER	15	27322	SLUZBY	\N	\N
718343	2460	1996-08-31	VYDAJ	VYBER	15	29861	SLUZBY	\N	\N
718344	2460	1996-09-30	VYDAJ	VYBER	15	38616	SLUZBY	\N	\N
718345	2460	1996-10-31	VYDAJ	VYBER	15	39984	SLUZBY	\N	\N
718346	2460	1996-11-30	VYDAJ	VYBER	15	40659	SLUZBY	\N	\N
718347	2460	1996-12-31	VYDAJ	VYBER	15	43709	SLUZBY	\N	\N
718348	2460	1997-01-31	VYDAJ	VYBER	15	31153	SLUZBY	\N	\N
718349	2460	1997-02-28	VYDAJ	VYBER	15	34300	SLUZBY	\N	\N
718350	2460	1997-03-31	VYDAJ	VYBER	15	38962	SLUZBY	\N	\N
718351	2460	1997-04-30	VYDAJ	VYBER	15	37026	SLUZBY	\N	\N
718352	2460	1997-05-31	VYDAJ	VYBER	15	39996	SLUZBY	\N	\N
718353	2460	1997-06-30	VYDAJ	VYBER	15	18389	SLUZBY	\N	\N
718354	2460	1997-07-31	VYDAJ	VYBER	15	33512	SLUZBY	\N	\N
718355	2460	1997-08-31	VYDAJ	VYBER	15	43183	SLUZBY	\N	\N
718356	2460	1997-09-30	VYDAJ	VYBER	15	47180	SLUZBY	\N	\N
718357	2460	1997-10-31	VYDAJ	VYBER	15	51595	SLUZBY	\N	\N
718358	2460	1997-11-30	VYDAJ	VYBER	15	44796	SLUZBY	\N	\N
718359	2460	1997-12-31	VYDAJ	VYBER	15	43566	SLUZBY	\N	\N
718360	2460	1998-01-31	VYDAJ	VYBER	15	40153	SLUZBY	\N	\N
718361	2460	1998-02-28	VYDAJ	VYBER	15	47228	SLUZBY	\N	\N
718362	2460	1998-03-31	VYDAJ	VYBER	15	49040	SLUZBY	\N	\N
718363	2460	1998-04-30	VYDAJ	VYBER	15	45651	SLUZBY	\N	\N
718364	2460	1998-05-31	VYDAJ	VYBER	15	47849	SLUZBY	\N	\N
718365	2460	1998-06-30	VYDAJ	VYBER	15	48818	SLUZBY	\N	\N
718366	2460	1998-07-31	VYDAJ	VYBER	15	53429	SLUZBY	\N	\N
718367	2460	1998-08-31	VYDAJ	VYBER	15	52463	SLUZBY	\N	\N
718368	2460	1998-09-30	VYDAJ	VYBER	15	54489	SLUZBY	\N	\N
718369	2460	1998-10-31	VYDAJ	VYBER	15	58225	SLUZBY	\N	\N
718370	2460	1998-11-30	VYDAJ	VYBER	15	61576	SLUZBY	\N	\N
718371	2460	1993-12-22	PRIJEM	VKLAD	7900	18986	\N	\N	\N
718372	2460	1994-02-20	VYDAJ	VYBER	3000	29939	\N	\N	\N
718373	2460	1994-03-22	VYDAJ	VYBER	7600	29356	\N	\N	\N
718374	2460	1994-04-21	VYDAJ	VYBER	6500	29904	\N	\N	\N
718375	2460	1994-05-21	VYDAJ	VYBER	7300	29637	\N	\N	\N
718376	2460	1994-06-20	VYDAJ	VYBER	2500	21033	\N	\N	\N
718377	2460	1994-07-20	VYDAJ	VYBER	4400	22247	\N	\N	\N
718378	2460	1994-08-19	VYDAJ	VYBER	2100	27151	\N	\N	\N
718379	2460	1994-09-18	VYDAJ	VYBER	7500	26662	\N	\N	\N
718380	2460	1994-10-18	VYDAJ	VYBER	4800	28184	\N	\N	\N
718381	2460	1994-11-17	VYDAJ	VYBER	8300	26912	\N	\N	\N
718382	2460	1994-12-17	VYDAJ	VYBER	6400	28198	\N	\N	\N
718383	2460	1995-01-16	VYDAJ	VYBER	1100	24227	\N	\N	\N
718384	2460	1995-02-15	VYDAJ	VYBER	2200	22929	\N	\N	\N
718385	2460	1995-03-17	VYDAJ	VYBER	600	23017	\N	\N	\N
718386	2460	1995-04-16	VYDAJ	VYBER	4100	25909	\N	\N	\N
718387	2460	1995-05-16	VYDAJ	VYBER	3600	29320	\N	\N	\N
718388	2460	1995-06-15	PRIJEM	VKLAD	500	25007	\N	\N	\N
718389	2460	1995-07-15	VYDAJ	VYBER	3000	29027	\N	\N	\N
718390	2460	1995-08-14	VYDAJ	VYBER	6500	29550	\N	\N	\N
718391	2460	1995-09-13	PRIJEM	VKLAD	200	32181	\N	\N	\N
718392	2460	1995-10-13	VYDAJ	VYBER	7200	30517	\N	\N	\N
718393	2460	1995-11-12	VYDAJ	VYBER	3400	27232	\N	\N	\N
718394	2460	1995-12-12	VYDAJ	VYBER	6800	27478	\N	\N	\N
718395	2460	1996-01-11	PRIJEM	VKLAD	5900	23599	\N	\N	\N
718396	2460	1996-02-10	PRIJEM	VKLAD	100	28423	\N	\N	\N
718397	2460	1996-03-11	VYDAJ	VYBER	3100	32367	\N	\N	\N
718398	2460	1996-04-10	VYDAJ	VYBER	6900	32533	\N	\N	\N
718399	2460	1996-05-10	VYDAJ	VYBER	4600	35006	\N	\N	\N
718400	2460	1996-06-09	VYDAJ	VYBER	8300	33786	\N	\N	\N
718401	2460	1996-07-09	PRIJEM	VKLAD	5100	20312	\N	\N	\N
718402	2460	1996-08-08	PRIJEM	VKLAD	3500	30822	\N	\N	\N
718403	2460	1996-09-07	PRIJEM	VKLAD	1700	31561	\N	\N	\N
718404	2460	1996-10-07	VYDAJ	VYBER	800	32916	\N	\N	\N
718405	2460	1996-11-06	VYDAJ	VYBER	4700	35284	\N	\N	\N
718406	2460	1996-12-06	VYDAJ	VYBER	3200	37459	\N	\N	\N
718407	2460	1997-01-05	PRIJEM	VKLAD	600	34909	\N	\N	\N
718408	2460	1997-02-04	VYDAJ	VYBER	1900	29253	\N	\N	\N
718409	2460	1997-03-06	VYDAJ	VYBER	2400	31900	\N	\N	\N
718410	2460	1997-04-05	VYDAJ	VYBER	6200	32762	\N	\N	\N
718411	2460	1997-05-05	VYDAJ	VYBER	4100	32926	\N	\N	\N
718412	2460	1997-06-04	VYDAJ	VYBER	5300	34696	\N	\N	\N
718413	2460	1997-07-04	PRIJEM	VKLAD	8100	26489	\N	\N	\N
718414	2460	1997-08-03	PRIJEM	VKLAD	2600	36112	\N	\N	\N
718415	2460	1997-09-02	VYDAJ	VYBER	3100	40083	\N	\N	\N
718416	2460	1997-10-02	VYDAJ	VYBER	2700	44480	\N	\N	\N
718417	2460	1997-11-01	VYDAJ	VYBER	11100	40495	\N	\N	\N
718418	2460	1997-12-01	VYDAJ	VYBER	1700	43096	\N	\N	\N
718419	2460	1997-12-31	VYDAJ	VYBER	6300	43581	\N	\N	\N
718420	2460	1998-01-30	PRIJEM	VKLAD	3200	42790	\N	\N	\N
718421	2460	1998-03-01	VYDAJ	VYBER	3500	43728	\N	\N	\N
718422	2460	1998-03-31	VYDAJ	VYBER	1800	49055	\N	\N	\N
718423	2460	1998-04-30	VYDAJ	VYBER	10500	45666	\N	\N	\N
718424	2460	1998-05-30	VYDAJ	VYBER	4900	47675	\N	\N	\N
718425	2460	1998-06-29	VYDAJ	VYBER	2000	48635	\N	\N	\N
718426	2460	1998-07-29	VYDAJ	VYBER	2500	53242	\N	\N	\N
718427	2460	1998-08-28	VYDAJ	VYBER	3900	52253	\N	\N	\N
718428	2460	1998-09-27	VYDAJ	VYBER	5100	54287	\N	\N	\N
718429	2460	1998-10-27	VYDAJ	VYBER KARTOU	3400	58013	\N	\N	0
718430	2460	1998-11-26	VYDAJ	VYBER KARTOU	3800	61349	\N	\N	0
718492	2461	1997-09-28	PRIJEM	VKLAD	200	200	\N	\N	\N
718493	2461	1997-12-19	PRIJEM	VKLAD	2328	19585	\N	\N	\N
718495	2461	1998-08-08	PRIJEM	VKLAD	15885	33724	\N	\N	\N
718496	2461	1998-12-20	PRIJEM	VKLAD	8868	22419	\N	\N	\N
718506	2461	1997-10-13	PRIJEM	VKLAD	1300	1500	\N	\N	\N
718507	2461	1997-11-14	PRIJEM	VKLAD	1300	13006	\N	\N	\N
718508	2461	1997-12-14	PRIJEM	VKLAD	1300	17257	\N	\N	\N
718509	2461	1998-01-13	PRIJEM	VKLAD	1300	22859	\N	\N	\N
718510	2461	1998-02-15	PRIJEM	VKLAD	1300	22881	\N	\N	\N
718511	2461	1998-03-14	PRIJEM	VKLAD	1300	22460	\N	\N	\N
718512	2461	1998-04-17	PRIJEM	VKLAD	1300	26537	\N	\N	\N
718513	2461	1998-05-15	PRIJEM	VKLAD	1300	25577	\N	\N	\N
718514	2461	1998-06-13	PRIJEM	VKLAD	1300	22263	\N	\N	\N
718515	2461	1998-07-17	PRIJEM	VKLAD	1300	18232	\N	\N	\N
718516	2461	1998-08-16	PRIJEM	VKLAD	1300	35024	\N	\N	\N
718517	2461	1998-09-17	PRIJEM	VKLAD	1300	30214	\N	\N	\N
718518	2461	1998-10-17	PRIJEM	VKLAD	1300	24513	\N	\N	\N
718519	2461	1998-11-17	PRIJEM	VKLAD	1300	21492	\N	\N	\N
718520	2461	1998-12-14	PRIJEM	VKLAD	1300	13551	\N	\N	\N
718524	2461	1998-01-13	VYDAJ	VYBER	1400	21459	\N	\N	\N
718528	2461	1998-01-20	VYDAJ	VYBER	4300	15959	\N	\N	\N
718538	2461	1998-01-25	VYDAJ	VYBER	400	15559	\N	\N	\N
718540	2461	1998-01-18	VYDAJ	VYBER	1200	20259	\N	\N	\N
718545	2461	1998-03-19	VYDAJ	VYBER	600	21860	\N	\N	\N
718546	2461	1998-02-09	VYDAJ	VYBER	850	21581	\N	\N	\N
718549	2461	1998-05-06	VYDAJ	VYBER	250	24277	\N	\N	\N
718550	2461	1998-07-24	VYDAJ	VYBER	2250	15982	\N	\N	\N
718565	2461	1998-01-31	VYDAJ	VYBER	15	22431	SLUZBY	\N	\N
718566	2461	1998-02-28	VYDAJ	VYBER	15	21160	SLUZBY	\N	\N
718567	2461	1998-03-31	VYDAJ	VYBER	15	25237	SLUZBY	\N	\N
718568	2461	1998-04-30	VYDAJ	VYBER	15	24527	SLUZBY	\N	\N
718569	2461	1998-05-31	VYDAJ	VYBER	15	20963	SLUZBY	\N	\N
718570	2461	1998-06-30	VYDAJ	VYBER	15	16932	SLUZBY	\N	\N
718571	2461	1998-07-31	VYDAJ	VYBER	15	17839	SLUZBY	\N	\N
718572	2461	1998-08-31	VYDAJ	VYBER	15	28914	SLUZBY	\N	\N
718573	2461	1998-09-30	VYDAJ	VYBER	15	23213	SLUZBY	\N	\N
718574	2461	1998-10-31	VYDAJ	VYBER	15	20192	SLUZBY	\N	\N
718575	2461	1998-11-30	VYDAJ	VYBER	15	12251	SLUZBY	\N	\N
718576	2461	1997-10-28	PRIJEM	VKLAD	10200	11700	\N	\N	\N
718577	2461	1997-11-27	PRIJEM	VKLAD	2900	15906	\N	\N	\N
718578	2461	1997-12-27	PRIJEM	VKLAD	1900	21485	\N	\N	\N
718579	2461	1998-01-26	PRIJEM	VKLAD	6800	22359	\N	\N	\N
718580	2461	1998-02-25	VYDAJ	VYBER	1800	21081	\N	\N	\N
718581	2461	1998-03-27	PRIJEM	VKLAD	3300	25160	\N	\N	\N
718582	2461	1998-04-26	VYDAJ	VYBER	2100	24437	\N	\N	\N
718583	2461	1998-05-26	VYDAJ	VYBER	4700	20877	\N	\N	\N
718584	2461	1998-06-25	VYDAJ	VYBER	5400	16863	\N	\N	\N
718585	2461	1998-07-25	PRIJEM	VKLAD	1800	17782	\N	\N	\N
718586	2461	1998-08-24	VYDAJ	VYBER	6200	28824	\N	\N	\N
718587	2461	1998-09-23	VYDAJ	VYBER	7100	23114	\N	\N	\N
718588	2461	1998-10-23	VYDAJ	VYBER	4400	20113	\N	\N	\N
718589	2461	1998-11-22	VYDAJ	VYBER	9300	12192	\N	\N	\N
718956	2463	1994-10-11	PRIJEM	VKLAD	600	600	\N	\N	\N
718967	2463	1994-11-08	PRIJEM	VKLAD	15460	16060	\N	\N	\N
718968	2463	1994-12-08	PRIJEM	VKLAD	23190	44913	\N	\N	\N
718969	2463	1995-01-08	PRIJEM	VKLAD	15460	49700	\N	\N	\N
718970	2463	1995-02-08	PRIJEM	VKLAD	15460	52009	\N	\N	\N
718971	2463	1995-03-08	PRIJEM	VKLAD	15460	49770	\N	\N	\N
718972	2463	1995-04-08	PRIJEM	VKLAD	15460	49502	\N	\N	\N
718973	2463	1995-05-08	PRIJEM	VKLAD	15460	46904	\N	\N	\N
718974	2463	1995-06-08	PRIJEM	VKLAD	23190	53831	\N	\N	\N
718975	2463	1995-07-08	PRIJEM	VKLAD	15460	47597	\N	\N	\N
718976	2463	1995-08-08	PRIJEM	VKLAD	15460	39695	\N	\N	\N
718977	2463	1995-09-08	PRIJEM	VKLAD	15460	42889	\N	\N	\N
718978	2463	1995-10-08	PRIJEM	VKLAD	15460	38869	\N	\N	\N
718979	2463	1995-11-08	PRIJEM	VKLAD	15460	38886	\N	\N	\N
718980	2463	1995-12-08	PRIJEM	VKLAD	23190	48135	\N	\N	\N
718981	2463	1996-01-08	PRIJEM	VKLAD	15460	40654	\N	\N	\N
718982	2463	1996-02-08	PRIJEM	VKLAD	15460	32363	\N	\N	\N
718983	2463	1996-03-08	PRIJEM	VKLAD	15460	36345	\N	\N	\N
718984	2463	1996-04-08	PRIJEM	VKLAD	15460	35580	\N	\N	\N
718985	2463	1996-05-08	PRIJEM	VKLAD	15460	37782	\N	\N	\N
718986	2463	1996-06-08	PRIJEM	VKLAD	23190	49523	\N	\N	\N
718987	2463	1996-07-08	PRIJEM	VKLAD	15460	38498	\N	\N	\N
718988	2463	1996-08-08	PRIJEM	VKLAD	15460	39682	\N	\N	\N
718989	2463	1996-09-08	PRIJEM	VKLAD	15460	40096	\N	\N	\N
718990	2463	1996-10-08	PRIJEM	VKLAD	15460	41099	\N	\N	\N
718991	2463	1996-11-08	PRIJEM	VKLAD	15460	41305	\N	\N	\N
718992	2463	1996-12-08	PRIJEM	VKLAD	23190	50742	\N	\N	\N
718993	2463	1997-01-08	PRIJEM	VKLAD	15460	47013	\N	\N	\N
718994	2463	1997-02-08	PRIJEM	VKLAD	15460	37265	\N	\N	\N
718995	2463	1997-03-08	PRIJEM	VKLAD	15460	41353	\N	\N	\N
718996	2463	1997-04-08	PRIJEM	VKLAD	15460	35526	\N	\N	\N
718997	2463	1997-05-08	PRIJEM	VKLAD	15460	31551	\N	\N	\N
718998	2463	1997-06-08	PRIJEM	VKLAD	23190	42406	\N	\N	\N
718999	2463	1997-07-08	PRIJEM	VKLAD	15460	34229	\N	\N	\N
719000	2463	1997-08-08	PRIJEM	VKLAD	15460	35843	\N	\N	\N
719001	2463	1997-09-08	PRIJEM	VKLAD	15460	40523	\N	\N	\N
719002	2463	1997-10-08	PRIJEM	VKLAD	15460	41519	\N	\N	\N
719003	2463	1997-11-08	PRIJEM	VKLAD	15460	42018	\N	\N	\N
719004	2463	1997-12-08	PRIJEM	VKLAD	23190	47568	\N	\N	\N
719005	2463	1998-01-08	PRIJEM	VKLAD	15460	50258	\N	\N	\N
719006	2463	1998-02-08	PRIJEM	VKLAD	15460	33913	\N	\N	\N
719007	2463	1998-03-08	PRIJEM	VKLAD	15460	33139	\N	\N	\N
719008	2463	1998-04-08	PRIJEM	VKLAD	15460	30076	\N	\N	\N
719009	2463	1998-05-08	PRIJEM	VKLAD	15460	31726	\N	\N	\N
719010	2463	1998-06-08	PRIJEM	VKLAD	23190	47364	\N	\N	\N
719011	2463	1998-07-08	PRIJEM	VKLAD	15460	40169	\N	\N	\N
719012	2463	1998-08-08	PRIJEM	VKLAD	15460	37052	\N	\N	\N
719013	2463	1998-09-08	PRIJEM	VKLAD	15460	31316	\N	\N	\N
719014	2463	1998-10-08	PRIJEM	VKLAD	15460	30161	\N	\N	\N
719015	2463	1998-11-08	PRIJEM	VKLAD	15460	36854	\N	\N	\N
719016	2463	1998-12-08	PRIJEM	VKLAD	23190	57074	\N	\N	\N
719031	2463	1995-03-11	VYDAJ	PREVOD NA UCET	3077	33893	SIPO	YZ	79603081
719032	2463	1995-04-11	VYDAJ	PREVOD NA UCET	3077	31325	SIPO	YZ	79603081
719033	2463	1995-05-11	VYDAJ	PREVOD NA UCET	3077	30527	SIPO	YZ	79603081
719034	2463	1995-06-11	VYDAJ	PREVOD NA UCET	3077	33454	SIPO	YZ	79603081
719035	2463	1995-07-11	VYDAJ	PREVOD NA UCET	3077	28120	SIPO	YZ	79603081
719036	2463	1995-08-11	VYDAJ	PREVOD NA UCET	3077	36618	SIPO	YZ	79603081
719037	2463	1995-09-11	VYDAJ	PREVOD NA UCET	3077	39812	SIPO	YZ	79603081
719038	2463	1995-10-11	VYDAJ	PREVOD NA UCET	3077	35792	SIPO	YZ	79603081
719039	2463	1995-11-11	VYDAJ	PREVOD NA UCET	3077	35809	SIPO	YZ	79603081
719040	2463	1995-12-11	VYDAJ	PREVOD NA UCET	3077	45058	SIPO	YZ	79603081
719041	2463	1996-01-11	VYDAJ	PREVOD NA UCET	3077	37577	SIPO	YZ	79603081
719042	2463	1996-02-11	VYDAJ	PREVOD NA UCET	3077	29286	SIPO	YZ	79603081
719043	2463	1996-03-11	VYDAJ	PREVOD NA UCET	3077	29908	SIPO	YZ	79603081
719044	2463	1996-04-11	VYDAJ	PREVOD NA UCET	3077	32503	SIPO	YZ	79603081
719045	2463	1996-05-11	VYDAJ	PREVOD NA UCET	3077	34705	SIPO	YZ	79603081
719046	2463	1996-06-11	VYDAJ	PREVOD NA UCET	3077	29486	SIPO	YZ	79603081
719047	2463	1996-07-11	VYDAJ	PREVOD NA UCET	3077	35421	SIPO	YZ	79603081
719048	2463	1996-08-11	VYDAJ	PREVOD NA UCET	3077	36605	SIPO	YZ	79603081
719049	2463	1996-09-11	VYDAJ	PREVOD NA UCET	3077	37019	SIPO	YZ	79603081
719050	2463	1996-10-11	VYDAJ	PREVOD NA UCET	3077	38022	SIPO	YZ	79603081
719051	2463	1996-11-11	VYDAJ	PREVOD NA UCET	3077	38228	SIPO	YZ	79603081
719052	2463	1996-12-11	VYDAJ	PREVOD NA UCET	3077	47665	SIPO	YZ	79603081
719053	2463	1997-01-11	VYDAJ	PREVOD NA UCET	3077	43936	SIPO	YZ	79603081
719054	2463	1997-02-11	VYDAJ	PREVOD NA UCET	3077	34188	SIPO	YZ	79603081
719055	2463	1997-03-11	VYDAJ	PREVOD NA UCET	3077	38276	SIPO	YZ	79603081
719056	2463	1997-04-11	VYDAJ	PREVOD NA UCET	3077	32449	SIPO	YZ	79603081
719057	2463	1997-05-11	VYDAJ	PREVOD NA UCET	3077	28474	SIPO	YZ	79603081
719058	2463	1997-06-11	VYDAJ	PREVOD NA UCET	3077	39329	SIPO	YZ	79603081
719059	2463	1997-07-11	VYDAJ	PREVOD NA UCET	3077	31152	SIPO	YZ	79603081
719060	2463	1997-08-11	VYDAJ	PREVOD NA UCET	3077	32766	SIPO	YZ	79603081
719061	2463	1997-09-11	VYDAJ	PREVOD NA UCET	3077	37446	SIPO	YZ	79603081
719062	2463	1997-10-11	VYDAJ	PREVOD NA UCET	3077	38442	SIPO	YZ	79603081
719063	2463	1997-11-11	VYDAJ	PREVOD NA UCET	3077	38941	SIPO	YZ	79603081
719064	2463	1997-12-11	VYDAJ	PREVOD NA UCET	3077	44491	SIPO	YZ	79603081
719065	2463	1998-01-11	VYDAJ	PREVOD NA UCET	3077	47181	SIPO	YZ	79603081
719066	2463	1998-02-11	VYDAJ	PREVOD NA UCET	3077	30836	SIPO	YZ	79603081
719067	2463	1998-03-11	VYDAJ	PREVOD NA UCET	3077	25262	SIPO	YZ	79603081
719068	2463	1998-04-11	VYDAJ	PREVOD NA UCET	3077	26999	SIPO	YZ	79603081
719069	2463	1998-05-11	VYDAJ	PREVOD NA UCET	3077	28649	SIPO	YZ	79603081
719070	2463	1998-06-11	VYDAJ	PREVOD NA UCET	3077	44287	SIPO	YZ	79603081
719071	2463	1998-07-11	VYDAJ	PREVOD NA UCET	3077	37092	SIPO	YZ	79603081
719072	2463	1998-08-11	VYDAJ	PREVOD NA UCET	3077	33975	SIPO	YZ	79603081
719073	2463	1998-09-11	VYDAJ	PREVOD NA UCET	3077	28239	SIPO	YZ	79603081
719074	2463	1998-10-11	VYDAJ	PREVOD NA UCET	3077	27084	SIPO	YZ	79603081
719075	2463	1998-11-11	VYDAJ	PREVOD NA UCET	3077	33777	SIPO	YZ	79603081
719076	2463	1998-12-11	VYDAJ	PREVOD NA UCET	3077	53997	SIPO	YZ	79603081
719079	2463	1996-06-08	VYDAJ	VYBER	16960	32563	\N	\N	\N
719080	2463	1997-06-19	VYDAJ	VYBER	7360	31969	\N	\N	\N
719084	2463	1996-01-19	VYDAJ	VYBER	12160	25417	\N	\N	\N
719085	2463	1997-01-23	VYDAJ	VYBER	15360	28576	\N	\N	\N
719086	2463	1998-01-25	VYDAJ	VYBER	12160	18321	\N	\N	\N
719088	2463	1995-12-14	VYDAJ	VYBER	3520	41538	\N	\N	\N
719089	2463	1996-12-26	VYDAJ	VYBER	2560	45105	\N	\N	\N
719090	2463	1997-12-13	VYDAJ	VYBER	2720	41771	\N	\N	\N
719091	2463	1998-12-12	VYDAJ	VYBER	3680	50317	\N	\N	\N
719097	2463	1995-09-24	VYDAJ	VYBER	2400	34172	\N	\N	\N
719098	2463	1995-07-04	VYDAJ	VYBER	1440	32137	\N	\N	\N
719100	2463	1995-09-12	VYDAJ	VYBER	3240	36572	\N	\N	\N
719101	2463	1995-08-24	VYDAJ	VYBER	720	35898	\N	\N	\N
719102	2463	1996-02-04	VYDAJ	VYBER	2040	16903	\N	\N	\N
719103	2463	1996-06-26	VYDAJ	VYBER	2760	26726	\N	\N	\N
719104	2463	1996-03-08	VYDAJ	VYBER	3360	32985	\N	\N	\N
719105	2463	1996-07-25	VYDAJ	VYBER	4920	30501	\N	\N	\N
719106	2463	1997-05-28	VYDAJ	VYBER	840	19134	\N	\N	\N
719107	2463	1997-11-28	VYDAJ	VYBER	3480	24261	\N	\N	\N
719108	2463	1997-03-15	VYDAJ	VYBER	5520	32756	\N	\N	\N
719109	2463	1997-04-12	VYDAJ	VYBER	5640	26809	\N	\N	\N
719110	2463	1997-07-30	VYDAJ	VYBER	2160	20292	\N	\N	\N
719111	2463	1998-05-31	VYDAJ	VYBER	4560	24174	\N	\N	\N
719112	2463	1998-03-08	VYDAJ	VYBER	4800	28339	\N	\N	\N
719113	2463	1998-03-22	VYDAJ	VYBER	4320	20942	\N	\N	\N
719114	2463	1998-10-21	VYDAJ	VYBER	5760	21324	\N	\N	\N
719115	2463	1998-03-01	VYDAJ	VYBER	3840	17679	\N	\N	\N
719131	2463	1995-03-31	VYDAJ	VYBER	15	34042	SLUZBY	\N	\N
719132	2463	1995-04-30	VYDAJ	VYBER	15	31444	SLUZBY	\N	\N
719133	2463	1995-05-31	VYDAJ	VYBER	15	30641	SLUZBY	\N	\N
719134	2463	1995-06-30	VYDAJ	VYBER	15	33577	SLUZBY	\N	\N
719135	2463	1995-07-31	VYDAJ	VYBER	15	28235	SLUZBY	\N	\N
719136	2463	1995-08-31	VYDAJ	VYBER	15	36029	SLUZBY	\N	\N
719137	2463	1995-09-30	VYDAJ	VYBER	15	34309	SLUZBY	\N	\N
719138	2463	1995-10-31	VYDAJ	VYBER	15	35926	SLUZBY	\N	\N
719139	2463	1995-11-30	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
719140	2463	1995-12-31	VYDAJ	VYBER	15	41694	SLUZBY	\N	\N
719141	2463	1996-01-31	VYDAJ	VYBER	15	25543	SLUZBY	\N	\N
719142	2463	1996-02-29	VYDAJ	VYBER	15	29385	SLUZBY	\N	\N
719143	2463	1996-03-31	VYDAJ	VYBER	15	30020	SLUZBY	\N	\N
719144	2463	1996-04-30	VYDAJ	VYBER	15	32622	SLUZBY	\N	\N
719145	2463	1996-05-31	VYDAJ	VYBER	15	34833	SLUZBY	\N	\N
719146	2463	1996-06-30	VYDAJ	VYBER	15	26838	SLUZBY	\N	\N
719147	2463	1996-07-31	VYDAJ	VYBER	15	30622	SLUZBY	\N	\N
719148	2463	1996-08-31	VYDAJ	VYBER	15	36736	SLUZBY	\N	\N
719149	2463	1996-09-30	VYDAJ	VYBER	15	25639	SLUZBY	\N	\N
719150	2463	1996-10-31	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
719151	2463	1996-11-30	VYDAJ	VYBER	15	27552	SLUZBY	\N	\N
719152	2463	1996-12-31	VYDAJ	VYBER	15	31553	SLUZBY	\N	\N
719153	2463	1997-01-31	VYDAJ	VYBER	15	21805	SLUZBY	\N	\N
719154	2463	1997-02-28	VYDAJ	VYBER	15	25893	SLUZBY	\N	\N
719155	2463	1997-03-31	VYDAJ	VYBER	15	20066	SLUZBY	\N	\N
719156	2463	1997-04-30	VYDAJ	VYBER	15	16091	SLUZBY	\N	\N
719157	2463	1997-05-31	VYDAJ	VYBER	15	19216	SLUZBY	\N	\N
719158	2463	1997-06-30	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
719159	2463	1997-07-31	VYDAJ	VYBER	15	20383	SLUZBY	\N	\N
719160	2463	1997-08-31	VYDAJ	VYBER	15	25063	SLUZBY	\N	\N
719161	2463	1997-09-30	VYDAJ	VYBER	15	26059	SLUZBY	\N	\N
719162	2463	1997-10-31	VYDAJ	VYBER	15	26558	SLUZBY	\N	\N
719163	2463	1997-11-30	VYDAJ	VYBER	15	24378	SLUZBY	\N	\N
719164	2463	1997-12-31	VYDAJ	VYBER	15	34798	SLUZBY	\N	\N
719165	2463	1998-01-31	VYDAJ	VYBER	15	18453	SLUZBY	\N	\N
719166	2463	1998-02-28	VYDAJ	VYBER	15	21519	SLUZBY	\N	\N
719167	2463	1998-03-31	VYDAJ	VYBER	15	14616	SLUZBY	\N	\N
719168	2463	1998-04-30	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
719169	2463	1998-05-31	VYDAJ	VYBER	15	28734	SLUZBY	\N	\N
719170	2463	1998-06-30	VYDAJ	VYBER	15	24709	SLUZBY	\N	\N
719171	2463	1998-07-31	VYDAJ	VYBER	15	21592	SLUZBY	\N	\N
719172	2463	1998-08-31	VYDAJ	VYBER	15	15856	SLUZBY	\N	\N
719173	2463	1998-09-30	VYDAJ	VYBER	15	14701	SLUZBY	\N	\N
719174	2463	1998-10-31	VYDAJ	VYBER	15	21394	SLUZBY	\N	\N
719175	2463	1998-11-30	VYDAJ	VYBER	15	33884	SLUZBY	\N	\N
719176	2463	1994-11-10	PRIJEM	VKLAD	5600	21660	\N	\N	\N
719177	2463	1994-12-10	VYDAJ	VYBER	10800	34113	\N	\N	\N
719178	2463	1995-01-09	VYDAJ	VYBER	13300	36400	\N	\N	\N
719179	2463	1995-02-08	VYDAJ	VYBER	17900	34109	\N	\N	\N
719180	2463	1995-03-10	VYDAJ	VYBER	12800	36970	\N	\N	\N
719181	2463	1995-04-09	VYDAJ	VYBER	15100	34402	\N	\N	\N
719182	2463	1995-05-09	VYDAJ	VYBER	13300	33604	\N	\N	\N
719183	2463	1995-06-08	VYDAJ	VYBER	17300	36531	\N	\N	\N
719184	2463	1995-07-08	VYDAJ	VYBER	16400	31197	\N	\N	\N
719185	2463	1995-08-07	VYDAJ	VYBER	4000	24235	\N	\N	\N
719186	2463	1995-09-06	VYDAJ	VYBER	8600	27429	\N	\N	\N
719187	2463	1995-10-06	VYDAJ	VYBER	10900	23409	\N	\N	\N
719188	2463	1995-11-05	VYDAJ	VYBER	12500	23426	\N	\N	\N
719189	2463	1995-12-05	VYDAJ	VYBER	11000	24945	\N	\N	\N
719190	2463	1996-01-04	VYDAJ	VYBER	16500	25194	\N	\N	\N
719191	2463	1996-02-03	VYDAJ	VYBER	6600	18943	\N	\N	\N
719192	2463	1996-03-04	VYDAJ	VYBER	8500	20885	\N	\N	\N
719193	2463	1996-04-03	VYDAJ	VYBER	9900	20120	\N	\N	\N
719194	2463	1996-05-03	VYDAJ	VYBER	10300	22322	\N	\N	\N
719195	2463	1996-06-02	VYDAJ	VYBER	8500	26333	\N	\N	\N
719196	2463	1996-07-02	VYDAJ	VYBER	3800	23038	\N	\N	\N
719197	2463	1996-08-01	VYDAJ	VYBER	6400	24222	\N	\N	\N
719198	2463	1996-08-31	VYDAJ	VYBER	12100	24636	\N	\N	\N
719199	2463	1996-09-30	VYDAJ	VYBER	11500	25654	\N	\N	\N
719200	2463	1996-10-30	VYDAJ	VYBER	12300	25722	\N	\N	\N
719201	2463	1996-11-29	VYDAJ	VYBER	10800	27428	\N	\N	\N
719202	2463	1996-12-29	VYDAJ	VYBER	13700	31405	\N	\N	\N
719203	2463	1997-01-28	VYDAJ	VYBER	6900	21676	\N	\N	\N
719204	2463	1997-02-27	VYDAJ	VYBER	8400	25788	\N	\N	\N
719205	2463	1997-03-29	VYDAJ	VYBER	12800	19956	\N	\N	\N
719206	2463	1997-04-28	VYDAJ	VYBER	10800	16009	\N	\N	\N
719207	2463	1997-05-28	VYDAJ	VYBER	8500	19974	\N	\N	\N
719208	2463	1997-06-27	VYDAJ	VYBER	13300	18669	\N	\N	\N
719209	2463	1997-07-27	VYDAJ	VYBER	8700	22452	\N	\N	\N
719210	2463	1997-08-26	VYDAJ	VYBER	7800	24966	\N	\N	\N
719211	2463	1997-09-25	VYDAJ	VYBER	11500	25946	\N	\N	\N
719212	2463	1997-10-25	VYDAJ	VYBER	12000	26442	\N	\N	\N
719213	2463	1997-11-24	VYDAJ	VYBER	11200	27741	\N	\N	\N
719214	2463	1997-12-24	VYDAJ	VYBER	7100	34671	\N	\N	\N
719215	2463	1998-01-23	VYDAJ	VYBER	16700	30481	\N	\N	\N
719216	2463	1998-02-22	VYDAJ	VYBER	9400	21436	\N	\N	\N
719217	2463	1998-03-24	VYDAJ	VYBER	6400	14542	\N	\N	\N
719218	2463	1998-04-23	VYDAJ	VYBER	10800	16199	\N	\N	\N
719219	2463	1998-06-22	VYDAJ	VYBER	19700	24587	\N	\N	\N
719220	2463	1998-07-22	VYDAJ	VYBER	15600	21492	\N	\N	\N
719221	2463	1998-08-21	VYDAJ	VYBER	18200	15775	\N	\N	\N
719222	2463	1998-09-20	VYDAJ	VYBER	13600	14639	\N	\N	\N
719273	2464	1993-07-02	PRIJEM	VKLAD	900	900	\N	\N	\N
719274	2464	1993-09-17	PRIJEM	VKLAD	9808	21997	\N	\N	\N
719275	2464	1993-07-09	PRIJEM	VKLAD	11696	19393	\N	\N	\N
719280	2464	1993-12-18	PRIJEM	VKLAD	26487	79793	\N	\N	\N
719281	2464	1993-08-13	PRIJEM	VKLAD	7010	77255	\N	\N	\N
719282	2464	1993-10-02	PRIJEM	VKLAD	11600	35343	\N	\N	\N
719283	2464	1993-10-17	PRIJEM	VKLAD	29316	54423	\N	\N	\N
719288	2464	1993-08-27	PRIJEM	VKLAD	24881	102720	\N	\N	\N
719290	2464	1993-07-19	PRIJEM	VKLAD	18052	37445	\N	\N	\N
719291	2464	1993-12-17	PRIJEM	VKLAD	27008	53306	\N	\N	\N
719292	2464	1993-10-22	PRIJEM	VKLAD	19777	74200	\N	\N	\N
719293	2464	1993-11-20	PRIJEM	VKLAD	41675	103052	\N	\N	\N
719296	2464	1993-07-04	PRIJEM	VKLAD	6797	7697	\N	\N	\N
719297	2464	1993-08-07	PRIJEM	VKLAD	38103	70245	\N	\N	\N
719298	2464	1993-08-17	PRIJEM	VKLAD	6139	77839	\N	\N	\N
719299	2464	1993-11-01	PRIJEM	VKLAD	22529	71613	\N	\N	\N
719303	2464	1994-12-11	PRIJEM	VKLAD	18828	58254	\N	\N	\N
719304	2464	1994-08-28	PRIJEM	VKLAD	27071	61611	\N	\N	\N
719305	2464	1994-02-03	PRIJEM	VKLAD	14343	63524	\N	\N	\N
719306	2464	1994-11-19	PRIJEM	VKLAD	40080	57863	\N	\N	\N
719307	2464	1994-08-16	PRIJEM	VKLAD	26775	37940	\N	\N	\N
719308	2464	1994-12-28	PRIJEM	VKLAD	20070	53469	\N	\N	\N
719309	2464	1994-03-21	PRIJEM	VKLAD	9568	47765	\N	\N	\N
719310	2464	1994-02-05	PRIJEM	VKLAD	26149	89673	\N	\N	\N
719311	2464	1994-02-03	PRIJEM	VKLAD	27827	49181	\N	\N	\N
719312	2464	1994-04-28	PRIJEM	VKLAD	42412	70626	\N	\N	\N
719313	2464	1995-01-15	PRIJEM	VKLAD	26352	69670	\N	\N	\N
719314	2464	1995-03-22	PRIJEM	VKLAD	44317	60373	\N	\N	\N
719315	2464	1995-07-30	PRIJEM	VKLAD	19021	37511	\N	\N	\N
719316	2464	1995-09-20	PRIJEM	VKLAD	21072	40311	\N	\N	\N
719317	2464	1996-05-14	PRIJEM	VKLAD	47170	79788	\N	\N	\N
719318	2464	1996-08-23	PRIJEM	VKLAD	35346	67864	\N	\N	\N
719319	2464	1996-04-24	PRIJEM	VKLAD	5055	23065	\N	\N	\N
719320	2464	1996-05-31	PRIJEM	VKLAD	35054	88433	\N	\N	\N
719321	2464	1996-06-30	PRIJEM	VKLAD	36112	89302	\N	\N	\N
719322	2464	1996-05-04	PRIJEM	VKLAD	32717	55754	\N	\N	\N
719323	2464	1997-10-09	PRIJEM	VKLAD	24478	93228	\N	\N	\N
719324	2464	1997-05-29	PRIJEM	VKLAD	14955	43737	\N	\N	\N
719325	2464	1997-12-30	PRIJEM	VKLAD	24842	113158	\N	\N	\N
719326	2464	1997-09-21	PRIJEM	VKLAD	6650	25312	\N	\N	\N
719327	2464	1997-04-12	PRIJEM	VKLAD	25877	96283	\N	\N	\N
719328	2464	1997-04-09	PRIJEM	VKLAD	23023	75087	\N	\N	\N
719329	2464	1997-06-25	PRIJEM	VKLAD	11712	35840	\N	\N	\N
719330	2464	1997-07-07	PRIJEM	VKLAD	16846	52721	\N	\N	\N
719331	2464	1997-05-20	PRIJEM	VKLAD	12924	28782	\N	\N	\N
719332	2464	1997-01-16	PRIJEM	VKLAD	43945	70610	\N	\N	\N
719333	2464	1997-12-03	PRIJEM	VKLAD	42556	78137	\N	\N	\N
719334	2464	1997-12-19	PRIJEM	VKLAD	47335	108216	\N	\N	\N
719335	2464	1997-09-25	PRIJEM	VKLAD	43383	68695	\N	\N	\N
719336	2464	1997-07-25	PRIJEM	VKLAD	12617	41702	\N	\N	\N
719337	2464	1997-11-20	PRIJEM	VKLAD	26428	35575	\N	\N	\N
719338	2464	1997-02-25	PRIJEM	VKLAD	44613	94055	\N	\N	\N
719339	2464	1997-12-06	PRIJEM	VKLAD	40725	118862	\N	\N	\N
719340	2464	1997-04-02	PRIJEM	VKLAD	5262	52064	\N	\N	\N
719341	2464	1997-02-21	PRIJEM	VKLAD	19337	49442	\N	\N	\N
719342	2464	1997-12-16	PRIJEM	VKLAD	17755	60881	\N	\N	\N
719343	2464	1997-01-14	PRIJEM	VKLAD	41622	44665	\N	\N	\N
719344	2464	1997-08-08	PRIJEM	VKLAD	36930	78674	\N	\N	\N
719345	2464	1997-02-25	PRIJEM	VKLAD	21745	115800	\N	\N	\N
719346	2464	1997-08-13	PRIJEM	VKLAD	15913	60706	\N	\N	\N
719347	2464	1997-01-19	PRIJEM	VKLAD	38449	109059	\N	\N	\N
719348	2464	1998-11-29	PRIJEM	VKLAD	36250	96630	\N	\N	\N
719349	2464	1998-03-29	PRIJEM	VKLAD	31635	91651	\N	\N	\N
719350	2464	1998-12-04	PRIJEM	VKLAD	12782	69081	\N	\N	\N
719351	2464	1998-04-05	PRIJEM	VKLAD	24786	116499	\N	\N	\N
719352	2464	1998-12-24	PRIJEM	VKLAD	35458	102820	\N	\N	\N
719353	2464	1998-08-25	PRIJEM	VKLAD	42656	63495	\N	\N	\N
719354	2464	1998-09-24	PRIJEM	VKLAD	5317	108757	\N	\N	\N
719355	2464	1998-06-24	PRIJEM	VKLAD	32709	40221	\N	\N	\N
719356	2464	1998-11-19	PRIJEM	VKLAD	17679	60380	\N	\N	\N
719357	2464	1998-03-28	PRIJEM	VKLAD	25951	60016	\N	\N	\N
719358	2464	1998-01-11	PRIJEM	VKLAD	19724	49476	\N	\N	\N
719359	2464	1998-04-23	PRIJEM	VKLAD	25132	59618	\N	\N	\N
719360	2464	1998-09-12	PRIJEM	VKLAD	19322	73888	\N	\N	\N
719361	2464	1998-08-27	PRIJEM	VKLAD	39198	102693	\N	\N	\N
719362	2464	1998-09-18	PRIJEM	VKLAD	35107	103440	\N	\N	\N
719363	2464	1998-10-14	PRIJEM	VKLAD	38994	86714	\N	\N	\N
719364	2464	1998-10-04	PRIJEM	VKLAD	12811	121856	\N	\N	\N
719365	2464	1998-12-12	PRIJEM	VKLAD	14217	78617	\N	\N	\N
719366	2464	1998-03-13	PRIJEM	VKLAD	22836	39620	\N	\N	\N
719367	2464	1998-08-04	PRIJEM	VKLAD	41620	55775	\N	\N	\N
719368	2464	1998-03-03	PRIJEM	VKLAD	19086	36954	\N	\N	\N
719369	2464	1998-01-22	PRIJEM	VKLAD	49465	80685	\N	\N	\N
719449	2464	1993-08-13	VYDAJ	PREVOD NA UCET	5555	71700	SIPO	ST	28556400
719450	2464	1993-09-13	VYDAJ	PREVOD NA UCET	5555	12189	SIPO	ST	28556400
719451	2464	1993-10-13	VYDAJ	PREVOD NA UCET	5555	25107	SIPO	ST	28556400
719452	2464	1993-11-13	VYDAJ	PREVOD NA UCET	5555	61377	SIPO	ST	28556400
719453	2464	1993-12-13	VYDAJ	PREVOD NA UCET	5555	40149	SIPO	ST	28556400
719454	2464	1994-01-13	VYDAJ	PREVOD NA UCET	5555	13655	SIPO	ST	28556400
719455	2464	1994-02-13	VYDAJ	PREVOD NA UCET	5555	79437	SIPO	ST	28556400
719456	2464	1994-03-13	VYDAJ	PREVOD NA UCET	5555	38197	SIPO	ST	28556400
719457	2464	1994-04-13	VYDAJ	PREVOD NA UCET	5555	28214	SIPO	ST	28556400
719458	2464	1994-05-13	VYDAJ	PREVOD NA UCET	5555	40334	SIPO	ST	28556400
719459	2464	1994-06-13	VYDAJ	PREVOD NA UCET	5555	16973	SIPO	ST	28556400
719460	2464	1994-07-13	VYDAJ	PREVOD NA UCET	5555	12327	SIPO	ST	28556400
719461	2464	1994-08-13	VYDAJ	PREVOD NA UCET	5555	11165	SIPO	ST	28556400
719462	2464	1994-09-13	VYDAJ	PREVOD NA UCET	5555	51407	SIPO	ST	28556400
719463	2464	1994-10-13	VYDAJ	PREVOD NA UCET	5555	28086	SIPO	ST	28556400
719464	2464	1994-11-13	VYDAJ	PREVOD NA UCET	5555	17783	SIPO	ST	28556400
719465	2464	1994-12-13	VYDAJ	PREVOD NA UCET	5555	52699	SIPO	ST	28556400
719466	2464	1995-01-13	VYDAJ	PREVOD NA UCET	5555	43318	SIPO	ST	28556400
719467	2464	1995-02-13	VYDAJ	PREVOD NA UCET	5555	29555	SIPO	ST	28556400
719468	2464	1995-03-13	VYDAJ	PREVOD NA UCET	5555	16056	SIPO	ST	28556400
719469	2464	1995-04-13	VYDAJ	PREVOD NA UCET	5555	33761	SIPO	ST	28556400
719470	2464	1995-05-13	VYDAJ	PREVOD NA UCET	5555	19778	SIPO	ST	28556400
719471	2464	1995-06-13	VYDAJ	PREVOD NA UCET	5555	14145	SIPO	ST	28556400
719472	2464	1995-07-13	VYDAJ	PREVOD NA UCET	5555	8290	SIPO	ST	28556400
719473	2464	1995-08-13	VYDAJ	PREVOD NA UCET	5555	27243	SIPO	ST	28556400
719474	2464	1995-09-13	VYDAJ	PREVOD NA UCET	5555	19239	SIPO	ST	28556400
719475	2464	1995-10-13	VYDAJ	PREVOD NA UCET	5555	21202	SIPO	ST	28556400
719476	2464	1995-11-13	VYDAJ	PREVOD NA UCET	5555	11971	SIPO	ST	28556400
719477	2464	1995-12-13	VYDAJ	PREVOD NA UCET	5555	7610	SIPO	ST	28556400
719478	2464	1996-01-13	VYDAJ	PREVOD NA UCET	5555	5836	SIPO	ST	28556400
719479	2464	1996-02-13	VYDAJ	PREVOD NA UCET	5555	6159	SIPO	ST	28556400
719480	2464	1996-03-13	VYDAJ	PREVOD NA UCET	5555	6184	SIPO	ST	28556400
719481	2464	1996-04-13	VYDAJ	PREVOD NA UCET	5555	7410	SIPO	ST	28556400
719482	2464	1996-05-13	VYDAJ	PREVOD NA UCET	5555	32618	SIPO	ST	28556400
719483	2464	1996-06-13	VYDAJ	PREVOD NA UCET	5555	78097	SIPO	ST	28556400
719484	2464	1996-07-13	VYDAJ	PREVOD NA UCET	5555	78966	SIPO	ST	28556400
719485	2464	1996-08-13	VYDAJ	PREVOD NA UCET	5555	34118	SIPO	ST	28556400
719486	2464	1996-09-13	VYDAJ	PREVOD NA UCET	5555	22956	SIPO	ST	28556400
719487	2464	1996-10-13	VYDAJ	PREVOD NA UCET	5555	15264	SIPO	ST	28556400
719488	2464	1996-11-13	VYDAJ	PREVOD NA UCET	5555	18021	SIPO	ST	28556400
719489	2464	1996-12-13	VYDAJ	PREVOD NA UCET	5555	7777	SIPO	ST	28556400
719491	2464	1997-02-13	VYDAJ	PREVOD NA UCET	5555	30105	SIPO	ST	28556400
719492	2464	1997-03-13	VYDAJ	PREVOD NA UCET	5555	69757	SIPO	ST	28556400
719493	2464	1997-04-13	VYDAJ	PREVOD NA UCET	5555	56128	SIPO	ST	28556400
719494	2464	1997-05-13	VYDAJ	PREVOD NA UCET	5555	15858	SIPO	ST	28556400
719495	2464	1997-06-13	VYDAJ	PREVOD NA UCET	5555	24128	SIPO	ST	28556400
719496	2464	1997-07-13	VYDAJ	PREVOD NA UCET	5555	29085	SIPO	ST	28556400
719497	2464	1997-08-13	VYDAJ	PREVOD NA UCET	5555	55151	SIPO	ST	28556400
719498	2464	1997-09-13	VYDAJ	PREVOD NA UCET	5555	18662	SIPO	ST	28556400
719499	2464	1997-10-13	VYDAJ	PREVOD NA UCET	5555	42592	SIPO	ST	28556400
719500	2464	1997-11-13	VYDAJ	PREVOD NA UCET	5555	9147	SIPO	ST	28556400
719501	2464	1997-12-13	VYDAJ	PREVOD NA UCET	5555	43126	SIPO	ST	28556400
719502	2464	1998-01-13	VYDAJ	PREVOD NA UCET	5555	31220	SIPO	ST	28556400
719503	2464	1998-02-13	VYDAJ	PREVOD NA UCET	5555	17858	SIPO	ST	28556400
719504	2464	1998-03-13	VYDAJ	PREVOD NA UCET	5555	34065	SIPO	ST	28556400
719505	2464	1998-04-13	VYDAJ	PREVOD NA UCET	5555	34486	SIPO	ST	28556400
719506	2464	1998-05-13	VYDAJ	PREVOD NA UCET	5555	25004	SIPO	ST	28556400
719507	2464	1998-06-13	VYDAJ	PREVOD NA UCET	5555	7512	SIPO	ST	28556400
719508	2464	1998-07-13	VYDAJ	PREVOD NA UCET	5555	14167	SIPO	ST	28556400
719509	2464	1998-08-13	VYDAJ	PREVOD NA UCET	5555	20839	SIPO	ST	28556400
719510	2464	1998-09-13	VYDAJ	PREVOD NA UCET	5555	68333	SIPO	ST	28556400
719511	2464	1998-10-13	VYDAJ	PREVOD NA UCET	5555	47720	SIPO	ST	28556400
719512	2464	1998-11-13	VYDAJ	PREVOD NA UCET	5555	42701	SIPO	ST	28556400
719513	2464	1998-12-13	VYDAJ	PREVOD NA UCET	5555	73062	SIPO	ST	28556400
719522	2464	1993-09-10	VYDAJ	PREVOD NA UCET	4681	17744	 	KL	74763947
719523	2464	1993-10-10	VYDAJ	PREVOD NA UCET	4681	30662	 	KL	74763947
719524	2464	1993-11-10	VYDAJ	PREVOD NA UCET	4681	66932	 	KL	74763947
719525	2464	1993-12-10	VYDAJ	PREVOD NA UCET	4681	45704	 	KL	74763947
719526	2464	1994-01-10	VYDAJ	PREVOD NA UCET	4681	19210	 	KL	74763947
719527	2464	1994-02-10	VYDAJ	PREVOD NA UCET	4681	84992	 	KL	74763947
719528	2464	1994-03-10	VYDAJ	PREVOD NA UCET	4681	43752	 	KL	74763947
719529	2464	1994-04-10	VYDAJ	PREVOD NA UCET	4681	33769	 	KL	74763947
719530	2464	1994-05-10	VYDAJ	PREVOD NA UCET	4681	45889	 	KL	74763947
719531	2464	1994-06-10	VYDAJ	PREVOD NA UCET	4681	22528	 	KL	74763947
719532	2464	1994-07-10	VYDAJ	PREVOD NA UCET	4681	17882	 	KL	74763947
719533	2464	1994-08-10	VYDAJ	PREVOD NA UCET	4681	16720	 	KL	74763947
719534	2464	1994-09-10	VYDAJ	PREVOD NA UCET	4681	56962	 	KL	74763947
719535	2464	1994-10-10	VYDAJ	PREVOD NA UCET	4681	33641	 	KL	74763947
719536	2464	1994-11-10	VYDAJ	PREVOD NA UCET	4681	23338	 	KL	74763947
719537	2464	1994-12-10	VYDAJ	PREVOD NA UCET	4681	39426	 	KL	74763947
719538	2464	1995-01-10	VYDAJ	PREVOD NA UCET	4681	48873	 	KL	74763947
719539	2464	1995-02-10	VYDAJ	PREVOD NA UCET	4681	35110	 	KL	74763947
719540	2464	1995-03-10	VYDAJ	PREVOD NA UCET	4681	21611	 	KL	74763947
719541	2464	1995-04-10	VYDAJ	PREVOD NA UCET	4681	39316	 	KL	74763947
719542	2464	1995-05-10	VYDAJ	PREVOD NA UCET	4681	25333	 	KL	74763947
719543	2464	1995-06-10	VYDAJ	PREVOD NA UCET	4681	19700	 	KL	74763947
719544	2464	1995-07-10	VYDAJ	PREVOD NA UCET	4681	13845	 	KL	74763947
719545	2464	1995-08-10	VYDAJ	PREVOD NA UCET	4681	32798	 	KL	74763947
719546	2464	1995-09-10	VYDAJ	PREVOD NA UCET	4681	24794	 	KL	74763947
719547	2464	1995-10-10	VYDAJ	PREVOD NA UCET	4681	26757	 	KL	74763947
719548	2464	1995-11-10	VYDAJ	PREVOD NA UCET	4681	17526	 	KL	74763947
719549	2464	1995-12-10	VYDAJ	PREVOD NA UCET	4681	13165	 	KL	74763947
719550	2464	1996-01-10	VYDAJ	PREVOD NA UCET	4681	11391	 	KL	74763947
719551	2464	1996-02-10	VYDAJ	PREVOD NA UCET	4681	11714	 	KL	74763947
719552	2464	1996-03-10	VYDAJ	PREVOD NA UCET	4681	11739	 	KL	74763947
719553	2464	1996-04-10	VYDAJ	PREVOD NA UCET	4681	12965	 	KL	74763947
719554	2464	1996-05-10	VYDAJ	PREVOD NA UCET	4681	51073	 	KL	74763947
719555	2464	1996-06-10	VYDAJ	PREVOD NA UCET	4681	83652	 	KL	74763947
719556	2464	1996-07-10	VYDAJ	PREVOD NA UCET	4681	84521	 	KL	74763947
719557	2464	1996-08-10	VYDAJ	PREVOD NA UCET	4681	39673	 	KL	74763947
719558	2464	1996-09-10	VYDAJ	PREVOD NA UCET	4681	28511	 	KL	74763947
719559	2464	1996-10-10	VYDAJ	PREVOD NA UCET	4681	20819	 	KL	74763947
719560	2464	1996-11-10	VYDAJ	PREVOD NA UCET	4681	17176	 	KL	74763947
719561	2464	1996-12-10	VYDAJ	PREVOD NA UCET	4681	13332	 	KL	74763947
719562	2464	1997-01-10	VYDAJ	PREVOD NA UCET	4681	3043	 	KL	74763947
719563	2464	1997-02-10	VYDAJ	PREVOD NA UCET	4681	50660	 	KL	74763947
719564	2464	1997-03-10	VYDAJ	PREVOD NA UCET	4681	75312	 	KL	74763947
719565	2464	1997-04-10	VYDAJ	PREVOD NA UCET	4681	70406	 	KL	74763947
719566	2464	1997-05-10	VYDAJ	PREVOD NA UCET	4681	22413	 	KL	74763947
719567	2464	1997-06-10	VYDAJ	PREVOD NA UCET	4681	36883	 	KL	74763947
719568	2464	1997-07-10	VYDAJ	PREVOD NA UCET	4681	48040	 	KL	74763947
719569	2464	1997-08-10	VYDAJ	PREVOD NA UCET	4681	44793	 	KL	74763947
719570	2464	1997-09-10	VYDAJ	PREVOD NA UCET	4681	24217	 	KL	74763947
719571	2464	1997-10-10	VYDAJ	PREVOD NA UCET	4681	48147	 	KL	74763947
719572	2464	1997-11-10	VYDAJ	PREVOD NA UCET	4681	14702	 	KL	74763947
719573	2464	1997-12-10	VYDAJ	PREVOD NA UCET	4681	48681	 	KL	74763947
719574	2464	1998-01-10	VYDAJ	PREVOD NA UCET	4681	29752	 	KL	74763947
719575	2464	1998-02-10	VYDAJ	PREVOD NA UCET	4681	23413	 	KL	74763947
719576	2464	1998-03-10	VYDAJ	PREVOD NA UCET	4681	16784	 	KL	74763947
719577	2464	1998-04-10	VYDAJ	PREVOD NA UCET	4681	40041	 	KL	74763947
719578	2464	1998-05-10	VYDAJ	PREVOD NA UCET	4681	30559	 	KL	74763947
719579	2464	1998-06-10	VYDAJ	PREVOD NA UCET	4681	13067	 	KL	74763947
719580	2464	1998-07-10	VYDAJ	PREVOD NA UCET	4681	19722	 	KL	74763947
719581	2464	1998-08-10	VYDAJ	PREVOD NA UCET	4681	26394	 	KL	74763947
719582	2464	1998-09-10	VYDAJ	PREVOD NA UCET	4681	54566	 	KL	74763947
719583	2464	1998-10-10	VYDAJ	PREVOD NA UCET	4681	53275	 	KL	74763947
719584	2464	1998-11-10	VYDAJ	PREVOD NA UCET	4681	48256	 	KL	74763947
719585	2464	1998-12-10	VYDAJ	PREVOD NA UCET	4681	64400	 	KL	74763947
719592	2464	1993-12-16	VYBER	VYBER	13851	26298	\N	\N	\N
719594	2464	1993-09-18	VYBER	VYBER	2635	19362	\N	\N	\N
719595	2464	1993-11-21	VYBER	VYBER	19936	83116	\N	\N	\N
719596	2464	1993-09-06	VYBER	VYBER	15097	22425	\N	\N	\N
719597	2464	1993-12-30	VYBER	VYBER	10147	43546	\N	\N	\N
719603	2464	1996-09-10	VYBER	VYBER	23664	33192	\N	\N	\N
719607	2464	1997-01-31	VYBER	VYBER	4254	105041	\N	\N	\N
719608	2464	1997-04-16	VYBER	VYBER	9031	47097	\N	\N	\N
719610	2464	1997-06-06	VYBER	VYBER	2180	41564	\N	\N	\N
719614	2464	1997-08-14	VYBER	VYBER	9536	45615	\N	\N	\N
719616	2464	1998-01-13	VYBER	VYBER	12701	36775	\N	\N	\N
719617	2464	1998-12-28	VYBER	VYBER	15925	86895	\N	\N	\N
719618	2464	1998-04-06	VYBER	VYBER	18777	71622	\N	\N	\N
719619	2464	1998-03-03	VYBER	VYBER	4489	32465	\N	\N	\N
719627	2464	1994-01-06	VYDAJ	VYBER	19800	23891	\N	\N	\N
719628	2464	1995-01-24	VYDAJ	VYBER	8400	39670	\N	\N	\N
719630	2464	1997-01-14	VYDAJ	VYBER	18000	26665	\N	\N	\N
719631	2464	1998-01-29	VYDAJ	VYBER	29700	50985	\N	\N	\N
719632	2464	1993-12-04	VYDAJ	VYBER	1500	50385	\N	\N	\N
719633	2464	1994-12-19	VYDAJ	VYBER	3900	40399	\N	\N	\N
719636	2464	1997-12-30	VYDAJ	VYBER	2700	52258	\N	\N	\N
719637	2464	1998-12-28	VYDAJ	VYBER	1500	85395	\N	\N	\N
719642	2464	1994-02-20	VYDAJ	VYBER	13200	66237	\N	\N	\N
719644	2464	1994-05-27	VYDAJ	VYBER	12300	28034	\N	\N	\N
719646	2464	1994-12-14	VYDAJ	VYBER	8400	44299	\N	\N	\N
719647	2464	1994-09-21	VYDAJ	VYBER	6600	44807	\N	\N	\N
719650	2464	1996-05-11	VYDAJ	VYBER	12900	38173	\N	\N	\N
719651	2464	1996-08-04	VYDAJ	VYBER	9000	44354	\N	\N	\N
719654	2464	1996-08-23	VYDAJ	VYBER	11100	56764	\N	\N	\N
719656	2464	1997-04-29	VYDAJ	VYBER	14400	26997	\N	\N	\N
719657	2464	1997-04-21	VYDAJ	VYBER	5700	41397	\N	\N	\N
719658	2464	1997-10-17	VYDAJ	VYBER	9900	32692	\N	\N	\N
719660	2464	1998-01-30	VYDAJ	VYBER	5700	45285	\N	\N	\N
719662	2464	1998-12-23	VYDAJ	VYBER	5700	67362	\N	\N	\N
719671	2464	1993-08-31	VYDAJ	VYBER	100	53822	SLUZBY	\N	\N
719672	2464	1993-09-30	VYDAJ	VYBER	100	23743	SLUZBY	\N	\N
719673	2464	1993-10-31	VYDAJ	VYBER	100	49084	SLUZBY	\N	\N
719674	2464	1993-11-30	VYDAJ	VYBER	100	51885	SLUZBY	\N	\N
719675	2464	1993-12-31	VYDAJ	VYBER	100	43691	SLUZBY	\N	\N
719676	2464	1994-01-31	VYDAJ	VYBER	100	21354	SLUZBY	\N	\N
719677	2464	1994-02-28	VYDAJ	VYBER	100	48433	SLUZBY	\N	\N
719678	2464	1994-03-31	VYDAJ	VYBER	100	38450	SLUZBY	\N	\N
719679	2464	1994-04-30	VYDAJ	VYBER	100	50570	SLUZBY	\N	\N
719680	2464	1994-05-31	VYDAJ	VYBER	100	27209	SLUZBY	\N	\N
719681	2464	1994-06-30	VYDAJ	VYBER	100	22563	SLUZBY	\N	\N
719682	2464	1994-07-31	VYDAJ	VYBER	100	21401	SLUZBY	\N	\N
719683	2464	1994-08-31	VYDAJ	VYBER	100	61643	SLUZBY	\N	\N
719684	2464	1994-09-30	VYDAJ	VYBER	100	38322	SLUZBY	\N	\N
719685	2464	1994-10-31	VYDAJ	VYBER	100	28019	SLUZBY	\N	\N
719686	2464	1994-11-30	VYDAJ	VYBER	100	44107	SLUZBY	\N	\N
719687	2464	1994-12-31	VYDAJ	VYBER	100	53554	SLUZBY	\N	\N
719688	2464	1995-01-31	VYDAJ	VYBER	100	39791	SLUZBY	\N	\N
719689	2464	1995-02-28	VYDAJ	VYBER	100	26292	SLUZBY	\N	\N
719690	2464	1995-03-31	VYDAJ	VYBER	100	43997	SLUZBY	\N	\N
719691	2464	1995-04-30	VYDAJ	VYBER	100	30014	SLUZBY	\N	\N
719692	2464	1995-05-31	VYDAJ	VYBER	100	24381	SLUZBY	\N	\N
719693	2464	1995-06-30	VYDAJ	VYBER	100	18526	SLUZBY	\N	\N
719694	2464	1995-07-31	VYDAJ	VYBER	100	37479	SLUZBY	\N	\N
719695	2464	1995-08-31	VYDAJ	VYBER	100	29475	SLUZBY	\N	\N
719696	2464	1995-09-30	VYDAJ	VYBER	100	31438	SLUZBY	\N	\N
719697	2464	1995-10-31	VYDAJ	VYBER	100	22207	SLUZBY	\N	\N
719698	2464	1995-11-30	VYDAJ	VYBER	100	17846	SLUZBY	\N	\N
719699	2464	1995-12-31	VYDAJ	VYBER	100	16072	SLUZBY	\N	\N
719700	2464	1996-01-31	VYDAJ	VYBER	100	16395	SLUZBY	\N	\N
719701	2464	1996-02-29	VYDAJ	VYBER	100	16420	SLUZBY	\N	\N
719702	2464	1996-03-31	VYDAJ	VYBER	100	17646	SLUZBY	\N	\N
719703	2464	1996-04-30	VYDAJ	VYBER	100	23037	SLUZBY	\N	\N
719704	2464	1996-05-31	VYDAJ	VYBER	100	88333	SLUZBY	\N	\N
719705	2464	1996-06-30	VYDAJ	VYBER	100	89202	SLUZBY	\N	\N
719706	2464	1996-07-31	VYDAJ	VYBER	100	53354	SLUZBY	\N	\N
719707	2464	1996-08-31	VYDAJ	VYBER	100	56856	SLUZBY	\N	\N
719708	2464	1996-09-30	VYDAJ	VYBER	100	25500	SLUZBY	\N	\N
719709	2464	1996-10-31	VYDAJ	VYBER	100	21857	SLUZBY	\N	\N
719710	2464	1996-11-30	VYDAJ	VYBER	100	18013	SLUZBY	\N	\N
719711	2464	1996-12-31	VYDAJ	VYBER	100	7724	SLUZBY	\N	\N
719712	2464	1997-01-31	VYDAJ	VYBER	100	104941	SLUZBY	\N	\N
719713	2464	1997-02-28	VYDAJ	VYBER	100	79993	SLUZBY	\N	\N
719714	2464	1997-03-31	VYDAJ	VYBER	100	46802	SLUZBY	\N	\N
719715	2464	1997-04-30	VYDAJ	VYBER	100	27094	SLUZBY	\N	\N
719716	2464	1997-05-31	VYDAJ	VYBER	100	43744	SLUZBY	\N	\N
719717	2464	1997-06-30	VYDAJ	VYBER	100	35875	SLUZBY	\N	\N
719718	2464	1997-07-31	VYDAJ	VYBER	100	41744	SLUZBY	\N	\N
719719	2464	1997-08-31	VYDAJ	VYBER	100	45698	SLUZBY	\N	\N
719720	2464	1997-09-30	VYDAJ	VYBER	100	68750	SLUZBY	\N	\N
719721	2464	1997-10-31	VYDAJ	VYBER	100	32783	SLUZBY	\N	\N
719722	2464	1997-11-30	VYDAJ	VYBER	100	35581	SLUZBY	\N	\N
719723	2464	1997-12-31	VYDAJ	VYBER	100	52433	SLUZBY	\N	\N
719724	2464	1998-01-31	VYDAJ	VYBER	100	45394	SLUZBY	\N	\N
719725	2464	1998-02-28	VYDAJ	VYBER	100	17868	SLUZBY	\N	\N
719726	2464	1998-03-31	VYDAJ	VYBER	100	91713	SLUZBY	\N	\N
719727	2464	1998-04-30	VYDAJ	VYBER	100	59740	SLUZBY	\N	\N
719728	2464	1998-05-31	VYDAJ	VYBER	100	25048	SLUZBY	\N	\N
719729	2464	1998-06-30	VYDAJ	VYBER	100	40203	SLUZBY	\N	\N
719730	2464	1998-07-31	VYDAJ	VYBER	100	14155	SLUZBY	\N	\N
719731	2464	1998-08-31	VYDAJ	VYBER	100	102747	SLUZBY	\N	\N
719732	2464	1998-09-30	VYDAJ	VYBER	100	109045	SLUZBY	\N	\N
719733	2464	1998-10-31	VYDAJ	VYBER	100	86937	SLUZBY	\N	\N
719734	2464	1998-11-30	VYDAJ	VYBER	100	96799	SLUZBY	\N	\N
719735	2464	1993-08-01	VYDAJ	VYBER	5400	32142	\N	\N	\N
719736	2464	1993-08-31	VYDAJ	VYBER	49100	53922	\N	\N	\N
719737	2464	1993-08-31	VYDAJ	VYBER	16300	37522	\N	\N	\N
719738	2464	1993-09-30	PRIJEM	VKLAD	4300	23843	\N	\N	\N
719739	2464	1993-10-30	VYDAJ	VYBER	25200	49000	\N	\N	\N
719740	2464	1993-11-29	VYDAJ	VYBER	31400	51716	\N	\N	\N
719741	2464	1993-12-29	VYDAJ	VYBER	26100	53693	\N	\N	\N
719742	2464	1994-01-28	PRIJEM	VKLAD	7700	21355	\N	\N	\N
719743	2464	1994-02-27	VYDAJ	VYBER	18000	48237	\N	\N	\N
719744	2464	1994-03-29	VYDAJ	VYBER	9400	38365	\N	\N	\N
719745	2464	1994-04-28	VYDAJ	VYBER	20100	50526	\N	\N	\N
719746	2464	1994-05-28	VYDAJ	VYBER	900	27134	\N	\N	\N
719747	2464	1994-06-27	PRIJEM	VKLAD	5600	22573	\N	\N	\N
719748	2464	1994-07-27	PRIJEM	VKLAD	9100	21427	\N	\N	\N
719749	2464	1994-08-26	VYDAJ	VYBER	3400	34540	\N	\N	\N
719750	2464	1994-09-25	VYDAJ	VYBER	6600	38207	\N	\N	\N
719751	2464	1994-10-25	VYDAJ	VYBER	100	27986	\N	\N	\N
719752	2464	1994-11-24	VYDAJ	VYBER	13800	44063	\N	\N	\N
719753	2464	1994-12-24	VYDAJ	VYBER	7000	33399	\N	\N	\N
719754	2464	1995-01-23	VYDAJ	VYBER	21600	48070	\N	\N	\N
719755	2464	1995-02-22	VYDAJ	VYBER	3300	26255	\N	\N	\N
719756	2464	1995-03-24	VYDAJ	VYBER	16400	43973	\N	\N	\N
719757	2464	1995-04-23	VYDAJ	VYBER	3800	29961	\N	\N	\N
719758	2464	1995-05-23	PRIJEM	VKLAD	4600	24378	\N	\N	\N
719759	2464	1995-06-22	PRIJEM	VKLAD	4400	18545	\N	\N	\N
719760	2464	1995-07-22	PRIJEM	VKLAD	10200	18490	\N	\N	\N
719761	2464	1995-08-21	PRIJEM	VKLAD	2200	29443	\N	\N	\N
719762	2464	1995-09-20	VYDAJ	VYBER	8900	31411	\N	\N	\N
719763	2464	1995-10-20	PRIJEM	VKLAD	1000	22202	\N	\N	\N
719764	2464	1995-11-19	PRIJEM	VKLAD	5900	17871	\N	\N	\N
719765	2464	1995-12-19	PRIJEM	VKLAD	8500	16110	\N	\N	\N
719766	2464	1996-01-18	PRIJEM	VKLAD	10600	16436	\N	\N	\N
719767	2464	1996-02-17	PRIJEM	VKLAD	10300	16459	\N	\N	\N
719768	2464	1996-03-18	PRIJEM	VKLAD	11500	17684	\N	\N	\N
719769	2464	1996-04-17	PRIJEM	VKLAD	10600	18010	\N	\N	\N
719770	2464	1996-05-17	VYDAJ	VYBER	26600	53188	\N	\N	\N
719771	2464	1996-06-16	VYDAJ	VYBER	25200	52897	\N	\N	\N
719772	2464	1996-07-16	VYDAJ	VYBER	25800	53166	\N	\N	\N
719773	2464	1996-08-15	VYDAJ	VYBER	1600	32518	\N	\N	\N
719774	2464	1996-09-14	PRIJEM	VKLAD	2500	25456	\N	\N	\N
719775	2464	1996-10-14	PRIJEM	VKLAD	6600	21864	\N	\N	\N
719776	2464	1996-11-13	PRIJEM	VKLAD	6400	23576	\N	\N	\N
719777	2464	1997-01-31	VYDAJ	VYBER	49600	55341	\N	\N	\N
719778	2464	1997-02-11	VYDAJ	VYBER	15000	35660	\N	\N	\N
719779	2464	1997-02-25	VYDAJ	VYBER	36000	79800	\N	\N	\N
719780	2464	1997-03-13	VYDAJ	VYBER	23100	46657	\N	\N	\N
719781	2464	1997-04-12	VYDAJ	VYBER	34600	61683	\N	\N	\N
719782	2464	1997-05-12	VYDAJ	VYBER	1000	21413	\N	\N	\N
719783	2464	1997-06-11	VYDAJ	VYBER	7200	29683	\N	\N	\N
719784	2464	1997-07-11	VYDAJ	VYBER	13400	34640	\N	\N	\N
719785	2464	1997-08-10	VYDAJ	VYBER	29200	49474	\N	\N	\N
719786	2464	1997-09-09	VYDAJ	VYBER	16800	28898	\N	\N	\N
719787	2464	1997-10-09	VYDAJ	VYBER	40400	52828	\N	\N	\N
719788	2464	1997-11-08	VYDAJ	VYBER	13400	19383	\N	\N	\N
719789	2464	1997-12-06	VYDAJ	VYBER	21500	97362	\N	\N	\N
719790	2464	1997-12-08	VYDAJ	VYBER	44000	53362	\N	\N	\N
719791	2464	1997-12-19	VYDAJ	VYBER	19900	88316	\N	\N	\N
719792	2464	1997-12-30	VYDAJ	VYBER	58200	54958	\N	\N	\N
719793	2464	1998-01-07	VYDAJ	VYBER	18000	34433	\N	\N	\N
719794	2464	1998-02-06	VYDAJ	VYBER	17300	28094	\N	\N	\N
719795	2464	1998-03-08	VYDAJ	VYBER	11000	21465	\N	\N	\N
719796	2464	1998-04-05	VYDAJ	VYBER	26100	90399	\N	\N	\N
719797	2464	1998-04-07	VYDAJ	VYBER	26900	44722	\N	\N	\N
719798	2464	1998-05-07	VYDAJ	VYBER	24500	35240	\N	\N	\N
719799	2464	1998-06-06	VYDAJ	VYBER	7300	17748	\N	\N	\N
719800	2464	1998-07-06	VYDAJ	VYBER	15800	24403	\N	\N	\N
719801	2464	1998-08-05	VYDAJ	VYBER	24700	31075	\N	\N	\N
719802	2464	1998-09-04	VYDAJ	VYBER	43500	59247	\N	\N	\N
719803	2464	1998-10-04	VYDAJ	VYBER	19300	57956	\N	\N	\N
719804	2464	1998-10-04	VYDAJ	VYBER	44600	77256	\N	\N	\N
719805	2464	1998-11-03	VYDAJ	VYBER	34000	52937	\N	\N	\N
719806	2464	1998-12-03	VYDAJ	VYBER	40500	56299	\N	\N	\N
719874	2465	1996-10-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
719884	2465	1996-10-14	PRIJEM	PREVOD Z UCTU	6003	7003	DUCHOD	EF	92575919
719885	2465	1996-11-14	PRIJEM	PREVOD Z UCTU	6003	13023	DUCHOD	EF	92575919
719886	2465	1996-12-14	PRIJEM	PREVOD Z UCTU	6003	19055	DUCHOD	EF	92575919
719887	2465	1997-01-14	PRIJEM	PREVOD Z UCTU	6003	25087	DUCHOD	EF	92575919
719888	2465	1997-02-14	PRIJEM	PREVOD Z UCTU	6003	30419	DUCHOD	EF	92575919
719889	2465	1997-03-14	PRIJEM	PREVOD Z UCTU	6003	31959	DUCHOD	EF	92575919
719890	2465	1997-04-14	PRIJEM	PREVOD Z UCTU	6003	31945	DUCHOD	EF	92575919
719891	2465	1997-05-14	PRIJEM	PREVOD Z UCTU	6003	24346	DUCHOD	EF	92575919
719892	2465	1997-06-14	PRIJEM	PREVOD Z UCTU	6003	20225	DUCHOD	EF	92575919
719893	2465	1997-07-14	PRIJEM	PREVOD Z UCTU	6003	21625	DUCHOD	EF	92575919
719894	2465	1997-08-14	PRIJEM	PREVOD Z UCTU	6003	22466	DUCHOD	EF	92575919
719895	2465	1997-09-14	PRIJEM	PREVOD Z UCTU	6003	24912	DUCHOD	EF	92575919
719896	2465	1997-10-14	PRIJEM	PREVOD Z UCTU	6003	24668	DUCHOD	EF	92575919
719897	2465	1997-11-14	PRIJEM	PREVOD Z UCTU	6003	26426	DUCHOD	EF	92575919
719898	2465	1997-12-14	PRIJEM	PREVOD Z UCTU	6003	25687	DUCHOD	EF	92575919
719899	2465	1998-01-14	PRIJEM	PREVOD Z UCTU	6003	19595	DUCHOD	EF	92575919
719900	2465	1998-02-14	PRIJEM	PREVOD Z UCTU	6003	20755	DUCHOD	EF	92575919
719901	2465	1998-03-14	PRIJEM	PREVOD Z UCTU	6003	23193	DUCHOD	EF	92575919
719902	2465	1998-04-14	PRIJEM	PREVOD Z UCTU	6003	22516	DUCHOD	EF	92575919
719903	2465	1998-05-14	PRIJEM	PREVOD Z UCTU	6003	20961	DUCHOD	EF	92575919
719904	2465	1998-06-14	PRIJEM	PREVOD Z UCTU	6003	20199	DUCHOD	EF	92575919
719905	2465	1998-07-14	PRIJEM	PREVOD Z UCTU	6003	17353	DUCHOD	EF	92575919
719906	2465	1998-08-14	PRIJEM	PREVOD Z UCTU	6003	18777	DUCHOD	EF	92575919
719907	2465	1998-09-14	PRIJEM	PREVOD Z UCTU	6003	20406	DUCHOD	EF	92575919
719908	2465	1998-10-14	PRIJEM	PREVOD Z UCTU	6003	20942	DUCHOD	EF	92575919
719909	2465	1998-11-14	PRIJEM	PREVOD Z UCTU	6003	17798	DUCHOD	EF	92575919
719910	2465	1998-12-14	PRIJEM	PREVOD Z UCTU	6003	16520	DUCHOD	EF	92575919
719925	2465	1997-03-06	VYDAJ	PREVOD NA UCET	454	29132	SIPO	KL	48546957
719926	2465	1997-04-06	VYDAJ	PREVOD NA UCET	454	29118	SIPO	KL	48546957
719927	2465	1997-05-06	VYDAJ	PREVOD NA UCET	454	21519	SIPO	KL	48546957
719928	2465	1997-06-06	VYDAJ	PREVOD NA UCET	454	20448	SIPO	KL	48546957
719929	2465	1997-07-06	VYDAJ	PREVOD NA UCET	454	18798	SIPO	KL	48546957
719930	2465	1997-08-06	VYDAJ	PREVOD NA UCET	454	19639	SIPO	KL	48546957
719931	2465	1997-09-06	VYDAJ	PREVOD NA UCET	454	22085	SIPO	KL	48546957
719932	2465	1997-10-06	VYDAJ	PREVOD NA UCET	454	24241	SIPO	KL	48546957
719933	2465	1997-11-06	VYDAJ	PREVOD NA UCET	454	23599	SIPO	KL	48546957
719934	2465	1997-12-06	VYDAJ	PREVOD NA UCET	454	22860	SIPO	KL	48546957
719935	2465	1998-01-06	VYDAJ	PREVOD NA UCET	454	22768	SIPO	KL	48546957
719936	2465	1998-02-06	VYDAJ	PREVOD NA UCET	454	17928	SIPO	KL	48546957
719937	2465	1998-03-06	VYDAJ	PREVOD NA UCET	454	20366	SIPO	KL	48546957
719938	2465	1998-04-06	VYDAJ	PREVOD NA UCET	454	19689	SIPO	KL	48546957
719939	2465	1998-05-06	VYDAJ	PREVOD NA UCET	454	18134	SIPO	KL	48546957
719940	2465	1998-06-06	VYDAJ	PREVOD NA UCET	454	17372	SIPO	KL	48546957
719941	2465	1998-07-06	VYDAJ	PREVOD NA UCET	454	14526	SIPO	KL	48546957
719942	2465	1998-08-06	VYDAJ	PREVOD NA UCET	454	15950	SIPO	KL	48546957
719943	2465	1998-09-06	VYDAJ	PREVOD NA UCET	454	17579	SIPO	KL	48546957
719944	2465	1998-10-06	VYDAJ	PREVOD NA UCET	454	18115	SIPO	KL	48546957
719945	2465	1998-11-06	VYDAJ	PREVOD NA UCET	454	14971	SIPO	KL	48546957
719946	2465	1998-12-06	VYDAJ	PREVOD NA UCET	454	13693	SIPO	KL	48546957
719961	2465	1997-03-10	VYDAJ	PREVOD NA UCET	3176	25956	 	IJ	23477942
719962	2465	1997-04-10	VYDAJ	PREVOD NA UCET	3176	25942	 	IJ	23477942
719963	2465	1997-05-10	VYDAJ	PREVOD NA UCET	3176	18343	 	IJ	23477942
719964	2465	1997-06-10	VYDAJ	PREVOD NA UCET	3176	14222	 	IJ	23477942
719965	2465	1997-07-10	VYDAJ	PREVOD NA UCET	3176	15622	 	IJ	23477942
719966	2465	1997-08-10	VYDAJ	PREVOD NA UCET	3176	16463	 	IJ	23477942
719967	2465	1997-09-10	VYDAJ	PREVOD NA UCET	3176	18909	 	IJ	23477942
719968	2465	1997-10-10	VYDAJ	PREVOD NA UCET	3176	21065	 	IJ	23477942
719969	2465	1997-11-10	VYDAJ	PREVOD NA UCET	3176	20423	 	IJ	23477942
719970	2465	1997-12-10	VYDAJ	PREVOD NA UCET	3176	19684	 	IJ	23477942
719971	2465	1998-01-10	VYDAJ	PREVOD NA UCET	3176	13592	 	IJ	23477942
719972	2465	1998-02-10	VYDAJ	PREVOD NA UCET	3176	14752	 	IJ	23477942
719973	2465	1998-03-10	VYDAJ	PREVOD NA UCET	3176	17190	 	IJ	23477942
719974	2465	1998-04-10	VYDAJ	PREVOD NA UCET	3176	16513	 	IJ	23477942
719975	2465	1998-05-10	VYDAJ	PREVOD NA UCET	3176	14958	 	IJ	23477942
719976	2465	1998-06-10	VYDAJ	PREVOD NA UCET	3176	14196	 	IJ	23477942
719977	2465	1998-07-10	VYDAJ	PREVOD NA UCET	3176	11350	 	IJ	23477942
719978	2465	1998-08-10	VYDAJ	PREVOD NA UCET	3176	12774	 	IJ	23477942
719979	2465	1998-09-10	VYDAJ	PREVOD NA UCET	3176	14403	 	IJ	23477942
719980	2465	1998-10-10	VYDAJ	PREVOD NA UCET	3176	14939	 	IJ	23477942
719981	2465	1998-11-10	VYDAJ	PREVOD NA UCET	3176	11795	 	IJ	23477942
719982	2465	1998-12-10	VYDAJ	PREVOD NA UCET	3176	10517	 	IJ	23477942
719984	2465	1997-06-08	VYDAJ	VYBER	3050	17398	\N	\N	\N
719988	2465	1998-01-09	VYDAJ	VYBER	4000	16768	\N	\N	\N
719990	2465	1997-12-19	VYDAJ	VYBER	750	24937	\N	\N	\N
720004	2465	1998-01-06	VYDAJ	VYBER	1520	21248	\N	\N	\N
720005	2465	1998-01-04	VYDAJ	VYBER	800	23222	\N	\N	\N
720006	2465	1998-01-29	VYDAJ	VYBER	720	18315	\N	\N	\N
720008	2465	1998-01-06	VYDAJ	VYBER	480	20768	\N	\N	\N
720009	2465	1998-01-14	VYDAJ	VYBER	560	19035	\N	\N	\N
720014	2465	1997-04-26	VYDAJ	VYBER	3440	25785	\N	\N	\N
720015	2465	1997-10-10	VYDAJ	VYBER	2400	18665	\N	\N	\N
720016	2465	1997-05-17	VYDAJ	VYBER	3520	20826	\N	\N	\N
720017	2465	1997-07-25	VYDAJ	VYBER	1600	20025	\N	\N	\N
720018	2465	1997-05-04	VYDAJ	VYBER	3920	21973	\N	\N	\N
720019	2465	1997-07-06	VYDAJ	VYBER	1040	19252	\N	\N	\N
720020	2465	1997-11-30	VYDAJ	VYBER	3200	23314	\N	\N	\N
720021	2465	1997-04-23	VYDAJ	VYBER	2720	29225	\N	\N	\N
720022	2465	1998-10-31	VYDAJ	VYBER	1680	15439	\N	\N	\N
720024	2465	1998-03-19	VYDAJ	VYBER	3120	20073	\N	\N	\N
720025	2465	1998-08-26	VYDAJ	VYBER	800	17977	\N	\N	\N
720026	2465	1998-06-14	VYDAJ	VYBER	2880	17319	\N	\N	\N
720041	2465	1997-02-28	VYDAJ	VYBER	15	30486	SLUZBY	\N	\N
720042	2465	1997-03-31	VYDAJ	VYBER	15	32072	SLUZBY	\N	\N
720043	2465	1997-04-30	VYDAJ	VYBER	15	25893	SLUZBY	\N	\N
720044	2465	1997-05-31	VYDAJ	VYBER	15	20902	SLUZBY	\N	\N
720045	2465	1997-06-30	VYDAJ	VYBER	15	20292	SLUZBY	\N	\N
720046	2465	1997-07-31	VYDAJ	VYBER	15	20093	SLUZBY	\N	\N
720047	2465	1997-08-31	VYDAJ	VYBER	15	22539	SLUZBY	\N	\N
720048	2465	1997-09-30	VYDAJ	VYBER	15	24995	SLUZBY	\N	\N
720049	2465	1997-10-31	VYDAJ	VYBER	15	24753	SLUZBY	\N	\N
720050	2465	1997-11-30	VYDAJ	VYBER	15	26514	SLUZBY	\N	\N
720051	2465	1997-12-31	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
720052	2465	1998-01-31	VYDAJ	VYBER	15	18382	SLUZBY	\N	\N
720053	2465	1998-02-28	VYDAJ	VYBER	15	20820	SLUZBY	\N	\N
720054	2465	1998-03-31	VYDAJ	VYBER	15	20143	SLUZBY	\N	\N
720055	2465	1998-04-30	VYDAJ	VYBER	15	18588	SLUZBY	\N	\N
720056	2465	1998-05-31	VYDAJ	VYBER	15	17826	SLUZBY	\N	\N
720057	2465	1998-06-30	VYDAJ	VYBER	15	14980	SLUZBY	\N	\N
720058	2465	1998-07-31	VYDAJ	VYBER	15	16404	SLUZBY	\N	\N
720059	2465	1998-08-31	VYDAJ	VYBER	15	18033	SLUZBY	\N	\N
720060	2465	1998-09-30	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
720061	2465	1998-10-31	VYDAJ	VYBER	15	15425	SLUZBY	\N	\N
720062	2465	1998-11-30	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
720063	2465	1997-02-03	VYDAJ	VYBER	700	24416	\N	\N	\N
720064	2465	1997-03-05	VYDAJ	VYBER	900	29586	\N	\N	\N
720065	2465	1997-04-04	VYDAJ	VYBER	2500	29572	\N	\N	\N
720066	2465	1997-10-01	VYDAJ	VYBER	300	24695	\N	\N	\N
720067	2465	1997-10-31	VYDAJ	VYBER	700	24053	\N	\N	\N
720068	2465	1997-12-30	VYDAJ	VYBER	1000	23937	\N	\N	\N
720069	2465	1998-04-29	VYDAJ	VYBER	4000	18516	\N	\N	\N
720070	2465	1998-05-29	VYDAJ	VYBER	3200	17761	\N	\N	\N
720071	2465	1998-06-28	VYDAJ	VYBER	2400	14919	\N	\N	\N
720072	2465	1998-07-28	VYDAJ	VYBER	1000	16353	\N	\N	\N
720073	2465	1998-09-26	VYDAJ	VYBER	1900	18506	\N	\N	\N
720074	2465	1998-10-26	VYDAJ	VYBER	3900	17042	\N	\N	\N
720075	2465	1998-11-25	VYDAJ	VYBER	3700	14098	\N	\N	\N
720103	2466	1997-04-11	PRIJEM	VKLAD	400	400	\N	\N	\N
720107	2466	1997-04-13	PRIJEM	VKLAD	20743	21143	\N	\N	\N
720108	2466	1997-05-13	PRIJEM	VKLAD	20743	44839	\N	\N	\N
720109	2466	1997-06-13	PRIJEM	VKLAD	31115	70202	\N	\N	\N
720110	2466	1997-07-13	PRIJEM	VKLAD	20743	71295	\N	\N	\N
720111	2466	1997-08-13	PRIJEM	VKLAD	20743	71034	\N	\N	\N
720112	2466	1997-09-13	PRIJEM	VKLAD	20743	72079	\N	\N	\N
720113	2466	1997-10-13	PRIJEM	VKLAD	20743	75021	\N	\N	\N
720114	2466	1997-11-13	PRIJEM	VKLAD	20743	78573	\N	\N	\N
720115	2466	1997-12-13	PRIJEM	VKLAD	31115	89302	\N	\N	\N
720116	2466	1998-01-13	PRIJEM	VKLAD	20743	76464	\N	\N	\N
720117	2466	1998-02-13	PRIJEM	VKLAD	20743	73709	\N	\N	\N
720118	2466	1998-03-13	PRIJEM	VKLAD	20743	76610	\N	\N	\N
720119	2466	1998-04-13	PRIJEM	VKLAD	20743	80064	\N	\N	\N
720120	2466	1998-05-13	PRIJEM	VKLAD	20743	76536	\N	\N	\N
720121	2466	1998-06-13	PRIJEM	VKLAD	31115	76564	\N	\N	\N
720122	2466	1998-07-13	PRIJEM	VKLAD	20743	76596	\N	\N	\N
720123	2466	1998-08-13	PRIJEM	VKLAD	20743	74267	\N	\N	\N
720124	2466	1998-09-13	PRIJEM	VKLAD	20743	75208	\N	\N	\N
720125	2466	1998-10-13	PRIJEM	VKLAD	20743	74663	\N	\N	\N
720126	2466	1998-11-13	PRIJEM	VKLAD	20743	70018	\N	\N	\N
720127	2466	1998-12-13	PRIJEM	VKLAD	31115	80026	\N	\N	\N
720135	2466	1997-08-14	VYDAJ	PREVOD NA UCET	37	67264	SIPO	WX	78467875
720136	2466	1997-09-14	VYDAJ	PREVOD NA UCET	37	68309	SIPO	WX	78467875
720137	2466	1997-10-14	VYDAJ	PREVOD NA UCET	37	71251	SIPO	WX	78467875
720138	2466	1997-11-14	VYDAJ	PREVOD NA UCET	37	78536	SIPO	WX	78467875
720139	2466	1997-12-14	VYDAJ	PREVOD NA UCET	37	89265	SIPO	WX	78467875
720140	2466	1998-01-14	VYDAJ	PREVOD NA UCET	37	76427	SIPO	WX	78467875
720141	2466	1998-02-14	VYDAJ	PREVOD NA UCET	37	69939	SIPO	WX	78467875
720142	2466	1998-03-14	VYDAJ	PREVOD NA UCET	37	76573	SIPO	WX	78467875
720143	2466	1998-04-14	VYDAJ	PREVOD NA UCET	37	80027	SIPO	WX	78467875
720144	2466	1998-05-14	VYDAJ	PREVOD NA UCET	37	76499	SIPO	WX	78467875
720145	2466	1998-06-14	VYDAJ	PREVOD NA UCET	37	72794	SIPO	WX	78467875
720146	2466	1998-07-14	VYDAJ	PREVOD NA UCET	37	76559	SIPO	WX	78467875
720147	2466	1998-08-14	VYDAJ	PREVOD NA UCET	37	74230	SIPO	WX	78467875
720148	2466	1998-09-14	VYDAJ	PREVOD NA UCET	37	71438	SIPO	WX	78467875
720149	2466	1998-10-14	VYDAJ	PREVOD NA UCET	37	70893	SIPO	WX	78467875
720150	2466	1998-11-14	VYDAJ	PREVOD NA UCET	37	69981	SIPO	WX	78467875
720151	2466	1998-12-14	VYDAJ	PREVOD NA UCET	37	76256	SIPO	WX	78467875
720159	2466	1997-08-14	VYDAJ	PREVOD NA UCET	3733	67301	 	IJ	40924441
720160	2466	1997-09-14	VYDAJ	PREVOD NA UCET	3733	68346	 	IJ	40924441
720161	2466	1997-10-14	VYDAJ	PREVOD NA UCET	3733	71288	 	IJ	40924441
720162	2466	1997-11-14	VYDAJ	PREVOD NA UCET	3733	74803	 	IJ	40924441
720163	2466	1997-12-14	VYDAJ	PREVOD NA UCET	3733	85532	 	IJ	40924441
720164	2466	1998-01-14	VYDAJ	PREVOD NA UCET	3733	72694	 	IJ	40924441
720165	2466	1998-02-14	VYDAJ	PREVOD NA UCET	3733	69976	 	IJ	40924441
720166	2466	1998-03-14	VYDAJ	PREVOD NA UCET	3733	72840	 	IJ	40924441
720167	2466	1998-04-14	VYDAJ	PREVOD NA UCET	3733	76294	 	IJ	40924441
720168	2466	1998-05-14	VYDAJ	PREVOD NA UCET	3733	72766	 	IJ	40924441
720169	2466	1998-06-14	VYDAJ	PREVOD NA UCET	3733	72831	 	IJ	40924441
720170	2466	1998-07-14	VYDAJ	PREVOD NA UCET	3733	72826	 	IJ	40924441
720171	2466	1998-08-14	VYDAJ	PREVOD NA UCET	3733	70497	 	IJ	40924441
720172	2466	1998-09-14	VYDAJ	PREVOD NA UCET	3733	71475	 	IJ	40924441
720173	2466	1998-10-14	VYDAJ	PREVOD NA UCET	3733	70930	 	IJ	40924441
720174	2466	1998-11-14	VYDAJ	PREVOD NA UCET	3733	66248	 	IJ	40924441
720175	2466	1998-12-14	VYDAJ	PREVOD NA UCET	3733	76293	 	IJ	40924441
720177	2466	1998-06-03	VYDAJ	VYBER	11520	61549	\N	\N	\N
720178	2466	1997-12-06	VYDAJ	VYBER	2240	68888	\N	\N	\N
720179	2466	1998-12-01	VYDAJ	VYBER KARTOU	1600	61311	\N	\N	0
720186	2466	1998-01-15	VYDAJ	VYBER	2760	69934	\N	\N	\N
720187	2466	1998-01-28	VYDAJ	VYBER	1680	65494	\N	\N	\N
720188	2466	1998-01-04	VYDAJ	VYBER	1920	80921	\N	\N	\N
720189	2466	1998-01-11	VYDAJ	VYBER	1680	55721	\N	\N	\N
720190	2466	1998-01-07	VYDAJ	VYBER	3120	57401	\N	\N	\N
720191	2466	1998-01-25	VYDAJ	VYBER	2760	67174	\N	\N	\N
720193	2466	1997-11-16	VYDAJ	VYBER	3960	70843	\N	\N	\N
720196	2466	1998-01-02	VYDAJ	VYBER	3000	82841	\N	\N	\N
720197	2466	1998-11-18	VYDAJ	VYBER KARTOU	3600	62648	\N	\N	0
720198	2466	1998-08-01	VYDAJ	VYBER	3000	70124	\N	\N	\N
720199	2466	1998-06-09	VYDAJ	VYBER	1800	45449	\N	\N	\N
720200	2466	1998-02-22	VYDAJ	VYBER	2040	67899	\N	\N	\N
720209	2466	1997-08-31	VYDAJ	VYBER	15	67536	SLUZBY	\N	\N
720210	2466	1997-09-30	VYDAJ	VYBER	15	68578	SLUZBY	\N	\N
720211	2466	1997-10-31	VYDAJ	VYBER	15	71530	SLUZBY	\N	\N
720212	2466	1997-11-30	VYDAJ	VYBER	15	71128	SLUZBY	\N	\N
720213	2466	1997-12-31	VYDAJ	VYBER	15	85841	SLUZBY	\N	\N
720214	2466	1998-01-31	VYDAJ	VYBER	15	65766	SLUZBY	\N	\N
720215	2466	1998-02-28	VYDAJ	VYBER	15	68167	SLUZBY	\N	\N
720216	2466	1998-03-31	VYDAJ	VYBER	15	73121	SLUZBY	\N	\N
720217	2466	1998-04-30	VYDAJ	VYBER	15	76593	SLUZBY	\N	\N
720218	2466	1998-05-31	VYDAJ	VYBER	15	73069	SLUZBY	\N	\N
720219	2466	1998-06-30	VYDAJ	VYBER	15	73053	SLUZBY	\N	\N
720220	2466	1998-07-31	VYDAJ	VYBER	15	73124	SLUZBY	\N	\N
720221	2466	1998-08-31	VYDAJ	VYBER	15	70765	SLUZBY	\N	\N
720222	2466	1998-09-30	VYDAJ	VYBER	15	71720	SLUZBY	\N	\N
720223	2466	1998-10-31	VYDAJ	VYBER	15	71175	SLUZBY	\N	\N
720224	2466	1998-11-30	VYDAJ	VYBER	15	62911	SLUZBY	\N	\N
720225	2466	1997-05-11	PRIJEM	VKLAD	2900	24096	\N	\N	\N
720226	2466	1997-06-10	VYDAJ	VYBER	5900	39087	\N	\N	\N
720227	2466	1997-07-10	VYDAJ	VYBER	19900	50552	\N	\N	\N
720228	2466	1997-08-09	VYDAJ	VYBER	21300	50291	\N	\N	\N
720229	2466	1997-09-08	VYDAJ	VYBER	16200	51336	\N	\N	\N
720230	2466	1997-10-08	VYDAJ	VYBER	14300	54278	\N	\N	\N
720231	2466	1997-11-07	VYDAJ	VYBER	13700	57830	\N	\N	\N
720232	2466	1997-12-07	VYDAJ	VYBER	10700	58188	\N	\N	\N
720233	2466	1998-01-06	VYDAJ	VYBER	20400	60521	\N	\N	\N
720234	2466	1998-02-05	VYDAJ	VYBER	12800	52966	\N	\N	\N
720235	2466	1998-03-07	VYDAJ	VYBER	12300	55867	\N	\N	\N
720236	2466	1998-04-06	VYDAJ	VYBER	13800	59321	\N	\N	\N
720237	2466	1998-05-06	VYDAJ	VYBER	20800	55793	\N	\N	\N
720238	2466	1998-06-05	VYDAJ	VYBER	14300	47249	\N	\N	\N
720239	2466	1998-07-05	VYDAJ	VYBER	17200	55853	\N	\N	\N
720240	2466	1998-08-04	VYDAJ	VYBER	16600	53524	\N	\N	\N
720241	2466	1998-09-03	VYDAJ	VYBER	16300	54465	\N	\N	\N
720242	2466	1998-10-03	VYDAJ	VYBER	17800	53920	\N	\N	\N
720243	2466	1998-11-02	VYDAJ	VYBER	21900	49275	\N	\N	\N
720244	2466	1998-12-02	VYDAJ	VYBER	12400	48911	\N	\N	\N
720266	2467	1993-05-29	PRIJEM	VKLAD	400	400	\N	\N	\N
720272	2467	1993-06-11	PRIJEM	VKLAD	34130	34530	\N	\N	\N
720273	2467	1993-07-11	PRIJEM	VKLAD	22753	52295	\N	\N	\N
720274	2467	1993-08-11	PRIJEM	VKLAD	22753	61476	\N	\N	\N
720275	2467	1993-09-11	PRIJEM	VKLAD	22753	66994	\N	\N	\N
720276	2467	1993-10-11	PRIJEM	VKLAD	22753	70433	\N	\N	\N
720277	2467	1993-11-11	PRIJEM	VKLAD	22753	60898	\N	\N	\N
720278	2467	1993-12-11	PRIJEM	VKLAD	34130	69498	\N	\N	\N
720279	2467	1994-01-11	PRIJEM	VKLAD	22753	35788	\N	\N	\N
720280	2467	1994-02-11	PRIJEM	VKLAD	22753	37739	\N	\N	\N
720281	2467	1994-03-11	PRIJEM	VKLAD	22753	39109	\N	\N	\N
720282	2467	1994-04-11	PRIJEM	VKLAD	22753	49850	\N	\N	\N
720283	2467	1994-05-11	PRIJEM	VKLAD	22753	55328	\N	\N	\N
720284	2467	1994-06-11	PRIJEM	VKLAD	34130	67601	\N	\N	\N
720285	2467	1994-07-11	PRIJEM	VKLAD	22753	65427	\N	\N	\N
720286	2467	1994-08-11	PRIJEM	VKLAD	22753	62960	\N	\N	\N
720287	2467	1994-09-11	PRIJEM	VKLAD	22753	60375	\N	\N	\N
720288	2467	1994-10-11	PRIJEM	VKLAD	22753	59065	\N	\N	\N
720289	2467	1994-11-11	PRIJEM	VKLAD	22753	59066	\N	\N	\N
720290	2467	1994-12-11	PRIJEM	VKLAD	34130	69848	\N	\N	\N
720291	2467	1995-01-11	PRIJEM	VKLAD	22753	55803	\N	\N	\N
720292	2467	1995-02-11	PRIJEM	VKLAD	22753	42457	\N	\N	\N
720293	2467	1995-03-11	PRIJEM	VKLAD	22753	52802	\N	\N	\N
720294	2467	1995-04-11	PRIJEM	VKLAD	22753	58585	\N	\N	\N
720295	2467	1995-05-11	PRIJEM	VKLAD	22753	62088	\N	\N	\N
720296	2467	1995-06-11	PRIJEM	VKLAD	34130	67843	\N	\N	\N
720297	2467	1995-07-11	PRIJEM	VKLAD	22753	67265	\N	\N	\N
720298	2467	1995-08-11	PRIJEM	VKLAD	22753	63436	\N	\N	\N
720299	2467	1995-09-11	PRIJEM	VKLAD	22753	64647	\N	\N	\N
720300	2467	1995-10-11	PRIJEM	VKLAD	22753	63058	\N	\N	\N
720301	2467	1995-11-11	PRIJEM	VKLAD	22753	64868	\N	\N	\N
720302	2467	1995-12-11	PRIJEM	VKLAD	34130	74454	\N	\N	\N
720303	2467	1996-01-11	PRIJEM	VKLAD	22753	63719	\N	\N	\N
720304	2467	1996-02-11	PRIJEM	VKLAD	22753	44192	\N	\N	\N
720305	2467	1996-03-11	PRIJEM	VKLAD	22753	43146	\N	\N	\N
720306	2467	1996-04-11	PRIJEM	VKLAD	22753	53490	\N	\N	\N
720307	2467	1996-05-11	PRIJEM	VKLAD	22753	58562	\N	\N	\N
720308	2467	1996-06-11	PRIJEM	VKLAD	34130	70922	\N	\N	\N
720309	2467	1996-07-11	PRIJEM	VKLAD	22753	57992	\N	\N	\N
720310	2467	1996-08-11	PRIJEM	VKLAD	22753	64485	\N	\N	\N
720311	2467	1996-09-11	PRIJEM	VKLAD	22753	60538	\N	\N	\N
720312	2467	1996-10-11	PRIJEM	VKLAD	22753	67369	\N	\N	\N
720313	2467	1996-11-11	PRIJEM	VKLAD	22753	72738	\N	\N	\N
720314	2467	1996-12-11	PRIJEM	VKLAD	34130	86210	\N	\N	\N
720315	2467	1997-01-11	PRIJEM	VKLAD	22753	78644	\N	\N	\N
720316	2467	1997-02-11	PRIJEM	VKLAD	22753	64248	\N	\N	\N
720317	2467	1997-03-11	PRIJEM	VKLAD	22753	70902	\N	\N	\N
720318	2467	1997-04-11	PRIJEM	VKLAD	22753	73988	\N	\N	\N
720319	2467	1997-05-11	PRIJEM	VKLAD	22753	75487	\N	\N	\N
720320	2467	1997-06-11	PRIJEM	VKLAD	34130	90971	\N	\N	\N
720321	2467	1997-07-11	PRIJEM	VKLAD	22753	75977	\N	\N	\N
720322	2467	1997-08-11	PRIJEM	VKLAD	22753	82077	\N	\N	\N
720323	2467	1997-09-11	PRIJEM	VKLAD	22753	82902	\N	\N	\N
720324	2467	1997-10-11	PRIJEM	VKLAD	22753	81930	\N	\N	\N
720325	2467	1997-11-11	PRIJEM	VKLAD	22753	82756	\N	\N	\N
720326	2467	1997-12-11	PRIJEM	VKLAD	34130	88800	\N	\N	\N
720327	2467	1998-01-11	PRIJEM	VKLAD	22753	79437	\N	\N	\N
720328	2467	1998-02-11	PRIJEM	VKLAD	22753	68149	\N	\N	\N
720329	2467	1998-03-11	PRIJEM	VKLAD	22753	75408	\N	\N	\N
720330	2467	1998-04-11	PRIJEM	VKLAD	22753	79401	\N	\N	\N
720331	2467	1998-05-11	PRIJEM	VKLAD	22753	82629	\N	\N	\N
720332	2467	1998-06-11	PRIJEM	VKLAD	34130	99229	\N	\N	\N
720333	2467	1998-07-11	PRIJEM	VKLAD	22753	87769	\N	\N	\N
720334	2467	1998-08-11	PRIJEM	VKLAD	22753	78375	\N	\N	\N
720335	2467	1998-09-11	PRIJEM	VKLAD	22753	79287	\N	\N	\N
720336	2467	1998-10-11	PRIJEM	VKLAD	22753	79258	\N	\N	\N
720337	2467	1998-11-11	PRIJEM	VKLAD	22753	78060	\N	\N	\N
720338	2467	1998-12-11	PRIJEM	VKLAD	34130	89733	\N	\N	\N
720349	2467	1993-11-05	VYDAJ	PREVOD NA UCET	5332	43185	SIPO	IJ	55811417
720350	2467	1993-12-05	VYDAJ	PREVOD NA UCET	5332	35368	SIPO	IJ	55811417
720351	2467	1994-01-05	VYDAJ	PREVOD NA UCET	5332	32195	SIPO	IJ	55811417
720352	2467	1994-02-05	VYDAJ	PREVOD NA UCET	5332	14986	SIPO	IJ	55811417
720353	2467	1994-03-05	VYDAJ	PREVOD NA UCET	5332	19116	SIPO	IJ	55811417
720354	2467	1994-04-05	VYDAJ	PREVOD NA UCET	5332	27097	SIPO	IJ	55811417
720355	2467	1994-05-05	VYDAJ	PREVOD NA UCET	5332	32575	SIPO	IJ	55811417
720356	2467	1994-06-05	VYDAJ	PREVOD NA UCET	5332	33471	SIPO	IJ	55811417
720357	2467	1994-07-05	VYDAJ	PREVOD NA UCET	5332	42674	SIPO	IJ	55811417
720358	2467	1994-08-05	VYDAJ	PREVOD NA UCET	5332	40207	SIPO	IJ	55811417
720359	2467	1994-09-05	VYDAJ	PREVOD NA UCET	5332	37622	SIPO	IJ	55811417
720360	2467	1994-10-05	VYDAJ	PREVOD NA UCET	5332	38832	SIPO	IJ	55811417
720361	2467	1994-11-05	VYDAJ	PREVOD NA UCET	5332	36313	SIPO	IJ	55811417
720362	2467	1994-12-05	VYDAJ	PREVOD NA UCET	5332	35718	SIPO	IJ	55811417
720363	2467	1995-01-05	VYDAJ	PREVOD NA UCET	5332	40610	SIPO	IJ	55811417
720364	2467	1995-02-05	VYDAJ	PREVOD NA UCET	5332	19704	SIPO	IJ	55811417
720365	2467	1995-03-05	VYDAJ	PREVOD NA UCET	5332	30049	SIPO	IJ	55811417
720366	2467	1995-04-05	VYDAJ	PREVOD NA UCET	5332	35832	SIPO	IJ	55811417
720367	2467	1995-05-05	VYDAJ	PREVOD NA UCET	5332	39335	SIPO	IJ	55811417
720368	2467	1995-06-05	VYDAJ	PREVOD NA UCET	5332	43953	SIPO	IJ	55811417
720369	2467	1995-07-05	VYDAJ	PREVOD NA UCET	5332	44512	SIPO	IJ	55811417
720370	2467	1995-08-05	VYDAJ	PREVOD NA UCET	5332	40683	SIPO	IJ	55811417
720371	2467	1995-09-05	VYDAJ	PREVOD NA UCET	5332	41894	SIPO	IJ	55811417
720372	2467	1995-10-05	VYDAJ	PREVOD NA UCET	5332	40305	SIPO	IJ	55811417
720373	2467	1995-11-05	VYDAJ	PREVOD NA UCET	5332	42115	SIPO	IJ	55811417
720374	2467	1995-12-05	VYDAJ	PREVOD NA UCET	5332	40324	SIPO	IJ	55811417
720375	2467	1996-01-05	VYDAJ	PREVOD NA UCET	5332	43266	SIPO	IJ	55811417
720376	2467	1996-02-05	VYDAJ	PREVOD NA UCET	5332	21439	SIPO	IJ	55811417
720377	2467	1996-03-05	VYDAJ	PREVOD NA UCET	5332	20393	SIPO	IJ	55811417
720378	2467	1996-04-05	VYDAJ	PREVOD NA UCET	5332	30737	SIPO	IJ	55811417
720379	2467	1996-05-05	VYDAJ	PREVOD NA UCET	5332	35809	SIPO	IJ	55811417
720380	2467	1996-06-05	VYDAJ	PREVOD NA UCET	5332	36792	SIPO	IJ	55811417
720381	2467	1996-07-05	VYDAJ	PREVOD NA UCET	5332	35239	SIPO	IJ	55811417
720382	2467	1996-08-05	VYDAJ	PREVOD NA UCET	5332	41732	SIPO	IJ	55811417
720383	2467	1996-09-05	VYDAJ	PREVOD NA UCET	5332	37585	SIPO	IJ	55811417
720384	2467	1996-10-05	VYDAJ	PREVOD NA UCET	5332	51816	SIPO	IJ	55811417
720385	2467	1996-11-05	VYDAJ	PREVOD NA UCET	5332	62285	SIPO	IJ	55811417
720386	2467	1996-12-05	VYDAJ	PREVOD NA UCET	5332	65780	SIPO	IJ	55811417
720387	2467	1997-01-05	VYDAJ	PREVOD NA UCET	5332	75391	SIPO	IJ	55811417
720388	2467	1997-02-05	VYDAJ	PREVOD NA UCET	5332	54275	SIPO	IJ	55811417
720389	2467	1997-03-05	VYDAJ	PREVOD NA UCET	5332	59149	SIPO	IJ	55811417
720390	2467	1997-04-05	VYDAJ	PREVOD NA UCET	5332	65835	SIPO	IJ	55811417
720391	2467	1997-05-05	VYDAJ	PREVOD NA UCET	5332	68934	SIPO	IJ	55811417
720392	2467	1997-06-05	VYDAJ	PREVOD NA UCET	5332	70441	SIPO	IJ	55811417
720393	2467	1997-07-05	VYDAJ	PREVOD NA UCET	5332	62124	SIPO	IJ	55811417
720394	2467	1997-08-05	VYDAJ	PREVOD NA UCET	5332	70924	SIPO	IJ	55811417
720395	2467	1997-09-05	VYDAJ	PREVOD NA UCET	5332	60149	SIPO	IJ	55811417
720396	2467	1997-10-05	VYDAJ	PREVOD NA UCET	5332	59177	SIPO	IJ	55811417
720397	2467	1997-11-05	VYDAJ	PREVOD NA UCET	5332	60003	SIPO	IJ	55811417
720398	2467	1997-12-05	VYDAJ	PREVOD NA UCET	5332	54670	SIPO	IJ	55811417
720399	2467	1998-01-05	VYDAJ	PREVOD NA UCET	5332	59484	SIPO	IJ	55811417
720400	2467	1998-02-05	VYDAJ	PREVOD NA UCET	5332	45396	SIPO	IJ	55811417
720401	2467	1998-03-05	VYDAJ	PREVOD NA UCET	5332	52655	SIPO	IJ	55811417
720402	2467	1998-04-05	VYDAJ	PREVOD NA UCET	5332	56648	SIPO	IJ	55811417
720403	2467	1998-05-05	VYDAJ	PREVOD NA UCET	5332	59876	SIPO	IJ	55811417
720404	2467	1998-06-05	VYDAJ	PREVOD NA UCET	5332	65799	SIPO	IJ	55811417
720405	2467	1998-07-05	VYDAJ	PREVOD NA UCET	5332	65016	SIPO	IJ	55811417
720406	2467	1998-08-05	VYDAJ	PREVOD NA UCET	5332	60662	SIPO	IJ	55811417
720407	2467	1998-09-05	VYDAJ	PREVOD NA UCET	5332	56534	SIPO	IJ	55811417
720408	2467	1998-10-05	VYDAJ	PREVOD NA UCET	5332	56505	SIPO	IJ	55811417
720409	2467	1998-11-05	VYDAJ	PREVOD NA UCET	5332	55307	SIPO	IJ	55811417
720410	2467	1998-12-05	VYDAJ	PREVOD NA UCET	5332	55603	SIPO	IJ	55811417
720413	2467	1995-06-10	VYDAJ	VYBER	5920	33713	\N	\N	\N
720414	2467	1996-06-19	VYDAJ	VYBER	9920	40402	\N	\N	\N
720415	2467	1997-06-11	VYDAJ	VYBER	23840	67131	\N	\N	\N
720416	2467	1998-06-14	VYDAJ	VYBER	16000	83229	\N	\N	\N
720418	2467	1994-01-10	VYDAJ	VYBER	13280	13035	\N	\N	\N
720419	2467	1995-01-17	VYDAJ	VYBER	11040	44763	\N	\N	\N
720420	2467	1996-01-20	VYDAJ	VYBER	12000	29719	\N	\N	\N
720421	2467	1997-01-24	VYDAJ	VYBER	10720	65424	\N	\N	\N
720422	2467	1998-01-12	VYDAJ	VYBER	12960	66477	\N	\N	\N
720423	2467	1993-12-14	VYDAJ	VYBER	1760	67738	\N	\N	\N
720424	2467	1994-12-01	VYDAJ	VYBER	3200	41050	\N	\N	\N
720425	2467	1995-12-19	VYDAJ	VYBER	2560	51194	\N	\N	\N
720426	2467	1996-12-25	VYDAJ	VYBER KARTOU	3800	82410	\N	\N	0
720427	2467	1997-12-29	VYDAJ	VYBER KARTOU	2600	86200	\N	\N	0
720428	2467	1998-12-16	VYDAJ	VYBER KARTOU	1400	88333	\N	\N	0
720435	2467	1994-01-23	VYDAJ	VYBER	2160	27388	\N	\N	\N
720436	2467	1994-01-03	VYDAJ	VYBER	3480	38367	\N	\N	\N
720437	2467	1994-01-24	VYDAJ	VYBER	3360	23328	\N	\N	\N
720438	2467	1994-01-16	VYDAJ	VYBER	1680	32548	\N	\N	\N
720439	2467	1994-01-04	VYDAJ	VYBER	840	37527	\N	\N	\N
720440	2467	1994-01-28	VYDAJ	VYBER	3120	20208	\N	\N	\N
720441	2467	1995-01-10	VYDAJ	VYBER	2640	33050	\N	\N	\N
720442	2467	1995-01-06	VYDAJ	VYBER	2640	37970	\N	\N	\N
720443	2467	1995-01-26	VYDAJ	VYBER	2280	30643	\N	\N	\N
720444	2467	1995-01-07	VYDAJ	VYBER	2280	35690	\N	\N	\N
720445	2467	1995-01-23	VYDAJ	VYBER	2280	35083	\N	\N	\N
720446	2467	1995-01-25	VYDAJ	VYBER	2160	32923	\N	\N	\N
720447	2467	1996-01-14	VYDAJ	VYBER KARTOU	3400	42919	\N	\N	0
720448	2467	1996-01-17	VYDAJ	VYBER KARTOU	1200	41719	\N	\N	0
720449	2467	1996-01-30	VYDAJ	VYBER KARTOU	1900	26619	\N	\N	0
720450	2467	1996-01-04	VYDAJ	VYBER KARTOU	2800	48598	\N	\N	0
720451	2467	1996-01-08	VYDAJ	VYBER KARTOU	2300	40966	\N	\N	0
720452	2467	1996-01-27	VYDAJ	VYBER KARTOU	1200	28519	\N	\N	0
720453	2467	1997-01-27	VYDAJ	VYBER KARTOU	3200	62224	\N	\N	0
720454	2467	1997-01-17	VYDAJ	VYBER KARTOU	700	77944	\N	\N	0
720455	2467	1997-01-28	VYDAJ	VYBER KARTOU	2900	59324	\N	\N	0
720456	2467	1997-01-06	VYDAJ	VYBER KARTOU	1000	74391	\N	\N	0
720457	2467	1997-01-01	VYDAJ	VYBER KARTOU	2000	80723	\N	\N	0
720458	2467	1997-01-20	VYDAJ	VYBER KARTOU	1800	76144	\N	\N	0
720459	2467	1998-01-27	VYDAJ	VYBER KARTOU	1200	59477	\N	\N	0
720460	2467	1998-01-27	VYDAJ	VYBER KARTOU	3400	60677	\N	\N	0
720461	2467	1998-01-29	VYDAJ	VYBER KARTOU	2300	57177	\N	\N	0
720462	2467	1998-01-24	VYDAJ	VYBER KARTOU	2400	64077	\N	\N	0
720463	2467	1998-01-02	VYDAJ	VYBER KARTOU	1800	84716	\N	\N	0
720464	2467	1998-01-08	VYDAJ	VYBER KARTOU	2800	56684	\N	\N	0
720465	2467	1993-12-30	VYDAJ	VYBER	2400	41638	\N	\N	\N
720467	2467	1993-11-09	VYDAJ	VYBER	5040	38145	\N	\N	\N
720469	2467	1994-03-10	VYDAJ	VYBER	2760	16356	\N	\N	\N
720470	2467	1994-01-14	VYDAJ	VYBER	1560	34228	\N	\N	\N
720471	2467	1994-08-02	VYDAJ	VYBER	1800	45539	\N	\N	\N
720472	2467	1994-01-22	VYDAJ	VYBER	3000	29548	\N	\N	\N
720473	2467	1994-10-06	VYDAJ	VYBER	2520	36312	\N	\N	\N
720474	2467	1994-03-03	VYDAJ	VYBER	4800	24448	\N	\N	\N
720475	2467	1994-01-06	VYDAJ	VYBER	5880	26315	\N	\N	\N
720476	2467	1994-12-15	VYDAJ	VYBER	3600	66248	\N	\N	\N
720477	2467	1995-06-06	VYDAJ	VYBER	4320	39633	\N	\N	\N
720478	2467	1995-01-29	VYDAJ	VYBER	5760	24883	\N	\N	\N
720479	2467	1995-08-03	VYDAJ	VYBER	4560	46015	\N	\N	\N
720480	2467	1996-11-29	VYDAJ	VYBER KARTOU	1900	70838	\N	\N	0
720481	2467	1996-09-30	VYDAJ	VYBER KARTOU	3600	57148	\N	\N	0
720482	2467	1996-02-17	VYDAJ	VYBER KARTOU	2000	34492	\N	\N	0
720483	2467	1996-02-22	VYDAJ	VYBER	5880	28612	\N	\N	\N
720484	2467	1996-08-18	VYDAJ	VYBER	5040	42745	\N	\N	\N
720485	2467	1996-02-27	VYDAJ	VYBER KARTOU	3000	25612	\N	\N	0
720486	2467	1997-12-03	VYDAJ	VYBER	5760	77302	\N	\N	\N
720487	2467	1997-06-06	VYDAJ	VYBER KARTOU	700	69741	\N	\N	0
720488	2467	1997-02-08	VYDAJ	VYBER	5280	41495	\N	\N	\N
720489	2467	1998-09-11	VYDAJ	VYBER	4920	74367	\N	\N	\N
720490	2467	1998-04-25	VYDAJ	VYBER	4080	75321	\N	\N	\N
720491	2467	1998-08-06	VYDAJ	VYBER	5040	55622	\N	\N	\N
720492	2467	1998-06-09	VYDAJ	VYBER KARTOU	700	65099	\N	\N	0
720503	2467	1993-10-31	VYDAJ	VYBER	15	48517	SLUZBY	\N	\N
720504	2467	1993-11-30	VYDAJ	VYBER	15	40700	SLUZBY	\N	\N
720505	2467	1993-12-31	VYDAJ	VYBER	15	41847	SLUZBY	\N	\N
720506	2467	1994-01-31	VYDAJ	VYBER	15	20318	SLUZBY	\N	\N
720507	2467	1994-02-28	VYDAJ	VYBER	15	29248	SLUZBY	\N	\N
720508	2467	1994-03-31	VYDAJ	VYBER	15	32429	SLUZBY	\N	\N
720509	2467	1994-04-30	VYDAJ	VYBER	15	37907	SLUZBY	\N	\N
720510	2467	1994-05-31	VYDAJ	VYBER	15	38803	SLUZBY	\N	\N
720511	2467	1994-06-30	VYDAJ	VYBER	15	48006	SLUZBY	\N	\N
720512	2467	1994-07-31	VYDAJ	VYBER	15	47339	SLUZBY	\N	\N
720513	2467	1994-08-31	VYDAJ	VYBER	15	42954	SLUZBY	\N	\N
720514	2467	1994-09-30	VYDAJ	VYBER	15	44164	SLUZBY	\N	\N
720515	2467	1994-10-31	VYDAJ	VYBER	15	41645	SLUZBY	\N	\N
720516	2467	1994-11-30	VYDAJ	VYBER	15	44250	SLUZBY	\N	\N
720517	2467	1994-12-31	VYDAJ	VYBER	15	45942	SLUZBY	\N	\N
720518	2467	1995-01-31	VYDAJ	VYBER	15	25036	SLUZBY	\N	\N
720519	2467	1995-02-28	VYDAJ	VYBER	15	35381	SLUZBY	\N	\N
720520	2467	1995-03-31	VYDAJ	VYBER	15	41164	SLUZBY	\N	\N
720521	2467	1995-04-30	VYDAJ	VYBER	15	44667	SLUZBY	\N	\N
720522	2467	1995-05-31	VYDAJ	VYBER	15	49285	SLUZBY	\N	\N
720523	2467	1995-06-30	VYDAJ	VYBER	15	49844	SLUZBY	\N	\N
720524	2467	1995-07-31	VYDAJ	VYBER	15	50575	SLUZBY	\N	\N
720525	2467	1995-08-31	VYDAJ	VYBER	15	47226	SLUZBY	\N	\N
720526	2467	1995-09-30	VYDAJ	VYBER	15	45637	SLUZBY	\N	\N
720527	2467	1995-10-31	VYDAJ	VYBER	15	47447	SLUZBY	\N	\N
720528	2467	1995-11-30	VYDAJ	VYBER	15	45656	SLUZBY	\N	\N
720529	2467	1995-12-31	VYDAJ	VYBER	15	51398	SLUZBY	\N	\N
720530	2467	1996-01-31	VYDAJ	VYBER	15	26771	SLUZBY	\N	\N
720531	2467	1996-02-29	VYDAJ	VYBER	15	25725	SLUZBY	\N	\N
720532	2467	1996-03-31	VYDAJ	VYBER	15	36069	SLUZBY	\N	\N
720533	2467	1996-04-30	VYDAJ	VYBER	15	41141	SLUZBY	\N	\N
720534	2467	1996-05-31	VYDAJ	VYBER	15	42124	SLUZBY	\N	\N
720535	2467	1996-06-30	VYDAJ	VYBER	15	40571	SLUZBY	\N	\N
720536	2467	1996-07-31	VYDAJ	VYBER	15	47064	SLUZBY	\N	\N
720537	2467	1996-08-31	VYDAJ	VYBER	15	42917	SLUZBY	\N	\N
720538	2467	1996-09-30	VYDAJ	VYBER	15	60748	SLUZBY	\N	\N
720539	2467	1996-10-31	VYDAJ	VYBER	15	67617	SLUZBY	\N	\N
720540	2467	1996-11-30	VYDAJ	VYBER	15	71112	SLUZBY	\N	\N
720541	2467	1996-12-31	VYDAJ	VYBER	15	82723	SLUZBY	\N	\N
720542	2467	1997-01-31	VYDAJ	VYBER	15	59607	SLUZBY	\N	\N
720543	2467	1997-02-28	VYDAJ	VYBER	15	64481	SLUZBY	\N	\N
720544	2467	1997-03-31	VYDAJ	VYBER	15	71167	SLUZBY	\N	\N
720545	2467	1997-04-30	VYDAJ	VYBER	15	74266	SLUZBY	\N	\N
720546	2467	1997-05-31	VYDAJ	VYBER	15	75773	SLUZBY	\N	\N
720547	2467	1997-06-30	VYDAJ	VYBER	15	67456	SLUZBY	\N	\N
720548	2467	1997-07-31	VYDAJ	VYBER	15	76256	SLUZBY	\N	\N
720549	2467	1997-08-31	VYDAJ	VYBER	15	82381	SLUZBY	\N	\N
720550	2467	1997-09-30	VYDAJ	VYBER	15	83209	SLUZBY	\N	\N
720551	2467	1997-10-31	VYDAJ	VYBER	15	82235	SLUZBY	\N	\N
720552	2467	1997-11-30	VYDAJ	VYBER	15	83062	SLUZBY	\N	\N
720553	2467	1997-12-31	VYDAJ	VYBER	15	86516	SLUZBY	\N	\N
720554	2467	1998-01-31	VYDAJ	VYBER	15	57428	SLUZBY	\N	\N
720555	2467	1998-02-28	VYDAJ	VYBER	15	68387	SLUZBY	\N	\N
720556	2467	1998-03-31	VYDAJ	VYBER	15	75680	SLUZBY	\N	\N
720557	2467	1998-04-30	VYDAJ	VYBER	15	75608	SLUZBY	\N	\N
720558	2467	1998-05-31	VYDAJ	VYBER	15	82931	SLUZBY	\N	\N
720559	2467	1998-06-30	VYDAJ	VYBER	15	83548	SLUZBY	\N	\N
720560	2467	1998-07-31	VYDAJ	VYBER	15	88094	SLUZBY	\N	\N
720561	2467	1998-08-31	VYDAJ	VYBER	15	78666	SLUZBY	\N	\N
720562	2467	1998-09-30	VYDAJ	VYBER	15	61837	SLUZBY	\N	\N
720563	2467	1998-10-31	VYDAJ	VYBER	15	60639	SLUZBY	\N	\N
720564	2467	1998-11-30	VYDAJ	VYBER	15	60935	SLUZBY	\N	\N
720565	2467	1993-06-28	VYDAJ	VYBER	5000	29530	\N	\N	\N
720566	2467	1993-07-28	VYDAJ	VYBER	13700	38595	\N	\N	\N
720567	2467	1993-08-27	VYDAJ	VYBER	17400	44076	\N	\N	\N
720568	2467	1993-09-26	VYDAJ	VYBER	19500	47494	\N	\N	\N
720569	2467	1993-10-26	VYDAJ	VYBER	22100	48333	\N	\N	\N
720570	2467	1993-11-25	VYDAJ	VYBER	20400	40498	\N	\N	\N
720571	2467	1993-12-25	VYDAJ	VYBER	23700	44038	\N	\N	\N
720572	2467	1994-01-24	VYDAJ	VYBER	700	26688	\N	\N	\N
720573	2467	1994-02-23	VYDAJ	VYBER	8600	29139	\N	\N	\N
720574	2467	1994-03-25	VYDAJ	VYBER	6800	32309	\N	\N	\N
720575	2467	1994-04-24	VYDAJ	VYBER	12100	37750	\N	\N	\N
720576	2467	1994-05-24	VYDAJ	VYBER	16700	38628	\N	\N	\N
720577	2467	1994-06-23	VYDAJ	VYBER	19800	47801	\N	\N	\N
720578	2467	1994-07-23	VYDAJ	VYBER	18300	47127	\N	\N	\N
720579	2467	1994-08-22	VYDAJ	VYBER	20200	42760	\N	\N	\N
720580	2467	1994-09-21	VYDAJ	VYBER	16400	43975	\N	\N	\N
720581	2467	1994-10-21	VYDAJ	VYBER	17600	41465	\N	\N	\N
720582	2467	1994-11-20	VYDAJ	VYBER	15000	44066	\N	\N	\N
720583	2467	1994-12-20	VYDAJ	VYBER	20500	45748	\N	\N	\N
720584	2467	1995-01-19	VYDAJ	VYBER	7400	37363	\N	\N	\N
720585	2467	1995-02-18	VYDAJ	VYBER	7200	35257	\N	\N	\N
720586	2467	1995-03-20	VYDAJ	VYBER	11800	41002	\N	\N	\N
720587	2467	1995-04-19	VYDAJ	VYBER	14100	44485	\N	\N	\N
720588	2467	1995-05-19	VYDAJ	VYBER	13000	49088	\N	\N	\N
720589	2467	1995-06-18	VYDAJ	VYBER	18200	49643	\N	\N	\N
720590	2467	1995-07-18	VYDAJ	VYBER	16900	50365	\N	\N	\N
720591	2467	1995-08-17	VYDAJ	VYBER	16400	47036	\N	\N	\N
720592	2467	1995-09-16	VYDAJ	VYBER	19200	45447	\N	\N	\N
720593	2467	1995-10-16	VYDAJ	VYBER	15800	47258	\N	\N	\N
720594	2467	1995-11-15	VYDAJ	VYBER	19400	45468	\N	\N	\N
720595	2467	1995-12-15	VYDAJ	VYBER	20700	53754	\N	\N	\N
720596	2467	1996-01-14	VYDAJ	VYBER	17400	46319	\N	\N	\N
720597	2467	1996-02-13	VYDAJ	VYBER	7700	36492	\N	\N	\N
720598	2467	1996-03-14	VYDAJ	VYBER	7200	35946	\N	\N	\N
720599	2467	1996-04-13	VYDAJ	VYBER	12500	40990	\N	\N	\N
720600	2467	1996-05-13	VYDAJ	VYBER	16600	41962	\N	\N	\N
720601	2467	1996-06-12	VYDAJ	VYBER	20600	50322	\N	\N	\N
720602	2467	1996-07-12	VYDAJ	VYBER	11100	46892	\N	\N	\N
720603	2467	1996-08-11	VYDAJ	VYBER	16700	47785	\N	\N	\N
720604	2467	1996-09-10	PRIJEM	VKLAD	200	37785	\N	\N	\N
720605	2467	1996-10-10	VYDAJ	VYBER	7200	44616	\N	\N	\N
720606	2467	1996-11-09	VYDAJ	VYBER	12300	49985	\N	\N	\N
720607	2467	1996-12-09	VYDAJ	VYBER	13700	52080	\N	\N	\N
720608	2467	1997-01-08	VYDAJ	VYBER	18500	55891	\N	\N	\N
720609	2467	1997-02-07	VYDAJ	VYBER	7500	46775	\N	\N	\N
720610	2467	1997-03-09	VYDAJ	VYBER	11000	48149	\N	\N	\N
720611	2467	1997-04-08	VYDAJ	VYBER	14600	51235	\N	\N	\N
720612	2467	1997-05-08	VYDAJ	VYBER	16200	52734	\N	\N	\N
720613	2467	1997-06-07	VYDAJ	VYBER	12900	56841	\N	\N	\N
720614	2467	1997-07-07	VYDAJ	VYBER	8900	53224	\N	\N	\N
720615	2467	1997-08-06	VYDAJ	VYBER	11600	59324	\N	\N	\N
720616	2467	1997-09-05	VYDAJ	VYBER	16900	65481	\N	\N	\N
720617	2467	1997-10-05	VYDAJ	VYBER	18700	64509	\N	\N	\N
720618	2467	1997-11-04	VYDAJ	VYBER	16900	65335	\N	\N	\N
720619	2467	1997-12-04	VYDAJ	VYBER	17300	60002	\N	\N	\N
720620	2467	1998-01-03	VYDAJ	VYBER	19900	64816	\N	\N	\N
720621	2467	1998-02-02	VYDAJ	VYBER	6700	50728	\N	\N	\N
720622	2467	1998-03-04	VYDAJ	VYBER	10400	57987	\N	\N	\N
720623	2467	1998-04-03	VYDAJ	VYBER	13700	61980	\N	\N	\N
720624	2467	1998-05-03	VYDAJ	VYBER	10400	65208	\N	\N	\N
720625	2467	1998-06-02	VYDAJ	VYBER	11800	71131	\N	\N	\N
720626	2467	1998-07-02	VYDAJ	VYBER	13200	70348	\N	\N	\N
720627	2467	1998-08-01	VYDAJ	VYBER	22100	65994	\N	\N	\N
720628	2467	1998-08-31	VYDAJ	VYBER	16800	61866	\N	\N	\N
720629	2467	1998-09-30	VYDAJ	VYBER	12800	61852	\N	\N	\N
720630	2467	1998-10-30	VYDAJ	VYBER	18900	60358	\N	\N	\N
720631	2467	1998-11-29	VYDAJ	VYBER	17400	60660	\N	\N	\N
720699	2468	1996-07-13	PRIJEM	VKLAD	400	400	\N	\N	\N
720707	2468	1996-08-10	PRIJEM	PREVOD Z UCTU	3141	3541	\N	GH	85133188
720708	2468	1996-09-10	PRIJEM	PREVOD Z UCTU	3141	6682	\N	GH	85133188
720709	2468	1996-10-10	PRIJEM	PREVOD Z UCTU	3141	9823	\N	GH	85133188
720710	2468	1996-11-10	PRIJEM	PREVOD Z UCTU	3141	12964	\N	GH	85133188
720711	2468	1996-12-10	PRIJEM	PREVOD Z UCTU	3141	16105	\N	GH	85133188
720712	2468	1997-01-10	PRIJEM	PREVOD Z UCTU	3141	17179	\N	GH	85133188
720713	2468	1997-02-10	PRIJEM	PREVOD Z UCTU	3141	15360	\N	GH	85133188
720714	2468	1997-03-10	PRIJEM	PREVOD Z UCTU	3141	16446	\N	GH	85133188
720715	2468	1997-04-10	PRIJEM	PREVOD Z UCTU	3141	17537	\N	GH	85133188
720716	2468	1997-05-10	PRIJEM	PREVOD Z UCTU	3141	18633	\N	GH	85133188
720717	2468	1997-06-10	PRIJEM	PREVOD Z UCTU	3141	19739	\N	GH	85133188
720718	2468	1997-07-10	PRIJEM	PREVOD Z UCTU	3141	20843	\N	GH	85133188
720719	2468	1997-08-10	PRIJEM	PREVOD Z UCTU	3141	21959	\N	GH	85133188
720720	2468	1997-09-10	PRIJEM	PREVOD Z UCTU	3141	22202	\N	GH	85133188
720721	2468	1997-10-10	PRIJEM	PREVOD Z UCTU	3141	23017	\N	GH	85133188
720722	2468	1997-11-10	PRIJEM	PREVOD Z UCTU	3141	24142	\N	GH	85133188
720723	2468	1997-12-10	PRIJEM	PREVOD Z UCTU	3141	24456	\N	GH	85133188
720724	2468	1998-01-10	PRIJEM	PREVOD Z UCTU	3141	23660	\N	GH	85133188
720725	2468	1998-02-10	PRIJEM	PREVOD Z UCTU	3141	23529	\N	GH	85133188
720726	2468	1998-03-10	PRIJEM	PREVOD Z UCTU	3141	24651	\N	GH	85133188
720727	2468	1998-04-10	PRIJEM	PREVOD Z UCTU	3141	24846	\N	GH	85133188
720728	2468	1998-05-10	PRIJEM	PREVOD Z UCTU	3141	25973	\N	GH	85133188
720729	2468	1998-06-10	PRIJEM	PREVOD Z UCTU	3141	27109	\N	GH	85133188
720730	2468	1998-07-10	PRIJEM	PREVOD Z UCTU	3141	27163	\N	GH	85133188
720731	2468	1998-08-10	PRIJEM	PREVOD Z UCTU	3141	27549	\N	GH	85133188
720732	2468	1998-09-10	PRIJEM	PREVOD Z UCTU	3141	28687	\N	GH	85133188
720733	2468	1998-10-10	PRIJEM	PREVOD Z UCTU	3141	29834	\N	GH	85133188
720734	2468	1998-11-10	PRIJEM	PREVOD Z UCTU	3141	30987	\N	GH	85133188
720735	2468	1998-12-10	PRIJEM	PREVOD Z UCTU	3141	31838	\N	GH	85133188
720747	2468	1996-12-10	VYDAJ	PREVOD NA UCET	2094	14011	SIPO	QR	32765186
720748	2468	1997-01-10	VYDAJ	PREVOD NA UCET	2094	15085	SIPO	QR	32765186
720749	2468	1997-02-10	VYDAJ	PREVOD NA UCET	2094	13266	SIPO	QR	32765186
720750	2468	1997-03-10	VYDAJ	PREVOD NA UCET	2094	14352	SIPO	QR	32765186
720751	2468	1997-04-10	VYDAJ	PREVOD NA UCET	2094	15443	SIPO	QR	32765186
720752	2468	1997-05-10	VYDAJ	PREVOD NA UCET	2094	16539	SIPO	QR	32765186
720753	2468	1997-06-10	VYDAJ	PREVOD NA UCET	2094	17645	SIPO	QR	32765186
720754	2468	1997-07-10	VYDAJ	PREVOD NA UCET	2094	18749	SIPO	QR	32765186
720755	2468	1997-08-10	VYDAJ	PREVOD NA UCET	2094	19865	SIPO	QR	32765186
720756	2468	1997-09-10	VYDAJ	PREVOD NA UCET	2094	20108	SIPO	QR	32765186
720757	2468	1997-10-10	VYDAJ	PREVOD NA UCET	2094	20923	SIPO	QR	32765186
720758	2468	1997-11-10	VYDAJ	PREVOD NA UCET	2094	22048	SIPO	QR	32765186
720759	2468	1997-12-10	VYDAJ	PREVOD NA UCET	2094	22362	SIPO	QR	32765186
720760	2468	1998-01-10	VYDAJ	PREVOD NA UCET	2094	21566	SIPO	QR	32765186
720761	2468	1998-02-10	VYDAJ	PREVOD NA UCET	2094	21435	SIPO	QR	32765186
720762	2468	1998-03-10	VYDAJ	PREVOD NA UCET	2094	22557	SIPO	QR	32765186
720763	2468	1998-04-10	VYDAJ	PREVOD NA UCET	2094	22752	SIPO	QR	32765186
720764	2468	1998-05-10	VYDAJ	PREVOD NA UCET	2094	23879	SIPO	QR	32765186
720765	2468	1998-06-10	VYDAJ	PREVOD NA UCET	2094	25015	SIPO	QR	32765186
720766	2468	1998-07-10	VYDAJ	PREVOD NA UCET	2094	25069	SIPO	QR	32765186
720767	2468	1998-08-10	VYDAJ	PREVOD NA UCET	2094	25455	SIPO	QR	32765186
720768	2468	1998-09-10	VYDAJ	PREVOD NA UCET	2094	26593	SIPO	QR	32765186
720769	2468	1998-10-10	VYDAJ	PREVOD NA UCET	2094	27740	SIPO	QR	32765186
720770	2468	1998-11-10	VYDAJ	PREVOD NA UCET	2094	28893	SIPO	QR	32765186
720771	2468	1998-12-10	VYDAJ	PREVOD NA UCET	2094	29744	SIPO	QR	32765186
720774	2468	1998-06-21	VYDAJ	VYBER	1080	23935	\N	\N	\N
720776	2468	1997-01-25	VYDAJ	VYBER	2910	12175	\N	\N	\N
720777	2468	1998-01-09	VYDAJ	VYBER	1650	20519	\N	\N	\N
720779	2468	1997-12-24	VYDAJ	VYBER	270	22092	\N	\N	\N
720780	2468	1998-12-06	VYDAJ	VYBER	300	28697	\N	\N	\N
720787	2468	1997-08-29	VYDAJ	VYBER	870	18995	\N	\N	\N
720788	2468	1997-11-30	VYDAJ	VYBER	510	21315	\N	\N	\N
720789	2468	1997-11-18	VYDAJ	VYBER	300	21748	\N	\N	\N
720790	2468	1997-10-05	VYDAJ	VYBER	300	19876	\N	\N	\N
720791	2468	1998-04-02	VYDAJ	VYBER	930	21705	\N	\N	\N
720792	2468	1998-02-01	VYDAJ	VYBER	1260	20388	\N	\N	\N
720793	2468	1998-08-01	VYDAJ	VYBER	750	24408	\N	\N	\N
720806	2468	1996-12-31	VYDAJ	VYBER	15	14038	SLUZBY	\N	\N
720807	2468	1997-01-31	VYDAJ	VYBER	15	12219	SLUZBY	\N	\N
720808	2468	1997-02-28	VYDAJ	VYBER	15	13305	SLUZBY	\N	\N
720809	2468	1997-03-31	VYDAJ	VYBER	15	14396	SLUZBY	\N	\N
720810	2468	1997-04-30	VYDAJ	VYBER	15	15492	SLUZBY	\N	\N
720811	2468	1997-05-31	VYDAJ	VYBER	15	16598	SLUZBY	\N	\N
720812	2468	1997-06-30	VYDAJ	VYBER	15	17702	SLUZBY	\N	\N
720813	2468	1997-07-31	VYDAJ	VYBER	15	18818	SLUZBY	\N	\N
720814	2468	1997-08-31	VYDAJ	VYBER	15	19061	SLUZBY	\N	\N
720815	2468	1997-09-30	VYDAJ	VYBER	15	20176	SLUZBY	\N	\N
720816	2468	1997-10-31	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
720817	2468	1997-11-30	VYDAJ	VYBER	15	21825	SLUZBY	\N	\N
720818	2468	1997-12-31	VYDAJ	VYBER	15	22169	SLUZBY	\N	\N
720819	2468	1998-01-31	VYDAJ	VYBER	15	21648	SLUZBY	\N	\N
720820	2468	1998-02-28	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
720821	2468	1998-03-31	VYDAJ	VYBER	15	22635	SLUZBY	\N	\N
720822	2468	1998-04-30	VYDAJ	VYBER	15	22832	SLUZBY	\N	\N
720823	2468	1998-05-31	VYDAJ	VYBER	15	23968	SLUZBY	\N	\N
720824	2468	1998-06-30	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
720825	2468	1998-07-31	VYDAJ	VYBER	15	25158	SLUZBY	\N	\N
720826	2468	1998-08-31	VYDAJ	VYBER	15	25546	SLUZBY	\N	\N
720827	2468	1998-09-30	VYDAJ	VYBER	15	26693	SLUZBY	\N	\N
720828	2468	1998-10-31	VYDAJ	VYBER	15	27846	SLUZBY	\N	\N
720829	2468	1998-11-30	VYDAJ	VYBER	15	28997	SLUZBY	\N	\N
720855	2469	1996-02-05	PRIJEM	VKLAD	200	200	\N	\N	\N
720858	2469	1996-03-05	PRIJEM	PREVOD Z UCTU	3330	3530	\N	OP	90282362
720859	2469	1996-04-05	PRIJEM	PREVOD Z UCTU	3330	6860	\N	OP	90282362
720860	2469	1996-05-05	PRIJEM	PREVOD Z UCTU	3330	10190	\N	OP	90282362
720861	2469	1996-06-05	PRIJEM	PREVOD Z UCTU	3330	13520	\N	OP	90282362
720862	2469	1996-07-05	PRIJEM	PREVOD Z UCTU	3330	16850	\N	OP	90282362
720863	2469	1996-08-05	PRIJEM	PREVOD Z UCTU	3330	17987	\N	OP	90282362
720864	2469	1996-09-05	PRIJEM	PREVOD Z UCTU	3330	19146	\N	OP	90282362
720865	2469	1996-10-05	PRIJEM	PREVOD Z UCTU	3330	20311	\N	OP	90282362
720866	2469	1996-11-05	PRIJEM	PREVOD Z UCTU	3330	21480	\N	OP	90282362
720867	2469	1996-12-05	PRIJEM	PREVOD Z UCTU	3330	22023	\N	OP	90282362
720868	2469	1997-01-05	PRIJEM	PREVOD Z UCTU	3330	20947	\N	OP	90282362
720869	2469	1997-02-05	PRIJEM	PREVOD Z UCTU	3330	19927	\N	OP	90282362
720870	2469	1997-03-05	PRIJEM	PREVOD Z UCTU	3330	21095	\N	OP	90282362
720871	2469	1997-04-05	PRIJEM	PREVOD Z UCTU	3330	22267	\N	OP	90282362
720872	2469	1997-05-05	PRIJEM	PREVOD Z UCTU	3330	22664	\N	OP	90282362
720873	2469	1997-06-05	PRIJEM	PREVOD Z UCTU	3330	22430	\N	OP	90282362
720874	2469	1997-07-05	PRIJEM	PREVOD Z UCTU	3330	19998	\N	OP	90282362
720875	2469	1997-08-05	PRIJEM	PREVOD Z UCTU	3330	21166	\N	OP	90282362
720876	2469	1997-09-05	PRIJEM	PREVOD Z UCTU	3330	22338	\N	OP	90282362
720877	2469	1997-10-05	PRIJEM	PREVOD Z UCTU	3330	22644	\N	OP	90282362
720878	2469	1997-11-05	PRIJEM	PREVOD Z UCTU	3330	23823	\N	OP	90282362
720879	2469	1997-12-05	PRIJEM	PREVOD Z UCTU	3330	25007	\N	OP	90282362
720880	2469	1998-01-05	PRIJEM	PREVOD Z UCTU	3330	24120	\N	OP	90282362
720881	2469	1998-02-05	PRIJEM	PREVOD Z UCTU	3330	18698	\N	OP	90282362
720882	2469	1998-03-05	PRIJEM	PREVOD Z UCTU	3330	19860	\N	OP	90282362
720883	2469	1998-04-05	PRIJEM	PREVOD Z UCTU	3330	20126	\N	OP	90282362
720884	2469	1998-05-05	PRIJEM	PREVOD Z UCTU	3330	21294	\N	OP	90282362
720885	2469	1998-06-05	PRIJEM	PREVOD Z UCTU	3330	22468	\N	OP	90282362
720886	2469	1998-07-05	PRIJEM	PREVOD Z UCTU	3330	21000	\N	OP	90282362
720887	2469	1998-08-05	PRIJEM	PREVOD Z UCTU	3330	20790	\N	OP	90282362
720888	2469	1998-09-05	PRIJEM	PREVOD Z UCTU	3330	20100	\N	OP	90282362
720889	2469	1998-10-05	PRIJEM	PREVOD Z UCTU	3330	20637	\N	OP	90282362
720890	2469	1998-11-05	PRIJEM	PREVOD Z UCTU	3330	21807	\N	OP	90282362
720891	2469	1998-12-05	PRIJEM	PREVOD Z UCTU	3330	22982	\N	OP	90282362
720898	2469	1996-07-11	VYDAJ	PREVOD NA UCET	2220	14630	SIPO	IJ	48410499
720899	2469	1996-08-11	VYDAJ	PREVOD NA UCET	2220	15767	SIPO	IJ	48410499
720900	2469	1996-09-11	VYDAJ	PREVOD NA UCET	2220	16926	SIPO	IJ	48410499
720901	2469	1996-10-11	VYDAJ	PREVOD NA UCET	2220	18091	SIPO	IJ	48410499
720902	2469	1996-11-11	VYDAJ	PREVOD NA UCET	2220	18630	SIPO	IJ	48410499
720903	2469	1996-12-11	VYDAJ	PREVOD NA UCET	2220	19803	SIPO	IJ	48410499
720904	2469	1997-01-11	VYDAJ	PREVOD NA UCET	2220	18067	SIPO	IJ	48410499
720905	2469	1997-02-11	VYDAJ	PREVOD NA UCET	2220	17707	SIPO	IJ	48410499
720906	2469	1997-03-11	VYDAJ	PREVOD NA UCET	2220	18875	SIPO	IJ	48410499
720907	2469	1997-04-11	VYDAJ	PREVOD NA UCET	2220	20047	SIPO	IJ	48410499
720908	2469	1997-05-11	VYDAJ	PREVOD NA UCET	2220	20444	SIPO	IJ	48410499
720909	2469	1997-06-11	VYDAJ	PREVOD NA UCET	2220	16610	SIPO	IJ	48410499
720910	2469	1997-07-11	VYDAJ	PREVOD NA UCET	2220	17778	SIPO	IJ	48410499
720911	2469	1997-08-11	VYDAJ	PREVOD NA UCET	2220	18946	SIPO	IJ	48410499
720912	2469	1997-09-11	VYDAJ	PREVOD NA UCET	2220	20118	SIPO	IJ	48410499
720913	2469	1997-10-11	VYDAJ	PREVOD NA UCET	2220	20424	SIPO	IJ	48410499
720914	2469	1997-11-11	VYDAJ	PREVOD NA UCET	2220	21603	SIPO	IJ	48410499
720915	2469	1997-12-11	VYDAJ	PREVOD NA UCET	2220	22787	SIPO	IJ	48410499
720916	2469	1998-01-11	VYDAJ	PREVOD NA UCET	2220	21900	SIPO	IJ	48410499
720917	2469	1998-02-11	VYDAJ	PREVOD NA UCET	2220	16478	SIPO	IJ	48410499
720918	2469	1998-03-11	VYDAJ	PREVOD NA UCET	2220	17640	SIPO	IJ	48410499
720919	2469	1998-04-11	VYDAJ	PREVOD NA UCET	2220	17906	SIPO	IJ	48410499
720920	2469	1998-05-11	VYDAJ	PREVOD NA UCET	2220	19074	SIPO	IJ	48410499
720921	2469	1998-06-11	VYDAJ	PREVOD NA UCET	2220	20248	SIPO	IJ	48410499
720922	2469	1998-07-11	VYDAJ	PREVOD NA UCET	2220	18780	SIPO	IJ	48410499
720923	2469	1998-08-11	VYDAJ	PREVOD NA UCET	2220	18570	SIPO	IJ	48410499
720924	2469	1998-09-11	VYDAJ	PREVOD NA UCET	2220	17250	SIPO	IJ	48410499
720925	2469	1998-10-11	VYDAJ	PREVOD NA UCET	2220	18417	SIPO	IJ	48410499
720926	2469	1998-11-11	VYDAJ	PREVOD NA UCET	2220	19587	SIPO	IJ	48410499
720927	2469	1998-12-11	VYDAJ	PREVOD NA UCET	2220	20762	SIPO	IJ	48410499
720929	2469	1997-06-10	VYDAJ	VYBER	3600	18830	\N	\N	\N
720932	2469	1997-01-11	VYDAJ	VYBER	630	17227	\N	\N	\N
720933	2469	1998-01-28	VYDAJ	VYBER	2820	15300	\N	\N	\N
720934	2469	1996-12-12	VYDAJ	VYBER	870	18933	\N	\N	\N
720935	2469	1997-12-12	VYDAJ	VYBER	600	22187	\N	\N	\N
720936	2469	1998-12-23	VYDAJ	VYBER	570	20192	\N	\N	\N
720943	2469	1997-01-06	VYDAJ	VYBER	660	20287	\N	\N	\N
720944	2469	1997-01-30	VYDAJ	VYBER	300	16537	\N	\N	\N
720945	2469	1997-01-04	VYDAJ	VYBER	570	17617	\N	\N	\N
720946	2469	1997-01-04	VYDAJ	VYBER	810	18187	\N	\N	\N
720947	2469	1997-01-26	VYDAJ	VYBER	390	16837	\N	\N	\N
720948	2469	1997-01-11	VYDAJ	VYBER	210	17857	\N	\N	\N
720949	2469	1998-01-24	VYDAJ	VYBER	300	18690	\N	\N	\N
720950	2469	1998-01-21	VYDAJ	VYBER	780	19830	\N	\N	\N
720951	2469	1998-01-15	VYDAJ	VYBER	750	21150	\N	\N	\N
720952	2469	1998-01-21	VYDAJ	VYBER	540	20610	\N	\N	\N
720953	2469	1998-01-24	VYDAJ	VYBER	840	18990	\N	\N	\N
720954	2469	1998-01-25	VYDAJ	VYBER	570	18120	\N	\N	\N
720955	2469	1996-11-09	VYDAJ	VYBER	630	20850	\N	\N	\N
720957	2469	1997-05-16	VYDAJ	VYBER	1410	19034	\N	\N	\N
720958	2469	1997-04-23	VYDAJ	VYBER	780	19267	\N	\N	\N
720959	2469	1997-12-12	VYDAJ	VYBER	1470	20717	\N	\N	\N
720960	2469	1997-09-14	VYDAJ	VYBER	870	19248	\N	\N	\N
720961	2469	1998-09-10	VYDAJ	VYBER	630	19470	\N	\N	\N
720962	2469	1998-06-13	VYDAJ	VYBER	1260	18988	\N	\N	\N
720963	2469	1998-08-30	VYDAJ	VYBER	780	16710	\N	\N	\N
720964	2469	1998-06-17	VYDAJ	VYBER	1380	17608	\N	\N	\N
720965	2469	1998-07-24	VYDAJ	VYBER	1380	17400	\N	\N	\N
720966	2469	1998-08-30	VYDAJ	VYBER	1080	17490	\N	\N	\N
720967	2469	1998-03-22	VYDAJ	VYBER	900	16740	\N	\N	\N
720975	2469	1996-07-31	VYDAJ	VYBER	15	14657	SLUZBY	\N	\N
720976	2469	1996-08-31	VYDAJ	VYBER	15	15816	SLUZBY	\N	\N
720977	2469	1996-09-30	VYDAJ	VYBER	15	16981	SLUZBY	\N	\N
720978	2469	1996-10-31	VYDAJ	VYBER	15	18150	SLUZBY	\N	\N
720979	2469	1996-11-30	VYDAJ	VYBER	15	18693	SLUZBY	\N	\N
720980	2469	1996-12-31	VYDAJ	VYBER	15	18997	SLUZBY	\N	\N
720981	2469	1997-01-31	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
720982	2469	1997-02-28	VYDAJ	VYBER	15	17765	SLUZBY	\N	\N
720983	2469	1997-03-31	VYDAJ	VYBER	15	18937	SLUZBY	\N	\N
720984	2469	1997-04-30	VYDAJ	VYBER	15	19334	SLUZBY	\N	\N
720985	2469	1997-05-31	VYDAJ	VYBER	15	19100	SLUZBY	\N	\N
720986	2469	1997-06-30	VYDAJ	VYBER	15	16668	SLUZBY	\N	\N
720987	2469	1997-07-31	VYDAJ	VYBER	15	17836	SLUZBY	\N	\N
720988	2469	1997-08-31	VYDAJ	VYBER	15	19008	SLUZBY	\N	\N
720989	2469	1997-09-30	VYDAJ	VYBER	15	19314	SLUZBY	\N	\N
720990	2469	1997-10-31	VYDAJ	VYBER	15	20493	SLUZBY	\N	\N
720991	2469	1997-11-30	VYDAJ	VYBER	15	21677	SLUZBY	\N	\N
720992	2469	1997-12-31	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
720993	2469	1998-01-31	VYDAJ	VYBER	15	15368	SLUZBY	\N	\N
720994	2469	1998-02-28	VYDAJ	VYBER	15	16530	SLUZBY	\N	\N
720995	2469	1998-03-31	VYDAJ	VYBER	15	16796	SLUZBY	\N	\N
720996	2469	1998-04-30	VYDAJ	VYBER	15	17964	SLUZBY	\N	\N
720997	2469	1998-05-31	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
720998	2469	1998-06-30	VYDAJ	VYBER	15	17670	SLUZBY	\N	\N
720999	2469	1998-07-31	VYDAJ	VYBER	15	17460	SLUZBY	\N	\N
721000	2469	1998-08-31	VYDAJ	VYBER	15	16770	SLUZBY	\N	\N
721001	2469	1998-09-30	VYDAJ	VYBER	15	17307	SLUZBY	\N	\N
721002	2469	1998-10-31	VYDAJ	VYBER	15	18477	SLUZBY	\N	\N
721003	2469	1998-11-30	VYDAJ	VYBER	15	19652	SLUZBY	\N	\N
721034	2470	1994-07-23	PRIJEM	VKLAD	700	700	\N	\N	\N
721042	2470	1994-08-08	PRIJEM	VKLAD	18717	19417	\N	\N	\N
721043	2470	1994-09-08	PRIJEM	VKLAD	18717	41064	\N	\N	\N
721044	2470	1994-10-08	PRIJEM	VKLAD	18717	50287	\N	\N	\N
721045	2470	1994-11-08	PRIJEM	VKLAD	18717	55442	\N	\N	\N
721046	2470	1994-12-08	PRIJEM	VKLAD	28076	67174	\N	\N	\N
721047	2470	1995-01-08	PRIJEM	VKLAD	18717	47978	\N	\N	\N
721048	2470	1995-02-08	PRIJEM	VKLAD	18717	37980	\N	\N	\N
721049	2470	1995-03-08	PRIJEM	VKLAD	18717	46540	\N	\N	\N
721050	2470	1995-04-08	PRIJEM	VKLAD	18717	50930	\N	\N	\N
721051	2470	1995-05-08	PRIJEM	VKLAD	18717	51532	\N	\N	\N
721052	2470	1995-06-08	PRIJEM	VKLAD	28076	63998	\N	\N	\N
721053	2470	1995-07-08	PRIJEM	VKLAD	18717	39381	\N	\N	\N
721054	2470	1995-08-08	PRIJEM	VKLAD	18717	49850	\N	\N	\N
721055	2470	1995-09-08	PRIJEM	VKLAD	18717	53149	\N	\N	\N
721056	2470	1995-10-08	PRIJEM	VKLAD	18717	48772	\N	\N	\N
721057	2470	1995-11-08	PRIJEM	VKLAD	18717	51363	\N	\N	\N
721058	2470	1995-12-08	PRIJEM	VKLAD	28076	58634	\N	\N	\N
721059	2470	1996-01-08	PRIJEM	VKLAD	18717	48431	\N	\N	\N
721060	2470	1996-02-08	PRIJEM	VKLAD	18717	42077	\N	\N	\N
721061	2470	1996-03-08	PRIJEM	VKLAD	18717	50151	\N	\N	\N
721062	2470	1996-04-08	PRIJEM	VKLAD	18717	49428	\N	\N	\N
721063	2470	1996-05-08	PRIJEM	VKLAD	18717	47908	\N	\N	\N
721064	2470	1996-06-08	PRIJEM	VKLAD	28076	58548	\N	\N	\N
721065	2470	1996-07-08	PRIJEM	VKLAD	18717	45290	\N	\N	\N
721066	2470	1996-08-08	PRIJEM	VKLAD	18717	36817	\N	\N	\N
721067	2470	1996-09-08	PRIJEM	VKLAD	18717	44674	\N	\N	\N
721068	2470	1996-10-08	PRIJEM	VKLAD	18717	45637	\N	\N	\N
721069	2470	1996-11-08	PRIJEM	VKLAD	18717	46001	\N	\N	\N
721070	2470	1996-12-08	PRIJEM	VKLAD	28076	55725	\N	\N	\N
721071	2470	1997-01-08	PRIJEM	VKLAD	18717	47948	\N	\N	\N
721072	2470	1997-02-08	PRIJEM	VKLAD	18717	34539	\N	\N	\N
721073	2470	1997-03-08	PRIJEM	VKLAD	18717	45687	\N	\N	\N
721074	2470	1997-04-08	PRIJEM	VKLAD	18717	40442	\N	\N	\N
721075	2470	1997-05-08	PRIJEM	VKLAD	18717	39382	\N	\N	\N
721076	2470	1997-06-08	PRIJEM	VKLAD	28076	43544	\N	\N	\N
721077	2470	1997-07-08	PRIJEM	VKLAD	18717	40521	\N	\N	\N
721078	2470	1997-08-08	PRIJEM	VKLAD	18717	40407	\N	\N	\N
721079	2470	1997-09-08	PRIJEM	VKLAD	18717	34739	\N	\N	\N
721080	2470	1997-10-08	PRIJEM	VKLAD	18717	45898	\N	\N	\N
721081	2470	1997-11-08	PRIJEM	VKLAD	18717	35865	\N	\N	\N
721082	2470	1997-12-08	PRIJEM	VKLAD	28076	49270	\N	\N	\N
721083	2470	1998-01-08	PRIJEM	VKLAD	18717	35233	\N	\N	\N
721084	2470	1998-02-08	PRIJEM	VKLAD	18717	35458	\N	\N	\N
721085	2470	1998-03-08	PRIJEM	VKLAD	18717	33010	\N	\N	\N
721086	2470	1998-04-08	PRIJEM	VKLAD	18717	38512	\N	\N	\N
721087	2470	1998-05-08	PRIJEM	VKLAD	18717	37777	\N	\N	\N
721088	2470	1998-06-08	PRIJEM	VKLAD	28076	48605	\N	\N	\N
721089	2470	1998-07-08	PRIJEM	VKLAD	18717	47610	\N	\N	\N
721090	2470	1998-08-08	PRIJEM	VKLAD	18717	47621	\N	\N	\N
721091	2470	1998-09-08	PRIJEM	VKLAD	18717	51931	\N	\N	\N
721092	2470	1998-10-08	PRIJEM	VKLAD	18717	54256	\N	\N	\N
721093	2470	1998-11-08	PRIJEM	VKLAD	18717	53324	\N	\N	\N
721094	2470	1998-12-08	PRIJEM	VKLAD	28076	53304	\N	\N	\N
721106	2470	1994-12-09	VYDAJ	PREVOD NA UCET	4511	60558	SIPO	CD	71474998
721107	2470	1995-01-09	VYDAJ	PREVOD NA UCET	4511	41362	SIPO	CD	71474998
721108	2470	1995-02-09	VYDAJ	PREVOD NA UCET	4511	31364	SIPO	CD	71474998
721109	2470	1995-03-09	VYDAJ	PREVOD NA UCET	4511	39924	SIPO	CD	71474998
721110	2470	1995-04-09	VYDAJ	PREVOD NA UCET	4511	44314	SIPO	CD	71474998
721111	2470	1995-05-09	VYDAJ	PREVOD NA UCET	4511	44916	SIPO	CD	71474998
721112	2470	1995-06-09	VYDAJ	PREVOD NA UCET	4511	57382	SIPO	CD	71474998
721113	2470	1995-07-09	VYDAJ	PREVOD NA UCET	4511	32765	SIPO	CD	71474998
721114	2470	1995-08-09	VYDAJ	PREVOD NA UCET	4511	43234	SIPO	CD	71474998
721115	2470	1995-09-09	VYDAJ	PREVOD NA UCET	4511	46533	SIPO	CD	71474998
721116	2470	1995-10-09	VYDAJ	PREVOD NA UCET	4511	42156	SIPO	CD	71474998
721117	2470	1995-11-09	VYDAJ	PREVOD NA UCET	4511	44747	SIPO	CD	71474998
721118	2470	1995-12-09	VYDAJ	PREVOD NA UCET	4511	52018	SIPO	CD	71474998
721119	2470	1996-01-09	VYDAJ	PREVOD NA UCET	4511	41095	SIPO	CD	71474998
721120	2470	1996-02-09	VYDAJ	PREVOD NA UCET	4511	35461	SIPO	CD	71474998
721121	2470	1996-03-09	VYDAJ	PREVOD NA UCET	4511	43535	SIPO	CD	71474998
721122	2470	1996-04-09	VYDAJ	PREVOD NA UCET	4511	42812	SIPO	CD	71474998
721123	2470	1996-05-09	VYDAJ	PREVOD NA UCET	4511	41292	SIPO	CD	71474998
721124	2470	1996-06-09	VYDAJ	PREVOD NA UCET	4511	51932	SIPO	CD	71474998
721125	2470	1996-07-09	VYDAJ	PREVOD NA UCET	4511	38674	SIPO	CD	71474998
721126	2470	1996-08-09	VYDAJ	PREVOD NA UCET	4511	30201	SIPO	CD	71474998
721127	2470	1996-09-09	VYDAJ	PREVOD NA UCET	4511	38058	SIPO	CD	71474998
721128	2470	1996-10-09	VYDAJ	PREVOD NA UCET	4511	39021	SIPO	CD	71474998
721129	2470	1996-11-09	VYDAJ	PREVOD NA UCET	4511	28585	SIPO	CD	71474998
721130	2470	1996-12-09	VYDAJ	PREVOD NA UCET	4511	49109	SIPO	CD	71474998
721131	2470	1997-01-09	VYDAJ	PREVOD NA UCET	4511	22692	SIPO	CD	71474998
721132	2470	1997-02-09	VYDAJ	PREVOD NA UCET	4511	27923	SIPO	CD	71474998
721133	2470	1997-03-09	VYDAJ	PREVOD NA UCET	4511	39071	SIPO	CD	71474998
721134	2470	1997-04-09	VYDAJ	PREVOD NA UCET	4511	21626	SIPO	CD	71474998
721135	2470	1997-05-09	VYDAJ	PREVOD NA UCET	4511	21366	SIPO	CD	71474998
721136	2470	1997-06-09	VYDAJ	PREVOD NA UCET	4511	36928	SIPO	CD	71474998
721137	2470	1997-07-09	VYDAJ	PREVOD NA UCET	4511	33905	SIPO	CD	71474998
721138	2470	1997-08-09	VYDAJ	PREVOD NA UCET	4511	33791	SIPO	CD	71474998
721139	2470	1997-09-09	VYDAJ	PREVOD NA UCET	4511	28123	SIPO	CD	71474998
721140	2470	1997-10-09	VYDAJ	PREVOD NA UCET	4511	39282	SIPO	CD	71474998
721141	2470	1997-11-09	VYDAJ	PREVOD NA UCET	4511	29249	SIPO	CD	71474998
721142	2470	1997-12-09	VYDAJ	PREVOD NA UCET	4511	42654	SIPO	CD	71474998
721143	2470	1998-01-09	VYDAJ	PREVOD NA UCET	4511	28617	SIPO	CD	71474998
721144	2470	1998-02-09	VYDAJ	PREVOD NA UCET	4511	28842	SIPO	CD	71474998
721145	2470	1998-03-09	VYDAJ	PREVOD NA UCET	4511	26394	SIPO	CD	71474998
721146	2470	1998-04-09	VYDAJ	PREVOD NA UCET	4511	31896	SIPO	CD	71474998
721147	2470	1998-05-09	VYDAJ	PREVOD NA UCET	4511	31161	SIPO	CD	71474998
721148	2470	1998-06-09	VYDAJ	PREVOD NA UCET	4511	41989	SIPO	CD	71474998
721149	2470	1998-07-09	VYDAJ	PREVOD NA UCET	4511	40994	SIPO	CD	71474998
721150	2470	1998-08-09	VYDAJ	PREVOD NA UCET	4511	41005	SIPO	CD	71474998
721151	2470	1998-09-09	VYDAJ	PREVOD NA UCET	4511	45315	SIPO	CD	71474998
721152	2470	1998-10-09	VYDAJ	PREVOD NA UCET	4511	47640	SIPO	CD	71474998
721153	2470	1998-11-09	VYDAJ	PREVOD NA UCET	4511	46708	SIPO	CD	71474998
721154	2470	1998-12-09	VYDAJ	PREVOD NA UCET	4511	46688	SIPO	CD	71474998
721166	2470	1994-12-08	VYDAJ	PREVOD NA UCET	2105	65069	 	GH	17039579
721167	2470	1995-01-08	VYDAJ	PREVOD NA UCET	2105	45873	 	GH	17039579
721168	2470	1995-02-08	VYDAJ	PREVOD NA UCET	2105	35875	 	GH	17039579
721169	2470	1995-03-08	VYDAJ	PREVOD NA UCET	2105	44435	 	GH	17039579
721170	2470	1995-04-08	VYDAJ	PREVOD NA UCET	2105	48825	 	GH	17039579
721171	2470	1995-05-08	VYDAJ	PREVOD NA UCET	2105	49427	 	GH	17039579
721172	2470	1995-06-08	VYDAJ	PREVOD NA UCET	2105	61893	 	GH	17039579
721173	2470	1995-07-08	VYDAJ	PREVOD NA UCET	2105	37276	 	GH	17039579
721174	2470	1995-08-08	VYDAJ	PREVOD NA UCET	2105	47745	 	GH	17039579
721175	2470	1995-09-08	VYDAJ	PREVOD NA UCET	2105	51044	 	GH	17039579
721176	2470	1995-10-08	VYDAJ	PREVOD NA UCET	2105	46667	 	GH	17039579
721177	2470	1995-11-08	VYDAJ	PREVOD NA UCET	2105	49258	 	GH	17039579
721178	2470	1995-12-08	VYDAJ	PREVOD NA UCET	2105	56529	 	GH	17039579
721179	2470	1996-01-08	VYDAJ	PREVOD NA UCET	2105	46326	 	GH	17039579
721180	2470	1996-02-08	VYDAJ	PREVOD NA UCET	2105	39972	 	GH	17039579
721181	2470	1996-03-08	VYDAJ	PREVOD NA UCET	2105	48046	 	GH	17039579
721182	2470	1996-04-08	VYDAJ	PREVOD NA UCET	2105	47323	 	GH	17039579
721183	2470	1996-05-08	VYDAJ	PREVOD NA UCET	2105	45803	 	GH	17039579
721184	2470	1996-06-08	VYDAJ	PREVOD NA UCET	2105	56443	 	GH	17039579
721185	2470	1996-07-08	VYDAJ	PREVOD NA UCET	2105	43185	 	GH	17039579
721186	2470	1996-08-08	VYDAJ	PREVOD NA UCET	2105	34712	 	GH	17039579
721187	2470	1996-09-08	VYDAJ	PREVOD NA UCET	2105	42569	 	GH	17039579
721188	2470	1996-10-08	VYDAJ	PREVOD NA UCET	2105	43532	 	GH	17039579
721189	2470	1996-11-08	VYDAJ	PREVOD NA UCET	2105	43896	 	GH	17039579
721190	2470	1996-12-08	VYDAJ	PREVOD NA UCET	2105	53620	 	GH	17039579
721191	2470	1997-01-08	VYDAJ	PREVOD NA UCET	2105	45843	 	GH	17039579
721192	2470	1997-02-08	VYDAJ	PREVOD NA UCET	2105	32434	 	GH	17039579
721193	2470	1997-03-08	VYDAJ	PREVOD NA UCET	2105	43582	 	GH	17039579
721194	2470	1997-04-08	VYDAJ	PREVOD NA UCET	2105	38337	 	GH	17039579
721195	2470	1997-05-08	VYDAJ	PREVOD NA UCET	2105	25877	 	GH	17039579
721196	2470	1997-06-08	VYDAJ	PREVOD NA UCET	2105	41439	 	GH	17039579
721197	2470	1997-07-08	VYDAJ	PREVOD NA UCET	2105	38416	 	GH	17039579
721198	2470	1997-08-08	VYDAJ	PREVOD NA UCET	2105	38302	 	GH	17039579
721199	2470	1997-09-08	VYDAJ	PREVOD NA UCET	2105	32634	 	GH	17039579
721200	2470	1997-10-08	VYDAJ	PREVOD NA UCET	2105	43793	 	GH	17039579
721201	2470	1997-11-08	VYDAJ	PREVOD NA UCET	2105	33760	 	GH	17039579
721202	2470	1997-12-08	VYDAJ	PREVOD NA UCET	2105	47165	 	GH	17039579
721203	2470	1998-01-08	VYDAJ	PREVOD NA UCET	2105	33128	 	GH	17039579
721204	2470	1998-02-08	VYDAJ	PREVOD NA UCET	2105	33353	 	GH	17039579
721205	2470	1998-03-08	VYDAJ	PREVOD NA UCET	2105	30905	 	GH	17039579
721206	2470	1998-04-08	VYDAJ	PREVOD NA UCET	2105	36407	 	GH	17039579
721207	2470	1998-05-08	VYDAJ	PREVOD NA UCET	2105	35672	 	GH	17039579
721208	2470	1998-06-08	VYDAJ	PREVOD NA UCET	2105	46500	 	GH	17039579
721209	2470	1998-07-08	VYDAJ	PREVOD NA UCET	2105	45505	 	GH	17039579
721210	2470	1998-08-08	VYDAJ	PREVOD NA UCET	2105	45516	 	GH	17039579
721211	2470	1998-09-08	VYDAJ	PREVOD NA UCET	2105	49826	 	GH	17039579
721212	2470	1998-10-08	VYDAJ	PREVOD NA UCET	2105	52151	 	GH	17039579
721213	2470	1998-11-08	VYDAJ	PREVOD NA UCET	2105	51219	 	GH	17039579
721214	2470	1998-12-08	VYDAJ	PREVOD NA UCET	2105	51199	 	GH	17039579
721227	2470	1995-01-06	VYDAJ	PREVOD NA UCET	1042	29261	POJISTNE	IJ	7093429
721228	2470	1995-02-06	VYDAJ	PREVOD NA UCET	1042	19263	POJISTNE	IJ	7093429
721229	2470	1995-03-06	VYDAJ	PREVOD NA UCET	1042	27823	POJISTNE	IJ	7093429
721230	2470	1995-04-06	VYDAJ	PREVOD NA UCET	1042	32213	POJISTNE	IJ	7093429
721231	2470	1995-05-06	VYDAJ	PREVOD NA UCET	1042	32815	POJISTNE	IJ	7093429
721232	2470	1995-06-06	VYDAJ	PREVOD NA UCET	1042	35922	POJISTNE	IJ	7093429
721233	2470	1995-07-06	VYDAJ	PREVOD NA UCET	1042	20664	POJISTNE	IJ	7093429
721234	2470	1995-08-06	VYDAJ	PREVOD NA UCET	1042	31133	POJISTNE	IJ	7093429
721235	2470	1995-09-06	VYDAJ	PREVOD NA UCET	1042	34432	POJISTNE	IJ	7093429
721236	2470	1995-10-06	VYDAJ	PREVOD NA UCET	1042	30055	POJISTNE	IJ	7093429
721237	2470	1995-11-06	VYDAJ	PREVOD NA UCET	1042	32646	POJISTNE	IJ	7093429
721238	2470	1995-12-06	VYDAJ	PREVOD NA UCET	1042	30558	POJISTNE	IJ	7093429
721239	2470	1996-01-06	VYDAJ	PREVOD NA UCET	1042	34754	POJISTNE	IJ	7093429
721240	2470	1996-02-06	VYDAJ	PREVOD NA UCET	1042	23360	POJISTNE	IJ	7093429
721241	2470	1996-03-06	VYDAJ	PREVOD NA UCET	1042	31434	POJISTNE	IJ	7093429
721242	2470	1996-04-06	VYDAJ	PREVOD NA UCET	1042	30711	POJISTNE	IJ	7093429
721243	2470	1996-05-06	VYDAJ	PREVOD NA UCET	1042	29191	POJISTNE	IJ	7093429
721244	2470	1996-06-06	VYDAJ	PREVOD NA UCET	1042	30472	POJISTNE	IJ	7093429
721245	2470	1996-07-06	VYDAJ	PREVOD NA UCET	1042	26573	POJISTNE	IJ	7093429
721246	2470	1996-08-06	VYDAJ	PREVOD NA UCET	1042	27340	POJISTNE	IJ	7093429
721247	2470	1996-09-06	VYDAJ	PREVOD NA UCET	1042	25957	POJISTNE	IJ	7093429
721248	2470	1996-10-06	VYDAJ	PREVOD NA UCET	1042	26920	POJISTNE	IJ	7093429
721249	2470	1996-11-06	VYDAJ	PREVOD NA UCET	1042	27284	POJISTNE	IJ	7093429
721250	2470	1996-12-06	VYDAJ	PREVOD NA UCET	1042	27649	POJISTNE	IJ	7093429
721251	2470	1997-01-06	VYDAJ	PREVOD NA UCET	1042	29231	POJISTNE	IJ	7093429
721252	2470	1997-02-06	VYDAJ	PREVOD NA UCET	1042	15122	POJISTNE	IJ	7093429
721253	2470	1997-03-06	VYDAJ	PREVOD NA UCET	1042	26970	POJISTNE	IJ	7093429
721254	2470	1997-04-06	VYDAJ	PREVOD NA UCET	1042	21725	POJISTNE	IJ	7093429
721255	2470	1997-05-06	VYDAJ	PREVOD NA UCET	1042	20665	POJISTNE	IJ	7093429
721256	2470	1997-06-06	VYDAJ	PREVOD NA UCET	1042	15468	POJISTNE	IJ	7093429
721257	2470	1997-07-06	VYDAJ	PREVOD NA UCET	1042	36004	POJISTNE	IJ	7093429
721258	2470	1997-08-06	VYDAJ	PREVOD NA UCET	1042	32990	POJISTNE	IJ	7093429
721259	2470	1997-09-06	VYDAJ	PREVOD NA UCET	1042	16022	POJISTNE	IJ	7093429
721260	2470	1997-10-06	VYDAJ	PREVOD NA UCET	1042	27181	POJISTNE	IJ	7093429
721261	2470	1997-11-06	VYDAJ	PREVOD NA UCET	1042	17148	POJISTNE	IJ	7093429
721262	2470	1997-12-06	VYDAJ	PREVOD NA UCET	1042	21194	POJISTNE	IJ	7093429
721263	2470	1998-01-06	VYDAJ	PREVOD NA UCET	1042	16516	POJISTNE	IJ	7093429
721264	2470	1998-02-06	VYDAJ	PREVOD NA UCET	1042	16741	POJISTNE	IJ	7093429
721265	2470	1998-03-06	VYDAJ	PREVOD NA UCET	1042	14293	POJISTNE	IJ	7093429
721266	2470	1998-04-06	VYDAJ	PREVOD NA UCET	1042	19795	POJISTNE	IJ	7093429
721267	2470	1998-05-06	VYDAJ	PREVOD NA UCET	1042	19060	POJISTNE	IJ	7093429
721268	2470	1998-06-06	VYDAJ	PREVOD NA UCET	1042	20529	POJISTNE	IJ	7093429
721269	2470	1998-07-06	VYDAJ	PREVOD NA UCET	1042	28893	POJISTNE	IJ	7093429
721270	2470	1998-08-06	VYDAJ	PREVOD NA UCET	1042	28904	POJISTNE	IJ	7093429
721271	2470	1998-09-06	VYDAJ	PREVOD NA UCET	1042	33214	POJISTNE	IJ	7093429
721272	2470	1998-10-06	VYDAJ	PREVOD NA UCET	1042	35539	POJISTNE	IJ	7093429
721273	2470	1998-11-06	VYDAJ	PREVOD NA UCET	1042	34607	POJISTNE	IJ	7093429
721274	2470	1998-12-06	VYDAJ	PREVOD NA UCET	1042	25228	POJISTNE	IJ	7093429
721276	2470	1995-06-15	VYDAJ	VYBER	40800	16582	\N	\N	\N
721277	2470	1996-06-16	VYDAJ	VYBER	8640	27492	\N	\N	\N
721281	2470	1995-01-19	VYDAJ	VYBER	11360	26642	\N	\N	\N
721282	2470	1996-01-02	VYDAJ	VYBER	3520	35796	\N	\N	\N
721283	2470	1997-01-08	VYDAJ	VYBER	12640	27203	\N	\N	\N
721285	2470	1994-12-29	VYDAJ	VYBER	2560	38998	\N	\N	\N
721286	2470	1995-12-16	VYDAJ	VYBER	1760	40958	\N	\N	\N
721287	2470	1996-12-20	VYDAJ	VYBER	1120	32289	\N	\N	\N
721288	2470	1997-12-02	VYDAJ	VYBER	3520	25836	\N	\N	\N
721289	2470	1998-12-09	VYDAJ	VYBER	2400	44288	\N	\N	\N
721296	2470	1995-01-19	VYDAJ	VYBER	2280	38002	\N	\N	\N
721297	2470	1995-01-04	VYDAJ	VYBER	3480	30303	\N	\N	\N
721298	2470	1995-01-01	VYDAJ	VYBER	3120	36063	\N	\N	\N
721299	2470	1995-01-01	VYDAJ	VYBER	2280	33783	\N	\N	\N
721300	2470	1995-01-12	VYDAJ	VYBER	1080	40282	\N	\N	\N
721301	2470	1995-01-23	VYDAJ	VYBER	3000	21742	\N	\N	\N
721302	2470	1996-01-19	VYDAJ	VYBER	2640	32555	\N	\N	\N
721303	2470	1996-01-22	VYDAJ	VYBER	3120	28355	\N	\N	\N
721304	2470	1996-01-08	VYDAJ	VYBER	720	45606	\N	\N	\N
721305	2470	1996-01-26	VYDAJ	VYBER	1320	27035	\N	\N	\N
721306	2470	1996-01-28	VYDAJ	VYBER	2760	24275	\N	\N	\N
721307	2470	1996-01-20	VYDAJ	VYBER	1080	31475	\N	\N	\N
721308	2470	1997-01-10	VYDAJ	VYBER	600	22092	\N	\N	\N
721309	2470	1997-01-02	VYDAJ	VYBER	2160	30273	\N	\N	\N
721310	2470	1997-01-11	VYDAJ	VYBER	2520	17532	\N	\N	\N
721312	2470	1997-01-15	VYDAJ	VYBER	1440	16092	\N	\N	\N
721313	2470	1997-01-10	VYDAJ	VYBER	2040	20052	\N	\N	\N
721314	2470	1998-01-13	VYDAJ	VYBER	3000	25617	\N	\N	\N
721315	2470	1998-01-02	VYDAJ	VYBER	2640	40158	\N	\N	\N
721316	2470	1998-01-29	VYDAJ	VYBER	3480	17697	\N	\N	\N
721317	2470	1998-01-23	VYDAJ	VYBER	3360	21177	\N	\N	\N
721318	2470	1998-01-06	VYDAJ	VYBER	2400	17558	\N	\N	\N
721319	2470	1998-01-20	VYDAJ	VYBER	1080	24537	\N	\N	\N
721323	2470	1994-12-15	VYDAJ	VYBER	2400	58158	\N	\N	\N
721325	2470	1995-09-30	VYDAJ	VYBER	3480	31111	\N	\N	\N
721326	2470	1995-01-28	VYDAJ	VYBER	1560	20182	\N	\N	\N
721327	2470	1995-11-16	VYDAJ	VYBER	5880	31467	\N	\N	\N
721328	2470	1996-08-07	VYDAJ	VYBER	4560	18100	\N	\N	\N
721329	2470	1996-08-06	VYDAJ	VYBER	4680	22660	\N	\N	\N
721330	2470	1996-03-30	VYDAJ	VYBER	4320	31615	\N	\N	\N
721331	2470	1996-01-02	VYDAJ	VYBER	1800	39316	\N	\N	\N
721332	2470	1996-01-06	VYDAJ	VYBER	5040	29714	\N	\N	\N
721333	2470	1997-05-17	VYDAJ	VYBER	3720	16446	\N	\N	\N
721334	2470	1997-10-13	VYDAJ	VYBER	3720	35562	\N	\N	\N
721335	2470	1997-04-04	VYDAJ	VYBER	4440	22767	\N	\N	\N
721336	2470	1997-05-13	VYDAJ	VYBER	1200	20166	\N	\N	\N
721337	2470	1997-12-03	VYDAJ	VYBER	3600	22236	\N	\N	\N
721338	2470	1997-08-11	VYDAJ	VYBER	3240	30551	\N	\N	\N
721339	2470	1998-11-30	VYDAJ	VYBER	5400	26285	\N	\N	\N
721340	2470	1998-03-20	VYDAJ	VYBER	5640	20754	\N	\N	\N
721341	2470	1998-11-05	VYDAJ	VYBER	960	35649	\N	\N	\N
721354	2470	1994-12-31	VYDAJ	VYBER	15	39183	SLUZBY	\N	\N
721355	2470	1995-01-31	VYDAJ	VYBER	15	20305	SLUZBY	\N	\N
721356	2470	1995-02-28	VYDAJ	VYBER	15	28865	SLUZBY	\N	\N
721357	2470	1995-03-31	VYDAJ	VYBER	15	33255	SLUZBY	\N	\N
721358	2470	1995-04-30	VYDAJ	VYBER	15	33857	SLUZBY	\N	\N
721359	2470	1995-05-31	VYDAJ	VYBER	15	36964	SLUZBY	\N	\N
721360	2470	1995-06-30	VYDAJ	VYBER	15	21706	SLUZBY	\N	\N
721361	2470	1995-07-31	VYDAJ	VYBER	15	32175	SLUZBY	\N	\N
721362	2470	1995-08-31	VYDAJ	VYBER	15	35474	SLUZBY	\N	\N
721363	2470	1995-09-30	VYDAJ	VYBER	15	31097	SLUZBY	\N	\N
721364	2470	1995-10-31	VYDAJ	VYBER	15	33688	SLUZBY	\N	\N
721365	2470	1995-11-30	VYDAJ	VYBER	15	31600	SLUZBY	\N	\N
721366	2470	1995-12-31	VYDAJ	VYBER	15	41116	SLUZBY	\N	\N
721367	2470	1996-01-31	VYDAJ	VYBER	15	24402	SLUZBY	\N	\N
721368	2470	1996-02-29	VYDAJ	VYBER	15	32476	SLUZBY	\N	\N
721369	2470	1996-03-31	VYDAJ	VYBER	15	31753	SLUZBY	\N	\N
721370	2470	1996-04-30	VYDAJ	VYBER	15	30233	SLUZBY	\N	\N
721371	2470	1996-05-31	VYDAJ	VYBER	15	31514	SLUZBY	\N	\N
721372	2470	1996-06-30	VYDAJ	VYBER	15	27615	SLUZBY	\N	\N
721373	2470	1996-07-31	VYDAJ	VYBER	15	28382	SLUZBY	\N	\N
721374	2470	1996-08-31	VYDAJ	VYBER	15	26999	SLUZBY	\N	\N
721375	2470	1996-09-30	VYDAJ	VYBER	15	27962	SLUZBY	\N	\N
721376	2470	1996-10-31	VYDAJ	VYBER	15	28326	SLUZBY	\N	\N
721377	2470	1996-11-30	VYDAJ	VYBER	15	28691	SLUZBY	\N	\N
721378	2470	1996-12-31	VYDAJ	VYBER	15	32433	SLUZBY	\N	\N
721379	2470	1997-01-31	VYDAJ	VYBER	15	16164	SLUZBY	\N	\N
721380	2470	1997-02-28	VYDAJ	VYBER	15	28012	SLUZBY	\N	\N
721381	2470	1997-03-31	VYDAJ	VYBER	15	27207	SLUZBY	\N	\N
721382	2470	1997-04-30	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
721383	2470	1997-05-31	VYDAJ	VYBER	15	16510	SLUZBY	\N	\N
721384	2470	1997-06-30	VYDAJ	VYBER	15	37046	SLUZBY	\N	\N
721385	2470	1997-07-31	VYDAJ	VYBER	15	34032	SLUZBY	\N	\N
721386	2470	1997-08-31	VYDAJ	VYBER	15	30664	SLUZBY	\N	\N
721387	2470	1997-09-30	VYDAJ	VYBER	15	28223	SLUZBY	\N	\N
721388	2470	1997-10-31	VYDAJ	VYBER	15	35690	SLUZBY	\N	\N
721389	2470	1997-11-30	VYDAJ	VYBER	15	29356	SLUZBY	\N	\N
721390	2470	1997-12-31	VYDAJ	VYBER	15	42798	SLUZBY	\N	\N
721391	2470	1998-01-31	VYDAJ	VYBER	15	17783	SLUZBY	\N	\N
721392	2470	1998-02-28	VYDAJ	VYBER	15	28935	SLUZBY	\N	\N
721393	2470	1998-03-31	VYDAJ	VYBER	15	20837	SLUZBY	\N	\N
721394	2470	1998-04-30	VYDAJ	VYBER	15	32002	SLUZBY	\N	\N
721395	2470	1998-05-31	VYDAJ	VYBER	15	31271	SLUZBY	\N	\N
721396	2470	1998-06-30	VYDAJ	VYBER	15	42135	SLUZBY	\N	\N
721397	2470	1998-07-31	VYDAJ	VYBER	15	41146	SLUZBY	\N	\N
721398	2470	1998-08-31	VYDAJ	VYBER	15	41156	SLUZBY	\N	\N
721399	2470	1998-09-30	VYDAJ	VYBER	15	36581	SLUZBY	\N	\N
721400	2470	1998-10-31	VYDAJ	VYBER	15	36609	SLUZBY	\N	\N
721401	2470	1998-11-30	VYDAJ	VYBER	15	26270	SLUZBY	\N	\N
721402	2470	1994-08-22	PRIJEM	VKLAD	2900	22317	\N	\N	\N
721403	2470	1994-09-21	VYDAJ	VYBER	9600	31464	\N	\N	\N
721404	2470	1994-10-21	VYDAJ	VYBER	13700	36587	\N	\N	\N
721405	2470	1994-11-20	VYDAJ	VYBER	16500	38942	\N	\N	\N
721406	2470	1994-12-20	VYDAJ	VYBER	16600	41558	\N	\N	\N
721407	2470	1995-01-19	VYDAJ	VYBER	1900	24742	\N	\N	\N
721408	2470	1995-02-18	VYDAJ	VYBER	2600	28764	\N	\N	\N
721409	2470	1995-03-20	VYDAJ	VYBER	6800	33124	\N	\N	\N
721410	2470	1995-04-19	VYDAJ	VYBER	10600	33714	\N	\N	\N
721411	2470	1995-05-19	VYDAJ	VYBER	8100	36816	\N	\N	\N
721412	2470	1995-06-18	PRIJEM	VKLAD	5000	21582	\N	\N	\N
721413	2470	1995-07-18	VYDAJ	VYBER	700	32065	\N	\N	\N
721414	2470	1995-08-17	VYDAJ	VYBER	7900	35334	\N	\N	\N
721415	2470	1995-09-16	VYDAJ	VYBER	12100	34433	\N	\N	\N
721416	2470	1995-10-16	VYDAJ	VYBER	8600	33556	\N	\N	\N
721417	2470	1995-11-15	VYDAJ	VYBER	7400	37347	\N	\N	\N
721418	2470	1995-12-15	VYDAJ	VYBER	9300	42718	\N	\N	\N
721419	2470	1996-01-14	VYDAJ	VYBER	5900	35195	\N	\N	\N
721420	2470	1996-02-13	VYDAJ	VYBER	3100	32361	\N	\N	\N
721421	2470	1996-03-14	VYDAJ	VYBER	7600	35935	\N	\N	\N
721422	2470	1996-04-13	VYDAJ	VYBER	12700	30112	\N	\N	\N
721423	2470	1996-05-13	VYDAJ	VYBER	9900	31392	\N	\N	\N
721424	2470	1996-06-12	VYDAJ	VYBER	15800	36132	\N	\N	\N
721425	2470	1996-07-12	VYDAJ	VYBER	10400	28274	\N	\N	\N
721426	2470	1996-08-11	VYDAJ	VYBER	3300	26901	\N	\N	\N
721427	2470	1996-09-10	VYDAJ	VYBER	10200	27858	\N	\N	\N
721428	2470	1996-10-10	VYDAJ	VYBER	10800	28221	\N	\N	\N
721429	2470	1996-11-09	VYDAJ	VYBER	10800	33096	\N	\N	\N
721430	2470	1996-12-09	VYDAJ	VYBER	15700	33409	\N	\N	\N
721431	2470	1997-01-08	VYDAJ	VYBER	6000	39843	\N	\N	\N
721432	2470	1997-02-07	PRIJEM	VKLAD	700	15822	\N	\N	\N
721433	2470	1997-03-09	VYDAJ	VYBER	12000	27071	\N	\N	\N
721434	2470	1997-04-08	VYDAJ	VYBER	12200	26137	\N	\N	\N
721435	2470	1997-05-08	VYDAJ	VYBER	11400	27982	\N	\N	\N
721436	2470	1997-07-07	VYDAJ	VYBER	14200	21804	\N	\N	\N
721437	2470	1997-08-06	VYDAJ	VYBER	11300	21690	\N	\N	\N
721438	2470	1997-09-05	VYDAJ	VYBER	13600	17064	\N	\N	\N
721439	2470	1997-11-04	VYDAJ	VYBER	17500	18190	\N	\N	\N
721440	2470	1998-01-03	VYDAJ	VYBER	20200	19958	\N	\N	\N
721441	2470	1998-03-04	VYDAJ	VYBER	13600	15335	\N	\N	\N
721442	2470	1998-05-03	VYDAJ	VYBER	11900	20102	\N	\N	\N
721443	2470	1998-06-02	VYDAJ	VYBER	9700	21571	\N	\N	\N
721444	2470	1998-07-02	VYDAJ	VYBER	12200	29935	\N	\N	\N
721445	2470	1998-08-01	VYDAJ	VYBER	11200	29946	\N	\N	\N
721446	2470	1998-08-31	VYDAJ	VYBER	6900	34256	\N	\N	\N
721447	2470	1998-09-30	VYDAJ	VYBER	8900	36596	\N	\N	\N
721448	2470	1998-10-30	VYDAJ	VYBER	11200	36440	\N	\N	\N
721449	2470	1998-11-29	VYDAJ	VYBER	15200	31508	\N	\N	\N
721503	2471	1994-07-03	PRIJEM	VKLAD	600	600	\N	\N	\N
721510	2471	1994-07-06	PRIJEM	PREVOD Z UCTU	43595	44195	\N	YZ	34965741
721511	2471	1994-08-06	PRIJEM	PREVOD Z UCTU	43595	80444	\N	YZ	34965741
721512	2471	1994-09-06	PRIJEM	PREVOD Z UCTU	43595	94750	\N	YZ	34965741
721513	2471	1994-10-06	PRIJEM	PREVOD Z UCTU	43595	104430	\N	YZ	34965741
721514	2471	1994-11-06	PRIJEM	PREVOD Z UCTU	43595	108148	\N	YZ	34965741
721515	2471	1994-12-06	PRIJEM	PREVOD Z UCTU	65392	107393	\N	YZ	34965741
721516	2471	1995-01-06	PRIJEM	PREVOD Z UCTU	43595	91843	\N	YZ	34965741
721517	2471	1995-02-06	PRIJEM	PREVOD Z UCTU	43595	94947	\N	YZ	34965741
721518	2471	1995-03-06	PRIJEM	PREVOD Z UCTU	43595	102365	\N	YZ	34965741
721519	2471	1995-04-06	PRIJEM	PREVOD Z UCTU	43595	104112	\N	YZ	34965741
721520	2471	1995-05-06	PRIJEM	PREVOD Z UCTU	43595	103449	\N	YZ	34965741
721521	2471	1995-06-06	PRIJEM	PREVOD Z UCTU	65392	128195	\N	YZ	34965741
721522	2471	1995-07-06	PRIJEM	PREVOD Z UCTU	43595	100109	\N	YZ	34965741
721523	2471	1995-08-06	PRIJEM	PREVOD Z UCTU	43595	106039	\N	YZ	34965741
721524	2471	1995-09-06	PRIJEM	PREVOD Z UCTU	43595	111389	\N	YZ	34965741
721525	2471	1995-10-06	PRIJEM	PREVOD Z UCTU	43595	91011	\N	YZ	34965741
721526	2471	1995-11-06	PRIJEM	PREVOD Z UCTU	43595	93186	\N	YZ	34965741
721527	2471	1995-12-06	PRIJEM	PREVOD Z UCTU	65392	113209	\N	YZ	34965741
721528	2471	1996-01-06	PRIJEM	PREVOD Z UCTU	43595	98255	\N	YZ	34965741
721529	2471	1996-02-06	PRIJEM	PREVOD Z UCTU	43595	84849	\N	YZ	34965741
721530	2471	1996-03-06	PRIJEM	PREVOD Z UCTU	43595	103210	\N	YZ	34965741
721531	2471	1996-04-06	PRIJEM	PREVOD Z UCTU	43595	113140	\N	YZ	34965741
721532	2471	1996-05-06	PRIJEM	PREVOD Z UCTU	43595	113364	\N	YZ	34965741
721533	2471	1996-06-06	PRIJEM	PREVOD Z UCTU	65392	121813	\N	YZ	34965741
721534	2471	1996-07-06	PRIJEM	PREVOD Z UCTU	43595	103389	\N	YZ	34965741
721535	2471	1996-08-06	PRIJEM	PREVOD Z UCTU	43595	110810	\N	YZ	34965741
721536	2471	1996-09-06	PRIJEM	PREVOD Z UCTU	43595	115204	\N	YZ	34965741
721537	2471	1996-10-06	PRIJEM	PREVOD Z UCTU	43595	96891	\N	YZ	34965741
721538	2471	1996-11-06	PRIJEM	PREVOD Z UCTU	43595	114290	\N	YZ	34965741
721539	2471	1996-12-06	PRIJEM	PREVOD Z UCTU	65392	128580	\N	YZ	34965741
721540	2471	1997-01-06	PRIJEM	PREVOD Z UCTU	43595	107910	\N	YZ	34965741
721541	2471	1997-02-06	PRIJEM	PREVOD Z UCTU	43595	108740	\N	YZ	34965741
721542	2471	1997-03-06	PRIJEM	PREVOD Z UCTU	43595	99701	\N	YZ	34965741
721922	2471	1994-10-01	VYDAJ	VYBER	34300	60835	\N	\N	\N
721543	2471	1997-04-06	PRIJEM	PREVOD Z UCTU	43595	106279	\N	YZ	34965741
721544	2471	1997-05-06	PRIJEM	PREVOD Z UCTU	43595	93314	\N	YZ	34965741
721545	2471	1997-06-06	PRIJEM	PREVOD Z UCTU	65392	127698	\N	YZ	34965741
721546	2471	1997-07-06	PRIJEM	PREVOD Z UCTU	43595	78903	\N	YZ	34965741
721547	2471	1997-08-06	PRIJEM	PREVOD Z UCTU	43595	102930	\N	YZ	34965741
721548	2471	1997-09-06	PRIJEM	PREVOD Z UCTU	43595	116232	\N	YZ	34965741
721549	2471	1997-10-06	PRIJEM	PREVOD Z UCTU	43595	90805	\N	YZ	34965741
721550	2471	1997-11-06	PRIJEM	PREVOD Z UCTU	43595	105751	\N	YZ	34965741
721551	2471	1997-12-06	PRIJEM	PREVOD Z UCTU	65392	131102	\N	YZ	34965741
721552	2471	1998-01-06	PRIJEM	PREVOD Z UCTU	43595	77724	\N	YZ	34965741
721553	2471	1998-02-06	PRIJEM	PREVOD Z UCTU	43595	97121	\N	YZ	34965741
721554	2471	1998-03-06	PRIJEM	PREVOD Z UCTU	43595	112791	\N	YZ	34965741
721555	2471	1998-04-06	PRIJEM	PREVOD Z UCTU	43595	76722	\N	YZ	34965741
721556	2471	1998-05-06	PRIJEM	PREVOD Z UCTU	43595	104439	\N	YZ	34965741
721557	2471	1998-06-06	PRIJEM	PREVOD Z UCTU	65392	127047	\N	YZ	34965741
721558	2471	1998-07-06	PRIJEM	PREVOD Z UCTU	43595	85429	\N	YZ	34965741
721559	2471	1998-08-06	PRIJEM	PREVOD Z UCTU	43595	100086	\N	YZ	34965741
721560	2471	1998-09-06	PRIJEM	PREVOD Z UCTU	43595	102384	\N	YZ	34965741
721561	2471	1998-10-06	PRIJEM	PREVOD Z UCTU	43595	95699	\N	YZ	34965741
721562	2471	1998-11-06	PRIJEM	PREVOD Z UCTU	43595	95186	\N	YZ	34965741
721563	2471	1998-12-06	PRIJEM	PREVOD Z UCTU	65392	121487	\N	YZ	34965741
721574	2471	1994-11-08	VYDAJ	PREVOD NA UCET	3277	63971	SIPO	CD	40398550
721575	2471	1994-12-08	VYDAJ	PREVOD NA UCET	3277	72416	SIPO	CD	40398550
721576	2471	1995-01-08	VYDAJ	PREVOD NA UCET	3277	88566	SIPO	CD	40398550
721577	2471	1995-02-08	VYDAJ	PREVOD NA UCET	3277	91670	SIPO	CD	40398550
721578	2471	1995-03-08	VYDAJ	PREVOD NA UCET	3277	99088	SIPO	CD	40398550
721579	2471	1995-04-08	VYDAJ	PREVOD NA UCET	3277	100835	SIPO	CD	40398550
721580	2471	1995-05-08	VYDAJ	PREVOD NA UCET	3277	100172	SIPO	CD	40398550
721581	2471	1995-06-08	VYDAJ	PREVOD NA UCET	3277	84818	SIPO	CD	40398550
721582	2471	1995-07-08	VYDAJ	PREVOD NA UCET	3277	96832	SIPO	CD	40398550
721583	2471	1995-08-08	VYDAJ	PREVOD NA UCET	3277	102762	SIPO	CD	40398550
721584	2471	1995-09-08	VYDAJ	PREVOD NA UCET	3277	56512	SIPO	CD	40398550
721585	2471	1995-10-08	VYDAJ	PREVOD NA UCET	3277	87734	SIPO	CD	40398550
721586	2471	1995-11-08	VYDAJ	PREVOD NA UCET	3277	76709	SIPO	CD	40398550
721587	2471	1995-12-08	VYDAJ	PREVOD NA UCET	3277	69332	SIPO	CD	40398550
721588	2471	1996-01-08	VYDAJ	PREVOD NA UCET	3277	94978	SIPO	CD	40398550
721589	2471	1996-02-08	VYDAJ	PREVOD NA UCET	3277	81572	SIPO	CD	40398550
721590	2471	1996-03-08	VYDAJ	PREVOD NA UCET	3277	99933	SIPO	CD	40398550
721591	2471	1996-04-08	VYDAJ	PREVOD NA UCET	3277	109863	SIPO	CD	40398550
721592	2471	1996-05-08	VYDAJ	PREVOD NA UCET	3277	66787	SIPO	CD	40398550
721593	2471	1996-06-08	VYDAJ	PREVOD NA UCET	3277	74236	SIPO	CD	40398550
721594	2471	1996-07-08	VYDAJ	PREVOD NA UCET	3277	100112	SIPO	CD	40398550
721595	2471	1996-08-08	VYDAJ	PREVOD NA UCET	3277	107533	SIPO	CD	40398550
721596	2471	1996-09-08	VYDAJ	PREVOD NA UCET	3277	78627	SIPO	CD	40398550
721597	2471	1996-10-08	VYDAJ	PREVOD NA UCET	3277	93614	SIPO	CD	40398550
721598	2471	1996-11-08	VYDAJ	PREVOD NA UCET	3277	85713	SIPO	CD	40398550
721599	2471	1996-12-08	VYDAJ	PREVOD NA UCET	3277	103103	SIPO	CD	40398550
721600	2471	1997-01-08	VYDAJ	PREVOD NA UCET	3277	104633	SIPO	CD	40398550
721601	2471	1997-02-08	VYDAJ	PREVOD NA UCET	3277	105463	SIPO	CD	40398550
721602	2471	1997-03-08	VYDAJ	PREVOD NA UCET	3277	86524	SIPO	CD	40398550
721603	2471	1997-04-08	VYDAJ	PREVOD NA UCET	3277	103002	SIPO	CD	40398550
721604	2471	1997-05-08	VYDAJ	PREVOD NA UCET	3277	90037	SIPO	CD	40398550
721605	2471	1997-06-08	VYDAJ	PREVOD NA UCET	3277	102021	SIPO	CD	40398550
721606	2471	1997-07-08	VYDAJ	PREVOD NA UCET	3277	75626	SIPO	CD	40398550
721607	2471	1997-08-08	VYDAJ	PREVOD NA UCET	3277	99653	SIPO	CD	40398550
721608	2471	1997-09-08	VYDAJ	PREVOD NA UCET	3277	49855	SIPO	CD	40398550
721609	2471	1997-10-08	VYDAJ	PREVOD NA UCET	3277	87528	SIPO	CD	40398550
721610	2471	1997-11-08	VYDAJ	PREVOD NA UCET	3277	102474	SIPO	CD	40398550
721611	2471	1997-12-08	VYDAJ	PREVOD NA UCET	3277	65625	SIPO	CD	40398550
721612	2471	1998-01-08	VYDAJ	PREVOD NA UCET	3277	74447	SIPO	CD	40398550
721613	2471	1998-02-08	VYDAJ	PREVOD NA UCET	3277	93844	SIPO	CD	40398550
721614	2471	1998-03-08	VYDAJ	PREVOD NA UCET	3277	42104	SIPO	CD	40398550
721615	2471	1998-04-08	VYDAJ	PREVOD NA UCET	3277	73445	SIPO	CD	40398550
721616	2471	1998-05-08	VYDAJ	PREVOD NA UCET	3277	101162	SIPO	CD	40398550
721617	2471	1998-06-08	VYDAJ	PREVOD NA UCET	3277	60670	SIPO	CD	40398550
721618	2471	1998-07-08	VYDAJ	PREVOD NA UCET	3277	82152	SIPO	CD	40398550
721619	2471	1998-08-08	VYDAJ	PREVOD NA UCET	3277	96809	SIPO	CD	40398550
721620	2471	1998-09-08	VYDAJ	PREVOD NA UCET	3277	99107	SIPO	CD	40398550
721621	2471	1998-10-08	VYDAJ	PREVOD NA UCET	3277	92422	SIPO	CD	40398550
721622	2471	1998-11-08	VYDAJ	PREVOD NA UCET	3277	91909	SIPO	CD	40398550
721623	2471	1998-12-08	VYDAJ	PREVOD NA UCET	3277	70910	SIPO	CD	40398550
721634	2471	1994-11-10	VYDAJ	PREVOD NA UCET	1347	62056	 	EF	20720190
721635	2471	1994-12-10	VYDAJ	PREVOD NA UCET	1347	70501	 	EF	20720190
721636	2471	1995-01-10	VYDAJ	PREVOD NA UCET	1347	86651	 	EF	20720190
721637	2471	1995-02-10	VYDAJ	PREVOD NA UCET	1347	89755	 	EF	20720190
721638	2471	1995-03-10	VYDAJ	PREVOD NA UCET	1347	97173	 	EF	20720190
721639	2471	1995-04-10	VYDAJ	PREVOD NA UCET	1347	98920	 	EF	20720190
721640	2471	1995-05-10	VYDAJ	PREVOD NA UCET	1347	98257	 	EF	20720190
721641	2471	1995-06-10	VYDAJ	PREVOD NA UCET	1347	82903	 	EF	20720190
721642	2471	1995-07-10	VYDAJ	PREVOD NA UCET	1347	94917	 	EF	20720190
721643	2471	1995-08-10	VYDAJ	PREVOD NA UCET	1347	100847	 	EF	20720190
721644	2471	1995-09-10	VYDAJ	PREVOD NA UCET	1347	54597	 	EF	20720190
721645	2471	1995-10-10	VYDAJ	PREVOD NA UCET	1347	85819	 	EF	20720190
721646	2471	1995-11-10	VYDAJ	PREVOD NA UCET	1347	74794	 	EF	20720190
721647	2471	1995-12-10	VYDAJ	PREVOD NA UCET	1347	67417	 	EF	20720190
721648	2471	1996-01-10	VYDAJ	PREVOD NA UCET	1347	93063	 	EF	20720190
721649	2471	1996-02-10	VYDAJ	PREVOD NA UCET	1347	79657	 	EF	20720190
721650	2471	1996-03-10	VYDAJ	PREVOD NA UCET	1347	98018	 	EF	20720190
721651	2471	1996-04-10	VYDAJ	PREVOD NA UCET	1347	90948	 	EF	20720190
721652	2471	1996-05-10	VYDAJ	PREVOD NA UCET	1347	64872	 	EF	20720190
721653	2471	1996-06-10	VYDAJ	PREVOD NA UCET	1347	72321	 	EF	20720190
721654	2471	1996-07-10	VYDAJ	PREVOD NA UCET	1347	98197	 	EF	20720190
721655	2471	1996-08-10	VYDAJ	PREVOD NA UCET	1347	105618	 	EF	20720190
721656	2471	1996-09-10	VYDAJ	PREVOD NA UCET	1347	76712	 	EF	20720190
721657	2471	1996-10-10	VYDAJ	PREVOD NA UCET	1347	91699	 	EF	20720190
721658	2471	1996-11-10	VYDAJ	PREVOD NA UCET	1347	83798	 	EF	20720190
721659	2471	1996-12-10	VYDAJ	PREVOD NA UCET	1347	101188	 	EF	20720190
721660	2471	1997-01-10	VYDAJ	PREVOD NA UCET	1347	102718	 	EF	20720190
721661	2471	1997-02-10	VYDAJ	PREVOD NA UCET	1347	103548	 	EF	20720190
721662	2471	1997-03-10	VYDAJ	PREVOD NA UCET	1347	84609	 	EF	20720190
721663	2471	1997-04-10	VYDAJ	PREVOD NA UCET	1347	101087	 	EF	20720190
721664	2471	1997-05-10	VYDAJ	PREVOD NA UCET	1347	88122	 	EF	20720190
721665	2471	1997-06-10	VYDAJ	PREVOD NA UCET	1347	100106	 	EF	20720190
721666	2471	1997-07-10	VYDAJ	PREVOD NA UCET	1347	73711	 	EF	20720190
721667	2471	1997-08-10	VYDAJ	PREVOD NA UCET	1347	97738	 	EF	20720190
721668	2471	1997-09-10	VYDAJ	PREVOD NA UCET	1347	47940	 	EF	20720190
721669	2471	1997-10-10	VYDAJ	PREVOD NA UCET	1347	85613	 	EF	20720190
721670	2471	1997-11-10	VYDAJ	PREVOD NA UCET	1347	100559	 	EF	20720190
721671	2471	1997-12-10	VYDAJ	PREVOD NA UCET	1347	63710	 	EF	20720190
721672	2471	1998-01-10	VYDAJ	PREVOD NA UCET	1347	63532	 	EF	20720190
721673	2471	1998-02-10	VYDAJ	PREVOD NA UCET	1347	91929	 	EF	20720190
721674	2471	1998-03-10	VYDAJ	PREVOD NA UCET	1347	40189	 	EF	20720190
721675	2471	1998-04-10	VYDAJ	PREVOD NA UCET	1347	71530	 	EF	20720190
721676	2471	1998-05-10	VYDAJ	PREVOD NA UCET	1347	99247	 	EF	20720190
721677	2471	1998-06-10	VYDAJ	PREVOD NA UCET	1347	58755	 	EF	20720190
721678	2471	1998-07-10	VYDAJ	PREVOD NA UCET	1347	80237	 	EF	20720190
721679	2471	1998-08-10	VYDAJ	PREVOD NA UCET	1347	94894	 	EF	20720190
721680	2471	1998-09-10	VYDAJ	PREVOD NA UCET	1347	59088	 	EF	20720190
721681	2471	1998-10-10	VYDAJ	PREVOD NA UCET	1347	90507	 	EF	20720190
721682	2471	1998-11-10	VYDAJ	PREVOD NA UCET	1347	60894	 	EF	20720190
721683	2471	1998-12-10	VYDAJ	PREVOD NA UCET	1347	55395	 	EF	20720190
721694	2471	1994-11-09	VYDAJ	PREVOD NA UCET	363	63403	POJISTNE	UV	61662065
721695	2471	1994-12-09	VYDAJ	PREVOD NA UCET	363	71848	POJISTNE	UV	61662065
721696	2471	1995-01-09	VYDAJ	PREVOD NA UCET	363	87998	POJISTNE	UV	61662065
721697	2471	1995-02-09	VYDAJ	PREVOD NA UCET	363	91307	POJISTNE	UV	61662065
721698	2471	1995-03-09	VYDAJ	PREVOD NA UCET	363	98725	POJISTNE	UV	61662065
721699	2471	1995-04-09	VYDAJ	PREVOD NA UCET	363	100472	POJISTNE	UV	61662065
721700	2471	1995-05-09	VYDAJ	PREVOD NA UCET	363	99809	POJISTNE	UV	61662065
721701	2471	1995-06-09	VYDAJ	PREVOD NA UCET	363	84250	POJISTNE	UV	61662065
721702	2471	1995-07-09	VYDAJ	PREVOD NA UCET	363	96264	POJISTNE	UV	61662065
721703	2471	1995-08-09	VYDAJ	PREVOD NA UCET	363	102194	POJISTNE	UV	61662065
721704	2471	1995-09-09	VYDAJ	PREVOD NA UCET	363	55944	POJISTNE	UV	61662065
721705	2471	1995-10-09	VYDAJ	PREVOD NA UCET	363	87166	POJISTNE	UV	61662065
721706	2471	1995-11-09	VYDAJ	PREVOD NA UCET	363	76141	POJISTNE	UV	61662065
721707	2471	1995-12-09	VYDAJ	PREVOD NA UCET	363	68764	POJISTNE	UV	61662065
721708	2471	1996-01-09	VYDAJ	PREVOD NA UCET	363	94410	POJISTNE	UV	61662065
721709	2471	1996-02-09	VYDAJ	PREVOD NA UCET	363	81209	POJISTNE	UV	61662065
721710	2471	1996-03-09	VYDAJ	PREVOD NA UCET	363	99570	POJISTNE	UV	61662065
721711	2471	1996-04-09	VYDAJ	PREVOD NA UCET	363	92500	POJISTNE	UV	61662065
721712	2471	1996-05-09	VYDAJ	PREVOD NA UCET	363	66219	POJISTNE	UV	61662065
721713	2471	1996-06-09	VYDAJ	PREVOD NA UCET	363	73668	POJISTNE	UV	61662065
721714	2471	1996-07-09	VYDAJ	PREVOD NA UCET	363	99749	POJISTNE	UV	61662065
721715	2471	1996-08-09	VYDAJ	PREVOD NA UCET	363	107170	POJISTNE	UV	61662065
721716	2471	1996-09-09	VYDAJ	PREVOD NA UCET	363	78264	POJISTNE	UV	61662065
721717	2471	1996-10-09	VYDAJ	PREVOD NA UCET	363	93251	POJISTNE	UV	61662065
721718	2471	1996-11-09	VYDAJ	PREVOD NA UCET	363	85350	POJISTNE	UV	61662065
721719	2471	1996-12-09	VYDAJ	PREVOD NA UCET	363	102535	POJISTNE	UV	61662065
721720	2471	1997-01-09	VYDAJ	PREVOD NA UCET	363	104270	POJISTNE	UV	61662065
721721	2471	1997-02-09	VYDAJ	PREVOD NA UCET	363	105100	POJISTNE	UV	61662065
721722	2471	1997-03-09	VYDAJ	PREVOD NA UCET	363	86161	POJISTNE	UV	61662065
721723	2471	1997-04-09	VYDAJ	PREVOD NA UCET	363	102639	POJISTNE	UV	61662065
721724	2471	1997-05-09	VYDAJ	PREVOD NA UCET	363	89469	POJISTNE	UV	61662065
721725	2471	1997-06-09	VYDAJ	PREVOD NA UCET	363	101453	POJISTNE	UV	61662065
721726	2471	1997-07-09	VYDAJ	PREVOD NA UCET	363	75058	POJISTNE	UV	61662065
721727	2471	1997-08-09	VYDAJ	PREVOD NA UCET	363	99085	POJISTNE	UV	61662065
721728	2471	1997-09-09	VYDAJ	PREVOD NA UCET	363	49492	POJISTNE	UV	61662065
721729	2471	1997-10-09	VYDAJ	PREVOD NA UCET	363	87165	POJISTNE	UV	61662065
721730	2471	1997-11-09	VYDAJ	PREVOD NA UCET	363	101906	POJISTNE	UV	61662065
721731	2471	1997-12-09	VYDAJ	PREVOD NA UCET	363	65057	POJISTNE	UV	61662065
721732	2471	1998-01-09	VYDAJ	PREVOD NA UCET	363	64879	POJISTNE	UV	61662065
721733	2471	1998-02-09	VYDAJ	PREVOD NA UCET	363	93276	POJISTNE	UV	61662065
721734	2471	1998-03-09	VYDAJ	PREVOD NA UCET	363	41741	POJISTNE	UV	61662065
721735	2471	1998-04-09	VYDAJ	PREVOD NA UCET	363	72877	POJISTNE	UV	61662065
721736	2471	1998-05-09	VYDAJ	PREVOD NA UCET	363	100799	POJISTNE	UV	61662065
721737	2471	1998-06-09	VYDAJ	PREVOD NA UCET	363	60102	POJISTNE	UV	61662065
721738	2471	1998-07-09	VYDAJ	PREVOD NA UCET	363	81584	POJISTNE	UV	61662065
721739	2471	1998-08-09	VYDAJ	PREVOD NA UCET	363	96241	POJISTNE	UV	61662065
721740	2471	1998-09-09	VYDAJ	PREVOD NA UCET	363	84535	POJISTNE	UV	61662065
721741	2471	1998-10-09	VYDAJ	PREVOD NA UCET	363	91854	POJISTNE	UV	61662065
721742	2471	1998-11-09	VYDAJ	PREVOD NA UCET	363	91546	POJISTNE	UV	61662065
721743	2471	1998-12-09	VYDAJ	PREVOD NA UCET	363	56742	POJISTNE	UV	61662065
721754	2471	1994-11-09	VYDAJ	PREVOD NA UCET	205	63766	 	KL	585544
721755	2471	1994-12-09	VYDAJ	PREVOD NA UCET	205	72211	 	KL	585544
721756	2471	1995-01-09	VYDAJ	PREVOD NA UCET	205	88361	 	KL	585544
721757	2471	1995-02-09	VYDAJ	PREVOD NA UCET	205	91102	 	KL	585544
721758	2471	1995-03-09	VYDAJ	PREVOD NA UCET	205	98520	 	KL	585544
721759	2471	1995-04-09	VYDAJ	PREVOD NA UCET	205	100267	 	KL	585544
721760	2471	1995-05-09	VYDAJ	PREVOD NA UCET	205	99604	 	KL	585544
721761	2471	1995-06-09	VYDAJ	PREVOD NA UCET	205	84613	 	KL	585544
721762	2471	1995-07-09	VYDAJ	PREVOD NA UCET	205	96627	 	KL	585544
721763	2471	1995-08-09	VYDAJ	PREVOD NA UCET	205	102557	 	KL	585544
721764	2471	1995-09-09	VYDAJ	PREVOD NA UCET	205	56307	 	KL	585544
721765	2471	1995-10-09	VYDAJ	PREVOD NA UCET	205	87529	 	KL	585544
721766	2471	1995-11-09	VYDAJ	PREVOD NA UCET	205	76504	 	KL	585544
721767	2471	1995-12-09	VYDAJ	PREVOD NA UCET	205	69127	 	KL	585544
721768	2471	1996-01-09	VYDAJ	PREVOD NA UCET	205	94773	 	KL	585544
721769	2471	1996-02-09	VYDAJ	PREVOD NA UCET	205	81004	 	KL	585544
721770	2471	1996-03-09	VYDAJ	PREVOD NA UCET	205	99365	 	KL	585544
721771	2471	1996-04-09	VYDAJ	PREVOD NA UCET	205	92295	 	KL	585544
721772	2471	1996-05-09	VYDAJ	PREVOD NA UCET	205	66582	 	KL	585544
721773	2471	1996-06-09	VYDAJ	PREVOD NA UCET	205	74031	 	KL	585544
721774	2471	1996-07-09	VYDAJ	PREVOD NA UCET	205	99544	 	KL	585544
721775	2471	1996-08-09	VYDAJ	PREVOD NA UCET	205	106965	 	KL	585544
721776	2471	1996-09-09	VYDAJ	PREVOD NA UCET	205	78059	 	KL	585544
721777	2471	1996-10-09	VYDAJ	PREVOD NA UCET	205	93046	 	KL	585544
721778	2471	1996-11-09	VYDAJ	PREVOD NA UCET	205	85145	 	KL	585544
721779	2471	1996-12-09	VYDAJ	PREVOD NA UCET	205	102898	 	KL	585544
721780	2471	1997-01-09	VYDAJ	PREVOD NA UCET	205	104065	 	KL	585544
721781	2471	1997-02-09	VYDAJ	PREVOD NA UCET	205	104895	 	KL	585544
721782	2471	1997-03-09	VYDAJ	PREVOD NA UCET	205	85956	 	KL	585544
721783	2471	1997-04-09	VYDAJ	PREVOD NA UCET	205	102434	 	KL	585544
721784	2471	1997-05-09	VYDAJ	PREVOD NA UCET	205	89832	 	KL	585544
721785	2471	1997-06-09	VYDAJ	PREVOD NA UCET	205	101816	 	KL	585544
721786	2471	1997-07-09	VYDAJ	PREVOD NA UCET	205	75421	 	KL	585544
721787	2471	1997-08-09	VYDAJ	PREVOD NA UCET	205	99448	 	KL	585544
721788	2471	1997-09-09	VYDAJ	PREVOD NA UCET	205	49287	 	KL	585544
721789	2471	1997-10-09	VYDAJ	PREVOD NA UCET	205	86960	 	KL	585544
721790	2471	1997-11-09	VYDAJ	PREVOD NA UCET	205	102269	 	KL	585544
721791	2471	1997-12-09	VYDAJ	PREVOD NA UCET	205	65420	 	KL	585544
721792	2471	1998-01-09	VYDAJ	PREVOD NA UCET	205	74242	 	KL	585544
721793	2471	1998-02-09	VYDAJ	PREVOD NA UCET	205	93639	 	KL	585544
721794	2471	1998-03-09	VYDAJ	PREVOD NA UCET	205	41536	 	KL	585544
721795	2471	1998-04-09	VYDAJ	PREVOD NA UCET	205	73240	 	KL	585544
721796	2471	1998-05-09	VYDAJ	PREVOD NA UCET	205	100594	 	KL	585544
721797	2471	1998-06-09	VYDAJ	PREVOD NA UCET	205	60465	 	KL	585544
721798	2471	1998-07-09	VYDAJ	PREVOD NA UCET	205	81947	 	KL	585544
721799	2471	1998-08-09	VYDAJ	PREVOD NA UCET	205	96604	 	KL	585544
721800	2471	1998-09-09	VYDAJ	PREVOD NA UCET	205	84898	 	KL	585544
721801	2471	1998-10-09	VYDAJ	PREVOD NA UCET	205	92217	 	KL	585544
721802	2471	1998-11-09	VYDAJ	PREVOD NA UCET	205	62241	 	KL	585544
721803	2471	1998-12-09	VYDAJ	PREVOD NA UCET	205	70705	 	KL	585544
721804	2471	1995-11-18	VYBER	VYBER	8821	55473	\N	\N	\N
721805	2471	1996-08-15	VYBER	VYBER	6341	99277	\N	\N	\N
721806	2471	1997-09-30	VYBER	VYBER	2941	47225	\N	\N	\N
721807	2471	1997-12-04	VYBER	VYBER	3744	65710	\N	\N	\N
721808	2471	1997-12-30	VYBER	VYBER	9308	33902	\N	\N	\N
721809	2471	1997-04-27	VYBER	VYBER	9974	60513	\N	\N	\N
721811	2471	1997-02-23	VYBER	VYBER	16146	55802	\N	\N	\N
721812	2471	1998-09-09	VYBER	VYBER	14004	85103	\N	\N	\N
721813	2471	1998-11-11	VYBER	VYBER	2916	57978	\N	\N	\N
721814	2471	1998-05-27	VYBER	VYBER	12578	61369	\N	\N	\N
721815	2471	1998-07-04	VYBER	VYBER	15162	41834	\N	\N	\N
721816	2471	1998-03-30	VYBER	VYBER	3489	32955	\N	\N	\N
721817	2471	1998-08-16	VYBER	VYBER	9649	58545	\N	\N	\N
721819	2471	1998-03-26	VYBER	VYBER	7845	36444	\N	\N	\N
721820	2471	1998-03-06	VYBER	VYBER	3610	109181	\N	\N	\N
721824	2471	1997-06-12	VYDAJ	VYBER	68100	32006	\N	\N	\N
721827	2471	1995-01-29	VYDAJ	VYBER	15600	51051	\N	\N	\N
721828	2471	1996-01-28	VYDAJ	VYBER	22800	40963	\N	\N	\N
721829	2471	1997-01-01	VYDAJ	VYBER	5700	64315	\N	\N	\N
721838	2471	1995-11-17	VYDAJ	VYBER	10500	64294	\N	\N	\N
721839	2471	1995-11-06	VYDAJ	VYBER	13200	79986	\N	\N	\N
721840	2471	1995-10-14	VYDAJ	VYBER	7200	78619	\N	\N	\N
721841	2471	1995-06-05	VYDAJ	VYBER	4200	62803	\N	\N	\N
721842	2471	1995-11-01	VYDAJ	VYBER	8700	49591	\N	\N	\N
721843	2471	1995-04-17	VYDAJ	VYBER	9600	89320	\N	\N	\N
721844	2471	1996-01-22	VYDAJ	VYBER	5100	87963	\N	\N	\N
721845	2471	1996-09-30	VYDAJ	VYBER	6600	53311	\N	\N	\N
721846	2471	1996-07-24	VYDAJ	VYBER	7200	66897	\N	\N	\N
721847	2471	1997-10-12	VYDAJ	VYBER	12900	72713	\N	\N	\N
721848	2471	1997-12-21	VYDAJ	VYBER	11400	43210	\N	\N	\N
721849	2471	1997-05-01	VYDAJ	VYBER	11100	49719	\N	\N	\N
721850	2471	1997-03-07	VYDAJ	VYBER	9900	89801	\N	\N	\N
721851	2471	1997-11-20	VYDAJ	VYBER	5700	69159	\N	\N	\N
721852	2471	1997-01-24	VYDAJ	VYBER	9000	64818	\N	\N	\N
721854	2471	1998-11-21	VYDAJ	VYBER KARTOU	2100	55878	\N	\N	0
721855	2471	1998-07-30	VYDAJ	VYBER	7800	56237	\N	\N	\N
721856	2471	1998-09-12	VYDAJ	VYBER	7200	51888	\N	\N	\N
721857	2471	1998-10-25	VYDAJ	VYBER	4500	56407	\N	\N	\N
721858	2471	1998-10-26	VYDAJ	VYBER	5100	51307	\N	\N	\N
721859	2471	1998-01-09	VYDAJ	VYBER	9000	65242	\N	\N	\N
721871	2471	1994-11-30	VYDAJ	VYBER	15	62301	SLUZBY	\N	\N
721872	2471	1994-12-31	VYDAJ	VYBER	15	48248	SLUZBY	\N	\N
721873	2471	1995-01-31	VYDAJ	VYBER	15	51352	SLUZBY	\N	\N
721874	2471	1995-02-28	VYDAJ	VYBER	15	58770	SLUZBY	\N	\N
721875	2471	1995-03-31	VYDAJ	VYBER	15	60517	SLUZBY	\N	\N
721876	2471	1995-04-30	VYDAJ	VYBER	15	59854	SLUZBY	\N	\N
721877	2471	1995-05-31	VYDAJ	VYBER	15	67003	SLUZBY	\N	\N
721878	2471	1995-06-30	VYDAJ	VYBER	15	56514	SLUZBY	\N	\N
721879	2471	1995-07-31	VYDAJ	VYBER	15	62444	SLUZBY	\N	\N
721880	2471	1995-08-31	VYDAJ	VYBER	15	67794	SLUZBY	\N	\N
721881	2471	1995-09-30	VYDAJ	VYBER	15	47416	SLUZBY	\N	\N
721882	2471	1995-10-31	VYDAJ	VYBER	15	58291	SLUZBY	\N	\N
721883	2471	1995-11-30	VYDAJ	VYBER	15	47817	SLUZBY	\N	\N
721884	2471	1995-12-31	VYDAJ	VYBER	15	54660	SLUZBY	\N	\N
721885	2471	1996-01-31	VYDAJ	VYBER	15	41254	SLUZBY	\N	\N
721886	2471	1996-02-29	VYDAJ	VYBER	15	59615	SLUZBY	\N	\N
721887	2471	1996-03-31	VYDAJ	VYBER	15	69545	SLUZBY	\N	\N
721888	2471	1996-04-30	VYDAJ	VYBER	15	69769	SLUZBY	\N	\N
721889	2471	1996-05-31	VYDAJ	VYBER	15	56421	SLUZBY	\N	\N
721890	2471	1996-06-30	VYDAJ	VYBER	15	59794	SLUZBY	\N	\N
721891	2471	1996-07-31	VYDAJ	VYBER	15	67215	SLUZBY	\N	\N
721892	2471	1996-08-31	VYDAJ	VYBER	15	71609	SLUZBY	\N	\N
721893	2471	1996-09-30	VYDAJ	VYBER	15	53296	SLUZBY	\N	\N
721894	2471	1996-10-31	VYDAJ	VYBER	15	70695	SLUZBY	\N	\N
721895	2471	1996-11-30	VYDAJ	VYBER	15	63188	SLUZBY	\N	\N
721896	2471	1996-12-31	VYDAJ	VYBER	15	70015	SLUZBY	\N	\N
721897	2471	1997-01-31	VYDAJ	VYBER	15	65145	SLUZBY	\N	\N
721898	2471	1997-02-28	VYDAJ	VYBER	15	56106	SLUZBY	\N	\N
721899	2471	1997-03-31	VYDAJ	VYBER	15	62684	SLUZBY	\N	\N
721900	2471	1997-04-30	VYDAJ	VYBER	15	60819	SLUZBY	\N	\N
721901	2471	1997-05-31	VYDAJ	VYBER	15	62306	SLUZBY	\N	\N
721902	2471	1997-06-30	VYDAJ	VYBER	15	35308	SLUZBY	\N	\N
721903	2471	1997-07-31	VYDAJ	VYBER	15	59335	SLUZBY	\N	\N
721904	2471	1997-08-31	VYDAJ	VYBER	15	72637	SLUZBY	\N	\N
721905	2471	1997-09-30	VYDAJ	VYBER	15	47210	SLUZBY	\N	\N
721906	2471	1997-10-31	VYDAJ	VYBER	15	62156	SLUZBY	\N	\N
721907	2471	1997-11-30	VYDAJ	VYBER	15	69454	SLUZBY	\N	\N
721908	2471	1997-12-31	VYDAJ	VYBER	15	34129	SLUZBY	\N	\N
721909	2471	1998-01-31	VYDAJ	VYBER	15	53526	SLUZBY	\N	\N
721910	2471	1998-02-28	VYDAJ	VYBER	15	69196	SLUZBY	\N	\N
721911	2471	1998-03-31	VYDAJ	VYBER	15	33127	SLUZBY	\N	\N
721912	2471	1998-04-30	VYDAJ	VYBER	15	60844	SLUZBY	\N	\N
721913	2471	1998-05-31	VYDAJ	VYBER	15	61655	SLUZBY	\N	\N
721914	2471	1998-06-30	VYDAJ	VYBER	15	56996	SLUZBY	\N	\N
721915	2471	1998-07-31	VYDAJ	VYBER	15	56491	SLUZBY	\N	\N
721916	2471	1998-08-31	VYDAJ	VYBER	15	58789	SLUZBY	\N	\N
721917	2471	1998-09-30	VYDAJ	VYBER	15	52104	SLUZBY	\N	\N
721918	2471	1998-10-31	VYDAJ	VYBER	15	51591	SLUZBY	\N	\N
721919	2471	1998-11-30	VYDAJ	VYBER	15	56095	SLUZBY	\N	\N
721920	2471	1994-08-02	VYDAJ	VYBER	7500	36849	\N	\N	\N
721921	2471	1994-09-01	VYDAJ	VYBER	29600	51155	\N	\N	\N
721923	2471	1994-10-31	VYDAJ	VYBER	40300	64553	\N	\N	\N
721924	2471	1994-11-06	VYDAJ	VYBER	40900	67248	\N	\N	\N
721925	2471	1994-11-30	VYDAJ	VYBER	20300	42001	\N	\N	\N
721926	2471	1994-12-08	VYDAJ	VYBER	31700	75693	\N	\N	\N
721927	2471	1994-12-30	VYDAJ	VYBER	22500	48001	\N	\N	\N
721928	2471	1995-01-29	VYDAJ	VYBER	20000	66651	\N	\N	\N
721929	2471	1995-02-28	VYDAJ	VYBER	31300	58784	\N	\N	\N
721930	2471	1995-03-30	VYDAJ	VYBER	37000	60173	\N	\N	\N
721931	2471	1995-04-29	VYDAJ	VYBER	29800	59520	\N	\N	\N
721932	2471	1995-05-29	VYDAJ	VYBER	31600	66657	\N	\N	\N
721933	2471	1995-06-06	VYDAJ	VYBER	40100	88095	\N	\N	\N
721934	2471	1995-06-28	VYDAJ	VYBER	26700	56203	\N	\N	\N
721935	2471	1995-07-28	VYDAJ	VYBER	32800	62117	\N	\N	\N
721936	2471	1995-08-27	VYDAJ	VYBER	33400	67447	\N	\N	\N
721937	2471	1995-09-06	VYDAJ	VYBER	51600	59789	\N	\N	\N
721938	2471	1995-09-26	VYDAJ	VYBER	7400	47197	\N	\N	\N
721939	2471	1995-10-26	VYDAJ	VYBER	20600	58019	\N	\N	\N
721940	2471	1995-11-25	VYDAJ	VYBER	7900	47573	\N	\N	\N
721941	2471	1995-12-06	VYDAJ	VYBER	40600	72609	\N	\N	\N
721942	2471	1995-12-25	VYDAJ	VYBER	13000	54417	\N	\N	\N
721943	2471	1996-01-24	VYDAJ	VYBER	24200	63763	\N	\N	\N
721944	2471	1996-02-23	VYDAJ	VYBER	20300	59357	\N	\N	\N
721945	2471	1996-03-24	VYDAJ	VYBER	28800	69218	\N	\N	\N
721946	2471	1996-04-09	VYDAJ	VYBER	17000	92863	\N	\N	\N
721947	2471	1996-04-23	VYDAJ	VYBER	21500	69448	\N	\N	\N
721948	2471	1996-05-06	VYDAJ	VYBER	43300	70064	\N	\N	\N
721949	2471	1996-05-23	VYDAJ	VYBER	8700	56172	\N	\N	\N
721950	2471	1996-06-06	VYDAJ	VYBER	44300	77513	\N	\N	\N
721951	2471	1996-06-22	VYDAJ	VYBER	12800	59521	\N	\N	\N
721952	2471	1996-07-22	VYDAJ	VYBER	24100	74097	\N	\N	\N
721953	2471	1996-08-21	VYDAJ	VYBER	28000	71277	\N	\N	\N
721954	2471	1996-09-06	VYDAJ	VYBER	33300	81904	\N	\N	\N
721955	2471	1996-09-20	VYDAJ	VYBER	17100	59612	\N	\N	\N
721956	2471	1996-10-20	VYDAJ	VYBER	21300	70399	\N	\N	\N
721957	2471	1996-11-06	VYDAJ	VYBER	25300	88990	\N	\N	\N
721958	2471	1996-11-19	VYDAJ	VYBER	20900	62898	\N	\N	\N
721959	2471	1996-12-06	VYDAJ	VYBER	22200	106380	\N	\N	\N
721960	2471	1996-12-19	VYDAJ	VYBER	31500	69688	\N	\N	\N
721961	2471	1997-01-18	VYDAJ	VYBER	28900	73818	\N	\N	\N
721962	2471	1997-02-17	VYDAJ	VYBER	31600	71948	\N	\N	\N
721963	2471	1997-03-19	VYDAJ	VYBER	22200	62409	\N	\N	\N
721964	2471	1997-04-18	VYDAJ	VYBER	30600	70487	\N	\N	\N
721965	2471	1997-05-18	VYDAJ	VYBER	26100	62022	\N	\N	\N
721966	2471	1997-06-06	VYDAJ	VYBER	22400	105298	\N	\N	\N
721967	2471	1997-06-17	PRIJEM	VKLAD	3100	35106	\N	\N	\N
721968	2471	1997-07-17	VYDAJ	VYBER	14600	59111	\N	\N	\N
721969	2471	1997-08-16	VYDAJ	VYBER	25400	72338	\N	\N	\N
721970	2471	1997-09-08	VYDAJ	VYBER	63100	53132	\N	\N	\N
721971	2471	1997-09-15	PRIJEM	VKLAD	2000	49940	\N	\N	\N
721972	2471	1997-10-15	VYDAJ	VYBER	10800	61913	\N	\N	\N
721973	2471	1997-11-14	VYDAJ	VYBER	25700	74859	\N	\N	\N
721974	2471	1997-12-06	VYDAJ	VYBER	62200	68902	\N	\N	\N
721975	2471	1997-12-14	VYDAJ	VYBER	9100	54610	\N	\N	\N
721976	2471	1998-01-13	VYDAJ	VYBER	10200	53332	\N	\N	\N
721977	2471	1998-02-12	VYDAJ	VYBER	23000	68929	\N	\N	\N
721978	2471	1998-03-06	VYDAJ	VYBER	63800	45381	\N	\N	\N
721979	2471	1998-03-14	PRIJEM	VKLAD	4100	44289	\N	\N	\N
721980	2471	1998-04-13	VYDAJ	VYBER	10900	60630	\N	\N	\N
721981	2471	1998-05-13	VYDAJ	VYBER	25300	73947	\N	\N	\N
721982	2471	1998-06-06	VYDAJ	VYBER	63100	63947	\N	\N	\N
721983	2471	1998-06-12	VYDAJ	VYBER KARTOU	2000	56755	\N	\N	0
721984	2471	1998-07-12	VYDAJ	VYBER	16200	64037	\N	\N	\N
721985	2471	1998-08-11	VYDAJ	VYBER	26700	68194	\N	\N	\N
721986	2471	1998-09-10	VYDAJ	VYBER	24100	60435	\N	\N	\N
721987	2471	1998-10-10	VYDAJ	VYBER	29600	60907	\N	\N	\N
721988	2471	1998-11-09	VYDAJ	VYBER	29100	62446	\N	\N	\N
721989	2471	1998-12-06	VYDAJ	VYBER	47300	74187	\N	\N	\N
721990	2471	1998-12-09	VYDAJ	VYBER	13600	57105	\N	\N	\N
722045	2472	1994-02-08	PRIJEM	VKLAD	800	800	\N	\N	\N
722047	2472	1994-02-13	PRIJEM	VKLAD	15935	16735	\N	\N	\N
722048	2472	1994-03-13	PRIJEM	VKLAD	15935	38910	\N	\N	\N
722049	2472	1994-04-13	PRIJEM	VKLAD	15935	46571	\N	\N	\N
722050	2472	1994-05-13	PRIJEM	VKLAD	15935	52888	\N	\N	\N
722051	2472	1994-06-13	PRIJEM	VKLAD	23903	65300	\N	\N	\N
722052	2472	1994-07-13	PRIJEM	VKLAD	15935	45316	\N	\N	\N
722053	2472	1994-08-13	PRIJEM	VKLAD	15935	45584	\N	\N	\N
722054	2472	1994-09-13	PRIJEM	VKLAD	15935	50962	\N	\N	\N
722055	2472	1994-10-13	PRIJEM	VKLAD	15935	54761	\N	\N	\N
722056	2472	1994-11-13	PRIJEM	VKLAD	15935	57178	\N	\N	\N
722057	2472	1994-12-13	PRIJEM	VKLAD	23903	63275	\N	\N	\N
722058	2472	1995-01-13	PRIJEM	VKLAD	15935	52900	\N	\N	\N
722059	2472	1995-02-13	PRIJEM	VKLAD	15935	49407	\N	\N	\N
722060	2472	1995-03-13	PRIJEM	VKLAD	15935	55994	\N	\N	\N
722061	2472	1995-04-13	PRIJEM	VKLAD	15935	59012	\N	\N	\N
722062	2472	1995-05-13	PRIJEM	VKLAD	15935	60148	\N	\N	\N
722063	2472	1995-06-13	PRIJEM	VKLAD	23903	65579	\N	\N	\N
722064	2472	1995-07-13	PRIJEM	VKLAD	15935	66334	\N	\N	\N
722065	2472	1995-08-13	PRIJEM	VKLAD	15935	67504	\N	\N	\N
722066	2472	1995-09-13	PRIJEM	VKLAD	15935	66778	\N	\N	\N
722067	2472	1995-10-13	PRIJEM	VKLAD	15935	68352	\N	\N	\N
722068	2472	1995-11-13	PRIJEM	VKLAD	15935	65927	\N	\N	\N
722069	2472	1995-12-13	PRIJEM	VKLAD	23903	74678	\N	\N	\N
722070	2472	1996-01-13	PRIJEM	VKLAD	15935	56854	\N	\N	\N
722071	2472	1996-02-13	PRIJEM	VKLAD	15935	53075	\N	\N	\N
722072	2472	1996-03-13	PRIJEM	VKLAD	15935	62276	\N	\N	\N
722073	2472	1996-04-13	PRIJEM	VKLAD	15935	65705	\N	\N	\N
722074	2472	1996-05-13	PRIJEM	VKLAD	15935	67450	\N	\N	\N
722075	2472	1996-06-13	PRIJEM	VKLAD	23903	40927	\N	\N	\N
722076	2472	1996-07-13	PRIJEM	VKLAD	15935	59727	\N	\N	\N
722077	2472	1996-08-13	PRIJEM	VKLAD	15935	67650	\N	\N	\N
722078	2472	1996-09-13	PRIJEM	VKLAD	15935	71197	\N	\N	\N
722079	2472	1996-10-13	PRIJEM	VKLAD	15935	73177	\N	\N	\N
722080	2472	1996-11-13	PRIJEM	VKLAD	15935	72203	\N	\N	\N
722081	2472	1996-12-13	PRIJEM	VKLAD	23903	83234	\N	\N	\N
722082	2472	1997-01-13	PRIJEM	VKLAD	15935	74321	\N	\N	\N
722083	2472	1997-02-13	PRIJEM	VKLAD	15935	61624	\N	\N	\N
722084	2472	1997-03-13	PRIJEM	VKLAD	15935	67148	\N	\N	\N
722085	2472	1997-04-13	PRIJEM	VKLAD	15935	75403	\N	\N	\N
722086	2472	1997-05-13	PRIJEM	VKLAD	15935	81481	\N	\N	\N
722087	2472	1997-06-13	PRIJEM	VKLAD	23903	94451	\N	\N	\N
722088	2472	1997-07-13	PRIJEM	VKLAD	15935	62333	\N	\N	\N
722089	2472	1997-08-13	PRIJEM	VKLAD	15935	78970	\N	\N	\N
722090	2472	1997-09-13	PRIJEM	VKLAD	15935	85465	\N	\N	\N
722091	2472	1997-10-13	PRIJEM	VKLAD	15935	91587	\N	\N	\N
722092	2472	1997-11-13	PRIJEM	VKLAD	15935	87668	\N	\N	\N
722093	2472	1997-12-13	PRIJEM	VKLAD	23903	100759	\N	\N	\N
722094	2472	1998-01-13	PRIJEM	VKLAD	15935	88507	\N	\N	\N
722095	2472	1998-02-13	PRIJEM	VKLAD	15935	71068	\N	\N	\N
722096	2472	1998-03-13	PRIJEM	VKLAD	15935	85836	\N	\N	\N
722097	2472	1998-04-13	PRIJEM	VKLAD	15935	92053	\N	\N	\N
722098	2472	1998-05-13	PRIJEM	VKLAD	15935	96091	\N	\N	\N
722099	2472	1998-06-13	PRIJEM	VKLAD	23903	100829	\N	\N	\N
722100	2472	1998-07-13	PRIJEM	VKLAD	15935	98115	\N	\N	\N
722101	2472	1998-08-13	PRIJEM	VKLAD	15935	99976	\N	\N	\N
722102	2472	1998-09-13	PRIJEM	VKLAD	15935	100236	\N	\N	\N
722103	2472	1998-10-13	PRIJEM	VKLAD	15935	102600	\N	\N	\N
722104	2472	1998-11-13	PRIJEM	VKLAD	15935	100563	\N	\N	\N
722105	2472	1998-12-13	PRIJEM	VKLAD	23903	108503	\N	\N	\N
722111	2472	1994-06-14	VYDAJ	PREVOD NA UCET	4109	61191	SIPO	CD	61095434
722112	2472	1994-07-14	VYDAJ	PREVOD NA UCET	4109	37007	SIPO	CD	61095434
722113	2472	1994-08-14	VYDAJ	PREVOD NA UCET	4109	41475	SIPO	CD	61095434
722114	2472	1994-09-14	VYDAJ	PREVOD NA UCET	4109	46853	SIPO	CD	61095434
722115	2472	1994-10-14	VYDAJ	PREVOD NA UCET	4109	50652	SIPO	CD	61095434
722116	2472	1994-11-14	VYDAJ	PREVOD NA UCET	4109	53069	SIPO	CD	61095434
722117	2472	1994-12-14	VYDAJ	PREVOD NA UCET	4109	59166	SIPO	CD	61095434
722118	2472	1995-01-14	VYDAJ	PREVOD NA UCET	4109	48791	SIPO	CD	61095434
722119	2472	1995-02-14	VYDAJ	PREVOD NA UCET	4109	45298	SIPO	CD	61095434
722120	2472	1995-03-14	VYDAJ	PREVOD NA UCET	4109	51885	SIPO	CD	61095434
722121	2472	1995-04-14	VYDAJ	PREVOD NA UCET	4109	54903	SIPO	CD	61095434
722122	2472	1995-05-14	VYDAJ	PREVOD NA UCET	4109	56039	SIPO	CD	61095434
722123	2472	1995-06-14	VYDAJ	PREVOD NA UCET	4109	61470	SIPO	CD	61095434
722124	2472	1995-07-14	VYDAJ	PREVOD NA UCET	4109	62225	SIPO	CD	61095434
722125	2472	1995-08-14	VYDAJ	PREVOD NA UCET	4109	63395	SIPO	CD	61095434
722126	2472	1995-09-14	VYDAJ	PREVOD NA UCET	4109	62669	SIPO	CD	61095434
722127	2472	1995-10-14	VYDAJ	PREVOD NA UCET	4109	64243	SIPO	CD	61095434
722128	2472	1995-11-14	VYDAJ	PREVOD NA UCET	4109	61818	SIPO	CD	61095434
722129	2472	1995-12-14	VYDAJ	PREVOD NA UCET	4109	70569	SIPO	CD	61095434
722130	2472	1996-01-14	VYDAJ	PREVOD NA UCET	4109	52745	SIPO	CD	61095434
722131	2472	1996-02-14	VYDAJ	PREVOD NA UCET	4109	48966	SIPO	CD	61095434
722132	2472	1996-03-14	VYDAJ	PREVOD NA UCET	4109	58167	SIPO	CD	61095434
722133	2472	1996-04-14	VYDAJ	PREVOD NA UCET	4109	61596	SIPO	CD	61095434
722134	2472	1996-05-14	VYDAJ	PREVOD NA UCET	4109	63341	SIPO	CD	61095434
722135	2472	1996-06-14	VYDAJ	PREVOD NA UCET	4109	36818	SIPO	CD	61095434
722136	2472	1996-07-14	VYDAJ	PREVOD NA UCET	4109	55618	SIPO	CD	61095434
722137	2472	1996-08-14	VYDAJ	PREVOD NA UCET	4109	63541	SIPO	CD	61095434
722138	2472	1996-09-14	VYDAJ	PREVOD NA UCET	4109	67088	SIPO	CD	61095434
722139	2472	1996-10-14	VYDAJ	PREVOD NA UCET	4109	69068	SIPO	CD	61095434
722140	2472	1996-11-14	VYDAJ	PREVOD NA UCET	4109	68094	SIPO	CD	61095434
722141	2472	1996-12-14	VYDAJ	PREVOD NA UCET	4109	79125	SIPO	CD	61095434
722142	2472	1997-01-14	VYDAJ	PREVOD NA UCET	4109	67312	SIPO	CD	61095434
722143	2472	1997-02-14	VYDAJ	PREVOD NA UCET	4109	57515	SIPO	CD	61095434
722144	2472	1997-03-14	VYDAJ	PREVOD NA UCET	4109	63039	SIPO	CD	61095434
722145	2472	1997-04-14	VYDAJ	PREVOD NA UCET	4109	71294	SIPO	CD	61095434
722146	2472	1997-05-14	VYDAJ	PREVOD NA UCET	4109	77372	SIPO	CD	61095434
722147	2472	1997-06-14	VYDAJ	PREVOD NA UCET	4109	90342	SIPO	CD	61095434
722148	2472	1997-07-14	VYDAJ	PREVOD NA UCET	4109	58224	SIPO	CD	61095434
722149	2472	1997-08-14	VYDAJ	PREVOD NA UCET	4109	74861	SIPO	CD	61095434
722150	2472	1997-09-14	VYDAJ	PREVOD NA UCET	4109	81356	SIPO	CD	61095434
722151	2472	1997-10-14	VYDAJ	PREVOD NA UCET	4109	87478	SIPO	CD	61095434
722152	2472	1997-11-14	VYDAJ	PREVOD NA UCET	4109	83559	SIPO	CD	61095434
722153	2472	1997-12-14	VYDAJ	PREVOD NA UCET	4109	93650	SIPO	CD	61095434
722154	2472	1998-01-14	VYDAJ	PREVOD NA UCET	4109	84398	SIPO	CD	61095434
722155	2472	1998-02-14	VYDAJ	PREVOD NA UCET	4109	66959	SIPO	CD	61095434
722156	2472	1998-03-14	VYDAJ	PREVOD NA UCET	4109	81727	SIPO	CD	61095434
722157	2472	1998-04-14	VYDAJ	PREVOD NA UCET	4109	87944	SIPO	CD	61095434
722158	2472	1998-05-14	VYDAJ	PREVOD NA UCET	4109	91982	SIPO	CD	61095434
722159	2472	1998-06-14	VYDAJ	PREVOD NA UCET	4109	96720	SIPO	CD	61095434
722160	2472	1998-07-14	VYDAJ	PREVOD NA UCET	4109	94006	SIPO	CD	61095434
722161	2472	1998-08-14	VYDAJ	PREVOD NA UCET	4109	95867	SIPO	CD	61095434
722162	2472	1998-09-14	VYDAJ	PREVOD NA UCET	4109	96127	SIPO	CD	61095434
722163	2472	1998-10-14	VYDAJ	PREVOD NA UCET	4109	98491	SIPO	CD	61095434
722164	2472	1998-11-14	VYDAJ	PREVOD NA UCET	4109	87054	SIPO	CD	61095434
722165	2472	1998-12-14	VYDAJ	PREVOD NA UCET	4109	104394	SIPO	CD	61095434
722226	2472	1994-06-17	VYDAJ	VYBER	29280	31911	\N	\N	\N
722227	2472	1995-06-03	VYDAJ	VYBER	11680	41676	\N	\N	\N
722228	2472	1996-06-07	VYDAJ	VYBER	38240	17025	\N	\N	\N
722229	2472	1997-06-29	VYDAJ	VYBER	28640	46102	\N	\N	\N
722230	2472	1998-06-26	VYDAJ	VYBER	5280	82940	\N	\N	\N
722232	2472	1995-01-18	VYDAJ	VYBER	6560	42231	\N	\N	\N
722233	2472	1996-01-11	VYDAJ	VYBER	11680	40919	\N	\N	\N
722234	2472	1997-01-25	VYDAJ	VYBER KARTOU	2700	54412	\N	\N	0
722235	2472	1998-01-28	VYDAJ	VYBER	15360	56638	\N	\N	\N
722236	2472	1994-12-23	VYDAJ	VYBER	2880	56286	\N	\N	\N
722237	2472	1995-12-27	VYDAJ	VYBER	4320	66249	\N	\N	\N
722238	2472	1996-12-18	VYDAJ	VYBER KARTOU	3200	75925	\N	\N	0
722239	2472	1997-12-13	VYDAJ	VYBER KARTOU	3000	97759	\N	\N	0
722240	2472	1998-12-11	VYDAJ	VYBER KARTOU	2200	84600	\N	\N	0
722247	2472	1995-01-07	VYDAJ	VYBER	1920	39845	\N	\N	\N
722248	2472	1995-01-08	VYDAJ	VYBER	2880	36965	\N	\N	\N
722249	2472	1995-01-18	VYDAJ	VYBER	840	41391	\N	\N	\N
722250	2472	1995-01-01	VYDAJ	VYBER	1440	55065	\N	\N	\N
722251	2472	1995-01-20	VYDAJ	VYBER	3480	37911	\N	\N	\N
722252	2472	1995-01-05	VYDAJ	VYBER	1200	41765	\N	\N	\N
722253	2472	1996-01-15	VYDAJ	VYBER KARTOU	1200	51545	\N	\N	0
722254	2472	1996-01-29	VYDAJ	VYBER KARTOU	1700	40945	\N	\N	0
722255	2472	1996-01-26	VYDAJ	VYBER KARTOU	1400	44345	\N	\N	0
722256	2472	1996-01-23	VYDAJ	VYBER KARTOU	2300	49245	\N	\N	0
722257	2472	1996-01-01	VYDAJ	VYBER KARTOU	3400	52599	\N	\N	0
722258	2472	1996-01-25	VYDAJ	VYBER KARTOU	3500	45745	\N	\N	0
722259	2472	1997-01-01	VYDAJ	VYBER KARTOU	3200	61486	\N	\N	0
722260	2472	1997-01-19	VYDAJ	VYBER KARTOU	2900	64412	\N	\N	0
722261	2472	1997-01-26	VYDAJ	VYBER KARTOU	1300	53112	\N	\N	0
722262	2472	1997-01-13	VYDAJ	VYBER KARTOU	2900	71421	\N	\N	0
722263	2472	1997-01-10	VYDAJ	VYBER KARTOU	3100	58386	\N	\N	0
722264	2472	1997-01-29	VYDAJ	VYBER KARTOU	2500	45452	\N	\N	0
722265	2472	1998-01-27	VYDAJ	VYBER KARTOU	600	71998	\N	\N	0
722266	2472	1998-01-16	VYDAJ	VYBER KARTOU	1300	83098	\N	\N	0
722267	2472	1998-01-21	VYDAJ	VYBER KARTOU	1800	72598	\N	\N	0
722268	2472	1998-01-06	VYDAJ	VYBER KARTOU	1100	79572	\N	\N	0
722269	2472	1998-01-30	VYDAJ	VYBER KARTOU	1800	54838	\N	\N	0
722270	2472	1998-01-10	VYDAJ	VYBER KARTOU	2200	77372	\N	\N	0
722273	2472	1994-07-14	VYDAJ	VYBER	4200	41116	\N	\N	\N
722275	2472	1995-06-30	VYDAJ	VYBER KARTOU	3400	58299	\N	\N	0
722276	2472	1995-11-26	VYDAJ	VYBER	5160	56658	\N	\N	\N
722277	2472	1996-09-24	VYDAJ	VYBER	4080	63008	\N	\N	\N
722278	2472	1996-02-11	VYDAJ	VYBER KARTOU	4000	37140	\N	\N	0
722279	2472	1996-04-08	VYDAJ	VYBER KARTOU	700	49770	\N	\N	0
722280	2472	1996-10-26	VYDAJ	VYBER	5040	56028	\N	\N	\N
722281	2472	1996-07-02	VYDAJ	VYBER KARTOU	1100	43792	\N	\N	0
722282	2472	1997-09-02	VYDAJ	VYBER KARTOU	1900	69530	\N	\N	0
722283	2472	1997-03-04	VYDAJ	VYBER KARTOU	3800	51213	\N	\N	0
722284	2472	1997-10-14	VYDAJ	VYBER	5760	81718	\N	\N	\N
722285	2472	1997-01-27	VYDAJ	VYBER	5160	47952	\N	\N	\N
722286	2472	1997-10-20	VYDAJ	VYBER	5880	71438	\N	\N	\N
722287	2472	1997-01-25	VYDAJ	VYBER KARTOU	1600	57112	\N	\N	0
722288	2472	1998-11-28	VYDAJ	VYBER KARTOU	600	86454	\N	\N	0
722289	2472	1998-01-11	VYDAJ	VYBER	4800	72572	\N	\N	\N
722290	2472	1998-06-09	VYDAJ	VYBER	5280	76927	\N	\N	\N
722291	2472	1998-07-11	VYDAJ	VYBER KARTOU	1100	82180	\N	\N	0
722292	2472	1998-12-25	VYDAJ	VYBER KARTOU	2400	84394	\N	\N	0
722299	2472	1994-06-30	VYDAJ	VYBER	15	32081	SLUZBY	\N	\N
722300	2472	1994-07-31	VYDAJ	VYBER	15	37149	SLUZBY	\N	\N
722301	2472	1994-08-31	VYDAJ	VYBER	15	41627	SLUZBY	\N	\N
722302	2472	1994-09-30	VYDAJ	VYBER	15	47026	SLUZBY	\N	\N
722303	2472	1994-10-31	VYDAJ	VYBER	15	50843	SLUZBY	\N	\N
722304	2472	1994-11-30	VYDAJ	VYBER	15	53272	SLUZBY	\N	\N
722305	2472	1994-12-31	VYDAJ	VYBER	15	56505	SLUZBY	\N	\N
722306	2472	1995-01-31	VYDAJ	VYBER	15	38072	SLUZBY	\N	\N
722307	2472	1995-02-28	VYDAJ	VYBER	15	45459	SLUZBY	\N	\N
722308	2472	1995-03-31	VYDAJ	VYBER	15	52077	SLUZBY	\N	\N
722309	2472	1995-04-30	VYDAJ	VYBER	15	55113	SLUZBY	\N	\N
722310	2472	1995-05-31	VYDAJ	VYBER	15	56256	SLUZBY	\N	\N
722311	2472	1995-06-30	VYDAJ	VYBER	15	61699	SLUZBY	\N	\N
722312	2472	1995-07-31	VYDAJ	VYBER	15	62469	SLUZBY	\N	\N
722313	2472	1995-08-31	VYDAJ	VYBER	15	63643	SLUZBY	\N	\N
722314	2472	1995-09-30	VYDAJ	VYBER	15	62917	SLUZBY	\N	\N
722315	2472	1995-10-31	VYDAJ	VYBER	15	64492	SLUZBY	\N	\N
722316	2472	1995-11-30	VYDAJ	VYBER	15	56876	SLUZBY	\N	\N
722317	2472	1995-12-31	VYDAJ	VYBER	15	55999	SLUZBY	\N	\N
722318	2472	1996-01-31	VYDAJ	VYBER	15	41140	SLUZBY	\N	\N
722319	2472	1996-02-29	VYDAJ	VYBER	15	46341	SLUZBY	\N	\N
722320	2472	1996-03-31	VYDAJ	VYBER	15	50470	SLUZBY	\N	\N
722321	2472	1996-04-30	VYDAJ	VYBER	15	51515	SLUZBY	\N	\N
722322	2472	1996-05-31	VYDAJ	VYBER	15	55265	SLUZBY	\N	\N
722323	2472	1996-06-30	VYDAJ	VYBER	15	44892	SLUZBY	\N	\N
722324	2472	1996-07-31	VYDAJ	VYBER	15	51715	SLUZBY	\N	\N
722325	2472	1996-08-31	VYDAJ	VYBER	15	55262	SLUZBY	\N	\N
722326	2472	1996-09-30	VYDAJ	VYBER	15	57242	SLUZBY	\N	\N
722327	2472	1996-10-31	VYDAJ	VYBER	15	56268	SLUZBY	\N	\N
722328	2472	1996-11-30	VYDAJ	VYBER	15	59331	SLUZBY	\N	\N
722329	2472	1996-12-31	VYDAJ	VYBER	15	64686	SLUZBY	\N	\N
722330	2472	1997-01-31	VYDAJ	VYBER	15	45689	SLUZBY	\N	\N
722331	2472	1997-02-28	VYDAJ	VYBER	15	55013	SLUZBY	\N	\N
722332	2472	1997-03-31	VYDAJ	VYBER	15	59468	SLUZBY	\N	\N
722333	2472	1997-04-30	VYDAJ	VYBER	15	65546	SLUZBY	\N	\N
722334	2472	1997-05-31	VYDAJ	VYBER	15	70549	SLUZBY	\N	\N
722335	2472	1997-06-30	VYDAJ	VYBER	15	46398	SLUZBY	\N	\N
722336	2472	1997-07-31	VYDAJ	VYBER	15	63035	SLUZBY	\N	\N
722337	2472	1997-08-31	VYDAJ	VYBER	15	71430	SLUZBY	\N	\N
722338	2472	1997-09-30	VYDAJ	VYBER	15	75652	SLUZBY	\N	\N
722339	2472	1997-10-31	VYDAJ	VYBER	15	71733	SLUZBY	\N	\N
722340	2472	1997-11-30	VYDAJ	VYBER	15	76857	SLUZBY	\N	\N
722341	2472	1997-12-31	VYDAJ	VYBER	15	80672	SLUZBY	\N	\N
722342	2472	1998-01-31	VYDAJ	VYBER	15	55133	SLUZBY	\N	\N
722343	2472	1998-02-28	VYDAJ	VYBER	15	69901	SLUZBY	\N	\N
722344	2472	1998-03-31	VYDAJ	VYBER	15	76118	SLUZBY	\N	\N
722345	2472	1998-04-30	VYDAJ	VYBER	15	80156	SLUZBY	\N	\N
722346	2472	1998-05-31	VYDAJ	VYBER	15	82207	SLUZBY	\N	\N
722347	2472	1998-06-30	VYDAJ	VYBER	15	83280	SLUZBY	\N	\N
722348	2472	1998-07-31	VYDAJ	VYBER	15	84041	SLUZBY	\N	\N
722349	2472	1998-08-31	VYDAJ	VYBER	15	84301	SLUZBY	\N	\N
722350	2472	1998-09-30	VYDAJ	VYBER	15	86665	SLUZBY	\N	\N
722351	2472	1998-10-31	VYDAJ	VYBER	15	84628	SLUZBY	\N	\N
722352	2472	1998-11-30	VYDAJ	VYBER	15	86800	SLUZBY	\N	\N
722353	2472	1994-03-10	PRIJEM	VKLAD	6200	22975	\N	\N	\N
722354	2472	1994-04-09	VYDAJ	VYBER	8400	30636	\N	\N	\N
722355	2472	1994-05-09	VYDAJ	VYBER	9800	36953	\N	\N	\N
722356	2472	1994-06-08	VYDAJ	VYBER	11700	41398	\N	\N	\N
722357	2472	1994-07-08	VYDAJ	VYBER	2700	29381	\N	\N	\N
722358	2472	1994-08-07	VYDAJ	VYBER	7500	29649	\N	\N	\N
722359	2472	1994-09-06	VYDAJ	VYBER	6600	35027	\N	\N	\N
722360	2472	1994-10-06	VYDAJ	VYBER	8200	38826	\N	\N	\N
722361	2472	1994-11-05	VYDAJ	VYBER	9600	41243	\N	\N	\N
722362	2472	1994-12-05	VYDAJ	VYBER	13900	39372	\N	\N	\N
722363	2472	1995-01-04	VYDAJ	VYBER	12100	42965	\N	\N	\N
722364	2472	1995-02-03	VYDAJ	VYBER	4600	33472	\N	\N	\N
722365	2472	1995-03-05	VYDAJ	VYBER	5400	40059	\N	\N	\N
722366	2472	1995-04-04	VYDAJ	VYBER	9000	43077	\N	\N	\N
722367	2472	1995-05-04	VYDAJ	VYBER	10900	44213	\N	\N	\N
722368	2472	1995-06-03	VYDAJ	VYBER KARTOU	2900	53356	\N	\N	0
722369	2472	1995-07-03	VYDAJ	VYBER	7900	50399	\N	\N	\N
722370	2472	1995-08-02	VYDAJ	VYBER	10900	51569	\N	\N	\N
722371	2472	1995-09-01	VYDAJ	VYBER	12800	50843	\N	\N	\N
722372	2472	1995-10-01	VYDAJ	VYBER	10500	52417	\N	\N	\N
722373	2472	1995-10-31	VYDAJ	VYBER	14500	49992	\N	\N	\N
722374	2472	1995-11-30	VYDAJ	VYBER	6100	50776	\N	\N	\N
722375	2472	1995-12-30	VYDAJ	VYBER	10500	55749	\N	\N	\N
722376	2472	1996-01-29	VYDAJ	VYBER KARTOU	1700	42645	\N	\N	0
722377	2472	1996-02-28	VYDAJ	VYBER KARTOU	2800	46166	\N	\N	0
722378	2472	1996-03-29	VYDAJ	VYBER	7900	50267	\N	\N	\N
722379	2472	1996-04-28	VYDAJ	VYBER	10300	51296	\N	\N	\N
722380	2472	1996-05-28	VYDAJ	VYBER	8300	55041	\N	\N	\N
722381	2472	1996-06-27	PRIJEM	VKLAD	7900	44718	\N	\N	\N
722382	2472	1996-07-27	VYDAJ	VYBER	4100	51518	\N	\N	\N
722383	2472	1996-08-26	VYDAJ	VYBER	8500	55041	\N	\N	\N
722384	2472	1996-09-25	VYDAJ	VYBER	6000	57008	\N	\N	\N
722385	2472	1996-10-25	VYDAJ	VYBER	8000	61068	\N	\N	\N
722386	2472	1996-11-24	VYDAJ	VYBER	9000	59094	\N	\N	\N
722387	2472	1996-12-24	VYDAJ	VYBER	11500	64425	\N	\N	\N
722388	2472	1997-01-23	VYDAJ	VYBER	5700	58712	\N	\N	\N
722389	2472	1997-02-22	VYDAJ	VYBER KARTOU	2700	54815	\N	\N	0
722390	2472	1997-03-24	VYDAJ	VYBER KARTOU	3800	59239	\N	\N	0
722391	2472	1997-04-23	VYDAJ	VYBER	6000	65294	\N	\N	\N
722392	2472	1997-05-23	VYDAJ	VYBER	7100	70272	\N	\N	\N
722393	2472	1997-06-22	VYDAJ	VYBER	15600	74742	\N	\N	\N
722394	2472	1997-07-22	PRIJEM	VKLAD	4600	62824	\N	\N	\N
722395	2472	1997-08-21	VYDAJ	VYBER KARTOU	3700	71161	\N	\N	0
722396	2472	1997-09-20	VYDAJ	VYBER	6000	75356	\N	\N	\N
722397	2472	1997-10-20	VYDAJ	VYBER	4400	77318	\N	\N	\N
722398	2472	1997-11-19	VYDAJ	VYBER	7000	76559	\N	\N	\N
722399	2472	1997-12-19	VYDAJ	VYBER	13300	80350	\N	\N	\N
722400	2472	1998-01-18	VYDAJ	VYBER	8700	74398	\N	\N	\N
722401	2472	1998-02-17	PRIJEM	VKLAD	2700	69659	\N	\N	\N
722402	2472	1998-03-19	VYDAJ	VYBER	5900	75827	\N	\N	\N
722403	2472	1998-04-18	VYDAJ	VYBER	8100	79844	\N	\N	\N
722404	2472	1998-05-18	VYDAJ	VYBER	10100	81882	\N	\N	\N
722405	2472	1998-06-17	VYDAJ	VYBER	8500	88220	\N	\N	\N
722406	2472	1998-07-17	VYDAJ	VYBER	10300	83706	\N	\N	\N
722407	2472	1998-08-16	VYDAJ	VYBER	11900	83967	\N	\N	\N
722408	2472	1998-09-15	VYDAJ	VYBER	9800	86327	\N	\N	\N
722409	2472	1998-10-15	VYDAJ	VYBER	14200	84291	\N	\N	\N
722410	2472	1998-11-14	VYDAJ	VYBER	9400	91163	\N	\N	\N
722411	2472	1998-12-14	VYDAJ	VYBER	17600	86794	\N	\N	\N
722471	2473	1996-02-16	PRIJEM	VKLAD	200	200	\N	\N	\N
722474	2473	1996-03-09	PRIJEM	PREVOD Z UCTU	2995	3195	\N	WX	49238216
722475	2473	1996-04-09	PRIJEM	PREVOD Z UCTU	2995	6190	\N	WX	49238216
722476	2473	1996-05-09	PRIJEM	PREVOD Z UCTU	2995	9185	\N	WX	49238216
722477	2473	1996-06-09	PRIJEM	PREVOD Z UCTU	2995	12180	\N	WX	49238216
722478	2473	1996-07-09	PRIJEM	PREVOD Z UCTU	2995	15175	\N	WX	49238216
722479	2473	1996-08-09	PRIJEM	PREVOD Z UCTU	2995	16197	\N	WX	49238216
722480	2473	1996-09-09	PRIJEM	PREVOD Z UCTU	2995	17241	\N	WX	49238216
722481	2473	1996-10-09	PRIJEM	PREVOD Z UCTU	2995	18290	\N	WX	49238216
722482	2473	1996-11-09	PRIJEM	PREVOD Z UCTU	2995	19342	\N	WX	49238216
722483	2473	1996-12-09	PRIJEM	PREVOD Z UCTU	2995	18926	\N	WX	49238216
722484	2473	1997-01-09	PRIJEM	PREVOD Z UCTU	2995	18480	\N	WX	49238216
722485	2473	1997-02-09	PRIJEM	PREVOD Z UCTU	2995	17070	\N	WX	49238216
722486	2473	1997-03-09	PRIJEM	PREVOD Z UCTU	2995	18118	\N	WX	49238216
722487	2473	1997-04-09	PRIJEM	PREVOD Z UCTU	2995	18659	\N	WX	49238216
722488	2473	1997-05-09	PRIJEM	PREVOD Z UCTU	2995	19563	\N	WX	49238216
722489	2473	1997-06-09	PRIJEM	PREVOD Z UCTU	2995	20621	\N	WX	49238216
722490	2473	1997-07-09	PRIJEM	PREVOD Z UCTU	2995	15556	\N	WX	49238216
722491	2473	1997-08-09	PRIJEM	PREVOD Z UCTU	2995	16598	\N	WX	49238216
722492	2473	1997-09-09	PRIJEM	PREVOD Z UCTU	2995	17644	\N	WX	49238216
722493	2473	1997-10-09	PRIJEM	PREVOD Z UCTU	2995	18694	\N	WX	49238216
722494	2473	1997-11-09	PRIJEM	PREVOD Z UCTU	2995	19748	\N	WX	49238216
722495	2473	1997-12-09	PRIJEM	PREVOD Z UCTU	2995	20266	\N	WX	49238216
722496	2473	1998-01-09	PRIJEM	PREVOD Z UCTU	2995	20037	\N	WX	49238216
722497	2473	1998-02-09	PRIJEM	PREVOD Z UCTU	2995	18635	\N	WX	49238216
722498	2473	1998-03-09	PRIJEM	PREVOD Z UCTU	2995	19689	\N	WX	49238216
722499	2473	1998-04-09	PRIJEM	PREVOD Z UCTU	2995	20747	\N	WX	49238216
722500	2473	1998-05-09	PRIJEM	PREVOD Z UCTU	2995	21660	\N	WX	49238216
722501	2473	1998-06-09	PRIJEM	PREVOD Z UCTU	2995	21373	\N	WX	49238216
722502	2473	1998-07-09	PRIJEM	PREVOD Z UCTU	2995	20964	\N	WX	49238216
722503	2473	1998-08-09	PRIJEM	PREVOD Z UCTU	2995	22028	\N	WX	49238216
722504	2473	1998-09-09	PRIJEM	PREVOD Z UCTU	2995	23096	\N	WX	49238216
722505	2473	1998-10-09	PRIJEM	PREVOD Z UCTU	2995	23718	\N	WX	49238216
722506	2473	1998-11-09	PRIJEM	PREVOD Z UCTU	2995	23650	\N	WX	49238216
722507	2473	1998-12-09	PRIJEM	PREVOD Z UCTU	2995	24215	\N	WX	49238216
722514	2473	1996-07-11	VYDAJ	PREVOD NA UCET	1760	13415	\N	IJ	16836262
722515	2473	1996-08-11	VYDAJ	PREVOD NA UCET	1760	14437	\N	IJ	16836262
722516	2473	1996-09-11	VYDAJ	PREVOD NA UCET	1760	15481	\N	IJ	16836262
722517	2473	1996-10-11	VYDAJ	PREVOD NA UCET	1760	16530	\N	IJ	16836262
722518	2473	1996-11-11	VYDAJ	PREVOD NA UCET	1760	17582	\N	IJ	16836262
722519	2473	1996-12-11	VYDAJ	PREVOD NA UCET	1760	17166	\N	IJ	16836262
722520	2473	1997-01-11	VYDAJ	PREVOD NA UCET	1760	16480	\N	IJ	16836262
722521	2473	1997-02-11	VYDAJ	PREVOD NA UCET	1760	15310	\N	IJ	16836262
722522	2473	1997-03-11	VYDAJ	PREVOD NA UCET	1760	16358	\N	IJ	16836262
722523	2473	1997-04-11	VYDAJ	PREVOD NA UCET	1760	16899	\N	IJ	16836262
722524	2473	1997-05-11	VYDAJ	PREVOD NA UCET	1760	17803	\N	IJ	16836262
722525	2473	1997-06-11	VYDAJ	PREVOD NA UCET	1760	18861	\N	IJ	16836262
722526	2473	1997-07-11	VYDAJ	PREVOD NA UCET	1760	13796	\N	IJ	16836262
722527	2473	1997-08-11	VYDAJ	PREVOD NA UCET	1760	14838	\N	IJ	16836262
722528	2473	1997-09-11	VYDAJ	PREVOD NA UCET	1760	15884	\N	IJ	16836262
722529	2473	1997-10-11	VYDAJ	PREVOD NA UCET	1760	16934	\N	IJ	16836262
722530	2473	1997-11-11	VYDAJ	PREVOD NA UCET	1760	17988	\N	IJ	16836262
722531	2473	1997-12-11	VYDAJ	PREVOD NA UCET	1760	18506	\N	IJ	16836262
722532	2473	1998-01-11	VYDAJ	PREVOD NA UCET	1760	18277	\N	IJ	16836262
722533	2473	1998-02-11	VYDAJ	PREVOD NA UCET	1760	16875	\N	IJ	16836262
722534	2473	1998-03-11	VYDAJ	PREVOD NA UCET	1760	17929	\N	IJ	16836262
722535	2473	1998-04-11	VYDAJ	PREVOD NA UCET	1760	18987	\N	IJ	16836262
722536	2473	1998-05-11	VYDAJ	PREVOD NA UCET	1760	19900	\N	IJ	16836262
722537	2473	1998-06-11	VYDAJ	PREVOD NA UCET	1760	18143	\N	IJ	16836262
722538	2473	1998-07-11	VYDAJ	PREVOD NA UCET	1760	19204	\N	IJ	16836262
722539	2473	1998-08-11	VYDAJ	PREVOD NA UCET	1760	20268	\N	IJ	16836262
722540	2473	1998-09-11	VYDAJ	PREVOD NA UCET	1760	21336	\N	IJ	16836262
722541	2473	1998-10-11	VYDAJ	PREVOD NA UCET	1760	21958	\N	IJ	16836262
722542	2473	1998-11-11	VYDAJ	PREVOD NA UCET	1760	21890	\N	IJ	16836262
722543	2473	1998-12-11	VYDAJ	PREVOD NA UCET	1760	22455	\N	IJ	16836262
722551	2473	1996-08-05	VYDAJ	PREVOD NA UCET	236	13202	\N	IJ	87259512
722552	2473	1996-09-05	VYDAJ	PREVOD NA UCET	236	14246	\N	IJ	87259512
722553	2473	1996-10-05	VYDAJ	PREVOD NA UCET	236	15295	\N	IJ	87259512
722554	2473	1996-11-05	VYDAJ	PREVOD NA UCET	236	16347	\N	IJ	87259512
722893	2474	1998-09-07	PRIJEM	VKLAD	200	13639	\N	\N	\N
722555	2473	1996-12-05	VYDAJ	PREVOD NA UCET	236	15931	\N	IJ	87259512
722556	2473	1997-01-05	VYDAJ	PREVOD NA UCET	236	15905	\N	IJ	87259512
722557	2473	1997-02-05	VYDAJ	PREVOD NA UCET	236	14075	\N	IJ	87259512
722558	2473	1997-03-05	VYDAJ	PREVOD NA UCET	236	15123	\N	IJ	87259512
722559	2473	1997-04-05	VYDAJ	PREVOD NA UCET	236	15664	\N	IJ	87259512
722560	2473	1997-05-05	VYDAJ	PREVOD NA UCET	236	16568	\N	IJ	87259512
722561	2473	1997-06-05	VYDAJ	PREVOD NA UCET	236	17626	\N	IJ	87259512
722562	2473	1997-07-05	VYDAJ	PREVOD NA UCET	236	12561	\N	IJ	87259512
722563	2473	1997-08-05	VYDAJ	PREVOD NA UCET	236	13603	\N	IJ	87259512
722564	2473	1997-09-05	VYDAJ	PREVOD NA UCET	236	14649	\N	IJ	87259512
722565	2473	1997-10-05	VYDAJ	PREVOD NA UCET	236	15699	\N	IJ	87259512
722566	2473	1997-11-05	VYDAJ	PREVOD NA UCET	236	16753	\N	IJ	87259512
722567	2473	1997-12-05	VYDAJ	PREVOD NA UCET	236	17271	\N	IJ	87259512
722568	2473	1998-01-05	VYDAJ	PREVOD NA UCET	236	17042	\N	IJ	87259512
722569	2473	1998-02-05	VYDAJ	PREVOD NA UCET	236	15640	\N	IJ	87259512
722570	2473	1998-03-05	VYDAJ	PREVOD NA UCET	236	16694	\N	IJ	87259512
722571	2473	1998-04-05	VYDAJ	PREVOD NA UCET	236	17752	\N	IJ	87259512
722572	2473	1998-05-05	VYDAJ	PREVOD NA UCET	236	18665	\N	IJ	87259512
722573	2473	1998-06-05	VYDAJ	PREVOD NA UCET	236	18378	\N	IJ	87259512
722574	2473	1998-07-05	VYDAJ	PREVOD NA UCET	236	17969	\N	IJ	87259512
722575	2473	1998-08-05	VYDAJ	PREVOD NA UCET	236	19033	\N	IJ	87259512
722576	2473	1998-09-05	VYDAJ	PREVOD NA UCET	236	20101	\N	IJ	87259512
722577	2473	1998-10-05	VYDAJ	PREVOD NA UCET	236	20723	\N	IJ	87259512
722578	2473	1998-11-05	VYDAJ	PREVOD NA UCET	236	20655	\N	IJ	87259512
722579	2473	1998-12-05	VYDAJ	PREVOD NA UCET	236	21730	\N	IJ	87259512
722581	2473	1997-06-20	VYDAJ	VYBER	3930	14931	\N	\N	\N
722582	2473	1998-06-10	VYDAJ	VYBER	1260	20113	\N	\N	\N
722583	2473	1996-12-17	VYDAJ	VYBER	810	16356	\N	\N	\N
722584	2473	1997-12-03	VYDAJ	VYBER	540	17507	\N	\N	\N
722585	2473	1998-12-07	VYDAJ	VYBER	510	21220	\N	\N	\N
722592	2473	1997-01-02	VYDAJ	VYBER	270	16141	\N	\N	\N
722593	2473	1997-01-29	VYDAJ	VYBER	840	14260	\N	\N	\N
722594	2473	1997-01-08	VYDAJ	VYBER	420	15485	\N	\N	\N
722595	2473	1997-01-10	VYDAJ	VYBER	240	18240	\N	\N	\N
722596	2473	1997-01-14	VYDAJ	VYBER	660	15820	\N	\N	\N
722597	2473	1997-01-23	VYDAJ	VYBER	480	15100	\N	\N	\N
722598	2473	1998-01-30	VYDAJ	VYBER	510	15817	\N	\N	\N
722599	2473	1998-01-25	VYDAJ	VYBER	420	17077	\N	\N	\N
722600	2473	1998-01-02	VYDAJ	VYBER	810	17278	\N	\N	\N
722601	2473	1998-01-02	VYDAJ	VYBER	480	18088	\N	\N	\N
722602	2473	1998-01-12	VYDAJ	VYBER	300	17977	\N	\N	\N
722603	2473	1998-01-29	VYDAJ	VYBER	750	16327	\N	\N	\N
722606	2473	1996-11-17	VYDAJ	VYBER	1470	16112	\N	\N	\N
722608	2473	1997-06-25	VYDAJ	VYBER	870	14061	\N	\N	\N
722609	2473	1997-03-22	VYDAJ	VYBER	510	15848	\N	\N	\N
722610	2473	1997-04-13	VYDAJ	VYBER	150	16749	\N	\N	\N
722611	2473	1997-01-19	VYDAJ	VYBER	240	15580	\N	\N	\N
722612	2473	1997-07-02	VYDAJ	VYBER	1320	12797	\N	\N	\N
722613	2473	1998-04-14	VYDAJ	VYBER	150	18837	\N	\N	\N
722614	2473	1998-01-25	VYDAJ	VYBER	480	17497	\N	\N	\N
722615	2473	1998-06-11	VYDAJ	VYBER	210	19903	\N	\N	\N
722616	2473	1998-05-17	VYDAJ	VYBER	1350	18550	\N	\N	\N
722617	2473	1998-09-25	VYDAJ	VYBER	450	20886	\N	\N	\N
722618	2473	1998-10-16	VYDAJ	VYBER	1140	20818	\N	\N	\N
722626	2473	1996-07-31	VYDAJ	VYBER	15	13438	SLUZBY	\N	\N
722627	2473	1996-08-31	VYDAJ	VYBER	15	14482	SLUZBY	\N	\N
722628	2473	1996-09-30	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
722629	2473	1996-10-31	VYDAJ	VYBER	15	16583	SLUZBY	\N	\N
722630	2473	1996-11-30	VYDAJ	VYBER	15	16167	SLUZBY	\N	\N
722631	2473	1996-12-31	VYDAJ	VYBER	15	16411	SLUZBY	\N	\N
722632	2473	1997-01-31	VYDAJ	VYBER	15	14311	SLUZBY	\N	\N
722633	2473	1997-02-28	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
722634	2473	1997-03-31	VYDAJ	VYBER	15	15900	SLUZBY	\N	\N
722635	2473	1997-04-30	VYDAJ	VYBER	15	16804	SLUZBY	\N	\N
722636	2473	1997-05-31	VYDAJ	VYBER	15	17862	SLUZBY	\N	\N
722637	2473	1997-06-30	VYDAJ	VYBER	15	14117	SLUZBY	\N	\N
722638	2473	1997-07-31	VYDAJ	VYBER	15	13839	SLUZBY	\N	\N
722639	2473	1997-08-31	VYDAJ	VYBER	15	14885	SLUZBY	\N	\N
722640	2473	1997-09-30	VYDAJ	VYBER	15	15935	SLUZBY	\N	\N
722641	2473	1997-10-31	VYDAJ	VYBER	15	16989	SLUZBY	\N	\N
722642	2473	1997-11-30	VYDAJ	VYBER	15	18047	SLUZBY	\N	\N
722643	2473	1997-12-31	VYDAJ	VYBER	15	18568	SLUZBY	\N	\N
722644	2473	1998-01-31	VYDAJ	VYBER	15	15876	SLUZBY	\N	\N
722645	2473	1998-02-28	VYDAJ	VYBER	15	16930	SLUZBY	\N	\N
722646	2473	1998-03-31	VYDAJ	VYBER	15	17988	SLUZBY	\N	\N
722647	2473	1998-04-30	VYDAJ	VYBER	15	18901	SLUZBY	\N	\N
722648	2473	1998-05-31	VYDAJ	VYBER	15	18614	SLUZBY	\N	\N
722649	2473	1998-06-30	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
722650	2473	1998-07-31	VYDAJ	VYBER	15	19269	SLUZBY	\N	\N
722651	2473	1998-08-31	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
722652	2473	1998-09-30	VYDAJ	VYBER	15	20959	SLUZBY	\N	\N
722653	2473	1998-10-31	VYDAJ	VYBER	15	20891	SLUZBY	\N	\N
722654	2473	1998-11-30	VYDAJ	VYBER	15	21966	SLUZBY	\N	\N
722685	2474	1996-04-20	PRIJEM	VKLAD	200	200	\N	\N	\N
722690	2474	1996-05-11	PRIJEM	PREVOD Z UCTU	3559	3759	\N	YZ	85524874
722691	2474	1996-06-11	PRIJEM	PREVOD Z UCTU	3559	15938	\N	YZ	85524874
722692	2474	1996-07-11	PRIJEM	PREVOD Z UCTU	3559	20356	\N	YZ	85524874
722693	2474	1996-08-11	PRIJEM	PREVOD Z UCTU	3559	21887	\N	YZ	85524874
722694	2474	1996-09-11	PRIJEM	PREVOD Z UCTU	3559	24427	\N	YZ	85524874
722695	2474	1996-10-11	PRIJEM	PREVOD Z UCTU	3559	19559	\N	YZ	85524874
722696	2474	1996-11-11	PRIJEM	PREVOD Z UCTU	3559	17997	\N	YZ	85524874
722697	2474	1996-12-11	PRIJEM	PREVOD Z UCTU	3559	21708	\N	YZ	85524874
722698	2474	1997-01-11	PRIJEM	PREVOD Z UCTU	3559	23292	\N	YZ	85524874
722699	2474	1997-02-11	PRIJEM	PREVOD Z UCTU	3559	23861	\N	YZ	85524874
722700	2474	1997-03-11	PRIJEM	PREVOD Z UCTU	3559	21314	\N	YZ	85524874
722701	2474	1997-04-11	PRIJEM	PREVOD Z UCTU	3559	21561	\N	YZ	85524874
722702	2474	1997-05-11	PRIJEM	PREVOD Z UCTU	3559	17433	\N	YZ	85524874
722703	2474	1997-06-11	PRIJEM	PREVOD Z UCTU	3559	13858	\N	YZ	85524874
722704	2474	1997-07-11	PRIJEM	PREVOD Z UCTU	3559	14375	\N	YZ	85524874
722705	2474	1997-08-11	PRIJEM	PREVOD Z UCTU	3559	14793	\N	YZ	85524874
722706	2474	1997-09-11	PRIJEM	PREVOD Z UCTU	3559	16617	\N	YZ	85524874
722707	2474	1997-10-11	PRIJEM	PREVOD Z UCTU	3559	15441	\N	YZ	85524874
722708	2474	1997-11-11	PRIJEM	PREVOD Z UCTU	3559	17669	\N	YZ	85524874
722709	2474	1997-12-11	PRIJEM	PREVOD Z UCTU	3559	17381	\N	YZ	85524874
722710	2474	1998-01-11	PRIJEM	PREVOD Z UCTU	3559	16173	\N	YZ	85524874
722711	2474	1998-02-11	PRIJEM	PREVOD Z UCTU	3559	15801	\N	YZ	85524874
722712	2474	1998-03-11	PRIJEM	PREVOD Z UCTU	3559	17029	\N	YZ	85524874
722713	2474	1998-04-11	PRIJEM	PREVOD Z UCTU	3559	16759	\N	YZ	85524874
722714	2474	1998-05-11	PRIJEM	PREVOD Z UCTU	3559	14991	\N	YZ	85524874
722715	2474	1998-06-11	PRIJEM	PREVOD Z UCTU	3559	14019	\N	YZ	85524874
722716	2474	1998-07-11	PRIJEM	PREVOD Z UCTU	3559	16142	\N	YZ	85524874
722717	2474	1998-08-11	PRIJEM	PREVOD Z UCTU	3559	15769	\N	YZ	85524874
722718	2474	1998-09-11	PRIJEM	PREVOD Z UCTU	3559	17198	\N	YZ	85524874
722719	2474	1998-10-11	PRIJEM	PREVOD Z UCTU	3559	16730	\N	YZ	85524874
722720	2474	1998-11-11	PRIJEM	PREVOD Z UCTU	3559	17723	\N	YZ	85524874
722721	2474	1998-12-11	PRIJEM	PREVOD Z UCTU	3559	17757	\N	YZ	85524874
722730	2474	1996-09-14	VYDAJ	PREVOD NA UCET	121	22055	SIPO	QR	31394452
722731	2474	1996-10-14	VYDAJ	PREVOD NA UCET	121	17187	SIPO	QR	31394452
722732	2474	1996-11-14	VYDAJ	PREVOD NA UCET	121	15625	SIPO	QR	31394452
722733	2474	1996-12-14	VYDAJ	PREVOD NA UCET	121	18466	SIPO	QR	31394452
722734	2474	1997-01-14	VYDAJ	PREVOD NA UCET	121	20920	SIPO	QR	31394452
722735	2474	1997-02-14	VYDAJ	PREVOD NA UCET	121	18889	SIPO	QR	31394452
722736	2474	1997-03-14	VYDAJ	PREVOD NA UCET	121	18942	SIPO	QR	31394452
722737	2474	1997-04-14	VYDAJ	PREVOD NA UCET	121	19189	SIPO	QR	31394452
722738	2474	1997-05-14	VYDAJ	PREVOD NA UCET	121	15061	SIPO	QR	31394452
722739	2474	1997-06-14	VYDAJ	PREVOD NA UCET	121	11486	SIPO	QR	31394452
722740	2474	1997-07-14	VYDAJ	PREVOD NA UCET	121	11203	SIPO	QR	31394452
722741	2474	1997-08-14	VYDAJ	PREVOD NA UCET	121	13021	SIPO	QR	31394452
722742	2474	1997-09-14	VYDAJ	PREVOD NA UCET	121	11845	SIPO	QR	31394452
722743	2474	1997-10-14	VYDAJ	PREVOD NA UCET	121	14069	SIPO	QR	31394452
722744	2474	1997-11-14	VYDAJ	PREVOD NA UCET	121	14497	SIPO	QR	31394452
722745	2474	1997-12-14	VYDAJ	PREVOD NA UCET	121	13709	SIPO	QR	31394452
722746	2474	1998-01-14	VYDAJ	PREVOD NA UCET	121	13501	SIPO	QR	31394452
722747	2474	1998-02-14	VYDAJ	PREVOD NA UCET	121	13429	SIPO	QR	31394452
722748	2474	1998-03-14	VYDAJ	PREVOD NA UCET	121	13957	SIPO	QR	31394452
722749	2474	1998-04-14	VYDAJ	PREVOD NA UCET	121	14387	SIPO	QR	31394452
722750	2474	1998-05-14	VYDAJ	PREVOD NA UCET	121	12619	SIPO	QR	31394452
722751	2474	1998-06-14	VYDAJ	PREVOD NA UCET	121	11647	SIPO	QR	31394452
722752	2474	1998-07-14	VYDAJ	PREVOD NA UCET	121	13770	SIPO	QR	31394452
722753	2474	1998-08-14	VYDAJ	PREVOD NA UCET	121	13397	SIPO	QR	31394452
722754	2474	1998-09-14	VYDAJ	PREVOD NA UCET	121	14826	SIPO	QR	31394452
722755	2474	1998-10-14	VYDAJ	PREVOD NA UCET	121	14358	SIPO	QR	31394452
722756	2474	1998-11-14	VYDAJ	PREVOD NA UCET	121	15351	SIPO	QR	31394452
722757	2474	1998-12-14	VYDAJ	PREVOD NA UCET	121	15205	SIPO	QR	31394452
722766	2474	1996-09-13	VYDAJ	PREVOD NA UCET	2251	22176	 	AB	28422999
722767	2474	1996-10-13	VYDAJ	PREVOD NA UCET	2251	17308	 	AB	28422999
722768	2474	1996-11-13	VYDAJ	PREVOD NA UCET	2251	15746	 	AB	28422999
722769	2474	1996-12-13	VYDAJ	PREVOD NA UCET	2251	18587	 	AB	28422999
722770	2474	1997-01-13	VYDAJ	PREVOD NA UCET	2251	21041	 	AB	28422999
722771	2474	1997-02-13	VYDAJ	PREVOD NA UCET	2251	21610	 	AB	28422999
722772	2474	1997-03-13	VYDAJ	PREVOD NA UCET	2251	19063	 	AB	28422999
722773	2474	1997-04-13	VYDAJ	PREVOD NA UCET	2251	19310	 	AB	28422999
722774	2474	1997-05-13	VYDAJ	PREVOD NA UCET	2251	15182	 	AB	28422999
722775	2474	1997-06-13	VYDAJ	PREVOD NA UCET	2251	11607	 	AB	28422999
722776	2474	1997-07-13	VYDAJ	PREVOD NA UCET	2251	12124	 	AB	28422999
722777	2474	1997-08-13	VYDAJ	PREVOD NA UCET	2251	13142	 	AB	28422999
722778	2474	1997-09-13	VYDAJ	PREVOD NA UCET	2251	11966	 	AB	28422999
722779	2474	1997-10-13	VYDAJ	PREVOD NA UCET	2251	14190	 	AB	28422999
722780	2474	1997-11-13	VYDAJ	PREVOD NA UCET	2251	14618	 	AB	28422999
722781	2474	1997-12-13	VYDAJ	PREVOD NA UCET	2251	13830	 	AB	28422999
722782	2474	1998-01-13	VYDAJ	PREVOD NA UCET	2251	13622	 	AB	28422999
722783	2474	1998-02-13	VYDAJ	PREVOD NA UCET	2251	13550	 	AB	28422999
722784	2474	1998-03-13	VYDAJ	PREVOD NA UCET	2251	14078	 	AB	28422999
722785	2474	1998-04-13	VYDAJ	PREVOD NA UCET	2251	14508	 	AB	28422999
722786	2474	1998-05-13	VYDAJ	PREVOD NA UCET	2251	12740	 	AB	28422999
722787	2474	1998-06-13	VYDAJ	PREVOD NA UCET	2251	11768	 	AB	28422999
722788	2474	1998-07-13	VYDAJ	PREVOD NA UCET	2251	13891	 	AB	28422999
722789	2474	1998-08-13	VYDAJ	PREVOD NA UCET	2251	13518	 	AB	28422999
722790	2474	1998-09-13	VYDAJ	PREVOD NA UCET	2251	14947	 	AB	28422999
722791	2474	1998-10-13	VYDAJ	PREVOD NA UCET	2251	14479	 	AB	28422999
722792	2474	1998-11-13	VYDAJ	PREVOD NA UCET	2251	15472	 	AB	28422999
722793	2474	1998-12-13	VYDAJ	PREVOD NA UCET	2251	15326	 	AB	28422999
722797	2474	1996-12-12	VYDAJ	VYBER	870	20838	\N	\N	\N
722798	2474	1997-12-07	VYDAJ	VYBER	720	13822	\N	\N	\N
722799	2474	1998-12-12	VYDAJ	VYBER	180	17577	\N	\N	\N
722806	2474	1997-01-17	VYDAJ	VYBER	150	21670	\N	\N	\N
722807	2474	1997-01-21	VYDAJ	VYBER	300	20950	\N	\N	\N
722808	2474	1997-01-04	VYDAJ	VYBER	720	19733	\N	\N	\N
722809	2474	1997-01-30	VYDAJ	VYBER	450	20230	\N	\N	\N
722810	2474	1997-01-18	VYDAJ	VYBER	420	21250	\N	\N	\N
722811	2474	1997-01-01	VYDAJ	VYBER	180	20453	\N	\N	\N
722812	2474	1998-01-01	VYDAJ	VYBER	630	13124	\N	\N	\N
722813	2474	1998-01-12	VYDAJ	VYBER	300	15873	\N	\N	\N
722814	2474	1998-01-27	VYDAJ	VYBER	300	13201	\N	\N	\N
722815	2474	1998-01-04	VYDAJ	VYBER	510	12614	\N	\N	\N
722817	2474	1998-01-30	VYDAJ	VYBER	600	12601	\N	\N	\N
722818	2474	1996-11-19	VYDAJ	VYBER	330	18095	\N	\N	\N
722821	2474	1996-10-10	VYDAJ	VYBER	720	16000	\N	\N	\N
722823	2474	1997-05-08	VYDAJ	VYBER	1470	13874	\N	\N	\N
722825	2474	1997-02-25	VYDAJ	VYBER	1200	17689	\N	\N	\N
722826	2474	1997-01-21	VYDAJ	VYBER	270	20680	\N	\N	\N
722829	2474	1998-10-16	VYDAJ	VYBER	240	14118	\N	\N	\N
722839	2474	1996-09-30	VYDAJ	VYBER	15	16720	SLUZBY	\N	\N
722840	2474	1996-10-31	VYDAJ	VYBER	15	14438	SLUZBY	\N	\N
722841	2474	1996-11-30	VYDAJ	VYBER	15	18149	SLUZBY	\N	\N
722842	2474	1996-12-31	VYDAJ	VYBER	15	20633	SLUZBY	\N	\N
722843	2474	1997-01-31	VYDAJ	VYBER	15	20302	SLUZBY	\N	\N
722844	2474	1997-02-28	VYDAJ	VYBER	15	17755	SLUZBY	\N	\N
722845	2474	1997-03-31	VYDAJ	VYBER	15	18002	SLUZBY	\N	\N
722846	2474	1997-04-30	VYDAJ	VYBER	15	15344	SLUZBY	\N	\N
722847	2474	1997-05-31	VYDAJ	VYBER	15	10299	SLUZBY	\N	\N
722848	2474	1997-06-30	VYDAJ	VYBER	15	10816	SLUZBY	\N	\N
722849	2474	1997-07-31	VYDAJ	VYBER	15	11234	SLUZBY	\N	\N
722850	2474	1997-08-31	VYDAJ	VYBER	15	13058	SLUZBY	\N	\N
722851	2474	1997-09-30	VYDAJ	VYBER	15	11882	SLUZBY	\N	\N
722852	2474	1997-10-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
722853	2474	1997-11-30	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
722854	2474	1997-12-31	VYDAJ	VYBER	15	13754	SLUZBY	\N	\N
722855	2474	1998-01-31	VYDAJ	VYBER	15	12642	SLUZBY	\N	\N
722856	2474	1998-02-28	VYDAJ	VYBER	15	13470	SLUZBY	\N	\N
722857	2474	1998-03-31	VYDAJ	VYBER	15	14000	SLUZBY	\N	\N
722858	2474	1998-04-30	VYDAJ	VYBER	15	14432	SLUZBY	\N	\N
722859	2474	1998-05-31	VYDAJ	VYBER	15	12660	SLUZBY	\N	\N
722860	2474	1998-06-30	VYDAJ	VYBER	15	11683	SLUZBY	\N	\N
722861	2474	1998-07-31	VYDAJ	VYBER	15	13810	SLUZBY	\N	\N
722862	2474	1998-08-31	VYDAJ	VYBER	15	13439	SLUZBY	\N	\N
722863	2474	1998-09-30	VYDAJ	VYBER	15	14871	SLUZBY	\N	\N
722864	2474	1998-10-31	VYDAJ	VYBER	15	14164	SLUZBY	\N	\N
722865	2474	1998-11-30	VYDAJ	VYBER	15	15398	SLUZBY	\N	\N
722866	2474	1996-05-20	PRIJEM	VKLAD	8600	12359	\N	\N	\N
722867	2474	1996-06-19	PRIJEM	VKLAD	800	16738	\N	\N	\N
722868	2474	1996-07-19	VYDAJ	VYBER	2100	18256	\N	\N	\N
722869	2474	1996-08-18	VYDAJ	VYBER	1100	20787	\N	\N	\N
722870	2474	1996-09-17	VYDAJ	VYBER	5400	16655	\N	\N	\N
722871	2474	1996-10-17	VYDAJ	VYBER	2800	14387	\N	\N	\N
722872	2474	1996-11-16	PRIJEM	VKLAD	2800	18425	\N	\N	\N
722873	2474	1996-12-16	PRIJEM	VKLAD	2100	20566	\N	\N	\N
722874	2474	1997-01-15	PRIJEM	VKLAD	900	21820	\N	\N	\N
722875	2474	1997-02-14	VYDAJ	VYBER	2600	19010	\N	\N	\N
722876	2474	1997-03-16	VYDAJ	VYBER	1000	17942	\N	\N	\N
722877	2474	1997-04-15	VYDAJ	VYBER	3900	15289	\N	\N	\N
722878	2474	1997-05-15	VYDAJ	VYBER	4800	10261	\N	\N	\N
722879	2474	1997-06-14	VYDAJ	VYBER	700	10786	\N	\N	\N
722880	2474	1997-07-14	VYDAJ	VYBER	800	11324	\N	\N	\N
722881	2474	1997-08-13	PRIJEM	VKLAD	600	15393	\N	\N	\N
722882	2474	1997-09-12	VYDAJ	VYBER	2400	14217	\N	\N	\N
722883	2474	1997-10-12	PRIJEM	VKLAD	1000	16441	\N	\N	\N
722884	2474	1997-11-11	VYDAJ	VYBER	800	16869	\N	\N	\N
722885	2474	1997-12-11	VYDAJ	VYBER	1300	16081	\N	\N	\N
722886	2474	1998-02-09	VYDAJ	VYBER	400	12242	\N	\N	\N
722887	2474	1998-03-11	VYDAJ	VYBER	700	16329	\N	\N	\N
722888	2474	1998-04-10	VYDAJ	VYBER	800	13200	\N	\N	\N
722889	2474	1998-05-10	VYDAJ	VYBER	3000	11432	\N	\N	\N
722890	2474	1998-06-09	VYDAJ	VYBER	2200	10460	\N	\N	\N
722891	2474	1998-07-09	PRIJEM	VKLAD	900	12583	\N	\N	\N
722892	2474	1998-08-08	VYDAJ	VYBER	1600	12210	\N	\N	\N
722894	2474	1998-10-07	VYDAJ	VYBER	1700	13171	\N	\N	\N
722895	2474	1998-12-06	VYDAJ	VYBER	1200	14198	\N	\N	\N
722928	2475	1996-10-13	PRIJEM	VKLAD	600	600	\N	\N	\N
722939	2475	1996-11-12	PRIJEM	VKLAD	12417	13017	\N	\N	\N
722940	2475	1996-12-12	PRIJEM	VKLAD	18626	35587	\N	\N	\N
722941	2475	1997-01-12	PRIJEM	VKLAD	12417	36606	\N	\N	\N
722942	2475	1997-02-12	PRIJEM	VKLAD	12417	41064	\N	\N	\N
722943	2475	1997-03-12	PRIJEM	VKLAD	12417	53645	\N	\N	\N
722944	2475	1997-04-12	PRIJEM	VKLAD	12417	40622	\N	\N	\N
722945	2475	1997-05-12	PRIJEM	VKLAD	12417	38083	\N	\N	\N
722946	2475	1997-06-12	PRIJEM	VKLAD	18626	43555	\N	\N	\N
722947	2475	1997-07-12	PRIJEM	VKLAD	12417	28860	\N	\N	\N
722948	2475	1997-08-12	PRIJEM	VKLAD	12417	36769	\N	\N	\N
722949	2475	1997-09-12	PRIJEM	VKLAD	12417	38221	\N	\N	\N
722950	2475	1997-10-12	PRIJEM	VKLAD	12417	35346	\N	\N	\N
722951	2475	1997-11-12	PRIJEM	VKLAD	12417	33802	\N	\N	\N
722952	2475	1997-12-12	PRIJEM	VKLAD	18626	39060	\N	\N	\N
722953	2475	1998-01-12	PRIJEM	VKLAD	12417	26636	\N	\N	\N
722954	2475	1998-02-12	PRIJEM	VKLAD	12417	28664	\N	\N	\N
722955	2475	1998-03-12	PRIJEM	VKLAD	12417	27761	\N	\N	\N
722956	2475	1998-04-12	PRIJEM	VKLAD	12417	28183	\N	\N	\N
722957	2475	1998-05-12	PRIJEM	VKLAD	12417	30407	\N	\N	\N
722958	2475	1998-06-12	PRIJEM	VKLAD	18626	36046	\N	\N	\N
722959	2475	1998-07-12	PRIJEM	VKLAD	12417	22814	\N	\N	\N
722960	2475	1998-08-12	PRIJEM	VKLAD	12417	21745	\N	\N	\N
722961	2475	1998-09-12	PRIJEM	VKLAD	12417	21238	\N	\N	\N
722962	2475	1998-10-12	PRIJEM	VKLAD	12417	20602	\N	\N	\N
722963	2475	1998-11-12	PRIJEM	VKLAD	12417	24090	\N	\N	\N
722964	2475	1998-12-12	PRIJEM	VKLAD	18626	27460	\N	\N	\N
722979	2475	1997-03-13	VYDAJ	PREVOD NA UCET	166	36579	SIPO	OP	27521276
722980	2475	1997-04-13	VYDAJ	PREVOD NA UCET	166	40456	SIPO	OP	27521276
722981	2475	1997-05-13	VYDAJ	PREVOD NA UCET	166	37917	SIPO	OP	27521276
722982	2475	1997-06-13	VYDAJ	PREVOD NA UCET	166	12989	SIPO	OP	27521276
722983	2475	1997-07-13	VYDAJ	PREVOD NA UCET	166	28694	SIPO	OP	27521276
722984	2475	1997-08-13	VYDAJ	PREVOD NA UCET	166	36603	SIPO	OP	27521276
722985	2475	1997-09-13	VYDAJ	PREVOD NA UCET	166	38055	SIPO	OP	27521276
722986	2475	1997-10-13	VYDAJ	PREVOD NA UCET	166	35180	SIPO	OP	27521276
722987	2475	1997-11-13	VYDAJ	PREVOD NA UCET	166	33636	SIPO	OP	27521276
722988	2475	1997-12-13	VYDAJ	PREVOD NA UCET	166	38894	SIPO	OP	27521276
722989	2475	1998-01-13	VYDAJ	PREVOD NA UCET	166	26470	SIPO	OP	27521276
722990	2475	1998-02-13	VYDAJ	PREVOD NA UCET	166	28498	SIPO	OP	27521276
722991	2475	1998-03-13	VYDAJ	PREVOD NA UCET	166	27595	SIPO	OP	27521276
722992	2475	1998-04-13	VYDAJ	PREVOD NA UCET	166	28017	SIPO	OP	27521276
722993	2475	1998-05-13	VYDAJ	PREVOD NA UCET	166	30241	SIPO	OP	27521276
722994	2475	1998-06-13	VYDAJ	PREVOD NA UCET	166	35880	SIPO	OP	27521276
722995	2475	1998-07-13	VYDAJ	PREVOD NA UCET	166	22648	SIPO	OP	27521276
722996	2475	1998-08-13	VYDAJ	PREVOD NA UCET	166	21579	SIPO	OP	27521276
722997	2475	1998-09-13	VYDAJ	PREVOD NA UCET	166	16752	SIPO	OP	27521276
722998	2475	1998-10-13	VYDAJ	PREVOD NA UCET	166	20436	SIPO	OP	27521276
722999	2475	1998-11-13	VYDAJ	PREVOD NA UCET	166	23204	SIPO	OP	27521276
723000	2475	1998-12-13	VYDAJ	PREVOD NA UCET	166	27294	SIPO	OP	27521276
723016	2475	1997-04-10	VYDAJ	PREVOD NA UCET	804	28605	 	ST	76343703
723017	2475	1997-05-10	VYDAJ	PREVOD NA UCET	804	27066	 	ST	76343703
723018	2475	1997-06-10	VYDAJ	PREVOD NA UCET	804	24930	 	ST	76343703
723019	2475	1997-07-10	VYDAJ	PREVOD NA UCET	804	16443	 	ST	76343703
723020	2475	1997-08-10	VYDAJ	PREVOD NA UCET	804	24352	 	ST	76343703
723021	2475	1997-09-10	VYDAJ	PREVOD NA UCET	804	25804	 	ST	76343703
723022	2475	1997-10-10	VYDAJ	PREVOD NA UCET	804	22929	 	ST	76343703
723023	2475	1997-11-10	VYDAJ	PREVOD NA UCET	804	21385	 	ST	76343703
723024	2475	1997-12-10	VYDAJ	PREVOD NA UCET	804	20434	 	ST	76343703
723025	2475	1998-01-10	VYDAJ	PREVOD NA UCET	804	14219	 	ST	76343703
723026	2475	1998-02-10	VYDAJ	PREVOD NA UCET	804	16247	 	ST	76343703
723027	2475	1998-03-10	VYDAJ	PREVOD NA UCET	804	15344	 	ST	76343703
723028	2475	1998-04-10	VYDAJ	PREVOD NA UCET	804	15766	 	ST	76343703
723029	2475	1998-05-10	VYDAJ	PREVOD NA UCET	804	17990	 	ST	76343703
723030	2475	1998-06-10	VYDAJ	PREVOD NA UCET	804	17420	 	ST	76343703
723031	2475	1998-07-10	VYDAJ	PREVOD NA UCET	804	10397	 	ST	76343703
723032	2475	1998-08-10	VYDAJ	PREVOD NA UCET	804	9328	 	ST	76343703
723033	2475	1998-09-10	VYDAJ	PREVOD NA UCET	804	8821	 	ST	76343703
723034	2475	1998-10-10	VYDAJ	PREVOD NA UCET	804	8185	 	ST	76343703
723035	2475	1998-11-10	VYDAJ	PREVOD NA UCET	804	11673	 	ST	76343703
723036	2475	1998-12-10	VYDAJ	PREVOD NA UCET	804	8834	 	ST	76343703
723051	2475	1997-03-14	VYDAJ	PREVOD NA UCET	3479	33100	POJISTNE	AB	198555
723052	2475	1997-04-14	VYDAJ	PREVOD NA UCET	3479	36977	POJISTNE	AB	198555
723053	2475	1997-05-14	VYDAJ	PREVOD NA UCET	3479	34438	POJISTNE	AB	198555
723054	2475	1997-06-14	VYDAJ	PREVOD NA UCET	3479	9510	POJISTNE	AB	198555
723055	2475	1997-07-14	VYDAJ	PREVOD NA UCET	3479	25215	POJISTNE	AB	198555
723056	2475	1997-08-14	VYDAJ	PREVOD NA UCET	3479	33124	POJISTNE	AB	198555
723057	2475	1997-09-14	VYDAJ	PREVOD NA UCET	3479	34576	POJISTNE	AB	198555
723058	2475	1997-10-14	VYDAJ	PREVOD NA UCET	3479	31701	POJISTNE	AB	198555
723059	2475	1997-11-14	VYDAJ	PREVOD NA UCET	3479	30157	POJISTNE	AB	198555
723060	2475	1997-12-14	VYDAJ	PREVOD NA UCET	3479	35415	POJISTNE	AB	198555
723061	2475	1998-01-14	VYDAJ	PREVOD NA UCET	3479	22991	POJISTNE	AB	198555
723062	2475	1998-02-14	VYDAJ	PREVOD NA UCET	3479	25019	POJISTNE	AB	198555
723063	2475	1998-03-14	VYDAJ	PREVOD NA UCET	3479	24116	POJISTNE	AB	198555
723064	2475	1998-04-14	VYDAJ	PREVOD NA UCET	3479	24538	POJISTNE	AB	198555
723065	2475	1998-05-14	VYDAJ	PREVOD NA UCET	3479	26762	POJISTNE	AB	198555
723066	2475	1998-06-14	VYDAJ	PREVOD NA UCET	3479	15761	POJISTNE	AB	198555
723067	2475	1998-07-14	VYDAJ	PREVOD NA UCET	3479	19169	POJISTNE	AB	198555
723068	2475	1998-08-14	VYDAJ	PREVOD NA UCET	3479	18100	POJISTNE	AB	198555
723069	2475	1998-09-14	VYDAJ	PREVOD NA UCET	3479	13273	POJISTNE	AB	198555
723070	2475	1998-10-14	VYDAJ	PREVOD NA UCET	3479	16957	POJISTNE	AB	198555
723071	2475	1998-11-14	VYDAJ	PREVOD NA UCET	3479	19725	POJISTNE	AB	198555
723072	2475	1998-12-14	VYDAJ	PREVOD NA UCET	3479	23815	POJISTNE	AB	198555
723088	2475	1997-04-09	VYDAJ	PREVOD NA UCET	3829	29409	 	GH	16848689
723089	2475	1997-05-09	VYDAJ	PREVOD NA UCET	3829	27870	 	GH	16848689
723090	2475	1997-06-09	VYDAJ	PREVOD NA UCET	3829	30734	 	GH	16848689
723091	2475	1997-07-09	VYDAJ	PREVOD NA UCET	3829	5747	 	GH	16848689
723092	2475	1997-08-09	VYDAJ	PREVOD NA UCET	3829	25156	 	GH	16848689
723093	2475	1997-09-09	VYDAJ	PREVOD NA UCET	3829	26608	 	GH	16848689
723094	2475	1997-10-09	VYDAJ	PREVOD NA UCET	3829	23733	 	GH	16848689
723095	2475	1997-11-09	VYDAJ	PREVOD NA UCET	3829	22189	 	GH	16848689
723096	2475	1997-12-09	VYDAJ	PREVOD NA UCET	3829	21238	 	GH	16848689
723097	2475	1998-01-09	VYDAJ	PREVOD NA UCET	3829	21903	 	GH	16848689
723098	2475	1998-02-09	VYDAJ	PREVOD NA UCET	3829	17651	 	GH	16848689
723099	2475	1998-03-09	VYDAJ	PREVOD NA UCET	3829	16148	 	GH	16848689
723100	2475	1998-04-09	VYDAJ	PREVOD NA UCET	3829	16570	 	GH	16848689
723101	2475	1998-05-09	VYDAJ	PREVOD NA UCET	3829	18794	 	GH	16848689
723102	2475	1998-06-09	VYDAJ	PREVOD NA UCET	3829	18224	 	GH	16848689
723103	2475	1998-07-09	VYDAJ	PREVOD NA UCET	3829	11201	 	GH	16848689
723104	2475	1998-08-09	VYDAJ	PREVOD NA UCET	3829	10132	 	GH	16848689
723105	2475	1998-09-09	VYDAJ	PREVOD NA UCET	3829	9625	 	GH	16848689
723106	2475	1998-10-09	VYDAJ	PREVOD NA UCET	3829	8989	 	GH	16848689
723107	2475	1998-11-09	VYDAJ	PREVOD NA UCET	3829	12477	 	GH	16848689
723108	2475	1998-12-09	VYDAJ	PREVOD NA UCET	3829	9638	 	GH	16848689
723110	2475	1997-06-12	VYDAJ	VYBER	30400	13155	\N	\N	\N
723111	2475	1998-06-13	VYDAJ	VYBER	16640	19240	\N	\N	\N
723114	2475	1998-01-10	VYDAJ	VYBER	6880	15023	\N	\N	\N
723116	2475	1997-12-20	VYDAJ	VYBER	3200	32215	\N	\N	\N
723117	2475	1998-12-04	VYDAJ	VYBER	4320	13467	\N	\N	\N
723127	2475	1997-10-01	VYDAJ	VYBER	3840	30862	\N	\N	\N
723128	2475	1997-04-16	VYDAJ	VYBER	5400	31577	\N	\N	\N
723129	2475	1998-07-22	VYDAJ	VYBER	5160	14009	\N	\N	\N
723130	2475	1998-11-13	VYDAJ	VYBER	720	23370	\N	\N	\N
723131	2475	1998-03-01	VYDAJ	VYBER	720	24377	\N	\N	\N
723132	2475	1998-01-14	VYDAJ	VYBER	4800	18191	\N	\N	\N
723133	2475	1998-09-13	VYDAJ	VYBER	4320	16918	\N	\N	\N
723134	2475	1998-02-09	VYDAJ	VYBER	600	17051	\N	\N	\N
723150	2475	1997-03-31	VYDAJ	VYBER	15	33238	SLUZBY	\N	\N
723151	2475	1997-04-30	VYDAJ	VYBER	15	31699	SLUZBY	\N	\N
723152	2475	1997-05-31	VYDAJ	VYBER	15	34563	SLUZBY	\N	\N
723153	2475	1997-06-30	VYDAJ	VYBER	15	9576	SLUZBY	\N	\N
723154	2475	1997-07-31	VYDAJ	VYBER	15	25285	SLUZBY	\N	\N
723155	2475	1997-08-31	VYDAJ	VYBER	15	33237	SLUZBY	\N	\N
723156	2475	1997-09-30	VYDAJ	VYBER	15	34702	SLUZBY	\N	\N
723157	2475	1997-10-31	VYDAJ	VYBER	15	31818	SLUZBY	\N	\N
723158	2475	1997-11-30	VYDAJ	VYBER	15	30267	SLUZBY	\N	\N
723159	2475	1997-12-31	VYDAJ	VYBER	15	32332	SLUZBY	\N	\N
723160	2475	1998-01-31	VYDAJ	VYBER	15	18280	SLUZBY	\N	\N
723161	2475	1998-02-28	VYDAJ	VYBER	15	25097	SLUZBY	\N	\N
723162	2475	1998-03-31	VYDAJ	VYBER	15	24199	SLUZBY	\N	\N
723163	2475	1998-04-30	VYDAJ	VYBER	15	24623	SLUZBY	\N	\N
723164	2475	1998-05-31	VYDAJ	VYBER	15	26853	SLUZBY	\N	\N
723165	2475	1998-06-30	VYDAJ	VYBER	15	15830	SLUZBY	\N	\N
723166	2475	1998-07-31	VYDAJ	VYBER	15	14061	SLUZBY	\N	\N
723167	2475	1998-08-31	VYDAJ	VYBER	15	18154	SLUZBY	\N	\N
723168	2475	1998-09-30	VYDAJ	VYBER	15	13318	SLUZBY	\N	\N
723169	2475	1998-10-31	VYDAJ	VYBER	15	17006	SLUZBY	\N	\N
723170	2475	1998-11-30	VYDAJ	VYBER	15	19787	SLUZBY	\N	\N
723171	2475	1996-11-12	PRIJEM	VKLAD	3900	16917	\N	\N	\N
723172	2475	1996-12-12	VYDAJ	VYBER	6900	28687	\N	\N	\N
723173	2475	1997-01-11	VYDAJ	VYBER	4600	24189	\N	\N	\N
723174	2475	1997-02-10	VYDAJ	VYBER	8100	28647	\N	\N	\N
723175	2475	1997-03-12	VYDAJ	VYBER	16900	36745	\N	\N	\N
723176	2475	1997-04-11	VYDAJ	VYBER	400	28205	\N	\N	\N
723177	2475	1997-05-11	VYDAJ	VYBER	1400	25666	\N	\N	\N
723178	2475	1997-06-10	VYDAJ	VYBER	5000	25734	\N	\N	\N
723179	2475	1997-07-10	PRIJEM	VKLAD	11500	17247	\N	\N	\N
723180	2475	1997-08-09	PRIJEM	VKLAD	3700	28985	\N	\N	\N
723181	2475	1997-09-08	VYDAJ	VYBER	2800	30437	\N	\N	\N
723182	2475	1997-10-08	VYDAJ	VYBER	3300	27562	\N	\N	\N
723183	2475	1997-11-07	VYDAJ	VYBER	5800	26018	\N	\N	\N
723184	2475	1997-12-07	VYDAJ	VYBER	5200	25067	\N	\N	\N
723185	2475	1998-01-06	VYDAJ	VYBER	6600	25732	\N	\N	\N
723186	2475	1998-02-05	PRIJEM	VKLAD	3200	21480	\N	\N	\N
723187	2475	1998-03-07	VYDAJ	VYBER	4400	19977	\N	\N	\N
723188	2475	1998-04-06	VYDAJ	VYBER	3800	20399	\N	\N	\N
723189	2475	1998-05-06	VYDAJ	VYBER	2000	22623	\N	\N	\N
723190	2475	1998-06-05	VYDAJ	VYBER	4800	22053	\N	\N	\N
723191	2475	1998-07-05	VYDAJ	VYBER	800	15030	\N	\N	\N
723192	2475	1998-08-04	VYDAJ	VYBER	100	13961	\N	\N	\N
723193	2475	1998-09-03	VYDAJ	VYBER	4700	13454	\N	\N	\N
723194	2475	1998-10-03	VYDAJ	VYBER	500	12818	\N	\N	\N
723195	2475	1998-11-02	VYDAJ	VYBER	700	16306	\N	\N	\N
723196	2475	1998-12-02	VYDAJ	VYBER	2000	17787	\N	\N	\N
723223	2476	1993-12-12	PRIJEM	VKLAD	900	900	\N	\N	\N
723236	2476	1994-01-08	PRIJEM	PREVOD Z UCTU	4281	5181	DUCHOD	MN	28943950
723237	2476	1994-02-08	PRIJEM	PREVOD Z UCTU	4281	9462	DUCHOD	MN	28943950
723238	2476	1994-03-08	PRIJEM	PREVOD Z UCTU	4281	13743	DUCHOD	MN	28943950
723239	2476	1994-04-08	PRIJEM	PREVOD Z UCTU	4281	18024	DUCHOD	MN	28943950
723240	2476	1994-05-08	PRIJEM	PREVOD Z UCTU	4281	22305	DUCHOD	MN	28943950
723241	2476	1994-06-08	PRIJEM	PREVOD Z UCTU	4281	20618	DUCHOD	MN	28943950
723242	2476	1994-07-08	PRIJEM	PREVOD Z UCTU	4281	13558	DUCHOD	MN	28943950
723243	2476	1994-08-08	PRIJEM	PREVOD Z UCTU	4281	15026	DUCHOD	MN	28943950
723244	2476	1994-09-08	PRIJEM	PREVOD Z UCTU	4281	16499	DUCHOD	MN	28943950
723245	2476	1994-10-08	PRIJEM	PREVOD Z UCTU	4281	17979	DUCHOD	MN	28943950
723246	2476	1994-11-08	PRIJEM	PREVOD Z UCTU	4281	17145	DUCHOD	MN	28943950
723247	2476	1994-12-08	PRIJEM	PREVOD Z UCTU	4281	17668	DUCHOD	MN	28943950
723248	2476	1995-01-08	PRIJEM	PREVOD Z UCTU	4281	18351	DUCHOD	MN	28943950
723249	2476	1995-02-08	PRIJEM	PREVOD Z UCTU	4281	17614	DUCHOD	MN	28943950
723250	2476	1995-03-08	PRIJEM	PREVOD Z UCTU	4281	19098	DUCHOD	MN	28943950
723251	2476	1995-04-08	PRIJEM	PREVOD Z UCTU	4281	20589	DUCHOD	MN	28943950
723252	2476	1995-05-08	PRIJEM	PREVOD Z UCTU	4281	20646	DUCHOD	MN	28943950
723253	2476	1995-06-08	PRIJEM	PREVOD Z UCTU	4281	19294	DUCHOD	MN	28943950
723254	2476	1995-07-08	PRIJEM	PREVOD Z UCTU	4281	20787	DUCHOD	MN	28943950
723255	2476	1995-08-08	PRIJEM	PREVOD Z UCTU	4281	22284	DUCHOD	MN	28943950
723256	2476	1995-09-08	PRIJEM	PREVOD Z UCTU	4281	23788	DUCHOD	MN	28943950
723257	2476	1995-10-08	PRIJEM	PREVOD Z UCTU	4281	24496	DUCHOD	MN	28943950
723258	2476	1995-11-08	PRIJEM	PREVOD Z UCTU	4281	26009	DUCHOD	MN	28943950
723259	2476	1995-12-08	PRIJEM	PREVOD Z UCTU	4281	24720	DUCHOD	MN	28943950
723260	2476	1996-01-08	PRIJEM	PREVOD Z UCTU	4281	24268	DUCHOD	MN	28943950
723261	2476	1996-02-08	PRIJEM	PREVOD Z UCTU	4281	20833	DUCHOD	MN	28943950
723262	2476	1996-03-08	PRIJEM	PREVOD Z UCTU	4281	22330	DUCHOD	MN	28943950
723263	2476	1996-04-08	PRIJEM	PREVOD Z UCTU	4281	23834	DUCHOD	MN	28943950
723264	2476	1996-05-08	PRIJEM	PREVOD Z UCTU	4281	25344	DUCHOD	MN	28943950
723265	2476	1996-06-08	PRIJEM	PREVOD Z UCTU	4281	24360	DUCHOD	MN	28943950
723266	2476	1996-07-08	PRIJEM	PREVOD Z UCTU	4281	18704	DUCHOD	MN	28943950
723267	2476	1996-08-08	PRIJEM	PREVOD Z UCTU	4281	19551	DUCHOD	MN	28943950
723268	2476	1996-09-08	PRIJEM	PREVOD Z UCTU	4281	19842	DUCHOD	MN	28943950
723269	2476	1996-10-08	PRIJEM	PREVOD Z UCTU	4281	16233	DUCHOD	MN	28943950
723270	2476	1996-11-08	PRIJEM	PREVOD Z UCTU	4281	16150	DUCHOD	MN	28943950
723271	2476	1996-12-08	PRIJEM	PREVOD Z UCTU	4281	15927	DUCHOD	MN	28943950
723272	2476	1997-01-08	PRIJEM	PREVOD Z UCTU	4281	16521	DUCHOD	MN	28943950
723273	2476	1997-02-08	PRIJEM	PREVOD Z UCTU	4281	16650	DUCHOD	MN	28943950
723274	2476	1997-03-08	PRIJEM	PREVOD Z UCTU	4281	18130	DUCHOD	MN	28943950
723275	2476	1997-04-08	PRIJEM	PREVOD Z UCTU	4281	17216	DUCHOD	MN	28943950
723276	2476	1997-05-08	PRIJEM	PREVOD Z UCTU	4281	18499	DUCHOD	MN	28943950
723277	2476	1997-06-08	PRIJEM	PREVOD Z UCTU	4281	17984	DUCHOD	MN	28943950
723278	2476	1997-07-08	PRIJEM	PREVOD Z UCTU	4281	16867	DUCHOD	MN	28943950
723279	2476	1997-08-08	PRIJEM	PREVOD Z UCTU	4281	17146	DUCHOD	MN	28943950
723280	2476	1997-09-08	PRIJEM	PREVOD Z UCTU	4281	16725	DUCHOD	MN	28943950
723281	2476	1997-10-08	PRIJEM	PREVOD Z UCTU	4281	15201	DUCHOD	MN	28943950
723282	2476	1997-11-08	PRIJEM	PREVOD Z UCTU	4281	16675	DUCHOD	MN	28943950
723283	2476	1997-12-08	PRIJEM	PREVOD Z UCTU	4281	17513	DUCHOD	MN	28943950
723284	2476	1998-01-08	PRIJEM	PREVOD Z UCTU	4281	18195	DUCHOD	MN	28943950
723285	2476	1998-02-08	PRIJEM	PREVOD Z UCTU	4281	19680	DUCHOD	MN	28943950
723286	2476	1998-03-08	PRIJEM	PREVOD Z UCTU	4281	21172	DUCHOD	MN	28943950
723287	2476	1998-04-08	PRIJEM	PREVOD Z UCTU	4281	22670	DUCHOD	MN	28943950
723288	2476	1998-05-08	PRIJEM	PREVOD Z UCTU	4281	16763	DUCHOD	MN	28943950
723289	2476	1998-06-08	PRIJEM	PREVOD Z UCTU	4281	18242	DUCHOD	MN	28943950
723290	2476	1998-07-08	PRIJEM	PREVOD Z UCTU	4281	15220	DUCHOD	MN	28943950
723291	2476	1998-08-08	PRIJEM	PREVOD Z UCTU	4281	15191	DUCHOD	MN	28943950
723292	2476	1998-09-08	PRIJEM	PREVOD Z UCTU	4281	15161	DUCHOD	MN	28943950
723293	2476	1998-10-08	PRIJEM	PREVOD Z UCTU	4281	15631	DUCHOD	MN	28943950
723294	2476	1998-11-08	PRIJEM	PREVOD Z UCTU	4281	17106	DUCHOD	MN	28943950
723295	2476	1998-12-08	PRIJEM	PREVOD Z UCTU	4281	18586	DUCHOD	MN	28943950
723313	2476	1994-06-07	VYDAJ	PREVOD NA UCET	2854	16337	SIPO	IJ	23237085
723314	2476	1994-07-07	VYDAJ	PREVOD NA UCET	2854	9277	SIPO	IJ	23237085
723315	2476	1994-08-07	VYDAJ	PREVOD NA UCET	2854	10745	SIPO	IJ	23237085
723316	2476	1994-09-07	VYDAJ	PREVOD NA UCET	2854	12218	SIPO	IJ	23237085
723317	2476	1994-10-07	VYDAJ	PREVOD NA UCET	2854	13698	SIPO	IJ	23237085
723318	2476	1994-11-07	VYDAJ	PREVOD NA UCET	2854	15184	SIPO	IJ	23237085
723319	2476	1994-12-07	VYDAJ	PREVOD NA UCET	2854	13387	SIPO	IJ	23237085
723320	2476	1995-01-07	VYDAJ	PREVOD NA UCET	2854	14070	SIPO	IJ	23237085
723321	2476	1995-02-07	VYDAJ	PREVOD NA UCET	2854	13333	SIPO	IJ	23237085
723322	2476	1995-03-07	VYDAJ	PREVOD NA UCET	2854	14817	SIPO	IJ	23237085
723323	2476	1995-04-07	VYDAJ	PREVOD NA UCET	2854	16308	SIPO	IJ	23237085
723324	2476	1995-05-07	VYDAJ	PREVOD NA UCET	2854	17805	SIPO	IJ	23237085
723325	2476	1995-06-07	VYDAJ	PREVOD NA UCET	2854	15013	SIPO	IJ	23237085
723326	2476	1995-07-07	VYDAJ	PREVOD NA UCET	2854	16506	SIPO	IJ	23237085
723327	2476	1995-08-07	VYDAJ	PREVOD NA UCET	2854	18003	SIPO	IJ	23237085
723328	2476	1995-09-07	VYDAJ	PREVOD NA UCET	2854	19507	SIPO	IJ	23237085
723329	2476	1995-10-07	VYDAJ	PREVOD NA UCET	2854	20215	SIPO	IJ	23237085
723330	2476	1995-11-07	VYDAJ	PREVOD NA UCET	2854	21728	SIPO	IJ	23237085
723331	2476	1995-12-07	VYDAJ	PREVOD NA UCET	2854	20439	SIPO	IJ	23237085
723332	2476	1996-01-07	VYDAJ	PREVOD NA UCET	2854	19987	SIPO	IJ	23237085
723333	2476	1996-02-07	VYDAJ	PREVOD NA UCET	2854	16552	SIPO	IJ	23237085
723334	2476	1996-03-07	VYDAJ	PREVOD NA UCET	2854	18049	SIPO	IJ	23237085
723335	2476	1996-04-07	VYDAJ	PREVOD NA UCET	2854	19553	SIPO	IJ	23237085
723336	2476	1996-05-07	VYDAJ	PREVOD NA UCET	2854	21063	SIPO	IJ	23237085
723337	2476	1996-06-07	VYDAJ	PREVOD NA UCET	2854	20079	SIPO	IJ	23237085
723338	2476	1996-07-07	VYDAJ	PREVOD NA UCET	2854	14423	SIPO	IJ	23237085
723339	2476	1996-08-07	VYDAJ	PREVOD NA UCET	2854	15270	SIPO	IJ	23237085
723340	2476	1996-09-07	VYDAJ	PREVOD NA UCET	2854	15561	SIPO	IJ	23237085
723341	2476	1996-10-07	VYDAJ	PREVOD NA UCET	2854	11952	SIPO	IJ	23237085
723342	2476	1996-11-07	VYDAJ	PREVOD NA UCET	2854	11869	SIPO	IJ	23237085
723343	2476	1996-12-07	VYDAJ	PREVOD NA UCET	2854	11646	SIPO	IJ	23237085
723344	2476	1997-01-07	VYDAJ	PREVOD NA UCET	2854	12240	SIPO	IJ	23237085
723345	2476	1997-02-07	VYDAJ	PREVOD NA UCET	2854	12369	SIPO	IJ	23237085
723346	2476	1997-03-07	VYDAJ	PREVOD NA UCET	2854	13849	SIPO	IJ	23237085
723347	2476	1997-04-07	VYDAJ	PREVOD NA UCET	2854	12935	SIPO	IJ	23237085
723348	2476	1997-05-07	VYDAJ	PREVOD NA UCET	2854	14218	SIPO	IJ	23237085
723349	2476	1997-06-07	VYDAJ	PREVOD NA UCET	2854	13703	SIPO	IJ	23237085
723350	2476	1997-07-07	VYDAJ	PREVOD NA UCET	2854	12586	SIPO	IJ	23237085
723351	2476	1997-08-07	VYDAJ	PREVOD NA UCET	2854	12865	SIPO	IJ	23237085
723352	2476	1997-09-07	VYDAJ	PREVOD NA UCET	2854	12444	SIPO	IJ	23237085
723353	2476	1997-10-07	VYDAJ	PREVOD NA UCET	2854	10920	SIPO	IJ	23237085
723354	2476	1997-11-07	VYDAJ	PREVOD NA UCET	2854	12394	SIPO	IJ	23237085
723355	2476	1997-12-07	VYDAJ	PREVOD NA UCET	2854	13232	SIPO	IJ	23237085
723356	2476	1998-01-07	VYDAJ	PREVOD NA UCET	2854	13914	SIPO	IJ	23237085
723357	2476	1998-02-07	VYDAJ	PREVOD NA UCET	2854	15399	SIPO	IJ	23237085
723358	2476	1998-03-07	VYDAJ	PREVOD NA UCET	2854	16891	SIPO	IJ	23237085
723359	2476	1998-04-07	VYDAJ	PREVOD NA UCET	2854	18389	SIPO	IJ	23237085
723360	2476	1998-05-07	VYDAJ	PREVOD NA UCET	2854	12482	SIPO	IJ	23237085
723361	2476	1998-06-07	VYDAJ	PREVOD NA UCET	2854	13961	SIPO	IJ	23237085
723362	2476	1998-07-07	VYDAJ	PREVOD NA UCET	2854	10939	SIPO	IJ	23237085
723363	2476	1998-08-07	VYDAJ	PREVOD NA UCET	2854	10910	SIPO	IJ	23237085
723364	2476	1998-09-07	VYDAJ	PREVOD NA UCET	2854	10880	SIPO	IJ	23237085
723365	2476	1998-10-07	VYDAJ	PREVOD NA UCET	2854	11350	SIPO	IJ	23237085
723366	2476	1998-11-07	VYDAJ	PREVOD NA UCET	2854	12825	SIPO	IJ	23237085
723367	2476	1998-12-07	VYDAJ	PREVOD NA UCET	2854	14305	SIPO	IJ	23237085
723369	2476	1994-06-25	VYDAJ	VYBER	8550	12068	\N	\N	\N
723370	2476	1995-06-04	VYDAJ	VYBER	2850	17867	\N	\N	\N
723371	2476	1996-06-13	VYDAJ	VYBER	7150	17210	\N	\N	\N
723376	2476	1995-01-12	VYDAJ	VYBER	700	17651	\N	\N	\N
723377	2476	1996-01-18	VYDAJ	VYBER	1100	23168	\N	\N	\N
723378	2476	1997-01-29	VYDAJ	VYBER	1350	15171	\N	\N	\N
723381	2476	1994-12-22	VYDAJ	VYBER	800	16868	\N	\N	\N
723382	2476	1995-12-12	VYDAJ	VYBER	600	22760	\N	\N	\N
723384	2476	1997-12-19	VYDAJ	VYBER	800	16713	\N	\N	\N
723393	2476	1994-11-18	VYDAJ	VYBER	960	16185	\N	\N	\N
723394	2476	1994-05-31	VYDAJ	VYBER	2560	19191	\N	\N	\N
723395	2476	1994-11-07	VYDAJ	VYBER	2320	12864	\N	\N	\N
723397	2476	1995-11-09	VYDAJ	VYBER	2800	23209	\N	\N	\N
723398	2476	1995-01-19	VYDAJ	VYBER	1520	16131	\N	\N	\N
723399	2476	1995-09-13	VYDAJ	VYBER	800	22988	\N	\N	\N
723400	2476	1995-05-07	VYDAJ	VYBER	1440	16365	\N	\N	\N
723401	2476	1995-12-08	VYDAJ	VYBER	1360	23360	\N	\N	\N
723402	2476	1996-10-29	VYDAJ	VYBER	960	14673	\N	\N	\N
723403	2476	1996-07-16	VYDAJ	VYBER	640	18064	\N	\N	\N
723404	2476	1996-12-13	VYDAJ	VYBER	880	15047	\N	\N	\N
723405	2476	1996-01-21	VYDAJ	VYBER	3840	19328	\N	\N	\N
723408	2476	1997-11-22	VYDAJ	VYBER	640	16035	\N	\N	\N
723409	2476	1997-04-05	VYDAJ	VYBER	2400	15789	\N	\N	\N
723434	2476	1994-05-31	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
723435	2476	1994-06-30	VYDAJ	VYBER	15	12131	SLUZBY	\N	\N
723436	2476	1994-07-31	VYDAJ	VYBER	15	13599	SLUZBY	\N	\N
723437	2476	1994-08-31	VYDAJ	VYBER	15	15072	SLUZBY	\N	\N
723438	2476	1994-09-30	VYDAJ	VYBER	15	16552	SLUZBY	\N	\N
723439	2476	1994-10-31	VYDAJ	VYBER	15	18038	SLUZBY	\N	\N
723440	2476	1994-11-30	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
723441	2476	1994-12-31	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
723442	2476	1995-01-31	VYDAJ	VYBER	15	16187	SLUZBY	\N	\N
723443	2476	1995-02-28	VYDAJ	VYBER	15	17671	SLUZBY	\N	\N
723444	2476	1995-03-31	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
723445	2476	1995-04-30	VYDAJ	VYBER	15	20659	SLUZBY	\N	\N
723446	2476	1995-05-31	VYDAJ	VYBER	15	20717	SLUZBY	\N	\N
723447	2476	1995-06-30	VYDAJ	VYBER	15	19360	SLUZBY	\N	\N
723448	2476	1995-07-31	VYDAJ	VYBER	15	20857	SLUZBY	\N	\N
723449	2476	1995-08-31	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
723450	2476	1995-09-30	VYDAJ	VYBER	15	23069	SLUZBY	\N	\N
723451	2476	1995-10-31	VYDAJ	VYBER	15	24582	SLUZBY	\N	\N
723452	2476	1995-11-30	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
723453	2476	1995-12-31	VYDAJ	VYBER	15	22841	SLUZBY	\N	\N
723454	2476	1996-01-31	VYDAJ	VYBER	15	19406	SLUZBY	\N	\N
723455	2476	1996-02-29	VYDAJ	VYBER	15	20903	SLUZBY	\N	\N
723456	2476	1996-03-31	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
723457	2476	1996-04-30	VYDAJ	VYBER	15	23917	SLUZBY	\N	\N
723458	2476	1996-05-31	VYDAJ	VYBER	15	22933	SLUZBY	\N	\N
723459	2476	1996-06-30	VYDAJ	VYBER	15	17277	SLUZBY	\N	\N
723460	2476	1996-07-31	VYDAJ	VYBER	15	18124	SLUZBY	\N	\N
723461	2476	1996-08-31	VYDAJ	VYBER	15	18415	SLUZBY	\N	\N
723462	2476	1996-09-30	VYDAJ	VYBER	15	14806	SLUZBY	\N	\N
723463	2476	1996-10-31	VYDAJ	VYBER	15	14723	SLUZBY	\N	\N
723464	2476	1996-11-30	VYDAJ	VYBER	15	14500	SLUZBY	\N	\N
723465	2476	1996-12-31	VYDAJ	VYBER	15	15094	SLUZBY	\N	\N
723466	2476	1997-01-31	VYDAJ	VYBER	15	15223	SLUZBY	\N	\N
723467	2476	1997-02-28	VYDAJ	VYBER	15	16703	SLUZBY	\N	\N
723468	2476	1997-03-31	VYDAJ	VYBER	15	18189	SLUZBY	\N	\N
723469	2476	1997-04-30	VYDAJ	VYBER	15	17072	SLUZBY	\N	\N
723470	2476	1997-05-31	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
723471	2476	1997-06-30	VYDAJ	VYBER	15	15440	SLUZBY	\N	\N
723472	2476	1997-07-31	VYDAJ	VYBER	15	15719	SLUZBY	\N	\N
723473	2476	1997-08-31	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
723474	2476	1997-09-30	VYDAJ	VYBER	15	13774	SLUZBY	\N	\N
723475	2476	1997-10-31	VYDAJ	VYBER	15	15248	SLUZBY	\N	\N
723476	2476	1997-11-30	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
723477	2476	1997-12-31	VYDAJ	VYBER	15	16768	SLUZBY	\N	\N
723478	2476	1998-01-31	VYDAJ	VYBER	15	18253	SLUZBY	\N	\N
723479	2476	1998-02-28	VYDAJ	VYBER	15	19745	SLUZBY	\N	\N
723480	2476	1998-03-31	VYDAJ	VYBER	15	21243	SLUZBY	\N	\N
723481	2476	1998-04-30	VYDAJ	VYBER	15	15336	SLUZBY	\N	\N
723482	2476	1998-05-31	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
723483	2476	1998-06-30	VYDAJ	VYBER	15	13793	SLUZBY	\N	\N
723484	2476	1998-07-31	VYDAJ	VYBER	15	13764	SLUZBY	\N	\N
723485	2476	1998-08-31	VYDAJ	VYBER	15	13734	SLUZBY	\N	\N
723486	2476	1998-09-30	VYDAJ	VYBER	15	14204	SLUZBY	\N	\N
723487	2476	1998-10-31	VYDAJ	VYBER	15	15679	SLUZBY	\N	\N
723488	2476	1998-11-30	VYDAJ	VYBER	15	17159	SLUZBY	\N	\N
723489	2476	1994-05-11	VYDAJ	VYBER	600	21705	\N	\N	\N
723490	2476	1996-05-30	VYDAJ	VYBER	2500	22844	\N	\N	\N
723491	2476	1996-08-28	VYDAJ	VYBER	1200	18351	\N	\N	\N
723492	2476	1996-09-27	VYDAJ	VYBER	5100	14742	\N	\N	\N
723493	2476	1996-10-27	VYDAJ	VYBER	600	15633	\N	\N	\N
723494	2476	1996-11-26	VYDAJ	VYBER	1700	14450	\N	\N	\N
723495	2476	1997-04-25	VYDAJ	VYBER	200	17016	\N	\N	\N
723496	2476	1997-05-25	VYDAJ	VYBER	2000	16499	\N	\N	\N
723497	2476	1997-06-24	VYDAJ	VYBER	2600	15384	\N	\N	\N
723498	2476	1997-07-24	VYDAJ	VYBER	1200	15667	\N	\N	\N
723499	2476	1997-08-23	VYDAJ	VYBER	1900	15246	\N	\N	\N
723500	2476	1997-09-22	VYDAJ	VYBER	3000	13725	\N	\N	\N
723501	2476	1998-04-20	VYDAJ	VYBER	7400	15270	\N	\N	\N
723502	2476	1998-06-19	VYDAJ	VYBER	4500	13742	\N	\N	\N
723503	2476	1998-07-19	VYDAJ	VYBER	1500	13720	\N	\N	\N
723504	2476	1998-08-18	VYDAJ	VYBER	1500	13691	\N	\N	\N
723505	2476	1998-09-17	VYDAJ	VYBER	1000	14161	\N	\N	\N
723506	2476	1998-12-16	VYDAJ	VYBER	4200	14386	\N	\N	\N
723563	2477	1997-02-11	PRIJEM	VKLAD	800	800	\N	\N	\N
723565	2477	1997-02-11	PRIJEM	VKLAD	4645	5445	\N	\N	\N
723566	2477	1997-03-11	PRIJEM	VKLAD	4645	10092	\N	\N	\N
723567	2477	1997-04-11	PRIJEM	VKLAD	4645	21381	\N	\N	\N
723568	2477	1997-05-11	PRIJEM	VKLAD	4645	25507	\N	\N	\N
723569	2477	1997-06-11	PRIJEM	VKLAD	6968	31270	\N	\N	\N
723570	2477	1997-07-11	PRIJEM	VKLAD	4645	26908	\N	\N	\N
723571	2477	1997-08-11	PRIJEM	VKLAD	4645	21409	\N	\N	\N
723572	2477	1997-09-11	PRIJEM	VKLAD	4645	21392	\N	\N	\N
723573	2477	1997-10-11	PRIJEM	VKLAD	4645	20515	\N	\N	\N
723574	2477	1997-11-11	PRIJEM	VKLAD	4645	19235	\N	\N	\N
723575	2477	1997-12-11	PRIJEM	VKLAD	6968	18363	\N	\N	\N
723576	2477	1998-01-11	PRIJEM	VKLAD	4645	14925	\N	\N	\N
723577	2477	1998-02-11	PRIJEM	VKLAD	4645	17662	\N	\N	\N
723578	2477	1998-03-11	PRIJEM	VKLAD	4645	20364	\N	\N	\N
723579	2477	1998-04-11	PRIJEM	VKLAD	4645	22180	\N	\N	\N
723580	2477	1998-05-11	PRIJEM	VKLAD	4645	18203	\N	\N	\N
723581	2477	1998-06-11	PRIJEM	VKLAD	6968	20639	\N	\N	\N
723582	2477	1998-07-11	PRIJEM	VKLAD	4645	16613	\N	\N	\N
723583	2477	1998-08-11	PRIJEM	VKLAD	4645	12418	\N	\N	\N
723584	2477	1998-09-11	PRIJEM	VKLAD	4645	14008	\N	\N	\N
723585	2477	1998-10-11	PRIJEM	VKLAD	4645	15598	\N	\N	\N
723586	2477	1998-11-11	PRIJEM	VKLAD	4645	17196	\N	\N	\N
723587	2477	1998-12-11	PRIJEM	VKLAD	6968	20002	\N	\N	\N
723594	2477	1997-07-09	VYDAJ	PREVOD NA UCET	3096	22263	SIPO	EF	3161973
723595	2477	1997-08-09	VYDAJ	PREVOD NA UCET	3096	18464	SIPO	EF	3161973
723596	2477	1997-09-09	VYDAJ	PREVOD NA UCET	3096	16747	SIPO	EF	3161973
723597	2477	1997-10-09	VYDAJ	PREVOD NA UCET	3096	15870	SIPO	EF	3161973
723598	2477	1997-11-09	VYDAJ	PREVOD NA UCET	3096	14590	SIPO	EF	3161973
723599	2477	1997-12-09	VYDAJ	PREVOD NA UCET	3096	11396	SIPO	EF	3161973
723600	2477	1998-01-09	VYDAJ	PREVOD NA UCET	3096	10280	SIPO	EF	3161973
723601	2477	1998-02-09	VYDAJ	PREVOD NA UCET	3096	13017	SIPO	EF	3161973
723602	2477	1998-03-09	VYDAJ	PREVOD NA UCET	3096	15719	SIPO	EF	3161973
723603	2477	1998-04-09	VYDAJ	PREVOD NA UCET	3096	17535	SIPO	EF	3161973
723604	2477	1998-05-09	VYDAJ	PREVOD NA UCET	3096	13558	SIPO	EF	3161973
723605	2477	1998-06-09	VYDAJ	PREVOD NA UCET	3096	13671	SIPO	EF	3161973
723606	2477	1998-07-09	VYDAJ	PREVOD NA UCET	3096	11968	SIPO	EF	3161973
723607	2477	1998-08-09	VYDAJ	PREVOD NA UCET	3096	7773	SIPO	EF	3161973
723608	2477	1998-09-09	VYDAJ	PREVOD NA UCET	3096	9363	SIPO	EF	3161973
723609	2477	1998-10-09	VYDAJ	PREVOD NA UCET	3096	10953	SIPO	EF	3161973
723610	2477	1998-11-09	VYDAJ	PREVOD NA UCET	3096	12551	SIPO	EF	3161973
723611	2477	1998-12-09	VYDAJ	PREVOD NA UCET	3096	13034	SIPO	EF	3161973
723613	2477	1998-12-01	VYDAJ	VYBER	1120	16130	\N	\N	\N
723620	2477	1998-01-09	VYDAJ	VYBER	1560	13376	\N	\N	\N
723621	2477	1998-01-25	VYDAJ	VYBER	960	13965	\N	\N	\N
723622	2477	1998-01-06	VYDAJ	VYBER	1320	14936	\N	\N	\N
723626	2477	1997-07-27	VYDAJ	VYBER	840	21468	\N	\N	\N
723627	2477	1997-12-19	VYDAJ	VYBER	2160	16203	\N	\N	\N
723629	2477	1997-09-04	VYDAJ	VYBER	3840	17643	\N	\N	\N
723630	2477	1997-11-17	VYDAJ	VYBER	4800	14435	\N	\N	\N
723632	2477	1998-12-22	VYDAJ	VYBER	1680	18322	\N	\N	\N
723633	2477	1998-06-13	VYDAJ	VYBER	840	19799	\N	\N	\N
723640	2477	1997-06-30	VYDAJ	VYBER	15	25359	SLUZBY	\N	\N
723641	2477	1997-07-31	VYDAJ	VYBER	15	21560	SLUZBY	\N	\N
723642	2477	1997-08-31	VYDAJ	VYBER	15	21483	SLUZBY	\N	\N
723643	2477	1997-09-30	VYDAJ	VYBER	15	21466	SLUZBY	\N	\N
723644	2477	1997-10-31	VYDAJ	VYBER	15	20586	SLUZBY	\N	\N
723645	2477	1997-11-30	VYDAJ	VYBER	15	14492	SLUZBY	\N	\N
723646	2477	1997-12-31	VYDAJ	VYBER	15	16256	SLUZBY	\N	\N
723647	2477	1998-01-31	VYDAJ	VYBER	15	14013	SLUZBY	\N	\N
723648	2477	1998-02-28	VYDAJ	VYBER	15	17715	SLUZBY	\N	\N
723649	2477	1998-03-31	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
723650	2477	1998-04-30	VYDAJ	VYBER	15	22254	SLUZBY	\N	\N
723651	2477	1998-05-31	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
723652	2477	1998-06-30	VYDAJ	VYBER	15	19864	SLUZBY	\N	\N
723653	2477	1998-07-31	VYDAJ	VYBER	15	16669	SLUZBY	\N	\N
723654	2477	1998-08-31	VYDAJ	VYBER	15	12459	SLUZBY	\N	\N
723655	2477	1998-09-30	VYDAJ	VYBER	15	14049	SLUZBY	\N	\N
723656	2477	1998-10-31	VYDAJ	VYBER	15	15647	SLUZBY	\N	\N
723657	2477	1998-11-30	VYDAJ	VYBER	15	17250	SLUZBY	\N	\N
723658	2477	1997-03-13	PRIJEM	VKLAD	6600	16692	\N	\N	\N
723659	2477	1997-04-12	VYDAJ	VYBER	600	20781	\N	\N	\N
723660	2477	1997-05-12	VYDAJ	VYBER	1300	24207	\N	\N	\N
723661	2477	1997-06-11	VYDAJ	VYBER	6000	25270	\N	\N	\N
723662	2477	1997-07-11	VYDAJ	VYBER	4600	22308	\N	\N	\N
723663	2477	1997-08-10	VYDAJ	VYBER	1700	16764	\N	\N	\N
723664	2477	1997-09-09	PRIJEM	VKLAD	2200	19843	\N	\N	\N
723665	2477	1997-10-09	VYDAJ	VYBER	2500	18966	\N	\N	\N
723666	2477	1997-11-08	VYDAJ	VYBER	2900	17686	\N	\N	\N
723667	2477	1998-02-06	PRIJEM	VKLAD	2100	16113	\N	\N	\N
723668	2477	1998-03-08	PRIJEM	VKLAD	1100	18815	\N	\N	\N
723669	2477	1998-04-07	PRIJEM	VKLAD	200	20631	\N	\N	\N
723670	2477	1998-05-07	VYDAJ	VYBER	5600	16654	\N	\N	\N
723671	2477	1998-06-06	VYDAJ	VYBER	1500	16767	\N	\N	\N
723672	2477	1998-07-06	VYDAJ	VYBER	4800	15064	\N	\N	\N
723673	2477	1998-08-05	VYDAJ	VYBER	5800	10869	\N	\N	\N
724073	2479	1993-10-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
724083	2479	1993-10-10	PRIJEM	VKLAD	5987	7087	\N	\N	\N
724084	2479	1993-11-10	PRIJEM	VKLAD	5987	23595	\N	\N	\N
724085	2479	1993-12-10	PRIJEM	VKLAD	8980	30753	\N	\N	\N
724086	2479	1994-01-10	PRIJEM	VKLAD	5987	32459	\N	\N	\N
724087	2479	1994-02-10	PRIJEM	VKLAD	5987	35879	\N	\N	\N
724088	2479	1994-03-10	PRIJEM	VKLAD	5987	32999	\N	\N	\N
724089	2479	1994-04-10	PRIJEM	VKLAD	5987	31206	\N	\N	\N
724090	2479	1994-05-10	PRIJEM	VKLAD	5987	30105	\N	\N	\N
724091	2479	1994-06-10	PRIJEM	VKLAD	8980	33394	\N	\N	\N
724092	2479	1994-07-10	PRIJEM	VKLAD	5987	32285	\N	\N	\N
724093	2479	1994-08-10	PRIJEM	VKLAD	5987	26287	\N	\N	\N
724094	2479	1994-09-10	PRIJEM	VKLAD	5987	28170	\N	\N	\N
724095	2479	1994-10-10	PRIJEM	VKLAD	5987	31855	\N	\N	\N
724096	2479	1994-11-10	PRIJEM	VKLAD	5987	30954	\N	\N	\N
724097	2479	1994-12-10	PRIJEM	VKLAD	8980	31738	\N	\N	\N
724098	2479	1995-01-10	PRIJEM	VKLAD	5987	31630	\N	\N	\N
724099	2479	1995-02-10	PRIJEM	VKLAD	5987	22604	\N	\N	\N
724100	2479	1995-03-10	PRIJEM	VKLAD	5987	24852	\N	\N	\N
724101	2479	1995-04-10	PRIJEM	VKLAD	5987	24220	\N	\N	\N
724102	2479	1995-05-10	PRIJEM	VKLAD	5987	26090	\N	\N	\N
724103	2479	1995-06-10	PRIJEM	VKLAD	8980	33359	\N	\N	\N
724104	2479	1995-07-10	PRIJEM	VKLAD	5987	29160	\N	\N	\N
724105	2479	1995-08-10	PRIJEM	VKLAD	5987	26952	\N	\N	\N
724106	2479	1995-09-10	PRIJEM	VKLAD	5987	24230	\N	\N	\N
724107	2479	1995-10-10	PRIJEM	VKLAD	5987	25398	\N	\N	\N
724108	2479	1995-11-10	PRIJEM	VKLAD	5987	24970	\N	\N	\N
724109	2479	1995-12-10	PRIJEM	VKLAD	8980	23032	\N	\N	\N
724110	2479	1996-01-10	PRIJEM	VKLAD	5987	19689	\N	\N	\N
724111	2479	1996-02-10	PRIJEM	VKLAD	5987	19837	\N	\N	\N
724112	2479	1996-03-10	PRIJEM	VKLAD	5987	21281	\N	\N	\N
724113	2479	1996-04-10	PRIJEM	VKLAD	5987	22336	\N	\N	\N
724114	2479	1996-05-10	PRIJEM	VKLAD	5987	21694	\N	\N	\N
724115	2479	1996-06-10	PRIJEM	VKLAD	8980	23042	\N	\N	\N
724116	2479	1996-07-10	PRIJEM	VKLAD	5987	20699	\N	\N	\N
724117	2479	1996-08-10	PRIJEM	VKLAD	5987	21651	\N	\N	\N
724118	2479	1996-09-10	PRIJEM	VKLAD	5987	24208	\N	\N	\N
724119	2479	1996-10-10	PRIJEM	VKLAD	5987	19769	\N	\N	\N
724120	2479	1996-11-10	PRIJEM	VKLAD	5987	17913	\N	\N	\N
724121	2479	1996-12-10	PRIJEM	VKLAD	8980	22947	\N	\N	\N
724122	2479	1997-01-10	PRIJEM	VKLAD	5987	16893	\N	\N	\N
724123	2479	1997-02-10	PRIJEM	VKLAD	5987	17126	\N	\N	\N
724124	2479	1997-03-10	PRIJEM	VKLAD	5987	19163	\N	\N	\N
724125	2479	1997-04-10	PRIJEM	VKLAD	5987	21209	\N	\N	\N
724126	2479	1997-05-10	PRIJEM	VKLAD	5987	17256	\N	\N	\N
724127	2479	1997-06-10	PRIJEM	VKLAD	8980	22287	\N	\N	\N
724128	2479	1997-07-10	PRIJEM	VKLAD	5987	24342	\N	\N	\N
724129	2479	1997-08-10	PRIJEM	VKLAD	5987	25609	\N	\N	\N
724130	2479	1997-09-10	PRIJEM	VKLAD	5987	18867	\N	\N	\N
724131	2479	1997-10-10	PRIJEM	VKLAD	5987	20912	\N	\N	\N
724132	2479	1997-11-10	PRIJEM	VKLAD	5987	22965	\N	\N	\N
724133	2479	1997-12-10	PRIJEM	VKLAD	8980	28019	\N	\N	\N
724134	2479	1998-01-10	PRIJEM	VKLAD	5987	23996	\N	\N	\N
724135	2479	1998-02-10	PRIJEM	VKLAD	5987	20450	\N	\N	\N
724136	2479	1998-03-10	PRIJEM	VKLAD	5987	22501	\N	\N	\N
724137	2479	1998-04-10	PRIJEM	VKLAD	5987	24560	\N	\N	\N
724138	2479	1998-05-10	PRIJEM	VKLAD	5987	26628	\N	\N	\N
724139	2479	1998-06-10	PRIJEM	VKLAD	8980	27386	\N	\N	\N
724140	2479	1998-07-10	PRIJEM	VKLAD	5987	29461	\N	\N	\N
724141	2479	1998-08-10	PRIJEM	VKLAD	5987	22529	\N	\N	\N
724142	2479	1998-09-10	PRIJEM	VKLAD	5987	20788	\N	\N	\N
724143	2479	1998-10-10	PRIJEM	VKLAD	5987	22842	\N	\N	\N
724144	2479	1998-11-10	PRIJEM	VKLAD	5987	15278	\N	\N	\N
724145	2479	1998-12-10	PRIJEM	VKLAD	8980	20299	\N	\N	\N
724159	2479	1994-02-14	VYDAJ	PREVOD NA UCET	3022	32857	SIPO	AB	99287282
724160	2479	1994-03-14	VYDAJ	PREVOD NA UCET	3022	29977	SIPO	AB	99287282
724161	2479	1994-04-14	VYDAJ	PREVOD NA UCET	3022	28184	SIPO	AB	99287282
724162	2479	1994-05-14	VYDAJ	PREVOD NA UCET	3022	27083	SIPO	AB	99287282
724163	2479	1994-06-14	VYDAJ	PREVOD NA UCET	3022	26072	SIPO	AB	99287282
724164	2479	1994-07-14	VYDAJ	PREVOD NA UCET	3022	29263	SIPO	AB	99287282
724165	2479	1994-08-14	VYDAJ	PREVOD NA UCET	3022	23265	SIPO	AB	99287282
724166	2479	1994-09-14	VYDAJ	PREVOD NA UCET	3022	25148	SIPO	AB	99287282
724167	2479	1994-10-14	VYDAJ	PREVOD NA UCET	3022	28833	SIPO	AB	99287282
724168	2479	1994-11-14	VYDAJ	PREVOD NA UCET	3022	27932	SIPO	AB	99287282
724169	2479	1994-12-14	VYDAJ	PREVOD NA UCET	3022	27116	SIPO	AB	99287282
724170	2479	1995-01-14	VYDAJ	PREVOD NA UCET	3022	28608	SIPO	AB	99287282
724171	2479	1995-02-14	VYDAJ	PREVOD NA UCET	3022	15582	SIPO	AB	99287282
724172	2479	1995-03-14	VYDAJ	PREVOD NA UCET	3022	21830	SIPO	AB	99287282
724173	2479	1995-04-14	VYDAJ	PREVOD NA UCET	3022	21198	SIPO	AB	99287282
724174	2479	1995-05-14	VYDAJ	PREVOD NA UCET	3022	23068	SIPO	AB	99287282
724175	2479	1995-06-14	VYDAJ	PREVOD NA UCET	3022	30337	SIPO	AB	99287282
724176	2479	1995-07-14	VYDAJ	PREVOD NA UCET	3022	26138	SIPO	AB	99287282
724177	2479	1995-08-14	VYDAJ	PREVOD NA UCET	3022	23930	SIPO	AB	99287282
724178	2479	1995-09-14	VYDAJ	PREVOD NA UCET	3022	21208	SIPO	AB	99287282
724179	2479	1995-10-14	VYDAJ	PREVOD NA UCET	3022	22376	SIPO	AB	99287282
724180	2479	1995-11-14	VYDAJ	PREVOD NA UCET	3022	21948	SIPO	AB	99287282
724181	2479	1995-12-14	VYDAJ	PREVOD NA UCET	3022	20010	SIPO	AB	99287282
724182	2479	1996-01-14	VYDAJ	PREVOD NA UCET	3022	16667	SIPO	AB	99287282
724183	2479	1996-02-14	VYDAJ	PREVOD NA UCET	3022	14615	SIPO	AB	99287282
724184	2479	1996-03-14	VYDAJ	PREVOD NA UCET	3022	18259	SIPO	AB	99287282
724185	2479	1996-04-14	VYDAJ	PREVOD NA UCET	3022	19314	SIPO	AB	99287282
724186	2479	1996-05-14	VYDAJ	PREVOD NA UCET	3022	18672	SIPO	AB	99287282
724187	2479	1996-06-14	VYDAJ	PREVOD NA UCET	3022	20020	SIPO	AB	99287282
724188	2479	1996-07-14	VYDAJ	PREVOD NA UCET	3022	17677	SIPO	AB	99287282
724189	2479	1996-08-14	VYDAJ	PREVOD NA UCET	3022	18629	SIPO	AB	99287282
724190	2479	1996-09-14	VYDAJ	PREVOD NA UCET	3022	21186	SIPO	AB	99287282
724191	2479	1996-10-14	VYDAJ	PREVOD NA UCET	3022	16747	SIPO	AB	99287282
724192	2479	1996-11-14	VYDAJ	PREVOD NA UCET	3022	14891	SIPO	AB	99287282
724193	2479	1996-12-14	VYDAJ	PREVOD NA UCET	3022	19925	SIPO	AB	99287282
724194	2479	1997-01-14	VYDAJ	PREVOD NA UCET	3022	12071	SIPO	AB	99287282
724195	2479	1997-02-14	VYDAJ	PREVOD NA UCET	3022	14104	SIPO	AB	99287282
724196	2479	1997-03-14	VYDAJ	PREVOD NA UCET	3022	16141	SIPO	AB	99287282
724197	2479	1997-04-14	VYDAJ	PREVOD NA UCET	3022	18187	SIPO	AB	99287282
724198	2479	1997-05-14	VYDAJ	PREVOD NA UCET	3022	14234	SIPO	AB	99287282
724199	2479	1997-06-14	VYDAJ	PREVOD NA UCET	3022	19265	SIPO	AB	99287282
724200	2479	1997-07-14	VYDAJ	PREVOD NA UCET	3022	21320	SIPO	AB	99287282
724201	2479	1997-08-14	VYDAJ	PREVOD NA UCET	3022	22587	SIPO	AB	99287282
724202	2479	1997-09-14	VYDAJ	PREVOD NA UCET	3022	15845	SIPO	AB	99287282
724203	2479	1997-10-14	VYDAJ	PREVOD NA UCET	3022	17890	SIPO	AB	99287282
724204	2479	1997-11-14	VYDAJ	PREVOD NA UCET	3022	19943	SIPO	AB	99287282
724205	2479	1997-12-14	VYDAJ	PREVOD NA UCET	3022	24997	SIPO	AB	99287282
724206	2479	1998-01-14	VYDAJ	PREVOD NA UCET	3022	18674	SIPO	AB	99287282
724207	2479	1998-02-14	VYDAJ	PREVOD NA UCET	3022	17428	SIPO	AB	99287282
724208	2479	1998-03-14	VYDAJ	PREVOD NA UCET	3022	19479	SIPO	AB	99287282
724209	2479	1998-04-14	VYDAJ	PREVOD NA UCET	3022	21538	SIPO	AB	99287282
724210	2479	1998-05-14	VYDAJ	PREVOD NA UCET	3022	19306	SIPO	AB	99287282
724211	2479	1998-06-14	VYDAJ	PREVOD NA UCET	3022	24364	SIPO	AB	99287282
724212	2479	1998-07-14	VYDAJ	PREVOD NA UCET	3022	26439	SIPO	AB	99287282
724213	2479	1998-08-14	VYDAJ	PREVOD NA UCET	3022	19507	SIPO	AB	99287282
724214	2479	1998-09-14	VYDAJ	PREVOD NA UCET	3022	17766	SIPO	AB	99287282
724215	2479	1998-10-14	VYDAJ	PREVOD NA UCET	3022	10220	SIPO	AB	99287282
724216	2479	1998-11-14	VYDAJ	PREVOD NA UCET	3022	12256	SIPO	AB	99287282
724217	2479	1998-12-14	VYDAJ	PREVOD NA UCET	3022	15777	SIPO	AB	99287282
724232	2479	1994-03-07	VYDAJ	PREVOD NA UCET	765	32012	 	ST	56431281
724233	2479	1994-04-07	VYDAJ	PREVOD NA UCET	765	25219	 	ST	56431281
724234	2479	1994-05-07	VYDAJ	PREVOD NA UCET	765	24118	 	ST	56431281
724235	2479	1994-06-07	VYDAJ	PREVOD NA UCET	765	24414	 	ST	56431281
724236	2479	1994-07-07	VYDAJ	PREVOD NA UCET	765	26298	 	ST	56431281
724237	2479	1994-08-07	VYDAJ	PREVOD NA UCET	765	25000	 	ST	56431281
724238	2479	1994-09-07	VYDAJ	PREVOD NA UCET	765	22183	 	ST	56431281
724239	2479	1994-10-07	VYDAJ	PREVOD NA UCET	765	25868	 	ST	56431281
724240	2479	1994-11-07	VYDAJ	PREVOD NA UCET	765	24967	 	ST	56431281
724241	2479	1994-12-07	VYDAJ	PREVOD NA UCET	765	22758	 	ST	56431281
724242	2479	1995-01-07	VYDAJ	PREVOD NA UCET	765	25643	 	ST	56431281
724243	2479	1995-02-07	VYDAJ	PREVOD NA UCET	765	16617	 	ST	56431281
724244	2479	1995-03-07	VYDAJ	PREVOD NA UCET	765	18865	 	ST	56431281
724245	2479	1995-04-07	VYDAJ	PREVOD NA UCET	765	18233	 	ST	56431281
724246	2479	1995-05-07	VYDAJ	PREVOD NA UCET	765	20103	 	ST	56431281
724247	2479	1995-06-07	VYDAJ	PREVOD NA UCET	765	24379	 	ST	56431281
724248	2479	1995-07-07	VYDAJ	PREVOD NA UCET	765	23173	 	ST	56431281
724249	2479	1995-08-07	VYDAJ	PREVOD NA UCET	765	20965	 	ST	56431281
724250	2479	1995-09-07	VYDAJ	PREVOD NA UCET	765	18243	 	ST	56431281
724251	2479	1995-10-07	VYDAJ	PREVOD NA UCET	765	19411	 	ST	56431281
724252	2479	1995-11-07	VYDAJ	PREVOD NA UCET	765	18983	 	ST	56431281
724253	2479	1995-12-07	VYDAJ	PREVOD NA UCET	765	14052	 	ST	56431281
724254	2479	1996-01-07	VYDAJ	PREVOD NA UCET	765	13702	 	ST	56431281
724255	2479	1996-02-07	VYDAJ	PREVOD NA UCET	765	13850	 	ST	56431281
724256	2479	1996-03-07	VYDAJ	PREVOD NA UCET	765	15294	 	ST	56431281
724257	2479	1996-04-07	VYDAJ	PREVOD NA UCET	765	16349	 	ST	56431281
724258	2479	1996-05-07	VYDAJ	PREVOD NA UCET	765	15707	 	ST	56431281
724259	2479	1996-06-07	VYDAJ	PREVOD NA UCET	765	14062	 	ST	56431281
724260	2479	1996-07-07	VYDAJ	PREVOD NA UCET	765	14712	 	ST	56431281
724261	2479	1996-08-07	VYDAJ	PREVOD NA UCET	765	15664	 	ST	56431281
724262	2479	1996-09-07	VYDAJ	PREVOD NA UCET	765	18221	 	ST	56431281
724263	2479	1996-10-07	VYDAJ	PREVOD NA UCET	765	13782	 	ST	56431281
724264	2479	1996-11-07	VYDAJ	PREVOD NA UCET	765	11926	 	ST	56431281
724265	2479	1996-12-07	VYDAJ	PREVOD NA UCET	765	13967	 	ST	56431281
724266	2479	1997-01-07	VYDAJ	PREVOD NA UCET	765	10906	 	ST	56431281
724267	2479	1997-02-07	VYDAJ	PREVOD NA UCET	765	11139	 	ST	56431281
724268	2479	1997-03-07	VYDAJ	PREVOD NA UCET	765	13176	 	ST	56431281
724269	2479	1997-04-07	VYDAJ	PREVOD NA UCET	765	15222	 	ST	56431281
724270	2479	1997-05-07	VYDAJ	PREVOD NA UCET	765	11269	 	ST	56431281
724271	2479	1997-06-07	VYDAJ	PREVOD NA UCET	765	13307	 	ST	56431281
724272	2479	1997-07-07	VYDAJ	PREVOD NA UCET	765	18355	 	ST	56431281
724273	2479	1997-08-07	VYDAJ	PREVOD NA UCET	765	19622	 	ST	56431281
724274	2479	1997-09-07	VYDAJ	PREVOD NA UCET	765	12880	 	ST	56431281
724275	2479	1997-10-07	VYDAJ	PREVOD NA UCET	765	14925	 	ST	56431281
724276	2479	1997-11-07	VYDAJ	PREVOD NA UCET	765	16978	 	ST	56431281
724277	2479	1997-12-07	VYDAJ	PREVOD NA UCET	765	19039	 	ST	56431281
724278	2479	1998-01-07	VYDAJ	PREVOD NA UCET	765	19409	 	ST	56431281
724279	2479	1998-02-07	VYDAJ	PREVOD NA UCET	765	14463	 	ST	56431281
724280	2479	1998-03-07	VYDAJ	PREVOD NA UCET	765	16514	 	ST	56431281
724281	2479	1998-04-07	VYDAJ	PREVOD NA UCET	765	18573	 	ST	56431281
724282	2479	1998-05-07	VYDAJ	PREVOD NA UCET	765	20641	 	ST	56431281
724283	2479	1998-06-07	VYDAJ	PREVOD NA UCET	765	18406	 	ST	56431281
724284	2479	1998-07-07	VYDAJ	PREVOD NA UCET	765	23474	 	ST	56431281
724285	2479	1998-08-07	VYDAJ	PREVOD NA UCET	765	16542	 	ST	56431281
724286	2479	1998-09-07	VYDAJ	PREVOD NA UCET	765	14801	 	ST	56431281
724287	2479	1998-10-07	VYDAJ	PREVOD NA UCET	765	16855	 	ST	56431281
724288	2479	1998-11-07	VYDAJ	PREVOD NA UCET	765	9291	 	ST	56431281
724289	2479	1998-12-07	VYDAJ	PREVOD NA UCET	765	11319	 	ST	56431281
724304	2479	1994-03-06	VYDAJ	PREVOD NA UCET	204	32777	POJISTNE	KL	86809700
724305	2479	1994-04-06	VYDAJ	PREVOD NA UCET	204	27084	POJISTNE	KL	86809700
724306	2479	1994-05-06	VYDAJ	PREVOD NA UCET	204	28083	POJISTNE	KL	86809700
724307	2479	1994-06-06	VYDAJ	PREVOD NA UCET	204	26979	POJISTNE	KL	86809700
724308	2479	1994-07-06	VYDAJ	PREVOD NA UCET	204	27063	POJISTNE	KL	86809700
724309	2479	1994-08-06	VYDAJ	PREVOD NA UCET	204	25765	POJISTNE	KL	86809700
724310	2479	1994-09-06	VYDAJ	PREVOD NA UCET	204	22948	POJISTNE	KL	86809700
724311	2479	1994-10-06	VYDAJ	PREVOD NA UCET	204	26633	POJISTNE	KL	86809700
724312	2479	1994-11-06	VYDAJ	PREVOD NA UCET	204	25732	POJISTNE	KL	86809700
724313	2479	1994-12-06	VYDAJ	PREVOD NA UCET	204	23523	POJISTNE	KL	86809700
724314	2479	1995-01-06	VYDAJ	PREVOD NA UCET	204	26408	POJISTNE	KL	86809700
724315	2479	1995-02-06	VYDAJ	PREVOD NA UCET	204	17382	POJISTNE	KL	86809700
724316	2479	1995-03-06	VYDAJ	PREVOD NA UCET	204	19630	POJISTNE	KL	86809700
724317	2479	1995-04-06	VYDAJ	PREVOD NA UCET	204	18998	POJISTNE	KL	86809700
724318	2479	1995-05-06	VYDAJ	PREVOD NA UCET	204	20868	POJISTNE	KL	86809700
724319	2479	1995-06-06	VYDAJ	PREVOD NA UCET	204	25144	POJISTNE	KL	86809700
724320	2479	1995-07-06	VYDAJ	PREVOD NA UCET	204	23938	POJISTNE	KL	86809700
724321	2479	1995-08-06	VYDAJ	PREVOD NA UCET	204	21730	POJISTNE	KL	86809700
724322	2479	1995-09-06	VYDAJ	PREVOD NA UCET	204	19008	POJISTNE	KL	86809700
724323	2479	1995-10-06	VYDAJ	PREVOD NA UCET	204	20176	POJISTNE	KL	86809700
724324	2479	1995-11-06	VYDAJ	PREVOD NA UCET	204	19748	POJISTNE	KL	86809700
724325	2479	1995-12-06	VYDAJ	PREVOD NA UCET	204	14817	POJISTNE	KL	86809700
724326	2479	1996-01-06	VYDAJ	PREVOD NA UCET	204	14467	POJISTNE	KL	86809700
724327	2479	1996-02-06	VYDAJ	PREVOD NA UCET	204	14615	POJISTNE	KL	86809700
724328	2479	1996-03-06	VYDAJ	PREVOD NA UCET	204	16059	POJISTNE	KL	86809700
724329	2479	1996-04-06	VYDAJ	PREVOD NA UCET	204	17114	POJISTNE	KL	86809700
724330	2479	1996-05-06	VYDAJ	PREVOD NA UCET	204	16472	POJISTNE	KL	86809700
724331	2479	1996-06-06	VYDAJ	PREVOD NA UCET	204	14827	POJISTNE	KL	86809700
724332	2479	1996-07-06	VYDAJ	PREVOD NA UCET	204	15477	POJISTNE	KL	86809700
724333	2479	1996-08-06	VYDAJ	PREVOD NA UCET	204	16429	POJISTNE	KL	86809700
724334	2479	1996-09-06	VYDAJ	PREVOD NA UCET	204	18986	POJISTNE	KL	86809700
724335	2479	1996-10-06	VYDAJ	PREVOD NA UCET	204	14547	POJISTNE	KL	86809700
724336	2479	1996-11-06	VYDAJ	PREVOD NA UCET	204	12691	POJISTNE	KL	86809700
724337	2479	1996-12-06	VYDAJ	PREVOD NA UCET	204	14732	POJISTNE	KL	86809700
724338	2479	1997-01-06	VYDAJ	PREVOD NA UCET	204	11671	POJISTNE	KL	86809700
724339	2479	1997-02-06	VYDAJ	PREVOD NA UCET	204	11904	POJISTNE	KL	86809700
724340	2479	1997-03-06	VYDAJ	PREVOD NA UCET	204	13941	POJISTNE	KL	86809700
724341	2479	1997-04-06	VYDAJ	PREVOD NA UCET	204	15987	POJISTNE	KL	86809700
724342	2479	1997-05-06	VYDAJ	PREVOD NA UCET	204	12034	POJISTNE	KL	86809700
724343	2479	1997-06-06	VYDAJ	PREVOD NA UCET	204	14072	POJISTNE	KL	86809700
724344	2479	1997-07-06	VYDAJ	PREVOD NA UCET	204	19120	POJISTNE	KL	86809700
724345	2479	1997-08-06	VYDAJ	PREVOD NA UCET	204	20387	POJISTNE	KL	86809700
724346	2479	1997-09-06	VYDAJ	PREVOD NA UCET	204	13645	POJISTNE	KL	86809700
724347	2479	1997-10-06	VYDAJ	PREVOD NA UCET	204	15690	POJISTNE	KL	86809700
724348	2479	1997-11-06	VYDAJ	PREVOD NA UCET	204	17743	POJISTNE	KL	86809700
724349	2479	1997-12-06	VYDAJ	PREVOD NA UCET	204	19804	POJISTNE	KL	86809700
724350	2479	1998-01-06	VYDAJ	PREVOD NA UCET	204	20174	POJISTNE	KL	86809700
724351	2479	1998-02-06	VYDAJ	PREVOD NA UCET	204	15228	POJISTNE	KL	86809700
724352	2479	1998-03-06	VYDAJ	PREVOD NA UCET	204	17279	POJISTNE	KL	86809700
724353	2479	1998-04-06	VYDAJ	PREVOD NA UCET	204	19338	POJISTNE	KL	86809700
724354	2479	1998-05-06	VYDAJ	PREVOD NA UCET	204	21406	POJISTNE	KL	86809700
724355	2479	1998-06-06	VYDAJ	PREVOD NA UCET	204	19171	POJISTNE	KL	86809700
724356	2479	1998-07-06	VYDAJ	PREVOD NA UCET	204	24239	POJISTNE	KL	86809700
724357	2479	1998-08-06	VYDAJ	PREVOD NA UCET	204	17307	POJISTNE	KL	86809700
724358	2479	1998-09-06	VYDAJ	PREVOD NA UCET	204	15566	POJISTNE	KL	86809700
724359	2479	1998-10-06	VYDAJ	PREVOD NA UCET	204	17620	POJISTNE	KL	86809700
724360	2479	1998-11-06	VYDAJ	PREVOD NA UCET	204	10056	POJISTNE	KL	86809700
724361	2479	1998-12-06	VYDAJ	PREVOD NA UCET	204	12084	POJISTNE	KL	86809700
724363	2479	1994-06-10	VYDAJ	VYBER	4300	29094	\N	\N	\N
724370	2479	1995-01-16	VYDAJ	VYBER	4700	23908	\N	\N	\N
724373	2479	1998-01-15	VYDAJ	VYBER	1600	15374	\N	\N	\N
724375	2479	1994-12-13	VYDAJ	VYBER	1600	30138	\N	\N	\N
724376	2479	1995-12-27	VYDAJ	VYBER	2700	17310	\N	\N	\N
724377	2479	1996-12-16	VYDAJ	VYBER	1300	18625	\N	\N	\N
724378	2479	1997-12-24	VYDAJ	VYBER	2100	22897	\N	\N	\N
724379	2479	1998-12-13	VYDAJ	VYBER	1500	18799	\N	\N	\N
724392	2479	1995-01-03	VYDAJ	VYBER	500	26612	\N	\N	\N
724393	2479	1995-01-23	VYDAJ	VYBER	2700	15208	\N	\N	\N
724394	2479	1995-01-16	VYDAJ	VYBER	2000	21908	\N	\N	\N
724395	2479	1995-01-27	VYDAJ	VYBER	1500	13708	\N	\N	\N
724396	2479	1995-01-20	VYDAJ	VYBER	1100	17908	\N	\N	\N
724397	2479	1995-01-19	VYDAJ	VYBER	2900	19008	\N	\N	\N
724400	2479	1996-01-28	VYDAJ	VYBER	1100	14767	\N	\N	\N
724401	2479	1996-01-02	VYDAJ	VYBER	2400	14671	\N	\N	\N
724402	2479	1996-01-17	VYDAJ	VYBER	900	15767	\N	\N	\N
724403	2479	1996-01-19	VYDAJ	VYBER	700	15067	\N	\N	\N
724409	2479	1997-01-13	VYDAJ	VYBER	1800	15093	\N	\N	\N
724410	2479	1998-01-02	VYDAJ	VYBER	500	22478	\N	\N	\N
724411	2479	1998-01-08	VYDAJ	VYBER	1400	18009	\N	\N	\N
724412	2479	1998-01-04	VYDAJ	VYBER	2100	20378	\N	\N	\N
724413	2479	1998-01-14	VYDAJ	VYBER	1700	16974	\N	\N	\N
724415	2479	1998-01-12	VYDAJ	VYBER	2300	21696	\N	\N	\N
724423	2479	1994-11-19	VYDAJ	VYBER	1400	23432	\N	\N	\N
724424	2479	1994-03-26	VYDAJ	VYBER	2800	27177	\N	\N	\N
724426	2479	1994-08-07	VYDAJ	VYBER	4700	20300	\N	\N	\N
724427	2479	1994-11-19	VYDAJ	VYBER	3100	24832	\N	\N	\N
724428	2479	1995-11-30	VYDAJ	VYBER	3700	15036	\N	\N	\N
724429	2479	1995-02-12	VYDAJ	VYBER	4000	18604	\N	\N	\N
724431	2479	1995-06-27	VYDAJ	VYBER	900	29437	\N	\N	\N
724433	2479	1996-06-30	VYDAJ	VYBER	2800	15696	\N	\N	\N
724434	2479	1996-10-22	VYDAJ	VYBER	500	16247	\N	\N	\N
724435	2479	1996-02-11	VYDAJ	VYBER	2200	17637	\N	\N	\N
724439	2479	1997-08-02	VYDAJ	VYBER	800	20591	\N	\N	\N
724440	2479	1998-05-12	VYDAJ	VYBER	4300	22328	\N	\N	\N
724442	2479	1998-09-01	VYDAJ	VYBER	3800	15770	\N	\N	\N
724458	2479	1994-02-28	VYDAJ	VYBER	15	32981	SLUZBY	\N	\N
724459	2479	1994-03-31	VYDAJ	VYBER	15	27288	SLUZBY	\N	\N
724460	2479	1994-04-30	VYDAJ	VYBER	15	28287	SLUZBY	\N	\N
724461	2479	1994-05-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
724462	2479	1994-06-30	VYDAJ	VYBER	15	26167	SLUZBY	\N	\N
724463	2479	1994-07-31	VYDAJ	VYBER	15	29369	SLUZBY	\N	\N
724464	2479	1994-08-31	VYDAJ	VYBER	15	23352	SLUZBY	\N	\N
724465	2479	1994-09-30	VYDAJ	VYBER	15	25237	SLUZBY	\N	\N
724466	2479	1994-10-31	VYDAJ	VYBER	15	28936	SLUZBY	\N	\N
724467	2479	1994-11-30	VYDAJ	VYBER	15	23527	SLUZBY	\N	\N
724468	2479	1994-12-31	VYDAJ	VYBER	15	27212	SLUZBY	\N	\N
724469	2479	1995-01-31	VYDAJ	VYBER	15	13786	SLUZBY	\N	\N
724470	2479	1995-02-28	VYDAJ	VYBER	15	15634	SLUZBY	\N	\N
724471	2479	1995-03-31	VYDAJ	VYBER	15	21902	SLUZBY	\N	\N
724472	2479	1995-04-30	VYDAJ	VYBER	15	21272	SLUZBY	\N	\N
724473	2479	1995-05-31	VYDAJ	VYBER	15	23148	SLUZBY	\N	\N
724474	2479	1995-06-30	VYDAJ	VYBER	15	29542	SLUZBY	\N	\N
724475	2479	1995-07-31	VYDAJ	VYBER	15	21934	SLUZBY	\N	\N
724476	2479	1995-08-31	VYDAJ	VYBER	15	19212	SLUZBY	\N	\N
724477	2479	1995-09-30	VYDAJ	VYBER	15	20380	SLUZBY	\N	\N
724478	2479	1995-10-31	VYDAJ	VYBER	15	19952	SLUZBY	\N	\N
724479	2479	1995-11-30	VYDAJ	VYBER	15	15021	SLUZBY	\N	\N
724480	2479	1995-12-31	VYDAJ	VYBER	15	17071	SLUZBY	\N	\N
724481	2479	1996-01-31	VYDAJ	VYBER	15	14819	SLUZBY	\N	\N
724482	2479	1996-02-29	VYDAJ	VYBER	15	16263	SLUZBY	\N	\N
724483	2479	1996-03-31	VYDAJ	VYBER	15	17318	SLUZBY	\N	\N
724484	2479	1996-04-30	VYDAJ	VYBER	15	16676	SLUZBY	\N	\N
724485	2479	1996-05-31	VYDAJ	VYBER	15	15031	SLUZBY	\N	\N
724486	2479	1996-06-30	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
724487	2479	1996-07-31	VYDAJ	VYBER	15	16633	SLUZBY	\N	\N
724488	2479	1996-08-31	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
724489	2479	1996-09-30	VYDAJ	VYBER	15	14751	SLUZBY	\N	\N
724490	2479	1996-10-31	VYDAJ	VYBER	15	12895	SLUZBY	\N	\N
724491	2479	1996-11-30	VYDAJ	VYBER	15	14936	SLUZBY	\N	\N
724492	2479	1996-12-31	VYDAJ	VYBER	15	11875	SLUZBY	\N	\N
724493	2479	1997-01-31	VYDAJ	VYBER	15	12108	SLUZBY	\N	\N
724494	2479	1997-02-28	VYDAJ	VYBER	15	14145	SLUZBY	\N	\N
724495	2479	1997-03-31	VYDAJ	VYBER	15	16191	SLUZBY	\N	\N
724496	2479	1997-04-30	VYDAJ	VYBER	15	12238	SLUZBY	\N	\N
724497	2479	1997-05-31	VYDAJ	VYBER	15	14276	SLUZBY	\N	\N
724498	2479	1997-06-30	VYDAJ	VYBER	15	19324	SLUZBY	\N	\N
724499	2479	1997-07-31	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
724500	2479	1997-08-31	VYDAJ	VYBER	15	13849	SLUZBY	\N	\N
724501	2479	1997-09-30	VYDAJ	VYBER	15	15894	SLUZBY	\N	\N
724502	2479	1997-10-31	VYDAJ	VYBER	15	17947	SLUZBY	\N	\N
724503	2479	1997-11-30	VYDAJ	VYBER	15	20008	SLUZBY	\N	\N
724504	2479	1997-12-31	VYDAJ	VYBER	15	22978	SLUZBY	\N	\N
724505	2479	1998-01-31	VYDAJ	VYBER	15	15432	SLUZBY	\N	\N
724506	2479	1998-02-28	VYDAJ	VYBER	15	17483	SLUZBY	\N	\N
724507	2479	1998-03-31	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
724508	2479	1998-04-30	VYDAJ	VYBER	15	21610	SLUZBY	\N	\N
724509	2479	1998-05-31	VYDAJ	VYBER	15	19375	SLUZBY	\N	\N
724510	2479	1998-06-30	VYDAJ	VYBER	15	24443	SLUZBY	\N	\N
724511	2479	1998-07-31	VYDAJ	VYBER	15	17511	SLUZBY	\N	\N
724512	2479	1998-08-31	VYDAJ	VYBER	15	19570	SLUZBY	\N	\N
724513	2479	1998-09-30	VYDAJ	VYBER	15	17824	SLUZBY	\N	\N
724514	2479	1998-10-31	VYDAJ	VYBER	15	10260	SLUZBY	\N	\N
724515	2479	1998-11-30	VYDAJ	VYBER	15	12288	SLUZBY	\N	\N
724516	2479	1993-11-08	PRIJEM	VKLAD	10500	17608	\N	\N	\N
724517	2479	1993-12-08	VYDAJ	VYBER	1900	21773	\N	\N	\N
724518	2479	1994-01-07	VYDAJ	VYBER	4400	26472	\N	\N	\N
724519	2479	1994-02-06	VYDAJ	VYBER	2700	29892	\N	\N	\N
724520	2479	1994-03-08	VYDAJ	VYBER	5000	27012	\N	\N	\N
724521	2479	1994-04-07	VYDAJ	VYBER	1100	25984	\N	\N	\N
724522	2479	1994-05-07	VYDAJ	VYBER	3200	24883	\N	\N	\N
724523	2479	1994-06-06	VYDAJ	VYBER	1800	25179	\N	\N	\N
724524	2479	1994-07-06	PRIJEM	VKLAD	1100	27267	\N	\N	\N
724525	2479	1994-08-05	VYDAJ	VYBER	3400	25969	\N	\N	\N
724526	2479	1994-09-04	VYDAJ	VYBER	200	23152	\N	\N	\N
724527	2479	1994-10-04	PRIJEM	VKLAD	1600	26837	\N	\N	\N
724528	2479	1994-11-03	VYDAJ	VYBER	3000	25936	\N	\N	\N
724529	2479	1994-12-03	PRIJEM	VKLAD	200	23727	\N	\N	\N
724530	2479	1995-01-02	VYDAJ	VYBER	100	27112	\N	\N	\N
724531	2479	1995-02-01	PRIJEM	VKLAD	3800	17586	\N	\N	\N
724532	2479	1995-03-03	PRIJEM	VKLAD	4200	19834	\N	\N	\N
724533	2479	1995-04-02	VYDAJ	VYBER	2700	19202	\N	\N	\N
724534	2479	1995-05-02	VYDAJ	VYBER	200	21072	\N	\N	\N
724535	2479	1995-06-01	PRIJEM	VKLAD	2200	25348	\N	\N	\N
724536	2479	1995-07-01	VYDAJ	VYBER	5400	24142	\N	\N	\N
724537	2479	1995-07-31	VYDAJ	VYBER	4300	21948	\N	\N	\N
724538	2479	1995-08-30	VYDAJ	VYBER	4800	19130	\N	\N	\N
724539	2479	1995-09-29	VYDAJ	VYBER	900	20308	\N	\N	\N
724540	2479	1995-10-29	VYDAJ	VYBER	2500	19876	\N	\N	\N
724541	2479	1995-11-28	VYDAJ	VYBER	3300	18648	\N	\N	\N
724542	2479	1995-12-28	VYDAJ	VYBER	300	17010	\N	\N	\N
724543	2479	1996-01-27	PRIJEM	VKLAD	800	15867	\N	\N	\N
724544	2479	1996-02-26	PRIJEM	VKLAD	1600	16215	\N	\N	\N
724545	2479	1996-03-27	VYDAJ	VYBER	1000	17259	\N	\N	\N
724546	2479	1996-04-26	VYDAJ	VYBER	2700	16614	\N	\N	\N
724547	2479	1996-05-26	VYDAJ	VYBER	3700	14972	\N	\N	\N
724548	2479	1996-06-25	VYDAJ	VYBER	1600	18420	\N	\N	\N
724549	2479	1996-07-25	VYDAJ	VYBER	1100	16577	\N	\N	\N
724550	2479	1996-08-24	PRIJEM	VKLAD	500	19129	\N	\N	\N
724551	2479	1996-09-23	VYDAJ	VYBER	6500	14686	\N	\N	\N
724552	2479	1996-10-23	VYDAJ	VYBER	3400	12847	\N	\N	\N
724553	2479	1996-12-22	VYDAJ	VYBER	6800	11825	\N	\N	\N
724554	2479	1997-04-21	VYDAJ	VYBER	6000	12187	\N	\N	\N
724555	2479	1997-08-19	VYDAJ	VYBER	8800	13787	\N	\N	\N
724556	2479	1998-07-15	VYDAJ	VYBER	9000	17439	\N	\N	\N
724557	2479	1998-10-13	VYDAJ	VYBER	9600	13242	\N	\N	\N
724621	2480	1997-09-07	PRIJEM	VKLAD	400	400	\N	\N	\N
724624	2480	1997-12-30	PRIJEM	VKLAD	33759	91601	\N	\N	\N
724628	2480	1997-10-14	PRIJEM	VKLAD	13133	52353	\N	\N	\N
724629	2480	1997-09-08	PRIJEM	VKLAD	45611	57734	\N	\N	\N
724630	2480	1997-11-14	PRIJEM	VKLAD	10576	77205	\N	\N	\N
724631	2480	1997-09-07	PRIJEM	VKLAD	11723	12123	\N	\N	\N
724632	2480	1997-11-13	PRIJEM	VKLAD	12696	66629	\N	\N	\N
724633	2480	1997-11-20	PRIJEM	VKLAD	49804	127009	\N	\N	\N
724634	2480	1997-10-15	PRIJEM	VKLAD	31480	83833	\N	\N	\N
724636	2480	1997-12-15	PRIJEM	VKLAD	14275	57842	\N	\N	\N
724637	2480	1998-06-30	PRIJEM	VKLAD	35365	67532	\N	\N	\N
724638	2480	1998-06-01	PRIJEM	VKLAD	39709	111695	\N	\N	\N
724639	2480	1998-11-23	PRIJEM	VKLAD	49812	85562	\N	\N	\N
724640	2480	1998-05-14	PRIJEM	VKLAD	37304	72648	\N	\N	\N
724641	2480	1998-05-27	PRIJEM	VKLAD	6303	71732	\N	\N	\N
724642	2480	1998-07-10	PRIJEM	VKLAD	33958	76175	\N	\N	\N
724643	2480	1998-05-17	PRIJEM	VKLAD	5300	77948	\N	\N	\N
724644	2480	1998-04-19	PRIJEM	VKLAD	16951	81207	\N	\N	\N
724645	2480	1998-08-18	PRIJEM	VKLAD	5452	77760	\N	\N	\N
724646	2480	1998-03-10	PRIJEM	VKLAD	47260	80507	\N	\N	\N
724647	2480	1998-10-10	PRIJEM	VKLAD	43677	122054	\N	\N	\N
724648	2480	1998-09-24	PRIJEM	VKLAD	35262	82719	\N	\N	\N
724649	2480	1998-10-08	PRIJEM	VKLAD	16486	78377	\N	\N	\N
724650	2480	1998-09-15	PRIJEM	VKLAD	22685	47457	\N	\N	\N
724651	2480	1998-10-06	PRIJEM	VKLAD	12564	61891	\N	\N	\N
724652	2480	1998-08-04	PRIJEM	VKLAD	25813	72308	\N	\N	\N
724653	2480	1998-03-06	PRIJEM	VKLAD	26595	57109	\N	\N	\N
724654	2480	1998-04-06	PRIJEM	VKLAD	24941	64256	\N	\N	\N
724655	2480	1998-01-06	PRIJEM	VKLAD	44345	89507	\N	\N	\N
724685	2480	1997-11-21	VYBER	VYBER	15753	72056	\N	\N	\N
724687	2480	1998-03-19	VYBER	VYBER	9096	71411	\N	\N	\N
724688	2480	1998-12-22	VYBER	VYBER	9345	46956	\N	\N	\N
724689	2480	1998-12-30	VYBER	VYBER	19878	16578	\N	\N	\N
724690	2480	1998-03-20	VYBER	VYBER	16825	54586	\N	\N	\N
724691	2480	1998-10-19	VYBER	VYBER	17138	63016	\N	\N	\N
724692	2480	1998-03-09	VYBER	VYBER	5562	33247	\N	\N	\N
724693	2480	1998-04-22	VYBER	VYBER	13348	55301	\N	\N	\N
724694	2480	1998-09-06	VYBER	VYBER	21685	24772	\N	\N	\N
724695	2480	1998-04-19	VYBER	VYBER	12558	68649	\N	\N	\N
724696	2480	1998-05-21	VYBER	VYBER	12519	65429	\N	\N	\N
724697	2480	1998-07-21	VYBER	VYBER	3567	72608	\N	\N	\N
724700	2480	1997-12-30	VYDAJ	VYBER	8400	83201	\N	\N	\N
724701	2480	1998-12-30	VYDAJ	VYBER	8700	7878	\N	\N	\N
724708	2480	1998-01-14	VYDAJ	VYBER	4800	78707	\N	\N	\N
724709	2480	1998-01-02	VYDAJ	VYBER	6600	76862	\N	\N	\N
724710	2480	1998-01-03	VYDAJ	VYBER	7500	69362	\N	\N	\N
724711	2480	1998-01-22	VYDAJ	VYBER	7500	67007	\N	\N	\N
724712	2480	1998-01-10	VYDAJ	VYBER	6000	83507	\N	\N	\N
724713	2480	1998-01-18	VYDAJ	VYBER	4200	74507	\N	\N	\N
724718	2480	1998-12-28	VYDAJ	VYBER	10500	36456	\N	\N	\N
724719	2480	1998-02-25	VYDAJ	VYBER	9300	32395	\N	\N	\N
724720	2480	1998-01-22	VYDAJ	VYBER	7500	59507	\N	\N	\N
724721	2480	1998-11-14	VYDAJ	VYBER	7500	35750	\N	\N	\N
724722	2480	1998-09-26	VYDAJ	VYBER KARTOU	3300	79419	\N	\N	0
724723	2480	1998-03-01	VYDAJ	VYBER	2100	30514	\N	\N	\N
724735	2480	1997-11-30	VYDAJ	VYBER	15	72367	SLUZBY	\N	\N
724736	2480	1997-12-31	VYDAJ	VYBER	15	83462	SLUZBY	\N	\N
724737	2480	1998-01-31	VYDAJ	VYBER	15	59795	SLUZBY	\N	\N
724738	2480	1998-02-28	VYDAJ	VYBER	15	32614	SLUZBY	\N	\N
724739	2480	1998-03-31	VYDAJ	VYBER	15	54815	SLUZBY	\N	\N
724740	2480	1998-04-30	VYDAJ	VYBER	15	55544	SLUZBY	\N	\N
724741	2480	1998-05-31	VYDAJ	VYBER	15	71986	SLUZBY	\N	\N
724742	2480	1998-06-30	VYDAJ	VYBER	15	67517	SLUZBY	\N	\N
724743	2480	1998-07-31	VYDAJ	VYBER	15	72895	SLUZBY	\N	\N
724744	2480	1998-08-31	VYDAJ	VYBER	15	78057	SLUZBY	\N	\N
724745	2480	1998-09-30	VYDAJ	VYBER	15	79627	SLUZBY	\N	\N
724746	2480	1998-10-31	VYDAJ	VYBER	15	63350	SLUZBY	\N	\N
724747	2480	1998-11-30	VYDAJ	VYBER	15	85801	SLUZBY	\N	\N
724748	2480	1997-10-07	VYDAJ	VYBER	18700	39220	\N	\N	\N
724749	2480	1997-11-06	VYDAJ	VYBER	30200	53933	\N	\N	\N
724750	2480	1997-11-20	VYDAJ	VYBER	39200	87809	\N	\N	\N
724751	2480	1997-12-06	VYDAJ	VYBER	28800	43567	\N	\N	\N
724752	2480	1998-01-05	VYDAJ	VYBER	24200	45162	\N	\N	\N
724753	2480	1998-02-04	VYDAJ	VYBER	18100	41695	\N	\N	\N
724754	2480	1998-03-06	VYDAJ	VYBER	18300	38809	\N	\N	\N
724755	2480	1998-04-05	VYDAJ	VYBER	15500	39315	\N	\N	\N
724756	2480	1998-05-05	VYDAJ	VYBER	20200	35344	\N	\N	\N
724757	2480	1998-06-01	VYDAJ	VYBER	63400	48295	\N	\N	\N
724758	2480	1998-06-04	VYDAJ	VYBER	16300	31995	\N	\N	\N
724759	2480	1998-07-04	VYDAJ	VYBER	25300	42217	\N	\N	\N
724760	2480	1998-08-03	VYDAJ	VYBER	26400	46495	\N	\N	\N
724761	2480	1998-09-02	VYDAJ	VYBER	31600	46457	\N	\N	\N
724762	2480	1998-10-02	VYDAJ	VYBER	30300	49327	\N	\N	\N
724763	2480	1998-10-10	VYDAJ	VYBER	41900	80154	\N	\N	\N
724764	2480	1998-11-01	VYDAJ	VYBER	20100	43250	\N	\N	\N
724765	2480	1998-12-01	VYDAJ	VYBER	29500	56301	\N	\N	\N
724782	2481	1995-10-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
724894	2481	1995-11-27	PRIJEM	VKLAD	15300	16400	\N	\N	\N
724895	2481	1995-12-27	PRIJEM	VKLAD	4200	20600	\N	\N	\N
724896	2481	1996-01-26	PRIJEM	VKLAD	2000	22600	\N	\N	\N
724897	2481	1996-02-25	PRIJEM	VKLAD	5800	28400	\N	\N	\N
724898	2481	1996-03-26	PRIJEM	VKLAD	700	29100	\N	\N	\N
724899	2481	1996-04-25	VYDAJ	VYBER	1300	27800	\N	\N	\N
724900	2481	1996-05-25	VYDAJ	VYBER	700	27100	\N	\N	\N
724901	2481	1996-06-24	VYDAJ	VYBER	1600	25500	\N	\N	\N
724902	2481	1996-07-24	PRIJEM	VKLAD	900	26400	\N	\N	\N
724903	2481	1996-08-23	VYDAJ	VYBER	1800	24600	\N	\N	\N
724904	2481	1996-09-22	PRIJEM	VKLAD	200	24800	\N	\N	\N
724905	2481	1996-10-22	PRIJEM	VKLAD	100	24900	\N	\N	\N
724906	2481	1996-11-21	VYDAJ	VYBER	2600	22300	\N	\N	\N
724907	2481	1996-12-21	VYDAJ	VYBER	5400	16900	\N	\N	\N
724908	2481	1997-01-20	VYDAJ	VYBER	300	16600	\N	\N	\N
724909	2481	1997-02-19	PRIJEM	VKLAD	3200	19800	\N	\N	\N
724910	2481	1997-03-21	VYDAJ	VYBER	2800	17000	\N	\N	\N
724911	2481	1997-04-20	VYDAJ	VYBER	1400	15600	\N	\N	\N
724912	2481	1997-05-20	VYDAJ	VYBER	4300	11300	\N	\N	\N
724913	2481	1997-06-19	PRIJEM	VKLAD	2100	13400	\N	\N	\N
724914	2481	1997-07-19	PRIJEM	VKLAD	900	14300	\N	\N	\N
724915	2481	1997-08-18	VYDAJ	VYBER	1100	13200	\N	\N	\N
724916	2481	1997-09-17	PRIJEM	VKLAD	300	13500	\N	\N	\N
724917	2481	1997-10-17	PRIJEM	VKLAD	2500	16000	\N	\N	\N
724918	2481	1997-11-16	VYDAJ	VYBER	1600	14400	\N	\N	\N
724919	2481	1997-12-16	VYDAJ	VYBER	1700	12700	\N	\N	\N
724920	2481	1998-01-15	VYDAJ	VYBER	600	12100	\N	\N	\N
724921	2481	1998-02-14	VYDAJ	VYBER	1300	10800	\N	\N	\N
724922	2481	1998-03-16	VYDAJ	VYBER	1200	9600	\N	\N	\N
724923	2481	1998-04-15	PRIJEM	VKLAD	1300	10900	\N	\N	\N
724924	2481	1998-05-15	PRIJEM	VKLAD	900	11800	\N	\N	\N
724925	2481	1998-06-14	VYDAJ	VYBER	1700	10100	\N	\N	\N
724926	2481	1998-07-14	PRIJEM	VKLAD	300	10400	\N	\N	\N
724927	2481	1998-08-13	PRIJEM	VKLAD	3300	13700	\N	\N	\N
724928	2481	1998-09-12	PRIJEM	VKLAD	2700	16400	\N	\N	\N
724929	2481	1998-10-12	VYDAJ	VYBER	3700	12700	\N	\N	\N
724930	2481	1998-11-11	PRIJEM	VKLAD	600	13300	\N	\N	\N
724931	2481	1998-12-11	PRIJEM	VKLAD	1600	14900	\N	\N	\N
724932	2482	1994-02-23	PRIJEM	VKLAD	500	500	\N	\N	\N
724935	2482	1994-03-05	PRIJEM	VKLAD	11518	12018	\N	\N	\N
724936	2482	1994-04-05	PRIJEM	VKLAD	11518	30654	\N	\N	\N
724937	2482	1994-05-05	PRIJEM	VKLAD	11518	41662	\N	\N	\N
724938	2482	1994-06-05	PRIJEM	VKLAD	17277	51469	\N	\N	\N
724939	2482	1994-07-05	PRIJEM	VKLAD	11518	50134	\N	\N	\N
724940	2482	1994-08-05	PRIJEM	VKLAD	11518	45554	\N	\N	\N
724941	2482	1994-09-05	PRIJEM	VKLAD	11518	45161	\N	\N	\N
724942	2482	1994-10-05	PRIJEM	VKLAD	11518	43065	\N	\N	\N
724943	2482	1994-11-05	PRIJEM	VKLAD	11518	43961	\N	\N	\N
724944	2482	1994-12-05	PRIJEM	VKLAD	17277	47210	\N	\N	\N
724945	2482	1995-01-05	PRIJEM	VKLAD	11518	46219	\N	\N	\N
724946	2482	1995-02-05	PRIJEM	VKLAD	11518	35613	\N	\N	\N
724947	2482	1995-03-05	PRIJEM	VKLAD	11518	37782	\N	\N	\N
724948	2482	1995-04-05	PRIJEM	VKLAD	11518	37855	\N	\N	\N
724949	2482	1995-05-05	PRIJEM	VKLAD	11518	42435	\N	\N	\N
724950	2482	1995-06-05	PRIJEM	VKLAD	17277	45284	\N	\N	\N
724951	2482	1995-07-05	PRIJEM	VKLAD	11518	34240	\N	\N	\N
724952	2482	1995-08-05	PRIJEM	VKLAD	11518	36300	\N	\N	\N
724953	2482	1995-09-05	PRIJEM	VKLAD	11518	34665	\N	\N	\N
724954	2482	1995-10-05	PRIJEM	VKLAD	11518	34622	\N	\N	\N
724955	2482	1995-11-05	PRIJEM	VKLAD	11518	35782	\N	\N	\N
724956	2482	1995-12-05	PRIJEM	VKLAD	17277	44108	\N	\N	\N
724957	2482	1996-01-05	PRIJEM	VKLAD	11518	33384	\N	\N	\N
724958	2482	1996-02-05	PRIJEM	VKLAD	11518	28530	\N	\N	\N
724959	2482	1996-03-05	PRIJEM	VKLAD	11518	30064	\N	\N	\N
724960	2482	1996-04-05	PRIJEM	VKLAD	11518	35013	\N	\N	\N
724961	2482	1996-05-05	PRIJEM	VKLAD	11518	35371	\N	\N	\N
724962	2482	1996-06-05	PRIJEM	VKLAD	17277	39885	\N	\N	\N
724963	2482	1996-07-05	PRIJEM	VKLAD	11518	36352	\N	\N	\N
724964	2482	1996-08-05	PRIJEM	VKLAD	11518	34108	\N	\N	\N
724965	2482	1996-09-05	PRIJEM	VKLAD	11518	29349	\N	\N	\N
724966	2482	1996-10-05	PRIJEM	VKLAD	11518	29882	\N	\N	\N
724967	2482	1996-11-05	PRIJEM	VKLAD	11518	32226	\N	\N	\N
724968	2482	1996-12-05	PRIJEM	VKLAD	17277	35621	\N	\N	\N
724969	2482	1997-01-05	PRIJEM	VKLAD	11518	26856	\N	\N	\N
724970	2482	1997-02-05	PRIJEM	VKLAD	11518	27879	\N	\N	\N
724971	2482	1997-03-05	PRIJEM	VKLAD	11518	28104	\N	\N	\N
724972	2482	1997-04-05	PRIJEM	VKLAD	11518	26237	\N	\N	\N
724973	2482	1997-05-05	PRIJEM	VKLAD	11518	31372	\N	\N	\N
724974	2482	1997-06-05	PRIJEM	VKLAD	17277	43693	\N	\N	\N
724975	2482	1997-07-05	PRIJEM	VKLAD	11518	45688	\N	\N	\N
724976	2482	1997-08-05	PRIJEM	VKLAD	11518	44084	\N	\N	\N
724977	2482	1997-09-05	PRIJEM	VKLAD	11518	48892	\N	\N	\N
724978	2482	1997-10-05	PRIJEM	VKLAD	11518	51312	\N	\N	\N
724979	2482	1997-11-05	PRIJEM	VKLAD	11518	53246	\N	\N	\N
724980	2482	1997-12-05	PRIJEM	VKLAD	17277	59146	\N	\N	\N
724981	2482	1998-01-05	PRIJEM	VKLAD	11518	60912	\N	\N	\N
724982	2482	1998-02-05	PRIJEM	VKLAD	11518	52767	\N	\N	\N
724983	2482	1998-03-05	PRIJEM	VKLAD	11518	55706	\N	\N	\N
724984	2482	1998-04-05	PRIJEM	VKLAD	11518	57358	\N	\N	\N
724985	2482	1998-05-05	PRIJEM	VKLAD	11518	51918	\N	\N	\N
724986	2482	1998-06-05	PRIJEM	VKLAD	17277	54918	\N	\N	\N
724987	2482	1998-07-05	PRIJEM	VKLAD	11518	40018	\N	\N	\N
724988	2482	1998-08-05	PRIJEM	VKLAD	11518	41999	\N	\N	\N
724989	2482	1998-09-05	PRIJEM	VKLAD	11518	39382	\N	\N	\N
724990	2482	1998-10-05	PRIJEM	VKLAD	11518	40364	\N	\N	\N
724991	2482	1998-11-05	PRIJEM	VKLAD	11518	37041	\N	\N	\N
724992	2482	1998-12-05	PRIJEM	VKLAD	17277	44274	\N	\N	\N
724999	2482	1994-07-05	VYDAJ	PREVOD NA UCET	7381	42753	SIPO	AB	35457408
725000	2482	1994-08-05	VYDAJ	PREVOD NA UCET	7381	38173	SIPO	AB	35457408
725001	2482	1994-09-05	VYDAJ	PREVOD NA UCET	7381	37780	SIPO	AB	35457408
725002	2482	1994-10-05	VYDAJ	PREVOD NA UCET	7381	35684	SIPO	AB	35457408
725003	2482	1994-11-05	VYDAJ	PREVOD NA UCET	7381	36580	SIPO	AB	35457408
725004	2482	1994-12-05	VYDAJ	PREVOD NA UCET	7381	39829	SIPO	AB	35457408
725005	2482	1995-01-05	VYDAJ	PREVOD NA UCET	7381	38838	SIPO	AB	35457408
725006	2482	1995-02-05	VYDAJ	PREVOD NA UCET	7381	28232	SIPO	AB	35457408
725007	2482	1995-03-05	VYDAJ	PREVOD NA UCET	7381	30401	SIPO	AB	35457408
725008	2482	1995-04-05	VYDAJ	PREVOD NA UCET	7381	30474	SIPO	AB	35457408
725009	2482	1995-05-05	VYDAJ	PREVOD NA UCET	7381	35054	SIPO	AB	35457408
725010	2482	1995-06-05	VYDAJ	PREVOD NA UCET	7381	37903	SIPO	AB	35457408
725011	2482	1995-07-05	VYDAJ	PREVOD NA UCET	7381	26859	SIPO	AB	35457408
725012	2482	1995-08-05	VYDAJ	PREVOD NA UCET	7381	28919	SIPO	AB	35457408
725013	2482	1995-09-05	VYDAJ	PREVOD NA UCET	7381	27284	SIPO	AB	35457408
725014	2482	1995-10-05	VYDAJ	PREVOD NA UCET	7381	27241	SIPO	AB	35457408
725015	2482	1995-11-05	VYDAJ	PREVOD NA UCET	7381	28401	SIPO	AB	35457408
725016	2482	1995-12-05	VYDAJ	PREVOD NA UCET	7381	36727	SIPO	AB	35457408
725017	2482	1996-01-05	VYDAJ	PREVOD NA UCET	7381	26003	SIPO	AB	35457408
725018	2482	1996-02-05	VYDAJ	PREVOD NA UCET	7381	21149	SIPO	AB	35457408
725019	2482	1996-03-05	VYDAJ	PREVOD NA UCET	7381	22683	SIPO	AB	35457408
725020	2482	1996-04-05	VYDAJ	PREVOD NA UCET	7381	27632	SIPO	AB	35457408
725021	2482	1996-05-05	VYDAJ	PREVOD NA UCET	7381	27990	SIPO	AB	35457408
725022	2482	1996-06-05	VYDAJ	PREVOD NA UCET	7381	32504	SIPO	AB	35457408
725023	2482	1996-07-05	VYDAJ	PREVOD NA UCET	7381	28971	SIPO	AB	35457408
725024	2482	1996-08-05	VYDAJ	PREVOD NA UCET	7381	26727	SIPO	AB	35457408
725025	2482	1996-09-05	VYDAJ	PREVOD NA UCET	7381	21968	SIPO	AB	35457408
725026	2482	1996-10-05	VYDAJ	PREVOD NA UCET	7381	22501	SIPO	AB	35457408
725027	2482	1996-11-05	VYDAJ	PREVOD NA UCET	7381	24845	SIPO	AB	35457408
725028	2482	1996-12-05	VYDAJ	PREVOD NA UCET	7381	28240	SIPO	AB	35457408
725029	2482	1997-01-05	VYDAJ	PREVOD NA UCET	7381	19475	SIPO	AB	35457408
725030	2482	1997-02-05	VYDAJ	PREVOD NA UCET	7381	20498	SIPO	AB	35457408
725031	2482	1997-03-05	VYDAJ	PREVOD NA UCET	7381	20723	SIPO	AB	35457408
725032	2482	1997-04-05	VYDAJ	PREVOD NA UCET	7381	18856	SIPO	AB	35457408
725033	2482	1997-05-05	VYDAJ	PREVOD NA UCET	7381	23991	SIPO	AB	35457408
725034	2482	1997-06-05	VYDAJ	PREVOD NA UCET	7381	36312	SIPO	AB	35457408
725035	2482	1997-07-05	VYDAJ	PREVOD NA UCET	7381	38307	SIPO	AB	35457408
725036	2482	1997-08-05	VYDAJ	PREVOD NA UCET	7381	36703	SIPO	AB	35457408
725037	2482	1997-09-05	VYDAJ	PREVOD NA UCET	7381	41511	SIPO	AB	35457408
725038	2482	1997-10-05	VYDAJ	PREVOD NA UCET	7381	45131	SIPO	AB	35457408
725039	2482	1997-11-05	VYDAJ	PREVOD NA UCET	7381	45865	SIPO	AB	35457408
725040	2482	1997-12-05	VYDAJ	PREVOD NA UCET	7381	51765	SIPO	AB	35457408
725041	2482	1998-01-05	VYDAJ	PREVOD NA UCET	7381	53531	SIPO	AB	35457408
725042	2482	1998-02-05	VYDAJ	PREVOD NA UCET	7381	45386	SIPO	AB	35457408
725043	2482	1998-03-05	VYDAJ	PREVOD NA UCET	7381	48325	SIPO	AB	35457408
725044	2482	1998-04-05	VYDAJ	PREVOD NA UCET	7381	49977	SIPO	AB	35457408
725045	2482	1998-05-05	VYDAJ	PREVOD NA UCET	7381	44537	SIPO	AB	35457408
725046	2482	1998-06-05	VYDAJ	PREVOD NA UCET	7381	47537	SIPO	AB	35457408
725047	2482	1998-07-05	VYDAJ	PREVOD NA UCET	7381	32637	SIPO	AB	35457408
725048	2482	1998-08-05	VYDAJ	PREVOD NA UCET	7381	34618	SIPO	AB	35457408
725049	2482	1998-09-05	VYDAJ	PREVOD NA UCET	7381	32001	SIPO	AB	35457408
725050	2482	1998-10-05	VYDAJ	PREVOD NA UCET	7381	32983	SIPO	AB	35457408
725051	2482	1998-11-05	VYDAJ	PREVOD NA UCET	7381	29660	SIPO	AB	35457408
725052	2482	1998-12-05	VYDAJ	PREVOD NA UCET	7381	36893	SIPO	AB	35457408
725059	2482	1994-07-13	VYDAJ	PREVOD NA UCET	127	42486	 	KL	67559063
725060	2482	1994-08-13	VYDAJ	PREVOD NA UCET	127	37906	 	KL	67559063
725061	2482	1994-09-13	VYDAJ	PREVOD NA UCET	127	37513	 	KL	67559063
725062	2482	1994-10-13	VYDAJ	PREVOD NA UCET	127	35417	 	KL	67559063
725063	2482	1994-11-13	VYDAJ	PREVOD NA UCET	127	32613	 	KL	67559063
725064	2482	1994-12-13	VYDAJ	PREVOD NA UCET	127	39062	 	KL	67559063
725065	2482	1995-01-13	VYDAJ	PREVOD NA UCET	127	35571	 	KL	67559063
725066	2482	1995-02-13	VYDAJ	PREVOD NA UCET	127	27965	 	KL	67559063
725067	2482	1995-03-13	VYDAJ	PREVOD NA UCET	127	30134	 	KL	67559063
725068	2482	1995-04-13	VYDAJ	PREVOD NA UCET	127	30207	 	KL	67559063
725069	2482	1995-05-13	VYDAJ	PREVOD NA UCET	127	34787	 	KL	67559063
725070	2482	1995-06-13	VYDAJ	PREVOD NA UCET	127	20436	 	KL	67559063
725071	2482	1995-07-13	VYDAJ	PREVOD NA UCET	127	26592	 	KL	67559063
725072	2482	1995-08-13	VYDAJ	PREVOD NA UCET	127	28652	 	KL	67559063
725073	2482	1995-09-13	VYDAJ	PREVOD NA UCET	127	27017	 	KL	67559063
725074	2482	1995-10-13	VYDAJ	PREVOD NA UCET	127	26974	 	KL	67559063
725075	2482	1995-11-13	VYDAJ	PREVOD NA UCET	127	28134	 	KL	67559063
725076	2482	1995-12-13	VYDAJ	PREVOD NA UCET	127	36460	 	KL	67559063
725077	2482	1996-01-13	VYDAJ	PREVOD NA UCET	127	25736	 	KL	67559063
725078	2482	1996-02-13	VYDAJ	PREVOD NA UCET	127	20882	 	KL	67559063
725079	2482	1996-03-13	VYDAJ	PREVOD NA UCET	127	22416	 	KL	67559063
725080	2482	1996-04-13	VYDAJ	PREVOD NA UCET	127	23765	 	KL	67559063
725081	2482	1996-05-13	VYDAJ	PREVOD NA UCET	127	22523	 	KL	67559063
725082	2482	1996-06-13	VYDAJ	PREVOD NA UCET	127	25537	 	KL	67559063
725083	2482	1996-07-13	VYDAJ	PREVOD NA UCET	127	22504	 	KL	67559063
725084	2482	1996-08-13	VYDAJ	PREVOD NA UCET	127	17760	 	KL	67559063
725085	2482	1996-09-13	VYDAJ	PREVOD NA UCET	127	18301	 	KL	67559063
725086	2482	1996-10-13	VYDAJ	PREVOD NA UCET	127	21634	 	KL	67559063
725087	2482	1996-11-13	VYDAJ	PREVOD NA UCET	127	18278	 	KL	67559063
725088	2482	1996-12-13	VYDAJ	PREVOD NA UCET	127	19073	 	KL	67559063
725089	2482	1997-01-13	VYDAJ	PREVOD NA UCET	127	16308	 	KL	67559063
725090	2482	1997-02-13	VYDAJ	PREVOD NA UCET	127	16531	 	KL	67559063
725091	2482	1997-03-13	VYDAJ	PREVOD NA UCET	127	19556	 	KL	67559063
725092	2482	1997-04-13	VYDAJ	PREVOD NA UCET	127	19789	 	KL	67559063
725093	2482	1997-05-13	VYDAJ	PREVOD NA UCET	127	26324	 	KL	67559063
725094	2482	1997-06-13	VYDAJ	PREVOD NA UCET	127	34045	 	KL	67559063
725095	2482	1997-07-13	VYDAJ	PREVOD NA UCET	127	32440	 	KL	67559063
725096	2482	1997-08-13	VYDAJ	PREVOD NA UCET	127	37236	 	KL	67559063
725097	2482	1997-09-13	VYDAJ	PREVOD NA UCET	127	39644	 	KL	67559063
725098	2482	1997-10-13	VYDAJ	PREVOD NA UCET	127	44864	 	KL	67559063
725099	2482	1997-11-13	VYDAJ	PREVOD NA UCET	127	45598	 	KL	67559063
725100	2482	1997-12-13	VYDAJ	PREVOD NA UCET	127	51498	 	KL	67559063
725101	2482	1998-01-13	VYDAJ	PREVOD NA UCET	127	50264	 	KL	67559063
725102	2482	1998-02-13	VYDAJ	PREVOD NA UCET	127	45119	 	KL	67559063
725103	2482	1998-03-13	VYDAJ	PREVOD NA UCET	127	48058	 	KL	67559063
725104	2482	1998-04-13	VYDAJ	PREVOD NA UCET	127	49710	 	KL	67559063
725105	2482	1998-05-13	VYDAJ	PREVOD NA UCET	127	44270	 	KL	67559063
725106	2482	1998-06-13	VYDAJ	PREVOD NA UCET	127	47270	 	KL	67559063
725107	2482	1998-07-13	VYDAJ	PREVOD NA UCET	127	32370	 	KL	67559063
725108	2482	1998-08-13	VYDAJ	PREVOD NA UCET	127	30751	 	KL	67559063
725109	2482	1998-09-13	VYDAJ	PREVOD NA UCET	127	31734	 	KL	67559063
725110	2482	1998-10-13	VYDAJ	PREVOD NA UCET	127	30316	 	KL	67559063
725111	2482	1998-11-13	VYDAJ	PREVOD NA UCET	127	29393	 	KL	67559063
725112	2482	1998-12-13	VYDAJ	PREVOD NA UCET	127	36626	 	KL	67559063
725119	2482	1994-07-07	VYDAJ	PREVOD NA UCET	85	42668	POJISTNE	AB	8125150
725120	2482	1994-08-07	VYDAJ	PREVOD NA UCET	85	38088	POJISTNE	AB	8125150
725121	2482	1994-09-07	VYDAJ	PREVOD NA UCET	85	37695	POJISTNE	AB	8125150
725122	2482	1994-10-07	VYDAJ	PREVOD NA UCET	85	35599	POJISTNE	AB	8125150
725123	2482	1994-11-07	VYDAJ	PREVOD NA UCET	85	32795	POJISTNE	AB	8125150
725124	2482	1994-12-07	VYDAJ	PREVOD NA UCET	85	39744	POJISTNE	AB	8125150
725125	2482	1995-01-07	VYDAJ	PREVOD NA UCET	85	38753	POJISTNE	AB	8125150
725126	2482	1995-02-07	VYDAJ	PREVOD NA UCET	85	28147	POJISTNE	AB	8125150
725127	2482	1995-03-07	VYDAJ	PREVOD NA UCET	85	30316	POJISTNE	AB	8125150
725128	2482	1995-04-07	VYDAJ	PREVOD NA UCET	85	30389	POJISTNE	AB	8125150
725129	2482	1995-05-07	VYDAJ	PREVOD NA UCET	85	34969	POJISTNE	AB	8125150
725130	2482	1995-06-07	VYDAJ	PREVOD NA UCET	85	37818	POJISTNE	AB	8125150
725131	2482	1995-07-07	VYDAJ	PREVOD NA UCET	85	26774	POJISTNE	AB	8125150
725132	2482	1995-08-07	VYDAJ	PREVOD NA UCET	85	28834	POJISTNE	AB	8125150
725133	2482	1995-09-07	VYDAJ	PREVOD NA UCET	85	27199	POJISTNE	AB	8125150
725134	2482	1995-10-07	VYDAJ	PREVOD NA UCET	85	27156	POJISTNE	AB	8125150
725135	2482	1995-11-07	VYDAJ	PREVOD NA UCET	85	28316	POJISTNE	AB	8125150
725136	2482	1995-12-07	VYDAJ	PREVOD NA UCET	85	36642	POJISTNE	AB	8125150
725137	2482	1996-01-07	VYDAJ	PREVOD NA UCET	85	25918	POJISTNE	AB	8125150
725138	2482	1996-02-07	VYDAJ	PREVOD NA UCET	85	21064	POJISTNE	AB	8125150
725139	2482	1996-03-07	VYDAJ	PREVOD NA UCET	85	22598	POJISTNE	AB	8125150
725140	2482	1996-04-07	VYDAJ	PREVOD NA UCET	85	27547	POJISTNE	AB	8125150
725141	2482	1996-05-07	VYDAJ	PREVOD NA UCET	85	27905	POJISTNE	AB	8125150
725142	2482	1996-06-07	VYDAJ	PREVOD NA UCET	85	32419	POJISTNE	AB	8125150
725143	2482	1996-07-07	VYDAJ	PREVOD NA UCET	85	28886	POJISTNE	AB	8125150
725144	2482	1996-08-07	VYDAJ	PREVOD NA UCET	85	26642	POJISTNE	AB	8125150
725145	2482	1996-09-07	VYDAJ	PREVOD NA UCET	85	21883	POJISTNE	AB	8125150
725146	2482	1996-10-07	VYDAJ	PREVOD NA UCET	85	22416	POJISTNE	AB	8125150
725147	2482	1996-11-07	VYDAJ	PREVOD NA UCET	85	24760	POJISTNE	AB	8125150
725148	2482	1996-12-07	VYDAJ	PREVOD NA UCET	85	28155	POJISTNE	AB	8125150
725149	2482	1997-01-07	VYDAJ	PREVOD NA UCET	85	19390	POJISTNE	AB	8125150
725150	2482	1997-02-07	VYDAJ	PREVOD NA UCET	85	20413	POJISTNE	AB	8125150
725151	2482	1997-03-07	VYDAJ	PREVOD NA UCET	85	20638	POJISTNE	AB	8125150
725152	2482	1997-04-07	VYDAJ	PREVOD NA UCET	85	18771	POJISTNE	AB	8125150
725153	2482	1997-05-07	VYDAJ	PREVOD NA UCET	85	23906	POJISTNE	AB	8125150
725154	2482	1997-06-07	VYDAJ	PREVOD NA UCET	85	36227	POJISTNE	AB	8125150
725155	2482	1997-07-07	VYDAJ	PREVOD NA UCET	85	37222	POJISTNE	AB	8125150
725156	2482	1997-08-07	VYDAJ	PREVOD NA UCET	85	37418	POJISTNE	AB	8125150
725157	2482	1997-09-07	VYDAJ	PREVOD NA UCET	85	39826	POJISTNE	AB	8125150
725158	2482	1997-10-07	VYDAJ	PREVOD NA UCET	85	45046	POJISTNE	AB	8125150
725159	2482	1997-11-07	VYDAJ	PREVOD NA UCET	85	45780	POJISTNE	AB	8125150
725160	2482	1997-12-07	VYDAJ	PREVOD NA UCET	85	51680	POJISTNE	AB	8125150
725161	2482	1998-01-07	VYDAJ	PREVOD NA UCET	85	50446	POJISTNE	AB	8125150
725162	2482	1998-02-07	VYDAJ	PREVOD NA UCET	85	45301	POJISTNE	AB	8125150
725163	2482	1998-03-07	VYDAJ	PREVOD NA UCET	85	48240	POJISTNE	AB	8125150
725164	2482	1998-04-07	VYDAJ	PREVOD NA UCET	85	49892	POJISTNE	AB	8125150
725165	2482	1998-05-07	VYDAJ	PREVOD NA UCET	85	44452	POJISTNE	AB	8125150
725166	2482	1998-06-07	VYDAJ	PREVOD NA UCET	85	47452	POJISTNE	AB	8125150
725167	2482	1998-07-07	VYDAJ	PREVOD NA UCET	85	32552	POJISTNE	AB	8125150
725168	2482	1998-08-07	VYDAJ	PREVOD NA UCET	85	34533	POJISTNE	AB	8125150
725169	2482	1998-09-07	VYDAJ	PREVOD NA UCET	85	31916	POJISTNE	AB	8125150
725170	2482	1998-10-07	VYDAJ	PREVOD NA UCET	85	30498	POJISTNE	AB	8125150
725171	2482	1998-11-07	VYDAJ	PREVOD NA UCET	85	29575	POJISTNE	AB	8125150
725172	2482	1998-12-07	VYDAJ	PREVOD NA UCET	85	36808	POJISTNE	AB	8125150
725179	2482	1994-07-11	VYDAJ	PREVOD NA UCET	55	42613	 	CD	27061575
725180	2482	1994-08-11	VYDAJ	PREVOD NA UCET	55	38033	 	CD	27061575
725181	2482	1994-09-11	VYDAJ	PREVOD NA UCET	55	37640	 	CD	27061575
725182	2482	1994-10-11	VYDAJ	PREVOD NA UCET	55	35544	 	CD	27061575
725183	2482	1994-11-11	VYDAJ	PREVOD NA UCET	55	32740	 	CD	27061575
725184	2482	1994-12-11	VYDAJ	PREVOD NA UCET	55	39689	 	CD	27061575
725185	2482	1995-01-11	VYDAJ	PREVOD NA UCET	55	38698	 	CD	27061575
725186	2482	1995-02-11	VYDAJ	PREVOD NA UCET	55	28092	 	CD	27061575
725187	2482	1995-03-11	VYDAJ	PREVOD NA UCET	55	30261	 	CD	27061575
725188	2482	1995-04-11	VYDAJ	PREVOD NA UCET	55	30334	 	CD	27061575
725189	2482	1995-05-11	VYDAJ	PREVOD NA UCET	55	34914	 	CD	27061575
725190	2482	1995-06-11	VYDAJ	PREVOD NA UCET	55	20563	 	CD	27061575
725191	2482	1995-07-11	VYDAJ	PREVOD NA UCET	55	26719	 	CD	27061575
725192	2482	1995-08-11	VYDAJ	PREVOD NA UCET	55	28779	 	CD	27061575
725193	2482	1995-09-11	VYDAJ	PREVOD NA UCET	55	27144	 	CD	27061575
725194	2482	1995-10-11	VYDAJ	PREVOD NA UCET	55	27101	 	CD	27061575
725195	2482	1995-11-11	VYDAJ	PREVOD NA UCET	55	28261	 	CD	27061575
725196	2482	1995-12-11	VYDAJ	PREVOD NA UCET	55	36587	 	CD	27061575
725197	2482	1996-01-11	VYDAJ	PREVOD NA UCET	55	25863	 	CD	27061575
725198	2482	1996-02-11	VYDAJ	PREVOD NA UCET	55	21009	 	CD	27061575
725199	2482	1996-03-11	VYDAJ	PREVOD NA UCET	55	22543	 	CD	27061575
725200	2482	1996-04-11	VYDAJ	PREVOD NA UCET	55	27492	 	CD	27061575
725201	2482	1996-05-11	VYDAJ	PREVOD NA UCET	55	27850	 	CD	27061575
725202	2482	1996-06-11	VYDAJ	PREVOD NA UCET	55	32364	 	CD	27061575
725203	2482	1996-07-11	VYDAJ	PREVOD NA UCET	55	28831	 	CD	27061575
725204	2482	1996-08-11	VYDAJ	PREVOD NA UCET	55	20987	 	CD	27061575
725205	2482	1996-09-11	VYDAJ	PREVOD NA UCET	55	18428	 	CD	27061575
725206	2482	1996-10-11	VYDAJ	PREVOD NA UCET	55	21761	 	CD	27061575
725207	2482	1996-11-11	VYDAJ	PREVOD NA UCET	55	18405	 	CD	27061575
725208	2482	1996-12-11	VYDAJ	PREVOD NA UCET	55	19200	 	CD	27061575
725209	2482	1997-01-11	VYDAJ	PREVOD NA UCET	55	16435	 	CD	27061575
725210	2482	1997-02-11	VYDAJ	PREVOD NA UCET	55	16658	 	CD	27061575
725211	2482	1997-03-11	VYDAJ	PREVOD NA UCET	55	19683	 	CD	27061575
725212	2482	1997-04-11	VYDAJ	PREVOD NA UCET	55	19916	 	CD	27061575
725213	2482	1997-05-11	VYDAJ	PREVOD NA UCET	55	26451	 	CD	27061575
725214	2482	1997-06-11	VYDAJ	PREVOD NA UCET	55	34172	 	CD	27061575
725215	2482	1997-07-11	VYDAJ	PREVOD NA UCET	55	37167	 	CD	27061575
725216	2482	1997-08-11	VYDAJ	PREVOD NA UCET	55	37363	 	CD	27061575
725217	2482	1997-09-11	VYDAJ	PREVOD NA UCET	55	39771	 	CD	27061575
725218	2482	1997-10-11	VYDAJ	PREVOD NA UCET	55	44991	 	CD	27061575
725219	2482	1997-11-11	VYDAJ	PREVOD NA UCET	55	45725	 	CD	27061575
725220	2482	1997-12-11	VYDAJ	PREVOD NA UCET	55	51625	 	CD	27061575
725221	2482	1998-01-11	VYDAJ	PREVOD NA UCET	55	50391	 	CD	27061575
725222	2482	1998-02-11	VYDAJ	PREVOD NA UCET	55	45246	 	CD	27061575
725223	2482	1998-03-11	VYDAJ	PREVOD NA UCET	55	48185	 	CD	27061575
725224	2482	1998-04-11	VYDAJ	PREVOD NA UCET	55	49837	 	CD	27061575
725225	2482	1998-05-11	VYDAJ	PREVOD NA UCET	55	44397	 	CD	27061575
725226	2482	1998-06-11	VYDAJ	PREVOD NA UCET	55	47397	 	CD	27061575
725227	2482	1998-07-11	VYDAJ	PREVOD NA UCET	55	32497	 	CD	27061575
725228	2482	1998-08-11	VYDAJ	PREVOD NA UCET	55	30878	 	CD	27061575
725229	2482	1998-09-11	VYDAJ	PREVOD NA UCET	55	31861	 	CD	27061575
725230	2482	1998-10-11	VYDAJ	PREVOD NA UCET	55	30443	 	CD	27061575
725231	2482	1998-11-11	VYDAJ	PREVOD NA UCET	55	29520	 	CD	27061575
725232	2482	1998-12-11	VYDAJ	PREVOD NA UCET	55	36753	 	CD	27061575
725294	2482	1995-06-08	VYDAJ	VYBER	17200	20618	\N	\N	\N
725297	2482	1998-06-15	VYDAJ	VYBER	22900	24370	\N	\N	\N
725299	2482	1995-01-11	VYDAJ	VYBER	3000	35698	\N	\N	\N
725300	2482	1996-01-25	VYDAJ	VYBER	4700	16936	\N	\N	\N
725302	2482	1998-01-23	VYDAJ	VYBER	9500	40764	\N	\N	\N
725303	2482	1994-12-13	VYDAJ	VYBER	500	39189	\N	\N	\N
725304	2482	1995-12-26	VYDAJ	VYBER	1600	21760	\N	\N	\N
725306	2482	1997-12-14	VYDAJ	VYBER	600	50898	\N	\N	\N
725307	2482	1998-12-29	VYDAJ	VYBER	2400	34226	\N	\N	\N
725309	2482	1994-11-07	VYDAJ	VYBER	3700	32880	\N	\N	\N
725311	2482	1995-03-22	VYDAJ	VYBER	1800	26234	\N	\N	\N
725312	2482	1995-05-25	VYDAJ	VYBER	2300	27887	\N	\N	\N
725313	2482	1995-12-24	VYDAJ	VYBER	4000	23360	\N	\N	\N
725314	2482	1995-01-26	VYDAJ	VYBER	4400	24671	\N	\N	\N
725315	2482	1995-02-23	VYDAJ	VYBER	2900	26165	\N	\N	\N
725316	2482	1995-01-26	VYDAJ	VYBER	700	23971	\N	\N	\N
725317	2482	1995-08-22	VYDAJ	VYBER	4700	23052	\N	\N	\N
725318	2482	1996-06-22	VYDAJ	VYBER	800	24737	\N	\N	\N
725319	2482	1996-10-18	VYDAJ	VYBER	1000	20634	\N	\N	\N
725320	2482	1996-12-22	VYDAJ	VYBER	3800	15273	\N	\N	\N
725322	2482	1996-08-12	VYDAJ	VYBER	3100	17887	\N	\N	\N
725323	2482	1997-03-08	VYDAJ	VYBER	3900	16738	\N	\N	\N
725324	2482	1997-07-13	VYDAJ	VYBER	4600	32567	\N	\N	\N
725325	2482	1997-03-30	VYDAJ	VYBER	4900	14656	\N	\N	\N
725327	2482	1997-10-18	VYDAJ	VYBER	600	44264	\N	\N	\N
725328	2482	1997-10-24	VYDAJ	VYBER	4400	39864	\N	\N	\N
725330	2482	1998-08-08	VYDAJ	VYBER	3600	30933	\N	\N	\N
725331	2482	1998-01-07	VYDAJ	VYBER	3000	50531	\N	\N	\N
725332	2482	1998-10-24	VYDAJ	VYBER	1500	28816	\N	\N	\N
725333	2482	1998-07-18	VYDAJ	VYBER	1500	30870	\N	\N	\N
725334	2482	1998-10-07	VYDAJ	VYBER	2400	30583	\N	\N	\N
725342	2482	1994-07-31	VYDAJ	VYBER	15	34036	SLUZBY	\N	\N
725343	2482	1994-08-31	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
725344	2482	1994-09-30	VYDAJ	VYBER	15	31547	SLUZBY	\N	\N
725345	2482	1994-10-31	VYDAJ	VYBER	15	32443	SLUZBY	\N	\N
725346	2482	1994-11-30	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
725347	2482	1994-12-31	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
725348	2482	1995-01-31	VYDAJ	VYBER	15	24095	SLUZBY	\N	\N
725349	2482	1995-02-28	VYDAJ	VYBER	15	26264	SLUZBY	\N	\N
725350	2482	1995-03-31	VYDAJ	VYBER	15	26337	SLUZBY	\N	\N
725351	2482	1995-04-30	VYDAJ	VYBER	15	30917	SLUZBY	\N	\N
725352	2482	1995-05-31	VYDAJ	VYBER	15	28007	SLUZBY	\N	\N
725353	2482	1995-06-30	VYDAJ	VYBER	15	22722	SLUZBY	\N	\N
725354	2482	1995-07-31	VYDAJ	VYBER	15	24782	SLUZBY	\N	\N
725355	2482	1995-08-31	VYDAJ	VYBER	15	23147	SLUZBY	\N	\N
725356	2482	1995-09-30	VYDAJ	VYBER	15	23104	SLUZBY	\N	\N
725357	2482	1995-10-31	VYDAJ	VYBER	15	24264	SLUZBY	\N	\N
725358	2482	1995-11-30	VYDAJ	VYBER	15	26831	SLUZBY	\N	\N
725359	2482	1995-12-31	VYDAJ	VYBER	15	21866	SLUZBY	\N	\N
725360	2482	1996-01-31	VYDAJ	VYBER	15	17012	SLUZBY	\N	\N
725361	2482	1996-02-29	VYDAJ	VYBER	15	18546	SLUZBY	\N	\N
725362	2482	1996-03-31	VYDAJ	VYBER	15	23495	SLUZBY	\N	\N
725363	2482	1996-04-30	VYDAJ	VYBER	15	23853	SLUZBY	\N	\N
725364	2482	1996-05-31	VYDAJ	VYBER	15	22608	SLUZBY	\N	\N
725365	2482	1996-06-30	VYDAJ	VYBER	15	24834	SLUZBY	\N	\N
725366	2482	1996-07-31	VYDAJ	VYBER	15	22590	SLUZBY	\N	\N
725367	2482	1996-08-31	VYDAJ	VYBER	15	17831	SLUZBY	\N	\N
725368	2482	1996-09-30	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
725369	2482	1996-10-31	VYDAJ	VYBER	15	20708	SLUZBY	\N	\N
725370	2482	1996-11-30	VYDAJ	VYBER	15	18344	SLUZBY	\N	\N
725371	2482	1996-12-31	VYDAJ	VYBER	15	15338	SLUZBY	\N	\N
725372	2482	1997-01-31	VYDAJ	VYBER	15	16361	SLUZBY	\N	\N
725373	2482	1997-02-28	VYDAJ	VYBER	15	16586	SLUZBY	\N	\N
725374	2482	1997-03-31	VYDAJ	VYBER	15	14719	SLUZBY	\N	\N
725375	2482	1997-04-30	VYDAJ	VYBER	15	19854	SLUZBY	\N	\N
725376	2482	1997-05-31	VYDAJ	VYBER	15	26416	SLUZBY	\N	\N
725377	2482	1997-06-30	VYDAJ	VYBER	15	34170	SLUZBY	\N	\N
725378	2482	1997-07-31	VYDAJ	VYBER	15	32566	SLUZBY	\N	\N
725379	2482	1997-08-31	VYDAJ	VYBER	15	37374	SLUZBY	\N	\N
725380	2482	1997-09-30	VYDAJ	VYBER	15	39794	SLUZBY	\N	\N
725381	2482	1997-10-31	VYDAJ	VYBER	15	40028	SLUZBY	\N	\N
725382	2482	1997-11-30	VYDAJ	VYBER	15	45769	SLUZBY	\N	\N
725383	2482	1997-12-31	VYDAJ	VYBER	15	51094	SLUZBY	\N	\N
725384	2482	1998-01-31	VYDAJ	VYBER	15	40949	SLUZBY	\N	\N
725385	2482	1998-02-28	VYDAJ	VYBER	15	45288	SLUZBY	\N	\N
725386	2482	1998-03-31	VYDAJ	VYBER	15	48240	SLUZBY	\N	\N
725387	2482	1998-04-30	VYDAJ	VYBER	15	49900	SLUZBY	\N	\N
725388	2482	1998-05-31	VYDAJ	VYBER	15	44441	SLUZBY	\N	\N
725389	2482	1998-06-30	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
725390	2482	1998-07-31	VYDAJ	VYBER	15	30981	SLUZBY	\N	\N
725391	2482	1998-08-31	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
725392	2482	1998-09-30	VYDAJ	VYBER	15	28846	SLUZBY	\N	\N
725393	2482	1998-10-31	VYDAJ	VYBER	15	25523	SLUZBY	\N	\N
725394	2482	1998-11-30	VYDAJ	VYBER	15	26997	SLUZBY	\N	\N
725395	2482	1994-03-25	PRIJEM	VKLAD	7100	19118	\N	\N	\N
725396	2482	1994-04-24	VYDAJ	VYBER	600	30054	\N	\N	\N
725397	2482	1994-05-24	VYDAJ	VYBER	7600	34062	\N	\N	\N
725398	2482	1994-06-23	VYDAJ	VYBER	13000	38469	\N	\N	\N
725399	2482	1994-07-23	VYDAJ	VYBER	8600	33886	\N	\N	\N
725400	2482	1994-08-22	VYDAJ	VYBER	4400	33506	\N	\N	\N
725401	2482	1994-09-21	VYDAJ	VYBER	6100	31413	\N	\N	\N
725402	2482	1994-10-21	VYDAJ	VYBER	3100	32317	\N	\N	\N
725403	2482	1994-11-20	VYDAJ	VYBER	2800	29813	\N	\N	\N
725404	2482	1994-12-20	VYDAJ	VYBER	4500	34562	\N	\N	\N
725405	2482	1995-01-19	VYDAJ	VYBER	6500	29071	\N	\N	\N
725406	2482	1995-02-18	PRIJEM	VKLAD	1100	29065	\N	\N	\N
725407	2482	1995-03-20	VYDAJ	VYBER	2100	28034	\N	\N	\N
725408	2482	1995-04-19	PRIJEM	VKLAD	600	30807	\N	\N	\N
725409	2482	1995-05-19	VYDAJ	VYBER	4600	30187	\N	\N	\N
725410	2482	1995-06-18	PRIJEM	VKLAD	2200	22636	\N	\N	\N
725411	2482	1995-07-18	VYDAJ	VYBER	1900	24692	\N	\N	\N
725412	2482	1995-08-17	VYDAJ	VYBER	900	27752	\N	\N	\N
725413	2482	1995-09-16	VYDAJ	VYBER	4000	23017	\N	\N	\N
725414	2482	1995-10-16	VYDAJ	VYBER	2800	24174	\N	\N	\N
725415	2482	1995-11-15	VYDAJ	VYBER	1400	26734	\N	\N	\N
725416	2482	1995-12-15	VYDAJ	VYBER	9100	27360	\N	\N	\N
725417	2482	1996-01-14	VYDAJ	VYBER	4100	21636	\N	\N	\N
725418	2482	1996-02-13	VYDAJ	VYBER	2400	18482	\N	\N	\N
725419	2482	1996-03-14	PRIJEM	VKLAD	1000	23416	\N	\N	\N
725420	2482	1996-04-13	VYDAJ	VYBER	3600	23892	\N	\N	\N
725421	2482	1996-05-13	VYDAJ	VYBER	5200	22650	\N	\N	\N
725422	2482	1996-06-12	VYDAJ	VYBER	6700	25664	\N	\N	\N
725423	2482	1996-07-12	VYDAJ	VYBER	6200	22631	\N	\N	\N
725424	2482	1996-08-11	VYDAJ	VYBER	5600	21042	\N	\N	\N
725425	2482	1996-09-10	VYDAJ	VYBER	3400	18483	\N	\N	\N
725426	2482	1996-10-10	VYDAJ	VYBER	600	21816	\N	\N	\N
725427	2482	1996-11-09	VYDAJ	VYBER	6300	18460	\N	\N	\N
725428	2482	1996-12-09	VYDAJ	VYBER	8900	19255	\N	\N	\N
725429	2482	1997-01-08	VYDAJ	VYBER	2900	16490	\N	\N	\N
725430	2482	1997-02-07	VYDAJ	VYBER	3700	16713	\N	\N	\N
725431	2482	1997-03-09	PRIJEM	VKLAD	3000	19738	\N	\N	\N
725432	2482	1997-04-08	PRIJEM	VKLAD	1200	19971	\N	\N	\N
725433	2482	1997-05-08	PRIJEM	VKLAD	2600	26506	\N	\N	\N
725434	2482	1997-06-07	VYDAJ	VYBER	2000	34227	\N	\N	\N
725435	2482	1997-07-07	VYDAJ	VYBER	1000	37307	\N	\N	\N
725436	2482	1997-08-06	PRIJEM	VKLAD	800	37503	\N	\N	\N
725437	2482	1997-09-05	VYDAJ	VYBER	1600	39911	\N	\N	\N
725438	2482	1997-10-05	PRIJEM	VKLAD	1200	52512	\N	\N	\N
725439	2482	1997-11-04	PRIJEM	VKLAD	1700	41728	\N	\N	\N
725440	2482	1997-12-04	VYDAJ	VYBER	3900	41869	\N	\N	\N
725441	2482	1998-01-03	VYDAJ	VYBER	1700	49394	\N	\N	\N
725442	2482	1998-02-02	PRIJEM	VKLAD	300	41249	\N	\N	\N
725443	2482	1998-03-04	VYDAJ	VYBER	1100	44188	\N	\N	\N
725444	2482	1998-04-03	VYDAJ	VYBER	2400	45840	\N	\N	\N
725445	2482	1998-05-03	VYDAJ	VYBER	9500	40400	\N	\N	\N
725446	2482	1998-06-02	VYDAJ	VYBER	6800	37641	\N	\N	\N
725447	2482	1998-07-02	PRIJEM	VKLAD	4000	28500	\N	\N	\N
725448	2482	1998-08-01	VYDAJ	VYBER	500	30481	\N	\N	\N
725449	2482	1998-08-31	VYDAJ	VYBER	3000	27878	\N	\N	\N
725450	2482	1998-09-30	VYDAJ	VYBER	3000	28861	\N	\N	\N
725451	2482	1998-10-30	VYDAJ	VYBER	3400	25416	\N	\N	\N
725452	2482	1998-11-29	VYDAJ	VYBER	2500	26893	\N	\N	\N
725511	2483	1996-09-29	PRIJEM	VKLAD	600	600	\N	\N	\N
725521	2483	1996-10-08	PRIJEM	VKLAD	23554	24154	\N	\N	\N
725522	2483	1996-11-08	PRIJEM	VKLAD	23554	49418	\N	\N	\N
725523	2483	1996-12-08	PRIJEM	VKLAD	35331	75663	\N	\N	\N
725524	2483	1997-01-08	PRIJEM	VKLAD	23554	79393	\N	\N	\N
725525	2483	1997-02-08	PRIJEM	VKLAD	23554	82981	\N	\N	\N
725526	2483	1997-03-08	PRIJEM	VKLAD	23554	71363	\N	\N	\N
725527	2483	1997-04-08	PRIJEM	VKLAD	23554	67943	\N	\N	\N
725528	2483	1997-05-08	PRIJEM	VKLAD	23554	66321	\N	\N	\N
725529	2483	1997-06-08	PRIJEM	VKLAD	35331	77969	\N	\N	\N
725530	2483	1997-07-08	PRIJEM	VKLAD	23554	56902	\N	\N	\N
725531	2483	1997-08-08	PRIJEM	VKLAD	23554	55731	\N	\N	\N
725532	2483	1997-09-08	PRIJEM	VKLAD	23554	55856	\N	\N	\N
725533	2483	1997-10-08	PRIJEM	VKLAD	23554	54179	\N	\N	\N
725534	2483	1997-11-08	PRIJEM	VKLAD	23554	57096	\N	\N	\N
725535	2483	1997-12-08	PRIJEM	VKLAD	35331	68796	\N	\N	\N
725536	2483	1998-01-08	PRIJEM	VKLAD	23554	55841	\N	\N	\N
725537	2483	1998-02-08	PRIJEM	VKLAD	23554	48239	\N	\N	\N
725538	2483	1998-03-08	PRIJEM	VKLAD	23554	53332	\N	\N	\N
725539	2483	1998-04-08	PRIJEM	VKLAD	23554	54742	\N	\N	\N
725540	2483	1998-05-08	PRIJEM	VKLAD	23554	59061	\N	\N	\N
725541	2483	1998-06-08	PRIJEM	VKLAD	35331	68466	\N	\N	\N
725542	2483	1998-07-08	PRIJEM	VKLAD	23554	63512	\N	\N	\N
725543	2483	1998-08-08	PRIJEM	VKLAD	23554	60754	\N	\N	\N
725544	2483	1998-09-08	PRIJEM	VKLAD	23554	51176	\N	\N	\N
725545	2483	1998-10-08	PRIJEM	VKLAD	23554	49771	\N	\N	\N
725546	2483	1998-11-08	PRIJEM	VKLAD	23554	50360	\N	\N	\N
725547	2483	1998-12-08	PRIJEM	VKLAD	35331	61324	\N	\N	\N
725562	2483	1997-03-07	VYDAJ	PREVOD NA UCET	4996	47809	SIPO	KL	97563403
725563	2483	1997-04-07	VYDAJ	PREVOD NA UCET	4996	44389	SIPO	KL	97563403
725564	2483	1997-05-07	VYDAJ	PREVOD NA UCET	4996	42767	SIPO	KL	97563403
725565	2483	1997-06-07	VYDAJ	PREVOD NA UCET	4996	42638	SIPO	KL	97563403
725566	2483	1997-07-07	VYDAJ	PREVOD NA UCET	4996	33348	SIPO	KL	97563403
725567	2483	1997-08-07	VYDAJ	PREVOD NA UCET	4996	32177	SIPO	KL	97563403
725568	2483	1997-09-07	VYDAJ	PREVOD NA UCET	4996	37228	SIPO	KL	97563403
725569	2483	1997-10-07	VYDAJ	PREVOD NA UCET	4996	35551	SIPO	KL	97563403
725570	2483	1997-11-07	VYDAJ	PREVOD NA UCET	4996	38468	SIPO	KL	97563403
725571	2483	1997-12-07	VYDAJ	PREVOD NA UCET	4996	38391	SIPO	KL	97563403
725572	2483	1998-01-07	VYDAJ	PREVOD NA UCET	4996	37213	SIPO	KL	97563403
725573	2483	1998-02-07	VYDAJ	PREVOD NA UCET	4996	29611	SIPO	KL	97563403
725574	2483	1998-03-07	VYDAJ	PREVOD NA UCET	4996	29778	SIPO	KL	97563403
725575	2483	1998-04-07	VYDAJ	PREVOD NA UCET	4996	31188	SIPO	KL	97563403
725576	2483	1998-05-07	VYDAJ	PREVOD NA UCET	4996	40433	SIPO	KL	97563403
725577	2483	1998-06-07	VYDAJ	PREVOD NA UCET	4996	33135	SIPO	KL	97563403
725578	2483	1998-07-07	VYDAJ	PREVOD NA UCET	4996	39958	SIPO	KL	97563403
725579	2483	1998-08-07	VYDAJ	PREVOD NA UCET	4996	42126	SIPO	KL	97563403
725580	2483	1998-09-07	VYDAJ	PREVOD NA UCET	4996	27622	SIPO	KL	97563403
725581	2483	1998-10-07	VYDAJ	PREVOD NA UCET	4996	26217	SIPO	KL	97563403
725582	2483	1998-11-07	VYDAJ	PREVOD NA UCET	4996	31732	SIPO	KL	97563403
725583	2483	1998-12-07	VYDAJ	PREVOD NA UCET	4996	25993	SIPO	KL	97563403
725598	2483	1997-03-07	VYDAJ	PREVOD NA UCET	4926	52805	 	GH	9561491
725599	2483	1997-04-07	VYDAJ	PREVOD NA UCET	4926	49385	 	GH	9561491
725600	2483	1997-05-07	VYDAJ	PREVOD NA UCET	4926	47763	 	GH	9561491
725601	2483	1997-06-07	VYDAJ	PREVOD NA UCET	4926	47634	 	GH	9561491
725602	2483	1997-07-07	VYDAJ	PREVOD NA UCET	4926	38344	 	GH	9561491
725603	2483	1997-08-07	VYDAJ	PREVOD NA UCET	4926	37173	 	GH	9561491
725604	2483	1997-09-07	VYDAJ	PREVOD NA UCET	4926	32302	 	GH	9561491
725605	2483	1997-10-07	VYDAJ	PREVOD NA UCET	4926	30625	 	GH	9561491
725606	2483	1997-11-07	VYDAJ	PREVOD NA UCET	4926	33542	 	GH	9561491
725607	2483	1997-12-07	VYDAJ	PREVOD NA UCET	4926	33465	 	GH	9561491
725608	2483	1998-01-07	VYDAJ	PREVOD NA UCET	4926	32287	 	GH	9561491
725609	2483	1998-02-07	VYDAJ	PREVOD NA UCET	4926	24685	 	GH	9561491
725610	2483	1998-03-07	VYDAJ	PREVOD NA UCET	4926	34774	 	GH	9561491
725611	2483	1998-04-07	VYDAJ	PREVOD NA UCET	4926	36184	 	GH	9561491
725612	2483	1998-05-07	VYDAJ	PREVOD NA UCET	4926	35507	 	GH	9561491
725613	2483	1998-06-07	VYDAJ	PREVOD NA UCET	4926	38131	 	GH	9561491
725614	2483	1998-07-07	VYDAJ	PREVOD NA UCET	4926	44954	 	GH	9561491
725615	2483	1998-08-07	VYDAJ	PREVOD NA UCET	4926	37200	 	GH	9561491
725616	2483	1998-09-07	VYDAJ	PREVOD NA UCET	4926	32618	 	GH	9561491
725617	2483	1998-10-07	VYDAJ	PREVOD NA UCET	4926	31213	 	GH	9561491
725618	2483	1998-11-07	VYDAJ	PREVOD NA UCET	4926	26806	 	GH	9561491
725619	2483	1998-12-07	VYDAJ	PREVOD NA UCET	4926	30989	 	GH	9561491
725621	2483	1997-06-10	VYDAJ	VYBER	26700	51269	\N	\N	\N
725622	2483	1998-06-14	VYDAJ	VYBER	5100	63366	\N	\N	\N
725625	2483	1998-01-18	VYDAJ	VYBER	6300	45341	\N	\N	\N
725627	2483	1997-12-14	VYDAJ	VYBER	2100	63596	\N	\N	\N
725628	2483	1998-12-06	VYDAJ	VYBER KARTOU	800	35915	\N	\N	0
725641	2483	1998-01-20	VYDAJ	VYBER	1900	43441	\N	\N	\N
725642	2483	1998-01-01	VYDAJ	VYBER	1800	44909	\N	\N	\N
725643	2483	1998-01-08	VYDAJ	VYBER	2600	53241	\N	\N	\N
725644	2483	1998-01-10	VYDAJ	VYBER	1600	51641	\N	\N	\N
725645	2483	1998-01-24	VYDAJ	VYBER	600	34441	\N	\N	\N
725646	2483	1998-01-04	VYDAJ	VYBER	2700	42209	\N	\N	\N
725652	2483	1997-09-05	VYDAJ	VYBER	3000	42224	\N	\N	\N
725653	2483	1997-03-10	VYDAJ	VYBER	4900	66463	\N	\N	\N
725654	2483	1997-02-20	VYDAJ	VYBER	3000	79981	\N	\N	\N
725655	2483	1997-12-13	VYDAJ	VYBER	3100	65696	\N	\N	\N
725656	2483	1997-11-11	VYDAJ	VYBER	1900	55196	\N	\N	\N
725657	2483	1998-10-20	VYDAJ	VYBER	1200	36571	\N	\N	\N
725658	2483	1998-10-02	VYDAJ	VYBER	3500	36139	\N	\N	\N
725659	2483	1998-08-09	VYDAJ	VYBER	3200	57554	\N	\N	\N
725660	2483	1998-09-10	VYDAJ	VYBER	3500	47676	\N	\N	\N
725661	2483	1998-09-01	VYDAJ	VYBER	4700	37544	\N	\N	\N
725676	2483	1997-02-28	VYDAJ	VYBER	15	57731	SLUZBY	\N	\N
725677	2483	1997-03-31	VYDAJ	VYBER	15	54311	SLUZBY	\N	\N
725678	2483	1997-04-30	VYDAJ	VYBER	15	52689	SLUZBY	\N	\N
725679	2483	1997-05-31	VYDAJ	VYBER	15	52560	SLUZBY	\N	\N
725680	2483	1997-06-30	VYDAJ	VYBER	15	43270	SLUZBY	\N	\N
725681	2483	1997-07-31	VYDAJ	VYBER	15	42099	SLUZBY	\N	\N
725682	2483	1997-08-31	VYDAJ	VYBER	15	45224	SLUZBY	\N	\N
725683	2483	1997-09-30	VYDAJ	VYBER	15	40547	SLUZBY	\N	\N
725684	2483	1997-10-31	VYDAJ	VYBER	15	43464	SLUZBY	\N	\N
725685	2483	1997-11-30	VYDAJ	VYBER	15	43387	SLUZBY	\N	\N
725686	2483	1997-12-31	VYDAJ	VYBER	15	46709	SLUZBY	\N	\N
725687	2483	1998-01-31	VYDAJ	VYBER	15	34607	SLUZBY	\N	\N
725688	2483	1998-02-28	VYDAJ	VYBER	15	39700	SLUZBY	\N	\N
725689	2483	1998-03-31	VYDAJ	VYBER	15	41110	SLUZBY	\N	\N
725690	2483	1998-04-30	VYDAJ	VYBER	15	45429	SLUZBY	\N	\N
725691	2483	1998-05-31	VYDAJ	VYBER	15	43057	SLUZBY	\N	\N
725692	2483	1998-06-30	VYDAJ	VYBER	15	49880	SLUZBY	\N	\N
725693	2483	1998-07-31	VYDAJ	VYBER	15	47122	SLUZBY	\N	\N
725694	2483	1998-08-31	VYDAJ	VYBER	15	42244	SLUZBY	\N	\N
725695	2483	1998-09-30	VYDAJ	VYBER	15	39639	SLUZBY	\N	\N
725696	2483	1998-10-31	VYDAJ	VYBER	15	36728	SLUZBY	\N	\N
725697	2483	1998-11-30	VYDAJ	VYBER	15	36715	SLUZBY	\N	\N
725698	2483	1996-10-29	PRIJEM	VKLAD	1700	25854	\N	\N	\N
725699	2483	1996-11-28	VYDAJ	VYBER	9200	40218	\N	\N	\N
725700	2483	1996-12-28	VYDAJ	VYBER	20000	55663	\N	\N	\N
725701	2483	1997-01-27	VYDAJ	VYBER	20200	59193	\N	\N	\N
725702	2483	1997-02-26	VYDAJ	VYBER	22500	57481	\N	\N	\N
725703	2483	1997-03-28	VYDAJ	VYBER	12400	54063	\N	\N	\N
725704	2483	1997-04-27	VYDAJ	VYBER	15500	52443	\N	\N	\N
725705	2483	1997-05-27	VYDAJ	VYBER	14000	52321	\N	\N	\N
725706	2483	1997-06-26	VYDAJ	VYBER	8200	43069	\N	\N	\N
725707	2483	1997-07-26	VYDAJ	VYBER	15000	41902	\N	\N	\N
725708	2483	1997-08-25	VYDAJ	VYBER	10700	45031	\N	\N	\N
725709	2483	1997-09-24	VYDAJ	VYBER	15500	40356	\N	\N	\N
725710	2483	1997-10-24	VYDAJ	VYBER	10900	43279	\N	\N	\N
725711	2483	1997-11-23	VYDAJ	VYBER	12000	43196	\N	\N	\N
725712	2483	1997-12-23	VYDAJ	VYBER	17100	46496	\N	\N	\N
725713	2483	1998-01-22	VYDAJ	VYBER	8400	35041	\N	\N	\N
725714	2483	1998-02-21	VYDAJ	VYBER	8700	39539	\N	\N	\N
725715	2483	1998-03-23	VYDAJ	VYBER	12400	40932	\N	\N	\N
725716	2483	1998-04-22	VYDAJ	VYBER	9500	45242	\N	\N	\N
725717	2483	1998-05-22	VYDAJ	VYBER	16200	42861	\N	\N	\N
725718	2483	1998-06-21	VYDAJ	VYBER	13700	49666	\N	\N	\N
725719	2483	1998-07-21	VYDAJ	VYBER	16600	46912	\N	\N	\N
725720	2483	1998-08-20	VYDAJ	VYBER	15500	42054	\N	\N	\N
725721	2483	1998-09-19	VYDAJ	VYBER	8200	39476	\N	\N	\N
725722	2483	1998-10-19	VYDAJ	VYBER	12000	37771	\N	\N	\N
725723	2483	1998-11-18	VYDAJ	VYBER	13800	36560	\N	\N	\N
725751	2484	1993-01-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
725752	2484	1993-01-12	PRIJEM	VKLAD	14779	15879	\N	\N	\N
725753	2484	1993-02-12	PRIJEM	VKLAD	14779	36201	\N	\N	\N
725754	2484	1993-03-12	PRIJEM	VKLAD	14779	42997	\N	\N	\N
725755	2484	1993-04-12	PRIJEM	VKLAD	14779	49645	\N	\N	\N
725756	2484	1993-05-12	PRIJEM	VKLAD	14779	52121	\N	\N	\N
725757	2484	1993-06-12	PRIJEM	VKLAD	22168	44477	\N	\N	\N
725758	2484	1993-07-12	PRIJEM	VKLAD	14779	46949	\N	\N	\N
725759	2484	1993-08-12	PRIJEM	VKLAD	14779	43884	\N	\N	\N
725760	2484	1993-09-12	PRIJEM	VKLAD	14779	44849	\N	\N	\N
725761	2484	1993-10-12	PRIJEM	VKLAD	14779	44850	\N	\N	\N
725762	2484	1993-11-12	PRIJEM	VKLAD	14779	45853	\N	\N	\N
725763	2484	1993-12-12	PRIJEM	VKLAD	22168	53806	\N	\N	\N
725764	2484	1994-01-12	PRIJEM	VKLAD	14779	41627	\N	\N	\N
725765	2484	1994-02-12	PRIJEM	VKLAD	14779	40458	\N	\N	\N
725766	2484	1994-03-12	PRIJEM	VKLAD	14779	41998	\N	\N	\N
725767	2484	1994-04-12	PRIJEM	VKLAD	14779	41844	\N	\N	\N
725768	2484	1994-05-12	PRIJEM	VKLAD	14779	36289	\N	\N	\N
725769	2484	1994-06-12	PRIJEM	VKLAD	22168	50605	\N	\N	\N
725770	2484	1994-07-12	PRIJEM	VKLAD	14779	44453	\N	\N	\N
725771	2484	1994-08-12	PRIJEM	VKLAD	14779	44114	\N	\N	\N
725772	2484	1994-09-12	PRIJEM	VKLAD	14779	45165	\N	\N	\N
725773	2484	1994-10-12	PRIJEM	VKLAD	14779	46521	\N	\N	\N
725774	2484	1994-11-12	PRIJEM	VKLAD	14779	45280	\N	\N	\N
725775	2484	1994-12-12	PRIJEM	VKLAD	22168	52704	\N	\N	\N
725776	2484	1995-01-12	PRIJEM	VKLAD	14779	44504	\N	\N	\N
725777	2484	1995-02-12	PRIJEM	VKLAD	14779	41969	\N	\N	\N
725778	2484	1995-03-12	PRIJEM	VKLAD	14779	44387	\N	\N	\N
725779	2484	1995-04-12	PRIJEM	VKLAD	14779	45137	\N	\N	\N
725780	2484	1995-05-12	PRIJEM	VKLAD	14779	46089	\N	\N	\N
725781	2484	1995-06-12	PRIJEM	VKLAD	22168	43252	\N	\N	\N
725782	2484	1995-07-12	PRIJEM	VKLAD	14779	42782	\N	\N	\N
725783	2484	1995-08-12	PRIJEM	VKLAD	14779	42520	\N	\N	\N
725784	2484	1995-09-12	PRIJEM	VKLAD	14779	43659	\N	\N	\N
725785	2484	1995-10-12	PRIJEM	VKLAD	14779	40294	\N	\N	\N
725786	2484	1995-11-12	PRIJEM	VKLAD	14779	40821	\N	\N	\N
725787	2484	1995-12-12	PRIJEM	VKLAD	22168	44731	\N	\N	\N
725788	2484	1996-01-12	PRIJEM	VKLAD	14779	34546	\N	\N	\N
725789	2484	1996-02-12	PRIJEM	VKLAD	14779	27335	\N	\N	\N
725790	2484	1996-03-12	PRIJEM	VKLAD	14779	27904	\N	\N	\N
725791	2484	1996-04-12	PRIJEM	VKLAD	14779	29536	\N	\N	\N
725792	2484	1996-05-12	PRIJEM	VKLAD	14779	31055	\N	\N	\N
725793	2484	1996-06-12	PRIJEM	VKLAD	22168	35125	\N	\N	\N
725794	2484	1996-07-12	PRIJEM	VKLAD	14779	33008	\N	\N	\N
725795	2484	1996-08-12	PRIJEM	VKLAD	14779	32638	\N	\N	\N
725796	2484	1996-09-12	PRIJEM	VKLAD	14779	29342	\N	\N	\N
725797	2484	1996-10-12	PRIJEM	VKLAD	14779	32424	\N	\N	\N
725798	2484	1996-11-12	PRIJEM	VKLAD	14779	35331	\N	\N	\N
725799	2484	1996-12-12	PRIJEM	VKLAD	22168	42514	\N	\N	\N
725800	2484	1997-01-12	PRIJEM	VKLAD	14779	31330	\N	\N	\N
725801	2484	1997-02-12	PRIJEM	VKLAD	14779	30682	\N	\N	\N
725802	2484	1997-03-12	PRIJEM	VKLAD	14779	40675	\N	\N	\N
725803	2484	1997-04-12	PRIJEM	VKLAD	14779	34119	\N	\N	\N
725804	2484	1997-05-12	PRIJEM	VKLAD	14779	33628	\N	\N	\N
725805	2484	1997-06-12	PRIJEM	VKLAD	22168	35002	\N	\N	\N
725806	2484	1997-07-12	PRIJEM	VKLAD	14779	33208	\N	\N	\N
725807	2484	1997-08-12	PRIJEM	VKLAD	14779	30834	\N	\N	\N
725808	2484	1997-09-12	PRIJEM	VKLAD	14779	35682	\N	\N	\N
725809	2484	1997-10-12	PRIJEM	VKLAD	14779	32662	\N	\N	\N
725810	2484	1997-11-12	PRIJEM	VKLAD	14779	41003	\N	\N	\N
725811	2484	1997-12-12	PRIJEM	VKLAD	22168	37895	\N	\N	\N
725812	2484	1998-01-12	PRIJEM	VKLAD	14779	41101	\N	\N	\N
725813	2484	1998-02-12	PRIJEM	VKLAD	14779	26843	\N	\N	\N
725814	2484	1998-03-12	PRIJEM	VKLAD	14779	28546	\N	\N	\N
725815	2484	1998-04-12	PRIJEM	VKLAD	14779	34455	\N	\N	\N
725816	2484	1998-05-12	PRIJEM	VKLAD	14779	26869	\N	\N	\N
725817	2484	1998-06-12	PRIJEM	VKLAD	22168	44255	\N	\N	\N
725818	2484	1998-07-12	PRIJEM	VKLAD	14779	30755	\N	\N	\N
725819	2484	1998-08-12	PRIJEM	VKLAD	14779	40768	\N	\N	\N
725820	2484	1998-09-12	PRIJEM	VKLAD	14779	34122	\N	\N	\N
725821	2484	1998-10-12	PRIJEM	VKLAD	14779	44142	\N	\N	\N
725822	2484	1998-11-12	PRIJEM	VKLAD	14779	29896	\N	\N	\N
725823	2484	1998-12-12	PRIJEM	VKLAD	22168	44092	\N	\N	\N
725829	2484	1993-06-08	VYDAJ	PREVOD NA UCET	2343	35539	SIPO	OP	3728384
725830	2484	1993-07-08	VYDAJ	PREVOD NA UCET	2343	33560	SIPO	OP	3728384
725831	2484	1993-08-08	VYDAJ	PREVOD NA UCET	2343	30495	SIPO	OP	3728384
725832	2484	1993-09-08	VYDAJ	PREVOD NA UCET	2343	31460	SIPO	OP	3728384
725833	2484	1993-10-08	VYDAJ	PREVOD NA UCET	2343	31461	SIPO	OP	3728384
725834	2484	1993-11-08	VYDAJ	PREVOD NA UCET	2343	32464	SIPO	OP	3728384
725835	2484	1993-12-08	VYDAJ	PREVOD NA UCET	2343	33028	SIPO	OP	3728384
725836	2484	1994-01-08	VYDAJ	PREVOD NA UCET	2343	28238	SIPO	OP	3728384
725837	2484	1994-02-08	VYDAJ	PREVOD NA UCET	2343	27069	SIPO	OP	3728384
725838	2484	1994-03-08	VYDAJ	PREVOD NA UCET	2343	28609	SIPO	OP	3728384
725839	2484	1994-04-08	VYDAJ	PREVOD NA UCET	2343	28455	SIPO	OP	3728384
725840	2484	1994-05-08	VYDAJ	PREVOD NA UCET	2343	22900	SIPO	OP	3728384
725841	2484	1994-06-08	VYDAJ	PREVOD NA UCET	2343	29827	SIPO	OP	3728384
725842	2484	1994-07-08	VYDAJ	PREVOD NA UCET	2343	36584	SIPO	OP	3728384
725843	2484	1994-08-08	VYDAJ	PREVOD NA UCET	2343	30725	SIPO	OP	3728384
725844	2484	1994-09-08	VYDAJ	PREVOD NA UCET	2343	31776	SIPO	OP	3728384
725845	2484	1994-10-08	VYDAJ	PREVOD NA UCET	2343	33132	SIPO	OP	3728384
725846	2484	1994-11-08	VYDAJ	PREVOD NA UCET	2343	31891	SIPO	OP	3728384
725847	2484	1994-12-08	VYDAJ	PREVOD NA UCET	2343	31926	SIPO	OP	3728384
725848	2484	1995-01-08	VYDAJ	PREVOD NA UCET	2343	33275	SIPO	OP	3728384
725849	2484	1995-02-08	VYDAJ	PREVOD NA UCET	2343	28580	SIPO	OP	3728384
725850	2484	1995-03-08	VYDAJ	PREVOD NA UCET	2343	30998	SIPO	OP	3728384
725851	2484	1995-04-08	VYDAJ	PREVOD NA UCET	2343	31748	SIPO	OP	3728384
725852	2484	1995-05-08	VYDAJ	PREVOD NA UCET	2343	32700	SIPO	OP	3728384
725853	2484	1995-06-08	VYDAJ	PREVOD NA UCET	2343	22474	SIPO	OP	3728384
725854	2484	1995-07-08	VYDAJ	PREVOD NA UCET	2343	29393	SIPO	OP	3728384
725855	2484	1995-08-08	VYDAJ	PREVOD NA UCET	2343	29131	SIPO	OP	3728384
725856	2484	1995-09-08	VYDAJ	PREVOD NA UCET	2343	30270	SIPO	OP	3728384
725857	2484	1995-10-08	VYDAJ	PREVOD NA UCET	2343	26905	SIPO	OP	3728384
725858	2484	1995-11-08	VYDAJ	PREVOD NA UCET	2343	27432	SIPO	OP	3728384
725859	2484	1995-12-08	VYDAJ	PREVOD NA UCET	2343	23953	SIPO	OP	3728384
725860	2484	1996-01-08	VYDAJ	PREVOD NA UCET	2343	22237	SIPO	OP	3728384
725861	2484	1996-02-08	VYDAJ	PREVOD NA UCET	2343	13946	SIPO	OP	3728384
725862	2484	1996-03-08	VYDAJ	PREVOD NA UCET	2343	14515	SIPO	OP	3728384
725863	2484	1996-04-08	VYDAJ	PREVOD NA UCET	2343	16147	SIPO	OP	3728384
725864	2484	1996-05-08	VYDAJ	PREVOD NA UCET	2343	17666	SIPO	OP	3728384
725865	2484	1996-06-08	VYDAJ	PREVOD NA UCET	2343	14347	SIPO	OP	3728384
725866	2484	1996-07-08	VYDAJ	PREVOD NA UCET	2343	19619	SIPO	OP	3728384
725867	2484	1996-08-08	VYDAJ	PREVOD NA UCET	2343	19249	SIPO	OP	3728384
725868	2484	1996-09-08	VYDAJ	PREVOD NA UCET	2343	18233	SIPO	OP	3728384
725869	2484	1996-10-08	VYDAJ	PREVOD NA UCET	2343	19035	SIPO	OP	3728384
725870	2484	1996-11-08	VYDAJ	PREVOD NA UCET	2343	21942	SIPO	OP	3728384
725871	2484	1996-12-08	VYDAJ	PREVOD NA UCET	2343	21736	SIPO	OP	3728384
725872	2484	1997-01-08	VYDAJ	PREVOD NA UCET	2343	19741	SIPO	OP	3728384
725873	2484	1997-02-08	VYDAJ	PREVOD NA UCET	2343	13393	SIPO	OP	3728384
725874	2484	1997-03-08	VYDAJ	PREVOD NA UCET	2343	27286	SIPO	OP	3728384
725875	2484	1997-04-08	VYDAJ	PREVOD NA UCET	2343	20730	SIPO	OP	3728384
725876	2484	1997-05-08	VYDAJ	PREVOD NA UCET	2343	20239	SIPO	OP	3728384
725877	2484	1997-06-08	VYDAJ	PREVOD NA UCET	2343	14224	SIPO	OP	3728384
725878	2484	1997-07-08	VYDAJ	PREVOD NA UCET	2343	31619	SIPO	OP	3728384
725879	2484	1997-08-08	VYDAJ	PREVOD NA UCET	2343	29845	SIPO	OP	3728384
725880	2484	1997-09-08	VYDAJ	PREVOD NA UCET	2343	22293	SIPO	OP	3728384
725881	2484	1997-10-08	VYDAJ	PREVOD NA UCET	2343	27873	SIPO	OP	3728384
725882	2484	1997-11-08	VYDAJ	PREVOD NA UCET	2343	27614	SIPO	OP	3728384
725883	2484	1997-12-08	VYDAJ	PREVOD NA UCET	2343	17117	SIPO	OP	3728384
725884	2484	1998-01-08	VYDAJ	PREVOD NA UCET	2343	27712	SIPO	OP	3728384
725885	2484	1998-02-08	VYDAJ	PREVOD NA UCET	2343	13454	SIPO	OP	3728384
725886	2484	1998-03-08	VYDAJ	PREVOD NA UCET	2343	15157	SIPO	OP	3728384
725887	2484	1998-04-08	VYDAJ	PREVOD NA UCET	2343	21066	SIPO	OP	3728384
725888	2484	1998-05-08	VYDAJ	PREVOD NA UCET	2343	13480	SIPO	OP	3728384
725889	2484	1998-06-08	VYDAJ	PREVOD NA UCET	2343	23477	SIPO	OP	3728384
725890	2484	1998-07-08	VYDAJ	PREVOD NA UCET	2343	17366	SIPO	OP	3728384
725891	2484	1998-08-08	VYDAJ	PREVOD NA UCET	2343	27379	SIPO	OP	3728384
725892	2484	1998-09-08	VYDAJ	PREVOD NA UCET	2343	20733	SIPO	OP	3728384
725893	2484	1998-10-08	VYDAJ	PREVOD NA UCET	2343	30753	SIPO	OP	3728384
725894	2484	1998-11-08	VYDAJ	PREVOD NA UCET	2343	16507	SIPO	OP	3728384
725895	2484	1998-12-08	VYDAJ	PREVOD NA UCET	2343	23314	SIPO	OP	3728384
725901	2484	1993-06-05	VYDAJ	PREVOD NA UCET	538	37882	 	OP	83567636
725902	2484	1993-07-05	VYDAJ	PREVOD NA UCET	538	35903	 	OP	83567636
725903	2484	1993-08-05	VYDAJ	PREVOD NA UCET	538	32838	 	OP	83567636
725904	2484	1993-09-05	VYDAJ	PREVOD NA UCET	538	33803	 	OP	83567636
725905	2484	1993-10-05	VYDAJ	PREVOD NA UCET	538	33804	 	OP	83567636
725906	2484	1993-11-05	VYDAJ	PREVOD NA UCET	538	34807	 	OP	83567636
725907	2484	1993-12-05	VYDAJ	PREVOD NA UCET	538	35371	 	OP	83567636
725908	2484	1994-01-05	VYDAJ	PREVOD NA UCET	538	31781	 	OP	83567636
725909	2484	1994-02-05	VYDAJ	PREVOD NA UCET	538	29412	 	OP	83567636
725910	2484	1994-03-05	VYDAJ	PREVOD NA UCET	538	30952	 	OP	83567636
725911	2484	1994-04-05	VYDAJ	PREVOD NA UCET	538	30798	 	OP	83567636
725912	2484	1994-05-05	VYDAJ	PREVOD NA UCET	538	25243	 	OP	83567636
725913	2484	1994-06-05	VYDAJ	PREVOD NA UCET	538	32170	 	OP	83567636
725914	2484	1994-07-05	VYDAJ	PREVOD NA UCET	538	38927	 	OP	83567636
725915	2484	1994-08-05	VYDAJ	PREVOD NA UCET	538	33068	 	OP	83567636
725916	2484	1994-09-05	VYDAJ	PREVOD NA UCET	538	34119	 	OP	83567636
725917	2484	1994-10-05	VYDAJ	PREVOD NA UCET	538	35475	 	OP	83567636
725918	2484	1994-11-05	VYDAJ	PREVOD NA UCET	538	34234	 	OP	83567636
725919	2484	1994-12-05	VYDAJ	PREVOD NA UCET	538	35349	 	OP	83567636
725920	2484	1995-01-05	VYDAJ	PREVOD NA UCET	538	35618	 	OP	83567636
725921	2484	1995-02-05	VYDAJ	PREVOD NA UCET	538	30923	 	OP	83567636
725922	2484	1995-03-05	VYDAJ	PREVOD NA UCET	538	33341	 	OP	83567636
725923	2484	1995-04-05	VYDAJ	PREVOD NA UCET	538	34091	 	OP	83567636
725924	2484	1995-05-05	VYDAJ	PREVOD NA UCET	538	35043	 	OP	83567636
725925	2484	1995-06-05	VYDAJ	PREVOD NA UCET	538	24817	 	OP	83567636
725926	2484	1995-07-05	VYDAJ	PREVOD NA UCET	538	31736	 	OP	83567636
725927	2484	1995-08-05	VYDAJ	PREVOD NA UCET	538	31474	 	OP	83567636
725928	2484	1995-09-05	VYDAJ	PREVOD NA UCET	538	32613	 	OP	83567636
725929	2484	1995-10-05	VYDAJ	PREVOD NA UCET	538	29248	 	OP	83567636
725930	2484	1995-11-05	VYDAJ	PREVOD NA UCET	538	29775	 	OP	83567636
725931	2484	1995-12-05	VYDAJ	PREVOD NA UCET	538	26296	 	OP	83567636
725932	2484	1996-01-05	VYDAJ	PREVOD NA UCET	538	24580	 	OP	83567636
725933	2484	1996-02-05	VYDAJ	PREVOD NA UCET	538	16289	 	OP	83567636
725934	2484	1996-03-05	VYDAJ	PREVOD NA UCET	538	16858	 	OP	83567636
725935	2484	1996-04-05	VYDAJ	PREVOD NA UCET	538	18490	 	OP	83567636
725936	2484	1996-05-05	VYDAJ	PREVOD NA UCET	538	20009	 	OP	83567636
725937	2484	1996-06-05	VYDAJ	PREVOD NA UCET	538	16690	 	OP	83567636
725938	2484	1996-07-05	VYDAJ	PREVOD NA UCET	538	21962	 	OP	83567636
725939	2484	1996-08-05	VYDAJ	PREVOD NA UCET	538	21592	 	OP	83567636
725940	2484	1996-09-05	VYDAJ	PREVOD NA UCET	538	20576	 	OP	83567636
725941	2484	1996-10-05	VYDAJ	PREVOD NA UCET	538	21378	 	OP	83567636
725942	2484	1996-11-05	VYDAJ	PREVOD NA UCET	538	24285	 	OP	83567636
725943	2484	1996-12-05	VYDAJ	PREVOD NA UCET	538	24079	 	OP	83567636
725944	2484	1997-01-05	VYDAJ	PREVOD NA UCET	538	22084	 	OP	83567636
725945	2484	1997-02-05	VYDAJ	PREVOD NA UCET	538	15736	 	OP	83567636
725946	2484	1997-03-05	VYDAJ	PREVOD NA UCET	538	29629	 	OP	83567636
725947	2484	1997-04-05	VYDAJ	PREVOD NA UCET	538	23073	 	OP	83567636
725948	2484	1997-05-05	VYDAJ	PREVOD NA UCET	538	22582	 	OP	83567636
725949	2484	1997-06-05	VYDAJ	PREVOD NA UCET	538	16567	 	OP	83567636
725950	2484	1997-07-05	VYDAJ	PREVOD NA UCET	538	33962	 	OP	83567636
725951	2484	1997-08-05	VYDAJ	PREVOD NA UCET	538	32188	 	OP	83567636
725952	2484	1997-09-05	VYDAJ	PREVOD NA UCET	538	24636	 	OP	83567636
725953	2484	1997-10-05	VYDAJ	PREVOD NA UCET	538	34656	 	OP	83567636
725954	2484	1997-11-05	VYDAJ	PREVOD NA UCET	538	29957	 	OP	83567636
725955	2484	1997-12-05	VYDAJ	PREVOD NA UCET	538	40000	 	OP	83567636
725956	2484	1998-01-05	VYDAJ	PREVOD NA UCET	538	32455	 	OP	83567636
725957	2484	1998-02-05	VYDAJ	PREVOD NA UCET	538	35897	 	OP	83567636
725958	2484	1998-03-05	VYDAJ	PREVOD NA UCET	538	17500	 	OP	83567636
725959	2484	1998-04-05	VYDAJ	PREVOD NA UCET	538	23409	 	OP	83567636
725960	2484	1998-05-05	VYDAJ	PREVOD NA UCET	538	33423	 	OP	83567636
725961	2484	1998-06-05	VYDAJ	PREVOD NA UCET	538	25820	 	OP	83567636
725962	2484	1998-07-05	VYDAJ	PREVOD NA UCET	538	40609	 	OP	83567636
725963	2484	1998-08-05	VYDAJ	PREVOD NA UCET	538	29722	 	OP	83567636
725964	2484	1998-09-05	VYDAJ	PREVOD NA UCET	538	23076	 	OP	83567636
725965	2484	1998-10-05	VYDAJ	PREVOD NA UCET	538	33096	 	OP	83567636
725966	2484	1998-11-05	VYDAJ	PREVOD NA UCET	538	18850	 	OP	83567636
725967	2484	1998-12-05	VYDAJ	PREVOD NA UCET	538	28857	 	OP	83567636
725972	2484	1993-05-14	VYDAJ	PREVOD NA UCET	599	51522	POJISTNE	GH	75644820
725973	2484	1993-06-14	VYDAJ	PREVOD NA UCET	599	43878	POJISTNE	GH	75644820
725974	2484	1993-07-14	VYDAJ	PREVOD NA UCET	599	46350	POJISTNE	GH	75644820
725975	2484	1993-08-14	VYDAJ	PREVOD NA UCET	599	43285	POJISTNE	GH	75644820
725976	2484	1993-09-14	VYDAJ	PREVOD NA UCET	599	40290	POJISTNE	GH	75644820
725977	2484	1993-10-14	VYDAJ	PREVOD NA UCET	599	44251	POJISTNE	GH	75644820
725978	2484	1993-11-14	VYDAJ	PREVOD NA UCET	599	45254	POJISTNE	GH	75644820
725979	2484	1993-12-14	VYDAJ	PREVOD NA UCET	599	53207	POJISTNE	GH	75644820
725980	2484	1994-01-14	VYDAJ	PREVOD NA UCET	599	35148	POJISTNE	GH	75644820
725981	2484	1994-02-14	VYDAJ	PREVOD NA UCET	599	39859	POJISTNE	GH	75644820
725982	2484	1994-03-14	VYDAJ	PREVOD NA UCET	599	41399	POJISTNE	GH	75644820
725983	2484	1994-04-14	VYDAJ	PREVOD NA UCET	599	41245	POJISTNE	GH	75644820
725984	2484	1994-05-14	VYDAJ	PREVOD NA UCET	599	35690	POJISTNE	GH	75644820
725985	2484	1994-06-14	VYDAJ	PREVOD NA UCET	599	50006	POJISTNE	GH	75644820
725986	2484	1994-07-14	VYDAJ	PREVOD NA UCET	599	43854	POJISTNE	GH	75644820
725987	2484	1994-08-14	VYDAJ	PREVOD NA UCET	599	43515	POJISTNE	GH	75644820
725988	2484	1994-09-14	VYDAJ	PREVOD NA UCET	599	44566	POJISTNE	GH	75644820
725989	2484	1994-10-14	VYDAJ	PREVOD NA UCET	599	45922	POJISTNE	GH	75644820
725990	2484	1994-11-14	VYDAJ	PREVOD NA UCET	599	44681	POJISTNE	GH	75644820
725991	2484	1994-12-14	VYDAJ	PREVOD NA UCET	599	52105	POJISTNE	GH	75644820
725992	2484	1995-01-14	VYDAJ	PREVOD NA UCET	599	41985	POJISTNE	GH	75644820
725993	2484	1995-02-14	VYDAJ	PREVOD NA UCET	599	41370	POJISTNE	GH	75644820
725994	2484	1995-03-14	VYDAJ	PREVOD NA UCET	599	43788	POJISTNE	GH	75644820
725995	2484	1995-04-14	VYDAJ	PREVOD NA UCET	599	44538	POJISTNE	GH	75644820
725996	2484	1995-05-14	VYDAJ	PREVOD NA UCET	599	40810	POJISTNE	GH	75644820
725997	2484	1995-06-14	VYDAJ	PREVOD NA UCET	599	42653	POJISTNE	GH	75644820
725998	2484	1995-07-14	VYDAJ	PREVOD NA UCET	599	42183	POJISTNE	GH	75644820
725999	2484	1995-08-14	VYDAJ	PREVOD NA UCET	599	41921	POJISTNE	GH	75644820
726000	2484	1995-09-14	VYDAJ	PREVOD NA UCET	599	43060	POJISTNE	GH	75644820
726001	2484	1995-10-14	VYDAJ	PREVOD NA UCET	599	39695	POJISTNE	GH	75644820
726002	2484	1995-11-14	VYDAJ	PREVOD NA UCET	599	40222	POJISTNE	GH	75644820
726003	2484	1995-12-14	VYDAJ	PREVOD NA UCET	599	44132	POJISTNE	GH	75644820
726004	2484	1996-01-14	VYDAJ	PREVOD NA UCET	599	33947	POJISTNE	GH	75644820
726005	2484	1996-02-14	VYDAJ	PREVOD NA UCET	599	26736	POJISTNE	GH	75644820
726006	2484	1996-03-14	VYDAJ	PREVOD NA UCET	599	21665	POJISTNE	GH	75644820
726007	2484	1996-04-14	VYDAJ	PREVOD NA UCET	599	28937	POJISTNE	GH	75644820
726008	2484	1996-05-14	VYDAJ	PREVOD NA UCET	599	30456	POJISTNE	GH	75644820
726009	2484	1996-06-14	VYDAJ	PREVOD NA UCET	599	34526	POJISTNE	GH	75644820
726010	2484	1996-07-14	VYDAJ	PREVOD NA UCET	599	32409	POJISTNE	GH	75644820
726011	2484	1996-08-14	VYDAJ	PREVOD NA UCET	599	32039	POJISTNE	GH	75644820
726012	2484	1996-09-14	VYDAJ	PREVOD NA UCET	599	28743	POJISTNE	GH	75644820
726013	2484	1996-10-14	VYDAJ	PREVOD NA UCET	599	31825	POJISTNE	GH	75644820
726014	2484	1996-11-14	VYDAJ	PREVOD NA UCET	599	24532	POJISTNE	GH	75644820
726015	2484	1996-12-14	VYDAJ	PREVOD NA UCET	599	26215	POJISTNE	GH	75644820
726016	2484	1997-01-14	VYDAJ	PREVOD NA UCET	599	18251	POJISTNE	GH	75644820
726017	2484	1997-02-14	VYDAJ	PREVOD NA UCET	599	30083	POJISTNE	GH	75644820
726018	2484	1997-03-14	VYDAJ	PREVOD NA UCET	599	25676	POJISTNE	GH	75644820
726019	2484	1997-04-14	VYDAJ	PREVOD NA UCET	599	23040	POJISTNE	GH	75644820
726020	2484	1997-05-14	VYDAJ	PREVOD NA UCET	599	23029	POJISTNE	GH	75644820
726021	2484	1997-06-14	VYDAJ	PREVOD NA UCET	599	34403	POJISTNE	GH	75644820
726022	2484	1997-07-14	VYDAJ	PREVOD NA UCET	599	32609	POJISTNE	GH	75644820
726023	2484	1997-08-14	VYDAJ	PREVOD NA UCET	599	30235	POJISTNE	GH	75644820
726024	2484	1997-09-14	VYDAJ	PREVOD NA UCET	599	35083	POJISTNE	GH	75644820
726025	2484	1997-10-14	VYDAJ	PREVOD NA UCET	599	32063	POJISTNE	GH	75644820
726026	2484	1997-11-14	VYDAJ	PREVOD NA UCET	599	40404	POJISTNE	GH	75644820
726027	2484	1997-12-14	VYDAJ	PREVOD NA UCET	599	37296	POJISTNE	GH	75644820
726028	2484	1998-01-14	VYDAJ	PREVOD NA UCET	599	40502	POJISTNE	GH	75644820
726029	2484	1998-02-14	VYDAJ	PREVOD NA UCET	599	26244	POJISTNE	GH	75644820
726030	2484	1998-03-14	VYDAJ	PREVOD NA UCET	599	27947	POJISTNE	GH	75644820
726031	2484	1998-04-14	VYDAJ	PREVOD NA UCET	599	33856	POJISTNE	GH	75644820
726032	2484	1998-05-14	VYDAJ	PREVOD NA UCET	599	26270	POJISTNE	GH	75644820
726033	2484	1998-06-14	VYDAJ	PREVOD NA UCET	599	43656	POJISTNE	GH	75644820
726119	2484	1994-12-24	VYDAJ	VYBER	3520	48585	\N	\N	\N
726034	2484	1998-07-14	VYDAJ	PREVOD NA UCET	599	30156	POJISTNE	GH	75644820
726035	2484	1998-08-14	VYDAJ	PREVOD NA UCET	599	37889	POJISTNE	GH	75644820
726036	2484	1998-09-14	VYDAJ	PREVOD NA UCET	599	33523	POJISTNE	GH	75644820
726037	2484	1998-10-14	VYDAJ	PREVOD NA UCET	599	43543	POJISTNE	GH	75644820
726038	2484	1998-11-14	VYDAJ	PREVOD NA UCET	599	29297	POJISTNE	GH	75644820
726039	2484	1998-12-14	VYDAJ	PREVOD NA UCET	599	43493	POJISTNE	GH	75644820
726045	2484	1993-06-11	VYDAJ	PREVOD NA UCET	1390	22309	 	ST	72945260
726046	2484	1993-07-11	VYDAJ	PREVOD NA UCET	1390	32170	 	ST	72945260
726047	2484	1993-08-11	VYDAJ	PREVOD NA UCET	1390	29105	 	ST	72945260
726048	2484	1993-09-11	VYDAJ	PREVOD NA UCET	1390	30070	 	ST	72945260
726049	2484	1993-10-11	VYDAJ	PREVOD NA UCET	1390	30071	 	ST	72945260
726050	2484	1993-11-11	VYDAJ	PREVOD NA UCET	1390	31074	 	ST	72945260
726051	2484	1993-12-11	VYDAJ	PREVOD NA UCET	1390	31638	 	ST	72945260
726052	2484	1994-01-11	VYDAJ	PREVOD NA UCET	1390	26848	 	ST	72945260
726053	2484	1994-02-11	VYDAJ	PREVOD NA UCET	1390	25679	 	ST	72945260
726054	2484	1994-03-11	VYDAJ	PREVOD NA UCET	1390	27219	 	ST	72945260
726055	2484	1994-04-11	VYDAJ	PREVOD NA UCET	1390	27065	 	ST	72945260
726056	2484	1994-05-11	VYDAJ	PREVOD NA UCET	1390	21510	 	ST	72945260
726057	2484	1994-06-11	VYDAJ	PREVOD NA UCET	1390	28437	 	ST	72945260
726058	2484	1994-07-11	VYDAJ	PREVOD NA UCET	1390	29674	 	ST	72945260
726059	2484	1994-08-11	VYDAJ	PREVOD NA UCET	1390	29335	 	ST	72945260
726060	2484	1994-09-11	VYDAJ	PREVOD NA UCET	1390	30386	 	ST	72945260
726061	2484	1994-10-11	VYDAJ	PREVOD NA UCET	1390	31742	 	ST	72945260
726062	2484	1994-11-11	VYDAJ	PREVOD NA UCET	1390	30501	 	ST	72945260
726063	2484	1994-12-11	VYDAJ	PREVOD NA UCET	1390	30536	 	ST	72945260
726064	2484	1995-01-11	VYDAJ	PREVOD NA UCET	1390	29725	 	ST	72945260
726065	2484	1995-02-11	VYDAJ	PREVOD NA UCET	1390	27190	 	ST	72945260
726066	2484	1995-03-11	VYDAJ	PREVOD NA UCET	1390	29608	 	ST	72945260
726067	2484	1995-04-11	VYDAJ	PREVOD NA UCET	1390	30358	 	ST	72945260
726068	2484	1995-05-11	VYDAJ	PREVOD NA UCET	1390	31310	 	ST	72945260
726069	2484	1995-06-11	VYDAJ	PREVOD NA UCET	1390	21084	 	ST	72945260
726070	2484	1995-07-11	VYDAJ	PREVOD NA UCET	1390	28003	 	ST	72945260
726071	2484	1995-08-11	VYDAJ	PREVOD NA UCET	1390	27741	 	ST	72945260
726072	2484	1995-09-11	VYDAJ	PREVOD NA UCET	1390	28880	 	ST	72945260
726073	2484	1995-10-11	VYDAJ	PREVOD NA UCET	1390	25515	 	ST	72945260
726074	2484	1995-11-11	VYDAJ	PREVOD NA UCET	1390	26042	 	ST	72945260
726075	2484	1995-12-11	VYDAJ	PREVOD NA UCET	1390	22563	 	ST	72945260
726076	2484	1996-01-11	VYDAJ	PREVOD NA UCET	1390	20847	 	ST	72945260
726077	2484	1996-02-11	VYDAJ	PREVOD NA UCET	1390	12556	 	ST	72945260
726078	2484	1996-03-11	VYDAJ	PREVOD NA UCET	1390	13125	 	ST	72945260
726079	2484	1996-04-11	VYDAJ	PREVOD NA UCET	1390	14757	 	ST	72945260
726080	2484	1996-05-11	VYDAJ	PREVOD NA UCET	1390	16276	 	ST	72945260
726081	2484	1996-06-11	VYDAJ	PREVOD NA UCET	1390	12957	 	ST	72945260
726082	2484	1996-07-11	VYDAJ	PREVOD NA UCET	1390	18229	 	ST	72945260
726083	2484	1996-08-11	VYDAJ	PREVOD NA UCET	1390	17859	 	ST	72945260
726084	2484	1996-09-11	VYDAJ	PREVOD NA UCET	1390	14563	 	ST	72945260
726085	2484	1996-10-11	VYDAJ	PREVOD NA UCET	1390	17645	 	ST	72945260
726086	2484	1996-11-11	VYDAJ	PREVOD NA UCET	1390	20552	 	ST	72945260
726087	2484	1996-12-11	VYDAJ	PREVOD NA UCET	1390	20346	 	ST	72945260
726088	2484	1997-01-11	VYDAJ	PREVOD NA UCET	1390	16551	 	ST	72945260
726089	2484	1997-02-11	VYDAJ	PREVOD NA UCET	1390	15903	 	ST	72945260
726090	2484	1997-03-11	VYDAJ	PREVOD NA UCET	1390	25896	 	ST	72945260
726091	2484	1997-04-11	VYDAJ	PREVOD NA UCET	1390	19340	 	ST	72945260
726092	2484	1997-05-11	VYDAJ	PREVOD NA UCET	1390	18849	 	ST	72945260
726093	2484	1997-06-11	VYDAJ	PREVOD NA UCET	1390	12834	 	ST	72945260
726094	2484	1997-07-11	VYDAJ	PREVOD NA UCET	1390	18429	 	ST	72945260
726095	2484	1997-08-11	VYDAJ	PREVOD NA UCET	1390	16055	 	ST	72945260
726096	2484	1997-09-11	VYDAJ	PREVOD NA UCET	1390	20903	 	ST	72945260
726097	2484	1997-10-11	VYDAJ	PREVOD NA UCET	1390	17883	 	ST	72945260
726098	2484	1997-11-11	VYDAJ	PREVOD NA UCET	1390	26224	 	ST	72945260
726099	2484	1997-12-11	VYDAJ	PREVOD NA UCET	1390	15727	 	ST	72945260
726100	2484	1998-01-11	VYDAJ	PREVOD NA UCET	1390	26322	 	ST	72945260
726101	2484	1998-02-11	VYDAJ	PREVOD NA UCET	1390	12064	 	ST	72945260
726102	2484	1998-03-11	VYDAJ	PREVOD NA UCET	1390	13767	 	ST	72945260
726103	2484	1998-04-11	VYDAJ	PREVOD NA UCET	1390	19676	 	ST	72945260
726104	2484	1998-05-11	VYDAJ	PREVOD NA UCET	1390	12090	 	ST	72945260
726105	2484	1998-06-11	VYDAJ	PREVOD NA UCET	1390	22087	 	ST	72945260
726106	2484	1998-07-11	VYDAJ	PREVOD NA UCET	1390	15976	 	ST	72945260
726107	2484	1998-08-11	VYDAJ	PREVOD NA UCET	1390	25989	 	ST	72945260
726108	2484	1998-09-11	VYDAJ	PREVOD NA UCET	1390	19343	 	ST	72945260
726109	2484	1998-10-11	VYDAJ	PREVOD NA UCET	1390	29363	 	ST	72945260
726110	2484	1998-11-11	VYDAJ	PREVOD NA UCET	1390	15117	 	ST	72945260
726111	2484	1998-12-11	VYDAJ	PREVOD NA UCET	1390	21924	 	ST	72945260
726112	2484	1993-06-08	VYDAJ	VYBER	11840	23699	\N	\N	\N
726118	2484	1993-12-30	VYDAJ	VYBER	4000	33107	\N	\N	\N
726120	2484	1995-12-17	VYDAJ	VYBER	3520	40612	\N	\N	\N
726121	2484	1996-12-26	VYDAJ	VYBER	3680	22535	\N	\N	\N
726122	2484	1997-12-08	VYDAJ	VYBER	2240	37760	\N	\N	\N
726123	2484	1998-12-07	VYDAJ	VYBER	3200	25657	\N	\N	\N
726130	2484	1994-01-12	VYDAJ	VYBER	2520	39107	\N	\N	\N
726131	2484	1994-01-26	VYDAJ	VYBER	960	32628	\N	\N	\N
726132	2484	1994-01-13	VYDAJ	VYBER	3360	35747	\N	\N	\N
726133	2484	1994-01-17	VYDAJ	VYBER	1560	33588	\N	\N	\N
726134	2484	1994-01-01	VYDAJ	VYBER	960	32319	\N	\N	\N
726135	2484	1994-01-08	VYDAJ	VYBER	1200	30581	\N	\N	\N
726136	2484	1995-01-16	VYDAJ	VYBER	1800	40185	\N	\N	\N
726137	2484	1995-01-20	VYDAJ	VYBER	1440	38745	\N	\N	\N
726138	2484	1995-01-24	VYDAJ	VYBER	2520	31325	\N	\N	\N
726139	2484	1995-01-13	VYDAJ	VYBER	1920	42584	\N	\N	\N
726140	2484	1995-01-03	VYDAJ	VYBER	3000	36156	\N	\N	\N
726141	2484	1995-01-09	VYDAJ	VYBER	2160	31115	\N	\N	\N
726143	2484	1996-01-28	VYDAJ	VYBER	2040	16747	\N	\N	\N
726144	2484	1996-01-19	VYDAJ	VYBER	3240	18787	\N	\N	\N
726145	2484	1996-01-18	VYDAJ	VYBER	1320	22027	\N	\N	\N
726146	2484	1996-01-11	VYDAJ	VYBER	1080	19767	\N	\N	\N
726147	2484	1996-01-15	VYDAJ	VYBER	2400	31547	\N	\N	\N
726148	2484	1997-01-09	VYDAJ	VYBER	600	19141	\N	\N	\N
726149	2484	1997-01-29	VYDAJ	VYBER	2040	16211	\N	\N	\N
726151	2484	1997-01-10	VYDAJ	VYBER	1200	17941	\N	\N	\N
726152	2484	1997-01-13	VYDAJ	VYBER	3480	18850	\N	\N	\N
726154	2484	1998-01-25	VYDAJ	VYBER	1200	37622	\N	\N	\N
726155	2484	1998-01-25	VYDAJ	VYBER	1680	38822	\N	\N	\N
726156	2484	1998-01-03	VYDAJ	VYBER	1200	36233	\N	\N	\N
726157	2484	1998-01-04	VYDAJ	VYBER	3240	32993	\N	\N	\N
726158	2484	1998-01-05	VYDAJ	VYBER	2400	30055	\N	\N	\N
726159	2484	1998-01-26	VYDAJ	VYBER	1320	36302	\N	\N	\N
726161	2484	1993-09-12	VYDAJ	VYBER	1440	40889	\N	\N	\N
726162	2484	1993-10-23	VYDAJ	VYBER	2160	42091	\N	\N	\N
726163	2484	1993-09-12	VYDAJ	VYBER	2520	42329	\N	\N	\N
726165	2484	1993-07-29	VYDAJ	VYBER	840	45510	\N	\N	\N
726166	2484	1994-09-30	VYDAJ	VYBER	600	36013	\N	\N	\N
726167	2484	1994-12-08	VYDAJ	VYBER	1080	34269	\N	\N	\N
726168	2484	1994-12-05	VYDAJ	VYBER	840	35887	\N	\N	\N
726169	2484	1994-05-01	VYDAJ	VYBER	5400	25781	\N	\N	\N
726170	2484	1994-07-10	VYDAJ	VYBER	5520	31064	\N	\N	\N
726171	2484	1995-05-20	VYDAJ	VYBER	4320	36490	\N	\N	\N
726172	2484	1995-02-19	VYDAJ	VYBER	3600	37770	\N	\N	\N
726173	2484	1995-05-12	VYDAJ	VYBER	4680	41409	\N	\N	\N
726174	2484	1995-05-25	VYDAJ	VYBER	3360	25230	\N	\N	\N
726175	2484	1995-02-21	VYDAJ	VYBER	720	37050	\N	\N	\N
726176	2484	1996-09-11	VYDAJ	VYBER	2280	15953	\N	\N	\N
726177	2484	1996-07-23	VYDAJ	VYBER	1560	22049	\N	\N	\N
726178	2484	1996-05-28	VYDAJ	VYBER	3600	17156	\N	\N	\N
726179	2484	1996-03-12	VYDAJ	VYBER	5640	22264	\N	\N	\N
726180	2484	1996-04-16	VYDAJ	VYBER	3360	25577	\N	\N	\N
726181	2484	1997-03-29	VYDAJ	VYBER	2160	23516	\N	\N	\N
726182	2484	1997-10-05	VYDAJ	VYBER	4440	30216	\N	\N	\N
726183	2484	1997-04-12	VYDAJ	VYBER	4080	23639	\N	\N	\N
726184	2484	1997-05-28	VYDAJ	VYBER	4680	17029	\N	\N	\N
726185	2484	1997-05-25	VYDAJ	VYBER	1320	21709	\N	\N	\N
726186	2484	1997-11-01	VYDAJ	VYBER	1680	30495	\N	\N	\N
726187	2484	1997-08-21	VYDAJ	VYBER	5160	25075	\N	\N	\N
726188	2484	1998-08-13	VYDAJ	VYBER	2280	38488	\N	\N	\N
726189	2484	1998-06-23	VYDAJ	VYBER	2640	41016	\N	\N	\N
726190	2484	1998-02-17	VYDAJ	VYBER	2640	23604	\N	\N	\N
726191	2484	1998-02-19	VYDAJ	VYBER	5640	17964	\N	\N	\N
726192	2484	1998-03-14	VYDAJ	VYBER	4080	23867	\N	\N	\N
726199	2484	1993-05-31	VYDAJ	VYBER	15	51720	SLUZBY	\N	\N
726200	2484	1993-06-30	VYDAJ	VYBER	15	44041	SLUZBY	\N	\N
726201	2484	1993-07-31	VYDAJ	VYBER	15	45676	SLUZBY	\N	\N
726202	2484	1993-08-31	VYDAJ	VYBER	15	43441	SLUZBY	\N	\N
726203	2484	1993-09-30	VYDAJ	VYBER	15	40442	SLUZBY	\N	\N
726204	2484	1993-10-31	VYDAJ	VYBER	15	35345	SLUZBY	\N	\N
726205	2484	1993-11-30	VYDAJ	VYBER	15	35909	SLUZBY	\N	\N
726206	2484	1993-12-31	VYDAJ	VYBER	15	33279	SLUZBY	\N	\N
726207	2484	1994-01-31	VYDAJ	VYBER	15	29950	SLUZBY	\N	\N
726208	2484	1994-02-28	VYDAJ	VYBER	15	31490	SLUZBY	\N	\N
726209	2484	1994-03-31	VYDAJ	VYBER	15	31336	SLUZBY	\N	\N
726210	2484	1994-04-30	VYDAJ	VYBER	15	31181	SLUZBY	\N	\N
726211	2484	1994-05-31	VYDAJ	VYBER	15	32708	SLUZBY	\N	\N
726212	2484	1994-06-30	VYDAJ	VYBER	15	39465	SLUZBY	\N	\N
726213	2484	1994-07-31	VYDAJ	VYBER	15	33606	SLUZBY	\N	\N
726214	2484	1994-08-31	VYDAJ	VYBER	15	34657	SLUZBY	\N	\N
726215	2484	1994-09-30	VYDAJ	VYBER	15	36613	SLUZBY	\N	\N
726216	2484	1994-10-31	VYDAJ	VYBER	15	34772	SLUZBY	\N	\N
726217	2484	1994-11-30	VYDAJ	VYBER	15	36727	SLUZBY	\N	\N
726218	2484	1994-12-31	VYDAJ	VYBER	15	39156	SLUZBY	\N	\N
726219	2484	1995-01-31	VYDAJ	VYBER	15	31461	SLUZBY	\N	\N
726220	2484	1995-02-28	VYDAJ	VYBER	15	33879	SLUZBY	\N	\N
726221	2484	1995-03-31	VYDAJ	VYBER	15	34629	SLUZBY	\N	\N
726222	2484	1995-04-30	VYDAJ	VYBER	15	35581	SLUZBY	\N	\N
726223	2484	1995-05-31	VYDAJ	VYBER	15	25355	SLUZBY	\N	\N
726224	2484	1995-06-30	VYDAJ	VYBER	15	32274	SLUZBY	\N	\N
726225	2484	1995-07-31	VYDAJ	VYBER	15	32012	SLUZBY	\N	\N
726226	2484	1995-08-31	VYDAJ	VYBER	15	33151	SLUZBY	\N	\N
726227	2484	1995-09-30	VYDAJ	VYBER	15	29786	SLUZBY	\N	\N
726228	2484	1995-10-31	VYDAJ	VYBER	15	30313	SLUZBY	\N	\N
726229	2484	1995-11-30	VYDAJ	VYBER	15	26834	SLUZBY	\N	\N
726230	2484	1995-12-31	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
726231	2484	1996-01-31	VYDAJ	VYBER	15	16827	SLUZBY	\N	\N
726232	2484	1996-02-29	VYDAJ	VYBER	15	17396	SLUZBY	\N	\N
726233	2484	1996-03-31	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
726234	2484	1996-04-30	VYDAJ	VYBER	15	20547	SLUZBY	\N	\N
726235	2484	1996-05-31	VYDAJ	VYBER	15	17228	SLUZBY	\N	\N
726236	2484	1996-06-30	VYDAJ	VYBER	15	22500	SLUZBY	\N	\N
726237	2484	1996-07-31	VYDAJ	VYBER	15	22130	SLUZBY	\N	\N
726238	2484	1996-08-31	VYDAJ	VYBER	15	21114	SLUZBY	\N	\N
726239	2484	1996-09-30	VYDAJ	VYBER	15	21916	SLUZBY	\N	\N
726240	2484	1996-10-31	VYDAJ	VYBER	15	24823	SLUZBY	\N	\N
726241	2484	1996-11-30	VYDAJ	VYBER	15	24617	SLUZBY	\N	\N
726242	2484	1996-12-31	VYDAJ	VYBER	15	22622	SLUZBY	\N	\N
726243	2484	1997-01-31	VYDAJ	VYBER	15	16274	SLUZBY	\N	\N
726244	2484	1997-02-28	VYDAJ	VYBER	15	30167	SLUZBY	\N	\N
726245	2484	1997-03-31	VYDAJ	VYBER	15	23611	SLUZBY	\N	\N
726246	2484	1997-04-30	VYDAJ	VYBER	15	23120	SLUZBY	\N	\N
726247	2484	1997-05-31	VYDAJ	VYBER	15	17105	SLUZBY	\N	\N
726248	2484	1997-06-30	VYDAJ	VYBER	15	34500	SLUZBY	\N	\N
726249	2484	1997-07-31	VYDAJ	VYBER	15	32726	SLUZBY	\N	\N
726250	2484	1997-08-31	VYDAJ	VYBER	15	25174	SLUZBY	\N	\N
726251	2484	1997-09-30	VYDAJ	VYBER	15	35194	SLUZBY	\N	\N
726252	2484	1997-10-31	VYDAJ	VYBER	15	32175	SLUZBY	\N	\N
726253	2484	1997-11-30	VYDAJ	VYBER	15	40538	SLUZBY	\N	\N
726254	2484	1997-12-31	VYDAJ	VYBER	15	37433	SLUZBY	\N	\N
726255	2484	1998-01-31	VYDAJ	VYBER	15	36435	SLUZBY	\N	\N
726256	2484	1998-02-28	VYDAJ	VYBER	15	18038	SLUZBY	\N	\N
726257	2484	1998-03-31	VYDAJ	VYBER	15	23947	SLUZBY	\N	\N
726258	2484	1998-04-30	VYDAJ	VYBER	15	33961	SLUZBY	\N	\N
726259	2484	1998-05-31	VYDAJ	VYBER	15	26358	SLUZBY	\N	\N
726260	2484	1998-06-30	VYDAJ	VYBER	15	41147	SLUZBY	\N	\N
726261	2484	1998-07-31	VYDAJ	VYBER	15	30260	SLUZBY	\N	\N
726262	2484	1998-08-31	VYDAJ	VYBER	15	38014	SLUZBY	\N	\N
726263	2484	1998-09-30	VYDAJ	VYBER	15	33634	SLUZBY	\N	\N
726264	2484	1998-10-31	VYDAJ	VYBER	15	43688	SLUZBY	\N	\N
726265	2484	1998-11-30	VYDAJ	VYBER	15	29395	SLUZBY	\N	\N
726266	2484	1993-02-02	PRIJEM	VKLAD	5500	21422	\N	\N	\N
726267	2484	1993-03-04	VYDAJ	VYBER	8100	28218	\N	\N	\N
726268	2484	1993-04-03	VYDAJ	VYBER	8300	34866	\N	\N	\N
726269	2484	1993-05-03	VYDAJ	VYBER	12500	37342	\N	\N	\N
726270	2484	1993-06-02	VYDAJ	VYBER	13300	38420	\N	\N	\N
726271	2484	1993-07-02	VYDAJ	VYBER	7600	36441	\N	\N	\N
726272	2484	1993-08-01	VYDAJ	VYBER	12300	33376	\N	\N	\N
726273	2484	1993-08-31	VYDAJ	VYBER	9100	34341	\N	\N	\N
726274	2484	1993-09-30	VYDAJ	VYBER	6100	34342	\N	\N	\N
726275	2484	1993-10-30	VYDAJ	VYBER	6900	35191	\N	\N	\N
726276	2484	1993-11-29	VYDAJ	VYBER	9500	35754	\N	\N	\N
726277	2484	1993-12-29	VYDAJ	VYBER	16100	37107	\N	\N	\N
726278	2484	1994-01-28	VYDAJ	VYBER	2800	29828	\N	\N	\N
726279	2484	1994-02-27	VYDAJ	VYBER	8500	31359	\N	\N	\N
726280	2484	1994-03-29	VYDAJ	VYBER	10200	31199	\N	\N	\N
726281	2484	1994-04-28	VYDAJ	VYBER	10200	31045	\N	\N	\N
726282	2484	1994-05-28	VYDAJ	VYBER	3100	32590	\N	\N	\N
726283	2484	1994-06-27	VYDAJ	VYBER	10700	39306	\N	\N	\N
726284	2484	1994-07-27	VYDAJ	VYBER	10400	33454	\N	\N	\N
726285	2484	1994-08-26	VYDAJ	VYBER	9000	34515	\N	\N	\N
726286	2484	1994-09-25	VYDAJ	VYBER	8100	36466	\N	\N	\N
726287	2484	1994-10-25	VYDAJ	VYBER	11300	34622	\N	\N	\N
726288	2484	1994-11-24	VYDAJ	VYBER	8100	36581	\N	\N	\N
726289	2484	1994-12-24	VYDAJ	VYBER	9600	38985	\N	\N	\N
726290	2484	1995-01-23	VYDAJ	VYBER	4900	33845	\N	\N	\N
726291	2484	1995-02-22	VYDAJ	VYBER	3300	33750	\N	\N	\N
726292	2484	1995-03-24	VYDAJ	VYBER	9300	34488	\N	\N	\N
726293	2484	1995-04-23	VYDAJ	VYBER	9100	35438	\N	\N	\N
726294	2484	1995-05-23	VYDAJ	VYBER	7900	28590	\N	\N	\N
726295	2484	1995-06-22	VYDAJ	VYBER	10500	32153	\N	\N	\N
726296	2484	1995-07-22	VYDAJ	VYBER	10300	31883	\N	\N	\N
726297	2484	1995-08-21	VYDAJ	VYBER	8900	33021	\N	\N	\N
726298	2484	1995-09-20	VYDAJ	VYBER	13400	29660	\N	\N	\N
726299	2484	1995-10-20	VYDAJ	VYBER	9500	30195	\N	\N	\N
726300	2484	1995-11-19	VYDAJ	VYBER	13500	26722	\N	\N	\N
726301	2484	1995-12-19	VYDAJ	VYBER	15600	25012	\N	\N	\N
726302	2484	1996-01-18	VYDAJ	VYBER	8200	23347	\N	\N	\N
726303	2484	1996-02-17	VYDAJ	VYBER	9400	17336	\N	\N	\N
726304	2484	1996-03-18	VYDAJ	VYBER	2700	18965	\N	\N	\N
726305	2484	1996-04-17	VYDAJ	VYBER	5100	20477	\N	\N	\N
726306	2484	1996-05-17	VYDAJ	VYBER	9700	20756	\N	\N	\N
726307	2484	1996-06-16	VYDAJ	VYBER	12100	22426	\N	\N	\N
726308	2484	1996-07-16	VYDAJ	VYBER	8800	23609	\N	\N	\N
726309	2484	1996-08-15	VYDAJ	VYBER	11000	21039	\N	\N	\N
726310	2484	1996-09-14	VYDAJ	VYBER	6900	21843	\N	\N	\N
726311	2484	1996-10-14	VYDAJ	VYBER	7100	24725	\N	\N	\N
726312	2484	1996-11-13	VYDAJ	VYBER	10200	25131	\N	\N	\N
726313	2484	1996-12-13	VYDAJ	VYBER	15700	26814	\N	\N	\N
726314	2484	1997-01-12	VYDAJ	VYBER	9000	22330	\N	\N	\N
726315	2484	1997-02-11	PRIJEM	VKLAD	3900	17293	\N	\N	\N
726316	2484	1997-03-13	VYDAJ	VYBER	14400	26275	\N	\N	\N
726317	2484	1997-04-12	VYDAJ	VYBER	6400	27719	\N	\N	\N
726318	2484	1997-05-12	VYDAJ	VYBER	10000	23628	\N	\N	\N
726319	2484	1997-07-11	VYDAJ	VYBER	11800	19819	\N	\N	\N
726320	2484	1997-08-10	VYDAJ	VYBER	12400	17445	\N	\N	\N
726321	2484	1997-10-09	VYDAJ	VYBER	8600	19273	\N	\N	\N
726322	2484	1997-12-08	VYDAJ	VYBER	18300	19460	\N	\N	\N
726323	2484	1998-02-06	VYDAJ	VYBER	20100	15797	\N	\N	\N
726324	2484	1998-05-07	VYDAJ	VYBER	17600	15823	\N	\N	\N
726325	2484	1998-07-06	VYDAJ	VYBER	20900	19709	\N	\N	\N
726326	2484	1998-09-04	VYDAJ	VYBER	14400	23614	\N	\N	\N
726327	2484	1998-11-03	VYDAJ	VYBER	24300	19388	\N	\N	\N
726400	2485	1997-08-18	PRIJEM	VKLAD	800	800	\N	\N	\N
726409	2485	1997-09-13	PRIJEM	PREVOD Z UCTU	4042	4842	DUCHOD	ST	29537397
726410	2485	1997-10-13	PRIJEM	PREVOD Z UCTU	4042	8884	DUCHOD	ST	29537397
726411	2485	1997-11-13	PRIJEM	PREVOD Z UCTU	4042	12926	DUCHOD	ST	29537397
726412	2485	1997-12-13	PRIJEM	PREVOD Z UCTU	4042	16968	DUCHOD	ST	29537397
726413	2485	1998-01-13	PRIJEM	PREVOD Z UCTU	4042	21010	DUCHOD	ST	29537397
726414	2485	1998-02-13	PRIJEM	PREVOD Z UCTU	4042	16228	DUCHOD	ST	29537397
726415	2485	1998-03-13	PRIJEM	PREVOD Z UCTU	4042	18367	DUCHOD	ST	29537397
726416	2485	1998-04-13	PRIJEM	PREVOD Z UCTU	4042	18515	DUCHOD	ST	29537397
726417	2485	1998-05-13	PRIJEM	PREVOD Z UCTU	4042	20268	DUCHOD	ST	29537397
726418	2485	1998-06-13	PRIJEM	PREVOD Z UCTU	4042	22425	DUCHOD	ST	29537397
726419	2485	1998-07-13	PRIJEM	PREVOD Z UCTU	4042	21150	DUCHOD	ST	29537397
726420	2485	1998-08-13	PRIJEM	PREVOD Z UCTU	4042	19714	DUCHOD	ST	29537397
726421	2485	1998-09-13	PRIJEM	PREVOD Z UCTU	4042	21868	DUCHOD	ST	29537397
726422	2485	1998-10-13	PRIJEM	PREVOD Z UCTU	4042	24031	DUCHOD	ST	29537397
726423	2485	1998-11-13	PRIJEM	PREVOD Z UCTU	4042	26202	DUCHOD	ST	29537397
726424	2485	1998-12-13	PRIJEM	PREVOD Z UCTU	4042	28383	DUCHOD	ST	29537397
726437	2485	1998-01-14	VYDAJ	PREVOD NA UCET	1944	19066	SIPO	UV	69825196
726438	2485	1998-02-14	VYDAJ	PREVOD NA UCET	1944	14284	SIPO	UV	69825196
726439	2485	1998-03-14	VYDAJ	PREVOD NA UCET	1944	16423	SIPO	UV	69825196
726440	2485	1998-04-14	VYDAJ	PREVOD NA UCET	1944	16571	SIPO	UV	69825196
726441	2485	1998-05-14	VYDAJ	PREVOD NA UCET	1944	18324	SIPO	UV	69825196
726442	2485	1998-06-14	VYDAJ	PREVOD NA UCET	1944	20481	SIPO	UV	69825196
726443	2485	1998-07-14	VYDAJ	PREVOD NA UCET	1944	19206	SIPO	UV	69825196
726444	2485	1998-08-14	VYDAJ	PREVOD NA UCET	1944	17770	SIPO	UV	69825196
726445	2485	1998-09-14	VYDAJ	PREVOD NA UCET	1944	19924	SIPO	UV	69825196
726446	2485	1998-10-14	VYDAJ	PREVOD NA UCET	1944	22087	SIPO	UV	69825196
726447	2485	1998-11-14	VYDAJ	PREVOD NA UCET	1944	24258	SIPO	UV	69825196
726448	2485	1998-12-14	VYDAJ	PREVOD NA UCET	1944	26439	SIPO	UV	69825196
726452	2485	1998-01-19	VYDAJ	VYBER	4500	12806	\N	\N	\N
726454	2485	1998-12-21	VYDAJ	VYBER	950	25489	\N	\N	\N
726462	2485	1998-01-19	VYDAJ	VYBER	1760	17306	\N	\N	\N
726463	2485	1998-01-25	VYDAJ	VYBER	640	12166	\N	\N	\N
726474	2485	1998-05-05	VYDAJ	VYBER	400	16226	\N	\N	\N
726475	2485	1998-04-03	VYDAJ	VYBER	2000	14473	\N	\N	\N
726476	2485	1998-07-01	VYDAJ	VYBER	3440	17108	\N	\N	\N
726477	2485	1998-07-29	VYDAJ	VYBER	3600	15606	\N	\N	\N
726491	2485	1998-01-31	VYDAJ	VYBER	15	12186	SLUZBY	\N	\N
726492	2485	1998-02-28	VYDAJ	VYBER	15	14325	SLUZBY	\N	\N
726493	2485	1998-03-31	VYDAJ	VYBER	15	16473	SLUZBY	\N	\N
726494	2485	1998-04-30	VYDAJ	VYBER	15	16626	SLUZBY	\N	\N
726495	2485	1998-05-31	VYDAJ	VYBER	15	18383	SLUZBY	\N	\N
726496	2485	1998-06-30	VYDAJ	VYBER	15	20548	SLUZBY	\N	\N
726497	2485	1998-07-31	VYDAJ	VYBER	15	15672	SLUZBY	\N	\N
726498	2485	1998-08-31	VYDAJ	VYBER	15	17826	SLUZBY	\N	\N
726499	2485	1998-09-30	VYDAJ	VYBER	15	19989	SLUZBY	\N	\N
726500	2485	1998-10-31	VYDAJ	VYBER	15	22160	SLUZBY	\N	\N
726501	2485	1998-11-30	VYDAJ	VYBER	15	24341	SLUZBY	\N	\N
726514	2486	1993-02-27	PRIJEM	VKLAD	200	200	\N	\N	\N
726516	2486	1993-10-30	PRIJEM	VKLAD	42767	99267	\N	\N	\N
726517	2486	1993-04-15	PRIJEM	VKLAD	42899	74032	\N	\N	\N
726518	2486	1993-08-30	PRIJEM	VKLAD	13907	24531	\N	\N	\N
726519	2486	1993-11-27	PRIJEM	VKLAD	43867	78462	\N	\N	\N
726520	2486	1993-04-28	PRIJEM	VKLAD	28968	103000	\N	\N	\N
726521	2486	1993-07-13	PRIJEM	VKLAD	11567	40854	\N	\N	\N
726523	2486	1993-10-15	PRIJEM	VKLAD	38716	61369	\N	\N	\N
726524	2486	1993-06-06	PRIJEM	VKLAD	39956	87036	\N	\N	\N
726526	2486	1993-05-10	PRIJEM	VKLAD	38062	77121	\N	\N	\N
726527	2486	1993-07-24	PRIJEM	VKLAD	44788	65739	\N	\N	\N
726529	2486	1993-06-20	PRIJEM	VKLAD	27254	103190	\N	\N	\N
726530	2486	1993-03-25	PRIJEM	VKLAD	38820	39020	\N	\N	\N
726531	2486	1993-07-25	PRIJEM	VKLAD	49536	115275	\N	\N	\N
726532	2486	1993-05-11	PRIJEM	VKLAD	48133	125254	\N	\N	\N
726533	2486	1993-12-15	PRIJEM	VKLAD	32305	92785	\N	\N	\N
726536	2486	1993-10-24	PRIJEM	VKLAD	5817	93500	\N	\N	\N
726537	2486	1993-12-30	PRIJEM	VKLAD	42438	78381	\N	\N	\N
726538	2486	1993-10-21	PRIJEM	VKLAD	28614	89983	\N	\N	\N
726539	2486	1994-11-14	PRIJEM	VKLAD	44024	70501	\N	\N	\N
726540	2486	1994-08-13	PRIJEM	VKLAD	11806	60601	\N	\N	\N
726541	2486	1994-06-13	PRIJEM	VKLAD	38707	90521	\N	\N	\N
726542	2486	1994-07-29	PRIJEM	VKLAD	5023	40059	\N	\N	\N
726543	2486	1994-12-07	PRIJEM	VKLAD	32260	82029	\N	\N	\N
726544	2486	1994-09-04	PRIJEM	VKLAD	33415	76467	\N	\N	\N
726545	2486	1994-07-01	PRIJEM	VKLAD	30551	120150	\N	\N	\N
726546	2486	1994-08-03	PRIJEM	VKLAD	42931	83182	\N	\N	\N
726547	2486	1994-04-04	PRIJEM	VKLAD	25256	39750	\N	\N	\N
726548	2486	1994-06-28	PRIJEM	VKLAD	31774	89295	\N	\N	\N
726549	2486	1994-12-23	PRIJEM	VKLAD	28309	75391	\N	\N	\N
726550	2486	1994-05-30	PRIJEM	VKLAD	45473	85960	\N	\N	\N
726551	2486	1994-01-13	PRIJEM	VKLAD	27605	98218	\N	\N	\N
726552	2486	1994-10-19	PRIJEM	VKLAD	48215	57036	\N	\N	\N
726553	2486	1994-08-06	PRIJEM	VKLAD	43956	127138	\N	\N	\N
726554	2486	1994-05-12	PRIJEM	VKLAD	30423	61630	\N	\N	\N
726555	2486	1994-02-07	PRIJEM	VKLAD	19290	56026	\N	\N	\N
726556	2486	1995-07-31	PRIJEM	VKLAD	10404	90129	\N	\N	\N
726557	2486	1995-07-24	PRIJEM	VKLAD	47435	92925	\N	\N	\N
726558	2486	1995-05-28	PRIJEM	VKLAD	39489	61389	\N	\N	\N
726559	2486	1995-06-17	PRIJEM	VKLAD	24459	93863	\N	\N	\N
726560	2486	1995-10-31	PRIJEM	VKLAD	15015	65388	\N	\N	\N
726561	2486	1995-06-11	PRIJEM	VKLAD	49955	131304	\N	\N	\N
726562	2486	1995-09-21	PRIJEM	VKLAD	26358	61442	\N	\N	\N
726563	2486	1995-10-27	PRIJEM	VKLAD	33937	76684	\N	\N	\N
726564	2486	1995-07-02	PRIJEM	VKLAD	34266	85804	\N	\N	\N
726565	2486	1995-02-02	PRIJEM	VKLAD	33767	67267	\N	\N	\N
726566	2486	1995-03-11	PRIJEM	VKLAD	20626	99295	\N	\N	\N
726567	2486	1995-01-16	PRIJEM	VKLAD	27046	83686	\N	\N	\N
726568	2486	1995-08-30	PRIJEM	VKLAD	14478	54649	\N	\N	\N
726569	2486	1995-03-15	PRIJEM	VKLAD	10756	110051	\N	\N	\N
726570	2486	1995-03-04	PRIJEM	VKLAD	39279	80469	\N	\N	\N
726571	2486	1995-06-06	PRIJEM	VKLAD	21650	81349	\N	\N	\N
726572	2486	1995-02-06	PRIJEM	VKLAD	26424	93691	\N	\N	\N
726573	2486	1995-10-27	PRIJEM	VKLAD	32889	109573	\N	\N	\N
726574	2486	1995-12-26	PRIJEM	VKLAD	10006	35018	\N	\N	\N
726575	2486	1995-11-12	PRIJEM	VKLAD	41940	62303	\N	\N	\N
726576	2486	1995-10-17	PRIJEM	VKLAD	17833	42747	\N	\N	\N
726577	2486	1996-04-21	PRIJEM	VKLAD	41627	117678	\N	\N	\N
726578	2486	1996-01-08	PRIJEM	VKLAD	23711	92454	\N	\N	\N
726579	2486	1996-03-29	PRIJEM	VKLAD	19629	51989	\N	\N	\N
726580	2486	1996-09-07	PRIJEM	VKLAD	24822	27841	\N	\N	\N
726581	2486	1996-04-06	PRIJEM	VKLAD	21476	73555	\N	\N	\N
726582	2486	1996-04-15	PRIJEM	VKLAD	13080	45911	\N	\N	\N
726583	2486	1996-03-19	PRIJEM	VKLAD	20497	35860	\N	\N	\N
726584	2486	1996-07-09	PRIJEM	VKLAD	46561	54594	\N	\N	\N
726585	2486	1996-06-07	PRIJEM	VKLAD	27503	52912	\N	\N	\N
726586	2486	1996-08-01	PRIJEM	VKLAD	25710	40384	\N	\N	\N
726587	2486	1996-11-03	PRIJEM	VKLAD	29624	50483	\N	\N	\N
726588	2486	1996-11-19	PRIJEM	VKLAD	42794	63209	\N	\N	\N
726589	2486	1996-04-07	PRIJEM	VKLAD	30376	103931	\N	\N	\N
726590	2486	1996-01-03	PRIJEM	VKLAD	22601	57746	\N	\N	\N
726591	2486	1996-01-08	PRIJEM	VKLAD	10997	68743	\N	\N	\N
726592	2486	1996-11-20	PRIJEM	VKLAD	49400	112609	\N	\N	\N
726593	2486	1996-09-24	PRIJEM	VKLAD	38025	56873	\N	\N	\N
726594	2486	1996-04-18	PRIJEM	VKLAD	30140	76051	\N	\N	\N
726595	2486	1996-06-02	PRIJEM	VKLAD	22120	49660	\N	\N	\N
726596	2486	1997-07-07	PRIJEM	VKLAD	28604	94929	\N	\N	\N
726597	2486	1997-07-02	PRIJEM	VKLAD	42013	96125	\N	\N	\N
726598	2486	1997-02-22	PRIJEM	VKLAD	20194	53723	\N	\N	\N
726599	2486	1997-03-06	PRIJEM	VKLAD	48788	126953	\N	\N	\N
726600	2486	1997-03-28	PRIJEM	VKLAD	13333	86264	\N	\N	\N
726601	2486	1997-03-20	PRIJEM	VKLAD	6575	72931	\N	\N	\N
726602	2486	1997-05-12	PRIJEM	VKLAD	34227	84993	\N	\N	\N
726603	2486	1997-05-01	PRIJEM	VKLAD	21848	114666	\N	\N	\N
726604	2486	1997-07-25	PRIJEM	VKLAD	11741	101264	\N	\N	\N
726605	2486	1997-08-22	PRIJEM	VKLAD	45027	137777	\N	\N	\N
726606	2486	1997-07-16	PRIJEM	VKLAD	45294	135323	\N	\N	\N
726607	2486	1997-12-07	PRIJEM	VKLAD	31499	49275	\N	\N	\N
726608	2486	1997-12-25	PRIJEM	VKLAD	8997	80919	\N	\N	\N
726609	2486	1997-03-08	PRIJEM	VKLAD	23884	88385	\N	\N	\N
726610	2486	1997-04-09	PRIJEM	VKLAD	22041	75408	\N	\N	\N
726611	2486	1997-04-22	PRIJEM	VKLAD	20546	93654	\N	\N	\N
726612	2486	1997-04-25	PRIJEM	VKLAD	30346	124000	\N	\N	\N
726613	2486	1997-03-11	PRIJEM	VKLAD	35365	84443	\N	\N	\N
726614	2486	1997-09-22	PRIJEM	VKLAD	29441	78451	\N	\N	\N
726615	2486	1997-12-14	PRIJEM	VKLAD	33747	80322	\N	\N	\N
726616	2486	1997-03-14	PRIJEM	VKLAD	28613	111456	\N	\N	\N
726617	2486	1997-06-20	PRIJEM	VKLAD	14893	53925	\N	\N	\N
726618	2486	1997-02-24	PRIJEM	VKLAD	26294	80017	\N	\N	\N
726619	2486	1997-02-08	PRIJEM	VKLAD	15314	41029	\N	\N	\N
726620	2486	1997-08-10	PRIJEM	VKLAD	41702	103050	\N	\N	\N
726621	2486	1998-05-24	PRIJEM	VKLAD	39815	112736	\N	\N	\N
726622	2486	1998-02-21	PRIJEM	VKLAD	21435	46655	\N	\N	\N
726623	2486	1998-09-01	PRIJEM	VKLAD	12905	37903	\N	\N	\N
726624	2486	1998-01-07	PRIJEM	VKLAD	20702	74347	\N	\N	\N
726625	2486	1998-03-04	PRIJEM	VKLAD	19433	79749	\N	\N	\N
726626	2486	1998-03-03	PRIJEM	VKLAD	17512	90716	\N	\N	\N
726627	2486	1998-03-17	PRIJEM	VKLAD	18247	85089	\N	\N	\N
726628	2486	1998-06-24	PRIJEM	VKLAD	29619	52908	\N	\N	\N
726629	2486	1998-10-23	PRIJEM	VKLAD	17281	39417	\N	\N	\N
726630	2486	1998-05-15	PRIJEM	VKLAD	21562	72921	\N	\N	\N
726631	2486	1998-12-11	PRIJEM	VKLAD	40510	69489	\N	\N	\N
726632	2486	1998-08-23	PRIJEM	VKLAD	12242	36301	\N	\N	\N
726633	2486	1998-12-16	PRIJEM	VKLAD	16153	83242	\N	\N	\N
726634	2486	1998-07-24	PRIJEM	VKLAD	13746	32975	\N	\N	\N
726635	2486	1998-04-16	PRIJEM	VKLAD	36124	87523	\N	\N	\N
726636	2486	1998-02-28	PRIJEM	VKLAD	26428	73083	\N	\N	\N
726637	2486	1998-05-29	PRIJEM	VKLAD	41737	154473	\N	\N	\N
726638	2486	1998-11-02	PRIJEM	VKLAD	45237	66044	\N	\N	\N
726639	2486	1998-01-13	PRIJEM	VKLAD	15658	82205	\N	\N	\N
726644	2486	1993-05-12	VYDAJ	VYBER	2000	73554	\N	\N	0
726645	2486	1993-06-04	VYDAJ	VYBER	2600	47080	\N	\N	0
726646	2486	1993-07-11	VYDAJ	VYBER	2100	29287	\N	\N	0
726647	2486	1993-08-15	VYDAJ	VYBER	2300	424	\N	\N	0
726648	2486	1993-09-22	VYDAJ	VYBER	2100	22467	\N	\N	0
726649	2486	1993-10-23	VYDAJ	VYBER	2300	87683	\N	\N	0
726650	2486	1993-11-10	VYDAJ	VYBER	2500	47195	\N	\N	0
726651	2486	1993-12-14	VYDAJ	VYBER	2900	67680	\N	\N	0
726652	2486	1994-01-12	VYDAJ	PREVOD NA UCET	2043	76613	UVER	OP	68277156
726653	2486	1994-02-12	VYDAJ	PREVOD NA UCET	2043	53983	UVER	OP	68277156
726654	2486	1994-03-12	VYDAJ	PREVOD NA UCET	2043	20436	UVER	OP	68277156
726655	2486	1994-04-12	VYDAJ	PREVOD NA UCET	2043	37707	UVER	OP	68277156
726656	2486	1994-05-12	VYDAJ	PREVOD NA UCET	2043	59587	UVER	OP	68277156
726657	2486	1994-06-12	VYDAJ	PREVOD NA UCET	2043	51814	UVER	OP	68277156
726658	2486	1994-07-12	VYDAJ	PREVOD NA UCET	2043	46536	UVER	OP	68277156
726659	2486	1994-08-12	VYDAJ	PREVOD NA UCET	2043	48795	UVER	OP	68277156
726660	2486	1994-09-12	VYDAJ	PREVOD NA UCET	2043	74424	UVER	OP	68277156
726661	2486	1994-10-12	VYDAJ	PREVOD NA UCET	2043	8821	UVER	OP	68277156
726662	2486	1994-11-12	VYDAJ	PREVOD NA UCET	2043	26477	UVER	OP	68277156
726663	2486	1994-12-12	VYDAJ	PREVOD NA UCET	2043	79986	UVER	OP	68277156
726664	2486	1995-01-13	VYDAJ	VYBER	1300	62640	\N	\N	0
726665	2486	1995-02-11	VYDAJ	VYBER	1300	92391	\N	\N	0
726666	2486	1995-03-06	VYDAJ	VYBER	1800	78669	\N	\N	0
726667	2486	1995-04-21	VYDAJ	VYBER	2300	26975	\N	\N	0
726668	2486	1995-05-04	VYDAJ	VYBER	2000	25100	\N	\N	0
726669	2486	1995-06-01	VYDAJ	VYBER	1800	59699	\N	\N	0
726670	2486	1995-07-02	VYDAJ	VYBER	2700	83104	\N	\N	0
726671	2486	1995-08-10	VYDAJ	VYBER	1800	76608	\N	\N	0
726672	2486	1995-09-01	VYDAJ	VYBER	2600	52284	\N	\N	0
726673	2486	1995-10-15	VYDAJ	VYBER	1800	27314	\N	\N	0
726674	2486	1995-11-12	VYDAJ	VYBER	1500	60803	\N	\N	0
726675	2486	1995-12-16	VYDAJ	VYBER	2100	29812	\N	\N	0
726676	2486	1996-01-14	VYDAJ	VYBER	2100	50154	\N	\N	0
726678	2486	1996-03-22	VYDAJ	VYBER	1400	34460	\N	\N	0
726679	2486	1996-03-27	VYDAJ	VYBER	2100	32360	\N	\N	0
726680	2486	1996-05-12	VYDAJ	VYBER	1300	32507	\N	\N	0
726681	2486	1996-06-21	VYDAJ	VYBER	1500	36512	\N	\N	0
726682	2486	1996-07-11	VYDAJ	VYBER	2400	37394	\N	\N	0
726683	2486	1996-08-06	VYDAJ	VYBER	1900	38484	\N	\N	0
726684	2486	1996-08-31	VYDAJ	VYBER	2500	3033	\N	\N	0
726685	2486	1996-10-19	VYDAJ	VYBER	2400	37157	\N	\N	0
726686	2486	1996-11-20	VYDAJ	VYBER	1300	111309	\N	\N	0
726687	2486	1996-12-06	VYDAJ	VYBER	1300	110248	\N	\N	0
726688	2486	1997-01-04	VYDAJ	VYBER	1900	51949	\N	\N	0
726689	2486	1997-02-25	VYDAJ	VYBER	2000	78017	\N	\N	0
726690	2486	1997-03-12	VYDAJ	VYBER	1600	82843	\N	\N	0
726691	2486	1997-04-11	VYDAJ	VYBER	2300	73108	\N	\N	0
726692	2486	1997-05-23	VYDAJ	VYBER	2700	74493	\N	\N	0
726693	2486	1997-06-10	VYDAJ	VYBER	1500	39032	\N	\N	0
726694	2486	1997-07-09	VYDAJ	VYBER	2200	90029	\N	\N	0
726695	2486	1997-08-18	VYDAJ	VYBER	2200	92750	\N	\N	0
726696	2486	1997-09-26	VYDAJ	VYBER	2300	76151	\N	\N	0
726697	2486	1997-10-19	VYDAJ	VYBER	2200	39411	\N	\N	0
726698	2486	1997-11-09	VYDAJ	VYBER	1600	21502	\N	\N	0
726699	2486	1997-12-03	VYDAJ	VYBER	2700	18876	\N	\N	0
726700	2486	1998-01-04	VYDAJ	VYBER	2300	53645	\N	\N	0
726701	2486	1998-02-08	VYDAJ	VYBER	1700	25220	\N	\N	0
726702	2486	1998-03-17	VYDAJ	VYBER	2000	83089	\N	\N	0
726703	2486	1998-04-28	VYDAJ	VYBER	1700	85823	\N	\N	0
726704	2486	1998-05-06	VYDAJ	VYBER	2000	51359	\N	\N	0
726705	2486	1998-06-03	VYDAJ	VYBER	1600	46089	\N	\N	0
726706	2486	1998-07-02	VYDAJ	VYBER	2700	35729	\N	\N	0
726707	2486	1998-08-13	VYDAJ	VYBER	1700	24059	\N	\N	0
726708	2486	1998-09-01	VYDAJ	VYBER	1800	36103	\N	\N	0
726709	2486	1998-10-09	VYDAJ	VYBER	1800	22136	\N	\N	0
726710	2486	1998-11-03	VYDAJ	VYBER	1700	64344	\N	\N	0
726711	2486	1998-12-14	VYDAJ	VYBER	2400	67089	\N	\N	0
726714	2486	1993-11-08	VYBER	VYBER	6836	49695	\N	\N	\N
726715	2486	1993-12-19	VYBER	VYBER	22893	69892	\N	\N	\N
726717	2486	1993-07-13	VYBER	VYBER	19903	20951	\N	\N	\N
726718	2486	1993-12-23	VYBER	VYBER	16349	53543	\N	\N	\N
726720	2486	1993-11-04	VYBER	VYBER	20439	67631	\N	\N	\N
726721	2486	1993-10-31	VYBER	VYBER	11354	88085	\N	\N	\N
726722	2486	1993-08-04	VYBER	VYBER	16968	2724	\N	\N	\N
726723	2486	1993-07-29	VYBER	VYBER	14401	19574	\N	\N	\N
726724	2486	1993-07-07	VYBER	VYBER	7969	31387	\N	\N	\N
726725	2486	1994-01-16	VYBER	VYBER	5364	85954	\N	\N	\N
726726	2486	1994-06-08	VYBER	VYBER	23588	53857	\N	\N	\N
726727	2486	1994-10-01	VYBER	VYBER	14996	16900	\N	\N	\N
726728	2486	1994-12-17	VYBER	VYBER	5704	72782	\N	\N	\N
726729	2486	1994-09-30	VYBER	VYBER	16934	31910	\N	\N	\N
726730	2486	1994-03-22	VYBER	VYBER	17226	3210	\N	\N	\N
726731	2486	1994-07-09	VYBER	VYBER	21371	48579	\N	\N	\N
726732	2486	1994-03-08	VYBER	VYBER	14769	22479	\N	\N	\N
726733	2486	1994-06-07	VYBER	VYBER	8696	77445	\N	\N	\N
726734	2486	1994-10-21	VYBER	VYBER	8692	30244	\N	\N	\N
726735	2486	1994-10-04	VYBER	VYBER	6036	10864	\N	\N	\N
726736	2486	1995-04-14	VYBER	VYBER	6236	35275	\N	\N	\N
726737	2486	1995-09-29	VYBER	VYBER	23822	37620	\N	\N	\N
726738	2486	1995-11-05	VYBER	VYBER	23347	20363	\N	\N	\N
726739	2486	1995-11-16	VYBER	VYBER	4837	36866	\N	\N	\N
726740	2486	1995-08-11	VYBER	VYBER	20637	55971	\N	\N	\N
726741	2486	1995-11-01	VYBER	VYBER	21834	43710	\N	\N	\N
726742	2486	1995-02-28	VYBER	VYBER	17065	41204	\N	\N	\N
726743	2486	1995-01-21	VYBER	VYBER	6813	48573	\N	\N	\N
726744	2486	1995-07-06	VYBER	VYBER	13014	70090	\N	\N	\N
726745	2486	1996-11-17	VYBER	VYBER	19668	20415	\N	\N	\N
726746	2486	1996-01-27	VYBER	VYBER	23309	12445	\N	\N	\N
726747	2486	1996-09-07	VYBER	VYBER	12893	14948	\N	\N	\N
726749	2486	1996-10-30	VYBER	VYBER	16480	20677	\N	\N	\N
726751	2486	1996-07-04	VYBER	VYBER	16018	8033	\N	\N	\N
726752	2486	1996-08-29	VYBER	VYBER	9992	5449	\N	\N	\N
726753	2486	1996-07-21	VYBER	VYBER	22811	14583	\N	\N	\N
726754	2486	1996-08-16	VYBER	VYBER	17143	15441	\N	\N	\N
726756	2486	1996-05-10	VYBER	VYBER	15800	33807	\N	\N	\N
726757	2486	1996-06-06	VYBER	VYBER	24251	25409	\N	\N	\N
726758	2486	1996-03-09	VYBER	VYBER	9643	6763	\N	\N	\N
726759	2486	1997-01-23	VYBER	VYBER	6164	27385	\N	\N	\N
726760	2486	1997-07-31	VYBER	VYBER	9111	92563	\N	\N	\N
726762	2486	1997-09-06	VYBER	VYBER	8468	54410	\N	\N	\N
726763	2486	1997-10-22	VYBER	VYBER	15179	24232	\N	\N	\N
726764	2486	1997-05-27	VYBER	VYBER	20464	54029	\N	\N	\N
726765	2486	1997-03-08	VYBER	VYBER	20507	67878	\N	\N	\N
726766	2486	1997-09-30	VYBER	VYBER	18698	57726	\N	\N	\N
726767	2486	1997-03-06	VYBER	VYBER	17152	109801	\N	\N	\N
726768	2486	1998-03-14	VYBER	VYBER	12907	66842	\N	\N	\N
726770	2486	1998-11-25	VYBER	VYBER	13975	47969	\N	\N	\N
726771	2486	1998-01-20	VYBER	VYBER	8246	73959	\N	\N	\N
726772	2486	1993-06-22	VYDAJ	VYBER	53100	50090	\N	\N	\N
726774	2486	1995-06-14	VYDAJ	VYBER	37200	69404	\N	\N	\N
726777	2486	1998-06-03	VYDAJ	VYBER	22800	23289	\N	\N	\N
726778	2486	1993-12-13	VYDAJ	VYBER	8100	70580	\N	\N	\N
726779	2486	1994-12-16	VYDAJ	VYBER	1500	78486	\N	\N	\N
726780	2486	1995-12-24	VYDAJ	VYBER	4800	25012	\N	\N	\N
726781	2486	1996-12-28	VYDAJ	VYBER	8400	59248	\N	\N	\N
726782	2486	1997-12-14	VYDAJ	VYBER	8400	71922	\N	\N	\N
726783	2486	1998-12-20	VYDAJ	VYBER	7800	75442	\N	\N	\N
726790	2486	1994-01-29	VYDAJ	VYBER	6600	43354	\N	\N	\N
726791	2486	1994-01-30	VYDAJ	VYBER	6900	36454	\N	\N	\N
726792	2486	1994-01-18	VYDAJ	VYBER	7200	78754	\N	\N	\N
726793	2486	1994-01-12	VYDAJ	VYBER	6000	70613	\N	\N	\N
726794	2486	1994-01-27	VYDAJ	VYBER	1800	49954	\N	\N	\N
726795	2486	1994-01-14	VYDAJ	VYBER	6900	91318	\N	\N	\N
726796	2486	1995-01-03	VYDAJ	VYBER	8700	66940	\N	\N	\N
726797	2486	1995-01-23	VYDAJ	VYBER	5700	42873	\N	\N	\N
726798	2486	1995-01-15	VYDAJ	VYBER	6000	56640	\N	\N	\N
726799	2486	1995-01-27	VYDAJ	VYBER	6300	33273	\N	\N	\N
726800	2486	1995-01-23	VYDAJ	VYBER	3300	39573	\N	\N	\N
726801	2486	1995-01-09	VYDAJ	VYBER	3000	63940	\N	\N	\N
726802	2486	1996-01-25	VYDAJ	VYBER	2700	35754	\N	\N	\N
726803	2486	1996-01-27	VYDAJ	VYBER	8400	4045	\N	\N	\N
726804	2486	1996-01-18	VYDAJ	VYBER	5700	38454	\N	\N	\N
726805	2486	1996-01-13	VYDAJ	VYBER	3000	81954	\N	\N	\N
726806	2486	1996-01-10	VYDAJ	VYBER	7500	84954	\N	\N	\N
726807	2486	1996-01-15	VYDAJ	VYBER	6000	44154	\N	\N	\N
726808	2486	1997-01-04	VYDAJ	VYBER	2400	53849	\N	\N	\N
726809	2486	1997-01-13	VYDAJ	VYBER	3900	33549	\N	\N	\N
726810	2486	1997-01-12	VYDAJ	VYBER	3000	37449	\N	\N	\N
726811	2486	1997-01-24	VYDAJ	VYBER	3000	24385	\N	\N	\N
726812	2486	1997-01-03	VYDAJ	VYBER	3300	56249	\N	\N	\N
726813	2486	1997-01-26	VYDAJ	VYBER	8100	16285	\N	\N	\N
726814	2486	1998-01-22	VYDAJ	VYBER	3600	70359	\N	\N	\N
726815	2486	1998-01-12	VYDAJ	VYBER	1800	66547	\N	\N	\N
726816	2486	1998-01-26	VYDAJ	VYBER	6000	59259	\N	\N	\N
726817	2486	1998-01-29	VYDAJ	VYBER	3300	30159	\N	\N	\N
726818	2486	1998-01-28	VYDAJ	VYBER	6600	52659	\N	\N	\N
726819	2486	1998-01-28	VYDAJ	VYBER	6900	45759	\N	\N	\N
726821	2486	1993-06-15	VYDAJ	VYBER	11100	75936	\N	\N	\N
726822	2486	1993-07-25	VYDAJ	VYBER	8400	106875	\N	\N	\N
726823	2486	1993-12-14	VYDAJ	VYBER	7200	60480	\N	\N	\N
726824	2486	1993-11-04	VYDAJ	VYBER	11100	56531	\N	\N	\N
726826	2486	1994-10-21	VYDAJ	VYBER	1800	28444	\N	\N	\N
726827	2486	1995-06-20	VYDAJ	VYBER	9900	51263	\N	\N	\N
726828	2486	1995-07-29	VYDAJ	VYBER	13200	79725	\N	\N	\N
726829	2486	1995-07-31	VYDAJ	VYBER	12000	78423	\N	\N	\N
726830	2486	1995-03-30	VYDAJ	VYBER	14700	41251	\N	\N	\N
726831	2486	1995-04-14	VYDAJ	VYBER	6300	28975	\N	\N	\N
726832	2486	1995-09-11	VYDAJ	VYBER	6900	45384	\N	\N	\N
726833	2486	1995-10-12	VYDAJ	VYBER	8700	29114	\N	\N	\N
726834	2486	1996-05-04	VYDAJ	VYBER	4200	49607	\N	\N	\N
726835	2486	1996-04-26	VYDAJ	VYBER	11400	53578	\N	\N	\N
726837	2486	1996-07-01	VYDAJ	VYBER	12600	24051	\N	\N	\N
726839	2486	1996-04-24	VYDAJ	VYBER	13500	64978	\N	\N	\N
726840	2486	1997-09-09	VYDAJ	VYBER	5400	49010	\N	\N	\N
726841	2486	1997-04-05	VYDAJ	VYBER	13500	73067	\N	\N	\N
726842	2486	1997-08-16	VYDAJ	VYBER	8100	94950	\N	\N	\N
726843	2486	1997-05-15	VYDAJ	VYBER	7800	77193	\N	\N	\N
726844	2486	1997-02-11	VYDAJ	VYBER	7500	33529	\N	\N	\N
726845	2486	1997-12-13	VYDAJ	VYBER	2700	46575	\N	\N	\N
726846	2486	1997-03-16	VYDAJ	VYBER	9300	66356	\N	\N	\N
726847	2486	1997-08-28	VYDAJ	VYBER	13200	102477	\N	\N	\N
726848	2486	1997-07-08	VYDAJ	VYBER	2700	92229	\N	\N	\N
726849	2486	1998-01-29	VYDAJ	VYBER	12300	33459	\N	\N	\N
726850	2486	1998-07-04	VYDAJ	VYBER	12300	23429	\N	\N	\N
726851	2486	1998-11-13	VYDAJ	VYBER	2400	61944	\N	\N	\N
726852	2486	1998-01-11	VYDAJ	VYBER	6000	68347	\N	\N	\N
726853	2486	1998-01-23	VYDAJ	VYBER	5100	65259	\N	\N	\N
726854	2486	1998-07-07	VYDAJ	VYBER	4200	19229	\N	\N	\N
726860	2486	1993-05-31	VYDAJ	VYBER	15	49680	SLUZBY	\N	\N
726861	2486	1993-06-30	VYDAJ	VYBER	15	39356	SLUZBY	\N	\N
726862	2486	1993-07-31	VYDAJ	VYBER	15	19692	SLUZBY	\N	\N
726863	2486	1993-08-31	VYDAJ	VYBER	15	24567	SLUZBY	\N	\N
726864	2486	1993-09-30	VYDAJ	VYBER	15	22653	SLUZBY	\N	\N
726865	2486	1993-10-31	VYDAJ	VYBER	15	88070	SLUZBY	\N	\N
726866	2486	1993-11-30	VYDAJ	VYBER	15	78680	SLUZBY	\N	\N
726867	2486	1993-12-31	VYDAJ	VYBER	15	78656	SLUZBY	\N	\N
726868	2486	1994-01-31	VYDAJ	VYBER	15	36736	SLUZBY	\N	\N
726869	2486	1994-02-28	VYDAJ	VYBER	15	37248	SLUZBY	\N	\N
726870	2486	1994-03-31	VYDAJ	VYBER	15	14494	SLUZBY	\N	\N
726871	2486	1994-04-30	VYDAJ	VYBER	15	31207	SLUZBY	\N	\N
726872	2486	1994-05-31	VYDAJ	VYBER	15	86141	SLUZBY	\N	\N
726873	2486	1994-06-30	VYDAJ	VYBER	15	89599	SLUZBY	\N	\N
726874	2486	1994-07-31	VYDAJ	VYBER	15	40251	SLUZBY	\N	\N
726875	2486	1994-08-31	VYDAJ	VYBER	15	43052	SLUZBY	\N	\N
726876	2486	1994-09-30	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
726877	2486	1994-10-31	VYDAJ	VYBER	15	28520	SLUZBY	\N	\N
726878	2486	1994-11-30	VYDAJ	VYBER	15	49769	SLUZBY	\N	\N
726879	2486	1994-12-31	VYDAJ	VYBER	15	75640	SLUZBY	\N	\N
726880	2486	1995-01-31	VYDAJ	VYBER	15	33500	SLUZBY	\N	\N
726881	2486	1995-02-28	VYDAJ	VYBER	15	41190	SLUZBY	\N	\N
726882	2486	1995-03-31	VYDAJ	VYBER	15	41511	SLUZBY	\N	\N
726883	2486	1995-04-30	VYDAJ	VYBER	15	27100	SLUZBY	\N	\N
726884	2486	1995-05-31	VYDAJ	VYBER	15	61499	SLUZBY	\N	\N
726885	2486	1995-06-30	VYDAJ	VYBER	15	51538	SLUZBY	\N	\N
726886	2486	1995-07-31	VYDAJ	VYBER	15	78408	SLUZBY	\N	\N
726887	2486	1995-08-31	VYDAJ	VYBER	15	54884	SLUZBY	\N	\N
726888	2486	1995-09-30	VYDAJ	VYBER	15	37814	SLUZBY	\N	\N
726889	2486	1995-10-31	VYDAJ	VYBER	15	65544	SLUZBY	\N	\N
726890	2486	1995-11-30	VYDAJ	VYBER	15	37012	SLUZBY	\N	\N
726891	2486	1995-12-31	VYDAJ	VYBER	15	35145	SLUZBY	\N	\N
726892	2486	1996-01-31	VYDAJ	VYBER	15	4202	SLUZBY	\N	\N
726893	2486	1996-02-29	VYDAJ	VYBER	15	16406	SLUZBY	\N	\N
726894	2486	1996-03-31	VYDAJ	VYBER	15	52079	SLUZBY	\N	\N
726895	2486	1996-04-30	VYDAJ	VYBER	15	53807	SLUZBY	\N	\N
726896	2486	1996-05-31	VYDAJ	VYBER	15	27540	SLUZBY	\N	\N
726897	2486	1996-06-30	VYDAJ	VYBER	15	36651	SLUZBY	\N	\N
726898	2486	1996-07-31	VYDAJ	VYBER	15	14674	SLUZBY	\N	\N
726899	2486	1996-08-31	VYDAJ	VYBER	15	3019	SLUZBY	\N	\N
726900	2486	1996-09-30	VYDAJ	VYBER	15	56957	SLUZBY	\N	\N
726901	2486	1996-10-31	VYDAJ	VYBER	15	20859	SLUZBY	\N	\N
726902	2486	1996-11-30	VYDAJ	VYBER	15	111548	SLUZBY	\N	\N
726903	2486	1996-12-31	VYDAJ	VYBER	15	59549	SLUZBY	\N	\N
726904	2486	1997-01-31	VYDAJ	VYBER	15	16415	SLUZBY	\N	\N
726905	2486	1997-02-28	VYDAJ	VYBER	15	78165	SLUZBY	\N	\N
726906	2486	1997-03-31	VYDAJ	VYBER	15	86567	SLUZBY	\N	\N
726907	2486	1997-04-30	VYDAJ	VYBER	15	92818	SLUZBY	\N	\N
726908	2486	1997-05-31	VYDAJ	VYBER	15	54332	SLUZBY	\N	\N
726909	2486	1997-06-30	VYDAJ	VYBER	15	54112	SLUZBY	\N	\N
726910	2486	1997-07-31	VYDAJ	VYBER	15	92548	SLUZBY	\N	\N
726911	2486	1997-08-31	VYDAJ	VYBER	15	102878	SLUZBY	\N	\N
726912	2486	1997-09-30	VYDAJ	VYBER	15	57711	SLUZBY	\N	\N
726913	2486	1997-10-31	VYDAJ	VYBER	15	24402	SLUZBY	\N	\N
726914	2486	1997-11-30	VYDAJ	VYBER	15	21576	SLUZBY	\N	\N
726915	2486	1997-12-31	VYDAJ	VYBER	15	81145	SLUZBY	\N	\N
726916	2486	1998-01-31	VYDAJ	VYBER	15	30420	SLUZBY	\N	\N
726917	2486	1998-02-28	VYDAJ	VYBER	15	73204	SLUZBY	\N	\N
726918	2486	1998-03-31	VYDAJ	VYBER	15	83399	SLUZBY	\N	\N
726919	2486	1998-04-30	VYDAJ	VYBER	15	86159	SLUZBY	\N	\N
726920	2486	1998-05-31	VYDAJ	VYBER	15	119589	SLUZBY	\N	\N
726921	2486	1998-06-30	VYDAJ	VYBER	15	53029	SLUZBY	\N	\N
726922	2486	1998-07-31	VYDAJ	VYBER	15	33059	SLUZBY	\N	\N
726923	2486	1998-08-31	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
726924	2486	1998-09-30	VYDAJ	VYBER	15	23936	SLUZBY	\N	\N
726925	2486	1998-10-31	VYDAJ	VYBER	15	20807	SLUZBY	\N	\N
726926	2486	1998-11-30	VYDAJ	VYBER	15	28979	SLUZBY	\N	\N
726927	2486	1993-03-29	VYDAJ	VYBER	7900	31120	\N	\N	\N
726928	2486	1993-04-28	VYDAJ	VYBER	54100	48900	\N	\N	\N
726929	2486	1993-04-28	VYDAJ	VYBER	10000	38900	\N	\N	\N
726930	2486	1993-05-11	VYDAJ	VYBER	49700	75554	\N	\N	\N
726931	2486	1993-05-28	VYDAJ	VYBER	24200	49354	\N	\N	\N
726932	2486	1993-06-27	VYDAJ	VYBER	11000	39090	\N	\N	\N
726933	2486	1993-07-25	VYDAJ	VYBER	59200	47675	\N	\N	\N
726934	2486	1993-07-27	VYDAJ	VYBER	13700	33975	\N	\N	\N
726935	2486	1993-08-26	PRIJEM	VKLAD	10200	10624	\N	\N	\N
726936	2486	1993-09-25	PRIJEM	VKLAD	100	22567	\N	\N	\N
726937	2486	1993-10-25	VYDAJ	VYBER	37000	56500	\N	\N	\N
726938	2486	1993-11-24	VYDAJ	VYBER	12600	34595	\N	\N	\N
726939	2486	1993-12-24	VYDAJ	VYBER	17600	35943	\N	\N	\N
726940	2486	1994-01-23	VYDAJ	VYBER	27000	51754	\N	\N	\N
726941	2486	1994-02-22	VYDAJ	VYBER	16900	37083	\N	\N	\N
726942	2486	1994-03-24	PRIJEM	VKLAD	11200	14410	\N	\N	\N
726943	2486	1994-04-23	VYDAJ	VYBER	6600	31107	\N	\N	\N
726944	2486	1994-05-23	VYDAJ	VYBER	19100	40487	\N	\N	\N
726945	2486	1994-06-22	VYDAJ	VYBER	33000	57521	\N	\N	\N
726946	2486	1994-07-01	VYDAJ	VYBER	50200	69950	\N	\N	\N
726947	2486	1994-07-22	VYDAJ	VYBER	11500	35036	\N	\N	\N
726948	2486	1994-08-06	VYDAJ	VYBER	15300	111838	\N	\N	\N
726949	2486	1994-08-12	VYDAJ	VYBER	61000	50838	\N	\N	\N
726950	2486	1994-08-21	VYDAJ	VYBER	17800	42801	\N	\N	\N
726951	2486	1994-09-20	VYDAJ	VYBER	25800	48624	\N	\N	\N
726952	2486	1994-10-20	VYDAJ	VYBER	18100	38936	\N	\N	\N
726953	2486	1994-11-19	VYDAJ	VYBER	20900	49601	\N	\N	\N
726954	2486	1994-12-19	VYDAJ	VYBER	25700	47082	\N	\N	\N
726955	2486	1995-01-18	VYDAJ	VYBER	28300	55386	\N	\N	\N
726956	2486	1995-02-17	VYDAJ	VYBER	34400	57991	\N	\N	\N
726957	2486	1995-03-15	VYDAJ	VYBER	23700	86351	\N	\N	\N
726958	2486	1995-03-19	VYDAJ	VYBER	30400	55951	\N	\N	\N
726959	2486	1995-04-18	PRIJEM	VKLAD	300	29275	\N	\N	\N
726960	2486	1995-05-18	VYDAJ	VYBER	3200	21900	\N	\N	\N
726961	2486	1995-06-11	VYDAJ	VYBER	24700	106604	\N	\N	\N
726962	2486	1995-06-17	VYDAJ	VYBER	32700	61163	\N	\N	\N
726963	2486	1995-07-17	VYDAJ	VYBER	24600	45490	\N	\N	\N
726964	2486	1995-08-16	VYDAJ	VYBER	15800	40171	\N	\N	\N
726965	2486	1995-09-15	VYDAJ	VYBER	10300	35084	\N	\N	\N
726966	2486	1995-10-15	VYDAJ	VYBER	2400	24914	\N	\N	\N
726967	2486	1995-10-27	VYDAJ	VYBER	59200	50373	\N	\N	\N
726968	2486	1995-11-14	VYDAJ	VYBER	19100	41703	\N	\N	\N
726969	2486	1995-12-14	VYDAJ	VYBER	5100	31912	\N	\N	\N
726970	2486	1996-01-13	VYDAJ	VYBER	29700	52254	\N	\N	\N
726971	2486	1996-02-12	PRIJEM	VKLAD	12200	16402	\N	\N	\N
726972	2486	1996-03-13	PRIJEM	VKLAD	8600	15363	\N	\N	\N
726973	2486	1996-04-07	VYDAJ	VYBER	56700	47231	\N	\N	\N
726974	2486	1996-04-12	VYDAJ	VYBER	14400	32831	\N	\N	\N
726975	2486	1996-04-21	VYDAJ	VYBER	39200	78478	\N	\N	\N
726976	2486	1996-05-12	VYDAJ	VYBER	5100	27407	\N	\N	\N
726977	2486	1996-06-11	VYDAJ	VYBER	14900	38012	\N	\N	\N
726978	2486	1996-07-11	VYDAJ	VYBER	14800	39794	\N	\N	\N
726979	2486	1996-08-10	VYDAJ	VYBER	5900	32584	\N	\N	\N
726980	2486	1996-09-09	PRIJEM	VKLAD	3900	18848	\N	\N	\N
726981	2486	1996-10-09	VYDAJ	VYBER	17400	39557	\N	\N	\N
726982	2486	1996-11-08	VYDAJ	VYBER	10400	40083	\N	\N	\N
726983	2486	1996-12-08	VYDAJ	VYBER	42600	67648	\N	\N	\N
726984	2486	1997-01-07	VYDAJ	VYBER	11500	40449	\N	\N	\N
726985	2486	1997-02-06	PRIJEM	VKLAD	9300	25715	\N	\N	\N
726986	2486	1997-03-06	VYDAJ	VYBER	45300	64501	\N	\N	\N
726987	2486	1997-03-08	VYDAJ	VYBER	18800	49078	\N	\N	\N
726988	2486	1997-03-14	VYDAJ	VYBER	35800	75656	\N	\N	\N
726989	2486	1997-04-07	VYDAJ	VYBER	19700	53367	\N	\N	\N
726990	2486	1997-04-25	VYDAJ	VYBER	31500	92500	\N	\N	\N
726991	2486	1997-05-01	VYDAJ	VYBER	42200	72466	\N	\N	\N
726992	2486	1997-05-07	VYDAJ	VYBER	21700	50766	\N	\N	\N
726993	2486	1997-06-06	VYDAJ	VYBER	13800	40532	\N	\N	\N
726994	2486	1997-07-06	VYDAJ	VYBER	29800	66325	\N	\N	\N
726995	2486	1997-07-16	VYDAJ	VYBER	45800	89523	\N	\N	\N
726996	2486	1997-08-05	VYDAJ	VYBER	31200	61348	\N	\N	\N
726997	2486	1997-08-22	VYDAJ	VYBER	22100	115677	\N	\N	\N
726998	2486	1997-09-04	VYDAJ	VYBER	40000	62878	\N	\N	\N
726999	2486	1997-10-04	VYDAJ	VYBER	16100	41611	\N	\N	\N
727000	2486	1997-11-03	VYDAJ	VYBER	1300	23102	\N	\N	\N
727001	2486	1997-12-03	VYDAJ	VYBER	1100	17776	\N	\N	\N
727002	2486	1998-01-02	VYDAJ	VYBER	25200	55945	\N	\N	\N
727003	2486	1998-02-01	VYDAJ	VYBER	3500	26920	\N	\N	\N
727004	2486	1998-03-03	VYDAJ	VYBER	30400	60316	\N	\N	\N
727005	2486	1998-04-02	VYDAJ	VYBER	32000	51399	\N	\N	\N
727006	2486	1998-05-02	VYDAJ	VYBER	32800	53359	\N	\N	\N
727007	2486	1998-05-29	VYDAJ	VYBER	35200	119273	\N	\N	\N
727008	2486	1998-05-31	VYDAJ	VYBER	42300	77289	\N	\N	\N
727009	2486	1998-06-01	VYDAJ	VYBER	29600	47689	\N	\N	\N
727010	2486	1998-07-01	VYDAJ	VYBER	14600	38429	\N	\N	\N
727011	2486	1998-07-31	VYDAJ	VYBER	7300	25759	\N	\N	\N
727012	2486	1998-08-30	VYDAJ	VYBER	11400	24901	\N	\N	\N
727013	2486	1998-09-29	VYDAJ	VYBER	12300	23803	\N	\N	\N
727014	2486	1998-10-29	VYDAJ	VYBER	18700	20717	\N	\N	\N
727015	2486	1998-11-28	VYDAJ	VYBER	19200	28769	\N	\N	\N
727092	2487	1995-10-22	PRIJEM	VKLAD	900	900	\N	\N	\N
727103	2487	1995-11-05	PRIJEM	VKLAD	4741	5641	\N	\N	\N
727104	2487	1995-12-05	PRIJEM	VKLAD	7112	21874	\N	\N	\N
727105	2487	1996-01-05	PRIJEM	VKLAD	4741	25084	\N	\N	\N
727106	2487	1996-02-05	PRIJEM	VKLAD	4741	28515	\N	\N	\N
727107	2487	1996-03-05	PRIJEM	VKLAD	4741	30758	\N	\N	\N
727108	2487	1996-04-05	PRIJEM	VKLAD	4741	25030	\N	\N	\N
727109	2487	1996-05-05	PRIJEM	VKLAD	4741	21788	\N	\N	\N
727110	2487	1996-06-05	PRIJEM	VKLAD	7112	27810	\N	\N	\N
727111	2487	1996-07-05	PRIJEM	VKLAD	4741	21849	\N	\N	\N
727112	2487	1996-08-05	PRIJEM	VKLAD	4741	25396	\N	\N	\N
727113	2487	1996-09-05	PRIJEM	VKLAD	4741	25952	\N	\N	\N
727114	2487	1996-10-05	PRIJEM	VKLAD	4741	26010	\N	\N	\N
727115	2487	1996-11-05	PRIJEM	VKLAD	4741	28075	\N	\N	\N
727116	2487	1996-12-05	PRIJEM	VKLAD	7112	32316	\N	\N	\N
727117	2487	1997-01-05	PRIJEM	VKLAD	4741	31097	\N	\N	\N
727118	2487	1997-02-05	PRIJEM	VKLAD	4741	17549	\N	\N	\N
727119	2487	1997-03-05	PRIJEM	VKLAD	4741	23183	\N	\N	\N
727120	2487	1997-04-05	PRIJEM	VKLAD	4741	25333	\N	\N	\N
727121	2487	1997-05-05	PRIJEM	VKLAD	4741	21885	\N	\N	\N
727122	2487	1997-06-05	PRIJEM	VKLAD	7112	27707	\N	\N	\N
727123	2487	1997-07-05	PRIJEM	VKLAD	4741	29273	\N	\N	\N
727124	2487	1997-08-05	PRIJEM	VKLAD	4741	31448	\N	\N	\N
727125	2487	1997-09-05	PRIJEM	VKLAD	4741	29623	\N	\N	\N
727126	2487	1997-10-05	PRIJEM	VKLAD	4741	30302	\N	\N	\N
727127	2487	1997-11-05	PRIJEM	VKLAD	4741	33988	\N	\N	\N
727128	2487	1997-12-05	PRIJEM	VKLAD	7112	38855	\N	\N	\N
727129	2487	1998-01-05	PRIJEM	VKLAD	4741	36255	\N	\N	\N
727130	2487	1998-02-05	PRIJEM	VKLAD	4741	21030	\N	\N	\N
727131	2487	1998-03-05	PRIJEM	VKLAD	4741	27183	\N	\N	\N
727132	2487	1998-04-05	PRIJEM	VKLAD	4741	26542	\N	\N	\N
727133	2487	1998-05-05	PRIJEM	VKLAD	4741	27903	\N	\N	\N
727134	2487	1998-06-05	PRIJEM	VKLAD	7112	26728	\N	\N	\N
727135	2487	1998-07-05	PRIJEM	VKLAD	4741	21677	\N	\N	\N
727136	2487	1998-08-05	PRIJEM	VKLAD	4741	23520	\N	\N	\N
727137	2487	1998-09-05	PRIJEM	VKLAD	4741	24972	\N	\N	\N
727138	2487	1998-10-05	PRIJEM	VKLAD	4741	22823	\N	\N	\N
727139	2487	1998-11-05	PRIJEM	VKLAD	4741	36283	\N	\N	\N
727140	2487	1998-12-05	PRIJEM	VKLAD	7112	39551	\N	\N	\N
727155	2487	1996-03-07	VYDAJ	PREVOD NA UCET	1828	28668	SIPO	GH	18209791
727156	2487	1996-04-07	VYDAJ	PREVOD NA UCET	1828	22940	SIPO	GH	18209791
727157	2487	1996-05-07	VYDAJ	PREVOD NA UCET	1828	19698	SIPO	GH	18209791
727158	2487	1996-06-07	VYDAJ	PREVOD NA UCET	1828	25982	SIPO	GH	18209791
727159	2487	1996-07-07	VYDAJ	PREVOD NA UCET	1828	19759	SIPO	GH	18209791
727160	2487	1996-08-07	VYDAJ	PREVOD NA UCET	1828	23306	SIPO	GH	18209791
727161	2487	1996-09-07	VYDAJ	PREVOD NA UCET	1828	23862	SIPO	GH	18209791
727162	2487	1996-10-07	VYDAJ	PREVOD NA UCET	1828	23920	SIPO	GH	18209791
727163	2487	1996-11-07	VYDAJ	PREVOD NA UCET	1828	26247	SIPO	GH	18209791
727164	2487	1996-12-07	VYDAJ	PREVOD NA UCET	1828	30226	SIPO	GH	18209791
727165	2487	1997-01-07	VYDAJ	PREVOD NA UCET	1828	29269	SIPO	GH	18209791
727166	2487	1997-02-07	VYDAJ	PREVOD NA UCET	1828	15721	SIPO	GH	18209791
727167	2487	1997-03-07	VYDAJ	PREVOD NA UCET	1828	21355	SIPO	GH	18209791
727168	2487	1997-04-07	VYDAJ	PREVOD NA UCET	1828	23505	SIPO	GH	18209791
727169	2487	1997-05-07	VYDAJ	PREVOD NA UCET	1828	19795	SIPO	GH	18209791
727170	2487	1997-06-07	VYDAJ	PREVOD NA UCET	1828	25879	SIPO	GH	18209791
727171	2487	1997-07-07	VYDAJ	PREVOD NA UCET	1828	27445	SIPO	GH	18209791
727172	2487	1997-08-07	VYDAJ	PREVOD NA UCET	1828	29358	SIPO	GH	18209791
727173	2487	1997-09-07	VYDAJ	PREVOD NA UCET	1828	27795	SIPO	GH	18209791
727174	2487	1997-10-07	VYDAJ	PREVOD NA UCET	1828	28474	SIPO	GH	18209791
727175	2487	1997-11-07	VYDAJ	PREVOD NA UCET	1828	31898	SIPO	GH	18209791
727176	2487	1997-12-07	VYDAJ	PREVOD NA UCET	1828	37027	SIPO	GH	18209791
727177	2487	1998-01-07	VYDAJ	PREVOD NA UCET	1828	34427	SIPO	GH	18209791
727178	2487	1998-02-07	VYDAJ	PREVOD NA UCET	1828	18940	SIPO	GH	18209791
727179	2487	1998-03-07	VYDAJ	PREVOD NA UCET	1828	25093	SIPO	GH	18209791
727180	2487	1998-04-07	VYDAJ	PREVOD NA UCET	1828	24452	SIPO	GH	18209791
727181	2487	1998-05-07	VYDAJ	PREVOD NA UCET	1828	25813	SIPO	GH	18209791
727182	2487	1998-06-07	VYDAJ	PREVOD NA UCET	1828	24900	SIPO	GH	18209791
727183	2487	1998-07-07	VYDAJ	PREVOD NA UCET	1828	19587	SIPO	GH	18209791
727184	2487	1998-08-07	VYDAJ	PREVOD NA UCET	1828	23192	SIPO	GH	18209791
727185	2487	1998-09-07	VYDAJ	PREVOD NA UCET	1828	23244	SIPO	GH	18209791
727186	2487	1998-10-07	VYDAJ	PREVOD NA UCET	1828	25133	SIPO	GH	18209791
727187	2487	1998-11-07	VYDAJ	PREVOD NA UCET	1828	34455	SIPO	GH	18209791
727188	2487	1998-12-07	VYDAJ	PREVOD NA UCET	1828	41023	SIPO	GH	18209791
727203	2487	1996-03-12	VYDAJ	PREVOD NA UCET	228	27598	 	CD	60394644
727204	2487	1996-04-12	VYDAJ	PREVOD NA UCET	228	21870	 	CD	60394644
727205	2487	1996-05-12	VYDAJ	PREVOD NA UCET	228	18628	 	CD	60394644
727206	2487	1996-06-12	VYDAJ	PREVOD NA UCET	228	13450	 	CD	60394644
727207	2487	1996-07-12	VYDAJ	PREVOD NA UCET	228	18689	 	CD	60394644
727208	2487	1996-08-12	VYDAJ	PREVOD NA UCET	228	22236	 	CD	60394644
727209	2487	1996-09-12	VYDAJ	PREVOD NA UCET	228	22792	 	CD	60394644
727210	2487	1996-10-12	VYDAJ	PREVOD NA UCET	228	22850	 	CD	60394644
727211	2487	1996-11-12	VYDAJ	PREVOD NA UCET	228	24915	 	CD	60394644
727212	2487	1996-12-12	VYDAJ	PREVOD NA UCET	228	29156	 	CD	60394644
727213	2487	1997-01-12	VYDAJ	PREVOD NA UCET	228	27937	 	CD	60394644
727214	2487	1997-02-12	VYDAJ	PREVOD NA UCET	228	14389	 	CD	60394644
727215	2487	1997-03-12	VYDAJ	PREVOD NA UCET	228	20023	 	CD	60394644
727216	2487	1997-04-12	VYDAJ	PREVOD NA UCET	228	22173	 	CD	60394644
727217	2487	1997-05-12	VYDAJ	PREVOD NA UCET	228	18725	 	CD	60394644
727218	2487	1997-06-12	VYDAJ	PREVOD NA UCET	228	24547	 	CD	60394644
727219	2487	1997-07-12	VYDAJ	PREVOD NA UCET	228	26113	 	CD	60394644
727220	2487	1997-08-12	VYDAJ	PREVOD NA UCET	228	28288	 	CD	60394644
727221	2487	1997-09-12	VYDAJ	PREVOD NA UCET	228	27863	 	CD	60394644
727222	2487	1997-10-12	VYDAJ	PREVOD NA UCET	228	29142	 	CD	60394644
727223	2487	1997-11-12	VYDAJ	PREVOD NA UCET	228	31628	 	CD	60394644
727224	2487	1997-12-12	VYDAJ	PREVOD NA UCET	228	31395	 	CD	60394644
727225	2487	1998-01-12	VYDAJ	PREVOD NA UCET	228	27195	 	CD	60394644
727226	2487	1998-02-12	VYDAJ	PREVOD NA UCET	228	22370	 	CD	60394644
727227	2487	1998-03-12	VYDAJ	PREVOD NA UCET	228	21723	 	CD	60394644
727228	2487	1998-04-12	VYDAJ	PREVOD NA UCET	228	23082	 	CD	60394644
727229	2487	1998-05-12	VYDAJ	PREVOD NA UCET	228	19543	 	CD	60394644
727230	2487	1998-06-12	VYDAJ	PREVOD NA UCET	228	19968	 	CD	60394644
727231	2487	1998-07-12	VYDAJ	PREVOD NA UCET	228	18717	 	CD	60394644
727232	2487	1998-08-12	VYDAJ	PREVOD NA UCET	228	21860	 	CD	60394644
727233	2487	1998-09-12	VYDAJ	PREVOD NA UCET	228	21912	 	CD	60394644
727234	2487	1998-10-12	VYDAJ	PREVOD NA UCET	228	24063	 	CD	60394644
727235	2487	1998-11-12	VYDAJ	PREVOD NA UCET	228	33123	 	CD	60394644
727236	2487	1998-12-12	VYDAJ	PREVOD NA UCET	228	39691	 	CD	60394644
727251	2487	1996-03-09	VYDAJ	PREVOD NA UCET	842	27826	POJISTNE	OP	9106064
727252	2487	1996-04-09	VYDAJ	PREVOD NA UCET	842	22098	POJISTNE	OP	9106064
727253	2487	1996-05-09	VYDAJ	PREVOD NA UCET	842	18856	POJISTNE	OP	9106064
727254	2487	1996-06-09	VYDAJ	PREVOD NA UCET	842	13678	POJISTNE	OP	9106064
727255	2487	1996-07-09	VYDAJ	PREVOD NA UCET	842	18917	POJISTNE	OP	9106064
727256	2487	1996-08-09	VYDAJ	PREVOD NA UCET	842	22464	POJISTNE	OP	9106064
727257	2487	1996-09-09	VYDAJ	PREVOD NA UCET	842	23020	POJISTNE	OP	9106064
727258	2487	1996-10-09	VYDAJ	PREVOD NA UCET	842	23078	POJISTNE	OP	9106064
727259	2487	1996-11-09	VYDAJ	PREVOD NA UCET	842	25143	POJISTNE	OP	9106064
727260	2487	1996-12-09	VYDAJ	PREVOD NA UCET	842	29384	POJISTNE	OP	9106064
727261	2487	1997-01-09	VYDAJ	PREVOD NA UCET	842	28165	POJISTNE	OP	9106064
727262	2487	1997-02-09	VYDAJ	PREVOD NA UCET	842	14617	POJISTNE	OP	9106064
727263	2487	1997-03-09	VYDAJ	PREVOD NA UCET	842	20251	POJISTNE	OP	9106064
727264	2487	1997-04-09	VYDAJ	PREVOD NA UCET	842	22401	POJISTNE	OP	9106064
727265	2487	1997-05-09	VYDAJ	PREVOD NA UCET	842	18953	POJISTNE	OP	9106064
727266	2487	1997-06-09	VYDAJ	PREVOD NA UCET	842	24775	POJISTNE	OP	9106064
727267	2487	1997-07-09	VYDAJ	PREVOD NA UCET	842	26341	POJISTNE	OP	9106064
727268	2487	1997-08-09	VYDAJ	PREVOD NA UCET	842	28516	POJISTNE	OP	9106064
727269	2487	1997-09-09	VYDAJ	PREVOD NA UCET	842	26691	POJISTNE	OP	9106064
727270	2487	1997-10-09	VYDAJ	PREVOD NA UCET	842	27370	POJISTNE	OP	9106064
727271	2487	1997-11-09	VYDAJ	PREVOD NA UCET	842	31056	POJISTNE	OP	9106064
727272	2487	1997-12-09	VYDAJ	PREVOD NA UCET	842	35923	POJISTNE	OP	9106064
727273	2487	1998-01-09	VYDAJ	PREVOD NA UCET	842	31323	POJISTNE	OP	9106064
727274	2487	1998-02-09	VYDAJ	PREVOD NA UCET	842	22598	POJISTNE	OP	9106064
727275	2487	1998-03-09	VYDAJ	PREVOD NA UCET	842	24251	POJISTNE	OP	9106064
727276	2487	1998-04-09	VYDAJ	PREVOD NA UCET	842	23310	POJISTNE	OP	9106064
727277	2487	1998-05-09	VYDAJ	PREVOD NA UCET	842	24971	POJISTNE	OP	9106064
727278	2487	1998-06-09	VYDAJ	PREVOD NA UCET	842	20196	POJISTNE	OP	9106064
727279	2487	1998-07-09	VYDAJ	PREVOD NA UCET	842	18945	POJISTNE	OP	9106064
727280	2487	1998-08-09	VYDAJ	PREVOD NA UCET	842	22088	POJISTNE	OP	9106064
727281	2487	1998-09-09	VYDAJ	PREVOD NA UCET	842	22140	POJISTNE	OP	9106064
727282	2487	1998-10-09	VYDAJ	PREVOD NA UCET	842	24291	POJISTNE	OP	9106064
727283	2487	1998-11-09	VYDAJ	PREVOD NA UCET	842	33351	POJISTNE	OP	9106064
727284	2487	1998-12-09	VYDAJ	PREVOD NA UCET	842	39919	POJISTNE	OP	9106064
727299	2487	1996-03-07	VYDAJ	PREVOD NA UCET	262	30496	 	OP	85525637
727300	2487	1996-04-07	VYDAJ	PREVOD NA UCET	262	24768	 	OP	85525637
727301	2487	1996-05-07	VYDAJ	PREVOD NA UCET	262	21526	 	OP	85525637
727302	2487	1996-06-07	VYDAJ	PREVOD NA UCET	262	25720	 	OP	85525637
727303	2487	1996-07-07	VYDAJ	PREVOD NA UCET	262	21587	 	OP	85525637
727304	2487	1996-08-07	VYDAJ	PREVOD NA UCET	262	25134	 	OP	85525637
727305	2487	1996-09-07	VYDAJ	PREVOD NA UCET	262	25690	 	OP	85525637
727306	2487	1996-10-07	VYDAJ	PREVOD NA UCET	262	25748	 	OP	85525637
727307	2487	1996-11-07	VYDAJ	PREVOD NA UCET	262	25985	 	OP	85525637
727308	2487	1996-12-07	VYDAJ	PREVOD NA UCET	262	32054	 	OP	85525637
727309	2487	1997-01-07	VYDAJ	PREVOD NA UCET	262	29007	 	OP	85525637
727310	2487	1997-02-07	VYDAJ	PREVOD NA UCET	262	15459	 	OP	85525637
727311	2487	1997-03-07	VYDAJ	PREVOD NA UCET	262	21093	 	OP	85525637
727312	2487	1997-04-07	VYDAJ	PREVOD NA UCET	262	23243	 	OP	85525637
727313	2487	1997-05-07	VYDAJ	PREVOD NA UCET	262	21623	 	OP	85525637
727314	2487	1997-06-07	VYDAJ	PREVOD NA UCET	262	25617	 	OP	85525637
727315	2487	1997-07-07	VYDAJ	PREVOD NA UCET	262	27183	 	OP	85525637
727316	2487	1997-08-07	VYDAJ	PREVOD NA UCET	262	31186	 	OP	85525637
727317	2487	1997-09-07	VYDAJ	PREVOD NA UCET	262	27533	 	OP	85525637
727318	2487	1997-10-07	VYDAJ	PREVOD NA UCET	262	28212	 	OP	85525637
727319	2487	1997-11-07	VYDAJ	PREVOD NA UCET	262	33726	 	OP	85525637
727320	2487	1997-12-07	VYDAJ	PREVOD NA UCET	262	36765	 	OP	85525637
727321	2487	1998-01-07	VYDAJ	PREVOD NA UCET	262	34165	 	OP	85525637
727322	2487	1998-02-07	VYDAJ	PREVOD NA UCET	262	20768	 	OP	85525637
727323	2487	1998-03-07	VYDAJ	PREVOD NA UCET	262	26921	 	OP	85525637
727324	2487	1998-04-07	VYDAJ	PREVOD NA UCET	262	26280	 	OP	85525637
727325	2487	1998-05-07	VYDAJ	PREVOD NA UCET	262	27641	 	OP	85525637
727326	2487	1998-06-07	VYDAJ	PREVOD NA UCET	262	24638	 	OP	85525637
727327	2487	1998-07-07	VYDAJ	PREVOD NA UCET	262	21415	 	OP	85525637
727328	2487	1998-08-07	VYDAJ	PREVOD NA UCET	262	22930	 	OP	85525637
727329	2487	1998-09-07	VYDAJ	PREVOD NA UCET	262	22982	 	OP	85525637
727330	2487	1998-10-07	VYDAJ	PREVOD NA UCET	262	26961	 	OP	85525637
727331	2487	1998-11-07	VYDAJ	PREVOD NA UCET	262	34193	 	OP	85525637
727332	2487	1998-12-07	VYDAJ	PREVOD NA UCET	262	40761	 	OP	85525637
727382	2487	1996-06-09	VYDAJ	VYBER	11200	14520	\N	\N	\N
727387	2487	1997-01-14	VYDAJ	VYBER	7200	18937	\N	\N	\N
727388	2487	1998-01-28	VYDAJ	VYBER	7000	17095	\N	\N	\N
727390	2487	1996-12-24	VYDAJ	VYBER	1100	26256	\N	\N	\N
727391	2487	1997-12-11	VYDAJ	VYBER	800	31623	\N	\N	\N
727392	2487	1998-12-01	VYDAJ	VYBER	800	32439	\N	\N	\N
727405	2487	1997-01-16	VYDAJ	VYBER	1500	17437	\N	\N	\N
727406	2487	1997-01-13	VYDAJ	VYBER	2900	25037	\N	\N	\N
727408	2487	1997-01-21	VYDAJ	VYBER	2200	15237	\N	\N	\N
727409	2487	1997-01-23	VYDAJ	VYBER	2500	12737	\N	\N	\N
727411	2487	1998-01-20	VYDAJ	VYBER	1100	24095	\N	\N	\N
727412	2487	1998-01-12	VYDAJ	VYBER	1400	27423	\N	\N	\N
727413	2487	1998-01-30	VYDAJ	VYBER	900	16195	\N	\N	\N
727414	2487	1998-01-16	VYDAJ	VYBER	2000	25195	\N	\N	\N
727415	2487	1998-01-09	VYDAJ	VYBER	2000	32165	\N	\N	\N
727416	2487	1998-01-09	VYDAJ	VYBER	600	28823	\N	\N	\N
727424	2487	1996-10-31	VYDAJ	VYBER	1400	23334	\N	\N	\N
727425	2487	1996-04-01	VYDAJ	VYBER	1800	20289	\N	\N	\N
727426	2487	1996-06-27	VYDAJ	VYBER	800	17050	\N	\N	\N
727427	2487	1996-05-01	VYDAJ	VYBER	4500	17047	\N	\N	\N
727429	2487	1997-06-18	VYDAJ	VYBER	1800	24447	\N	\N	\N
727430	2487	1997-05-03	VYDAJ	VYBER	2500	17144	\N	\N	\N
727431	2487	1997-10-01	VYDAJ	VYBER	2400	25561	\N	\N	\N
727432	2487	1998-10-18	VYDAJ	VYBER	1900	22163	\N	\N	\N
727433	2487	1998-09-22	VYDAJ	VYBER	3900	18012	\N	\N	\N
727434	2487	1998-06-30	VYDAJ	VYBER	3100	16951	\N	\N	\N
727435	2487	1998-08-19	VYDAJ	VYBER	1700	20160	\N	\N	\N
727451	2487	1996-03-31	VYDAJ	VYBER	15	22089	SLUZBY	\N	\N
727452	2487	1996-04-30	VYDAJ	VYBER	15	21547	SLUZBY	\N	\N
727453	2487	1996-05-31	VYDAJ	VYBER	15	20698	SLUZBY	\N	\N
727454	2487	1996-06-30	VYDAJ	VYBER	15	17108	SLUZBY	\N	\N
727455	2487	1996-07-31	VYDAJ	VYBER	15	20655	SLUZBY	\N	\N
727456	2487	1996-08-31	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
727457	2487	1996-09-30	VYDAJ	VYBER	15	21269	SLUZBY	\N	\N
727458	2487	1996-10-31	VYDAJ	VYBER	15	24734	SLUZBY	\N	\N
727459	2487	1996-11-30	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
727460	2487	1996-12-31	VYDAJ	VYBER	15	26356	SLUZBY	\N	\N
727461	2487	1997-01-31	VYDAJ	VYBER	15	12808	SLUZBY	\N	\N
727462	2487	1997-02-28	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
727463	2487	1997-03-31	VYDAJ	VYBER	15	20592	SLUZBY	\N	\N
727464	2487	1997-04-30	VYDAJ	VYBER	15	19644	SLUZBY	\N	\N
727465	2487	1997-05-31	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
727466	2487	1997-06-30	VYDAJ	VYBER	15	24532	SLUZBY	\N	\N
727467	2487	1997-07-31	VYDAJ	VYBER	15	26707	SLUZBY	\N	\N
727468	2487	1997-08-31	VYDAJ	VYBER	15	24882	SLUZBY	\N	\N
727469	2487	1997-09-30	VYDAJ	VYBER	15	27961	SLUZBY	\N	\N
727470	2487	1997-10-31	VYDAJ	VYBER	15	29247	SLUZBY	\N	\N
727471	2487	1997-11-30	VYDAJ	VYBER	15	31743	SLUZBY	\N	\N
727472	2487	1997-12-31	VYDAJ	VYBER	15	31514	SLUZBY	\N	\N
727473	2487	1998-01-31	VYDAJ	VYBER	15	16289	SLUZBY	\N	\N
727474	2487	1998-02-28	VYDAJ	VYBER	15	22442	SLUZBY	\N	\N
727475	2487	1998-03-31	VYDAJ	VYBER	15	21801	SLUZBY	\N	\N
727476	2487	1998-04-30	VYDAJ	VYBER	15	23162	SLUZBY	\N	\N
727477	2487	1998-05-31	VYDAJ	VYBER	15	19616	SLUZBY	\N	\N
727478	2487	1998-06-30	VYDAJ	VYBER	15	16936	SLUZBY	\N	\N
727479	2487	1998-07-31	VYDAJ	VYBER	15	18779	SLUZBY	\N	\N
727480	2487	1998-08-31	VYDAJ	VYBER	15	20231	SLUZBY	\N	\N
727481	2487	1998-09-30	VYDAJ	VYBER	15	18082	SLUZBY	\N	\N
727482	2487	1998-10-31	VYDAJ	VYBER	15	22242	SLUZBY	\N	\N
727483	2487	1998-11-30	VYDAJ	VYBER	15	33239	SLUZBY	\N	\N
727484	2487	1995-11-21	PRIJEM	VKLAD	9100	14741	\N	\N	\N
727485	2487	1995-12-21	VYDAJ	VYBER	1600	20274	\N	\N	\N
727486	2487	1996-01-20	VYDAJ	VYBER	1400	23684	\N	\N	\N
727487	2487	1996-02-19	VYDAJ	VYBER	2600	25915	\N	\N	\N
727488	2487	1996-03-20	VYDAJ	VYBER	5600	21998	\N	\N	\N
727489	2487	1996-04-19	VYDAJ	VYBER	400	21470	\N	\N	\N
727490	2487	1996-05-19	PRIJEM	VKLAD	2000	20628	\N	\N	\N
727491	2487	1996-06-18	PRIJEM	VKLAD	4400	17850	\N	\N	\N
727492	2487	1996-07-18	PRIJEM	VKLAD	1900	20589	\N	\N	\N
727493	2487	1996-08-17	VYDAJ	VYBER	1100	21136	\N	\N	\N
727494	2487	1996-09-16	VYDAJ	VYBER	1600	21192	\N	\N	\N
727495	2487	1996-10-16	PRIJEM	VKLAD	1800	24650	\N	\N	\N
727496	2487	1996-11-15	PRIJEM	VKLAD	200	25115	\N	\N	\N
727497	2487	1996-12-15	VYDAJ	VYBER	1800	27356	\N	\N	\N
727498	2487	1997-01-14	PRIJEM	VKLAD	1100	26137	\N	\N	\N
727499	2487	1997-02-13	PRIJEM	VKLAD	4000	18389	\N	\N	\N
727500	2487	1997-03-15	PRIJEM	VKLAD	500	20523	\N	\N	\N
727501	2487	1997-04-14	VYDAJ	VYBER	2600	19573	\N	\N	\N
727502	2487	1997-05-14	PRIJEM	VKLAD	1800	20525	\N	\N	\N
727503	2487	1997-06-13	PRIJEM	VKLAD	1700	26247	\N	\N	\N
727504	2487	1997-07-13	PRIJEM	VKLAD	500	26613	\N	\N	\N
727505	2487	1997-08-12	VYDAJ	VYBER	3500	24788	\N	\N	\N
727506	2487	1997-09-11	PRIJEM	VKLAD	1400	28091	\N	\N	\N
727507	2487	1997-10-11	PRIJEM	VKLAD	2000	29370	\N	\N	\N
727508	2487	1997-11-10	PRIJEM	VKLAD	800	31856	\N	\N	\N
727509	2487	1997-12-10	VYDAJ	VYBER	3500	32423	\N	\N	\N
727510	2487	1998-01-09	VYDAJ	VYBER	1900	29423	\N	\N	\N
727511	2487	1998-02-08	PRIJEM	VKLAD	4500	23440	\N	\N	\N
727512	2487	1998-03-10	VYDAJ	VYBER	2300	21951	\N	\N	\N
727513	2487	1998-04-09	VYDAJ	VYBER	300	24152	\N	\N	\N
727514	2487	1998-05-09	VYDAJ	VYBER	5200	19771	\N	\N	\N
727515	2487	1998-06-08	VYDAJ	VYBER	3600	21038	\N	\N	\N
727516	2487	1998-07-08	PRIJEM	VKLAD	200	19787	\N	\N	\N
727517	2487	1998-08-07	PRIJEM	VKLAD	1500	25020	\N	\N	\N
727518	2487	1998-09-06	PRIJEM	VKLAD	100	25072	\N	\N	\N
727519	2487	1998-10-06	PRIJEM	VKLAD	4400	27223	\N	\N	\N
727520	2487	1998-11-05	PRIJEM	VKLAD	9300	31542	\N	\N	\N
727521	2487	1998-12-05	PRIJEM	VKLAD	3300	42851	\N	\N	\N
727560	2488	1993-04-06	PRIJEM	VKLAD	400	400	\N	\N	\N
727564	2488	1993-04-08	PRIJEM	PREVOD Z UCTU	3046	3446	\N	AB	94842952
727565	2488	1993-05-08	PRIJEM	PREVOD Z UCTU	3046	6503	\N	AB	94842952
727566	2488	1993-06-08	PRIJEM	PREVOD Z UCTU	3046	9563	\N	AB	94842952
727567	2488	1993-07-08	PRIJEM	PREVOD Z UCTU	3046	12624	\N	AB	94842952
727568	2488	1993-08-08	PRIJEM	PREVOD Z UCTU	3046	15684	\N	AB	94842952
727569	2488	1993-09-08	PRIJEM	PREVOD Z UCTU	3046	16726	\N	AB	94842952
727570	2488	1993-10-08	PRIJEM	PREVOD Z UCTU	3046	17186	\N	AB	94842952
727571	2488	1993-11-08	PRIJEM	PREVOD Z UCTU	3046	17016	\N	AB	94842952
727572	2488	1993-12-08	PRIJEM	PREVOD Z UCTU	3046	18078	\N	AB	94842952
727573	2488	1994-01-08	PRIJEM	PREVOD Z UCTU	3046	18424	\N	AB	94842952
727574	2488	1994-02-08	PRIJEM	PREVOD Z UCTU	3046	19492	\N	AB	94842952
727575	2488	1994-03-08	PRIJEM	PREVOD Z UCTU	3046	20565	\N	AB	94842952
727576	2488	1994-04-08	PRIJEM	PREVOD Z UCTU	3046	21642	\N	AB	94842952
727577	2488	1994-05-08	PRIJEM	PREVOD Z UCTU	3046	22243	\N	AB	94842952
727578	2488	1994-06-08	PRIJEM	PREVOD Z UCTU	3046	23329	\N	AB	94842952
727579	2488	1994-07-08	PRIJEM	PREVOD Z UCTU	3046	17051	\N	AB	94842952
727580	2488	1994-08-08	PRIJEM	PREVOD Z UCTU	3046	17876	\N	AB	94842952
727581	2488	1994-09-08	PRIJEM	PREVOD Z UCTU	3046	18941	\N	AB	94842952
727582	2488	1994-10-08	PRIJEM	PREVOD Z UCTU	3046	19081	\N	AB	94842952
727583	2488	1994-11-08	PRIJEM	PREVOD Z UCTU	3046	20152	\N	AB	94842952
727584	2488	1994-12-08	PRIJEM	PREVOD Z UCTU	3046	21227	\N	AB	94842952
727585	2488	1995-01-08	PRIJEM	PREVOD Z UCTU	3046	21615	\N	AB	94842952
727586	2488	1995-02-08	PRIJEM	PREVOD Z UCTU	3046	22696	\N	AB	94842952
727587	2488	1995-03-08	PRIJEM	PREVOD Z UCTU	3046	23781	\N	AB	94842952
727588	2488	1995-04-08	PRIJEM	PREVOD Z UCTU	3046	24872	\N	AB	94842952
727589	2488	1995-05-08	PRIJEM	PREVOD Z UCTU	3046	25966	\N	AB	94842952
727590	2488	1995-06-08	PRIJEM	PREVOD Z UCTU	3046	27066	\N	AB	94842952
727591	2488	1995-07-08	PRIJEM	PREVOD Z UCTU	3046	23904	\N	AB	94842952
727592	2488	1995-08-08	PRIJEM	PREVOD Z UCTU	3046	23672	\N	AB	94842952
727593	2488	1995-09-08	PRIJEM	PREVOD Z UCTU	3046	24191	\N	AB	94842952
727594	2488	1995-10-08	PRIJEM	PREVOD Z UCTU	3046	25282	\N	AB	94842952
727595	2488	1995-11-08	PRIJEM	PREVOD Z UCTU	3046	26379	\N	AB	94842952
727596	2488	1995-12-08	PRIJEM	PREVOD Z UCTU	3046	25408	\N	AB	94842952
727597	2488	1996-01-08	PRIJEM	PREVOD Z UCTU	3046	25636	\N	AB	94842952
727598	2488	1996-02-08	PRIJEM	PREVOD Z UCTU	3046	25441	\N	AB	94842952
727599	2488	1996-03-08	PRIJEM	PREVOD Z UCTU	3046	26537	\N	AB	94842952
727600	2488	1996-04-08	PRIJEM	PREVOD Z UCTU	3046	27639	\N	AB	94842952
727601	2488	1996-05-08	PRIJEM	PREVOD Z UCTU	3046	28745	\N	AB	94842952
727602	2488	1996-06-08	PRIJEM	PREVOD Z UCTU	3046	20975	\N	AB	94842952
727603	2488	1996-07-08	PRIJEM	PREVOD Z UCTU	3046	22064	\N	AB	94842952
727604	2488	1996-08-08	PRIJEM	PREVOD Z UCTU	3046	21915	\N	AB	94842952
727605	2488	1996-09-08	PRIJEM	PREVOD Z UCTU	3046	22997	\N	AB	94842952
727606	2488	1996-10-08	PRIJEM	PREVOD Z UCTU	3046	24084	\N	AB	94842952
727607	2488	1996-11-08	PRIJEM	PREVOD Z UCTU	3046	25174	\N	AB	94842952
727608	2488	1996-12-08	PRIJEM	PREVOD Z UCTU	3046	25789	\N	AB	94842952
727609	2488	1997-01-08	PRIJEM	PREVOD Z UCTU	3046	26410	\N	AB	94842952
727610	2488	1997-02-08	PRIJEM	PREVOD Z UCTU	3046	27513	\N	AB	94842952
727611	2488	1997-03-08	PRIJEM	PREVOD Z UCTU	3046	28617	\N	AB	94842952
727612	2488	1997-04-08	PRIJEM	PREVOD Z UCTU	3046	29727	\N	AB	94842952
727613	2488	1997-05-08	PRIJEM	PREVOD Z UCTU	3046	29608	\N	AB	94842952
727614	2488	1997-06-08	PRIJEM	PREVOD Z UCTU	3046	30721	\N	AB	94842952
727615	2488	1997-07-08	PRIJEM	PREVOD Z UCTU	3046	29708	\N	AB	94842952
727616	2488	1997-08-08	PRIJEM	PREVOD Z UCTU	3046	30822	\N	AB	94842952
727617	2488	1997-09-08	PRIJEM	PREVOD Z UCTU	3046	31940	\N	AB	94842952
727618	2488	1997-10-08	PRIJEM	PREVOD Z UCTU	3046	32463	\N	AB	94842952
727619	2488	1997-11-08	PRIJEM	PREVOD Z UCTU	3046	31846	\N	AB	94842952
727620	2488	1997-12-08	PRIJEM	PREVOD Z UCTU	3046	32551	\N	AB	94842952
727621	2488	1998-01-08	PRIJEM	PREVOD Z UCTU	3046	33678	\N	AB	94842952
727622	2488	1998-02-08	PRIJEM	PREVOD Z UCTU	3046	33728	\N	AB	94842952
727623	2488	1998-03-08	PRIJEM	PREVOD Z UCTU	3046	34861	\N	AB	94842952
727624	2488	1998-04-08	PRIJEM	PREVOD Z UCTU	3046	35064	\N	AB	94842952
727625	2488	1998-05-08	PRIJEM	PREVOD Z UCTU	3046	35147	\N	AB	94842952
727626	2488	1998-06-08	PRIJEM	PREVOD Z UCTU	3046	36282	\N	AB	94842952
727627	2488	1998-07-08	PRIJEM	PREVOD Z UCTU	3046	34357	\N	AB	94842952
727628	2488	1998-08-08	PRIJEM	PREVOD Z UCTU	3046	35490	\N	AB	94842952
727629	2488	1998-09-08	PRIJEM	PREVOD Z UCTU	3046	35604	\N	AB	94842952
727630	2488	1998-10-08	PRIJEM	PREVOD Z UCTU	3046	36471	\N	AB	94842952
727631	2488	1998-11-08	PRIJEM	PREVOD Z UCTU	3046	37611	\N	AB	94842952
727632	2488	1998-12-08	PRIJEM	PREVOD Z UCTU	3046	38757	\N	AB	94842952
727640	2488	1993-08-13	VYDAJ	PREVOD NA UCET	2030	13654	SIPO	UV	25563156
727641	2488	1993-09-13	VYDAJ	PREVOD NA UCET	2030	14696	SIPO	UV	25563156
727642	2488	1993-10-13	VYDAJ	PREVOD NA UCET	2030	15156	SIPO	UV	25563156
727643	2488	1993-11-13	VYDAJ	PREVOD NA UCET	2030	14986	SIPO	UV	25563156
727644	2488	1993-12-13	VYDAJ	PREVOD NA UCET	2030	16048	SIPO	UV	25563156
727645	2488	1994-01-13	VYDAJ	PREVOD NA UCET	2030	16394	SIPO	UV	25563156
727646	2488	1994-02-13	VYDAJ	PREVOD NA UCET	2030	17462	SIPO	UV	25563156
727647	2488	1994-03-13	VYDAJ	PREVOD NA UCET	2030	18535	SIPO	UV	25563156
727648	2488	1994-04-13	VYDAJ	PREVOD NA UCET	2030	19612	SIPO	UV	25563156
727649	2488	1994-05-13	VYDAJ	PREVOD NA UCET	2030	20213	SIPO	UV	25563156
727650	2488	1994-06-13	VYDAJ	PREVOD NA UCET	2030	15209	SIPO	UV	25563156
727651	2488	1994-07-13	VYDAJ	PREVOD NA UCET	2030	14781	SIPO	UV	25563156
727652	2488	1994-08-13	VYDAJ	PREVOD NA UCET	2030	15846	SIPO	UV	25563156
727653	2488	1994-09-13	VYDAJ	PREVOD NA UCET	2030	16911	SIPO	UV	25563156
727654	2488	1994-10-13	VYDAJ	PREVOD NA UCET	2030	17051	SIPO	UV	25563156
727655	2488	1994-11-13	VYDAJ	PREVOD NA UCET	2030	18122	SIPO	UV	25563156
727656	2488	1994-12-13	VYDAJ	PREVOD NA UCET	2030	19197	SIPO	UV	25563156
727657	2488	1995-01-13	VYDAJ	PREVOD NA UCET	2030	19585	SIPO	UV	25563156
727658	2488	1995-02-13	VYDAJ	PREVOD NA UCET	2030	20666	SIPO	UV	25563156
727659	2488	1995-03-13	VYDAJ	PREVOD NA UCET	2030	21751	SIPO	UV	25563156
727660	2488	1995-04-13	VYDAJ	PREVOD NA UCET	2030	22842	SIPO	UV	25563156
727661	2488	1995-05-13	VYDAJ	PREVOD NA UCET	2030	23936	SIPO	UV	25563156
727662	2488	1995-06-13	VYDAJ	PREVOD NA UCET	2030	25036	SIPO	UV	25563156
727663	2488	1995-07-13	VYDAJ	PREVOD NA UCET	2030	21034	SIPO	UV	25563156
727664	2488	1995-08-13	VYDAJ	PREVOD NA UCET	2030	21642	SIPO	UV	25563156
727665	2488	1995-09-13	VYDAJ	PREVOD NA UCET	2030	22161	SIPO	UV	25563156
727666	2488	1995-10-13	VYDAJ	PREVOD NA UCET	2030	23252	SIPO	UV	25563156
727667	2488	1995-11-13	VYDAJ	PREVOD NA UCET	2030	24349	SIPO	UV	25563156
727668	2488	1995-12-13	VYDAJ	PREVOD NA UCET	2030	23378	SIPO	UV	25563156
727669	2488	1996-01-13	VYDAJ	PREVOD NA UCET	2030	23606	SIPO	UV	25563156
727670	2488	1996-02-13	VYDAJ	PREVOD NA UCET	2030	23411	SIPO	UV	25563156
727671	2488	1996-03-13	VYDAJ	PREVOD NA UCET	2030	24507	SIPO	UV	25563156
727672	2488	1996-04-13	VYDAJ	PREVOD NA UCET	2030	25609	SIPO	UV	25563156
727673	2488	1996-05-13	VYDAJ	PREVOD NA UCET	2030	26715	SIPO	UV	25563156
727674	2488	1996-06-13	VYDAJ	PREVOD NA UCET	2030	18945	SIPO	UV	25563156
727675	2488	1996-07-13	VYDAJ	PREVOD NA UCET	2030	20034	SIPO	UV	25563156
727676	2488	1996-08-13	VYDAJ	PREVOD NA UCET	2030	19885	SIPO	UV	25563156
727677	2488	1996-09-13	VYDAJ	PREVOD NA UCET	2030	20967	SIPO	UV	25563156
727678	2488	1996-10-13	VYDAJ	PREVOD NA UCET	2030	22054	SIPO	UV	25563156
727679	2488	1996-11-13	VYDAJ	PREVOD NA UCET	2030	23144	SIPO	UV	25563156
727680	2488	1996-12-13	VYDAJ	PREVOD NA UCET	2030	23759	SIPO	UV	25563156
727681	2488	1997-01-13	VYDAJ	PREVOD NA UCET	2030	24380	SIPO	UV	25563156
727682	2488	1997-02-13	VYDAJ	PREVOD NA UCET	2030	25483	SIPO	UV	25563156
727683	2488	1997-03-13	VYDAJ	PREVOD NA UCET	2030	26587	SIPO	UV	25563156
727684	2488	1997-04-13	VYDAJ	PREVOD NA UCET	2030	27697	SIPO	UV	25563156
727685	2488	1997-05-13	VYDAJ	PREVOD NA UCET	2030	27578	SIPO	UV	25563156
727686	2488	1997-06-13	VYDAJ	PREVOD NA UCET	2030	28691	SIPO	UV	25563156
727687	2488	1997-07-13	VYDAJ	PREVOD NA UCET	2030	27678	SIPO	UV	25563156
727688	2488	1997-08-13	VYDAJ	PREVOD NA UCET	2030	28792	SIPO	UV	25563156
727689	2488	1997-09-13	VYDAJ	PREVOD NA UCET	2030	29310	SIPO	UV	25563156
727690	2488	1997-10-13	VYDAJ	PREVOD NA UCET	2030	29383	SIPO	UV	25563156
727691	2488	1997-11-13	VYDAJ	PREVOD NA UCET	2030	29816	SIPO	UV	25563156
727692	2488	1997-12-13	VYDAJ	PREVOD NA UCET	2030	30521	SIPO	UV	25563156
727693	2488	1998-01-13	VYDAJ	PREVOD NA UCET	2030	31648	SIPO	UV	25563156
727694	2488	1998-02-13	VYDAJ	PREVOD NA UCET	2030	31698	SIPO	UV	25563156
727695	2488	1998-03-13	VYDAJ	PREVOD NA UCET	2030	31901	SIPO	UV	25563156
727696	2488	1998-04-13	VYDAJ	PREVOD NA UCET	2030	33034	SIPO	UV	25563156
727697	2488	1998-05-13	VYDAJ	PREVOD NA UCET	2030	33117	SIPO	UV	25563156
727698	2488	1998-06-13	VYDAJ	PREVOD NA UCET	2030	34252	SIPO	UV	25563156
727699	2488	1998-07-13	VYDAJ	PREVOD NA UCET	2030	32327	SIPO	UV	25563156
727700	2488	1998-08-13	VYDAJ	PREVOD NA UCET	2030	33460	SIPO	UV	25563156
727701	2488	1998-09-13	VYDAJ	PREVOD NA UCET	2030	33574	SIPO	UV	25563156
727702	2488	1998-10-13	VYDAJ	PREVOD NA UCET	2030	34441	SIPO	UV	25563156
727703	2488	1998-11-13	VYDAJ	PREVOD NA UCET	2030	35581	SIPO	UV	25563156
727704	2488	1998-12-13	VYDAJ	PREVOD NA UCET	2030	36727	SIPO	UV	25563156
727706	2488	1994-06-09	VYDAJ	VYBER	6090	17239	\N	\N	\N
727707	2488	1995-06-22	VYDAJ	VYBER	4260	20776	\N	\N	\N
727708	2488	1996-06-02	VYDAJ	VYBER	8880	17929	\N	\N	\N
727709	2488	1997-06-28	VYDAJ	VYBER	2130	26561	\N	\N	\N
727710	2488	1998-06-19	VYDAJ	VYBER	3060	31192	\N	\N	\N
727711	2488	1993-12-26	VYDAJ	VYBER	720	15328	\N	\N	\N
727712	2488	1994-12-15	VYDAJ	VYBER	690	18507	\N	\N	\N
727713	2488	1995-12-21	VYDAJ	VYBER	870	22508	\N	\N	\N
727714	2488	1996-12-03	VYDAJ	VYBER	480	22743	\N	\N	\N
727715	2488	1997-12-02	VYDAJ	VYBER	420	29505	\N	\N	\N
727716	2488	1998-12-29	VYDAJ	VYBER	600	36127	\N	\N	\N
727718	2488	1993-09-20	VYDAJ	VYBER	600	14096	\N	\N	\N
727721	2488	1993-10-15	VYDAJ	VYBER	1230	13926	\N	\N	\N
727722	2488	1994-09-26	VYDAJ	VYBER	930	15981	\N	\N	\N
727723	2488	1994-05-07	VYDAJ	VYBER	480	19197	\N	\N	\N
727724	2488	1994-07-03	VYDAJ	VYBER	1260	14005	\N	\N	\N
727725	2488	1994-07-11	VYDAJ	VYBER	240	16811	\N	\N	\N
727726	2488	1995-12-06	VYDAJ	VYBER	960	22362	\N	\N	\N
727727	2488	1995-08-18	VYDAJ	VYBER	570	21072	\N	\N	\N
727728	2488	1995-07-13	VYDAJ	VYBER	840	23064	\N	\N	\N
727729	2488	1995-11-21	VYDAJ	VYBER	1110	23239	\N	\N	\N
727730	2488	1995-07-27	VYDAJ	VYBER	480	20554	\N	\N	\N
727731	2488	1996-01-15	VYDAJ	VYBER	1290	22316	\N	\N	\N
727732	2488	1996-07-28	VYDAJ	VYBER	1230	18804	\N	\N	\N
727733	2488	1997-04-16	VYDAJ	VYBER	1230	26467	\N	\N	\N
727734	2488	1997-11-04	VYDAJ	VYBER	690	28800	\N	\N	\N
727735	2488	1997-01-05	VYDAJ	VYBER	480	23364	\N	\N	\N
727736	2488	1997-10-10	VYDAJ	VYBER	1050	31413	\N	\N	\N
727737	2488	1997-09-10	VYDAJ	VYBER	600	31340	\N	\N	\N
727738	2488	1998-02-02	VYDAJ	VYBER	1080	30682	\N	\N	\N
727739	2488	1998-04-16	VYDAJ	VYBER	1050	31984	\N	\N	\N
727740	2488	1998-03-13	VYDAJ	VYBER	930	33931	\N	\N	\N
727741	2488	1998-09-17	VYDAJ	VYBER	270	33304	\N	\N	\N
727742	2488	1998-08-16	VYDAJ	VYBER	1020	32440	\N	\N	\N
727751	2488	1993-08-31	VYDAJ	VYBER	15	13680	SLUZBY	\N	\N
727752	2488	1993-09-30	VYDAJ	VYBER	15	14140	SLUZBY	\N	\N
727753	2488	1993-10-31	VYDAJ	VYBER	15	13970	SLUZBY	\N	\N
727754	2488	1993-11-30	VYDAJ	VYBER	15	15032	SLUZBY	\N	\N
727755	2488	1993-12-31	VYDAJ	VYBER	15	15378	SLUZBY	\N	\N
727756	2488	1994-01-31	VYDAJ	VYBER	15	16446	SLUZBY	\N	\N
727757	2488	1994-02-28	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
727758	2488	1994-03-31	VYDAJ	VYBER	15	18596	SLUZBY	\N	\N
727759	2488	1994-04-30	VYDAJ	VYBER	15	19677	SLUZBY	\N	\N
727760	2488	1994-05-31	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
727761	2488	1994-06-30	VYDAJ	VYBER	15	15265	SLUZBY	\N	\N
727762	2488	1994-07-31	VYDAJ	VYBER	15	14830	SLUZBY	\N	\N
727763	2488	1994-08-31	VYDAJ	VYBER	15	15895	SLUZBY	\N	\N
727764	2488	1994-09-30	VYDAJ	VYBER	15	16035	SLUZBY	\N	\N
727765	2488	1994-10-31	VYDAJ	VYBER	15	17106	SLUZBY	\N	\N
727766	2488	1994-11-30	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
727767	2488	1994-12-31	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
727768	2488	1995-01-31	VYDAJ	VYBER	15	19650	SLUZBY	\N	\N
727769	2488	1995-02-28	VYDAJ	VYBER	15	20735	SLUZBY	\N	\N
727770	2488	1995-03-31	VYDAJ	VYBER	15	21826	SLUZBY	\N	\N
727771	2488	1995-04-30	VYDAJ	VYBER	15	22920	SLUZBY	\N	\N
727772	2488	1995-05-31	VYDAJ	VYBER	15	24020	SLUZBY	\N	\N
727773	2488	1995-06-30	VYDAJ	VYBER	15	20858	SLUZBY	\N	\N
727774	2488	1995-07-31	VYDAJ	VYBER	15	20626	SLUZBY	\N	\N
727775	2488	1995-08-31	VYDAJ	VYBER	15	21145	SLUZBY	\N	\N
727776	2488	1995-09-30	VYDAJ	VYBER	15	22236	SLUZBY	\N	\N
727777	2488	1995-10-31	VYDAJ	VYBER	15	23333	SLUZBY	\N	\N
727778	2488	1995-11-30	VYDAJ	VYBER	15	23322	SLUZBY	\N	\N
727779	2488	1995-12-31	VYDAJ	VYBER	15	22590	SLUZBY	\N	\N
727780	2488	1996-01-31	VYDAJ	VYBER	15	22395	SLUZBY	\N	\N
727781	2488	1996-02-29	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
727782	2488	1996-03-31	VYDAJ	VYBER	15	24593	SLUZBY	\N	\N
727783	2488	1996-04-30	VYDAJ	VYBER	15	25699	SLUZBY	\N	\N
727784	2488	1996-05-31	VYDAJ	VYBER	15	26809	SLUZBY	\N	\N
727785	2488	1996-06-30	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
727786	2488	1996-07-31	VYDAJ	VYBER	15	18869	SLUZBY	\N	\N
727787	2488	1996-08-31	VYDAJ	VYBER	15	19951	SLUZBY	\N	\N
727788	2488	1996-09-30	VYDAJ	VYBER	15	21038	SLUZBY	\N	\N
727789	2488	1996-10-31	VYDAJ	VYBER	15	22128	SLUZBY	\N	\N
727790	2488	1996-11-30	VYDAJ	VYBER	15	23223	SLUZBY	\N	\N
727791	2488	1996-12-31	VYDAJ	VYBER	15	23844	SLUZBY	\N	\N
727792	2488	1997-01-31	VYDAJ	VYBER	15	24467	SLUZBY	\N	\N
727793	2488	1997-02-28	VYDAJ	VYBER	15	25571	SLUZBY	\N	\N
727794	2488	1997-03-31	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
727795	2488	1997-04-30	VYDAJ	VYBER	15	26562	SLUZBY	\N	\N
727796	2488	1997-05-31	VYDAJ	VYBER	15	27675	SLUZBY	\N	\N
727797	2488	1997-06-30	VYDAJ	VYBER	15	26662	SLUZBY	\N	\N
727798	2488	1997-07-31	VYDAJ	VYBER	15	27776	SLUZBY	\N	\N
727799	2488	1997-08-31	VYDAJ	VYBER	15	28894	SLUZBY	\N	\N
727800	2488	1997-09-30	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
727801	2488	1997-10-31	VYDAJ	VYBER	15	29490	SLUZBY	\N	\N
727802	2488	1997-11-30	VYDAJ	VYBER	15	29925	SLUZBY	\N	\N
727803	2488	1997-12-31	VYDAJ	VYBER	15	30632	SLUZBY	\N	\N
727804	2488	1998-01-31	VYDAJ	VYBER	15	31762	SLUZBY	\N	\N
727805	2488	1998-02-28	VYDAJ	VYBER	15	31815	SLUZBY	\N	\N
727806	2488	1998-03-31	VYDAJ	VYBER	15	32018	SLUZBY	\N	\N
727807	2488	1998-04-30	VYDAJ	VYBER	15	32101	SLUZBY	\N	\N
727808	2488	1998-05-31	VYDAJ	VYBER	15	33236	SLUZBY	\N	\N
727809	2488	1998-06-30	VYDAJ	VYBER	15	31311	SLUZBY	\N	\N
727810	2488	1998-07-31	VYDAJ	VYBER	15	32444	SLUZBY	\N	\N
727811	2488	1998-08-31	VYDAJ	VYBER	15	32558	SLUZBY	\N	\N
727812	2488	1998-09-30	VYDAJ	VYBER	15	33425	SLUZBY	\N	\N
727813	2488	1998-10-31	VYDAJ	VYBER	15	34565	SLUZBY	\N	\N
727814	2488	1998-11-30	VYDAJ	VYBER	15	35711	SLUZBY	\N	\N
727884	2489	1993-03-09	PRIJEM	VKLAD	900	900	\N	\N	\N
727887	2489	1993-03-14	PRIJEM	PREVOD Z UCTU	5781	6681	DUCHOD	YZ	23886204
727888	2489	1993-04-14	PRIJEM	PREVOD Z UCTU	5781	12478	DUCHOD	YZ	23886204
727889	2489	1993-05-14	PRIJEM	PREVOD Z UCTU	5781	18287	DUCHOD	YZ	23886204
727890	2489	1993-06-14	PRIJEM	PREVOD Z UCTU	5781	24096	DUCHOD	YZ	23886204
727891	2489	1993-07-14	PRIJEM	PREVOD Z UCTU	5781	28605	DUCHOD	YZ	23886204
727892	2489	1993-08-14	PRIJEM	PREVOD Z UCTU	5781	28678	DUCHOD	YZ	23886204
727893	2489	1993-09-14	PRIJEM	PREVOD Z UCTU	5781	28363	DUCHOD	YZ	23886204
727894	2489	1993-10-14	PRIJEM	PREVOD Z UCTU	5781	29087	DUCHOD	YZ	23886204
727895	2489	1993-11-14	PRIJEM	PREVOD Z UCTU	5781	28993	DUCHOD	YZ	23886204
727896	2489	1993-12-14	PRIJEM	PREVOD Z UCTU	5781	26499	DUCHOD	YZ	23886204
727897	2489	1994-01-14	PRIJEM	PREVOD Z UCTU	5781	23825	DUCHOD	YZ	23886204
727898	2489	1994-02-14	PRIJEM	PREVOD Z UCTU	5781	21727	DUCHOD	YZ	23886204
727899	2489	1994-03-14	PRIJEM	PREVOD Z UCTU	5781	23726	DUCHOD	YZ	23886204
727900	2489	1994-04-14	PRIJEM	PREVOD Z UCTU	5781	23729	DUCHOD	YZ	23886204
727901	2489	1994-05-14	PRIJEM	PREVOD Z UCTU	5781	25737	DUCHOD	YZ	23886204
727902	2489	1994-06-14	PRIJEM	PREVOD Z UCTU	5781	21270	DUCHOD	YZ	23886204
727903	2489	1994-07-14	PRIJEM	PREVOD Z UCTU	5781	23269	DUCHOD	YZ	23886204
727904	2489	1994-08-14	PRIJEM	PREVOD Z UCTU	5781	25275	DUCHOD	YZ	23886204
727905	2489	1994-09-14	PRIJEM	PREVOD Z UCTU	5781	27289	DUCHOD	YZ	23886204
727906	2489	1994-10-14	PRIJEM	PREVOD Z UCTU	5781	29311	DUCHOD	YZ	23886204
727907	2489	1994-11-14	PRIJEM	PREVOD Z UCTU	5781	30142	DUCHOD	YZ	23886204
727908	2489	1994-12-14	PRIJEM	PREVOD Z UCTU	5781	30686	DUCHOD	YZ	23886204
727909	2489	1995-01-14	PRIJEM	PREVOD Z UCTU	5781	24119	DUCHOD	YZ	23886204
727910	2489	1995-02-14	PRIJEM	PREVOD Z UCTU	5781	19401	DUCHOD	YZ	23886204
727911	2489	1995-03-14	PRIJEM	PREVOD Z UCTU	5781	21390	DUCHOD	YZ	23886204
727912	2489	1995-04-14	PRIJEM	PREVOD Z UCTU	5781	22108	DUCHOD	YZ	23886204
727913	2489	1995-05-14	PRIJEM	PREVOD Z UCTU	5781	23809	DUCHOD	YZ	23886204
727914	2489	1995-06-14	PRIJEM	PREVOD Z UCTU	5781	25817	DUCHOD	YZ	23886204
727915	2489	1995-07-14	PRIJEM	PREVOD Z UCTU	5781	21107	DUCHOD	YZ	23886204
727916	2489	1995-08-14	PRIJEM	PREVOD Z UCTU	5781	23104	DUCHOD	YZ	23886204
727917	2489	1995-09-14	PRIJEM	PREVOD Z UCTU	5781	25109	DUCHOD	YZ	23886204
727918	2489	1995-10-14	PRIJEM	PREVOD Z UCTU	5781	24558	DUCHOD	YZ	23886204
727919	2489	1995-11-14	PRIJEM	PREVOD Z UCTU	5781	26568	DUCHOD	YZ	23886204
727920	2489	1995-12-14	PRIJEM	PREVOD Z UCTU	5781	26517	DUCHOD	YZ	23886204
727921	2489	1996-01-14	PRIJEM	PREVOD Z UCTU	5781	25712	DUCHOD	YZ	23886204
727922	2489	1996-02-14	PRIJEM	PREVOD Z UCTU	5781	18914	DUCHOD	YZ	23886204
727923	2489	1996-03-14	PRIJEM	PREVOD Z UCTU	5781	20901	DUCHOD	YZ	23886204
727924	2489	1996-04-14	PRIJEM	PREVOD Z UCTU	5781	22897	DUCHOD	YZ	23886204
727925	2489	1996-05-14	PRIJEM	PREVOD Z UCTU	5781	22340	DUCHOD	YZ	23886204
727926	2489	1996-06-14	PRIJEM	PREVOD Z UCTU	5781	24339	DUCHOD	YZ	23886204
727927	2489	1996-07-14	PRIJEM	PREVOD Z UCTU	5781	17479	DUCHOD	YZ	23886204
727928	2489	1996-08-14	PRIJEM	PREVOD Z UCTU	5781	19460	DUCHOD	YZ	23886204
727929	2489	1996-09-14	PRIJEM	PREVOD Z UCTU	5781	20489	DUCHOD	YZ	23886204
727930	2489	1996-10-14	PRIJEM	PREVOD Z UCTU	5781	22479	DUCHOD	YZ	23886204
727931	2489	1996-11-14	PRIJEM	PREVOD Z UCTU	5781	24480	DUCHOD	YZ	23886204
727932	2489	1996-12-14	PRIJEM	PREVOD Z UCTU	5781	22156	DUCHOD	YZ	23886204
727933	2489	1997-01-14	PRIJEM	PREVOD Z UCTU	5781	19026	DUCHOD	YZ	23886204
727934	2489	1997-02-14	PRIJEM	PREVOD Z UCTU	5781	17722	DUCHOD	YZ	23886204
727935	2489	1997-03-14	PRIJEM	PREVOD Z UCTU	5781	19703	DUCHOD	YZ	23886204
727936	2489	1997-04-14	PRIJEM	PREVOD Z UCTU	5781	19690	DUCHOD	YZ	23886204
727937	2489	1997-05-14	PRIJEM	PREVOD Z UCTU	5781	21680	DUCHOD	YZ	23886204
727938	2489	1997-06-14	PRIJEM	PREVOD Z UCTU	5781	23677	DUCHOD	YZ	23886204
727939	2489	1997-07-14	PRIJEM	PREVOD Z UCTU	5781	20626	DUCHOD	YZ	23886204
727940	2489	1997-08-14	PRIJEM	PREVOD Z UCTU	5781	22619	DUCHOD	YZ	23886204
727941	2489	1997-09-14	PRIJEM	PREVOD Z UCTU	5781	24620	DUCHOD	YZ	23886204
727942	2489	1997-10-14	PRIJEM	PREVOD Z UCTU	5781	26630	DUCHOD	YZ	23886204
727943	2489	1997-11-14	PRIJEM	PREVOD Z UCTU	5781	28648	DUCHOD	YZ	23886204
727944	2489	1997-12-14	PRIJEM	PREVOD Z UCTU	5781	28751	DUCHOD	YZ	23886204
727945	2489	1998-01-14	PRIJEM	PREVOD Z UCTU	5781	26657	DUCHOD	YZ	23886204
727946	2489	1998-02-14	PRIJEM	PREVOD Z UCTU	5781	26588	DUCHOD	YZ	23886204
727947	2489	1998-03-14	PRIJEM	PREVOD Z UCTU	5781	25324	DUCHOD	YZ	23886204
727948	2489	1998-04-14	PRIJEM	PREVOD Z UCTU	5781	23888	DUCHOD	YZ	23886204
727949	2489	1998-05-14	PRIJEM	PREVOD Z UCTU	5781	25893	DUCHOD	YZ	23886204
727950	2489	1998-06-14	PRIJEM	PREVOD Z UCTU	5781	27908	DUCHOD	YZ	23886204
727951	2489	1998-07-14	PRIJEM	PREVOD Z UCTU	5781	23671	DUCHOD	YZ	23886204
727952	2489	1998-08-14	PRIJEM	PREVOD Z UCTU	5781	24715	DUCHOD	YZ	23886204
727953	2489	1998-09-14	PRIJEM	PREVOD Z UCTU	5781	26724	DUCHOD	YZ	23886204
727954	2489	1998-10-14	PRIJEM	PREVOD Z UCTU	5781	28741	DUCHOD	YZ	23886204
727955	2489	1998-11-14	PRIJEM	PREVOD Z UCTU	5781	29965	DUCHOD	YZ	23886204
727956	2489	1998-12-14	PRIJEM	PREVOD Z UCTU	5781	31996	DUCHOD	YZ	23886204
727964	2489	1993-08-06	VYDAJ	PREVOD NA UCET	3854	23617	SIPO	KL	75944941
727965	2489	1993-09-06	VYDAJ	PREVOD NA UCET	3854	22582	SIPO	KL	75944941
727966	2489	1993-10-06	VYDAJ	PREVOD NA UCET	3854	23306	SIPO	KL	75944941
727967	2489	1993-11-06	VYDAJ	PREVOD NA UCET	3854	23212	SIPO	KL	75944941
727968	2489	1993-12-06	VYDAJ	PREVOD NA UCET	3854	20718	SIPO	KL	75944941
727969	2489	1994-01-06	VYDAJ	PREVOD NA UCET	3854	20044	SIPO	KL	75944941
727970	2489	1994-02-06	VYDAJ	PREVOD NA UCET	3854	15946	SIPO	KL	75944941
727971	2489	1994-03-06	VYDAJ	PREVOD NA UCET	3854	17945	SIPO	KL	75944941
727972	2489	1994-04-06	VYDAJ	PREVOD NA UCET	3854	17948	SIPO	KL	75944941
727973	2489	1994-05-06	VYDAJ	PREVOD NA UCET	3854	19956	SIPO	KL	75944941
727974	2489	1994-06-06	VYDAJ	PREVOD NA UCET	3854	18289	SIPO	KL	75944941
727975	2489	1994-07-06	VYDAJ	PREVOD NA UCET	3854	17488	SIPO	KL	75944941
727976	2489	1994-08-06	VYDAJ	PREVOD NA UCET	3854	19494	SIPO	KL	75944941
727977	2489	1994-09-06	VYDAJ	PREVOD NA UCET	3854	21508	SIPO	KL	75944941
727978	2489	1994-10-06	VYDAJ	PREVOD NA UCET	3854	23530	SIPO	KL	75944941
727979	2489	1994-11-06	VYDAJ	PREVOD NA UCET	3854	24361	SIPO	KL	75944941
727980	2489	1994-12-06	VYDAJ	PREVOD NA UCET	3854	24905	SIPO	KL	75944941
727981	2489	1995-01-06	VYDAJ	PREVOD NA UCET	3854	22338	SIPO	KL	75944941
727982	2489	1995-02-06	VYDAJ	PREVOD NA UCET	3854	13620	SIPO	KL	75944941
727983	2489	1995-03-06	VYDAJ	PREVOD NA UCET	3854	15609	SIPO	KL	75944941
727984	2489	1995-04-06	VYDAJ	PREVOD NA UCET	3854	17607	SIPO	KL	75944941
727985	2489	1995-05-06	VYDAJ	PREVOD NA UCET	3854	18028	SIPO	KL	75944941
727986	2489	1995-06-06	VYDAJ	PREVOD NA UCET	3854	20036	SIPO	KL	75944941
727987	2489	1995-07-06	VYDAJ	PREVOD NA UCET	3854	15326	SIPO	KL	75944941
727988	2489	1995-08-06	VYDAJ	PREVOD NA UCET	3854	17323	SIPO	KL	75944941
727989	2489	1995-09-06	VYDAJ	PREVOD NA UCET	3854	19328	SIPO	KL	75944941
727990	2489	1995-10-06	VYDAJ	PREVOD NA UCET	3854	18777	SIPO	KL	75944941
727991	2489	1995-11-06	VYDAJ	PREVOD NA UCET	3854	20787	SIPO	KL	75944941
727992	2489	1995-12-06	VYDAJ	PREVOD NA UCET	3854	20736	SIPO	KL	75944941
727993	2489	1996-01-06	VYDAJ	PREVOD NA UCET	3854	22751	SIPO	KL	75944941
727994	2489	1996-02-06	VYDAJ	PREVOD NA UCET	3854	13133	SIPO	KL	75944941
727995	2489	1996-03-06	VYDAJ	PREVOD NA UCET	3854	15120	SIPO	KL	75944941
727996	2489	1996-04-06	VYDAJ	PREVOD NA UCET	3854	17116	SIPO	KL	75944941
727997	2489	1996-05-06	VYDAJ	PREVOD NA UCET	3854	16559	SIPO	KL	75944941
727998	2489	1996-06-06	VYDAJ	PREVOD NA UCET	3854	18558	SIPO	KL	75944941
727999	2489	1996-07-06	VYDAJ	PREVOD NA UCET	3854	11698	SIPO	KL	75944941
728000	2489	1996-08-06	VYDAJ	PREVOD NA UCET	3854	13679	SIPO	KL	75944941
728001	2489	1996-09-06	VYDAJ	PREVOD NA UCET	3854	14708	SIPO	KL	75944941
728002	2489	1996-10-06	VYDAJ	PREVOD NA UCET	3854	16698	SIPO	KL	75944941
728003	2489	1996-11-06	VYDAJ	PREVOD NA UCET	3854	18699	SIPO	KL	75944941
728004	2489	1996-12-06	VYDAJ	PREVOD NA UCET	3854	16375	SIPO	KL	75944941
728005	2489	1997-01-06	VYDAJ	PREVOD NA UCET	3854	13245	SIPO	KL	75944941
728006	2489	1997-02-06	VYDAJ	PREVOD NA UCET	3854	11941	SIPO	KL	75944941
728007	2489	1997-03-06	VYDAJ	PREVOD NA UCET	3854	13922	SIPO	KL	75944941
728008	2489	1997-04-06	VYDAJ	PREVOD NA UCET	3854	13909	SIPO	KL	75944941
728009	2489	1997-05-06	VYDAJ	PREVOD NA UCET	3854	15899	SIPO	KL	75944941
728010	2489	1997-06-06	VYDAJ	PREVOD NA UCET	3854	17896	SIPO	KL	75944941
728011	2489	1997-07-06	VYDAJ	PREVOD NA UCET	3854	14845	SIPO	KL	75944941
728012	2489	1997-08-06	VYDAJ	PREVOD NA UCET	3854	16838	SIPO	KL	75944941
728013	2489	1997-09-06	VYDAJ	PREVOD NA UCET	3854	18839	SIPO	KL	75944941
728014	2489	1997-10-06	VYDAJ	PREVOD NA UCET	3854	20849	SIPO	KL	75944941
728015	2489	1997-11-06	VYDAJ	PREVOD NA UCET	3854	22867	SIPO	KL	75944941
728016	2489	1997-12-06	VYDAJ	PREVOD NA UCET	3854	22970	SIPO	KL	75944941
728017	2489	1998-01-06	VYDAJ	PREVOD NA UCET	3854	22296	SIPO	KL	75944941
728018	2489	1998-02-06	VYDAJ	PREVOD NA UCET	3854	20807	SIPO	KL	75944941
728019	2489	1998-03-06	VYDAJ	PREVOD NA UCET	3854	20343	SIPO	KL	75944941
728020	2489	1998-04-06	VYDAJ	PREVOD NA UCET	3854	18107	SIPO	KL	75944941
728021	2489	1998-05-06	VYDAJ	PREVOD NA UCET	3854	20112	SIPO	KL	75944941
728022	2489	1998-06-06	VYDAJ	PREVOD NA UCET	3854	22127	SIPO	KL	75944941
728023	2489	1998-07-06	VYDAJ	PREVOD NA UCET	3854	17890	SIPO	KL	75944941
728024	2489	1998-08-06	VYDAJ	PREVOD NA UCET	3854	18934	SIPO	KL	75944941
728025	2489	1998-09-06	VYDAJ	PREVOD NA UCET	3854	20943	SIPO	KL	75944941
728026	2489	1998-10-06	VYDAJ	PREVOD NA UCET	3854	22960	SIPO	KL	75944941
728027	2489	1998-11-06	VYDAJ	PREVOD NA UCET	3854	24184	SIPO	KL	75944941
728028	2489	1998-12-06	VYDAJ	PREVOD NA UCET	3854	26215	SIPO	KL	75944941
728030	2489	1994-06-10	VYDAJ	VYBER	2800	15489	\N	\N	\N
728031	2489	1995-06-23	VYDAJ	VYBER	3600	22217	\N	\N	\N
728032	2489	1996-06-16	VYDAJ	VYBER	8850	15489	\N	\N	\N
728033	2489	1997-06-21	VYDAJ	VYBER	5050	18627	\N	\N	\N
728034	2489	1998-06-20	VYDAJ	VYBER	6250	21658	\N	\N	\N
728036	2489	1994-01-27	VYDAJ	VYBER	1300	20125	\N	\N	\N
728037	2489	1995-01-05	VYDAJ	VYBER	4600	26192	\N	\N	\N
728038	2489	1996-01-06	VYDAJ	VYBER	2100	20651	\N	\N	\N
728040	2489	1998-01-08	VYDAJ	VYBER	700	20876	\N	\N	\N
728041	2489	1993-12-18	VYDAJ	VYBER	850	25649	\N	\N	\N
728042	2489	1994-12-02	VYDAJ	VYBER	250	28759	\N	\N	\N
728043	2489	1995-12-06	VYDAJ	VYBER	950	24590	\N	\N	\N
728044	2489	1996-12-05	VYDAJ	VYBER	1450	20229	\N	\N	\N
728045	2489	1997-12-25	VYDAJ	VYBER	1100	27651	\N	\N	\N
728046	2489	1998-12-24	VYDAJ	VYBER	650	28546	\N	\N	\N
728053	2489	1994-01-29	VYDAJ	VYBER	400	19725	\N	\N	\N
728054	2489	1994-01-23	VYDAJ	VYBER	480	21425	\N	\N	\N
728055	2489	1994-01-16	VYDAJ	VYBER	1520	22305	\N	\N	\N
728056	2489	1994-01-09	VYDAJ	VYBER	2000	18044	\N	\N	\N
728057	2489	1994-01-05	VYDAJ	VYBER	1840	23898	\N	\N	\N
728058	2489	1994-01-22	VYDAJ	VYBER	400	21905	\N	\N	\N
728059	2489	1995-01-22	VYDAJ	VYBER	1440	20039	\N	\N	\N
728060	2489	1995-01-07	VYDAJ	VYBER	2000	20338	\N	\N	\N
728061	2489	1995-01-16	VYDAJ	VYBER	2080	22039	\N	\N	\N
728062	2489	1995-01-16	VYDAJ	VYBER	560	21479	\N	\N	\N
728063	2489	1995-01-26	VYDAJ	VYBER	1760	17399	\N	\N	\N
728064	2489	1995-01-11	VYDAJ	VYBER	2000	18338	\N	\N	\N
728065	2489	1996-01-25	VYDAJ	VYBER	1040	16912	\N	\N	\N
728066	2489	1996-01-21	VYDAJ	VYBER	1440	20992	\N	\N	\N
728067	2489	1996-01-11	VYDAJ	VYBER	720	19931	\N	\N	\N
728068	2489	1996-01-15	VYDAJ	VYBER	640	25072	\N	\N	\N
728069	2489	1996-01-22	VYDAJ	VYBER	1200	19792	\N	\N	\N
728070	2489	1996-01-23	VYDAJ	VYBER	1840	17952	\N	\N	\N
728073	2489	1997-01-17	VYDAJ	VYBER	800	18226	\N	\N	\N
728074	2489	1997-01-03	VYDAJ	VYBER	1040	17099	\N	\N	\N
728076	2489	1997-01-03	VYDAJ	VYBER	560	18139	\N	\N	\N
728077	2489	1998-01-17	VYDAJ	VYBER	480	25297	\N	\N	\N
728078	2489	1998-01-03	VYDAJ	VYBER	640	26150	\N	\N	\N
728079	2489	1998-01-08	VYDAJ	VYBER	720	21576	\N	\N	\N
728080	2489	1998-01-01	VYDAJ	VYBER	960	26790	\N	\N	\N
728081	2489	1998-01-15	VYDAJ	VYBER	880	25777	\N	\N	\N
728082	2489	1998-01-23	VYDAJ	VYBER	720	24577	\N	\N	\N
728083	2489	1993-10-21	VYDAJ	VYBER	1120	27967	\N	\N	\N
728084	2489	1993-08-22	VYDAJ	VYBER	1040	27638	\N	\N	\N
728085	2489	1993-08-08	VYDAJ	VYBER	720	22897	\N	\N	\N
728086	2489	1993-12-05	VYDAJ	VYBER	3120	24572	\N	\N	\N
728088	2489	1994-11-29	VYDAJ	VYBER	640	29502	\N	\N	\N
728089	2489	1994-05-26	VYDAJ	VYBER	3680	22057	\N	\N	\N
728090	2489	1994-03-15	VYDAJ	VYBER	2000	21726	\N	\N	\N
728092	2489	1995-09-20	VYDAJ	VYBER	2560	22549	\N	\N	\N
728093	2489	1995-11-30	VYDAJ	VYBER	1120	25540	\N	\N	\N
728094	2489	1995-01-24	VYDAJ	VYBER	880	19159	\N	\N	\N
728095	2489	1995-06-28	VYDAJ	VYBER	3120	19097	\N	\N	\N
728096	2489	1995-04-11	VYDAJ	VYBER	1280	16327	\N	\N	\N
728098	2489	1996-01-19	VYDAJ	VYBER	2640	22432	\N	\N	\N
728099	2489	1996-12-17	VYDAJ	VYBER	3520	18636	\N	\N	\N
728100	2489	1996-05-01	VYDAJ	VYBER	2560	20413	\N	\N	\N
728101	2489	1996-11-22	VYDAJ	VYBER	2880	21600	\N	\N	\N
728102	2489	1996-09-03	VYDAJ	VYBER	960	18562	\N	\N	\N
728103	2489	1997-01-17	VYDAJ	VYBER	2480	15746	\N	\N	\N
728104	2489	1997-11-19	VYDAJ	VYBER	1280	27368	\N	\N	\N
728105	2489	1997-03-23	VYDAJ	VYBER	2000	17703	\N	\N	\N
728106	2489	1997-11-21	VYDAJ	VYBER	640	26728	\N	\N	\N
728109	2489	1998-07-24	VYDAJ	VYBER	960	22711	\N	\N	\N
728110	2489	1998-12-17	VYDAJ	VYBER	2800	29196	\N	\N	\N
728111	2489	1998-02-26	VYDAJ	VYBER	2480	24108	\N	\N	\N
728112	2489	1998-03-17	VYDAJ	VYBER	3440	21884	\N	\N	\N
728113	2489	1998-10-17	VYDAJ	VYBER	800	27941	\N	\N	\N
728114	2489	1998-03-09	VYDAJ	VYBER	800	19543	\N	\N	\N
728122	2489	1993-07-31	VYDAJ	VYBER	15	28671	SLUZBY	\N	\N
728123	2489	1993-08-31	VYDAJ	VYBER	15	27736	SLUZBY	\N	\N
728124	2489	1993-09-30	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
728125	2489	1993-10-31	VYDAJ	VYBER	15	28066	SLUZBY	\N	\N
728126	2489	1993-11-30	VYDAJ	VYBER	15	29092	SLUZBY	\N	\N
728127	2489	1993-12-31	VYDAJ	VYBER	15	25738	SLUZBY	\N	\N
728128	2489	1994-01-31	VYDAJ	VYBER	15	19800	SLUZBY	\N	\N
728129	2489	1994-02-28	VYDAJ	VYBER	15	21799	SLUZBY	\N	\N
728130	2489	1994-03-31	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
728131	2489	1994-04-30	VYDAJ	VYBER	15	23810	SLUZBY	\N	\N
728132	2489	1994-05-31	VYDAJ	VYBER	15	22143	SLUZBY	\N	\N
728133	2489	1994-06-30	VYDAJ	VYBER	15	21342	SLUZBY	\N	\N
728134	2489	1994-07-31	VYDAJ	VYBER	15	23348	SLUZBY	\N	\N
728135	2489	1994-08-31	VYDAJ	VYBER	15	25362	SLUZBY	\N	\N
728136	2489	1994-09-30	VYDAJ	VYBER	15	27384	SLUZBY	\N	\N
728137	2489	1994-10-31	VYDAJ	VYBER	15	28215	SLUZBY	\N	\N
728138	2489	1994-11-30	VYDAJ	VYBER	15	29009	SLUZBY	\N	\N
728139	2489	1994-12-31	VYDAJ	VYBER	15	30792	SLUZBY	\N	\N
728140	2489	1995-01-31	VYDAJ	VYBER	15	17474	SLUZBY	\N	\N
728141	2489	1995-02-28	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
728142	2489	1995-03-31	VYDAJ	VYBER	15	21461	SLUZBY	\N	\N
728143	2489	1995-04-30	VYDAJ	VYBER	15	21882	SLUZBY	\N	\N
728144	2489	1995-05-31	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
728145	2489	1995-06-30	VYDAJ	VYBER	15	19180	SLUZBY	\N	\N
728146	2489	1995-07-31	VYDAJ	VYBER	15	21177	SLUZBY	\N	\N
728147	2489	1995-08-31	VYDAJ	VYBER	15	23182	SLUZBY	\N	\N
728148	2489	1995-09-30	VYDAJ	VYBER	15	22631	SLUZBY	\N	\N
728149	2489	1995-10-31	VYDAJ	VYBER	15	24641	SLUZBY	\N	\N
728150	2489	1995-11-30	VYDAJ	VYBER	15	26660	SLUZBY	\N	\N
728151	2489	1995-12-31	VYDAJ	VYBER	15	26605	SLUZBY	\N	\N
728152	2489	1996-01-31	VYDAJ	VYBER	15	16987	SLUZBY	\N	\N
728153	2489	1996-02-29	VYDAJ	VYBER	15	18974	SLUZBY	\N	\N
728154	2489	1996-03-31	VYDAJ	VYBER	15	20970	SLUZBY	\N	\N
728155	2489	1996-04-30	VYDAJ	VYBER	15	22973	SLUZBY	\N	\N
728156	2489	1996-05-31	VYDAJ	VYBER	15	22412	SLUZBY	\N	\N
728157	2489	1996-06-30	VYDAJ	VYBER	15	15552	SLUZBY	\N	\N
728158	2489	1996-07-31	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
728159	2489	1996-08-31	VYDAJ	VYBER	15	19522	SLUZBY	\N	\N
728160	2489	1996-09-30	VYDAJ	VYBER	15	20552	SLUZBY	\N	\N
728161	2489	1996-10-31	VYDAJ	VYBER	15	22553	SLUZBY	\N	\N
728162	2489	1996-11-30	VYDAJ	VYBER	15	21679	SLUZBY	\N	\N
728163	2489	1996-12-31	VYDAJ	VYBER	15	18699	SLUZBY	\N	\N
728164	2489	1997-01-31	VYDAJ	VYBER	15	15795	SLUZBY	\N	\N
728165	2489	1997-02-28	VYDAJ	VYBER	15	17776	SLUZBY	\N	\N
728166	2489	1997-03-31	VYDAJ	VYBER	15	17763	SLUZBY	\N	\N
728167	2489	1997-04-30	VYDAJ	VYBER	15	19753	SLUZBY	\N	\N
728168	2489	1997-05-31	VYDAJ	VYBER	15	21750	SLUZBY	\N	\N
728169	2489	1997-06-30	VYDAJ	VYBER	15	18699	SLUZBY	\N	\N
728170	2489	1997-07-31	VYDAJ	VYBER	15	20692	SLUZBY	\N	\N
728171	2489	1997-08-31	VYDAJ	VYBER	15	22693	SLUZBY	\N	\N
728172	2489	1997-09-30	VYDAJ	VYBER	15	24703	SLUZBY	\N	\N
728173	2489	1997-10-31	VYDAJ	VYBER	15	26721	SLUZBY	\N	\N
728174	2489	1997-11-30	VYDAJ	VYBER	15	26824	SLUZBY	\N	\N
728175	2489	1997-12-31	VYDAJ	VYBER	15	27750	SLUZBY	\N	\N
728176	2489	1998-01-31	VYDAJ	VYBER	15	24661	SLUZBY	\N	\N
728177	2489	1998-02-28	VYDAJ	VYBER	15	24197	SLUZBY	\N	\N
728178	2489	1998-03-31	VYDAJ	VYBER	15	21961	SLUZBY	\N	\N
728179	2489	1998-04-30	VYDAJ	VYBER	15	23966	SLUZBY	\N	\N
728180	2489	1998-05-31	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
728181	2489	1998-06-30	VYDAJ	VYBER	15	21744	SLUZBY	\N	\N
728182	2489	1998-07-31	VYDAJ	VYBER	15	22788	SLUZBY	\N	\N
728183	2489	1998-08-31	VYDAJ	VYBER	15	24797	SLUZBY	\N	\N
728184	2489	1998-09-30	VYDAJ	VYBER	15	26814	SLUZBY	\N	\N
728185	2489	1998-10-31	VYDAJ	VYBER	15	28038	SLUZBY	\N	\N
728186	2489	1998-11-30	VYDAJ	VYBER	15	30069	SLUZBY	\N	\N
728187	2489	1993-07-07	VYDAJ	VYBER	1300	22824	\N	\N	\N
728188	2489	1993-08-06	VYDAJ	VYBER	1200	27471	\N	\N	\N
728189	2489	1993-09-05	VYDAJ	VYBER	1300	26436	\N	\N	\N
728190	2489	1993-10-05	VYDAJ	VYBER	1300	27160	\N	\N	\N
728191	2489	1993-11-04	VYDAJ	VYBER	1000	27066	\N	\N	\N
728192	2489	1993-12-04	VYDAJ	VYBER	1400	27692	\N	\N	\N
728193	2489	1994-10-30	VYDAJ	VYBER	1200	28111	\N	\N	\N
728194	2489	1994-11-29	VYDAJ	VYBER	600	28902	\N	\N	\N
728195	2489	1995-04-28	VYDAJ	VYBER	300	21808	\N	\N	\N
728266	2490	1995-02-21	PRIJEM	VKLAD	700	700	\N	\N	\N
728269	2490	1995-03-12	PRIJEM	VKLAD	14379	15079	\N	\N	\N
728270	2490	1995-04-12	PRIJEM	VKLAD	14379	35784	\N	\N	\N
728271	2490	1995-05-12	PRIJEM	VKLAD	14379	43261	\N	\N	\N
728272	2490	1995-06-12	PRIJEM	VKLAD	21568	53253	\N	\N	\N
728273	2490	1995-07-12	PRIJEM	VKLAD	14379	53674	\N	\N	\N
728274	2490	1995-08-12	PRIJEM	VKLAD	14379	50436	\N	\N	\N
728275	2490	1995-09-12	PRIJEM	VKLAD	14379	47383	\N	\N	\N
728276	2490	1995-10-12	PRIJEM	VKLAD	14379	40315	\N	\N	\N
728277	2490	1995-11-12	PRIJEM	VKLAD	14379	40322	\N	\N	\N
728278	2490	1995-12-12	PRIJEM	VKLAD	21568	48819	\N	\N	\N
728279	2490	1996-01-12	PRIJEM	VKLAD	14379	33747	\N	\N	\N
728280	2490	1996-02-12	PRIJEM	VKLAD	14379	40045	\N	\N	\N
728281	2490	1996-03-12	PRIJEM	VKLAD	14379	43955	\N	\N	\N
728282	2490	1996-04-12	PRIJEM	VKLAD	14379	44075	\N	\N	\N
728283	2490	1996-05-12	PRIJEM	VKLAD	14379	41391	\N	\N	\N
728284	2490	1996-06-12	PRIJEM	VKLAD	21568	53498	\N	\N	\N
728285	2490	1996-07-12	PRIJEM	VKLAD	14379	47734	\N	\N	\N
728286	2490	1996-08-12	PRIJEM	VKLAD	14379	48969	\N	\N	\N
728287	2490	1996-09-12	PRIJEM	VKLAD	14379	46802	\N	\N	\N
728288	2490	1996-10-12	PRIJEM	VKLAD	14379	40222	\N	\N	\N
728289	2490	1996-11-12	PRIJEM	VKLAD	14379	37227	\N	\N	\N
728290	2490	1996-12-12	PRIJEM	VKLAD	21568	52021	\N	\N	\N
728291	2490	1997-01-12	PRIJEM	VKLAD	14379	44957	\N	\N	\N
728292	2490	1997-02-12	PRIJEM	VKLAD	14379	41193	\N	\N	\N
728293	2490	1997-03-12	PRIJEM	VKLAD	14379	51529	\N	\N	\N
728294	2490	1997-04-12	PRIJEM	VKLAD	14379	43277	\N	\N	\N
728295	2490	1997-05-12	PRIJEM	VKLAD	14379	48127	\N	\N	\N
728296	2490	1997-06-12	PRIJEM	VKLAD	21568	54182	\N	\N	\N
728297	2490	1997-07-12	PRIJEM	VKLAD	14379	41263	\N	\N	\N
728298	2490	1997-08-12	PRIJEM	VKLAD	14379	47298	\N	\N	\N
728299	2490	1997-09-12	PRIJEM	VKLAD	14379	51156	\N	\N	\N
728300	2490	1997-10-12	PRIJEM	VKLAD	14379	53134	\N	\N	\N
728301	2490	1997-11-12	PRIJEM	VKLAD	14379	55512	\N	\N	\N
728302	2490	1997-12-12	PRIJEM	VKLAD	21568	63493	\N	\N	\N
728303	2490	1998-01-12	PRIJEM	VKLAD	14379	58614	\N	\N	\N
728304	2490	1998-02-12	PRIJEM	VKLAD	14379	55914	\N	\N	\N
728305	2490	1998-03-12	PRIJEM	VKLAD	14379	61311	\N	\N	\N
728306	2490	1998-04-12	PRIJEM	VKLAD	14379	69428	\N	\N	\N
728307	2490	1998-05-12	PRIJEM	VKLAD	14379	71771	\N	\N	\N
728308	2490	1998-06-12	PRIJEM	VKLAD	21568	82125	\N	\N	\N
728309	2490	1998-07-12	PRIJEM	VKLAD	14379	71897	\N	\N	\N
728310	2490	1998-08-12	PRIJEM	VKLAD	14379	77644	\N	\N	\N
728311	2490	1998-09-12	PRIJEM	VKLAD	14379	78430	\N	\N	\N
728312	2490	1998-10-12	PRIJEM	VKLAD	14379	69222	\N	\N	\N
728313	2490	1998-11-12	PRIJEM	VKLAD	14379	68878	\N	\N	\N
728314	2490	1998-12-12	PRIJEM	VKLAD	21568	73125	\N	\N	\N
728321	2490	1995-07-12	VYDAJ	PREVOD NA UCET	3526	50148	SIPO	ST	36983788
728322	2490	1995-08-12	VYDAJ	PREVOD NA UCET	3526	46910	SIPO	ST	36983788
728323	2490	1995-09-12	VYDAJ	PREVOD NA UCET	3526	43857	SIPO	ST	36983788
728324	2490	1995-10-12	VYDAJ	PREVOD NA UCET	3526	36789	SIPO	ST	36983788
728325	2490	1995-11-12	VYDAJ	PREVOD NA UCET	3526	36796	SIPO	ST	36983788
728326	2490	1995-12-12	VYDAJ	PREVOD NA UCET	3526	45293	SIPO	ST	36983788
728327	2490	1996-01-12	VYDAJ	PREVOD NA UCET	3526	30221	SIPO	ST	36983788
728328	2490	1996-02-12	VYDAJ	PREVOD NA UCET	3526	36519	SIPO	ST	36983788
728329	2490	1996-03-12	VYDAJ	PREVOD NA UCET	3526	40429	SIPO	ST	36983788
728330	2490	1996-04-12	VYDAJ	PREVOD NA UCET	3526	40549	SIPO	ST	36983788
728331	2490	1996-05-12	VYDAJ	PREVOD NA UCET	3526	37865	SIPO	ST	36983788
728332	2490	1996-06-12	VYDAJ	PREVOD NA UCET	3526	49972	SIPO	ST	36983788
728333	2490	1996-07-12	VYDAJ	PREVOD NA UCET	3526	44208	SIPO	ST	36983788
728334	2490	1996-08-12	VYDAJ	PREVOD NA UCET	3526	45443	SIPO	ST	36983788
728335	2490	1996-09-12	VYDAJ	PREVOD NA UCET	3526	43276	SIPO	ST	36983788
728336	2490	1996-10-12	VYDAJ	PREVOD NA UCET	3526	36696	SIPO	ST	36983788
728337	2490	1996-11-12	VYDAJ	PREVOD NA UCET	3526	31001	SIPO	ST	36983788
728338	2490	1996-12-12	VYDAJ	PREVOD NA UCET	3526	48495	SIPO	ST	36983788
728339	2490	1997-01-12	VYDAJ	PREVOD NA UCET	3526	41431	SIPO	ST	36983788
728340	2490	1997-02-12	VYDAJ	PREVOD NA UCET	3526	37667	SIPO	ST	36983788
728341	2490	1997-03-12	VYDAJ	PREVOD NA UCET	3526	38703	SIPO	ST	36983788
728342	2490	1997-04-12	VYDAJ	PREVOD NA UCET	3526	39751	SIPO	ST	36983788
728343	2490	1997-05-12	VYDAJ	PREVOD NA UCET	3526	44601	SIPO	ST	36983788
728344	2490	1997-06-12	VYDAJ	PREVOD NA UCET	3526	50656	SIPO	ST	36983788
728345	2490	1997-07-12	VYDAJ	PREVOD NA UCET	3526	37737	SIPO	ST	36983788
728346	2490	1997-08-12	VYDAJ	PREVOD NA UCET	3526	43772	SIPO	ST	36983788
728347	2490	1997-09-12	VYDAJ	PREVOD NA UCET	3526	47630	SIPO	ST	36983788
728348	2490	1997-10-12	VYDAJ	PREVOD NA UCET	3526	49608	SIPO	ST	36983788
728349	2490	1997-11-12	VYDAJ	PREVOD NA UCET	3526	51986	SIPO	ST	36983788
728350	2490	1997-12-12	VYDAJ	PREVOD NA UCET	3526	59967	SIPO	ST	36983788
728351	2490	1998-01-12	VYDAJ	PREVOD NA UCET	3526	53688	SIPO	ST	36983788
728352	2490	1998-02-12	VYDAJ	PREVOD NA UCET	3526	52388	SIPO	ST	36983788
728353	2490	1998-03-12	VYDAJ	PREVOD NA UCET	3526	57785	SIPO	ST	36983788
728354	2490	1998-04-12	VYDAJ	PREVOD NA UCET	3526	65902	SIPO	ST	36983788
728355	2490	1998-05-12	VYDAJ	PREVOD NA UCET	3526	68245	SIPO	ST	36983788
728356	2490	1998-06-12	VYDAJ	PREVOD NA UCET	3526	78599	SIPO	ST	36983788
728357	2490	1998-07-12	VYDAJ	PREVOD NA UCET	3526	68371	SIPO	ST	36983788
728358	2490	1998-08-12	VYDAJ	PREVOD NA UCET	3526	74118	SIPO	ST	36983788
728359	2490	1998-09-12	VYDAJ	PREVOD NA UCET	3526	74904	SIPO	ST	36983788
728360	2490	1998-10-12	VYDAJ	PREVOD NA UCET	3526	65696	SIPO	ST	36983788
728361	2490	1998-11-12	VYDAJ	PREVOD NA UCET	3526	65352	SIPO	ST	36983788
728362	2490	1998-12-12	VYDAJ	PREVOD NA UCET	3526	69599	SIPO	ST	36983788
728369	2490	1995-07-13	VYDAJ	PREVOD NA UCET	649	49499	 	MN	39699643
728370	2490	1995-08-13	VYDAJ	PREVOD NA UCET	649	46261	 	MN	39699643
728371	2490	1995-09-13	VYDAJ	PREVOD NA UCET	649	43208	 	MN	39699643
728372	2490	1995-10-13	VYDAJ	PREVOD NA UCET	649	36140	 	MN	39699643
728373	2490	1995-11-13	VYDAJ	PREVOD NA UCET	649	36147	 	MN	39699643
728374	2490	1995-12-13	VYDAJ	PREVOD NA UCET	649	44644	 	MN	39699643
728375	2490	1996-01-13	VYDAJ	PREVOD NA UCET	649	29572	 	MN	39699643
728376	2490	1996-02-13	VYDAJ	PREVOD NA UCET	649	35870	 	MN	39699643
728377	2490	1996-03-13	VYDAJ	PREVOD NA UCET	649	39780	 	MN	39699643
728378	2490	1996-04-13	VYDAJ	PREVOD NA UCET	649	39900	 	MN	39699643
728379	2490	1996-05-13	VYDAJ	PREVOD NA UCET	649	37216	 	MN	39699643
728380	2490	1996-06-13	VYDAJ	PREVOD NA UCET	649	49323	 	MN	39699643
728381	2490	1996-07-13	VYDAJ	PREVOD NA UCET	649	43559	 	MN	39699643
728382	2490	1996-08-13	VYDAJ	PREVOD NA UCET	649	44794	 	MN	39699643
728383	2490	1996-09-13	VYDAJ	PREVOD NA UCET	649	42627	 	MN	39699643
728384	2490	1996-10-13	VYDAJ	PREVOD NA UCET	649	36047	 	MN	39699643
728385	2490	1996-11-13	VYDAJ	PREVOD NA UCET	649	30352	 	MN	39699643
728386	2490	1996-12-13	VYDAJ	PREVOD NA UCET	649	39446	 	MN	39699643
728387	2490	1997-01-13	VYDAJ	PREVOD NA UCET	649	40782	 	MN	39699643
728388	2490	1997-02-13	VYDAJ	PREVOD NA UCET	649	37018	 	MN	39699643
728389	2490	1997-03-13	VYDAJ	PREVOD NA UCET	649	38054	 	MN	39699643
728390	2490	1997-04-13	VYDAJ	PREVOD NA UCET	649	39102	 	MN	39699643
728391	2490	1997-05-13	VYDAJ	PREVOD NA UCET	649	43952	 	MN	39699643
728392	2490	1997-06-13	VYDAJ	PREVOD NA UCET	649	50007	 	MN	39699643
728393	2490	1997-07-13	VYDAJ	PREVOD NA UCET	649	37088	 	MN	39699643
728394	2490	1997-08-13	VYDAJ	PREVOD NA UCET	649	43123	 	MN	39699643
728395	2490	1997-09-13	VYDAJ	PREVOD NA UCET	649	46981	 	MN	39699643
728396	2490	1997-10-13	VYDAJ	PREVOD NA UCET	649	48959	 	MN	39699643
728397	2490	1997-11-13	VYDAJ	PREVOD NA UCET	649	51337	 	MN	39699643
728398	2490	1997-12-13	VYDAJ	PREVOD NA UCET	649	59318	 	MN	39699643
728399	2490	1998-01-13	VYDAJ	PREVOD NA UCET	649	53039	 	MN	39699643
728400	2490	1998-02-13	VYDAJ	PREVOD NA UCET	649	51739	 	MN	39699643
728401	2490	1998-03-13	VYDAJ	PREVOD NA UCET	649	57136	 	MN	39699643
728402	2490	1998-04-13	VYDAJ	PREVOD NA UCET	649	65253	 	MN	39699643
728403	2490	1998-05-13	VYDAJ	PREVOD NA UCET	649	67596	 	MN	39699643
728404	2490	1998-06-13	VYDAJ	PREVOD NA UCET	649	77950	 	MN	39699643
728405	2490	1998-07-13	VYDAJ	PREVOD NA UCET	649	67722	 	MN	39699643
728406	2490	1998-08-13	VYDAJ	PREVOD NA UCET	649	73469	 	MN	39699643
728407	2490	1998-09-13	VYDAJ	PREVOD NA UCET	649	74255	 	MN	39699643
728408	2490	1998-10-13	VYDAJ	PREVOD NA UCET	649	65047	 	MN	39699643
728409	2490	1998-11-13	VYDAJ	PREVOD NA UCET	649	64703	 	MN	39699643
728410	2490	1998-12-13	VYDAJ	PREVOD NA UCET	649	68950	 	MN	39699643
728412	2490	1996-06-20	VYDAJ	VYBER	4900	33223	\N	\N	\N
728413	2490	1997-06-28	VYDAJ	VYBER	18700	31307	\N	\N	\N
728414	2490	1998-06-24	VYDAJ	VYBER	26000	51950	\N	\N	\N
728415	2490	1995-12-22	VYDAJ	VYBER	2600	33044	\N	\N	\N
728416	2490	1996-12-16	VYDAJ	VYBER	2400	37046	\N	\N	\N
728417	2490	1997-12-20	VYDAJ	VYBER	2100	57218	\N	\N	\N
728418	2490	1998-12-26	VYDAJ	VYBER	1000	67950	\N	\N	\N
728425	2490	1996-01-11	VYDAJ	VYBER	2400	19368	\N	\N	\N
728426	2490	1996-01-15	VYDAJ	VYBER	2300	25872	\N	\N	\N
728427	2490	1996-01-05	VYDAJ	VYBER	800	23268	\N	\N	\N
728428	2490	1996-01-03	VYDAJ	VYBER	2900	28868	\N	\N	\N
728429	2490	1996-01-07	VYDAJ	VYBER	1500	21768	\N	\N	\N
728430	2490	1996-01-14	VYDAJ	VYBER	1400	28172	\N	\N	\N
728431	2490	1997-01-08	VYDAJ	VYBER	2700	33778	\N	\N	\N
728432	2490	1997-01-02	VYDAJ	VYBER	700	36478	\N	\N	\N
728433	2490	1997-01-19	VYDAJ	VYBER	2900	34182	\N	\N	\N
728434	2490	1997-01-15	VYDAJ	VYBER	1300	39482	\N	\N	\N
728435	2490	1997-01-27	VYDAJ	VYBER	2100	32082	\N	\N	\N
728436	2490	1997-01-17	VYDAJ	VYBER	2400	37082	\N	\N	\N
728437	2490	1998-01-12	VYDAJ	VYBER	1400	57214	\N	\N	\N
728438	2490	1998-01-18	VYDAJ	VYBER	2300	50739	\N	\N	\N
728439	2490	1998-01-09	VYDAJ	VYBER	2700	44235	\N	\N	\N
728440	2490	1998-01-01	VYDAJ	VYBER	600	56835	\N	\N	\N
728441	2490	1998-01-21	VYDAJ	VYBER	2200	48539	\N	\N	\N
728442	2490	1998-01-08	VYDAJ	VYBER	2000	46935	\N	\N	\N
728443	2490	1995-12-22	VYDAJ	VYBER	1400	31644	\N	\N	\N
728445	2490	1995-08-05	VYDAJ	VYBER	900	36057	\N	\N	\N
728447	2490	1995-07-24	VYDAJ	VYBER	700	36799	\N	\N	\N
728448	2490	1995-09-30	VYDAJ	VYBER	4600	25936	\N	\N	\N
728449	2490	1996-04-22	VYDAJ	VYBER	2700	26900	\N	\N	\N
728450	2490	1996-08-21	VYDAJ	VYBER	2000	32294	\N	\N	\N
728451	2490	1996-09-19	VYDAJ	VYBER	2100	29127	\N	\N	\N
728452	2490	1996-10-31	VYDAJ	VYBER	3600	22862	\N	\N	\N
728453	2490	1996-04-20	VYDAJ	VYBER	1600	29600	\N	\N	\N
728454	2490	1996-10-08	VYDAJ	VYBER	3400	25843	\N	\N	\N
728455	2490	1996-01-05	VYDAJ	VYBER	4800	24068	\N	\N	\N
728456	2490	1996-10-21	VYDAJ	VYBER	500	26347	\N	\N	\N
728457	2490	1997-01-09	VYDAJ	VYBER	3300	30478	\N	\N	\N
728458	2490	1997-10-14	VYDAJ	VYBER	4700	44259	\N	\N	\N
728459	2490	1997-09-30	VYDAJ	VYBER	1000	46170	\N	\N	\N
728460	2490	1997-08-02	VYDAJ	VYBER	4400	32819	\N	\N	\N
728461	2490	1998-09-23	VYDAJ	VYBER	4300	69955	\N	\N	\N
728462	2490	1998-04-13	VYDAJ	VYBER	1200	64053	\N	\N	\N
728463	2490	1998-10-07	VYDAJ	VYBER	4100	54843	\N	\N	\N
728464	2490	1998-02-10	VYDAJ	VYBER	3900	41535	\N	\N	\N
728465	2490	1998-03-24	VYDAJ	VYBER	1300	55836	\N	\N	\N
728473	2490	1995-07-31	VYDAJ	VYBER	15	36957	SLUZBY	\N	\N
728474	2490	1995-08-31	VYDAJ	VYBER	15	33004	SLUZBY	\N	\N
728475	2490	1995-09-30	VYDAJ	VYBER	15	30536	SLUZBY	\N	\N
728476	2490	1995-10-31	VYDAJ	VYBER	15	25943	SLUZBY	\N	\N
728477	2490	1995-11-30	VYDAJ	VYBER	15	27251	SLUZBY	\N	\N
728478	2490	1995-12-31	VYDAJ	VYBER	15	31768	SLUZBY	\N	\N
728479	2490	1996-01-31	VYDAJ	VYBER	15	25666	SLUZBY	\N	\N
728480	2490	1996-02-29	VYDAJ	VYBER	15	29576	SLUZBY	\N	\N
728481	2490	1996-03-31	VYDAJ	VYBER	15	29696	SLUZBY	\N	\N
728482	2490	1996-04-30	VYDAJ	VYBER	15	27012	SLUZBY	\N	\N
728483	2490	1996-05-31	VYDAJ	VYBER	15	31930	SLUZBY	\N	\N
728484	2490	1996-06-30	VYDAJ	VYBER	15	33355	SLUZBY	\N	\N
728485	2490	1996-07-31	VYDAJ	VYBER	15	34590	SLUZBY	\N	\N
728486	2490	1996-08-31	VYDAJ	VYBER	15	32423	SLUZBY	\N	\N
728487	2490	1996-09-30	VYDAJ	VYBER	15	29243	SLUZBY	\N	\N
728488	2490	1996-10-31	VYDAJ	VYBER	15	22848	SLUZBY	\N	\N
728489	2490	1996-11-30	VYDAJ	VYBER	15	30453	SLUZBY	\N	\N
728490	2490	1996-12-31	VYDAJ	VYBER	15	37178	SLUZBY	\N	\N
728491	2490	1997-01-31	VYDAJ	VYBER	15	32214	SLUZBY	\N	\N
728492	2490	1997-02-28	VYDAJ	VYBER	15	37150	SLUZBY	\N	\N
728493	2490	1997-03-31	VYDAJ	VYBER	15	38198	SLUZBY	\N	\N
728494	2490	1997-04-30	VYDAJ	VYBER	15	39248	SLUZBY	\N	\N
728495	2490	1997-05-31	VYDAJ	VYBER	15	44114	SLUZBY	\N	\N
728496	2490	1997-06-30	VYDAJ	VYBER	15	31484	SLUZBY	\N	\N
728497	2490	1997-07-31	VYDAJ	VYBER	15	37219	SLUZBY	\N	\N
728498	2490	1997-08-31	VYDAJ	VYBER	15	43277	SLUZBY	\N	\N
728499	2490	1997-09-30	VYDAJ	VYBER	15	46155	SLUZBY	\N	\N
728500	2490	1997-10-31	VYDAJ	VYBER	15	44433	SLUZBY	\N	\N
728501	2490	1997-11-30	VYDAJ	VYBER	15	51525	SLUZBY	\N	\N
728502	2490	1997-12-31	VYDAJ	VYBER	15	57435	SLUZBY	\N	\N
728503	2490	1998-01-31	VYDAJ	VYBER	15	48735	SLUZBY	\N	\N
728504	2490	1998-02-28	VYDAJ	VYBER	15	51932	SLUZBY	\N	\N
728505	2490	1998-03-31	VYDAJ	VYBER	15	56049	SLUZBY	\N	\N
728506	2490	1998-04-30	VYDAJ	VYBER	15	64292	SLUZBY	\N	\N
728507	2490	1998-05-31	VYDAJ	VYBER	15	67857	SLUZBY	\N	\N
728508	2490	1998-06-30	VYDAJ	VYBER	15	52218	SLUZBY	\N	\N
728509	2490	1998-07-31	VYDAJ	VYBER	15	67965	SLUZBY	\N	\N
728510	2490	1998-08-31	VYDAJ	VYBER	15	73751	SLUZBY	\N	\N
728511	2490	1998-09-30	VYDAJ	VYBER	15	70243	SLUZBY	\N	\N
728512	2490	1998-10-31	VYDAJ	VYBER	15	65299	SLUZBY	\N	\N
728513	2490	1998-11-30	VYDAJ	VYBER	15	64957	SLUZBY	\N	\N
728514	2490	1995-03-23	PRIJEM	VKLAD	6300	21379	\N	\N	\N
728515	2490	1995-04-22	VYDAJ	VYBER	7000	28784	\N	\N	\N
728516	2490	1995-05-22	VYDAJ	VYBER	11700	31561	\N	\N	\N
728517	2490	1995-06-21	VYDAJ	VYBER	14100	39153	\N	\N	\N
728518	2490	1995-07-21	VYDAJ	VYBER	12000	37499	\N	\N	\N
728519	2490	1995-08-20	VYDAJ	VYBER	13400	32861	\N	\N	\N
728520	2490	1995-09-19	VYDAJ	VYBER	12800	30408	\N	\N	\N
728521	2490	1995-10-19	VYDAJ	VYBER	10300	25840	\N	\N	\N
728522	2490	1995-11-18	VYDAJ	VYBER	9000	27147	\N	\N	\N
728523	2490	1995-12-18	VYDAJ	VYBER	9000	35644	\N	\N	\N
728524	2490	1996-01-17	VYDAJ	VYBER	300	25572	\N	\N	\N
728525	2490	1996-02-16	VYDAJ	VYBER	6400	29470	\N	\N	\N
728526	2490	1996-03-17	VYDAJ	VYBER	10200	29580	\N	\N	\N
728527	2490	1996-04-16	VYDAJ	VYBER	8700	31200	\N	\N	\N
728528	2490	1996-05-16	VYDAJ	VYBER	5400	31816	\N	\N	\N
728529	2490	1996-06-15	VYDAJ	VYBER	11200	38123	\N	\N	\N
728530	2490	1996-07-15	VYDAJ	VYBER	9100	34459	\N	\N	\N
728531	2490	1996-08-14	VYDAJ	VYBER	10500	34294	\N	\N	\N
728532	2490	1996-09-13	VYDAJ	VYBER	11400	31227	\N	\N	\N
728533	2490	1996-10-13	VYDAJ	VYBER	9200	26847	\N	\N	\N
728534	2490	1996-11-12	VYDAJ	VYBER	2700	34527	\N	\N	\N
728535	2490	1996-12-12	VYDAJ	VYBER	8400	40095	\N	\N	\N
728536	2490	1997-01-11	PRIJEM	VKLAD	100	30578	\N	\N	\N
728537	2490	1997-02-10	VYDAJ	VYBER	5400	26814	\N	\N	\N
728538	2490	1997-03-12	VYDAJ	VYBER	9300	42229	\N	\N	\N
728539	2490	1997-04-11	VYDAJ	VYBER	9300	28898	\N	\N	\N
728540	2490	1997-05-11	VYDAJ	VYBER	5500	33748	\N	\N	\N
728541	2490	1997-06-10	VYDAJ	VYBER	11500	32614	\N	\N	\N
728542	2490	1997-07-10	VYDAJ	VYBER	4600	26884	\N	\N	\N
728543	2490	1997-08-09	PRIJEM	VKLAD	100	32919	\N	\N	\N
728544	2490	1997-09-08	VYDAJ	VYBER	6500	36777	\N	\N	\N
728545	2490	1997-10-08	VYDAJ	VYBER	7400	38755	\N	\N	\N
728546	2490	1997-11-07	VYDAJ	VYBER	3300	41133	\N	\N	\N
728547	2490	1997-12-07	VYDAJ	VYBER	9600	41925	\N	\N	\N
728548	2490	1998-01-06	VYDAJ	VYBER	7900	48935	\N	\N	\N
728549	2490	1998-02-05	VYDAJ	VYBER	3300	45435	\N	\N	\N
728550	2490	1998-03-07	VYDAJ	VYBER	5000	46932	\N	\N	\N
728551	2490	1998-04-06	VYDAJ	VYBER	1000	55049	\N	\N	\N
728552	2490	1998-05-06	VYDAJ	VYBER	6900	57392	\N	\N	\N
728553	2490	1998-06-05	VYDAJ	VYBER	7300	60557	\N	\N	\N
728554	2490	1998-07-05	PRIJEM	VKLAD	5300	57518	\N	\N	\N
728555	2490	1998-08-04	VYDAJ	VYBER	4700	63265	\N	\N	\N
728556	2490	1998-09-03	VYDAJ	VYBER	9700	64051	\N	\N	\N
728557	2490	1998-10-03	VYDAJ	VYBER	11300	58943	\N	\N	\N
728558	2490	1998-11-02	VYDAJ	VYBER	10800	54499	\N	\N	\N
728559	2490	1998-12-02	VYDAJ	VYBER	13400	51557	\N	\N	\N
728606	2491	1996-03-01	PRIJEM	VKLAD	500	500	\N	\N	\N
728609	2491	1996-03-08	PRIJEM	VKLAD	7012	7512	\N	\N	\N
728610	2491	1996-04-08	PRIJEM	VKLAD	7012	21449	\N	\N	\N
728611	2491	1996-05-08	PRIJEM	VKLAD	7012	27222	\N	\N	\N
728612	2491	1996-06-08	PRIJEM	VKLAD	10518	34925	\N	\N	\N
728613	2491	1996-07-08	PRIJEM	VKLAD	7012	35040	\N	\N	\N
728614	2491	1996-08-08	PRIJEM	VKLAD	7012	29629	\N	\N	\N
728615	2491	1996-09-08	PRIJEM	VKLAD	7012	30998	\N	\N	\N
728616	2491	1996-10-08	PRIJEM	VKLAD	7012	29971	\N	\N	\N
728617	2491	1996-11-08	PRIJEM	VKLAD	7012	29240	\N	\N	\N
728618	2491	1996-12-08	PRIJEM	VKLAD	10518	31010	\N	\N	\N
728619	2491	1997-01-08	PRIJEM	VKLAD	7012	24378	\N	\N	\N
728620	2491	1997-02-08	PRIJEM	VKLAD	7012	21512	\N	\N	\N
728621	2491	1997-03-08	PRIJEM	VKLAD	7012	23245	\N	\N	\N
728622	2491	1997-04-08	PRIJEM	VKLAD	7012	24987	\N	\N	\N
728623	2491	1997-05-08	PRIJEM	VKLAD	7012	23233	\N	\N	\N
728624	2491	1997-06-08	PRIJEM	VKLAD	10518	24276	\N	\N	\N
728625	2491	1997-07-08	PRIJEM	VKLAD	7012	20606	\N	\N	\N
728626	2491	1997-08-08	PRIJEM	VKLAD	7012	20433	\N	\N	\N
728627	2491	1997-09-08	PRIJEM	VKLAD	7012	23264	\N	\N	\N
728628	2491	1997-10-08	PRIJEM	VKLAD	7012	24904	\N	\N	\N
728629	2491	1997-11-08	PRIJEM	VKLAD	7012	27353	\N	\N	\N
728630	2491	1997-12-08	PRIJEM	VKLAD	10518	36221	\N	\N	\N
728631	2491	1998-01-08	PRIJEM	VKLAD	7012	35509	\N	\N	\N
728632	2491	1998-02-08	PRIJEM	VKLAD	7012	19979	\N	\N	\N
728633	2491	1998-03-08	PRIJEM	VKLAD	7012	21807	\N	\N	\N
728634	2491	1998-04-08	PRIJEM	VKLAD	7012	27247	\N	\N	\N
728635	2491	1998-05-08	PRIJEM	VKLAD	7012	30606	\N	\N	\N
728636	2491	1998-06-08	PRIJEM	VKLAD	10518	32377	\N	\N	\N
728637	2491	1998-07-08	PRIJEM	VKLAD	7012	31246	\N	\N	\N
728638	2491	1998-08-08	PRIJEM	VKLAD	7012	31317	\N	\N	\N
728639	2491	1998-09-08	PRIJEM	VKLAD	7012	32989	\N	\N	\N
728640	2491	1998-10-08	PRIJEM	VKLAD	7012	34168	\N	\N	\N
728641	2491	1998-11-08	PRIJEM	VKLAD	7012	35752	\N	\N	\N
728642	2491	1998-12-08	PRIJEM	VKLAD	10518	34236	\N	\N	\N
728649	2491	1996-07-11	VYDAJ	PREVOD NA UCET	1	31807	SIPO	ST	7648384
728650	2491	1996-08-11	VYDAJ	PREVOD NA UCET	1	26396	SIPO	ST	7648384
728651	2491	1996-09-11	VYDAJ	PREVOD NA UCET	1	27765	SIPO	ST	7648384
728652	2491	1996-10-11	VYDAJ	PREVOD NA UCET	1	26738	SIPO	ST	7648384
728653	2491	1996-11-11	VYDAJ	PREVOD NA UCET	1	26007	SIPO	ST	7648384
728654	2491	1996-12-11	VYDAJ	PREVOD NA UCET	1	27777	SIPO	ST	7648384
728655	2491	1997-01-11	VYDAJ	PREVOD NA UCET	1	21145	SIPO	ST	7648384
728656	2491	1997-02-11	VYDAJ	PREVOD NA UCET	1	18279	SIPO	ST	7648384
728657	2491	1997-03-11	VYDAJ	PREVOD NA UCET	1	20012	SIPO	ST	7648384
728658	2491	1997-04-11	VYDAJ	PREVOD NA UCET	1	21754	SIPO	ST	7648384
728659	2491	1997-05-11	VYDAJ	PREVOD NA UCET	1	20000	SIPO	ST	7648384
728660	2491	1997-06-11	VYDAJ	PREVOD NA UCET	1	17043	SIPO	ST	7648384
728661	2491	1997-07-11	VYDAJ	PREVOD NA UCET	1	17373	SIPO	ST	7648384
728662	2491	1997-08-11	VYDAJ	PREVOD NA UCET	1	17200	SIPO	ST	7648384
728663	2491	1997-09-11	VYDAJ	PREVOD NA UCET	1	20031	SIPO	ST	7648384
728664	2491	1997-10-11	VYDAJ	PREVOD NA UCET	1	21671	SIPO	ST	7648384
728665	2491	1997-11-11	VYDAJ	PREVOD NA UCET	1	24120	SIPO	ST	7648384
728666	2491	1997-12-11	VYDAJ	PREVOD NA UCET	1	32988	SIPO	ST	7648384
728667	2491	1998-01-11	VYDAJ	PREVOD NA UCET	1	32276	SIPO	ST	7648384
728668	2491	1998-02-11	VYDAJ	PREVOD NA UCET	1	16746	SIPO	ST	7648384
728669	2491	1998-03-11	VYDAJ	PREVOD NA UCET	1	18574	SIPO	ST	7648384
728670	2491	1998-04-11	VYDAJ	PREVOD NA UCET	1	24014	SIPO	ST	7648384
728671	2491	1998-05-11	VYDAJ	PREVOD NA UCET	1	27373	SIPO	ST	7648384
728672	2491	1998-06-11	VYDAJ	PREVOD NA UCET	1	29144	SIPO	ST	7648384
728673	2491	1998-07-11	VYDAJ	PREVOD NA UCET	1	28013	SIPO	ST	7648384
728674	2491	1998-08-11	VYDAJ	PREVOD NA UCET	1	28084	SIPO	ST	7648384
728675	2491	1998-09-11	VYDAJ	PREVOD NA UCET	1	29756	SIPO	ST	7648384
728676	2491	1998-10-11	VYDAJ	PREVOD NA UCET	1	30935	SIPO	ST	7648384
728677	2491	1998-11-11	VYDAJ	PREVOD NA UCET	1	32519	SIPO	ST	7648384
728678	2491	1998-12-11	VYDAJ	PREVOD NA UCET	1	30503	SIPO	ST	7648384
728685	2491	1996-07-09	VYDAJ	PREVOD NA UCET	3232	31808	 	OP	47771161
728686	2491	1996-08-09	VYDAJ	PREVOD NA UCET	3232	26397	 	OP	47771161
728687	2491	1996-09-09	VYDAJ	PREVOD NA UCET	3232	27766	 	OP	47771161
728688	2491	1996-10-09	VYDAJ	PREVOD NA UCET	3232	26739	 	OP	47771161
728689	2491	1996-11-09	VYDAJ	PREVOD NA UCET	3232	26008	 	OP	47771161
728690	2491	1996-12-09	VYDAJ	PREVOD NA UCET	3232	27778	 	OP	47771161
728691	2491	1997-01-09	VYDAJ	PREVOD NA UCET	3232	21146	 	OP	47771161
728692	2491	1997-02-09	VYDAJ	PREVOD NA UCET	3232	18280	 	OP	47771161
728693	2491	1997-03-09	VYDAJ	PREVOD NA UCET	3232	20013	 	OP	47771161
728694	2491	1997-04-09	VYDAJ	PREVOD NA UCET	3232	21755	 	OP	47771161
728695	2491	1997-05-09	VYDAJ	PREVOD NA UCET	3232	20001	 	OP	47771161
728696	2491	1997-06-09	VYDAJ	PREVOD NA UCET	3232	21044	 	OP	47771161
728697	2491	1997-07-09	VYDAJ	PREVOD NA UCET	3232	17374	 	OP	47771161
728698	2491	1997-08-09	VYDAJ	PREVOD NA UCET	3232	17201	 	OP	47771161
728699	2491	1997-09-09	VYDAJ	PREVOD NA UCET	3232	20032	 	OP	47771161
728700	2491	1997-10-09	VYDAJ	PREVOD NA UCET	3232	21672	 	OP	47771161
728701	2491	1997-11-09	VYDAJ	PREVOD NA UCET	3232	24121	 	OP	47771161
728702	2491	1997-12-09	VYDAJ	PREVOD NA UCET	3232	32989	 	OP	47771161
728703	2491	1998-01-09	VYDAJ	PREVOD NA UCET	3232	32277	 	OP	47771161
728704	2491	1998-02-09	VYDAJ	PREVOD NA UCET	3232	16747	 	OP	47771161
728705	2491	1998-03-09	VYDAJ	PREVOD NA UCET	3232	18575	 	OP	47771161
728706	2491	1998-04-09	VYDAJ	PREVOD NA UCET	3232	24015	 	OP	47771161
728707	2491	1998-05-09	VYDAJ	PREVOD NA UCET	3232	27374	 	OP	47771161
728708	2491	1998-06-09	VYDAJ	PREVOD NA UCET	3232	29145	 	OP	47771161
728709	2491	1998-07-09	VYDAJ	PREVOD NA UCET	3232	28014	 	OP	47771161
728710	2491	1998-08-09	VYDAJ	PREVOD NA UCET	3232	28085	 	OP	47771161
728711	2491	1998-09-09	VYDAJ	PREVOD NA UCET	3232	29757	 	OP	47771161
728712	2491	1998-10-09	VYDAJ	PREVOD NA UCET	3232	30936	 	OP	47771161
728713	2491	1998-11-09	VYDAJ	PREVOD NA UCET	3232	32520	 	OP	47771161
728714	2491	1998-12-09	VYDAJ	PREVOD NA UCET	3232	31004	 	OP	47771161
728719	2491	1997-01-05	VYDAJ	VYBER	1700	17366	\N	\N	\N
728720	2491	1998-01-24	VYDAJ	VYBER	4800	17676	\N	\N	\N
728721	2491	1996-12-20	VYDAJ	VYBER	700	27077	\N	\N	\N
728722	2491	1997-12-11	VYDAJ	VYBER	1200	31788	\N	\N	\N
728723	2491	1998-12-19	VYDAJ	VYBER	1200	26203	\N	\N	\N
728730	2491	1997-01-17	VYDAJ	VYBER	1700	13445	\N	\N	\N
728731	2491	1997-01-12	VYDAJ	VYBER	2100	16445	\N	\N	\N
728732	2491	1997-01-23	VYDAJ	VYBER	600	12845	\N	\N	\N
728734	2491	1997-01-11	VYDAJ	VYBER	2600	18545	\N	\N	\N
728735	2491	1997-01-16	VYDAJ	VYBER	1300	15145	\N	\N	\N
728736	2491	1998-01-03	VYDAJ	VYBER	1300	28497	\N	\N	\N
728738	2491	1998-01-18	VYDAJ	VYBER	2200	28776	\N	\N	\N
728739	2491	1998-01-26	VYDAJ	VYBER	2600	15076	\N	\N	\N
728740	2491	1998-01-15	VYDAJ	VYBER	1300	30976	\N	\N	\N
728741	2491	1998-01-26	VYDAJ	VYBER	2200	12876	\N	\N	\N
728743	2491	1997-06-11	VYDAJ	VYBER	4000	17044	\N	\N	\N
728744	2491	1997-01-31	VYDAJ	VYBER	500	14500	\N	\N	\N
728745	2491	1997-02-21	VYDAJ	VYBER	1800	14579	\N	\N	\N
728746	2491	1997-01-01	VYDAJ	VYBER	3300	19066	\N	\N	\N
728747	2491	1997-07-20	VYDAJ	VYBER	1500	15873	\N	\N	\N
728748	2491	1997-02-19	VYDAJ	VYBER	1900	16379	\N	\N	\N
728749	2491	1998-12-01	VYDAJ	VYBER	900	23718	\N	\N	\N
728750	2491	1998-07-25	VYDAJ	VYBER	1400	24213	\N	\N	\N
728751	2491	1998-02-22	VYDAJ	VYBER	4300	14746	\N	\N	\N
728752	2491	1998-12-09	VYDAJ	VYBER	500	30504	\N	\N	\N
728753	2491	1998-06-19	VYDAJ	VYBER	1500	24144	\N	\N	\N
728761	2491	1996-07-31	VYDAJ	VYBER	15	22617	SLUZBY	\N	\N
728762	2491	1996-08-31	VYDAJ	VYBER	15	23986	SLUZBY	\N	\N
728763	2491	1996-09-30	VYDAJ	VYBER	15	22959	SLUZBY	\N	\N
728764	2491	1996-10-31	VYDAJ	VYBER	15	22228	SLUZBY	\N	\N
728765	2491	1996-11-30	VYDAJ	VYBER	15	20492	SLUZBY	\N	\N
728766	2491	1996-12-31	VYDAJ	VYBER	15	22366	SLUZBY	\N	\N
728767	2491	1997-01-31	VYDAJ	VYBER	15	15000	SLUZBY	\N	\N
728768	2491	1997-02-28	VYDAJ	VYBER	15	16233	SLUZBY	\N	\N
728769	2491	1997-03-31	VYDAJ	VYBER	15	17975	SLUZBY	\N	\N
728770	2491	1997-04-30	VYDAJ	VYBER	15	16221	SLUZBY	\N	\N
728771	2491	1997-05-31	VYDAJ	VYBER	15	13758	SLUZBY	\N	\N
728772	2491	1997-06-30	VYDAJ	VYBER	15	13594	SLUZBY	\N	\N
728773	2491	1997-07-31	VYDAJ	VYBER	15	13421	SLUZBY	\N	\N
728774	2491	1997-08-31	VYDAJ	VYBER	15	16252	SLUZBY	\N	\N
728775	2491	1997-09-30	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
728776	2491	1997-10-31	VYDAJ	VYBER	15	20341	SLUZBY	\N	\N
728777	2491	1997-11-30	VYDAJ	VYBER	15	25703	SLUZBY	\N	\N
728778	2491	1997-12-31	VYDAJ	VYBER	15	29797	SLUZBY	\N	\N
728779	2491	1998-01-31	VYDAJ	VYBER	15	12967	SLUZBY	\N	\N
728780	2491	1998-02-28	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
728781	2491	1998-03-31	VYDAJ	VYBER	15	20235	SLUZBY	\N	\N
728782	2491	1998-04-30	VYDAJ	VYBER	15	23594	SLUZBY	\N	\N
728783	2491	1998-05-31	VYDAJ	VYBER	15	21859	SLUZBY	\N	\N
728784	2491	1998-06-30	VYDAJ	VYBER	15	24234	SLUZBY	\N	\N
728785	2491	1998-07-31	VYDAJ	VYBER	15	24305	SLUZBY	\N	\N
728786	2491	1998-08-31	VYDAJ	VYBER	15	25977	SLUZBY	\N	\N
728787	2491	1998-09-30	VYDAJ	VYBER	15	27156	SLUZBY	\N	\N
728788	2491	1998-10-31	VYDAJ	VYBER	15	28740	SLUZBY	\N	\N
728789	2491	1998-11-30	VYDAJ	VYBER	15	24618	SLUZBY	\N	\N
728790	2491	1996-03-31	PRIJEM	VKLAD	6900	14437	\N	\N	\N
728791	2491	1996-04-30	VYDAJ	VYBER	1300	20210	\N	\N	\N
728792	2491	1996-05-30	VYDAJ	VYBER	2900	24322	\N	\N	\N
728793	2491	1996-06-29	VYDAJ	VYBER	7000	27925	\N	\N	\N
728794	2491	1996-07-29	VYDAJ	VYBER	9300	22507	\N	\N	\N
728795	2491	1996-08-28	VYDAJ	VYBER	2500	23896	\N	\N	\N
728796	2491	1996-09-27	VYDAJ	VYBER	4900	22865	\N	\N	\N
728797	2491	1996-10-27	VYDAJ	VYBER	4600	22138	\N	\N	\N
728798	2491	1996-11-26	VYDAJ	VYBER	5600	20407	\N	\N	\N
728799	2491	1996-12-26	VYDAJ	VYBER	4800	22277	\N	\N	\N
728800	2491	1997-01-25	PRIJEM	VKLAD	2100	14945	\N	\N	\N
728801	2491	1997-02-24	PRIJEM	VKLAD	1600	16179	\N	\N	\N
728802	2491	1997-03-26	VYDAJ	VYBER	2100	17912	\N	\N	\N
728803	2491	1997-04-25	VYDAJ	VYBER	5600	16154	\N	\N	\N
728804	2491	1997-05-25	VYDAJ	VYBER	6300	13700	\N	\N	\N
728805	2491	1997-06-24	VYDAJ	VYBER	3500	13543	\N	\N	\N
728806	2491	1997-07-24	VYDAJ	VYBER	2500	13373	\N	\N	\N
728807	2491	1997-08-23	VYDAJ	VYBER	1000	16200	\N	\N	\N
728808	2491	1997-09-22	VYDAJ	VYBER	2200	17831	\N	\N	\N
728809	2491	1997-10-22	VYDAJ	VYBER	1400	20271	\N	\N	\N
728810	2491	1997-11-21	PRIJEM	VKLAD	1500	25620	\N	\N	\N
728811	2491	1997-12-21	VYDAJ	VYBER	2100	29688	\N	\N	\N
728812	2491	1998-01-20	VYDAJ	VYBER	6300	22476	\N	\N	\N
728813	2491	1998-02-19	PRIJEM	VKLAD	2300	19046	\N	\N	\N
728814	2491	1998-03-21	PRIJEM	VKLAD	1600	20174	\N	\N	\N
728815	2491	1998-04-20	VYDAJ	VYBER	500	23514	\N	\N	\N
728816	2491	1998-05-20	VYDAJ	VYBER	5600	21773	\N	\N	\N
728817	2491	1998-06-19	VYDAJ	VYBER	3500	25644	\N	\N	\N
728818	2491	1998-07-19	VYDAJ	VYBER	2400	25613	\N	\N	\N
728819	2491	1998-08-18	VYDAJ	VYBER	2200	25884	\N	\N	\N
728820	2491	1998-09-17	VYDAJ	VYBER	2700	27056	\N	\N	\N
728821	2491	1998-10-17	VYDAJ	VYBER	2300	28635	\N	\N	\N
728822	2491	1998-11-16	VYDAJ	VYBER	8000	24519	\N	\N	\N
728823	2491	1998-12-16	VYDAJ	VYBER	3100	27403	\N	\N	\N
728858	2492	1997-09-01	PRIJEM	VKLAD	700	700	\N	\N	\N
728867	2492	1997-09-13	PRIJEM	PREVOD Z UCTU	6901	7601	DUCHOD	GH	74742007
728868	2492	1997-10-13	PRIJEM	PREVOD Z UCTU	6901	14521	DUCHOD	GH	74742007
728869	2492	1997-11-13	PRIJEM	PREVOD Z UCTU	6901	21454	DUCHOD	GH	74742007
728870	2492	1997-12-13	PRIJEM	PREVOD Z UCTU	6901	25888	DUCHOD	GH	74742007
728871	2492	1998-01-13	PRIJEM	PREVOD Z UCTU	6901	30169	DUCHOD	GH	74742007
728872	2492	1998-02-13	PRIJEM	PREVOD Z UCTU	6901	26846	DUCHOD	GH	74742007
728873	2492	1998-03-13	PRIJEM	PREVOD Z UCTU	6901	26393	DUCHOD	GH	74742007
728874	2492	1998-04-13	PRIJEM	PREVOD Z UCTU	6901	24795	DUCHOD	GH	74742007
728875	2492	1998-05-13	PRIJEM	PREVOD Z UCTU	6901	20356	DUCHOD	GH	74742007
728876	2492	1998-06-13	PRIJEM	PREVOD Z UCTU	6901	21420	DUCHOD	GH	74742007
728877	2492	1998-07-13	PRIJEM	PREVOD Z UCTU	6901	19687	DUCHOD	GH	74742007
728878	2492	1998-08-13	PRIJEM	PREVOD Z UCTU	6901	18903	DUCHOD	GH	74742007
728879	2492	1998-09-13	PRIJEM	PREVOD Z UCTU	6901	21317	DUCHOD	GH	74742007
728880	2492	1998-10-13	PRIJEM	PREVOD Z UCTU	6901	21341	DUCHOD	GH	74742007
728881	2492	1998-11-13	PRIJEM	PREVOD Z UCTU	6901	20523	DUCHOD	GH	74742007
728882	2492	1998-12-13	PRIJEM	PREVOD Z UCTU	6901	16642	DUCHOD	GH	74742007
728896	2492	1998-02-06	VYDAJ	PREVOD NA UCET	3235	21625	SIPO	ST	72453939
728897	2492	1998-03-06	VYDAJ	PREVOD NA UCET	3235	19492	SIPO	ST	72453939
728898	2492	1998-04-06	VYDAJ	PREVOD NA UCET	3235	17894	SIPO	ST	72453939
728899	2492	1998-05-06	VYDAJ	PREVOD NA UCET	3235	15135	SIPO	ST	72453939
728900	2492	1998-06-06	VYDAJ	PREVOD NA UCET	3235	14519	SIPO	ST	72453939
728901	2492	1998-07-06	VYDAJ	PREVOD NA UCET	3235	12786	SIPO	ST	72453939
728902	2492	1998-08-06	VYDAJ	PREVOD NA UCET	3235	12002	SIPO	ST	72453939
728903	2492	1998-09-06	VYDAJ	PREVOD NA UCET	3235	14416	SIPO	ST	72453939
728904	2492	1998-10-06	VYDAJ	PREVOD NA UCET	3235	14440	SIPO	ST	72453939
728905	2492	1998-11-06	VYDAJ	PREVOD NA UCET	3235	13622	SIPO	ST	72453939
728906	2492	1998-12-06	VYDAJ	PREVOD NA UCET	3235	9741	SIPO	ST	72453939
728919	2492	1998-01-13	VYDAJ	PREVOD NA UCET	506	29663	 	GH	49046558
728920	2492	1998-02-13	VYDAJ	PREVOD NA UCET	506	26340	 	GH	49046558
728921	2492	1998-03-13	VYDAJ	PREVOD NA UCET	506	25887	 	GH	49046558
728922	2492	1998-04-13	VYDAJ	PREVOD NA UCET	506	24289	 	GH	49046558
728923	2492	1998-05-13	VYDAJ	PREVOD NA UCET	506	19850	 	GH	49046558
728924	2492	1998-06-13	VYDAJ	PREVOD NA UCET	506	20914	 	GH	49046558
728925	2492	1998-07-13	VYDAJ	PREVOD NA UCET	506	19181	 	GH	49046558
728926	2492	1998-08-13	VYDAJ	PREVOD NA UCET	506	18397	 	GH	49046558
728927	2492	1998-09-13	VYDAJ	PREVOD NA UCET	506	20811	 	GH	49046558
728928	2492	1998-10-13	VYDAJ	PREVOD NA UCET	506	18995	 	GH	49046558
728929	2492	1998-11-13	VYDAJ	PREVOD NA UCET	506	20017	 	GH	49046558
728930	2492	1998-12-13	VYDAJ	PREVOD NA UCET	506	16136	 	GH	49046558
728934	2492	1998-12-01	VYDAJ	VYBER	900	12976	\N	\N	\N
728939	2492	1998-10-13	VYDAJ	VYBER	1840	19501	\N	\N	\N
728940	2492	1998-03-14	VYDAJ	VYBER	2240	23647	\N	\N	\N
728941	2492	1998-06-29	VYDAJ	VYBER	3760	15954	\N	\N	\N
728942	2492	1998-08-01	VYDAJ	VYBER	1200	15237	\N	\N	\N
728943	2492	1998-02-07	VYDAJ	VYBER	1680	19945	\N	\N	\N
728944	2492	1998-05-12	VYDAJ	VYBER	1680	13455	\N	\N	\N
728945	2492	1998-07-21	VYDAJ	VYBER	2800	16381	\N	\N	\N
728946	2492	1998-05-24	VYDAJ	VYBER	2160	17690	\N	\N	\N
728960	2492	1998-01-31	VYDAJ	VYBER	15	24860	SLUZBY	\N	\N
728961	2492	1998-02-28	VYDAJ	VYBER	15	22727	SLUZBY	\N	\N
728962	2492	1998-03-31	VYDAJ	VYBER	15	21129	SLUZBY	\N	\N
728963	2492	1998-04-30	VYDAJ	VYBER	15	18370	SLUZBY	\N	\N
728964	2492	1998-05-31	VYDAJ	VYBER	15	17754	SLUZBY	\N	\N
728965	2492	1998-06-30	VYDAJ	VYBER	15	16021	SLUZBY	\N	\N
728966	2492	1998-07-31	VYDAJ	VYBER	15	16437	SLUZBY	\N	\N
728967	2492	1998-08-31	VYDAJ	VYBER	15	17651	SLUZBY	\N	\N
728968	2492	1998-09-30	VYDAJ	VYBER	15	17675	SLUZBY	\N	\N
728969	2492	1998-10-31	VYDAJ	VYBER	15	16857	SLUZBY	\N	\N
728970	2492	1998-11-30	VYDAJ	VYBER	15	13876	SLUZBY	\N	\N
728971	2492	1997-11-30	VYDAJ	VYBER	2500	18987	\N	\N	\N
728972	2492	1997-12-30	VYDAJ	VYBER	2700	23188	\N	\N	\N
728973	2492	1998-01-29	VYDAJ	VYBER	4900	24763	\N	\N	\N
728974	2492	1998-02-28	VYDAJ	VYBER	3700	22742	\N	\N	\N
728975	2492	1998-03-30	VYDAJ	VYBER	2600	21047	\N	\N	\N
728976	2492	1998-04-29	VYDAJ	VYBER	6000	18289	\N	\N	\N
728977	2492	1998-06-28	VYDAJ	VYBER	1200	19714	\N	\N	\N
728978	2492	1998-08-27	VYDAJ	VYBER	800	17597	\N	\N	\N
728979	2492	1998-09-26	VYDAJ	VYBER	3200	17611	\N	\N	\N
728980	2492	1998-10-26	VYDAJ	VYBER	2200	16795	\N	\N	\N
728981	2492	1998-11-25	VYDAJ	VYBER	6200	13817	\N	\N	\N
728998	2493	1993-03-29	PRIJEM	VKLAD	300	300	\N	\N	\N
729002	2493	1993-04-12	PRIJEM	VKLAD	8063	8363	\N	\N	\N
729003	2493	1993-05-12	PRIJEM	VKLAD	8063	23132	\N	\N	\N
729004	2493	1993-06-12	PRIJEM	VKLAD	12094	37294	\N	\N	\N
729005	2493	1993-07-12	PRIJEM	VKLAD	8063	38465	\N	\N	\N
729006	2493	1993-08-12	PRIJEM	VKLAD	8063	38955	\N	\N	\N
729007	2493	1993-09-12	PRIJEM	VKLAD	8063	35258	\N	\N	\N
729008	2493	1993-10-12	PRIJEM	VKLAD	8063	33750	\N	\N	\N
729009	2493	1993-11-12	PRIJEM	VKLAD	8063	28652	\N	\N	\N
729010	2493	1993-12-12	PRIJEM	VKLAD	12094	34170	\N	\N	\N
729011	2493	1994-01-12	PRIJEM	VKLAD	8063	31647	\N	\N	\N
729012	2493	1994-02-12	PRIJEM	VKLAD	8063	29373	\N	\N	\N
729013	2493	1994-03-12	PRIJEM	VKLAD	8063	28060	\N	\N	\N
729014	2493	1994-04-12	PRIJEM	VKLAD	8063	29183	\N	\N	\N
729015	2493	1994-05-12	PRIJEM	VKLAD	8063	27910	\N	\N	\N
729016	2493	1994-06-12	PRIJEM	VKLAD	12094	34626	\N	\N	\N
729017	2493	1994-07-12	PRIJEM	VKLAD	8063	34330	\N	\N	\N
729018	2493	1994-08-12	PRIJEM	VKLAD	8063	30538	\N	\N	\N
729019	2493	1994-09-12	PRIJEM	VKLAD	8063	33073	\N	\N	\N
729020	2493	1994-10-12	PRIJEM	VKLAD	8063	34278	\N	\N	\N
729021	2493	1994-11-12	PRIJEM	VKLAD	8063	30983	\N	\N	\N
729022	2493	1994-12-12	PRIJEM	VKLAD	12094	32730	\N	\N	\N
729023	2493	1995-01-12	PRIJEM	VKLAD	8063	34232	\N	\N	\N
729024	2493	1995-02-12	PRIJEM	VKLAD	8063	23139	\N	\N	\N
729025	2493	1995-03-12	PRIJEM	VKLAD	8063	30112	\N	\N	\N
729026	2493	1995-04-12	PRIJEM	VKLAD	8063	34606	\N	\N	\N
729027	2493	1995-05-12	PRIJEM	VKLAD	8063	37819	\N	\N	\N
729028	2493	1995-06-12	PRIJEM	VKLAD	12094	41490	\N	\N	\N
729029	2493	1995-07-12	PRIJEM	VKLAD	8063	27020	\N	\N	\N
729030	2493	1995-08-12	PRIJEM	VKLAD	8063	30772	\N	\N	\N
729031	2493	1995-09-12	PRIJEM	VKLAD	8063	32470	\N	\N	\N
729032	2493	1995-10-12	PRIJEM	VKLAD	8063	40285	\N	\N	\N
729033	2493	1995-11-12	PRIJEM	VKLAD	8063	43907	\N	\N	\N
729034	2493	1995-12-12	PRIJEM	VKLAD	12094	51391	\N	\N	\N
729035	2493	1996-01-12	PRIJEM	VKLAD	8063	43120	\N	\N	\N
729036	2493	1996-02-12	PRIJEM	VKLAD	8063	50183	\N	\N	\N
729037	2493	1996-03-12	PRIJEM	VKLAD	8063	51857	\N	\N	\N
729038	2493	1996-04-12	PRIJEM	VKLAD	8063	54541	\N	\N	\N
729039	2493	1996-05-12	PRIJEM	VKLAD	8063	54518	\N	\N	\N
729040	2493	1996-06-12	PRIJEM	VKLAD	12094	62220	\N	\N	\N
729041	2493	1996-07-12	PRIJEM	VKLAD	8063	57991	\N	\N	\N
729042	2493	1996-08-12	PRIJEM	VKLAD	8063	62325	\N	\N	\N
729043	2493	1996-09-12	PRIJEM	VKLAD	8063	66146	\N	\N	\N
729044	2493	1996-10-12	PRIJEM	VKLAD	8063	68169	\N	\N	\N
729045	2493	1996-11-12	PRIJEM	VKLAD	8063	66976	\N	\N	\N
729046	2493	1996-12-12	PRIJEM	VKLAD	12094	75213	\N	\N	\N
729047	2493	1997-01-12	PRIJEM	VKLAD	8063	71664	\N	\N	\N
729048	2493	1997-02-12	PRIJEM	VKLAD	8063	71533	\N	\N	\N
729049	2493	1997-03-12	PRIJEM	VKLAD	8063	68040	\N	\N	\N
729050	2493	1997-04-12	PRIJEM	VKLAD	8063	68294	\N	\N	\N
729051	2493	1997-05-12	PRIJEM	VKLAD	8063	70546	\N	\N	\N
729052	2493	1997-06-12	PRIJEM	VKLAD	12094	59549	\N	\N	\N
729053	2493	1997-07-12	PRIJEM	VKLAD	8063	64266	\N	\N	\N
729054	2493	1997-08-12	PRIJEM	VKLAD	8063	62733	\N	\N	\N
729055	2493	1997-09-12	PRIJEM	VKLAD	8063	62163	\N	\N	\N
729056	2493	1997-10-12	PRIJEM	VKLAD	8063	65790	\N	\N	\N
729057	2493	1997-11-12	PRIJEM	VKLAD	8063	70621	\N	\N	\N
729058	2493	1997-12-12	PRIJEM	VKLAD	12094	76705	\N	\N	\N
729059	2493	1998-01-12	PRIJEM	VKLAD	8063	72823	\N	\N	\N
729060	2493	1998-02-12	PRIJEM	VKLAD	8063	71827	\N	\N	\N
729061	2493	1998-03-12	PRIJEM	VKLAD	8063	75460	\N	\N	\N
729062	2493	1998-04-12	PRIJEM	VKLAD	8063	77031	\N	\N	\N
729063	2493	1998-05-12	PRIJEM	VKLAD	8063	73556	\N	\N	\N
729064	2493	1998-06-12	PRIJEM	VKLAD	12094	38524	\N	\N	\N
729065	2493	1998-07-12	PRIJEM	VKLAD	8063	59852	\N	\N	\N
729066	2493	1998-08-12	PRIJEM	VKLAD	8063	70445	\N	\N	\N
729067	2493	1998-09-12	PRIJEM	VKLAD	8063	71683	\N	\N	\N
729068	2493	1998-10-12	PRIJEM	VKLAD	8063	77945	\N	\N	\N
729069	2493	1998-11-12	PRIJEM	VKLAD	8063	80034	\N	\N	\N
729070	2493	1998-12-12	PRIJEM	VKLAD	12094	85462	\N	\N	\N
729079	2493	1993-09-09	VYDAJ	PREVOD NA UCET	5375	27195	SIPO	EF	91739165
729080	2493	1993-10-09	VYDAJ	PREVOD NA UCET	5375	25687	SIPO	EF	91739165
729081	2493	1993-11-09	VYDAJ	PREVOD NA UCET	5375	20589	SIPO	EF	91739165
729082	2493	1993-12-09	VYDAJ	PREVOD NA UCET	5375	22076	SIPO	EF	91739165
729083	2493	1994-01-09	VYDAJ	PREVOD NA UCET	5375	23584	SIPO	EF	91739165
729084	2493	1994-02-09	VYDAJ	PREVOD NA UCET	5375	21310	SIPO	EF	91739165
729085	2493	1994-03-09	VYDAJ	PREVOD NA UCET	5375	19997	SIPO	EF	91739165
729086	2493	1994-04-09	VYDAJ	PREVOD NA UCET	5375	21120	SIPO	EF	91739165
729087	2493	1994-05-09	VYDAJ	PREVOD NA UCET	5375	19847	SIPO	EF	91739165
729088	2493	1994-06-09	VYDAJ	PREVOD NA UCET	5375	22532	SIPO	EF	91739165
729089	2493	1994-07-09	VYDAJ	PREVOD NA UCET	5375	26267	SIPO	EF	91739165
729090	2493	1994-08-09	VYDAJ	PREVOD NA UCET	5375	22475	SIPO	EF	91739165
729091	2493	1994-09-09	VYDAJ	PREVOD NA UCET	5375	25010	SIPO	EF	91739165
729092	2493	1994-10-09	VYDAJ	PREVOD NA UCET	5375	26215	SIPO	EF	91739165
729093	2493	1994-11-09	VYDAJ	PREVOD NA UCET	5375	22920	SIPO	EF	91739165
729094	2493	1994-12-09	VYDAJ	PREVOD NA UCET	5375	20636	SIPO	EF	91739165
729095	2493	1995-01-09	VYDAJ	PREVOD NA UCET	5375	26169	SIPO	EF	91739165
729096	2493	1995-02-09	VYDAJ	PREVOD NA UCET	5375	15076	SIPO	EF	91739165
729097	2493	1995-03-09	VYDAJ	PREVOD NA UCET	5375	22049	SIPO	EF	91739165
729098	2493	1995-04-09	VYDAJ	PREVOD NA UCET	5375	26543	SIPO	EF	91739165
729099	2493	1995-05-09	VYDAJ	PREVOD NA UCET	5375	29756	SIPO	EF	91739165
729100	2493	1995-06-09	VYDAJ	PREVOD NA UCET	5375	29396	SIPO	EF	91739165
729101	2493	1995-07-09	VYDAJ	PREVOD NA UCET	5375	18957	SIPO	EF	91739165
729102	2493	1995-08-09	VYDAJ	PREVOD NA UCET	5375	24269	SIPO	EF	91739165
729103	2493	1995-09-09	VYDAJ	PREVOD NA UCET	5375	24407	SIPO	EF	91739165
729104	2493	1995-10-09	VYDAJ	PREVOD NA UCET	5375	32222	SIPO	EF	91739165
729105	2493	1995-11-09	VYDAJ	PREVOD NA UCET	5375	35844	SIPO	EF	91739165
729106	2493	1995-12-09	VYDAJ	PREVOD NA UCET	5375	39297	SIPO	EF	91739165
729107	2493	1996-01-09	VYDAJ	PREVOD NA UCET	5375	35057	SIPO	EF	91739165
729108	2493	1996-02-09	VYDAJ	PREVOD NA UCET	5375	42120	SIPO	EF	91739165
729109	2493	1996-03-09	VYDAJ	PREVOD NA UCET	5375	43794	SIPO	EF	91739165
729110	2493	1996-04-09	VYDAJ	PREVOD NA UCET	5375	46478	SIPO	EF	91739165
729111	2493	1996-05-09	VYDAJ	PREVOD NA UCET	5375	50175	SIPO	EF	91739165
729112	2493	1996-06-09	VYDAJ	PREVOD NA UCET	5375	46526	SIPO	EF	91739165
729113	2493	1996-07-09	VYDAJ	PREVOD NA UCET	5375	40828	SIPO	EF	91739165
729114	2493	1996-08-09	VYDAJ	PREVOD NA UCET	5375	50062	SIPO	EF	91739165
729115	2493	1996-09-09	VYDAJ	PREVOD NA UCET	5375	58083	SIPO	EF	91739165
729116	2493	1996-10-09	VYDAJ	PREVOD NA UCET	5375	60106	SIPO	EF	91739165
729117	2493	1996-11-09	VYDAJ	PREVOD NA UCET	5375	58913	SIPO	EF	91739165
729118	2493	1996-12-09	VYDAJ	PREVOD NA UCET	5375	63119	SIPO	EF	91739165
729119	2493	1997-01-09	VYDAJ	PREVOD NA UCET	5375	63601	SIPO	EF	91739165
729120	2493	1997-02-09	VYDAJ	PREVOD NA UCET	5375	63470	SIPO	EF	91739165
729121	2493	1997-03-09	VYDAJ	PREVOD NA UCET	5375	59977	SIPO	EF	91739165
729122	2493	1997-04-09	VYDAJ	PREVOD NA UCET	5375	60231	SIPO	EF	91739165
729123	2493	1997-05-09	VYDAJ	PREVOD NA UCET	5375	62483	SIPO	EF	91739165
729124	2493	1997-06-09	VYDAJ	PREVOD NA UCET	5375	47455	SIPO	EF	91739165
729125	2493	1997-07-09	VYDAJ	PREVOD NA UCET	5375	56203	SIPO	EF	91739165
729126	2493	1997-08-09	VYDAJ	PREVOD NA UCET	5375	54670	SIPO	EF	91739165
729127	2493	1997-09-09	VYDAJ	PREVOD NA UCET	5375	54100	SIPO	EF	91739165
729128	2493	1997-10-09	VYDAJ	PREVOD NA UCET	5375	57727	SIPO	EF	91739165
729129	2493	1997-11-09	VYDAJ	PREVOD NA UCET	5375	62558	SIPO	EF	91739165
729130	2493	1997-12-09	VYDAJ	PREVOD NA UCET	5375	64611	SIPO	EF	91739165
729131	2493	1998-01-09	VYDAJ	PREVOD NA UCET	5375	64760	SIPO	EF	91739165
729132	2493	1998-02-09	VYDAJ	PREVOD NA UCET	5375	63764	SIPO	EF	91739165
729133	2493	1998-03-09	VYDAJ	PREVOD NA UCET	5375	67397	SIPO	EF	91739165
729134	2493	1998-04-09	VYDAJ	PREVOD NA UCET	5375	68968	SIPO	EF	91739165
729135	2493	1998-05-09	VYDAJ	PREVOD NA UCET	5375	68853	SIPO	EF	91739165
729136	2493	1998-06-09	VYDAJ	PREVOD NA UCET	5375	26430	SIPO	EF	91739165
729137	2493	1998-07-09	VYDAJ	PREVOD NA UCET	5375	51789	SIPO	EF	91739165
729138	2493	1998-08-09	VYDAJ	PREVOD NA UCET	5375	62382	SIPO	EF	91739165
729139	2493	1998-09-09	VYDAJ	PREVOD NA UCET	5375	63620	SIPO	EF	91739165
729140	2493	1998-10-09	VYDAJ	PREVOD NA UCET	5375	69882	SIPO	EF	91739165
729141	2493	1998-11-09	VYDAJ	PREVOD NA UCET	5375	71971	SIPO	EF	91739165
729142	2493	1998-12-09	VYDAJ	PREVOD NA UCET	5375	73368	SIPO	EF	91739165
729145	2493	1995-06-22	VYDAJ	VYBER	11680	24210	\N	\N	\N
729146	2493	1996-06-12	VYDAJ	VYBER	11680	50540	\N	\N	\N
729147	2493	1997-06-02	VYDAJ	VYBER	19040	48530	\N	\N	\N
729148	2493	1998-06-03	VYDAJ	VYBER	44640	31805	\N	\N	\N
729150	2493	1994-01-14	VYDAJ	VYBER	8160	23487	\N	\N	\N
729151	2493	1995-01-30	VYDAJ	VYBER	13600	20332	\N	\N	\N
729152	2493	1996-01-04	VYDAJ	VYBER	5920	40432	\N	\N	\N
729153	2493	1997-01-06	VYDAJ	VYBER	9120	66376	\N	\N	\N
729154	2493	1998-01-07	VYDAJ	VYBER	4320	70135	\N	\N	\N
729155	2493	1993-12-15	VYDAJ	VYBER	2720	31450	\N	\N	\N
729156	2493	1994-12-09	VYDAJ	VYBER	4480	26011	\N	\N	\N
729157	2493	1995-12-27	VYDAJ	VYBER	2720	46171	\N	\N	\N
729158	2493	1996-12-06	VYDAJ	VYBER	3040	64194	\N	\N	\N
729159	2493	1997-12-12	VYDAJ	VYBER	3840	72865	\N	\N	\N
729160	2493	1998-12-29	VYDAJ	VYBER	2240	80222	\N	\N	\N
729164	2493	1993-09-24	VYDAJ	VYBER	1920	33338	\N	\N	\N
729165	2493	1993-10-23	VYDAJ	VYBER	1800	31950	\N	\N	\N
729168	2493	1994-03-22	VYDAJ	VYBER	5160	22900	\N	\N	\N
729169	2493	1994-08-08	VYDAJ	VYBER	2880	27850	\N	\N	\N
729170	2493	1994-10-20	VYDAJ	VYBER	3960	30318	\N	\N	\N
729171	2493	1994-07-26	VYDAJ	VYBER	2520	30610	\N	\N	\N
729172	2493	1994-04-24	VYDAJ	VYBER	5160	25123	\N	\N	\N
729173	2493	1994-11-07	VYDAJ	VYBER	840	28295	\N	\N	\N
729174	2493	1994-08-17	VYDAJ	VYBER	3960	26578	\N	\N	\N
729175	2493	1995-03-13	VYDAJ	VYBER	4200	25912	\N	\N	\N
729176	2493	1995-08-11	VYDAJ	VYBER	1560	22709	\N	\N	\N
729177	2493	1995-10-29	VYDAJ	VYBER	1920	41065	\N	\N	\N
729178	2493	1995-05-17	VYDAJ	VYBER	4080	33739	\N	\N	\N
729179	2493	1995-07-29	VYDAJ	VYBER	3480	29540	\N	\N	\N
729180	2493	1995-08-19	VYDAJ	VYBER	4800	29672	\N	\N	\N
729181	2493	1996-06-29	VYDAJ	VYBER	4560	45980	\N	\N	\N
729182	2493	1996-07-26	VYDAJ	VYBER	2760	55231	\N	\N	\N
729183	2493	1996-05-16	VYDAJ	VYBER	720	51698	\N	\N	\N
729184	2493	1996-10-16	VYDAJ	VYBER	2640	65529	\N	\N	\N
729185	2493	1996-05-09	VYDAJ	VYBER	3720	46455	\N	\N	\N
729186	2493	1996-10-06	VYDAJ	VYBER	1320	65081	\N	\N	\N
729187	2493	1997-07-12	VYDAJ	VYBER	960	63306	\N	\N	\N
729188	2493	1997-03-06	VYDAJ	VYBER	4560	67252	\N	\N	\N
729189	2493	1997-05-14	VYDAJ	VYBER	3240	67306	\N	\N	\N
729190	2493	1997-10-13	VYDAJ	VYBER	2400	63390	\N	\N	\N
729191	2493	1998-02-20	VYDAJ	VYBER	5520	66307	\N	\N	\N
729192	2493	1998-09-04	VYDAJ	VYBER	720	68995	\N	\N	\N
729193	2493	1998-05-11	VYDAJ	VYBER	3360	65493	\N	\N	\N
729194	2493	1998-04-24	VYDAJ	VYBER	600	76431	\N	\N	\N
729195	2493	1998-01-24	VYDAJ	VYBER	5160	67663	\N	\N	\N
729204	2493	1993-08-31	VYDAJ	VYBER	15	32570	SLUZBY	\N	\N
729205	2493	1993-09-30	VYDAJ	VYBER	15	31062	SLUZBY	\N	\N
729206	2493	1993-10-31	VYDAJ	VYBER	15	25964	SLUZBY	\N	\N
729207	2493	1993-11-30	VYDAJ	VYBER	15	27451	SLUZBY	\N	\N
729208	2493	1993-12-31	VYDAJ	VYBER	15	28959	SLUZBY	\N	\N
729209	2493	1994-01-31	VYDAJ	VYBER	15	26685	SLUZBY	\N	\N
729210	2493	1994-02-28	VYDAJ	VYBER	15	25372	SLUZBY	\N	\N
729211	2493	1994-03-31	VYDAJ	VYBER	15	26495	SLUZBY	\N	\N
729212	2493	1994-04-30	VYDAJ	VYBER	15	25222	SLUZBY	\N	\N
729213	2493	1994-05-31	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
729214	2493	1994-06-30	VYDAJ	VYBER	15	31642	SLUZBY	\N	\N
729215	2493	1994-07-31	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
729216	2493	1994-08-31	VYDAJ	VYBER	15	30385	SLUZBY	\N	\N
729217	2493	1994-09-30	VYDAJ	VYBER	15	31590	SLUZBY	\N	\N
729218	2493	1994-10-31	VYDAJ	VYBER	15	29135	SLUZBY	\N	\N
729219	2493	1994-11-30	VYDAJ	VYBER	15	30491	SLUZBY	\N	\N
729220	2493	1994-12-31	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
729221	2493	1995-01-31	VYDAJ	VYBER	15	20451	SLUZBY	\N	\N
729222	2493	1995-02-28	VYDAJ	VYBER	15	27424	SLUZBY	\N	\N
729223	2493	1995-03-31	VYDAJ	VYBER	15	31918	SLUZBY	\N	\N
729224	2493	1995-04-30	VYDAJ	VYBER	15	35131	SLUZBY	\N	\N
729225	2493	1995-05-31	VYDAJ	VYBER	15	34771	SLUZBY	\N	\N
729226	2493	1995-06-30	VYDAJ	VYBER	15	24332	SLUZBY	\N	\N
729227	2493	1995-07-31	VYDAJ	VYBER	15	29644	SLUZBY	\N	\N
729228	2493	1995-08-31	VYDAJ	VYBER	15	29782	SLUZBY	\N	\N
729229	2493	1995-09-30	VYDAJ	VYBER	15	37597	SLUZBY	\N	\N
729230	2493	1995-10-31	VYDAJ	VYBER	15	41219	SLUZBY	\N	\N
729231	2493	1995-11-30	VYDAJ	VYBER	15	44672	SLUZBY	\N	\N
729232	2493	1995-12-31	VYDAJ	VYBER	15	46352	SLUZBY	\N	\N
729233	2493	1996-01-31	VYDAJ	VYBER	15	47495	SLUZBY	\N	\N
729234	2493	1996-02-29	VYDAJ	VYBER	15	49169	SLUZBY	\N	\N
729235	2493	1996-03-31	VYDAJ	VYBER	15	51853	SLUZBY	\N	\N
729236	2493	1996-04-30	VYDAJ	VYBER	15	55550	SLUZBY	\N	\N
729237	2493	1996-05-31	VYDAJ	VYBER	15	51901	SLUZBY	\N	\N
729238	2493	1996-06-30	VYDAJ	VYBER	15	46203	SLUZBY	\N	\N
729239	2493	1996-07-31	VYDAJ	VYBER	15	55437	SLUZBY	\N	\N
729240	2493	1996-08-31	VYDAJ	VYBER	15	62558	SLUZBY	\N	\N
729241	2493	1996-09-30	VYDAJ	VYBER	15	66401	SLUZBY	\N	\N
729242	2493	1996-10-31	VYDAJ	VYBER	15	65788	SLUZBY	\N	\N
729243	2493	1996-11-30	VYDAJ	VYBER	15	67234	SLUZBY	\N	\N
729244	2493	1996-12-31	VYDAJ	VYBER	15	75496	SLUZBY	\N	\N
729245	2493	1997-01-31	VYDAJ	VYBER	15	71945	SLUZBY	\N	\N
729246	2493	1997-02-28	VYDAJ	VYBER	15	71812	SLUZBY	\N	\N
729247	2493	1997-03-31	VYDAJ	VYBER	15	68306	SLUZBY	\N	\N
729248	2493	1997-04-30	VYDAJ	VYBER	15	68558	SLUZBY	\N	\N
729249	2493	1997-05-31	VYDAJ	VYBER	15	67570	SLUZBY	\N	\N
729250	2493	1997-06-30	VYDAJ	VYBER	15	59778	SLUZBY	\N	\N
729251	2493	1997-07-31	VYDAJ	VYBER	15	63545	SLUZBY	\N	\N
729252	2493	1997-08-31	VYDAJ	VYBER	15	62975	SLUZBY	\N	\N
729253	2493	1997-09-30	VYDAJ	VYBER	15	62402	SLUZBY	\N	\N
729254	2493	1997-10-31	VYDAJ	VYBER	15	63633	SLUZBY	\N	\N
729255	2493	1997-11-30	VYDAJ	VYBER	15	70886	SLUZBY	\N	\N
729256	2493	1997-12-31	VYDAJ	VYBER	15	73155	SLUZBY	\N	\N
729257	2493	1998-01-31	VYDAJ	VYBER	15	67939	SLUZBY	\N	\N
729258	2493	1998-02-28	VYDAJ	VYBER	15	66572	SLUZBY	\N	\N
729259	2493	1998-03-31	VYDAJ	VYBER	15	75743	SLUZBY	\N	\N
729260	2493	1998-04-30	VYDAJ	VYBER	15	76728	SLUZBY	\N	\N
729261	2493	1998-05-31	VYDAJ	VYBER	15	73845	SLUZBY	\N	\N
729262	2493	1998-06-30	VYDAJ	VYBER	15	38664	SLUZBY	\N	\N
729263	2493	1998-07-31	VYDAJ	VYBER	15	67757	SLUZBY	\N	\N
729264	2493	1998-08-31	VYDAJ	VYBER	15	69715	SLUZBY	\N	\N
729265	2493	1998-09-30	VYDAJ	VYBER	15	75257	SLUZBY	\N	\N
729266	2493	1998-10-31	VYDAJ	VYBER	15	77346	SLUZBY	\N	\N
729267	2493	1998-11-30	VYDAJ	VYBER	15	78743	SLUZBY	\N	\N
729268	2493	1993-04-28	PRIJEM	VKLAD	6700	15063	\N	\N	\N
729269	2493	1993-05-28	PRIJEM	VKLAD	2000	25132	\N	\N	\N
729270	2493	1993-06-27	VYDAJ	VYBER	7000	30294	\N	\N	\N
729271	2493	1993-07-27	VYDAJ	VYBER	7700	30765	\N	\N	\N
729272	2493	1993-08-26	VYDAJ	VYBER	6500	32455	\N	\N	\N
729273	2493	1993-09-25	VYDAJ	VYBER	2400	30938	\N	\N	\N
729274	2493	1993-10-25	VYDAJ	VYBER	6100	25850	\N	\N	\N
729275	2493	1993-11-24	VYDAJ	VYBER	1300	27352	\N	\N	\N
729276	2493	1993-12-24	VYDAJ	VYBER	2600	28850	\N	\N	\N
729277	2493	1994-01-23	PRIJEM	VKLAD	3100	26587	\N	\N	\N
729278	2493	1994-02-22	VYDAJ	VYBER	4100	25273	\N	\N	\N
729279	2493	1994-03-24	PRIJEM	VKLAD	3500	26400	\N	\N	\N
729280	2493	1994-04-23	PRIJEM	VKLAD	1100	30283	\N	\N	\N
729281	2493	1994-05-23	VYDAJ	VYBER	100	27810	\N	\N	\N
729282	2493	1994-06-22	VYDAJ	VYBER	3100	31526	\N	\N	\N
729283	2493	1994-07-22	VYDAJ	VYBER	1200	33130	\N	\N	\N
729284	2493	1994-08-21	PRIJEM	VKLAD	3700	30278	\N	\N	\N
729285	2493	1994-09-20	VYDAJ	VYBER	1600	31473	\N	\N	\N
729286	2493	1994-10-20	VYDAJ	VYBER	1300	29018	\N	\N	\N
729287	2493	1994-11-19	VYDAJ	VYBER	600	30383	\N	\N	\N
729288	2493	1994-12-19	VYDAJ	VYBER	1300	31430	\N	\N	\N
729289	2493	1995-01-18	VYDAJ	VYBER	300	33932	\N	\N	\N
729290	2493	1995-02-17	PRIJEM	VKLAD	4200	27339	\N	\N	\N
729291	2493	1995-03-19	PRIJEM	VKLAD	5900	31812	\N	\N	\N
729292	2493	1995-04-18	PRIJEM	VKLAD	400	35006	\N	\N	\N
729293	2493	1995-05-18	PRIJEM	VKLAD	900	34639	\N	\N	\N
729294	2493	1995-06-17	VYDAJ	VYBER	5600	35890	\N	\N	\N
729295	2493	1995-07-17	PRIJEM	VKLAD	6000	33020	\N	\N	\N
729296	2493	1995-08-16	PRIJEM	VKLAD	3700	34472	\N	\N	\N
729297	2493	1995-09-15	PRIJEM	VKLAD	5000	37470	\N	\N	\N
729298	2493	1995-10-15	PRIJEM	VKLAD	2700	42985	\N	\N	\N
729299	2493	1995-11-14	PRIJEM	VKLAD	600	44507	\N	\N	\N
729300	2493	1995-12-14	VYDAJ	VYBER	2500	48891	\N	\N	\N
729301	2493	1996-01-13	PRIJEM	VKLAD	4200	47320	\N	\N	\N
729302	2493	1996-02-12	VYDAJ	VYBER	1200	48983	\N	\N	\N
729303	2493	1996-03-13	VYDAJ	VYBER	200	51657	\N	\N	\N
729304	2493	1996-04-12	PRIJEM	VKLAD	800	55341	\N	\N	\N
729305	2493	1996-05-12	VYDAJ	VYBER	2100	52418	\N	\N	\N
729306	2493	1996-06-11	PRIJEM	VKLAD	3600	50126	\N	\N	\N
729307	2493	1996-07-11	PRIJEM	VKLAD	9100	49928	\N	\N	\N
729308	2493	1996-08-10	PRIJEM	VKLAD	4200	54262	\N	\N	\N
729309	2493	1996-09-09	PRIJEM	VKLAD	900	63458	\N	\N	\N
729310	2493	1996-10-09	PRIJEM	VKLAD	400	65481	\N	\N	\N
729311	2493	1996-11-08	VYDAJ	VYBER	1500	64288	\N	\N	\N
729312	2493	1996-12-08	PRIJEM	VKLAD	4300	68494	\N	\N	\N
729313	2493	1997-01-07	PRIJEM	VKLAD	2600	68976	\N	\N	\N
729314	2493	1997-02-06	VYDAJ	VYBER	3100	68845	\N	\N	\N
729315	2493	1997-03-08	VYDAJ	VYBER	1900	65352	\N	\N	\N
729316	2493	1997-04-07	VYDAJ	VYBER	2700	65606	\N	\N	\N
729317	2493	1997-05-07	VYDAJ	VYBER	700	67858	\N	\N	\N
729318	2493	1997-06-06	PRIJEM	VKLAD	4300	52830	\N	\N	\N
729319	2493	1997-07-06	PRIJEM	VKLAD	1800	61578	\N	\N	\N
729320	2493	1997-08-05	VYDAJ	VYBER	3500	60045	\N	\N	\N
729321	2493	1997-09-04	VYDAJ	VYBER	3500	59475	\N	\N	\N
729322	2493	1997-10-04	PRIJEM	VKLAD	700	63102	\N	\N	\N
729323	2493	1997-11-03	PRIJEM	VKLAD	4300	67933	\N	\N	\N
729324	2493	1997-12-03	VYDAJ	VYBER	900	69986	\N	\N	\N
729325	2493	1998-01-02	PRIJEM	VKLAD	1300	74455	\N	\N	\N
729326	2493	1998-02-01	PRIJEM	VKLAD	1200	69139	\N	\N	\N
729327	2493	1998-03-03	PRIJEM	VKLAD	6200	72772	\N	\N	\N
729328	2493	1998-04-02	VYDAJ	VYBER	1400	74343	\N	\N	\N
729329	2493	1998-05-02	VYDAJ	VYBER	2500	74228	\N	\N	\N
729330	2493	1998-06-01	PRIJEM	VKLAD	2600	76445	\N	\N	\N
729331	2493	1998-07-01	PRIJEM	VKLAD	18500	57164	\N	\N	\N
729332	2493	1998-07-31	PRIJEM	VKLAD	7700	67772	\N	\N	\N
729333	2493	1998-08-30	VYDAJ	VYBER	1000	69445	\N	\N	\N
729334	2493	1998-09-29	PRIJEM	VKLAD	3300	74983	\N	\N	\N
729335	2493	1998-10-29	VYDAJ	VYBER	900	77045	\N	\N	\N
729336	2493	1998-11-28	VYDAJ	VYBER	1600	78434	\N	\N	\N
729337	2493	1998-12-28	VYDAJ	VYBER	3000	82462	\N	\N	\N
729407	2494	1994-04-23	PRIJEM	VKLAD	200	200	\N	\N	\N
729412	2494	1994-05-06	PRIJEM	PREVOD Z UCTU	40157	40357	\N	YZ	64012652
729413	2494	1994-06-06	PRIJEM	PREVOD Z UCTU	60236	91631	\N	YZ	64012652
729414	2494	1994-07-06	PRIJEM	PREVOD Z UCTU	40157	99654	\N	YZ	64012652
729415	2494	1994-08-06	PRIJEM	PREVOD Z UCTU	40157	102562	\N	YZ	64012652
729416	2494	1994-09-06	PRIJEM	PREVOD Z UCTU	40157	106583	\N	YZ	64012652
729417	2494	1994-10-06	PRIJEM	PREVOD Z UCTU	40157	72951	\N	YZ	64012652
729418	2494	1994-11-06	PRIJEM	PREVOD Z UCTU	40157	88083	\N	YZ	64012652
729419	2494	1994-12-06	PRIJEM	PREVOD Z UCTU	60236	94681	\N	YZ	64012652
729420	2494	1995-01-06	PRIJEM	PREVOD Z UCTU	40157	94271	\N	YZ	64012652
729421	2494	1995-02-06	PRIJEM	PREVOD Z UCTU	40157	69834	\N	YZ	64012652
729422	2494	1995-03-06	PRIJEM	PREVOD Z UCTU	40157	58064	\N	YZ	64012652
729423	2494	1995-04-06	PRIJEM	PREVOD Z UCTU	40157	79141	\N	YZ	64012652
729424	2494	1995-05-06	PRIJEM	PREVOD Z UCTU	40157	58794	\N	YZ	64012652
729425	2494	1995-06-06	PRIJEM	PREVOD Z UCTU	60236	95629	\N	YZ	64012652
729426	2494	1995-07-06	PRIJEM	PREVOD Z UCTU	40157	94278	\N	YZ	64012652
729427	2494	1995-08-06	PRIJEM	PREVOD Z UCTU	40157	94263	\N	YZ	64012652
729428	2494	1995-09-06	PRIJEM	PREVOD Z UCTU	40157	84930	\N	YZ	64012652
729429	2494	1995-10-06	PRIJEM	PREVOD Z UCTU	40157	74582	\N	YZ	64012652
729430	2494	1995-11-06	PRIJEM	PREVOD Z UCTU	40157	83293	\N	YZ	64012652
729431	2494	1995-12-06	PRIJEM	PREVOD Z UCTU	60236	97897	\N	YZ	64012652
729432	2494	1996-01-06	PRIJEM	PREVOD Z UCTU	40157	94256	\N	YZ	64012652
729433	2494	1996-02-06	PRIJEM	PREVOD Z UCTU	40157	63374	\N	YZ	64012652
729434	2494	1996-03-06	PRIJEM	PREVOD Z UCTU	40157	65815	\N	YZ	64012652
729435	2494	1996-04-06	PRIJEM	PREVOD Z UCTU	40157	77491	\N	YZ	64012652
729436	2494	1996-05-06	PRIJEM	PREVOD Z UCTU	40157	79219	\N	YZ	64012652
729437	2494	1996-06-06	PRIJEM	PREVOD Z UCTU	60236	90640	\N	YZ	64012652
729438	2494	1996-07-06	PRIJEM	PREVOD Z UCTU	40157	75343	\N	YZ	64012652
729439	2494	1996-08-06	PRIJEM	PREVOD Z UCTU	40157	75300	\N	YZ	64012652
729440	2494	1996-09-06	PRIJEM	PREVOD Z UCTU	40157	69488	\N	YZ	64012652
729441	2494	1996-10-06	PRIJEM	PREVOD Z UCTU	40157	78576	\N	YZ	64012652
729442	2494	1996-11-06	PRIJEM	PREVOD Z UCTU	40157	78415	\N	YZ	64012652
729443	2494	1996-12-06	PRIJEM	PREVOD Z UCTU	60236	104188	\N	YZ	64012652
729444	2494	1997-01-06	PRIJEM	PREVOD Z UCTU	40157	77972	\N	YZ	64012652
729445	2494	1997-02-06	PRIJEM	PREVOD Z UCTU	40157	69550	\N	YZ	64012652
729446	2494	1997-03-06	PRIJEM	PREVOD Z UCTU	40157	65783	\N	YZ	64012652
729447	2494	1997-04-06	PRIJEM	PREVOD Z UCTU	40157	72528	\N	YZ	64012652
729448	2494	1997-05-06	PRIJEM	PREVOD Z UCTU	40157	75083	\N	YZ	64012652
729449	2494	1997-06-06	PRIJEM	PREVOD Z UCTU	60236	90029	\N	YZ	64012652
729450	2494	1997-07-06	PRIJEM	PREVOD Z UCTU	40157	74062	\N	YZ	64012652
729451	2494	1997-08-06	PRIJEM	PREVOD Z UCTU	40157	63819	\N	YZ	64012652
729452	2494	1997-09-06	PRIJEM	PREVOD Z UCTU	40157	64516	\N	YZ	64012652
729453	2494	1997-10-06	PRIJEM	PREVOD Z UCTU	40157	68298	\N	YZ	64012652
729454	2494	1997-11-06	PRIJEM	PREVOD Z UCTU	40157	73545	\N	YZ	64012652
729455	2494	1997-12-06	PRIJEM	PREVOD Z UCTU	60236	87995	\N	YZ	64012652
729456	2494	1998-01-06	PRIJEM	PREVOD Z UCTU	40157	88115	\N	YZ	64012652
729457	2494	1998-02-06	PRIJEM	PREVOD Z UCTU	40157	78555	\N	YZ	64012652
729458	2494	1998-03-06	PRIJEM	PREVOD Z UCTU	40157	70945	\N	YZ	64012652
729459	2494	1998-04-06	PRIJEM	PREVOD Z UCTU	40157	64454	\N	YZ	64012652
729460	2494	1998-05-06	PRIJEM	PREVOD Z UCTU	40157	70393	\N	YZ	64012652
729461	2494	1998-06-06	PRIJEM	PREVOD Z UCTU	60236	79913	\N	YZ	64012652
729462	2494	1998-07-06	PRIJEM	PREVOD Z UCTU	40157	70878	\N	YZ	64012652
729463	2494	1998-08-06	PRIJEM	PREVOD Z UCTU	40157	67944	\N	YZ	64012652
729464	2494	1998-09-06	PRIJEM	PREVOD Z UCTU	40157	77089	\N	YZ	64012652
729465	2494	1998-10-06	PRIJEM	PREVOD Z UCTU	40157	67272	\N	YZ	64012652
729466	2494	1998-11-06	PRIJEM	PREVOD Z UCTU	40157	64390	\N	YZ	64012652
729467	2494	1998-12-06	PRIJEM	PREVOD Z UCTU	60236	84075	\N	YZ	64012652
729476	2494	1994-09-09	VYDAJ	PREVOD NA UCET	693	63590	SIPO	AB	82410615
729477	2494	1994-10-09	VYDAJ	PREVOD NA UCET	693	72258	SIPO	AB	82410615
729478	2494	1994-11-09	VYDAJ	PREVOD NA UCET	693	87390	SIPO	AB	82410615
729479	2494	1994-12-09	VYDAJ	PREVOD NA UCET	693	93988	SIPO	AB	82410615
729480	2494	1995-01-09	VYDAJ	PREVOD NA UCET	693	93578	SIPO	AB	82410615
729481	2494	1995-02-09	VYDAJ	PREVOD NA UCET	693	69141	SIPO	AB	82410615
729482	2494	1995-03-09	VYDAJ	PREVOD NA UCET	693	57371	SIPO	AB	82410615
729483	2494	1995-04-09	VYDAJ	PREVOD NA UCET	693	72148	SIPO	AB	82410615
729484	2494	1995-05-09	VYDAJ	PREVOD NA UCET	693	46401	SIPO	AB	82410615
729485	2494	1995-06-09	VYDAJ	PREVOD NA UCET	693	87323	SIPO	AB	82410615
729486	2494	1995-07-09	VYDAJ	PREVOD NA UCET	693	93585	SIPO	AB	82410615
729487	2494	1995-08-09	VYDAJ	PREVOD NA UCET	693	93570	SIPO	AB	82410615
729488	2494	1995-09-09	VYDAJ	PREVOD NA UCET	693	84237	SIPO	AB	82410615
729489	2494	1995-10-09	VYDAJ	PREVOD NA UCET	693	73889	SIPO	AB	82410615
729490	2494	1995-11-09	VYDAJ	PREVOD NA UCET	693	82600	SIPO	AB	82410615
729491	2494	1995-12-09	VYDAJ	PREVOD NA UCET	693	94504	SIPO	AB	82410615
729492	2494	1996-01-09	VYDAJ	PREVOD NA UCET	693	90563	SIPO	AB	82410615
729493	2494	1996-02-09	VYDAJ	PREVOD NA UCET	693	44587	SIPO	AB	82410615
729494	2494	1996-03-09	VYDAJ	PREVOD NA UCET	693	65122	SIPO	AB	82410615
729495	2494	1996-04-09	VYDAJ	PREVOD NA UCET	693	74398	SIPO	AB	82410615
729496	2494	1996-05-09	VYDAJ	PREVOD NA UCET	693	78526	SIPO	AB	82410615
729497	2494	1996-06-09	VYDAJ	PREVOD NA UCET	693	89947	SIPO	AB	82410615
729498	2494	1996-07-09	VYDAJ	PREVOD NA UCET	693	74650	SIPO	AB	82410615
729499	2494	1996-08-09	VYDAJ	PREVOD NA UCET	693	74607	SIPO	AB	82410615
729500	2494	1996-09-09	VYDAJ	PREVOD NA UCET	693	68795	SIPO	AB	82410615
729501	2494	1996-10-09	VYDAJ	PREVOD NA UCET	693	50483	SIPO	AB	82410615
729502	2494	1996-11-09	VYDAJ	PREVOD NA UCET	693	50222	SIPO	AB	82410615
729503	2494	1996-12-09	VYDAJ	PREVOD NA UCET	693	60095	SIPO	AB	82410615
729504	2494	1997-01-09	VYDAJ	PREVOD NA UCET	693	49179	SIPO	AB	82410615
729505	2494	1997-02-09	VYDAJ	PREVOD NA UCET	693	31957	SIPO	AB	82410615
729506	2494	1997-03-09	VYDAJ	PREVOD NA UCET	693	38690	SIPO	AB	82410615
729507	2494	1997-04-09	VYDAJ	PREVOD NA UCET	693	41235	SIPO	AB	82410615
729508	2494	1997-05-09	VYDAJ	PREVOD NA UCET	693	44190	SIPO	AB	82410615
729509	2494	1997-06-09	VYDAJ	PREVOD NA UCET	693	48736	SIPO	AB	82410615
729510	2494	1997-07-09	VYDAJ	PREVOD NA UCET	693	39769	SIPO	AB	82410615
729511	2494	1997-08-09	VYDAJ	PREVOD NA UCET	693	63126	SIPO	AB	82410615
729512	2494	1997-09-09	VYDAJ	PREVOD NA UCET	693	49123	SIPO	AB	82410615
729513	2494	1997-10-09	VYDAJ	PREVOD NA UCET	693	67605	SIPO	AB	82410615
729514	2494	1997-11-09	VYDAJ	PREVOD NA UCET	693	72852	SIPO	AB	82410615
729515	2494	1997-12-09	VYDAJ	PREVOD NA UCET	693	87302	SIPO	AB	82410615
729516	2494	1998-01-09	VYDAJ	PREVOD NA UCET	693	87422	SIPO	AB	82410615
729517	2494	1998-02-09	VYDAJ	PREVOD NA UCET	693	77862	SIPO	AB	82410615
729518	2494	1998-03-09	VYDAJ	PREVOD NA UCET	693	70252	SIPO	AB	82410615
729519	2494	1998-04-09	VYDAJ	PREVOD NA UCET	693	63761	SIPO	AB	82410615
729520	2494	1998-05-09	VYDAJ	PREVOD NA UCET	693	69700	SIPO	AB	82410615
729521	2494	1998-06-09	VYDAJ	PREVOD NA UCET	693	79220	SIPO	AB	82410615
729522	2494	1998-07-09	VYDAJ	PREVOD NA UCET	693	70185	SIPO	AB	82410615
729523	2494	1998-08-09	VYDAJ	PREVOD NA UCET	693	53101	SIPO	AB	82410615
729524	2494	1998-09-09	VYDAJ	PREVOD NA UCET	693	70885	SIPO	AB	82410615
729525	2494	1998-10-09	VYDAJ	PREVOD NA UCET	693	66579	SIPO	AB	82410615
729526	2494	1998-11-09	VYDAJ	PREVOD NA UCET	693	63697	SIPO	AB	82410615
729527	2494	1998-12-09	VYDAJ	PREVOD NA UCET	693	83382	SIPO	AB	82410615
729536	2494	1994-09-12	VYDAJ	PREVOD NA UCET	4206	59384	 	AB	22744047
729537	2494	1994-10-12	VYDAJ	PREVOD NA UCET	4206	68052	 	AB	22744047
729538	2494	1994-11-12	VYDAJ	PREVOD NA UCET	4206	83184	 	AB	22744047
729539	2494	1994-12-12	VYDAJ	PREVOD NA UCET	4206	89782	 	AB	22744047
729540	2494	1995-01-12	VYDAJ	PREVOD NA UCET	4206	89372	 	AB	22744047
729541	2494	1995-02-12	VYDAJ	PREVOD NA UCET	4206	64935	 	AB	22744047
729542	2494	1995-03-12	VYDAJ	PREVOD NA UCET	4206	53165	 	AB	22744047
729543	2494	1995-04-12	VYDAJ	PREVOD NA UCET	4206	67942	 	AB	22744047
729544	2494	1995-05-12	VYDAJ	PREVOD NA UCET	4206	42195	 	AB	22744047
729545	2494	1995-06-12	VYDAJ	PREVOD NA UCET	4206	83117	 	AB	22744047
729546	2494	1995-07-12	VYDAJ	PREVOD NA UCET	4206	89379	 	AB	22744047
729547	2494	1995-08-12	VYDAJ	PREVOD NA UCET	4206	89364	 	AB	22744047
729548	2494	1995-09-12	VYDAJ	PREVOD NA UCET	4206	80031	 	AB	22744047
729549	2494	1995-10-12	VYDAJ	PREVOD NA UCET	4206	69683	 	AB	22744047
729550	2494	1995-11-12	VYDAJ	PREVOD NA UCET	4206	78394	 	AB	22744047
729551	2494	1995-12-12	VYDAJ	PREVOD NA UCET	4206	90298	 	AB	22744047
729552	2494	1996-01-12	VYDAJ	PREVOD NA UCET	4206	86357	 	AB	22744047
729553	2494	1996-02-12	VYDAJ	PREVOD NA UCET	4206	40381	 	AB	22744047
729554	2494	1996-03-12	VYDAJ	PREVOD NA UCET	4206	60916	 	AB	22744047
729555	2494	1996-04-12	VYDAJ	PREVOD NA UCET	4206	41118	 	AB	22744047
729556	2494	1996-05-12	VYDAJ	PREVOD NA UCET	4206	50920	 	AB	22744047
729557	2494	1996-06-12	VYDAJ	PREVOD NA UCET	4206	52541	 	AB	22744047
729558	2494	1996-07-12	VYDAJ	PREVOD NA UCET	4206	43144	 	AB	22744047
729559	2494	1996-08-12	VYDAJ	PREVOD NA UCET	4206	42401	 	AB	22744047
729560	2494	1996-09-12	VYDAJ	PREVOD NA UCET	4206	40489	 	AB	22744047
729561	2494	1996-10-12	VYDAJ	PREVOD NA UCET	4206	40333	 	AB	22744047
729562	2494	1996-11-12	VYDAJ	PREVOD NA UCET	4206	46016	 	AB	22744047
729563	2494	1996-12-12	VYDAJ	PREVOD NA UCET	4206	53789	 	AB	22744047
729564	2494	1997-01-12	VYDAJ	PREVOD NA UCET	4206	44973	 	AB	22744047
729565	2494	1997-02-12	VYDAJ	PREVOD NA UCET	4206	27751	 	AB	22744047
729566	2494	1997-03-12	VYDAJ	PREVOD NA UCET	4206	34484	 	AB	22744047
729567	2494	1997-04-12	VYDAJ	PREVOD NA UCET	4206	37029	 	AB	22744047
729568	2494	1997-05-12	VYDAJ	PREVOD NA UCET	4206	39984	 	AB	22744047
729569	2494	1997-06-12	VYDAJ	PREVOD NA UCET	4206	44530	 	AB	22744047
729570	2494	1997-07-12	VYDAJ	PREVOD NA UCET	4206	35563	 	AB	22744047
729571	2494	1997-08-12	VYDAJ	PREVOD NA UCET	4206	58920	 	AB	22744047
729572	2494	1997-09-12	VYDAJ	PREVOD NA UCET	4206	44917	 	AB	22744047
729573	2494	1997-10-12	VYDAJ	PREVOD NA UCET	4206	63399	 	AB	22744047
729574	2494	1997-11-12	VYDAJ	PREVOD NA UCET	4206	68646	 	AB	22744047
729575	2494	1997-12-12	VYDAJ	PREVOD NA UCET	4206	83096	 	AB	22744047
729576	2494	1998-01-12	VYDAJ	PREVOD NA UCET	4206	83216	 	AB	22744047
729577	2494	1998-02-12	VYDAJ	PREVOD NA UCET	4206	73656	 	AB	22744047
729578	2494	1998-03-12	VYDAJ	PREVOD NA UCET	4206	66046	 	AB	22744047
729579	2494	1998-04-12	VYDAJ	PREVOD NA UCET	4206	59555	 	AB	22744047
729580	2494	1998-05-12	VYDAJ	PREVOD NA UCET	4206	65494	 	AB	22744047
729581	2494	1998-06-12	VYDAJ	PREVOD NA UCET	4206	75014	 	AB	22744047
729582	2494	1998-07-12	VYDAJ	PREVOD NA UCET	4206	65979	 	AB	22744047
729583	2494	1998-08-12	VYDAJ	PREVOD NA UCET	4206	48895	 	AB	22744047
729584	2494	1998-09-12	VYDAJ	PREVOD NA UCET	4206	66679	 	AB	22744047
729585	2494	1998-10-12	VYDAJ	PREVOD NA UCET	4206	62373	 	AB	22744047
729586	2494	1998-11-12	VYDAJ	PREVOD NA UCET	4206	59491	 	AB	22744047
729587	2494	1998-12-12	VYDAJ	PREVOD NA UCET	4206	79176	 	AB	22744047
729597	2494	1994-10-05	VYDAJ	PREVOD NA UCET	2247	32794	POJISTNE	IJ	88460433
729598	2494	1994-11-05	VYDAJ	PREVOD NA UCET	2247	47926	POJISTNE	IJ	88460433
729599	2494	1994-12-05	VYDAJ	PREVOD NA UCET	2247	34445	POJISTNE	IJ	88460433
729600	2494	1995-01-05	VYDAJ	PREVOD NA UCET	2247	54114	POJISTNE	IJ	88460433
729601	2494	1995-02-05	VYDAJ	PREVOD NA UCET	2247	29677	POJISTNE	IJ	88460433
729602	2494	1995-03-05	VYDAJ	PREVOD NA UCET	2247	17907	POJISTNE	IJ	88460433
729603	2494	1995-04-05	VYDAJ	PREVOD NA UCET	2247	38984	POJISTNE	IJ	88460433
729604	2494	1995-05-05	VYDAJ	PREVOD NA UCET	2247	18637	POJISTNE	IJ	88460433
729605	2494	1995-06-05	VYDAJ	PREVOD NA UCET	2247	35393	POJISTNE	IJ	88460433
729606	2494	1995-07-05	VYDAJ	PREVOD NA UCET	2247	54121	POJISTNE	IJ	88460433
729607	2494	1995-08-05	VYDAJ	PREVOD NA UCET	2247	54106	POJISTNE	IJ	88460433
729608	2494	1995-09-05	VYDAJ	PREVOD NA UCET	2247	44773	POJISTNE	IJ	88460433
729609	2494	1995-10-05	VYDAJ	PREVOD NA UCET	2247	34425	POJISTNE	IJ	88460433
729610	2494	1995-11-05	VYDAJ	PREVOD NA UCET	2247	43136	POJISTNE	IJ	88460433
729611	2494	1995-12-05	VYDAJ	PREVOD NA UCET	2247	37661	POJISTNE	IJ	88460433
729612	2494	1996-01-05	VYDAJ	PREVOD NA UCET	2247	54099	POJISTNE	IJ	88460433
729613	2494	1996-02-05	VYDAJ	PREVOD NA UCET	2247	23217	POJISTNE	IJ	88460433
729614	2494	1996-03-05	VYDAJ	PREVOD NA UCET	2247	25658	POJISTNE	IJ	88460433
729615	2494	1996-04-05	VYDAJ	PREVOD NA UCET	2247	37334	POJISTNE	IJ	88460433
729616	2494	1996-05-05	VYDAJ	PREVOD NA UCET	2247	39062	POJISTNE	IJ	88460433
729617	2494	1996-06-05	VYDAJ	PREVOD NA UCET	2247	30404	POJISTNE	IJ	88460433
729618	2494	1996-07-05	VYDAJ	PREVOD NA UCET	2247	35186	POJISTNE	IJ	88460433
729619	2494	1996-08-05	VYDAJ	PREVOD NA UCET	2247	35143	POJISTNE	IJ	88460433
729620	2494	1996-09-05	VYDAJ	PREVOD NA UCET	2247	29331	POJISTNE	IJ	88460433
729621	2494	1996-10-05	VYDAJ	PREVOD NA UCET	2247	38419	POJISTNE	IJ	88460433
729622	2494	1996-11-05	VYDAJ	PREVOD NA UCET	2247	38258	POJISTNE	IJ	88460433
729623	2494	1996-12-05	VYDAJ	PREVOD NA UCET	2247	43952	POJISTNE	IJ	88460433
729624	2494	1997-01-05	VYDAJ	PREVOD NA UCET	2247	37815	POJISTNE	IJ	88460433
729625	2494	1997-02-05	VYDAJ	PREVOD NA UCET	2247	29393	POJISTNE	IJ	88460433
729626	2494	1997-03-05	VYDAJ	PREVOD NA UCET	2247	25626	POJISTNE	IJ	88460433
729627	2494	1997-04-05	VYDAJ	PREVOD NA UCET	2247	32371	POJISTNE	IJ	88460433
729628	2494	1997-05-05	VYDAJ	PREVOD NA UCET	2247	34926	POJISTNE	IJ	88460433
729629	2494	1997-06-05	VYDAJ	PREVOD NA UCET	2247	29793	POJISTNE	IJ	88460433
729630	2494	1997-07-05	VYDAJ	PREVOD NA UCET	2247	33905	POJISTNE	IJ	88460433
729631	2494	1997-08-05	VYDAJ	PREVOD NA UCET	2247	33462	POJISTNE	IJ	88460433
729632	2494	1997-09-05	VYDAJ	PREVOD NA UCET	2247	24359	POJISTNE	IJ	88460433
729633	2494	1997-10-05	VYDAJ	PREVOD NA UCET	2247	28141	POJISTNE	IJ	88460433
729634	2494	1997-11-05	VYDAJ	PREVOD NA UCET	2247	33388	POJISTNE	IJ	88460433
729635	2494	1997-12-05	VYDAJ	PREVOD NA UCET	2247	27759	POJISTNE	IJ	88460433
729636	2494	1998-01-05	VYDAJ	PREVOD NA UCET	2247	47958	POJISTNE	IJ	88460433
729637	2494	1998-02-05	VYDAJ	PREVOD NA UCET	2247	38398	POJISTNE	IJ	88460433
729638	2494	1998-03-05	VYDAJ	PREVOD NA UCET	2247	30788	POJISTNE	IJ	88460433
729639	2494	1998-04-05	VYDAJ	PREVOD NA UCET	2247	24297	POJISTNE	IJ	88460433
729640	2494	1998-05-05	VYDAJ	PREVOD NA UCET	2247	30236	POJISTNE	IJ	88460433
729641	2494	1998-06-05	VYDAJ	PREVOD NA UCET	2247	19677	POJISTNE	IJ	88460433
729642	2494	1998-07-05	VYDAJ	PREVOD NA UCET	2247	30721	POJISTNE	IJ	88460433
729643	2494	1998-08-05	VYDAJ	PREVOD NA UCET	2247	27787	POJISTNE	IJ	88460433
729644	2494	1998-09-05	VYDAJ	PREVOD NA UCET	2247	36932	POJISTNE	IJ	88460433
729645	2494	1998-10-05	VYDAJ	PREVOD NA UCET	2247	27115	POJISTNE	IJ	88460433
729646	2494	1998-11-05	VYDAJ	PREVOD NA UCET	2247	24233	POJISTNE	IJ	88460433
729647	2494	1998-12-05	VYDAJ	PREVOD NA UCET	2247	23839	POJISTNE	IJ	88460433
729653	2494	1994-12-04	VYBER	VYBER	18057	36692	\N	\N	\N
729657	2494	1994-09-13	VYBER	VYBER	20428	38956	\N	\N	\N
729660	2494	1995-04-27	VYBER	VYBER	12917	20701	\N	\N	\N
729661	2494	1995-02-26	VYBER	VYBER	10467	19968	\N	\N	\N
729662	2494	1995-04-17	VYBER	VYBER	23824	44118	\N	\N	\N
729663	2494	1995-09-15	VYBER	VYBER	14169	65862	\N	\N	\N
729664	2494	1995-08-26	VYBER	VYBER	12008	46756	\N	\N	\N
729665	2494	1995-06-06	VYBER	VYBER	7613	88016	\N	\N	\N
729666	2494	1996-12-20	VYBER	VYBER	13924	39865	\N	\N	\N
729668	2494	1996-02-08	VYBER	VYBER	18094	45280	\N	\N	\N
729669	2494	1996-04-10	VYBER	VYBER	9574	64824	\N	\N	\N
729671	2494	1996-10-12	VYBER	VYBER	5944	44539	\N	\N	\N
729672	2494	1996-09-04	VYBER	VYBER	10999	31578	\N	\N	\N
729673	2494	1996-07-27	VYBER	VYBER	5941	37203	\N	\N	\N
729675	2494	1996-05-19	VYBER	VYBER	13950	36970	\N	\N	\N
729676	2494	1996-02-21	VYBER	VYBER	5811	27770	\N	\N	\N
729678	2494	1996-07-02	VYBER	VYBER	15324	37433	\N	\N	\N
729679	2494	1997-06-24	VYBER	VYBER	8554	35976	\N	\N	\N
729680	2494	1997-08-30	VYBER	VYBER	16507	42413	\N	\N	\N
729681	2494	1997-09-04	VYBER	VYBER	2917	39706	\N	\N	\N
729683	2494	1998-09-24	VYBER	VYBER	8927	29163	\N	\N	\N
729684	2494	1998-09-08	VYBER	VYBER	5511	71578	\N	\N	\N
729686	2494	1998-01-15	VYBER	VYBER	9075	74141	\N	\N	\N
729687	2494	1998-12-25	VYBER	VYBER	16265	54811	\N	\N	\N
729688	2494	1998-03-26	VYBER	VYBER	8146	57900	\N	\N	\N
729689	2494	1998-09-14	VYBER	VYBER	4050	62629	\N	\N	\N
729690	2494	1998-09-23	VYBER	VYBER	24539	38090	\N	\N	\N
729691	2494	1998-05-19	VYBER	VYBER	23579	41915	\N	\N	\N
729692	2494	1998-08-06	VYBER	VYBER	14150	53794	\N	\N	\N
729699	2494	1995-01-24	VYDAJ	VYBER	25500	31672	\N	\N	\N
729700	2494	1996-01-22	VYDAJ	VYBER	28200	25257	\N	\N	\N
729701	2494	1997-01-20	VYDAJ	VYBER	4800	40173	\N	\N	\N
729703	2494	1994-12-21	VYDAJ	VYBER	5100	56082	\N	\N	\N
729704	2494	1995-12-07	VYDAJ	VYBER	2700	95197	\N	\N	\N
729705	2494	1996-12-09	VYDAJ	VYBER	2100	57995	\N	\N	\N
729706	2494	1997-12-04	VYDAJ	VYBER	3600	30006	\N	\N	\N
729707	2494	1998-12-23	VYDAJ	VYBER	8100	71076	\N	\N	\N
729712	2494	1995-09-21	VYDAJ	VYBER	9600	36462	\N	\N	\N
729713	2494	1995-10-13	VYDAJ	VYBER	5700	63983	\N	\N	\N
729714	2494	1995-11-21	VYDAJ	VYBER	13200	39694	\N	\N	\N
729715	2494	1995-02-25	VYDAJ	VYBER	14100	30435	\N	\N	\N
729716	2494	1995-07-25	VYDAJ	VYBER	2100	56079	\N	\N	\N
729717	2494	1995-03-16	VYDAJ	VYBER	1500	51665	\N	\N	\N
729718	2494	1995-05-08	VYDAJ	VYBER	11700	47094	\N	\N	\N
729719	2494	1995-04-08	VYDAJ	VYBER	6300	72841	\N	\N	\N
729720	2494	1996-04-06	VYDAJ	VYBER	2400	75091	\N	\N	\N
729721	2494	1996-01-07	VYDAJ	VYBER	3000	91256	\N	\N	\N
729722	2494	1996-05-20	VYDAJ	VYBER	4500	32470	\N	\N	\N
729723	2494	1997-02-04	VYDAJ	VYBER	8700	31640	\N	\N	\N
729724	2494	1997-02-08	VYDAJ	VYBER	8700	32650	\N	\N	\N
729725	2494	1997-09-08	VYDAJ	VYBER	14700	49816	\N	\N	\N
729726	2494	1997-06-04	VYDAJ	VYBER	8100	32040	\N	\N	\N
729727	2494	1997-07-06	VYDAJ	VYBER	9000	65062	\N	\N	\N
729728	2494	1997-11-27	VYDAJ	VYBER	8100	60546	\N	\N	\N
729729	2494	1998-03-04	VYDAJ	VYBER	2100	33035	\N	\N	\N
729730	2494	1998-06-14	VYDAJ	VYBER	7800	67214	\N	\N	\N
729731	2494	1998-02-24	VYDAJ	VYBER	9900	63756	\N	\N	\N
729732	2494	1998-08-15	VYDAJ	VYBER	9900	38995	\N	\N	\N
729733	2494	1998-01-27	VYDAJ	VYBER	3600	70541	\N	\N	\N
729743	2494	1994-09-30	VYDAJ	VYBER	15	35041	SLUZBY	\N	\N
729744	2494	1994-10-31	VYDAJ	VYBER	15	50173	SLUZBY	\N	\N
729745	2494	1994-11-30	VYDAJ	VYBER	15	54749	SLUZBY	\N	\N
729746	2494	1994-12-31	VYDAJ	VYBER	15	56361	SLUZBY	\N	\N
729747	2494	1995-01-31	VYDAJ	VYBER	15	31924	SLUZBY	\N	\N
729748	2494	1995-02-28	VYDAJ	VYBER	15	20154	SLUZBY	\N	\N
729749	2494	1995-03-31	VYDAJ	VYBER	15	41231	SLUZBY	\N	\N
729750	2494	1995-04-30	VYDAJ	VYBER	15	20884	SLUZBY	\N	\N
729751	2494	1995-05-31	VYDAJ	VYBER	15	37640	SLUZBY	\N	\N
729752	2494	1995-06-30	VYDAJ	VYBER	15	56368	SLUZBY	\N	\N
729753	2494	1995-07-31	VYDAJ	VYBER	15	56353	SLUZBY	\N	\N
729754	2494	1995-08-31	VYDAJ	VYBER	15	47020	SLUZBY	\N	\N
729755	2494	1995-09-30	VYDAJ	VYBER	15	36672	SLUZBY	\N	\N
729756	2494	1995-10-31	VYDAJ	VYBER	15	45383	SLUZBY	\N	\N
729757	2494	1995-11-30	VYDAJ	VYBER	15	39908	SLUZBY	\N	\N
729758	2494	1995-12-31	VYDAJ	VYBER	15	56346	SLUZBY	\N	\N
729759	2494	1996-01-31	VYDAJ	VYBER	15	25464	SLUZBY	\N	\N
729760	2494	1996-02-29	VYDAJ	VYBER	15	27905	SLUZBY	\N	\N
729761	2494	1996-03-31	VYDAJ	VYBER	15	39581	SLUZBY	\N	\N
729762	2494	1996-04-30	VYDAJ	VYBER	15	41309	SLUZBY	\N	\N
729763	2494	1996-05-31	VYDAJ	VYBER	15	32651	SLUZBY	\N	\N
729764	2494	1996-06-30	VYDAJ	VYBER	15	52757	SLUZBY	\N	\N
729765	2494	1996-07-31	VYDAJ	VYBER	15	37390	SLUZBY	\N	\N
729766	2494	1996-08-31	VYDAJ	VYBER	15	42577	SLUZBY	\N	\N
729767	2494	1996-09-30	VYDAJ	VYBER	15	40666	SLUZBY	\N	\N
729768	2494	1996-10-31	VYDAJ	VYBER	15	40505	SLUZBY	\N	\N
729769	2494	1996-11-30	VYDAJ	VYBER	15	46199	SLUZBY	\N	\N
729770	2494	1996-12-31	VYDAJ	VYBER	15	40062	SLUZBY	\N	\N
729771	2494	1997-01-31	VYDAJ	VYBER	15	40340	SLUZBY	\N	\N
729772	2494	1997-02-28	VYDAJ	VYBER	15	27873	SLUZBY	\N	\N
729773	2494	1997-03-31	VYDAJ	VYBER	15	34618	SLUZBY	\N	\N
729774	2494	1997-04-30	VYDAJ	VYBER	15	37173	SLUZBY	\N	\N
729775	2494	1997-05-31	VYDAJ	VYBER	15	40140	SLUZBY	\N	\N
729776	2494	1997-06-30	VYDAJ	VYBER	15	36152	SLUZBY	\N	\N
729777	2494	1997-07-31	VYDAJ	VYBER	15	35709	SLUZBY	\N	\N
729778	2494	1997-08-31	VYDAJ	VYBER	15	42623	SLUZBY	\N	\N
729779	2494	1997-09-30	VYDAJ	VYBER	15	45088	SLUZBY	\N	\N
729780	2494	1997-10-31	VYDAJ	VYBER	15	63635	SLUZBY	\N	\N
729781	2494	1997-11-30	VYDAJ	VYBER	15	60806	SLUZBY	\N	\N
729782	2494	1997-12-31	VYDAJ	VYBER	15	83405	SLUZBY	\N	\N
729783	2494	1998-01-31	VYDAJ	VYBER	15	70845	SLUZBY	\N	\N
729784	2494	1998-02-28	VYDAJ	VYBER	15	64035	SLUZBY	\N	\N
729785	2494	1998-03-31	VYDAJ	VYBER	15	58144	SLUZBY	\N	\N
729786	2494	1998-04-30	VYDAJ	VYBER	15	59783	SLUZBY	\N	\N
729787	2494	1998-05-31	VYDAJ	VYBER	15	42124	SLUZBY	\N	\N
729788	2494	1998-06-30	VYDAJ	VYBER	15	67468	SLUZBY	\N	\N
729789	2494	1998-07-31	VYDAJ	VYBER	15	66234	SLUZBY	\N	\N
729790	2494	1998-08-31	VYDAJ	VYBER	15	39179	SLUZBY	\N	\N
729791	2494	1998-09-30	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
729792	2494	1998-10-31	VYDAJ	VYBER	15	26480	SLUZBY	\N	\N
729793	2494	1998-11-30	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
729794	2494	1994-05-23	VYDAJ	VYBER	9000	31357	\N	\N	\N
729795	2494	1994-06-22	VYDAJ	VYBER	32300	59331	\N	\N	\N
729796	2494	1994-07-22	VYDAJ	VYBER	37500	62154	\N	\N	\N
729797	2494	1994-08-21	VYDAJ	VYBER	36400	66162	\N	\N	\N
729798	2494	1994-09-06	VYDAJ	VYBER	42300	64283	\N	\N	\N
729799	2494	1994-09-20	VYDAJ	VYBER	4100	34856	\N	\N	\N
729800	2494	1994-10-20	VYDAJ	VYBER	18100	49952	\N	\N	\N
729801	2494	1994-11-19	VYDAJ	VYBER	28700	54484	\N	\N	\N
729802	2494	1994-12-19	VYDAJ	VYBER	28600	61182	\N	\N	\N
729803	2494	1995-01-18	VYDAJ	VYBER	32200	57172	\N	\N	\N
729804	2494	1995-02-17	VYDAJ	VYBER	20400	44535	\N	\N	\N
729805	2494	1995-03-19	VYDAJ	VYBER	10600	41065	\N	\N	\N
729806	2494	1995-04-18	VYDAJ	VYBER	10500	33618	\N	\N	\N
729807	2494	1995-05-18	VYDAJ	VYBER	4700	37495	\N	\N	\N
729808	2494	1995-06-17	VYDAJ	VYBER	27000	56117	\N	\N	\N
729809	2494	1995-07-17	VYDAJ	VYBER	31200	58179	\N	\N	\N
729810	2494	1995-08-16	VYDAJ	VYBER	30600	58764	\N	\N	\N
729811	2494	1995-09-15	VYDAJ	VYBER	19800	46062	\N	\N	\N
729812	2494	1995-10-15	VYDAJ	VYBER	18800	45183	\N	\N	\N
729813	2494	1995-11-14	VYDAJ	VYBER	25500	52894	\N	\N	\N
729814	2494	1995-12-14	VYDAJ	VYBER	34200	56098	\N	\N	\N
729815	2494	1996-01-13	VYDAJ	VYBER	32900	53457	\N	\N	\N
729816	2494	1996-02-12	VYDAJ	VYBER	6800	33581	\N	\N	\N
729817	2494	1996-03-13	VYDAJ	VYBER	21500	39416	\N	\N	\N
729818	2494	1996-04-12	VYDAJ	VYBER	19500	45324	\N	\N	\N
729819	2494	1996-05-12	VYDAJ	VYBER	23400	55126	\N	\N	\N
729820	2494	1996-06-11	VYDAJ	VYBER	33200	56747	\N	\N	\N
729821	2494	1996-07-11	VYDAJ	VYBER	27300	47350	\N	\N	\N
729822	2494	1996-08-10	VYDAJ	VYBER	28000	46607	\N	\N	\N
729823	2494	1996-09-09	VYDAJ	VYBER	24100	44695	\N	\N	\N
729824	2494	1996-10-09	VYDAJ	VYBER	27400	51176	\N	\N	\N
729825	2494	1996-11-08	VYDAJ	VYBER	27500	50915	\N	\N	\N
729826	2494	1996-12-08	VYDAJ	VYBER	43400	60788	\N	\N	\N
729827	2494	1997-01-07	VYDAJ	VYBER	28100	49872	\N	\N	\N
729828	2494	1997-02-06	VYDAJ	VYBER	28200	41350	\N	\N	\N
729829	2494	1997-03-08	VYDAJ	VYBER	26400	39383	\N	\N	\N
729830	2494	1997-04-07	VYDAJ	VYBER	30600	41928	\N	\N	\N
729831	2494	1997-05-07	VYDAJ	VYBER	30200	44883	\N	\N	\N
729832	2494	1997-06-06	VYDAJ	VYBER	40600	49429	\N	\N	\N
729833	2494	1997-07-06	VYDAJ	VYBER	24600	40462	\N	\N	\N
729834	2494	1997-08-05	VYDAJ	VYBER	9800	23662	\N	\N	\N
729835	2494	1997-09-04	VYDAJ	VYBER	13100	26606	\N	\N	\N
729836	2494	1997-10-04	VYDAJ	VYBER	14700	30388	\N	\N	\N
729837	2494	1997-11-03	VYDAJ	VYBER	28000	35635	\N	\N	\N
729838	2494	1997-12-03	VYDAJ	VYBER	27200	33606	\N	\N	\N
729839	2494	1998-01-02	VYDAJ	VYBER	33200	50205	\N	\N	\N
729840	2494	1998-02-01	VYDAJ	VYBER	30200	40645	\N	\N	\N
729841	2494	1998-03-03	VYDAJ	VYBER	28900	35135	\N	\N	\N
729842	2494	1998-04-02	VYDAJ	VYBER	31600	26544	\N	\N	\N
729843	2494	1998-05-02	VYDAJ	VYBER	27300	32483	\N	\N	\N
729844	2494	1998-06-01	VYDAJ	VYBER	20200	21924	\N	\N	\N
729845	2494	1998-07-01	VYDAJ	VYBER	34500	32968	\N	\N	\N
729846	2494	1998-07-31	VYDAJ	VYBER	36200	30034	\N	\N	\N
729847	2494	1998-10-29	VYDAJ	VYBER	36100	26273	\N	\N	\N
729848	2494	1998-11-28	VYDAJ	VYBER	33600	25891	\N	\N	\N
729905	2495	1997-03-19	PRIJEM	VKLAD	200	200	\N	\N	\N
729982	2495	1997-04-18	PRIJEM	VKLAD	11700	11900	\N	\N	\N
729983	2495	1997-05-18	PRIJEM	VKLAD	2400	14300	\N	\N	\N
729984	2495	1997-06-17	PRIJEM	VKLAD	3800	18100	\N	\N	\N
729985	2495	1997-07-17	PRIJEM	VKLAD	1700	19800	\N	\N	\N
729986	2495	1997-08-16	VYDAJ	VYBER	800	19000	\N	\N	\N
729987	2495	1997-09-15	PRIJEM	VKLAD	300	19300	\N	\N	\N
729988	2495	1997-10-15	PRIJEM	VKLAD	2200	21500	\N	\N	\N
729989	2495	1997-11-14	VYDAJ	VYBER	2400	19100	\N	\N	\N
729990	2495	1997-12-14	VYDAJ	VYBER	2600	16500	\N	\N	\N
729991	2495	1998-01-13	PRIJEM	VKLAD	4400	20900	\N	\N	\N
729992	2495	1998-02-12	VYDAJ	VYBER	2700	18200	\N	\N	\N
729993	2495	1998-03-14	PRIJEM	VKLAD	4000	22200	\N	\N	\N
729994	2495	1998-04-13	PRIJEM	VKLAD	3300	25500	\N	\N	\N
729995	2495	1998-05-13	PRIJEM	VKLAD	4400	29900	\N	\N	\N
729996	2495	1998-06-12	PRIJEM	VKLAD	1700	31600	\N	\N	\N
729997	2495	1998-07-12	PRIJEM	VKLAD	2100	33700	\N	\N	\N
729998	2495	1998-08-11	PRIJEM	VKLAD	1800	35500	\N	\N	\N
729999	2495	1998-09-10	PRIJEM	VKLAD	5100	40600	\N	\N	\N
730000	2495	1998-10-10	PRIJEM	VKLAD	2900	43500	\N	\N	\N
730001	2495	1998-11-09	PRIJEM	VKLAD	500	44000	\N	\N	\N
730002	2495	1998-12-09	PRIJEM	VKLAD	5400	49400	\N	\N	\N
730003	2496	1994-05-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
730009	2496	1994-06-12	PRIJEM	VKLAD	11210	12310	\N	\N	\N
730010	2496	1994-07-12	PRIJEM	VKLAD	7473	27814	\N	\N	\N
730011	2496	1994-08-12	PRIJEM	VKLAD	7473	34282	\N	\N	\N
730012	2496	1994-09-12	PRIJEM	VKLAD	7473	36370	\N	\N	\N
730013	2496	1994-10-12	PRIJEM	VKLAD	7473	37665	\N	\N	\N
730014	2496	1994-11-12	PRIJEM	VKLAD	7473	30337	\N	\N	\N
730015	2496	1994-12-12	PRIJEM	VKLAD	11210	28404	\N	\N	\N
730016	2496	1995-01-12	PRIJEM	VKLAD	7473	17218	\N	\N	\N
730017	2496	1995-02-12	PRIJEM	VKLAD	7473	21510	\N	\N	\N
730018	2496	1995-03-12	PRIJEM	VKLAD	7473	25775	\N	\N	\N
730019	2496	1995-04-12	PRIJEM	VKLAD	7473	29041	\N	\N	\N
730020	2496	1995-05-12	PRIJEM	VKLAD	7473	31622	\N	\N	\N
730021	2496	1995-06-12	PRIJEM	VKLAD	11210	37849	\N	\N	\N
730022	2496	1995-07-12	PRIJEM	VKLAD	7473	37646	\N	\N	\N
730023	2496	1995-08-12	PRIJEM	VKLAD	7473	36146	\N	\N	\N
730024	2496	1995-09-12	PRIJEM	VKLAD	7473	34646	\N	\N	\N
730025	2496	1995-10-12	PRIJEM	VKLAD	7473	33238	\N	\N	\N
730026	2496	1995-11-12	PRIJEM	VKLAD	7473	26915	\N	\N	\N
730027	2496	1995-12-12	PRIJEM	VKLAD	11210	26339	\N	\N	\N
730028	2496	1996-01-12	PRIJEM	VKLAD	7473	30218	\N	\N	\N
730029	2496	1996-02-12	PRIJEM	VKLAD	7473	28759	\N	\N	\N
730030	2496	1996-03-12	PRIJEM	VKLAD	7473	32005	\N	\N	\N
730031	2496	1996-04-12	PRIJEM	VKLAD	7473	29624	\N	\N	\N
730032	2496	1996-05-12	PRIJEM	VKLAD	7473	29042	\N	\N	\N
730033	2496	1996-06-12	PRIJEM	VKLAD	11210	31094	\N	\N	\N
730034	2496	1996-07-12	PRIJEM	VKLAD	7473	30414	\N	\N	\N
730035	2496	1996-08-12	PRIJEM	VKLAD	7473	22033	\N	\N	\N
730036	2496	1996-09-12	PRIJEM	VKLAD	7473	24923	\N	\N	\N
730037	2496	1996-10-12	PRIJEM	VKLAD	7473	25115	\N	\N	\N
730038	2496	1996-11-12	PRIJEM	VKLAD	7473	22211	\N	\N	\N
730039	2496	1996-12-12	PRIJEM	VKLAD	11210	25738	\N	\N	\N
730040	2496	1997-01-12	PRIJEM	VKLAD	7473	21833	\N	\N	\N
730041	2496	1997-02-12	PRIJEM	VKLAD	7473	21618	\N	\N	\N
730042	2496	1997-03-12	PRIJEM	VKLAD	7473	21400	\N	\N	\N
730043	2496	1997-04-12	PRIJEM	VKLAD	7473	21181	\N	\N	\N
730044	2496	1997-05-12	PRIJEM	VKLAD	7473	20961	\N	\N	\N
730045	2496	1997-06-12	PRIJEM	VKLAD	11210	24478	\N	\N	\N
730046	2496	1997-07-12	PRIJEM	VKLAD	7473	24266	\N	\N	\N
730047	2496	1997-08-12	PRIJEM	VKLAD	7473	24059	\N	\N	\N
730048	2496	1997-09-12	PRIJEM	VKLAD	7473	23852	\N	\N	\N
730049	2496	1997-10-12	PRIJEM	VKLAD	7473	25643	\N	\N	\N
730050	2496	1997-11-12	PRIJEM	VKLAD	7473	25439	\N	\N	\N
730051	2496	1997-12-12	PRIJEM	VKLAD	11210	28974	\N	\N	\N
730052	2496	1998-01-12	PRIJEM	VKLAD	7473	25253	\N	\N	\N
730053	2496	1998-02-12	PRIJEM	VKLAD	7473	23044	\N	\N	\N
730054	2496	1998-03-12	PRIJEM	VKLAD	7473	22831	\N	\N	\N
730055	2496	1998-04-12	PRIJEM	VKLAD	7473	22617	\N	\N	\N
730056	2496	1998-05-12	PRIJEM	VKLAD	7473	22403	\N	\N	\N
730057	2496	1998-06-12	PRIJEM	VKLAD	11210	25924	\N	\N	\N
730058	2496	1998-07-12	PRIJEM	VKLAD	7473	25717	\N	\N	\N
730059	2496	1998-08-12	PRIJEM	VKLAD	7473	25515	\N	\N	\N
730060	2496	1998-09-12	PRIJEM	VKLAD	7473	25312	\N	\N	\N
730061	2496	1998-10-12	PRIJEM	VKLAD	7473	25108	\N	\N	\N
730062	2496	1998-11-12	PRIJEM	VKLAD	7473	24903	\N	\N	\N
730063	2496	1998-12-12	PRIJEM	VKLAD	11210	28434	\N	\N	\N
730073	2496	1994-10-14	VYDAJ	PREVOD NA UCET	4982	30183	SIPO	GH	76618009
730074	2496	1994-11-14	VYDAJ	PREVOD NA UCET	4982	25355	SIPO	GH	76618009
730075	2496	1994-12-14	VYDAJ	PREVOD NA UCET	4982	20522	SIPO	GH	76618009
730076	2496	1995-01-14	VYDAJ	PREVOD NA UCET	4982	11636	SIPO	GH	76618009
730077	2496	1995-02-14	VYDAJ	PREVOD NA UCET	4982	16528	SIPO	GH	76618009
730078	2496	1995-03-14	VYDAJ	PREVOD NA UCET	4982	20793	SIPO	GH	76618009
730079	2496	1995-04-14	VYDAJ	PREVOD NA UCET	4982	24059	SIPO	GH	76618009
730080	2496	1995-05-14	VYDAJ	PREVOD NA UCET	4982	26640	SIPO	GH	76618009
730081	2496	1995-06-14	VYDAJ	PREVOD NA UCET	4982	32867	SIPO	GH	76618009
730082	2496	1995-07-14	VYDAJ	PREVOD NA UCET	4982	30964	SIPO	GH	76618009
730083	2496	1995-08-14	VYDAJ	PREVOD NA UCET	4982	30564	SIPO	GH	76618009
730084	2496	1995-09-14	VYDAJ	PREVOD NA UCET	4982	25664	SIPO	GH	76618009
730085	2496	1995-10-14	VYDAJ	PREVOD NA UCET	4982	25956	SIPO	GH	76618009
730086	2496	1995-11-14	VYDAJ	PREVOD NA UCET	4982	22633	SIPO	GH	76618009
730087	2496	1995-12-14	VYDAJ	PREVOD NA UCET	4982	18257	SIPO	GH	76618009
730088	2496	1996-01-14	VYDAJ	PREVOD NA UCET	4982	22484	SIPO	GH	76618009
730089	2496	1996-02-14	VYDAJ	PREVOD NA UCET	4982	21025	SIPO	GH	76618009
730090	2496	1996-03-14	VYDAJ	PREVOD NA UCET	4982	24271	SIPO	GH	76618009
730091	2496	1996-04-14	VYDAJ	PREVOD NA UCET	4982	21890	SIPO	GH	76618009
730092	2496	1996-05-14	VYDAJ	PREVOD NA UCET	4982	21308	SIPO	GH	76618009
730093	2496	1996-06-14	VYDAJ	PREVOD NA UCET	4982	23360	SIPO	GH	76618009
730094	2496	1996-07-14	VYDAJ	PREVOD NA UCET	4982	22680	SIPO	GH	76618009
730095	2496	1996-08-14	VYDAJ	PREVOD NA UCET	4982	14299	SIPO	GH	76618009
730096	2496	1996-09-14	VYDAJ	PREVOD NA UCET	4982	17189	SIPO	GH	76618009
730097	2496	1996-10-14	VYDAJ	PREVOD NA UCET	4982	17381	SIPO	GH	76618009
730098	2496	1996-11-14	VYDAJ	PREVOD NA UCET	4982	14477	SIPO	GH	76618009
730099	2496	1996-12-14	VYDAJ	PREVOD NA UCET	4982	18004	SIPO	GH	76618009
730100	2496	1997-01-14	VYDAJ	PREVOD NA UCET	4982	14099	SIPO	GH	76618009
730101	2496	1997-02-14	VYDAJ	PREVOD NA UCET	4982	13884	SIPO	GH	76618009
730102	2496	1997-03-14	VYDAJ	PREVOD NA UCET	4982	13666	SIPO	GH	76618009
730103	2496	1997-04-14	VYDAJ	PREVOD NA UCET	4982	13447	SIPO	GH	76618009
730104	2496	1997-05-14	VYDAJ	PREVOD NA UCET	4982	13227	SIPO	GH	76618009
730105	2496	1997-06-14	VYDAJ	PREVOD NA UCET	4982	16744	SIPO	GH	76618009
730106	2496	1997-07-14	VYDAJ	PREVOD NA UCET	4982	16532	SIPO	GH	76618009
730107	2496	1997-08-14	VYDAJ	PREVOD NA UCET	4982	16325	SIPO	GH	76618009
730108	2496	1997-09-14	VYDAJ	PREVOD NA UCET	4982	16118	SIPO	GH	76618009
730109	2496	1997-10-14	VYDAJ	PREVOD NA UCET	4982	17909	SIPO	GH	76618009
730110	2496	1997-11-14	VYDAJ	PREVOD NA UCET	4982	17705	SIPO	GH	76618009
730111	2496	1997-12-14	VYDAJ	PREVOD NA UCET	4982	21240	SIPO	GH	76618009
730112	2496	1998-01-14	VYDAJ	PREVOD NA UCET	4982	15119	SIPO	GH	76618009
730113	2496	1998-02-14	VYDAJ	PREVOD NA UCET	4982	15310	SIPO	GH	76618009
730114	2496	1998-03-14	VYDAJ	PREVOD NA UCET	4982	15097	SIPO	GH	76618009
730115	2496	1998-04-14	VYDAJ	PREVOD NA UCET	4982	14883	SIPO	GH	76618009
730116	2496	1998-05-14	VYDAJ	PREVOD NA UCET	4982	14669	SIPO	GH	76618009
730117	2496	1998-06-14	VYDAJ	PREVOD NA UCET	4982	18190	SIPO	GH	76618009
730118	2496	1998-07-14	VYDAJ	PREVOD NA UCET	4982	17983	SIPO	GH	76618009
730119	2496	1998-08-14	VYDAJ	PREVOD NA UCET	4982	17781	SIPO	GH	76618009
730120	2496	1998-09-14	VYDAJ	PREVOD NA UCET	4982	17578	SIPO	GH	76618009
730121	2496	1998-10-14	VYDAJ	PREVOD NA UCET	4982	17374	SIPO	GH	76618009
730122	2496	1998-11-14	VYDAJ	PREVOD NA UCET	4982	17169	SIPO	GH	76618009
730123	2496	1998-12-14	VYDAJ	PREVOD NA UCET	4982	20700	SIPO	GH	76618009
730133	2496	1994-10-12	VYDAJ	VYBER	2500	35165	\N	\N	0
730134	2496	1994-11-15	VYDAJ	VYBER	3300	22055	\N	\N	0
730135	2496	1994-12-12	VYDAJ	VYBER	2900	25504	\N	\N	0
730136	2496	1994-12-27	VYDAJ	VYBER	2200	16642	\N	\N	0
730137	2496	1995-02-17	VYDAJ	VYBER	1600	18248	\N	\N	0
730138	2496	1995-03-23	VYDAJ	VYBER	2700	23493	\N	\N	0
730139	2496	1995-04-07	VYDAJ	VYBER	2000	21568	\N	\N	0
730140	2496	1995-05-07	VYDAJ	VYBER	2100	24149	\N	\N	0
730141	2496	1995-06-19	VYDAJ	VYBER	2800	30067	\N	\N	0
730142	2496	1995-07-12	VYDAJ	VYBER	1700	35946	\N	\N	0
730143	2496	1995-08-14	VYDAJ	VYBER	2400	35546	\N	\N	0
730144	2496	1995-09-09	VYDAJ	VYBER	2300	27173	\N	\N	0
730145	2496	1995-10-21	VYDAJ	VYBER	3400	22556	\N	\N	0
730146	2496	1995-10-28	VYDAJ	VYBER	3200	19356	\N	\N	0
730147	2496	1995-12-11	VYDAJ	VYBER	3100	15129	\N	\N	0
730148	2496	1996-01-12	VYDAJ	PREVOD NA UCET	2752	27466	UVER	MN	51870715
730149	2496	1996-02-12	VYDAJ	PREVOD NA UCET	2752	26007	UVER	MN	51870715
730150	2496	1996-03-12	VYDAJ	PREVOD NA UCET	2752	29253	UVER	MN	51870715
730151	2496	1996-04-12	VYDAJ	PREVOD NA UCET	2752	26872	UVER	MN	51870715
730152	2496	1996-05-12	VYDAJ	PREVOD NA UCET	2752	26290	UVER	MN	51870715
730153	2496	1996-06-12	VYDAJ	PREVOD NA UCET	2752	28342	UVER	MN	51870715
730154	2496	1996-07-12	VYDAJ	PREVOD NA UCET	2752	27662	UVER	MN	51870715
730155	2496	1996-08-12	VYDAJ	PREVOD NA UCET	2752	19281	UVER	MN	51870715
730156	2496	1996-09-12	VYDAJ	PREVOD NA UCET	2752	22171	UVER	MN	51870715
730157	2496	1996-10-12	VYDAJ	PREVOD NA UCET	2752	22363	UVER	MN	51870715
730158	2496	1996-11-12	VYDAJ	PREVOD NA UCET	2752	19459	UVER	MN	51870715
730159	2496	1996-12-12	VYDAJ	PREVOD NA UCET	2752	22986	UVER	MN	51870715
730160	2496	1997-01-12	VYDAJ	PREVOD NA UCET	2752	19081	UVER	MN	51870715
730161	2496	1997-02-12	VYDAJ	PREVOD NA UCET	2752	18866	UVER	MN	51870715
730162	2496	1997-03-12	VYDAJ	PREVOD NA UCET	2752	18648	UVER	MN	51870715
730163	2496	1997-04-12	VYDAJ	PREVOD NA UCET	2752	18429	UVER	MN	51870715
730164	2496	1997-05-12	VYDAJ	PREVOD NA UCET	2752	18209	UVER	MN	51870715
730165	2496	1997-06-12	VYDAJ	PREVOD NA UCET	2752	21726	UVER	MN	51870715
730166	2496	1997-07-12	VYDAJ	PREVOD NA UCET	2752	21514	UVER	MN	51870715
730167	2496	1997-08-12	VYDAJ	PREVOD NA UCET	2752	21307	UVER	MN	51870715
730168	2496	1997-09-12	VYDAJ	PREVOD NA UCET	2752	21100	UVER	MN	51870715
730169	2496	1997-10-12	VYDAJ	PREVOD NA UCET	2752	22891	UVER	MN	51870715
730170	2496	1997-11-12	VYDAJ	PREVOD NA UCET	2752	22687	UVER	MN	51870715
730171	2496	1997-12-12	VYDAJ	PREVOD NA UCET	2752	26222	UVER	MN	51870715
730172	2496	1998-01-12	VYDAJ	PREVOD NA UCET	2752	22501	UVER	MN	51870715
730173	2496	1998-02-12	VYDAJ	PREVOD NA UCET	2752	20292	UVER	MN	51870715
730174	2496	1998-03-12	VYDAJ	PREVOD NA UCET	2752	20079	UVER	MN	51870715
730175	2496	1998-04-12	VYDAJ	PREVOD NA UCET	2752	19865	UVER	MN	51870715
730176	2496	1998-05-12	VYDAJ	PREVOD NA UCET	2752	19651	UVER	MN	51870715
730177	2496	1998-06-12	VYDAJ	PREVOD NA UCET	2752	23172	UVER	MN	51870715
730178	2496	1998-07-12	VYDAJ	PREVOD NA UCET	2752	22965	UVER	MN	51870715
730179	2496	1998-08-12	VYDAJ	PREVOD NA UCET	2752	22763	UVER	MN	51870715
730180	2496	1998-09-12	VYDAJ	PREVOD NA UCET	2752	22560	UVER	MN	51870715
730181	2496	1998-10-12	VYDAJ	PREVOD NA UCET	2752	22356	UVER	MN	51870715
730182	2496	1998-11-12	VYDAJ	PREVOD NA UCET	2752	22151	UVER	MN	51870715
730183	2496	1998-12-12	VYDAJ	PREVOD NA UCET	2752	25682	UVER	MN	51870715
730194	2496	1994-12-18	VYDAJ	VYBER	4480	18842	\N	\N	\N
730195	2496	1995-12-02	VYDAJ	VYBER	4480	18229	\N	\N	\N
730197	2496	1997-12-16	VYDAJ	VYBER	3520	17720	\N	\N	\N
730206	2496	1995-01-21	VYDAJ	VYBER	2640	13996	\N	\N	\N
730207	2496	1995-01-12	VYDAJ	VYBER	600	16618	\N	\N	\N
730209	2496	1995-01-14	VYDAJ	VYBER	600	11036	\N	\N	\N
730212	2496	1996-01-14	VYDAJ	VYBER	3360	19124	\N	\N	\N
730213	2496	1996-01-11	VYDAJ	VYBER	1080	22745	\N	\N	\N
730216	2496	1996-01-16	VYDAJ	VYBER	2400	16724	\N	\N	\N
730220	2496	1997-01-01	VYDAJ	VYBER	600	17460	\N	\N	\N
730225	2496	1998-01-12	VYDAJ	VYBER	2400	20101	\N	\N	\N
730234	2496	1994-10-23	VYDAJ	VYBER	4320	22763	\N	\N	\N
730235	2496	1994-11-28	VYDAJ	VYBER	5640	17115	\N	\N	\N
730236	2496	1995-05-25	VYDAJ	VYBER	1200	26540	\N	\N	\N
730237	2496	1995-09-05	VYDAJ	VYBER	1200	29473	\N	\N	\N
730238	2496	1995-01-01	VYDAJ	VYBER	5880	10825	\N	\N	\N
730239	2496	1995-01-03	VYDAJ	VYBER	1080	9745	\N	\N	\N
730240	2496	1995-02-16	VYDAJ	VYBER	1080	19848	\N	\N	\N
730241	2496	1996-07-28	VYDAJ	VYBER	4200	18480	\N	\N	\N
730242	2496	1996-02-24	VYDAJ	VYBER	1560	19465	\N	\N	\N
730243	2496	1996-04-05	VYDAJ	VYBER	4680	19671	\N	\N	\N
730244	2496	1996-04-08	VYDAJ	VYBER	3120	16551	\N	\N	\N
730264	2496	1994-10-31	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
730265	2496	1994-11-30	VYDAJ	VYBER	15	17194	SLUZBY	\N	\N
730266	2496	1994-12-31	VYDAJ	VYBER	15	16705	SLUZBY	\N	\N
730267	2496	1995-01-31	VYDAJ	VYBER	15	14037	SLUZBY	\N	\N
730268	2496	1995-02-28	VYDAJ	VYBER	15	18302	SLUZBY	\N	\N
730269	2496	1995-03-31	VYDAJ	VYBER	15	23568	SLUZBY	\N	\N
730270	2496	1995-04-30	VYDAJ	VYBER	15	26249	SLUZBY	\N	\N
730271	2496	1995-05-31	VYDAJ	VYBER	15	26639	SLUZBY	\N	\N
730272	2496	1995-06-30	VYDAJ	VYBER	15	30173	SLUZBY	\N	\N
730273	2496	1995-07-31	VYDAJ	VYBER	15	28673	SLUZBY	\N	\N
730274	2496	1995-08-31	VYDAJ	VYBER	15	30673	SLUZBY	\N	\N
730275	2496	1995-09-30	VYDAJ	VYBER	15	25765	SLUZBY	\N	\N
730276	2496	1995-10-31	VYDAJ	VYBER	15	19442	SLUZBY	\N	\N
730277	2496	1995-11-30	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
730278	2496	1995-12-31	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
730279	2496	1996-01-31	VYDAJ	VYBER	15	16786	SLUZBY	\N	\N
730280	2496	1996-02-29	VYDAJ	VYBER	15	19532	SLUZBY	\N	\N
730281	2496	1996-03-31	VYDAJ	VYBER	15	24351	SLUZBY	\N	\N
730282	2496	1996-04-30	VYDAJ	VYBER	15	21969	SLUZBY	\N	\N
730283	2496	1996-05-31	VYDAJ	VYBER	15	21384	SLUZBY	\N	\N
730284	2496	1996-06-30	VYDAJ	VYBER	15	23441	SLUZBY	\N	\N
730285	2496	1996-07-31	VYDAJ	VYBER	15	18560	SLUZBY	\N	\N
730286	2496	1996-08-31	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
730287	2496	1996-09-30	VYDAJ	VYBER	15	17242	SLUZBY	\N	\N
730288	2496	1996-10-31	VYDAJ	VYBER	15	17438	SLUZBY	\N	\N
730289	2496	1996-11-30	VYDAJ	VYBER	15	14528	SLUZBY	\N	\N
730290	2496	1996-12-31	VYDAJ	VYBER	15	18060	SLUZBY	\N	\N
730291	2496	1997-01-31	VYDAJ	VYBER	15	14145	SLUZBY	\N	\N
730292	2496	1997-02-28	VYDAJ	VYBER	15	13927	SLUZBY	\N	\N
730293	2496	1997-03-31	VYDAJ	VYBER	15	13708	SLUZBY	\N	\N
730294	2496	1997-04-30	VYDAJ	VYBER	15	13488	SLUZBY	\N	\N
730295	2496	1997-05-31	VYDAJ	VYBER	15	13268	SLUZBY	\N	\N
730296	2496	1997-06-30	VYDAJ	VYBER	15	16793	SLUZBY	\N	\N
730297	2496	1997-07-31	VYDAJ	VYBER	15	16586	SLUZBY	\N	\N
730298	2496	1997-08-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
730299	2496	1997-09-30	VYDAJ	VYBER	15	16170	SLUZBY	\N	\N
730300	2496	1997-10-31	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
730301	2496	1997-11-30	VYDAJ	VYBER	15	17764	SLUZBY	\N	\N
730302	2496	1997-12-31	VYDAJ	VYBER	15	17780	SLUZBY	\N	\N
730303	2496	1998-01-31	VYDAJ	VYBER	15	15571	SLUZBY	\N	\N
730304	2496	1998-02-28	VYDAJ	VYBER	15	15358	SLUZBY	\N	\N
730305	2496	1998-03-31	VYDAJ	VYBER	15	15144	SLUZBY	\N	\N
730306	2496	1998-04-30	VYDAJ	VYBER	15	14930	SLUZBY	\N	\N
730307	2496	1998-05-31	VYDAJ	VYBER	15	14714	SLUZBY	\N	\N
730308	2496	1998-06-30	VYDAJ	VYBER	15	18244	SLUZBY	\N	\N
730309	2496	1998-07-31	VYDAJ	VYBER	15	18042	SLUZBY	\N	\N
730310	2496	1998-08-31	VYDAJ	VYBER	15	17839	SLUZBY	\N	\N
730311	2496	1998-09-30	VYDAJ	VYBER	15	17635	SLUZBY	\N	\N
730312	2496	1998-10-31	VYDAJ	VYBER	15	17430	SLUZBY	\N	\N
730313	2496	1998-11-30	VYDAJ	VYBER	15	17224	SLUZBY	\N	\N
730314	2496	1994-06-20	PRIJEM	VKLAD	8000	20310	\N	\N	\N
730315	2496	1994-07-20	VYDAJ	VYBER	1100	26714	\N	\N	\N
730316	2496	1994-08-19	VYDAJ	VYBER	5500	28782	\N	\N	\N
730317	2496	1994-09-18	VYDAJ	VYBER	6300	30070	\N	\N	\N
730318	2496	1994-10-18	VYDAJ	VYBER	3100	27083	\N	\N	\N
730319	2496	1994-11-17	PRIJEM	VKLAD	700	22755	\N	\N	\N
730320	2496	1994-12-17	PRIJEM	VKLAD	2800	23322	\N	\N	\N
730321	2496	1995-01-16	PRIJEM	VKLAD	5600	16636	\N	\N	\N
730322	2496	1995-02-15	PRIJEM	VKLAD	4400	20928	\N	\N	\N
730323	2496	1995-03-17	PRIJEM	VKLAD	5400	26193	\N	\N	\N
730324	2496	1995-04-16	PRIJEM	VKLAD	2100	26159	\N	\N	\N
730325	2496	1995-05-16	PRIJEM	VKLAD	1100	27740	\N	\N	\N
730326	2496	1995-07-15	VYDAJ	VYBER	2400	28564	\N	\N	\N
730327	2496	1995-08-14	PRIJEM	VKLAD	1800	37946	\N	\N	\N
730328	2496	1995-09-13	VYDAJ	VYBER	4000	30646	\N	\N	\N
730329	2496	1995-10-13	VYDAJ	VYBER	2300	30938	\N	\N	\N
730330	2496	1995-11-12	PRIJEM	VKLAD	700	27615	\N	\N	\N
730331	2496	1995-12-12	VYDAJ	VYBER	3100	23239	\N	\N	\N
730332	2496	1996-01-11	PRIJEM	VKLAD	5500	23825	\N	\N	\N
730333	2496	1996-02-10	PRIJEM	VKLAD	4500	21286	\N	\N	\N
730334	2496	1996-03-11	PRIJEM	VKLAD	5000	24532	\N	\N	\N
730335	2496	1996-04-10	PRIJEM	VKLAD	5600	22151	\N	\N	\N
730336	2496	1996-05-10	VYDAJ	VYBER	400	21569	\N	\N	\N
730337	2496	1996-06-09	VYDAJ	VYBER	1500	19884	\N	\N	\N
730338	2496	1996-07-09	VYDAJ	VYBER	500	22941	\N	\N	\N
730339	2496	1996-08-08	VYDAJ	VYBER	4000	14560	\N	\N	\N
730340	2496	1996-09-07	PRIJEM	VKLAD	3100	17450	\N	\N	\N
730341	2496	1996-10-07	PRIJEM	VKLAD	400	17642	\N	\N	\N
730342	2496	1996-11-06	VYDAJ	VYBER	2700	14738	\N	\N	\N
730343	2496	1997-01-05	VYDAJ	VYBER	3100	14360	\N	\N	\N
730344	2496	1997-10-02	PRIJEM	VKLAD	2000	18170	\N	\N	\N
730345	2496	1998-01-30	PRIJEM	VKLAD	400	15519	\N	\N	\N
730401	2497	1993-03-16	PRIJEM	VKLAD	300	300	\N	\N	\N
730405	2497	1993-04-06	PRIJEM	VKLAD	5956	6256	\N	\N	\N
730406	2497	1993-05-06	PRIJEM	VKLAD	5956	21847	\N	\N	\N
730407	2497	1993-06-06	PRIJEM	VKLAD	8934	32164	\N	\N	\N
730408	2497	1993-07-06	PRIJEM	VKLAD	5956	36634	\N	\N	\N
730409	2497	1993-08-06	PRIJEM	VKLAD	5956	36116	\N	\N	\N
730410	2497	1993-09-06	PRIJEM	VKLAD	5956	34008	\N	\N	\N
730411	2497	1993-10-06	PRIJEM	VKLAD	5956	31489	\N	\N	\N
730412	2497	1993-11-06	PRIJEM	VKLAD	5956	30106	\N	\N	\N
730413	2497	1993-12-06	PRIJEM	VKLAD	8934	25369	\N	\N	\N
730414	2497	1994-01-06	PRIJEM	VKLAD	5956	22986	\N	\N	\N
730415	2497	1994-02-06	PRIJEM	VKLAD	5956	18985	\N	\N	\N
730416	2497	1994-03-06	PRIJEM	VKLAD	5956	20798	\N	\N	\N
730417	2497	1994-04-06	PRIJEM	VKLAD	5956	23840	\N	\N	\N
730418	2497	1994-05-06	PRIJEM	VKLAD	5956	19885	\N	\N	\N
730419	2497	1994-06-06	PRIJEM	VKLAD	8934	26905	\N	\N	\N
730420	2497	1994-07-06	PRIJEM	VKLAD	5956	28467	\N	\N	\N
730421	2497	1994-08-06	PRIJEM	VKLAD	5956	28032	\N	\N	\N
730422	2497	1994-09-06	PRIJEM	VKLAD	5956	28799	\N	\N	\N
730423	2497	1994-10-06	PRIJEM	VKLAD	5956	28568	\N	\N	\N
730424	2497	1994-11-06	PRIJEM	VKLAD	5956	23491	\N	\N	\N
730425	2497	1994-12-06	PRIJEM	VKLAD	8934	27520	\N	\N	\N
730426	2497	1995-01-06	PRIJEM	VKLAD	5956	23838	\N	\N	\N
730427	2497	1995-02-06	PRIJEM	VKLAD	5956	23735	\N	\N	\N
730428	2497	1995-03-06	PRIJEM	VKLAD	5956	20972	\N	\N	\N
730429	2497	1995-04-06	PRIJEM	VKLAD	5956	23715	\N	\N	\N
730430	2497	1995-05-06	PRIJEM	VKLAD	5956	24570	\N	\N	\N
730431	2497	1995-06-06	PRIJEM	VKLAD	8934	25007	\N	\N	\N
730432	2497	1995-07-06	PRIJEM	VKLAD	5956	24369	\N	\N	\N
730433	2497	1995-08-06	PRIJEM	VKLAD	5956	24676	\N	\N	\N
730434	2497	1995-09-06	PRIJEM	VKLAD	5956	22033	\N	\N	\N
730435	2497	1995-10-06	PRIJEM	VKLAD	5956	22284	\N	\N	\N
730436	2497	1995-11-06	PRIJEM	VKLAD	5956	22335	\N	\N	\N
730437	2497	1995-12-06	PRIJEM	VKLAD	8934	24563	\N	\N	\N
730438	2497	1996-01-06	PRIJEM	VKLAD	5956	19696	\N	\N	\N
730439	2497	1996-02-06	PRIJEM	VKLAD	5956	18863	\N	\N	\N
730440	2497	1996-03-06	PRIJEM	VKLAD	5956	18792	\N	\N	\N
730441	2497	1996-04-06	PRIJEM	VKLAD	5956	21021	\N	\N	\N
730442	2497	1996-05-06	PRIJEM	VKLAD	5956	20019	\N	\N	\N
730443	2497	1996-06-06	PRIJEM	VKLAD	8934	21336	\N	\N	\N
730444	2497	1996-07-06	PRIJEM	VKLAD	5956	20870	\N	\N	\N
730445	2497	1996-08-06	PRIJEM	VKLAD	5956	19106	\N	\N	\N
730446	2497	1996-09-06	PRIJEM	VKLAD	5956	21136	\N	\N	\N
730447	2497	1996-10-06	PRIJEM	VKLAD	5956	17771	\N	\N	\N
730448	2497	1996-11-06	PRIJEM	VKLAD	5956	19796	\N	\N	\N
730449	2497	1996-12-06	PRIJEM	VKLAD	8934	23687	\N	\N	\N
730450	2497	1997-01-06	PRIJEM	VKLAD	5956	20435	\N	\N	\N
730451	2497	1997-02-06	PRIJEM	VKLAD	5956	16014	\N	\N	\N
730452	2497	1997-03-06	PRIJEM	VKLAD	5956	18931	\N	\N	\N
730453	2497	1997-04-06	PRIJEM	VKLAD	5956	19159	\N	\N	\N
730454	2497	1997-05-06	PRIJEM	VKLAD	5956	21189	\N	\N	\N
730455	2497	1997-06-06	PRIJEM	VKLAD	8934	23921	\N	\N	\N
730456	2497	1997-07-06	PRIJEM	VKLAD	5956	25366	\N	\N	\N
730457	2497	1997-08-06	PRIJEM	VKLAD	5956	27423	\N	\N	\N
730458	2497	1997-09-06	PRIJEM	VKLAD	5956	29487	\N	\N	\N
730459	2497	1997-10-06	PRIJEM	VKLAD	5956	27117	\N	\N	\N
730460	2497	1997-11-06	PRIJEM	VKLAD	5956	29180	\N	\N	\N
730461	2497	1997-12-06	PRIJEM	VKLAD	8934	34229	\N	\N	\N
730462	2497	1998-01-06	PRIJEM	VKLAD	5956	31316	\N	\N	\N
730463	2497	1998-02-06	PRIJEM	VKLAD	5956	20939	\N	\N	\N
730464	2497	1998-03-06	PRIJEM	VKLAD	5956	22975	\N	\N	\N
730465	2497	1998-04-06	PRIJEM	VKLAD	5956	25021	\N	\N	\N
730466	2497	1998-05-06	PRIJEM	VKLAD	5956	27074	\N	\N	\N
730467	2497	1998-06-06	PRIJEM	VKLAD	8934	32115	\N	\N	\N
730468	2497	1998-07-06	PRIJEM	VKLAD	5956	34193	\N	\N	\N
730469	2497	1998-08-06	PRIJEM	VKLAD	5956	36285	\N	\N	\N
730470	2497	1998-09-06	PRIJEM	VKLAD	5956	38386	\N	\N	\N
730471	2497	1998-10-06	PRIJEM	VKLAD	5956	40495	\N	\N	\N
730472	2497	1998-11-06	PRIJEM	VKLAD	5956	40568	\N	\N	\N
730473	2497	1998-12-06	PRIJEM	VKLAD	8934	45664	\N	\N	\N
730481	2497	1993-08-12	VYDAJ	PREVOD NA UCET	3970	32146	SIPO	IJ	38673484
730482	2497	1993-09-12	VYDAJ	PREVOD NA UCET	3970	30038	SIPO	IJ	38673484
730483	2497	1993-10-12	VYDAJ	PREVOD NA UCET	3970	25119	SIPO	IJ	38673484
730484	2497	1993-11-12	VYDAJ	PREVOD NA UCET	3970	21436	SIPO	IJ	38673484
730485	2497	1993-12-12	VYDAJ	PREVOD NA UCET	3970	21399	SIPO	IJ	38673484
730486	2497	1994-01-12	VYDAJ	PREVOD NA UCET	3970	19856	SIPO	IJ	38673484
730487	2497	1994-02-12	VYDAJ	PREVOD NA UCET	3970	14795	SIPO	IJ	38673484
730488	2497	1994-03-12	VYDAJ	PREVOD NA UCET	3970	17828	SIPO	IJ	38673484
730489	2497	1994-04-12	VYDAJ	PREVOD NA UCET	3970	18670	SIPO	IJ	38673484
730490	2497	1994-05-12	VYDAJ	PREVOD NA UCET	3970	17915	SIPO	IJ	38673484
730491	2497	1994-06-12	VYDAJ	PREVOD NA UCET	3970	22435	SIPO	IJ	38673484
730492	2497	1994-07-12	VYDAJ	PREVOD NA UCET	3970	21997	SIPO	IJ	38673484
730493	2497	1994-08-12	VYDAJ	PREVOD NA UCET	3970	22762	SIPO	IJ	38673484
730494	2497	1994-09-12	VYDAJ	PREVOD NA UCET	3970	22529	SIPO	IJ	38673484
730495	2497	1994-10-12	VYDAJ	PREVOD NA UCET	3970	21898	SIPO	IJ	38673484
730496	2497	1994-11-12	VYDAJ	PREVOD NA UCET	3970	18521	SIPO	IJ	38673484
730497	2497	1994-12-12	VYDAJ	PREVOD NA UCET	3970	19750	SIPO	IJ	38673484
730498	2497	1995-01-12	VYDAJ	PREVOD NA UCET	3970	16388	SIPO	IJ	38673484
730499	2497	1995-02-12	VYDAJ	PREVOD NA UCET	3970	14965	SIPO	IJ	38673484
730500	2497	1995-03-12	VYDAJ	PREVOD NA UCET	3970	16902	SIPO	IJ	38673484
730501	2497	1995-04-12	VYDAJ	PREVOD NA UCET	3970	19745	SIPO	IJ	38673484
730502	2497	1995-05-12	VYDAJ	PREVOD NA UCET	3970	20600	SIPO	IJ	38673484
730503	2497	1995-06-12	VYDAJ	PREVOD NA UCET	3970	21037	SIPO	IJ	38673484
730504	2497	1995-07-12	VYDAJ	PREVOD NA UCET	3970	15959	SIPO	IJ	38673484
730505	2497	1995-08-12	VYDAJ	PREVOD NA UCET	3970	20706	SIPO	IJ	38673484
730506	2497	1995-09-12	VYDAJ	PREVOD NA UCET	3970	18063	SIPO	IJ	38673484
730507	2497	1995-10-12	VYDAJ	PREVOD NA UCET	3970	18314	SIPO	IJ	38673484
730508	2497	1995-11-12	VYDAJ	PREVOD NA UCET	3970	18365	SIPO	IJ	38673484
730509	2497	1995-12-12	VYDAJ	PREVOD NA UCET	3970	20593	SIPO	IJ	38673484
730510	2497	1996-01-12	VYDAJ	PREVOD NA UCET	3970	12366	SIPO	IJ	38673484
730511	2497	1996-02-12	VYDAJ	PREVOD NA UCET	3970	14893	SIPO	IJ	38673484
730512	2497	1996-03-12	VYDAJ	PREVOD NA UCET	3970	14822	SIPO	IJ	38673484
730513	2497	1996-04-12	VYDAJ	PREVOD NA UCET	3970	17051	SIPO	IJ	38673484
730514	2497	1996-05-12	VYDAJ	PREVOD NA UCET	3970	16049	SIPO	IJ	38673484
730515	2497	1996-06-12	VYDAJ	PREVOD NA UCET	3970	17366	SIPO	IJ	38673484
730516	2497	1996-07-12	VYDAJ	PREVOD NA UCET	3970	16900	SIPO	IJ	38673484
730517	2497	1996-08-12	VYDAJ	PREVOD NA UCET	3970	15136	SIPO	IJ	38673484
730518	2497	1996-09-12	VYDAJ	PREVOD NA UCET	3970	17166	SIPO	IJ	38673484
730519	2497	1996-10-12	VYDAJ	PREVOD NA UCET	3970	13801	SIPO	IJ	38673484
730520	2497	1996-11-12	VYDAJ	PREVOD NA UCET	3970	15826	SIPO	IJ	38673484
730521	2497	1996-12-12	VYDAJ	PREVOD NA UCET	3970	19717	SIPO	IJ	38673484
730522	2497	1997-01-12	VYDAJ	PREVOD NA UCET	3970	10025	SIPO	IJ	38673484
730523	2497	1997-02-12	VYDAJ	PREVOD NA UCET	3970	12044	SIPO	IJ	38673484
730524	2497	1997-03-12	VYDAJ	PREVOD NA UCET	3970	14961	SIPO	IJ	38673484
730525	2497	1997-04-12	VYDAJ	PREVOD NA UCET	3970	15189	SIPO	IJ	38673484
730526	2497	1997-05-12	VYDAJ	PREVOD NA UCET	3970	14939	SIPO	IJ	38673484
730527	2497	1997-06-12	VYDAJ	PREVOD NA UCET	3970	19951	SIPO	IJ	38673484
730528	2497	1997-07-12	VYDAJ	PREVOD NA UCET	3970	21396	SIPO	IJ	38673484
730529	2497	1997-08-12	VYDAJ	PREVOD NA UCET	3970	23453	SIPO	IJ	38673484
730530	2497	1997-09-12	VYDAJ	PREVOD NA UCET	3970	25517	SIPO	IJ	38673484
730531	2497	1997-10-12	VYDAJ	PREVOD NA UCET	3970	23147	SIPO	IJ	38673484
730532	2497	1997-11-12	VYDAJ	PREVOD NA UCET	3970	25210	SIPO	IJ	38673484
730533	2497	1997-12-12	VYDAJ	PREVOD NA UCET	3970	30259	SIPO	IJ	38673484
730534	2497	1998-01-12	VYDAJ	PREVOD NA UCET	3970	25786	SIPO	IJ	38673484
730535	2497	1998-02-12	VYDAJ	PREVOD NA UCET	3970	16969	SIPO	IJ	38673484
730536	2497	1998-03-12	VYDAJ	PREVOD NA UCET	3970	19005	SIPO	IJ	38673484
730537	2497	1998-04-12	VYDAJ	PREVOD NA UCET	3970	21051	SIPO	IJ	38673484
730538	2497	1998-05-12	VYDAJ	PREVOD NA UCET	3970	23104	SIPO	IJ	38673484
730539	2497	1998-06-12	VYDAJ	PREVOD NA UCET	3970	28145	SIPO	IJ	38673484
730540	2497	1998-07-12	VYDAJ	PREVOD NA UCET	3970	30223	SIPO	IJ	38673484
730541	2497	1998-08-12	VYDAJ	PREVOD NA UCET	3970	32315	SIPO	IJ	38673484
730542	2497	1998-09-12	VYDAJ	PREVOD NA UCET	3970	34416	SIPO	IJ	38673484
730543	2497	1998-10-12	VYDAJ	PREVOD NA UCET	3970	36525	SIPO	IJ	38673484
730544	2497	1998-11-12	VYDAJ	PREVOD NA UCET	3970	36598	SIPO	IJ	38673484
730545	2497	1998-12-12	VYDAJ	PREVOD NA UCET	3970	41694	SIPO	IJ	38673484
730625	2497	1994-01-15	VYDAJ	VYBER	2080	12976	\N	\N	\N
730626	2497	1995-01-18	VYDAJ	VYBER	1600	14788	\N	\N	\N
730628	2497	1997-01-10	VYDAJ	VYBER	3200	13995	\N	\N	\N
730629	2497	1998-01-17	VYDAJ	VYBER	6560	19226	\N	\N	\N
730630	2497	1993-12-03	VYDAJ	VYBER	2080	16435	\N	\N	\N
730631	2497	1994-12-29	VYDAJ	VYBER	1760	17990	\N	\N	\N
730632	2497	1995-12-22	VYDAJ	VYBER	3520	17073	\N	\N	\N
730633	2497	1996-12-03	VYDAJ	VYBER	1120	14753	\N	\N	\N
730634	2497	1997-12-27	VYDAJ	VYBER	2240	28019	\N	\N	\N
730635	2497	1998-12-17	VYDAJ	VYBER	2720	38974	\N	\N	\N
730643	2497	1994-01-14	VYDAJ	VYBER	2040	15056	\N	\N	\N
730645	2497	1994-01-04	VYDAJ	VYBER	1680	17030	\N	\N	\N
730647	2497	1994-01-09	VYDAJ	VYBER	1560	21426	\N	\N	\N
730648	2497	1995-01-26	VYDAJ	VYBER	720	12628	\N	\N	\N
730649	2497	1995-01-06	VYDAJ	VYBER	2040	20358	\N	\N	\N
730650	2497	1995-01-20	VYDAJ	VYBER	1440	13348	\N	\N	\N
730652	2497	1995-01-03	VYDAJ	VYBER	1200	16862	\N	\N	\N
730653	2497	1995-01-06	VYDAJ	VYBER	1440	22398	\N	\N	\N
730656	2497	1996-01-09	VYDAJ	VYBER	1440	16336	\N	\N	\N
730658	2497	1996-01-07	VYDAJ	VYBER	1920	17776	\N	\N	\N
730662	2497	1997-01-08	VYDAJ	VYBER	3240	17195	\N	\N	\N
730666	2497	1998-01-04	VYDAJ	VYBER	2760	25360	\N	\N	\N
730667	2497	1998-01-10	VYDAJ	VYBER	1560	29756	\N	\N	\N
730668	2497	1998-01-24	VYDAJ	VYBER	1320	14906	\N	\N	\N
730670	2497	1998-01-19	VYDAJ	VYBER	3000	16226	\N	\N	\N
730674	2497	1993-10-15	VYDAJ	VYBER	960	24059	\N	\N	\N
730675	2497	1993-12-20	VYDAJ	VYBER	2760	18639	\N	\N	\N
730677	2497	1993-11-30	VYDAJ	VYBER	3000	18529	\N	\N	\N
730678	2497	1993-10-06	VYDAJ	VYBER	2400	29089	\N	\N	\N
730679	2497	1994-02-06	VYDAJ	VYBER	5520	13465	\N	\N	\N
730680	2497	1994-04-25	VYDAJ	VYBER	4800	13870	\N	\N	\N
730681	2497	1994-01-13	VYDAJ	VYBER	2760	17096	\N	\N	\N
730682	2497	1994-10-28	VYDAJ	VYBER	4440	17458	\N	\N	\N
730683	2497	1995-07-11	VYDAJ	VYBER	4440	19929	\N	\N	\N
730684	2497	1995-01-04	VYDAJ	VYBER	3480	13382	\N	\N	\N
730685	2497	1995-02-08	VYDAJ	VYBER	4800	18935	\N	\N	\N
730690	2497	1996-05-03	VYDAJ	VYBER	840	14063	\N	\N	\N
730693	2497	1997-09-26	VYDAJ	VYBER	4440	21077	\N	\N	\N
730695	2497	1997-06-30	VYDAJ	VYBER	600	19410	\N	\N	\N
730696	2497	1997-05-10	VYDAJ	VYBER	2280	18909	\N	\N	\N
730699	2497	1998-10-14	VYDAJ	VYBER	2040	34485	\N	\N	\N
730702	2497	1998-12-24	VYDAJ	VYBER	1080	37894	\N	\N	\N
730711	2497	1993-08-31	VYDAJ	VYBER	15	28052	SLUZBY	\N	\N
730712	2497	1993-09-30	VYDAJ	VYBER	15	25533	SLUZBY	\N	\N
730713	2497	1993-10-31	VYDAJ	VYBER	15	24150	SLUZBY	\N	\N
730714	2497	1993-11-30	VYDAJ	VYBER	15	18515	SLUZBY	\N	\N
730715	2497	1993-12-31	VYDAJ	VYBER	15	18710	SLUZBY	\N	\N
730716	2497	1994-01-31	VYDAJ	VYBER	15	13029	SLUZBY	\N	\N
730717	2497	1994-02-28	VYDAJ	VYBER	15	14842	SLUZBY	\N	\N
730718	2497	1994-03-31	VYDAJ	VYBER	15	17884	SLUZBY	\N	\N
730719	2497	1994-04-30	VYDAJ	VYBER	15	13929	SLUZBY	\N	\N
730720	2497	1994-05-31	VYDAJ	VYBER	15	17971	SLUZBY	\N	\N
730721	2497	1994-06-30	VYDAJ	VYBER	15	22511	SLUZBY	\N	\N
730722	2497	1994-07-31	VYDAJ	VYBER	15	22076	SLUZBY	\N	\N
730723	2497	1994-08-31	VYDAJ	VYBER	15	22843	SLUZBY	\N	\N
730724	2497	1994-09-30	VYDAJ	VYBER	15	22612	SLUZBY	\N	\N
730725	2497	1994-10-31	VYDAJ	VYBER	15	17535	SLUZBY	\N	\N
730726	2497	1994-11-30	VYDAJ	VYBER	15	18586	SLUZBY	\N	\N
730727	2497	1994-12-31	VYDAJ	VYBER	15	18062	SLUZBY	\N	\N
730728	2497	1995-01-31	VYDAJ	VYBER	15	12679	SLUZBY	\N	\N
730729	2497	1995-02-28	VYDAJ	VYBER	15	15016	SLUZBY	\N	\N
730730	2497	1995-03-31	VYDAJ	VYBER	15	16959	SLUZBY	\N	\N
730731	2497	1995-04-30	VYDAJ	VYBER	15	19814	SLUZBY	\N	\N
730732	2497	1995-05-31	VYDAJ	VYBER	15	20673	SLUZBY	\N	\N
730733	2497	1995-06-30	VYDAJ	VYBER	15	21113	SLUZBY	\N	\N
730734	2497	1995-07-31	VYDAJ	VYBER	15	16020	SLUZBY	\N	\N
730735	2497	1995-08-31	VYDAJ	VYBER	15	20777	SLUZBY	\N	\N
730736	2497	1995-09-30	VYDAJ	VYBER	15	18128	SLUZBY	\N	\N
730737	2497	1995-10-31	VYDAJ	VYBER	15	18379	SLUZBY	\N	\N
730738	2497	1995-11-30	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
730739	2497	1995-12-31	VYDAJ	VYBER	15	13740	SLUZBY	\N	\N
730740	2497	1996-01-31	VYDAJ	VYBER	15	12907	SLUZBY	\N	\N
730741	2497	1996-02-29	VYDAJ	VYBER	15	12836	SLUZBY	\N	\N
730742	2497	1996-03-31	VYDAJ	VYBER	15	15065	SLUZBY	\N	\N
730743	2497	1996-04-30	VYDAJ	VYBER	15	14903	SLUZBY	\N	\N
730744	2497	1996-05-31	VYDAJ	VYBER	15	12402	SLUZBY	\N	\N
730745	2497	1996-06-30	VYDAJ	VYBER	15	14914	SLUZBY	\N	\N
730746	2497	1996-07-31	VYDAJ	VYBER	15	13150	SLUZBY	\N	\N
730747	2497	1996-08-31	VYDAJ	VYBER	15	15180	SLUZBY	\N	\N
730748	2497	1996-09-30	VYDAJ	VYBER	15	11815	SLUZBY	\N	\N
730749	2497	1996-10-31	VYDAJ	VYBER	15	13840	SLUZBY	\N	\N
730750	2497	1996-11-30	VYDAJ	VYBER	15	15873	SLUZBY	\N	\N
730751	2497	1996-12-31	VYDAJ	VYBER	15	14479	SLUZBY	\N	\N
730752	2497	1997-01-31	VYDAJ	VYBER	15	10058	SLUZBY	\N	\N
730753	2497	1997-02-28	VYDAJ	VYBER	15	12975	SLUZBY	\N	\N
730754	2497	1997-03-31	VYDAJ	VYBER	15	13203	SLUZBY	\N	\N
730755	2497	1997-04-30	VYDAJ	VYBER	15	15233	SLUZBY	\N	\N
730756	2497	1997-05-31	VYDAJ	VYBER	15	14987	SLUZBY	\N	\N
730757	2497	1997-06-30	VYDAJ	VYBER	15	20010	SLUZBY	\N	\N
730758	2497	1997-07-31	VYDAJ	VYBER	15	21467	SLUZBY	\N	\N
730759	2497	1997-08-31	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
730760	2497	1997-09-30	VYDAJ	VYBER	15	21161	SLUZBY	\N	\N
730761	2497	1997-10-31	VYDAJ	VYBER	15	23224	SLUZBY	\N	\N
730762	2497	1997-11-30	VYDAJ	VYBER	15	25295	SLUZBY	\N	\N
730763	2497	1997-12-31	VYDAJ	VYBER	15	28120	SLUZBY	\N	\N
730764	2497	1998-01-31	VYDAJ	VYBER	15	14983	SLUZBY	\N	\N
730765	2497	1998-02-28	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
730766	2497	1998-03-31	VYDAJ	VYBER	15	19065	SLUZBY	\N	\N
730767	2497	1998-04-30	VYDAJ	VYBER	15	21118	SLUZBY	\N	\N
730768	2497	1998-05-31	VYDAJ	VYBER	15	23181	SLUZBY	\N	\N
730769	2497	1998-06-30	VYDAJ	VYBER	15	28237	SLUZBY	\N	\N
730770	2497	1998-07-31	VYDAJ	VYBER	15	30329	SLUZBY	\N	\N
730771	2497	1998-08-31	VYDAJ	VYBER	15	32430	SLUZBY	\N	\N
730772	2497	1998-09-30	VYDAJ	VYBER	15	34539	SLUZBY	\N	\N
730773	2497	1998-10-31	VYDAJ	VYBER	15	34612	SLUZBY	\N	\N
730774	2497	1998-11-30	VYDAJ	VYBER	15	36730	SLUZBY	\N	\N
730775	2497	1993-04-15	PRIJEM	VKLAD	9600	15856	\N	\N	\N
730776	2497	1993-05-15	PRIJEM	VKLAD	1300	23147	\N	\N	\N
730777	2497	1993-06-14	VYDAJ	VYBER	1600	30564	\N	\N	\N
730778	2497	1993-07-14	VYDAJ	VYBER	6600	30034	\N	\N	\N
730779	2497	1993-08-13	VYDAJ	VYBER	4200	27946	\N	\N	\N
730780	2497	1993-09-12	VYDAJ	VYBER	4600	25438	\N	\N	\N
730781	2497	1993-10-12	VYDAJ	VYBER	100	25019	\N	\N	\N
730782	2497	1993-11-11	VYDAJ	VYBER	4700	25406	\N	\N	\N
730783	2497	1994-01-10	PRIJEM	VKLAD	2400	23826	\N	\N	\N
730784	2497	1994-02-09	PRIJEM	VKLAD	5300	18765	\N	\N	\N
730785	2497	1994-03-11	PRIJEM	VKLAD	1000	21798	\N	\N	\N
730786	2497	1994-04-10	VYDAJ	VYBER	1200	22640	\N	\N	\N
730787	2497	1994-05-10	PRIJEM	VKLAD	2000	21885	\N	\N	\N
730788	2497	1994-06-09	VYDAJ	VYBER	500	26405	\N	\N	\N
730789	2497	1994-07-09	VYDAJ	VYBER	2500	25967	\N	\N	\N
730790	2497	1994-08-08	VYDAJ	VYBER	1300	26732	\N	\N	\N
730791	2497	1994-09-07	VYDAJ	VYBER	2300	26499	\N	\N	\N
730792	2497	1994-10-07	VYDAJ	VYBER	2700	25868	\N	\N	\N
730793	2497	1994-11-06	VYDAJ	VYBER	1000	22491	\N	\N	\N
730794	2497	1994-12-06	VYDAJ	VYBER	3800	23720	\N	\N	\N
730795	2497	1995-01-05	PRIJEM	VKLAD	4500	17882	\N	\N	\N
730796	2497	1995-02-04	PRIJEM	VKLAD	5100	17779	\N	\N	\N
730797	2497	1995-03-06	VYDAJ	VYBER	100	20872	\N	\N	\N
730798	2497	1995-04-05	PRIJEM	VKLAD	800	17759	\N	\N	\N
730799	2497	1995-05-05	VYDAJ	VYBER	1200	18614	\N	\N	\N
730800	2497	1995-06-04	VYDAJ	VYBER	4600	16073	\N	\N	\N
730801	2497	1995-07-04	VYDAJ	VYBER	2700	18413	\N	\N	\N
730802	2497	1995-08-03	PRIJEM	VKLAD	2700	18720	\N	\N	\N
730803	2497	1995-09-02	VYDAJ	VYBER	4700	16077	\N	\N	\N
730804	2497	1995-10-02	VYDAJ	VYBER	1800	16328	\N	\N	\N
730805	2497	1995-11-01	VYDAJ	VYBER	2000	16379	\N	\N	\N
730806	2497	1995-12-01	VYDAJ	VYBER	2800	15629	\N	\N	\N
730807	2497	1995-12-31	VYDAJ	VYBER	3400	13755	\N	\N	\N
730808	2497	1996-01-30	PRIJEM	VKLAD	500	12866	\N	\N	\N
730809	2497	1996-02-29	VYDAJ	VYBER	2100	12851	\N	\N	\N
730810	2497	1996-03-30	PRIJEM	VKLAD	200	15022	\N	\N	\N
730811	2497	1996-04-29	VYDAJ	VYBER	2200	14851	\N	\N	\N
730812	2497	1996-05-29	VYDAJ	VYBER	3700	12349	\N	\N	\N
730813	2497	1996-06-28	VYDAJ	VYBER	2500	14866	\N	\N	\N
730814	2497	1996-07-28	VYDAJ	VYBER	3800	13100	\N	\N	\N
730815	2497	1996-09-26	VYDAJ	VYBER	5400	11766	\N	\N	\N
730816	2497	1996-12-25	VYDAJ	VYBER	5300	14417	\N	\N	\N
730817	2497	1997-02-23	PRIJEM	VKLAD	900	12944	\N	\N	\N
730818	2497	1997-03-25	VYDAJ	VYBER	1800	13161	\N	\N	\N
730888	2498	1996-03-01	PRIJEM	VKLAD	400	400	\N	\N	\N
730891	2498	1996-03-13	PRIJEM	VKLAD	9624	10024	\N	\N	\N
730892	2498	1996-04-13	PRIJEM	VKLAD	9624	25474	\N	\N	\N
730893	2498	1996-05-13	PRIJEM	VKLAD	9624	33966	\N	\N	\N
730894	2498	1996-06-13	PRIJEM	VKLAD	14436	44104	\N	\N	\N
730895	2498	1996-07-13	PRIJEM	VKLAD	9624	39852	\N	\N	\N
730896	2498	1996-08-13	PRIJEM	VKLAD	9624	36774	\N	\N	\N
730897	2498	1996-09-13	PRIJEM	VKLAD	9624	36483	\N	\N	\N
730898	2498	1996-10-13	PRIJEM	VKLAD	9624	32689	\N	\N	\N
730899	2498	1996-11-13	PRIJEM	VKLAD	9624	34582	\N	\N	\N
730900	2498	1996-12-13	PRIJEM	VKLAD	14436	38694	\N	\N	\N
730901	2498	1997-01-13	PRIJEM	VKLAD	9624	32406	\N	\N	\N
730902	2498	1997-02-13	PRIJEM	VKLAD	9624	28792	\N	\N	\N
730903	2498	1997-03-13	PRIJEM	VKLAD	9624	36773	\N	\N	\N
730904	2498	1997-04-13	PRIJEM	VKLAD	9624	39982	\N	\N	\N
730905	2498	1997-05-13	PRIJEM	VKLAD	9624	33601	\N	\N	\N
730906	2498	1997-06-13	PRIJEM	VKLAD	14436	37614	\N	\N	\N
730907	2498	1997-07-13	PRIJEM	VKLAD	9624	37916	\N	\N	\N
730908	2498	1997-08-13	PRIJEM	VKLAD	9624	37827	\N	\N	\N
730909	2498	1997-09-13	PRIJEM	VKLAD	9624	32932	\N	\N	\N
730910	2498	1997-10-13	PRIJEM	VKLAD	9624	33121	\N	\N	\N
730911	2498	1997-11-13	PRIJEM	VKLAD	9624	30707	\N	\N	\N
730912	2498	1997-12-13	PRIJEM	VKLAD	14436	32798	\N	\N	\N
730913	2498	1998-01-13	PRIJEM	VKLAD	9624	26983	\N	\N	\N
730914	2498	1998-02-13	PRIJEM	VKLAD	9624	24957	\N	\N	\N
730915	2498	1998-03-13	PRIJEM	VKLAD	9624	31418	\N	\N	\N
730916	2498	1998-04-13	PRIJEM	VKLAD	9624	37910	\N	\N	\N
730917	2498	1998-05-13	PRIJEM	VKLAD	9624	41223	\N	\N	\N
730918	2498	1998-06-13	PRIJEM	VKLAD	14436	42457	\N	\N	\N
730919	2498	1998-07-13	PRIJEM	VKLAD	9624	43277	\N	\N	\N
730920	2498	1998-08-13	PRIJEM	VKLAD	9624	46713	\N	\N	\N
730921	2498	1998-09-13	PRIJEM	VKLAD	9624	50563	\N	\N	\N
730922	2498	1998-10-13	PRIJEM	VKLAD	9624	51923	\N	\N	\N
730923	2498	1998-11-13	PRIJEM	VKLAD	9624	49384	\N	\N	\N
730924	2498	1998-12-13	PRIJEM	VKLAD	14436	47539	\N	\N	\N
730931	2498	1996-07-14	VYDAJ	PREVOD NA UCET	4223	35629	SIPO	AB	17819351
730932	2498	1996-08-14	VYDAJ	PREVOD NA UCET	4223	32551	SIPO	AB	17819351
730933	2498	1996-09-14	VYDAJ	PREVOD NA UCET	4223	32260	SIPO	AB	17819351
730934	2498	1996-10-14	VYDAJ	PREVOD NA UCET	4223	28466	SIPO	AB	17819351
730935	2498	1996-11-14	VYDAJ	PREVOD NA UCET	4223	30359	SIPO	AB	17819351
730936	2498	1996-12-14	VYDAJ	PREVOD NA UCET	4223	34471	SIPO	AB	17819351
730937	2498	1997-01-14	VYDAJ	PREVOD NA UCET	4223	25483	SIPO	AB	17819351
730938	2498	1997-02-14	VYDAJ	PREVOD NA UCET	4223	24569	SIPO	AB	17819351
730939	2498	1997-03-14	VYDAJ	PREVOD NA UCET	4223	32550	SIPO	AB	17819351
730940	2498	1997-04-14	VYDAJ	PREVOD NA UCET	4223	35759	SIPO	AB	17819351
730941	2498	1997-05-14	VYDAJ	PREVOD NA UCET	4223	29378	SIPO	AB	17819351
730942	2498	1997-06-14	VYDAJ	PREVOD NA UCET	4223	33391	SIPO	AB	17819351
730943	2498	1997-07-14	VYDAJ	PREVOD NA UCET	4223	33693	SIPO	AB	17819351
730944	2498	1997-08-14	VYDAJ	PREVOD NA UCET	4223	33604	SIPO	AB	17819351
730945	2498	1997-09-14	VYDAJ	PREVOD NA UCET	4223	28709	SIPO	AB	17819351
730946	2498	1997-10-14	VYDAJ	PREVOD NA UCET	4223	28898	SIPO	AB	17819351
730947	2498	1997-11-14	VYDAJ	PREVOD NA UCET	4223	26484	SIPO	AB	17819351
730948	2498	1997-12-14	VYDAJ	PREVOD NA UCET	4223	28575	SIPO	AB	17819351
730949	2498	1998-01-14	VYDAJ	PREVOD NA UCET	4223	22760	SIPO	AB	17819351
730950	2498	1998-02-14	VYDAJ	PREVOD NA UCET	4223	20734	SIPO	AB	17819351
730951	2498	1998-03-14	VYDAJ	PREVOD NA UCET	4223	27195	SIPO	AB	17819351
730952	2498	1998-04-14	VYDAJ	PREVOD NA UCET	4223	33687	SIPO	AB	17819351
730953	2498	1998-05-14	VYDAJ	PREVOD NA UCET	4223	37000	SIPO	AB	17819351
730954	2498	1998-06-14	VYDAJ	PREVOD NA UCET	4223	36134	SIPO	AB	17819351
730955	2498	1998-07-14	VYDAJ	PREVOD NA UCET	4223	39054	SIPO	AB	17819351
730956	2498	1998-08-14	VYDAJ	PREVOD NA UCET	4223	42490	SIPO	AB	17819351
730957	2498	1998-09-14	VYDAJ	PREVOD NA UCET	4223	46340	SIPO	AB	17819351
730958	2498	1998-10-14	VYDAJ	PREVOD NA UCET	4223	47700	SIPO	AB	17819351
730959	2498	1998-11-14	VYDAJ	PREVOD NA UCET	4223	45161	SIPO	AB	17819351
730960	2498	1998-12-14	VYDAJ	PREVOD NA UCET	4223	43316	SIPO	AB	17819351
730997	2498	1996-12-02	VYDAJ	VYBER	1100	24258	\N	\N	\N
730998	2498	1997-12-06	VYDAJ	VYBER	1500	18362	\N	\N	\N
730999	2498	1998-12-02	VYDAJ	VYBER	2300	33103	\N	\N	\N
731006	2498	1997-01-14	VYDAJ	VYBER	1100	29706	\N	\N	\N
731007	2498	1997-01-06	VYDAJ	VYBER	1200	25882	\N	\N	\N
731008	2498	1997-01-13	VYDAJ	VYBER	1600	30806	\N	\N	\N
731009	2498	1997-01-03	VYDAJ	VYBER	2800	27082	\N	\N	\N
731010	2498	1997-01-09	VYDAJ	VYBER	2200	23682	\N	\N	\N
731011	2498	1997-01-21	VYDAJ	VYBER	2700	18383	\N	\N	\N
731012	2498	1998-01-09	VYDAJ	VYBER	1600	20059	\N	\N	\N
731013	2498	1998-01-22	VYDAJ	VYBER	700	19360	\N	\N	\N
731014	2498	1998-01-05	VYDAJ	VYBER	2500	21659	\N	\N	\N
731015	2498	1998-01-10	VYDAJ	VYBER	2700	17359	\N	\N	\N
731016	2498	1998-01-27	VYDAJ	VYBER	1400	17960	\N	\N	\N
731017	2498	1998-01-30	VYDAJ	VYBER	2700	15260	\N	\N	\N
731021	2498	1997-11-28	VYDAJ	VYBER	1700	19784	\N	\N	\N
731022	2498	1997-03-22	VYDAJ	VYBER	1300	31250	\N	\N	\N
731023	2498	1997-05-10	VYDAJ	VYBER	4000	23977	\N	\N	\N
731024	2498	1997-01-10	VYDAJ	VYBER	900	22782	\N	\N	\N
731025	2498	1997-01-19	VYDAJ	VYBER	4400	21083	\N	\N	\N
731026	2498	1998-06-14	VYDAJ	VYBER	2100	40357	\N	\N	\N
731027	2498	1998-05-31	VYDAJ	VYBER	4300	28021	\N	\N	\N
731028	2498	1998-10-22	VYDAJ	VYBER	2300	39600	\N	\N	\N
731029	2498	1998-02-15	VYDAJ	VYBER	3200	17534	\N	\N	\N
731037	2498	1996-07-31	VYDAJ	VYBER	15	27150	SLUZBY	\N	\N
731038	2498	1996-08-31	VYDAJ	VYBER	15	26859	SLUZBY	\N	\N
731039	2498	1996-09-30	VYDAJ	VYBER	15	23065	SLUZBY	\N	\N
731040	2498	1996-10-31	VYDAJ	VYBER	15	24958	SLUZBY	\N	\N
731041	2498	1996-11-30	VYDAJ	VYBER	15	25358	SLUZBY	\N	\N
731042	2498	1996-12-31	VYDAJ	VYBER	15	29882	SLUZBY	\N	\N
731043	2498	1997-01-31	VYDAJ	VYBER	15	19168	SLUZBY	\N	\N
731044	2498	1997-02-28	VYDAJ	VYBER	15	27149	SLUZBY	\N	\N
731045	2498	1997-03-31	VYDAJ	VYBER	15	30358	SLUZBY	\N	\N
731046	2498	1997-04-30	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
731047	2498	1997-05-31	VYDAJ	VYBER	15	23178	SLUZBY	\N	\N
731048	2498	1997-06-30	VYDAJ	VYBER	15	28292	SLUZBY	\N	\N
731049	2498	1997-07-31	VYDAJ	VYBER	15	28203	SLUZBY	\N	\N
731050	2498	1997-08-31	VYDAJ	VYBER	15	23308	SLUZBY	\N	\N
731051	2498	1997-09-30	VYDAJ	VYBER	15	23497	SLUZBY	\N	\N
731052	2498	1997-10-31	VYDAJ	VYBER	15	21083	SLUZBY	\N	\N
731053	2498	1997-11-30	VYDAJ	VYBER	15	19862	SLUZBY	\N	\N
731054	2498	1997-12-31	VYDAJ	VYBER	15	24159	SLUZBY	\N	\N
731055	2498	1998-01-31	VYDAJ	VYBER	15	15333	SLUZBY	\N	\N
731056	2498	1998-02-28	VYDAJ	VYBER	15	21794	SLUZBY	\N	\N
731057	2498	1998-03-31	VYDAJ	VYBER	15	28286	SLUZBY	\N	\N
731058	2498	1998-04-30	VYDAJ	VYBER	15	31599	SLUZBY	\N	\N
731059	2498	1998-05-31	VYDAJ	VYBER	15	32321	SLUZBY	\N	\N
731060	2498	1998-06-30	VYDAJ	VYBER	15	33653	SLUZBY	\N	\N
731061	2498	1998-07-31	VYDAJ	VYBER	15	37089	SLUZBY	\N	\N
731062	2498	1998-08-31	VYDAJ	VYBER	15	40939	SLUZBY	\N	\N
731063	2498	1998-09-30	VYDAJ	VYBER	15	42299	SLUZBY	\N	\N
731064	2498	1998-10-31	VYDAJ	VYBER	15	39760	SLUZBY	\N	\N
731065	2498	1998-11-30	VYDAJ	VYBER	15	35403	SLUZBY	\N	\N
731066	2498	1996-03-31	PRIJEM	VKLAD	5800	15850	\N	\N	\N
731067	2498	1996-04-30	VYDAJ	VYBER	1200	24342	\N	\N	\N
731068	2498	1996-05-30	VYDAJ	VYBER	4400	29566	\N	\N	\N
731069	2498	1996-06-29	VYDAJ	VYBER	14000	30104	\N	\N	\N
731070	2498	1996-07-29	VYDAJ	VYBER	8600	27029	\N	\N	\N
731071	2498	1996-08-28	VYDAJ	VYBER	5800	26751	\N	\N	\N
731072	2498	1996-09-27	VYDAJ	VYBER	9300	22960	\N	\N	\N
731073	2498	1996-10-27	VYDAJ	VYBER	3600	24866	\N	\N	\N
731074	2498	1996-11-26	VYDAJ	VYBER	5100	25259	\N	\N	\N
731075	2498	1996-12-26	VYDAJ	VYBER	4700	29771	\N	\N	\N
731076	2498	1997-01-25	PRIJEM	VKLAD	700	19083	\N	\N	\N
731077	2498	1997-02-24	PRIJEM	VKLAD	2500	27069	\N	\N	\N
731078	2498	1997-03-26	VYDAJ	VYBER	1000	30250	\N	\N	\N
731079	2498	1997-04-25	VYDAJ	VYBER	7900	27859	\N	\N	\N
731080	2498	1997-05-25	VYDAJ	VYBER	6300	23078	\N	\N	\N
731081	2498	1997-06-24	VYDAJ	VYBER	5200	28191	\N	\N	\N
731082	2498	1997-07-24	VYDAJ	VYBER	5600	28093	\N	\N	\N
731083	2498	1997-08-23	VYDAJ	VYBER	10400	23204	\N	\N	\N
731084	2498	1997-09-22	VYDAJ	VYBER	5300	23409	\N	\N	\N
731085	2498	1997-10-22	VYDAJ	VYBER	7900	20998	\N	\N	\N
731086	2498	1997-11-21	VYDAJ	VYBER	5000	21484	\N	\N	\N
731087	2498	1997-12-21	VYDAJ	VYBER	4500	24075	\N	\N	\N
731088	2498	1998-01-20	VYDAJ	VYBER	2700	20060	\N	\N	\N
731089	2498	1998-02-19	PRIJEM	VKLAD	4200	21734	\N	\N	\N
731090	2498	1998-03-21	PRIJEM	VKLAD	1000	28195	\N	\N	\N
731091	2498	1998-04-20	VYDAJ	VYBER	2200	31487	\N	\N	\N
731092	2498	1998-05-20	VYDAJ	VYBER	4800	32200	\N	\N	\N
731093	2498	1998-06-19	VYDAJ	VYBER	2600	33534	\N	\N	\N
731094	2498	1998-07-19	VYDAJ	VYBER	2100	36954	\N	\N	\N
731095	2498	1998-08-18	VYDAJ	VYBER	1700	40790	\N	\N	\N
731096	2498	1998-09-17	VYDAJ	VYBER	4200	42140	\N	\N	\N
731097	2498	1998-10-17	VYDAJ	VYBER	5800	41900	\N	\N	\N
731098	2498	1998-11-16	VYDAJ	VYBER	9900	35261	\N	\N	\N
731133	2499	1996-02-08	PRIJEM	VKLAD	400	400	\N	\N	\N
731135	2499	1996-02-12	PRIJEM	VKLAD	5855	6255	\N	\N	\N
731136	2499	1996-03-12	PRIJEM	VKLAD	5855	24326	\N	\N	\N
731137	2499	1996-04-12	PRIJEM	VKLAD	5855	32556	\N	\N	\N
731138	2499	1996-05-12	PRIJEM	VKLAD	5855	37334	\N	\N	\N
731139	2499	1996-06-12	PRIJEM	VKLAD	8782	45064	\N	\N	\N
731140	2499	1996-07-12	PRIJEM	VKLAD	5855	25962	\N	\N	\N
731141	2499	1996-08-12	PRIJEM	VKLAD	5855	31890	\N	\N	\N
731142	2499	1996-09-12	PRIJEM	VKLAD	5855	39246	\N	\N	\N
731143	2499	1996-10-12	PRIJEM	VKLAD	5855	39826	\N	\N	\N
731144	2499	1996-11-12	PRIJEM	VKLAD	5855	38017	\N	\N	\N
731145	2499	1996-12-12	PRIJEM	VKLAD	8782	42429	\N	\N	\N
731146	2499	1997-01-12	PRIJEM	VKLAD	5855	36326	\N	\N	\N
731147	2499	1997-02-12	PRIJEM	VKLAD	5855	30594	\N	\N	\N
731148	2499	1997-03-12	PRIJEM	VKLAD	5855	31841	\N	\N	\N
731149	2499	1997-04-12	PRIJEM	VKLAD	5855	30899	\N	\N	\N
731150	2499	1997-05-12	PRIJEM	VKLAD	5855	31547	\N	\N	\N
731151	2499	1997-06-12	PRIJEM	VKLAD	8782	29327	\N	\N	\N
731152	2499	1997-07-12	PRIJEM	VKLAD	5855	29169	\N	\N	\N
731153	2499	1997-08-12	PRIJEM	VKLAD	5855	27316	\N	\N	\N
731154	2499	1997-09-12	PRIJEM	VKLAD	5855	27451	\N	\N	\N
731155	2499	1997-10-12	PRIJEM	VKLAD	5855	29992	\N	\N	\N
731156	2499	1997-11-12	PRIJEM	VKLAD	5855	30935	\N	\N	\N
731157	2499	1997-12-12	PRIJEM	VKLAD	8782	32917	\N	\N	\N
731158	2499	1998-01-12	PRIJEM	VKLAD	5855	19175	\N	\N	\N
731159	2499	1998-02-12	PRIJEM	VKLAD	5855	27092	\N	\N	\N
731160	2499	1998-03-12	PRIJEM	VKLAD	5855	31331	\N	\N	\N
731161	2499	1998-04-12	PRIJEM	VKLAD	5855	28786	\N	\N	\N
731162	2499	1998-05-12	PRIJEM	VKLAD	5855	29832	\N	\N	\N
731163	2499	1998-06-12	PRIJEM	VKLAD	8782	33207	\N	\N	\N
731164	2499	1998-07-12	PRIJEM	VKLAD	5855	34469	\N	\N	\N
731165	2499	1998-08-12	PRIJEM	VKLAD	5855	42244	\N	\N	\N
731166	2499	1998-09-12	PRIJEM	VKLAD	5855	42344	\N	\N	\N
731167	2499	1998-10-12	PRIJEM	VKLAD	5855	41544	\N	\N	\N
731168	2499	1998-11-12	PRIJEM	VKLAD	5855	41040	\N	\N	\N
731169	2499	1998-12-12	PRIJEM	VKLAD	8782	43361	\N	\N	\N
731176	2499	1996-07-11	VYDAJ	PREVOD NA UCET	112	20107	SIPO	EF	26827723
731177	2499	1996-08-11	VYDAJ	PREVOD NA UCET	112	26035	SIPO	EF	26827723
731178	2499	1996-09-11	VYDAJ	PREVOD NA UCET	112	33391	SIPO	EF	26827723
731179	2499	1996-10-11	VYDAJ	PREVOD NA UCET	112	33971	SIPO	EF	26827723
731180	2499	1996-11-11	VYDAJ	PREVOD NA UCET	112	32162	SIPO	EF	26827723
731181	2499	1996-12-11	VYDAJ	PREVOD NA UCET	112	33647	SIPO	EF	26827723
731182	2499	1997-01-11	VYDAJ	PREVOD NA UCET	112	32471	SIPO	EF	26827723
731183	2499	1997-02-11	VYDAJ	PREVOD NA UCET	112	24739	SIPO	EF	26827723
731184	2499	1997-03-11	VYDAJ	PREVOD NA UCET	112	25986	SIPO	EF	26827723
731185	2499	1997-04-11	VYDAJ	PREVOD NA UCET	112	25044	SIPO	EF	26827723
731186	2499	1997-05-11	VYDAJ	PREVOD NA UCET	112	25692	SIPO	EF	26827723
731187	2499	1997-06-11	VYDAJ	PREVOD NA UCET	112	20545	SIPO	EF	26827723
731188	2499	1997-07-11	VYDAJ	PREVOD NA UCET	112	23314	SIPO	EF	26827723
731189	2499	1997-08-11	VYDAJ	PREVOD NA UCET	112	21461	SIPO	EF	26827723
731190	2499	1997-09-11	VYDAJ	PREVOD NA UCET	112	21596	SIPO	EF	26827723
731191	2499	1997-10-11	VYDAJ	PREVOD NA UCET	112	24137	SIPO	EF	26827723
731192	2499	1997-11-11	VYDAJ	PREVOD NA UCET	112	25080	SIPO	EF	26827723
731193	2499	1997-12-11	VYDAJ	PREVOD NA UCET	112	24135	SIPO	EF	26827723
731194	2499	1998-01-11	VYDAJ	PREVOD NA UCET	112	13320	SIPO	EF	26827723
731195	2499	1998-02-11	VYDAJ	PREVOD NA UCET	112	21237	SIPO	EF	26827723
731196	2499	1998-03-11	VYDAJ	PREVOD NA UCET	112	25476	SIPO	EF	26827723
731197	2499	1998-04-11	VYDAJ	PREVOD NA UCET	112	22931	SIPO	EF	26827723
731198	2499	1998-05-11	VYDAJ	PREVOD NA UCET	112	26277	SIPO	EF	26827723
731199	2499	1998-06-11	VYDAJ	PREVOD NA UCET	112	24425	SIPO	EF	26827723
731200	2499	1998-07-11	VYDAJ	PREVOD NA UCET	112	28614	SIPO	EF	26827723
731201	2499	1998-08-11	VYDAJ	PREVOD NA UCET	112	36389	SIPO	EF	26827723
731202	2499	1998-09-11	VYDAJ	PREVOD NA UCET	112	36489	SIPO	EF	26827723
731203	2499	1998-10-11	VYDAJ	PREVOD NA UCET	112	35689	SIPO	EF	26827723
731204	2499	1998-11-11	VYDAJ	PREVOD NA UCET	112	35185	SIPO	EF	26827723
731205	2499	1998-12-11	VYDAJ	PREVOD NA UCET	112	34579	SIPO	EF	26827723
731211	2499	1996-06-13	VYDAJ	PREVOD NA UCET	1933	43131	 	ST	97045737
731212	2499	1996-07-13	VYDAJ	PREVOD NA UCET	1933	24029	 	ST	97045737
731213	2499	1996-08-13	VYDAJ	PREVOD NA UCET	1933	29957	 	ST	97045737
731214	2499	1996-09-13	VYDAJ	PREVOD NA UCET	1933	37313	 	ST	97045737
731215	2499	1996-10-13	VYDAJ	PREVOD NA UCET	1933	37893	 	ST	97045737
731216	2499	1996-11-13	VYDAJ	PREVOD NA UCET	1933	36084	 	ST	97045737
731217	2499	1996-12-13	VYDAJ	PREVOD NA UCET	1933	40496	 	ST	97045737
731218	2499	1997-01-13	VYDAJ	PREVOD NA UCET	1933	34393	 	ST	97045737
731219	2499	1997-02-13	VYDAJ	PREVOD NA UCET	1933	28661	 	ST	97045737
731220	2499	1997-03-13	VYDAJ	PREVOD NA UCET	1933	29908	 	ST	97045737
731221	2499	1997-04-13	VYDAJ	PREVOD NA UCET	1933	28966	 	ST	97045737
731222	2499	1997-05-13	VYDAJ	PREVOD NA UCET	1933	29614	 	ST	97045737
731223	2499	1997-06-13	VYDAJ	PREVOD NA UCET	1933	27394	 	ST	97045737
731224	2499	1997-07-13	VYDAJ	PREVOD NA UCET	1933	27236	 	ST	97045737
731225	2499	1997-08-13	VYDAJ	PREVOD NA UCET	1933	25383	 	ST	97045737
731226	2499	1997-09-13	VYDAJ	PREVOD NA UCET	1933	25518	 	ST	97045737
731227	2499	1997-10-13	VYDAJ	PREVOD NA UCET	1933	28059	 	ST	97045737
731228	2499	1997-11-13	VYDAJ	PREVOD NA UCET	1933	29002	 	ST	97045737
731229	2499	1997-12-13	VYDAJ	PREVOD NA UCET	1933	30984	 	ST	97045737
731230	2499	1998-01-13	VYDAJ	PREVOD NA UCET	1933	17242	 	ST	97045737
731231	2499	1998-02-13	VYDAJ	PREVOD NA UCET	1933	25159	 	ST	97045737
731232	2499	1998-03-13	VYDAJ	PREVOD NA UCET	1933	29398	 	ST	97045737
731233	2499	1998-04-13	VYDAJ	PREVOD NA UCET	1933	26853	 	ST	97045737
731234	2499	1998-05-13	VYDAJ	PREVOD NA UCET	1933	27899	 	ST	97045737
731235	2499	1998-06-13	VYDAJ	PREVOD NA UCET	1933	31274	 	ST	97045737
731236	2499	1998-07-13	VYDAJ	PREVOD NA UCET	1933	32536	 	ST	97045737
731237	2499	1998-08-13	VYDAJ	PREVOD NA UCET	1933	40311	 	ST	97045737
731238	2499	1998-09-13	VYDAJ	PREVOD NA UCET	1933	40411	 	ST	97045737
731239	2499	1998-10-13	VYDAJ	PREVOD NA UCET	1933	39611	 	ST	97045737
731240	2499	1998-11-13	VYDAJ	PREVOD NA UCET	1933	39107	 	ST	97045737
731241	2499	1998-12-13	VYDAJ	PREVOD NA UCET	1933	41428	 	ST	97045737
731248	2499	1996-07-05	VYDAJ	PREVOD NA UCET	1858	10819	POJISTNE	EF	12857330
731249	2499	1996-08-05	VYDAJ	PREVOD NA UCET	1858	22247	POJISTNE	EF	12857330
731250	2499	1996-09-05	VYDAJ	PREVOD NA UCET	1858	33503	POJISTNE	EF	12857330
731251	2499	1996-10-05	VYDAJ	PREVOD NA UCET	1858	34083	POJISTNE	EF	12857330
731252	2499	1996-11-05	VYDAJ	PREVOD NA UCET	1858	32274	POJISTNE	EF	12857330
731253	2499	1996-12-05	VYDAJ	PREVOD NA UCET	1858	33759	POJISTNE	EF	12857330
731254	2499	1997-01-05	VYDAJ	PREVOD NA UCET	1858	34483	POJISTNE	EF	12857330
731255	2499	1997-02-05	VYDAJ	PREVOD NA UCET	1858	24851	POJISTNE	EF	12857330
731256	2499	1997-03-05	VYDAJ	PREVOD NA UCET	1858	26098	POJISTNE	EF	12857330
731257	2499	1997-04-05	VYDAJ	PREVOD NA UCET	1858	25156	POJISTNE	EF	12857330
731258	2499	1997-05-05	VYDAJ	PREVOD NA UCET	1858	25804	POJISTNE	EF	12857330
731259	2499	1997-06-05	VYDAJ	PREVOD NA UCET	1858	20657	POJISTNE	EF	12857330
731260	2499	1997-07-05	VYDAJ	PREVOD NA UCET	1858	23426	POJISTNE	EF	12857330
731261	2499	1997-08-05	VYDAJ	PREVOD NA UCET	1858	21573	POJISTNE	EF	12857330
731262	2499	1997-09-05	VYDAJ	PREVOD NA UCET	1858	22808	POJISTNE	EF	12857330
731263	2499	1997-10-05	VYDAJ	PREVOD NA UCET	1858	24249	POJISTNE	EF	12857330
731264	2499	1997-11-05	VYDAJ	PREVOD NA UCET	1858	25192	POJISTNE	EF	12857330
731265	2499	1997-12-05	VYDAJ	PREVOD NA UCET	1858	26547	POJISTNE	EF	12857330
731266	2499	1998-01-05	VYDAJ	PREVOD NA UCET	1858	25932	POJISTNE	EF	12857330
731267	2499	1998-02-05	VYDAJ	PREVOD NA UCET	1858	21349	POJISTNE	EF	12857330
731268	2499	1998-03-05	VYDAJ	PREVOD NA UCET	1858	25588	POJISTNE	EF	12857330
731269	2499	1998-04-05	VYDAJ	PREVOD NA UCET	1858	23043	POJISTNE	EF	12857330
731270	2499	1998-05-05	VYDAJ	PREVOD NA UCET	1858	26389	POJISTNE	EF	12857330
731271	2499	1998-06-05	VYDAJ	PREVOD NA UCET	1858	24537	POJISTNE	EF	12857330
731272	2499	1998-07-05	VYDAJ	PREVOD NA UCET	1858	33326	POJISTNE	EF	12857330
731273	2499	1998-08-05	VYDAJ	PREVOD NA UCET	1858	36501	POJISTNE	EF	12857330
731274	2499	1998-09-05	VYDAJ	PREVOD NA UCET	1858	36601	POJISTNE	EF	12857330
731275	2499	1998-10-05	VYDAJ	PREVOD NA UCET	1858	35801	POJISTNE	EF	12857330
731276	2499	1998-11-05	VYDAJ	PREVOD NA UCET	1858	35297	POJISTNE	EF	12857330
731277	2499	1998-12-05	VYDAJ	PREVOD NA UCET	1858	34691	POJISTNE	EF	12857330
731278	2499	1996-06-28	VYDAJ	VYBER	25800	17331	\N	\N	\N
731282	2499	1997-01-25	VYDAJ	VYBER	8400	23493	\N	\N	\N
731283	2499	1998-01-08	VYDAJ	VYBER	9500	15332	\N	\N	\N
731284	2499	1996-12-24	VYDAJ	VYBER	700	39796	\N	\N	\N
731285	2499	1997-12-06	VYDAJ	VYBER	2300	24247	\N	\N	\N
731286	2499	1998-12-22	VYDAJ	VYBER	1100	40328	\N	\N	\N
731293	2499	1997-01-27	VYDAJ	VYBER	2700	19493	\N	\N	\N
731294	2499	1997-01-26	VYDAJ	VYBER	1300	22193	\N	\N	\N
731295	2499	1997-01-21	VYDAJ	VYBER	2500	31893	\N	\N	\N
731296	2499	1997-01-09	VYDAJ	VYBER	1900	32583	\N	\N	\N
731297	2499	1997-01-27	VYDAJ	VYBER	1400	18093	\N	\N	\N
731298	2499	1997-01-11	VYDAJ	VYBER	2000	30471	\N	\N	\N
731299	2499	1998-01-09	VYDAJ	VYBER	1900	13432	\N	\N	\N
731300	2499	1998-01-05	VYDAJ	VYBER	2000	27790	\N	\N	\N
731301	2499	1998-01-06	VYDAJ	VYBER	1100	24832	\N	\N	\N
731302	2499	1998-01-28	VYDAJ	VYBER	900	23142	\N	\N	\N
731304	2499	1998-01-17	VYDAJ	VYBER	2500	14742	\N	\N	\N
731307	2499	1996-09-18	VYDAJ	VYBER	3900	33413	\N	\N	\N
731308	2499	1996-07-02	VYDAJ	VYBER	4800	12677	\N	\N	\N
731310	2499	1997-09-08	VYDAJ	VYBER	1100	21708	\N	\N	\N
731311	2499	1997-08-23	VYDAJ	VYBER	4700	20683	\N	\N	\N
731312	2499	1997-05-29	VYDAJ	VYBER	4600	25014	\N	\N	\N
731313	2499	1997-04-18	VYDAJ	VYBER	3900	25066	\N	\N	\N
731314	2499	1997-06-21	VYDAJ	VYBER	1100	26294	\N	\N	\N
731315	2499	1997-10-17	VYDAJ	VYBER	4600	23459	\N	\N	\N
731316	2499	1998-05-18	VYDAJ	VYBER	3500	24399	\N	\N	\N
731317	2499	1998-07-07	VYDAJ	VYBER	4600	28726	\N	\N	\N
731318	2499	1998-05-11	VYDAJ	VYBER	2300	23977	\N	\N	\N
731325	2499	1996-06-30	VYDAJ	VYBER	15	17477	SLUZBY	\N	\N
731326	2499	1996-07-31	VYDAJ	VYBER	15	24105	SLUZBY	\N	\N
731327	2499	1996-08-31	VYDAJ	VYBER	15	30061	SLUZBY	\N	\N
731328	2499	1996-09-30	VYDAJ	VYBER	15	33541	SLUZBY	\N	\N
731329	2499	1996-10-31	VYDAJ	VYBER	15	38032	SLUZBY	\N	\N
731330	2499	1996-11-30	VYDAJ	VYBER	15	36217	SLUZBY	\N	\N
731331	2499	1996-12-31	VYDAJ	VYBER	15	39941	SLUZBY	\N	\N
731332	2499	1997-01-31	VYDAJ	VYBER	15	18209	SLUZBY	\N	\N
731333	2499	1997-02-28	VYDAJ	VYBER	15	28756	SLUZBY	\N	\N
731334	2499	1997-03-31	VYDAJ	VYBER	15	30014	SLUZBY	\N	\N
731335	2499	1997-04-30	VYDAJ	VYBER	15	25162	SLUZBY	\N	\N
731336	2499	1997-05-31	VYDAJ	VYBER	15	25115	SLUZBY	\N	\N
731337	2499	1997-06-30	VYDAJ	VYBER	15	26384	SLUZBY	\N	\N
731338	2499	1997-07-31	VYDAJ	VYBER	15	27331	SLUZBY	\N	\N
731339	2499	1997-08-31	VYDAJ	VYBER	15	24666	SLUZBY	\N	\N
731340	2499	1997-09-30	VYDAJ	VYBER	15	26107	SLUZBY	\N	\N
731341	2499	1997-10-31	VYDAJ	VYBER	15	27050	SLUZBY	\N	\N
731342	2499	1997-11-30	VYDAJ	VYBER	15	28405	SLUZBY	\N	\N
731343	2499	1997-12-31	VYDAJ	VYBER	15	29790	SLUZBY	\N	\N
731344	2499	1998-01-31	VYDAJ	VYBER	15	23207	SLUZBY	\N	\N
731345	2499	1998-02-28	VYDAJ	VYBER	15	27446	SLUZBY	\N	\N
731346	2499	1998-03-31	VYDAJ	VYBER	15	24901	SLUZBY	\N	\N
731347	2499	1998-04-30	VYDAJ	VYBER	15	28247	SLUZBY	\N	\N
731348	2499	1998-05-31	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
731349	2499	1998-06-30	VYDAJ	VYBER	15	35184	SLUZBY	\N	\N
731350	2499	1998-07-31	VYDAJ	VYBER	15	38359	SLUZBY	\N	\N
731351	2499	1998-08-31	VYDAJ	VYBER	15	38459	SLUZBY	\N	\N
731352	2499	1998-09-30	VYDAJ	VYBER	15	37659	SLUZBY	\N	\N
731353	2499	1998-10-31	VYDAJ	VYBER	15	37155	SLUZBY	\N	\N
731354	2499	1998-11-30	VYDAJ	VYBER	15	36549	SLUZBY	\N	\N
731355	2499	1996-03-09	PRIJEM	VKLAD	12200	18471	\N	\N	\N
731356	2499	1996-04-08	PRIJEM	VKLAD	2300	26701	\N	\N	\N
731357	2499	1996-05-08	VYDAJ	VYBER	1200	31479	\N	\N	\N
731358	2499	1996-06-07	VYDAJ	VYBER	1200	36282	\N	\N	\N
731359	2499	1996-07-07	PRIJEM	VKLAD	9400	20219	\N	\N	\N
731360	2499	1996-08-06	PRIJEM	VKLAD	3900	26147	\N	\N	\N
731361	2499	1996-09-05	PRIJEM	VKLAD	5300	35361	\N	\N	\N
731362	2499	1996-10-05	PRIJEM	VKLAD	2400	35941	\N	\N	\N
731363	2499	1996-11-04	VYDAJ	VYBER	3900	34132	\N	\N	\N
731364	2499	1996-12-04	VYDAJ	VYBER	600	35617	\N	\N	\N
731365	2499	1997-01-03	VYDAJ	VYBER	3600	36341	\N	\N	\N
731366	2499	1997-02-02	PRIJEM	VKLAD	8500	26709	\N	\N	\N
731367	2499	1997-03-04	VYDAJ	VYBER	800	27956	\N	\N	\N
731368	2499	1997-04-03	VYDAJ	VYBER	3000	27014	\N	\N	\N
731369	2499	1997-05-03	PRIJEM	VKLAD	2500	27662	\N	\N	\N
731370	2499	1997-06-02	VYDAJ	VYBER	2600	22515	\N	\N	\N
731371	2499	1997-07-02	VYDAJ	VYBER	1100	25284	\N	\N	\N
731372	2499	1997-08-01	VYDAJ	VYBER	3900	23431	\N	\N	\N
731373	2499	1997-08-31	PRIJEM	VKLAD	3900	24681	\N	\N	\N
731374	2499	1997-09-30	PRIJEM	VKLAD	500	26122	\N	\N	\N
731375	2499	1997-10-30	PRIJEM	VKLAD	3500	26959	\N	\N	\N
731376	2499	1997-11-29	VYDAJ	VYBER	700	28302	\N	\N	\N
731377	2499	1997-12-29	VYDAJ	VYBER	1300	29684	\N	\N	\N
731378	2499	1998-01-28	PRIJEM	VKLAD	9300	24042	\N	\N	\N
731379	2499	1998-02-27	PRIJEM	VKLAD	2200	27359	\N	\N	\N
731380	2499	1998-03-29	VYDAJ	VYBER	4600	24798	\N	\N	\N
731381	2499	1998-04-28	PRIJEM	VKLAD	1300	28153	\N	\N	\N
731382	2499	1998-05-28	PRIJEM	VKLAD	1900	26299	\N	\N	\N
731383	2499	1998-06-27	PRIJEM	VKLAD	3800	35074	\N	\N	\N
731384	2499	1998-07-27	PRIJEM	VKLAD	5700	38236	\N	\N	\N
731385	2499	1998-08-26	VYDAJ	VYBER	2000	38311	\N	\N	\N
731386	2499	1998-09-25	VYDAJ	VYBER	2900	37511	\N	\N	\N
731387	2499	1998-10-25	VYDAJ	VYBER	2600	37011	\N	\N	\N
731388	2499	1998-11-24	VYDAJ	VYBER	2700	36407	\N	\N	\N
731424	2500	1995-10-26	PRIJEM	VKLAD	700	700	\N	\N	\N
731427	2500	1996-01-28	PRIJEM	VKLAD	22666	41166	\N	\N	\N
731428	2500	1996-11-14	PRIJEM	VKLAD	23676	46436	\N	\N	\N
731429	2500	1997-09-06	PRIJEM	VKLAD	3151	26972	\N	\N	\N
731430	2500	1997-01-30	PRIJEM	VKLAD	7910	28253	\N	\N	\N
731431	2500	1998-01-18	PRIJEM	VKLAD	4068	27611	\N	\N	\N
731432	2500	1998-12-07	PRIJEM	VKLAD	5400	25237	\N	\N	\N
731436	2500	1998-06-06	VYDAJ	VYBER	8400	16215	\N	\N	\N
731440	2500	1998-01-21	VYDAJ	VYBER	8100	19511	\N	\N	\N
731444	2500	1998-12-06	VYDAJ	VYBER	2500	19837	\N	\N	\N
731464	2500	1998-01-25	VYDAJ	VYBER	1100	17411	\N	\N	\N
731465	2500	1998-01-24	VYDAJ	VYBER	1000	18511	\N	\N	\N
731485	2500	1998-03-20	VYDAJ	VYBER	600	18610	\N	\N	\N
731486	2500	1998-02-02	VYDAJ	VYBER	1150	16349	\N	\N	\N
731487	2500	1998-11-07	VYDAJ	VYBER	550	21660	\N	\N	\N
731488	2500	1998-10-05	VYDAJ	VYBER	1150	23930	\N	\N	\N
731526	2500	1998-01-31	VYDAJ	VYBER	15	17499	SLUZBY	\N	\N
731527	2500	1998-02-28	VYDAJ	VYBER	15	18810	SLUZBY	\N	\N
731528	2500	1998-03-31	VYDAJ	VYBER	15	18673	SLUZBY	\N	\N
731529	2500	1998-04-30	VYDAJ	VYBER	15	22536	SLUZBY	\N	\N
731530	2500	1998-05-31	VYDAJ	VYBER	15	24615	SLUZBY	\N	\N
731531	2500	1998-06-30	VYDAJ	VYBER	15	23098	SLUZBY	\N	\N
731532	2500	1998-07-31	VYDAJ	VYBER	15	27879	SLUZBY	\N	\N
731533	2500	1998-08-31	VYDAJ	VYBER	15	27780	SLUZBY	\N	\N
731534	2500	1998-09-30	VYDAJ	VYBER	15	25080	SLUZBY	\N	\N
731535	2500	1998-10-31	VYDAJ	VYBER	15	22210	SLUZBY	\N	\N
731536	2500	1998-11-30	VYDAJ	VYBER	15	22337	SLUZBY	\N	\N
731537	2500	1995-11-25	PRIJEM	VKLAD	10900	11600	\N	\N	\N
731538	2500	1995-12-25	PRIJEM	VKLAD	6100	17700	\N	\N	\N
731539	2500	1996-01-24	PRIJEM	VKLAD	800	18500	\N	\N	\N
731540	2500	1996-02-23	VYDAJ	VYBER	10500	30688	\N	\N	\N
731541	2500	1996-03-24	VYDAJ	VYBER	6200	24660	\N	\N	\N
731542	2500	1996-04-23	VYDAJ	VYBER	2300	22531	\N	\N	\N
731543	2500	1996-05-23	VYDAJ	VYBER	2900	19803	\N	\N	\N
731544	2500	1996-06-22	PRIJEM	VKLAD	1800	21774	\N	\N	\N
731545	2500	1996-07-22	PRIJEM	VKLAD	800	22746	\N	\N	\N
731546	2500	1996-09-20	VYDAJ	VYBER	700	22217	\N	\N	\N
731547	2500	1996-10-20	PRIJEM	VKLAD	200	22589	\N	\N	\N
731548	2500	1996-11-19	VYDAJ	VYBER	11500	34936	\N	\N	\N
731549	2500	1996-12-19	VYDAJ	VYBER	7300	27797	\N	\N	\N
731550	2500	1997-01-18	VYDAJ	VYBER	7600	20343	\N	\N	\N
731551	2500	1997-02-17	VYDAJ	VYBER	3100	25297	\N	\N	\N
731552	2500	1997-03-19	VYDAJ	VYBER	5100	20314	\N	\N	\N
731553	2500	1997-04-18	VYDAJ	VYBER	3500	16932	\N	\N	\N
731554	2500	1997-05-18	VYDAJ	VYBER	2800	14250	\N	\N	\N
731555	2500	1997-06-17	PRIJEM	VKLAD	800	15168	\N	\N	\N
731556	2500	1997-07-17	PRIJEM	VKLAD	2200	17485	\N	\N	\N
731557	2500	1997-08-16	PRIJEM	VKLAD	6100	23703	\N	\N	\N
731558	2500	1997-09-15	PRIJEM	VKLAD	1400	28372	\N	\N	\N
731559	2500	1997-10-15	VYDAJ	VYBER	1500	26989	\N	\N	\N
731560	2500	1997-11-14	PRIJEM	VKLAD	2200	29307	\N	\N	\N
731561	2500	1997-12-14	VYDAJ	VYBER	300	29125	\N	\N	\N
731562	2500	1998-01-13	VYDAJ	VYBER	5700	23543	\N	\N	\N
731563	2500	1998-02-12	PRIJEM	VKLAD	2400	18749	\N	\N	\N
731564	2500	1998-03-14	PRIJEM	VKLAD	400	19210	\N	\N	\N
731565	2500	1998-04-13	PRIJEM	VKLAD	3800	22473	\N	\N	\N
731566	2500	1998-05-13	PRIJEM	VKLAD	2000	24536	\N	\N	\N
731567	2500	1998-06-12	PRIJEM	VKLAD	6800	23015	\N	\N	\N
731568	2500	1998-07-12	PRIJEM	VKLAD	4700	27798	\N	\N	\N
731569	2500	1998-08-11	VYDAJ	VYBER	200	27679	\N	\N	\N
731570	2500	1998-09-10	VYDAJ	VYBER	2800	24980	\N	\N	\N
731571	2500	1998-10-10	VYDAJ	VYBER	1800	22130	\N	\N	\N
731572	2500	1998-11-09	PRIJEM	VKLAD	600	22260	\N	\N	\N
731608	2501	1994-02-26	PRIJEM	VKLAD	600	600	\N	\N	\N
731611	2501	1994-03-07	PRIJEM	VKLAD	18521	19121	\N	\N	\N
731612	2501	1994-04-07	PRIJEM	VKLAD	18521	39353	\N	\N	\N
731613	2501	1994-05-07	PRIJEM	VKLAD	18521	51468	\N	\N	\N
731614	2501	1994-06-07	PRIJEM	VKLAD	27782	63789	\N	\N	\N
731615	2501	1994-07-07	PRIJEM	VKLAD	18521	60863	\N	\N	\N
731616	2501	1994-08-07	PRIJEM	VKLAD	18521	56034	\N	\N	\N
731617	2501	1994-09-07	PRIJEM	VKLAD	18521	54636	\N	\N	\N
731618	2501	1994-10-07	PRIJEM	VKLAD	18521	54733	\N	\N	\N
731619	2501	1994-11-07	PRIJEM	VKLAD	18521	51526	\N	\N	\N
731620	2501	1994-12-07	PRIJEM	VKLAD	27782	63271	\N	\N	\N
731621	2501	1995-01-07	PRIJEM	VKLAD	18521	60590	\N	\N	\N
731622	2501	1995-02-07	PRIJEM	VKLAD	18521	59105	\N	\N	\N
731623	2501	1995-03-07	PRIJEM	VKLAD	18521	53113	\N	\N	\N
731624	2501	1995-04-07	PRIJEM	VKLAD	18521	53703	\N	\N	\N
731625	2501	1995-05-07	PRIJEM	VKLAD	18521	49286	\N	\N	\N
731626	2501	1995-06-07	PRIJEM	VKLAD	27782	63324	\N	\N	\N
731627	2501	1995-07-07	PRIJEM	VKLAD	18521	61840	\N	\N	\N
731628	2501	1995-08-07	PRIJEM	VKLAD	18521	56256	\N	\N	\N
731629	2501	1995-09-07	PRIJEM	VKLAD	18521	56053	\N	\N	\N
731630	2501	1995-10-07	PRIJEM	VKLAD	18521	58851	\N	\N	\N
731631	2501	1995-11-07	PRIJEM	VKLAD	18521	59456	\N	\N	\N
731632	2501	1995-12-07	PRIJEM	VKLAD	27782	67622	\N	\N	\N
731633	2501	1996-01-07	PRIJEM	VKLAD	18521	64246	\N	\N	\N
731634	2501	1996-02-07	PRIJEM	VKLAD	18521	64367	\N	\N	\N
731635	2501	1996-03-07	PRIJEM	VKLAD	18521	61082	\N	\N	\N
731636	2501	1996-04-07	PRIJEM	VKLAD	18521	62894	\N	\N	\N
731637	2501	1996-05-07	PRIJEM	VKLAD	18521	59808	\N	\N	\N
731638	2501	1996-06-07	PRIJEM	VKLAD	27782	68066	\N	\N	\N
731639	2501	1996-07-07	PRIJEM	VKLAD	18521	66989	\N	\N	\N
731640	2501	1996-08-07	PRIJEM	VKLAD	18521	66516	\N	\N	\N
731641	2501	1996-09-07	PRIJEM	VKLAD	18521	62330	\N	\N	\N
731642	2501	1996-10-07	PRIJEM	VKLAD	18521	65343	\N	\N	\N
731643	2501	1996-11-07	PRIJEM	VKLAD	18521	63760	\N	\N	\N
731644	2501	1996-12-07	PRIJEM	VKLAD	27782	73432	\N	\N	\N
731645	2501	1997-01-07	PRIJEM	VKLAD	18521	70765	\N	\N	\N
731646	2501	1997-02-07	PRIJEM	VKLAD	18521	70600	\N	\N	\N
731647	2501	1997-03-07	PRIJEM	VKLAD	18521	68528	\N	\N	\N
731648	2501	1997-04-07	PRIJEM	VKLAD	18521	66250	\N	\N	\N
731649	2501	1997-05-07	PRIJEM	VKLAD	18521	68573	\N	\N	\N
731650	2501	1997-06-07	PRIJEM	VKLAD	27782	74551	\N	\N	\N
731651	2501	1997-07-07	PRIJEM	VKLAD	18521	70180	\N	\N	\N
731652	2501	1997-08-07	PRIJEM	VKLAD	18521	68305	\N	\N	\N
731653	2501	1997-09-07	PRIJEM	VKLAD	18521	66027	\N	\N	\N
731654	2501	1997-10-07	PRIJEM	VKLAD	18521	59328	\N	\N	\N
731655	2501	1997-11-07	PRIJEM	VKLAD	18521	62720	\N	\N	\N
731656	2501	1997-12-07	PRIJEM	VKLAD	27782	75488	\N	\N	\N
731657	2501	1998-01-07	PRIJEM	VKLAD	18521	66706	\N	\N	\N
731658	2501	1998-02-07	PRIJEM	VKLAD	18521	75063	\N	\N	\N
731659	2501	1998-03-07	PRIJEM	VKLAD	18521	80940	\N	\N	\N
731660	2501	1998-04-07	PRIJEM	VKLAD	18521	70993	\N	\N	\N
731661	2501	1998-05-07	PRIJEM	VKLAD	18521	78667	\N	\N	\N
731662	2501	1998-06-07	PRIJEM	VKLAD	27782	92639	\N	\N	\N
731663	2501	1998-07-07	PRIJEM	VKLAD	18521	88703	\N	\N	\N
731664	2501	1998-08-07	PRIJEM	VKLAD	18521	86258	\N	\N	\N
731665	2501	1998-09-07	PRIJEM	VKLAD	18521	86404	\N	\N	\N
731666	2501	1998-10-07	PRIJEM	VKLAD	18521	87850	\N	\N	\N
731667	2501	1998-11-07	PRIJEM	VKLAD	18521	89502	\N	\N	\N
731668	2501	1998-12-07	PRIJEM	VKLAD	27782	97221	\N	\N	\N
731676	2501	1994-08-05	VYDAJ	PREVOD NA UCET	524	41400	SIPO	YZ	82897442
731677	2501	1994-09-05	VYDAJ	PREVOD NA UCET	524	40002	SIPO	YZ	82897442
731678	2501	1994-10-05	VYDAJ	PREVOD NA UCET	524	40099	SIPO	YZ	82897442
731679	2501	1994-11-05	VYDAJ	PREVOD NA UCET	524	36892	SIPO	YZ	82897442
731680	2501	1994-12-05	VYDAJ	PREVOD NA UCET	524	36234	SIPO	YZ	82897442
731681	2501	1995-01-05	VYDAJ	PREVOD NA UCET	524	45956	SIPO	YZ	82897442
731682	2501	1995-02-05	VYDAJ	PREVOD NA UCET	524	41329	SIPO	YZ	82897442
731683	2501	1995-03-05	VYDAJ	PREVOD NA UCET	524	39037	SIPO	YZ	82897442
731684	2501	1995-04-05	VYDAJ	PREVOD NA UCET	524	39069	SIPO	YZ	82897442
731685	2501	1995-05-05	VYDAJ	PREVOD NA UCET	524	34652	SIPO	YZ	82897442
731686	2501	1995-06-05	VYDAJ	PREVOD NA UCET	524	36287	SIPO	YZ	82897442
731687	2501	1995-07-05	VYDAJ	PREVOD NA UCET	524	44064	SIPO	YZ	82897442
731688	2501	1995-08-05	VYDAJ	PREVOD NA UCET	524	41622	SIPO	YZ	82897442
731689	2501	1995-09-05	VYDAJ	PREVOD NA UCET	524	41419	SIPO	YZ	82897442
731690	2501	1995-10-05	VYDAJ	PREVOD NA UCET	524	41075	SIPO	YZ	82897442
731691	2501	1995-11-05	VYDAJ	PREVOD NA UCET	524	44822	SIPO	YZ	82897442
731692	2501	1995-12-05	VYDAJ	PREVOD NA UCET	524	41685	SIPO	YZ	82897442
731693	2501	1996-01-05	VYDAJ	PREVOD NA UCET	524	46470	SIPO	YZ	82897442
731694	2501	1996-02-05	VYDAJ	PREVOD NA UCET	524	49733	SIPO	YZ	82897442
731695	2501	1996-03-05	VYDAJ	PREVOD NA UCET	524	46448	SIPO	YZ	82897442
731696	2501	1996-04-05	VYDAJ	PREVOD NA UCET	524	48260	SIPO	YZ	82897442
731697	2501	1996-05-05	VYDAJ	PREVOD NA UCET	524	42032	SIPO	YZ	82897442
731698	2501	1996-06-05	VYDAJ	PREVOD NA UCET	524	44171	SIPO	YZ	82897442
731699	2501	1996-07-05	VYDAJ	PREVOD NA UCET	524	49213	SIPO	YZ	82897442
731700	2501	1996-08-05	VYDAJ	PREVOD NA UCET	524	48740	SIPO	YZ	82897442
731701	2501	1996-09-05	VYDAJ	PREVOD NA UCET	524	47696	SIPO	YZ	82897442
731702	2501	1996-10-05	VYDAJ	PREVOD NA UCET	524	47567	SIPO	YZ	82897442
731703	2501	1996-11-05	VYDAJ	PREVOD NA UCET	524	45984	SIPO	YZ	82897442
731704	2501	1996-12-05	VYDAJ	PREVOD NA UCET	524	49537	SIPO	YZ	82897442
731705	2501	1997-01-05	VYDAJ	PREVOD NA UCET	524	56131	SIPO	YZ	82897442
731706	2501	1997-02-05	VYDAJ	PREVOD NA UCET	524	52824	SIPO	YZ	82897442
731707	2501	1997-03-05	VYDAJ	PREVOD NA UCET	524	50752	SIPO	YZ	82897442
731708	2501	1997-04-05	VYDAJ	PREVOD NA UCET	524	48474	SIPO	YZ	82897442
731709	2501	1997-05-05	VYDAJ	PREVOD NA UCET	524	50797	SIPO	YZ	82897442
731710	2501	1997-06-05	VYDAJ	PREVOD NA UCET	524	50656	SIPO	YZ	82897442
731711	2501	1997-07-05	VYDAJ	PREVOD NA UCET	524	52404	SIPO	YZ	82897442
731712	2501	1997-08-05	VYDAJ	PREVOD NA UCET	524	53671	SIPO	YZ	82897442
731713	2501	1997-09-05	VYDAJ	PREVOD NA UCET	524	51393	SIPO	YZ	82897442
731714	2501	1997-10-05	VYDAJ	PREVOD NA UCET	524	41552	SIPO	YZ	82897442
731715	2501	1997-11-05	VYDAJ	PREVOD NA UCET	524	48086	SIPO	YZ	82897442
731716	2501	1997-12-05	VYDAJ	PREVOD NA UCET	524	51593	SIPO	YZ	82897442
731717	2501	1998-01-05	VYDAJ	PREVOD NA UCET	524	54072	SIPO	YZ	82897442
731718	2501	1998-02-05	VYDAJ	PREVOD NA UCET	524	60429	SIPO	YZ	82897442
731719	2501	1998-03-05	VYDAJ	PREVOD NA UCET	524	63164	SIPO	YZ	82897442
731720	2501	1998-04-05	VYDAJ	PREVOD NA UCET	524	60859	SIPO	YZ	82897442
731721	2501	1998-05-05	VYDAJ	PREVOD NA UCET	524	68433	SIPO	YZ	82897442
731722	2501	1998-06-05	VYDAJ	PREVOD NA UCET	524	75302	SIPO	YZ	82897442
731723	2501	1998-07-05	VYDAJ	PREVOD NA UCET	524	92469	SIPO	YZ	82897442
731724	2501	1998-08-05	VYDAJ	PREVOD NA UCET	524	68482	SIPO	YZ	82897442
731725	2501	1998-09-05	VYDAJ	PREVOD NA UCET	524	68628	SIPO	YZ	82897442
731726	2501	1998-10-05	VYDAJ	PREVOD NA UCET	524	73216	SIPO	YZ	82897442
731727	2501	1998-11-05	VYDAJ	PREVOD NA UCET	524	71726	SIPO	YZ	82897442
731728	2501	1998-12-05	VYDAJ	PREVOD NA UCET	524	70184	SIPO	YZ	82897442
731736	2501	1994-08-05	VYDAJ	PREVOD NA UCET	3142	38258	 	QR	42648118
731737	2501	1994-09-05	VYDAJ	PREVOD NA UCET	3142	36860	 	QR	42648118
731738	2501	1994-10-05	VYDAJ	PREVOD NA UCET	3142	36957	 	QR	42648118
731739	2501	1994-11-05	VYDAJ	PREVOD NA UCET	3142	33750	 	QR	42648118
731740	2501	1994-12-05	VYDAJ	PREVOD NA UCET	3142	36758	 	QR	42648118
731741	2501	1995-01-05	VYDAJ	PREVOD NA UCET	3142	42814	 	QR	42648118
731742	2501	1995-02-05	VYDAJ	PREVOD NA UCET	3142	41853	 	QR	42648118
731743	2501	1995-03-05	VYDAJ	PREVOD NA UCET	3142	39561	 	QR	42648118
731744	2501	1995-04-05	VYDAJ	PREVOD NA UCET	3142	35927	 	QR	42648118
731745	2501	1995-05-05	VYDAJ	PREVOD NA UCET	3142	31510	 	QR	42648118
731746	2501	1995-06-05	VYDAJ	PREVOD NA UCET	3142	36811	 	QR	42648118
731747	2501	1995-07-05	VYDAJ	PREVOD NA UCET	3142	44588	 	QR	42648118
731748	2501	1995-08-05	VYDAJ	PREVOD NA UCET	3142	38480	 	QR	42648118
731749	2501	1995-09-05	VYDAJ	PREVOD NA UCET	3142	38277	 	QR	42648118
731750	2501	1995-10-05	VYDAJ	PREVOD NA UCET	3142	41599	 	QR	42648118
731751	2501	1995-11-05	VYDAJ	PREVOD NA UCET	3142	41680	 	QR	42648118
731752	2501	1995-12-05	VYDAJ	PREVOD NA UCET	3142	42209	 	QR	42648118
731753	2501	1996-01-05	VYDAJ	PREVOD NA UCET	3142	46994	 	QR	42648118
731754	2501	1996-02-05	VYDAJ	PREVOD NA UCET	3142	46591	 	QR	42648118
731755	2501	1996-03-05	VYDAJ	PREVOD NA UCET	3142	43306	 	QR	42648118
731756	2501	1996-04-05	VYDAJ	PREVOD NA UCET	3142	45118	 	QR	42648118
731757	2501	1996-05-05	VYDAJ	PREVOD NA UCET	3142	42556	 	QR	42648118
731758	2501	1996-06-05	VYDAJ	PREVOD NA UCET	3142	41029	 	QR	42648118
731759	2501	1996-07-05	VYDAJ	PREVOD NA UCET	3142	49737	 	QR	42648118
731760	2501	1996-08-05	VYDAJ	PREVOD NA UCET	3142	49264	 	QR	42648118
731761	2501	1996-09-05	VYDAJ	PREVOD NA UCET	3142	44554	 	QR	42648118
731762	2501	1996-10-05	VYDAJ	PREVOD NA UCET	3142	48091	 	QR	42648118
731763	2501	1996-11-05	VYDAJ	PREVOD NA UCET	3142	46508	 	QR	42648118
731764	2501	1996-12-05	VYDAJ	PREVOD NA UCET	3142	46395	 	QR	42648118
731765	2501	1997-01-05	VYDAJ	PREVOD NA UCET	3142	52989	 	QR	42648118
731766	2501	1997-02-05	VYDAJ	PREVOD NA UCET	3142	53348	 	QR	42648118
731767	2501	1997-03-05	VYDAJ	PREVOD NA UCET	3142	51276	 	QR	42648118
731768	2501	1997-04-05	VYDAJ	PREVOD NA UCET	3142	48998	 	QR	42648118
731769	2501	1997-05-05	VYDAJ	PREVOD NA UCET	3142	51321	 	QR	42648118
731770	2501	1997-06-05	VYDAJ	PREVOD NA UCET	3142	47514	 	QR	42648118
731771	2501	1997-07-05	VYDAJ	PREVOD NA UCET	3142	52928	 	QR	42648118
731772	2501	1997-08-05	VYDAJ	PREVOD NA UCET	3142	50529	 	QR	42648118
731773	2501	1997-09-05	VYDAJ	PREVOD NA UCET	3142	48251	 	QR	42648118
731774	2501	1997-10-05	VYDAJ	PREVOD NA UCET	3142	42076	 	QR	42648118
731775	2501	1997-11-05	VYDAJ	PREVOD NA UCET	3142	44944	 	QR	42648118
731776	2501	1997-12-05	VYDAJ	PREVOD NA UCET	3142	48451	 	QR	42648118
731777	2501	1998-01-05	VYDAJ	PREVOD NA UCET	3142	50930	 	QR	42648118
731778	2501	1998-02-05	VYDAJ	PREVOD NA UCET	3142	57287	 	QR	42648118
731779	2501	1998-03-05	VYDAJ	PREVOD NA UCET	3142	63688	 	QR	42648118
731780	2501	1998-04-05	VYDAJ	PREVOD NA UCET	3142	57717	 	QR	42648118
731781	2501	1998-05-05	VYDAJ	PREVOD NA UCET	3142	65291	 	QR	42648118
731782	2501	1998-06-05	VYDAJ	PREVOD NA UCET	3142	75826	 	QR	42648118
731783	2501	1998-07-05	VYDAJ	PREVOD NA UCET	3142	70927	 	QR	42648118
731784	2501	1998-08-05	VYDAJ	PREVOD NA UCET	3142	69006	 	QR	42648118
731785	2501	1998-09-05	VYDAJ	PREVOD NA UCET	3142	69152	 	QR	42648118
731786	2501	1998-10-05	VYDAJ	PREVOD NA UCET	3142	70074	 	QR	42648118
731787	2501	1998-11-05	VYDAJ	PREVOD NA UCET	3142	72250	 	QR	42648118
731788	2501	1998-12-05	VYDAJ	PREVOD NA UCET	3142	70708	 	QR	42648118
731796	2501	1994-08-06	VYDAJ	PREVOD NA UCET	745	37513	POJISTNE	ST	57752704
731797	2501	1994-09-06	VYDAJ	PREVOD NA UCET	745	36115	POJISTNE	ST	57752704
731798	2501	1994-10-06	VYDAJ	PREVOD NA UCET	745	36212	POJISTNE	ST	57752704
731799	2501	1994-11-06	VYDAJ	PREVOD NA UCET	745	33005	POJISTNE	ST	57752704
731800	2501	1994-12-06	VYDAJ	PREVOD NA UCET	745	35489	POJISTNE	ST	57752704
731801	2501	1995-01-06	VYDAJ	PREVOD NA UCET	745	42069	POJISTNE	ST	57752704
731802	2501	1995-02-06	VYDAJ	PREVOD NA UCET	745	40584	POJISTNE	ST	57752704
731803	2501	1995-03-06	VYDAJ	PREVOD NA UCET	745	38292	POJISTNE	ST	57752704
731804	2501	1995-04-06	VYDAJ	PREVOD NA UCET	745	35182	POJISTNE	ST	57752704
731805	2501	1995-05-06	VYDAJ	PREVOD NA UCET	745	30765	POJISTNE	ST	57752704
731806	2501	1995-06-06	VYDAJ	PREVOD NA UCET	745	35542	POJISTNE	ST	57752704
731807	2501	1995-07-06	VYDAJ	PREVOD NA UCET	745	43319	POJISTNE	ST	57752704
731808	2501	1995-08-06	VYDAJ	PREVOD NA UCET	745	37735	POJISTNE	ST	57752704
731809	2501	1995-09-06	VYDAJ	PREVOD NA UCET	745	37532	POJISTNE	ST	57752704
731810	2501	1995-10-06	VYDAJ	PREVOD NA UCET	745	40330	POJISTNE	ST	57752704
731811	2501	1995-11-06	VYDAJ	PREVOD NA UCET	745	40935	POJISTNE	ST	57752704
731812	2501	1995-12-06	VYDAJ	PREVOD NA UCET	745	39840	POJISTNE	ST	57752704
731813	2501	1996-01-06	VYDAJ	PREVOD NA UCET	745	45725	POJISTNE	ST	57752704
731814	2501	1996-02-06	VYDAJ	PREVOD NA UCET	745	45846	POJISTNE	ST	57752704
731815	2501	1996-03-06	VYDAJ	PREVOD NA UCET	745	42561	POJISTNE	ST	57752704
731816	2501	1996-04-06	VYDAJ	PREVOD NA UCET	745	44373	POJISTNE	ST	57752704
731817	2501	1996-05-06	VYDAJ	PREVOD NA UCET	745	41287	POJISTNE	ST	57752704
731818	2501	1996-06-06	VYDAJ	PREVOD NA UCET	745	40284	POJISTNE	ST	57752704
731819	2501	1996-07-06	VYDAJ	PREVOD NA UCET	745	48468	POJISTNE	ST	57752704
731820	2501	1996-08-06	VYDAJ	PREVOD NA UCET	745	47995	POJISTNE	ST	57752704
731821	2501	1996-09-06	VYDAJ	PREVOD NA UCET	745	43809	POJISTNE	ST	57752704
731822	2501	1996-10-06	VYDAJ	PREVOD NA UCET	745	46822	POJISTNE	ST	57752704
731823	2501	1996-11-06	VYDAJ	PREVOD NA UCET	745	45239	POJISTNE	ST	57752704
731824	2501	1996-12-06	VYDAJ	PREVOD NA UCET	745	45650	POJISTNE	ST	57752704
731825	2501	1997-01-06	VYDAJ	PREVOD NA UCET	745	52244	POJISTNE	ST	57752704
731826	2501	1997-02-06	VYDAJ	PREVOD NA UCET	745	52079	POJISTNE	ST	57752704
731827	2501	1997-03-06	VYDAJ	PREVOD NA UCET	745	50007	POJISTNE	ST	57752704
731828	2501	1997-04-06	VYDAJ	PREVOD NA UCET	745	47729	POJISTNE	ST	57752704
731829	2501	1997-05-06	VYDAJ	PREVOD NA UCET	745	50052	POJISTNE	ST	57752704
731830	2501	1997-06-06	VYDAJ	PREVOD NA UCET	745	46769	POJISTNE	ST	57752704
731831	2501	1997-07-06	VYDAJ	PREVOD NA UCET	745	51659	POJISTNE	ST	57752704
731832	2501	1997-08-06	VYDAJ	PREVOD NA UCET	745	49784	POJISTNE	ST	57752704
731833	2501	1997-09-06	VYDAJ	PREVOD NA UCET	745	47506	POJISTNE	ST	57752704
731834	2501	1997-10-06	VYDAJ	PREVOD NA UCET	745	40807	POJISTNE	ST	57752704
731835	2501	1997-11-06	VYDAJ	PREVOD NA UCET	745	44199	POJISTNE	ST	57752704
731836	2501	1997-12-06	VYDAJ	PREVOD NA UCET	745	47706	POJISTNE	ST	57752704
731837	2501	1998-01-06	VYDAJ	PREVOD NA UCET	745	48185	POJISTNE	ST	57752704
731838	2501	1998-02-06	VYDAJ	PREVOD NA UCET	745	56542	POJISTNE	ST	57752704
731839	2501	1998-03-06	VYDAJ	PREVOD NA UCET	745	62419	POJISTNE	ST	57752704
731840	2501	1998-04-06	VYDAJ	PREVOD NA UCET	745	52472	POJISTNE	ST	57752704
731841	2501	1998-05-06	VYDAJ	PREVOD NA UCET	745	64546	POJISTNE	ST	57752704
731842	2501	1998-06-06	VYDAJ	PREVOD NA UCET	745	64857	POJISTNE	ST	57752704
731843	2501	1998-07-06	VYDAJ	PREVOD NA UCET	745	70182	POJISTNE	ST	57752704
731844	2501	1998-08-06	VYDAJ	PREVOD NA UCET	745	67737	POJISTNE	ST	57752704
731845	2501	1998-09-06	VYDAJ	PREVOD NA UCET	745	67883	POJISTNE	ST	57752704
731846	2501	1998-10-06	VYDAJ	PREVOD NA UCET	745	69329	POJISTNE	ST	57752704
731847	2501	1998-11-06	VYDAJ	PREVOD NA UCET	745	70981	POJISTNE	ST	57752704
731848	2501	1998-12-06	VYDAJ	PREVOD NA UCET	745	69439	POJISTNE	ST	57752704
731849	2501	1994-12-03	VYDAJ	VYBER	500	39900	\N	\N	\N
731850	2501	1995-12-06	VYDAJ	VYBER KARTOU	1100	40585	\N	\N	0
731851	2501	1996-12-09	VYDAJ	VYBER KARTOU	2400	71032	\N	\N	0
731852	2501	1997-12-14	VYDAJ	VYBER KARTOU	1600	54388	\N	\N	0
731853	2501	1998-12-04	VYDAJ	VYBER KARTOU	2900	73850	\N	\N	0
731855	2501	1994-10-26	VYDAJ	VYBER	3700	37233	\N	\N	\N
731856	2501	1995-03-06	VYDAJ	VYBER	3700	34592	\N	\N	\N
731857	2501	1995-10-27	VYDAJ	VYBER KARTOU	1400	45151	\N	\N	0
731858	2501	1995-10-21	VYDAJ	VYBER KARTOU	900	46551	\N	\N	0
731859	2501	1995-04-13	VYDAJ	VYBER	1700	52003	\N	\N	\N
731860	2501	1995-05-26	VYDAJ	VYBER	2000	39786	\N	\N	\N
731861	2501	1995-09-04	VYDAJ	VYBER KARTOU	2200	41943	\N	\N	0
731862	2501	1995-04-26	VYDAJ	VYBER	4500	35003	\N	\N	\N
731863	2501	1995-07-31	VYDAJ	VYBER KARTOU	3300	42160	\N	\N	0
731864	2501	1996-02-15	VYDAJ	VYBER KARTOU	600	63767	\N	\N	0
731865	2501	1996-05-13	VYDAJ	VYBER	4200	55608	\N	\N	\N
731866	2501	1996-11-05	VYDAJ	VYBER KARTOU	1400	49650	\N	\N	0
731867	2501	1996-04-28	VYDAJ	VYBER	4300	45494	\N	\N	\N
731868	2501	1997-09-27	VYDAJ	VYBER	4800	45027	\N	\N	\N
731869	2501	1997-11-13	VYDAJ	VYBER KARTOU	1700	51920	\N	\N	0
731870	2501	1997-08-27	VYDAJ	VYBER KARTOU	3400	51705	\N	\N	0
731871	2501	1998-03-08	VYDAJ	VYBER KARTOU	3600	61140	\N	\N	0
731872	2501	1998-02-11	VYDAJ	VYBER	4800	70263	\N	\N	\N
731873	2501	1998-02-20	VYDAJ	VYBER KARTOU	3700	66563	\N	\N	0
731874	2501	1998-04-21	VYDAJ	VYBER KARTOU	2300	68693	\N	\N	0
731875	2501	1998-07-16	VYDAJ	VYBER KARTOU	1500	87203	\N	\N	0
731876	2501	1998-01-15	VYDAJ	VYBER KARTOU	600	66106	\N	\N	0
731884	2501	1994-07-31	VYDAJ	VYBER	15	41924	SLUZBY	\N	\N
731885	2501	1994-08-31	VYDAJ	VYBER	15	40526	SLUZBY	\N	\N
731886	2501	1994-09-30	VYDAJ	VYBER	15	40623	SLUZBY	\N	\N
731887	2501	1994-10-31	VYDAJ	VYBER	15	37416	SLUZBY	\N	\N
731888	2501	1994-11-30	VYDAJ	VYBER	15	40400	SLUZBY	\N	\N
731889	2501	1994-12-31	VYDAJ	VYBER	15	46480	SLUZBY	\N	\N
731890	2501	1995-01-31	VYDAJ	VYBER	15	44995	SLUZBY	\N	\N
731891	2501	1995-02-28	VYDAJ	VYBER	15	42703	SLUZBY	\N	\N
731892	2501	1995-03-31	VYDAJ	VYBER	15	39593	SLUZBY	\N	\N
731893	2501	1995-04-30	VYDAJ	VYBER	15	35176	SLUZBY	\N	\N
731894	2501	1995-05-31	VYDAJ	VYBER	15	39953	SLUZBY	\N	\N
731895	2501	1995-06-30	VYDAJ	VYBER	15	47730	SLUZBY	\N	\N
731896	2501	1995-07-31	VYDAJ	VYBER	15	42146	SLUZBY	\N	\N
731897	2501	1995-08-31	VYDAJ	VYBER	15	44143	SLUZBY	\N	\N
731898	2501	1995-09-30	VYDAJ	VYBER	15	44741	SLUZBY	\N	\N
731899	2501	1995-10-31	VYDAJ	VYBER	15	45346	SLUZBY	\N	\N
731900	2501	1995-11-30	VYDAJ	VYBER	15	45351	SLUZBY	\N	\N
731901	2501	1995-12-31	VYDAJ	VYBER	15	50136	SLUZBY	\N	\N
731902	2501	1996-01-31	VYDAJ	VYBER	15	50257	SLUZBY	\N	\N
731903	2501	1996-02-29	VYDAJ	VYBER	15	46972	SLUZBY	\N	\N
731904	2501	1996-03-31	VYDAJ	VYBER	15	48784	SLUZBY	\N	\N
731905	2501	1996-04-30	VYDAJ	VYBER	15	45698	SLUZBY	\N	\N
731906	2501	1996-05-31	VYDAJ	VYBER	15	44695	SLUZBY	\N	\N
731907	2501	1996-06-30	VYDAJ	VYBER	15	52879	SLUZBY	\N	\N
731908	2501	1996-07-31	VYDAJ	VYBER	15	52406	SLUZBY	\N	\N
731909	2501	1996-08-31	VYDAJ	VYBER	15	48220	SLUZBY	\N	\N
731910	2501	1996-09-30	VYDAJ	VYBER	15	51233	SLUZBY	\N	\N
731911	2501	1996-10-31	VYDAJ	VYBER	15	51050	SLUZBY	\N	\N
731912	2501	1996-11-30	VYDAJ	VYBER	15	50061	SLUZBY	\N	\N
731913	2501	1996-12-31	VYDAJ	VYBER	15	56655	SLUZBY	\N	\N
731914	2501	1997-01-31	VYDAJ	VYBER	15	56490	SLUZBY	\N	\N
731915	2501	1997-02-28	VYDAJ	VYBER	15	54418	SLUZBY	\N	\N
731916	2501	1997-03-31	VYDAJ	VYBER	15	52140	SLUZBY	\N	\N
731917	2501	1997-04-30	VYDAJ	VYBER	15	54463	SLUZBY	\N	\N
731918	2501	1997-05-31	VYDAJ	VYBER	15	51180	SLUZBY	\N	\N
731919	2501	1997-06-30	VYDAJ	VYBER	15	56070	SLUZBY	\N	\N
731920	2501	1997-07-31	VYDAJ	VYBER	15	54195	SLUZBY	\N	\N
731921	2501	1997-08-31	VYDAJ	VYBER	15	51917	SLUZBY	\N	\N
731922	2501	1997-09-30	VYDAJ	VYBER	15	45218	SLUZBY	\N	\N
731923	2501	1997-10-31	VYDAJ	VYBER	15	48610	SLUZBY	\N	\N
731924	2501	1997-11-30	VYDAJ	VYBER	15	52117	SLUZBY	\N	\N
731925	2501	1997-12-31	VYDAJ	VYBER	15	54596	SLUZBY	\N	\N
731926	2501	1998-01-31	VYDAJ	VYBER	15	66353	SLUZBY	\N	\N
731927	2501	1998-02-28	VYDAJ	VYBER	15	66830	SLUZBY	\N	\N
731928	2501	1998-03-31	VYDAJ	VYBER	15	61383	SLUZBY	\N	\N
731929	2501	1998-04-30	VYDAJ	VYBER	15	68957	SLUZBY	\N	\N
731930	2501	1998-05-31	VYDAJ	VYBER	15	78968	SLUZBY	\N	\N
731931	2501	1998-06-30	VYDAJ	VYBER	15	92993	SLUZBY	\N	\N
731932	2501	1998-07-31	VYDAJ	VYBER	15	87548	SLUZBY	\N	\N
731933	2501	1998-08-31	VYDAJ	VYBER	15	86594	SLUZBY	\N	\N
731934	2501	1998-09-30	VYDAJ	VYBER	15	86740	SLUZBY	\N	\N
731935	2501	1998-10-31	VYDAJ	VYBER	15	88192	SLUZBY	\N	\N
731936	2501	1998-11-30	VYDAJ	VYBER	15	89850	SLUZBY	\N	\N
731937	2501	1994-03-28	PRIJEM	VKLAD	1700	20821	\N	\N	\N
731938	2501	1994-04-27	VYDAJ	VYBER	6500	32853	\N	\N	\N
731939	2501	1994-05-27	VYDAJ	VYBER	15600	35868	\N	\N	\N
731940	2501	1994-06-26	VYDAJ	VYBER	21600	42189	\N	\N	\N
731941	2501	1994-07-26	VYDAJ	VYBER	19100	41763	\N	\N	\N
731942	2501	1994-08-25	VYDAJ	VYBER	15700	40334	\N	\N	\N
731943	2501	1994-09-24	VYDAJ	VYBER	14200	40436	\N	\N	\N
731944	2501	1994-10-24	VYDAJ	VYBER	13800	40933	\N	\N	\N
731945	2501	1994-11-23	VYDAJ	VYBER	11300	40226	\N	\N	\N
731946	2501	1994-12-23	VYDAJ	VYBER	17000	46271	\N	\N	\N
731947	2501	1995-01-22	VYDAJ	VYBER	15800	44790	\N	\N	\N
731948	2501	1995-02-21	VYDAJ	VYBER	16600	42505	\N	\N	\N
731949	2501	1995-03-23	VYDAJ	VYBER	13700	39413	\N	\N	\N
731950	2501	1995-04-22	VYDAJ	VYBER	12500	39503	\N	\N	\N
731951	2501	1995-05-22	VYDAJ	VYBER	7500	41786	\N	\N	\N
731952	2501	1995-06-21	VYDAJ	VYBER	15800	47524	\N	\N	\N
731953	2501	1995-07-21	VYDAJ	VYBER	16600	45240	\N	\N	\N
731954	2501	1995-08-20	VYDAJ	VYBER	12300	43956	\N	\N	\N
731955	2501	1995-09-19	VYDAJ	VYBER	11500	44553	\N	\N	\N
731956	2501	1995-10-19	VYDAJ	VYBER	11400	47451	\N	\N	\N
731957	2501	1995-11-18	VYDAJ	VYBER	14300	45156	\N	\N	\N
731958	2501	1995-12-18	VYDAJ	VYBER	17700	49922	\N	\N	\N
731959	2501	1996-01-17	VYDAJ	VYBER	14200	50046	\N	\N	\N
731960	2501	1996-02-16	VYDAJ	VYBER	17000	46767	\N	\N	\N
731961	2501	1996-03-17	VYDAJ	VYBER	12500	48582	\N	\N	\N
731962	2501	1996-04-16	VYDAJ	VYBER	13100	49794	\N	\N	\N
731963	2501	1996-05-16	VYDAJ	VYBER	11100	44508	\N	\N	\N
731964	2501	1996-06-15	VYDAJ	VYBER	15400	52666	\N	\N	\N
731965	2501	1996-07-15	VYDAJ	VYBER	14800	52189	\N	\N	\N
731966	2501	1996-08-14	VYDAJ	VYBER	18500	48016	\N	\N	\N
731967	2501	1996-09-13	VYDAJ	VYBER	11300	51030	\N	\N	\N
731968	2501	1996-10-13	VYDAJ	VYBER	14500	50843	\N	\N	\N
731969	2501	1996-11-12	VYDAJ	VYBER	13900	49860	\N	\N	\N
731970	2501	1996-12-12	VYDAJ	VYBER	14600	56432	\N	\N	\N
731971	2501	1997-01-11	VYDAJ	VYBER	14500	56265	\N	\N	\N
731972	2501	1997-02-10	VYDAJ	VYBER	16400	54200	\N	\N	\N
731973	2501	1997-03-12	VYDAJ	VYBER	16600	51928	\N	\N	\N
731974	2501	1997-04-11	VYDAJ	VYBER	12000	54250	\N	\N	\N
731975	2501	1997-05-11	VYDAJ	VYBER	17600	50973	\N	\N	\N
731976	2501	1997-06-10	VYDAJ	VYBER	18700	55851	\N	\N	\N
731977	2501	1997-07-10	VYDAJ	VYBER	16200	53980	\N	\N	\N
731978	2501	1997-08-09	VYDAJ	VYBER	13200	55105	\N	\N	\N
731979	2501	1997-09-08	VYDAJ	VYBER	16200	49827	\N	\N	\N
731980	2501	1997-10-08	VYDAJ	VYBER	10900	48428	\N	\N	\N
731981	2501	1997-11-07	VYDAJ	VYBER	9100	53620	\N	\N	\N
731982	2501	1997-12-07	VYDAJ	VYBER	19500	55988	\N	\N	\N
731983	2501	1998-01-06	VYDAJ	VYBER KARTOU	2000	48930	\N	\N	0
731984	2501	1998-02-05	VYDAJ	VYBER	5400	60953	\N	\N	\N
731985	2501	1998-03-07	VYDAJ	VYBER	16200	64740	\N	\N	\N
731986	2501	1998-04-06	VYDAJ	VYBER	4500	53217	\N	\N	\N
731987	2501	1998-05-06	VYDAJ	VYBER	4400	60146	\N	\N	\N
731988	2501	1998-06-05	VYDAJ	VYBER	9700	65602	\N	\N	\N
731989	2501	1998-07-05	VYDAJ	VYBER	18400	74069	\N	\N	\N
731990	2501	1998-08-04	VYDAJ	VYBER	15400	72148	\N	\N	\N
731991	2501	1998-09-03	VYDAJ	VYBER	14300	72294	\N	\N	\N
731992	2501	1998-10-03	VYDAJ	VYBER	13000	73740	\N	\N	\N
731993	2501	1998-11-02	VYDAJ	VYBER	12800	75392	\N	\N	\N
731994	2501	1998-12-02	VYDAJ	VYBER	13100	76750	\N	\N	\N
732053	2502	1996-10-21	PRIJEM	VKLAD	800	800	\N	\N	\N
732064	2502	1996-11-06	PRIJEM	VKLAD	5828	6628	\N	\N	\N
732065	2502	1996-12-06	PRIJEM	VKLAD	8742	24494	\N	\N	\N
732066	2502	1997-01-06	PRIJEM	VKLAD	5828	30001	\N	\N	\N
732067	2502	1997-02-06	PRIJEM	VKLAD	5828	31432	\N	\N	\N
732068	2502	1997-03-06	PRIJEM	VKLAD	5828	27860	\N	\N	\N
732069	2502	1997-04-06	PRIJEM	VKLAD	5828	25579	\N	\N	\N
732070	2502	1997-05-06	PRIJEM	VKLAD	5828	21485	\N	\N	\N
732071	2502	1997-06-06	PRIJEM	VKLAD	8742	20789	\N	\N	\N
732072	2502	1997-07-06	PRIJEM	VKLAD	5828	20878	\N	\N	\N
732073	2502	1997-08-06	PRIJEM	VKLAD	5828	19669	\N	\N	\N
732074	2502	1997-09-06	PRIJEM	VKLAD	5828	17553	\N	\N	\N
732075	2502	1997-10-06	PRIJEM	VKLAD	5828	19536	\N	\N	\N
732076	2502	1997-11-06	PRIJEM	VKLAD	5828	18821	\N	\N	\N
732077	2502	1997-12-06	PRIJEM	VKLAD	8742	23021	\N	\N	\N
732078	2502	1998-01-06	PRIJEM	VKLAD	5828	20513	\N	\N	\N
732079	2502	1998-02-06	PRIJEM	VKLAD	5828	18778	\N	\N	\N
732080	2502	1998-03-06	PRIJEM	VKLAD	5828	20765	\N	\N	\N
732081	2502	1998-04-06	PRIJEM	VKLAD	5828	22762	\N	\N	\N
732082	2502	1998-05-06	PRIJEM	VKLAD	5828	17449	\N	\N	\N
732083	2502	1998-06-06	PRIJEM	VKLAD	8742	22345	\N	\N	\N
732084	2502	1998-07-06	PRIJEM	VKLAD	5828	24344	\N	\N	\N
732085	2502	1998-08-06	PRIJEM	VKLAD	5828	26355	\N	\N	\N
732086	2502	1998-09-06	PRIJEM	VKLAD	5828	26575	\N	\N	\N
732087	2502	1998-10-06	PRIJEM	VKLAD	5828	26076	\N	\N	\N
732088	2502	1998-11-06	PRIJEM	VKLAD	5828	28095	\N	\N	\N
732089	2502	1998-12-06	PRIJEM	VKLAD	8742	33035	\N	\N	\N
732104	2502	1997-03-10	VYDAJ	PREVOD NA UCET	3885	23975	SIPO	QR	18609726
732105	2502	1997-04-10	VYDAJ	PREVOD NA UCET	3885	21694	SIPO	QR	18609726
732106	2502	1997-05-10	VYDAJ	PREVOD NA UCET	3885	17600	SIPO	QR	18609726
732107	2502	1997-06-10	VYDAJ	PREVOD NA UCET	3885	16904	SIPO	QR	18609726
732108	2502	1997-07-10	VYDAJ	PREVOD NA UCET	3885	16993	SIPO	QR	18609726
732109	2502	1997-08-10	VYDAJ	PREVOD NA UCET	3885	15784	SIPO	QR	18609726
732110	2502	1997-09-10	VYDAJ	PREVOD NA UCET	3885	13668	SIPO	QR	18609726
732111	2502	1997-10-10	VYDAJ	PREVOD NA UCET	3885	15651	SIPO	QR	18609726
732112	2502	1997-11-10	VYDAJ	PREVOD NA UCET	3885	14936	SIPO	QR	18609726
732113	2502	1997-12-10	VYDAJ	PREVOD NA UCET	3885	19136	SIPO	QR	18609726
732114	2502	1998-01-10	VYDAJ	PREVOD NA UCET	3885	12908	SIPO	QR	18609726
732115	2502	1998-02-10	VYDAJ	PREVOD NA UCET	3885	14893	SIPO	QR	18609726
732116	2502	1998-03-10	VYDAJ	PREVOD NA UCET	3885	16880	SIPO	QR	18609726
732117	2502	1998-04-10	VYDAJ	PREVOD NA UCET	3885	18877	SIPO	QR	18609726
732118	2502	1998-05-10	VYDAJ	PREVOD NA UCET	3885	13564	SIPO	QR	18609726
732119	2502	1998-06-10	VYDAJ	PREVOD NA UCET	3885	18460	SIPO	QR	18609726
732120	2502	1998-07-10	VYDAJ	PREVOD NA UCET	3885	20459	SIPO	QR	18609726
732121	2502	1998-08-10	VYDAJ	PREVOD NA UCET	3885	22470	SIPO	QR	18609726
732122	2502	1998-09-10	VYDAJ	PREVOD NA UCET	3885	22690	SIPO	QR	18609726
732123	2502	1998-10-10	VYDAJ	PREVOD NA UCET	3885	22191	SIPO	QR	18609726
732124	2502	1998-11-10	VYDAJ	PREVOD NA UCET	3885	24210	SIPO	QR	18609726
732125	2502	1998-12-10	VYDAJ	PREVOD NA UCET	3885	29150	SIPO	QR	18609726
732134	2502	1998-12-16	VYDAJ	VYBER	2880	26270	\N	\N	\N
732148	2502	1998-01-10	VYDAJ	VYBER	600	16793	\N	\N	\N
732149	2502	1998-01-10	VYDAJ	VYBER	3120	17393	\N	\N	\N
732162	2502	1998-09-03	VYDAJ	VYBER	1800	20747	\N	\N	\N
732163	2502	1998-09-22	VYDAJ	VYBER	2520	20170	\N	\N	\N
732180	2502	1997-03-31	VYDAJ	VYBER	15	19751	SLUZBY	\N	\N
732181	2502	1997-04-30	VYDAJ	VYBER	15	15657	SLUZBY	\N	\N
732182	2502	1997-05-31	VYDAJ	VYBER	15	12047	SLUZBY	\N	\N
732183	2502	1997-06-30	VYDAJ	VYBER	15	15050	SLUZBY	\N	\N
732184	2502	1997-07-31	VYDAJ	VYBER	15	13841	SLUZBY	\N	\N
732185	2502	1997-08-31	VYDAJ	VYBER	15	11725	SLUZBY	\N	\N
732186	2502	1997-09-30	VYDAJ	VYBER	15	13708	SLUZBY	\N	\N
732187	2502	1997-10-31	VYDAJ	VYBER	15	12993	SLUZBY	\N	\N
732188	2502	1997-11-30	VYDAJ	VYBER	15	14279	SLUZBY	\N	\N
732189	2502	1997-12-31	VYDAJ	VYBER	15	14685	SLUZBY	\N	\N
732190	2502	1998-01-31	VYDAJ	VYBER	15	12950	SLUZBY	\N	\N
732191	2502	1998-02-28	VYDAJ	VYBER	15	14937	SLUZBY	\N	\N
732192	2502	1998-03-31	VYDAJ	VYBER	15	16934	SLUZBY	\N	\N
732193	2502	1998-04-30	VYDAJ	VYBER	15	11621	SLUZBY	\N	\N
732194	2502	1998-05-31	VYDAJ	VYBER	15	13603	SLUZBY	\N	\N
732195	2502	1998-06-30	VYDAJ	VYBER	15	18516	SLUZBY	\N	\N
732196	2502	1998-07-31	VYDAJ	VYBER	15	20527	SLUZBY	\N	\N
732197	2502	1998-08-31	VYDAJ	VYBER	15	22547	SLUZBY	\N	\N
732198	2502	1998-09-30	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
732199	2502	1998-10-31	VYDAJ	VYBER	15	22267	SLUZBY	\N	\N
732200	2502	1998-11-30	VYDAJ	VYBER	15	24293	SLUZBY	\N	\N
732201	2502	1996-11-20	PRIJEM	VKLAD	9100	15728	\N	\N	\N
732202	2502	1996-12-20	VYDAJ	VYBER	400	24094	\N	\N	\N
732203	2502	1997-01-19	VYDAJ	VYBER	4500	25501	\N	\N	\N
732204	2502	1997-02-18	VYDAJ	VYBER	9500	21932	\N	\N	\N
732205	2502	1997-03-20	VYDAJ	VYBER	4300	19675	\N	\N	\N
732206	2502	1997-04-19	VYDAJ	VYBER	6100	15594	\N	\N	\N
732207	2502	1997-05-19	VYDAJ	VYBER	5600	12000	\N	\N	\N
732208	2502	1997-06-18	VYDAJ	VYBER	1900	15004	\N	\N	\N
732209	2502	1997-07-18	VYDAJ	VYBER	3200	13793	\N	\N	\N
732210	2502	1997-08-17	VYDAJ	VYBER	4100	11684	\N	\N	\N
732211	2502	1997-10-16	VYDAJ	VYBER	2700	12951	\N	\N	\N
732212	2502	1997-11-15	VYDAJ	VYBER	700	14236	\N	\N	\N
732213	2502	1997-12-15	VYDAJ	VYBER	4500	14636	\N	\N	\N
732214	2502	1998-04-14	VYDAJ	VYBER	7300	11577	\N	\N	\N
732241	2503	1993-03-05	PRIJEM	VKLAD	600	600	\N	\N	\N
732245	2503	1993-04-05	PRIJEM	VKLAD	9574	23074	\N	\N	\N
732246	2503	1993-05-05	PRIJEM	VKLAD	9574	32831	\N	\N	\N
732247	2503	1993-06-05	PRIJEM	VKLAD	14361	45324	\N	\N	\N
732248	2503	1993-07-05	PRIJEM	VKLAD	9574	43080	\N	\N	\N
732249	2503	1993-08-05	PRIJEM	VKLAD	9574	44635	\N	\N	\N
732250	2503	1993-09-05	PRIJEM	VKLAD	9574	39721	\N	\N	\N
732251	2503	1993-10-05	PRIJEM	VKLAD	9574	38450	\N	\N	\N
732252	2503	1993-11-05	PRIJEM	VKLAD	9574	37272	\N	\N	\N
732253	2503	1993-12-05	PRIJEM	VKLAD	14361	39318	\N	\N	\N
732254	2503	1994-01-05	PRIJEM	VKLAD	9574	37450	\N	\N	\N
732255	2503	1994-02-05	PRIJEM	VKLAD	9574	38053	\N	\N	\N
732256	2503	1994-03-05	PRIJEM	VKLAD	9574	38359	\N	\N	\N
732257	2503	1994-04-05	PRIJEM	VKLAD	9574	35943	\N	\N	\N
732258	2503	1994-05-05	PRIJEM	VKLAD	9574	35640	\N	\N	\N
732259	2503	1994-06-05	PRIJEM	VKLAD	14361	40922	\N	\N	\N
732260	2503	1994-07-05	PRIJEM	VKLAD	9574	41691	\N	\N	\N
732261	2503	1994-08-05	PRIJEM	VKLAD	9574	38810	\N	\N	\N
732262	2503	1994-09-05	PRIJEM	VKLAD	9574	40519	\N	\N	\N
732263	2503	1994-10-05	PRIJEM	VKLAD	9574	42835	\N	\N	\N
732264	2503	1994-11-05	PRIJEM	VKLAD	9574	41558	\N	\N	\N
732265	2503	1994-12-05	PRIJEM	VKLAD	14361	45662	\N	\N	\N
732266	2503	1995-01-05	PRIJEM	VKLAD	9574	43587	\N	\N	\N
732267	2503	1995-02-05	PRIJEM	VKLAD	9574	41410	\N	\N	\N
732268	2503	1995-03-05	PRIJEM	VKLAD	9574	42328	\N	\N	\N
732269	2503	1995-04-05	PRIJEM	VKLAD	9574	40547	\N	\N	\N
732270	2503	1995-05-05	PRIJEM	VKLAD	9574	36897	\N	\N	\N
732271	2503	1995-06-05	PRIJEM	VKLAD	14361	45586	\N	\N	\N
732272	2503	1995-07-05	PRIJEM	VKLAD	9574	41307	\N	\N	\N
732273	2503	1995-08-05	PRIJEM	VKLAD	9574	32673	\N	\N	\N
732274	2503	1995-09-05	PRIJEM	VKLAD	9574	36841	\N	\N	\N
732275	2503	1995-10-05	PRIJEM	VKLAD	9574	40142	\N	\N	\N
732276	2503	1995-11-05	PRIJEM	VKLAD	9574	39951	\N	\N	\N
732277	2503	1995-12-05	PRIJEM	VKLAD	14361	47251	\N	\N	\N
732278	2503	1996-01-05	PRIJEM	VKLAD	9574	45169	\N	\N	\N
732279	2503	1996-02-05	PRIJEM	VKLAD	9574	42199	\N	\N	\N
732280	2503	1996-03-05	PRIJEM	VKLAD	9574	44188	\N	\N	\N
732281	2503	1996-04-05	PRIJEM	VKLAD	9574	43713	\N	\N	\N
732282	2503	1996-05-05	PRIJEM	VKLAD	9574	37492	\N	\N	\N
732283	2503	1996-06-05	PRIJEM	VKLAD	14361	45381	\N	\N	\N
732284	2503	1996-07-05	PRIJEM	VKLAD	9574	47306	\N	\N	\N
732285	2503	1996-08-05	PRIJEM	VKLAD	9574	47543	\N	\N	\N
732286	2503	1996-09-05	PRIJEM	VKLAD	9574	42709	\N	\N	\N
732287	2503	1996-10-05	PRIJEM	VKLAD	9574	41323	\N	\N	\N
732288	2503	1996-11-05	PRIJEM	VKLAD	9574	37927	\N	\N	\N
732289	2503	1996-12-05	PRIJEM	VKLAD	14361	46733	\N	\N	\N
732290	2503	1997-01-05	PRIJEM	VKLAD	9574	38900	\N	\N	\N
732291	2503	1997-02-05	PRIJEM	VKLAD	9574	37297	\N	\N	\N
732292	2503	1997-03-05	PRIJEM	VKLAD	9574	32580	\N	\N	\N
732293	2503	1997-04-05	PRIJEM	VKLAD	9574	31413	\N	\N	\N
732294	2503	1997-05-05	PRIJEM	VKLAD	9574	32786	\N	\N	\N
732295	2503	1997-06-05	PRIJEM	VKLAD	14361	31271	\N	\N	\N
732296	2503	1997-07-05	PRIJEM	VKLAD	9574	32454	\N	\N	\N
732297	2503	1997-08-05	PRIJEM	VKLAD	9574	32776	\N	\N	\N
732298	2503	1997-09-05	PRIJEM	VKLAD	9574	27650	\N	\N	\N
732299	2503	1997-10-05	PRIJEM	VKLAD	9574	32019	\N	\N	\N
732300	2503	1997-11-05	PRIJEM	VKLAD	9574	38913	\N	\N	\N
732301	2503	1997-12-05	PRIJEM	VKLAD	14361	40967	\N	\N	\N
732302	2503	1998-01-05	PRIJEM	VKLAD	9574	41485	\N	\N	\N
732303	2503	1998-02-05	PRIJEM	VKLAD	9574	41009	\N	\N	\N
732304	2503	1998-03-05	PRIJEM	VKLAD	9574	44033	\N	\N	\N
732305	2503	1998-04-05	PRIJEM	VKLAD	9574	47066	\N	\N	\N
732306	2503	1998-05-05	PRIJEM	VKLAD	9574	50414	\N	\N	\N
732307	2503	1998-06-05	PRIJEM	VKLAD	14361	53839	\N	\N	\N
732308	2503	1998-07-05	PRIJEM	VKLAD	9574	41528	\N	\N	\N
732309	2503	1998-08-05	PRIJEM	VKLAD	9574	49168	\N	\N	\N
732310	2503	1998-09-05	PRIJEM	VKLAD	9574	54132	\N	\N	\N
732311	2503	1998-10-05	PRIJEM	VKLAD	9574	55078	\N	\N	\N
732312	2503	1998-11-05	PRIJEM	VKLAD	9574	59908	\N	\N	\N
732313	2503	1998-12-05	PRIJEM	VKLAD	14361	73196	\N	\N	\N
732321	2503	1993-08-14	VYDAJ	PREVOD NA UCET	6279	38356	SIPO	CD	10819483
732322	2503	1993-09-14	VYDAJ	PREVOD NA UCET	6279	33442	SIPO	CD	10819483
732323	2503	1993-10-14	VYDAJ	PREVOD NA UCET	6279	32171	SIPO	CD	10819483
732324	2503	1993-11-14	VYDAJ	PREVOD NA UCET	6279	30993	SIPO	CD	10819483
732325	2503	1993-12-14	VYDAJ	PREVOD NA UCET	6279	30959	SIPO	CD	10819483
732326	2503	1994-01-14	VYDAJ	PREVOD NA UCET	6279	31171	SIPO	CD	10819483
732327	2503	1994-02-14	VYDAJ	PREVOD NA UCET	6279	31774	SIPO	CD	10819483
732328	2503	1994-03-14	VYDAJ	PREVOD NA UCET	6279	32080	SIPO	CD	10819483
732329	2503	1994-04-14	VYDAJ	PREVOD NA UCET	6279	29664	SIPO	CD	10819483
732330	2503	1994-05-14	VYDAJ	PREVOD NA UCET	6279	29361	SIPO	CD	10819483
732331	2503	1994-06-14	VYDAJ	PREVOD NA UCET	6279	33803	SIPO	CD	10819483
732332	2503	1994-07-14	VYDAJ	PREVOD NA UCET	6279	35412	SIPO	CD	10819483
732333	2503	1994-08-14	VYDAJ	PREVOD NA UCET	6279	32531	SIPO	CD	10819483
732334	2503	1994-09-14	VYDAJ	PREVOD NA UCET	6279	34240	SIPO	CD	10819483
732335	2503	1994-10-14	VYDAJ	PREVOD NA UCET	6279	36556	SIPO	CD	10819483
732336	2503	1994-11-14	VYDAJ	PREVOD NA UCET	6279	35279	SIPO	CD	10819483
732337	2503	1994-12-14	VYDAJ	PREVOD NA UCET	6279	39383	SIPO	CD	10819483
732338	2503	1995-01-14	VYDAJ	PREVOD NA UCET	6279	37308	SIPO	CD	10819483
732339	2503	1995-02-14	VYDAJ	PREVOD NA UCET	6279	35131	SIPO	CD	10819483
732340	2503	1995-03-14	VYDAJ	PREVOD NA UCET	6279	36049	SIPO	CD	10819483
732341	2503	1995-04-14	VYDAJ	PREVOD NA UCET	6279	34268	SIPO	CD	10819483
732342	2503	1995-05-14	VYDAJ	PREVOD NA UCET	6279	30618	SIPO	CD	10819483
732343	2503	1995-06-14	VYDAJ	PREVOD NA UCET	6279	39307	SIPO	CD	10819483
732344	2503	1995-07-14	VYDAJ	PREVOD NA UCET	6279	35028	SIPO	CD	10819483
732345	2503	1995-08-14	VYDAJ	PREVOD NA UCET	6279	26394	SIPO	CD	10819483
732346	2503	1995-09-14	VYDAJ	PREVOD NA UCET	6279	30562	SIPO	CD	10819483
732347	2503	1995-10-14	VYDAJ	PREVOD NA UCET	6279	33863	SIPO	CD	10819483
732348	2503	1995-11-14	VYDAJ	PREVOD NA UCET	6279	33672	SIPO	CD	10819483
732349	2503	1995-12-14	VYDAJ	PREVOD NA UCET	6279	39852	SIPO	CD	10819483
732350	2503	1996-01-14	VYDAJ	PREVOD NA UCET	6279	38890	SIPO	CD	10819483
732351	2503	1996-02-14	VYDAJ	PREVOD NA UCET	6279	33280	SIPO	CD	10819483
732352	2503	1996-03-14	VYDAJ	PREVOD NA UCET	6279	37909	SIPO	CD	10819483
732353	2503	1996-04-14	VYDAJ	PREVOD NA UCET	6279	37434	SIPO	CD	10819483
732354	2503	1996-05-14	VYDAJ	PREVOD NA UCET	6279	31213	SIPO	CD	10819483
732355	2503	1996-06-14	VYDAJ	PREVOD NA UCET	6279	39102	SIPO	CD	10819483
732356	2503	1996-07-14	VYDAJ	PREVOD NA UCET	6279	41027	SIPO	CD	10819483
732357	2503	1996-08-14	VYDAJ	PREVOD NA UCET	6279	41264	SIPO	CD	10819483
732358	2503	1996-09-14	VYDAJ	PREVOD NA UCET	6279	36430	SIPO	CD	10819483
732359	2503	1996-10-14	VYDAJ	PREVOD NA UCET	6279	30844	SIPO	CD	10819483
732360	2503	1996-11-14	VYDAJ	PREVOD NA UCET	6279	32248	SIPO	CD	10819483
732361	2503	1996-12-14	VYDAJ	PREVOD NA UCET	6279	40454	SIPO	CD	10819483
732362	2503	1997-01-14	VYDAJ	PREVOD NA UCET	6279	27621	SIPO	CD	10819483
732363	2503	1997-02-14	VYDAJ	PREVOD NA UCET	6279	22918	SIPO	CD	10819483
732364	2503	1997-03-14	VYDAJ	PREVOD NA UCET	6279	25461	SIPO	CD	10819483
732365	2503	1997-04-14	VYDAJ	PREVOD NA UCET	6279	23134	SIPO	CD	10819483
732366	2503	1997-05-14	VYDAJ	PREVOD NA UCET	6279	25507	SIPO	CD	10819483
732367	2503	1997-06-14	VYDAJ	PREVOD NA UCET	6279	22792	SIPO	CD	10819483
732368	2503	1997-07-14	VYDAJ	PREVOD NA UCET	6279	25875	SIPO	CD	10819483
732369	2503	1997-08-14	VYDAJ	PREVOD NA UCET	6279	22797	SIPO	CD	10819483
732370	2503	1997-09-14	VYDAJ	PREVOD NA UCET	6279	22371	SIPO	CD	10819483
732371	2503	1997-10-14	VYDAJ	PREVOD NA UCET	6279	29240	SIPO	CD	10819483
732372	2503	1997-11-14	VYDAJ	PREVOD NA UCET	6279	30334	SIPO	CD	10819483
732373	2503	1997-12-14	VYDAJ	PREVOD NA UCET	6279	31788	SIPO	CD	10819483
732374	2503	1998-01-14	VYDAJ	PREVOD NA UCET	6279	36706	SIPO	CD	10819483
732375	2503	1998-02-14	VYDAJ	PREVOD NA UCET	6279	34330	SIPO	CD	10819483
732376	2503	1998-03-14	VYDAJ	PREVOD NA UCET	6279	37354	SIPO	CD	10819483
732377	2503	1998-04-14	VYDAJ	PREVOD NA UCET	6279	40687	SIPO	CD	10819483
732378	2503	1998-05-14	VYDAJ	PREVOD NA UCET	6279	43035	SIPO	CD	10819483
732379	2503	1998-06-14	VYDAJ	PREVOD NA UCET	6279	42360	SIPO	CD	10819483
732380	2503	1998-07-14	VYDAJ	PREVOD NA UCET	6279	39449	SIPO	CD	10819483
732381	2503	1998-08-14	VYDAJ	PREVOD NA UCET	6279	43989	SIPO	CD	10819483
732382	2503	1998-09-14	VYDAJ	PREVOD NA UCET	6279	47853	SIPO	CD	10819483
732383	2503	1998-10-14	VYDAJ	PREVOD NA UCET	6279	46699	SIPO	CD	10819483
732384	2503	1998-11-14	VYDAJ	PREVOD NA UCET	6279	53629	SIPO	CD	10819483
732385	2503	1998-12-14	VYDAJ	PREVOD NA UCET	6279	66917	SIPO	CD	10819483
732390	2503	1997-06-04	VYDAJ	VYBER	6880	16910	\N	\N	\N
732391	2503	1998-06-25	VYDAJ	VYBER	10560	31800	\N	\N	\N
732392	2503	1993-12-08	VYDAJ	VYBER	2080	37238	\N	\N	\N
732393	2503	1994-12-24	VYDAJ	VYBER	2400	36983	\N	\N	\N
732394	2503	1995-12-07	VYDAJ	VYBER	1120	46131	\N	\N	\N
732395	2503	1996-12-19	VYDAJ	VYBER	960	29214	\N	\N	\N
732396	2503	1997-12-01	VYDAJ	VYBER	3840	26606	\N	\N	\N
732397	2503	1998-12-21	VYDAJ	VYBER	3040	63877	\N	\N	\N
732399	2503	1993-11-20	VYDAJ	VYBER	2640	28353	\N	\N	\N
732401	2503	1993-08-17	VYDAJ	VYBER	2160	36196	\N	\N	\N
732402	2503	1994-06-13	VYDAJ	VYBER	840	40082	\N	\N	\N
732403	2503	1994-03-16	VYDAJ	VYBER	1320	30760	\N	\N	\N
732404	2503	1995-08-22	VYDAJ	VYBER	2520	27174	\N	\N	\N
732405	2503	1995-07-25	VYDAJ	VYBER	5640	22988	\N	\N	\N
732406	2503	1995-04-25	VYDAJ	VYBER	3360	27208	\N	\N	\N
732407	2503	1996-01-27	VYDAJ	VYBER	4800	32490	\N	\N	\N
732408	2503	1996-02-05	VYDAJ	VYBER	600	41599	\N	\N	\N
732409	2503	1996-10-14	VYDAJ	VYBER	4200	37123	\N	\N	\N
732410	2503	1996-02-12	VYDAJ	VYBER	2040	39559	\N	\N	\N
732411	2503	1996-12-15	VYDAJ	VYBER	5880	30174	\N	\N	\N
732412	2503	1996-08-15	VYDAJ	VYBER	5160	36104	\N	\N	\N
732413	2503	1996-04-29	VYDAJ	VYBER	2040	27794	\N	\N	\N
732414	2503	1996-04-28	VYDAJ	VYBER	3000	29834	\N	\N	\N
732415	2503	1997-08-03	VYDAJ	VYBER	2760	23202	\N	\N	\N
732416	2503	1997-08-15	VYDAJ	VYBER	4800	17997	\N	\N	\N
732417	2503	1997-05-19	VYDAJ	VYBER	1800	23707	\N	\N	\N
732418	2503	1997-03-13	VYDAJ	VYBER	840	31740	\N	\N	\N
732419	2503	1998-01-23	VYDAJ	VYBER	5400	31306	\N	\N	\N
732420	2503	1998-09-22	VYDAJ	VYBER	2520	45333	\N	\N	\N
732421	2503	1998-05-29	VYDAJ	VYBER	3720	39315	\N	\N	\N
732422	2503	1998-10-22	VYDAJ	VYBER	5040	41659	\N	\N	\N
732423	2503	1998-06-06	VYDAJ	VYBER	3600	50239	\N	\N	\N
732432	2503	1993-08-31	VYDAJ	VYBER	15	36347	SLUZBY	\N	\N
732433	2503	1993-09-30	VYDAJ	VYBER	15	33576	SLUZBY	\N	\N
732434	2503	1993-10-31	VYDAJ	VYBER	15	32298	SLUZBY	\N	\N
732435	2503	1993-11-30	VYDAJ	VYBER	15	28457	SLUZBY	\N	\N
732436	2503	1993-12-31	VYDAJ	VYBER	15	27876	SLUZBY	\N	\N
732437	2503	1994-01-31	VYDAJ	VYBER	15	28479	SLUZBY	\N	\N
732438	2503	1994-02-28	VYDAJ	VYBER	15	28785	SLUZBY	\N	\N
732439	2503	1994-03-31	VYDAJ	VYBER	15	26369	SLUZBY	\N	\N
732440	2503	1994-04-30	VYDAJ	VYBER	15	26066	SLUZBY	\N	\N
732441	2503	1994-05-31	VYDAJ	VYBER	15	26561	SLUZBY	\N	\N
732442	2503	1994-06-30	VYDAJ	VYBER	15	32117	SLUZBY	\N	\N
732443	2503	1994-07-31	VYDAJ	VYBER	15	29236	SLUZBY	\N	\N
732444	2503	1994-08-31	VYDAJ	VYBER	15	30945	SLUZBY	\N	\N
732445	2503	1994-09-30	VYDAJ	VYBER	15	33261	SLUZBY	\N	\N
732446	2503	1994-10-31	VYDAJ	VYBER	15	31984	SLUZBY	\N	\N
732447	2503	1994-11-30	VYDAJ	VYBER	15	31301	SLUZBY	\N	\N
732448	2503	1994-12-31	VYDAJ	VYBER	15	34013	SLUZBY	\N	\N
732449	2503	1995-01-31	VYDAJ	VYBER	15	31836	SLUZBY	\N	\N
732450	2503	1995-02-28	VYDAJ	VYBER	15	32754	SLUZBY	\N	\N
732451	2503	1995-03-31	VYDAJ	VYBER	15	30973	SLUZBY	\N	\N
732452	2503	1995-04-30	VYDAJ	VYBER	15	27323	SLUZBY	\N	\N
732453	2503	1995-05-31	VYDAJ	VYBER	15	31225	SLUZBY	\N	\N
732454	2503	1995-06-30	VYDAJ	VYBER	15	31733	SLUZBY	\N	\N
732455	2503	1995-07-31	VYDAJ	VYBER	15	23099	SLUZBY	\N	\N
732456	2503	1995-08-31	VYDAJ	VYBER	15	27267	SLUZBY	\N	\N
732457	2503	1995-09-30	VYDAJ	VYBER	15	30568	SLUZBY	\N	\N
732458	2503	1995-10-31	VYDAJ	VYBER	15	30377	SLUZBY	\N	\N
732459	2503	1995-11-30	VYDAJ	VYBER	15	32890	SLUZBY	\N	\N
732460	2503	1995-12-31	VYDAJ	VYBER	15	35595	SLUZBY	\N	\N
732461	2503	1996-01-31	VYDAJ	VYBER	15	32625	SLUZBY	\N	\N
732462	2503	1996-02-29	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
732463	2503	1996-03-31	VYDAJ	VYBER	15	34139	SLUZBY	\N	\N
732464	2503	1996-04-30	VYDAJ	VYBER	15	27918	SLUZBY	\N	\N
732465	2503	1996-05-31	VYDAJ	VYBER	15	31020	SLUZBY	\N	\N
732466	2503	1996-06-30	VYDAJ	VYBER	15	37732	SLUZBY	\N	\N
732467	2503	1996-07-31	VYDAJ	VYBER	15	37969	SLUZBY	\N	\N
732468	2503	1996-08-31	VYDAJ	VYBER	15	33135	SLUZBY	\N	\N
732469	2503	1996-09-30	VYDAJ	VYBER	15	31749	SLUZBY	\N	\N
732470	2503	1996-10-31	VYDAJ	VYBER	15	28353	SLUZBY	\N	\N
732471	2503	1996-11-30	VYDAJ	VYBER	15	32372	SLUZBY	\N	\N
732472	2503	1996-12-31	VYDAJ	VYBER	15	29326	SLUZBY	\N	\N
732473	2503	1997-01-31	VYDAJ	VYBER	15	27723	SLUZBY	\N	\N
732474	2503	1997-02-28	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
732475	2503	1997-03-31	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
732476	2503	1997-04-30	VYDAJ	VYBER	15	23212	SLUZBY	\N	\N
732477	2503	1997-05-31	VYDAJ	VYBER	15	23790	SLUZBY	\N	\N
732478	2503	1997-06-30	VYDAJ	VYBER	15	22880	SLUZBY	\N	\N
732479	2503	1997-07-31	VYDAJ	VYBER	15	25962	SLUZBY	\N	\N
732480	2503	1997-08-31	VYDAJ	VYBER	15	18076	SLUZBY	\N	\N
732481	2503	1997-09-30	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
732482	2503	1997-10-31	VYDAJ	VYBER	15	29339	SLUZBY	\N	\N
732483	2503	1997-11-30	VYDAJ	VYBER	15	30446	SLUZBY	\N	\N
732484	2503	1997-12-31	VYDAJ	VYBER	15	31911	SLUZBY	\N	\N
732485	2503	1998-01-31	VYDAJ	VYBER	15	31435	SLUZBY	\N	\N
732486	2503	1998-02-28	VYDAJ	VYBER	15	34459	SLUZBY	\N	\N
732487	2503	1998-03-31	VYDAJ	VYBER	15	37492	SLUZBY	\N	\N
732488	2503	1998-04-30	VYDAJ	VYBER	15	40840	SLUZBY	\N	\N
732489	2503	1998-05-31	VYDAJ	VYBER	15	39478	SLUZBY	\N	\N
732490	2503	1998-06-30	VYDAJ	VYBER	15	31954	SLUZBY	\N	\N
732491	2503	1998-07-31	VYDAJ	VYBER	15	39594	SLUZBY	\N	\N
732492	2503	1998-08-31	VYDAJ	VYBER	15	44158	SLUZBY	\N	\N
732493	2503	1998-09-30	VYDAJ	VYBER	15	45504	SLUZBY	\N	\N
732494	2503	1998-10-31	VYDAJ	VYBER	15	41834	SLUZBY	\N	\N
732495	2503	1998-11-30	VYDAJ	VYBER	15	53835	SLUZBY	\N	\N
732496	2503	1993-04-04	PRIJEM	VKLAD	12900	13500	\N	\N	\N
732497	2503	1993-05-04	PRIJEM	VKLAD	100	23257	\N	\N	\N
732498	2503	1993-06-03	VYDAJ	VYBER	2000	30963	\N	\N	\N
732499	2503	1993-07-03	VYDAJ	VYBER	12000	33506	\N	\N	\N
732500	2503	1993-08-02	VYDAJ	VYBER	8200	35061	\N	\N	\N
732501	2503	1993-09-01	VYDAJ	VYBER	6200	30147	\N	\N	\N
732502	2503	1993-10-01	VYDAJ	VYBER	4700	28876	\N	\N	\N
732503	2503	1993-10-31	VYDAJ	VYBER	4600	27698	\N	\N	\N
732504	2503	1993-11-30	VYDAJ	VYBER	3500	24957	\N	\N	\N
732505	2503	1993-12-30	VYDAJ	VYBER	3200	27759	\N	\N	\N
732506	2503	1994-01-29	VYDAJ	VYBER	2800	28371	\N	\N	\N
732507	2503	1994-02-28	VYDAJ	VYBER	3100	28799	\N	\N	\N
732508	2503	1994-03-30	VYDAJ	VYBER	4500	26260	\N	\N	\N
732509	2503	1994-04-29	VYDAJ	VYBER	3700	25964	\N	\N	\N
732510	2503	1994-05-29	VYDAJ	VYBER	2900	26461	\N	\N	\N
732511	2503	1994-06-28	VYDAJ	VYBER	1800	32003	\N	\N	\N
732512	2503	1994-07-28	VYDAJ	VYBER	6300	29112	\N	\N	\N
732513	2503	1994-08-27	VYDAJ	VYBER	1700	30831	\N	\N	\N
732514	2503	1994-09-26	VYDAJ	VYBER	1100	33140	\N	\N	\N
732515	2503	1994-10-26	VYDAJ	VYBER	4700	31856	\N	\N	\N
732516	2503	1994-11-25	VYDAJ	VYBER	4100	31179	\N	\N	\N
732517	2503	1994-12-25	VYDAJ	VYBER	3100	33883	\N	\N	\N
732518	2503	1995-01-24	VYDAJ	VYBER	5600	31708	\N	\N	\N
732519	2503	1995-02-23	VYDAJ	VYBER	2500	32631	\N	\N	\N
732520	2503	1995-03-25	VYDAJ	VYBER	5200	30849	\N	\N	\N
732521	2503	1995-04-24	VYDAJ	VYBER	3700	30568	\N	\N	\N
732522	2503	1995-05-24	PRIJEM	VKLAD	500	31118	\N	\N	\N
732523	2503	1995-06-23	VYDAJ	VYBER	7700	31607	\N	\N	\N
732524	2503	1995-07-23	VYDAJ	VYBER	6400	28628	\N	\N	\N
732525	2503	1995-08-22	PRIJEM	VKLAD	3300	29694	\N	\N	\N
732526	2503	1995-09-21	VYDAJ	VYBER	100	30462	\N	\N	\N
732527	2503	1995-10-21	VYDAJ	VYBER	3600	30263	\N	\N	\N
732528	2503	1995-11-20	VYDAJ	VYBER	900	32772	\N	\N	\N
732529	2503	1995-12-20	VYDAJ	VYBER	4400	35452	\N	\N	\N
732530	2503	1996-01-19	VYDAJ	VYBER	1600	37290	\N	\N	\N
732531	2503	1996-02-18	PRIJEM	VKLAD	1200	34480	\N	\N	\N
732532	2503	1996-03-19	VYDAJ	VYBER	3900	34009	\N	\N	\N
732533	2503	1996-04-18	VYDAJ	VYBER	4600	32834	\N	\N	\N
732534	2503	1996-05-18	VYDAJ	VYBER	300	30913	\N	\N	\N
732535	2503	1996-06-17	VYDAJ	VYBER	1500	37602	\N	\N	\N
732536	2503	1996-07-17	VYDAJ	VYBER	3200	37827	\N	\N	\N
732537	2503	1996-08-16	VYDAJ	VYBER	3100	33004	\N	\N	\N
732538	2503	1996-09-15	VYDAJ	VYBER	4800	31630	\N	\N	\N
732539	2503	1996-10-15	VYDAJ	VYBER	2600	28244	\N	\N	\N
732540	2503	1996-11-14	PRIJEM	VKLAD	600	38527	\N	\N	\N
732541	2503	1996-12-14	VYDAJ	VYBER	4400	36054	\N	\N	\N
732542	2503	1997-01-13	VYDAJ	VYBER	5000	33900	\N	\N	\N
732543	2503	1997-02-12	VYDAJ	VYBER	8100	29197	\N	\N	\N
732544	2503	1997-03-14	VYDAJ	VYBER	3700	21761	\N	\N	\N
732545	2503	1997-04-13	VYDAJ	VYBER	2000	29413	\N	\N	\N
732546	2503	1997-05-13	VYDAJ	VYBER	1000	31786	\N	\N	\N
732547	2503	1997-06-12	VYDAJ	VYBER	2200	29071	\N	\N	\N
732548	2503	1997-07-12	VYDAJ	VYBER	300	32154	\N	\N	\N
732549	2503	1997-08-11	VYDAJ	VYBER	3700	29076	\N	\N	\N
732550	2503	1997-09-10	PRIJEM	VKLAD	1000	28650	\N	\N	\N
732551	2503	1997-10-10	PRIJEM	VKLAD	3500	35519	\N	\N	\N
732552	2503	1997-11-09	VYDAJ	VYBER	2300	36613	\N	\N	\N
732553	2503	1997-12-09	VYDAJ	VYBER	2900	38067	\N	\N	\N
732554	2503	1998-01-08	PRIJEM	VKLAD	1500	42985	\N	\N	\N
732555	2503	1998-02-07	VYDAJ	VYBER	400	40609	\N	\N	\N
732556	2503	1998-03-09	VYDAJ	VYBER	400	43633	\N	\N	\N
732557	2503	1998-04-08	VYDAJ	VYBER	100	46966	\N	\N	\N
732558	2503	1998-05-08	VYDAJ	VYBER	1100	49314	\N	\N	\N
732559	2503	1998-06-07	VYDAJ	VYBER	1600	48639	\N	\N	\N
732560	2503	1998-07-07	PRIJEM	VKLAD	4200	45728	\N	\N	\N
732561	2503	1998-08-06	PRIJEM	VKLAD	1100	50268	\N	\N	\N
732562	2503	1998-09-05	PRIJEM	VKLAD	400	44558	\N	\N	\N
732563	2503	1998-10-05	VYDAJ	VYBER	2100	52978	\N	\N	\N
732564	2503	1998-11-04	PRIJEM	VKLAD	8500	50334	\N	\N	\N
732565	2503	1998-12-04	PRIJEM	VKLAD	5000	58835	\N	\N	\N
732635	2504	1993-12-09	PRIJEM	VKLAD	300	300	\N	\N	\N
732647	2504	1993-12-14	PRIJEM	VKLAD	35064	35364	\N	\N	\N
732648	2504	1994-01-14	PRIJEM	VKLAD	23376	54126	\N	\N	\N
732649	2504	1994-02-14	PRIJEM	VKLAD	23376	62994	\N	\N	\N
732650	2504	1994-03-14	PRIJEM	VKLAD	23376	66916	\N	\N	\N
732651	2504	1994-04-14	PRIJEM	VKLAD	23376	67764	\N	\N	\N
732652	2504	1994-05-14	PRIJEM	VKLAD	23376	57189	\N	\N	\N
732653	2504	1994-06-14	PRIJEM	VKLAD	35064	63351	\N	\N	\N
732654	2504	1994-07-14	PRIJEM	VKLAD	23376	60525	\N	\N	\N
732655	2504	1994-08-14	PRIJEM	VKLAD	23376	57112	\N	\N	\N
732656	2504	1994-09-14	PRIJEM	VKLAD	23376	55888	\N	\N	\N
732657	2504	1994-10-14	PRIJEM	VKLAD	23376	54662	\N	\N	\N
732658	2504	1994-11-14	PRIJEM	VKLAD	23376	54227	\N	\N	\N
732659	2504	1994-12-14	PRIJEM	VKLAD	35064	66882	\N	\N	\N
732660	2504	1995-01-14	PRIJEM	VKLAD	23376	60778	\N	\N	\N
732661	2504	1995-02-14	PRIJEM	VKLAD	23376	46960	\N	\N	\N
732662	2504	1995-03-14	PRIJEM	VKLAD	23376	53483	\N	\N	\N
732663	2504	1995-04-14	PRIJEM	VKLAD	23376	51433	\N	\N	\N
732664	2504	1995-05-14	PRIJEM	VKLAD	23376	54984	\N	\N	\N
732665	2504	1995-06-14	PRIJEM	VKLAD	35064	50736	\N	\N	\N
732666	2504	1995-07-14	PRIJEM	VKLAD	23376	53663	\N	\N	\N
732667	2504	1995-08-14	PRIJEM	VKLAD	23376	53021	\N	\N	\N
732668	2504	1995-09-14	PRIJEM	VKLAD	23376	48179	\N	\N	\N
732669	2504	1995-10-14	PRIJEM	VKLAD	23376	45819	\N	\N	\N
732670	2504	1995-11-14	PRIJEM	VKLAD	23376	48950	\N	\N	\N
732671	2504	1995-12-14	PRIJEM	VKLAD	35064	59652	\N	\N	\N
732672	2504	1996-01-14	PRIJEM	VKLAD	23376	52087	\N	\N	\N
732673	2504	1996-02-14	PRIJEM	VKLAD	23376	44497	\N	\N	\N
732674	2504	1996-03-14	PRIJEM	VKLAD	23376	43890	\N	\N	\N
732675	2504	1996-04-14	PRIJEM	VKLAD	23376	44882	\N	\N	\N
732676	2504	1996-05-14	PRIJEM	VKLAD	23376	43073	\N	\N	\N
732677	2504	1996-06-14	PRIJEM	VKLAD	35064	53044	\N	\N	\N
732678	2504	1996-07-14	PRIJEM	VKLAD	23376	51647	\N	\N	\N
732679	2504	1996-08-14	PRIJEM	VKLAD	23376	48663	\N	\N	\N
732680	2504	1996-09-14	PRIJEM	VKLAD	23376	47567	\N	\N	\N
732681	2504	1996-10-14	PRIJEM	VKLAD	23376	49764	\N	\N	\N
732682	2504	1996-11-14	PRIJEM	VKLAD	23376	47764	\N	\N	\N
732683	2504	1996-12-14	PRIJEM	VKLAD	35064	56943	\N	\N	\N
732684	2504	1997-01-14	PRIJEM	VKLAD	23376	44741	\N	\N	\N
732685	2504	1997-02-14	PRIJEM	VKLAD	23376	42710	\N	\N	\N
732686	2504	1997-03-14	PRIJEM	VKLAD	23376	36472	\N	\N	\N
732687	2504	1997-04-14	PRIJEM	VKLAD	23376	35115	\N	\N	\N
732688	2504	1997-05-14	PRIJEM	VKLAD	23376	33951	\N	\N	\N
732689	2504	1997-06-14	PRIJEM	VKLAD	35064	48174	\N	\N	\N
732690	2504	1997-07-14	PRIJEM	VKLAD	23376	40531	\N	\N	\N
732691	2504	1997-08-14	PRIJEM	VKLAD	23376	58514	\N	\N	\N
732692	2504	1997-09-14	PRIJEM	VKLAD	23376	42016	\N	\N	\N
732693	2504	1997-10-14	PRIJEM	VKLAD	23376	53998	\N	\N	\N
732694	2504	1997-11-14	PRIJEM	VKLAD	23376	35474	\N	\N	\N
732695	2504	1997-12-14	PRIJEM	VKLAD	35064	65122	\N	\N	\N
732696	2504	1998-01-14	PRIJEM	VKLAD	23376	38106	\N	\N	\N
732697	2504	1998-02-14	PRIJEM	VKLAD	23376	52674	\N	\N	\N
732698	2504	1998-03-14	PRIJEM	VKLAD	23376	69802	\N	\N	\N
732699	2504	1998-04-14	PRIJEM	VKLAD	23376	40516	\N	\N	\N
732700	2504	1998-05-14	PRIJEM	VKLAD	23376	58497	\N	\N	\N
732701	2504	1998-06-14	PRIJEM	VKLAD	35064	63642	\N	\N	\N
732702	2504	1998-07-14	PRIJEM	VKLAD	23376	81712	\N	\N	\N
732703	2504	1998-08-14	PRIJEM	VKLAD	23376	37331	\N	\N	\N
732704	2504	1998-09-14	PRIJEM	VKLAD	23376	55299	\N	\N	\N
732705	2504	1998-10-14	PRIJEM	VKLAD	23376	73340	\N	\N	\N
732706	2504	1998-11-14	PRIJEM	VKLAD	23376	88357	\N	\N	\N
732707	2504	1998-12-14	PRIJEM	VKLAD	35064	61420	\N	\N	\N
732724	2504	1994-05-11	VYDAJ	PREVOD NA UCET	5513	33813	SIPO	KL	41117668
732725	2504	1994-06-11	VYDAJ	PREVOD NA UCET	5513	28287	SIPO	KL	41117668
732726	2504	1994-07-11	VYDAJ	PREVOD NA UCET	5513	37149	SIPO	KL	41117668
732727	2504	1994-08-11	VYDAJ	PREVOD NA UCET	5513	33736	SIPO	KL	41117668
732728	2504	1994-09-11	VYDAJ	PREVOD NA UCET	5513	32512	SIPO	KL	41117668
732729	2504	1994-10-11	VYDAJ	PREVOD NA UCET	5513	31286	SIPO	KL	41117668
732730	2504	1994-11-11	VYDAJ	PREVOD NA UCET	5513	34051	SIPO	KL	41117668
732731	2504	1994-12-11	VYDAJ	PREVOD NA UCET	5513	31818	SIPO	KL	41117668
732732	2504	1995-01-11	VYDAJ	PREVOD NA UCET	5513	37402	SIPO	KL	41117668
732733	2504	1995-02-11	VYDAJ	PREVOD NA UCET	5513	23584	SIPO	KL	41117668
732734	2504	1995-03-11	VYDAJ	PREVOD NA UCET	5513	30107	SIPO	KL	41117668
732735	2504	1995-04-11	VYDAJ	PREVOD NA UCET	5513	28057	SIPO	KL	41117668
732736	2504	1995-05-11	VYDAJ	PREVOD NA UCET	5513	31608	SIPO	KL	41117668
732737	2504	1995-06-11	VYDAJ	PREVOD NA UCET	5513	15672	SIPO	KL	41117668
732738	2504	1995-07-11	VYDAJ	PREVOD NA UCET	5513	30287	SIPO	KL	41117668
732739	2504	1995-08-11	VYDAJ	PREVOD NA UCET	5513	29645	SIPO	KL	41117668
732740	2504	1995-09-11	VYDAJ	PREVOD NA UCET	5513	24803	SIPO	KL	41117668
732741	2504	1995-10-11	VYDAJ	PREVOD NA UCET	5513	22443	SIPO	KL	41117668
732742	2504	1995-11-11	VYDAJ	PREVOD NA UCET	5513	25574	SIPO	KL	41117668
732743	2504	1995-12-11	VYDAJ	PREVOD NA UCET	5513	24588	SIPO	KL	41117668
732744	2504	1996-01-11	VYDAJ	PREVOD NA UCET	5513	28711	SIPO	KL	41117668
732745	2504	1996-02-11	VYDAJ	PREVOD NA UCET	5513	21121	SIPO	KL	41117668
732746	2504	1996-03-11	VYDAJ	PREVOD NA UCET	5513	20514	SIPO	KL	41117668
732747	2504	1996-04-11	VYDAJ	PREVOD NA UCET	5513	21506	SIPO	KL	41117668
732748	2504	1996-05-11	VYDAJ	PREVOD NA UCET	5513	19697	SIPO	KL	41117668
732749	2504	1996-06-11	VYDAJ	PREVOD NA UCET	5513	17980	SIPO	KL	41117668
732750	2504	1996-07-11	VYDAJ	PREVOD NA UCET	5513	28271	SIPO	KL	41117668
732751	2504	1996-08-11	VYDAJ	PREVOD NA UCET	5513	27987	SIPO	KL	41117668
732752	2504	1996-09-11	VYDAJ	PREVOD NA UCET	5513	24191	SIPO	KL	41117668
732753	2504	1996-10-11	VYDAJ	PREVOD NA UCET	5513	26388	SIPO	KL	41117668
732754	2504	1996-11-11	VYDAJ	PREVOD NA UCET	5513	24388	SIPO	KL	41117668
732755	2504	1996-12-11	VYDAJ	PREVOD NA UCET	5513	21879	SIPO	KL	41117668
732756	2504	1997-01-11	VYDAJ	PREVOD NA UCET	5513	21365	SIPO	KL	41117668
732757	2504	1997-02-11	VYDAJ	PREVOD NA UCET	5513	19334	SIPO	KL	41117668
732758	2504	1997-03-11	VYDAJ	PREVOD NA UCET	5513	13096	SIPO	KL	41117668
732759	2504	1997-04-11	VYDAJ	PREVOD NA UCET	5513	11739	SIPO	KL	41117668
732760	2504	1997-05-11	VYDAJ	PREVOD NA UCET	5513	10575	SIPO	KL	41117668
732761	2504	1997-06-11	VYDAJ	PREVOD NA UCET	5513	13110	SIPO	KL	41117668
732762	2504	1997-07-11	VYDAJ	PREVOD NA UCET	5513	17155	SIPO	KL	41117668
732763	2504	1997-08-11	VYDAJ	PREVOD NA UCET	5513	35138	SIPO	KL	41117668
732764	2504	1997-09-11	VYDAJ	PREVOD NA UCET	5513	18640	SIPO	KL	41117668
732765	2504	1997-10-11	VYDAJ	PREVOD NA UCET	5513	30622	SIPO	KL	41117668
732766	2504	1997-11-11	VYDAJ	PREVOD NA UCET	5513	12098	SIPO	KL	41117668
732767	2504	1997-12-11	VYDAJ	PREVOD NA UCET	5513	30058	SIPO	KL	41117668
732768	2504	1998-01-11	VYDAJ	PREVOD NA UCET	5513	14730	SIPO	KL	41117668
732769	2504	1998-02-11	VYDAJ	PREVOD NA UCET	5513	29298	SIPO	KL	41117668
732770	2504	1998-03-11	VYDAJ	PREVOD NA UCET	5513	46426	SIPO	KL	41117668
732771	2504	1998-04-11	VYDAJ	PREVOD NA UCET	5513	17140	SIPO	KL	41117668
732772	2504	1998-05-11	VYDAJ	PREVOD NA UCET	5513	35121	SIPO	KL	41117668
732773	2504	1998-06-11	VYDAJ	PREVOD NA UCET	5513	28578	SIPO	KL	41117668
732774	2504	1998-07-11	VYDAJ	PREVOD NA UCET	5513	58336	SIPO	KL	41117668
732775	2504	1998-08-11	VYDAJ	PREVOD NA UCET	5513	13955	SIPO	KL	41117668
732776	2504	1998-09-11	VYDAJ	PREVOD NA UCET	5513	31923	SIPO	KL	41117668
732777	2504	1998-10-11	VYDAJ	PREVOD NA UCET	5513	49964	SIPO	KL	41117668
732778	2504	1998-11-11	VYDAJ	PREVOD NA UCET	5513	64981	SIPO	KL	41117668
732779	2504	1998-12-11	VYDAJ	PREVOD NA UCET	5513	80356	SIPO	KL	41117668
732781	2504	1994-06-05	VYDAJ	VYBER	6400	48000	\N	\N	\N
732782	2504	1995-06-06	VYDAJ	VYBER	16300	21185	\N	\N	\N
732783	2504	1996-06-06	VYDAJ	VYBER KARTOU	3600	23493	\N	\N	0
732785	2504	1998-06-06	VYDAJ	VYBER	21600	34091	\N	\N	\N
732788	2504	1995-01-23	VYDAJ	VYBER	3200	53178	\N	\N	\N
732789	2504	1996-01-21	VYDAJ	VYBER	6000	43487	\N	\N	\N
732790	2504	1997-01-24	VYDAJ	VYBER	4900	27741	\N	\N	\N
732804	2504	1995-01-30	VYDAJ	VYBER	2700	39678	\N	\N	\N
732805	2504	1995-01-18	VYDAJ	VYBER	1800	58978	\N	\N	\N
732806	2504	1995-01-29	VYDAJ	VYBER	1700	42378	\N	\N	\N
732807	2504	1995-01-26	VYDAJ	VYBER	1800	51378	\N	\N	\N
732808	2504	1995-01-22	VYDAJ	VYBER	2600	56378	\N	\N	\N
732809	2504	1995-01-27	VYDAJ	VYBER	700	48878	\N	\N	\N
732810	2504	1996-01-04	VYDAJ	VYBER KARTOU	2800	35324	\N	\N	0
732811	2504	1996-01-01	VYDAJ	VYBER KARTOU	900	38124	\N	\N	0
732812	2504	1996-01-19	VYDAJ	VYBER KARTOU	2600	49487	\N	\N	0
732813	2504	1996-01-22	VYDAJ	VYBER KARTOU	500	42987	\N	\N	0
732814	2504	1996-01-07	VYDAJ	VYBER KARTOU	1100	34224	\N	\N	0
732815	2504	1996-01-24	VYDAJ	VYBER KARTOU	900	42087	\N	\N	0
732816	2504	1997-01-24	VYDAJ	VYBER KARTOU	2300	25441	\N	\N	0
732817	2504	1997-01-23	VYDAJ	VYBER KARTOU	1800	32641	\N	\N	0
732818	2504	1997-01-17	VYDAJ	VYBER KARTOU	2700	34441	\N	\N	0
732819	2504	1997-01-15	VYDAJ	VYBER KARTOU	2800	37141	\N	\N	0
732820	2504	1997-01-29	VYDAJ	VYBER KARTOU	700	24741	\N	\N	0
732821	2504	1997-01-02	VYDAJ	VYBER KARTOU	2400	26878	\N	\N	0
732822	2504	1998-01-15	VYDAJ	VYBER KARTOU	900	35906	\N	\N	0
732823	2504	1998-01-29	VYDAJ	VYBER KARTOU	500	34706	\N	\N	0
732824	2504	1998-01-05	VYDAJ	VYBER KARTOU	2300	20243	\N	\N	0
732825	2504	1998-01-15	VYDAJ	VYBER KARTOU	1300	36806	\N	\N	0
732826	2504	1998-01-24	VYDAJ	VYBER KARTOU	700	35206	\N	\N	0
732834	2504	1994-05-01	VYDAJ	VYBER	4700	57126	\N	\N	\N
732835	2504	1994-11-13	VYDAJ	VYBER	3200	30851	\N	\N	\N
732836	2504	1994-04-26	VYDAJ	VYBER	4900	62864	\N	\N	\N
732837	2504	1994-06-02	VYDAJ	VYBER	3000	54400	\N	\N	\N
732838	2504	1994-04-26	VYDAJ	VYBER	1300	61564	\N	\N	\N
732839	2504	1994-10-10	VYDAJ	VYBER	1500	36799	\N	\N	\N
732840	2504	1994-07-18	VYDAJ	VYBER	4200	56325	\N	\N	\N
732841	2504	1995-09-10	VYDAJ	VYBER	4200	30316	\N	\N	\N
732842	2504	1995-03-24	VYDAJ	VYBER KARTOU	2800	50683	\N	\N	0
732843	2504	1995-01-26	VYDAJ	VYBER	1800	49578	\N	\N	\N
732844	2504	1995-01-28	VYDAJ	VYBER	4800	44078	\N	\N	\N
732845	2504	1995-08-10	VYDAJ	VYBER KARTOU	1300	35158	\N	\N	0
732846	2504	1995-09-21	VYDAJ	VYBER	4200	43979	\N	\N	\N
732847	2504	1996-08-13	VYDAJ	VYBER KARTOU	2700	25287	\N	\N	0
732848	2504	1996-05-25	VYDAJ	VYBER KARTOU	3600	37273	\N	\N	0
732849	2504	1996-04-28	VYDAJ	VYBER KARTOU	3900	25082	\N	\N	0
732850	2504	1996-05-14	VYDAJ	VYBER KARTOU	2200	40873	\N	\N	0
732851	2504	1996-03-10	VYDAJ	VYBER KARTOU	3800	26027	\N	\N	0
732852	2504	1997-02-24	VYDAJ	VYBER	4600	18510	\N	\N	\N
732853	2504	1997-10-02	VYDAJ	VYBER KARTOU	2000	36135	\N	\N	0
732854	2504	1997-01-14	VYDAJ	VYBER	4800	39941	\N	\N	\N
732856	2504	1997-09-21	VYDAJ	VYBER KARTOU	4000	38016	\N	\N	0
732857	2504	1998-11-26	VYDAJ	VYBER KARTOU	2800	85557	\N	\N	0
732858	2504	1998-06-04	VYDAJ	VYBER KARTOU	3000	55691	\N	\N	0
732859	2504	1998-11-11	VYDAJ	VYBER KARTOU	500	70494	\N	\N	0
732860	2504	1998-02-19	VYDAJ	VYBER KARTOU	900	51774	\N	\N	0
732862	2504	1998-10-30	VYDAJ	VYBER KARTOU	2600	70740	\N	\N	0
732879	2504	1994-04-30	VYDAJ	VYBER	15	61826	SLUZBY	\N	\N
732880	2504	1994-05-31	VYDAJ	VYBER	15	57400	SLUZBY	\N	\N
732881	2504	1994-06-30	VYDAJ	VYBER	15	63562	SLUZBY	\N	\N
732882	2504	1994-07-31	VYDAJ	VYBER	15	56549	SLUZBY	\N	\N
732883	2504	1994-08-31	VYDAJ	VYBER	15	57325	SLUZBY	\N	\N
732884	2504	1994-09-30	VYDAJ	VYBER	15	56099	SLUZBY	\N	\N
732885	2504	1994-10-31	VYDAJ	VYBER	15	54864	SLUZBY	\N	\N
732886	2504	1994-11-30	VYDAJ	VYBER	15	54431	SLUZBY	\N	\N
732887	2504	1994-12-31	VYDAJ	VYBER	15	67115	SLUZBY	\N	\N
732888	2504	1995-01-31	VYDAJ	VYBER	15	39897	SLUZBY	\N	\N
732889	2504	1995-02-28	VYDAJ	VYBER	15	47120	SLUZBY	\N	\N
732890	2504	1995-03-31	VYDAJ	VYBER	15	50870	SLUZBY	\N	\N
732891	2504	1995-04-30	VYDAJ	VYBER	15	51621	SLUZBY	\N	\N
732892	2504	1995-05-31	VYDAJ	VYBER	15	55185	SLUZBY	\N	\N
732893	2504	1995-06-30	VYDAJ	VYBER	15	50900	SLUZBY	\N	\N
732894	2504	1995-07-31	VYDAJ	VYBER	15	53858	SLUZBY	\N	\N
732895	2504	1995-08-31	VYDAJ	VYBER	15	53216	SLUZBY	\N	\N
732896	2504	1995-09-30	VYDAJ	VYBER	15	44156	SLUZBY	\N	\N
732897	2504	1995-10-31	VYDAJ	VYBER	15	31087	SLUZBY	\N	\N
732898	2504	1995-11-30	VYDAJ	VYBER	15	30101	SLUZBY	\N	\N
732899	2504	1995-12-31	VYDAJ	VYBER	15	39024	SLUZBY	\N	\N
732900	2504	1996-01-31	VYDAJ	VYBER	15	26634	SLUZBY	\N	\N
732901	2504	1996-02-29	VYDAJ	VYBER	15	29827	SLUZBY	\N	\N
732902	2504	1996-03-31	VYDAJ	VYBER	15	27019	SLUZBY	\N	\N
732903	2504	1996-04-30	VYDAJ	VYBER	15	25210	SLUZBY	\N	\N
732904	2504	1996-05-31	VYDAJ	VYBER	15	27093	SLUZBY	\N	\N
732905	2504	1996-06-30	VYDAJ	VYBER	15	33784	SLUZBY	\N	\N
732906	2504	1996-07-31	VYDAJ	VYBER	15	33500	SLUZBY	\N	\N
732907	2504	1996-08-31	VYDAJ	VYBER	15	29704	SLUZBY	\N	\N
732908	2504	1996-09-30	VYDAJ	VYBER	15	31901	SLUZBY	\N	\N
732909	2504	1996-10-31	VYDAJ	VYBER	15	29901	SLUZBY	\N	\N
732910	2504	1996-11-30	VYDAJ	VYBER	15	27392	SLUZBY	\N	\N
732911	2504	1996-12-31	VYDAJ	VYBER	15	29278	SLUZBY	\N	\N
732912	2504	1997-01-31	VYDAJ	VYBER	15	24847	SLUZBY	\N	\N
732913	2504	1997-02-28	VYDAJ	VYBER	15	18609	SLUZBY	\N	\N
732914	2504	1997-03-31	VYDAJ	VYBER	15	17252	SLUZBY	\N	\N
732915	2504	1997-04-30	VYDAJ	VYBER	15	16088	SLUZBY	\N	\N
732916	2504	1997-05-31	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
732917	2504	1997-06-30	VYDAJ	VYBER	15	22668	SLUZBY	\N	\N
732918	2504	1997-07-31	VYDAJ	VYBER	15	40651	SLUZBY	\N	\N
732919	2504	1997-08-31	VYDAJ	VYBER	15	24153	SLUZBY	\N	\N
732920	2504	1997-09-30	VYDAJ	VYBER	15	38135	SLUZBY	\N	\N
732921	2504	1997-10-31	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
732922	2504	1997-11-30	VYDAJ	VYBER	15	35571	SLUZBY	\N	\N
732923	2504	1997-12-31	VYDAJ	VYBER	15	22543	SLUZBY	\N	\N
732924	2504	1998-01-31	VYDAJ	VYBER	15	34811	SLUZBY	\N	\N
732925	2504	1998-02-28	VYDAJ	VYBER	15	51939	SLUZBY	\N	\N
732926	2504	1998-03-31	VYDAJ	VYBER	15	22653	SLUZBY	\N	\N
732927	2504	1998-04-30	VYDAJ	VYBER	15	40634	SLUZBY	\N	\N
732928	2504	1998-05-31	VYDAJ	VYBER	15	58691	SLUZBY	\N	\N
732929	2504	1998-06-30	VYDAJ	VYBER	15	63849	SLUZBY	\N	\N
732930	2504	1998-07-31	VYDAJ	VYBER	15	19468	SLUZBY	\N	\N
732931	2504	1998-08-31	VYDAJ	VYBER	15	37436	SLUZBY	\N	\N
732932	2504	1998-09-30	VYDAJ	VYBER	15	55477	SLUZBY	\N	\N
732933	2504	1998-10-31	VYDAJ	VYBER	15	70994	SLUZBY	\N	\N
732934	2504	1998-11-30	VYDAJ	VYBER	15	85869	SLUZBY	\N	\N
732935	2504	1994-01-08	VYDAJ	VYBER	4700	30750	\N	\N	\N
732936	2504	1994-02-07	VYDAJ	VYBER	14700	39618	\N	\N	\N
732937	2504	1994-03-09	VYDAJ	VYBER	19700	43540	\N	\N	\N
732938	2504	1994-04-08	VYDAJ	VYBER	22800	44388	\N	\N	\N
732939	2504	1994-05-08	VYDAJ	VYBER	17800	39326	\N	\N	\N
732940	2504	1994-06-07	VYDAJ	VYBER	14200	33800	\N	\N	\N
732941	2504	1994-07-07	VYDAJ	VYBER	20900	42662	\N	\N	\N
732942	2504	1994-08-06	VYDAJ	VYBER	17300	39249	\N	\N	\N
732943	2504	1994-09-05	VYDAJ	VYBER	19300	38025	\N	\N	\N
732944	2504	1994-10-05	VYDAJ	VYBER	17800	38299	\N	\N	\N
732945	2504	1994-11-04	VYDAJ	VYBER	15300	39564	\N	\N	\N
732946	2504	1994-12-04	VYDAJ	VYBER	17100	37331	\N	\N	\N
732947	2504	1995-01-03	VYDAJ	VYBER	24200	42915	\N	\N	\N
732948	2504	1995-02-02	VYDAJ	VYBER	10800	29097	\N	\N	\N
732949	2504	1995-03-04	VYDAJ	VYBER	11500	35620	\N	\N	\N
732950	2504	1995-04-03	VYDAJ	VYBER	17300	33570	\N	\N	\N
732951	2504	1995-05-03	VYDAJ	VYBER	14500	37121	\N	\N	\N
732952	2504	1995-06-02	VYDAJ	VYBER	17700	37485	\N	\N	\N
732953	2504	1995-07-02	VYDAJ	VYBER	15100	35800	\N	\N	\N
732954	2504	1995-08-01	VYDAJ	VYBER	17400	36458	\N	\N	\N
732955	2504	1995-08-31	VYDAJ	VYBER	18700	34516	\N	\N	\N
732956	2504	1995-09-30	VYDAJ	VYBER	16200	27956	\N	\N	\N
732957	2504	1995-10-30	VYDAJ	VYBER	14900	30919	\N	\N	\N
732958	2504	1995-11-29	VYDAJ	VYBER	19000	29950	\N	\N	\N
732959	2504	1995-12-29	VYDAJ	VYBER	20800	38852	\N	\N	\N
732960	2504	1996-01-28	VYDAJ	VYBER	15600	26487	\N	\N	\N
732961	2504	1996-02-27	VYDAJ	VYBER	14800	29697	\N	\N	\N
732962	2504	1996-03-28	VYDAJ	VYBER	17000	26890	\N	\N	\N
732963	2504	1996-04-27	VYDAJ	VYBER	15900	28982	\N	\N	\N
732964	2504	1996-05-27	VYDAJ	VYBER	10300	26973	\N	\N	\N
732965	2504	1996-06-26	VYDAJ	VYBER	19400	33644	\N	\N	\N
732966	2504	1996-07-26	VYDAJ	VYBER	18300	33347	\N	\N	\N
732967	2504	1996-08-25	VYDAJ	VYBER	19100	29563	\N	\N	\N
732968	2504	1996-09-24	VYDAJ	VYBER	15800	31767	\N	\N	\N
732969	2504	1996-10-24	VYDAJ	VYBER	20000	29764	\N	\N	\N
732970	2504	1996-11-23	VYDAJ	VYBER	20500	27264	\N	\N	\N
732971	2504	1996-12-23	VYDAJ	VYBER	27800	29143	\N	\N	\N
732972	2504	1997-02-21	VYDAJ	VYBER	19600	23110	\N	\N	\N
732973	2504	1997-03-23	VYDAJ	VYBER	19300	17172	\N	\N	\N
732974	2504	1997-04-22	VYDAJ	VYBER	19100	16015	\N	\N	\N
732975	2504	1997-05-22	VYDAJ	VYBER	15400	18551	\N	\N	\N
732976	2504	1997-06-21	VYDAJ	VYBER	25600	22574	\N	\N	\N
732977	2504	1997-08-20	VYDAJ	VYBER	34500	24014	\N	\N	\N
732978	2504	1997-10-19	VYDAJ	VYBER	36500	17498	\N	\N	\N
732979	2504	1997-12-18	VYDAJ	VYBER	42700	22422	\N	\N	\N
732980	2504	1998-03-18	VYDAJ	VYBER	47300	22502	\N	\N	\N
732981	2504	1998-07-16	VYDAJ	VYBER	62400	19312	\N	\N	\N
732982	2504	1998-12-13	VYDAJ	VYBER	54000	26356	\N	\N	\N
733044	2505	1996-05-16	PRIJEM	VKLAD	200	200	\N	\N	\N
733050	2505	1996-06-13	PRIJEM	PREVOD Z UCTU	4431	4631	DUCHOD	KL	8669984
733051	2505	1996-07-13	PRIJEM	PREVOD Z UCTU	4431	9062	DUCHOD	KL	8669984
733052	2505	1996-08-13	PRIJEM	PREVOD Z UCTU	4431	13493	DUCHOD	KL	8669984
733053	2505	1996-09-13	PRIJEM	PREVOD Z UCTU	4431	17924	DUCHOD	KL	8669984
733054	2505	1996-10-13	PRIJEM	PREVOD Z UCTU	4431	22355	DUCHOD	KL	8669984
733055	2505	1996-11-13	PRIJEM	PREVOD Z UCTU	4431	24813	DUCHOD	KL	8669984
733056	2505	1996-12-13	PRIJEM	PREVOD Z UCTU	4431	27368	DUCHOD	KL	8669984
733057	2505	1997-01-13	PRIJEM	PREVOD Z UCTU	4431	22657	DUCHOD	KL	8669984
733058	2505	1997-02-13	PRIJEM	PREVOD Z UCTU	4431	19813	DUCHOD	KL	8669984
733059	2505	1997-03-13	PRIJEM	PREVOD Z UCTU	4431	19704	DUCHOD	KL	8669984
733060	2505	1997-04-13	PRIJEM	PREVOD Z UCTU	4431	20797	DUCHOD	KL	8669984
733061	2505	1997-05-13	PRIJEM	PREVOD Z UCTU	4431	23335	DUCHOD	KL	8669984
733062	2505	1997-06-13	PRIJEM	PREVOD Z UCTU	4431	25884	DUCHOD	KL	8669984
733063	2505	1997-07-13	PRIJEM	PREVOD Z UCTU	4431	20988	DUCHOD	KL	8669984
733064	2505	1997-08-13	PRIJEM	PREVOD Z UCTU	4431	23527	DUCHOD	KL	8669984
733065	2505	1997-09-13	PRIJEM	PREVOD Z UCTU	4431	26076	DUCHOD	KL	8669984
733066	2505	1997-10-13	PRIJEM	PREVOD Z UCTU	4431	28636	DUCHOD	KL	8669984
733067	2505	1997-11-13	PRIJEM	PREVOD Z UCTU	4431	30086	DUCHOD	KL	8669984
733068	2505	1997-12-13	PRIJEM	PREVOD Z UCTU	4431	31564	DUCHOD	KL	8669984
733069	2505	1998-01-13	PRIJEM	PREVOD Z UCTU	4431	31667	DUCHOD	KL	8669984
733070	2505	1998-02-13	PRIJEM	PREVOD Z UCTU	4431	22130	DUCHOD	KL	8669984
733071	2505	1998-03-13	PRIJEM	PREVOD Z UCTU	4431	22432	DUCHOD	KL	8669984
733072	2505	1998-04-13	PRIJEM	PREVOD Z UCTU	4431	21456	DUCHOD	KL	8669984
733073	2505	1998-05-13	PRIJEM	PREVOD Z UCTU	4431	23996	DUCHOD	KL	8669984
733074	2505	1998-06-13	PRIJEM	PREVOD Z UCTU	4431	26547	DUCHOD	KL	8669984
733075	2505	1998-07-13	PRIJEM	PREVOD Z UCTU	4431	23557	DUCHOD	KL	8669984
733076	2505	1998-08-13	PRIJEM	PREVOD Z UCTU	4431	23865	DUCHOD	KL	8669984
733077	2505	1998-09-13	PRIJEM	PREVOD Z UCTU	4431	26415	DUCHOD	KL	8669984
733078	2505	1998-10-13	PRIJEM	PREVOD Z UCTU	4431	28495	DUCHOD	KL	8669984
733079	2505	1998-11-13	PRIJEM	PREVOD Z UCTU	4431	31064	DUCHOD	KL	8669984
733080	2505	1998-12-13	PRIJEM	PREVOD Z UCTU	4431	31560	DUCHOD	KL	8669984
733091	2505	1996-11-12	VYDAJ	PREVOD NA UCET	136	20382	SIPO	WX	57194352
733092	2505	1996-12-12	VYDAJ	PREVOD NA UCET	136	22937	SIPO	WX	57194352
733093	2505	1997-01-12	VYDAJ	PREVOD NA UCET	136	18226	SIPO	WX	57194352
733094	2505	1997-02-12	VYDAJ	PREVOD NA UCET	136	15382	SIPO	WX	57194352
733095	2505	1997-03-12	VYDAJ	PREVOD NA UCET	136	15273	SIPO	WX	57194352
733096	2505	1997-04-12	VYDAJ	PREVOD NA UCET	136	16366	SIPO	WX	57194352
733097	2505	1997-05-12	VYDAJ	PREVOD NA UCET	136	18904	SIPO	WX	57194352
733098	2505	1997-06-12	VYDAJ	PREVOD NA UCET	136	21453	SIPO	WX	57194352
733099	2505	1997-07-12	VYDAJ	PREVOD NA UCET	136	16557	SIPO	WX	57194352
733100	2505	1997-08-12	VYDAJ	PREVOD NA UCET	136	19096	SIPO	WX	57194352
733101	2505	1997-09-12	VYDAJ	PREVOD NA UCET	136	21645	SIPO	WX	57194352
733102	2505	1997-10-12	VYDAJ	PREVOD NA UCET	136	24205	SIPO	WX	57194352
733103	2505	1997-11-12	VYDAJ	PREVOD NA UCET	136	25655	SIPO	WX	57194352
733104	2505	1997-12-12	VYDAJ	PREVOD NA UCET	136	27133	SIPO	WX	57194352
733105	2505	1998-01-12	VYDAJ	PREVOD NA UCET	136	27236	SIPO	WX	57194352
733106	2505	1998-02-12	VYDAJ	PREVOD NA UCET	136	17699	SIPO	WX	57194352
733107	2505	1998-03-12	VYDAJ	PREVOD NA UCET	136	18001	SIPO	WX	57194352
733108	2505	1998-04-12	VYDAJ	PREVOD NA UCET	136	17025	SIPO	WX	57194352
733109	2505	1998-05-12	VYDAJ	PREVOD NA UCET	136	19565	SIPO	WX	57194352
733110	2505	1998-06-12	VYDAJ	PREVOD NA UCET	136	22116	SIPO	WX	57194352
733111	2505	1998-07-12	VYDAJ	PREVOD NA UCET	136	19126	SIPO	WX	57194352
733112	2505	1998-08-12	VYDAJ	PREVOD NA UCET	136	19434	SIPO	WX	57194352
733113	2505	1998-09-12	VYDAJ	PREVOD NA UCET	136	21984	SIPO	WX	57194352
733114	2505	1998-10-12	VYDAJ	PREVOD NA UCET	136	24064	SIPO	WX	57194352
733115	2505	1998-11-12	VYDAJ	PREVOD NA UCET	136	26633	SIPO	WX	57194352
733116	2505	1998-12-12	VYDAJ	PREVOD NA UCET	136	27129	SIPO	WX	57194352
733127	2505	1996-11-11	VYDAJ	PREVOD NA UCET	1825	20518	 	KL	87996345
733128	2505	1996-12-11	VYDAJ	PREVOD NA UCET	1825	23073	 	KL	87996345
733129	2505	1997-01-11	VYDAJ	PREVOD NA UCET	1825	18362	 	KL	87996345
733130	2505	1997-02-11	VYDAJ	PREVOD NA UCET	1825	15518	 	KL	87996345
733131	2505	1997-03-11	VYDAJ	PREVOD NA UCET	1825	15409	 	KL	87996345
733132	2505	1997-04-11	VYDAJ	PREVOD NA UCET	1825	16502	 	KL	87996345
733133	2505	1997-05-11	VYDAJ	PREVOD NA UCET	1825	19040	 	KL	87996345
733134	2505	1997-06-11	VYDAJ	PREVOD NA UCET	1825	21589	 	KL	87996345
733135	2505	1997-07-11	VYDAJ	PREVOD NA UCET	1825	16693	 	KL	87996345
733136	2505	1997-08-11	VYDAJ	PREVOD NA UCET	1825	19232	 	KL	87996345
733137	2505	1997-09-11	VYDAJ	PREVOD NA UCET	1825	21781	 	KL	87996345
733138	2505	1997-10-11	VYDAJ	PREVOD NA UCET	1825	24341	 	KL	87996345
733139	2505	1997-11-11	VYDAJ	PREVOD NA UCET	1825	25791	 	KL	87996345
733140	2505	1997-12-11	VYDAJ	PREVOD NA UCET	1825	28369	 	KL	87996345
733141	2505	1998-01-11	VYDAJ	PREVOD NA UCET	1825	27372	 	KL	87996345
733142	2505	1998-02-11	VYDAJ	PREVOD NA UCET	1825	17835	 	KL	87996345
733143	2505	1998-03-11	VYDAJ	PREVOD NA UCET	1825	18137	 	KL	87996345
733144	2505	1998-04-11	VYDAJ	PREVOD NA UCET	1825	17161	 	KL	87996345
733145	2505	1998-05-11	VYDAJ	PREVOD NA UCET	1825	19701	 	KL	87996345
733146	2505	1998-06-11	VYDAJ	PREVOD NA UCET	1825	22252	 	KL	87996345
733147	2505	1998-07-11	VYDAJ	PREVOD NA UCET	1825	19262	 	KL	87996345
733148	2505	1998-08-11	VYDAJ	PREVOD NA UCET	1825	19570	 	KL	87996345
733149	2505	1998-09-11	VYDAJ	PREVOD NA UCET	1825	22120	 	KL	87996345
733150	2505	1998-10-11	VYDAJ	PREVOD NA UCET	1825	24200	 	KL	87996345
733151	2505	1998-11-11	VYDAJ	PREVOD NA UCET	1825	26769	 	KL	87996345
733152	2505	1998-12-11	VYDAJ	PREVOD NA UCET	1825	27265	 	KL	87996345
733154	2505	1997-06-27	VYDAJ	VYBER	7450	18434	\N	\N	\N
733155	2505	1998-06-29	VYDAJ	VYBER	5550	20997	\N	\N	\N
733157	2505	1997-01-20	VYDAJ	VYBER	500	18237	\N	\N	\N
733158	2505	1998-01-21	VYDAJ	VYBER	3300	20767	\N	\N	\N
733159	2505	1996-12-17	VYDAJ	VYBER	550	26818	\N	\N	\N
733160	2505	1997-12-11	VYDAJ	VYBER	1100	27269	\N	\N	\N
733161	2505	1998-12-29	VYDAJ	VYBER	650	27070	\N	\N	\N
733168	2505	1997-01-26	VYDAJ	VYBER	560	17677	\N	\N	\N
733169	2505	1997-01-28	VYDAJ	VYBER	400	17277	\N	\N	\N
733170	2505	1997-01-01	VYDAJ	VYBER	2240	22027	\N	\N	\N
733171	2505	1997-01-16	VYDAJ	VYBER	2160	20497	\N	\N	\N
733172	2505	1997-01-02	VYDAJ	VYBER	1840	20187	\N	\N	\N
733173	2505	1997-01-17	VYDAJ	VYBER	1760	18737	\N	\N	\N
733174	2505	1998-01-19	VYDAJ	VYBER	1680	24067	\N	\N	\N
733175	2505	1998-01-18	VYDAJ	VYBER	1200	28707	\N	\N	\N
733176	2505	1998-01-05	VYDAJ	VYBER	720	29197	\N	\N	\N
733177	2505	1998-01-13	VYDAJ	VYBER	960	30707	\N	\N	\N
733178	2505	1998-01-23	VYDAJ	VYBER	1200	19567	\N	\N	\N
733179	2505	1998-01-05	VYDAJ	VYBER	800	29917	\N	\N	\N
733180	2505	1996-12-18	VYDAJ	VYBER	2640	24178	\N	\N	\N
733182	2505	1997-02-24	VYDAJ	VYBER	2640	17173	\N	\N	\N
733183	2505	1997-11-04	VYDAJ	VYBER	1120	27616	\N	\N	\N
733184	2505	1997-03-19	VYDAJ	VYBER	560	19144	\N	\N	\N
733185	2505	1997-04-08	VYDAJ	VYBER	880	18327	\N	\N	\N
733186	2505	1997-12-29	VYDAJ	VYBER	960	30604	\N	\N	\N
733187	2505	1998-01-16	VYDAJ	VYBER	800	29907	\N	\N	\N
733188	2505	1998-12-27	VYDAJ	VYBER	3840	27720	\N	\N	\N
733189	2505	1998-11-15	VYDAJ	VYBER	2080	28984	\N	\N	\N
733190	2505	1998-01-18	VYDAJ	VYBER	2960	25747	\N	\N	\N
733191	2505	1998-07-29	VYDAJ	VYBER	2240	21317	\N	\N	\N
733192	2505	1998-02-27	VYDAJ	VYBER	2240	19890	\N	\N	\N
733193	2505	1998-09-15	VYDAJ	VYBER	480	25935	\N	\N	\N
733194	2505	1998-03-31	VYDAJ	VYBER	3520	19000	\N	\N	\N
733205	2505	1996-10-31	VYDAJ	VYBER	15	22343	SLUZBY	\N	\N
733206	2505	1996-11-30	VYDAJ	VYBER	15	24898	SLUZBY	\N	\N
733207	2505	1996-12-31	VYDAJ	VYBER	15	24267	SLUZBY	\N	\N
733208	2505	1997-01-31	VYDAJ	VYBER	15	17343	SLUZBY	\N	\N
733209	2505	1997-02-28	VYDAJ	VYBER	15	17234	SLUZBY	\N	\N
733210	2505	1997-03-31	VYDAJ	VYBER	15	19207	SLUZBY	\N	\N
733211	2505	1997-04-30	VYDAJ	VYBER	15	20865	SLUZBY	\N	\N
733212	2505	1997-05-31	VYDAJ	VYBER	15	23414	SLUZBY	\N	\N
733213	2505	1997-06-30	VYDAJ	VYBER	15	18518	SLUZBY	\N	\N
733214	2505	1997-07-31	VYDAJ	VYBER	15	21057	SLUZBY	\N	\N
733215	2505	1997-08-31	VYDAJ	VYBER	15	23606	SLUZBY	\N	\N
733216	2505	1997-09-30	VYDAJ	VYBER	15	26166	SLUZBY	\N	\N
733217	2505	1997-10-31	VYDAJ	VYBER	15	28736	SLUZBY	\N	\N
733218	2505	1997-11-30	VYDAJ	VYBER	15	30194	SLUZBY	\N	\N
733219	2505	1997-12-31	VYDAJ	VYBER	15	30717	SLUZBY	\N	\N
733220	2505	1998-01-31	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
733221	2505	1998-02-28	VYDAJ	VYBER	15	19962	SLUZBY	\N	\N
733222	2505	1998-03-31	VYDAJ	VYBER	15	18986	SLUZBY	\N	\N
733223	2505	1998-04-30	VYDAJ	VYBER	15	21526	SLUZBY	\N	\N
733224	2505	1998-05-31	VYDAJ	VYBER	15	24077	SLUZBY	\N	\N
733225	2505	1998-06-30	VYDAJ	VYBER	15	21087	SLUZBY	\N	\N
733226	2505	1998-07-31	VYDAJ	VYBER	15	21395	SLUZBY	\N	\N
733227	2505	1998-08-31	VYDAJ	VYBER	15	23945	SLUZBY	\N	\N
733228	2505	1998-09-30	VYDAJ	VYBER	15	26025	SLUZBY	\N	\N
733229	2505	1998-10-31	VYDAJ	VYBER	15	28594	SLUZBY	\N	\N
733230	2505	1998-11-30	VYDAJ	VYBER	15	29090	SLUZBY	\N	\N
733258	2506	1996-07-12	PRIJEM	VKLAD	400	400	\N	\N	\N
733260	2506	1996-11-07	PRIJEM	VKLAD	25648	116122	\N	\N	\N
733262	2506	1996-11-06	PRIJEM	VKLAD	32834	90474	\N	\N	\N
733265	2506	1996-07-21	PRIJEM	VKLAD	32918	33318	\N	\N	\N
733267	2506	1996-11-02	PRIJEM	VKLAD	25478	57640	\N	\N	\N
733268	2506	1996-09-08	PRIJEM	VKLAD	21381	58490	\N	\N	\N
733269	2506	1996-07-31	PRIJEM	VKLAD	14540	47858	\N	\N	\N
733271	2506	1997-01-15	PRIJEM	VKLAD	22458	31928	\N	\N	\N
733272	2506	1997-06-30	PRIJEM	VKLAD	14570	41881	\N	\N	\N
733273	2506	1997-09-30	PRIJEM	VKLAD	35254	54064	\N	\N	\N
733274	2506	1997-10-05	PRIJEM	VKLAD	34038	88102	\N	\N	\N
733275	2506	1997-01-24	PRIJEM	VKLAD	24251	43279	\N	\N	\N
733276	2506	1997-11-01	PRIJEM	VKLAD	14049	71498	\N	\N	\N
733277	2506	1997-10-19	PRIJEM	VKLAD	15666	65992	\N	\N	\N
733278	2506	1997-03-05	PRIJEM	VKLAD	38671	101191	\N	\N	\N
733279	2506	1997-03-16	PRIJEM	VKLAD	29255	84470	\N	\N	\N
733280	2506	1997-02-09	PRIJEM	VKLAD	43837	67318	\N	\N	\N
733281	2506	1997-05-27	PRIJEM	VKLAD	11517	42202	\N	\N	\N
733282	2506	1997-12-05	PRIJEM	VKLAD	26164	58726	\N	\N	\N
733283	2506	1997-02-11	PRIJEM	VKLAD	5149	72467	\N	\N	\N
733284	2506	1997-03-17	PRIJEM	VKLAD	38038	122508	\N	\N	\N
733285	2506	1997-08-04	PRIJEM	VKLAD	14744	51427	\N	\N	\N
733286	2506	1997-05-15	PRIJEM	VKLAD	13940	30685	\N	\N	\N
733287	2506	1997-11-01	PRIJEM	VKLAD	18751	90249	\N	\N	\N
733288	2506	1997-07-16	PRIJEM	VKLAD	13022	36627	\N	\N	\N
733289	2506	1998-05-26	PRIJEM	VKLAD	6943	63982	\N	\N	\N
733290	2506	1998-08-19	PRIJEM	VKLAD	31967	83786	\N	\N	\N
733291	2506	1998-11-19	PRIJEM	VKLAD	18881	31794	\N	\N	\N
733292	2506	1998-11-24	PRIJEM	VKLAD	28865	60659	\N	\N	\N
733293	2506	1998-02-11	PRIJEM	VKLAD	31058	52896	\N	\N	\N
733294	2506	1998-05-18	PRIJEM	VKLAD	49360	70619	\N	\N	\N
733295	2506	1998-05-19	PRIJEM	VKLAD	43620	114239	\N	\N	\N
733296	2506	1998-06-02	PRIJEM	VKLAD	10387	74513	\N	\N	\N
733297	2506	1998-06-19	PRIJEM	VKLAD	34608	67845	\N	\N	\N
733298	2506	1998-08-20	PRIJEM	VKLAD	34942	118728	\N	\N	\N
733299	2506	1998-07-04	PRIJEM	VKLAD	36598	97631	\N	\N	\N
733300	2506	1998-12-01	PRIJEM	VKLAD	16844	59143	\N	\N	\N
733301	2506	1998-02-25	PRIJEM	VKLAD	44596	87881	\N	\N	\N
733302	2506	1998-09-13	PRIJEM	VKLAD	6753	97543	\N	\N	\N
733303	2506	1998-12-10	PRIJEM	VKLAD	25172	84315	\N	\N	\N
733304	2506	1998-06-24	PRIJEM	VKLAD	24438	92283	\N	\N	\N
733305	2506	1998-12-14	PRIJEM	VKLAD	26855	101094	\N	\N	\N
733306	2506	1998-07-29	PRIJEM	VKLAD	17287	94117	\N	\N	\N
733307	2506	1998-09-10	PRIJEM	VKLAD	31774	90790	\N	\N	\N
733308	2506	1998-02-23	PRIJEM	VKLAD	10077	52897	\N	\N	\N
733309	2506	1998-03-25	PRIJEM	VKLAD	43546	88719	\N	\N	\N
733320	2506	1996-11-13	VYDAJ	PREVOD NA UCET	10076	35346	SIPO	AB	40525519
733321	2506	1996-12-13	VYDAJ	PREVOD NA UCET	10076	16347	SIPO	AB	40525519
733322	2506	1997-01-13	VYDAJ	PREVOD NA UCET	10076	9470	SIPO	AB	40525519
733323	2506	1997-02-13	VYDAJ	PREVOD NA UCET	10076	62391	SIPO	AB	40525519
733324	2506	1997-03-13	VYDAJ	PREVOD NA UCET	10076	55215	SIPO	AB	40525519
733325	2506	1997-04-13	VYDAJ	PREVOD NA UCET	10076	53164	SIPO	AB	40525519
733326	2506	1997-05-13	VYDAJ	PREVOD NA UCET	10076	16745	SIPO	AB	40525519
733327	2506	1997-06-13	VYDAJ	PREVOD NA UCET	10076	27171	SIPO	AB	40525519
733328	2506	1997-07-13	VYDAJ	PREVOD NA UCET	10076	23605	SIPO	AB	40525519
733329	2506	1997-08-13	VYDAJ	PREVOD NA UCET	10076	28951	SIPO	AB	40525519
733330	2506	1997-09-13	VYDAJ	PREVOD NA UCET	10076	18810	SIPO	AB	40525519
733331	2506	1997-10-13	VYDAJ	PREVOD NA UCET	10076	50326	SIPO	AB	40525519
733332	2506	1997-11-13	VYDAJ	PREVOD NA UCET	10076	36073	SIPO	AB	40525519
733333	2506	1997-12-13	VYDAJ	PREVOD NA UCET	10076	32885	SIPO	AB	40525519
733334	2506	1998-01-13	VYDAJ	PREVOD NA UCET	10076	14659	SIPO	AB	40525519
733335	2506	1998-02-13	VYDAJ	PREVOD NA UCET	10076	42820	SIPO	AB	40525519
733336	2506	1998-03-13	VYDAJ	PREVOD NA UCET	10076	45173	SIPO	AB	40525519
733337	2506	1998-04-13	VYDAJ	PREVOD NA UCET	10076	38125	SIPO	AB	40525519
733338	2506	1998-05-13	VYDAJ	PREVOD NA UCET	10076	21259	SIPO	AB	40525519
733339	2506	1998-06-13	VYDAJ	PREVOD NA UCET	10076	33237	SIPO	AB	40525519
733340	2506	1998-07-13	VYDAJ	PREVOD NA UCET	10076	87555	SIPO	AB	40525519
733341	2506	1998-08-13	VYDAJ	PREVOD NA UCET	10076	51819	SIPO	AB	40525519
733342	2506	1998-09-13	VYDAJ	PREVOD NA UCET	10076	87467	SIPO	AB	40525519
733343	2506	1998-10-13	VYDAJ	PREVOD NA UCET	10076	38003	SIPO	AB	40525519
733344	2506	1998-11-13	VYDAJ	PREVOD NA UCET	10076	12913	SIPO	AB	40525519
733345	2506	1998-12-13	VYDAJ	PREVOD NA UCET	10076	74239	SIPO	AB	40525519
733350	2506	1997-10-30	VYBER	VYBER	8690	57302	\N	\N	\N
733352	2506	1997-12-09	VYBER	VYBER	15765	42961	\N	\N	\N
733353	2506	1997-05-01	VYBER	VYBER	20029	27621	\N	\N	\N
733357	2506	1998-04-09	VYBER	VYBER	5009	48201	\N	\N	\N
733358	2506	1998-02-24	VYBER	VYBER	9612	43285	\N	\N	\N
733359	2506	1998-07-27	VYBER	VYBER	10725	76830	\N	\N	\N
733365	2506	1998-01-12	VYDAJ	VYBER	3000	24735	\N	\N	\N
733367	2506	1997-12-24	VYDAJ	VYBER	6900	25985	\N	\N	\N
733368	2506	1998-12-24	VYDAJ	VYBER	8400	92694	\N	\N	\N
733380	2506	1997-01-24	VYDAJ	VYBER	7800	35479	\N	\N	\N
733391	2506	1997-11-06	VYDAJ	VYBER	13200	46149	\N	\N	\N
733392	2506	1997-04-19	VYDAJ	VYBER	5700	47464	\N	\N	\N
733393	2506	1997-02-04	VYDAJ	VYBER	9300	26181	\N	\N	\N
733394	2506	1997-01-18	VYDAJ	VYBER	12900	19028	\N	\N	\N
733395	2506	1998-03-27	VYDAJ	VYBER	9300	79419	\N	\N	\N
733396	2506	1998-08-31	VYDAJ	VYBER	7800	59116	\N	\N	\N
733397	2506	1998-10-01	VYDAJ	VYBER	8400	48079	\N	\N	\N
733398	2506	1998-06-09	VYDAJ	VYBER	10800	43313	\N	\N	\N
733399	2506	1998-11-06	VYDAJ	VYBER	9600	22989	\N	\N	\N
733411	2506	1996-11-30	VYDAJ	VYBER	100	35423	SLUZBY	\N	\N
733412	2506	1996-12-31	VYDAJ	VYBER	100	16346	SLUZBY	\N	\N
733413	2506	1997-01-31	VYDAJ	VYBER	100	35481	SLUZBY	\N	\N
733414	2506	1997-02-28	VYDAJ	VYBER	100	62520	SLUZBY	\N	\N
733415	2506	1997-03-31	VYDAJ	VYBER	100	97540	SLUZBY	\N	\N
733416	2506	1997-04-30	VYDAJ	VYBER	100	47650	SLUZBY	\N	\N
733417	2506	1997-05-31	VYDAJ	VYBER	100	42247	SLUZBY	\N	\N
733418	2506	1997-06-30	VYDAJ	VYBER	100	41781	SLUZBY	\N	\N
733419	2506	1997-07-31	VYDAJ	VYBER	100	36683	SLUZBY	\N	\N
733420	2506	1997-08-31	VYDAJ	VYBER	100	28986	SLUZBY	\N	\N
733421	2506	1997-09-30	VYDAJ	VYBER	100	54064	SLUZBY	\N	\N
733422	2506	1997-10-31	VYDAJ	VYBER	100	57449	SLUZBY	\N	\N
733423	2506	1997-11-30	VYDAJ	VYBER	100	36162	SLUZBY	\N	\N
733424	2506	1997-12-31	VYDAJ	VYBER	100	26035	SLUZBY	\N	\N
733425	2506	1998-01-31	VYDAJ	VYBER	100	14638	SLUZBY	\N	\N
733426	2506	1998-02-28	VYDAJ	VYBER	100	87949	SLUZBY	\N	\N
733427	2506	1998-03-31	VYDAJ	VYBER	100	79610	SLUZBY	\N	\N
733428	2506	1998-04-30	VYDAJ	VYBER	100	38235	SLUZBY	\N	\N
733429	2506	1998-05-31	VYDAJ	VYBER	100	64126	SLUZBY	\N	\N
733430	2506	1998-06-30	VYDAJ	VYBER	100	92433	SLUZBY	\N	\N
733431	2506	1998-07-31	VYDAJ	VYBER	100	94395	SLUZBY	\N	\N
733432	2506	1998-08-31	VYDAJ	VYBER	100	59016	SLUZBY	\N	\N
733433	2506	1998-09-30	VYDAJ	VYBER	100	56479	SLUZBY	\N	\N
733434	2506	1998-10-31	VYDAJ	VYBER	100	32589	SLUZBY	\N	\N
733435	2506	1998-11-30	VYDAJ	VYBER	100	42299	SLUZBY	\N	\N
733436	2506	1996-08-11	VYDAJ	VYBER	11000	36909	\N	\N	\N
733437	2506	1996-09-10	VYDAJ	VYBER	14300	44190	\N	\N	\N
733438	2506	1996-10-10	VYDAJ	VYBER	12400	31978	\N	\N	\N
733439	2506	1996-11-07	VYDAJ	VYBER	46200	69922	\N	\N	\N
733440	2506	1996-11-09	VYDAJ	VYBER	24500	45422	\N	\N	\N
733441	2506	1996-12-09	VYDAJ	VYBER	9000	26423	\N	\N	\N
733442	2506	1997-01-08	PRIJEM	VKLAD	3200	19546	\N	\N	\N
733443	2506	1997-02-07	VYDAJ	VYBER	2700	23481	\N	\N	\N
733444	2506	1997-03-09	VYDAJ	VYBER	35900	65291	\N	\N	\N
733445	2506	1997-03-17	VYDAJ	VYBER	25200	97308	\N	\N	\N
733446	2506	1997-04-08	VYDAJ	VYBER	34300	63240	\N	\N	\N
733447	2506	1997-05-08	VYDAJ	VYBER	800	26821	\N	\N	\N
733448	2506	1997-06-07	VYDAJ	VYBER	5000	37247	\N	\N	\N
733449	2506	1997-07-07	VYDAJ	VYBER	8100	33681	\N	\N	\N
733450	2506	1997-08-06	VYDAJ	VYBER	12400	39027	\N	\N	\N
733451	2506	1997-09-05	VYDAJ	VYBER	100	28886	\N	\N	\N
733452	2506	1997-10-05	VYDAJ	VYBER	27700	60402	\N	\N	\N
733453	2506	1997-11-04	VYDAJ	VYBER	30900	59349	\N	\N	\N
733454	2506	1997-12-04	VYDAJ	VYBER	3600	32562	\N	\N	\N
733455	2506	1998-01-03	PRIJEM	VKLAD	1700	27735	\N	\N	\N
733456	2506	1998-02-02	PRIJEM	VKLAD	7200	21838	\N	\N	\N
733457	2506	1998-03-04	VYDAJ	VYBER	32700	55249	\N	\N	\N
733458	2506	1998-04-03	VYDAJ	VYBER	26400	53210	\N	\N	\N
733459	2506	1998-05-03	VYDAJ	VYBER	6900	31335	\N	\N	\N
733460	2506	1998-05-19	VYDAJ	VYBER	57200	57039	\N	\N	\N
733461	2506	1998-06-02	VYDAJ	VYBER	20400	54113	\N	\N	\N
733462	2506	1998-07-02	VYDAJ	VYBER	31400	61033	\N	\N	\N
733463	2506	1998-08-01	VYDAJ	VYBER	32500	61895	\N	\N	\N
733464	2506	1998-08-20	VYDAJ	VYBER	20800	97928	\N	\N	\N
733465	2506	1998-08-31	VYDAJ	VYBER	31400	66916	\N	\N	\N
733466	2506	1998-09-30	VYDAJ	VYBER	31200	56579	\N	\N	\N
733467	2506	1998-10-30	VYDAJ	VYBER	5500	32503	\N	\N	\N
733468	2506	1998-11-29	VYDAJ	VYBER	18400	42259	\N	\N	\N
733499	2507	1996-12-28	PRIJEM	VKLAD	700	700	\N	\N	\N
733512	2507	1997-01-14	PRIJEM	VKLAD	6834	7534	\N	\N	\N
733513	2507	1997-02-14	PRIJEM	VKLAD	6834	19677	\N	\N	\N
733514	2507	1997-03-14	PRIJEM	VKLAD	6834	28568	\N	\N	\N
733515	2507	1997-04-14	PRIJEM	VKLAD	6834	33995	\N	\N	\N
733516	2507	1997-05-14	PRIJEM	VKLAD	6834	31841	\N	\N	\N
733517	2507	1997-06-14	PRIJEM	VKLAD	10251	26024	\N	\N	\N
733518	2507	1997-07-14	PRIJEM	VKLAD	6834	24083	\N	\N	\N
733519	2507	1997-08-14	PRIJEM	VKLAD	6834	27732	\N	\N	\N
733520	2507	1997-09-14	PRIJEM	VKLAD	6834	25891	\N	\N	\N
733521	2507	1997-10-14	PRIJEM	VKLAD	6834	27638	\N	\N	\N
733522	2507	1997-11-14	PRIJEM	VKLAD	6834	30294	\N	\N	\N
733523	2507	1997-12-14	PRIJEM	VKLAD	10251	37987	\N	\N	\N
733524	2507	1998-01-14	PRIJEM	VKLAD	6834	34085	\N	\N	\N
733525	2507	1998-02-14	PRIJEM	VKLAD	6834	25768	\N	\N	\N
733526	2507	1998-03-14	PRIJEM	VKLAD	6834	31230	\N	\N	\N
733527	2507	1998-04-14	PRIJEM	VKLAD	6834	34199	\N	\N	\N
733528	2507	1998-05-14	PRIJEM	VKLAD	6834	37788	\N	\N	\N
733529	2507	1998-06-14	PRIJEM	VKLAD	10251	41905	\N	\N	\N
733530	2507	1998-07-14	PRIJEM	VKLAD	6834	36503	\N	\N	\N
733531	2507	1998-08-14	PRIJEM	VKLAD	6834	35891	\N	\N	\N
733532	2507	1998-09-14	PRIJEM	VKLAD	6834	33472	\N	\N	\N
733533	2507	1998-10-14	PRIJEM	VKLAD	6834	30547	\N	\N	\N
733534	2507	1998-11-14	PRIJEM	VKLAD	6834	34019	\N	\N	\N
733535	2507	1998-12-14	PRIJEM	VKLAD	10251	33209	\N	\N	\N
733552	2507	1997-05-14	VYDAJ	PREVOD NA UCET	4556	27285	SIPO	ST	59955376
733553	2507	1997-06-14	VYDAJ	PREVOD NA UCET	4556	21468	SIPO	ST	59955376
733554	2507	1997-07-14	VYDAJ	PREVOD NA UCET	4556	19527	SIPO	ST	59955376
733555	2507	1997-08-14	VYDAJ	PREVOD NA UCET	4556	23176	SIPO	ST	59955376
733556	2507	1997-09-14	VYDAJ	PREVOD NA UCET	4556	21335	SIPO	ST	59955376
733557	2507	1997-10-14	VYDAJ	PREVOD NA UCET	4556	23082	SIPO	ST	59955376
733558	2507	1997-11-14	VYDAJ	PREVOD NA UCET	4556	25738	SIPO	ST	59955376
733559	2507	1997-12-14	VYDAJ	PREVOD NA UCET	4556	33431	SIPO	ST	59955376
733560	2507	1998-01-14	VYDAJ	PREVOD NA UCET	4556	29529	SIPO	ST	59955376
733561	2507	1998-02-14	VYDAJ	PREVOD NA UCET	4556	21212	SIPO	ST	59955376
733562	2507	1998-03-14	VYDAJ	PREVOD NA UCET	4556	26674	SIPO	ST	59955376
733563	2507	1998-04-14	VYDAJ	PREVOD NA UCET	4556	29643	SIPO	ST	59955376
733564	2507	1998-05-14	VYDAJ	PREVOD NA UCET	4556	33232	SIPO	ST	59955376
733565	2507	1998-06-14	VYDAJ	PREVOD NA UCET	4556	37349	SIPO	ST	59955376
733566	2507	1998-07-14	VYDAJ	PREVOD NA UCET	4556	31947	SIPO	ST	59955376
733567	2507	1998-08-14	VYDAJ	PREVOD NA UCET	4556	31335	SIPO	ST	59955376
733568	2507	1998-09-14	VYDAJ	PREVOD NA UCET	4556	28916	SIPO	ST	59955376
733569	2507	1998-10-14	VYDAJ	PREVOD NA UCET	4556	25991	SIPO	ST	59955376
733570	2507	1998-11-14	VYDAJ	PREVOD NA UCET	4556	29463	SIPO	ST	59955376
733571	2507	1998-12-14	VYDAJ	PREVOD NA UCET	4556	28653	SIPO	ST	59955376
733573	2507	1997-06-26	VYDAJ	VYBER	8800	17168	\N	\N	\N
733577	2507	1998-01-10	VYDAJ	VYBER	2900	27251	\N	\N	\N
733579	2507	1997-12-04	VYDAJ	VYBER	1200	27736	\N	\N	\N
733580	2507	1998-12-06	VYDAJ	VYBER	1800	22958	\N	\N	\N
733593	2507	1998-01-25	VYDAJ	VYBER	1600	25229	\N	\N	\N
733594	2507	1998-01-25	VYDAJ	VYBER	2700	26829	\N	\N	\N
733595	2507	1998-01-19	VYDAJ	VYBER	1600	27929	\N	\N	\N
733596	2507	1998-01-30	VYDAJ	VYBER	1500	23729	\N	\N	\N
733597	2507	1998-01-01	VYDAJ	VYBER	1300	30951	\N	\N	\N
733598	2507	1998-01-03	VYDAJ	VYBER	800	30151	\N	\N	\N
733604	2507	1997-05-19	VYDAJ	VYBER	2000	25285	\N	\N	\N
733605	2507	1997-08-25	VYDAJ	VYBER	4200	18976	\N	\N	\N
733606	2507	1997-06-07	VYDAJ	VYBER	4100	15773	\N	\N	\N
733608	2507	1998-03-18	VYDAJ	VYBER	2900	23774	\N	\N	\N
733609	2507	1998-02-27	VYDAJ	VYBER	1600	24312	\N	\N	\N
733610	2507	1998-02-02	VYDAJ	VYBER	4900	18934	\N	\N	\N
733611	2507	1998-09-22	VYDAJ	VYBER	2300	23616	\N	\N	\N
733629	2507	1997-05-31	VYDAJ	VYBER	15	19873	SLUZBY	\N	\N
733630	2507	1997-06-30	VYDAJ	VYBER	15	17249	SLUZBY	\N	\N
733631	2507	1997-07-31	VYDAJ	VYBER	15	20898	SLUZBY	\N	\N
733632	2507	1997-08-31	VYDAJ	VYBER	15	19057	SLUZBY	\N	\N
733633	2507	1997-09-30	VYDAJ	VYBER	15	20804	SLUZBY	\N	\N
733634	2507	1997-10-31	VYDAJ	VYBER	15	23460	SLUZBY	\N	\N
733635	2507	1997-11-30	VYDAJ	VYBER	15	28936	SLUZBY	\N	\N
733636	2507	1997-12-31	VYDAJ	VYBER	15	32251	SLUZBY	\N	\N
733637	2507	1998-01-31	VYDAJ	VYBER	15	23834	SLUZBY	\N	\N
733638	2507	1998-02-28	VYDAJ	VYBER	15	24396	SLUZBY	\N	\N
733639	2507	1998-03-31	VYDAJ	VYBER	15	27365	SLUZBY	\N	\N
733640	2507	1998-04-30	VYDAJ	VYBER	15	30954	SLUZBY	\N	\N
733641	2507	1998-05-31	VYDAJ	VYBER	15	31654	SLUZBY	\N	\N
733642	2507	1998-06-30	VYDAJ	VYBER	15	29669	SLUZBY	\N	\N
733643	2507	1998-07-31	VYDAJ	VYBER	15	29057	SLUZBY	\N	\N
733644	2507	1998-08-31	VYDAJ	VYBER	15	26638	SLUZBY	\N	\N
733645	2507	1998-09-30	VYDAJ	VYBER	15	23713	SLUZBY	\N	\N
733646	2507	1998-10-31	VYDAJ	VYBER	15	27185	SLUZBY	\N	\N
733647	2507	1998-11-30	VYDAJ	VYBER	15	24758	SLUZBY	\N	\N
733648	2507	1997-01-27	PRIJEM	VKLAD	5300	12834	\N	\N	\N
733649	2507	1997-02-26	PRIJEM	VKLAD	2000	21677	\N	\N	\N
733650	2507	1997-03-28	VYDAJ	VYBER	1500	27068	\N	\N	\N
733651	2507	1997-04-27	VYDAJ	VYBER	9100	24895	\N	\N	\N
733652	2507	1997-05-27	VYDAJ	VYBER	5500	19785	\N	\N	\N
733653	2507	1997-06-26	PRIJEM	VKLAD	4500	25968	\N	\N	\N
733654	2507	1997-07-26	PRIJEM	VKLAD	1300	20827	\N	\N	\N
733655	2507	1997-09-24	VYDAJ	VYBER	600	20735	\N	\N	\N
733656	2507	1997-10-24	PRIJEM	VKLAD	300	23382	\N	\N	\N
733657	2507	1997-11-23	PRIJEM	VKLAD	3100	28838	\N	\N	\N
733658	2507	1997-12-23	VYDAJ	VYBER	1300	32131	\N	\N	\N
733659	2507	1998-01-22	PRIJEM	VKLAD	1600	29529	\N	\N	\N
733660	2507	1998-02-21	PRIJEM	VKLAD	4700	25912	\N	\N	\N
733661	2507	1998-03-23	PRIJEM	VKLAD	3500	27274	\N	\N	\N
733662	2507	1998-04-22	PRIJEM	VKLAD	1200	30843	\N	\N	\N
733663	2507	1998-05-22	VYDAJ	VYBER	1700	31532	\N	\N	\N
733664	2507	1998-06-21	VYDAJ	VYBER	7800	29549	\N	\N	\N
733665	2507	1998-07-21	VYDAJ	VYBER	3000	28947	\N	\N	\N
733666	2507	1998-08-20	VYDAJ	VYBER	4800	26535	\N	\N	\N
733667	2507	1998-09-19	VYDAJ	VYBER	3000	25916	\N	\N	\N
733668	2507	1998-10-19	PRIJEM	VKLAD	1100	27091	\N	\N	\N
733669	2507	1998-11-18	VYDAJ	VYBER	4800	24663	\N	\N	\N
733694	2508	1993-03-14	PRIJEM	VKLAD	700	700	\N	\N	\N
733698	2508	1993-04-06	PRIJEM	PREVOD Z UCTU	4271	4971	DUCHOD	CD	12963879
733699	2508	1993-05-06	PRIJEM	PREVOD Z UCTU	4271	9242	DUCHOD	CD	12963879
733700	2508	1993-06-06	PRIJEM	PREVOD Z UCTU	4271	13513	DUCHOD	CD	12963879
733701	2508	1993-07-06	PRIJEM	PREVOD Z UCTU	4271	17784	DUCHOD	CD	12963879
733702	2508	1993-08-06	PRIJEM	PREVOD Z UCTU	4271	22055	DUCHOD	CD	12963879
733703	2508	1993-09-06	PRIJEM	PREVOD Z UCTU	4271	24177	DUCHOD	CD	12963879
733704	2508	1993-10-06	PRIJEM	PREVOD Z UCTU	4271	23443	DUCHOD	CD	12963879
733705	2508	1993-11-06	PRIJEM	PREVOD Z UCTU	4271	22552	DUCHOD	CD	12963879
733706	2508	1993-12-06	PRIJEM	PREVOD Z UCTU	4271	24697	DUCHOD	CD	12963879
733707	2508	1994-01-06	PRIJEM	PREVOD Z UCTU	4271	23050	DUCHOD	CD	12963879
733708	2508	1994-02-06	PRIJEM	PREVOD Z UCTU	4271	16754	DUCHOD	CD	12963879
733709	2508	1994-03-06	PRIJEM	PREVOD Z UCTU	4271	18875	DUCHOD	CD	12963879
733710	2508	1994-04-06	PRIJEM	PREVOD Z UCTU	4271	21006	DUCHOD	CD	12963879
733711	2508	1994-05-06	PRIJEM	PREVOD Z UCTU	4271	23145	DUCHOD	CD	12963879
733712	2508	1994-06-06	PRIJEM	PREVOD Z UCTU	4271	25293	DUCHOD	CD	12963879
733713	2508	1994-07-06	PRIJEM	PREVOD Z UCTU	4271	19931	DUCHOD	CD	12963879
733714	2508	1994-08-06	PRIJEM	PREVOD Z UCTU	4271	22066	DUCHOD	CD	12963879
733715	2508	1994-09-06	PRIJEM	PREVOD Z UCTU	4271	24111	DUCHOD	CD	12963879
733716	2508	1994-10-06	PRIJEM	PREVOD Z UCTU	4271	23060	DUCHOD	CD	12963879
733717	2508	1994-11-06	PRIJEM	PREVOD Z UCTU	4271	24005	DUCHOD	CD	12963879
733718	2508	1994-12-06	PRIJEM	PREVOD Z UCTU	4271	22873	DUCHOD	CD	12963879
733719	2508	1995-01-06	PRIJEM	PREVOD Z UCTU	4271	24119	DUCHOD	CD	12963879
733720	2508	1995-02-06	PRIJEM	PREVOD Z UCTU	4271	18009	DUCHOD	CD	12963879
733721	2508	1995-03-06	PRIJEM	PREVOD Z UCTU	4271	18934	DUCHOD	CD	12963879
733722	2508	1995-04-06	PRIJEM	PREVOD Z UCTU	4271	21065	DUCHOD	CD	12963879
733723	2508	1995-05-06	PRIJEM	PREVOD Z UCTU	4271	19676	DUCHOD	CD	12963879
733724	2508	1995-06-06	PRIJEM	PREVOD Z UCTU	4271	21809	DUCHOD	CD	12963879
733725	2508	1995-07-06	PRIJEM	PREVOD Z UCTU	4271	23951	DUCHOD	CD	12963879
733726	2508	1995-08-06	PRIJEM	PREVOD Z UCTU	4271	26102	DUCHOD	CD	12963879
733727	2508	1995-09-06	PRIJEM	PREVOD Z UCTU	4271	27362	DUCHOD	CD	12963879
733728	2508	1995-10-06	PRIJEM	PREVOD Z UCTU	4271	26728	DUCHOD	CD	12963879
733729	2508	1995-11-06	PRIJEM	PREVOD Z UCTU	4271	28294	DUCHOD	CD	12963879
733730	2508	1995-12-06	PRIJEM	PREVOD Z UCTU	4271	27103	DUCHOD	CD	12963879
733731	2508	1996-01-06	PRIJEM	PREVOD Z UCTU	4271	26069	DUCHOD	CD	12963879
733732	2508	1996-02-06	PRIJEM	PREVOD Z UCTU	4271	19514	DUCHOD	CD	12963879
733733	2508	1996-03-06	PRIJEM	PREVOD Z UCTU	4271	21646	DUCHOD	CD	12963879
733734	2508	1996-04-06	PRIJEM	PREVOD Z UCTU	4271	23787	DUCHOD	CD	12963879
733735	2508	1996-05-06	PRIJEM	PREVOD Z UCTU	4271	21835	DUCHOD	CD	12963879
733736	2508	1996-06-06	PRIJEM	PREVOD Z UCTU	4271	21813	DUCHOD	CD	12963879
733737	2508	1996-07-06	PRIJEM	PREVOD Z UCTU	4271	18766	DUCHOD	CD	12963879
733738	2508	1996-08-06	PRIJEM	PREVOD Z UCTU	4271	18593	DUCHOD	CD	12963879
733739	2508	1996-09-06	PRIJEM	PREVOD Z UCTU	4271	18019	DUCHOD	CD	12963879
733740	2508	1996-10-06	PRIJEM	PREVOD Z UCTU	4271	20145	DUCHOD	CD	12963879
733741	2508	1996-11-06	PRIJEM	PREVOD Z UCTU	4271	21477	DUCHOD	CD	12963879
733742	2508	1996-12-06	PRIJEM	PREVOD Z UCTU	4271	21775	DUCHOD	CD	12963879
733743	2508	1997-01-06	PRIJEM	PREVOD Z UCTU	4271	18910	DUCHOD	CD	12963879
733744	2508	1997-02-06	PRIJEM	PREVOD Z UCTU	4271	17831	DUCHOD	CD	12963879
733745	2508	1997-03-06	PRIJEM	PREVOD Z UCTU	4271	19956	DUCHOD	CD	12963879
733746	2508	1997-04-06	PRIJEM	PREVOD Z UCTU	4271	22090	DUCHOD	CD	12963879
733747	2508	1997-05-06	PRIJEM	PREVOD Z UCTU	4271	20527	DUCHOD	CD	12963879
733748	2508	1997-06-06	PRIJEM	PREVOD Z UCTU	4271	20060	DUCHOD	CD	12963879
733749	2508	1997-07-06	PRIJEM	PREVOD Z UCTU	4271	19871	DUCHOD	CD	12963879
733963	2508	1996-02-29	VYDAJ	VYBER	15	17375	SLUZBY	\N	\N
733750	2508	1997-08-06	PRIJEM	PREVOD Z UCTU	4271	21204	DUCHOD	CD	12963879
733751	2508	1997-09-06	PRIJEM	PREVOD Z UCTU	4271	19654	DUCHOD	CD	12963879
733752	2508	1997-10-06	PRIJEM	PREVOD Z UCTU	4271	21786	DUCHOD	CD	12963879
733753	2508	1997-11-06	PRIJEM	PREVOD Z UCTU	4271	18618	DUCHOD	CD	12963879
733754	2508	1997-12-06	PRIJEM	PREVOD Z UCTU	4271	20745	DUCHOD	CD	12963879
733755	2508	1998-01-06	PRIJEM	PREVOD Z UCTU	4271	21981	DUCHOD	CD	12963879
733756	2508	1998-02-06	PRIJEM	PREVOD Z UCTU	4271	19711	DUCHOD	CD	12963879
733757	2508	1998-03-06	PRIJEM	PREVOD Z UCTU	4271	21842	DUCHOD	CD	12963879
733758	2508	1998-04-06	PRIJEM	PREVOD Z UCTU	4271	20855	DUCHOD	CD	12963879
733759	2508	1998-05-06	PRIJEM	PREVOD Z UCTU	4271	22109	DUCHOD	CD	12963879
733760	2508	1998-06-06	PRIJEM	PREVOD Z UCTU	4271	21365	DUCHOD	CD	12963879
733761	2508	1998-07-06	PRIJEM	PREVOD Z UCTU	4271	23504	DUCHOD	CD	12963879
733762	2508	1998-08-06	PRIJEM	PREVOD Z UCTU	4271	24931	DUCHOD	CD	12963879
733763	2508	1998-09-06	PRIJEM	PREVOD Z UCTU	4271	27085	DUCHOD	CD	12963879
733764	2508	1998-10-06	PRIJEM	PREVOD Z UCTU	4271	29247	DUCHOD	CD	12963879
733765	2508	1998-11-06	PRIJEM	PREVOD Z UCTU	4271	31418	DUCHOD	CD	12963879
733766	2508	1998-12-06	PRIJEM	PREVOD Z UCTU	4271	21067	DUCHOD	CD	12963879
733774	2508	1993-08-10	VYDAJ	PREVOD NA UCET	2193	19862	SIPO	GH	89408212
733775	2508	1993-09-10	VYDAJ	PREVOD NA UCET	2193	21984	SIPO	GH	89408212
733776	2508	1993-10-10	VYDAJ	PREVOD NA UCET	2193	21250	SIPO	GH	89408212
733777	2508	1993-11-10	VYDAJ	PREVOD NA UCET	2193	20359	SIPO	GH	89408212
733778	2508	1993-12-10	VYDAJ	PREVOD NA UCET	2193	21904	SIPO	GH	89408212
733779	2508	1994-01-10	VYDAJ	PREVOD NA UCET	2193	19337	SIPO	GH	89408212
733780	2508	1994-02-10	VYDAJ	PREVOD NA UCET	2193	14561	SIPO	GH	89408212
733781	2508	1994-03-10	VYDAJ	PREVOD NA UCET	2193	16682	SIPO	GH	89408212
733782	2508	1994-04-10	VYDAJ	PREVOD NA UCET	2193	18813	SIPO	GH	89408212
733783	2508	1994-05-10	VYDAJ	PREVOD NA UCET	2193	20952	SIPO	GH	89408212
733784	2508	1994-06-10	VYDAJ	PREVOD NA UCET	2193	23100	SIPO	GH	89408212
733785	2508	1994-07-10	VYDAJ	PREVOD NA UCET	2193	17738	SIPO	GH	89408212
733786	2508	1994-08-10	VYDAJ	PREVOD NA UCET	2193	19773	SIPO	GH	89408212
733787	2508	1994-09-10	VYDAJ	PREVOD NA UCET	2193	21918	SIPO	GH	89408212
733788	2508	1994-10-10	VYDAJ	PREVOD NA UCET	2193	19667	SIPO	GH	89408212
733789	2508	1994-11-10	VYDAJ	PREVOD NA UCET	2193	21812	SIPO	GH	89408212
733790	2508	1994-12-10	VYDAJ	PREVOD NA UCET	2193	20680	SIPO	GH	89408212
733791	2508	1995-01-10	VYDAJ	PREVOD NA UCET	2193	20566	SIPO	GH	89408212
733792	2508	1995-02-10	VYDAJ	PREVOD NA UCET	2193	15816	SIPO	GH	89408212
733793	2508	1995-03-10	VYDAJ	PREVOD NA UCET	2193	16741	SIPO	GH	89408212
733794	2508	1995-04-10	VYDAJ	PREVOD NA UCET	2193	18872	SIPO	GH	89408212
733795	2508	1995-05-10	VYDAJ	PREVOD NA UCET	2193	17483	SIPO	GH	89408212
733796	2508	1995-06-10	VYDAJ	PREVOD NA UCET	2193	19616	SIPO	GH	89408212
733797	2508	1995-07-10	VYDAJ	PREVOD NA UCET	2193	21758	SIPO	GH	89408212
733798	2508	1995-08-10	VYDAJ	PREVOD NA UCET	2193	23909	SIPO	GH	89408212
733799	2508	1995-09-10	VYDAJ	PREVOD NA UCET	2193	25169	SIPO	GH	89408212
733800	2508	1995-10-10	VYDAJ	PREVOD NA UCET	2193	24535	SIPO	GH	89408212
733801	2508	1995-11-10	VYDAJ	PREVOD NA UCET	2193	26101	SIPO	GH	89408212
733802	2508	1995-12-10	VYDAJ	PREVOD NA UCET	2193	24910	SIPO	GH	89408212
733803	2508	1996-01-10	VYDAJ	PREVOD NA UCET	2193	23876	SIPO	GH	89408212
733804	2508	1996-02-10	VYDAJ	PREVOD NA UCET	2193	17321	SIPO	GH	89408212
733805	2508	1996-03-10	VYDAJ	PREVOD NA UCET	2193	19453	SIPO	GH	89408212
733806	2508	1996-04-10	VYDAJ	PREVOD NA UCET	2193	21594	SIPO	GH	89408212
733807	2508	1996-05-10	VYDAJ	PREVOD NA UCET	2193	19642	SIPO	GH	89408212
733808	2508	1996-06-10	VYDAJ	PREVOD NA UCET	2193	17140	SIPO	GH	89408212
733809	2508	1996-07-10	VYDAJ	PREVOD NA UCET	2193	16573	SIPO	GH	89408212
733810	2508	1996-08-10	VYDAJ	PREVOD NA UCET	2193	16400	SIPO	GH	89408212
733811	2508	1996-09-10	VYDAJ	PREVOD NA UCET	2193	15826	SIPO	GH	89408212
733812	2508	1996-10-10	VYDAJ	PREVOD NA UCET	2193	17952	SIPO	GH	89408212
733813	2508	1996-11-10	VYDAJ	PREVOD NA UCET	2193	19284	SIPO	GH	89408212
733814	2508	1996-12-10	VYDAJ	PREVOD NA UCET	2193	19582	SIPO	GH	89408212
733815	2508	1997-01-10	VYDAJ	PREVOD NA UCET	2193	13517	SIPO	GH	89408212
733816	2508	1997-02-10	VYDAJ	PREVOD NA UCET	2193	15638	SIPO	GH	89408212
733817	2508	1997-03-10	VYDAJ	PREVOD NA UCET	2193	17763	SIPO	GH	89408212
733818	2508	1997-04-10	VYDAJ	PREVOD NA UCET	2193	19897	SIPO	GH	89408212
733819	2508	1997-05-10	VYDAJ	PREVOD NA UCET	2193	18334	SIPO	GH	89408212
733820	2508	1997-06-10	VYDAJ	PREVOD NA UCET	2193	17867	SIPO	GH	89408212
733821	2508	1997-07-10	VYDAJ	PREVOD NA UCET	2193	17678	SIPO	GH	89408212
733822	2508	1997-08-10	VYDAJ	PREVOD NA UCET	2193	19011	SIPO	GH	89408212
733823	2508	1997-09-10	VYDAJ	PREVOD NA UCET	2193	17461	SIPO	GH	89408212
733824	2508	1997-10-10	VYDAJ	PREVOD NA UCET	2193	19593	SIPO	GH	89408212
733825	2508	1997-11-10	VYDAJ	PREVOD NA UCET	2193	16425	SIPO	GH	89408212
733826	2508	1997-12-10	VYDAJ	PREVOD NA UCET	2193	18552	SIPO	GH	89408212
733827	2508	1998-01-10	VYDAJ	PREVOD NA UCET	2193	15388	SIPO	GH	89408212
733828	2508	1998-02-10	VYDAJ	PREVOD NA UCET	2193	17518	SIPO	GH	89408212
733829	2508	1998-03-10	VYDAJ	PREVOD NA UCET	2193	18529	SIPO	GH	89408212
733830	2508	1998-04-10	VYDAJ	PREVOD NA UCET	2193	18662	SIPO	GH	89408212
733831	2508	1998-05-10	VYDAJ	PREVOD NA UCET	2193	19916	SIPO	GH	89408212
733832	2508	1998-06-10	VYDAJ	PREVOD NA UCET	2193	19172	SIPO	GH	89408212
733833	2508	1998-07-10	VYDAJ	PREVOD NA UCET	2193	21311	SIPO	GH	89408212
733834	2508	1998-08-10	VYDAJ	PREVOD NA UCET	2193	22738	SIPO	GH	89408212
733835	2508	1998-09-10	VYDAJ	PREVOD NA UCET	2193	24892	SIPO	GH	89408212
733836	2508	1998-10-10	VYDAJ	PREVOD NA UCET	2193	27054	SIPO	GH	89408212
733837	2508	1998-11-10	VYDAJ	PREVOD NA UCET	2193	29225	SIPO	GH	89408212
733838	2508	1998-12-10	VYDAJ	PREVOD NA UCET	2193	18874	SIPO	GH	89408212
733840	2508	1994-06-24	VYDAJ	VYBER	5750	15590	\N	\N	\N
733846	2508	1994-01-27	VYDAJ	VYBER	750	12427	\N	\N	\N
733847	2508	1995-01-25	VYDAJ	VYBER	650	14636	\N	\N	\N
733848	2508	1996-01-02	VYDAJ	VYBER	1900	21798	\N	\N	\N
733851	2508	1993-12-20	VYDAJ	VYBER	400	21504	\N	\N	\N
733852	2508	1994-12-18	VYDAJ	VYBER	900	19780	\N	\N	\N
733853	2508	1995-12-14	VYDAJ	VYBER	1000	23910	\N	\N	\N
733855	2508	1997-12-27	VYDAJ	VYBER	900	17652	\N	\N	\N
733856	2508	1998-12-23	VYDAJ	VYBER	1350	17524	\N	\N	\N
733863	2508	1994-01-03	VYDAJ	VYBER	1920	19659	\N	\N	\N
733864	2508	1994-01-07	VYDAJ	VYBER	1520	21530	\N	\N	\N
733865	2508	1994-01-04	VYDAJ	VYBER	880	18779	\N	\N	\N
733866	2508	1994-01-24	VYDAJ	VYBER	1680	13177	\N	\N	\N
733868	2508	1994-01-17	VYDAJ	VYBER	800	15257	\N	\N	\N
733869	2508	1995-01-19	VYDAJ	VYBER	2160	15686	\N	\N	\N
733870	2508	1995-01-19	VYDAJ	VYBER	2320	17846	\N	\N	\N
733871	2508	1995-01-17	VYDAJ	VYBER	400	20166	\N	\N	\N
733872	2508	1995-01-06	VYDAJ	VYBER	1360	22759	\N	\N	\N
733873	2508	1995-01-20	VYDAJ	VYBER	400	15286	\N	\N	\N
733874	2508	1995-01-27	VYDAJ	VYBER	960	13676	\N	\N	\N
733875	2508	1996-01-15	VYDAJ	VYBER	2160	19636	\N	\N	\N
733876	2508	1996-01-10	VYDAJ	VYBER	2080	21796	\N	\N	\N
733877	2508	1996-01-17	VYDAJ	VYBER	1600	18036	\N	\N	\N
733878	2508	1996-01-26	VYDAJ	VYBER	480	15476	\N	\N	\N
733879	2508	1996-01-19	VYDAJ	VYBER	2080	15956	\N	\N	\N
733885	2508	1997-01-09	VYDAJ	VYBER	1360	15710	\N	\N	\N
733886	2508	1997-01-07	VYDAJ	VYBER	1840	17070	\N	\N	\N
733889	2508	1998-01-10	VYDAJ	VYBER	1120	17581	\N	\N	\N
733890	2508	1998-01-06	VYDAJ	VYBER	560	21421	\N	\N	\N
733893	2508	1993-10-31	VYDAJ	VYBER	3040	18295	\N	\N	\N
733895	2508	1993-09-14	VYDAJ	VYBER	2880	19104	\N	\N	\N
733896	2508	1994-01-15	VYDAJ	VYBER	3280	16057	\N	\N	\N
733897	2508	1994-10-08	VYDAJ	VYBER	1200	21860	\N	\N	\N
733898	2508	1994-01-17	VYDAJ	VYBER	400	14857	\N	\N	\N
733899	2508	1994-06-18	VYDAJ	VYBER	1760	21340	\N	\N	\N
733900	2508	1994-09-24	VYDAJ	VYBER	3200	18718	\N	\N	\N
733901	2508	1994-11-23	VYDAJ	VYBER	3280	18532	\N	\N	\N
733902	2508	1995-04-14	VYDAJ	VYBER	3520	15352	\N	\N	\N
733903	2508	1995-02-25	VYDAJ	VYBER	1200	14616	\N	\N	\N
733905	2508	1995-12-01	VYDAJ	VYBER	3360	22832	\N	\N	\N
733907	2508	1996-06-09	VYDAJ	VYBER	2480	19333	\N	\N	\N
733908	2508	1996-10-11	VYDAJ	VYBER	800	17152	\N	\N	\N
733909	2508	1996-05-16	VYDAJ	VYBER	2160	17482	\N	\N	\N
733910	2508	1996-11-22	VYDAJ	VYBER	1840	17444	\N	\N	\N
733911	2508	1997-08-15	VYDAJ	VYBER	3680	15331	\N	\N	\N
733913	2508	1997-06-23	VYDAJ	VYBER	2320	15547	\N	\N	\N
733914	2508	1997-07-25	VYDAJ	VYBER	800	16878	\N	\N	\N
733918	2508	1998-04-12	VYDAJ	VYBER	880	17782	\N	\N	\N
733919	2508	1998-07-31	VYDAJ	VYBER	720	20675	\N	\N	\N
733920	2508	1998-12-30	VYDAJ	VYBER	720	16804	\N	\N	\N
733921	2508	1998-01-07	VYDAJ	VYBER	2720	18701	\N	\N	\N
733922	2508	1998-03-08	VYDAJ	VYBER	1120	20722	\N	\N	\N
733923	2508	1998-03-11	VYDAJ	VYBER	2000	16529	\N	\N	\N
733924	2508	1998-05-16	VYDAJ	VYBER	2880	17036	\N	\N	\N
733933	2508	1993-08-31	VYDAJ	VYBER	15	19906	SLUZBY	\N	\N
733934	2508	1993-09-30	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
733935	2508	1993-10-31	VYDAJ	VYBER	15	18281	SLUZBY	\N	\N
733936	2508	1993-11-30	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
733937	2508	1993-12-31	VYDAJ	VYBER	15	21579	SLUZBY	\N	\N
733938	2508	1994-01-31	VYDAJ	VYBER	15	12483	SLUZBY	\N	\N
733939	2508	1994-02-28	VYDAJ	VYBER	15	14604	SLUZBY	\N	\N
733940	2508	1994-03-31	VYDAJ	VYBER	15	16735	SLUZBY	\N	\N
733941	2508	1994-04-30	VYDAJ	VYBER	15	18874	SLUZBY	\N	\N
733942	2508	1994-05-31	VYDAJ	VYBER	15	21022	SLUZBY	\N	\N
733943	2508	1994-06-30	VYDAJ	VYBER	15	15660	SLUZBY	\N	\N
733944	2508	1994-07-31	VYDAJ	VYBER	15	17795	SLUZBY	\N	\N
733945	2508	1994-08-31	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
733946	2508	1994-09-30	VYDAJ	VYBER	15	18789	SLUZBY	\N	\N
733947	2508	1994-10-31	VYDAJ	VYBER	15	19734	SLUZBY	\N	\N
733948	2508	1994-11-30	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
733949	2508	1994-12-31	VYDAJ	VYBER	15	19848	SLUZBY	\N	\N
733950	2508	1995-01-31	VYDAJ	VYBER	15	13738	SLUZBY	\N	\N
733951	2508	1995-02-28	VYDAJ	VYBER	15	14663	SLUZBY	\N	\N
733952	2508	1995-03-31	VYDAJ	VYBER	15	16794	SLUZBY	\N	\N
733953	2508	1995-04-30	VYDAJ	VYBER	15	15405	SLUZBY	\N	\N
733954	2508	1995-05-31	VYDAJ	VYBER	15	17538	SLUZBY	\N	\N
733955	2508	1995-06-30	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
733956	2508	1995-07-31	VYDAJ	VYBER	15	21831	SLUZBY	\N	\N
733957	2508	1995-08-31	VYDAJ	VYBER	15	23091	SLUZBY	\N	\N
733958	2508	1995-09-30	VYDAJ	VYBER	15	25257	SLUZBY	\N	\N
733959	2508	1995-10-31	VYDAJ	VYBER	15	24023	SLUZBY	\N	\N
733960	2508	1995-11-30	VYDAJ	VYBER	15	26192	SLUZBY	\N	\N
733961	2508	1995-12-31	VYDAJ	VYBER	15	23698	SLUZBY	\N	\N
733962	2508	1996-01-31	VYDAJ	VYBER	15	15243	SLUZBY	\N	\N
733964	2508	1996-03-31	VYDAJ	VYBER	15	19516	SLUZBY	\N	\N
733965	2508	1996-04-30	VYDAJ	VYBER	15	17564	SLUZBY	\N	\N
733966	2508	1996-05-31	VYDAJ	VYBER	15	17542	SLUZBY	\N	\N
733967	2508	1996-06-30	VYDAJ	VYBER	15	14495	SLUZBY	\N	\N
733968	2508	1996-07-31	VYDAJ	VYBER	15	14322	SLUZBY	\N	\N
733969	2508	1996-08-31	VYDAJ	VYBER	15	13748	SLUZBY	\N	\N
733970	2508	1996-09-30	VYDAJ	VYBER	15	15874	SLUZBY	\N	\N
733971	2508	1996-10-31	VYDAJ	VYBER	15	17206	SLUZBY	\N	\N
733972	2508	1996-11-30	VYDAJ	VYBER	15	17504	SLUZBY	\N	\N
733973	2508	1996-12-31	VYDAJ	VYBER	15	14639	SLUZBY	\N	\N
733974	2508	1997-01-31	VYDAJ	VYBER	15	13560	SLUZBY	\N	\N
733975	2508	1997-02-28	VYDAJ	VYBER	15	15685	SLUZBY	\N	\N
733976	2508	1997-03-31	VYDAJ	VYBER	15	17819	SLUZBY	\N	\N
733977	2508	1997-04-30	VYDAJ	VYBER	15	16256	SLUZBY	\N	\N
733978	2508	1997-05-31	VYDAJ	VYBER	15	15789	SLUZBY	\N	\N
733979	2508	1997-06-30	VYDAJ	VYBER	15	15600	SLUZBY	\N	\N
733980	2508	1997-07-31	VYDAJ	VYBER	15	16933	SLUZBY	\N	\N
733981	2508	1997-08-31	VYDAJ	VYBER	15	15383	SLUZBY	\N	\N
733982	2508	1997-09-30	VYDAJ	VYBER	15	17515	SLUZBY	\N	\N
733983	2508	1997-10-31	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
733984	2508	1997-11-30	VYDAJ	VYBER	15	16474	SLUZBY	\N	\N
733985	2508	1997-12-31	VYDAJ	VYBER	15	17710	SLUZBY	\N	\N
733986	2508	1998-01-31	VYDAJ	VYBER	15	15440	SLUZBY	\N	\N
733987	2508	1998-02-28	VYDAJ	VYBER	15	17571	SLUZBY	\N	\N
733988	2508	1998-03-31	VYDAJ	VYBER	15	16584	SLUZBY	\N	\N
733989	2508	1998-04-30	VYDAJ	VYBER	15	17838	SLUZBY	\N	\N
733990	2508	1998-05-31	VYDAJ	VYBER	15	17094	SLUZBY	\N	\N
733991	2508	1998-06-30	VYDAJ	VYBER	15	19233	SLUZBY	\N	\N
733992	2508	1998-07-31	VYDAJ	VYBER	15	20660	SLUZBY	\N	\N
733993	2508	1998-08-31	VYDAJ	VYBER	15	22814	SLUZBY	\N	\N
733994	2508	1998-09-30	VYDAJ	VYBER	15	24976	SLUZBY	\N	\N
733995	2508	1998-10-31	VYDAJ	VYBER	15	27147	SLUZBY	\N	\N
733996	2508	1998-11-30	VYDAJ	VYBER	15	16796	SLUZBY	\N	\N
733997	2508	1993-12-09	VYDAJ	VYBER	600	24097	\N	\N	\N
733998	2508	1994-08-06	VYDAJ	VYBER	100	21966	\N	\N	\N
733999	2508	1995-08-31	VYDAJ	VYBER	900	23106	\N	\N	\N
734000	2508	1995-09-30	VYDAJ	VYBER	2800	22457	\N	\N	\N
734001	2508	1995-10-30	VYDAJ	VYBER	600	23935	\N	\N	\N
734002	2508	1995-12-29	VYDAJ	VYBER	300	23610	\N	\N	\N
734003	2508	1996-01-28	VYDAJ	VYBER	300	15176	\N	\N	\N
734004	2508	1996-04-27	VYDAJ	VYBER	4100	17494	\N	\N	\N
734005	2508	1996-06-26	VYDAJ	VYBER	2700	14440	\N	\N	\N
734006	2508	1996-07-26	VYDAJ	VYBER	2300	14273	\N	\N	\N
734007	2508	1996-08-25	VYDAJ	VYBER	2700	13700	\N	\N	\N
734008	2508	1996-12-23	VYDAJ	VYBER	5000	14582	\N	\N	\N
734009	2508	1997-04-22	VYDAJ	VYBER	3700	16197	\N	\N	\N
734010	2508	1997-05-22	VYDAJ	VYBER	2600	15734	\N	\N	\N
734011	2508	1997-10-19	VYDAJ	VYBER	5300	14293	\N	\N	\N
734012	2508	1998-11-13	VYDAJ	VYBER	12500	16725	\N	\N	\N
734078	2509	1997-06-13	PRIJEM	VKLAD	900	900	\N	\N	\N
734080	2509	1997-12-24	PRIJEM	VKLAD	29737	117923	\N	\N	\N
734081	2509	1997-09-14	PRIJEM	VKLAD	9326	62418	\N	\N	\N
734083	2509	1997-09-23	PRIJEM	VKLAD	27517	112732	\N	\N	\N
734085	2509	1997-10-23	PRIJEM	VKLAD	13709	42942	\N	\N	\N
734086	2509	1997-09-17	PRIJEM	VKLAD	25533	134815	\N	\N	\N
734087	2509	1997-08-16	PRIJEM	VKLAD	18751	63000	\N	\N	\N
734088	2509	1997-07-04	PRIJEM	VKLAD	41486	48820	\N	\N	\N
734089	2509	1997-11-27	PRIJEM	VKLAD	32537	75856	\N	\N	\N
734091	2509	1997-07-15	PRIJEM	VKLAD	12839	67817	\N	\N	\N
734092	2509	1997-06-27	PRIJEM	VKLAD	6430	7330	\N	\N	\N
734093	2509	1997-11-09	PRIJEM	VKLAD	15383	60319	\N	\N	\N
734094	2509	1997-12-14	PRIJEM	VKLAD	43142	88186	\N	\N	\N
734096	2509	1997-07-04	PRIJEM	VKLAD	35758	84578	\N	\N	\N
734098	2509	1997-09-15	PRIJEM	VKLAD	29216	91634	\N	\N	\N
734100	2509	1997-09-17	PRIJEM	VKLAD	29648	109282	\N	\N	\N
734101	2509	1997-11-01	PRIJEM	VKLAD	15246	58336	\N	\N	\N
734103	2509	1997-09-28	PRIJEM	VKLAD	21239	111571	\N	\N	\N
734104	2509	1997-08-28	PRIJEM	VKLAD	32417	95417	\N	\N	\N
734105	2509	1998-01-05	PRIJEM	VKLAD	12552	87792	\N	\N	\N
734106	2509	1998-01-27	PRIJEM	VKLAD	35015	84204	\N	\N	\N
734107	2509	1998-07-22	PRIJEM	VKLAD	46960	68657	\N	\N	\N
734108	2509	1998-10-12	PRIJEM	VKLAD	39911	64816	\N	\N	\N
734109	2509	1998-04-19	PRIJEM	VKLAD	47978	132978	\N	\N	\N
734110	2509	1998-10-14	PRIJEM	VKLAD	21667	86483	\N	\N	\N
734111	2509	1998-04-12	PRIJEM	VKLAD	42182	85000	\N	\N	\N
734112	2509	1998-01-29	PRIJEM	VKLAD	45116	117641	\N	\N	\N
734113	2509	1998-01-14	PRIJEM	VKLAD	33697	75889	\N	\N	\N
734114	2509	1998-02-13	PRIJEM	VKLAD	17987	65802	\N	\N	\N
734115	2509	1998-05-16	PRIJEM	VKLAD	7703	79901	\N	\N	\N
734116	2509	1998-09-27	PRIJEM	VKLAD	37545	60740	\N	\N	\N
734117	2509	1998-05-13	PRIJEM	VKLAD	35209	72198	\N	\N	\N
734118	2509	1998-04-11	PRIJEM	VKLAD	28481	42818	\N	\N	\N
734119	2509	1998-08-20	PRIJEM	VKLAD	29063	73770	\N	\N	\N
734128	2509	1997-09-07	VYDAJ	PREVOD NA UCET	7073	82292	SIPO	OP	85724323
734129	2509	1997-10-07	VYDAJ	PREVOD NA UCET	7073	32033	SIPO	OP	85724323
734130	2509	1997-11-07	VYDAJ	PREVOD NA UCET	7073	44936	SIPO	OP	85724323
734131	2509	1997-12-07	VYDAJ	PREVOD NA UCET	7073	62644	SIPO	OP	85724323
734132	2509	1998-01-07	VYDAJ	PREVOD NA UCET	7073	74392	SIPO	OP	85724323
734133	2509	1998-02-07	VYDAJ	PREVOD NA UCET	7073	67815	SIPO	OP	85724323
734134	2509	1998-03-07	VYDAJ	PREVOD NA UCET	7073	8781	SIPO	OP	85724323
734135	2509	1998-04-07	VYDAJ	PREVOD NA UCET	7073	3437	SIPO	OP	85724323
734136	2509	1998-05-07	VYDAJ	PREVOD NA UCET	7073	54489	SIPO	OP	85724323
734137	2509	1998-06-07	VYDAJ	PREVOD NA UCET	7073	65306	SIPO	OP	85724323
734138	2509	1998-07-07	VYDAJ	PREVOD NA UCET	7073	22997	SIPO	OP	85724323
734139	2509	1998-08-07	VYDAJ	PREVOD NA UCET	7073	55407	SIPO	OP	85724323
734140	2509	1998-09-07	VYDAJ	PREVOD NA UCET	7073	23195	SIPO	OP	85724323
734141	2509	1998-10-07	VYDAJ	PREVOD NA UCET	7073	24905	SIPO	OP	85724323
734142	2509	1998-11-07	VYDAJ	PREVOD NA UCET	7073	42357	SIPO	OP	85724323
734143	2509	1998-12-07	VYDAJ	PREVOD NA UCET	7073	13000	SIPO	OP	85724323
734152	2509	1997-09-06	VYDAJ	PREVOD NA UCET	4377	91315	 	AB	73543202
734153	2509	1997-10-06	VYDAJ	PREVOD NA UCET	4377	39106	 	AB	73543202
734154	2509	1997-11-06	VYDAJ	PREVOD NA UCET	4377	53959	 	AB	73543202
734155	2509	1997-12-06	VYDAJ	PREVOD NA UCET	4377	69717	 	AB	73543202
734156	2509	1998-01-06	VYDAJ	PREVOD NA UCET	4377	81465	 	AB	73543202
734157	2509	1998-02-06	VYDAJ	PREVOD NA UCET	4377	74888	 	AB	73543202
734158	2509	1998-03-06	VYDAJ	PREVOD NA UCET	4377	15854	 	AB	73543202
734159	2509	1998-04-06	VYDAJ	PREVOD NA UCET	4377	12460	 	AB	73543202
734160	2509	1998-05-06	VYDAJ	PREVOD NA UCET	4377	61562	 	AB	73543202
734161	2509	1998-06-06	VYDAJ	PREVOD NA UCET	4377	74329	 	AB	73543202
734162	2509	1998-07-06	VYDAJ	PREVOD NA UCET	4377	32020	 	AB	73543202
734163	2509	1998-08-06	VYDAJ	PREVOD NA UCET	4377	62480	 	AB	73543202
734164	2509	1998-09-06	VYDAJ	PREVOD NA UCET	4377	30268	 	AB	73543202
734165	2509	1998-10-06	VYDAJ	PREVOD NA UCET	4377	49828	 	AB	73543202
734166	2509	1998-11-06	VYDAJ	PREVOD NA UCET	4377	49430	 	AB	73543202
734167	2509	1998-12-06	VYDAJ	PREVOD NA UCET	4377	22023	 	AB	73543202
734176	2509	1997-09-06	VYDAJ	PREVOD NA UCET	1950	89365	POJISTNE	OP	83953725
734177	2509	1997-10-06	VYDAJ	PREVOD NA UCET	1950	55783	POJISTNE	OP	83953725
734178	2509	1997-11-06	VYDAJ	PREVOD NA UCET	1950	52009	POJISTNE	OP	83953725
734179	2509	1997-12-06	VYDAJ	PREVOD NA UCET	1950	74094	POJISTNE	OP	83953725
734180	2509	1998-01-06	VYDAJ	PREVOD NA UCET	1950	85842	POJISTNE	OP	83953725
734181	2509	1998-02-06	VYDAJ	PREVOD NA UCET	1950	79265	POJISTNE	OP	83953725
734182	2509	1998-03-06	VYDAJ	PREVOD NA UCET	1950	20231	POJISTNE	OP	83953725
734183	2509	1998-04-06	VYDAJ	PREVOD NA UCET	1950	10510	POJISTNE	OP	83953725
734184	2509	1998-05-06	VYDAJ	PREVOD NA UCET	1950	65939	POJISTNE	OP	83953725
734185	2509	1998-06-06	VYDAJ	PREVOD NA UCET	1950	72379	POJISTNE	OP	83953725
734186	2509	1998-07-06	VYDAJ	PREVOD NA UCET	1950	30070	POJISTNE	OP	83953725
734187	2509	1998-08-06	VYDAJ	PREVOD NA UCET	1950	66857	POJISTNE	OP	83953725
734188	2509	1998-09-06	VYDAJ	PREVOD NA UCET	1950	38945	POJISTNE	OP	83953725
734189	2509	1998-10-06	VYDAJ	PREVOD NA UCET	1950	31978	POJISTNE	OP	83953725
734190	2509	1998-11-06	VYDAJ	PREVOD NA UCET	1950	53807	POJISTNE	OP	83953725
734191	2509	1998-12-06	VYDAJ	PREVOD NA UCET	1950	20073	POJISTNE	OP	83953725
734192	2509	1998-11-23	VYBER	VYBER	21127	21230	\N	\N	\N
734196	2509	1998-02-26	VYBER	VYBER	9559	21969	\N	\N	\N
734197	2509	1998-01-27	VYBER	VYBER	11679	72525	\N	\N	\N
734198	2509	1998-02-21	VYBER	VYBER	18637	31528	\N	\N	\N
734199	2509	1998-10-04	VYBER	VYBER	6651	54205	\N	\N	\N
734200	2509	1998-08-23	VYBER	VYBER	20787	40683	\N	\N	\N
734201	2509	1998-02-20	VYBER	VYBER	15637	50165	\N	\N	\N
734205	2509	1998-01-25	VYDAJ	VYBER	26700	49189	\N	\N	\N
734206	2509	1997-12-28	VYDAJ	VYBER	4800	74923	\N	\N	\N
734209	2509	1997-10-06	VYDAJ	VYBER	12300	43483	\N	\N	\N
734213	2509	1997-09-15	VYDAJ	VYBER	12000	79634	\N	\N	\N
734215	2509	1998-08-21	VYDAJ	VYBER	12300	61470	\N	\N	\N
734216	2509	1998-06-18	VYDAJ	VYBER	11700	36206	\N	\N	\N
734219	2509	1998-05-23	VYDAJ	VYBER	1500	78401	\N	\N	\N
734220	2509	1998-01-10	VYDAJ	VYBER	10800	42192	\N	\N	\N
734229	2509	1997-08-31	VYDAJ	VYBER	15	95692	SLUZBY	\N	\N
734230	2509	1997-09-30	VYDAJ	VYBER	15	57733	SLUZBY	\N	\N
734231	2509	1997-10-31	VYDAJ	VYBER	15	43090	SLUZBY	\N	\N
734232	2509	1997-11-30	VYDAJ	VYBER	15	76044	SLUZBY	\N	\N
734233	2509	1997-12-31	VYDAJ	VYBER	15	75240	SLUZBY	\N	\N
734234	2509	1998-01-31	VYDAJ	VYBER	15	81215	SLUZBY	\N	\N
734235	2509	1998-02-28	VYDAJ	VYBER	15	22181	SLUZBY	\N	\N
734236	2509	1998-03-31	VYDAJ	VYBER	15	16837	SLUZBY	\N	\N
734237	2509	1998-04-30	VYDAJ	VYBER	15	115989	SLUZBY	\N	\N
734238	2509	1998-05-31	VYDAJ	VYBER	15	78706	SLUZBY	\N	\N
734239	2509	1998-06-30	VYDAJ	VYBER	15	36397	SLUZBY	\N	\N
734240	2509	1998-07-31	VYDAJ	VYBER	15	68807	SLUZBY	\N	\N
734241	2509	1998-08-31	VYDAJ	VYBER	15	40895	SLUZBY	\N	\N
734242	2509	1998-09-30	VYDAJ	VYBER	15	60856	SLUZBY	\N	\N
734243	2509	1998-10-31	VYDAJ	VYBER	15	86757	SLUZBY	\N	\N
734244	2509	1998-11-30	VYDAJ	VYBER	15	21400	SLUZBY	\N	\N
734245	2509	1997-07-13	VYDAJ	VYBER	29600	54978	\N	\N	\N
734246	2509	1997-08-12	VYDAJ	VYBER	23800	44249	\N	\N	\N
734247	2509	1997-09-11	VYDAJ	VYBER	29200	53092	\N	\N	\N
734248	2509	1997-09-17	VYDAJ	VYBER	25900	85215	\N	\N	\N
734249	2509	1997-09-17	VYDAJ	VYBER	23700	111115	\N	\N	\N
734250	2509	1997-09-23	VYDAJ	VYBER	22400	90332	\N	\N	\N
734251	2509	1997-09-28	VYDAJ	VYBER	54200	57371	\N	\N	\N
734252	2509	1997-10-11	VYDAJ	VYBER	2800	29233	\N	\N	\N
734253	2509	1997-11-10	VYDAJ	VYBER	17000	43319	\N	\N	\N
734254	2509	1997-12-10	VYDAJ	VYBER	17600	45044	\N	\N	\N
734255	2509	1997-12-24	VYDAJ	VYBER	38200	79723	\N	\N	\N
734256	2509	1998-01-09	VYDAJ	VYBER	21400	52992	\N	\N	\N
734257	2509	1998-01-29	VYDAJ	VYBER	36700	80941	\N	\N	\N
734258	2509	1998-02-08	VYDAJ	VYBER	20000	47815	\N	\N	\N
734259	2509	1998-03-10	PRIJEM	VKLAD	8000	16781	\N	\N	\N
734260	2509	1998-04-09	PRIJEM	VKLAD	10900	14337	\N	\N	\N
734261	2509	1998-04-19	VYDAJ	VYBER	17300	115678	\N	\N	\N
734262	2509	1998-04-30	VYDAJ	VYBER	48100	67889	\N	\N	\N
734263	2509	1998-05-09	VYDAJ	VYBER	17500	36989	\N	\N	\N
734264	2509	1998-06-08	VYDAJ	VYBER	17400	47906	\N	\N	\N
734265	2509	1998-07-08	VYDAJ	VYBER	1300	21697	\N	\N	\N
734266	2509	1998-08-07	VYDAJ	VYBER	10700	44707	\N	\N	\N
734267	2509	1998-09-06	VYDAJ	VYBER	4300	34645	\N	\N	\N
734268	2509	1998-10-06	VYDAJ	VYBER	15900	33928	\N	\N	\N
734269	2509	1998-11-05	VYDAJ	VYBER	31000	55757	\N	\N	\N
734270	2509	1998-12-05	PRIJEM	VKLAD	5000	26400	\N	\N	\N
734290	2510	1993-08-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
734299	2510	1993-09-13	PRIJEM	VKLAD	20051	21151	\N	\N	\N
734300	2510	1993-10-13	PRIJEM	VKLAD	20051	41114	\N	\N	\N
734301	2510	1993-11-13	PRIJEM	VKLAD	20051	54662	\N	\N	\N
734302	2510	1993-12-13	PRIJEM	VKLAD	30076	70986	\N	\N	\N
734303	2510	1994-01-13	PRIJEM	VKLAD	20051	67211	\N	\N	\N
734304	2510	1994-02-13	PRIJEM	VKLAD	20051	49445	\N	\N	\N
734305	2510	1994-03-13	PRIJEM	VKLAD	20051	46836	\N	\N	\N
734306	2510	1994-04-13	PRIJEM	VKLAD	20051	50421	\N	\N	\N
734307	2510	1994-05-13	PRIJEM	VKLAD	20051	49117	\N	\N	\N
734308	2510	1994-06-13	PRIJEM	VKLAD	30076	59233	\N	\N	\N
734309	2510	1994-07-13	PRIJEM	VKLAD	20051	42529	\N	\N	\N
734310	2510	1994-08-13	PRIJEM	VKLAD	20051	48193	\N	\N	\N
734311	2510	1994-09-13	PRIJEM	VKLAD	20051	47273	\N	\N	\N
734312	2510	1994-10-13	PRIJEM	VKLAD	20051	48349	\N	\N	\N
734313	2510	1994-11-13	PRIJEM	VKLAD	20051	45527	\N	\N	\N
734314	2510	1994-12-13	PRIJEM	VKLAD	30076	57321	\N	\N	\N
734315	2510	1995-01-13	PRIJEM	VKLAD	20051	50313	\N	\N	\N
734316	2510	1995-02-13	PRIJEM	VKLAD	20051	39289	\N	\N	\N
734317	2510	1995-03-13	PRIJEM	VKLAD	20051	48239	\N	\N	\N
734318	2510	1995-04-13	PRIJEM	VKLAD	20051	48323	\N	\N	\N
734319	2510	1995-05-13	PRIJEM	VKLAD	20051	51508	\N	\N	\N
734320	2510	1995-06-13	PRIJEM	VKLAD	30076	63125	\N	\N	\N
734321	2510	1995-07-13	PRIJEM	VKLAD	20051	48420	\N	\N	\N
734322	2510	1995-08-13	PRIJEM	VKLAD	20051	53503	\N	\N	\N
734323	2510	1995-09-13	PRIJEM	VKLAD	20051	51693	\N	\N	\N
734324	2510	1995-10-13	PRIJEM	VKLAD	20051	55084	\N	\N	\N
734325	2510	1995-11-13	PRIJEM	VKLAD	20051	54782	\N	\N	\N
734326	2510	1995-12-13	PRIJEM	VKLAD	30076	58895	\N	\N	\N
734327	2510	1996-01-13	PRIJEM	VKLAD	20051	48087	\N	\N	\N
734328	2510	1996-02-13	PRIJEM	VKLAD	20051	40655	\N	\N	\N
734329	2510	1996-03-13	PRIJEM	VKLAD	20051	47304	\N	\N	\N
734330	2510	1996-04-13	PRIJEM	VKLAD	20051	50273	\N	\N	\N
734331	2510	1996-05-13	PRIJEM	VKLAD	20051	54356	\N	\N	\N
734332	2510	1996-06-13	PRIJEM	VKLAD	30076	66877	\N	\N	\N
734333	2510	1996-07-13	PRIJEM	VKLAD	20051	62389	\N	\N	\N
734334	2510	1996-08-13	PRIJEM	VKLAD	20051	53596	\N	\N	\N
734335	2510	1996-09-13	PRIJEM	VKLAD	20051	55717	\N	\N	\N
734336	2510	1996-10-13	PRIJEM	VKLAD	20051	54756	\N	\N	\N
734337	2510	1996-11-13	PRIJEM	VKLAD	20051	56495	\N	\N	\N
734338	2510	1996-12-13	PRIJEM	VKLAD	30076	66261	\N	\N	\N
734339	2510	1997-01-13	PRIJEM	VKLAD	20051	59829	\N	\N	\N
734340	2510	1997-02-13	PRIJEM	VKLAD	20051	54178	\N	\N	\N
734341	2510	1997-03-13	PRIJEM	VKLAD	20051	55208	\N	\N	\N
734342	2510	1997-04-13	PRIJEM	VKLAD	20051	57845	\N	\N	\N
734343	2510	1997-05-13	PRIJEM	VKLAD	20051	57788	\N	\N	\N
734344	2510	1997-06-13	PRIJEM	VKLAD	30076	63960	\N	\N	\N
734345	2510	1997-07-13	PRIJEM	VKLAD	20051	43590	\N	\N	\N
734346	2510	1997-08-13	PRIJEM	VKLAD	20051	45873	\N	\N	\N
734347	2510	1997-09-13	PRIJEM	VKLAD	20051	39860	\N	\N	\N
734348	2510	1997-10-13	PRIJEM	VKLAD	20051	42627	\N	\N	\N
734349	2510	1997-11-13	PRIJEM	VKLAD	20051	44503	\N	\N	\N
734350	2510	1997-12-13	PRIJEM	VKLAD	30076	49215	\N	\N	\N
734351	2510	1998-01-13	PRIJEM	VKLAD	20051	41308	\N	\N	\N
734352	2510	1998-02-13	PRIJEM	VKLAD	20051	41360	\N	\N	\N
734353	2510	1998-03-13	PRIJEM	VKLAD	20051	42922	\N	\N	\N
734354	2510	1998-04-13	PRIJEM	VKLAD	20051	45198	\N	\N	\N
734355	2510	1998-05-13	PRIJEM	VKLAD	20051	43082	\N	\N	\N
734356	2510	1998-06-13	PRIJEM	VKLAD	30076	44485	\N	\N	\N
734357	2510	1998-07-13	PRIJEM	VKLAD	20051	50058	\N	\N	\N
734358	2510	1998-08-13	PRIJEM	VKLAD	20051	51861	\N	\N	\N
734359	2510	1998-09-13	PRIJEM	VKLAD	20051	57473	\N	\N	\N
734360	2510	1998-10-13	PRIJEM	VKLAD	20051	59302	\N	\N	\N
734361	2510	1998-11-13	PRIJEM	VKLAD	20051	63842	\N	\N	\N
734362	2510	1998-12-13	PRIJEM	VKLAD	30076	78722	\N	\N	\N
734376	2510	1994-02-09	VYDAJ	PREVOD NA UCET	6922	30298	SIPO	EF	59125840
734377	2510	1994-03-09	VYDAJ	PREVOD NA UCET	6922	27689	SIPO	EF	59125840
734378	2510	1994-04-09	VYDAJ	PREVOD NA UCET	6922	31274	SIPO	EF	59125840
734379	2510	1994-05-09	VYDAJ	PREVOD NA UCET	6922	32470	SIPO	EF	59125840
734380	2510	1994-06-09	VYDAJ	PREVOD NA UCET	6922	30061	SIPO	EF	59125840
734381	2510	1994-07-09	VYDAJ	PREVOD NA UCET	6922	23382	SIPO	EF	59125840
734382	2510	1994-08-09	VYDAJ	PREVOD NA UCET	6922	29046	SIPO	EF	59125840
734383	2510	1994-09-09	VYDAJ	PREVOD NA UCET	6922	28126	SIPO	EF	59125840
734384	2510	1994-10-09	VYDAJ	PREVOD NA UCET	6922	29202	SIPO	EF	59125840
734385	2510	1994-11-09	VYDAJ	PREVOD NA UCET	6922	26380	SIPO	EF	59125840
734386	2510	1994-12-09	VYDAJ	PREVOD NA UCET	6922	28149	SIPO	EF	59125840
734387	2510	1995-01-09	VYDAJ	PREVOD NA UCET	6922	31166	SIPO	EF	59125840
734388	2510	1995-02-09	VYDAJ	PREVOD NA UCET	6922	20142	SIPO	EF	59125840
734389	2510	1995-03-09	VYDAJ	PREVOD NA UCET	6922	29092	SIPO	EF	59125840
734390	2510	1995-04-09	VYDAJ	PREVOD NA UCET	6922	29176	SIPO	EF	59125840
734391	2510	1995-05-09	VYDAJ	PREVOD NA UCET	6922	32361	SIPO	EF	59125840
734392	2510	1995-06-09	VYDAJ	PREVOD NA UCET	6922	33953	SIPO	EF	59125840
734393	2510	1995-07-09	VYDAJ	PREVOD NA UCET	6922	29273	SIPO	EF	59125840
734394	2510	1995-08-09	VYDAJ	PREVOD NA UCET	6922	34356	SIPO	EF	59125840
734395	2510	1995-09-09	VYDAJ	PREVOD NA UCET	6922	32546	SIPO	EF	59125840
734396	2510	1995-10-09	VYDAJ	PREVOD NA UCET	6922	35937	SIPO	EF	59125840
734397	2510	1995-11-09	VYDAJ	PREVOD NA UCET	6922	35635	SIPO	EF	59125840
734398	2510	1995-12-09	VYDAJ	PREVOD NA UCET	6922	29723	SIPO	EF	59125840
734399	2510	1996-01-09	VYDAJ	PREVOD NA UCET	6922	36240	SIPO	EF	59125840
734400	2510	1996-02-09	VYDAJ	PREVOD NA UCET	6922	21508	SIPO	EF	59125840
734401	2510	1996-03-09	VYDAJ	PREVOD NA UCET	6922	28157	SIPO	EF	59125840
734402	2510	1996-04-09	VYDAJ	PREVOD NA UCET	6922	31126	SIPO	EF	59125840
734403	2510	1996-05-09	VYDAJ	PREVOD NA UCET	6922	35209	SIPO	EF	59125840
734404	2510	1996-06-09	VYDAJ	PREVOD NA UCET	6922	37705	SIPO	EF	59125840
734405	2510	1996-07-09	VYDAJ	PREVOD NA UCET	6922	43242	SIPO	EF	59125840
734406	2510	1996-08-09	VYDAJ	PREVOD NA UCET	6922	37349	SIPO	EF	59125840
734407	2510	1996-09-09	VYDAJ	PREVOD NA UCET	6922	46770	SIPO	EF	59125840
734408	2510	1996-10-09	VYDAJ	PREVOD NA UCET	6922	48909	SIPO	EF	59125840
734409	2510	1996-11-09	VYDAJ	PREVOD NA UCET	6922	47948	SIPO	EF	59125840
734410	2510	1996-12-09	VYDAJ	PREVOD NA UCET	6922	49689	SIPO	EF	59125840
734411	2510	1997-01-09	VYDAJ	PREVOD NA UCET	6922	40682	SIPO	EF	59125840
734412	2510	1997-02-09	VYDAJ	PREVOD NA UCET	6922	35031	SIPO	EF	59125840
734413	2510	1997-03-09	VYDAJ	PREVOD NA UCET	6922	47361	SIPO	EF	59125840
734414	2510	1997-04-09	VYDAJ	PREVOD NA UCET	6922	47598	SIPO	EF	59125840
734415	2510	1997-05-09	VYDAJ	PREVOD NA UCET	6922	50341	SIPO	EF	59125840
734416	2510	1997-06-09	VYDAJ	PREVOD NA UCET	6922	34788	SIPO	EF	59125840
734417	2510	1997-07-09	VYDAJ	PREVOD NA UCET	6922	24443	SIPO	EF	59125840
734418	2510	1997-08-09	VYDAJ	PREVOD NA UCET	6922	26726	SIPO	EF	59125840
734419	2510	1997-09-09	VYDAJ	PREVOD NA UCET	6922	20713	SIPO	EF	59125840
734420	2510	1997-10-09	VYDAJ	PREVOD NA UCET	6922	23480	SIPO	EF	59125840
734421	2510	1997-11-09	VYDAJ	PREVOD NA UCET	6922	25356	SIPO	EF	59125840
734422	2510	1997-12-09	VYDAJ	PREVOD NA UCET	6922	24143	SIPO	EF	59125840
734423	2510	1998-01-09	VYDAJ	PREVOD NA UCET	6922	23561	SIPO	EF	59125840
734424	2510	1998-02-09	VYDAJ	PREVOD NA UCET	6922	22213	SIPO	EF	59125840
734425	2510	1998-03-09	VYDAJ	PREVOD NA UCET	6922	23775	SIPO	EF	59125840
734426	2510	1998-04-09	VYDAJ	PREVOD NA UCET	6922	26051	SIPO	EF	59125840
734427	2510	1998-05-09	VYDAJ	PREVOD NA UCET	6922	23935	SIPO	EF	59125840
734428	2510	1998-06-09	VYDAJ	PREVOD NA UCET	6922	15313	SIPO	EF	59125840
734429	2510	1998-07-09	VYDAJ	PREVOD NA UCET	6922	30911	SIPO	EF	59125840
734430	2510	1998-08-09	VYDAJ	PREVOD NA UCET	6922	32714	SIPO	EF	59125840
734431	2510	1998-09-09	VYDAJ	PREVOD NA UCET	6922	38326	SIPO	EF	59125840
734432	2510	1998-10-09	VYDAJ	PREVOD NA UCET	6922	40155	SIPO	EF	59125840
734433	2510	1998-11-09	VYDAJ	PREVOD NA UCET	6922	44695	SIPO	EF	59125840
734434	2510	1998-12-09	VYDAJ	PREVOD NA UCET	6922	49550	SIPO	EF	59125840
734448	2510	1994-02-05	VYDAJ	PREVOD NA UCET	92	37220	 	CD	54819261
734449	2510	1994-03-05	VYDAJ	PREVOD NA UCET	92	39511	 	CD	54819261
734450	2510	1994-04-05	VYDAJ	PREVOD NA UCET	92	38196	 	CD	54819261
734451	2510	1994-05-05	VYDAJ	PREVOD NA UCET	92	39392	 	CD	54819261
734452	2510	1994-06-05	VYDAJ	PREVOD NA UCET	92	36983	 	CD	54819261
734453	2510	1994-07-05	VYDAJ	PREVOD NA UCET	92	30304	 	CD	54819261
734454	2510	1994-08-05	VYDAJ	PREVOD NA UCET	92	35968	 	CD	54819261
734455	2510	1994-09-05	VYDAJ	PREVOD NA UCET	92	35048	 	CD	54819261
734456	2510	1994-10-05	VYDAJ	PREVOD NA UCET	92	36124	 	CD	54819261
734457	2510	1994-11-05	VYDAJ	PREVOD NA UCET	92	33302	 	CD	54819261
734458	2510	1994-12-05	VYDAJ	PREVOD NA UCET	92	35071	 	CD	54819261
734459	2510	1995-01-05	VYDAJ	PREVOD NA UCET	92	38088	 	CD	54819261
734460	2510	1995-02-05	VYDAJ	PREVOD NA UCET	92	27064	 	CD	54819261
734461	2510	1995-03-05	VYDAJ	PREVOD NA UCET	92	36014	 	CD	54819261
734462	2510	1995-04-05	VYDAJ	PREVOD NA UCET	92	40198	 	CD	54819261
734463	2510	1995-05-05	VYDAJ	PREVOD NA UCET	92	39283	 	CD	54819261
734464	2510	1995-06-05	VYDAJ	PREVOD NA UCET	92	40875	 	CD	54819261
734465	2510	1995-07-05	VYDAJ	PREVOD NA UCET	92	36195	 	CD	54819261
734466	2510	1995-08-05	VYDAJ	PREVOD NA UCET	92	41278	 	CD	54819261
734467	2510	1995-09-05	VYDAJ	PREVOD NA UCET	92	39468	 	CD	54819261
734468	2510	1995-10-05	VYDAJ	PREVOD NA UCET	92	42859	 	CD	54819261
734469	2510	1995-11-05	VYDAJ	PREVOD NA UCET	92	42557	 	CD	54819261
734470	2510	1995-12-05	VYDAJ	PREVOD NA UCET	92	36645	 	CD	54819261
734471	2510	1996-01-05	VYDAJ	PREVOD NA UCET	92	43162	 	CD	54819261
734472	2510	1996-02-05	VYDAJ	PREVOD NA UCET	92	28430	 	CD	54819261
734473	2510	1996-03-05	VYDAJ	PREVOD NA UCET	92	35079	 	CD	54819261
734474	2510	1996-04-05	VYDAJ	PREVOD NA UCET	92	38048	 	CD	54819261
734475	2510	1996-05-05	VYDAJ	PREVOD NA UCET	92	42131	 	CD	54819261
734476	2510	1996-06-05	VYDAJ	PREVOD NA UCET	92	44627	 	CD	54819261
734477	2510	1996-07-05	VYDAJ	PREVOD NA UCET	92	50164	 	CD	54819261
734478	2510	1996-08-05	VYDAJ	PREVOD NA UCET	92	44271	 	CD	54819261
734479	2510	1996-09-05	VYDAJ	PREVOD NA UCET	92	53692	 	CD	54819261
734480	2510	1996-10-05	VYDAJ	PREVOD NA UCET	92	55831	 	CD	54819261
734481	2510	1996-11-05	VYDAJ	PREVOD NA UCET	92	54870	 	CD	54819261
734482	2510	1996-12-05	VYDAJ	PREVOD NA UCET	92	56611	 	CD	54819261
734483	2510	1997-01-05	VYDAJ	PREVOD NA UCET	92	63504	 	CD	54819261
734484	2510	1997-02-05	VYDAJ	PREVOD NA UCET	92	55353	 	CD	54819261
734485	2510	1997-03-05	VYDAJ	PREVOD NA UCET	92	54283	 	CD	54819261
734486	2510	1997-04-05	VYDAJ	PREVOD NA UCET	92	54520	 	CD	54819261
734487	2510	1997-05-05	VYDAJ	PREVOD NA UCET	92	57263	 	CD	54819261
734488	2510	1997-06-05	VYDAJ	PREVOD NA UCET	92	55910	 	CD	54819261
734489	2510	1997-07-05	VYDAJ	PREVOD NA UCET	92	41565	 	CD	54819261
734490	2510	1997-08-05	VYDAJ	PREVOD NA UCET	92	43648	 	CD	54819261
734491	2510	1997-09-05	VYDAJ	PREVOD NA UCET	92	41335	 	CD	54819261
734492	2510	1997-10-05	VYDAJ	PREVOD NA UCET	92	39902	 	CD	54819261
734493	2510	1997-11-05	VYDAJ	PREVOD NA UCET	92	42678	 	CD	54819261
734494	2510	1997-12-05	VYDAJ	PREVOD NA UCET	92	44565	 	CD	54819261
734495	2510	1998-01-05	VYDAJ	PREVOD NA UCET	92	30483	 	CD	54819261
734496	2510	1998-02-05	VYDAJ	PREVOD NA UCET	92	29135	 	CD	54819261
734497	2510	1998-03-05	VYDAJ	PREVOD NA UCET	92	30697	 	CD	54819261
734498	2510	1998-04-05	VYDAJ	PREVOD NA UCET	92	32973	 	CD	54819261
734499	2510	1998-05-05	VYDAJ	PREVOD NA UCET	92	30857	 	CD	54819261
734500	2510	1998-06-05	VYDAJ	PREVOD NA UCET	92	33835	 	CD	54819261
734501	2510	1998-07-05	VYDAJ	PREVOD NA UCET	92	38433	 	CD	54819261
734502	2510	1998-08-05	VYDAJ	PREVOD NA UCET	92	39636	 	CD	54819261
734503	2510	1998-09-05	VYDAJ	PREVOD NA UCET	92	45248	 	CD	54819261
734504	2510	1998-10-05	VYDAJ	PREVOD NA UCET	92	47077	 	CD	54819261
734505	2510	1998-11-05	VYDAJ	PREVOD NA UCET	92	51617	 	CD	54819261
734506	2510	1998-12-05	VYDAJ	PREVOD NA UCET	92	56472	 	CD	54819261
734520	2510	1994-02-10	VYDAJ	PREVOD NA UCET	904	29394	POJISTNE	QR	50671142
734521	2510	1994-03-10	VYDAJ	PREVOD NA UCET	904	26785	POJISTNE	QR	50671142
734522	2510	1994-04-10	VYDAJ	PREVOD NA UCET	904	30370	POJISTNE	QR	50671142
734523	2510	1994-05-10	VYDAJ	PREVOD NA UCET	904	31566	POJISTNE	QR	50671142
734524	2510	1994-06-10	VYDAJ	PREVOD NA UCET	904	29157	POJISTNE	QR	50671142
734525	2510	1994-07-10	VYDAJ	PREVOD NA UCET	904	22478	POJISTNE	QR	50671142
734526	2510	1994-08-10	VYDAJ	PREVOD NA UCET	904	28142	POJISTNE	QR	50671142
734527	2510	1994-09-10	VYDAJ	PREVOD NA UCET	904	27222	POJISTNE	QR	50671142
734528	2510	1994-10-10	VYDAJ	PREVOD NA UCET	904	28298	POJISTNE	QR	50671142
734529	2510	1994-11-10	VYDAJ	PREVOD NA UCET	904	25476	POJISTNE	QR	50671142
734530	2510	1994-12-10	VYDAJ	PREVOD NA UCET	904	27245	POJISTNE	QR	50671142
734531	2510	1995-01-10	VYDAJ	PREVOD NA UCET	904	30262	POJISTNE	QR	50671142
734532	2510	1995-02-10	VYDAJ	PREVOD NA UCET	904	19238	POJISTNE	QR	50671142
734533	2510	1995-03-10	VYDAJ	PREVOD NA UCET	904	28188	POJISTNE	QR	50671142
734534	2510	1995-04-10	VYDAJ	PREVOD NA UCET	904	28272	POJISTNE	QR	50671142
734535	2510	1995-05-10	VYDAJ	PREVOD NA UCET	904	31457	POJISTNE	QR	50671142
734536	2510	1995-06-10	VYDAJ	PREVOD NA UCET	904	33049	POJISTNE	QR	50671142
734537	2510	1995-07-10	VYDAJ	PREVOD NA UCET	904	28369	POJISTNE	QR	50671142
734538	2510	1995-08-10	VYDAJ	PREVOD NA UCET	904	33452	POJISTNE	QR	50671142
734539	2510	1995-09-10	VYDAJ	PREVOD NA UCET	904	31642	POJISTNE	QR	50671142
734540	2510	1995-10-10	VYDAJ	PREVOD NA UCET	904	35033	POJISTNE	QR	50671142
734541	2510	1995-11-10	VYDAJ	PREVOD NA UCET	904	34731	POJISTNE	QR	50671142
734542	2510	1995-12-10	VYDAJ	PREVOD NA UCET	904	28819	POJISTNE	QR	50671142
734543	2510	1996-01-10	VYDAJ	PREVOD NA UCET	904	35336	POJISTNE	QR	50671142
734544	2510	1996-02-10	VYDAJ	PREVOD NA UCET	904	20604	POJISTNE	QR	50671142
734545	2510	1996-03-10	VYDAJ	PREVOD NA UCET	904	27253	POJISTNE	QR	50671142
734546	2510	1996-04-10	VYDAJ	PREVOD NA UCET	904	30222	POJISTNE	QR	50671142
734547	2510	1996-05-10	VYDAJ	PREVOD NA UCET	904	34305	POJISTNE	QR	50671142
734548	2510	1996-06-10	VYDAJ	PREVOD NA UCET	904	36801	POJISTNE	QR	50671142
734549	2510	1996-07-10	VYDAJ	PREVOD NA UCET	904	42338	POJISTNE	QR	50671142
734550	2510	1996-08-10	VYDAJ	PREVOD NA UCET	904	36445	POJISTNE	QR	50671142
734551	2510	1996-09-10	VYDAJ	PREVOD NA UCET	904	45866	POJISTNE	QR	50671142
734552	2510	1996-10-10	VYDAJ	PREVOD NA UCET	904	48005	POJISTNE	QR	50671142
734553	2510	1996-11-10	VYDAJ	PREVOD NA UCET	904	36444	POJISTNE	QR	50671142
734554	2510	1996-12-10	VYDAJ	PREVOD NA UCET	904	48785	POJISTNE	QR	50671142
734671	2510	1994-03-31	VYDAJ	VYBER	15	38288	SLUZBY	\N	\N
734555	2510	1997-01-10	VYDAJ	PREVOD NA UCET	904	39778	POJISTNE	QR	50671142
734556	2510	1997-02-10	VYDAJ	PREVOD NA UCET	904	34127	POJISTNE	QR	50671142
734557	2510	1997-03-10	VYDAJ	PREVOD NA UCET	904	38357	POJISTNE	QR	50671142
734558	2510	1997-04-10	VYDAJ	PREVOD NA UCET	904	37794	POJISTNE	QR	50671142
734559	2510	1997-05-10	VYDAJ	PREVOD NA UCET	904	37737	POJISTNE	QR	50671142
734560	2510	1997-06-10	VYDAJ	PREVOD NA UCET	904	33884	POJISTNE	QR	50671142
734561	2510	1997-07-10	VYDAJ	PREVOD NA UCET	904	23539	POJISTNE	QR	50671142
734562	2510	1997-08-10	VYDAJ	PREVOD NA UCET	904	25822	POJISTNE	QR	50671142
734563	2510	1997-09-10	VYDAJ	PREVOD NA UCET	904	19809	POJISTNE	QR	50671142
734564	2510	1997-10-10	VYDAJ	PREVOD NA UCET	904	22576	POJISTNE	QR	50671142
734565	2510	1997-11-10	VYDAJ	PREVOD NA UCET	904	24452	POJISTNE	QR	50671142
734566	2510	1997-12-10	VYDAJ	PREVOD NA UCET	904	19139	POJISTNE	QR	50671142
734567	2510	1998-01-10	VYDAJ	PREVOD NA UCET	904	22657	POJISTNE	QR	50671142
734568	2510	1998-02-10	VYDAJ	PREVOD NA UCET	904	21309	POJISTNE	QR	50671142
734569	2510	1998-03-10	VYDAJ	PREVOD NA UCET	904	22871	POJISTNE	QR	50671142
734570	2510	1998-04-10	VYDAJ	PREVOD NA UCET	904	25147	POJISTNE	QR	50671142
734571	2510	1998-05-10	VYDAJ	PREVOD NA UCET	904	23031	POJISTNE	QR	50671142
734572	2510	1998-06-10	VYDAJ	PREVOD NA UCET	904	14409	POJISTNE	QR	50671142
734573	2510	1998-07-10	VYDAJ	PREVOD NA UCET	904	30007	POJISTNE	QR	50671142
734574	2510	1998-08-10	VYDAJ	PREVOD NA UCET	904	31810	POJISTNE	QR	50671142
734575	2510	1998-09-10	VYDAJ	PREVOD NA UCET	904	37422	POJISTNE	QR	50671142
734576	2510	1998-10-10	VYDAJ	PREVOD NA UCET	904	39251	POJISTNE	QR	50671142
734577	2510	1998-11-10	VYDAJ	PREVOD NA UCET	904	43791	POJISTNE	QR	50671142
734578	2510	1998-12-10	VYDAJ	PREVOD NA UCET	904	48646	POJISTNE	QR	50671142
734580	2510	1994-06-13	VYDAJ	VYBER	26100	33133	\N	\N	\N
734581	2510	1995-06-13	VYDAJ	VYBER	14800	48325	\N	\N	\N
734583	2510	1997-06-23	VYDAJ	VYBER	22500	41460	\N	\N	\N
734584	2510	1998-06-07	VYDAJ	VYBER	11600	22235	\N	\N	\N
734587	2510	1995-01-28	VYDAJ	VYBER	5900	29813	\N	\N	\N
734588	2510	1996-01-11	VYDAJ	VYBER	7300	28036	\N	\N	\N
734589	2510	1997-01-08	VYDAJ	VYBER	3300	57604	\N	\N	\N
734590	2510	1998-01-05	VYDAJ	VYBER	4800	30575	\N	\N	\N
734592	2510	1994-12-25	VYDAJ	VYBER	2500	39821	\N	\N	\N
734593	2510	1995-12-19	VYDAJ	VYBER	1300	43895	\N	\N	\N
734594	2510	1996-12-11	VYDAJ	VYBER	2800	36185	\N	\N	\N
734595	2510	1997-12-25	VYDAJ	VYBER	500	48715	\N	\N	\N
734596	2510	1998-12-15	VYDAJ	VYBER	2500	76222	\N	\N	\N
734603	2510	1994-01-29	VYDAJ	VYBER	2500	38911	\N	\N	\N
734604	2510	1994-01-27	VYDAJ	VYBER	2300	41411	\N	\N	\N
734605	2510	1994-01-14	VYDAJ	VYBER	1500	65711	\N	\N	\N
734606	2510	1994-01-17	VYDAJ	VYBER	1500	64211	\N	\N	\N
734607	2510	1994-01-21	VYDAJ	VYBER	2000	62211	\N	\N	\N
734608	2510	1994-01-29	VYDAJ	VYBER	1800	37111	\N	\N	\N
734609	2510	1995-01-24	VYDAJ	VYBER	900	35713	\N	\N	\N
734610	2510	1995-01-18	VYDAJ	VYBER	2900	43513	\N	\N	\N
734611	2510	1995-01-05	VYDAJ	VYBER	1800	38180	\N	\N	\N
734612	2510	1995-01-30	VYDAJ	VYBER	2800	27013	\N	\N	\N
734613	2510	1995-01-17	VYDAJ	VYBER	2800	46413	\N	\N	\N
734614	2510	1995-01-16	VYDAJ	VYBER	1100	49213	\N	\N	\N
734615	2510	1996-01-22	VYDAJ	VYBER	2900	31887	\N	\N	\N
734616	2510	1996-01-18	VYDAJ	VYBER	1000	34787	\N	\N	\N
734617	2510	1996-01-28	VYDAJ	VYBER	1500	29287	\N	\N	\N
734618	2510	1996-01-23	VYDAJ	VYBER	1100	30787	\N	\N	\N
734619	2510	1996-01-30	VYDAJ	VYBER	900	28387	\N	\N	\N
734620	2510	1996-01-17	VYDAJ	VYBER	1100	35787	\N	\N	\N
734621	2510	1997-01-13	VYDAJ	VYBER	2000	57829	\N	\N	\N
734622	2510	1997-01-05	VYDAJ	VYBER	2600	60904	\N	\N	\N
734623	2510	1997-01-02	VYDAJ	VYBER	2900	63596	\N	\N	\N
734624	2510	1997-01-16	VYDAJ	VYBER	600	56229	\N	\N	\N
734625	2510	1997-01-16	VYDAJ	VYBER	1000	56829	\N	\N	\N
734626	2510	1997-01-20	VYDAJ	VYBER	1000	55229	\N	\N	\N
734627	2510	1998-01-10	VYDAJ	VYBER	600	21257	\N	\N	\N
734628	2510	1998-01-10	VYDAJ	VYBER	800	21857	\N	\N	\N
734629	2510	1998-01-01	VYDAJ	VYBER	900	47975	\N	\N	\N
734630	2510	1998-01-22	VYDAJ	VYBER	1400	31008	\N	\N	\N
734631	2510	1998-01-21	VYDAJ	VYBER	2100	32408	\N	\N	\N
734632	2510	1998-01-20	VYDAJ	VYBER	700	34508	\N	\N	\N
734638	2510	1994-04-25	VYDAJ	VYBER	1500	39321	\N	\N	\N
734639	2510	1994-05-11	VYDAJ	VYBER	2500	29066	\N	\N	\N
734640	2510	1994-03-05	VYDAJ	VYBER	4900	34611	\N	\N	\N
734641	2510	1994-10-25	VYDAJ	VYBER	4300	33249	\N	\N	\N
734642	2510	1995-11-27	VYDAJ	VYBER	3100	36582	\N	\N	\N
734643	2510	1995-04-05	VYDAJ	VYBER	4100	36098	\N	\N	\N
734644	2510	1996-01-04	VYDAJ	VYBER	800	43254	\N	\N	\N
734645	2510	1997-08-26	VYDAJ	VYBER	4600	41273	\N	\N	\N
734646	2510	1997-05-28	VYDAJ	VYBER	2000	55788	\N	\N	\N
734647	2510	1997-09-07	VYDAJ	VYBER	1200	27635	\N	\N	\N
734648	2510	1997-03-12	VYDAJ	VYBER	3200	35157	\N	\N	\N
734649	2510	1997-05-01	VYDAJ	VYBER	700	57355	\N	\N	\N
734650	2510	1997-04-02	VYDAJ	VYBER	800	54612	\N	\N	\N
734651	2510	1997-12-10	VYDAJ	VYBER	4100	20043	\N	\N	\N
734652	2510	1998-07-08	VYDAJ	VYBER	600	37833	\N	\N	\N
734653	2510	1998-09-19	VYDAJ	VYBER	1900	55573	\N	\N	\N
734654	2510	1998-01-15	VYDAJ	VYBER	1300	35208	\N	\N	\N
734655	2510	1998-01-14	VYDAJ	VYBER	4800	36508	\N	\N	\N
734669	2510	1994-01-31	VYDAJ	VYBER	15	37312	SLUZBY	\N	\N
734670	2510	1994-02-28	VYDAJ	VYBER	15	39603	SLUZBY	\N	\N
734672	2510	1994-04-30	VYDAJ	VYBER	15	39484	SLUZBY	\N	\N
734673	2510	1994-05-31	VYDAJ	VYBER	15	37075	SLUZBY	\N	\N
734674	2510	1994-06-30	VYDAJ	VYBER	15	30396	SLUZBY	\N	\N
734675	2510	1994-07-31	VYDAJ	VYBER	15	36060	SLUZBY	\N	\N
734676	2510	1994-08-31	VYDAJ	VYBER	15	35140	SLUZBY	\N	\N
734677	2510	1994-09-30	VYDAJ	VYBER	15	36216	SLUZBY	\N	\N
734678	2510	1994-10-31	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
734679	2510	1994-11-30	VYDAJ	VYBER	15	35163	SLUZBY	\N	\N
734680	2510	1994-12-31	VYDAJ	VYBER	15	39980	SLUZBY	\N	\N
734681	2510	1995-01-31	VYDAJ	VYBER	15	27156	SLUZBY	\N	\N
734682	2510	1995-02-28	VYDAJ	VYBER	15	36106	SLUZBY	\N	\N
734683	2510	1995-03-31	VYDAJ	VYBER	15	40290	SLUZBY	\N	\N
734684	2510	1995-04-30	VYDAJ	VYBER	15	39375	SLUZBY	\N	\N
734685	2510	1995-05-31	VYDAJ	VYBER	15	40967	SLUZBY	\N	\N
734686	2510	1995-06-30	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
734687	2510	1995-07-31	VYDAJ	VYBER	15	41370	SLUZBY	\N	\N
734688	2510	1995-08-31	VYDAJ	VYBER	15	39560	SLUZBY	\N	\N
734689	2510	1995-09-30	VYDAJ	VYBER	15	42951	SLUZBY	\N	\N
734690	2510	1995-10-31	VYDAJ	VYBER	15	42649	SLUZBY	\N	\N
734691	2510	1995-11-30	VYDAJ	VYBER	15	36737	SLUZBY	\N	\N
734692	2510	1995-12-31	VYDAJ	VYBER	15	44054	SLUZBY	\N	\N
734693	2510	1996-01-31	VYDAJ	VYBER	15	28522	SLUZBY	\N	\N
734694	2510	1996-02-29	VYDAJ	VYBER	15	35171	SLUZBY	\N	\N
734695	2510	1996-03-31	VYDAJ	VYBER	15	38140	SLUZBY	\N	\N
734696	2510	1996-04-30	VYDAJ	VYBER	15	42223	SLUZBY	\N	\N
734697	2510	1996-05-31	VYDAJ	VYBER	15	44719	SLUZBY	\N	\N
734698	2510	1996-06-30	VYDAJ	VYBER	15	50256	SLUZBY	\N	\N
734699	2510	1996-07-31	VYDAJ	VYBER	15	44363	SLUZBY	\N	\N
734700	2510	1996-08-31	VYDAJ	VYBER	15	53784	SLUZBY	\N	\N
734701	2510	1996-09-30	VYDAJ	VYBER	15	55923	SLUZBY	\N	\N
734702	2510	1996-10-31	VYDAJ	VYBER	15	54962	SLUZBY	\N	\N
734703	2510	1996-11-30	VYDAJ	VYBER	15	56703	SLUZBY	\N	\N
734704	2510	1996-12-31	VYDAJ	VYBER	15	66496	SLUZBY	\N	\N
734705	2510	1997-01-31	VYDAJ	VYBER	15	55445	SLUZBY	\N	\N
734706	2510	1997-02-28	VYDAJ	VYBER	15	54375	SLUZBY	\N	\N
734707	2510	1997-03-31	VYDAJ	VYBER	15	55412	SLUZBY	\N	\N
734708	2510	1997-04-30	VYDAJ	VYBER	15	58055	SLUZBY	\N	\N
734709	2510	1997-05-31	VYDAJ	VYBER	15	56002	SLUZBY	\N	\N
734710	2510	1997-06-30	VYDAJ	VYBER	15	41657	SLUZBY	\N	\N
734711	2510	1997-07-31	VYDAJ	VYBER	15	43740	SLUZBY	\N	\N
734712	2510	1997-08-31	VYDAJ	VYBER	15	41427	SLUZBY	\N	\N
734713	2510	1997-09-30	VYDAJ	VYBER	15	39994	SLUZBY	\N	\N
734714	2510	1997-10-31	VYDAJ	VYBER	15	42770	SLUZBY	\N	\N
734715	2510	1997-11-30	VYDAJ	VYBER	15	44657	SLUZBY	\N	\N
734716	2510	1997-12-31	VYDAJ	VYBER	15	48875	SLUZBY	\N	\N
734717	2510	1998-01-31	VYDAJ	VYBER	15	31127	SLUZBY	\N	\N
734718	2510	1998-02-28	VYDAJ	VYBER	15	41489	SLUZBY	\N	\N
734719	2510	1998-03-31	VYDAJ	VYBER	15	43065	SLUZBY	\N	\N
734720	2510	1998-04-30	VYDAJ	VYBER	15	45349	SLUZBY	\N	\N
734721	2510	1998-05-31	VYDAJ	VYBER	15	43227	SLUZBY	\N	\N
734722	2510	1998-06-30	VYDAJ	VYBER	15	44625	SLUZBY	\N	\N
734723	2510	1998-07-31	VYDAJ	VYBER	15	50228	SLUZBY	\N	\N
734724	2510	1998-08-31	VYDAJ	VYBER	15	52040	SLUZBY	\N	\N
734725	2510	1998-09-30	VYDAJ	VYBER	15	55769	SLUZBY	\N	\N
734726	2510	1998-10-31	VYDAJ	VYBER	15	59509	SLUZBY	\N	\N
734727	2510	1998-11-30	VYDAJ	VYBER	15	64064	SLUZBY	\N	\N
734728	2510	1993-09-27	VYDAJ	VYBER	100	21051	\N	\N	\N
734729	2510	1993-10-27	VYDAJ	VYBER	6600	34514	\N	\N	\N
734730	2510	1993-11-26	VYDAJ	VYBER	13900	40762	\N	\N	\N
734731	2510	1993-12-26	VYDAJ	VYBER	24000	46986	\N	\N	\N
734732	2510	1994-01-25	VYDAJ	VYBER	18500	43711	\N	\N	\N
734733	2510	1994-02-24	VYDAJ	VYBER	10000	39445	\N	\N	\N
734734	2510	1994-03-26	VYDAJ	VYBER	8700	38136	\N	\N	\N
734735	2510	1994-04-25	VYDAJ	VYBER	9600	40821	\N	\N	\N
734736	2510	1994-05-25	VYDAJ	VYBER	12200	36917	\N	\N	\N
734737	2510	1994-06-24	VYDAJ	VYBER	2900	30233	\N	\N	\N
734738	2510	1994-07-24	VYDAJ	VYBER	6600	35929	\N	\N	\N
734739	2510	1994-08-23	VYDAJ	VYBER	13200	34993	\N	\N	\N
734740	2510	1994-09-22	VYDAJ	VYBER	11200	36073	\N	\N	\N
734741	2510	1994-10-22	VYDAJ	VYBER	10800	37549	\N	\N	\N
734742	2510	1994-11-21	VYDAJ	VYBER	10500	35027	\N	\N	\N
734743	2510	1994-12-21	VYDAJ	VYBER	15000	42321	\N	\N	\N
734744	2510	1995-01-20	VYDAJ	VYBER	6900	36613	\N	\N	\N
734745	2510	1995-02-19	VYDAJ	VYBER	3300	35989	\N	\N	\N
734746	2510	1995-03-21	VYDAJ	VYBER	8100	40139	\N	\N	\N
734747	2510	1995-04-20	VYDAJ	VYBER	9100	39223	\N	\N	\N
734748	2510	1995-05-20	VYDAJ	VYBER	10700	40808	\N	\N	\N
734749	2510	1995-06-19	VYDAJ	VYBER	12200	36125	\N	\N	\N
734750	2510	1995-07-19	VYDAJ	VYBER	7200	41220	\N	\N	\N
734751	2510	1995-08-18	VYDAJ	VYBER	14100	39403	\N	\N	\N
734752	2510	1995-09-17	VYDAJ	VYBER	8900	42793	\N	\N	\N
734753	2510	1995-10-17	VYDAJ	VYBER	12600	42484	\N	\N	\N
734754	2510	1995-11-16	VYDAJ	VYBER	15100	39682	\N	\N	\N
734755	2510	1995-12-16	VYDAJ	VYBER	13700	45195	\N	\N	\N
734756	2510	1996-01-15	VYDAJ	VYBER	11200	36887	\N	\N	\N
734757	2510	1996-02-14	VYDAJ	VYBER	5600	35055	\N	\N	\N
734758	2510	1996-03-15	VYDAJ	VYBER	9300	38004	\N	\N	\N
734759	2510	1996-04-14	VYDAJ	VYBER	8200	42073	\N	\N	\N
734760	2510	1996-05-14	VYDAJ	VYBER	9800	44556	\N	\N	\N
734761	2510	1996-06-13	VYDAJ	VYBER	16800	50077	\N	\N	\N
734762	2510	1996-07-13	VYDAJ	VYBER	18200	44189	\N	\N	\N
734763	2510	1996-08-12	VYDAJ	VYBER	2900	33545	\N	\N	\N
734764	2510	1996-09-11	VYDAJ	VYBER	10200	35666	\N	\N	\N
734765	2510	1996-10-11	VYDAJ	VYBER	13300	34705	\N	\N	\N
734766	2510	1996-11-10	VYDAJ	VYBER	10600	37348	\N	\N	\N
734767	2510	1996-12-10	VYDAJ	VYBER	9800	38985	\N	\N	\N
734768	2510	1997-01-09	VYDAJ	VYBER	10000	47604	\N	\N	\N
734769	2510	1997-02-08	VYDAJ	VYBER	13400	41953	\N	\N	\N
734770	2510	1997-03-10	VYDAJ	VYBER	8100	39261	\N	\N	\N
734771	2510	1997-04-09	VYDAJ	VYBER	8900	38698	\N	\N	\N
734772	2510	1997-05-09	VYDAJ	VYBER	11700	38641	\N	\N	\N
734773	2510	1997-06-08	VYDAJ	VYBER	14200	41710	\N	\N	\N
734774	2510	1997-07-08	VYDAJ	VYBER	10200	31365	\N	\N	\N
734775	2510	1997-08-07	VYDAJ	VYBER	10000	33648	\N	\N	\N
734776	2510	1997-09-06	VYDAJ	VYBER	12500	28835	\N	\N	\N
734777	2510	1997-10-06	VYDAJ	VYBER	9500	30402	\N	\N	\N
734778	2510	1997-11-05	VYDAJ	VYBER	10400	32278	\N	\N	\N
734779	2510	1997-12-05	VYDAJ	VYBER	13500	31065	\N	\N	\N
734780	2510	1998-01-04	VYDAJ	VYBER	12600	35375	\N	\N	\N
734781	2510	1998-02-03	VYDAJ	VYBER	1900	29227	\N	\N	\N
734782	2510	1998-03-05	VYDAJ	VYBER	10700	30789	\N	\N	\N
734783	2510	1998-04-04	VYDAJ	VYBER	10000	33065	\N	\N	\N
734784	2510	1998-05-04	VYDAJ	VYBER	14400	30949	\N	\N	\N
734785	2510	1998-06-03	VYDAJ	VYBER	9300	33927	\N	\N	\N
734786	2510	1998-07-03	VYDAJ	VYBER	6100	38525	\N	\N	\N
734787	2510	1998-08-02	VYDAJ	VYBER	10500	39728	\N	\N	\N
734788	2510	1998-09-01	VYDAJ	VYBER	6700	45340	\N	\N	\N
734789	2510	1998-10-01	VYDAJ	VYBER	8600	47169	\N	\N	\N
734790	2510	1998-10-31	VYDAJ	VYBER	7800	51709	\N	\N	\N
734791	2510	1998-11-30	VYDAJ	VYBER	7500	56564	\N	\N	\N
734856	2511	1994-05-01	PRIJEM	VKLAD	700	700	\N	\N	\N
734861	2511	1994-05-09	PRIJEM	VKLAD	13397	14097	\N	\N	\N
734862	2511	1994-06-09	PRIJEM	VKLAD	20096	36837	\N	\N	\N
734863	2511	1994-07-09	PRIJEM	VKLAD	13397	45006	\N	\N	\N
734864	2511	1994-08-09	PRIJEM	VKLAD	13397	45435	\N	\N	\N
734865	2511	1994-09-09	PRIJEM	VKLAD	13397	45865	\N	\N	\N
734866	2511	1994-10-09	PRIJEM	VKLAD	13397	44246	\N	\N	\N
734867	2511	1994-11-09	PRIJEM	VKLAD	13397	37558	\N	\N	\N
734868	2511	1994-12-09	PRIJEM	VKLAD	20096	48205	\N	\N	\N
734869	2511	1995-01-09	PRIJEM	VKLAD	13397	42717	\N	\N	\N
734870	2511	1995-02-09	PRIJEM	VKLAD	13397	38144	\N	\N	\N
734871	2511	1995-03-09	PRIJEM	VKLAD	13397	39892	\N	\N	\N
734872	2511	1995-04-09	PRIJEM	VKLAD	13397	41148	\N	\N	\N
734873	2511	1995-05-09	PRIJEM	VKLAD	13397	42409	\N	\N	\N
734874	2511	1995-06-09	PRIJEM	VKLAD	20096	53075	\N	\N	\N
734875	2511	1995-07-09	PRIJEM	VKLAD	13397	43261	\N	\N	\N
734876	2511	1995-08-09	PRIJEM	VKLAD	13397	48754	\N	\N	\N
734877	2511	1995-09-09	PRIJEM	VKLAD	13397	52287	\N	\N	\N
734878	2511	1995-10-09	PRIJEM	VKLAD	13397	56494	\N	\N	\N
734879	2511	1995-11-09	PRIJEM	VKLAD	13397	54905	\N	\N	\N
734880	2511	1995-12-09	PRIJEM	VKLAD	20096	50175	\N	\N	\N
734881	2511	1996-01-09	PRIJEM	VKLAD	13397	45526	\N	\N	\N
734882	2511	1996-02-09	PRIJEM	VKLAD	13397	45861	\N	\N	\N
734883	2511	1996-03-09	PRIJEM	VKLAD	13397	54346	\N	\N	\N
734884	2511	1996-04-09	PRIJEM	VKLAD	13397	54191	\N	\N	\N
734885	2511	1996-05-09	PRIJEM	VKLAD	13397	54499	\N	\N	\N
734886	2511	1996-06-09	PRIJEM	VKLAD	20096	60966	\N	\N	\N
734887	2511	1996-07-09	PRIJEM	VKLAD	13397	57986	\N	\N	\N
734888	2511	1996-08-09	PRIJEM	VKLAD	13397	60412	\N	\N	\N
734889	2511	1996-09-09	PRIJEM	VKLAD	13397	59942	\N	\N	\N
734890	2511	1996-10-09	PRIJEM	VKLAD	13397	60069	\N	\N	\N
734891	2511	1996-11-09	PRIJEM	VKLAD	13397	59897	\N	\N	\N
734892	2511	1996-12-09	PRIJEM	VKLAD	20096	69829	\N	\N	\N
734893	2511	1997-01-09	PRIJEM	VKLAD	13397	60970	\N	\N	\N
734894	2511	1997-02-09	PRIJEM	VKLAD	13397	59825	\N	\N	\N
734895	2511	1997-03-09	PRIJEM	VKLAD	13397	55679	\N	\N	\N
734896	2511	1997-04-09	PRIJEM	VKLAD	13397	53683	\N	\N	\N
734897	2511	1997-05-09	PRIJEM	VKLAD	13397	49038	\N	\N	\N
734898	2511	1997-06-09	PRIJEM	VKLAD	20096	57929	\N	\N	\N
734899	2511	1997-07-09	PRIJEM	VKLAD	13397	47702	\N	\N	\N
734900	2511	1997-08-09	PRIJEM	VKLAD	13397	48438	\N	\N	\N
734901	2511	1997-09-09	PRIJEM	VKLAD	13397	38438	\N	\N	\N
734902	2511	1997-10-09	PRIJEM	VKLAD	13397	40976	\N	\N	\N
734903	2511	1997-11-09	PRIJEM	VKLAD	13397	38512	\N	\N	\N
734904	2511	1997-12-09	PRIJEM	VKLAD	20096	43137	\N	\N	\N
734905	2511	1998-01-09	PRIJEM	VKLAD	13397	33823	\N	\N	\N
734906	2511	1998-02-09	PRIJEM	VKLAD	13397	36543	\N	\N	\N
734907	2511	1998-03-09	PRIJEM	VKLAD	13397	38975	\N	\N	\N
734908	2511	1998-04-09	PRIJEM	VKLAD	13397	45325	\N	\N	\N
734909	2511	1998-05-09	PRIJEM	VKLAD	13397	43017	\N	\N	\N
734910	2511	1998-06-09	PRIJEM	VKLAD	20096	51070	\N	\N	\N
734911	2511	1998-07-09	PRIJEM	VKLAD	13397	49241	\N	\N	\N
734912	2511	1998-08-09	PRIJEM	VKLAD	13397	36478	\N	\N	\N
734913	2511	1998-09-09	PRIJEM	VKLAD	13397	39534	\N	\N	\N
734914	2511	1998-10-09	PRIJEM	VKLAD	13397	42691	\N	\N	\N
734915	2511	1998-11-09	PRIJEM	VKLAD	13397	44868	\N	\N	\N
734916	2511	1998-12-09	PRIJEM	VKLAD	20096	51793	\N	\N	\N
734925	2511	1994-09-14	VYDAJ	PREVOD NA UCET	2696	40110	SIPO	KL	56617802
734926	2511	1994-10-14	VYDAJ	PREVOD NA UCET	2696	38491	SIPO	KL	56617802
734927	2511	1994-11-14	VYDAJ	PREVOD NA UCET	2696	31803	SIPO	KL	56617802
734928	2511	1994-12-14	VYDAJ	PREVOD NA UCET	2696	39890	SIPO	KL	56617802
734929	2511	1995-01-14	VYDAJ	PREVOD NA UCET	2696	36962	SIPO	KL	56617802
734930	2511	1995-02-14	VYDAJ	PREVOD NA UCET	2696	32389	SIPO	KL	56617802
734931	2511	1995-03-14	VYDAJ	PREVOD NA UCET	2696	34137	SIPO	KL	56617802
734932	2511	1995-04-14	VYDAJ	PREVOD NA UCET	2696	35393	SIPO	KL	56617802
734933	2511	1995-05-14	VYDAJ	PREVOD NA UCET	2696	36654	SIPO	KL	56617802
734934	2511	1995-06-14	VYDAJ	PREVOD NA UCET	2696	47320	SIPO	KL	56617802
734935	2511	1995-07-14	VYDAJ	PREVOD NA UCET	2696	37506	SIPO	KL	56617802
734936	2511	1995-08-14	VYDAJ	PREVOD NA UCET	2696	40839	SIPO	KL	56617802
734937	2511	1995-09-14	VYDAJ	PREVOD NA UCET	2696	46532	SIPO	KL	56617802
734938	2511	1995-10-14	VYDAJ	PREVOD NA UCET	2696	45339	SIPO	KL	56617802
734939	2511	1995-11-14	VYDAJ	PREVOD NA UCET	2696	49150	SIPO	KL	56617802
734940	2511	1995-12-14	VYDAJ	PREVOD NA UCET	2696	41540	SIPO	KL	56617802
734941	2511	1996-01-14	VYDAJ	PREVOD NA UCET	2696	39771	SIPO	KL	56617802
734942	2511	1996-02-14	VYDAJ	PREVOD NA UCET	2696	40106	SIPO	KL	56617802
734943	2511	1996-03-14	VYDAJ	PREVOD NA UCET	2696	45231	SIPO	KL	56617802
734944	2511	1996-04-14	VYDAJ	PREVOD NA UCET	2696	48436	SIPO	KL	56617802
734945	2511	1996-05-14	VYDAJ	PREVOD NA UCET	2696	48744	SIPO	KL	56617802
734946	2511	1996-06-14	VYDAJ	PREVOD NA UCET	2696	55211	SIPO	KL	56617802
734947	2511	1996-07-14	VYDAJ	PREVOD NA UCET	2696	52231	SIPO	KL	56617802
734948	2511	1996-08-14	VYDAJ	PREVOD NA UCET	2696	54657	SIPO	KL	56617802
734949	2511	1996-09-14	VYDAJ	PREVOD NA UCET	2696	54187	SIPO	KL	56617802
734950	2511	1996-10-14	VYDAJ	PREVOD NA UCET	2696	54314	SIPO	KL	56617802
734951	2511	1996-11-14	VYDAJ	PREVOD NA UCET	2696	54142	SIPO	KL	56617802
734952	2511	1996-12-14	VYDAJ	PREVOD NA UCET	2696	64074	SIPO	KL	56617802
734953	2511	1997-01-14	VYDAJ	PREVOD NA UCET	2696	55215	SIPO	KL	56617802
734954	2511	1997-02-14	VYDAJ	PREVOD NA UCET	2696	42110	SIPO	KL	56617802
734955	2511	1997-03-14	VYDAJ	PREVOD NA UCET	2696	49924	SIPO	KL	56617802
734956	2511	1997-04-14	VYDAJ	PREVOD NA UCET	2696	47928	SIPO	KL	56617802
734957	2511	1997-05-14	VYDAJ	PREVOD NA UCET	2696	43283	SIPO	KL	56617802
734958	2511	1997-06-14	VYDAJ	PREVOD NA UCET	2696	39674	SIPO	KL	56617802
734959	2511	1997-07-14	VYDAJ	PREVOD NA UCET	2696	35747	SIPO	KL	56617802
734960	2511	1997-08-14	VYDAJ	PREVOD NA UCET	2696	29483	SIPO	KL	56617802
734961	2511	1997-09-14	VYDAJ	PREVOD NA UCET	2696	27483	SIPO	KL	56617802
734962	2511	1997-10-14	VYDAJ	PREVOD NA UCET	2696	25021	SIPO	KL	56617802
734963	2511	1997-11-14	VYDAJ	PREVOD NA UCET	2696	22957	SIPO	KL	56617802
734964	2511	1997-12-14	VYDAJ	PREVOD NA UCET	2696	24542	SIPO	KL	56617802
734965	2511	1998-01-14	VYDAJ	PREVOD NA UCET	2696	23068	SIPO	KL	56617802
734966	2511	1998-02-14	VYDAJ	PREVOD NA UCET	2696	25488	SIPO	KL	56617802
734967	2511	1998-03-14	VYDAJ	PREVOD NA UCET	2696	31820	SIPO	KL	56617802
734968	2511	1998-04-14	VYDAJ	PREVOD NA UCET	2696	29510	SIPO	KL	56617802
734969	2511	1998-05-14	VYDAJ	PREVOD NA UCET	2696	30862	SIPO	KL	56617802
734970	2511	1998-06-14	VYDAJ	PREVOD NA UCET	2696	35715	SIPO	KL	56617802
734971	2511	1998-07-14	VYDAJ	PREVOD NA UCET	2696	31786	SIPO	KL	56617802
734972	2511	1998-08-14	VYDAJ	PREVOD NA UCET	2696	27243	SIPO	KL	56617802
734973	2511	1998-09-14	VYDAJ	PREVOD NA UCET	2696	33779	SIPO	KL	56617802
734974	2511	1998-10-14	VYDAJ	PREVOD NA UCET	2696	36936	SIPO	KL	56617802
734975	2511	1998-11-14	VYDAJ	PREVOD NA UCET	2696	39113	SIPO	KL	56617802
734976	2511	1998-12-14	VYDAJ	PREVOD NA UCET	2696	46038	SIPO	KL	56617802
734985	2511	1994-09-11	VYDAJ	PREVOD NA UCET	3059	42806	 	ST	88212847
734986	2511	1994-10-11	VYDAJ	PREVOD NA UCET	3059	41187	 	ST	88212847
734987	2511	1994-11-11	VYDAJ	PREVOD NA UCET	3059	34499	 	ST	88212847
734988	2511	1994-12-11	VYDAJ	PREVOD NA UCET	3059	42586	 	ST	88212847
734989	2511	1995-01-11	VYDAJ	PREVOD NA UCET	3059	39658	 	ST	88212847
734990	2511	1995-02-11	VYDAJ	PREVOD NA UCET	3059	35085	 	ST	88212847
734991	2511	1995-03-11	VYDAJ	PREVOD NA UCET	3059	36833	 	ST	88212847
734992	2511	1995-04-11	VYDAJ	PREVOD NA UCET	3059	38089	 	ST	88212847
734993	2511	1995-05-11	VYDAJ	PREVOD NA UCET	3059	39350	 	ST	88212847
734994	2511	1995-06-11	VYDAJ	PREVOD NA UCET	3059	50016	 	ST	88212847
734995	2511	1995-07-11	VYDAJ	PREVOD NA UCET	3059	40202	 	ST	88212847
734996	2511	1995-08-11	VYDAJ	PREVOD NA UCET	3059	43535	 	ST	88212847
734997	2511	1995-09-11	VYDAJ	PREVOD NA UCET	3059	49228	 	ST	88212847
734998	2511	1995-10-11	VYDAJ	PREVOD NA UCET	3059	48035	 	ST	88212847
734999	2511	1995-11-11	VYDAJ	PREVOD NA UCET	3059	51846	 	ST	88212847
735000	2511	1995-12-11	VYDAJ	PREVOD NA UCET	3059	47116	 	ST	88212847
735001	2511	1996-01-11	VYDAJ	PREVOD NA UCET	3059	42467	 	ST	88212847
735002	2511	1996-02-11	VYDAJ	PREVOD NA UCET	3059	42802	 	ST	88212847
735003	2511	1996-03-11	VYDAJ	PREVOD NA UCET	3059	47927	 	ST	88212847
735004	2511	1996-04-11	VYDAJ	PREVOD NA UCET	3059	51132	 	ST	88212847
735005	2511	1996-05-11	VYDAJ	PREVOD NA UCET	3059	51440	 	ST	88212847
735006	2511	1996-06-11	VYDAJ	PREVOD NA UCET	3059	57907	 	ST	88212847
735007	2511	1996-07-11	VYDAJ	PREVOD NA UCET	3059	54927	 	ST	88212847
735008	2511	1996-08-11	VYDAJ	PREVOD NA UCET	3059	57353	 	ST	88212847
735009	2511	1996-09-11	VYDAJ	PREVOD NA UCET	3059	56883	 	ST	88212847
735010	2511	1996-10-11	VYDAJ	PREVOD NA UCET	3059	57010	 	ST	88212847
735011	2511	1996-11-11	VYDAJ	PREVOD NA UCET	3059	56838	 	ST	88212847
735012	2511	1996-12-11	VYDAJ	PREVOD NA UCET	3059	66770	 	ST	88212847
735013	2511	1997-01-11	VYDAJ	PREVOD NA UCET	3059	57911	 	ST	88212847
735014	2511	1997-02-11	VYDAJ	PREVOD NA UCET	3059	52806	 	ST	88212847
735015	2511	1997-03-11	VYDAJ	PREVOD NA UCET	3059	52620	 	ST	88212847
735016	2511	1997-04-11	VYDAJ	PREVOD NA UCET	3059	50624	 	ST	88212847
735017	2511	1997-05-11	VYDAJ	PREVOD NA UCET	3059	45979	 	ST	88212847
735018	2511	1997-06-11	VYDAJ	PREVOD NA UCET	3059	54870	 	ST	88212847
735019	2511	1997-07-11	VYDAJ	PREVOD NA UCET	3059	44643	 	ST	88212847
735020	2511	1997-08-11	VYDAJ	PREVOD NA UCET	3059	45379	 	ST	88212847
735021	2511	1997-09-11	VYDAJ	PREVOD NA UCET	3059	35379	 	ST	88212847
735022	2511	1997-10-11	VYDAJ	PREVOD NA UCET	3059	37917	 	ST	88212847
735023	2511	1997-11-11	VYDAJ	PREVOD NA UCET	3059	25653	 	ST	88212847
735024	2511	1997-12-11	VYDAJ	PREVOD NA UCET	3059	40078	 	ST	88212847
735025	2511	1998-01-11	VYDAJ	PREVOD NA UCET	3059	25764	 	ST	88212847
735026	2511	1998-02-11	VYDAJ	PREVOD NA UCET	3059	28184	 	ST	88212847
735027	2511	1998-03-11	VYDAJ	PREVOD NA UCET	3059	34516	 	ST	88212847
735028	2511	1998-04-11	VYDAJ	PREVOD NA UCET	3059	32206	 	ST	88212847
735029	2511	1998-05-11	VYDAJ	PREVOD NA UCET	3059	33558	 	ST	88212847
735030	2511	1998-06-11	VYDAJ	PREVOD NA UCET	3059	38411	 	ST	88212847
735031	2511	1998-07-11	VYDAJ	PREVOD NA UCET	3059	34482	 	ST	88212847
735032	2511	1998-08-11	VYDAJ	PREVOD NA UCET	3059	29939	 	ST	88212847
735033	2511	1998-09-11	VYDAJ	PREVOD NA UCET	3059	36475	 	ST	88212847
735034	2511	1998-10-11	VYDAJ	PREVOD NA UCET	3059	39632	 	ST	88212847
735035	2511	1998-11-11	VYDAJ	PREVOD NA UCET	3059	41809	 	ST	88212847
735036	2511	1998-12-11	VYDAJ	PREVOD NA UCET	3059	48734	 	ST	88212847
735038	2511	1995-06-22	VYDAJ	VYBER	13600	33720	\N	\N	\N
735043	2511	1995-01-16	VYDAJ	VYBER	10880	26082	\N	\N	\N
735044	2511	1996-01-17	VYDAJ	VYBER	13440	26331	\N	\N	\N
735045	2511	1997-01-30	VYDAJ	VYBER	3680	46235	\N	\N	\N
735047	2511	1994-12-11	VYDAJ	VYBER	2560	45645	\N	\N	\N
735048	2511	1995-12-06	VYDAJ	VYBER	2880	30079	\N	\N	\N
735049	2511	1996-12-24	VYDAJ	VYBER	2880	47374	\N	\N	\N
735050	2511	1997-12-12	VYDAJ	VYBER	3040	27238	\N	\N	\N
735051	2511	1998-12-01	VYDAJ	VYBER	1760	37497	\N	\N	\N
735054	2511	1994-10-30	VYDAJ	VYBER	4560	24031	\N	\N	\N
735056	2511	1995-01-21	VYDAJ	VYBER	840	25242	\N	\N	\N
735057	2511	1995-08-09	VYDAJ	VYBER	2160	46594	\N	\N	\N
735058	2511	1995-12-02	VYDAJ	VYBER	3240	32959	\N	\N	\N
735059	2511	1995-11-29	VYDAJ	VYBER	4920	36030	\N	\N	\N
735060	2511	1995-10-10	VYDAJ	VYBER	5400	51094	\N	\N	\N
735061	2511	1995-12-13	VYDAJ	VYBER	2880	44236	\N	\N	\N
735062	2511	1995-07-31	VYDAJ	VYBER	1080	35357	\N	\N	\N
735063	2511	1995-03-24	VYDAJ	VYBER	1200	32937	\N	\N	\N
735064	2511	1996-12-15	VYDAJ	VYBER	5520	58554	\N	\N	\N
735065	2511	1996-01-06	VYDAJ	VYBER	5760	32129	\N	\N	\N
735066	2511	1996-05-22	VYDAJ	VYBER	2040	40704	\N	\N	\N
735067	2511	1996-03-10	VYDAJ	VYBER	3360	50986	\N	\N	\N
735068	2511	1997-05-02	VYDAJ	VYBER	3240	35641	\N	\N	\N
735069	2511	1997-07-29	VYDAJ	VYBER	840	34907	\N	\N	\N
735070	2511	1997-08-30	VYDAJ	VYBER	4560	24923	\N	\N	\N
735071	2511	1997-02-10	VYDAJ	VYBER	3960	55865	\N	\N	\N
735072	2511	1997-12-29	VYDAJ	VYBER	4200	20342	\N	\N	\N
735073	2511	1997-06-29	VYDAJ	VYBER	5520	34154	\N	\N	\N
735074	2511	1998-10-27	VYDAJ	VYBER	1200	35736	\N	\N	\N
735075	2511	1998-04-10	VYDAJ	VYBER	3960	41365	\N	\N	\N
735076	2511	1998-07-23	VYDAJ	VYBER	5520	26266	\N	\N	\N
735077	2511	1998-12-23	VYDAJ	VYBER	2640	43398	\N	\N	\N
735078	2511	1998-08-10	VYDAJ	VYBER	3480	32998	\N	\N	\N
735079	2511	1998-08-22	VYDAJ	VYBER	3000	24243	\N	\N	\N
735089	2511	1994-09-30	VYDAJ	VYBER	15	30849	SLUZBY	\N	\N
735090	2511	1994-10-31	VYDAJ	VYBER	15	24161	SLUZBY	\N	\N
735091	2511	1994-11-30	VYDAJ	VYBER	15	28109	SLUZBY	\N	\N
735092	2511	1994-12-31	VYDAJ	VYBER	15	29320	SLUZBY	\N	\N
735093	2511	1995-01-31	VYDAJ	VYBER	15	24747	SLUZBY	\N	\N
735094	2511	1995-02-28	VYDAJ	VYBER	15	26495	SLUZBY	\N	\N
735095	2511	1995-03-31	VYDAJ	VYBER	15	27751	SLUZBY	\N	\N
735096	2511	1995-04-30	VYDAJ	VYBER	15	29012	SLUZBY	\N	\N
735097	2511	1995-05-31	VYDAJ	VYBER	15	32979	SLUZBY	\N	\N
735098	2511	1995-06-30	VYDAJ	VYBER	15	29864	SLUZBY	\N	\N
735099	2511	1995-07-31	VYDAJ	VYBER	15	36437	SLUZBY	\N	\N
735100	2511	1995-08-31	VYDAJ	VYBER	15	38890	SLUZBY	\N	\N
735101	2511	1995-09-30	VYDAJ	VYBER	15	43097	SLUZBY	\N	\N
735102	2511	1995-10-31	VYDAJ	VYBER	15	41508	SLUZBY	\N	\N
735103	2511	1995-11-30	VYDAJ	VYBER	15	36199	SLUZBY	\N	\N
735104	2511	1995-12-31	VYDAJ	VYBER	15	37889	SLUZBY	\N	\N
735105	2511	1996-01-31	VYDAJ	VYBER	15	32464	SLUZBY	\N	\N
735106	2511	1996-02-29	VYDAJ	VYBER	15	40949	SLUZBY	\N	\N
735107	2511	1996-03-31	VYDAJ	VYBER	15	40794	SLUZBY	\N	\N
735108	2511	1996-04-30	VYDAJ	VYBER	15	41102	SLUZBY	\N	\N
735109	2511	1996-05-31	VYDAJ	VYBER	15	40870	SLUZBY	\N	\N
735110	2511	1996-06-30	VYDAJ	VYBER	15	44589	SLUZBY	\N	\N
735111	2511	1996-07-31	VYDAJ	VYBER	15	47015	SLUZBY	\N	\N
735112	2511	1996-08-31	VYDAJ	VYBER	15	46545	SLUZBY	\N	\N
735113	2511	1996-09-30	VYDAJ	VYBER	15	46672	SLUZBY	\N	\N
735114	2511	1996-10-31	VYDAJ	VYBER	15	46500	SLUZBY	\N	\N
735115	2511	1996-11-30	VYDAJ	VYBER	15	49733	SLUZBY	\N	\N
735116	2511	1996-12-31	VYDAJ	VYBER	15	47573	SLUZBY	\N	\N
735117	2511	1997-01-31	VYDAJ	VYBER	15	46428	SLUZBY	\N	\N
735118	2511	1997-02-28	VYDAJ	VYBER	15	42282	SLUZBY	\N	\N
735119	2511	1997-03-31	VYDAJ	VYBER	15	40286	SLUZBY	\N	\N
735120	2511	1997-04-30	VYDAJ	VYBER	15	38881	SLUZBY	\N	\N
735121	2511	1997-05-31	VYDAJ	VYBER	15	37833	SLUZBY	\N	\N
735122	2511	1997-06-30	VYDAJ	VYBER	15	34305	SLUZBY	\N	\N
735123	2511	1997-07-31	VYDAJ	VYBER	15	35041	SLUZBY	\N	\N
735124	2511	1997-08-31	VYDAJ	VYBER	15	25041	SLUZBY	\N	\N
735125	2511	1997-09-30	VYDAJ	VYBER	15	27579	SLUZBY	\N	\N
735126	2511	1997-10-31	VYDAJ	VYBER	15	25115	SLUZBY	\N	\N
735127	2511	1997-11-30	VYDAJ	VYBER	15	23041	SLUZBY	\N	\N
735128	2511	1997-12-31	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
735129	2511	1998-01-31	VYDAJ	VYBER	15	23146	SLUZBY	\N	\N
735130	2511	1998-02-28	VYDAJ	VYBER	15	25578	SLUZBY	\N	\N
735131	2511	1998-03-31	VYDAJ	VYBER	15	31928	SLUZBY	\N	\N
735132	2511	1998-04-30	VYDAJ	VYBER	15	29620	SLUZBY	\N	\N
735133	2511	1998-05-31	VYDAJ	VYBER	15	30974	SLUZBY	\N	\N
735134	2511	1998-06-30	VYDAJ	VYBER	15	35844	SLUZBY	\N	\N
735135	2511	1998-07-31	VYDAJ	VYBER	15	26381	SLUZBY	\N	\N
735136	2511	1998-08-31	VYDAJ	VYBER	15	24337	SLUZBY	\N	\N
735137	2511	1998-09-30	VYDAJ	VYBER	15	33894	SLUZBY	\N	\N
735138	2511	1998-10-31	VYDAJ	VYBER	15	35871	SLUZBY	\N	\N
735139	2511	1998-11-30	VYDAJ	VYBER	15	39257	SLUZBY	\N	\N
735140	2511	1994-05-31	PRIJEM	VKLAD	2600	16741	\N	\N	\N
735141	2511	1994-06-30	VYDAJ	VYBER	5300	31609	\N	\N	\N
735142	2511	1994-07-30	VYDAJ	VYBER	13100	31906	\N	\N	\N
735143	2511	1994-08-29	VYDAJ	VYBER	13100	32335	\N	\N	\N
735144	2511	1994-09-28	VYDAJ	VYBER	9400	30710	\N	\N	\N
735145	2511	1994-10-28	VYDAJ	VYBER	9900	28591	\N	\N	\N
735146	2511	1994-11-27	VYDAJ	VYBER	3800	28003	\N	\N	\N
735147	2511	1994-12-27	VYDAJ	VYBER	10700	29190	\N	\N	\N
735148	2511	1995-01-26	VYDAJ	VYBER	600	24642	\N	\N	\N
735149	2511	1995-02-25	VYDAJ	VYBER	6000	26389	\N	\N	\N
735150	2511	1995-03-27	VYDAJ	VYBER	5300	27637	\N	\N	\N
735151	2511	1995-04-26	VYDAJ	VYBER	6500	28893	\N	\N	\N
735152	2511	1995-05-26	VYDAJ	VYBER	3800	32854	\N	\N	\N
735153	2511	1995-06-25	VYDAJ	VYBER	4000	29720	\N	\N	\N
735154	2511	1995-07-25	VYDAJ	VYBER	1200	36306	\N	\N	\N
735155	2511	1995-08-24	VYDAJ	VYBER	2100	38739	\N	\N	\N
735156	2511	1995-09-23	VYDAJ	VYBER	3600	42932	\N	\N	\N
735157	2511	1995-10-23	VYDAJ	VYBER	4000	41339	\N	\N	\N
735158	2511	1995-11-22	VYDAJ	VYBER	8200	40950	\N	\N	\N
735159	2511	1995-12-22	VYDAJ	VYBER	3800	37740	\N	\N	\N
735160	2511	1996-01-21	PRIJEM	VKLAD	6000	32331	\N	\N	\N
735161	2511	1996-02-20	PRIJEM	VKLAD	700	40806	\N	\N	\N
735162	2511	1996-03-21	VYDAJ	VYBER	4600	40631	\N	\N	\N
735163	2511	1996-04-20	VYDAJ	VYBER	7500	40936	\N	\N	\N
735164	2511	1996-05-20	VYDAJ	VYBER	6000	42744	\N	\N	\N
735165	2511	1996-06-19	VYDAJ	VYBER	10800	44411	\N	\N	\N
735166	2511	1996-07-19	VYDAJ	VYBER	5400	46831	\N	\N	\N
735167	2511	1996-08-18	VYDAJ	VYBER	8300	46357	\N	\N	\N
735168	2511	1996-09-17	VYDAJ	VYBER	7700	46487	\N	\N	\N
735169	2511	1996-10-17	VYDAJ	VYBER	8000	46314	\N	\N	\N
735170	2511	1996-11-16	VYDAJ	VYBER	4600	49542	\N	\N	\N
735171	2511	1996-12-16	VYDAJ	VYBER	8300	50254	\N	\N	\N
735172	2511	1997-01-15	VYDAJ	VYBER	5300	49915	\N	\N	\N
735173	2511	1997-02-14	VYDAJ	VYBER	8000	44806	\N	\N	\N
735174	2511	1997-03-16	VYDAJ	VYBER	9800	40124	\N	\N	\N
735175	2511	1997-04-15	VYDAJ	VYBER	9200	38728	\N	\N	\N
735176	2511	1997-05-15	VYDAJ	VYBER	5600	37683	\N	\N	\N
735177	2511	1997-06-14	VYDAJ	VYBER	12500	42370	\N	\N	\N
735178	2511	1997-07-14	VYDAJ	VYBER	6200	38443	\N	\N	\N
735179	2511	1997-08-13	VYDAJ	VYBER	13200	32179	\N	\N	\N
735180	2511	1997-09-12	VYDAJ	VYBER	5200	30179	\N	\N	\N
735181	2511	1997-10-12	VYDAJ	VYBER	10200	27717	\N	\N	\N
735182	2511	1997-11-11	VYDAJ	VYBER	9800	28712	\N	\N	\N
735183	2511	1997-12-11	VYDAJ	VYBER	9800	30278	\N	\N	\N
735184	2511	1998-01-10	VYDAJ	VYBER	5000	28823	\N	\N	\N
735185	2511	1998-02-09	VYDAJ	VYBER	5300	31243	\N	\N	\N
735186	2511	1998-03-11	VYDAJ	VYBER	1400	37575	\N	\N	\N
735187	2511	1998-04-10	VYDAJ	VYBER	6100	35265	\N	\N	\N
735188	2511	1998-05-10	VYDAJ	VYBER	6400	36617	\N	\N	\N
735189	2511	1998-06-09	VYDAJ	VYBER	9600	41470	\N	\N	\N
735190	2511	1998-07-09	VYDAJ	VYBER	11700	37541	\N	\N	\N
735191	2511	1998-08-08	VYDAJ	VYBER	3300	23081	\N	\N	\N
735192	2511	1998-09-07	PRIJEM	VKLAD	1800	26137	\N	\N	\N
735193	2511	1998-10-07	VYDAJ	VYBER	4600	29294	\N	\N	\N
735194	2511	1998-11-06	VYDAJ	VYBER	4400	31471	\N	\N	\N
735195	2511	1998-12-06	VYDAJ	VYBER	5800	31697	\N	\N	\N
735609	2513	1993-07-22	PRIJEM	VKLAD	200	200	\N	\N	\N
735617	2513	1993-08-12	PRIJEM	PREVOD Z UCTU	3983	4183	\N	IJ	20867938
735618	2513	1993-09-12	PRIJEM	PREVOD Z UCTU	3983	17987	\N	IJ	20867938
735619	2513	1993-10-12	PRIJEM	PREVOD Z UCTU	3983	26441	\N	IJ	20867938
735620	2513	1993-11-12	PRIJEM	PREVOD Z UCTU	3983	27619	\N	IJ	20867938
735621	2513	1993-12-12	PRIJEM	PREVOD Z UCTU	3983	29904	\N	IJ	20867938
735622	2513	1994-01-12	PRIJEM	PREVOD Z UCTU	3983	28176	\N	IJ	20867938
735623	2513	1994-02-12	PRIJEM	PREVOD Z UCTU	3983	26622	\N	IJ	20867938
735624	2513	1994-03-12	PRIJEM	PREVOD Z UCTU	3983	26129	\N	IJ	20867938
735625	2513	1994-04-12	PRIJEM	PREVOD Z UCTU	3983	24804	\N	IJ	20867938
735626	2513	1994-05-12	PRIJEM	PREVOD Z UCTU	3983	29014	\N	IJ	20867938
735627	2513	1994-06-12	PRIJEM	PREVOD Z UCTU	3983	29377	\N	IJ	20867938
735628	2513	1994-07-12	PRIJEM	PREVOD Z UCTU	3983	22198	\N	IJ	20867938
735629	2513	1994-08-12	PRIJEM	PREVOD Z UCTU	3983	26596	\N	IJ	20867938
735630	2513	1994-09-12	PRIJEM	PREVOD Z UCTU	3983	26034	\N	IJ	20867938
735631	2513	1994-10-12	PRIJEM	PREVOD Z UCTU	3983	29017	\N	IJ	20867938
735632	2513	1994-11-12	PRIJEM	PREVOD Z UCTU	3983	27030	\N	IJ	20867938
735633	2513	1994-12-12	PRIJEM	PREVOD Z UCTU	3983	26839	\N	IJ	20867938
735634	2513	1995-01-12	PRIJEM	PREVOD Z UCTU	3983	28072	\N	IJ	20867938
735635	2513	1995-02-12	PRIJEM	PREVOD Z UCTU	3983	27638	\N	IJ	20867938
735636	2513	1995-03-12	PRIJEM	PREVOD Z UCTU	3983	27851	\N	IJ	20867938
735637	2513	1995-04-12	PRIJEM	PREVOD Z UCTU	3983	26761	\N	IJ	20867938
735638	2513	1995-05-12	PRIJEM	PREVOD Z UCTU	3983	28172	\N	IJ	20867938
735639	2513	1995-06-12	PRIJEM	PREVOD Z UCTU	3983	25133	\N	IJ	20867938
735640	2513	1995-07-12	PRIJEM	PREVOD Z UCTU	3983	26470	\N	IJ	20867938
735641	2513	1995-08-12	PRIJEM	PREVOD Z UCTU	3983	29450	\N	IJ	20867938
735642	2513	1995-09-12	PRIJEM	PREVOD Z UCTU	3983	28340	\N	IJ	20867938
735643	2513	1995-10-12	PRIJEM	PREVOD Z UCTU	3983	29560	\N	IJ	20867938
735644	2513	1995-11-12	PRIJEM	PREVOD Z UCTU	3983	31724	\N	IJ	20867938
735645	2513	1995-12-12	PRIJEM	PREVOD Z UCTU	3983	28583	\N	IJ	20867938
735646	2513	1996-01-12	PRIJEM	PREVOD Z UCTU	3983	24687	\N	IJ	20867938
735647	2513	1996-02-12	PRIJEM	PREVOD Z UCTU	3983	23000	\N	IJ	20867938
735648	2513	1996-03-12	PRIJEM	PREVOD Z UCTU	3983	21195	\N	IJ	20867938
735649	2513	1996-04-12	PRIJEM	PREVOD Z UCTU	3983	23088	\N	IJ	20867938
735650	2513	1996-05-12	PRIJEM	PREVOD Z UCTU	3983	23483	\N	IJ	20867938
735651	2513	1996-06-12	PRIJEM	PREVOD Z UCTU	3983	20283	\N	IJ	20867938
735652	2513	1996-07-12	PRIJEM	PREVOD Z UCTU	3983	20474	\N	IJ	20867938
735653	2513	1996-08-12	PRIJEM	PREVOD Z UCTU	3983	17261	\N	IJ	20867938
735654	2513	1996-09-12	PRIJEM	PREVOD Z UCTU	3983	18639	\N	IJ	20867938
735655	2513	1996-10-12	PRIJEM	PREVOD Z UCTU	3983	20016	\N	IJ	20867938
735656	2513	1996-11-12	PRIJEM	PREVOD Z UCTU	3983	20887	\N	IJ	20867938
735657	2513	1996-12-12	PRIJEM	PREVOD Z UCTU	3983	20773	\N	IJ	20867938
735658	2513	1997-01-12	PRIJEM	PREVOD Z UCTU	3983	17579	\N	IJ	20867938
735659	2513	1997-02-12	PRIJEM	PREVOD Z UCTU	3983	19005	\N	IJ	20867938
735660	2513	1997-03-12	PRIJEM	PREVOD Z UCTU	3983	20082	\N	IJ	20867938
735661	2513	1997-04-12	PRIJEM	PREVOD Z UCTU	3983	21466	\N	IJ	20867938
735662	2513	1997-05-12	PRIJEM	PREVOD Z UCTU	3983	21754	\N	IJ	20867938
735663	2513	1997-06-12	PRIJEM	PREVOD Z UCTU	3983	20645	\N	IJ	20867938
735664	2513	1997-07-12	PRIJEM	PREVOD Z UCTU	3983	21734	\N	IJ	20867938
735665	2513	1997-08-12	PRIJEM	PREVOD Z UCTU	3983	19124	\N	IJ	20867938
735666	2513	1997-09-12	PRIJEM	PREVOD Z UCTU	3983	18947	\N	IJ	20867938
735667	2513	1997-10-12	PRIJEM	PREVOD Z UCTU	3983	18883	\N	IJ	20867938
735668	2513	1997-11-12	PRIJEM	PREVOD Z UCTU	3983	18638	\N	IJ	20867938
735669	2513	1997-12-12	PRIJEM	PREVOD Z UCTU	3983	19805	\N	IJ	20867938
735670	2513	1998-01-12	PRIJEM	PREVOD Z UCTU	3983	20196	\N	IJ	20867938
735671	2513	1998-02-12	PRIJEM	PREVOD Z UCTU	3983	19207	\N	IJ	20867938
735672	2513	1998-03-12	PRIJEM	PREVOD Z UCTU	3983	19715	\N	IJ	20867938
735673	2513	1998-04-12	PRIJEM	PREVOD Z UCTU	3983	21097	\N	IJ	20867938
735674	2513	1998-05-12	PRIJEM	PREVOD Z UCTU	3983	22483	\N	IJ	20867938
735675	2513	1998-06-12	PRIJEM	PREVOD Z UCTU	3983	17870	\N	IJ	20867938
735676	2513	1998-07-12	PRIJEM	PREVOD Z UCTU	3983	17942	\N	IJ	20867938
735677	2513	1998-08-12	PRIJEM	PREVOD Z UCTU	3983	19314	\N	IJ	20867938
735678	2513	1998-09-12	PRIJEM	PREVOD Z UCTU	3983	20692	\N	IJ	20867938
735679	2513	1998-10-12	PRIJEM	PREVOD Z UCTU	3983	22076	\N	IJ	20867938
735680	2513	1998-11-12	PRIJEM	PREVOD Z UCTU	3983	23465	\N	IJ	20867938
735681	2513	1998-12-12	PRIJEM	PREVOD Z UCTU	3983	19144	\N	IJ	20867938
735693	2513	1993-12-13	VYDAJ	PREVOD NA UCET	2655	27249	SIPO	YZ	17385280
735694	2513	1994-01-13	VYDAJ	PREVOD NA UCET	2655	25521	SIPO	YZ	17385280
735695	2513	1994-02-13	VYDAJ	PREVOD NA UCET	2655	23967	SIPO	YZ	17385280
735696	2513	1994-03-13	VYDAJ	PREVOD NA UCET	2655	23474	SIPO	YZ	17385280
735697	2513	1994-04-13	VYDAJ	PREVOD NA UCET	2655	22149	SIPO	YZ	17385280
735698	2513	1994-05-13	VYDAJ	PREVOD NA UCET	2655	26359	SIPO	YZ	17385280
735699	2513	1994-06-13	VYDAJ	PREVOD NA UCET	2655	26722	SIPO	YZ	17385280
735700	2513	1994-07-13	VYDAJ	PREVOD NA UCET	2655	19543	SIPO	YZ	17385280
735701	2513	1994-08-13	VYDAJ	PREVOD NA UCET	2655	23941	SIPO	YZ	17385280
735702	2513	1994-09-13	VYDAJ	PREVOD NA UCET	2655	23379	SIPO	YZ	17385280
735703	2513	1994-10-13	VYDAJ	PREVOD NA UCET	2655	26362	SIPO	YZ	17385280
735704	2513	1994-11-13	VYDAJ	PREVOD NA UCET	2655	24375	SIPO	YZ	17385280
735705	2513	1994-12-13	VYDAJ	PREVOD NA UCET	2655	24184	SIPO	YZ	17385280
735706	2513	1995-01-13	VYDAJ	PREVOD NA UCET	2655	25817	SIPO	YZ	17385280
735707	2513	1995-02-13	VYDAJ	PREVOD NA UCET	2655	23783	SIPO	YZ	17385280
735708	2513	1995-03-13	VYDAJ	PREVOD NA UCET	2655	25196	SIPO	YZ	17385280
735709	2513	1995-04-13	VYDAJ	PREVOD NA UCET	2655	24106	SIPO	YZ	17385280
735710	2513	1995-05-13	VYDAJ	PREVOD NA UCET	2655	24217	SIPO	YZ	17385280
735711	2513	1995-06-13	VYDAJ	PREVOD NA UCET	2655	21608	SIPO	YZ	17385280
735712	2513	1995-07-13	VYDAJ	PREVOD NA UCET	2655	23815	SIPO	YZ	17385280
735713	2513	1995-08-13	VYDAJ	PREVOD NA UCET	2655	26795	SIPO	YZ	17385280
735714	2513	1995-09-13	VYDAJ	PREVOD NA UCET	2655	25685	SIPO	YZ	17385280
735715	2513	1995-10-13	VYDAJ	PREVOD NA UCET	2655	26905	SIPO	YZ	17385280
735716	2513	1995-11-13	VYDAJ	PREVOD NA UCET	2655	29069	SIPO	YZ	17385280
735717	2513	1995-12-13	VYDAJ	PREVOD NA UCET	2655	25928	SIPO	YZ	17385280
735718	2513	1996-01-13	VYDAJ	PREVOD NA UCET	2655	20502	SIPO	YZ	17385280
735719	2513	1996-02-13	VYDAJ	PREVOD NA UCET	2655	20345	SIPO	YZ	17385280
735720	2513	1996-03-13	VYDAJ	PREVOD NA UCET	2655	18540	SIPO	YZ	17385280
735721	2513	1996-04-13	VYDAJ	PREVOD NA UCET	2655	20433	SIPO	YZ	17385280
735722	2513	1996-05-13	VYDAJ	PREVOD NA UCET	2655	20828	SIPO	YZ	17385280
735723	2513	1996-06-13	VYDAJ	PREVOD NA UCET	2655	17628	SIPO	YZ	17385280
735724	2513	1996-07-13	VYDAJ	PREVOD NA UCET	2655	17819	SIPO	YZ	17385280
735725	2513	1996-08-13	VYDAJ	PREVOD NA UCET	2655	14606	SIPO	YZ	17385280
735726	2513	1996-09-13	VYDAJ	PREVOD NA UCET	2655	15984	SIPO	YZ	17385280
735727	2513	1996-10-13	VYDAJ	PREVOD NA UCET	2655	17361	SIPO	YZ	17385280
735728	2513	1996-11-13	VYDAJ	PREVOD NA UCET	2655	18232	SIPO	YZ	17385280
735729	2513	1996-12-13	VYDAJ	PREVOD NA UCET	2655	18118	SIPO	YZ	17385280
735730	2513	1997-01-13	VYDAJ	PREVOD NA UCET	2655	14924	SIPO	YZ	17385280
735731	2513	1997-02-13	VYDAJ	PREVOD NA UCET	2655	16350	SIPO	YZ	17385280
735732	2513	1997-03-13	VYDAJ	PREVOD NA UCET	2655	17427	SIPO	YZ	17385280
735733	2513	1997-04-13	VYDAJ	PREVOD NA UCET	2655	18811	SIPO	YZ	17385280
735734	2513	1997-05-13	VYDAJ	PREVOD NA UCET	2655	19099	SIPO	YZ	17385280
735735	2513	1997-06-13	VYDAJ	PREVOD NA UCET	2655	17990	SIPO	YZ	17385280
735736	2513	1997-07-13	VYDAJ	PREVOD NA UCET	2655	19079	SIPO	YZ	17385280
735737	2513	1997-08-13	VYDAJ	PREVOD NA UCET	2655	16469	SIPO	YZ	17385280
735738	2513	1997-09-13	VYDAJ	PREVOD NA UCET	2655	16292	SIPO	YZ	17385280
735739	2513	1997-10-13	VYDAJ	PREVOD NA UCET	2655	16228	SIPO	YZ	17385280
735740	2513	1997-11-13	VYDAJ	PREVOD NA UCET	2655	15983	SIPO	YZ	17385280
735741	2513	1997-12-13	VYDAJ	PREVOD NA UCET	2655	17150	SIPO	YZ	17385280
735742	2513	1998-01-13	VYDAJ	PREVOD NA UCET	2655	17541	SIPO	YZ	17385280
735743	2513	1998-02-13	VYDAJ	PREVOD NA UCET	2655	16552	SIPO	YZ	17385280
735744	2513	1998-03-13	VYDAJ	PREVOD NA UCET	2655	17060	SIPO	YZ	17385280
735745	2513	1998-04-13	VYDAJ	PREVOD NA UCET	2655	18442	SIPO	YZ	17385280
735746	2513	1998-05-13	VYDAJ	PREVOD NA UCET	2655	19828	SIPO	YZ	17385280
735747	2513	1998-06-13	VYDAJ	PREVOD NA UCET	2655	15215	SIPO	YZ	17385280
735748	2513	1998-07-13	VYDAJ	PREVOD NA UCET	2655	15287	SIPO	YZ	17385280
735749	2513	1998-08-13	VYDAJ	PREVOD NA UCET	2655	16659	SIPO	YZ	17385280
735750	2513	1998-09-13	VYDAJ	PREVOD NA UCET	2655	18037	SIPO	YZ	17385280
735751	2513	1998-10-13	VYDAJ	PREVOD NA UCET	2655	19421	SIPO	YZ	17385280
735752	2513	1998-11-13	VYDAJ	PREVOD NA UCET	2655	20810	SIPO	YZ	17385280
735753	2513	1998-12-13	VYDAJ	PREVOD NA UCET	2655	16489	SIPO	YZ	17385280
735755	2513	1994-06-20	VYDAJ	VYBER	6090	18132	\N	\N	\N
735756	2513	1995-06-01	VYDAJ	VYBER	8460	15850	\N	\N	\N
735761	2513	1994-01-25	VYDAJ	VYBER	420	23451	\N	\N	\N
735762	2513	1995-01-22	VYDAJ	VYBER	390	23897	\N	\N	\N
735763	2513	1996-01-04	VYDAJ	VYBER	2730	22934	\N	\N	\N
735766	2513	1993-12-14	VYDAJ	VYBER	540	26709	\N	\N	\N
735767	2513	1994-12-26	VYDAJ	VYBER	180	24904	\N	\N	\N
735768	2513	1995-12-23	VYDAJ	VYBER	360	25568	\N	\N	\N
735769	2513	1996-12-27	VYDAJ	VYBER	480	16438	\N	\N	\N
735770	2513	1997-12-07	VYDAJ	VYBER	210	15822	\N	\N	\N
735778	2513	1994-01-10	VYDAJ	VYBER	540	24193	\N	\N	\N
735779	2513	1994-01-26	VYDAJ	VYBER	150	23301	\N	\N	\N
735780	2513	1994-01-27	VYDAJ	VYBER	750	22551	\N	\N	\N
735781	2513	1994-01-19	VYDAJ	VYBER	450	23871	\N	\N	\N
735782	2513	1994-01-05	VYDAJ	VYBER	600	25303	\N	\N	\N
735783	2513	1994-01-09	VYDAJ	VYBER	570	24733	\N	\N	\N
735784	2513	1995-01-19	VYDAJ	VYBER	480	24287	\N	\N	\N
735785	2513	1995-01-07	VYDAJ	VYBER	750	24089	\N	\N	\N
735786	2513	1995-01-18	VYDAJ	VYBER	210	24767	\N	\N	\N
735787	2513	1995-01-17	VYDAJ	VYBER	480	24977	\N	\N	\N
735788	2513	1995-01-23	VYDAJ	VYBER	330	23567	\N	\N	\N
735789	2513	1995-01-15	VYDAJ	VYBER	360	25457	\N	\N	\N
735790	2513	1996-01-13	VYDAJ	VYBER	480	23157	\N	\N	\N
735791	2513	1996-01-29	VYDAJ	VYBER	690	18942	\N	\N	\N
735792	2513	1996-01-16	VYDAJ	VYBER	870	19632	\N	\N	\N
735793	2513	1996-01-13	VYDAJ	VYBER	690	23637	\N	\N	\N
735794	2513	1996-01-12	VYDAJ	VYBER	360	24327	\N	\N	\N
735795	2513	1996-01-08	VYDAJ	VYBER	630	22304	\N	\N	\N
735798	2513	1997-01-23	VYDAJ	VYBER	690	14234	\N	\N	\N
735801	2513	1997-01-24	VYDAJ	VYBER	390	13844	\N	\N	\N
735802	2513	1998-01-19	VYDAJ	VYBER	810	16731	\N	\N	\N
735803	2513	1998-01-24	VYDAJ	VYBER	810	15501	\N	\N	\N
735804	2513	1998-01-24	VYDAJ	VYBER	330	15171	\N	\N	\N
735805	2513	1998-01-09	VYDAJ	VYBER	210	16213	\N	\N	\N
735806	2513	1998-01-20	VYDAJ	VYBER	420	16311	\N	\N	\N
735807	2513	1998-01-02	VYDAJ	VYBER	780	16423	\N	\N	\N
735813	2513	1994-04-05	VYDAJ	VYBER	240	20821	\N	\N	\N
735814	2513	1994-05-26	VYDAJ	VYBER	750	27009	\N	\N	\N
735815	2513	1994-03-23	VYDAJ	VYBER	1290	20984	\N	\N	\N
735816	2513	1994-09-23	VYDAJ	VYBER	930	24949	\N	\N	\N
735817	2513	1994-06-04	VYDAJ	VYBER	1080	26024	\N	\N	\N
735818	2513	1994-06-09	VYDAJ	VYBER	630	25394	\N	\N	\N
735819	2513	1994-08-29	VYDAJ	VYBER	270	21971	\N	\N	\N
735820	2513	1995-08-23	VYDAJ	VYBER	930	25865	\N	\N	\N
735821	2513	1995-06-12	VYDAJ	VYBER	870	24263	\N	\N	\N
735822	2513	1995-01-04	VYDAJ	VYBER	150	24839	\N	\N	\N
735823	2513	1995-08-10	VYDAJ	VYBER	330	23567	\N	\N	\N
735824	2513	1995-10-29	VYDAJ	VYBER	960	25945	\N	\N	\N
735825	2513	1995-12-08	VYDAJ	VYBER	570	28600	\N	\N	\N
735826	2513	1996-10-17	VYDAJ	VYBER	510	16851	\N	\N	\N
735828	2513	1996-12-20	VYDAJ	VYBER	1200	16918	\N	\N	\N
735829	2513	1997-08-17	VYDAJ	VYBER	870	15599	\N	\N	\N
735830	2513	1997-02-08	VYDAJ	VYBER	870	15022	\N	\N	\N
735831	2513	1997-11-01	VYDAJ	VYBER	420	14655	\N	\N	\N
735832	2513	1997-10-20	VYDAJ	VYBER	1200	15028	\N	\N	\N
735833	2513	1997-09-15	VYDAJ	VYBER	1440	14852	\N	\N	\N
735834	2513	1997-09-11	VYDAJ	VYBER	690	14964	\N	\N	\N
735836	2513	1998-03-02	VYDAJ	VYBER	870	15732	\N	\N	\N
735837	2513	1998-11-27	VYDAJ	VYBER	510	15100	\N	\N	\N
735850	2513	1993-12-31	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
735851	2513	1994-01-31	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
735852	2513	1994-02-28	VYDAJ	VYBER	15	22146	SLUZBY	\N	\N
735853	2513	1994-03-31	VYDAJ	VYBER	15	21061	SLUZBY	\N	\N
735854	2513	1994-04-30	VYDAJ	VYBER	15	25031	SLUZBY	\N	\N
735855	2513	1994-05-31	VYDAJ	VYBER	15	27104	SLUZBY	\N	\N
735856	2513	1994-06-30	VYDAJ	VYBER	15	18215	SLUZBY	\N	\N
735857	2513	1994-07-31	VYDAJ	VYBER	15	22613	SLUZBY	\N	\N
735858	2513	1994-08-31	VYDAJ	VYBER	15	22051	SLUZBY	\N	\N
735859	2513	1994-09-30	VYDAJ	VYBER	15	25034	SLUZBY	\N	\N
735860	2513	1994-10-31	VYDAJ	VYBER	15	23047	SLUZBY	\N	\N
735861	2513	1994-11-30	VYDAJ	VYBER	15	22856	SLUZBY	\N	\N
735862	2513	1994-12-31	VYDAJ	VYBER	15	24989	SLUZBY	\N	\N
735863	2513	1995-01-31	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
735864	2513	1995-02-28	VYDAJ	VYBER	15	23868	SLUZBY	\N	\N
735865	2513	1995-03-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
735866	2513	1995-04-30	VYDAJ	VYBER	15	24189	SLUZBY	\N	\N
735867	2513	1995-05-31	VYDAJ	VYBER	15	24310	SLUZBY	\N	\N
735868	2513	1995-06-30	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
735869	2513	1995-07-31	VYDAJ	VYBER	15	23897	SLUZBY	\N	\N
735870	2513	1995-08-31	VYDAJ	VYBER	15	25957	SLUZBY	\N	\N
735871	2513	1995-09-30	VYDAJ	VYBER	15	25777	SLUZBY	\N	\N
735872	2513	1995-10-31	VYDAJ	VYBER	15	26041	SLUZBY	\N	\N
735873	2513	1995-11-30	VYDAJ	VYBER	15	29170	SLUZBY	\N	\N
735874	2513	1995-12-31	VYDAJ	VYBER	15	25664	SLUZBY	\N	\N
735875	2513	1996-01-31	VYDAJ	VYBER	15	19017	SLUZBY	\N	\N
735876	2513	1996-02-29	VYDAJ	VYBER	15	20412	SLUZBY	\N	\N
735877	2513	1996-03-31	VYDAJ	VYBER	15	18605	SLUZBY	\N	\N
735878	2513	1996-04-30	VYDAJ	VYBER	15	20500	SLUZBY	\N	\N
735879	2513	1996-05-31	VYDAJ	VYBER	15	20900	SLUZBY	\N	\N
735880	2513	1996-06-30	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
735881	2513	1996-07-31	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
735882	2513	1996-08-31	VYDAJ	VYBER	15	14656	SLUZBY	\N	\N
735883	2513	1996-09-30	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
735884	2513	1996-10-31	VYDAJ	VYBER	15	16904	SLUZBY	\N	\N
735885	2513	1996-11-30	VYDAJ	VYBER	15	18290	SLUZBY	\N	\N
735886	2513	1996-12-31	VYDAJ	VYBER	15	16496	SLUZBY	\N	\N
735887	2513	1997-01-31	VYDAJ	VYBER	15	13892	SLUZBY	\N	\N
735888	2513	1997-02-28	VYDAJ	VYBER	15	16399	SLUZBY	\N	\N
735889	2513	1997-03-31	VYDAJ	VYBER	15	17483	SLUZBY	\N	\N
735890	2513	1997-04-30	VYDAJ	VYBER	15	18871	SLUZBY	\N	\N
735891	2513	1997-05-31	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
735892	2513	1997-06-30	VYDAJ	VYBER	15	18051	SLUZBY	\N	\N
735893	2513	1997-07-31	VYDAJ	VYBER	15	19141	SLUZBY	\N	\N
735894	2513	1997-08-31	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
735895	2513	1997-09-30	VYDAJ	VYBER	15	14900	SLUZBY	\N	\N
735896	2513	1997-10-31	VYDAJ	VYBER	15	15075	SLUZBY	\N	\N
735897	2513	1997-11-30	VYDAJ	VYBER	15	16032	SLUZBY	\N	\N
735898	2513	1997-12-31	VYDAJ	VYBER	15	17203	SLUZBY	\N	\N
735899	2513	1998-01-31	VYDAJ	VYBER	15	15224	SLUZBY	\N	\N
735900	2513	1998-02-28	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
735901	2513	1998-03-31	VYDAJ	VYBER	15	17114	SLUZBY	\N	\N
735902	2513	1998-04-30	VYDAJ	VYBER	15	18500	SLUZBY	\N	\N
735903	2513	1998-05-31	VYDAJ	VYBER	15	13887	SLUZBY	\N	\N
735904	2513	1998-06-30	VYDAJ	VYBER	15	13959	SLUZBY	\N	\N
735905	2513	1998-07-31	VYDAJ	VYBER	15	15331	SLUZBY	\N	\N
735906	2513	1998-08-31	VYDAJ	VYBER	15	16709	SLUZBY	\N	\N
735907	2513	1998-09-30	VYDAJ	VYBER	15	18093	SLUZBY	\N	\N
735908	2513	1998-10-31	VYDAJ	VYBER	15	19482	SLUZBY	\N	\N
735909	2513	1998-11-30	VYDAJ	VYBER	15	15161	SLUZBY	\N	\N
735910	2513	1993-08-21	PRIJEM	VKLAD	9800	13983	\N	\N	\N
735911	2513	1993-09-20	PRIJEM	VKLAD	4400	22387	\N	\N	\N
735912	2513	1993-10-20	VYDAJ	VYBER	2900	23541	\N	\N	\N
735913	2513	1993-11-19	VYDAJ	VYBER	1800	25819	\N	\N	\N
735914	2513	1993-12-19	VYDAJ	VYBER	900	25809	\N	\N	\N
735915	2513	1994-01-18	VYDAJ	VYBER	1200	24321	\N	\N	\N
735916	2513	1994-02-17	VYDAJ	VYBER	1900	22067	\N	\N	\N
735917	2513	1994-03-19	VYDAJ	VYBER	1200	22274	\N	\N	\N
735918	2513	1994-04-18	PRIJEM	VKLAD	2800	24949	\N	\N	\N
735919	2513	1994-05-18	PRIJEM	VKLAD	1400	27759	\N	\N	\N
735920	2513	1994-06-17	VYDAJ	VYBER	2500	24222	\N	\N	\N
735921	2513	1994-07-17	PRIJEM	VKLAD	3000	22543	\N	\N	\N
735922	2513	1994-08-16	VYDAJ	VYBER	1700	22241	\N	\N	\N
735923	2513	1994-09-15	PRIJEM	VKLAD	2500	25879	\N	\N	\N
735924	2513	1994-10-15	VYDAJ	VYBER	3400	22962	\N	\N	\N
735925	2513	1994-11-14	VYDAJ	VYBER	1600	22775	\N	\N	\N
735926	2513	1994-12-14	PRIJEM	VKLAD	900	25084	\N	\N	\N
735927	2513	1995-01-13	PRIJEM	VKLAD	400	28472	\N	\N	\N
735928	2513	1995-02-12	VYDAJ	VYBER	1200	26438	\N	\N	\N
735929	2513	1995-03-14	VYDAJ	VYBER	2500	22696	\N	\N	\N
735930	2513	1995-05-13	VYDAJ	VYBER	1300	26872	\N	\N	\N
735931	2513	1995-06-12	PRIJEM	VKLAD	5300	21150	\N	\N	\N
735932	2513	1995-07-12	PRIJEM	VKLAD	800	22487	\N	\N	\N
735933	2513	1995-08-11	PRIJEM	VKLAD	1900	25467	\N	\N	\N
735934	2513	1995-09-10	VYDAJ	VYBER	1600	24357	\N	\N	\N
735935	2513	1995-10-10	VYDAJ	VYBER	200	25577	\N	\N	\N
735936	2513	1995-11-09	PRIJEM	VKLAD	1700	27741	\N	\N	\N
735937	2513	1995-12-09	VYDAJ	VYBER	4000	24600	\N	\N	\N
735938	2513	1996-01-08	VYDAJ	VYBER	1600	20704	\N	\N	\N
735939	2513	1996-03-08	VYDAJ	VYBER	3200	17212	\N	\N	\N
735940	2513	1996-04-07	PRIJEM	VKLAD	500	19105	\N	\N	\N
735941	2513	1996-05-07	VYDAJ	VYBER	1000	19500	\N	\N	\N
735942	2513	1996-06-06	VYDAJ	VYBER	4600	16300	\N	\N	\N
735943	2513	1996-07-06	VYDAJ	VYBER	1200	16491	\N	\N	\N
735944	2513	1996-08-05	VYDAJ	VYBER	4600	13278	\N	\N	\N
735945	2513	1996-12-03	VYDAJ	VYBER	1500	16790	\N	\N	\N
735946	2513	1997-01-02	VYDAJ	VYBER	2900	13596	\N	\N	\N
735947	2513	1997-02-01	PRIJEM	VKLAD	2000	15892	\N	\N	\N
735948	2513	1997-03-03	VYDAJ	VYBER	300	16099	\N	\N	\N
735949	2513	1997-05-02	VYDAJ	VYBER	1100	17771	\N	\N	\N
735950	2513	1997-06-01	VYDAJ	VYBER	2500	16662	\N	\N	\N
735951	2513	1997-07-01	VYDAJ	VYBER	300	17751	\N	\N	\N
735952	2513	1997-07-31	VYDAJ	VYBER	4000	15141	\N	\N	\N
735953	2513	1998-05-27	VYDAJ	VYBER	6000	13828	\N	\N	\N
735954	2513	1998-06-26	VYDAJ	VYBER	1300	13915	\N	\N	\N
735955	2513	1998-11-23	VYDAJ	VYBER	5200	15610	\N	\N	\N
736021	2514	1995-08-13	PRIJEM	VKLAD	200	200	\N	\N	\N
736030	2514	1995-09-11	PRIJEM	VKLAD	16415	16615	\N	\N	\N
736031	2514	1995-10-11	PRIJEM	VKLAD	16415	36383	\N	\N	\N
736032	2514	1995-11-11	PRIJEM	VKLAD	16415	47510	\N	\N	\N
736033	2514	1995-12-11	PRIJEM	VKLAD	24622	59207	\N	\N	\N
736034	2514	1996-01-11	PRIJEM	VKLAD	16415	49398	\N	\N	\N
736035	2514	1996-02-11	PRIJEM	VKLAD	16415	42466	\N	\N	\N
736036	2514	1996-03-11	PRIJEM	VKLAD	16415	46410	\N	\N	\N
736037	2514	1996-04-11	PRIJEM	VKLAD	16415	52282	\N	\N	\N
736038	2514	1996-05-11	PRIJEM	VKLAD	16415	53975	\N	\N	\N
736039	2514	1996-06-11	PRIJEM	VKLAD	24622	55186	\N	\N	\N
736040	2514	1996-07-11	PRIJEM	VKLAD	16415	52486	\N	\N	\N
736041	2514	1996-08-11	PRIJEM	VKLAD	16415	51085	\N	\N	\N
736042	2514	1996-09-11	PRIJEM	VKLAD	16415	50583	\N	\N	\N
736043	2514	1996-10-11	PRIJEM	VKLAD	16415	50178	\N	\N	\N
736044	2514	1996-11-11	PRIJEM	VKLAD	16415	52663	\N	\N	\N
736045	2514	1996-12-11	PRIJEM	VKLAD	24622	62967	\N	\N	\N
736046	2514	1997-01-11	PRIJEM	VKLAD	16415	60094	\N	\N	\N
736047	2514	1997-02-11	PRIJEM	VKLAD	16415	49998	\N	\N	\N
736048	2514	1997-03-11	PRIJEM	VKLAD	16415	60478	\N	\N	\N
736049	2514	1997-04-11	PRIJEM	VKLAD	16415	67598	\N	\N	\N
736050	2514	1997-05-11	PRIJEM	VKLAD	16415	68653	\N	\N	\N
736051	2514	1997-06-11	PRIJEM	VKLAD	24622	78927	\N	\N	\N
736052	2514	1997-07-11	PRIJEM	VKLAD	16415	70223	\N	\N	\N
736053	2514	1997-08-11	PRIJEM	VKLAD	16415	71787	\N	\N	\N
736054	2514	1997-09-11	PRIJEM	VKLAD	16415	77364	\N	\N	\N
736055	2514	1997-10-11	PRIJEM	VKLAD	16415	77661	\N	\N	\N
736056	2514	1997-11-11	PRIJEM	VKLAD	16415	77366	\N	\N	\N
736057	2514	1997-12-11	PRIJEM	VKLAD	24622	84656	\N	\N	\N
736058	2514	1998-01-11	PRIJEM	VKLAD	16415	74649	\N	\N	\N
736059	2514	1998-02-11	PRIJEM	VKLAD	16415	63396	\N	\N	\N
736060	2514	1998-03-11	PRIJEM	VKLAD	16415	67220	\N	\N	\N
736061	2514	1998-04-11	PRIJEM	VKLAD	16415	69560	\N	\N	\N
736062	2514	1998-05-11	PRIJEM	VKLAD	16415	71105	\N	\N	\N
736063	2514	1998-06-11	PRIJEM	VKLAD	24622	67463	\N	\N	\N
736064	2514	1998-07-11	PRIJEM	VKLAD	16415	79510	\N	\N	\N
736065	2514	1998-08-11	PRIJEM	VKLAD	16415	83099	\N	\N	\N
736066	2514	1998-09-11	PRIJEM	VKLAD	16415	84600	\N	\N	\N
736067	2514	1998-10-11	PRIJEM	VKLAD	16415	87102	\N	\N	\N
736068	2514	1998-11-11	PRIJEM	VKLAD	16415	92822	\N	\N	\N
736069	2514	1998-12-11	PRIJEM	VKLAD	24622	104469	\N	\N	\N
736082	2514	1996-01-12	VYDAJ	PREVOD NA UCET	4001	45397	SIPO	GH	46998095
736083	2514	1996-02-12	VYDAJ	PREVOD NA UCET	4001	38465	SIPO	GH	46998095
736084	2514	1996-03-12	VYDAJ	PREVOD NA UCET	4001	42409	SIPO	GH	46998095
736085	2514	1996-04-12	VYDAJ	PREVOD NA UCET	4001	48281	SIPO	GH	46998095
736086	2514	1996-05-12	VYDAJ	PREVOD NA UCET	4001	49974	SIPO	GH	46998095
736087	2514	1996-06-12	VYDAJ	PREVOD NA UCET	4001	51185	SIPO	GH	46998095
736088	2514	1996-07-12	VYDAJ	PREVOD NA UCET	4001	48485	SIPO	GH	46998095
736089	2514	1996-08-12	VYDAJ	PREVOD NA UCET	4001	47084	SIPO	GH	46998095
736090	2514	1996-09-12	VYDAJ	PREVOD NA UCET	4001	46582	SIPO	GH	46998095
736091	2514	1996-10-12	VYDAJ	PREVOD NA UCET	4001	46177	SIPO	GH	46998095
736092	2514	1996-11-12	VYDAJ	PREVOD NA UCET	4001	48662	SIPO	GH	46998095
736093	2514	1996-12-12	VYDAJ	PREVOD NA UCET	4001	58966	SIPO	GH	46998095
736094	2514	1997-01-12	VYDAJ	PREVOD NA UCET	4001	56093	SIPO	GH	46998095
736095	2514	1997-02-12	VYDAJ	PREVOD NA UCET	4001	45997	SIPO	GH	46998095
736096	2514	1997-03-12	VYDAJ	PREVOD NA UCET	4001	56477	SIPO	GH	46998095
736097	2514	1997-04-12	VYDAJ	PREVOD NA UCET	4001	63597	SIPO	GH	46998095
736098	2514	1997-05-12	VYDAJ	PREVOD NA UCET	4001	64652	SIPO	GH	46998095
736099	2514	1997-06-12	VYDAJ	PREVOD NA UCET	4001	74926	SIPO	GH	46998095
736100	2514	1997-07-12	VYDAJ	PREVOD NA UCET	4001	66222	SIPO	GH	46998095
736101	2514	1997-08-12	VYDAJ	PREVOD NA UCET	4001	67786	SIPO	GH	46998095
736102	2514	1997-09-12	VYDAJ	PREVOD NA UCET	4001	73363	SIPO	GH	46998095
736103	2514	1997-10-12	VYDAJ	PREVOD NA UCET	4001	73660	SIPO	GH	46998095
736104	2514	1997-11-12	VYDAJ	PREVOD NA UCET	4001	73365	SIPO	GH	46998095
736105	2514	1997-12-12	VYDAJ	PREVOD NA UCET	4001	80655	SIPO	GH	46998095
736106	2514	1998-01-12	VYDAJ	PREVOD NA UCET	4001	67748	SIPO	GH	46998095
736107	2514	1998-02-12	VYDAJ	PREVOD NA UCET	4001	59395	SIPO	GH	46998095
736108	2514	1998-03-12	VYDAJ	PREVOD NA UCET	4001	63219	SIPO	GH	46998095
736109	2514	1998-04-12	VYDAJ	PREVOD NA UCET	4001	65559	SIPO	GH	46998095
736110	2514	1998-05-12	VYDAJ	PREVOD NA UCET	4001	67104	SIPO	GH	46998095
736111	2514	1998-06-12	VYDAJ	PREVOD NA UCET	4001	63462	SIPO	GH	46998095
736112	2514	1998-07-12	VYDAJ	PREVOD NA UCET	4001	75509	SIPO	GH	46998095
736113	2514	1998-08-12	VYDAJ	PREVOD NA UCET	4001	79098	SIPO	GH	46998095
736114	2514	1998-09-12	VYDAJ	PREVOD NA UCET	4001	80599	SIPO	GH	46998095
736115	2514	1998-10-12	VYDAJ	PREVOD NA UCET	4001	83101	SIPO	GH	46998095
736116	2514	1998-11-12	VYDAJ	PREVOD NA UCET	4001	88821	SIPO	GH	46998095
736117	2514	1998-12-12	VYDAJ	PREVOD NA UCET	4001	100468	SIPO	GH	46998095
736119	2514	1996-06-03	VYDAJ	VYBER	12700	34064	\N	\N	\N
736120	2514	1997-06-12	VYDAJ	VYBER	16700	58226	\N	\N	\N
736121	2514	1998-06-04	VYDAJ	VYBER	11800	46641	\N	\N	\N
736123	2514	1996-01-29	VYDAJ	VYBER	9400	27097	\N	\N	\N
736124	2514	1997-01-27	VYDAJ	VYBER	5700	41193	\N	\N	\N
736125	2514	1998-01-19	VYDAJ	VYBER	8000	59748	\N	\N	\N
736127	2514	1996-12-23	VYDAJ	VYBER KARTOU	2000	56966	\N	\N	0
736128	2514	1997-12-17	VYDAJ	VYBER KARTOU	2900	77755	\N	\N	0
736129	2514	1998-12-26	VYDAJ	VYBER KARTOU	2000	81968	\N	\N	0
736136	2514	1996-01-13	VYDAJ	VYBER	900	44497	\N	\N	\N
736138	2514	1996-01-27	VYDAJ	VYBER	1100	37197	\N	\N	\N
736139	2514	1996-01-29	VYDAJ	VYBER	700	36497	\N	\N	\N
736141	2514	1996-01-21	VYDAJ	VYBER	1900	42597	\N	\N	\N
736142	2514	1997-01-16	VYDAJ	VYBER KARTOU	2500	53593	\N	\N	0
736143	2514	1997-01-25	VYDAJ	VYBER KARTOU	2400	47393	\N	\N	0
736144	2514	1997-01-02	VYDAJ	VYBER KARTOU	1400	55779	\N	\N	0
736145	2514	1997-01-21	VYDAJ	VYBER KARTOU	2300	49793	\N	\N	0
736146	2514	1997-01-26	VYDAJ	VYBER KARTOU	500	46893	\N	\N	0
736147	2514	1997-01-18	VYDAJ	VYBER KARTOU	1500	52093	\N	\N	0
736148	2514	1998-01-23	VYDAJ	VYBER KARTOU	2300	53648	\N	\N	0
736149	2514	1998-01-11	VYDAJ	VYBER KARTOU	2900	71749	\N	\N	0
736150	2514	1998-01-19	VYDAJ	VYBER KARTOU	800	58948	\N	\N	0
736151	2514	1998-01-27	VYDAJ	VYBER KARTOU	1100	52548	\N	\N	0
736152	2514	1998-01-10	VYDAJ	VYBER KARTOU	1900	58234	\N	\N	0
736153	2514	1998-01-04	VYDAJ	VYBER KARTOU	1400	60134	\N	\N	0
736161	2514	1996-05-27	VYDAJ	VYBER	3400	46574	\N	\N	\N
736162	2514	1996-01-21	VYDAJ	VYBER	4300	38297	\N	\N	\N
736163	2514	1996-07-01	VYDAJ	VYBER	2400	48971	\N	\N	\N
736164	2514	1996-10-03	VYDAJ	VYBER	4400	42363	\N	\N	\N
736165	2514	1996-11-24	VYDAJ	VYBER KARTOU	1600	47062	\N	\N	0
736166	2514	1997-02-07	VYDAJ	VYBER KARTOU	3200	33583	\N	\N	0
736167	2514	1997-03-06	VYDAJ	VYBER KARTOU	1300	44063	\N	\N	0
736168	2514	1997-08-09	VYDAJ	VYBER KARTOU	3300	55372	\N	\N	0
736169	2514	1998-04-20	VYDAJ	VYBER KARTOU	900	62559	\N	\N	0
736170	2514	1998-05-23	VYDAJ	VYBER	4800	62304	\N	\N	\N
736171	2514	1998-01-21	VYDAJ	VYBER KARTOU	3000	55948	\N	\N	0
736172	2514	1998-09-15	VYDAJ	VYBER KARTOU	2900	77699	\N	\N	0
736173	2514	1998-06-07	VYDAJ	VYBER KARTOU	3800	42841	\N	\N	0
736174	2514	1998-04-18	VYDAJ	VYBER KARTOU	2100	63459	\N	\N	0
736188	2514	1996-01-31	VYDAJ	VYBER	15	27251	SLUZBY	\N	\N
736189	2514	1996-02-29	VYDAJ	VYBER	15	38595	SLUZBY	\N	\N
736190	2514	1996-03-31	VYDAJ	VYBER	15	42567	SLUZBY	\N	\N
736191	2514	1996-04-30	VYDAJ	VYBER	15	48460	SLUZBY	\N	\N
736192	2514	1996-05-31	VYDAJ	VYBER	15	46764	SLUZBY	\N	\N
736193	2514	1996-06-30	VYDAJ	VYBER	15	51371	SLUZBY	\N	\N
736194	2514	1996-07-31	VYDAJ	VYBER	15	48670	SLUZBY	\N	\N
736195	2514	1996-08-31	VYDAJ	VYBER	15	47268	SLUZBY	\N	\N
736196	2514	1996-09-30	VYDAJ	VYBER	15	46763	SLUZBY	\N	\N
736197	2514	1996-10-31	VYDAJ	VYBER	15	46348	SLUZBY	\N	\N
736198	2514	1996-11-30	VYDAJ	VYBER	15	47245	SLUZBY	\N	\N
736199	2514	1996-12-31	VYDAJ	VYBER	15	57179	SLUZBY	\N	\N
736200	2514	1997-01-31	VYDAJ	VYBER	15	41383	SLUZBY	\N	\N
736201	2514	1997-02-28	VYDAJ	VYBER	15	46163	SLUZBY	\N	\N
736202	2514	1997-03-31	VYDAJ	VYBER	15	56683	SLUZBY	\N	\N
736203	2514	1997-04-30	VYDAJ	VYBER	15	63838	SLUZBY	\N	\N
736204	2514	1997-05-31	VYDAJ	VYBER	15	64905	SLUZBY	\N	\N
736205	2514	1997-06-30	VYDAJ	VYBER	15	58508	SLUZBY	\N	\N
736206	2514	1997-07-31	VYDAJ	VYBER	15	66472	SLUZBY	\N	\N
736207	2514	1997-08-31	VYDAJ	VYBER	15	68049	SLUZBY	\N	\N
736208	2514	1997-09-30	VYDAJ	VYBER	15	73646	SLUZBY	\N	\N
736209	2514	1997-10-31	VYDAJ	VYBER	15	60951	SLUZBY	\N	\N
736210	2514	1997-11-30	VYDAJ	VYBER	15	60034	SLUZBY	\N	\N
736211	2514	1997-12-31	VYDAJ	VYBER	15	61534	SLUZBY	\N	\N
736212	2514	1998-01-31	VYDAJ	VYBER	15	46981	SLUZBY	\N	\N
736213	2514	1998-02-28	VYDAJ	VYBER	15	50805	SLUZBY	\N	\N
736214	2514	1998-03-31	VYDAJ	VYBER	15	53145	SLUZBY	\N	\N
736215	2514	1998-04-30	VYDAJ	VYBER	15	54690	SLUZBY	\N	\N
736216	2514	1998-05-31	VYDAJ	VYBER	15	58441	SLUZBY	\N	\N
736217	2514	1998-06-30	VYDAJ	VYBER	15	63095	SLUZBY	\N	\N
736218	2514	1998-07-31	VYDAJ	VYBER	15	66684	SLUZBY	\N	\N
736219	2514	1998-08-31	VYDAJ	VYBER	15	68185	SLUZBY	\N	\N
736220	2514	1998-09-30	VYDAJ	VYBER	15	70687	SLUZBY	\N	\N
736221	2514	1998-10-31	VYDAJ	VYBER	15	76407	SLUZBY	\N	\N
736222	2514	1998-11-30	VYDAJ	VYBER	15	79847	SLUZBY	\N	\N
736223	2514	1995-09-12	PRIJEM	VKLAD	3300	19915	\N	\N	\N
736224	2514	1995-10-12	VYDAJ	VYBER	5400	30983	\N	\N	\N
736225	2514	1995-11-11	VYDAJ	VYBER	13100	34410	\N	\N	\N
736226	2514	1995-12-11	VYDAJ	VYBER	19500	39707	\N	\N	\N
736227	2514	1996-01-10	VYDAJ	VYBER	6900	32983	\N	\N	\N
736228	2514	1996-02-09	VYDAJ	VYBER	1200	26051	\N	\N	\N
736229	2514	1996-03-10	VYDAJ	VYBER	8600	29995	\N	\N	\N
736230	2514	1996-04-09	VYDAJ	VYBER	6700	35867	\N	\N	\N
736231	2514	1996-05-09	VYDAJ	VYBER	10900	37560	\N	\N	\N
736232	2514	1996-06-08	VYDAJ	VYBER	3500	30564	\N	\N	\N
736233	2514	1996-07-08	VYDAJ	VYBER	12900	36071	\N	\N	\N
736234	2514	1996-08-07	VYDAJ	VYBER	14000	34670	\N	\N	\N
736235	2514	1996-09-06	VYDAJ	VYBER	13100	34168	\N	\N	\N
736236	2514	1996-10-06	VYDAJ	VYBER	8600	33763	\N	\N	\N
736237	2514	1996-11-05	VYDAJ	VYBER	10100	36248	\N	\N	\N
736238	2514	1996-12-05	VYDAJ	VYBER	8900	38345	\N	\N	\N
736239	2514	1997-01-04	VYDAJ	VYBER	12100	43679	\N	\N	\N
736240	2514	1997-02-03	VYDAJ	VYBER	4600	36783	\N	\N	\N
736241	2514	1997-03-05	VYDAJ	VYBER KARTOU	800	45363	\N	\N	0
736242	2514	1997-04-04	VYDAJ	VYBER	5500	51183	\N	\N	\N
736243	2514	1997-05-04	VYDAJ	VYBER	11600	52238	\N	\N	\N
736244	2514	1997-06-03	VYDAJ	VYBER	10600	54305	\N	\N	\N
736245	2514	1997-07-03	VYDAJ	VYBER	4700	53808	\N	\N	\N
736246	2514	1997-08-02	VYDAJ	VYBER	7800	58672	\N	\N	\N
736247	2514	1997-09-01	VYDAJ	VYBER	7100	60949	\N	\N	\N
736248	2514	1997-10-01	VYDAJ	VYBER	12400	61246	\N	\N	\N
736249	2514	1997-10-31	VYDAJ	VYBER	13000	60965	\N	\N	\N
736250	2514	1997-11-30	VYDAJ	VYBER	13600	60048	\N	\N	\N
736251	2514	1997-12-30	VYDAJ	VYBER	16500	61255	\N	\N	\N
736252	2514	1998-01-29	VYDAJ	VYBER	5800	46748	\N	\N	\N
736253	2514	1998-02-28	VYDAJ	VYBER	8800	50819	\N	\N	\N
736254	2514	1998-03-30	VYDAJ	VYBER	10300	52919	\N	\N	\N
736255	2514	1998-04-29	VYDAJ	VYBER	8100	54459	\N	\N	\N
736256	2514	1998-05-29	VYDAJ	VYBER	4100	58204	\N	\N	\N
736257	2514	1998-06-28	VYDAJ	VYBER KARTOU	600	62862	\N	\N	0
736258	2514	1998-07-28	VYDAJ	VYBER	9100	66409	\N	\N	\N
736259	2514	1998-08-27	VYDAJ	VYBER	11200	67898	\N	\N	\N
736260	2514	1998-09-26	VYDAJ	VYBER	7300	70399	\N	\N	\N
736261	2514	1998-10-26	VYDAJ	VYBER	7000	76101	\N	\N	\N
736262	2514	1998-11-25	VYDAJ	VYBER	9300	79521	\N	\N	\N
736263	2514	1998-12-25	VYDAJ	VYBER	16500	83968	\N	\N	\N
736304	2515	1995-10-24	PRIJEM	VKLAD	800	800	\N	\N	\N
736305	2515	1996-07-29	PRIJEM	VKLAD	49747	69947	\N	\N	\N
736306	2515	1997-04-18	PRIJEM	VKLAD	23180	64935	\N	\N	\N
736307	2515	1997-11-24	PRIJEM	VKLAD	45836	137529	\N	\N	\N
736308	2515	1997-10-02	PRIJEM	VKLAD	22121	66880	\N	\N	\N
736309	2515	1997-10-13	PRIJEM	VKLAD	32547	99427	\N	\N	\N
736310	2515	1997-06-26	PRIJEM	VKLAD	48705	90969	\N	\N	\N
736311	2515	1997-02-22	PRIJEM	VKLAD	12467	59650	\N	\N	\N
736312	2515	1997-10-25	PRIJEM	VKLAD	8894	82121	\N	\N	\N
736313	2515	1997-02-01	PRIJEM	VKLAD	22359	54983	\N	\N	\N
736314	2515	1997-11-17	PRIJEM	VKLAD	36678	96193	\N	\N	\N
736315	2515	1997-11-26	PRIJEM	VKLAD	36274	117703	\N	\N	\N
736316	2515	1998-08-21	PRIJEM	VKLAD	24472	36980	\N	\N	\N
736317	2515	1998-04-15	PRIJEM	VKLAD	28654	61046	\N	\N	\N
736318	2515	1998-08-26	PRIJEM	VKLAD	46924	83904	\N	\N	\N
736319	2515	1998-04-23	PRIJEM	VKLAD	14534	75580	\N	\N	\N
736320	2515	1998-01-25	PRIJEM	VKLAD	44148	52980	\N	\N	\N
736321	2515	1998-12-23	PRIJEM	VKLAD	28241	42856	\N	\N	\N
736322	2515	1998-05-24	PRIJEM	VKLAD	20749	52112	\N	\N	\N
736338	2515	1998-09-25	VYBER	VYBER	13978	45162	\N	\N	\N
736339	2515	1998-05-14	VYBER	VYBER	11449	50128	\N	\N	\N
736340	2515	1998-05-22	VYBER	VYBER	18765	31363	\N	\N	\N
736341	2515	1998-01-07	VYBER	VYBER	21839	10532	\N	\N	\N
736342	2515	1998-02-18	VYBER	VYBER	2045	32733	\N	\N	\N
736343	2515	1998-08-13	VYBER	VYBER	6314	12508	\N	\N	\N
736344	2515	1998-08-04	VYBER	VYBER	18933	11622	\N	\N	\N
736345	2515	1998-05-26	VYBER	VYBER	3785	48327	\N	\N	\N
736346	2515	1998-07-11	VYBER	VYBER	8488	30441	\N	\N	\N
736347	2515	1998-11-03	VYBER	VYBER	20659	23678	\N	\N	\N
736348	2515	1998-11-06	VYBER	VYBER	8261	15417	\N	\N	\N
736356	2515	1998-01-02	VYDAJ	VYBER	18300	40471	\N	\N	\N
736359	2515	1997-12-29	VYDAJ	VYBER	6600	58442	\N	\N	\N
736360	2515	1998-12-06	VYDAJ	VYBER KARTOU	1800	20215	\N	\N	0
736379	2515	1998-01-03	VYDAJ	VYBER	8100	32371	\N	\N	\N
736380	2515	1998-01-23	VYDAJ	VYBER KARTOU	1800	8832	\N	\N	0
736381	2515	1998-01-14	VYDAJ	VYBER KARTOU	3600	10632	\N	\N	0
736382	2515	1998-01-30	VYDAJ	VYBER	5400	47580	\N	\N	\N
736383	2515	1998-01-11	VYDAJ	VYBER	7800	19032	\N	\N	\N
736384	2515	1998-01-14	VYDAJ	VYBER	4800	14232	\N	\N	\N
736395	2515	1997-11-07	VYDAJ	VYBER	8100	74315	\N	\N	\N
736398	2515	1997-11-18	VYDAJ	VYBER	4500	91693	\N	\N	\N
736399	2515	1998-02-06	VYDAJ	VYBER	12300	35378	\N	\N	\N
736400	2515	1998-11-25	VYDAJ	VYBER KARTOU	3300	21917	\N	\N	0
736401	2515	1998-12-22	VYDAJ	VYBER	14100	14615	\N	\N	\N
736402	2515	1998-03-21	VYDAJ	VYBER	5400	30974	\N	\N	\N
736403	2515	1998-06-23	VYDAJ	VYBER	12900	32959	\N	\N	\N
736404	2515	1998-08-12	VYDAJ	VYBER	6600	18822	\N	\N	\N
736405	2515	1998-02-09	VYDAJ	VYBER	5700	29678	\N	\N	\N
736436	2515	1997-06-30	VYDAJ	VYBER	15	91243	SLUZBY	\N	\N
736437	2515	1997-07-31	VYDAJ	VYBER	15	65405	SLUZBY	\N	\N
736438	2515	1997-08-31	VYDAJ	VYBER	15	51261	SLUZBY	\N	\N
736439	2515	1997-09-30	VYDAJ	VYBER	15	44759	SLUZBY	\N	\N
736440	2515	1997-10-31	VYDAJ	VYBER	15	82415	SLUZBY	\N	\N
736441	2515	1997-11-30	VYDAJ	VYBER	15	85042	SLUZBY	\N	\N
736442	2515	1997-12-31	VYDAJ	VYBER	15	58771	SLUZBY	\N	\N
736443	2515	1998-01-31	VYDAJ	VYBER	15	47678	SLUZBY	\N	\N
736444	2515	1998-02-28	VYDAJ	VYBER	15	32874	SLUZBY	\N	\N
736445	2515	1998-03-31	VYDAJ	VYBER	15	31092	SLUZBY	\N	\N
736446	2515	1998-04-30	VYDAJ	VYBER	15	75777	SLUZBY	\N	\N
736447	2515	1998-05-31	VYDAJ	VYBER	15	48559	SLUZBY	\N	\N
736448	2515	1998-06-30	VYDAJ	VYBER	15	33129	SLUZBY	\N	\N
736449	2515	1998-07-31	VYDAJ	VYBER	15	30555	SLUZBY	\N	\N
736450	2515	1998-08-31	VYDAJ	VYBER	15	84040	SLUZBY	\N	\N
736451	2515	1998-09-30	VYDAJ	VYBER	15	45464	SLUZBY	\N	\N
736452	2515	1998-10-31	VYDAJ	VYBER	15	44337	SLUZBY	\N	\N
736453	2515	1998-11-30	VYDAJ	VYBER	15	22015	SLUZBY	\N	\N
736454	2515	1995-11-23	PRIJEM	VKLAD	13800	14600	\N	\N	\N
736455	2515	1995-12-23	PRIJEM	VKLAD	4100	18700	\N	\N	\N
736456	2515	1996-02-21	PRIJEM	VKLAD	2000	20700	\N	\N	\N
736457	2515	1996-03-22	PRIJEM	VKLAD	700	21400	\N	\N	\N
736458	2515	1996-04-21	PRIJEM	VKLAD	3000	24400	\N	\N	\N
736459	2515	1996-05-21	VYDAJ	VYBER	1600	22800	\N	\N	\N
736460	2515	1996-06-20	VYDAJ	VYBER	3400	19400	\N	\N	\N
736461	2515	1996-07-20	PRIJEM	VKLAD	800	20200	\N	\N	\N
736462	2515	1996-08-19	VYDAJ	VYBER	22900	47075	\N	\N	\N
736463	2515	1996-09-18	VYDAJ	VYBER	14400	32967	\N	\N	\N
736464	2515	1996-10-18	VYDAJ	VYBER	4200	29058	\N	\N	\N
736465	2515	1996-11-17	VYDAJ	VYBER	900	28450	\N	\N	\N
736466	2515	1996-12-17	PRIJEM	VKLAD	200	28941	\N	\N	\N
736467	2515	1997-01-16	PRIJEM	VKLAD	3100	32332	\N	\N	\N
736468	2515	1997-02-15	VYDAJ	VYBER	7800	47183	\N	\N	\N
736469	2515	1997-03-17	VYDAJ	VYBER	12000	47907	\N	\N	\N
736470	2515	1997-04-16	VYDAJ	VYBER	6400	41755	\N	\N	\N
736471	2515	1997-05-16	VYDAJ	VYBER	16600	48593	\N	\N	\N
736472	2515	1997-06-15	VYDAJ	VYBER	6600	42264	\N	\N	\N
736473	2515	1997-07-15	VYDAJ	VYBER	26200	65043	\N	\N	\N
736474	2515	1997-08-14	VYDAJ	VYBER	14400	51005	\N	\N	\N
736475	2515	1997-09-13	VYDAJ	VYBER	6700	44561	\N	\N	\N
736476	2515	1997-10-13	VYDAJ	VYBER	26200	73227	\N	\N	\N
736477	2515	1997-11-12	VYDAJ	VYBER	14800	59515	\N	\N	\N
736478	2515	1997-11-24	VYDAJ	VYBER	56100	81429	\N	\N	\N
736479	2515	1997-11-26	VYDAJ	VYBER	33000	84703	\N	\N	\N
736480	2515	1997-12-12	VYDAJ	VYBER	20000	65042	\N	\N	\N
736481	2515	1998-01-11	PRIJEM	VKLAD	16300	26832	\N	\N	\N
736482	2515	1998-02-10	PRIJEM	VKLAD	5100	34778	\N	\N	\N
736483	2515	1998-03-12	PRIJEM	VKLAD	3500	36374	\N	\N	\N
736484	2515	1998-04-11	PRIJEM	VKLAD	1300	32392	\N	\N	\N
736485	2515	1998-05-11	VYDAJ	VYBER	14200	61577	\N	\N	\N
736486	2515	1998-06-10	VYDAJ	VYBER KARTOU	2700	45859	\N	\N	0
736487	2515	1998-07-10	PRIJEM	VKLAD	5800	38929	\N	\N	\N
736488	2515	1998-08-09	PRIJEM	VKLAD	13800	25422	\N	\N	\N
736489	2515	1998-09-08	VYDAJ	VYBER	24900	59140	\N	\N	\N
736490	2515	1998-10-08	VYDAJ	VYBER KARTOU	1300	44164	\N	\N	0
736491	2515	1998-11-07	PRIJEM	VKLAD	9800	25217	\N	\N	\N
736492	2515	1998-12-07	PRIJEM	VKLAD	8500	28715	\N	\N	\N
736523	2516	1995-11-16	PRIJEM	VKLAD	300	300	\N	\N	\N
736535	2516	1995-12-10	PRIJEM	VKLAD	23832	24132	\N	\N	\N
736536	2516	1996-01-10	PRIJEM	VKLAD	15888	39872	\N	\N	\N
736537	2516	1996-02-10	PRIJEM	VKLAD	15888	49882	\N	\N	\N
736538	2516	1996-03-10	PRIJEM	VKLAD	15888	53219	\N	\N	\N
736539	2516	1996-04-10	PRIJEM	VKLAD	15888	49766	\N	\N	\N
736540	2516	1996-05-10	PRIJEM	VKLAD	15888	44787	\N	\N	\N
736541	2516	1996-06-10	PRIJEM	VKLAD	23832	62365	\N	\N	\N
736542	2516	1996-07-10	PRIJEM	VKLAD	15888	49800	\N	\N	\N
736543	2516	1996-08-10	PRIJEM	VKLAD	15888	50340	\N	\N	\N
736544	2516	1996-09-10	PRIJEM	VKLAD	15888	42370	\N	\N	\N
736545	2516	1996-10-10	PRIJEM	VKLAD	15888	34013	\N	\N	\N
736546	2516	1996-11-10	PRIJEM	VKLAD	15888	31897	\N	\N	\N
736547	2516	1996-12-10	PRIJEM	VKLAD	23832	42087	\N	\N	\N
736548	2516	1997-01-10	PRIJEM	VKLAD	15888	52930	\N	\N	\N
736549	2516	1997-02-10	PRIJEM	VKLAD	15888	37078	\N	\N	\N
736550	2516	1997-03-10	PRIJEM	VKLAD	15888	45765	\N	\N	\N
736551	2516	1997-04-10	PRIJEM	VKLAD	15888	58062	\N	\N	\N
736552	2516	1997-05-10	PRIJEM	VKLAD	15888	66126	\N	\N	\N
736553	2516	1997-06-10	PRIJEM	VKLAD	23832	65576	\N	\N	\N
736554	2516	1997-07-10	PRIJEM	VKLAD	15888	44439	\N	\N	\N
736555	2516	1997-08-10	PRIJEM	VKLAD	15888	57520	\N	\N	\N
736556	2516	1997-09-10	PRIJEM	VKLAD	15888	63413	\N	\N	\N
736557	2516	1997-10-10	PRIJEM	VKLAD	15888	68934	\N	\N	\N
736558	2516	1997-11-10	PRIJEM	VKLAD	15888	70522	\N	\N	\N
736559	2516	1997-12-10	PRIJEM	VKLAD	23832	78770	\N	\N	\N
736560	2516	1998-01-10	PRIJEM	VKLAD	15888	59198	\N	\N	\N
736561	2516	1998-02-10	PRIJEM	VKLAD	15888	57846	\N	\N	\N
736562	2516	1998-03-10	PRIJEM	VKLAD	15888	58783	\N	\N	\N
736563	2516	1998-04-10	PRIJEM	VKLAD	15888	60838	\N	\N	\N
736564	2516	1998-05-10	PRIJEM	VKLAD	15888	60100	\N	\N	\N
736565	2516	1998-06-10	PRIJEM	VKLAD	23832	67707	\N	\N	\N
736566	2516	1998-07-10	PRIJEM	VKLAD	15888	59620	\N	\N	\N
736567	2516	1998-08-10	PRIJEM	VKLAD	15888	59731	\N	\N	\N
736568	2516	1998-09-10	PRIJEM	VKLAD	15888	61789	\N	\N	\N
736569	2516	1998-10-10	PRIJEM	VKLAD	15888	56694	\N	\N	\N
736570	2516	1998-11-10	PRIJEM	VKLAD	15888	55134	\N	\N	\N
736571	2516	1998-12-10	PRIJEM	VKLAD	23832	63511	\N	\N	\N
736587	2516	1996-03-26	VYDAJ	VYBER	8100	33719	\N	\N	0
736588	2516	1996-05-03	VYDAJ	VYBER	7900	28899	\N	\N	0
736589	2516	1996-06-19	VYDAJ	VYBER	6500	33765	\N	\N	0
736590	2516	1996-07-27	VYDAJ	VYBER	10900	34300	\N	\N	0
736591	2516	1996-08-15	VYDAJ	VYBER	11100	37740	\N	\N	0
736592	2516	1996-09-02	VYDAJ	VYBER	11400	26482	\N	\N	0
736593	2516	1996-10-02	VYDAJ	VYBER	5800	18125	\N	\N	0
736594	2516	1996-11-05	VYDAJ	VYBER	11800	16009	\N	\N	0
736595	2516	1996-11-30	VYDAJ	VYBER	6000	21295	\N	\N	0
736596	2516	1997-01-23	VYDAJ	VYBER	8100	28430	\N	\N	0
736597	2516	1997-01-24	VYDAJ	VYBER	12400	16030	\N	\N	0
736598	2516	1997-02-26	VYDAJ	VYBER	7300	29778	\N	\N	0
736599	2516	1997-04-19	VYDAJ	VYBER	8800	45662	\N	\N	0
736600	2516	1997-05-20	VYDAJ	VYBER	10600	55526	\N	\N	0
736601	2516	1997-06-07	VYDAJ	VYBER	12100	43644	\N	\N	0
736602	2516	1997-07-12	VYDAJ	PREVOD NA UCET	9721	34718	UVER	AB	61216103
736603	2516	1997-08-12	VYDAJ	PREVOD NA UCET	9721	47799	UVER	AB	61216103
736604	2516	1997-09-12	VYDAJ	PREVOD NA UCET	9721	53692	UVER	AB	61216103
736605	2516	1997-10-12	VYDAJ	PREVOD NA UCET	9721	59213	UVER	AB	61216103
736606	2516	1997-11-12	VYDAJ	PREVOD NA UCET	9721	60801	UVER	AB	61216103
736607	2516	1997-12-12	VYDAJ	PREVOD NA UCET	9721	69049	UVER	AB	61216103
736608	2516	1998-01-12	VYDAJ	PREVOD NA UCET	9721	48397	UVER	AB	61216103
736609	2516	1998-02-12	VYDAJ	PREVOD NA UCET	9721	48125	UVER	AB	61216103
736610	2516	1998-03-12	VYDAJ	PREVOD NA UCET	9721	49062	UVER	AB	61216103
736611	2516	1998-04-12	VYDAJ	PREVOD NA UCET	9721	51117	UVER	AB	61216103
736612	2516	1998-05-12	VYDAJ	PREVOD NA UCET	9721	50379	UVER	AB	61216103
736613	2516	1998-06-12	VYDAJ	PREVOD NA UCET	9721	57986	UVER	AB	61216103
736614	2516	1998-07-12	VYDAJ	PREVOD NA UCET	9721	49899	UVER	AB	61216103
736615	2516	1998-08-12	VYDAJ	PREVOD NA UCET	9721	50010	UVER	AB	61216103
736616	2516	1998-09-12	VYDAJ	PREVOD NA UCET	9721	52068	UVER	AB	61216103
736617	2516	1998-10-12	VYDAJ	PREVOD NA UCET	9721	46973	UVER	AB	61216103
736618	2516	1998-11-12	VYDAJ	PREVOD NA UCET	9721	45413	UVER	AB	61216103
736619	2516	1998-12-12	VYDAJ	PREVOD NA UCET	9721	53790	UVER	AB	61216103
736621	2516	1996-06-17	VYDAJ	VYBER	13600	40265	\N	\N	\N
736622	2516	1997-06-29	VYDAJ	VYBER	42400	18376	\N	\N	\N
736623	2516	1998-06-25	VYDAJ	VYBER	11200	46066	\N	\N	\N
736626	2516	1997-01-16	VYDAJ	VYBER	10400	39290	\N	\N	\N
736627	2516	1998-01-07	VYDAJ	VYBER	11840	43310	\N	\N	\N
736629	2516	1996-12-08	VYDAJ	VYBER	3040	18255	\N	\N	\N
736630	2516	1997-12-25	VYDAJ	VYBER	3360	65689	\N	\N	\N
736631	2516	1998-12-20	VYDAJ	VYBER	3680	50110	\N	\N	\N
736644	2516	1997-01-26	VYDAJ	VYBER	3480	12550	\N	\N	\N
736645	2516	1997-01-26	VYDAJ	VYBER	2040	10510	\N	\N	\N
736646	2516	1997-01-03	VYDAJ	VYBER	1440	32442	\N	\N	\N
736647	2516	1997-01-27	VYDAJ	VYBER	1440	9070	\N	\N	\N
736648	2516	1997-01-10	VYDAJ	VYBER	3240	49690	\N	\N	\N
736649	2516	1997-01-20	VYDAJ	VYBER	2760	36530	\N	\N	\N
736650	2516	1998-01-21	VYDAJ	VYBER	3360	42397	\N	\N	\N
736651	2516	1998-01-23	VYDAJ	VYBER	2160	39037	\N	\N	\N
736652	2516	1998-01-10	VYDAJ	VYBER	1080	58118	\N	\N	\N
736653	2516	1998-01-13	VYDAJ	VYBER	2640	45757	\N	\N	\N
736654	2516	1998-01-29	VYDAJ	VYBER	3360	35677	\N	\N	\N
736655	2516	1998-01-21	VYDAJ	VYBER	1200	41197	\N	\N	\N
736659	2516	1996-12-19	VYDAJ	VYBER	3720	33767	\N	\N	\N
736660	2516	1996-09-26	VYDAJ	VYBER	3480	23810	\N	\N	\N
736661	2516	1996-09-15	VYDAJ	VYBER	5880	27290	\N	\N	\N
736662	2516	1996-07-11	VYDAJ	VYBER	3000	46800	\N	\N	\N
736663	2516	1997-06-11	VYDAJ	VYBER	4800	60776	\N	\N	\N
736664	2516	1997-08-26	VYDAJ	VYBER	5040	42759	\N	\N	\N
736665	2516	1997-03-13	VYDAJ	VYBER	3720	35445	\N	\N	\N
736666	2516	1997-07-08	VYDAJ	VYBER	5040	28551	\N	\N	\N
736667	2516	1997-09-17	VYDAJ	VYBER	840	52852	\N	\N	\N
736668	2516	1997-04-16	VYDAJ	VYBER	3600	54462	\N	\N	\N
736669	2516	1998-12-29	VYDAJ	VYBER	3240	46870	\N	\N	\N
736670	2516	1998-10-02	VYDAJ	VYBER	5760	40806	\N	\N	\N
736671	2516	1998-07-25	VYDAJ	VYBER	1440	48459	\N	\N	\N
736672	2516	1998-11-05	VYDAJ	VYBER	1800	39246	\N	\N	\N
736673	2516	1998-06-24	VYDAJ	VYBER	720	57266	\N	\N	\N
736674	2516	1998-07-02	VYDAJ	VYBER	4440	41832	\N	\N	\N
736691	2516	1996-04-30	VYDAJ	VYBER	15	36799	SLUZBY	\N	\N
736692	2516	1996-05-31	VYDAJ	VYBER	15	38533	SLUZBY	\N	\N
736693	2516	1996-06-30	VYDAJ	VYBER	15	33912	SLUZBY	\N	\N
736694	2516	1996-07-31	VYDAJ	VYBER	15	34452	SLUZBY	\N	\N
736695	2516	1996-08-31	VYDAJ	VYBER	15	37882	SLUZBY	\N	\N
736696	2516	1996-09-30	VYDAJ	VYBER	15	23925	SLUZBY	\N	\N
736697	2516	1996-10-31	VYDAJ	VYBER	15	27809	SLUZBY	\N	\N
736698	2516	1996-11-30	VYDAJ	VYBER	15	27295	SLUZBY	\N	\N
736699	2516	1996-12-31	VYDAJ	VYBER	15	33882	SLUZBY	\N	\N
736700	2516	1997-01-31	VYDAJ	VYBER	15	9190	SLUZBY	\N	\N
736701	2516	1997-02-28	VYDAJ	VYBER	15	29877	SLUZBY	\N	\N
736702	2516	1997-03-31	VYDAJ	VYBER	15	35574	SLUZBY	\N	\N
736703	2516	1997-04-30	VYDAJ	VYBER	15	45838	SLUZBY	\N	\N
736704	2516	1997-05-31	VYDAJ	VYBER	15	55744	SLUZBY	\N	\N
736705	2516	1997-06-30	VYDAJ	VYBER	15	18591	SLUZBY	\N	\N
736706	2516	1997-07-31	VYDAJ	VYBER	15	34832	SLUZBY	\N	\N
736707	2516	1997-08-31	VYDAJ	VYBER	15	42925	SLUZBY	\N	\N
736708	2516	1997-09-30	VYDAJ	VYBER	15	53046	SLUZBY	\N	\N
736709	2516	1997-10-31	VYDAJ	VYBER	15	59434	SLUZBY	\N	\N
736710	2516	1997-11-30	VYDAJ	VYBER	15	61038	SLUZBY	\N	\N
736711	2516	1997-12-31	VYDAJ	VYBER	15	65950	SLUZBY	\N	\N
736712	2516	1998-01-31	VYDAJ	VYBER	15	35858	SLUZBY	\N	\N
736713	2516	1998-02-28	VYDAJ	VYBER	15	48295	SLUZBY	\N	\N
736714	2516	1998-03-31	VYDAJ	VYBER	15	49250	SLUZBY	\N	\N
736715	2516	1998-04-30	VYDAJ	VYBER	15	51312	SLUZBY	\N	\N
736716	2516	1998-05-31	VYDAJ	VYBER	15	50575	SLUZBY	\N	\N
736717	2516	1998-06-30	VYDAJ	VYBER	15	46272	SLUZBY	\N	\N
736718	2516	1998-07-31	VYDAJ	VYBER	15	48643	SLUZBY	\N	\N
736719	2516	1998-08-31	VYDAJ	VYBER	15	50201	SLUZBY	\N	\N
736720	2516	1998-09-30	VYDAJ	VYBER	15	52266	SLUZBY	\N	\N
736721	2516	1998-10-31	VYDAJ	VYBER	15	41046	SLUZBY	\N	\N
736722	2516	1998-11-30	VYDAJ	VYBER	15	39679	SLUZBY	\N	\N
736723	2516	1995-12-16	VYDAJ	VYBER	200	23932	\N	\N	\N
736724	2516	1996-01-15	VYDAJ	VYBER	6000	33872	\N	\N	\N
736725	2516	1996-02-14	VYDAJ	VYBER	12700	37182	\N	\N	\N
736726	2516	1996-03-15	VYDAJ	VYBER	11400	41819	\N	\N	\N
736727	2516	1996-04-14	VYDAJ	VYBER	13100	36666	\N	\N	\N
736728	2516	1996-05-14	VYDAJ	VYBER	6400	38387	\N	\N	\N
736729	2516	1996-06-13	VYDAJ	VYBER	8500	53865	\N	\N	\N
736730	2516	1996-07-13	VYDAJ	VYBER	1600	45200	\N	\N	\N
736731	2516	1996-08-12	VYDAJ	VYBER	1500	48840	\N	\N	\N
736732	2516	1996-09-11	VYDAJ	VYBER	9200	33170	\N	\N	\N
736733	2516	1996-10-11	VYDAJ	VYBER	6300	27713	\N	\N	\N
736734	2516	1996-11-10	VYDAJ	VYBER	4700	27197	\N	\N	\N
736735	2516	1996-12-10	VYDAJ	VYBER	4600	37487	\N	\N	\N
736736	2516	1997-01-09	PRIJEM	VKLAD	4600	37042	\N	\N	\N
736737	2516	1997-02-08	PRIJEM	VKLAD	12000	21190	\N	\N	\N
736738	2516	1997-03-10	VYDAJ	VYBER	6600	39165	\N	\N	\N
736739	2516	1997-04-09	PRIJEM	VKLAD	6600	42174	\N	\N	\N
736740	2516	1997-05-09	PRIJEM	VKLAD	4400	50238	\N	\N	\N
736741	2516	1997-06-08	VYDAJ	VYBER	1900	41744	\N	\N	\N
736742	2516	1997-07-08	PRIJEM	VKLAD	15000	33591	\N	\N	\N
736743	2516	1997-08-07	PRIJEM	VKLAD	6800	41632	\N	\N	\N
736744	2516	1997-09-06	PRIJEM	VKLAD	4600	47525	\N	\N	\N
736745	2516	1997-11-05	VYDAJ	VYBER	4800	54634	\N	\N	\N
736746	2516	1997-12-05	VYDAJ	VYBER	6100	54938	\N	\N	\N
736747	2516	1998-01-04	VYDAJ	VYBER	10800	55150	\N	\N	\N
736748	2516	1998-02-03	PRIJEM	VKLAD	6100	41958	\N	\N	\N
736749	2516	1998-03-05	VYDAJ	VYBER	5400	42895	\N	\N	\N
736750	2516	1998-04-04	VYDAJ	VYBER	4300	44950	\N	\N	\N
736751	2516	1998-05-04	VYDAJ	VYBER	7100	44212	\N	\N	\N
736752	2516	1998-06-03	VYDAJ	VYBER	6700	43875	\N	\N	\N
736753	2516	1998-07-03	PRIJEM	VKLAD	1900	43732	\N	\N	\N
736754	2516	1998-08-02	VYDAJ	VYBER	4800	43843	\N	\N	\N
736755	2516	1998-09-01	VYDAJ	VYBER	4300	45901	\N	\N	\N
736756	2516	1998-10-01	VYDAJ	VYBER	5700	46566	\N	\N	\N
736757	2516	1998-10-31	VYDAJ	VYBER	6100	41060	\N	\N	\N
736758	2516	1998-11-30	VYDAJ	VYBER	5900	39693	\N	\N	\N
736796	2517	1996-11-10	PRIJEM	VKLAD	600	600	\N	\N	\N
736808	2517	1996-12-09	PRIJEM	PREVOD Z UCTU	46694	47294	\N	MN	87821244
736809	2517	1997-01-09	PRIJEM	PREVOD Z UCTU	31129	62816	\N	MN	87821244
736810	2517	1997-02-09	PRIJEM	PREVOD Z UCTU	31129	63210	\N	MN	87821244
736811	2517	1997-03-09	PRIJEM	PREVOD Z UCTU	31129	94577	\N	MN	87821244
736812	2517	1997-04-09	PRIJEM	PREVOD Z UCTU	31129	87448	\N	MN	87821244
736813	2517	1997-05-09	PRIJEM	PREVOD Z UCTU	31129	74810	\N	MN	87821244
736814	2517	1997-06-09	PRIJEM	PREVOD Z UCTU	46694	71194	\N	MN	87821244
736815	2517	1997-07-09	PRIJEM	PREVOD Z UCTU	31129	56040	\N	MN	87821244
736816	2517	1997-08-09	PRIJEM	PREVOD Z UCTU	31129	52238	\N	MN	87821244
736817	2517	1997-09-09	PRIJEM	PREVOD Z UCTU	31129	62049	\N	MN	87821244
736818	2517	1997-10-09	PRIJEM	PREVOD Z UCTU	31129	59191	\N	MN	87821244
736819	2517	1997-11-09	PRIJEM	PREVOD Z UCTU	31129	63539	\N	MN	87821244
736820	2517	1997-12-09	PRIJEM	PREVOD Z UCTU	46694	81276	\N	MN	87821244
736821	2517	1998-01-09	PRIJEM	PREVOD Z UCTU	31129	65692	\N	MN	87821244
736822	2517	1998-02-09	PRIJEM	PREVOD Z UCTU	31129	66768	\N	MN	87821244
736823	2517	1998-03-09	PRIJEM	PREVOD Z UCTU	31129	67552	\N	MN	87821244
736824	2517	1998-04-09	PRIJEM	PREVOD Z UCTU	31129	63709	\N	MN	87821244
736825	2517	1998-05-09	PRIJEM	PREVOD Z UCTU	31129	68173	\N	MN	87821244
736826	2517	1998-06-09	PRIJEM	PREVOD Z UCTU	46694	86723	\N	MN	87821244
736975	2517	1998-10-31	VYDAJ	VYBER	10200	33431	\N	\N	\N
736827	2517	1998-07-09	PRIJEM	PREVOD Z UCTU	31129	56022	\N	MN	87821244
736828	2517	1998-08-09	PRIJEM	PREVOD Z UCTU	31129	62047	\N	MN	87821244
736829	2517	1998-09-09	PRIJEM	PREVOD Z UCTU	31129	67999	\N	MN	87821244
736830	2517	1998-10-09	PRIJEM	PREVOD Z UCTU	31129	68788	\N	MN	87821244
736831	2517	1998-11-09	PRIJEM	PREVOD Z UCTU	31129	56760	\N	MN	87821244
736832	2517	1998-12-09	PRIJEM	PREVOD Z UCTU	46694	77959	\N	MN	87821244
736848	2517	1997-04-10	VYDAJ	PREVOD NA UCET	11769	43579	SIPO	CD	67803686
736849	2517	1997-05-10	VYDAJ	PREVOD NA UCET	11769	35141	SIPO	CD	67803686
736850	2517	1997-06-10	VYDAJ	PREVOD NA UCET	11769	35425	SIPO	CD	67803686
736851	2517	1997-07-10	VYDAJ	PREVOD NA UCET	11769	44271	SIPO	CD	67803686
736852	2517	1997-08-10	VYDAJ	PREVOD NA UCET	11769	40469	SIPO	CD	67803686
736853	2517	1997-09-10	VYDAJ	PREVOD NA UCET	11769	50280	SIPO	CD	67803686
736854	2517	1997-10-10	VYDAJ	PREVOD NA UCET	11769	47422	SIPO	CD	67803686
736855	2517	1997-11-10	VYDAJ	PREVOD NA UCET	11769	51770	SIPO	CD	67803686
736856	2517	1997-12-10	VYDAJ	PREVOD NA UCET	11769	69507	SIPO	CD	67803686
736857	2517	1998-01-10	VYDAJ	PREVOD NA UCET	11769	53923	SIPO	CD	67803686
736858	2517	1998-02-10	VYDAJ	PREVOD NA UCET	11769	54999	SIPO	CD	67803686
736859	2517	1998-03-10	VYDAJ	PREVOD NA UCET	11769	55783	SIPO	CD	67803686
736860	2517	1998-04-10	VYDAJ	PREVOD NA UCET	11769	51940	SIPO	CD	67803686
736861	2517	1998-05-10	VYDAJ	PREVOD NA UCET	11769	56404	SIPO	CD	67803686
736862	2517	1998-06-10	VYDAJ	PREVOD NA UCET	11769	74954	SIPO	CD	67803686
736863	2517	1998-07-10	VYDAJ	PREVOD NA UCET	11769	44253	SIPO	CD	67803686
736864	2517	1998-08-10	VYDAJ	PREVOD NA UCET	11769	50278	SIPO	CD	67803686
736865	2517	1998-09-10	VYDAJ	PREVOD NA UCET	11769	56230	SIPO	CD	67803686
736866	2517	1998-10-10	VYDAJ	PREVOD NA UCET	11769	57019	SIPO	CD	67803686
736867	2517	1998-11-10	VYDAJ	PREVOD NA UCET	11769	44991	SIPO	CD	67803686
736868	2517	1998-12-10	VYDAJ	PREVOD NA UCET	11769	66190	SIPO	CD	67803686
736882	2517	1997-07-17	VYBER	VYBER	21992	22279	\N	\N	\N
736885	2517	1997-07-03	VYBER	VYBER	7156	28311	\N	\N	\N
736888	2517	1997-06-09	VYDAJ	VYBER	24000	47194	\N	\N	\N
736889	2517	1998-06-23	VYDAJ	VYBER	49200	25754	\N	\N	\N
736892	2517	1998-01-03	VYDAJ	VYBER	18000	43263	\N	\N	\N
736894	2517	1997-12-18	VYDAJ	VYBER	8400	61107	\N	\N	\N
736895	2517	1998-12-17	VYDAJ	VYBER	2700	63490	\N	\N	\N
736903	2517	1997-09-21	VYDAJ	VYBER	13200	37080	\N	\N	\N
736905	2517	1997-05-31	VYDAJ	VYBER	2400	28900	\N	\N	\N
736907	2517	1997-05-29	VYDAJ	VYBER	3900	31241	\N	\N	\N
736909	2517	1998-11-03	VYDAJ	VYBER	7800	25631	\N	\N	\N
736910	2517	1998-10-19	VYDAJ	VYBER	13500	43519	\N	\N	\N
736911	2517	1998-03-13	VYDAJ	VYBER	9600	46183	\N	\N	\N
736912	2517	1998-04-27	VYDAJ	VYBER	6000	45940	\N	\N	\N
736913	2517	1998-03-27	VYDAJ	VYBER	3000	43183	\N	\N	\N
736914	2517	1998-08-02	VYDAJ	VYBER	4800	30918	\N	\N	\N
736915	2517	1998-02-25	VYDAJ	VYBER	9300	45699	\N	\N	\N
736932	2517	1997-04-30	VYDAJ	VYBER	100	43681	SLUZBY	\N	\N
736933	2517	1997-05-31	VYDAJ	VYBER	100	31300	SLUZBY	\N	\N
736934	2517	1997-06-30	VYDAJ	VYBER	100	35467	SLUZBY	\N	\N
736935	2517	1997-07-31	VYDAJ	VYBER	100	22309	SLUZBY	\N	\N
736936	2517	1997-08-31	VYDAJ	VYBER	100	40520	SLUZBY	\N	\N
736937	2517	1997-09-30	VYDAJ	VYBER	100	37162	SLUZBY	\N	\N
736938	2517	1997-10-31	VYDAJ	VYBER	100	47510	SLUZBY	\N	\N
736939	2517	1997-11-30	VYDAJ	VYBER	100	51882	SLUZBY	\N	\N
736940	2517	1997-12-31	VYDAJ	VYBER	100	61263	SLUZBY	\N	\N
736941	2517	1998-01-31	VYDAJ	VYBER	100	54039	SLUZBY	\N	\N
736942	2517	1998-02-28	VYDAJ	VYBER	100	45823	SLUZBY	\N	\N
736943	2517	1998-03-31	VYDAJ	VYBER	100	43280	SLUZBY	\N	\N
736944	2517	1998-04-30	VYDAJ	VYBER	100	46044	SLUZBY	\N	\N
736945	2517	1998-05-31	VYDAJ	VYBER	100	56529	SLUZBY	\N	\N
736946	2517	1998-06-30	VYDAJ	VYBER	100	25893	SLUZBY	\N	\N
736947	2517	1998-07-31	VYDAJ	VYBER	100	44318	SLUZBY	\N	\N
736948	2517	1998-08-31	VYDAJ	VYBER	100	50370	SLUZBY	\N	\N
736949	2517	1998-09-30	VYDAJ	VYBER	100	56359	SLUZBY	\N	\N
736950	2517	1998-10-31	VYDAJ	VYBER	100	43631	SLUZBY	\N	\N
736951	2517	1998-11-30	VYDAJ	VYBER	100	45065	SLUZBY	\N	\N
736952	2517	1996-12-10	VYDAJ	VYBER	15700	31594	\N	\N	\N
736953	2517	1997-01-09	VYDAJ	VYBER	20700	42116	\N	\N	\N
736954	2517	1997-02-08	VYDAJ	VYBER	10200	32081	\N	\N	\N
736955	2517	1997-03-10	VYDAJ	VYBER	38500	56077	\N	\N	\N
736956	2517	1997-04-09	VYDAJ	VYBER	32100	55348	\N	\N	\N
736957	2517	1997-05-09	VYDAJ	VYBER	27900	46910	\N	\N	\N
736958	2517	1997-06-08	VYDAJ	VYBER	4400	24500	\N	\N	\N
736959	2517	1997-07-08	VYDAJ	VYBER	3400	24911	\N	\N	\N
736960	2517	1997-08-07	VYDAJ	VYBER	1200	21109	\N	\N	\N
736961	2517	1997-09-06	VYDAJ	VYBER	9600	30920	\N	\N	\N
736962	2517	1997-10-06	VYDAJ	VYBER	9100	28062	\N	\N	\N
736963	2517	1997-11-05	VYDAJ	VYBER	15100	32410	\N	\N	\N
736964	2517	1997-12-05	VYDAJ	VYBER	17300	34582	\N	\N	\N
736965	2517	1998-01-04	VYDAJ	VYBER	8700	34563	\N	\N	\N
736966	2517	1998-02-03	VYDAJ	VYBER	18400	35639	\N	\N	\N
736967	2517	1998-03-05	VYDAJ	VYBER	9400	36423	\N	\N	\N
736968	2517	1998-04-04	VYDAJ	VYBER	10700	32580	\N	\N	\N
736969	2517	1998-05-04	VYDAJ	VYBER	9000	37044	\N	\N	\N
736970	2517	1998-06-03	VYDAJ	VYBER	16500	40029	\N	\N	\N
736971	2517	1998-07-03	VYDAJ	VYBER	1000	24893	\N	\N	\N
736972	2517	1998-08-02	VYDAJ	VYBER	8600	35718	\N	\N	\N
736973	2517	1998-09-01	VYDAJ	VYBER	13500	36870	\N	\N	\N
736974	2517	1998-10-01	VYDAJ	VYBER	18700	37659	\N	\N	\N
736976	2517	1998-11-30	VYDAJ	VYBER	13800	31265	\N	\N	\N
737258	2519	1993-01-15	PRIJEM	VKLAD	500	500	\N	\N	\N
737260	2519	1993-02-07	PRIJEM	PREVOD Z UCTU	5544	6044	DUCHOD	GH	5454445
737261	2519	1993-03-07	PRIJEM	PREVOD Z UCTU	5544	11588	DUCHOD	GH	5454445
737262	2519	1993-04-07	PRIJEM	PREVOD Z UCTU	5544	17132	DUCHOD	GH	5454445
737263	2519	1993-05-07	PRIJEM	PREVOD Z UCTU	5544	22676	DUCHOD	GH	5454445
737264	2519	1993-06-07	PRIJEM	PREVOD Z UCTU	5544	26969	DUCHOD	GH	5454445
737265	2519	1993-07-07	PRIJEM	PREVOD Z UCTU	5544	17813	DUCHOD	GH	5454445
737266	2519	1993-08-07	PRIJEM	PREVOD Z UCTU	5544	21812	DUCHOD	GH	5454445
737267	2519	1993-09-07	PRIJEM	PREVOD Z UCTU	5544	25820	DUCHOD	GH	5454445
737268	2519	1993-10-07	PRIJEM	PREVOD Z UCTU	5544	29845	DUCHOD	GH	5454445
737269	2519	1993-11-07	PRIJEM	PREVOD Z UCTU	5544	29959	DUCHOD	GH	5454445
737270	2519	1993-12-07	PRIJEM	PREVOD Z UCTU	5544	33200	DUCHOD	GH	5454445
737271	2519	1994-01-07	PRIJEM	PREVOD Z UCTU	5544	30639	DUCHOD	GH	5454445
737272	2519	1994-02-07	PRIJEM	PREVOD Z UCTU	5544	26494	DUCHOD	GH	5454445
737273	2519	1994-03-07	PRIJEM	PREVOD Z UCTU	5544	26534	DUCHOD	GH	5454445
737274	2519	1994-04-07	PRIJEM	PREVOD Z UCTU	5544	29761	DUCHOD	GH	5454445
737275	2519	1994-05-07	PRIJEM	PREVOD Z UCTU	5544	30796	DUCHOD	GH	5454445
737276	2519	1994-06-07	PRIJEM	PREVOD Z UCTU	5544	32336	DUCHOD	GH	5454445
737277	2519	1994-07-07	PRIJEM	PREVOD Z UCTU	5544	25214	DUCHOD	GH	5454445
737278	2519	1994-08-07	PRIJEM	PREVOD Z UCTU	5544	27837	DUCHOD	GH	5454445
737279	2519	1994-09-07	PRIJEM	PREVOD Z UCTU	5544	31673	DUCHOD	GH	5454445
737280	2519	1994-10-07	PRIJEM	PREVOD Z UCTU	5544	27972	DUCHOD	GH	5454445
737281	2519	1994-11-07	PRIJEM	PREVOD Z UCTU	5544	27701	DUCHOD	GH	5454445
737282	2519	1994-12-07	PRIJEM	PREVOD Z UCTU	5544	30333	DUCHOD	GH	5454445
737283	2519	1995-01-07	PRIJEM	PREVOD Z UCTU	5544	25162	DUCHOD	GH	5454445
737284	2519	1995-02-07	PRIJEM	PREVOD Z UCTU	5544	20296	DUCHOD	GH	5454445
737285	2519	1995-03-07	PRIJEM	PREVOD Z UCTU	5544	24296	DUCHOD	GH	5454445
737286	2519	1995-04-07	PRIJEM	PREVOD Z UCTU	5544	28315	DUCHOD	GH	5454445
737287	2519	1995-05-07	PRIJEM	PREVOD Z UCTU	5544	29784	DUCHOD	GH	5454445
737288	2519	1995-06-07	PRIJEM	PREVOD Z UCTU	5544	32625	DUCHOD	GH	5454445
737289	2519	1995-07-07	PRIJEM	PREVOD Z UCTU	5544	22365	DUCHOD	GH	5454445
737290	2519	1995-08-07	PRIJEM	PREVOD Z UCTU	5544	24612	DUCHOD	GH	5454445
737291	2519	1995-09-07	PRIJEM	PREVOD Z UCTU	5544	28632	DUCHOD	GH	5454445
737292	2519	1995-10-07	PRIJEM	PREVOD Z UCTU	5544	32168	DUCHOD	GH	5454445
737293	2519	1995-11-07	PRIJEM	PREVOD Z UCTU	5544	32660	DUCHOD	GH	5454445
737294	2519	1995-12-07	PRIJEM	PREVOD Z UCTU	5544	33518	DUCHOD	GH	5454445
737295	2519	1996-01-07	PRIJEM	PREVOD Z UCTU	5544	24325	DUCHOD	GH	5454445
737296	2519	1996-02-07	PRIJEM	PREVOD Z UCTU	5544	27230	DUCHOD	GH	5454445
737297	2519	1996-03-07	PRIJEM	PREVOD Z UCTU	5544	31259	DUCHOD	GH	5454445
737298	2519	1996-04-07	PRIJEM	PREVOD Z UCTU	5544	30606	DUCHOD	GH	5454445
737299	2519	1996-05-07	PRIJEM	PREVOD Z UCTU	5544	30916	DUCHOD	GH	5454445
737300	2519	1996-06-07	PRIJEM	PREVOD Z UCTU	5544	32075	DUCHOD	GH	5454445
737301	2519	1996-07-07	PRIJEM	PREVOD Z UCTU	5544	24666	DUCHOD	GH	5454445
737302	2519	1996-08-07	PRIJEM	PREVOD Z UCTU	5544	28685	DUCHOD	GH	5454445
737303	2519	1996-09-07	PRIJEM	PREVOD Z UCTU	5544	31519	DUCHOD	GH	5454445
737304	2519	1996-10-07	PRIJEM	PREVOD Z UCTU	5544	35566	DUCHOD	GH	5454445
737305	2519	1996-11-07	PRIJEM	PREVOD Z UCTU	5544	36027	DUCHOD	GH	5454445
737306	2519	1996-12-07	PRIJEM	PREVOD Z UCTU	5544	34188	DUCHOD	GH	5454445
737307	2519	1997-01-07	PRIJEM	PREVOD Z UCTU	5544	32434	DUCHOD	GH	5454445
737308	2519	1997-02-07	PRIJEM	PREVOD Z UCTU	5544	22582	DUCHOD	GH	5454445
737309	2519	1997-03-07	PRIJEM	PREVOD Z UCTU	5544	26591	DUCHOD	GH	5454445
737310	2519	1997-04-07	PRIJEM	PREVOD Z UCTU	5544	30617	DUCHOD	GH	5454445
737311	2519	1997-05-07	PRIJEM	PREVOD Z UCTU	5544	29132	DUCHOD	GH	5454445
737312	2519	1997-06-07	PRIJEM	PREVOD Z UCTU	5544	33168	DUCHOD	GH	5454445
737313	2519	1997-07-07	PRIJEM	PREVOD Z UCTU	5544	27002	DUCHOD	GH	5454445
737314	2519	1997-08-07	PRIJEM	PREVOD Z UCTU	5544	31030	DUCHOD	GH	5454445
737315	2519	1997-09-07	PRIJEM	PREVOD Z UCTU	5544	33233	DUCHOD	GH	5454445
737316	2519	1997-10-07	PRIJEM	PREVOD Z UCTU	5544	35127	DUCHOD	GH	5454445
737317	2519	1997-11-07	PRIJEM	PREVOD Z UCTU	5544	39194	DUCHOD	GH	5454445
737318	2519	1997-12-07	PRIJEM	PREVOD Z UCTU	5544	43273	DUCHOD	GH	5454445
737319	2519	1998-01-07	PRIJEM	PREVOD Z UCTU	5544	42366	DUCHOD	GH	5454445
737320	2519	1998-02-07	PRIJEM	PREVOD Z UCTU	5544	40894	DUCHOD	GH	5454445
737321	2519	1998-03-07	PRIJEM	PREVOD Z UCTU	5544	44979	DUCHOD	GH	5454445
737322	2519	1998-04-07	PRIJEM	PREVOD Z UCTU	5544	49081	DUCHOD	GH	5454445
737323	2519	1998-05-07	PRIJEM	PREVOD Z UCTU	5544	53200	DUCHOD	GH	5454445
737324	2519	1998-06-07	PRIJEM	PREVOD Z UCTU	5544	44882	DUCHOD	GH	5454445
737325	2519	1998-07-07	PRIJEM	PREVOD Z UCTU	5544	47556	DUCHOD	GH	5454445
737326	2519	1998-08-07	PRIJEM	PREVOD Z UCTU	5544	51668	DUCHOD	GH	5454445
737327	2519	1998-09-07	PRIJEM	PREVOD Z UCTU	5544	52491	DUCHOD	GH	5454445
737410	2519	1994-01-05	VYDAJ	VYBER	2050	25095	\N	\N	\N
737328	2519	1998-10-07	PRIJEM	PREVOD Z UCTU	5544	52980	DUCHOD	GH	5454445
737329	2519	1998-11-07	PRIJEM	PREVOD Z UCTU	5544	50485	DUCHOD	GH	5454445
737330	2519	1998-12-07	PRIJEM	PREVOD Z UCTU	5544	52304	DUCHOD	GH	5454445
737336	2519	1993-06-13	VYDAJ	PREVOD NA UCET	1599	25370	SIPO	OP	87381881
737337	2519	1993-07-13	VYDAJ	PREVOD NA UCET	1599	16214	SIPO	OP	87381881
737338	2519	1993-08-13	VYDAJ	PREVOD NA UCET	1599	20213	SIPO	OP	87381881
737339	2519	1993-09-13	VYDAJ	PREVOD NA UCET	1599	24221	SIPO	OP	87381881
737340	2519	1993-10-13	VYDAJ	PREVOD NA UCET	1599	24326	SIPO	OP	87381881
737341	2519	1993-11-13	VYDAJ	PREVOD NA UCET	1599	27560	SIPO	OP	87381881
737342	2519	1993-12-13	VYDAJ	PREVOD NA UCET	1599	29201	SIPO	OP	87381881
737343	2519	1994-01-13	VYDAJ	PREVOD NA UCET	1599	24780	SIPO	OP	87381881
737344	2519	1994-02-13	VYDAJ	PREVOD NA UCET	1599	22195	SIPO	OP	87381881
737345	2519	1994-03-13	VYDAJ	PREVOD NA UCET	1599	24135	SIPO	OP	87381881
737346	2519	1994-04-13	VYDAJ	PREVOD NA UCET	1599	25162	SIPO	OP	87381881
737347	2519	1994-05-13	VYDAJ	PREVOD NA UCET	1599	26697	SIPO	OP	87381881
737348	2519	1994-06-13	VYDAJ	PREVOD NA UCET	1599	24937	SIPO	OP	87381881
737349	2519	1994-07-13	VYDAJ	PREVOD NA UCET	1599	23415	SIPO	OP	87381881
737350	2519	1994-08-13	VYDAJ	PREVOD NA UCET	1599	26038	SIPO	OP	87381881
737351	2519	1994-09-13	VYDAJ	PREVOD NA UCET	1599	24174	SIPO	OP	87381881
737352	2519	1994-10-13	VYDAJ	PREVOD NA UCET	1599	22473	SIPO	OP	87381881
737353	2519	1994-11-13	VYDAJ	PREVOD NA UCET	1599	26102	SIPO	OP	87381881
737354	2519	1994-12-13	VYDAJ	PREVOD NA UCET	1599	28734	SIPO	OP	87381881
737355	2519	1995-01-13	VYDAJ	PREVOD NA UCET	1599	19963	SIPO	OP	87381881
737356	2519	1995-02-13	VYDAJ	PREVOD NA UCET	1599	18697	SIPO	OP	87381881
737357	2519	1995-03-13	VYDAJ	PREVOD NA UCET	1599	22697	SIPO	OP	87381881
737358	2519	1995-04-13	VYDAJ	PREVOD NA UCET	1599	24156	SIPO	OP	87381881
737359	2519	1995-05-13	VYDAJ	PREVOD NA UCET	1599	28185	SIPO	OP	87381881
737360	2519	1995-06-13	VYDAJ	PREVOD NA UCET	1599	31026	SIPO	OP	87381881
737361	2519	1995-07-13	VYDAJ	PREVOD NA UCET	1599	19006	SIPO	OP	87381881
737362	2519	1995-08-13	VYDAJ	PREVOD NA UCET	1599	23013	SIPO	OP	87381881
737363	2519	1995-09-13	VYDAJ	PREVOD NA UCET	1599	27033	SIPO	OP	87381881
737364	2519	1995-10-13	VYDAJ	PREVOD NA UCET	1599	30569	SIPO	OP	87381881
737365	2519	1995-11-13	VYDAJ	PREVOD NA UCET	1599	31061	SIPO	OP	87381881
737366	2519	1995-12-13	VYDAJ	PREVOD NA UCET	1599	31369	SIPO	OP	87381881
737367	2519	1996-01-13	VYDAJ	PREVOD NA UCET	1599	21606	SIPO	OP	87381881
737368	2519	1996-02-13	VYDAJ	PREVOD NA UCET	1599	25631	SIPO	OP	87381881
737369	2519	1996-03-13	VYDAJ	PREVOD NA UCET	1599	29660	SIPO	OP	87381881
737370	2519	1996-04-13	VYDAJ	PREVOD NA UCET	1599	29007	SIPO	OP	87381881
737371	2519	1996-05-13	VYDAJ	PREVOD NA UCET	1599	26437	SIPO	OP	87381881
737372	2519	1996-06-13	VYDAJ	PREVOD NA UCET	1599	30476	SIPO	OP	87381881
737373	2519	1996-07-13	VYDAJ	PREVOD NA UCET	1599	23067	SIPO	OP	87381881
737374	2519	1996-08-13	VYDAJ	PREVOD NA UCET	1599	27086	SIPO	OP	87381881
737375	2519	1996-09-13	VYDAJ	PREVOD NA UCET	1599	29920	SIPO	OP	87381881
737376	2519	1996-10-13	VYDAJ	PREVOD NA UCET	1599	33967	SIPO	OP	87381881
737377	2519	1996-11-13	VYDAJ	PREVOD NA UCET	1599	34428	SIPO	OP	87381881
737378	2519	1996-12-13	VYDAJ	PREVOD NA UCET	1599	31939	SIPO	OP	87381881
737379	2519	1997-01-13	VYDAJ	PREVOD NA UCET	1599	25035	SIPO	OP	87381881
737380	2519	1997-02-13	VYDAJ	PREVOD NA UCET	1599	20983	SIPO	OP	87381881
737381	2519	1997-03-13	VYDAJ	PREVOD NA UCET	1599	24992	SIPO	OP	87381881
737382	2519	1997-04-13	VYDAJ	PREVOD NA UCET	1599	26218	SIPO	OP	87381881
737383	2519	1997-05-13	VYDAJ	PREVOD NA UCET	1599	27533	SIPO	OP	87381881
737384	2519	1997-06-13	VYDAJ	PREVOD NA UCET	1599	31569	SIPO	OP	87381881
737385	2519	1997-07-13	VYDAJ	PREVOD NA UCET	1599	25403	SIPO	OP	87381881
737386	2519	1997-08-13	VYDAJ	PREVOD NA UCET	1599	29431	SIPO	OP	87381881
737387	2519	1997-09-13	VYDAJ	PREVOD NA UCET	1599	31634	SIPO	OP	87381881
737388	2519	1997-10-13	VYDAJ	PREVOD NA UCET	1599	33528	SIPO	OP	87381881
737389	2519	1997-11-13	VYDAJ	PREVOD NA UCET	1599	37595	SIPO	OP	87381881
737390	2519	1997-12-13	VYDAJ	PREVOD NA UCET	1599	41674	SIPO	OP	87381881
737391	2519	1998-01-13	VYDAJ	PREVOD NA UCET	1599	38967	SIPO	OP	87381881
737392	2519	1998-02-13	VYDAJ	PREVOD NA UCET	1599	39295	SIPO	OP	87381881
737393	2519	1998-03-13	VYDAJ	PREVOD NA UCET	1599	43380	SIPO	OP	87381881
737394	2519	1998-04-13	VYDAJ	PREVOD NA UCET	1599	47482	SIPO	OP	87381881
737395	2519	1998-05-13	VYDAJ	PREVOD NA UCET	1599	51601	SIPO	OP	87381881
737396	2519	1998-06-13	VYDAJ	PREVOD NA UCET	1599	43283	SIPO	OP	87381881
737397	2519	1998-07-13	VYDAJ	PREVOD NA UCET	1599	45957	SIPO	OP	87381881
737398	2519	1998-08-13	VYDAJ	PREVOD NA UCET	1599	50069	SIPO	OP	87381881
737399	2519	1998-09-13	VYDAJ	PREVOD NA UCET	1599	50892	SIPO	OP	87381881
737400	2519	1998-10-13	VYDAJ	PREVOD NA UCET	1599	51381	SIPO	OP	87381881
737401	2519	1998-11-13	VYDAJ	PREVOD NA UCET	1599	48886	SIPO	OP	87381881
737402	2519	1998-12-13	VYDAJ	PREVOD NA UCET	1599	50705	SIPO	OP	87381881
737403	2519	1993-06-27	VYDAJ	VYBER	9900	15470	\N	\N	\N
737404	2519	1994-06-18	VYDAJ	VYBER	5350	19587	\N	\N	\N
737405	2519	1995-06-22	VYDAJ	VYBER	14300	16726	\N	\N	\N
737406	2519	1996-06-25	VYDAJ	VYBER	11450	19026	\N	\N	\N
737407	2519	1997-06-17	VYDAJ	VYBER	10200	21369	\N	\N	\N
737408	2519	1998-06-01	VYDAJ	VYBER	10250	39338	\N	\N	\N
737411	2519	1995-01-04	VYDAJ	VYBER	3400	24338	\N	\N	\N
737412	2519	1996-01-05	VYDAJ	VYBER	4600	20701	\N	\N	\N
737413	2519	1997-01-10	VYDAJ	VYBER	4200	26634	\N	\N	\N
737414	2519	1998-01-07	VYDAJ	VYBER	1800	40566	\N	\N	\N
737415	2519	1993-12-22	VYDAJ	VYBER	1200	28001	\N	\N	\N
737416	2519	1994-12-28	VYDAJ	VYBER	1100	27634	\N	\N	\N
737417	2519	1995-12-09	VYDAJ	VYBER	550	32968	\N	\N	\N
737418	2519	1996-12-09	VYDAJ	VYBER	650	33538	\N	\N	\N
737419	2519	1997-12-29	VYDAJ	VYBER	1300	39474	\N	\N	\N
737420	2519	1998-12-14	VYDAJ	VYBER	650	50055	\N	\N	\N
737427	2519	1994-01-18	VYDAJ	VYBER	800	23980	\N	\N	\N
737428	2519	1994-01-28	VYDAJ	VYBER	1200	20860	\N	\N	\N
737429	2519	1994-01-22	VYDAJ	VYBER	960	23020	\N	\N	\N
737430	2519	1994-01-25	VYDAJ	VYBER	960	22060	\N	\N	\N
737431	2519	1994-01-04	VYDAJ	VYBER	960	27145	\N	\N	\N
737432	2519	1994-01-13	VYDAJ	VYBER	560	26379	\N	\N	\N
737433	2519	1995-01-15	VYDAJ	VYBER	1680	14683	\N	\N	\N
737434	2519	1995-01-13	VYDAJ	VYBER	1920	23242	\N	\N	\N
737436	2519	1995-01-13	VYDAJ	VYBER	1680	21562	\N	\N	\N
737437	2519	1995-01-04	VYDAJ	VYBER	1040	23298	\N	\N	\N
737438	2519	1995-01-06	VYDAJ	VYBER	1680	19618	\N	\N	\N
737439	2519	1996-01-08	VYDAJ	VYBER	400	23925	\N	\N	\N
737440	2519	1996-01-06	VYDAJ	VYBER	1920	18781	\N	\N	\N
737441	2519	1996-01-01	VYDAJ	VYBER	2320	26661	\N	\N	\N
737442	2519	1996-01-04	VYDAJ	VYBER	480	26181	\N	\N	\N
737443	2519	1996-01-11	VYDAJ	VYBER	720	23205	\N	\N	\N
737444	2519	1996-01-04	VYDAJ	VYBER	880	25301	\N	\N	\N
737445	2519	1997-01-27	VYDAJ	VYBER	2000	16955	\N	\N	\N
737446	2519	1997-01-20	VYDAJ	VYBER	1120	20475	\N	\N	\N
737447	2519	1997-01-21	VYDAJ	VYBER	1520	18955	\N	\N	\N
737448	2519	1997-01-09	VYDAJ	VYBER	640	30834	\N	\N	\N
737449	2519	1997-01-08	VYDAJ	VYBER	960	31474	\N	\N	\N
737450	2519	1997-01-03	VYDAJ	VYBER	1760	26890	\N	\N	\N
737451	2519	1998-01-02	VYDAJ	VYBER	2000	37622	\N	\N	\N
737452	2519	1998-01-26	VYDAJ	VYBER	1520	36007	\N	\N	\N
737453	2519	1998-01-26	VYDAJ	VYBER	800	35207	\N	\N	\N
737454	2519	1998-01-04	VYDAJ	VYBER	800	36822	\N	\N	\N
737455	2519	1998-01-23	VYDAJ	VYBER	800	37527	\N	\N	\N
737456	2519	1998-01-21	VYDAJ	VYBER	640	38327	\N	\N	\N
737458	2519	1993-10-08	VYDAJ	VYBER	1520	28325	\N	\N	\N
737461	2519	1993-07-03	VYDAJ	VYBER	3280	12269	\N	\N	\N
737463	2519	1994-07-23	VYDAJ	VYBER	1200	22215	\N	\N	\N
737464	2519	1994-10-16	VYDAJ	VYBER	400	22073	\N	\N	\N
737465	2519	1994-10-03	VYDAJ	VYBER	1840	22428	\N	\N	\N
737466	2519	1994-02-17	VYDAJ	VYBER	1280	20915	\N	\N	\N
737467	2519	1995-07-11	VYDAJ	VYBER	480	20605	\N	\N	\N
737468	2519	1995-11-30	VYDAJ	VYBER	3200	27974	\N	\N	\N
737469	2519	1995-10-13	VYDAJ	VYBER	1360	29209	\N	\N	\N
737470	2519	1995-01-15	VYDAJ	VYBER	3600	16363	\N	\N	\N
737471	2519	1995-04-11	VYDAJ	VYBER	2560	25755	\N	\N	\N
737472	2519	1995-07-10	VYDAJ	VYBER	1280	21085	\N	\N	\N
737473	2519	1996-08-21	VYDAJ	VYBER	1200	25886	\N	\N	\N
737474	2519	1996-04-06	VYDAJ	VYBER	2800	25062	\N	\N	\N
737475	2519	1996-04-30	VYDAJ	VYBER	1040	25372	\N	\N	\N
737476	2519	1996-05-11	VYDAJ	VYBER	2880	28036	\N	\N	\N
737477	2519	1997-01-18	VYDAJ	VYBER	3440	21595	\N	\N	\N
737478	2519	1997-08-26	VYDAJ	VYBER	1840	27591	\N	\N	\N
737479	2519	1997-04-10	VYDAJ	VYBER	2800	27817	\N	\N	\N
737480	2519	1997-10-03	VYDAJ	VYBER	2160	29583	\N	\N	\N
737481	2519	1997-04-23	VYDAJ	VYBER	2720	23498	\N	\N	\N
737482	2519	1998-09-24	VYDAJ	VYBER	3040	47252	\N	\N	\N
737483	2519	1998-06-27	VYDAJ	VYBER	1440	41843	\N	\N	\N
737484	2519	1998-10-29	VYDAJ	VYBER	2720	44761	\N	\N	\N
737491	2519	1993-06-30	VYDAJ	VYBER	15	15549	SLUZBY	\N	\N
737492	2519	1993-07-31	VYDAJ	VYBER	15	16268	SLUZBY	\N	\N
737493	2519	1993-08-31	VYDAJ	VYBER	15	20276	SLUZBY	\N	\N
737494	2519	1993-09-30	VYDAJ	VYBER	15	24301	SLUZBY	\N	\N
737495	2519	1993-10-31	VYDAJ	VYBER	15	24415	SLUZBY	\N	\N
737496	2519	1993-11-30	VYDAJ	VYBER	15	27656	SLUZBY	\N	\N
737497	2519	1993-12-31	VYDAJ	VYBER	15	28105	SLUZBY	\N	\N
737498	2519	1994-01-31	VYDAJ	VYBER	15	20950	SLUZBY	\N	\N
737499	2519	1994-02-28	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
737500	2519	1994-03-31	VYDAJ	VYBER	15	24217	SLUZBY	\N	\N
737501	2519	1994-04-30	VYDAJ	VYBER	15	25252	SLUZBY	\N	\N
737502	2519	1994-05-31	VYDAJ	VYBER	15	26792	SLUZBY	\N	\N
737503	2519	1994-06-30	VYDAJ	VYBER	15	19670	SLUZBY	\N	\N
737504	2519	1994-07-31	VYDAJ	VYBER	15	22293	SLUZBY	\N	\N
737505	2519	1994-08-31	VYDAJ	VYBER	15	26129	SLUZBY	\N	\N
737506	2519	1994-09-30	VYDAJ	VYBER	15	24268	SLUZBY	\N	\N
737507	2519	1994-10-31	VYDAJ	VYBER	15	22157	SLUZBY	\N	\N
737508	2519	1994-11-30	VYDAJ	VYBER	15	26189	SLUZBY	\N	\N
737509	2519	1994-12-31	VYDAJ	VYBER	15	27738	SLUZBY	\N	\N
737510	2519	1995-01-31	VYDAJ	VYBER	15	14752	SLUZBY	\N	\N
737511	2519	1995-02-28	VYDAJ	VYBER	15	18752	SLUZBY	\N	\N
737512	2519	1995-03-31	VYDAJ	VYBER	15	22771	SLUZBY	\N	\N
737513	2519	1995-04-30	VYDAJ	VYBER	15	24240	SLUZBY	\N	\N
737514	2519	1995-05-31	VYDAJ	VYBER	15	28281	SLUZBY	\N	\N
737515	2519	1995-06-30	VYDAJ	VYBER	15	16821	SLUZBY	\N	\N
737516	2519	1995-07-31	VYDAJ	VYBER	15	19068	SLUZBY	\N	\N
737517	2519	1995-08-31	VYDAJ	VYBER	15	23088	SLUZBY	\N	\N
737518	2519	1995-09-30	VYDAJ	VYBER	15	27124	SLUZBY	\N	\N
737519	2519	1995-10-31	VYDAJ	VYBER	15	29316	SLUZBY	\N	\N
737520	2519	1995-11-30	VYDAJ	VYBER	15	31174	SLUZBY	\N	\N
737521	2519	1995-12-31	VYDAJ	VYBER	15	28981	SLUZBY	\N	\N
737522	2519	1996-01-31	VYDAJ	VYBER	15	21686	SLUZBY	\N	\N
737523	2519	1996-02-29	VYDAJ	VYBER	15	25715	SLUZBY	\N	\N
737524	2519	1996-03-31	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
737525	2519	1996-04-30	VYDAJ	VYBER	15	26412	SLUZBY	\N	\N
737526	2519	1996-05-31	VYDAJ	VYBER	15	26531	SLUZBY	\N	\N
737527	2519	1996-06-30	VYDAJ	VYBER	15	19122	SLUZBY	\N	\N
737528	2519	1996-07-31	VYDAJ	VYBER	15	23141	SLUZBY	\N	\N
737529	2519	1996-08-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
737530	2519	1996-09-30	VYDAJ	VYBER	15	30022	SLUZBY	\N	\N
737531	2519	1996-10-31	VYDAJ	VYBER	15	30483	SLUZBY	\N	\N
737532	2519	1996-11-30	VYDAJ	VYBER	15	28644	SLUZBY	\N	\N
737533	2519	1996-12-31	VYDAJ	VYBER	15	28650	SLUZBY	\N	\N
737534	2519	1997-01-31	VYDAJ	VYBER	15	17038	SLUZBY	\N	\N
737535	2519	1997-02-28	VYDAJ	VYBER	15	21047	SLUZBY	\N	\N
737536	2519	1997-03-31	VYDAJ	VYBER	15	25073	SLUZBY	\N	\N
737537	2519	1997-04-30	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
737538	2519	1997-05-31	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
737539	2519	1997-06-30	VYDAJ	VYBER	15	21458	SLUZBY	\N	\N
737540	2519	1997-07-31	VYDAJ	VYBER	15	25486	SLUZBY	\N	\N
737541	2519	1997-08-31	VYDAJ	VYBER	15	27689	SLUZBY	\N	\N
737542	2519	1997-09-30	VYDAJ	VYBER	15	31743	SLUZBY	\N	\N
737543	2519	1997-10-31	VYDAJ	VYBER	15	33650	SLUZBY	\N	\N
737544	2519	1997-11-30	VYDAJ	VYBER	15	37729	SLUZBY	\N	\N
737545	2519	1997-12-31	VYDAJ	VYBER	15	39622	SLUZBY	\N	\N
737546	2519	1998-01-31	VYDAJ	VYBER	15	35350	SLUZBY	\N	\N
737547	2519	1998-02-28	VYDAJ	VYBER	15	39435	SLUZBY	\N	\N
737548	2519	1998-03-31	VYDAJ	VYBER	15	43537	SLUZBY	\N	\N
737549	2519	1998-04-30	VYDAJ	VYBER	15	47656	SLUZBY	\N	\N
737550	2519	1998-05-31	VYDAJ	VYBER	15	49588	SLUZBY	\N	\N
737551	2519	1998-06-30	VYDAJ	VYBER	15	42012	SLUZBY	\N	\N
737552	2519	1998-07-31	VYDAJ	VYBER	15	46124	SLUZBY	\N	\N
737553	2519	1998-08-31	VYDAJ	VYBER	15	46947	SLUZBY	\N	\N
737554	2519	1998-09-30	VYDAJ	VYBER	15	47436	SLUZBY	\N	\N
737555	2519	1998-10-31	VYDAJ	VYBER	15	44941	SLUZBY	\N	\N
737556	2519	1998-11-30	VYDAJ	VYBER	15	46760	SLUZBY	\N	\N
737557	2519	1993-05-15	VYDAJ	VYBER	1300	21376	\N	\N	\N
737558	2519	1993-10-12	VYDAJ	VYBER	2400	25925	\N	\N	\N
737559	2519	1993-11-11	VYDAJ	VYBER	800	29159	\N	\N	\N
737560	2519	1993-12-11	VYDAJ	VYBER	2400	30800	\N	\N	\N
737561	2519	1994-01-10	VYDAJ	VYBER	3700	26939	\N	\N	\N
737562	2519	1994-02-09	VYDAJ	VYBER	2700	23794	\N	\N	\N
737563	2519	1994-03-11	VYDAJ	VYBER	800	25734	\N	\N	\N
737564	2519	1994-04-10	VYDAJ	VYBER	3000	26761	\N	\N	\N
737565	2519	1994-05-10	VYDAJ	VYBER	2500	28296	\N	\N	\N
737566	2519	1994-06-09	VYDAJ	VYBER	5800	26536	\N	\N	\N
737567	2519	1994-07-09	VYDAJ	VYBER	200	25014	\N	\N	\N
737568	2519	1994-08-08	VYDAJ	VYBER	200	27637	\N	\N	\N
737569	2519	1994-09-07	VYDAJ	VYBER	5900	25773	\N	\N	\N
737570	2519	1994-10-07	VYDAJ	VYBER	3900	24072	\N	\N	\N
737571	2519	1994-12-06	VYDAJ	VYBER	1400	24789	\N	\N	\N
737572	2519	1995-01-05	VYDAJ	VYBER	2000	21298	\N	\N	\N
737573	2519	1995-06-04	VYDAJ	VYBER	1200	27081	\N	\N	\N
737574	2519	1995-10-02	VYDAJ	VYBER	500	26624	\N	\N	\N
737575	2519	1995-11-01	VYDAJ	VYBER	2200	27116	\N	\N	\N
737576	2519	1995-12-31	VYDAJ	VYBER	2500	28996	\N	\N	\N
737577	2519	1996-03-30	VYDAJ	VYBER	1900	27760	\N	\N	\N
737578	2519	1996-04-29	VYDAJ	VYBER	2700	26307	\N	\N	\N
737579	2519	1996-10-26	VYDAJ	VYBER	3600	30367	\N	\N	\N
737580	2519	1996-11-25	VYDAJ	VYBER	5900	28528	\N	\N	\N
737581	2519	1996-12-25	VYDAJ	VYBER	3400	28539	\N	\N	\N
737582	2519	1997-12-20	VYDAJ	VYBER	900	40774	\N	\N	\N
737583	2519	1998-05-19	VYDAJ	VYBER	2200	49401	\N	\N	\N
737584	2519	1998-08-17	VYDAJ	VYBER	3300	46769	\N	\N	\N
737585	2519	1998-09-16	VYDAJ	VYBER	600	50292	\N	\N	\N
737586	2519	1998-10-16	VYDAJ	VYBER	3900	47481	\N	\N	\N
737587	2519	1998-11-15	VYDAJ	VYBER	2300	46586	\N	\N	\N
737656	2520	1995-07-25	PRIJEM	VKLAD	400	400	\N	\N	\N
737664	2520	1995-08-14	PRIJEM	PREVOD Z UCTU	3533	3933	\N	AB	22529095
737665	2520	1995-09-14	PRIJEM	PREVOD Z UCTU	3533	19683	\N	AB	22529095
737666	2520	1995-10-14	PRIJEM	PREVOD Z UCTU	3533	26691	\N	AB	22529095
737667	2520	1995-11-14	PRIJEM	PREVOD Z UCTU	3533	29123	\N	AB	22529095
737668	2520	1995-12-14	PRIJEM	PREVOD Z UCTU	3533	31566	\N	AB	22529095
737669	2520	1996-01-14	PRIJEM	PREVOD Z UCTU	3533	27064	\N	AB	22529095
737670	2520	1996-02-14	PRIJEM	PREVOD Z UCTU	3533	23031	\N	AB	22529095
737671	2520	1996-03-14	PRIJEM	PREVOD Z UCTU	3533	20874	\N	AB	22529095
737672	2520	1996-04-14	PRIJEM	PREVOD Z UCTU	3533	21030	\N	AB	22529095
737673	2520	1996-05-14	PRIJEM	PREVOD Z UCTU	3533	16403	\N	AB	22529095
737674	2520	1996-06-14	PRIJEM	PREVOD Z UCTU	3533	16633	\N	AB	22529095
737675	2520	1996-07-14	PRIJEM	PREVOD Z UCTU	3533	16060	\N	AB	22529095
737676	2520	1996-08-14	PRIJEM	PREVOD Z UCTU	3533	15686	\N	AB	22529095
737677	2520	1996-09-14	PRIJEM	PREVOD Z UCTU	3533	13738	\N	AB	22529095
737678	2520	1996-10-14	PRIJEM	PREVOD Z UCTU	3533	15458	\N	AB	22529095
737679	2520	1996-11-14	PRIJEM	PREVOD Z UCTU	3533	16684	\N	AB	22529095
737680	2520	1996-12-14	PRIJEM	PREVOD Z UCTU	3533	16712	\N	AB	22529095
737681	2520	1997-01-14	PRIJEM	PREVOD Z UCTU	3533	15066	\N	AB	22529095
737682	2520	1997-02-14	PRIJEM	PREVOD Z UCTU	3533	15870	\N	AB	22529095
737683	2520	1997-03-14	PRIJEM	PREVOD Z UCTU	3533	15805	\N	AB	22529095
737684	2520	1997-04-14	PRIJEM	PREVOD Z UCTU	3533	17032	\N	AB	22529095
737685	2520	1997-05-14	PRIJEM	PREVOD Z UCTU	3533	18264	\N	AB	22529095
737686	2520	1997-06-14	PRIJEM	PREVOD Z UCTU	3533	14761	\N	AB	22529095
737687	2520	1997-07-14	PRIJEM	PREVOD Z UCTU	3533	15988	\N	AB	22529095
737688	2520	1997-08-14	PRIJEM	PREVOD Z UCTU	3533	16134	\N	AB	22529095
737689	2520	1997-09-14	PRIJEM	PREVOD Z UCTU	3533	17362	\N	AB	22529095
737690	2520	1997-10-14	PRIJEM	PREVOD Z UCTU	3533	18596	\N	AB	22529095
737691	2520	1997-11-14	PRIJEM	PREVOD Z UCTU	3533	19834	\N	AB	22529095
737692	2520	1997-12-14	PRIJEM	PREVOD Z UCTU	3533	19877	\N	AB	22529095
737693	2520	1998-01-14	PRIJEM	PREVOD Z UCTU	3533	18931	\N	AB	22529095
737694	2520	1998-02-14	PRIJEM	PREVOD Z UCTU	3533	20173	\N	AB	22529095
737695	2520	1998-03-14	PRIJEM	PREVOD Z UCTU	3533	20637	\N	AB	22529095
737696	2520	1998-04-14	PRIJEM	PREVOD Z UCTU	3533	21883	\N	AB	22529095
737697	2520	1998-05-14	PRIJEM	PREVOD Z UCTU	3533	22444	\N	AB	22529095
737698	2520	1998-06-14	PRIJEM	PREVOD Z UCTU	3533	15059	\N	AB	22529095
737699	2520	1998-07-14	PRIJEM	PREVOD Z UCTU	3533	16294	\N	AB	22529095
737700	2520	1998-08-14	PRIJEM	PREVOD Z UCTU	3533	17313	\N	AB	22529095
737701	2520	1998-09-14	PRIJEM	PREVOD Z UCTU	3533	18095	\N	AB	22529095
737702	2520	1998-10-14	PRIJEM	PREVOD Z UCTU	3533	19331	\N	AB	22529095
737703	2520	1998-11-14	PRIJEM	PREVOD Z UCTU	3533	19882	\N	AB	22529095
737704	2520	1998-12-14	PRIJEM	PREVOD Z UCTU	3533	21127	\N	AB	22529095
737717	2520	1996-01-12	VYDAJ	PREVOD NA UCET	2355	23531	SIPO	CD	39163434
737718	2520	1996-02-12	VYDAJ	PREVOD NA UCET	2355	19498	SIPO	CD	39163434
737719	2520	1996-03-12	VYDAJ	PREVOD NA UCET	2355	17341	SIPO	CD	39163434
737720	2520	1996-04-12	VYDAJ	PREVOD NA UCET	2355	17497	SIPO	CD	39163434
737721	2520	1996-05-12	VYDAJ	PREVOD NA UCET	2355	14340	SIPO	CD	39163434
737722	2520	1996-06-12	VYDAJ	PREVOD NA UCET	2355	13100	SIPO	CD	39163434
737723	2520	1996-07-12	VYDAJ	PREVOD NA UCET	2355	12527	SIPO	CD	39163434
737724	2520	1996-08-12	VYDAJ	PREVOD NA UCET	2355	12153	SIPO	CD	39163434
737725	2520	1996-09-12	VYDAJ	PREVOD NA UCET	2355	10205	SIPO	CD	39163434
737726	2520	1996-10-12	VYDAJ	PREVOD NA UCET	2355	11925	SIPO	CD	39163434
737727	2520	1996-11-12	VYDAJ	PREVOD NA UCET	2355	13151	SIPO	CD	39163434
737728	2520	1996-12-12	VYDAJ	PREVOD NA UCET	2355	13179	SIPO	CD	39163434
737729	2520	1997-01-12	VYDAJ	PREVOD NA UCET	2355	11533	SIPO	CD	39163434
737730	2520	1997-02-12	VYDAJ	PREVOD NA UCET	2355	12337	SIPO	CD	39163434
737731	2520	1997-03-12	VYDAJ	PREVOD NA UCET	2355	12272	SIPO	CD	39163434
737732	2520	1997-04-12	VYDAJ	PREVOD NA UCET	2355	13499	SIPO	CD	39163434
737733	2520	1997-05-12	VYDAJ	PREVOD NA UCET	2355	14731	SIPO	CD	39163434
737734	2520	1997-06-12	VYDAJ	PREVOD NA UCET	2355	11228	SIPO	CD	39163434
737735	2520	1997-07-12	VYDAJ	PREVOD NA UCET	2355	12455	SIPO	CD	39163434
737736	2520	1997-08-12	VYDAJ	PREVOD NA UCET	2355	12601	SIPO	CD	39163434
737737	2520	1997-09-12	VYDAJ	PREVOD NA UCET	2355	13829	SIPO	CD	39163434
737738	2520	1997-10-12	VYDAJ	PREVOD NA UCET	2355	15063	SIPO	CD	39163434
737739	2520	1997-11-12	VYDAJ	PREVOD NA UCET	2355	16301	SIPO	CD	39163434
737740	2520	1997-12-12	VYDAJ	PREVOD NA UCET	2355	16344	SIPO	CD	39163434
737741	2520	1998-01-12	VYDAJ	PREVOD NA UCET	2355	15398	SIPO	CD	39163434
737742	2520	1998-02-12	VYDAJ	PREVOD NA UCET	2355	16640	SIPO	CD	39163434
737743	2520	1998-03-12	VYDAJ	PREVOD NA UCET	2355	17104	SIPO	CD	39163434
737744	2520	1998-04-12	VYDAJ	PREVOD NA UCET	2355	18350	SIPO	CD	39163434
737745	2520	1998-05-12	VYDAJ	PREVOD NA UCET	2355	18911	SIPO	CD	39163434
737746	2520	1998-06-12	VYDAJ	PREVOD NA UCET	2355	11526	SIPO	CD	39163434
737747	2520	1998-07-12	VYDAJ	PREVOD NA UCET	2355	12761	SIPO	CD	39163434
737748	2520	1998-08-12	VYDAJ	PREVOD NA UCET	2355	13780	SIPO	CD	39163434
737749	2520	1998-09-12	VYDAJ	PREVOD NA UCET	2355	14562	SIPO	CD	39163434
737750	2520	1998-10-12	VYDAJ	PREVOD NA UCET	2355	15798	SIPO	CD	39163434
737751	2520	1998-11-12	VYDAJ	PREVOD NA UCET	2355	16349	SIPO	CD	39163434
737752	2520	1998-12-12	VYDAJ	PREVOD NA UCET	2355	17594	SIPO	CD	39163434
737755	2520	1997-06-07	VYDAJ	VYBER	3660	13583	\N	\N	\N
737756	2520	1998-06-02	VYDAJ	VYBER	8640	13881	\N	\N	\N
737758	2520	1996-01-07	VYDAJ	VYBER	1020	25886	\N	\N	\N
737759	2520	1997-01-14	VYDAJ	VYBER	420	14646	\N	\N	\N
737760	2520	1998-01-01	VYDAJ	VYBER	2190	17753	\N	\N	\N
737761	2520	1995-12-30	VYDAJ	VYBER	360	26806	\N	\N	\N
737762	2520	1996-12-14	VYDAJ	VYBER	270	16442	\N	\N	\N
737763	2520	1997-12-04	VYDAJ	VYBER	780	18699	\N	\N	\N
737764	2520	1998-12-14	VYDAJ	VYBER	360	20767	\N	\N	\N
737768	2520	1996-05-13	VYDAJ	VYBER	1470	12870	\N	\N	\N
737769	2520	1996-02-19	VYDAJ	VYBER	810	22221	\N	\N	\N
737770	2520	1996-09-06	VYDAJ	VYBER	870	12560	\N	\N	\N
737771	2520	1996-08-18	VYDAJ	VYBER	1200	14486	\N	\N	\N
737772	2520	1996-03-24	VYDAJ	VYBER	390	19784	\N	\N	\N
737773	2520	1997-02-17	VYDAJ	VYBER	1290	14580	\N	\N	\N
737774	2520	1997-05-28	VYDAJ	VYBER	1080	17184	\N	\N	\N
737775	2520	1997-11-23	VYDAJ	VYBER	420	19414	\N	\N	\N
737776	2520	1997-07-22	VYDAJ	VYBER	1080	14908	\N	\N	\N
737778	2520	1998-08-02	VYDAJ	VYBER	210	16135	\N	\N	\N
737779	2520	1998-09-03	VYDAJ	VYBER	450	16917	\N	\N	\N
737780	2520	1998-02-16	VYDAJ	VYBER	780	19393	\N	\N	\N
737781	2520	1998-10-31	VYDAJ	VYBER	690	18704	\N	\N	\N
737782	2520	1998-04-22	VYDAJ	VYBER	690	21193	\N	\N	\N
737795	2520	1995-12-31	VYDAJ	VYBER	15	26906	SLUZBY	\N	\N
737796	2520	1996-01-31	VYDAJ	VYBER	15	21853	SLUZBY	\N	\N
737797	2520	1996-02-29	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
737798	2520	1996-03-31	VYDAJ	VYBER	15	19852	SLUZBY	\N	\N
737799	2520	1996-04-30	VYDAJ	VYBER	15	16695	SLUZBY	\N	\N
737800	2520	1996-05-31	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
737801	2520	1996-06-30	VYDAJ	VYBER	15	14882	SLUZBY	\N	\N
737802	2520	1996-07-31	VYDAJ	VYBER	15	14508	SLUZBY	\N	\N
737803	2520	1996-08-31	VYDAJ	VYBER	15	13430	SLUZBY	\N	\N
737804	2520	1996-09-30	VYDAJ	VYBER	15	14280	SLUZBY	\N	\N
737805	2520	1996-10-31	VYDAJ	VYBER	15	15506	SLUZBY	\N	\N
737806	2520	1996-11-30	VYDAJ	VYBER	15	15534	SLUZBY	\N	\N
737807	2520	1996-12-31	VYDAJ	VYBER	15	13888	SLUZBY	\N	\N
737808	2520	1997-01-31	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
737809	2520	1997-02-28	VYDAJ	VYBER	15	14627	SLUZBY	\N	\N
737810	2520	1997-03-31	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
737811	2520	1997-04-30	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
737812	2520	1997-05-31	VYDAJ	VYBER	15	17243	SLUZBY	\N	\N
737813	2520	1997-06-30	VYDAJ	VYBER	15	14810	SLUZBY	\N	\N
737814	2520	1997-07-31	VYDAJ	VYBER	15	14956	SLUZBY	\N	\N
737815	2520	1997-08-31	VYDAJ	VYBER	15	16184	SLUZBY	\N	\N
737816	2520	1997-09-30	VYDAJ	VYBER	15	17418	SLUZBY	\N	\N
737817	2520	1997-10-31	VYDAJ	VYBER	15	18656	SLUZBY	\N	\N
737818	2520	1997-11-30	VYDAJ	VYBER	15	19479	SLUZBY	\N	\N
737819	2520	1997-12-31	VYDAJ	VYBER	15	19943	SLUZBY	\N	\N
737820	2520	1998-01-31	VYDAJ	VYBER	15	18995	SLUZBY	\N	\N
737821	2520	1998-02-28	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
737822	2520	1998-03-31	VYDAJ	VYBER	15	20705	SLUZBY	\N	\N
737823	2520	1998-04-30	VYDAJ	VYBER	15	21266	SLUZBY	\N	\N
737824	2520	1998-05-31	VYDAJ	VYBER	15	22521	SLUZBY	\N	\N
737825	2520	1998-06-30	VYDAJ	VYBER	15	15116	SLUZBY	\N	\N
737826	2520	1998-07-31	VYDAJ	VYBER	15	16345	SLUZBY	\N	\N
737827	2520	1998-08-31	VYDAJ	VYBER	15	17367	SLUZBY	\N	\N
737828	2520	1998-09-30	VYDAJ	VYBER	15	18153	SLUZBY	\N	\N
737829	2520	1998-10-31	VYDAJ	VYBER	15	19394	SLUZBY	\N	\N
737830	2520	1998-11-30	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
737831	2520	1995-08-24	PRIJEM	VKLAD	12200	16133	\N	\N	\N
737832	2520	1995-09-23	PRIJEM	VKLAD	3400	23083	\N	\N	\N
737833	2520	1995-10-23	VYDAJ	VYBER	1200	25491	\N	\N	\N
737834	2520	1995-11-22	VYDAJ	VYBER	1200	27923	\N	\N	\N
737835	2520	1995-12-22	VYDAJ	VYBER	4400	27166	\N	\N	\N
737836	2520	1996-01-21	VYDAJ	VYBER	5300	21764	\N	\N	\N
737837	2520	1996-02-20	VYDAJ	VYBER	2600	19621	\N	\N	\N
737838	2520	1996-03-21	VYDAJ	VYBER	700	20174	\N	\N	\N
737839	2520	1996-04-20	VYDAJ	VYBER	4400	16630	\N	\N	\N
737840	2520	1996-05-20	VYDAJ	VYBER	1000	15403	\N	\N	\N
737841	2520	1996-06-19	VYDAJ	VYBER	1800	14833	\N	\N	\N
737842	2520	1996-07-19	VYDAJ	VYBER	1600	14460	\N	\N	\N
737843	2520	1996-08-18	VYDAJ	VYBER	1100	13386	\N	\N	\N
737844	2520	1996-09-17	PRIJEM	VKLAD	500	14238	\N	\N	\N
737845	2520	1996-11-16	VYDAJ	VYBER	1200	15484	\N	\N	\N
737846	2520	1996-12-16	VYDAJ	VYBER	2600	13842	\N	\N	\N
737888	2521	1995-05-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
737894	2521	1995-06-07	PRIJEM	VKLAD	36063	37063	\N	\N	\N
737895	2521	1995-07-07	PRIJEM	VKLAD	24042	56363	\N	\N	\N
737896	2521	1995-08-07	PRIJEM	VKLAD	24042	67160	\N	\N	\N
737897	2521	1995-09-07	PRIJEM	VKLAD	24042	70287	\N	\N	\N
737898	2521	1995-10-07	PRIJEM	VKLAD	24042	70221	\N	\N	\N
737899	2521	1995-11-07	PRIJEM	VKLAD	24042	65441	\N	\N	\N
737900	2521	1995-12-07	PRIJEM	VKLAD	36063	77905	\N	\N	\N
737901	2521	1996-01-07	PRIJEM	VKLAD	24042	69470	\N	\N	\N
737902	2521	1996-02-07	PRIJEM	VKLAD	24042	55898	\N	\N	\N
737903	2521	1996-03-07	PRIJEM	VKLAD	24042	59706	\N	\N	\N
737904	2521	1996-04-07	PRIJEM	VKLAD	24042	60423	\N	\N	\N
737905	2521	1996-05-07	PRIJEM	VKLAD	24042	59637	\N	\N	\N
737906	2521	1996-06-07	PRIJEM	VKLAD	36063	75479	\N	\N	\N
737907	2521	1996-07-07	PRIJEM	VKLAD	24042	65221	\N	\N	\N
737908	2521	1996-08-07	PRIJEM	VKLAD	24042	68163	\N	\N	\N
737909	2521	1996-09-07	PRIJEM	VKLAD	24042	59696	\N	\N	\N
737910	2521	1996-10-07	PRIJEM	VKLAD	24042	65419	\N	\N	\N
737911	2521	1996-11-07	PRIJEM	VKLAD	24042	69761	\N	\N	\N
737912	2521	1996-12-07	PRIJEM	VKLAD	36063	83633	\N	\N	\N
737913	2521	1997-01-07	PRIJEM	VKLAD	24042	73797	\N	\N	\N
737914	2521	1997-02-07	PRIJEM	VKLAD	24042	56827	\N	\N	\N
737915	2521	1997-03-07	PRIJEM	VKLAD	24042	62571	\N	\N	\N
737916	2521	1997-04-07	PRIJEM	VKLAD	24042	67300	\N	\N	\N
737917	2521	1997-05-07	PRIJEM	VKLAD	24042	67934	\N	\N	\N
737918	2521	1997-06-07	PRIJEM	VKLAD	36063	74572	\N	\N	\N
737919	2521	1997-07-07	PRIJEM	VKLAD	24042	44732	\N	\N	\N
737920	2521	1997-08-07	PRIJEM	VKLAD	24042	49209	\N	\N	\N
737921	2521	1997-09-07	PRIJEM	VKLAD	24042	58324	\N	\N	\N
737922	2521	1997-10-07	PRIJEM	VKLAD	24042	64378	\N	\N	\N
737923	2521	1997-11-07	PRIJEM	VKLAD	24042	60457	\N	\N	\N
737924	2521	1997-12-07	PRIJEM	VKLAD	36063	75848	\N	\N	\N
737925	2521	1998-01-07	PRIJEM	VKLAD	24042	70970	\N	\N	\N
737926	2521	1998-02-07	PRIJEM	VKLAD	24042	68172	\N	\N	\N
737927	2521	1998-03-07	PRIJEM	VKLAD	24042	66968	\N	\N	\N
737928	2521	1998-04-07	PRIJEM	VKLAD	24042	62756	\N	\N	\N
737929	2521	1998-05-07	PRIJEM	VKLAD	24042	65335	\N	\N	\N
737930	2521	1998-06-07	PRIJEM	VKLAD	36063	67344	\N	\N	\N
737931	2521	1998-07-07	PRIJEM	VKLAD	24042	66826	\N	\N	\N
737932	2521	1998-08-07	PRIJEM	VKLAD	24042	65621	\N	\N	\N
737933	2521	1998-09-07	PRIJEM	VKLAD	24042	69512	\N	\N	\N
737934	2521	1998-10-07	PRIJEM	VKLAD	24042	70222	\N	\N	\N
737935	2521	1998-11-07	PRIJEM	VKLAD	24042	70331	\N	\N	\N
737936	2521	1998-12-07	PRIJEM	VKLAD	36063	81847	\N	\N	\N
737947	2521	1995-11-05	VYDAJ	PREVOD NA UCET	6002	41399	SIPO	ST	64551746
737948	2521	1995-12-05	VYDAJ	PREVOD NA UCET	6002	41842	SIPO	ST	64551746
737949	2521	1996-01-05	VYDAJ	PREVOD NA UCET	6002	45428	SIPO	ST	64551746
737950	2521	1996-02-05	VYDAJ	PREVOD NA UCET	6002	31856	SIPO	ST	64551746
737951	2521	1996-03-05	VYDAJ	PREVOD NA UCET	6002	35664	SIPO	ST	64551746
737952	2521	1996-04-05	VYDAJ	PREVOD NA UCET	6002	36381	SIPO	ST	64551746
737953	2521	1996-05-05	VYDAJ	PREVOD NA UCET	6002	35595	SIPO	ST	64551746
737954	2521	1996-06-05	VYDAJ	PREVOD NA UCET	6002	39416	SIPO	ST	64551746
737955	2521	1996-07-05	VYDAJ	PREVOD NA UCET	6002	41179	SIPO	ST	64551746
737956	2521	1996-08-05	VYDAJ	PREVOD NA UCET	6002	44121	SIPO	ST	64551746
737957	2521	1996-09-05	VYDAJ	PREVOD NA UCET	6002	35654	SIPO	ST	64551746
737958	2521	1996-10-05	VYDAJ	PREVOD NA UCET	6002	41377	SIPO	ST	64551746
737959	2521	1996-11-05	VYDAJ	PREVOD NA UCET	6002	45719	SIPO	ST	64551746
737960	2521	1996-12-05	VYDAJ	PREVOD NA UCET	6002	47570	SIPO	ST	64551746
737961	2521	1997-01-05	VYDAJ	PREVOD NA UCET	6002	49755	SIPO	ST	64551746
737962	2521	1997-02-05	VYDAJ	PREVOD NA UCET	6002	32785	SIPO	ST	64551746
737963	2521	1997-03-05	VYDAJ	PREVOD NA UCET	6002	38529	SIPO	ST	64551746
737964	2521	1997-04-05	VYDAJ	PREVOD NA UCET	6002	43258	SIPO	ST	64551746
737965	2521	1997-05-05	VYDAJ	PREVOD NA UCET	6002	43892	SIPO	ST	64551746
737966	2521	1997-06-05	VYDAJ	PREVOD NA UCET	6002	38509	SIPO	ST	64551746
737967	2521	1997-07-05	VYDAJ	PREVOD NA UCET	6002	20690	SIPO	ST	64551746
737968	2521	1997-08-05	VYDAJ	PREVOD NA UCET	6002	26067	SIPO	ST	64551746
737969	2521	1997-09-05	VYDAJ	PREVOD NA UCET	6002	34282	SIPO	ST	64551746
737970	2521	1997-10-05	VYDAJ	PREVOD NA UCET	6002	40336	SIPO	ST	64551746
737971	2521	1997-11-05	VYDAJ	PREVOD NA UCET	6002	36415	SIPO	ST	64551746
737972	2521	1997-12-05	VYDAJ	PREVOD NA UCET	6002	39785	SIPO	ST	64551746
737973	2521	1998-01-05	VYDAJ	PREVOD NA UCET	6002	49828	SIPO	ST	64551746
737974	2521	1998-02-05	VYDAJ	PREVOD NA UCET	6002	44130	SIPO	ST	64551746
737975	2521	1998-03-05	VYDAJ	PREVOD NA UCET	6002	42926	SIPO	ST	64551746
737976	2521	1998-04-05	VYDAJ	PREVOD NA UCET	6002	38714	SIPO	ST	64551746
737977	2521	1998-05-05	VYDAJ	PREVOD NA UCET	6002	41293	SIPO	ST	64551746
737978	2521	1998-06-05	VYDAJ	PREVOD NA UCET	6002	31281	SIPO	ST	64551746
737979	2521	1998-07-05	VYDAJ	PREVOD NA UCET	6002	42784	SIPO	ST	64551746
737980	2521	1998-08-05	VYDAJ	PREVOD NA UCET	6002	41579	SIPO	ST	64551746
737981	2521	1998-09-05	VYDAJ	PREVOD NA UCET	6002	45470	SIPO	ST	64551746
737982	2521	1998-10-05	VYDAJ	PREVOD NA UCET	6002	46180	SIPO	ST	64551746
737983	2521	1998-11-05	VYDAJ	PREVOD NA UCET	6002	46289	SIPO	ST	64551746
737984	2521	1998-12-05	VYDAJ	PREVOD NA UCET	6002	45784	SIPO	ST	64551746
737986	2521	1996-06-15	VYDAJ	VYBER	6900	46979	\N	\N	\N
737987	2521	1997-06-10	VYDAJ	VYBER	24200	26572	\N	\N	\N
737988	2521	1998-06-03	VYDAJ	VYBER	8000	37283	\N	\N	\N
737990	2521	1996-01-13	VYDAJ	VYBER	1300	65970	\N	\N	\N
737991	2521	1997-01-23	VYDAJ	VYBER	7900	38597	\N	\N	\N
737992	2521	1998-01-27	VYDAJ	VYBER	4100	61470	\N	\N	\N
737993	2521	1995-12-15	VYDAJ	VYBER	600	77305	\N	\N	\N
737994	2521	1996-12-14	VYDAJ	VYBER	2300	55533	\N	\N	\N
737995	2521	1997-12-30	VYDAJ	VYBER	900	74948	\N	\N	\N
737996	2521	1998-12-10	VYDAJ	VYBER	1800	80047	\N	\N	\N
738003	2521	1996-01-15	VYDAJ	VYBER	2100	42870	\N	\N	\N
738004	2521	1996-01-07	VYDAJ	VYBER	2200	67270	\N	\N	\N
738005	2521	1996-01-24	VYDAJ	VYBER	2400	37670	\N	\N	\N
738006	2521	1996-01-23	VYDAJ	VYBER	600	40070	\N	\N	\N
738007	2521	1996-01-19	VYDAJ	VYBER	2200	40670	\N	\N	\N
738008	2521	1996-01-13	VYDAJ	VYBER	2200	63770	\N	\N	\N
738009	2521	1997-01-15	VYDAJ	VYBER	700	49897	\N	\N	\N
738010	2521	1997-01-19	VYDAJ	VYBER	1600	46497	\N	\N	\N
738011	2521	1997-01-08	VYDAJ	VYBER	1400	69897	\N	\N	\N
738012	2521	1997-01-17	VYDAJ	VYBER	1800	48097	\N	\N	\N
738013	2521	1997-01-10	VYDAJ	VYBER	1800	50597	\N	\N	\N
738014	2521	1997-01-07	VYDAJ	VYBER	2500	71297	\N	\N	\N
738015	2521	1998-01-20	VYDAJ	VYBER	500	68270	\N	\N	\N
738016	2521	1998-01-23	VYDAJ	VYBER	2000	65570	\N	\N	\N
738017	2521	1998-01-05	VYDAJ	VYBER	2900	46928	\N	\N	\N
738018	2521	1998-01-29	VYDAJ	VYBER	900	60570	\N	\N	\N
738019	2521	1998-01-10	VYDAJ	VYBER	2200	68770	\N	\N	\N
738020	2521	1998-01-30	VYDAJ	VYBER	800	59770	\N	\N	\N
738027	2521	1996-05-11	VYDAJ	VYBER	4300	55337	\N	\N	\N
738028	2521	1996-08-20	VYDAJ	VYBER	3000	45963	\N	\N	\N
738029	2521	1996-09-01	VYDAJ	VYBER	4500	41656	\N	\N	\N
738030	2521	1996-08-08	VYDAJ	VYBER	4700	63463	\N	\N	\N
738031	2521	1996-04-10	VYDAJ	VYBER	1700	58723	\N	\N	\N
738032	2521	1997-09-25	VYDAJ	VYBER	1500	56824	\N	\N	\N
738033	2521	1997-10-01	VYDAJ	VYBER	3100	53938	\N	\N	\N
738034	2521	1997-10-24	VYDAJ	VYBER	4300	60078	\N	\N	\N
738035	2521	1997-07-21	VYDAJ	VYBER	3900	31932	\N	\N	\N
738036	2521	1998-05-31	VYDAJ	VYBER	2600	62983	\N	\N	\N
738037	2521	1998-01-21	VYDAJ	VYBER	700	67570	\N	\N	\N
738038	2521	1998-10-25	VYDAJ	VYBER	1800	68422	\N	\N	\N
738039	2521	1998-06-16	VYDAJ	VYBER	900	66444	\N	\N	\N
738040	2521	1998-03-16	VYDAJ	VYBER	3900	63068	\N	\N	\N
738051	2521	1995-10-31	VYDAJ	VYBER	15	47401	SLUZBY	\N	\N
738052	2521	1995-11-30	VYDAJ	VYBER	15	47844	SLUZBY	\N	\N
738053	2521	1995-12-31	VYDAJ	VYBER	15	51430	SLUZBY	\N	\N
738054	2521	1996-01-31	VYDAJ	VYBER	15	37858	SLUZBY	\N	\N
738055	2521	1996-02-29	VYDAJ	VYBER	15	41666	SLUZBY	\N	\N
738056	2521	1996-03-31	VYDAJ	VYBER	15	42383	SLUZBY	\N	\N
738057	2521	1996-04-30	VYDAJ	VYBER	15	41597	SLUZBY	\N	\N
738058	2521	1996-05-31	VYDAJ	VYBER	15	45418	SLUZBY	\N	\N
738059	2521	1996-06-30	VYDAJ	VYBER	15	47181	SLUZBY	\N	\N
738060	2521	1996-07-31	VYDAJ	VYBER	15	50123	SLUZBY	\N	\N
738061	2521	1996-08-31	VYDAJ	VYBER	15	46156	SLUZBY	\N	\N
738062	2521	1996-09-30	VYDAJ	VYBER	15	47379	SLUZBY	\N	\N
738063	2521	1996-10-31	VYDAJ	VYBER	15	51721	SLUZBY	\N	\N
738064	2521	1996-11-30	VYDAJ	VYBER	15	53572	SLUZBY	\N	\N
738065	2521	1996-12-31	VYDAJ	VYBER	15	55757	SLUZBY	\N	\N
738066	2521	1997-01-31	VYDAJ	VYBER	15	38787	SLUZBY	\N	\N
738067	2521	1997-02-28	VYDAJ	VYBER	15	44531	SLUZBY	\N	\N
738068	2521	1997-03-31	VYDAJ	VYBER	15	49260	SLUZBY	\N	\N
738069	2521	1997-04-30	VYDAJ	VYBER	15	49894	SLUZBY	\N	\N
738070	2521	1997-05-31	VYDAJ	VYBER	15	44511	SLUZBY	\N	\N
738071	2521	1997-06-30	VYDAJ	VYBER	15	26692	SLUZBY	\N	\N
738072	2521	1997-07-31	VYDAJ	VYBER	15	32069	SLUZBY	\N	\N
738073	2521	1997-08-31	VYDAJ	VYBER	15	49384	SLUZBY	\N	\N
738074	2521	1997-09-30	VYDAJ	VYBER	15	57038	SLUZBY	\N	\N
738075	2521	1997-10-31	VYDAJ	VYBER	15	60317	SLUZBY	\N	\N
738076	2521	1997-11-30	VYDAJ	VYBER	15	60687	SLUZBY	\N	\N
738077	2521	1997-12-31	VYDAJ	VYBER	15	75230	SLUZBY	\N	\N
738078	2521	1998-01-31	VYDAJ	VYBER	15	60032	SLUZBY	\N	\N
738079	2521	1998-02-28	VYDAJ	VYBER	15	68428	SLUZBY	\N	\N
738080	2521	1998-03-31	VYDAJ	VYBER	15	63316	SLUZBY	\N	\N
738081	2521	1998-04-30	VYDAJ	VYBER	15	62995	SLUZBY	\N	\N
738082	2521	1998-05-31	VYDAJ	VYBER	15	65583	SLUZBY	\N	\N
738083	2521	1998-06-30	VYDAJ	VYBER	15	66686	SLUZBY	\N	\N
738084	2521	1998-07-31	VYDAJ	VYBER	15	67081	SLUZBY	\N	\N
738085	2521	1998-08-31	VYDAJ	VYBER	15	65872	SLUZBY	\N	\N
738086	2521	1998-09-30	VYDAJ	VYBER	15	69782	SLUZBY	\N	\N
738087	2521	1998-10-31	VYDAJ	VYBER	15	52291	SLUZBY	\N	\N
738088	2521	1998-11-30	VYDAJ	VYBER	15	51786	SLUZBY	\N	\N
738089	2521	1995-06-18	VYDAJ	VYBER	4800	32263	\N	\N	\N
738090	2521	1995-07-18	VYDAJ	VYBER	13400	42963	\N	\N	\N
738091	2521	1995-08-17	VYDAJ	VYBER	21100	46060	\N	\N	\N
738092	2521	1995-09-16	VYDAJ	VYBER	24300	45987	\N	\N	\N
738093	2521	1995-10-16	VYDAJ	VYBER	23000	47221	\N	\N	\N
738094	2521	1995-11-15	VYDAJ	VYBER	17800	47641	\N	\N	\N
738095	2521	1995-12-15	VYDAJ	VYBER	26100	51205	\N	\N	\N
738096	2521	1996-01-14	VYDAJ	VYBER	18800	44970	\N	\N	\N
738097	2521	1996-02-13	VYDAJ	VYBER	14400	41498	\N	\N	\N
738098	2521	1996-03-14	VYDAJ	VYBER	17500	42206	\N	\N	\N
738099	2521	1996-04-13	VYDAJ	VYBER	17300	41423	\N	\N	\N
738100	2521	1996-05-13	VYDAJ	VYBER	10100	45237	\N	\N	\N
738101	2521	1996-06-12	VYDAJ	VYBER	21600	53879	\N	\N	\N
738102	2521	1996-07-12	VYDAJ	VYBER	15300	49921	\N	\N	\N
738103	2521	1996-08-11	VYDAJ	VYBER	14500	48963	\N	\N	\N
738104	2521	1996-09-10	VYDAJ	VYBER	12500	47196	\N	\N	\N
738105	2521	1996-10-10	VYDAJ	VYBER	13900	51519	\N	\N	\N
738106	2521	1996-11-09	VYDAJ	VYBER	16400	53361	\N	\N	\N
738107	2521	1996-12-09	VYDAJ	VYBER	25800	57833	\N	\N	\N
738108	2521	1997-01-08	VYDAJ	VYBER	17500	52397	\N	\N	\N
738109	2521	1997-02-07	VYDAJ	VYBER	12500	44327	\N	\N	\N
738110	2521	1997-03-09	VYDAJ	VYBER	13500	49071	\N	\N	\N
738111	2521	1997-04-08	VYDAJ	VYBER	17600	49700	\N	\N	\N
738112	2521	1997-05-08	VYDAJ	VYBER	23600	44334	\N	\N	\N
738113	2521	1997-06-07	VYDAJ	VYBER	23800	50772	\N	\N	\N
738114	2521	1997-07-07	VYDAJ	VYBER	8900	35832	\N	\N	\N
738115	2521	1997-08-06	VYDAJ	VYBER	900	25167	\N	\N	\N
738116	2521	1997-09-05	VYDAJ	VYBER	9100	40284	\N	\N	\N
738117	2521	1997-10-05	VYDAJ	VYBER	7600	46338	\N	\N	\N
738118	2521	1997-11-04	VYDAJ	VYBER	17900	42417	\N	\N	\N
738119	2521	1997-12-04	VYDAJ	VYBER	14900	45787	\N	\N	\N
738120	2521	1998-01-03	VYDAJ	VYBER	19400	55830	\N	\N	\N
738121	2521	1998-02-02	VYDAJ	VYBER	9900	50132	\N	\N	\N
738122	2521	1998-03-04	VYDAJ	VYBER	19500	48928	\N	\N	\N
738123	2521	1998-04-03	VYDAJ	VYBER	18600	44716	\N	\N	\N
738124	2521	1998-05-03	VYDAJ	VYBER	15700	47295	\N	\N	\N
738125	2521	1998-06-02	VYDAJ	VYBER	17700	45283	\N	\N	\N
738126	2521	1998-07-02	VYDAJ	VYBER	17900	48786	\N	\N	\N
738127	2521	1998-08-01	VYDAJ	VYBER	19500	47581	\N	\N	\N
738128	2521	1998-08-31	VYDAJ	VYBER	14400	51472	\N	\N	\N
738129	2521	1998-09-30	VYDAJ	VYBER	17600	52182	\N	\N	\N
738130	2521	1998-10-30	VYDAJ	VYBER	16400	52022	\N	\N	\N
738131	2521	1998-11-29	VYDAJ	VYBER	18800	51531	\N	\N	\N
738175	2522	1996-01-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
738177	2522	1996-02-06	PRIJEM	PREVOD Z UCTU	23226	24326	\N	CD	63218593
738178	2522	1996-03-06	PRIJEM	PREVOD Z UCTU	23226	48889	\N	CD	63218593
738179	2522	1996-04-06	PRIJEM	PREVOD Z UCTU	23226	58335	\N	CD	63218593
738180	2522	1996-05-06	PRIJEM	PREVOD Z UCTU	23226	65017	\N	CD	63218593
738181	2522	1996-06-06	PRIJEM	PREVOD Z UCTU	34839	78633	\N	CD	63218593
738182	2522	1996-07-06	PRIJEM	PREVOD Z UCTU	23226	42115	\N	CD	63218593
738183	2522	1996-08-06	PRIJEM	PREVOD Z UCTU	23226	58234	\N	CD	63218593
738184	2522	1996-09-06	PRIJEM	PREVOD Z UCTU	23226	67408	\N	CD	63218593
738185	2522	1996-10-06	PRIJEM	PREVOD Z UCTU	23226	30086	\N	CD	63218593
738186	2522	1996-11-06	PRIJEM	PREVOD Z UCTU	23226	28375	\N	CD	63218593
738187	2522	1996-12-06	PRIJEM	PREVOD Z UCTU	34839	61566	\N	CD	63218593
738188	2522	1997-01-06	PRIJEM	PREVOD Z UCTU	23226	62322	\N	CD	63218593
738189	2522	1997-02-06	PRIJEM	PREVOD Z UCTU	23226	53004	\N	CD	63218593
738190	2522	1997-03-06	PRIJEM	PREVOD Z UCTU	23226	39070	\N	CD	63218593
738191	2522	1997-04-06	PRIJEM	PREVOD Z UCTU	23226	47847	\N	CD	63218593
738192	2522	1997-05-06	PRIJEM	PREVOD Z UCTU	23226	49040	\N	CD	63218593
738193	2522	1997-06-06	PRIJEM	PREVOD Z UCTU	34839	31883	\N	CD	63218593
738194	2522	1997-07-06	PRIJEM	PREVOD Z UCTU	23226	21165	\N	CD	63218593
738195	2522	1997-08-06	PRIJEM	PREVOD Z UCTU	23226	23713	\N	CD	63218593
738196	2522	1997-09-06	PRIJEM	PREVOD Z UCTU	23226	23479	\N	CD	63218593
738197	2522	1997-10-06	PRIJEM	PREVOD Z UCTU	23226	32744	\N	CD	63218593
738198	2522	1997-11-06	PRIJEM	PREVOD Z UCTU	23226	31045	\N	CD	63218593
738199	2522	1997-12-06	PRIJEM	PREVOD Z UCTU	34839	37845	\N	CD	63218593
738200	2522	1998-01-06	PRIJEM	PREVOD Z UCTU	23226	25343	\N	CD	63218593
738201	2522	1998-02-06	PRIJEM	PREVOD Z UCTU	23226	20260	\N	CD	63218593
738202	2522	1998-03-06	PRIJEM	PREVOD Z UCTU	23226	24100	\N	CD	63218593
738203	2522	1998-04-06	PRIJEM	PREVOD Z UCTU	23226	37584	\N	CD	63218593
738204	2522	1998-05-06	PRIJEM	PREVOD Z UCTU	23226	50091	\N	CD	63218593
738205	2522	1998-06-06	PRIJEM	PREVOD Z UCTU	34839	43549	\N	CD	63218593
738206	2522	1998-07-06	PRIJEM	PREVOD Z UCTU	23226	39700	\N	CD	63218593
738207	2522	1998-08-06	PRIJEM	PREVOD Z UCTU	23226	35966	\N	CD	63218593
738208	2522	1998-09-06	PRIJEM	PREVOD Z UCTU	23226	48670	\N	CD	63218593
738209	2522	1998-10-06	PRIJEM	PREVOD Z UCTU	23226	49389	\N	CD	63218593
738210	2522	1998-11-06	PRIJEM	PREVOD Z UCTU	23226	51615	\N	CD	63218593
738211	2522	1998-12-06	PRIJEM	PREVOD Z UCTU	34839	38048	\N	CD	63218593
738212	2522	1996-09-21	VYBER	VYBER	10592	33878	\N	\N	\N
738215	2522	1996-09-24	VYBER	VYBER	19305	14573	\N	\N	\N
738216	2522	1996-06-20	VYBER	VYBER	18276	18757	\N	\N	\N
738217	2522	1996-10-28	VYBER	VYBER	20726	5060	\N	\N	\N
738220	2522	1996-09-06	VYBER	VYBER	10038	57370	\N	\N	\N
738221	2522	1996-10-01	VYBER	VYBER	7885	6860	\N	\N	\N
738223	2522	1997-10-16	VYBER	VYBER	7555	11689	\N	\N	\N
738224	2522	1997-07-29	VYBER	VYBER	10762	3903	\N	\N	\N
738225	2522	1997-07-31	VYBER	VYBER	3423	511	\N	\N	\N
738226	2522	1997-11-17	VYBER	VYBER	14055	2990	\N	\N	\N
738227	2522	1997-04-20	VYBER	VYBER	6428	25719	\N	\N	\N
738228	2522	1997-02-11	VYBER	VYBER	8457	44547	\N	\N	\N
738229	2522	1997-03-26	VYBER	VYBER	7229	24541	\N	\N	\N
738230	2522	1997-12-06	VYBER	VYBER	16264	21581	\N	\N	\N
738232	2522	1997-08-09	VYBER	VYBER	9029	14684	\N	\N	\N
738233	2522	1997-05-15	VYBER	VYBER	14646	34394	\N	\N	\N
738234	2522	1997-06-25	VYBER	VYBER	11428	-2045	\N	\N	\N
738235	2522	1997-05-16	VYBER	VYBER	16075	10519	\N	\N	\N
738236	2522	1997-09-03	VYBER	VYBER	3864	253	\N	\N	\N
738237	2522	1998-07-23	VYBER	VYBER	15731	12669	\N	\N	\N
738238	2522	1998-06-18	VYBER	VYBER	2794	16424	\N	\N	\N
738239	2522	1998-06-08	VYBER	VYBER	20031	23518	\N	\N	\N
738241	2522	1998-03-08	VYBER	VYBER	3090	21010	\N	\N	\N
738243	2522	1998-11-25	VYBER	VYBER	23998	7017	\N	\N	\N
738245	2522	1998-05-09	VYBER	VYBER	21836	28255	\N	\N	\N
738246	2522	1996-06-14	VYDAJ	VYBER	29100	49533	\N	\N	\N
738247	2522	1997-06-13	VYDAJ	VYBER	26100	5783	\N	\N	\N
738249	2522	1996-12-17	VYDAJ	VYBER	4200	41966	\N	\N	\N
738250	2522	1997-12-25	VYDAJ	VYBER	6600	8081	\N	\N	\N
738251	2522	1998-12-01	VYDAJ	VYBER	3900	3209	\N	\N	\N
738258	2522	1997-01-10	VYDAJ	VYBER	2100	55722	\N	\N	\N
738259	2522	1997-01-06	VYDAJ	VYBER	4500	57822	\N	\N	\N
738260	2522	1997-01-15	VYDAJ	VYBER	3300	52422	\N	\N	\N
738261	2522	1997-01-04	VYDAJ	VYBER	3000	39096	\N	\N	\N
738262	2522	1997-01-22	VYDAJ	VYBER	6900	29622	\N	\N	\N
738263	2522	1997-01-16	VYDAJ	VYBER	3000	36522	\N	\N	\N
738264	2522	1998-01-02	VYDAJ	VYBER	6000	2117	\N	\N	\N
738267	2522	1998-01-12	VYDAJ	VYBER	6300	2143	\N	\N	\N
738269	2522	1998-01-11	VYDAJ	VYBER	8700	8443	\N	\N	\N
738273	2522	1996-10-27	VYDAJ	VYBER	6300	25786	\N	\N	\N
738275	2522	1997-05-17	VYDAJ	VYBER	13500	-2981	\N	\N	\N
738276	2522	1997-09-18	VYDAJ	VYBER	5100	9479	\N	\N	\N
738277	2522	1997-10-24	VYDAJ	VYBER	3900	7789	\N	\N	\N
738278	2522	1997-09-01	VYDAJ	VYBER	11400	4117	\N	\N	\N
738279	2522	1997-02-20	VYDAJ	VYBER	14100	15747	\N	\N	\N
738280	2522	1998-02-22	VYDAJ	VYBER	1800	11660	\N	\N	\N
738281	2522	1998-05-17	VYDAJ	VYBER	12600	8655	\N	\N	\N
738282	2522	1998-03-04	VYDAJ	VYBER	10800	874	\N	\N	\N
738283	2522	1998-12-30	VYDAJ	VYBER	6300	17348	\N	\N	\N
738284	2522	1998-01-14	VYDAJ	VYBER	5100	-2957	\N	\N	\N
738291	2522	1996-06-30	VYDAJ	VYBER	15	18889	SLUZBY	\N	\N
738292	2522	1996-07-31	VYDAJ	VYBER	15	35008	SLUZBY	\N	\N
738293	2522	1996-08-31	VYDAJ	VYBER	15	44182	SLUZBY	\N	\N
738294	2522	1996-09-30	VYDAJ	VYBER	15	14745	SLUZBY	\N	\N
738295	2522	1996-10-31	VYDAJ	VYBER	15	5149	SLUZBY	\N	\N
738296	2522	1996-11-30	VYDAJ	VYBER	15	26727	SLUZBY	\N	\N
738297	2522	1996-12-31	VYDAJ	VYBER	15	42096	SLUZBY	\N	\N
738298	2522	1997-01-31	VYDAJ	VYBER	15	29778	SLUZBY	\N	\N
738299	2522	1997-02-28	VYDAJ	VYBER	15	15844	SLUZBY	\N	\N
738300	2522	1997-03-31	VYDAJ	VYBER	15	24621	SLUZBY	\N	\N
738301	2522	1997-04-30	VYDAJ	VYBER	15	25814	SLUZBY	\N	\N
738302	2522	1997-05-31	VYDAJ	VYBER	15	-2941	SLUZBY	\N	\N
738303	2522	1997-06-30	VYDAJ	VYBER	15	-2045	SLUZBY	\N	\N
738304	2522	1997-07-31	VYDAJ	VYBER	15	487	SLUZBY	\N	\N
738305	2522	1997-08-31	VYDAJ	VYBER	15	15517	SLUZBY	\N	\N
738306	2522	1997-09-30	VYDAJ	VYBER	15	9518	SLUZBY	\N	\N
738307	2522	1997-10-31	VYDAJ	VYBER	15	7819	SLUZBY	\N	\N
738308	2522	1997-11-30	VYDAJ	VYBER	15	3006	SLUZBY	\N	\N
738309	2522	1997-12-31	VYDAJ	VYBER	15	8117	SLUZBY	\N	\N
738310	2522	1998-01-31	VYDAJ	VYBER	15	-2949	SLUZBY	\N	\N
738311	2522	1998-02-28	VYDAJ	VYBER	15	11683	SLUZBY	\N	\N
738312	2522	1998-03-31	VYDAJ	VYBER	15	14358	SLUZBY	\N	\N
738313	2522	1998-04-30	VYDAJ	VYBER	15	26865	SLUZBY	\N	\N
738314	2522	1998-05-31	VYDAJ	VYBER	15	8710	SLUZBY	\N	\N
738315	2522	1998-06-30	VYDAJ	VYBER	15	16474	SLUZBY	\N	\N
738316	2522	1998-07-31	VYDAJ	VYBER	15	12740	SLUZBY	\N	\N
738317	2522	1998-08-31	VYDAJ	VYBER	15	25444	SLUZBY	\N	\N
738318	2522	1998-09-30	VYDAJ	VYBER	15	26163	SLUZBY	\N	\N
738319	2522	1998-10-31	VYDAJ	VYBER	15	28389	SLUZBY	\N	\N
738320	2522	1998-11-30	VYDAJ	VYBER	15	7109	SLUZBY	\N	\N
738321	2522	1996-02-20	PRIJEM	VKLAD	1300	25626	\N	\N	\N
738322	2522	1996-03-21	VYDAJ	VYBER	13900	34989	\N	\N	\N
738323	2522	1996-04-20	VYDAJ	VYBER	16700	41635	\N	\N	\N
738324	2522	1996-05-20	VYDAJ	VYBER	21400	43617	\N	\N	\N
738325	2522	1996-06-19	VYDAJ	VYBER	12500	37033	\N	\N	\N
738326	2522	1996-07-19	VYDAJ	VYBER	7200	34915	\N	\N	\N
738327	2522	1996-08-18	VYDAJ	VYBER	14200	44034	\N	\N	\N
738328	2522	1996-09-17	VYDAJ	VYBER	12900	44470	\N	\N	\N
738329	2522	1996-10-17	PRIJEM	VKLAD	2000	32086	\N	\N	\N
738330	2522	1996-11-16	VYDAJ	VYBER	1700	26675	\N	\N	\N
738331	2522	1996-12-16	VYDAJ	VYBER	15400	46166	\N	\N	\N
738332	2522	1997-01-15	VYDAJ	VYBER	12900	39522	\N	\N	\N
738333	2522	1997-02-14	VYDAJ	VYBER	14700	29847	\N	\N	\N
738334	2522	1997-03-16	VYDAJ	VYBER	7300	31770	\N	\N	\N
738335	2522	1997-04-15	VYDAJ	VYBER	15700	32147	\N	\N	\N
738336	2522	1997-05-15	VYDAJ	VYBER	7800	26594	\N	\N	\N
738337	2522	1997-06-14	PRIJEM	VKLAD	3600	9383	\N	\N	\N
738338	2522	1997-07-14	VYDAJ	VYBER	6500	14665	\N	\N	\N
738339	2522	1997-08-13	PRIJEM	VKLAD	800	15484	\N	\N	\N
738340	2522	1997-09-12	VYDAJ	VYBER	8900	14579	\N	\N	\N
738341	2522	1997-10-12	VYDAJ	VYBER	13500	19244	\N	\N	\N
738342	2522	1997-11-11	VYDAJ	VYBER	14000	17045	\N	\N	\N
738343	2522	1997-12-11	VYDAJ	VYBER	6900	14681	\N	\N	\N
738344	2522	1998-01-10	VYDAJ	VYBER	8200	17143	\N	\N	\N
738345	2522	1998-02-09	VYDAJ	VYBER	6800	13460	\N	\N	\N
738346	2522	1998-03-11	VYDAJ	VYBER	6700	14310	\N	\N	\N
738347	2522	1998-04-10	VYDAJ	VYBER	10800	26784	\N	\N	\N
738348	2522	1998-05-10	VYDAJ	VYBER	7000	21255	\N	\N	\N
738349	2522	1998-06-09	VYDAJ	VYBER	4300	19218	\N	\N	\N
738350	2522	1998-07-09	VYDAJ	VYBER	11300	28400	\N	\N	\N
738351	2522	1998-08-08	VYDAJ	VYBER	10600	25366	\N	\N	\N
738352	2522	1998-09-07	VYDAJ	VYBER	22600	26070	\N	\N	\N
738353	2522	1998-10-07	VYDAJ	VYBER	21100	28289	\N	\N	\N
738354	2522	1998-11-06	VYDAJ	VYBER	20600	31015	\N	\N	\N
738355	2522	1998-12-06	VYDAJ	VYBER	14400	23648	\N	\N	\N
738398	2523	1993-05-11	PRIJEM	VKLAD	400	400	\N	\N	\N
738404	2523	1993-06-09	PRIJEM	PREVOD Z UCTU	3023	3423	\N	MN	42003387
738405	2523	1993-07-09	PRIJEM	PREVOD Z UCTU	3023	15984	\N	MN	42003387
738406	2523	1993-08-09	PRIJEM	PREVOD Z UCTU	3023	24681	\N	MN	42003387
738407	2523	1993-09-09	PRIJEM	PREVOD Z UCTU	3023	28102	\N	MN	42003387
738408	2523	1993-10-09	PRIJEM	PREVOD Z UCTU	3023	30139	\N	MN	42003387
738409	2523	1993-11-09	PRIJEM	PREVOD Z UCTU	3023	29951	\N	MN	42003387
738410	2523	1993-12-09	PRIJEM	PREVOD Z UCTU	3023	26822	\N	MN	42003387
738411	2523	1994-01-09	PRIJEM	PREVOD Z UCTU	3023	26022	\N	MN	42003387
738412	2523	1994-02-09	PRIJEM	PREVOD Z UCTU	3023	27018	\N	MN	42003387
738413	2523	1994-03-09	PRIJEM	PREVOD Z UCTU	3023	28325	\N	MN	42003387
738414	2523	1994-04-09	PRIJEM	PREVOD Z UCTU	3023	29978	\N	MN	42003387
738415	2523	1994-05-09	PRIJEM	PREVOD Z UCTU	3023	28288	\N	MN	42003387
738416	2523	1994-06-09	PRIJEM	PREVOD Z UCTU	3023	26634	\N	MN	42003387
738417	2523	1994-07-09	PRIJEM	PREVOD Z UCTU	3023	28832	\N	MN	42003387
738418	2523	1994-08-09	PRIJEM	PREVOD Z UCTU	3023	30337	\N	MN	42003387
738419	2523	1994-09-09	PRIJEM	PREVOD Z UCTU	3023	28367	\N	MN	42003387
738420	2523	1994-10-09	PRIJEM	PREVOD Z UCTU	3023	26071	\N	MN	42003387
738421	2523	1994-11-09	PRIJEM	PREVOD Z UCTU	3023	23968	\N	MN	42003387
738422	2523	1994-12-09	PRIJEM	PREVOD Z UCTU	3023	22955	\N	MN	42003387
738423	2523	1995-01-09	PRIJEM	PREVOD Z UCTU	3023	24704	\N	MN	42003387
738424	2523	1995-02-09	PRIJEM	PREVOD Z UCTU	3023	26189	\N	MN	42003387
738425	2523	1995-03-09	PRIJEM	PREVOD Z UCTU	3023	26584	\N	MN	42003387
738426	2523	1995-04-09	PRIJEM	PREVOD Z UCTU	3023	26880	\N	MN	42003387
738427	2523	1995-05-09	PRIJEM	PREVOD Z UCTU	3023	26378	\N	MN	42003387
738428	2523	1995-06-09	PRIJEM	PREVOD Z UCTU	3023	23562	\N	MN	42003387
738429	2523	1995-07-09	PRIJEM	PREVOD Z UCTU	3023	21575	\N	MN	42003387
738430	2523	1995-08-09	PRIJEM	PREVOD Z UCTU	3023	19149	\N	MN	42003387
738431	2523	1995-09-09	PRIJEM	PREVOD Z UCTU	3023	17513	\N	MN	42003387
738432	2523	1995-10-09	PRIJEM	PREVOD Z UCTU	3023	16660	\N	MN	42003387
738433	2523	1995-11-09	PRIJEM	PREVOD Z UCTU	3023	15814	\N	MN	42003387
738434	2523	1995-12-09	PRIJEM	PREVOD Z UCTU	3023	17394	\N	MN	42003387
738435	2523	1996-01-09	PRIJEM	PREVOD Z UCTU	3023	16880	\N	MN	42003387
738436	2523	1996-02-09	PRIJEM	PREVOD Z UCTU	3023	19737	\N	MN	42003387
738437	2523	1996-03-09	PRIJEM	PREVOD Z UCTU	3023	20704	\N	MN	42003387
738438	2523	1996-04-09	PRIJEM	PREVOD Z UCTU	3023	17641	\N	MN	42003387
738439	2523	1996-05-09	PRIJEM	PREVOD Z UCTU	3023	17798	\N	MN	42003387
738440	2523	1996-06-09	PRIJEM	PREVOD Z UCTU	3023	18814	\N	MN	42003387
738441	2523	1996-07-09	PRIJEM	PREVOD Z UCTU	3023	19977	\N	MN	42003387
738442	2523	1996-08-09	PRIJEM	PREVOD Z UCTU	3023	18042	\N	MN	42003387
738443	2523	1996-09-09	PRIJEM	PREVOD Z UCTU	3023	19602	\N	MN	42003387
738444	2523	1996-10-09	PRIJEM	PREVOD Z UCTU	3023	16362	\N	MN	42003387
738445	2523	1996-11-09	PRIJEM	PREVOD Z UCTU	3023	17615	\N	MN	42003387
738446	2523	1996-12-09	PRIJEM	PREVOD Z UCTU	3023	16870	\N	MN	42003387
738447	2523	1997-01-09	PRIJEM	PREVOD Z UCTU	3023	17114	\N	MN	42003387
738448	2523	1997-02-09	PRIJEM	PREVOD Z UCTU	3023	15565	\N	MN	42003387
738449	2523	1997-03-09	PRIJEM	PREVOD Z UCTU	3023	16614	\N	MN	42003387
738450	2523	1997-04-09	PRIJEM	PREVOD Z UCTU	3023	14563	\N	MN	42003387
738451	2523	1997-05-09	PRIJEM	PREVOD Z UCTU	3023	15607	\N	MN	42003387
738452	2523	1997-06-09	PRIJEM	PREVOD Z UCTU	3023	14881	\N	MN	42003387
738453	2523	1997-07-09	PRIJEM	PREVOD Z UCTU	3023	15927	\N	MN	42003387
738454	2523	1997-08-09	PRIJEM	PREVOD Z UCTU	3023	16977	\N	MN	42003387
738455	2523	1997-09-09	PRIJEM	PREVOD Z UCTU	3023	18032	\N	MN	42003387
738456	2523	1997-10-09	PRIJEM	PREVOD Z UCTU	3023	19090	\N	MN	42003387
738457	2523	1997-11-09	PRIJEM	PREVOD Z UCTU	3023	19431	\N	MN	42003387
738458	2523	1997-12-09	PRIJEM	PREVOD Z UCTU	3023	20496	\N	MN	42003387
738459	2523	1998-01-09	PRIJEM	PREVOD Z UCTU	3023	20603	\N	MN	42003387
738460	2523	1998-02-09	PRIJEM	PREVOD Z UCTU	3023	21673	\N	MN	42003387
738461	2523	1998-03-09	PRIJEM	PREVOD Z UCTU	3023	22746	\N	MN	42003387
738462	2523	1998-04-09	PRIJEM	PREVOD Z UCTU	3023	22983	\N	MN	42003387
738463	2523	1998-05-09	PRIJEM	PREVOD Z UCTU	3023	22862	\N	MN	42003387
738464	2523	1998-06-09	PRIJEM	PREVOD Z UCTU	3023	23941	\N	MN	42003387
738465	2523	1998-07-09	PRIJEM	PREVOD Z UCTU	3023	25024	\N	MN	42003387
738466	2523	1998-08-09	PRIJEM	PREVOD Z UCTU	3023	25449	\N	MN	42003387
738467	2523	1998-09-09	PRIJEM	PREVOD Z UCTU	3023	26538	\N	MN	42003387
738468	2523	1998-10-09	PRIJEM	PREVOD Z UCTU	3023	27631	\N	MN	42003387
738469	2523	1998-11-09	PRIJEM	PREVOD Z UCTU	3023	28729	\N	MN	42003387
738470	2523	1998-12-09	PRIJEM	PREVOD Z UCTU	3023	29832	\N	MN	42003387
738480	2523	1993-10-14	VYDAJ	PREVOD NA UCET	1819	28197	SIPO	OP	19635182
738481	2523	1993-11-14	VYDAJ	PREVOD NA UCET	1819	28009	SIPO	OP	19635182
738482	2523	1993-12-14	VYDAJ	PREVOD NA UCET	1819	24880	SIPO	OP	19635182
738483	2523	1994-01-14	VYDAJ	PREVOD NA UCET	1819	24080	SIPO	OP	19635182
738484	2523	1994-02-14	VYDAJ	PREVOD NA UCET	1819	25076	SIPO	OP	19635182
738485	2523	1994-03-14	VYDAJ	PREVOD NA UCET	1819	26383	SIPO	OP	19635182
738486	2523	1994-04-14	VYDAJ	PREVOD NA UCET	1819	28036	SIPO	OP	19635182
738487	2523	1994-05-14	VYDAJ	PREVOD NA UCET	1819	26346	SIPO	OP	19635182
738488	2523	1994-06-14	VYDAJ	PREVOD NA UCET	1819	24692	SIPO	OP	19635182
738489	2523	1994-07-14	VYDAJ	PREVOD NA UCET	1819	26890	SIPO	OP	19635182
738490	2523	1994-08-14	VYDAJ	PREVOD NA UCET	1819	27855	SIPO	OP	19635182
738491	2523	1994-09-14	VYDAJ	PREVOD NA UCET	1819	26425	SIPO	OP	19635182
738492	2523	1994-10-14	VYDAJ	PREVOD NA UCET	1819	24129	SIPO	OP	19635182
738493	2523	1994-11-14	VYDAJ	PREVOD NA UCET	1819	22026	SIPO	OP	19635182
738494	2523	1994-12-14	VYDAJ	PREVOD NA UCET	1819	19933	SIPO	OP	19635182
738495	2523	1995-01-14	VYDAJ	PREVOD NA UCET	1819	22762	SIPO	OP	19635182
738496	2523	1995-02-14	VYDAJ	PREVOD NA UCET	1819	24247	SIPO	OP	19635182
738497	2523	1995-03-14	VYDAJ	PREVOD NA UCET	1819	24642	SIPO	OP	19635182
738498	2523	1995-04-14	VYDAJ	PREVOD NA UCET	1819	24938	SIPO	OP	19635182
738499	2523	1995-05-14	VYDAJ	PREVOD NA UCET	1819	24436	SIPO	OP	19635182
738500	2523	1995-06-14	VYDAJ	PREVOD NA UCET	1819	21620	SIPO	OP	19635182
738501	2523	1995-07-14	VYDAJ	PREVOD NA UCET	1819	19633	SIPO	OP	19635182
738502	2523	1995-08-14	VYDAJ	PREVOD NA UCET	1819	17207	SIPO	OP	19635182
738503	2523	1995-09-14	VYDAJ	PREVOD NA UCET	1819	15571	SIPO	OP	19635182
738504	2523	1995-10-14	VYDAJ	PREVOD NA UCET	1819	14718	SIPO	OP	19635182
738505	2523	1995-11-14	VYDAJ	PREVOD NA UCET	1819	13872	SIPO	OP	19635182
738506	2523	1995-12-14	VYDAJ	PREVOD NA UCET	1819	15452	SIPO	OP	19635182
738507	2523	1996-01-14	VYDAJ	PREVOD NA UCET	1819	14938	SIPO	OP	19635182
738508	2523	1996-02-14	VYDAJ	PREVOD NA UCET	1819	17795	SIPO	OP	19635182
738509	2523	1996-03-14	VYDAJ	PREVOD NA UCET	1819	18762	SIPO	OP	19635182
738510	2523	1996-04-14	VYDAJ	PREVOD NA UCET	1819	15699	SIPO	OP	19635182
738511	2523	1996-05-14	VYDAJ	PREVOD NA UCET	1819	14416	SIPO	OP	19635182
738512	2523	1996-06-14	VYDAJ	PREVOD NA UCET	1819	16872	SIPO	OP	19635182
738513	2523	1996-07-14	VYDAJ	PREVOD NA UCET	1819	18035	SIPO	OP	19635182
738514	2523	1996-08-14	VYDAJ	PREVOD NA UCET	1819	16100	SIPO	OP	19635182
738515	2523	1996-09-14	VYDAJ	PREVOD NA UCET	1819	17660	SIPO	OP	19635182
738516	2523	1996-10-14	VYDAJ	PREVOD NA UCET	1819	14420	SIPO	OP	19635182
738517	2523	1996-11-14	VYDAJ	PREVOD NA UCET	1819	15673	SIPO	OP	19635182
738518	2523	1996-12-14	VYDAJ	PREVOD NA UCET	1819	14928	SIPO	OP	19635182
738519	2523	1997-01-14	VYDAJ	PREVOD NA UCET	1819	15172	SIPO	OP	19635182
738520	2523	1997-02-14	VYDAJ	PREVOD NA UCET	1819	13623	SIPO	OP	19635182
738521	2523	1997-03-14	VYDAJ	PREVOD NA UCET	1819	14672	SIPO	OP	19635182
738522	2523	1997-04-14	VYDAJ	PREVOD NA UCET	1819	12621	SIPO	OP	19635182
738523	2523	1997-05-14	VYDAJ	PREVOD NA UCET	1819	11895	SIPO	OP	19635182
738524	2523	1997-06-14	VYDAJ	PREVOD NA UCET	1819	12939	SIPO	OP	19635182
738525	2523	1997-07-14	VYDAJ	PREVOD NA UCET	1819	13985	SIPO	OP	19635182
738526	2523	1997-08-14	VYDAJ	PREVOD NA UCET	1819	15035	SIPO	OP	19635182
738527	2523	1997-09-14	VYDAJ	PREVOD NA UCET	1819	16090	SIPO	OP	19635182
738528	2523	1997-10-14	VYDAJ	PREVOD NA UCET	1819	16428	SIPO	OP	19635182
738529	2523	1997-11-14	VYDAJ	PREVOD NA UCET	1819	17489	SIPO	OP	19635182
738530	2523	1997-12-14	VYDAJ	PREVOD NA UCET	1819	18554	SIPO	OP	19635182
738531	2523	1998-01-14	VYDAJ	PREVOD NA UCET	1819	18661	SIPO	OP	19635182
738532	2523	1998-02-14	VYDAJ	PREVOD NA UCET	1819	19731	SIPO	OP	19635182
738533	2523	1998-03-14	VYDAJ	PREVOD NA UCET	1819	20804	SIPO	OP	19635182
738534	2523	1998-04-14	VYDAJ	PREVOD NA UCET	1819	21041	SIPO	OP	19635182
738535	2523	1998-05-14	VYDAJ	PREVOD NA UCET	1819	20920	SIPO	OP	19635182
738536	2523	1998-06-14	VYDAJ	PREVOD NA UCET	1819	21999	SIPO	OP	19635182
738537	2523	1998-07-14	VYDAJ	PREVOD NA UCET	1819	22422	SIPO	OP	19635182
738538	2523	1998-08-14	VYDAJ	PREVOD NA UCET	1819	23507	SIPO	OP	19635182
738539	2523	1998-09-14	VYDAJ	PREVOD NA UCET	1819	24596	SIPO	OP	19635182
738540	2523	1998-10-14	VYDAJ	PREVOD NA UCET	1819	25689	SIPO	OP	19635182
738541	2523	1998-11-14	VYDAJ	PREVOD NA UCET	1819	26787	SIPO	OP	19635182
738542	2523	1998-12-14	VYDAJ	PREVOD NA UCET	1819	27890	SIPO	OP	19635182
738552	2523	1993-10-13	VYDAJ	PREVOD NA UCET	82	30016	 	UV	19039827
738553	2523	1993-11-13	VYDAJ	PREVOD NA UCET	82	29828	 	UV	19039827
738554	2523	1993-12-13	VYDAJ	PREVOD NA UCET	82	26699	 	UV	19039827
738555	2523	1994-01-13	VYDAJ	PREVOD NA UCET	82	25899	 	UV	19039827
738556	2523	1994-02-13	VYDAJ	PREVOD NA UCET	82	26895	 	UV	19039827
738557	2523	1994-03-13	VYDAJ	PREVOD NA UCET	82	28202	 	UV	19039827
738558	2523	1994-04-13	VYDAJ	PREVOD NA UCET	82	29855	 	UV	19039827
738559	2523	1994-05-13	VYDAJ	PREVOD NA UCET	82	28165	 	UV	19039827
738560	2523	1994-06-13	VYDAJ	PREVOD NA UCET	82	26511	 	UV	19039827
738561	2523	1994-07-13	VYDAJ	PREVOD NA UCET	82	28709	 	UV	19039827
738562	2523	1994-08-13	VYDAJ	PREVOD NA UCET	82	29674	 	UV	19039827
738563	2523	1994-09-13	VYDAJ	PREVOD NA UCET	82	28244	 	UV	19039827
738564	2523	1994-10-13	VYDAJ	PREVOD NA UCET	82	25948	 	UV	19039827
738565	2523	1994-11-13	VYDAJ	PREVOD NA UCET	82	23845	 	UV	19039827
738566	2523	1994-12-13	VYDAJ	PREVOD NA UCET	82	21752	 	UV	19039827
738567	2523	1995-01-13	VYDAJ	PREVOD NA UCET	82	24581	 	UV	19039827
738568	2523	1995-02-13	VYDAJ	PREVOD NA UCET	82	26066	 	UV	19039827
738569	2523	1995-03-13	VYDAJ	PREVOD NA UCET	82	26461	 	UV	19039827
738570	2523	1995-04-13	VYDAJ	PREVOD NA UCET	82	26757	 	UV	19039827
738571	2523	1995-05-13	VYDAJ	PREVOD NA UCET	82	26255	 	UV	19039827
738572	2523	1995-06-13	VYDAJ	PREVOD NA UCET	82	23439	 	UV	19039827
738573	2523	1995-07-13	VYDAJ	PREVOD NA UCET	82	21452	 	UV	19039827
738574	2523	1995-08-13	VYDAJ	PREVOD NA UCET	82	19026	 	UV	19039827
738575	2523	1995-09-13	VYDAJ	PREVOD NA UCET	82	17390	 	UV	19039827
738576	2523	1995-10-13	VYDAJ	PREVOD NA UCET	82	16537	 	UV	19039827
738577	2523	1995-11-13	VYDAJ	PREVOD NA UCET	82	15691	 	UV	19039827
738578	2523	1995-12-13	VYDAJ	PREVOD NA UCET	82	17271	 	UV	19039827
738579	2523	1996-01-13	VYDAJ	PREVOD NA UCET	82	16757	 	UV	19039827
738580	2523	1996-02-13	VYDAJ	PREVOD NA UCET	82	19614	 	UV	19039827
738581	2523	1996-03-13	VYDAJ	PREVOD NA UCET	82	20581	 	UV	19039827
738582	2523	1996-04-13	VYDAJ	PREVOD NA UCET	82	17518	 	UV	19039827
738583	2523	1996-05-13	VYDAJ	PREVOD NA UCET	82	17675	 	UV	19039827
738584	2523	1996-06-13	VYDAJ	PREVOD NA UCET	82	18691	 	UV	19039827
738585	2523	1996-07-13	VYDAJ	PREVOD NA UCET	82	19854	 	UV	19039827
738586	2523	1996-08-13	VYDAJ	PREVOD NA UCET	82	17919	 	UV	19039827
738587	2523	1996-09-13	VYDAJ	PREVOD NA UCET	82	19479	 	UV	19039827
738588	2523	1996-10-13	VYDAJ	PREVOD NA UCET	82	16239	 	UV	19039827
738589	2523	1996-11-13	VYDAJ	PREVOD NA UCET	82	17492	 	UV	19039827
738590	2523	1996-12-13	VYDAJ	PREVOD NA UCET	82	16747	 	UV	19039827
738591	2523	1997-01-13	VYDAJ	PREVOD NA UCET	82	16991	 	UV	19039827
738592	2523	1997-02-13	VYDAJ	PREVOD NA UCET	82	15442	 	UV	19039827
738593	2523	1997-03-13	VYDAJ	PREVOD NA UCET	82	16491	 	UV	19039827
738594	2523	1997-04-13	VYDAJ	PREVOD NA UCET	82	14440	 	UV	19039827
738595	2523	1997-05-13	VYDAJ	PREVOD NA UCET	82	13714	 	UV	19039827
738596	2523	1997-06-13	VYDAJ	PREVOD NA UCET	82	14758	 	UV	19039827
738597	2523	1997-07-13	VYDAJ	PREVOD NA UCET	82	15804	 	UV	19039827
738598	2523	1997-08-13	VYDAJ	PREVOD NA UCET	82	16854	 	UV	19039827
738599	2523	1997-09-13	VYDAJ	PREVOD NA UCET	82	17909	 	UV	19039827
738600	2523	1997-10-13	VYDAJ	PREVOD NA UCET	82	18247	 	UV	19039827
738601	2523	1997-11-13	VYDAJ	PREVOD NA UCET	82	19308	 	UV	19039827
738602	2523	1997-12-13	VYDAJ	PREVOD NA UCET	82	20373	 	UV	19039827
738603	2523	1998-01-13	VYDAJ	PREVOD NA UCET	82	20480	 	UV	19039827
738604	2523	1998-02-13	VYDAJ	PREVOD NA UCET	82	21550	 	UV	19039827
738605	2523	1998-03-13	VYDAJ	PREVOD NA UCET	82	22623	 	UV	19039827
738606	2523	1998-04-13	VYDAJ	PREVOD NA UCET	82	22860	 	UV	19039827
738607	2523	1998-05-13	VYDAJ	PREVOD NA UCET	82	22739	 	UV	19039827
738608	2523	1998-06-13	VYDAJ	PREVOD NA UCET	82	23818	 	UV	19039827
738609	2523	1998-07-13	VYDAJ	PREVOD NA UCET	82	24241	 	UV	19039827
738610	2523	1998-08-13	VYDAJ	PREVOD NA UCET	82	25326	 	UV	19039827
738611	2523	1998-09-13	VYDAJ	PREVOD NA UCET	82	26415	 	UV	19039827
738612	2523	1998-10-13	VYDAJ	PREVOD NA UCET	82	27508	 	UV	19039827
738613	2523	1998-11-13	VYDAJ	PREVOD NA UCET	82	28606	 	UV	19039827
738614	2523	1998-12-13	VYDAJ	PREVOD NA UCET	82	29709	 	UV	19039827
738624	2523	1993-10-11	VYDAJ	PREVOD NA UCET	41	30098	POJISTNE	KL	57632476
738625	2523	1993-11-11	VYDAJ	PREVOD NA UCET	41	29910	POJISTNE	KL	57632476
738626	2523	1993-12-11	VYDAJ	PREVOD NA UCET	41	26781	POJISTNE	KL	57632476
738627	2523	1994-01-11	VYDAJ	PREVOD NA UCET	41	25981	POJISTNE	KL	57632476
738628	2523	1994-02-11	VYDAJ	PREVOD NA UCET	41	26977	POJISTNE	KL	57632476
738629	2523	1994-03-11	VYDAJ	PREVOD NA UCET	41	28284	POJISTNE	KL	57632476
738630	2523	1994-04-11	VYDAJ	PREVOD NA UCET	41	29937	POJISTNE	KL	57632476
738631	2523	1994-05-11	VYDAJ	PREVOD NA UCET	41	28247	POJISTNE	KL	57632476
738632	2523	1994-06-11	VYDAJ	PREVOD NA UCET	41	26593	POJISTNE	KL	57632476
738633	2523	1994-07-11	VYDAJ	PREVOD NA UCET	41	28791	POJISTNE	KL	57632476
738634	2523	1994-08-11	VYDAJ	PREVOD NA UCET	41	29756	POJISTNE	KL	57632476
738635	2523	1994-09-11	VYDAJ	PREVOD NA UCET	41	28326	POJISTNE	KL	57632476
738636	2523	1994-10-11	VYDAJ	PREVOD NA UCET	41	26030	POJISTNE	KL	57632476
738637	2523	1994-11-11	VYDAJ	PREVOD NA UCET	41	23927	POJISTNE	KL	57632476
738638	2523	1994-12-11	VYDAJ	PREVOD NA UCET	41	22914	POJISTNE	KL	57632476
738639	2523	1995-01-11	VYDAJ	PREVOD NA UCET	41	24663	POJISTNE	KL	57632476
738640	2523	1995-02-11	VYDAJ	PREVOD NA UCET	41	26148	POJISTNE	KL	57632476
738641	2523	1995-03-11	VYDAJ	PREVOD NA UCET	41	26543	POJISTNE	KL	57632476
738642	2523	1995-04-11	VYDAJ	PREVOD NA UCET	41	26839	POJISTNE	KL	57632476
738643	2523	1995-05-11	VYDAJ	PREVOD NA UCET	41	26337	POJISTNE	KL	57632476
738644	2523	1995-06-11	VYDAJ	PREVOD NA UCET	41	23521	POJISTNE	KL	57632476
738645	2523	1995-07-11	VYDAJ	PREVOD NA UCET	41	21534	POJISTNE	KL	57632476
738646	2523	1995-08-11	VYDAJ	PREVOD NA UCET	41	19108	POJISTNE	KL	57632476
738647	2523	1995-09-11	VYDAJ	PREVOD NA UCET	41	17472	POJISTNE	KL	57632476
738648	2523	1995-10-11	VYDAJ	PREVOD NA UCET	41	16619	POJISTNE	KL	57632476
738649	2523	1995-11-11	VYDAJ	PREVOD NA UCET	41	15773	POJISTNE	KL	57632476
738650	2523	1995-12-11	VYDAJ	PREVOD NA UCET	41	17353	POJISTNE	KL	57632476
738651	2523	1996-01-11	VYDAJ	PREVOD NA UCET	41	16839	POJISTNE	KL	57632476
738652	2523	1996-02-11	VYDAJ	PREVOD NA UCET	41	19696	POJISTNE	KL	57632476
738653	2523	1996-03-11	VYDAJ	PREVOD NA UCET	41	20663	POJISTNE	KL	57632476
738654	2523	1996-04-11	VYDAJ	PREVOD NA UCET	41	17600	POJISTNE	KL	57632476
738655	2523	1996-05-11	VYDAJ	PREVOD NA UCET	41	17757	POJISTNE	KL	57632476
738656	2523	1996-06-11	VYDAJ	PREVOD NA UCET	41	18773	POJISTNE	KL	57632476
738657	2523	1996-07-11	VYDAJ	PREVOD NA UCET	41	19936	POJISTNE	KL	57632476
738658	2523	1996-08-11	VYDAJ	PREVOD NA UCET	41	18001	POJISTNE	KL	57632476
738659	2523	1996-09-11	VYDAJ	PREVOD NA UCET	41	19561	POJISTNE	KL	57632476
738660	2523	1996-10-11	VYDAJ	PREVOD NA UCET	41	16321	POJISTNE	KL	57632476
738661	2523	1996-11-11	VYDAJ	PREVOD NA UCET	41	17574	POJISTNE	KL	57632476
738662	2523	1996-12-11	VYDAJ	PREVOD NA UCET	41	16829	POJISTNE	KL	57632476
738663	2523	1997-01-11	VYDAJ	PREVOD NA UCET	41	17073	POJISTNE	KL	57632476
738664	2523	1997-02-11	VYDAJ	PREVOD NA UCET	41	15524	POJISTNE	KL	57632476
738665	2523	1997-03-11	VYDAJ	PREVOD NA UCET	41	16573	POJISTNE	KL	57632476
738666	2523	1997-04-11	VYDAJ	PREVOD NA UCET	41	14522	POJISTNE	KL	57632476
738667	2523	1997-05-11	VYDAJ	PREVOD NA UCET	41	14696	POJISTNE	KL	57632476
738668	2523	1997-06-11	VYDAJ	PREVOD NA UCET	41	14840	POJISTNE	KL	57632476
738669	2523	1997-07-11	VYDAJ	PREVOD NA UCET	41	15886	POJISTNE	KL	57632476
738670	2523	1997-08-11	VYDAJ	PREVOD NA UCET	41	16936	POJISTNE	KL	57632476
738671	2523	1997-09-11	VYDAJ	PREVOD NA UCET	41	17991	POJISTNE	KL	57632476
738672	2523	1997-10-11	VYDAJ	PREVOD NA UCET	41	18329	POJISTNE	KL	57632476
738872	2523	1998-10-31	VYDAJ	VYBER	15	25779	SLUZBY	\N	\N
738673	2523	1997-11-11	VYDAJ	PREVOD NA UCET	41	19390	POJISTNE	KL	57632476
738674	2523	1997-12-11	VYDAJ	PREVOD NA UCET	41	20455	POJISTNE	KL	57632476
738675	2523	1998-01-11	VYDAJ	PREVOD NA UCET	41	20562	POJISTNE	KL	57632476
738676	2523	1998-02-11	VYDAJ	PREVOD NA UCET	41	21632	POJISTNE	KL	57632476
738677	2523	1998-03-11	VYDAJ	PREVOD NA UCET	41	22705	POJISTNE	KL	57632476
738678	2523	1998-04-11	VYDAJ	PREVOD NA UCET	41	22942	POJISTNE	KL	57632476
738679	2523	1998-05-11	VYDAJ	PREVOD NA UCET	41	22821	POJISTNE	KL	57632476
738680	2523	1998-06-11	VYDAJ	PREVOD NA UCET	41	23900	POJISTNE	KL	57632476
738681	2523	1998-07-11	VYDAJ	PREVOD NA UCET	41	24323	POJISTNE	KL	57632476
738682	2523	1998-08-11	VYDAJ	PREVOD NA UCET	41	25408	POJISTNE	KL	57632476
738683	2523	1998-09-11	VYDAJ	PREVOD NA UCET	41	26497	POJISTNE	KL	57632476
738684	2523	1998-10-11	VYDAJ	PREVOD NA UCET	41	27590	POJISTNE	KL	57632476
738685	2523	1998-11-11	VYDAJ	PREVOD NA UCET	41	28688	POJISTNE	KL	57632476
738686	2523	1998-12-11	VYDAJ	PREVOD NA UCET	41	29791	POJISTNE	KL	57632476
738697	2523	1993-11-06	VYDAJ	PREVOD NA UCET	73	28228	 	GH	1038826
738698	2523	1993-12-06	VYDAJ	PREVOD NA UCET	73	27199	 	GH	1038826
738699	2523	1994-01-06	VYDAJ	PREVOD NA UCET	73	22999	 	GH	1038826
738700	2523	1994-02-06	VYDAJ	PREVOD NA UCET	73	23995	 	GH	1038826
738701	2523	1994-03-06	VYDAJ	PREVOD NA UCET	73	24702	 	GH	1038826
738702	2523	1994-04-06	VYDAJ	PREVOD NA UCET	73	27405	 	GH	1038826
738703	2523	1994-05-06	VYDAJ	PREVOD NA UCET	73	28065	 	GH	1038826
738704	2523	1994-06-06	VYDAJ	PREVOD NA UCET	73	23611	 	GH	1038826
738705	2523	1994-07-06	VYDAJ	PREVOD NA UCET	73	25809	 	GH	1038826
738706	2523	1994-08-06	VYDAJ	PREVOD NA UCET	73	27314	 	GH	1038826
738707	2523	1994-09-06	VYDAJ	PREVOD NA UCET	73	25344	 	GH	1038826
738708	2523	1994-10-06	VYDAJ	PREVOD NA UCET	73	23048	 	GH	1038826
738709	2523	1994-11-06	VYDAJ	PREVOD NA UCET	73	20945	 	GH	1038826
738710	2523	1994-12-06	VYDAJ	PREVOD NA UCET	73	19932	 	GH	1038826
738711	2523	1995-01-06	VYDAJ	PREVOD NA UCET	73	21681	 	GH	1038826
738712	2523	1995-02-06	VYDAJ	PREVOD NA UCET	73	23166	 	GH	1038826
738713	2523	1995-03-06	VYDAJ	PREVOD NA UCET	73	23561	 	GH	1038826
738714	2523	1995-04-06	VYDAJ	PREVOD NA UCET	73	23857	 	GH	1038826
738715	2523	1995-05-06	VYDAJ	PREVOD NA UCET	73	23355	 	GH	1038826
738716	2523	1995-06-06	VYDAJ	PREVOD NA UCET	73	20539	 	GH	1038826
738717	2523	1995-07-06	VYDAJ	PREVOD NA UCET	73	18552	 	GH	1038826
738718	2523	1995-08-06	VYDAJ	PREVOD NA UCET	73	16126	 	GH	1038826
738719	2523	1995-09-06	VYDAJ	PREVOD NA UCET	73	14490	 	GH	1038826
738720	2523	1995-10-06	VYDAJ	PREVOD NA UCET	73	13637	 	GH	1038826
738721	2523	1995-11-06	VYDAJ	PREVOD NA UCET	73	12791	 	GH	1038826
738722	2523	1995-12-06	VYDAJ	PREVOD NA UCET	73	14371	 	GH	1038826
738723	2523	1996-01-06	VYDAJ	PREVOD NA UCET	73	13857	 	GH	1038826
738724	2523	1996-02-06	VYDAJ	PREVOD NA UCET	73	16714	 	GH	1038826
738725	2523	1996-03-06	VYDAJ	PREVOD NA UCET	73	17681	 	GH	1038826
738726	2523	1996-04-06	VYDAJ	PREVOD NA UCET	73	14618	 	GH	1038826
738727	2523	1996-05-06	VYDAJ	PREVOD NA UCET	73	14775	 	GH	1038826
738728	2523	1996-06-06	VYDAJ	PREVOD NA UCET	73	15791	 	GH	1038826
738729	2523	1996-07-06	VYDAJ	PREVOD NA UCET	73	16954	 	GH	1038826
738730	2523	1996-08-06	VYDAJ	PREVOD NA UCET	73	15019	 	GH	1038826
738731	2523	1996-09-06	VYDAJ	PREVOD NA UCET	73	16579	 	GH	1038826
738732	2523	1996-10-06	VYDAJ	PREVOD NA UCET	73	13339	 	GH	1038826
738733	2523	1996-11-06	VYDAJ	PREVOD NA UCET	73	14592	 	GH	1038826
738734	2523	1996-12-06	VYDAJ	PREVOD NA UCET	73	13847	 	GH	1038826
738735	2523	1997-01-06	VYDAJ	PREVOD NA UCET	73	14091	 	GH	1038826
738736	2523	1997-02-06	VYDAJ	PREVOD NA UCET	73	12542	 	GH	1038826
738737	2523	1997-03-06	VYDAJ	PREVOD NA UCET	73	13591	 	GH	1038826
738738	2523	1997-04-06	VYDAJ	PREVOD NA UCET	73	11540	 	GH	1038826
738739	2523	1997-05-06	VYDAJ	PREVOD NA UCET	73	12584	 	GH	1038826
738740	2523	1997-06-06	VYDAJ	PREVOD NA UCET	73	11858	 	GH	1038826
738741	2523	1997-07-06	VYDAJ	PREVOD NA UCET	73	12904	 	GH	1038826
738742	2523	1997-08-06	VYDAJ	PREVOD NA UCET	73	13954	 	GH	1038826
738743	2523	1997-09-06	VYDAJ	PREVOD NA UCET	73	15009	 	GH	1038826
738744	2523	1997-10-06	VYDAJ	PREVOD NA UCET	73	16067	 	GH	1038826
738745	2523	1997-11-06	VYDAJ	PREVOD NA UCET	73	16408	 	GH	1038826
738746	2523	1997-12-06	VYDAJ	PREVOD NA UCET	73	17473	 	GH	1038826
738747	2523	1998-01-06	VYDAJ	PREVOD NA UCET	73	17580	 	GH	1038826
738748	2523	1998-02-06	VYDAJ	PREVOD NA UCET	73	18650	 	GH	1038826
738749	2523	1998-03-06	VYDAJ	PREVOD NA UCET	73	19723	 	GH	1038826
738750	2523	1998-04-06	VYDAJ	PREVOD NA UCET	73	19960	 	GH	1038826
738751	2523	1998-05-06	VYDAJ	PREVOD NA UCET	73	19839	 	GH	1038826
738752	2523	1998-06-06	VYDAJ	PREVOD NA UCET	73	20918	 	GH	1038826
738753	2523	1998-07-06	VYDAJ	PREVOD NA UCET	73	22001	 	GH	1038826
738754	2523	1998-08-06	VYDAJ	PREVOD NA UCET	73	22426	 	GH	1038826
738755	2523	1998-09-06	VYDAJ	PREVOD NA UCET	73	23515	 	GH	1038826
738756	2523	1998-10-06	VYDAJ	PREVOD NA UCET	73	24608	 	GH	1038826
738757	2523	1998-11-06	VYDAJ	PREVOD NA UCET	73	25706	 	GH	1038826
738758	2523	1998-12-06	VYDAJ	PREVOD NA UCET	73	26809	 	GH	1038826
738760	2523	1994-06-02	VYDAJ	VYBER	3060	23384	\N	\N	\N
738761	2523	1995-06-01	VYDAJ	VYBER	1200	20612	\N	\N	\N
738765	2523	1993-12-01	VYDAJ	VYBER	840	27272	\N	\N	\N
738766	2523	1994-12-28	VYDAJ	VYBER	180	18283	\N	\N	\N
738767	2523	1995-12-23	VYDAJ	VYBER	480	14972	\N	\N	\N
738768	2523	1996-12-29	VYDAJ	VYBER	510	14118	\N	\N	\N
738769	2523	1997-12-20	VYDAJ	VYBER	480	18074	\N	\N	\N
738770	2523	1998-12-26	VYDAJ	VYBER	300	27590	\N	\N	\N
738778	2523	1994-04-07	VYDAJ	VYBER	450	26955	\N	\N	\N
738779	2523	1994-02-18	VYDAJ	VYBER	390	24686	\N	\N	\N
738780	2523	1994-08-09	VYDAJ	VYBER	540	29797	\N	\N	\N
738781	2523	1994-12-28	VYDAJ	VYBER	1470	18463	\N	\N	\N
738782	2523	1994-09-03	VYDAJ	VYBER	840	25417	\N	\N	\N
738783	2523	1994-12-13	VYDAJ	VYBER	1080	21834	\N	\N	\N
738785	2523	1995-11-16	VYDAJ	VYBER	570	13302	\N	\N	\N
738786	2523	1995-05-23	VYDAJ	VYBER	1110	23326	\N	\N	\N
738787	2523	1995-06-25	VYDAJ	VYBER	570	21050	\N	\N	\N
738788	2523	1995-09-29	VYDAJ	VYBER	1410	13661	\N	\N	\N
738789	2523	1996-01-05	VYDAJ	VYBER	390	13930	\N	\N	\N
738791	2523	1996-05-13	VYDAJ	VYBER	1440	16235	\N	\N	\N
738792	2523	1996-03-22	VYDAJ	VYBER	930	17832	\N	\N	\N
738794	2523	1997-12-26	VYDAJ	VYBER	480	17594	\N	\N	\N
738795	2523	1997-05-10	VYDAJ	VYBER	870	14737	\N	\N	\N
738796	2523	1997-10-11	VYDAJ	VYBER	720	18370	\N	\N	\N
738798	2523	1997-05-12	VYDAJ	VYBER	900	13796	\N	\N	\N
738799	2523	1998-07-09	VYDAJ	VYBER	660	24364	\N	\N	\N
738800	2523	1998-05-01	VYDAJ	VYBER	1200	19912	\N	\N	\N
738801	2523	1998-03-22	VYDAJ	VYBER	840	19964	\N	\N	\N
738812	2523	1993-10-31	VYDAJ	VYBER	15	28301	SLUZBY	\N	\N
738813	2523	1993-11-30	VYDAJ	VYBER	15	28112	SLUZBY	\N	\N
738814	2523	1993-12-31	VYDAJ	VYBER	15	24972	SLUZBY	\N	\N
738815	2523	1994-01-31	VYDAJ	VYBER	15	24168	SLUZBY	\N	\N
738816	2523	1994-02-28	VYDAJ	VYBER	15	24775	SLUZBY	\N	\N
738817	2523	1994-03-31	VYDAJ	VYBER	15	26478	SLUZBY	\N	\N
738818	2523	1994-04-30	VYDAJ	VYBER	15	28138	SLUZBY	\N	\N
738819	2523	1994-05-31	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
738820	2523	1994-06-30	VYDAJ	VYBER	15	24782	SLUZBY	\N	\N
738821	2523	1994-07-31	VYDAJ	VYBER	15	26987	SLUZBY	\N	\N
738822	2523	1994-08-31	VYDAJ	VYBER	15	27957	SLUZBY	\N	\N
738823	2523	1994-09-30	VYDAJ	VYBER	15	26521	SLUZBY	\N	\N
738824	2523	1994-10-31	VYDAJ	VYBER	15	24218	SLUZBY	\N	\N
738825	2523	1994-11-30	VYDAJ	VYBER	15	22105	SLUZBY	\N	\N
738826	2523	1994-12-31	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
738827	2523	1995-01-31	VYDAJ	VYBER	15	23239	SLUZBY	\N	\N
738828	2523	1995-02-28	VYDAJ	VYBER	15	24334	SLUZBY	\N	\N
738829	2523	1995-03-31	VYDAJ	VYBER	15	24730	SLUZBY	\N	\N
738830	2523	1995-04-30	VYDAJ	VYBER	15	25028	SLUZBY	\N	\N
738831	2523	1995-05-31	VYDAJ	VYBER	15	21812	SLUZBY	\N	\N
738832	2523	1995-06-30	VYDAJ	VYBER	15	18625	SLUZBY	\N	\N
738833	2523	1995-07-31	VYDAJ	VYBER	15	16199	SLUZBY	\N	\N
738834	2523	1995-08-31	VYDAJ	VYBER	15	14563	SLUZBY	\N	\N
738835	2523	1995-09-30	VYDAJ	VYBER	15	13710	SLUZBY	\N	\N
738836	2523	1995-10-31	VYDAJ	VYBER	15	12864	SLUZBY	\N	\N
738837	2523	1995-11-30	VYDAJ	VYBER	15	14444	SLUZBY	\N	\N
738838	2523	1995-12-31	VYDAJ	VYBER	15	14320	SLUZBY	\N	\N
738839	2523	1996-01-31	VYDAJ	VYBER	15	16787	SLUZBY	\N	\N
738840	2523	1996-02-29	VYDAJ	VYBER	15	17754	SLUZBY	\N	\N
738841	2523	1996-03-31	VYDAJ	VYBER	15	14691	SLUZBY	\N	\N
738842	2523	1996-04-30	VYDAJ	VYBER	15	14848	SLUZBY	\N	\N
738843	2523	1996-05-31	VYDAJ	VYBER	15	15864	SLUZBY	\N	\N
738844	2523	1996-06-30	VYDAJ	VYBER	15	17027	SLUZBY	\N	\N
738845	2523	1996-07-31	VYDAJ	VYBER	15	15092	SLUZBY	\N	\N
738846	2523	1996-08-31	VYDAJ	VYBER	15	16652	SLUZBY	\N	\N
738847	2523	1996-09-30	VYDAJ	VYBER	15	13412	SLUZBY	\N	\N
738848	2523	1996-10-31	VYDAJ	VYBER	15	14665	SLUZBY	\N	\N
738849	2523	1996-11-30	VYDAJ	VYBER	15	13920	SLUZBY	\N	\N
738850	2523	1996-12-31	VYDAJ	VYBER	15	14164	SLUZBY	\N	\N
738851	2523	1997-01-31	VYDAJ	VYBER	15	12615	SLUZBY	\N	\N
738852	2523	1997-02-28	VYDAJ	VYBER	15	13664	SLUZBY	\N	\N
738853	2523	1997-03-31	VYDAJ	VYBER	15	11613	SLUZBY	\N	\N
738854	2523	1997-04-30	VYDAJ	VYBER	15	12657	SLUZBY	\N	\N
738855	2523	1997-05-31	VYDAJ	VYBER	15	11931	SLUZBY	\N	\N
738856	2523	1997-06-30	VYDAJ	VYBER	15	12977	SLUZBY	\N	\N
738857	2523	1997-07-31	VYDAJ	VYBER	15	14027	SLUZBY	\N	\N
738858	2523	1997-08-31	VYDAJ	VYBER	15	15082	SLUZBY	\N	\N
738859	2523	1997-09-30	VYDAJ	VYBER	15	16140	SLUZBY	\N	\N
738860	2523	1997-10-31	VYDAJ	VYBER	15	16481	SLUZBY	\N	\N
738861	2523	1997-11-30	VYDAJ	VYBER	15	17546	SLUZBY	\N	\N
738862	2523	1997-12-31	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
738863	2523	1998-01-31	VYDAJ	VYBER	15	18723	SLUZBY	\N	\N
738864	2523	1998-02-28	VYDAJ	VYBER	15	19796	SLUZBY	\N	\N
738865	2523	1998-03-31	VYDAJ	VYBER	15	20033	SLUZBY	\N	\N
738866	2523	1998-04-30	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
738867	2523	1998-05-31	VYDAJ	VYBER	15	20991	SLUZBY	\N	\N
738868	2523	1998-06-30	VYDAJ	VYBER	15	22074	SLUZBY	\N	\N
738869	2523	1998-07-31	VYDAJ	VYBER	15	22499	SLUZBY	\N	\N
738870	2523	1998-08-31	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
738871	2523	1998-09-30	VYDAJ	VYBER	15	24681	SLUZBY	\N	\N
738873	2523	1998-11-30	VYDAJ	VYBER	15	26882	SLUZBY	\N	\N
738874	2523	1993-06-10	PRIJEM	VKLAD	9500	12923	\N	\N	\N
738875	2523	1993-07-10	PRIJEM	VKLAD	4000	19984	\N	\N	\N
738876	2523	1993-08-09	PRIJEM	VKLAD	1600	21658	\N	\N	\N
738877	2523	1993-09-08	PRIJEM	VKLAD	300	25079	\N	\N	\N
738878	2523	1993-10-08	VYDAJ	VYBER	1100	27116	\N	\N	\N
738879	2523	1993-11-07	VYDAJ	VYBER	1300	26928	\N	\N	\N
738880	2523	1993-12-07	VYDAJ	VYBER	3400	23799	\N	\N	\N
738881	2523	1994-01-06	VYDAJ	VYBER	1900	23072	\N	\N	\N
738882	2523	1994-02-05	VYDAJ	VYBER	100	24068	\N	\N	\N
738883	2523	1994-03-07	PRIJEM	VKLAD	600	25302	\N	\N	\N
738884	2523	1994-04-06	PRIJEM	VKLAD	1000	27478	\N	\N	\N
738885	2523	1994-05-06	VYDAJ	VYBER	2800	25265	\N	\N	\N
738886	2523	1994-06-05	PRIJEM	VKLAD	300	23684	\N	\N	\N
738887	2523	1994-07-05	PRIJEM	VKLAD	1100	25882	\N	\N	\N
738888	2523	1994-08-04	PRIJEM	VKLAD	400	27387	\N	\N	\N
738889	2523	1994-09-03	VYDAJ	VYBER	1700	26257	\N	\N	\N
738890	2523	1994-10-03	VYDAJ	VYBER	3400	23121	\N	\N	\N
738891	2523	1994-11-02	VYDAJ	VYBER	3200	21018	\N	\N	\N
738892	2523	1994-12-02	VYDAJ	VYBER	2100	20005	\N	\N	\N
738893	2523	1995-01-01	PRIJEM	VKLAD	3400	21754	\N	\N	\N
738894	2523	1995-01-31	PRIJEM	VKLAD	400	23162	\N	\N	\N
738895	2523	1995-03-02	VYDAJ	VYBER	700	23634	\N	\N	\N
738896	2523	1995-04-01	VYDAJ	VYBER	800	23930	\N	\N	\N
738897	2523	1995-05-01	VYDAJ	VYBER	1600	23428	\N	\N	\N
738898	2523	1995-05-31	VYDAJ	VYBER	1600	21827	\N	\N	\N
738899	2523	1995-06-30	VYDAJ	VYBER	2500	18640	\N	\N	\N
738900	2523	1995-07-30	VYDAJ	VYBER	3500	16133	\N	\N	\N
738901	2523	1995-08-29	VYDAJ	VYBER	2700	14507	\N	\N	\N
738902	2523	1995-09-28	VYDAJ	VYBER	500	15071	\N	\N	\N
738903	2523	1995-10-28	VYDAJ	VYBER	1900	12818	\N	\N	\N
738904	2523	1995-11-27	PRIJEM	VKLAD	1100	14402	\N	\N	\N
738905	2523	1995-12-27	VYDAJ	VYBER	700	14272	\N	\N	\N
738906	2523	1996-01-26	PRIJEM	VKLAD	1800	16738	\N	\N	\N
738907	2523	1996-02-25	VYDAJ	VYBER	100	17695	\N	\N	\N
738908	2523	1996-03-26	VYDAJ	VYBER	3200	14632	\N	\N	\N
738909	2523	1996-04-25	VYDAJ	VYBER	900	14799	\N	\N	\N
738910	2523	1996-05-25	PRIJEM	VKLAD	1400	15816	\N	\N	\N
738911	2523	1996-06-24	PRIJEM	VKLAD	100	16972	\N	\N	\N
738912	2523	1996-07-24	VYDAJ	VYBER	3000	15035	\N	\N	\N
738913	2523	1996-08-23	PRIJEM	VKLAD	500	16600	\N	\N	\N
738914	2523	1996-09-22	VYDAJ	VYBER	4300	13360	\N	\N	\N
738915	2523	1996-10-22	PRIJEM	VKLAD	200	14620	\N	\N	\N
738916	2523	1996-11-21	VYDAJ	VYBER	1800	13873	\N	\N	\N
738917	2523	1996-12-21	VYDAJ	VYBER	300	14628	\N	\N	\N
738918	2523	1997-01-20	VYDAJ	VYBER	2600	12572	\N	\N	\N
738919	2523	1997-03-21	VYDAJ	VYBER	3100	11572	\N	\N	\N
738987	2524	1994-12-19	PRIJEM	VKLAD	300	300	\N	\N	\N
739000	2524	1995-01-14	PRIJEM	PREVOD Z UCTU	6263	6563	DUCHOD	EF	14018088
739001	2524	1995-02-14	PRIJEM	PREVOD Z UCTU	6263	12826	DUCHOD	EF	14018088
739002	2524	1995-03-14	PRIJEM	PREVOD Z UCTU	6263	19089	DUCHOD	EF	14018088
739003	2524	1995-04-14	PRIJEM	PREVOD Z UCTU	6263	25352	DUCHOD	EF	14018088
739004	2524	1995-05-14	PRIJEM	PREVOD Z UCTU	6263	30659	DUCHOD	EF	14018088
739005	2524	1995-06-14	PRIJEM	PREVOD Z UCTU	6263	31966	DUCHOD	EF	14018088
739006	2524	1995-07-14	PRIJEM	PREVOD Z UCTU	6263	26977	DUCHOD	EF	14018088
739007	2524	1995-08-14	PRIJEM	PREVOD Z UCTU	6263	27375	DUCHOD	EF	14018088
739008	2524	1995-09-14	PRIJEM	PREVOD Z UCTU	6263	26170	DUCHOD	EF	14018088
739009	2524	1995-10-14	PRIJEM	PREVOD Z UCTU	6263	27506	DUCHOD	EF	14018088
739010	2524	1995-11-14	PRIJEM	PREVOD Z UCTU	6263	31212	DUCHOD	EF	14018088
739011	2524	1995-12-14	PRIJEM	PREVOD Z UCTU	6263	30193	DUCHOD	EF	14018088
739012	2524	1996-01-14	PRIJEM	PREVOD Z UCTU	6263	21915	DUCHOD	EF	14018088
739013	2524	1996-02-14	PRIJEM	PREVOD Z UCTU	6263	21613	DUCHOD	EF	14018088
739014	2524	1996-03-14	PRIJEM	PREVOD Z UCTU	6263	21714	DUCHOD	EF	14018088
739015	2524	1996-04-14	PRIJEM	PREVOD Z UCTU	6263	25499	DUCHOD	EF	14018088
739016	2524	1996-05-14	PRIJEM	PREVOD Z UCTU	6263	27497	DUCHOD	EF	14018088
739017	2524	1996-06-14	PRIJEM	PREVOD Z UCTU	6263	25905	DUCHOD	EF	14018088
739018	2524	1996-07-14	PRIJEM	PREVOD Z UCTU	6263	17023	DUCHOD	EF	14018088
739019	2524	1996-08-14	PRIJEM	PREVOD Z UCTU	6263	19385	DUCHOD	EF	14018088
739020	2524	1996-09-14	PRIJEM	PREVOD Z UCTU	6263	19877	DUCHOD	EF	14018088
739021	2524	1996-10-14	PRIJEM	PREVOD Z UCTU	6263	19851	DUCHOD	EF	14018088
739022	2524	1996-11-14	PRIJEM	PREVOD Z UCTU	6263	17327	DUCHOD	EF	14018088
739023	2524	1996-12-14	PRIJEM	PREVOD Z UCTU	6263	21095	DUCHOD	EF	14018088
739024	2524	1997-01-14	PRIJEM	PREVOD Z UCTU	6263	17444	DUCHOD	EF	14018088
739025	2524	1997-02-14	PRIJEM	PREVOD Z UCTU	6263	16887	DUCHOD	EF	14018088
739026	2524	1997-03-14	PRIJEM	PREVOD Z UCTU	6263	18324	DUCHOD	EF	14018088
739027	2524	1997-04-14	PRIJEM	PREVOD Z UCTU	6263	22092	DUCHOD	EF	14018088
739028	2524	1997-05-14	PRIJEM	PREVOD Z UCTU	6263	20275	DUCHOD	EF	14018088
739029	2524	1997-06-14	PRIJEM	PREVOD Z UCTU	6263	24053	DUCHOD	EF	14018088
739030	2524	1997-07-14	PRIJEM	PREVOD Z UCTU	6263	19081	DUCHOD	EF	14018088
739031	2524	1997-08-14	PRIJEM	PREVOD Z UCTU	6263	22852	DUCHOD	EF	14018088
739032	2524	1997-09-14	PRIJEM	PREVOD Z UCTU	6263	18238	DUCHOD	EF	14018088
739033	2524	1997-10-14	PRIJEM	PREVOD Z UCTU	6263	15424	DUCHOD	EF	14018088
739034	2524	1997-11-14	PRIJEM	PREVOD Z UCTU	6263	16379	DUCHOD	EF	14018088
739035	2524	1997-12-14	PRIJEM	PREVOD Z UCTU	6263	16386	DUCHOD	EF	14018088
739036	2524	1998-01-14	PRIJEM	PREVOD Z UCTU	6263	20144	DUCHOD	EF	14018088
739037	2524	1998-02-14	PRIJEM	PREVOD Z UCTU	6263	17712	DUCHOD	EF	14018088
739038	2524	1998-03-14	PRIJEM	PREVOD Z UCTU	6263	21476	DUCHOD	EF	14018088
739039	2524	1998-04-14	PRIJEM	PREVOD Z UCTU	6263	25257	DUCHOD	EF	14018088
739040	2524	1998-05-14	PRIJEM	PREVOD Z UCTU	6263	17653	DUCHOD	EF	14018088
739041	2524	1998-06-14	PRIJEM	PREVOD Z UCTU	6263	19496	DUCHOD	EF	14018088
739042	2524	1998-07-14	PRIJEM	PREVOD Z UCTU	6263	16768	DUCHOD	EF	14018088
739043	2524	1998-08-14	PRIJEM	PREVOD Z UCTU	6263	20529	DUCHOD	EF	14018088
739044	2524	1998-09-14	PRIJEM	PREVOD Z UCTU	6263	22145	DUCHOD	EF	14018088
739045	2524	1998-10-14	PRIJEM	PREVOD Z UCTU	6263	22319	DUCHOD	EF	14018088
739046	2524	1998-11-14	PRIJEM	PREVOD Z UCTU	6263	26103	DUCHOD	EF	14018088
739047	2524	1998-12-14	PRIJEM	PREVOD Z UCTU	6263	25662	DUCHOD	EF	14018088
739065	2524	1995-06-05	VYDAJ	PREVOD NA UCET	2550	25703	SIPO	ST	64186239
739066	2524	1995-07-05	VYDAJ	PREVOD NA UCET	2550	20714	SIPO	ST	64186239
739067	2524	1995-08-05	VYDAJ	PREVOD NA UCET	2550	21112	SIPO	ST	64186239
739068	2524	1995-09-05	VYDAJ	PREVOD NA UCET	2550	19907	SIPO	ST	64186239
739069	2524	1995-10-05	VYDAJ	PREVOD NA UCET	2550	21243	SIPO	ST	64186239
739070	2524	1995-11-05	VYDAJ	PREVOD NA UCET	2550	24949	SIPO	ST	64186239
739071	2524	1995-12-05	VYDAJ	PREVOD NA UCET	2550	24970	SIPO	ST	64186239
739072	2524	1996-01-05	VYDAJ	PREVOD NA UCET	2550	15652	SIPO	ST	64186239
739073	2524	1996-02-05	VYDAJ	PREVOD NA UCET	2550	15350	SIPO	ST	64186239
739074	2524	1996-03-05	VYDAJ	PREVOD NA UCET	2550	19131	SIPO	ST	64186239
739075	2524	1996-04-05	VYDAJ	PREVOD NA UCET	2550	19236	SIPO	ST	64186239
739076	2524	1996-05-05	VYDAJ	PREVOD NA UCET	2550	23034	SIPO	ST	64186239
739077	2524	1996-06-05	VYDAJ	PREVOD NA UCET	2550	25042	SIPO	ST	64186239
739078	2524	1996-07-05	VYDAJ	PREVOD NA UCET	2550	10760	SIPO	ST	64186239
739079	2524	1996-08-05	VYDAJ	PREVOD NA UCET	2550	14522	SIPO	ST	64186239
739080	2524	1996-09-05	VYDAJ	PREVOD NA UCET	2550	14814	SIPO	ST	64186239
739081	2524	1996-10-05	VYDAJ	PREVOD NA UCET	2550	17388	SIPO	ST	64186239
739082	2524	1996-11-05	VYDAJ	PREVOD NA UCET	2550	17364	SIPO	ST	64186239
739083	2524	1996-12-05	VYDAJ	PREVOD NA UCET	2550	14832	SIPO	ST	64186239
739084	2524	1997-01-05	VYDAJ	PREVOD NA UCET	2550	16681	SIPO	ST	64186239
739085	2524	1997-02-05	VYDAJ	PREVOD NA UCET	2550	10624	SIPO	ST	64186239
739086	2524	1997-03-05	VYDAJ	PREVOD NA UCET	2550	12061	SIPO	ST	64186239
739087	2524	1997-04-05	VYDAJ	PREVOD NA UCET	2550	15829	SIPO	ST	64186239
739088	2524	1997-05-05	VYDAJ	PREVOD NA UCET	2550	19612	SIPO	ST	64186239
739089	2524	1997-06-05	VYDAJ	PREVOD NA UCET	2550	17790	SIPO	ST	64186239
739090	2524	1997-07-05	VYDAJ	PREVOD NA UCET	2550	12818	SIPO	ST	64186239
739091	2524	1997-08-05	VYDAJ	PREVOD NA UCET	2550	16589	SIPO	ST	64186239
739092	2524	1997-09-05	VYDAJ	PREVOD NA UCET	2550	11975	SIPO	ST	64186239
739093	2524	1997-10-05	VYDAJ	PREVOD NA UCET	2550	9161	SIPO	ST	64186239
739094	2524	1997-11-05	VYDAJ	PREVOD NA UCET	2550	10116	SIPO	ST	64186239
739095	2524	1997-12-05	VYDAJ	PREVOD NA UCET	2550	10123	SIPO	ST	64186239
739096	2524	1998-01-05	VYDAJ	PREVOD NA UCET	2550	13881	SIPO	ST	64186239
739097	2524	1998-02-05	VYDAJ	PREVOD NA UCET	2550	11449	SIPO	ST	64186239
739098	2524	1998-03-05	VYDAJ	PREVOD NA UCET	2550	15213	SIPO	ST	64186239
739099	2524	1998-04-05	VYDAJ	PREVOD NA UCET	2550	18994	SIPO	ST	64186239
739100	2524	1998-05-05	VYDAJ	PREVOD NA UCET	2550	11390	SIPO	ST	64186239
739101	2524	1998-06-05	VYDAJ	PREVOD NA UCET	2550	13233	SIPO	ST	64186239
739102	2524	1998-07-05	VYDAJ	PREVOD NA UCET	2550	10505	SIPO	ST	64186239
739103	2524	1998-08-05	VYDAJ	PREVOD NA UCET	2550	14266	SIPO	ST	64186239
739104	2524	1998-09-05	VYDAJ	PREVOD NA UCET	2550	15882	SIPO	ST	64186239
739105	2524	1998-10-05	VYDAJ	PREVOD NA UCET	2550	16056	SIPO	ST	64186239
739106	2524	1998-11-05	VYDAJ	PREVOD NA UCET	2550	19840	SIPO	ST	64186239
739107	2524	1998-12-05	VYDAJ	PREVOD NA UCET	2550	20599	SIPO	ST	64186239
739109	2524	1995-06-27	VYDAJ	VYBER	2600	23166	\N	\N	\N
739110	2524	1996-06-17	VYDAJ	VYBER	9150	16755	\N	\N	\N
739111	2524	1997-06-20	VYDAJ	VYBER	8750	15303	\N	\N	\N
739117	2524	1998-01-22	VYDAJ	VYBER	3400	16744	\N	\N	\N
739119	2524	1995-12-26	VYDAJ	VYBER	1350	25543	\N	\N	\N
739120	2524	1996-12-14	VYDAJ	VYBER	650	20445	\N	\N	\N
739121	2524	1997-12-02	VYDAJ	VYBER	450	15973	\N	\N	\N
739122	2524	1998-12-12	VYDAJ	VYBER	1200	19399	\N	\N	\N
739135	2524	1996-01-05	VYDAJ	VYBER	1360	18202	\N	\N	\N
739136	2524	1996-01-29	VYDAJ	VYBER	1600	17835	\N	\N	\N
739137	2524	1996-01-03	VYDAJ	VYBER	480	20922	\N	\N	\N
739138	2524	1996-01-26	VYDAJ	VYBER	1280	19435	\N	\N	\N
739139	2524	1996-01-23	VYDAJ	VYBER	1200	20715	\N	\N	\N
739140	2524	1996-01-04	VYDAJ	VYBER	1360	19562	\N	\N	\N
739142	2524	1997-01-30	VYDAJ	VYBER	1200	13124	\N	\N	\N
739143	2524	1997-01-04	VYDAJ	VYBER	1280	19231	\N	\N	\N
739145	2524	1997-01-20	VYDAJ	VYBER	1760	15684	\N	\N	\N
739146	2524	1997-01-28	VYDAJ	VYBER	960	14324	\N	\N	\N
739148	2524	1998-01-24	VYDAJ	VYBER	1360	15384	\N	\N	\N
739149	2524	1998-01-29	VYDAJ	VYBER	1440	13944	\N	\N	\N
739157	2524	1995-12-30	VYDAJ	VYBER	3840	21703	\N	\N	\N
739158	2524	1995-12-30	VYDAJ	VYBER	400	21303	\N	\N	\N
739159	2524	1995-09-17	VYDAJ	VYBER	560	23710	\N	\N	\N
739162	2524	1995-12-05	VYDAJ	VYBER	1040	23930	\N	\N	\N
739164	2524	1996-08-27	VYDAJ	VYBER	2080	17305	\N	\N	\N
739165	2524	1996-06-30	VYDAJ	VYBER	3520	13324	\N	\N	\N
739166	2524	1996-03-09	VYDAJ	VYBER	3680	15451	\N	\N	\N
739168	2524	1997-01-23	VYDAJ	VYBER	400	15284	\N	\N	\N
739169	2524	1997-09-25	VYDAJ	VYBER	1680	16558	\N	\N	\N
739170	2524	1997-08-29	VYDAJ	VYBER	2000	20852	\N	\N	\N
739171	2524	1997-02-17	VYDAJ	VYBER	2320	14567	\N	\N	\N
739172	2524	1998-05-14	VYDAJ	VYBER	1920	15733	\N	\N	\N
739173	2524	1998-09-03	VYDAJ	VYBER	2160	18432	\N	\N	\N
739174	2524	1998-12-01	VYDAJ	VYBER	3040	23149	\N	\N	\N
739175	2524	1998-09-18	VYDAJ	VYBER	3600	18545	\N	\N	\N
739194	2524	1995-05-31	VYDAJ	VYBER	15	28253	SLUZBY	\N	\N
739195	2524	1995-06-30	VYDAJ	VYBER	15	23264	SLUZBY	\N	\N
739196	2524	1995-07-31	VYDAJ	VYBER	15	23662	SLUZBY	\N	\N
739197	2524	1995-08-31	VYDAJ	VYBER	15	22457	SLUZBY	\N	\N
739198	2524	1995-09-30	VYDAJ	VYBER	15	23793	SLUZBY	\N	\N
739199	2524	1995-10-31	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
739200	2524	1995-11-30	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
739201	2524	1995-12-31	VYDAJ	VYBER	15	21402	SLUZBY	\N	\N
739202	2524	1996-01-31	VYDAJ	VYBER	15	17900	SLUZBY	\N	\N
739203	2524	1996-02-29	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
739204	2524	1996-03-31	VYDAJ	VYBER	15	21786	SLUZBY	\N	\N
739205	2524	1996-04-30	VYDAJ	VYBER	15	25584	SLUZBY	\N	\N
739206	2524	1996-05-31	VYDAJ	VYBER	15	27592	SLUZBY	\N	\N
739207	2524	1996-06-30	VYDAJ	VYBER	15	13310	SLUZBY	\N	\N
739208	2524	1996-07-31	VYDAJ	VYBER	15	17072	SLUZBY	\N	\N
739209	2524	1996-08-31	VYDAJ	VYBER	15	17364	SLUZBY	\N	\N
739210	2524	1996-09-30	VYDAJ	VYBER	15	19938	SLUZBY	\N	\N
739211	2524	1996-10-31	VYDAJ	VYBER	15	19914	SLUZBY	\N	\N
739212	2524	1996-11-30	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
739213	2524	1996-12-31	VYDAJ	VYBER	15	20511	SLUZBY	\N	\N
739214	2524	1997-01-31	VYDAJ	VYBER	15	13174	SLUZBY	\N	\N
739215	2524	1997-02-28	VYDAJ	VYBER	15	14611	SLUZBY	\N	\N
739216	2524	1997-03-31	VYDAJ	VYBER	15	18379	SLUZBY	\N	\N
739217	2524	1997-04-30	VYDAJ	VYBER	15	22162	SLUZBY	\N	\N
739218	2524	1997-05-31	VYDAJ	VYBER	15	20340	SLUZBY	\N	\N
739219	2524	1997-06-30	VYDAJ	VYBER	15	15368	SLUZBY	\N	\N
739220	2524	1997-07-31	VYDAJ	VYBER	15	19139	SLUZBY	\N	\N
739221	2524	1997-08-31	VYDAJ	VYBER	15	20925	SLUZBY	\N	\N
739222	2524	1997-09-30	VYDAJ	VYBER	15	16611	SLUZBY	\N	\N
739223	2524	1997-10-31	VYDAJ	VYBER	15	15466	SLUZBY	\N	\N
739224	2524	1997-11-30	VYDAJ	VYBER	15	16423	SLUZBY	\N	\N
739225	2524	1997-12-31	VYDAJ	VYBER	15	16431	SLUZBY	\N	\N
739226	2524	1998-01-31	VYDAJ	VYBER	15	13999	SLUZBY	\N	\N
739227	2524	1998-02-28	VYDAJ	VYBER	15	17763	SLUZBY	\N	\N
739228	2524	1998-03-31	VYDAJ	VYBER	15	21544	SLUZBY	\N	\N
739229	2524	1998-04-30	VYDAJ	VYBER	15	25340	SLUZBY	\N	\N
739230	2524	1998-05-31	VYDAJ	VYBER	15	15783	SLUZBY	\N	\N
739231	2524	1998-06-30	VYDAJ	VYBER	15	19555	SLUZBY	\N	\N
739232	2524	1998-07-31	VYDAJ	VYBER	15	16816	SLUZBY	\N	\N
739233	2524	1998-08-31	VYDAJ	VYBER	15	20592	SLUZBY	\N	\N
739234	2524	1998-09-30	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
739235	2524	1998-10-31	VYDAJ	VYBER	15	22390	SLUZBY	\N	\N
739236	2524	1998-11-30	VYDAJ	VYBER	15	26189	SLUZBY	\N	\N
739237	2524	1995-04-18	VYDAJ	VYBER	1000	24352	\N	\N	\N
739238	2524	1995-05-18	VYDAJ	VYBER	2500	28159	\N	\N	\N
739239	2524	1995-06-17	VYDAJ	VYBER	6200	25766	\N	\N	\N
739240	2524	1995-07-17	VYDAJ	VYBER	3400	23577	\N	\N	\N
739241	2524	1995-08-16	VYDAJ	VYBER	5000	22375	\N	\N	\N
739242	2524	1995-09-15	VYDAJ	VYBER	1900	24270	\N	\N	\N
739243	2524	1995-10-15	VYDAJ	VYBER	100	27406	\N	\N	\N
739244	2524	1995-11-14	VYDAJ	VYBER	3800	27412	\N	\N	\N
739245	2524	1995-12-14	VYDAJ	VYBER	3300	26893	\N	\N	\N
739246	2524	1996-05-12	VYDAJ	VYBER	1800	21234	\N	\N	\N
739247	2524	1996-06-11	VYDAJ	VYBER	5400	19642	\N	\N	\N
739248	2524	1996-08-10	VYDAJ	VYBER	1400	13122	\N	\N	\N
739249	2524	1996-09-09	VYDAJ	VYBER	1200	13614	\N	\N	\N
739250	2524	1996-10-09	VYDAJ	VYBER	3800	13588	\N	\N	\N
739251	2524	1996-11-08	VYDAJ	VYBER	6300	11064	\N	\N	\N
739252	2524	1997-01-07	VYDAJ	VYBER	5500	11181	\N	\N	\N
739253	2524	1997-05-07	VYDAJ	VYBER	5600	14012	\N	\N	\N
739254	2524	1997-09-04	VYDAJ	VYBER	6400	14525	\N	\N	\N
739255	2524	1997-10-04	VYDAJ	VYBER	4900	11711	\N	\N	\N
739256	2524	1997-11-03	VYDAJ	VYBER	2800	12666	\N	\N	\N
739257	2524	1997-12-03	VYDAJ	VYBER	3300	12673	\N	\N	\N
739258	2524	1998-05-02	VYDAJ	VYBER	11400	13940	\N	\N	\N
739259	2524	1998-07-01	VYDAJ	VYBER	6500	13055	\N	\N	\N
739305	2525	1995-05-08	PRIJEM	VKLAD	500	500	\N	\N	\N
739310	2525	1995-05-11	PRIJEM	VKLAD	8006	8506	\N	\N	\N
739311	2525	1995-06-11	PRIJEM	VKLAD	12009	26439	\N	\N	\N
739312	2525	1995-07-11	PRIJEM	VKLAD	8006	30130	\N	\N	\N
739313	2525	1995-08-11	PRIJEM	VKLAD	8006	31957	\N	\N	\N
739314	2525	1995-09-11	PRIJEM	VKLAD	8006	33994	\N	\N	\N
739315	2525	1995-10-11	PRIJEM	VKLAD	8006	30787	\N	\N	\N
739316	2525	1995-11-11	PRIJEM	VKLAD	8006	29368	\N	\N	\N
739317	2525	1995-12-11	PRIJEM	VKLAD	12009	31052	\N	\N	\N
739318	2525	1996-01-11	PRIJEM	VKLAD	8006	30479	\N	\N	\N
739319	2525	1996-02-11	PRIJEM	VKLAD	8006	20528	\N	\N	\N
739320	2525	1996-03-11	PRIJEM	VKLAD	8006	26776	\N	\N	\N
739321	2525	1996-04-11	PRIJEM	VKLAD	8006	31531	\N	\N	\N
739322	2525	1996-05-11	PRIJEM	VKLAD	8006	30549	\N	\N	\N
739323	2525	1996-06-11	PRIJEM	VKLAD	12009	39530	\N	\N	\N
739324	2525	1996-07-11	PRIJEM	VKLAD	8006	31079	\N	\N	\N
739325	2525	1996-08-11	PRIJEM	VKLAD	8006	34754	\N	\N	\N
739326	2525	1996-09-11	PRIJEM	VKLAD	8006	30506	\N	\N	\N
739327	2525	1996-10-11	PRIJEM	VKLAD	8006	26902	\N	\N	\N
739328	2525	1996-11-11	PRIJEM	VKLAD	8006	30766	\N	\N	\N
739329	2525	1996-12-11	PRIJEM	VKLAD	12009	31405	\N	\N	\N
739330	2525	1997-01-11	PRIJEM	VKLAD	8006	21419	\N	\N	\N
739331	2525	1997-02-11	PRIJEM	VKLAD	8006	18600	\N	\N	\N
739332	2525	1997-03-11	PRIJEM	VKLAD	8006	16045	\N	\N	\N
739333	2525	1997-04-11	PRIJEM	VKLAD	8006	17261	\N	\N	\N
739334	2525	1997-05-11	PRIJEM	VKLAD	8006	17481	\N	\N	\N
739335	2525	1997-06-11	PRIJEM	VKLAD	12009	22105	\N	\N	\N
739336	2525	1997-07-11	PRIJEM	VKLAD	8006	19637	\N	\N	\N
739337	2525	1997-08-11	PRIJEM	VKLAD	8006	17464	\N	\N	\N
739338	2525	1997-09-11	PRIJEM	VKLAD	8006	19286	\N	\N	\N
739339	2525	1997-10-11	PRIJEM	VKLAD	8006	18071	\N	\N	\N
739340	2525	1997-11-11	PRIJEM	VKLAD	8006	15690	\N	\N	\N
739341	2525	1997-12-11	PRIJEM	VKLAD	12009	22007	\N	\N	\N
739342	2525	1998-01-11	PRIJEM	VKLAD	8006	15710	\N	\N	\N
739343	2525	1998-02-11	PRIJEM	VKLAD	8006	16923	\N	\N	\N
739344	2525	1998-03-11	PRIJEM	VKLAD	8006	19242	\N	\N	\N
739345	2525	1998-04-11	PRIJEM	VKLAD	8006	17066	\N	\N	\N
739346	2525	1998-05-11	PRIJEM	VKLAD	8006	14279	\N	\N	\N
739347	2525	1998-06-11	PRIJEM	VKLAD	12009	20990	\N	\N	\N
739348	2525	1998-07-11	PRIJEM	VKLAD	8006	17613	\N	\N	\N
739349	2525	1998-08-11	PRIJEM	VKLAD	8006	15027	\N	\N	\N
739350	2525	1998-09-11	PRIJEM	VKLAD	8006	17739	\N	\N	\N
739351	2525	1998-10-11	PRIJEM	VKLAD	8006	18660	\N	\N	\N
739352	2525	1998-11-11	PRIJEM	VKLAD	8006	15176	\N	\N	\N
739353	2525	1998-12-11	PRIJEM	VKLAD	12009	18785	\N	\N	\N
739363	2525	1995-10-06	VYDAJ	PREVOD NA UCET	2408	25710	SIPO	ST	21251112
739364	2525	1995-11-06	VYDAJ	PREVOD NA UCET	2408	24291	SIPO	ST	21251112
739365	2525	1995-12-06	VYDAJ	PREVOD NA UCET	2408	21972	SIPO	ST	21251112
739366	2525	1996-01-06	VYDAJ	PREVOD NA UCET	2408	25402	SIPO	ST	21251112
739367	2525	1996-02-06	VYDAJ	PREVOD NA UCET	2408	15451	SIPO	ST	21251112
739368	2525	1996-03-06	VYDAJ	PREVOD NA UCET	2408	21699	SIPO	ST	21251112
739369	2525	1996-04-06	VYDAJ	PREVOD NA UCET	2408	26454	SIPO	ST	21251112
739370	2525	1996-05-06	VYDAJ	PREVOD NA UCET	2408	25472	SIPO	ST	21251112
739371	2525	1996-06-06	VYDAJ	PREVOD NA UCET	2408	30450	SIPO	ST	21251112
739372	2525	1996-07-06	VYDAJ	PREVOD NA UCET	2408	26002	SIPO	ST	21251112
739373	2525	1996-08-06	VYDAJ	PREVOD NA UCET	2408	29677	SIPO	ST	21251112
739374	2525	1996-09-06	VYDAJ	PREVOD NA UCET	2408	25429	SIPO	ST	21251112
739375	2525	1996-10-06	VYDAJ	PREVOD NA UCET	2408	21825	SIPO	ST	21251112
739376	2525	1996-11-06	VYDAJ	PREVOD NA UCET	2408	25689	SIPO	ST	21251112
739377	2525	1996-12-06	VYDAJ	PREVOD NA UCET	2408	22325	SIPO	ST	21251112
739378	2525	1997-01-06	VYDAJ	PREVOD NA UCET	2408	25102	SIPO	ST	21251112
739379	2525	1997-02-06	VYDAJ	PREVOD NA UCET	2408	13523	SIPO	ST	21251112
739380	2525	1997-03-06	VYDAJ	PREVOD NA UCET	2408	10968	SIPO	ST	21251112
739381	2525	1997-04-06	VYDAJ	PREVOD NA UCET	2408	12184	SIPO	ST	21251112
739382	2525	1997-05-06	VYDAJ	PREVOD NA UCET	2408	12404	SIPO	ST	21251112
739383	2525	1997-06-06	VYDAJ	PREVOD NA UCET	2408	13025	SIPO	ST	21251112
739384	2525	1997-07-06	VYDAJ	PREVOD NA UCET	2408	14560	SIPO	ST	21251112
739385	2525	1997-08-06	VYDAJ	PREVOD NA UCET	2408	12387	SIPO	ST	21251112
739386	2525	1997-09-06	VYDAJ	PREVOD NA UCET	2408	14209	SIPO	ST	21251112
739387	2525	1997-10-06	VYDAJ	PREVOD NA UCET	2408	12994	SIPO	ST	21251112
739388	2525	1997-11-06	VYDAJ	PREVOD NA UCET	2408	10613	SIPO	ST	21251112
739389	2525	1997-12-06	VYDAJ	PREVOD NA UCET	2408	12927	SIPO	ST	21251112
739390	2525	1998-01-06	VYDAJ	PREVOD NA UCET	2408	10633	SIPO	ST	21251112
739391	2525	1998-02-06	VYDAJ	PREVOD NA UCET	2408	11846	SIPO	ST	21251112
739392	2525	1998-03-06	VYDAJ	PREVOD NA UCET	2408	14165	SIPO	ST	21251112
739393	2525	1998-04-06	VYDAJ	PREVOD NA UCET	2408	11989	SIPO	ST	21251112
739394	2525	1998-05-06	VYDAJ	PREVOD NA UCET	2408	9202	SIPO	ST	21251112
739395	2525	1998-06-06	VYDAJ	PREVOD NA UCET	2408	11910	SIPO	ST	21251112
739396	2525	1998-07-06	VYDAJ	PREVOD NA UCET	2408	12536	SIPO	ST	21251112
739397	2525	1998-08-06	VYDAJ	PREVOD NA UCET	2408	9950	SIPO	ST	21251112
739398	2525	1998-09-06	VYDAJ	PREVOD NA UCET	2408	12662	SIPO	ST	21251112
739399	2525	1998-10-06	VYDAJ	PREVOD NA UCET	2408	13583	SIPO	ST	21251112
739400	2525	1998-11-06	VYDAJ	PREVOD NA UCET	2408	10099	SIPO	ST	21251112
739401	2525	1998-12-06	VYDAJ	PREVOD NA UCET	2408	9705	SIPO	ST	21251112
739411	2525	1995-10-10	VYDAJ	PREVOD NA UCET	2929	22781	 	GH	99278032
739412	2525	1995-11-10	VYDAJ	PREVOD NA UCET	2929	21362	 	GH	99278032
739413	2525	1995-12-10	VYDAJ	PREVOD NA UCET	2929	19043	 	GH	99278032
739414	2525	1996-01-10	VYDAJ	PREVOD NA UCET	2929	22473	 	GH	99278032
739415	2525	1996-02-10	VYDAJ	PREVOD NA UCET	2929	12522	 	GH	99278032
739416	2525	1996-03-10	VYDAJ	PREVOD NA UCET	2929	18770	 	GH	99278032
739417	2525	1996-04-10	VYDAJ	PREVOD NA UCET	2929	23525	 	GH	99278032
739418	2525	1996-05-10	VYDAJ	PREVOD NA UCET	2929	22543	 	GH	99278032
739419	2525	1996-06-10	VYDAJ	PREVOD NA UCET	2929	27521	 	GH	99278032
739420	2525	1996-07-10	VYDAJ	PREVOD NA UCET	2929	23073	 	GH	99278032
739421	2525	1996-08-10	VYDAJ	PREVOD NA UCET	2929	26748	 	GH	99278032
739422	2525	1996-09-10	VYDAJ	PREVOD NA UCET	2929	22500	 	GH	99278032
739423	2525	1996-10-10	VYDAJ	PREVOD NA UCET	2929	18896	 	GH	99278032
739424	2525	1996-11-10	VYDAJ	PREVOD NA UCET	2929	22760	 	GH	99278032
739425	2525	1996-12-10	VYDAJ	PREVOD NA UCET	2929	19396	 	GH	99278032
739426	2525	1997-01-10	VYDAJ	PREVOD NA UCET	2929	13413	 	GH	99278032
739427	2525	1997-02-10	VYDAJ	PREVOD NA UCET	2929	10594	 	GH	99278032
739428	2525	1997-03-10	VYDAJ	PREVOD NA UCET	2929	8039	 	GH	99278032
739429	2525	1997-04-10	VYDAJ	PREVOD NA UCET	2929	9255	 	GH	99278032
739430	2525	1997-05-10	VYDAJ	PREVOD NA UCET	2929	9475	 	GH	99278032
739431	2525	1997-06-10	VYDAJ	PREVOD NA UCET	2929	10096	 	GH	99278032
739432	2525	1997-07-10	VYDAJ	PREVOD NA UCET	2929	11631	 	GH	99278032
739433	2525	1997-08-10	VYDAJ	PREVOD NA UCET	2929	9458	 	GH	99278032
739434	2525	1997-09-10	VYDAJ	PREVOD NA UCET	2929	11280	 	GH	99278032
739435	2525	1997-10-10	VYDAJ	PREVOD NA UCET	2929	10065	 	GH	99278032
739436	2525	1997-11-10	VYDAJ	PREVOD NA UCET	2929	7684	 	GH	99278032
739437	2525	1997-12-10	VYDAJ	PREVOD NA UCET	2929	9998	 	GH	99278032
739438	2525	1998-01-10	VYDAJ	PREVOD NA UCET	2929	7704	 	GH	99278032
739439	2525	1998-02-10	VYDAJ	PREVOD NA UCET	2929	8917	 	GH	99278032
739440	2525	1998-03-10	VYDAJ	PREVOD NA UCET	2929	11236	 	GH	99278032
739441	2525	1998-04-10	VYDAJ	PREVOD NA UCET	2929	9060	 	GH	99278032
739442	2525	1998-05-10	VYDAJ	PREVOD NA UCET	2929	6273	 	GH	99278032
739443	2525	1998-06-10	VYDAJ	PREVOD NA UCET	2929	8981	 	GH	99278032
739444	2525	1998-07-10	VYDAJ	PREVOD NA UCET	2929	9607	 	GH	99278032
739445	2525	1998-08-10	VYDAJ	PREVOD NA UCET	2929	7021	 	GH	99278032
739446	2525	1998-09-10	VYDAJ	PREVOD NA UCET	2929	9733	 	GH	99278032
739447	2525	1998-10-10	VYDAJ	PREVOD NA UCET	2929	10654	 	GH	99278032
739448	2525	1998-11-10	VYDAJ	PREVOD NA UCET	2929	7170	 	GH	99278032
739449	2525	1998-12-10	VYDAJ	PREVOD NA UCET	2929	6776	 	GH	99278032
739451	2525	1996-06-23	VYDAJ	VYBER	15840	23690	\N	\N	\N
739455	2525	1996-01-11	VYDAJ	VYBER	15520	14959	\N	\N	\N
739458	2525	1995-12-22	VYDAJ	VYBER	2400	28652	\N	\N	\N
739459	2525	1996-12-02	VYDAJ	VYBER	2240	24733	\N	\N	\N
739470	2525	1996-01-05	VYDAJ	VYBER	2640	27810	\N	\N	\N
739473	2525	1996-01-14	VYDAJ	VYBER	1560	13399	\N	\N	\N
739474	2525	1997-01-20	VYDAJ	VYBER	2400	18059	\N	\N	\N
739475	2525	1997-01-14	VYDAJ	VYBER	960	20459	\N	\N	\N
739476	2525	1997-01-10	VYDAJ	VYBER	2760	16342	\N	\N	\N
739477	2525	1997-01-02	VYDAJ	VYBER	1800	27510	\N	\N	\N
739478	2525	1997-01-09	VYDAJ	VYBER	3120	19102	\N	\N	\N
739479	2525	1997-01-07	VYDAJ	VYBER	2880	22222	\N	\N	\N
739481	2525	1998-01-25	VYDAJ	VYBER	2280	14210	\N	\N	\N
739484	2525	1998-01-18	VYDAJ	VYBER	720	14990	\N	\N	\N
739488	2525	1995-11-12	VYDAJ	VYBER	4800	24568	\N	\N	\N
739489	2525	1995-11-30	VYDAJ	VYBER	3480	21194	\N	\N	\N
739492	2525	1996-02-26	VYDAJ	VYBER	3960	16568	\N	\N	\N
739493	2525	1996-10-01	VYDAJ	VYBER	4080	24233	\N	\N	\N
739494	2525	1996-05-05	VYDAJ	VYBER	5160	27880	\N	\N	\N
739495	2525	1996-02-26	VYDAJ	VYBER	720	15848	\N	\N	\N
739496	2525	1996-08-27	VYDAJ	VYBER	2640	32114	\N	\N	\N
739498	2525	1997-02-27	VYDAJ	VYBER	3480	13320	\N	\N	\N
739500	2525	1997-09-20	VYDAJ	VYBER	840	18446	\N	\N	\N
739501	2525	1997-12-20	VYDAJ	VYBER	4920	17087	\N	\N	\N
739503	2525	1998-09-28	VYDAJ	VYBER	1800	15939	\N	\N	\N
739517	2525	1995-09-30	VYDAJ	VYBER	15	34118	SLUZBY	\N	\N
739518	2525	1995-10-31	VYDAJ	VYBER	15	30899	SLUZBY	\N	\N
739519	2525	1995-11-30	VYDAJ	VYBER	15	21180	SLUZBY	\N	\N
739520	2525	1995-12-31	VYDAJ	VYBER	15	28750	SLUZBY	\N	\N
739521	2525	1996-01-31	VYDAJ	VYBER	15	13459	SLUZBY	\N	\N
739522	2525	1996-02-29	VYDAJ	VYBER	15	15907	SLUZBY	\N	\N
739523	2525	1996-03-31	VYDAJ	VYBER	15	26862	SLUZBY	\N	\N
739524	2525	1996-04-30	VYDAJ	VYBER	15	31640	SLUZBY	\N	\N
739525	2525	1996-05-31	VYDAJ	VYBER	15	30658	SLUZBY	\N	\N
739526	2525	1996-06-30	VYDAJ	VYBER	15	23810	SLUZBY	\N	\N
739527	2525	1996-07-31	VYDAJ	VYBER	15	32085	SLUZBY	\N	\N
739528	2525	1996-08-31	VYDAJ	VYBER	15	27837	SLUZBY	\N	\N
739529	2525	1996-09-30	VYDAJ	VYBER	15	28313	SLUZBY	\N	\N
739530	2525	1996-10-31	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
739531	2525	1996-11-30	VYDAJ	VYBER	15	26973	SLUZBY	\N	\N
739532	2525	1996-12-31	VYDAJ	VYBER	15	29310	SLUZBY	\N	\N
739533	2525	1997-01-31	VYDAJ	VYBER	15	15931	SLUZBY	\N	\N
739534	2525	1997-02-28	VYDAJ	VYBER	15	13376	SLUZBY	\N	\N
739535	2525	1997-03-31	VYDAJ	VYBER	15	14592	SLUZBY	\N	\N
739536	2525	1997-04-30	VYDAJ	VYBER	15	14812	SLUZBY	\N	\N
739537	2525	1997-05-31	VYDAJ	VYBER	15	15433	SLUZBY	\N	\N
739538	2525	1997-06-30	VYDAJ	VYBER	15	16968	SLUZBY	\N	\N
739539	2525	1997-07-31	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
739540	2525	1997-08-31	VYDAJ	VYBER	15	16617	SLUZBY	\N	\N
739541	2525	1997-09-30	VYDAJ	VYBER	15	15402	SLUZBY	\N	\N
739542	2525	1997-10-31	VYDAJ	VYBER	15	13021	SLUZBY	\N	\N
739543	2525	1997-11-30	VYDAJ	VYBER	15	15335	SLUZBY	\N	\N
739544	2525	1997-12-31	VYDAJ	VYBER	15	13041	SLUZBY	\N	\N
739545	2525	1998-01-31	VYDAJ	VYBER	15	14254	SLUZBY	\N	\N
739546	2525	1998-02-28	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
739547	2525	1998-03-31	VYDAJ	VYBER	15	14397	SLUZBY	\N	\N
739548	2525	1998-04-30	VYDAJ	VYBER	15	11610	SLUZBY	\N	\N
739549	2525	1998-05-31	VYDAJ	VYBER	15	14318	SLUZBY	\N	\N
739550	2525	1998-06-30	VYDAJ	VYBER	15	14944	SLUZBY	\N	\N
739551	2525	1998-07-31	VYDAJ	VYBER	15	12358	SLUZBY	\N	\N
739552	2525	1998-08-31	VYDAJ	VYBER	15	15070	SLUZBY	\N	\N
739553	2525	1998-09-30	VYDAJ	VYBER	15	15991	SLUZBY	\N	\N
739554	2525	1998-10-31	VYDAJ	VYBER	15	12507	SLUZBY	\N	\N
739555	2525	1998-11-30	VYDAJ	VYBER	15	12113	SLUZBY	\N	\N
739556	2525	1995-06-07	PRIJEM	VKLAD	5900	14430	\N	\N	\N
739557	2525	1995-07-07	VYDAJ	VYBER	4400	22124	\N	\N	\N
739558	2525	1995-08-06	VYDAJ	VYBER	6300	23951	\N	\N	\N
739559	2525	1995-09-05	VYDAJ	VYBER	6100	25988	\N	\N	\N
739560	2525	1995-10-05	VYDAJ	VYBER	6000	28118	\N	\N	\N
739561	2525	1995-11-04	VYDAJ	VYBER	4200	26699	\N	\N	\N
739562	2525	1995-12-04	PRIJEM	VKLAD	3200	24380	\N	\N	\N
739563	2525	1996-01-03	PRIJEM	VKLAD	1700	30450	\N	\N	\N
739564	2525	1996-02-02	PRIJEM	VKLAD	4400	17859	\N	\N	\N
739565	2525	1996-03-03	PRIJEM	VKLAD	8200	24107	\N	\N	\N
739566	2525	1996-04-02	PRIJEM	VKLAD	2000	28862	\N	\N	\N
739567	2525	1996-05-02	PRIJEM	VKLAD	1400	33040	\N	\N	\N
739568	2525	1996-06-01	PRIJEM	VKLAD	2200	32858	\N	\N	\N
739569	2525	1996-07-01	PRIJEM	VKLAD	4600	28410	\N	\N	\N
739570	2525	1996-07-31	PRIJEM	VKLAD	900	32099	\N	\N	\N
739571	2525	1996-08-30	VYDAJ	VYBER	4400	27714	\N	\N	\N
739572	2525	1996-09-29	VYDAJ	VYBER	2300	28206	\N	\N	\N
739573	2525	1996-10-29	PRIJEM	VKLAD	1100	28002	\N	\N	\N
739574	2525	1996-11-28	VYDAJ	VYBER	3900	26866	\N	\N	\N
739575	2525	1996-12-28	VYDAJ	VYBER	2200	29205	\N	\N	\N
739576	2525	1997-01-27	VYDAJ	VYBER	2200	15859	\N	\N	\N
739577	2525	1997-02-26	VYDAJ	VYBER	1800	16800	\N	\N	\N
739578	2525	1997-03-28	VYDAJ	VYBER	1500	14545	\N	\N	\N
739579	2525	1997-04-27	VYDAJ	VYBER	2500	14761	\N	\N	\N
739580	2525	1997-05-27	VYDAJ	VYBER	2100	15381	\N	\N	\N
739581	2525	1997-06-26	VYDAJ	VYBER	5200	16905	\N	\N	\N
739582	2525	1997-07-26	VYDAJ	VYBER	4900	14737	\N	\N	\N
739583	2525	1997-08-25	VYDAJ	VYBER	900	16564	\N	\N	\N
739584	2525	1997-09-24	VYDAJ	VYBER	3100	15346	\N	\N	\N
739585	2525	1997-10-24	VYDAJ	VYBER	5100	12971	\N	\N	\N
739586	2525	1997-11-23	VYDAJ	VYBER	400	15290	\N	\N	\N
739587	2525	1997-12-23	VYDAJ	VYBER	4100	12987	\N	\N	\N
739588	2525	1998-01-22	PRIJEM	VKLAD	1500	16490	\N	\N	\N
739589	2525	1998-02-21	VYDAJ	VYBER	400	16523	\N	\N	\N
739590	2525	1998-03-23	VYDAJ	VYBER	4900	14342	\N	\N	\N
739591	2525	1998-04-22	VYDAJ	VYBER	5500	11566	\N	\N	\N
739592	2525	1998-06-21	VYDAJ	VYBER	6100	14890	\N	\N	\N
739593	2525	1998-07-21	VYDAJ	VYBER	5300	12313	\N	\N	\N
739594	2525	1998-10-19	VYDAJ	VYBER	6200	12460	\N	\N	\N
739595	2525	1998-11-18	VYDAJ	VYBER	3100	12076	\N	\N	\N
739640	2526	1996-07-04	PRIJEM	VKLAD	800	800	\N	\N	\N
739647	2526	1996-07-10	PRIJEM	PREVOD Z UCTU	6057	6857	DUCHOD	GH	16741460
739648	2526	1996-08-10	PRIJEM	PREVOD Z UCTU	6057	12934	DUCHOD	GH	16741460
739649	2526	1996-09-10	PRIJEM	PREVOD Z UCTU	6057	19020	DUCHOD	GH	16741460
739650	2526	1996-10-10	PRIJEM	PREVOD Z UCTU	6057	25105	DUCHOD	GH	16741460
739651	2526	1996-11-10	PRIJEM	PREVOD Z UCTU	6057	29891	DUCHOD	GH	16741460
739652	2526	1996-12-10	PRIJEM	PREVOD Z UCTU	6057	27165	DUCHOD	GH	16741460
739653	2526	1997-01-10	PRIJEM	PREVOD Z UCTU	6057	20785	DUCHOD	GH	16741460
739654	2526	1997-02-10	PRIJEM	PREVOD Z UCTU	6057	16703	DUCHOD	GH	16741460
739655	2526	1997-03-10	PRIJEM	PREVOD Z UCTU	6057	18848	DUCHOD	GH	16741460
739656	2526	1997-04-10	PRIJEM	PREVOD Z UCTU	6057	21003	DUCHOD	GH	16741460
739657	2526	1997-05-10	PRIJEM	PREVOD Z UCTU	6057	23166	DUCHOD	GH	16741460
739658	2526	1997-06-10	PRIJEM	PREVOD Z UCTU	6057	25338	DUCHOD	GH	16741460
739659	2526	1997-07-10	PRIJEM	PREVOD Z UCTU	6057	23613	DUCHOD	GH	16741460
739660	2526	1997-08-10	PRIJEM	PREVOD Z UCTU	6057	25787	DUCHOD	GH	16741460
739661	2526	1997-09-10	PRIJEM	PREVOD Z UCTU	6057	17504	DUCHOD	GH	16741460
739662	2526	1997-10-10	PRIJEM	PREVOD Z UCTU	6057	16356	DUCHOD	GH	16741460
739663	2526	1997-11-10	PRIJEM	PREVOD Z UCTU	6057	18500	DUCHOD	GH	16741460
739664	2526	1997-12-10	PRIJEM	PREVOD Z UCTU	6057	19752	DUCHOD	GH	16741460
739665	2526	1998-01-10	PRIJEM	PREVOD Z UCTU	6057	19738	DUCHOD	GH	16741460
739666	2526	1998-02-10	PRIJEM	PREVOD Z UCTU	6057	15255	DUCHOD	GH	16741460
739667	2526	1998-03-10	PRIJEM	PREVOD Z UCTU	6057	17394	DUCHOD	GH	16741460
739668	2526	1998-04-10	PRIJEM	PREVOD Z UCTU	6057	19542	DUCHOD	GH	16741460
739669	2526	1998-05-10	PRIJEM	PREVOD Z UCTU	6057	21699	DUCHOD	GH	16741460
739670	2526	1998-06-10	PRIJEM	PREVOD Z UCTU	6057	22564	DUCHOD	GH	16741460
739671	2526	1998-07-10	PRIJEM	PREVOD Z UCTU	6057	20669	DUCHOD	GH	16741460
739672	2526	1998-08-10	PRIJEM	PREVOD Z UCTU	6057	20750	DUCHOD	GH	16741460
739673	2526	1998-09-10	PRIJEM	PREVOD Z UCTU	6057	19507	DUCHOD	GH	16741460
739674	2526	1998-10-10	PRIJEM	PREVOD Z UCTU	6057	17361	DUCHOD	GH	16741460
739675	2526	1998-11-10	PRIJEM	PREVOD Z UCTU	6057	16006	DUCHOD	GH	16741460
739676	2526	1998-12-10	PRIJEM	PREVOD Z UCTU	6057	16947	DUCHOD	GH	16741460
739688	2526	1996-12-08	VYDAJ	PREVOD NA UCET	3964	21108	SIPO	EF	82399522
739689	2526	1997-01-08	VYDAJ	PREVOD NA UCET	3964	18728	SIPO	EF	82399522
739690	2526	1997-02-08	VYDAJ	PREVOD NA UCET	3964	10646	SIPO	EF	82399522
739691	2526	1997-03-08	VYDAJ	PREVOD NA UCET	3964	12791	SIPO	EF	82399522
739692	2526	1997-04-08	VYDAJ	PREVOD NA UCET	3964	14946	SIPO	EF	82399522
739693	2526	1997-05-08	VYDAJ	PREVOD NA UCET	3964	17109	SIPO	EF	82399522
739694	2526	1997-06-08	VYDAJ	PREVOD NA UCET	3964	19281	SIPO	EF	82399522
739695	2526	1997-07-08	VYDAJ	PREVOD NA UCET	3964	17556	SIPO	EF	82399522
739696	2526	1997-08-08	VYDAJ	PREVOD NA UCET	3964	19730	SIPO	EF	82399522
739697	2526	1997-09-08	VYDAJ	PREVOD NA UCET	3964	11447	SIPO	EF	82399522
739698	2526	1997-10-08	VYDAJ	PREVOD NA UCET	3964	10299	SIPO	EF	82399522
739699	2526	1997-11-08	VYDAJ	PREVOD NA UCET	3964	12443	SIPO	EF	82399522
739700	2526	1997-12-08	VYDAJ	PREVOD NA UCET	3964	13695	SIPO	EF	82399522
739701	2526	1998-01-08	VYDAJ	PREVOD NA UCET	3964	14401	SIPO	EF	82399522
739702	2526	1998-02-08	VYDAJ	PREVOD NA UCET	3964	9198	SIPO	EF	82399522
739703	2526	1998-03-08	VYDAJ	PREVOD NA UCET	3964	11337	SIPO	EF	82399522
739704	2526	1998-04-08	VYDAJ	PREVOD NA UCET	3964	13485	SIPO	EF	82399522
739705	2526	1998-05-08	VYDAJ	PREVOD NA UCET	3964	15642	SIPO	EF	82399522
739706	2526	1998-06-08	VYDAJ	PREVOD NA UCET	3964	16507	SIPO	EF	82399522
739707	2526	1998-07-08	VYDAJ	PREVOD NA UCET	3964	14612	SIPO	EF	82399522
739708	2526	1998-08-08	VYDAJ	PREVOD NA UCET	3964	14693	SIPO	EF	82399522
739709	2526	1998-09-08	VYDAJ	PREVOD NA UCET	3964	13450	SIPO	EF	82399522
739710	2526	1998-10-08	VYDAJ	PREVOD NA UCET	3964	11304	SIPO	EF	82399522
739711	2526	1998-11-08	VYDAJ	PREVOD NA UCET	3964	9949	SIPO	EF	82399522
739712	2526	1998-12-08	VYDAJ	PREVOD NA UCET	3964	10890	SIPO	EF	82399522
739714	2526	1997-06-12	VYDAJ	VYBER	2400	22938	\N	\N	\N
739717	2526	1997-01-18	VYDAJ	VYBER	2000	16545	\N	\N	\N
739718	2526	1998-01-13	VYDAJ	VYBER	2550	17188	\N	\N	\N
739719	2526	1996-12-13	VYDAJ	VYBER	950	26215	\N	\N	\N
739720	2526	1997-12-26	VYDAJ	VYBER	1450	18302	\N	\N	\N
739721	2526	1998-12-04	VYDAJ	VYBER	800	14854	\N	\N	\N
739728	2526	1997-01-09	VYDAJ	VYBER	1920	16808	\N	\N	\N
739729	2526	1997-01-08	VYDAJ	VYBER	2080	22692	\N	\N	\N
739730	2526	1997-01-10	VYDAJ	VYBER	1040	19745	\N	\N	\N
739731	2526	1997-01-09	VYDAJ	VYBER	2080	14728	\N	\N	\N
739732	2526	1997-01-15	VYDAJ	VYBER	1200	18545	\N	\N	\N
739733	2526	1997-01-04	VYDAJ	VYBER	640	24772	\N	\N	\N
739736	2526	1998-01-26	VYDAJ	VYBER	1280	13108	\N	\N	\N
739737	2526	1998-01-09	VYDAJ	VYBER	720	13681	\N	\N	\N
739738	2526	1998-01-24	VYDAJ	VYBER	1040	14388	\N	\N	\N
739739	2526	1998-01-21	VYDAJ	VYBER	1760	15428	\N	\N	\N
739746	2526	1997-08-13	VYDAJ	VYBER	1680	24107	\N	\N	\N
739747	2526	1997-01-27	VYDAJ	VYBER	2000	14545	\N	\N	\N
739748	2526	1997-09-06	VYDAJ	VYBER	3840	15411	\N	\N	\N
739749	2526	1997-08-31	VYDAJ	VYBER	1840	19251	\N	\N	\N
739750	2526	1998-06-18	VYDAJ	VYBER	960	21604	\N	\N	\N
739751	2526	1998-07-28	VYDAJ	VYBER	2080	18589	\N	\N	\N
739754	2526	1998-09-12	VYDAJ	VYBER	560	18947	\N	\N	\N
739755	2526	1998-10-03	VYDAJ	VYBER	2640	15268	\N	\N	\N
739767	2526	1996-11-30	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
739768	2526	1996-12-31	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
739769	2526	1997-01-31	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
739770	2526	1997-02-28	VYDAJ	VYBER	15	16755	SLUZBY	\N	\N
739771	2526	1997-03-31	VYDAJ	VYBER	15	18910	SLUZBY	\N	\N
739772	2526	1997-04-30	VYDAJ	VYBER	15	21073	SLUZBY	\N	\N
739773	2526	1997-05-31	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
739774	2526	1997-06-30	VYDAJ	VYBER	15	21520	SLUZBY	\N	\N
739775	2526	1997-07-31	VYDAJ	VYBER	15	23694	SLUZBY	\N	\N
739776	2526	1997-08-31	VYDAJ	VYBER	15	21091	SLUZBY	\N	\N
739777	2526	1997-09-30	VYDAJ	VYBER	15	14263	SLUZBY	\N	\N
739778	2526	1997-10-31	VYDAJ	VYBER	15	16407	SLUZBY	\N	\N
739779	2526	1997-11-30	VYDAJ	VYBER	15	17659	SLUZBY	\N	\N
739780	2526	1997-12-31	VYDAJ	VYBER	15	18365	SLUZBY	\N	\N
739781	2526	1998-01-31	VYDAJ	VYBER	15	13162	SLUZBY	\N	\N
739782	2526	1998-02-28	VYDAJ	VYBER	15	15301	SLUZBY	\N	\N
739783	2526	1998-03-31	VYDAJ	VYBER	15	17449	SLUZBY	\N	\N
739784	2526	1998-04-30	VYDAJ	VYBER	15	19606	SLUZBY	\N	\N
739785	2526	1998-05-31	VYDAJ	VYBER	15	20471	SLUZBY	\N	\N
739786	2526	1998-06-30	VYDAJ	VYBER	15	18576	SLUZBY	\N	\N
739787	2526	1998-07-31	VYDAJ	VYBER	15	18657	SLUZBY	\N	\N
739788	2526	1998-08-31	VYDAJ	VYBER	15	17414	SLUZBY	\N	\N
739789	2526	1998-09-30	VYDAJ	VYBER	15	17908	SLUZBY	\N	\N
739790	2526	1998-10-31	VYDAJ	VYBER	15	13913	SLUZBY	\N	\N
739791	2526	1998-11-30	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
739792	2526	1996-11-01	VYDAJ	VYBER	1300	23834	\N	\N	\N
739793	2526	1996-12-01	VYDAJ	VYBER	4900	25072	\N	\N	\N
739794	2526	1996-12-31	VYDAJ	VYBER	900	25427	\N	\N	\N
739795	2526	1997-06-29	VYDAJ	VYBER	1500	21438	\N	\N	\N
739796	2526	1997-08-28	VYDAJ	VYBER	3100	21007	\N	\N	\N
739797	2526	1997-09-27	VYDAJ	VYBER	3300	14204	\N	\N	\N
739798	2526	1997-11-26	VYDAJ	VYBER	900	17600	\N	\N	\N
739799	2526	1998-05-25	VYDAJ	VYBER	1300	20399	\N	\N	\N
739800	2526	1998-06-24	VYDAJ	VYBER	3100	18504	\N	\N	\N
739801	2526	1998-08-23	VYDAJ	VYBER	3400	17350	\N	\N	\N
739802	2526	1998-09-22	VYDAJ	VYBER	1100	17847	\N	\N	\N
739803	2526	1998-10-22	VYDAJ	VYBER	3500	13861	\N	\N	\N
739804	2526	1998-11-21	VYDAJ	VYBER	400	15606	\N	\N	\N
739835	2527	1993-03-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
739836	2527	1993-10-10	PRIJEM	VKLAD	17538	113597	\N	\N	\N
739837	2527	1993-07-26	PRIJEM	VKLAD	34740	85234	\N	\N	\N
739838	2527	1993-12-12	PRIJEM	VKLAD	9397	81669	\N	\N	\N
739839	2527	1993-03-29	PRIJEM	VKLAD	27331	28331	\N	\N	\N
739841	2527	1993-08-14	PRIJEM	VKLAD	15257	71623	\N	\N	\N
739842	2527	1993-07-04	PRIJEM	VKLAD	12864	76668	\N	\N	\N
739843	2527	1993-12-23	PRIJEM	VKLAD	47848	144415	\N	\N	\N
739845	2527	1993-09-27	PRIJEM	VKLAD	37196	101584	\N	\N	\N
739846	2527	1993-07-28	PRIJEM	VKLAD	30533	115767	\N	\N	\N
739847	2527	1993-06-06	PRIJEM	VKLAD	28851	124747	\N	\N	\N
739848	2527	1993-12-02	PRIJEM	VKLAD	20756	76933	\N	\N	\N
739849	2527	1993-11-16	PRIJEM	VKLAD	33782	58525	\N	\N	\N
739850	2527	1993-09-15	PRIJEM	VKLAD	46432	98588	\N	\N	\N
739851	2527	1993-09-04	PRIJEM	VKLAD	6572	57930	\N	\N	\N
739852	2527	1993-05-14	PRIJEM	VKLAD	41952	67013	\N	\N	\N
739853	2527	1993-11-16	PRIJEM	VKLAD	14880	73405	\N	\N	\N
739854	2527	1993-06-30	PRIJEM	VKLAD	14351	63498	\N	\N	\N
739855	2527	1993-12-11	PRIJEM	VKLAD	15136	72272	\N	\N	\N
739856	2527	1993-06-02	PRIJEM	VKLAD	49632	95896	\N	\N	\N
739857	2527	1993-12-19	PRIJEM	VKLAD	44498	96567	\N	\N	\N
739859	2527	1994-10-06	PRIJEM	VKLAD	9622	81914	\N	\N	\N
739860	2527	1994-09-27	PRIJEM	VKLAD	43945	72157	\N	\N	\N
739861	2527	1994-02-12	PRIJEM	VKLAD	17521	34146	\N	\N	\N
739862	2527	1994-06-17	PRIJEM	VKLAD	24181	55891	\N	\N	\N
739863	2527	1994-08-15	PRIJEM	VKLAD	11926	34672	\N	\N	\N
739864	2527	1994-02-18	PRIJEM	VKLAD	39417	106540	\N	\N	\N
739865	2527	1994-10-28	PRIJEM	VKLAD	19351	59491	\N	\N	\N
739866	2527	1994-04-15	PRIJEM	VKLAD	18895	58351	\N	\N	\N
739867	2527	1994-02-13	PRIJEM	VKLAD	38577	67123	\N	\N	\N
739868	2527	1995-06-30	PRIJEM	VKLAD	9138	80530	\N	\N	\N
739869	2527	1995-04-28	PRIJEM	VKLAD	33861	120511	\N	\N	\N
739870	2527	1995-08-31	PRIJEM	VKLAD	21452	117514	\N	\N	\N
739871	2527	1995-06-24	PRIJEM	VKLAD	22985	71392	\N	\N	\N
739872	2527	1995-08-08	PRIJEM	VKLAD	43208	82447	\N	\N	\N
739873	2527	1995-08-15	PRIJEM	VKLAD	35553	120441	\N	\N	\N
739874	2527	1995-05-06	PRIJEM	VKLAD	37251	111790	\N	\N	\N
739875	2527	1995-03-27	PRIJEM	VKLAD	35314	64450	\N	\N	\N
739876	2527	1995-04-30	PRIJEM	VKLAD	20438	105849	\N	\N	\N
739877	2527	1995-05-22	PRIJEM	VKLAD	22093	73311	\N	\N	\N
739878	2527	1995-05-07	PRIJEM	VKLAD	19336	92852	\N	\N	\N
739879	2527	1995-04-30	PRIJEM	VKLAD	38126	143975	\N	\N	\N
739880	2527	1995-09-30	PRIJEM	VKLAD	37178	84204	\N	\N	\N
739881	2527	1995-04-22	PRIJEM	VKLAD	5631	58208	\N	\N	\N
739882	2527	1995-11-19	PRIJEM	VKLAD	32065	96143	\N	\N	\N
739883	2527	1995-08-24	PRIJEM	VKLAD	25643	95684	\N	\N	\N
739884	2527	1995-10-30	PRIJEM	VKLAD	41419	145753	\N	\N	\N
739885	2527	1995-01-31	PRIJEM	VKLAD	13085	34463	\N	\N	\N
739886	2527	1995-04-24	PRIJEM	VKLAD	47687	105895	\N	\N	\N
739887	2527	1995-05-03	PRIJEM	VKLAD	18102	119739	\N	\N	\N
739888	2527	1995-12-05	PRIJEM	VKLAD	35293	96638	\N	\N	\N
739889	2527	1995-12-09	PRIJEM	VKLAD	18636	109500	\N	\N	\N
739890	2527	1995-08-11	PRIJEM	VKLAD	13841	96288	\N	\N	\N
739891	2527	1995-04-26	PRIJEM	VKLAD	39255	127950	\N	\N	\N
739892	2527	1995-04-19	PRIJEM	VKLAD	7571	52577	\N	\N	\N
739893	2527	1995-02-11	PRIJEM	VKLAD	11232	40801	\N	\N	\N
739894	2527	1995-12-01	PRIJEM	VKLAD	11057	87445	\N	\N	\N
739895	2527	1995-10-08	PRIJEM	VKLAD	48870	104334	\N	\N	\N
739896	2527	1996-04-08	PRIJEM	VKLAD	30805	97563	\N	\N	\N
739897	2527	1996-01-03	PRIJEM	VKLAD	21083	50885	\N	\N	\N
739898	2527	1996-02-12	PRIJEM	VKLAD	5188	27280	\N	\N	\N
739899	2527	1996-11-25	PRIJEM	VKLAD	34010	107649	\N	\N	\N
739900	2527	1996-08-08	PRIJEM	VKLAD	17842	105107	\N	\N	\N
739901	2527	1996-01-03	PRIJEM	VKLAD	24697	75582	\N	\N	\N
739902	2527	1996-12-11	PRIJEM	VKLAD	40216	121756	\N	\N	\N
739903	2527	1996-11-17	PRIJEM	VKLAD	11812	43623	\N	\N	\N
739904	2527	1996-11-18	PRIJEM	VKLAD	20953	64576	\N	\N	\N
739905	2527	1996-10-12	PRIJEM	VKLAD	33755	92786	\N	\N	\N
739906	2527	1996-04-22	PRIJEM	VKLAD	41276	138839	\N	\N	\N
739907	2527	1996-05-30	PRIJEM	VKLAD	17173	72772	\N	\N	\N
739908	2527	1996-03-04	PRIJEM	VKLAD	31634	63908	\N	\N	\N
739909	2527	1996-12-09	PRIJEM	VKLAD	16727	88140	\N	\N	\N
739910	2527	1996-08-14	PRIJEM	VKLAD	39590	131822	\N	\N	\N
739911	2527	1996-04-06	PRIJEM	VKLAD	16103	72532	\N	\N	\N
739912	2527	1996-05-15	PRIJEM	VKLAD	13960	50390	\N	\N	\N
739913	2527	1996-07-13	PRIJEM	VKLAD	10285	52240	\N	\N	\N
739914	2527	1996-05-16	PRIJEM	VKLAD	5209	55599	\N	\N	\N
739915	2527	1996-11-25	PRIJEM	VKLAD	9063	73639	\N	\N	\N
739916	2527	1996-09-10	PRIJEM	VKLAD	17084	88405	\N	\N	\N
739917	2527	1996-07-26	PRIJEM	VKLAD	6804	59044	\N	\N	\N
739918	2527	1996-08-25	PRIJEM	VKLAD	49513	141835	\N	\N	\N
739919	2527	1996-01-02	PRIJEM	VKLAD	8466	38202	\N	\N	\N
739920	2527	1996-03-14	PRIJEM	VKLAD	17737	75871	\N	\N	\N
739921	2527	1996-07-04	PRIJEM	VKLAD	21863	51929	\N	\N	\N
739922	2527	1996-08-06	PRIJEM	VKLAD	42709	93039	\N	\N	\N
739923	2527	1997-08-13	PRIJEM	VKLAD	47392	83572	\N	\N	\N
739924	2527	1997-06-25	PRIJEM	VKLAD	17008	53135	\N	\N	\N
739925	2527	1997-10-21	PRIJEM	VKLAD	39488	110048	\N	\N	\N
739926	2527	1997-11-28	PRIJEM	VKLAD	47761	111026	\N	\N	\N
739927	2527	1997-01-12	PRIJEM	VKLAD	18251	61733	\N	\N	\N
739928	2527	1997-03-30	PRIJEM	VKLAD	9486	50593	\N	\N	\N
739929	2527	1997-10-17	PRIJEM	VKLAD	14554	70560	\N	\N	\N
739930	2527	1998-05-06	PRIJEM	VKLAD	11284	88249	\N	\N	\N
739931	2527	1998-03-27	PRIJEM	VKLAD	13349	102066	\N	\N	\N
739932	2527	1998-08-31	PRIJEM	VKLAD	29616	118239	\N	\N	\N
739933	2527	1998-09-05	PRIJEM	VKLAD	42648	111872	\N	\N	\N
739934	2527	1998-07-29	PRIJEM	VKLAD	17173	93394	\N	\N	\N
739935	2527	1998-01-14	PRIJEM	VKLAD	10489	86427	\N	\N	\N
739936	2527	1998-05-26	PRIJEM	VKLAD	41184	108859	\N	\N	\N
739937	2527	1998-11-28	PRIJEM	VKLAD	32551	88137	\N	\N	\N
739938	2527	1998-03-05	PRIJEM	VKLAD	23375	84006	\N	\N	\N
739939	2527	1998-03-14	PRIJEM	VKLAD	39985	118217	\N	\N	\N
739940	2527	1998-08-23	PRIJEM	VKLAD	24733	96943	\N	\N	\N
739941	2527	1998-04-01	PRIJEM	VKLAD	47306	144567	\N	\N	\N
739942	2527	1998-07-15	PRIJEM	VKLAD	46524	101315	\N	\N	\N
739943	2527	1998-03-28	PRIJEM	VKLAD	26535	128601	\N	\N	\N
739944	2527	1998-01-29	PRIJEM	VKLAD	22559	70986	\N	\N	\N
740023	2527	1993-07-06	VYDAJ	PREVOD NA UCET	5774	70894	SIPO	CD	27758234
740024	2527	1993-08-06	VYDAJ	PREVOD NA UCET	5774	67166	SIPO	CD	27758234
740025	2527	1993-09-06	VYDAJ	PREVOD NA UCET	5774	52156	SIPO	CD	27758234
740026	2527	1993-10-06	VYDAJ	PREVOD NA UCET	5774	96059	SIPO	CD	27758234
740027	2527	1993-11-06	VYDAJ	PREVOD NA UCET	5774	26043	SIPO	CD	27758234
740028	2527	1993-12-06	VYDAJ	PREVOD NA UCET	5774	71159	SIPO	CD	27758234
740029	2527	1994-01-06	VYDAJ	PREVOD NA UCET	5774	76700	SIPO	CD	27758234
740030	2527	1994-02-06	VYDAJ	PREVOD NA UCET	5774	16625	SIPO	CD	27758234
740031	2527	1994-03-06	VYDAJ	PREVOD NA UCET	5774	101017	SIPO	CD	27758234
740032	2527	1994-04-06	VYDAJ	PREVOD NA UCET	5774	51156	SIPO	CD	27758234
740033	2527	1994-05-06	VYDAJ	PREVOD NA UCET	5774	52797	SIPO	CD	27758234
740034	2527	1994-06-06	VYDAJ	PREVOD NA UCET	5774	36310	SIPO	CD	27758234
740035	2527	1994-07-06	VYDAJ	PREVOD NA UCET	5774	50297	SIPO	CD	27758234
740036	2527	1994-08-06	VYDAJ	PREVOD NA UCET	5774	21746	SIPO	CD	27758234
740037	2527	1994-09-06	VYDAJ	PREVOD NA UCET	5774	29012	SIPO	CD	27758234
740038	2527	1994-10-06	VYDAJ	PREVOD NA UCET	5774	76140	SIPO	CD	27758234
740039	2527	1994-11-06	VYDAJ	PREVOD NA UCET	5774	53938	SIPO	CD	27758234
740040	2527	1994-12-06	VYDAJ	PREVOD NA UCET	5774	31339	SIPO	CD	27758234
740041	2527	1995-01-06	VYDAJ	PREVOD NA UCET	5774	17778	SIPO	CD	27758234
740042	2527	1995-02-06	VYDAJ	PREVOD NA UCET	5774	28769	SIPO	CD	27758234
740043	2527	1995-03-06	VYDAJ	PREVOD NA UCET	5774	23636	SIPO	CD	27758234
740044	2527	1995-04-06	VYDAJ	PREVOD NA UCET	5774	58806	SIPO	CD	27758234
740045	2527	1995-05-06	VYDAJ	PREVOD NA UCET	5774	106016	SIPO	CD	27758234
740046	2527	1995-06-06	VYDAJ	PREVOD NA UCET	5774	67807	SIPO	CD	27758234
740047	2527	1995-07-06	VYDAJ	PREVOD NA UCET	5774	74986	SIPO	CD	27758234
740048	2527	1995-08-06	VYDAJ	PREVOD NA UCET	5774	47139	SIPO	CD	27758234
740049	2527	1995-09-06	VYDAJ	PREVOD NA UCET	5774	47026	SIPO	CD	27758234
740050	2527	1995-10-06	VYDAJ	PREVOD NA UCET	5774	55464	SIPO	CD	27758234
740051	2527	1995-11-06	VYDAJ	PREVOD NA UCET	5774	68278	SIPO	CD	27758234
740052	2527	1995-12-06	VYDAJ	PREVOD NA UCET	5774	90864	SIPO	CD	27758234
740053	2527	1996-01-06	VYDAJ	PREVOD NA UCET	5774	48008	SIPO	CD	27758234
740054	2527	1996-02-06	VYDAJ	PREVOD NA UCET	5774	22092	SIPO	CD	27758234
740055	2527	1996-03-06	VYDAJ	PREVOD NA UCET	5774	58134	SIPO	CD	27758234
740056	2527	1996-04-06	VYDAJ	PREVOD NA UCET	5774	66758	SIPO	CD	27758234
740057	2527	1996-05-06	VYDAJ	PREVOD NA UCET	5774	52277	SIPO	CD	27758234
740058	2527	1996-06-06	VYDAJ	PREVOD NA UCET	5774	48723	SIPO	CD	27758234
740059	2527	1996-07-06	VYDAJ	PREVOD NA UCET	5774	46155	SIPO	CD	27758234
740060	2527	1996-08-06	VYDAJ	PREVOD NA UCET	5774	87265	SIPO	CD	27758234
740061	2527	1996-09-06	VYDAJ	PREVOD NA UCET	5774	71321	SIPO	CD	27758234
740062	2527	1996-10-06	VYDAJ	PREVOD NA UCET	5774	59031	SIPO	CD	27758234
740063	2527	1996-11-06	VYDAJ	PREVOD NA UCET	5774	57653	SIPO	CD	27758234
740064	2527	1996-12-06	VYDAJ	PREVOD NA UCET	5774	71413	SIPO	CD	27758234
740065	2527	1997-01-06	VYDAJ	PREVOD NA UCET	5774	57582	SIPO	CD	27758234
740066	2527	1997-02-06	VYDAJ	PREVOD NA UCET	5774	29261	SIPO	CD	27758234
740067	2527	1997-03-06	VYDAJ	PREVOD NA UCET	5774	32507	SIPO	CD	27758234
740068	2527	1997-04-06	VYDAJ	PREVOD NA UCET	5774	44964	SIPO	CD	27758234
740069	2527	1997-05-06	VYDAJ	PREVOD NA UCET	5774	33854	SIPO	CD	27758234
740070	2527	1997-06-06	VYDAJ	PREVOD NA UCET	5774	36127	SIPO	CD	27758234
740071	2527	1997-07-06	VYDAJ	PREVOD NA UCET	5774	29620	SIPO	CD	27758234
740072	2527	1997-08-06	VYDAJ	PREVOD NA UCET	5774	36180	SIPO	CD	27758234
740073	2527	1997-09-06	VYDAJ	PREVOD NA UCET	5774	60329	SIPO	CD	27758234
740074	2527	1997-10-06	VYDAJ	PREVOD NA UCET	5774	56006	SIPO	CD	27758234
740075	2527	1997-11-06	VYDAJ	PREVOD NA UCET	5774	83565	SIPO	CD	27758234
740076	2527	1997-12-06	VYDAJ	PREVOD NA UCET	5774	105602	SIPO	CD	27758234
740077	2527	1998-01-06	VYDAJ	PREVOD NA UCET	5774	75938	SIPO	CD	27758234
740078	2527	1998-02-06	VYDAJ	PREVOD NA UCET	5774	65481	SIPO	CD	27758234
740079	2527	1998-03-06	VYDAJ	PREVOD NA UCET	5774	78232	SIPO	CD	27758234
740080	2527	1998-04-06	VYDAJ	PREVOD NA UCET	5774	90893	SIPO	CD	27758234
740081	2527	1998-05-06	VYDAJ	PREVOD NA UCET	5774	82475	SIPO	CD	27758234
740082	2527	1998-06-06	VYDAJ	PREVOD NA UCET	5774	68162	SIPO	CD	27758234
740083	2527	1998-07-06	VYDAJ	PREVOD NA UCET	5774	54791	SIPO	CD	27758234
740084	2527	1998-08-06	VYDAJ	PREVOD NA UCET	5774	87910	SIPO	CD	27758234
740085	2527	1998-09-06	VYDAJ	PREVOD NA UCET	5774	106098	SIPO	CD	27758234
740086	2527	1998-10-06	VYDAJ	PREVOD NA UCET	5774	79617	SIPO	CD	27758234
740087	2527	1998-11-06	VYDAJ	PREVOD NA UCET	5774	51686	SIPO	CD	27758234
740088	2527	1998-12-06	VYDAJ	PREVOD NA UCET	5774	82584	SIPO	CD	27758234
740090	2527	1993-11-26	VYBER	VYBER	14101	59304	\N	\N	\N
740092	2527	1993-10-12	VYBER	VYBER	19288	33109	\N	\N	\N
740095	2527	1993-12-10	VYBER	VYBER	14023	57136	\N	\N	\N
740097	2527	1994-07-26	VYBER	VYBER	10438	27359	\N	\N	\N
740099	2527	1995-11-24	VYBER	VYBER	20077	76066	\N	\N	\N
740102	2527	1995-02-26	VYBER	VYBER	6122	29279	\N	\N	\N
740103	2527	1995-05-15	VYBER	VYBER	11034	51218	\N	\N	\N
740106	2527	1996-09-14	VYBER	VYBER	5124	83281	\N	\N	\N
740107	2527	1996-09-06	VYBER	VYBER	5957	77095	\N	\N	\N
740108	2527	1996-11-15	VYBER	VYBER	4589	31811	\N	\N	\N
740109	2527	1996-10-12	VYBER	VYBER	15974	76812	\N	\N	\N
740110	2527	1996-11-13	VYBER	VYBER	21253	36400	\N	\N	\N
740111	2527	1996-06-26	VYBER	VYBER	10622	25201	\N	\N	\N
740113	2527	1996-08-09	VYBER	VYBER	12875	92232	\N	\N	\N
740114	2527	1996-05-11	VYBER	VYBER	15847	36430	\N	\N	\N
740115	2527	1998-07-18	VYBER	VYBER	8594	92721	\N	\N	\N
740116	2527	1998-04-11	VYBER	VYBER	2468	88425	\N	\N	\N
740117	2527	1998-06-22	VYBER	VYBER	5765	60297	\N	\N	\N
740118	2527	1998-05-30	VYBER	VYBER	20773	88086	\N	\N	\N
740119	2527	1998-10-17	VYBER	VYBER	12399	67218	\N	\N	\N
740120	2527	1998-05-31	VYBER	VYBER	14458	73950	\N	\N	\N
740121	2527	1998-11-03	VYBER	VYBER	5346	57460	\N	\N	\N
740126	2527	1997-06-29	VYDAJ	VYBER	16500	35235	\N	\N	\N
740129	2527	1994-01-23	VYDAJ	VYBER	16500	22200	\N	\N	\N
740133	2527	1998-01-18	VYDAJ	VYBER	8100	58227	\N	\N	\N
740134	2527	1993-12-01	VYDAJ	VYBER	3300	56177	\N	\N	\N
740136	2527	1995-12-29	VYDAJ	VYBER	8100	31900	\N	\N	\N
740137	2527	1996-12-10	VYDAJ	VYBER	6600	81540	\N	\N	\N
740138	2527	1997-12-23	VYDAJ	VYBER	5400	100202	\N	\N	\N
740139	2527	1998-12-08	VYDAJ	VYBER	5400	77184	\N	\N	\N
740146	2527	1994-01-22	VYDAJ	VYBER	5700	38700	\N	\N	\N
740147	2527	1994-01-06	VYDAJ	VYBER	6600	82474	\N	\N	\N
740148	2527	1994-01-10	VYDAJ	VYBER	3900	69500	\N	\N	\N
740149	2527	1994-01-11	VYDAJ	VYBER	5100	64400	\N	\N	\N
740150	2527	1994-01-13	VYDAJ	VYBER	6300	58100	\N	\N	\N
740155	2527	1995-01-04	VYDAJ	VYBER	5400	23552	\N	\N	\N
740158	2527	1996-01-26	VYDAJ	VYBER	6000	30608	\N	\N	\N
740159	2527	1996-01-02	VYDAJ	VYBER	8400	29802	\N	\N	\N
740160	2527	1996-01-11	VYDAJ	VYBER	6300	41708	\N	\N	\N
740161	2527	1996-01-04	VYDAJ	VYBER	3300	53782	\N	\N	\N
740162	2527	1996-01-25	VYDAJ	VYBER	5100	36608	\N	\N	\N
740163	2527	1996-01-01	VYDAJ	VYBER	2400	29736	\N	\N	\N
740164	2527	1997-01-21	VYDAJ	VYBER	6600	44333	\N	\N	\N
740165	2527	1997-01-18	VYDAJ	VYBER	1800	50933	\N	\N	\N
740166	2527	1997-01-29	VYDAJ	VYBER	1500	46233	\N	\N	\N
740167	2527	1997-01-12	VYDAJ	VYBER	2100	59633	\N	\N	\N
740168	2527	1997-01-10	VYDAJ	VYBER	2700	43482	\N	\N	\N
740169	2527	1997-01-14	VYDAJ	VYBER	6900	52733	\N	\N	\N
740170	2527	1998-01-01	VYDAJ	VYBER	2400	81712	\N	\N	\N
740171	2527	1998-01-24	VYDAJ	VYBER	2700	52327	\N	\N	\N
740172	2527	1998-01-15	VYDAJ	VYBER	4500	81927	\N	\N	\N
740173	2527	1998-01-17	VYDAJ	VYBER	8100	66327	\N	\N	\N
740174	2527	1998-01-16	VYDAJ	VYBER	7500	74427	\N	\N	\N
740175	2527	1998-01-27	VYDAJ	VYBER	3900	48427	\N	\N	\N
740176	2527	1993-12-30	VYDAJ	VYBER	8700	88715	\N	\N	\N
740177	2527	1993-08-11	VYDAJ	VYBER	10800	56366	\N	\N	\N
740180	2527	1994-10-19	VYDAJ	VYBER	12300	40140	\N	\N	\N
740181	2527	1994-12-06	VYDAJ	VYBER	3300	37113	\N	\N	\N
740182	2527	1994-01-08	VYDAJ	VYBER	3300	73400	\N	\N	\N
740184	2527	1994-03-18	VYDAJ	VYBER	7500	56617	\N	\N	\N
740185	2527	1995-12-15	VYDAJ	VYBER	3600	45100	\N	\N	\N
740186	2527	1995-12-21	VYDAJ	VYBER	5100	40000	\N	\N	\N
740187	2527	1995-08-12	VYDAJ	VYBER	11400	84888	\N	\N	\N
740188	2527	1995-02-19	VYDAJ	VYBER	5400	35401	\N	\N	\N
740189	2527	1995-11-11	VYDAJ	VYBER	4200	64078	\N	\N	\N
740190	2527	1995-12-13	VYDAJ	VYBER	6600	48700	\N	\N	\N
740191	2527	1996-02-04	VYDAJ	VYBER	3900	27866	\N	\N	\N
740192	2527	1996-06-14	VYDAJ	VYBER	12900	35823	\N	\N	\N
740193	2527	1996-07-09	VYDAJ	VYBER	4200	41955	\N	\N	\N
740194	2527	1997-08-17	VYDAJ	VYBER	12300	71272	\N	\N	\N
740195	2527	1997-04-15	VYDAJ	VYBER	4800	40164	\N	\N	\N
740196	2527	1997-11-27	VYDAJ	VYBER	13500	63265	\N	\N	\N
740198	2527	1997-04-23	VYDAJ	VYBER	7800	32364	\N	\N	\N
740199	2527	1997-02-03	VYDAJ	VYBER	11400	35035	\N	\N	\N
740200	2527	1997-01-10	VYDAJ	VYBER	11400	46182	\N	\N	\N
740201	2527	1998-12-15	VYDAJ	VYBER	10800	66384	\N	\N	\N
740202	2527	1998-02-14	VYDAJ	VYBER	6600	58881	\N	\N	\N
740203	2527	1998-08-30	VYDAJ	VYBER	8700	88243	\N	\N	\N
740204	2527	1998-05-10	VYDAJ	VYBER	12300	70175	\N	\N	\N
740205	2527	1998-01-23	VYDAJ	VYBER	8100	55027	\N	\N	\N
740212	2527	1993-06-30	VYDAJ	VYBER	15	63804	SLUZBY	\N	\N
740213	2527	1993-07-31	VYDAJ	VYBER	15	72940	SLUZBY	\N	\N
740214	2527	1993-08-31	VYDAJ	VYBER	15	51358	SLUZBY	\N	\N
740215	2527	1993-09-30	VYDAJ	VYBER	15	101833	SLUZBY	\N	\N
740216	2527	1993-10-31	VYDAJ	VYBER	15	31817	SLUZBY	\N	\N
740217	2527	1993-11-30	VYDAJ	VYBER	15	59477	SLUZBY	\N	\N
740218	2527	1993-12-31	VYDAJ	VYBER	15	89074	SLUZBY	\N	\N
740219	2527	1994-01-31	VYDAJ	VYBER	15	22399	SLUZBY	\N	\N
740220	2527	1994-02-28	VYDAJ	VYBER	15	106791	SLUZBY	\N	\N
740221	2527	1994-03-31	VYDAJ	VYBER	15	56930	SLUZBY	\N	\N
740222	2527	1994-04-30	VYDAJ	VYBER	15	58571	SLUZBY	\N	\N
740223	2527	1994-05-31	VYDAJ	VYBER	15	42084	SLUZBY	\N	\N
740224	2527	1994-06-30	VYDAJ	VYBER	15	56071	SLUZBY	\N	\N
740225	2527	1994-07-31	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
740226	2527	1994-08-31	VYDAJ	VYBER	15	34786	SLUZBY	\N	\N
740227	2527	1994-09-30	VYDAJ	VYBER	15	72292	SLUZBY	\N	\N
740228	2527	1994-10-31	VYDAJ	VYBER	15	59712	SLUZBY	\N	\N
740229	2527	1994-11-30	VYDAJ	VYBER	15	40413	SLUZBY	\N	\N
740230	2527	1994-12-31	VYDAJ	VYBER	15	28952	SLUZBY	\N	\N
740231	2527	1995-01-31	VYDAJ	VYBER	15	34543	SLUZBY	\N	\N
740232	2527	1995-02-28	VYDAJ	VYBER	15	29410	SLUZBY	\N	\N
740233	2527	1995-03-31	VYDAJ	VYBER	15	64580	SLUZBY	\N	\N
740234	2527	1995-04-30	VYDAJ	VYBER	15	101637	SLUZBY	\N	\N
740235	2527	1995-05-31	VYDAJ	VYBER	15	73581	SLUZBY	\N	\N
740236	2527	1995-06-30	VYDAJ	VYBER	15	80760	SLUZBY	\N	\N
740237	2527	1995-07-31	VYDAJ	VYBER	15	52913	SLUZBY	\N	\N
740238	2527	1995-08-31	VYDAJ	VYBER	15	117500	SLUZBY	\N	\N
740239	2527	1995-09-30	VYDAJ	VYBER	15	84438	SLUZBY	\N	\N
740240	2527	1995-10-31	VYDAJ	VYBER	15	113052	SLUZBY	\N	\N
740241	2527	1995-11-30	VYDAJ	VYBER	15	76388	SLUZBY	\N	\N
740242	2527	1995-12-31	VYDAJ	VYBER	15	32136	SLUZBY	\N	\N
740243	2527	1996-01-31	VYDAJ	VYBER	15	30766	SLUZBY	\N	\N
740244	2527	1996-02-29	VYDAJ	VYBER	15	27374	SLUZBY	\N	\N
740245	2527	1996-03-31	VYDAJ	VYBER	15	76129	SLUZBY	\N	\N
740246	2527	1996-04-30	VYDAJ	VYBER	15	85051	SLUZBY	\N	\N
740247	2527	1996-05-31	VYDAJ	VYBER	15	72997	SLUZBY	\N	\N
740248	2527	1996-06-30	VYDAJ	VYBER	15	25366	SLUZBY	\N	\N
740249	2527	1996-07-31	VYDAJ	VYBER	15	59230	SLUZBY	\N	\N
740250	2527	1996-08-31	VYDAJ	VYBER	15	83052	SLUZBY	\N	\N
740251	2527	1996-09-30	VYDAJ	VYBER	15	64805	SLUZBY	\N	\N
740252	2527	1996-10-31	VYDAJ	VYBER	15	63427	SLUZBY	\N	\N
740253	2527	1996-11-30	VYDAJ	VYBER	15	77187	SLUZBY	\N	\N
740254	2527	1996-12-31	VYDAJ	VYBER	15	63356	SLUZBY	\N	\N
740255	2527	1997-01-31	VYDAJ	VYBER	15	46435	SLUZBY	\N	\N
740256	2527	1997-02-28	VYDAJ	VYBER	15	38281	SLUZBY	\N	\N
740257	2527	1997-03-31	VYDAJ	VYBER	15	50738	SLUZBY	\N	\N
740258	2527	1997-04-30	VYDAJ	VYBER	15	39628	SLUZBY	\N	\N
740259	2527	1997-05-31	VYDAJ	VYBER	15	41901	SLUZBY	\N	\N
740260	2527	1997-06-30	VYDAJ	VYBER	15	35394	SLUZBY	\N	\N
740261	2527	1997-07-31	VYDAJ	VYBER	15	41954	SLUZBY	\N	\N
740262	2527	1997-08-31	VYDAJ	VYBER	15	66103	SLUZBY	\N	\N
740263	2527	1997-09-30	VYDAJ	VYBER	15	61780	SLUZBY	\N	\N
740264	2527	1997-10-31	VYDAJ	VYBER	15	89339	SLUZBY	\N	\N
740265	2527	1997-11-30	VYDAJ	VYBER	15	111376	SLUZBY	\N	\N
740266	2527	1997-12-31	VYDAJ	VYBER	15	84112	SLUZBY	\N	\N
740267	2527	1998-01-31	VYDAJ	VYBER	15	71255	SLUZBY	\N	\N
740268	2527	1998-02-28	VYDAJ	VYBER	15	60631	SLUZBY	\N	\N
740269	2527	1998-03-31	VYDAJ	VYBER	15	97261	SLUZBY	\N	\N
740270	2527	1998-04-30	VYDAJ	VYBER	15	76965	SLUZBY	\N	\N
740271	2527	1998-05-31	VYDAJ	VYBER	15	73936	SLUZBY	\N	\N
740272	2527	1998-06-30	VYDAJ	VYBER	15	60565	SLUZBY	\N	\N
740273	2527	1998-07-31	VYDAJ	VYBER	15	93684	SLUZBY	\N	\N
740274	2527	1998-08-31	VYDAJ	VYBER	15	69224	SLUZBY	\N	\N
740275	2527	1998-09-30	VYDAJ	VYBER	15	85391	SLUZBY	\N	\N
740276	2527	1998-10-31	VYDAJ	VYBER	15	62806	SLUZBY	\N	\N
740277	2527	1998-11-30	VYDAJ	VYBER	15	88358	SLUZBY	\N	\N
740278	2527	1993-04-18	VYDAJ	VYBER	3400	24942	\N	\N	\N
740279	2527	1993-05-18	VYDAJ	VYBER	20900	46113	\N	\N	\N
740280	2527	1993-06-06	VYDAJ	VYBER	53100	71647	\N	\N	\N
740281	2527	1993-06-17	VYDAJ	VYBER	22500	49147	\N	\N	\N
740282	2527	1993-07-17	VYDAJ	VYBER	20400	50494	\N	\N	\N
740283	2527	1993-07-28	VYDAJ	VYBER	43100	72667	\N	\N	\N
740284	2527	1993-08-16	VYDAJ	VYBER	20500	51123	\N	\N	\N
740285	2527	1993-09-15	VYDAJ	VYBER	34200	64388	\N	\N	\N
740286	2527	1993-10-10	VYDAJ	VYBER	61200	52397	\N	\N	\N
740287	2527	1993-10-15	VYDAJ	VYBER	1500	31609	\N	\N	\N
740288	2527	1993-11-14	VYDAJ	VYBER	1300	24743	\N	\N	\N
740289	2527	1993-12-14	VYDAJ	VYBER	29600	52069	\N	\N	\N
740290	2527	1993-12-23	VYDAJ	VYBER	47000	97415	\N	\N	\N
740291	2527	1994-01-13	VYDAJ	VYBER	13700	44400	\N	\N	\N
740292	2527	1994-02-12	VYDAJ	VYBER	5600	28546	\N	\N	\N
740293	2527	1994-03-14	VYDAJ	VYBER	36900	64117	\N	\N	\N
740294	2527	1994-04-13	VYDAJ	VYBER	11700	39456	\N	\N	\N
740295	2527	1994-05-13	VYDAJ	VYBER	10900	41897	\N	\N	\N
740296	2527	1994-06-12	VYDAJ	VYBER	4600	31710	\N	\N	\N
740297	2527	1994-07-12	VYDAJ	VYBER	12500	37797	\N	\N	\N
740298	2527	1994-08-11	PRIJEM	VKLAD	1000	22746	\N	\N	\N
740299	2527	1994-09-10	VYDAJ	VYBER	800	28212	\N	\N	\N
740300	2527	1994-10-10	VYDAJ	VYBER	23700	52440	\N	\N	\N
740301	2527	1994-11-09	VYDAJ	VYBER	13700	40238	\N	\N	\N
740302	2527	1994-12-09	VYDAJ	VYBER	2500	28839	\N	\N	\N
740303	2527	1995-01-08	PRIJEM	VKLAD	3600	21378	\N	\N	\N
740304	2527	1995-02-07	PRIJEM	VKLAD	800	29569	\N	\N	\N
740305	2527	1995-03-09	PRIJEM	VKLAD	5500	29136	\N	\N	\N
740306	2527	1995-04-08	VYDAJ	VYBER	13800	45006	\N	\N	\N
740307	2527	1995-04-24	VYDAJ	VYBER	17200	88695	\N	\N	\N
740308	2527	1995-04-26	VYDAJ	VYBER	41300	86650	\N	\N	\N
740309	2527	1995-04-28	VYDAJ	VYBER	35100	85411	\N	\N	\N
740310	2527	1995-04-30	VYDAJ	VYBER	42600	101652	\N	\N	\N
740311	2527	1995-05-03	VYDAJ	VYBER	45200	74539	\N	\N	\N
740312	2527	1995-05-06	VYDAJ	VYBER	32500	73516	\N	\N	\N
740313	2527	1995-05-08	VYDAJ	VYBER	30600	62252	\N	\N	\N
740314	2527	1995-06-07	VYDAJ	VYBER	19400	48407	\N	\N	\N
740315	2527	1995-07-07	VYDAJ	VYBER	22300	52686	\N	\N	\N
740316	2527	1995-08-06	VYDAJ	VYBER	7900	39239	\N	\N	\N
740317	2527	1995-08-15	VYDAJ	VYBER	50400	70041	\N	\N	\N
740318	2527	1995-08-31	VYDAJ	VYBER	46600	70900	\N	\N	\N
740319	2527	1995-09-05	VYDAJ	VYBER	18100	52800	\N	\N	\N
740320	2527	1995-10-05	VYDAJ	VYBER	23200	61238	\N	\N	\N
740321	2527	1995-10-30	VYDAJ	VYBER	33100	112653	\N	\N	\N
740322	2527	1995-11-04	VYDAJ	VYBER	39000	74052	\N	\N	\N
740323	2527	1995-12-04	VYDAJ	VYBER	26100	61345	\N	\N	\N
740324	2527	1995-12-09	VYDAJ	VYBER	54200	55300	\N	\N	\N
740325	2527	1996-01-03	VYDAJ	VYBER	18500	57082	\N	\N	\N
740326	2527	1996-02-02	PRIJEM	VKLAD	1000	31766	\N	\N	\N
740327	2527	1996-03-03	PRIJEM	VKLAD	4900	32274	\N	\N	\N
740328	2527	1996-04-02	VYDAJ	VYBER	19700	56429	\N	\N	\N
740329	2527	1996-04-22	VYDAJ	VYBER	16500	122339	\N	\N	\N
740330	2527	1996-04-30	VYDAJ	VYBER	37700	85065	\N	\N	\N
740331	2527	1996-05-02	VYDAJ	VYBER	27000	58051	\N	\N	\N
740332	2527	1996-06-01	VYDAJ	VYBER	18500	54497	\N	\N	\N
740333	2527	1996-07-01	PRIJEM	VKLAD	4700	30066	\N	\N	\N
740334	2527	1996-07-31	VYDAJ	VYBER	8900	50330	\N	\N	\N
740335	2527	1996-08-14	VYDAJ	VYBER	39500	92322	\N	\N	\N
740336	2527	1996-08-25	VYDAJ	VYBER	17000	124835	\N	\N	\N
740337	2527	1996-08-30	VYDAJ	VYBER	42200	82635	\N	\N	\N
740338	2527	1996-09-29	VYDAJ	VYBER	18800	64481	\N	\N	\N
740339	2527	1996-10-29	VYDAJ	VYBER	13700	63112	\N	\N	\N
740340	2527	1996-11-28	VYDAJ	VYBER	30700	76949	\N	\N	\N
740341	2527	1996-12-11	VYDAJ	VYBER	33600	88156	\N	\N	\N
740342	2527	1996-12-28	VYDAJ	VYBER	25200	62956	\N	\N	\N
740343	2527	1997-01-27	PRIJEM	VKLAD	3400	47733	\N	\N	\N
740344	2527	1997-02-26	PRIJEM	VKLAD	8900	38161	\N	\N	\N
740345	2527	1997-03-28	PRIJEM	VKLAD	8600	41107	\N	\N	\N
740346	2527	1997-04-27	PRIJEM	VKLAD	7100	39464	\N	\N	\N
740347	2527	1997-05-27	PRIJEM	VKLAD	7900	41754	\N	\N	\N
740348	2527	1997-06-26	VYDAJ	VYBER	1400	51735	\N	\N	\N
740349	2527	1997-07-26	PRIJEM	VKLAD	12200	41820	\N	\N	\N
740350	2527	1997-08-25	VYDAJ	VYBER	5400	65872	\N	\N	\N
740351	2527	1997-09-24	PRIJEM	VKLAD	1200	61529	\N	\N	\N
740352	2527	1997-10-24	VYDAJ	VYBER	21000	89048	\N	\N	\N
740353	2527	1997-11-23	VYDAJ	VYBER	6800	76765	\N	\N	\N
740354	2527	1997-12-23	VYDAJ	VYBER	16500	83702	\N	\N	\N
740355	2527	1998-01-22	PRIJEM	VKLAD	4900	63127	\N	\N	\N
740356	2527	1998-02-21	PRIJEM	VKLAD	1500	60381	\N	\N	\N
740357	2527	1998-03-23	VYDAJ	VYBER	29500	88717	\N	\N	\N
740358	2527	1998-03-28	VYDAJ	VYBER	31700	96901	\N	\N	\N
740359	2527	1998-04-01	VYDAJ	VYBER	47900	96667	\N	\N	\N
740360	2527	1998-04-22	VYDAJ	VYBER	11800	76625	\N	\N	\N
740361	2527	1998-05-22	VYDAJ	VYBER	2500	67675	\N	\N	\N
740362	2527	1998-06-21	VYDAJ	VYBER	2100	66062	\N	\N	\N
740363	2527	1998-07-21	VYDAJ	VYBER	16500	76221	\N	\N	\N
740364	2527	1998-08-20	VYDAJ	VYBER	15700	72210	\N	\N	\N
740365	2527	1998-08-31	VYDAJ	VYBER	49000	69239	\N	\N	\N
740366	2527	1998-09-19	VYDAJ	VYBER	21100	84998	\N	\N	\N
740367	2527	1998-10-19	VYDAJ	VYBER	4700	62518	\N	\N	\N
740368	2527	1998-11-18	PRIJEM	VKLAD	3900	55586	\N	\N	\N
740439	2528	1993-03-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
740443	2528	1993-04-11	PRIJEM	PREVOD Z UCTU	4236	5236	DUCHOD	AB	44526660
740444	2528	1993-05-11	PRIJEM	PREVOD Z UCTU	4236	9472	DUCHOD	AB	44526660
740445	2528	1993-06-11	PRIJEM	PREVOD Z UCTU	4236	13708	DUCHOD	AB	44526660
740446	2528	1993-07-11	PRIJEM	PREVOD Z UCTU	4236	17944	DUCHOD	AB	44526660
740447	2528	1993-08-11	PRIJEM	PREVOD Z UCTU	4236	22180	DUCHOD	AB	44526660
740448	2528	1993-09-11	PRIJEM	PREVOD Z UCTU	4236	23624	DUCHOD	AB	44526660
740449	2528	1993-10-11	PRIJEM	PREVOD Z UCTU	4236	24224	DUCHOD	AB	44526660
740450	2528	1993-11-11	PRIJEM	PREVOD Z UCTU	4236	24987	DUCHOD	AB	44526660
740451	2528	1993-12-11	PRIJEM	PREVOD Z UCTU	4236	25724	DUCHOD	AB	44526660
740452	2528	1994-01-11	PRIJEM	PREVOD Z UCTU	4236	23427	DUCHOD	AB	44526660
740453	2528	1994-02-11	PRIJEM	PREVOD Z UCTU	4236	18985	DUCHOD	AB	44526660
740454	2528	1994-03-11	PRIJEM	PREVOD Z UCTU	4236	17802	DUCHOD	AB	44526660
740455	2528	1994-04-11	PRIJEM	PREVOD Z UCTU	4236	19260	DUCHOD	AB	44526660
740456	2528	1994-05-11	PRIJEM	PREVOD Z UCTU	4236	17359	DUCHOD	AB	44526660
740457	2528	1994-06-11	PRIJEM	PREVOD Z UCTU	4236	18819	DUCHOD	AB	44526660
740458	2528	1994-07-11	PRIJEM	PREVOD Z UCTU	4236	20280	DUCHOD	AB	44526660
740459	2528	1994-08-11	PRIJEM	PREVOD Z UCTU	4236	21748	DUCHOD	AB	44526660
740460	2528	1994-09-11	PRIJEM	PREVOD Z UCTU	4236	23221	DUCHOD	AB	44526660
740461	2528	1994-10-11	PRIJEM	PREVOD Z UCTU	4236	24701	DUCHOD	AB	44526660
740462	2528	1994-11-11	PRIJEM	PREVOD Z UCTU	4236	26187	DUCHOD	AB	44526660
740463	2528	1994-12-11	PRIJEM	PREVOD Z UCTU	4236	25077	DUCHOD	AB	44526660
740464	2528	1995-01-11	PRIJEM	PREVOD Z UCTU	4236	21927	DUCHOD	AB	44526660
740465	2528	1995-02-11	PRIJEM	PREVOD Z UCTU	4236	18276	DUCHOD	AB	44526660
740466	2528	1995-03-11	PRIJEM	PREVOD Z UCTU	4236	18295	DUCHOD	AB	44526660
740467	2528	1995-04-11	PRIJEM	PREVOD Z UCTU	4236	19757	DUCHOD	AB	44526660
740468	2528	1995-05-11	PRIJEM	PREVOD Z UCTU	4236	19863	DUCHOD	AB	44526660
740469	2528	1995-06-11	PRIJEM	PREVOD Z UCTU	4236	21332	DUCHOD	AB	44526660
740470	2528	1995-07-11	PRIJEM	PREVOD Z UCTU	4236	22803	DUCHOD	AB	44526660
740661	2528	1997-10-21	VYDAJ	VYBER	640	24836	\N	\N	\N
740471	2528	1995-08-11	PRIJEM	PREVOD Z UCTU	4236	24281	DUCHOD	AB	44526660
740472	2528	1995-09-11	PRIJEM	PREVOD Z UCTU	4236	25765	DUCHOD	AB	44526660
740473	2528	1995-10-11	PRIJEM	PREVOD Z UCTU	4236	26615	DUCHOD	AB	44526660
740474	2528	1995-11-11	PRIJEM	PREVOD Z UCTU	4236	25045	DUCHOD	AB	44526660
740475	2528	1995-12-11	PRIJEM	PREVOD Z UCTU	4236	26536	DUCHOD	AB	44526660
740476	2528	1996-01-11	PRIJEM	PREVOD Z UCTU	4236	26676	DUCHOD	AB	44526660
740477	2528	1996-02-11	PRIJEM	PREVOD Z UCTU	4236	19129	DUCHOD	AB	44526660
740478	2528	1996-03-11	PRIJEM	PREVOD Z UCTU	4236	20591	DUCHOD	AB	44526660
740479	2528	1996-04-11	PRIJEM	PREVOD Z UCTU	4236	22059	DUCHOD	AB	44526660
740480	2528	1996-05-11	PRIJEM	PREVOD Z UCTU	4236	20094	DUCHOD	AB	44526660
740481	2528	1996-06-11	PRIJEM	PREVOD Z UCTU	4236	19802	DUCHOD	AB	44526660
740482	2528	1996-07-11	PRIJEM	PREVOD Z UCTU	4236	21267	DUCHOD	AB	44526660
740483	2528	1996-08-11	PRIJEM	PREVOD Z UCTU	4236	22738	DUCHOD	AB	44526660
740484	2528	1996-09-11	PRIJEM	PREVOD Z UCTU	4236	24215	DUCHOD	AB	44526660
740485	2528	1996-10-11	PRIJEM	PREVOD Z UCTU	4236	23855	DUCHOD	AB	44526660
740486	2528	1996-11-11	PRIJEM	PREVOD Z UCTU	4236	25337	DUCHOD	AB	44526660
740487	2528	1996-12-11	PRIJEM	PREVOD Z UCTU	4236	24423	DUCHOD	AB	44526660
740488	2528	1997-01-11	PRIJEM	PREVOD Z UCTU	4236	20456	DUCHOD	AB	44526660
740489	2528	1997-02-11	PRIJEM	PREVOD Z UCTU	4236	18644	DUCHOD	AB	44526660
740490	2528	1997-03-11	PRIJEM	PREVOD Z UCTU	4236	20104	DUCHOD	AB	44526660
740491	2528	1997-04-11	PRIJEM	PREVOD Z UCTU	4236	21570	DUCHOD	AB	44526660
740492	2528	1997-05-11	PRIJEM	PREVOD Z UCTU	4236	23041	DUCHOD	AB	44526660
740493	2528	1997-06-11	PRIJEM	PREVOD Z UCTU	4236	24519	DUCHOD	AB	44526660
740494	2528	1997-07-11	PRIJEM	PREVOD Z UCTU	4236	23839	DUCHOD	AB	44526660
740495	2528	1997-08-11	PRIJEM	PREVOD Z UCTU	4236	25320	DUCHOD	AB	44526660
740496	2528	1997-09-11	PRIJEM	PREVOD Z UCTU	4236	26807	DUCHOD	AB	44526660
740497	2528	1997-10-11	PRIJEM	PREVOD Z UCTU	4236	28300	DUCHOD	AB	44526660
740498	2528	1997-11-11	PRIJEM	PREVOD Z UCTU	4236	26759	DUCHOD	AB	44526660
740499	2528	1997-12-11	PRIJEM	PREVOD Z UCTU	4236	26957	DUCHOD	AB	44526660
740500	2528	1998-01-11	PRIJEM	PREVOD Z UCTU	4236	24054	DUCHOD	AB	44526660
740501	2528	1998-02-11	PRIJEM	PREVOD Z UCTU	4236	20578	DUCHOD	AB	44526660
740502	2528	1998-03-11	PRIJEM	PREVOD Z UCTU	4236	22045	DUCHOD	AB	44526660
740503	2528	1998-04-11	PRIJEM	PREVOD Z UCTU	4236	23518	DUCHOD	AB	44526660
740504	2528	1998-05-11	PRIJEM	PREVOD Z UCTU	4236	24997	DUCHOD	AB	44526660
740505	2528	1998-06-11	PRIJEM	PREVOD Z UCTU	4236	26482	DUCHOD	AB	44526660
740506	2528	1998-07-11	PRIJEM	PREVOD Z UCTU	4236	27974	DUCHOD	AB	44526660
740507	2528	1998-08-11	PRIJEM	PREVOD Z UCTU	4236	29471	DUCHOD	AB	44526660
740508	2528	1998-09-11	PRIJEM	PREVOD Z UCTU	4236	30013	DUCHOD	AB	44526660
740509	2528	1998-10-11	PRIJEM	PREVOD Z UCTU	4236	31518	DUCHOD	AB	44526660
740510	2528	1998-11-11	PRIJEM	PREVOD Z UCTU	4236	29906	DUCHOD	AB	44526660
740511	2528	1998-12-11	PRIJEM	PREVOD Z UCTU	4236	28365	DUCHOD	AB	44526660
740519	2528	1993-08-14	VYDAJ	PREVOD NA UCET	2824	19356	SIPO	UV	51561528
740520	2528	1993-09-14	VYDAJ	PREVOD NA UCET	2824	19920	SIPO	UV	51561528
740521	2528	1993-10-14	VYDAJ	PREVOD NA UCET	2824	21400	SIPO	UV	51561528
740522	2528	1993-11-14	VYDAJ	PREVOD NA UCET	2824	22163	SIPO	UV	51561528
740523	2528	1993-12-14	VYDAJ	PREVOD NA UCET	2824	22900	SIPO	UV	51561528
740524	2528	1994-01-14	VYDAJ	PREVOD NA UCET	2824	18283	SIPO	UV	51561528
740525	2528	1994-02-14	VYDAJ	PREVOD NA UCET	2824	16161	SIPO	UV	51561528
740526	2528	1994-03-14	VYDAJ	PREVOD NA UCET	2824	14978	SIPO	UV	51561528
740527	2528	1994-04-14	VYDAJ	PREVOD NA UCET	2824	14756	SIPO	UV	51561528
740528	2528	1994-05-14	VYDAJ	PREVOD NA UCET	2824	14535	SIPO	UV	51561528
740529	2528	1994-06-14	VYDAJ	PREVOD NA UCET	2824	15995	SIPO	UV	51561528
740530	2528	1994-07-14	VYDAJ	PREVOD NA UCET	2824	17456	SIPO	UV	51561528
740531	2528	1994-08-14	VYDAJ	PREVOD NA UCET	2824	18924	SIPO	UV	51561528
740532	2528	1994-09-14	VYDAJ	PREVOD NA UCET	2824	20397	SIPO	UV	51561528
740533	2528	1994-10-14	VYDAJ	PREVOD NA UCET	2824	21877	SIPO	UV	51561528
740534	2528	1994-11-14	VYDAJ	PREVOD NA UCET	2824	23363	SIPO	UV	51561528
740535	2528	1994-12-14	VYDAJ	PREVOD NA UCET	2824	22253	SIPO	UV	51561528
740536	2528	1995-01-14	VYDAJ	PREVOD NA UCET	2824	17583	SIPO	UV	51561528
740537	2528	1995-02-14	VYDAJ	PREVOD NA UCET	2824	15452	SIPO	UV	51561528
740538	2528	1995-03-14	VYDAJ	PREVOD NA UCET	2824	15471	SIPO	UV	51561528
740539	2528	1995-04-14	VYDAJ	PREVOD NA UCET	2824	16933	SIPO	UV	51561528
740540	2528	1995-05-14	VYDAJ	PREVOD NA UCET	2824	17039	SIPO	UV	51561528
740541	2528	1995-06-14	VYDAJ	PREVOD NA UCET	2824	18508	SIPO	UV	51561528
740542	2528	1995-07-14	VYDAJ	PREVOD NA UCET	2824	19979	SIPO	UV	51561528
740543	2528	1995-08-14	VYDAJ	PREVOD NA UCET	2824	21457	SIPO	UV	51561528
740544	2528	1995-09-14	VYDAJ	PREVOD NA UCET	2824	22941	SIPO	UV	51561528
740545	2528	1995-10-14	VYDAJ	PREVOD NA UCET	2824	22091	SIPO	UV	51561528
740546	2528	1995-11-14	VYDAJ	PREVOD NA UCET	2824	22221	SIPO	UV	51561528
740547	2528	1995-12-14	VYDAJ	PREVOD NA UCET	2824	23712	SIPO	UV	51561528
740548	2528	1996-01-14	VYDAJ	PREVOD NA UCET	2824	21772	SIPO	UV	51561528
740549	2528	1996-02-14	VYDAJ	PREVOD NA UCET	2824	16305	SIPO	UV	51561528
740550	2528	1996-03-14	VYDAJ	PREVOD NA UCET	2824	17767	SIPO	UV	51561528
740551	2528	1996-04-14	VYDAJ	PREVOD NA UCET	2824	19235	SIPO	UV	51561528
740552	2528	1996-05-14	VYDAJ	PREVOD NA UCET	2824	15510	SIPO	UV	51561528
740553	2528	1996-06-14	VYDAJ	PREVOD NA UCET	2824	16978	SIPO	UV	51561528
740554	2528	1996-07-14	VYDAJ	PREVOD NA UCET	2824	18443	SIPO	UV	51561528
740555	2528	1996-08-14	VYDAJ	PREVOD NA UCET	2824	19914	SIPO	UV	51561528
740556	2528	1996-09-14	VYDAJ	PREVOD NA UCET	2824	19551	SIPO	UV	51561528
740557	2528	1996-10-14	VYDAJ	PREVOD NA UCET	2824	21031	SIPO	UV	51561528
740558	2528	1996-11-14	VYDAJ	PREVOD NA UCET	2824	22513	SIPO	UV	51561528
740559	2528	1996-12-14	VYDAJ	PREVOD NA UCET	2824	20799	SIPO	UV	51561528
740560	2528	1997-01-14	VYDAJ	PREVOD NA UCET	2824	16032	SIPO	UV	51561528
740561	2528	1997-02-14	VYDAJ	PREVOD NA UCET	2824	15820	SIPO	UV	51561528
740562	2528	1997-03-14	VYDAJ	PREVOD NA UCET	2824	17280	SIPO	UV	51561528
740563	2528	1997-04-14	VYDAJ	PREVOD NA UCET	2824	18746	SIPO	UV	51561528
740564	2528	1997-05-14	VYDAJ	PREVOD NA UCET	2824	20217	SIPO	UV	51561528
740565	2528	1997-06-14	VYDAJ	PREVOD NA UCET	2824	19535	SIPO	UV	51561528
740566	2528	1997-07-14	VYDAJ	PREVOD NA UCET	2824	21015	SIPO	UV	51561528
740567	2528	1997-08-14	VYDAJ	PREVOD NA UCET	2824	22496	SIPO	UV	51561528
740568	2528	1997-09-14	VYDAJ	PREVOD NA UCET	2824	23983	SIPO	UV	51561528
740569	2528	1997-10-14	VYDAJ	PREVOD NA UCET	2824	25476	SIPO	UV	51561528
740570	2528	1997-11-14	VYDAJ	PREVOD NA UCET	2824	23935	SIPO	UV	51561528
740571	2528	1997-12-14	VYDAJ	PREVOD NA UCET	2824	24133	SIPO	UV	51561528
740572	2528	1998-01-14	VYDAJ	PREVOD NA UCET	2824	21230	SIPO	UV	51561528
740573	2528	1998-02-14	VYDAJ	PREVOD NA UCET	2824	17754	SIPO	UV	51561528
740574	2528	1998-03-14	VYDAJ	PREVOD NA UCET	2824	19221	SIPO	UV	51561528
740575	2528	1998-04-14	VYDAJ	PREVOD NA UCET	2824	20694	SIPO	UV	51561528
740576	2528	1998-05-14	VYDAJ	PREVOD NA UCET	2824	22173	SIPO	UV	51561528
740577	2528	1998-06-14	VYDAJ	PREVOD NA UCET	2824	23658	SIPO	UV	51561528
740578	2528	1998-07-14	VYDAJ	PREVOD NA UCET	2824	25150	SIPO	UV	51561528
740579	2528	1998-08-14	VYDAJ	PREVOD NA UCET	2824	26647	SIPO	UV	51561528
740580	2528	1998-09-14	VYDAJ	PREVOD NA UCET	2824	27189	SIPO	UV	51561528
740581	2528	1998-10-14	VYDAJ	PREVOD NA UCET	2824	28694	SIPO	UV	51561528
740582	2528	1998-11-14	VYDAJ	PREVOD NA UCET	2824	27082	SIPO	UV	51561528
740583	2528	1998-12-14	VYDAJ	PREVOD NA UCET	2824	25541	SIPO	UV	51561528
740591	2528	1994-01-09	VYDAJ	VYBER	750	20391	\N	\N	\N
740592	2528	1995-01-22	VYDAJ	VYBER	2400	13983	\N	\N	\N
740593	2528	1996-01-24	VYDAJ	VYBER	950	17062	\N	\N	\N
740594	2528	1997-01-10	VYDAJ	VYBER	1850	16220	\N	\N	\N
740595	2528	1998-01-03	VYDAJ	VYBER	4400	19818	\N	\N	\N
740596	2528	1993-12-09	VYDAJ	VYBER	750	21488	\N	\N	\N
740597	2528	1994-12-07	VYDAJ	VYBER	1400	20841	\N	\N	\N
740598	2528	1995-12-16	VYDAJ	VYBER	1350	22362	\N	\N	\N
740599	2528	1996-12-11	VYDAJ	VYBER	800	23623	\N	\N	\N
740600	2528	1997-12-06	VYDAJ	VYBER	1300	22721	\N	\N	\N
740601	2528	1998-12-17	VYDAJ	VYBER	600	24941	\N	\N	\N
740608	2528	1994-01-27	VYDAJ	VYBER	1680	14683	\N	\N	\N
740609	2528	1994-01-23	VYDAJ	VYBER	1440	16363	\N	\N	\N
740610	2528	1994-01-13	VYDAJ	VYBER	2320	21107	\N	\N	\N
740611	2528	1994-01-05	VYDAJ	VYBER	1840	21141	\N	\N	\N
740612	2528	1994-01-23	VYDAJ	VYBER	480	17803	\N	\N	\N
740613	2528	1994-01-10	VYDAJ	VYBER	1200	19191	\N	\N	\N
740614	2528	1995-01-05	VYDAJ	VYBER	960	17691	\N	\N	\N
740615	2528	1995-01-15	VYDAJ	VYBER	720	16863	\N	\N	\N
740616	2528	1995-01-01	VYDAJ	VYBER	1840	19451	\N	\N	\N
740617	2528	1995-01-18	VYDAJ	VYBER	480	16383	\N	\N	\N
740618	2528	1995-01-13	VYDAJ	VYBER	1520	20407	\N	\N	\N
740619	2528	1995-01-05	VYDAJ	VYBER	800	18651	\N	\N	\N
740620	2528	1996-01-23	VYDAJ	VYBER	2160	18012	\N	\N	\N
740622	2528	1996-01-21	VYDAJ	VYBER	1600	20172	\N	\N	\N
740623	2528	1996-01-25	VYDAJ	VYBER	720	15942	\N	\N	\N
740624	2528	1996-01-11	VYDAJ	VYBER	2080	24596	\N	\N	\N
740625	2528	1996-01-25	VYDAJ	VYBER	400	16662	\N	\N	\N
740627	2528	1997-01-01	VYDAJ	VYBER	1040	19830	\N	\N	\N
740628	2528	1997-01-05	VYDAJ	VYBER	1760	18070	\N	\N	\N
740629	2528	1997-01-12	VYDAJ	VYBER	640	18856	\N	\N	\N
740630	2528	1997-01-12	VYDAJ	VYBER	960	19496	\N	\N	\N
740631	2528	1997-01-14	VYDAJ	VYBER	1680	14352	\N	\N	\N
740632	2528	1998-01-25	VYDAJ	VYBER	1760	17950	\N	\N	\N
740633	2528	1998-01-26	VYDAJ	VYBER	1680	16270	\N	\N	\N
740635	2528	1998-01-19	VYDAJ	VYBER	640	19710	\N	\N	\N
740637	2528	1998-01-15	VYDAJ	VYBER	880	20350	\N	\N	\N
740643	2528	1993-10-24	VYDAJ	VYBER	720	20680	\N	\N	\N
740644	2528	1993-09-14	VYDAJ	VYBER	880	22744	\N	\N	\N
740646	2528	1994-05-06	VYDAJ	VYBER	1680	13123	\N	\N	\N
740647	2528	1994-12-30	VYDAJ	VYBER	1040	21213	\N	\N	\N
740648	2528	1994-04-13	VYDAJ	VYBER	1680	17580	\N	\N	\N
740649	2528	1994-02-16	VYDAJ	VYBER	2640	13521	\N	\N	\N
740650	2528	1995-03-09	VYDAJ	VYBER	1440	14059	\N	\N	\N
740651	2528	1995-09-26	VYDAJ	VYBER	640	22301	\N	\N	\N
740652	2528	1995-11-05	VYDAJ	VYBER	1360	20809	\N	\N	\N
740653	2528	1995-05-07	VYDAJ	VYBER	1360	15627	\N	\N	\N
740654	2528	1996-09-11	VYDAJ	VYBER	1840	22375	\N	\N	\N
740655	2528	1996-11-26	VYDAJ	VYBER	2400	20113	\N	\N	\N
740656	2528	1996-05-13	VYDAJ	VYBER	1760	18334	\N	\N	\N
740657	2528	1996-05-04	VYDAJ	VYBER	3440	15858	\N	\N	\N
740658	2528	1996-01-31	VYDAJ	VYBER	1120	14893	\N	\N	\N
740660	2528	1997-11-10	VYDAJ	VYBER	2400	22523	\N	\N	\N
740663	2528	1997-06-12	VYDAJ	VYBER	2160	22359	\N	\N	\N
740664	2528	1998-11-15	VYDAJ	VYBER	3040	24042	\N	\N	\N
740665	2528	1998-10-21	VYDAJ	VYBER	3120	25574	\N	\N	\N
740666	2528	1998-08-14	VYDAJ	VYBER	960	25687	\N	\N	\N
740675	2528	1993-08-31	VYDAJ	VYBER	15	19388	SLUZBY	\N	\N
740676	2528	1993-09-30	VYDAJ	VYBER	15	19988	SLUZBY	\N	\N
740677	2528	1993-10-31	VYDAJ	VYBER	15	20751	SLUZBY	\N	\N
740678	2528	1993-11-30	VYDAJ	VYBER	15	22238	SLUZBY	\N	\N
740679	2528	1993-12-31	VYDAJ	VYBER	15	22981	SLUZBY	\N	\N
740680	2528	1994-01-31	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
740681	2528	1994-02-28	VYDAJ	VYBER	15	13566	SLUZBY	\N	\N
740682	2528	1994-03-31	VYDAJ	VYBER	15	15024	SLUZBY	\N	\N
740683	2528	1994-04-30	VYDAJ	VYBER	15	14803	SLUZBY	\N	\N
740684	2528	1994-05-31	VYDAJ	VYBER	15	14583	SLUZBY	\N	\N
740685	2528	1994-06-30	VYDAJ	VYBER	15	16044	SLUZBY	\N	\N
740686	2528	1994-07-31	VYDAJ	VYBER	15	17512	SLUZBY	\N	\N
740687	2528	1994-08-31	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
740688	2528	1994-09-30	VYDAJ	VYBER	15	20465	SLUZBY	\N	\N
740689	2528	1994-10-31	VYDAJ	VYBER	15	21951	SLUZBY	\N	\N
740690	2528	1994-11-30	VYDAJ	VYBER	15	22241	SLUZBY	\N	\N
740691	2528	1994-12-31	VYDAJ	VYBER	15	21291	SLUZBY	\N	\N
740692	2528	1995-01-31	VYDAJ	VYBER	15	14040	SLUZBY	\N	\N
740693	2528	1995-02-28	VYDAJ	VYBER	15	15499	SLUZBY	\N	\N
740694	2528	1995-03-31	VYDAJ	VYBER	15	15521	SLUZBY	\N	\N
740695	2528	1995-04-30	VYDAJ	VYBER	15	16987	SLUZBY	\N	\N
740696	2528	1995-05-31	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
740697	2528	1995-06-30	VYDAJ	VYBER	15	18567	SLUZBY	\N	\N
740698	2528	1995-07-31	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
740699	2528	1995-08-31	VYDAJ	VYBER	15	21529	SLUZBY	\N	\N
740700	2528	1995-09-30	VYDAJ	VYBER	15	22379	SLUZBY	\N	\N
740701	2528	1995-10-31	VYDAJ	VYBER	15	22169	SLUZBY	\N	\N
740702	2528	1995-11-30	VYDAJ	VYBER	15	22300	SLUZBY	\N	\N
740703	2528	1995-12-31	VYDAJ	VYBER	15	22440	SLUZBY	\N	\N
740704	2528	1996-01-31	VYDAJ	VYBER	15	16013	SLUZBY	\N	\N
740705	2528	1996-02-29	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
740706	2528	1996-03-31	VYDAJ	VYBER	15	17823	SLUZBY	\N	\N
740707	2528	1996-04-30	VYDAJ	VYBER	15	19298	SLUZBY	\N	\N
740708	2528	1996-05-31	VYDAJ	VYBER	15	15566	SLUZBY	\N	\N
740709	2528	1996-06-30	VYDAJ	VYBER	15	17031	SLUZBY	\N	\N
740710	2528	1996-07-31	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
740711	2528	1996-08-31	VYDAJ	VYBER	15	19979	SLUZBY	\N	\N
740712	2528	1996-09-30	VYDAJ	VYBER	15	19619	SLUZBY	\N	\N
740713	2528	1996-10-31	VYDAJ	VYBER	15	21101	SLUZBY	\N	\N
740714	2528	1996-11-30	VYDAJ	VYBER	15	20187	SLUZBY	\N	\N
740715	2528	1996-12-31	VYDAJ	VYBER	15	20870	SLUZBY	\N	\N
740716	2528	1997-01-31	VYDAJ	VYBER	15	14408	SLUZBY	\N	\N
740717	2528	1997-02-28	VYDAJ	VYBER	15	15868	SLUZBY	\N	\N
740718	2528	1997-03-31	VYDAJ	VYBER	15	17334	SLUZBY	\N	\N
740719	2528	1997-04-30	VYDAJ	VYBER	15	18805	SLUZBY	\N	\N
740720	2528	1997-05-31	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
740721	2528	1997-06-30	VYDAJ	VYBER	15	19603	SLUZBY	\N	\N
740722	2528	1997-07-31	VYDAJ	VYBER	15	21084	SLUZBY	\N	\N
740723	2528	1997-08-31	VYDAJ	VYBER	15	22571	SLUZBY	\N	\N
740724	2528	1997-09-30	VYDAJ	VYBER	15	24064	SLUZBY	\N	\N
740725	2528	1997-10-31	VYDAJ	VYBER	15	24923	SLUZBY	\N	\N
740726	2528	1997-11-30	VYDAJ	VYBER	15	24021	SLUZBY	\N	\N
740727	2528	1997-12-31	VYDAJ	VYBER	15	24218	SLUZBY	\N	\N
740728	2528	1998-01-31	VYDAJ	VYBER	15	16342	SLUZBY	\N	\N
740729	2528	1998-02-28	VYDAJ	VYBER	15	17809	SLUZBY	\N	\N
740730	2528	1998-03-31	VYDAJ	VYBER	15	19282	SLUZBY	\N	\N
740731	2528	1998-04-30	VYDAJ	VYBER	15	20761	SLUZBY	\N	\N
740732	2528	1998-05-31	VYDAJ	VYBER	15	22246	SLUZBY	\N	\N
740733	2528	1998-06-30	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
740734	2528	1998-07-31	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
740735	2528	1998-08-31	VYDAJ	VYBER	15	25777	SLUZBY	\N	\N
740736	2528	1998-09-30	VYDAJ	VYBER	15	27282	SLUZBY	\N	\N
740737	2528	1998-10-31	VYDAJ	VYBER	15	25670	SLUZBY	\N	\N
740738	2528	1998-11-30	VYDAJ	VYBER	15	24129	SLUZBY	\N	\N
740739	2528	1994-11-15	VYDAJ	VYBER	1200	22163	\N	\N	\N
740740	2528	1995-10-11	VYDAJ	VYBER	1700	24915	\N	\N	\N
741128	2530	1996-07-02	PRIJEM	VKLAD	400	400	\N	\N	\N
741135	2530	1996-07-12	PRIJEM	VKLAD	24656	25056	\N	\N	\N
741136	2530	1996-08-12	PRIJEM	VKLAD	24656	51479	\N	\N	\N
741137	2530	1996-09-12	PRIJEM	VKLAD	24656	62309	\N	\N	\N
741138	2530	1996-10-12	PRIJEM	VKLAD	24656	65422	\N	\N	\N
741139	2530	1996-11-12	PRIJEM	VKLAD	24656	68249	\N	\N	\N
741140	2530	1996-12-12	PRIJEM	VKLAD	36984	78103	\N	\N	\N
741141	2530	1997-01-12	PRIJEM	VKLAD	24656	61926	\N	\N	\N
741142	2530	1997-02-12	PRIJEM	VKLAD	24656	60084	\N	\N	\N
741143	2530	1997-03-12	PRIJEM	VKLAD	24656	56943	\N	\N	\N
741144	2530	1997-04-12	PRIJEM	VKLAD	24656	58181	\N	\N	\N
741145	2530	1997-05-12	PRIJEM	VKLAD	24656	51790	\N	\N	\N
741146	2530	1997-06-12	PRIJEM	VKLAD	36984	59932	\N	\N	\N
741147	2530	1997-07-12	PRIJEM	VKLAD	24656	57080	\N	\N	\N
741148	2530	1997-08-12	PRIJEM	VKLAD	24656	53728	\N	\N	\N
741149	2530	1997-09-12	PRIJEM	VKLAD	24656	52185	\N	\N	\N
741150	2530	1997-10-12	PRIJEM	VKLAD	24656	51695	\N	\N	\N
741151	2530	1997-11-12	PRIJEM	VKLAD	24656	50916	\N	\N	\N
741152	2530	1997-12-12	PRIJEM	VKLAD	36984	61466	\N	\N	\N
741153	2530	1998-01-12	PRIJEM	VKLAD	24656	49894	\N	\N	\N
741154	2530	1998-02-12	PRIJEM	VKLAD	24656	44603	\N	\N	\N
741155	2530	1998-03-12	PRIJEM	VKLAD	24656	44080	\N	\N	\N
741156	2530	1998-04-12	PRIJEM	VKLAD	24656	44611	\N	\N	\N
741157	2530	1998-05-12	PRIJEM	VKLAD	24656	49189	\N	\N	\N
741158	2530	1998-06-12	PRIJEM	VKLAD	36984	64820	\N	\N	\N
741159	2530	1998-07-12	PRIJEM	VKLAD	24656	58148	\N	\N	\N
741160	2530	1998-08-12	PRIJEM	VKLAD	24656	55783	\N	\N	\N
741161	2530	1998-09-12	PRIJEM	VKLAD	24656	52153	\N	\N	\N
741162	2530	1998-10-12	PRIJEM	VKLAD	24656	56066	\N	\N	\N
741163	2530	1998-11-12	PRIJEM	VKLAD	24656	53784	\N	\N	\N
741164	2530	1998-12-12	PRIJEM	VKLAD	36984	66819	\N	\N	\N
741176	2530	1996-12-05	VYDAJ	PREVOD NA UCET	99	41119	SIPO	KL	33356398
741177	2530	1997-01-05	VYDAJ	PREVOD NA UCET	99	41230	SIPO	KL	33356398
741178	2530	1997-02-05	VYDAJ	PREVOD NA UCET	99	35428	SIPO	KL	33356398
741179	2530	1997-03-05	VYDAJ	PREVOD NA UCET	99	32287	SIPO	KL	33356398
741180	2530	1997-04-05	VYDAJ	PREVOD NA UCET	99	33525	SIPO	KL	33356398
741181	2530	1997-05-05	VYDAJ	PREVOD NA UCET	99	27134	SIPO	KL	33356398
741182	2530	1997-06-05	VYDAJ	PREVOD NA UCET	99	26548	SIPO	KL	33356398
741183	2530	1997-07-05	VYDAJ	PREVOD NA UCET	99	32424	SIPO	KL	33356398
741184	2530	1997-08-05	VYDAJ	PREVOD NA UCET	99	29072	SIPO	KL	33356398
741185	2530	1997-09-05	VYDAJ	PREVOD NA UCET	99	27529	SIPO	KL	33356398
741186	2530	1997-10-05	VYDAJ	PREVOD NA UCET	99	27039	SIPO	KL	33356398
741187	2530	1997-11-05	VYDAJ	PREVOD NA UCET	99	26260	SIPO	KL	33356398
741188	2530	1997-12-05	VYDAJ	PREVOD NA UCET	99	26562	SIPO	KL	33356398
741189	2530	1998-01-05	VYDAJ	PREVOD NA UCET	99	27878	SIPO	KL	33356398
741190	2530	1998-02-05	VYDAJ	PREVOD NA UCET	99	19947	SIPO	KL	33356398
741191	2530	1998-03-05	VYDAJ	PREVOD NA UCET	99	23624	SIPO	KL	33356398
741192	2530	1998-04-05	VYDAJ	PREVOD NA UCET	99	19955	SIPO	KL	33356398
741193	2530	1998-05-05	VYDAJ	PREVOD NA UCET	99	24533	SIPO	KL	33356398
741194	2530	1998-06-05	VYDAJ	PREVOD NA UCET	99	27836	SIPO	KL	33356398
741195	2530	1998-07-05	VYDAJ	PREVOD NA UCET	99	33492	SIPO	KL	33356398
741196	2530	1998-08-05	VYDAJ	PREVOD NA UCET	99	31127	SIPO	KL	33356398
741197	2530	1998-09-05	VYDAJ	PREVOD NA UCET	99	27497	SIPO	KL	33356398
741198	2530	1998-10-05	VYDAJ	PREVOD NA UCET	99	31410	SIPO	KL	33356398
741199	2530	1998-11-05	VYDAJ	PREVOD NA UCET	99	29128	SIPO	KL	33356398
741200	2530	1998-12-05	VYDAJ	PREVOD NA UCET	99	29835	SIPO	KL	33356398
741211	2530	1996-11-12	VYDAJ	PREVOD NA UCET	4379	60172	 	KL	76112597
741212	2530	1996-12-12	VYDAJ	PREVOD NA UCET	4379	70026	 	KL	76112597
741213	2530	1997-01-12	VYDAJ	PREVOD NA UCET	4379	53849	 	KL	76112597
741214	2530	1997-02-12	VYDAJ	PREVOD NA UCET	4379	52007	 	KL	76112597
741215	2530	1997-03-12	VYDAJ	PREVOD NA UCET	4379	52564	 	KL	76112597
741216	2530	1997-04-12	VYDAJ	PREVOD NA UCET	4379	53802	 	KL	76112597
741217	2530	1997-05-12	VYDAJ	PREVOD NA UCET	4379	43713	 	KL	76112597
741218	2530	1997-06-12	VYDAJ	PREVOD NA UCET	4379	51855	 	KL	76112597
741219	2530	1997-07-12	VYDAJ	PREVOD NA UCET	4379	52701	 	KL	76112597
741220	2530	1997-08-12	VYDAJ	PREVOD NA UCET	4379	49349	 	KL	76112597
741221	2530	1997-09-12	VYDAJ	PREVOD NA UCET	4379	44108	 	KL	76112597
741222	2530	1997-10-12	VYDAJ	PREVOD NA UCET	4379	43618	 	KL	76112597
741223	2530	1997-11-12	VYDAJ	PREVOD NA UCET	4379	46537	 	KL	76112597
741224	2530	1997-12-12	VYDAJ	PREVOD NA UCET	4379	53389	 	KL	76112597
741225	2530	1998-01-12	VYDAJ	PREVOD NA UCET	4379	45515	 	KL	76112597
741226	2530	1998-02-12	VYDAJ	PREVOD NA UCET	4379	36526	 	KL	76112597
741227	2530	1998-03-12	VYDAJ	PREVOD NA UCET	4379	39701	 	KL	76112597
741228	2530	1998-04-12	VYDAJ	PREVOD NA UCET	4379	36534	 	KL	76112597
741229	2530	1998-05-12	VYDAJ	PREVOD NA UCET	4379	41112	 	KL	76112597
741230	2530	1998-06-12	VYDAJ	PREVOD NA UCET	4379	60441	 	KL	76112597
741231	2530	1998-07-12	VYDAJ	PREVOD NA UCET	4379	50071	 	KL	76112597
741232	2530	1998-08-12	VYDAJ	PREVOD NA UCET	4379	47706	 	KL	76112597
741233	2530	1998-09-12	VYDAJ	PREVOD NA UCET	4379	47774	 	KL	76112597
741234	2530	1998-10-12	VYDAJ	PREVOD NA UCET	4379	47989	 	KL	76112597
741235	2530	1998-11-12	VYDAJ	PREVOD NA UCET	4379	49405	 	KL	76112597
741236	2530	1998-12-12	VYDAJ	PREVOD NA UCET	4379	62440	 	KL	76112597
741247	2530	1996-11-12	VYDAJ	PREVOD NA UCET	3698	64551	POJISTNE	GH	66858243
741248	2530	1996-12-12	VYDAJ	PREVOD NA UCET	3698	74405	POJISTNE	GH	66858243
741249	2530	1997-01-12	VYDAJ	PREVOD NA UCET	3698	58228	POJISTNE	GH	66858243
741250	2530	1997-02-12	VYDAJ	PREVOD NA UCET	3698	56386	POJISTNE	GH	66858243
741251	2530	1997-03-12	VYDAJ	PREVOD NA UCET	3698	48866	POJISTNE	GH	66858243
741252	2530	1997-04-12	VYDAJ	PREVOD NA UCET	3698	50104	POJISTNE	GH	66858243
741253	2530	1997-05-12	VYDAJ	PREVOD NA UCET	3698	48092	POJISTNE	GH	66858243
741254	2530	1997-06-12	VYDAJ	PREVOD NA UCET	3698	56234	POJISTNE	GH	66858243
741255	2530	1997-07-12	VYDAJ	PREVOD NA UCET	3698	49003	POJISTNE	GH	66858243
741256	2530	1997-08-12	VYDAJ	PREVOD NA UCET	3698	45651	POJISTNE	GH	66858243
741257	2530	1997-09-12	VYDAJ	PREVOD NA UCET	3698	48487	POJISTNE	GH	66858243
741258	2530	1997-10-12	VYDAJ	PREVOD NA UCET	3698	47997	POJISTNE	GH	66858243
741259	2530	1997-11-12	VYDAJ	PREVOD NA UCET	3698	42839	POJISTNE	GH	66858243
741260	2530	1997-12-12	VYDAJ	PREVOD NA UCET	3698	57768	POJISTNE	GH	66858243
741261	2530	1998-01-12	VYDAJ	PREVOD NA UCET	3698	41817	POJISTNE	GH	66858243
741262	2530	1998-02-12	VYDAJ	PREVOD NA UCET	3698	40905	POJISTNE	GH	66858243
741263	2530	1998-03-12	VYDAJ	PREVOD NA UCET	3698	36003	POJISTNE	GH	66858243
741264	2530	1998-04-12	VYDAJ	PREVOD NA UCET	3698	40913	POJISTNE	GH	66858243
741265	2530	1998-05-12	VYDAJ	PREVOD NA UCET	3698	45491	POJISTNE	GH	66858243
741266	2530	1998-06-12	VYDAJ	PREVOD NA UCET	3698	56743	POJISTNE	GH	66858243
741267	2530	1998-07-12	VYDAJ	PREVOD NA UCET	3698	54450	POJISTNE	GH	66858243
741268	2530	1998-08-12	VYDAJ	PREVOD NA UCET	3698	52085	POJISTNE	GH	66858243
741269	2530	1998-09-12	VYDAJ	PREVOD NA UCET	3698	44076	POJISTNE	GH	66858243
741270	2530	1998-10-12	VYDAJ	PREVOD NA UCET	3698	52368	POJISTNE	GH	66858243
741271	2530	1998-11-12	VYDAJ	PREVOD NA UCET	3698	45707	POJISTNE	GH	66858243
741272	2530	1998-12-12	VYDAJ	PREVOD NA UCET	3698	58742	POJISTNE	GH	66858243
741273	2530	1996-12-03	VYDAJ	VYBER	1760	41218	\N	\N	\N
741274	2530	1997-12-10	VYDAJ	VYBER	2080	24482	\N	\N	\N
741275	2530	1998-12-23	VYDAJ	VYBER	960	33482	\N	\N	\N
741282	2530	1997-01-04	VYDAJ	VYBER	1560	41329	\N	\N	\N
741283	2530	1997-01-04	VYDAJ	VYBER	2280	42889	\N	\N	\N
741284	2530	1997-01-07	VYDAJ	VYBER	1560	39670	\N	\N	\N
741285	2530	1997-01-28	VYDAJ	VYBER	600	35329	\N	\N	\N
741286	2530	1997-01-27	VYDAJ	VYBER	720	53129	\N	\N	\N
741287	2530	1997-01-11	VYDAJ	VYBER	2400	37270	\N	\N	\N
741288	2530	1998-01-13	VYDAJ	VYBER	1080	40737	\N	\N	\N
741289	2530	1998-01-11	VYDAJ	VYBER	2640	25238	\N	\N	\N
741290	2530	1998-01-21	VYDAJ	VYBER	2040	32817	\N	\N	\N
741291	2530	1998-01-21	VYDAJ	VYBER	2520	34857	\N	\N	\N
741292	2530	1998-01-26	VYDAJ	VYBER	1680	19937	\N	\N	\N
741293	2530	1998-01-18	VYDAJ	VYBER	3360	37377	\N	\N	\N
741298	2530	1997-08-18	VYDAJ	VYBER	2160	43491	\N	\N	\N
741299	2530	1997-04-29	VYDAJ	VYBER	3840	27064	\N	\N	\N
741300	2530	1997-12-25	VYDAJ	VYBER	3360	27829	\N	\N	\N
741301	2530	1997-06-11	VYDAJ	VYBER	3600	22948	\N	\N	\N
741302	2530	1998-03-05	VYDAJ	VYBER	4200	19424	\N	\N	\N
741303	2530	1998-08-15	VYDAJ	VYBER	2760	44946	\N	\N	\N
741304	2530	1998-08-22	VYDAJ	VYBER	1080	27466	\N	\N	\N
741305	2530	1998-03-16	VYDAJ	VYBER	4440	31563	\N	\N	\N
741317	2530	1996-11-30	VYDAJ	VYBER	15	42978	SLUZBY	\N	\N
741318	2530	1996-12-31	VYDAJ	VYBER	15	45169	SLUZBY	\N	\N
741319	2530	1997-01-31	VYDAJ	VYBER	15	35527	SLUZBY	\N	\N
741320	2530	1997-02-28	VYDAJ	VYBER	15	32386	SLUZBY	\N	\N
741321	2530	1997-03-31	VYDAJ	VYBER	15	33624	SLUZBY	\N	\N
741322	2530	1997-04-30	VYDAJ	VYBER	15	27233	SLUZBY	\N	\N
741323	2530	1997-05-31	VYDAJ	VYBER	15	26647	SLUZBY	\N	\N
741324	2530	1997-06-30	VYDAJ	VYBER	15	32523	SLUZBY	\N	\N
741325	2530	1997-07-31	VYDAJ	VYBER	15	29171	SLUZBY	\N	\N
741326	2530	1997-08-31	VYDAJ	VYBER	15	27628	SLUZBY	\N	\N
741327	2530	1997-09-30	VYDAJ	VYBER	15	27138	SLUZBY	\N	\N
741328	2530	1997-10-31	VYDAJ	VYBER	15	26359	SLUZBY	\N	\N
741329	2530	1997-11-30	VYDAJ	VYBER	15	26661	SLUZBY	\N	\N
741330	2530	1997-12-31	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
741331	2530	1998-01-31	VYDAJ	VYBER	15	20046	SLUZBY	\N	\N
741332	2530	1998-02-28	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
741333	2530	1998-03-31	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
741334	2530	1998-04-30	VYDAJ	VYBER	15	24632	SLUZBY	\N	\N
741335	2530	1998-05-31	VYDAJ	VYBER	15	27935	SLUZBY	\N	\N
741336	2530	1998-06-30	VYDAJ	VYBER	15	33591	SLUZBY	\N	\N
741337	2530	1998-07-31	VYDAJ	VYBER	15	31226	SLUZBY	\N	\N
741338	2530	1998-08-31	VYDAJ	VYBER	15	27596	SLUZBY	\N	\N
741339	2530	1998-09-30	VYDAJ	VYBER	15	31509	SLUZBY	\N	\N
741340	2530	1998-10-31	VYDAJ	VYBER	15	29227	SLUZBY	\N	\N
741341	2530	1998-11-30	VYDAJ	VYBER	15	29934	SLUZBY	\N	\N
741342	2530	1996-08-01	PRIJEM	VKLAD	1700	26823	\N	\N	\N
741343	2530	1996-08-31	VYDAJ	VYBER	14000	37653	\N	\N	\N
741344	2530	1996-09-30	VYDAJ	VYBER	21700	40766	\N	\N	\N
741345	2530	1996-10-30	VYDAJ	VYBER	22000	43422	\N	\N	\N
741346	2530	1996-11-29	VYDAJ	VYBER	17400	42772	\N	\N	\N
741347	2530	1996-12-29	VYDAJ	VYBER	25100	44926	\N	\N	\N
741348	2530	1997-01-28	VYDAJ	VYBER	17200	35929	\N	\N	\N
741349	2530	1997-02-27	VYDAJ	VYBER	19800	32207	\N	\N	\N
741350	2530	1997-03-29	VYDAJ	VYBER	15400	33466	\N	\N	\N
741351	2530	1997-04-28	VYDAJ	VYBER	19200	30904	\N	\N	\N
741352	2530	1997-05-28	VYDAJ	VYBER	17200	26513	\N	\N	\N
741353	2530	1997-06-27	VYDAJ	VYBER	19500	32355	\N	\N	\N
741354	2530	1997-07-27	VYDAJ	VYBER	20000	29003	\N	\N	\N
741355	2530	1997-08-26	VYDAJ	VYBER	16000	27491	\N	\N	\N
741356	2530	1997-09-25	VYDAJ	VYBER	17100	27008	\N	\N	\N
741357	2530	1997-10-25	VYDAJ	VYBER	17400	26218	\N	\N	\N
741358	2530	1997-11-24	VYDAJ	VYBER	16300	26539	\N	\N	\N
741359	2530	1997-12-24	VYDAJ	VYBER	22200	31189	\N	\N	\N
741360	2530	1998-01-23	VYDAJ	VYBER	11200	21617	\N	\N	\N
741361	2530	1998-02-22	VYDAJ	VYBER	12900	23626	\N	\N	\N
741362	2530	1998-03-24	VYDAJ	VYBER	11600	19963	\N	\N	\N
741363	2530	1998-04-23	VYDAJ	VYBER	12000	24534	\N	\N	\N
741364	2530	1998-05-23	VYDAJ	VYBER	13300	27812	\N	\N	\N
741365	2530	1998-06-22	VYDAJ	VYBER	23300	33443	\N	\N	\N
741366	2530	1998-07-22	VYDAJ	VYBER	19000	31071	\N	\N	\N
741367	2530	1998-08-21	VYDAJ	VYBER	16400	28546	\N	\N	\N
741368	2530	1998-09-20	VYDAJ	VYBER	12700	31376	\N	\N	\N
741369	2530	1998-10-20	VYDAJ	VYBER	18900	29089	\N	\N	\N
741370	2530	1998-11-19	VYDAJ	VYBER	15900	29807	\N	\N	\N
741371	2530	1998-12-19	VYDAJ	VYBER	24300	34442	\N	\N	\N
741402	2531	1996-12-21	PRIJEM	VKLAD	200	200	\N	\N	\N
741415	2531	1997-01-08	PRIJEM	PREVOD Z UCTU	6294	6494	DUCHOD	KL	33280378
741416	2531	1997-02-08	PRIJEM	PREVOD Z UCTU	6294	12788	DUCHOD	KL	33280378
741417	2531	1997-03-08	PRIJEM	PREVOD Z UCTU	6294	19082	DUCHOD	KL	33280378
741418	2531	1997-04-08	PRIJEM	PREVOD Z UCTU	6294	25376	DUCHOD	KL	33280378
741419	2531	1997-05-08	PRIJEM	PREVOD Z UCTU	6294	28404	DUCHOD	KL	33280378
741420	2531	1997-06-08	PRIJEM	PREVOD Z UCTU	6294	31168	DUCHOD	KL	33280378
741421	2531	1997-07-08	PRIJEM	PREVOD Z UCTU	6294	29695	DUCHOD	KL	33280378
741422	2531	1997-08-08	PRIJEM	PREVOD Z UCTU	6294	30073	DUCHOD	KL	33280378
741423	2531	1997-09-08	PRIJEM	PREVOD Z UCTU	6294	31152	DUCHOD	KL	33280378
741424	2531	1997-10-08	PRIJEM	PREVOD Z UCTU	6294	32637	DUCHOD	KL	33280378
741425	2531	1997-11-08	PRIJEM	PREVOD Z UCTU	6294	34327	DUCHOD	KL	33280378
741426	2531	1997-12-08	PRIJEM	PREVOD Z UCTU	6294	34362	DUCHOD	KL	33280378
741427	2531	1998-01-08	PRIJEM	PREVOD Z UCTU	6294	32552	DUCHOD	KL	33280378
741428	2531	1998-02-08	PRIJEM	PREVOD Z UCTU	6294	23471	DUCHOD	KL	33280378
741429	2531	1998-03-08	PRIJEM	PREVOD Z UCTU	6294	27631	DUCHOD	KL	33280378
741430	2531	1998-04-08	PRIJEM	PREVOD Z UCTU	6294	32407	DUCHOD	KL	33280378
741431	2531	1998-05-08	PRIJEM	PREVOD Z UCTU	6294	34897	DUCHOD	KL	33280378
741432	2531	1998-06-08	PRIJEM	PREVOD Z UCTU	6294	36897	DUCHOD	KL	33280378
741433	2531	1998-07-08	PRIJEM	PREVOD Z UCTU	6294	35055	DUCHOD	KL	33280378
741434	2531	1998-08-08	PRIJEM	PREVOD Z UCTU	6294	39861	DUCHOD	KL	33280378
741435	2531	1998-09-08	PRIJEM	PREVOD Z UCTU	6294	44688	DUCHOD	KL	33280378
741436	2531	1998-10-08	PRIJEM	PREVOD Z UCTU	6294	43920	DUCHOD	KL	33280378
741437	2531	1998-11-08	PRIJEM	PREVOD Z UCTU	6294	46458	DUCHOD	KL	33280378
741438	2531	1998-12-08	PRIJEM	PREVOD Z UCTU	6294	38819	DUCHOD	KL	33280378
741456	2531	1997-06-07	VYDAJ	PREVOD NA UCET	1614	24874	SIPO	KL	74343323
741457	2531	1997-07-07	VYDAJ	PREVOD NA UCET	1614	23401	SIPO	KL	74343323
741458	2531	1997-08-07	VYDAJ	PREVOD NA UCET	1614	23779	SIPO	KL	74343323
741459	2531	1997-09-07	VYDAJ	PREVOD NA UCET	1614	24858	SIPO	KL	74343323
741460	2531	1997-10-07	VYDAJ	PREVOD NA UCET	1614	26343	SIPO	KL	74343323
741461	2531	1997-11-07	VYDAJ	PREVOD NA UCET	1614	28033	SIPO	KL	74343323
741462	2531	1997-12-07	VYDAJ	PREVOD NA UCET	1614	28068	SIPO	KL	74343323
741463	2531	1998-01-07	VYDAJ	PREVOD NA UCET	1614	26258	SIPO	KL	74343323
741464	2531	1998-02-07	VYDAJ	PREVOD NA UCET	1614	17177	SIPO	KL	74343323
741465	2531	1998-03-07	VYDAJ	PREVOD NA UCET	1614	21337	SIPO	KL	74343323
741466	2531	1998-04-07	VYDAJ	PREVOD NA UCET	1614	26113	SIPO	KL	74343323
741467	2531	1998-05-07	VYDAJ	PREVOD NA UCET	1614	28603	SIPO	KL	74343323
741468	2531	1998-06-07	VYDAJ	PREVOD NA UCET	1614	30603	SIPO	KL	74343323
741469	2531	1998-07-07	VYDAJ	PREVOD NA UCET	1614	28761	SIPO	KL	74343323
741470	2531	1998-08-07	VYDAJ	PREVOD NA UCET	1614	33567	SIPO	KL	74343323
741471	2531	1998-09-07	VYDAJ	PREVOD NA UCET	1614	38394	SIPO	KL	74343323
741472	2531	1998-10-07	VYDAJ	PREVOD NA UCET	1614	37626	SIPO	KL	74343323
741473	2531	1998-11-07	VYDAJ	PREVOD NA UCET	1614	40164	SIPO	KL	74343323
741474	2531	1998-12-07	VYDAJ	PREVOD NA UCET	1614	32525	SIPO	KL	74343323
741476	2531	1997-06-14	VYDAJ	VYBER	5250	25918	\N	\N	\N
741477	2531	1998-06-24	VYDAJ	VYBER	6250	30247	\N	\N	\N
741479	2531	1997-12-17	VYDAJ	VYBER	1400	27762	\N	\N	\N
741480	2531	1998-12-20	VYDAJ	VYBER	300	38119	\N	\N	\N
741493	2531	1998-01-16	VYDAJ	VYBER	2320	26292	\N	\N	\N
741494	2531	1998-01-15	VYDAJ	VYBER	480	32072	\N	\N	\N
741495	2531	1998-01-27	VYDAJ	VYBER	1600	22212	\N	\N	\N
741496	2531	1998-01-27	VYDAJ	VYBER	960	23812	\N	\N	\N
741497	2531	1998-01-16	VYDAJ	VYBER	960	28612	\N	\N	\N
741498	2531	1998-01-17	VYDAJ	VYBER	1520	24772	\N	\N	\N
741503	2531	1997-07-23	VYDAJ	VYBER	2400	25295	\N	\N	\N
741505	2531	1997-11-18	VYDAJ	VYBER	560	29567	\N	\N	\N
741506	2531	1998-02-07	VYDAJ	VYBER	3520	18791	\N	\N	\N
741507	2531	1998-11-27	VYDAJ	VYBER	2800	37498	\N	\N	\N
741508	2531	1998-11-10	VYDAJ	VYBER	1360	45098	\N	\N	\N
741509	2531	1998-12-02	VYDAJ	VYBER	3520	34139	\N	\N	\N
741510	2531	1998-11-22	VYDAJ	VYBER	2000	40298	\N	\N	\N
741511	2531	1998-11-19	VYDAJ	VYBER	2800	42298	\N	\N	\N
741529	2531	1997-05-31	VYDAJ	VYBER	15	26488	SLUZBY	\N	\N
741530	2531	1997-06-30	VYDAJ	VYBER	15	25015	SLUZBY	\N	\N
741531	2531	1997-07-31	VYDAJ	VYBER	15	25393	SLUZBY	\N	\N
741532	2531	1997-08-31	VYDAJ	VYBER	15	26472	SLUZBY	\N	\N
741533	2531	1997-09-30	VYDAJ	VYBER	15	27957	SLUZBY	\N	\N
741534	2531	1997-10-31	VYDAJ	VYBER	15	29647	SLUZBY	\N	\N
741535	2531	1997-11-30	VYDAJ	VYBER	15	29682	SLUZBY	\N	\N
741536	2531	1997-12-31	VYDAJ	VYBER	15	27872	SLUZBY	\N	\N
741537	2531	1998-01-31	VYDAJ	VYBER	15	22311	SLUZBY	\N	\N
741538	2531	1998-02-28	VYDAJ	VYBER	15	22951	SLUZBY	\N	\N
741539	2531	1998-03-31	VYDAJ	VYBER	15	27727	SLUZBY	\N	\N
741540	2531	1998-04-30	VYDAJ	VYBER	15	30217	SLUZBY	\N	\N
741541	2531	1998-05-31	VYDAJ	VYBER	15	32217	SLUZBY	\N	\N
741542	2531	1998-06-30	VYDAJ	VYBER	15	30375	SLUZBY	\N	\N
741543	2531	1998-07-31	VYDAJ	VYBER	15	35181	SLUZBY	\N	\N
741544	2531	1998-08-31	VYDAJ	VYBER	15	40008	SLUZBY	\N	\N
741545	2531	1998-09-30	VYDAJ	VYBER	15	39240	SLUZBY	\N	\N
741546	2531	1998-10-31	VYDAJ	VYBER	15	41778	SLUZBY	\N	\N
741547	2531	1998-11-30	VYDAJ	VYBER	15	37659	SLUZBY	\N	\N
741548	2531	1997-04-20	VYDAJ	VYBER	3300	22076	\N	\N	\N
741549	2531	1997-05-20	VYDAJ	VYBER	2000	26404	\N	\N	\N
741550	2531	1997-06-19	VYDAJ	VYBER	1000	24918	\N	\N	\N
741551	2531	1997-07-19	VYDAJ	VYBER	2000	27695	\N	\N	\N
741552	2531	1997-08-18	VYDAJ	VYBER	3700	26373	\N	\N	\N
741553	2531	1997-09-17	VYDAJ	VYBER	3300	27852	\N	\N	\N
741554	2531	1997-10-17	VYDAJ	VYBER	3100	29537	\N	\N	\N
741555	2531	1997-11-16	VYDAJ	VYBER	4200	30127	\N	\N	\N
741556	2531	1997-12-16	VYDAJ	VYBER	5200	29162	\N	\N	\N
741557	2531	1998-01-15	VYDAJ	VYBER	2500	29572	\N	\N	\N
741558	2531	1998-02-14	VYDAJ	VYBER	600	22871	\N	\N	\N
741559	2531	1998-04-15	VYDAJ	VYBER	2300	30107	\N	\N	\N
741560	2531	1998-05-15	VYDAJ	VYBER	2800	32097	\N	\N	\N
741561	2531	1998-06-14	VYDAJ	VYBER	400	36497	\N	\N	\N
741562	2531	1998-09-12	VYDAJ	VYBER	5600	39088	\N	\N	\N
741563	2531	1998-10-12	VYDAJ	VYBER	2300	41620	\N	\N	\N
741564	2531	1998-12-11	VYDAJ	VYBER	400	38419	\N	\N	\N
741586	2532	1996-12-24	PRIJEM	VKLAD	500	500	\N	\N	\N
741599	2532	1997-01-10	PRIJEM	PREVOD Z UCTU	48965	49465	\N	MN	40412390
741600	2532	1997-02-10	PRIJEM	PREVOD Z UCTU	48965	86676	\N	MN	40412390
741601	2532	1997-03-10	PRIJEM	PREVOD Z UCTU	48965	102714	\N	MN	40412390
741602	2532	1997-04-10	PRIJEM	PREVOD Z UCTU	48965	111412	\N	MN	40412390
741603	2532	1997-05-10	PRIJEM	PREVOD Z UCTU	48965	93521	\N	MN	40412390
741604	2532	1997-06-10	PRIJEM	PREVOD Z UCTU	73448	118822	\N	MN	40412390
741605	2532	1997-07-10	PRIJEM	PREVOD Z UCTU	48965	76858	\N	MN	40412390
741606	2532	1997-08-10	PRIJEM	PREVOD Z UCTU	48965	88717	\N	MN	40412390
741607	2532	1997-09-10	PRIJEM	PREVOD Z UCTU	48965	88705	\N	MN	40412390
741608	2532	1997-10-10	PRIJEM	PREVOD Z UCTU	48965	84986	\N	MN	40412390
741609	2532	1997-11-10	PRIJEM	PREVOD Z UCTU	48965	88559	\N	MN	40412390
741610	2532	1997-12-10	PRIJEM	PREVOD Z UCTU	73448	100465	\N	MN	40412390
741611	2532	1998-01-10	PRIJEM	PREVOD Z UCTU	48965	71567	\N	MN	40412390
741612	2532	1998-02-10	PRIJEM	PREVOD Z UCTU	48965	59136	\N	MN	40412390
741613	2532	1998-03-10	PRIJEM	PREVOD Z UCTU	48965	71907	\N	MN	40412390
741614	2532	1998-04-10	PRIJEM	PREVOD Z UCTU	48965	59903	\N	MN	40412390
741615	2532	1998-05-10	PRIJEM	PREVOD Z UCTU	48965	68673	\N	MN	40412390
741616	2532	1998-06-10	PRIJEM	PREVOD Z UCTU	73448	88007	\N	MN	40412390
741617	2532	1998-07-10	PRIJEM	PREVOD Z UCTU	48965	86039	\N	MN	40412390
741618	2532	1998-08-10	PRIJEM	PREVOD Z UCTU	48965	89001	\N	MN	40412390
741619	2532	1998-09-10	PRIJEM	PREVOD Z UCTU	48965	80966	\N	MN	40412390
741620	2532	1998-10-10	PRIJEM	PREVOD Z UCTU	48965	82301	\N	MN	40412390
741621	2532	1998-11-10	PRIJEM	PREVOD Z UCTU	48965	75569	\N	MN	40412390
741622	2532	1998-12-10	PRIJEM	PREVOD Z UCTU	73448	100652	\N	MN	40412390
741640	2532	1997-06-08	VYDAJ	PREVOD NA UCET	12133	45374	SIPO	GH	75780755
741641	2532	1997-07-08	VYDAJ	PREVOD NA UCET	12133	27893	SIPO	GH	75780755
741642	2532	1997-08-08	VYDAJ	PREVOD NA UCET	12133	39752	SIPO	GH	75780755
741643	2532	1997-09-08	VYDAJ	PREVOD NA UCET	12133	39740	SIPO	GH	75780755
741644	2532	1997-10-08	VYDAJ	PREVOD NA UCET	12133	36021	SIPO	GH	75780755
741645	2532	1997-11-08	VYDAJ	PREVOD NA UCET	12133	39594	SIPO	GH	75780755
741646	2532	1997-12-08	VYDAJ	PREVOD NA UCET	12133	27017	SIPO	GH	75780755
741647	2532	1998-01-08	VYDAJ	PREVOD NA UCET	12133	24702	SIPO	GH	75780755
741648	2532	1998-02-08	VYDAJ	PREVOD NA UCET	12133	10171	SIPO	GH	75780755
741649	2532	1998-03-08	VYDAJ	PREVOD NA UCET	12133	22942	SIPO	GH	75780755
741650	2532	1998-04-08	VYDAJ	PREVOD NA UCET	12133	10938	SIPO	GH	75780755
741651	2532	1998-05-08	VYDAJ	PREVOD NA UCET	12133	19708	SIPO	GH	75780755
741652	2532	1998-06-08	VYDAJ	PREVOD NA UCET	12133	14559	SIPO	GH	75780755
741653	2532	1998-07-08	VYDAJ	PREVOD NA UCET	12133	37074	SIPO	GH	75780755
741654	2532	1998-08-08	VYDAJ	PREVOD NA UCET	12133	40036	SIPO	GH	75780755
741655	2532	1998-09-08	VYDAJ	PREVOD NA UCET	12133	32001	SIPO	GH	75780755
741656	2532	1998-10-08	VYDAJ	PREVOD NA UCET	12133	33336	SIPO	GH	75780755
741657	2532	1998-11-08	VYDAJ	PREVOD NA UCET	12133	26604	SIPO	GH	75780755
741658	2532	1998-12-08	VYDAJ	PREVOD NA UCET	12133	27204	SIPO	GH	75780755
741669	2532	1997-12-14	VYBER	VYBER	22224	73141	\N	\N	\N
741670	2532	1997-11-22	VYBER	VYBER	16241	38918	\N	\N	\N
741671	2532	1998-10-23	VYBER	VYBER	4752	38549	\N	\N	\N
741672	2532	1998-05-20	VYBER	VYBER	13232	26541	\N	\N	\N
741675	2532	1998-12-19	VYBER	VYBER	10790	25862	\N	\N	\N
741676	2532	1998-03-24	VYBER	VYBER	18096	22911	\N	\N	\N
741678	2532	1997-12-11	VYDAJ	VYBER	5100	95365	\N	\N	\N
741692	2532	1998-01-28	VYDAJ	VYBER	6300	22167	\N	\N	\N
741693	2532	1998-01-12	VYDAJ	VYBER KARTOU	1500	54167	\N	\N	0
741694	2532	1998-01-15	VYDAJ	VYBER KARTOU	1800	52367	\N	\N	0
741695	2532	1998-01-09	VYDAJ	VYBER KARTOU	2100	22602	\N	\N	0
741696	2532	1998-01-10	VYDAJ	VYBER KARTOU	3900	55667	\N	\N	0
741697	2532	1998-01-15	VYDAJ	VYBER	8700	43667	\N	\N	\N
741706	2532	1997-12-15	VYDAJ	VYBER	9000	64141	\N	\N	\N
741707	2532	1997-09-22	VYDAJ	VYBER	5100	47905	\N	\N	\N
741708	2532	1998-03-11	VYDAJ	VYBER	7200	64707	\N	\N	\N
741709	2532	1998-12-16	VYDAJ	VYBER	10800	36652	\N	\N	\N
741710	2532	1998-01-10	VYDAJ	VYBER	12000	59567	\N	\N	\N
741711	2532	1998-04-19	VYDAJ	VYBER KARTOU	3900	31703	\N	\N	0
741712	2532	1998-09-02	VYDAJ	VYBER	8700	44134	\N	\N	\N
741730	2532	1997-05-31	VYDAJ	VYBER	15	57507	SLUZBY	\N	\N
741731	2532	1997-06-30	VYDAJ	VYBER	15	40026	SLUZBY	\N	\N
741732	2532	1997-07-31	VYDAJ	VYBER	15	51885	SLUZBY	\N	\N
741733	2532	1997-08-31	VYDAJ	VYBER	15	51873	SLUZBY	\N	\N
741734	2532	1997-09-30	VYDAJ	VYBER	15	48154	SLUZBY	\N	\N
741735	2532	1997-10-31	VYDAJ	VYBER	15	51727	SLUZBY	\N	\N
741736	2532	1997-11-30	VYDAJ	VYBER	15	39150	SLUZBY	\N	\N
741737	2532	1997-12-31	VYDAJ	VYBER	15	36835	SLUZBY	\N	\N
741738	2532	1998-01-31	VYDAJ	VYBER	15	22304	SLUZBY	\N	\N
741739	2532	1998-02-28	VYDAJ	VYBER	15	35075	SLUZBY	\N	\N
741740	2532	1998-03-31	VYDAJ	VYBER	15	23071	SLUZBY	\N	\N
741741	2532	1998-04-30	VYDAJ	VYBER	15	31841	SLUZBY	\N	\N
741742	2532	1998-05-31	VYDAJ	VYBER	15	26692	SLUZBY	\N	\N
741743	2532	1998-06-30	VYDAJ	VYBER	15	49207	SLUZBY	\N	\N
741744	2532	1998-07-31	VYDAJ	VYBER	15	52169	SLUZBY	\N	\N
741745	2532	1998-08-31	VYDAJ	VYBER	15	52834	SLUZBY	\N	\N
741746	2532	1998-09-30	VYDAJ	VYBER	15	45469	SLUZBY	\N	\N
741747	2532	1998-10-31	VYDAJ	VYBER	15	38737	SLUZBY	\N	\N
741748	2532	1998-11-30	VYDAJ	VYBER	15	39337	SLUZBY	\N	\N
741749	2532	1997-01-23	VYDAJ	VYBER	11800	37665	\N	\N	\N
741750	2532	1997-02-22	VYDAJ	VYBER	33100	53576	\N	\N	\N
741751	2532	1997-03-24	VYDAJ	VYBER	40500	62214	\N	\N	\N
741752	2532	1997-04-10	VYDAJ	VYBER	46400	65012	\N	\N	\N
741753	2532	1997-04-23	VYDAJ	VYBER	20700	44312	\N	\N	\N
741754	2532	1997-05-23	VYDAJ	VYBER	36200	57321	\N	\N	\N
741755	2532	1997-06-10	VYDAJ	VYBER	61000	57822	\N	\N	\N
741756	2532	1997-06-22	VYDAJ	VYBER	18000	39822	\N	\N	\N
741757	2532	1997-07-22	VYDAJ	VYBER	25200	51658	\N	\N	\N
741758	2532	1997-08-21	VYDAJ	VYBER	37100	51617	\N	\N	\N
741759	2532	1997-09-20	VYDAJ	VYBER	35700	53005	\N	\N	\N
741760	2532	1997-10-20	VYDAJ	VYBER	33500	51486	\N	\N	\N
741761	2532	1997-11-19	VYDAJ	VYBER	33400	55159	\N	\N	\N
741762	2532	1997-12-19	VYDAJ	VYBER	27500	36641	\N	\N	\N
741763	2532	1998-01-18	VYDAJ	VYBER	15200	28467	\N	\N	\N
741764	2532	1998-02-17	VYDAJ	VYBER	24200	34936	\N	\N	\N
741765	2532	1998-03-19	VYDAJ	VYBER	23700	41007	\N	\N	\N
741766	2532	1998-04-18	VYDAJ	VYBER	24300	35603	\N	\N	\N
741767	2532	1998-05-18	VYDAJ	VYBER	28900	39773	\N	\N	\N
741768	2532	1998-06-17	VYDAJ	VYBER	39000	49007	\N	\N	\N
741769	2532	1998-07-17	VYDAJ	VYBER	34100	51939	\N	\N	\N
741770	2532	1998-08-16	VYDAJ	VYBER	36400	52601	\N	\N	\N
741771	2532	1998-09-15	VYDAJ	VYBER	35700	45266	\N	\N	\N
741772	2532	1998-10-15	VYDAJ	VYBER	39000	43301	\N	\N	\N
741773	2532	1998-11-14	VYDAJ	VYBER	36400	39169	\N	\N	\N
741774	2532	1998-12-14	VYDAJ	VYBER	53200	47452	\N	\N	\N
741799	2533	1995-06-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
741806	2533	1995-07-08	PRIJEM	VKLAD	4058	5158	\N	\N	\N
741807	2533	1995-08-08	PRIJEM	VKLAD	4058	16324	\N	\N	\N
741808	2533	1995-09-08	PRIJEM	VKLAD	4058	21237	\N	\N	\N
741809	2533	1995-10-08	PRIJEM	VKLAD	4058	21867	\N	\N	\N
741810	2533	1995-11-08	PRIJEM	VKLAD	4058	26603	\N	\N	\N
741811	2533	1995-12-08	PRIJEM	VKLAD	6087	29270	\N	\N	\N
741812	2533	1996-01-08	PRIJEM	VKLAD	4058	26575	\N	\N	\N
741813	2533	1996-02-08	PRIJEM	VKLAD	4058	12313	\N	\N	\N
741814	2533	1996-03-08	PRIJEM	VKLAD	4058	19021	\N	\N	\N
741815	2533	1996-04-08	PRIJEM	VKLAD	4058	23932	\N	\N	\N
741816	2533	1996-05-08	PRIJEM	VKLAD	4058	23458	\N	\N	\N
741817	2533	1996-06-08	PRIJEM	VKLAD	6087	25911	\N	\N	\N
741818	2533	1996-07-08	PRIJEM	VKLAD	4058	22196	\N	\N	\N
741819	2533	1996-08-08	PRIJEM	VKLAD	4058	27623	\N	\N	\N
741820	2533	1996-09-08	PRIJEM	VKLAD	4058	29668	\N	\N	\N
741821	2533	1996-10-08	PRIJEM	VKLAD	4058	31921	\N	\N	\N
741822	2533	1996-11-08	PRIJEM	VKLAD	4058	30478	\N	\N	\N
741823	2533	1996-12-08	PRIJEM	VKLAD	6087	28753	\N	\N	\N
741824	2533	1997-01-08	PRIJEM	VKLAD	4058	12252	\N	\N	\N
741825	2533	1997-02-08	PRIJEM	VKLAD	4058	4497	\N	\N	\N
741826	2533	1997-03-08	PRIJEM	VKLAD	4058	15764	\N	\N	\N
741827	2533	1997-04-08	PRIJEM	VKLAD	4058	23370	\N	\N	\N
741828	2533	1997-05-08	PRIJEM	VKLAD	4058	28704	\N	\N	\N
741829	2533	1997-06-08	PRIJEM	VKLAD	6087	33084	\N	\N	\N
741830	2533	1997-07-08	PRIJEM	VKLAD	4058	28001	\N	\N	\N
741831	2533	1997-08-08	PRIJEM	VKLAD	4058	27542	\N	\N	\N
741832	2533	1997-09-08	PRIJEM	VKLAD	4058	29587	\N	\N	\N
741833	2533	1997-10-08	PRIJEM	VKLAD	4058	30201	\N	\N	\N
741834	2533	1997-11-08	PRIJEM	VKLAD	4058	32158	\N	\N	\N
741835	2533	1997-12-08	PRIJEM	VKLAD	6087	40061	\N	\N	\N
741836	2533	1998-01-08	PRIJEM	VKLAD	4058	33491	\N	\N	\N
741837	2533	1998-02-08	PRIJEM	VKLAD	4058	28044	\N	\N	\N
741838	2533	1998-03-08	PRIJEM	VKLAD	4058	30162	\N	\N	\N
741839	2533	1998-04-08	PRIJEM	VKLAD	4058	36201	\N	\N	\N
741840	2533	1998-05-08	PRIJEM	VKLAD	4058	33474	\N	\N	\N
741841	2533	1998-06-08	PRIJEM	VKLAD	6087	45701	\N	\N	\N
741842	2533	1998-07-08	PRIJEM	VKLAD	4058	6961	\N	\N	\N
741843	2533	1998-08-08	PRIJEM	VKLAD	4058	30107	\N	\N	\N
741844	2533	1998-09-08	PRIJEM	VKLAD	4058	45908	\N	\N	\N
741845	2533	1998-10-08	PRIJEM	VKLAD	4058	52845	\N	\N	\N
741846	2533	1998-11-08	PRIJEM	VKLAD	4058	55194	\N	\N	\N
741847	2533	1998-12-08	PRIJEM	VKLAD	6087	60168	\N	\N	\N
741851	2533	1998-06-29	VYDAJ	VYBER	41120	2741	\N	\N	\N
741853	2533	1996-01-08	VYDAJ	VYBER	9600	16975	\N	\N	\N
741854	2533	1997-01-04	VYDAJ	VYBER	12480	10354	\N	\N	\N
741855	2533	1998-01-26	VYDAJ	VYBER	6560	23871	\N	\N	\N
741856	2533	1995-12-13	VYDAJ	VYBER	4160	24030	\N	\N	\N
741857	2533	1996-12-20	VYDAJ	VYBER	1600	22753	\N	\N	\N
741858	2533	1997-12-24	VYDAJ	VYBER	3200	34461	\N	\N	\N
741859	2533	1998-12-14	VYDAJ	VYBER	2400	48208	\N	\N	\N
741866	2533	1996-01-16	VYDAJ	VYBER	2880	12535	\N	\N	\N
741867	2533	1996-01-22	VYDAJ	VYBER	3240	9295	\N	\N	\N
741868	2533	1996-01-12	VYDAJ	VYBER	1560	15415	\N	\N	\N
741869	2533	1996-01-30	VYDAJ	VYBER	2760	10955	\N	\N	\N
741870	2533	1996-01-29	VYDAJ	VYBER	1680	13715	\N	\N	\N
741871	2533	1996-01-05	VYDAJ	VYBER	1800	22517	\N	\N	\N
741872	2533	1997-01-18	VYDAJ	VYBER	1800	9892	\N	\N	\N
741873	2533	1997-01-04	VYDAJ	VYBER	2160	8194	\N	\N	\N
741874	2533	1997-01-29	VYDAJ	VYBER	3360	412	\N	\N	\N
741875	2533	1997-01-25	VYDAJ	VYBER	3240	6652	\N	\N	\N
741876	2533	1997-01-15	VYDAJ	VYBER	2040	9492	\N	\N	\N
741877	2533	1997-01-12	VYDAJ	VYBER	720	11532	\N	\N	\N
741878	2533	1998-01-08	VYDAJ	VYBER	720	32771	\N	\N	\N
741879	2533	1998-01-17	VYDAJ	VYBER	2280	32831	\N	\N	\N
741880	2533	1998-01-02	VYDAJ	VYBER	2760	31833	\N	\N	\N
741881	2533	1998-01-11	VYDAJ	VYBER	3360	29411	\N	\N	\N
741882	2533	1998-01-20	VYDAJ	VYBER	2400	30431	\N	\N	\N
741883	2533	1998-01-07	VYDAJ	VYBER	2400	29433	\N	\N	\N
741884	2533	1995-12-09	VYDAJ	VYBER	1080	28190	\N	\N	\N
741890	2533	1996-02-11	VYDAJ	VYBER	5280	7033	\N	\N	\N
741891	2533	1996-06-12	VYDAJ	VYBER	5040	20871	\N	\N	\N
741892	2533	1996-02-05	VYDAJ	VYBER	2760	8255	\N	\N	\N
741893	2533	1997-01-28	VYDAJ	VYBER	2880	3772	\N	\N	\N
741894	2533	1997-06-29	VYDAJ	VYBER	4440	23844	\N	\N	\N
741895	2533	1997-09-30	VYDAJ	VYBER	1440	26143	\N	\N	\N
741896	2533	1998-12-10	VYDAJ	VYBER	2760	50608	\N	\N	\N
741897	2533	1998-04-30	VYDAJ	VYBER	4440	34096	\N	\N	\N
741898	2533	1998-08-02	VYDAJ	VYBER	2280	26049	\N	\N	\N
741899	2533	1998-03-06	VYDAJ	VYBER	3000	26104	\N	\N	\N
741900	2533	1998-05-04	VYDAJ	VYBER	4680	29416	\N	\N	\N
741901	2533	1998-03-27	VYDAJ	VYBER	3840	32022	\N	\N	\N
741902	2533	1998-02-14	VYDAJ	VYBER	3240	29004	\N	\N	\N
741903	2533	1998-08-09	VYDAJ	VYBER	1800	28307	\N	\N	\N
741904	2533	1998-06-26	VYDAJ	VYBER	5640	43861	\N	\N	\N
741905	2533	1998-11-22	VYDAJ	VYBER	1320	53874	\N	\N	\N
741917	2533	1995-11-30	VYDAJ	VYBER	15	23183	SLUZBY	\N	\N
741918	2533	1995-12-31	VYDAJ	VYBER	15	24317	SLUZBY	\N	\N
741919	2533	1996-01-31	VYDAJ	VYBER	15	11015	SLUZBY	\N	\N
741920	2533	1996-02-29	VYDAJ	VYBER	15	14963	SLUZBY	\N	\N
741921	2533	1996-03-31	VYDAJ	VYBER	15	19874	SLUZBY	\N	\N
741922	2533	1996-04-30	VYDAJ	VYBER	15	19400	SLUZBY	\N	\N
741923	2533	1996-05-31	VYDAJ	VYBER	15	19824	SLUZBY	\N	\N
741924	2533	1996-06-30	VYDAJ	VYBER	15	18138	SLUZBY	\N	\N
741925	2533	1996-07-31	VYDAJ	VYBER	15	23565	SLUZBY	\N	\N
741926	2533	1996-08-31	VYDAJ	VYBER	15	25610	SLUZBY	\N	\N
741927	2533	1996-09-30	VYDAJ	VYBER	15	27863	SLUZBY	\N	\N
741928	2533	1996-10-31	VYDAJ	VYBER	15	26420	SLUZBY	\N	\N
741929	2533	1996-11-30	VYDAJ	VYBER	15	22666	SLUZBY	\N	\N
741930	2533	1996-12-31	VYDAJ	VYBER	15	22834	SLUZBY	\N	\N
741931	2533	1997-01-31	VYDAJ	VYBER	15	439	SLUZBY	\N	\N
741932	2533	1997-02-28	VYDAJ	VYBER	15	11706	SLUZBY	\N	\N
741933	2533	1997-03-31	VYDAJ	VYBER	15	19312	SLUZBY	\N	\N
741934	2533	1997-04-30	VYDAJ	VYBER	15	24646	SLUZBY	\N	\N
741935	2533	1997-05-31	VYDAJ	VYBER	15	26997	SLUZBY	\N	\N
741936	2533	1997-06-30	VYDAJ	VYBER	15	23943	SLUZBY	\N	\N
741937	2533	1997-07-31	VYDAJ	VYBER	15	23484	SLUZBY	\N	\N
741938	2533	1997-08-31	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
741939	2533	1997-09-30	VYDAJ	VYBER	15	27583	SLUZBY	\N	\N
741940	2533	1997-10-31	VYDAJ	VYBER	15	28100	SLUZBY	\N	\N
741941	2533	1997-11-30	VYDAJ	VYBER	15	33974	SLUZBY	\N	\N
741942	2533	1997-12-31	VYDAJ	VYBER	15	34593	SLUZBY	\N	\N
741943	2533	1998-01-31	VYDAJ	VYBER	15	23986	SLUZBY	\N	\N
741944	2533	1998-02-28	VYDAJ	VYBER	15	29104	SLUZBY	\N	\N
741945	2533	1998-03-31	VYDAJ	VYBER	15	32143	SLUZBY	\N	\N
741946	2533	1998-04-30	VYDAJ	VYBER	15	38536	SLUZBY	\N	\N
741947	2533	1998-05-31	VYDAJ	VYBER	15	39614	SLUZBY	\N	\N
741948	2533	1998-06-30	VYDAJ	VYBER	15	2903	SLUZBY	\N	\N
741949	2533	1998-07-31	VYDAJ	VYBER	15	28329	SLUZBY	\N	\N
741950	2533	1998-08-31	VYDAJ	VYBER	15	41850	SLUZBY	\N	\N
741951	2533	1998-09-30	VYDAJ	VYBER	15	48787	SLUZBY	\N	\N
741952	2533	1998-10-31	VYDAJ	VYBER	15	49936	SLUZBY	\N	\N
741953	2533	1998-11-30	VYDAJ	VYBER	15	54081	SLUZBY	\N	\N
741954	2533	1995-07-27	PRIJEM	VKLAD	7100	12258	\N	\N	\N
741955	2533	1995-08-26	PRIJEM	VKLAD	800	17124	\N	\N	\N
741956	2533	1995-09-25	VYDAJ	VYBER	3500	17737	\N	\N	\N
741957	2533	1995-10-25	PRIJEM	VKLAD	600	22467	\N	\N	\N
741958	2533	1995-11-24	VYDAJ	VYBER	3500	23103	\N	\N	\N
741959	2533	1995-12-24	PRIJEM	VKLAD	200	24230	\N	\N	\N
741960	2533	1996-01-23	PRIJEM	VKLAD	6100	15395	\N	\N	\N
741961	2533	1996-02-22	PRIJEM	VKLAD	7900	14933	\N	\N	\N
741962	2533	1996-03-23	PRIJEM	VKLAD	800	19821	\N	\N	\N
741963	2533	1996-04-22	VYDAJ	VYBER	4600	19332	\N	\N	\N
741964	2533	1996-05-22	VYDAJ	VYBER	3700	19758	\N	\N	\N
741965	2533	1996-06-21	VYDAJ	VYBER	2800	18071	\N	\N	\N
741966	2533	1996-07-21	PRIJEM	VKLAD	1300	23496	\N	\N	\N
741967	2533	1996-08-20	VYDAJ	VYBER	2100	25523	\N	\N	\N
741968	2533	1996-09-19	VYDAJ	VYBER	1900	27768	\N	\N	\N
741969	2533	1996-10-19	VYDAJ	VYBER	5600	26321	\N	\N	\N
741970	2533	1996-11-18	VYDAJ	VYBER	7900	22578	\N	\N	\N
741971	2533	1996-12-18	VYDAJ	VYBER	4400	24353	\N	\N	\N
741972	2533	1997-01-17	PRIJEM	VKLAD	2200	11692	\N	\N	\N
741973	2533	1997-02-16	PRIJEM	VKLAD	7200	11697	\N	\N	\N
741974	2533	1997-03-18	PRIJEM	VKLAD	3500	19264	\N	\N	\N
741975	2533	1997-04-17	PRIJEM	VKLAD	1200	24570	\N	\N	\N
741976	2533	1997-05-17	VYDAJ	VYBER	1800	26904	\N	\N	\N
741977	2533	1997-06-16	VYDAJ	VYBER	4800	28284	\N	\N	\N
741978	2533	1997-07-16	VYDAJ	VYBER	4600	23401	\N	\N	\N
741979	2533	1997-08-15	VYDAJ	VYBER	2100	25442	\N	\N	\N
741980	2533	1997-09-14	VYDAJ	VYBER	2100	27487	\N	\N	\N
741981	2533	1997-10-14	VYDAJ	VYBER	2200	28001	\N	\N	\N
741982	2533	1997-11-13	PRIJEM	VKLAD	1700	33858	\N	\N	\N
741983	2533	1997-12-13	VYDAJ	VYBER	2400	37661	\N	\N	\N
741984	2533	1998-01-12	PRIJEM	VKLAD	5700	35111	\N	\N	\N
741985	2533	1998-02-11	PRIJEM	VKLAD	4200	32244	\N	\N	\N
741986	2533	1998-03-13	PRIJEM	VKLAD	5700	35862	\N	\N	\N
741987	2533	1998-04-12	PRIJEM	VKLAD	2200	38401	\N	\N	\N
741988	2533	1998-05-12	PRIJEM	VKLAD	6000	39474	\N	\N	\N
741989	2533	1998-06-11	PRIJEM	VKLAD	3800	49501	\N	\N	\N
741990	2533	1998-07-11	PRIJEM	VKLAD	21300	28261	\N	\N	\N
741991	2533	1998-08-10	PRIJEM	VKLAD	13400	41707	\N	\N	\N
741992	2533	1998-09-09	PRIJEM	VKLAD	2700	48608	\N	\N	\N
741993	2533	1998-10-09	VYDAJ	VYBER	3100	49745	\N	\N	\N
741994	2533	1998-11-08	PRIJEM	VKLAD	1200	51136	\N	\N	\N
741995	2533	1998-12-08	VYDAJ	VYBER	6800	53368	\N	\N	\N
742042	2534	1993-06-03	PRIJEM	VKLAD	400	400	\N	\N	\N
742048	2534	1993-06-13	PRIJEM	VKLAD	7672	8072	\N	\N	\N
742049	2534	1993-07-13	PRIJEM	VKLAD	5115	20107	\N	\N	\N
742050	2534	1993-08-13	PRIJEM	VKLAD	5115	26987	\N	\N	\N
742051	2534	1993-09-13	PRIJEM	VKLAD	5115	30403	\N	\N	\N
742052	2534	1993-10-13	PRIJEM	VKLAD	5115	30239	\N	\N	\N
742053	2534	1993-11-13	PRIJEM	VKLAD	5115	27956	\N	\N	\N
742054	2534	1993-12-13	PRIJEM	VKLAD	7672	28422	\N	\N	\N
742055	2534	1994-01-13	PRIJEM	VKLAD	5115	27058	\N	\N	\N
742056	2534	1994-02-13	PRIJEM	VKLAD	5115	19540	\N	\N	\N
742057	2534	1994-03-13	PRIJEM	VKLAD	5115	22608	\N	\N	\N
742058	2534	1994-04-13	PRIJEM	VKLAD	5115	22989	\N	\N	\N
742059	2534	1994-05-13	PRIJEM	VKLAD	5115	24272	\N	\N	\N
742060	2534	1994-06-13	PRIJEM	VKLAD	7672	20697	\N	\N	\N
742061	2534	1994-07-13	PRIJEM	VKLAD	5115	24273	\N	\N	\N
742062	2534	1994-08-13	PRIJEM	VKLAD	5115	25861	\N	\N	\N
742063	2534	1994-09-13	PRIJEM	VKLAD	5115	25955	\N	\N	\N
742064	2534	1994-10-13	PRIJEM	VKLAD	5115	27307	\N	\N	\N
742065	2534	1994-11-13	PRIJEM	VKLAD	5115	24508	\N	\N	\N
742066	2534	1994-12-13	PRIJEM	VKLAD	7672	27174	\N	\N	\N
742067	2534	1995-01-13	PRIJEM	VKLAD	5115	27770	\N	\N	\N
742068	2534	1995-02-13	PRIJEM	VKLAD	5115	25225	\N	\N	\N
742069	2534	1995-03-13	PRIJEM	VKLAD	5115	28218	\N	\N	\N
742070	2534	1995-04-13	PRIJEM	VKLAD	5115	31123	\N	\N	\N
742071	2534	1995-05-13	PRIJEM	VKLAD	5115	29437	\N	\N	\N
742072	2534	1995-06-13	PRIJEM	VKLAD	7672	34203	\N	\N	\N
742073	2534	1995-07-13	PRIJEM	VKLAD	5115	29485	\N	\N	\N
742074	2534	1995-08-13	PRIJEM	VKLAD	5115	26055	\N	\N	\N
742075	2534	1995-09-13	PRIJEM	VKLAD	5115	28558	\N	\N	\N
742076	2534	1995-10-13	PRIJEM	VKLAD	5115	29162	\N	\N	\N
742077	2534	1995-11-13	PRIJEM	VKLAD	5115	25603	\N	\N	\N
742078	2534	1995-12-13	PRIJEM	VKLAD	7672	30855	\N	\N	\N
742079	2534	1996-01-13	PRIJEM	VKLAD	5115	27182	\N	\N	\N
742080	2534	1996-02-13	PRIJEM	VKLAD	5115	28683	\N	\N	\N
742081	2534	1996-03-13	PRIJEM	VKLAD	5115	32492	\N	\N	\N
742082	2534	1996-04-13	PRIJEM	VKLAD	5115	25746	\N	\N	\N
742083	2534	1996-05-13	PRIJEM	VKLAD	5115	29345	\N	\N	\N
742084	2534	1996-06-13	PRIJEM	VKLAD	7672	23724	\N	\N	\N
742085	2534	1996-07-13	PRIJEM	VKLAD	5115	29314	\N	\N	\N
742086	2534	1996-08-13	PRIJEM	VKLAD	5115	34128	\N	\N	\N
742087	2534	1996-09-13	PRIJEM	VKLAD	5115	32249	\N	\N	\N
742088	2534	1996-10-13	PRIJEM	VKLAD	5115	35271	\N	\N	\N
742089	2534	1996-11-13	PRIJEM	VKLAD	5115	32102	\N	\N	\N
742090	2534	1996-12-13	PRIJEM	VKLAD	7672	40087	\N	\N	\N
742091	2534	1997-01-13	PRIJEM	VKLAD	5115	37549	\N	\N	\N
742092	2534	1997-02-13	PRIJEM	VKLAD	5115	37399	\N	\N	\N
742093	2534	1997-03-13	PRIJEM	VKLAD	5115	39237	\N	\N	\N
742094	2534	1997-04-13	PRIJEM	VKLAD	5115	36775	\N	\N	\N
742095	2534	1997-05-13	PRIJEM	VKLAD	5115	35607	\N	\N	\N
742096	2534	1997-06-13	PRIJEM	VKLAD	7672	28665	\N	\N	\N
742097	2534	1997-07-13	PRIJEM	VKLAD	5115	32868	\N	\N	\N
742098	2534	1997-08-13	PRIJEM	VKLAD	5115	34186	\N	\N	\N
742099	2534	1997-09-13	PRIJEM	VKLAD	5115	35215	\N	\N	\N
742100	2534	1997-10-13	PRIJEM	VKLAD	5115	33947	\N	\N	\N
742101	2534	1997-11-13	PRIJEM	VKLAD	5115	30876	\N	\N	\N
742102	2534	1997-12-13	PRIJEM	VKLAD	7672	26607	\N	\N	\N
742103	2534	1998-01-13	PRIJEM	VKLAD	5115	23240	\N	\N	\N
742104	2534	1998-02-13	PRIJEM	VKLAD	5115	28425	\N	\N	\N
742105	2534	1998-03-13	PRIJEM	VKLAD	5115	24124	\N	\N	\N
742106	2534	1998-04-13	PRIJEM	VKLAD	5115	22915	\N	\N	\N
742107	2534	1998-05-13	PRIJEM	VKLAD	5115	18657	\N	\N	\N
742108	2534	1998-06-13	PRIJEM	VKLAD	7672	20980	\N	\N	\N
742109	2534	1998-07-13	PRIJEM	VKLAD	5115	19748	\N	\N	\N
742110	2534	1998-08-13	PRIJEM	VKLAD	5115	18097	\N	\N	\N
742111	2534	1998-09-13	PRIJEM	VKLAD	5115	19556	\N	\N	\N
742112	2534	1998-10-13	PRIJEM	VKLAD	5115	16820	\N	\N	\N
742113	2534	1998-11-13	PRIJEM	VKLAD	5115	18576	\N	\N	\N
742114	2534	1998-12-13	PRIJEM	VKLAD	7672	22894	\N	\N	\N
742125	2534	1993-11-07	VYDAJ	PREVOD NA UCET	2190	24061	SIPO	CD	6917608
742126	2534	1993-12-07	VYDAJ	PREVOD NA UCET	2190	21970	SIPO	CD	6917608
742127	2534	1994-01-07	VYDAJ	PREVOD NA UCET	2190	23163	SIPO	CD	6917608
742128	2534	1994-02-07	VYDAJ	PREVOD NA UCET	2190	15645	SIPO	CD	6917608
742129	2534	1994-03-07	VYDAJ	PREVOD NA UCET	2190	18713	SIPO	CD	6917608
742130	2534	1994-04-07	VYDAJ	PREVOD NA UCET	2190	19094	SIPO	CD	6917608
742131	2534	1994-05-07	VYDAJ	PREVOD NA UCET	2190	20377	SIPO	CD	6917608
742132	2534	1994-06-07	VYDAJ	PREVOD NA UCET	2190	17125	SIPO	CD	6917608
742133	2534	1994-07-07	VYDAJ	PREVOD NA UCET	2190	20378	SIPO	CD	6917608
742134	2534	1994-08-07	VYDAJ	PREVOD NA UCET	2190	21966	SIPO	CD	6917608
742135	2534	1994-09-07	VYDAJ	PREVOD NA UCET	2190	22060	SIPO	CD	6917608
742136	2534	1994-10-07	VYDAJ	PREVOD NA UCET	2190	23412	SIPO	CD	6917608
742137	2534	1994-11-07	VYDAJ	PREVOD NA UCET	2190	20613	SIPO	CD	6917608
742138	2534	1994-12-07	VYDAJ	PREVOD NA UCET	2190	20722	SIPO	CD	6917608
742139	2534	1995-01-07	VYDAJ	PREVOD NA UCET	2190	23875	SIPO	CD	6917608
742140	2534	1995-02-07	VYDAJ	PREVOD NA UCET	2190	21330	SIPO	CD	6917608
742141	2534	1995-03-07	VYDAJ	PREVOD NA UCET	2190	24323	SIPO	CD	6917608
742142	2534	1995-04-07	VYDAJ	PREVOD NA UCET	2190	27228	SIPO	CD	6917608
742143	2534	1995-05-07	VYDAJ	PREVOD NA UCET	2190	25542	SIPO	CD	6917608
742144	2534	1995-06-07	VYDAJ	PREVOD NA UCET	2190	27751	SIPO	CD	6917608
742145	2534	1995-07-07	VYDAJ	PREVOD NA UCET	2190	25590	SIPO	CD	6917608
742146	2534	1995-08-07	VYDAJ	PREVOD NA UCET	2190	27200	SIPO	CD	6917608
742147	2534	1995-09-07	VYDAJ	PREVOD NA UCET	2190	24663	SIPO	CD	6917608
742148	2534	1995-10-07	VYDAJ	PREVOD NA UCET	2190	25267	SIPO	CD	6917608
742149	2534	1995-11-07	VYDAJ	PREVOD NA UCET	2190	21708	SIPO	CD	6917608
742150	2534	1995-12-07	VYDAJ	PREVOD NA UCET	2190	24403	SIPO	CD	6917608
742151	2534	1996-01-07	VYDAJ	PREVOD NA UCET	2190	23287	SIPO	CD	6917608
742152	2534	1996-02-07	VYDAJ	PREVOD NA UCET	2190	24788	SIPO	CD	6917608
742153	2534	1996-03-07	VYDAJ	PREVOD NA UCET	2190	28597	SIPO	CD	6917608
742154	2534	1996-04-07	VYDAJ	PREVOD NA UCET	2190	21851	SIPO	CD	6917608
742155	2534	1996-05-07	VYDAJ	PREVOD NA UCET	2190	25450	SIPO	CD	6917608
742156	2534	1996-06-07	VYDAJ	PREVOD NA UCET	2190	19552	SIPO	CD	6917608
742157	2534	1996-07-07	VYDAJ	PREVOD NA UCET	2190	25419	SIPO	CD	6917608
742158	2534	1996-08-07	VYDAJ	PREVOD NA UCET	2190	30233	SIPO	CD	6917608
742159	2534	1996-09-07	VYDAJ	PREVOD NA UCET	2190	28354	SIPO	CD	6917608
742160	2534	1996-10-07	VYDAJ	PREVOD NA UCET	2190	31376	SIPO	CD	6917608
742161	2534	1996-11-07	VYDAJ	PREVOD NA UCET	2190	28207	SIPO	CD	6917608
742162	2534	1996-12-07	VYDAJ	PREVOD NA UCET	2190	33635	SIPO	CD	6917608
742163	2534	1997-01-07	VYDAJ	PREVOD NA UCET	2190	32754	SIPO	CD	6917608
742164	2534	1997-02-07	VYDAJ	PREVOD NA UCET	2190	31204	SIPO	CD	6917608
742165	2534	1997-03-07	VYDAJ	PREVOD NA UCET	2190	35342	SIPO	CD	6917608
742166	2534	1997-04-07	VYDAJ	PREVOD NA UCET	2190	32880	SIPO	CD	6917608
742167	2534	1997-05-07	VYDAJ	PREVOD NA UCET	2190	31712	SIPO	CD	6917608
742168	2534	1997-06-07	VYDAJ	PREVOD NA UCET	2190	23913	SIPO	CD	6917608
742169	2534	1997-07-07	VYDAJ	PREVOD NA UCET	2190	26573	SIPO	CD	6917608
742170	2534	1997-08-07	VYDAJ	PREVOD NA UCET	2190	30791	SIPO	CD	6917608
742171	2534	1997-09-07	VYDAJ	PREVOD NA UCET	2190	32120	SIPO	CD	6917608
742172	2534	1997-10-07	VYDAJ	PREVOD NA UCET	2190	33152	SIPO	CD	6917608
742173	2534	1997-11-07	VYDAJ	PREVOD NA UCET	2190	31881	SIPO	CD	6917608
742174	2534	1997-12-07	VYDAJ	PREVOD NA UCET	2190	21355	SIPO	CD	6917608
742175	2534	1998-01-07	VYDAJ	PREVOD NA UCET	2190	19545	SIPO	CD	6917608
742176	2534	1998-02-07	VYDAJ	PREVOD NA UCET	2190	24530	SIPO	CD	6917608
742177	2534	1998-03-07	VYDAJ	PREVOD NA UCET	2190	26329	SIPO	CD	6917608
742178	2534	1998-04-07	VYDAJ	PREVOD NA UCET	2190	22020	SIPO	CD	6917608
742179	2534	1998-05-07	VYDAJ	PREVOD NA UCET	2190	20802	SIPO	CD	6917608
742180	2534	1998-06-07	VYDAJ	PREVOD NA UCET	2190	14528	SIPO	CD	6917608
742181	2534	1998-07-07	VYDAJ	PREVOD NA UCET	2190	18853	SIPO	CD	6917608
742182	2534	1998-08-07	VYDAJ	PREVOD NA UCET	2190	14202	SIPO	CD	6917608
742183	2534	1998-09-07	VYDAJ	PREVOD NA UCET	2190	15661	SIPO	CD	6917608
742184	2534	1998-10-07	VYDAJ	PREVOD NA UCET	2190	12925	SIPO	CD	6917608
742185	2534	1998-11-07	VYDAJ	PREVOD NA UCET	2190	14681	SIPO	CD	6917608
742186	2534	1998-12-07	VYDAJ	PREVOD NA UCET	2190	16442	SIPO	CD	6917608
742197	2534	1993-11-12	VYDAJ	PREVOD NA UCET	1220	22841	 	MN	32907408
742198	2534	1993-12-12	VYDAJ	PREVOD NA UCET	1220	20750	 	MN	32907408
742199	2534	1994-01-12	VYDAJ	PREVOD NA UCET	1220	21943	 	MN	32907408
742200	2534	1994-02-12	VYDAJ	PREVOD NA UCET	1220	14425	 	MN	32907408
742201	2534	1994-03-12	VYDAJ	PREVOD NA UCET	1220	17493	 	MN	32907408
742202	2534	1994-04-12	VYDAJ	PREVOD NA UCET	1220	17874	 	MN	32907408
742203	2534	1994-05-12	VYDAJ	PREVOD NA UCET	1220	19157	 	MN	32907408
742204	2534	1994-06-12	VYDAJ	PREVOD NA UCET	1220	13025	 	MN	32907408
742205	2534	1994-07-12	VYDAJ	PREVOD NA UCET	1220	19158	 	MN	32907408
742206	2534	1994-08-12	VYDAJ	PREVOD NA UCET	1220	20746	 	MN	32907408
742207	2534	1994-09-12	VYDAJ	PREVOD NA UCET	1220	20840	 	MN	32907408
742208	2534	1994-10-12	VYDAJ	PREVOD NA UCET	1220	22192	 	MN	32907408
742209	2534	1994-11-12	VYDAJ	PREVOD NA UCET	1220	19393	 	MN	32907408
742210	2534	1994-12-12	VYDAJ	PREVOD NA UCET	1220	19502	 	MN	32907408
742211	2534	1995-01-12	VYDAJ	PREVOD NA UCET	1220	22655	 	MN	32907408
742212	2534	1995-02-12	VYDAJ	PREVOD NA UCET	1220	20110	 	MN	32907408
742213	2534	1995-03-12	VYDAJ	PREVOD NA UCET	1220	23103	 	MN	32907408
742214	2534	1995-04-12	VYDAJ	PREVOD NA UCET	1220	26008	 	MN	32907408
742215	2534	1995-05-12	VYDAJ	PREVOD NA UCET	1220	24322	 	MN	32907408
742216	2534	1995-06-12	VYDAJ	PREVOD NA UCET	1220	26531	 	MN	32907408
742217	2534	1995-07-12	VYDAJ	PREVOD NA UCET	1220	24370	 	MN	32907408
742218	2534	1995-08-12	VYDAJ	PREVOD NA UCET	1220	20940	 	MN	32907408
742219	2534	1995-09-12	VYDAJ	PREVOD NA UCET	1220	23443	 	MN	32907408
742220	2534	1995-10-12	VYDAJ	PREVOD NA UCET	1220	24047	 	MN	32907408
742221	2534	1995-11-12	VYDAJ	PREVOD NA UCET	1220	20488	 	MN	32907408
742222	2534	1995-12-12	VYDAJ	PREVOD NA UCET	1220	23183	 	MN	32907408
742223	2534	1996-01-12	VYDAJ	PREVOD NA UCET	1220	22067	 	MN	32907408
742224	2534	1996-02-12	VYDAJ	PREVOD NA UCET	1220	23568	 	MN	32907408
742225	2534	1996-03-12	VYDAJ	PREVOD NA UCET	1220	27377	 	MN	32907408
742226	2534	1996-04-12	VYDAJ	PREVOD NA UCET	1220	20631	 	MN	32907408
742227	2534	1996-05-12	VYDAJ	PREVOD NA UCET	1220	24230	 	MN	32907408
742228	2534	1996-06-12	VYDAJ	PREVOD NA UCET	1220	16052	 	MN	32907408
742229	2534	1996-07-12	VYDAJ	PREVOD NA UCET	1220	24199	 	MN	32907408
742230	2534	1996-08-12	VYDAJ	PREVOD NA UCET	1220	29013	 	MN	32907408
742231	2534	1996-09-12	VYDAJ	PREVOD NA UCET	1220	27134	 	MN	32907408
742232	2534	1996-10-12	VYDAJ	PREVOD NA UCET	1220	30156	 	MN	32907408
742233	2534	1996-11-12	VYDAJ	PREVOD NA UCET	1220	26987	 	MN	32907408
742234	2534	1996-12-12	VYDAJ	PREVOD NA UCET	1220	32415	 	MN	32907408
742235	2534	1997-01-12	VYDAJ	PREVOD NA UCET	1220	31534	 	MN	32907408
742236	2534	1997-02-12	VYDAJ	PREVOD NA UCET	1220	32284	 	MN	32907408
742237	2534	1997-03-12	VYDAJ	PREVOD NA UCET	1220	34122	 	MN	32907408
742238	2534	1997-04-12	VYDAJ	PREVOD NA UCET	1220	31660	 	MN	32907408
742239	2534	1997-05-12	VYDAJ	PREVOD NA UCET	1220	30492	 	MN	32907408
742240	2534	1997-06-12	VYDAJ	PREVOD NA UCET	1220	22693	 	MN	32907408
742241	2534	1997-07-12	VYDAJ	PREVOD NA UCET	1220	27753	 	MN	32907408
742242	2534	1997-08-12	VYDAJ	PREVOD NA UCET	1220	29071	 	MN	32907408
742243	2534	1997-09-12	VYDAJ	PREVOD NA UCET	1220	30100	 	MN	32907408
742244	2534	1997-10-12	VYDAJ	PREVOD NA UCET	1220	28832	 	MN	32907408
742245	2534	1997-11-12	VYDAJ	PREVOD NA UCET	1220	25761	 	MN	32907408
742246	2534	1997-12-12	VYDAJ	PREVOD NA UCET	1220	18935	 	MN	32907408
742247	2534	1998-01-12	VYDAJ	PREVOD NA UCET	1220	18125	 	MN	32907408
742248	2534	1998-02-12	VYDAJ	PREVOD NA UCET	1220	23310	 	MN	32907408
742249	2534	1998-03-12	VYDAJ	PREVOD NA UCET	1220	19009	 	MN	32907408
742250	2534	1998-04-12	VYDAJ	PREVOD NA UCET	1220	17800	 	MN	32907408
742251	2534	1998-05-12	VYDAJ	PREVOD NA UCET	1220	13542	 	MN	32907408
742252	2534	1998-06-12	VYDAJ	PREVOD NA UCET	1220	13308	 	MN	32907408
742253	2534	1998-07-12	VYDAJ	PREVOD NA UCET	1220	14633	 	MN	32907408
742254	2534	1998-08-12	VYDAJ	PREVOD NA UCET	1220	12982	 	MN	32907408
742255	2534	1998-09-12	VYDAJ	PREVOD NA UCET	1220	14441	 	MN	32907408
742256	2534	1998-10-12	VYDAJ	PREVOD NA UCET	1220	11705	 	MN	32907408
742257	2534	1998-11-12	VYDAJ	PREVOD NA UCET	1220	13461	 	MN	32907408
742258	2534	1998-12-12	VYDAJ	PREVOD NA UCET	1220	15222	 	MN	32907408
742266	2534	1994-01-21	VYDAJ	VYBER	12800	14258	\N	\N	\N
742267	2534	1995-01-26	VYDAJ	VYBER	2400	23430	\N	\N	\N
742268	2534	1996-01-02	VYDAJ	VYBER	3200	25477	\N	\N	\N
742269	2534	1997-01-15	VYDAJ	VYBER	3200	34349	\N	\N	\N
742270	2534	1998-01-04	VYDAJ	VYBER	4960	21735	\N	\N	\N
742271	2534	1993-12-26	VYDAJ	VYBER	4000	22262	\N	\N	\N
742272	2534	1994-12-03	VYDAJ	VYBER	2080	22912	\N	\N	\N
742273	2534	1995-12-20	VYDAJ	VYBER	2080	28775	\N	\N	\N
742274	2534	1996-12-24	VYDAJ	VYBER	1760	36127	\N	\N	\N
742275	2534	1997-12-04	VYDAJ	VYBER	2400	23545	\N	\N	\N
742281	2534	1993-12-21	VYDAJ	VYBER	2160	26262	\N	\N	\N
742284	2534	1994-09-19	VYDAJ	VYBER	2040	23915	\N	\N	\N
742285	2534	1994-10-31	VYDAJ	VYBER	5400	22818	\N	\N	\N
742286	2534	1994-06-11	VYDAJ	VYBER	2880	14245	\N	\N	\N
742287	2534	1994-06-05	VYDAJ	VYBER	4440	19315	\N	\N	\N
742288	2534	1995-01-13	VYDAJ	VYBER	2040	25730	\N	\N	\N
742289	2534	1995-08-11	VYDAJ	VYBER	5040	22160	\N	\N	\N
742290	2534	1995-07-02	VYDAJ	VYBER	3240	27780	\N	\N	\N
742291	2534	1995-10-25	VYDAJ	VYBER	2760	23802	\N	\N	\N
742292	2534	1996-06-10	VYDAJ	VYBER	2280	17272	\N	\N	\N
742293	2534	1996-10-31	VYDAJ	VYBER	4200	30412	\N	\N	\N
742294	2534	1996-05-29	VYDAJ	VYBER	4800	21645	\N	\N	\N
742295	2534	1996-04-04	VYDAJ	VYBER	4560	24041	\N	\N	\N
742296	2534	1997-11-25	VYDAJ	VYBER	5040	25836	\N	\N	\N
742297	2534	1997-05-31	VYDAJ	VYBER	4920	26117	\N	\N	\N
742298	2534	1997-01-01	VYDAJ	VYBER	1320	34944	\N	\N	\N
742299	2534	1997-09-10	VYDAJ	VYBER	600	31520	\N	\N	\N
742300	2534	1997-01-16	VYDAJ	VYBER	1080	33269	\N	\N	\N
742301	2534	1998-12-15	VYDAJ	VYBER	4320	18574	\N	\N	\N
742302	2534	1998-05-08	VYDAJ	VYBER	2040	14762	\N	\N	\N
742304	2534	1998-07-13	VYDAJ	VYBER	1920	17828	\N	\N	\N
742315	2534	1993-10-31	VYDAJ	VYBER	15	30351	SLUZBY	\N	\N
742316	2534	1993-11-30	VYDAJ	VYBER	15	24160	SLUZBY	\N	\N
742317	2534	1993-12-31	VYDAJ	VYBER	15	25353	SLUZBY	\N	\N
742318	2534	1994-01-31	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
742319	2534	1994-02-28	VYDAJ	VYBER	15	20903	SLUZBY	\N	\N
742320	2534	1994-03-31	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
742321	2534	1994-04-30	VYDAJ	VYBER	15	22567	SLUZBY	\N	\N
742322	2534	1994-05-31	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
742323	2534	1994-06-30	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
742324	2534	1994-07-31	VYDAJ	VYBER	15	24156	SLUZBY	\N	\N
742325	2534	1994-08-31	VYDAJ	VYBER	15	24250	SLUZBY	\N	\N
742326	2534	1994-09-30	VYDAJ	VYBER	15	25602	SLUZBY	\N	\N
742327	2534	1994-10-31	VYDAJ	VYBER	15	22803	SLUZBY	\N	\N
742328	2534	1994-11-30	VYDAJ	VYBER	15	24992	SLUZBY	\N	\N
742329	2534	1994-12-31	VYDAJ	VYBER	15	26065	SLUZBY	\N	\N
742330	2534	1995-01-31	VYDAJ	VYBER	15	23520	SLUZBY	\N	\N
742331	2534	1995-02-28	VYDAJ	VYBER	15	26513	SLUZBY	\N	\N
742332	2534	1995-03-31	VYDAJ	VYBER	15	29418	SLUZBY	\N	\N
742333	2534	1995-04-30	VYDAJ	VYBER	15	27732	SLUZBY	\N	\N
742334	2534	1995-05-31	VYDAJ	VYBER	15	29941	SLUZBY	\N	\N
742335	2534	1995-06-30	VYDAJ	VYBER	15	31020	SLUZBY	\N	\N
742336	2534	1995-07-31	VYDAJ	VYBER	15	29390	SLUZBY	\N	\N
742337	2534	1995-08-31	VYDAJ	VYBER	15	26853	SLUZBY	\N	\N
742338	2534	1995-09-30	VYDAJ	VYBER	15	27457	SLUZBY	\N	\N
742339	2534	1995-10-31	VYDAJ	VYBER	15	23898	SLUZBY	\N	\N
742340	2534	1995-11-30	VYDAJ	VYBER	15	26593	SLUZBY	\N	\N
742341	2534	1995-12-31	VYDAJ	VYBER	15	28677	SLUZBY	\N	\N
742342	2534	1996-01-31	VYDAJ	VYBER	15	26978	SLUZBY	\N	\N
742343	2534	1996-02-29	VYDAJ	VYBER	15	30787	SLUZBY	\N	\N
742344	2534	1996-03-31	VYDAJ	VYBER	15	28601	SLUZBY	\N	\N
742345	2534	1996-04-30	VYDAJ	VYBER	15	27640	SLUZBY	\N	\N
742346	2534	1996-05-31	VYDAJ	VYBER	15	21742	SLUZBY	\N	\N
742347	2534	1996-06-30	VYDAJ	VYBER	15	27609	SLUZBY	\N	\N
742348	2534	1996-07-31	VYDAJ	VYBER	15	32423	SLUZBY	\N	\N
742349	2534	1996-08-31	VYDAJ	VYBER	15	30544	SLUZBY	\N	\N
742350	2534	1996-09-30	VYDAJ	VYBER	15	33566	SLUZBY	\N	\N
742351	2534	1996-10-31	VYDAJ	VYBER	15	30397	SLUZBY	\N	\N
742352	2534	1996-11-30	VYDAJ	VYBER	15	35825	SLUZBY	\N	\N
742353	2534	1996-12-31	VYDAJ	VYBER	15	36264	SLUZBY	\N	\N
742354	2534	1997-01-31	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
742355	2534	1997-02-28	VYDAJ	VYBER	15	37532	SLUZBY	\N	\N
742356	2534	1997-03-31	VYDAJ	VYBER	15	35070	SLUZBY	\N	\N
742357	2534	1997-04-30	VYDAJ	VYBER	15	33902	SLUZBY	\N	\N
742358	2534	1997-05-31	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
742359	2534	1997-06-30	VYDAJ	VYBER	15	28763	SLUZBY	\N	\N
742360	2534	1997-07-31	VYDAJ	VYBER	15	32981	SLUZBY	\N	\N
742361	2534	1997-08-31	VYDAJ	VYBER	15	34310	SLUZBY	\N	\N
742362	2534	1997-09-30	VYDAJ	VYBER	15	35342	SLUZBY	\N	\N
742363	2534	1997-10-31	VYDAJ	VYBER	15	34071	SLUZBY	\N	\N
742364	2534	1997-11-30	VYDAJ	VYBER	15	25945	SLUZBY	\N	\N
742365	2534	1997-12-31	VYDAJ	VYBER	15	26695	SLUZBY	\N	\N
742366	2534	1998-01-31	VYDAJ	VYBER	15	23320	SLUZBY	\N	\N
742367	2534	1998-02-28	VYDAJ	VYBER	15	28519	SLUZBY	\N	\N
742368	2534	1998-03-31	VYDAJ	VYBER	15	24210	SLUZBY	\N	\N
742369	2534	1998-04-30	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
742370	2534	1998-05-31	VYDAJ	VYBER	15	18718	SLUZBY	\N	\N
742371	2534	1998-06-30	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
742372	2534	1998-07-31	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
742373	2534	1998-08-31	VYDAJ	VYBER	15	18151	SLUZBY	\N	\N
742374	2534	1998-09-30	VYDAJ	VYBER	15	19615	SLUZBY	\N	\N
742375	2534	1998-10-31	VYDAJ	VYBER	15	16871	SLUZBY	\N	\N
742376	2534	1998-11-30	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
742377	2534	1993-07-03	PRIJEM	VKLAD	6900	14992	\N	\N	\N
742378	2534	1993-08-02	PRIJEM	VKLAD	1700	21872	\N	\N	\N
742379	2534	1993-09-01	VYDAJ	VYBER	1800	25288	\N	\N	\N
742380	2534	1993-10-01	VYDAJ	VYBER	5400	25124	\N	\N	\N
742381	2534	1993-10-31	VYDAJ	VYBER	4100	26251	\N	\N	\N
742382	2534	1993-11-30	VYDAJ	VYBER	3900	24174	\N	\N	\N
742383	2534	1993-12-30	PRIJEM	VKLAD	3000	25262	\N	\N	\N
742384	2534	1994-01-29	PRIJEM	VKLAD	3500	17758	\N	\N	\N
742385	2534	1994-02-28	PRIJEM	VKLAD	1300	20840	\N	\N	\N
742386	2534	1994-03-30	VYDAJ	VYBER	1400	21208	\N	\N	\N
742387	2534	1994-04-29	VYDAJ	VYBER	500	22489	\N	\N	\N
742388	2534	1994-05-29	VYDAJ	VYBER	600	23672	\N	\N	\N
742389	2534	1994-06-28	PRIJEM	VKLAD	1800	22497	\N	\N	\N
742390	2534	1994-07-28	VYDAJ	VYBER	200	24073	\N	\N	\N
742391	2534	1994-08-27	VYDAJ	VYBER	1700	24161	\N	\N	\N
742392	2534	1994-09-26	PRIJEM	VKLAD	1600	25515	\N	\N	\N
742393	2534	1994-10-26	PRIJEM	VKLAD	800	28107	\N	\N	\N
742394	2534	1994-11-25	PRIJEM	VKLAD	400	24908	\N	\N	\N
742395	2534	1994-12-25	VYDAJ	VYBER	1200	25974	\N	\N	\N
742396	2534	1995-01-24	PRIJEM	VKLAD	100	25830	\N	\N	\N
742397	2534	1995-02-23	PRIJEM	VKLAD	1200	26425	\N	\N	\N
742398	2534	1995-03-25	PRIJEM	VKLAD	1100	29318	\N	\N	\N
742399	2534	1995-04-24	VYDAJ	VYBER	3500	27623	\N	\N	\N
742400	2534	1995-05-24	PRIJEM	VKLAD	400	29837	\N	\N	\N
742401	2534	1995-06-23	VYDAJ	VYBER	3300	30903	\N	\N	\N
742402	2534	1995-07-23	VYDAJ	VYBER	200	29285	\N	\N	\N
742403	2534	1995-08-22	PRIJEM	VKLAD	700	26755	\N	\N	\N
742404	2534	1995-09-21	VYDAJ	VYBER	1200	27358	\N	\N	\N
742405	2534	1995-10-21	VYDAJ	VYBER	2600	26562	\N	\N	\N
742406	2534	1995-11-20	PRIJEM	VKLAD	900	26503	\N	\N	\N
742407	2534	1995-12-20	VYDAJ	VYBER	200	28575	\N	\N	\N
742408	2534	1996-01-19	VYDAJ	VYBER	300	26882	\N	\N	\N
742409	2534	1996-02-18	PRIJEM	VKLAD	2000	30683	\N	\N	\N
742410	2534	1996-03-19	VYDAJ	VYBER	4000	28492	\N	\N	\N
742411	2534	1996-04-18	PRIJEM	VKLAD	1800	27546	\N	\N	\N
742412	2534	1996-05-18	VYDAJ	VYBER	2900	26445	\N	\N	\N
742413	2534	1996-06-17	PRIJEM	VKLAD	3800	27524	\N	\N	\N
742414	2534	1996-07-17	PRIJEM	VKLAD	3000	32314	\N	\N	\N
742415	2534	1996-08-16	VYDAJ	VYBER	3700	30428	\N	\N	\N
742416	2534	1996-09-15	PRIJEM	VKLAD	1200	33449	\N	\N	\N
742417	2534	1996-10-15	VYDAJ	VYBER	800	34471	\N	\N	\N
742418	2534	1996-11-14	PRIJEM	VKLAD	3600	35702	\N	\N	\N
742419	2534	1996-12-14	VYDAJ	VYBER	2200	37887	\N	\N	\N
742420	2534	1997-01-13	PRIJEM	VKLAD	900	32434	\N	\N	\N
742421	2534	1997-02-12	PRIJEM	VKLAD	2300	33504	\N	\N	\N
742422	2534	1997-03-14	VYDAJ	VYBER	4300	34937	\N	\N	\N
742423	2534	1997-04-13	VYDAJ	VYBER	3000	33775	\N	\N	\N
742424	2534	1997-05-13	VYDAJ	VYBER	4700	30907	\N	\N	\N
742425	2534	1997-06-12	VYDAJ	VYBER	1700	20993	\N	\N	\N
742426	2534	1997-07-12	PRIJEM	VKLAD	2400	28973	\N	\N	\N
742427	2534	1997-08-11	VYDAJ	VYBER	500	30291	\N	\N	\N
742428	2534	1997-09-10	VYDAJ	VYBER	200	31320	\N	\N	\N
742429	2534	1997-10-10	VYDAJ	VYBER	3100	30052	\N	\N	\N
742430	2534	1997-11-09	VYDAJ	VYBER	4900	26981	\N	\N	\N
742431	2534	1997-12-09	VYDAJ	VYBER	1200	20155	\N	\N	\N
742432	2534	1998-01-08	VYDAJ	VYBER	200	19345	\N	\N	\N
742433	2534	1998-02-07	PRIJEM	VKLAD	3400	26720	\N	\N	\N
742434	2534	1998-03-09	VYDAJ	VYBER	6100	20229	\N	\N	\N
742435	2534	1998-04-08	VYDAJ	VYBER	3000	19020	\N	\N	\N
742436	2534	1998-05-08	VYDAJ	VYBER	4000	16802	\N	\N	\N
742437	2534	1998-06-07	VYDAJ	VYBER	2000	16718	\N	\N	\N
742438	2534	1998-07-07	VYDAJ	VYBER	3000	15853	\N	\N	\N
742439	2534	1998-08-06	VYDAJ	VYBER	1500	16392	\N	\N	\N
742440	2534	1998-09-05	VYDAJ	VYBER	300	17851	\N	\N	\N
742441	2534	1998-10-05	VYDAJ	VYBER	4500	15115	\N	\N	\N
742509	2535	1997-01-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
742511	2535	1997-02-05	PRIJEM	VKLAD	14824	15924	\N	\N	\N
742512	2535	1997-03-05	PRIJEM	VKLAD	14824	38079	\N	\N	\N
742513	2535	1997-04-05	PRIJEM	VKLAD	14824	50917	\N	\N	\N
742514	2535	1997-05-05	PRIJEM	VKLAD	14824	52693	\N	\N	\N
742515	2535	1997-06-05	PRIJEM	VKLAD	22236	59486	\N	\N	\N
742516	2535	1997-07-05	PRIJEM	VKLAD	14824	48794	\N	\N	\N
742517	2535	1997-08-05	PRIJEM	VKLAD	14824	50652	\N	\N	\N
742518	2535	1997-09-05	PRIJEM	VKLAD	14824	52175	\N	\N	\N
742519	2535	1997-10-05	PRIJEM	VKLAD	14824	41465	\N	\N	\N
742520	2535	1997-11-05	PRIJEM	VKLAD	14824	45897	\N	\N	\N
742521	2535	1997-12-05	PRIJEM	VKLAD	22236	52747	\N	\N	\N
742522	2535	1998-01-05	PRIJEM	VKLAD	14824	42758	\N	\N	\N
742523	2535	1998-02-05	PRIJEM	VKLAD	14824	28779	\N	\N	\N
742524	2535	1998-03-05	PRIJEM	VKLAD	14824	31450	\N	\N	\N
742525	2535	1998-04-05	PRIJEM	VKLAD	14824	31728	\N	\N	\N
742526	2535	1998-05-05	PRIJEM	VKLAD	14824	30489	\N	\N	\N
742527	2535	1998-06-05	PRIJEM	VKLAD	22236	42283	\N	\N	\N
742528	2535	1998-07-05	PRIJEM	VKLAD	14824	38790	\N	\N	\N
742529	2535	1998-08-05	PRIJEM	VKLAD	14824	38094	\N	\N	\N
742530	2535	1998-09-05	PRIJEM	VKLAD	14824	36934	\N	\N	\N
742531	2535	1998-10-05	PRIJEM	VKLAD	14824	36829	\N	\N	\N
742532	2535	1998-11-05	PRIJEM	VKLAD	14824	37726	\N	\N	\N
742533	2535	1998-12-05	PRIJEM	VKLAD	22236	46739	\N	\N	\N
742539	2535	1997-06-06	VYDAJ	PREVOD NA UCET	4273	55213	SIPO	OP	1460
742540	2535	1997-07-06	VYDAJ	PREVOD NA UCET	4273	44521	SIPO	OP	1460
742541	2535	1997-08-06	VYDAJ	PREVOD NA UCET	4273	46379	SIPO	OP	1460
742542	2535	1997-09-06	VYDAJ	PREVOD NA UCET	4273	47902	SIPO	OP	1460
742543	2535	1997-10-06	VYDAJ	PREVOD NA UCET	4273	37192	SIPO	OP	1460
742544	2535	1997-11-06	VYDAJ	PREVOD NA UCET	4273	41624	SIPO	OP	1460
742545	2535	1997-12-06	VYDAJ	PREVOD NA UCET	4273	48474	SIPO	OP	1460
742546	2535	1998-01-06	VYDAJ	PREVOD NA UCET	4273	36085	SIPO	OP	1460
742547	2535	1998-02-06	VYDAJ	PREVOD NA UCET	4273	24506	SIPO	OP	1460
742548	2535	1998-03-06	VYDAJ	PREVOD NA UCET	4273	27177	SIPO	OP	1460
742549	2535	1998-04-06	VYDAJ	PREVOD NA UCET	4273	27455	SIPO	OP	1460
742550	2535	1998-05-06	VYDAJ	PREVOD NA UCET	4273	26216	SIPO	OP	1460
742551	2535	1998-06-06	VYDAJ	PREVOD NA UCET	4273	38010	SIPO	OP	1460
742552	2535	1998-07-06	VYDAJ	PREVOD NA UCET	4273	34517	SIPO	OP	1460
742553	2535	1998-08-06	VYDAJ	PREVOD NA UCET	4273	33821	SIPO	OP	1460
742554	2535	1998-09-06	VYDAJ	PREVOD NA UCET	4273	32661	SIPO	OP	1460
742555	2535	1998-10-06	VYDAJ	PREVOD NA UCET	4273	32556	SIPO	OP	1460
742556	2535	1998-11-06	VYDAJ	PREVOD NA UCET	4273	33453	SIPO	OP	1460
742557	2535	1998-12-06	VYDAJ	PREVOD NA UCET	4273	42466	SIPO	OP	1460
742563	2535	1997-06-13	VYDAJ	PREVOD NA UCET	90	35930	 	QR	20700508
742564	2535	1997-07-13	VYDAJ	PREVOD NA UCET	90	44278	 	QR	20700508
742565	2535	1997-08-13	VYDAJ	PREVOD NA UCET	90	46136	 	QR	20700508
742566	2535	1997-09-13	VYDAJ	PREVOD NA UCET	90	44299	 	QR	20700508
742567	2535	1997-10-13	VYDAJ	PREVOD NA UCET	90	36949	 	QR	20700508
742568	2535	1997-11-13	VYDAJ	PREVOD NA UCET	90	41381	 	QR	20700508
742569	2535	1997-12-13	VYDAJ	PREVOD NA UCET	90	48231	 	QR	20700508
742570	2535	1998-01-13	VYDAJ	PREVOD NA UCET	90	34282	 	QR	20700508
742571	2535	1998-02-13	VYDAJ	PREVOD NA UCET	90	24263	 	QR	20700508
742572	2535	1998-03-13	VYDAJ	PREVOD NA UCET	90	26934	 	QR	20700508
742573	2535	1998-04-13	VYDAJ	PREVOD NA UCET	90	27212	 	QR	20700508
742574	2535	1998-05-13	VYDAJ	PREVOD NA UCET	90	25973	 	QR	20700508
742575	2535	1998-06-13	VYDAJ	PREVOD NA UCET	90	37767	 	QR	20700508
742576	2535	1998-07-13	VYDAJ	PREVOD NA UCET	90	34274	 	QR	20700508
742577	2535	1998-08-13	VYDAJ	PREVOD NA UCET	90	33578	 	QR	20700508
742578	2535	1998-09-13	VYDAJ	PREVOD NA UCET	90	32418	 	QR	20700508
742579	2535	1998-10-13	VYDAJ	PREVOD NA UCET	90	26413	 	QR	20700508
742580	2535	1998-11-13	VYDAJ	PREVOD NA UCET	90	24410	 	QR	20700508
742581	2535	1998-12-13	VYDAJ	PREVOD NA UCET	90	24623	 	QR	20700508
742587	2535	1997-06-09	VYDAJ	PREVOD NA UCET	153	36020	POJISTNE	QR	5892384
742588	2535	1997-07-09	VYDAJ	PREVOD NA UCET	153	44368	POJISTNE	QR	5892384
742589	2535	1997-08-09	VYDAJ	PREVOD NA UCET	153	46226	POJISTNE	QR	5892384
742590	2535	1997-09-09	VYDAJ	PREVOD NA UCET	153	47749	POJISTNE	QR	5892384
742591	2535	1997-10-09	VYDAJ	PREVOD NA UCET	153	37039	POJISTNE	QR	5892384
742592	2535	1997-11-09	VYDAJ	PREVOD NA UCET	153	41471	POJISTNE	QR	5892384
742593	2535	1997-12-09	VYDAJ	PREVOD NA UCET	153	48321	POJISTNE	QR	5892384
742594	2535	1998-01-09	VYDAJ	PREVOD NA UCET	153	34372	POJISTNE	QR	5892384
742595	2535	1998-02-09	VYDAJ	PREVOD NA UCET	153	24353	POJISTNE	QR	5892384
742596	2535	1998-03-09	VYDAJ	PREVOD NA UCET	153	27024	POJISTNE	QR	5892384
742597	2535	1998-04-09	VYDAJ	PREVOD NA UCET	153	27302	POJISTNE	QR	5892384
742598	2535	1998-05-09	VYDAJ	PREVOD NA UCET	153	26063	POJISTNE	QR	5892384
742599	2535	1998-06-09	VYDAJ	PREVOD NA UCET	153	37857	POJISTNE	QR	5892384
742600	2535	1998-07-09	VYDAJ	PREVOD NA UCET	153	34364	POJISTNE	QR	5892384
742601	2535	1998-08-09	VYDAJ	PREVOD NA UCET	153	33668	POJISTNE	QR	5892384
742602	2535	1998-09-09	VYDAJ	PREVOD NA UCET	153	32508	POJISTNE	QR	5892384
742603	2535	1998-10-09	VYDAJ	PREVOD NA UCET	153	32403	POJISTNE	QR	5892384
742604	2535	1998-11-09	VYDAJ	PREVOD NA UCET	153	33300	POJISTNE	QR	5892384
742605	2535	1998-12-09	VYDAJ	PREVOD NA UCET	153	42313	POJISTNE	QR	5892384
742606	2535	1997-06-09	VYDAJ	VYBER	19040	36173	\N	\N	\N
742610	2535	1997-12-23	VYDAJ	VYBER	960	32471	\N	\N	\N
742611	2535	1998-12-10	VYDAJ	VYBER	2400	39913	\N	\N	\N
742618	2535	1998-01-18	VYDAJ	VYBER	3360	17702	\N	\N	\N
742619	2535	1998-01-05	VYDAJ	VYBER	2400	40358	\N	\N	\N
742620	2535	1998-01-07	VYDAJ	VYBER	1560	34525	\N	\N	\N
742621	2535	1998-01-25	VYDAJ	VYBER	2280	13862	\N	\N	\N
742622	2535	1998-01-16	VYDAJ	VYBER	3120	31162	\N	\N	\N
742623	2535	1998-01-23	VYDAJ	VYBER	1560	16142	\N	\N	\N
742625	2535	1997-09-23	VYDAJ	VYBER	2760	29139	\N	\N	\N
742626	2535	1997-08-20	VYDAJ	VYBER	1440	37196	\N	\N	\N
742627	2535	1997-10-04	VYDAJ	VYBER	2640	26641	\N	\N	\N
742628	2535	1997-09-10	VYDAJ	VYBER	3360	44389	\N	\N	\N
742630	2535	1998-08-17	VYDAJ	VYBER	4560	22018	\N	\N	\N
742631	2535	1998-04-27	VYDAJ	VYBER	3720	15592	\N	\N	\N
742632	2535	1998-01-02	VYDAJ	VYBER	4680	27934	\N	\N	\N
742633	2535	1998-10-14	VYDAJ	VYBER	3600	22813	\N	\N	\N
742640	2535	1997-06-30	VYDAJ	VYBER	15	33970	SLUZBY	\N	\N
742641	2535	1997-07-31	VYDAJ	VYBER	15	35828	SLUZBY	\N	\N
742642	2535	1997-08-31	VYDAJ	VYBER	15	37351	SLUZBY	\N	\N
742643	2535	1997-09-30	VYDAJ	VYBER	15	29281	SLUZBY	\N	\N
742644	2535	1997-10-31	VYDAJ	VYBER	15	31073	SLUZBY	\N	\N
742645	2535	1997-11-30	VYDAJ	VYBER	15	30511	SLUZBY	\N	\N
742646	2535	1997-12-31	VYDAJ	VYBER	15	32614	SLUZBY	\N	\N
742647	2535	1998-01-31	VYDAJ	VYBER	15	13955	SLUZBY	\N	\N
742648	2535	1998-02-28	VYDAJ	VYBER	15	16626	SLUZBY	\N	\N
742649	2535	1998-03-31	VYDAJ	VYBER	15	16904	SLUZBY	\N	\N
742650	2535	1998-04-30	VYDAJ	VYBER	15	15665	SLUZBY	\N	\N
742651	2535	1998-05-31	VYDAJ	VYBER	15	20047	SLUZBY	\N	\N
742652	2535	1998-06-30	VYDAJ	VYBER	15	23966	SLUZBY	\N	\N
742653	2535	1998-07-31	VYDAJ	VYBER	15	23270	SLUZBY	\N	\N
742654	2535	1998-08-31	VYDAJ	VYBER	15	22110	SLUZBY	\N	\N
742655	2535	1998-09-30	VYDAJ	VYBER	15	22005	SLUZBY	\N	\N
742656	2535	1998-10-31	VYDAJ	VYBER	15	22902	SLUZBY	\N	\N
742657	2535	1998-11-30	VYDAJ	VYBER	15	24503	SLUZBY	\N	\N
742658	2535	1997-02-20	PRIJEM	VKLAD	7300	23224	\N	\N	\N
742659	2535	1997-03-22	VYDAJ	VYBER	2100	35979	\N	\N	\N
742660	2535	1997-04-21	VYDAJ	VYBER	13200	37717	\N	\N	\N
742661	2535	1997-05-21	VYDAJ	VYBER	15600	37093	\N	\N	\N
742662	2535	1997-06-20	VYDAJ	VYBER	2100	33830	\N	\N	\N
742663	2535	1997-07-20	VYDAJ	VYBER	8600	35678	\N	\N	\N
742664	2535	1997-08-19	VYDAJ	VYBER	7500	38636	\N	\N	\N
742665	2535	1997-09-18	VYDAJ	VYBER	12400	31899	\N	\N	\N
742666	2535	1997-10-18	VYDAJ	VYBER	6000	30949	\N	\N	\N
742667	2535	1997-11-17	VYDAJ	VYBER	11000	30381	\N	\N	\N
742668	2535	1997-12-17	VYDAJ	VYBER	14800	33431	\N	\N	\N
742669	2535	1998-01-16	VYDAJ	VYBER	10100	21062	\N	\N	\N
742670	2535	1998-02-15	VYDAJ	VYBER	7700	16563	\N	\N	\N
742671	2535	1998-03-17	VYDAJ	VYBER	10100	16834	\N	\N	\N
742672	2535	1998-04-16	VYDAJ	VYBER	7900	19312	\N	\N	\N
742673	2535	1998-05-16	VYDAJ	VYBER	6000	19973	\N	\N	\N
742674	2535	1998-06-15	VYDAJ	VYBER	13900	23867	\N	\N	\N
742675	2535	1998-07-15	VYDAJ	VYBER	11100	23174	\N	\N	\N
742676	2535	1998-08-14	VYDAJ	VYBER	7000	26578	\N	\N	\N
742677	2535	1998-09-13	VYDAJ	VYBER	10500	21918	\N	\N	\N
742678	2535	1998-10-13	VYDAJ	VYBER	5900	26503	\N	\N	\N
742679	2535	1998-11-12	VYDAJ	VYBER	8800	24500	\N	\N	\N
742680	2535	1998-12-12	VYDAJ	VYBER	15200	24713	\N	\N	\N
742704	2536	1994-10-28	PRIJEM	VKLAD	500	500	\N	\N	\N
742715	2536	1994-11-08	PRIJEM	PREVOD Z UCTU	6234	6734	DUCHOD	WX	83186918
742716	2536	1994-12-08	PRIJEM	PREVOD Z UCTU	6234	12968	DUCHOD	WX	83186918
742717	2536	1995-01-08	PRIJEM	PREVOD Z UCTU	6234	19202	DUCHOD	WX	83186918
742718	2536	1995-02-08	PRIJEM	PREVOD Z UCTU	6234	25436	DUCHOD	WX	83186918
742719	2536	1995-03-08	PRIJEM	PREVOD Z UCTU	6234	31485	DUCHOD	WX	83186918
742720	2536	1995-04-08	PRIJEM	PREVOD Z UCTU	6234	33982	DUCHOD	WX	83186918
742721	2536	1995-05-08	PRIJEM	PREVOD Z UCTU	6234	37190	DUCHOD	WX	83186918
742722	2536	1995-06-08	PRIJEM	PREVOD Z UCTU	6234	38410	DUCHOD	WX	83186918
742723	2536	1995-07-08	PRIJEM	PREVOD Z UCTU	6234	25534	DUCHOD	WX	83186918
742724	2536	1995-08-08	PRIJEM	PREVOD Z UCTU	6234	28707	DUCHOD	WX	83186918
742725	2536	1995-09-08	PRIJEM	PREVOD Z UCTU	6234	31893	DUCHOD	WX	83186918
742726	2536	1995-10-08	PRIJEM	PREVOD Z UCTU	6234	35093	DUCHOD	WX	83186918
742727	2536	1995-11-08	PRIJEM	PREVOD Z UCTU	6234	38305	DUCHOD	WX	83186918
742728	2536	1995-12-08	PRIJEM	PREVOD Z UCTU	6234	38728	DUCHOD	WX	83186918
742729	2536	1996-01-08	PRIJEM	PREVOD Z UCTU	6234	32400	DUCHOD	WX	83186918
742730	2536	1996-02-08	PRIJEM	PREVOD Z UCTU	6234	29439	DUCHOD	WX	83186918
742731	2536	1996-03-08	PRIJEM	PREVOD Z UCTU	6234	32628	DUCHOD	WX	83186918
742732	2536	1996-04-08	PRIJEM	PREVOD Z UCTU	6234	35350	DUCHOD	WX	83186918
742733	2536	1996-05-08	PRIJEM	PREVOD Z UCTU	6234	36562	DUCHOD	WX	83186918
742734	2536	1996-06-08	PRIJEM	PREVOD Z UCTU	6234	38177	DUCHOD	WX	83186918
742735	2536	1996-07-08	PRIJEM	PREVOD Z UCTU	6234	23865	DUCHOD	WX	83186918
742736	2536	1996-08-08	PRIJEM	PREVOD Z UCTU	6234	27031	DUCHOD	WX	83186918
742737	2536	1996-09-08	PRIJEM	PREVOD Z UCTU	6234	27648	DUCHOD	WX	83186918
742738	2536	1996-10-08	PRIJEM	PREVOD Z UCTU	6234	30829	DUCHOD	WX	83186918
742739	2536	1996-11-08	PRIJEM	PREVOD Z UCTU	6234	34024	DUCHOD	WX	83186918
742740	2536	1996-12-08	PRIJEM	PREVOD Z UCTU	6234	34149	DUCHOD	WX	83186918
742741	2536	1997-01-08	PRIJEM	PREVOD Z UCTU	6234	33360	DUCHOD	WX	83186918
742742	2536	1997-02-08	PRIJEM	PREVOD Z UCTU	6234	27813	DUCHOD	WX	83186918
742743	2536	1997-03-08	PRIJEM	PREVOD Z UCTU	6234	30994	DUCHOD	WX	83186918
742744	2536	1997-04-08	PRIJEM	PREVOD Z UCTU	6234	33688	DUCHOD	WX	83186918
742745	2536	1997-05-08	PRIJEM	PREVOD Z UCTU	6234	34472	DUCHOD	WX	83186918
742746	2536	1997-06-08	PRIJEM	PREVOD Z UCTU	6234	23581	DUCHOD	WX	83186918
742747	2536	1997-07-08	PRIJEM	PREVOD Z UCTU	6234	26758	DUCHOD	WX	83186918
742748	2536	1997-08-08	PRIJEM	PREVOD Z UCTU	6234	27852	DUCHOD	WX	83186918
742749	2536	1997-09-08	PRIJEM	PREVOD Z UCTU	6234	26410	DUCHOD	WX	83186918
742750	2536	1997-10-08	PRIJEM	PREVOD Z UCTU	6234	26709	DUCHOD	WX	83186918
742751	2536	1997-11-08	PRIJEM	PREVOD Z UCTU	6234	28770	DUCHOD	WX	83186918
742752	2536	1997-12-08	PRIJEM	PREVOD Z UCTU	6234	31958	DUCHOD	WX	83186918
742753	2536	1998-01-08	PRIJEM	PREVOD Z UCTU	6234	31547	DUCHOD	WX	83186918
742754	2536	1998-02-08	PRIJEM	PREVOD Z UCTU	6234	21716	DUCHOD	WX	83186918
742755	2536	1998-03-08	PRIJEM	PREVOD Z UCTU	6234	24871	DUCHOD	WX	83186918
742756	2536	1998-04-08	PRIJEM	PREVOD Z UCTU	6234	27639	DUCHOD	WX	83186918
742757	2536	1998-05-08	PRIJEM	PREVOD Z UCTU	6234	28275	DUCHOD	WX	83186918
742758	2536	1998-06-08	PRIJEM	PREVOD Z UCTU	6234	29138	DUCHOD	WX	83186918
742759	2536	1998-07-08	PRIJEM	PREVOD Z UCTU	6234	26653	DUCHOD	WX	83186918
742760	2536	1998-08-08	PRIJEM	PREVOD Z UCTU	6234	29829	DUCHOD	WX	83186918
742761	2536	1998-09-08	PRIJEM	PREVOD Z UCTU	6234	30111	DUCHOD	WX	83186918
742762	2536	1998-10-08	PRIJEM	PREVOD Z UCTU	6234	30338	DUCHOD	WX	83186918
742763	2536	1998-11-08	PRIJEM	PREVOD Z UCTU	6234	32229	DUCHOD	WX	83186918
742764	2536	1998-12-08	PRIJEM	PREVOD Z UCTU	6234	32331	DUCHOD	WX	83186918
742779	2536	1995-03-10	VYDAJ	PREVOD NA UCET	3136	28349	SIPO	WX	6038499
742780	2536	1995-04-10	VYDAJ	PREVOD NA UCET	3136	30846	SIPO	WX	6038499
742781	2536	1995-05-10	VYDAJ	PREVOD NA UCET	3136	34054	SIPO	WX	6038499
742782	2536	1995-06-10	VYDAJ	PREVOD NA UCET	3136	35274	SIPO	WX	6038499
742783	2536	1995-07-10	VYDAJ	PREVOD NA UCET	3136	22398	SIPO	WX	6038499
742784	2536	1995-08-10	VYDAJ	PREVOD NA UCET	3136	25571	SIPO	WX	6038499
742785	2536	1995-09-10	VYDAJ	PREVOD NA UCET	3136	28757	SIPO	WX	6038499
742786	2536	1995-10-10	VYDAJ	PREVOD NA UCET	3136	31957	SIPO	WX	6038499
742787	2536	1995-11-10	VYDAJ	PREVOD NA UCET	3136	35169	SIPO	WX	6038499
742788	2536	1995-12-10	VYDAJ	PREVOD NA UCET	3136	35592	SIPO	WX	6038499
742789	2536	1996-01-10	VYDAJ	PREVOD NA UCET	3136	29264	SIPO	WX	6038499
742790	2536	1996-02-10	VYDAJ	PREVOD NA UCET	3136	26303	SIPO	WX	6038499
742791	2536	1996-03-10	VYDAJ	PREVOD NA UCET	3136	29492	SIPO	WX	6038499
742792	2536	1996-04-10	VYDAJ	PREVOD NA UCET	3136	32214	SIPO	WX	6038499
742793	2536	1996-05-10	VYDAJ	PREVOD NA UCET	3136	33426	SIPO	WX	6038499
742794	2536	1996-06-10	VYDAJ	PREVOD NA UCET	3136	35041	SIPO	WX	6038499
742795	2536	1996-07-10	VYDAJ	PREVOD NA UCET	3136	20729	SIPO	WX	6038499
742796	2536	1996-08-10	VYDAJ	PREVOD NA UCET	3136	23895	SIPO	WX	6038499
742797	2536	1996-09-10	VYDAJ	PREVOD NA UCET	3136	24512	SIPO	WX	6038499
742798	2536	1996-10-10	VYDAJ	PREVOD NA UCET	3136	27693	SIPO	WX	6038499
742799	2536	1996-11-10	VYDAJ	PREVOD NA UCET	3136	30888	SIPO	WX	6038499
742800	2536	1996-12-10	VYDAJ	PREVOD NA UCET	3136	31013	SIPO	WX	6038499
742801	2536	1997-01-10	VYDAJ	PREVOD NA UCET	3136	30224	SIPO	WX	6038499
742802	2536	1997-02-10	VYDAJ	PREVOD NA UCET	3136	24677	SIPO	WX	6038499
742803	2536	1997-03-10	VYDAJ	PREVOD NA UCET	3136	27858	SIPO	WX	6038499
742804	2536	1997-04-10	VYDAJ	PREVOD NA UCET	3136	30552	SIPO	WX	6038499
742805	2536	1997-05-10	VYDAJ	PREVOD NA UCET	3136	31336	SIPO	WX	6038499
742806	2536	1997-06-10	VYDAJ	PREVOD NA UCET	3136	20445	SIPO	WX	6038499
742807	2536	1997-07-10	VYDAJ	PREVOD NA UCET	3136	23622	SIPO	WX	6038499
742808	2536	1997-08-10	VYDAJ	PREVOD NA UCET	3136	24716	SIPO	WX	6038499
742809	2536	1997-09-10	VYDAJ	PREVOD NA UCET	3136	23274	SIPO	WX	6038499
742810	2536	1997-10-10	VYDAJ	PREVOD NA UCET	3136	23573	SIPO	WX	6038499
742811	2536	1997-11-10	VYDAJ	PREVOD NA UCET	3136	25634	SIPO	WX	6038499
742812	2536	1997-12-10	VYDAJ	PREVOD NA UCET	3136	28822	SIPO	WX	6038499
742813	2536	1998-01-10	VYDAJ	PREVOD NA UCET	3136	23351	SIPO	WX	6038499
742814	2536	1998-02-10	VYDAJ	PREVOD NA UCET	3136	18580	SIPO	WX	6038499
742815	2536	1998-03-10	VYDAJ	PREVOD NA UCET	3136	21735	SIPO	WX	6038499
742816	2536	1998-04-10	VYDAJ	PREVOD NA UCET	3136	24503	SIPO	WX	6038499
742817	2536	1998-05-10	VYDAJ	PREVOD NA UCET	3136	25139	SIPO	WX	6038499
742818	2536	1998-06-10	VYDAJ	PREVOD NA UCET	3136	21302	SIPO	WX	6038499
742819	2536	1998-07-10	VYDAJ	PREVOD NA UCET	3136	23517	SIPO	WX	6038499
742820	2536	1998-08-10	VYDAJ	PREVOD NA UCET	3136	23793	SIPO	WX	6038499
742821	2536	1998-09-10	VYDAJ	PREVOD NA UCET	3136	26975	SIPO	WX	6038499
742822	2536	1998-10-10	VYDAJ	PREVOD NA UCET	3136	27202	SIPO	WX	6038499
742823	2536	1998-11-10	VYDAJ	PREVOD NA UCET	3136	29093	SIPO	WX	6038499
742824	2536	1998-12-10	VYDAJ	PREVOD NA UCET	3136	29195	SIPO	WX	6038499
742826	2536	1995-06-21	VYDAJ	VYBER	14000	19194	\N	\N	\N
742827	2536	1996-06-20	VYDAJ	VYBER	14950	17531	\N	\N	\N
742828	2536	1997-06-04	VYDAJ	VYBER	11700	17347	\N	\N	\N
742832	2536	1996-01-01	VYDAJ	VYBER	2200	29366	\N	\N	\N
742833	2536	1997-01-12	VYDAJ	VYBER	4500	25724	\N	\N	\N
742834	2536	1998-01-13	VYDAJ	VYBER	900	21011	\N	\N	\N
742836	2536	1995-12-17	VYDAJ	VYBER	750	34842	\N	\N	\N
742837	2536	1996-12-06	VYDAJ	VYBER	600	27915	\N	\N	\N
742838	2536	1997-12-16	VYDAJ	VYBER	250	28572	\N	\N	\N
742839	2536	1998-12-25	VYDAJ	VYBER	800	28395	\N	\N	\N
742852	2536	1996-01-28	VYDAJ	VYBER	2000	25104	\N	\N	\N
742853	2536	1996-01-22	VYDAJ	VYBER	640	28624	\N	\N	\N
742854	2536	1996-01-22	VYDAJ	VYBER	1520	27104	\N	\N	\N
742855	2536	1996-01-29	VYDAJ	VYBER	2000	23104	\N	\N	\N
742856	2536	1996-01-02	VYDAJ	VYBER	1120	26166	\N	\N	\N
742857	2536	1996-01-01	VYDAJ	VYBER	2080	27286	\N	\N	\N
742858	2536	1997-01-30	VYDAJ	VYBER	2000	21484	\N	\N	\N
742859	2536	1997-01-06	VYDAJ	VYBER	1600	27926	\N	\N	\N
742860	2536	1997-01-07	VYDAJ	VYBER	800	27126	\N	\N	\N
742861	2536	1997-01-04	VYDAJ	VYBER	1600	29526	\N	\N	\N
742862	2536	1997-01-17	VYDAJ	VYBER	1680	24044	\N	\N	\N
742863	2536	1997-01-19	VYDAJ	VYBER	560	23484	\N	\N	\N
742864	2536	1998-01-20	VYDAJ	VYBER	1920	17331	\N	\N	\N
742865	2536	1998-01-13	VYDAJ	VYBER	1440	21911	\N	\N	\N
742866	2536	1998-01-04	VYDAJ	VYBER	1120	27553	\N	\N	\N
742867	2536	1998-01-14	VYDAJ	VYBER	1760	19251	\N	\N	\N
742868	2536	1998-01-21	VYDAJ	VYBER	1920	15411	\N	\N	\N
742869	2536	1998-01-04	VYDAJ	VYBER	2240	25313	\N	\N	\N
742876	2536	1995-06-20	VYDAJ	VYBER	2080	33194	\N	\N	\N
742878	2536	1996-04-18	VYDAJ	VYBER	2000	30214	\N	\N	\N
742879	2536	1996-11-24	VYDAJ	VYBER	2480	28408	\N	\N	\N
742880	2536	1996-05-16	VYDAJ	VYBER	960	31826	\N	\N	\N
742881	2536	1996-04-07	VYDAJ	VYBER	480	29116	\N	\N	\N
742882	2536	1996-06-18	VYDAJ	VYBER	2560	32481	\N	\N	\N
742883	2536	1996-05-10	VYDAJ	VYBER	640	32786	\N	\N	\N
742884	2536	1996-08-27	VYDAJ	VYBER	2560	21335	\N	\N	\N
742885	2536	1997-10-01	VYDAJ	VYBER	2880	20475	\N	\N	\N
742886	2536	1997-09-04	VYDAJ	VYBER	1040	20176	\N	\N	\N
742887	2536	1997-08-26	VYDAJ	VYBER	3280	21136	\N	\N	\N
742888	2536	1997-05-23	VYDAJ	VYBER	2400	28936	\N	\N	\N
742889	2536	1997-05-01	VYDAJ	VYBER	1120	28238	\N	\N	\N
742890	2536	1997-07-20	VYDAJ	VYBER	2080	21542	\N	\N	\N
742891	2536	1997-11-03	VYDAJ	VYBER	1120	22536	\N	\N	\N
742892	2536	1998-04-17	VYDAJ	VYBER	1440	21963	\N	\N	\N
742894	2536	1998-06-23	VYDAJ	VYBER	960	20342	\N	\N	\N
742895	2536	1998-06-02	VYDAJ	VYBER	2320	22904	\N	\N	\N
742896	2536	1998-01-08	VYDAJ	VYBER	3360	28187	\N	\N	\N
742897	2536	1998-09-22	VYDAJ	VYBER	2960	24015	\N	\N	\N
742913	2536	1995-03-31	VYDAJ	VYBER	15	27748	SLUZBY	\N	\N
742914	2536	1995-04-30	VYDAJ	VYBER	15	30956	SLUZBY	\N	\N
742915	2536	1995-05-31	VYDAJ	VYBER	15	32176	SLUZBY	\N	\N
742916	2536	1995-06-30	VYDAJ	VYBER	15	19300	SLUZBY	\N	\N
742917	2536	1995-07-31	VYDAJ	VYBER	15	22473	SLUZBY	\N	\N
742918	2536	1995-08-31	VYDAJ	VYBER	15	25659	SLUZBY	\N	\N
742919	2536	1995-09-30	VYDAJ	VYBER	15	28859	SLUZBY	\N	\N
742920	2536	1995-10-31	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
742921	2536	1995-11-30	VYDAJ	VYBER	15	32494	SLUZBY	\N	\N
742922	2536	1995-12-31	VYDAJ	VYBER	15	31566	SLUZBY	\N	\N
742923	2536	1996-01-31	VYDAJ	VYBER	15	23205	SLUZBY	\N	\N
742924	2536	1996-02-29	VYDAJ	VYBER	15	26394	SLUZBY	\N	\N
742925	2536	1996-03-31	VYDAJ	VYBER	15	29596	SLUZBY	\N	\N
742926	2536	1996-04-30	VYDAJ	VYBER	15	30328	SLUZBY	\N	\N
742927	2536	1996-05-31	VYDAJ	VYBER	15	31943	SLUZBY	\N	\N
742928	2536	1996-06-30	VYDAJ	VYBER	15	17631	SLUZBY	\N	\N
742929	2536	1996-07-31	VYDAJ	VYBER	15	20797	SLUZBY	\N	\N
742930	2536	1996-08-31	VYDAJ	VYBER	15	21414	SLUZBY	\N	\N
742931	2536	1996-09-30	VYDAJ	VYBER	15	24595	SLUZBY	\N	\N
742932	2536	1996-10-31	VYDAJ	VYBER	15	27790	SLUZBY	\N	\N
742933	2536	1996-11-30	VYDAJ	VYBER	15	28515	SLUZBY	\N	\N
742934	2536	1996-12-31	VYDAJ	VYBER	15	31126	SLUZBY	\N	\N
742935	2536	1997-01-31	VYDAJ	VYBER	15	21579	SLUZBY	\N	\N
742936	2536	1997-02-28	VYDAJ	VYBER	15	24760	SLUZBY	\N	\N
742937	2536	1997-03-31	VYDAJ	VYBER	15	27454	SLUZBY	\N	\N
742938	2536	1997-04-30	VYDAJ	VYBER	15	29358	SLUZBY	\N	\N
742939	2536	1997-05-31	VYDAJ	VYBER	15	29047	SLUZBY	\N	\N
742940	2536	1997-06-30	VYDAJ	VYBER	15	20524	SLUZBY	\N	\N
742941	2536	1997-07-31	VYDAJ	VYBER	15	21618	SLUZBY	\N	\N
742942	2536	1997-08-31	VYDAJ	VYBER	15	21216	SLUZBY	\N	\N
742943	2536	1997-09-30	VYDAJ	VYBER	15	23355	SLUZBY	\N	\N
742944	2536	1997-10-31	VYDAJ	VYBER	15	23656	SLUZBY	\N	\N
742945	2536	1997-11-30	VYDAJ	VYBER	15	25724	SLUZBY	\N	\N
742946	2536	1997-12-31	VYDAJ	VYBER	15	28673	SLUZBY	\N	\N
742947	2536	1998-01-31	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
742948	2536	1998-02-28	VYDAJ	VYBER	15	18637	SLUZBY	\N	\N
742949	2536	1998-03-31	VYDAJ	VYBER	15	21405	SLUZBY	\N	\N
742950	2536	1998-04-30	VYDAJ	VYBER	15	22041	SLUZBY	\N	\N
742951	2536	1998-05-31	VYDAJ	VYBER	15	25224	SLUZBY	\N	\N
742952	2536	1998-06-30	VYDAJ	VYBER	15	20419	SLUZBY	\N	\N
742953	2536	1998-07-31	VYDAJ	VYBER	15	23595	SLUZBY	\N	\N
742954	2536	1998-08-31	VYDAJ	VYBER	15	23877	SLUZBY	\N	\N
742955	2536	1998-09-30	VYDAJ	VYBER	15	24104	SLUZBY	\N	\N
742956	2536	1998-10-31	VYDAJ	VYBER	15	27295	SLUZBY	\N	\N
742957	2536	1998-11-30	VYDAJ	VYBER	15	29197	SLUZBY	\N	\N
742958	2536	1995-02-25	VYDAJ	VYBER	200	25236	\N	\N	\N
742959	2536	1995-03-27	VYDAJ	VYBER	700	27649	\N	\N	\N
742960	2536	1995-05-26	VYDAJ	VYBER	2000	32054	\N	\N	\N
742961	2536	1995-11-22	VYDAJ	VYBER	2800	32369	\N	\N	\N
742962	2536	1995-12-22	VYDAJ	VYBER	3400	31442	\N	\N	\N
742963	2536	1997-03-16	VYDAJ	VYBER	500	27358	\N	\N	\N
742964	2536	1997-04-15	VYDAJ	VYBER	1300	29252	\N	\N	\N
742965	2536	1997-08-13	VYDAJ	VYBER	300	24416	\N	\N	\N
742966	2536	1998-01-10	VYDAJ	VYBER	1700	26487	\N	\N	\N
742967	2536	1998-03-11	VYDAJ	VYBER	400	21335	\N	\N	\N
742968	2536	1998-04-10	VYDAJ	VYBER	1100	23403	\N	\N	\N
742969	2536	1998-06-09	VYDAJ	VYBER	4700	24438	\N	\N	\N
742970	2536	1998-08-08	VYDAJ	VYBER	2900	26929	\N	\N	\N
742971	2536	1998-11-06	VYDAJ	VYBER	1300	25995	\N	\N	\N
742972	2536	1998-12-06	VYDAJ	VYBER	3100	26097	\N	\N	\N
743020	2537	1997-02-09	PRIJEM	VKLAD	400	400	\N	\N	\N
743021	2537	1997-05-28	PRIJEM	VKLAD	21972	50643	\N	\N	\N
743022	2537	1997-08-01	PRIJEM	VKLAD	41301	69286	\N	\N	\N
743023	2537	1997-06-30	PRIJEM	VKLAD	49558	92736	\N	\N	\N
743024	2537	1997-11-11	PRIJEM	VKLAD	5009	80984	\N	\N	\N
743025	2537	1997-04-04	PRIJEM	VKLAD	41812	70999	\N	\N	\N
743026	2537	1997-11-19	PRIJEM	VKLAD	15299	96283	\N	\N	\N
743027	2537	1997-12-14	PRIJEM	VKLAD	44452	144509	\N	\N	\N
743028	2537	1997-08-28	PRIJEM	VKLAD	39250	70271	\N	\N	\N
743029	2537	1997-04-13	PRIJEM	VKLAD	36791	84090	\N	\N	\N
743031	2537	1997-06-29	PRIJEM	VKLAD	19636	43044	\N	\N	\N
743032	2537	1997-12-12	PRIJEM	VKLAD	49395	100057	\N	\N	\N
743033	2537	1997-10-23	PRIJEM	VKLAD	24421	46784	\N	\N	\N
743034	2537	1997-12-30	PRIJEM	VKLAD	21992	117401	\N	\N	\N
743036	2537	1997-02-22	PRIJEM	VKLAD	21840	33403	\N	\N	\N
743037	2537	1997-07-04	PRIJEM	VKLAD	17292	110014	\N	\N	\N
743038	2537	1997-09-30	PRIJEM	VKLAD	10609	38979	\N	\N	\N
743039	2537	1997-02-16	PRIJEM	VKLAD	11163	11563	\N	\N	\N
743040	2537	1997-11-07	PRIJEM	VKLAD	44938	68602	\N	\N	\N
743041	2537	1997-11-09	PRIJEM	VKLAD	45573	114175	\N	\N	\N
743042	2537	1997-09-03	PRIJEM	VKLAD	43695	114113	\N	\N	\N
743043	2537	1997-04-28	PRIJEM	VKLAD	25966	110056	\N	\N	\N
743044	2537	1997-05-22	PRIJEM	VKLAD	16495	39171	\N	\N	\N
743045	2537	1997-09-06	PRIJEM	VKLAD	44510	98783	\N	\N	\N
743046	2537	1998-04-16	PRIJEM	VKLAD	10797	17467	\N	\N	\N
743047	2537	1998-06-22	PRIJEM	VKLAD	41077	56033	\N	\N	\N
743048	2537	1998-02-26	PRIJEM	VKLAD	16979	24058	\N	\N	\N
743049	2537	1998-01-03	PRIJEM	VKLAD	33024	123290	\N	\N	\N
743050	2537	1998-09-08	PRIJEM	VKLAD	46218	68241	\N	\N	\N
743051	2537	1998-04-19	PRIJEM	VKLAD	41574	59041	\N	\N	\N
743052	2537	1998-07-28	PRIJEM	VKLAD	36794	88993	\N	\N	\N
743053	2537	1998-07-25	PRIJEM	VKLAD	34386	52199	\N	\N	\N
743054	2537	1998-11-22	PRIJEM	VKLAD	40763	70947	\N	\N	\N
743055	2537	1998-10-05	PRIJEM	VKLAD	13088	53579	\N	\N	\N
743056	2537	1998-05-13	PRIJEM	VKLAD	10909	47305	\N	\N	\N
743057	2537	1998-05-27	PRIJEM	VKLAD	30857	53525	\N	\N	\N
743058	2537	1998-10-06	PRIJEM	VKLAD	48945	88984	\N	\N	\N
743059	2537	1998-08-25	PRIJEM	VKLAD	41245	106989	\N	\N	\N
743060	2537	1998-08-27	PRIJEM	VKLAD	34970	129764	\N	\N	\N
743061	2537	1998-08-18	PRIJEM	VKLAD	28259	65744	\N	\N	\N
743062	2537	1998-04-25	PRIJEM	VKLAD	33170	92211	\N	\N	\N
743063	2537	1998-01-09	PRIJEM	VKLAD	12688	46338	\N	\N	\N
743068	2537	1997-05-05	VYDAJ	PREVOD NA UCET	13540	39576	SIPO	UV	70319515
743069	2537	1997-06-05	VYDAJ	PREVOD NA UCET	13540	31246	SIPO	UV	70319515
743070	2537	1997-07-05	VYDAJ	PREVOD NA UCET	13540	42074	SIPO	UV	70319515
743071	2537	1997-08-05	VYDAJ	PREVOD NA UCET	13540	55746	SIPO	UV	70319515
743072	2537	1997-09-05	VYDAJ	PREVOD NA UCET	13540	54273	SIPO	UV	70319515
743073	2537	1997-10-05	VYDAJ	PREVOD NA UCET	13540	25663	SIPO	UV	70319515
743074	2537	1997-11-05	VYDAJ	PREVOD NA UCET	13540	29464	SIPO	UV	70319515
743075	2537	1997-12-05	VYDAJ	PREVOD NA UCET	13540	83062	SIPO	UV	70319515
743076	2537	1998-01-05	VYDAJ	PREVOD NA UCET	13540	33650	SIPO	UV	70319515
743077	2537	1998-02-05	VYDAJ	PREVOD NA UCET	13540	7079	SIPO	UV	70319515
743078	2537	1998-03-05	VYDAJ	PREVOD NA UCET	13540	6648	SIPO	UV	70319515
743080	2537	1998-05-05	VYDAJ	PREVOD NA UCET	13540	39396	SIPO	UV	70319515
743081	2537	1998-06-05	VYDAJ	PREVOD NA UCET	13540	14956	SIPO	UV	70319515
743082	2537	1998-07-05	VYDAJ	PREVOD NA UCET	13540	17813	SIPO	UV	70319515
743083	2537	1998-08-05	VYDAJ	PREVOD NA UCET	13540	37485	SIPO	UV	70319515
743084	2537	1998-09-05	VYDAJ	PREVOD NA UCET	13540	26183	SIPO	UV	70319515
743085	2537	1998-10-05	VYDAJ	PREVOD NA UCET	13540	40039	SIPO	UV	70319515
743086	2537	1998-11-05	VYDAJ	PREVOD NA UCET	13540	30184	SIPO	UV	70319515
743087	2537	1998-12-05	VYDAJ	PREVOD NA UCET	13540	31691	SIPO	UV	70319515
743091	2537	1997-08-11	VYBER	VYBER	7325	31021	\N	\N	\N
743092	2537	1997-07-07	VYBER	VYBER	6226	35848	\N	\N	\N
743093	2537	1997-09-07	VYBER	VYBER	20913	77870	\N	\N	\N
743095	2537	1997-06-11	VYBER	VYBER	2538	23408	\N	\N	\N
743099	2537	1998-01-14	VYBER	VYBER	7790	38548	\N	\N	\N
743100	2537	1998-05-13	VYBER	VYBER	16852	30453	\N	\N	\N
743101	2537	1998-05-25	VYBER	VYBER	7785	22668	\N	\N	\N
743102	2537	1998-10-20	VYBER	VYBER	19067	69917	\N	\N	\N
743104	2537	1998-08-25	VYBER	VYBER	12195	94794	\N	\N	\N
743106	2537	1998-09-07	VYBER	VYBER	4160	22023	\N	\N	\N
743115	2537	1997-12-29	VYDAJ	VYBER	8700	95409	\N	\N	\N
743116	2537	1998-12-24	VYDAJ	VYBER	7200	24491	\N	\N	\N
743125	2537	1998-01-21	VYDAJ	VYBER	2100	31648	\N	\N	\N
743126	2537	1998-01-27	VYDAJ	VYBER	4500	19648	\N	\N	\N
743127	2537	1998-01-25	VYDAJ	VYBER	7500	24148	\N	\N	\N
743128	2537	1998-01-19	VYDAJ	VYBER	4800	33748	\N	\N	\N
743129	2537	1997-09-17	VYDAJ	VYBER	13800	32270	\N	\N	\N
743130	2537	1997-09-20	VYDAJ	VYBER	3900	28370	\N	\N	\N
743131	2537	1997-05-28	VYDAJ	VYBER	6000	44643	\N	\N	\N
743132	2537	1997-05-27	VYDAJ	VYBER	10500	28671	\N	\N	\N
743134	2537	1997-10-28	VYDAJ	VYBER	3900	42884	\N	\N	\N
743135	2537	1997-05-12	VYDAJ	VYBER	8400	22676	\N	\N	\N
743136	2537	1998-03-04	VYDAJ	VYBER	3900	20188	\N	\N	\N
743137	2537	1998-05-09	VYDAJ	VYBER	3000	36396	\N	\N	\N
743139	2537	1998-04-28	VYDAJ	VYBER	6000	86211	\N	\N	\N
743144	2537	1997-04-30	VYDAJ	VYBER	15	53116	SLUZBY	\N	\N
743145	2537	1997-05-31	VYDAJ	VYBER	15	44786	SLUZBY	\N	\N
743146	2537	1997-06-30	VYDAJ	VYBER	15	92722	SLUZBY	\N	\N
743147	2537	1997-07-31	VYDAJ	VYBER	15	27985	SLUZBY	\N	\N
743148	2537	1997-08-31	VYDAJ	VYBER	15	70418	SLUZBY	\N	\N
743149	2537	1997-09-30	VYDAJ	VYBER	15	39203	SLUZBY	\N	\N
743150	2537	1997-10-31	VYDAJ	VYBER	15	43004	SLUZBY	\N	\N
743151	2537	1997-11-30	VYDAJ	VYBER	15	96602	SLUZBY	\N	\N
743152	2537	1997-12-31	VYDAJ	VYBER	15	90266	SLUZBY	\N	\N
743153	2537	1998-01-31	VYDAJ	VYBER	15	19819	SLUZBY	\N	\N
743154	2537	1998-02-28	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
743155	2537	1998-03-31	VYDAJ	VYBER	15	6670	SLUZBY	\N	\N
743156	2537	1998-04-30	VYDAJ	VYBER	15	86336	SLUZBY	\N	\N
743157	2537	1998-05-31	VYDAJ	VYBER	15	53696	SLUZBY	\N	\N
743158	2537	1998-06-30	VYDAJ	VYBER	15	56153	SLUZBY	\N	\N
743159	2537	1998-07-31	VYDAJ	VYBER	15	89125	SLUZBY	\N	\N
743160	2537	1998-08-31	VYDAJ	VYBER	15	65823	SLUZBY	\N	\N
743161	2537	1998-09-30	VYDAJ	VYBER	15	68491	SLUZBY	\N	\N
743162	2537	1998-10-31	VYDAJ	VYBER	15	70224	SLUZBY	\N	\N
743163	2537	1998-11-30	VYDAJ	VYBER	15	71131	SLUZBY	\N	\N
743164	2537	1997-03-11	VYDAJ	VYBER	4400	29048	\N	\N	\N
743165	2537	1997-04-10	VYDAJ	VYBER	23700	47299	\N	\N	\N
743166	2537	1997-04-28	VYDAJ	VYBER	57200	52856	\N	\N	\N
743167	2537	1997-05-10	VYDAJ	VYBER	8500	31076	\N	\N	\N
743168	2537	1997-06-09	VYDAJ	VYBER	5300	25946	\N	\N	\N
743169	2537	1997-07-04	VYDAJ	VYBER	54400	55614	\N	\N	\N
743170	2537	1997-07-09	VYDAJ	VYBER	8000	27848	\N	\N	\N
743171	2537	1997-08-08	VYDAJ	VYBER	17400	38346	\N	\N	\N
743172	2537	1997-09-03	VYDAJ	VYBER	46300	67813	\N	\N	\N
743173	2537	1997-09-07	VYDAJ	VYBER	31800	46070	\N	\N	\N
743174	2537	1997-10-07	VYDAJ	VYBER	3300	22363	\N	\N	\N
743175	2537	1997-11-06	VYDAJ	VYBER	5800	23664	\N	\N	\N
743176	2537	1997-11-09	VYDAJ	VYBER	38200	75975	\N	\N	\N
743177	2537	1997-12-06	VYDAJ	VYBER	32400	50662	\N	\N	\N
743178	2537	1997-12-14	VYDAJ	VYBER	40400	104109	\N	\N	\N
743179	2537	1997-12-30	VYDAJ	VYBER	27500	89901	\N	\N	\N
743180	2537	1998-01-03	VYDAJ	VYBER	60900	62390	\N	\N	\N
743181	2537	1998-01-05	VYDAJ	VYBER	15200	47190	\N	\N	\N
743182	2537	1998-02-04	PRIJEM	VKLAD	800	20619	\N	\N	\N
743183	2537	1998-05-05	VYDAJ	VYBER	33400	52936	\N	\N	\N
743184	2537	1998-06-04	VYDAJ	VYBER	25200	28496	\N	\N	\N
743185	2537	1998-07-04	VYDAJ	VYBER	24800	31353	\N	\N	\N
743186	2537	1998-08-03	VYDAJ	VYBER	38100	51025	\N	\N	\N
743187	2537	1998-08-27	VYDAJ	VYBER	15700	114064	\N	\N	\N
743188	2537	1998-08-31	VYDAJ	VYBER	48500	65838	\N	\N	\N
743189	2537	1998-09-02	VYDAJ	VYBER	26100	39723	\N	\N	\N
743190	2537	1998-10-02	VYDAJ	VYBER	28000	40491	\N	\N	\N
743191	2537	1998-11-01	VYDAJ	VYBER	26500	43724	\N	\N	\N
743192	2537	1998-12-01	VYDAJ	VYBER	25900	45231	\N	\N	\N
743216	2538	1994-01-30	PRIJEM	VKLAD	200	200	\N	\N	\N
743218	2538	1994-02-13	PRIJEM	PREVOD Z UCTU	6379	6579	DUCHOD	ST	65819728
743219	2538	1994-03-13	PRIJEM	PREVOD Z UCTU	6379	12958	DUCHOD	ST	65819728
743220	2538	1994-04-13	PRIJEM	PREVOD Z UCTU	6379	19337	DUCHOD	ST	65819728
743221	2538	1994-05-13	PRIJEM	PREVOD Z UCTU	6379	25716	DUCHOD	ST	65819728
743222	2538	1994-06-13	PRIJEM	PREVOD Z UCTU	6379	29401	DUCHOD	ST	65819728
743223	2538	1994-07-13	PRIJEM	PREVOD Z UCTU	6379	28473	DUCHOD	ST	65819728
743224	2538	1994-08-13	PRIJEM	PREVOD Z UCTU	6379	31063	DUCHOD	ST	65819728
743225	2538	1994-09-13	PRIJEM	PREVOD Z UCTU	6379	33263	DUCHOD	ST	65819728
743226	2538	1994-10-13	PRIJEM	PREVOD Z UCTU	6379	30469	DUCHOD	ST	65819728
743227	2538	1994-11-13	PRIJEM	PREVOD Z UCTU	6379	33268	DUCHOD	ST	65819728
743228	2538	1994-12-13	PRIJEM	PREVOD Z UCTU	6379	31670	DUCHOD	ST	65819728
743229	2538	1995-01-13	PRIJEM	PREVOD Z UCTU	6379	26029	DUCHOD	ST	65819728
743230	2538	1995-02-13	PRIJEM	PREVOD Z UCTU	6379	26168	DUCHOD	ST	65819728
743231	2538	1995-03-13	PRIJEM	PREVOD Z UCTU	6379	28948	DUCHOD	ST	65819728
743232	2538	1995-04-13	PRIJEM	PREVOD Z UCTU	6379	31339	DUCHOD	ST	65819728
743233	2538	1995-05-13	PRIJEM	PREVOD Z UCTU	6379	34140	DUCHOD	ST	65819728
743234	2538	1995-06-13	PRIJEM	PREVOD Z UCTU	6379	36953	DUCHOD	ST	65819728
743235	2538	1995-07-13	PRIJEM	PREVOD Z UCTU	6379	29760	DUCHOD	ST	65819728
743236	2538	1995-08-13	PRIJEM	PREVOD Z UCTU	6379	32557	DUCHOD	ST	65819728
743237	2538	1995-09-13	PRIJEM	PREVOD Z UCTU	6379	31763	DUCHOD	ST	65819728
743238	2538	1995-10-13	PRIJEM	PREVOD Z UCTU	6379	34566	DUCHOD	ST	65819728
743239	2538	1995-11-13	PRIJEM	PREVOD Z UCTU	6379	34778	DUCHOD	ST	65819728
743240	2538	1995-12-13	PRIJEM	PREVOD Z UCTU	6379	33738	DUCHOD	ST	65819728
743241	2538	1996-01-13	PRIJEM	PREVOD Z UCTU	6379	31687	DUCHOD	ST	65819728
743242	2538	1996-02-13	PRIJEM	PREVOD Z UCTU	6379	25766	DUCHOD	ST	65819728
743243	2538	1996-03-13	PRIJEM	PREVOD Z UCTU	6379	28544	DUCHOD	ST	65819728
743244	2538	1996-04-13	PRIJEM	PREVOD Z UCTU	6379	27428	DUCHOD	ST	65819728
743245	2538	1996-05-13	PRIJEM	PREVOD Z UCTU	6379	27330	DUCHOD	ST	65819728
743246	2538	1996-06-13	PRIJEM	PREVOD Z UCTU	6379	26269	DUCHOD	ST	65819728
743247	2538	1996-07-13	PRIJEM	PREVOD Z UCTU	6379	29048	DUCHOD	ST	65819728
743248	2538	1996-08-13	PRIJEM	PREVOD Z UCTU	6379	27632	DUCHOD	ST	65819728
743249	2538	1996-09-13	PRIJEM	PREVOD Z UCTU	6379	26109	DUCHOD	ST	65819728
743250	2538	1996-10-13	PRIJEM	PREVOD Z UCTU	6379	25882	DUCHOD	ST	65819728
743251	2538	1996-11-13	PRIJEM	PREVOD Z UCTU	6379	22414	DUCHOD	ST	65819728
743252	2538	1996-12-13	PRIJEM	PREVOD Z UCTU	6379	21971	DUCHOD	ST	65819728
743253	2538	1997-01-13	PRIJEM	PREVOD Z UCTU	6379	17292	DUCHOD	ST	65819728
743254	2538	1997-02-13	PRIJEM	PREVOD Z UCTU	6379	18028	DUCHOD	ST	65819728
743255	2538	1997-03-13	PRIJEM	PREVOD Z UCTU	6379	20773	DUCHOD	ST	65819728
743256	2538	1997-04-13	PRIJEM	PREVOD Z UCTU	6379	23530	DUCHOD	ST	65819728
743257	2538	1997-05-13	PRIJEM	PREVOD Z UCTU	6379	24092	DUCHOD	ST	65819728
743258	2538	1997-06-13	PRIJEM	PREVOD Z UCTU	6379	25522	DUCHOD	ST	65819728
743259	2538	1997-07-13	PRIJEM	PREVOD Z UCTU	6379	20577	DUCHOD	ST	65819728
743260	2538	1997-08-13	PRIJEM	PREVOD Z UCTU	6379	23333	DUCHOD	ST	65819728
743261	2538	1997-09-13	PRIJEM	PREVOD Z UCTU	6379	24258	DUCHOD	ST	65819728
743262	2538	1997-10-13	PRIJEM	PREVOD Z UCTU	6379	21346	DUCHOD	ST	65819728
743263	2538	1997-11-13	PRIJEM	PREVOD Z UCTU	6379	24103	DUCHOD	ST	65819728
743264	2538	1997-12-13	PRIJEM	PREVOD Z UCTU	6379	26523	DUCHOD	ST	65819728
743265	2538	1998-01-13	PRIJEM	PREVOD Z UCTU	6379	29301	DUCHOD	ST	65819728
743266	2538	1998-02-13	PRIJEM	PREVOD Z UCTU	6379	23274	DUCHOD	ST	65819728
743267	2538	1998-03-13	PRIJEM	PREVOD Z UCTU	6379	23880	DUCHOD	ST	65819728
743268	2538	1998-04-13	PRIJEM	PREVOD Z UCTU	6379	26650	DUCHOD	ST	65819728
743269	2538	1998-05-13	PRIJEM	PREVOD Z UCTU	6379	29430	DUCHOD	ST	65819728
743270	2538	1998-06-13	PRIJEM	PREVOD Z UCTU	6379	29015	DUCHOD	ST	65819728
743271	2538	1998-07-13	PRIJEM	PREVOD Z UCTU	6379	23740	DUCHOD	ST	65819728
743272	2538	1998-08-13	PRIJEM	PREVOD Z UCTU	6379	25706	DUCHOD	ST	65819728
743273	2538	1998-09-13	PRIJEM	PREVOD Z UCTU	6379	28482	DUCHOD	ST	65819728
743274	2538	1998-10-13	PRIJEM	PREVOD Z UCTU	6379	31270	DUCHOD	ST	65819728
743275	2538	1998-11-13	PRIJEM	PREVOD Z UCTU	6379	34069	DUCHOD	ST	65819728
743276	2538	1998-12-13	PRIJEM	PREVOD Z UCTU	6379	36879	DUCHOD	ST	65819728
743283	2538	1994-07-08	VYDAJ	PREVOD NA UCET	3689	22094	SIPO	EF	79103833
743284	2538	1994-08-08	VYDAJ	PREVOD NA UCET	3689	24684	SIPO	EF	79103833
743285	2538	1994-09-08	VYDAJ	PREVOD NA UCET	3689	26884	SIPO	EF	79103833
743286	2538	1994-10-08	VYDAJ	PREVOD NA UCET	3689	24090	SIPO	EF	79103833
743287	2538	1994-11-08	VYDAJ	PREVOD NA UCET	3689	26889	SIPO	EF	79103833
743288	2538	1994-12-08	VYDAJ	PREVOD NA UCET	3689	25291	SIPO	EF	79103833
743289	2538	1995-01-08	VYDAJ	PREVOD NA UCET	3689	21970	SIPO	EF	79103833
743290	2538	1995-02-08	VYDAJ	PREVOD NA UCET	3689	19789	SIPO	EF	79103833
743291	2538	1995-03-08	VYDAJ	PREVOD NA UCET	3689	22569	SIPO	EF	79103833
743292	2538	1995-04-08	VYDAJ	PREVOD NA UCET	3689	24960	SIPO	EF	79103833
743293	2538	1995-05-08	VYDAJ	PREVOD NA UCET	3689	27761	SIPO	EF	79103833
743294	2538	1995-06-08	VYDAJ	PREVOD NA UCET	3689	30574	SIPO	EF	79103833
743295	2538	1995-07-08	VYDAJ	PREVOD NA UCET	3689	26341	SIPO	EF	79103833
743296	2538	1995-08-08	VYDAJ	PREVOD NA UCET	3689	26178	SIPO	EF	79103833
743297	2538	1995-09-08	VYDAJ	PREVOD NA UCET	3689	25384	SIPO	EF	79103833
743298	2538	1995-10-08	VYDAJ	PREVOD NA UCET	3689	28187	SIPO	EF	79103833
743299	2538	1995-11-08	VYDAJ	PREVOD NA UCET	3689	28799	SIPO	EF	79103833
743300	2538	1995-12-08	VYDAJ	PREVOD NA UCET	3689	27809	SIPO	EF	79103833
743301	2538	1996-01-08	VYDAJ	PREVOD NA UCET	3689	28188	SIPO	EF	79103833
743302	2538	1996-02-08	VYDAJ	PREVOD NA UCET	3689	19387	SIPO	EF	79103833
743303	2538	1996-03-08	VYDAJ	PREVOD NA UCET	3689	22165	SIPO	EF	79103833
743304	2538	1996-04-08	VYDAJ	PREVOD NA UCET	3689	21049	SIPO	EF	79103833
743305	2538	1996-05-08	VYDAJ	PREVOD NA UCET	3689	20951	SIPO	EF	79103833
743306	2538	1996-06-08	VYDAJ	PREVOD NA UCET	3689	19890	SIPO	EF	79103833
743307	2538	1996-07-08	VYDAJ	PREVOD NA UCET	3689	22669	SIPO	EF	79103833
743308	2538	1996-08-08	VYDAJ	PREVOD NA UCET	3689	21253	SIPO	EF	79103833
743309	2538	1996-09-08	VYDAJ	PREVOD NA UCET	3689	19730	SIPO	EF	79103833
743310	2538	1996-10-08	VYDAJ	PREVOD NA UCET	3689	19503	SIPO	EF	79103833
743311	2538	1996-11-08	VYDAJ	PREVOD NA UCET	3689	16035	SIPO	EF	79103833
743312	2538	1996-12-08	VYDAJ	PREVOD NA UCET	3689	15592	SIPO	EF	79103833
743313	2538	1997-01-08	VYDAJ	PREVOD NA UCET	3689	10913	SIPO	EF	79103833
743314	2538	1997-02-08	VYDAJ	PREVOD NA UCET	3689	11649	SIPO	EF	79103833
743315	2538	1997-03-08	VYDAJ	PREVOD NA UCET	3689	14394	SIPO	EF	79103833
743316	2538	1997-04-08	VYDAJ	PREVOD NA UCET	3689	17151	SIPO	EF	79103833
743317	2538	1997-05-08	VYDAJ	PREVOD NA UCET	3689	17713	SIPO	EF	79103833
743318	2538	1997-06-08	VYDAJ	PREVOD NA UCET	3689	19143	SIPO	EF	79103833
743319	2538	1997-07-08	VYDAJ	PREVOD NA UCET	3689	14198	SIPO	EF	79103833
743320	2538	1997-08-08	VYDAJ	PREVOD NA UCET	3689	16954	SIPO	EF	79103833
743321	2538	1997-09-08	VYDAJ	PREVOD NA UCET	3689	17879	SIPO	EF	79103833
743322	2538	1997-10-08	VYDAJ	PREVOD NA UCET	3689	14967	SIPO	EF	79103833
743323	2538	1997-11-08	VYDAJ	PREVOD NA UCET	3689	17724	SIPO	EF	79103833
743324	2538	1997-12-08	VYDAJ	PREVOD NA UCET	3689	20144	SIPO	EF	79103833
743325	2538	1998-01-08	VYDAJ	PREVOD NA UCET	3689	22922	SIPO	EF	79103833
743326	2538	1998-02-08	VYDAJ	PREVOD NA UCET	3689	16895	SIPO	EF	79103833
743327	2538	1998-03-08	VYDAJ	PREVOD NA UCET	3689	19661	SIPO	EF	79103833
743328	2538	1998-04-08	VYDAJ	PREVOD NA UCET	3689	20271	SIPO	EF	79103833
743329	2538	1998-05-08	VYDAJ	PREVOD NA UCET	3689	23051	SIPO	EF	79103833
743330	2538	1998-06-08	VYDAJ	PREVOD NA UCET	3689	22636	SIPO	EF	79103833
743331	2538	1998-07-08	VYDAJ	PREVOD NA UCET	3689	17361	SIPO	EF	79103833
743332	2538	1998-08-08	VYDAJ	PREVOD NA UCET	3689	19327	SIPO	EF	79103833
743333	2538	1998-09-08	VYDAJ	PREVOD NA UCET	3689	22103	SIPO	EF	79103833
743334	2538	1998-10-08	VYDAJ	PREVOD NA UCET	3689	24891	SIPO	EF	79103833
743335	2538	1998-11-08	VYDAJ	PREVOD NA UCET	3689	27690	SIPO	EF	79103833
743336	2538	1998-12-08	VYDAJ	PREVOD NA UCET	3689	30500	SIPO	EF	79103833
743338	2538	1995-06-22	VYDAJ	VYBER	5450	31503	\N	\N	\N
743340	2538	1997-06-13	VYDAJ	VYBER	7700	17822	\N	\N	\N
743341	2538	1998-06-18	VYDAJ	VYBER	8050	20965	\N	\N	\N
743342	2538	1994-12-19	VYDAJ	VYBER	900	30770	\N	\N	\N
743343	2538	1995-12-11	VYDAJ	VYBER	450	27359	\N	\N	\N
743344	2538	1996-12-20	VYDAJ	VYBER	1450	17021	\N	\N	\N
743345	2538	1997-12-01	VYDAJ	VYBER	350	23833	\N	\N	\N
743346	2538	1998-12-28	VYDAJ	VYBER	400	36479	\N	\N	\N
743353	2538	1995-01-11	VYDAJ	VYBER	800	21170	\N	\N	\N
743354	2538	1995-01-25	VYDAJ	VYBER	1680	23389	\N	\N	\N
743355	2538	1995-01-12	VYDAJ	VYBER	1520	19650	\N	\N	\N
743356	2538	1995-01-04	VYDAJ	VYBER	1680	26299	\N	\N	\N
743357	2538	1995-01-19	VYDAJ	VYBER	960	25069	\N	\N	\N
743358	2538	1995-01-07	VYDAJ	VYBER	640	25659	\N	\N	\N
743359	2538	1996-01-20	VYDAJ	VYBER	1040	28727	\N	\N	\N
743360	2538	1996-01-16	VYDAJ	VYBER	1920	29767	\N	\N	\N
743361	2538	1996-01-02	VYDAJ	VYBER	1120	31877	\N	\N	\N
743362	2538	1996-01-09	VYDAJ	VYBER	480	27708	\N	\N	\N
743363	2538	1996-01-26	VYDAJ	VYBER	960	27767	\N	\N	\N
743364	2538	1996-01-28	VYDAJ	VYBER	960	26807	\N	\N	\N
743366	2538	1997-01-02	VYDAJ	VYBER	800	16282	\N	\N	\N
743367	2538	1997-01-15	VYDAJ	VYBER	2000	15292	\N	\N	\N
743369	2538	1997-01-05	VYDAJ	VYBER	720	14602	\N	\N	\N
743370	2538	1997-01-02	VYDAJ	VYBER	960	15322	\N	\N	\N
743371	2538	1998-01-18	VYDAJ	VYBER	1760	22901	\N	\N	\N
743372	2538	1998-01-14	VYDAJ	VYBER	880	24661	\N	\N	\N
743373	2538	1998-01-19	VYDAJ	VYBER	1600	21301	\N	\N	\N
743374	2538	1998-01-27	VYDAJ	VYBER	800	20501	\N	\N	\N
743375	2538	1998-01-13	VYDAJ	VYBER	1760	25541	\N	\N	\N
743376	2538	1998-01-13	VYDAJ	VYBER	2000	27301	\N	\N	\N
743377	2538	1994-11-17	VYDAJ	VYBER	3200	30068	\N	\N	\N
743379	2538	1995-07-10	VYDAJ	VYBER	2960	23381	\N	\N	\N
743380	2538	1995-11-10	VYDAJ	VYBER	400	28399	\N	\N	\N
743381	2538	1995-08-13	VYDAJ	VYBER	3600	28957	\N	\N	\N
743382	2538	1995-12-19	VYDAJ	VYBER	560	33178	\N	\N	\N
743384	2538	1996-11-02	VYDAJ	VYBER	3440	19724	\N	\N	\N
743385	2538	1996-01-12	VYDAJ	VYBER	2400	25308	\N	\N	\N
743386	2538	1996-02-01	VYDAJ	VYBER	3840	23076	\N	\N	\N
743387	2538	1996-04-25	VYDAJ	VYBER	2880	24548	\N	\N	\N
743388	2538	1996-05-29	VYDAJ	VYBER	640	23490	\N	\N	\N
743389	2538	1997-10-04	VYDAJ	VYBER	1200	18656	\N	\N	\N
743390	2538	1997-09-26	VYDAJ	VYBER	2960	21298	\N	\N	\N
743391	2538	1997-08-26	VYDAJ	VYBER	1840	21493	\N	\N	\N
743392	2538	1997-09-28	VYDAJ	VYBER	1520	19778	\N	\N	\N
743394	2538	1997-06-06	VYDAJ	VYBER	1040	22832	\N	\N	\N
743395	2538	1998-07-16	VYDAJ	VYBER	800	22940	\N	\N	\N
743396	2538	1998-05-17	VYDAJ	VYBER	3200	26230	\N	\N	\N
743397	2538	1998-03-10	VYDAJ	VYBER	2160	17501	\N	\N	\N
743404	2538	1994-06-30	VYDAJ	VYBER	15	25783	SLUZBY	\N	\N
743405	2538	1994-07-31	VYDAJ	VYBER	15	28373	SLUZBY	\N	\N
743406	2538	1994-08-31	VYDAJ	VYBER	15	30573	SLUZBY	\N	\N
743407	2538	1994-09-30	VYDAJ	VYBER	15	27779	SLUZBY	\N	\N
743408	2538	1994-10-31	VYDAJ	VYBER	15	30578	SLUZBY	\N	\N
743409	2538	1994-11-30	VYDAJ	VYBER	15	28980	SLUZBY	\N	\N
743410	2538	1994-12-31	VYDAJ	VYBER	15	27979	SLUZBY	\N	\N
743411	2538	1995-01-31	VYDAJ	VYBER	15	23478	SLUZBY	\N	\N
743412	2538	1995-02-28	VYDAJ	VYBER	15	26258	SLUZBY	\N	\N
743413	2538	1995-03-31	VYDAJ	VYBER	15	28649	SLUZBY	\N	\N
743414	2538	1995-04-30	VYDAJ	VYBER	15	31450	SLUZBY	\N	\N
743415	2538	1995-05-31	VYDAJ	VYBER	15	34263	SLUZBY	\N	\N
743416	2538	1995-06-30	VYDAJ	VYBER	15	30030	SLUZBY	\N	\N
743417	2538	1995-07-31	VYDAJ	VYBER	15	29867	SLUZBY	\N	\N
743418	2538	1995-08-31	VYDAJ	VYBER	15	29073	SLUZBY	\N	\N
743419	2538	1995-09-30	VYDAJ	VYBER	15	31876	SLUZBY	\N	\N
743420	2538	1995-10-31	VYDAJ	VYBER	15	32488	SLUZBY	\N	\N
743421	2538	1995-11-30	VYDAJ	VYBER	15	31498	SLUZBY	\N	\N
743422	2538	1995-12-31	VYDAJ	VYBER	15	32997	SLUZBY	\N	\N
743423	2538	1996-01-31	VYDAJ	VYBER	15	26916	SLUZBY	\N	\N
743424	2538	1996-02-29	VYDAJ	VYBER	15	25854	SLUZBY	\N	\N
743425	2538	1996-03-31	VYDAJ	VYBER	15	24738	SLUZBY	\N	\N
743426	2538	1996-04-30	VYDAJ	VYBER	15	24640	SLUZBY	\N	\N
743427	2538	1996-05-31	VYDAJ	VYBER	15	23579	SLUZBY	\N	\N
743428	2538	1996-06-30	VYDAJ	VYBER	15	26358	SLUZBY	\N	\N
743429	2538	1996-07-31	VYDAJ	VYBER	15	24942	SLUZBY	\N	\N
743430	2538	1996-08-31	VYDAJ	VYBER	15	23419	SLUZBY	\N	\N
743431	2538	1996-09-30	VYDAJ	VYBER	15	23192	SLUZBY	\N	\N
743432	2538	1996-10-31	VYDAJ	VYBER	15	23164	SLUZBY	\N	\N
743433	2538	1996-11-30	VYDAJ	VYBER	15	19281	SLUZBY	\N	\N
743434	2538	1996-12-31	VYDAJ	VYBER	15	17082	SLUZBY	\N	\N
743435	2538	1997-01-31	VYDAJ	VYBER	15	15338	SLUZBY	\N	\N
743436	2538	1997-02-28	VYDAJ	VYBER	15	18083	SLUZBY	\N	\N
743437	2538	1997-03-31	VYDAJ	VYBER	15	20840	SLUZBY	\N	\N
743438	2538	1997-04-30	VYDAJ	VYBER	15	21402	SLUZBY	\N	\N
743439	2538	1997-05-31	VYDAJ	VYBER	15	23872	SLUZBY	\N	\N
743440	2538	1997-06-30	VYDAJ	VYBER	15	17887	SLUZBY	\N	\N
743441	2538	1997-07-31	VYDAJ	VYBER	15	20643	SLUZBY	\N	\N
743442	2538	1997-08-31	VYDAJ	VYBER	15	21568	SLUZBY	\N	\N
743443	2538	1997-09-30	VYDAJ	VYBER	15	19856	SLUZBY	\N	\N
743444	2538	1997-10-31	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
743445	2538	1997-11-30	VYDAJ	VYBER	15	24183	SLUZBY	\N	\N
743446	2538	1997-12-31	VYDAJ	VYBER	15	26611	SLUZBY	\N	\N
743447	2538	1998-01-31	VYDAJ	VYBER	15	20584	SLUZBY	\N	\N
743448	2538	1998-02-28	VYDAJ	VYBER	15	23350	SLUZBY	\N	\N
743449	2538	1998-03-31	VYDAJ	VYBER	15	23960	SLUZBY	\N	\N
743450	2538	1998-04-30	VYDAJ	VYBER	15	26740	SLUZBY	\N	\N
743451	2538	1998-05-31	VYDAJ	VYBER	15	26325	SLUZBY	\N	\N
743452	2538	1998-06-30	VYDAJ	VYBER	15	21050	SLUZBY	\N	\N
743453	2538	1998-07-31	VYDAJ	VYBER	15	23016	SLUZBY	\N	\N
743454	2538	1998-08-31	VYDAJ	VYBER	15	25792	SLUZBY	\N	\N
743455	2538	1998-09-30	VYDAJ	VYBER	15	28580	SLUZBY	\N	\N
743456	2538	1998-10-31	VYDAJ	VYBER	15	31379	SLUZBY	\N	\N
743457	2538	1998-11-30	VYDAJ	VYBER	15	34189	SLUZBY	\N	\N
743458	2538	1994-05-30	VYDAJ	VYBER	2700	23016	\N	\N	\N
743459	2538	1994-06-29	VYDAJ	VYBER	3700	25701	\N	\N	\N
743460	2538	1994-07-29	VYDAJ	VYBER	200	28273	\N	\N	\N
743461	2538	1994-08-28	VYDAJ	VYBER	600	30463	\N	\N	\N
743462	2538	1994-09-27	VYDAJ	VYBER	5600	27663	\N	\N	\N
743463	2538	1994-11-26	VYDAJ	VYBER	1200	28868	\N	\N	\N
743464	2538	1994-12-26	VYDAJ	VYBER	2900	27870	\N	\N	\N
743465	2538	1995-03-26	VYDAJ	VYBER	400	28548	\N	\N	\N
743466	2538	1995-06-24	VYDAJ	VYBER	1600	29903	\N	\N	\N
743467	2538	1995-10-22	VYDAJ	VYBER	2200	32366	\N	\N	\N
743468	2538	1995-11-21	VYDAJ	VYBER	3400	31378	\N	\N	\N
743469	2538	1995-12-21	VYDAJ	VYBER	300	32878	\N	\N	\N
743470	2538	1996-03-20	VYDAJ	VYBER	3900	24644	\N	\N	\N
743471	2538	1996-05-19	VYDAJ	VYBER	3200	24130	\N	\N	\N
743472	2538	1996-07-18	VYDAJ	VYBER	4200	24848	\N	\N	\N
743473	2538	1996-08-17	VYDAJ	VYBER	4300	23332	\N	\N	\N
743474	2538	1996-09-16	VYDAJ	VYBER	3000	23109	\N	\N	\N
743475	2538	1996-10-16	VYDAJ	VYBER	2800	23082	\N	\N	\N
743476	2538	1996-11-15	VYDAJ	VYBER	3200	19214	\N	\N	\N
743477	2538	1996-12-15	VYDAJ	VYBER	3500	18471	\N	\N	\N
743478	2538	1997-04-14	VYDAJ	VYBER	2200	21330	\N	\N	\N
743479	2538	1997-05-14	VYDAJ	VYBER	300	23792	\N	\N	\N
743536	2539	1997-04-24	PRIJEM	VKLAD	500	500	\N	\N	\N
743541	2539	1997-05-05	PRIJEM	PREVOD Z UCTU	6160	6660	DUCHOD	EF	22219884
743542	2539	1997-06-05	PRIJEM	PREVOD Z UCTU	6160	12820	DUCHOD	EF	22219884
743543	2539	1997-07-05	PRIJEM	PREVOD Z UCTU	6160	18980	DUCHOD	EF	22219884
743544	2539	1997-08-05	PRIJEM	PREVOD Z UCTU	6160	25140	DUCHOD	EF	22219884
743545	2539	1997-09-05	PRIJEM	PREVOD Z UCTU	6160	31300	DUCHOD	EF	22219884
743546	2539	1997-10-05	PRIJEM	PREVOD Z UCTU	6160	30594	DUCHOD	EF	22219884
743547	2539	1997-11-05	PRIJEM	PREVOD Z UCTU	6160	33028	DUCHOD	EF	22219884
743548	2539	1997-12-05	PRIJEM	PREVOD Z UCTU	6160	33769	DUCHOD	EF	22219884
743549	2539	1998-01-05	PRIJEM	PREVOD Z UCTU	6160	32731	DUCHOD	EF	22219884
743550	2539	1998-02-05	PRIJEM	PREVOD Z UCTU	6160	23454	DUCHOD	EF	22219884
743551	2539	1998-03-05	PRIJEM	PREVOD Z UCTU	6160	25858	DUCHOD	EF	22219884
743552	2539	1998-04-05	PRIJEM	PREVOD Z UCTU	6160	27170	DUCHOD	EF	22219884
743553	2539	1998-05-05	PRIJEM	PREVOD Z UCTU	6160	28587	DUCHOD	EF	22219884
743554	2539	1998-06-05	PRIJEM	PREVOD Z UCTU	6160	27167	DUCHOD	EF	22219884
743555	2539	1998-07-05	PRIJEM	PREVOD Z UCTU	6160	29586	DUCHOD	EF	22219884
743556	2539	1998-08-05	PRIJEM	PREVOD Z UCTU	6160	27629	DUCHOD	EF	22219884
743557	2539	1998-09-05	PRIJEM	PREVOD Z UCTU	6160	30050	DUCHOD	EF	22219884
743558	2539	1998-10-05	PRIJEM	PREVOD Z UCTU	6160	32481	DUCHOD	EF	22219884
743559	2539	1998-11-05	PRIJEM	PREVOD Z UCTU	6160	34923	DUCHOD	EF	22219884
743560	2539	1998-12-05	PRIJEM	PREVOD Z UCTU	6160	32967	DUCHOD	EF	22219884
743569	2539	1997-09-10	VYDAJ	PREVOD NA UCET	1919	27477	SIPO	MN	2063680
743570	2539	1997-10-10	VYDAJ	PREVOD NA UCET	1919	26771	SIPO	MN	2063680
743571	2539	1997-11-10	VYDAJ	PREVOD NA UCET	1919	29205	SIPO	MN	2063680
743572	2539	1997-12-10	VYDAJ	PREVOD NA UCET	1919	29946	SIPO	MN	2063680
743573	2539	1998-01-10	VYDAJ	PREVOD NA UCET	1919	27068	SIPO	MN	2063680
743574	2539	1998-02-10	VYDAJ	PREVOD NA UCET	1919	19631	SIPO	MN	2063680
743575	2539	1998-03-10	VYDAJ	PREVOD NA UCET	1919	22035	SIPO	MN	2063680
743576	2539	1998-04-10	VYDAJ	PREVOD NA UCET	1919	23347	SIPO	MN	2063680
743577	2539	1998-05-10	VYDAJ	PREVOD NA UCET	1919	24764	SIPO	MN	2063680
743578	2539	1998-06-10	VYDAJ	PREVOD NA UCET	1919	23344	SIPO	MN	2063680
743579	2539	1998-07-10	VYDAJ	PREVOD NA UCET	1919	25763	SIPO	MN	2063680
743580	2539	1998-08-10	VYDAJ	PREVOD NA UCET	1919	23806	SIPO	MN	2063680
743581	2539	1998-09-10	VYDAJ	PREVOD NA UCET	1919	26227	SIPO	MN	2063680
743582	2539	1998-10-10	VYDAJ	PREVOD NA UCET	1919	28658	SIPO	MN	2063680
743583	2539	1998-11-10	VYDAJ	PREVOD NA UCET	1919	31100	SIPO	MN	2063680
743584	2539	1998-12-10	VYDAJ	PREVOD NA UCET	1919	29144	SIPO	MN	2063680
743593	2539	1997-09-06	VYDAJ	PREVOD NA UCET	1904	29396	 	MN	22129971
743594	2539	1997-10-06	VYDAJ	PREVOD NA UCET	1904	28690	 	MN	22129971
743595	2539	1997-11-06	VYDAJ	PREVOD NA UCET	1904	31124	 	MN	22129971
743596	2539	1997-12-06	VYDAJ	PREVOD NA UCET	1904	31865	 	MN	22129971
743597	2539	1998-01-06	VYDAJ	PREVOD NA UCET	1904	28987	 	MN	22129971
743598	2539	1998-02-06	VYDAJ	PREVOD NA UCET	1904	21550	 	MN	22129971
743599	2539	1998-03-06	VYDAJ	PREVOD NA UCET	1904	23954	 	MN	22129971
743600	2539	1998-04-06	VYDAJ	PREVOD NA UCET	1904	25266	 	MN	22129971
743601	2539	1998-05-06	VYDAJ	PREVOD NA UCET	1904	26683	 	MN	22129971
743602	2539	1998-06-06	VYDAJ	PREVOD NA UCET	1904	25263	 	MN	22129971
743603	2539	1998-07-06	VYDAJ	PREVOD NA UCET	1904	27682	 	MN	22129971
743604	2539	1998-08-06	VYDAJ	PREVOD NA UCET	1904	25725	 	MN	22129971
743605	2539	1998-09-06	VYDAJ	PREVOD NA UCET	1904	28146	 	MN	22129971
743606	2539	1998-10-06	VYDAJ	PREVOD NA UCET	1904	30577	 	MN	22129971
743607	2539	1998-11-06	VYDAJ	PREVOD NA UCET	1904	33019	 	MN	22129971
743608	2539	1998-12-06	VYDAJ	PREVOD NA UCET	1904	31063	 	MN	22129971
743612	2539	1998-01-23	VYDAJ	VYBER	3200	18248	\N	\N	\N
743613	2539	1997-12-10	VYDAJ	VYBER	700	29246	\N	\N	\N
743614	2539	1998-12-28	VYDAJ	VYBER	300	28844	\N	\N	\N
743621	2539	1998-01-23	VYDAJ	VYBER	2320	21448	\N	\N	\N
743622	2539	1998-01-06	VYDAJ	VYBER	1840	30891	\N	\N	\N
743623	2539	1998-01-30	VYDAJ	VYBER	640	17208	\N	\N	\N
743624	2539	1998-01-14	VYDAJ	VYBER	800	26268	\N	\N	\N
743625	2539	1998-01-04	VYDAJ	VYBER	1280	26571	\N	\N	\N
743626	2539	1998-01-24	VYDAJ	VYBER	400	17848	\N	\N	\N
743628	2539	1997-09-20	VYDAJ	VYBER	3120	24357	\N	\N	\N
743630	2539	1998-11-27	VYDAJ	VYBER	2160	26700	\N	\N	\N
743631	2539	1998-07-24	VYDAJ	VYBER	3680	21383	\N	\N	\N
743632	2539	1998-05-21	VYDAJ	VYBER	3440	20924	\N	\N	\N
743633	2539	1998-11-12	VYDAJ	VYBER	2240	28860	\N	\N	\N
743643	2539	1997-09-30	VYDAJ	VYBER	15	24434	SLUZBY	\N	\N
743644	2539	1997-10-31	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
743645	2539	1997-11-30	VYDAJ	VYBER	15	27609	SLUZBY	\N	\N
743646	2539	1997-12-31	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
743647	2539	1998-01-31	VYDAJ	VYBER	15	17294	SLUZBY	\N	\N
743648	2539	1998-02-28	VYDAJ	VYBER	15	19698	SLUZBY	\N	\N
743649	2539	1998-03-31	VYDAJ	VYBER	15	21010	SLUZBY	\N	\N
743650	2539	1998-04-30	VYDAJ	VYBER	15	22427	SLUZBY	\N	\N
743651	2539	1998-05-31	VYDAJ	VYBER	15	21007	SLUZBY	\N	\N
743652	2539	1998-06-30	VYDAJ	VYBER	15	23426	SLUZBY	\N	\N
743653	2539	1998-07-31	VYDAJ	VYBER	15	21469	SLUZBY	\N	\N
743654	2539	1998-08-31	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
743655	2539	1998-09-30	VYDAJ	VYBER	15	26321	SLUZBY	\N	\N
743656	2539	1998-10-31	VYDAJ	VYBER	15	28763	SLUZBY	\N	\N
743657	2539	1998-11-30	VYDAJ	VYBER	15	26807	SLUZBY	\N	\N
743658	2539	1997-11-20	VYDAJ	VYBER	1700	27505	\N	\N	\N
743659	2539	1997-12-20	VYDAJ	VYBER	1500	27746	\N	\N	\N
743660	2539	1998-01-19	VYDAJ	VYBER	2500	23768	\N	\N	\N
743661	2539	1998-03-20	VYDAJ	VYBER	1100	20935	\N	\N	\N
743662	2539	1998-04-19	VYDAJ	VYBER	1000	22347	\N	\N	\N
743663	2539	1998-05-19	VYDAJ	VYBER	400	24364	\N	\N	\N
743664	2539	1998-07-18	VYDAJ	VYBER	700	25063	\N	\N	\N
743681	2540	1995-04-01	PRIJEM	VKLAD	500	500	\N	\N	\N
743682	2540	1995-06-08	PRIJEM	VKLAD	2219	23266	\N	\N	\N
743683	2540	1995-06-28	PRIJEM	VKLAD	32763	58479	\N	\N	\N
743684	2540	1996-10-19	PRIJEM	VKLAD	10902	39082	\N	\N	\N
743685	2540	1996-05-17	PRIJEM	VKLAD	47371	74151	\N	\N	\N
743686	2540	1997-04-01	PRIJEM	VKLAD	2523	33589	\N	\N	\N
743687	2540	1997-08-24	PRIJEM	VKLAD	9293	47157	\N	\N	\N
743688	2540	1998-11-01	PRIJEM	VKLAD	43846	78004	\N	\N	\N
743689	2540	1998-06-09	PRIJEM	VKLAD	45411	66390	\N	\N	\N
743693	2540	1995-04-13	PRIJEM	VKLAD	1000	1500	\N	\N	\N
743694	2540	1995-05-13	PRIJEM	VKLAD	1000	12107	\N	\N	\N
743695	2540	1995-06-15	PRIJEM	VKLAD	1000	24016	\N	\N	\N
743696	2540	1995-07-14	PRIJEM	VKLAD	1000	43874	\N	\N	\N
743697	2540	1995-08-14	PRIJEM	VKLAD	1000	37741	\N	\N	\N
743698	2540	1995-09-15	PRIJEM	VKLAD	1000	34182	\N	\N	\N
743699	2540	1995-10-13	PRIJEM	VKLAD	1000	31909	\N	\N	\N
743700	2540	1995-11-16	PRIJEM	VKLAD	1000	32126	\N	\N	\N
743701	2540	1995-12-14	PRIJEM	VKLAD	1000	28344	\N	\N	\N
743702	2540	1996-01-14	PRIJEM	VKLAD	1000	22850	\N	\N	\N
743703	2540	1996-02-16	PRIJEM	VKLAD	1000	21431	\N	\N	\N
743704	2540	1996-03-16	PRIJEM	VKLAD	1000	23505	\N	\N	\N
743705	2540	1996-04-15	PRIJEM	VKLAD	1000	25589	\N	\N	\N
743706	2540	1996-05-15	PRIJEM	VKLAD	1000	26780	\N	\N	\N
743707	2540	1996-06-13	PRIJEM	VKLAD	1000	52321	\N	\N	\N
743708	2540	1996-07-17	PRIJEM	VKLAD	1000	39805	\N	\N	\N
743709	2540	1996-08-15	PRIJEM	VKLAD	1000	34648	\N	\N	\N
743710	2540	1996-09-13	PRIJEM	VKLAD	1000	30972	\N	\N	\N
743711	2540	1996-10-15	PRIJEM	VKLAD	1000	26480	\N	\N	\N
743712	2540	1996-11-15	PRIJEM	VKLAD	1000	33090	\N	\N	\N
743713	2540	1996-12-15	PRIJEM	VKLAD	1000	29259	\N	\N	\N
743714	2540	1997-01-15	PRIJEM	VKLAD	1000	29572	\N	\N	\N
743715	2540	1997-02-13	PRIJEM	VKLAD	1000	29686	\N	\N	\N
743716	2540	1997-03-13	PRIJEM	VKLAD	1000	33048	\N	\N	\N
743717	2540	1997-04-15	PRIJEM	VKLAD	1000	34589	\N	\N	\N
743718	2540	1997-05-13	PRIJEM	VKLAD	1000	36064	\N	\N	\N
743719	2540	1997-06-14	PRIJEM	VKLAD	1000	29956	\N	\N	\N
743720	2540	1997-07-13	PRIJEM	VKLAD	1000	32938	\N	\N	\N
743721	2540	1997-08-14	PRIJEM	VKLAD	1000	35764	\N	\N	\N
743722	2540	1997-09-17	PRIJEM	VKLAD	1000	48301	\N	\N	\N
743723	2540	1997-10-14	PRIJEM	VKLAD	1000	48583	\N	\N	\N
743724	2540	1997-11-15	PRIJEM	VKLAD	1000	47464	\N	\N	\N
743725	2540	1997-12-17	PRIJEM	VKLAD	1000	46738	\N	\N	\N
743726	2540	1998-01-17	PRIJEM	VKLAD	1000	46411	\N	\N	\N
743727	2540	1998-02-13	PRIJEM	VKLAD	1000	45684	\N	\N	\N
743728	2540	1998-03-14	PRIJEM	VKLAD	1000	47657	\N	\N	\N
743729	2540	1998-04-13	PRIJEM	VKLAD	1000	45132	\N	\N	\N
743730	2540	1998-05-16	PRIJEM	VKLAD	1000	43106	\N	\N	\N
743731	2540	1998-06-17	PRIJEM	VKLAD	1000	50490	\N	\N	\N
743732	2540	1998-07-13	PRIJEM	VKLAD	1000	53392	\N	\N	\N
743733	2540	1998-08-16	PRIJEM	VKLAD	1000	33967	\N	\N	\N
743734	2540	1998-09-15	PRIJEM	VKLAD	1000	30810	\N	\N	\N
743735	2540	1998-10-14	PRIJEM	VKLAD	1000	33035	\N	\N	\N
743736	2540	1998-11-15	PRIJEM	VKLAD	1000	53804	\N	\N	\N
743737	2540	1998-12-16	PRIJEM	VKLAD	1000	45385	\N	\N	\N
743741	2540	1995-04-18	PRIJEM	VKLAD	1700	3200	\N	\N	\N
743742	2540	1995-05-18	PRIJEM	VKLAD	1700	13807	\N	\N	\N
743743	2540	1995-06-18	PRIJEM	VKLAD	1700	25716	\N	\N	\N
743744	2540	1995-07-18	PRIJEM	VKLAD	1700	45574	\N	\N	\N
743745	2540	1995-08-18	PRIJEM	VKLAD	1700	39441	\N	\N	\N
743746	2540	1995-09-18	PRIJEM	VKLAD	1700	35882	\N	\N	\N
743747	2540	1995-10-18	PRIJEM	VKLAD	1700	33609	\N	\N	\N
743748	2540	1995-11-18	PRIJEM	VKLAD	1700	33826	\N	\N	\N
743749	2540	1995-12-18	PRIJEM	VKLAD	1700	30044	\N	\N	\N
743750	2540	1996-01-18	PRIJEM	VKLAD	1700	24100	\N	\N	\N
743751	2540	1996-02-18	PRIJEM	VKLAD	1700	23131	\N	\N	\N
743752	2540	1996-03-18	PRIJEM	VKLAD	1700	25205	\N	\N	\N
743753	2540	1996-04-18	PRIJEM	VKLAD	1700	27289	\N	\N	\N
743754	2540	1996-05-18	PRIJEM	VKLAD	1700	75851	\N	\N	\N
743755	2540	1996-06-18	PRIJEM	VKLAD	1700	50121	\N	\N	\N
743756	2540	1996-07-18	PRIJEM	VKLAD	1700	41505	\N	\N	\N
743757	2540	1996-08-18	PRIJEM	VKLAD	1700	36348	\N	\N	\N
743758	2540	1996-09-18	PRIJEM	VKLAD	1700	32672	\N	\N	\N
743759	2540	1996-10-18	PRIJEM	VKLAD	1700	28180	\N	\N	\N
743760	2540	1996-11-18	PRIJEM	VKLAD	1700	34790	\N	\N	\N
743761	2540	1996-12-18	PRIJEM	VKLAD	1700	30959	\N	\N	\N
743762	2540	1997-01-18	PRIJEM	VKLAD	1700	30072	\N	\N	\N
743763	2540	1997-02-18	PRIJEM	VKLAD	1700	31386	\N	\N	\N
743764	2540	1997-03-18	PRIJEM	VKLAD	1700	34748	\N	\N	\N
743765	2540	1997-04-18	PRIJEM	VKLAD	1700	36289	\N	\N	\N
743766	2540	1997-05-18	PRIJEM	VKLAD	1700	37764	\N	\N	\N
743767	2540	1997-06-18	PRIJEM	VKLAD	1700	31656	\N	\N	\N
743768	2540	1997-07-18	PRIJEM	VKLAD	1700	34638	\N	\N	\N
743769	2540	1997-08-18	PRIJEM	VKLAD	1700	37864	\N	\N	\N
743770	2540	1997-09-18	PRIJEM	VKLAD	1700	47401	\N	\N	\N
743771	2540	1997-10-18	PRIJEM	VKLAD	1700	46983	\N	\N	\N
743772	2540	1997-11-18	PRIJEM	VKLAD	1700	43564	\N	\N	\N
743773	2540	1997-12-18	PRIJEM	VKLAD	1700	48438	\N	\N	\N
743774	2540	1998-01-18	PRIJEM	VKLAD	1700	48111	\N	\N	\N
743775	2540	1998-02-18	PRIJEM	VKLAD	1700	46484	\N	\N	\N
743776	2540	1998-03-18	PRIJEM	VKLAD	1700	45357	\N	\N	\N
743777	2540	1998-04-18	PRIJEM	VKLAD	1700	45832	\N	\N	\N
743778	2540	1998-05-18	PRIJEM	VKLAD	1700	44806	\N	\N	\N
743779	2540	1998-06-18	PRIJEM	VKLAD	1700	52190	\N	\N	\N
743780	2540	1998-07-18	PRIJEM	VKLAD	1700	41192	\N	\N	\N
743781	2540	1998-08-18	PRIJEM	VKLAD	1700	35667	\N	\N	\N
743782	2540	1998-09-18	PRIJEM	VKLAD	1700	32510	\N	\N	\N
743783	2540	1998-10-18	PRIJEM	VKLAD	1700	34735	\N	\N	\N
743784	2540	1998-11-18	PRIJEM	VKLAD	1700	55504	\N	\N	\N
743785	2540	1998-12-18	PRIJEM	VKLAD	1700	47085	\N	\N	\N
743787	2540	1996-06-14	VYDAJ	VYBER	3900	48421	\N	\N	\N
743788	2540	1997-06-03	VYDAJ	VYBER	9800	28956	\N	\N	\N
743789	2540	1998-06-04	VYDAJ	VYBER	24000	20979	\N	\N	\N
743790	2540	1995-12-01	VYDAJ	VYBER	2600	27344	\N	\N	\N
743791	2540	1996-12-24	VYDAJ	VYBER	600	32359	\N	\N	\N
743792	2540	1997-12-24	VYDAJ	VYBER	2500	45938	\N	\N	\N
743793	2540	1998-12-25	VYDAJ	VYBER KARTOU	2900	43585	\N	\N	0
743800	2540	1996-01-03	VYDAJ	VYBER	250	24600	\N	\N	\N
743801	2540	1996-01-11	VYDAJ	VYBER	1350	21850	\N	\N	\N
743802	2540	1996-01-06	VYDAJ	VYBER	450	23200	\N	\N	\N
743803	2540	1996-01-27	VYDAJ	VYBER	1450	20350	\N	\N	\N
743804	2540	1996-01-15	VYDAJ	VYBER	450	22400	\N	\N	\N
743805	2540	1996-01-04	VYDAJ	VYBER	950	23650	\N	\N	\N
743806	2540	1997-01-06	VYDAJ	VYBER	1400	31072	\N	\N	\N
743807	2540	1997-01-10	VYDAJ	VYBER	1100	29972	\N	\N	\N
743808	2540	1997-01-16	VYDAJ	VYBER	1200	28372	\N	\N	\N
743809	2540	1997-01-28	VYDAJ	VYBER	750	29572	\N	\N	\N
743810	2540	1997-01-27	VYDAJ	VYBER	1350	30322	\N	\N	\N
743811	2540	1997-01-28	VYDAJ	VYBER	1000	28572	\N	\N	\N
743812	2540	1998-01-29	VYDAJ	VYBER KARTOU	700	45311	\N	\N	0
743813	2540	1998-01-04	VYDAJ	VYBER	1300	43561	\N	\N	\N
743814	2540	1998-01-14	VYDAJ	VYBER	750	42811	\N	\N	\N
743815	2540	1998-01-02	VYDAJ	VYBER	1250	44861	\N	\N	\N
743816	2540	1998-01-29	VYDAJ	VYBER KARTOU	800	44511	\N	\N	0
743817	2540	1998-01-21	VYDAJ	VYBER	1050	47061	\N	\N	\N
743822	2540	1995-06-11	VYDAJ	VYBER	250	23016	\N	\N	\N
743823	2540	1996-11-19	VYDAJ	VYBER	1650	33140	\N	\N	\N
743824	2540	1996-11-10	VYDAJ	VYBER	1400	32090	\N	\N	\N
743825	2540	1996-12-03	VYDAJ	VYBER	1500	28259	\N	\N	\N
743826	2540	1996-09-06	VYDAJ	VYBER	1000	29972	\N	\N	\N
743827	2540	1996-06-20	VYDAJ	VYBER	1600	48521	\N	\N	\N
743828	2540	1997-11-10	VYDAJ	VYBER	700	46464	\N	\N	\N
743829	2540	1997-02-26	VYDAJ	VYBER	2450	31936	\N	\N	\N
743830	2540	1997-05-01	VYDAJ	VYBER	1250	35064	\N	\N	\N
743831	2540	1997-01-12	VYDAJ	VYBER	1400	28572	\N	\N	\N
743832	2540	1997-05-26	VYDAJ	VYBER	2250	38614	\N	\N	\N
743833	2540	1997-07-09	VYDAJ	VYBER	1950	31938	\N	\N	\N
743834	2540	1998-11-20	VYDAJ	VYBER KARTOU	1500	54004	\N	\N	0
743835	2540	1998-04-03	VYDAJ	VYBER KARTOU	1400	44132	\N	\N	0
743836	2540	1998-10-19	VYDAJ	VYBER KARTOU	700	34035	\N	\N	0
743837	2540	1998-12-21	VYDAJ	VYBER KARTOU	600	46485	\N	\N	0
743838	2540	1998-01-22	VYDAJ	VYBER	1050	46011	\N	\N	\N
743845	2540	1995-06-30	VYDAJ	VYBER	15	58574	SLUZBY	\N	\N
743846	2540	1995-07-31	VYDAJ	VYBER	15	36741	SLUZBY	\N	\N
743847	2540	1995-08-31	VYDAJ	VYBER	15	33182	SLUZBY	\N	\N
743848	2540	1995-09-30	VYDAJ	VYBER	15	30909	SLUZBY	\N	\N
743849	2540	1995-10-31	VYDAJ	VYBER	15	31126	SLUZBY	\N	\N
743850	2540	1995-11-30	VYDAJ	VYBER	15	29944	SLUZBY	\N	\N
743851	2540	1995-12-31	VYDAJ	VYBER	15	24850	SLUZBY	\N	\N
743852	2540	1996-01-31	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
743853	2540	1996-02-29	VYDAJ	VYBER	15	22505	SLUZBY	\N	\N
743854	2540	1996-03-31	VYDAJ	VYBER	15	24589	SLUZBY	\N	\N
743855	2540	1996-04-30	VYDAJ	VYBER	15	25780	SLUZBY	\N	\N
743856	2540	1996-05-31	VYDAJ	VYBER	15	51321	SLUZBY	\N	\N
743857	2540	1996-06-30	VYDAJ	VYBER	15	38805	SLUZBY	\N	\N
743858	2540	1996-07-31	VYDAJ	VYBER	15	33648	SLUZBY	\N	\N
743859	2540	1996-08-31	VYDAJ	VYBER	15	30972	SLUZBY	\N	\N
743860	2540	1996-09-30	VYDAJ	VYBER	15	25480	SLUZBY	\N	\N
743861	2540	1996-10-31	VYDAJ	VYBER	15	33490	SLUZBY	\N	\N
743862	2540	1996-11-30	VYDAJ	VYBER	15	29759	SLUZBY	\N	\N
743863	2540	1996-12-31	VYDAJ	VYBER	15	32472	SLUZBY	\N	\N
743864	2540	1997-01-31	VYDAJ	VYBER	15	28686	SLUZBY	\N	\N
743865	2540	1997-02-28	VYDAJ	VYBER	15	32048	SLUZBY	\N	\N
743866	2540	1997-03-31	VYDAJ	VYBER	15	31066	SLUZBY	\N	\N
743867	2540	1997-04-30	VYDAJ	VYBER	15	36314	SLUZBY	\N	\N
743868	2540	1997-05-31	VYDAJ	VYBER	15	38756	SLUZBY	\N	\N
743869	2540	1997-06-30	VYDAJ	VYBER	15	33888	SLUZBY	\N	\N
743870	2540	1997-07-31	VYDAJ	VYBER	15	34764	SLUZBY	\N	\N
743871	2540	1997-08-31	VYDAJ	VYBER	15	47301	SLUZBY	\N	\N
743872	2540	1997-09-30	VYDAJ	VYBER	15	47583	SLUZBY	\N	\N
743873	2540	1997-10-31	VYDAJ	VYBER	15	47164	SLUZBY	\N	\N
743874	2540	1997-11-30	VYDAJ	VYBER	15	43738	SLUZBY	\N	\N
743875	2540	1997-12-31	VYDAJ	VYBER	15	46111	SLUZBY	\N	\N
743876	2540	1998-01-31	VYDAJ	VYBER	15	44684	SLUZBY	\N	\N
743877	2540	1998-02-28	VYDAJ	VYBER	15	46657	SLUZBY	\N	\N
743878	2540	1998-03-31	VYDAJ	VYBER	15	45532	SLUZBY	\N	\N
743879	2540	1998-04-30	VYDAJ	VYBER	15	46006	SLUZBY	\N	\N
743880	2540	1998-05-31	VYDAJ	VYBER	15	44979	SLUZBY	\N	\N
743881	2540	1998-06-30	VYDAJ	VYBER	15	52392	SLUZBY	\N	\N
743882	2540	1998-07-31	VYDAJ	VYBER	15	41367	SLUZBY	\N	\N
743883	2540	1998-08-31	VYDAJ	VYBER	15	35810	SLUZBY	\N	\N
743884	2540	1998-09-30	VYDAJ	VYBER	15	32635	SLUZBY	\N	\N
743885	2540	1998-10-31	VYDAJ	VYBER	15	34158	SLUZBY	\N	\N
743886	2540	1998-11-30	VYDAJ	VYBER	15	54185	SLUZBY	\N	\N
743887	2540	1995-05-01	PRIJEM	VKLAD	7900	11107	\N	\N	\N
743888	2540	1995-05-31	PRIJEM	VKLAD	7200	21047	\N	\N	\N
743889	2540	1995-06-30	VYDAJ	VYBER	15700	42874	\N	\N	\N
743890	2540	1995-07-30	VYDAJ	VYBER	9000	36574	\N	\N	\N
743891	2540	1995-08-29	VYDAJ	VYBER	6400	33041	\N	\N	\N
743892	2540	1995-09-28	VYDAJ	VYBER	5100	30782	\N	\N	\N
743893	2540	1995-10-28	VYDAJ	VYBER	2600	31009	\N	\N	\N
743894	2540	1995-11-27	VYDAJ	VYBER	4000	29826	\N	\N	\N
743895	2540	1995-12-27	VYDAJ	VYBER	5300	24744	\N	\N	\N
743896	2540	1996-01-26	VYDAJ	VYBER	2300	21800	\N	\N	\N
743897	2540	1996-02-25	VYDAJ	VYBER	700	22431	\N	\N	\N
743898	2540	1996-03-26	VYDAJ	VYBER	700	24505	\N	\N	\N
743899	2540	1996-04-25	VYDAJ	VYBER	1600	25689	\N	\N	\N
743900	2540	1996-05-25	VYDAJ	VYBER	24700	51151	\N	\N	\N
743901	2540	1996-06-24	VYDAJ	VYBER	9900	38621	\N	\N	\N
743902	2540	1996-07-24	VYDAJ	VYBER	8000	33505	\N	\N	\N
743903	2540	1996-08-23	VYDAJ	VYBER	5500	30848	\N	\N	\N
743904	2540	1996-09-22	VYDAJ	VYBER	7300	25372	\N	\N	\N
743905	2540	1996-10-22	VYDAJ	VYBER	5700	33382	\N	\N	\N
743906	2540	1996-11-21	VYDAJ	VYBER	3500	29640	\N	\N	\N
743907	2540	1996-12-21	PRIJEM	VKLAD	2000	32959	\N	\N	\N
743908	2540	1997-01-20	PRIJEM	VKLAD	1600	31672	\N	\N	\N
743909	2540	1997-02-19	PRIJEM	VKLAD	3000	34386	\N	\N	\N
743910	2540	1997-03-21	VYDAJ	VYBER	3800	30948	\N	\N	\N
743911	2540	1997-04-20	VYDAJ	VYBER	100	36189	\N	\N	\N
743912	2540	1997-05-20	PRIJEM	VKLAD	3100	40864	\N	\N	\N
743913	2540	1997-06-19	PRIJEM	VKLAD	2100	33756	\N	\N	\N
743914	2540	1997-08-18	PRIJEM	VKLAD	400	36164	\N	\N	\N
743915	2540	1997-09-17	VYDAJ	VYBER	2600	45701	\N	\N	\N
743916	2540	1997-10-17	VYDAJ	VYBER	3300	45283	\N	\N	\N
743917	2540	1997-11-16	VYDAJ	VYBER	5600	41864	\N	\N	\N
743918	2540	1997-12-16	PRIJEM	VKLAD	2000	45738	\N	\N	\N
743919	2540	1998-01-15	PRIJEM	VKLAD	2600	45411	\N	\N	\N
743920	2540	1998-02-14	VYDAJ	VYBER KARTOU	900	44784	\N	\N	0
743921	2540	1998-03-16	VYDAJ	VYBER KARTOU	4000	43657	\N	\N	0
743922	2540	1998-04-15	VYDAJ	VYBER KARTOU	1000	44132	\N	\N	0
743923	2540	1998-05-15	VYDAJ	VYBER KARTOU	3900	42106	\N	\N	0
743924	2540	1998-06-14	VYDAJ	VYBER	16900	49490	\N	\N	\N
743925	2540	1998-07-14	VYDAJ	VYBER	13900	39492	\N	\N	\N
743926	2540	1998-08-13	VYDAJ	VYBER	8400	32967	\N	\N	\N
743927	2540	1998-09-12	VYDAJ	VYBER	6000	29810	\N	\N	\N
743928	2540	1998-10-12	VYDAJ	VYBER KARTOU	600	32035	\N	\N	0
743929	2540	1998-11-11	VYDAJ	VYBER	25200	52804	\N	\N	\N
743930	2540	1998-12-11	VYDAJ	VYBER	9800	44385	\N	\N	\N
743976	2541	1994-11-08	PRIJEM	VKLAD	400	400	\N	\N	\N
743987	2541	1994-11-12	PRIJEM	VKLAD	13490	13890	\N	\N	\N
743988	2541	1994-12-12	PRIJEM	VKLAD	20235	38062	\N	\N	\N
743989	2541	1995-01-12	PRIJEM	VKLAD	13490	45475	\N	\N	\N
743990	2541	1995-02-12	PRIJEM	VKLAD	13490	45843	\N	\N	\N
743991	2541	1995-03-12	PRIJEM	VKLAD	13490	49723	\N	\N	\N
743992	2541	1995-04-12	PRIJEM	VKLAD	13490	47216	\N	\N	\N
743993	2541	1995-05-12	PRIJEM	VKLAD	13490	44116	\N	\N	\N
743994	2541	1995-06-12	PRIJEM	VKLAD	20235	48155	\N	\N	\N
743995	2541	1995-07-12	PRIJEM	VKLAD	13490	43750	\N	\N	\N
743996	2541	1995-08-12	PRIJEM	VKLAD	13490	44117	\N	\N	\N
743997	2541	1995-09-12	PRIJEM	VKLAD	13490	43101	\N	\N	\N
743998	2541	1995-10-12	PRIJEM	VKLAD	13490	44284	\N	\N	\N
743999	2541	1995-11-12	PRIJEM	VKLAD	13490	39231	\N	\N	\N
744000	2541	1995-12-12	PRIJEM	VKLAD	20235	51522	\N	\N	\N
744001	2541	1996-01-12	PRIJEM	VKLAD	13490	47024	\N	\N	\N
744002	2541	1996-02-12	PRIJEM	VKLAD	13490	40645	\N	\N	\N
744003	2541	1996-03-12	PRIJEM	VKLAD	13490	44605	\N	\N	\N
744004	2541	1996-04-12	PRIJEM	VKLAD	13490	42302	\N	\N	\N
744005	2541	1996-05-12	PRIJEM	VKLAD	13490	44874	\N	\N	\N
744006	2541	1996-06-12	PRIJEM	VKLAD	20235	49205	\N	\N	\N
744007	2541	1996-07-12	PRIJEM	VKLAD	13490	44195	\N	\N	\N
744008	2541	1996-08-12	PRIJEM	VKLAD	13490	45275	\N	\N	\N
744009	2541	1996-09-12	PRIJEM	VKLAD	13490	43748	\N	\N	\N
744010	2541	1996-10-12	PRIJEM	VKLAD	13490	38913	\N	\N	\N
744011	2541	1996-11-12	PRIJEM	VKLAD	13490	35687	\N	\N	\N
744012	2541	1996-12-12	PRIJEM	VKLAD	20235	41315	\N	\N	\N
744013	2541	1997-01-12	PRIJEM	VKLAD	13490	36953	\N	\N	\N
744014	2541	1997-02-12	PRIJEM	VKLAD	13490	35253	\N	\N	\N
744015	2541	1997-03-12	PRIJEM	VKLAD	13490	43596	\N	\N	\N
744016	2541	1997-04-12	PRIJEM	VKLAD	13490	46011	\N	\N	\N
744017	2541	1997-05-12	PRIJEM	VKLAD	13490	49218	\N	\N	\N
744018	2541	1997-06-12	PRIJEM	VKLAD	20235	55660	\N	\N	\N
744019	2541	1997-07-12	PRIJEM	VKLAD	13490	37046	\N	\N	\N
744020	2541	1997-08-12	PRIJEM	VKLAD	13490	45497	\N	\N	\N
744021	2541	1997-09-12	PRIJEM	VKLAD	13490	50180	\N	\N	\N
744022	2541	1997-10-12	PRIJEM	VKLAD	13490	50576	\N	\N	\N
744023	2541	1997-11-12	PRIJEM	VKLAD	13490	52877	\N	\N	\N
744024	2541	1997-12-12	PRIJEM	VKLAD	20235	57328	\N	\N	\N
744025	2541	1998-01-12	PRIJEM	VKLAD	13490	58289	\N	\N	\N
744026	2541	1998-02-12	PRIJEM	VKLAD	13490	40474	\N	\N	\N
744027	2541	1998-03-12	PRIJEM	VKLAD	13490	51142	\N	\N	\N
744028	2541	1998-04-12	PRIJEM	VKLAD	13490	55146	\N	\N	\N
744029	2541	1998-05-12	PRIJEM	VKLAD	13490	58765	\N	\N	\N
744030	2541	1998-06-12	PRIJEM	VKLAD	20235	69144	\N	\N	\N
744031	2541	1998-07-12	PRIJEM	VKLAD	13490	55630	\N	\N	\N
744032	2541	1998-08-12	PRIJEM	VKLAD	13490	58750	\N	\N	\N
744033	2541	1998-09-12	PRIJEM	VKLAD	13490	53613	\N	\N	\N
744034	2541	1998-10-12	PRIJEM	VKLAD	13490	59127	\N	\N	\N
744035	2541	1998-11-12	PRIJEM	VKLAD	13490	66467	\N	\N	\N
744036	2541	1998-12-12	PRIJEM	VKLAD	20235	73369	\N	\N	\N
744052	2541	1995-04-10	VYDAJ	PREVOD NA UCET	1822	33726	SIPO	IJ	5857146
744053	2541	1995-05-10	VYDAJ	PREVOD NA UCET	1822	30626	SIPO	IJ	5857146
744054	2541	1995-06-10	VYDAJ	PREVOD NA UCET	1822	27920	SIPO	IJ	5857146
744055	2541	1995-07-10	VYDAJ	PREVOD NA UCET	1822	30260	SIPO	IJ	5857146
744056	2541	1995-08-10	VYDAJ	PREVOD NA UCET	1822	30627	SIPO	IJ	5857146
744057	2541	1995-09-10	VYDAJ	PREVOD NA UCET	1822	29611	SIPO	IJ	5857146
744058	2541	1995-10-10	VYDAJ	PREVOD NA UCET	1822	30794	SIPO	IJ	5857146
744059	2541	1995-11-10	VYDAJ	PREVOD NA UCET	1822	25741	SIPO	IJ	5857146
744060	2541	1995-12-10	VYDAJ	PREVOD NA UCET	1822	31287	SIPO	IJ	5857146
744061	2541	1996-01-10	VYDAJ	PREVOD NA UCET	1822	34614	SIPO	IJ	5857146
744062	2541	1996-02-10	VYDAJ	PREVOD NA UCET	1822	27155	SIPO	IJ	5857146
744063	2541	1996-03-10	VYDAJ	PREVOD NA UCET	1822	31115	SIPO	IJ	5857146
744064	2541	1996-04-10	VYDAJ	PREVOD NA UCET	1822	28812	SIPO	IJ	5857146
744065	2541	1996-05-10	VYDAJ	PREVOD NA UCET	1822	31384	SIPO	IJ	5857146
744066	2541	1996-06-10	VYDAJ	PREVOD NA UCET	1822	28970	SIPO	IJ	5857146
744067	2541	1996-07-10	VYDAJ	PREVOD NA UCET	1822	30705	SIPO	IJ	5857146
744068	2541	1996-08-10	VYDAJ	PREVOD NA UCET	1822	31785	SIPO	IJ	5857146
744069	2541	1996-09-10	VYDAJ	PREVOD NA UCET	1822	30258	SIPO	IJ	5857146
744070	2541	1996-10-10	VYDAJ	PREVOD NA UCET	1822	25423	SIPO	IJ	5857146
744071	2541	1996-11-10	VYDAJ	PREVOD NA UCET	1822	23637	SIPO	IJ	5857146
744072	2541	1996-12-10	VYDAJ	PREVOD NA UCET	1822	21080	SIPO	IJ	5857146
744073	2541	1997-01-10	VYDAJ	PREVOD NA UCET	1822	23463	SIPO	IJ	5857146
744074	2541	1997-02-10	VYDAJ	PREVOD NA UCET	1822	21763	SIPO	IJ	5857146
744075	2541	1997-03-10	VYDAJ	PREVOD NA UCET	1822	30106	SIPO	IJ	5857146
744076	2541	1997-04-10	VYDAJ	PREVOD NA UCET	1822	32521	SIPO	IJ	5857146
744077	2541	1997-05-10	VYDAJ	PREVOD NA UCET	1822	37408	SIPO	IJ	5857146
744078	2541	1997-06-10	VYDAJ	PREVOD NA UCET	1822	35425	SIPO	IJ	5857146
744079	2541	1997-07-10	VYDAJ	PREVOD NA UCET	1822	23556	SIPO	IJ	5857146
744080	2541	1997-08-10	VYDAJ	PREVOD NA UCET	1822	32007	SIPO	IJ	5857146
744081	2541	1997-09-10	VYDAJ	PREVOD NA UCET	1822	36690	SIPO	IJ	5857146
744082	2541	1997-10-10	VYDAJ	PREVOD NA UCET	1822	37086	SIPO	IJ	5857146
744083	2541	1997-11-10	VYDAJ	PREVOD NA UCET	1822	39387	SIPO	IJ	5857146
744084	2541	1997-12-10	VYDAJ	PREVOD NA UCET	1822	37093	SIPO	IJ	5857146
744085	2541	1998-01-10	VYDAJ	PREVOD NA UCET	1822	44799	SIPO	IJ	5857146
744086	2541	1998-02-10	VYDAJ	PREVOD NA UCET	1822	26984	SIPO	IJ	5857146
744087	2541	1998-03-10	VYDAJ	PREVOD NA UCET	1822	37652	SIPO	IJ	5857146
744088	2541	1998-04-10	VYDAJ	PREVOD NA UCET	1822	41656	SIPO	IJ	5857146
744089	2541	1998-05-10	VYDAJ	PREVOD NA UCET	1822	45275	SIPO	IJ	5857146
744090	2541	1998-06-10	VYDAJ	PREVOD NA UCET	1822	48909	SIPO	IJ	5857146
744091	2541	1998-07-10	VYDAJ	PREVOD NA UCET	1822	42140	SIPO	IJ	5857146
744092	2541	1998-08-10	VYDAJ	PREVOD NA UCET	1822	45260	SIPO	IJ	5857146
744093	2541	1998-09-10	VYDAJ	PREVOD NA UCET	1822	40123	SIPO	IJ	5857146
744094	2541	1998-10-10	VYDAJ	PREVOD NA UCET	1822	45637	SIPO	IJ	5857146
744095	2541	1998-11-10	VYDAJ	PREVOD NA UCET	1822	52977	SIPO	IJ	5857146
744096	2541	1998-12-10	VYDAJ	PREVOD NA UCET	1822	53134	SIPO	IJ	5857146
744111	2541	1995-03-14	VYDAJ	PREVOD NA UCET	2238	47485	 	ST	76871382
744112	2541	1995-04-14	VYDAJ	PREVOD NA UCET	2238	44978	 	ST	76871382
744113	2541	1995-05-14	VYDAJ	PREVOD NA UCET	2238	41878	 	ST	76871382
744114	2541	1995-06-14	VYDAJ	PREVOD NA UCET	2238	45917	 	ST	76871382
744115	2541	1995-07-14	VYDAJ	PREVOD NA UCET	2238	41512	 	ST	76871382
744116	2541	1995-08-14	VYDAJ	PREVOD NA UCET	2238	41879	 	ST	76871382
744117	2541	1995-09-14	VYDAJ	PREVOD NA UCET	2238	40863	 	ST	76871382
744118	2541	1995-10-14	VYDAJ	PREVOD NA UCET	2238	42046	 	ST	76871382
744119	2541	1995-11-14	VYDAJ	PREVOD NA UCET	2238	36993	 	ST	76871382
744120	2541	1995-12-14	VYDAJ	PREVOD NA UCET	2238	49284	 	ST	76871382
744121	2541	1996-01-14	VYDAJ	PREVOD NA UCET	2238	36146	 	ST	76871382
744122	2541	1996-02-14	VYDAJ	PREVOD NA UCET	2238	38407	 	ST	76871382
744123	2541	1996-03-14	VYDAJ	PREVOD NA UCET	2238	40207	 	ST	76871382
744124	2541	1996-04-14	VYDAJ	PREVOD NA UCET	2238	40064	 	ST	76871382
744125	2541	1996-05-14	VYDAJ	PREVOD NA UCET	2238	42636	 	ST	76871382
744126	2541	1996-06-14	VYDAJ	PREVOD NA UCET	2238	46967	 	ST	76871382
744127	2541	1996-07-14	VYDAJ	PREVOD NA UCET	2238	41957	 	ST	76871382
744128	2541	1996-08-14	VYDAJ	PREVOD NA UCET	2238	43037	 	ST	76871382
744129	2541	1996-09-14	VYDAJ	PREVOD NA UCET	2238	41510	 	ST	76871382
744130	2541	1996-10-14	VYDAJ	PREVOD NA UCET	2238	36675	 	ST	76871382
744131	2541	1996-11-14	VYDAJ	PREVOD NA UCET	2238	33449	 	ST	76871382
744132	2541	1996-12-14	VYDAJ	PREVOD NA UCET	2238	39077	 	ST	76871382
744133	2541	1997-01-14	VYDAJ	PREVOD NA UCET	2238	20755	 	ST	76871382
744134	2541	1997-02-14	VYDAJ	PREVOD NA UCET	2238	33015	 	ST	76871382
744135	2541	1997-03-14	VYDAJ	PREVOD NA UCET	2238	41358	 	ST	76871382
744136	2541	1997-04-14	VYDAJ	PREVOD NA UCET	2238	43773	 	ST	76871382
744137	2541	1997-05-14	VYDAJ	PREVOD NA UCET	2238	46980	 	ST	76871382
744138	2541	1997-06-14	VYDAJ	PREVOD NA UCET	2238	53422	 	ST	76871382
744139	2541	1997-07-14	VYDAJ	PREVOD NA UCET	2238	34808	 	ST	76871382
744140	2541	1997-08-14	VYDAJ	PREVOD NA UCET	2238	43259	 	ST	76871382
744141	2541	1997-09-14	VYDAJ	PREVOD NA UCET	2238	47942	 	ST	76871382
744142	2541	1997-10-14	VYDAJ	PREVOD NA UCET	2238	48338	 	ST	76871382
744143	2541	1997-11-14	VYDAJ	PREVOD NA UCET	2238	50639	 	ST	76871382
744144	2541	1997-12-14	VYDAJ	PREVOD NA UCET	2238	55090	 	ST	76871382
744145	2541	1998-01-14	VYDAJ	PREVOD NA UCET	2238	56051	 	ST	76871382
744146	2541	1998-02-14	VYDAJ	PREVOD NA UCET	2238	38236	 	ST	76871382
744147	2541	1998-03-14	VYDAJ	PREVOD NA UCET	2238	48904	 	ST	76871382
744148	2541	1998-04-14	VYDAJ	PREVOD NA UCET	2238	52908	 	ST	76871382
744149	2541	1998-05-14	VYDAJ	PREVOD NA UCET	2238	56527	 	ST	76871382
744150	2541	1998-06-14	VYDAJ	PREVOD NA UCET	2238	66906	 	ST	76871382
744151	2541	1998-07-14	VYDAJ	PREVOD NA UCET	2238	53392	 	ST	76871382
744152	2541	1998-08-14	VYDAJ	PREVOD NA UCET	2238	56512	 	ST	76871382
744153	2541	1998-09-14	VYDAJ	PREVOD NA UCET	2238	51375	 	ST	76871382
744154	2541	1998-10-14	VYDAJ	PREVOD NA UCET	2238	56889	 	ST	76871382
744155	2541	1998-11-14	VYDAJ	PREVOD NA UCET	2238	64229	 	ST	76871382
744156	2541	1998-12-14	VYDAJ	PREVOD NA UCET	2238	71131	 	ST	76871382
744172	2541	1995-04-07	VYDAJ	PREVOD NA UCET	1897	35548	POJISTNE	GH	47231644
744173	2541	1995-05-07	VYDAJ	PREVOD NA UCET	1897	43248	POJISTNE	GH	47231644
744174	2541	1995-06-07	VYDAJ	PREVOD NA UCET	1897	29742	POJISTNE	GH	47231644
744175	2541	1995-07-07	VYDAJ	PREVOD NA UCET	1897	32082	POJISTNE	GH	47231644
744176	2541	1995-08-07	VYDAJ	PREVOD NA UCET	1897	32449	POJISTNE	GH	47231644
744177	2541	1995-09-07	VYDAJ	PREVOD NA UCET	1897	31433	POJISTNE	GH	47231644
744178	2541	1995-10-07	VYDAJ	PREVOD NA UCET	1897	32616	POJISTNE	GH	47231644
744179	2541	1995-11-07	VYDAJ	PREVOD NA UCET	1897	32483	POJISTNE	GH	47231644
744180	2541	1995-12-07	VYDAJ	PREVOD NA UCET	1897	33109	POJISTNE	GH	47231644
744181	2541	1996-01-07	VYDAJ	PREVOD NA UCET	1897	37156	POJISTNE	GH	47231644
744182	2541	1996-02-07	VYDAJ	PREVOD NA UCET	1897	28977	POJISTNE	GH	47231644
744183	2541	1996-03-07	VYDAJ	PREVOD NA UCET	1897	32937	POJISTNE	GH	47231644
744184	2541	1996-04-07	VYDAJ	PREVOD NA UCET	1897	30634	POJISTNE	GH	47231644
744185	2541	1996-05-07	VYDAJ	PREVOD NA UCET	1897	33206	POJISTNE	GH	47231644
744186	2541	1996-06-07	VYDAJ	PREVOD NA UCET	1897	30792	POJISTNE	GH	47231644
744187	2541	1996-07-07	VYDAJ	PREVOD NA UCET	1897	32527	POJISTNE	GH	47231644
744188	2541	1996-08-07	VYDAJ	PREVOD NA UCET	1897	33607	POJISTNE	GH	47231644
744189	2541	1996-09-07	VYDAJ	PREVOD NA UCET	1897	32080	POJISTNE	GH	47231644
744190	2541	1996-10-07	VYDAJ	PREVOD NA UCET	1897	27245	POJISTNE	GH	47231644
744191	2541	1996-11-07	VYDAJ	PREVOD NA UCET	1897	25459	POJISTNE	GH	47231644
744192	2541	1996-12-07	VYDAJ	PREVOD NA UCET	1897	25462	POJISTNE	GH	47231644
744193	2541	1997-01-07	VYDAJ	PREVOD NA UCET	1897	25285	POJISTNE	GH	47231644
744194	2541	1997-02-07	VYDAJ	PREVOD NA UCET	1897	23585	POJISTNE	GH	47231644
744195	2541	1997-03-07	VYDAJ	PREVOD NA UCET	1897	31928	POJISTNE	GH	47231644
744196	2541	1997-04-07	VYDAJ	PREVOD NA UCET	1897	34343	POJISTNE	GH	47231644
744197	2541	1997-05-07	VYDAJ	PREVOD NA UCET	1897	39230	POJISTNE	GH	47231644
744198	2541	1997-06-07	VYDAJ	PREVOD NA UCET	1897	37247	POJISTNE	GH	47231644
744199	2541	1997-07-07	VYDAJ	PREVOD NA UCET	1897	25378	POJISTNE	GH	47231644
744200	2541	1997-08-07	VYDAJ	PREVOD NA UCET	1897	33829	POJISTNE	GH	47231644
744201	2541	1997-09-07	VYDAJ	PREVOD NA UCET	1897	38512	POJISTNE	GH	47231644
744202	2541	1997-10-07	VYDAJ	PREVOD NA UCET	1897	38908	POJISTNE	GH	47231644
744203	2541	1997-11-07	VYDAJ	PREVOD NA UCET	1897	41209	POJISTNE	GH	47231644
744204	2541	1997-12-07	VYDAJ	PREVOD NA UCET	1897	38915	POJISTNE	GH	47231644
744205	2541	1998-01-07	VYDAJ	PREVOD NA UCET	1897	46621	POJISTNE	GH	47231644
744206	2541	1998-02-07	VYDAJ	PREVOD NA UCET	1897	28806	POJISTNE	GH	47231644
744207	2541	1998-03-07	VYDAJ	PREVOD NA UCET	1897	39474	POJISTNE	GH	47231644
744208	2541	1998-04-07	VYDAJ	PREVOD NA UCET	1897	43478	POJISTNE	GH	47231644
744209	2541	1998-05-07	VYDAJ	PREVOD NA UCET	1897	47097	POJISTNE	GH	47231644
744210	2541	1998-06-07	VYDAJ	PREVOD NA UCET	1897	50731	POJISTNE	GH	47231644
744211	2541	1998-07-07	VYDAJ	PREVOD NA UCET	1897	43962	POJISTNE	GH	47231644
744212	2541	1998-08-07	VYDAJ	PREVOD NA UCET	1897	47082	POJISTNE	GH	47231644
744213	2541	1998-09-07	VYDAJ	PREVOD NA UCET	1897	41945	POJISTNE	GH	47231644
744214	2541	1998-10-07	VYDAJ	PREVOD NA UCET	1897	47459	POJISTNE	GH	47231644
744215	2541	1998-11-07	VYDAJ	PREVOD NA UCET	1897	54799	POJISTNE	GH	47231644
744216	2541	1998-12-07	VYDAJ	PREVOD NA UCET	1897	54956	POJISTNE	GH	47231644
744220	2541	1997-06-22	VYDAJ	VYBER	24800	28622	\N	\N	\N
744221	2541	1998-06-16	VYDAJ	VYBER	27040	39866	\N	\N	\N
744224	2541	1996-01-13	VYDAJ	VYBER	8640	38384	\N	\N	\N
744225	2541	1997-01-12	VYDAJ	VYBER	13120	22993	\N	\N	\N
744226	2541	1998-01-25	VYDAJ	VYBER	12960	33651	\N	\N	\N
744228	2541	1995-12-03	VYDAJ	VYBER	2720	35006	\N	\N	\N
744229	2541	1996-12-09	VYDAJ	VYBER	2560	22902	\N	\N	\N
744230	2541	1997-12-01	VYDAJ	VYBER	3360	40812	\N	\N	\N
744231	2541	1998-12-16	VYDAJ	VYBER	3680	67451	\N	\N	\N
744244	2541	1996-01-08	VYDAJ	VYBER	720	36436	\N	\N	\N
744245	2541	1996-01-20	VYDAJ	VYBER	2880	28106	\N	\N	\N
744246	2541	1996-01-18	VYDAJ	VYBER	2160	30986	\N	\N	\N
744247	2541	1996-01-15	VYDAJ	VYBER	3000	33146	\N	\N	\N
744248	2541	1996-01-10	VYDAJ	VYBER	1080	33534	\N	\N	\N
744249	2541	1996-01-21	VYDAJ	VYBER	2760	25346	\N	\N	\N
744250	2541	1997-01-12	VYDAJ	VYBER	840	36113	\N	\N	\N
744252	2541	1997-01-04	VYDAJ	VYBER	2880	27182	\N	\N	\N
744253	2541	1997-01-01	VYDAJ	VYBER	3240	30062	\N	\N	\N
744254	2541	1997-01-18	VYDAJ	VYBER	1560	19195	\N	\N	\N
744255	2541	1997-01-25	VYDAJ	VYBER	2400	16795	\N	\N	\N
744256	2541	1998-01-04	VYDAJ	VYBER	1320	49358	\N	\N	\N
744257	2541	1998-01-15	VYDAJ	VYBER	1800	48011	\N	\N	\N
744258	2541	1998-01-05	VYDAJ	VYBER	840	48518	\N	\N	\N
744259	2541	1998-01-14	VYDAJ	VYBER	2760	53291	\N	\N	\N
744260	2541	1998-01-14	VYDAJ	VYBER	3480	49811	\N	\N	\N
744261	2541	1998-01-28	VYDAJ	VYBER	1320	32331	\N	\N	\N
744268	2541	1995-07-28	VYDAJ	VYBER	3120	38392	\N	\N	\N
744269	2541	1995-03-19	VYDAJ	VYBER	1320	46165	\N	\N	\N
744270	2541	1995-11-08	VYDAJ	VYBER	4920	27563	\N	\N	\N
744272	2541	1995-11-01	VYDAJ	VYBER	4920	37280	\N	\N	\N
744273	2541	1996-06-01	VYDAJ	VYBER	1200	32689	\N	\N	\N
744274	2541	1996-08-17	VYDAJ	VYBER	5400	37637	\N	\N	\N
744275	2541	1996-10-27	VYDAJ	VYBER	5040	31635	\N	\N	\N
744276	2541	1996-11-10	VYDAJ	VYBER	1440	22197	\N	\N	\N
744277	2541	1996-03-14	VYDAJ	VYBER	2160	42445	\N	\N	\N
744278	2541	1996-09-16	VYDAJ	VYBER	4800	36710	\N	\N	\N
744279	2541	1996-03-29	VYDAJ	VYBER	4800	32287	\N	\N	\N
744280	2541	1996-03-22	VYDAJ	VYBER	3120	37087	\N	\N	\N
744281	2541	1997-04-05	VYDAJ	VYBER	1560	36240	\N	\N	\N
744282	2541	1997-11-16	VYDAJ	VYBER	840	49799	\N	\N	\N
744283	2541	1997-06-27	VYDAJ	VYBER	3000	27122	\N	\N	\N
744284	2541	1997-05-11	VYDAJ	VYBER	1680	35728	\N	\N	\N
744285	2541	1998-08-20	VYDAJ	VYBER	1920	49292	\N	\N	\N
744286	2541	1998-02-05	VYDAJ	VYBER	1800	30703	\N	\N	\N
744287	2541	1998-06-25	VYDAJ	VYBER	1800	45666	\N	\N	\N
744288	2541	1998-08-27	VYDAJ	VYBER	5640	43652	\N	\N	\N
744289	2541	1998-09-16	VYDAJ	VYBER	1200	50175	\N	\N	\N
744305	2541	1995-03-31	VYDAJ	VYBER	15	46345	SLUZBY	\N	\N
744306	2541	1995-04-30	VYDAJ	VYBER	15	45145	SLUZBY	\N	\N
744307	2541	1995-05-31	VYDAJ	VYBER	15	42039	SLUZBY	\N	\N
744308	2541	1995-06-30	VYDAJ	VYBER	15	46079	SLUZBY	\N	\N
744309	2541	1995-07-31	VYDAJ	VYBER	15	38546	SLUZBY	\N	\N
744310	2541	1995-08-31	VYDAJ	VYBER	15	42030	SLUZBY	\N	\N
744311	2541	1995-09-30	VYDAJ	VYBER	15	41013	SLUZBY	\N	\N
744312	2541	1995-10-31	VYDAJ	VYBER	15	42200	SLUZBY	\N	\N
744313	2541	1995-11-30	VYDAJ	VYBER	15	37126	SLUZBY	\N	\N
744314	2541	1995-12-31	VYDAJ	VYBER	15	49453	SLUZBY	\N	\N
744315	2541	1996-01-31	VYDAJ	VYBER	15	25474	SLUZBY	\N	\N
744316	2541	1996-02-29	VYDAJ	VYBER	15	38534	SLUZBY	\N	\N
744317	2541	1996-03-31	VYDAJ	VYBER	15	32431	SLUZBY	\N	\N
744318	2541	1996-04-30	VYDAJ	VYBER	15	40203	SLUZBY	\N	\N
744319	2541	1996-05-31	VYDAJ	VYBER	15	42789	SLUZBY	\N	\N
744320	2541	1996-06-30	VYDAJ	VYBER	15	47124	SLUZBY	\N	\N
744321	2541	1996-07-31	VYDAJ	VYBER	15	35504	SLUZBY	\N	\N
744322	2541	1996-08-31	VYDAJ	VYBER	15	33977	SLUZBY	\N	\N
744323	2541	1996-09-30	VYDAJ	VYBER	15	29142	SLUZBY	\N	\N
744324	2541	1996-10-31	VYDAJ	VYBER	15	27356	SLUZBY	\N	\N
744325	2541	1996-11-30	VYDAJ	VYBER	15	27359	SLUZBY	\N	\N
744326	2541	1996-12-31	VYDAJ	VYBER	15	33302	SLUZBY	\N	\N
744327	2541	1997-01-31	VYDAJ	VYBER	15	25482	SLUZBY	\N	\N
744328	2541	1997-02-28	VYDAJ	VYBER	15	33825	SLUZBY	\N	\N
744329	2541	1997-03-31	VYDAJ	VYBER	15	37800	SLUZBY	\N	\N
744330	2541	1997-04-30	VYDAJ	VYBER	15	41127	SLUZBY	\N	\N
744331	2541	1997-05-31	VYDAJ	VYBER	15	39144	SLUZBY	\N	\N
744332	2541	1997-06-30	VYDAJ	VYBER	15	27275	SLUZBY	\N	\N
744333	2541	1997-07-31	VYDAJ	VYBER	15	35726	SLUZBY	\N	\N
744334	2541	1997-08-31	VYDAJ	VYBER	15	40409	SLUZBY	\N	\N
744335	2541	1997-09-30	VYDAJ	VYBER	15	40805	SLUZBY	\N	\N
744336	2541	1997-10-31	VYDAJ	VYBER	15	43106	SLUZBY	\N	\N
744337	2541	1997-11-30	VYDAJ	VYBER	15	44172	SLUZBY	\N	\N
744338	2541	1997-12-31	VYDAJ	VYBER	15	50678	SLUZBY	\N	\N
744339	2541	1998-01-31	VYDAJ	VYBER	15	32503	SLUZBY	\N	\N
744340	2541	1998-02-28	VYDAJ	VYBER	15	41371	SLUZBY	\N	\N
744341	2541	1998-03-31	VYDAJ	VYBER	15	45375	SLUZBY	\N	\N
744342	2541	1998-04-30	VYDAJ	VYBER	15	48994	SLUZBY	\N	\N
744343	2541	1998-05-31	VYDAJ	VYBER	15	52628	SLUZBY	\N	\N
744344	2541	1998-06-30	VYDAJ	VYBER	15	45859	SLUZBY	\N	\N
744345	2541	1998-07-31	VYDAJ	VYBER	15	48979	SLUZBY	\N	\N
744346	2541	1998-08-31	VYDAJ	VYBER	15	43842	SLUZBY	\N	\N
744347	2541	1998-09-30	VYDAJ	VYBER	15	49356	SLUZBY	\N	\N
744348	2541	1998-10-31	VYDAJ	VYBER	15	56696	SLUZBY	\N	\N
744349	2541	1998-11-30	VYDAJ	VYBER	15	56853	SLUZBY	\N	\N
744350	2541	1994-12-08	PRIJEM	VKLAD	3900	17827	\N	\N	\N
744351	2541	1995-01-07	VYDAJ	VYBER	6200	31985	\N	\N	\N
744352	2541	1995-02-06	VYDAJ	VYBER	13300	32353	\N	\N	\N
744353	2541	1995-03-08	VYDAJ	VYBER	9800	36233	\N	\N	\N
744354	2541	1995-04-07	VYDAJ	VYBER	8900	37445	\N	\N	\N
744355	2541	1995-05-07	VYDAJ	VYBER	10800	32448	\N	\N	\N
744356	2541	1995-06-06	VYDAJ	VYBER	10400	31639	\N	\N	\N
744357	2541	1995-07-06	VYDAJ	VYBER	12100	33979	\N	\N	\N
744358	2541	1995-08-05	VYDAJ	VYBER	4200	34346	\N	\N	\N
744359	2541	1995-09-04	VYDAJ	VYBER	8700	33330	\N	\N	\N
744360	2541	1995-10-04	VYDAJ	VYBER	6500	34513	\N	\N	\N
744361	2541	1995-11-03	VYDAJ	VYBER	2900	34380	\N	\N	\N
744362	2541	1995-12-03	PRIJEM	VKLAD	600	37726	\N	\N	\N
744363	2541	1996-01-02	VYDAJ	VYBER	10400	39053	\N	\N	\N
744364	2541	1996-02-01	PRIJEM	VKLAD	5400	30874	\N	\N	\N
744365	2541	1996-03-02	VYDAJ	VYBER	3700	34834	\N	\N	\N
744366	2541	1996-04-01	PRIJEM	VKLAD	100	32531	\N	\N	\N
744367	2541	1996-05-01	VYDAJ	VYBER	5100	35103	\N	\N	\N
744368	2541	1996-05-31	VYDAJ	VYBER	8900	33889	\N	\N	\N
744369	2541	1996-06-30	VYDAJ	VYBER	12700	34424	\N	\N	\N
744370	2541	1996-07-30	VYDAJ	VYBER	6600	35357	\N	\N	\N
744371	2541	1996-08-29	VYDAJ	VYBER	3800	33837	\N	\N	\N
744372	2541	1996-09-28	VYDAJ	VYBER	7700	29010	\N	\N	\N
744373	2541	1996-10-28	VYDAJ	VYBER	4400	27235	\N	\N	\N
744374	2541	1996-11-27	VYDAJ	VYBER	6200	27249	\N	\N	\N
744375	2541	1996-12-27	VYDAJ	VYBER	5900	33177	\N	\N	\N
744376	2541	1997-01-26	PRIJEM	VKLAD	8600	25395	\N	\N	\N
744377	2541	1997-02-25	PRIJEM	VKLAD	700	33715	\N	\N	\N
744378	2541	1997-03-27	VYDAJ	VYBER	3700	37658	\N	\N	\N
744379	2541	1997-04-26	VYDAJ	VYBER	2800	40973	\N	\N	\N
744380	2541	1997-05-26	VYDAJ	VYBER	8000	38980	\N	\N	\N
744381	2541	1997-06-25	PRIJEM	VKLAD	1500	30122	\N	\N	\N
744382	2541	1997-07-25	PRIJEM	VKLAD	800	35608	\N	\N	\N
744383	2541	1997-08-24	VYDAJ	VYBER	3000	40259	\N	\N	\N
744384	2541	1997-09-23	VYDAJ	VYBER	7300	40642	\N	\N	\N
744385	2541	1997-10-23	VYDAJ	VYBER	5400	42938	\N	\N	\N
744386	2541	1997-11-22	VYDAJ	VYBER	5800	43999	\N	\N	\N
744387	2541	1997-12-22	VYDAJ	VYBER	4600	50490	\N	\N	\N
744388	2541	1998-01-21	VYDAJ	VYBER	1400	46611	\N	\N	\N
744389	2541	1998-02-20	PRIJEM	VKLAD	3000	41236	\N	\N	\N
744390	2541	1998-03-22	VYDAJ	VYBER	3700	45204	\N	\N	\N
744391	2541	1998-04-21	VYDAJ	VYBER	4100	48808	\N	\N	\N
744392	2541	1998-05-21	VYDAJ	VYBER	4100	52427	\N	\N	\N
744393	2541	1998-06-20	PRIJEM	VKLAD	7600	47466	\N	\N	\N
744394	2541	1998-07-20	VYDAJ	VYBER	4600	48792	\N	\N	\N
744395	2541	1998-08-19	VYDAJ	VYBER	5300	51212	\N	\N	\N
744396	2541	1998-09-18	VYDAJ	VYBER	1000	49175	\N	\N	\N
744397	2541	1998-10-18	VYDAJ	VYBER	400	56489	\N	\N	\N
744398	2541	1998-11-17	VYDAJ	VYBER	7600	56629	\N	\N	\N
744449	2542	1993-08-07	PRIJEM	VKLAD	300	300	\N	\N	\N
744457	2542	1993-08-12	PRIJEM	VKLAD	5071	5371	\N	\N	\N
744458	2542	1993-09-12	PRIJEM	VKLAD	5071	18656	\N	\N	\N
744459	2542	1993-10-12	PRIJEM	VKLAD	5071	26785	\N	\N	\N
744460	2542	1993-11-12	PRIJEM	VKLAD	5071	29855	\N	\N	\N
744461	2542	1993-12-12	PRIJEM	VKLAD	7606	34581	\N	\N	\N
744462	2542	1994-01-12	PRIJEM	VKLAD	5071	27414	\N	\N	\N
744463	2542	1994-02-12	PRIJEM	VKLAD	5071	19269	\N	\N	\N
744464	2542	1994-03-12	PRIJEM	VKLAD	5071	23523	\N	\N	\N
744465	2542	1994-04-12	PRIJEM	VKLAD	5071	21948	\N	\N	\N
744466	2542	1994-05-12	PRIJEM	VKLAD	5071	22748	\N	\N	\N
744467	2542	1994-06-12	PRIJEM	VKLAD	7606	29248	\N	\N	\N
744468	2542	1994-07-12	PRIJEM	VKLAD	5071	25545	\N	\N	\N
744469	2542	1994-08-12	PRIJEM	VKLAD	5071	26421	\N	\N	\N
744470	2542	1994-09-12	PRIJEM	VKLAD	5071	29804	\N	\N	\N
744471	2542	1994-10-12	PRIJEM	VKLAD	5071	30999	\N	\N	\N
744472	2542	1994-11-12	PRIJEM	VKLAD	5071	32201	\N	\N	\N
744473	2542	1994-12-12	PRIJEM	VKLAD	7606	28862	\N	\N	\N
744474	2542	1995-01-12	PRIJEM	VKLAD	5071	24195	\N	\N	\N
744475	2542	1995-02-12	PRIJEM	VKLAD	5071	18129	\N	\N	\N
744476	2542	1995-03-12	PRIJEM	VKLAD	5071	23177	\N	\N	\N
744477	2542	1995-04-12	PRIJEM	VKLAD	5071	28647	\N	\N	\N
744478	2542	1995-05-12	PRIJEM	VKLAD	5071	28838	\N	\N	\N
744479	2542	1995-06-12	PRIJEM	VKLAD	7606	30864	\N	\N	\N
744480	2542	1995-07-12	PRIJEM	VKLAD	5071	32380	\N	\N	\N
744481	2542	1995-08-12	PRIJEM	VKLAD	5071	30985	\N	\N	\N
744482	2542	1995-09-12	PRIJEM	VKLAD	5071	26145	\N	\N	\N
744483	2542	1995-10-12	PRIJEM	VKLAD	5071	29632	\N	\N	\N
744484	2542	1995-11-12	PRIJEM	VKLAD	5071	33729	\N	\N	\N
744485	2542	1995-12-12	PRIJEM	VKLAD	7606	38177	\N	\N	\N
744486	2542	1996-01-12	PRIJEM	VKLAD	5071	32239	\N	\N	\N
744487	2542	1996-02-12	PRIJEM	VKLAD	5071	16853	\N	\N	\N
744488	2542	1996-03-12	PRIJEM	VKLAD	5071	21259	\N	\N	\N
744489	2542	1996-04-12	PRIJEM	VKLAD	5071	28728	\N	\N	\N
744490	2542	1996-05-12	PRIJEM	VKLAD	5071	26010	\N	\N	\N
744491	2542	1996-06-12	PRIJEM	VKLAD	7606	32728	\N	\N	\N
744492	2542	1996-07-12	PRIJEM	VKLAD	5071	32029	\N	\N	\N
744493	2542	1996-08-12	PRIJEM	VKLAD	5071	31330	\N	\N	\N
744494	2542	1996-09-12	PRIJEM	VKLAD	5071	30585	\N	\N	\N
744495	2542	1996-10-12	PRIJEM	VKLAD	5071	31582	\N	\N	\N
744496	2542	1996-11-12	PRIJEM	VKLAD	5071	30681	\N	\N	\N
744497	2542	1996-12-12	PRIJEM	VKLAD	7606	33513	\N	\N	\N
744498	2542	1997-01-12	PRIJEM	VKLAD	5071	32454	\N	\N	\N
744499	2542	1997-02-12	PRIJEM	VKLAD	5071	22419	\N	\N	\N
744500	2542	1997-03-12	PRIJEM	VKLAD	5071	27690	\N	\N	\N
744501	2542	1997-04-12	PRIJEM	VKLAD	5071	26271	\N	\N	\N
744502	2542	1997-05-12	PRIJEM	VKLAD	5071	30656	\N	\N	\N
744503	2542	1997-06-12	PRIJEM	VKLAD	7606	31082	\N	\N	\N
744504	2542	1997-07-12	PRIJEM	VKLAD	5071	19399	\N	\N	\N
744505	2542	1997-08-12	PRIJEM	VKLAD	5071	20249	\N	\N	\N
744506	2542	1997-09-12	PRIJEM	VKLAD	5071	21603	\N	\N	\N
744507	2542	1997-10-12	PRIJEM	VKLAD	5071	24466	\N	\N	\N
744508	2542	1997-11-12	PRIJEM	VKLAD	5071	24535	\N	\N	\N
744509	2542	1997-12-12	PRIJEM	VKLAD	7606	20887	\N	\N	\N
744510	2542	1998-01-12	PRIJEM	VKLAD	5071	23745	\N	\N	\N
744511	2542	1998-02-12	PRIJEM	VKLAD	5071	16817	\N	\N	\N
744512	2542	1998-03-12	PRIJEM	VKLAD	5071	21657	\N	\N	\N
744513	2542	1998-04-12	PRIJEM	VKLAD	5071	23317	\N	\N	\N
744514	2542	1998-05-12	PRIJEM	VKLAD	5071	22979	\N	\N	\N
744515	2542	1998-06-12	PRIJEM	VKLAD	7606	24072	\N	\N	\N
744516	2542	1998-07-12	PRIJEM	VKLAD	5071	23171	\N	\N	\N
744517	2542	1998-08-12	PRIJEM	VKLAD	5071	30918	\N	\N	\N
744518	2542	1998-09-12	PRIJEM	VKLAD	5071	32108	\N	\N	\N
744519	2542	1998-10-12	PRIJEM	VKLAD	5071	32912	\N	\N	\N
744520	2542	1998-11-12	PRIJEM	VKLAD	5071	32400	\N	\N	\N
744521	2542	1998-12-12	PRIJEM	VKLAD	7606	31341	\N	\N	\N
744534	2542	1994-01-10	VYDAJ	PREVOD NA UCET	435	22943	SIPO	UV	28103435
744535	2542	1994-02-10	VYDAJ	PREVOD NA UCET	435	14198	SIPO	UV	28103435
744536	2542	1994-03-10	VYDAJ	PREVOD NA UCET	435	18452	SIPO	UV	28103435
744537	2542	1994-04-10	VYDAJ	PREVOD NA UCET	435	16877	SIPO	UV	28103435
744538	2542	1994-05-10	VYDAJ	PREVOD NA UCET	435	17677	SIPO	UV	28103435
744539	2542	1994-06-10	VYDAJ	PREVOD NA UCET	435	21642	SIPO	UV	28103435
744540	2542	1994-07-10	VYDAJ	PREVOD NA UCET	435	20474	SIPO	UV	28103435
744541	2542	1994-08-10	VYDAJ	PREVOD NA UCET	435	21350	SIPO	UV	28103435
744542	2542	1994-09-10	VYDAJ	PREVOD NA UCET	435	24733	SIPO	UV	28103435
744543	2542	1994-10-10	VYDAJ	PREVOD NA UCET	435	25928	SIPO	UV	28103435
744544	2542	1994-11-10	VYDAJ	PREVOD NA UCET	435	27130	SIPO	UV	28103435
744545	2542	1994-12-10	VYDAJ	PREVOD NA UCET	435	21256	SIPO	UV	28103435
744546	2542	1995-01-10	VYDAJ	PREVOD NA UCET	435	19124	SIPO	UV	28103435
744547	2542	1995-02-10	VYDAJ	PREVOD NA UCET	435	13058	SIPO	UV	28103435
744548	2542	1995-03-10	VYDAJ	PREVOD NA UCET	435	18106	SIPO	UV	28103435
744549	2542	1995-04-10	VYDAJ	PREVOD NA UCET	435	23576	SIPO	UV	28103435
744550	2542	1995-05-10	VYDAJ	PREVOD NA UCET	435	23767	SIPO	UV	28103435
744551	2542	1995-06-10	VYDAJ	PREVOD NA UCET	435	23258	SIPO	UV	28103435
744552	2542	1995-07-10	VYDAJ	PREVOD NA UCET	435	27309	SIPO	UV	28103435
744553	2542	1995-08-10	VYDAJ	PREVOD NA UCET	435	25914	SIPO	UV	28103435
744554	2542	1995-09-10	VYDAJ	PREVOD NA UCET	435	21074	SIPO	UV	28103435
744555	2542	1995-10-10	VYDAJ	PREVOD NA UCET	435	24561	SIPO	UV	28103435
744556	2542	1995-11-10	VYDAJ	PREVOD NA UCET	435	28658	SIPO	UV	28103435
744557	2542	1995-12-10	VYDAJ	PREVOD NA UCET	435	30571	SIPO	UV	28103435
744558	2542	1996-01-10	VYDAJ	PREVOD NA UCET	435	27168	SIPO	UV	28103435
744559	2542	1996-02-10	VYDAJ	PREVOD NA UCET	435	11782	SIPO	UV	28103435
744560	2542	1996-03-10	VYDAJ	PREVOD NA UCET	435	16188	SIPO	UV	28103435
744561	2542	1996-04-10	VYDAJ	PREVOD NA UCET	435	23657	SIPO	UV	28103435
744562	2542	1996-05-10	VYDAJ	PREVOD NA UCET	435	20939	SIPO	UV	28103435
744563	2542	1996-06-10	VYDAJ	PREVOD NA UCET	435	25122	SIPO	UV	28103435
744564	2542	1996-07-10	VYDAJ	PREVOD NA UCET	435	26958	SIPO	UV	28103435
744565	2542	1996-08-10	VYDAJ	PREVOD NA UCET	435	26259	SIPO	UV	28103435
744566	2542	1996-09-10	VYDAJ	PREVOD NA UCET	435	25514	SIPO	UV	28103435
744567	2542	1996-10-10	VYDAJ	PREVOD NA UCET	435	26511	SIPO	UV	28103435
744568	2542	1996-11-10	VYDAJ	PREVOD NA UCET	435	25610	SIPO	UV	28103435
744569	2542	1996-12-10	VYDAJ	PREVOD NA UCET	435	25907	SIPO	UV	28103435
744570	2542	1997-01-10	VYDAJ	PREVOD NA UCET	435	27383	SIPO	UV	28103435
744571	2542	1997-02-10	VYDAJ	PREVOD NA UCET	435	17348	SIPO	UV	28103435
744572	2542	1997-03-10	VYDAJ	PREVOD NA UCET	435	22619	SIPO	UV	28103435
744573	2542	1997-04-10	VYDAJ	PREVOD NA UCET	435	21200	SIPO	UV	28103435
744574	2542	1997-05-10	VYDAJ	PREVOD NA UCET	435	25585	SIPO	UV	28103435
744575	2542	1997-06-10	VYDAJ	PREVOD NA UCET	435	23476	SIPO	UV	28103435
744576	2542	1997-07-10	VYDAJ	PREVOD NA UCET	435	14328	SIPO	UV	28103435
744577	2542	1997-08-10	VYDAJ	PREVOD NA UCET	435	15178	SIPO	UV	28103435
744578	2542	1997-09-10	VYDAJ	PREVOD NA UCET	435	16532	SIPO	UV	28103435
744579	2542	1997-10-10	VYDAJ	PREVOD NA UCET	435	19395	SIPO	UV	28103435
744580	2542	1997-11-10	VYDAJ	PREVOD NA UCET	435	19464	SIPO	UV	28103435
744581	2542	1997-12-10	VYDAJ	PREVOD NA UCET	435	13281	SIPO	UV	28103435
744582	2542	1998-01-10	VYDAJ	PREVOD NA UCET	435	18674	SIPO	UV	28103435
744583	2542	1998-02-10	VYDAJ	PREVOD NA UCET	435	11746	SIPO	UV	28103435
744584	2542	1998-03-10	VYDAJ	PREVOD NA UCET	435	16586	SIPO	UV	28103435
744585	2542	1998-04-10	VYDAJ	PREVOD NA UCET	435	18246	SIPO	UV	28103435
744586	2542	1998-05-10	VYDAJ	PREVOD NA UCET	435	17908	SIPO	UV	28103435
744587	2542	1998-06-10	VYDAJ	PREVOD NA UCET	435	16466	SIPO	UV	28103435
744588	2542	1998-07-10	VYDAJ	PREVOD NA UCET	435	13700	SIPO	UV	28103435
744589	2542	1998-08-10	VYDAJ	PREVOD NA UCET	435	19847	SIPO	UV	28103435
744590	2542	1998-09-10	VYDAJ	PREVOD NA UCET	435	27037	SIPO	UV	28103435
744591	2542	1998-10-10	VYDAJ	PREVOD NA UCET	435	28841	SIPO	UV	28103435
744592	2542	1998-11-10	VYDAJ	PREVOD NA UCET	435	27329	SIPO	UV	28103435
744593	2542	1998-12-10	VYDAJ	PREVOD NA UCET	435	23735	SIPO	UV	28103435
744606	2542	1994-01-09	VYDAJ	PREVOD NA UCET	2637	23378	 	AB	12512219
744607	2542	1994-02-09	VYDAJ	PREVOD NA UCET	2637	14633	 	AB	12512219
744608	2542	1994-03-09	VYDAJ	PREVOD NA UCET	2637	18887	 	AB	12512219
744609	2542	1994-04-09	VYDAJ	PREVOD NA UCET	2637	17312	 	AB	12512219
744610	2542	1994-05-09	VYDAJ	PREVOD NA UCET	2637	18112	 	AB	12512219
744611	2542	1994-06-09	VYDAJ	PREVOD NA UCET	2637	22077	 	AB	12512219
744612	2542	1994-07-09	VYDAJ	PREVOD NA UCET	2637	20909	 	AB	12512219
744613	2542	1994-08-09	VYDAJ	PREVOD NA UCET	2637	21785	 	AB	12512219
744614	2542	1994-09-09	VYDAJ	PREVOD NA UCET	2637	25168	 	AB	12512219
744615	2542	1994-10-09	VYDAJ	PREVOD NA UCET	2637	26363	 	AB	12512219
744616	2542	1994-11-09	VYDAJ	PREVOD NA UCET	2637	27565	 	AB	12512219
744617	2542	1994-12-09	VYDAJ	PREVOD NA UCET	2637	21691	 	AB	12512219
744618	2542	1995-01-09	VYDAJ	PREVOD NA UCET	2637	19559	 	AB	12512219
744619	2542	1995-02-09	VYDAJ	PREVOD NA UCET	2637	13493	 	AB	12512219
744620	2542	1995-03-09	VYDAJ	PREVOD NA UCET	2637	18541	 	AB	12512219
744621	2542	1995-04-09	VYDAJ	PREVOD NA UCET	2637	24011	 	AB	12512219
744622	2542	1995-05-09	VYDAJ	PREVOD NA UCET	2637	24202	 	AB	12512219
744623	2542	1995-06-09	VYDAJ	PREVOD NA UCET	2637	23693	 	AB	12512219
744624	2542	1995-07-09	VYDAJ	PREVOD NA UCET	2637	27744	 	AB	12512219
744625	2542	1995-08-09	VYDAJ	PREVOD NA UCET	2637	26349	 	AB	12512219
744626	2542	1995-09-09	VYDAJ	PREVOD NA UCET	2637	21509	 	AB	12512219
744627	2542	1995-10-09	VYDAJ	PREVOD NA UCET	2637	24996	 	AB	12512219
744628	2542	1995-11-09	VYDAJ	PREVOD NA UCET	2637	29093	 	AB	12512219
744629	2542	1995-12-09	VYDAJ	PREVOD NA UCET	2637	31006	 	AB	12512219
744630	2542	1996-01-09	VYDAJ	PREVOD NA UCET	2637	27603	 	AB	12512219
744631	2542	1996-02-09	VYDAJ	PREVOD NA UCET	2637	12217	 	AB	12512219
744632	2542	1996-03-09	VYDAJ	PREVOD NA UCET	2637	16623	 	AB	12512219
744633	2542	1996-04-09	VYDAJ	PREVOD NA UCET	2637	24092	 	AB	12512219
744634	2542	1996-05-09	VYDAJ	PREVOD NA UCET	2637	21374	 	AB	12512219
744635	2542	1996-06-09	VYDAJ	PREVOD NA UCET	2637	25557	 	AB	12512219
744636	2542	1996-07-09	VYDAJ	PREVOD NA UCET	2637	27393	 	AB	12512219
744637	2542	1996-08-09	VYDAJ	PREVOD NA UCET	2637	26694	 	AB	12512219
744638	2542	1996-09-09	VYDAJ	PREVOD NA UCET	2637	25949	 	AB	12512219
744639	2542	1996-10-09	VYDAJ	PREVOD NA UCET	2637	26946	 	AB	12512219
744640	2542	1996-11-09	VYDAJ	PREVOD NA UCET	2637	26045	 	AB	12512219
744641	2542	1996-12-09	VYDAJ	PREVOD NA UCET	2637	26342	 	AB	12512219
744642	2542	1997-01-09	VYDAJ	PREVOD NA UCET	2637	27818	 	AB	12512219
744643	2542	1997-02-09	VYDAJ	PREVOD NA UCET	2637	17783	 	AB	12512219
744644	2542	1997-03-09	VYDAJ	PREVOD NA UCET	2637	23054	 	AB	12512219
744645	2542	1997-04-09	VYDAJ	PREVOD NA UCET	2637	21635	 	AB	12512219
744646	2542	1997-05-09	VYDAJ	PREVOD NA UCET	2637	26020	 	AB	12512219
744647	2542	1997-06-09	VYDAJ	PREVOD NA UCET	2637	23911	 	AB	12512219
744648	2542	1997-07-09	VYDAJ	PREVOD NA UCET	2637	14763	 	AB	12512219
744649	2542	1997-08-09	VYDAJ	PREVOD NA UCET	2637	15613	 	AB	12512219
744650	2542	1997-09-09	VYDAJ	PREVOD NA UCET	2637	16967	 	AB	12512219
744651	2542	1997-10-09	VYDAJ	PREVOD NA UCET	2637	19830	 	AB	12512219
744652	2542	1997-11-09	VYDAJ	PREVOD NA UCET	2637	19899	 	AB	12512219
744653	2542	1997-12-09	VYDAJ	PREVOD NA UCET	2637	13716	 	AB	12512219
744654	2542	1998-01-09	VYDAJ	PREVOD NA UCET	2637	19109	 	AB	12512219
744655	2542	1998-02-09	VYDAJ	PREVOD NA UCET	2637	12181	 	AB	12512219
744656	2542	1998-03-09	VYDAJ	PREVOD NA UCET	2637	17021	 	AB	12512219
744657	2542	1998-04-09	VYDAJ	PREVOD NA UCET	2637	18681	 	AB	12512219
744658	2542	1998-05-09	VYDAJ	PREVOD NA UCET	2637	18343	 	AB	12512219
744659	2542	1998-06-09	VYDAJ	PREVOD NA UCET	2637	16901	 	AB	12512219
744660	2542	1998-07-09	VYDAJ	PREVOD NA UCET	2637	14135	 	AB	12512219
744661	2542	1998-08-09	VYDAJ	PREVOD NA UCET	2637	20282	 	AB	12512219
744662	2542	1998-09-09	VYDAJ	PREVOD NA UCET	2637	28072	 	AB	12512219
744663	2542	1998-10-09	VYDAJ	PREVOD NA UCET	2637	29276	 	AB	12512219
744664	2542	1998-11-09	VYDAJ	PREVOD NA UCET	2637	29364	 	AB	12512219
744665	2542	1998-12-09	VYDAJ	PREVOD NA UCET	2637	29570	 	AB	12512219
744678	2542	1994-01-08	VYDAJ	PREVOD NA UCET	308	26015	POJISTNE	YZ	40178102
744679	2542	1994-02-08	VYDAJ	PREVOD NA UCET	308	17270	POJISTNE	YZ	40178102
744680	2542	1994-03-08	VYDAJ	PREVOD NA UCET	308	21524	POJISTNE	YZ	40178102
744681	2542	1994-04-08	VYDAJ	PREVOD NA UCET	308	19949	POJISTNE	YZ	40178102
744682	2542	1994-05-08	VYDAJ	PREVOD NA UCET	308	20749	POJISTNE	YZ	40178102
744683	2542	1994-06-08	VYDAJ	PREVOD NA UCET	308	24714	POJISTNE	YZ	40178102
744684	2542	1994-07-08	VYDAJ	PREVOD NA UCET	308	23546	POJISTNE	YZ	40178102
744685	2542	1994-08-08	VYDAJ	PREVOD NA UCET	308	24422	POJISTNE	YZ	40178102
744686	2542	1994-09-08	VYDAJ	PREVOD NA UCET	308	27805	POJISTNE	YZ	40178102
744687	2542	1994-10-08	VYDAJ	PREVOD NA UCET	308	29000	POJISTNE	YZ	40178102
744688	2542	1994-11-08	VYDAJ	PREVOD NA UCET	308	30202	POJISTNE	YZ	40178102
744689	2542	1994-12-08	VYDAJ	PREVOD NA UCET	308	24328	POJISTNE	YZ	40178102
744690	2542	1995-01-08	VYDAJ	PREVOD NA UCET	308	22196	POJISTNE	YZ	40178102
744691	2542	1995-02-08	VYDAJ	PREVOD NA UCET	308	16130	POJISTNE	YZ	40178102
744692	2542	1995-03-08	VYDAJ	PREVOD NA UCET	308	21178	POJISTNE	YZ	40178102
744693	2542	1995-04-08	VYDAJ	PREVOD NA UCET	308	26648	POJISTNE	YZ	40178102
744694	2542	1995-05-08	VYDAJ	PREVOD NA UCET	308	26839	POJISTNE	YZ	40178102
744695	2542	1995-06-08	VYDAJ	PREVOD NA UCET	308	26330	POJISTNE	YZ	40178102
744696	2542	1995-07-08	VYDAJ	PREVOD NA UCET	308	30381	POJISTNE	YZ	40178102
744697	2542	1995-08-08	VYDAJ	PREVOD NA UCET	308	28986	POJISTNE	YZ	40178102
744698	2542	1995-09-08	VYDAJ	PREVOD NA UCET	308	24146	POJISTNE	YZ	40178102
744699	2542	1995-10-08	VYDAJ	PREVOD NA UCET	308	27633	POJISTNE	YZ	40178102
744700	2542	1995-11-08	VYDAJ	PREVOD NA UCET	308	31730	POJISTNE	YZ	40178102
744701	2542	1995-12-08	VYDAJ	PREVOD NA UCET	308	33643	POJISTNE	YZ	40178102
744702	2542	1996-01-08	VYDAJ	PREVOD NA UCET	308	30240	POJISTNE	YZ	40178102
744703	2542	1996-02-08	VYDAJ	PREVOD NA UCET	308	14854	POJISTNE	YZ	40178102
744704	2542	1996-03-08	VYDAJ	PREVOD NA UCET	308	19260	POJISTNE	YZ	40178102
744705	2542	1996-04-08	VYDAJ	PREVOD NA UCET	308	26729	POJISTNE	YZ	40178102
744706	2542	1996-05-08	VYDAJ	PREVOD NA UCET	308	24011	POJISTNE	YZ	40178102
744707	2542	1996-06-08	VYDAJ	PREVOD NA UCET	308	28194	POJISTNE	YZ	40178102
744708	2542	1996-07-08	VYDAJ	PREVOD NA UCET	308	30030	POJISTNE	YZ	40178102
744709	2542	1996-08-08	VYDAJ	PREVOD NA UCET	308	29331	POJISTNE	YZ	40178102
744710	2542	1996-09-08	VYDAJ	PREVOD NA UCET	308	28586	POJISTNE	YZ	40178102
744711	2542	1996-10-08	VYDAJ	PREVOD NA UCET	308	29583	POJISTNE	YZ	40178102
744712	2542	1996-11-08	VYDAJ	PREVOD NA UCET	308	28682	POJISTNE	YZ	40178102
744713	2542	1996-12-08	VYDAJ	PREVOD NA UCET	308	28979	POJISTNE	YZ	40178102
744714	2542	1997-01-08	VYDAJ	PREVOD NA UCET	308	30455	POJISTNE	YZ	40178102
744715	2542	1997-02-08	VYDAJ	PREVOD NA UCET	308	20420	POJISTNE	YZ	40178102
744716	2542	1997-03-08	VYDAJ	PREVOD NA UCET	308	25691	POJISTNE	YZ	40178102
744717	2542	1997-04-08	VYDAJ	PREVOD NA UCET	308	24272	POJISTNE	YZ	40178102
744718	2542	1997-05-08	VYDAJ	PREVOD NA UCET	308	28657	POJISTNE	YZ	40178102
744719	2542	1997-06-08	VYDAJ	PREVOD NA UCET	308	26548	POJISTNE	YZ	40178102
744720	2542	1997-07-08	VYDAJ	PREVOD NA UCET	308	17400	POJISTNE	YZ	40178102
744721	2542	1997-08-08	VYDAJ	PREVOD NA UCET	308	18250	POJISTNE	YZ	40178102
744722	2542	1997-09-08	VYDAJ	PREVOD NA UCET	308	19604	POJISTNE	YZ	40178102
744723	2542	1997-10-08	VYDAJ	PREVOD NA UCET	308	22467	POJISTNE	YZ	40178102
744724	2542	1997-11-08	VYDAJ	PREVOD NA UCET	308	22536	POJISTNE	YZ	40178102
744725	2542	1997-12-08	VYDAJ	PREVOD NA UCET	308	16353	POJISTNE	YZ	40178102
744726	2542	1998-01-08	VYDAJ	PREVOD NA UCET	308	21746	POJISTNE	YZ	40178102
744727	2542	1998-02-08	VYDAJ	PREVOD NA UCET	308	14818	POJISTNE	YZ	40178102
744728	2542	1998-03-08	VYDAJ	PREVOD NA UCET	308	19658	POJISTNE	YZ	40178102
744729	2542	1998-04-08	VYDAJ	PREVOD NA UCET	308	21318	POJISTNE	YZ	40178102
744730	2542	1998-05-08	VYDAJ	PREVOD NA UCET	308	20980	POJISTNE	YZ	40178102
744731	2542	1998-06-08	VYDAJ	PREVOD NA UCET	308	19538	POJISTNE	YZ	40178102
744732	2542	1998-07-08	VYDAJ	PREVOD NA UCET	308	16772	POJISTNE	YZ	40178102
744733	2542	1998-08-08	VYDAJ	PREVOD NA UCET	308	22919	POJISTNE	YZ	40178102
744734	2542	1998-09-08	VYDAJ	PREVOD NA UCET	308	30709	POJISTNE	YZ	40178102
744735	2542	1998-10-08	VYDAJ	PREVOD NA UCET	308	31913	POJISTNE	YZ	40178102
744736	2542	1998-11-08	VYDAJ	PREVOD NA UCET	308	32001	POJISTNE	YZ	40178102
744737	2542	1998-12-08	VYDAJ	PREVOD NA UCET	308	32207	POJISTNE	YZ	40178102
744743	2542	1998-06-26	VYDAJ	VYBER	5760	17012	\N	\N	\N
744745	2542	1994-01-04	VYDAJ	VYBER	8000	26323	\N	\N	\N
744746	2542	1995-01-15	VYDAJ	VYBER	5440	17555	\N	\N	\N
744747	2542	1996-01-26	VYDAJ	VYBER	4000	21419	\N	\N	\N
744750	2542	1993-12-30	VYDAJ	VYBER	2080	32501	\N	\N	\N
744751	2542	1994-12-06	VYDAJ	VYBER	4480	24636	\N	\N	\N
744752	2542	1995-12-23	VYDAJ	VYBER	1280	36897	\N	\N	\N
744753	2542	1996-12-13	VYDAJ	VYBER	1760	31753	\N	\N	\N
744754	2542	1997-12-02	VYDAJ	VYBER	1280	16661	\N	\N	\N
744755	2542	1998-12-29	VYDAJ	VYBER	3840	15981	\N	\N	\N
744762	2542	1994-01-17	VYDAJ	VYBER	2880	22854	\N	\N	\N
744763	2542	1994-01-11	VYDAJ	VYBER	600	22343	\N	\N	\N
744764	2542	1994-01-28	VYDAJ	VYBER	2880	17574	\N	\N	\N
744765	2542	1994-01-24	VYDAJ	VYBER	840	20454	\N	\N	\N
744766	2542	1994-01-15	VYDAJ	VYBER	1680	25734	\N	\N	\N
744767	2542	1994-01-19	VYDAJ	VYBER	1560	21294	\N	\N	\N
744768	2542	1995-01-30	VYDAJ	VYBER	2280	16375	\N	\N	\N
744769	2542	1995-01-15	VYDAJ	VYBER	3000	14555	\N	\N	\N
744770	2542	1995-01-05	VYDAJ	VYBER	1440	22504	\N	\N	\N
744771	2542	1995-01-03	VYDAJ	VYBER	2520	23944	\N	\N	\N
744772	2542	1995-01-13	VYDAJ	VYBER	1200	22995	\N	\N	\N
744774	2542	1996-01-28	VYDAJ	VYBER	3120	16379	\N	\N	\N
744775	2542	1996-01-27	VYDAJ	VYBER	1920	19499	\N	\N	\N
744776	2542	1996-01-18	VYDAJ	VYBER	2760	29479	\N	\N	\N
744777	2542	1996-01-04	VYDAJ	VYBER	2880	30548	\N	\N	\N
744778	2542	1996-01-24	VYDAJ	VYBER	3360	25419	\N	\N	\N
744779	2542	1996-01-29	VYDAJ	VYBER	1320	15059	\N	\N	\N
744780	2542	1997-01-23	VYDAJ	VYBER	3120	21954	\N	\N	\N
744781	2542	1997-01-15	VYDAJ	VYBER	1200	27534	\N	\N	\N
744782	2542	1997-01-26	VYDAJ	VYBER	1320	20634	\N	\N	\N
744783	2542	1997-01-15	VYDAJ	VYBER	840	28734	\N	\N	\N
744784	2542	1997-01-17	VYDAJ	VYBER	2160	25374	\N	\N	\N
744785	2542	1997-01-12	VYDAJ	VYBER	2880	29574	\N	\N	\N
744787	2542	1998-01-12	VYDAJ	VYBER	1200	22545	\N	\N	\N
744788	2542	1998-01-16	VYDAJ	VYBER	1920	18425	\N	\N	\N
744789	2542	1998-01-19	VYDAJ	VYBER	1800	16625	\N	\N	\N
744799	2542	1994-02-04	VYDAJ	VYBER	3960	19498	\N	\N	\N
744800	2542	1994-03-27	VYDAJ	VYBER	3840	19683	\N	\N	\N
744801	2542	1994-06-21	VYDAJ	VYBER	3600	25648	\N	\N	\N
744802	2542	1994-02-07	VYDAJ	VYBER	1920	17578	\N	\N	\N
744803	2542	1994-06-23	VYDAJ	VYBER	5280	20368	\N	\N	\N
744804	2542	1994-04-22	VYDAJ	VYBER	3360	18588	\N	\N	\N
744805	2542	1995-06-25	VYDAJ	VYBER	3480	27384	\N	\N	\N
744806	2542	1995-09-02	VYDAJ	VYBER	4440	24454	\N	\N	\N
744807	2542	1996-08-15	VYDAJ	VYBER	5040	26290	\N	\N	\N
744808	2542	1996-03-06	VYDAJ	VYBER	2040	19568	\N	\N	\N
744809	2542	1996-04-17	VYDAJ	VYBER	5400	23328	\N	\N	\N
744810	2542	1997-11-15	VYDAJ	VYBER	5760	17875	\N	\N	\N
744813	2542	1997-06-25	VYDAJ	VYBER	5760	17622	\N	\N	\N
744816	2542	1998-12-28	VYDAJ	VYBER	5760	19821	\N	\N	\N
744817	2542	1998-01-25	VYDAJ	VYBER	1560	15065	\N	\N	\N
744818	2542	1998-10-21	VYDAJ	VYBER	720	32192	\N	\N	\N
744819	2542	1998-12-12	VYDAJ	VYBER	5760	25581	\N	\N	\N
744832	2542	1993-12-31	VYDAJ	VYBER	15	32623	SLUZBY	\N	\N
744833	2542	1994-01-31	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
744834	2542	1994-02-28	VYDAJ	VYBER	15	19332	SLUZBY	\N	\N
744835	2542	1994-03-31	VYDAJ	VYBER	15	19757	SLUZBY	\N	\N
744836	2542	1994-04-30	VYDAJ	VYBER	15	18657	SLUZBY	\N	\N
744837	2542	1994-05-31	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
744838	2542	1994-06-30	VYDAJ	VYBER	15	20454	SLUZBY	\N	\N
744839	2542	1994-07-31	VYDAJ	VYBER	15	25630	SLUZBY	\N	\N
744840	2542	1994-08-31	VYDAJ	VYBER	15	26513	SLUZBY	\N	\N
744841	2542	1994-09-30	VYDAJ	VYBER	15	29908	SLUZBY	\N	\N
744842	2542	1994-10-31	VYDAJ	VYBER	15	31110	SLUZBY	\N	\N
744843	2542	1994-11-30	VYDAJ	VYBER	15	29116	SLUZBY	\N	\N
744844	2542	1994-12-31	VYDAJ	VYBER	15	26464	SLUZBY	\N	\N
744845	2542	1995-01-31	VYDAJ	VYBER	15	16438	SLUZBY	\N	\N
744846	2542	1995-02-28	VYDAJ	VYBER	15	21486	SLUZBY	\N	\N
744847	2542	1995-03-31	VYDAJ	VYBER	15	26956	SLUZBY	\N	\N
744848	2542	1995-04-30	VYDAJ	VYBER	15	27147	SLUZBY	\N	\N
744849	2542	1995-05-31	VYDAJ	VYBER	15	26638	SLUZBY	\N	\N
744850	2542	1995-06-30	VYDAJ	VYBER	15	30689	SLUZBY	\N	\N
744851	2542	1995-07-31	VYDAJ	VYBER	15	29294	SLUZBY	\N	\N
744852	2542	1995-08-31	VYDAJ	VYBER	15	28894	SLUZBY	\N	\N
744853	2542	1995-09-30	VYDAJ	VYBER	15	27941	SLUZBY	\N	\N
744854	2542	1995-10-31	VYDAJ	VYBER	15	32038	SLUZBY	\N	\N
744855	2542	1995-11-30	VYDAJ	VYBER	15	33951	SLUZBY	\N	\N
744856	2542	1995-12-31	VYDAJ	VYBER	15	33428	SLUZBY	\N	\N
744857	2542	1996-01-31	VYDAJ	VYBER	15	15162	SLUZBY	\N	\N
744858	2542	1996-02-29	VYDAJ	VYBER	15	21608	SLUZBY	\N	\N
744859	2542	1996-03-31	VYDAJ	VYBER	15	27037	SLUZBY	\N	\N
744860	2542	1996-04-30	VYDAJ	VYBER	15	24319	SLUZBY	\N	\N
744861	2542	1996-05-31	VYDAJ	VYBER	15	28502	SLUZBY	\N	\N
744862	2542	1996-06-30	VYDAJ	VYBER	15	30338	SLUZBY	\N	\N
744863	2542	1996-07-31	VYDAJ	VYBER	15	29639	SLUZBY	\N	\N
744864	2542	1996-08-31	VYDAJ	VYBER	15	28894	SLUZBY	\N	\N
744865	2542	1996-09-30	VYDAJ	VYBER	15	29891	SLUZBY	\N	\N
744866	2542	1996-10-31	VYDAJ	VYBER	15	28990	SLUZBY	\N	\N
744867	2542	1996-11-30	VYDAJ	VYBER	15	29287	SLUZBY	\N	\N
744868	2542	1996-12-31	VYDAJ	VYBER	15	30763	SLUZBY	\N	\N
744869	2542	1997-01-31	VYDAJ	VYBER	15	20728	SLUZBY	\N	\N
744870	2542	1997-02-28	VYDAJ	VYBER	15	25999	SLUZBY	\N	\N
744871	2542	1997-03-31	VYDAJ	VYBER	15	24580	SLUZBY	\N	\N
744872	2542	1997-04-30	VYDAJ	VYBER	15	28965	SLUZBY	\N	\N
744873	2542	1997-05-31	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
744874	2542	1997-06-30	VYDAJ	VYBER	15	17708	SLUZBY	\N	\N
744875	2542	1997-07-31	VYDAJ	VYBER	15	18558	SLUZBY	\N	\N
744876	2542	1997-08-31	VYDAJ	VYBER	15	19912	SLUZBY	\N	\N
744877	2542	1997-09-30	VYDAJ	VYBER	15	22775	SLUZBY	\N	\N
744878	2542	1997-10-31	VYDAJ	VYBER	15	22844	SLUZBY	\N	\N
744879	2542	1997-11-30	VYDAJ	VYBER	15	17941	SLUZBY	\N	\N
744880	2542	1997-12-31	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
744881	2542	1998-01-31	VYDAJ	VYBER	15	15126	SLUZBY	\N	\N
744882	2542	1998-02-28	VYDAJ	VYBER	15	19966	SLUZBY	\N	\N
744883	2542	1998-03-31	VYDAJ	VYBER	15	21626	SLUZBY	\N	\N
744884	2542	1998-04-30	VYDAJ	VYBER	15	21288	SLUZBY	\N	\N
744885	2542	1998-05-31	VYDAJ	VYBER	15	19846	SLUZBY	\N	\N
744886	2542	1998-06-30	VYDAJ	VYBER	15	17080	SLUZBY	\N	\N
744887	2542	1998-07-31	VYDAJ	VYBER	15	23227	SLUZBY	\N	\N
744888	2542	1998-08-31	VYDAJ	VYBER	15	31017	SLUZBY	\N	\N
744889	2542	1998-09-30	VYDAJ	VYBER	15	32221	SLUZBY	\N	\N
744890	2542	1998-10-31	VYDAJ	VYBER	15	32309	SLUZBY	\N	\N
744891	2542	1998-11-30	VYDAJ	VYBER	15	32515	SLUZBY	\N	\N
744892	2542	1993-09-06	PRIJEM	VKLAD	8200	13585	\N	\N	\N
744893	2542	1993-10-06	PRIJEM	VKLAD	3000	21714	\N	\N	\N
744894	2542	1993-11-05	VYDAJ	VYBER	2100	24784	\N	\N	\N
744895	2542	1993-12-05	VYDAJ	VYBER	3000	26975	\N	\N	\N
744896	2542	1994-01-04	PRIJEM	VKLAD	1700	34323	\N	\N	\N
744897	2542	1994-02-03	PRIJEM	VKLAD	5800	23458	\N	\N	\N
744898	2542	1994-03-05	PRIJEM	VKLAD	2500	21832	\N	\N	\N
744899	2542	1994-04-04	PRIJEM	VKLAD	500	20257	\N	\N	\N
744900	2542	1994-05-04	PRIJEM	VKLAD	2400	21057	\N	\N	\N
744901	2542	1994-06-03	PRIJEM	VKLAD	2200	25022	\N	\N	\N
744902	2542	1994-07-03	PRIJEM	VKLAD	3400	23854	\N	\N	\N
744903	2542	1994-08-02	VYDAJ	VYBER	900	24730	\N	\N	\N
744904	2542	1994-09-01	PRIJEM	VKLAD	1600	28113	\N	\N	\N
744905	2542	1994-10-01	VYDAJ	VYBER	600	29308	\N	\N	\N
744906	2542	1994-10-31	VYDAJ	VYBER	600	30510	\N	\N	\N
744907	2542	1994-11-30	VYDAJ	VYBER	3200	29131	\N	\N	\N
744908	2542	1994-12-30	VYDAJ	VYBER	2500	26362	\N	\N	\N
744909	2542	1995-01-29	PRIJEM	VKLAD	4100	18655	\N	\N	\N
744910	2542	1995-02-28	PRIJEM	VKLAD	3300	21500	\N	\N	\N
744911	2542	1995-03-30	PRIJEM	VKLAD	3700	26877	\N	\N	\N
744912	2542	1995-04-29	VYDAJ	VYBER	1600	27047	\N	\N	\N
744913	2542	1995-05-29	VYDAJ	VYBER	2300	26538	\N	\N	\N
744914	2542	1995-06-28	PRIJEM	VKLAD	3200	30584	\N	\N	\N
744915	2542	1995-07-28	VYDAJ	VYBER	3200	29180	\N	\N	\N
744916	2542	1995-08-27	VYDAJ	VYBER	2200	28785	\N	\N	\N
744917	2542	1995-09-26	PRIJEM	VKLAD	1700	27845	\N	\N	\N
744918	2542	1995-10-26	PRIJEM	VKLAD	2300	31932	\N	\N	\N
744919	2542	1995-11-25	PRIJEM	VKLAD	100	33829	\N	\N	\N
744920	2542	1995-12-25	VYDAJ	VYBER	3600	33297	\N	\N	\N
744921	2542	1996-01-24	VYDAJ	VYBER	700	28779	\N	\N	\N
744922	2542	1996-02-23	PRIJEM	VKLAD	4700	21553	\N	\N	\N
744923	2542	1996-03-24	PRIJEM	VKLAD	5700	26959	\N	\N	\N
744924	2542	1996-04-23	PRIJEM	VKLAD	900	24228	\N	\N	\N
744925	2542	1996-05-23	PRIJEM	VKLAD	2400	28410	\N	\N	\N
744926	2542	1996-06-22	VYDAJ	VYBER	2500	30228	\N	\N	\N
744927	2542	1996-07-22	VYDAJ	VYBER	2500	29529	\N	\N	\N
744928	2542	1996-08-21	PRIJEM	VKLAD	2500	28790	\N	\N	\N
744929	2542	1996-09-20	VYDAJ	VYBER	800	29785	\N	\N	\N
744930	2542	1996-10-20	VYDAJ	VYBER	2700	28882	\N	\N	\N
744931	2542	1996-11-19	VYDAJ	VYBER	1500	29181	\N	\N	\N
744932	2542	1996-12-19	VYDAJ	VYBER	1100	30653	\N	\N	\N
744933	2542	1997-01-18	VYDAJ	VYBER	300	25074	\N	\N	\N
744934	2542	1997-02-17	PRIJEM	VKLAD	3500	25919	\N	\N	\N
744935	2542	1997-03-19	VYDAJ	VYBER	3200	24490	\N	\N	\N
744936	2542	1997-04-18	PRIJEM	VKLAD	2600	28871	\N	\N	\N
744937	2542	1997-05-18	VYDAJ	VYBER	3900	26756	\N	\N	\N
744938	2542	1997-06-17	VYDAJ	VYBER	7700	23382	\N	\N	\N
744939	2542	1997-07-17	VYDAJ	VYBER	900	18499	\N	\N	\N
744940	2542	1997-08-16	VYDAJ	VYBER	400	19849	\N	\N	\N
744941	2542	1997-09-15	PRIJEM	VKLAD	1100	22703	\N	\N	\N
744942	2542	1997-10-15	VYDAJ	VYBER	1700	22766	\N	\N	\N
744943	2542	1997-11-14	VYDAJ	VYBER	900	23635	\N	\N	\N
744944	2542	1997-12-14	PRIJEM	VKLAD	1100	21987	\N	\N	\N
744945	2542	1998-01-13	VYDAJ	VYBER	2200	20345	\N	\N	\N
744946	2542	1998-02-12	PRIJEM	VKLAD	3100	19917	\N	\N	\N
744947	2542	1998-03-14	VYDAJ	VYBER	100	21557	\N	\N	\N
744948	2542	1998-04-13	VYDAJ	VYBER	2100	21217	\N	\N	\N
744949	2542	1998-05-13	VYDAJ	VYBER	3200	19779	\N	\N	\N
744950	2542	1998-06-12	VYDAJ	VYBER	1300	22772	\N	\N	\N
744951	2542	1998-07-12	PRIJEM	VKLAD	4400	18100	\N	\N	\N
744952	2542	1998-08-11	PRIJEM	VKLAD	6000	25847	\N	\N	\N
744953	2542	1998-09-10	VYDAJ	VYBER	600	27472	\N	\N	\N
744954	2542	1998-10-10	VYDAJ	VYBER	1000	27841	\N	\N	\N
744955	2542	1998-11-09	VYDAJ	VYBER	1600	27764	\N	\N	\N
744956	2542	1998-12-09	VYDAJ	VYBER	5400	24170	\N	\N	\N
745022	2543	1993-02-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
745024	2543	1993-02-14	PRIJEM	PREVOD Z UCTU	6148	7248	DUCHOD	CD	4203528
745025	2543	1993-03-14	PRIJEM	PREVOD Z UCTU	6148	13412	DUCHOD	CD	4203528
745026	2543	1993-04-14	PRIJEM	PREVOD Z UCTU	6148	19590	DUCHOD	CD	4203528
745027	2543	1993-05-14	PRIJEM	PREVOD Z UCTU	6148	25769	DUCHOD	CD	4203528
745028	2543	1993-06-14	PRIJEM	PREVOD Z UCTU	6148	30747	DUCHOD	CD	4203528
745029	2543	1993-07-14	PRIJEM	PREVOD Z UCTU	6148	32721	DUCHOD	CD	4203528
745030	2543	1993-08-14	PRIJEM	PREVOD Z UCTU	6148	32842	DUCHOD	CD	4203528
745031	2543	1993-09-14	PRIJEM	PREVOD Z UCTU	6148	31143	DUCHOD	CD	4203528
745032	2543	1993-10-14	PRIJEM	PREVOD Z UCTU	6148	30837	DUCHOD	CD	4203528
745033	2543	1993-11-14	PRIJEM	PREVOD Z UCTU	6148	33151	DUCHOD	CD	4203528
745034	2543	1993-12-14	PRIJEM	PREVOD Z UCTU	6148	34021	DUCHOD	CD	4203528
745035	2543	1994-01-14	PRIJEM	PREVOD Z UCTU	6148	32367	DUCHOD	CD	4203528
745036	2543	1994-02-14	PRIJEM	PREVOD Z UCTU	6148	28672	DUCHOD	CD	4203528
745037	2543	1994-03-14	PRIJEM	PREVOD Z UCTU	6148	32772	DUCHOD	CD	4203528
745038	2543	1994-04-14	PRIJEM	PREVOD Z UCTU	6148	33290	DUCHOD	CD	4203528
745039	2543	1994-05-14	PRIJEM	PREVOD Z UCTU	6148	34610	DUCHOD	CD	4203528
745040	2543	1994-06-14	PRIJEM	PREVOD Z UCTU	6148	32186	DUCHOD	CD	4203528
745041	2543	1994-07-14	PRIJEM	PREVOD Z UCTU	6148	36106	DUCHOD	CD	4203528
745042	2543	1994-08-14	PRIJEM	PREVOD Z UCTU	6148	31392	DUCHOD	CD	4203528
745043	2543	1994-09-14	PRIJEM	PREVOD Z UCTU	6148	32385	DUCHOD	CD	4203528
745044	2543	1994-10-14	PRIJEM	PREVOD Z UCTU	6148	35761	DUCHOD	CD	4203528
745045	2543	1994-11-14	PRIJEM	PREVOD Z UCTU	6148	39290	DUCHOD	CD	4203528
745046	2543	1994-12-14	PRIJEM	PREVOD Z UCTU	6148	40533	DUCHOD	CD	4203528
745047	2543	1995-01-14	PRIJEM	PREVOD Z UCTU	6148	34674	DUCHOD	CD	4203528
745048	2543	1995-02-14	PRIJEM	PREVOD Z UCTU	6148	29755	DUCHOD	CD	4203528
745049	2543	1995-03-14	PRIJEM	PREVOD Z UCTU	6148	30778	DUCHOD	CD	4203528
745050	2543	1995-04-14	PRIJEM	PREVOD Z UCTU	6148	34588	DUCHOD	CD	4203528
745051	2543	1995-05-14	PRIJEM	PREVOD Z UCTU	6148	35912	DUCHOD	CD	4203528
745052	2543	1995-06-14	PRIJEM	PREVOD Z UCTU	6148	23643	DUCHOD	CD	4203528
745053	2543	1995-07-14	PRIJEM	PREVOD Z UCTU	6148	27734	DUCHOD	CD	4203528
745054	2543	1995-08-14	PRIJEM	PREVOD Z UCTU	6148	28710	DUCHOD	CD	4203528
745055	2543	1995-09-14	PRIJEM	PREVOD Z UCTU	6148	32815	DUCHOD	CD	4203528
745056	2543	1995-10-14	PRIJEM	PREVOD Z UCTU	6148	36932	DUCHOD	CD	4203528
745057	2543	1995-11-14	PRIJEM	PREVOD Z UCTU	6148	37866	DUCHOD	CD	4203528
745058	2543	1995-12-14	PRIJEM	PREVOD Z UCTU	6148	42004	DUCHOD	CD	4203528
745059	2543	1996-01-14	PRIJEM	PREVOD Z UCTU	6148	38446	DUCHOD	CD	4203528
745060	2543	1996-02-14	PRIJEM	PREVOD Z UCTU	6148	36102	DUCHOD	CD	4203528
745061	2543	1996-03-14	PRIJEM	PREVOD Z UCTU	6148	40232	DUCHOD	CD	4203528
745062	2543	1996-04-14	PRIJEM	PREVOD Z UCTU	6148	43580	DUCHOD	CD	4203528
745063	2543	1996-05-14	PRIJEM	PREVOD Z UCTU	6148	47741	DUCHOD	CD	4203528
745064	2543	1996-06-14	PRIJEM	PREVOD Z UCTU	6148	38189	DUCHOD	CD	4203528
745065	2543	1996-07-14	PRIJEM	PREVOD Z UCTU	6148	40655	DUCHOD	CD	4203528
745066	2543	1996-08-14	PRIJEM	PREVOD Z UCTU	6148	44804	DUCHOD	CD	4203528
745067	2543	1996-09-14	PRIJEM	PREVOD Z UCTU	6148	45208	DUCHOD	CD	4203528
745068	2543	1996-10-14	PRIJEM	PREVOD Z UCTU	6148	49376	DUCHOD	CD	4203528
745069	2543	1996-11-14	PRIJEM	PREVOD Z UCTU	6148	53561	DUCHOD	CD	4203528
745070	2543	1996-12-14	PRIJEM	PREVOD Z UCTU	6148	55122	DUCHOD	CD	4203528
745071	2543	1997-01-14	PRIJEM	PREVOD Z UCTU	6148	44897	DUCHOD	CD	4203528
745072	2543	1997-02-14	PRIJEM	PREVOD Z UCTU	6148	45385	DUCHOD	CD	4203528
745073	2543	1997-03-14	PRIJEM	PREVOD Z UCTU	6148	49553	DUCHOD	CD	4203528
745074	2543	1997-04-14	PRIJEM	PREVOD Z UCTU	6148	50858	DUCHOD	CD	4203528
745075	2543	1997-05-14	PRIJEM	PREVOD Z UCTU	6148	53128	DUCHOD	CD	4203528
745076	2543	1997-06-14	PRIJEM	PREVOD Z UCTU	6148	45306	DUCHOD	CD	4203528
745077	2543	1997-07-14	PRIJEM	PREVOD Z UCTU	6148	49481	DUCHOD	CD	4203528
745078	2543	1997-08-14	PRIJEM	PREVOD Z UCTU	6148	53666	DUCHOD	CD	4203528
745079	2543	1997-09-14	PRIJEM	PREVOD Z UCTU	6148	57868	DUCHOD	CD	4203528
745080	2543	1997-10-14	PRIJEM	PREVOD Z UCTU	6148	62088	DUCHOD	CD	4203528
745081	2543	1997-11-14	PRIJEM	PREVOD Z UCTU	6148	63682	DUCHOD	CD	4203528
745082	2543	1997-12-14	PRIJEM	PREVOD Z UCTU	6148	67926	DUCHOD	CD	4203528
745083	2543	1998-01-14	PRIJEM	PREVOD Z UCTU	6148	69986	DUCHOD	CD	4203528
745084	2543	1998-02-14	PRIJEM	PREVOD Z UCTU	6148	60479	DUCHOD	CD	4203528
745085	2543	1998-03-14	PRIJEM	PREVOD Z UCTU	6148	64708	DUCHOD	CD	4203528
745086	2543	1998-04-14	PRIJEM	PREVOD Z UCTU	6148	63691	DUCHOD	CD	4203528
745087	2543	1998-05-14	PRIJEM	PREVOD Z UCTU	6148	67934	DUCHOD	CD	4203528
745088	2543	1998-06-14	PRIJEM	PREVOD Z UCTU	6148	72195	DUCHOD	CD	4203528
745089	2543	1998-07-14	PRIJEM	PREVOD Z UCTU	6148	70221	DUCHOD	CD	4203528
745090	2543	1998-08-14	PRIJEM	PREVOD Z UCTU	6148	74490	DUCHOD	CD	4203528
745091	2543	1998-09-14	PRIJEM	PREVOD Z UCTU	6148	78778	DUCHOD	CD	4203528
745092	2543	1998-10-14	PRIJEM	PREVOD Z UCTU	6148	80122	DUCHOD	CD	4203528
745093	2543	1998-11-14	PRIJEM	PREVOD Z UCTU	6148	84434	DUCHOD	CD	4203528
745094	2543	1998-12-14	PRIJEM	PREVOD Z UCTU	6148	85162	DUCHOD	CD	4203528
745101	2543	1993-07-08	VYDAJ	PREVOD NA UCET	2145	28673	SIPO	GH	60684478
745102	2543	1993-08-08	VYDAJ	PREVOD NA UCET	2145	30694	SIPO	GH	60684478
745103	2543	1993-09-08	VYDAJ	PREVOD NA UCET	2145	28495	SIPO	GH	60684478
745104	2543	1993-10-08	VYDAJ	PREVOD NA UCET	2145	27589	SIPO	GH	60684478
745105	2543	1993-11-08	VYDAJ	PREVOD NA UCET	2145	28803	SIPO	GH	60684478
745106	2543	1993-12-08	VYDAJ	PREVOD NA UCET	2145	31123	SIPO	GH	60684478
745107	2543	1994-01-08	VYDAJ	PREVOD NA UCET	2145	31439	SIPO	GH	60684478
745108	2543	1994-02-08	VYDAJ	PREVOD NA UCET	2145	22524	SIPO	GH	60684478
745109	2543	1994-03-08	VYDAJ	PREVOD NA UCET	2145	26624	SIPO	GH	60684478
745110	2543	1994-04-08	VYDAJ	PREVOD NA UCET	2145	30742	SIPO	GH	60684478
745111	2543	1994-05-08	VYDAJ	PREVOD NA UCET	2145	30062	SIPO	GH	60684478
745112	2543	1994-06-08	VYDAJ	PREVOD NA UCET	2145	26038	SIPO	GH	60684478
745113	2543	1994-07-08	VYDAJ	PREVOD NA UCET	2145	29958	SIPO	GH	60684478
745114	2543	1994-08-08	VYDAJ	PREVOD NA UCET	2145	25244	SIPO	GH	60684478
745115	2543	1994-09-08	VYDAJ	PREVOD NA UCET	2145	26237	SIPO	GH	60684478
745116	2543	1994-10-08	VYDAJ	PREVOD NA UCET	2145	29613	SIPO	GH	60684478
745117	2543	1994-11-08	VYDAJ	PREVOD NA UCET	2145	33142	SIPO	GH	60684478
745118	2543	1994-12-08	VYDAJ	PREVOD NA UCET	2145	34385	SIPO	GH	60684478
745119	2543	1995-01-08	VYDAJ	PREVOD NA UCET	2145	30926	SIPO	GH	60684478
745120	2543	1995-02-08	VYDAJ	PREVOD NA UCET	2145	23607	SIPO	GH	60684478
745121	2543	1995-03-08	VYDAJ	PREVOD NA UCET	2145	24630	SIPO	GH	60684478
745122	2543	1995-04-08	VYDAJ	PREVOD NA UCET	2145	28440	SIPO	GH	60684478
745123	2543	1995-05-08	VYDAJ	PREVOD NA UCET	2145	29764	SIPO	GH	60684478
745124	2543	1995-06-08	VYDAJ	PREVOD NA UCET	2145	17495	SIPO	GH	60684478
745125	2543	1995-07-08	VYDAJ	PREVOD NA UCET	2145	21586	SIPO	GH	60684478
745126	2543	1995-08-08	VYDAJ	PREVOD NA UCET	2145	25682	SIPO	GH	60684478
745127	2543	1995-09-08	VYDAJ	PREVOD NA UCET	2145	26667	SIPO	GH	60684478
745128	2543	1995-10-08	VYDAJ	PREVOD NA UCET	2145	30784	SIPO	GH	60684478
745129	2543	1995-11-08	VYDAJ	PREVOD NA UCET	2145	31718	SIPO	GH	60684478
745130	2543	1995-12-08	VYDAJ	PREVOD NA UCET	2145	35856	SIPO	GH	60684478
745131	2543	1996-01-08	VYDAJ	PREVOD NA UCET	2145	32298	SIPO	GH	60684478
745132	2543	1996-02-08	VYDAJ	PREVOD NA UCET	2145	29954	SIPO	GH	60684478
745133	2543	1996-03-08	VYDAJ	PREVOD NA UCET	2145	34084	SIPO	GH	60684478
745134	2543	1996-04-08	VYDAJ	PREVOD NA UCET	2145	37432	SIPO	GH	60684478
745135	2543	1996-05-08	VYDAJ	PREVOD NA UCET	2145	41593	SIPO	GH	60684478
745136	2543	1996-06-08	VYDAJ	PREVOD NA UCET	2145	32921	SIPO	GH	60684478
745137	2543	1996-07-08	VYDAJ	PREVOD NA UCET	2145	34507	SIPO	GH	60684478
745138	2543	1996-08-08	VYDAJ	PREVOD NA UCET	2145	38656	SIPO	GH	60684478
745139	2543	1996-09-08	VYDAJ	PREVOD NA UCET	2145	39060	SIPO	GH	60684478
745140	2543	1996-10-08	VYDAJ	PREVOD NA UCET	2145	43228	SIPO	GH	60684478
745141	2543	1996-11-08	VYDAJ	PREVOD NA UCET	2145	47413	SIPO	GH	60684478
745142	2543	1996-12-08	VYDAJ	PREVOD NA UCET	2145	48974	SIPO	GH	60684478
745143	2543	1997-01-08	VYDAJ	PREVOD NA UCET	2145	42749	SIPO	GH	60684478
745144	2543	1997-02-08	VYDAJ	PREVOD NA UCET	2145	39237	SIPO	GH	60684478
745145	2543	1997-03-08	VYDAJ	PREVOD NA UCET	2145	43405	SIPO	GH	60684478
745146	2543	1997-04-08	VYDAJ	PREVOD NA UCET	2145	47030	SIPO	GH	60684478
745147	2543	1997-05-08	VYDAJ	PREVOD NA UCET	2145	46980	SIPO	GH	60684478
745148	2543	1997-06-08	VYDAJ	PREVOD NA UCET	2145	39158	SIPO	GH	60684478
745149	2543	1997-07-08	VYDAJ	PREVOD NA UCET	2145	43333	SIPO	GH	60684478
745150	2543	1997-08-08	VYDAJ	PREVOD NA UCET	2145	47518	SIPO	GH	60684478
745151	2543	1997-09-08	VYDAJ	PREVOD NA UCET	2145	51720	SIPO	GH	60684478
745152	2543	1997-10-08	VYDAJ	PREVOD NA UCET	2145	55940	SIPO	GH	60684478
745153	2543	1997-11-08	VYDAJ	PREVOD NA UCET	2145	57534	SIPO	GH	60684478
745154	2543	1997-12-08	VYDAJ	PREVOD NA UCET	2145	61778	SIPO	GH	60684478
745155	2543	1998-01-08	VYDAJ	PREVOD NA UCET	2145	64988	SIPO	GH	60684478
745156	2543	1998-02-08	VYDAJ	PREVOD NA UCET	2145	54331	SIPO	GH	60684478
745157	2543	1998-03-08	VYDAJ	PREVOD NA UCET	2145	58560	SIPO	GH	60684478
745158	2543	1998-04-08	VYDAJ	PREVOD NA UCET	2145	57543	SIPO	GH	60684478
745159	2543	1998-05-08	VYDAJ	PREVOD NA UCET	2145	61786	SIPO	GH	60684478
745160	2543	1998-06-08	VYDAJ	PREVOD NA UCET	2145	66047	SIPO	GH	60684478
745161	2543	1998-07-08	VYDAJ	PREVOD NA UCET	2145	64073	SIPO	GH	60684478
745162	2543	1998-08-08	VYDAJ	PREVOD NA UCET	2145	68342	SIPO	GH	60684478
745163	2543	1998-09-08	VYDAJ	PREVOD NA UCET	2145	72630	SIPO	GH	60684478
745164	2543	1998-10-08	VYDAJ	PREVOD NA UCET	2145	73974	SIPO	GH	60684478
745165	2543	1998-11-08	VYDAJ	PREVOD NA UCET	2145	78286	SIPO	GH	60684478
745166	2543	1998-12-08	VYDAJ	PREVOD NA UCET	2145	79014	SIPO	GH	60684478
745168	2543	1994-06-03	VYDAJ	VYBER	6550	28183	\N	\N	\N
745169	2543	1995-06-07	VYDAJ	VYBER	11700	20440	\N	\N	\N
745170	2543	1996-06-08	VYDAJ	VYBER	10350	35066	\N	\N	\N
745171	2543	1997-06-02	VYDAJ	VYBER	9700	41303	\N	\N	\N
745172	2543	1998-06-29	VYDAJ	VYBER	6250	65945	\N	\N	\N
745174	2543	1994-01-30	VYDAJ	VYBER	2850	24557	\N	\N	\N
745175	2543	1995-01-28	VYDAJ	VYBER	4800	26354	\N	\N	\N
745176	2543	1996-01-07	VYDAJ	VYBER	2400	34443	\N	\N	\N
745177	2543	1997-01-08	VYDAJ	VYBER	3150	44894	\N	\N	\N
745178	2543	1998-01-10	VYDAJ	VYBER	1150	63838	\N	\N	\N
745179	2543	1993-12-11	VYDAJ	VYBER	850	27873	\N	\N	\N
745180	2543	1994-12-26	VYDAJ	VYBER	250	40283	\N	\N	\N
745181	2543	1995-12-15	VYDAJ	VYBER	1350	40654	\N	\N	\N
745182	2543	1996-12-16	VYDAJ	VYBER	1400	53722	\N	\N	\N
745183	2543	1997-12-28	VYDAJ	VYBER	1050	66876	\N	\N	\N
745184	2543	1998-12-25	VYDAJ	VYBER	1000	83962	\N	\N	\N
745191	2543	1994-01-23	VYDAJ	VYBER	400	29087	\N	\N	\N
745192	2543	1994-01-12	VYDAJ	VYBER	880	28139	\N	\N	\N
745193	2543	1994-01-07	VYDAJ	VYBER	560	33584	\N	\N	\N
745194	2543	1994-01-13	VYDAJ	VYBER	1920	26219	\N	\N	\N
745195	2543	1994-01-28	VYDAJ	VYBER	1680	27407	\N	\N	\N
745196	2543	1994-01-09	VYDAJ	VYBER	1920	29019	\N	\N	\N
745197	2543	1995-01-04	VYDAJ	VYBER	1440	34191	\N	\N	\N
745198	2543	1995-01-06	VYDAJ	VYBER	400	33071	\N	\N	\N
745199	2543	1995-01-05	VYDAJ	VYBER	720	33471	\N	\N	\N
745200	2543	1995-01-19	VYDAJ	VYBER	560	32274	\N	\N	\N
745201	2543	1995-01-20	VYDAJ	VYBER	1120	31154	\N	\N	\N
745202	2543	1995-01-18	VYDAJ	VYBER	1840	32834	\N	\N	\N
745203	2543	1996-01-30	VYDAJ	VYBER	2160	31966	\N	\N	\N
745204	2543	1996-01-16	VYDAJ	VYBER	960	37486	\N	\N	\N
745205	2543	1996-01-06	VYDAJ	VYBER	1760	36843	\N	\N	\N
745206	2543	1996-01-28	VYDAJ	VYBER	1040	34126	\N	\N	\N
745207	2543	1996-01-24	VYDAJ	VYBER	640	35166	\N	\N	\N
745208	2543	1996-01-22	VYDAJ	VYBER	1680	35806	\N	\N	\N
745209	2543	1997-01-09	VYDAJ	VYBER	1920	40829	\N	\N	\N
745210	2543	1997-01-14	VYDAJ	VYBER	1360	43537	\N	\N	\N
745211	2543	1997-01-13	VYDAJ	VYBER	2080	38749	\N	\N	\N
745212	2543	1997-01-02	VYDAJ	VYBER	480	49804	\N	\N	\N
745213	2543	1997-01-07	VYDAJ	VYBER	1760	48044	\N	\N	\N
745214	2543	1997-01-21	VYDAJ	VYBER	2320	41217	\N	\N	\N
745215	2543	1998-01-23	VYDAJ	VYBER	2080	61106	\N	\N	\N
745216	2543	1998-01-27	VYDAJ	VYBER	1440	59666	\N	\N	\N
745217	2543	1998-01-16	VYDAJ	VYBER	2000	67986	\N	\N	\N
745218	2543	1998-01-30	VYDAJ	VYBER	1840	57826	\N	\N	\N
745219	2543	1998-01-30	VYDAJ	VYBER	1600	56226	\N	\N	\N
745220	2543	1998-01-21	VYDAJ	VYBER	1920	63186	\N	\N	\N
745221	2543	1993-10-02	VYDAJ	VYBER	1520	29734	\N	\N	\N
745224	2543	1993-08-23	VYDAJ	VYBER	2320	30522	\N	\N	\N
745226	2543	1994-04-12	VYDAJ	VYBER	400	27142	\N	\N	\N
745227	2543	1994-07-14	VYDAJ	VYBER	3360	32746	\N	\N	\N
745228	2543	1994-09-03	VYDAJ	VYBER	1120	30382	\N	\N	\N
745229	2543	1994-07-25	VYDAJ	VYBER	2880	29866	\N	\N	\N
745230	2543	1994-04-19	VYDAJ	VYBER	1200	32090	\N	\N	\N
745231	2543	1994-10-06	VYDAJ	VYBER	640	31858	\N	\N	\N
745232	2543	1994-01-19	VYDAJ	VYBER	2880	29487	\N	\N	\N
745233	2543	1995-01-11	VYDAJ	VYBER	2400	28526	\N	\N	\N
745234	2543	1995-08-12	VYDAJ	VYBER	3120	22562	\N	\N	\N
745235	2543	1995-06-08	VYDAJ	VYBER	800	19640	\N	\N	\N
745236	2543	1995-03-07	VYDAJ	VYBER	2480	26775	\N	\N	\N
745237	2543	1995-02-03	VYDAJ	VYBER	720	25752	\N	\N	\N
745238	2543	1996-06-10	VYDAJ	VYBER	880	32041	\N	\N	\N
745239	2543	1996-08-27	VYDAJ	VYBER	3760	41044	\N	\N	\N
745240	2543	1996-12-30	VYDAJ	VYBER	3440	50082	\N	\N	\N
745241	2543	1996-03-31	VYDAJ	VYBER	800	39591	\N	\N	\N
745242	2543	1996-06-18	VYDAJ	VYBER	1680	36509	\N	\N	\N
745243	2543	1996-11-26	VYDAJ	VYBER	2640	50921	\N	\N	\N
745244	2543	1997-03-18	VYDAJ	VYBER	560	48993	\N	\N	\N
745245	2543	1997-04-13	VYDAJ	VYBER	2320	44710	\N	\N	\N
745246	2543	1997-04-15	VYDAJ	VYBER	1920	48938	\N	\N	\N
745247	2543	1997-10-25	VYDAJ	VYBER	2640	59448	\N	\N	\N
745248	2543	1997-05-26	VYDAJ	VYBER	2320	50808	\N	\N	\N
745249	2543	1998-01-18	VYDAJ	VYBER	2880	65106	\N	\N	\N
745250	2543	1998-10-07	VYDAJ	VYBER	2960	76119	\N	\N	\N
745251	2543	1998-12-02	VYDAJ	VYBER	3200	81159	\N	\N	\N
745252	2543	1998-11-23	VYDAJ	VYBER	400	84034	\N	\N	\N
745253	2543	1998-04-06	VYDAJ	VYBER	2560	59688	\N	\N	\N
745260	2543	1993-06-30	VYDAJ	VYBER	15	30818	SLUZBY	\N	\N
745261	2543	1993-07-31	VYDAJ	VYBER	15	32839	SLUZBY	\N	\N
745262	2543	1993-08-31	VYDAJ	VYBER	15	30640	SLUZBY	\N	\N
745263	2543	1993-09-30	VYDAJ	VYBER	15	31254	SLUZBY	\N	\N
745264	2543	1993-10-31	VYDAJ	VYBER	15	30948	SLUZBY	\N	\N
745265	2543	1993-11-30	VYDAJ	VYBER	15	33268	SLUZBY	\N	\N
745266	2543	1993-12-31	VYDAJ	VYBER	15	34144	SLUZBY	\N	\N
745267	2543	1994-01-31	VYDAJ	VYBER	15	24669	SLUZBY	\N	\N
745268	2543	1994-02-28	VYDAJ	VYBER	15	28769	SLUZBY	\N	\N
745269	2543	1994-03-31	VYDAJ	VYBER	15	32887	SLUZBY	\N	\N
745270	2543	1994-04-30	VYDAJ	VYBER	15	32207	SLUZBY	\N	\N
745271	2543	1994-05-31	VYDAJ	VYBER	15	34733	SLUZBY	\N	\N
745272	2543	1994-06-30	VYDAJ	VYBER	15	32303	SLUZBY	\N	\N
745273	2543	1994-07-31	VYDAJ	VYBER	15	29989	SLUZBY	\N	\N
745274	2543	1994-08-31	VYDAJ	VYBER	15	31502	SLUZBY	\N	\N
745275	2543	1994-09-30	VYDAJ	VYBER	15	32498	SLUZBY	\N	\N
745276	2543	1994-10-31	VYDAJ	VYBER	15	35887	SLUZBY	\N	\N
745277	2543	1994-11-30	VYDAJ	VYBER	15	39430	SLUZBY	\N	\N
745278	2543	1994-12-31	VYDAJ	VYBER	15	40431	SLUZBY	\N	\N
745279	2543	1995-01-31	VYDAJ	VYBER	15	26472	SLUZBY	\N	\N
745280	2543	1995-02-28	VYDAJ	VYBER	15	29855	SLUZBY	\N	\N
745281	2543	1995-03-31	VYDAJ	VYBER	15	30885	SLUZBY	\N	\N
745282	2543	1995-04-30	VYDAJ	VYBER	15	34709	SLUZBY	\N	\N
745283	2543	1995-05-31	VYDAJ	VYBER	15	36040	SLUZBY	\N	\N
745284	2543	1995-06-30	VYDAJ	VYBER	15	23731	SLUZBY	\N	\N
745285	2543	1995-07-31	VYDAJ	VYBER	15	27827	SLUZBY	\N	\N
745286	2543	1995-08-31	VYDAJ	VYBER	15	28812	SLUZBY	\N	\N
745287	2543	1995-09-30	VYDAJ	VYBER	15	32929	SLUZBY	\N	\N
745288	2543	1995-10-31	VYDAJ	VYBER	15	33863	SLUZBY	\N	\N
745289	2543	1995-11-30	VYDAJ	VYBER	15	38001	SLUZBY	\N	\N
745290	2543	1995-12-31	VYDAJ	VYBER	15	38603	SLUZBY	\N	\N
745291	2543	1996-01-31	VYDAJ	VYBER	15	32099	SLUZBY	\N	\N
745292	2543	1996-02-29	VYDAJ	VYBER	15	36229	SLUZBY	\N	\N
745293	2543	1996-03-31	VYDAJ	VYBER	15	39577	SLUZBY	\N	\N
745294	2543	1996-04-30	VYDAJ	VYBER	15	43738	SLUZBY	\N	\N
745295	2543	1996-05-31	VYDAJ	VYBER	15	45416	SLUZBY	\N	\N
745296	2543	1996-06-30	VYDAJ	VYBER	15	36652	SLUZBY	\N	\N
745297	2543	1996-07-31	VYDAJ	VYBER	15	40801	SLUZBY	\N	\N
745298	2543	1996-08-31	VYDAJ	VYBER	15	41205	SLUZBY	\N	\N
745299	2543	1996-09-30	VYDAJ	VYBER	15	45373	SLUZBY	\N	\N
745300	2543	1996-10-31	VYDAJ	VYBER	15	49558	SLUZBY	\N	\N
745301	2543	1996-11-30	VYDAJ	VYBER	15	51119	SLUZBY	\N	\N
745302	2543	1996-12-31	VYDAJ	VYBER	15	50284	SLUZBY	\N	\N
745303	2543	1997-01-31	VYDAJ	VYBER	15	41382	SLUZBY	\N	\N
745304	2543	1997-02-28	VYDAJ	VYBER	15	45550	SLUZBY	\N	\N
745305	2543	1997-03-31	VYDAJ	VYBER	15	49175	SLUZBY	\N	\N
745306	2543	1997-04-30	VYDAJ	VYBER	15	49125	SLUZBY	\N	\N
745307	2543	1997-05-31	VYDAJ	VYBER	15	51003	SLUZBY	\N	\N
745308	2543	1997-06-30	VYDAJ	VYBER	15	45478	SLUZBY	\N	\N
745309	2543	1997-07-31	VYDAJ	VYBER	15	49663	SLUZBY	\N	\N
745310	2543	1997-08-31	VYDAJ	VYBER	15	53865	SLUZBY	\N	\N
745311	2543	1997-09-30	VYDAJ	VYBER	15	58085	SLUZBY	\N	\N
745312	2543	1997-10-31	VYDAJ	VYBER	15	59679	SLUZBY	\N	\N
745313	2543	1997-11-30	VYDAJ	VYBER	15	63923	SLUZBY	\N	\N
745314	2543	1997-12-31	VYDAJ	VYBER	15	67133	SLUZBY	\N	\N
745315	2543	1998-01-31	VYDAJ	VYBER	15	56476	SLUZBY	\N	\N
745316	2543	1998-02-28	VYDAJ	VYBER	15	60705	SLUZBY	\N	\N
745317	2543	1998-03-31	VYDAJ	VYBER	15	62248	SLUZBY	\N	\N
745318	2543	1998-04-30	VYDAJ	VYBER	15	63931	SLUZBY	\N	\N
745319	2543	1998-05-31	VYDAJ	VYBER	15	68192	SLUZBY	\N	\N
745320	2543	1998-06-30	VYDAJ	VYBER	15	66218	SLUZBY	\N	\N
745321	2543	1998-07-31	VYDAJ	VYBER	15	70487	SLUZBY	\N	\N
745322	2543	1998-08-31	VYDAJ	VYBER	15	74775	SLUZBY	\N	\N
745323	2543	1998-09-30	VYDAJ	VYBER	15	79079	SLUZBY	\N	\N
745324	2543	1998-10-31	VYDAJ	VYBER	15	80431	SLUZBY	\N	\N
745325	2543	1998-11-30	VYDAJ	VYBER	15	84359	SLUZBY	\N	\N
745326	2543	1993-06-13	VYDAJ	VYBER	1200	24599	\N	\N	\N
745327	2543	1993-07-13	VYDAJ	VYBER	2100	26573	\N	\N	\N
745328	2543	1993-08-12	VYDAJ	VYBER	4000	26694	\N	\N	\N
745329	2543	1993-09-11	VYDAJ	VYBER	3500	24995	\N	\N	\N
745330	2543	1993-10-11	VYDAJ	VYBER	2900	24689	\N	\N	\N
745331	2543	1993-11-10	VYDAJ	VYBER	1800	27003	\N	\N	\N
745332	2543	1993-12-10	VYDAJ	VYBER	2400	28723	\N	\N	\N
745333	2543	1994-01-09	VYDAJ	VYBER	500	30939	\N	\N	\N
745334	2543	1994-04-09	VYDAJ	VYBER	3200	27542	\N	\N	\N
745335	2543	1994-05-09	VYDAJ	VYBER	1600	28462	\N	\N	\N
745336	2543	1994-07-08	VYDAJ	VYBER	200	32103	\N	\N	\N
745337	2543	1994-08-07	VYDAJ	VYBER	2600	27389	\N	\N	\N
745338	2543	1994-09-06	VYDAJ	VYBER	2000	28382	\N	\N	\N
745339	2543	1994-10-06	VYDAJ	VYBER	100	31758	\N	\N	\N
745340	2543	1994-11-05	VYDAJ	VYBER	600	35287	\N	\N	\N
745341	2543	1994-12-05	VYDAJ	VYBER	2900	36530	\N	\N	\N
745342	2543	1995-01-04	VYDAJ	VYBER	4800	35631	\N	\N	\N
745343	2543	1995-03-05	VYDAJ	VYBER	600	29255	\N	\N	\N
745344	2543	1995-04-04	VYDAJ	VYBER	300	30585	\N	\N	\N
745345	2543	1995-05-04	VYDAJ	VYBER	2800	31909	\N	\N	\N
745346	2543	1995-06-03	VYDAJ	VYBER	3900	32140	\N	\N	\N
745347	2543	1995-10-31	VYDAJ	VYBER	3200	33877	\N	\N	\N
745348	2543	1995-12-30	VYDAJ	VYBER	2200	38454	\N	\N	\N
745349	2543	1996-05-28	VYDAJ	VYBER	2500	45241	\N	\N	\N
745350	2543	1996-12-24	VYDAJ	VYBER	200	53522	\N	\N	\N
745351	2543	1998-03-19	VYDAJ	VYBER	2700	62008	\N	\N	\N
745352	2543	1998-12-14	VYDAJ	VYBER	200	84962	\N	\N	\N
745424	2544	1996-12-04	PRIJEM	VKLAD	300	300	\N	\N	\N
745436	2544	1996-12-05	PRIJEM	VKLAD	7908	8208	\N	\N	\N
745437	2544	1997-01-05	PRIJEM	VKLAD	5272	22010	\N	\N	\N
745438	2544	1997-02-05	PRIJEM	VKLAD	5272	29166	\N	\N	\N
745439	2544	1997-03-05	PRIJEM	VKLAD	5272	35155	\N	\N	\N
745440	2544	1997-04-05	PRIJEM	VKLAD	5272	37571	\N	\N	\N
745441	2544	1997-05-05	PRIJEM	VKLAD	5272	37559	\N	\N	\N
745442	2544	1997-06-05	PRIJEM	VKLAD	7908	35963	\N	\N	\N
745443	2544	1997-07-05	PRIJEM	VKLAD	5272	39943	\N	\N	\N
745444	2544	1997-08-05	PRIJEM	VKLAD	5272	41638	\N	\N	\N
745445	2544	1997-09-05	PRIJEM	VKLAD	5272	42633	\N	\N	\N
745446	2544	1997-10-05	PRIJEM	VKLAD	5272	45437	\N	\N	\N
745447	2544	1997-11-05	PRIJEM	VKLAD	5272	43545	\N	\N	\N
745448	2544	1997-12-05	PRIJEM	VKLAD	7908	49890	\N	\N	\N
745449	2544	1998-01-05	PRIJEM	VKLAD	5272	51535	\N	\N	\N
745450	2544	1998-02-05	PRIJEM	VKLAD	5272	36067	\N	\N	\N
745451	2544	1998-03-05	PRIJEM	VKLAD	5272	46530	\N	\N	\N
745452	2544	1998-04-05	PRIJEM	VKLAD	5272	51951	\N	\N	\N
745453	2544	1998-05-05	PRIJEM	VKLAD	5272	54288	\N	\N	\N
745454	2544	1998-06-05	PRIJEM	VKLAD	7908	63980	\N	\N	\N
745455	2544	1998-07-05	PRIJEM	VKLAD	5272	49241	\N	\N	\N
745456	2544	1998-08-05	PRIJEM	VKLAD	5272	54202	\N	\N	\N
745457	2544	1998-09-05	PRIJEM	VKLAD	5272	59695	\N	\N	\N
745458	2544	1998-10-05	PRIJEM	VKLAD	5272	61670	\N	\N	\N
745459	2544	1998-11-05	PRIJEM	VKLAD	5272	68158	\N	\N	\N
745460	2544	1998-12-05	PRIJEM	VKLAD	7908	76708	\N	\N	\N
745476	2544	1997-04-10	VYDAJ	PREVOD NA UCET	2920	34646	SIPO	ST	91578411
745477	2544	1997-05-10	VYDAJ	PREVOD NA UCET	2920	34634	SIPO	ST	91578411
745478	2544	1997-06-10	VYDAJ	PREVOD NA UCET	2920	33043	SIPO	ST	91578411
745479	2544	1997-07-10	VYDAJ	PREVOD NA UCET	2920	37023	SIPO	ST	91578411
745480	2544	1997-08-10	VYDAJ	PREVOD NA UCET	2920	38713	SIPO	ST	91578411
745481	2544	1997-09-10	VYDAJ	PREVOD NA UCET	2920	39713	SIPO	ST	91578411
745482	2544	1997-10-10	VYDAJ	PREVOD NA UCET	2920	42517	SIPO	ST	91578411
745483	2544	1997-11-10	VYDAJ	PREVOD NA UCET	2920	40620	SIPO	ST	91578411
745484	2544	1997-12-10	VYDAJ	PREVOD NA UCET	2920	46970	SIPO	ST	91578411
745485	2544	1998-01-10	VYDAJ	PREVOD NA UCET	2920	47290	SIPO	ST	91578411
745486	2544	1998-02-10	VYDAJ	PREVOD NA UCET	2920	31822	SIPO	ST	91578411
745487	2544	1998-03-10	VYDAJ	PREVOD NA UCET	2920	43610	SIPO	ST	91578411
745488	2544	1998-04-10	VYDAJ	PREVOD NA UCET	2920	49031	SIPO	ST	91578411
745489	2544	1998-05-10	VYDAJ	PREVOD NA UCET	2920	51368	SIPO	ST	91578411
745490	2544	1998-06-10	VYDAJ	PREVOD NA UCET	2920	61055	SIPO	ST	91578411
745491	2544	1998-07-10	VYDAJ	PREVOD NA UCET	2920	46321	SIPO	ST	91578411
745492	2544	1998-08-10	VYDAJ	PREVOD NA UCET	2920	51277	SIPO	ST	91578411
745493	2544	1998-09-10	VYDAJ	PREVOD NA UCET	2920	56775	SIPO	ST	91578411
745494	2544	1998-10-10	VYDAJ	PREVOD NA UCET	2920	58750	SIPO	ST	91578411
745495	2544	1998-11-10	VYDAJ	PREVOD NA UCET	2920	65233	SIPO	ST	91578411
745496	2544	1998-12-10	VYDAJ	PREVOD NA UCET	2920	73783	SIPO	ST	91578411
745512	2544	1997-04-11	VYDAJ	PREVOD NA UCET	556	34090	 	GH	94170903
745513	2544	1997-05-11	VYDAJ	PREVOD NA UCET	556	34078	 	GH	94170903
745514	2544	1997-06-11	VYDAJ	PREVOD NA UCET	556	32482	 	GH	94170903
745515	2544	1997-07-11	VYDAJ	PREVOD NA UCET	556	36462	 	GH	94170903
745516	2544	1997-08-11	VYDAJ	PREVOD NA UCET	556	38157	 	GH	94170903
745517	2544	1997-09-11	VYDAJ	PREVOD NA UCET	556	39152	 	GH	94170903
745518	2544	1997-10-11	VYDAJ	PREVOD NA UCET	556	41956	 	GH	94170903
745519	2544	1997-11-11	VYDAJ	PREVOD NA UCET	556	40064	 	GH	94170903
745520	2544	1997-12-11	VYDAJ	PREVOD NA UCET	556	46409	 	GH	94170903
745521	2544	1998-01-11	VYDAJ	PREVOD NA UCET	556	43734	 	GH	94170903
745522	2544	1998-02-11	VYDAJ	PREVOD NA UCET	556	31266	 	GH	94170903
745523	2544	1998-03-11	VYDAJ	PREVOD NA UCET	556	43049	 	GH	94170903
745524	2544	1998-04-11	VYDAJ	PREVOD NA UCET	556	48470	 	GH	94170903
745525	2544	1998-05-11	VYDAJ	PREVOD NA UCET	556	50807	 	GH	94170903
745526	2544	1998-06-11	VYDAJ	PREVOD NA UCET	556	60499	 	GH	94170903
745527	2544	1998-07-11	VYDAJ	PREVOD NA UCET	556	45760	 	GH	94170903
745528	2544	1998-08-11	VYDAJ	PREVOD NA UCET	556	50721	 	GH	94170903
745529	2544	1998-09-11	VYDAJ	PREVOD NA UCET	556	56214	 	GH	94170903
745530	2544	1998-10-11	VYDAJ	PREVOD NA UCET	556	58189	 	GH	94170903
745531	2544	1998-11-11	VYDAJ	PREVOD NA UCET	556	64677	 	GH	94170903
745532	2544	1998-12-11	VYDAJ	PREVOD NA UCET	556	73227	 	GH	94170903
745548	2544	1997-04-13	VYDAJ	PREVOD NA UCET	33	34057	POJISTNE	EF	9338546
745549	2544	1997-05-13	VYDAJ	PREVOD NA UCET	33	34045	POJISTNE	EF	9338546
745550	2544	1997-06-13	VYDAJ	PREVOD NA UCET	33	32449	POJISTNE	EF	9338546
745551	2544	1997-07-13	VYDAJ	PREVOD NA UCET	33	36429	POJISTNE	EF	9338546
745552	2544	1997-08-13	VYDAJ	PREVOD NA UCET	33	34524	POJISTNE	EF	9338546
745553	2544	1997-09-13	VYDAJ	PREVOD NA UCET	33	39119	POJISTNE	EF	9338546
745554	2544	1997-10-13	VYDAJ	PREVOD NA UCET	33	38923	POJISTNE	EF	9338546
745555	2544	1997-11-13	VYDAJ	PREVOD NA UCET	33	40031	POJISTNE	EF	9338546
745556	2544	1997-12-13	VYDAJ	PREVOD NA UCET	33	46376	POJISTNE	EF	9338546
745557	2544	1998-01-13	VYDAJ	PREVOD NA UCET	33	43701	POJISTNE	EF	9338546
745558	2544	1998-02-13	VYDAJ	PREVOD NA UCET	33	31233	POJISTNE	EF	9338546
745559	2544	1998-03-13	VYDAJ	PREVOD NA UCET	33	43016	POJISTNE	EF	9338546
745560	2544	1998-04-13	VYDAJ	PREVOD NA UCET	33	48437	POJISTNE	EF	9338546
745561	2544	1998-05-13	VYDAJ	PREVOD NA UCET	33	50774	POJISTNE	EF	9338546
745562	2544	1998-06-13	VYDAJ	PREVOD NA UCET	33	60466	POJISTNE	EF	9338546
745563	2544	1998-07-13	VYDAJ	PREVOD NA UCET	33	41887	POJISTNE	EF	9338546
745564	2544	1998-08-13	VYDAJ	PREVOD NA UCET	33	50688	POJISTNE	EF	9338546
745565	2544	1998-09-13	VYDAJ	PREVOD NA UCET	33	56181	POJISTNE	EF	9338546
745566	2544	1998-10-13	VYDAJ	PREVOD NA UCET	33	58156	POJISTNE	EF	9338546
745567	2544	1998-11-13	VYDAJ	PREVOD NA UCET	33	64644	POJISTNE	EF	9338546
745568	2544	1998-12-13	VYDAJ	PREVOD NA UCET	33	73194	POJISTNE	EF	9338546
745584	2544	1997-04-10	VYDAJ	PREVOD NA UCET	5	37566	 	YZ	63550382
745585	2544	1997-05-10	VYDAJ	PREVOD NA UCET	5	37554	 	YZ	63550382
745586	2544	1997-06-10	VYDAJ	PREVOD NA UCET	5	33038	 	YZ	63550382
745587	2544	1997-07-10	VYDAJ	PREVOD NA UCET	5	37018	 	YZ	63550382
745588	2544	1997-08-10	VYDAJ	PREVOD NA UCET	5	41633	 	YZ	63550382
745589	2544	1997-09-10	VYDAJ	PREVOD NA UCET	5	39708	 	YZ	63550382
745590	2544	1997-10-10	VYDAJ	PREVOD NA UCET	5	42512	 	YZ	63550382
745591	2544	1997-11-10	VYDAJ	PREVOD NA UCET	5	43540	 	YZ	63550382
745592	2544	1997-12-10	VYDAJ	PREVOD NA UCET	5	46965	 	YZ	63550382
745593	2544	1998-01-10	VYDAJ	PREVOD NA UCET	5	50210	 	YZ	63550382
745594	2544	1998-02-10	VYDAJ	PREVOD NA UCET	5	34742	 	YZ	63550382
745595	2544	1998-03-10	VYDAJ	PREVOD NA UCET	5	43605	 	YZ	63550382
745596	2544	1998-04-10	VYDAJ	PREVOD NA UCET	5	49026	 	YZ	63550382
745597	2544	1998-05-10	VYDAJ	PREVOD NA UCET	5	51363	 	YZ	63550382
745598	2544	1998-06-10	VYDAJ	PREVOD NA UCET	5	63975	 	YZ	63550382
745599	2544	1998-07-10	VYDAJ	PREVOD NA UCET	5	46316	 	YZ	63550382
745600	2544	1998-08-10	VYDAJ	PREVOD NA UCET	5	54197	 	YZ	63550382
745601	2544	1998-09-10	VYDAJ	PREVOD NA UCET	5	56770	 	YZ	63550382
745602	2544	1998-10-10	VYDAJ	PREVOD NA UCET	5	58745	 	YZ	63550382
745603	2544	1998-11-10	VYDAJ	PREVOD NA UCET	5	68153	 	YZ	63550382
745604	2544	1998-12-10	VYDAJ	PREVOD NA UCET	5	76703	 	YZ	63550382
745606	2544	1997-06-01	VYDAJ	VYBER	9920	24255	\N	\N	\N
745607	2544	1998-06-18	VYDAJ	VYBER	31680	28786	\N	\N	\N
745610	2544	1998-01-14	VYDAJ	VYBER	13120	30581	\N	\N	\N
745612	2544	1997-12-13	VYDAJ	VYBER	2880	43496	\N	\N	\N
745613	2544	1998-12-18	VYDAJ	VYBER	3840	69354	\N	\N	\N
745626	2544	1998-01-11	VYDAJ	VYBER	3000	44290	\N	\N	\N
745627	2544	1998-01-09	VYDAJ	VYBER	1320	50215	\N	\N	\N
745628	2544	1998-01-20	VYDAJ	VYBER	2040	25181	\N	\N	\N
745629	2544	1998-01-27	VYDAJ	VYBER	2880	22301	\N	\N	\N
745630	2544	1998-01-29	VYDAJ	VYBER	1800	36301	\N	\N	\N
745631	2544	1998-01-15	VYDAJ	VYBER	3360	27221	\N	\N	\N
745635	2544	1997-08-12	VYDAJ	VYBER	3600	34557	\N	\N	\N
745638	2544	1997-10-13	VYDAJ	VYBER	3000	38956	\N	\N	\N
745639	2544	1998-04-19	VYDAJ	VYBER	4800	43637	\N	\N	\N
745640	2544	1998-07-20	VYDAJ	VYBER	4920	36967	\N	\N	\N
745641	2544	1998-08-23	VYDAJ	VYBER	5760	44928	\N	\N	\N
745642	2544	1998-02-06	VYDAJ	VYBER	1320	34747	\N	\N	\N
745643	2544	1998-07-13	VYDAJ	VYBER	3840	41920	\N	\N	\N
745644	2544	1998-02-02	VYDAJ	VYBER	5640	30795	\N	\N	\N
745661	2544	1997-04-30	VYDAJ	VYBER	15	34187	SLUZBY	\N	\N
745662	2544	1997-05-31	VYDAJ	VYBER	15	34175	SLUZBY	\N	\N
745663	2544	1997-06-30	VYDAJ	VYBER	15	32571	SLUZBY	\N	\N
745664	2544	1997-07-31	VYDAJ	VYBER	15	36566	SLUZBY	\N	\N
745665	2544	1997-08-31	VYDAJ	VYBER	15	37361	SLUZBY	\N	\N
745666	2544	1997-09-30	VYDAJ	VYBER	15	40165	SLUZBY	\N	\N
745667	2544	1997-10-31	VYDAJ	VYBER	15	38273	SLUZBY	\N	\N
745668	2544	1997-11-30	VYDAJ	VYBER	15	41982	SLUZBY	\N	\N
745669	2544	1997-12-31	VYDAJ	VYBER	15	46263	SLUZBY	\N	\N
745670	2544	1998-01-31	VYDAJ	VYBER	15	36435	SLUZBY	\N	\N
745671	2544	1998-02-28	VYDAJ	VYBER	15	41258	SLUZBY	\N	\N
745672	2544	1998-03-31	VYDAJ	VYBER	15	46679	SLUZBY	\N	\N
745673	2544	1998-04-30	VYDAJ	VYBER	15	49016	SLUZBY	\N	\N
745674	2544	1998-05-31	VYDAJ	VYBER	15	56072	SLUZBY	\N	\N
745675	2544	1998-06-30	VYDAJ	VYBER	15	43969	SLUZBY	\N	\N
745676	2544	1998-07-31	VYDAJ	VYBER	15	48930	SLUZBY	\N	\N
745677	2544	1998-08-31	VYDAJ	VYBER	15	54423	SLUZBY	\N	\N
745678	2544	1998-09-30	VYDAJ	VYBER	15	56398	SLUZBY	\N	\N
745679	2544	1998-10-31	VYDAJ	VYBER	15	62886	SLUZBY	\N	\N
745680	2544	1998-11-30	VYDAJ	VYBER	15	68800	SLUZBY	\N	\N
745681	2544	1997-01-03	PRIJEM	VKLAD	8500	16738	\N	\N	\N
745682	2544	1997-02-02	PRIJEM	VKLAD	1800	23894	\N	\N	\N
745683	2544	1997-03-04	PRIJEM	VKLAD	600	29883	\N	\N	\N
745684	2544	1997-04-03	VYDAJ	VYBER	3000	32299	\N	\N	\N
745685	2544	1997-05-03	VYDAJ	VYBER	1900	32287	\N	\N	\N
745686	2544	1997-06-02	PRIJEM	VKLAD	3800	28055	\N	\N	\N
745687	2544	1997-07-02	PRIJEM	VKLAD	2100	34671	\N	\N	\N
745688	2544	1997-08-01	VYDAJ	VYBER	200	36366	\N	\N	\N
745689	2544	1997-08-31	PRIJEM	VKLAD	2700	37375	\N	\N	\N
745690	2544	1997-09-30	PRIJEM	VKLAD	900	40019	\N	\N	\N
745691	2544	1997-10-30	VYDAJ	VYBER	800	38123	\N	\N	\N
745692	2544	1997-11-29	PRIJEM	VKLAD	1800	41831	\N	\N	\N
745693	2544	1997-12-29	PRIJEM	VKLAD	2600	46096	\N	\N	\N
745694	2544	1998-01-28	PRIJEM	VKLAD	15800	38101	\N	\N	\N
745695	2544	1998-02-27	PRIJEM	VKLAD	9900	41133	\N	\N	\N
745696	2544	1998-03-29	PRIJEM	VKLAD	3500	46516	\N	\N	\N
745697	2544	1998-04-28	PRIJEM	VKLAD	5200	48837	\N	\N	\N
745698	2544	1998-05-28	PRIJEM	VKLAD	5100	55874	\N	\N	\N
745699	2544	1998-06-27	PRIJEM	VKLAD	15000	43786	\N	\N	\N
745700	2544	1998-07-27	PRIJEM	VKLAD	11800	48767	\N	\N	\N
745701	2544	1998-08-26	PRIJEM	VKLAD	9300	54228	\N	\N	\N
745702	2544	1998-10-25	PRIJEM	VKLAD	4500	62656	\N	\N	\N
745703	2544	1998-11-24	PRIJEM	VKLAD	3900	68544	\N	\N	\N
745729	2545	1996-12-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
745741	2545	1996-12-07	PRIJEM	VKLAD	14146	15246	\N	\N	\N
745742	2545	1997-01-07	PRIJEM	VKLAD	9431	31628	\N	\N	\N
745743	2545	1997-02-07	PRIJEM	VKLAD	9431	40378	\N	\N	\N
745744	2545	1997-03-07	PRIJEM	VKLAD	9431	44169	\N	\N	\N
745745	2545	1997-04-07	PRIJEM	VKLAD	9431	47281	\N	\N	\N
745746	2545	1997-05-07	PRIJEM	VKLAD	9431	35231	\N	\N	\N
745747	2545	1997-06-07	PRIJEM	VKLAD	14146	34455	\N	\N	\N
745748	2545	1997-07-07	PRIJEM	VKLAD	9431	15300	\N	\N	\N
745749	2545	1997-08-07	PRIJEM	VKLAD	9431	22524	\N	\N	\N
745750	2545	1997-09-07	PRIJEM	VKLAD	9431	15967	\N	\N	\N
745751	2545	1997-10-07	PRIJEM	VKLAD	9431	30610	\N	\N	\N
745752	2545	1997-11-07	PRIJEM	VKLAD	9431	33393	\N	\N	\N
745753	2545	1997-12-07	PRIJEM	VKLAD	14146	42005	\N	\N	\N
745754	2545	1998-01-07	PRIJEM	VKLAD	9431	20550	\N	\N	\N
745755	2545	1998-02-07	PRIJEM	VKLAD	9431	20828	\N	\N	\N
745756	2545	1998-03-07	PRIJEM	VKLAD	9431	21166	\N	\N	\N
745757	2545	1998-04-07	PRIJEM	VKLAD	9431	22395	\N	\N	\N
745758	2545	1998-05-07	PRIJEM	VKLAD	9431	20028	\N	\N	\N
745759	2545	1998-06-07	PRIJEM	VKLAD	14146	25448	\N	\N	\N
745760	2545	1998-07-07	PRIJEM	VKLAD	9431	18166	\N	\N	\N
745761	2545	1998-08-07	PRIJEM	VKLAD	9431	20365	\N	\N	\N
745762	2545	1998-09-07	PRIJEM	VKLAD	9431	18175	\N	\N	\N
745763	2545	1998-10-07	PRIJEM	VKLAD	9431	20174	\N	\N	\N
745764	2545	1998-11-07	PRIJEM	VKLAD	9431	23099	\N	\N	\N
745765	2545	1998-12-07	PRIJEM	VKLAD	14146	34154	\N	\N	\N
745781	2545	1997-04-12	VYDAJ	PREVOD NA UCET	2637	33260	SIPO	AB	584811
745782	2545	1997-05-12	VYDAJ	PREVOD NA UCET	2637	21210	SIPO	AB	584811
745783	2545	1997-06-12	VYDAJ	PREVOD NA UCET	2637	17934	SIPO	AB	584811
745784	2545	1997-07-12	VYDAJ	PREVOD NA UCET	2637	4079	SIPO	AB	584811
745785	2545	1997-08-12	VYDAJ	PREVOD NA UCET	2637	18503	SIPO	AB	584811
745786	2545	1997-09-12	VYDAJ	PREVOD NA UCET	2637	11946	SIPO	AB	584811
745787	2545	1997-10-12	VYDAJ	PREVOD NA UCET	2637	26589	SIPO	AB	584811
745788	2545	1997-11-12	VYDAJ	PREVOD NA UCET	2637	22072	SIPO	AB	584811
745789	2545	1997-12-12	VYDAJ	PREVOD NA UCET	2637	37184	SIPO	AB	584811
745790	2545	1998-01-12	VYDAJ	PREVOD NA UCET	2637	15449	SIPO	AB	584811
745918	2545	1998-12-16	VYDAJ	VYBER	1120	20080	\N	\N	\N
745791	2545	1998-02-12	VYDAJ	PREVOD NA UCET	2637	8707	SIPO	AB	584811
745792	2545	1998-03-12	VYDAJ	PREVOD NA UCET	2637	17145	SIPO	AB	584811
745793	2545	1998-04-12	VYDAJ	PREVOD NA UCET	2637	18374	SIPO	AB	584811
745794	2545	1998-05-12	VYDAJ	PREVOD NA UCET	2637	16007	SIPO	AB	584811
745795	2545	1998-06-12	VYDAJ	PREVOD NA UCET	2637	21427	SIPO	AB	584811
745796	2545	1998-07-12	VYDAJ	PREVOD NA UCET	2637	14145	SIPO	AB	584811
745797	2545	1998-08-12	VYDAJ	PREVOD NA UCET	2637	7411	SIPO	AB	584811
745798	2545	1998-09-12	VYDAJ	PREVOD NA UCET	2637	5221	SIPO	AB	584811
745799	2545	1998-10-12	VYDAJ	PREVOD NA UCET	2637	16153	SIPO	AB	584811
745800	2545	1998-11-12	VYDAJ	PREVOD NA UCET	2637	19078	SIPO	AB	584811
745801	2545	1998-12-12	VYDAJ	PREVOD NA UCET	2637	21200	SIPO	AB	584811
745817	2545	1997-04-10	VYDAJ	PREVOD NA UCET	671	45897	 	ST	28254646
745818	2545	1997-05-10	VYDAJ	PREVOD NA UCET	671	23847	 	ST	28254646
745819	2545	1997-06-10	VYDAJ	PREVOD NA UCET	671	33071	 	ST	28254646
745820	2545	1997-07-10	VYDAJ	PREVOD NA UCET	671	9836	 	ST	28254646
745821	2545	1997-08-10	VYDAJ	PREVOD NA UCET	671	21140	 	ST	28254646
745822	2545	1997-09-10	VYDAJ	PREVOD NA UCET	671	14583	 	ST	28254646
745823	2545	1997-10-10	VYDAJ	PREVOD NA UCET	671	29226	 	ST	28254646
745824	2545	1997-11-10	VYDAJ	PREVOD NA UCET	671	32009	 	ST	28254646
745825	2545	1997-12-10	VYDAJ	PREVOD NA UCET	671	40621	 	ST	28254646
745826	2545	1998-01-10	VYDAJ	PREVOD NA UCET	671	19166	 	ST	28254646
745827	2545	1998-02-10	VYDAJ	PREVOD NA UCET	671	11344	 	ST	28254646
745828	2545	1998-03-10	VYDAJ	PREVOD NA UCET	671	19782	 	ST	28254646
745829	2545	1998-04-10	VYDAJ	PREVOD NA UCET	671	21011	 	ST	28254646
745830	2545	1998-05-10	VYDAJ	PREVOD NA UCET	671	18644	 	ST	28254646
745831	2545	1998-06-10	VYDAJ	PREVOD NA UCET	671	24064	 	ST	28254646
745832	2545	1998-07-10	VYDAJ	PREVOD NA UCET	671	16782	 	ST	28254646
745833	2545	1998-08-10	VYDAJ	PREVOD NA UCET	671	18981	 	ST	28254646
745834	2545	1998-09-10	VYDAJ	PREVOD NA UCET	671	16791	 	ST	28254646
745835	2545	1998-10-10	VYDAJ	PREVOD NA UCET	671	18790	 	ST	28254646
745836	2545	1998-11-10	VYDAJ	PREVOD NA UCET	671	21715	 	ST	28254646
745837	2545	1998-12-10	VYDAJ	PREVOD NA UCET	671	32770	 	ST	28254646
745853	2545	1997-04-08	VYDAJ	PREVOD NA UCET	713	46568	POJISTNE	GH	74550294
745854	2545	1997-05-08	VYDAJ	PREVOD NA UCET	713	34518	POJISTNE	GH	74550294
745855	2545	1997-06-08	VYDAJ	PREVOD NA UCET	713	33742	POJISTNE	GH	74550294
745856	2545	1997-07-08	VYDAJ	PREVOD NA UCET	713	14587	POJISTNE	GH	74550294
745857	2545	1997-08-08	VYDAJ	PREVOD NA UCET	713	21811	POJISTNE	GH	74550294
745858	2545	1997-09-08	VYDAJ	PREVOD NA UCET	713	15254	POJISTNE	GH	74550294
745859	2545	1997-10-08	VYDAJ	PREVOD NA UCET	713	29897	POJISTNE	GH	74550294
745860	2545	1997-11-08	VYDAJ	PREVOD NA UCET	713	32680	POJISTNE	GH	74550294
745861	2545	1997-12-08	VYDAJ	PREVOD NA UCET	713	41292	POJISTNE	GH	74550294
745862	2545	1998-01-08	VYDAJ	PREVOD NA UCET	713	19837	POJISTNE	GH	74550294
745863	2545	1998-02-08	VYDAJ	PREVOD NA UCET	713	12015	POJISTNE	GH	74550294
745864	2545	1998-03-08	VYDAJ	PREVOD NA UCET	713	20453	POJISTNE	GH	74550294
745865	2545	1998-04-08	VYDAJ	PREVOD NA UCET	713	21682	POJISTNE	GH	74550294
745866	2545	1998-05-08	VYDAJ	PREVOD NA UCET	713	19315	POJISTNE	GH	74550294
745867	2545	1998-06-08	VYDAJ	PREVOD NA UCET	713	24735	POJISTNE	GH	74550294
745868	2545	1998-07-08	VYDAJ	PREVOD NA UCET	713	17453	POJISTNE	GH	74550294
745869	2545	1998-08-08	VYDAJ	PREVOD NA UCET	713	19652	POJISTNE	GH	74550294
745870	2545	1998-09-08	VYDAJ	PREVOD NA UCET	713	17462	POJISTNE	GH	74550294
745871	2545	1998-10-08	VYDAJ	PREVOD NA UCET	713	19461	POJISTNE	GH	74550294
745872	2545	1998-11-08	VYDAJ	PREVOD NA UCET	713	22386	POJISTNE	GH	74550294
745873	2545	1998-12-08	VYDAJ	PREVOD NA UCET	713	33441	POJISTNE	GH	74550294
745889	2545	1997-04-10	VYDAJ	VYBER	10000	35897	\N	\N	0
745890	2545	1997-05-09	VYDAJ	VYBER	10000	24518	\N	\N	0
745891	2545	1997-06-12	VYDAJ	VYBER	12500	20571	\N	\N	0
745892	2545	1997-07-06	VYDAJ	VYBER	8800	5869	\N	\N	0
745893	2545	1997-08-19	VYDAJ	VYBER	7400	11103	\N	\N	0
745894	2545	1997-08-26	VYDAJ	VYBER	9400	1703	\N	\N	0
745895	2545	1997-10-15	VYDAJ	VYBER	9900	16689	\N	\N	0
745896	2545	1997-11-12	VYDAJ	VYBER	7300	24709	\N	\N	0
745897	2545	1997-12-21	VYDAJ	VYBER	8700	25004	\N	\N	0
745898	2545	1998-01-06	VYDAJ	VYBER	11800	11119	\N	\N	0
745899	2545	1998-02-07	VYDAJ	VYBER	8100	12728	\N	\N	0
745900	2545	1998-03-12	VYDAJ	PREVOD NA UCET	8933	8212	UVER	ST	49701792
745901	2545	1998-04-12	VYDAJ	PREVOD NA UCET	8933	9441	UVER	ST	49701792
745902	2545	1998-05-12	VYDAJ	PREVOD NA UCET	8933	7074	UVER	ST	49701792
745903	2545	1998-06-12	VYDAJ	PREVOD NA UCET	8933	12494	UVER	ST	49701792
745904	2545	1998-07-12	VYDAJ	PREVOD NA UCET	8933	5212	UVER	ST	49701792
745905	2545	1998-08-12	VYDAJ	PREVOD NA UCET	8933	10048	UVER	ST	49701792
745906	2545	1998-09-12	VYDAJ	PREVOD NA UCET	8933	7858	UVER	ST	49701792
745907	2545	1998-10-12	VYDAJ	PREVOD NA UCET	8933	7220	UVER	ST	49701792
745908	2545	1998-11-12	VYDAJ	PREVOD NA UCET	8933	10145	UVER	ST	49701792
745909	2545	1998-12-12	VYDAJ	PREVOD NA UCET	8933	23837	UVER	ST	49701792
745911	2545	1997-06-15	VYDAJ	VYBER	5920	12014	\N	\N	\N
745917	2545	1997-12-11	VYDAJ	VYBER	800	39821	\N	\N	\N
745931	2545	1998-01-18	VYDAJ	VYBER	3000	9929	\N	\N	\N
745932	2545	1998-01-22	VYDAJ	VYBER	1080	8849	\N	\N	\N
745933	2545	1998-01-15	VYDAJ	VYBER	1440	14009	\N	\N	\N
745934	2545	1998-01-29	VYDAJ	VYBER	3000	11349	\N	\N	\N
745935	2545	1998-01-10	VYDAJ	VYBER	1080	18086	\N	\N	\N
745936	2545	1998-01-18	VYDAJ	VYBER	1080	12929	\N	\N	\N
745939	2545	1997-05-20	VYDAJ	VYBER	5880	15330	\N	\N	\N
745940	2545	1997-07-10	VYDAJ	VYBER	3120	6716	\N	\N	\N
745941	2545	1997-12-12	VYDAJ	VYBER	3480	33704	\N	\N	\N
745944	2545	1997-07-10	VYDAJ	VYBER	4080	10507	\N	\N	\N
745967	2545	1997-04-30	VYDAJ	VYBER	15	33400	SLUZBY	\N	\N
745968	2545	1997-05-31	VYDAJ	VYBER	15	15409	SLUZBY	\N	\N
745969	2545	1997-06-30	VYDAJ	VYBER	15	12069	SLUZBY	\N	\N
745970	2545	1997-07-31	VYDAJ	VYBER	15	4093	SLUZBY	\N	\N
745971	2545	1997-08-31	VYDAJ	VYBER	15	6536	SLUZBY	\N	\N
745972	2545	1997-09-30	VYDAJ	VYBER	15	21179	SLUZBY	\N	\N
745973	2545	1997-10-31	VYDAJ	VYBER	15	23962	SLUZBY	\N	\N
745974	2545	1997-11-30	VYDAJ	VYBER	15	27859	SLUZBY	\N	\N
745975	2545	1997-12-31	VYDAJ	VYBER	15	22919	SLUZBY	\N	\N
745976	2545	1998-01-31	VYDAJ	VYBER	15	11397	SLUZBY	\N	\N
745977	2545	1998-02-28	VYDAJ	VYBER	15	11735	SLUZBY	\N	\N
745978	2545	1998-03-31	VYDAJ	VYBER	15	12964	SLUZBY	\N	\N
745979	2545	1998-04-30	VYDAJ	VYBER	15	10597	SLUZBY	\N	\N
745980	2545	1998-05-31	VYDAJ	VYBER	15	11302	SLUZBY	\N	\N
745981	2545	1998-06-30	VYDAJ	VYBER	15	8735	SLUZBY	\N	\N
745982	2545	1998-07-31	VYDAJ	VYBER	15	10934	SLUZBY	\N	\N
745983	2545	1998-08-31	VYDAJ	VYBER	15	8744	SLUZBY	\N	\N
745984	2545	1998-09-30	VYDAJ	VYBER	15	10743	SLUZBY	\N	\N
745985	2545	1998-10-31	VYDAJ	VYBER	15	13668	SLUZBY	\N	\N
745986	2545	1998-11-30	VYDAJ	VYBER	15	20008	SLUZBY	\N	\N
745987	2545	1997-01-03	PRIJEM	VKLAD	6900	22197	\N	\N	\N
745988	2545	1997-02-02	VYDAJ	VYBER	800	30947	\N	\N	\N
745989	2545	1997-03-04	VYDAJ	VYBER	5800	34738	\N	\N	\N
745990	2545	1997-04-03	VYDAJ	VYBER	6500	37850	\N	\N	\N
745991	2545	1997-05-03	VYDAJ	VYBER	7600	25800	\N	\N	\N
745992	2545	1997-06-02	PRIJEM	VKLAD	4900	20309	\N	\N	\N
745993	2545	1997-07-02	PRIJEM	VKLAD	2600	14669	\N	\N	\N
745994	2545	1997-08-01	PRIJEM	VKLAD	9000	13093	\N	\N	\N
745995	2545	1997-08-31	PRIJEM	VKLAD	4800	6551	\N	\N	\N
745996	2545	1997-09-30	PRIJEM	VKLAD	9200	21146	\N	\N	\N
745997	2545	1997-10-30	PRIJEM	VKLAD	7200	23889	\N	\N	\N
745998	2545	1997-11-29	PRIJEM	VKLAD	5700	27772	\N	\N	\N
745999	2545	1997-12-29	VYDAJ	VYBER	2200	22804	\N	\N	\N
746000	2545	1998-01-28	PRIJEM	VKLAD	5500	14349	\N	\N	\N
746001	2545	1998-02-27	PRIJEM	VKLAD	3000	11707	\N	\N	\N
746002	2545	1998-03-29	PRIJEM	VKLAD	4700	12912	\N	\N	\N
746003	2545	1998-04-28	PRIJEM	VKLAD	1100	10541	\N	\N	\N
746004	2545	1998-05-28	PRIJEM	VKLAD	4200	11274	\N	\N	\N
746005	2545	1998-06-27	VYDAJ	VYBER	3800	8694	\N	\N	\N
746006	2545	1998-07-27	PRIJEM	VKLAD	5700	10912	\N	\N	\N
746007	2545	1998-08-26	PRIJEM	VKLAD	1300	8711	\N	\N	\N
746008	2545	1998-09-25	PRIJEM	VKLAD	5500	10721	\N	\N	\N
746009	2545	1998-10-25	PRIJEM	VKLAD	6400	13620	\N	\N	\N
746010	2545	1998-11-24	PRIJEM	VKLAD	9800	19945	\N	\N	\N
746036	2546	1994-12-08	PRIJEM	VKLAD	300	300	\N	\N	\N
746037	2546	1994-12-18	PRIJEM	VKLAD	17317	17617	\N	\N	\N
746041	2546	1995-04-22	PRIJEM	VKLAD	49530	90200	\N	\N	\N
746042	2546	1995-01-04	PRIJEM	VKLAD	44724	62374	\N	\N	\N
746043	2546	1995-01-30	PRIJEM	VKLAD	38967	109817	\N	\N	\N
746044	2546	1995-12-22	PRIJEM	VKLAD	32119	75371	\N	\N	\N
746045	2546	1995-10-19	PRIJEM	VKLAD	37687	87993	\N	\N	\N
746046	2546	1995-08-31	PRIJEM	VKLAD	40136	98420	\N	\N	\N
746047	2546	1995-10-14	PRIJEM	VKLAD	15646	50306	\N	\N	\N
746048	2546	1995-07-17	PRIJEM	VKLAD	28997	80071	\N	\N	\N
746049	2546	1995-11-02	PRIJEM	VKLAD	25461	128389	\N	\N	\N
746050	2546	1995-06-22	PRIJEM	VKLAD	27874	68903	\N	\N	\N
746051	2546	1995-05-23	PRIJEM	VKLAD	20298	71291	\N	\N	\N
746052	2546	1995-12-29	PRIJEM	VKLAD	25904	101275	\N	\N	\N
746053	2546	1995-11-26	PRIJEM	VKLAD	43019	83955	\N	\N	\N
746054	2546	1995-10-31	PRIJEM	VKLAD	9456	102657	\N	\N	\N
746055	2546	1995-06-28	PRIJEM	VKLAD	21566	90469	\N	\N	\N
746056	2546	1995-08-26	PRIJEM	VKLAD	10645	58284	\N	\N	\N
746057	2546	1995-10-25	PRIJEM	VKLAD	25608	113601	\N	\N	\N
746058	2546	1995-02-04	PRIJEM	VKLAD	32099	101057	\N	\N	\N
746059	2546	1995-04-01	PRIJEM	VKLAD	39425	64687	\N	\N	\N
746060	2546	1995-01-10	PRIJEM	VKLAD	27976	70850	\N	\N	\N
746061	2546	1996-07-31	PRIJEM	VKLAD	15023	34605	\N	\N	\N
746062	2546	1996-08-12	PRIJEM	VKLAD	7958	38023	\N	\N	\N
746063	2546	1996-05-18	PRIJEM	VKLAD	45985	62624	\N	\N	\N
746064	2546	1996-01-19	PRIJEM	VKLAD	20243	48319	\N	\N	\N
746065	2546	1996-08-14	PRIJEM	VKLAD	9178	47201	\N	\N	\N
746066	2546	1996-02-22	PRIJEM	VKLAD	27640	55319	\N	\N	\N
746067	2546	1996-10-04	PRIJEM	VKLAD	18729	39470	\N	\N	\N
746068	2546	1998-10-24	PRIJEM	VKLAD	15316	21221	\N	\N	\N
746069	2546	1998-03-20	PRIJEM	VKLAD	32834	52752	\N	\N	\N
746070	2546	1998-06-10	PRIJEM	VKLAD	19992	37460	\N	\N	\N
746144	2546	1995-02-07	VYDAJ	PREVOD NA UCET	2985	58492	SIPO	YZ	65769809
746145	2546	1995-03-07	VYDAJ	PREVOD NA UCET	2985	45984	SIPO	YZ	65769809
746146	2546	1995-04-07	VYDAJ	PREVOD NA UCET	2985	61222	SIPO	YZ	65769809
746147	2546	1995-05-07	VYDAJ	PREVOD NA UCET	2985	86945	SIPO	YZ	65769809
746148	2546	1995-06-07	VYDAJ	PREVOD NA UCET	2985	42181	SIPO	YZ	65769809
746149	2546	1995-07-07	VYDAJ	PREVOD NA UCET	2985	52226	SIPO	YZ	65769809
746150	2546	1995-08-07	VYDAJ	PREVOD NA UCET	2985	48791	SIPO	YZ	65769809
746151	2546	1995-09-07	VYDAJ	PREVOD NA UCET	2985	58976	SIPO	YZ	65769809
746152	2546	1995-10-07	VYDAJ	PREVOD NA UCET	2985	35812	SIPO	YZ	65769809
746153	2546	1995-11-07	VYDAJ	PREVOD NA UCET	2985	51388	SIPO	YZ	65769809
746154	2546	1995-12-07	VYDAJ	PREVOD NA UCET	2985	52804	SIPO	YZ	65769809
746155	2546	1996-01-07	VYDAJ	PREVOD NA UCET	2985	58169	SIPO	YZ	65769809
746156	2546	1996-02-07	VYDAJ	PREVOD NA UCET	2985	28831	SIPO	YZ	65769809
746157	2546	1996-03-07	VYDAJ	PREVOD NA UCET	2985	35393	SIPO	YZ	65769809
746158	2546	1996-04-07	VYDAJ	PREVOD NA UCET	2985	23719	SIPO	YZ	65769809
746159	2546	1996-05-07	VYDAJ	PREVOD NA UCET	2985	17791	SIPO	YZ	65769809
746160	2546	1996-06-07	VYDAJ	PREVOD NA UCET	2985	39902	SIPO	YZ	65769809
746161	2546	1996-07-07	VYDAJ	PREVOD NA UCET	2985	25234	SIPO	YZ	65769809
746162	2546	1996-08-07	VYDAJ	PREVOD NA UCET	2985	31217	SIPO	YZ	65769809
746163	2546	1996-09-07	VYDAJ	PREVOD NA UCET	2985	32189	SIPO	YZ	65769809
746164	2546	1996-10-07	VYDAJ	PREVOD NA UCET	2985	36005	SIPO	YZ	65769809
746165	2546	1996-11-07	VYDAJ	PREVOD NA UCET	2985	23905	SIPO	YZ	65769809
746166	2546	1996-12-07	VYDAJ	PREVOD NA UCET	2985	21273	SIPO	YZ	65769809
746167	2546	1997-01-07	VYDAJ	PREVOD NA UCET	2985	19330	SIPO	YZ	65769809
746168	2546	1997-02-07	VYDAJ	PREVOD NA UCET	2985	19181	SIPO	YZ	65769809
746169	2546	1997-03-07	VYDAJ	PREVOD NA UCET	2985	17931	SIPO	YZ	65769809
746170	2546	1997-04-07	VYDAJ	PREVOD NA UCET	2985	15974	SIPO	YZ	65769809
746171	2546	1997-05-07	VYDAJ	PREVOD NA UCET	2985	18512	SIPO	YZ	65769809
746172	2546	1997-06-07	VYDAJ	PREVOD NA UCET	2985	20961	SIPO	YZ	65769809
746173	2546	1997-07-07	VYDAJ	PREVOD NA UCET	2985	21119	SIPO	YZ	65769809
746174	2546	1997-08-07	VYDAJ	PREVOD NA UCET	2985	22179	SIPO	YZ	65769809
746175	2546	1997-09-07	VYDAJ	PREVOD NA UCET	2985	20541	SIPO	YZ	65769809
746176	2546	1997-10-07	VYDAJ	PREVOD NA UCET	2985	18499	SIPO	YZ	65769809
746177	2546	1997-11-07	VYDAJ	PREVOD NA UCET	2985	18647	SIPO	YZ	65769809
746178	2546	1997-12-07	VYDAJ	PREVOD NA UCET	2985	19398	SIPO	YZ	65769809
746179	2546	1998-01-07	VYDAJ	PREVOD NA UCET	2985	19656	SIPO	YZ	65769809
746180	2546	1998-02-07	VYDAJ	PREVOD NA UCET	2985	19913	SIPO	YZ	65769809
746181	2546	1998-03-07	VYDAJ	PREVOD NA UCET	2985	21070	SIPO	YZ	65769809
746182	2546	1998-04-07	VYDAJ	PREVOD NA UCET	2985	34391	SIPO	YZ	65769809
746183	2546	1998-05-07	VYDAJ	PREVOD NA UCET	2985	17124	SIPO	YZ	65769809
746184	2546	1998-06-07	VYDAJ	PREVOD NA UCET	2985	17468	SIPO	YZ	65769809
746185	2546	1998-07-07	VYDAJ	PREVOD NA UCET	2985	25145	SIPO	YZ	65769809
746186	2546	1998-08-07	VYDAJ	PREVOD NA UCET	2985	16809	SIPO	YZ	65769809
746187	2546	1998-09-07	VYDAJ	PREVOD NA UCET	2985	11643	SIPO	YZ	65769809
746188	2546	1998-10-07	VYDAJ	PREVOD NA UCET	2985	7057	SIPO	YZ	65769809
746189	2546	1998-11-07	VYDAJ	PREVOD NA UCET	2985	17784	SIPO	YZ	65769809
746190	2546	1998-12-07	VYDAJ	PREVOD NA UCET	2985	13223	SIPO	YZ	65769809
746204	2546	1995-02-10	VYDAJ	PREVOD NA UCET	1152	49240	 	KL	17094719
746205	2546	1995-03-10	VYDAJ	PREVOD NA UCET	1152	32332	 	KL	17094719
746206	2546	1995-04-10	VYDAJ	PREVOD NA UCET	1152	40670	 	KL	17094719
746207	2546	1995-05-10	VYDAJ	PREVOD NA UCET	1152	50993	 	KL	17094719
746208	2546	1995-06-10	VYDAJ	PREVOD NA UCET	1152	41029	 	KL	17094719
746209	2546	1995-07-10	VYDAJ	PREVOD NA UCET	1152	51074	 	KL	17094719
746210	2546	1995-08-10	VYDAJ	PREVOD NA UCET	1152	47639	 	KL	17094719
746211	2546	1995-09-10	VYDAJ	PREVOD NA UCET	1152	57824	 	KL	17094719
746212	2546	1995-10-10	VYDAJ	PREVOD NA UCET	1152	34660	 	KL	17094719
746213	2546	1995-11-10	VYDAJ	PREVOD NA UCET	1152	40936	 	KL	17094719
746214	2546	1995-12-10	VYDAJ	PREVOD NA UCET	1152	51652	 	KL	17094719
746215	2546	1996-01-10	VYDAJ	PREVOD NA UCET	1152	51617	 	KL	17094719
746216	2546	1996-02-10	VYDAJ	PREVOD NA UCET	1152	27679	 	KL	17094719
746217	2546	1996-03-10	VYDAJ	PREVOD NA UCET	1152	34241	 	KL	17094719
746218	2546	1996-04-10	VYDAJ	PREVOD NA UCET	1152	22567	 	KL	17094719
746219	2546	1996-05-10	VYDAJ	PREVOD NA UCET	1152	16639	 	KL	17094719
746220	2546	1996-06-10	VYDAJ	PREVOD NA UCET	1152	38750	 	KL	17094719
746221	2546	1996-07-10	VYDAJ	PREVOD NA UCET	1152	19282	 	KL	17094719
746222	2546	1996-08-10	VYDAJ	PREVOD NA UCET	1152	30065	 	KL	17094719
746223	2546	1996-09-10	VYDAJ	PREVOD NA UCET	1152	31037	 	KL	17094719
746224	2546	1996-10-10	VYDAJ	PREVOD NA UCET	1152	34853	 	KL	17094719
746225	2546	1996-11-10	VYDAJ	PREVOD NA UCET	1152	22753	 	KL	17094719
746226	2546	1996-12-10	VYDAJ	PREVOD NA UCET	1152	20121	 	KL	17094719
746227	2546	1997-01-10	VYDAJ	PREVOD NA UCET	1152	18178	 	KL	17094719
746228	2546	1997-02-10	VYDAJ	PREVOD NA UCET	1152	18029	 	KL	17094719
746229	2546	1997-03-10	VYDAJ	PREVOD NA UCET	1152	16779	 	KL	17094719
746230	2546	1997-04-10	VYDAJ	PREVOD NA UCET	1152	14822	 	KL	17094719
746231	2546	1997-05-10	VYDAJ	PREVOD NA UCET	1152	17360	 	KL	17094719
746232	2546	1997-06-10	VYDAJ	PREVOD NA UCET	1152	19809	 	KL	17094719
746233	2546	1997-07-10	VYDAJ	PREVOD NA UCET	1152	19967	 	KL	17094719
746234	2546	1997-08-10	VYDAJ	PREVOD NA UCET	1152	21027	 	KL	17094719
746235	2546	1997-09-10	VYDAJ	PREVOD NA UCET	1152	19389	 	KL	17094719
746236	2546	1997-10-10	VYDAJ	PREVOD NA UCET	1152	17347	 	KL	17094719
746237	2546	1997-11-10	VYDAJ	PREVOD NA UCET	1152	17495	 	KL	17094719
746238	2546	1997-12-10	VYDAJ	PREVOD NA UCET	1152	18246	 	KL	17094719
746239	2546	1998-01-10	VYDAJ	PREVOD NA UCET	1152	18504	 	KL	17094719
746240	2546	1998-02-10	VYDAJ	PREVOD NA UCET	1152	18761	 	KL	17094719
746241	2546	1998-03-10	VYDAJ	PREVOD NA UCET	1152	19918	 	KL	17094719
746242	2546	1998-04-10	VYDAJ	PREVOD NA UCET	1152	33239	 	KL	17094719
746243	2546	1998-05-10	VYDAJ	PREVOD NA UCET	1152	15972	 	KL	17094719
746244	2546	1998-06-10	VYDAJ	PREVOD NA UCET	1152	36308	 	KL	17094719
746245	2546	1998-07-10	VYDAJ	PREVOD NA UCET	1152	23993	 	KL	17094719
746246	2546	1998-08-10	VYDAJ	PREVOD NA UCET	1152	15657	 	KL	17094719
746247	2546	1998-09-10	VYDAJ	PREVOD NA UCET	1152	10491	 	KL	17094719
746248	2546	1998-10-10	VYDAJ	PREVOD NA UCET	1152	5905	 	KL	17094719
746249	2546	1998-11-10	VYDAJ	PREVOD NA UCET	1152	16632	 	KL	17094719
746250	2546	1998-12-10	VYDAJ	PREVOD NA UCET	1152	12071	 	KL	17094719
746264	2546	1995-02-06	VYDAJ	PREVOD NA UCET	480	100577	POJISTNE	MN	91997658
746265	2546	1995-03-06	VYDAJ	PREVOD NA UCET	480	48969	POJISTNE	MN	91997658
746266	2546	1995-04-06	VYDAJ	PREVOD NA UCET	480	64207	POJISTNE	MN	91997658
746267	2546	1995-05-06	VYDAJ	PREVOD NA UCET	480	89930	POJISTNE	MN	91997658
746268	2546	1995-06-06	VYDAJ	PREVOD NA UCET	480	71066	POJISTNE	MN	91997658
746269	2546	1995-07-06	VYDAJ	PREVOD NA UCET	480	55211	POJISTNE	MN	91997658
746270	2546	1995-08-06	VYDAJ	PREVOD NA UCET	480	51776	POJISTNE	MN	91997658
746271	2546	1995-09-06	VYDAJ	PREVOD NA UCET	480	61961	POJISTNE	MN	91997658
746272	2546	1995-10-06	VYDAJ	PREVOD NA UCET	480	38797	POJISTNE	MN	91997658
746273	2546	1995-11-06	VYDAJ	PREVOD NA UCET	480	54373	POJISTNE	MN	91997658
746274	2546	1995-12-06	VYDAJ	PREVOD NA UCET	480	55789	POJISTNE	MN	91997658
746275	2546	1996-01-06	VYDAJ	PREVOD NA UCET	480	61154	POJISTNE	MN	91997658
746276	2546	1996-02-06	VYDAJ	PREVOD NA UCET	480	31816	POJISTNE	MN	91997658
746277	2546	1996-03-06	VYDAJ	PREVOD NA UCET	480	38378	POJISTNE	MN	91997658
746278	2546	1996-04-06	VYDAJ	PREVOD NA UCET	480	26704	POJISTNE	MN	91997658
746279	2546	1996-05-06	VYDAJ	PREVOD NA UCET	480	20776	POJISTNE	MN	91997658
746280	2546	1996-06-06	VYDAJ	PREVOD NA UCET	480	42887	POJISTNE	MN	91997658
746281	2546	1996-07-06	VYDAJ	PREVOD NA UCET	480	28219	POJISTNE	MN	91997658
746282	2546	1996-08-06	VYDAJ	PREVOD NA UCET	480	34202	POJISTNE	MN	91997658
746283	2546	1996-09-06	VYDAJ	PREVOD NA UCET	480	35174	POJISTNE	MN	91997658
746284	2546	1996-10-06	VYDAJ	PREVOD NA UCET	480	38990	POJISTNE	MN	91997658
746285	2546	1996-11-06	VYDAJ	PREVOD NA UCET	480	26890	POJISTNE	MN	91997658
746286	2546	1996-12-06	VYDAJ	PREVOD NA UCET	480	24258	POJISTNE	MN	91997658
746287	2546	1997-01-06	VYDAJ	PREVOD NA UCET	480	22315	POJISTNE	MN	91997658
746288	2546	1997-02-06	VYDAJ	PREVOD NA UCET	480	22166	POJISTNE	MN	91997658
746289	2546	1997-03-06	VYDAJ	PREVOD NA UCET	480	20916	POJISTNE	MN	91997658
746290	2546	1997-04-06	VYDAJ	PREVOD NA UCET	480	18959	POJISTNE	MN	91997658
746291	2546	1997-05-06	VYDAJ	PREVOD NA UCET	480	21497	POJISTNE	MN	91997658
746292	2546	1997-06-06	VYDAJ	PREVOD NA UCET	480	23946	POJISTNE	MN	91997658
746293	2546	1997-07-06	VYDAJ	PREVOD NA UCET	480	24104	POJISTNE	MN	91997658
746294	2546	1997-08-06	VYDAJ	PREVOD NA UCET	480	25164	POJISTNE	MN	91997658
746295	2546	1997-09-06	VYDAJ	PREVOD NA UCET	480	23526	POJISTNE	MN	91997658
746296	2546	1997-10-06	VYDAJ	PREVOD NA UCET	480	21484	POJISTNE	MN	91997658
746297	2546	1997-11-06	VYDAJ	PREVOD NA UCET	480	21632	POJISTNE	MN	91997658
746298	2546	1997-12-06	VYDAJ	PREVOD NA UCET	480	22383	POJISTNE	MN	91997658
746299	2546	1998-01-06	VYDAJ	PREVOD NA UCET	480	22641	POJISTNE	MN	91997658
746300	2546	1998-02-06	VYDAJ	PREVOD NA UCET	480	22898	POJISTNE	MN	91997658
746301	2546	1998-03-06	VYDAJ	PREVOD NA UCET	480	24055	POJISTNE	MN	91997658
746302	2546	1998-04-06	VYDAJ	PREVOD NA UCET	480	37376	POJISTNE	MN	91997658
746303	2546	1998-05-06	VYDAJ	PREVOD NA UCET	480	20109	POJISTNE	MN	91997658
746304	2546	1998-06-06	VYDAJ	PREVOD NA UCET	480	20453	POJISTNE	MN	91997658
746305	2546	1998-07-06	VYDAJ	PREVOD NA UCET	480	28130	POJISTNE	MN	91997658
746306	2546	1998-08-06	VYDAJ	PREVOD NA UCET	480	19794	POJISTNE	MN	91997658
746307	2546	1998-09-06	VYDAJ	PREVOD NA UCET	480	14628	POJISTNE	MN	91997658
746308	2546	1998-10-06	VYDAJ	PREVOD NA UCET	480	10042	POJISTNE	MN	91997658
746309	2546	1998-11-06	VYDAJ	PREVOD NA UCET	480	20769	POJISTNE	MN	91997658
746310	2546	1998-12-06	VYDAJ	PREVOD NA UCET	480	16208	POJISTNE	MN	91997658
746323	2546	1995-11-03	VYBER	VYBER	21636	91353	\N	\N	\N
746325	2546	1996-01-12	VYBER	VYBER	23541	28076	\N	\N	\N
746344	2546	1998-04-21	VYBER	VYBER	10258	22981	\N	\N	\N
746357	2546	1995-12-16	VYDAJ	VYBER	8400	43252	\N	\N	\N
746373	2546	1996-01-26	VYDAJ	VYBER	3900	38719	\N	\N	\N
746374	2546	1996-01-01	VYDAJ	VYBER	2400	99134	\N	\N	\N
746375	2546	1996-01-07	VYDAJ	VYBER	5400	52769	\N	\N	\N
746376	2546	1996-01-27	VYDAJ	VYBER	3600	35119	\N	\N	\N
746377	2546	1996-01-26	VYDAJ	VYBER	1500	42619	\N	\N	\N
746378	2546	1996-01-24	VYDAJ	VYBER	4200	44119	\N	\N	\N
746388	2546	1998-01-01	VYDAJ	VYBER	3600	23121	\N	\N	\N
746396	2546	1995-11-07	VYDAJ	VYBER	9300	42088	\N	\N	\N
746397	2546	1995-02-09	VYDAJ	VYBER	8100	50392	\N	\N	\N
746399	2546	1995-09-25	VYDAJ	VYBER	3000	54824	\N	\N	\N
746400	2546	1995-03-25	VYDAJ	VYBER	7200	25132	\N	\N	\N
746402	2546	1996-09-17	VYDAJ	VYBER	6900	24137	\N	\N	\N
746403	2546	1996-07-07	VYDAJ	VYBER	4800	20434	\N	\N	\N
746406	2546	1997-09-29	VYDAJ	VYBER	3300	21889	\N	\N	\N
746431	2546	1995-02-28	VYDAJ	VYBER	15	49449	SLUZBY	\N	\N
746432	2546	1995-03-31	VYDAJ	VYBER	15	25262	SLUZBY	\N	\N
746433	2546	1995-04-30	VYDAJ	VYBER	15	90410	SLUZBY	\N	\N
746434	2546	1995-05-31	VYDAJ	VYBER	15	71546	SLUZBY	\N	\N
746435	2546	1995-06-30	VYDAJ	VYBER	15	90691	SLUZBY	\N	\N
746436	2546	1995-07-31	VYDAJ	VYBER	15	80356	SLUZBY	\N	\N
746437	2546	1995-08-31	VYDAJ	VYBER	15	98641	SLUZBY	\N	\N
746438	2546	1995-09-30	VYDAJ	VYBER	15	55077	SLUZBY	\N	\N
746439	2546	1995-10-31	VYDAJ	VYBER	15	102928	SLUZBY	\N	\N
746440	2546	1995-11-30	VYDAJ	VYBER	15	84169	SLUZBY	\N	\N
746441	2546	1995-12-31	VYDAJ	VYBER	15	101534	SLUZBY	\N	\N
746442	2546	1996-01-31	VYDAJ	VYBER	15	35296	SLUZBY	\N	\N
746443	2546	1996-02-29	VYDAJ	VYBER	15	55458	SLUZBY	\N	\N
746444	2546	1996-03-31	VYDAJ	VYBER	15	34384	SLUZBY	\N	\N
746445	2546	1996-04-30	VYDAJ	VYBER	15	22656	SLUZBY	\N	\N
746446	2546	1996-05-31	VYDAJ	VYBER	15	62767	SLUZBY	\N	\N
746447	2546	1996-06-30	VYDAJ	VYBER	15	28699	SLUZBY	\N	\N
746448	2546	1996-07-31	VYDAJ	VYBER	15	34682	SLUZBY	\N	\N
746449	2546	1996-08-31	VYDAJ	VYBER	15	35654	SLUZBY	\N	\N
746450	2546	1996-09-30	VYDAJ	VYBER	15	20741	SLUZBY	\N	\N
746451	2546	1996-10-31	VYDAJ	VYBER	15	27370	SLUZBY	\N	\N
746452	2546	1996-11-30	VYDAJ	VYBER	15	24738	SLUZBY	\N	\N
746453	2546	1996-12-31	VYDAJ	VYBER	15	22795	SLUZBY	\N	\N
746454	2546	1997-01-31	VYDAJ	VYBER	15	22646	SLUZBY	\N	\N
746455	2546	1997-02-28	VYDAJ	VYBER	15	21396	SLUZBY	\N	\N
746456	2546	1997-03-31	VYDAJ	VYBER	15	19439	SLUZBY	\N	\N
746457	2546	1997-04-30	VYDAJ	VYBER	15	21977	SLUZBY	\N	\N
746458	2546	1997-05-31	VYDAJ	VYBER	15	24426	SLUZBY	\N	\N
746459	2546	1997-06-30	VYDAJ	VYBER	15	24584	SLUZBY	\N	\N
746460	2546	1997-07-31	VYDAJ	VYBER	15	25644	SLUZBY	\N	\N
746461	2546	1997-08-31	VYDAJ	VYBER	15	24006	SLUZBY	\N	\N
746462	2546	1997-09-30	VYDAJ	VYBER	15	21964	SLUZBY	\N	\N
746463	2546	1997-10-31	VYDAJ	VYBER	15	22112	SLUZBY	\N	\N
746464	2546	1997-11-30	VYDAJ	VYBER	15	22863	SLUZBY	\N	\N
746465	2546	1997-12-31	VYDAJ	VYBER	15	26721	SLUZBY	\N	\N
746466	2546	1998-01-31	VYDAJ	VYBER	15	23378	SLUZBY	\N	\N
746467	2546	1998-02-28	VYDAJ	VYBER	15	24535	SLUZBY	\N	\N
746468	2546	1998-03-31	VYDAJ	VYBER	15	37856	SLUZBY	\N	\N
746469	2546	1998-04-30	VYDAJ	VYBER	15	20589	SLUZBY	\N	\N
746470	2546	1998-05-31	VYDAJ	VYBER	15	20933	SLUZBY	\N	\N
746471	2546	1998-06-30	VYDAJ	VYBER	15	28610	SLUZBY	\N	\N
746472	2546	1998-07-31	VYDAJ	VYBER	15	20274	SLUZBY	\N	\N
746473	2546	1998-08-31	VYDAJ	VYBER	15	15108	SLUZBY	\N	\N
746474	2546	1998-09-30	VYDAJ	VYBER	15	10522	SLUZBY	\N	\N
746475	2546	1998-10-31	VYDAJ	VYBER	15	21249	SLUZBY	\N	\N
746476	2546	1998-11-30	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
746477	2546	1995-01-07	VYDAJ	VYBER	19500	42874	\N	\N	\N
746478	2546	1995-01-30	VYDAJ	VYBER	41100	68717	\N	\N	\N
746479	2546	1995-02-06	VYDAJ	VYBER	39100	61477	\N	\N	\N
746480	2546	1995-03-08	VYDAJ	VYBER	12500	33484	\N	\N	\N
746481	2546	1995-04-07	VYDAJ	VYBER	19400	41822	\N	\N	\N
746482	2546	1995-05-07	VYDAJ	VYBER	34800	52145	\N	\N	\N
746483	2546	1995-06-06	VYDAJ	VYBER	25900	45166	\N	\N	\N
746484	2546	1995-07-06	VYDAJ	VYBER	35000	55691	\N	\N	\N
746485	2546	1995-08-05	VYDAJ	VYBER	28100	52256	\N	\N	\N
746486	2546	1995-09-04	VYDAJ	VYBER	36200	62441	\N	\N	\N
746487	2546	1995-10-04	VYDAJ	VYBER	15800	39277	\N	\N	\N
746488	2546	1995-10-25	VYDAJ	VYBER	20400	93201	\N	\N	\N
746489	2546	1995-11-02	VYDAJ	VYBER	15400	112989	\N	\N	\N
746490	2546	1995-11-03	VYDAJ	VYBER	36500	54853	\N	\N	\N
746491	2546	1995-12-03	VYDAJ	VYBER	27900	56269	\N	\N	\N
746492	2546	1996-01-02	VYDAJ	VYBER	37500	61634	\N	\N	\N
746493	2546	1996-02-01	VYDAJ	VYBER	3000	32296	\N	\N	\N
746494	2546	1996-03-02	VYDAJ	VYBER	16600	38858	\N	\N	\N
746495	2546	1996-04-01	VYDAJ	VYBER	7200	27184	\N	\N	\N
746496	2546	1996-05-01	VYDAJ	VYBER	1400	21256	\N	\N	\N
746497	2546	1996-05-31	VYDAJ	VYBER	19400	43367	\N	\N	\N
746498	2546	1996-06-30	VYDAJ	VYBER	10200	28714	\N	\N	\N
746499	2546	1996-07-30	PRIJEM	VKLAD	300	19582	\N	\N	\N
746500	2546	1996-08-29	VYDAJ	VYBER	11700	35501	\N	\N	\N
746501	2546	1996-09-28	VYDAJ	VYBER	3500	20637	\N	\N	\N
746502	2546	1996-10-28	VYDAJ	VYBER	7600	27253	\N	\N	\N
746503	2546	1996-11-27	PRIJEM	VKLAD	1900	24653	\N	\N	\N
746504	2546	1996-12-27	PRIJEM	VKLAD	2600	22721	\N	\N	\N
746505	2546	1997-01-26	PRIJEM	VKLAD	4400	22578	\N	\N	\N
746506	2546	1997-02-25	PRIJEM	VKLAD	3300	21329	\N	\N	\N
746507	2546	1997-03-27	PRIJEM	VKLAD	2600	19379	\N	\N	\N
746508	2546	1997-04-26	PRIJEM	VKLAD	7100	21922	\N	\N	\N
746509	2546	1997-05-26	PRIJEM	VKLAD	7000	24360	\N	\N	\N
746510	2546	1997-06-25	PRIJEM	VKLAD	4700	24509	\N	\N	\N
746511	2546	1997-07-25	PRIJEM	VKLAD	5600	25567	\N	\N	\N
746512	2546	1997-08-24	PRIJEM	VKLAD	2900	23927	\N	\N	\N
746513	2546	1997-09-23	PRIJEM	VKLAD	5800	25189	\N	\N	\N
746514	2546	1997-10-23	PRIJEM	VKLAD	4700	22047	\N	\N	\N
746515	2546	1997-11-22	PRIJEM	VKLAD	5300	22795	\N	\N	\N
746516	2546	1997-12-22	PRIJEM	VKLAD	8400	26646	\N	\N	\N
746517	2546	1998-01-21	PRIJEM	VKLAD	4800	23304	\N	\N	\N
746518	2546	1998-02-20	PRIJEM	VKLAD	5700	24461	\N	\N	\N
746519	2546	1998-03-22	VYDAJ	VYBER	15000	37752	\N	\N	\N
746520	2546	1998-04-21	VYDAJ	VYBER	2500	20481	\N	\N	\N
746521	2546	1998-05-21	PRIJEM	VKLAD	4900	20872	\N	\N	\N
746522	2546	1998-06-20	VYDAJ	VYBER	7800	28508	\N	\N	\N
746523	2546	1998-07-20	VYDAJ	VYBER	3800	20193	\N	\N	\N
746524	2546	1998-08-19	VYDAJ	VYBER	600	15057	\N	\N	\N
746575	2547	1995-04-28	PRIJEM	VKLAD	800	800	\N	\N	\N
746580	2547	1995-05-11	PRIJEM	VKLAD	24610	25410	\N	\N	\N
746581	2547	1995-06-11	PRIJEM	VKLAD	36915	60138	\N	\N	\N
746582	2547	1995-07-11	PRIJEM	VKLAD	24610	70257	\N	\N	\N
746583	2547	1995-08-11	PRIJEM	VKLAD	24610	72958	\N	\N	\N
746584	2547	1995-09-11	PRIJEM	VKLAD	24610	77973	\N	\N	\N
746585	2547	1995-10-11	PRIJEM	VKLAD	24610	73599	\N	\N	\N
746586	2547	1995-11-11	PRIJEM	VKLAD	24610	72245	\N	\N	\N
746587	2547	1995-12-11	PRIJEM	VKLAD	36915	86712	\N	\N	\N
746588	2547	1996-01-11	PRIJEM	VKLAD	24610	70964	\N	\N	\N
746589	2547	1996-02-11	PRIJEM	VKLAD	24610	63028	\N	\N	\N
746590	2547	1996-03-11	PRIJEM	VKLAD	24610	71454	\N	\N	\N
746591	2547	1996-04-11	PRIJEM	VKLAD	24610	75811	\N	\N	\N
746592	2547	1996-05-11	PRIJEM	VKLAD	24610	77682	\N	\N	\N
746593	2547	1996-06-11	PRIJEM	VKLAD	36915	89962	\N	\N	\N
746594	2547	1996-07-11	PRIJEM	VKLAD	24610	81257	\N	\N	\N
746595	2547	1996-08-11	PRIJEM	VKLAD	24610	77939	\N	\N	\N
746596	2547	1996-09-11	PRIJEM	VKLAD	24610	75406	\N	\N	\N
746597	2547	1996-10-11	PRIJEM	VKLAD	24610	68255	\N	\N	\N
746598	2547	1996-11-11	PRIJEM	VKLAD	24610	72891	\N	\N	\N
746599	2547	1996-12-11	PRIJEM	VKLAD	36915	90350	\N	\N	\N
746600	2547	1997-01-11	PRIJEM	VKLAD	24610	85142	\N	\N	\N
746601	2547	1997-02-11	PRIJEM	VKLAD	24610	67513	\N	\N	\N
746602	2547	1997-03-11	PRIJEM	VKLAD	24610	74387	\N	\N	\N
746603	2547	1997-04-11	PRIJEM	VKLAD	24610	85458	\N	\N	\N
746604	2547	1997-05-11	PRIJEM	VKLAD	24610	84031	\N	\N	\N
746605	2547	1997-06-11	PRIJEM	VKLAD	36915	100732	\N	\N	\N
746606	2547	1997-07-11	PRIJEM	VKLAD	24610	62999	\N	\N	\N
746607	2547	1997-08-11	PRIJEM	VKLAD	24610	78229	\N	\N	\N
746608	2547	1997-09-11	PRIJEM	VKLAD	24610	86807	\N	\N	\N
746609	2547	1997-10-11	PRIJEM	VKLAD	24610	84640	\N	\N	\N
746610	2547	1997-11-11	PRIJEM	VKLAD	24610	84307	\N	\N	\N
746611	2547	1997-12-11	PRIJEM	VKLAD	36915	104309	\N	\N	\N
746612	2547	1998-01-11	PRIJEM	VKLAD	24610	93936	\N	\N	\N
746613	2547	1998-02-11	PRIJEM	VKLAD	24610	72353	\N	\N	\N
746614	2547	1998-03-11	PRIJEM	VKLAD	24610	83126	\N	\N	\N
746615	2547	1998-04-11	PRIJEM	VKLAD	24610	84602	\N	\N	\N
746616	2547	1998-05-11	PRIJEM	VKLAD	24610	84077	\N	\N	\N
746617	2547	1998-06-11	PRIJEM	VKLAD	36915	101368	\N	\N	\N
746618	2547	1998-07-11	PRIJEM	VKLAD	24610	61974	\N	\N	\N
746619	2547	1998-08-11	PRIJEM	VKLAD	24610	71607	\N	\N	\N
746620	2547	1998-09-11	PRIJEM	VKLAD	24610	80883	\N	\N	\N
746621	2547	1998-10-11	PRIJEM	VKLAD	24610	77495	\N	\N	\N
746622	2547	1998-11-11	PRIJEM	VKLAD	24610	81210	\N	\N	\N
746623	2547	1998-12-11	PRIJEM	VKLAD	36915	91646	\N	\N	\N
746633	2547	1995-10-10	VYDAJ	PREVOD NA UCET	5492	48989	SIPO	KL	21153784
746634	2547	1995-11-10	VYDAJ	PREVOD NA UCET	5492	47635	SIPO	KL	21153784
746635	2547	1995-12-10	VYDAJ	PREVOD NA UCET	5492	49797	SIPO	KL	21153784
746636	2547	1996-01-10	VYDAJ	PREVOD NA UCET	5492	46354	SIPO	KL	21153784
746637	2547	1996-02-10	VYDAJ	PREVOD NA UCET	5492	38418	SIPO	KL	21153784
746638	2547	1996-03-10	VYDAJ	PREVOD NA UCET	5492	46844	SIPO	KL	21153784
746639	2547	1996-04-10	VYDAJ	PREVOD NA UCET	5492	51201	SIPO	KL	21153784
746640	2547	1996-05-10	VYDAJ	PREVOD NA UCET	5492	53072	SIPO	KL	21153784
746641	2547	1996-06-10	VYDAJ	PREVOD NA UCET	5492	53047	SIPO	KL	21153784
746642	2547	1996-07-10	VYDAJ	PREVOD NA UCET	5492	56647	SIPO	KL	21153784
746643	2547	1996-08-10	VYDAJ	PREVOD NA UCET	5492	53329	SIPO	KL	21153784
746644	2547	1996-09-10	VYDAJ	PREVOD NA UCET	5492	50796	SIPO	KL	21153784
746645	2547	1996-10-10	VYDAJ	PREVOD NA UCET	5492	43645	SIPO	KL	21153784
746646	2547	1996-11-10	VYDAJ	PREVOD NA UCET	5492	48281	SIPO	KL	21153784
746647	2547	1996-12-10	VYDAJ	PREVOD NA UCET	5492	53435	SIPO	KL	21153784
746648	2547	1997-01-10	VYDAJ	PREVOD NA UCET	5492	60532	SIPO	KL	21153784
746649	2547	1997-02-10	VYDAJ	PREVOD NA UCET	5492	42903	SIPO	KL	21153784
746650	2547	1997-03-10	VYDAJ	PREVOD NA UCET	5492	49777	SIPO	KL	21153784
746651	2547	1997-04-10	VYDAJ	PREVOD NA UCET	5492	60848	SIPO	KL	21153784
746652	2547	1997-05-10	VYDAJ	PREVOD NA UCET	5492	59421	SIPO	KL	21153784
746653	2547	1997-06-10	VYDAJ	PREVOD NA UCET	5492	63817	SIPO	KL	21153784
746654	2547	1997-07-10	VYDAJ	PREVOD NA UCET	5492	38389	SIPO	KL	21153784
746655	2547	1997-08-10	VYDAJ	PREVOD NA UCET	5492	53619	SIPO	KL	21153784
746656	2547	1997-09-10	VYDAJ	PREVOD NA UCET	5492	62197	SIPO	KL	21153784
746657	2547	1997-10-10	VYDAJ	PREVOD NA UCET	5492	60030	SIPO	KL	21153784
746658	2547	1997-11-10	VYDAJ	PREVOD NA UCET	5492	59697	SIPO	KL	21153784
746659	2547	1997-12-10	VYDAJ	PREVOD NA UCET	5492	67394	SIPO	KL	21153784
746660	2547	1998-01-10	VYDAJ	PREVOD NA UCET	5492	69326	SIPO	KL	21153784
746661	2547	1998-02-10	VYDAJ	PREVOD NA UCET	5492	47743	SIPO	KL	21153784
746662	2547	1998-03-10	VYDAJ	PREVOD NA UCET	5492	58516	SIPO	KL	21153784
746663	2547	1998-04-10	VYDAJ	PREVOD NA UCET	5492	59992	SIPO	KL	21153784
746664	2547	1998-05-10	VYDAJ	PREVOD NA UCET	5492	59467	SIPO	KL	21153784
746665	2547	1998-06-10	VYDAJ	PREVOD NA UCET	5492	64453	SIPO	KL	21153784
746666	2547	1998-07-10	VYDAJ	PREVOD NA UCET	5492	37364	SIPO	KL	21153784
746667	2547	1998-08-10	VYDAJ	PREVOD NA UCET	5492	46997	SIPO	KL	21153784
746668	2547	1998-09-10	VYDAJ	PREVOD NA UCET	5492	56273	SIPO	KL	21153784
746669	2547	1998-10-10	VYDAJ	PREVOD NA UCET	5492	52885	SIPO	KL	21153784
746670	2547	1998-11-10	VYDAJ	PREVOD NA UCET	5492	56600	SIPO	KL	21153784
746671	2547	1998-12-10	VYDAJ	PREVOD NA UCET	5492	54731	SIPO	KL	21153784
746674	2547	1997-06-26	VYDAJ	VYBER	34240	43592	\N	\N	\N
746675	2547	1998-06-22	VYDAJ	VYBER	32000	42568	\N	\N	\N
746677	2547	1996-01-28	VYDAJ	VYBER	6560	43684	\N	\N	\N
746678	2547	1997-01-25	VYDAJ	VYBER	14560	48142	\N	\N	\N
746679	2547	1998-01-19	VYDAJ	VYBER	11680	58136	\N	\N	\N
746680	2547	1995-12-11	VYDAJ	VYBER	4000	82712	\N	\N	\N
746681	2547	1996-12-15	VYDAJ	VYBER	3520	86830	\N	\N	\N
746682	2547	1997-12-25	VYDAJ	VYBER	3520	75589	\N	\N	\N
746683	2547	1998-12-29	VYDAJ	VYBER KARTOU	2700	88946	\N	\N	0
746690	2547	1996-01-01	VYDAJ	VYBER	1320	57966	\N	\N	\N
746691	2547	1996-01-20	VYDAJ	VYBER	2760	65444	\N	\N	\N
746692	2547	1996-01-13	VYDAJ	VYBER	2760	68204	\N	\N	\N
746693	2547	1996-01-05	VYDAJ	VYBER	1320	54846	\N	\N	\N
746694	2547	1996-01-05	VYDAJ	VYBER	1800	56166	\N	\N	\N
746695	2547	1996-01-06	VYDAJ	VYBER	3000	51846	\N	\N	\N
746696	2547	1997-01-17	VYDAJ	VYBER	1080	79862	\N	\N	\N
746697	2547	1997-01-02	VYDAJ	VYBER	1080	66024	\N	\N	\N
746698	2547	1997-01-11	VYDAJ	VYBER	1440	83702	\N	\N	\N
746699	2547	1997-01-13	VYDAJ	VYBER	1920	80942	\N	\N	\N
746700	2547	1997-01-18	VYDAJ	VYBER	2760	62702	\N	\N	\N
746701	2547	1997-01-12	VYDAJ	VYBER	840	82862	\N	\N	\N
746702	2547	1998-01-20	VYDAJ	VYBER	1560	56576	\N	\N	\N
746703	2547	1998-01-16	VYDAJ	VYBER	2640	69816	\N	\N	\N
746704	2547	1998-01-12	VYDAJ	VYBER	1680	92256	\N	\N	\N
746705	2547	1998-01-10	VYDAJ	VYBER	1080	74818	\N	\N	\N
746706	2547	1998-01-22	VYDAJ	VYBER	2040	54536	\N	\N	\N
746707	2547	1998-01-24	VYDAJ	VYBER	1560	52976	\N	\N	\N
746710	2547	1995-11-03	VYDAJ	VYBER	1320	53127	\N	\N	\N
746712	2547	1996-06-20	VYDAJ	VYBER	4800	85162	\N	\N	\N
746713	2547	1996-09-22	VYDAJ	VYBER	5400	48906	\N	\N	\N
746714	2547	1997-10-05	VYDAJ	VYBER	2760	65522	\N	\N	\N
746715	2547	1997-04-19	VYDAJ	VYBER	3120	64638	\N	\N	\N
746716	2547	1997-10-20	VYDAJ	VYBER	4320	64920	\N	\N	\N
746717	2547	1997-02-19	VYDAJ	VYBER	5760	55053	\N	\N	\N
746718	2547	1998-09-22	VYDAJ	VYBER KARTOU	1400	73683	\N	\N	0
746719	2547	1998-08-08	VYDAJ	VYBER KARTOU	4300	49889	\N	\N	0
746720	2547	1998-08-07	VYDAJ	VYBER KARTOU	2900	54189	\N	\N	0
746721	2547	1998-09-20	VYDAJ	VYBER KARTOU	5800	75083	\N	\N	0
746731	2547	1995-09-30	VYDAJ	VYBER	15	54481	SLUZBY	\N	\N
746732	2547	1995-10-31	VYDAJ	VYBER	15	54447	SLUZBY	\N	\N
746733	2547	1995-11-30	VYDAJ	VYBER	15	55289	SLUZBY	\N	\N
746734	2547	1995-12-31	VYDAJ	VYBER	15	59286	SLUZBY	\N	\N
746735	2547	1996-01-31	VYDAJ	VYBER	15	43910	SLUZBY	\N	\N
746736	2547	1996-02-29	VYDAJ	VYBER	15	52336	SLUZBY	\N	\N
746737	2547	1996-03-31	VYDAJ	VYBER	15	56693	SLUZBY	\N	\N
746738	2547	1996-04-30	VYDAJ	VYBER	15	58564	SLUZBY	\N	\N
746739	2547	1996-05-31	VYDAJ	VYBER	15	58539	SLUZBY	\N	\N
746740	2547	1996-06-30	VYDAJ	VYBER	15	62139	SLUZBY	\N	\N
746741	2547	1996-07-31	VYDAJ	VYBER	15	58821	SLUZBY	\N	\N
746742	2547	1996-08-31	VYDAJ	VYBER	15	56288	SLUZBY	\N	\N
746743	2547	1996-09-30	VYDAJ	VYBER	15	49137	SLUZBY	\N	\N
746744	2547	1996-10-31	VYDAJ	VYBER	15	53773	SLUZBY	\N	\N
746745	2547	1996-11-30	VYDAJ	VYBER	15	58927	SLUZBY	\N	\N
746746	2547	1996-12-31	VYDAJ	VYBER	15	67104	SLUZBY	\N	\N
746747	2547	1997-01-31	VYDAJ	VYBER	15	48395	SLUZBY	\N	\N
746748	2547	1997-02-28	VYDAJ	VYBER	15	55269	SLUZBY	\N	\N
746749	2547	1997-03-31	VYDAJ	VYBER	15	66340	SLUZBY	\N	\N
746750	2547	1997-04-30	VYDAJ	VYBER	15	64913	SLUZBY	\N	\N
746751	2547	1997-05-31	VYDAJ	VYBER	15	69309	SLUZBY	\N	\N
746752	2547	1997-06-30	VYDAJ	VYBER	15	43881	SLUZBY	\N	\N
746753	2547	1997-07-31	VYDAJ	VYBER	15	59111	SLUZBY	\N	\N
746754	2547	1997-08-31	VYDAJ	VYBER	15	67689	SLUZBY	\N	\N
746755	2547	1997-09-30	VYDAJ	VYBER	15	68282	SLUZBY	\N	\N
746756	2547	1997-10-31	VYDAJ	VYBER	15	65189	SLUZBY	\N	\N
746757	2547	1997-11-30	VYDAJ	VYBER	15	72886	SLUZBY	\N	\N
746758	2547	1997-12-31	VYDAJ	VYBER	15	75898	SLUZBY	\N	\N
746759	2547	1998-01-31	VYDAJ	VYBER	15	53235	SLUZBY	\N	\N
746760	2547	1998-02-28	VYDAJ	VYBER	15	64008	SLUZBY	\N	\N
746761	2547	1998-03-31	VYDAJ	VYBER	15	65484	SLUZBY	\N	\N
746762	2547	1998-04-30	VYDAJ	VYBER	15	64959	SLUZBY	\N	\N
746763	2547	1998-05-31	VYDAJ	VYBER	15	69945	SLUZBY	\N	\N
746764	2547	1998-06-30	VYDAJ	VYBER	15	42856	SLUZBY	\N	\N
746765	2547	1998-07-31	VYDAJ	VYBER	15	57089	SLUZBY	\N	\N
746766	2547	1998-08-31	VYDAJ	VYBER	15	71865	SLUZBY	\N	\N
746767	2547	1998-09-30	VYDAJ	VYBER	15	73977	SLUZBY	\N	\N
746768	2547	1998-10-31	VYDAJ	VYBER	15	77792	SLUZBY	\N	\N
746769	2547	1998-11-30	VYDAJ	VYBER	15	81523	SLUZBY	\N	\N
746770	2547	1995-05-28	VYDAJ	VYBER	2200	23210	\N	\N	\N
746771	2547	1995-06-27	VYDAJ	VYBER	14600	45538	\N	\N	\N
746772	2547	1995-07-27	VYDAJ	VYBER	22100	48157	\N	\N	\N
746773	2547	1995-08-26	VYDAJ	VYBER	19800	53158	\N	\N	\N
746774	2547	1995-09-25	VYDAJ	VYBER	23700	54273	\N	\N	\N
746775	2547	1995-10-25	VYDAJ	VYBER	19400	54199	\N	\N	\N
746776	2547	1995-11-24	VYDAJ	VYBER	17200	55045	\N	\N	\N
746777	2547	1995-12-24	VYDAJ	VYBER	23700	59012	\N	\N	\N
746778	2547	1996-01-23	VYDAJ	VYBER	15200	50244	\N	\N	\N
746779	2547	1996-02-22	VYDAJ	VYBER	10900	52128	\N	\N	\N
746780	2547	1996-03-23	VYDAJ	VYBER	15000	56454	\N	\N	\N
746781	2547	1996-04-22	VYDAJ	VYBER	17500	58311	\N	\N	\N
746782	2547	1996-05-22	VYDAJ	VYBER	19400	58282	\N	\N	\N
746783	2547	1996-06-21	VYDAJ	VYBER	23300	61862	\N	\N	\N
746784	2547	1996-07-21	VYDAJ	VYBER	22700	58557	\N	\N	\N
746785	2547	1996-08-20	VYDAJ	VYBER	21900	56039	\N	\N	\N
746786	2547	1996-09-19	VYDAJ	VYBER	21100	54306	\N	\N	\N
746787	2547	1996-10-19	VYDAJ	VYBER	14700	53555	\N	\N	\N
746788	2547	1996-11-18	VYDAJ	VYBER	14200	58691	\N	\N	\N
746789	2547	1996-12-18	VYDAJ	VYBER	20000	66830	\N	\N	\N
746790	2547	1997-01-17	VYDAJ	VYBER	14400	65462	\N	\N	\N
746791	2547	1997-02-16	VYDAJ	VYBER	6700	60813	\N	\N	\N
746792	2547	1997-03-18	VYDAJ	VYBER	8300	66087	\N	\N	\N
746793	2547	1997-04-17	VYDAJ	VYBER	17700	67758	\N	\N	\N
746794	2547	1997-05-17	VYDAJ	VYBER	15000	69031	\N	\N	\N
746795	2547	1997-06-16	VYDAJ	VYBER	22900	77832	\N	\N	\N
746796	2547	1997-07-16	VYDAJ	VYBER	4100	58899	\N	\N	\N
746797	2547	1997-08-15	VYDAJ	VYBER	10800	67429	\N	\N	\N
746798	2547	1997-09-14	VYDAJ	VYBER	18800	68007	\N	\N	\N
746799	2547	1997-10-14	VYDAJ	VYBER	15400	69240	\N	\N	\N
746800	2547	1997-11-13	VYDAJ	VYBER	11700	72607	\N	\N	\N
746801	2547	1997-12-13	VYDAJ	VYBER	25200	79109	\N	\N	\N
746802	2547	1998-01-12	VYDAJ	VYBER	19800	72456	\N	\N	\N
746803	2547	1998-02-11	VYDAJ	VYBER	8600	63753	\N	\N	\N
746804	2547	1998-03-13	VYDAJ	VYBER	17900	65226	\N	\N	\N
746805	2547	1998-04-12	VYDAJ	VYBER	19900	64702	\N	\N	\N
746806	2547	1998-05-12	VYDAJ	VYBER	14400	69677	\N	\N	\N
746807	2547	1998-06-11	VYDAJ	VYBER	26800	74568	\N	\N	\N
746808	2547	1998-07-11	VYDAJ	VYBER KARTOU	5100	56874	\N	\N	0
746809	2547	1998-08-10	PRIJEM	VKLAD	2600	52489	\N	\N	\N
746810	2547	1998-09-09	VYDAJ	VYBER	10100	61765	\N	\N	\N
746811	2547	1998-10-09	VYDAJ	VYBER	15600	58377	\N	\N	\N
746812	2547	1998-11-08	VYDAJ	VYBER	15700	62092	\N	\N	\N
746813	2547	1998-12-08	VYDAJ	VYBER	21300	60223	\N	\N	\N
746858	2548	1996-01-06	PRIJEM	VKLAD	300	300	\N	\N	\N
746859	2548	1996-01-09	PRIJEM	VKLAD	5118	5418	\N	\N	\N
746860	2548	1996-02-09	PRIJEM	VKLAD	5118	23653	\N	\N	\N
746861	2548	1996-03-09	PRIJEM	VKLAD	5118	30648	\N	\N	\N
746862	2548	1996-04-09	PRIJEM	VKLAD	5118	33587	\N	\N	\N
746863	2548	1996-05-09	PRIJEM	VKLAD	5118	36541	\N	\N	\N
746864	2548	1996-06-09	PRIJEM	VKLAD	7677	36953	\N	\N	\N
746865	2548	1996-07-09	PRIJEM	VKLAD	5118	19806	\N	\N	\N
746866	2548	1996-08-09	PRIJEM	VKLAD	5118	26279	\N	\N	\N
746867	2548	1996-09-09	PRIJEM	VKLAD	5118	30385	\N	\N	\N
746868	2548	1996-10-09	PRIJEM	VKLAD	5118	36011	\N	\N	\N
746869	2548	1996-11-09	PRIJEM	VKLAD	5118	39258	\N	\N	\N
746870	2548	1996-12-09	PRIJEM	VKLAD	7677	44281	\N	\N	\N
746871	2548	1997-01-09	PRIJEM	VKLAD	5118	36355	\N	\N	\N
746872	2548	1997-02-09	PRIJEM	VKLAD	5118	28857	\N	\N	\N
746873	2548	1997-03-09	PRIJEM	VKLAD	5118	35460	\N	\N	\N
746874	2548	1997-04-09	PRIJEM	VKLAD	5118	36044	\N	\N	\N
746875	2548	1997-05-09	PRIJEM	VKLAD	5118	38795	\N	\N	\N
746876	2548	1997-06-09	PRIJEM	VKLAD	7677	43498	\N	\N	\N
746877	2548	1997-07-09	PRIJEM	VKLAD	5118	43430	\N	\N	\N
746878	2548	1997-08-09	PRIJEM	VKLAD	5118	46894	\N	\N	\N
746879	2548	1997-09-09	PRIJEM	VKLAD	5118	50073	\N	\N	\N
746880	2548	1997-10-09	PRIJEM	VKLAD	5118	49763	\N	\N	\N
746881	2548	1997-11-09	PRIJEM	VKLAD	5118	47250	\N	\N	\N
746882	2548	1997-12-09	PRIJEM	VKLAD	7677	42753	\N	\N	\N
746883	2548	1998-01-09	PRIJEM	VKLAD	5118	35164	\N	\N	\N
746884	2548	1998-02-09	PRIJEM	VKLAD	5118	30142	\N	\N	\N
746885	2548	1998-03-09	PRIJEM	VKLAD	5118	37154	\N	\N	\N
746886	2548	1998-04-09	PRIJEM	VKLAD	5118	37290	\N	\N	\N
746887	2548	1998-05-09	PRIJEM	VKLAD	5118	33023	\N	\N	\N
746888	2548	1998-06-09	PRIJEM	VKLAD	7677	34500	\N	\N	\N
746889	2548	1998-07-09	PRIJEM	VKLAD	5118	15375	\N	\N	\N
746890	2548	1998-08-09	PRIJEM	VKLAD	5118	21927	\N	\N	\N
746891	2548	1998-09-09	PRIJEM	VKLAD	5118	21746	\N	\N	\N
746892	2548	1998-10-09	PRIJEM	VKLAD	5118	30043	\N	\N	\N
746893	2548	1998-11-09	PRIJEM	VKLAD	5118	33554	\N	\N	\N
746894	2548	1998-12-09	PRIJEM	VKLAD	7677	31676	\N	\N	\N
746895	2548	1996-06-25	VYDAJ	VYBER	25280	11673	\N	\N	\N
746896	2548	1997-06-28	VYDAJ	VYBER	10720	32778	\N	\N	\N
746897	2548	1998-06-23	VYDAJ	VYBER	30720	3780	\N	\N	\N
746899	2548	1997-01-28	VYDAJ	VYBER	6560	22355	\N	\N	\N
746900	2548	1998-01-10	VYDAJ	VYBER	7360	27804	\N	\N	\N
746901	2548	1996-12-15	VYDAJ	VYBER	3680	40601	\N	\N	\N
746902	2548	1997-12-04	VYDAJ	VYBER	2720	35076	\N	\N	\N
746903	2548	1998-12-07	VYDAJ	VYBER	3680	23999	\N	\N	\N
746910	2548	1997-01-06	VYDAJ	VYBER	2760	33997	\N	\N	\N
746911	2548	1997-01-14	VYDAJ	VYBER	3240	33115	\N	\N	\N
746912	2548	1997-01-14	VYDAJ	VYBER	2880	30235	\N	\N	\N
746913	2548	1997-01-30	VYDAJ	VYBER	1440	23615	\N	\N	\N
746914	2548	1997-01-25	VYDAJ	VYBER	1320	28915	\N	\N	\N
746915	2548	1997-01-06	VYDAJ	VYBER	2760	31237	\N	\N	\N
746916	2548	1998-01-28	VYDAJ	VYBER	1440	24924	\N	\N	\N
746917	2548	1998-01-02	VYDAJ	VYBER	3480	34126	\N	\N	\N
746918	2548	1998-01-08	VYDAJ	VYBER	3480	30046	\N	\N	\N
746919	2548	1998-01-04	VYDAJ	VYBER	600	33526	\N	\N	\N
746920	2548	1998-01-12	VYDAJ	VYBER	2760	25044	\N	\N	\N
746921	2548	1998-01-20	VYDAJ	VYBER	2880	22164	\N	\N	\N
746922	2548	1996-06-25	VYDAJ	VYBER	3600	8073	\N	\N	\N
746923	2548	1997-11-12	VYDAJ	VYBER	1200	46050	\N	\N	\N
746924	2548	1997-03-31	VYDAJ	VYBER	4560	30926	\N	\N	\N
746925	2548	1997-11-27	VYDAJ	VYBER	4920	37630	\N	\N	\N
746926	2548	1998-09-07	VYDAJ	VYBER	5760	16628	\N	\N	\N
746927	2548	1998-11-11	VYDAJ	VYBER	2880	30674	\N	\N	\N
746933	2548	1996-05-31	VYDAJ	VYBER	15	36676	SLUZBY	\N	\N
746934	2548	1996-06-30	VYDAJ	VYBER	15	8188	SLUZBY	\N	\N
746935	2548	1996-07-31	VYDAJ	VYBER	15	19861	SLUZBY	\N	\N
746936	2548	1996-08-31	VYDAJ	VYBER	15	26367	SLUZBY	\N	\N
746937	2548	1996-09-30	VYDAJ	VYBER	15	30493	SLUZBY	\N	\N
746938	2548	1996-10-31	VYDAJ	VYBER	15	36140	SLUZBY	\N	\N
746939	2548	1996-11-30	VYDAJ	VYBER	15	39404	SLUZBY	\N	\N
746940	2548	1996-12-31	VYDAJ	VYBER	15	40757	SLUZBY	\N	\N
746941	2548	1997-01-31	VYDAJ	VYBER	15	23739	SLUZBY	\N	\N
746942	2548	1997-02-28	VYDAJ	VYBER	15	28942	SLUZBY	\N	\N
746943	2548	1997-03-31	VYDAJ	VYBER	15	35486	SLUZBY	\N	\N
746944	2548	1997-04-30	VYDAJ	VYBER	15	33677	SLUZBY	\N	\N
746945	2548	1997-05-31	VYDAJ	VYBER	15	35821	SLUZBY	\N	\N
746946	2548	1997-06-30	VYDAJ	VYBER	15	38312	SLUZBY	\N	\N
746947	2548	1997-07-31	VYDAJ	VYBER	15	41776	SLUZBY	\N	\N
746948	2548	1997-08-31	VYDAJ	VYBER	15	44955	SLUZBY	\N	\N
746949	2548	1997-09-30	VYDAJ	VYBER	15	44645	SLUZBY	\N	\N
746950	2548	1997-10-31	VYDAJ	VYBER	15	42132	SLUZBY	\N	\N
746951	2548	1997-11-30	VYDAJ	VYBER	15	37796	SLUZBY	\N	\N
746952	2548	1997-12-31	VYDAJ	VYBER	15	37606	SLUZBY	\N	\N
746953	2548	1998-01-31	VYDAJ	VYBER	15	25024	SLUZBY	\N	\N
746954	2548	1998-02-28	VYDAJ	VYBER	15	32036	SLUZBY	\N	\N
746955	2548	1998-03-31	VYDAJ	VYBER	15	32172	SLUZBY	\N	\N
746956	2548	1998-04-30	VYDAJ	VYBER	15	27905	SLUZBY	\N	\N
746957	2548	1998-05-31	VYDAJ	VYBER	15	26823	SLUZBY	\N	\N
746958	2548	1998-06-30	VYDAJ	VYBER	15	10257	SLUZBY	\N	\N
746959	2548	1998-07-31	VYDAJ	VYBER	15	16809	SLUZBY	\N	\N
746960	2548	1998-08-31	VYDAJ	VYBER	15	22388	SLUZBY	\N	\N
746961	2548	1998-09-30	VYDAJ	VYBER	15	24925	SLUZBY	\N	\N
746962	2548	1998-10-31	VYDAJ	VYBER	15	28436	SLUZBY	\N	\N
746963	2548	1998-11-30	VYDAJ	VYBER	15	27679	SLUZBY	\N	\N
746964	2548	1996-02-05	PRIJEM	VKLAD	13100	18535	\N	\N	\N
746965	2548	1996-03-06	PRIJEM	VKLAD	1800	25530	\N	\N	\N
746966	2548	1996-04-05	VYDAJ	VYBER	2300	28469	\N	\N	\N
746967	2548	1996-05-05	VYDAJ	VYBER	2300	31423	\N	\N	\N
746968	2548	1996-06-04	VYDAJ	VYBER	7400	29276	\N	\N	\N
746969	2548	1996-07-04	PRIJEM	VKLAD	6500	14688	\N	\N	\N
746970	2548	1996-08-03	PRIJEM	VKLAD	1300	21161	\N	\N	\N
746971	2548	1996-09-02	VYDAJ	VYBER	1100	25267	\N	\N	\N
746972	2548	1996-10-02	PRIJEM	VKLAD	400	30893	\N	\N	\N
746973	2548	1996-11-01	VYDAJ	VYBER	2000	34140	\N	\N	\N
746974	2548	1996-12-01	VYDAJ	VYBER	2800	36604	\N	\N	\N
746975	2548	1996-12-31	VYDAJ	VYBER	4000	36757	\N	\N	\N
746976	2548	1997-01-30	PRIJEM	VKLAD	2700	25055	\N	\N	\N
746977	2548	1997-03-01	PRIJEM	VKLAD	1400	30342	\N	\N	\N
746978	2548	1997-03-31	VYDAJ	VYBER	100	35501	\N	\N	\N
746979	2548	1997-04-30	VYDAJ	VYBER	2500	33691	\N	\N	\N
746980	2548	1997-05-30	VYDAJ	VYBER	3100	35695	\N	\N	\N
746981	2548	1997-06-29	PRIJEM	VKLAD	5400	38178	\N	\N	\N
746982	2548	1997-07-29	VYDAJ	VYBER	1800	41630	\N	\N	\N
746983	2548	1997-08-28	VYDAJ	VYBER	2100	44794	\N	\N	\N
746984	2548	1997-09-27	VYDAJ	VYBER	5600	44473	\N	\N	\N
746985	2548	1997-10-27	VYDAJ	VYBER	7800	41963	\N	\N	\N
746986	2548	1997-11-26	VYDAJ	VYBER	3500	42550	\N	\N	\N
746987	2548	1997-12-26	VYDAJ	VYBER	5300	37453	\N	\N	\N
746988	2548	1998-01-25	PRIJEM	VKLAD	4200	26364	\N	\N	\N
746989	2548	1998-02-24	PRIJEM	VKLAD	1800	31942	\N	\N	\N
746990	2548	1998-03-26	VYDAJ	VYBER	5100	32054	\N	\N	\N
746991	2548	1998-04-25	VYDAJ	VYBER	9500	27790	\N	\N	\N
746992	2548	1998-05-25	VYDAJ	VYBER	6300	26723	\N	\N	\N
746993	2548	1998-06-24	PRIJEM	VKLAD	6400	10180	\N	\N	\N
746994	2548	1998-07-24	PRIJEM	VKLAD	1400	16775	\N	\N	\N
746995	2548	1998-08-23	PRIJEM	VKLAD	400	22327	\N	\N	\N
746996	2548	1998-09-22	PRIJEM	VKLAD	3100	24846	\N	\N	\N
746997	2548	1998-10-22	VYDAJ	VYBER	1700	28343	\N	\N	\N
746998	2548	1998-11-21	VYDAJ	VYBER	3100	27574	\N	\N	\N
747036	2549	1993-11-12	PRIJEM	VKLAD	200	200	\N	\N	\N
747047	2549	1993-11-12	PRIJEM	PREVOD Z UCTU	6345	6545	DUCHOD	UV	78077953
747048	2549	1993-12-12	PRIJEM	PREVOD Z UCTU	6345	12891	DUCHOD	UV	78077953
747049	2549	1994-01-12	PRIJEM	PREVOD Z UCTU	6345	19236	DUCHOD	UV	78077953
747050	2549	1994-02-12	PRIJEM	PREVOD Z UCTU	6345	25582	DUCHOD	UV	78077953
747051	2549	1994-03-12	PRIJEM	PREVOD Z UCTU	6345	31928	DUCHOD	UV	78077953
747052	2549	1994-04-12	PRIJEM	PREVOD Z UCTU	6345	33653	DUCHOD	UV	78077953
747053	2549	1994-05-12	PRIJEM	PREVOD Z UCTU	6345	34133	DUCHOD	UV	78077953
747054	2549	1994-06-12	PRIJEM	PREVOD Z UCTU	6345	29573	DUCHOD	UV	78077953
747055	2549	1994-07-12	PRIJEM	PREVOD Z UCTU	6345	24469	DUCHOD	UV	78077953
747056	2549	1994-08-12	PRIJEM	PREVOD Z UCTU	6345	27850	DUCHOD	UV	78077953
747057	2549	1994-09-12	PRIJEM	PREVOD Z UCTU	6345	28705	DUCHOD	UV	78077953
747058	2549	1994-10-12	PRIJEM	PREVOD Z UCTU	6345	31767	DUCHOD	UV	78077953
747059	2549	1994-11-12	PRIJEM	PREVOD Z UCTU	6345	33740	DUCHOD	UV	78077953
747060	2549	1994-12-12	PRIJEM	PREVOD Z UCTU	6345	36371	DUCHOD	UV	78077953
747061	2549	1995-01-12	PRIJEM	PREVOD Z UCTU	6345	28143	DUCHOD	UV	78077953
747062	2549	1995-02-12	PRIJEM	PREVOD Z UCTU	6345	26251	DUCHOD	UV	78077953
747063	2549	1995-03-12	PRIJEM	PREVOD Z UCTU	6345	30599	DUCHOD	UV	78077953
747064	2549	1995-04-12	PRIJEM	PREVOD Z UCTU	6345	28466	DUCHOD	UV	78077953
747065	2549	1995-05-12	PRIJEM	PREVOD Z UCTU	6345	31469	DUCHOD	UV	78077953
747066	2549	1995-06-12	PRIJEM	PREVOD Z UCTU	6345	27990	DUCHOD	UV	78077953
747067	2549	1995-07-12	PRIJEM	PREVOD Z UCTU	6345	32353	DUCHOD	UV	78077953
747068	2549	1995-08-12	PRIJEM	PREVOD Z UCTU	6345	35628	DUCHOD	UV	78077953
747069	2549	1995-09-12	PRIJEM	PREVOD Z UCTU	6345	40016	DUCHOD	UV	78077953
747070	2549	1995-10-12	PRIJEM	PREVOD Z UCTU	6345	41021	DUCHOD	UV	78077953
747071	2549	1995-11-12	PRIJEM	PREVOD Z UCTU	6345	40412	DUCHOD	UV	78077953
747072	2549	1995-12-12	PRIJEM	PREVOD Z UCTU	6345	41134	DUCHOD	UV	78077953
747073	2549	1996-01-12	PRIJEM	PREVOD Z UCTU	6345	38458	DUCHOD	UV	78077953
747074	2549	1996-02-12	PRIJEM	PREVOD Z UCTU	6345	35412	DUCHOD	UV	78077953
747075	2549	1996-03-12	PRIJEM	PREVOD Z UCTU	6345	39798	DUCHOD	UV	78077953
747076	2549	1996-04-12	PRIJEM	PREVOD Z UCTU	6345	44203	DUCHOD	UV	78077953
747077	2549	1996-05-12	PRIJEM	PREVOD Z UCTU	6345	42205	DUCHOD	UV	78077953
747078	2549	1996-06-12	PRIJEM	PREVOD Z UCTU	6345	41879	DUCHOD	UV	78077953
747079	2549	1996-07-12	PRIJEM	PREVOD Z UCTU	6345	46296	DUCHOD	UV	78077953
747080	2549	1996-08-12	PRIJEM	PREVOD Z UCTU	6345	46788	DUCHOD	UV	78077953
747081	2549	1996-09-12	PRIJEM	PREVOD Z UCTU	6345	50184	DUCHOD	UV	78077953
747082	2549	1996-10-12	PRIJEM	PREVOD Z UCTU	6345	51830	DUCHOD	UV	78077953
747083	2549	1996-11-12	PRIJEM	PREVOD Z UCTU	6345	52122	DUCHOD	UV	78077953
747084	2549	1996-12-12	PRIJEM	PREVOD Z UCTU	6345	51674	DUCHOD	UV	78077953
747085	2549	1997-01-12	PRIJEM	PREVOD Z UCTU	6345	52574	DUCHOD	UV	78077953
747086	2549	1997-02-12	PRIJEM	PREVOD Z UCTU	6345	44507	DUCHOD	UV	78077953
747087	2549	1997-03-12	PRIJEM	PREVOD Z UCTU	6345	47629	DUCHOD	UV	78077953
747088	2549	1997-04-12	PRIJEM	PREVOD Z UCTU	6345	52065	DUCHOD	UV	78077953
747089	2549	1997-05-12	PRIJEM	PREVOD Z UCTU	6345	51715	DUCHOD	UV	78077953
747090	2549	1997-06-12	PRIJEM	PREVOD Z UCTU	6345	53766	DUCHOD	UV	78077953
747091	2549	1997-07-12	PRIJEM	PREVOD Z UCTU	6345	52816	DUCHOD	UV	78077953
747092	2549	1997-08-12	PRIJEM	PREVOD Z UCTU	6345	52946	DUCHOD	UV	78077953
747093	2549	1997-09-12	PRIJEM	PREVOD Z UCTU	6345	52799	DUCHOD	UV	78077953
747094	2549	1997-10-12	PRIJEM	PREVOD Z UCTU	6345	50548	DUCHOD	UV	78077953
747095	2549	1997-11-12	PRIJEM	PREVOD Z UCTU	6345	49389	DUCHOD	UV	78077953
747096	2549	1997-12-12	PRIJEM	PREVOD Z UCTU	6345	50827	DUCHOD	UV	78077953
747097	2549	1998-01-12	PRIJEM	PREVOD Z UCTU	6345	45120	DUCHOD	UV	78077953
747098	2549	1998-02-12	PRIJEM	PREVOD Z UCTU	6345	42137	DUCHOD	UV	78077953
747099	2549	1998-03-12	PRIJEM	PREVOD Z UCTU	6345	40024	DUCHOD	UV	78077953
747100	2549	1998-04-12	PRIJEM	PREVOD Z UCTU	6345	43726	DUCHOD	UV	78077953
747101	2549	1998-05-12	PRIJEM	PREVOD Z UCTU	6345	48145	DUCHOD	UV	78077953
747102	2549	1998-06-12	PRIJEM	PREVOD Z UCTU	6345	50578	DUCHOD	UV	78077953
747103	2549	1998-07-12	PRIJEM	PREVOD Z UCTU	6345	51980	DUCHOD	UV	78077953
747104	2549	1998-08-12	PRIJEM	PREVOD Z UCTU	6345	56433	DUCHOD	UV	78077953
747105	2549	1998-09-12	PRIJEM	PREVOD Z UCTU	6345	58600	DUCHOD	UV	78077953
747106	2549	1998-10-12	PRIJEM	PREVOD Z UCTU	6345	61276	DUCHOD	UV	78077953
747107	2549	1998-11-12	PRIJEM	PREVOD Z UCTU	6345	60557	DUCHOD	UV	78077953
747108	2549	1998-12-12	PRIJEM	PREVOD Z UCTU	6345	57308	DUCHOD	UV	78077953
747124	2549	1994-04-09	VYDAJ	PREVOD NA UCET	2085	27408	SIPO	YZ	75947034
747125	2549	1994-05-09	VYDAJ	PREVOD NA UCET	2085	31688	SIPO	YZ	75947034
747126	2549	1994-06-09	VYDAJ	PREVOD NA UCET	2085	24728	SIPO	YZ	75947034
747127	2549	1994-07-09	VYDAJ	PREVOD NA UCET	2085	18124	SIPO	YZ	75947034
747128	2549	1994-08-09	VYDAJ	PREVOD NA UCET	2085	21505	SIPO	YZ	75947034
747129	2549	1994-09-09	VYDAJ	PREVOD NA UCET	2085	22360	SIPO	YZ	75947034
747130	2549	1994-10-09	VYDAJ	PREVOD NA UCET	2085	25422	SIPO	YZ	75947034
747131	2549	1994-11-09	VYDAJ	PREVOD NA UCET	2085	27395	SIPO	YZ	75947034
747132	2549	1994-12-09	VYDAJ	PREVOD NA UCET	2085	30026	SIPO	YZ	75947034
747133	2549	1995-01-09	VYDAJ	PREVOD NA UCET	2085	21798	SIPO	YZ	75947034
747134	2549	1995-02-09	VYDAJ	PREVOD NA UCET	2085	19906	SIPO	YZ	75947034
747135	2549	1995-03-09	VYDAJ	PREVOD NA UCET	2085	24254	SIPO	YZ	75947034
747136	2549	1995-04-09	VYDAJ	PREVOD NA UCET	2085	25721	SIPO	YZ	75947034
747137	2549	1995-05-09	VYDAJ	PREVOD NA UCET	2085	25124	SIPO	YZ	75947034
747138	2549	1995-06-09	VYDAJ	PREVOD NA UCET	2085	21645	SIPO	YZ	75947034
747139	2549	1995-07-09	VYDAJ	PREVOD NA UCET	2085	26008	SIPO	YZ	75947034
747140	2549	1995-08-09	VYDAJ	PREVOD NA UCET	2085	29283	SIPO	YZ	75947034
747141	2549	1995-09-09	VYDAJ	PREVOD NA UCET	2085	33671	SIPO	YZ	75947034
747142	2549	1995-10-09	VYDAJ	PREVOD NA UCET	2085	34676	SIPO	YZ	75947034
747143	2549	1995-11-09	VYDAJ	PREVOD NA UCET	2085	34067	SIPO	YZ	75947034
747144	2549	1995-12-09	VYDAJ	PREVOD NA UCET	2085	34789	SIPO	YZ	75947034
747145	2549	1996-01-09	VYDAJ	PREVOD NA UCET	2085	33873	SIPO	YZ	75947034
747146	2549	1996-02-09	VYDAJ	PREVOD NA UCET	2085	29067	SIPO	YZ	75947034
747147	2549	1996-03-09	VYDAJ	PREVOD NA UCET	2085	33453	SIPO	YZ	75947034
747148	2549	1996-04-09	VYDAJ	PREVOD NA UCET	2085	37858	SIPO	YZ	75947034
747149	2549	1996-05-09	VYDAJ	PREVOD NA UCET	2085	35860	SIPO	YZ	75947034
747150	2549	1996-06-09	VYDAJ	PREVOD NA UCET	2085	35534	SIPO	YZ	75947034
747151	2549	1996-07-09	VYDAJ	PREVOD NA UCET	2085	39951	SIPO	YZ	75947034
747152	2549	1996-08-09	VYDAJ	PREVOD NA UCET	2085	40443	SIPO	YZ	75947034
747153	2549	1996-09-09	VYDAJ	PREVOD NA UCET	2085	43839	SIPO	YZ	75947034
747154	2549	1996-10-09	VYDAJ	PREVOD NA UCET	2085	45485	SIPO	YZ	75947034
747155	2549	1996-11-09	VYDAJ	PREVOD NA UCET	2085	45777	SIPO	YZ	75947034
747156	2549	1996-12-09	VYDAJ	PREVOD NA UCET	2085	45329	SIPO	YZ	75947034
747157	2549	1997-01-09	VYDAJ	PREVOD NA UCET	2085	46229	SIPO	YZ	75947034
747158	2549	1997-02-09	VYDAJ	PREVOD NA UCET	2085	38162	SIPO	YZ	75947034
747159	2549	1997-03-09	VYDAJ	PREVOD NA UCET	2085	41284	SIPO	YZ	75947034
747160	2549	1997-04-09	VYDAJ	PREVOD NA UCET	2085	45720	SIPO	YZ	75947034
747161	2549	1997-05-09	VYDAJ	PREVOD NA UCET	2085	45370	SIPO	YZ	75947034
747162	2549	1997-06-09	VYDAJ	PREVOD NA UCET	2085	47421	SIPO	YZ	75947034
747163	2549	1997-07-09	VYDAJ	PREVOD NA UCET	2085	46471	SIPO	YZ	75947034
747164	2549	1997-08-09	VYDAJ	PREVOD NA UCET	2085	46601	SIPO	YZ	75947034
747165	2549	1997-09-09	VYDAJ	PREVOD NA UCET	2085	46454	SIPO	YZ	75947034
747166	2549	1997-10-09	VYDAJ	PREVOD NA UCET	2085	44203	SIPO	YZ	75947034
747167	2549	1997-11-09	VYDAJ	PREVOD NA UCET	2085	43044	SIPO	YZ	75947034
747168	2549	1997-12-09	VYDAJ	PREVOD NA UCET	2085	44482	SIPO	YZ	75947034
747169	2549	1998-01-09	VYDAJ	PREVOD NA UCET	2085	38775	SIPO	YZ	75947034
747170	2549	1998-02-09	VYDAJ	PREVOD NA UCET	2085	35792	SIPO	YZ	75947034
747171	2549	1998-03-09	VYDAJ	PREVOD NA UCET	2085	33679	SIPO	YZ	75947034
747172	2549	1998-04-09	VYDAJ	PREVOD NA UCET	2085	37381	SIPO	YZ	75947034
747173	2549	1998-05-09	VYDAJ	PREVOD NA UCET	2085	41800	SIPO	YZ	75947034
747174	2549	1998-06-09	VYDAJ	PREVOD NA UCET	2085	44233	SIPO	YZ	75947034
747175	2549	1998-07-09	VYDAJ	PREVOD NA UCET	2085	45635	SIPO	YZ	75947034
747176	2549	1998-08-09	VYDAJ	PREVOD NA UCET	2085	50088	SIPO	YZ	75947034
747177	2549	1998-09-09	VYDAJ	PREVOD NA UCET	2085	52255	SIPO	YZ	75947034
747178	2549	1998-10-09	VYDAJ	PREVOD NA UCET	2085	54931	SIPO	YZ	75947034
747179	2549	1998-11-09	VYDAJ	PREVOD NA UCET	2085	54212	SIPO	YZ	75947034
747180	2549	1998-12-09	VYDAJ	PREVOD NA UCET	2085	50963	SIPO	YZ	75947034
747182	2549	1994-06-17	VYDAJ	VYBER	9450	20123	\N	\N	\N
747183	2549	1995-06-05	VYDAJ	VYBER	7850	23730	\N	\N	\N
747184	2549	1996-06-08	VYDAJ	VYBER	4100	37619	\N	\N	\N
747185	2549	1997-06-15	VYDAJ	VYBER	5400	48366	\N	\N	\N
747186	2549	1998-06-15	VYDAJ	VYBER	1600	48978	\N	\N	\N
747189	2549	1995-01-01	VYDAJ	VYBER	3900	32603	\N	\N	\N
747190	2549	1996-01-07	VYDAJ	VYBER	1400	35958	\N	\N	\N
747191	2549	1997-01-26	VYDAJ	VYBER	750	41504	\N	\N	\N
747192	2549	1998-01-02	VYDAJ	VYBER	3550	43260	\N	\N	\N
747194	2549	1994-12-09	VYDAJ	VYBER	250	32111	\N	\N	\N
747195	2549	1995-12-15	VYDAJ	VYBER	1200	39934	\N	\N	\N
747196	2549	1996-12-12	VYDAJ	VYBER	750	50924	\N	\N	\N
747197	2549	1997-12-13	VYDAJ	VYBER	300	50527	\N	\N	\N
747198	2549	1998-12-20	VYDAJ	VYBER	1000	56308	\N	\N	\N
747211	2549	1995-01-04	VYDAJ	VYBER	2000	23883	\N	\N	\N
747212	2549	1995-01-15	VYDAJ	VYBER	2160	25983	\N	\N	\N
747213	2549	1995-01-02	VYDAJ	VYBER	800	29563	\N	\N	\N
747214	2549	1995-01-01	VYDAJ	VYBER	2240	30363	\N	\N	\N
747215	2549	1995-01-29	VYDAJ	VYBER	1920	21903	\N	\N	\N
747216	2549	1995-01-17	VYDAJ	VYBER	2160	23823	\N	\N	\N
747217	2549	1996-01-24	VYDAJ	VYBER	1200	34138	\N	\N	\N
747218	2549	1996-01-19	VYDAJ	VYBER	960	35338	\N	\N	\N
747219	2549	1996-01-27	VYDAJ	VYBER	960	31018	\N	\N	\N
747220	2549	1996-01-17	VYDAJ	VYBER	2160	36298	\N	\N	\N
747221	2549	1996-01-10	VYDAJ	VYBER	1760	32113	\N	\N	\N
747222	2549	1996-01-27	VYDAJ	VYBER	2160	31978	\N	\N	\N
747223	2549	1997-01-24	VYDAJ	VYBER	2320	45934	\N	\N	\N
747224	2549	1997-01-12	VYDAJ	VYBER	2000	50574	\N	\N	\N
747225	2549	1997-01-18	VYDAJ	VYBER	2320	48254	\N	\N	\N
747226	2549	1997-01-03	VYDAJ	VYBER	1200	48314	\N	\N	\N
747227	2549	1997-01-24	VYDAJ	VYBER	1600	42254	\N	\N	\N
747228	2549	1997-01-24	VYDAJ	VYBER	2080	43854	\N	\N	\N
747229	2549	1998-01-27	VYDAJ	VYBER	1600	37720	\N	\N	\N
747230	2549	1998-01-16	VYDAJ	VYBER	880	44240	\N	\N	\N
747231	2549	1998-01-18	VYDAJ	VYBER	1840	42400	\N	\N	\N
747232	2549	1998-01-22	VYDAJ	VYBER	880	39320	\N	\N	\N
747233	2549	1998-01-19	VYDAJ	VYBER	400	42000	\N	\N	\N
747234	2549	1998-01-02	VYDAJ	VYBER	400	46810	\N	\N	\N
747240	2549	1994-07-23	VYDAJ	VYBER	960	23509	\N	\N	\N
747241	2549	1994-06-01	VYDAJ	VYBER	3040	28493	\N	\N	\N
747242	2549	1994-06-03	VYDAJ	VYBER	1680	26813	\N	\N	\N
747243	2549	1994-05-15	VYDAJ	VYBER	2240	31413	\N	\N	\N
747245	2549	1994-05-14	VYDAJ	VYBER	480	33653	\N	\N	\N
747246	2549	1995-12-24	VYDAJ	VYBER	2720	37214	\N	\N	\N
747247	2549	1995-04-11	VYDAJ	VYBER	3600	22121	\N	\N	\N
747248	2549	1995-10-28	VYDAJ	VYBER	3920	37101	\N	\N	\N
747249	2549	1995-11-19	VYDAJ	VYBER	3680	36732	\N	\N	\N
747250	2549	1995-01-03	VYDAJ	VYBER	3680	25883	\N	\N	\N
747251	2549	1995-04-21	VYDAJ	VYBER	1360	27106	\N	\N	\N
747252	2549	1996-10-28	VYDAJ	VYBER	560	47670	\N	\N	\N
747253	2549	1996-05-02	VYDAJ	VYBER	1120	37945	\N	\N	\N
747254	2549	1996-05-28	VYDAJ	VYBER	640	41565	\N	\N	\N
747255	2549	1996-08-04	VYDAJ	VYBER	3440	42528	\N	\N	\N
747256	2549	1996-08-12	VYDAJ	VYBER	1040	45748	\N	\N	\N
747257	2549	1997-08-03	VYDAJ	VYBER	800	48686	\N	\N	\N
747258	2549	1997-07-17	VYDAJ	VYBER	3520	49296	\N	\N	\N
747259	2549	1997-01-27	VYDAJ	VYBER	1440	40064	\N	\N	\N
747260	2549	1997-04-14	VYDAJ	VYBER	800	51265	\N	\N	\N
747261	2549	1998-02-27	VYDAJ	VYBER	3920	35617	\N	\N	\N
747262	2549	1998-01-05	VYDAJ	VYBER	2400	40860	\N	\N	\N
747263	2549	1998-06-23	VYDAJ	VYBER	1440	47538	\N	\N	\N
747264	2549	1998-11-14	VYDAJ	VYBER	2320	58237	\N	\N	\N
747265	2549	1998-05-16	VYDAJ	VYBER	2000	46145	\N	\N	\N
747281	2549	1994-03-31	VYDAJ	VYBER	15	29493	SLUZBY	\N	\N
747282	2549	1994-04-30	VYDAJ	VYBER	15	33773	SLUZBY	\N	\N
747283	2549	1994-05-31	VYDAJ	VYBER	15	31533	SLUZBY	\N	\N
747284	2549	1994-06-30	VYDAJ	VYBER	15	20209	SLUZBY	\N	\N
747285	2549	1994-07-31	VYDAJ	VYBER	15	23590	SLUZBY	\N	\N
747286	2549	1994-08-31	VYDAJ	VYBER	15	27945	SLUZBY	\N	\N
747287	2549	1994-09-30	VYDAJ	VYBER	15	28807	SLUZBY	\N	\N
747288	2549	1994-10-31	VYDAJ	VYBER	15	31880	SLUZBY	\N	\N
747289	2549	1994-11-30	VYDAJ	VYBER	15	33861	SLUZBY	\N	\N
747290	2549	1994-12-31	VYDAJ	VYBER	15	36503	SLUZBY	\N	\N
747291	2549	1995-01-31	VYDAJ	VYBER	15	21991	SLUZBY	\N	\N
747292	2549	1995-02-28	VYDAJ	VYBER	15	26339	SLUZBY	\N	\N
747293	2549	1995-03-31	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
747294	2549	1995-04-30	VYDAJ	VYBER	15	27209	SLUZBY	\N	\N
747295	2549	1995-05-31	VYDAJ	VYBER	15	31580	SLUZBY	\N	\N
747296	2549	1995-06-30	VYDAJ	VYBER	15	28093	SLUZBY	\N	\N
747297	2549	1995-07-31	VYDAJ	VYBER	15	32468	SLUZBY	\N	\N
747298	2549	1995-08-31	VYDAJ	VYBER	15	35756	SLUZBY	\N	\N
747299	2549	1995-09-30	VYDAJ	VYBER	15	40161	SLUZBY	\N	\N
747300	2549	1995-10-31	VYDAJ	VYBER	15	37252	SLUZBY	\N	\N
747301	2549	1995-11-30	VYDAJ	VYBER	15	36874	SLUZBY	\N	\N
747302	2549	1995-12-31	VYDAJ	VYBER	15	37358	SLUZBY	\N	\N
747303	2549	1996-01-31	VYDAJ	VYBER	15	31152	SLUZBY	\N	\N
747304	2549	1996-02-29	VYDAJ	VYBER	15	35538	SLUZBY	\N	\N
747305	2549	1996-03-31	VYDAJ	VYBER	15	39943	SLUZBY	\N	\N
747306	2549	1996-04-30	VYDAJ	VYBER	15	39065	SLUZBY	\N	\N
747307	2549	1996-05-31	VYDAJ	VYBER	15	41719	SLUZBY	\N	\N
747308	2549	1996-06-30	VYDAJ	VYBER	15	42036	SLUZBY	\N	\N
747309	2549	1996-07-31	VYDAJ	VYBER	15	45968	SLUZBY	\N	\N
747310	2549	1996-08-31	VYDAJ	VYBER	15	45924	SLUZBY	\N	\N
747311	2549	1996-09-30	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
747312	2549	1996-10-31	VYDAJ	VYBER	15	47862	SLUZBY	\N	\N
747313	2549	1996-11-30	VYDAJ	VYBER	15	47414	SLUZBY	\N	\N
747314	2549	1996-12-31	VYDAJ	VYBER	15	49514	SLUZBY	\N	\N
747315	2549	1997-01-31	VYDAJ	VYBER	15	40247	SLUZBY	\N	\N
747316	2549	1997-02-28	VYDAJ	VYBER	15	43369	SLUZBY	\N	\N
747317	2549	1997-03-31	VYDAJ	VYBER	15	47805	SLUZBY	\N	\N
747318	2549	1997-04-30	VYDAJ	VYBER	15	47455	SLUZBY	\N	\N
747319	2549	1997-05-31	VYDAJ	VYBER	15	49506	SLUZBY	\N	\N
747320	2549	1997-06-30	VYDAJ	VYBER	15	48556	SLUZBY	\N	\N
747321	2549	1997-07-31	VYDAJ	VYBER	15	49486	SLUZBY	\N	\N
747322	2549	1997-08-31	VYDAJ	VYBER	15	48539	SLUZBY	\N	\N
747323	2549	1997-09-30	VYDAJ	VYBER	15	46288	SLUZBY	\N	\N
747324	2549	1997-10-31	VYDAJ	VYBER	15	45129	SLUZBY	\N	\N
747325	2549	1997-11-30	VYDAJ	VYBER	15	46567	SLUZBY	\N	\N
747326	2549	1997-12-31	VYDAJ	VYBER	15	47210	SLUZBY	\N	\N
747327	2549	1998-01-31	VYDAJ	VYBER	15	37877	SLUZBY	\N	\N
747328	2549	1998-02-28	VYDAJ	VYBER	15	35764	SLUZBY	\N	\N
747329	2549	1998-03-31	VYDAJ	VYBER	15	39466	SLUZBY	\N	\N
747330	2549	1998-04-30	VYDAJ	VYBER	15	43885	SLUZBY	\N	\N
747331	2549	1998-05-31	VYDAJ	VYBER	15	46318	SLUZBY	\N	\N
747332	2549	1998-06-30	VYDAJ	VYBER	15	47720	SLUZBY	\N	\N
747333	2549	1998-07-31	VYDAJ	VYBER	15	52173	SLUZBY	\N	\N
747334	2549	1998-08-31	VYDAJ	VYBER	15	54340	SLUZBY	\N	\N
747335	2549	1998-09-30	VYDAJ	VYBER	15	57016	SLUZBY	\N	\N
747336	2549	1998-10-31	VYDAJ	VYBER	15	56297	SLUZBY	\N	\N
747337	2549	1998-11-30	VYDAJ	VYBER	15	53048	SLUZBY	\N	\N
747338	2549	1994-03-12	VYDAJ	VYBER	2500	29428	\N	\N	\N
747339	2549	1994-04-11	VYDAJ	VYBER	100	27308	\N	\N	\N
747340	2549	1994-05-11	VYDAJ	VYBER	3900	27788	\N	\N	\N
747341	2549	1994-06-10	VYDAJ	VYBER	1500	23228	\N	\N	\N
747342	2549	1994-09-08	VYDAJ	VYBER	3500	24445	\N	\N	\N
747343	2549	1994-10-08	VYDAJ	VYBER	1300	27507	\N	\N	\N
747344	2549	1994-11-07	VYDAJ	VYBER	2400	29480	\N	\N	\N
747345	2549	1994-12-07	VYDAJ	VYBER	1500	32361	\N	\N	\N
747346	2549	1995-04-06	VYDAJ	VYBER	2900	27806	\N	\N	\N
747347	2549	1995-08-04	VYDAJ	VYBER	1100	31368	\N	\N	\N
747348	2549	1995-10-03	VYDAJ	VYBER	3400	36761	\N	\N	\N
747349	2549	1995-11-02	VYDAJ	VYBER	1100	36152	\N	\N	\N
747350	2549	1996-04-30	VYDAJ	VYBER	5300	39079	\N	\N	\N
747351	2549	1996-07-29	VYDAJ	VYBER	500	45796	\N	\N	\N
747352	2549	1996-09-27	VYDAJ	VYBER	2800	47384	\N	\N	\N
747353	2549	1996-10-27	VYDAJ	VYBER	3600	48230	\N	\N	\N
747354	2549	1996-11-26	VYDAJ	VYBER	4900	47222	\N	\N	\N
747355	2549	1996-12-26	VYDAJ	VYBER	1600	49324	\N	\N	\N
747356	2549	1997-02-24	VYDAJ	VYBER	1300	43207	\N	\N	\N
747357	2549	1997-04-25	VYDAJ	VYBER	4000	47265	\N	\N	\N
747358	2549	1997-05-25	VYDAJ	VYBER	2400	49315	\N	\N	\N
747359	2549	1997-08-23	VYDAJ	VYBER	4600	48346	\N	\N	\N
747360	2549	1997-09-22	VYDAJ	VYBER	6700	46099	\N	\N	\N
747361	2549	1997-10-22	VYDAJ	VYBER	5600	44948	\N	\N	\N
747362	2549	1997-11-21	VYDAJ	VYBER	3000	46389	\N	\N	\N
747363	2549	1997-12-21	VYDAJ	VYBER	3500	47027	\N	\N	\N
747364	2549	1998-01-20	VYDAJ	VYBER	1800	40200	\N	\N	\N
747365	2549	1998-02-19	VYDAJ	VYBER	2600	39537	\N	\N	\N
747366	2549	1998-03-21	VYDAJ	VYBER	700	39324	\N	\N	\N
747367	2549	1998-08-18	VYDAJ	VYBER	2300	54133	\N	\N	\N
747368	2549	1998-09-17	VYDAJ	VYBER	1800	56800	\N	\N	\N
747369	2549	1998-10-17	VYDAJ	VYBER	5200	56076	\N	\N	\N
747370	2549	1998-11-16	VYDAJ	VYBER	5400	52837	\N	\N	\N
747433	2550	1995-11-11	PRIJEM	VKLAD	700	700	\N	\N	\N
747445	2550	1995-12-06	PRIJEM	VKLAD	23144	23844	\N	\N	\N
747446	2550	1996-01-06	PRIJEM	VKLAD	15429	40544	\N	\N	\N
747447	2550	1996-02-06	PRIJEM	VKLAD	15429	46294	\N	\N	\N
747448	2550	1996-03-06	PRIJEM	VKLAD	15429	48056	\N	\N	\N
747449	2550	1996-04-06	PRIJEM	VKLAD	15429	49826	\N	\N	\N
747450	2550	1996-05-06	PRIJEM	VKLAD	15429	42118	\N	\N	\N
747451	2550	1996-06-06	PRIJEM	VKLAD	23144	50445	\N	\N	\N
747452	2550	1996-07-06	PRIJEM	VKLAD	15429	38994	\N	\N	\N
747453	2550	1996-08-06	PRIJEM	VKLAD	15429	41097	\N	\N	\N
747454	2550	1996-09-06	PRIJEM	VKLAD	15429	40079	\N	\N	\N
747455	2550	1996-10-06	PRIJEM	VKLAD	15429	39478	\N	\N	\N
747456	2550	1996-11-06	PRIJEM	VKLAD	15429	44237	\N	\N	\N
747457	2550	1996-12-06	PRIJEM	VKLAD	23144	60593	\N	\N	\N
747458	2550	1997-01-06	PRIJEM	VKLAD	15429	56839	\N	\N	\N
747459	2550	1997-02-06	PRIJEM	VKLAD	15429	46003	\N	\N	\N
747460	2550	1997-03-06	PRIJEM	VKLAD	15429	56252	\N	\N	\N
747461	2550	1997-04-06	PRIJEM	VKLAD	15429	56045	\N	\N	\N
747462	2550	1997-05-06	PRIJEM	VKLAD	15429	52712	\N	\N	\N
747463	2550	1997-06-06	PRIJEM	VKLAD	23144	67309	\N	\N	\N
747464	2550	1997-07-06	PRIJEM	VKLAD	15429	61822	\N	\N	\N
747465	2550	1997-08-06	PRIJEM	VKLAD	15429	67639	\N	\N	\N
747466	2550	1997-09-06	PRIJEM	VKLAD	15429	65841	\N	\N	\N
747467	2550	1997-10-06	PRIJEM	VKLAD	15429	68480	\N	\N	\N
747468	2550	1997-11-06	PRIJEM	VKLAD	15429	72327	\N	\N	\N
747469	2550	1997-12-06	PRIJEM	VKLAD	23144	83702	\N	\N	\N
747470	2550	1998-01-06	PRIJEM	VKLAD	15429	72705	\N	\N	\N
747471	2550	1998-02-06	PRIJEM	VKLAD	15429	64483	\N	\N	\N
747472	2550	1998-03-06	PRIJEM	VKLAD	15429	69311	\N	\N	\N
747473	2550	1998-04-06	PRIJEM	VKLAD	15429	68287	\N	\N	\N
747474	2550	1998-05-06	PRIJEM	VKLAD	15429	71829	\N	\N	\N
747475	2550	1998-06-06	PRIJEM	VKLAD	23144	84201	\N	\N	\N
747476	2550	1998-07-06	PRIJEM	VKLAD	15429	68393	\N	\N	\N
747477	2550	1998-08-06	PRIJEM	VKLAD	15429	77838	\N	\N	\N
747478	2550	1998-09-06	PRIJEM	VKLAD	15429	81919	\N	\N	\N
747479	2550	1998-10-06	PRIJEM	VKLAD	15429	85415	\N	\N	\N
747480	2550	1998-11-06	PRIJEM	VKLAD	15429	87881	\N	\N	\N
747481	2550	1998-12-06	PRIJEM	VKLAD	23144	103420	\N	\N	\N
747498	2550	1996-05-05	VYDAJ	PREVOD NA UCET	6828	26689	SIPO	AB	94691901
747499	2550	1996-06-05	VYDAJ	PREVOD NA UCET	6828	27301	SIPO	AB	94691901
747500	2550	1996-07-05	VYDAJ	PREVOD NA UCET	6828	23565	SIPO	AB	94691901
747501	2550	1996-08-05	VYDAJ	PREVOD NA UCET	6828	25668	SIPO	AB	94691901
747502	2550	1996-09-05	VYDAJ	PREVOD NA UCET	6828	24650	SIPO	AB	94691901
747503	2550	1996-10-05	VYDAJ	PREVOD NA UCET	6828	24049	SIPO	AB	94691901
747504	2550	1996-11-05	VYDAJ	PREVOD NA UCET	6828	28808	SIPO	AB	94691901
747505	2550	1996-12-05	VYDAJ	PREVOD NA UCET	6828	37449	SIPO	AB	94691901
747506	2550	1997-01-05	VYDAJ	PREVOD NA UCET	6828	41410	SIPO	AB	94691901
747507	2550	1997-02-05	VYDAJ	PREVOD NA UCET	6828	30574	SIPO	AB	94691901
747508	2550	1997-03-05	VYDAJ	PREVOD NA UCET	6828	40823	SIPO	AB	94691901
747509	2550	1997-04-05	VYDAJ	PREVOD NA UCET	6828	40616	SIPO	AB	94691901
747510	2550	1997-05-05	VYDAJ	PREVOD NA UCET	6828	37283	SIPO	AB	94691901
747511	2550	1997-06-05	VYDAJ	PREVOD NA UCET	6828	44165	SIPO	AB	94691901
747512	2550	1997-07-05	VYDAJ	PREVOD NA UCET	6828	46393	SIPO	AB	94691901
747513	2550	1997-08-05	VYDAJ	PREVOD NA UCET	6828	52210	SIPO	AB	94691901
747514	2550	1997-09-05	VYDAJ	PREVOD NA UCET	6828	50412	SIPO	AB	94691901
747515	2550	1997-10-05	VYDAJ	PREVOD NA UCET	6828	53051	SIPO	AB	94691901
747516	2550	1997-11-05	VYDAJ	PREVOD NA UCET	6828	56898	SIPO	AB	94691901
747517	2550	1997-12-05	VYDAJ	PREVOD NA UCET	6828	60558	SIPO	AB	94691901
747518	2550	1998-01-05	VYDAJ	PREVOD NA UCET	6828	57276	SIPO	AB	94691901
747519	2550	1998-02-05	VYDAJ	PREVOD NA UCET	6828	49054	SIPO	AB	94691901
747520	2550	1998-03-05	VYDAJ	PREVOD NA UCET	6828	53882	SIPO	AB	94691901
747521	2550	1998-04-05	VYDAJ	PREVOD NA UCET	6828	52858	SIPO	AB	94691901
747522	2550	1998-05-05	VYDAJ	PREVOD NA UCET	6828	56400	SIPO	AB	94691901
747523	2550	1998-06-05	VYDAJ	PREVOD NA UCET	6828	61057	SIPO	AB	94691901
747524	2550	1998-07-05	VYDAJ	PREVOD NA UCET	6828	52964	SIPO	AB	94691901
747525	2550	1998-08-05	VYDAJ	PREVOD NA UCET	6828	62409	SIPO	AB	94691901
747526	2550	1998-09-05	VYDAJ	PREVOD NA UCET	6828	66490	SIPO	AB	94691901
747527	2550	1998-10-05	VYDAJ	PREVOD NA UCET	6828	69986	SIPO	AB	94691901
747528	2550	1998-11-05	VYDAJ	PREVOD NA UCET	6828	72452	SIPO	AB	94691901
747529	2550	1998-12-05	VYDAJ	PREVOD NA UCET	6828	80276	SIPO	AB	94691901
747545	2550	1996-04-14	VYDAJ	PREVOD NA UCET	403	34707	 	MN	80567723
747546	2550	1996-05-14	VYDAJ	PREVOD NA UCET	403	33999	 	MN	80567723
747547	2550	1996-06-14	VYDAJ	PREVOD NA UCET	403	36026	 	MN	80567723
747548	2550	1996-07-14	VYDAJ	PREVOD NA UCET	403	32375	 	MN	80567723
747549	2550	1996-08-14	VYDAJ	PREVOD NA UCET	403	32678	 	MN	80567723
747550	2550	1996-09-14	VYDAJ	PREVOD NA UCET	403	30760	 	MN	80567723
747551	2550	1996-10-14	VYDAJ	PREVOD NA UCET	403	34259	 	MN	80567723
747552	2550	1996-11-14	VYDAJ	PREVOD NA UCET	403	43718	 	MN	80567723
747553	2550	1996-12-14	VYDAJ	PREVOD NA UCET	403	60074	 	MN	80567723
747554	2550	1997-01-14	VYDAJ	PREVOD NA UCET	403	53080	 	MN	80567723
747555	2550	1997-02-14	VYDAJ	PREVOD NA UCET	403	45484	 	MN	80567723
747556	2550	1997-03-14	VYDAJ	PREVOD NA UCET	403	55733	 	MN	80567723
747557	2550	1997-04-14	VYDAJ	PREVOD NA UCET	403	55526	 	MN	80567723
747558	2550	1997-05-14	VYDAJ	PREVOD NA UCET	403	52193	 	MN	80567723
747559	2550	1997-06-14	VYDAJ	PREVOD NA UCET	403	53310	 	MN	80567723
747560	2550	1997-07-14	VYDAJ	PREVOD NA UCET	403	61303	 	MN	80567723
747561	2550	1997-08-14	VYDAJ	PREVOD NA UCET	403	67120	 	MN	80567723
747562	2550	1997-09-14	VYDAJ	PREVOD NA UCET	403	65322	 	MN	80567723
747563	2550	1997-10-14	VYDAJ	PREVOD NA UCET	403	67961	 	MN	80567723
747564	2550	1997-11-14	VYDAJ	PREVOD NA UCET	403	71808	 	MN	80567723
747565	2550	1997-12-14	VYDAJ	PREVOD NA UCET	403	77983	 	MN	80567723
747566	2550	1998-01-14	VYDAJ	PREVOD NA UCET	403	70286	 	MN	80567723
747567	2550	1998-02-14	VYDAJ	PREVOD NA UCET	403	63964	 	MN	80567723
747568	2550	1998-03-14	VYDAJ	PREVOD NA UCET	403	63632	 	MN	80567723
747569	2550	1998-04-14	VYDAJ	PREVOD NA UCET	403	67768	 	MN	80567723
747570	2550	1998-05-14	VYDAJ	PREVOD NA UCET	403	71310	 	MN	80567723
747571	2550	1998-06-14	VYDAJ	PREVOD NA UCET	403	55362	 	MN	80567723
747572	2550	1998-07-14	VYDAJ	PREVOD NA UCET	403	67874	 	MN	80567723
747573	2550	1998-08-14	VYDAJ	PREVOD NA UCET	403	77319	 	MN	80567723
747574	2550	1998-09-14	VYDAJ	PREVOD NA UCET	403	81400	 	MN	80567723
747575	2550	1998-10-14	VYDAJ	PREVOD NA UCET	403	84896	 	MN	80567723
747576	2550	1998-11-14	VYDAJ	PREVOD NA UCET	403	87362	 	MN	80567723
747577	2550	1998-12-14	VYDAJ	PREVOD NA UCET	403	95801	 	MN	80567723
747593	2550	1996-04-13	VYDAJ	PREVOD NA UCET	67	35110	POJISTNE	GH	78013139
747594	2550	1996-05-13	VYDAJ	PREVOD NA UCET	67	34402	POJISTNE	GH	78013139
747595	2550	1996-06-13	VYDAJ	PREVOD NA UCET	67	36429	POJISTNE	GH	78013139
747596	2550	1996-07-13	VYDAJ	PREVOD NA UCET	67	32778	POJISTNE	GH	78013139
747597	2550	1996-08-13	VYDAJ	PREVOD NA UCET	67	33081	POJISTNE	GH	78013139
747598	2550	1996-09-13	VYDAJ	PREVOD NA UCET	67	31163	POJISTNE	GH	78013139
747599	2550	1996-10-13	VYDAJ	PREVOD NA UCET	67	34662	POJISTNE	GH	78013139
747600	2550	1996-11-13	VYDAJ	PREVOD NA UCET	67	44121	POJISTNE	GH	78013139
747601	2550	1996-12-13	VYDAJ	PREVOD NA UCET	67	60477	POJISTNE	GH	78013139
747602	2550	1997-01-13	VYDAJ	PREVOD NA UCET	67	54323	POJISTNE	GH	78013139
747603	2550	1997-02-13	VYDAJ	PREVOD NA UCET	67	45887	POJISTNE	GH	78013139
747604	2550	1997-03-13	VYDAJ	PREVOD NA UCET	67	56136	POJISTNE	GH	78013139
747605	2550	1997-04-13	VYDAJ	PREVOD NA UCET	67	55929	POJISTNE	GH	78013139
747606	2550	1997-05-13	VYDAJ	PREVOD NA UCET	67	52596	POJISTNE	GH	78013139
747607	2550	1997-06-13	VYDAJ	PREVOD NA UCET	67	53713	POJISTNE	GH	78013139
747608	2550	1997-07-13	VYDAJ	PREVOD NA UCET	67	61706	POJISTNE	GH	78013139
747609	2550	1997-08-13	VYDAJ	PREVOD NA UCET	67	67523	POJISTNE	GH	78013139
747610	2550	1997-09-13	VYDAJ	PREVOD NA UCET	67	65725	POJISTNE	GH	78013139
747611	2550	1997-10-13	VYDAJ	PREVOD NA UCET	67	68364	POJISTNE	GH	78013139
747612	2550	1997-11-13	VYDAJ	PREVOD NA UCET	67	72211	POJISTNE	GH	78013139
747613	2550	1997-12-13	VYDAJ	PREVOD NA UCET	67	78386	POJISTNE	GH	78013139
747614	2550	1998-01-13	VYDAJ	PREVOD NA UCET	67	70689	POJISTNE	GH	78013139
747615	2550	1998-02-13	VYDAJ	PREVOD NA UCET	67	64367	POJISTNE	GH	78013139
747616	2550	1998-03-13	VYDAJ	PREVOD NA UCET	67	64035	POJISTNE	GH	78013139
747617	2550	1998-04-13	VYDAJ	PREVOD NA UCET	67	68171	POJISTNE	GH	78013139
747618	2550	1998-05-13	VYDAJ	PREVOD NA UCET	67	71713	POJISTNE	GH	78013139
747619	2550	1998-06-13	VYDAJ	PREVOD NA UCET	67	55765	POJISTNE	GH	78013139
747620	2550	1998-07-13	VYDAJ	PREVOD NA UCET	67	68277	POJISTNE	GH	78013139
747621	2550	1998-08-13	VYDAJ	PREVOD NA UCET	67	77722	POJISTNE	GH	78013139
747622	2550	1998-09-13	VYDAJ	PREVOD NA UCET	67	81803	POJISTNE	GH	78013139
747623	2550	1998-10-13	VYDAJ	PREVOD NA UCET	67	85299	POJISTNE	GH	78013139
747624	2550	1998-11-13	VYDAJ	PREVOD NA UCET	67	87765	POJISTNE	GH	78013139
747625	2550	1998-12-13	VYDAJ	PREVOD NA UCET	67	96204	POJISTNE	GH	78013139
747641	2550	1996-04-08	VYDAJ	PREVOD NA UCET	49	49777	 	ST	71683752
747642	2550	1996-05-08	VYDAJ	PREVOD NA UCET	49	42069	 	ST	71683752
747643	2550	1996-06-08	VYDAJ	PREVOD NA UCET	49	36496	 	ST	71683752
747644	2550	1996-07-08	VYDAJ	PREVOD NA UCET	49	32845	 	ST	71683752
747645	2550	1996-08-08	VYDAJ	PREVOD NA UCET	49	33148	 	ST	71683752
747646	2550	1996-09-08	VYDAJ	PREVOD NA UCET	49	31230	 	ST	71683752
747647	2550	1996-10-08	VYDAJ	PREVOD NA UCET	49	34729	 	ST	71683752
747648	2550	1996-11-08	VYDAJ	PREVOD NA UCET	49	44188	 	ST	71683752
747649	2550	1996-12-08	VYDAJ	PREVOD NA UCET	49	60544	 	ST	71683752
747650	2550	1997-01-08	VYDAJ	PREVOD NA UCET	49	54390	 	ST	71683752
747651	2550	1997-02-08	VYDAJ	PREVOD NA UCET	49	45954	 	ST	71683752
747652	2550	1997-03-08	VYDAJ	PREVOD NA UCET	49	56203	 	ST	71683752
747653	2550	1997-04-08	VYDAJ	PREVOD NA UCET	49	55996	 	ST	71683752
747654	2550	1997-05-08	VYDAJ	PREVOD NA UCET	49	52663	 	ST	71683752
747655	2550	1997-06-08	VYDAJ	PREVOD NA UCET	49	67260	 	ST	71683752
747656	2550	1997-07-08	VYDAJ	PREVOD NA UCET	49	61773	 	ST	71683752
747657	2550	1997-08-08	VYDAJ	PREVOD NA UCET	49	67590	 	ST	71683752
747658	2550	1997-09-08	VYDAJ	PREVOD NA UCET	49	65792	 	ST	71683752
747659	2550	1997-10-08	VYDAJ	PREVOD NA UCET	49	68431	 	ST	71683752
747660	2550	1997-11-08	VYDAJ	PREVOD NA UCET	49	72278	 	ST	71683752
747661	2550	1997-12-08	VYDAJ	PREVOD NA UCET	49	80553	 	ST	71683752
747662	2550	1998-01-08	VYDAJ	PREVOD NA UCET	49	70756	 	ST	71683752
747663	2550	1998-02-08	VYDAJ	PREVOD NA UCET	49	64434	 	ST	71683752
747664	2550	1998-03-08	VYDAJ	PREVOD NA UCET	49	69262	 	ST	71683752
747665	2550	1998-04-08	VYDAJ	PREVOD NA UCET	49	68238	 	ST	71683752
747666	2550	1998-05-08	VYDAJ	PREVOD NA UCET	49	71780	 	ST	71683752
747667	2550	1998-06-08	VYDAJ	PREVOD NA UCET	49	55832	 	ST	71683752
747668	2550	1998-07-08	VYDAJ	PREVOD NA UCET	49	68344	 	ST	71683752
747669	2550	1998-08-08	VYDAJ	PREVOD NA UCET	49	77789	 	ST	71683752
747670	2550	1998-09-08	VYDAJ	PREVOD NA UCET	49	81870	 	ST	71683752
747671	2550	1998-10-08	VYDAJ	PREVOD NA UCET	49	85366	 	ST	71683752
747672	2550	1998-11-08	VYDAJ	PREVOD NA UCET	49	87832	 	ST	71683752
747673	2550	1998-12-08	VYDAJ	PREVOD NA UCET	49	99971	 	ST	71683752
747676	2550	1997-06-08	VYDAJ	VYBER	8320	58940	\N	\N	\N
747677	2550	1998-06-07	VYDAJ	VYBER	28320	55881	\N	\N	\N
747680	2550	1997-01-17	VYDAJ	VYBER	8480	42560	\N	\N	\N
747681	2550	1998-01-22	VYDAJ	VYBER	9760	58026	\N	\N	\N
747683	2550	1996-12-29	VYDAJ	VYBER	3360	56714	\N	\N	\N
747684	2550	1997-12-11	VYDAJ	VYBER KARTOU	2100	78453	\N	\N	0
747685	2550	1998-12-11	VYDAJ	VYBER KARTOU	3700	96271	\N	\N	0
747698	2550	1997-01-16	VYDAJ	VYBER	960	51040	\N	\N	\N
747699	2550	1997-01-23	VYDAJ	VYBER	1920	40640	\N	\N	\N
747700	2550	1997-01-14	VYDAJ	VYBER	840	53483	\N	\N	\N
747701	2550	1997-01-24	VYDAJ	VYBER	1800	38840	\N	\N	\N
747702	2550	1997-01-07	VYDAJ	VYBER	2400	54439	\N	\N	\N
747703	2550	1997-01-16	VYDAJ	VYBER	1080	52000	\N	\N	\N
747704	2550	1998-01-04	VYDAJ	VYBER KARTOU	2800	64104	\N	\N	0
747705	2550	1998-01-26	VYDAJ	VYBER KARTOU	600	55826	\N	\N	0
747706	2550	1998-01-24	VYDAJ	VYBER KARTOU	1600	56426	\N	\N	0
747707	2550	1998-01-03	VYDAJ	VYBER KARTOU	2900	66904	\N	\N	0
747708	2550	1998-01-21	VYDAJ	VYBER KARTOU	600	67786	\N	\N	0
747709	2550	1998-01-07	VYDAJ	VYBER KARTOU	1900	70805	\N	\N	0
747717	2550	1996-08-19	VYDAJ	VYBER	1320	31358	\N	\N	\N
747718	2550	1996-06-15	VYDAJ	VYBER	840	35186	\N	\N	\N
747719	2550	1996-10-18	VYDAJ	VYBER	5640	28619	\N	\N	\N
747720	2550	1996-06-16	VYDAJ	VYBER	4920	30266	\N	\N	\N
747721	2550	1996-04-20	VYDAJ	VYBER	1320	33387	\N	\N	\N
747722	2550	1997-09-05	VYDAJ	VYBER	4440	57240	\N	\N	\N
747723	2550	1997-04-30	VYDAJ	VYBER	3960	46011	\N	\N	\N
747724	2550	1997-06-11	VYDAJ	VYBER	5160	53780	\N	\N	\N
747725	2550	1997-01-24	VYDAJ	VYBER	4320	34520	\N	\N	\N
747726	2550	1997-12-08	VYDAJ	VYBER KARTOU	3100	80602	\N	\N	0
747727	2550	1997-12-26	VYDAJ	VYBER	4080	73903	\N	\N	\N
747728	2550	1997-04-18	VYDAJ	VYBER	5760	49766	\N	\N	\N
747729	2550	1998-10-18	VYDAJ	VYBER	4440	80456	\N	\N	\N
747730	2550	1998-12-06	VYDAJ	VYBER KARTOU	3400	100020	\N	\N	0
747731	2550	1998-03-12	VYDAJ	VYBER	5160	64102	\N	\N	\N
747732	2550	1998-01-21	VYDAJ	VYBER KARTOU	1900	68386	\N	\N	0
747749	2550	1996-04-30	VYDAJ	VYBER	15	33517	SLUZBY	\N	\N
747750	2550	1996-05-31	VYDAJ	VYBER	15	34129	SLUZBY	\N	\N
747751	2550	1996-06-30	VYDAJ	VYBER	15	30393	SLUZBY	\N	\N
747752	2550	1996-07-31	VYDAJ	VYBER	15	32496	SLUZBY	\N	\N
747753	2550	1996-08-31	VYDAJ	VYBER	15	31478	SLUZBY	\N	\N
747754	2550	1996-09-30	VYDAJ	VYBER	15	30877	SLUZBY	\N	\N
747755	2550	1996-10-31	VYDAJ	VYBER	15	28736	SLUZBY	\N	\N
747756	2550	1996-11-30	VYDAJ	VYBER	15	43877	SLUZBY	\N	\N
747757	2550	1996-12-31	VYDAJ	VYBER	15	56938	SLUZBY	\N	\N
747758	2550	1997-01-31	VYDAJ	VYBER	15	34702	SLUZBY	\N	\N
747759	2550	1997-02-28	VYDAJ	VYBER	15	45651	SLUZBY	\N	\N
747760	2550	1997-03-31	VYDAJ	VYBER	15	55944	SLUZBY	\N	\N
747761	2550	1997-04-30	VYDAJ	VYBER	15	49971	SLUZBY	\N	\N
747762	2550	1997-05-31	VYDAJ	VYBER	15	52393	SLUZBY	\N	\N
747763	2550	1997-06-30	VYDAJ	VYBER	15	53521	SLUZBY	\N	\N
747764	2550	1997-07-31	VYDAJ	VYBER	15	61538	SLUZBY	\N	\N
747765	2550	1997-08-31	VYDAJ	VYBER	15	67380	SLUZBY	\N	\N
747766	2550	1997-09-30	VYDAJ	VYBER	15	65579	SLUZBY	\N	\N
747767	2550	1997-10-31	VYDAJ	VYBER	15	63726	SLUZBY	\N	\N
747768	2550	1997-11-30	VYDAJ	VYBER	15	72086	SLUZBY	\N	\N
747769	2550	1997-12-31	VYDAJ	VYBER	15	69804	SLUZBY	\N	\N
747770	2550	1998-01-31	VYDAJ	VYBER	15	55882	SLUZBY	\N	\N
747771	2550	1998-02-28	VYDAJ	VYBER	15	64210	SLUZBY	\N	\N
747772	2550	1998-03-31	VYDAJ	VYBER	15	59686	SLUZBY	\N	\N
747773	2550	1998-04-30	VYDAJ	VYBER	15	63228	SLUZBY	\N	\N
747774	2550	1998-05-31	VYDAJ	VYBER	15	67885	SLUZBY	\N	\N
747775	2550	1998-06-30	VYDAJ	VYBER	15	59792	SLUZBY	\N	\N
747776	2550	1998-07-31	VYDAJ	VYBER	15	69237	SLUZBY	\N	\N
747777	2550	1998-08-31	VYDAJ	VYBER	15	73318	SLUZBY	\N	\N
747778	2550	1998-09-30	VYDAJ	VYBER	15	76814	SLUZBY	\N	\N
747779	2550	1998-10-31	VYDAJ	VYBER	15	79280	SLUZBY	\N	\N
747780	2550	1998-11-30	VYDAJ	VYBER	15	87104	SLUZBY	\N	\N
747781	2550	1995-12-11	PRIJEM	VKLAD	1200	25044	\N	\N	\N
747782	2550	1996-01-10	VYDAJ	VYBER	9800	30744	\N	\N	\N
747783	2550	1996-02-09	VYDAJ	VYBER	13800	32494	\N	\N	\N
747784	2550	1996-03-10	VYDAJ	VYBER	13800	34256	\N	\N	\N
747785	2550	1996-04-09	VYDAJ	VYBER	14600	35177	\N	\N	\N
747786	2550	1996-05-09	VYDAJ	VYBER	7600	34469	\N	\N	\N
747787	2550	1996-06-08	VYDAJ	VYBER	13900	36545	\N	\N	\N
747788	2550	1996-07-08	VYDAJ	VYBER	6100	32894	\N	\N	\N
747789	2550	1996-08-07	VYDAJ	VYBER	7900	33197	\N	\N	\N
747790	2550	1996-09-06	VYDAJ	VYBER	8800	31279	\N	\N	\N
747791	2550	1996-10-06	VYDAJ	VYBER	4700	34778	\N	\N	\N
747792	2550	1996-11-05	PRIJEM	VKLAD	6900	35636	\N	\N	\N
747793	2550	1996-12-05	PRIJEM	VKLAD	400	44277	\N	\N	\N
747794	2550	1997-01-04	VYDAJ	VYBER	8700	48238	\N	\N	\N
747795	2550	1997-02-03	PRIJEM	VKLAD	2700	37402	\N	\N	\N
747796	2550	1997-03-05	PRIJEM	VKLAD	2000	47651	\N	\N	\N
747797	2550	1997-04-04	VYDAJ	VYBER	8500	47444	\N	\N	\N
747798	2550	1997-05-04	VYDAJ	VYBER	1900	44111	\N	\N	\N
747799	2550	1997-06-03	VYDAJ	VYBER	1400	50993	\N	\N	\N
747800	2550	1997-07-03	VYDAJ	VYBER	300	53221	\N	\N	\N
747801	2550	1997-08-02	VYDAJ	VYBER KARTOU	2500	59038	\N	\N	0
747802	2550	1997-09-01	VYDAJ	VYBER	5700	61680	\N	\N	\N
747803	2550	1997-10-01	VYDAJ	VYBER	5700	59879	\N	\N	\N
747804	2550	1997-10-31	VYDAJ	VYBER	4500	63740	\N	\N	\N
747805	2550	1997-11-30	VYDAJ	VYBER	4700	67386	\N	\N	\N
747806	2550	1997-12-30	VYDAJ	VYBER	4400	69503	\N	\N	\N
747807	2550	1998-01-29	VYDAJ	VYBER KARTOU	200	55626	\N	\N	0
747808	2550	1998-02-28	VYDAJ	VYBER KARTOU	3500	60710	\N	\N	0
747809	2550	1998-03-30	VYDAJ	VYBER	4200	59432	\N	\N	\N
747810	2550	1998-04-29	VYDAJ	VYBER	4800	62968	\N	\N	\N
747811	2550	1998-05-29	VYDAJ	VYBER KARTOU	3700	67610	\N	\N	0
747812	2550	1998-06-28	PRIJEM	VKLAD	4200	59562	\N	\N	\N
747813	2550	1998-07-28	PRIJEM	VKLAD	1100	68974	\N	\N	\N
747814	2550	1998-08-27	VYDAJ	VYBER	4300	73019	\N	\N	\N
747815	2550	1998-09-26	VYDAJ	VYBER	4900	76500	\N	\N	\N
747816	2550	1998-10-26	VYDAJ	VYBER KARTOU	1500	78956	\N	\N	0
747817	2550	1998-11-25	VYDAJ	VYBER KARTOU	600	86762	\N	\N	0
747855	2551	1996-02-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
747856	2551	1996-04-29	PRIJEM	VKLAD	22910	80204	\N	\N	\N
747857	2551	1996-09-29	PRIJEM	VKLAD	48110	62511	\N	\N	\N
747858	2551	1996-03-12	PRIJEM	VKLAD	28605	56937	\N	\N	\N
747859	2551	1996-10-03	PRIJEM	VKLAD	43838	88186	\N	\N	\N
747860	2551	1996-02-08	PRIJEM	VKLAD	30432	31532	\N	\N	\N
747861	2551	1996-04-15	PRIJEM	VKLAD	17758	57294	\N	\N	\N
747862	2551	1996-11-22	PRIJEM	VKLAD	43059	53564	\N	\N	\N
747863	2551	1996-06-22	PRIJEM	VKLAD	17521	35410	\N	\N	\N
747864	2551	1996-05-28	PRIJEM	VKLAD	5967	58416	\N	\N	\N
747865	2551	1996-07-26	PRIJEM	VKLAD	44063	52855	\N	\N	\N
747866	2551	1997-12-26	PRIJEM	VKLAD	28432	44104	\N	\N	\N
747867	2551	1997-07-17	PRIJEM	VKLAD	8280	10516	\N	\N	\N
747868	2551	1997-09-10	PRIJEM	VKLAD	23181	59578	\N	\N	\N
747869	2551	1997-01-18	PRIJEM	VKLAD	11233	16601	\N	\N	\N
747870	2551	1997-08-11	PRIJEM	VKLAD	6632	14011	\N	\N	\N
747871	2551	1997-09-02	PRIJEM	VKLAD	14101	61316	\N	\N	\N
747872	2551	1997-08-20	PRIJEM	VKLAD	48726	62737	\N	\N	\N
747873	2551	1997-08-20	PRIJEM	VKLAD	44484	107221	\N	\N	\N
747874	2551	1997-11-24	PRIJEM	VKLAD	20992	27656	\N	\N	\N
747875	2551	1997-03-19	PRIJEM	VKLAD	9264	10791	\N	\N	\N
747876	2551	1997-12-15	PRIJEM	VKLAD	13499	15672	\N	\N	\N
747877	2551	1997-07-19	PRIJEM	VKLAD	27185	37701	\N	\N	\N
747878	2551	1998-01-22	PRIJEM	VKLAD	16410	38148	\N	\N	\N
747879	2551	1998-11-01	PRIJEM	VKLAD	38335	99742	\N	\N	\N
747880	2551	1998-01-08	PRIJEM	VKLAD	41647	68409	\N	\N	\N
747881	2551	1998-10-29	PRIJEM	VKLAD	12885	13848	\N	\N	\N
747882	2551	1998-12-25	PRIJEM	VKLAD	14421	30938	\N	\N	\N
747883	2551	1998-11-25	PRIJEM	VKLAD	9221	47389	\N	\N	\N
747884	2551	1998-04-29	PRIJEM	VKLAD	38765	83516	\N	\N	\N
747885	2551	1998-01-28	PRIJEM	VKLAD	24256	98382	\N	\N	\N
747886	2551	1998-10-31	PRIJEM	VKLAD	47544	61422	\N	\N	\N
747887	2551	1998-01-26	PRIJEM	VKLAD	44405	122426	\N	\N	\N
747888	2551	1998-08-06	PRIJEM	VKLAD	14097	59957	\N	\N	\N
747889	2551	1998-04-26	PRIJEM	VKLAD	15341	75751	\N	\N	\N
747890	2551	1998-02-24	PRIJEM	VKLAD	40128	105658	\N	\N	\N
747891	2551	1998-03-27	PRIJEM	VKLAD	48020	63230	\N	\N	\N
747892	2551	1998-11-08	PRIJEM	VKLAD	49845	149587	\N	\N	\N
747893	2551	1998-09-24	PRIJEM	VKLAD	5938	20918	\N	\N	\N
747894	2551	1998-07-22	PRIJEM	VKLAD	35350	91046	\N	\N	\N
747895	2551	1998-12-26	PRIJEM	VKLAD	48653	79591	\N	\N	\N
747896	2551	1998-06-14	PRIJEM	VKLAD	43284	67305	\N	\N	\N
747897	2551	1998-06-14	PRIJEM	VKLAD	16548	24021	\N	\N	\N
747898	2551	1998-04-03	PRIJEM	VKLAD	37713	74829	\N	\N	\N
747899	2551	1998-02-16	PRIJEM	VKLAD	41844	65530	\N	\N	\N
747900	2551	1998-07-24	PRIJEM	VKLAD	44272	135318	\N	\N	\N
747901	2551	1998-01-25	PRIJEM	VKLAD	45873	84021	\N	\N	\N
747902	2551	1998-07-08	PRIJEM	VKLAD	35551	70115	\N	\N	\N
747944	2551	1996-06-09	VYDAJ	PREVOD NA UCET	11601	17889	SIPO	WX	58459019
747945	2551	1996-07-09	VYDAJ	PREVOD NA UCET	11601	8792	SIPO	WX	58459019
747946	2551	1996-08-09	VYDAJ	PREVOD NA UCET	11601	24405	SIPO	WX	58459019
747947	2551	1996-09-09	VYDAJ	PREVOD NA UCET	11601	14401	SIPO	WX	58459019
747948	2551	1996-10-09	VYDAJ	PREVOD NA UCET	11601	28281	SIPO	WX	58459019
747949	2551	1996-11-09	VYDAJ	PREVOD NA UCET	11601	10505	SIPO	WX	58459019
747950	2551	1996-12-09	VYDAJ	PREVOD NA UCET	11601	17306	SIPO	WX	58459019
747951	2551	1997-01-09	VYDAJ	PREVOD NA UCET	11601	5368	SIPO	WX	58459019
747952	2551	1997-02-09	VYDAJ	PREVOD NA UCET	11601	5824	SIPO	WX	58459019
747953	2551	1997-03-09	VYDAJ	PREVOD NA UCET	11601	1527	SIPO	WX	58459019
747954	2551	1997-04-09	VYDAJ	PREVOD NA UCET	11601	4185	SIPO	WX	58459019
747955	2551	1997-05-09	VYDAJ	PREVOD NA UCET	11601	1477	SIPO	WX	58459019
747956	2551	1997-06-09	VYDAJ	PREVOD NA UCET	11601	4253	SIPO	WX	58459019
747957	2551	1997-07-09	VYDAJ	PREVOD NA UCET	11601	2236	SIPO	WX	58459019
747958	2551	1997-08-09	VYDAJ	PREVOD NA UCET	11601	7379	SIPO	WX	58459019
747959	2551	1997-09-09	VYDAJ	PREVOD NA UCET	11601	36397	SIPO	WX	58459019
747960	2551	1997-10-09	VYDAJ	PREVOD NA UCET	11601	26474	SIPO	WX	58459019
747961	2551	1997-11-09	VYDAJ	PREVOD NA UCET	11601	6664	SIPO	WX	58459019
747962	2551	1997-12-09	VYDAJ	PREVOD NA UCET	11601	2173	SIPO	WX	58459019
747963	2551	1998-01-09	VYDAJ	PREVOD NA UCET	11601	33738	SIPO	WX	58459019
747964	2551	1998-02-09	VYDAJ	PREVOD NA UCET	11601	23686	SIPO	WX	58459019
747965	2551	1998-03-09	VYDAJ	PREVOD NA UCET	11601	15210	SIPO	WX	58459019
747966	2551	1998-04-09	VYDAJ	PREVOD NA UCET	11601	60410	SIPO	WX	58459019
747967	2551	1998-05-09	VYDAJ	PREVOD NA UCET	11601	69320	SIPO	WX	58459019
747968	2551	1998-06-09	VYDAJ	PREVOD NA UCET	11601	7473	SIPO	WX	58459019
747969	2551	1998-07-09	VYDAJ	PREVOD NA UCET	11601	55696	SIPO	WX	58459019
747970	2551	1998-08-09	VYDAJ	PREVOD NA UCET	11601	45538	SIPO	WX	58459019
747971	2551	1998-09-09	VYDAJ	PREVOD NA UCET	11601	14980	SIPO	WX	58459019
747972	2551	1998-10-09	VYDAJ	PREVOD NA UCET	11601	963	SIPO	WX	58459019
747973	2551	1998-11-09	VYDAJ	PREVOD NA UCET	11601	70668	SIPO	WX	58459019
747974	2551	1998-12-09	VYDAJ	PREVOD NA UCET	11601	30817	SIPO	WX	58459019
747980	2551	1996-06-08	VYDAJ	PREVOD NA UCET	2818	29490	 	WX	38843870
747981	2551	1996-07-08	VYDAJ	PREVOD NA UCET	2818	20393	 	WX	38843870
747982	2551	1996-08-08	VYDAJ	PREVOD NA UCET	2818	36006	 	WX	38843870
747983	2551	1996-09-08	VYDAJ	PREVOD NA UCET	2818	26002	 	WX	38843870
747984	2551	1996-10-08	VYDAJ	PREVOD NA UCET	2818	53168	 	WX	38843870
747985	2551	1996-11-08	VYDAJ	PREVOD NA UCET	2818	22106	 	WX	38843870
747986	2551	1996-12-08	VYDAJ	PREVOD NA UCET	2818	28907	 	WX	38843870
747987	2551	1997-01-08	VYDAJ	PREVOD NA UCET	2818	16969	 	WX	38843870
747988	2551	1997-02-08	VYDAJ	PREVOD NA UCET	2818	17425	 	WX	38843870
747989	2551	1997-03-08	VYDAJ	PREVOD NA UCET	2818	13128	 	WX	38843870
747990	2551	1997-04-08	VYDAJ	PREVOD NA UCET	2818	15786	 	WX	38843870
747991	2551	1997-05-08	VYDAJ	PREVOD NA UCET	2818	13078	 	WX	38843870
747992	2551	1997-06-08	VYDAJ	PREVOD NA UCET	2818	15854	 	WX	38843870
747993	2551	1997-07-08	VYDAJ	PREVOD NA UCET	2818	13837	 	WX	38843870
747994	2551	1997-08-08	VYDAJ	PREVOD NA UCET	2818	18980	 	WX	38843870
747995	2551	1997-09-08	VYDAJ	PREVOD NA UCET	2818	47998	 	WX	38843870
747996	2551	1997-10-08	VYDAJ	PREVOD NA UCET	2818	38075	 	WX	38843870
747997	2551	1997-11-08	VYDAJ	PREVOD NA UCET	2818	18265	 	WX	38843870
747998	2551	1997-12-08	VYDAJ	PREVOD NA UCET	2818	13774	 	WX	38843870
747999	2551	1998-01-08	VYDAJ	PREVOD NA UCET	2818	65591	 	WX	38843870
748000	2551	1998-02-08	VYDAJ	PREVOD NA UCET	2818	35287	 	WX	38843870
748001	2551	1998-03-08	VYDAJ	PREVOD NA UCET	2818	26811	 	WX	38843870
748002	2551	1998-04-08	VYDAJ	PREVOD NA UCET	2818	72011	 	WX	38843870
748003	2551	1998-05-08	VYDAJ	PREVOD NA UCET	2818	80921	 	WX	38843870
748004	2551	1998-06-08	VYDAJ	PREVOD NA UCET	2818	19074	 	WX	38843870
748005	2551	1998-07-08	VYDAJ	PREVOD NA UCET	2818	67297	 	WX	38843870
748006	2551	1998-08-08	VYDAJ	PREVOD NA UCET	2818	57139	 	WX	38843870
748007	2551	1998-09-08	VYDAJ	PREVOD NA UCET	2818	26581	 	WX	38843870
748008	2551	1998-10-08	VYDAJ	PREVOD NA UCET	2818	12564	 	WX	38843870
748009	2551	1998-11-08	VYDAJ	PREVOD NA UCET	2818	146769	 	WX	38843870
748010	2551	1998-12-08	VYDAJ	PREVOD NA UCET	2818	42418	 	WX	38843870
748011	2551	1996-06-04	VYBER	VYBER	9016	38608	\N	\N	\N
748017	2551	1996-10-02	VYBER	VYBER	18234	44348	\N	\N	\N
748018	2551	1996-12-04	VYBER	VYBER	16241	37425	\N	\N	\N
748019	2551	1996-10-09	VYBER	VYBER	13286	39882	\N	\N	\N
748022	2551	1997-11-27	VYBER	VYBER	6308	21348	\N	\N	\N
748024	2551	1997-08-01	VYBER	VYBER	11565	26198	\N	\N	\N
748030	2551	1998-01-09	VYBER	VYBER	20252	45339	\N	\N	\N
748032	2551	1998-05-28	VYBER	VYBER	16806	52514	\N	\N	\N
748033	2551	1998-02-07	VYBER	VYBER	8512	38105	\N	\N	\N
748039	2551	1998-01-09	VYDAJ	VYBER	12000	21738	\N	\N	\N
748042	2551	1998-12-01	VYDAJ	VYBER	2400	45236	\N	\N	\N
748055	2551	1998-01-01	VYDAJ	VYBER	4500	26762	\N	\N	\N
748056	2551	1998-01-25	VYDAJ	VYBER	6000	78021	\N	\N	\N
748057	2551	1998-01-27	VYDAJ	VYBER	6900	74126	\N	\N	\N
748060	2551	1998-01-29	VYDAJ	VYBER	6000	46482	\N	\N	\N
748061	2551	1996-06-01	VYDAJ	VYBER	11100	47624	\N	\N	\N
748064	2551	1996-06-26	VYDAJ	VYBER	9300	26110	\N	\N	\N
748068	2551	1996-06-28	VYDAJ	VYBER	7200	18910	\N	\N	\N
748069	2551	1997-08-04	VYDAJ	VYBER	2100	21798	\N	\N	\N
748071	2551	1997-09-06	VYDAJ	VYBER	10500	50816	\N	\N	\N
748072	2551	1998-06-17	VYDAJ	VYBER	3900	63405	\N	\N	\N
748073	2551	1998-06-07	VYDAJ	VYBER	12300	21892	\N	\N	\N
748075	2551	1998-08-15	VYDAJ	VYBER	1500	44038	\N	\N	\N
748076	2551	1998-07-06	VYDAJ	VYBER	9000	34564	\N	\N	\N
748082	2551	1996-05-31	VYDAJ	VYBER	15	58724	SLUZBY	\N	\N
748083	2551	1996-06-30	VYDAJ	VYBER	15	19011	SLUZBY	\N	\N
748084	2551	1996-07-31	VYDAJ	VYBER	15	52924	SLUZBY	\N	\N
748085	2551	1996-08-31	VYDAJ	VYBER	15	24520	SLUZBY	\N	\N
748086	2551	1996-09-30	VYDAJ	VYBER	15	62582	SLUZBY	\N	\N
748087	2551	1996-10-31	VYDAJ	VYBER	15	28424	SLUZBY	\N	\N
748088	2551	1996-11-30	VYDAJ	VYBER	15	53666	SLUZBY	\N	\N
748089	2551	1996-12-31	VYDAJ	VYBER	15	17387	SLUZBY	\N	\N
748090	2551	1997-01-31	VYDAJ	VYBER	15	16643	SLUZBY	\N	\N
748091	2551	1997-02-28	VYDAJ	VYBER	15	5846	SLUZBY	\N	\N
748092	2551	1997-03-31	VYDAJ	VYBER	15	10804	SLUZBY	\N	\N
748093	2551	1997-04-30	VYDAJ	VYBER	15	4196	SLUZBY	\N	\N
748094	2551	1997-05-31	VYDAJ	VYBER	15	1472	SLUZBY	\N	\N
748095	2551	1997-06-30	VYDAJ	VYBER	15	4255	SLUZBY	\N	\N
748096	2551	1997-07-31	VYDAJ	VYBER	15	37763	SLUZBY	\N	\N
748097	2551	1997-08-31	VYDAJ	VYBER	15	107415	SLUZBY	\N	\N
748098	2551	1997-09-30	VYDAJ	VYBER	15	40893	SLUZBY	\N	\N
748099	2551	1997-10-31	VYDAJ	VYBER	15	21083	SLUZBY	\N	\N
748100	2551	1997-11-30	VYDAJ	VYBER	15	16592	SLUZBY	\N	\N
748101	2551	1997-12-31	VYDAJ	VYBER	15	31262	SLUZBY	\N	\N
748102	2551	1998-01-31	VYDAJ	VYBER	15	46617	SLUZBY	\N	\N
748103	2551	1998-02-28	VYDAJ	VYBER	15	29629	SLUZBY	\N	\N
748104	2551	1998-03-31	VYDAJ	VYBER	15	37116	SLUZBY	\N	\N
748105	2551	1998-04-30	VYDAJ	VYBER	15	83739	SLUZBY	\N	\N
748106	2551	1998-05-31	VYDAJ	VYBER	15	34192	SLUZBY	\N	\N
748107	2551	1998-06-30	VYDAJ	VYBER	15	43564	SLUZBY	\N	\N
748108	2551	1998-07-31	VYDAJ	VYBER	15	45860	SLUZBY	\N	\N
748109	2551	1998-08-31	VYDAJ	VYBER	15	29399	SLUZBY	\N	\N
748110	2551	1998-09-30	VYDAJ	VYBER	15	15382	SLUZBY	\N	\N
748111	2551	1998-10-31	VYDAJ	VYBER	15	61407	SLUZBY	\N	\N
748112	2551	1998-11-30	VYDAJ	VYBER	15	47636	SLUZBY	\N	\N
748113	2551	1996-03-09	VYDAJ	VYBER	3300	28332	\N	\N	\N
748114	2551	1996-04-08	VYDAJ	VYBER	17600	39536	\N	\N	\N
748115	2551	1996-05-08	VYDAJ	VYBER	28000	52449	\N	\N	\N
748116	2551	1996-06-07	VYDAJ	VYBER	6300	32308	\N	\N	\N
748117	2551	1996-07-07	PRIJEM	VKLAD	4200	23211	\N	\N	\N
748118	2551	1996-08-06	VYDAJ	VYBER	14100	38824	\N	\N	\N
748119	2551	1996-09-05	PRIJEM	VKLAD	4300	28820	\N	\N	\N
748120	2551	1996-10-05	VYDAJ	VYBER	32200	55986	\N	\N	\N
748121	2551	1996-11-04	VYDAJ	VYBER	3500	24924	\N	\N	\N
748122	2551	1996-12-04	VYDAJ	VYBER	5700	31725	\N	\N	\N
748123	2551	1997-01-03	PRIJEM	VKLAD	2400	19787	\N	\N	\N
748124	2551	1997-02-02	PRIJEM	VKLAD	3600	20243	\N	\N	\N
748125	2551	1997-03-04	PRIJEM	VKLAD	10100	15946	\N	\N	\N
748126	2551	1997-04-03	PRIJEM	VKLAD	7800	18604	\N	\N	\N
748127	2551	1997-05-03	PRIJEM	VKLAD	11700	15896	\N	\N	\N
748128	2551	1997-06-02	PRIJEM	VKLAD	17200	18672	\N	\N	\N
748129	2551	1997-07-02	PRIJEM	VKLAD	12400	16655	\N	\N	\N
748130	2551	1997-08-01	VYDAJ	VYBER	2300	23898	\N	\N	\N
748131	2551	1997-08-31	VYDAJ	VYBER	33800	47215	\N	\N	\N
748132	2551	1997-08-31	VYDAJ	VYBER	26400	81015	\N	\N	\N
748133	2551	1997-09-30	VYDAJ	VYBER	18900	40907	\N	\N	\N
748134	2551	1997-10-30	VYDAJ	VYBER	5500	20974	\N	\N	\N
748135	2551	1997-11-29	VYDAJ	VYBER	4800	16548	\N	\N	\N
748136	2551	1997-12-29	VYDAJ	VYBER	12900	31204	\N	\N	\N
748137	2551	1998-01-26	VYDAJ	VYBER	41400	81026	\N	\N	\N
748138	2551	1998-01-28	VYDAJ	VYBER	45900	52482	\N	\N	\N
748139	2551	1998-02-24	VYDAJ	VYBER	58500	47158	\N	\N	\N
748140	2551	1998-02-27	VYDAJ	VYBER	17700	29458	\N	\N	\N
748141	2551	1998-03-29	VYDAJ	VYBER	26200	37030	\N	\N	\N
748142	2551	1998-04-28	VYDAJ	VYBER	31000	44751	\N	\N	\N
748143	2551	1998-05-28	VYDAJ	VYBER	18600	33914	\N	\N	\N
748144	2551	1998-06-27	VYDAJ	VYBER	20000	43405	\N	\N	\N
748145	2551	1998-07-24	VYDAJ	VYBER	61100	74218	\N	\N	\N
748146	2551	1998-07-27	VYDAJ	VYBER	28600	45618	\N	\N	\N
748147	2551	1998-08-26	VYDAJ	VYBER	14800	29238	\N	\N	\N
748148	2551	1998-09-25	VYDAJ	VYBER	5600	15318	\N	\N	\N
748149	2551	1998-11-08	VYDAJ	VYBER	64500	82269	\N	\N	\N
748150	2551	1998-11-24	VYDAJ	VYBER	32500	38168	\N	\N	\N
748151	2551	1998-12-24	VYDAJ	VYBER	14300	16517	\N	\N	\N
748192	2552	1993-07-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
748199	2552	1993-07-07	PRIJEM	VKLAD	17980	18980	\N	\N	\N
748200	2552	1993-08-07	PRIJEM	VKLAD	17980	37424	\N	\N	\N
748201	2552	1993-09-07	PRIJEM	VKLAD	17980	50788	\N	\N	\N
748202	2552	1993-10-07	PRIJEM	VKLAD	17980	57607	\N	\N	\N
748203	2552	1993-11-07	PRIJEM	VKLAD	17980	58552	\N	\N	\N
748204	2552	1993-12-07	PRIJEM	VKLAD	26970	64662	\N	\N	\N
748205	2552	1994-01-07	PRIJEM	VKLAD	17980	54999	\N	\N	\N
748206	2552	1994-02-07	PRIJEM	VKLAD	17980	43675	\N	\N	\N
748207	2552	1994-03-07	PRIJEM	VKLAD	17980	47935	\N	\N	\N
748208	2552	1994-04-07	PRIJEM	VKLAD	17980	52618	\N	\N	\N
748209	2552	1994-05-07	PRIJEM	VKLAD	17980	55318	\N	\N	\N
748210	2552	1994-06-07	PRIJEM	VKLAD	26970	62316	\N	\N	\N
748211	2552	1994-07-07	PRIJEM	VKLAD	17980	46794	\N	\N	\N
748212	2552	1994-08-07	PRIJEM	VKLAD	17980	51570	\N	\N	\N
748213	2552	1994-09-07	PRIJEM	VKLAD	17980	50661	\N	\N	\N
748214	2552	1994-10-07	PRIJEM	VKLAD	17980	44828	\N	\N	\N
748215	2552	1994-11-07	PRIJEM	VKLAD	17980	48493	\N	\N	\N
748216	2552	1994-12-07	PRIJEM	VKLAD	26970	57859	\N	\N	\N
748217	2552	1995-01-07	PRIJEM	VKLAD	17980	50557	\N	\N	\N
748218	2552	1995-02-07	PRIJEM	VKLAD	17980	46433	\N	\N	\N
748219	2552	1995-03-07	PRIJEM	VKLAD	17980	48801	\N	\N	\N
748220	2552	1995-04-07	PRIJEM	VKLAD	17980	48370	\N	\N	\N
748221	2552	1995-05-07	PRIJEM	VKLAD	17980	52649	\N	\N	\N
748222	2552	1995-06-07	PRIJEM	VKLAD	26970	41235	\N	\N	\N
748223	2552	1995-07-07	PRIJEM	VKLAD	17980	49312	\N	\N	\N
748224	2552	1995-08-07	PRIJEM	VKLAD	17980	54605	\N	\N	\N
748225	2552	1995-09-07	PRIJEM	VKLAD	17980	57304	\N	\N	\N
748226	2552	1995-10-07	PRIJEM	VKLAD	17980	55106	\N	\N	\N
748227	2552	1995-11-07	PRIJEM	VKLAD	17980	56204	\N	\N	\N
748228	2552	1995-12-07	PRIJEM	VKLAD	26970	64992	\N	\N	\N
748229	2552	1996-01-07	PRIJEM	VKLAD	17980	56511	\N	\N	\N
748230	2552	1996-02-07	PRIJEM	VKLAD	17980	49915	\N	\N	\N
748231	2552	1996-03-07	PRIJEM	VKLAD	17980	55997	\N	\N	\N
748232	2552	1996-04-07	PRIJEM	VKLAD	17980	56892	\N	\N	\N
748233	2552	1996-05-07	PRIJEM	VKLAD	17980	53488	\N	\N	\N
748234	2552	1996-06-07	PRIJEM	VKLAD	26970	65970	\N	\N	\N
748235	2552	1996-07-07	PRIJEM	VKLAD	17980	54876	\N	\N	\N
748236	2552	1996-08-07	PRIJEM	VKLAD	17980	53462	\N	\N	\N
748237	2552	1996-09-07	PRIJEM	VKLAD	17980	53543	\N	\N	\N
748238	2552	1996-10-07	PRIJEM	VKLAD	17980	56129	\N	\N	\N
748239	2552	1996-11-07	PRIJEM	VKLAD	17980	54013	\N	\N	\N
748240	2552	1996-12-07	PRIJEM	VKLAD	26970	55569	\N	\N	\N
748241	2552	1997-01-07	PRIJEM	VKLAD	17980	48934	\N	\N	\N
748242	2552	1997-02-07	PRIJEM	VKLAD	17980	34796	\N	\N	\N
748243	2552	1997-03-07	PRIJEM	VKLAD	17980	38008	\N	\N	\N
748244	2552	1997-04-07	PRIJEM	VKLAD	17980	43541	\N	\N	\N
748245	2552	1997-05-07	PRIJEM	VKLAD	17980	49705	\N	\N	\N
748246	2552	1997-06-07	PRIJEM	VKLAD	26970	62484	\N	\N	\N
748247	2552	1997-07-07	PRIJEM	VKLAD	17980	49463	\N	\N	\N
748248	2552	1997-08-07	PRIJEM	VKLAD	17980	49222	\N	\N	\N
748249	2552	1997-09-07	PRIJEM	VKLAD	17980	50886	\N	\N	\N
748250	2552	1997-10-07	PRIJEM	VKLAD	17980	50150	\N	\N	\N
748251	2552	1997-11-07	PRIJEM	VKLAD	17980	50620	\N	\N	\N
748252	2552	1997-12-07	PRIJEM	VKLAD	26970	63594	\N	\N	\N
748253	2552	1998-01-07	PRIJEM	VKLAD	17980	51203	\N	\N	\N
748254	2552	1998-02-07	PRIJEM	VKLAD	17980	47691	\N	\N	\N
748255	2552	1998-03-07	PRIJEM	VKLAD	17980	58785	\N	\N	\N
748256	2552	1998-04-07	PRIJEM	VKLAD	17980	51971	\N	\N	\N
748257	2552	1998-05-07	PRIJEM	VKLAD	17980	54780	\N	\N	\N
748258	2552	1998-06-07	PRIJEM	VKLAD	26970	71193	\N	\N	\N
748259	2552	1998-07-07	PRIJEM	VKLAD	17980	59863	\N	\N	\N
748260	2552	1998-08-07	PRIJEM	VKLAD	17980	60313	\N	\N	\N
748261	2552	1998-09-07	PRIJEM	VKLAD	17980	62560	\N	\N	\N
748262	2552	1998-10-07	PRIJEM	VKLAD	17980	67517	\N	\N	\N
748263	2552	1998-11-07	PRIJEM	VKLAD	17980	69795	\N	\N	\N
748264	2552	1998-12-07	PRIJEM	VKLAD	26970	83474	\N	\N	\N
748275	2552	1993-11-11	VYDAJ	PREVOD NA UCET	7035	51517	SIPO	GH	17411059
748276	2552	1993-12-11	VYDAJ	PREVOD NA UCET	7035	54027	SIPO	GH	17411059
748277	2552	1994-01-11	VYDAJ	PREVOD NA UCET	7035	33164	SIPO	GH	17411059
748278	2552	1994-02-11	VYDAJ	PREVOD NA UCET	7035	36640	SIPO	GH	17411059
748279	2552	1994-03-11	VYDAJ	PREVOD NA UCET	7035	40900	SIPO	GH	17411059
748280	2552	1994-04-11	VYDAJ	PREVOD NA UCET	7035	45583	SIPO	GH	17411059
748281	2552	1994-05-11	VYDAJ	PREVOD NA UCET	7035	48283	SIPO	GH	17411059
748282	2552	1994-06-11	VYDAJ	PREVOD NA UCET	7035	55281	SIPO	GH	17411059
748283	2552	1994-07-11	VYDAJ	PREVOD NA UCET	7035	39759	SIPO	GH	17411059
748284	2552	1994-08-11	VYDAJ	PREVOD NA UCET	7035	44535	SIPO	GH	17411059
748285	2552	1994-09-11	VYDAJ	PREVOD NA UCET	7035	40026	SIPO	GH	17411059
748286	2552	1994-10-11	VYDAJ	PREVOD NA UCET	7035	37793	SIPO	GH	17411059
748287	2552	1994-11-11	VYDAJ	PREVOD NA UCET	7035	41458	SIPO	GH	17411059
748288	2552	1994-12-11	VYDAJ	PREVOD NA UCET	7035	50824	SIPO	GH	17411059
748289	2552	1995-01-11	VYDAJ	PREVOD NA UCET	7035	37222	SIPO	GH	17411059
748290	2552	1995-02-11	VYDAJ	PREVOD NA UCET	7035	39398	SIPO	GH	17411059
748291	2552	1995-03-11	VYDAJ	PREVOD NA UCET	7035	41766	SIPO	GH	17411059
748292	2552	1995-04-11	VYDAJ	PREVOD NA UCET	7035	41335	SIPO	GH	17411059
748293	2552	1995-05-11	VYDAJ	PREVOD NA UCET	7035	45614	SIPO	GH	17411059
748294	2552	1995-06-11	VYDAJ	PREVOD NA UCET	7035	34200	SIPO	GH	17411059
748295	2552	1995-07-11	VYDAJ	PREVOD NA UCET	7035	42277	SIPO	GH	17411059
748296	2552	1995-08-11	VYDAJ	PREVOD NA UCET	7035	47570	SIPO	GH	17411059
748297	2552	1995-09-11	VYDAJ	PREVOD NA UCET	7035	50269	SIPO	GH	17411059
748298	2552	1995-10-11	VYDAJ	PREVOD NA UCET	7035	48071	SIPO	GH	17411059
748299	2552	1995-11-11	VYDAJ	PREVOD NA UCET	7035	49169	SIPO	GH	17411059
748300	2552	1995-12-11	VYDAJ	PREVOD NA UCET	7035	57957	SIPO	GH	17411059
748301	2552	1996-01-11	VYDAJ	PREVOD NA UCET	7035	46976	SIPO	GH	17411059
748302	2552	1996-02-11	VYDAJ	PREVOD NA UCET	7035	42880	SIPO	GH	17411059
748303	2552	1996-03-11	VYDAJ	PREVOD NA UCET	7035	48962	SIPO	GH	17411059
748304	2552	1996-04-11	VYDAJ	PREVOD NA UCET	7035	49857	SIPO	GH	17411059
748305	2552	1996-05-11	VYDAJ	PREVOD NA UCET	7035	46453	SIPO	GH	17411059
748306	2552	1996-06-11	VYDAJ	PREVOD NA UCET	7035	53035	SIPO	GH	17411059
748307	2552	1996-07-11	VYDAJ	PREVOD NA UCET	7035	47841	SIPO	GH	17411059
748308	2552	1996-08-11	VYDAJ	PREVOD NA UCET	7035	46427	SIPO	GH	17411059
748309	2552	1996-09-11	VYDAJ	PREVOD NA UCET	7035	46508	SIPO	GH	17411059
748310	2552	1996-10-11	VYDAJ	PREVOD NA UCET	7035	49094	SIPO	GH	17411059
748311	2552	1996-11-11	VYDAJ	PREVOD NA UCET	7035	46978	SIPO	GH	17411059
748312	2552	1996-12-11	VYDAJ	PREVOD NA UCET	7035	48534	SIPO	GH	17411059
748313	2552	1997-01-11	VYDAJ	PREVOD NA UCET	7035	41899	SIPO	GH	17411059
748314	2552	1997-02-11	VYDAJ	PREVOD NA UCET	7035	19961	SIPO	GH	17411059
748315	2552	1997-03-11	VYDAJ	PREVOD NA UCET	7035	30973	SIPO	GH	17411059
748316	2552	1997-04-11	VYDAJ	PREVOD NA UCET	7035	36506	SIPO	GH	17411059
748317	2552	1997-05-11	VYDAJ	PREVOD NA UCET	7035	35370	SIPO	GH	17411059
748318	2552	1997-06-11	VYDAJ	PREVOD NA UCET	7035	38549	SIPO	GH	17411059
748319	2552	1997-07-11	VYDAJ	PREVOD NA UCET	7035	31128	SIPO	GH	17411059
748320	2552	1997-08-11	VYDAJ	PREVOD NA UCET	7035	32787	SIPO	GH	17411059
748321	2552	1997-09-11	VYDAJ	PREVOD NA UCET	7035	32051	SIPO	GH	17411059
748322	2552	1997-10-11	VYDAJ	PREVOD NA UCET	7035	34615	SIPO	GH	17411059
748323	2552	1997-11-11	VYDAJ	PREVOD NA UCET	7035	36485	SIPO	GH	17411059
748324	2552	1997-12-11	VYDAJ	PREVOD NA UCET	7035	42159	SIPO	GH	17411059
748325	2552	1998-01-11	VYDAJ	PREVOD NA UCET	7035	41368	SIPO	GH	17411059
748326	2552	1998-02-11	VYDAJ	PREVOD NA UCET	7035	40656	SIPO	GH	17411059
748327	2552	1998-03-11	VYDAJ	PREVOD NA UCET	7035	36350	SIPO	GH	17411059
748328	2552	1998-04-11	VYDAJ	PREVOD NA UCET	7035	44936	SIPO	GH	17411059
748329	2552	1998-05-11	VYDAJ	PREVOD NA UCET	7035	47745	SIPO	GH	17411059
748330	2552	1998-06-11	VYDAJ	PREVOD NA UCET	7035	64158	SIPO	GH	17411059
748331	2552	1998-07-11	VYDAJ	PREVOD NA UCET	7035	52828	SIPO	GH	17411059
748332	2552	1998-08-11	VYDAJ	PREVOD NA UCET	7035	53278	SIPO	GH	17411059
748333	2552	1998-09-11	VYDAJ	PREVOD NA UCET	7035	55525	SIPO	GH	17411059
748334	2552	1998-10-11	VYDAJ	PREVOD NA UCET	7035	60482	SIPO	GH	17411059
748335	2552	1998-11-11	VYDAJ	PREVOD NA UCET	7035	62760	SIPO	GH	17411059
748336	2552	1998-12-11	VYDAJ	PREVOD NA UCET	7035	76439	SIPO	GH	17411059
748338	2552	1994-06-12	VYDAJ	VYBER	18600	36681	\N	\N	\N
748339	2552	1995-06-03	VYDAJ	VYBER	25100	14265	\N	\N	\N
748340	2552	1996-06-08	VYDAJ	VYBER	5900	60070	\N	\N	\N
748341	2552	1997-06-18	VYDAJ	VYBER	7200	31349	\N	\N	\N
748342	2552	1998-06-22	VYDAJ	VYBER	11500	52658	\N	\N	\N
748344	2552	1994-01-09	VYDAJ	VYBER	9000	42699	\N	\N	\N
748345	2552	1995-01-09	VYDAJ	VYBER	4800	45757	\N	\N	\N
748346	2552	1996-01-04	VYDAJ	VYBER KARTOU	3700	38531	\N	\N	0
748347	2552	1997-01-24	VYDAJ	VYBER	9600	18599	\N	\N	\N
748348	2552	1998-01-03	VYDAJ	VYBER	8000	33523	\N	\N	\N
748349	2552	1993-12-18	VYDAJ	VYBER	1700	52327	\N	\N	\N
748350	2552	1994-12-28	VYDAJ	VYBER	2800	34824	\N	\N	\N
748351	2552	1995-12-18	VYDAJ	VYBER KARTOU	700	44757	\N	\N	0
748352	2552	1996-12-20	VYDAJ	VYBER KARTOU	2200	33334	\N	\N	0
748353	2552	1997-12-29	VYDAJ	VYBER KARTOU	800	41359	\N	\N	0
748354	2552	1998-12-12	VYDAJ	VYBER KARTOU	1500	74939	\N	\N	0
748361	2552	1994-01-27	VYDAJ	VYBER	1200	29664	\N	\N	\N
748362	2552	1994-01-30	VYDAJ	VYBER	1500	25564	\N	\N	\N
748363	2552	1994-01-07	VYDAJ	VYBER	1200	53799	\N	\N	\N
748364	2552	1994-01-30	VYDAJ	VYBER	2600	27064	\N	\N	\N
748365	2552	1994-01-10	VYDAJ	VYBER	2500	40199	\N	\N	\N
748366	2552	1994-01-09	VYDAJ	VYBER	2100	51699	\N	\N	\N
748367	2552	1995-01-05	VYDAJ	VYBER	2400	32577	\N	\N	\N
748368	2552	1995-01-12	VYDAJ	VYBER	1600	35622	\N	\N	\N
748369	2552	1995-01-09	VYDAJ	VYBER	1500	44257	\N	\N	\N
748370	2552	1995-01-20	VYDAJ	VYBER KARTOU	2200	33422	\N	\N	0
748371	2552	1995-01-29	VYDAJ	VYBER KARTOU	2100	28322	\N	\N	0
748372	2552	1995-01-26	VYDAJ	VYBER KARTOU	1100	30422	\N	\N	0
748373	2552	1996-01-02	VYDAJ	VYBER KARTOU	2700	42231	\N	\N	0
748374	2552	1996-01-28	VYDAJ	VYBER KARTOU	1600	34676	\N	\N	0
748375	2552	1996-01-28	VYDAJ	VYBER KARTOU	2900	31776	\N	\N	0
748376	2552	1996-01-09	VYDAJ	VYBER KARTOU	2500	54011	\N	\N	0
748377	2552	1996-01-21	VYDAJ	VYBER KARTOU	2200	36876	\N	\N	0
748378	2552	1996-01-28	VYDAJ	VYBER KARTOU	600	36276	\N	\N	0
748379	2552	1997-01-17	VYDAJ	VYBER KARTOU	2500	29799	\N	\N	0
748380	2552	1997-01-02	VYDAJ	VYBER KARTOU	900	32554	\N	\N	0
748381	2552	1997-01-21	VYDAJ	VYBER KARTOU	1600	28199	\N	\N	0
748383	2552	1997-01-28	VYDAJ	VYBER KARTOU	1900	16699	\N	\N	0
748384	2552	1997-01-05	VYDAJ	VYBER KARTOU	1600	30954	\N	\N	0
748385	2552	1998-01-12	VYDAJ	VYBER KARTOU	2000	39368	\N	\N	0
748386	2552	1998-01-15	VYDAJ	VYBER KARTOU	2000	37368	\N	\N	0
748387	2552	1998-01-11	VYDAJ	VYBER KARTOU	2100	48403	\N	\N	0
748388	2552	1998-01-28	VYDAJ	VYBER KARTOU	1600	33568	\N	\N	0
748389	2552	1998-01-18	VYDAJ	VYBER KARTOU	2200	35168	\N	\N	0
748390	2552	1998-01-09	VYDAJ	VYBER KARTOU	700	50503	\N	\N	0
748391	2552	1993-12-10	VYDAJ	VYBER	3600	61062	\N	\N	\N
748392	2552	1993-12-04	VYDAJ	VYBER	600	37692	\N	\N	\N
748395	2552	1993-11-21	VYDAJ	VYBER	3500	48017	\N	\N	\N
748398	2552	1994-02-14	VYDAJ	VYBER	2100	34540	\N	\N	\N
748399	2552	1994-08-30	VYDAJ	VYBER	1500	32535	\N	\N	\N
748400	2552	1994-09-10	VYDAJ	VYBER	3600	47061	\N	\N	\N
748401	2552	1994-09-11	VYDAJ	VYBER	4900	35126	\N	\N	\N
748402	2552	1995-07-01	VYDAJ	VYBER KARTOU	700	31332	\N	\N	0
748403	2552	1995-05-17	VYDAJ	VYBER KARTOU	1100	44514	\N	\N	0
748404	2552	1995-03-13	VYDAJ	VYBER	4400	37366	\N	\N	\N
748405	2552	1995-11-17	VYDAJ	VYBER KARTOU	2400	46769	\N	\N	0
748406	2552	1996-03-13	VYDAJ	VYBER	4600	44362	\N	\N	\N
748407	2552	1996-06-21	VYDAJ	VYBER KARTOU	4000	36735	\N	\N	0
748408	2552	1996-04-26	VYDAJ	VYBER KARTOU	3300	35357	\N	\N	0
748409	2552	1996-07-18	VYDAJ	VYBER KARTOU	1400	35341	\N	\N	0
748410	2552	1996-11-21	VYDAJ	VYBER	4400	28478	\N	\N	\N
748411	2552	1997-10-24	VYDAJ	VYBER KARTOU	2100	32515	\N	\N	0
748412	2552	1997-02-08	VYDAJ	VYBER KARTOU	2600	32196	\N	\N	0
748413	2552	1997-03-20	VYDAJ	VYBER	4800	25473	\N	\N	\N
748415	2552	1997-06-08	VYDAJ	VYBER	4400	58084	\N	\N	\N
748416	2552	1998-05-03	VYDAJ	VYBER	4700	37000	\N	\N	\N
748417	2552	1998-08-22	VYDAJ	VYBER KARTOU	2800	50478	\N	\N	0
748418	2552	1998-04-28	VYDAJ	VYBER KARTOU	3400	41536	\N	\N	0
748430	2552	1993-11-30	VYDAJ	VYBER	15	38292	SLUZBY	\N	\N
748431	2552	1993-12-31	VYDAJ	VYBER	15	37019	SLUZBY	\N	\N
748432	2552	1994-01-31	VYDAJ	VYBER	15	25695	SLUZBY	\N	\N
748433	2552	1994-02-28	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
748434	2552	1994-03-31	VYDAJ	VYBER	15	34638	SLUZBY	\N	\N
748435	2552	1994-04-30	VYDAJ	VYBER	15	37338	SLUZBY	\N	\N
748436	2552	1994-05-31	VYDAJ	VYBER	15	35346	SLUZBY	\N	\N
748437	2552	1994-06-30	VYDAJ	VYBER	15	28814	SLUZBY	\N	\N
748438	2552	1994-07-31	VYDAJ	VYBER	15	33590	SLUZBY	\N	\N
748439	2552	1994-08-31	VYDAJ	VYBER	15	32681	SLUZBY	\N	\N
748440	2552	1994-09-30	VYDAJ	VYBER	15	26848	SLUZBY	\N	\N
748441	2552	1994-10-31	VYDAJ	VYBER	15	30513	SLUZBY	\N	\N
748442	2552	1994-11-30	VYDAJ	VYBER	15	30889	SLUZBY	\N	\N
748443	2552	1994-12-31	VYDAJ	VYBER	15	34977	SLUZBY	\N	\N
748444	2552	1995-01-31	VYDAJ	VYBER	15	28453	SLUZBY	\N	\N
748445	2552	1995-02-28	VYDAJ	VYBER	15	30821	SLUZBY	\N	\N
748446	2552	1995-03-31	VYDAJ	VYBER	15	30390	SLUZBY	\N	\N
748447	2552	1995-04-30	VYDAJ	VYBER	15	34669	SLUZBY	\N	\N
748448	2552	1995-05-31	VYDAJ	VYBER	15	39365	SLUZBY	\N	\N
748449	2552	1995-06-30	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
748450	2552	1995-07-31	VYDAJ	VYBER	15	36625	SLUZBY	\N	\N
748451	2552	1995-08-31	VYDAJ	VYBER	15	39324	SLUZBY	\N	\N
748452	2552	1995-09-30	VYDAJ	VYBER	15	37126	SLUZBY	\N	\N
748453	2552	1995-10-31	VYDAJ	VYBER	15	38224	SLUZBY	\N	\N
748454	2552	1995-11-30	VYDAJ	VYBER	15	38022	SLUZBY	\N	\N
748455	2552	1995-12-31	VYDAJ	VYBER	15	44931	SLUZBY	\N	\N
748456	2552	1996-01-31	VYDAJ	VYBER	15	31935	SLUZBY	\N	\N
748457	2552	1996-02-29	VYDAJ	VYBER	15	38017	SLUZBY	\N	\N
748458	2552	1996-03-31	VYDAJ	VYBER	15	38912	SLUZBY	\N	\N
748459	2552	1996-04-30	VYDAJ	VYBER	15	35508	SLUZBY	\N	\N
748460	2552	1996-05-31	VYDAJ	VYBER	15	39000	SLUZBY	\N	\N
748461	2552	1996-06-30	VYDAJ	VYBER	15	36896	SLUZBY	\N	\N
748462	2552	1996-07-31	VYDAJ	VYBER	15	35482	SLUZBY	\N	\N
748463	2552	1996-08-31	VYDAJ	VYBER	15	35563	SLUZBY	\N	\N
748464	2552	1996-09-30	VYDAJ	VYBER	15	38149	SLUZBY	\N	\N
748465	2552	1996-10-31	VYDAJ	VYBER	15	36033	SLUZBY	\N	\N
748466	2552	1996-11-30	VYDAJ	VYBER	15	28599	SLUZBY	\N	\N
748467	2552	1996-12-31	VYDAJ	VYBER	15	33454	SLUZBY	\N	\N
748468	2552	1997-01-31	VYDAJ	VYBER	15	16816	SLUZBY	\N	\N
748469	2552	1997-02-28	VYDAJ	VYBER	15	20028	SLUZBY	\N	\N
748470	2552	1997-03-31	VYDAJ	VYBER	15	25561	SLUZBY	\N	\N
748471	2552	1997-04-30	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
748472	2552	1997-05-31	VYDAJ	VYBER	15	35514	SLUZBY	\N	\N
748473	2552	1997-06-30	VYDAJ	VYBER	15	31483	SLUZBY	\N	\N
748474	2552	1997-07-31	VYDAJ	VYBER	15	31242	SLUZBY	\N	\N
748475	2552	1997-08-31	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
748476	2552	1997-09-30	VYDAJ	VYBER	15	32170	SLUZBY	\N	\N
748477	2552	1997-10-31	VYDAJ	VYBER	15	32640	SLUZBY	\N	\N
748478	2552	1997-11-30	VYDAJ	VYBER	15	36624	SLUZBY	\N	\N
748479	2552	1997-12-31	VYDAJ	VYBER	15	41523	SLUZBY	\N	\N
748480	2552	1998-01-31	VYDAJ	VYBER	15	33711	SLUZBY	\N	\N
748481	2552	1998-02-28	VYDAJ	VYBER	15	40805	SLUZBY	\N	\N
748482	2552	1998-03-31	VYDAJ	VYBER	15	36491	SLUZBY	\N	\N
748483	2552	1998-04-30	VYDAJ	VYBER	15	41700	SLUZBY	\N	\N
748484	2552	1998-05-31	VYDAJ	VYBER	15	47923	SLUZBY	\N	\N
748485	2552	1998-06-30	VYDAJ	VYBER	15	52883	SLUZBY	\N	\N
748486	2552	1998-07-31	VYDAJ	VYBER	15	53033	SLUZBY	\N	\N
748487	2552	1998-08-31	VYDAJ	VYBER	15	50680	SLUZBY	\N	\N
748488	2552	1998-09-30	VYDAJ	VYBER	15	55737	SLUZBY	\N	\N
748489	2552	1998-10-31	VYDAJ	VYBER	15	60715	SLUZBY	\N	\N
748490	2552	1998-11-30	VYDAJ	VYBER	15	63004	SLUZBY	\N	\N
748491	2552	1993-07-31	PRIJEM	VKLAD	400	19444	\N	\N	\N
748492	2552	1993-08-30	VYDAJ	VYBER	4700	32724	\N	\N	\N
748493	2552	1993-09-29	VYDAJ	VYBER	11300	39488	\N	\N	\N
748494	2552	1993-10-29	VYDAJ	VYBER	17200	40407	\N	\N	\N
748495	2552	1993-11-28	VYDAJ	VYBER	9900	38117	\N	\N	\N
748496	2552	1993-12-28	VYDAJ	VYBER	15500	36827	\N	\N	\N
748497	2552	1994-01-27	VYDAJ	VYBER	2300	30864	\N	\N	\N
748498	2552	1994-02-26	VYDAJ	VYBER	4700	29840	\N	\N	\N
748499	2552	1994-03-28	VYDAJ	VYBER	6400	34500	\N	\N	\N
748500	2552	1994-04-27	VYDAJ	VYBER	8400	37183	\N	\N	\N
748501	2552	1994-05-27	VYDAJ	VYBER	13100	35183	\N	\N	\N
748502	2552	1994-06-26	VYDAJ	VYBER	8000	28681	\N	\N	\N
748503	2552	1994-07-26	VYDAJ	VYBER	6300	33459	\N	\N	\N
748504	2552	1994-08-25	VYDAJ	VYBER	10500	34035	\N	\N	\N
748505	2552	1994-09-24	VYDAJ	VYBER	8400	26726	\N	\N	\N
748506	2552	1994-10-24	VYDAJ	VYBER	7400	30393	\N	\N	\N
748507	2552	1994-11-23	VYDAJ	VYBER	10700	30758	\N	\N	\N
748508	2552	1994-12-23	VYDAJ	VYBER	13200	37624	\N	\N	\N
748509	2552	1995-01-22	VYDAJ	VYBER KARTOU	1900	31522	\N	\N	0
748510	2552	1995-02-21	VYDAJ	VYBER	8700	30698	\N	\N	\N
748511	2552	1995-03-23	VYDAJ	VYBER	7100	30266	\N	\N	\N
748512	2552	1995-04-22	VYDAJ	VYBER	6800	34535	\N	\N	\N
748513	2552	1995-05-22	VYDAJ	VYBER	5300	39214	\N	\N	\N
748514	2552	1995-06-21	VYDAJ	VYBER KARTOU	2300	31900	\N	\N	0
748515	2552	1995-07-21	VYDAJ	VYBER	5800	36477	\N	\N	\N
748516	2552	1995-08-20	VYDAJ	VYBER	8400	39170	\N	\N	\N
748517	2552	1995-09-19	VYDAJ	VYBER	13300	36969	\N	\N	\N
748518	2552	1995-10-19	VYDAJ	VYBER	10000	38071	\N	\N	\N
748519	2552	1995-11-18	VYDAJ	VYBER	8900	37869	\N	\N	\N
748520	2552	1995-12-18	VYDAJ	VYBER	12500	45457	\N	\N	\N
748521	2552	1996-01-17	VYDAJ	VYBER	7900	39076	\N	\N	\N
748522	2552	1996-02-16	VYDAJ	VYBER	5000	37880	\N	\N	\N
748523	2552	1996-03-17	VYDAJ	VYBER	5600	38762	\N	\N	\N
748524	2552	1996-04-16	VYDAJ	VYBER	11200	38657	\N	\N	\N
748525	2552	1996-05-16	VYDAJ	VYBER	7600	38853	\N	\N	\N
748526	2552	1996-06-15	VYDAJ	VYBER	12300	40735	\N	\N	\N
748527	2552	1996-07-15	VYDAJ	VYBER	11100	36741	\N	\N	\N
748528	2552	1996-08-14	VYDAJ	VYBER	11000	35427	\N	\N	\N
748529	2552	1996-09-13	VYDAJ	VYBER	8500	38008	\N	\N	\N
748530	2552	1996-10-13	VYDAJ	VYBER	13200	35894	\N	\N	\N
748531	2552	1996-11-12	VYDAJ	VYBER	14100	32878	\N	\N	\N
748532	2552	1996-12-12	VYDAJ	VYBER	13000	35534	\N	\N	\N
748533	2552	1997-01-11	VYDAJ	VYBER	9600	32299	\N	\N	\N
748534	2552	1997-02-10	VYDAJ	VYBER	5200	26996	\N	\N	\N
748535	2552	1997-03-12	VYDAJ	VYBER KARTOU	700	30273	\N	\N	0
748536	2552	1997-04-11	VYDAJ	VYBER	4900	31606	\N	\N	\N
748537	2552	1997-05-11	VYDAJ	VYBER	7300	42405	\N	\N	\N
748538	2552	1997-06-10	VYDAJ	VYBER	12500	45584	\N	\N	\N
748539	2552	1997-07-10	VYDAJ	VYBER	11300	38163	\N	\N	\N
748540	2552	1997-08-09	VYDAJ	VYBER	9400	39822	\N	\N	\N
748541	2552	1997-09-08	VYDAJ	VYBER	11800	39086	\N	\N	\N
748542	2552	1997-10-08	VYDAJ	VYBER	8500	41650	\N	\N	\N
748543	2552	1997-11-07	VYDAJ	VYBER	7100	43520	\N	\N	\N
748544	2552	1997-12-07	VYDAJ	VYBER	14400	49194	\N	\N	\N
748545	2552	1998-01-06	VYDAJ	VYBER KARTOU	300	33223	\N	\N	0
748546	2552	1998-02-05	VYDAJ	VYBER KARTOU	4000	29711	\N	\N	0
748547	2552	1998-03-07	VYDAJ	VYBER	15400	43385	\N	\N	\N
748548	2552	1998-04-06	VYDAJ	VYBER KARTOU	2500	33991	\N	\N	0
748549	2552	1998-05-06	VYDAJ	VYBER KARTOU	200	36800	\N	\N	0
748550	2552	1998-06-05	VYDAJ	VYBER KARTOU	3700	44223	\N	\N	0
748551	2552	1998-07-05	VYDAJ	VYBER	11000	41883	\N	\N	\N
748552	2552	1998-08-04	VYDAJ	VYBER	10700	42333	\N	\N	\N
748553	2552	1998-09-03	VYDAJ	VYBER	6100	44580	\N	\N	\N
748554	2552	1998-10-03	VYDAJ	VYBER	6200	49537	\N	\N	\N
748555	2552	1998-11-02	VYDAJ	VYBER	8900	51815	\N	\N	\N
748556	2552	1998-12-02	VYDAJ	VYBER	6500	56504	\N	\N	\N
748623	2553	1995-07-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
748631	2553	1995-08-09	PRIJEM	VKLAD	17493	18593	\N	\N	\N
748632	2553	1995-09-09	PRIJEM	VKLAD	17493	36309	\N	\N	\N
748633	2553	1995-10-09	PRIJEM	VKLAD	17493	48395	\N	\N	\N
748634	2553	1995-11-09	PRIJEM	VKLAD	17493	53724	\N	\N	\N
748635	2553	1995-12-09	PRIJEM	VKLAD	26240	62013	\N	\N	\N
748636	2553	1996-01-09	PRIJEM	VKLAD	17493	50699	\N	\N	\N
748637	2553	1996-02-09	PRIJEM	VKLAD	17493	32898	\N	\N	\N
748638	2553	1996-03-09	PRIJEM	VKLAD	17493	33865	\N	\N	\N
748639	2553	1996-04-09	PRIJEM	VKLAD	17493	37140	\N	\N	\N
748640	2553	1996-05-09	PRIJEM	VKLAD	17493	38625	\N	\N	\N
748641	2553	1996-06-09	PRIJEM	VKLAD	26240	48262	\N	\N	\N
748642	2553	1996-07-09	PRIJEM	VKLAD	17493	40256	\N	\N	\N
748643	2553	1996-08-09	PRIJEM	VKLAD	17493	41753	\N	\N	\N
748644	2553	1996-09-09	PRIJEM	VKLAD	17493	39986	\N	\N	\N
748645	2553	1996-10-09	PRIJEM	VKLAD	17493	42884	\N	\N	\N
748646	2553	1996-11-09	PRIJEM	VKLAD	17493	41965	\N	\N	\N
748647	2553	1996-12-09	PRIJEM	VKLAD	26240	43007	\N	\N	\N
748648	2553	1997-01-09	PRIJEM	VKLAD	17493	41201	\N	\N	\N
748649	2553	1997-02-09	PRIJEM	VKLAD	17493	31033	\N	\N	\N
748650	2553	1997-03-09	PRIJEM	VKLAD	17493	33290	\N	\N	\N
748651	2553	1997-04-09	PRIJEM	VKLAD	17493	36659	\N	\N	\N
748652	2553	1997-05-09	PRIJEM	VKLAD	17493	39140	\N	\N	\N
748653	2553	1997-06-09	PRIJEM	VKLAD	26240	43962	\N	\N	\N
748654	2553	1997-07-09	PRIJEM	VKLAD	17493	40848	\N	\N	\N
748655	2553	1997-08-09	PRIJEM	VKLAD	17493	31295	\N	\N	\N
748656	2553	1997-09-09	PRIJEM	VKLAD	17493	37562	\N	\N	\N
748657	2553	1997-10-09	PRIJEM	VKLAD	17493	33816	\N	\N	\N
748658	2553	1997-11-09	PRIJEM	VKLAD	17493	33374	\N	\N	\N
748659	2553	1997-12-09	PRIJEM	VKLAD	26240	40224	\N	\N	\N
748660	2553	1998-01-09	PRIJEM	VKLAD	17493	35757	\N	\N	\N
748661	2553	1998-02-09	PRIJEM	VKLAD	17493	33867	\N	\N	\N
748662	2553	1998-03-09	PRIJEM	VKLAD	17493	41745	\N	\N	\N
748663	2553	1998-04-09	PRIJEM	VKLAD	17493	46160	\N	\N	\N
748664	2553	1998-05-09	PRIJEM	VKLAD	17493	45569	\N	\N	\N
748665	2553	1998-06-09	PRIJEM	VKLAD	26240	51015	\N	\N	\N
748666	2553	1998-07-09	PRIJEM	VKLAD	17493	43788	\N	\N	\N
748667	2553	1998-08-09	PRIJEM	VKLAD	17493	42623	\N	\N	\N
748668	2553	1998-09-09	PRIJEM	VKLAD	17493	44053	\N	\N	\N
748669	2553	1998-10-09	PRIJEM	VKLAD	17493	43486	\N	\N	\N
748670	2553	1998-11-09	PRIJEM	VKLAD	17493	43719	\N	\N	\N
748671	2553	1998-12-09	PRIJEM	VKLAD	26240	53699	\N	\N	\N
748683	2553	1995-12-10	VYDAJ	PREVOD NA UCET	9687	52326	SIPO	YZ	41427993
748684	2553	1996-01-10	VYDAJ	PREVOD NA UCET	9687	41012	SIPO	YZ	41427993
748685	2553	1996-02-10	VYDAJ	PREVOD NA UCET	9687	23211	SIPO	YZ	41427993
748686	2553	1996-03-10	VYDAJ	PREVOD NA UCET	9687	24178	SIPO	YZ	41427993
748687	2553	1996-04-10	VYDAJ	PREVOD NA UCET	9687	27453	SIPO	YZ	41427993
748688	2553	1996-05-10	VYDAJ	PREVOD NA UCET	9687	28938	SIPO	YZ	41427993
748689	2553	1996-06-10	VYDAJ	PREVOD NA UCET	9687	38575	SIPO	YZ	41427993
748690	2553	1996-07-10	VYDAJ	PREVOD NA UCET	9687	30569	SIPO	YZ	41427993
748691	2553	1996-08-10	VYDAJ	PREVOD NA UCET	9687	32066	SIPO	YZ	41427993
748692	2553	1996-09-10	VYDAJ	PREVOD NA UCET	9687	30299	SIPO	YZ	41427993
748693	2553	1996-10-10	VYDAJ	PREVOD NA UCET	9687	33197	SIPO	YZ	41427993
748694	2553	1996-11-10	VYDAJ	PREVOD NA UCET	9687	32278	SIPO	YZ	41427993
748695	2553	1996-12-10	VYDAJ	PREVOD NA UCET	9687	33320	SIPO	YZ	41427993
748696	2553	1997-01-10	VYDAJ	PREVOD NA UCET	9687	16954	SIPO	YZ	41427993
748697	2553	1997-02-10	VYDAJ	PREVOD NA UCET	9687	21346	SIPO	YZ	41427993
748698	2553	1997-03-10	VYDAJ	PREVOD NA UCET	9687	23603	SIPO	YZ	41427993
748699	2553	1997-04-10	VYDAJ	PREVOD NA UCET	9687	26972	SIPO	YZ	41427993
748700	2553	1997-05-10	VYDAJ	PREVOD NA UCET	9687	29453	SIPO	YZ	41427993
748701	2553	1997-06-10	VYDAJ	PREVOD NA UCET	9687	34275	SIPO	YZ	41427993
748702	2553	1997-07-10	VYDAJ	PREVOD NA UCET	9687	31161	SIPO	YZ	41427993
748703	2553	1997-08-10	VYDAJ	PREVOD NA UCET	9687	21608	SIPO	YZ	41427993
748704	2553	1997-09-10	VYDAJ	PREVOD NA UCET	9687	27875	SIPO	YZ	41427993
748705	2553	1997-10-10	VYDAJ	PREVOD NA UCET	9687	24129	SIPO	YZ	41427993
748706	2553	1997-11-10	VYDAJ	PREVOD NA UCET	9687	18087	SIPO	YZ	41427993
748707	2553	1997-12-10	VYDAJ	PREVOD NA UCET	9687	30537	SIPO	YZ	41427993
748708	2553	1998-01-10	VYDAJ	PREVOD NA UCET	9687	13770	SIPO	YZ	41427993
748709	2553	1998-02-10	VYDAJ	PREVOD NA UCET	9687	24180	SIPO	YZ	41427993
748710	2553	1998-03-10	VYDAJ	PREVOD NA UCET	9687	32058	SIPO	YZ	41427993
748711	2553	1998-04-10	VYDAJ	PREVOD NA UCET	9687	27973	SIPO	YZ	41427993
748712	2553	1998-05-10	VYDAJ	PREVOD NA UCET	9687	25082	SIPO	YZ	41427993
748713	2553	1998-06-10	VYDAJ	PREVOD NA UCET	9687	41328	SIPO	YZ	41427993
748714	2553	1998-07-10	VYDAJ	PREVOD NA UCET	9687	34101	SIPO	YZ	41427993
748715	2553	1998-08-10	VYDAJ	PREVOD NA UCET	9687	32936	SIPO	YZ	41427993
748716	2553	1998-09-10	VYDAJ	PREVOD NA UCET	9687	34366	SIPO	YZ	41427993
748717	2553	1998-10-10	VYDAJ	PREVOD NA UCET	9687	33799	SIPO	YZ	41427993
748718	2553	1998-11-10	VYDAJ	PREVOD NA UCET	9687	34032	SIPO	YZ	41427993
748719	2553	1998-12-10	VYDAJ	PREVOD NA UCET	9687	44012	SIPO	YZ	41427993
748721	2553	1996-06-18	VYDAJ	VYBER	9120	29455	\N	\N	\N
748725	2553	1996-01-13	VYDAJ	VYBER	15520	22492	\N	\N	\N
748726	2553	1997-01-09	VYDAJ	VYBER	13600	27601	\N	\N	\N
748729	2553	1996-12-02	VYDAJ	VYBER	2240	16768	\N	\N	\N
748730	2553	1997-12-05	VYDAJ	VYBER	4160	13985	\N	\N	\N
748731	2553	1998-12-15	VYDAJ	VYBER	2720	41292	\N	\N	\N
748738	2553	1996-01-22	VYDAJ	VYBER	600	18192	\N	\N	\N
748739	2553	1996-01-14	VYDAJ	VYBER	2040	20452	\N	\N	\N
748740	2553	1996-01-12	VYDAJ	VYBER	3000	38012	\N	\N	\N
748741	2553	1996-01-16	VYDAJ	VYBER	1560	18892	\N	\N	\N
748742	2553	1996-01-03	VYDAJ	VYBER	3480	33206	\N	\N	\N
748743	2553	1996-01-24	VYDAJ	VYBER	2880	15312	\N	\N	\N
748745	2553	1997-01-10	VYDAJ	VYBER	960	26641	\N	\N	\N
748746	2553	1997-01-29	VYDAJ	VYBER	1680	13474	\N	\N	\N
748751	2553	1998-01-06	VYDAJ	VYBER	2520	18264	\N	\N	\N
748753	2553	1998-01-10	VYDAJ	VYBER	2040	11730	\N	\N	\N
748757	2553	1996-08-13	VYDAJ	VYBER	3600	28466	\N	\N	\N
748759	2553	1996-10-18	VYDAJ	VYBER	720	24377	\N	\N	\N
748760	2553	1996-08-15	VYDAJ	VYBER	2160	26306	\N	\N	\N
748761	2553	1996-11-28	VYDAJ	VYBER	5160	18918	\N	\N	\N
748763	2553	1997-07-25	VYDAJ	VYBER	4800	18761	\N	\N	\N
748764	2553	1997-12-22	VYDAJ	VYBER	2640	20697	\N	\N	\N
748765	2553	1997-07-25	VYDAJ	VYBER	5040	13721	\N	\N	\N
748766	2553	1997-09-23	VYDAJ	VYBER	5520	16255	\N	\N	\N
748768	2553	1998-06-21	VYDAJ	VYBER	2760	34968	\N	\N	\N
748769	2553	1998-06-14	VYDAJ	VYBER	3600	37728	\N	\N	\N
748782	2553	1995-12-31	VYDAJ	VYBER	15	36686	SLUZBY	\N	\N
748783	2553	1996-01-31	VYDAJ	VYBER	15	15405	SLUZBY	\N	\N
748784	2553	1996-02-29	VYDAJ	VYBER	15	16372	SLUZBY	\N	\N
748785	2553	1996-03-31	VYDAJ	VYBER	15	19647	SLUZBY	\N	\N
748786	2553	1996-04-30	VYDAJ	VYBER	15	21132	SLUZBY	\N	\N
748787	2553	1996-05-31	VYDAJ	VYBER	15	22022	SLUZBY	\N	\N
748788	2553	1996-06-30	VYDAJ	VYBER	15	22763	SLUZBY	\N	\N
748789	2553	1996-07-31	VYDAJ	VYBER	15	24260	SLUZBY	\N	\N
748790	2553	1996-08-31	VYDAJ	VYBER	15	22493	SLUZBY	\N	\N
748791	2553	1996-09-30	VYDAJ	VYBER	15	25391	SLUZBY	\N	\N
748792	2553	1996-10-31	VYDAJ	VYBER	15	24472	SLUZBY	\N	\N
748793	2553	1996-11-30	VYDAJ	VYBER	15	19008	SLUZBY	\N	\N
748794	2553	1996-12-31	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
748795	2553	1997-01-31	VYDAJ	VYBER	15	13540	SLUZBY	\N	\N
748796	2553	1997-02-28	VYDAJ	VYBER	15	15797	SLUZBY	\N	\N
748797	2553	1997-03-31	VYDAJ	VYBER	15	19166	SLUZBY	\N	\N
748798	2553	1997-04-30	VYDAJ	VYBER	15	21647	SLUZBY	\N	\N
748799	2553	1997-05-31	VYDAJ	VYBER	15	17723	SLUZBY	\N	\N
748800	2553	1997-06-30	VYDAJ	VYBER	15	23355	SLUZBY	\N	\N
748801	2553	1997-07-31	VYDAJ	VYBER	15	13802	SLUZBY	\N	\N
748802	2553	1997-08-31	VYDAJ	VYBER	15	20069	SLUZBY	\N	\N
748803	2553	1997-09-30	VYDAJ	VYBER	15	16323	SLUZBY	\N	\N
748804	2553	1997-10-31	VYDAJ	VYBER	15	15881	SLUZBY	\N	\N
748805	2553	1997-11-30	VYDAJ	VYBER	15	18145	SLUZBY	\N	\N
748806	2553	1997-12-31	VYDAJ	VYBER	15	20784	SLUZBY	\N	\N
748807	2553	1998-01-31	VYDAJ	VYBER	15	11774	SLUZBY	\N	\N
748808	2553	1998-02-28	VYDAJ	VYBER	15	24252	SLUZBY	\N	\N
748809	2553	1998-03-31	VYDAJ	VYBER	15	28667	SLUZBY	\N	\N
748810	2553	1998-04-30	VYDAJ	VYBER	15	28076	SLUZBY	\N	\N
748811	2553	1998-05-31	VYDAJ	VYBER	15	25175	SLUZBY	\N	\N
748812	2553	1998-06-30	VYDAJ	VYBER	15	35095	SLUZBY	\N	\N
748813	2553	1998-07-31	VYDAJ	VYBER	15	34230	SLUZBY	\N	\N
748814	2553	1998-08-31	VYDAJ	VYBER	15	33060	SLUZBY	\N	\N
748815	2553	1998-09-30	VYDAJ	VYBER	15	34493	SLUZBY	\N	\N
748816	2553	1998-10-31	VYDAJ	VYBER	15	33926	SLUZBY	\N	\N
748817	2553	1998-11-30	VYDAJ	VYBER	15	34159	SLUZBY	\N	\N
748818	2553	1995-08-23	PRIJEM	VKLAD	200	18793	\N	\N	\N
748819	2553	1995-09-22	VYDAJ	VYBER	5500	30809	\N	\N	\N
748820	2553	1995-10-22	VYDAJ	VYBER	12300	36095	\N	\N	\N
748821	2553	1995-11-21	VYDAJ	VYBER	18100	35624	\N	\N	\N
748822	2553	1995-12-21	VYDAJ	VYBER	15800	36526	\N	\N	\N
748823	2553	1996-01-20	VYDAJ	VYBER	100	18792	\N	\N	\N
748824	2553	1996-02-19	VYDAJ	VYBER	6900	16311	\N	\N	\N
748825	2553	1996-03-20	VYDAJ	VYBER	4600	19578	\N	\N	\N
748826	2553	1996-04-19	VYDAJ	VYBER	6400	21053	\N	\N	\N
748827	2553	1996-05-19	VYDAJ	VYBER	7000	21938	\N	\N	\N
748828	2553	1996-06-18	VYDAJ	VYBER	6800	22655	\N	\N	\N
748829	2553	1996-07-18	VYDAJ	VYBER	6400	24169	\N	\N	\N
748830	2553	1996-08-17	VYDAJ	VYBER	3900	22406	\N	\N	\N
748831	2553	1996-09-16	VYDAJ	VYBER	5000	25299	\N	\N	\N
748832	2553	1996-10-16	VYDAJ	VYBER	8100	25097	\N	\N	\N
748833	2553	1996-11-15	VYDAJ	VYBER	8200	24078	\N	\N	\N
748834	2553	1996-12-15	VYDAJ	VYBER	9700	23620	\N	\N	\N
748835	2553	1997-01-14	VYDAJ	VYBER	1800	15154	\N	\N	\N
748836	2553	1997-02-13	VYDAJ	VYBER	5600	15746	\N	\N	\N
748837	2553	1997-03-15	VYDAJ	VYBER	4500	19103	\N	\N	\N
748838	2553	1997-04-14	VYDAJ	VYBER	5400	21572	\N	\N	\N
748839	2553	1997-05-14	VYDAJ	VYBER	11800	17653	\N	\N	\N
748840	2553	1997-06-13	VYDAJ	VYBER	11000	23275	\N	\N	\N
748841	2553	1997-07-13	VYDAJ	VYBER	7600	23561	\N	\N	\N
748842	2553	1997-08-12	VYDAJ	VYBER	1600	20008	\N	\N	\N
748843	2553	1997-09-11	VYDAJ	VYBER	6100	21775	\N	\N	\N
748844	2553	1997-10-11	VYDAJ	VYBER	8300	15829	\N	\N	\N
748845	2553	1997-11-10	VYDAJ	VYBER	5600	27774	\N	\N	\N
748846	2553	1997-12-10	VYDAJ	VYBER	7200	23337	\N	\N	\N
748847	2553	1998-01-09	VYDAJ	VYBER	12300	23457	\N	\N	\N
748848	2553	1998-02-08	PRIJEM	VKLAD	4600	16374	\N	\N	\N
748849	2553	1998-03-10	VYDAJ	VYBER	3500	28558	\N	\N	\N
748850	2553	1998-04-09	VYDAJ	VYBER	8500	37660	\N	\N	\N
748851	2553	1998-05-09	VYDAJ	VYBER	10800	34769	\N	\N	\N
748852	2553	1998-06-08	VYDAJ	VYBER	400	24775	\N	\N	\N
748853	2553	1998-07-08	VYDAJ	VYBER	8800	26295	\N	\N	\N
748854	2553	1998-08-07	VYDAJ	VYBER	9100	25130	\N	\N	\N
748855	2553	1998-09-06	VYDAJ	VYBER	6500	26560	\N	\N	\N
748856	2553	1998-10-06	VYDAJ	VYBER	8500	25993	\N	\N	\N
748857	2553	1998-11-05	VYDAJ	VYBER	7700	26226	\N	\N	\N
748858	2553	1998-12-05	VYDAJ	VYBER	6700	27459	\N	\N	\N
748900	2554	1993-06-18	PRIJEM	VKLAD	400	400	\N	\N	\N
748907	2554	1993-07-06	PRIJEM	VKLAD	24696	25096	\N	\N	\N
748908	2554	1993-08-06	PRIJEM	VKLAD	24696	49038	\N	\N	\N
748909	2554	1993-09-06	PRIJEM	VKLAD	24696	62662	\N	\N	\N
748910	2554	1993-10-06	PRIJEM	VKLAD	24696	68728	\N	\N	\N
748911	2554	1993-11-06	PRIJEM	VKLAD	24696	70812	\N	\N	\N
748912	2554	1993-12-06	PRIJEM	VKLAD	37044	83037	\N	\N	\N
748913	2554	1994-01-06	PRIJEM	VKLAD	24696	68001	\N	\N	\N
748914	2554	1994-02-06	PRIJEM	VKLAD	24696	58803	\N	\N	\N
748915	2554	1994-03-06	PRIJEM	VKLAD	24696	61452	\N	\N	\N
748916	2554	1994-04-06	PRIJEM	VKLAD	24696	62716	\N	\N	\N
748917	2554	1994-05-06	PRIJEM	VKLAD	24696	62959	\N	\N	\N
748918	2554	1994-06-06	PRIJEM	VKLAD	37044	53356	\N	\N	\N
748919	2554	1994-07-06	PRIJEM	VKLAD	24696	60497	\N	\N	\N
748920	2554	1994-08-06	PRIJEM	VKLAD	24696	65139	\N	\N	\N
748921	2554	1994-09-06	PRIJEM	VKLAD	24696	65386	\N	\N	\N
748922	2554	1994-10-06	PRIJEM	VKLAD	24696	68240	\N	\N	\N
748923	2554	1994-11-06	PRIJEM	VKLAD	24696	61021	\N	\N	\N
748924	2554	1994-12-06	PRIJEM	VKLAD	37044	74842	\N	\N	\N
748925	2554	1995-01-06	PRIJEM	VKLAD	24696	68496	\N	\N	\N
748926	2554	1995-02-06	PRIJEM	VKLAD	24696	54128	\N	\N	\N
748927	2554	1995-03-06	PRIJEM	VKLAD	24696	60045	\N	\N	\N
748928	2554	1995-04-06	PRIJEM	VKLAD	24696	67615	\N	\N	\N
748929	2554	1995-05-06	PRIJEM	VKLAD	24696	63355	\N	\N	\N
748930	2554	1995-06-06	PRIJEM	VKLAD	37044	75838	\N	\N	\N
748931	2554	1995-07-06	PRIJEM	VKLAD	24696	41725	\N	\N	\N
748932	2554	1995-08-06	PRIJEM	VKLAD	24696	52205	\N	\N	\N
748933	2554	1995-09-06	PRIJEM	VKLAD	24696	52510	\N	\N	\N
748934	2554	1995-10-06	PRIJEM	VKLAD	24696	53257	\N	\N	\N
748935	2554	1995-11-06	PRIJEM	VKLAD	24696	56775	\N	\N	\N
748936	2554	1995-12-06	PRIJEM	VKLAD	37044	77993	\N	\N	\N
748937	2554	1996-01-06	PRIJEM	VKLAD	24696	74440	\N	\N	\N
748938	2554	1996-02-06	PRIJEM	VKLAD	24696	73685	\N	\N	\N
748939	2554	1996-03-06	PRIJEM	VKLAD	24696	72035	\N	\N	\N
748940	2554	1996-04-06	PRIJEM	VKLAD	24696	73281	\N	\N	\N
748941	2554	1996-05-06	PRIJEM	VKLAD	24696	75130	\N	\N	\N
748942	2554	1996-06-06	PRIJEM	VKLAD	37044	84852	\N	\N	\N
748943	2554	1996-07-06	PRIJEM	VKLAD	24696	77041	\N	\N	\N
748944	2554	1996-08-06	PRIJEM	VKLAD	24696	75409	\N	\N	\N
748945	2554	1996-09-06	PRIJEM	VKLAD	24696	71764	\N	\N	\N
748946	2554	1996-10-06	PRIJEM	VKLAD	24696	69682	\N	\N	\N
748947	2554	1996-11-06	PRIJEM	VKLAD	24696	67600	\N	\N	\N
748948	2554	1996-12-06	PRIJEM	VKLAD	37044	79643	\N	\N	\N
748949	2554	1997-01-06	PRIJEM	VKLAD	24696	73377	\N	\N	\N
748950	2554	1997-02-06	PRIJEM	VKLAD	24696	62987	\N	\N	\N
748951	2554	1997-03-06	PRIJEM	VKLAD	24696	66562	\N	\N	\N
748952	2554	1997-04-06	PRIJEM	VKLAD	24696	68865	\N	\N	\N
748953	2554	1997-05-06	PRIJEM	VKLAD	24696	72964	\N	\N	\N
748954	2554	1997-06-06	PRIJEM	VKLAD	37044	88226	\N	\N	\N
748955	2554	1997-07-06	PRIJEM	VKLAD	24696	57674	\N	\N	\N
748956	2554	1997-08-06	PRIJEM	VKLAD	24696	67327	\N	\N	\N
748957	2554	1997-09-06	PRIJEM	VKLAD	24696	69012	\N	\N	\N
748958	2554	1997-10-06	PRIJEM	VKLAD	24696	70403	\N	\N	\N
748959	2554	1997-11-06	PRIJEM	VKLAD	24696	72099	\N	\N	\N
748960	2554	1997-12-06	PRIJEM	VKLAD	37044	80444	\N	\N	\N
748961	2554	1998-01-06	PRIJEM	VKLAD	24696	72055	\N	\N	\N
748962	2554	1998-02-06	PRIJEM	VKLAD	24696	60733	\N	\N	\N
748963	2554	1998-03-06	PRIJEM	VKLAD	24696	62147	\N	\N	\N
748964	2554	1998-04-06	PRIJEM	VKLAD	24696	61516	\N	\N	\N
748965	2554	1998-05-06	PRIJEM	VKLAD	24696	60667	\N	\N	\N
748966	2554	1998-06-06	PRIJEM	VKLAD	37044	76567	\N	\N	\N
748967	2554	1998-07-06	PRIJEM	VKLAD	24696	58902	\N	\N	\N
748968	2554	1998-08-06	PRIJEM	VKLAD	24696	62762	\N	\N	\N
748969	2554	1998-09-06	PRIJEM	VKLAD	24696	67419	\N	\N	\N
748970	2554	1998-10-06	PRIJEM	VKLAD	24696	67989	\N	\N	\N
748971	2554	1998-11-06	PRIJEM	VKLAD	24696	70862	\N	\N	\N
748972	2554	1998-12-06	PRIJEM	VKLAD	37044	87698	\N	\N	\N
748983	2554	1993-11-10	VYDAJ	PREVOD NA UCET	7607	63205	SIPO	CD	41483783
748984	2554	1993-12-10	VYDAJ	PREVOD NA UCET	7607	75430	SIPO	CD	41483783
748985	2554	1994-01-10	VYDAJ	PREVOD NA UCET	7607	56914	SIPO	CD	41483783
748986	2554	1994-02-10	VYDAJ	PREVOD NA UCET	7607	51196	SIPO	CD	41483783
748987	2554	1994-03-10	VYDAJ	PREVOD NA UCET	7607	53845	SIPO	CD	41483783
748988	2554	1994-04-10	VYDAJ	PREVOD NA UCET	7607	55109	SIPO	CD	41483783
748989	2554	1994-05-10	VYDAJ	PREVOD NA UCET	7607	55352	SIPO	CD	41483783
748990	2554	1994-06-10	VYDAJ	PREVOD NA UCET	7607	45749	SIPO	CD	41483783
748991	2554	1994-07-10	VYDAJ	PREVOD NA UCET	7607	52890	SIPO	CD	41483783
748992	2554	1994-08-10	VYDAJ	PREVOD NA UCET	7607	57532	SIPO	CD	41483783
748993	2554	1994-09-10	VYDAJ	PREVOD NA UCET	7607	57779	SIPO	CD	41483783
748994	2554	1994-10-10	VYDAJ	PREVOD NA UCET	7607	60633	SIPO	CD	41483783
748995	2554	1994-11-10	VYDAJ	PREVOD NA UCET	7607	53414	SIPO	CD	41483783
748996	2554	1994-12-10	VYDAJ	PREVOD NA UCET	7607	67235	SIPO	CD	41483783
748997	2554	1995-01-10	VYDAJ	PREVOD NA UCET	7607	38989	SIPO	CD	41483783
748998	2554	1995-02-10	VYDAJ	PREVOD NA UCET	7607	35221	SIPO	CD	41483783
748999	2554	1995-03-10	VYDAJ	PREVOD NA UCET	7607	52438	SIPO	CD	41483783
749000	2554	1995-04-10	VYDAJ	PREVOD NA UCET	7607	38508	SIPO	CD	41483783
749001	2554	1995-05-10	VYDAJ	PREVOD NA UCET	7607	38648	SIPO	CD	41483783
749002	2554	1995-06-10	VYDAJ	PREVOD NA UCET	7607	45831	SIPO	CD	41483783
749003	2554	1995-07-10	VYDAJ	PREVOD NA UCET	7607	27418	SIPO	CD	41483783
749004	2554	1995-08-10	VYDAJ	PREVOD NA UCET	7607	31898	SIPO	CD	41483783
749005	2554	1995-09-10	VYDAJ	PREVOD NA UCET	7607	34203	SIPO	CD	41483783
749006	2554	1995-10-10	VYDAJ	PREVOD NA UCET	7607	35150	SIPO	CD	41483783
749007	2554	1995-11-10	VYDAJ	PREVOD NA UCET	7607	49168	SIPO	CD	41483783
749008	2554	1995-12-10	VYDAJ	PREVOD NA UCET	7607	67486	SIPO	CD	41483783
749009	2554	1996-01-10	VYDAJ	PREVOD NA UCET	7607	65033	SIPO	CD	41483783
749010	2554	1996-02-10	VYDAJ	PREVOD NA UCET	7607	66078	SIPO	CD	41483783
749011	2554	1996-03-10	VYDAJ	PREVOD NA UCET	7607	64428	SIPO	CD	41483783
749012	2554	1996-04-10	VYDAJ	PREVOD NA UCET	7607	65674	SIPO	CD	41483783
749013	2554	1996-05-10	VYDAJ	PREVOD NA UCET	7607	67523	SIPO	CD	41483783
749014	2554	1996-06-10	VYDAJ	PREVOD NA UCET	7607	77245	SIPO	CD	41483783
749015	2554	1996-07-10	VYDAJ	PREVOD NA UCET	7607	69434	SIPO	CD	41483783
749016	2554	1996-08-10	VYDAJ	PREVOD NA UCET	7607	67802	SIPO	CD	41483783
749017	2554	1996-09-10	VYDAJ	PREVOD NA UCET	7607	64157	SIPO	CD	41483783
749018	2554	1996-10-10	VYDAJ	PREVOD NA UCET	7607	58475	SIPO	CD	41483783
749019	2554	1996-11-10	VYDAJ	PREVOD NA UCET	7607	59993	SIPO	CD	41483783
749020	2554	1996-12-10	VYDAJ	PREVOD NA UCET	7607	69436	SIPO	CD	41483783
749021	2554	1997-01-10	VYDAJ	PREVOD NA UCET	7607	61470	SIPO	CD	41483783
749022	2554	1997-02-10	VYDAJ	PREVOD NA UCET	7607	55380	SIPO	CD	41483783
749023	2554	1997-03-10	VYDAJ	PREVOD NA UCET	7607	58955	SIPO	CD	41483783
749024	2554	1997-04-10	VYDAJ	PREVOD NA UCET	7607	61258	SIPO	CD	41483783
749025	2554	1997-05-10	VYDAJ	PREVOD NA UCET	7607	65357	SIPO	CD	41483783
749026	2554	1997-06-10	VYDAJ	PREVOD NA UCET	7607	80619	SIPO	CD	41483783
749027	2554	1997-07-10	VYDAJ	PREVOD NA UCET	7607	50067	SIPO	CD	41483783
749028	2554	1997-08-10	VYDAJ	PREVOD NA UCET	7607	59720	SIPO	CD	41483783
749029	2554	1997-09-10	VYDAJ	PREVOD NA UCET	7607	61405	SIPO	CD	41483783
749030	2554	1997-10-10	VYDAJ	PREVOD NA UCET	7607	62796	SIPO	CD	41483783
749031	2554	1997-11-10	VYDAJ	PREVOD NA UCET	7607	64492	SIPO	CD	41483783
749032	2554	1997-12-10	VYDAJ	PREVOD NA UCET	7607	72837	SIPO	CD	41483783
749033	2554	1998-01-10	VYDAJ	PREVOD NA UCET	7607	56548	SIPO	CD	41483783
749034	2554	1998-02-10	VYDAJ	PREVOD NA UCET	7607	53126	SIPO	CD	41483783
749035	2554	1998-03-10	VYDAJ	PREVOD NA UCET	7607	54540	SIPO	CD	41483783
749036	2554	1998-04-10	VYDAJ	PREVOD NA UCET	7607	53909	SIPO	CD	41483783
749037	2554	1998-05-10	VYDAJ	PREVOD NA UCET	7607	53060	SIPO	CD	41483783
749038	2554	1998-06-10	VYDAJ	PREVOD NA UCET	7607	67160	SIPO	CD	41483783
749039	2554	1998-07-10	VYDAJ	PREVOD NA UCET	7607	51295	SIPO	CD	41483783
749040	2554	1998-08-10	VYDAJ	PREVOD NA UCET	7607	55155	SIPO	CD	41483783
749041	2554	1998-09-10	VYDAJ	PREVOD NA UCET	7607	59812	SIPO	CD	41483783
749042	2554	1998-10-10	VYDAJ	PREVOD NA UCET	7607	60382	SIPO	CD	41483783
749043	2554	1998-11-10	VYDAJ	PREVOD NA UCET	7607	63255	SIPO	CD	41483783
749044	2554	1998-12-10	VYDAJ	PREVOD NA UCET	7607	80091	SIPO	CD	41483783
749046	2554	1994-06-04	VYDAJ	VYBER	24800	16312	\N	\N	\N
749047	2554	1995-06-28	VYDAJ	VYBER	28960	16871	\N	\N	\N
749049	2554	1997-06-14	VYDAJ	VYBER	41920	38699	\N	\N	\N
749050	2554	1998-06-11	VYDAJ	VYBER	17120	50040	\N	\N	\N
749051	2554	1993-12-11	VYDAJ	VYBER	3840	71590	\N	\N	\N
749052	2554	1994-12-27	VYDAJ	VYBER KARTOU	2200	43635	\N	\N	0
749053	2554	1995-12-08	VYDAJ	VYBER KARTOU	2900	75093	\N	\N	0
749054	2554	1996-12-28	VYDAJ	VYBER KARTOU	3000	66436	\N	\N	0
749055	2554	1997-12-25	VYDAJ	VYBER KARTOU	3800	47937	\N	\N	0
749056	2554	1998-12-10	VYDAJ	VYBER KARTOU	1400	78691	\N	\N	0
749063	2554	1994-01-13	VYDAJ	VYBER	3120	51514	\N	\N	\N
749064	2554	1994-01-11	VYDAJ	VYBER	2280	54634	\N	\N	\N
749065	2554	1994-01-13	VYDAJ	VYBER	2040	49474	\N	\N	\N
749066	2554	1994-01-02	VYDAJ	VYBER	1080	43305	\N	\N	\N
749067	2554	1994-01-06	VYDAJ	VYBER	3480	64521	\N	\N	\N
749068	2554	1994-01-01	VYDAJ	VYBER	1800	44385	\N	\N	\N
749069	2554	1995-01-08	VYDAJ	VYBER KARTOU	1800	65496	\N	\N	0
749070	2554	1995-01-22	VYDAJ	VYBER KARTOU	1200	29289	\N	\N	0
749071	2554	1995-01-06	VYDAJ	VYBER KARTOU	1200	67296	\N	\N	0
749072	2554	1995-01-14	VYDAJ	VYBER KARTOU	2400	36589	\N	\N	0
749073	2554	1995-01-21	VYDAJ	VYBER KARTOU	2900	30489	\N	\N	0
749074	2554	1995-01-15	VYDAJ	VYBER KARTOU	3200	33389	\N	\N	0
749075	2554	1996-01-08	VYDAJ	VYBER KARTOU	1100	73340	\N	\N	0
749076	2554	1996-01-26	VYDAJ	VYBER KARTOU	1200	63833	\N	\N	0
749077	2554	1996-01-26	VYDAJ	VYBER KARTOU	1700	62133	\N	\N	0
749078	2554	1996-01-09	VYDAJ	VYBER KARTOU	700	72640	\N	\N	0
749079	2554	1996-01-04	VYDAJ	VYBER KARTOU	1800	49744	\N	\N	0
749080	2554	1996-01-04	VYDAJ	VYBER KARTOU	1900	51544	\N	\N	0
749081	2554	1997-01-08	VYDAJ	VYBER KARTOU	1100	69077	\N	\N	0
749082	2554	1997-01-29	VYDAJ	VYBER KARTOU	3400	42170	\N	\N	0
749083	2554	1997-01-30	VYDAJ	VYBER KARTOU	600	41570	\N	\N	0
749084	2554	1997-01-03	VYDAJ	VYBER KARTOU	1200	48681	\N	\N	0
749085	2554	1997-01-30	VYDAJ	VYBER KARTOU	3500	38070	\N	\N	0
749086	2554	1997-01-19	VYDAJ	VYBER KARTOU	2500	58970	\N	\N	0
749087	2554	1998-01-02	VYDAJ	VYBER KARTOU	800	47359	\N	\N	0
749088	2554	1998-01-09	VYDAJ	VYBER KARTOU	1900	64155	\N	\N	0
749089	2554	1998-01-12	VYDAJ	VYBER KARTOU	3200	53348	\N	\N	0
749090	2554	1998-01-07	VYDAJ	VYBER KARTOU	2800	69255	\N	\N	0
749091	2554	1998-01-29	VYDAJ	VYBER KARTOU	1400	35848	\N	\N	0
749092	2554	1998-01-08	VYDAJ	VYBER KARTOU	3200	66055	\N	\N	0
749100	2554	1994-03-22	VYDAJ	VYBER	3480	37865	\N	\N	\N
749101	2554	1994-10-17	VYDAJ	VYBER	5160	36173	\N	\N	\N
749102	2554	1994-02-03	VYDAJ	VYBER	4440	34107	\N	\N	\N
749103	2554	1995-09-03	VYDAJ	VYBER	4200	27814	\N	\N	\N
749104	2554	1995-09-17	VYDAJ	VYBER	5760	28443	\N	\N	\N
749105	2554	1995-10-26	VYDAJ	VYBER KARTOU	2000	33150	\N	\N	0
749106	2554	1996-10-08	VYDAJ	VYBER KARTOU	3600	66082	\N	\N	0
749107	2554	1996-07-25	VYDAJ	VYBER KARTOU	2600	66834	\N	\N	0
749108	2554	1996-12-07	VYDAJ	VYBER KARTOU	2600	77043	\N	\N	0
749109	2554	1996-05-26	VYDAJ	VYBER	4080	63443	\N	\N	\N
749110	2554	1997-03-03	VYDAJ	VYBER KARTOU	1000	41866	\N	\N	0
749111	2554	1997-01-07	VYDAJ	VYBER KARTOU	3200	70177	\N	\N	0
749112	2554	1998-10-14	VYDAJ	VYBER KARTOU	1100	59282	\N	\N	0
749113	2554	1998-07-18	VYDAJ	VYBER	4080	47215	\N	\N	\N
749114	2554	1998-02-22	VYDAJ	VYBER	4440	37286	\N	\N	\N
749115	2554	1998-01-29	VYDAJ	VYBER KARTOU	600	37248	\N	\N	0
749116	2554	1998-01-19	VYDAJ	VYBER KARTOU	1900	51448	\N	\N	0
749117	2554	1998-03-15	VYDAJ	VYBER	5280	49260	\N	\N	\N
749118	2554	1998-12-29	VYDAJ	VYBER KARTOU	2800	57991	\N	\N	0
749119	2554	1998-06-08	VYDAJ	VYBER KARTOU	1800	74767	\N	\N	0
749120	2554	1998-01-23	VYDAJ	VYBER KARTOU	3600	37848	\N	\N	0
749132	2554	1993-11-30	VYDAJ	VYBER	15	45993	SLUZBY	\N	\N
749133	2554	1993-12-31	VYDAJ	VYBER	15	46185	SLUZBY	\N	\N
749134	2554	1994-01-31	VYDAJ	VYBER	15	38547	SLUZBY	\N	\N
749135	2554	1994-02-28	VYDAJ	VYBER	15	36756	SLUZBY	\N	\N
749136	2554	1994-03-31	VYDAJ	VYBER	15	38020	SLUZBY	\N	\N
749137	2554	1994-04-30	VYDAJ	VYBER	15	38263	SLUZBY	\N	\N
749138	2554	1994-05-31	VYDAJ	VYBER	15	41112	SLUZBY	\N	\N
749139	2554	1994-06-30	VYDAJ	VYBER	15	35801	SLUZBY	\N	\N
749140	2554	1994-07-31	VYDAJ	VYBER	15	40443	SLUZBY	\N	\N
749141	2554	1994-08-31	VYDAJ	VYBER	15	40690	SLUZBY	\N	\N
749142	2554	1994-09-30	VYDAJ	VYBER	15	43544	SLUZBY	\N	\N
749143	2554	1994-10-31	VYDAJ	VYBER	15	36325	SLUZBY	\N	\N
749144	2554	1994-11-30	VYDAJ	VYBER	15	37798	SLUZBY	\N	\N
749145	2554	1994-12-31	VYDAJ	VYBER	15	43800	SLUZBY	\N	\N
749146	2554	1995-01-31	VYDAJ	VYBER	15	29432	SLUZBY	\N	\N
749147	2554	1995-02-28	VYDAJ	VYBER	15	35349	SLUZBY	\N	\N
749148	2554	1995-03-31	VYDAJ	VYBER	15	42919	SLUZBY	\N	\N
749149	2554	1995-04-30	VYDAJ	VYBER	15	38659	SLUZBY	\N	\N
749150	2554	1995-05-31	VYDAJ	VYBER	15	38794	SLUZBY	\N	\N
749151	2554	1995-06-30	VYDAJ	VYBER	15	17029	SLUZBY	\N	\N
749152	2554	1995-07-31	VYDAJ	VYBER	15	27509	SLUZBY	\N	\N
749153	2554	1995-08-31	VYDAJ	VYBER	15	32014	SLUZBY	\N	\N
749154	2554	1995-09-30	VYDAJ	VYBER	15	28561	SLUZBY	\N	\N
749155	2554	1995-10-31	VYDAJ	VYBER	15	33279	SLUZBY	\N	\N
749156	2554	1995-11-30	VYDAJ	VYBER	15	49349	SLUZBY	\N	\N
749157	2554	1995-12-31	VYDAJ	VYBER	15	67744	SLUZBY	\N	\N
749158	2554	1996-01-31	VYDAJ	VYBER	15	62389	SLUZBY	\N	\N
749159	2554	1996-02-29	VYDAJ	VYBER	15	66339	SLUZBY	\N	\N
749160	2554	1996-03-31	VYDAJ	VYBER	15	64685	SLUZBY	\N	\N
749161	2554	1996-04-30	VYDAJ	VYBER	15	65934	SLUZBY	\N	\N
749162	2554	1996-05-31	VYDAJ	VYBER	15	63708	SLUZBY	\N	\N
749163	2554	1996-06-30	VYDAJ	VYBER	15	77545	SLUZBY	\N	\N
749164	2554	1996-07-31	VYDAJ	VYBER	15	67113	SLUZBY	\N	\N
749165	2554	1996-08-31	VYDAJ	VYBER	15	47068	SLUZBY	\N	\N
749166	2554	1996-09-30	VYDAJ	VYBER	15	64386	SLUZBY	\N	\N
749167	2554	1996-10-31	VYDAJ	VYBER	15	42904	SLUZBY	\N	\N
749168	2554	1996-11-30	VYDAJ	VYBER	15	42599	SLUZBY	\N	\N
749169	2554	1996-12-31	VYDAJ	VYBER	15	49881	SLUZBY	\N	\N
749170	2554	1997-01-31	VYDAJ	VYBER	15	38291	SLUZBY	\N	\N
749171	2554	1997-02-28	VYDAJ	VYBER	15	42866	SLUZBY	\N	\N
749172	2554	1997-03-31	VYDAJ	VYBER	15	44169	SLUZBY	\N	\N
749173	2554	1997-04-30	VYDAJ	VYBER	15	48268	SLUZBY	\N	\N
749174	2554	1997-05-31	VYDAJ	VYBER	15	51182	SLUZBY	\N	\N
749175	2554	1997-06-30	VYDAJ	VYBER	15	32978	SLUZBY	\N	\N
749176	2554	1997-07-31	VYDAJ	VYBER	15	42631	SLUZBY	\N	\N
749177	2554	1997-08-31	VYDAJ	VYBER	15	44316	SLUZBY	\N	\N
749178	2554	1997-09-30	VYDAJ	VYBER	15	45707	SLUZBY	\N	\N
749179	2554	1997-10-31	VYDAJ	VYBER	15	47403	SLUZBY	\N	\N
749180	2554	1997-11-30	VYDAJ	VYBER	15	43400	SLUZBY	\N	\N
749181	2554	1997-12-31	VYDAJ	VYBER	15	48159	SLUZBY	\N	\N
749182	2554	1998-01-31	VYDAJ	VYBER	15	36037	SLUZBY	\N	\N
749183	2554	1998-02-28	VYDAJ	VYBER	15	37451	SLUZBY	\N	\N
749184	2554	1998-03-31	VYDAJ	VYBER	15	36820	SLUZBY	\N	\N
749185	2554	1998-04-30	VYDAJ	VYBER	15	35971	SLUZBY	\N	\N
749186	2554	1998-05-31	VYDAJ	VYBER	15	39523	SLUZBY	\N	\N
749187	2554	1998-06-30	VYDAJ	VYBER	15	34206	SLUZBY	\N	\N
749188	2554	1998-07-31	VYDAJ	VYBER	15	38066	SLUZBY	\N	\N
749189	2554	1998-08-31	VYDAJ	VYBER	15	42723	SLUZBY	\N	\N
749190	2554	1998-09-30	VYDAJ	VYBER	15	43293	SLUZBY	\N	\N
749191	2554	1998-10-31	VYDAJ	VYBER	15	46166	SLUZBY	\N	\N
749192	2554	1998-11-30	VYDAJ	VYBER	15	50654	SLUZBY	\N	\N
749193	2554	1993-07-18	VYDAJ	VYBER	800	24296	\N	\N	\N
749194	2554	1993-08-17	VYDAJ	VYBER	11200	37838	\N	\N	\N
749195	2554	1993-09-16	VYDAJ	VYBER	18800	43862	\N	\N	\N
749196	2554	1993-10-16	VYDAJ	VYBER	22800	45928	\N	\N	\N
749197	2554	1993-11-15	VYDAJ	VYBER	17400	45805	\N	\N	\N
749198	2554	1993-12-15	VYDAJ	VYBER	25600	45990	\N	\N	\N
749199	2554	1994-01-14	VYDAJ	VYBER	11100	38374	\N	\N	\N
749200	2554	1994-02-13	VYDAJ	VYBER	14600	36596	\N	\N	\N
749201	2554	1994-03-15	VYDAJ	VYBER	12500	41345	\N	\N	\N
749202	2554	1994-04-14	VYDAJ	VYBER	17000	38109	\N	\N	\N
749203	2554	1994-05-14	VYDAJ	VYBER	14400	40952	\N	\N	\N
749204	2554	1994-06-13	VYDAJ	VYBER	10100	35649	\N	\N	\N
749205	2554	1994-07-13	VYDAJ	VYBER	12600	40290	\N	\N	\N
749206	2554	1994-08-12	VYDAJ	VYBER	17000	40532	\N	\N	\N
749207	2554	1994-09-11	VYDAJ	VYBER	14400	43379	\N	\N	\N
749208	2554	1994-10-11	VYDAJ	VYBER	19300	41333	\N	\N	\N
749209	2554	1994-11-10	VYDAJ	VYBER	15800	37614	\N	\N	\N
749210	2554	1994-12-10	VYDAJ	VYBER	21400	45835	\N	\N	\N
749211	2554	1995-01-09	VYDAJ	VYBER	18900	46596	\N	\N	\N
749212	2554	1995-02-08	VYDAJ	VYBER	11300	42828	\N	\N	\N
749213	2554	1995-03-10	VYDAJ	VYBER	9700	42738	\N	\N	\N
749214	2554	1995-04-09	VYDAJ	VYBER	21500	46115	\N	\N	\N
749215	2554	1995-05-09	VYDAJ	VYBER	17100	46255	\N	\N	\N
749216	2554	1995-06-08	VYDAJ	VYBER	22400	53438	\N	\N	\N
749217	2554	1995-07-08	VYDAJ	VYBER	6700	35025	\N	\N	\N
749218	2554	1995-08-07	VYDAJ	VYBER	12700	39505	\N	\N	\N
749219	2554	1995-09-06	VYDAJ	VYBER	10700	41810	\N	\N	\N
749220	2554	1995-10-06	VYDAJ	VYBER	10500	42757	\N	\N	\N
749221	2554	1995-11-05	VYDAJ	VYBER KARTOU	1200	32079	\N	\N	0
749222	2554	1995-12-05	VYDAJ	VYBER	8400	40949	\N	\N	\N
749223	2554	1996-01-04	VYDAJ	VYBER	14300	53444	\N	\N	\N
749224	2554	1996-02-03	VYDAJ	VYBER	13400	48989	\N	\N	\N
749225	2554	1996-03-04	VYDAJ	VYBER	19000	47339	\N	\N	\N
749226	2554	1996-04-03	VYDAJ	VYBER	16100	48585	\N	\N	\N
749227	2554	1996-05-03	VYDAJ	VYBER	15500	50434	\N	\N	\N
749228	2554	1996-06-02	VYDAJ	VYBER	15900	47808	\N	\N	\N
749229	2554	1996-07-02	VYDAJ	VYBER	25200	52345	\N	\N	\N
749230	2554	1996-08-01	VYDAJ	VYBER	16400	50713	\N	\N	\N
749231	2554	1996-08-31	VYDAJ	VYBER	21000	47083	\N	\N	\N
749232	2554	1996-09-30	VYDAJ	VYBER	19400	44986	\N	\N	\N
749233	2554	1996-10-30	VYDAJ	VYBER	15800	42675	\N	\N	\N
749234	2554	1996-11-29	VYDAJ	VYBER	17600	42393	\N	\N	\N
749235	2554	1996-12-29	VYDAJ	VYBER	16800	49636	\N	\N	\N
749236	2554	1997-01-28	VYDAJ	VYBER	13400	45570	\N	\N	\N
749237	2554	1997-02-27	VYDAJ	VYBER	12700	42680	\N	\N	\N
749238	2554	1997-03-29	VYDAJ	VYBER	15000	43955	\N	\N	\N
749239	2554	1997-04-28	VYDAJ	VYBER	13200	48058	\N	\N	\N
749240	2554	1997-05-28	VYDAJ	VYBER	14400	50957	\N	\N	\N
749241	2554	1997-06-27	VYDAJ	VYBER	5900	32799	\N	\N	\N
749242	2554	1997-07-27	VYDAJ	VYBER	7600	42467	\N	\N	\N
749243	2554	1997-08-26	VYDAJ	VYBER	15600	44120	\N	\N	\N
749244	2554	1997-09-25	VYDAJ	VYBER	15900	45505	\N	\N	\N
749245	2554	1997-10-25	VYDAJ	VYBER	15600	47196	\N	\N	\N
749246	2554	1997-11-24	VYDAJ	VYBER	21300	43192	\N	\N	\N
749247	2554	1997-12-24	VYDAJ	VYBER	21100	51737	\N	\N	\N
749248	2554	1998-01-23	VYDAJ	VYBER	10000	41448	\N	\N	\N
749249	2554	1998-02-22	VYDAJ	VYBER	11400	41726	\N	\N	\N
749250	2554	1998-03-24	VYDAJ	VYBER	12600	36660	\N	\N	\N
749251	2554	1998-04-23	VYDAJ	VYBER	18100	35809	\N	\N	\N
749252	2554	1998-05-23	VYDAJ	VYBER	13700	39360	\N	\N	\N
749253	2554	1998-06-22	VYDAJ	VYBER	16000	34040	\N	\N	\N
749254	2554	1998-07-22	VYDAJ	VYBER	9300	37915	\N	\N	\N
749255	2554	1998-08-21	VYDAJ	VYBER	12600	42555	\N	\N	\N
749256	2554	1998-09-20	VYDAJ	VYBER	16700	43112	\N	\N	\N
749257	2554	1998-10-20	VYDAJ	VYBER	13300	45982	\N	\N	\N
749258	2554	1998-11-19	VYDAJ	VYBER	12800	50455	\N	\N	\N
749259	2554	1998-12-19	VYDAJ	VYBER	17900	60791	\N	\N	\N
749326	2555	1993-03-10	PRIJEM	VKLAD	1100	20122	\N	\N	\N
749329	2555	1993-03-10	PRIJEM	VKLAD	19022	19022	\N	\N	\N
749330	2555	1993-04-10	PRIJEM	VKLAD	19022	42104	\N	\N	\N
749331	2555	1993-05-10	PRIJEM	VKLAD	19022	53773	\N	\N	\N
749332	2555	1993-06-10	PRIJEM	VKLAD	28533	68916	\N	\N	\N
749333	2555	1993-07-10	PRIJEM	VKLAD	19022	66507	\N	\N	\N
749334	2555	1993-08-10	PRIJEM	VKLAD	19022	58469	\N	\N	\N
749335	2555	1993-09-10	PRIJEM	VKLAD	19022	54394	\N	\N	\N
749336	2555	1993-10-10	PRIJEM	VKLAD	19022	54397	\N	\N	\N
749337	2555	1993-11-10	PRIJEM	VKLAD	19022	49999	\N	\N	\N
749338	2555	1993-12-10	PRIJEM	VKLAD	28533	57394	\N	\N	\N
749339	2555	1994-01-10	PRIJEM	VKLAD	19022	43192	\N	\N	\N
749340	2555	1994-02-10	PRIJEM	VKLAD	19022	44006	\N	\N	\N
749341	2555	1994-03-10	PRIJEM	VKLAD	19022	46557	\N	\N	\N
749342	2555	1994-04-10	PRIJEM	VKLAD	19022	47222	\N	\N	\N
749343	2555	1994-05-10	PRIJEM	VKLAD	19022	46691	\N	\N	\N
749344	2555	1994-06-10	PRIJEM	VKLAD	28533	57469	\N	\N	\N
749345	2555	1994-07-10	PRIJEM	VKLAD	19022	36603	\N	\N	\N
749346	2555	1994-08-10	PRIJEM	VKLAD	19022	42730	\N	\N	\N
749347	2555	1994-09-10	PRIJEM	VKLAD	19022	49074	\N	\N	\N
749348	2555	1994-10-10	PRIJEM	VKLAD	19022	53346	\N	\N	\N
749349	2555	1994-11-10	PRIJEM	VKLAD	19022	48236	\N	\N	\N
749350	2555	1994-12-10	PRIJEM	VKLAD	28533	59515	\N	\N	\N
749351	2555	1995-01-10	PRIJEM	VKLAD	19022	39558	\N	\N	\N
749352	2555	1995-02-10	PRIJEM	VKLAD	19022	44711	\N	\N	\N
749353	2555	1995-03-10	PRIJEM	VKLAD	19022	51261	\N	\N	\N
749354	2555	1995-04-10	PRIJEM	VKLAD	19022	52398	\N	\N	\N
749355	2555	1995-05-10	PRIJEM	VKLAD	19022	55118	\N	\N	\N
749356	2555	1995-06-10	PRIJEM	VKLAD	28533	70522	\N	\N	\N
749357	2555	1995-07-10	PRIJEM	VKLAD	19022	52363	\N	\N	\N
749358	2555	1995-08-10	PRIJEM	VKLAD	19022	56843	\N	\N	\N
749359	2555	1995-09-10	PRIJEM	VKLAD	19022	60640	\N	\N	\N
749360	2555	1995-10-10	PRIJEM	VKLAD	19022	63651	\N	\N	\N
749361	2555	1995-11-10	PRIJEM	VKLAD	19022	66894	\N	\N	\N
749362	2555	1995-12-10	PRIJEM	VKLAD	28533	78140	\N	\N	\N
749363	2555	1996-01-10	PRIJEM	VKLAD	19022	69360	\N	\N	\N
749364	2555	1996-02-10	PRIJEM	VKLAD	19022	55099	\N	\N	\N
749365	2555	1996-03-10	PRIJEM	VKLAD	19022	62707	\N	\N	\N
749366	2555	1996-04-10	PRIJEM	VKLAD	19022	68427	\N	\N	\N
749367	2555	1996-05-10	PRIJEM	VKLAD	19022	71317	\N	\N	\N
749368	2555	1996-06-10	PRIJEM	VKLAD	28533	80057	\N	\N	\N
749369	2555	1996-07-10	PRIJEM	VKLAD	19022	71982	\N	\N	\N
749370	2555	1996-08-10	PRIJEM	VKLAD	19022	71630	\N	\N	\N
749371	2555	1996-09-10	PRIJEM	VKLAD	19022	73178	\N	\N	\N
749372	2555	1996-10-10	PRIJEM	VKLAD	19022	72102	\N	\N	\N
749373	2555	1996-11-10	PRIJEM	VKLAD	19022	74151	\N	\N	\N
749374	2555	1996-12-10	PRIJEM	VKLAD	28533	83514	\N	\N	\N
749375	2555	1997-01-10	PRIJEM	VKLAD	19022	77289	\N	\N	\N
749376	2555	1997-02-10	PRIJEM	VKLAD	19022	65926	\N	\N	\N
749377	2555	1997-03-10	PRIJEM	VKLAD	19022	69710	\N	\N	\N
749378	2555	1997-04-10	PRIJEM	VKLAD	19022	73349	\N	\N	\N
749379	2555	1997-05-10	PRIJEM	VKLAD	19022	76101	\N	\N	\N
749380	2555	1997-06-10	PRIJEM	VKLAD	28533	86071	\N	\N	\N
749381	2555	1997-07-10	PRIJEM	VKLAD	19022	74522	\N	\N	\N
749382	2555	1997-08-10	PRIJEM	VKLAD	19022	79283	\N	\N	\N
749383	2555	1997-09-10	PRIJEM	VKLAD	19022	81594	\N	\N	\N
749384	2555	1997-10-10	PRIJEM	VKLAD	19022	87383	\N	\N	\N
749385	2555	1997-11-10	PRIJEM	VKLAD	19022	81890	\N	\N	\N
749386	2555	1997-12-10	PRIJEM	VKLAD	28533	88192	\N	\N	\N
749387	2555	1998-01-10	PRIJEM	VKLAD	19022	79986	\N	\N	\N
749388	2555	1998-02-10	PRIJEM	VKLAD	19022	60631	\N	\N	\N
749389	2555	1998-03-10	PRIJEM	VKLAD	19022	70438	\N	\N	\N
749390	2555	1998-04-10	PRIJEM	VKLAD	19022	72570	\N	\N	\N
749391	2555	1998-05-10	PRIJEM	VKLAD	19022	76613	\N	\N	\N
749392	2555	1998-06-10	PRIJEM	VKLAD	28533	88179	\N	\N	\N
749393	2555	1998-07-10	PRIJEM	VKLAD	19022	45466	\N	\N	\N
749394	2555	1998-08-10	PRIJEM	VKLAD	19022	63332	\N	\N	\N
749395	2555	1998-09-10	PRIJEM	VKLAD	19022	70844	\N	\N	\N
749396	2555	1998-10-10	PRIJEM	VKLAD	19022	76180	\N	\N	\N
749397	2555	1998-11-10	PRIJEM	VKLAD	19022	75955	\N	\N	\N
749398	2555	1998-12-10	PRIJEM	VKLAD	28533	90024	\N	\N	\N
749406	2555	1993-08-06	VYDAJ	PREVOD NA UCET	5464	61308	SIPO	QR	57132226
749407	2555	1993-09-06	VYDAJ	PREVOD NA UCET	5464	53233	SIPO	QR	57132226
749408	2555	1993-10-06	VYDAJ	PREVOD NA UCET	5464	49136	SIPO	QR	57132226
749409	2555	1993-11-06	VYDAJ	PREVOD NA UCET	5464	33238	SIPO	QR	57132226
749410	2555	1993-12-06	VYDAJ	PREVOD NA UCET	5464	31122	SIPO	QR	57132226
749411	2555	1994-01-06	VYDAJ	PREVOD NA UCET	5464	30591	SIPO	QR	57132226
749412	2555	1994-02-06	VYDAJ	PREVOD NA UCET	5464	27245	SIPO	QR	57132226
749413	2555	1994-03-06	VYDAJ	PREVOD NA UCET	5464	29796	SIPO	QR	57132226
749414	2555	1994-04-06	VYDAJ	PREVOD NA UCET	5464	30461	SIPO	QR	57132226
749415	2555	1994-05-06	VYDAJ	PREVOD NA UCET	5464	29930	SIPO	QR	57132226
749416	2555	1994-06-06	VYDAJ	PREVOD NA UCET	5464	31197	SIPO	QR	57132226
749417	2555	1994-07-06	VYDAJ	PREVOD NA UCET	5464	19842	SIPO	QR	57132226
749418	2555	1994-08-06	VYDAJ	PREVOD NA UCET	5464	25969	SIPO	QR	57132226
749419	2555	1994-09-06	VYDAJ	PREVOD NA UCET	5464	32313	SIPO	QR	57132226
749420	2555	1994-10-06	VYDAJ	PREVOD NA UCET	5464	36585	SIPO	QR	57132226
749421	2555	1994-11-06	VYDAJ	PREVOD NA UCET	5464	35675	SIPO	QR	57132226
749422	2555	1994-12-06	VYDAJ	PREVOD NA UCET	5464	33243	SIPO	QR	57132226
749423	2555	1995-01-06	VYDAJ	PREVOD NA UCET	5464	31117	SIPO	QR	57132226
749424	2555	1995-02-06	VYDAJ	PREVOD NA UCET	5464	27950	SIPO	QR	57132226
749425	2555	1995-03-06	VYDAJ	PREVOD NA UCET	5464	34500	SIPO	QR	57132226
749426	2555	1995-04-06	VYDAJ	PREVOD NA UCET	5464	35637	SIPO	QR	57132226
749427	2555	1995-05-06	VYDAJ	PREVOD NA UCET	5464	38357	SIPO	QR	57132226
749428	2555	1995-06-06	VYDAJ	PREVOD NA UCET	5464	44250	SIPO	QR	57132226
749429	2555	1995-07-06	VYDAJ	PREVOD NA UCET	5464	35602	SIPO	QR	57132226
749430	2555	1995-08-06	VYDAJ	PREVOD NA UCET	5464	40082	SIPO	QR	57132226
749431	2555	1995-09-06	VYDAJ	PREVOD NA UCET	5464	43879	SIPO	QR	57132226
749432	2555	1995-10-06	VYDAJ	PREVOD NA UCET	5464	46890	SIPO	QR	57132226
749433	2555	1995-11-06	VYDAJ	PREVOD NA UCET	5464	50133	SIPO	QR	57132226
749434	2555	1995-12-06	VYDAJ	PREVOD NA UCET	5464	51868	SIPO	QR	57132226
749435	2555	1996-01-06	VYDAJ	PREVOD NA UCET	5464	53199	SIPO	QR	57132226
749436	2555	1996-02-06	VYDAJ	PREVOD NA UCET	5464	38338	SIPO	QR	57132226
749437	2555	1996-03-06	VYDAJ	PREVOD NA UCET	5464	45946	SIPO	QR	57132226
749438	2555	1996-04-06	VYDAJ	PREVOD NA UCET	5464	51666	SIPO	QR	57132226
749439	2555	1996-05-06	VYDAJ	PREVOD NA UCET	5464	54556	SIPO	QR	57132226
749440	2555	1996-06-06	VYDAJ	PREVOD NA UCET	5464	53785	SIPO	QR	57132226
749441	2555	1996-07-06	VYDAJ	PREVOD NA UCET	5464	55221	SIPO	QR	57132226
749442	2555	1996-08-06	VYDAJ	PREVOD NA UCET	5464	54869	SIPO	QR	57132226
749443	2555	1996-09-06	VYDAJ	PREVOD NA UCET	5464	56417	SIPO	QR	57132226
749444	2555	1996-10-06	VYDAJ	PREVOD NA UCET	5464	55341	SIPO	QR	57132226
749445	2555	1996-11-06	VYDAJ	PREVOD NA UCET	5464	57390	SIPO	QR	57132226
749446	2555	1996-12-06	VYDAJ	PREVOD NA UCET	5464	57242	SIPO	QR	57132226
749447	2555	1997-01-06	VYDAJ	PREVOD NA UCET	5464	64008	SIPO	QR	57132226
749448	2555	1997-02-06	VYDAJ	PREVOD NA UCET	5464	49165	SIPO	QR	57132226
749449	2555	1997-03-06	VYDAJ	PREVOD NA UCET	5464	52949	SIPO	QR	57132226
749450	2555	1997-04-06	VYDAJ	PREVOD NA UCET	5464	56588	SIPO	QR	57132226
749451	2555	1997-05-06	VYDAJ	PREVOD NA UCET	5464	59340	SIPO	QR	57132226
749452	2555	1997-06-06	VYDAJ	PREVOD NA UCET	5464	59799	SIPO	QR	57132226
749453	2555	1997-07-06	VYDAJ	PREVOD NA UCET	5464	57761	SIPO	QR	57132226
749454	2555	1997-08-06	VYDAJ	PREVOD NA UCET	5464	62522	SIPO	QR	57132226
749455	2555	1997-09-06	VYDAJ	PREVOD NA UCET	5464	64833	SIPO	QR	57132226
749456	2555	1997-10-06	VYDAJ	PREVOD NA UCET	5464	70622	SIPO	QR	57132226
749457	2555	1997-11-06	VYDAJ	PREVOD NA UCET	5464	65129	SIPO	QR	57132226
749458	2555	1997-12-06	VYDAJ	PREVOD NA UCET	5464	61920	SIPO	QR	57132226
749459	2555	1998-01-06	VYDAJ	PREVOD NA UCET	5464	63225	SIPO	QR	57132226
749460	2555	1998-02-06	VYDAJ	PREVOD NA UCET	5464	43870	SIPO	QR	57132226
749461	2555	1998-03-06	VYDAJ	PREVOD NA UCET	5464	53677	SIPO	QR	57132226
749462	2555	1998-04-06	VYDAJ	PREVOD NA UCET	5464	55809	SIPO	QR	57132226
749463	2555	1998-05-06	VYDAJ	PREVOD NA UCET	5464	59852	SIPO	QR	57132226
749464	2555	1998-06-06	VYDAJ	PREVOD NA UCET	5464	61907	SIPO	QR	57132226
749465	2555	1998-07-06	VYDAJ	PREVOD NA UCET	5464	28705	SIPO	QR	57132226
749466	2555	1998-08-06	VYDAJ	PREVOD NA UCET	5464	46571	SIPO	QR	57132226
749467	2555	1998-09-06	VYDAJ	PREVOD NA UCET	5464	54083	SIPO	QR	57132226
749468	2555	1998-10-06	VYDAJ	PREVOD NA UCET	5464	59419	SIPO	QR	57132226
749469	2555	1998-11-06	VYDAJ	PREVOD NA UCET	5464	61894	SIPO	QR	57132226
749470	2555	1998-12-06	VYDAJ	PREVOD NA UCET	5464	70772	SIPO	QR	57132226
749478	2555	1993-08-08	VYDAJ	PREVOD NA UCET	2261	39447	 	AB	73481118
749479	2555	1993-09-08	VYDAJ	PREVOD NA UCET	2261	35372	 	AB	73481118
749480	2555	1993-10-08	VYDAJ	PREVOD NA UCET	2261	35375	 	AB	73481118
749481	2555	1993-11-08	VYDAJ	PREVOD NA UCET	2261	30977	 	AB	73481118
749482	2555	1993-12-08	VYDAJ	PREVOD NA UCET	2261	28861	 	AB	73481118
749483	2555	1994-01-08	VYDAJ	PREVOD NA UCET	2261	24170	 	AB	73481118
749484	2555	1994-02-08	VYDAJ	PREVOD NA UCET	2261	24984	 	AB	73481118
749485	2555	1994-03-08	VYDAJ	PREVOD NA UCET	2261	27535	 	AB	73481118
749486	2555	1994-04-08	VYDAJ	PREVOD NA UCET	2261	28200	 	AB	73481118
749487	2555	1994-05-08	VYDAJ	PREVOD NA UCET	2261	27669	 	AB	73481118
749488	2555	1994-06-08	VYDAJ	PREVOD NA UCET	2261	28936	 	AB	73481118
749489	2555	1994-07-08	VYDAJ	PREVOD NA UCET	2261	17581	 	AB	73481118
749490	2555	1994-08-08	VYDAJ	PREVOD NA UCET	2261	23708	 	AB	73481118
749491	2555	1994-09-08	VYDAJ	PREVOD NA UCET	2261	30052	 	AB	73481118
749492	2555	1994-10-08	VYDAJ	PREVOD NA UCET	2261	34324	 	AB	73481118
749493	2555	1994-11-08	VYDAJ	PREVOD NA UCET	2261	29214	 	AB	73481118
749494	2555	1994-12-08	VYDAJ	PREVOD NA UCET	2261	30982	 	AB	73481118
749495	2555	1995-01-08	VYDAJ	PREVOD NA UCET	2261	27896	 	AB	73481118
749496	2555	1995-02-08	VYDAJ	PREVOD NA UCET	2261	25689	 	AB	73481118
749497	2555	1995-03-08	VYDAJ	PREVOD NA UCET	2261	32239	 	AB	73481118
749498	2555	1995-04-08	VYDAJ	PREVOD NA UCET	2261	33376	 	AB	73481118
749499	2555	1995-05-08	VYDAJ	PREVOD NA UCET	2261	36096	 	AB	73481118
749500	2555	1995-06-08	VYDAJ	PREVOD NA UCET	2261	41989	 	AB	73481118
749501	2555	1995-07-08	VYDAJ	PREVOD NA UCET	2261	33341	 	AB	73481118
749502	2555	1995-08-08	VYDAJ	PREVOD NA UCET	2261	37821	 	AB	73481118
749503	2555	1995-09-08	VYDAJ	PREVOD NA UCET	2261	41618	 	AB	73481118
749504	2555	1995-10-08	VYDAJ	PREVOD NA UCET	2261	44629	 	AB	73481118
749505	2555	1995-11-08	VYDAJ	PREVOD NA UCET	2261	47872	 	AB	73481118
749506	2555	1995-12-08	VYDAJ	PREVOD NA UCET	2261	49607	 	AB	73481118
749507	2555	1996-01-08	VYDAJ	PREVOD NA UCET	2261	50938	 	AB	73481118
749508	2555	1996-02-08	VYDAJ	PREVOD NA UCET	2261	36077	 	AB	73481118
749509	2555	1996-03-08	VYDAJ	PREVOD NA UCET	2261	43685	 	AB	73481118
749510	2555	1996-04-08	VYDAJ	PREVOD NA UCET	2261	49405	 	AB	73481118
749511	2555	1996-05-08	VYDAJ	PREVOD NA UCET	2261	52295	 	AB	73481118
749512	2555	1996-06-08	VYDAJ	PREVOD NA UCET	2261	51524	 	AB	73481118
749513	2555	1996-07-08	VYDAJ	PREVOD NA UCET	2261	52960	 	AB	73481118
749514	2555	1996-08-08	VYDAJ	PREVOD NA UCET	2261	52608	 	AB	73481118
749515	2555	1996-09-08	VYDAJ	PREVOD NA UCET	2261	54156	 	AB	73481118
749516	2555	1996-10-08	VYDAJ	PREVOD NA UCET	2261	53080	 	AB	73481118
749517	2555	1996-11-08	VYDAJ	PREVOD NA UCET	2261	55129	 	AB	73481118
749518	2555	1996-12-08	VYDAJ	PREVOD NA UCET	2261	54981	 	AB	73481118
749519	2555	1997-01-08	VYDAJ	PREVOD NA UCET	2261	61747	 	AB	73481118
749520	2555	1997-02-08	VYDAJ	PREVOD NA UCET	2261	46904	 	AB	73481118
749521	2555	1997-03-08	VYDAJ	PREVOD NA UCET	2261	50688	 	AB	73481118
749522	2555	1997-04-08	VYDAJ	PREVOD NA UCET	2261	54327	 	AB	73481118
749523	2555	1997-05-08	VYDAJ	PREVOD NA UCET	2261	57079	 	AB	73481118
749524	2555	1997-06-08	VYDAJ	PREVOD NA UCET	2261	57538	 	AB	73481118
749525	2555	1997-07-08	VYDAJ	PREVOD NA UCET	2261	55500	 	AB	73481118
749526	2555	1997-08-08	VYDAJ	PREVOD NA UCET	2261	60261	 	AB	73481118
749527	2555	1997-09-08	VYDAJ	PREVOD NA UCET	2261	62572	 	AB	73481118
749528	2555	1997-10-08	VYDAJ	PREVOD NA UCET	2261	68361	 	AB	73481118
749529	2555	1997-11-08	VYDAJ	PREVOD NA UCET	2261	62868	 	AB	73481118
749530	2555	1997-12-08	VYDAJ	PREVOD NA UCET	2261	59659	 	AB	73481118
749531	2555	1998-01-08	VYDAJ	PREVOD NA UCET	2261	60964	 	AB	73481118
749532	2555	1998-02-08	VYDAJ	PREVOD NA UCET	2261	41609	 	AB	73481118
749533	2555	1998-03-08	VYDAJ	PREVOD NA UCET	2261	51416	 	AB	73481118
749534	2555	1998-04-08	VYDAJ	PREVOD NA UCET	2261	53548	 	AB	73481118
749535	2555	1998-05-08	VYDAJ	PREVOD NA UCET	2261	57591	 	AB	73481118
749536	2555	1998-06-08	VYDAJ	PREVOD NA UCET	2261	59646	 	AB	73481118
749537	2555	1998-07-08	VYDAJ	PREVOD NA UCET	2261	26444	 	AB	73481118
749538	2555	1998-08-08	VYDAJ	PREVOD NA UCET	2261	44310	 	AB	73481118
749539	2555	1998-09-08	VYDAJ	PREVOD NA UCET	2261	51822	 	AB	73481118
749540	2555	1998-10-08	VYDAJ	PREVOD NA UCET	2261	57158	 	AB	73481118
749541	2555	1998-11-08	VYDAJ	PREVOD NA UCET	2261	59633	 	AB	73481118
749542	2555	1998-12-08	VYDAJ	PREVOD NA UCET	2261	66591	 	AB	73481118
749544	2555	1994-06-10	VYDAJ	VYBER	36960	20509	\N	\N	\N
749545	2555	1995-06-21	VYDAJ	VYBER	34560	35962	\N	\N	\N
749546	2555	1996-06-26	VYDAJ	VYBER	6240	60417	\N	\N	\N
749547	2555	1997-06-20	VYDAJ	VYBER	8800	65111	\N	\N	\N
749548	2555	1998-06-22	VYDAJ	VYBER	39040	33939	\N	\N	\N
749550	2555	1994-01-07	VYDAJ	VYBER	2240	28351	\N	\N	\N
749551	2555	1995-01-09	VYDAJ	VYBER	7360	20536	\N	\N	\N
749552	2555	1996-01-12	VYDAJ	VYBER	13920	52920	\N	\N	\N
749553	2555	1997-01-21	VYDAJ	VYBER	5280	59289	\N	\N	\N
749554	2555	1998-01-12	VYDAJ	VYBER	15520	63626	\N	\N	\N
749555	2555	1993-12-24	VYDAJ	VYBER	3200	54194	\N	\N	\N
749556	2555	1994-12-18	VYDAJ	VYBER	1440	53395	\N	\N	\N
749557	2555	1995-12-20	VYDAJ	VYBER	1600	76540	\N	\N	\N
749558	2555	1996-12-20	VYDAJ	VYBER	1920	69194	\N	\N	\N
749559	2555	1997-12-03	VYDAJ	VYBER	960	67384	\N	\N	\N
749560	2555	1998-12-16	VYDAJ	VYBER	1440	88584	\N	\N	\N
749567	2555	1994-01-06	VYDAJ	VYBER	3360	36055	\N	\N	\N
749568	2555	1994-01-27	VYDAJ	VYBER	3240	38152	\N	\N	\N
749569	2555	1994-01-23	VYDAJ	VYBER	840	41392	\N	\N	\N
749570	2555	1994-01-12	VYDAJ	VYBER	960	42232	\N	\N	\N
749571	2555	1994-01-05	VYDAJ	VYBER	1080	39415	\N	\N	\N
749572	2555	1994-01-07	VYDAJ	VYBER	1920	26431	\N	\N	\N
749573	2555	1995-01-01	VYDAJ	VYBER	2520	39821	\N	\N	\N
749574	2555	1995-01-01	VYDAJ	VYBER	3240	36581	\N	\N	\N
749575	2555	1995-01-07	VYDAJ	VYBER	960	30157	\N	\N	\N
749576	2555	1995-01-30	VYDAJ	VYBER	3480	33278	\N	\N	\N
749577	2555	1995-01-18	VYDAJ	VYBER	2520	37038	\N	\N	\N
749578	2555	1995-01-22	VYDAJ	VYBER	1080	35958	\N	\N	\N
749579	2555	1996-01-08	VYDAJ	VYBER	600	50338	\N	\N	\N
749580	2555	1996-01-16	VYDAJ	VYBER	1320	51600	\N	\N	\N
749581	2555	1996-01-27	VYDAJ	VYBER	2760	43600	\N	\N	\N
749582	2555	1996-01-01	VYDAJ	VYBER	1440	58663	\N	\N	\N
749583	2555	1996-01-10	VYDAJ	VYBER	2520	66840	\N	\N	\N
749584	2555	1996-01-23	VYDAJ	VYBER	2640	48960	\N	\N	\N
749585	2555	1997-01-18	VYDAJ	VYBER	2040	72969	\N	\N	\N
749586	2555	1997-01-13	VYDAJ	VYBER	2280	75009	\N	\N	\N
749587	2555	1997-01-28	VYDAJ	VYBER	600	54369	\N	\N	\N
749588	2555	1997-01-27	VYDAJ	VYBER	1080	54969	\N	\N	\N
749589	2555	1997-01-08	VYDAJ	VYBER	3480	58267	\N	\N	\N
749590	2555	1997-01-27	VYDAJ	VYBER	3240	56049	\N	\N	\N
749591	2555	1998-01-23	VYDAJ	VYBER	2760	53786	\N	\N	\N
749592	2555	1998-01-23	VYDAJ	VYBER	1200	52586	\N	\N	\N
749593	2555	1998-01-24	VYDAJ	VYBER	3480	49106	\N	\N	\N
749594	2555	1998-01-11	VYDAJ	VYBER	840	79146	\N	\N	\N
749595	2555	1998-01-01	VYDAJ	VYBER	2280	68689	\N	\N	\N
749596	2555	1998-01-15	VYDAJ	VYBER	2280	56546	\N	\N	\N
749598	2555	1994-12-16	VYDAJ	VYBER	4680	54835	\N	\N	\N
749599	2555	1994-11-06	VYDAJ	VYBER	4200	31475	\N	\N	\N
749600	2555	1994-12-19	VYDAJ	VYBER	2640	50755	\N	\N	\N
749601	2555	1994-07-17	VYDAJ	VYBER	3480	33123	\N	\N	\N
749602	2555	1995-03-31	VYDAJ	VYBER	2640	41101	\N	\N	\N
749603	2555	1995-04-28	VYDAJ	VYBER	3960	48438	\N	\N	\N
749604	2555	1995-10-21	VYDAJ	VYBER	2280	61371	\N	\N	\N
749605	2555	1996-04-11	VYDAJ	VYBER	5640	62787	\N	\N	\N
749606	2555	1996-06-02	VYDAJ	VYBER	2520	59249	\N	\N	\N
749607	2555	1996-09-12	VYDAJ	VYBER	4320	68858	\N	\N	\N
749608	2555	1996-02-16	VYDAJ	VYBER	1080	54019	\N	\N	\N
749609	2555	1997-02-15	VYDAJ	VYBER	1440	64486	\N	\N	\N
749610	2555	1997-08-13	VYDAJ	VYBER	3960	75323	\N	\N	\N
749611	2555	1997-06-30	VYDAJ	VYBER	2160	63225	\N	\N	\N
749612	2555	1997-10-17	VYDAJ	VYBER	3480	70303	\N	\N	\N
749613	2555	1997-06-10	VYDAJ	VYBER	1560	84511	\N	\N	\N
749614	2555	1997-03-03	VYDAJ	VYBER	1200	58413	\N	\N	\N
749615	2555	1997-11-20	VYDAJ	VYBER	1320	68070	\N	\N	\N
749616	2555	1998-12-08	VYDAJ	VYBER	1920	68852	\N	\N	\N
749617	2555	1998-12-26	VYDAJ	VYBER	5040	83544	\N	\N	\N
749625	2555	1993-07-31	VYDAJ	VYBER	15	66772	SLUZBY	\N	\N
749626	2555	1993-08-31	VYDAJ	VYBER	15	58697	SLUZBY	\N	\N
749627	2555	1993-09-30	VYDAJ	VYBER	15	54600	SLUZBY	\N	\N
749628	2555	1993-10-31	VYDAJ	VYBER	15	54602	SLUZBY	\N	\N
749629	2555	1993-11-30	VYDAJ	VYBER	15	50186	SLUZBY	\N	\N
749630	2555	1993-12-31	VYDAJ	VYBER	15	54395	SLUZBY	\N	\N
749631	2555	1994-01-31	VYDAJ	VYBER	15	38309	SLUZBY	\N	\N
749632	2555	1994-02-28	VYDAJ	VYBER	15	44160	SLUZBY	\N	\N
749633	2555	1994-03-31	VYDAJ	VYBER	15	46725	SLUZBY	\N	\N
749634	2555	1994-04-30	VYDAJ	VYBER	15	47394	SLUZBY	\N	\N
749635	2555	1994-05-31	VYDAJ	VYBER	15	46861	SLUZBY	\N	\N
749636	2555	1994-06-30	VYDAJ	VYBER	15	20706	SLUZBY	\N	\N
749637	2555	1994-07-31	VYDAJ	VYBER	15	33233	SLUZBY	\N	\N
749638	2555	1994-08-31	VYDAJ	VYBER	15	42877	SLUZBY	\N	\N
749639	2555	1994-09-30	VYDAJ	VYBER	15	49249	SLUZBY	\N	\N
749640	2555	1994-10-31	VYDAJ	VYBER	15	53539	SLUZBY	\N	\N
749641	2555	1994-11-30	VYDAJ	VYBER	15	38707	SLUZBY	\N	\N
749642	2555	1994-12-31	VYDAJ	VYBER	15	42341	SLUZBY	\N	\N
749643	2555	1995-01-31	VYDAJ	VYBER	15	33414	SLUZBY	\N	\N
749644	2555	1995-02-28	VYDAJ	VYBER	15	39964	SLUZBY	\N	\N
749645	2555	1995-03-31	VYDAJ	VYBER	15	43741	SLUZBY	\N	\N
749646	2555	1995-04-30	VYDAJ	VYBER	15	43821	SLUZBY	\N	\N
749647	2555	1995-05-31	VYDAJ	VYBER	15	49714	SLUZBY	\N	\N
749648	2555	1995-06-30	VYDAJ	VYBER	15	41066	SLUZBY	\N	\N
749649	2555	1995-07-31	VYDAJ	VYBER	15	45546	SLUZBY	\N	\N
749650	2555	1995-08-31	VYDAJ	VYBER	15	49343	SLUZBY	\N	\N
749651	2555	1995-09-30	VYDAJ	VYBER	15	52354	SLUZBY	\N	\N
749652	2555	1995-10-31	VYDAJ	VYBER	15	55597	SLUZBY	\N	\N
749653	2555	1995-11-30	VYDAJ	VYBER	15	57332	SLUZBY	\N	\N
749654	2555	1995-12-31	VYDAJ	VYBER	15	60103	SLUZBY	\N	\N
749655	2555	1996-01-31	VYDAJ	VYBER	15	43802	SLUZBY	\N	\N
749656	2555	1996-02-29	VYDAJ	VYBER	15	51410	SLUZBY	\N	\N
749657	2555	1996-03-31	VYDAJ	VYBER	15	57130	SLUZBY	\N	\N
749658	2555	1996-04-30	VYDAJ	VYBER	15	60020	SLUZBY	\N	\N
749659	2555	1996-05-31	VYDAJ	VYBER	15	61769	SLUZBY	\N	\N
749660	2555	1996-06-30	VYDAJ	VYBER	15	60685	SLUZBY	\N	\N
749661	2555	1996-07-31	VYDAJ	VYBER	15	60333	SLUZBY	\N	\N
749662	2555	1996-08-31	VYDAJ	VYBER	15	61881	SLUZBY	\N	\N
749663	2555	1996-09-30	VYDAJ	VYBER	15	60805	SLUZBY	\N	\N
749664	2555	1996-10-31	VYDAJ	VYBER	15	62854	SLUZBY	\N	\N
749665	2555	1996-11-30	VYDAJ	VYBER	15	62706	SLUZBY	\N	\N
749666	2555	1996-12-31	VYDAJ	VYBER	15	69472	SLUZBY	\N	\N
749667	2555	1997-01-31	VYDAJ	VYBER	15	54629	SLUZBY	\N	\N
749668	2555	1997-02-28	VYDAJ	VYBER	15	59613	SLUZBY	\N	\N
749669	2555	1997-03-31	VYDAJ	VYBER	15	62052	SLUZBY	\N	\N
749670	2555	1997-04-30	VYDAJ	VYBER	15	64804	SLUZBY	\N	\N
749671	2555	1997-05-31	VYDAJ	VYBER	15	65263	SLUZBY	\N	\N
749672	2555	1997-06-30	VYDAJ	VYBER	15	65385	SLUZBY	\N	\N
749673	2555	1997-07-31	VYDAJ	VYBER	15	67986	SLUZBY	\N	\N
749674	2555	1997-08-31	VYDAJ	VYBER	15	70297	SLUZBY	\N	\N
749675	2555	1997-09-30	VYDAJ	VYBER	15	76086	SLUZBY	\N	\N
749676	2555	1997-10-31	VYDAJ	VYBER	15	70593	SLUZBY	\N	\N
749677	2555	1997-11-30	VYDAJ	VYBER	15	68344	SLUZBY	\N	\N
749678	2555	1997-12-31	VYDAJ	VYBER	15	70969	SLUZBY	\N	\N
749679	2555	1998-01-31	VYDAJ	VYBER	15	49334	SLUZBY	\N	\N
749680	2555	1998-02-28	VYDAJ	VYBER	15	59141	SLUZBY	\N	\N
749681	2555	1998-03-31	VYDAJ	VYBER	15	61273	SLUZBY	\N	\N
749682	2555	1998-04-30	VYDAJ	VYBER	15	65316	SLUZBY	\N	\N
749683	2555	1998-05-31	VYDAJ	VYBER	15	67371	SLUZBY	\N	\N
749684	2555	1998-06-30	VYDAJ	VYBER	15	34169	SLUZBY	\N	\N
749685	2555	1998-07-31	VYDAJ	VYBER	15	52035	SLUZBY	\N	\N
749686	2555	1998-08-31	VYDAJ	VYBER	15	59547	SLUZBY	\N	\N
749687	2555	1998-09-30	VYDAJ	VYBER	15	64883	SLUZBY	\N	\N
749688	2555	1998-10-31	VYDAJ	VYBER	15	67358	SLUZBY	\N	\N
749689	2555	1998-11-30	VYDAJ	VYBER	15	76236	SLUZBY	\N	\N
749690	2555	1993-04-09	PRIJEM	VKLAD	2900	23082	\N	\N	\N
749691	2555	1993-05-09	VYDAJ	VYBER	7500	34751	\N	\N	\N
749692	2555	1993-06-08	VYDAJ	VYBER	13600	40383	\N	\N	\N
749693	2555	1993-07-08	VYDAJ	VYBER	21700	47485	\N	\N	\N
749694	2555	1993-08-07	VYDAJ	VYBER	19600	41708	\N	\N	\N
749695	2555	1993-09-06	VYDAJ	VYBER	15600	37633	\N	\N	\N
749696	2555	1993-10-06	VYDAJ	VYBER	11500	37636	\N	\N	\N
749697	2555	1993-11-05	VYDAJ	VYBER	15900	38702	\N	\N	\N
749698	2555	1993-12-05	VYDAJ	VYBER	13600	36586	\N	\N	\N
749699	2555	1994-01-04	VYDAJ	VYBER	13900	40495	\N	\N	\N
749700	2555	1994-02-03	VYDAJ	VYBER	5600	32709	\N	\N	\N
749701	2555	1994-03-05	VYDAJ	VYBER	8900	35260	\N	\N	\N
749702	2555	1994-04-04	VYDAJ	VYBER	10800	35925	\N	\N	\N
749703	2555	1994-05-04	VYDAJ	VYBER	12000	35394	\N	\N	\N
749704	2555	1994-06-03	VYDAJ	VYBER	10200	36661	\N	\N	\N
749705	2555	1994-07-03	PRIJEM	VKLAD	4600	25306	\N	\N	\N
749706	2555	1994-08-02	VYDAJ	VYBER	1800	31433	\N	\N	\N
749707	2555	1994-09-01	VYDAJ	VYBER	5100	37777	\N	\N	\N
749708	2555	1994-10-01	VYDAJ	VYBER	7200	42049	\N	\N	\N
749709	2555	1994-10-31	VYDAJ	VYBER	12400	41139	\N	\N	\N
749710	2555	1994-11-30	VYDAJ	VYBER	9700	38722	\N	\N	\N
749711	2555	1994-12-30	VYDAJ	VYBER	8600	42155	\N	\N	\N
749712	2555	1995-01-29	PRIJEM	VKLAD	800	36758	\N	\N	\N
749713	2555	1995-02-28	VYDAJ	VYBER	4900	39978	\N	\N	\N
749714	2555	1995-03-30	VYDAJ	VYBER	7700	43561	\N	\N	\N
749715	2555	1995-04-29	VYDAJ	VYBER	4800	43638	\N	\N	\N
749716	2555	1995-05-29	VYDAJ	VYBER	5600	49518	\N	\N	\N
749717	2555	1995-06-28	PRIJEM	VKLAD	4900	40862	\N	\N	\N
749718	2555	1995-07-28	VYDAJ	VYBER	7000	45363	\N	\N	\N
749719	2555	1995-08-27	VYDAJ	VYBER	7700	49143	\N	\N	\N
749720	2555	1995-09-26	VYDAJ	VYBER	8500	52140	\N	\N	\N
749721	2555	1995-10-26	VYDAJ	VYBER	6000	55371	\N	\N	\N
749722	2555	1995-11-25	VYDAJ	VYBER	9800	57094	\N	\N	\N
749723	2555	1995-12-25	VYDAJ	VYBER	16700	59840	\N	\N	\N
749724	2555	1996-01-24	VYDAJ	VYBER	2600	46360	\N	\N	\N
749725	2555	1996-02-23	VYDAJ	VYBER	2800	51219	\N	\N	\N
749726	2555	1996-03-24	VYDAJ	VYBER	5800	56907	\N	\N	\N
749727	2555	1996-04-23	VYDAJ	VYBER	3000	59787	\N	\N	\N
749728	2555	1996-05-23	VYDAJ	VYBER	9800	61517	\N	\N	\N
749729	2555	1996-06-22	VYDAJ	VYBER	13400	66657	\N	\N	\N
749730	2555	1996-07-22	VYDAJ	VYBER	11900	60082	\N	\N	\N
749731	2555	1996-08-21	VYDAJ	VYBER	10000	61630	\N	\N	\N
749732	2555	1996-09-20	VYDAJ	VYBER	8300	60558	\N	\N	\N
749733	2555	1996-10-20	VYDAJ	VYBER	9500	62602	\N	\N	\N
749734	2555	1996-11-19	VYDAJ	VYBER	11700	62451	\N	\N	\N
749735	2555	1996-12-19	VYDAJ	VYBER	12400	71114	\N	\N	\N
749736	2555	1997-01-18	VYDAJ	VYBER	8400	64569	\N	\N	\N
749737	2555	1997-02-17	VYDAJ	VYBER	5100	59386	\N	\N	\N
749738	2555	1997-03-19	VYDAJ	VYBER	7900	61810	\N	\N	\N
749739	2555	1997-04-18	VYDAJ	VYBER	8800	64549	\N	\N	\N
749740	2555	1997-05-18	VYDAJ	VYBER	11100	65001	\N	\N	\N
749741	2555	1997-06-17	VYDAJ	VYBER	10600	73911	\N	\N	\N
749742	2555	1997-07-17	VYDAJ	VYBER	6800	67722	\N	\N	\N
749743	2555	1997-08-16	VYDAJ	VYBER	5300	70023	\N	\N	\N
749744	2555	1997-09-15	VYDAJ	VYBER	5800	75794	\N	\N	\N
749745	2555	1997-10-15	VYDAJ	VYBER	13600	73783	\N	\N	\N
749746	2555	1997-11-14	VYDAJ	VYBER	12500	69390	\N	\N	\N
749747	2555	1997-12-14	VYDAJ	VYBER	17500	70692	\N	\N	\N
749748	2555	1998-01-13	VYDAJ	VYBER	4800	58826	\N	\N	\N
749749	2555	1998-02-12	VYDAJ	VYBER	1700	58931	\N	\N	\N
749750	2555	1998-03-14	VYDAJ	VYBER	9400	61038	\N	\N	\N
749751	2555	1998-04-13	VYDAJ	VYBER	7500	65070	\N	\N	\N
749752	2555	1998-05-13	VYDAJ	VYBER	9500	67113	\N	\N	\N
749753	2555	1998-06-12	VYDAJ	VYBER	15200	72979	\N	\N	\N
749754	2555	1998-07-12	PRIJEM	VKLAD	6400	51866	\N	\N	\N
749755	2555	1998-08-11	VYDAJ	VYBER	4000	59332	\N	\N	\N
749756	2555	1998-09-10	VYDAJ	VYBER	6200	64644	\N	\N	\N
749757	2555	1998-10-10	VYDAJ	VYBER	9100	67080	\N	\N	\N
749758	2555	1998-11-09	VYDAJ	VYBER	2700	56933	\N	\N	\N
749759	2555	1998-12-09	VYDAJ	VYBER	5100	61491	\N	\N	\N
749830	2556	1997-10-19	PRIJEM	VKLAD	800	800	\N	\N	\N
749841	2556	1997-11-08	PRIJEM	PREVOD Z UCTU	3009	3809	\N	IJ	74873977
749842	2556	1997-12-08	PRIJEM	PREVOD Z UCTU	3009	6818	\N	IJ	74873977
749843	2556	1998-01-08	PRIJEM	PREVOD Z UCTU	3009	9827	\N	IJ	74873977
749844	2556	1998-02-08	PRIJEM	PREVOD Z UCTU	3009	12836	\N	IJ	74873977
749845	2556	1998-03-08	PRIJEM	PREVOD Z UCTU	3009	15845	\N	IJ	74873977
749846	2556	1998-04-08	PRIJEM	PREVOD Z UCTU	3009	15377	\N	IJ	74873977
749847	2556	1998-05-08	PRIJEM	PREVOD Z UCTU	3009	16219	\N	IJ	74873977
749848	2556	1998-06-08	PRIJEM	PREVOD Z UCTU	3009	15335	\N	IJ	74873977
749849	2556	1998-07-08	PRIJEM	PREVOD Z UCTU	3009	16378	\N	IJ	74873977
749850	2556	1998-08-08	PRIJEM	PREVOD Z UCTU	3009	14719	\N	IJ	74873977
749851	2556	1998-09-08	PRIJEM	PREVOD Z UCTU	3009	15160	\N	IJ	74873977
749852	2556	1998-10-08	PRIJEM	PREVOD Z UCTU	3009	14398	\N	IJ	74873977
749853	2556	1998-11-08	PRIJEM	PREVOD Z UCTU	3009	15437	\N	IJ	74873977
749854	2556	1998-12-08	PRIJEM	PREVOD Z UCTU	3009	15969	\N	IJ	74873977
749869	2556	1998-03-08	VYDAJ	PREVOD NA UCET	2006	13839	SIPO	WX	2889705
749870	2556	1998-04-08	VYDAJ	PREVOD NA UCET	2006	13371	SIPO	WX	2889705
749871	2556	1998-05-08	VYDAJ	PREVOD NA UCET	2006	14213	SIPO	WX	2889705
749872	2556	1998-06-08	VYDAJ	PREVOD NA UCET	2006	13329	SIPO	WX	2889705
749873	2556	1998-07-08	VYDAJ	PREVOD NA UCET	2006	14372	SIPO	WX	2889705
749874	2556	1998-08-08	VYDAJ	PREVOD NA UCET	2006	12713	SIPO	WX	2889705
749875	2556	1998-09-08	VYDAJ	PREVOD NA UCET	2006	13154	SIPO	WX	2889705
749876	2556	1998-10-08	VYDAJ	PREVOD NA UCET	2006	12392	SIPO	WX	2889705
749877	2556	1998-11-08	VYDAJ	PREVOD NA UCET	2006	13431	SIPO	WX	2889705
749878	2556	1998-12-08	VYDAJ	PREVOD NA UCET	2006	13963	SIPO	WX	2889705
749884	2556	1998-12-11	VYDAJ	VYBER	750	13213	\N	\N	\N
749904	2556	1998-05-21	VYDAJ	VYBER	330	12283	\N	\N	\N
749905	2556	1998-11-13	VYDAJ	VYBER	510	12921	\N	\N	\N
749906	2556	1998-03-25	VYDAJ	VYBER	630	12339	\N	\N	\N
749907	2556	1998-03-13	VYDAJ	VYBER	870	12969	\N	\N	\N
749923	2556	1998-03-31	VYDAJ	VYBER	15	12368	SLUZBY	\N	\N
749924	2556	1998-04-30	VYDAJ	VYBER	15	13210	SLUZBY	\N	\N
749925	2556	1998-05-31	VYDAJ	VYBER	15	12326	SLUZBY	\N	\N
749926	2556	1998-06-30	VYDAJ	VYBER	15	13369	SLUZBY	\N	\N
749927	2556	1998-07-31	VYDAJ	VYBER	15	11710	SLUZBY	\N	\N
749928	2556	1998-08-31	VYDAJ	VYBER	15	12151	SLUZBY	\N	\N
749929	2556	1998-09-30	VYDAJ	VYBER	15	11389	SLUZBY	\N	\N
749930	2556	1998-10-31	VYDAJ	VYBER	15	12428	SLUZBY	\N	\N
749931	2556	1998-11-30	VYDAJ	VYBER	15	12960	SLUZBY	\N	\N
749932	2556	1998-04-17	VYDAJ	VYBER	200	13171	\N	\N	\N
749933	2556	1998-05-17	VYDAJ	VYBER	1600	12613	\N	\N	\N
749934	2556	1998-07-16	VYDAJ	VYBER	2700	11672	\N	\N	\N
749935	2556	1998-08-15	VYDAJ	VYBER	600	12113	\N	\N	\N
749936	2556	1998-09-14	VYDAJ	VYBER	1800	11354	\N	\N	\N
749947	2557	1993-11-17	PRIJEM	VKLAD	400	400	\N	\N	\N
749959	2557	1993-12-05	PRIJEM	VKLAD	6314	6714	\N	\N	\N
749960	2557	1994-01-05	PRIJEM	VKLAD	4209	17550	\N	\N	\N
749961	2557	1994-02-05	PRIJEM	VKLAD	4209	26534	\N	\N	\N
749962	2557	1994-03-05	PRIJEM	VKLAD	4209	29541	\N	\N	\N
749963	2557	1994-04-05	PRIJEM	VKLAD	4209	31159	\N	\N	\N
749964	2557	1994-05-05	PRIJEM	VKLAD	4209	26257	\N	\N	\N
749965	2557	1994-06-05	PRIJEM	VKLAD	6314	31952	\N	\N	\N
749966	2557	1994-07-05	PRIJEM	VKLAD	4209	29150	\N	\N	\N
749967	2557	1994-08-05	PRIJEM	VKLAD	4209	28943	\N	\N	\N
749968	2557	1994-09-05	PRIJEM	VKLAD	4209	27036	\N	\N	\N
749969	2557	1994-10-05	PRIJEM	VKLAD	4209	26720	\N	\N	\N
749970	2557	1994-11-05	PRIJEM	VKLAD	4209	29510	\N	\N	\N
749971	2557	1994-12-05	PRIJEM	VKLAD	6314	30709	\N	\N	\N
749972	2557	1995-01-05	PRIJEM	VKLAD	4209	24598	\N	\N	\N
749973	2557	1995-02-05	PRIJEM	VKLAD	4209	17659	\N	\N	\N
749974	2557	1995-03-05	PRIJEM	VKLAD	4209	22518	\N	\N	\N
749975	2557	1995-04-05	PRIJEM	VKLAD	4209	21886	\N	\N	\N
749976	2557	1995-05-05	PRIJEM	VKLAD	4209	22650	\N	\N	\N
749977	2557	1995-06-05	PRIJEM	VKLAD	6314	25122	\N	\N	\N
749978	2557	1995-07-05	PRIJEM	VKLAD	4209	22691	\N	\N	\N
749979	2557	1995-08-05	PRIJEM	VKLAD	4209	24462	\N	\N	\N
749980	2557	1995-09-05	PRIJEM	VKLAD	4209	19722	\N	\N	\N
749981	2557	1995-10-05	PRIJEM	VKLAD	4209	25192	\N	\N	\N
749982	2557	1995-11-05	PRIJEM	VKLAD	4209	24267	\N	\N	\N
749983	2557	1995-12-05	PRIJEM	VKLAD	6314	30357	\N	\N	\N
749984	2557	1996-01-05	PRIJEM	VKLAD	4209	23944	\N	\N	\N
749985	2557	1996-02-05	PRIJEM	VKLAD	4209	18199	\N	\N	\N
749986	2557	1996-03-05	PRIJEM	VKLAD	4209	19551	\N	\N	\N
749987	2557	1996-04-05	PRIJEM	VKLAD	4209	23726	\N	\N	\N
749988	2557	1996-05-05	PRIJEM	VKLAD	4209	20486	\N	\N	\N
749989	2557	1996-06-05	PRIJEM	VKLAD	6314	25743	\N	\N	\N
749990	2557	1996-07-05	PRIJEM	VKLAD	4209	30922	\N	\N	\N
749991	2557	1996-08-05	PRIJEM	VKLAD	4209	29720	\N	\N	\N
749992	2557	1996-09-05	PRIJEM	VKLAD	4209	32119	\N	\N	\N
749993	2557	1996-10-05	PRIJEM	VKLAD	4209	32628	\N	\N	\N
749994	2557	1996-11-05	PRIJEM	VKLAD	4209	33238	\N	\N	\N
749995	2557	1996-12-05	PRIJEM	VKLAD	6314	38656	\N	\N	\N
749996	2557	1997-01-05	PRIJEM	VKLAD	4209	32389	\N	\N	\N
749997	2557	1997-02-05	PRIJEM	VKLAD	4209	27771	\N	\N	\N
749998	2557	1997-03-05	PRIJEM	VKLAD	4209	23259	\N	\N	\N
749999	2557	1997-04-05	PRIJEM	VKLAD	4209	30332	\N	\N	\N
750000	2557	1997-05-05	PRIJEM	VKLAD	4209	34633	\N	\N	\N
750001	2557	1997-06-05	PRIJEM	VKLAD	6314	36254	\N	\N	\N
750002	2557	1997-07-05	PRIJEM	VKLAD	4209	29675	\N	\N	\N
750003	2557	1997-08-05	PRIJEM	VKLAD	4209	28171	\N	\N	\N
750004	2557	1997-09-05	PRIJEM	VKLAD	4209	25051	\N	\N	\N
750005	2557	1997-10-05	PRIJEM	VKLAD	4209	23728	\N	\N	\N
750006	2557	1997-11-05	PRIJEM	VKLAD	4209	18187	\N	\N	\N
750007	2557	1997-12-05	PRIJEM	VKLAD	6314	19841	\N	\N	\N
750008	2557	1998-01-05	PRIJEM	VKLAD	4209	21498	\N	\N	\N
750009	2557	1998-02-05	PRIJEM	VKLAD	4209	20261	\N	\N	\N
750010	2557	1998-03-05	PRIJEM	VKLAD	4209	26923	\N	\N	\N
750011	2557	1998-04-05	PRIJEM	VKLAD	4209	28207	\N	\N	\N
750012	2557	1998-05-05	PRIJEM	VKLAD	4209	27396	\N	\N	\N
750013	2557	1998-06-05	PRIJEM	VKLAD	6314	32791	\N	\N	\N
750014	2557	1998-07-05	PRIJEM	VKLAD	4209	28194	\N	\N	\N
750015	2557	1998-08-05	PRIJEM	VKLAD	4209	26182	\N	\N	\N
750016	2557	1998-09-05	PRIJEM	VKLAD	4209	21353	\N	\N	\N
750017	2557	1998-10-05	PRIJEM	VKLAD	4209	21514	\N	\N	\N
750018	2557	1998-11-05	PRIJEM	VKLAD	4209	20173	\N	\N	\N
750019	2557	1998-12-05	PRIJEM	VKLAD	6314	25039	\N	\N	\N
750035	2557	1994-04-06	VYDAJ	PREVOD NA UCET	2806	28353	SIPO	YZ	31457412
750036	2557	1994-05-06	VYDAJ	PREVOD NA UCET	2806	23451	SIPO	YZ	31457412
750037	2557	1994-06-06	VYDAJ	PREVOD NA UCET	2806	29146	SIPO	YZ	31457412
750038	2557	1994-07-06	VYDAJ	PREVOD NA UCET	2806	26344	SIPO	YZ	31457412
750039	2557	1994-08-06	VYDAJ	PREVOD NA UCET	2806	26137	SIPO	YZ	31457412
750040	2557	1994-09-06	VYDAJ	PREVOD NA UCET	2806	24230	SIPO	YZ	31457412
750041	2557	1994-10-06	VYDAJ	PREVOD NA UCET	2806	23914	SIPO	YZ	31457412
750042	2557	1994-11-06	VYDAJ	PREVOD NA UCET	2806	26704	SIPO	YZ	31457412
750043	2557	1994-12-06	VYDAJ	PREVOD NA UCET	2806	27903	SIPO	YZ	31457412
750044	2557	1995-01-06	VYDAJ	PREVOD NA UCET	2806	19192	SIPO	YZ	31457412
750045	2557	1995-02-06	VYDAJ	PREVOD NA UCET	2806	14853	SIPO	YZ	31457412
750046	2557	1995-03-06	VYDAJ	PREVOD NA UCET	2806	19712	SIPO	YZ	31457412
750047	2557	1995-04-06	VYDAJ	PREVOD NA UCET	2806	19080	SIPO	YZ	31457412
750048	2557	1995-05-06	VYDAJ	PREVOD NA UCET	2806	19844	SIPO	YZ	31457412
750049	2557	1995-06-06	VYDAJ	PREVOD NA UCET	2806	22316	SIPO	YZ	31457412
750050	2557	1995-07-06	VYDAJ	PREVOD NA UCET	2806	19885	SIPO	YZ	31457412
750051	2557	1995-08-06	VYDAJ	PREVOD NA UCET	2806	21656	SIPO	YZ	31457412
750052	2557	1995-09-06	VYDAJ	PREVOD NA UCET	2806	16916	SIPO	YZ	31457412
750053	2557	1995-10-06	VYDAJ	PREVOD NA UCET	2806	22386	SIPO	YZ	31457412
750054	2557	1995-11-06	VYDAJ	PREVOD NA UCET	2806	21461	SIPO	YZ	31457412
750055	2557	1995-12-06	VYDAJ	PREVOD NA UCET	2806	27551	SIPO	YZ	31457412
750056	2557	1996-01-06	VYDAJ	PREVOD NA UCET	2806	19838	SIPO	YZ	31457412
750057	2557	1996-02-06	VYDAJ	PREVOD NA UCET	2806	15293	SIPO	YZ	31457412
750058	2557	1996-03-06	VYDAJ	PREVOD NA UCET	2806	19445	SIPO	YZ	31457412
750059	2557	1996-04-06	VYDAJ	PREVOD NA UCET	2806	17920	SIPO	YZ	31457412
750060	2557	1996-05-06	VYDAJ	PREVOD NA UCET	2806	18780	SIPO	YZ	31457412
750061	2557	1996-06-06	VYDAJ	PREVOD NA UCET	2806	22937	SIPO	YZ	31457412
750062	2557	1996-07-06	VYDAJ	PREVOD NA UCET	2806	28116	SIPO	YZ	31457412
750063	2557	1996-08-06	VYDAJ	PREVOD NA UCET	2806	26914	SIPO	YZ	31457412
750064	2557	1996-09-06	VYDAJ	PREVOD NA UCET	2806	29313	SIPO	YZ	31457412
750065	2557	1996-10-06	VYDAJ	PREVOD NA UCET	2806	29822	SIPO	YZ	31457412
750066	2557	1996-11-06	VYDAJ	PREVOD NA UCET	2806	30432	SIPO	YZ	31457412
750067	2557	1996-12-06	VYDAJ	PREVOD NA UCET	2806	35850	SIPO	YZ	31457412
750068	2557	1997-01-06	VYDAJ	PREVOD NA UCET	2806	29583	SIPO	YZ	31457412
750069	2557	1997-02-06	VYDAJ	PREVOD NA UCET	2806	24965	SIPO	YZ	31457412
750070	2557	1997-03-06	VYDAJ	PREVOD NA UCET	2806	20453	SIPO	YZ	31457412
750071	2557	1997-04-06	VYDAJ	PREVOD NA UCET	2806	27526	SIPO	YZ	31457412
750072	2557	1997-05-06	VYDAJ	PREVOD NA UCET	2806	31827	SIPO	YZ	31457412
750073	2557	1997-06-06	VYDAJ	PREVOD NA UCET	2806	33448	SIPO	YZ	31457412
750074	2557	1997-07-06	VYDAJ	PREVOD NA UCET	2806	26869	SIPO	YZ	31457412
750075	2557	1997-08-06	VYDAJ	PREVOD NA UCET	2806	21965	SIPO	YZ	31457412
750076	2557	1997-09-06	VYDAJ	PREVOD NA UCET	2806	22245	SIPO	YZ	31457412
750077	2557	1997-10-06	VYDAJ	PREVOD NA UCET	2806	17822	SIPO	YZ	31457412
750078	2557	1997-11-06	VYDAJ	PREVOD NA UCET	2806	15381	SIPO	YZ	31457412
750079	2557	1997-12-06	VYDAJ	PREVOD NA UCET	2806	17035	SIPO	YZ	31457412
750080	2557	1998-01-06	VYDAJ	PREVOD NA UCET	2806	18692	SIPO	YZ	31457412
750081	2557	1998-02-06	VYDAJ	PREVOD NA UCET	2806	17455	SIPO	YZ	31457412
750082	2557	1998-03-06	VYDAJ	PREVOD NA UCET	2806	24117	SIPO	YZ	31457412
750083	2557	1998-04-06	VYDAJ	PREVOD NA UCET	2806	25401	SIPO	YZ	31457412
750084	2557	1998-05-06	VYDAJ	PREVOD NA UCET	2806	24590	SIPO	YZ	31457412
750085	2557	1998-06-06	VYDAJ	PREVOD NA UCET	2806	29985	SIPO	YZ	31457412
750086	2557	1998-07-06	VYDAJ	PREVOD NA UCET	2806	25388	SIPO	YZ	31457412
750087	2557	1998-08-06	VYDAJ	PREVOD NA UCET	2806	23376	SIPO	YZ	31457412
750088	2557	1998-09-06	VYDAJ	PREVOD NA UCET	2806	18547	SIPO	YZ	31457412
750089	2557	1998-10-06	VYDAJ	PREVOD NA UCET	2806	18708	SIPO	YZ	31457412
750090	2557	1998-11-06	VYDAJ	PREVOD NA UCET	2806	17367	SIPO	YZ	31457412
750091	2557	1998-12-06	VYDAJ	PREVOD NA UCET	2806	22233	SIPO	YZ	31457412
750096	2557	1997-06-28	VYDAJ	VYBER	9300	24148	\N	\N	\N
750101	2557	1996-01-05	VYDAJ	VYBER	4500	19444	\N	\N	\N
750102	2557	1997-01-09	VYDAJ	VYBER	5100	23083	\N	\N	\N
750116	2557	1995-01-24	VYDAJ	VYBER	2300	14392	\N	\N	\N
750117	2557	1995-01-20	VYDAJ	VYBER	1500	16692	\N	\N	\N
750118	2557	1995-01-28	VYDAJ	VYBER	1000	13392	\N	\N	\N
750119	2557	1995-01-05	VYDAJ	VYBER	2600	21998	\N	\N	\N
750120	2557	1995-01-01	VYDAJ	VYBER	1600	20389	\N	\N	\N
750121	2557	1995-01-10	VYDAJ	VYBER	1000	18192	\N	\N	\N
750122	2557	1996-01-07	VYDAJ	VYBER	1900	17938	\N	\N	\N
750124	2557	1996-01-19	VYDAJ	VYBER	1200	13938	\N	\N	\N
750127	2557	1996-01-12	VYDAJ	VYBER	2800	15138	\N	\N	\N
750128	2557	1997-01-03	VYDAJ	VYBER	1100	28180	\N	\N	\N
750129	2557	1997-01-14	VYDAJ	VYBER	2000	21083	\N	\N	\N
750130	2557	1997-01-06	VYDAJ	VYBER	1400	28183	\N	\N	\N
750131	2557	1997-01-01	VYDAJ	VYBER	1000	29280	\N	\N	\N
750132	2557	1997-01-17	VYDAJ	VYBER	1600	19483	\N	\N	\N
750133	2557	1997-01-19	VYDAJ	VYBER	1200	18283	\N	\N	\N
750134	2557	1998-01-06	VYDAJ	VYBER	2200	16492	\N	\N	\N
750135	2557	1998-01-26	VYDAJ	VYBER	2500	15992	\N	\N	\N
750137	2557	1998-01-06	VYDAJ	VYBER	2000	14492	\N	\N	\N
750139	2557	1998-01-02	VYDAJ	VYBER	1700	17289	\N	\N	\N
750144	2557	1994-12-17	VYDAJ	VYBER	3900	21903	\N	\N	\N
750145	2557	1994-08-27	VYDAJ	VYBER	2700	22737	\N	\N	\N
750146	2557	1994-04-28	VYDAJ	VYBER	4800	21953	\N	\N	\N
750147	2557	1994-04-13	VYDAJ	VYBER	4400	23953	\N	\N	\N
750148	2557	1994-11-21	VYDAJ	VYBER	1300	24304	\N	\N	\N
750149	2557	1995-10-16	VYDAJ	VYBER	1700	19986	\N	\N	\N
750150	2557	1995-12-30	VYDAJ	VYBER	4500	19651	\N	\N	\N
750151	2557	1995-03-24	VYDAJ	VYBER	2300	17612	\N	\N	\N
750152	2557	1995-06-14	VYDAJ	VYBER	3000	18416	\N	\N	\N
750153	2557	1995-08-13	VYDAJ	VYBER	2800	15456	\N	\N	\N
750154	2557	1996-05-10	VYDAJ	VYBER	4500	14280	\N	\N	\N
750155	2557	1996-04-13	VYDAJ	VYBER	1700	16220	\N	\N	\N
750156	2557	1996-07-17	VYDAJ	VYBER	2100	26016	\N	\N	\N
750157	2557	1996-10-28	VYDAJ	VYBER	3700	26122	\N	\N	\N
750158	2557	1997-05-21	VYDAJ	VYBER	1700	30127	\N	\N	\N
750159	2557	1997-08-05	VYDAJ	VYBER	3400	24771	\N	\N	\N
750160	2557	1997-10-06	VYDAJ	VYBER	3100	20628	\N	\N	\N
750161	2557	1997-02-26	VYDAJ	VYBER	2700	22265	\N	\N	\N
750162	2557	1997-02-27	VYDAJ	VYBER	4100	18165	\N	\N	\N
750164	2557	1998-03-23	VYDAJ	VYBER	3700	20417	\N	\N	\N
750166	2557	1998-12-02	VYDAJ	VYBER	1200	18725	\N	\N	\N
750167	2557	1998-07-28	VYDAJ	VYBER	2700	21888	\N	\N	\N
750168	2557	1998-08-14	VYDAJ	VYBER	3500	19876	\N	\N	\N
750185	2557	1994-04-30	VYDAJ	VYBER	15	22048	SLUZBY	\N	\N
750186	2557	1994-05-31	VYDAJ	VYBER	15	25638	SLUZBY	\N	\N
750187	2557	1994-06-30	VYDAJ	VYBER	15	24941	SLUZBY	\N	\N
750188	2557	1994-07-31	VYDAJ	VYBER	15	24734	SLUZBY	\N	\N
750189	2557	1994-08-31	VYDAJ	VYBER	15	22827	SLUZBY	\N	\N
750190	2557	1994-09-30	VYDAJ	VYBER	15	22511	SLUZBY	\N	\N
750191	2557	1994-10-31	VYDAJ	VYBER	15	25301	SLUZBY	\N	\N
750192	2557	1994-11-30	VYDAJ	VYBER	15	24395	SLUZBY	\N	\N
750193	2557	1994-12-31	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
750194	2557	1995-01-31	VYDAJ	VYBER	15	13450	SLUZBY	\N	\N
750195	2557	1995-02-28	VYDAJ	VYBER	15	18309	SLUZBY	\N	\N
750196	2557	1995-03-31	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
750197	2557	1995-04-30	VYDAJ	VYBER	15	18441	SLUZBY	\N	\N
750198	2557	1995-05-31	VYDAJ	VYBER	15	18808	SLUZBY	\N	\N
750199	2557	1995-06-30	VYDAJ	VYBER	15	18482	SLUZBY	\N	\N
750200	2557	1995-07-31	VYDAJ	VYBER	15	20253	SLUZBY	\N	\N
750201	2557	1995-08-31	VYDAJ	VYBER	15	15513	SLUZBY	\N	\N
750202	2557	1995-09-30	VYDAJ	VYBER	15	20983	SLUZBY	\N	\N
750203	2557	1995-10-31	VYDAJ	VYBER	15	20058	SLUZBY	\N	\N
750204	2557	1995-11-30	VYDAJ	VYBER	15	24043	SLUZBY	\N	\N
750205	2557	1995-12-31	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
750206	2557	1996-01-31	VYDAJ	VYBER	15	13990	SLUZBY	\N	\N
750207	2557	1996-02-29	VYDAJ	VYBER	15	15342	SLUZBY	\N	\N
750208	2557	1996-03-31	VYDAJ	VYBER	15	19517	SLUZBY	\N	\N
750209	2557	1996-04-30	VYDAJ	VYBER	15	16277	SLUZBY	\N	\N
750210	2557	1996-05-31	VYDAJ	VYBER	15	14329	SLUZBY	\N	\N
750211	2557	1996-06-30	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
750212	2557	1996-07-31	VYDAJ	VYBER	15	26111	SLUZBY	\N	\N
750213	2557	1996-08-31	VYDAJ	VYBER	15	27010	SLUZBY	\N	\N
750214	2557	1996-09-30	VYDAJ	VYBER	15	29419	SLUZBY	\N	\N
750215	2557	1996-10-31	VYDAJ	VYBER	15	26229	SLUZBY	\N	\N
750216	2557	1996-11-30	VYDAJ	VYBER	15	30542	SLUZBY	\N	\N
750217	2557	1996-12-31	VYDAJ	VYBER	15	35980	SLUZBY	\N	\N
750218	2557	1997-01-31	VYDAJ	VYBER	15	23562	SLUZBY	\N	\N
750219	2557	1997-02-28	VYDAJ	VYBER	15	18250	SLUZBY	\N	\N
750220	2557	1997-03-31	VYDAJ	VYBER	15	26123	SLUZBY	\N	\N
750221	2557	1997-04-30	VYDAJ	VYBER	15	30424	SLUZBY	\N	\N
750222	2557	1997-05-31	VYDAJ	VYBER	15	29940	SLUZBY	\N	\N
750223	2557	1997-06-30	VYDAJ	VYBER	15	25466	SLUZBY	\N	\N
750224	2557	1997-07-31	VYDAJ	VYBER	15	23962	SLUZBY	\N	\N
750225	2557	1997-08-31	VYDAJ	VYBER	15	20842	SLUZBY	\N	\N
750226	2557	1997-09-30	VYDAJ	VYBER	15	19519	SLUZBY	\N	\N
750227	2557	1997-10-31	VYDAJ	VYBER	15	13978	SLUZBY	\N	\N
750228	2557	1997-11-30	VYDAJ	VYBER	15	13527	SLUZBY	\N	\N
750229	2557	1997-12-31	VYDAJ	VYBER	15	18989	SLUZBY	\N	\N
750230	2557	1998-01-31	VYDAJ	VYBER	15	16052	SLUZBY	\N	\N
750231	2557	1998-02-28	VYDAJ	VYBER	15	22714	SLUZBY	\N	\N
750232	2557	1998-03-31	VYDAJ	VYBER	15	23998	SLUZBY	\N	\N
750233	2557	1998-04-30	VYDAJ	VYBER	15	23187	SLUZBY	\N	\N
750234	2557	1998-05-31	VYDAJ	VYBER	15	26477	SLUZBY	\N	\N
750235	2557	1998-06-30	VYDAJ	VYBER	15	23985	SLUZBY	\N	\N
750236	2557	1998-07-31	VYDAJ	VYBER	15	21973	SLUZBY	\N	\N
750237	2557	1998-08-31	VYDAJ	VYBER	15	17144	SLUZBY	\N	\N
750238	2557	1998-09-30	VYDAJ	VYBER	15	17305	SLUZBY	\N	\N
750239	2557	1998-10-31	VYDAJ	VYBER	15	15964	SLUZBY	\N	\N
750240	2557	1998-11-30	VYDAJ	VYBER	15	19925	SLUZBY	\N	\N
750241	2557	1993-12-17	PRIJEM	VKLAD	6600	13314	\N	\N	\N
750242	2557	1994-01-16	PRIJEM	VKLAD	4700	22250	\N	\N	\N
750243	2557	1994-02-15	VYDAJ	VYBER	1300	25234	\N	\N	\N
750244	2557	1994-03-17	VYDAJ	VYBER	2700	26841	\N	\N	\N
750245	2557	1994-04-16	PRIJEM	VKLAD	2800	26753	\N	\N	\N
750246	2557	1994-05-16	PRIJEM	VKLAD	2100	25551	\N	\N	\N
750247	2557	1994-06-15	VYDAJ	VYBER	4300	24846	\N	\N	\N
750248	2557	1994-07-15	VYDAJ	VYBER	1700	24644	\N	\N	\N
750249	2557	1994-08-14	VYDAJ	VYBER	700	25437	\N	\N	\N
750250	2557	1994-09-13	VYDAJ	VYBER	1800	22430	\N	\N	\N
750251	2557	1994-10-13	PRIJEM	VKLAD	1300	25214	\N	\N	\N
750252	2557	1994-11-12	VYDAJ	VYBER	1100	25604	\N	\N	\N
750253	2557	1994-12-12	VYDAJ	VYBER	2100	25803	\N	\N	\N
750254	2557	1995-02-10	PRIJEM	VKLAD	3400	18253	\N	\N	\N
750255	2557	1995-03-12	PRIJEM	VKLAD	200	19912	\N	\N	\N
750256	2557	1995-04-11	VYDAJ	VYBER	700	18380	\N	\N	\N
750257	2557	1995-05-11	VYDAJ	VYBER	1100	18744	\N	\N	\N
750258	2557	1995-06-10	VYDAJ	VYBER	900	21416	\N	\N	\N
750259	2557	1995-07-10	PRIJEM	VKLAD	300	20185	\N	\N	\N
750260	2557	1995-08-09	VYDAJ	VYBER	3400	18256	\N	\N	\N
750261	2557	1995-09-08	PRIJEM	VKLAD	4000	20916	\N	\N	\N
750262	2557	1995-10-08	VYDAJ	VYBER	700	21686	\N	\N	\N
750263	2557	1995-11-07	PRIJEM	VKLAD	2500	23961	\N	\N	\N
750264	2557	1995-12-07	VYDAJ	VYBER	3400	24151	\N	\N	\N
750265	2557	1996-01-06	PRIJEM	VKLAD	3200	22644	\N	\N	\N
750266	2557	1996-02-05	VYDAJ	VYBER	100	18099	\N	\N	\N
750267	2557	1996-03-06	PRIJEM	VKLAD	2700	22251	\N	\N	\N
750268	2557	1996-04-05	VYDAJ	VYBER	3000	20726	\N	\N	\N
750269	2557	1996-05-05	PRIJEM	VKLAD	1100	21586	\N	\N	\N
750270	2557	1996-06-04	PRIJEM	VKLAD	5100	19429	\N	\N	\N
750271	2557	1996-07-04	PRIJEM	VKLAD	3700	26713	\N	\N	\N
750272	2557	1996-08-03	VYDAJ	VYBER	600	25511	\N	\N	\N
750273	2557	1996-09-02	PRIJEM	VKLAD	900	27910	\N	\N	\N
750274	2557	1996-10-02	VYDAJ	VYBER	1000	28419	\N	\N	\N
750275	2557	1996-11-01	PRIJEM	VKLAD	2800	29029	\N	\N	\N
750276	2557	1996-12-01	PRIJEM	VKLAD	1800	32342	\N	\N	\N
750277	2557	1996-12-31	VYDAJ	VYBER	5700	30280	\N	\N	\N
750278	2557	1997-01-30	PRIJEM	VKLAD	5200	23483	\N	\N	\N
750279	2557	1997-03-01	PRIJEM	VKLAD	800	19050	\N	\N	\N
750280	2557	1997-03-31	PRIJEM	VKLAD	5600	26137	\N	\N	\N
750281	2557	1997-04-30	PRIJEM	VKLAD	2800	30438	\N	\N	\N
750282	2557	1997-05-30	VYDAJ	VYBER	300	29827	\N	\N	\N
750283	2557	1997-06-29	PRIJEM	VKLAD	1200	25348	\N	\N	\N
750284	2557	1997-07-29	VYDAJ	VYBER	3000	23869	\N	\N	\N
750285	2557	1997-08-28	VYDAJ	VYBER	1200	20765	\N	\N	\N
750286	2557	1997-09-27	VYDAJ	VYBER	2800	19445	\N	\N	\N
750287	2557	1997-10-27	VYDAJ	VYBER	3900	13922	\N	\N	\N
750288	2557	1997-11-26	VYDAJ	VYBER	1900	13481	\N	\N	\N
750289	2557	1997-12-26	PRIJEM	VKLAD	1900	18935	\N	\N	\N
750290	2557	1998-01-25	PRIJEM	VKLAD	4000	18492	\N	\N	\N
750291	2557	1998-02-24	PRIJEM	VKLAD	5200	22655	\N	\N	\N
750292	2557	1998-03-26	PRIJEM	VKLAD	3500	23917	\N	\N	\N
750293	2557	1998-04-25	VYDAJ	VYBER	2300	23101	\N	\N	\N
750294	2557	1998-05-25	PRIJEM	VKLAD	1800	26390	\N	\N	\N
750295	2557	1998-06-24	VYDAJ	VYBER	6100	23885	\N	\N	\N
750296	2557	1998-07-24	VYDAJ	VYBER	800	24588	\N	\N	\N
750297	2557	1998-08-23	VYDAJ	VYBER	2800	17076	\N	\N	\N
750298	2557	1998-09-22	VYDAJ	VYBER	1300	17247	\N	\N	\N
750299	2557	1998-10-22	VYDAJ	VYBER	2800	15908	\N	\N	\N
750300	2557	1998-11-21	PRIJEM	VKLAD	2500	19867	\N	\N	\N
750362	2558	1997-08-04	PRIJEM	VKLAD	300	300	\N	\N	\N
750370	2558	1997-08-08	PRIJEM	PREVOD Z UCTU	2974	3274	\N	WX	38920897
750371	2558	1997-09-08	PRIJEM	PREVOD Z UCTU	2974	6259	\N	WX	38920897
750372	2558	1997-10-08	PRIJEM	PREVOD Z UCTU	2974	9246	\N	WX	38920897
750373	2558	1997-11-08	PRIJEM	PREVOD Z UCTU	2974	12234	\N	WX	38920897
750374	2558	1997-12-08	PRIJEM	PREVOD Z UCTU	2974	15222	\N	WX	38920897
750375	2558	1998-01-08	PRIJEM	PREVOD Z UCTU	2974	15582	\N	WX	38920897
750376	2558	1998-02-08	PRIJEM	PREVOD Z UCTU	2974	16615	\N	WX	38920897
750377	2558	1998-03-08	PRIJEM	PREVOD Z UCTU	2974	17652	\N	WX	38920897
750378	2558	1998-04-08	PRIJEM	PREVOD Z UCTU	2974	18694	\N	WX	38920897
750379	2558	1998-05-08	PRIJEM	PREVOD Z UCTU	2974	19740	\N	WX	38920897
750380	2558	1998-06-08	PRIJEM	PREVOD Z UCTU	2974	20009	\N	WX	38920897
750381	2558	1998-07-08	PRIJEM	PREVOD Z UCTU	2974	17965	\N	WX	38920897
750382	2558	1998-08-08	PRIJEM	PREVOD Z UCTU	2974	18527	\N	WX	38920897
750383	2558	1998-09-08	PRIJEM	PREVOD Z UCTU	2974	18098	\N	WX	38920897
750384	2558	1998-10-08	PRIJEM	PREVOD Z UCTU	2974	19141	\N	WX	38920897
750385	2558	1998-11-08	PRIJEM	PREVOD Z UCTU	2974	19019	\N	WX	38920897
750386	2558	1998-12-08	PRIJEM	PREVOD Z UCTU	2974	19798	\N	WX	38920897
750398	2558	1997-12-09	VYDAJ	PREVOD NA UCET	1982	13240	SIPO	CD	46043479
750399	2558	1998-01-09	VYDAJ	PREVOD NA UCET	1982	13600	SIPO	CD	46043479
750400	2558	1998-02-09	VYDAJ	PREVOD NA UCET	1982	14633	SIPO	CD	46043479
750401	2558	1998-03-09	VYDAJ	PREVOD NA UCET	1982	15670	SIPO	CD	46043479
750402	2558	1998-04-09	VYDAJ	PREVOD NA UCET	1982	16712	SIPO	CD	46043479
750403	2558	1998-05-09	VYDAJ	PREVOD NA UCET	1982	17758	SIPO	CD	46043479
750404	2558	1998-06-09	VYDAJ	PREVOD NA UCET	1982	18027	SIPO	CD	46043479
750405	2558	1998-07-09	VYDAJ	PREVOD NA UCET	1982	15983	SIPO	CD	46043479
750406	2558	1998-08-09	VYDAJ	PREVOD NA UCET	1982	16545	SIPO	CD	46043479
750407	2558	1998-09-09	VYDAJ	PREVOD NA UCET	1982	16116	SIPO	CD	46043479
750408	2558	1998-10-09	VYDAJ	PREVOD NA UCET	1982	17159	SIPO	CD	46043479
750409	2558	1998-11-09	VYDAJ	PREVOD NA UCET	1982	17037	SIPO	CD	46043479
750410	2558	1998-12-09	VYDAJ	PREVOD NA UCET	1982	17816	SIPO	CD	46043479
750412	2558	1998-06-19	VYDAJ	VYBER	3090	14937	\N	\N	\N
750413	2558	1997-12-20	VYDAJ	VYBER	660	12580	\N	\N	\N
750414	2558	1998-12-03	VYDAJ	VYBER	270	16824	\N	\N	\N
750417	2558	1998-11-01	VYDAJ	VYBER	1170	16045	\N	\N	\N
750418	2558	1998-07-19	VYDAJ	VYBER	300	15503	\N	\N	\N
750419	2558	1998-05-16	VYDAJ	VYBER	780	16978	\N	\N	\N
750420	2558	1998-08-11	VYDAJ	VYBER	1470	15075	\N	\N	\N
750421	2558	1998-07-18	VYDAJ	VYBER	180	15803	\N	\N	\N
750434	2558	1997-12-31	VYDAJ	VYBER	15	12608	SLUZBY	\N	\N
750435	2558	1998-01-31	VYDAJ	VYBER	15	13641	SLUZBY	\N	\N
750436	2558	1998-02-28	VYDAJ	VYBER	15	14678	SLUZBY	\N	\N
750437	2558	1998-03-31	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
750438	2558	1998-04-30	VYDAJ	VYBER	15	16766	SLUZBY	\N	\N
750439	2558	1998-05-31	VYDAJ	VYBER	15	17035	SLUZBY	\N	\N
750440	2558	1998-06-30	VYDAJ	VYBER	15	14991	SLUZBY	\N	\N
750441	2558	1998-07-31	VYDAJ	VYBER	15	15553	SLUZBY	\N	\N
750442	2558	1998-08-31	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
750443	2558	1998-09-30	VYDAJ	VYBER	15	16167	SLUZBY	\N	\N
750444	2558	1998-10-31	VYDAJ	VYBER	15	17215	SLUZBY	\N	\N
750445	2558	1998-11-30	VYDAJ	VYBER	15	17094	SLUZBY	\N	\N
750463	2559	1995-06-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
750469	2559	1995-06-06	PRIJEM	VKLAD	16902	17902	\N	\N	\N
750470	2559	1995-07-06	PRIJEM	VKLAD	11268	32032	\N	\N	\N
750471	2559	1995-08-06	PRIJEM	VKLAD	11268	40424	\N	\N	\N
750472	2559	1995-09-06	PRIJEM	VKLAD	11268	43714	\N	\N	\N
750473	2559	1995-10-06	PRIJEM	VKLAD	11268	46217	\N	\N	\N
750474	2559	1995-11-06	PRIJEM	VKLAD	11268	45007	\N	\N	\N
750475	2559	1995-12-06	PRIJEM	VKLAD	16902	51095	\N	\N	\N
750476	2559	1996-01-06	PRIJEM	VKLAD	11268	45732	\N	\N	\N
750477	2559	1996-02-06	PRIJEM	VKLAD	11268	40851	\N	\N	\N
750478	2559	1996-03-06	PRIJEM	VKLAD	11268	40216	\N	\N	\N
750479	2559	1996-04-06	PRIJEM	VKLAD	11268	36933	\N	\N	\N
750480	2559	1996-05-06	PRIJEM	VKLAD	11268	39883	\N	\N	\N
750481	2559	1996-06-06	PRIJEM	VKLAD	16902	48080	\N	\N	\N
750482	2559	1996-07-06	PRIJEM	VKLAD	11268	27900	\N	\N	\N
750483	2559	1996-08-06	PRIJEM	VKLAD	11268	32215	\N	\N	\N
750484	2559	1996-09-06	PRIJEM	VKLAD	11268	30574	\N	\N	\N
750485	2559	1996-10-06	PRIJEM	VKLAD	11268	30356	\N	\N	\N
750486	2559	1996-11-06	PRIJEM	VKLAD	11268	35591	\N	\N	\N
750487	2559	1996-12-06	PRIJEM	VKLAD	16902	43069	\N	\N	\N
750488	2559	1997-01-06	PRIJEM	VKLAD	11268	38967	\N	\N	\N
750489	2559	1997-02-06	PRIJEM	VKLAD	11268	37274	\N	\N	\N
750490	2559	1997-03-06	PRIJEM	VKLAD	11268	41064	\N	\N	\N
750491	2559	1997-04-06	PRIJEM	VKLAD	11268	42728	\N	\N	\N
750492	2559	1997-05-06	PRIJEM	VKLAD	11268	45601	\N	\N	\N
750493	2559	1997-06-06	PRIJEM	VKLAD	16902	56623	\N	\N	\N
750494	2559	1997-07-06	PRIJEM	VKLAD	11268	40736	\N	\N	\N
750495	2559	1997-08-06	PRIJEM	VKLAD	11268	45070	\N	\N	\N
750496	2559	1997-09-06	PRIJEM	VKLAD	11268	56879	\N	\N	\N
750497	2559	1997-10-06	PRIJEM	VKLAD	11268	61712	\N	\N	\N
750498	2559	1997-11-06	PRIJEM	VKLAD	11268	65029	\N	\N	\N
750499	2559	1997-12-06	PRIJEM	VKLAD	16902	69277	\N	\N	\N
750500	2559	1998-01-06	PRIJEM	VKLAD	11268	65799	\N	\N	\N
750501	2559	1998-02-06	PRIJEM	VKLAD	11268	64320	\N	\N	\N
750502	2559	1998-03-06	PRIJEM	VKLAD	11268	63370	\N	\N	\N
750503	2559	1998-04-06	PRIJEM	VKLAD	11268	58110	\N	\N	\N
750504	2559	1998-05-06	PRIJEM	VKLAD	11268	61043	\N	\N	\N
750505	2559	1998-06-06	PRIJEM	VKLAD	16902	67217	\N	\N	\N
750506	2559	1998-07-06	PRIJEM	VKLAD	11268	54873	\N	\N	\N
750507	2559	1998-08-06	PRIJEM	VKLAD	11268	52860	\N	\N	\N
750508	2559	1998-09-06	PRIJEM	VKLAD	11268	59993	\N	\N	\N
750509	2559	1998-10-06	PRIJEM	VKLAD	11268	55983	\N	\N	\N
750510	2559	1998-11-06	PRIJEM	VKLAD	11268	49680	\N	\N	\N
750511	2559	1998-12-06	PRIJEM	VKLAD	16902	63549	\N	\N	\N
750521	2559	1995-10-12	VYDAJ	PREVOD NA UCET	5123	41094	SIPO	AB	54144173
750522	2559	1995-11-12	VYDAJ	PREVOD NA UCET	5123	34364	SIPO	AB	54144173
750523	2559	1995-12-12	VYDAJ	PREVOD NA UCET	5123	45972	SIPO	AB	54144173
750524	2559	1996-01-12	VYDAJ	PREVOD NA UCET	5123	40609	SIPO	AB	54144173
750525	2559	1996-02-12	VYDAJ	PREVOD NA UCET	5123	35728	SIPO	AB	54144173
750526	2559	1996-03-12	VYDAJ	PREVOD NA UCET	5123	35093	SIPO	AB	54144173
750527	2559	1996-04-12	VYDAJ	PREVOD NA UCET	5123	31810	SIPO	AB	54144173
750528	2559	1996-05-12	VYDAJ	PREVOD NA UCET	5123	34760	SIPO	AB	54144173
750529	2559	1996-06-12	VYDAJ	PREVOD NA UCET	5123	42957	SIPO	AB	54144173
750530	2559	1996-07-12	VYDAJ	PREVOD NA UCET	5123	22777	SIPO	AB	54144173
750531	2559	1996-08-12	VYDAJ	PREVOD NA UCET	5123	27092	SIPO	AB	54144173
750532	2559	1996-09-12	VYDAJ	PREVOD NA UCET	5123	25451	SIPO	AB	54144173
750533	2559	1996-10-12	VYDAJ	PREVOD NA UCET	5123	25233	SIPO	AB	54144173
750534	2559	1996-11-12	VYDAJ	PREVOD NA UCET	5123	30468	SIPO	AB	54144173
750535	2559	1996-12-12	VYDAJ	PREVOD NA UCET	5123	37946	SIPO	AB	54144173
750536	2559	1997-01-12	VYDAJ	PREVOD NA UCET	5123	30004	SIPO	AB	54144173
750537	2559	1997-02-12	VYDAJ	PREVOD NA UCET	5123	32151	SIPO	AB	54144173
750538	2559	1997-03-12	VYDAJ	PREVOD NA UCET	5123	35941	SIPO	AB	54144173
750539	2559	1997-04-12	VYDAJ	PREVOD NA UCET	5123	37605	SIPO	AB	54144173
750540	2559	1997-05-12	VYDAJ	PREVOD NA UCET	5123	40478	SIPO	AB	54144173
750541	2559	1997-06-12	VYDAJ	PREVOD NA UCET	5123	51500	SIPO	AB	54144173
750542	2559	1997-07-12	VYDAJ	PREVOD NA UCET	5123	35613	SIPO	AB	54144173
750543	2559	1997-08-12	VYDAJ	PREVOD NA UCET	5123	39947	SIPO	AB	54144173
750544	2559	1997-09-12	VYDAJ	PREVOD NA UCET	5123	51756	SIPO	AB	54144173
750545	2559	1997-10-12	VYDAJ	PREVOD NA UCET	5123	54549	SIPO	AB	54144173
750546	2559	1997-11-12	VYDAJ	PREVOD NA UCET	5123	59906	SIPO	AB	54144173
750547	2559	1997-12-12	VYDAJ	PREVOD NA UCET	5123	64154	SIPO	AB	54144173
750548	2559	1998-01-12	VYDAJ	PREVOD NA UCET	5123	60676	SIPO	AB	54144173
750549	2559	1998-02-12	VYDAJ	PREVOD NA UCET	5123	59197	SIPO	AB	54144173
750550	2559	1998-03-12	VYDAJ	PREVOD NA UCET	5123	58247	SIPO	AB	54144173
750551	2559	1998-04-12	VYDAJ	PREVOD NA UCET	5123	52987	SIPO	AB	54144173
750552	2559	1998-05-12	VYDAJ	PREVOD NA UCET	5123	55920	SIPO	AB	54144173
750553	2559	1998-06-12	VYDAJ	PREVOD NA UCET	5123	53294	SIPO	AB	54144173
750554	2559	1998-07-12	VYDAJ	PREVOD NA UCET	5123	49750	SIPO	AB	54144173
750555	2559	1998-08-12	VYDAJ	PREVOD NA UCET	5123	47737	SIPO	AB	54144173
750556	2559	1998-09-12	VYDAJ	PREVOD NA UCET	5123	54870	SIPO	AB	54144173
750557	2559	1998-10-12	VYDAJ	PREVOD NA UCET	5123	50860	SIPO	AB	54144173
750558	2559	1998-11-12	VYDAJ	PREVOD NA UCET	5123	46457	SIPO	AB	54144173
750559	2559	1998-12-12	VYDAJ	PREVOD NA UCET	5123	56026	SIPO	AB	54144173
750561	2559	1996-06-18	VYDAJ	VYBER	29920	13037	\N	\N	\N
750562	2559	1997-06-12	VYDAJ	VYBER	37280	14220	\N	\N	\N
750563	2559	1998-06-11	VYDAJ	VYBER	8800	58417	\N	\N	\N
750565	2559	1996-01-22	VYDAJ	VYBER	5760	34849	\N	\N	\N
750566	2559	1997-01-11	VYDAJ	VYBER	3840	35127	\N	\N	\N
750567	2559	1998-01-25	VYDAJ	VYBER	3840	52836	\N	\N	\N
750568	2559	1995-12-24	VYDAJ	VYBER	2560	43412	\N	\N	\N
750569	2559	1996-12-25	VYDAJ	VYBER	2560	27586	\N	\N	\N
750570	2559	1997-12-28	VYDAJ	VYBER	1440	54314	\N	\N	\N
750571	2559	1998-12-06	VYDAJ	VYBER	2400	61149	\N	\N	\N
750575	2559	1995-11-10	VYDAJ	VYBER	5520	39487	\N	\N	\N
750577	2559	1996-08-13	VYDAJ	VYBER	3960	23132	\N	\N	\N
750578	2559	1996-10-03	VYDAJ	VYBER	1440	19088	\N	\N	\N
750579	2559	1996-03-13	VYDAJ	VYBER	3120	31973	\N	\N	\N
750580	2559	1996-04-24	VYDAJ	VYBER	3000	28810	\N	\N	\N
750581	2559	1996-03-29	VYDAJ	VYBER	4320	25553	\N	\N	\N
750582	2559	1996-11-29	VYDAJ	VYBER	2400	26068	\N	\N	\N
750583	2559	1997-11-13	VYDAJ	VYBER	4200	55706	\N	\N	\N
750584	2559	1997-08-05	VYDAJ	VYBER	5040	33802	\N	\N	\N
750585	2559	1997-11-23	VYDAJ	VYBER	2040	52166	\N	\N	\N
750586	2559	1997-10-06	VYDAJ	VYBER	2040	59672	\N	\N	\N
750587	2559	1997-02-18	VYDAJ	VYBER	960	31191	\N	\N	\N
750588	2559	1998-09-25	VYDAJ	VYBER	5040	44530	\N	\N	\N
750589	2559	1998-06-30	VYDAJ	VYBER	4680	43605	\N	\N	\N
750590	2559	1998-11-05	VYDAJ	VYBER	3960	38412	\N	\N	\N
750591	2559	1998-08-01	VYDAJ	VYBER	5040	41592	\N	\N	\N
750592	2559	1998-10-16	VYDAJ	VYBER	2520	47840	\N	\N	\N
750593	2559	1998-10-23	VYDAJ	VYBER	600	42200	\N	\N	\N
750594	2559	1998-10-22	VYDAJ	VYBER	5040	42800	\N	\N	\N
750605	2559	1995-10-31	VYDAJ	VYBER	15	33739	SLUZBY	\N	\N
750606	2559	1995-11-30	VYDAJ	VYBER	15	34193	SLUZBY	\N	\N
750607	2559	1995-12-31	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
750608	2559	1996-01-31	VYDAJ	VYBER	15	29583	SLUZBY	\N	\N
750609	2559	1996-02-29	VYDAJ	VYBER	15	28948	SLUZBY	\N	\N
750610	2559	1996-03-31	VYDAJ	VYBER	15	25665	SLUZBY	\N	\N
750611	2559	1996-04-30	VYDAJ	VYBER	15	28615	SLUZBY	\N	\N
750612	2559	1996-05-31	VYDAJ	VYBER	15	31178	SLUZBY	\N	\N
750613	2559	1996-06-30	VYDAJ	VYBER	15	16632	SLUZBY	\N	\N
750614	2559	1996-07-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
750615	2559	1996-08-31	VYDAJ	VYBER	15	19306	SLUZBY	\N	\N
750616	2559	1996-09-30	VYDAJ	VYBER	15	20528	SLUZBY	\N	\N
750617	2559	1996-10-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
750618	2559	1996-11-30	VYDAJ	VYBER	15	26167	SLUZBY	\N	\N
750619	2559	1996-12-31	VYDAJ	VYBER	15	27699	SLUZBY	\N	\N
750620	2559	1997-01-31	VYDAJ	VYBER	15	26006	SLUZBY	\N	\N
750621	2559	1997-02-28	VYDAJ	VYBER	15	29796	SLUZBY	\N	\N
750622	2559	1997-03-31	VYDAJ	VYBER	15	31460	SLUZBY	\N	\N
750623	2559	1997-04-30	VYDAJ	VYBER	15	34333	SLUZBY	\N	\N
750624	2559	1997-05-31	VYDAJ	VYBER	15	39721	SLUZBY	\N	\N
750625	2559	1997-06-30	VYDAJ	VYBER	15	29468	SLUZBY	\N	\N
750626	2559	1997-07-31	VYDAJ	VYBER	15	38842	SLUZBY	\N	\N
750627	2559	1997-08-31	VYDAJ	VYBER	15	45611	SLUZBY	\N	\N
750628	2559	1997-09-30	VYDAJ	VYBER	15	50444	SLUZBY	\N	\N
750629	2559	1997-10-31	VYDAJ	VYBER	15	53761	SLUZBY	\N	\N
750630	2559	1997-11-30	VYDAJ	VYBER	15	52375	SLUZBY	\N	\N
750631	2559	1997-12-31	VYDAJ	VYBER	15	54531	SLUZBY	\N	\N
750632	2559	1998-01-31	VYDAJ	VYBER	15	53052	SLUZBY	\N	\N
750633	2559	1998-02-28	VYDAJ	VYBER	15	52102	SLUZBY	\N	\N
750634	2559	1998-03-31	VYDAJ	VYBER	15	46842	SLUZBY	\N	\N
750635	2559	1998-04-30	VYDAJ	VYBER	15	49775	SLUZBY	\N	\N
750636	2559	1998-05-31	VYDAJ	VYBER	15	50315	SLUZBY	\N	\N
750637	2559	1998-06-30	VYDAJ	VYBER	15	48285	SLUZBY	\N	\N
750638	2559	1998-07-31	VYDAJ	VYBER	15	46632	SLUZBY	\N	\N
750639	2559	1998-08-31	VYDAJ	VYBER	15	48725	SLUZBY	\N	\N
750640	2559	1998-09-30	VYDAJ	VYBER	15	44715	SLUZBY	\N	\N
750641	2559	1998-10-31	VYDAJ	VYBER	15	42372	SLUZBY	\N	\N
750642	2559	1998-11-30	VYDAJ	VYBER	15	46647	SLUZBY	\N	\N
750643	2559	1995-07-01	PRIJEM	VKLAD	2800	20764	\N	\N	\N
750644	2559	1995-07-31	VYDAJ	VYBER	3000	29156	\N	\N	\N
750645	2559	1995-08-30	VYDAJ	VYBER	8100	32324	\N	\N	\N
750646	2559	1995-09-29	VYDAJ	VYBER	8900	34814	\N	\N	\N
750647	2559	1995-10-29	VYDAJ	VYBER	7500	33594	\N	\N	\N
750648	2559	1995-11-28	VYDAJ	VYBER	300	34064	\N	\N	\N
750649	2559	1995-12-28	VYDAJ	VYBER	9100	34312	\N	\N	\N
750650	2559	1996-01-27	VYDAJ	VYBER	5400	29449	\N	\N	\N
750651	2559	1996-02-26	VYDAJ	VYBER	6900	28828	\N	\N	\N
750652	2559	1996-03-27	VYDAJ	VYBER	2100	29873	\N	\N	\N
750653	2559	1996-04-26	VYDAJ	VYBER	300	28510	\N	\N	\N
750654	2559	1996-05-26	VYDAJ	VYBER	3700	31060	\N	\N	\N
750655	2559	1996-06-25	PRIJEM	VKLAD	3500	16537	\N	\N	\N
750656	2559	1996-07-25	VYDAJ	VYBER	1900	20877	\N	\N	\N
750657	2559	1996-08-24	VYDAJ	VYBER	3900	19232	\N	\N	\N
750658	2559	1996-09-23	VYDAJ	VYBER	5000	20451	\N	\N	\N
750659	2559	1996-10-23	VYDAJ	VYBER	1000	24233	\N	\N	\N
750660	2559	1996-11-22	VYDAJ	VYBER	2000	28468	\N	\N	\N
750661	2559	1996-12-22	VYDAJ	VYBER	7800	30146	\N	\N	\N
750662	2559	1997-01-21	VYDAJ	VYBER	4100	25904	\N	\N	\N
750663	2559	1997-02-20	VYDAJ	VYBER	1500	29691	\N	\N	\N
750664	2559	1997-03-22	VYDAJ	VYBER	4600	31341	\N	\N	\N
750665	2559	1997-04-21	VYDAJ	VYBER	3400	34205	\N	\N	\N
750666	2559	1997-05-21	VYDAJ	VYBER	900	39578	\N	\N	\N
750667	2559	1997-06-20	PRIJEM	VKLAD	15100	29320	\N	\N	\N
750668	2559	1997-07-20	PRIJEM	VKLAD	3100	38713	\N	\N	\N
750669	2559	1997-08-19	PRIJEM	VKLAD	5500	45447	\N	\N	\N
750670	2559	1997-09-18	VYDAJ	VYBER	1500	50256	\N	\N	\N
750671	2559	1997-10-18	VYDAJ	VYBER	1000	53549	\N	\N	\N
750672	2559	1997-11-17	VYDAJ	VYBER	1500	54206	\N	\N	\N
750673	2559	1997-12-17	VYDAJ	VYBER	8400	55754	\N	\N	\N
750674	2559	1998-01-16	VYDAJ	VYBER	4000	56676	\N	\N	\N
750675	2559	1998-02-15	VYDAJ	VYBER	7300	51897	\N	\N	\N
750676	2559	1998-03-17	VYDAJ	VYBER	11600	46647	\N	\N	\N
750677	2559	1998-04-16	VYDAJ	VYBER	3400	49587	\N	\N	\N
750678	2559	1998-05-16	VYDAJ	VYBER	5800	50120	\N	\N	\N
750679	2559	1998-06-15	VYDAJ	VYBER	5200	48094	\N	\N	\N
750680	2559	1998-07-15	VYDAJ	VYBER	3300	46450	\N	\N	\N
750681	2559	1998-08-14	PRIJEM	VKLAD	800	48537	\N	\N	\N
750682	2559	1998-09-13	VYDAJ	VYBER	5300	49570	\N	\N	\N
750683	2559	1998-10-13	VYDAJ	VYBER	500	50360	\N	\N	\N
750684	2559	1998-11-12	PRIJEM	VKLAD	1900	51580	\N	\N	\N
750728	2560	1997-06-20	PRIJEM	VKLAD	800	800	\N	\N	\N
750735	2560	1997-07-14	PRIJEM	VKLAD	8387	9187	\N	\N	\N
750736	2560	1997-08-14	PRIJEM	VKLAD	8387	24800	\N	\N	\N
750737	2560	1997-09-14	PRIJEM	VKLAD	8387	35074	\N	\N	\N
750738	2560	1997-10-14	PRIJEM	VKLAD	8387	39780	\N	\N	\N
750739	2560	1997-11-14	PRIJEM	VKLAD	8387	40499	\N	\N	\N
750740	2560	1997-12-14	PRIJEM	VKLAD	12581	41010	\N	\N	\N
750741	2560	1998-01-14	PRIJEM	VKLAD	8387	16047	\N	\N	\N
750742	2560	1998-02-14	PRIJEM	VKLAD	8387	18343	\N	\N	\N
750743	2560	1998-03-14	PRIJEM	VKLAD	8387	21492	\N	\N	\N
750744	2560	1998-04-14	PRIJEM	VKLAD	8387	27862	\N	\N	\N
750745	2560	1998-05-14	PRIJEM	VKLAD	8387	29048	\N	\N	\N
750746	2560	1998-06-14	PRIJEM	VKLAD	12581	35635	\N	\N	\N
750747	2560	1998-07-14	PRIJEM	VKLAD	8387	32937	\N	\N	\N
750748	2560	1998-08-14	PRIJEM	VKLAD	8387	35045	\N	\N	\N
750749	2560	1998-09-14	PRIJEM	VKLAD	8387	36058	\N	\N	\N
750750	2560	1998-10-14	PRIJEM	VKLAD	8387	33980	\N	\N	\N
750751	2560	1998-11-14	PRIJEM	VKLAD	8387	31940	\N	\N	\N
750752	2560	1998-12-14	PRIJEM	VKLAD	12581	32645	\N	\N	\N
750764	2560	1997-12-08	VYDAJ	PREVOD NA UCET	1146	32875	SIPO	CD	63472384
750765	2560	1998-01-08	VYDAJ	PREVOD NA UCET	1146	12105	SIPO	CD	63472384
750766	2560	1998-02-08	VYDAJ	PREVOD NA UCET	1146	14401	SIPO	CD	63472384
750767	2560	1998-03-08	VYDAJ	PREVOD NA UCET	1146	17550	SIPO	CD	63472384
750768	2560	1998-04-08	VYDAJ	PREVOD NA UCET	1146	23920	SIPO	CD	63472384
750769	2560	1998-05-08	VYDAJ	PREVOD NA UCET	1146	25106	SIPO	CD	63472384
750770	2560	1998-06-08	VYDAJ	PREVOD NA UCET	1146	27500	SIPO	CD	63472384
750771	2560	1998-07-08	VYDAJ	PREVOD NA UCET	1146	28995	SIPO	CD	63472384
750772	2560	1998-08-08	VYDAJ	PREVOD NA UCET	1146	31103	SIPO	CD	63472384
750773	2560	1998-09-08	VYDAJ	PREVOD NA UCET	1146	31216	SIPO	CD	63472384
751337	2563	1996-02-08	PRIJEM	VKLAD	4477	23611	\N	\N	\N
750774	2560	1998-10-08	VYDAJ	PREVOD NA UCET	1146	35038	SIPO	CD	63472384
750775	2560	1998-11-08	VYDAJ	PREVOD NA UCET	1146	28398	SIPO	CD	63472384
750776	2560	1998-12-08	VYDAJ	PREVOD NA UCET	1146	30909	SIPO	CD	63472384
750788	2560	1997-12-10	VYDAJ	PREVOD NA UCET	4445	28430	 	IJ	44398903
750789	2560	1998-01-10	VYDAJ	PREVOD NA UCET	4445	7660	 	IJ	44398903
750790	2560	1998-02-10	VYDAJ	PREVOD NA UCET	4445	9956	 	IJ	44398903
750791	2560	1998-03-10	VYDAJ	PREVOD NA UCET	4445	13105	 	IJ	44398903
750792	2560	1998-04-10	VYDAJ	PREVOD NA UCET	4445	19475	 	IJ	44398903
750793	2560	1998-05-10	VYDAJ	PREVOD NA UCET	4445	20661	 	IJ	44398903
750794	2560	1998-06-10	VYDAJ	PREVOD NA UCET	4445	23055	 	IJ	44398903
750795	2560	1998-07-10	VYDAJ	PREVOD NA UCET	4445	24550	 	IJ	44398903
750796	2560	1998-08-10	VYDAJ	PREVOD NA UCET	4445	26658	 	IJ	44398903
750797	2560	1998-09-10	VYDAJ	PREVOD NA UCET	4445	26771	 	IJ	44398903
750798	2560	1998-10-10	VYDAJ	PREVOD NA UCET	4445	25793	 	IJ	44398903
750799	2560	1998-11-10	VYDAJ	PREVOD NA UCET	4445	23953	 	IJ	44398903
750800	2560	1998-12-10	VYDAJ	PREVOD NA UCET	4445	26464	 	IJ	44398903
750804	2560	1998-01-02	VYDAJ	VYBER	15040	13251	\N	\N	\N
750805	2560	1997-12-25	VYDAJ	VYBER	4640	28170	\N	\N	\N
750806	2560	1998-12-27	VYDAJ	VYBER	3360	24005	\N	\N	\N
750813	2560	1998-01-21	VYDAJ	VYBER	4560	15487	\N	\N	\N
750814	2560	1998-11-07	VYDAJ	VYBER	4560	29544	\N	\N	\N
750815	2560	1998-12-23	VYDAJ	VYBER	5280	27365	\N	\N	\N
750816	2560	1998-10-09	VYDAJ	VYBER	4800	30238	\N	\N	\N
750828	2560	1997-11-30	VYDAJ	VYBER	15	34021	SLUZBY	\N	\N
750829	2560	1997-12-31	VYDAJ	VYBER	15	28291	SLUZBY	\N	\N
750830	2560	1998-01-31	VYDAJ	VYBER	15	15547	SLUZBY	\N	\N
750831	2560	1998-02-28	VYDAJ	VYBER	15	18696	SLUZBY	\N	\N
750832	2560	1998-03-31	VYDAJ	VYBER	15	25066	SLUZBY	\N	\N
750833	2560	1998-04-30	VYDAJ	VYBER	15	26252	SLUZBY	\N	\N
750834	2560	1998-05-31	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
750835	2560	1998-06-30	VYDAJ	VYBER	15	30141	SLUZBY	\N	\N
750836	2560	1998-07-31	VYDAJ	VYBER	15	32249	SLUZBY	\N	\N
750837	2560	1998-08-31	VYDAJ	VYBER	15	32362	SLUZBY	\N	\N
750838	2560	1998-09-30	VYDAJ	VYBER	15	36184	SLUZBY	\N	\N
750839	2560	1998-10-31	VYDAJ	VYBER	15	34104	SLUZBY	\N	\N
750840	2560	1998-11-30	VYDAJ	VYBER	15	32055	SLUZBY	\N	\N
750841	2560	1997-07-20	PRIJEM	VKLAD	7200	16387	\N	\N	\N
750842	2560	1997-08-19	PRIJEM	VKLAD	1800	26600	\N	\N	\N
750843	2560	1997-09-18	VYDAJ	VYBER	3800	31274	\N	\N	\N
750844	2560	1997-10-18	VYDAJ	VYBER	7800	31980	\N	\N	\N
750845	2560	1997-11-17	VYDAJ	VYBER	6600	33899	\N	\N	\N
750846	2560	1997-12-17	VYDAJ	VYBER	8200	32810	\N	\N	\N
750847	2560	1998-01-16	PRIJEM	VKLAD	4000	20047	\N	\N	\N
750848	2560	1998-02-15	PRIJEM	VKLAD	300	18643	\N	\N	\N
750849	2560	1998-03-17	PRIJEM	VKLAD	3500	24992	\N	\N	\N
750850	2560	1998-04-16	VYDAJ	VYBER	1700	26162	\N	\N	\N
750851	2560	1998-05-16	VYDAJ	VYBER	500	28548	\N	\N	\N
750852	2560	1998-06-15	VYDAJ	VYBER	5600	30035	\N	\N	\N
750853	2560	1998-07-15	VYDAJ	VYBER	800	32137	\N	\N	\N
750854	2560	1998-08-14	VYDAJ	VYBER	2800	32245	\N	\N	\N
750855	2560	1998-09-13	PRIJEM	VKLAD	900	27671	\N	\N	\N
750856	2560	1998-10-13	VYDAJ	VYBER	200	25593	\N	\N	\N
750857	2560	1998-11-12	VYDAJ	VYBER	400	23553	\N	\N	\N
750858	2560	1998-12-12	VYDAJ	VYBER	6400	20064	\N	\N	\N
750877	2561	1996-09-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
750887	2561	1996-10-14	PRIJEM	VKLAD	20577	21677	\N	\N	\N
750888	2561	1996-11-14	PRIJEM	VKLAD	20577	43663	\N	\N	\N
750889	2561	1996-12-14	PRIJEM	VKLAD	30866	69631	\N	\N	\N
750890	2561	1997-01-14	PRIJEM	VKLAD	20577	70676	\N	\N	\N
750891	2561	1997-02-14	PRIJEM	VKLAD	20577	71161	\N	\N	\N
750892	2561	1997-03-14	PRIJEM	VKLAD	20577	63983	\N	\N	\N
750893	2561	1997-04-14	PRIJEM	VKLAD	20577	56314	\N	\N	\N
750894	2561	1997-05-14	PRIJEM	VKLAD	20577	54516	\N	\N	\N
750895	2561	1997-06-14	PRIJEM	VKLAD	30866	55794	\N	\N	\N
750896	2561	1997-07-14	PRIJEM	VKLAD	20577	35757	\N	\N	\N
750897	2561	1997-08-14	PRIJEM	VKLAD	20577	42637	\N	\N	\N
750898	2561	1997-09-14	PRIJEM	VKLAD	20577	46582	\N	\N	\N
750899	2561	1997-10-14	PRIJEM	VKLAD	20577	49341	\N	\N	\N
750900	2561	1997-11-14	PRIJEM	VKLAD	20577	50210	\N	\N	\N
750901	2561	1997-12-14	PRIJEM	VKLAD	30866	56707	\N	\N	\N
750902	2561	1998-01-14	PRIJEM	VKLAD	20577	40159	\N	\N	\N
750903	2561	1998-02-14	PRIJEM	VKLAD	20577	27550	\N	\N	\N
750904	2561	1998-03-14	PRIJEM	VKLAD	20577	42001	\N	\N	\N
750905	2561	1998-04-14	PRIJEM	VKLAD	20577	52246	\N	\N	\N
750906	2561	1998-05-14	PRIJEM	VKLAD	20577	60632	\N	\N	\N
750907	2561	1998-06-14	PRIJEM	VKLAD	30866	77440	\N	\N	\N
750908	2561	1998-07-14	PRIJEM	VKLAD	20577	78102	\N	\N	\N
750909	2561	1998-08-14	PRIJEM	VKLAD	20577	76763	\N	\N	\N
750910	2561	1998-09-14	PRIJEM	VKLAD	20577	75031	\N	\N	\N
750911	2561	1998-10-14	PRIJEM	VKLAD	20577	71290	\N	\N	\N
750912	2561	1998-11-14	PRIJEM	VKLAD	20577	71540	\N	\N	\N
750913	2561	1998-12-14	PRIJEM	VKLAD	30866	79679	\N	\N	\N
750928	2561	1997-03-10	VYDAJ	PREVOD NA UCET	7764	43406	SIPO	CD	62003558
750929	2561	1997-04-10	VYDAJ	PREVOD NA UCET	7764	35737	SIPO	CD	62003558
750930	2561	1997-05-10	VYDAJ	PREVOD NA UCET	7764	33939	SIPO	CD	62003558
750931	2561	1997-06-10	VYDAJ	PREVOD NA UCET	7764	24928	SIPO	CD	62003558
750932	2561	1997-07-10	VYDAJ	PREVOD NA UCET	7764	15180	SIPO	CD	62003558
750933	2561	1997-08-10	VYDAJ	PREVOD NA UCET	7764	22060	SIPO	CD	62003558
750934	2561	1997-09-10	VYDAJ	PREVOD NA UCET	7764	26005	SIPO	CD	62003558
750935	2561	1997-10-10	VYDAJ	PREVOD NA UCET	7764	28764	SIPO	CD	62003558
750936	2561	1997-11-10	VYDAJ	PREVOD NA UCET	7764	29633	SIPO	CD	62003558
750937	2561	1997-12-10	VYDAJ	PREVOD NA UCET	7764	25841	SIPO	CD	62003558
750938	2561	1998-01-10	VYDAJ	PREVOD NA UCET	7764	24382	SIPO	CD	62003558
750939	2561	1998-02-10	VYDAJ	PREVOD NA UCET	7764	6973	SIPO	CD	62003558
750940	2561	1998-03-10	VYDAJ	PREVOD NA UCET	7764	22264	SIPO	CD	62003558
750941	2561	1998-04-10	VYDAJ	PREVOD NA UCET	7764	31669	SIPO	CD	62003558
750942	2561	1998-05-10	VYDAJ	PREVOD NA UCET	7764	40055	SIPO	CD	62003558
750943	2561	1998-06-10	VYDAJ	PREVOD NA UCET	7764	46575	SIPO	CD	62003558
750944	2561	1998-07-10	VYDAJ	PREVOD NA UCET	7764	57525	SIPO	CD	62003558
750945	2561	1998-08-10	VYDAJ	PREVOD NA UCET	7764	56186	SIPO	CD	62003558
750946	2561	1998-09-10	VYDAJ	PREVOD NA UCET	7764	54454	SIPO	CD	62003558
750947	2561	1998-10-10	VYDAJ	PREVOD NA UCET	7764	50713	SIPO	CD	62003558
750948	2561	1998-11-10	VYDAJ	PREVOD NA UCET	7764	50963	SIPO	CD	62003558
750949	2561	1998-12-10	VYDAJ	PREVOD NA UCET	7764	48814	SIPO	CD	62003558
750951	2561	1997-06-21	VYDAJ	VYBER	37280	18514	\N	\N	\N
750955	2561	1998-01-30	VYDAJ	VYBER	9120	14619	\N	\N	\N
750957	2561	1997-12-01	VYDAJ	VYBER	2560	33605	\N	\N	\N
750958	2561	1998-12-09	VYDAJ	VYBER KARTOU	3200	56578	\N	\N	0
750971	2561	1998-01-09	VYDAJ	VYBER	2040	32146	\N	\N	\N
750972	2561	1998-01-28	VYDAJ	VYBER	2640	27099	\N	\N	\N
750973	2561	1998-01-02	VYDAJ	VYBER	2640	37426	\N	\N	\N
750974	2561	1998-01-05	VYDAJ	VYBER	2160	35266	\N	\N	\N
750975	2561	1998-01-30	VYDAJ	VYBER	3360	23739	\N	\N	\N
750976	2561	1998-01-05	VYDAJ	VYBER	1080	34186	\N	\N	\N
750982	2561	1997-05-21	VYDAJ	VYBER	3840	50676	\N	\N	\N
750983	2561	1997-02-21	VYDAJ	VYBER	3000	68161	\N	\N	\N
750984	2561	1997-06-05	VYDAJ	VYBER	5760	32692	\N	\N	\N
750986	2561	1997-07-26	VYDAJ	VYBER	840	29717	\N	\N	\N
750987	2561	1998-01-12	VYDAJ	VYBER	4800	19582	\N	\N	\N
750988	2561	1998-03-10	VYDAJ	VYBER	840	21424	\N	\N	\N
750989	2561	1998-08-04	VYDAJ	VYBER	720	63950	\N	\N	\N
750992	2561	1998-01-14	VYDAJ	VYBER	1920	38239	\N	\N	\N
751007	2561	1997-02-28	VYDAJ	VYBER	15	51170	SLUZBY	\N	\N
751008	2561	1997-03-31	VYDAJ	VYBER	15	43501	SLUZBY	\N	\N
751009	2561	1997-04-30	VYDAJ	VYBER	15	41703	SLUZBY	\N	\N
751010	2561	1997-05-31	VYDAJ	VYBER	15	38452	SLUZBY	\N	\N
751011	2561	1997-06-30	VYDAJ	VYBER	15	22944	SLUZBY	\N	\N
751012	2561	1997-07-31	VYDAJ	VYBER	15	29824	SLUZBY	\N	\N
751013	2561	1997-08-31	VYDAJ	VYBER	15	33769	SLUZBY	\N	\N
751014	2561	1997-09-30	VYDAJ	VYBER	15	36528	SLUZBY	\N	\N
751015	2561	1997-10-31	VYDAJ	VYBER	15	37397	SLUZBY	\N	\N
751016	2561	1997-11-30	VYDAJ	VYBER	15	36165	SLUZBY	\N	\N
751017	2561	1997-12-31	VYDAJ	VYBER	15	40066	SLUZBY	\N	\N
751018	2561	1998-01-31	VYDAJ	VYBER	15	14737	SLUZBY	\N	\N
751019	2561	1998-02-28	VYDAJ	VYBER	15	30028	SLUZBY	\N	\N
751020	2561	1998-03-31	VYDAJ	VYBER	15	39433	SLUZBY	\N	\N
751021	2561	1998-04-30	VYDAJ	VYBER	15	47819	SLUZBY	\N	\N
751022	2561	1998-05-31	VYDAJ	VYBER	15	54339	SLUZBY	\N	\N
751023	2561	1998-06-30	VYDAJ	VYBER	15	65289	SLUZBY	\N	\N
751024	2561	1998-07-31	VYDAJ	VYBER	15	64670	SLUZBY	\N	\N
751025	2561	1998-08-31	VYDAJ	VYBER	15	62218	SLUZBY	\N	\N
751026	2561	1998-09-30	VYDAJ	VYBER	15	58477	SLUZBY	\N	\N
751027	2561	1998-10-31	VYDAJ	VYBER	15	58727	SLUZBY	\N	\N
751028	2561	1998-11-30	VYDAJ	VYBER	15	59778	SLUZBY	\N	\N
751029	2561	1996-10-29	PRIJEM	VKLAD	1400	23077	\N	\N	\N
751030	2561	1996-11-28	VYDAJ	VYBER	5000	38663	\N	\N	\N
751031	2561	1996-12-28	VYDAJ	VYBER	19700	49931	\N	\N	\N
751032	2561	1997-01-27	VYDAJ	VYBER	20300	50376	\N	\N	\N
751033	2561	1997-02-26	VYDAJ	VYBER	17200	50961	\N	\N	\N
751034	2561	1997-03-28	VYDAJ	VYBER	20700	43283	\N	\N	\N
751035	2561	1997-04-27	VYDAJ	VYBER	14800	41514	\N	\N	\N
751036	2561	1997-05-27	VYDAJ	VYBER	12400	38276	\N	\N	\N
751037	2561	1997-06-26	PRIJEM	VKLAD	4300	22814	\N	\N	\N
751038	2561	1997-07-26	VYDAJ	VYBER	5200	30557	\N	\N	\N
751039	2561	1997-08-25	VYDAJ	VYBER	9000	33637	\N	\N	\N
751040	2561	1997-09-24	VYDAJ	VYBER	10200	36382	\N	\N	\N
751041	2561	1997-10-24	VYDAJ	VYBER	12100	37241	\N	\N	\N
751042	2561	1997-11-23	VYDAJ	VYBER	14200	36010	\N	\N	\N
751043	2561	1997-12-23	VYDAJ	VYBER	16800	39907	\N	\N	\N
751044	2561	1998-01-22	VYDAJ	VYBER	8500	29739	\N	\N	\N
751045	2561	1998-02-21	PRIJEM	VKLAD	2400	29950	\N	\N	\N
751046	2561	1998-03-23	VYDAJ	VYBER	2700	39301	\N	\N	\N
751047	2561	1998-04-22	VYDAJ	VYBER	4600	47646	\N	\N	\N
751048	2561	1998-05-22	VYDAJ	VYBER	6500	54132	\N	\N	\N
751049	2561	1998-06-21	VYDAJ	VYBER	12400	65040	\N	\N	\N
751050	2561	1998-07-21	VYDAJ	VYBER	13700	64402	\N	\N	\N
751051	2561	1998-08-20	VYDAJ	VYBER	14800	61963	\N	\N	\N
751052	2561	1998-09-19	VYDAJ	VYBER	16800	58231	\N	\N	\N
751053	2561	1998-10-19	VYDAJ	VYBER	12800	58490	\N	\N	\N
751054	2561	1998-11-18	VYDAJ	VYBER	12000	59540	\N	\N	\N
751082	2562	1995-08-15	PRIJEM	VKLAD	900	900	\N	\N	\N
751091	2562	1995-09-10	PRIJEM	PREVOD Z UCTU	3353	4253	\N	YZ	1911378
751092	2562	1995-10-10	PRIJEM	PREVOD Z UCTU	3353	7606	\N	YZ	1911378
751093	2562	1995-11-10	PRIJEM	PREVOD Z UCTU	3353	10959	\N	YZ	1911378
751094	2562	1995-12-10	PRIJEM	PREVOD Z UCTU	3353	14312	\N	YZ	1911378
751095	2562	1996-01-10	PRIJEM	PREVOD Z UCTU	3353	17665	\N	YZ	1911378
751096	2562	1996-02-10	PRIJEM	PREVOD Z UCTU	3353	15096	\N	YZ	1911378
751097	2562	1996-03-10	PRIJEM	PREVOD Z UCTU	3353	16259	\N	YZ	1911378
751098	2562	1996-04-10	PRIJEM	PREVOD Z UCTU	3353	16256	\N	YZ	1911378
751099	2562	1996-05-10	PRIJEM	PREVOD Z UCTU	3353	16405	\N	YZ	1911378
751100	2562	1996-06-10	PRIJEM	PREVOD Z UCTU	3353	16195	\N	YZ	1911378
751101	2562	1996-07-10	PRIJEM	PREVOD Z UCTU	3353	17364	\N	YZ	1911378
751102	2562	1996-08-10	PRIJEM	PREVOD Z UCTU	3353	18539	\N	YZ	1911378
751103	2562	1996-09-10	PRIJEM	PREVOD Z UCTU	3353	19718	\N	YZ	1911378
751104	2562	1996-10-10	PRIJEM	PREVOD Z UCTU	3353	20212	\N	YZ	1911378
751105	2562	1996-11-10	PRIJEM	PREVOD Z UCTU	3353	20345	\N	YZ	1911378
751106	2562	1996-12-10	PRIJEM	PREVOD Z UCTU	3353	19882	\N	YZ	1911378
751107	2562	1997-01-10	PRIJEM	PREVOD Z UCTU	3353	17617	\N	YZ	1911378
751108	2562	1997-02-10	PRIJEM	PREVOD Z UCTU	3353	16389	\N	YZ	1911378
751109	2562	1997-03-10	PRIJEM	PREVOD Z UCTU	3353	17139	\N	YZ	1911378
751110	2562	1997-04-10	PRIJEM	PREVOD Z UCTU	3353	18312	\N	YZ	1911378
751111	2562	1997-05-10	PRIJEM	PREVOD Z UCTU	3353	18920	\N	YZ	1911378
751112	2562	1997-06-10	PRIJEM	PREVOD Z UCTU	3353	20101	\N	YZ	1911378
751113	2562	1997-07-10	PRIJEM	PREVOD Z UCTU	3353	14705	\N	YZ	1911378
751114	2562	1997-08-10	PRIJEM	PREVOD Z UCTU	3353	15868	\N	YZ	1911378
751115	2562	1997-09-10	PRIJEM	PREVOD Z UCTU	3353	17036	\N	YZ	1911378
751116	2562	1997-10-10	PRIJEM	PREVOD Z UCTU	3353	16738	\N	YZ	1911378
751117	2562	1997-11-10	PRIJEM	PREVOD Z UCTU	3353	17910	\N	YZ	1911378
751118	2562	1997-12-10	PRIJEM	PREVOD Z UCTU	3353	19086	\N	YZ	1911378
751119	2562	1998-01-10	PRIJEM	PREVOD Z UCTU	3353	19517	\N	YZ	1911378
751120	2562	1998-02-10	PRIJEM	PREVOD Z UCTU	3353	14900	\N	YZ	1911378
751121	2562	1998-03-10	PRIJEM	PREVOD Z UCTU	3353	16064	\N	YZ	1911378
751122	2562	1998-04-10	PRIJEM	PREVOD Z UCTU	3353	15908	\N	YZ	1911378
751123	2562	1998-05-10	PRIJEM	PREVOD Z UCTU	3353	16656	\N	YZ	1911378
751124	2562	1998-06-10	PRIJEM	PREVOD Z UCTU	3353	17827	\N	YZ	1911378
751125	2562	1998-07-10	PRIJEM	PREVOD Z UCTU	3353	19003	\N	YZ	1911378
751126	2562	1998-08-10	PRIJEM	PREVOD Z UCTU	3353	18232	\N	YZ	1911378
751127	2562	1998-09-10	PRIJEM	PREVOD Z UCTU	3353	19109	\N	YZ	1911378
751128	2562	1998-10-10	PRIJEM	PREVOD Z UCTU	3353	19719	\N	YZ	1911378
751129	2562	1998-11-10	PRIJEM	PREVOD Z UCTU	3353	20902	\N	YZ	1911378
751130	2562	1998-12-10	PRIJEM	PREVOD Z UCTU	3353	22091	\N	YZ	1911378
751144	2562	1996-02-05	VYDAJ	PREVOD NA UCET	2235	11743	\N	EF	27375477
751145	2562	1996-03-05	VYDAJ	PREVOD NA UCET	2235	12906	\N	EF	27375477
751146	2562	1996-04-05	VYDAJ	PREVOD NA UCET	2235	12903	\N	EF	27375477
751147	2562	1996-05-05	VYDAJ	PREVOD NA UCET	2235	13052	\N	EF	27375477
751148	2562	1996-06-05	VYDAJ	PREVOD NA UCET	2235	12842	\N	EF	27375477
751149	2562	1996-07-05	VYDAJ	PREVOD NA UCET	2235	14011	\N	EF	27375477
751150	2562	1996-08-05	VYDAJ	PREVOD NA UCET	2235	15186	\N	EF	27375477
751151	2562	1996-09-05	VYDAJ	PREVOD NA UCET	2235	16365	\N	EF	27375477
751152	2562	1996-10-05	VYDAJ	PREVOD NA UCET	2235	17549	\N	EF	27375477
751153	2562	1996-11-05	VYDAJ	PREVOD NA UCET	2235	16992	\N	EF	27375477
751154	2562	1996-12-05	VYDAJ	PREVOD NA UCET	2235	18029	\N	EF	27375477
751155	2562	1997-01-05	VYDAJ	PREVOD NA UCET	2235	17174	\N	EF	27375477
751156	2562	1997-02-05	VYDAJ	PREVOD NA UCET	2235	13036	\N	EF	27375477
751157	2562	1997-03-05	VYDAJ	PREVOD NA UCET	2235	13786	\N	EF	27375477
751158	2562	1997-04-05	VYDAJ	PREVOD NA UCET	2235	14959	\N	EF	27375477
751159	2562	1997-05-05	VYDAJ	PREVOD NA UCET	2235	15567	\N	EF	27375477
751160	2562	1997-06-05	VYDAJ	PREVOD NA UCET	2235	16748	\N	EF	27375477
751161	2562	1997-07-05	VYDAJ	PREVOD NA UCET	2235	11352	\N	EF	27375477
751162	2562	1997-08-05	VYDAJ	PREVOD NA UCET	2235	12515	\N	EF	27375477
751163	2562	1997-09-05	VYDAJ	PREVOD NA UCET	2235	13683	\N	EF	27375477
751164	2562	1997-10-05	VYDAJ	PREVOD NA UCET	2235	13385	\N	EF	27375477
751165	2562	1997-11-05	VYDAJ	PREVOD NA UCET	2235	14557	\N	EF	27375477
751166	2562	1997-12-05	VYDAJ	PREVOD NA UCET	2235	15733	\N	EF	27375477
751167	2562	1998-01-05	VYDAJ	PREVOD NA UCET	2235	16164	\N	EF	27375477
751168	2562	1998-02-05	VYDAJ	PREVOD NA UCET	2235	11547	\N	EF	27375477
751169	2562	1998-03-05	VYDAJ	PREVOD NA UCET	2235	12711	\N	EF	27375477
751170	2562	1998-04-05	VYDAJ	PREVOD NA UCET	2235	12555	\N	EF	27375477
751171	2562	1998-05-05	VYDAJ	PREVOD NA UCET	2235	13303	\N	EF	27375477
751172	2562	1998-06-05	VYDAJ	PREVOD NA UCET	2235	14474	\N	EF	27375477
751173	2562	1998-07-05	VYDAJ	PREVOD NA UCET	2235	15650	\N	EF	27375477
751174	2562	1998-08-05	VYDAJ	PREVOD NA UCET	2235	14879	\N	EF	27375477
751175	2562	1998-09-05	VYDAJ	PREVOD NA UCET	2235	15756	\N	EF	27375477
751176	2562	1998-10-05	VYDAJ	PREVOD NA UCET	2235	16366	\N	EF	27375477
751177	2562	1998-11-05	VYDAJ	PREVOD NA UCET	2235	17549	\N	EF	27375477
751178	2562	1998-12-05	VYDAJ	PREVOD NA UCET	2235	18738	\N	EF	27375477
751181	2562	1997-06-18	VYDAJ	VYBER	6570	13531	\N	\N	\N
751184	2562	1996-01-10	VYDAJ	VYBER	330	16885	\N	\N	\N
751185	2562	1997-01-07	VYDAJ	VYBER	2220	14954	\N	\N	\N
751186	2562	1998-01-19	VYDAJ	VYBER	2100	15197	\N	\N	\N
751188	2562	1996-12-03	VYDAJ	VYBER	150	20264	\N	\N	\N
751189	2562	1997-12-18	VYDAJ	VYBER	210	18876	\N	\N	\N
751190	2562	1998-12-22	VYDAJ	VYBER	840	21251	\N	\N	\N
751197	2562	1996-01-10	VYDAJ	VYBER	450	17215	\N	\N	\N
751198	2562	1996-01-21	VYDAJ	VYBER	720	15085	\N	\N	\N
751199	2562	1996-01-25	VYDAJ	VYBER	330	14755	\N	\N	\N
751200	2562	1996-01-19	VYDAJ	VYBER	570	15805	\N	\N	\N
751202	2562	1996-01-16	VYDAJ	VYBER	510	16375	\N	\N	\N
751203	2562	1997-01-16	VYDAJ	VYBER	870	16027	\N	\N	\N
751204	2562	1997-01-29	VYDAJ	VYBER	570	15457	\N	\N	\N
751205	2562	1997-01-30	VYDAJ	VYBER	240	15217	\N	\N	\N
751206	2562	1997-01-03	VYDAJ	VYBER	540	19409	\N	\N	\N
751207	2562	1997-01-08	VYDAJ	VYBER	690	14264	\N	\N	\N
751208	2562	1997-01-14	VYDAJ	VYBER	720	16897	\N	\N	\N
751209	2562	1998-01-19	VYDAJ	VYBER	660	17297	\N	\N	\N
751210	2562	1998-01-20	VYDAJ	VYBER	330	14867	\N	\N	\N
751211	2562	1998-01-12	VYDAJ	VYBER	330	19187	\N	\N	\N
751212	2562	1998-01-27	VYDAJ	VYBER	720	13727	\N	\N	\N
751213	2562	1998-01-23	VYDAJ	VYBER	420	14447	\N	\N	\N
751214	2562	1998-01-04	VYDAJ	VYBER	540	18399	\N	\N	\N
751221	2562	1996-05-26	VYDAJ	VYBER	1380	15025	\N	\N	\N
751222	2562	1996-03-12	VYDAJ	VYBER	1170	15089	\N	\N	\N
751223	2562	1996-10-10	VYDAJ	VYBER	1050	19162	\N	\N	\N
751224	2562	1996-04-10	VYDAJ	VYBER	1020	15236	\N	\N	\N
751225	2562	1996-02-04	VYDAJ	VYBER	810	13978	\N	\N	\N
751226	2562	1996-10-08	VYDAJ	VYBER	690	16859	\N	\N	\N
751227	2562	1997-02-22	VYDAJ	VYBER	420	15969	\N	\N	\N
751228	2562	1997-04-10	VYDAJ	VYBER	570	17742	\N	\N	\N
751229	2562	1997-09-29	VYDAJ	VYBER	1470	15566	\N	\N	\N
751230	2562	1998-09-21	VYDAJ	VYBER	570	18539	\N	\N	\N
751231	2562	1998-07-20	VYDAJ	VYBER	690	18313	\N	\N	\N
751233	2562	1998-08-12	VYDAJ	VYBER	300	17932	\N	\N	\N
751234	2562	1998-07-28	VYDAJ	VYBER	1260	17053	\N	\N	\N
751235	2562	1998-03-11	VYDAJ	VYBER	1320	14744	\N	\N	\N
751236	2562	1998-01-18	VYDAJ	VYBER	1230	17957	\N	\N	\N
751237	2562	1998-04-29	VYDAJ	VYBER	420	15488	\N	\N	\N
751251	2562	1996-01-31	VYDAJ	VYBER	15	14788	SLUZBY	\N	\N
751252	2562	1996-02-29	VYDAJ	VYBER	15	15141	SLUZBY	\N	\N
751253	2562	1996-03-31	VYDAJ	VYBER	15	15138	SLUZBY	\N	\N
751254	2562	1996-04-30	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
751255	2562	1996-05-31	VYDAJ	VYBER	15	15077	SLUZBY	\N	\N
751256	2562	1996-06-30	VYDAJ	VYBER	15	16246	SLUZBY	\N	\N
751257	2562	1996-07-31	VYDAJ	VYBER	15	17421	SLUZBY	\N	\N
751258	2562	1996-08-31	VYDAJ	VYBER	15	18600	SLUZBY	\N	\N
751259	2562	1996-09-30	VYDAJ	VYBER	15	19784	SLUZBY	\N	\N
751260	2562	1996-10-31	VYDAJ	VYBER	15	19227	SLUZBY	\N	\N
751261	2562	1996-11-30	VYDAJ	VYBER	15	20414	SLUZBY	\N	\N
751262	2562	1996-12-31	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
751263	2562	1997-01-31	VYDAJ	VYBER	15	15271	SLUZBY	\N	\N
751264	2562	1997-02-28	VYDAJ	VYBER	15	16021	SLUZBY	\N	\N
751265	2562	1997-03-31	VYDAJ	VYBER	15	17194	SLUZBY	\N	\N
751266	2562	1997-04-30	VYDAJ	VYBER	15	17802	SLUZBY	\N	\N
751267	2562	1997-05-31	VYDAJ	VYBER	15	18983	SLUZBY	\N	\N
751268	2562	1997-06-30	VYDAJ	VYBER	15	13587	SLUZBY	\N	\N
751269	2562	1997-07-31	VYDAJ	VYBER	15	14750	SLUZBY	\N	\N
751270	2562	1997-08-31	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
751271	2562	1997-09-30	VYDAJ	VYBER	15	15620	SLUZBY	\N	\N
751272	2562	1997-10-31	VYDAJ	VYBER	15	16792	SLUZBY	\N	\N
751273	2562	1997-11-30	VYDAJ	VYBER	15	17968	SLUZBY	\N	\N
751274	2562	1997-12-31	VYDAJ	VYBER	15	18939	SLUZBY	\N	\N
751275	2562	1998-01-31	VYDAJ	VYBER	15	13782	SLUZBY	\N	\N
751276	2562	1998-02-28	VYDAJ	VYBER	15	14946	SLUZBY	\N	\N
751277	2562	1998-03-31	VYDAJ	VYBER	15	14790	SLUZBY	\N	\N
751278	2562	1998-04-30	VYDAJ	VYBER	15	15538	SLUZBY	\N	\N
751279	2562	1998-05-31	VYDAJ	VYBER	15	16709	SLUZBY	\N	\N
751280	2562	1998-06-30	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
751281	2562	1998-07-31	VYDAJ	VYBER	15	17114	SLUZBY	\N	\N
751282	2562	1998-08-31	VYDAJ	VYBER	15	17991	SLUZBY	\N	\N
751283	2562	1998-09-30	VYDAJ	VYBER	15	18601	SLUZBY	\N	\N
751284	2562	1998-10-31	VYDAJ	VYBER	15	19784	SLUZBY	\N	\N
751285	2562	1998-11-30	VYDAJ	VYBER	15	20973	SLUZBY	\N	\N
751286	2562	1996-12-07	VYDAJ	VYBER	1500	16529	\N	\N	\N
751323	2563	1995-01-17	PRIJEM	VKLAD	300	300	\N	\N	\N
751325	2563	1995-02-08	PRIJEM	VKLAD	4477	4777	\N	\N	\N
751326	2563	1995-03-08	PRIJEM	VKLAD	4477	21487	\N	\N	\N
751327	2563	1995-04-08	PRIJEM	VKLAD	4477	30151	\N	\N	\N
751328	2563	1995-05-08	PRIJEM	VKLAD	4477	32940	\N	\N	\N
751329	2563	1995-06-08	PRIJEM	VKLAD	6716	36777	\N	\N	\N
751330	2563	1995-07-08	PRIJEM	VKLAD	4477	18195	\N	\N	\N
751331	2563	1995-08-08	PRIJEM	VKLAD	4477	25247	\N	\N	\N
751332	2563	1995-09-08	PRIJEM	VKLAD	4477	31126	\N	\N	\N
751333	2563	1995-10-08	PRIJEM	VKLAD	4477	35527	\N	\N	\N
751334	2563	1995-11-08	PRIJEM	VKLAD	4477	35635	\N	\N	\N
751335	2563	1995-12-08	PRIJEM	VKLAD	6716	39908	\N	\N	\N
751336	2563	1996-01-08	PRIJEM	VKLAD	4477	23920	\N	\N	\N
751338	2563	1996-03-08	PRIJEM	VKLAD	4477	31891	\N	\N	\N
751339	2563	1996-04-08	PRIJEM	VKLAD	4477	31948	\N	\N	\N
751340	2563	1996-05-08	PRIJEM	VKLAD	4477	32829	\N	\N	\N
751341	2563	1996-06-08	PRIJEM	VKLAD	6716	40781	\N	\N	\N
751342	2563	1996-07-08	PRIJEM	VKLAD	4477	34684	\N	\N	\N
751343	2563	1996-08-08	PRIJEM	VKLAD	4477	38705	\N	\N	\N
751344	2563	1996-09-08	PRIJEM	VKLAD	4477	42242	\N	\N	\N
751345	2563	1996-10-08	PRIJEM	VKLAD	4477	43881	\N	\N	\N
751346	2563	1996-11-08	PRIJEM	VKLAD	4477	46127	\N	\N	\N
751347	2563	1996-12-08	PRIJEM	VKLAD	6716	43228	\N	\N	\N
751348	2563	1997-01-08	PRIJEM	VKLAD	4477	37325	\N	\N	\N
751349	2563	1997-02-08	PRIJEM	VKLAD	4477	33306	\N	\N	\N
751350	2563	1997-03-08	PRIJEM	VKLAD	4477	38478	\N	\N	\N
751351	2563	1997-04-08	PRIJEM	VKLAD	4477	41378	\N	\N	\N
751352	2563	1997-05-08	PRIJEM	VKLAD	4477	44825	\N	\N	\N
751353	2563	1997-06-08	PRIJEM	VKLAD	6716	51710	\N	\N	\N
751354	2563	1997-07-08	PRIJEM	VKLAD	4477	40752	\N	\N	\N
751355	2563	1997-08-08	PRIJEM	VKLAD	4477	45206	\N	\N	\N
751356	2563	1997-09-08	PRIJEM	VKLAD	4477	47650	\N	\N	\N
751357	2563	1997-10-08	PRIJEM	VKLAD	4477	52212	\N	\N	\N
751358	2563	1997-11-08	PRIJEM	VKLAD	4477	52391	\N	\N	\N
751359	2563	1997-12-08	PRIJEM	VKLAD	6716	50753	\N	\N	\N
751360	2563	1998-01-08	PRIJEM	VKLAD	4477	42111	\N	\N	\N
751361	2563	1998-02-08	PRIJEM	VKLAD	4477	37991	\N	\N	\N
751362	2563	1998-03-08	PRIJEM	VKLAD	4477	37888	\N	\N	\N
751363	2563	1998-04-08	PRIJEM	VKLAD	4477	43007	\N	\N	\N
751364	2563	1998-05-08	PRIJEM	VKLAD	4477	46565	\N	\N	\N
751365	2563	1998-06-08	PRIJEM	VKLAD	6716	50759	\N	\N	\N
751366	2563	1998-07-08	PRIJEM	VKLAD	4477	31892	\N	\N	\N
751367	2563	1998-08-08	PRIJEM	VKLAD	4477	39293	\N	\N	\N
751368	2563	1998-09-08	PRIJEM	VKLAD	4477	48822	\N	\N	\N
751369	2563	1998-10-08	PRIJEM	VKLAD	4477	55070	\N	\N	\N
751370	2563	1998-11-08	PRIJEM	VKLAD	4477	52361	\N	\N	\N
751371	2563	1998-12-08	PRIJEM	VKLAD	6716	47397	\N	\N	\N
751377	2563	1995-06-09	VYDAJ	PREVOD NA UCET	2984	33793	SIPO	YZ	67025834
751378	2563	1995-07-09	VYDAJ	PREVOD NA UCET	2984	15211	SIPO	YZ	67025834
751379	2563	1995-08-09	VYDAJ	PREVOD NA UCET	2984	22263	SIPO	YZ	67025834
751380	2563	1995-09-09	VYDAJ	PREVOD NA UCET	2984	28142	SIPO	YZ	67025834
751381	2563	1995-10-09	VYDAJ	PREVOD NA UCET	2984	32543	SIPO	YZ	67025834
751382	2563	1995-11-09	VYDAJ	PREVOD NA UCET	2984	32651	SIPO	YZ	67025834
751383	2563	1995-12-09	VYDAJ	PREVOD NA UCET	2984	34364	SIPO	YZ	67025834
751384	2563	1996-01-09	VYDAJ	PREVOD NA UCET	2984	20936	SIPO	YZ	67025834
751385	2563	1996-02-09	VYDAJ	PREVOD NA UCET	2984	20627	SIPO	YZ	67025834
751386	2563	1996-03-09	VYDAJ	PREVOD NA UCET	2984	28907	SIPO	YZ	67025834
751387	2563	1996-04-09	VYDAJ	PREVOD NA UCET	2984	28964	SIPO	YZ	67025834
751388	2563	1996-05-09	VYDAJ	PREVOD NA UCET	2984	29845	SIPO	YZ	67025834
751389	2563	1996-06-09	VYDAJ	PREVOD NA UCET	2984	37797	SIPO	YZ	67025834
751390	2563	1996-07-09	VYDAJ	PREVOD NA UCET	2984	31700	SIPO	YZ	67025834
751391	2563	1996-08-09	VYDAJ	PREVOD NA UCET	2984	36621	SIPO	YZ	67025834
751392	2563	1996-09-09	VYDAJ	PREVOD NA UCET	2984	39258	SIPO	YZ	67025834
751393	2563	1996-10-09	VYDAJ	PREVOD NA UCET	2984	40197	SIPO	YZ	67025834
751394	2563	1996-11-09	VYDAJ	PREVOD NA UCET	2984	43143	SIPO	YZ	67025834
751395	2563	1996-12-09	VYDAJ	PREVOD NA UCET	2984	40244	SIPO	YZ	67025834
751396	2563	1997-01-09	VYDAJ	PREVOD NA UCET	2984	34341	SIPO	YZ	67025834
751397	2563	1997-02-09	VYDAJ	PREVOD NA UCET	2984	30322	SIPO	YZ	67025834
751398	2563	1997-03-09	VYDAJ	PREVOD NA UCET	2984	35494	SIPO	YZ	67025834
751399	2563	1997-04-09	VYDAJ	PREVOD NA UCET	2984	38394	SIPO	YZ	67025834
751400	2563	1997-05-09	VYDAJ	PREVOD NA UCET	2984	41841	SIPO	YZ	67025834
751401	2563	1997-06-09	VYDAJ	PREVOD NA UCET	2984	48726	SIPO	YZ	67025834
751402	2563	1997-07-09	VYDAJ	PREVOD NA UCET	2984	32008	SIPO	YZ	67025834
751403	2563	1997-08-09	VYDAJ	PREVOD NA UCET	2984	42222	SIPO	YZ	67025834
751404	2563	1997-09-09	VYDAJ	PREVOD NA UCET	2984	44666	SIPO	YZ	67025834
751405	2563	1997-10-09	VYDAJ	PREVOD NA UCET	2984	49228	SIPO	YZ	67025834
751406	2563	1997-11-09	VYDAJ	PREVOD NA UCET	2984	49407	SIPO	YZ	67025834
751407	2563	1997-12-09	VYDAJ	PREVOD NA UCET	2984	47769	SIPO	YZ	67025834
751408	2563	1998-01-09	VYDAJ	PREVOD NA UCET	2984	36007	SIPO	YZ	67025834
751409	2563	1998-02-09	VYDAJ	PREVOD NA UCET	2984	35007	SIPO	YZ	67025834
751410	2563	1998-03-09	VYDAJ	PREVOD NA UCET	2984	34904	SIPO	YZ	67025834
751411	2563	1998-04-09	VYDAJ	PREVOD NA UCET	2984	40023	SIPO	YZ	67025834
751412	2563	1998-05-09	VYDAJ	PREVOD NA UCET	2984	43581	SIPO	YZ	67025834
751413	2563	1998-06-09	VYDAJ	PREVOD NA UCET	2984	47775	SIPO	YZ	67025834
751414	2563	1998-07-09	VYDAJ	PREVOD NA UCET	2984	28908	SIPO	YZ	67025834
751415	2563	1998-08-09	VYDAJ	PREVOD NA UCET	2984	36309	SIPO	YZ	67025834
751416	2563	1998-09-09	VYDAJ	PREVOD NA UCET	2984	45838	SIPO	YZ	67025834
751417	2563	1998-10-09	VYDAJ	PREVOD NA UCET	2984	52086	SIPO	YZ	67025834
751418	2563	1998-11-09	VYDAJ	PREVOD NA UCET	2984	49377	SIPO	YZ	67025834
751419	2563	1998-12-09	VYDAJ	PREVOD NA UCET	2984	44413	SIPO	YZ	67025834
751420	2563	1995-06-18	VYDAJ	VYBER	16960	13633	\N	\N	\N
751422	2563	1997-06-17	VYDAJ	VYBER	11200	33926	\N	\N	\N
751423	2563	1998-06-19	VYDAJ	VYBER	23520	24255	\N	\N	\N
751424	2563	1995-12-09	VYDAJ	VYBER	2560	37348	\N	\N	\N
751425	2563	1996-12-17	VYDAJ	VYBER	4000	36244	\N	\N	\N
751426	2563	1997-12-07	VYDAJ	VYBER	960	44037	\N	\N	\N
751427	2563	1998-12-05	VYDAJ	VYBER	960	40681	\N	\N	\N
751434	2563	1996-01-01	VYDAJ	VYBER	2760	25923	\N	\N	\N
751435	2563	1996-01-06	VYDAJ	VYBER	2400	19443	\N	\N	\N
751436	2563	1996-01-05	VYDAJ	VYBER	1680	22683	\N	\N	\N
751437	2563	1996-01-05	VYDAJ	VYBER	840	21843	\N	\N	\N
751438	2563	1996-01-01	VYDAJ	VYBER	1560	24363	\N	\N	\N
751439	2563	1996-01-15	VYDAJ	VYBER	2520	23016	\N	\N	\N
751440	2563	1997-01-17	VYDAJ	VYBER	2400	29181	\N	\N	\N
751441	2563	1997-01-04	VYDAJ	VYBER	960	33748	\N	\N	\N
751442	2563	1997-01-13	VYDAJ	VYBER	2760	31581	\N	\N	\N
751443	2563	1997-01-03	VYDAJ	VYBER	1680	34708	\N	\N	\N
751444	2563	1997-01-23	VYDAJ	VYBER	3240	23781	\N	\N	\N
751445	2563	1997-01-27	VYDAJ	VYBER	2760	21021	\N	\N	\N
751446	2563	1998-01-11	VYDAJ	VYBER	3480	32527	\N	\N	\N
751447	2563	1998-01-08	VYDAJ	VYBER	3120	38991	\N	\N	\N
751448	2563	1998-01-24	VYDAJ	VYBER	840	29887	\N	\N	\N
751449	2563	1998-01-03	VYDAJ	VYBER	2400	40754	\N	\N	\N
751450	2563	1998-01-07	VYDAJ	VYBER	3120	37634	\N	\N	\N
751451	2563	1998-01-18	VYDAJ	VYBER	1800	30727	\N	\N	\N
751452	2563	1995-11-12	VYDAJ	VYBER	4680	27971	\N	\N	\N
751455	2563	1995-12-22	VYDAJ	VYBER	4800	28564	\N	\N	\N
751456	2563	1996-11-26	VYDAJ	VYBER	600	38463	\N	\N	\N
751457	2563	1996-04-23	VYDAJ	VYBER	3720	28244	\N	\N	\N
751458	2563	1996-03-20	VYDAJ	VYBER	3240	27367	\N	\N	\N
751459	2563	1996-07-07	VYDAJ	VYBER	4920	30207	\N	\N	\N
751460	2563	1996-11-09	VYDAJ	VYBER	4080	39063	\N	\N	\N
751461	2563	1996-01-23	VYDAJ	VYBER	3960	19056	\N	\N	\N
751462	2563	1997-01-21	VYDAJ	VYBER	2160	27021	\N	\N	\N
751463	2563	1997-02-20	VYDAJ	VYBER	1920	28402	\N	\N	\N
751464	2563	1997-04-19	VYDAJ	VYBER	720	34914	\N	\N	\N
751465	2563	1997-04-11	VYDAJ	VYBER	2760	35634	\N	\N	\N
751466	2563	1997-04-05	VYDAJ	VYBER	1320	34301	\N	\N	\N
751467	2563	1997-07-08	VYDAJ	VYBER	5760	34992	\N	\N	\N
751468	2563	1997-06-09	VYDAJ	VYBER	3600	45126	\N	\N	\N
751469	2563	1998-04-26	VYDAJ	VYBER	1080	38943	\N	\N	\N
751470	2563	1998-10-05	VYDAJ	VYBER	720	50593	\N	\N	\N
751471	2563	1998-07-05	VYDAJ	VYBER	2880	27415	\N	\N	\N
751472	2563	1998-11-28	VYDAJ	VYBER	5520	41457	\N	\N	\N
751473	2563	1998-02-22	VYDAJ	VYBER	4320	30687	\N	\N	\N
751480	2563	1995-06-30	VYDAJ	VYBER	15	13718	SLUZBY	\N	\N
751481	2563	1995-07-31	VYDAJ	VYBER	15	20770	SLUZBY	\N	\N
751482	2563	1995-08-31	VYDAJ	VYBER	15	26649	SLUZBY	\N	\N
751483	2563	1995-09-30	VYDAJ	VYBER	15	31050	SLUZBY	\N	\N
751484	2563	1995-10-31	VYDAJ	VYBER	15	31158	SLUZBY	\N	\N
751485	2563	1995-11-30	VYDAJ	VYBER	15	33192	SLUZBY	\N	\N
751486	2563	1995-12-31	VYDAJ	VYBER	15	28683	SLUZBY	\N	\N
751487	2563	1996-01-31	VYDAJ	VYBER	15	19134	SLUZBY	\N	\N
751488	2563	1996-02-29	VYDAJ	VYBER	15	27414	SLUZBY	\N	\N
751489	2563	1996-03-31	VYDAJ	VYBER	15	27471	SLUZBY	\N	\N
751490	2563	1996-04-30	VYDAJ	VYBER	15	28352	SLUZBY	\N	\N
751491	2563	1996-05-31	VYDAJ	VYBER	15	34065	SLUZBY	\N	\N
751492	2563	1996-06-30	VYDAJ	VYBER	15	35127	SLUZBY	\N	\N
751493	2563	1996-07-31	VYDAJ	VYBER	15	34228	SLUZBY	\N	\N
751494	2563	1996-08-31	VYDAJ	VYBER	15	36765	SLUZBY	\N	\N
751495	2563	1996-09-30	VYDAJ	VYBER	15	39404	SLUZBY	\N	\N
751496	2563	1996-10-31	VYDAJ	VYBER	15	40350	SLUZBY	\N	\N
751497	2563	1996-11-30	VYDAJ	VYBER	15	38612	SLUZBY	\N	\N
751498	2563	1996-12-31	VYDAJ	VYBER	15	36388	SLUZBY	\N	\N
751499	2563	1997-01-31	VYDAJ	VYBER	15	21129	SLUZBY	\N	\N
751500	2563	1997-02-28	VYDAJ	VYBER	15	28501	SLUZBY	\N	\N
751501	2563	1997-03-31	VYDAJ	VYBER	15	35621	SLUZBY	\N	\N
751502	2563	1997-04-30	VYDAJ	VYBER	15	35048	SLUZBY	\N	\N
751503	2563	1997-05-31	VYDAJ	VYBER	15	41994	SLUZBY	\N	\N
751504	2563	1997-06-30	VYDAJ	VYBER	15	34075	SLUZBY	\N	\N
751505	2563	1997-07-31	VYDAJ	VYBER	15	32129	SLUZBY	\N	\N
751506	2563	1997-08-31	VYDAJ	VYBER	15	42373	SLUZBY	\N	\N
751507	2563	1997-09-30	VYDAJ	VYBER	15	44835	SLUZBY	\N	\N
751508	2563	1997-10-31	VYDAJ	VYBER	15	49414	SLUZBY	\N	\N
751509	2563	1997-11-30	VYDAJ	VYBER	15	49597	SLUZBY	\N	\N
751510	2563	1997-12-31	VYDAJ	VYBER	15	47954	SLUZBY	\N	\N
751511	2563	1998-01-31	VYDAJ	VYBER	15	33514	SLUZBY	\N	\N
751512	2563	1998-02-28	VYDAJ	VYBER	15	30811	SLUZBY	\N	\N
751513	2563	1998-03-31	VYDAJ	VYBER	15	35030	SLUZBY	\N	\N
751514	2563	1998-04-30	VYDAJ	VYBER	15	39088	SLUZBY	\N	\N
751515	2563	1998-05-31	VYDAJ	VYBER	15	44043	SLUZBY	\N	\N
751516	2563	1998-06-30	VYDAJ	VYBER	15	30295	SLUZBY	\N	\N
751517	2563	1998-07-31	VYDAJ	VYBER	15	34816	SLUZBY	\N	\N
751518	2563	1998-08-31	VYDAJ	VYBER	15	44345	SLUZBY	\N	\N
751519	2563	1998-09-30	VYDAJ	VYBER	15	51313	SLUZBY	\N	\N
751520	2563	1998-10-31	VYDAJ	VYBER	15	47884	SLUZBY	\N	\N
751521	2563	1998-11-30	VYDAJ	VYBER	15	41641	SLUZBY	\N	\N
751522	2563	1995-02-16	PRIJEM	VKLAD	12200	16977	\N	\N	\N
751523	2563	1995-03-18	PRIJEM	VKLAD	4100	25587	\N	\N	\N
751524	2563	1995-04-17	VYDAJ	VYBER	1800	28351	\N	\N	\N
751525	2563	1995-05-17	VYDAJ	VYBER	3000	29940	\N	\N	\N
751526	2563	1995-06-16	VYDAJ	VYBER	3200	30593	\N	\N	\N
751527	2563	1995-07-16	PRIJEM	VKLAD	5500	20711	\N	\N	\N
751528	2563	1995-08-15	PRIJEM	VKLAD	4300	26563	\N	\N	\N
751529	2563	1995-09-14	PRIJEM	VKLAD	2800	30942	\N	\N	\N
751530	2563	1995-10-14	VYDAJ	VYBER	1500	31043	\N	\N	\N
751531	2563	1995-11-13	PRIJEM	VKLAD	5100	33071	\N	\N	\N
751532	2563	1995-12-13	VYDAJ	VYBER	1000	33364	\N	\N	\N
751533	2563	1996-01-12	PRIJEM	VKLAD	4600	25536	\N	\N	\N
751534	2563	1996-02-11	PRIJEM	VKLAD	6700	27327	\N	\N	\N
751535	2563	1996-03-12	PRIJEM	VKLAD	1700	30607	\N	\N	\N
751536	2563	1996-04-11	PRIJEM	VKLAD	3000	31964	\N	\N	\N
751537	2563	1996-05-11	PRIJEM	VKLAD	4100	33945	\N	\N	\N
751538	2563	1996-06-10	VYDAJ	VYBER	2800	34997	\N	\N	\N
751539	2563	1996-07-10	PRIJEM	VKLAD	2400	34100	\N	\N	\N
751540	2563	1996-08-09	PRIJEM	VKLAD	900	39605	\N	\N	\N
751541	2563	1996-09-08	PRIJEM	VKLAD	1000	37765	\N	\N	\N
751542	2563	1996-10-08	VYDAJ	VYBER	700	43181	\N	\N	\N
751543	2563	1996-11-07	PRIJEM	VKLAD	1300	41650	\N	\N	\N
751544	2563	1996-12-07	VYDAJ	VYBER	2100	36512	\N	\N	\N
751545	2563	1997-01-06	VYDAJ	VYBER	900	32848	\N	\N	\N
751546	2563	1997-02-05	PRIJEM	VKLAD	7700	28829	\N	\N	\N
751547	2563	1997-03-07	PRIJEM	VKLAD	5500	34001	\N	\N	\N
751548	2563	1997-04-06	PRIJEM	VKLAD	2600	36901	\N	\N	\N
751549	2563	1997-05-06	PRIJEM	VKLAD	5300	40348	\N	\N	\N
751550	2563	1997-06-05	PRIJEM	VKLAD	3000	44994	\N	\N	\N
751551	2563	1997-07-05	PRIJEM	VKLAD	2200	36275	\N	\N	\N
751552	2563	1997-08-04	PRIJEM	VKLAD	8600	40729	\N	\N	\N
751553	2563	1997-09-03	PRIJEM	VKLAD	800	43173	\N	\N	\N
751554	2563	1997-10-03	PRIJEM	VKLAD	2900	47735	\N	\N	\N
751555	2563	1997-11-02	VYDAJ	VYBER	1500	47914	\N	\N	\N
751556	2563	1997-12-02	VYDAJ	VYBER	4600	44997	\N	\N	\N
751557	2563	1998-01-01	VYDAJ	VYBER	4800	43154	\N	\N	\N
751558	2563	1998-01-31	PRIJEM	VKLAD	3500	33387	\N	\N	\N
751559	2563	1998-03-02	PRIJEM	VKLAD	2600	33411	\N	\N	\N
751560	2563	1998-04-01	PRIJEM	VKLAD	3500	38530	\N	\N	\N
751561	2563	1998-05-01	PRIJEM	VKLAD	3000	42088	\N	\N	\N
751562	2563	1998-05-31	PRIJEM	VKLAD	300	43881	\N	\N	\N
751563	2563	1998-06-30	PRIJEM	VKLAD	5900	30155	\N	\N	\N
751564	2563	1998-07-30	PRIJEM	VKLAD	5800	34708	\N	\N	\N
751565	2563	1998-08-29	PRIJEM	VKLAD	7900	44209	\N	\N	\N
751566	2563	1998-09-28	PRIJEM	VKLAD	5300	51138	\N	\N	\N
751567	2563	1998-10-28	VYDAJ	VYBER	4400	47686	\N	\N	\N
751568	2563	1998-11-27	VYDAJ	VYBER	2400	46977	\N	\N	\N
751616	2564	1997-06-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
751622	2564	1997-06-09	PRIJEM	VKLAD	28767	29767	\N	\N	\N
751623	2564	1997-07-09	PRIJEM	VKLAD	19178	47636	\N	\N	\N
751624	2564	1997-08-09	PRIJEM	VKLAD	19178	56893	\N	\N	\N
751625	2564	1997-09-09	PRIJEM	VKLAD	19178	59698	\N	\N	\N
751626	2564	1997-10-09	PRIJEM	VKLAD	19178	57922	\N	\N	\N
751627	2564	1997-11-09	PRIJEM	VKLAD	19178	52242	\N	\N	\N
751628	2564	1997-12-09	PRIJEM	VKLAD	28767	60097	\N	\N	\N
751629	2564	1998-01-09	PRIJEM	VKLAD	19178	47995	\N	\N	\N
751630	2564	1998-02-09	PRIJEM	VKLAD	19178	41936	\N	\N	\N
751631	2564	1998-03-09	PRIJEM	VKLAD	19178	37061	\N	\N	\N
751632	2564	1998-04-09	PRIJEM	VKLAD	19178	36484	\N	\N	\N
751633	2564	1998-05-09	PRIJEM	VKLAD	19178	32463	\N	\N	\N
751634	2564	1998-06-09	PRIJEM	VKLAD	28767	42014	\N	\N	\N
751635	2564	1998-07-09	PRIJEM	VKLAD	19178	34021	\N	\N	\N
751636	2564	1998-08-09	PRIJEM	VKLAD	19178	45200	\N	\N	\N
751637	2564	1998-09-09	PRIJEM	VKLAD	19178	41609	\N	\N	\N
751638	2564	1998-10-09	PRIJEM	VKLAD	19178	35402	\N	\N	\N
751639	2564	1998-11-09	PRIJEM	VKLAD	19178	31569	\N	\N	\N
751640	2564	1998-12-09	PRIJEM	VKLAD	28767	52320	\N	\N	\N
751650	2564	1997-10-09	VYDAJ	PREVOD NA UCET	8086	49836	SIPO	GH	96319454
751651	2564	1997-11-09	VYDAJ	PREVOD NA UCET	8086	44156	SIPO	GH	96319454
751652	2564	1997-12-09	VYDAJ	PREVOD NA UCET	8086	52011	SIPO	GH	96319454
751653	2564	1998-01-09	VYDAJ	PREVOD NA UCET	8086	39909	SIPO	GH	96319454
751654	2564	1998-02-09	VYDAJ	PREVOD NA UCET	8086	33850	SIPO	GH	96319454
751655	2564	1998-03-09	VYDAJ	PREVOD NA UCET	8086	28975	SIPO	GH	96319454
751656	2564	1998-04-09	VYDAJ	PREVOD NA UCET	8086	28398	SIPO	GH	96319454
751657	2564	1998-05-09	VYDAJ	PREVOD NA UCET	8086	24377	SIPO	GH	96319454
751658	2564	1998-06-09	VYDAJ	PREVOD NA UCET	8086	33928	SIPO	GH	96319454
751659	2564	1998-07-09	VYDAJ	PREVOD NA UCET	8086	25935	SIPO	GH	96319454
751660	2564	1998-08-09	VYDAJ	PREVOD NA UCET	8086	37114	SIPO	GH	96319454
751661	2564	1998-09-09	VYDAJ	PREVOD NA UCET	8086	33523	SIPO	GH	96319454
751662	2564	1998-10-09	VYDAJ	PREVOD NA UCET	8086	27316	SIPO	GH	96319454
751663	2564	1998-11-09	VYDAJ	PREVOD NA UCET	8086	23483	SIPO	GH	96319454
751664	2564	1998-12-09	VYDAJ	PREVOD NA UCET	8086	44234	SIPO	GH	96319454
751666	2564	1998-06-14	VYDAJ	VYBER	14240	19688	\N	\N	\N
751667	2564	1997-12-23	VYDAJ	VYBER	4160	46051	\N	\N	\N
751668	2564	1998-12-24	VYDAJ	VYBER	1120	43114	\N	\N	\N
751675	2564	1998-01-14	VYDAJ	VYBER	720	29349	\N	\N	\N
751676	2564	1998-01-11	VYDAJ	VYBER	600	34269	\N	\N	\N
751677	2564	1998-01-09	VYDAJ	VYBER	2640	37269	\N	\N	\N
751678	2564	1998-01-10	VYDAJ	VYBER	2400	34869	\N	\N	\N
751679	2564	1998-01-13	VYDAJ	VYBER	1800	32469	\N	\N	\N
751680	2564	1998-01-14	VYDAJ	VYBER	2400	30069	\N	\N	\N
751682	2564	1997-12-18	VYDAJ	VYBER	1800	50211	\N	\N	\N
751684	2564	1998-03-02	VYDAJ	VYBER	2880	17883	\N	\N	\N
751685	2564	1998-07-08	VYDAJ	VYBER	4920	14843	\N	\N	\N
751696	2564	1997-10-31	VYDAJ	VYBER	15	50064	SLUZBY	\N	\N
751697	2564	1997-11-30	VYDAJ	VYBER	15	31330	SLUZBY	\N	\N
751698	2564	1997-12-31	VYDAJ	VYBER	15	28817	SLUZBY	\N	\N
751699	2564	1998-01-31	VYDAJ	VYBER	15	22758	SLUZBY	\N	\N
751700	2564	1998-02-28	VYDAJ	VYBER	15	33963	SLUZBY	\N	\N
751701	2564	1998-03-31	VYDAJ	VYBER	15	17306	SLUZBY	\N	\N
751702	2564	1998-04-30	VYDAJ	VYBER	15	13285	SLUZBY	\N	\N
751703	2564	1998-05-31	VYDAJ	VYBER	15	13247	SLUZBY	\N	\N
751704	2564	1998-06-30	VYDAJ	VYBER	15	19763	SLUZBY	\N	\N
751705	2564	1998-07-31	VYDAJ	VYBER	15	26022	SLUZBY	\N	\N
751706	2564	1998-08-31	VYDAJ	VYBER	15	22431	SLUZBY	\N	\N
751707	2564	1998-09-30	VYDAJ	VYBER	15	16224	SLUZBY	\N	\N
751708	2564	1998-10-31	VYDAJ	VYBER	15	12391	SLUZBY	\N	\N
751709	2564	1998-11-30	VYDAJ	VYBER	15	23553	SLUZBY	\N	\N
751710	2564	1997-07-03	VYDAJ	VYBER	1400	28458	\N	\N	\N
751711	2564	1997-08-02	VYDAJ	VYBER	10100	37715	\N	\N	\N
751712	2564	1997-09-01	VYDAJ	VYBER	16600	40520	\N	\N	\N
751713	2564	1997-10-01	VYDAJ	VYBER	21200	38744	\N	\N	\N
751714	2564	1997-10-31	VYDAJ	VYBER	17000	33064	\N	\N	\N
751715	2564	1997-11-30	VYDAJ	VYBER	13000	31344	\N	\N	\N
751716	2564	1997-12-30	VYDAJ	VYBER	17400	28651	\N	\N	\N
751717	2564	1998-01-29	VYDAJ	VYBER	6700	22649	\N	\N	\N
751718	2564	1998-02-28	VYDAJ	VYBER	13200	20763	\N	\N	\N
751719	2564	1998-03-30	VYDAJ	VYBER	11800	17175	\N	\N	\N
751720	2564	1998-04-29	VYDAJ	VYBER	15200	13198	\N	\N	\N
751721	2564	1998-05-29	VYDAJ	VYBER	11200	13177	\N	\N	\N
751722	2564	1998-08-27	VYDAJ	VYBER	14800	22314	\N	\N	\N
751723	2564	1998-09-26	VYDAJ	VYBER	17400	16123	\N	\N	\N
751724	2564	1998-10-26	VYDAJ	VYBER	15000	12316	\N	\N	\N
751744	2565	1995-10-04	PRIJEM	VKLAD	400	400	\N	\N	\N
751747	2565	1996-02-25	PRIJEM	VKLAD	14162	40869	\N	\N	\N
751748	2565	1996-03-05	PRIJEM	VKLAD	22182	55155	\N	\N	\N
751749	2565	1997-08-03	PRIJEM	VKLAD	29076	42122	\N	\N	\N
751750	2565	1997-08-20	PRIJEM	VKLAD	7558	52980	\N	\N	\N
751751	2565	1998-07-12	PRIJEM	VKLAD	45797	59327	\N	\N	\N
751752	2565	1998-05-01	PRIJEM	VKLAD	5066	23178	\N	\N	\N
751762	2565	1995-10-17	PRIJEM	VKLAD	1700	2100	\N	\N	\N
751763	2565	1995-11-17	PRIJEM	VKLAD	1700	13104	\N	\N	\N
751764	2565	1995-12-17	PRIJEM	VKLAD	1700	21934	\N	\N	\N
751765	2565	1996-01-13	PRIJEM	VKLAD	1700	25307	\N	\N	\N
751766	2565	1996-02-16	PRIJEM	VKLAD	1700	26707	\N	\N	\N
751767	2565	1996-03-16	PRIJEM	VKLAD	1700	56855	\N	\N	\N
751768	2565	1996-04-17	PRIJEM	VKLAD	1700	42466	\N	\N	\N
751769	2565	1996-05-15	PRIJEM	VKLAD	1700	30261	\N	\N	\N
751770	2565	1996-06-16	PRIJEM	VKLAD	1700	18192	\N	\N	\N
751771	2565	1996-07-14	PRIJEM	VKLAD	1700	18375	\N	\N	\N
751772	2565	1996-08-14	PRIJEM	VKLAD	1700	19183	\N	\N	\N
751773	2565	1996-09-16	PRIJEM	VKLAD	1700	19897	\N	\N	\N
751774	2565	1996-10-15	PRIJEM	VKLAD	1700	21562	\N	\N	\N
751775	2565	1996-11-16	PRIJEM	VKLAD	1700	16127	\N	\N	\N
751776	2565	1996-12-16	PRIJEM	VKLAD	1700	15172	\N	\N	\N
751777	2565	1997-01-14	PRIJEM	VKLAD	1700	14464	\N	\N	\N
751778	2565	1997-02-16	PRIJEM	VKLAD	1700	18660	\N	\N	\N
751779	2565	1997-03-16	PRIJEM	VKLAD	1700	14616	\N	\N	\N
751780	2565	1997-04-13	PRIJEM	VKLAD	1700	13659	\N	\N	\N
751781	2565	1997-05-16	PRIJEM	VKLAD	1700	14798	\N	\N	\N
751782	2565	1997-06-17	PRIJEM	VKLAD	1700	17143	\N	\N	\N
751783	2565	1997-07-14	PRIJEM	VKLAD	1700	17296	\N	\N	\N
751784	2565	1997-08-17	PRIJEM	VKLAD	1700	43822	\N	\N	\N
751785	2565	1997-09-14	PRIJEM	VKLAD	1700	30571	\N	\N	\N
751786	2565	1997-10-14	PRIJEM	VKLAD	1700	19566	\N	\N	\N
751787	2565	1997-11-16	PRIJEM	VKLAD	1700	14221	\N	\N	\N
751788	2565	1997-12-14	PRIJEM	VKLAD	1700	17564	\N	\N	\N
751789	2565	1998-01-13	PRIJEM	VKLAD	1700	17720	\N	\N	\N
751790	2565	1998-02-16	PRIJEM	VKLAD	1700	17576	\N	\N	\N
751791	2565	1998-03-14	PRIJEM	VKLAD	1700	13122	\N	\N	\N
751792	2565	1998-04-15	PRIJEM	VKLAD	1700	16460	\N	\N	\N
751793	2565	1998-05-16	PRIJEM	VKLAD	1700	24878	\N	\N	\N
751794	2565	1998-06-15	PRIJEM	VKLAD	1700	28256	\N	\N	\N
751795	2565	1998-07-17	PRIJEM	VKLAD	1700	59127	\N	\N	\N
751796	2565	1998-08-17	PRIJEM	VKLAD	1700	28932	\N	\N	\N
751797	2565	1998-09-17	PRIJEM	VKLAD	1700	13904	\N	\N	\N
751798	2565	1998-10-14	PRIJEM	VKLAD	1700	16195	\N	\N	\N
751799	2565	1998-11-14	PRIJEM	VKLAD	1700	15145	\N	\N	\N
751800	2565	1998-12-15	PRIJEM	VKLAD	1700	15486	\N	\N	\N
751807	2565	1997-01-18	PRIJEM	VKLAD	1600	16064	\N	\N	\N
751808	2565	1997-02-18	PRIJEM	VKLAD	1600	20260	\N	\N	\N
751809	2565	1997-03-18	PRIJEM	VKLAD	1600	16216	\N	\N	\N
751810	2565	1997-04-18	PRIJEM	VKLAD	1600	15259	\N	\N	\N
751811	2565	1997-05-18	PRIJEM	VKLAD	1600	16398	\N	\N	\N
751812	2565	1997-06-18	PRIJEM	VKLAD	1600	18743	\N	\N	\N
751813	2565	1997-07-18	PRIJEM	VKLAD	1600	18896	\N	\N	\N
751814	2565	1997-08-18	PRIJEM	VKLAD	1600	45422	\N	\N	\N
751815	2565	1997-09-18	PRIJEM	VKLAD	1600	32171	\N	\N	\N
751816	2565	1997-10-18	PRIJEM	VKLAD	1600	21166	\N	\N	\N
751817	2565	1997-11-18	PRIJEM	VKLAD	1600	15821	\N	\N	\N
751818	2565	1997-12-18	PRIJEM	VKLAD	1600	19164	\N	\N	\N
751819	2565	1998-01-18	PRIJEM	VKLAD	1600	18370	\N	\N	\N
751820	2565	1998-02-18	PRIJEM	VKLAD	1600	19176	\N	\N	\N
751821	2565	1998-03-18	PRIJEM	VKLAD	1600	14722	\N	\N	\N
751822	2565	1998-04-18	PRIJEM	VKLAD	1600	18060	\N	\N	\N
751823	2565	1998-05-18	PRIJEM	VKLAD	1600	26478	\N	\N	\N
751824	2565	1998-06-18	PRIJEM	VKLAD	1600	29856	\N	\N	\N
751825	2565	1998-07-18	PRIJEM	VKLAD	1600	60727	\N	\N	\N
751826	2565	1998-08-18	PRIJEM	VKLAD	1600	30532	\N	\N	\N
751827	2565	1998-09-18	PRIJEM	VKLAD	1600	15504	\N	\N	\N
751828	2565	1998-10-18	PRIJEM	VKLAD	1600	17795	\N	\N	\N
751829	2565	1998-11-18	PRIJEM	VKLAD	1600	13745	\N	\N	\N
751830	2565	1998-12-18	PRIJEM	VKLAD	1600	14486	\N	\N	\N
751834	2565	1998-06-19	VYDAJ	VYBER	16400	13456	\N	\N	\N
751836	2565	1996-06-09	VYDAJ	VYBER	5000	16492	\N	\N	\N
751844	2565	1996-12-29	VYDAJ	VYBER	1800	13072	\N	\N	\N
751845	2565	1997-12-22	VYDAJ	VYBER	1300	17864	\N	\N	\N
751859	2565	1997-01-21	VYDAJ	VYBER	350	15714	\N	\N	\N
751863	2565	1997-01-04	VYDAJ	VYBER	350	12764	\N	\N	\N
751865	2565	1998-01-12	VYDAJ	VYBER	300	16020	\N	\N	\N
751866	2565	1998-01-15	VYDAJ	VYBER	950	16770	\N	\N	\N
751867	2565	1998-01-03	VYDAJ	VYBER	1350	16320	\N	\N	\N
751868	2565	1998-01-02	VYDAJ	VYBER	250	17670	\N	\N	\N
751869	2565	1998-01-28	VYDAJ	VYBER	1400	15820	\N	\N	\N
751870	2565	1998-01-19	VYDAJ	VYBER	250	18120	\N	\N	\N
751877	2565	1996-07-14	VYDAJ	VYBER	350	18025	\N	\N	\N
751878	2565	1996-05-19	VYDAJ	VYBER	1900	28361	\N	\N	\N
751880	2565	1996-09-01	VYDAJ	VYBER	350	18197	\N	\N	\N
751881	2565	1996-08-13	VYDAJ	VYBER	1300	17483	\N	\N	\N
751884	2565	1997-02-23	VYDAJ	VYBER	2000	18260	\N	\N	\N
751886	2565	1998-01-28	VYDAJ	VYBER	900	17220	\N	\N	\N
751890	2565	1998-09-25	VYDAJ	VYBER	1050	14454	\N	\N	\N
751891	2565	1998-07-13	VYDAJ	VYBER	1900	57427	\N	\N	\N
751906	2565	1996-02-29	VYDAJ	VYBER	15	40973	SLUZBY	\N	\N
751907	2565	1996-03-31	VYDAJ	VYBER	15	57066	SLUZBY	\N	\N
751908	2565	1996-04-30	VYDAJ	VYBER	15	42661	SLUZBY	\N	\N
751909	2565	1996-05-31	VYDAJ	VYBER	15	28492	SLUZBY	\N	\N
751910	2565	1996-06-30	VYDAJ	VYBER	15	16675	SLUZBY	\N	\N
751911	2565	1996-07-31	VYDAJ	VYBER	15	18783	SLUZBY	\N	\N
751912	2565	1996-08-31	VYDAJ	VYBER	15	18547	SLUZBY	\N	\N
751913	2565	1996-09-30	VYDAJ	VYBER	15	19862	SLUZBY	\N	\N
751914	2565	1996-10-31	VYDAJ	VYBER	15	14427	SLUZBY	\N	\N
751915	2565	1996-11-30	VYDAJ	VYBER	15	13472	SLUZBY	\N	\N
751916	2565	1996-12-31	VYDAJ	VYBER	15	13114	SLUZBY	\N	\N
751917	2565	1997-01-31	VYDAJ	VYBER	15	16960	SLUZBY	\N	\N
751918	2565	1997-02-28	VYDAJ	VYBER	15	12916	SLUZBY	\N	\N
751919	2565	1997-03-31	VYDAJ	VYBER	15	11959	SLUZBY	\N	\N
751920	2565	1997-04-30	VYDAJ	VYBER	15	13098	SLUZBY	\N	\N
751921	2565	1997-05-31	VYDAJ	VYBER	15	15443	SLUZBY	\N	\N
751922	2565	1997-06-30	VYDAJ	VYBER	15	15596	SLUZBY	\N	\N
751923	2565	1997-07-31	VYDAJ	VYBER	15	13046	SLUZBY	\N	\N
751924	2565	1997-08-31	VYDAJ	VYBER	15	28871	SLUZBY	\N	\N
751925	2565	1997-09-30	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
751926	2565	1997-10-31	VYDAJ	VYBER	15	12521	SLUZBY	\N	\N
751927	2565	1997-11-30	VYDAJ	VYBER	15	15864	SLUZBY	\N	\N
751928	2565	1997-12-31	VYDAJ	VYBER	15	17920	SLUZBY	\N	\N
751929	2565	1998-01-31	VYDAJ	VYBER	15	15876	SLUZBY	\N	\N
751930	2565	1998-02-28	VYDAJ	VYBER	15	11422	SLUZBY	\N	\N
751931	2565	1998-03-31	VYDAJ	VYBER	15	14760	SLUZBY	\N	\N
751932	2565	1998-04-30	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
751933	2565	1998-05-31	VYDAJ	VYBER	15	26556	SLUZBY	\N	\N
751934	2565	1998-06-30	VYDAJ	VYBER	15	13530	SLUZBY	\N	\N
751935	2565	1998-07-31	VYDAJ	VYBER	15	27232	SLUZBY	\N	\N
751936	2565	1998-08-31	VYDAJ	VYBER	15	12204	SLUZBY	\N	\N
751937	2565	1998-09-30	VYDAJ	VYBER	15	14495	SLUZBY	\N	\N
751938	2565	1998-10-31	VYDAJ	VYBER	15	13445	SLUZBY	\N	\N
751939	2565	1998-11-30	VYDAJ	VYBER	15	13786	SLUZBY	\N	\N
751940	2565	1995-11-03	PRIJEM	VKLAD	9300	11404	\N	\N	\N
751941	2565	1995-12-03	PRIJEM	VKLAD	7100	20234	\N	\N	\N
751942	2565	1996-01-02	PRIJEM	VKLAD	1600	23607	\N	\N	\N
751943	2565	1996-02-01	VYDAJ	VYBER	400	25007	\N	\N	\N
751944	2565	1996-03-02	VYDAJ	VYBER	8000	32973	\N	\N	\N
751945	2565	1996-04-01	VYDAJ	VYBER	16300	40766	\N	\N	\N
751946	2565	1996-05-01	VYDAJ	VYBER	14100	28561	\N	\N	\N
751947	2565	1996-05-31	VYDAJ	VYBER	7000	21492	\N	\N	\N
751948	2565	1996-06-30	VYDAJ	VYBER	1600	16689	\N	\N	\N
751949	2565	1996-07-30	PRIJEM	VKLAD	700	18725	\N	\N	\N
751950	2565	1996-08-29	VYDAJ	VYBER	700	18483	\N	\N	\N
751951	2565	1996-09-28	VYDAJ	VYBER	100	19797	\N	\N	\N
751952	2565	1996-10-28	VYDAJ	VYBER	7200	14362	\N	\N	\N
751953	2565	1996-11-27	VYDAJ	VYBER	2700	13427	\N	\N	\N
751954	2565	1996-12-27	VYDAJ	VYBER	300	14872	\N	\N	\N
751955	2565	1997-01-26	PRIJEM	VKLAD	1200	16914	\N	\N	\N
751956	2565	1997-02-25	VYDAJ	VYBER	5400	12860	\N	\N	\N
751957	2565	1997-03-27	VYDAJ	VYBER	4300	11916	\N	\N	\N
751958	2565	1997-04-26	VYDAJ	VYBER	2200	13059	\N	\N	\N
751959	2565	1997-05-26	VYDAJ	VYBER	1000	15398	\N	\N	\N
751960	2565	1997-06-25	VYDAJ	VYBER	3200	15543	\N	\N	\N
751961	2565	1997-07-25	VYDAJ	VYBER	5900	12996	\N	\N	\N
751962	2565	1997-08-24	VYDAJ	VYBER	24200	28780	\N	\N	\N
751963	2565	1997-09-23	VYDAJ	VYBER	14400	17771	\N	\N	\N
751964	2565	1997-10-23	VYDAJ	VYBER	8700	12466	\N	\N	\N
751965	2565	1998-02-20	VYDAJ	VYBER	7800	11376	\N	\N	\N
751966	2565	1998-07-20	VYDAJ	VYBER	33600	27127	\N	\N	\N
751967	2565	1998-08-19	VYDAJ	VYBER	18400	12132	\N	\N	\N
751968	2565	1998-10-18	VYDAJ	VYBER	4400	13395	\N	\N	\N
751969	2565	1998-11-17	VYDAJ	VYBER	3000	12145	\N	\N	\N
751970	2565	1998-12-17	VYDAJ	VYBER	2600	12886	\N	\N	\N
752010	2566	1993-01-27	PRIJEM	VKLAD	800	800	\N	\N	\N
752168	2566	1993-02-26	PRIJEM	VKLAD	10700	11500	\N	\N	\N
752169	2566	1993-03-28	PRIJEM	VKLAD	4300	15800	\N	\N	\N
752170	2566	1993-04-27	PRIJEM	VKLAD	3400	19200	\N	\N	\N
752171	2566	1993-05-27	PRIJEM	VKLAD	2900	22100	\N	\N	\N
752172	2566	1993-06-26	PRIJEM	VKLAD	3400	25500	\N	\N	\N
752173	2566	1993-07-26	PRIJEM	VKLAD	300	25800	\N	\N	\N
752174	2566	1993-08-25	VYDAJ	VYBER	2800	23000	\N	\N	\N
752175	2566	1993-09-24	PRIJEM	VKLAD	200	23200	\N	\N	\N
752176	2566	1993-10-24	VYDAJ	VYBER	1700	21500	\N	\N	\N
752177	2566	1993-11-23	PRIJEM	VKLAD	3600	25100	\N	\N	\N
752178	2566	1993-12-23	VYDAJ	VYBER	2300	22800	\N	\N	\N
752179	2566	1994-01-22	PRIJEM	VKLAD	100	22900	\N	\N	\N
752180	2566	1994-02-21	VYDAJ	VYBER	2200	20700	\N	\N	\N
752181	2566	1994-03-23	PRIJEM	VKLAD	300	21000	\N	\N	\N
752182	2566	1994-04-22	PRIJEM	VKLAD	600	21600	\N	\N	\N
752183	2566	1994-05-22	PRIJEM	VKLAD	1500	23100	\N	\N	\N
752184	2566	1994-06-21	VYDAJ	VYBER	1700	21400	\N	\N	\N
752185	2566	1994-07-21	VYDAJ	VYBER	2400	19000	\N	\N	\N
752186	2566	1994-08-20	PRIJEM	VKLAD	400	19400	\N	\N	\N
752187	2566	1994-09-19	VYDAJ	VYBER	500	18900	\N	\N	\N
752188	2566	1994-10-19	PRIJEM	VKLAD	1000	19900	\N	\N	\N
752189	2566	1994-11-18	PRIJEM	VKLAD	1500	21400	\N	\N	\N
752190	2566	1994-12-18	VYDAJ	VYBER	1200	20200	\N	\N	\N
752191	2566	1995-01-17	PRIJEM	VKLAD	2000	22200	\N	\N	\N
752192	2566	1995-02-16	VYDAJ	VYBER	3400	18800	\N	\N	\N
752193	2566	1995-03-18	PRIJEM	VKLAD	1300	20100	\N	\N	\N
752194	2566	1995-04-17	VYDAJ	VYBER	200	19900	\N	\N	\N
752195	2566	1995-05-17	VYDAJ	VYBER	2800	17100	\N	\N	\N
752196	2566	1995-06-16	VYDAJ	VYBER	200	16900	\N	\N	\N
752197	2566	1995-07-16	VYDAJ	VYBER	2600	14300	\N	\N	\N
752198	2566	1995-08-15	PRIJEM	VKLAD	2100	16400	\N	\N	\N
752199	2566	1995-09-14	VYDAJ	VYBER	3300	13100	\N	\N	\N
752200	2566	1995-10-14	VYDAJ	VYBER	800	12300	\N	\N	\N
752201	2566	1995-11-13	VYDAJ	VYBER	700	11600	\N	\N	\N
752202	2566	1995-12-13	PRIJEM	VKLAD	400	12000	\N	\N	\N
752203	2566	1996-01-12	VYDAJ	VYBER	800	11200	\N	\N	\N
752204	2566	1996-02-11	VYDAJ	VYBER	2100	9100	\N	\N	\N
752205	2566	1996-03-12	PRIJEM	VKLAD	900	10000	\N	\N	\N
752206	2566	1996-04-11	VYDAJ	VYBER	900	9100	\N	\N	\N
752207	2566	1996-05-11	PRIJEM	VKLAD	200	9300	\N	\N	\N
752208	2566	1996-06-10	PRIJEM	VKLAD	1500	10800	\N	\N	\N
752209	2566	1996-07-10	VYDAJ	VYBER	1900	8900	\N	\N	\N
752210	2566	1996-08-09	VYDAJ	VYBER	1700	7200	\N	\N	\N
752211	2566	1996-09-08	VYDAJ	VYBER	1400	5800	\N	\N	\N
752212	2566	1996-10-08	PRIJEM	VKLAD	1300	7100	\N	\N	\N
752213	2566	1996-11-07	PRIJEM	VKLAD	800	7900	\N	\N	\N
752214	2566	1996-12-07	PRIJEM	VKLAD	3200	11100	\N	\N	\N
752215	2566	1997-01-06	PRIJEM	VKLAD	900	12000	\N	\N	\N
752216	2566	1997-02-05	PRIJEM	VKLAD	3200	15200	\N	\N	\N
752217	2566	1997-03-07	PRIJEM	VKLAD	2700	17900	\N	\N	\N
752218	2566	1997-04-06	PRIJEM	VKLAD	900	18800	\N	\N	\N
752219	2566	1997-05-06	PRIJEM	VKLAD	3200	22000	\N	\N	\N
752220	2566	1997-06-05	VYDAJ	VYBER	1100	20900	\N	\N	\N
752221	2566	1997-07-05	VYDAJ	VYBER	600	20300	\N	\N	\N
752222	2566	1997-08-04	VYDAJ	VYBER	4600	15700	\N	\N	\N
752223	2566	1997-09-03	PRIJEM	VKLAD	1400	17100	\N	\N	\N
752224	2566	1997-10-03	VYDAJ	VYBER	2100	15000	\N	\N	\N
752225	2566	1997-11-02	VYDAJ	VYBER	3300	11700	\N	\N	\N
752226	2566	1997-12-02	VYDAJ	VYBER	3400	8300	\N	\N	\N
752227	2566	1998-01-01	VYDAJ	VYBER	4300	4000	\N	\N	\N
752228	2566	1998-01-31	VYDAJ	VYBER	800	3200	\N	\N	\N
752229	2566	1998-03-02	PRIJEM	VKLAD	1100	4300	\N	\N	\N
752230	2566	1998-04-01	VYDAJ	VYBER	100	4214	\N	\N	\N
752231	2566	1998-05-01	PRIJEM	VKLAD	5400	9627	\N	\N	\N
752232	2566	1998-06-30	PRIJEM	VKLAD	1800	11454	\N	\N	\N
752233	2566	1998-07-30	VYDAJ	VYBER	2600	8854	\N	\N	\N
752234	2566	1998-08-29	PRIJEM	VKLAD	3400	12267	\N	\N	\N
752235	2566	1998-09-28	PRIJEM	VKLAD	1900	14180	\N	\N	\N
752236	2566	1998-10-28	VYDAJ	VYBER	3500	10694	\N	\N	\N
752237	2566	1998-11-27	VYDAJ	VYBER	4700	6007	\N	\N	\N
752247	2567	1996-01-07	PRIJEM	VKLAD	700	700	\N	\N	\N
752248	2567	1996-01-11	PRIJEM	PREVOD Z UCTU	3862	4562	\N	QR	14302832
752249	2567	1996-02-11	PRIJEM	PREVOD Z UCTU	3862	16337	\N	QR	14302832
752250	2567	1996-03-11	PRIJEM	PREVOD Z UCTU	3862	21550	\N	QR	14302832
752251	2567	1996-04-11	PRIJEM	PREVOD Z UCTU	3862	26795	\N	QR	14302832
752252	2567	1996-05-11	PRIJEM	PREVOD Z UCTU	3862	32061	\N	QR	14302832
752253	2567	1996-06-11	PRIJEM	PREVOD Z UCTU	3862	30041	\N	QR	14302832
752254	2567	1996-07-11	PRIJEM	PREVOD Z UCTU	3862	26542	\N	QR	14302832
752255	2567	1996-08-11	PRIJEM	PREVOD Z UCTU	3862	26430	\N	QR	14302832
752256	2567	1996-09-11	PRIJEM	PREVOD Z UCTU	3862	26413	\N	QR	14302832
752257	2567	1996-10-11	PRIJEM	PREVOD Z UCTU	3862	21796	\N	QR	14302832
752258	2567	1996-11-11	PRIJEM	PREVOD Z UCTU	3862	18305	\N	QR	14302832
752259	2567	1996-12-11	PRIJEM	PREVOD Z UCTU	3862	15648	\N	QR	14302832
752260	2567	1997-01-11	PRIJEM	PREVOD Z UCTU	3862	15738	\N	QR	14302832
752261	2567	1997-02-11	PRIJEM	PREVOD Z UCTU	3862	14510	\N	QR	14302832
752262	2567	1997-03-11	PRIJEM	PREVOD Z UCTU	3862	14730	\N	QR	14302832
752263	2567	1997-04-11	PRIJEM	PREVOD Z UCTU	3862	11963	\N	QR	14302832
752264	2567	1997-05-11	PRIJEM	PREVOD Z UCTU	3862	12589	\N	QR	14302832
752265	2567	1997-06-11	PRIJEM	PREVOD Z UCTU	3862	12213	\N	QR	14302832
752266	2567	1997-07-11	PRIJEM	PREVOD Z UCTU	3862	13538	\N	QR	14302832
752267	2567	1997-08-11	PRIJEM	PREVOD Z UCTU	3862	11865	\N	QR	14302832
752268	2567	1997-09-11	PRIJEM	PREVOD Z UCTU	3862	13186	\N	QR	14302832
752269	2567	1997-10-11	PRIJEM	PREVOD Z UCTU	3862	14512	\N	QR	14302832
752270	2567	1997-11-11	PRIJEM	PREVOD Z UCTU	3862	15144	\N	QR	14302832
752271	2567	1997-12-11	PRIJEM	PREVOD Z UCTU	3862	14977	\N	QR	14302832
752272	2567	1998-01-11	PRIJEM	PREVOD Z UCTU	3862	12060	\N	QR	14302832
752273	2567	1998-02-11	PRIJEM	PREVOD Z UCTU	3862	12681	\N	QR	14302832
752274	2567	1998-03-11	PRIJEM	PREVOD Z UCTU	3862	12204	\N	QR	14302832
752275	2567	1998-04-11	PRIJEM	PREVOD Z UCTU	3862	13526	\N	QR	14302832
752276	2567	1998-05-11	PRIJEM	PREVOD Z UCTU	3862	14854	\N	QR	14302832
752277	2567	1998-06-11	PRIJEM	PREVOD Z UCTU	3862	16187	\N	QR	14302832
752278	2567	1998-07-11	PRIJEM	PREVOD Z UCTU	3862	17525	\N	QR	14302832
752279	2567	1998-08-11	PRIJEM	PREVOD Z UCTU	3862	18869	\N	QR	14302832
752280	2567	1998-09-11	PRIJEM	PREVOD Z UCTU	3862	20219	\N	QR	14302832
752281	2567	1998-10-11	PRIJEM	PREVOD Z UCTU	3862	21574	\N	QR	14302832
752282	2567	1998-11-11	PRIJEM	PREVOD Z UCTU	3862	22935	\N	QR	14302832
752283	2567	1998-12-11	PRIJEM	PREVOD Z UCTU	3862	23881	\N	QR	14302832
752289	2567	1996-06-10	VYDAJ	PREVOD NA UCET	2574	27799	SIPO	OP	14598107
752290	2567	1996-07-10	VYDAJ	PREVOD NA UCET	2574	22680	SIPO	OP	14598107
752291	2567	1996-08-10	VYDAJ	PREVOD NA UCET	2574	22568	SIPO	OP	14598107
752292	2567	1996-09-10	VYDAJ	PREVOD NA UCET	2574	22551	SIPO	OP	14598107
752293	2567	1996-10-10	VYDAJ	PREVOD NA UCET	2574	17934	SIPO	OP	14598107
752294	2567	1996-11-10	VYDAJ	PREVOD NA UCET	2574	14443	SIPO	OP	14598107
752295	2567	1996-12-10	VYDAJ	PREVOD NA UCET	2574	11786	SIPO	OP	14598107
752296	2567	1997-01-10	VYDAJ	PREVOD NA UCET	2574	11876	SIPO	OP	14598107
752297	2567	1997-02-10	VYDAJ	PREVOD NA UCET	2574	10648	SIPO	OP	14598107
752298	2567	1997-03-10	VYDAJ	PREVOD NA UCET	2574	10868	SIPO	OP	14598107
752299	2567	1997-04-10	VYDAJ	PREVOD NA UCET	2574	8101	SIPO	OP	14598107
752300	2567	1997-05-10	VYDAJ	PREVOD NA UCET	2574	8727	SIPO	OP	14598107
752301	2567	1997-06-10	VYDAJ	PREVOD NA UCET	2574	8351	SIPO	OP	14598107
752302	2567	1997-07-10	VYDAJ	PREVOD NA UCET	2574	9676	SIPO	OP	14598107
752303	2567	1997-08-10	VYDAJ	PREVOD NA UCET	2574	8003	SIPO	OP	14598107
752304	2567	1997-09-10	VYDAJ	PREVOD NA UCET	2574	9324	SIPO	OP	14598107
752305	2567	1997-10-10	VYDAJ	PREVOD NA UCET	2574	10650	SIPO	OP	14598107
752306	2567	1997-11-10	VYDAJ	PREVOD NA UCET	2574	11282	SIPO	OP	14598107
752307	2567	1997-12-10	VYDAJ	PREVOD NA UCET	2574	11115	SIPO	OP	14598107
752308	2567	1998-01-10	VYDAJ	PREVOD NA UCET	2574	8198	SIPO	OP	14598107
752309	2567	1998-02-10	VYDAJ	PREVOD NA UCET	2574	8819	SIPO	OP	14598107
752310	2567	1998-03-10	VYDAJ	PREVOD NA UCET	2574	8342	SIPO	OP	14598107
752311	2567	1998-04-10	VYDAJ	PREVOD NA UCET	2574	9664	SIPO	OP	14598107
752312	2567	1998-05-10	VYDAJ	PREVOD NA UCET	2574	10992	SIPO	OP	14598107
752313	2567	1998-06-10	VYDAJ	PREVOD NA UCET	2574	12325	SIPO	OP	14598107
752314	2567	1998-07-10	VYDAJ	PREVOD NA UCET	2574	13663	SIPO	OP	14598107
752315	2567	1998-08-10	VYDAJ	PREVOD NA UCET	2574	15007	SIPO	OP	14598107
752316	2567	1998-09-10	VYDAJ	PREVOD NA UCET	2574	16357	SIPO	OP	14598107
752317	2567	1998-10-10	VYDAJ	PREVOD NA UCET	2574	17712	SIPO	OP	14598107
752318	2567	1998-11-10	VYDAJ	PREVOD NA UCET	2574	19073	SIPO	OP	14598107
752319	2567	1998-12-10	VYDAJ	PREVOD NA UCET	2574	20019	SIPO	OP	14598107
752320	2567	1996-06-10	VYDAJ	VYBER	1620	26179	\N	\N	\N
752323	2567	1996-12-30	VYDAJ	VYBER	240	14298	\N	\N	\N
752324	2567	1997-12-27	VYDAJ	VYBER	150	14827	\N	\N	\N
752325	2567	1998-12-01	VYDAJ	VYBER	420	22593	\N	\N	\N
752332	2567	1997-01-17	VYDAJ	VYBER	330	14028	\N	\N	\N
752333	2567	1997-01-28	VYDAJ	VYBER	450	12978	\N	\N	\N
752334	2567	1997-01-12	VYDAJ	VYBER	840	14358	\N	\N	\N
752335	2567	1997-01-23	VYDAJ	VYBER	600	13428	\N	\N	\N
752336	2567	1997-01-11	VYDAJ	VYBER	540	15198	\N	\N	\N
752344	2567	1996-12-02	VYDAJ	VYBER	510	17860	\N	\N	\N
752345	2567	1996-12-29	VYDAJ	VYBER	1110	14538	\N	\N	\N
752346	2567	1996-10-28	VYDAJ	VYBER	360	21436	\N	\N	\N
752348	2567	1997-02-20	VYDAJ	VYBER	1110	13400	\N	\N	\N
752359	2567	1996-05-31	VYDAJ	VYBER	15	32173	SLUZBY	\N	\N
752360	2567	1996-06-30	VYDAJ	VYBER	15	30154	SLUZBY	\N	\N
752361	2567	1996-07-31	VYDAJ	VYBER	15	26642	SLUZBY	\N	\N
752362	2567	1996-08-31	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
752363	2567	1996-09-30	VYDAJ	VYBER	15	26508	SLUZBY	\N	\N
752364	2567	1996-10-31	VYDAJ	VYBER	15	21517	SLUZBY	\N	\N
752365	2567	1996-11-30	VYDAJ	VYBER	15	18370	SLUZBY	\N	\N
752366	2567	1996-12-31	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
752367	2567	1997-01-31	VYDAJ	VYBER	15	13222	SLUZBY	\N	\N
752368	2567	1997-02-28	VYDAJ	VYBER	15	13442	SLUZBY	\N	\N
752369	2567	1997-03-31	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
752370	2567	1997-04-30	VYDAJ	VYBER	15	12001	SLUZBY	\N	\N
752371	2567	1997-05-31	VYDAJ	VYBER	15	12625	SLUZBY	\N	\N
752372	2567	1997-06-30	VYDAJ	VYBER	15	12250	SLUZBY	\N	\N
752373	2567	1997-07-31	VYDAJ	VYBER	15	10577	SLUZBY	\N	\N
752374	2567	1997-08-31	VYDAJ	VYBER	15	11898	SLUZBY	\N	\N
752375	2567	1997-09-30	VYDAJ	VYBER	15	13224	SLUZBY	\N	\N
752376	2567	1997-10-31	VYDAJ	VYBER	15	13856	SLUZBY	\N	\N
752377	2567	1997-11-30	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
752378	2567	1997-12-31	VYDAJ	VYBER	15	10772	SLUZBY	\N	\N
752379	2567	1998-01-31	VYDAJ	VYBER	15	11393	SLUZBY	\N	\N
752380	2567	1998-02-28	VYDAJ	VYBER	15	10916	SLUZBY	\N	\N
752381	2567	1998-03-31	VYDAJ	VYBER	15	12238	SLUZBY	\N	\N
752382	2567	1998-04-30	VYDAJ	VYBER	15	13566	SLUZBY	\N	\N
752383	2567	1998-05-31	VYDAJ	VYBER	15	14899	SLUZBY	\N	\N
752384	2567	1998-06-30	VYDAJ	VYBER	15	16237	SLUZBY	\N	\N
752385	2567	1998-07-31	VYDAJ	VYBER	15	17581	SLUZBY	\N	\N
752386	2567	1998-08-31	VYDAJ	VYBER	15	18931	SLUZBY	\N	\N
752387	2567	1998-09-30	VYDAJ	VYBER	15	20286	SLUZBY	\N	\N
752388	2567	1998-10-31	VYDAJ	VYBER	15	21647	SLUZBY	\N	\N
752389	2567	1998-11-30	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
752390	2567	1996-02-06	PRIJEM	VKLAD	7900	12475	\N	\N	\N
752391	2567	1996-03-07	PRIJEM	VKLAD	1300	17688	\N	\N	\N
752392	2567	1996-04-06	PRIJEM	VKLAD	1300	22933	\N	\N	\N
752393	2567	1996-05-06	PRIJEM	VKLAD	1300	28199	\N	\N	\N
752394	2567	1996-06-05	VYDAJ	VYBER	1800	30373	\N	\N	\N
752395	2567	1996-07-05	VYDAJ	VYBER	4900	25254	\N	\N	\N
752396	2567	1996-08-04	VYDAJ	VYBER	1500	25142	\N	\N	\N
752397	2567	1996-09-03	VYDAJ	VYBER	1400	25125	\N	\N	\N
752398	2567	1996-10-03	VYDAJ	VYBER	6000	20508	\N	\N	\N
752399	2567	1996-11-02	VYDAJ	VYBER	4500	17017	\N	\N	\N
752400	2567	1996-12-02	VYDAJ	VYBER	3500	14360	\N	\N	\N
752401	2567	1997-01-01	PRIJEM	VKLAD	100	14450	\N	\N	\N
752402	2567	1997-01-31	PRIJEM	VKLAD	200	13236	\N	\N	\N
752403	2567	1997-04-01	VYDAJ	VYBER	4100	10675	\N	\N	\N
752404	2567	1997-05-01	VYDAJ	VYBER	700	11301	\N	\N	\N
752405	2567	1997-05-31	VYDAJ	VYBER	1700	10925	\N	\N	\N
752406	2567	1997-07-30	VYDAJ	VYBER	3000	10538	\N	\N	\N
752407	2567	1997-10-28	VYDAJ	VYBER	700	13812	\N	\N	\N
752408	2567	1997-11-27	VYDAJ	VYBER	1500	13644	\N	\N	\N
752409	2567	1997-12-27	VYDAJ	VYBER	4100	10727	\N	\N	\N
752410	2567	1998-01-26	VYDAJ	VYBER	700	11360	\N	\N	\N
752411	2567	1998-02-25	VYDAJ	VYBER	1800	10881	\N	\N	\N
752448	2568	1994-03-02	PRIJEM	VKLAD	600	600	\N	\N	\N
752451	2568	1994-03-09	PRIJEM	VKLAD	22985	23585	\N	\N	\N
752452	2568	1994-04-09	PRIJEM	VKLAD	22985	45343	\N	\N	\N
752453	2568	1994-05-09	PRIJEM	VKLAD	22985	56793	\N	\N	\N
752454	2568	1994-06-09	PRIJEM	VKLAD	34478	74193	\N	\N	\N
752455	2568	1994-07-09	PRIJEM	VKLAD	22985	72945	\N	\N	\N
752456	2568	1994-08-09	PRIJEM	VKLAD	22985	61651	\N	\N	\N
752457	2568	1994-09-09	PRIJEM	VKLAD	22985	58630	\N	\N	\N
752458	2568	1994-10-09	PRIJEM	VKLAD	22985	55796	\N	\N	\N
752459	2568	1994-11-09	PRIJEM	VKLAD	22985	54348	\N	\N	\N
752460	2568	1994-12-09	PRIJEM	VKLAD	34478	65987	\N	\N	\N
752461	2568	1995-01-09	PRIJEM	VKLAD	22985	54964	\N	\N	\N
752462	2568	1995-02-09	PRIJEM	VKLAD	22985	47577	\N	\N	\N
752463	2568	1995-03-09	PRIJEM	VKLAD	22985	48991	\N	\N	\N
752464	2568	1995-04-09	PRIJEM	VKLAD	22985	51015	\N	\N	\N
752465	2568	1995-05-09	PRIJEM	VKLAD	22985	45845	\N	\N	\N
752466	2568	1995-06-09	PRIJEM	VKLAD	34478	62551	\N	\N	\N
752467	2568	1995-07-09	PRIJEM	VKLAD	22985	45607	\N	\N	\N
752468	2568	1995-08-09	PRIJEM	VKLAD	22985	50015	\N	\N	\N
752469	2568	1995-09-09	PRIJEM	VKLAD	22985	55040	\N	\N	\N
752470	2568	1995-10-09	PRIJEM	VKLAD	22985	59085	\N	\N	\N
752471	2568	1995-11-09	PRIJEM	VKLAD	22985	55740	\N	\N	\N
752472	2568	1995-12-09	PRIJEM	VKLAD	34478	66872	\N	\N	\N
752473	2568	1996-01-09	PRIJEM	VKLAD	22985	58236	\N	\N	\N
752474	2568	1996-02-09	PRIJEM	VKLAD	22985	44063	\N	\N	\N
752475	2568	1996-03-09	PRIJEM	VKLAD	22985	48056	\N	\N	\N
752476	2568	1996-04-09	PRIJEM	VKLAD	22985	50966	\N	\N	\N
752477	2568	1996-05-09	PRIJEM	VKLAD	22985	49072	\N	\N	\N
752478	2568	1996-06-09	PRIJEM	VKLAD	34478	61374	\N	\N	\N
752479	2568	1996-07-09	PRIJEM	VKLAD	22985	47187	\N	\N	\N
752480	2568	1996-08-09	PRIJEM	VKLAD	22985	49588	\N	\N	\N
752481	2568	1996-09-09	PRIJEM	VKLAD	22985	50798	\N	\N	\N
752482	2568	1996-10-09	PRIJEM	VKLAD	22985	47203	\N	\N	\N
752483	2568	1996-11-09	PRIJEM	VKLAD	22985	48397	\N	\N	\N
752484	2568	1996-12-09	PRIJEM	VKLAD	34478	59685	\N	\N	\N
752485	2568	1997-01-09	PRIJEM	VKLAD	22985	51003	\N	\N	\N
752486	2568	1997-02-09	PRIJEM	VKLAD	22985	38191	\N	\N	\N
752487	2568	1997-03-09	PRIJEM	VKLAD	22985	45556	\N	\N	\N
752488	2568	1997-04-09	PRIJEM	VKLAD	22985	48242	\N	\N	\N
752489	2568	1997-05-09	PRIJEM	VKLAD	22985	51040	\N	\N	\N
752490	2568	1997-06-09	PRIJEM	VKLAD	34478	67247	\N	\N	\N
752491	2568	1997-07-09	PRIJEM	VKLAD	22985	66000	\N	\N	\N
752492	2568	1997-08-09	PRIJEM	VKLAD	22985	61852	\N	\N	\N
752493	2568	1997-09-09	PRIJEM	VKLAD	22985	56392	\N	\N	\N
752494	2568	1997-10-09	PRIJEM	VKLAD	22985	59418	\N	\N	\N
752495	2568	1997-11-09	PRIJEM	VKLAD	22985	56842	\N	\N	\N
752496	2568	1997-12-09	PRIJEM	VKLAD	34478	62544	\N	\N	\N
752497	2568	1998-01-09	PRIJEM	VKLAD	22985	49152	\N	\N	\N
752498	2568	1998-02-09	PRIJEM	VKLAD	22985	45029	\N	\N	\N
752499	2568	1998-03-09	PRIJEM	VKLAD	22985	48904	\N	\N	\N
752500	2568	1998-04-09	PRIJEM	VKLAD	22985	48386	\N	\N	\N
752501	2568	1998-05-09	PRIJEM	VKLAD	22985	44963	\N	\N	\N
752502	2568	1998-06-09	PRIJEM	VKLAD	34478	58837	\N	\N	\N
752503	2568	1998-07-09	PRIJEM	VKLAD	22985	56438	\N	\N	\N
752504	2568	1998-08-09	PRIJEM	VKLAD	22985	51553	\N	\N	\N
752505	2568	1998-09-09	PRIJEM	VKLAD	22985	55798	\N	\N	\N
752506	2568	1998-10-09	PRIJEM	VKLAD	22985	55767	\N	\N	\N
752507	2568	1998-11-09	PRIJEM	VKLAD	22985	54338	\N	\N	\N
752508	2568	1998-12-09	PRIJEM	VKLAD	34478	67794	\N	\N	\N
752516	2568	1994-08-05	VYDAJ	PREVOD NA UCET	5228	39752	SIPO	KL	34637659
752517	2568	1994-09-05	VYDAJ	PREVOD NA UCET	5228	36731	SIPO	KL	34637659
752518	2568	1994-10-05	VYDAJ	PREVOD NA UCET	5228	33897	SIPO	KL	34637659
752519	2568	1994-11-05	VYDAJ	PREVOD NA UCET	5228	32449	SIPO	KL	34637659
752520	2568	1994-12-05	VYDAJ	PREVOD NA UCET	5228	33995	SIPO	KL	34637659
752521	2568	1995-01-05	VYDAJ	PREVOD NA UCET	5228	34165	SIPO	KL	34637659
752522	2568	1995-02-05	VYDAJ	PREVOD NA UCET	5228	25678	SIPO	KL	34637659
752523	2568	1995-03-05	VYDAJ	PREVOD NA UCET	5228	27092	SIPO	KL	34637659
752524	2568	1995-04-05	VYDAJ	PREVOD NA UCET	5228	29116	SIPO	KL	34637659
752525	2568	1995-05-05	VYDAJ	PREVOD NA UCET	5228	23946	SIPO	KL	34637659
752526	2568	1995-06-05	VYDAJ	PREVOD NA UCET	5228	29159	SIPO	KL	34637659
752527	2568	1995-07-05	VYDAJ	PREVOD NA UCET	5228	23708	SIPO	KL	34637659
752528	2568	1995-08-05	VYDAJ	PREVOD NA UCET	5228	28116	SIPO	KL	34637659
752529	2568	1995-09-05	VYDAJ	PREVOD NA UCET	5228	33141	SIPO	KL	34637659
752530	2568	1995-10-05	VYDAJ	PREVOD NA UCET	5228	37186	SIPO	KL	34637659
752531	2568	1995-11-05	VYDAJ	PREVOD NA UCET	5228	33841	SIPO	KL	34637659
752532	2568	1995-12-05	VYDAJ	PREVOD NA UCET	5228	33480	SIPO	KL	34637659
752533	2568	1996-01-05	VYDAJ	PREVOD NA UCET	5228	36337	SIPO	KL	34637659
752534	2568	1996-02-05	VYDAJ	PREVOD NA UCET	5228	22164	SIPO	KL	34637659
752535	2568	1996-03-05	VYDAJ	PREVOD NA UCET	5228	26157	SIPO	KL	34637659
752536	2568	1996-04-05	VYDAJ	PREVOD NA UCET	5228	29067	SIPO	KL	34637659
752537	2568	1996-05-05	VYDAJ	PREVOD NA UCET	5228	27173	SIPO	KL	34637659
752538	2568	1996-06-05	VYDAJ	PREVOD NA UCET	5228	27982	SIPO	KL	34637659
752539	2568	1996-07-05	VYDAJ	PREVOD NA UCET	5228	25288	SIPO	KL	34637659
752540	2568	1996-08-05	VYDAJ	PREVOD NA UCET	5228	27689	SIPO	KL	34637659
752541	2568	1996-09-05	VYDAJ	PREVOD NA UCET	5228	28899	SIPO	KL	34637659
752542	2568	1996-10-05	VYDAJ	PREVOD NA UCET	5228	25304	SIPO	KL	34637659
752543	2568	1996-11-05	VYDAJ	PREVOD NA UCET	5228	26498	SIPO	KL	34637659
752544	2568	1996-12-05	VYDAJ	PREVOD NA UCET	5228	26293	SIPO	KL	34637659
752545	2568	1997-01-05	VYDAJ	PREVOD NA UCET	5228	30804	SIPO	KL	34637659
752546	2568	1997-02-05	VYDAJ	PREVOD NA UCET	5228	16292	SIPO	KL	34637659
752547	2568	1997-03-05	VYDAJ	PREVOD NA UCET	5228	23657	SIPO	KL	34637659
752548	2568	1997-04-05	VYDAJ	PREVOD NA UCET	5228	26343	SIPO	KL	34637659
752549	2568	1997-05-05	VYDAJ	PREVOD NA UCET	5228	29141	SIPO	KL	34637659
752550	2568	1997-06-05	VYDAJ	PREVOD NA UCET	5228	33855	SIPO	KL	34637659
752551	2568	1997-07-05	VYDAJ	PREVOD NA UCET	5228	44101	SIPO	KL	34637659
752552	2568	1997-08-05	VYDAJ	PREVOD NA UCET	5228	39953	SIPO	KL	34637659
752553	2568	1997-09-05	VYDAJ	PREVOD NA UCET	5228	34493	SIPO	KL	34637659
752554	2568	1997-10-05	VYDAJ	PREVOD NA UCET	5228	37519	SIPO	KL	34637659
752555	2568	1997-11-05	VYDAJ	PREVOD NA UCET	5228	34943	SIPO	KL	34637659
752556	2568	1997-12-05	VYDAJ	PREVOD NA UCET	5228	29152	SIPO	KL	34637659
752557	2568	1998-01-05	VYDAJ	PREVOD NA UCET	5228	30553	SIPO	KL	34637659
752558	2568	1998-02-05	VYDAJ	PREVOD NA UCET	5228	23130	SIPO	KL	34637659
752559	2568	1998-03-05	VYDAJ	PREVOD NA UCET	5228	27005	SIPO	KL	34637659
752560	2568	1998-04-05	VYDAJ	PREVOD NA UCET	5228	26487	SIPO	KL	34637659
752561	2568	1998-05-05	VYDAJ	PREVOD NA UCET	5228	23064	SIPO	KL	34637659
752562	2568	1998-06-05	VYDAJ	PREVOD NA UCET	5228	27745	SIPO	KL	34637659
752563	2568	1998-07-05	VYDAJ	PREVOD NA UCET	5228	34539	SIPO	KL	34637659
752564	2568	1998-08-05	VYDAJ	PREVOD NA UCET	5228	34554	SIPO	KL	34637659
752565	2568	1998-09-05	VYDAJ	PREVOD NA UCET	5228	46199	SIPO	KL	34637659
752566	2568	1998-10-05	VYDAJ	PREVOD NA UCET	5228	50468	SIPO	KL	34637659
752567	2568	1998-11-05	VYDAJ	PREVOD NA UCET	5228	50439	SIPO	KL	34637659
752568	2568	1998-12-05	VYDAJ	PREVOD NA UCET	5228	49002	SIPO	KL	34637659
752576	2568	1994-08-07	VYDAJ	PREVOD NA UCET	1086	38666	 	MN	1379150
752577	2568	1994-09-07	VYDAJ	PREVOD NA UCET	1086	35645	 	MN	1379150
752578	2568	1994-10-07	VYDAJ	PREVOD NA UCET	1086	32811	 	MN	1379150
752579	2568	1994-11-07	VYDAJ	PREVOD NA UCET	1086	31363	 	MN	1379150
752580	2568	1994-12-07	VYDAJ	PREVOD NA UCET	1086	31509	 	MN	1379150
752581	2568	1995-01-07	VYDAJ	PREVOD NA UCET	1086	31979	 	MN	1379150
752582	2568	1995-02-07	VYDAJ	PREVOD NA UCET	1086	24592	 	MN	1379150
752583	2568	1995-03-07	VYDAJ	PREVOD NA UCET	1086	26006	 	MN	1379150
752584	2568	1995-04-07	VYDAJ	PREVOD NA UCET	1086	28030	 	MN	1379150
752585	2568	1995-05-07	VYDAJ	PREVOD NA UCET	1086	22860	 	MN	1379150
752586	2568	1995-06-07	VYDAJ	PREVOD NA UCET	1086	28073	 	MN	1379150
752587	2568	1995-07-07	VYDAJ	PREVOD NA UCET	1086	22622	 	MN	1379150
752588	2568	1995-08-07	VYDAJ	PREVOD NA UCET	1086	27030	 	MN	1379150
752589	2568	1995-09-07	VYDAJ	PREVOD NA UCET	1086	32055	 	MN	1379150
752590	2568	1995-10-07	VYDAJ	PREVOD NA UCET	1086	36100	 	MN	1379150
752591	2568	1995-11-07	VYDAJ	PREVOD NA UCET	1086	32755	 	MN	1379150
752592	2568	1995-12-07	VYDAJ	PREVOD NA UCET	1086	32394	 	MN	1379150
752593	2568	1996-01-07	VYDAJ	PREVOD NA UCET	1086	35251	 	MN	1379150
752594	2568	1996-02-07	VYDAJ	PREVOD NA UCET	1086	21078	 	MN	1379150
752595	2568	1996-03-07	VYDAJ	PREVOD NA UCET	1086	25071	 	MN	1379150
752596	2568	1996-04-07	VYDAJ	PREVOD NA UCET	1086	27981	 	MN	1379150
752597	2568	1996-05-07	VYDAJ	PREVOD NA UCET	1086	26087	 	MN	1379150
752598	2568	1996-06-07	VYDAJ	PREVOD NA UCET	1086	26896	 	MN	1379150
752599	2568	1996-07-07	VYDAJ	PREVOD NA UCET	1086	24202	 	MN	1379150
752600	2568	1996-08-07	VYDAJ	PREVOD NA UCET	1086	26603	 	MN	1379150
752601	2568	1996-09-07	VYDAJ	PREVOD NA UCET	1086	27813	 	MN	1379150
752602	2568	1996-10-07	VYDAJ	PREVOD NA UCET	1086	24218	 	MN	1379150
752603	2568	1996-11-07	VYDAJ	PREVOD NA UCET	1086	25412	 	MN	1379150
752604	2568	1996-12-07	VYDAJ	PREVOD NA UCET	1086	25207	 	MN	1379150
752605	2568	1997-01-07	VYDAJ	PREVOD NA UCET	1086	28018	 	MN	1379150
752606	2568	1997-02-07	VYDAJ	PREVOD NA UCET	1086	15206	 	MN	1379150
752607	2568	1997-03-07	VYDAJ	PREVOD NA UCET	1086	22571	 	MN	1379150
752608	2568	1997-04-07	VYDAJ	PREVOD NA UCET	1086	25257	 	MN	1379150
752609	2568	1997-05-07	VYDAJ	PREVOD NA UCET	1086	28055	 	MN	1379150
752610	2568	1997-06-07	VYDAJ	PREVOD NA UCET	1086	32769	 	MN	1379150
752611	2568	1997-07-07	VYDAJ	PREVOD NA UCET	1086	43015	 	MN	1379150
752612	2568	1997-08-07	VYDAJ	PREVOD NA UCET	1086	38867	 	MN	1379150
752613	2568	1997-09-07	VYDAJ	PREVOD NA UCET	1086	33407	 	MN	1379150
752614	2568	1997-10-07	VYDAJ	PREVOD NA UCET	1086	36433	 	MN	1379150
752615	2568	1997-11-07	VYDAJ	PREVOD NA UCET	1086	33857	 	MN	1379150
752616	2568	1997-12-07	VYDAJ	PREVOD NA UCET	1086	28066	 	MN	1379150
752617	2568	1998-01-07	VYDAJ	PREVOD NA UCET	1086	27667	 	MN	1379150
752618	2568	1998-02-07	VYDAJ	PREVOD NA UCET	1086	22044	 	MN	1379150
752619	2568	1998-03-07	VYDAJ	PREVOD NA UCET	1086	25919	 	MN	1379150
752620	2568	1998-04-07	VYDAJ	PREVOD NA UCET	1086	25401	 	MN	1379150
752621	2568	1998-05-07	VYDAJ	PREVOD NA UCET	1086	21978	 	MN	1379150
752622	2568	1998-06-07	VYDAJ	PREVOD NA UCET	1086	24359	 	MN	1379150
752623	2568	1998-07-07	VYDAJ	PREVOD NA UCET	1086	33453	 	MN	1379150
752624	2568	1998-08-07	VYDAJ	PREVOD NA UCET	1086	33468	 	MN	1379150
752625	2568	1998-09-07	VYDAJ	PREVOD NA UCET	1086	32813	 	MN	1379150
752626	2568	1998-10-07	VYDAJ	PREVOD NA UCET	1086	49382	 	MN	1379150
752627	2568	1998-11-07	VYDAJ	PREVOD NA UCET	1086	31353	 	MN	1379150
752628	2568	1998-12-07	VYDAJ	PREVOD NA UCET	1086	33316	 	MN	1379150
752635	2568	1994-07-11	VYDAJ	PREVOD NA UCET	306	72639	POJISTNE	OP	99602746
752636	2568	1994-08-11	VYDAJ	PREVOD NA UCET	306	61345	POJISTNE	OP	99602746
752637	2568	1994-09-11	VYDAJ	PREVOD NA UCET	306	58324	POJISTNE	OP	99602746
752638	2568	1994-10-11	VYDAJ	PREVOD NA UCET	306	55490	POJISTNE	OP	99602746
752639	2568	1994-11-11	VYDAJ	PREVOD NA UCET	306	54042	POJISTNE	OP	99602746
752640	2568	1994-12-11	VYDAJ	PREVOD NA UCET	306	65681	POJISTNE	OP	99602746
752641	2568	1995-01-11	VYDAJ	PREVOD NA UCET	306	52858	POJISTNE	OP	99602746
752642	2568	1995-02-11	VYDAJ	PREVOD NA UCET	306	47271	POJISTNE	OP	99602746
752643	2568	1995-03-11	VYDAJ	PREVOD NA UCET	306	48685	POJISTNE	OP	99602746
752644	2568	1995-04-11	VYDAJ	PREVOD NA UCET	306	50709	POJISTNE	OP	99602746
752645	2568	1995-05-11	VYDAJ	PREVOD NA UCET	306	45539	POJISTNE	OP	99602746
752646	2568	1995-06-11	VYDAJ	PREVOD NA UCET	306	62245	POJISTNE	OP	99602746
752647	2568	1995-07-11	VYDAJ	PREVOD NA UCET	306	45301	POJISTNE	OP	99602746
752648	2568	1995-08-11	VYDAJ	PREVOD NA UCET	306	49709	POJISTNE	OP	99602746
752649	2568	1995-09-11	VYDAJ	PREVOD NA UCET	306	54734	POJISTNE	OP	99602746
752650	2568	1995-10-11	VYDAJ	PREVOD NA UCET	306	58779	POJISTNE	OP	99602746
752651	2568	1995-11-11	VYDAJ	PREVOD NA UCET	306	55434	POJISTNE	OP	99602746
752652	2568	1995-12-11	VYDAJ	PREVOD NA UCET	306	66566	POJISTNE	OP	99602746
752653	2568	1996-01-11	VYDAJ	PREVOD NA UCET	306	54830	POJISTNE	OP	99602746
752654	2568	1996-02-11	VYDAJ	PREVOD NA UCET	306	43757	POJISTNE	OP	99602746
752655	2568	1996-03-11	VYDAJ	PREVOD NA UCET	306	47750	POJISTNE	OP	99602746
752656	2568	1996-04-11	VYDAJ	PREVOD NA UCET	306	50660	POJISTNE	OP	99602746
752657	2568	1996-05-11	VYDAJ	PREVOD NA UCET	306	48766	POJISTNE	OP	99602746
752658	2568	1996-06-11	VYDAJ	PREVOD NA UCET	306	61068	POJISTNE	OP	99602746
752659	2568	1996-07-11	VYDAJ	PREVOD NA UCET	306	46881	POJISTNE	OP	99602746
752660	2568	1996-08-11	VYDAJ	PREVOD NA UCET	306	49282	POJISTNE	OP	99602746
752661	2568	1996-09-11	VYDAJ	PREVOD NA UCET	306	50492	POJISTNE	OP	99602746
752662	2568	1996-10-11	VYDAJ	PREVOD NA UCET	306	46897	POJISTNE	OP	99602746
752663	2568	1996-11-11	VYDAJ	PREVOD NA UCET	306	48091	POJISTNE	OP	99602746
752664	2568	1996-12-11	VYDAJ	PREVOD NA UCET	306	59379	POJISTNE	OP	99602746
752665	2568	1997-01-11	VYDAJ	PREVOD NA UCET	306	50697	POJISTNE	OP	99602746
752666	2568	1997-02-11	VYDAJ	PREVOD NA UCET	306	37885	POJISTNE	OP	99602746
752667	2568	1997-03-11	VYDAJ	PREVOD NA UCET	306	45250	POJISTNE	OP	99602746
752668	2568	1997-04-11	VYDAJ	PREVOD NA UCET	306	47936	POJISTNE	OP	99602746
752669	2568	1997-05-11	VYDAJ	PREVOD NA UCET	306	50734	POJISTNE	OP	99602746
752776	2568	1995-07-31	VYDAJ	VYBER	15	33344	SLUZBY	\N	\N
752670	2568	1997-06-11	VYDAJ	PREVOD NA UCET	306	66941	POJISTNE	OP	99602746
752671	2568	1997-07-11	VYDAJ	PREVOD NA UCET	306	65694	POJISTNE	OP	99602746
752672	2568	1997-08-11	VYDAJ	PREVOD NA UCET	306	61546	POJISTNE	OP	99602746
752673	2568	1997-09-11	VYDAJ	PREVOD NA UCET	306	56086	POJISTNE	OP	99602746
752674	2568	1997-10-11	VYDAJ	PREVOD NA UCET	306	59112	POJISTNE	OP	99602746
752675	2568	1997-11-11	VYDAJ	PREVOD NA UCET	306	56536	POJISTNE	OP	99602746
752676	2568	1997-12-11	VYDAJ	PREVOD NA UCET	306	38638	POJISTNE	OP	99602746
752677	2568	1998-01-11	VYDAJ	PREVOD NA UCET	306	31446	POJISTNE	OP	99602746
752678	2568	1998-02-11	VYDAJ	PREVOD NA UCET	306	32123	POJISTNE	OP	99602746
752679	2568	1998-03-11	VYDAJ	PREVOD NA UCET	306	31598	POJISTNE	OP	99602746
752680	2568	1998-04-11	VYDAJ	PREVOD NA UCET	306	32180	POJISTNE	OP	99602746
752681	2568	1998-05-11	VYDAJ	PREVOD NA UCET	306	34357	POJISTNE	OP	99602746
752682	2568	1998-06-11	VYDAJ	PREVOD NA UCET	306	39631	POJISTNE	OP	99602746
752683	2568	1998-07-11	VYDAJ	PREVOD NA UCET	306	39632	POJISTNE	OP	99602746
752684	2568	1998-08-11	VYDAJ	PREVOD NA UCET	306	51247	POJISTNE	OP	99602746
752685	2568	1998-09-11	VYDAJ	PREVOD NA UCET	306	55492	POJISTNE	OP	99602746
752686	2568	1998-10-11	VYDAJ	PREVOD NA UCET	306	55461	POJISTNE	OP	99602746
752687	2568	1998-11-11	VYDAJ	PREVOD NA UCET	306	54032	POJISTNE	OP	99602746
752688	2568	1998-12-11	VYDAJ	PREVOD NA UCET	306	67488	POJISTNE	OP	99602746
752690	2568	1995-06-25	VYDAJ	VYBER	16500	45745	\N	\N	\N
752691	2568	1996-06-16	VYDAJ	VYBER	15800	45268	\N	\N	\N
752695	2568	1995-01-13	VYDAJ	VYBER	8600	40358	\N	\N	\N
752696	2568	1996-01-28	VYDAJ	VYBER	6200	27230	\N	\N	\N
752697	2568	1997-01-22	VYDAJ	VYBER	9300	24197	\N	\N	\N
752698	2568	1998-01-05	VYDAJ	VYBER	1800	28753	\N	\N	\N
752699	2568	1994-12-06	VYDAJ	VYBER	1400	32595	\N	\N	\N
752700	2568	1995-12-18	VYDAJ	VYBER	2900	63666	\N	\N	\N
752701	2568	1996-12-28	VYDAJ	VYBER	2200	35879	\N	\N	\N
752702	2568	1997-12-24	VYDAJ	VYBER	600	38038	\N	\N	\N
752703	2568	1998-12-06	VYDAJ	VYBER	600	48402	\N	\N	\N
752710	2568	1995-01-10	VYDAJ	VYBER	1800	53164	\N	\N	\N
752711	2568	1995-01-28	VYDAJ	VYBER	2200	30758	\N	\N	\N
752712	2568	1995-01-11	VYDAJ	VYBER	2500	48958	\N	\N	\N
752713	2568	1995-01-17	VYDAJ	VYBER	1100	39258	\N	\N	\N
752714	2568	1995-01-07	VYDAJ	VYBER	1100	33065	\N	\N	\N
752715	2568	1995-01-11	VYDAJ	VYBER	1400	51458	\N	\N	\N
752716	2568	1996-01-18	VYDAJ	VYBER	2300	52530	\N	\N	\N
752717	2568	1996-01-02	VYDAJ	VYBER	600	44065	\N	\N	\N
752718	2568	1996-01-11	VYDAJ	VYBER	1500	55136	\N	\N	\N
752719	2568	1996-01-04	VYDAJ	VYBER	2500	41565	\N	\N	\N
752720	2568	1996-01-20	VYDAJ	VYBER	2100	50430	\N	\N	\N
752721	2568	1996-01-24	VYDAJ	VYBER	800	33430	\N	\N	\N
752722	2568	1997-01-13	VYDAJ	VYBER	1100	49597	\N	\N	\N
752723	2568	1997-01-20	VYDAJ	VYBER	1400	33497	\N	\N	\N
752724	2568	1997-01-26	VYDAJ	VYBER	2800	21397	\N	\N	\N
752725	2568	1997-01-15	VYDAJ	VYBER	2900	43897	\N	\N	\N
752726	2568	1997-01-14	VYDAJ	VYBER	2800	46797	\N	\N	\N
752727	2568	1997-01-07	VYDAJ	VYBER	1700	29104	\N	\N	\N
752728	2568	1998-01-02	VYDAJ	VYBER	800	37381	\N	\N	\N
752729	2568	1998-01-05	VYDAJ	VYBER	1600	35781	\N	\N	\N
752730	2568	1998-01-10	VYDAJ	VYBER	500	31752	\N	\N	\N
752731	2568	1998-01-19	VYDAJ	VYBER	500	28246	\N	\N	\N
752732	2568	1998-01-08	VYDAJ	VYBER	1500	26167	\N	\N	\N
752733	2568	1998-01-16	VYDAJ	VYBER	900	28746	\N	\N	\N
752734	2568	1994-07-25	VYDAJ	VYBER	4600	65639	\N	\N	\N
752735	2568	1994-12-30	VYDAJ	VYBER	4900	39181	\N	\N	\N
752737	2568	1994-11-15	VYDAJ	VYBER	1200	52842	\N	\N	\N
752738	2568	1994-07-14	VYDAJ	VYBER	2400	70239	\N	\N	\N
752739	2568	1995-06-28	VYDAJ	VYBER	4100	28745	\N	\N	\N
752740	2568	1995-10-28	VYDAJ	VYBER	3900	40079	\N	\N	\N
752741	2568	1995-05-05	VYDAJ	VYBER	4900	29174	\N	\N	\N
752742	2568	1995-11-01	VYDAJ	VYBER	1200	39069	\N	\N	\N
752743	2568	1995-02-15	VYDAJ	VYBER	2000	45271	\N	\N	\N
752744	2568	1996-04-11	VYDAJ	VYBER	4500	46160	\N	\N	\N
752745	2568	1996-09-25	VYDAJ	VYBER	4300	30392	\N	\N	\N
752746	2568	1996-08-18	VYDAJ	VYBER	2200	33982	\N	\N	\N
752747	2568	1996-02-18	VYDAJ	VYBER	800	42957	\N	\N	\N
752748	2568	1996-01-10	VYDAJ	VYBER	1600	56636	\N	\N	\N
752749	2568	1997-11-25	VYDAJ	VYBER	3900	34236	\N	\N	\N
752750	2568	1997-03-13	VYDAJ	VYBER	4400	40850	\N	\N	\N
752751	2568	1997-08-30	VYDAJ	VYBER	4800	39546	\N	\N	\N
752752	2568	1997-05-29	VYDAJ	VYBER	500	38934	\N	\N	\N
752753	2568	1998-04-23	VYDAJ	VYBER	4000	28180	\N	\N	\N
752754	2568	1998-06-06	VYDAJ	VYBER	2300	25445	\N	\N	\N
752755	2568	1998-01-15	VYDAJ	VYBER	1800	29646	\N	\N	\N
752756	2568	1998-05-23	VYDAJ	VYBER	1500	32857	\N	\N	\N
752764	2568	1994-07-31	VYDAJ	VYBER	15	44980	SLUZBY	\N	\N
752765	2568	1994-08-31	VYDAJ	VYBER	15	41959	SLUZBY	\N	\N
752766	2568	1994-09-30	VYDAJ	VYBER	15	39125	SLUZBY	\N	\N
752767	2568	1994-10-31	VYDAJ	VYBER	15	37677	SLUZBY	\N	\N
752768	2568	1994-11-30	VYDAJ	VYBER	15	39223	SLUZBY	\N	\N
752769	2568	1994-12-31	VYDAJ	VYBER	15	39393	SLUZBY	\N	\N
752770	2568	1995-01-31	VYDAJ	VYBER	15	30906	SLUZBY	\N	\N
752771	2568	1995-02-28	VYDAJ	VYBER	15	32320	SLUZBY	\N	\N
752772	2568	1995-03-31	VYDAJ	VYBER	15	34344	SLUZBY	\N	\N
752773	2568	1995-04-30	VYDAJ	VYBER	15	34074	SLUZBY	\N	\N
752774	2568	1995-05-31	VYDAJ	VYBER	15	34387	SLUZBY	\N	\N
752775	2568	1995-06-30	VYDAJ	VYBER	15	28936	SLUZBY	\N	\N
752777	2568	1995-08-31	VYDAJ	VYBER	15	38369	SLUZBY	\N	\N
752778	2568	1995-09-30	VYDAJ	VYBER	15	42414	SLUZBY	\N	\N
752779	2568	1995-10-31	VYDAJ	VYBER	15	40269	SLUZBY	\N	\N
752780	2568	1995-11-30	VYDAJ	VYBER	15	38708	SLUZBY	\N	\N
752781	2568	1995-12-31	VYDAJ	VYBER	15	44665	SLUZBY	\N	\N
752782	2568	1996-01-31	VYDAJ	VYBER	15	27392	SLUZBY	\N	\N
752783	2568	1996-02-29	VYDAJ	VYBER	15	31385	SLUZBY	\N	\N
752784	2568	1996-03-31	VYDAJ	VYBER	15	34295	SLUZBY	\N	\N
752785	2568	1996-04-30	VYDAJ	VYBER	15	32401	SLUZBY	\N	\N
752786	2568	1996-05-31	VYDAJ	VYBER	15	33210	SLUZBY	\N	\N
752787	2568	1996-06-30	VYDAJ	VYBER	15	30516	SLUZBY	\N	\N
752788	2568	1996-07-31	VYDAJ	VYBER	15	32917	SLUZBY	\N	\N
752789	2568	1996-08-31	VYDAJ	VYBER	15	34127	SLUZBY	\N	\N
752790	2568	1996-09-30	VYDAJ	VYBER	15	30532	SLUZBY	\N	\N
752791	2568	1996-10-31	VYDAJ	VYBER	15	31726	SLUZBY	\N	\N
752792	2568	1996-11-30	VYDAJ	VYBER	15	31521	SLUZBY	\N	\N
752793	2568	1996-12-31	VYDAJ	VYBER	15	36032	SLUZBY	\N	\N
752794	2568	1997-01-31	VYDAJ	VYBER	15	21520	SLUZBY	\N	\N
752795	2568	1997-02-28	VYDAJ	VYBER	15	28885	SLUZBY	\N	\N
752796	2568	1997-03-31	VYDAJ	VYBER	15	31571	SLUZBY	\N	\N
752797	2568	1997-04-30	VYDAJ	VYBER	15	34369	SLUZBY	\N	\N
752798	2568	1997-05-31	VYDAJ	VYBER	15	39083	SLUZBY	\N	\N
752799	2568	1997-06-30	VYDAJ	VYBER	15	49329	SLUZBY	\N	\N
752800	2568	1997-07-31	VYDAJ	VYBER	15	45181	SLUZBY	\N	\N
752801	2568	1997-08-31	VYDAJ	VYBER	15	39721	SLUZBY	\N	\N
752802	2568	1997-09-30	VYDAJ	VYBER	15	42747	SLUZBY	\N	\N
752803	2568	1997-10-31	VYDAJ	VYBER	15	40171	SLUZBY	\N	\N
752804	2568	1997-11-30	VYDAJ	VYBER	15	34380	SLUZBY	\N	\N
752805	2568	1997-12-31	VYDAJ	VYBER	15	38181	SLUZBY	\N	\N
752806	2568	1998-01-31	VYDAJ	VYBER	15	28358	SLUZBY	\N	\N
752807	2568	1998-02-28	VYDAJ	VYBER	15	32233	SLUZBY	\N	\N
752808	2568	1998-03-31	VYDAJ	VYBER	15	31715	SLUZBY	\N	\N
752809	2568	1998-04-30	VYDAJ	VYBER	15	28292	SLUZBY	\N	\N
752810	2568	1998-05-31	VYDAJ	VYBER	15	32973	SLUZBY	\N	\N
752811	2568	1998-06-30	VYDAJ	VYBER	15	39767	SLUZBY	\N	\N
752812	2568	1998-07-31	VYDAJ	VYBER	15	39782	SLUZBY	\N	\N
752813	2568	1998-08-31	VYDAJ	VYBER	15	51427	SLUZBY	\N	\N
752814	2568	1998-09-30	VYDAJ	VYBER	15	55696	SLUZBY	\N	\N
752815	2568	1998-10-31	VYDAJ	VYBER	15	55667	SLUZBY	\N	\N
752816	2568	1998-11-30	VYDAJ	VYBER	15	54230	SLUZBY	\N	\N
752817	2568	1994-04-01	VYDAJ	VYBER	1300	22358	\N	\N	\N
752818	2568	1994-05-01	VYDAJ	VYBER	11700	33808	\N	\N	\N
752819	2568	1994-05-31	VYDAJ	VYBER	17300	39715	\N	\N	\N
752820	2568	1994-06-30	VYDAJ	VYBER	24400	49960	\N	\N	\N
752821	2568	1994-07-30	VYDAJ	VYBER	20900	44739	\N	\N	\N
752822	2568	1994-08-29	VYDAJ	VYBER	19600	41745	\N	\N	\N
752823	2568	1994-09-28	VYDAJ	VYBER	19400	38924	\N	\N	\N
752824	2568	1994-10-28	VYDAJ	VYBER	18000	37490	\N	\N	\N
752825	2568	1994-11-27	VYDAJ	VYBER	13800	39042	\N	\N	\N
752826	2568	1994-12-27	VYDAJ	VYBER	21600	44081	\N	\N	\N
752827	2568	1995-01-26	VYDAJ	VYBER	6300	32958	\N	\N	\N
752828	2568	1995-02-25	VYDAJ	VYBER	13100	32171	\N	\N	\N
752829	2568	1995-03-27	VYDAJ	VYBER	14500	34185	\N	\N	\N
752830	2568	1995-04-26	VYDAJ	VYBER	16800	33909	\N	\N	\N
752831	2568	1995-05-26	VYDAJ	VYBER	11300	34239	\N	\N	\N
752832	2568	1995-06-25	VYDAJ	VYBER	12900	32845	\N	\N	\N
752833	2568	1995-07-25	VYDAJ	VYBER	12100	33201	\N	\N	\N
752834	2568	1995-08-24	VYDAJ	VYBER	11500	38209	\N	\N	\N
752835	2568	1995-09-23	VYDAJ	VYBER	12500	42234	\N	\N	\N
752836	2568	1995-10-23	VYDAJ	VYBER	14800	43979	\N	\N	\N
752837	2568	1995-11-22	VYDAJ	VYBER	16900	38534	\N	\N	\N
752838	2568	1995-12-22	VYDAJ	VYBER	19200	44466	\N	\N	\N
752839	2568	1996-01-21	VYDAJ	VYBER	16200	34230	\N	\N	\N
752840	2568	1996-02-20	VYDAJ	VYBER	11700	31257	\N	\N	\N
752841	2568	1996-03-21	VYDAJ	VYBER	13600	34150	\N	\N	\N
752842	2568	1996-04-20	VYDAJ	VYBER	13900	32260	\N	\N	\N
752843	2568	1996-05-20	VYDAJ	VYBER	15700	33066	\N	\N	\N
752844	2568	1996-06-19	VYDAJ	VYBER	14900	30368	\N	\N	\N
752845	2568	1996-07-19	VYDAJ	VYBER	14100	32781	\N	\N	\N
752846	2568	1996-08-18	VYDAJ	VYBER	13100	36182	\N	\N	\N
752847	2568	1996-09-17	VYDAJ	VYBER	15800	34692	\N	\N	\N
752848	2568	1996-10-17	VYDAJ	VYBER	15300	31597	\N	\N	\N
752849	2568	1996-11-16	VYDAJ	VYBER	16700	31391	\N	\N	\N
752850	2568	1996-12-16	VYDAJ	VYBER	21300	38079	\N	\N	\N
752851	2568	1997-01-15	VYDAJ	VYBER	9000	34897	\N	\N	\N
752852	2568	1997-02-14	VYDAJ	VYBER	9100	28785	\N	\N	\N
752853	2568	1997-03-16	VYDAJ	VYBER	9400	31450	\N	\N	\N
752854	2568	1997-04-15	VYDAJ	VYBER	13700	34236	\N	\N	\N
752855	2568	1997-05-15	VYDAJ	VYBER	11300	39434	\N	\N	\N
752856	2568	1997-06-14	VYDAJ	VYBER	17800	49141	\N	\N	\N
752857	2568	1997-07-14	VYDAJ	VYBER	20700	44994	\N	\N	\N
752858	2568	1997-08-13	VYDAJ	VYBER	17200	44346	\N	\N	\N
752859	2568	1997-09-12	VYDAJ	VYBER	13500	42586	\N	\N	\N
752860	2568	1997-10-12	VYDAJ	VYBER	19100	40012	\N	\N	\N
752861	2568	1997-11-11	VYDAJ	VYBER	18400	38136	\N	\N	\N
752862	2568	1997-12-11	VYDAJ	VYBER	23600	38944	\N	\N	\N
752863	2568	1998-01-10	VYDAJ	VYBER	16900	32252	\N	\N	\N
752864	2568	1998-02-09	VYDAJ	VYBER	12600	32429	\N	\N	\N
752865	2568	1998-03-11	VYDAJ	VYBER	17000	31904	\N	\N	\N
752866	2568	1998-04-10	VYDAJ	VYBER	15900	32486	\N	\N	\N
752867	2568	1998-05-10	VYDAJ	VYBER	10300	34663	\N	\N	\N
752868	2568	1998-06-09	VYDAJ	VYBER	18900	39937	\N	\N	\N
752869	2568	1998-07-09	VYDAJ	VYBER	16500	39938	\N	\N	\N
752870	2568	1998-08-08	VYDAJ	VYBER	4900	28568	\N	\N	\N
752871	2568	1998-09-07	VYDAJ	VYBER	12300	33899	\N	\N	\N
752872	2568	1998-10-07	VYDAJ	VYBER	16600	32782	\N	\N	\N
752873	2568	1998-11-06	VYDAJ	VYBER	18000	32439	\N	\N	\N
752874	2568	1998-12-06	VYDAJ	VYBER	14000	34402	\N	\N	\N
752933	2569	1994-06-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
752940	2569	1994-07-08	PRIJEM	PREVOD Z UCTU	6772	7772	DUCHOD	CD	39914208
752941	2569	1994-08-08	PRIJEM	PREVOD Z UCTU	6772	14544	DUCHOD	CD	39914208
752942	2569	1994-09-08	PRIJEM	PREVOD Z UCTU	6772	21316	DUCHOD	CD	39914208
752943	2569	1994-10-08	PRIJEM	PREVOD Z UCTU	6772	27153	DUCHOD	CD	39914208
752944	2569	1994-11-08	PRIJEM	PREVOD Z UCTU	6772	30723	DUCHOD	CD	39914208
752945	2569	1994-12-08	PRIJEM	PREVOD Z UCTU	6772	31318	DUCHOD	CD	39914208
752946	2569	1995-01-08	PRIJEM	PREVOD Z UCTU	6772	26690	DUCHOD	CD	39914208
752947	2569	1995-02-08	PRIJEM	PREVOD Z UCTU	6772	22983	DUCHOD	CD	39914208
752948	2569	1995-03-08	PRIJEM	PREVOD Z UCTU	6772	24229	DUCHOD	CD	39914208
752949	2569	1995-04-08	PRIJEM	PREVOD Z UCTU	6772	27549	DUCHOD	CD	39914208
752950	2569	1995-05-08	PRIJEM	PREVOD Z UCTU	6772	31883	DUCHOD	CD	39914208
752951	2569	1995-06-08	PRIJEM	PREVOD Z UCTU	6772	25285	DUCHOD	CD	39914208
752952	2569	1995-07-08	PRIJEM	PREVOD Z UCTU	6772	27011	DUCHOD	CD	39914208
752953	2569	1995-08-08	PRIJEM	PREVOD Z UCTU	6772	30660	DUCHOD	CD	39914208
752954	2569	1995-09-08	PRIJEM	PREVOD Z UCTU	6772	32507	DUCHOD	CD	39914208
752955	2569	1995-10-08	PRIJEM	PREVOD Z UCTU	6772	28762	DUCHOD	CD	39914208
752956	2569	1995-11-08	PRIJEM	PREVOD Z UCTU	6772	29604	DUCHOD	CD	39914208
752957	2569	1995-12-08	PRIJEM	PREVOD Z UCTU	6772	33148	DUCHOD	CD	39914208
752958	2569	1996-01-08	PRIJEM	PREVOD Z UCTU	6772	32324	DUCHOD	CD	39914208
752959	2569	1996-02-08	PRIJEM	PREVOD Z UCTU	6772	27853	DUCHOD	CD	39914208
752960	2569	1996-03-08	PRIJEM	PREVOD Z UCTU	6772	28243	DUCHOD	CD	39914208
752961	2569	1996-04-08	PRIJEM	PREVOD Z UCTU	6772	29678	DUCHOD	CD	39914208
752962	2569	1996-05-08	PRIJEM	PREVOD Z UCTU	6772	30120	DUCHOD	CD	39914208
752963	2569	1996-06-08	PRIJEM	PREVOD Z UCTU	6772	31766	DUCHOD	CD	39914208
752964	2569	1996-07-08	PRIJEM	PREVOD Z UCTU	6772	26078	DUCHOD	CD	39914208
752965	2569	1996-08-08	PRIJEM	PREVOD Z UCTU	6772	25194	DUCHOD	CD	39914208
752966	2569	1996-09-08	PRIJEM	PREVOD Z UCTU	6772	28116	DUCHOD	CD	39914208
752967	2569	1996-10-08	PRIJEM	PREVOD Z UCTU	6772	30250	DUCHOD	CD	39914208
752968	2569	1996-11-08	PRIJEM	PREVOD Z UCTU	6772	34794	DUCHOD	CD	39914208
752969	2569	1996-12-08	PRIJEM	PREVOD Z UCTU	6772	34804	DUCHOD	CD	39914208
752970	2569	1997-01-08	PRIJEM	PREVOD Z UCTU	6772	31143	DUCHOD	CD	39914208
752971	2569	1997-02-08	PRIJEM	PREVOD Z UCTU	6772	26766	DUCHOD	CD	39914208
752972	2569	1997-03-08	PRIJEM	PREVOD Z UCTU	6772	29695	DUCHOD	CD	39914208
752973	2569	1997-04-08	PRIJEM	PREVOD Z UCTU	6772	32835	DUCHOD	CD	39914208
752974	2569	1997-05-08	PRIJEM	PREVOD Z UCTU	6772	36026	DUCHOD	CD	39914208
752975	2569	1997-06-08	PRIJEM	PREVOD Z UCTU	6772	26792	DUCHOD	CD	39914208
752976	2569	1997-07-08	PRIJEM	PREVOD Z UCTU	6772	30108	DUCHOD	CD	39914208
752977	2569	1997-08-08	PRIJEM	PREVOD Z UCTU	6772	33350	DUCHOD	CD	39914208
752978	2569	1997-09-08	PRIJEM	PREVOD Z UCTU	6772	31799	DUCHOD	CD	39914208
752979	2569	1997-10-08	PRIJEM	PREVOD Z UCTU	6772	30638	DUCHOD	CD	39914208
752980	2569	1997-11-08	PRIJEM	PREVOD Z UCTU	6772	31277	DUCHOD	CD	39914208
752981	2569	1997-12-08	PRIJEM	PREVOD Z UCTU	6772	31519	DUCHOD	CD	39914208
752982	2569	1998-01-08	PRIJEM	PREVOD Z UCTU	6772	34764	DUCHOD	CD	39914208
752983	2569	1998-02-08	PRIJEM	PREVOD Z UCTU	6772	21692	DUCHOD	CD	39914208
752984	2569	1998-03-08	PRIJEM	PREVOD Z UCTU	6772	26199	DUCHOD	CD	39914208
752985	2569	1998-04-08	PRIJEM	PREVOD Z UCTU	6772	23557	DUCHOD	CD	39914208
752986	2569	1998-05-08	PRIJEM	PREVOD Z UCTU	6772	24866	DUCHOD	CD	39914208
752987	2569	1998-06-08	PRIJEM	PREVOD Z UCTU	6772	26682	DUCHOD	CD	39914208
752988	2569	1998-07-08	PRIJEM	PREVOD Z UCTU	6772	21257	DUCHOD	CD	39914208
752989	2569	1998-08-08	PRIJEM	PREVOD Z UCTU	6772	22557	DUCHOD	CD	39914208
752990	2569	1998-09-08	PRIJEM	PREVOD Z UCTU	6772	22659	DUCHOD	CD	39914208
752991	2569	1998-10-08	PRIJEM	PREVOD Z UCTU	6772	22360	DUCHOD	CD	39914208
752992	2569	1998-11-08	PRIJEM	PREVOD Z UCTU	6772	26870	DUCHOD	CD	39914208
752993	2569	1998-12-08	PRIJEM	PREVOD Z UCTU	6772	22483	DUCHOD	CD	39914208
753005	2569	1994-12-06	VYDAJ	PREVOD NA UCET	463	27646	SIPO	OP	55144518
753006	2569	1995-01-06	VYDAJ	PREVOD NA UCET	463	22698	SIPO	OP	55144518
753007	2569	1995-02-06	VYDAJ	PREVOD NA UCET	463	16211	SIPO	OP	55144518
753008	2569	1995-03-06	VYDAJ	PREVOD NA UCET	463	17757	SIPO	OP	55144518
753009	2569	1995-04-06	VYDAJ	PREVOD NA UCET	463	21977	SIPO	OP	55144518
753010	2569	1995-05-06	VYDAJ	PREVOD NA UCET	463	25111	SIPO	OP	55144518
753011	2569	1995-06-06	VYDAJ	PREVOD NA UCET	463	18513	SIPO	OP	55144518
753012	2569	1995-07-06	VYDAJ	PREVOD NA UCET	463	20239	SIPO	OP	55144518
753013	2569	1995-08-06	VYDAJ	PREVOD NA UCET	463	23888	SIPO	OP	55144518
753014	2569	1995-09-06	VYDAJ	PREVOD NA UCET	463	25735	SIPO	OP	55144518
753015	2569	1995-10-06	VYDAJ	PREVOD NA UCET	463	21990	SIPO	OP	55144518
753016	2569	1995-11-06	VYDAJ	PREVOD NA UCET	463	22832	SIPO	OP	55144518
753017	2569	1995-12-06	VYDAJ	PREVOD NA UCET	463	26376	SIPO	OP	55144518
753018	2569	1996-01-06	VYDAJ	PREVOD NA UCET	463	25552	SIPO	OP	55144518
753019	2569	1996-02-06	VYDAJ	PREVOD NA UCET	463	21081	SIPO	OP	55144518
753020	2569	1996-03-06	VYDAJ	PREVOD NA UCET	463	21471	SIPO	OP	55144518
753021	2569	1996-04-06	VYDAJ	PREVOD NA UCET	463	22906	SIPO	OP	55144518
753022	2569	1996-05-06	VYDAJ	PREVOD NA UCET	463	23348	SIPO	OP	55144518
753023	2569	1996-06-06	VYDAJ	PREVOD NA UCET	463	24994	SIPO	OP	55144518
753024	2569	1996-07-06	VYDAJ	PREVOD NA UCET	463	19306	SIPO	OP	55144518
753025	2569	1996-08-06	VYDAJ	PREVOD NA UCET	463	18422	SIPO	OP	55144518
753026	2569	1996-09-06	VYDAJ	PREVOD NA UCET	463	21344	SIPO	OP	55144518
753027	2569	1996-10-06	VYDAJ	PREVOD NA UCET	463	23478	SIPO	OP	55144518
753028	2569	1996-11-06	VYDAJ	PREVOD NA UCET	463	28022	SIPO	OP	55144518
753029	2569	1996-12-06	VYDAJ	PREVOD NA UCET	463	28282	SIPO	OP	55144518
753030	2569	1997-01-06	VYDAJ	PREVOD NA UCET	463	27091	SIPO	OP	55144518
753031	2569	1997-02-06	VYDAJ	PREVOD NA UCET	463	19994	SIPO	OP	55144518
753032	2569	1997-03-06	VYDAJ	PREVOD NA UCET	463	22923	SIPO	OP	55144518
753033	2569	1997-04-06	VYDAJ	PREVOD NA UCET	463	26063	SIPO	OP	55144518
753034	2569	1997-05-06	VYDAJ	PREVOD NA UCET	463	29254	SIPO	OP	55144518
753035	2569	1997-06-06	VYDAJ	PREVOD NA UCET	463	20020	SIPO	OP	55144518
753036	2569	1997-07-06	VYDAJ	PREVOD NA UCET	463	23336	SIPO	OP	55144518
753037	2569	1997-08-06	VYDAJ	PREVOD NA UCET	463	26578	SIPO	OP	55144518
753038	2569	1997-09-06	VYDAJ	PREVOD NA UCET	463	25027	SIPO	OP	55144518
753039	2569	1997-10-06	VYDAJ	PREVOD NA UCET	463	23866	SIPO	OP	55144518
753040	2569	1997-11-06	VYDAJ	PREVOD NA UCET	463	24505	SIPO	OP	55144518
753041	2569	1997-12-06	VYDAJ	PREVOD NA UCET	463	24747	SIPO	OP	55144518
753042	2569	1998-01-06	VYDAJ	PREVOD NA UCET	463	27992	SIPO	OP	55144518
753043	2569	1998-02-06	VYDAJ	PREVOD NA UCET	463	14920	SIPO	OP	55144518
753044	2569	1998-03-06	VYDAJ	PREVOD NA UCET	463	19427	SIPO	OP	55144518
753045	2569	1998-04-06	VYDAJ	PREVOD NA UCET	463	16785	SIPO	OP	55144518
753046	2569	1998-05-06	VYDAJ	PREVOD NA UCET	463	18094	SIPO	OP	55144518
753047	2569	1998-06-06	VYDAJ	PREVOD NA UCET	463	19910	SIPO	OP	55144518
753048	2569	1998-07-06	VYDAJ	PREVOD NA UCET	463	14485	SIPO	OP	55144518
753049	2569	1998-08-06	VYDAJ	PREVOD NA UCET	463	15785	SIPO	OP	55144518
753050	2569	1998-09-06	VYDAJ	PREVOD NA UCET	463	15887	SIPO	OP	55144518
753051	2569	1998-10-06	VYDAJ	PREVOD NA UCET	463	15588	SIPO	OP	55144518
753052	2569	1998-11-06	VYDAJ	PREVOD NA UCET	463	20098	SIPO	OP	55144518
753053	2569	1998-12-06	VYDAJ	PREVOD NA UCET	463	15711	SIPO	OP	55144518
753065	2569	1994-12-05	VYDAJ	PREVOD NA UCET	1871	28959	 	IJ	14173150
753066	2569	1995-01-05	VYDAJ	PREVOD NA UCET	1871	23161	 	IJ	14173150
753067	2569	1995-02-05	VYDAJ	PREVOD NA UCET	1871	16674	 	IJ	14173150
753068	2569	1995-03-05	VYDAJ	PREVOD NA UCET	1871	18220	 	IJ	14173150
753069	2569	1995-04-05	VYDAJ	PREVOD NA UCET	1871	22440	 	IJ	14173150
753070	2569	1995-05-05	VYDAJ	PREVOD NA UCET	1871	25774	 	IJ	14173150
753071	2569	1995-06-05	VYDAJ	PREVOD NA UCET	1871	18976	 	IJ	14173150
753072	2569	1995-07-05	VYDAJ	PREVOD NA UCET	1871	20702	 	IJ	14173150
753073	2569	1995-08-05	VYDAJ	PREVOD NA UCET	1871	24351	 	IJ	14173150
753074	2569	1995-09-05	VYDAJ	PREVOD NA UCET	1871	26198	 	IJ	14173150
753075	2569	1995-10-05	VYDAJ	PREVOD NA UCET	1871	22453	 	IJ	14173150
753076	2569	1995-11-05	VYDAJ	PREVOD NA UCET	1871	23295	 	IJ	14173150
753077	2569	1995-12-05	VYDAJ	PREVOD NA UCET	1871	26839	 	IJ	14173150
753078	2569	1996-01-05	VYDAJ	PREVOD NA UCET	1871	26015	 	IJ	14173150
753079	2569	1996-02-05	VYDAJ	PREVOD NA UCET	1871	21544	 	IJ	14173150
753080	2569	1996-03-05	VYDAJ	PREVOD NA UCET	1871	21934	 	IJ	14173150
753081	2569	1996-04-05	VYDAJ	PREVOD NA UCET	1871	23369	 	IJ	14173150
753082	2569	1996-05-05	VYDAJ	PREVOD NA UCET	1871	23811	 	IJ	14173150
753083	2569	1996-06-05	VYDAJ	PREVOD NA UCET	1871	25457	 	IJ	14173150
753084	2569	1996-07-05	VYDAJ	PREVOD NA UCET	1871	19769	 	IJ	14173150
753085	2569	1996-08-05	VYDAJ	PREVOD NA UCET	1871	18885	 	IJ	14173150
753086	2569	1996-09-05	VYDAJ	PREVOD NA UCET	1871	21807	 	IJ	14173150
753087	2569	1996-10-05	VYDAJ	PREVOD NA UCET	1871	23941	 	IJ	14173150
753088	2569	1996-11-05	VYDAJ	PREVOD NA UCET	1871	28485	 	IJ	14173150
753089	2569	1996-12-05	VYDAJ	PREVOD NA UCET	1871	28745	 	IJ	14173150
753090	2569	1997-01-05	VYDAJ	PREVOD NA UCET	1871	27554	 	IJ	14173150
753091	2569	1997-02-05	VYDAJ	PREVOD NA UCET	1871	20457	 	IJ	14173150
753092	2569	1997-03-05	VYDAJ	PREVOD NA UCET	1871	23386	 	IJ	14173150
753093	2569	1997-04-05	VYDAJ	PREVOD NA UCET	1871	26526	 	IJ	14173150
753094	2569	1997-05-05	VYDAJ	PREVOD NA UCET	1871	29717	 	IJ	14173150
753095	2569	1997-06-05	VYDAJ	PREVOD NA UCET	1871	20483	 	IJ	14173150
753096	2569	1997-07-05	VYDAJ	PREVOD NA UCET	1871	23799	 	IJ	14173150
753097	2569	1997-08-05	VYDAJ	PREVOD NA UCET	1871	27041	 	IJ	14173150
753098	2569	1997-09-05	VYDAJ	PREVOD NA UCET	1871	25490	 	IJ	14173150
753099	2569	1997-10-05	VYDAJ	PREVOD NA UCET	1871	24329	 	IJ	14173150
753100	2569	1997-11-05	VYDAJ	PREVOD NA UCET	1871	24968	 	IJ	14173150
753101	2569	1997-12-05	VYDAJ	PREVOD NA UCET	1871	25210	 	IJ	14173150
753102	2569	1998-01-05	VYDAJ	PREVOD NA UCET	1871	28455	 	IJ	14173150
753103	2569	1998-02-05	VYDAJ	PREVOD NA UCET	1871	15383	 	IJ	14173150
753104	2569	1998-03-05	VYDAJ	PREVOD NA UCET	1871	19890	 	IJ	14173150
753105	2569	1998-04-05	VYDAJ	PREVOD NA UCET	1871	17248	 	IJ	14173150
753106	2569	1998-05-05	VYDAJ	PREVOD NA UCET	1871	18557	 	IJ	14173150
753107	2569	1998-06-05	VYDAJ	PREVOD NA UCET	1871	20373	 	IJ	14173150
753108	2569	1998-07-05	VYDAJ	PREVOD NA UCET	1871	14948	 	IJ	14173150
753109	2569	1998-08-05	VYDAJ	PREVOD NA UCET	1871	16248	 	IJ	14173150
753110	2569	1998-09-05	VYDAJ	PREVOD NA UCET	1871	16350	 	IJ	14173150
753111	2569	1998-10-05	VYDAJ	PREVOD NA UCET	1871	16051	 	IJ	14173150
753112	2569	1998-11-05	VYDAJ	PREVOD NA UCET	1871	20561	 	IJ	14173150
753113	2569	1998-12-05	VYDAJ	PREVOD NA UCET	1871	16174	 	IJ	14173150
753115	2569	1995-06-01	VYDAJ	VYBER	11150	20847	\N	\N	\N
753116	2569	1996-06-10	VYDAJ	VYBER	2900	28866	\N	\N	\N
753117	2569	1997-06-01	VYDAJ	VYBER	11900	22354	\N	\N	\N
753120	2569	1995-01-25	VYDAJ	VYBER	4050	19680	\N	\N	\N
753121	2569	1996-01-18	VYDAJ	VYBER	1350	27854	\N	\N	\N
753122	2569	1997-01-22	VYDAJ	VYBER	1150	22233	\N	\N	\N
753123	2569	1998-01-27	VYDAJ	VYBER	4350	19074	\N	\N	\N
753124	2569	1994-12-06	VYDAJ	VYBER	850	28109	\N	\N	\N
753125	2569	1995-12-27	VYDAJ	VYBER	500	32648	\N	\N	\N
753126	2569	1996-12-06	VYDAJ	VYBER	250	28032	\N	\N	\N
753127	2569	1997-12-11	VYDAJ	VYBER	1300	30219	\N	\N	\N
753135	2569	1995-01-05	VYDAJ	VYBER	2080	25032	\N	\N	\N
753136	2569	1995-01-14	VYDAJ	VYBER	1520	25170	\N	\N	\N
753137	2569	1995-01-21	VYDAJ	VYBER	1440	23730	\N	\N	\N
753138	2569	1995-01-07	VYDAJ	VYBER	1680	19918	\N	\N	\N
753139	2569	1995-01-27	VYDAJ	VYBER	720	18960	\N	\N	\N
753140	2569	1995-01-02	VYDAJ	VYBER	1600	27112	\N	\N	\N
753141	2569	1996-01-16	VYDAJ	VYBER	880	29204	\N	\N	\N
753142	2569	1996-01-10	VYDAJ	VYBER	1680	30084	\N	\N	\N
753143	2569	1996-01-01	VYDAJ	VYBER	1280	27886	\N	\N	\N
753144	2569	1996-01-20	VYDAJ	VYBER	480	25614	\N	\N	\N
753145	2569	1996-01-09	VYDAJ	VYBER	560	31764	\N	\N	\N
753146	2569	1996-01-20	VYDAJ	VYBER	1760	26094	\N	\N	\N
753147	2569	1997-01-20	VYDAJ	VYBER	1200	26343	\N	\N	\N
753148	2569	1997-01-06	VYDAJ	VYBER	560	26531	\N	\N	\N
753149	2569	1997-01-07	VYDAJ	VYBER	2160	24371	\N	\N	\N
753150	2569	1997-01-20	VYDAJ	VYBER	1440	23383	\N	\N	\N
753151	2569	1997-01-10	VYDAJ	VYBER	1200	29943	\N	\N	\N
753152	2569	1997-01-20	VYDAJ	VYBER	1520	24823	\N	\N	\N
753153	2569	1998-01-10	VYDAJ	VYBER	560	33084	\N	\N	\N
753154	2569	1998-01-30	VYDAJ	VYBER	1920	17154	\N	\N	\N
753155	2569	1998-01-17	VYDAJ	VYBER	1920	31164	\N	\N	\N
753156	2569	1998-01-20	VYDAJ	VYBER	1360	29804	\N	\N	\N
753157	2569	1998-01-22	VYDAJ	VYBER	1280	23424	\N	\N	\N
753158	2569	1998-01-08	VYDAJ	VYBER	1120	33644	\N	\N	\N
753164	2569	1995-07-18	VYDAJ	VYBER	880	26131	\N	\N	\N
753165	2569	1995-02-10	VYDAJ	VYBER	2960	20023	\N	\N	\N
753166	2569	1995-06-22	VYDAJ	VYBER	2800	22485	\N	\N	\N
753167	2569	1995-01-01	VYDAJ	VYBER	2720	28712	\N	\N	\N
753168	2569	1996-03-02	VYDAJ	VYBER	560	23805	\N	\N	\N
753169	2569	1996-02-20	VYDAJ	VYBER	2880	24973	\N	\N	\N
753170	2569	1996-06-13	VYDAJ	VYBER	2160	25346	\N	\N	\N
753171	2569	1996-06-12	VYDAJ	VYBER	1360	27506	\N	\N	\N
753172	2569	1996-07-11	VYDAJ	VYBER	3600	22478	\N	\N	\N
753173	2569	1997-02-28	VYDAJ	VYBER	1600	25257	\N	\N	\N
753174	2569	1997-09-14	VYDAJ	VYBER	1040	28199	\N	\N	\N
753175	2569	1997-09-08	VYDAJ	VYBER	2560	29239	\N	\N	\N
753176	2569	1997-04-13	VYDAJ	VYBER	1360	31475	\N	\N	\N
753177	2569	1997-07-01	VYDAJ	VYBER	1120	25670	\N	\N	\N
753178	2569	1997-01-17	VYDAJ	VYBER	2400	27543	\N	\N	\N
753179	2569	1998-06-30	VYDAJ	VYBER	1920	16833	\N	\N	\N
753180	2569	1998-06-20	VYDAJ	VYBER	2320	18662	\N	\N	\N
753181	2569	1998-03-15	VYDAJ	VYBER	1760	24439	\N	\N	\N
753183	2569	1998-04-17	VYDAJ	VYBER	3200	20357	\N	\N	\N
753184	2569	1998-03-29	VYDAJ	VYBER	3600	19039	\N	\N	\N
753185	2569	1998-11-25	VYDAJ	VYBER	2800	17970	\N	\N	\N
753197	2569	1994-11-30	VYDAJ	VYBER	15	30830	SLUZBY	\N	\N
753198	2569	1994-12-31	VYDAJ	VYBER	15	31432	SLUZBY	\N	\N
753199	2569	1995-01-31	VYDAJ	VYBER	15	19045	SLUZBY	\N	\N
753200	2569	1995-02-28	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
753201	2569	1995-03-31	VYDAJ	VYBER	15	24311	SLUZBY	\N	\N
753202	2569	1995-04-30	VYDAJ	VYBER	15	27645	SLUZBY	\N	\N
753203	2569	1995-05-31	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
753204	2569	1995-06-30	VYDAJ	VYBER	15	22573	SLUZBY	\N	\N
753205	2569	1995-07-31	VYDAJ	VYBER	15	26222	SLUZBY	\N	\N
753206	2569	1995-08-31	VYDAJ	VYBER	15	30769	SLUZBY	\N	\N
753207	2569	1995-09-30	VYDAJ	VYBER	15	32624	SLUZBY	\N	\N
753208	2569	1995-10-31	VYDAJ	VYBER	15	28866	SLUZBY	\N	\N
753209	2569	1995-11-30	VYDAJ	VYBER	15	29710	SLUZBY	\N	\N
753210	2569	1995-12-31	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
753211	2569	1996-01-31	VYDAJ	VYBER	15	23415	SLUZBY	\N	\N
753212	2569	1996-02-29	VYDAJ	VYBER	15	25065	SLUZBY	\N	\N
753213	2569	1996-03-31	VYDAJ	VYBER	15	25240	SLUZBY	\N	\N
753214	2569	1996-04-30	VYDAJ	VYBER	15	29782	SLUZBY	\N	\N
753215	2569	1996-05-31	VYDAJ	VYBER	15	27328	SLUZBY	\N	\N
753216	2569	1996-06-30	VYDAJ	VYBER	15	21640	SLUZBY	\N	\N
753217	2569	1996-07-31	VYDAJ	VYBER	15	20756	SLUZBY	\N	\N
753218	2569	1996-08-31	VYDAJ	VYBER	15	23678	SLUZBY	\N	\N
753219	2569	1996-09-30	VYDAJ	VYBER	15	25812	SLUZBY	\N	\N
753220	2569	1996-10-31	VYDAJ	VYBER	15	30356	SLUZBY	\N	\N
753221	2569	1996-11-30	VYDAJ	VYBER	15	30616	SLUZBY	\N	\N
753222	2569	1996-12-31	VYDAJ	VYBER	15	29425	SLUZBY	\N	\N
753223	2569	1997-01-31	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
753224	2569	1997-02-28	VYDAJ	VYBER	15	26857	SLUZBY	\N	\N
753225	2569	1997-03-31	VYDAJ	VYBER	15	28397	SLUZBY	\N	\N
753226	2569	1997-04-30	VYDAJ	VYBER	15	31588	SLUZBY	\N	\N
753227	2569	1997-05-31	VYDAJ	VYBER	15	34254	SLUZBY	\N	\N
753228	2569	1997-06-30	VYDAJ	VYBER	15	26790	SLUZBY	\N	\N
753229	2569	1997-07-31	VYDAJ	VYBER	15	28912	SLUZBY	\N	\N
753230	2569	1997-08-31	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
753231	2569	1997-09-30	VYDAJ	VYBER	15	26200	SLUZBY	\N	\N
753232	2569	1997-10-31	VYDAJ	VYBER	15	26839	SLUZBY	\N	\N
753233	2569	1997-11-30	VYDAJ	VYBER	15	27081	SLUZBY	\N	\N
753234	2569	1997-12-31	VYDAJ	VYBER	15	30326	SLUZBY	\N	\N
753235	2569	1998-01-31	VYDAJ	VYBER	15	17254	SLUZBY	\N	\N
753236	2569	1998-02-28	VYDAJ	VYBER	15	21761	SLUZBY	\N	\N
753237	2569	1998-03-31	VYDAJ	VYBER	15	19119	SLUZBY	\N	\N
753238	2569	1998-04-30	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
753239	2569	1998-05-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
753240	2569	1998-06-30	VYDAJ	VYBER	15	16819	SLUZBY	\N	\N
753241	2569	1998-07-31	VYDAJ	VYBER	15	18119	SLUZBY	\N	\N
753242	2569	1998-08-31	VYDAJ	VYBER	15	18221	SLUZBY	\N	\N
753243	2569	1998-09-30	VYDAJ	VYBER	15	17922	SLUZBY	\N	\N
753244	2569	1998-10-31	VYDAJ	VYBER	15	22432	SLUZBY	\N	\N
753245	2569	1998-11-30	VYDAJ	VYBER	15	18045	SLUZBY	\N	\N
753246	2569	1994-09-08	VYDAJ	VYBER	1000	20316	\N	\N	\N
753247	2569	1994-10-08	VYDAJ	VYBER	2800	24353	\N	\N	\N
753248	2569	1994-11-07	VYDAJ	VYBER	500	23951	\N	\N	\N
753249	2569	1994-12-07	VYDAJ	VYBER	3100	24546	\N	\N	\N
753250	2569	1995-01-06	VYDAJ	VYBER	1100	21598	\N	\N	\N
753251	2569	1995-02-05	VYDAJ	VYBER	500	18545	\N	\N	\N
753252	2569	1995-03-07	VYDAJ	VYBER	300	17457	\N	\N	\N
753253	2569	1995-04-06	VYDAJ	VYBER	1200	20777	\N	\N	\N
753254	2569	1995-05-06	VYDAJ	VYBER	200	25574	\N	\N	\N
753255	2569	1995-09-03	VYDAJ	VYBER	2700	28069	\N	\N	\N
753256	2569	1995-10-03	VYDAJ	VYBER	8300	24324	\N	\N	\N
753257	2569	1995-11-02	VYDAJ	VYBER	3700	25166	\N	\N	\N
753258	2569	1995-12-02	VYDAJ	VYBER	1000	28710	\N	\N	\N
753259	2569	1996-01-01	VYDAJ	VYBER	3600	29166	\N	\N	\N
753260	2569	1996-01-31	VYDAJ	VYBER	2300	23430	\N	\N	\N
753261	2569	1996-03-01	VYDAJ	VYBER	700	24365	\N	\N	\N
753262	2569	1996-03-31	VYDAJ	VYBER	3100	25255	\N	\N	\N
753263	2569	1996-04-30	VYDAJ	VYBER	4100	25682	\N	\N	\N
753264	2569	1996-05-30	VYDAJ	VYBER	2900	27220	\N	\N	\N
753265	2569	1996-06-29	VYDAJ	VYBER	3800	21546	\N	\N	\N
753266	2569	1996-07-29	VYDAJ	VYBER	1800	20678	\N	\N	\N
753267	2569	1996-08-28	VYDAJ	VYBER	1600	23594	\N	\N	\N
753268	2569	1996-09-27	VYDAJ	VYBER	2400	25716	\N	\N	\N
753269	2569	1996-11-26	VYDAJ	VYBER	4300	30494	\N	\N	\N
753270	2569	1996-12-26	VYDAJ	VYBER	5500	29304	\N	\N	\N
753271	2569	1997-03-26	VYDAJ	VYBER	1400	28295	\N	\N	\N
753272	2569	1997-05-25	VYDAJ	VYBER	1900	34126	\N	\N	\N
753273	2569	1997-06-24	VYDAJ	VYBER	100	26692	\N	\N	\N
753274	2569	1997-07-24	VYDAJ	VYBER	1300	28808	\N	\N	\N
753275	2569	1997-08-23	VYDAJ	VYBER	6100	27250	\N	\N	\N
753276	2569	1997-09-22	VYDAJ	VYBER	2100	26099	\N	\N	\N
753277	2569	1997-10-22	VYDAJ	VYBER	3900	26738	\N	\N	\N
753278	2569	1997-11-21	VYDAJ	VYBER	4300	26977	\N	\N	\N
753279	2569	1998-01-20	VYDAJ	VYBER	5100	24704	\N	\N	\N
753280	2569	1998-03-21	VYDAJ	VYBER	1800	22639	\N	\N	\N
753281	2569	1998-05-20	VYDAJ	VYBER	2700	22166	\N	\N	\N
753282	2569	1998-06-19	VYDAJ	VYBER	5700	20982	\N	\N	\N
753283	2569	1998-07-19	VYDAJ	VYBER	3200	18057	\N	\N	\N
753284	2569	1998-08-18	VYDAJ	VYBER	4400	18157	\N	\N	\N
753285	2569	1998-09-17	VYDAJ	VYBER	4800	17859	\N	\N	\N
753286	2569	1998-11-16	VYDAJ	VYBER	6100	20770	\N	\N	\N
753339	2570	1995-12-19	PRIJEM	VKLAD	400	400	\N	\N	\N
753352	2570	1996-01-12	PRIJEM	PREVOD Z UCTU	3077	3477	\N	CD	99321990
753353	2570	1996-02-12	PRIJEM	PREVOD Z UCTU	3077	6554	\N	CD	99321990
753354	2570	1996-03-12	PRIJEM	PREVOD Z UCTU	3077	9631	\N	CD	99321990
753355	2570	1996-04-12	PRIJEM	PREVOD Z UCTU	3077	12708	\N	CD	99321990
753356	2570	1996-05-12	PRIJEM	PREVOD Z UCTU	3077	15785	\N	CD	99321990
753357	2570	1996-06-12	PRIJEM	PREVOD Z UCTU	3077	16799	\N	CD	99321990
753358	2570	1996-07-12	PRIJEM	PREVOD Z UCTU	3077	17678	\N	CD	99321990
753359	2570	1996-08-12	PRIJEM	PREVOD Z UCTU	3077	13974	\N	CD	99321990
753360	2570	1996-09-12	PRIJEM	PREVOD Z UCTU	3077	15042	\N	CD	99321990
753361	2570	1996-10-12	PRIJEM	PREVOD Z UCTU	3077	15513	\N	CD	99321990
753362	2570	1996-11-12	PRIJEM	PREVOD Z UCTU	3077	16407	\N	CD	99321990
753363	2570	1996-12-12	PRIJEM	PREVOD Z UCTU	3077	16495	\N	CD	99321990
753364	2570	1997-01-12	PRIJEM	PREVOD Z UCTU	3077	15833	\N	CD	99321990
753365	2570	1997-02-12	PRIJEM	PREVOD Z UCTU	3077	16457	\N	CD	99321990
753366	2570	1997-03-12	PRIJEM	PREVOD Z UCTU	3077	17535	\N	CD	99321990
753367	2570	1997-04-12	PRIJEM	PREVOD Z UCTU	3077	18618	\N	CD	99321990
753368	2570	1997-05-12	PRIJEM	PREVOD Z UCTU	3077	19706	\N	CD	99321990
753369	2570	1997-06-12	PRIJEM	PREVOD Z UCTU	3077	19566	\N	CD	99321990
753370	2570	1997-07-12	PRIJEM	PREVOD Z UCTU	3077	16753	\N	CD	99321990
753371	2570	1997-08-12	PRIJEM	PREVOD Z UCTU	3077	17623	\N	CD	99321990
753372	2570	1997-09-12	PRIJEM	PREVOD Z UCTU	3077	18136	\N	CD	99321990
753373	2570	1997-10-12	PRIJEM	PREVOD Z UCTU	3077	19221	\N	CD	99321990
753374	2570	1997-11-12	PRIJEM	PREVOD Z UCTU	3077	19021	\N	CD	99321990
753375	2570	1997-12-12	PRIJEM	PREVOD Z UCTU	3077	20110	\N	CD	99321990
753376	2570	1998-01-12	PRIJEM	PREVOD Z UCTU	3077	18113	\N	CD	99321990
753377	2570	1998-02-12	PRIJEM	PREVOD Z UCTU	3077	17124	\N	CD	99321990
753378	2570	1998-03-12	PRIJEM	PREVOD Z UCTU	3077	18205	\N	CD	99321990
753379	2570	1998-04-12	PRIJEM	PREVOD Z UCTU	3077	18060	\N	CD	99321990
753380	2570	1998-05-12	PRIJEM	PREVOD Z UCTU	3077	17700	\N	CD	99321990
753381	2570	1998-06-12	PRIJEM	PREVOD Z UCTU	3077	17104	\N	CD	99321990
753382	2570	1998-07-12	PRIJEM	PREVOD Z UCTU	3077	18187	\N	CD	99321990
753383	2570	1998-08-12	PRIJEM	PREVOD Z UCTU	3077	17802	\N	CD	99321990
753384	2570	1998-09-12	PRIJEM	PREVOD Z UCTU	3077	17836	\N	CD	99321990
753385	2570	1998-10-12	PRIJEM	PREVOD Z UCTU	3077	17898	\N	CD	99321990
753386	2570	1998-11-12	PRIJEM	PREVOD Z UCTU	3077	18982	\N	CD	99321990
753387	2570	1998-12-12	PRIJEM	PREVOD Z UCTU	3077	18660	\N	CD	99321990
753405	2570	1996-06-05	VYDAJ	PREVOD NA UCET	2051	13722	\N	KL	48350596
753406	2570	1996-07-05	VYDAJ	PREVOD NA UCET	2051	14601	\N	KL	48350596
753407	2570	1996-08-05	VYDAJ	PREVOD NA UCET	2051	10897	\N	KL	48350596
753408	2570	1996-09-05	VYDAJ	PREVOD NA UCET	2051	11965	\N	KL	48350596
753409	2570	1996-10-05	VYDAJ	PREVOD NA UCET	2051	12436	\N	KL	48350596
753410	2570	1996-11-05	VYDAJ	PREVOD NA UCET	2051	13330	\N	KL	48350596
753411	2570	1996-12-05	VYDAJ	PREVOD NA UCET	2051	13688	\N	KL	48350596
753412	2570	1997-01-05	VYDAJ	PREVOD NA UCET	2051	13896	\N	KL	48350596
753413	2570	1997-02-05	VYDAJ	PREVOD NA UCET	2051	13380	\N	KL	48350596
753414	2570	1997-03-05	VYDAJ	PREVOD NA UCET	2051	14458	\N	KL	48350596
753415	2570	1997-04-05	VYDAJ	PREVOD NA UCET	2051	15541	\N	KL	48350596
753416	2570	1997-05-05	VYDAJ	PREVOD NA UCET	2051	16629	\N	KL	48350596
753417	2570	1997-06-05	VYDAJ	PREVOD NA UCET	2051	16489	\N	KL	48350596
753418	2570	1997-07-05	VYDAJ	PREVOD NA UCET	2051	13676	\N	KL	48350596
753419	2570	1997-08-05	VYDAJ	PREVOD NA UCET	2051	14546	\N	KL	48350596
753420	2570	1997-09-05	VYDAJ	PREVOD NA UCET	2051	15059	\N	KL	48350596
753421	2570	1997-10-05	VYDAJ	PREVOD NA UCET	2051	16144	\N	KL	48350596
753422	2570	1997-11-05	VYDAJ	PREVOD NA UCET	2051	17234	\N	KL	48350596
753423	2570	1997-12-05	VYDAJ	PREVOD NA UCET	2051	17033	\N	KL	48350596
753424	2570	1998-01-05	VYDAJ	PREVOD NA UCET	2051	15036	\N	KL	48350596
753425	2570	1998-02-05	VYDAJ	PREVOD NA UCET	2051	14047	\N	KL	48350596
753426	2570	1998-03-05	VYDAJ	PREVOD NA UCET	2051	15128	\N	KL	48350596
753427	2570	1998-04-05	VYDAJ	PREVOD NA UCET	2051	15823	\N	KL	48350596
753428	2570	1998-05-05	VYDAJ	PREVOD NA UCET	2051	14623	\N	KL	48350596
753429	2570	1998-06-05	VYDAJ	PREVOD NA UCET	2051	15707	\N	KL	48350596
753430	2570	1998-07-05	VYDAJ	PREVOD NA UCET	2051	15110	\N	KL	48350596
753431	2570	1998-08-05	VYDAJ	PREVOD NA UCET	2051	16195	\N	KL	48350596
753432	2570	1998-09-05	VYDAJ	PREVOD NA UCET	2051	15809	\N	KL	48350596
753433	2570	1998-10-05	VYDAJ	PREVOD NA UCET	2051	14821	\N	KL	48350596
753434	2570	1998-11-05	VYDAJ	PREVOD NA UCET	2051	15905	\N	KL	48350596
753435	2570	1998-12-05	VYDAJ	PREVOD NA UCET	2051	16993	\N	KL	48350596
753438	2570	1997-06-24	VYDAJ	VYBER	3900	15666	\N	\N	\N
753439	2570	1998-06-11	VYDAJ	VYBER	1680	14027	\N	\N	\N
753443	2570	1998-01-04	VYDAJ	VYBER	2790	17087	\N	\N	\N
753445	2570	1996-12-05	VYDAJ	VYBER	270	13418	\N	\N	\N
753446	2570	1997-12-20	VYDAJ	VYBER	300	19810	\N	\N	\N
753447	2570	1998-12-29	VYDAJ	VYBER	450	18210	\N	\N	\N
753460	2570	1997-01-06	VYDAJ	VYBER	390	13086	\N	\N	\N
753461	2570	1997-01-25	VYDAJ	VYBER	150	15383	\N	\N	\N
753462	2570	1997-01-07	VYDAJ	VYBER	330	12756	\N	\N	\N
753463	2570	1997-01-04	VYDAJ	VYBER	600	15947	\N	\N	\N
753464	2570	1997-01-05	VYDAJ	VYBER	420	13476	\N	\N	\N
753465	2570	1997-01-12	VYDAJ	VYBER	300	15533	\N	\N	\N
753466	2570	1998-01-14	VYDAJ	VYBER	600	17363	\N	\N	\N
753467	2570	1998-01-15	VYDAJ	VYBER	480	16883	\N	\N	\N
753468	2570	1998-01-13	VYDAJ	VYBER	150	17963	\N	\N	\N
753469	2570	1998-01-24	VYDAJ	VYBER	510	16373	\N	\N	\N
753470	2570	1998-01-25	VYDAJ	VYBER	150	16223	\N	\N	\N
753471	2570	1998-01-27	VYDAJ	VYBER	180	16043	\N	\N	\N
753480	2570	1996-09-14	VYDAJ	VYBER	600	14442	\N	\N	\N
753481	2570	1996-07-31	VYDAJ	VYBER	240	12948	\N	\N	\N
753483	2570	1996-07-25	VYDAJ	VYBER	780	13138	\N	\N	\N
753484	2570	1996-12-03	VYDAJ	VYBER	720	15739	\N	\N	\N
753485	2570	1996-07-21	VYDAJ	VYBER	1260	13918	\N	\N	\N
753486	2570	1996-10-19	VYDAJ	VYBER	180	15333	\N	\N	\N
753487	2570	1997-11-09	VYDAJ	VYBER	1290	15944	\N	\N	\N
753488	2570	1997-08-24	VYDAJ	VYBER	570	17053	\N	\N	\N
753489	2570	1997-07-31	VYDAJ	VYBER	210	16612	\N	\N	\N
753490	2570	1997-05-21	VYDAJ	VYBER	1230	18476	\N	\N	\N
753491	2570	1998-04-07	VYDAJ	VYBER	840	14983	\N	\N	\N
753492	2570	1998-03-14	VYDAJ	VYBER	390	17815	\N	\N	\N
753493	2570	1998-08-08	VYDAJ	VYBER	1470	14725	\N	\N	\N
753494	2570	1998-12-07	VYDAJ	VYBER	1410	15583	\N	\N	\N
753495	2570	1998-09-07	VYDAJ	VYBER	1050	14759	\N	\N	\N
753496	2570	1998-04-15	VYDAJ	VYBER	1440	16620	\N	\N	\N
753497	2570	1998-09-22	VYDAJ	VYBER	1020	16816	\N	\N	\N
753515	2570	1996-05-31	VYDAJ	VYBER	15	15773	SLUZBY	\N	\N
753516	2570	1996-06-30	VYDAJ	VYBER	15	16652	SLUZBY	\N	\N
753517	2570	1996-07-31	VYDAJ	VYBER	15	13188	SLUZBY	\N	\N
753518	2570	1996-08-31	VYDAJ	VYBER	15	14016	SLUZBY	\N	\N
753519	2570	1996-09-30	VYDAJ	VYBER	15	14487	SLUZBY	\N	\N
753520	2570	1996-10-31	VYDAJ	VYBER	15	15381	SLUZBY	\N	\N
753521	2570	1996-11-30	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
753522	2570	1996-12-31	VYDAJ	VYBER	15	16547	SLUZBY	\N	\N
753523	2570	1997-01-31	VYDAJ	VYBER	15	15431	SLUZBY	\N	\N
753524	2570	1997-02-28	VYDAJ	VYBER	15	16509	SLUZBY	\N	\N
753525	2570	1997-03-31	VYDAJ	VYBER	15	17592	SLUZBY	\N	\N
753526	2570	1997-04-30	VYDAJ	VYBER	15	18680	SLUZBY	\N	\N
753527	2570	1997-05-31	VYDAJ	VYBER	15	18540	SLUZBY	\N	\N
753528	2570	1997-06-30	VYDAJ	VYBER	15	15727	SLUZBY	\N	\N
753529	2570	1997-07-31	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
753530	2570	1997-08-31	VYDAJ	VYBER	15	17110	SLUZBY	\N	\N
753531	2570	1997-09-30	VYDAJ	VYBER	15	18195	SLUZBY	\N	\N
753532	2570	1997-10-31	VYDAJ	VYBER	15	19285	SLUZBY	\N	\N
753533	2570	1997-11-30	VYDAJ	VYBER	15	19084	SLUZBY	\N	\N
753534	2570	1997-12-31	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
753535	2570	1998-01-31	VYDAJ	VYBER	15	16098	SLUZBY	\N	\N
753536	2570	1998-02-28	VYDAJ	VYBER	15	17179	SLUZBY	\N	\N
753537	2570	1998-03-31	VYDAJ	VYBER	15	17874	SLUZBY	\N	\N
753538	2570	1998-04-30	VYDAJ	VYBER	15	16674	SLUZBY	\N	\N
753539	2570	1998-05-31	VYDAJ	VYBER	15	17758	SLUZBY	\N	\N
753540	2570	1998-06-30	VYDAJ	VYBER	15	17161	SLUZBY	\N	\N
753541	2570	1998-07-31	VYDAJ	VYBER	15	18246	SLUZBY	\N	\N
753542	2570	1998-08-31	VYDAJ	VYBER	15	17860	SLUZBY	\N	\N
753543	2570	1998-09-30	VYDAJ	VYBER	15	16872	SLUZBY	\N	\N
753544	2570	1998-10-31	VYDAJ	VYBER	15	17956	SLUZBY	\N	\N
753545	2570	1998-11-30	VYDAJ	VYBER	15	19044	SLUZBY	\N	\N
753546	2570	1996-06-16	VYDAJ	VYBER	200	16599	\N	\N	\N
753547	2570	1996-07-16	VYDAJ	VYBER	2500	15178	\N	\N	\N
753580	2571	1997-01-15	PRIJEM	VKLAD	700	700	\N	\N	\N
753582	2571	1997-02-10	PRIJEM	PREVOD Z UCTU	46999	47699	\N	AB	78449141
753583	2571	1997-03-10	PRIJEM	PREVOD Z UCTU	46999	86586	\N	AB	78449141
753584	2571	1997-04-10	PRIJEM	PREVOD Z UCTU	46999	102384	\N	AB	78449141
753585	2571	1997-05-10	PRIJEM	PREVOD Z UCTU	46999	115542	\N	AB	78449141
753586	2571	1997-06-10	PRIJEM	PREVOD Z UCTU	70498	132927	\N	AB	78449141
753587	2571	1997-07-10	PRIJEM	PREVOD Z UCTU	46999	62199	\N	AB	78449141
753588	2571	1997-08-10	PRIJEM	PREVOD Z UCTU	46999	89068	\N	AB	78449141
753589	2571	1997-09-10	PRIJEM	PREVOD Z UCTU	46999	101951	\N	AB	78449141
753590	2571	1997-10-10	PRIJEM	PREVOD Z UCTU	46999	98374	\N	AB	78449141
753591	2571	1997-11-10	PRIJEM	PREVOD Z UCTU	46999	83110	\N	AB	78449141
753592	2571	1997-12-10	PRIJEM	PREVOD Z UCTU	70498	135623	\N	AB	78449141
753593	2571	1998-01-10	PRIJEM	PREVOD Z UCTU	46999	116295	\N	AB	78449141
753594	2571	1998-02-10	PRIJEM	PREVOD Z UCTU	46999	76683	\N	AB	78449141
753595	2571	1998-03-10	PRIJEM	PREVOD Z UCTU	46999	123904	\N	AB	78449141
753596	2571	1998-04-10	PRIJEM	PREVOD Z UCTU	46999	109574	\N	AB	78449141
753597	2571	1998-05-10	PRIJEM	PREVOD Z UCTU	46999	93640	\N	AB	78449141
753598	2571	1998-06-10	PRIJEM	PREVOD Z UCTU	70498	126678	\N	AB	78449141
753599	2571	1998-07-10	PRIJEM	PREVOD Z UCTU	46999	101133	\N	AB	78449141
753600	2571	1998-08-10	PRIJEM	PREVOD Z UCTU	46999	117190	\N	AB	78449141
753601	2571	1998-09-10	PRIJEM	PREVOD Z UCTU	46999	101883	\N	AB	78449141
753602	2571	1998-10-10	PRIJEM	PREVOD Z UCTU	46999	110544	\N	AB	78449141
753603	2571	1998-11-10	PRIJEM	PREVOD Z UCTU	46999	97399	\N	AB	78449141
753604	2571	1998-12-10	PRIJEM	PREVOD Z UCTU	70498	134736	\N	AB	78449141
753606	2571	1997-09-04	VYBER	VYBER	5814	54952	\N	\N	\N
753608	2571	1997-08-12	VYBER	VYBER	9315	79753	\N	\N	\N
753609	2571	1997-06-10	VYBER	VYBER	18161	114766	\N	\N	\N
753615	2571	1997-07-05	VYBER	VYBER	10609	15200	\N	\N	\N
753616	2571	1997-10-13	VYBER	VYBER	18053	50321	\N	\N	\N
753617	2571	1997-07-17	VYBER	VYBER	8085	41914	\N	\N	\N
753618	2571	1997-06-18	VYBER	VYBER	19159	33107	\N	\N	\N
753620	2571	1998-06-17	VYDAJ	VYBER	10200	60878	\N	\N	\N
753622	2571	1998-01-21	VYDAJ	VYBER	13200	20795	\N	\N	\N
753623	2571	1997-12-14	VYDAJ	VYBER	2700	69023	\N	\N	\N
753624	2571	1998-12-07	VYDAJ	VYBER	7800	64238	\N	\N	\N
753631	2571	1998-01-14	VYDAJ	VYBER KARTOU	3000	45095	\N	\N	0
753632	2571	1998-01-13	VYDAJ	VYBER	6600	55295	\N	\N	\N
753633	2571	1998-01-29	VYDAJ	VYBER	6000	14795	\N	\N	\N
753634	2571	1998-01-18	VYDAJ	VYBER	5100	39995	\N	\N	\N
753635	2571	1998-01-18	VYDAJ	VYBER	6000	33995	\N	\N	\N
753636	2571	1998-01-13	VYDAJ	VYBER	7200	48095	\N	\N	\N
753637	2571	1997-10-27	VYDAJ	VYBER	14400	35921	\N	\N	\N
753638	2571	1997-12-10	VYDAJ	VYBER	4200	92723	\N	\N	\N
753640	2571	1997-06-18	VYDAJ	VYBER	7500	25607	\N	\N	\N
753641	2571	1998-10-04	VYDAJ	VYBER KARTOU	2700	99545	\N	\N	0
753642	2571	1998-10-06	VYDAJ	VYBER	13200	86345	\N	\N	\N
753649	2571	1997-06-30	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
753650	2571	1997-07-31	VYDAJ	VYBER	15	42069	SLUZBY	\N	\N
753651	2571	1997-08-31	VYDAJ	VYBER	15	60766	SLUZBY	\N	\N
753652	2571	1997-09-30	VYDAJ	VYBER	15	51375	SLUZBY	\N	\N
753653	2571	1997-10-31	VYDAJ	VYBER	15	36111	SLUZBY	\N	\N
753654	2571	1997-11-30	VYDAJ	VYBER	15	65125	SLUZBY	\N	\N
753655	2571	1997-12-31	VYDAJ	VYBER	15	69296	SLUZBY	\N	\N
753656	2571	1998-01-31	VYDAJ	VYBER	15	14984	SLUZBY	\N	\N
753657	2571	1998-02-28	VYDAJ	VYBER	15	76905	SLUZBY	\N	\N
753658	2571	1998-03-31	VYDAJ	VYBER	15	62575	SLUZBY	\N	\N
753659	2571	1998-04-30	VYDAJ	VYBER	15	46641	SLUZBY	\N	\N
753660	2571	1998-05-31	VYDAJ	VYBER	15	67380	SLUZBY	\N	\N
753661	2571	1998-06-30	VYDAJ	VYBER	15	61134	SLUZBY	\N	\N
753662	2571	1998-07-31	VYDAJ	VYBER	15	101491	SLUZBY	\N	\N
753663	2571	1998-08-31	VYDAJ	VYBER	15	63584	SLUZBY	\N	\N
753664	2571	1998-09-30	VYDAJ	VYBER	15	102245	SLUZBY	\N	\N
753665	2571	1998-10-31	VYDAJ	VYBER	15	55800	SLUZBY	\N	\N
753666	2571	1998-11-30	VYDAJ	VYBER	15	97738	SLUZBY	\N	\N
753667	2571	1997-02-14	VYDAJ	VYBER	8200	39499	\N	\N	\N
753668	2571	1997-03-16	VYDAJ	VYBER	31400	55186	\N	\N	\N
753669	2571	1997-04-15	VYDAJ	VYBER	34100	68284	\N	\N	\N
753670	2571	1997-05-10	VYDAJ	VYBER	22200	93342	\N	\N	\N
753671	2571	1997-05-15	VYDAJ	VYBER	31200	62142	\N	\N	\N
753672	2571	1997-06-10	VYDAJ	VYBER	44900	69866	\N	\N	\N
753673	2571	1997-06-14	VYDAJ	VYBER	17600	52266	\N	\N	\N
753674	2571	1997-07-14	VYDAJ	VYBER	12200	49999	\N	\N	\N
753675	2571	1997-08-13	VYDAJ	VYBER	19200	60553	\N	\N	\N
753676	2571	1997-09-10	VYDAJ	VYBER	34200	67751	\N	\N	\N
753677	2571	1997-09-12	VYDAJ	VYBER	16600	51151	\N	\N	\N
753678	2571	1997-10-12	VYDAJ	VYBER	30000	68374	\N	\N	\N
753679	2571	1997-11-11	VYDAJ	VYBER	18200	64910	\N	\N	\N
753680	2571	1997-12-10	VYDAJ	VYBER	38700	96923	\N	\N	\N
753681	2571	1997-12-11	VYDAJ	VYBER	21000	71723	\N	\N	\N
753682	2571	1998-01-10	VYDAJ	VYBER	39000	61895	\N	\N	\N
753683	2571	1998-01-10	VYDAJ	VYBER	15400	100895	\N	\N	\N
753684	2571	1998-02-09	PRIJEM	VKLAD	14700	29684	\N	\N	\N
753685	2571	1998-03-10	VYDAJ	VYBER	47600	76304	\N	\N	\N
753686	2571	1998-03-11	VYDAJ	VYBER	14000	62304	\N	\N	\N
753687	2571	1998-04-10	VYDAJ	VYBER	60900	46274	\N	\N	\N
753688	2571	1998-04-10	VYDAJ	VYBER KARTOU	2400	107174	\N	\N	0
753689	2571	1998-05-10	VYDAJ	VYBER	26500	67140	\N	\N	\N
753690	2571	1998-06-09	VYDAJ	VYBER	11200	56180	\N	\N	\N
753691	2571	1998-06-10	VYDAJ	VYBER	55600	71078	\N	\N	\N
753692	2571	1998-07-09	VYDAJ	VYBER	7000	54134	\N	\N	\N
753693	2571	1998-08-08	VYDAJ	VYBER	31300	70191	\N	\N	\N
753694	2571	1998-08-10	VYDAJ	VYBER	53900	63290	\N	\N	\N
753695	2571	1998-09-07	VYDAJ	VYBER	8700	54884	\N	\N	\N
753696	2571	1998-10-07	VYDAJ	VYBER	22800	63545	\N	\N	\N
753697	2571	1998-10-10	VYDAJ	VYBER	55000	55544	\N	\N	\N
753698	2571	1998-11-06	VYDAJ	VYBER	5400	50400	\N	\N	\N
753699	2571	1998-12-06	VYDAJ	VYBER	25700	72038	\N	\N	\N
753700	2571	1998-12-10	VYDAJ	VYBER	32500	102236	\N	\N	\N
753724	2572	1994-11-13	PRIJEM	VKLAD	600	600	\N	\N	\N
753736	2572	1994-12-07	PRIJEM	PREVOD Z UCTU	73228	73828	\N	GH	30417722
753737	2572	1995-01-07	PRIJEM	PREVOD Z UCTU	48819	99806	\N	GH	30417722
753738	2572	1995-02-07	PRIJEM	PREVOD Z UCTU	48819	110604	\N	GH	30417722
753739	2572	1995-03-07	PRIJEM	PREVOD Z UCTU	48819	88034	\N	GH	30417722
753740	2572	1995-04-07	PRIJEM	PREVOD Z UCTU	48819	104155	\N	GH	30417722
753741	2572	1995-05-07	PRIJEM	PREVOD Z UCTU	48819	113787	\N	GH	30417722
753742	2572	1995-06-07	PRIJEM	PREVOD Z UCTU	73228	121535	\N	GH	30417722
753743	2572	1995-07-07	PRIJEM	PREVOD Z UCTU	48819	74250	\N	GH	30417722
753744	2572	1995-08-07	PRIJEM	PREVOD Z UCTU	48819	70266	\N	GH	30417722
753745	2572	1995-09-07	PRIJEM	PREVOD Z UCTU	48819	96654	\N	GH	30417722
753746	2572	1995-10-07	PRIJEM	PREVOD Z UCTU	48819	96894	\N	GH	30417722
753747	2572	1995-11-07	PRIJEM	PREVOD Z UCTU	48819	91275	\N	GH	30417722
753748	2572	1995-12-07	PRIJEM	PREVOD Z UCTU	73228	126072	\N	GH	30417722
753749	2572	1996-01-07	PRIJEM	PREVOD Z UCTU	48819	70164	\N	GH	30417722
753750	2572	1996-02-07	PRIJEM	PREVOD Z UCTU	48819	63159	\N	GH	30417722
753751	2572	1996-03-07	PRIJEM	PREVOD Z UCTU	48819	49549	\N	GH	30417722
753752	2572	1996-04-07	PRIJEM	PREVOD Z UCTU	48819	80167	\N	GH	30417722
753753	2572	1996-05-07	PRIJEM	PREVOD Z UCTU	48819	87747	\N	GH	30417722
753754	2572	1996-06-07	PRIJEM	PREVOD Z UCTU	73228	118865	\N	GH	30417722
753755	2572	1996-07-07	PRIJEM	PREVOD Z UCTU	48819	94536	\N	GH	30417722
753756	2572	1996-08-07	PRIJEM	PREVOD Z UCTU	48819	104521	\N	GH	30417722
753757	2572	1996-09-07	PRIJEM	PREVOD Z UCTU	48819	109398	\N	GH	30417722
753758	2572	1996-10-07	PRIJEM	PREVOD Z UCTU	48819	113031	\N	GH	30417722
753759	2572	1996-11-07	PRIJEM	PREVOD Z UCTU	48819	82598	\N	GH	30417722
753760	2572	1996-12-07	PRIJEM	PREVOD Z UCTU	73228	123062	\N	GH	30417722
753761	2572	1997-01-07	PRIJEM	PREVOD Z UCTU	48819	85368	\N	GH	30417722
753762	2572	1997-02-07	PRIJEM	PREVOD Z UCTU	48819	71073	\N	GH	30417722
753763	2572	1997-03-07	PRIJEM	PREVOD Z UCTU	48819	79246	\N	GH	30417722
753764	2572	1997-04-07	PRIJEM	PREVOD Z UCTU	48819	99060	\N	GH	30417722
753765	2572	1997-05-07	PRIJEM	PREVOD Z UCTU	48819	72733	\N	GH	30417722
753766	2572	1997-06-07	PRIJEM	PREVOD Z UCTU	73228	119624	\N	GH	30417722
753767	2572	1997-07-07	PRIJEM	PREVOD Z UCTU	48819	70143	\N	GH	30417722
753768	2572	1997-08-07	PRIJEM	PREVOD Z UCTU	48819	74785	\N	GH	30417722
753769	2572	1997-09-07	PRIJEM	PREVOD Z UCTU	48819	96966	\N	GH	30417722
753770	2572	1997-10-07	PRIJEM	PREVOD Z UCTU	48819	94484	\N	GH	30417722
753771	2572	1997-11-07	PRIJEM	PREVOD Z UCTU	48819	98966	\N	GH	30417722
753772	2572	1997-12-07	PRIJEM	PREVOD Z UCTU	73228	137506	\N	GH	30417722
753773	2572	1998-01-07	PRIJEM	PREVOD Z UCTU	48819	106899	\N	GH	30417722
753774	2572	1998-02-07	PRIJEM	PREVOD Z UCTU	48819	77130	\N	GH	30417722
753775	2572	1998-03-07	PRIJEM	PREVOD Z UCTU	48819	100978	\N	GH	30417722
753776	2572	1998-04-07	PRIJEM	PREVOD Z UCTU	48819	91706	\N	GH	30417722
753777	2572	1998-05-07	PRIJEM	PREVOD Z UCTU	48819	95430	\N	GH	30417722
753778	2572	1998-06-07	PRIJEM	PREVOD Z UCTU	73228	120464	\N	GH	30417722
753779	2572	1998-07-07	PRIJEM	PREVOD Z UCTU	48819	100636	\N	GH	30417722
753780	2572	1998-08-07	PRIJEM	PREVOD Z UCTU	48819	103968	\N	GH	30417722
753781	2572	1998-09-07	PRIJEM	PREVOD Z UCTU	48819	114291	\N	GH	30417722
753782	2572	1998-10-07	PRIJEM	PREVOD Z UCTU	48819	111801	\N	GH	30417722
753783	2572	1998-11-07	PRIJEM	PREVOD Z UCTU	48819	116887	\N	GH	30417722
753784	2572	1998-12-07	PRIJEM	PREVOD Z UCTU	73228	134393	\N	GH	30417722
753800	2572	1995-04-17	VYDAJ	VYBER	6600	64555	\N	\N	0
753801	2572	1995-05-16	VYDAJ	VYBER	7100	55187	\N	\N	0
753802	2572	1995-06-04	VYDAJ	VYBER	7300	48307	\N	\N	0
753803	2572	1995-07-19	VYDAJ	VYBER	9500	42950	\N	\N	0
753804	2572	1995-08-01	VYDAJ	VYBER	6200	21447	\N	\N	0
753805	2572	1995-09-16	VYDAJ	VYBER	7900	51654	\N	\N	0
753806	2572	1995-10-09	VYDAJ	VYBER	9200	87694	\N	\N	0
753807	2572	1995-11-27	VYDAJ	VYBER	8100	52475	\N	\N	0
753808	2572	1995-12-08	VYDAJ	VYBER	5800	50672	\N	\N	0
753809	2572	1996-01-02	VYDAJ	VYBER	7700	36045	\N	\N	0
753810	2572	1996-02-15	VYDAJ	VYBER	10200	47859	\N	\N	0
753811	2572	1996-03-06	VYDAJ	VYBER	6000	730	\N	\N	0
753812	2572	1996-04-09	VYDAJ	VYBER	7200	72967	\N	\N	0
753813	2572	1996-05-07	VYDAJ	VYBER	8000	79747	\N	\N	0
753814	2572	1996-05-24	VYDAJ	VYBER	7700	72047	\N	\N	0
753815	2572	1996-07-12	VYDAJ	PREVOD NA UCET	7500	87036	UVER	ST	86283236
753816	2572	1996-08-12	VYDAJ	PREVOD NA UCET	7500	97021	UVER	ST	86283236
753817	2572	1996-09-12	VYDAJ	PREVOD NA UCET	7500	101898	UVER	ST	86283236
753818	2572	1996-10-12	VYDAJ	PREVOD NA UCET	7500	59931	UVER	ST	86283236
753819	2572	1996-11-12	VYDAJ	PREVOD NA UCET	7500	75098	UVER	ST	86283236
753820	2572	1996-12-12	VYDAJ	PREVOD NA UCET	7500	51862	UVER	ST	86283236
753821	2572	1997-01-12	VYDAJ	PREVOD NA UCET	7500	44476	UVER	ST	86283236
753822	2572	1997-02-12	VYDAJ	PREVOD NA UCET	7500	63573	UVER	ST	86283236
753823	2572	1997-03-12	VYDAJ	PREVOD NA UCET	7500	71746	UVER	ST	86283236
753824	2572	1997-04-12	VYDAJ	PREVOD NA UCET	7500	91560	UVER	ST	86283236
753825	2572	1997-05-12	VYDAJ	PREVOD NA UCET	7500	65233	UVER	ST	86283236
753826	2572	1997-06-12	VYDAJ	PREVOD NA UCET	7500	70724	UVER	ST	86283236
753827	2572	1997-07-12	VYDAJ	PREVOD NA UCET	7500	62643	UVER	ST	86283236
753828	2572	1997-08-12	VYDAJ	PREVOD NA UCET	7500	67285	UVER	ST	86283236
753829	2572	1997-09-12	VYDAJ	PREVOD NA UCET	7500	89466	UVER	ST	86283236
753830	2572	1997-10-12	VYDAJ	PREVOD NA UCET	7500	86984	UVER	ST	86283236
753831	2572	1997-11-12	VYDAJ	PREVOD NA UCET	7500	91466	UVER	ST	86283236
753832	2572	1997-12-12	VYDAJ	PREVOD NA UCET	7500	99306	UVER	ST	86283236
753833	2572	1998-01-12	VYDAJ	PREVOD NA UCET	7500	62994	UVER	ST	86283236
753834	2572	1998-02-12	VYDAJ	PREVOD NA UCET	7500	69630	UVER	ST	86283236
753835	2572	1998-03-12	VYDAJ	PREVOD NA UCET	7500	75944	UVER	ST	86283236
753836	2572	1998-04-12	VYDAJ	PREVOD NA UCET	7500	84206	UVER	ST	86283236
753837	2572	1998-05-12	VYDAJ	PREVOD NA UCET	7500	87930	UVER	ST	86283236
753838	2572	1998-06-12	VYDAJ	PREVOD NA UCET	7500	105848	UVER	ST	86283236
753839	2572	1998-07-12	VYDAJ	PREVOD NA UCET	7500	93136	UVER	ST	86283236
753840	2572	1998-08-12	VYDAJ	PREVOD NA UCET	7500	96468	UVER	ST	86283236
753841	2572	1998-09-12	VYDAJ	PREVOD NA UCET	7500	106791	UVER	ST	86283236
753842	2572	1998-10-12	VYDAJ	PREVOD NA UCET	7500	104301	UVER	ST	86283236
753843	2572	1998-11-12	VYDAJ	PREVOD NA UCET	7500	109387	UVER	ST	86283236
753844	2572	1998-12-12	VYDAJ	PREVOD NA UCET	7500	92693	UVER	ST	86283236
753847	2572	1995-06-18	VYBER	VYBER	10894	45141	\N	\N	\N
753848	2572	1995-07-03	VYBER	VYBER	3260	25431	\N	\N	\N
753850	2572	1995-07-27	VYBER	VYBER	15558	27392	\N	\N	\N
753851	2572	1996-10-22	VYBER	VYBER	12965	40966	\N	\N	\N
753852	2572	1996-01-20	VYBER	VYBER	10013	19651	\N	\N	\N
753853	2572	1996-07-18	VYBER	VYBER	5978	81058	\N	\N	\N
753854	2572	1996-04-16	VYBER	VYBER	22967	50000	\N	\N	\N
753855	2572	1996-03-03	VYBER	VYBER	23119	6730	\N	\N	\N
753856	2572	1996-02-27	VYBER	VYBER	18222	29637	\N	\N	\N
753857	2572	1997-12-29	VYBER	VYBER	4705	60801	\N	\N	\N
753858	2572	1997-06-15	VYBER	VYBER	5705	13119	\N	\N	\N
753859	2572	1997-07-28	VYBER	VYBER	16726	19332	\N	\N	\N
753860	2572	1997-01-01	VYBER	VYBER	7663	44549	\N	\N	\N
753861	2572	1997-09-14	VYBER	VYBER	21290	68176	\N	\N	\N
753862	2572	1997-01-07	VYBER	VYBER	23192	62176	\N	\N	\N
753863	2572	1997-05-04	VYBER	VYBER	23105	23914	\N	\N	\N
753864	2572	1997-03-01	VYBER	VYBER	17029	32927	\N	\N	\N
753865	2572	1997-07-23	VYBER	VYBER	18185	36058	\N	\N	\N
753866	2572	1997-04-22	VYBER	VYBER	13680	66419	\N	\N	\N
753867	2572	1997-04-14	VYBER	VYBER	11461	80099	\N	\N	\N
753868	2572	1997-11-03	VYBER	VYBER	2905	50147	\N	\N	\N
753869	2572	1998-06-07	VYBER	VYBER	7116	113348	\N	\N	\N
753870	2572	1998-09-24	VYBER	VYBER	8488	62503	\N	\N	\N
753871	2572	1998-11-21	VYBER	VYBER	3793	105594	\N	\N	\N
753872	2572	1998-02-06	VYBER	VYBER	3652	28311	\N	\N	\N
753873	2572	1998-04-15	VYBER	VYBER	24970	59236	\N	\N	\N
753874	2572	1998-03-11	VYBER	VYBER	17534	83444	\N	\N	\N
753875	2572	1998-01-12	VYBER	VYBER	8505	75594	\N	\N	\N
753876	2572	1998-05-21	VYBER	VYBER	22728	65202	\N	\N	\N
753877	2572	1998-03-28	VYBER	VYBER	9615	46129	\N	\N	\N
753879	2572	1995-06-26	VYDAJ	VYBER	16800	28341	\N	\N	\N
753880	2572	1996-06-09	VYDAJ	VYBER	34500	64765	\N	\N	\N
753881	2572	1997-06-14	VYDAJ	VYBER	51900	18824	\N	\N	\N
753882	2572	1998-06-19	VYDAJ	VYBER	32700	73148	\N	\N	\N
753886	2572	1997-01-25	VYDAJ	VYBER	18600	19276	\N	\N	\N
753887	2572	1998-01-07	VYDAJ	VYBER	22800	84099	\N	\N	\N
753889	2572	1995-12-09	VYDAJ	VYBER	7200	43472	\N	\N	\N
753890	2572	1996-12-08	VYDAJ	VYBER	5700	59362	\N	\N	\N
753891	2572	1997-12-10	VYDAJ	VYBER	6900	106806	\N	\N	\N
753892	2572	1998-12-19	VYDAJ	VYBER	1500	91193	\N	\N	\N
753906	2572	1996-01-07	VYDAJ	VYBER	6300	42864	\N	\N	\N
753907	2572	1996-01-21	VYDAJ	VYBER	6600	13051	\N	\N	\N
753908	2572	1996-01-23	VYDAJ	VYBER	3900	9151	\N	\N	\N
753909	2572	1996-01-16	VYDAJ	VYBER	7200	29664	\N	\N	\N
753910	2572	1996-01-23	VYDAJ	VYBER	7200	1951	\N	\N	\N
753911	2572	1997-01-21	VYDAJ	VYBER	2400	37876	\N	\N	\N
753912	2572	1997-01-11	VYDAJ	VYBER	6000	51976	\N	\N	\N
753913	2572	1997-01-04	VYDAJ	VYBER	1500	36549	\N	\N	\N
753914	2572	1997-01-07	VYDAJ	VYBER	4200	57976	\N	\N	\N
753915	2572	1997-01-14	VYDAJ	VYBER	4200	40276	\N	\N	\N
753916	2572	1997-01-28	VYDAJ	VYBER	5100	14176	\N	\N	\N
753917	2572	1998-01-03	VYDAJ	VYBER	3300	58080	\N	\N	\N
753918	2572	1998-01-27	VYDAJ	VYBER	8100	36994	\N	\N	\N
753919	2572	1998-01-28	VYDAJ	VYBER	3300	31594	\N	\N	\N
753920	2572	1998-01-12	VYDAJ	VYBER	5100	70494	\N	\N	\N
753921	2572	1998-01-21	VYDAJ	VYBER	3300	59694	\N	\N	\N
753922	2572	1998-01-28	VYDAJ	VYBER	2100	34894	\N	\N	\N
753929	2572	1995-10-05	VYDAJ	VYBER	3900	48075	\N	\N	\N
753931	2572	1995-11-03	VYDAJ	VYBER	9000	42456	\N	\N	\N
753932	2572	1996-01-03	VYDAJ	VYBER	14700	21345	\N	\N	\N
753933	2572	1996-02-14	VYDAJ	VYBER	5100	58059	\N	\N	\N
753934	2572	1996-01-14	VYDAJ	VYBER	3600	36864	\N	\N	\N
753935	2572	1996-01-10	VYDAJ	VYBER	2400	40464	\N	\N	\N
753936	2572	1996-10-21	VYDAJ	VYBER	6000	53931	\N	\N	\N
753937	2572	1997-10-14	VYDAJ	VYBER	6900	80084	\N	\N	\N
753938	2572	1997-10-16	VYDAJ	VYBER	2400	77684	\N	\N	\N
753939	2572	1997-09-15	VYDAJ	VYBER	13500	54676	\N	\N	\N
753940	2572	1997-02-14	VYDAJ	VYBER	13800	49773	\N	\N	\N
753941	2572	1997-07-16	VYDAJ	VYBER	8400	54243	\N	\N	\N
753942	2572	1998-11-23	VYDAJ	VYBER	6900	60694	\N	\N	\N
753943	2572	1998-08-05	VYDAJ	VYBER	1500	61749	\N	\N	\N
753944	2572	1998-08-05	VYDAJ	VYBER	6600	55149	\N	\N	\N
753945	2572	1998-03-31	VYDAJ	VYBER	3600	42887	\N	\N	\N
753962	2572	1995-04-30	VYDAJ	VYBER	100	64968	SLUZBY	\N	\N
753963	2572	1995-05-31	VYDAJ	VYBER	100	55607	SLUZBY	\N	\N
753964	2572	1995-06-30	VYDAJ	VYBER	100	28691	SLUZBY	\N	\N
753965	2572	1995-07-31	VYDAJ	VYBER	100	27647	SLUZBY	\N	\N
753966	2572	1995-08-31	VYDAJ	VYBER	100	47835	SLUZBY	\N	\N
753967	2572	1995-09-30	VYDAJ	VYBER	100	51975	SLUZBY	\N	\N
753968	2572	1995-10-31	VYDAJ	VYBER	100	51456	SLUZBY	\N	\N
753969	2572	1995-11-30	VYDAJ	VYBER	100	52844	SLUZBY	\N	\N
753970	2572	1995-12-31	VYDAJ	VYBER	100	43745	SLUZBY	\N	\N
753971	2572	1996-01-31	VYDAJ	VYBER	100	2041	SLUZBY	\N	\N
753972	2572	1996-02-29	VYDAJ	VYBER	100	29849	SLUZBY	\N	\N
753973	2572	1996-03-31	VYDAJ	VYBER	100	35948	SLUZBY	\N	\N
753974	2572	1996-04-30	VYDAJ	VYBER	100	50328	SLUZBY	\N	\N
753975	2572	1996-05-31	VYDAJ	VYBER	100	72537	SLUZBY	\N	\N
753976	2572	1996-06-30	VYDAJ	VYBER	100	65217	SLUZBY	\N	\N
753977	2572	1996-07-31	VYDAJ	VYBER	100	81602	SLUZBY	\N	\N
753978	2572	1996-08-31	VYDAJ	VYBER	100	97679	SLUZBY	\N	\N
753979	2572	1996-09-30	VYDAJ	VYBER	100	102612	SLUZBY	\N	\N
753980	2572	1996-10-31	VYDAJ	VYBER	100	41379	SLUZBY	\N	\N
753981	2572	1996-11-30	VYDAJ	VYBER	100	75534	SLUZBY	\N	\N
753982	2572	1996-12-31	VYDAJ	VYBER	100	52212	SLUZBY	\N	\N
753983	2572	1997-01-31	VYDAJ	VYBER	100	22254	SLUZBY	\N	\N
753984	2572	1997-02-28	VYDAJ	VYBER	100	49956	SLUZBY	\N	\N
753985	2572	1997-03-31	VYDAJ	VYBER	100	72141	SLUZBY	\N	\N
753986	2572	1997-04-30	VYDAJ	VYBER	100	66919	SLUZBY	\N	\N
753987	2572	1997-05-31	VYDAJ	VYBER	100	46396	SLUZBY	\N	\N
753988	2572	1997-06-30	VYDAJ	VYBER	100	21324	SLUZBY	\N	\N
753989	2572	1997-07-31	VYDAJ	VYBER	100	25966	SLUZBY	\N	\N
753990	2572	1997-08-31	VYDAJ	VYBER	100	48147	SLUZBY	\N	\N
753991	2572	1997-09-30	VYDAJ	VYBER	100	45665	SLUZBY	\N	\N
753992	2572	1997-10-31	VYDAJ	VYBER	100	53052	SLUZBY	\N	\N
753993	2572	1997-11-30	VYDAJ	VYBER	100	64278	SLUZBY	\N	\N
753994	2572	1997-12-31	VYDAJ	VYBER	100	61380	SLUZBY	\N	\N
753995	2572	1998-01-31	VYDAJ	VYBER	100	31963	SLUZBY	\N	\N
753996	2572	1998-02-28	VYDAJ	VYBER	100	52159	SLUZBY	\N	\N
753997	2572	1998-03-31	VYDAJ	VYBER	100	46487	SLUZBY	\N	\N
753998	2572	1998-04-30	VYDAJ	VYBER	100	46611	SLUZBY	\N	\N
753999	2572	1998-05-31	VYDAJ	VYBER	100	47236	SLUZBY	\N	\N
754000	2572	1998-06-30	VYDAJ	VYBER	100	51817	SLUZBY	\N	\N
754001	2572	1998-07-31	VYDAJ	VYBER	100	63249	SLUZBY	\N	\N
754002	2572	1998-08-31	VYDAJ	VYBER	100	65472	SLUZBY	\N	\N
754003	2572	1998-09-30	VYDAJ	VYBER	100	62982	SLUZBY	\N	\N
754004	2572	1998-10-31	VYDAJ	VYBER	100	68068	SLUZBY	\N	\N
754005	2572	1998-11-30	VYDAJ	VYBER	100	61165	SLUZBY	\N	\N
754006	2572	1994-12-13	VYDAJ	VYBER	23100	50728	\N	\N	\N
754007	2572	1995-01-12	VYDAJ	VYBER	38500	61306	\N	\N	\N
754008	2572	1995-02-07	VYDAJ	VYBER	59500	51104	\N	\N	\N
754009	2572	1995-02-11	VYDAJ	VYBER	12300	38804	\N	\N	\N
754010	2572	1995-03-13	VYDAJ	VYBER	33100	54934	\N	\N	\N
754011	2572	1995-04-12	VYDAJ	VYBER	33000	71155	\N	\N	\N
754012	2572	1995-05-07	VYDAJ	VYBER	24400	89387	\N	\N	\N
754013	2572	1995-05-12	VYDAJ	VYBER	27100	62287	\N	\N	\N
754014	2572	1995-06-07	VYDAJ	VYBER	29000	92535	\N	\N	\N
754015	2572	1995-06-11	VYDAJ	VYBER	36500	56035	\N	\N	\N
754016	2572	1995-07-11	VYDAJ	VYBER	21800	52450	\N	\N	\N
754017	2572	1995-08-10	VYDAJ	VYBER	22700	47566	\N	\N	\N
754018	2572	1995-09-09	VYDAJ	VYBER	37100	59554	\N	\N	\N
754019	2572	1995-10-09	VYDAJ	VYBER	36600	51094	\N	\N	\N
754020	2572	1995-11-08	VYDAJ	VYBER	30700	60575	\N	\N	\N
754021	2572	1995-12-07	VYDAJ	VYBER	42800	83272	\N	\N	\N
754022	2572	1995-12-08	VYDAJ	VYBER	26800	56472	\N	\N	\N
754023	2572	1996-01-07	VYDAJ	VYBER	21000	49164	\N	\N	\N
754024	2572	1996-02-06	PRIJEM	VKLAD	12300	14340	\N	\N	\N
754025	2572	1996-03-07	VYDAJ	VYBER	13800	35749	\N	\N	\N
754026	2572	1996-04-06	VYDAJ	VYBER	4600	31348	\N	\N	\N
754027	2572	1996-05-06	VYDAJ	VYBER	11400	38928	\N	\N	\N
754028	2572	1996-06-05	VYDAJ	VYBER	26900	45637	\N	\N	\N
754029	2572	1996-06-07	VYDAJ	VYBER	19600	99265	\N	\N	\N
754030	2572	1996-07-05	VYDAJ	VYBER	19500	45717	\N	\N	\N
754031	2572	1996-08-04	VYDAJ	VYBER	25900	55702	\N	\N	\N
754032	2572	1996-09-03	VYDAJ	VYBER	37100	60579	\N	\N	\N
754033	2572	1996-10-03	VYDAJ	VYBER	38400	64212	\N	\N	\N
754034	2572	1996-10-07	VYDAJ	VYBER	45600	67431	\N	\N	\N
754035	2572	1996-11-02	VYDAJ	VYBER	7600	33779	\N	\N	\N
754036	2572	1996-12-02	VYDAJ	VYBER	25700	49834	\N	\N	\N
754037	2572	1996-12-07	VYDAJ	VYBER	58000	65062	\N	\N	\N
754038	2572	1997-01-01	VYDAJ	VYBER	6500	38049	\N	\N	\N
754039	2572	1997-01-31	PRIJEM	VKLAD	7900	22076	\N	\N	\N
754040	2572	1997-03-02	VYDAJ	VYBER	2500	30427	\N	\N	\N
754041	2572	1997-04-01	VYDAJ	VYBER	21900	50241	\N	\N	\N
754042	2572	1997-05-01	VYDAJ	VYBER	19900	47019	\N	\N	\N
754043	2572	1997-05-31	VYDAJ	VYBER	19200	46496	\N	\N	\N
754044	2572	1997-06-07	VYDAJ	VYBER	41400	78224	\N	\N	\N
754045	2572	1997-06-30	PRIJEM	VKLAD	8000	21424	\N	\N	\N
754046	2572	1997-07-30	PRIJEM	VKLAD	6500	25832	\N	\N	\N
754047	2572	1997-08-29	VYDAJ	VYBER	19400	47885	\N	\N	\N
754048	2572	1997-09-28	VYDAJ	VYBER	9300	45376	\N	\N	\N
754049	2572	1997-10-28	VYDAJ	VYBER	25000	52684	\N	\N	\N
754050	2572	1997-11-27	VYDAJ	VYBER	27700	63766	\N	\N	\N
754051	2572	1997-12-07	VYDAJ	VYBER	23800	113706	\N	\N	\N
754052	2572	1997-12-27	VYDAJ	VYBER	33800	65506	\N	\N	\N
754053	2572	1998-01-26	VYDAJ	VYBER	14600	45094	\N	\N	\N
754054	2572	1998-02-25	VYDAJ	VYBER	17800	51830	\N	\N	\N
754055	2572	1998-03-27	VYDAJ	VYBER	20200	55744	\N	\N	\N
754056	2572	1998-04-26	VYDAJ	VYBER	12900	46336	\N	\N	\N
754057	2572	1998-05-26	VYDAJ	VYBER	18300	46902	\N	\N	\N
754058	2572	1998-06-25	VYDAJ	VYBER	21800	51348	\N	\N	\N
754059	2572	1998-07-25	VYDAJ	VYBER	30300	62836	\N	\N	\N
754060	2572	1998-08-24	VYDAJ	VYBER	31500	64968	\N	\N	\N
754061	2572	1998-09-23	VYDAJ	VYBER	35800	70991	\N	\N	\N
754062	2572	1998-10-23	VYDAJ	VYBER	36700	67601	\N	\N	\N
754063	2572	1998-11-22	VYDAJ	VYBER	38000	67594	\N	\N	\N
754064	2572	1998-12-07	VYDAJ	VYBER	34200	100193	\N	\N	\N
754116	2573	1996-07-16	PRIJEM	VKLAD	300	300	\N	\N	\N
754117	2573	1996-12-12	PRIJEM	VKLAD	28109	46909	\N	\N	\N
754119	2573	1997-07-21	PRIJEM	VKLAD	31287	76701	\N	\N	\N
754120	2573	1997-07-20	PRIJEM	VKLAD	29882	45414	\N	\N	\N
754121	2573	1998-05-15	PRIJEM	VKLAD	4542	16520	\N	\N	\N
754122	2573	1998-10-15	PRIJEM	VKLAD	22261	39100	\N	\N	\N
754200	2573	1998-10-31	VYDAJ	VYBER	15	39400	SLUZBY	\N	\N
754201	2573	1998-11-30	VYDAJ	VYBER	15	13546	SLUZBY	\N	\N
754202	2573	1996-08-15	PRIJEM	VKLAD	12600	12900	\N	\N	\N
754203	2573	1996-09-14	PRIJEM	VKLAD	3600	16500	\N	\N	\N
754204	2573	1996-10-14	PRIJEM	VKLAD	2000	18500	\N	\N	\N
754205	2573	1996-11-13	PRIJEM	VKLAD	300	18800	\N	\N	\N
754206	2573	1996-12-13	VYDAJ	VYBER	16000	30909	\N	\N	\N
754207	2573	1997-01-12	VYDAJ	VYBER	8400	22588	\N	\N	\N
754208	2573	1997-02-11	VYDAJ	VYBER	2100	20617	\N	\N	\N
754209	2573	1997-03-13	VYDAJ	VYBER	700	20046	\N	\N	\N
754210	2573	1997-04-12	VYDAJ	VYBER	2400	17774	\N	\N	\N
754211	2573	1997-05-12	VYDAJ	VYBER	400	17503	\N	\N	\N
754212	2573	1997-07-11	VYDAJ	VYBER	2100	15532	\N	\N	\N
754213	2573	1997-08-10	VYDAJ	VYBER	37500	39399	\N	\N	\N
754214	2573	1997-09-09	VYDAJ	VYBER	16600	23119	\N	\N	\N
754215	2573	1997-10-09	VYDAJ	VYBER	9100	14338	\N	\N	\N
754216	2573	1998-01-07	VYDAJ	VYBER	3000	11658	\N	\N	\N
754217	2573	1998-11-03	VYDAJ	VYBER	26000	13400	\N	\N	\N
754232	2574	1993-02-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
754234	2574	1993-02-12	PRIJEM	VKLAD	14319	15419	\N	\N	\N
754235	2574	1993-03-12	PRIJEM	VKLAD	14319	32677	\N	\N	\N
754236	2574	1993-04-12	PRIJEM	VKLAD	14319	40807	\N	\N	\N
754237	2574	1993-05-12	PRIJEM	VKLAD	14319	45083	\N	\N	\N
754238	2574	1993-06-12	PRIJEM	VKLAD	21478	54143	\N	\N	\N
754239	2574	1993-07-12	PRIJEM	VKLAD	14319	37813	\N	\N	\N
754240	2574	1993-08-12	PRIJEM	VKLAD	14319	33227	\N	\N	\N
754241	2574	1993-09-12	PRIJEM	VKLAD	14319	35822	\N	\N	\N
754242	2574	1993-10-12	PRIJEM	VKLAD	14319	37426	\N	\N	\N
754243	2574	1993-11-12	PRIJEM	VKLAD	14319	36436	\N	\N	\N
754244	2574	1993-12-12	PRIJEM	VKLAD	21478	39897	\N	\N	\N
754245	2574	1994-01-12	PRIJEM	VKLAD	14319	32101	\N	\N	\N
754246	2574	1994-02-12	PRIJEM	VKLAD	14319	25667	\N	\N	\N
754247	2574	1994-03-12	PRIJEM	VKLAD	14319	32825	\N	\N	\N
754248	2574	1994-04-12	PRIJEM	VKLAD	14319	29811	\N	\N	\N
754249	2574	1994-05-12	PRIJEM	VKLAD	14319	31787	\N	\N	\N
754250	2574	1994-06-12	PRIJEM	VKLAD	21478	42023	\N	\N	\N
754251	2574	1994-07-12	PRIJEM	VKLAD	14319	30529	\N	\N	\N
754252	2574	1994-08-12	PRIJEM	VKLAD	14319	31897	\N	\N	\N
754253	2574	1994-09-12	PRIJEM	VKLAD	14319	34879	\N	\N	\N
754254	2574	1994-10-12	PRIJEM	VKLAD	14319	36072	\N	\N	\N
754255	2574	1994-11-12	PRIJEM	VKLAD	14319	36969	\N	\N	\N
754256	2574	1994-12-12	PRIJEM	VKLAD	21478	44628	\N	\N	\N
754257	2574	1995-01-12	PRIJEM	VKLAD	14319	33041	\N	\N	\N
754258	2574	1995-02-12	PRIJEM	VKLAD	14319	28417	\N	\N	\N
754259	2574	1995-03-12	PRIJEM	VKLAD	14319	32082	\N	\N	\N
754260	2574	1995-04-12	PRIJEM	VKLAD	14319	34764	\N	\N	\N
754261	2574	1995-05-12	PRIJEM	VKLAD	14319	35053	\N	\N	\N
754262	2574	1995-06-12	PRIJEM	VKLAD	21478	45206	\N	\N	\N
754263	2574	1995-07-12	PRIJEM	VKLAD	14319	39303	\N	\N	\N
754264	2574	1995-08-12	PRIJEM	VKLAD	14319	42016	\N	\N	\N
754265	2574	1995-09-12	PRIJEM	VKLAD	14319	41635	\N	\N	\N
754266	2574	1995-10-12	PRIJEM	VKLAD	14319	46458	\N	\N	\N
754267	2574	1995-11-12	PRIJEM	VKLAD	14319	49299	\N	\N	\N
754268	2574	1995-12-12	PRIJEM	VKLAD	21478	54905	\N	\N	\N
754269	2574	1996-01-12	PRIJEM	VKLAD	14319	38060	\N	\N	\N
754270	2574	1996-02-12	PRIJEM	VKLAD	14319	34562	\N	\N	\N
754271	2574	1996-03-12	PRIJEM	VKLAD	14319	40157	\N	\N	\N
754272	2574	1996-04-12	PRIJEM	VKLAD	14319	46076	\N	\N	\N
754273	2574	1996-05-12	PRIJEM	VKLAD	14319	50116	\N	\N	\N
754274	2574	1996-06-12	PRIJEM	VKLAD	21478	40925	\N	\N	\N
754275	2574	1996-07-12	PRIJEM	VKLAD	14319	47262	\N	\N	\N
754276	2574	1996-08-12	PRIJEM	VKLAD	14319	47999	\N	\N	\N
754277	2574	1996-09-12	PRIJEM	VKLAD	14319	51545	\N	\N	\N
754278	2574	1996-10-12	PRIJEM	VKLAD	14319	49495	\N	\N	\N
754279	2574	1996-11-12	PRIJEM	VKLAD	14319	51344	\N	\N	\N
754280	2574	1996-12-12	PRIJEM	VKLAD	21478	61861	\N	\N	\N
754281	2574	1997-01-12	PRIJEM	VKLAD	14319	56138	\N	\N	\N
754282	2574	1997-02-12	PRIJEM	VKLAD	14319	56204	\N	\N	\N
754283	2574	1997-03-12	PRIJEM	VKLAD	14319	61171	\N	\N	\N
754284	2574	1997-04-12	PRIJEM	VKLAD	14319	64972	\N	\N	\N
754285	2574	1997-05-12	PRIJEM	VKLAD	14319	59288	\N	\N	\N
754286	2574	1997-06-12	PRIJEM	VKLAD	21478	66942	\N	\N	\N
754287	2574	1997-07-12	PRIJEM	VKLAD	14319	76163	\N	\N	\N
754288	2574	1997-08-12	PRIJEM	VKLAD	14319	75822	\N	\N	\N
754289	2574	1997-09-12	PRIJEM	VKLAD	14319	77592	\N	\N	\N
754290	2574	1997-10-12	PRIJEM	VKLAD	14319	81666	\N	\N	\N
754291	2574	1997-11-12	PRIJEM	VKLAD	14319	84754	\N	\N	\N
754292	2574	1997-12-12	PRIJEM	VKLAD	21478	95415	\N	\N	\N
754293	2574	1998-01-12	PRIJEM	VKLAD	14319	89847	\N	\N	\N
754294	2574	1998-02-12	PRIJEM	VKLAD	14319	93364	\N	\N	\N
754295	2574	1998-03-12	PRIJEM	VKLAD	14319	99389	\N	\N	\N
754296	2574	1998-04-12	PRIJEM	VKLAD	14319	100646	\N	\N	\N
754297	2574	1998-05-12	PRIJEM	VKLAD	14319	105112	\N	\N	\N
754298	2574	1998-06-12	PRIJEM	VKLAD	21478	115351	\N	\N	\N
754299	2574	1998-07-12	PRIJEM	VKLAD	14319	80100	\N	\N	\N
754300	2574	1998-08-12	PRIJEM	VKLAD	14319	98037	\N	\N	\N
754301	2574	1998-09-12	PRIJEM	VKLAD	14319	107867	\N	\N	\N
754302	2574	1998-10-12	PRIJEM	VKLAD	14319	113952	\N	\N	\N
754303	2574	1998-11-12	PRIJEM	VKLAD	14319	116471	\N	\N	\N
754304	2574	1998-12-12	PRIJEM	VKLAD	21478	110863	\N	\N	\N
754311	2574	1993-07-11	VYDAJ	PREVOD NA UCET	9546	23494	SIPO	ST	61405271
754312	2574	1993-08-11	VYDAJ	PREVOD NA UCET	9546	18908	SIPO	ST	61405271
754313	2574	1993-09-11	VYDAJ	PREVOD NA UCET	9546	21503	SIPO	ST	61405271
754314	2574	1993-10-11	VYDAJ	PREVOD NA UCET	9546	23107	SIPO	ST	61405271
754315	2574	1993-11-11	VYDAJ	PREVOD NA UCET	9546	22117	SIPO	ST	61405271
754316	2574	1993-12-11	VYDAJ	PREVOD NA UCET	9546	18419	SIPO	ST	61405271
754317	2574	1994-01-11	VYDAJ	PREVOD NA UCET	9546	17782	SIPO	ST	61405271
754318	2574	1994-02-11	VYDAJ	PREVOD NA UCET	9546	11348	SIPO	ST	61405271
754319	2574	1994-03-11	VYDAJ	PREVOD NA UCET	9546	18506	SIPO	ST	61405271
754320	2574	1994-04-11	VYDAJ	PREVOD NA UCET	9546	15492	SIPO	ST	61405271
754321	2574	1994-05-11	VYDAJ	PREVOD NA UCET	9546	17468	SIPO	ST	61405271
754322	2574	1994-06-11	VYDAJ	PREVOD NA UCET	9546	20545	SIPO	ST	61405271
754323	2574	1994-07-11	VYDAJ	PREVOD NA UCET	9546	16210	SIPO	ST	61405271
754324	2574	1994-08-11	VYDAJ	PREVOD NA UCET	9546	17578	SIPO	ST	61405271
754325	2574	1994-09-11	VYDAJ	PREVOD NA UCET	9546	20560	SIPO	ST	61405271
754326	2574	1994-10-11	VYDAJ	PREVOD NA UCET	9546	21753	SIPO	ST	61405271
754327	2574	1994-11-11	VYDAJ	PREVOD NA UCET	9546	22650	SIPO	ST	61405271
754328	2574	1994-12-11	VYDAJ	PREVOD NA UCET	9546	23150	SIPO	ST	61405271
754329	2574	1995-01-11	VYDAJ	PREVOD NA UCET	9546	20922	SIPO	ST	61405271
754330	2574	1995-02-11	VYDAJ	PREVOD NA UCET	9546	14098	SIPO	ST	61405271
754331	2574	1995-03-11	VYDAJ	PREVOD NA UCET	9546	17763	SIPO	ST	61405271
754332	2574	1995-04-11	VYDAJ	PREVOD NA UCET	9546	20445	SIPO	ST	61405271
754333	2574	1995-05-11	VYDAJ	PREVOD NA UCET	9546	20734	SIPO	ST	61405271
754334	2574	1995-06-11	VYDAJ	PREVOD NA UCET	9546	23728	SIPO	ST	61405271
754335	2574	1995-07-11	VYDAJ	PREVOD NA UCET	9546	24984	SIPO	ST	61405271
754336	2574	1995-08-11	VYDAJ	PREVOD NA UCET	9546	27697	SIPO	ST	61405271
754337	2574	1995-09-11	VYDAJ	PREVOD NA UCET	9546	27316	SIPO	ST	61405271
754338	2574	1995-10-11	VYDAJ	PREVOD NA UCET	9546	32139	SIPO	ST	61405271
754339	2574	1995-11-11	VYDAJ	PREVOD NA UCET	9546	34980	SIPO	ST	61405271
754340	2574	1995-12-11	VYDAJ	PREVOD NA UCET	9546	33427	SIPO	ST	61405271
754341	2574	1996-01-11	VYDAJ	PREVOD NA UCET	9546	23741	SIPO	ST	61405271
754342	2574	1996-02-11	VYDAJ	PREVOD NA UCET	9546	20243	SIPO	ST	61405271
754343	2574	1996-03-11	VYDAJ	PREVOD NA UCET	9546	25838	SIPO	ST	61405271
754344	2574	1996-04-11	VYDAJ	PREVOD NA UCET	9546	31757	SIPO	ST	61405271
754345	2574	1996-05-11	VYDAJ	PREVOD NA UCET	9546	35797	SIPO	ST	61405271
754346	2574	1996-06-11	VYDAJ	PREVOD NA UCET	9546	36747	SIPO	ST	61405271
754347	2574	1996-07-11	VYDAJ	PREVOD NA UCET	9546	32943	SIPO	ST	61405271
754348	2574	1996-08-11	VYDAJ	PREVOD NA UCET	9546	33680	SIPO	ST	61405271
754349	2574	1996-09-11	VYDAJ	PREVOD NA UCET	9546	37226	SIPO	ST	61405271
754350	2574	1996-10-11	VYDAJ	PREVOD NA UCET	9546	35176	SIPO	ST	61405271
754351	2574	1996-11-11	VYDAJ	PREVOD NA UCET	9546	37025	SIPO	ST	61405271
754352	2574	1996-12-11	VYDAJ	PREVOD NA UCET	9546	40383	SIPO	ST	61405271
754353	2574	1997-01-11	VYDAJ	PREVOD NA UCET	9546	40919	SIPO	ST	61405271
754354	2574	1997-02-11	VYDAJ	PREVOD NA UCET	9546	41885	SIPO	ST	61405271
754355	2574	1997-03-11	VYDAJ	PREVOD NA UCET	9546	46852	SIPO	ST	61405271
754356	2574	1997-04-11	VYDAJ	PREVOD NA UCET	9546	50653	SIPO	ST	61405271
754357	2574	1997-05-11	VYDAJ	PREVOD NA UCET	9546	44869	SIPO	ST	61405271
754358	2574	1997-06-11	VYDAJ	PREVOD NA UCET	9546	45464	SIPO	ST	61405271
754359	2574	1997-07-11	VYDAJ	PREVOD NA UCET	9546	61844	SIPO	ST	61405271
754360	2574	1997-08-11	VYDAJ	PREVOD NA UCET	9546	61503	SIPO	ST	61405271
754361	2574	1997-09-11	VYDAJ	PREVOD NA UCET	9546	63273	SIPO	ST	61405271
754362	2574	1997-10-11	VYDAJ	PREVOD NA UCET	9546	67347	SIPO	ST	61405271
754363	2574	1997-11-11	VYDAJ	PREVOD NA UCET	9546	70435	SIPO	ST	61405271
754364	2574	1997-12-11	VYDAJ	PREVOD NA UCET	9546	73937	SIPO	ST	61405271
754365	2574	1998-01-11	VYDAJ	PREVOD NA UCET	9546	75528	SIPO	ST	61405271
754366	2574	1998-02-11	VYDAJ	PREVOD NA UCET	9546	79045	SIPO	ST	61405271
754367	2574	1998-03-11	VYDAJ	PREVOD NA UCET	9546	85070	SIPO	ST	61405271
754368	2574	1998-04-11	VYDAJ	PREVOD NA UCET	9546	86327	SIPO	ST	61405271
754369	2574	1998-05-11	VYDAJ	PREVOD NA UCET	9546	90793	SIPO	ST	61405271
754370	2574	1998-06-11	VYDAJ	PREVOD NA UCET	9546	93873	SIPO	ST	61405271
754371	2574	1998-07-11	VYDAJ	PREVOD NA UCET	9546	65781	SIPO	ST	61405271
754372	2574	1998-08-11	VYDAJ	PREVOD NA UCET	9546	83718	SIPO	ST	61405271
754373	2574	1998-09-11	VYDAJ	PREVOD NA UCET	9546	93548	SIPO	ST	61405271
754374	2574	1998-10-11	VYDAJ	PREVOD NA UCET	9546	99633	SIPO	ST	61405271
754375	2574	1998-11-11	VYDAJ	PREVOD NA UCET	9546	102152	SIPO	ST	61405271
754376	2574	1998-12-11	VYDAJ	PREVOD NA UCET	9546	89385	SIPO	ST	61405271
754378	2574	1994-06-12	VYDAJ	VYBER	19300	22723	\N	\N	\N
754379	2574	1995-06-13	VYDAJ	VYBER	13900	31306	\N	\N	\N
754380	2574	1996-06-11	VYDAJ	VYBER	17300	19447	\N	\N	\N
754381	2574	1997-06-04	VYDAJ	VYBER	18000	41510	\N	\N	\N
754382	2574	1998-06-27	VYDAJ	VYBER	10500	45351	\N	\N	\N
754384	2574	1994-01-17	VYDAJ	VYBER	9000	21601	\N	\N	\N
754385	2574	1995-01-16	VYDAJ	VYBER	6500	26541	\N	\N	\N
754386	2574	1996-01-06	VYDAJ	VYBER	9200	33287	\N	\N	\N
754387	2574	1997-01-30	VYDAJ	VYBER	9800	41138	\N	\N	\N
754388	2574	1998-01-29	VYDAJ	VYBER	2100	83647	\N	\N	\N
754389	2574	1993-12-19	VYDAJ	VYBER	2300	37597	\N	\N	\N
754390	2574	1994-12-20	VYDAJ	VYBER	1000	43628	\N	\N	\N
754391	2574	1995-12-01	VYDAJ	VYBER	2700	42973	\N	\N	\N
754392	2574	1996-12-16	VYDAJ	VYBER	2200	55561	\N	\N	\N
754393	2574	1997-12-01	VYDAJ	VYBER	2500	82583	\N	\N	\N
754394	2574	1998-12-28	VYDAJ	VYBER	2600	108263	\N	\N	\N
754401	2574	1994-01-28	VYDAJ	VYBER	1500	20801	\N	\N	\N
754402	2574	1994-01-19	VYDAJ	VYBER	2300	19301	\N	\N	\N
754403	2574	1994-01-09	VYDAJ	VYBER	1100	29728	\N	\N	\N
754404	2574	1994-01-26	VYDAJ	VYBER	1400	16001	\N	\N	\N
754405	2574	1994-01-17	VYDAJ	VYBER	1500	30601	\N	\N	\N
754406	2574	1994-01-11	VYDAJ	VYBER	2400	27328	\N	\N	\N
754407	2574	1995-01-21	VYDAJ	VYBER	1400	24241	\N	\N	\N
754408	2574	1995-01-23	VYDAJ	VYBER	1300	24641	\N	\N	\N
754409	2574	1995-01-04	VYDAJ	VYBER	2700	30468	\N	\N	\N
754410	2574	1995-01-24	VYDAJ	VYBER	1100	23541	\N	\N	\N
754411	2574	1995-01-11	VYDAJ	VYBER	2200	18722	\N	\N	\N
754412	2574	1995-01-16	VYDAJ	VYBER	900	25641	\N	\N	\N
754413	2574	1996-01-02	VYDAJ	VYBER	1300	44787	\N	\N	\N
754414	2574	1996-01-29	VYDAJ	VYBER	1500	29660	\N	\N	\N
754415	2574	1996-01-05	VYDAJ	VYBER	2300	42487	\N	\N	\N
754416	2574	1996-01-24	VYDAJ	VYBER	1700	31160	\N	\N	\N
754417	2574	1996-01-13	VYDAJ	VYBER	1600	36460	\N	\N	\N
754418	2574	1996-01-18	VYDAJ	VYBER	1700	34660	\N	\N	\N
754419	2574	1997-01-30	VYDAJ	VYBER	2200	50938	\N	\N	\N
754420	2574	1997-01-04	VYDAJ	VYBER	1100	50465	\N	\N	\N
754421	2574	1997-01-15	VYDAJ	VYBER	600	55538	\N	\N	\N
754422	2574	1997-01-23	VYDAJ	VYBER	1200	53138	\N	\N	\N
754423	2574	1997-01-03	VYDAJ	VYBER	500	51565	\N	\N	\N
754424	2574	1997-01-18	VYDAJ	VYBER	1200	54338	\N	\N	\N
754425	2574	1998-01-03	VYDAJ	VYBER	1300	90574	\N	\N	\N
754426	2574	1998-01-07	VYDAJ	VYBER	2300	88974	\N	\N	\N
754427	2574	1998-01-17	VYDAJ	VYBER	2500	85747	\N	\N	\N
754428	2574	1998-01-10	VYDAJ	VYBER	2300	85074	\N	\N	\N
754429	2574	1998-01-08	VYDAJ	VYBER	1600	87374	\N	\N	\N
754430	2574	1998-01-02	VYDAJ	VYBER	1200	91874	\N	\N	\N
754431	2574	1993-07-15	VYDAJ	VYBER	4400	33413	\N	\N	\N
754432	2574	1993-07-06	VYDAJ	VYBER	3100	37640	\N	\N	\N
754433	2574	1993-07-09	VYDAJ	VYBER	4600	33040	\N	\N	\N
754434	2574	1993-12-02	VYDAJ	VYBER	3300	27965	\N	\N	\N
754437	2574	1994-07-12	VYDAJ	VYBER	3800	26729	\N	\N	\N
754438	2574	1994-05-12	VYDAJ	VYBER	2600	29187	\N	\N	\N
754439	2574	1994-01-06	VYDAJ	VYBER	2100	30828	\N	\N	\N
754440	2574	1994-01-21	VYDAJ	VYBER	1900	17401	\N	\N	\N
754441	2574	1994-04-07	VYDAJ	VYBER	2700	25038	\N	\N	\N
754442	2574	1995-02-18	VYDAJ	VYBER	3000	25417	\N	\N	\N
754443	2574	1995-08-10	VYDAJ	VYBER	1800	37243	\N	\N	\N
754444	2574	1995-11-15	VYDAJ	VYBER	2400	46899	\N	\N	\N
754445	2574	1995-05-22	VYDAJ	VYBER	1800	33253	\N	\N	\N
754446	2574	1996-01-21	VYDAJ	VYBER	1800	32860	\N	\N	\N
754447	2574	1996-10-08	VYDAJ	VYBER	1400	44722	\N	\N	\N
754448	2574	1996-12-18	VYDAJ	VYBER	500	55061	\N	\N	\N
754449	2574	1996-12-24	VYDAJ	VYBER	3200	51861	\N	\N	\N
754450	2574	1997-12-26	VYDAJ	VYBER	2700	92715	\N	\N	\N
754451	2574	1997-04-29	VYDAJ	VYBER	4700	54172	\N	\N	\N
754452	2574	1998-01-13	VYDAJ	VYBER	1600	88247	\N	\N	\N
754453	2574	1998-08-14	VYDAJ	VYBER	1800	96237	\N	\N	\N
754454	2574	1998-02-19	VYDAJ	VYBER	1200	92164	\N	\N	\N
754455	2574	1998-05-31	VYDAJ	VYBER	4200	101334	\N	\N	\N
754456	2574	1998-04-17	VYDAJ	VYBER	2300	98346	\N	\N	\N
754457	2574	1998-07-13	VYDAJ	VYBER	900	79200	\N	\N	\N
754464	2574	1993-06-30	VYDAJ	VYBER	15	54340	SLUZBY	\N	\N
754465	2574	1993-07-31	VYDAJ	VYBER	15	33554	SLUZBY	\N	\N
754466	2574	1993-08-31	VYDAJ	VYBER	15	33349	SLUZBY	\N	\N
754467	2574	1993-09-30	VYDAJ	VYBER	15	35953	SLUZBY	\N	\N
754468	2574	1993-10-31	VYDAJ	VYBER	15	31663	SLUZBY	\N	\N
754469	2574	1993-11-30	VYDAJ	VYBER	15	31265	SLUZBY	\N	\N
754470	2574	1993-12-31	VYDAJ	VYBER	15	32928	SLUZBY	\N	\N
754471	2574	1994-01-31	VYDAJ	VYBER	15	20894	SLUZBY	\N	\N
754472	2574	1994-02-28	VYDAJ	VYBER	15	28052	SLUZBY	\N	\N
754473	2574	1994-03-31	VYDAJ	VYBER	15	27738	SLUZBY	\N	\N
754474	2574	1994-04-30	VYDAJ	VYBER	15	27014	SLUZBY	\N	\N
754475	2574	1994-05-31	VYDAJ	VYBER	15	30091	SLUZBY	\N	\N
754476	2574	1994-06-30	VYDAJ	VYBER	15	25756	SLUZBY	\N	\N
754477	2574	1994-07-31	VYDAJ	VYBER	15	27124	SLUZBY	\N	\N
754478	2574	1994-08-31	VYDAJ	VYBER	15	30106	SLUZBY	\N	\N
754479	2574	1994-09-30	VYDAJ	VYBER	15	31299	SLUZBY	\N	\N
754480	2574	1994-10-31	VYDAJ	VYBER	15	32196	SLUZBY	\N	\N
754481	2574	1994-11-30	VYDAJ	VYBER	15	32696	SLUZBY	\N	\N
754482	2574	1994-12-31	VYDAJ	VYBER	15	33168	SLUZBY	\N	\N
754483	2574	1995-01-31	VYDAJ	VYBER	15	23644	SLUZBY	\N	\N
754484	2574	1995-02-28	VYDAJ	VYBER	15	27309	SLUZBY	\N	\N
754485	2574	1995-03-31	VYDAJ	VYBER	15	29991	SLUZBY	\N	\N
754486	2574	1995-04-30	VYDAJ	VYBER	15	30280	SLUZBY	\N	\N
754487	2574	1995-05-31	VYDAJ	VYBER	15	33274	SLUZBY	\N	\N
754488	2574	1995-06-30	VYDAJ	VYBER	15	34530	SLUZBY	\N	\N
754489	2574	1995-07-31	VYDAJ	VYBER	15	39043	SLUZBY	\N	\N
754490	2574	1995-08-31	VYDAJ	VYBER	15	36862	SLUZBY	\N	\N
754491	2574	1995-09-30	VYDAJ	VYBER	15	41685	SLUZBY	\N	\N
754492	2574	1995-10-31	VYDAJ	VYBER	15	44526	SLUZBY	\N	\N
754493	2574	1995-11-30	VYDAJ	VYBER	15	45673	SLUZBY	\N	\N
754494	2574	1995-12-31	VYDAJ	VYBER	15	46087	SLUZBY	\N	\N
754495	2574	1996-01-31	VYDAJ	VYBER	15	29789	SLUZBY	\N	\N
754496	2574	1996-02-29	VYDAJ	VYBER	15	35384	SLUZBY	\N	\N
754497	2574	1996-03-31	VYDAJ	VYBER	15	41303	SLUZBY	\N	\N
754498	2574	1996-04-30	VYDAJ	VYBER	15	45343	SLUZBY	\N	\N
754499	2574	1996-05-31	VYDAJ	VYBER	15	46293	SLUZBY	\N	\N
754500	2574	1996-06-30	VYDAJ	VYBER	15	42489	SLUZBY	\N	\N
754501	2574	1996-07-31	VYDAJ	VYBER	15	43226	SLUZBY	\N	\N
754502	2574	1996-08-31	VYDAJ	VYBER	15	46772	SLUZBY	\N	\N
754503	2574	1996-09-30	VYDAJ	VYBER	15	46122	SLUZBY	\N	\N
754504	2574	1996-10-31	VYDAJ	VYBER	15	46571	SLUZBY	\N	\N
754505	2574	1996-11-30	VYDAJ	VYBER	15	49929	SLUZBY	\N	\N
754506	2574	1996-12-31	VYDAJ	VYBER	15	52065	SLUZBY	\N	\N
754507	2574	1997-01-31	VYDAJ	VYBER	15	41331	SLUZBY	\N	\N
754508	2574	1997-02-28	VYDAJ	VYBER	15	56398	SLUZBY	\N	\N
754509	2574	1997-03-31	VYDAJ	VYBER	15	60199	SLUZBY	\N	\N
754510	2574	1997-04-30	VYDAJ	VYBER	15	54415	SLUZBY	\N	\N
754511	2574	1997-05-31	VYDAJ	VYBER	15	59510	SLUZBY	\N	\N
754512	2574	1997-06-30	VYDAJ	VYBER	15	67190	SLUZBY	\N	\N
754513	2574	1997-07-31	VYDAJ	VYBER	15	76449	SLUZBY	\N	\N
754514	2574	1997-08-31	VYDAJ	VYBER	15	76119	SLUZBY	\N	\N
754515	2574	1997-09-30	VYDAJ	VYBER	15	77893	SLUZBY	\N	\N
754516	2574	1997-10-31	VYDAJ	VYBER	15	81981	SLUZBY	\N	\N
754517	2574	1997-11-30	VYDAJ	VYBER	15	85083	SLUZBY	\N	\N
754518	2574	1997-12-31	VYDAJ	VYBER	15	93074	SLUZBY	\N	\N
754519	2574	1998-01-31	VYDAJ	VYBER	15	83991	SLUZBY	\N	\N
754520	2574	1998-02-28	VYDAJ	VYBER	15	92516	SLUZBY	\N	\N
754521	2574	1998-03-31	VYDAJ	VYBER	15	99773	SLUZBY	\N	\N
754522	2574	1998-04-30	VYDAJ	VYBER	15	98739	SLUZBY	\N	\N
754523	2574	1998-05-31	VYDAJ	VYBER	15	101319	SLUZBY	\N	\N
754524	2574	1998-06-30	VYDAJ	VYBER	15	45627	SLUZBY	\N	\N
754525	2574	1998-07-31	VYDAJ	VYBER	15	79464	SLUZBY	\N	\N
754526	2574	1998-08-31	VYDAJ	VYBER	15	96594	SLUZBY	\N	\N
754527	2574	1998-09-30	VYDAJ	VYBER	15	108279	SLUZBY	\N	\N
754528	2574	1998-10-31	VYDAJ	VYBER	15	114398	SLUZBY	\N	\N
754529	2574	1998-11-30	VYDAJ	VYBER	15	116931	SLUZBY	\N	\N
754530	2574	1993-03-04	PRIJEM	VKLAD	2900	18358	\N	\N	\N
754531	2574	1993-04-03	VYDAJ	VYBER	6300	26488	\N	\N	\N
754532	2574	1993-05-03	VYDAJ	VYBER	10200	30764	\N	\N	\N
754533	2574	1993-06-02	VYDAJ	VYBER	12600	32665	\N	\N	\N
754534	2574	1993-07-02	VYDAJ	VYBER	13600	40740	\N	\N	\N
754535	2574	1993-08-01	VYDAJ	VYBER	5100	28454	\N	\N	\N
754536	2574	1993-08-31	VYDAJ	VYBER	2300	31049	\N	\N	\N
754537	2574	1993-09-30	VYDAJ	VYBER	3300	32653	\N	\N	\N
754538	2574	1993-10-30	VYDAJ	VYBER	5900	31526	\N	\N	\N
754539	2574	1993-11-29	VYDAJ	VYBER	5300	31136	\N	\N	\N
754540	2574	1993-12-29	VYDAJ	VYBER	4800	32797	\N	\N	\N
754541	2574	1994-01-28	PRIJEM	VKLAD	6300	22301	\N	\N	\N
754542	2574	1994-02-27	PRIJEM	VKLAD	2300	27967	\N	\N	\N
754543	2574	1994-03-29	VYDAJ	VYBER	5200	27625	\N	\N	\N
754544	2574	1994-04-28	VYDAJ	VYBER	2900	26911	\N	\N	\N
754545	2574	1994-05-28	PRIJEM	VKLAD	800	29987	\N	\N	\N
754546	2574	1994-06-27	PRIJEM	VKLAD	2900	25623	\N	\N	\N
754547	2574	1994-07-27	PRIJEM	VKLAD	300	27029	\N	\N	\N
754548	2574	1994-08-26	VYDAJ	VYBER	1900	29997	\N	\N	\N
754549	2574	1994-09-25	VYDAJ	VYBER	3700	31179	\N	\N	\N
754550	2574	1994-10-25	VYDAJ	VYBER	4000	32072	\N	\N	\N
754551	2574	1994-11-24	VYDAJ	VYBER	4400	32569	\N	\N	\N
754552	2574	1994-12-24	VYDAJ	VYBER	10600	33028	\N	\N	\N
754553	2574	1995-01-23	PRIJEM	VKLAD	1700	25941	\N	\N	\N
754554	2574	1995-02-22	PRIJEM	VKLAD	1800	27217	\N	\N	\N
754555	2574	1995-03-24	VYDAJ	VYBER	2200	29882	\N	\N	\N
754556	2574	1995-04-23	VYDAJ	VYBER	4600	30164	\N	\N	\N
754557	2574	1995-05-23	VYDAJ	VYBER	100	33153	\N	\N	\N
754558	2574	1995-06-22	PRIJEM	VKLAD	3100	34406	\N	\N	\N
754559	2574	1995-07-22	VYDAJ	VYBER	400	38903	\N	\N	\N
754560	2574	1995-08-21	VYDAJ	VYBER	5300	36716	\N	\N	\N
754561	2574	1995-09-20	VYDAJ	VYBER	100	41535	\N	\N	\N
754562	2574	1995-10-20	VYDAJ	VYBER	2100	44358	\N	\N	\N
754563	2574	1995-11-19	VYDAJ	VYBER	1400	45499	\N	\N	\N
754564	2574	1995-12-19	VYDAJ	VYBER	9000	45905	\N	\N	\N
754565	2574	1996-01-18	VYDAJ	VYBER	100	36360	\N	\N	\N
754566	2574	1996-02-17	PRIJEM	VKLAD	700	35262	\N	\N	\N
754567	2574	1996-03-18	PRIJEM	VKLAD	1000	41157	\N	\N	\N
754568	2574	1996-04-17	VYDAJ	VYBER	900	45176	\N	\N	\N
754569	2574	1996-05-17	VYDAJ	VYBER	4000	46116	\N	\N	\N
754570	2574	1996-06-16	PRIJEM	VKLAD	1400	42325	\N	\N	\N
754571	2574	1996-07-16	VYDAJ	VYBER	4200	43062	\N	\N	\N
754572	2574	1996-08-15	VYDAJ	VYBER	1400	46599	\N	\N	\N
754573	2574	1996-09-14	VYDAJ	VYBER	5600	45945	\N	\N	\N
754574	2574	1996-10-14	VYDAJ	VYBER	3100	46395	\N	\N	\N
754575	2574	1996-11-13	VYDAJ	VYBER	1600	49744	\N	\N	\N
754576	2574	1996-12-13	VYDAJ	VYBER	4100	57761	\N	\N	\N
754577	2574	1997-01-12	PRIJEM	VKLAD	900	41819	\N	\N	\N
754578	2574	1997-02-11	PRIJEM	VKLAD	10100	51431	\N	\N	\N
754579	2574	1997-03-13	VYDAJ	VYBER	1200	59971	\N	\N	\N
754580	2574	1997-04-12	VYDAJ	VYBER	6100	58872	\N	\N	\N
754581	2574	1997-05-12	PRIJEM	VKLAD	100	44969	\N	\N	\N
754582	2574	1997-06-11	PRIJEM	VKLAD	13500	55010	\N	\N	\N
754583	2574	1997-07-11	PRIJEM	VKLAD	4200	71390	\N	\N	\N
754584	2574	1997-08-10	VYDAJ	VYBER	5400	71049	\N	\N	\N
754585	2574	1997-09-09	VYDAJ	VYBER	3300	72819	\N	\N	\N
754586	2574	1997-10-09	VYDAJ	VYBER	1000	76893	\N	\N	\N
754587	2574	1997-11-08	VYDAJ	VYBER	2000	79981	\N	\N	\N
754588	2574	1997-12-08	PRIJEM	VKLAD	900	83483	\N	\N	\N
754589	2574	1998-01-07	PRIJEM	VKLAD	700	91274	\N	\N	\N
754590	2574	1998-02-06	PRIJEM	VKLAD	4600	88591	\N	\N	\N
754591	2574	1998-03-08	PRIJEM	VKLAD	2100	94616	\N	\N	\N
754592	2574	1998-04-07	VYDAJ	VYBER	3900	95873	\N	\N	\N
754593	2574	1998-05-07	PRIJEM	VKLAD	1600	100339	\N	\N	\N
754594	2574	1998-06-06	PRIJEM	VKLAD	2100	103419	\N	\N	\N
754595	2574	1998-06-12	VYDAJ	VYBER	59500	55851	\N	\N	\N
754596	2574	1998-07-06	PRIJEM	VKLAD	29700	75327	\N	\N	\N
754597	2574	1998-08-05	PRIJEM	VKLAD	13800	93264	\N	\N	\N
754598	2574	1998-09-04	PRIJEM	VKLAD	6500	103094	\N	\N	\N
754599	2574	1998-10-04	PRIJEM	VKLAD	900	109179	\N	\N	\N
754600	2574	1998-11-03	VYDAJ	VYBER	2700	111698	\N	\N	\N
754601	2574	1998-11-30	VYDAJ	VYBER	32700	84231	\N	\N	\N
754602	2574	1998-12-03	PRIJEM	VKLAD	14700	98931	\N	\N	\N
754674	2575	1997-04-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
754679	2575	1997-05-10	PRIJEM	PREVOD Z UCTU	6618	7618	DUCHOD	AB	88123094
754680	2575	1997-06-10	PRIJEM	PREVOD Z UCTU	6618	14236	DUCHOD	AB	88123094
754681	2575	1997-07-10	PRIJEM	PREVOD Z UCTU	6618	20854	DUCHOD	AB	88123094
754682	2575	1997-08-10	PRIJEM	PREVOD Z UCTU	6618	27472	DUCHOD	AB	88123094
754683	2575	1997-09-10	PRIJEM	PREVOD Z UCTU	6618	29454	DUCHOD	AB	88123094
754684	2575	1997-10-10	PRIJEM	PREVOD Z UCTU	6618	32992	DUCHOD	AB	88123094
754685	2575	1997-11-10	PRIJEM	PREVOD Z UCTU	6618	26449	DUCHOD	AB	88123094
754686	2575	1997-12-10	PRIJEM	PREVOD Z UCTU	6618	24499	DUCHOD	AB	88123094
754687	2575	1998-01-10	PRIJEM	PREVOD Z UCTU	6618	20405	DUCHOD	AB	88123094
754688	2575	1998-02-10	PRIJEM	PREVOD Z UCTU	6618	16789	DUCHOD	AB	88123094
754689	2575	1998-03-10	PRIJEM	PREVOD Z UCTU	6618	19198	DUCHOD	AB	88123094
754690	2575	1998-04-10	PRIJEM	PREVOD Z UCTU	6618	22699	DUCHOD	AB	88123094
754691	2575	1998-05-10	PRIJEM	PREVOD Z UCTU	6618	24970	DUCHOD	AB	88123094
754692	2575	1998-06-10	PRIJEM	PREVOD Z UCTU	6618	28094	DUCHOD	AB	88123094
754693	2575	1998-07-10	PRIJEM	PREVOD Z UCTU	6618	22615	DUCHOD	AB	88123094
754694	2575	1998-08-10	PRIJEM	PREVOD Z UCTU	6618	22086	DUCHOD	AB	88123094
754695	2575	1998-09-10	PRIJEM	PREVOD Z UCTU	6618	19390	DUCHOD	AB	88123094
754696	2575	1998-10-10	PRIJEM	PREVOD Z UCTU	6618	21490	DUCHOD	AB	88123094
754697	2575	1998-11-10	PRIJEM	PREVOD Z UCTU	6618	25601	DUCHOD	AB	88123094
754698	2575	1998-12-10	PRIJEM	PREVOD Z UCTU	6618	26127	DUCHOD	AB	88123094
754708	2575	1997-10-06	VYDAJ	PREVOD NA UCET	407	28545	SIPO	ST	15963220
754709	2575	1997-11-06	VYDAJ	PREVOD NA UCET	407	24302	SIPO	ST	15963220
754710	2575	1997-12-06	VYDAJ	PREVOD NA UCET	407	22952	SIPO	ST	15963220
754711	2575	1998-01-06	VYDAJ	PREVOD NA UCET	407	21058	SIPO	ST	15963220
754712	2575	1998-02-06	VYDAJ	PREVOD NA UCET	407	12342	SIPO	ST	15963220
754713	2575	1998-03-06	VYDAJ	PREVOD NA UCET	407	14751	SIPO	ST	15963220
754714	2575	1998-04-06	VYDAJ	PREVOD NA UCET	407	18852	SIPO	ST	15963220
754715	2575	1998-05-06	VYDAJ	PREVOD NA UCET	407	20523	SIPO	ST	15963220
754716	2575	1998-06-06	VYDAJ	PREVOD NA UCET	407	24647	SIPO	ST	15963220
754717	2575	1998-07-06	VYDAJ	PREVOD NA UCET	407	19568	SIPO	ST	15963220
754718	2575	1998-08-06	VYDAJ	PREVOD NA UCET	407	17639	SIPO	ST	15963220
754719	2575	1998-09-06	VYDAJ	PREVOD NA UCET	407	14943	SIPO	ST	15963220
754720	2575	1998-10-06	VYDAJ	PREVOD NA UCET	407	19043	SIPO	ST	15963220
754721	2575	1998-11-06	VYDAJ	PREVOD NA UCET	407	21154	SIPO	ST	15963220
754722	2575	1998-12-06	VYDAJ	PREVOD NA UCET	407	21680	SIPO	ST	15963220
754732	2575	1997-10-09	VYDAJ	PREVOD NA UCET	2171	26374	 	UV	83146077
754733	2575	1997-11-09	VYDAJ	PREVOD NA UCET	2171	22131	 	UV	83146077
754734	2575	1997-12-09	VYDAJ	PREVOD NA UCET	2171	17881	 	UV	83146077
754735	2575	1998-01-09	VYDAJ	PREVOD NA UCET	2171	13787	 	UV	83146077
754736	2575	1998-02-09	VYDAJ	PREVOD NA UCET	2171	10171	 	UV	83146077
754737	2575	1998-03-09	VYDAJ	PREVOD NA UCET	2171	12580	 	UV	83146077
754738	2575	1998-04-09	VYDAJ	PREVOD NA UCET	2171	16081	 	UV	83146077
754739	2575	1998-05-09	VYDAJ	PREVOD NA UCET	2171	18352	 	UV	83146077
754740	2575	1998-06-09	VYDAJ	PREVOD NA UCET	2171	21476	 	UV	83146077
754741	2575	1998-07-09	VYDAJ	PREVOD NA UCET	2171	15997	 	UV	83146077
754742	2575	1998-08-09	VYDAJ	PREVOD NA UCET	2171	15468	 	UV	83146077
754743	2575	1998-09-09	VYDAJ	PREVOD NA UCET	2171	12772	 	UV	83146077
754744	2575	1998-10-09	VYDAJ	PREVOD NA UCET	2171	14872	 	UV	83146077
754745	2575	1998-11-09	VYDAJ	PREVOD NA UCET	2171	18983	 	UV	83146077
754746	2575	1998-12-09	VYDAJ	PREVOD NA UCET	2171	19509	 	UV	83146077
754748	2575	1998-06-16	VYDAJ	VYBER	8200	19894	\N	\N	\N
754750	2575	1998-01-30	VYDAJ	VYBER	1950	12695	\N	\N	\N
754751	2575	1997-12-02	VYDAJ	VYBER	1100	23359	\N	\N	\N
754752	2575	1998-12-21	VYDAJ	VYBER	300	24147	\N	\N	\N
754759	2575	1998-01-10	VYDAJ	VYBER	2160	16405	\N	\N	\N
754760	2575	1998-01-12	VYDAJ	VYBER	1200	15205	\N	\N	\N
754761	2575	1998-01-22	VYDAJ	VYBER	560	14645	\N	\N	\N
754762	2575	1998-01-03	VYDAJ	VYBER	1120	21465	\N	\N	\N
754763	2575	1998-01-02	VYDAJ	VYBER	1440	22585	\N	\N	\N
754764	2575	1998-01-10	VYDAJ	VYBER	1840	18565	\N	\N	\N
754765	2575	1997-12-27	VYDAJ	VYBER	560	23939	\N	\N	\N
754768	2575	1997-11-22	VYDAJ	VYBER	2080	24369	\N	\N	\N
754770	2575	1998-04-15	VYDAJ	VYBER	1840	20859	\N	\N	\N
754771	2575	1998-08-16	VYDAJ	VYBER	3920	18166	\N	\N	\N
754772	2575	1998-07-15	VYDAJ	VYBER	1840	20775	\N	\N	\N
754773	2575	1998-08-25	VYDAJ	VYBER	640	17526	\N	\N	\N
754774	2575	1998-12-12	VYDAJ	VYBER	1680	24447	\N	\N	\N
754776	2575	1998-03-05	VYDAJ	VYBER	1680	15158	\N	\N	\N
754777	2575	1998-10-06	VYDAJ	VYBER	2000	17043	\N	\N	\N
754778	2575	1998-08-29	VYDAJ	VYBER	2240	15286	\N	\N	\N
754788	2575	1997-09-30	VYDAJ	VYBER	15	28952	SLUZBY	\N	\N
754789	2575	1997-10-31	VYDAJ	VYBER	15	24709	SLUZBY	\N	\N
754790	2575	1997-11-30	VYDAJ	VYBER	15	24459	SLUZBY	\N	\N
754791	2575	1997-12-31	VYDAJ	VYBER	15	24025	SLUZBY	\N	\N
754792	2575	1998-01-31	VYDAJ	VYBER	15	12749	SLUZBY	\N	\N
754793	2575	1998-02-28	VYDAJ	VYBER	15	16838	SLUZBY	\N	\N
754794	2575	1998-03-31	VYDAJ	VYBER	15	19259	SLUZBY	\N	\N
754795	2575	1998-04-30	VYDAJ	VYBER	15	20930	SLUZBY	\N	\N
754796	2575	1998-05-31	VYDAJ	VYBER	15	25054	SLUZBY	\N	\N
754797	2575	1998-06-30	VYDAJ	VYBER	15	19975	SLUZBY	\N	\N
754798	2575	1998-07-31	VYDAJ	VYBER	15	20846	SLUZBY	\N	\N
754799	2575	1998-08-31	VYDAJ	VYBER	15	15350	SLUZBY	\N	\N
754800	2575	1998-09-30	VYDAJ	VYBER	15	19450	SLUZBY	\N	\N
754801	2575	1998-10-31	VYDAJ	VYBER	15	21561	SLUZBY	\N	\N
754802	2575	1998-11-30	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
754803	2575	1997-08-11	VYDAJ	VYBER	4700	22772	\N	\N	\N
754804	2575	1997-09-10	VYDAJ	VYBER	600	28854	\N	\N	\N
754805	2575	1997-10-10	VYDAJ	VYBER	8400	24592	\N	\N	\N
754806	2575	1997-11-09	VYDAJ	VYBER	2300	19831	\N	\N	\N
754807	2575	1997-12-09	VYDAJ	VYBER	2900	20052	\N	\N	\N
754808	2575	1998-01-08	VYDAJ	VYBER	5100	15958	\N	\N	\N
754809	2575	1998-04-08	VYDAJ	VYBER	600	18252	\N	\N	\N
754810	2575	1998-06-07	VYDAJ	VYBER	1000	23647	\N	\N	\N
754811	2575	1998-07-07	VYDAJ	VYBER	1400	18168	\N	\N	\N
754812	2575	1998-08-06	VYDAJ	VYBER	2800	18046	\N	\N	\N
754813	2575	1998-12-04	VYDAJ	VYBER	3600	22087	\N	\N	\N
754831	2576	1993-09-02	PRIJEM	VKLAD	500	500	\N	\N	\N
754835	2576	1993-10-11	PRIJEM	VKLAD	17194	82641	\N	\N	\N
754836	2576	1993-09-06	PRIJEM	VKLAD	39722	40222	\N	\N	\N
754840	2576	1993-12-21	PRIJEM	VKLAD	16359	64390	\N	\N	\N
754844	2576	1993-10-15	PRIJEM	VKLAD	43473	126114	\N	\N	\N
754846	2576	1993-09-22	PRIJEM	VKLAD	28351	103874	\N	\N	\N
754849	2576	1993-12-06	PRIJEM	VKLAD	24745	46331	\N	\N	\N
754852	2576	1993-12-14	PRIJEM	VKLAD	9806	48031	\N	\N	\N
754854	2576	1993-09-11	PRIJEM	VKLAD	35301	75523	\N	\N	\N
754855	2576	1995-10-14	PRIJEM	VKLAD	16746	80633	\N	\N	\N
754856	2576	1995-09-26	PRIJEM	VKLAD	24708	52907	\N	\N	\N
754857	2576	1995-11-11	PRIJEM	VKLAD	16709	66884	\N	\N	\N
754858	2576	1995-07-19	PRIJEM	VKLAD	15259	84966	\N	\N	\N
754859	2576	1995-02-11	PRIJEM	VKLAD	29602	46291	\N	\N	\N
754860	2576	1995-07-19	PRIJEM	VKLAD	22686	69707	\N	\N	\N
754861	2576	1995-10-13	PRIJEM	VKLAD	18942	63887	\N	\N	\N
754862	2576	1995-07-26	PRIJEM	VKLAD	39267	97033	\N	\N	\N
754863	2576	1995-12-09	PRIJEM	VKLAD	10868	28831	\N	\N	\N
754864	2576	1995-11-09	PRIJEM	VKLAD	35880	50175	\N	\N	\N
754865	2576	1995-06-30	PRIJEM	VKLAD	18907	69775	\N	\N	\N
754866	2576	1995-03-30	PRIJEM	VKLAD	49893	83181	\N	\N	\N
754867	2576	1995-06-19	PRIJEM	VKLAD	24989	64954	\N	\N	\N
754868	2576	1995-07-02	PRIJEM	VKLAD	14304	84221	\N	\N	\N
754869	2576	1995-06-29	PRIJEM	VKLAD	16714	50868	\N	\N	\N
754870	2576	1995-01-05	PRIJEM	VKLAD	48128	64951	\N	\N	\N
754871	2576	1995-08-07	PRIJEM	VKLAD	35864	126767	\N	\N	\N
754872	2576	1995-08-21	PRIJEM	VKLAD	38046	125713	\N	\N	\N
754873	2576	1995-03-21	PRIJEM	VKLAD	13175	38488	\N	\N	\N
754874	2576	1995-11-18	PRIJEM	VKLAD	41288	108172	\N	\N	\N
754875	2576	1995-06-13	PRIJEM	VKLAD	19346	39965	\N	\N	\N
754876	2576	1995-04-06	PRIJEM	VKLAD	24776	90998	\N	\N	\N
754877	2576	1995-07-29	PRIJEM	VKLAD	32308	129341	\N	\N	\N
754878	2576	1995-12-13	PRIJEM	VKLAD	20518	49349	\N	\N	\N
754879	2576	1996-05-19	PRIJEM	VKLAD	42304	112136	\N	\N	\N
754880	2576	1996-02-01	PRIJEM	VKLAD	35723	60601	\N	\N	\N
754881	2576	1996-07-07	PRIJEM	VKLAD	23533	98515	\N	\N	\N
754882	2576	1996-12-09	PRIJEM	VKLAD	44612	106506	\N	\N	\N
754883	2576	1996-01-07	PRIJEM	VKLAD	38956	56025	\N	\N	\N
754884	2576	1996-09-05	PRIJEM	VKLAD	7215	35506	\N	\N	\N
754885	2576	1996-11-27	PRIJEM	VKLAD	6594	41689	\N	\N	\N
754886	2576	1996-09-06	PRIJEM	VKLAD	23862	106910	\N	\N	\N
754887	2576	1996-09-06	PRIJEM	VKLAD	47542	83048	\N	\N	\N
754888	2576	1996-06-22	PRIJEM	VKLAD	42525	82817	\N	\N	\N
754889	2576	1996-03-30	PRIJEM	VKLAD	36668	74901	\N	\N	\N
754890	2576	1996-04-29	PRIJEM	VKLAD	45144	77747	\N	\N	\N
754891	2576	1996-02-12	PRIJEM	VKLAD	19569	72064	\N	\N	\N
754892	2576	1996-01-25	PRIJEM	VKLAD	20209	47236	\N	\N	\N
754893	2576	1996-11-20	PRIJEM	VKLAD	10771	35095	\N	\N	\N
754894	2576	1996-02-29	PRIJEM	VKLAD	36585	80149	\N	\N	\N
754895	2576	1996-12-07	PRIJEM	VKLAD	28184	61894	\N	\N	\N
754896	2576	1997-12-21	PRIJEM	VKLAD	7818	28684	\N	\N	\N
754897	2576	1997-10-29	PRIJEM	VKLAD	20761	39994	\N	\N	\N
754898	2576	1997-05-07	PRIJEM	VKLAD	38776	50129	\N	\N	\N
754899	2576	1997-11-06	PRIJEM	VKLAD	12179	50742	\N	\N	\N
754900	2576	1997-05-10	PRIJEM	VKLAD	31690	81819	\N	\N	\N
754901	2576	1998-05-30	PRIJEM	VKLAD	20031	60439	\N	\N	\N
754902	2576	1998-09-09	PRIJEM	VKLAD	20969	58547	\N	\N	\N
754903	2576	1998-10-19	PRIJEM	VKLAD	9564	46433	\N	\N	\N
754904	2576	1998-06-13	PRIJEM	VKLAD	20749	46774	\N	\N	\N
754905	2576	1998-09-23	PRIJEM	VKLAD	43370	101917	\N	\N	\N
754906	2576	1998-10-28	PRIJEM	VKLAD	17136	78636	\N	\N	\N
754907	2576	1998-05-06	PRIJEM	VKLAD	30131	70710	\N	\N	\N
754908	2576	1998-04-20	PRIJEM	VKLAD	26418	46302	\N	\N	\N
754909	2576	1998-01-24	PRIJEM	VKLAD	9534	86667	\N	\N	\N
754910	2576	1998-10-01	PRIJEM	VKLAD	28886	118075	\N	\N	\N
754911	2576	1998-11-23	PRIJEM	VKLAD	12342	43532	\N	\N	\N
754912	2576	1998-05-27	PRIJEM	VKLAD	14545	40408	\N	\N	\N
754913	2576	1998-01-12	PRIJEM	VKLAD	21728	47266	\N	\N	\N
754914	2576	1998-01-15	PRIJEM	VKLAD	40067	85533	\N	\N	\N
754915	2576	1998-08-26	PRIJEM	VKLAD	35849	49281	\N	\N	\N
754916	2576	1998-06-17	PRIJEM	VKLAD	26989	73763	\N	\N	\N
754917	2576	1998-01-08	PRIJEM	VKLAD	6674	27338	\N	\N	\N
754918	2576	1998-03-01	PRIJEM	VKLAD	21171	62655	\N	\N	\N
754919	2576	1998-10-23	PRIJEM	VKLAD	15067	61500	\N	\N	\N
754920	2576	1998-04-29	PRIJEM	VKLAD	13497	40473	\N	\N	\N
754921	2576	1998-09-05	PRIJEM	VKLAD	7109	56484	\N	\N	\N
754922	2576	1998-12-23	PRIJEM	VKLAD	41829	67220	\N	\N	\N
754923	2576	1998-02-05	PRIJEM	VKLAD	36680	66420	\N	\N	\N
754934	2576	1993-11-06	VYDAJ	PREVOD NA UCET	8106	33180	SIPO	IJ	24689656
754935	2576	1993-12-06	VYDAJ	PREVOD NA UCET	8106	38225	SIPO	IJ	24689656
754936	2576	1994-01-06	VYDAJ	PREVOD NA UCET	8106	29554	SIPO	IJ	24689656
754937	2576	1994-02-06	VYDAJ	PREVOD NA UCET	8106	15642	SIPO	IJ	24689656
754938	2576	1994-03-06	VYDAJ	PREVOD NA UCET	8106	12819	SIPO	IJ	24689656
754939	2576	1994-04-06	VYDAJ	PREVOD NA UCET	8106	10055	SIPO	IJ	24689656
754940	2576	1994-05-06	VYDAJ	PREVOD NA UCET	8106	10710	SIPO	IJ	24689656
754941	2576	1994-06-06	VYDAJ	PREVOD NA UCET	8106	9467	SIPO	IJ	24689656
754942	2576	1994-07-06	VYDAJ	PREVOD NA UCET	8106	10120	SIPO	IJ	24689656
754943	2576	1994-08-06	VYDAJ	PREVOD NA UCET	8106	8975	SIPO	IJ	24689656
754944	2576	1994-09-06	VYDAJ	PREVOD NA UCET	8106	7324	SIPO	IJ	24689656
754945	2576	1994-10-06	VYDAJ	PREVOD NA UCET	8106	6767	SIPO	IJ	24689656
754946	2576	1994-11-06	VYDAJ	PREVOD NA UCET	8106	9711	SIPO	IJ	24689656
754947	2576	1994-12-06	VYDAJ	PREVOD NA UCET	8106	9964	SIPO	IJ	24689656
754948	2576	1995-01-06	VYDAJ	PREVOD NA UCET	8106	56845	SIPO	IJ	24689656
754949	2576	1995-02-06	VYDAJ	PREVOD NA UCET	8106	16689	SIPO	IJ	24689656
754950	2576	1995-03-06	VYDAJ	PREVOD NA UCET	8106	25313	SIPO	IJ	24689656
754951	2576	1995-04-06	VYDAJ	PREVOD NA UCET	8106	82892	SIPO	IJ	24689656
754952	2576	1995-05-06	VYDAJ	PREVOD NA UCET	8106	39875	SIPO	IJ	24689656
754953	2576	1995-06-06	VYDAJ	PREVOD NA UCET	8106	20619	SIPO	IJ	24689656
754954	2576	1995-07-06	VYDAJ	PREVOD NA UCET	8106	70493	SIPO	IJ	24689656
754955	2576	1995-08-06	VYDAJ	PREVOD NA UCET	8106	90903	SIPO	IJ	24689656
754956	2576	1995-09-06	VYDAJ	PREVOD NA UCET	8106	28499	SIPO	IJ	24689656
754957	2576	1995-10-06	VYDAJ	PREVOD NA UCET	8106	44945	SIPO	IJ	24689656
754958	2576	1995-11-06	VYDAJ	PREVOD NA UCET	8106	14295	SIPO	IJ	24689656
754959	2576	1995-12-06	VYDAJ	PREVOD NA UCET	8106	17963	SIPO	IJ	24689656
754960	2576	1996-01-06	VYDAJ	PREVOD NA UCET	8106	17069	SIPO	IJ	24689656
754961	2576	1996-02-06	VYDAJ	PREVOD NA UCET	8106	52495	SIPO	IJ	24689656
754962	2576	1996-03-06	VYDAJ	PREVOD NA UCET	8106	58313	SIPO	IJ	24689656
754963	2576	1996-04-06	VYDAJ	PREVOD NA UCET	8106	48303	SIPO	IJ	24689656
754964	2576	1996-05-06	VYDAJ	PREVOD NA UCET	8106	69832	SIPO	IJ	24689656
754965	2576	1996-06-06	VYDAJ	PREVOD NA UCET	8106	59992	SIPO	IJ	24689656
754966	2576	1996-07-06	VYDAJ	PREVOD NA UCET	8106	74982	SIPO	IJ	24689656
754967	2576	1996-08-06	VYDAJ	PREVOD NA UCET	8106	38750	SIPO	IJ	24689656
754968	2576	1996-09-06	VYDAJ	PREVOD NA UCET	8106	98804	SIPO	IJ	24689656
754969	2576	1996-10-06	VYDAJ	PREVOD NA UCET	8106	40678	SIPO	IJ	24689656
754970	2576	1996-11-06	VYDAJ	PREVOD NA UCET	8106	24324	SIPO	IJ	24689656
754971	2576	1996-12-06	VYDAJ	PREVOD NA UCET	8106	33710	SIPO	IJ	24689656
754972	2576	1997-01-06	VYDAJ	PREVOD NA UCET	8106	39960	SIPO	IJ	24689656
754973	2576	1997-02-06	VYDAJ	PREVOD NA UCET	8106	18473	SIPO	IJ	24689656
754974	2576	1997-03-06	VYDAJ	PREVOD NA UCET	8106	11444	SIPO	IJ	24689656
754975	2576	1997-04-06	VYDAJ	PREVOD NA UCET	8106	9498	SIPO	IJ	24689656
754976	2576	1997-05-06	VYDAJ	PREVOD NA UCET	8106	11353	SIPO	IJ	24689656
754977	2576	1997-06-06	VYDAJ	PREVOD NA UCET	8106	45405	SIPO	IJ	24689656
754978	2576	1997-07-06	VYDAJ	PREVOD NA UCET	8106	22547	SIPO	IJ	24689656
754979	2576	1997-08-06	VYDAJ	PREVOD NA UCET	8106	12626	SIPO	IJ	24689656
754980	2576	1997-09-06	VYDAJ	PREVOD NA UCET	8106	9982	SIPO	IJ	24689656
754981	2576	1997-10-06	VYDAJ	PREVOD NA UCET	8106	9533	SIPO	IJ	24689656
754982	2576	1997-11-06	VYDAJ	PREVOD NA UCET	8106	42636	SIPO	IJ	24689656
754983	2576	1997-12-06	VYDAJ	PREVOD NA UCET	8106	18466	SIPO	IJ	24689656
754984	2576	1998-01-06	VYDAJ	PREVOD NA UCET	8106	20664	SIPO	IJ	24689656
754985	2576	1998-02-06	VYDAJ	PREVOD NA UCET	8106	58314	SIPO	IJ	24689656
754986	2576	1998-03-06	VYDAJ	PREVOD NA UCET	8106	54549	SIPO	IJ	24689656
754987	2576	1998-04-06	VYDAJ	PREVOD NA UCET	8106	21284	SIPO	IJ	24689656
754988	2576	1998-05-06	VYDAJ	PREVOD NA UCET	8106	62604	SIPO	IJ	24689656
754989	2576	1998-06-06	VYDAJ	PREVOD NA UCET	8106	52469	SIPO	IJ	24689656
754990	2576	1998-07-06	VYDAJ	PREVOD NA UCET	8106	19148	SIPO	IJ	24689656
754991	2576	1998-08-06	VYDAJ	PREVOD NA UCET	8106	13432	SIPO	IJ	24689656
754992	2576	1998-09-06	VYDAJ	PREVOD NA UCET	8106	37578	SIPO	IJ	24689656
754993	2576	1998-10-06	VYDAJ	PREVOD NA UCET	8106	52569	SIPO	IJ	24689656
754994	2576	1998-11-06	VYDAJ	PREVOD NA UCET	8106	38090	SIPO	IJ	24689656
754995	2576	1998-12-06	VYDAJ	PREVOD NA UCET	8106	25391	SIPO	IJ	24689656
754999	2576	1993-11-14	VYBER	VYBER	12608	20572	\N	\N	\N
755015	2576	1995-07-10	VYBER	VYBER	23472	47021	\N	\N	\N
755016	2576	1995-02-17	VYBER	VYBER	8399	37892	\N	\N	\N
755017	2576	1995-07-06	VYBER	VYBER	5622	78599	\N	\N	\N
755021	2576	1995-08-26	VYBER	VYBER	22590	36223	\N	\N	\N
755022	2576	1995-10-20	VYBER	VYBER	15724	64909	\N	\N	\N
755024	2576	1995-10-29	VYBER	VYBER	21920	22189	\N	\N	\N
755026	2576	1995-12-06	VYBER	VYBER	8958	26069	\N	\N	\N
755027	2576	1995-04-07	VYBER	VYBER	10488	72404	\N	\N	\N
755028	2576	1996-03-17	VYBER	VYBER	6080	52233	\N	\N	\N
755029	2576	1996-01-20	VYBER	VYBER	8198	33727	\N	\N	\N
755030	2576	1996-09-08	VYBER	VYBER	13545	85259	\N	\N	\N
755031	2576	1996-04-03	VYBER	VYBER	18709	56409	\N	\N	\N
755032	2576	1996-07-12	VYBER	VYBER	12024	77791	\N	\N	\N
755033	2576	1996-03-04	VYBER	VYBER	13922	66419	\N	\N	\N
755036	2576	1998-06-07	VYBER	VYBER	19644	32825	\N	\N	\N
755039	2576	1998-04-26	VYBER	VYBER	19326	26976	\N	\N	\N
755041	2576	1998-02-04	VYBER	VYBER	23242	29740	\N	\N	\N
755042	2576	1998-07-01	VYBER	VYBER	24827	27254	\N	\N	\N
755043	2576	1998-12-29	VYBER	VYBER	3726	63494	\N	\N	\N
755044	2576	1998-09-26	VYBER	VYBER	12977	88940	\N	\N	\N
755045	2576	1998-05-11	VYBER	VYBER	14241	25863	\N	\N	\N
755048	2576	1995-06-20	VYDAJ	VYBER	16500	48454	\N	\N	\N
755051	2576	1998-06-29	VYDAJ	VYBER	21900	51863	\N	\N	\N
755055	2576	1996-01-28	VYDAJ	VYBER	11700	29836	\N	\N	\N
755057	2576	1998-01-30	VYDAJ	VYBER	24900	52767	\N	\N	\N
755058	2576	1993-12-22	VYDAJ	VYBER	6900	57490	\N	\N	\N
755061	2576	1996-12-28	VYDAJ	VYBER	7500	55606	\N	\N	\N
755071	2576	1994-01-02	VYDAJ	VYBER	6000	37660	\N	\N	\N
755072	2576	1994-01-11	VYDAJ	VYBER	7500	22054	\N	\N	\N
755075	2576	1994-01-17	VYDAJ	VYBER	1500	20554	\N	\N	\N
755077	2576	1995-01-16	VYDAJ	VYBER	6000	49345	\N	\N	\N
755079	2576	1995-01-14	VYDAJ	VYBER	1500	55345	\N	\N	\N
755080	2576	1995-01-20	VYDAJ	VYBER	7800	41545	\N	\N	\N
755081	2576	1995-01-28	VYDAJ	VYBER	5100	24645	\N	\N	\N
755082	2576	1996-01-11	VYDAJ	VYBER	6900	49125	\N	\N	\N
755083	2576	1996-01-18	VYDAJ	VYBER	7200	41925	\N	\N	\N
755085	2576	1996-01-28	VYDAJ	VYBER	5100	24736	\N	\N	\N
755086	2576	1996-01-27	VYDAJ	VYBER	5700	41536	\N	\N	\N
755088	2576	1997-01-10	VYDAJ	VYBER	4200	27060	\N	\N	\N
755089	2576	1997-01-01	VYDAJ	VYBER	7800	48066	\N	\N	\N
755090	2576	1997-01-09	VYDAJ	VYBER	2400	31260	\N	\N	\N
755092	2576	1997-01-07	VYDAJ	VYBER	6300	33660	\N	\N	\N
755095	2576	1998-01-13	VYDAJ	VYBER	1800	45466	\N	\N	\N
755096	2576	1998-01-25	VYDAJ	VYBER	5700	77667	\N	\N	\N
755097	2576	1998-01-17	VYDAJ	VYBER	2700	82833	\N	\N	\N
755098	2576	1998-01-24	VYDAJ	VYBER	3300	83367	\N	\N	\N
755099	2576	1998-01-18	VYDAJ	VYBER	5700	77133	\N	\N	\N
755102	2576	1993-10-22	VYDAJ	VYBER	7500	62014	\N	\N	\N
755108	2576	1995-04-03	VYDAJ	VYBER	14700	66222	\N	\N	\N
755110	2576	1995-01-23	VYDAJ	VYBER	10200	31345	\N	\N	\N
755111	2576	1995-03-31	VYDAJ	VYBER	2400	80922	\N	\N	\N
755112	2576	1995-05-19	VYDAJ	VYBER	12600	27275	\N	\N	\N
755113	2576	1995-12-25	VYDAJ	VYBER	9000	25049	\N	\N	\N
755114	2576	1996-07-09	VYDAJ	VYBER	8700	89815	\N	\N	\N
755116	2576	1996-09-15	VYDAJ	VYBER	12000	73259	\N	\N	\N
755117	2576	1996-02-15	VYDAJ	VYBER	5100	66964	\N	\N	\N
755120	2576	1997-11-05	VYDAJ	VYBER	1500	38563	\N	\N	\N
755121	2576	1997-01-18	VYDAJ	VYBER	1500	26460	\N	\N	\N
755123	2576	1997-11-29	VYDAJ	VYBER	3600	30336	\N	\N	\N
755125	2576	1997-12-04	VYDAJ	VYBER	3900	26572	\N	\N	\N
755127	2576	1998-03-29	VYDAJ	VYBER	6000	29249	\N	\N	\N
755128	2576	1998-11-14	VYDAJ	VYBER	6900	31190	\N	\N	\N
755139	2576	1993-10-31	VYDAJ	VYBER	15	62386	SLUZBY	\N	\N
755140	2576	1993-11-30	VYDAJ	VYBER	15	20686	SLUZBY	\N	\N
755141	2576	1993-12-31	VYDAJ	VYBER	15	43660	SLUZBY	\N	\N
755142	2576	1994-01-31	VYDAJ	VYBER	15	23748	SLUZBY	\N	\N
755143	2576	1994-02-28	VYDAJ	VYBER	15	15725	SLUZBY	\N	\N
755144	2576	1994-03-31	VYDAJ	VYBER	15	18161	SLUZBY	\N	\N
755145	2576	1994-04-30	VYDAJ	VYBER	15	18816	SLUZBY	\N	\N
755146	2576	1994-05-31	VYDAJ	VYBER	15	17573	SLUZBY	\N	\N
755147	2576	1994-06-30	VYDAJ	VYBER	15	18226	SLUZBY	\N	\N
755148	2576	1994-07-31	VYDAJ	VYBER	15	17081	SLUZBY	\N	\N
755149	2576	1994-08-31	VYDAJ	VYBER	15	15430	SLUZBY	\N	\N
755150	2576	1994-09-30	VYDAJ	VYBER	15	14873	SLUZBY	\N	\N
755151	2576	1994-10-31	VYDAJ	VYBER	15	17817	SLUZBY	\N	\N
755152	2576	1994-11-30	VYDAJ	VYBER	15	18070	SLUZBY	\N	\N
755153	2576	1994-12-31	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
755154	2576	1995-01-31	VYDAJ	VYBER	15	24795	SLUZBY	\N	\N
755155	2576	1995-02-28	VYDAJ	VYBER	15	33419	SLUZBY	\N	\N
755156	2576	1995-03-31	VYDAJ	VYBER	15	83322	SLUZBY	\N	\N
755157	2576	1995-04-30	VYDAJ	VYBER	15	47981	SLUZBY	\N	\N
755158	2576	1995-05-31	VYDAJ	VYBER	15	28725	SLUZBY	\N	\N
755159	2576	1995-06-30	VYDAJ	VYBER	15	69917	SLUZBY	\N	\N
755160	2576	1995-07-31	VYDAJ	VYBER	15	99009	SLUZBY	\N	\N
755161	2576	1995-08-31	VYDAJ	VYBER	15	36605	SLUZBY	\N	\N
755162	2576	1995-09-30	VYDAJ	VYBER	15	53051	SLUZBY	\N	\N
755163	2576	1995-10-31	VYDAJ	VYBER	15	22401	SLUZBY	\N	\N
755164	2576	1995-11-30	VYDAJ	VYBER	15	35027	SLUZBY	\N	\N
755165	2576	1995-12-31	VYDAJ	VYBER	15	25175	SLUZBY	\N	\N
755166	2576	1996-01-31	VYDAJ	VYBER	15	24878	SLUZBY	\N	\N
755167	2576	1996-02-29	VYDAJ	VYBER	15	80341	SLUZBY	\N	\N
755168	2576	1996-03-31	VYDAJ	VYBER	15	75118	SLUZBY	\N	\N
755169	2576	1996-04-30	VYDAJ	VYBER	15	77938	SLUZBY	\N	\N
755170	2576	1996-05-31	VYDAJ	VYBER	15	68098	SLUZBY	\N	\N
755171	2576	1996-06-30	VYDAJ	VYBER	15	83088	SLUZBY	\N	\N
755172	2576	1996-07-31	VYDAJ	VYBER	15	46856	SLUZBY	\N	\N
755173	2576	1996-08-31	VYDAJ	VYBER	15	28291	SLUZBY	\N	\N
755174	2576	1996-09-30	VYDAJ	VYBER	15	48784	SLUZBY	\N	\N
755175	2576	1996-10-31	VYDAJ	VYBER	15	32430	SLUZBY	\N	\N
755176	2576	1996-11-30	VYDAJ	VYBER	15	41816	SLUZBY	\N	\N
755177	2576	1996-12-31	VYDAJ	VYBER	15	55866	SLUZBY	\N	\N
755178	2576	1997-01-31	VYDAJ	VYBER	15	26579	SLUZBY	\N	\N
755179	2576	1997-02-28	VYDAJ	VYBER	15	19550	SLUZBY	\N	\N
755180	2576	1997-03-31	VYDAJ	VYBER	15	17604	SLUZBY	\N	\N
755181	2576	1997-04-30	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
755182	2576	1997-05-31	VYDAJ	VYBER	15	53511	SLUZBY	\N	\N
755183	2576	1997-06-30	VYDAJ	VYBER	15	30653	SLUZBY	\N	\N
755184	2576	1997-07-31	VYDAJ	VYBER	15	20732	SLUZBY	\N	\N
755185	2576	1997-08-31	VYDAJ	VYBER	15	18088	SLUZBY	\N	\N
755186	2576	1997-09-30	VYDAJ	VYBER	15	17639	SLUZBY	\N	\N
755187	2576	1997-10-31	VYDAJ	VYBER	15	40063	SLUZBY	\N	\N
755188	2576	1997-11-30	VYDAJ	VYBER	15	30472	SLUZBY	\N	\N
755189	2576	1997-12-31	VYDAJ	VYBER	15	28770	SLUZBY	\N	\N
755190	2576	1998-01-31	VYDAJ	VYBER	15	52982	SLUZBY	\N	\N
755191	2576	1998-02-28	VYDAJ	VYBER	15	41484	SLUZBY	\N	\N
755192	2576	1998-03-31	VYDAJ	VYBER	15	29390	SLUZBY	\N	\N
755193	2576	1998-04-30	VYDAJ	VYBER	15	40579	SLUZBY	\N	\N
755194	2576	1998-05-31	VYDAJ	VYBER	15	60575	SLUZBY	\N	\N
755195	2576	1998-06-30	VYDAJ	VYBER	15	52081	SLUZBY	\N	\N
755196	2576	1998-07-31	VYDAJ	VYBER	15	21538	SLUZBY	\N	\N
755197	2576	1998-08-31	VYDAJ	VYBER	15	49375	SLUZBY	\N	\N
755198	2576	1998-09-30	VYDAJ	VYBER	15	89189	SLUZBY	\N	\N
755199	2576	1998-10-31	VYDAJ	VYBER	15	78896	SLUZBY	\N	\N
755200	2576	1998-11-30	VYDAJ	VYBER	15	43697	SLUZBY	\N	\N
755201	2576	1993-10-02	VYDAJ	VYBER	38700	65447	\N	\N	\N
755202	2576	1993-10-15	VYDAJ	VYBER	56600	69514	\N	\N	\N
755203	2576	1993-11-01	VYDAJ	VYBER	21100	41286	\N	\N	\N
755204	2576	1993-12-01	PRIJEM	VKLAD	900	21586	\N	\N	\N
755205	2576	1993-12-31	VYDAJ	VYBER	14000	43674	\N	\N	\N
755206	2576	1994-01-30	PRIJEM	VKLAD	3100	23654	\N	\N	\N
755207	2576	1994-03-01	PRIJEM	VKLAD	5200	20925	\N	\N	\N
755208	2576	1994-03-31	PRIJEM	VKLAD	5300	18175	\N	\N	\N
755209	2576	1994-04-30	PRIJEM	VKLAD	8700	18755	\N	\N	\N
755210	2576	1994-05-30	PRIJEM	VKLAD	6800	17510	\N	\N	\N
755211	2576	1994-06-29	PRIJEM	VKLAD	8700	18167	\N	\N	\N
755212	2576	1994-07-29	PRIJEM	VKLAD	6900	17020	\N	\N	\N
755213	2576	1994-08-28	PRIJEM	VKLAD	6400	15375	\N	\N	\N
755214	2576	1994-09-27	PRIJEM	VKLAD	7500	14824	\N	\N	\N
755215	2576	1994-10-27	PRIJEM	VKLAD	11000	17767	\N	\N	\N
755216	2576	1994-11-26	PRIJEM	VKLAD	8300	18011	\N	\N	\N
755217	2576	1994-12-26	PRIJEM	VKLAD	6800	16764	\N	\N	\N
755218	2576	1995-01-25	VYDAJ	VYBER	1600	29745	\N	\N	\N
755219	2576	1995-02-24	VYDAJ	VYBER	4600	33292	\N	\N	\N
755220	2576	1995-03-26	VYDAJ	VYBER	5200	33288	\N	\N	\N
755221	2576	1995-04-25	VYDAJ	VYBER	24700	47704	\N	\N	\N
755222	2576	1995-05-25	PRIJEM	VKLAD	1300	28575	\N	\N	\N
755223	2576	1995-06-24	VYDAJ	VYBER	14300	34154	\N	\N	\N
755224	2576	1995-07-24	VYDAJ	VYBER	27200	57766	\N	\N	\N
755225	2576	1995-07-29	VYDAJ	VYBER	30600	98741	\N	\N	\N
755226	2576	1995-08-07	VYDAJ	VYBER	39100	87667	\N	\N	\N
755227	2576	1995-08-21	VYDAJ	VYBER	31500	94213	\N	\N	\N
755228	2576	1995-08-23	VYDAJ	VYBER	35400	58813	\N	\N	\N
755229	2576	1995-09-22	VYDAJ	VYBER	300	28199	\N	\N	\N
755230	2576	1995-10-22	VYDAJ	VYBER	20800	44109	\N	\N	\N
755231	2576	1995-11-18	VYDAJ	VYBER	64100	44072	\N	\N	\N
755232	2576	1995-11-21	VYDAJ	VYBER	9200	34872	\N	\N	\N
755233	2576	1995-12-21	VYDAJ	VYBER	15300	34049	\N	\N	\N
755234	2576	1996-01-20	VYDAJ	VYBER	6700	27027	\N	\N	\N
755235	2576	1996-02-19	VYDAJ	VYBER	23400	43564	\N	\N	\N
755236	2576	1996-03-20	VYDAJ	VYBER	14000	38233	\N	\N	\N
755237	2576	1996-04-19	VYDAJ	VYBER	15700	32603	\N	\N	\N
755238	2576	1996-05-19	VYDAJ	VYBER	44400	67736	\N	\N	\N
755239	2576	1996-06-18	VYDAJ	VYBER	19700	40292	\N	\N	\N
755240	2576	1996-07-18	VYDAJ	VYBER	31200	46591	\N	\N	\N
755241	2576	1996-08-17	VYDAJ	VYBER	10600	28150	\N	\N	\N
755242	2576	1996-09-16	VYDAJ	VYBER	24700	48559	\N	\N	\N
755243	2576	1996-10-16	VYDAJ	VYBER	8400	32278	\N	\N	\N
755244	2576	1996-12-15	VYDAJ	VYBER	43400	63106	\N	\N	\N
755245	2576	1997-01-14	PRIJEM	VKLAD	900	27960	\N	\N	\N
755246	2576	1997-02-13	PRIJEM	VKLAD	1000	19473	\N	\N	\N
755247	2576	1997-03-15	PRIJEM	VKLAD	6100	17544	\N	\N	\N
755248	2576	1997-04-14	PRIJEM	VKLAD	9900	19398	\N	\N	\N
755249	2576	1997-05-14	VYDAJ	VYBER	28500	53319	\N	\N	\N
755250	2576	1997-06-13	VYDAJ	VYBER	14900	30505	\N	\N	\N
755251	2576	1997-07-13	VYDAJ	VYBER	1900	20647	\N	\N	\N
755252	2576	1997-08-12	PRIJEM	VKLAD	5400	18026	\N	\N	\N
755253	2576	1997-09-11	PRIJEM	VKLAD	7600	17582	\N	\N	\N
755254	2576	1997-10-11	PRIJEM	VKLAD	9700	19233	\N	\N	\N
755255	2576	1997-11-10	VYDAJ	VYBER	8700	33936	\N	\N	\N
755256	2576	1997-12-10	PRIJEM	VKLAD	2400	20866	\N	\N	\N
755257	2576	1998-01-09	VYDAJ	VYBER	1800	25538	\N	\N	\N
755258	2576	1998-02-08	VYDAJ	VYBER	17000	41314	\N	\N	\N
755259	2576	1998-03-10	VYDAJ	VYBER	19300	35249	\N	\N	\N
755260	2576	1998-04-09	VYDAJ	VYBER	1400	19884	\N	\N	\N
755261	2576	1998-05-09	VYDAJ	VYBER	22500	40104	\N	\N	\N
755262	2576	1998-06-08	VYDAJ	VYBER	6800	26025	\N	\N	\N
755263	2576	1998-07-08	PRIJEM	VKLAD	2300	21448	\N	\N	\N
755264	2576	1998-09-06	VYDAJ	VYBER	10800	45684	\N	\N	\N
755265	2576	1998-10-01	VYDAJ	VYBER	57400	60675	\N	\N	\N
755266	2576	1998-10-06	VYDAJ	VYBER	15700	36869	\N	\N	\N
755267	2576	1998-11-05	VYDAJ	VYBER	32700	46196	\N	\N	\N
755268	2576	1998-12-05	VYDAJ	VYBER	10200	33497	\N	\N	\N
755333	2577	1995-07-30	PRIJEM	VKLAD	1000	1000	\N	\N	\N
755341	2577	1995-08-07	PRIJEM	PREVOD Z UCTU	5941	6941	DUCHOD	WX	43765747
755342	2577	1995-09-07	PRIJEM	PREVOD Z UCTU	5941	12882	DUCHOD	WX	43765747
755343	2577	1995-10-07	PRIJEM	PREVOD Z UCTU	5941	18823	DUCHOD	WX	43765747
755344	2577	1995-11-07	PRIJEM	PREVOD Z UCTU	5941	24764	DUCHOD	WX	43765747
755345	2577	1995-12-07	PRIJEM	PREVOD Z UCTU	5941	30705	DUCHOD	WX	43765747
755346	2577	1996-01-07	PRIJEM	PREVOD Z UCTU	5941	29860	DUCHOD	WX	43765747
755347	2577	1996-02-07	PRIJEM	PREVOD Z UCTU	5941	20736	DUCHOD	WX	43765747
755348	2577	1996-03-07	PRIJEM	PREVOD Z UCTU	5941	23384	DUCHOD	WX	43765747
755349	2577	1996-04-07	PRIJEM	PREVOD Z UCTU	5941	24523	DUCHOD	WX	43765747
755350	2577	1996-05-07	PRIJEM	PREVOD Z UCTU	5941	27187	DUCHOD	WX	43765747
755351	2577	1996-06-07	PRIJEM	PREVOD Z UCTU	5941	29862	DUCHOD	WX	43765747
755352	2577	1996-07-07	PRIJEM	PREVOD Z UCTU	5941	27031	DUCHOD	WX	43765747
755353	2577	1996-08-07	PRIJEM	PREVOD Z UCTU	5941	26025	DUCHOD	WX	43765747
755354	2577	1996-09-07	PRIJEM	PREVOD Z UCTU	5941	25102	DUCHOD	WX	43765747
755355	2577	1996-10-07	PRIJEM	PREVOD Z UCTU	5941	27768	DUCHOD	WX	43765747
755356	2577	1996-11-07	PRIJEM	PREVOD Z UCTU	5941	30446	DUCHOD	WX	43765747
755357	2577	1996-12-07	PRIJEM	PREVOD Z UCTU	5941	33134	DUCHOD	WX	43765747
755358	2577	1997-01-07	PRIJEM	PREVOD Z UCTU	5941	30192	DUCHOD	WX	43765747
755359	2577	1997-02-07	PRIJEM	PREVOD Z UCTU	5941	23105	DUCHOD	WX	43765747
755360	2577	1997-03-07	PRIJEM	PREVOD Z UCTU	5941	25763	DUCHOD	WX	43765747
755361	2577	1997-04-07	PRIJEM	PREVOD Z UCTU	5941	25946	DUCHOD	WX	43765747
755362	2577	1997-05-07	PRIJEM	PREVOD Z UCTU	5941	26050	DUCHOD	WX	43765747
755363	2577	1997-06-07	PRIJEM	PREVOD Z UCTU	5941	26318	DUCHOD	WX	43765747
755364	2577	1997-07-07	PRIJEM	PREVOD Z UCTU	5941	22025	DUCHOD	WX	43765747
755365	2577	1997-08-07	PRIJEM	PREVOD Z UCTU	5941	24679	DUCHOD	WX	43765747
755366	2577	1997-09-07	PRIJEM	PREVOD Z UCTU	5941	27343	DUCHOD	WX	43765747
755367	2577	1997-10-07	PRIJEM	PREVOD Z UCTU	5941	30019	DUCHOD	WX	43765747
755368	2577	1997-11-07	PRIJEM	PREVOD Z UCTU	5941	32706	DUCHOD	WX	43765747
755369	2577	1997-12-07	PRIJEM	PREVOD Z UCTU	5941	35403	DUCHOD	WX	43765747
755370	2577	1998-01-07	PRIJEM	PREVOD Z UCTU	5941	37461	DUCHOD	WX	43765747
755371	2577	1998-02-07	PRIJEM	PREVOD Z UCTU	5941	28661	DUCHOD	WX	43765747
755372	2577	1998-03-07	PRIJEM	PREVOD Z UCTU	5941	31341	DUCHOD	WX	43765747
755373	2577	1998-04-07	PRIJEM	PREVOD Z UCTU	5941	34033	DUCHOD	WX	43765747
755374	2577	1998-05-07	PRIJEM	PREVOD Z UCTU	5941	36737	DUCHOD	WX	43765747
755375	2577	1998-06-07	PRIJEM	PREVOD Z UCTU	5941	39451	DUCHOD	WX	43765747
755376	2577	1998-07-07	PRIJEM	PREVOD Z UCTU	5941	26547	DUCHOD	WX	43765747
755377	2577	1998-08-07	PRIJEM	PREVOD Z UCTU	5941	25693	DUCHOD	WX	43765747
755378	2577	1998-09-07	PRIJEM	PREVOD Z UCTU	5941	26038	DUCHOD	WX	43765747
755379	2577	1998-10-07	PRIJEM	PREVOD Z UCTU	5941	26627	DUCHOD	WX	43765747
755380	2577	1998-11-07	PRIJEM	PREVOD Z UCTU	5941	26336	DUCHOD	WX	43765747
755381	2577	1998-12-07	PRIJEM	PREVOD Z UCTU	5941	26775	DUCHOD	WX	43765747
755393	2577	1995-12-11	VYDAJ	PREVOD NA UCET	3347	27358	SIPO	QR	745589
755394	2577	1996-01-11	VYDAJ	PREVOD NA UCET	3347	25153	SIPO	QR	745589
755395	2577	1996-02-11	VYDAJ	PREVOD NA UCET	3347	17389	SIPO	QR	745589
755396	2577	1996-03-11	VYDAJ	PREVOD NA UCET	3347	20037	SIPO	QR	745589
755397	2577	1996-04-11	VYDAJ	PREVOD NA UCET	3347	21176	SIPO	QR	745589
755398	2577	1996-05-11	VYDAJ	PREVOD NA UCET	3347	23840	SIPO	QR	745589
755399	2577	1996-06-11	VYDAJ	PREVOD NA UCET	3347	26515	SIPO	QR	745589
755400	2577	1996-07-11	VYDAJ	PREVOD NA UCET	3347	23684	SIPO	QR	745589
755401	2577	1996-08-11	VYDAJ	PREVOD NA UCET	3347	22678	SIPO	QR	745589
755402	2577	1996-09-11	VYDAJ	PREVOD NA UCET	3347	21755	SIPO	QR	745589
755403	2577	1996-10-11	VYDAJ	PREVOD NA UCET	3347	24421	SIPO	QR	745589
755404	2577	1996-11-11	VYDAJ	PREVOD NA UCET	3347	27099	SIPO	QR	745589
755405	2577	1996-12-11	VYDAJ	PREVOD NA UCET	3347	28537	SIPO	QR	745589
755406	2577	1997-01-11	VYDAJ	PREVOD NA UCET	3347	24925	SIPO	QR	745589
755407	2577	1997-02-11	VYDAJ	PREVOD NA UCET	3347	19758	SIPO	QR	745589
755408	2577	1997-03-11	VYDAJ	PREVOD NA UCET	3347	19936	SIPO	QR	745589
755409	2577	1997-04-11	VYDAJ	PREVOD NA UCET	3347	20039	SIPO	QR	745589
755410	2577	1997-05-11	VYDAJ	PREVOD NA UCET	3347	22703	SIPO	QR	745589
755411	2577	1997-06-11	VYDAJ	PREVOD NA UCET	3347	22971	SIPO	QR	745589
755412	2577	1997-07-11	VYDAJ	PREVOD NA UCET	3347	18678	SIPO	QR	745589
755413	2577	1997-08-11	VYDAJ	PREVOD NA UCET	3347	21332	SIPO	QR	745589
755414	2577	1997-09-11	VYDAJ	PREVOD NA UCET	3347	23996	SIPO	QR	745589
755415	2577	1997-10-11	VYDAJ	PREVOD NA UCET	3347	26672	SIPO	QR	745589
755416	2577	1997-11-11	VYDAJ	PREVOD NA UCET	3347	29359	SIPO	QR	745589
755417	2577	1997-12-11	VYDAJ	PREVOD NA UCET	3347	31406	SIPO	QR	745589
755418	2577	1998-01-11	VYDAJ	PREVOD NA UCET	3347	30614	SIPO	QR	745589
755419	2577	1998-02-11	VYDAJ	PREVOD NA UCET	3347	25314	SIPO	QR	745589
755420	2577	1998-03-11	VYDAJ	PREVOD NA UCET	3347	27994	SIPO	QR	745589
755421	2577	1998-04-11	VYDAJ	PREVOD NA UCET	3347	30686	SIPO	QR	745589
755422	2577	1998-05-11	VYDAJ	PREVOD NA UCET	3347	33390	SIPO	QR	745589
755423	2577	1998-06-11	VYDAJ	PREVOD NA UCET	3347	36104	SIPO	QR	745589
755424	2577	1998-07-11	VYDAJ	PREVOD NA UCET	3347	23200	SIPO	QR	745589
755425	2577	1998-08-11	VYDAJ	PREVOD NA UCET	3347	22346	SIPO	QR	745589
755426	2577	1998-09-11	VYDAJ	PREVOD NA UCET	3347	22691	SIPO	QR	745589
755427	2577	1998-10-11	VYDAJ	PREVOD NA UCET	3347	20320	SIPO	QR	745589
755428	2577	1998-11-11	VYDAJ	PREVOD NA UCET	3347	22989	SIPO	QR	745589
755429	2577	1998-12-11	VYDAJ	PREVOD NA UCET	3347	23428	SIPO	QR	745589
755431	2577	1996-06-28	VYDAJ	VYBER	1750	21005	\N	\N	\N
755432	2577	1997-06-17	VYDAJ	VYBER	6950	16021	\N	\N	\N
755433	2577	1998-06-15	VYDAJ	VYBER	12800	23304	\N	\N	\N
755435	2577	1996-01-12	VYDAJ	VYBER	2350	22803	\N	\N	\N
755436	2577	1997-01-06	VYDAJ	VYBER	3750	24251	\N	\N	\N
755437	2577	1998-01-11	VYDAJ	VYBER	3500	33961	\N	\N	\N
755438	2577	1995-12-20	VYDAJ	VYBER	300	26418	\N	\N	\N
755439	2577	1996-12-09	VYDAJ	VYBER	1250	31884	\N	\N	\N
755440	2577	1997-12-10	VYDAJ	VYBER	650	34753	\N	\N	\N
755441	2577	1998-12-02	VYDAJ	VYBER	950	20834	\N	\N	\N
755448	2577	1996-01-29	VYDAJ	VYBER	640	14723	\N	\N	\N
755449	2577	1996-01-07	VYDAJ	VYBER	1360	28500	\N	\N	\N
755450	2577	1996-01-03	VYDAJ	VYBER	880	23919	\N	\N	\N
755451	2577	1996-01-14	VYDAJ	VYBER	1920	20883	\N	\N	\N
755452	2577	1996-01-02	VYDAJ	VYBER	1680	24799	\N	\N	\N
755453	2577	1996-01-17	VYDAJ	VYBER	1760	19123	\N	\N	\N
755454	2577	1997-01-19	VYDAJ	VYBER	2240	18845	\N	\N	\N
755455	2577	1997-01-01	VYDAJ	VYBER	640	28001	\N	\N	\N
755456	2577	1997-01-18	VYDAJ	VYBER	1680	21085	\N	\N	\N
755457	2577	1997-01-25	VYDAJ	VYBER	480	17085	\N	\N	\N
755458	2577	1997-01-20	VYDAJ	VYBER	1280	17565	\N	\N	\N
755459	2577	1997-01-10	VYDAJ	VYBER	1920	28272	\N	\N	\N
755460	2577	1998-01-18	VYDAJ	VYBER	880	27574	\N	\N	\N
755461	2577	1998-01-26	VYDAJ	VYBER	720	24934	\N	\N	\N
755462	2577	1998-01-23	VYDAJ	VYBER	1920	25654	\N	\N	\N
755463	2577	1998-01-28	VYDAJ	VYBER	1200	22614	\N	\N	\N
755464	2577	1998-01-26	VYDAJ	VYBER	1120	23814	\N	\N	\N
755465	2577	1998-01-16	VYDAJ	VYBER	2160	28454	\N	\N	\N
755467	2577	1995-12-18	VYDAJ	VYBER	640	26718	\N	\N	\N
755470	2577	1996-08-03	VYDAJ	VYBER	3680	20084	\N	\N	\N
755471	2577	1996-08-31	VYDAJ	VYBER	3600	19161	\N	\N	\N
755472	2577	1996-01-23	VYDAJ	VYBER	3760	15363	\N	\N	\N
755473	2577	1996-03-27	VYDAJ	VYBER	1520	18517	\N	\N	\N
755474	2577	1996-06-18	VYDAJ	VYBER	3760	22755	\N	\N	\N
755475	2577	1997-03-09	VYDAJ	VYBER	2480	23283	\N	\N	\N
755476	2577	1997-05-25	VYDAJ	VYBER	2400	20303	\N	\N	\N
755477	2577	1997-01-14	VYDAJ	VYBER	2160	22765	\N	\N	\N
755478	2577	1997-04-09	VYDAJ	VYBER	2560	23386	\N	\N	\N
755479	2577	1998-07-16	VYDAJ	VYBER	2400	20800	\N	\N	\N
755480	2577	1998-10-07	VYDAJ	VYBER	2960	23667	\N	\N	\N
755481	2577	1998-07-26	VYDAJ	VYBER	1120	19680	\N	\N	\N
755482	2577	1998-06-29	VYDAJ	VYBER	2800	20504	\N	\N	\N
755483	2577	1998-08-21	VYDAJ	VYBER	2320	20026	\N	\N	\N
755484	2577	1998-11-22	VYDAJ	VYBER	1280	21709	\N	\N	\N
755485	2577	1998-10-06	VYDAJ	VYBER	2080	20686	\N	\N	\N
755498	2577	1995-12-31	VYDAJ	VYBER	15	26479	SLUZBY	\N	\N
755499	2577	1996-01-31	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
755500	2577	1996-02-29	VYDAJ	VYBER	15	17443	SLUZBY	\N	\N
755501	2577	1996-03-31	VYDAJ	VYBER	15	18582	SLUZBY	\N	\N
755502	2577	1996-04-30	VYDAJ	VYBER	15	21246	SLUZBY	\N	\N
755503	2577	1996-05-31	VYDAJ	VYBER	15	23921	SLUZBY	\N	\N
755504	2577	1996-06-30	VYDAJ	VYBER	15	21090	SLUZBY	\N	\N
755505	2577	1996-07-31	VYDAJ	VYBER	15	23764	SLUZBY	\N	\N
755506	2577	1996-08-31	VYDAJ	VYBER	15	22761	SLUZBY	\N	\N
755507	2577	1996-09-30	VYDAJ	VYBER	15	21827	SLUZBY	\N	\N
755508	2577	1996-10-31	VYDAJ	VYBER	15	24505	SLUZBY	\N	\N
755509	2577	1996-11-30	VYDAJ	VYBER	15	27193	SLUZBY	\N	\N
755510	2577	1996-12-31	VYDAJ	VYBER	15	28641	SLUZBY	\N	\N
755511	2577	1997-01-31	VYDAJ	VYBER	15	17164	SLUZBY	\N	\N
755512	2577	1997-02-28	VYDAJ	VYBER	15	19822	SLUZBY	\N	\N
755513	2577	1997-03-31	VYDAJ	VYBER	15	20005	SLUZBY	\N	\N
755514	2577	1997-04-30	VYDAJ	VYBER	15	20109	SLUZBY	\N	\N
755515	2577	1997-05-31	VYDAJ	VYBER	15	20377	SLUZBY	\N	\N
755516	2577	1997-06-30	VYDAJ	VYBER	15	16084	SLUZBY	\N	\N
755517	2577	1997-07-31	VYDAJ	VYBER	15	18738	SLUZBY	\N	\N
755518	2577	1997-08-31	VYDAJ	VYBER	15	21402	SLUZBY	\N	\N
755519	2577	1997-09-30	VYDAJ	VYBER	15	24078	SLUZBY	\N	\N
755520	2577	1997-10-31	VYDAJ	VYBER	15	26765	SLUZBY	\N	\N
755521	2577	1997-11-30	VYDAJ	VYBER	15	29462	SLUZBY	\N	\N
755522	2577	1997-12-31	VYDAJ	VYBER	15	31520	SLUZBY	\N	\N
755523	2577	1998-01-31	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
755524	2577	1998-02-28	VYDAJ	VYBER	15	25400	SLUZBY	\N	\N
755525	2577	1998-03-31	VYDAJ	VYBER	15	28092	SLUZBY	\N	\N
755526	2577	1998-04-30	VYDAJ	VYBER	15	30796	SLUZBY	\N	\N
755527	2577	1998-05-31	VYDAJ	VYBER	15	33510	SLUZBY	\N	\N
755528	2577	1998-06-30	VYDAJ	VYBER	15	20606	SLUZBY	\N	\N
755529	2577	1998-07-31	VYDAJ	VYBER	15	19752	SLUZBY	\N	\N
755530	2577	1998-08-31	VYDAJ	VYBER	15	20097	SLUZBY	\N	\N
755531	2577	1998-09-30	VYDAJ	VYBER	15	22766	SLUZBY	\N	\N
755532	2577	1998-10-31	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
755533	2577	1998-11-30	VYDAJ	VYBER	15	21784	SLUZBY	\N	\N
755571	2578	1996-03-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
755575	2578	1996-04-12	PRIJEM	PREVOD Z UCTU	4269	5369	DUCHOD	UV	92164200
755576	2578	1996-05-12	PRIJEM	PREVOD Z UCTU	4269	9638	DUCHOD	UV	92164200
755577	2578	1996-06-12	PRIJEM	PREVOD Z UCTU	4269	13907	DUCHOD	UV	92164200
755578	2578	1996-07-12	PRIJEM	PREVOD Z UCTU	4269	18176	DUCHOD	UV	92164200
755579	2578	1996-08-12	PRIJEM	PREVOD Z UCTU	4269	22445	DUCHOD	UV	92164200
755580	2578	1996-09-12	PRIJEM	PREVOD Z UCTU	4269	22882	DUCHOD	UV	92164200
755581	2578	1996-10-12	PRIJEM	PREVOD Z UCTU	4269	19963	DUCHOD	UV	92164200
755582	2578	1996-11-12	PRIJEM	PREVOD Z UCTU	4269	21455	DUCHOD	UV	92164200
755583	2578	1996-12-12	PRIJEM	PREVOD Z UCTU	4269	19929	DUCHOD	UV	92164200
755584	2578	1997-01-12	PRIJEM	PREVOD Z UCTU	4269	15655	DUCHOD	UV	92164200
755585	2578	1997-02-12	PRIJEM	PREVOD Z UCTU	4269	14965	DUCHOD	UV	92164200
755586	2578	1997-03-12	PRIJEM	PREVOD Z UCTU	4269	14512	DUCHOD	UV	92164200
755587	2578	1997-04-12	PRIJEM	PREVOD Z UCTU	4269	13896	DUCHOD	UV	92164200
755588	2578	1997-05-12	PRIJEM	PREVOD Z UCTU	4269	15360	DUCHOD	UV	92164200
755589	2578	1997-06-12	PRIJEM	PREVOD Z UCTU	4269	16830	DUCHOD	UV	92164200
755590	2578	1997-07-12	PRIJEM	PREVOD Z UCTU	4269	18307	DUCHOD	UV	92164200
755591	2578	1997-08-12	PRIJEM	PREVOD Z UCTU	4269	13377	DUCHOD	UV	92164200
755592	2578	1997-09-12	PRIJEM	PREVOD Z UCTU	4269	14839	DUCHOD	UV	92164200
755593	2578	1997-10-12	PRIJEM	PREVOD Z UCTU	4269	16307	DUCHOD	UV	92164200
755594	2578	1997-11-12	PRIJEM	PREVOD Z UCTU	4269	17381	DUCHOD	UV	92164200
755595	2578	1997-12-12	PRIJEM	PREVOD Z UCTU	4269	14470	DUCHOD	UV	92164200
755596	2578	1998-01-12	PRIJEM	PREVOD Z UCTU	4269	14656	DUCHOD	UV	92164200
755597	2578	1998-02-12	PRIJEM	PREVOD Z UCTU	4269	14759	DUCHOD	UV	92164200
755598	2578	1998-03-12	PRIJEM	PREVOD Z UCTU	4269	16227	DUCHOD	UV	92164200
755599	2578	1998-04-12	PRIJEM	PREVOD Z UCTU	4269	17701	DUCHOD	UV	92164200
755600	2578	1998-05-12	PRIJEM	PREVOD Z UCTU	4269	19180	DUCHOD	UV	92164200
755601	2578	1998-06-12	PRIJEM	PREVOD Z UCTU	4269	13950	DUCHOD	UV	92164200
755602	2578	1998-07-12	PRIJEM	PREVOD Z UCTU	4269	15414	DUCHOD	UV	92164200
755603	2578	1998-08-12	PRIJEM	PREVOD Z UCTU	4269	16884	DUCHOD	UV	92164200
755604	2578	1998-09-12	PRIJEM	PREVOD Z UCTU	4269	18361	DUCHOD	UV	92164200
755605	2578	1998-10-12	PRIJEM	PREVOD Z UCTU	4269	19843	DUCHOD	UV	92164200
755606	2578	1998-11-12	PRIJEM	PREVOD Z UCTU	4269	21332	DUCHOD	UV	92164200
755607	2578	1998-12-12	PRIJEM	PREVOD Z UCTU	4269	20745	DUCHOD	UV	92164200
755616	2578	1996-09-08	VYDAJ	PREVOD NA UCET	2846	18613	SIPO	EF	27696168
755617	2578	1996-10-08	VYDAJ	PREVOD NA UCET	2846	15694	SIPO	EF	27696168
755618	2578	1996-11-08	VYDAJ	PREVOD NA UCET	2846	17186	SIPO	EF	27696168
755619	2578	1996-12-08	VYDAJ	PREVOD NA UCET	2846	15660	SIPO	EF	27696168
755620	2578	1997-01-08	VYDAJ	PREVOD NA UCET	2846	11386	SIPO	EF	27696168
755621	2578	1997-02-08	VYDAJ	PREVOD NA UCET	2846	10696	SIPO	EF	27696168
755622	2578	1997-03-08	VYDAJ	PREVOD NA UCET	2846	10243	SIPO	EF	27696168
755623	2578	1997-04-08	VYDAJ	PREVOD NA UCET	2846	9627	SIPO	EF	27696168
755624	2578	1997-05-08	VYDAJ	PREVOD NA UCET	2846	11091	SIPO	EF	27696168
755625	2578	1997-06-08	VYDAJ	PREVOD NA UCET	2846	12561	SIPO	EF	27696168
755626	2578	1997-07-08	VYDAJ	PREVOD NA UCET	2846	14038	SIPO	EF	27696168
755627	2578	1997-08-08	VYDAJ	PREVOD NA UCET	2846	9108	SIPO	EF	27696168
755628	2578	1997-09-08	VYDAJ	PREVOD NA UCET	2846	10570	SIPO	EF	27696168
755629	2578	1997-10-08	VYDAJ	PREVOD NA UCET	2846	12038	SIPO	EF	27696168
755630	2578	1997-11-08	VYDAJ	PREVOD NA UCET	2846	13112	SIPO	EF	27696168
755631	2578	1997-12-08	VYDAJ	PREVOD NA UCET	2846	10201	SIPO	EF	27696168
755632	2578	1998-01-08	VYDAJ	PREVOD NA UCET	2846	10387	SIPO	EF	27696168
755633	2578	1998-02-08	VYDAJ	PREVOD NA UCET	2846	10490	SIPO	EF	27696168
755634	2578	1998-03-08	VYDAJ	PREVOD NA UCET	2846	11958	SIPO	EF	27696168
755635	2578	1998-04-08	VYDAJ	PREVOD NA UCET	2846	13432	SIPO	EF	27696168
755636	2578	1998-05-08	VYDAJ	PREVOD NA UCET	2846	14911	SIPO	EF	27696168
755637	2578	1998-06-08	VYDAJ	PREVOD NA UCET	2846	9681	SIPO	EF	27696168
755638	2578	1998-07-08	VYDAJ	PREVOD NA UCET	2846	11145	SIPO	EF	27696168
755639	2578	1998-08-08	VYDAJ	PREVOD NA UCET	2846	12615	SIPO	EF	27696168
755640	2578	1998-09-08	VYDAJ	PREVOD NA UCET	2846	14092	SIPO	EF	27696168
755641	2578	1998-10-08	VYDAJ	PREVOD NA UCET	2846	15574	SIPO	EF	27696168
755642	2578	1998-11-08	VYDAJ	PREVOD NA UCET	2846	17063	SIPO	EF	27696168
755643	2578	1998-12-08	VYDAJ	PREVOD NA UCET	2846	16476	SIPO	EF	27696168
755650	2578	1996-12-06	VYDAJ	VYBER	1400	19226	\N	\N	\N
755651	2578	1997-12-03	VYDAJ	VYBER	1350	16087	\N	\N	\N
755652	2578	1998-12-16	VYDAJ	VYBER	850	19895	\N	\N	\N
755660	2578	1997-01-03	VYDAJ	VYBER	1280	14232	\N	\N	\N
755663	2578	1997-01-12	VYDAJ	VYBER	1760	13895	\N	\N	\N
755668	2578	1998-01-12	VYDAJ	VYBER	1360	13296	\N	\N	\N
755669	2578	1998-01-02	VYDAJ	VYBER	1280	13233	\N	\N	\N
755671	2578	1996-12-24	VYDAJ	VYBER	2320	17609	\N	\N	\N
755675	2578	1996-10-04	VYDAJ	VYBER	3920	18540	\N	\N	\N
755676	2578	1996-12-27	VYDAJ	VYBER	2160	15449	\N	\N	\N
755677	2578	1996-12-07	VYDAJ	VYBER	720	18506	\N	\N	\N
755678	2578	1997-02-23	VYDAJ	VYBER	1920	13045	\N	\N	\N
755679	2578	1997-01-29	VYDAJ	VYBER	400	13495	\N	\N	\N
755680	2578	1997-12-04	VYDAJ	VYBER	3040	13047	\N	\N	\N
755682	2578	1997-10-29	VYDAJ	VYBER	400	15907	\N	\N	\N
755683	2578	1997-03-26	VYDAJ	VYBER	1280	12432	\N	\N	\N
755684	2578	1998-11-17	VYDAJ	VYBER	800	20532	\N	\N	\N
755686	2578	1998-12-05	VYDAJ	VYBER	1280	19322	\N	\N	\N
755695	2578	1996-08-31	VYDAJ	VYBER	15	21459	SLUZBY	\N	\N
755696	2578	1996-09-30	VYDAJ	VYBER	15	22460	SLUZBY	\N	\N
755697	2578	1996-10-31	VYDAJ	VYBER	15	20032	SLUZBY	\N	\N
755698	2578	1996-11-30	VYDAJ	VYBER	15	20626	SLUZBY	\N	\N
755699	2578	1996-12-31	VYDAJ	VYBER	15	15512	SLUZBY	\N	\N
755700	2578	1997-01-31	VYDAJ	VYBER	15	13542	SLUZBY	\N	\N
755701	2578	1997-02-28	VYDAJ	VYBER	15	13089	SLUZBY	\N	\N
755702	2578	1997-03-31	VYDAJ	VYBER	15	12473	SLUZBY	\N	\N
755703	2578	1997-04-30	VYDAJ	VYBER	15	13937	SLUZBY	\N	\N
755704	2578	1997-05-31	VYDAJ	VYBER	15	15407	SLUZBY	\N	\N
755705	2578	1997-06-30	VYDAJ	VYBER	15	16884	SLUZBY	\N	\N
755706	2578	1997-07-31	VYDAJ	VYBER	15	11954	SLUZBY	\N	\N
755707	2578	1997-08-31	VYDAJ	VYBER	15	13416	SLUZBY	\N	\N
755708	2578	1997-09-30	VYDAJ	VYBER	15	14884	SLUZBY	\N	\N
755709	2578	1997-10-31	VYDAJ	VYBER	15	15958	SLUZBY	\N	\N
755710	2578	1997-11-30	VYDAJ	VYBER	15	17437	SLUZBY	\N	\N
755711	2578	1997-12-31	VYDAJ	VYBER	15	14513	SLUZBY	\N	\N
755712	2578	1998-01-31	VYDAJ	VYBER	15	13336	SLUZBY	\N	\N
755713	2578	1998-02-28	VYDAJ	VYBER	15	14804	SLUZBY	\N	\N
755714	2578	1998-03-31	VYDAJ	VYBER	15	16278	SLUZBY	\N	\N
755715	2578	1998-04-30	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
755716	2578	1998-05-31	VYDAJ	VYBER	15	12527	SLUZBY	\N	\N
755717	2578	1998-06-30	VYDAJ	VYBER	15	13991	SLUZBY	\N	\N
755718	2578	1998-07-31	VYDAJ	VYBER	15	15461	SLUZBY	\N	\N
755719	2578	1998-08-31	VYDAJ	VYBER	15	16938	SLUZBY	\N	\N
755720	2578	1998-09-30	VYDAJ	VYBER	15	18420	SLUZBY	\N	\N
755721	2578	1998-10-31	VYDAJ	VYBER	15	19909	SLUZBY	\N	\N
755722	2578	1998-11-30	VYDAJ	VYBER	15	20602	SLUZBY	\N	\N
755723	2578	1996-08-22	VYDAJ	VYBER	1000	21445	\N	\N	\N
755724	2578	1996-09-21	VYDAJ	VYBER	500	22382	\N	\N	\N
755725	2578	1996-11-20	VYDAJ	VYBER	900	20555	\N	\N	\N
755726	2578	1997-03-20	VYDAJ	VYBER	800	13712	\N	\N	\N
755727	2578	1997-07-18	VYDAJ	VYBER	6400	11907	\N	\N	\N
755728	2578	1998-05-14	VYDAJ	VYBER	6700	12480	\N	\N	\N
755758	2579	1997-10-18	PRIJEM	VKLAD	200	200	\N	\N	\N
755769	2579	1997-11-08	PRIJEM	VKLAD	4032	4232	\N	\N	\N
755770	2579	1997-12-08	PRIJEM	VKLAD	6048	20007	\N	\N	\N
755771	2579	1998-01-08	PRIJEM	VKLAD	4032	27115	\N	\N	\N
755772	2579	1998-02-08	PRIJEM	VKLAD	4032	28246	\N	\N	\N
755773	2579	1998-03-08	PRIJEM	VKLAD	4032	31786	\N	\N	\N
755774	2579	1998-04-08	PRIJEM	VKLAD	4032	31030	\N	\N	\N
755775	2579	1998-05-08	PRIJEM	VKLAD	4032	28868	\N	\N	\N
755776	2579	1998-06-08	PRIJEM	VKLAD	6048	33322	\N	\N	\N
755777	2579	1998-07-08	PRIJEM	VKLAD	4032	30048	\N	\N	\N
755778	2579	1998-08-08	PRIJEM	VKLAD	4032	30133	\N	\N	\N
755779	2579	1998-09-08	PRIJEM	VKLAD	4032	29971	\N	\N	\N
755780	2579	1998-10-08	PRIJEM	VKLAD	4032	36725	\N	\N	\N
755781	2579	1998-11-08	PRIJEM	VKLAD	4032	34785	\N	\N	\N
755782	2579	1998-12-08	PRIJEM	VKLAD	6048	33600	\N	\N	\N
755797	2579	1998-03-12	VYDAJ	PREVOD NA UCET	2688	29098	SIPO	OP	96343248
755798	2579	1998-04-12	VYDAJ	PREVOD NA UCET	2688	28342	SIPO	OP	96343248
755799	2579	1998-05-12	VYDAJ	PREVOD NA UCET	2688	26180	SIPO	OP	96343248
755800	2579	1998-06-12	VYDAJ	PREVOD NA UCET	2688	30634	SIPO	OP	96343248
755801	2579	1998-07-12	VYDAJ	PREVOD NA UCET	2688	27360	SIPO	OP	96343248
755802	2579	1998-08-12	VYDAJ	PREVOD NA UCET	2688	27445	SIPO	OP	96343248
755803	2579	1998-09-12	VYDAJ	PREVOD NA UCET	2688	27283	SIPO	OP	96343248
755804	2579	1998-10-12	VYDAJ	PREVOD NA UCET	2688	34037	SIPO	OP	96343248
755805	2579	1998-11-12	VYDAJ	PREVOD NA UCET	2688	32097	SIPO	OP	96343248
755806	2579	1998-12-12	VYDAJ	PREVOD NA UCET	2688	25472	SIPO	OP	96343248
755808	2579	1998-12-23	VYDAJ	VYBER	3840	21632	\N	\N	\N
755824	2579	1998-12-28	VYDAJ	VYBER	600	18392	\N	\N	\N
755825	2579	1998-12-02	VYDAJ	VYBER	2640	28872	\N	\N	\N
755826	2579	1998-12-05	VYDAJ	VYBER	1320	27552	\N	\N	\N
755827	2579	1998-12-26	VYDAJ	VYBER	2640	18992	\N	\N	\N
755828	2579	1998-07-02	VYDAJ	VYBER	1920	26016	\N	\N	\N
755829	2579	1998-07-20	VYDAJ	VYBER	3960	26000	\N	\N	\N
755830	2579	1998-12-10	VYDAJ	VYBER	3840	29760	\N	\N	\N
755846	2579	1998-03-31	VYDAJ	VYBER	15	26998	SLUZBY	\N	\N
755847	2579	1998-04-30	VYDAJ	VYBER	15	24836	SLUZBY	\N	\N
755848	2579	1998-05-31	VYDAJ	VYBER	15	27274	SLUZBY	\N	\N
755849	2579	1998-06-30	VYDAJ	VYBER	15	27936	SLUZBY	\N	\N
755850	2579	1998-07-31	VYDAJ	VYBER	15	26101	SLUZBY	\N	\N
755851	2579	1998-08-31	VYDAJ	VYBER	15	25939	SLUZBY	\N	\N
755852	2579	1998-09-30	VYDAJ	VYBER	15	32693	SLUZBY	\N	\N
755853	2579	1998-10-31	VYDAJ	VYBER	15	30753	SLUZBY	\N	\N
755854	2579	1998-11-30	VYDAJ	VYBER	15	31512	SLUZBY	\N	\N
755855	2579	1997-11-17	PRIJEM	VKLAD	9700	13932	\N	\N	\N
755856	2579	1997-12-17	PRIJEM	VKLAD	3000	23007	\N	\N	\N
755857	2579	1998-01-16	VYDAJ	VYBER	3000	24115	\N	\N	\N
755858	2579	1998-02-15	VYDAJ	VYBER	600	27646	\N	\N	\N
755859	2579	1998-03-17	VYDAJ	VYBER	2200	26898	\N	\N	\N
755860	2579	1998-04-16	VYDAJ	VYBER	3600	24742	\N	\N	\N
755861	2579	1998-05-16	PRIJEM	VKLAD	1000	27180	\N	\N	\N
755862	2579	1998-06-15	VYDAJ	VYBER	2800	27834	\N	\N	\N
755863	2579	1998-07-15	PRIJEM	VKLAD	2600	29960	\N	\N	\N
755864	2579	1998-08-14	VYDAJ	VYBER	1600	25845	\N	\N	\N
755865	2579	1998-09-13	PRIJEM	VKLAD	5300	32583	\N	\N	\N
755866	2579	1998-10-13	VYDAJ	VYBER	3400	30637	\N	\N	\N
755867	2579	1998-11-12	VYDAJ	VYBER	700	31397	\N	\N	\N
755868	2579	1998-12-12	VYDAJ	VYBER	1600	28160	\N	\N	\N
755883	2580	1995-11-09	PRIJEM	VKLAD	500	500	\N	\N	\N
755894	2580	1995-11-12	PRIJEM	VKLAD	11542	12042	\N	\N	\N
755895	2580	1995-12-12	PRIJEM	VKLAD	17313	35387	\N	\N	\N
755896	2580	1996-01-12	PRIJEM	VKLAD	11542	42342	\N	\N	\N
755897	2580	1996-02-12	PRIJEM	VKLAD	11542	45850	\N	\N	\N
755898	2580	1996-03-12	PRIJEM	VKLAD	11542	49777	\N	\N	\N
755899	2580	1996-04-12	PRIJEM	VKLAD	11542	48481	\N	\N	\N
755900	2580	1996-05-12	PRIJEM	VKLAD	11542	47464	\N	\N	\N
755901	2580	1996-06-12	PRIJEM	VKLAD	17313	54020	\N	\N	\N
755902	2580	1996-07-12	PRIJEM	VKLAD	11542	52923	\N	\N	\N
755903	2580	1996-08-12	PRIJEM	VKLAD	11542	51765	\N	\N	\N
755904	2580	1996-09-12	PRIJEM	VKLAD	11542	57270	\N	\N	\N
755905	2580	1996-10-12	PRIJEM	VKLAD	11542	51662	\N	\N	\N
755906	2580	1996-11-12	PRIJEM	VKLAD	11542	54146	\N	\N	\N
755907	2580	1996-12-12	PRIJEM	VKLAD	17313	58429	\N	\N	\N
755908	2580	1997-01-12	PRIJEM	VKLAD	11542	53449	\N	\N	\N
755909	2580	1997-02-12	PRIJEM	VKLAD	11542	49550	\N	\N	\N
755910	2580	1997-03-12	PRIJEM	VKLAD	11542	59630	\N	\N	\N
755911	2580	1997-04-12	PRIJEM	VKLAD	11542	61276	\N	\N	\N
755912	2580	1997-05-12	PRIJEM	VKLAD	11542	59741	\N	\N	\N
755913	2580	1997-06-12	PRIJEM	VKLAD	17313	40778	\N	\N	\N
755914	2580	1997-07-12	PRIJEM	VKLAD	11542	51677	\N	\N	\N
755915	2580	1997-08-12	PRIJEM	VKLAD	11542	58928	\N	\N	\N
755916	2580	1997-09-12	PRIJEM	VKLAD	11542	64762	\N	\N	\N
755917	2580	1997-10-12	PRIJEM	VKLAD	11542	69419	\N	\N	\N
755918	2580	1997-11-12	PRIJEM	VKLAD	11542	76196	\N	\N	\N
755919	2580	1997-12-12	PRIJEM	VKLAD	17313	83285	\N	\N	\N
755920	2580	1998-01-12	PRIJEM	VKLAD	11542	68405	\N	\N	\N
755921	2580	1998-02-12	PRIJEM	VKLAD	11542	65236	\N	\N	\N
755922	2580	1998-03-12	PRIJEM	VKLAD	11542	71495	\N	\N	\N
755923	2580	1998-04-12	PRIJEM	VKLAD	11542	72343	\N	\N	\N
755924	2580	1998-05-12	PRIJEM	VKLAD	11542	82344	\N	\N	\N
755925	2580	1998-06-12	PRIJEM	VKLAD	17313	90243	\N	\N	\N
755926	2580	1998-07-12	PRIJEM	VKLAD	11542	53284	\N	\N	\N
755927	2580	1998-08-12	PRIJEM	VKLAD	11542	64706	\N	\N	\N
755928	2580	1998-09-12	PRIJEM	VKLAD	11542	72267	\N	\N	\N
755929	2580	1998-10-12	PRIJEM	VKLAD	11542	71960	\N	\N	\N
755930	2580	1998-11-12	PRIJEM	VKLAD	11542	72541	\N	\N	\N
755931	2580	1998-12-12	PRIJEM	VKLAD	17313	76807	\N	\N	\N
755946	2580	1996-03-12	VYDAJ	PREVOD NA UCET	5016	44761	SIPO	AB	96968262
755947	2580	1996-04-12	VYDAJ	PREVOD NA UCET	5016	43465	SIPO	AB	96968262
755948	2580	1996-05-12	VYDAJ	PREVOD NA UCET	5016	42448	SIPO	AB	96968262
755949	2580	1996-06-12	VYDAJ	PREVOD NA UCET	5016	49004	SIPO	AB	96968262
755950	2580	1996-07-12	VYDAJ	PREVOD NA UCET	5016	46607	SIPO	AB	96968262
755951	2580	1996-08-12	VYDAJ	PREVOD NA UCET	5016	45260	SIPO	AB	96968262
755952	2580	1996-09-12	VYDAJ	PREVOD NA UCET	5016	52254	SIPO	AB	96968262
755953	2580	1996-10-12	VYDAJ	PREVOD NA UCET	5016	45157	SIPO	AB	96968262
755954	2580	1996-11-12	VYDAJ	PREVOD NA UCET	5016	47641	SIPO	AB	96968262
755955	2580	1996-12-12	VYDAJ	PREVOD NA UCET	5016	53413	SIPO	AB	96968262
755956	2580	1997-01-12	VYDAJ	PREVOD NA UCET	5016	46944	SIPO	AB	96968262
755957	2580	1997-02-12	VYDAJ	PREVOD NA UCET	5016	44534	SIPO	AB	96968262
755958	2580	1997-03-12	VYDAJ	PREVOD NA UCET	5016	53125	SIPO	AB	96968262
755959	2580	1997-04-12	VYDAJ	PREVOD NA UCET	5016	54771	SIPO	AB	96968262
755960	2580	1997-05-12	VYDAJ	PREVOD NA UCET	5016	54725	SIPO	AB	96968262
755961	2580	1997-06-12	VYDAJ	PREVOD NA UCET	5016	34273	SIPO	AB	96968262
755962	2580	1997-07-12	VYDAJ	PREVOD NA UCET	5016	45172	SIPO	AB	96968262
755963	2580	1997-08-12	VYDAJ	PREVOD NA UCET	5016	53912	SIPO	AB	96968262
755964	2580	1997-09-12	VYDAJ	PREVOD NA UCET	5016	58257	SIPO	AB	96968262
755965	2580	1997-10-12	VYDAJ	PREVOD NA UCET	5016	64403	SIPO	AB	96968262
755966	2580	1997-11-12	VYDAJ	PREVOD NA UCET	5016	71180	SIPO	AB	96968262
755967	2580	1997-12-12	VYDAJ	PREVOD NA UCET	5016	76780	SIPO	AB	96968262
755968	2580	1998-01-12	VYDAJ	PREVOD NA UCET	5016	63389	SIPO	AB	96968262
755969	2580	1998-02-12	VYDAJ	PREVOD NA UCET	5016	58731	SIPO	AB	96968262
755970	2580	1998-03-12	VYDAJ	PREVOD NA UCET	5016	66479	SIPO	AB	96968262
755971	2580	1998-04-12	VYDAJ	PREVOD NA UCET	5016	67327	SIPO	AB	96968262
755972	2580	1998-05-12	VYDAJ	PREVOD NA UCET	5016	75839	SIPO	AB	96968262
755973	2580	1998-06-12	VYDAJ	PREVOD NA UCET	5016	83738	SIPO	AB	96968262
755974	2580	1998-07-12	VYDAJ	PREVOD NA UCET	5016	48268	SIPO	AB	96968262
755975	2580	1998-08-12	VYDAJ	PREVOD NA UCET	5016	59690	SIPO	AB	96968262
755976	2580	1998-09-12	VYDAJ	PREVOD NA UCET	5016	65762	SIPO	AB	96968262
755977	2580	1998-10-12	VYDAJ	PREVOD NA UCET	5016	65455	SIPO	AB	96968262
755978	2580	1998-11-12	VYDAJ	PREVOD NA UCET	5016	66036	SIPO	AB	96968262
755979	2580	1998-12-12	VYDAJ	PREVOD NA UCET	5016	70302	SIPO	AB	96968262
755994	2580	1996-03-09	VYDAJ	VYBER	2000	38235	\N	\N	0
755995	2580	1996-04-19	VYDAJ	VYBER	1000	42465	\N	\N	0
755996	2580	1996-04-22	VYDAJ	VYBER	2000	40465	\N	\N	0
755997	2580	1996-06-08	VYDAJ	VYBER	1300	36707	\N	\N	0
755998	2580	1996-07-12	VYDAJ	VYBER	1300	51623	\N	\N	0
755999	2580	1996-08-12	VYDAJ	PREVOD NA UCET	1489	50276	UVER	KL	10807258
756000	2580	1996-09-12	VYDAJ	PREVOD NA UCET	1489	45245	UVER	KL	10807258
756001	2580	1996-10-12	VYDAJ	PREVOD NA UCET	1489	50173	UVER	KL	10807258
756002	2580	1996-11-12	VYDAJ	PREVOD NA UCET	1489	52657	UVER	KL	10807258
756003	2580	1996-12-12	VYDAJ	PREVOD NA UCET	1489	51924	UVER	KL	10807258
756004	2580	1997-01-12	VYDAJ	PREVOD NA UCET	1489	51960	UVER	KL	10807258
756005	2580	1997-02-12	VYDAJ	PREVOD NA UCET	1489	43045	UVER	KL	10807258
756006	2580	1997-03-12	VYDAJ	PREVOD NA UCET	1489	58141	UVER	KL	10807258
756007	2580	1997-04-12	VYDAJ	PREVOD NA UCET	1489	59787	UVER	KL	10807258
756008	2580	1997-05-12	VYDAJ	PREVOD NA UCET	1489	53236	UVER	KL	10807258
756009	2580	1997-06-12	VYDAJ	PREVOD NA UCET	1489	39289	UVER	KL	10807258
756010	2580	1997-07-12	VYDAJ	PREVOD NA UCET	1489	50188	UVER	KL	10807258
756011	2580	1997-08-12	VYDAJ	PREVOD NA UCET	1489	52423	UVER	KL	10807258
756012	2580	1997-09-12	VYDAJ	PREVOD NA UCET	1489	63273	UVER	KL	10807258
756013	2580	1997-10-12	VYDAJ	PREVOD NA UCET	1489	62914	UVER	KL	10807258
756014	2580	1997-11-12	VYDAJ	PREVOD NA UCET	1489	69691	UVER	KL	10807258
756015	2580	1997-12-12	VYDAJ	PREVOD NA UCET	1489	81796	UVER	KL	10807258
756016	2580	1998-01-12	VYDAJ	PREVOD NA UCET	1489	61900	UVER	KL	10807258
756017	2580	1998-02-12	VYDAJ	PREVOD NA UCET	1489	63747	UVER	KL	10807258
756018	2580	1998-03-12	VYDAJ	PREVOD NA UCET	1489	64990	UVER	KL	10807258
756019	2580	1998-04-12	VYDAJ	PREVOD NA UCET	1489	65838	UVER	KL	10807258
756020	2580	1998-05-12	VYDAJ	PREVOD NA UCET	1489	80855	UVER	KL	10807258
756021	2580	1998-06-12	VYDAJ	PREVOD NA UCET	1489	88754	UVER	KL	10807258
756022	2580	1998-07-12	VYDAJ	PREVOD NA UCET	1489	46779	UVER	KL	10807258
756023	2580	1998-08-12	VYDAJ	PREVOD NA UCET	1489	58201	UVER	KL	10807258
756024	2580	1998-09-12	VYDAJ	PREVOD NA UCET	1489	70778	UVER	KL	10807258
756025	2580	1998-10-12	VYDAJ	PREVOD NA UCET	1489	70471	UVER	KL	10807258
756026	2580	1998-11-12	VYDAJ	PREVOD NA UCET	1489	71052	UVER	KL	10807258
756027	2580	1998-12-12	VYDAJ	PREVOD NA UCET	1489	75318	UVER	KL	10807258
756030	2580	1997-06-10	VYDAJ	VYBER	24480	23465	\N	\N	\N
756031	2580	1998-06-29	VYDAJ	VYBER	31200	45038	\N	\N	\N
756034	2580	1997-01-23	VYDAJ	VYBER	9600	30744	\N	\N	\N
756035	2580	1998-01-18	VYDAJ	VYBER	13440	46300	\N	\N	\N
756037	2580	1996-12-16	VYDAJ	VYBER	1120	50804	\N	\N	\N
756038	2580	1997-12-29	VYDAJ	VYBER	1440	66540	\N	\N	\N
756039	2580	1998-12-27	VYDAJ	VYBER	1760	65142	\N	\N	\N
756052	2580	1997-01-19	VYDAJ	VYBER	2280	40344	\N	\N	\N
756053	2580	1997-01-10	VYDAJ	VYBER	2760	41907	\N	\N	\N
756054	2580	1997-01-19	VYDAJ	VYBER	1680	42624	\N	\N	\N
756055	2580	1997-01-19	VYDAJ	VYBER	2640	44304	\N	\N	\N
756056	2580	1997-01-02	VYDAJ	VYBER	720	49547	\N	\N	\N
756057	2580	1997-01-28	VYDAJ	VYBER	1200	29544	\N	\N	\N
756058	2580	1998-01-05	VYDAJ	VYBER	3480	59863	\N	\N	\N
756059	2580	1998-01-01	VYDAJ	VYBER	2280	63343	\N	\N	\N
756060	2580	1998-01-01	VYDAJ	VYBER	1200	65623	\N	\N	\N
756061	2580	1998-01-17	VYDAJ	VYBER	2160	59740	\N	\N	\N
756062	2580	1998-01-24	VYDAJ	VYBER	1920	44380	\N	\N	\N
756063	2580	1998-01-06	VYDAJ	VYBER	3000	56863	\N	\N	\N
756069	2580	1996-10-28	VYDAJ	VYBER	840	44317	\N	\N	\N
756070	2580	1996-09-12	VYDAJ	VYBER	5520	46734	\N	\N	\N
756071	2580	1996-03-13	VYDAJ	VYBER	5280	39481	\N	\N	\N
756072	2580	1996-11-29	VYDAJ	VYBER	4800	40441	\N	\N	\N
756073	2580	1996-07-29	VYDAJ	VYBER	5280	41327	\N	\N	\N
756074	2580	1996-11-22	VYDAJ	VYBER	2400	45241	\N	\N	\N
756075	2580	1997-04-23	VYDAJ	VYBER	2880	51891	\N	\N	\N
756076	2580	1997-01-08	VYDAJ	VYBER	4080	44667	\N	\N	\N
756077	2580	1997-07-25	VYDAJ	VYBER	3840	41332	\N	\N	\N
756078	2580	1997-01-02	VYDAJ	VYBER	720	50267	\N	\N	\N
756079	2580	1998-03-25	VYDAJ	VYBER	720	64270	\N	\N	\N
756080	2580	1998-12-05	VYDAJ	VYBER	5400	59494	\N	\N	\N
756081	2580	1998-04-10	VYDAJ	VYBER	4920	60801	\N	\N	\N
756082	2580	1998-07-03	VYDAJ	VYBER	3600	41742	\N	\N	\N
756098	2580	1996-03-31	VYDAJ	VYBER	15	39639	SLUZBY	\N	\N
756099	2580	1996-04-30	VYDAJ	VYBER	15	40622	SLUZBY	\N	\N
756100	2580	1996-05-31	VYDAJ	VYBER	15	42607	SLUZBY	\N	\N
756101	2580	1996-06-30	VYDAJ	VYBER	15	49181	SLUZBY	\N	\N
756102	2580	1996-07-31	VYDAJ	VYBER	15	41523	SLUZBY	\N	\N
756103	2580	1996-08-31	VYDAJ	VYBER	15	45428	SLUZBY	\N	\N
756104	2580	1996-09-30	VYDAJ	VYBER	15	45420	SLUZBY	\N	\N
756105	2580	1996-10-31	VYDAJ	VYBER	15	44504	SLUZBY	\N	\N
756106	2580	1996-11-30	VYDAJ	VYBER	15	40616	SLUZBY	\N	\N
756107	2580	1996-12-31	VYDAJ	VYBER	15	50987	SLUZBY	\N	\N
756108	2580	1997-01-31	VYDAJ	VYBER	15	29708	SLUZBY	\N	\N
756109	2580	1997-02-28	VYDAJ	VYBER	15	43188	SLUZBY	\N	\N
756110	2580	1997-03-31	VYDAJ	VYBER	15	53334	SLUZBY	\N	\N
756111	2580	1997-04-30	VYDAJ	VYBER	15	52099	SLUZBY	\N	\N
756112	2580	1997-05-31	VYDAJ	VYBER	15	53445	SLUZBY	\N	\N
756113	2580	1997-06-30	VYDAJ	VYBER	15	34435	SLUZBY	\N	\N
756114	2580	1997-07-31	VYDAJ	VYBER	15	47386	SLUZBY	\N	\N
756115	2580	1997-08-31	VYDAJ	VYBER	15	53220	SLUZBY	\N	\N
756116	2580	1997-09-30	VYDAJ	VYBER	15	57877	SLUZBY	\N	\N
756117	2580	1997-10-31	VYDAJ	VYBER	15	64654	SLUZBY	\N	\N
756118	2580	1997-11-30	VYDAJ	VYBER	15	65972	SLUZBY	\N	\N
756119	2580	1997-12-31	VYDAJ	VYBER	15	66823	SLUZBY	\N	\N
756120	2580	1998-01-31	VYDAJ	VYBER	15	53694	SLUZBY	\N	\N
756121	2580	1998-02-28	VYDAJ	VYBER	15	59953	SLUZBY	\N	\N
756122	2580	1998-03-31	VYDAJ	VYBER	15	65721	SLUZBY	\N	\N
756123	2580	1998-04-30	VYDAJ	VYBER	15	70802	SLUZBY	\N	\N
756124	2580	1998-05-31	VYDAJ	VYBER	15	72930	SLUZBY	\N	\N
756125	2580	1998-06-30	VYDAJ	VYBER	15	45342	SLUZBY	\N	\N
756126	2580	1998-07-31	VYDAJ	VYBER	15	53164	SLUZBY	\N	\N
756127	2580	1998-08-31	VYDAJ	VYBER	15	60725	SLUZBY	\N	\N
756128	2580	1998-09-30	VYDAJ	VYBER	15	60418	SLUZBY	\N	\N
756129	2580	1998-10-31	VYDAJ	VYBER	15	60999	SLUZBY	\N	\N
756130	2580	1998-11-30	VYDAJ	VYBER	15	64894	SLUZBY	\N	\N
756131	2580	1995-12-09	PRIJEM	VKLAD	6000	18074	\N	\N	\N
756132	2580	1996-01-08	VYDAJ	VYBER	4700	30800	\N	\N	\N
756133	2580	1996-02-07	VYDAJ	VYBER	8200	34308	\N	\N	\N
756134	2580	1996-03-08	VYDAJ	VYBER	5800	40235	\N	\N	\N
756135	2580	1996-04-07	VYDAJ	VYBER	2700	36939	\N	\N	\N
756136	2580	1996-05-07	VYDAJ	VYBER	4700	35922	\N	\N	\N
756137	2580	1996-06-06	VYDAJ	VYBER	4600	38007	\N	\N	\N
756138	2580	1996-07-06	VYDAJ	VYBER	7800	41381	\N	\N	\N
756139	2580	1996-08-05	VYDAJ	VYBER	1300	40223	\N	\N	\N
756140	2580	1996-09-04	PRIJEM	VKLAD	300	45728	\N	\N	\N
756141	2580	1996-10-04	VYDAJ	VYBER	5300	40120	\N	\N	\N
756142	2580	1996-11-03	VYDAJ	VYBER	1900	42604	\N	\N	\N
756143	2580	1996-12-03	PRIJEM	VKLAD	500	41116	\N	\N	\N
756144	2580	1997-01-02	VYDAJ	VYBER	800	48747	\N	\N	\N
756145	2580	1997-02-01	PRIJEM	VKLAD	8300	38008	\N	\N	\N
756146	2580	1997-03-03	PRIJEM	VKLAD	4900	48088	\N	\N	\N
756147	2580	1997-04-02	VYDAJ	VYBER	3600	49734	\N	\N	\N
756148	2580	1997-05-02	VYDAJ	VYBER	3900	48199	\N	\N	\N
756149	2580	1997-06-01	VYDAJ	VYBER	5500	47945	\N	\N	\N
756150	2580	1997-07-01	PRIJEM	VKLAD	5700	40135	\N	\N	\N
756151	2580	1997-07-31	PRIJEM	VKLAD	5900	47401	\N	\N	\N
756152	2580	1997-08-30	PRIJEM	VKLAD	600	53023	\N	\N	\N
756153	2580	1997-09-29	VYDAJ	VYBER	600	57657	\N	\N	\N
756154	2580	1997-10-29	PRIJEM	VKLAD	1500	64414	\N	\N	\N
756155	2580	1997-11-28	VYDAJ	VYBER	4000	65691	\N	\N	\N
756156	2580	1997-12-28	VYDAJ	VYBER	8800	67980	\N	\N	\N
756157	2580	1998-01-27	PRIJEM	VKLAD	9100	53480	\N	\N	\N
756158	2580	1998-02-26	PRIJEM	VKLAD	1000	59731	\N	\N	\N
756159	2580	1998-03-28	PRIJEM	VKLAD	1200	65470	\N	\N	\N
756160	2580	1998-04-27	PRIJEM	VKLAD	4700	70538	\N	\N	\N
756161	2580	1998-05-27	VYDAJ	VYBER	3200	72639	\N	\N	\N
756162	2580	1998-06-26	VYDAJ	VYBER	7500	76238	\N	\N	\N
756163	2580	1998-07-26	PRIJEM	VKLAD	6200	52979	\N	\N	\N
756164	2580	1998-08-25	PRIJEM	VKLAD	2300	60501	\N	\N	\N
756165	2580	1998-09-24	VYDAJ	VYBER	5600	60162	\N	\N	\N
756166	2580	1998-10-24	VYDAJ	VYBER	4700	60755	\N	\N	\N
756167	2580	1998-11-23	VYDAJ	VYBER	1400	64636	\N	\N	\N
756168	2580	1998-12-23	VYDAJ	VYBER	3400	66902	\N	\N	\N
756207	2581	1993-03-11	PRIJEM	VKLAD	500	500	\N	\N	\N
756210	2581	1993-03-13	PRIJEM	VKLAD	19653	20153	\N	\N	\N
756211	2581	1993-04-13	PRIJEM	VKLAD	19653	43158	\N	\N	\N
756212	2581	1993-05-13	PRIJEM	VKLAD	19653	50752	\N	\N	\N
756213	2581	1993-06-13	PRIJEM	VKLAD	29480	68531	\N	\N	\N
756214	2581	1993-07-13	PRIJEM	VKLAD	19653	68640	\N	\N	\N
756215	2581	1993-08-13	PRIJEM	VKLAD	19653	65495	\N	\N	\N
756216	2581	1993-09-13	PRIJEM	VKLAD	19653	59723	\N	\N	\N
756217	2581	1993-10-13	PRIJEM	VKLAD	19653	52447	\N	\N	\N
756218	2581	1993-11-13	PRIJEM	VKLAD	19653	52731	\N	\N	\N
756219	2581	1993-12-13	PRIJEM	VKLAD	29480	61433	\N	\N	\N
756220	2581	1994-01-13	PRIJEM	VKLAD	19653	38731	\N	\N	\N
756221	2581	1994-02-13	PRIJEM	VKLAD	19653	45213	\N	\N	\N
756222	2581	1994-03-13	PRIJEM	VKLAD	19653	52144	\N	\N	\N
756223	2581	1994-04-13	PRIJEM	VKLAD	19653	47646	\N	\N	\N
756224	2581	1994-05-13	PRIJEM	VKLAD	19653	53102	\N	\N	\N
756225	2581	1994-06-13	PRIJEM	VKLAD	29480	64377	\N	\N	\N
756226	2581	1994-07-13	PRIJEM	VKLAD	19653	54049	\N	\N	\N
756227	2581	1994-08-13	PRIJEM	VKLAD	19653	54545	\N	\N	\N
756228	2581	1994-09-13	PRIJEM	VKLAD	19653	57525	\N	\N	\N
756229	2581	1994-10-13	PRIJEM	VKLAD	19653	53992	\N	\N	\N
756230	2581	1994-11-13	PRIJEM	VKLAD	19653	56772	\N	\N	\N
756231	2581	1994-12-13	PRIJEM	VKLAD	29480	68688	\N	\N	\N
756232	2581	1995-01-13	PRIJEM	VKLAD	19653	54909	\N	\N	\N
756233	2581	1995-02-13	PRIJEM	VKLAD	19653	48298	\N	\N	\N
756234	2581	1995-03-13	PRIJEM	VKLAD	19653	52741	\N	\N	\N
756235	2581	1995-04-13	PRIJEM	VKLAD	19653	56598	\N	\N	\N
756236	2581	1995-05-13	PRIJEM	VKLAD	19653	58290	\N	\N	\N
756237	2581	1995-06-13	PRIJEM	VKLAD	29480	49999	\N	\N	\N
756238	2581	1995-07-13	PRIJEM	VKLAD	19653	52159	\N	\N	\N
756239	2581	1995-08-13	PRIJEM	VKLAD	19653	57016	\N	\N	\N
756240	2581	1995-09-13	PRIJEM	VKLAD	19653	52189	\N	\N	\N
756241	2581	1995-10-13	PRIJEM	VKLAD	19653	57145	\N	\N	\N
756242	2581	1995-11-13	PRIJEM	VKLAD	19653	55515	\N	\N	\N
756243	2581	1995-12-13	PRIJEM	VKLAD	29480	64604	\N	\N	\N
756244	2581	1996-01-13	PRIJEM	VKLAD	19653	53488	\N	\N	\N
756245	2581	1996-02-13	PRIJEM	VKLAD	19653	37395	\N	\N	\N
756246	2581	1996-03-13	PRIJEM	VKLAD	19653	48689	\N	\N	\N
756247	2581	1996-04-13	PRIJEM	VKLAD	19653	55428	\N	\N	\N
756248	2581	1996-05-13	PRIJEM	VKLAD	19653	59891	\N	\N	\N
756249	2581	1996-06-13	PRIJEM	VKLAD	29480	70192	\N	\N	\N
756250	2581	1996-07-13	PRIJEM	VKLAD	19653	42166	\N	\N	\N
756251	2581	1996-08-13	PRIJEM	VKLAD	19653	51779	\N	\N	\N
756252	2581	1996-09-13	PRIJEM	VKLAD	19653	59027	\N	\N	\N
756253	2581	1996-10-13	PRIJEM	VKLAD	19653	61096	\N	\N	\N
756254	2581	1996-11-13	PRIJEM	VKLAD	19653	59669	\N	\N	\N
756255	2581	1996-12-13	PRIJEM	VKLAD	29480	73168	\N	\N	\N
756256	2581	1997-01-13	PRIJEM	VKLAD	19653	47768	\N	\N	\N
756257	2581	1997-02-13	PRIJEM	VKLAD	19653	53412	\N	\N	\N
756258	2581	1997-03-13	PRIJEM	VKLAD	19653	58916	\N	\N	\N
756259	2581	1997-04-13	PRIJEM	VKLAD	19653	64488	\N	\N	\N
756260	2581	1997-05-13	PRIJEM	VKLAD	19653	68780	\N	\N	\N
756261	2581	1997-06-13	PRIJEM	VKLAD	29480	70107	\N	\N	\N
756262	2581	1997-07-13	PRIJEM	VKLAD	19653	70601	\N	\N	\N
756263	2581	1997-08-13	PRIJEM	VKLAD	19653	69506	\N	\N	\N
756264	2581	1997-09-13	PRIJEM	VKLAD	19653	70609	\N	\N	\N
756265	2581	1997-10-13	PRIJEM	VKLAD	19653	74520	\N	\N	\N
756266	2581	1997-11-13	PRIJEM	VKLAD	19653	72062	\N	\N	\N
756267	2581	1997-12-13	PRIJEM	VKLAD	29480	73105	\N	\N	\N
756268	2581	1998-01-13	PRIJEM	VKLAD	19653	68307	\N	\N	\N
756269	2581	1998-02-13	PRIJEM	VKLAD	19653	58411	\N	\N	\N
756270	2581	1998-03-13	PRIJEM	VKLAD	19653	67083	\N	\N	\N
756271	2581	1998-04-13	PRIJEM	VKLAD	19653	66972	\N	\N	\N
756272	2581	1998-05-13	PRIJEM	VKLAD	19653	74371	\N	\N	\N
756273	2581	1998-06-13	PRIJEM	VKLAD	29480	84009	\N	\N	\N
756274	2581	1998-07-13	PRIJEM	VKLAD	19653	79141	\N	\N	\N
756275	2581	1998-08-13	PRIJEM	VKLAD	19653	72607	\N	\N	\N
756276	2581	1998-09-13	PRIJEM	VKLAD	19653	78653	\N	\N	\N
756277	2581	1998-10-13	PRIJEM	VKLAD	19653	79629	\N	\N	\N
756278	2581	1998-11-13	PRIJEM	VKLAD	19653	82016	\N	\N	\N
756279	2581	1998-12-13	PRIJEM	VKLAD	29480	98535	\N	\N	\N
756287	2581	1993-08-08	VYDAJ	PREVOD NA UCET	4769	45842	SIPO	OP	81132262
756288	2581	1993-09-08	VYDAJ	PREVOD NA UCET	4769	40070	SIPO	OP	81132262
756289	2581	1993-10-08	VYDAJ	PREVOD NA UCET	4769	38074	SIPO	OP	81132262
756290	2581	1993-11-08	VYDAJ	PREVOD NA UCET	4769	33078	SIPO	OP	81132262
756291	2581	1993-12-08	VYDAJ	PREVOD NA UCET	4769	34354	SIPO	OP	81132262
756292	2581	1994-01-08	VYDAJ	PREVOD NA UCET	4769	25918	SIPO	OP	81132262
756293	2581	1994-02-08	VYDAJ	PREVOD NA UCET	4769	25560	SIPO	OP	81132262
756294	2581	1994-03-08	VYDAJ	PREVOD NA UCET	4769	32491	SIPO	OP	81132262
756295	2581	1994-04-08	VYDAJ	PREVOD NA UCET	4769	31593	SIPO	OP	81132262
756296	2581	1994-05-08	VYDAJ	PREVOD NA UCET	4769	33449	SIPO	OP	81132262
756297	2581	1994-06-08	VYDAJ	PREVOD NA UCET	4769	34898	SIPO	OP	81132262
756298	2581	1994-07-08	VYDAJ	PREVOD NA UCET	4769	34396	SIPO	OP	81132262
756299	2581	1994-08-08	VYDAJ	PREVOD NA UCET	4769	34892	SIPO	OP	81132262
756300	2581	1994-09-08	VYDAJ	PREVOD NA UCET	4769	37872	SIPO	OP	81132262
756301	2581	1994-10-08	VYDAJ	PREVOD NA UCET	4769	34339	SIPO	OP	81132262
756302	2581	1994-11-08	VYDAJ	PREVOD NA UCET	4769	37119	SIPO	OP	81132262
756303	2581	1994-12-08	VYDAJ	PREVOD NA UCET	4769	39208	SIPO	OP	81132262
756304	2581	1995-01-08	VYDAJ	PREVOD NA UCET	4769	35956	SIPO	OP	81132262
756305	2581	1995-02-08	VYDAJ	PREVOD NA UCET	4769	28645	SIPO	OP	81132262
756306	2581	1995-03-08	VYDAJ	PREVOD NA UCET	4769	33088	SIPO	OP	81132262
756307	2581	1995-04-08	VYDAJ	PREVOD NA UCET	4769	36945	SIPO	OP	81132262
756308	2581	1995-05-08	VYDAJ	PREVOD NA UCET	4769	38637	SIPO	OP	81132262
756309	2581	1995-06-08	VYDAJ	PREVOD NA UCET	4769	39239	SIPO	OP	81132262
756310	2581	1995-07-08	VYDAJ	PREVOD NA UCET	4769	32506	SIPO	OP	81132262
756311	2581	1995-08-08	VYDAJ	PREVOD NA UCET	4769	37363	SIPO	OP	81132262
756312	2581	1995-09-08	VYDAJ	PREVOD NA UCET	4769	32536	SIPO	OP	81132262
756313	2581	1995-10-08	VYDAJ	PREVOD NA UCET	4769	37492	SIPO	OP	81132262
756314	2581	1995-11-08	VYDAJ	PREVOD NA UCET	4769	35862	SIPO	OP	81132262
756315	2581	1995-12-08	VYDAJ	PREVOD NA UCET	4769	35125	SIPO	OP	81132262
756316	2581	1996-01-08	VYDAJ	PREVOD NA UCET	4769	37335	SIPO	OP	81132262
756317	2581	1996-02-08	VYDAJ	PREVOD NA UCET	4769	17742	SIPO	OP	81132262
756318	2581	1996-03-08	VYDAJ	PREVOD NA UCET	4769	29036	SIPO	OP	81132262
756319	2581	1996-04-08	VYDAJ	PREVOD NA UCET	4769	35775	SIPO	OP	81132262
756320	2581	1996-05-08	VYDAJ	PREVOD NA UCET	4769	40238	SIPO	OP	81132262
756321	2581	1996-06-08	VYDAJ	PREVOD NA UCET	4769	40712	SIPO	OP	81132262
756322	2581	1996-07-08	VYDAJ	PREVOD NA UCET	4769	22513	SIPO	OP	81132262
756323	2581	1996-08-08	VYDAJ	PREVOD NA UCET	4769	32126	SIPO	OP	81132262
756324	2581	1996-09-08	VYDAJ	PREVOD NA UCET	4769	39374	SIPO	OP	81132262
756325	2581	1996-10-08	VYDAJ	PREVOD NA UCET	4769	41443	SIPO	OP	81132262
756326	2581	1996-11-08	VYDAJ	PREVOD NA UCET	4769	40016	SIPO	OP	81132262
756327	2581	1996-12-08	VYDAJ	PREVOD NA UCET	4769	43689	SIPO	OP	81132262
756328	2581	1997-01-08	VYDAJ	PREVOD NA UCET	4769	43315	SIPO	OP	81132262
756329	2581	1997-02-08	VYDAJ	PREVOD NA UCET	4769	33759	SIPO	OP	81132262
756330	2581	1997-03-08	VYDAJ	PREVOD NA UCET	4769	39263	SIPO	OP	81132262
756331	2581	1997-04-08	VYDAJ	PREVOD NA UCET	4769	44835	SIPO	OP	81132262
756332	2581	1997-05-08	VYDAJ	PREVOD NA UCET	4769	49127	SIPO	OP	81132262
756333	2581	1997-06-08	VYDAJ	PREVOD NA UCET	4769	40628	SIPO	OP	81132262
756334	2581	1997-07-08	VYDAJ	PREVOD NA UCET	4769	50948	SIPO	OP	81132262
756335	2581	1997-08-08	VYDAJ	PREVOD NA UCET	4769	49853	SIPO	OP	81132262
756336	2581	1997-09-08	VYDAJ	PREVOD NA UCET	4769	50956	SIPO	OP	81132262
756337	2581	1997-10-08	VYDAJ	PREVOD NA UCET	4769	54867	SIPO	OP	81132262
756338	2581	1997-11-08	VYDAJ	PREVOD NA UCET	4769	52409	SIPO	OP	81132262
756339	2581	1997-12-08	VYDAJ	PREVOD NA UCET	4769	44726	SIPO	OP	81132262
756340	2581	1998-01-08	VYDAJ	PREVOD NA UCET	4769	49954	SIPO	OP	81132262
756341	2581	1998-02-08	VYDAJ	PREVOD NA UCET	4769	38758	SIPO	OP	81132262
756342	2581	1998-03-08	VYDAJ	PREVOD NA UCET	4769	47430	SIPO	OP	81132262
756343	2581	1998-04-08	VYDAJ	PREVOD NA UCET	4769	47319	SIPO	OP	81132262
756344	2581	1998-05-08	VYDAJ	PREVOD NA UCET	4769	54718	SIPO	OP	81132262
756345	2581	1998-06-08	VYDAJ	PREVOD NA UCET	4769	54529	SIPO	OP	81132262
756346	2581	1998-07-08	VYDAJ	PREVOD NA UCET	4769	59488	SIPO	OP	81132262
756347	2581	1998-08-08	VYDAJ	PREVOD NA UCET	4769	56554	SIPO	OP	81132262
756348	2581	1998-09-08	VYDAJ	PREVOD NA UCET	4769	68100	SIPO	OP	81132262
756349	2581	1998-10-08	VYDAJ	PREVOD NA UCET	4769	74176	SIPO	OP	81132262
756350	2581	1998-11-08	VYDAJ	PREVOD NA UCET	4769	75163	SIPO	OP	81132262
756351	2581	1998-12-08	VYDAJ	PREVOD NA UCET	4769	77555	SIPO	OP	81132262
756353	2581	1994-06-25	VYDAJ	VYBER	15520	48857	\N	\N	\N
756354	2581	1995-06-08	VYDAJ	VYBER	18720	20519	\N	\N	\N
756355	2581	1996-06-16	VYDAJ	VYBER	41760	28432	\N	\N	\N
756356	2581	1997-06-01	VYDAJ	VYBER	7200	45397	\N	\N	\N
756359	2581	1994-01-07	VYDAJ	VYBER	8960	32007	\N	\N	\N
756360	2581	1995-01-26	VYDAJ	VYBER	8480	46429	\N	\N	\N
756361	2581	1996-01-28	VYDAJ	VYBER	12000	27488	\N	\N	\N
756362	2581	1997-01-11	VYDAJ	VYBER	12000	28115	\N	\N	\N
756363	2581	1998-01-20	VYDAJ	VYBER	11680	46627	\N	\N	\N
756364	2581	1993-12-11	VYDAJ	VYBER	2400	31954	\N	\N	\N
756365	2581	1994-12-22	VYDAJ	VYBER KARTOU	2200	66488	\N	\N	0
756366	2581	1995-12-30	VYDAJ	VYBER KARTOU	2900	46604	\N	\N	0
756367	2581	1996-12-18	VYDAJ	VYBER KARTOU	3400	69768	\N	\N	0
756368	2581	1997-12-12	VYDAJ	VYBER KARTOU	1100	43626	\N	\N	0
756369	2581	1998-12-29	VYDAJ	VYBER KARTOU	3500	95035	\N	\N	0
756376	2581	1994-01-12	VYDAJ	VYBER	3120	19078	\N	\N	\N
756377	2581	1994-01-17	VYDAJ	VYBER	2520	33691	\N	\N	\N
756378	2581	1994-01-05	VYDAJ	VYBER	3480	40967	\N	\N	\N
756379	2581	1994-01-08	VYDAJ	VYBER	1320	30687	\N	\N	\N
756380	2581	1994-01-09	VYDAJ	VYBER	2880	23038	\N	\N	\N
756381	2581	1994-01-14	VYDAJ	VYBER	1680	37051	\N	\N	\N
756382	2581	1995-01-27	VYDAJ	VYBER KARTOU	2900	43529	\N	\N	0
756383	2581	1995-01-01	VYDAJ	VYBER KARTOU	800	44925	\N	\N	0
756384	2581	1995-01-08	VYDAJ	VYBER KARTOU	700	35256	\N	\N	0
756385	2581	1995-01-30	VYDAJ	VYBER KARTOU	2900	40629	\N	\N	0
756386	2581	1995-01-04	VYDAJ	VYBER KARTOU	2200	42725	\N	\N	0
756387	2581	1995-01-04	VYDAJ	VYBER KARTOU	2000	40725	\N	\N	0
756388	2581	1996-01-04	VYDAJ	VYBER KARTOU	2200	44604	\N	\N	0
756389	2581	1996-01-07	VYDAJ	VYBER KARTOU	2500	42104	\N	\N	0
756390	2581	1996-01-15	VYDAJ	VYBER KARTOU	2000	51488	\N	\N	0
756391	2581	1996-01-12	VYDAJ	VYBER KARTOU	3500	33835	\N	\N	0
756392	2581	1996-01-30	VYDAJ	VYBER KARTOU	700	26788	\N	\N	0
756393	2581	1996-01-17	VYDAJ	VYBER KARTOU	1800	49688	\N	\N	0
756394	2581	1997-01-02	VYDAJ	VYBER KARTOU	1100	51484	\N	\N	0
756395	2581	1997-01-09	VYDAJ	VYBER KARTOU	3200	40115	\N	\N	0
756396	2581	1997-01-14	VYDAJ	VYBER KARTOU	3200	44568	\N	\N	0
756397	2581	1997-01-01	VYDAJ	VYBER KARTOU	2200	52584	\N	\N	0
756398	2581	1997-01-23	VYDAJ	VYBER KARTOU	2900	38368	\N	\N	0
756399	2581	1997-01-07	VYDAJ	VYBER KARTOU	3400	48084	\N	\N	0
756400	2581	1998-01-12	VYDAJ	VYBER KARTOU	1300	48654	\N	\N	0
756401	2581	1998-01-01	VYDAJ	VYBER KARTOU	700	60323	\N	\N	0
756402	2581	1998-01-27	VYDAJ	VYBER KARTOU	2500	43327	\N	\N	0
756403	2581	1998-01-04	VYDAJ	VYBER KARTOU	2500	57823	\N	\N	0
756404	2581	1998-01-08	VYDAJ	VYBER KARTOU	3100	54723	\N	\N	0
756405	2581	1998-01-21	VYDAJ	VYBER KARTOU	800	45827	\N	\N	0
756407	2581	1993-10-11	VYDAJ	VYBER	5280	32794	\N	\N	\N
756408	2581	1993-09-06	VYDAJ	VYBER	1440	60939	\N	\N	\N
756409	2581	1993-08-22	VYDAJ	VYBER	3360	62135	\N	\N	\N
756410	2581	1994-01-10	VYDAJ	VYBER	840	22198	\N	\N	\N
756411	2581	1994-01-16	VYDAJ	VYBER	840	36211	\N	\N	\N
756412	2581	1994-04-10	VYDAJ	VYBER	3600	27993	\N	\N	\N
756413	2581	1994-07-30	VYDAJ	VYBER	2880	51169	\N	\N	\N
756414	2581	1994-05-14	VYDAJ	VYBER	1320	51782	\N	\N	\N
756415	2581	1994-03-22	VYDAJ	VYBER	3960	48184	\N	\N	\N
756416	2581	1994-09-21	VYDAJ	VYBER	3720	53805	\N	\N	\N
756417	2581	1995-03-20	VYDAJ	VYBER KARTOU	3500	49241	\N	\N	0
756418	2581	1995-10-26	VYDAJ	VYBER KARTOU	3700	53445	\N	\N	0
756419	2581	1995-03-02	VYDAJ	VYBER KARTOU	1000	37857	\N	\N	0
756420	2581	1995-05-17	VYDAJ	VYBER KARTOU	1600	56690	\N	\N	0
756421	2581	1995-09-07	VYDAJ	VYBER	4200	37305	\N	\N	\N
756422	2581	1996-04-28	VYDAJ	VYBER KARTOU	700	44828	\N	\N	0
756423	2581	1996-10-25	VYDAJ	VYBER KARTOU	1200	44596	\N	\N	0
756424	2581	1996-07-07	VYDAJ	VYBER	4200	27282	\N	\N	\N
756425	2581	1996-01-31	VYDAJ	VYBER	4440	22511	\N	\N	\N
756426	2581	1996-05-16	VYDAJ	VYBER KARTOU	700	59191	\N	\N	0
756427	2581	1996-05-17	VYDAJ	VYBER KARTOU	1600	57591	\N	\N	0
756428	2581	1997-10-16	VYDAJ	VYBER KARTOU	3500	71020	\N	\N	0
756429	2581	1997-02-15	VYDAJ	VYBER	5040	48372	\N	\N	\N
756430	2581	1997-05-23	VYDAJ	VYBER KARTOU	2400	52380	\N	\N	0
756431	2581	1997-11-27	VYDAJ	VYBER	4680	49282	\N	\N	\N
756432	2581	1998-02-20	VYDAJ	VYBER KARTOU	1900	52011	\N	\N	0
756433	2581	1998-08-07	VYDAJ	VYBER KARTOU	3000	61323	\N	\N	0
756434	2581	1998-06-17	VYDAJ	VYBER KARTOU	1800	64009	\N	\N	0
756435	2581	1998-03-30	VYDAJ	VYBER KARTOU	2500	51883	\N	\N	0
756443	2581	1993-07-31	VYDAJ	VYBER	15	68911	SLUZBY	\N	\N
756444	2581	1993-08-31	VYDAJ	VYBER	15	62379	SLUZBY	\N	\N
756445	2581	1993-09-30	VYDAJ	VYBER	15	59943	SLUZBY	\N	\N
756446	2581	1993-10-31	VYDAJ	VYBER	15	52647	SLUZBY	\N	\N
756447	2581	1993-11-30	VYDAJ	VYBER	15	52923	SLUZBY	\N	\N
756448	2581	1993-12-31	VYDAJ	VYBER	15	61647	SLUZBY	\N	\N
756449	2581	1994-01-31	VYDAJ	VYBER	15	33829	SLUZBY	\N	\N
756450	2581	1994-02-28	VYDAJ	VYBER	15	45360	SLUZBY	\N	\N
756451	2581	1994-03-31	VYDAJ	VYBER	15	48362	SLUZBY	\N	\N
756452	2581	1994-04-30	VYDAJ	VYBER	15	47818	SLUZBY	\N	\N
756453	2581	1994-05-31	VYDAJ	VYBER	15	51967	SLUZBY	\N	\N
756454	2581	1994-06-30	VYDAJ	VYBER	15	49065	SLUZBY	\N	\N
756455	2581	1994-07-31	VYDAJ	VYBER	15	51361	SLUZBY	\N	\N
756456	2581	1994-08-31	VYDAJ	VYBER	15	54741	SLUZBY	\N	\N
756457	2581	1994-09-30	VYDAJ	VYBER	15	54008	SLUZBY	\N	\N
756458	2581	1994-10-31	VYDAJ	VYBER	15	54188	SLUZBY	\N	\N
756459	2581	1994-11-30	VYDAJ	VYBER	15	56977	SLUZBY	\N	\N
756460	2581	1994-12-31	VYDAJ	VYBER	15	66725	SLUZBY	\N	\N
756461	2581	1995-01-31	VYDAJ	VYBER	15	33414	SLUZBY	\N	\N
756462	2581	1995-02-28	VYDAJ	VYBER	15	48457	SLUZBY	\N	\N
756463	2581	1995-03-31	VYDAJ	VYBER	15	49414	SLUZBY	\N	\N
756464	2581	1995-04-30	VYDAJ	VYBER	15	56806	SLUZBY	\N	\N
756465	2581	1995-05-31	VYDAJ	VYBER	15	44008	SLUZBY	\N	\N
756466	2581	1995-06-30	VYDAJ	VYBER	15	37275	SLUZBY	\N	\N
756467	2581	1995-07-31	VYDAJ	VYBER	15	42132	SLUZBY	\N	\N
756468	2581	1995-08-31	VYDAJ	VYBER	15	41505	SLUZBY	\N	\N
756469	2581	1995-09-30	VYDAJ	VYBER	15	42261	SLUZBY	\N	\N
756470	2581	1995-10-31	VYDAJ	VYBER	15	40631	SLUZBY	\N	\N
756471	2581	1995-11-30	VYDAJ	VYBER	15	39894	SLUZBY	\N	\N
756472	2581	1995-12-31	VYDAJ	VYBER	15	46804	SLUZBY	\N	\N
756473	2581	1996-01-31	VYDAJ	VYBER	15	26951	SLUZBY	\N	\N
756474	2581	1996-02-29	VYDAJ	VYBER	15	33805	SLUZBY	\N	\N
756475	2581	1996-03-31	VYDAJ	VYBER	15	40544	SLUZBY	\N	\N
756476	2581	1996-04-30	VYDAJ	VYBER	15	45007	SLUZBY	\N	\N
756477	2581	1996-05-31	VYDAJ	VYBER	15	45481	SLUZBY	\N	\N
756478	2581	1996-06-30	VYDAJ	VYBER	15	31482	SLUZBY	\N	\N
756479	2581	1996-07-31	VYDAJ	VYBER	15	36895	SLUZBY	\N	\N
756480	2581	1996-08-31	VYDAJ	VYBER	15	44143	SLUZBY	\N	\N
756481	2581	1996-09-30	VYDAJ	VYBER	15	46212	SLUZBY	\N	\N
756482	2581	1996-10-31	VYDAJ	VYBER	15	44785	SLUZBY	\N	\N
756483	2581	1996-11-30	VYDAJ	VYBER	15	48458	SLUZBY	\N	\N
756484	2581	1996-12-31	VYDAJ	VYBER	15	54784	SLUZBY	\N	\N
756485	2581	1997-01-31	VYDAJ	VYBER	15	38528	SLUZBY	\N	\N
756486	2581	1997-02-28	VYDAJ	VYBER	15	44032	SLUZBY	\N	\N
756487	2581	1997-03-31	VYDAJ	VYBER	15	49604	SLUZBY	\N	\N
756488	2581	1997-04-30	VYDAJ	VYBER	15	53896	SLUZBY	\N	\N
756489	2581	1997-05-31	VYDAJ	VYBER	15	52597	SLUZBY	\N	\N
756490	2581	1997-06-30	VYDAJ	VYBER	15	55717	SLUZBY	\N	\N
756491	2581	1997-07-31	VYDAJ	VYBER	15	54622	SLUZBY	\N	\N
756492	2581	1997-08-31	VYDAJ	VYBER	15	55725	SLUZBY	\N	\N
756493	2581	1997-09-30	VYDAJ	VYBER	15	59636	SLUZBY	\N	\N
756494	2581	1997-10-31	VYDAJ	VYBER	15	57178	SLUZBY	\N	\N
756495	2581	1997-11-30	VYDAJ	VYBER	15	49495	SLUZBY	\N	\N
756496	2581	1997-12-31	VYDAJ	VYBER	15	61023	SLUZBY	\N	\N
756497	2581	1998-01-31	VYDAJ	VYBER	15	43527	SLUZBY	\N	\N
756498	2581	1998-02-28	VYDAJ	VYBER	15	52199	SLUZBY	\N	\N
756499	2581	1998-03-31	VYDAJ	VYBER	15	52088	SLUZBY	\N	\N
756500	2581	1998-04-30	VYDAJ	VYBER	15	59487	SLUZBY	\N	\N
756501	2581	1998-05-31	VYDAJ	VYBER	15	59298	SLUZBY	\N	\N
756502	2581	1998-06-30	VYDAJ	VYBER	15	64257	SLUZBY	\N	\N
756503	2581	1998-07-31	VYDAJ	VYBER	15	64323	SLUZBY	\N	\N
756504	2581	1998-08-31	VYDAJ	VYBER	15	72869	SLUZBY	\N	\N
756505	2581	1998-09-30	VYDAJ	VYBER	15	78945	SLUZBY	\N	\N
756506	2581	1998-10-31	VYDAJ	VYBER	15	79932	SLUZBY	\N	\N
756507	2581	1998-11-30	VYDAJ	VYBER	15	82324	SLUZBY	\N	\N
756508	2581	1993-04-10	PRIJEM	VKLAD	3300	23505	\N	\N	\N
756509	2581	1993-05-10	VYDAJ	VYBER	12200	31099	\N	\N	\N
756510	2581	1993-06-09	VYDAJ	VYBER	11900	39051	\N	\N	\N
756511	2581	1993-07-09	VYDAJ	VYBER	19800	48987	\N	\N	\N
756512	2581	1993-08-08	VYDAJ	VYBER	18300	50611	\N	\N	\N
756513	2581	1993-09-07	VYDAJ	VYBER	16100	44839	\N	\N	\N
756514	2581	1993-10-07	VYDAJ	VYBER	17100	42843	\N	\N	\N
756515	2581	1993-11-06	VYDAJ	VYBER	14800	37847	\N	\N	\N
756516	2581	1993-12-06	VYDAJ	VYBER	13800	39123	\N	\N	\N
756517	2581	1994-01-05	VYDAJ	VYBER	17200	44447	\N	\N	\N
756518	2581	1994-02-04	VYDAJ	VYBER	3500	30329	\N	\N	\N
756519	2581	1994-03-06	VYDAJ	VYBER	8100	37260	\N	\N	\N
756520	2581	1994-04-05	VYDAJ	VYBER	12000	36362	\N	\N	\N
756521	2581	1994-05-05	VYDAJ	VYBER	9600	38218	\N	\N	\N
756522	2581	1994-06-04	VYDAJ	VYBER	12300	39667	\N	\N	\N
756523	2581	1994-07-04	VYDAJ	VYBER	9900	39165	\N	\N	\N
756524	2581	1994-08-03	VYDAJ	VYBER	11700	39661	\N	\N	\N
756525	2581	1994-09-02	VYDAJ	VYBER	12100	42641	\N	\N	\N
756526	2581	1994-10-02	VYDAJ	VYBER	14900	39108	\N	\N	\N
756527	2581	1994-11-01	VYDAJ	VYBER	12300	41888	\N	\N	\N
756528	2581	1994-12-01	VYDAJ	VYBER	13000	43977	\N	\N	\N
756529	2581	1994-12-31	VYDAJ	VYBER	21000	45725	\N	\N	\N
756530	2581	1995-01-30	VYDAJ	VYBER	7400	33229	\N	\N	\N
756531	2581	1995-03-01	VYDAJ	VYBER	9600	38857	\N	\N	\N
756532	2581	1995-03-31	VYDAJ	VYBER	7700	41714	\N	\N	\N
756533	2581	1995-04-30	VYDAJ	VYBER	13400	43406	\N	\N	\N
756534	2581	1995-05-30	VYDAJ	VYBER	12900	43790	\N	\N	\N
756535	2581	1995-06-29	VYDAJ	VYBER	12900	37099	\N	\N	\N
756536	2581	1995-07-29	VYDAJ	VYBER	10200	41959	\N	\N	\N
756537	2581	1995-08-28	VYDAJ	VYBER	15700	41316	\N	\N	\N
756538	2581	1995-09-27	VYDAJ	VYBER	10100	42089	\N	\N	\N
756539	2581	1995-10-27	VYDAJ	VYBER	13000	40445	\N	\N	\N
756540	2581	1995-11-26	VYDAJ	VYBER	15800	39715	\N	\N	\N
756541	2581	1995-12-26	VYDAJ	VYBER	15100	49504	\N	\N	\N
756542	2581	1996-01-25	VYDAJ	VYBER	10200	39488	\N	\N	\N
756543	2581	1996-02-24	VYDAJ	VYBER KARTOU	3700	33695	\N	\N	0
756544	2581	1996-03-25	VYDAJ	VYBER	8300	40389	\N	\N	\N
756545	2581	1996-04-24	VYDAJ	VYBER	9900	45528	\N	\N	\N
756546	2581	1996-05-24	VYDAJ	VYBER	12300	45291	\N	\N	\N
756547	2581	1996-06-23	PRIJEM	VKLAD	2900	31332	\N	\N	\N
756548	2581	1996-07-23	VYDAJ	VYBER	5400	36766	\N	\N	\N
756549	2581	1996-08-22	VYDAJ	VYBER	7800	43979	\N	\N	\N
756550	2581	1996-09-21	VYDAJ	VYBER	13000	46027	\N	\N	\N
756551	2581	1996-10-21	VYDAJ	VYBER	15300	45796	\N	\N	\N
756552	2581	1996-11-20	VYDAJ	VYBER	11400	48269	\N	\N	\N
756553	2581	1996-12-20	VYDAJ	VYBER	15200	54568	\N	\N	\N
756554	2581	1997-01-19	VYDAJ	VYBER KARTOU	3300	41268	\N	\N	0
756555	2581	1997-02-18	VYDAJ	VYBER	4500	43872	\N	\N	\N
756556	2581	1997-03-20	VYDAJ	VYBER	9500	49416	\N	\N	\N
756557	2581	1997-04-19	VYDAJ	VYBER	10800	53688	\N	\N	\N
756558	2581	1997-05-19	VYDAJ	VYBER	14000	54780	\N	\N	\N
756559	2581	1997-06-18	VYDAJ	VYBER	14600	55507	\N	\N	\N
756560	2581	1997-07-18	VYDAJ	VYBER	16200	54401	\N	\N	\N
756561	2581	1997-08-17	VYDAJ	VYBER	14000	55506	\N	\N	\N
756562	2581	1997-09-16	VYDAJ	VYBER	11200	59409	\N	\N	\N
756563	2581	1997-10-16	VYDAJ	VYBER	14100	56920	\N	\N	\N
756564	2581	1997-11-15	VYDAJ	VYBER	18100	53962	\N	\N	\N
756565	2581	1997-12-15	VYDAJ	VYBER	12300	60805	\N	\N	\N
756566	2581	1998-01-14	VYDAJ	VYBER	10000	58307	\N	\N	\N
756567	2581	1998-02-13	VYDAJ	VYBER	4500	53911	\N	\N	\N
756568	2581	1998-03-15	VYDAJ	VYBER	12700	54383	\N	\N	\N
756569	2581	1998-04-14	VYDAJ	VYBER	7700	59272	\N	\N	\N
756570	2581	1998-05-14	VYDAJ	VYBER	15300	59071	\N	\N	\N
756571	2581	1998-06-13	VYDAJ	VYBER	18200	65809	\N	\N	\N
756572	2581	1998-07-13	VYDAJ	VYBER	15100	64041	\N	\N	\N
756573	2581	1998-08-12	VYDAJ	VYBER KARTOU	3600	52954	\N	\N	0
756574	2581	1998-09-11	VYDAJ	VYBER	9100	59000	\N	\N	\N
756575	2581	1998-10-11	VYDAJ	VYBER	14200	59976	\N	\N	\N
756576	2581	1998-11-10	VYDAJ	VYBER	12800	62363	\N	\N	\N
756577	2581	1998-12-10	VYDAJ	VYBER	8500	69055	\N	\N	\N
756648	2582	1993-11-01	PRIJEM	VKLAD	500	500	\N	\N	\N
756659	2582	1993-11-08	PRIJEM	VKLAD	21884	22384	\N	\N	\N
756660	2582	1993-12-08	PRIJEM	VKLAD	32826	58582	\N	\N	\N
756661	2582	1994-01-08	PRIJEM	VKLAD	21884	61873	\N	\N	\N
756662	2582	1994-02-08	PRIJEM	VKLAD	21884	64624	\N	\N	\N
756663	2582	1994-03-08	PRIJEM	VKLAD	21884	65686	\N	\N	\N
756664	2582	1994-04-08	PRIJEM	VKLAD	21884	67072	\N	\N	\N
756665	2582	1994-05-08	PRIJEM	VKLAD	21884	68467	\N	\N	\N
756666	2582	1994-06-08	PRIJEM	VKLAD	32826	74447	\N	\N	\N
756667	2582	1994-07-08	PRIJEM	VKLAD	21884	50728	\N	\N	\N
756668	2582	1994-08-08	PRIJEM	VKLAD	21884	57952	\N	\N	\N
756669	2582	1994-09-08	PRIJEM	VKLAD	21884	60253	\N	\N	\N
756670	2582	1994-10-08	PRIJEM	VKLAD	21884	64913	\N	\N	\N
756671	2582	1994-11-08	PRIJEM	VKLAD	21884	69292	\N	\N	\N
756672	2582	1994-12-08	PRIJEM	VKLAD	32826	81327	\N	\N	\N
756673	2582	1995-01-08	PRIJEM	VKLAD	21884	71788	\N	\N	\N
756674	2582	1995-02-08	PRIJEM	VKLAD	21884	56518	\N	\N	\N
756675	2582	1995-03-08	PRIJEM	VKLAD	21884	62460	\N	\N	\N
756676	2582	1995-04-08	PRIJEM	VKLAD	21884	64704	\N	\N	\N
756677	2582	1995-05-08	PRIJEM	VKLAD	21884	59952	\N	\N	\N
756678	2582	1995-06-08	PRIJEM	VKLAD	32826	76751	\N	\N	\N
756679	2582	1995-07-08	PRIJEM	VKLAD	21884	61126	\N	\N	\N
756680	2582	1995-08-08	PRIJEM	VKLAD	21884	63480	\N	\N	\N
756681	2582	1995-09-08	PRIJEM	VKLAD	21884	68946	\N	\N	\N
756682	2582	1995-10-08	PRIJEM	VKLAD	21884	63675	\N	\N	\N
756683	2582	1995-11-08	PRIJEM	VKLAD	21884	67538	\N	\N	\N
756684	2582	1995-12-08	PRIJEM	VKLAD	32826	74146	\N	\N	\N
756685	2582	1996-01-08	PRIJEM	VKLAD	21884	62228	\N	\N	\N
756686	2582	1996-02-08	PRIJEM	VKLAD	21884	60073	\N	\N	\N
756687	2582	1996-03-08	PRIJEM	VKLAD	21884	60654	\N	\N	\N
756688	2582	1996-04-08	PRIJEM	VKLAD	21884	55329	\N	\N	\N
756689	2582	1996-05-08	PRIJEM	VKLAD	21884	58249	\N	\N	\N
756690	2582	1996-06-08	PRIJEM	VKLAD	32826	72621	\N	\N	\N
756691	2582	1996-07-08	PRIJEM	VKLAD	21884	62304	\N	\N	\N
756692	2582	1996-08-08	PRIJEM	VKLAD	21884	66853	\N	\N	\N
756693	2582	1996-09-08	PRIJEM	VKLAD	21884	63979	\N	\N	\N
756694	2582	1996-10-08	PRIJEM	VKLAD	21884	61223	\N	\N	\N
756695	2582	1996-11-08	PRIJEM	VKLAD	21884	66765	\N	\N	\N
756696	2582	1996-12-08	PRIJEM	VKLAD	32826	78861	\N	\N	\N
756697	2582	1997-01-08	PRIJEM	VKLAD	21884	70290	\N	\N	\N
756698	2582	1997-02-08	PRIJEM	VKLAD	21884	45899	\N	\N	\N
756699	2582	1997-03-08	PRIJEM	VKLAD	21884	58490	\N	\N	\N
756700	2582	1997-04-08	PRIJEM	VKLAD	21884	65418	\N	\N	\N
756701	2582	1997-05-08	PRIJEM	VKLAD	21884	70175	\N	\N	\N
756702	2582	1997-06-08	PRIJEM	VKLAD	32826	80986	\N	\N	\N
756703	2582	1997-07-08	PRIJEM	VKLAD	21884	64712	\N	\N	\N
756704	2582	1997-08-08	PRIJEM	VKLAD	21884	67856	\N	\N	\N
756705	2582	1997-09-08	PRIJEM	VKLAD	21884	70109	\N	\N	\N
756706	2582	1997-10-08	PRIJEM	VKLAD	21884	72970	\N	\N	\N
756707	2582	1997-11-08	PRIJEM	VKLAD	21884	78951	\N	\N	\N
756708	2582	1997-12-08	PRIJEM	VKLAD	32826	89182	\N	\N	\N
756709	2582	1998-01-08	PRIJEM	VKLAD	21884	80385	\N	\N	\N
756710	2582	1998-02-08	PRIJEM	VKLAD	21884	62921	\N	\N	\N
756711	2582	1998-03-08	PRIJEM	VKLAD	21884	74779	\N	\N	\N
756712	2582	1998-04-08	PRIJEM	VKLAD	21884	78860	\N	\N	\N
756713	2582	1998-05-08	PRIJEM	VKLAD	21884	80148	\N	\N	\N
756714	2582	1998-06-08	PRIJEM	VKLAD	32826	91881	\N	\N	\N
756715	2582	1998-07-08	PRIJEM	VKLAD	21884	53564	\N	\N	\N
756716	2582	1998-08-08	PRIJEM	VKLAD	21884	61572	\N	\N	\N
756717	2582	1998-09-08	PRIJEM	VKLAD	21884	65937	\N	\N	\N
756718	2582	1998-10-08	PRIJEM	VKLAD	21884	66860	\N	\N	\N
756719	2582	1998-11-08	PRIJEM	VKLAD	21884	69559	\N	\N	\N
756720	2582	1998-12-08	PRIJEM	VKLAD	32826	72717	\N	\N	\N
756735	2582	1994-03-14	VYDAJ	PREVOD NA UCET	1381	64305	SIPO	EF	97059088
756736	2582	1994-04-14	VYDAJ	PREVOD NA UCET	1381	65691	SIPO	EF	97059088
756737	2582	1994-05-14	VYDAJ	PREVOD NA UCET	1381	67086	SIPO	EF	97059088
756738	2582	1994-06-14	VYDAJ	PREVOD NA UCET	1381	73066	SIPO	EF	97059088
756739	2582	1994-07-14	VYDAJ	PREVOD NA UCET	1381	49347	SIPO	EF	97059088
756740	2582	1994-08-14	VYDAJ	PREVOD NA UCET	1381	52131	SIPO	EF	97059088
756741	2582	1994-09-14	VYDAJ	PREVOD NA UCET	1381	58872	SIPO	EF	97059088
756742	2582	1994-10-14	VYDAJ	PREVOD NA UCET	1381	63532	SIPO	EF	97059088
756743	2582	1994-11-14	VYDAJ	PREVOD NA UCET	1381	67911	SIPO	EF	97059088
756744	2582	1994-12-14	VYDAJ	PREVOD NA UCET	1381	79946	SIPO	EF	97059088
756745	2582	1995-01-14	VYDAJ	PREVOD NA UCET	1381	66087	SIPO	EF	97059088
756746	2582	1995-02-14	VYDAJ	PREVOD NA UCET	1381	55137	SIPO	EF	97059088
756747	2582	1995-03-14	VYDAJ	PREVOD NA UCET	1381	61079	SIPO	EF	97059088
756748	2582	1995-04-14	VYDAJ	PREVOD NA UCET	1381	63323	SIPO	EF	97059088
756749	2582	1995-05-14	VYDAJ	PREVOD NA UCET	1381	58571	SIPO	EF	97059088
756750	2582	1995-06-14	VYDAJ	PREVOD NA UCET	1381	72850	SIPO	EF	97059088
756751	2582	1995-07-14	VYDAJ	PREVOD NA UCET	1381	59745	SIPO	EF	97059088
756752	2582	1995-08-14	VYDAJ	PREVOD NA UCET	1381	62099	SIPO	EF	97059088
756753	2582	1995-09-14	VYDAJ	PREVOD NA UCET	1381	67565	SIPO	EF	97059088
756754	2582	1995-10-14	VYDAJ	PREVOD NA UCET	1381	62294	SIPO	EF	97059088
756755	2582	1995-11-14	VYDAJ	PREVOD NA UCET	1381	66157	SIPO	EF	97059088
756756	2582	1995-12-14	VYDAJ	PREVOD NA UCET	1381	72765	SIPO	EF	97059088
756757	2582	1996-01-14	VYDAJ	PREVOD NA UCET	1381	56047	SIPO	EF	97059088
756758	2582	1996-02-14	VYDAJ	PREVOD NA UCET	1381	58692	SIPO	EF	97059088
756759	2582	1996-03-14	VYDAJ	PREVOD NA UCET	1381	59273	SIPO	EF	97059088
756760	2582	1996-04-14	VYDAJ	PREVOD NA UCET	1381	53948	SIPO	EF	97059088
756761	2582	1996-05-14	VYDAJ	PREVOD NA UCET	1381	56868	SIPO	EF	97059088
756762	2582	1996-06-14	VYDAJ	PREVOD NA UCET	1381	71240	SIPO	EF	97059088
756763	2582	1996-07-14	VYDAJ	PREVOD NA UCET	1381	60923	SIPO	EF	97059088
756764	2582	1996-08-14	VYDAJ	PREVOD NA UCET	1381	60552	SIPO	EF	97059088
756765	2582	1996-09-14	VYDAJ	PREVOD NA UCET	1381	62598	SIPO	EF	97059088
756766	2582	1996-10-14	VYDAJ	PREVOD NA UCET	1381	59842	SIPO	EF	97059088
756767	2582	1996-11-14	VYDAJ	PREVOD NA UCET	1381	65384	SIPO	EF	97059088
756768	2582	1996-12-14	VYDAJ	PREVOD NA UCET	1381	70540	SIPO	EF	97059088
756769	2582	1997-01-14	VYDAJ	PREVOD NA UCET	1381	65709	SIPO	EF	97059088
756770	2582	1997-02-14	VYDAJ	PREVOD NA UCET	1381	41718	SIPO	EF	97059088
756771	2582	1997-03-14	VYDAJ	PREVOD NA UCET	1381	52309	SIPO	EF	97059088
756772	2582	1997-04-14	VYDAJ	PREVOD NA UCET	1381	49837	SIPO	EF	97059088
756773	2582	1997-05-14	VYDAJ	PREVOD NA UCET	1381	63274	SIPO	EF	97059088
756774	2582	1997-06-14	VYDAJ	PREVOD NA UCET	1381	54605	SIPO	EF	97059088
756775	2582	1997-07-14	VYDAJ	PREVOD NA UCET	1381	47531	SIPO	EF	97059088
756776	2582	1997-08-14	VYDAJ	PREVOD NA UCET	1381	49775	SIPO	EF	97059088
756777	2582	1997-09-14	VYDAJ	PREVOD NA UCET	1381	52628	SIPO	EF	97059088
756778	2582	1997-10-14	VYDAJ	PREVOD NA UCET	1381	58589	SIPO	EF	97059088
756779	2582	1997-11-14	VYDAJ	PREVOD NA UCET	1381	61370	SIPO	EF	97059088
756780	2582	1997-12-14	VYDAJ	PREVOD NA UCET	1381	62801	SIPO	EF	97059088
756781	2582	1998-01-14	VYDAJ	PREVOD NA UCET	1381	50684	SIPO	EF	97059088
756782	2582	1998-02-14	VYDAJ	PREVOD NA UCET	1381	54440	SIPO	EF	97059088
756783	2582	1998-03-14	VYDAJ	PREVOD NA UCET	1381	58498	SIPO	EF	97059088
756784	2582	1998-04-14	VYDAJ	PREVOD NA UCET	1381	59779	SIPO	EF	97059088
756785	2582	1998-05-14	VYDAJ	PREVOD NA UCET	1381	60567	SIPO	EF	97059088
756786	2582	1998-06-14	VYDAJ	PREVOD NA UCET	1381	66500	SIPO	EF	97059088
756787	2582	1998-07-14	VYDAJ	PREVOD NA UCET	1381	41783	SIPO	EF	97059088
756788	2582	1998-08-14	VYDAJ	PREVOD NA UCET	1381	60191	SIPO	EF	97059088
756789	2582	1998-09-14	VYDAJ	PREVOD NA UCET	1381	64556	SIPO	EF	97059088
756790	2582	1998-10-14	VYDAJ	PREVOD NA UCET	1381	65479	SIPO	EF	97059088
756791	2582	1998-11-14	VYDAJ	PREVOD NA UCET	1381	68178	SIPO	EF	97059088
756792	2582	1998-12-14	VYDAJ	PREVOD NA UCET	1381	71336	SIPO	EF	97059088
756808	2582	1994-04-05	VYDAJ	PREVOD NA UCET	1748	45188	 	ST	12887466
756809	2582	1994-05-05	VYDAJ	PREVOD NA UCET	1748	46583	 	ST	12887466
756810	2582	1994-06-05	VYDAJ	PREVOD NA UCET	1748	41621	 	ST	12887466
756811	2582	1994-07-05	VYDAJ	PREVOD NA UCET	1748	28844	 	ST	12887466
756812	2582	1994-08-05	VYDAJ	PREVOD NA UCET	1748	36068	 	ST	12887466
756813	2582	1994-09-05	VYDAJ	PREVOD NA UCET	1748	38369	 	ST	12887466
756814	2582	1994-10-05	VYDAJ	PREVOD NA UCET	1748	43029	 	ST	12887466
756815	2582	1994-11-05	VYDAJ	PREVOD NA UCET	1748	47408	 	ST	12887466
756816	2582	1994-12-05	VYDAJ	PREVOD NA UCET	1748	48501	 	ST	12887466
756817	2582	1995-01-05	VYDAJ	PREVOD NA UCET	1748	49904	 	ST	12887466
756818	2582	1995-02-05	VYDAJ	PREVOD NA UCET	1748	34634	 	ST	12887466
756819	2582	1995-03-05	VYDAJ	PREVOD NA UCET	1748	40576	 	ST	12887466
756820	2582	1995-04-05	VYDAJ	PREVOD NA UCET	1748	42820	 	ST	12887466
756821	2582	1995-05-05	VYDAJ	PREVOD NA UCET	1748	38068	 	ST	12887466
756822	2582	1995-06-05	VYDAJ	PREVOD NA UCET	1748	43925	 	ST	12887466
756823	2582	1995-07-05	VYDAJ	PREVOD NA UCET	1748	39242	 	ST	12887466
756824	2582	1995-08-05	VYDAJ	PREVOD NA UCET	1748	41596	 	ST	12887466
756825	2582	1995-09-05	VYDAJ	PREVOD NA UCET	1748	47062	 	ST	12887466
756826	2582	1995-10-05	VYDAJ	PREVOD NA UCET	1748	41791	 	ST	12887466
756827	2582	1995-11-05	VYDAJ	PREVOD NA UCET	1748	45654	 	ST	12887466
756828	2582	1995-12-05	VYDAJ	PREVOD NA UCET	1748	41320	 	ST	12887466
756829	2582	1996-01-05	VYDAJ	PREVOD NA UCET	1748	45344	 	ST	12887466
756830	2582	1996-02-05	VYDAJ	PREVOD NA UCET	1748	38189	 	ST	12887466
756831	2582	1996-03-05	VYDAJ	PREVOD NA UCET	1748	38770	 	ST	12887466
756832	2582	1996-04-05	VYDAJ	PREVOD NA UCET	1748	33445	 	ST	12887466
756833	2582	1996-05-05	VYDAJ	PREVOD NA UCET	1748	36365	 	ST	12887466
756834	2582	1996-06-05	VYDAJ	PREVOD NA UCET	1748	39795	 	ST	12887466
756835	2582	1996-07-05	VYDAJ	PREVOD NA UCET	1748	40420	 	ST	12887466
756836	2582	1996-08-05	VYDAJ	PREVOD NA UCET	1748	44969	 	ST	12887466
756837	2582	1996-09-05	VYDAJ	PREVOD NA UCET	1748	42095	 	ST	12887466
756838	2582	1996-10-05	VYDAJ	PREVOD NA UCET	1748	39339	 	ST	12887466
756839	2582	1996-11-05	VYDAJ	PREVOD NA UCET	1748	44881	 	ST	12887466
756840	2582	1996-12-05	VYDAJ	PREVOD NA UCET	1748	46035	 	ST	12887466
756841	2582	1997-01-05	VYDAJ	PREVOD NA UCET	1748	48406	 	ST	12887466
756842	2582	1997-02-05	VYDAJ	PREVOD NA UCET	1748	24015	 	ST	12887466
756843	2582	1997-03-05	VYDAJ	PREVOD NA UCET	1748	36606	 	ST	12887466
756844	2582	1997-04-05	VYDAJ	PREVOD NA UCET	1748	43534	 	ST	12887466
756845	2582	1997-05-05	VYDAJ	PREVOD NA UCET	1748	48291	 	ST	12887466
756846	2582	1997-06-05	VYDAJ	PREVOD NA UCET	1748	48160	 	ST	12887466
756847	2582	1997-07-05	VYDAJ	PREVOD NA UCET	1748	42828	 	ST	12887466
756848	2582	1997-08-05	VYDAJ	PREVOD NA UCET	1748	45972	 	ST	12887466
756849	2582	1997-09-05	VYDAJ	PREVOD NA UCET	1748	48225	 	ST	12887466
756850	2582	1997-10-05	VYDAJ	PREVOD NA UCET	1748	51086	 	ST	12887466
756851	2582	1997-11-05	VYDAJ	PREVOD NA UCET	1748	57067	 	ST	12887466
756852	2582	1997-12-05	VYDAJ	PREVOD NA UCET	1748	56356	 	ST	12887466
756853	2582	1998-01-05	VYDAJ	PREVOD NA UCET	1748	60501	 	ST	12887466
756854	2582	1998-02-05	VYDAJ	PREVOD NA UCET	1748	41037	 	ST	12887466
756855	2582	1998-03-05	VYDAJ	PREVOD NA UCET	1748	52895	 	ST	12887466
756856	2582	1998-04-05	VYDAJ	PREVOD NA UCET	1748	56976	 	ST	12887466
756857	2582	1998-05-05	VYDAJ	PREVOD NA UCET	1748	58264	 	ST	12887466
756858	2582	1998-06-05	VYDAJ	PREVOD NA UCET	1748	59055	 	ST	12887466
756859	2582	1998-07-05	VYDAJ	PREVOD NA UCET	1748	31680	 	ST	12887466
756860	2582	1998-08-05	VYDAJ	PREVOD NA UCET	1748	40188	 	ST	12887466
756861	2582	1998-09-05	VYDAJ	PREVOD NA UCET	1748	53853	 	ST	12887466
756862	2582	1998-10-05	VYDAJ	PREVOD NA UCET	1748	58476	 	ST	12887466
756863	2582	1998-11-05	VYDAJ	PREVOD NA UCET	1748	63975	 	ST	12887466
756864	2582	1998-12-05	VYDAJ	PREVOD NA UCET	1748	62991	 	ST	12887466
756866	2582	1994-06-18	VYDAJ	VYBER	43360	29706	\N	\N	\N
756867	2582	1995-06-28	VYDAJ	VYBER	10400	40750	\N	\N	\N
756868	2582	1996-06-26	VYDAJ	VYBER	7680	41960	\N	\N	\N
756869	2582	1997-06-22	VYDAJ	VYBER	10240	44365	\N	\N	\N
756870	2582	1998-06-17	VYDAJ	VYBER	33280	33220	\N	\N	\N
756873	2582	1995-01-24	VYDAJ	VYBER	14400	48207	\N	\N	\N
756874	2582	1996-01-13	VYDAJ	VYBER KARTOU	2200	57428	\N	\N	0
756875	2582	1997-01-23	VYDAJ	VYBER	15520	29589	\N	\N	\N
756876	2582	1998-01-08	VYDAJ	VYBER	13440	62265	\N	\N	\N
756878	2582	1994-12-18	VYDAJ	VYBER	3840	76106	\N	\N	\N
756879	2582	1995-12-02	VYDAJ	VYBER KARTOU	2100	43068	\N	\N	0
756880	2582	1996-12-14	VYDAJ	VYBER	4640	71921	\N	\N	\N
756881	2582	1997-12-12	VYDAJ	VYBER KARTOU	3700	64182	\N	\N	0
756882	2582	1998-12-02	VYDAJ	VYBER KARTOU	3700	64739	\N	\N	0
756895	2582	1995-01-17	VYDAJ	VYBER	2640	63447	\N	\N	\N
756896	2582	1995-01-18	VYDAJ	VYBER	840	62607	\N	\N	\N
756897	2582	1995-01-26	VYDAJ	VYBER	1440	36167	\N	\N	\N
756898	2582	1995-01-04	VYDAJ	VYBER	1320	51652	\N	\N	\N
756899	2582	1995-01-09	VYDAJ	VYBER	3360	68428	\N	\N	\N
756900	2582	1995-01-12	VYDAJ	VYBER	960	67468	\N	\N	\N
756901	2582	1996-01-07	VYDAJ	VYBER KARTOU	3400	40344	\N	\N	0
756902	2582	1996-01-22	VYDAJ	VYBER KARTOU	2000	41547	\N	\N	0
756903	2582	1996-01-03	VYDAJ	VYBER KARTOU	2500	47092	\N	\N	0
756904	2582	1996-01-29	VYDAJ	VYBER KARTOU	1800	39747	\N	\N	0
756905	2582	1996-01-07	VYDAJ	VYBER KARTOU	1600	43744	\N	\N	0
756906	2582	1996-01-12	VYDAJ	VYBER KARTOU	2600	59628	\N	\N	0
756907	2582	1997-01-16	VYDAJ	VYBER KARTOU	2000	47909	\N	\N	0
756908	2582	1997-01-17	VYDAJ	VYBER KARTOU	2800	45109	\N	\N	0
756909	2582	1997-01-29	VYDAJ	VYBER KARTOU	1200	25589	\N	\N	0
756910	2582	1997-01-24	VYDAJ	VYBER KARTOU	2800	26789	\N	\N	0
756911	2582	1997-01-15	VYDAJ	VYBER KARTOU	3500	49909	\N	\N	0
756912	2582	1997-01-12	VYDAJ	VYBER KARTOU	3200	67090	\N	\N	0
756913	2582	1998-01-07	VYDAJ	VYBER KARTOU	2000	58501	\N	\N	0
756914	2582	1998-01-23	VYDAJ	VYBER KARTOU	3400	46584	\N	\N	0
756915	2582	1998-01-23	VYDAJ	VYBER KARTOU	700	49984	\N	\N	0
756916	2582	1998-01-03	VYDAJ	VYBER KARTOU	800	62249	\N	\N	0
756917	2582	1998-01-27	VYDAJ	VYBER KARTOU	2900	43684	\N	\N	0
756918	2582	1998-01-27	VYDAJ	VYBER KARTOU	1100	42584	\N	\N	0
756926	2582	1994-06-02	VYDAJ	VYBER	3960	43369	\N	\N	\N
756927	2582	1994-08-11	VYDAJ	VYBER	4440	53512	\N	\N	\N
756929	2582	1995-03-22	VYDAJ	VYBER	1320	59759	\N	\N	\N
756930	2582	1995-09-17	VYDAJ	VYBER KARTOU	3400	64165	\N	\N	0
756931	2582	1995-05-01	VYDAJ	VYBER	4200	39816	\N	\N	\N
756932	2582	1995-11-17	VYDAJ	VYBER KARTOU	3700	62457	\N	\N	0
756933	2582	1995-09-19	VYDAJ	VYBER	5040	59125	\N	\N	\N
756934	2582	1995-06-08	VYDAJ	VYBER	2520	74231	\N	\N	\N
756935	2582	1995-04-14	VYDAJ	VYBER	1320	62003	\N	\N	\N
756936	2582	1996-09-29	VYDAJ	VYBER KARTOU	3000	41898	\N	\N	0
756937	2582	1996-05-15	VYDAJ	VYBER KARTOU	2600	54268	\N	\N	0
756938	2582	1996-03-27	VYDAJ	VYBER KARTOU	800	35013	\N	\N	0
756939	2582	1996-02-26	VYDAJ	VYBER	4560	40332	\N	\N	\N
756940	2582	1996-08-11	VYDAJ	VYBER	4920	61933	\N	\N	\N
756941	2582	1996-12-09	VYDAJ	VYBER KARTOU	2300	76561	\N	\N	0
756942	2582	1996-03-26	VYDAJ	VYBER	4560	35813	\N	\N	\N
756943	2582	1996-10-02	VYDAJ	VYBER KARTOU	1000	41087	\N	\N	0
756944	2582	1997-05-10	VYDAJ	VYBER	5520	64655	\N	\N	\N
756945	2582	1997-02-15	VYDAJ	VYBER KARTOU	3500	38218	\N	\N	0
756946	2582	1997-11-18	VYDAJ	VYBER KARTOU	3500	57870	\N	\N	0
756947	2582	1997-03-09	VYDAJ	VYBER	4800	53690	\N	\N	\N
756948	2582	1998-09-15	VYDAJ	VYBER	4560	59996	\N	\N	\N
756949	2582	1998-01-08	VYDAJ	VYBER	4680	75705	\N	\N	\N
756950	2582	1998-08-26	VYDAJ	VYBER	4800	55391	\N	\N	\N
756951	2582	1998-07-12	VYDAJ	VYBER KARTOU	3700	43164	\N	\N	0
756967	2582	1994-03-31	VYDAJ	VYBER	15	64536	SLUZBY	\N	\N
756968	2582	1994-04-30	VYDAJ	VYBER	15	48331	SLUZBY	\N	\N
756969	2582	1994-05-31	VYDAJ	VYBER	15	47329	SLUZBY	\N	\N
756970	2582	1994-06-30	VYDAJ	VYBER	15	30592	SLUZBY	\N	\N
756971	2582	1994-07-31	VYDAJ	VYBER	15	37816	SLUZBY	\N	\N
756972	2582	1994-08-31	VYDAJ	VYBER	15	40117	SLUZBY	\N	\N
756973	2582	1994-09-30	VYDAJ	VYBER	15	44777	SLUZBY	\N	\N
756974	2582	1994-10-31	VYDAJ	VYBER	15	49156	SLUZBY	\N	\N
756975	2582	1994-11-30	VYDAJ	VYBER	15	50249	SLUZBY	\N	\N
756976	2582	1994-12-31	VYDAJ	VYBER	15	52972	SLUZBY	\N	\N
756977	2582	1995-01-31	VYDAJ	VYBER	15	36382	SLUZBY	\N	\N
756978	2582	1995-02-28	VYDAJ	VYBER	15	42324	SLUZBY	\N	\N
756979	2582	1995-03-31	VYDAJ	VYBER	15	44568	SLUZBY	\N	\N
756980	2582	1995-04-30	VYDAJ	VYBER	15	44016	SLUZBY	\N	\N
756981	2582	1995-05-31	VYDAJ	VYBER	15	45673	SLUZBY	\N	\N
756982	2582	1995-06-30	VYDAJ	VYBER	15	40990	SLUZBY	\N	\N
756983	2582	1995-07-31	VYDAJ	VYBER	15	43344	SLUZBY	\N	\N
756984	2582	1995-08-31	VYDAJ	VYBER	15	48810	SLUZBY	\N	\N
756985	2582	1995-09-30	VYDAJ	VYBER	15	43539	SLUZBY	\N	\N
756986	2582	1995-10-31	VYDAJ	VYBER	15	47402	SLUZBY	\N	\N
756987	2582	1995-11-30	VYDAJ	VYBER	15	45168	SLUZBY	\N	\N
756988	2582	1995-12-31	VYDAJ	VYBER	15	49592	SLUZBY	\N	\N
756989	2582	1996-01-31	VYDAJ	VYBER	15	39937	SLUZBY	\N	\N
756990	2582	1996-02-29	VYDAJ	VYBER	15	40518	SLUZBY	\N	\N
756991	2582	1996-03-31	VYDAJ	VYBER	15	35193	SLUZBY	\N	\N
756992	2582	1996-04-30	VYDAJ	VYBER	15	38113	SLUZBY	\N	\N
756993	2582	1996-05-31	VYDAJ	VYBER	15	41543	SLUZBY	\N	\N
756994	2582	1996-06-30	VYDAJ	VYBER	15	42168	SLUZBY	\N	\N
756995	2582	1996-07-31	VYDAJ	VYBER	15	46717	SLUZBY	\N	\N
756996	2582	1996-08-31	VYDAJ	VYBER	15	43843	SLUZBY	\N	\N
756997	2582	1996-09-30	VYDAJ	VYBER	15	42087	SLUZBY	\N	\N
756998	2582	1996-10-31	VYDAJ	VYBER	15	46629	SLUZBY	\N	\N
756999	2582	1996-11-30	VYDAJ	VYBER	15	47783	SLUZBY	\N	\N
757000	2582	1996-12-31	VYDAJ	VYBER	15	50154	SLUZBY	\N	\N
757001	2582	1997-01-31	VYDAJ	VYBER	15	25763	SLUZBY	\N	\N
757002	2582	1997-02-28	VYDAJ	VYBER	15	38354	SLUZBY	\N	\N
757003	2582	1997-03-31	VYDAJ	VYBER	15	45282	SLUZBY	\N	\N
757004	2582	1997-04-30	VYDAJ	VYBER	15	50039	SLUZBY	\N	\N
757005	2582	1997-05-31	VYDAJ	VYBER	15	49908	SLUZBY	\N	\N
757006	2582	1997-06-30	VYDAJ	VYBER	15	44576	SLUZBY	\N	\N
757007	2582	1997-07-31	VYDAJ	VYBER	15	47720	SLUZBY	\N	\N
757008	2582	1997-08-31	VYDAJ	VYBER	15	49973	SLUZBY	\N	\N
757009	2582	1997-09-30	VYDAJ	VYBER	15	52834	SLUZBY	\N	\N
757010	2582	1997-10-31	VYDAJ	VYBER	15	58815	SLUZBY	\N	\N
757011	2582	1997-11-30	VYDAJ	VYBER	15	58104	SLUZBY	\N	\N
757012	2582	1997-12-31	VYDAJ	VYBER	15	63049	SLUZBY	\N	\N
757013	2582	1998-01-31	VYDAJ	VYBER	15	42785	SLUZBY	\N	\N
757014	2582	1998-02-28	VYDAJ	VYBER	15	54643	SLUZBY	\N	\N
757015	2582	1998-03-31	VYDAJ	VYBER	15	58724	SLUZBY	\N	\N
757016	2582	1998-04-30	VYDAJ	VYBER	15	60012	SLUZBY	\N	\N
757017	2582	1998-05-31	VYDAJ	VYBER	15	60803	SLUZBY	\N	\N
757018	2582	1998-06-30	VYDAJ	VYBER	15	33428	SLUZBY	\N	\N
757019	2582	1998-07-31	VYDAJ	VYBER	15	41936	SLUZBY	\N	\N
757020	2582	1998-08-31	VYDAJ	VYBER	15	55601	SLUZBY	\N	\N
757021	2582	1998-09-30	VYDAJ	VYBER	15	60224	SLUZBY	\N	\N
757022	2582	1998-10-31	VYDAJ	VYBER	15	65723	SLUZBY	\N	\N
757023	2582	1998-11-30	VYDAJ	VYBER	15	68439	SLUZBY	\N	\N
757024	2582	1993-12-01	PRIJEM	VKLAD	3300	25756	\N	\N	\N
757025	2582	1993-12-31	VYDAJ	VYBER	18800	39989	\N	\N	\N
757026	2582	1994-01-30	VYDAJ	VYBER	19300	42573	\N	\N	\N
757027	2582	1994-03-01	VYDAJ	VYBER	21000	43802	\N	\N	\N
757028	2582	1994-03-31	VYDAJ	VYBER	17600	46936	\N	\N	\N
757029	2582	1994-04-30	VYDAJ	VYBER	17600	48346	\N	\N	\N
757030	2582	1994-05-30	VYDAJ	VYBER	20000	47086	\N	\N	\N
757031	2582	1994-06-29	PRIJEM	VKLAD	700	30406	\N	\N	\N
757032	2582	1994-07-29	VYDAJ	VYBER	11700	37647	\N	\N	\N
757033	2582	1994-08-28	VYDAJ	VYBER	12200	39931	\N	\N	\N
757034	2582	1994-09-27	VYDAJ	VYBER	14300	44572	\N	\N	\N
757035	2582	1994-10-27	VYDAJ	VYBER	14600	48932	\N	\N	\N
757036	2582	1994-11-26	VYDAJ	VYBER	17900	50011	\N	\N	\N
757037	2582	1994-12-26	VYDAJ	VYBER	23400	52706	\N	\N	\N
757038	2582	1995-01-25	VYDAJ	VYBER	10600	37607	\N	\N	\N
757039	2582	1995-02-24	VYDAJ	VYBER	13000	42137	\N	\N	\N
757040	2582	1995-03-26	VYDAJ	VYBER	15400	44359	\N	\N	\N
757041	2582	1995-04-25	VYDAJ	VYBER	18200	43803	\N	\N	\N
757042	2582	1995-05-25	VYDAJ	VYBER	13100	45471	\N	\N	\N
757043	2582	1995-06-24	VYDAJ	VYBER	21700	51150	\N	\N	\N
757044	2582	1995-07-24	VYDAJ	VYBER	16600	43145	\N	\N	\N
757045	2582	1995-08-23	VYDAJ	VYBER	13500	48599	\N	\N	\N
757046	2582	1995-09-22	VYDAJ	VYBER	15800	43325	\N	\N	\N
757047	2582	1995-10-22	VYDAJ	VYBER	15100	47194	\N	\N	\N
757048	2582	1995-11-21	VYDAJ	VYBER	17500	44957	\N	\N	\N
757049	2582	1995-12-21	VYDAJ	VYBER	23400	49365	\N	\N	\N
757050	2582	1996-01-20	VYDAJ	VYBER	12500	43547	\N	\N	\N
757051	2582	1996-02-19	VYDAJ	VYBER	13800	44892	\N	\N	\N
757052	2582	1996-03-20	VYDAJ	VYBER	18900	40373	\N	\N	\N
757053	2582	1996-04-19	VYDAJ	VYBER	16000	37948	\N	\N	\N
757054	2582	1996-05-19	VYDAJ	VYBER	12900	41368	\N	\N	\N
757055	2582	1996-06-18	VYDAJ	VYBER	21600	49640	\N	\N	\N
757056	2582	1996-07-18	VYDAJ	VYBER	14400	46523	\N	\N	\N
757057	2582	1996-08-17	VYDAJ	VYBER	16900	43652	\N	\N	\N
757058	2582	1996-09-16	VYDAJ	VYBER	17700	44898	\N	\N	\N
757059	2582	1996-10-16	VYDAJ	VYBER	13400	46442	\N	\N	\N
757060	2582	1996-11-15	VYDAJ	VYBER	17800	47584	\N	\N	\N
757061	2582	1996-12-15	VYDAJ	VYBER	20600	49940	\N	\N	\N
757062	2582	1997-01-14	VYDAJ	VYBER	12300	53409	\N	\N	\N
757063	2582	1997-02-13	VYDAJ	VYBER KARTOU	2800	43099	\N	\N	0
757064	2582	1997-03-15	VYDAJ	VYBER	7200	45109	\N	\N	\N
757065	2582	1997-04-14	VYDAJ	VYBER	14200	51218	\N	\N	\N
757066	2582	1997-05-14	VYDAJ	VYBER	13600	49674	\N	\N	\N
757067	2582	1997-06-13	VYDAJ	VYBER	25000	55986	\N	\N	\N
757068	2582	1997-07-13	VYDAJ	VYBER	15800	48912	\N	\N	\N
757069	2582	1997-08-12	VYDAJ	VYBER	16700	51156	\N	\N	\N
757070	2582	1997-09-11	VYDAJ	VYBER	16100	54009	\N	\N	\N
757071	2582	1997-10-11	VYDAJ	VYBER	13000	59970	\N	\N	\N
757072	2582	1997-11-10	VYDAJ	VYBER	16200	62751	\N	\N	\N
757073	2582	1997-12-10	VYDAJ	VYBER	21300	67882	\N	\N	\N
757074	2582	1998-01-09	VYDAJ	VYBER	10200	52065	\N	\N	\N
757075	2582	1998-02-08	VYDAJ	VYBER	7100	55821	\N	\N	\N
757076	2582	1998-03-10	VYDAJ	VYBER	14900	59879	\N	\N	\N
757077	2582	1998-04-09	VYDAJ	VYBER	17700	61160	\N	\N	\N
757078	2582	1998-05-09	VYDAJ	VYBER	18200	61948	\N	\N	\N
757079	2582	1998-06-08	VYDAJ	VYBER	24000	67881	\N	\N	\N
757080	2582	1998-07-08	VYDAJ	VYBER	6700	46864	\N	\N	\N
757081	2582	1998-08-07	VYDAJ	VYBER KARTOU	500	39688	\N	\N	0
757082	2582	1998-09-06	VYDAJ	VYBER	9800	44053	\N	\N	\N
757083	2582	1998-10-06	VYDAJ	VYBER	13500	44976	\N	\N	\N
757084	2582	1998-11-05	VYDAJ	VYBER	16300	47675	\N	\N	\N
757085	2582	1998-12-05	VYDAJ	VYBER	23100	39891	\N	\N	\N
757148	2583	1993-05-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
757376	2583	1993-06-10	PRIJEM	VKLAD	13900	14900	\N	\N	\N
757377	2583	1993-07-10	PRIJEM	VKLAD	3200	18100	\N	\N	\N
757378	2583	1993-08-09	PRIJEM	VKLAD	4400	22500	\N	\N	\N
757379	2583	1993-09-08	PRIJEM	VKLAD	400	22900	\N	\N	\N
757380	2583	1993-10-08	PRIJEM	VKLAD	2800	25700	\N	\N	\N
757381	2583	1993-11-07	VYDAJ	VYBER	1100	24600	\N	\N	\N
757382	2583	1993-12-07	PRIJEM	VKLAD	1400	26000	\N	\N	\N
757383	2583	1994-01-06	VYDAJ	VYBER	1200	24800	\N	\N	\N
757384	2583	1994-02-05	PRIJEM	VKLAD	1500	26300	\N	\N	\N
757385	2583	1994-03-07	PRIJEM	VKLAD	900	27200	\N	\N	\N
757386	2583	1994-04-06	VYDAJ	VYBER	3400	23800	\N	\N	\N
757387	2583	1994-05-06	PRIJEM	VKLAD	2800	26600	\N	\N	\N
757388	2583	1994-06-05	PRIJEM	VKLAD	200	26800	\N	\N	\N
757389	2583	1994-07-05	VYDAJ	VYBER	400	26400	\N	\N	\N
757390	2583	1994-08-04	PRIJEM	VKLAD	1000	27400	\N	\N	\N
757391	2583	1994-09-03	VYDAJ	VYBER	1800	25600	\N	\N	\N
757392	2583	1994-10-03	VYDAJ	VYBER	800	24800	\N	\N	\N
757393	2583	1994-11-02	PRIJEM	VKLAD	200	25000	\N	\N	\N
757394	2583	1994-12-02	PRIJEM	VKLAD	200	25200	\N	\N	\N
757395	2583	1995-01-01	PRIJEM	VKLAD	1000	26200	\N	\N	\N
757396	2583	1995-01-31	VYDAJ	VYBER	1600	24603	\N	\N	\N
757397	2583	1995-03-02	PRIJEM	VKLAD	1800	26403	\N	\N	\N
757398	2583	1995-04-01	VYDAJ	VYBER	600	25906	\N	\N	\N
757399	2583	1995-05-01	PRIJEM	VKLAD	2800	28808	\N	\N	\N
757400	2583	1995-05-31	PRIJEM	VKLAD	2300	31108	\N	\N	\N
757401	2583	1995-06-30	VYDAJ	VYBER	200	31141	\N	\N	\N
757402	2583	1995-07-30	PRIJEM	VKLAD	2700	33841	\N	\N	\N
757403	2583	1995-08-29	PRIJEM	VKLAD	2300	36271	\N	\N	\N
757404	2583	1995-09-28	VYDAJ	VYBER	2200	34201	\N	\N	\N
757405	2583	1995-10-28	VYDAJ	VYBER	2000	32330	\N	\N	\N
757406	2583	1995-11-27	PRIJEM	VKLAD	1900	34360	\N	\N	\N
757407	2583	1995-12-27	PRIJEM	VKLAD	2100	36589	\N	\N	\N
757408	2583	1996-01-26	PRIJEM	VKLAD	900	37619	\N	\N	\N
757409	2583	1996-02-25	PRIJEM	VKLAD	3800	41549	\N	\N	\N
757410	2583	1996-03-26	PRIJEM	VKLAD	200	41878	\N	\N	\N
757411	2583	1996-04-25	PRIJEM	VKLAD	500	42508	\N	\N	\N
757412	2583	1996-05-25	VYDAJ	VYBER	1000	41637	\N	\N	\N
757413	2583	1996-06-24	PRIJEM	VKLAD	1400	43167	\N	\N	\N
757414	2583	1996-07-24	PRIJEM	VKLAD	2200	45497	\N	\N	\N
757415	2583	1996-08-23	PRIJEM	VKLAD	2200	47826	\N	\N	\N
757416	2583	1996-09-22	VYDAJ	VYBER	700	47256	\N	\N	\N
757417	2583	1996-10-22	PRIJEM	VKLAD	1700	49086	\N	\N	\N
757418	2583	1996-11-21	VYDAJ	VYBER	1000	48215	\N	\N	\N
757419	2583	1996-12-21	PRIJEM	VKLAD	1300	49645	\N	\N	\N
757420	2583	1997-01-20	PRIJEM	VKLAD	3100	52874	\N	\N	\N
757421	2583	1997-02-19	PRIJEM	VKLAD	4700	57704	\N	\N	\N
757422	2583	1997-03-21	PRIJEM	VKLAD	3800	61634	\N	\N	\N
757423	2583	1997-04-20	PRIJEM	VKLAD	3100	64863	\N	\N	\N
757424	2583	1997-05-20	VYDAJ	VYBER	2400	62593	\N	\N	\N
757425	2583	1997-06-19	PRIJEM	VKLAD	100	62822	\N	\N	\N
757426	2583	1997-07-19	VYDAJ	VYBER	2200	60752	\N	\N	\N
757427	2583	1997-08-18	VYDAJ	VYBER	400	60482	\N	\N	\N
757428	2583	1997-09-17	PRIJEM	VKLAD	3300	63911	\N	\N	\N
757429	2583	1997-10-17	PRIJEM	VKLAD	2300	66341	\N	\N	\N
757430	2583	1997-11-16	VYDAJ	VYBER	2300	64170	\N	\N	\N
757431	2583	1997-12-16	PRIJEM	VKLAD	1100	65400	\N	\N	\N
757432	2583	1998-01-15	PRIJEM	VKLAD	4500	70030	\N	\N	\N
757433	2583	1998-02-14	VYDAJ	VYBER	1800	68359	\N	\N	\N
757434	2583	1998-03-16	VYDAJ	VYBER	3500	64989	\N	\N	\N
757435	2583	1998-04-15	VYDAJ	VYBER	2500	62618	\N	\N	\N
757436	2583	1998-05-15	PRIJEM	VKLAD	2400	65148	\N	\N	\N
757437	2583	1998-06-14	PRIJEM	VKLAD	1700	66978	\N	\N	\N
757438	2583	1998-07-14	PRIJEM	VKLAD	4600	71707	\N	\N	\N
757439	2583	1998-08-13	PRIJEM	VKLAD	2000	73837	\N	\N	\N
757440	2583	1998-09-12	PRIJEM	VKLAD	3000	76967	\N	\N	\N
757441	2583	1998-10-12	PRIJEM	VKLAD	2100	79196	\N	\N	\N
757442	2583	1998-11-11	VYDAJ	VYBER	600	78726	\N	\N	\N
757443	2583	1998-12-11	VYDAJ	VYBER	800	78055	\N	\N	\N
757490	2584	1993-07-08	PRIJEM	VKLAD	200	200	\N	\N	\N
757497	2584	1993-07-14	PRIJEM	PREVOD Z UCTU	4188	4388	DUCHOD	KL	33875447
757498	2584	1993-08-14	PRIJEM	PREVOD Z UCTU	4188	8587	DUCHOD	KL	33875447
757499	2584	1993-09-14	PRIJEM	PREVOD Z UCTU	4188	12793	DUCHOD	KL	33875447
757500	2584	1993-10-14	PRIJEM	PREVOD Z UCTU	4188	16999	DUCHOD	KL	33875447
757501	2584	1993-11-14	PRIJEM	PREVOD Z UCTU	4188	21206	DUCHOD	KL	33875447
757502	2584	1993-12-14	PRIJEM	PREVOD Z UCTU	4188	22724	DUCHOD	KL	33875447
757503	2584	1994-01-14	PRIJEM	PREVOD Z UCTU	4188	20050	DUCHOD	KL	33875447
757504	2584	1994-02-14	PRIJEM	PREVOD Z UCTU	4188	17745	DUCHOD	KL	33875447
757505	2584	1994-03-14	PRIJEM	PREVOD Z UCTU	4188	17290	DUCHOD	KL	33875447
757506	2584	1994-04-14	PRIJEM	PREVOD Z UCTU	4188	16348	DUCHOD	KL	33875447
757507	2584	1994-05-14	PRIJEM	PREVOD Z UCTU	4188	16602	DUCHOD	KL	33875447
757508	2584	1994-06-14	PRIJEM	PREVOD Z UCTU	4188	19263	DUCHOD	KL	33875447
757509	2584	1994-07-14	PRIJEM	PREVOD Z UCTU	4188	20174	DUCHOD	KL	33875447
757510	2584	1994-08-14	PRIJEM	PREVOD Z UCTU	4188	22851	DUCHOD	KL	33875447
757511	2584	1994-09-14	PRIJEM	PREVOD Z UCTU	4188	23438	DUCHOD	KL	33875447
757512	2584	1994-10-14	PRIJEM	PREVOD Z UCTU	4188	26128	DUCHOD	KL	33875447
757513	2584	1994-11-14	PRIJEM	PREVOD Z UCTU	4188	28628	DUCHOD	KL	33875447
757514	2584	1994-12-14	PRIJEM	PREVOD Z UCTU	4188	25138	DUCHOD	KL	33875447
757515	2584	1995-01-14	PRIJEM	PREVOD Z UCTU	4188	19754	DUCHOD	KL	33875447
757516	2584	1995-02-14	PRIJEM	PREVOD Z UCTU	4188	17250	DUCHOD	KL	33875447
757517	2584	1995-03-14	PRIJEM	PREVOD Z UCTU	4188	18712	DUCHOD	KL	33875447
757518	2584	1995-04-14	PRIJEM	PREVOD Z UCTU	4188	18181	DUCHOD	KL	33875447
757519	2584	1995-05-14	PRIJEM	PREVOD Z UCTU	4188	17083	DUCHOD	KL	33875447
757520	2584	1995-06-14	PRIJEM	PREVOD Z UCTU	4188	19246	DUCHOD	KL	33875447
757521	2584	1995-07-14	PRIJEM	PREVOD Z UCTU	4188	21917	DUCHOD	KL	33875447
757522	2584	1995-08-14	PRIJEM	PREVOD Z UCTU	4188	21556	DUCHOD	KL	33875447
757523	2584	1995-09-14	PRIJEM	PREVOD Z UCTU	4188	21035	DUCHOD	KL	33875447
757524	2584	1995-10-14	PRIJEM	PREVOD Z UCTU	4188	22512	DUCHOD	KL	33875447
757525	2584	1995-11-14	PRIJEM	PREVOD Z UCTU	4188	21294	DUCHOD	KL	33875447
757526	2584	1995-12-14	PRIJEM	PREVOD Z UCTU	4188	20372	DUCHOD	KL	33875447
757527	2584	1996-01-14	PRIJEM	PREVOD Z UCTU	4188	20997	DUCHOD	KL	33875447
757528	2584	1996-02-14	PRIJEM	PREVOD Z UCTU	4188	15331	DUCHOD	KL	33875447
757529	2584	1996-03-14	PRIJEM	PREVOD Z UCTU	4188	15984	DUCHOD	KL	33875447
757530	2584	1996-04-14	PRIJEM	PREVOD Z UCTU	4188	15537	DUCHOD	KL	33875447
757531	2584	1996-05-14	PRIJEM	PREVOD Z UCTU	4188	18193	DUCHOD	KL	33875447
757532	2584	1996-06-14	PRIJEM	PREVOD Z UCTU	4188	17355	DUCHOD	KL	33875447
757533	2584	1996-07-14	PRIJEM	PREVOD Z UCTU	4188	17816	DUCHOD	KL	33875447
757534	2584	1996-08-14	PRIJEM	PREVOD Z UCTU	4188	20180	DUCHOD	KL	33875447
757535	2584	1996-09-14	PRIJEM	PREVOD Z UCTU	4188	19450	DUCHOD	KL	33875447
757536	2584	1996-10-14	PRIJEM	PREVOD Z UCTU	4188	16353	DUCHOD	KL	33875447
757537	2584	1996-11-14	PRIJEM	PREVOD Z UCTU	4188	16308	DUCHOD	KL	33875447
757538	2584	1996-12-14	PRIJEM	PREVOD Z UCTU	4188	16462	DUCHOD	KL	33875447
757539	2584	1997-01-14	PRIJEM	PREVOD Z UCTU	4188	14563	DUCHOD	KL	33875447
757540	2584	1997-02-14	PRIJEM	PREVOD Z UCTU	4188	16413	DUCHOD	KL	33875447
757541	2584	1997-03-14	PRIJEM	PREVOD Z UCTU	4188	19072	DUCHOD	KL	33875447
757542	2584	1997-04-14	PRIJEM	PREVOD Z UCTU	4188	14529	DUCHOD	KL	33875447
757543	2584	1997-05-14	PRIJEM	PREVOD Z UCTU	4188	17180	DUCHOD	KL	33875447
757544	2584	1997-06-14	PRIJEM	PREVOD Z UCTU	4188	17922	DUCHOD	KL	33875447
757545	2584	1997-07-14	PRIJEM	PREVOD Z UCTU	4188	15578	DUCHOD	KL	33875447
757546	2584	1997-08-14	PRIJEM	PREVOD Z UCTU	4188	18234	DUCHOD	KL	33875447
757547	2584	1997-09-14	PRIJEM	PREVOD Z UCTU	4188	17936	DUCHOD	KL	33875447
757548	2584	1997-10-14	PRIJEM	PREVOD Z UCTU	4188	18198	DUCHOD	KL	33875447
757549	2584	1997-11-14	PRIJEM	PREVOD Z UCTU	4188	18624	DUCHOD	KL	33875447
757550	2584	1997-12-14	PRIJEM	PREVOD Z UCTU	4188	21293	DUCHOD	KL	33875447
757551	2584	1998-01-14	PRIJEM	PREVOD Z UCTU	4188	19612	DUCHOD	KL	33875447
757552	2584	1998-02-14	PRIJEM	PREVOD Z UCTU	4188	17236	DUCHOD	KL	33875447
757553	2584	1998-03-14	PRIJEM	PREVOD Z UCTU	4188	19897	DUCHOD	KL	33875447
757554	2584	1998-04-14	PRIJEM	PREVOD Z UCTU	4188	22570	DUCHOD	KL	33875447
757555	2584	1998-05-14	PRIJEM	PREVOD Z UCTU	4188	25254	DUCHOD	KL	33875447
757556	2584	1998-06-14	PRIJEM	PREVOD Z UCTU	4188	22106	DUCHOD	KL	33875447
757557	2584	1998-07-14	PRIJEM	PREVOD Z UCTU	4188	19300	DUCHOD	KL	33875447
757558	2584	1998-08-14	PRIJEM	PREVOD Z UCTU	4188	21970	DUCHOD	KL	33875447
757559	2584	1998-09-14	PRIJEM	PREVOD Z UCTU	4188	21531	DUCHOD	KL	33875447
757560	2584	1998-10-14	PRIJEM	PREVOD Z UCTU	4188	23252	DUCHOD	KL	33875447
757561	2584	1998-11-14	PRIJEM	PREVOD Z UCTU	4188	25940	DUCHOD	KL	33875447
757562	2584	1998-12-14	PRIJEM	PREVOD Z UCTU	4188	28637	DUCHOD	KL	33875447
757574	2584	1993-12-08	VYDAJ	PREVOD NA UCET	994	18536	SIPO	OP	90582960
757575	2584	1994-01-08	VYDAJ	PREVOD NA UCET	994	21222	SIPO	OP	90582960
757576	2584	1994-02-08	VYDAJ	PREVOD NA UCET	994	13557	SIPO	OP	90582960
757577	2584	1994-03-08	VYDAJ	PREVOD NA UCET	994	13102	SIPO	OP	90582960
757578	2584	1994-04-08	VYDAJ	PREVOD NA UCET	994	12160	SIPO	OP	90582960
757579	2584	1994-05-08	VYDAJ	PREVOD NA UCET	994	12414	SIPO	OP	90582960
757580	2584	1994-06-08	VYDAJ	PREVOD NA UCET	994	15075	SIPO	OP	90582960
757581	2584	1994-07-08	VYDAJ	PREVOD NA UCET	994	15986	SIPO	OP	90582960
757582	2584	1994-08-08	VYDAJ	PREVOD NA UCET	994	18663	SIPO	OP	90582960
757583	2584	1994-09-08	VYDAJ	PREVOD NA UCET	994	19250	SIPO	OP	90582960
757584	2584	1994-10-08	VYDAJ	PREVOD NA UCET	994	21940	SIPO	OP	90582960
757585	2584	1994-11-08	VYDAJ	PREVOD NA UCET	994	24440	SIPO	OP	90582960
757586	2584	1994-12-08	VYDAJ	PREVOD NA UCET	994	20950	SIPO	OP	90582960
757587	2584	1995-01-08	VYDAJ	PREVOD NA UCET	994	19406	SIPO	OP	90582960
757588	2584	1995-02-08	VYDAJ	PREVOD NA UCET	994	13062	SIPO	OP	90582960
757589	2584	1995-03-08	VYDAJ	PREVOD NA UCET	994	14524	SIPO	OP	90582960
757590	2584	1995-04-08	VYDAJ	PREVOD NA UCET	994	13993	SIPO	OP	90582960
757591	2584	1995-05-08	VYDAJ	PREVOD NA UCET	994	12895	SIPO	OP	90582960
757592	2584	1995-06-08	VYDAJ	PREVOD NA UCET	994	15058	SIPO	OP	90582960
757593	2584	1995-07-08	VYDAJ	PREVOD NA UCET	994	17729	SIPO	OP	90582960
757594	2584	1995-08-08	VYDAJ	PREVOD NA UCET	994	17368	SIPO	OP	90582960
757595	2584	1995-09-08	VYDAJ	PREVOD NA UCET	994	16847	SIPO	OP	90582960
757596	2584	1995-10-08	VYDAJ	PREVOD NA UCET	994	18324	SIPO	OP	90582960
757597	2584	1995-11-08	VYDAJ	PREVOD NA UCET	994	17106	SIPO	OP	90582960
757598	2584	1995-12-08	VYDAJ	PREVOD NA UCET	994	16184	SIPO	OP	90582960
757599	2584	1996-01-08	VYDAJ	PREVOD NA UCET	994	16809	SIPO	OP	90582960
757600	2584	1996-02-08	VYDAJ	PREVOD NA UCET	994	11143	SIPO	OP	90582960
757601	2584	1996-03-08	VYDAJ	PREVOD NA UCET	994	11796	SIPO	OP	90582960
757602	2584	1996-04-08	VYDAJ	PREVOD NA UCET	994	11349	SIPO	OP	90582960
757603	2584	1996-05-08	VYDAJ	PREVOD NA UCET	994	14005	SIPO	OP	90582960
757604	2584	1996-06-08	VYDAJ	PREVOD NA UCET	994	13167	SIPO	OP	90582960
757605	2584	1996-07-08	VYDAJ	PREVOD NA UCET	994	13628	SIPO	OP	90582960
757606	2584	1996-08-08	VYDAJ	PREVOD NA UCET	994	15992	SIPO	OP	90582960
757607	2584	1996-09-08	VYDAJ	PREVOD NA UCET	994	15262	SIPO	OP	90582960
757608	2584	1996-10-08	VYDAJ	PREVOD NA UCET	994	12165	SIPO	OP	90582960
757609	2584	1996-11-08	VYDAJ	PREVOD NA UCET	994	12120	SIPO	OP	90582960
757610	2584	1996-12-08	VYDAJ	PREVOD NA UCET	994	12274	SIPO	OP	90582960
757611	2584	1997-01-08	VYDAJ	PREVOD NA UCET	994	10375	SIPO	OP	90582960
757612	2584	1997-02-08	VYDAJ	PREVOD NA UCET	994	12225	SIPO	OP	90582960
757613	2584	1997-03-08	VYDAJ	PREVOD NA UCET	994	14884	SIPO	OP	90582960
757614	2584	1997-04-08	VYDAJ	PREVOD NA UCET	994	10341	SIPO	OP	90582960
757615	2584	1997-05-08	VYDAJ	PREVOD NA UCET	994	12992	SIPO	OP	90582960
757616	2584	1997-06-08	VYDAJ	PREVOD NA UCET	994	13734	SIPO	OP	90582960
757617	2584	1997-07-08	VYDAJ	PREVOD NA UCET	994	11390	SIPO	OP	90582960
757618	2584	1997-08-08	VYDAJ	PREVOD NA UCET	994	14046	SIPO	OP	90582960
757619	2584	1997-09-08	VYDAJ	PREVOD NA UCET	994	13748	SIPO	OP	90582960
757620	2584	1997-10-08	VYDAJ	PREVOD NA UCET	994	14010	SIPO	OP	90582960
757621	2584	1997-11-08	VYDAJ	PREVOD NA UCET	994	14436	SIPO	OP	90582960
757622	2584	1997-12-08	VYDAJ	PREVOD NA UCET	994	17105	SIPO	OP	90582960
757623	2584	1998-01-08	VYDAJ	PREVOD NA UCET	994	15424	SIPO	OP	90582960
757624	2584	1998-02-08	VYDAJ	PREVOD NA UCET	994	13048	SIPO	OP	90582960
757625	2584	1998-03-08	VYDAJ	PREVOD NA UCET	994	15709	SIPO	OP	90582960
757626	2584	1998-04-08	VYDAJ	PREVOD NA UCET	994	18382	SIPO	OP	90582960
757627	2584	1998-05-08	VYDAJ	PREVOD NA UCET	994	21066	SIPO	OP	90582960
757628	2584	1998-06-08	VYDAJ	PREVOD NA UCET	994	17918	SIPO	OP	90582960
757629	2584	1998-07-08	VYDAJ	PREVOD NA UCET	994	15112	SIPO	OP	90582960
757630	2584	1998-08-08	VYDAJ	PREVOD NA UCET	994	17782	SIPO	OP	90582960
757631	2584	1998-09-08	VYDAJ	PREVOD NA UCET	994	17343	SIPO	OP	90582960
757632	2584	1998-10-08	VYDAJ	PREVOD NA UCET	994	20024	SIPO	OP	90582960
757633	2584	1998-11-08	VYDAJ	PREVOD NA UCET	994	21752	SIPO	OP	90582960
757634	2584	1998-12-08	VYDAJ	PREVOD NA UCET	994	24449	SIPO	OP	90582960
757646	2584	1993-12-06	VYDAJ	PREVOD NA UCET	582	19530	 	ST	98448490
757647	2584	1994-01-06	VYDAJ	PREVOD NA UCET	582	22216	 	ST	98448490
757648	2584	1994-02-06	VYDAJ	PREVOD NA UCET	582	14551	 	ST	98448490
757649	2584	1994-03-06	VYDAJ	PREVOD NA UCET	582	14096	 	ST	98448490
757650	2584	1994-04-06	VYDAJ	PREVOD NA UCET	582	13154	 	ST	98448490
757651	2584	1994-05-06	VYDAJ	PREVOD NA UCET	582	13408	 	ST	98448490
757652	2584	1994-06-06	VYDAJ	PREVOD NA UCET	582	16069	 	ST	98448490
757653	2584	1994-07-06	VYDAJ	PREVOD NA UCET	582	16980	 	ST	98448490
757654	2584	1994-08-06	VYDAJ	PREVOD NA UCET	582	19657	 	ST	98448490
757655	2584	1994-09-06	VYDAJ	PREVOD NA UCET	582	20244	 	ST	98448490
757656	2584	1994-10-06	VYDAJ	PREVOD NA UCET	582	22934	 	ST	98448490
757657	2584	1994-11-06	VYDAJ	PREVOD NA UCET	582	25434	 	ST	98448490
757658	2584	1994-12-06	VYDAJ	PREVOD NA UCET	582	21944	 	ST	98448490
757659	2584	1995-01-06	VYDAJ	PREVOD NA UCET	582	20400	 	ST	98448490
757660	2584	1995-02-06	VYDAJ	PREVOD NA UCET	582	14056	 	ST	98448490
757661	2584	1995-03-06	VYDAJ	PREVOD NA UCET	582	15518	 	ST	98448490
757662	2584	1995-04-06	VYDAJ	PREVOD NA UCET	582	14987	 	ST	98448490
757663	2584	1995-05-06	VYDAJ	PREVOD NA UCET	582	13889	 	ST	98448490
757664	2584	1995-06-06	VYDAJ	PREVOD NA UCET	582	16052	 	ST	98448490
757665	2584	1995-07-06	VYDAJ	PREVOD NA UCET	582	18723	 	ST	98448490
757666	2584	1995-08-06	VYDAJ	PREVOD NA UCET	582	18362	 	ST	98448490
757667	2584	1995-09-06	VYDAJ	PREVOD NA UCET	582	17841	 	ST	98448490
757668	2584	1995-10-06	VYDAJ	PREVOD NA UCET	582	19318	 	ST	98448490
757669	2584	1995-11-06	VYDAJ	PREVOD NA UCET	582	18100	 	ST	98448490
757670	2584	1995-12-06	VYDAJ	PREVOD NA UCET	582	17178	 	ST	98448490
757671	2584	1996-01-06	VYDAJ	PREVOD NA UCET	582	17803	 	ST	98448490
757672	2584	1996-02-06	VYDAJ	PREVOD NA UCET	582	12137	 	ST	98448490
757673	2584	1996-03-06	VYDAJ	PREVOD NA UCET	582	12790	 	ST	98448490
757674	2584	1996-04-06	VYDAJ	PREVOD NA UCET	582	12343	 	ST	98448490
757675	2584	1996-05-06	VYDAJ	PREVOD NA UCET	582	14999	 	ST	98448490
757676	2584	1996-06-06	VYDAJ	PREVOD NA UCET	582	14161	 	ST	98448490
757677	2584	1996-07-06	VYDAJ	PREVOD NA UCET	582	14622	 	ST	98448490
757678	2584	1996-08-06	VYDAJ	PREVOD NA UCET	582	16986	 	ST	98448490
757679	2584	1996-09-06	VYDAJ	PREVOD NA UCET	582	16256	 	ST	98448490
757680	2584	1996-10-06	VYDAJ	PREVOD NA UCET	582	13159	 	ST	98448490
757681	2584	1996-11-06	VYDAJ	PREVOD NA UCET	582	13114	 	ST	98448490
757682	2584	1996-12-06	VYDAJ	PREVOD NA UCET	582	13268	 	ST	98448490
757683	2584	1997-01-06	VYDAJ	PREVOD NA UCET	582	11369	 	ST	98448490
757684	2584	1997-02-06	VYDAJ	PREVOD NA UCET	582	13219	 	ST	98448490
757685	2584	1997-03-06	VYDAJ	PREVOD NA UCET	582	15878	 	ST	98448490
757686	2584	1997-04-06	VYDAJ	PREVOD NA UCET	582	11335	 	ST	98448490
757687	2584	1997-05-06	VYDAJ	PREVOD NA UCET	582	13986	 	ST	98448490
757688	2584	1997-06-06	VYDAJ	PREVOD NA UCET	582	14728	 	ST	98448490
757689	2584	1997-07-06	VYDAJ	PREVOD NA UCET	582	12384	 	ST	98448490
757690	2584	1997-08-06	VYDAJ	PREVOD NA UCET	582	15040	 	ST	98448490
757691	2584	1997-09-06	VYDAJ	PREVOD NA UCET	582	14742	 	ST	98448490
757692	2584	1997-10-06	VYDAJ	PREVOD NA UCET	582	15004	 	ST	98448490
757693	2584	1997-11-06	VYDAJ	PREVOD NA UCET	582	15430	 	ST	98448490
757694	2584	1997-12-06	VYDAJ	PREVOD NA UCET	582	18099	 	ST	98448490
757695	2584	1998-01-06	VYDAJ	PREVOD NA UCET	582	16418	 	ST	98448490
757696	2584	1998-02-06	VYDAJ	PREVOD NA UCET	582	14042	 	ST	98448490
757697	2584	1998-03-06	VYDAJ	PREVOD NA UCET	582	16703	 	ST	98448490
757698	2584	1998-04-06	VYDAJ	PREVOD NA UCET	582	19376	 	ST	98448490
757699	2584	1998-05-06	VYDAJ	PREVOD NA UCET	582	22060	 	ST	98448490
757700	2584	1998-06-06	VYDAJ	PREVOD NA UCET	582	18912	 	ST	98448490
757701	2584	1998-07-06	VYDAJ	PREVOD NA UCET	582	16106	 	ST	98448490
757702	2584	1998-08-06	VYDAJ	PREVOD NA UCET	582	18776	 	ST	98448490
757703	2584	1998-09-06	VYDAJ	PREVOD NA UCET	582	18337	 	ST	98448490
757704	2584	1998-10-06	VYDAJ	PREVOD NA UCET	582	21018	 	ST	98448490
757705	2584	1998-11-06	VYDAJ	PREVOD NA UCET	582	22746	 	ST	98448490
757706	2584	1998-12-06	VYDAJ	PREVOD NA UCET	582	25443	 	ST	98448490
757712	2584	1998-06-29	VYDAJ	VYBER	1800	16626	\N	\N	\N
757714	2584	1994-01-15	VYDAJ	VYBER	2100	17950	\N	\N	\N
757715	2584	1995-01-16	VYDAJ	VYBER	1100	18654	\N	\N	\N
757716	2584	1996-01-14	VYDAJ	VYBER	650	20347	\N	\N	\N
757719	2584	1993-12-05	VYDAJ	VYBER	1100	20112	\N	\N	\N
757720	2584	1994-12-30	VYDAJ	VYBER	1000	24138	\N	\N	\N
757721	2584	1995-12-29	VYDAJ	VYBER	1350	18322	\N	\N	\N
757722	2584	1996-12-14	VYDAJ	VYBER	750	15712	\N	\N	\N
757723	2584	1997-12-29	VYDAJ	VYBER	1000	20293	\N	\N	\N
757724	2584	1998-12-18	VYDAJ	VYBER	550	28087	\N	\N	\N
757731	2584	1994-01-08	VYDAJ	VYBER	1360	19862	\N	\N	\N
757732	2584	1994-01-22	VYDAJ	VYBER	1680	15070	\N	\N	\N
757733	2584	1994-01-11	VYDAJ	VYBER	1280	15862	\N	\N	\N
757734	2584	1994-01-09	VYDAJ	VYBER	1680	17142	\N	\N	\N
757735	2584	1994-01-09	VYDAJ	VYBER	1040	18822	\N	\N	\N
757736	2584	1994-01-22	VYDAJ	VYBER	1200	16750	\N	\N	\N
757737	2584	1995-01-24	VYDAJ	VYBER	1040	17614	\N	\N	\N
757738	2584	1995-01-09	VYDAJ	VYBER	1840	17566	\N	\N	\N
757739	2584	1995-01-27	VYDAJ	VYBER	720	16894	\N	\N	\N
757740	2584	1995-01-12	VYDAJ	VYBER	2000	15566	\N	\N	\N
757741	2584	1995-01-27	VYDAJ	VYBER	800	16094	\N	\N	\N
757742	2584	1995-01-27	VYDAJ	VYBER	1520	14574	\N	\N	\N
757744	2584	1996-01-16	VYDAJ	VYBER	1920	18427	\N	\N	\N
757745	2584	1996-01-18	VYDAJ	VYBER	1040	17387	\N	\N	\N
757746	2584	1996-01-23	VYDAJ	VYBER	1920	13467	\N	\N	\N
757747	2584	1996-01-20	VYDAJ	VYBER	2000	15387	\N	\N	\N
757750	2584	1997-01-25	VYDAJ	VYBER	800	13763	\N	\N	\N
757755	2584	1998-01-15	VYDAJ	VYBER	1360	18252	\N	\N	\N
757756	2584	1998-01-19	VYDAJ	VYBER	1040	17212	\N	\N	\N
757757	2584	1998-01-22	VYDAJ	VYBER	2160	15052	\N	\N	\N
757758	2584	1998-01-03	VYDAJ	VYBER	1680	18680	\N	\N	\N
757759	2584	1998-01-04	VYDAJ	VYBER	1680	17000	\N	\N	\N
757767	2584	1994-03-04	VYDAJ	VYBER	3120	14678	\N	\N	\N
757768	2584	1994-04-15	VYDAJ	VYBER	2400	13948	\N	\N	\N
757769	2584	1994-03-16	VYDAJ	VYBER	3600	13690	\N	\N	\N
757770	2584	1994-07-01	VYDAJ	VYBER	1760	17562	\N	\N	\N
757771	2584	1995-04-23	VYDAJ	VYBER	3760	14421	\N	\N	\N
757772	2584	1995-11-27	VYDAJ	VYBER	3600	17694	\N	\N	\N
757773	2584	1995-01-01	VYDAJ	VYBER	3040	20982	\N	\N	\N
757774	2584	1995-07-22	VYDAJ	VYBER	3040	18877	\N	\N	\N
757776	2584	1996-03-17	VYDAJ	VYBER	1200	14784	\N	\N	\N
757777	2584	1996-09-14	VYDAJ	VYBER	960	18490	\N	\N	\N
757778	2584	1997-11-01	VYDAJ	VYBER	2240	16012	\N	\N	\N
757779	2584	1997-08-27	VYDAJ	VYBER	1520	15274	\N	\N	\N
757780	2584	1997-08-15	VYDAJ	VYBER	1440	16794	\N	\N	\N
757782	2584	1997-09-24	VYDAJ	VYBER	2400	15536	\N	\N	\N
757783	2584	1997-06-03	VYDAJ	VYBER	1920	15310	\N	\N	\N
757784	2584	1998-05-26	VYDAJ	VYBER	2800	19414	\N	\N	\N
757785	2584	1998-10-11	VYDAJ	VYBER	960	19064	\N	\N	\N
757786	2584	1998-09-03	VYDAJ	VYBER	3120	18919	\N	\N	\N
757787	2584	1998-06-16	VYDAJ	VYBER	3680	18426	\N	\N	\N
757788	2584	1998-12-30	VYDAJ	VYBER	2000	26087	\N	\N	\N
757789	2584	1998-01-24	VYDAJ	VYBER	480	14572	\N	\N	\N
757790	2584	1998-05-26	VYDAJ	VYBER	3040	22214	\N	\N	\N
757802	2584	1993-11-30	VYDAJ	VYBER	15	21212	SLUZBY	\N	\N
757803	2584	1993-12-31	VYDAJ	VYBER	15	22798	SLUZBY	\N	\N
757804	2584	1994-01-31	VYDAJ	VYBER	15	15133	SLUZBY	\N	\N
757805	2584	1994-02-28	VYDAJ	VYBER	15	17798	SLUZBY	\N	\N
757806	2584	1994-03-31	VYDAJ	VYBER	15	13736	SLUZBY	\N	\N
757807	2584	1994-04-30	VYDAJ	VYBER	15	13990	SLUZBY	\N	\N
757808	2584	1994-05-31	VYDAJ	VYBER	15	16651	SLUZBY	\N	\N
757809	2584	1994-06-30	VYDAJ	VYBER	15	19322	SLUZBY	\N	\N
757810	2584	1994-07-31	VYDAJ	VYBER	15	20239	SLUZBY	\N	\N
757811	2584	1994-08-31	VYDAJ	VYBER	15	22926	SLUZBY	\N	\N
757812	2584	1994-09-30	VYDAJ	VYBER	15	23516	SLUZBY	\N	\N
757813	2584	1994-10-31	VYDAJ	VYBER	15	26016	SLUZBY	\N	\N
757814	2584	1994-11-30	VYDAJ	VYBER	15	22526	SLUZBY	\N	\N
757815	2584	1994-12-31	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
757816	2584	1995-01-31	VYDAJ	VYBER	15	14638	SLUZBY	\N	\N
757817	2584	1995-02-28	VYDAJ	VYBER	15	17300	SLUZBY	\N	\N
757818	2584	1995-03-31	VYDAJ	VYBER	15	15569	SLUZBY	\N	\N
757819	2584	1995-04-30	VYDAJ	VYBER	15	14471	SLUZBY	\N	\N
757820	2584	1995-05-31	VYDAJ	VYBER	15	16634	SLUZBY	\N	\N
757821	2584	1995-06-30	VYDAJ	VYBER	15	19305	SLUZBY	\N	\N
757822	2584	1995-07-31	VYDAJ	VYBER	15	18944	SLUZBY	\N	\N
757823	2584	1995-08-31	VYDAJ	VYBER	15	18423	SLUZBY	\N	\N
757824	2584	1995-09-30	VYDAJ	VYBER	15	19900	SLUZBY	\N	\N
757825	2584	1995-10-31	VYDAJ	VYBER	15	18682	SLUZBY	\N	\N
757826	2584	1995-11-30	VYDAJ	VYBER	15	17760	SLUZBY	\N	\N
757827	2584	1995-12-31	VYDAJ	VYBER	15	18385	SLUZBY	\N	\N
757828	2584	1996-01-31	VYDAJ	VYBER	15	12719	SLUZBY	\N	\N
757829	2584	1996-02-29	VYDAJ	VYBER	15	13372	SLUZBY	\N	\N
757830	2584	1996-03-31	VYDAJ	VYBER	15	12925	SLUZBY	\N	\N
757831	2584	1996-04-30	VYDAJ	VYBER	15	15581	SLUZBY	\N	\N
757832	2584	1996-05-31	VYDAJ	VYBER	15	14743	SLUZBY	\N	\N
757833	2584	1996-06-30	VYDAJ	VYBER	15	15204	SLUZBY	\N	\N
757834	2584	1996-07-31	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
757835	2584	1996-08-31	VYDAJ	VYBER	15	16838	SLUZBY	\N	\N
757836	2584	1996-09-30	VYDAJ	VYBER	15	13741	SLUZBY	\N	\N
757837	2584	1996-10-31	VYDAJ	VYBER	15	13696	SLUZBY	\N	\N
757838	2584	1996-11-30	VYDAJ	VYBER	15	13850	SLUZBY	\N	\N
757839	2584	1996-12-31	VYDAJ	VYBER	15	11951	SLUZBY	\N	\N
757840	2584	1997-01-31	VYDAJ	VYBER	15	13801	SLUZBY	\N	\N
757841	2584	1997-02-28	VYDAJ	VYBER	15	16460	SLUZBY	\N	\N
757842	2584	1997-03-31	VYDAJ	VYBER	15	11917	SLUZBY	\N	\N
757843	2584	1997-04-30	VYDAJ	VYBER	15	14568	SLUZBY	\N	\N
757844	2584	1997-05-31	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
757845	2584	1997-06-30	VYDAJ	VYBER	15	12966	SLUZBY	\N	\N
757846	2584	1997-07-31	VYDAJ	VYBER	15	15622	SLUZBY	\N	\N
757847	2584	1997-08-31	VYDAJ	VYBER	15	15324	SLUZBY	\N	\N
757848	2584	1997-09-30	VYDAJ	VYBER	15	15586	SLUZBY	\N	\N
757849	2584	1997-10-31	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
757850	2584	1997-11-30	VYDAJ	VYBER	15	18681	SLUZBY	\N	\N
757851	2584	1997-12-31	VYDAJ	VYBER	15	20360	SLUZBY	\N	\N
757852	2584	1998-01-31	VYDAJ	VYBER	15	14624	SLUZBY	\N	\N
757853	2584	1998-02-28	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
757854	2584	1998-03-31	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
757855	2584	1998-04-30	VYDAJ	VYBER	15	22642	SLUZBY	\N	\N
757856	2584	1998-05-31	VYDAJ	VYBER	15	19494	SLUZBY	\N	\N
757857	2584	1998-06-30	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
757858	2584	1998-07-31	VYDAJ	VYBER	15	19358	SLUZBY	\N	\N
757859	2584	1998-08-31	VYDAJ	VYBER	15	22039	SLUZBY	\N	\N
757860	2584	1998-09-30	VYDAJ	VYBER	15	21600	SLUZBY	\N	\N
757861	2584	1998-10-31	VYDAJ	VYBER	15	23328	SLUZBY	\N	\N
757862	2584	1998-11-30	VYDAJ	VYBER	15	26025	SLUZBY	\N	\N
757863	2584	1994-09-01	VYDAJ	VYBER	2100	20826	\N	\N	\N
757864	2584	1994-10-31	VYDAJ	VYBER	200	26031	\N	\N	\N
757865	2584	1994-11-30	VYDAJ	VYBER	6200	22541	\N	\N	\N
757866	2584	1994-12-30	VYDAJ	VYBER	200	23938	\N	\N	\N
757867	2584	1995-02-28	VYDAJ	VYBER	1200	16100	\N	\N	\N
757868	2584	1995-03-30	VYDAJ	VYBER	3200	15512	\N	\N	\N
757869	2584	1995-05-29	VYDAJ	VYBER	500	16583	\N	\N	\N
757870	2584	1995-08-27	VYDAJ	VYBER	3200	18356	\N	\N	\N
757871	2584	1995-09-26	VYDAJ	VYBER	1200	19835	\N	\N	\N
757872	2584	1995-10-26	VYDAJ	VYBER	3900	18612	\N	\N	\N
757873	2584	1995-12-25	VYDAJ	VYBER	700	19672	\N	\N	\N
757874	2584	1996-01-24	VYDAJ	VYBER	800	12667	\N	\N	\N
757875	2584	1996-02-23	VYDAJ	VYBER	2000	13331	\N	\N	\N
757876	2584	1996-03-24	VYDAJ	VYBER	1900	12884	\N	\N	\N
757877	2584	1996-05-23	VYDAJ	VYBER	3500	14693	\N	\N	\N
757878	2584	1996-06-22	VYDAJ	VYBER	2200	15155	\N	\N	\N
757879	2584	1996-07-22	VYDAJ	VYBER	300	17516	\N	\N	\N
757880	2584	1996-08-21	VYDAJ	VYBER	3400	16780	\N	\N	\N
757881	2584	1996-09-20	VYDAJ	VYBER	4800	13690	\N	\N	\N
757882	2584	1996-10-20	VYDAJ	VYBER	2700	13653	\N	\N	\N
757883	2584	1996-11-19	VYDAJ	VYBER	2500	13808	\N	\N	\N
757884	2584	1996-12-19	VYDAJ	VYBER	3800	11912	\N	\N	\N
757885	2584	1997-03-19	VYDAJ	VYBER	7200	11872	\N	\N	\N
757886	2584	1997-06-17	VYDAJ	VYBER	5000	12922	\N	\N	\N
757953	2585	1993-02-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
757955	2585	1993-02-13	PRIJEM	VKLAD	14963	15963	\N	\N	\N
757956	2585	1993-03-13	PRIJEM	VKLAD	14963	35164	\N	\N	\N
757957	2585	1993-04-13	PRIJEM	VKLAD	14963	43343	\N	\N	\N
757958	2585	1993-05-13	PRIJEM	VKLAD	14963	51673	\N	\N	\N
757959	2585	1993-06-13	PRIJEM	VKLAD	22444	61618	\N	\N	\N
757960	2585	1993-07-13	PRIJEM	VKLAD	14963	46500	\N	\N	\N
757961	2585	1993-08-13	PRIJEM	VKLAD	14963	51927	\N	\N	\N
757962	2585	1993-09-13	PRIJEM	VKLAD	14963	50218	\N	\N	\N
757963	2585	1993-10-13	PRIJEM	VKLAD	14963	51694	\N	\N	\N
757964	2585	1993-11-13	PRIJEM	VKLAD	14963	56052	\N	\N	\N
757965	2585	1993-12-13	PRIJEM	VKLAD	22444	58785	\N	\N	\N
757966	2585	1994-01-13	PRIJEM	VKLAD	14963	51976	\N	\N	\N
757967	2585	1994-02-13	PRIJEM	VKLAD	14963	49215	\N	\N	\N
757968	2585	1994-03-13	PRIJEM	VKLAD	14963	51358	\N	\N	\N
757969	2585	1994-04-13	PRIJEM	VKLAD	14963	51817	\N	\N	\N
757970	2585	1994-05-13	PRIJEM	VKLAD	14963	47720	\N	\N	\N
757971	2585	1994-06-13	PRIJEM	VKLAD	22444	36647	\N	\N	\N
757972	2585	1994-07-13	PRIJEM	VKLAD	14963	45739	\N	\N	\N
757973	2585	1994-08-13	PRIJEM	VKLAD	14963	49663	\N	\N	\N
757974	2585	1994-09-13	PRIJEM	VKLAD	14963	53512	\N	\N	\N
757975	2585	1994-10-13	PRIJEM	VKLAD	14963	52576	\N	\N	\N
757976	2585	1994-11-13	PRIJEM	VKLAD	14963	51319	\N	\N	\N
757977	2585	1994-12-13	PRIJEM	VKLAD	22444	60655	\N	\N	\N
757978	2585	1995-01-13	PRIJEM	VKLAD	14963	47672	\N	\N	\N
757979	2585	1995-02-13	PRIJEM	VKLAD	14963	44898	\N	\N	\N
757980	2585	1995-03-13	PRIJEM	VKLAD	14963	47325	\N	\N	\N
757981	2585	1995-04-13	PRIJEM	VKLAD	14963	48166	\N	\N	\N
757982	2585	1995-05-13	PRIJEM	VKLAD	14963	43333	\N	\N	\N
757983	2585	1995-06-13	PRIJEM	VKLAD	22444	55770	\N	\N	\N
757984	2585	1995-07-13	PRIJEM	VKLAD	14963	30220	\N	\N	\N
757985	2585	1995-08-13	PRIJEM	VKLAD	14963	35593	\N	\N	\N
757986	2585	1995-09-13	PRIJEM	VKLAD	14963	38645	\N	\N	\N
757987	2585	1995-10-13	PRIJEM	VKLAD	14963	40324	\N	\N	\N
757988	2585	1995-11-13	PRIJEM	VKLAD	14963	37517	\N	\N	\N
757989	2585	1995-12-13	PRIJEM	VKLAD	22444	47974	\N	\N	\N
757990	2585	1996-01-13	PRIJEM	VKLAD	14963	44851	\N	\N	\N
757991	2585	1996-02-13	PRIJEM	VKLAD	14963	35159	\N	\N	\N
757992	2585	1996-03-13	PRIJEM	VKLAD	14963	34910	\N	\N	\N
757993	2585	1996-04-13	PRIJEM	VKLAD	14963	39377	\N	\N	\N
757994	2585	1996-05-13	PRIJEM	VKLAD	14963	40926	\N	\N	\N
757995	2585	1996-06-13	PRIJEM	VKLAD	22444	41163	\N	\N	\N
757996	2585	1996-07-13	PRIJEM	VKLAD	14963	39142	\N	\N	\N
757997	2585	1996-08-13	PRIJEM	VKLAD	14963	41191	\N	\N	\N
757998	2585	1996-09-13	PRIJEM	VKLAD	14963	38643	\N	\N	\N
757999	2585	1996-10-13	PRIJEM	VKLAD	14963	34381	\N	\N	\N
758000	2585	1996-11-13	PRIJEM	VKLAD	14963	31904	\N	\N	\N
758001	2585	1996-12-13	PRIJEM	VKLAD	22444	33637	\N	\N	\N
758002	2585	1997-01-13	PRIJEM	VKLAD	14963	24204	\N	\N	\N
758003	2585	1997-02-13	PRIJEM	VKLAD	14963	24466	\N	\N	\N
758004	2585	1997-03-13	PRIJEM	VKLAD	14963	25152	\N	\N	\N
758005	2585	1997-04-13	PRIJEM	VKLAD	14963	27643	\N	\N	\N
758006	2585	1997-05-13	PRIJEM	VKLAD	14963	28943	\N	\N	\N
758007	2585	1997-06-13	PRIJEM	VKLAD	22444	26404	\N	\N	\N
758008	2585	1997-07-13	PRIJEM	VKLAD	14963	21101	\N	\N	\N
758009	2585	1997-08-13	PRIJEM	VKLAD	14963	17965	\N	\N	\N
758010	2585	1997-09-13	PRIJEM	VKLAD	14963	17020	\N	\N	\N
758011	2585	1997-10-13	PRIJEM	VKLAD	14963	16472	\N	\N	\N
758012	2585	1997-11-13	PRIJEM	VKLAD	14963	17324	\N	\N	\N
758013	2585	1997-12-13	PRIJEM	VKLAD	22444	27225	\N	\N	\N
758014	2585	1998-01-13	PRIJEM	VKLAD	14963	21743	\N	\N	\N
758015	2585	1998-02-13	PRIJEM	VKLAD	14963	17534	\N	\N	\N
758016	2585	1998-03-13	PRIJEM	VKLAD	14963	15983	\N	\N	\N
758017	2585	1998-04-13	PRIJEM	VKLAD	14963	14134	\N	\N	\N
758018	2585	1998-05-13	PRIJEM	VKLAD	14963	11461	\N	\N	\N
758019	2585	1998-06-13	PRIJEM	VKLAD	22444	20665	\N	\N	\N
758020	2585	1998-07-13	PRIJEM	VKLAD	14963	20208	\N	\N	\N
758021	2585	1998-08-13	PRIJEM	VKLAD	14963	19169	\N	\N	\N
758022	2585	1998-09-13	PRIJEM	VKLAD	14963	16164	\N	\N	\N
758023	2585	1998-10-13	PRIJEM	VKLAD	14963	22452	\N	\N	\N
758024	2585	1998-11-13	PRIJEM	VKLAD	14963	21377	\N	\N	\N
758025	2585	1998-12-13	PRIJEM	VKLAD	22444	31290	\N	\N	\N
758026	2585	1993-06-29	VYDAJ	VYBER	24000	37618	\N	\N	\N
758027	2585	1994-06-07	VYDAJ	VYBER	20000	14203	\N	\N	\N
758028	2585	1995-06-25	VYDAJ	VYBER	40160	15610	\N	\N	\N
758029	2585	1996-06-08	VYDAJ	VYBER	9600	18719	\N	\N	\N
758030	2585	1997-06-07	VYDAJ	VYBER	8320	3960	\N	\N	\N
758032	2585	1993-12-06	VYDAJ	VYBER	2880	51341	\N	\N	\N
758033	2585	1994-12-22	VYDAJ	VYBER	4480	56175	\N	\N	\N
758034	2585	1995-12-28	VYDAJ	VYBER	3200	30874	\N	\N	\N
758035	2585	1996-12-29	VYDAJ	VYBER	960	13637	\N	\N	\N
758036	2585	1997-12-18	VYDAJ	VYBER	3680	11445	\N	\N	\N
758037	2585	1998-12-04	VYDAJ	VYBER	1600	19846	\N	\N	\N
758044	2585	1994-01-04	VYDAJ	VYBER	2760	56233	\N	\N	\N
758045	2585	1994-01-09	VYDAJ	VYBER	840	37013	\N	\N	\N
758046	2585	1994-01-26	VYDAJ	VYBER	720	44896	\N	\N	\N
758047	2585	1994-01-29	VYDAJ	VYBER	1920	42976	\N	\N	\N
758048	2585	1994-01-13	VYDAJ	VYBER	3480	48496	\N	\N	\N
758049	2585	1994-01-05	VYDAJ	VYBER	2880	53353	\N	\N	\N
758050	2585	1995-01-29	VYDAJ	VYBER	1440	42872	\N	\N	\N
758051	2585	1995-01-08	VYDAJ	VYBER	3000	33909	\N	\N	\N
758052	2585	1995-01-18	VYDAJ	VYBER	1800	45872	\N	\N	\N
758053	2585	1995-01-04	VYDAJ	VYBER	1440	36909	\N	\N	\N
758054	2585	1995-01-19	VYDAJ	VYBER	1560	44312	\N	\N	\N
758055	2585	1995-01-11	VYDAJ	VYBER	1200	32709	\N	\N	\N
758056	2585	1996-01-30	VYDAJ	VYBER	2880	20071	\N	\N	\N
758057	2585	1996-01-24	VYDAJ	VYBER	3480	37891	\N	\N	\N
758058	2585	1996-01-26	VYDAJ	VYBER	3240	34651	\N	\N	\N
758059	2585	1996-01-07	VYDAJ	VYBER	1080	29888	\N	\N	\N
758060	2585	1996-01-13	VYDAJ	VYBER	2520	42331	\N	\N	\N
758061	2585	1996-01-18	VYDAJ	VYBER	960	41371	\N	\N	\N
758062	2585	1997-01-06	VYDAJ	VYBER	600	11281	\N	\N	\N
758063	2585	1997-01-02	VYDAJ	VYBER	1800	11881	\N	\N	\N
758064	2585	1997-01-11	VYDAJ	VYBER	600	9241	\N	\N	\N
758065	2585	1997-01-17	VYDAJ	VYBER	2400	21804	\N	\N	\N
758066	2585	1997-01-11	VYDAJ	VYBER	1440	9841	\N	\N	\N
758067	2585	1997-01-21	VYDAJ	VYBER	2040	9464	\N	\N	\N
758069	2585	1998-01-17	VYDAJ	VYBER	1440	2563	\N	\N	\N
758070	2585	1998-01-15	VYDAJ	VYBER	2040	19703	\N	\N	\N
758071	2585	1998-01-07	VYDAJ	VYBER	1440	7740	\N	\N	\N
758072	2585	1998-01-07	VYDAJ	VYBER	960	6780	\N	\N	\N
758073	2585	1998-01-01	VYDAJ	VYBER	2280	9180	\N	\N	\N
758075	2585	1993-11-22	VYDAJ	VYBER	2040	54012	\N	\N	\N
758076	2585	1993-08-22	VYDAJ	VYBER	2760	49167	\N	\N	\N
758077	2585	1993-09-30	VYDAJ	VYBER	2280	48145	\N	\N	\N
758078	2585	1993-07-23	VYDAJ	VYBER	1200	45300	\N	\N	\N
758079	2585	1994-10-22	VYDAJ	VYBER	4920	47656	\N	\N	\N
758080	2585	1994-01-16	VYDAJ	VYBER	2880	45616	\N	\N	\N
758081	2585	1994-12-26	VYDAJ	VYBER	3840	52335	\N	\N	\N
758082	2585	1994-05-10	VYDAJ	VYBER	5760	32757	\N	\N	\N
758083	2585	1995-06-10	VYDAJ	VYBER	960	33326	\N	\N	\N
758084	2585	1995-11-05	VYDAJ	VYBER	3360	22554	\N	\N	\N
758085	2585	1995-09-11	VYDAJ	VYBER	1320	23682	\N	\N	\N
758086	2585	1995-08-09	VYDAJ	VYBER	3240	20630	\N	\N	\N
758087	2585	1995-05-06	VYDAJ	VYBER	5280	28370	\N	\N	\N
758088	2585	1996-12-17	VYDAJ	VYBER	2040	31597	\N	\N	\N
758089	2585	1996-03-17	VYDAJ	VYBER	3480	31430	\N	\N	\N
758090	2585	1996-02-26	VYDAJ	VYBER	3480	19879	\N	\N	\N
758091	2585	1996-11-18	VYDAJ	VYBER	5760	26144	\N	\N	\N
758092	2585	1997-11-21	VYDAJ	VYBER	2640	4784	\N	\N	\N
758096	2585	1998-12-22	VYDAJ	VYBER	2280	29010	\N	\N	\N
758104	2585	1993-06-30	VYDAJ	VYBER	15	37837	SLUZBY	\N	\N
758105	2585	1993-07-31	VYDAJ	VYBER	15	45464	SLUZBY	\N	\N
758106	2585	1993-08-31	VYDAJ	VYBER	15	49355	SLUZBY	\N	\N
758107	2585	1993-09-30	VYDAJ	VYBER	15	48131	SLUZBY	\N	\N
758108	2585	1993-10-31	VYDAJ	VYBER	15	51889	SLUZBY	\N	\N
758109	2585	1993-11-30	VYDAJ	VYBER	15	54221	SLUZBY	\N	\N
758110	2585	1993-12-31	VYDAJ	VYBER	15	58993	SLUZBY	\N	\N
758111	2585	1994-01-31	VYDAJ	VYBER	15	43152	SLUZBY	\N	\N
758112	2585	1994-02-28	VYDAJ	VYBER	15	49395	SLUZBY	\N	\N
758113	2585	1994-03-31	VYDAJ	VYBER	15	51554	SLUZBY	\N	\N
758114	2585	1994-04-30	VYDAJ	VYBER	15	52017	SLUZBY	\N	\N
758115	2585	1994-05-31	VYDAJ	VYBER	15	47903	SLUZBY	\N	\N
758116	2585	1994-06-30	VYDAJ	VYBER	15	36776	SLUZBY	\N	\N
758117	2585	1994-07-31	VYDAJ	VYBER	15	45900	SLUZBY	\N	\N
758118	2585	1994-08-31	VYDAJ	VYBER	15	49849	SLUZBY	\N	\N
758119	2585	1994-09-30	VYDAJ	VYBER	15	53713	SLUZBY	\N	\N
758120	2585	1994-10-31	VYDAJ	VYBER	15	47856	SLUZBY	\N	\N
758121	2585	1994-11-30	VYDAJ	VYBER	15	51511	SLUZBY	\N	\N
758122	2585	1994-12-31	VYDAJ	VYBER	15	52549	SLUZBY	\N	\N
758123	2585	1995-01-31	VYDAJ	VYBER	15	29935	SLUZBY	\N	\N
758124	2585	1995-02-28	VYDAJ	VYBER	15	45062	SLUZBY	\N	\N
758125	2585	1995-03-31	VYDAJ	VYBER	15	47503	SLUZBY	\N	\N
758126	2585	1995-04-30	VYDAJ	VYBER	15	48350	SLUZBY	\N	\N
758127	2585	1995-05-31	VYDAJ	VYBER	15	34286	SLUZBY	\N	\N
758128	2585	1995-06-30	VYDAJ	VYBER	15	15757	SLUZBY	\N	\N
758129	2585	1995-07-31	VYDAJ	VYBER	15	23870	SLUZBY	\N	\N
758130	2585	1995-08-31	VYDAJ	VYBER	15	25002	SLUZBY	\N	\N
758131	2585	1995-09-30	VYDAJ	VYBER	15	25361	SLUZBY	\N	\N
758132	2585	1995-10-31	VYDAJ	VYBER	15	25914	SLUZBY	\N	\N
758133	2585	1995-11-30	VYDAJ	VYBER	15	25530	SLUZBY	\N	\N
758134	2585	1995-12-31	VYDAJ	VYBER	15	30968	SLUZBY	\N	\N
758135	2585	1996-01-31	VYDAJ	VYBER	15	20196	SLUZBY	\N	\N
758136	2585	1996-02-29	VYDAJ	VYBER	15	19947	SLUZBY	\N	\N
758137	2585	1996-03-31	VYDAJ	VYBER	15	24414	SLUZBY	\N	\N
758138	2585	1996-04-30	VYDAJ	VYBER	15	25963	SLUZBY	\N	\N
758139	2585	1996-05-31	VYDAJ	VYBER	15	28319	SLUZBY	\N	\N
758140	2585	1996-06-30	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
758141	2585	1996-07-31	VYDAJ	VYBER	15	26228	SLUZBY	\N	\N
758142	2585	1996-08-31	VYDAJ	VYBER	15	23680	SLUZBY	\N	\N
758143	2585	1996-09-30	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
758144	2585	1996-10-31	VYDAJ	VYBER	15	16941	SLUZBY	\N	\N
758145	2585	1996-11-30	VYDAJ	VYBER	15	11193	SLUZBY	\N	\N
758146	2585	1996-12-31	VYDAJ	VYBER	15	13681	SLUZBY	\N	\N
758147	2585	1997-01-31	VYDAJ	VYBER	15	9503	SLUZBY	\N	\N
758148	2585	1997-02-28	VYDAJ	VYBER	15	10189	SLUZBY	\N	\N
758149	2585	1997-03-31	VYDAJ	VYBER	15	12680	SLUZBY	\N	\N
758150	2585	1997-04-30	VYDAJ	VYBER	15	13980	SLUZBY	\N	\N
758151	2585	1997-05-31	VYDAJ	VYBER	15	12280	SLUZBY	\N	\N
758152	2585	1997-06-30	VYDAJ	VYBER	15	6138	SLUZBY	\N	\N
758153	2585	1997-07-31	VYDAJ	VYBER	15	3002	SLUZBY	\N	\N
758154	2585	1997-08-31	VYDAJ	VYBER	15	2057	SLUZBY	\N	\N
758155	2585	1997-09-30	VYDAJ	VYBER	15	1509	SLUZBY	\N	\N
758156	2585	1997-10-31	VYDAJ	VYBER	15	2361	SLUZBY	\N	\N
758157	2585	1997-11-30	VYDAJ	VYBER	15	4781	SLUZBY	\N	\N
758158	2585	1997-12-31	VYDAJ	VYBER	15	11460	SLUZBY	\N	\N
758159	2585	1998-01-31	VYDAJ	VYBER	15	2571	SLUZBY	\N	\N
758160	2585	1998-02-28	VYDAJ	VYBER	15	1020	SLUZBY	\N	\N
758164	2585	1998-06-30	VYDAJ	VYBER	15	5245	SLUZBY	\N	\N
758165	2585	1998-07-31	VYDAJ	VYBER	15	4206	SLUZBY	\N	\N
758166	2585	1998-08-31	VYDAJ	VYBER	15	3701	SLUZBY	\N	\N
758167	2585	1998-09-30	VYDAJ	VYBER	15	16189	SLUZBY	\N	\N
758168	2585	1998-10-31	VYDAJ	VYBER	15	22514	SLUZBY	\N	\N
758169	2585	1998-11-30	VYDAJ	VYBER	15	21446	SLUZBY	\N	\N
758170	2585	1993-03-12	PRIJEM	VKLAD	4200	20201	\N	\N	\N
758171	2585	1993-04-11	VYDAJ	VYBER	6900	28380	\N	\N	\N
758172	2585	1993-05-11	VYDAJ	VYBER	6800	36710	\N	\N	\N
758173	2585	1993-06-10	VYDAJ	VYBER	12700	39174	\N	\N	\N
758174	2585	1993-07-10	VYDAJ	VYBER	6300	31537	\N	\N	\N
758175	2585	1993-08-09	VYDAJ	VYBER	8500	36964	\N	\N	\N
758176	2585	1993-09-08	VYDAJ	VYBER	14100	35255	\N	\N	\N
758177	2585	1993-10-08	VYDAJ	VYBER	11400	36731	\N	\N	\N
758178	2585	1993-11-07	VYDAJ	VYBER	10800	41089	\N	\N	\N
758179	2585	1993-12-07	VYDAJ	VYBER	15000	36341	\N	\N	\N
758180	2585	1994-01-06	VYDAJ	VYBER	15500	37853	\N	\N	\N
758181	2585	1994-02-05	VYDAJ	VYBER	8900	34252	\N	\N	\N
758182	2585	1994-03-07	VYDAJ	VYBER	13000	36395	\N	\N	\N
758183	2585	1994-04-06	VYDAJ	VYBER	14700	36854	\N	\N	\N
758184	2585	1994-05-06	VYDAJ	VYBER	13500	38517	\N	\N	\N
758185	2585	1994-06-05	VYDAJ	VYBER	13700	34203	\N	\N	\N
758186	2585	1994-07-05	VYDAJ	VYBER	6000	30776	\N	\N	\N
758187	2585	1994-08-04	VYDAJ	VYBER	11200	34700	\N	\N	\N
758188	2585	1994-09-03	VYDAJ	VYBER	11300	38549	\N	\N	\N
758189	2585	1994-10-03	VYDAJ	VYBER	16100	37613	\N	\N	\N
758190	2585	1994-11-02	VYDAJ	VYBER	11500	36356	\N	\N	\N
758191	2585	1994-12-02	VYDAJ	VYBER	13300	38211	\N	\N	\N
758192	2585	1995-01-01	VYDAJ	VYBER	14200	38349	\N	\N	\N
758193	2585	1995-01-31	VYDAJ	VYBER	13100	29950	\N	\N	\N
758194	2585	1995-03-02	VYDAJ	VYBER	12700	32362	\N	\N	\N
758195	2585	1995-04-01	VYDAJ	VYBER	14300	33203	\N	\N	\N
758196	2585	1995-05-01	VYDAJ	VYBER	14700	33650	\N	\N	\N
758197	2585	1995-05-31	VYDAJ	VYBER	9200	34300	\N	\N	\N
758198	2585	1995-06-30	VYDAJ	VYBER	500	15257	\N	\N	\N
758199	2585	1995-07-30	VYDAJ	VYBER	6400	23820	\N	\N	\N
758200	2585	1995-08-29	VYDAJ	VYBER	10700	24893	\N	\N	\N
758201	2585	1995-09-28	VYDAJ	VYBER	13400	25245	\N	\N	\N
758202	2585	1995-10-28	VYDAJ	VYBER	14500	25824	\N	\N	\N
758203	2585	1995-11-27	VYDAJ	VYBER	12100	25417	\N	\N	\N
758204	2585	1995-12-27	VYDAJ	VYBER	13900	34074	\N	\N	\N
758205	2585	1996-01-26	VYDAJ	VYBER	11700	22951	\N	\N	\N
758206	2585	1996-02-25	VYDAJ	VYBER	11800	23359	\N	\N	\N
758207	2585	1996-03-26	VYDAJ	VYBER	7100	24330	\N	\N	\N
758208	2585	1996-04-25	VYDAJ	VYBER	13500	25877	\N	\N	\N
758209	2585	1996-05-25	VYDAJ	VYBER	12700	28226	\N	\N	\N
758210	2585	1996-06-24	VYDAJ	VYBER	17100	24063	\N	\N	\N
758211	2585	1996-07-24	VYDAJ	VYBER	13000	26142	\N	\N	\N
758212	2585	1996-08-23	VYDAJ	VYBER	17600	23591	\N	\N	\N
758213	2585	1996-09-22	VYDAJ	VYBER	19300	19343	\N	\N	\N
758214	2585	1996-10-22	VYDAJ	VYBER	17500	16881	\N	\N	\N
758215	2585	1996-11-21	VYDAJ	VYBER	15000	11144	\N	\N	\N
758216	2585	1996-12-21	VYDAJ	VYBER	17000	14597	\N	\N	\N
758217	2585	1997-01-20	VYDAJ	VYBER	10300	11504	\N	\N	\N
758218	2585	1997-02-19	VYDAJ	VYBER	14300	10166	\N	\N	\N
758219	2585	1997-03-21	VYDAJ	VYBER	12500	12652	\N	\N	\N
758220	2585	1997-04-20	VYDAJ	VYBER	13700	13943	\N	\N	\N
758221	2585	1997-05-20	VYDAJ	VYBER	16700	12243	\N	\N	\N
758222	2585	1997-06-19	VYDAJ	VYBER	20300	6104	\N	\N	\N
758223	2585	1997-07-19	VYDAJ	VYBER	18100	3001	\N	\N	\N
758224	2585	1997-08-18	VYDAJ	VYBER	15900	2065	\N	\N	\N
758225	2585	1997-09-17	VYDAJ	VYBER	15500	1520	\N	\N	\N
758226	2585	1997-10-17	VYDAJ	VYBER	14100	2372	\N	\N	\N
758227	2585	1997-11-16	VYDAJ	VYBER	9900	7424	\N	\N	\N
758228	2585	1997-12-16	VYDAJ	VYBER	12100	15125	\N	\N	\N
758229	2585	1998-01-15	VYDAJ	VYBER	15700	4003	\N	\N	\N
758230	2585	1998-02-14	VYDAJ	VYBER	16500	1034	\N	\N	\N
758231	2585	1998-03-16	VYDAJ	VYBER	16800	-817	\N	\N	\N
758232	2585	1998-04-15	VYDAJ	VYBER	17600	-3466	\N	\N	\N
758233	2585	1998-05-15	VYDAJ	VYBER	13200	-1740	\N	\N	\N
758234	2585	1998-06-14	VYDAJ	VYBER	15400	5265	\N	\N	\N
758235	2585	1998-07-14	VYDAJ	VYBER	16000	4208	\N	\N	\N
758236	2585	1998-08-13	VYDAJ	VYBER	15500	3669	\N	\N	\N
758237	2585	1998-09-12	VYDAJ	VYBER	2500	1201	\N	\N	\N
758238	2585	1998-10-12	VYDAJ	VYBER	8700	7489	\N	\N	\N
758239	2585	1998-11-11	VYDAJ	VYBER	16100	6414	\N	\N	\N
758240	2585	1998-12-11	VYDAJ	VYBER	11000	8846	\N	\N	\N
758317	2586	1997-04-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
758318	2586	1997-07-03	PRIJEM	VKLAD	18383	55486	\N	\N	\N
758319	2586	1997-06-15	PRIJEM	VKLAD	24333	49971	\N	\N	\N
758321	2586	1997-09-09	PRIJEM	VKLAD	35193	69921	\N	\N	\N
758322	2586	1997-05-02	PRIJEM	VKLAD	19083	20083	\N	\N	\N
758324	2586	1997-09-14	PRIJEM	VKLAD	12226	64547	\N	\N	\N
758325	2586	1997-09-30	PRIJEM	VKLAD	14166	78945	\N	\N	\N
758326	2586	1998-03-29	PRIJEM	VKLAD	10851	44659	\N	\N	\N
758327	2586	1998-05-07	PRIJEM	VKLAD	48106	97271	\N	\N	\N
758328	2586	1998-05-14	PRIJEM	VKLAD	26578	124448	\N	\N	\N
758329	2586	1998-05-12	PRIJEM	VKLAD	18899	97870	\N	\N	\N
758330	2586	1998-06-10	PRIJEM	VKLAD	26962	99564	\N	\N	\N
758331	2586	1998-07-30	PRIJEM	VKLAD	6644	47364	\N	\N	\N
758332	2586	1998-04-22	PRIJEM	VKLAD	45272	85137	\N	\N	\N
758333	2586	1998-09-20	PRIJEM	VKLAD	23890	99021	\N	\N	\N
758334	2586	1998-08-16	PRIJEM	VKLAD	42576	88368	\N	\N	\N
758335	2586	1998-11-02	PRIJEM	VKLAD	18369	103688	\N	\N	\N
758336	2586	1998-12-11	PRIJEM	VKLAD	26567	90191	\N	\N	\N
758337	2586	1998-01-02	PRIJEM	VKLAD	42443	82443	\N	\N	\N
758338	2586	1998-01-13	PRIJEM	VKLAD	46642	105385	\N	\N	\N
758339	2586	1998-04-07	PRIJEM	VKLAD	28812	51415	\N	\N	\N
758340	2586	1998-06-18	PRIJEM	VKLAD	20231	77618	\N	\N	\N
758341	2586	1998-11-06	PRIJEM	VKLAD	27468	131156	\N	\N	\N
758342	2586	1998-06-02	PRIJEM	VKLAD	20372	86402	\N	\N	\N
758343	2586	1998-08-16	PRIJEM	VKLAD	48894	137262	\N	\N	\N
758344	2586	1998-10-21	PRIJEM	VKLAD	34546	127545	\N	\N	\N
758345	2586	1998-10-15	PRIJEM	VKLAD	8520	92999	\N	\N	\N
758348	2586	1998-06-12	VYBER	VYBER	19177	59787	\N	\N	\N
758349	2586	1998-08-03	VYBER	VYBER	20321	27192	\N	\N	\N
758350	2586	1998-07-09	VYBER	VYBER	4616	21620	\N	\N	\N
758351	2586	1998-03-09	VYBER	VYBER	8731	18408	\N	\N	\N
758352	2586	1998-02-25	VYBER	VYBER	9428	27051	\N	\N	\N
758353	2586	1998-04-03	VYBER	VYBER	22177	22603	\N	\N	\N
758354	2586	1998-04-29	VYBER	VYBER	22687	48950	\N	\N	\N
758355	2586	1998-10-22	VYBER	VYBER	22702	84943	\N	\N	\N
758356	2586	1998-04-15	VYBER	VYBER	16150	39865	\N	\N	\N
758359	2586	1998-06-19	VYDAJ	VYBER	41700	35918	\N	\N	\N
758361	2586	1998-01-26	VYDAJ	VYBER	21300	25985	\N	\N	\N
758362	2586	1997-12-10	VYDAJ	VYBER	6300	27757	\N	\N	\N
758363	2586	1998-12-12	VYDAJ	VYBER	7500	82691	\N	\N	\N
758370	2586	1998-01-28	VYDAJ	VYBER	1800	24185	\N	\N	\N
758371	2586	1998-01-18	VYDAJ	VYBER	3000	55685	\N	\N	\N
758372	2586	1998-01-12	VYDAJ	VYBER	6600	58743	\N	\N	\N
758373	2586	1998-01-09	VYDAJ	VYBER	2400	80043	\N	\N	\N
758374	2586	1998-01-15	VYDAJ	VYBER	6300	58685	\N	\N	\N
758375	2586	1998-01-22	VYDAJ	VYBER	8400	47285	\N	\N	\N
758380	2586	1997-10-18	VYDAJ	VYBER	11700	49731	\N	\N	\N
758381	2586	1997-11-19	VYDAJ	VYBER	12600	33890	\N	\N	\N
758382	2586	1998-06-07	VYDAJ	VYBER	13800	72602	\N	\N	\N
758383	2586	1998-07-02	VYDAJ	VYBER	9900	26236	\N	\N	\N
758384	2586	1998-06-17	VYDAJ	VYBER	2400	57387	\N	\N	\N
758385	2586	1998-04-28	VYDAJ	VYBER	13500	71637	\N	\N	\N
758395	2586	1997-09-30	VYDAJ	VYBER	15	78931	SLUZBY	\N	\N
758396	2586	1997-10-31	VYDAJ	VYBER	15	49990	SLUZBY	\N	\N
758397	2586	1997-11-30	VYDAJ	VYBER	15	34057	SLUZBY	\N	\N
758398	2586	1997-12-31	VYDAJ	VYBER	15	40000	SLUZBY	\N	\N
758399	2586	1998-01-31	VYDAJ	VYBER	15	24379	SLUZBY	\N	\N
758400	2586	1998-02-28	VYDAJ	VYBER	15	27139	SLUZBY	\N	\N
758401	2586	1998-03-31	VYDAJ	VYBER	15	44780	SLUZBY	\N	\N
758402	2586	1998-04-30	VYDAJ	VYBER	15	49165	SLUZBY	\N	\N
758403	2586	1998-05-31	VYDAJ	VYBER	15	66030	SLUZBY	\N	\N
758404	2586	1998-06-30	VYDAJ	VYBER	15	36136	SLUZBY	\N	\N
758405	2586	1998-07-31	VYDAJ	VYBER	15	47513	SLUZBY	\N	\N
758406	2586	1998-08-31	VYDAJ	VYBER	15	84131	SLUZBY	\N	\N
758407	2586	1998-09-30	VYDAJ	VYBER	15	99379	SLUZBY	\N	\N
758408	2586	1998-10-31	VYDAJ	VYBER	15	85319	SLUZBY	\N	\N
758409	2586	1998-11-30	VYDAJ	VYBER	15	64524	SLUZBY	\N	\N
758410	2586	1997-05-16	PRIJEM	VKLAD	5500	25583	\N	\N	\N
758411	2586	1997-06-15	VYDAJ	VYBER	13000	36971	\N	\N	\N
758412	2586	1997-07-15	VYDAJ	VYBER	13200	42286	\N	\N	\N
758413	2586	1997-08-14	VYDAJ	VYBER	7900	34552	\N	\N	\N
758414	2586	1997-09-13	VYDAJ	VYBER	17600	52321	\N	\N	\N
758415	2586	1997-10-13	VYDAJ	VYBER	17500	61431	\N	\N	\N
758416	2586	1997-11-12	VYDAJ	VYBER	3500	46490	\N	\N	\N
758417	2586	1997-12-12	PRIJEM	VKLAD	12100	39857	\N	\N	\N
758418	2586	1998-01-11	VYDAJ	VYBER	14700	65343	\N	\N	\N
758419	2586	1998-01-13	VYDAJ	VYBER	40400	64985	\N	\N	\N
758420	2586	1998-02-10	PRIJEM	VKLAD	12100	36479	\N	\N	\N
758421	2586	1998-03-12	PRIJEM	VKLAD	15400	33808	\N	\N	\N
758422	2586	1998-04-11	PRIJEM	VKLAD	4600	56015	\N	\N	\N
758423	2586	1998-05-11	VYDAJ	VYBER	18300	78971	\N	\N	\N
758424	2586	1998-05-14	VYDAJ	VYBER	58800	65648	\N	\N	\N
758425	2586	1998-06-10	VYDAJ	VYBER	20600	78964	\N	\N	\N
758426	2586	1998-07-10	PRIJEM	VKLAD	19100	40720	\N	\N	\N
758427	2586	1998-08-09	PRIJEM	VKLAD	18600	45792	\N	\N	\N
758428	2586	1998-08-16	VYDAJ	VYBER	22100	115162	\N	\N	\N
758429	2586	1998-08-31	VYDAJ	VYBER	31300	84145	\N	\N	\N
758430	2586	1998-09-08	VYDAJ	VYBER	9000	75131	\N	\N	\N
758431	2586	1998-10-08	VYDAJ	VYBER	14900	84479	\N	\N	\N
758432	2586	1998-10-21	VYDAJ	VYBER	19900	107645	\N	\N	\N
758433	2586	1998-11-06	VYDAJ	VYBER	61900	69256	\N	\N	\N
758434	2586	1998-11-07	VYDAJ	VYBER	5000	64256	\N	\N	\N
758435	2586	1998-12-07	VYDAJ	VYBER	900	63624	\N	\N	\N
758456	2587	1997-07-25	PRIJEM	VKLAD	600	600	\N	\N	\N
758464	2587	1997-08-08	PRIJEM	VKLAD	8838	9438	\N	\N	\N
758465	2587	1997-09-08	PRIJEM	VKLAD	8838	24793	\N	\N	\N
758466	2587	1997-10-08	PRIJEM	VKLAD	8838	33507	\N	\N	\N
758467	2587	1997-11-08	PRIJEM	VKLAD	8838	33948	\N	\N	\N
758468	2587	1997-12-08	PRIJEM	VKLAD	13257	40412	\N	\N	\N
758469	2587	1998-01-08	PRIJEM	VKLAD	8838	35467	\N	\N	\N
758470	2587	1998-02-08	PRIJEM	VKLAD	8838	29606	\N	\N	\N
758471	2587	1998-03-08	PRIJEM	VKLAD	8838	29321	\N	\N	\N
758472	2587	1998-04-08	PRIJEM	VKLAD	8838	27928	\N	\N	\N
758473	2587	1998-05-08	PRIJEM	VKLAD	8838	25629	\N	\N	\N
758474	2587	1998-06-08	PRIJEM	VKLAD	13257	28238	\N	\N	\N
758475	2587	1998-07-08	PRIJEM	VKLAD	8838	8506	\N	\N	\N
758476	2587	1998-08-08	PRIJEM	VKLAD	8838	14155	\N	\N	\N
758477	2587	1998-09-08	PRIJEM	VKLAD	8838	8702	\N	\N	\N
758478	2587	1998-10-08	PRIJEM	VKLAD	8838	13048	\N	\N	\N
758479	2587	1998-11-08	PRIJEM	VKLAD	8838	9983	\N	\N	\N
758480	2587	1998-12-08	PRIJEM	VKLAD	13257	14433	\N	\N	\N
758482	2587	1998-06-20	VYDAJ	VYBER	24200	3438	\N	\N	\N
758484	2587	1998-01-20	VYDAJ	VYBER	3000	26567	\N	\N	\N
758486	2587	1998-12-05	VYDAJ	VYBER	1400	1176	\N	\N	\N
758493	2587	1998-01-01	VYDAJ	VYBER	1500	26629	\N	\N	\N
758494	2587	1998-01-15	VYDAJ	VYBER	1000	33267	\N	\N	\N
758495	2587	1998-01-15	VYDAJ	VYBER	1200	34267	\N	\N	\N
758496	2587	1998-01-20	VYDAJ	VYBER	1800	24767	\N	\N	\N
758497	2587	1998-01-19	VYDAJ	VYBER	2200	29567	\N	\N	\N
758498	2587	1998-01-17	VYDAJ	VYBER	1500	31767	\N	\N	\N
758499	2587	1997-12-10	VYDAJ	VYBER	2100	38312	\N	\N	\N
758505	2587	1998-09-02	VYDAJ	VYBER	3500	-136	\N	\N	\N
758506	2587	1998-07-06	VYDAJ	VYBER	3800	-332	\N	\N	\N
758507	2587	1998-04-20	VYDAJ	VYBER	1600	26328	\N	\N	\N
758508	2587	1998-02-12	VYDAJ	VYBER	4300	25306	\N	\N	\N
758509	2587	1998-08-30	VYDAJ	VYBER	3100	3355	\N	\N	\N
758522	2587	1997-12-31	VYDAJ	VYBER	15	28129	SLUZBY	\N	\N
758523	2587	1998-01-31	VYDAJ	VYBER	15	20768	SLUZBY	\N	\N
758524	2587	1998-02-28	VYDAJ	VYBER	15	20483	SLUZBY	\N	\N
758525	2587	1998-03-31	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
758526	2587	1998-04-30	VYDAJ	VYBER	15	16791	SLUZBY	\N	\N
758527	2587	1998-05-31	VYDAJ	VYBER	15	14981	SLUZBY	\N	\N
758528	2587	1998-06-30	VYDAJ	VYBER	15	3468	SLUZBY	\N	\N
758529	2587	1998-07-31	VYDAJ	VYBER	15	5317	SLUZBY	\N	\N
758530	2587	1998-08-31	VYDAJ	VYBER	15	3364	SLUZBY	\N	\N
758531	2587	1998-09-30	VYDAJ	VYBER	15	4210	SLUZBY	\N	\N
758532	2587	1998-10-31	VYDAJ	VYBER	15	1145	SLUZBY	\N	\N
758533	2587	1998-11-30	VYDAJ	VYBER	15	2576	SLUZBY	\N	\N
758534	2587	1997-08-24	PRIJEM	VKLAD	6500	15938	\N	\N	\N
758535	2587	1997-09-23	VYDAJ	VYBER	200	24593	\N	\N	\N
758536	2587	1997-10-23	VYDAJ	VYBER	8500	25007	\N	\N	\N
758537	2587	1997-11-22	VYDAJ	VYBER	6900	27048	\N	\N	\N
758538	2587	1997-12-22	VYDAJ	VYBER	10300	28012	\N	\N	\N
758539	2587	1998-01-21	VYDAJ	VYBER	4100	20667	\N	\N	\N
758540	2587	1998-02-20	VYDAJ	VYBER	4900	20406	\N	\N	\N
758541	2587	1998-03-22	VYDAJ	VYBER	10300	19021	\N	\N	\N
758542	2587	1998-04-21	VYDAJ	VYBER	9600	16728	\N	\N	\N
758543	2587	1998-05-21	VYDAJ	VYBER	10700	14929	\N	\N	\N
758544	2587	1998-06-20	VYDAJ	VYBER	600	27638	\N	\N	\N
758545	2587	1998-07-20	VYDAJ	VYBER	3200	5306	\N	\N	\N
758546	2587	1998-08-19	VYDAJ	VYBER	7700	6455	\N	\N	\N
758547	2587	1998-09-18	VYDAJ	VYBER	4500	4202	\N	\N	\N
758548	2587	1998-10-18	VYDAJ	VYBER	11900	1148	\N	\N	\N
758549	2587	1998-11-17	VYDAJ	VYBER	7400	2583	\N	\N	\N
758567	2588	1993-12-04	PRIJEM	VKLAD	200	200	\N	\N	\N
758579	2588	1993-12-05	PRIJEM	VKLAD	26297	26497	\N	\N	\N
758580	2588	1994-01-05	PRIJEM	VKLAD	17531	43824	\N	\N	\N
758581	2588	1994-02-05	PRIJEM	VKLAD	17531	52528	\N	\N	\N
758582	2588	1994-03-05	PRIJEM	VKLAD	17531	56573	\N	\N	\N
758583	2588	1994-04-05	PRIJEM	VKLAD	17531	59837	\N	\N	\N
758584	2588	1994-05-05	PRIJEM	VKLAD	17531	58671	\N	\N	\N
758585	2588	1994-06-05	PRIJEM	VKLAD	26297	60457	\N	\N	\N
758586	2588	1994-07-05	PRIJEM	VKLAD	17531	55689	\N	\N	\N
758587	2588	1994-08-05	PRIJEM	VKLAD	17531	55605	\N	\N	\N
758588	2588	1994-09-05	PRIJEM	VKLAD	17531	55914	\N	\N	\N
758589	2588	1994-10-05	PRIJEM	VKLAD	17531	55015	\N	\N	\N
758590	2588	1994-11-05	PRIJEM	VKLAD	17531	52310	\N	\N	\N
758591	2588	1994-12-05	PRIJEM	VKLAD	26297	63060	\N	\N	\N
758592	2588	1995-01-05	PRIJEM	VKLAD	17531	59876	\N	\N	\N
758593	2588	1995-02-05	PRIJEM	VKLAD	17531	41668	\N	\N	\N
758594	2588	1995-03-05	PRIJEM	VKLAD	17531	43993	\N	\N	\N
758595	2588	1995-04-05	PRIJEM	VKLAD	17531	48243	\N	\N	\N
758596	2588	1995-05-05	PRIJEM	VKLAD	17531	50410	\N	\N	\N
758597	2588	1995-06-05	PRIJEM	VKLAD	26297	60149	\N	\N	\N
758598	2588	1995-07-05	PRIJEM	VKLAD	17531	44215	\N	\N	\N
758599	2588	1995-08-05	PRIJEM	VKLAD	17531	47464	\N	\N	\N
758600	2588	1995-09-05	PRIJEM	VKLAD	17531	50624	\N	\N	\N
758601	2588	1995-10-05	PRIJEM	VKLAD	17531	50239	\N	\N	\N
758602	2588	1995-11-05	PRIJEM	VKLAD	17531	52809	\N	\N	\N
758603	2588	1995-12-05	PRIJEM	VKLAD	26297	63154	\N	\N	\N
758604	2588	1996-01-05	PRIJEM	VKLAD	17531	54497	\N	\N	\N
758605	2588	1996-02-05	PRIJEM	VKLAD	17531	42474	\N	\N	\N
758606	2588	1996-03-05	PRIJEM	VKLAD	17531	45672	\N	\N	\N
758607	2588	1996-04-05	PRIJEM	VKLAD	17531	52225	\N	\N	\N
758608	2588	1996-05-05	PRIJEM	VKLAD	17531	53499	\N	\N	\N
758609	2588	1996-06-05	PRIJEM	VKLAD	26297	62599	\N	\N	\N
758610	2588	1996-07-05	PRIJEM	VKLAD	17531	51739	\N	\N	\N
758611	2588	1996-08-05	PRIJEM	VKLAD	17531	50604	\N	\N	\N
758612	2588	1996-09-05	PRIJEM	VKLAD	17531	51667	\N	\N	\N
758613	2588	1996-10-05	PRIJEM	VKLAD	17531	49628	\N	\N	\N
758614	2588	1996-11-05	PRIJEM	VKLAD	17531	51487	\N	\N	\N
758615	2588	1996-12-05	PRIJEM	VKLAD	26297	58812	\N	\N	\N
758616	2588	1997-01-05	PRIJEM	VKLAD	17531	53050	\N	\N	\N
758617	2588	1997-02-05	PRIJEM	VKLAD	17531	49898	\N	\N	\N
758618	2588	1997-03-05	PRIJEM	VKLAD	17531	57165	\N	\N	\N
758619	2588	1997-04-05	PRIJEM	VKLAD	17531	60856	\N	\N	\N
758620	2588	1997-05-05	PRIJEM	VKLAD	17531	54870	\N	\N	\N
758621	2588	1997-06-05	PRIJEM	VKLAD	26297	54809	\N	\N	\N
758622	2588	1997-07-05	PRIJEM	VKLAD	17531	59298	\N	\N	\N
758623	2588	1997-08-05	PRIJEM	VKLAD	17531	59509	\N	\N	\N
758624	2588	1997-09-05	PRIJEM	VKLAD	17531	60902	\N	\N	\N
758625	2588	1997-10-05	PRIJEM	VKLAD	17531	60397	\N	\N	\N
758626	2588	1997-11-05	PRIJEM	VKLAD	17531	58510	\N	\N	\N
758627	2588	1997-12-05	PRIJEM	VKLAD	26297	66879	\N	\N	\N
758628	2588	1998-01-05	PRIJEM	VKLAD	17531	57849	\N	\N	\N
758629	2588	1998-02-05	PRIJEM	VKLAD	17531	39938	\N	\N	\N
758630	2588	1998-03-05	PRIJEM	VKLAD	17531	54278	\N	\N	\N
758631	2588	1998-04-05	PRIJEM	VKLAD	17531	60257	\N	\N	\N
758632	2588	1998-05-05	PRIJEM	VKLAD	17531	64656	\N	\N	\N
758633	2588	1998-06-05	PRIJEM	VKLAD	26297	71669	\N	\N	\N
758634	2588	1998-07-05	PRIJEM	VKLAD	17531	54074	\N	\N	\N
758635	2588	1998-08-05	PRIJEM	VKLAD	17531	64973	\N	\N	\N
758636	2588	1998-09-05	PRIJEM	VKLAD	17531	67985	\N	\N	\N
758637	2588	1998-10-05	PRIJEM	VKLAD	17531	70607	\N	\N	\N
758638	2588	1998-11-05	PRIJEM	VKLAD	17531	73741	\N	\N	\N
758639	2588	1998-12-05	PRIJEM	VKLAD	26297	82462	\N	\N	\N
758655	2588	1994-04-08	VYDAJ	PREVOD NA UCET	6509	53328	SIPO	MN	69929891
758656	2588	1994-05-08	VYDAJ	PREVOD NA UCET	6509	52162	SIPO	MN	69929891
758657	2588	1994-06-08	VYDAJ	PREVOD NA UCET	6509	53948	SIPO	MN	69929891
758658	2588	1994-07-08	VYDAJ	PREVOD NA UCET	6509	49180	SIPO	MN	69929891
758659	2588	1994-08-08	VYDAJ	PREVOD NA UCET	6509	49096	SIPO	MN	69929891
758660	2588	1994-09-08	VYDAJ	PREVOD NA UCET	6509	49405	SIPO	MN	69929891
758661	2588	1994-10-08	VYDAJ	PREVOD NA UCET	6509	48506	SIPO	MN	69929891
758662	2588	1994-11-08	VYDAJ	PREVOD NA UCET	6509	45801	SIPO	MN	69929891
758663	2588	1994-12-08	VYDAJ	PREVOD NA UCET	6509	56551	SIPO	MN	69929891
758664	2588	1995-01-08	VYDAJ	PREVOD NA UCET	6509	53367	SIPO	MN	69929891
758665	2588	1995-02-08	VYDAJ	PREVOD NA UCET	6509	35159	SIPO	MN	69929891
758666	2588	1995-03-08	VYDAJ	PREVOD NA UCET	6509	37484	SIPO	MN	69929891
758667	2588	1995-04-08	VYDAJ	PREVOD NA UCET	6509	41734	SIPO	MN	69929891
758668	2588	1995-05-08	VYDAJ	PREVOD NA UCET	6509	43901	SIPO	MN	69929891
758669	2588	1995-06-08	VYDAJ	PREVOD NA UCET	6509	53640	SIPO	MN	69929891
758670	2588	1995-07-08	VYDAJ	PREVOD NA UCET	6509	37706	SIPO	MN	69929891
758671	2588	1995-08-08	VYDAJ	PREVOD NA UCET	6509	40955	SIPO	MN	69929891
758672	2588	1995-09-08	VYDAJ	PREVOD NA UCET	6509	43155	SIPO	MN	69929891
758673	2588	1995-10-08	VYDAJ	PREVOD NA UCET	6509	43730	SIPO	MN	69929891
758674	2588	1995-11-08	VYDAJ	PREVOD NA UCET	6509	46300	SIPO	MN	69929891
758675	2588	1995-12-08	VYDAJ	PREVOD NA UCET	6509	56645	SIPO	MN	69929891
758676	2588	1996-01-08	VYDAJ	PREVOD NA UCET	6509	47988	SIPO	MN	69929891
758677	2588	1996-02-08	VYDAJ	PREVOD NA UCET	6509	35965	SIPO	MN	69929891
758678	2588	1996-03-08	VYDAJ	PREVOD NA UCET	6509	39163	SIPO	MN	69929891
758679	2588	1996-04-08	VYDAJ	PREVOD NA UCET	6509	45716	SIPO	MN	69929891
758680	2588	1996-05-08	VYDAJ	PREVOD NA UCET	6509	46990	SIPO	MN	69929891
758681	2588	1996-06-08	VYDAJ	PREVOD NA UCET	6509	38970	SIPO	MN	69929891
758682	2588	1996-07-08	VYDAJ	PREVOD NA UCET	6509	45230	SIPO	MN	69929891
758683	2588	1996-08-08	VYDAJ	PREVOD NA UCET	6509	44095	SIPO	MN	69929891
758684	2588	1996-09-08	VYDAJ	PREVOD NA UCET	6509	45158	SIPO	MN	69929891
758685	2588	1996-10-08	VYDAJ	PREVOD NA UCET	6509	43119	SIPO	MN	69929891
758686	2588	1996-11-08	VYDAJ	PREVOD NA UCET	6509	44978	SIPO	MN	69929891
758687	2588	1996-12-08	VYDAJ	PREVOD NA UCET	6509	52303	SIPO	MN	69929891
758688	2588	1997-01-08	VYDAJ	PREVOD NA UCET	6509	46541	SIPO	MN	69929891
758689	2588	1997-02-08	VYDAJ	PREVOD NA UCET	6509	43389	SIPO	MN	69929891
758690	2588	1997-03-08	VYDAJ	PREVOD NA UCET	6509	50656	SIPO	MN	69929891
758691	2588	1997-04-08	VYDAJ	PREVOD NA UCET	6509	54347	SIPO	MN	69929891
758692	2588	1997-05-08	VYDAJ	PREVOD NA UCET	6509	48361	SIPO	MN	69929891
758693	2588	1997-06-08	VYDAJ	PREVOD NA UCET	6509	48300	SIPO	MN	69929891
758694	2588	1997-07-08	VYDAJ	PREVOD NA UCET	6509	52789	SIPO	MN	69929891
758695	2588	1997-08-08	VYDAJ	PREVOD NA UCET	6509	53000	SIPO	MN	69929891
758696	2588	1997-09-08	VYDAJ	PREVOD NA UCET	6509	54393	SIPO	MN	69929891
758697	2588	1997-10-08	VYDAJ	PREVOD NA UCET	6509	53888	SIPO	MN	69929891
758698	2588	1997-11-08	VYDAJ	PREVOD NA UCET	6509	52001	SIPO	MN	69929891
758699	2588	1997-12-08	VYDAJ	PREVOD NA UCET	6509	60370	SIPO	MN	69929891
758700	2588	1998-01-08	VYDAJ	PREVOD NA UCET	6509	51340	SIPO	MN	69929891
758701	2588	1998-02-08	VYDAJ	PREVOD NA UCET	6509	33429	SIPO	MN	69929891
758702	2588	1998-03-08	VYDAJ	PREVOD NA UCET	6509	47769	SIPO	MN	69929891
758703	2588	1998-04-08	VYDAJ	PREVOD NA UCET	6509	53748	SIPO	MN	69929891
758704	2588	1998-05-08	VYDAJ	PREVOD NA UCET	6509	58147	SIPO	MN	69929891
758705	2588	1998-06-08	VYDAJ	PREVOD NA UCET	6509	65160	SIPO	MN	69929891
758706	2588	1998-07-08	VYDAJ	PREVOD NA UCET	6509	47565	SIPO	MN	69929891
758707	2588	1998-08-08	VYDAJ	PREVOD NA UCET	6509	58464	SIPO	MN	69929891
758708	2588	1998-09-08	VYDAJ	PREVOD NA UCET	6509	61476	SIPO	MN	69929891
758709	2588	1998-10-08	VYDAJ	PREVOD NA UCET	6509	64098	SIPO	MN	69929891
758710	2588	1998-11-08	VYDAJ	PREVOD NA UCET	6509	55932	SIPO	MN	69929891
758711	2588	1998-12-08	VYDAJ	PREVOD NA UCET	6509	60153	SIPO	MN	69929891
758714	2588	1995-06-12	VYDAJ	VYBER	22560	31080	\N	\N	\N
758715	2588	1996-06-07	VYDAJ	VYBER	17120	45479	\N	\N	\N
758716	2588	1997-06-04	VYDAJ	VYBER	8800	28513	\N	\N	\N
758717	2588	1998-06-29	VYDAJ	VYBER	11200	39460	\N	\N	\N
758720	2588	1995-01-14	VYDAJ	VYBER	15680	34567	\N	\N	\N
758721	2588	1996-01-23	VYDAJ	VYBER	10080	26608	\N	\N	\N
758722	2588	1997-01-24	VYDAJ	VYBER	1600	33781	\N	\N	\N
758723	2588	1998-01-12	VYDAJ	VYBER	11520	37040	\N	\N	\N
758725	2588	1994-12-19	VYDAJ	VYBER	1600	54951	\N	\N	\N
758726	2588	1995-12-26	VYDAJ	VYBER	1760	36785	\N	\N	\N
758727	2588	1996-12-15	VYDAJ	VYBER	3680	48623	\N	\N	\N
758728	2588	1997-12-20	VYDAJ	VYBER	3520	40150	\N	\N	\N
758729	2588	1998-12-12	VYDAJ	VYBER KARTOU	2600	57553	\N	\N	0
758742	2588	1995-01-27	VYDAJ	VYBER	1920	29287	\N	\N	\N
758743	2588	1995-01-30	VYDAJ	VYBER	1200	23967	\N	\N	\N
758744	2588	1995-01-14	VYDAJ	VYBER	1560	50247	\N	\N	\N
758745	2588	1995-01-28	VYDAJ	VYBER	720	28567	\N	\N	\N
758746	2588	1995-01-11	VYDAJ	VYBER	1560	51807	\N	\N	\N
758747	2588	1995-01-26	VYDAJ	VYBER	3360	31207	\N	\N	\N
758748	2588	1996-01-26	VYDAJ	VYBER	720	24808	\N	\N	\N
758749	2588	1996-01-14	VYDAJ	VYBER	3000	39228	\N	\N	\N
758750	2588	1996-01-22	VYDAJ	VYBER	3240	35988	\N	\N	\N
758751	2588	1996-01-25	VYDAJ	VYBER	1080	25528	\N	\N	\N
758752	2588	1996-01-10	VYDAJ	VYBER	3000	42228	\N	\N	\N
758753	2588	1996-01-09	VYDAJ	VYBER	2760	45228	\N	\N	\N
758754	2588	1997-01-27	VYDAJ	VYBER	600	33181	\N	\N	\N
758755	2588	1997-01-13	VYDAJ	VYBER	2160	41381	\N	\N	\N
758756	2588	1997-01-08	VYDAJ	VYBER	1440	45101	\N	\N	\N
758757	2588	1997-01-03	VYDAJ	VYBER	960	35519	\N	\N	\N
758758	2588	1997-01-12	VYDAJ	VYBER	1560	43541	\N	\N	\N
758759	2588	1997-01-29	VYDAJ	VYBER	960	32221	\N	\N	\N
758760	2588	1998-01-25	VYDAJ	VYBER	1560	24320	\N	\N	\N
758761	2588	1998-01-09	VYDAJ	VYBER	3480	47860	\N	\N	\N
758762	2588	1998-01-21	VYDAJ	VYBER	3240	29360	\N	\N	\N
758763	2588	1998-01-24	VYDAJ	VYBER	3480	25880	\N	\N	\N
758764	2588	1998-01-14	VYDAJ	VYBER	1200	35840	\N	\N	\N
758765	2588	1998-01-25	VYDAJ	VYBER	2040	22280	\N	\N	\N
758773	2588	1994-08-12	VYDAJ	VYBER	1200	47896	\N	\N	\N
758775	2588	1994-07-26	VYDAJ	VYBER	1800	47380	\N	\N	\N
758776	2588	1994-05-20	VYDAJ	VYBER	4800	47362	\N	\N	\N
758778	2588	1995-09-05	VYDAJ	VYBER	960	49664	\N	\N	\N
758779	2588	1995-02-26	VYDAJ	VYBER	2520	26759	\N	\N	\N
758780	2588	1995-02-11	VYDAJ	VYBER	5880	29279	\N	\N	\N
758781	2588	1995-06-17	VYDAJ	VYBER	1920	29160	\N	\N	\N
758782	2588	1996-05-12	VYDAJ	VYBER	2040	44950	\N	\N	\N
758783	2588	1996-02-26	VYDAJ	VYBER	3840	28025	\N	\N	\N
758784	2588	1996-12-18	VYDAJ	VYBER	3000	36323	\N	\N	\N
758785	2588	1996-07-14	VYDAJ	VYBER	600	44630	\N	\N	\N
758786	2588	1997-12-16	VYDAJ	VYBER	4800	43670	\N	\N	\N
758787	2588	1997-09-19	VYDAJ	VYBER	3000	42693	\N	\N	\N
758788	2588	1997-11-17	VYDAJ	VYBER	3480	40421	\N	\N	\N
758789	2588	1997-04-26	VYDAJ	VYBER	5280	37167	\N	\N	\N
758790	2588	1997-07-20	VYDAJ	VYBER	1680	41809	\N	\N	\N
758791	2588	1997-10-22	VYDAJ	VYBER	5880	40808	\N	\N	\N
758792	2588	1998-01-18	VYDAJ	VYBER	3240	32600	\N	\N	\N
758793	2588	1998-07-02	VYDAJ	VYBER	3120	36543	\N	\N	\N
758794	2588	1998-06-01	VYDAJ	VYBER	2760	45373	\N	\N	\N
758811	2588	1994-04-30	VYDAJ	VYBER	15	53540	SLUZBY	\N	\N
758812	2588	1994-05-31	VYDAJ	VYBER	15	47561	SLUZBY	\N	\N
758813	2588	1994-06-30	VYDAJ	VYBER	15	54158	SLUZBY	\N	\N
758814	2588	1994-07-31	VYDAJ	VYBER	15	47574	SLUZBY	\N	\N
758815	2588	1994-08-31	VYDAJ	VYBER	15	38383	SLUZBY	\N	\N
758816	2588	1994-09-30	VYDAJ	VYBER	15	37484	SLUZBY	\N	\N
758817	2588	1994-10-31	VYDAJ	VYBER	15	34779	SLUZBY	\N	\N
758818	2588	1994-11-30	VYDAJ	VYBER	15	36764	SLUZBY	\N	\N
758819	2588	1994-12-31	VYDAJ	VYBER	15	42345	SLUZBY	\N	\N
758820	2588	1995-01-31	VYDAJ	VYBER	15	24137	SLUZBY	\N	\N
758821	2588	1995-02-28	VYDAJ	VYBER	15	26462	SLUZBY	\N	\N
758822	2588	1995-03-31	VYDAJ	VYBER	15	30712	SLUZBY	\N	\N
758823	2588	1995-04-30	VYDAJ	VYBER	15	32879	SLUZBY	\N	\N
758824	2588	1995-05-31	VYDAJ	VYBER	15	33852	SLUZBY	\N	\N
758825	2588	1995-06-30	VYDAJ	VYBER	15	26684	SLUZBY	\N	\N
758826	2588	1995-07-31	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
758827	2588	1995-08-31	VYDAJ	VYBER	15	33093	SLUZBY	\N	\N
758828	2588	1995-09-30	VYDAJ	VYBER	15	32708	SLUZBY	\N	\N
758829	2588	1995-10-31	VYDAJ	VYBER	15	35278	SLUZBY	\N	\N
758830	2588	1995-11-30	VYDAJ	VYBER	15	36858	SLUZBY	\N	\N
758831	2588	1995-12-31	VYDAJ	VYBER	15	36966	SLUZBY	\N	\N
758832	2588	1996-01-31	VYDAJ	VYBER	15	24943	SLUZBY	\N	\N
758833	2588	1996-02-29	VYDAJ	VYBER	15	28141	SLUZBY	\N	\N
758834	2588	1996-03-31	VYDAJ	VYBER	15	34694	SLUZBY	\N	\N
758835	2588	1996-04-30	VYDAJ	VYBER	15	35968	SLUZBY	\N	\N
758836	2588	1996-05-31	VYDAJ	VYBER	15	36302	SLUZBY	\N	\N
758837	2588	1996-06-30	VYDAJ	VYBER	15	34208	SLUZBY	\N	\N
758838	2588	1996-07-31	VYDAJ	VYBER	15	33073	SLUZBY	\N	\N
758839	2588	1996-08-31	VYDAJ	VYBER	15	34136	SLUZBY	\N	\N
758840	2588	1996-09-30	VYDAJ	VYBER	15	32097	SLUZBY	\N	\N
758841	2588	1996-10-31	VYDAJ	VYBER	15	33956	SLUZBY	\N	\N
758842	2588	1996-11-30	VYDAJ	VYBER	15	32515	SLUZBY	\N	\N
758843	2588	1996-12-31	VYDAJ	VYBER	15	36479	SLUZBY	\N	\N
758844	2588	1997-01-31	VYDAJ	VYBER	15	32367	SLUZBY	\N	\N
758845	2588	1997-02-28	VYDAJ	VYBER	15	39634	SLUZBY	\N	\N
758846	2588	1997-03-31	VYDAJ	VYBER	15	43325	SLUZBY	\N	\N
758847	2588	1997-04-30	VYDAJ	VYBER	15	37339	SLUZBY	\N	\N
758848	2588	1997-05-31	VYDAJ	VYBER	15	37313	SLUZBY	\N	\N
758849	2588	1997-06-30	VYDAJ	VYBER	15	41767	SLUZBY	\N	\N
758850	2588	1997-07-31	VYDAJ	VYBER	15	41978	SLUZBY	\N	\N
758851	2588	1997-08-31	VYDAJ	VYBER	15	43371	SLUZBY	\N	\N
758852	2588	1997-09-30	VYDAJ	VYBER	15	42866	SLUZBY	\N	\N
758853	2588	1997-10-31	VYDAJ	VYBER	15	40979	SLUZBY	\N	\N
758854	2588	1997-11-30	VYDAJ	VYBER	15	40582	SLUZBY	\N	\N
758855	2588	1997-12-31	VYDAJ	VYBER	15	40318	SLUZBY	\N	\N
758856	2588	1998-01-31	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
758857	2588	1998-02-28	VYDAJ	VYBER	15	36747	SLUZBY	\N	\N
758858	2588	1998-03-31	VYDAJ	VYBER	15	42726	SLUZBY	\N	\N
758859	2588	1998-04-30	VYDAJ	VYBER	15	47125	SLUZBY	\N	\N
758860	2588	1998-05-31	VYDAJ	VYBER	15	48133	SLUZBY	\N	\N
758861	2588	1998-06-30	VYDAJ	VYBER	15	39663	SLUZBY	\N	\N
758862	2588	1998-07-31	VYDAJ	VYBER	15	47442	SLUZBY	\N	\N
758863	2588	1998-08-31	VYDAJ	VYBER	15	50454	SLUZBY	\N	\N
758864	2588	1998-09-30	VYDAJ	VYBER	15	53076	SLUZBY	\N	\N
758865	2588	1998-10-31	VYDAJ	VYBER	15	56210	SLUZBY	\N	\N
758866	2588	1998-11-30	VYDAJ	VYBER	15	56166	SLUZBY	\N	\N
758867	2588	1994-01-03	VYDAJ	VYBER	300	26293	\N	\N	\N
758868	2588	1994-02-02	VYDAJ	VYBER	9000	34997	\N	\N	\N
758869	2588	1994-03-04	VYDAJ	VYBER	13700	39042	\N	\N	\N
758870	2588	1994-04-03	VYDAJ	VYBER	14500	42306	\N	\N	\N
758871	2588	1994-05-03	VYDAJ	VYBER	12400	41140	\N	\N	\N
758872	2588	1994-06-02	VYDAJ	VYBER	13400	34161	\N	\N	\N
758873	2588	1994-07-02	VYDAJ	VYBER	16000	38158	\N	\N	\N
758874	2588	1994-08-01	VYDAJ	VYBER	9500	38074	\N	\N	\N
758875	2588	1994-08-31	VYDAJ	VYBER	9700	38397	\N	\N	\N
758876	2588	1994-09-30	VYDAJ	VYBER	12100	37498	\N	\N	\N
758877	2588	1994-10-30	VYDAJ	VYBER	13900	34606	\N	\N	\N
758878	2588	1994-11-29	VYDAJ	VYBER	9200	36601	\N	\N	\N
758879	2588	1994-12-29	VYDAJ	VYBER	12800	42151	\N	\N	\N
758880	2588	1995-01-28	VYDAJ	VYBER	3400	25167	\N	\N	\N
758881	2588	1995-02-27	VYDAJ	VYBER	400	26359	\N	\N	\N
758882	2588	1995-03-29	VYDAJ	VYBER	6900	30584	\N	\N	\N
758883	2588	1995-04-28	VYDAJ	VYBER	9000	32734	\N	\N	\N
758884	2588	1995-05-28	VYDAJ	VYBER	10200	33701	\N	\N	\N
758885	2588	1995-06-27	VYDAJ	VYBER	2600	26560	\N	\N	\N
758886	2588	1995-07-27	VYDAJ	VYBER	7900	29806	\N	\N	\N
758887	2588	1995-08-26	VYDAJ	VYBER	8000	32955	\N	\N	\N
758888	2588	1995-09-25	VYDAJ	VYBER	10600	32555	\N	\N	\N
758889	2588	1995-10-25	VYDAJ	VYBER	8600	35130	\N	\N	\N
758890	2588	1995-11-24	VYDAJ	VYBER	9600	36700	\N	\N	\N
758891	2588	1995-12-24	VYDAJ	VYBER	18100	38545	\N	\N	\N
758892	2588	1996-01-23	PRIJEM	VKLAD	700	36688	\N	\N	\N
758893	2588	1996-02-22	VYDAJ	VYBER	4100	31865	\N	\N	\N
758894	2588	1996-03-23	VYDAJ	VYBER	4600	34563	\N	\N	\N
758895	2588	1996-04-22	VYDAJ	VYBER	9900	35816	\N	\N	\N
758896	2588	1996-05-22	VYDAJ	VYBER	8800	36150	\N	\N	\N
758897	2588	1996-06-21	VYDAJ	VYBER	4900	34070	\N	\N	\N
758898	2588	1996-07-21	VYDAJ	VYBER	11700	32930	\N	\N	\N
758899	2588	1996-08-20	VYDAJ	VYBER	10100	33995	\N	\N	\N
758900	2588	1996-09-19	VYDAJ	VYBER	13200	31958	\N	\N	\N
758901	2588	1996-10-19	VYDAJ	VYBER	9300	33819	\N	\N	\N
758902	2588	1996-11-18	VYDAJ	VYBER	12600	32378	\N	\N	\N
758903	2588	1996-12-18	VYDAJ	VYBER	9300	39323	\N	\N	\N
758904	2588	1997-01-17	VYDAJ	VYBER	6000	35381	\N	\N	\N
758905	2588	1997-02-16	VYDAJ	VYBER	3900	39489	\N	\N	\N
758906	2588	1997-03-18	VYDAJ	VYBER	7500	43156	\N	\N	\N
758907	2588	1997-04-17	VYDAJ	VYBER	11900	42447	\N	\N	\N
758908	2588	1997-05-17	VYDAJ	VYBER	11200	37161	\N	\N	\N
758909	2588	1997-06-16	VYDAJ	VYBER	6700	41600	\N	\N	\N
758910	2588	1997-07-16	VYDAJ	VYBER	9300	43489	\N	\N	\N
758911	2588	1997-08-15	VYDAJ	VYBER	9800	43200	\N	\N	\N
758912	2588	1997-09-14	VYDAJ	VYBER	8700	45693	\N	\N	\N
758913	2588	1997-10-14	VYDAJ	VYBER	7200	46688	\N	\N	\N
758914	2588	1997-11-13	VYDAJ	VYBER	8100	43901	\N	\N	\N
758915	2588	1997-12-13	VYDAJ	VYBER	11900	48470	\N	\N	\N
758916	2588	1998-01-12	PRIJEM	VKLAD	700	48560	\N	\N	\N
758917	2588	1998-02-11	PRIJEM	VKLAD	3200	36629	\N	\N	\N
758918	2588	1998-03-13	VYDAJ	VYBER	5200	42569	\N	\N	\N
758919	2588	1998-04-12	VYDAJ	VYBER	6800	46948	\N	\N	\N
758920	2588	1998-05-12	VYDAJ	VYBER	10200	47947	\N	\N	\N
758921	2588	1998-06-11	VYDAJ	VYBER	14500	50660	\N	\N	\N
758922	2588	1998-07-11	VYDAJ	VYBER KARTOU	300	47265	\N	\N	0
758923	2588	1998-08-10	VYDAJ	VYBER	8200	50264	\N	\N	\N
758924	2588	1998-09-09	VYDAJ	VYBER	8600	52876	\N	\N	\N
758925	2588	1998-10-09	VYDAJ	VYBER	8100	55998	\N	\N	\N
758926	2588	1998-11-08	VYDAJ	VYBER	11300	62441	\N	\N	\N
758927	2588	1998-12-08	VYDAJ	VYBER	15800	66662	\N	\N	\N
758989	2589	1996-12-04	PRIJEM	VKLAD	700	700	\N	\N	\N
759001	2589	1996-12-11	PRIJEM	PREVOD Z UCTU	5541	6241	DUCHOD	MN	90687691
759002	2589	1997-01-11	PRIJEM	PREVOD Z UCTU	5541	11800	DUCHOD	MN	90687691
759003	2589	1997-02-11	PRIJEM	PREVOD Z UCTU	5541	17367	DUCHOD	MN	90687691
759004	2589	1997-03-11	PRIJEM	PREVOD Z UCTU	5541	22934	DUCHOD	MN	90687691
759005	2589	1997-04-11	PRIJEM	PREVOD Z UCTU	5541	24801	DUCHOD	MN	90687691
759006	2589	1997-05-11	PRIJEM	PREVOD Z UCTU	5541	19300	DUCHOD	MN	90687691
759007	2589	1997-06-11	PRIJEM	PREVOD Z UCTU	5541	17925	DUCHOD	MN	90687691
759008	2589	1997-07-11	PRIJEM	PREVOD Z UCTU	5541	16624	DUCHOD	MN	90687691
759009	2589	1997-08-11	PRIJEM	PREVOD Z UCTU	5541	15874	DUCHOD	MN	90687691
759010	2589	1997-09-11	PRIJEM	PREVOD Z UCTU	5541	17765	DUCHOD	MN	90687691
759011	2589	1997-10-11	PRIJEM	PREVOD Z UCTU	5541	18463	DUCHOD	MN	90687691
759012	2589	1997-11-11	PRIJEM	PREVOD Z UCTU	5541	17400	DUCHOD	MN	90687691
759013	2589	1997-12-11	PRIJEM	PREVOD Z UCTU	5541	16596	DUCHOD	MN	90687691
759014	2589	1998-01-11	PRIJEM	PREVOD Z UCTU	5541	16239	DUCHOD	MN	90687691
759015	2589	1998-02-11	PRIJEM	PREVOD Z UCTU	5541	15725	DUCHOD	MN	90687691
759016	2589	1998-03-11	PRIJEM	PREVOD Z UCTU	5541	17615	DUCHOD	MN	90687691
759017	2589	1998-04-11	PRIJEM	PREVOD Z UCTU	5541	15911	DUCHOD	MN	90687691
759018	2589	1998-05-11	PRIJEM	PREVOD Z UCTU	5541	17802	DUCHOD	MN	90687691
759019	2589	1998-06-11	PRIJEM	PREVOD Z UCTU	5541	14175	DUCHOD	MN	90687691
759020	2589	1998-07-11	PRIJEM	PREVOD Z UCTU	5541	13957	DUCHOD	MN	90687691
759021	2589	1998-08-11	PRIJEM	PREVOD Z UCTU	5541	15840	DUCHOD	MN	90687691
759022	2589	1998-09-11	PRIJEM	PREVOD Z UCTU	5541	17730	DUCHOD	MN	90687691
759023	2589	1998-10-11	PRIJEM	PREVOD Z UCTU	5541	19628	DUCHOD	MN	90687691
759024	2589	1998-11-11	PRIJEM	PREVOD Z UCTU	5541	21534	DUCHOD	MN	90687691
759025	2589	1998-12-11	PRIJEM	PREVOD Z UCTU	5541	16079	DUCHOD	MN	90687691
759042	2589	1997-05-09	VYDAJ	PREVOD NA UCET	2236	13759	SIPO	YZ	35212731
759043	2589	1997-06-09	VYDAJ	PREVOD NA UCET	2236	12384	SIPO	YZ	35212731
759044	2589	1997-07-09	VYDAJ	PREVOD NA UCET	2236	11083	SIPO	YZ	35212731
759045	2589	1997-08-09	VYDAJ	PREVOD NA UCET	2236	10333	SIPO	YZ	35212731
759046	2589	1997-09-09	VYDAJ	PREVOD NA UCET	2236	12224	SIPO	YZ	35212731
759047	2589	1997-10-09	VYDAJ	PREVOD NA UCET	2236	12922	SIPO	YZ	35212731
759048	2589	1997-11-09	VYDAJ	PREVOD NA UCET	2236	11859	SIPO	YZ	35212731
759049	2589	1997-12-09	VYDAJ	PREVOD NA UCET	2236	11055	SIPO	YZ	35212731
759050	2589	1998-01-09	VYDAJ	PREVOD NA UCET	2236	10698	SIPO	YZ	35212731
759051	2589	1998-02-09	VYDAJ	PREVOD NA UCET	2236	10184	SIPO	YZ	35212731
759052	2589	1998-03-09	VYDAJ	PREVOD NA UCET	2236	12074	SIPO	YZ	35212731
759053	2589	1998-04-09	VYDAJ	PREVOD NA UCET	2236	10370	SIPO	YZ	35212731
759054	2589	1998-05-09	VYDAJ	PREVOD NA UCET	2236	12261	SIPO	YZ	35212731
759055	2589	1998-06-09	VYDAJ	PREVOD NA UCET	2236	8634	SIPO	YZ	35212731
759056	2589	1998-07-09	VYDAJ	PREVOD NA UCET	2236	8416	SIPO	YZ	35212731
759057	2589	1998-08-09	VYDAJ	PREVOD NA UCET	2236	10299	SIPO	YZ	35212731
759058	2589	1998-09-09	VYDAJ	PREVOD NA UCET	2236	12189	SIPO	YZ	35212731
759059	2589	1998-10-09	VYDAJ	PREVOD NA UCET	2236	14087	SIPO	YZ	35212731
759060	2589	1998-11-09	VYDAJ	PREVOD NA UCET	2236	15993	SIPO	YZ	35212731
759061	2589	1998-12-09	VYDAJ	PREVOD NA UCET	2236	10538	SIPO	YZ	35212731
759077	2589	1997-04-14	VYDAJ	PREVOD NA UCET	1458	23343	 	AB	55523544
759078	2589	1997-05-14	VYDAJ	PREVOD NA UCET	1458	17842	 	AB	55523544
759079	2589	1997-06-14	VYDAJ	PREVOD NA UCET	1458	16467	 	AB	55523544
759080	2589	1997-07-14	VYDAJ	PREVOD NA UCET	1458	12526	 	AB	55523544
759081	2589	1997-08-14	VYDAJ	PREVOD NA UCET	1458	14416	 	AB	55523544
759082	2589	1997-09-14	VYDAJ	PREVOD NA UCET	1458	16307	 	AB	55523544
759083	2589	1997-10-14	VYDAJ	PREVOD NA UCET	1458	17005	 	AB	55523544
759084	2589	1997-11-14	VYDAJ	PREVOD NA UCET	1458	15942	 	AB	55523544
759085	2589	1997-12-14	VYDAJ	PREVOD NA UCET	1458	15138	 	AB	55523544
759086	2589	1998-01-14	VYDAJ	PREVOD NA UCET	1458	13981	 	AB	55523544
759087	2589	1998-02-14	VYDAJ	PREVOD NA UCET	1458	14267	 	AB	55523544
759088	2589	1998-03-14	VYDAJ	PREVOD NA UCET	1458	16157	 	AB	55523544
759089	2589	1998-04-14	VYDAJ	PREVOD NA UCET	1458	14453	 	AB	55523544
759090	2589	1998-05-14	VYDAJ	PREVOD NA UCET	1458	16344	 	AB	55523544
759091	2589	1998-06-14	VYDAJ	PREVOD NA UCET	1458	12717	 	AB	55523544
759092	2589	1998-07-14	VYDAJ	PREVOD NA UCET	1458	12499	 	AB	55523544
759093	2589	1998-08-14	VYDAJ	PREVOD NA UCET	1458	14382	 	AB	55523544
759094	2589	1998-09-14	VYDAJ	PREVOD NA UCET	1458	16272	 	AB	55523544
759095	2589	1998-10-14	VYDAJ	PREVOD NA UCET	1458	18170	 	AB	55523544
759096	2589	1998-11-14	VYDAJ	PREVOD NA UCET	1458	20076	 	AB	55523544
759097	2589	1998-12-14	VYDAJ	PREVOD NA UCET	1458	14621	 	AB	55523544
759105	2589	1997-12-26	VYDAJ	VYBER	1050	14088	\N	\N	\N
759106	2589	1998-12-23	VYDAJ	VYBER	800	13821	\N	\N	\N
759119	2589	1998-01-11	VYDAJ	VYBER	800	15439	\N	\N	\N
759123	2589	1998-01-18	VYDAJ	VYBER	480	12381	\N	\N	\N
759124	2589	1998-01-16	VYDAJ	VYBER	1120	12861	\N	\N	\N
759131	2589	1997-10-06	VYDAJ	VYBER	1200	15158	\N	\N	\N
759132	2589	1997-05-15	VYDAJ	VYBER	800	17042	\N	\N	\N
759133	2589	1997-04-17	VYDAJ	VYBER	3600	19743	\N	\N	\N
759134	2589	1997-07-13	VYDAJ	VYBER	2640	13984	\N	\N	\N
759136	2589	1997-05-28	VYDAJ	VYBER	2480	14562	\N	\N	\N
759137	2589	1997-10-20	VYDAJ	VYBER	2960	14045	\N	\N	\N
759139	2589	1998-11-15	VYDAJ	VYBER	1360	18716	\N	\N	\N
759141	2589	1998-05-24	VYDAJ	VYBER	3520	12824	\N	\N	\N
759158	2589	1997-04-30	VYDAJ	VYBER	15	19795	SLUZBY	\N	\N
759159	2589	1997-05-31	VYDAJ	VYBER	15	14620	SLUZBY	\N	\N
759160	2589	1997-06-30	VYDAJ	VYBER	15	16519	SLUZBY	\N	\N
759161	2589	1997-07-31	VYDAJ	VYBER	15	12569	SLUZBY	\N	\N
759162	2589	1997-08-31	VYDAJ	VYBER	15	14460	SLUZBY	\N	\N
759163	2589	1997-09-30	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
759164	2589	1997-10-31	VYDAJ	VYBER	15	14095	SLUZBY	\N	\N
759165	2589	1997-11-30	VYDAJ	VYBER	15	13291	SLUZBY	\N	\N
759166	2589	1997-12-31	VYDAJ	VYBER	15	12934	SLUZBY	\N	\N
759167	2589	1998-01-31	VYDAJ	VYBER	15	12420	SLUZBY	\N	\N
759168	2589	1998-02-28	VYDAJ	VYBER	15	14310	SLUZBY	\N	\N
759169	2589	1998-03-31	VYDAJ	VYBER	15	12606	SLUZBY	\N	\N
759170	2589	1998-04-30	VYDAJ	VYBER	15	14497	SLUZBY	\N	\N
759171	2589	1998-05-31	VYDAJ	VYBER	15	10870	SLUZBY	\N	\N
759172	2589	1998-06-30	VYDAJ	VYBER	15	10652	SLUZBY	\N	\N
759173	2589	1998-07-31	VYDAJ	VYBER	15	12535	SLUZBY	\N	\N
759174	2589	1998-08-31	VYDAJ	VYBER	15	14425	SLUZBY	\N	\N
759175	2589	1998-09-30	VYDAJ	VYBER	15	16323	SLUZBY	\N	\N
759176	2589	1998-10-31	VYDAJ	VYBER	15	18229	SLUZBY	\N	\N
759177	2589	1998-11-30	VYDAJ	VYBER	15	12774	SLUZBY	\N	\N
759178	2589	1997-04-03	VYDAJ	VYBER	3700	19260	\N	\N	\N
759179	2589	1997-05-03	VYDAJ	VYBER	3800	15995	\N	\N	\N
759180	2589	1997-07-02	VYDAJ	VYBER	3200	13319	\N	\N	\N
759181	2589	1997-11-29	VYDAJ	VYBER	2700	13242	\N	\N	\N
759182	2589	1997-12-29	VYDAJ	VYBER	1200	12888	\N	\N	\N
759183	2589	1998-03-29	VYDAJ	VYBER	3600	12557	\N	\N	\N
759184	2589	1998-05-28	VYDAJ	VYBER	2000	10824	\N	\N	\N
759185	2589	1998-06-27	VYDAJ	VYBER	2100	10617	\N	\N	\N
759186	2589	1998-11-24	VYDAJ	VYBER	6000	12716	\N	\N	\N
759212	2590	1996-12-04	PRIJEM	VKLAD	700	700	\N	\N	\N
759224	2590	1996-12-06	PRIJEM	PREVOD Z UCTU	3030	3730	\N	WX	8662593
759225	2590	1997-01-06	PRIJEM	PREVOD Z UCTU	3030	6773	\N	WX	8662593
759226	2590	1997-02-06	PRIJEM	PREVOD Z UCTU	3030	9819	\N	WX	8662593
759227	2590	1997-03-06	PRIJEM	PREVOD Z UCTU	3030	12864	\N	WX	8662593
759228	2590	1997-04-06	PRIJEM	PREVOD Z UCTU	3030	15910	\N	WX	8662593
759229	2590	1997-05-06	PRIJEM	PREVOD Z UCTU	3030	16957	\N	WX	8662593
759230	2590	1997-06-06	PRIJEM	PREVOD Z UCTU	3030	16415	\N	WX	8662593
759231	2590	1997-07-06	PRIJEM	PREVOD Z UCTU	3030	17473	\N	WX	8662593
759232	2590	1997-08-06	PRIJEM	PREVOD Z UCTU	3030	18323	\N	WX	8662593
759233	2590	1997-09-06	PRIJEM	PREVOD Z UCTU	3030	17824	\N	WX	8662593
759234	2590	1997-10-06	PRIJEM	PREVOD Z UCTU	3030	18886	\N	WX	8662593
759235	2590	1997-11-06	PRIJEM	PREVOD Z UCTU	3030	19352	\N	WX	8662593
759236	2590	1997-12-06	PRIJEM	PREVOD Z UCTU	3030	17319	\N	WX	8662593
759237	2590	1998-01-06	PRIJEM	PREVOD Z UCTU	3030	17687	\N	WX	8662593
759238	2590	1998-02-06	PRIJEM	PREVOD Z UCTU	3030	15681	\N	WX	8662593
759239	2590	1998-03-06	PRIJEM	PREVOD Z UCTU	3030	15774	\N	WX	8662593
759240	2590	1998-04-06	PRIJEM	PREVOD Z UCTU	3030	15837	\N	WX	8662593
759241	2590	1998-05-06	PRIJEM	PREVOD Z UCTU	3030	16891	\N	WX	8662593
759242	2590	1998-06-06	PRIJEM	PREVOD Z UCTU	3030	17348	\N	WX	8662593
759243	2590	1998-07-06	PRIJEM	PREVOD Z UCTU	3030	17016	\N	WX	8662593
759244	2590	1998-08-06	PRIJEM	PREVOD Z UCTU	3030	16273	\N	WX	8662593
759245	2590	1998-09-06	PRIJEM	PREVOD Z UCTU	3030	17328	\N	WX	8662593
759387	2590	1997-08-25	VYDAJ	VYBER	870	14743	\N	\N	\N
759246	2590	1998-10-06	PRIJEM	PREVOD Z UCTU	3030	17186	\N	WX	8662593
759247	2590	1998-11-06	PRIJEM	PREVOD Z UCTU	3030	16465	\N	WX	8662593
759248	2590	1998-12-06	PRIJEM	PREVOD Z UCTU	3030	14465	\N	WX	8662593
759264	2590	1997-04-12	VYDAJ	PREVOD NA UCET	1300	13890	\N	YZ	34911799
759265	2590	1997-05-12	VYDAJ	PREVOD NA UCET	1300	14937	\N	YZ	34911799
759266	2590	1997-06-12	VYDAJ	PREVOD NA UCET	1300	14395	\N	YZ	34911799
759267	2590	1997-07-12	VYDAJ	PREVOD NA UCET	1300	15453	\N	YZ	34911799
759268	2590	1997-08-12	VYDAJ	PREVOD NA UCET	1300	15613	\N	YZ	34911799
759269	2590	1997-09-12	VYDAJ	PREVOD NA UCET	1300	15804	\N	YZ	34911799
759270	2590	1997-10-12	VYDAJ	PREVOD NA UCET	1300	16866	\N	YZ	34911799
759271	2590	1997-11-12	VYDAJ	PREVOD NA UCET	1300	17332	\N	YZ	34911799
759272	2590	1997-12-12	VYDAJ	PREVOD NA UCET	1300	14609	\N	YZ	34911799
759273	2590	1998-01-12	VYDAJ	PREVOD NA UCET	1300	14377	\N	YZ	34911799
759274	2590	1998-02-12	VYDAJ	PREVOD NA UCET	1300	13661	\N	YZ	34911799
759275	2590	1998-03-12	VYDAJ	PREVOD NA UCET	1300	13754	\N	YZ	34911799
759276	2590	1998-04-12	VYDAJ	PREVOD NA UCET	1300	13817	\N	YZ	34911799
759277	2590	1998-05-12	VYDAJ	PREVOD NA UCET	1300	14871	\N	YZ	34911799
759278	2590	1998-06-12	VYDAJ	PREVOD NA UCET	1300	15328	\N	YZ	34911799
759279	2590	1998-07-12	VYDAJ	PREVOD NA UCET	1300	14996	\N	YZ	34911799
759280	2590	1998-08-12	VYDAJ	PREVOD NA UCET	1300	14253	\N	YZ	34911799
759281	2590	1998-09-12	VYDAJ	PREVOD NA UCET	1300	15308	\N	YZ	34911799
759282	2590	1998-10-12	VYDAJ	PREVOD NA UCET	1300	15166	\N	YZ	34911799
759283	2590	1998-11-12	VYDAJ	PREVOD NA UCET	1300	13395	\N	YZ	34911799
759284	2590	1998-12-12	VYDAJ	PREVOD NA UCET	1300	12445	\N	YZ	34911799
759300	2590	1997-04-06	VYDAJ	PREVOD NA UCET	660	15250	\N	KL	50073719
759301	2590	1997-05-06	VYDAJ	PREVOD NA UCET	660	16297	\N	KL	50073719
759302	2590	1997-06-06	VYDAJ	PREVOD NA UCET	660	15755	\N	KL	50073719
759303	2590	1997-07-06	VYDAJ	PREVOD NA UCET	660	16813	\N	KL	50073719
759304	2590	1997-08-06	VYDAJ	PREVOD NA UCET	660	17663	\N	KL	50073719
759305	2590	1997-09-06	VYDAJ	PREVOD NA UCET	660	17164	\N	KL	50073719
759306	2590	1997-10-06	VYDAJ	PREVOD NA UCET	660	18226	\N	KL	50073719
759307	2590	1997-11-06	VYDAJ	PREVOD NA UCET	660	18692	\N	KL	50073719
759308	2590	1997-12-06	VYDAJ	PREVOD NA UCET	660	16659	\N	KL	50073719
759309	2590	1998-01-06	VYDAJ	PREVOD NA UCET	660	17027	\N	KL	50073719
759310	2590	1998-02-06	VYDAJ	PREVOD NA UCET	660	15021	\N	KL	50073719
759311	2590	1998-03-06	VYDAJ	PREVOD NA UCET	660	15114	\N	KL	50073719
759312	2590	1998-04-06	VYDAJ	PREVOD NA UCET	660	15177	\N	KL	50073719
759313	2590	1998-05-06	VYDAJ	PREVOD NA UCET	660	16231	\N	KL	50073719
759314	2590	1998-06-06	VYDAJ	PREVOD NA UCET	660	16688	\N	KL	50073719
759315	2590	1998-07-06	VYDAJ	PREVOD NA UCET	660	16356	\N	KL	50073719
759316	2590	1998-08-06	VYDAJ	PREVOD NA UCET	660	15613	\N	KL	50073719
759317	2590	1998-09-06	VYDAJ	PREVOD NA UCET	660	16668	\N	KL	50073719
759318	2590	1998-10-06	VYDAJ	PREVOD NA UCET	660	16526	\N	KL	50073719
759319	2590	1998-11-06	VYDAJ	PREVOD NA UCET	660	15805	\N	KL	50073719
759320	2590	1998-12-06	VYDAJ	PREVOD NA UCET	660	13805	\N	KL	50073719
759336	2590	1997-04-10	VYDAJ	PREVOD NA UCET	60	15190	\N	MN	76566916
759337	2590	1997-05-10	VYDAJ	PREVOD NA UCET	60	16237	\N	MN	76566916
759338	2590	1997-06-10	VYDAJ	PREVOD NA UCET	60	15695	\N	MN	76566916
759339	2590	1997-07-10	VYDAJ	PREVOD NA UCET	60	16753	\N	MN	76566916
759340	2590	1997-08-10	VYDAJ	PREVOD NA UCET	60	16913	\N	MN	76566916
759341	2590	1997-09-10	VYDAJ	PREVOD NA UCET	60	17104	\N	MN	76566916
759342	2590	1997-10-10	VYDAJ	PREVOD NA UCET	60	18166	\N	MN	76566916
759343	2590	1997-11-10	VYDAJ	PREVOD NA UCET	60	18632	\N	MN	76566916
759344	2590	1997-12-10	VYDAJ	PREVOD NA UCET	60	16599	\N	MN	76566916
759345	2590	1998-01-10	VYDAJ	PREVOD NA UCET	60	15677	\N	MN	76566916
759346	2590	1998-02-10	VYDAJ	PREVOD NA UCET	60	14961	\N	MN	76566916
759347	2590	1998-03-10	VYDAJ	PREVOD NA UCET	60	15054	\N	MN	76566916
759348	2590	1998-04-10	VYDAJ	PREVOD NA UCET	60	15117	\N	MN	76566916
759349	2590	1998-05-10	VYDAJ	PREVOD NA UCET	60	16171	\N	MN	76566916
759350	2590	1998-06-10	VYDAJ	PREVOD NA UCET	60	16628	\N	MN	76566916
759351	2590	1998-07-10	VYDAJ	PREVOD NA UCET	60	16296	\N	MN	76566916
759352	2590	1998-08-10	VYDAJ	PREVOD NA UCET	60	15553	\N	MN	76566916
759353	2590	1998-09-10	VYDAJ	PREVOD NA UCET	60	16608	\N	MN	76566916
759354	2590	1998-10-10	VYDAJ	PREVOD NA UCET	60	16466	\N	MN	76566916
759355	2590	1998-11-10	VYDAJ	PREVOD NA UCET	60	14695	\N	MN	76566916
759356	2590	1998-12-10	VYDAJ	PREVOD NA UCET	60	13745	\N	MN	76566916
759364	2590	1997-12-11	VYDAJ	VYBER	690	15909	\N	\N	\N
759378	2590	1998-01-16	VYDAJ	VYBER	300	13147	\N	\N	\N
759380	2590	1998-01-13	VYDAJ	VYBER	360	13447	\N	\N	\N
759381	2590	1998-01-16	VYDAJ	VYBER	540	12607	\N	\N	\N
759382	2590	1998-01-13	VYDAJ	VYBER	570	13807	\N	\N	\N
759383	2590	1998-01-09	VYDAJ	VYBER	330	15737	\N	\N	\N
759388	2590	1997-08-08	VYDAJ	VYBER	690	16973	\N	\N	\N
759390	2590	1997-07-25	VYDAJ	VYBER	210	15243	\N	\N	\N
759391	2590	1998-11-08	VYDAJ	VYBER	1050	14755	\N	\N	\N
759392	2590	1998-01-07	VYDAJ	VYBER	960	16067	\N	\N	\N
759393	2590	1998-02-27	VYDAJ	VYBER	960	12701	\N	\N	\N
759394	2590	1998-06-18	VYDAJ	VYBER	990	14338	\N	\N	\N
759396	2590	1998-04-03	VYDAJ	VYBER	990	12807	\N	\N	\N
759397	2590	1998-10-25	VYDAJ	VYBER	780	13386	\N	\N	\N
759414	2590	1997-04-30	VYDAJ	VYBER	15	13927	SLUZBY	\N	\N
759415	2590	1997-05-31	VYDAJ	VYBER	15	14985	SLUZBY	\N	\N
759416	2590	1997-06-30	VYDAJ	VYBER	15	14443	SLUZBY	\N	\N
759417	2590	1997-07-31	VYDAJ	VYBER	15	15293	SLUZBY	\N	\N
759418	2590	1997-08-31	VYDAJ	VYBER	15	14794	SLUZBY	\N	\N
759419	2590	1997-09-30	VYDAJ	VYBER	15	15856	SLUZBY	\N	\N
759420	2590	1997-10-31	VYDAJ	VYBER	15	16322	SLUZBY	\N	\N
759421	2590	1997-11-30	VYDAJ	VYBER	15	14289	SLUZBY	\N	\N
759422	2590	1997-12-31	VYDAJ	VYBER	15	14657	SLUZBY	\N	\N
759423	2590	1998-01-31	VYDAJ	VYBER	15	12651	SLUZBY	\N	\N
759424	2590	1998-02-28	VYDAJ	VYBER	15	12744	SLUZBY	\N	\N
759425	2590	1998-03-31	VYDAJ	VYBER	15	13797	SLUZBY	\N	\N
759426	2590	1998-04-30	VYDAJ	VYBER	15	13861	SLUZBY	\N	\N
759427	2590	1998-05-31	VYDAJ	VYBER	15	14318	SLUZBY	\N	\N
759428	2590	1998-06-30	VYDAJ	VYBER	15	13986	SLUZBY	\N	\N
759429	2590	1998-07-31	VYDAJ	VYBER	15	13243	SLUZBY	\N	\N
759430	2590	1998-08-31	VYDAJ	VYBER	15	14298	SLUZBY	\N	\N
759431	2590	1998-09-30	VYDAJ	VYBER	15	14156	SLUZBY	\N	\N
759432	2590	1998-10-31	VYDAJ	VYBER	15	13435	SLUZBY	\N	\N
759433	2590	1998-11-30	VYDAJ	VYBER	15	11435	SLUZBY	\N	\N
759434	2590	1997-06-02	VYDAJ	VYBER	1600	13385	\N	\N	\N
759435	2590	1997-10-30	VYDAJ	VYBER	600	16266	\N	\N	\N
759436	2590	1997-11-29	VYDAJ	VYBER	3100	14232	\N	\N	\N
759437	2590	1998-05-28	VYDAJ	VYBER	600	14271	\N	\N	\N
759438	2590	1998-06-27	VYDAJ	VYBER	400	13938	\N	\N	\N
759439	2590	1998-07-27	VYDAJ	VYBER	1800	13196	\N	\N	\N
759440	2590	1998-09-25	VYDAJ	VYBER	1200	14108	\N	\N	\N
759441	2590	1998-10-25	VYDAJ	VYBER	1000	14166	\N	\N	\N
759442	2590	1998-11-24	VYDAJ	VYBER	2000	11395	\N	\N	\N
759468	2591	1996-05-06	PRIJEM	VKLAD	800	800	\N	\N	\N
759473	2591	1996-05-12	PRIJEM	PREVOD Z UCTU	5718	6518	DUCHOD	YZ	24240088
759474	2591	1996-06-12	PRIJEM	PREVOD Z UCTU	5718	12254	DUCHOD	YZ	24240088
759475	2591	1996-07-12	PRIJEM	PREVOD Z UCTU	5718	17999	DUCHOD	YZ	24240088
759476	2591	1996-08-12	PRIJEM	PREVOD Z UCTU	5718	23744	DUCHOD	YZ	24240088
759477	2591	1996-09-12	PRIJEM	PREVOD Z UCTU	5718	29089	DUCHOD	YZ	24240088
759478	2591	1996-10-12	PRIJEM	PREVOD Z UCTU	5718	28778	DUCHOD	YZ	24240088
759479	2591	1996-11-12	PRIJEM	PREVOD Z UCTU	5718	25254	DUCHOD	YZ	24240088
759480	2591	1996-12-12	PRIJEM	PREVOD Z UCTU	5718	25899	DUCHOD	YZ	24240088
759481	2591	1997-01-12	PRIJEM	PREVOD Z UCTU	5718	25665	DUCHOD	YZ	24240088
759482	2591	1997-02-12	PRIJEM	PREVOD Z UCTU	5718	20198	DUCHOD	YZ	24240088
759483	2591	1997-03-12	PRIJEM	PREVOD Z UCTU	5718	22680	DUCHOD	YZ	24240088
759484	2591	1997-04-12	PRIJEM	PREVOD Z UCTU	5718	22634	DUCHOD	YZ	24240088
759485	2591	1997-05-12	PRIJEM	PREVOD Z UCTU	5718	25125	DUCHOD	YZ	24240088
759486	2591	1997-06-12	PRIJEM	PREVOD Z UCTU	5718	23928	DUCHOD	YZ	24240088
759487	2591	1997-07-12	PRIJEM	PREVOD Z UCTU	5718	22825	DUCHOD	YZ	24240088
759488	2591	1997-08-12	PRIJEM	PREVOD Z UCTU	5718	19759	DUCHOD	YZ	24240088
759489	2591	1997-09-12	PRIJEM	PREVOD Z UCTU	5718	20240	DUCHOD	YZ	24240088
759490	2591	1997-10-12	PRIJEM	PREVOD Z UCTU	5718	21222	DUCHOD	YZ	24240088
759491	2591	1997-11-12	PRIJEM	PREVOD Z UCTU	5718	23709	DUCHOD	YZ	24240088
759492	2591	1997-12-12	PRIJEM	PREVOD Z UCTU	5718	26006	DUCHOD	YZ	24240088
759493	2591	1998-01-12	PRIJEM	PREVOD Z UCTU	5718	25773	DUCHOD	YZ	24240088
759494	2591	1998-02-12	PRIJEM	PREVOD Z UCTU	5718	19217	DUCHOD	YZ	24240088
759495	2591	1998-03-12	PRIJEM	PREVOD Z UCTU	5718	21695	DUCHOD	YZ	24240088
759496	2591	1998-04-12	PRIJEM	PREVOD Z UCTU	5718	21682	DUCHOD	YZ	24240088
759497	2591	1998-05-12	PRIJEM	PREVOD Z UCTU	5718	18087	DUCHOD	YZ	24240088
759498	2591	1998-06-12	PRIJEM	PREVOD Z UCTU	5718	20561	DUCHOD	YZ	24240088
759499	2591	1998-07-12	PRIJEM	PREVOD Z UCTU	5718	18720	DUCHOD	YZ	24240088
759500	2591	1998-08-12	PRIJEM	PREVOD Z UCTU	5718	21196	DUCHOD	YZ	24240088
759501	2591	1998-09-12	PRIJEM	PREVOD Z UCTU	5718	23683	DUCHOD	YZ	24240088
759502	2591	1998-10-12	PRIJEM	PREVOD Z UCTU	5718	26180	DUCHOD	YZ	24240088
759503	2591	1998-11-12	PRIJEM	PREVOD Z UCTU	5718	28587	DUCHOD	YZ	24240088
759504	2591	1998-12-12	PRIJEM	PREVOD Z UCTU	5718	28152	DUCHOD	YZ	24240088
759514	2591	1996-10-07	VYDAJ	PREVOD NA UCET	3301	23060	SIPO	OP	4184359
759515	2591	1996-11-07	VYDAJ	PREVOD NA UCET	3301	19536	SIPO	OP	4184359
759516	2591	1996-12-07	VYDAJ	PREVOD NA UCET	3301	20741	SIPO	OP	4184359
759517	2591	1997-01-07	VYDAJ	PREVOD NA UCET	3301	21387	SIPO	OP	4184359
759518	2591	1997-02-07	VYDAJ	PREVOD NA UCET	3301	14480	SIPO	OP	4184359
759519	2591	1997-03-07	VYDAJ	PREVOD NA UCET	3301	16962	SIPO	OP	4184359
759520	2591	1997-04-07	VYDAJ	PREVOD NA UCET	3301	16916	SIPO	OP	4184359
759521	2591	1997-05-07	VYDAJ	PREVOD NA UCET	3301	19407	SIPO	OP	4184359
759522	2591	1997-06-07	VYDAJ	PREVOD NA UCET	3301	18210	SIPO	OP	4184359
759523	2591	1997-07-07	VYDAJ	PREVOD NA UCET	3301	17107	SIPO	OP	4184359
759524	2591	1997-08-07	VYDAJ	PREVOD NA UCET	3301	14041	SIPO	OP	4184359
759525	2591	1997-09-07	VYDAJ	PREVOD NA UCET	3301	14522	SIPO	OP	4184359
759526	2591	1997-10-07	VYDAJ	PREVOD NA UCET	3301	15504	SIPO	OP	4184359
759527	2591	1997-11-07	VYDAJ	PREVOD NA UCET	3301	17991	SIPO	OP	4184359
759528	2591	1997-12-07	VYDAJ	PREVOD NA UCET	3301	20288	SIPO	OP	4184359
759529	2591	1998-01-07	VYDAJ	PREVOD NA UCET	3301	20055	SIPO	OP	4184359
759530	2591	1998-02-07	VYDAJ	PREVOD NA UCET	3301	13499	SIPO	OP	4184359
759531	2591	1998-03-07	VYDAJ	PREVOD NA UCET	3301	15977	SIPO	OP	4184359
759532	2591	1998-04-07	VYDAJ	PREVOD NA UCET	3301	15964	SIPO	OP	4184359
759533	2591	1998-05-07	VYDAJ	PREVOD NA UCET	3301	12369	SIPO	OP	4184359
759534	2591	1998-06-07	VYDAJ	PREVOD NA UCET	3301	14843	SIPO	OP	4184359
759535	2591	1998-07-07	VYDAJ	PREVOD NA UCET	3301	13002	SIPO	OP	4184359
759536	2591	1998-08-07	VYDAJ	PREVOD NA UCET	3301	15478	SIPO	OP	4184359
759537	2591	1998-09-07	VYDAJ	PREVOD NA UCET	3301	17965	SIPO	OP	4184359
759538	2591	1998-10-07	VYDAJ	PREVOD NA UCET	3301	20462	SIPO	OP	4184359
759539	2591	1998-11-07	VYDAJ	PREVOD NA UCET	3301	22869	SIPO	OP	4184359
759540	2591	1998-12-07	VYDAJ	PREVOD NA UCET	3301	22434	SIPO	OP	4184359
759545	2591	1997-01-28	VYDAJ	VYBER	1800	17705	\N	\N	\N
759546	2591	1998-01-21	VYDAJ	VYBER	2650	20163	\N	\N	\N
759547	2591	1996-12-12	VYDAJ	VYBER	1300	24599	\N	\N	\N
759548	2591	1997-12-21	VYDAJ	VYBER	500	25506	\N	\N	\N
759549	2591	1998-12-01	VYDAJ	VYBER	1450	25735	\N	\N	\N
759556	2591	1997-01-08	VYDAJ	VYBER	400	20987	\N	\N	\N
759557	2591	1997-01-17	VYDAJ	VYBER	1200	22705	\N	\N	\N
759558	2591	1997-01-14	VYDAJ	VYBER	1760	23905	\N	\N	\N
759559	2591	1997-01-22	VYDAJ	VYBER	1360	19505	\N	\N	\N
759560	2591	1997-01-10	VYDAJ	VYBER	1040	19947	\N	\N	\N
759561	2591	1997-01-19	VYDAJ	VYBER	1840	20865	\N	\N	\N
759562	2591	1998-01-06	VYDAJ	VYBER	400	23356	\N	\N	\N
759563	2591	1998-01-28	VYDAJ	VYBER	1600	16723	\N	\N	\N
759564	2591	1998-01-21	VYDAJ	VYBER	1840	18323	\N	\N	\N
759565	2591	1998-01-19	VYDAJ	VYBER	1280	22813	\N	\N	\N
759566	2591	1998-01-17	VYDAJ	VYBER	560	25213	\N	\N	\N
759567	2591	1998-01-18	VYDAJ	VYBER	1120	24093	\N	\N	\N
759569	2591	1996-10-25	VYDAJ	VYBER	2640	26138	\N	\N	\N
759572	2591	1996-12-10	VYDAJ	VYBER	560	20181	\N	\N	\N
759574	2591	1997-08-05	VYDAJ	VYBER	2880	18222	\N	\N	\N
759575	2591	1997-08-06	VYDAJ	VYBER	880	17342	\N	\N	\N
759576	2591	1997-04-02	VYDAJ	VYBER	2240	20217	\N	\N	\N
759577	2591	1997-06-14	VYDAJ	VYBER	2800	21128	\N	\N	\N
759578	2591	1997-06-27	VYDAJ	VYBER	400	20728	\N	\N	\N
759579	2591	1998-04-18	VYDAJ	VYBER	2400	19282	\N	\N	\N
759580	2591	1998-06-23	VYDAJ	VYBER	3680	16241	\N	\N	\N
759581	2591	1998-06-18	VYDAJ	VYBER	640	19921	\N	\N	\N
759582	2591	1998-05-03	VYDAJ	VYBER	3680	15670	\N	\N	\N
759583	2591	1998-01-05	VYDAJ	VYBER	1840	23756	\N	\N	\N
759584	2591	1998-12-15	VYDAJ	VYBER	2400	25752	\N	\N	\N
759594	2591	1996-09-30	VYDAJ	VYBER	15	29161	SLUZBY	\N	\N
759595	2591	1996-10-31	VYDAJ	VYBER	15	26237	SLUZBY	\N	\N
759596	2591	1996-11-30	VYDAJ	VYBER	15	25342	SLUZBY	\N	\N
759597	2591	1996-12-31	VYDAJ	VYBER	15	24688	SLUZBY	\N	\N
759598	2591	1997-01-31	VYDAJ	VYBER	15	17781	SLUZBY	\N	\N
759599	2591	1997-02-28	VYDAJ	VYBER	15	20263	SLUZBY	\N	\N
759600	2591	1997-03-31	VYDAJ	VYBER	15	22757	SLUZBY	\N	\N
759601	2591	1997-04-30	VYDAJ	VYBER	15	22708	SLUZBY	\N	\N
759602	2591	1997-05-31	VYDAJ	VYBER	15	25211	SLUZBY	\N	\N
759603	2591	1997-06-30	VYDAJ	VYBER	15	20808	SLUZBY	\N	\N
759604	2591	1997-07-31	VYDAJ	VYBER	15	21102	SLUZBY	\N	\N
759605	2591	1997-08-31	VYDAJ	VYBER	15	17823	SLUZBY	\N	\N
759606	2591	1997-09-30	VYDAJ	VYBER	15	18805	SLUZBY	\N	\N
759607	2591	1997-10-31	VYDAJ	VYBER	15	21292	SLUZBY	\N	\N
759608	2591	1997-11-30	VYDAJ	VYBER	15	23589	SLUZBY	\N	\N
759609	2591	1997-12-31	VYDAJ	VYBER	15	25596	SLUZBY	\N	\N
759610	2591	1998-01-31	VYDAJ	VYBER	15	16800	SLUZBY	\N	\N
759611	2591	1998-02-28	VYDAJ	VYBER	15	19278	SLUZBY	\N	\N
759612	2591	1998-03-31	VYDAJ	VYBER	15	19265	SLUZBY	\N	\N
759613	2591	1998-04-30	VYDAJ	VYBER	15	19350	SLUZBY	\N	\N
759614	2591	1998-05-31	VYDAJ	VYBER	15	18144	SLUZBY	\N	\N
759615	2591	1998-06-30	VYDAJ	VYBER	15	16303	SLUZBY	\N	\N
759616	2591	1998-07-31	VYDAJ	VYBER	15	18779	SLUZBY	\N	\N
759617	2591	1998-08-31	VYDAJ	VYBER	15	21266	SLUZBY	\N	\N
759618	2591	1998-09-30	VYDAJ	VYBER	15	23763	SLUZBY	\N	\N
759619	2591	1998-10-31	VYDAJ	VYBER	15	26170	SLUZBY	\N	\N
759620	2591	1998-11-30	VYDAJ	VYBER	15	27185	SLUZBY	\N	\N
759621	2591	1996-09-03	VYDAJ	VYBER	400	23371	\N	\N	\N
759622	2591	1996-10-03	VYDAJ	VYBER	2800	26361	\N	\N	\N
759623	2591	1996-11-02	VYDAJ	VYBER	3400	22837	\N	\N	\N
759624	2591	1996-12-02	VYDAJ	VYBER	1300	24042	\N	\N	\N
759625	2591	1997-04-01	VYDAJ	VYBER	300	22457	\N	\N	\N
759626	2591	1997-05-31	VYDAJ	VYBER	3700	21511	\N	\N	\N
759627	2591	1997-06-30	VYDAJ	VYBER	400	20408	\N	\N	\N
759628	2591	1997-07-30	VYDAJ	VYBER	1800	21025	\N	\N	\N
759629	2591	1997-08-29	VYDAJ	VYBER	2000	17759	\N	\N	\N
759630	2591	1997-09-28	VYDAJ	VYBER	1500	18740	\N	\N	\N
759631	2591	1997-11-27	VYDAJ	VYBER	200	23509	\N	\N	\N
759632	2591	1998-03-27	VYDAJ	VYBER	2500	19195	\N	\N	\N
759633	2591	1998-10-23	VYDAJ	VYBER	100	26080	\N	\N	\N
759634	2591	1998-11-22	VYDAJ	VYBER	1500	27087	\N	\N	\N
759667	2592	1993-09-01	PRIJEM	VKLAD	600	600	\N	\N	\N
759676	2592	1993-09-11	PRIJEM	VKLAD	11759	12359	\N	\N	\N
759677	2592	1993-10-11	PRIJEM	VKLAD	11759	28952	\N	\N	\N
759678	2592	1993-11-11	PRIJEM	VKLAD	11759	37809	\N	\N	\N
759679	2592	1993-12-11	PRIJEM	VKLAD	17638	47656	\N	\N	\N
759680	2592	1994-01-11	PRIJEM	VKLAD	11759	50143	\N	\N	\N
759681	2592	1994-02-11	PRIJEM	VKLAD	11759	35568	\N	\N	\N
759682	2592	1994-03-11	PRIJEM	VKLAD	11759	39998	\N	\N	\N
759683	2592	1994-04-11	PRIJEM	VKLAD	11759	39729	\N	\N	\N
759684	2592	1994-05-11	PRIJEM	VKLAD	11759	40076	\N	\N	\N
759685	2592	1994-06-11	PRIJEM	VKLAD	17638	45760	\N	\N	\N
759686	2592	1994-07-11	PRIJEM	VKLAD	11759	45279	\N	\N	\N
759687	2592	1994-08-11	PRIJEM	VKLAD	11759	45447	\N	\N	\N
759688	2592	1994-09-11	PRIJEM	VKLAD	11759	45515	\N	\N	\N
759689	2592	1994-10-11	PRIJEM	VKLAD	11759	46984	\N	\N	\N
759690	2592	1994-11-11	PRIJEM	VKLAD	11759	43655	\N	\N	\N
759691	2592	1994-12-11	PRIJEM	VKLAD	17638	51995	\N	\N	\N
759692	2592	1995-01-11	PRIJEM	VKLAD	11759	48575	\N	\N	\N
759693	2592	1995-02-11	PRIJEM	VKLAD	11759	25371	\N	\N	\N
759694	2592	1995-03-11	PRIJEM	VKLAD	11759	32740	\N	\N	\N
759695	2592	1995-04-11	PRIJEM	VKLAD	11759	42062	\N	\N	\N
759696	2592	1995-05-11	PRIJEM	VKLAD	11759	46217	\N	\N	\N
759697	2592	1995-06-11	PRIJEM	VKLAD	17638	51864	\N	\N	\N
759698	2592	1995-07-11	PRIJEM	VKLAD	11759	49843	\N	\N	\N
759699	2592	1995-08-11	PRIJEM	VKLAD	11759	51327	\N	\N	\N
759700	2592	1995-09-11	PRIJEM	VKLAD	11759	51114	\N	\N	\N
759701	2592	1995-10-11	PRIJEM	VKLAD	11759	53603	\N	\N	\N
759702	2592	1995-11-11	PRIJEM	VKLAD	11759	54401	\N	\N	\N
759703	2592	1995-12-11	PRIJEM	VKLAD	17638	60526	\N	\N	\N
759704	2592	1996-01-11	PRIJEM	VKLAD	11759	60033	\N	\N	\N
759705	2592	1996-02-11	PRIJEM	VKLAD	11759	43550	\N	\N	\N
759706	2592	1996-03-11	PRIJEM	VKLAD	11759	52358	\N	\N	\N
759707	2592	1996-04-11	PRIJEM	VKLAD	11759	56358	\N	\N	\N
759708	2592	1996-05-11	PRIJEM	VKLAD	11759	60169	\N	\N	\N
759709	2592	1996-06-11	PRIJEM	VKLAD	17638	57695	\N	\N	\N
759710	2592	1996-07-11	PRIJEM	VKLAD	11759	62423	\N	\N	\N
759711	2592	1996-08-11	PRIJEM	VKLAD	11759	68464	\N	\N	\N
759712	2592	1996-09-11	PRIJEM	VKLAD	11759	70321	\N	\N	\N
759713	2592	1996-10-11	PRIJEM	VKLAD	11759	71132	\N	\N	\N
759714	2592	1996-11-11	PRIJEM	VKLAD	11759	74411	\N	\N	\N
759715	2592	1996-12-11	PRIJEM	VKLAD	17638	81088	\N	\N	\N
759716	2592	1997-01-11	PRIJEM	VKLAD	11759	65261	\N	\N	\N
759717	2592	1997-02-11	PRIJEM	VKLAD	11759	53845	\N	\N	\N
759718	2592	1997-03-11	PRIJEM	VKLAD	11759	60596	\N	\N	\N
759719	2592	1997-04-11	PRIJEM	VKLAD	11759	68733	\N	\N	\N
759720	2592	1997-05-11	PRIJEM	VKLAD	11759	66438	\N	\N	\N
759721	2592	1997-06-11	PRIJEM	VKLAD	17638	77883	\N	\N	\N
759722	2592	1997-07-11	PRIJEM	VKLAD	11759	41929	\N	\N	\N
759723	2592	1997-08-11	PRIJEM	VKLAD	11759	56808	\N	\N	\N
759724	2592	1997-09-11	PRIJEM	VKLAD	11759	75845	\N	\N	\N
759725	2592	1997-10-11	PRIJEM	VKLAD	11759	82937	\N	\N	\N
759726	2592	1997-11-11	PRIJEM	VKLAD	11759	83766	\N	\N	\N
759727	2592	1997-12-11	PRIJEM	VKLAD	17638	94846	\N	\N	\N
759728	2592	1998-01-11	PRIJEM	VKLAD	11759	92738	\N	\N	\N
759729	2592	1998-02-11	PRIJEM	VKLAD	11759	89067	\N	\N	\N
759730	2592	1998-03-11	PRIJEM	VKLAD	11759	89021	\N	\N	\N
759731	2592	1998-04-11	PRIJEM	VKLAD	11759	87585	\N	\N	\N
759732	2592	1998-05-11	PRIJEM	VKLAD	11759	92744	\N	\N	\N
759733	2592	1998-06-11	PRIJEM	VKLAD	17638	60010	\N	\N	\N
759734	2592	1998-07-11	PRIJEM	VKLAD	11759	73541	\N	\N	\N
759735	2592	1998-08-11	PRIJEM	VKLAD	11759	85613	\N	\N	\N
759736	2592	1998-09-11	PRIJEM	VKLAD	11759	92139	\N	\N	\N
759737	2592	1998-10-11	PRIJEM	VKLAD	11759	94405	\N	\N	\N
759738	2592	1998-11-11	PRIJEM	VKLAD	11759	92186	\N	\N	\N
759739	2592	1998-12-11	PRIJEM	VKLAD	17638	95344	\N	\N	\N
759752	2592	1994-01-13	VYDAJ	PREVOD NA UCET	5129	43574	SIPO	KL	8464664
759753	2592	1994-02-13	VYDAJ	PREVOD NA UCET	5129	30439	SIPO	KL	8464664
759754	2592	1994-03-13	VYDAJ	PREVOD NA UCET	5129	34869	SIPO	KL	8464664
759755	2592	1994-04-13	VYDAJ	PREVOD NA UCET	5129	34600	SIPO	KL	8464664
759756	2592	1994-05-13	VYDAJ	PREVOD NA UCET	5129	32907	SIPO	KL	8464664
759757	2592	1994-06-13	VYDAJ	PREVOD NA UCET	5129	40631	SIPO	KL	8464664
759758	2592	1994-07-13	VYDAJ	PREVOD NA UCET	5129	40150	SIPO	KL	8464664
759759	2592	1994-08-13	VYDAJ	PREVOD NA UCET	5129	40318	SIPO	KL	8464664
759760	2592	1994-09-13	VYDAJ	PREVOD NA UCET	5129	40386	SIPO	KL	8464664
759761	2592	1994-10-13	VYDAJ	PREVOD NA UCET	5129	41855	SIPO	KL	8464664
759762	2592	1994-11-13	VYDAJ	PREVOD NA UCET	5129	38526	SIPO	KL	8464664
759763	2592	1994-12-13	VYDAJ	PREVOD NA UCET	5129	46866	SIPO	KL	8464664
759764	2592	1995-01-13	VYDAJ	PREVOD NA UCET	5129	38286	SIPO	KL	8464664
759765	2592	1995-02-13	VYDAJ	PREVOD NA UCET	5129	20242	SIPO	KL	8464664
759766	2592	1995-03-13	VYDAJ	PREVOD NA UCET	5129	27611	SIPO	KL	8464664
759767	2592	1995-04-13	VYDAJ	PREVOD NA UCET	5129	36933	SIPO	KL	8464664
759768	2592	1995-05-13	VYDAJ	PREVOD NA UCET	5129	41088	SIPO	KL	8464664
759769	2592	1995-06-13	VYDAJ	PREVOD NA UCET	5129	46735	SIPO	KL	8464664
759770	2592	1995-07-13	VYDAJ	PREVOD NA UCET	5129	44714	SIPO	KL	8464664
759771	2592	1995-08-13	VYDAJ	PREVOD NA UCET	5129	46198	SIPO	KL	8464664
759772	2592	1995-09-13	VYDAJ	PREVOD NA UCET	5129	45985	SIPO	KL	8464664
759773	2592	1995-10-13	VYDAJ	PREVOD NA UCET	5129	48474	SIPO	KL	8464664
759774	2592	1995-11-13	VYDAJ	PREVOD NA UCET	5129	49272	SIPO	KL	8464664
759775	2592	1995-12-13	VYDAJ	PREVOD NA UCET	5129	55397	SIPO	KL	8464664
759776	2592	1996-01-13	VYDAJ	PREVOD NA UCET	5129	41624	SIPO	KL	8464664
759777	2592	1996-02-13	VYDAJ	PREVOD NA UCET	5129	38421	SIPO	KL	8464664
759778	2592	1996-03-13	VYDAJ	PREVOD NA UCET	5129	47229	SIPO	KL	8464664
759779	2592	1996-04-13	VYDAJ	PREVOD NA UCET	5129	51229	SIPO	KL	8464664
759780	2592	1996-05-13	VYDAJ	PREVOD NA UCET	5129	55040	SIPO	KL	8464664
759781	2592	1996-06-13	VYDAJ	PREVOD NA UCET	5129	52566	SIPO	KL	8464664
759782	2592	1996-07-13	VYDAJ	PREVOD NA UCET	5129	57294	SIPO	KL	8464664
759783	2592	1996-08-13	VYDAJ	PREVOD NA UCET	5129	63335	SIPO	KL	8464664
759784	2592	1996-09-13	VYDAJ	PREVOD NA UCET	5129	65192	SIPO	KL	8464664
759785	2592	1996-10-13	VYDAJ	PREVOD NA UCET	5129	66003	SIPO	KL	8464664
759786	2592	1996-11-13	VYDAJ	PREVOD NA UCET	5129	69282	SIPO	KL	8464664
759787	2592	1996-12-13	VYDAJ	PREVOD NA UCET	5129	75959	SIPO	KL	8464664
759788	2592	1997-01-13	VYDAJ	PREVOD NA UCET	5129	54492	SIPO	KL	8464664
759789	2592	1997-02-13	VYDAJ	PREVOD NA UCET	5129	53216	SIPO	KL	8464664
759790	2592	1997-03-13	VYDAJ	PREVOD NA UCET	5129	55467	SIPO	KL	8464664
759791	2592	1997-04-13	VYDAJ	PREVOD NA UCET	5129	63604	SIPO	KL	8464664
759792	2592	1997-05-13	VYDAJ	PREVOD NA UCET	5129	60009	SIPO	KL	8464664
759793	2592	1997-06-13	VYDAJ	PREVOD NA UCET	5129	60554	SIPO	KL	8464664
759794	2592	1997-07-13	VYDAJ	PREVOD NA UCET	5129	44900	SIPO	KL	8464664
759795	2592	1997-08-13	VYDAJ	PREVOD NA UCET	5129	58379	SIPO	KL	8464664
759796	2592	1997-09-13	VYDAJ	PREVOD NA UCET	5129	70716	SIPO	KL	8464664
759797	2592	1997-10-13	VYDAJ	PREVOD NA UCET	5129	77808	SIPO	KL	8464664
759798	2592	1997-11-13	VYDAJ	PREVOD NA UCET	5129	78637	SIPO	KL	8464664
759799	2592	1997-12-13	VYDAJ	PREVOD NA UCET	5129	89717	SIPO	KL	8464664
759800	2592	1998-01-13	VYDAJ	PREVOD NA UCET	5129	87609	SIPO	KL	8464664
759801	2592	1998-02-13	VYDAJ	PREVOD NA UCET	5129	83938	SIPO	KL	8464664
759802	2592	1998-03-13	VYDAJ	PREVOD NA UCET	5129	83892	SIPO	KL	8464664
759803	2592	1998-04-13	VYDAJ	PREVOD NA UCET	5129	82456	SIPO	KL	8464664
759804	2592	1998-05-13	VYDAJ	PREVOD NA UCET	5129	87615	SIPO	KL	8464664
759805	2592	1998-06-13	VYDAJ	PREVOD NA UCET	5129	54881	SIPO	KL	8464664
759806	2592	1998-07-13	VYDAJ	PREVOD NA UCET	5129	68412	SIPO	KL	8464664
759807	2592	1998-08-13	VYDAJ	PREVOD NA UCET	5129	80484	SIPO	KL	8464664
759808	2592	1998-09-13	VYDAJ	PREVOD NA UCET	5129	87010	SIPO	KL	8464664
759809	2592	1998-10-13	VYDAJ	PREVOD NA UCET	5129	89276	SIPO	KL	8464664
759810	2592	1998-11-13	VYDAJ	PREVOD NA UCET	5129	87057	SIPO	KL	8464664
759811	2592	1998-12-13	VYDAJ	PREVOD NA UCET	5129	90215	SIPO	KL	8464664
759815	2592	1996-06-10	VYDAJ	VYBER	11200	40057	\N	\N	\N
759816	2592	1997-06-17	VYDAJ	VYBER	30560	29994	\N	\N	\N
759817	2592	1998-06-09	VYDAJ	VYBER	40000	42372	\N	\N	\N
759819	2592	1994-01-19	VYDAJ	VYBER	9280	34294	\N	\N	\N
759820	2592	1995-01-29	VYDAJ	VYBER	13600	13486	\N	\N	\N
759821	2592	1996-01-11	VYDAJ	VYBER	13280	46753	\N	\N	\N
759822	2592	1997-01-19	VYDAJ	VYBER	3840	47772	\N	\N	\N
759823	2592	1998-01-20	VYDAJ	VYBER	3360	83169	\N	\N	\N
759825	2592	1994-12-15	VYDAJ	VYBER	1280	45586	\N	\N	\N
759826	2592	1995-12-01	VYDAJ	VYBER	2400	45048	\N	\N	\N
759827	2592	1996-12-19	VYDAJ	VYBER	3200	60339	\N	\N	\N
759828	2592	1997-12-10	VYDAJ	VYBER	1440	77208	\N	\N	\N
759829	2592	1998-12-20	VYDAJ	VYBER	1440	88775	\N	\N	\N
759837	2592	1994-01-12	VYDAJ	VYBER	1440	48703	\N	\N	\N
759840	2592	1994-01-23	VYDAJ	VYBER	2520	31774	\N	\N	\N
759842	2592	1995-01-17	VYDAJ	VYBER	3360	34926	\N	\N	\N
759843	2592	1995-01-25	VYDAJ	VYBER	2400	27086	\N	\N	\N
759844	2592	1995-01-11	VYDAJ	VYBER	2040	46535	\N	\N	\N
759845	2592	1995-01-09	VYDAJ	VYBER	1320	36816	\N	\N	\N
759846	2592	1995-01-22	VYDAJ	VYBER	1440	33486	\N	\N	\N
759847	2592	1995-01-11	VYDAJ	VYBER	3120	43415	\N	\N	\N
759848	2592	1996-01-25	VYDAJ	VYBER	2160	35104	\N	\N	\N
759849	2592	1996-01-30	VYDAJ	VYBER	2040	31624	\N	\N	\N
759850	2592	1996-01-26	VYDAJ	VYBER	1440	33664	\N	\N	\N
759851	2592	1996-01-13	VYDAJ	VYBER	2880	38744	\N	\N	\N
759852	2592	1996-01-05	VYDAJ	VYBER	2520	48274	\N	\N	\N
759853	2592	1996-01-24	VYDAJ	VYBER	3480	37264	\N	\N	\N
759854	2592	1997-01-12	VYDAJ	VYBER	3240	60221	\N	\N	\N
759855	2592	1997-01-02	VYDAJ	VYBER	1920	53502	\N	\N	\N
759856	2592	1997-01-28	VYDAJ	VYBER	960	43572	\N	\N	\N
759857	2592	1997-01-29	VYDAJ	VYBER	1680	41892	\N	\N	\N
759858	2592	1997-01-20	VYDAJ	VYBER	3240	44532	\N	\N	\N
759859	2592	1997-01-11	VYDAJ	VYBER	1800	63461	\N	\N	\N
759860	2592	1998-01-26	VYDAJ	VYBER	1440	81729	\N	\N	\N
759861	2592	1998-01-29	VYDAJ	VYBER	720	77769	\N	\N	\N
759862	2592	1998-01-13	VYDAJ	VYBER	1080	86529	\N	\N	\N
759863	2592	1998-01-28	VYDAJ	VYBER	3240	78489	\N	\N	\N
759864	2592	1998-01-10	VYDAJ	VYBER	2880	80979	\N	\N	\N
759865	2592	1998-01-04	VYDAJ	VYBER	1800	88259	\N	\N	\N
759874	2592	1994-06-18	VYDAJ	VYBER	1440	39191	\N	\N	\N
759875	2592	1994-06-26	VYDAJ	VYBER	1800	37391	\N	\N	\N
759876	2592	1994-01-25	VYDAJ	VYBER	4200	27574	\N	\N	\N
759877	2592	1994-03-22	VYDAJ	VYBER	600	34269	\N	\N	\N
759878	2592	1994-03-26	VYDAJ	VYBER	720	33549	\N	\N	\N
759879	2592	1994-05-11	VYDAJ	VYBER	2040	38036	\N	\N	\N
759880	2592	1995-06-22	VYDAJ	VYBER	5400	41335	\N	\N	\N
759881	2592	1995-02-28	VYDAJ	VYBER	1320	20996	\N	\N	\N
759882	2592	1995-12-10	VYDAJ	VYBER	2160	42888	\N	\N	\N
759883	2592	1996-12-27	VYDAJ	VYBER	5160	55179	\N	\N	\N
759884	2592	1996-03-07	VYDAJ	VYBER	960	40599	\N	\N	\N
759885	2592	1996-05-22	VYDAJ	VYBER	1680	51060	\N	\N	\N
759886	2592	1996-12-17	VYDAJ	VYBER	3120	63539	\N	\N	\N
759887	2592	1996-11-18	VYDAJ	VYBER	2280	63202	\N	\N	\N
759888	2592	1996-10-03	VYDAJ	VYBER	4560	59373	\N	\N	\N
759889	2592	1997-05-04	VYDAJ	VYBER	5760	54679	\N	\N	\N
759890	2592	1997-02-26	VYDAJ	VYBER	720	48656	\N	\N	\N
759891	2592	1997-02-18	VYDAJ	VYBER	3840	49376	\N	\N	\N
759892	2592	1997-04-26	VYDAJ	VYBER	600	60204	\N	\N	\N
759893	2592	1997-01-16	VYDAJ	VYBER	2880	51612	\N	\N	\N
759894	2592	1998-06-28	VYDAJ	VYBER	4440	50441	\N	\N	\N
759895	2592	1998-05-20	VYDAJ	VYBER	2280	85335	\N	\N	\N
759896	2592	1998-07-30	VYDAJ	VYBER	4200	64212	\N	\N	\N
759910	2592	1994-01-31	VYDAJ	VYBER	15	23809	SLUZBY	\N	\N
759911	2592	1994-02-28	VYDAJ	VYBER	15	30539	SLUZBY	\N	\N
759912	2592	1994-03-31	VYDAJ	VYBER	15	27970	SLUZBY	\N	\N
759913	2592	1994-04-30	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
759914	2592	1994-05-31	VYDAJ	VYBER	15	28122	SLUZBY	\N	\N
759915	2592	1994-06-30	VYDAJ	VYBER	15	33520	SLUZBY	\N	\N
759916	2592	1994-07-31	VYDAJ	VYBER	15	33688	SLUZBY	\N	\N
759917	2592	1994-08-31	VYDAJ	VYBER	15	33756	SLUZBY	\N	\N
759918	2592	1994-09-30	VYDAJ	VYBER	15	35225	SLUZBY	\N	\N
759919	2592	1994-10-31	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
759920	2592	1994-11-30	VYDAJ	VYBER	15	34357	SLUZBY	\N	\N
759921	2592	1994-12-31	VYDAJ	VYBER	15	38136	SLUZBY	\N	\N
759922	2592	1995-01-31	VYDAJ	VYBER	15	13612	SLUZBY	\N	\N
759923	2592	1995-02-28	VYDAJ	VYBER	15	20981	SLUZBY	\N	\N
759924	2592	1995-03-31	VYDAJ	VYBER	15	30303	SLUZBY	\N	\N
759925	2592	1995-04-30	VYDAJ	VYBER	15	34458	SLUZBY	\N	\N
759926	2592	1995-05-31	VYDAJ	VYBER	15	34226	SLUZBY	\N	\N
759927	2592	1995-06-30	VYDAJ	VYBER	15	38084	SLUZBY	\N	\N
759928	2592	1995-07-31	VYDAJ	VYBER	15	39568	SLUZBY	\N	\N
759929	2592	1995-08-31	VYDAJ	VYBER	15	39355	SLUZBY	\N	\N
759930	2592	1995-09-30	VYDAJ	VYBER	15	41844	SLUZBY	\N	\N
759931	2592	1995-10-31	VYDAJ	VYBER	15	42642	SLUZBY	\N	\N
759932	2592	1995-11-30	VYDAJ	VYBER	15	47448	SLUZBY	\N	\N
759933	2592	1995-12-31	VYDAJ	VYBER	15	50794	SLUZBY	\N	\N
759934	2592	1996-01-31	VYDAJ	VYBER	15	31791	SLUZBY	\N	\N
759935	2592	1996-02-29	VYDAJ	VYBER	15	41559	SLUZBY	\N	\N
759936	2592	1996-03-31	VYDAJ	VYBER	15	44599	SLUZBY	\N	\N
759937	2592	1996-04-30	VYDAJ	VYBER	15	48410	SLUZBY	\N	\N
759938	2592	1996-05-31	VYDAJ	VYBER	15	51257	SLUZBY	\N	\N
759939	2592	1996-06-30	VYDAJ	VYBER	15	50664	SLUZBY	\N	\N
759940	2592	1996-07-31	VYDAJ	VYBER	15	56705	SLUZBY	\N	\N
759941	2592	1996-08-31	VYDAJ	VYBER	15	58562	SLUZBY	\N	\N
759942	2592	1996-09-30	VYDAJ	VYBER	15	63933	SLUZBY	\N	\N
759943	2592	1996-10-31	VYDAJ	VYBER	15	62652	SLUZBY	\N	\N
759944	2592	1996-11-30	VYDAJ	VYBER	15	63450	SLUZBY	\N	\N
759945	2592	1996-12-31	VYDAJ	VYBER	15	55422	SLUZBY	\N	\N
759946	2592	1997-01-31	VYDAJ	VYBER	15	42086	SLUZBY	\N	\N
759947	2592	1997-02-28	VYDAJ	VYBER	15	48837	SLUZBY	\N	\N
759948	2592	1997-03-31	VYDAJ	VYBER	15	56974	SLUZBY	\N	\N
759949	2592	1997-04-30	VYDAJ	VYBER	15	60439	SLUZBY	\N	\N
759950	2592	1997-05-31	VYDAJ	VYBER	15	60245	SLUZBY	\N	\N
759951	2592	1997-06-30	VYDAJ	VYBER	15	30170	SLUZBY	\N	\N
759952	2592	1997-07-31	VYDAJ	VYBER	15	45049	SLUZBY	\N	\N
759953	2592	1997-08-31	VYDAJ	VYBER	15	58586	SLUZBY	\N	\N
759954	2592	1997-09-30	VYDAJ	VYBER	15	70978	SLUZBY	\N	\N
759955	2592	1997-10-31	VYDAJ	VYBER	15	78107	SLUZBY	\N	\N
759956	2592	1997-11-30	VYDAJ	VYBER	15	78948	SLUZBY	\N	\N
759957	2592	1997-12-31	VYDAJ	VYBER	15	90059	SLUZBY	\N	\N
759958	2592	1998-01-31	VYDAJ	VYBER	15	78108	SLUZBY	\N	\N
759959	2592	1998-02-28	VYDAJ	VYBER	15	84262	SLUZBY	\N	\N
759960	2592	1998-03-31	VYDAJ	VYBER	15	84226	SLUZBY	\N	\N
759961	2592	1998-04-30	VYDAJ	VYBER	15	82785	SLUZBY	\N	\N
759962	2592	1998-05-31	VYDAJ	VYBER	15	85672	SLUZBY	\N	\N
759963	2592	1998-06-30	VYDAJ	VYBER	15	50682	SLUZBY	\N	\N
759964	2592	1998-07-31	VYDAJ	VYBER	15	64454	SLUZBY	\N	\N
759965	2592	1998-08-31	VYDAJ	VYBER	15	80780	SLUZBY	\N	\N
759966	2592	1998-09-30	VYDAJ	VYBER	15	87346	SLUZBY	\N	\N
759967	2592	1998-10-31	VYDAJ	VYBER	15	89627	SLUZBY	\N	\N
759968	2592	1998-11-30	VYDAJ	VYBER	15	87406	SLUZBY	\N	\N
759969	2592	1993-10-01	PRIJEM	VKLAD	4800	17193	\N	\N	\N
759970	2592	1993-10-31	VYDAJ	VYBER	3000	26050	\N	\N	\N
759971	2592	1993-11-30	VYDAJ	VYBER	7900	30018	\N	\N	\N
759972	2592	1993-12-30	VYDAJ	VYBER	9400	38256	\N	\N	\N
759973	2592	1994-01-29	VYDAJ	VYBER	3900	23674	\N	\N	\N
759974	2592	1994-02-28	VYDAJ	VYBER	2300	28239	\N	\N	\N
759975	2592	1994-03-30	VYDAJ	VYBER	5700	27849	\N	\N	\N
759976	2592	1994-04-29	VYDAJ	VYBER	6400	28200	\N	\N	\N
759977	2592	1994-05-29	VYDAJ	VYBER	4900	28007	\N	\N	\N
759978	2592	1994-06-28	VYDAJ	VYBER	4000	33391	\N	\N	\N
759979	2592	1994-07-28	VYDAJ	VYBER	6600	33550	\N	\N	\N
759980	2592	1994-08-27	VYDAJ	VYBER	6700	33618	\N	\N	\N
759981	2592	1994-09-26	VYDAJ	VYBER	5300	35086	\N	\N	\N
759982	2592	1994-10-26	VYDAJ	VYBER	10100	31755	\N	\N	\N
759983	2592	1994-11-25	VYDAJ	VYBER	4300	34226	\N	\N	\N
759984	2592	1994-12-25	VYDAJ	VYBER	7600	37986	\N	\N	\N
759985	2592	1995-01-24	VYDAJ	VYBER	4000	29486	\N	\N	\N
759986	2592	1995-02-23	PRIJEM	VKLAD	2000	22242	\N	\N	\N
759987	2592	1995-03-25	PRIJEM	VKLAD	2600	30211	\N	\N	\N
759988	2592	1995-04-24	VYDAJ	VYBER	2600	34333	\N	\N	\N
759989	2592	1995-05-24	VYDAJ	VYBER	7000	34088	\N	\N	\N
759990	2592	1995-06-23	VYDAJ	VYBER	3400	37935	\N	\N	\N
759991	2592	1995-07-23	VYDAJ	VYBER	5300	39414	\N	\N	\N
759992	2592	1995-08-22	VYDAJ	VYBER	7000	39198	\N	\N	\N
759993	2592	1995-09-21	VYDAJ	VYBER	4300	41685	\N	\N	\N
759994	2592	1995-10-21	VYDAJ	VYBER	6000	42474	\N	\N	\N
759995	2592	1995-11-20	VYDAJ	VYBER	2000	47272	\N	\N	\N
759996	2592	1995-12-20	VYDAJ	VYBER	4800	50597	\N	\N	\N
759997	2592	1996-01-19	PRIJEM	VKLAD	2000	40744	\N	\N	\N
759998	2592	1996-02-18	PRIJEM	VKLAD	3000	41421	\N	\N	\N
759999	2592	1996-03-19	VYDAJ	VYBER	2800	44429	\N	\N	\N
760000	2592	1996-04-18	VYDAJ	VYBER	3000	48229	\N	\N	\N
760001	2592	1996-05-18	VYDAJ	VYBER	2300	52740	\N	\N	\N
760002	2592	1996-06-17	VYDAJ	VYBER	2100	50466	\N	\N	\N
760003	2592	1996-07-17	VYDAJ	VYBER	800	56494	\N	\N	\N
760004	2592	1996-08-16	VYDAJ	VYBER	5000	58335	\N	\N	\N
760005	2592	1996-09-15	VYDAJ	VYBER	1500	63692	\N	\N	\N
760006	2592	1996-10-15	VYDAJ	VYBER	3600	62403	\N	\N	\N
760007	2592	1996-11-14	VYDAJ	VYBER	3800	65482	\N	\N	\N
760008	2592	1996-12-14	VYDAJ	VYBER	9300	66659	\N	\N	\N
760009	2592	1997-01-13	VYDAJ	VYBER	600	59621	\N	\N	\N
760010	2592	1997-02-12	PRIJEM	VKLAD	4500	58345	\N	\N	\N
760011	2592	1997-03-14	PRIJEM	VKLAD	1300	56767	\N	\N	\N
760012	2592	1997-04-13	VYDAJ	VYBER	2800	60804	\N	\N	\N
760013	2592	1997-05-13	VYDAJ	VYBER	1300	65138	\N	\N	\N
760014	2592	1997-06-12	VYDAJ	VYBER	12200	65683	\N	\N	\N
760015	2592	1997-07-12	PRIJEM	VKLAD	8100	50029	\N	\N	\N
760016	2592	1997-08-11	PRIJEM	VKLAD	6700	63508	\N	\N	\N
760017	2592	1997-09-10	PRIJEM	VKLAD	5500	64086	\N	\N	\N
760018	2592	1997-10-10	PRIJEM	VKLAD	200	71178	\N	\N	\N
760019	2592	1997-11-09	VYDAJ	VYBER	6100	72007	\N	\N	\N
760020	2592	1997-12-09	VYDAJ	VYBER	300	78648	\N	\N	\N
760021	2592	1998-01-08	VYDAJ	VYBER	4400	83859	\N	\N	\N
760022	2592	1998-02-07	VYDAJ	VYBER	800	77308	\N	\N	\N
760023	2592	1998-03-09	VYDAJ	VYBER	7000	77262	\N	\N	\N
760024	2592	1998-04-08	VYDAJ	VYBER	8400	75826	\N	\N	\N
760025	2592	1998-05-08	VYDAJ	VYBER	1800	80985	\N	\N	\N
760026	2592	1998-06-07	VYDAJ	VYBER	3300	82372	\N	\N	\N
760027	2592	1998-07-07	PRIJEM	VKLAD	11100	61782	\N	\N	\N
760028	2592	1998-08-06	PRIJEM	VKLAD	9400	73854	\N	\N	\N
760029	2592	1998-09-05	VYDAJ	VYBER	400	80380	\N	\N	\N
760030	2592	1998-10-05	VYDAJ	VYBER	4700	82646	\N	\N	\N
760031	2592	1998-11-04	VYDAJ	VYBER	9200	80427	\N	\N	\N
760032	2592	1998-12-04	VYDAJ	VYBER	9700	77706	\N	\N	\N
760097	2593	1996-07-06	PRIJEM	VKLAD	1100	20479	\N	\N	\N
760104	2593	1996-07-06	PRIJEM	VKLAD	19379	19379	\N	\N	\N
760105	2593	1996-08-06	PRIJEM	VKLAD	19379	41130	\N	\N	\N
760106	2593	1996-09-06	PRIJEM	VKLAD	19379	50966	\N	\N	\N
760107	2593	1996-10-06	PRIJEM	VKLAD	19379	55851	\N	\N	\N
760108	2593	1996-11-06	PRIJEM	VKLAD	19379	58159	\N	\N	\N
760109	2593	1996-12-06	PRIJEM	VKLAD	29068	65390	\N	\N	\N
760110	2593	1997-01-06	PRIJEM	VKLAD	19379	53319	\N	\N	\N
760111	2593	1997-02-06	PRIJEM	VKLAD	19379	46220	\N	\N	\N
760112	2593	1997-03-06	PRIJEM	VKLAD	19379	47235	\N	\N	\N
760113	2593	1997-04-06	PRIJEM	VKLAD	19379	48664	\N	\N	\N
760114	2593	1997-05-06	PRIJEM	VKLAD	19379	46619	\N	\N	\N
760115	2593	1997-06-06	PRIJEM	VKLAD	29068	54175	\N	\N	\N
760116	2593	1997-07-06	PRIJEM	VKLAD	19379	36476	\N	\N	\N
760117	2593	1997-08-06	PRIJEM	VKLAD	19379	37316	\N	\N	\N
760118	2593	1997-09-06	PRIJEM	VKLAD	19379	42851	\N	\N	\N
760119	2593	1997-10-06	PRIJEM	VKLAD	19379	38868	\N	\N	\N
760120	2593	1997-11-06	PRIJEM	VKLAD	19379	37550	\N	\N	\N
760121	2593	1997-12-06	PRIJEM	VKLAD	29068	47812	\N	\N	\N
760122	2593	1998-01-06	PRIJEM	VKLAD	19379	39254	\N	\N	\N
760123	2593	1998-02-06	PRIJEM	VKLAD	19379	35160	\N	\N	\N
760124	2593	1998-03-06	PRIJEM	VKLAD	19379	34722	\N	\N	\N
760125	2593	1998-04-06	PRIJEM	VKLAD	19379	33481	\N	\N	\N
760126	2593	1998-05-06	PRIJEM	VKLAD	19379	34836	\N	\N	\N
760127	2593	1998-06-06	PRIJEM	VKLAD	29068	43786	\N	\N	\N
760128	2593	1998-07-06	PRIJEM	VKLAD	19379	38985	\N	\N	\N
760129	2593	1998-08-06	PRIJEM	VKLAD	19379	42562	\N	\N	\N
760130	2593	1998-09-06	PRIJEM	VKLAD	19379	45352	\N	\N	\N
760131	2593	1998-10-06	PRIJEM	VKLAD	19379	46231	\N	\N	\N
760132	2593	1998-11-06	PRIJEM	VKLAD	19379	43382	\N	\N	\N
760133	2593	1998-12-06	PRIJEM	VKLAD	29068	55246	\N	\N	\N
760144	2593	1996-11-08	VYDAJ	PREVOD NA UCET	7300	50859	SIPO	MN	41153532
760145	2593	1996-12-08	VYDAJ	PREVOD NA UCET	7300	58090	SIPO	MN	41153532
760146	2593	1997-01-08	VYDAJ	PREVOD NA UCET	7300	46019	SIPO	MN	41153532
760147	2593	1997-02-08	VYDAJ	PREVOD NA UCET	7300	38920	SIPO	MN	41153532
760148	2593	1997-03-08	VYDAJ	PREVOD NA UCET	7300	39935	SIPO	MN	41153532
760149	2593	1997-04-08	VYDAJ	PREVOD NA UCET	7300	41364	SIPO	MN	41153532
760150	2593	1997-05-08	VYDAJ	PREVOD NA UCET	7300	39319	SIPO	MN	41153532
760151	2593	1997-06-08	VYDAJ	PREVOD NA UCET	7300	46875	SIPO	MN	41153532
760152	2593	1997-07-08	VYDAJ	PREVOD NA UCET	7300	29176	SIPO	MN	41153532
760153	2593	1997-08-08	VYDAJ	PREVOD NA UCET	7300	30016	SIPO	MN	41153532
760154	2593	1997-09-08	VYDAJ	PREVOD NA UCET	7300	35551	SIPO	MN	41153532
760155	2593	1997-10-08	VYDAJ	PREVOD NA UCET	7300	29768	SIPO	MN	41153532
760156	2593	1997-11-08	VYDAJ	PREVOD NA UCET	7300	30250	SIPO	MN	41153532
760157	2593	1997-12-08	VYDAJ	PREVOD NA UCET	7300	40512	SIPO	MN	41153532
760158	2593	1998-01-08	VYDAJ	PREVOD NA UCET	7300	31954	SIPO	MN	41153532
760159	2593	1998-02-08	VYDAJ	PREVOD NA UCET	7300	27860	SIPO	MN	41153532
760160	2593	1998-03-08	VYDAJ	PREVOD NA UCET	7300	27422	SIPO	MN	41153532
760161	2593	1998-04-08	VYDAJ	PREVOD NA UCET	7300	26181	SIPO	MN	41153532
760162	2593	1998-05-08	VYDAJ	PREVOD NA UCET	7300	27536	SIPO	MN	41153532
760163	2593	1998-06-08	VYDAJ	PREVOD NA UCET	7300	36486	SIPO	MN	41153532
760164	2593	1998-07-08	VYDAJ	PREVOD NA UCET	7300	31685	SIPO	MN	41153532
760165	2593	1998-08-08	VYDAJ	PREVOD NA UCET	7300	35262	SIPO	MN	41153532
760166	2593	1998-09-08	VYDAJ	PREVOD NA UCET	7300	38052	SIPO	MN	41153532
760167	2593	1998-10-08	VYDAJ	PREVOD NA UCET	7300	38931	SIPO	MN	41153532
760168	2593	1998-11-08	VYDAJ	PREVOD NA UCET	7300	36082	SIPO	MN	41153532
760169	2593	1998-12-08	VYDAJ	PREVOD NA UCET	7300	44906	SIPO	MN	41153532
760171	2593	1997-06-24	VYDAJ	VYBER	16960	21755	\N	\N	\N
760174	2593	1997-01-20	VYDAJ	VYBER	3360	37499	\N	\N	\N
760176	2593	1996-12-17	VYDAJ	VYBER	4320	53770	\N	\N	\N
760177	2593	1997-12-26	VYDAJ	VYBER	3200	37312	\N	\N	\N
760178	2593	1998-12-06	VYDAJ	VYBER	3040	52206	\N	\N	\N
760185	2593	1997-01-10	VYDAJ	VYBER	2160	43859	\N	\N	\N
760186	2593	1997-01-30	VYDAJ	VYBER	1320	34379	\N	\N	\N
760187	2593	1997-01-05	VYDAJ	VYBER	2280	36100	\N	\N	\N
760188	2593	1997-01-25	VYDAJ	VYBER	1800	35699	\N	\N	\N
760189	2593	1997-01-05	VYDAJ	VYBER	2160	33940	\N	\N	\N
760190	2593	1997-01-17	VYDAJ	VYBER	3000	40859	\N	\N	\N
760191	2593	1998-01-20	VYDAJ	VYBER	2280	22474	\N	\N	\N
760192	2593	1998-01-13	VYDAJ	VYBER	3000	25954	\N	\N	\N
760193	2593	1998-01-01	VYDAJ	VYBER	2760	19875	\N	\N	\N
760194	2593	1998-01-25	VYDAJ	VYBER	2280	20194	\N	\N	\N
760195	2593	1998-01-10	VYDAJ	VYBER	3000	28954	\N	\N	\N
760196	2593	1998-01-13	VYDAJ	VYBER	1200	24754	\N	\N	\N
760197	2593	1996-12-01	VYDAJ	VYBER	2040	49022	\N	\N	\N
760202	2593	1997-02-14	VYDAJ	VYBER	4800	34120	\N	\N	\N
760203	2593	1997-06-12	VYDAJ	VYBER	4320	42555	\N	\N	\N
760204	2593	1997-06-21	VYDAJ	VYBER	3840	38715	\N	\N	\N
760205	2593	1997-07-30	VYDAJ	VYBER	4440	24736	\N	\N	\N
760206	2593	1997-08-21	VYDAJ	VYBER	840	29176	\N	\N	\N
760207	2593	1997-10-07	VYDAJ	VYBER	1800	37068	\N	\N	\N
760208	2593	1997-05-28	VYDAJ	VYBER	4560	34759	\N	\N	\N
760209	2593	1997-10-05	VYDAJ	VYBER	4080	19489	\N	\N	\N
760210	2593	1997-04-23	VYDAJ	VYBER	2280	39084	\N	\N	\N
760211	2593	1998-11-02	VYDAJ	VYBER	1560	24003	\N	\N	\N
760212	2593	1998-09-22	VYDAJ	VYBER	1920	36132	\N	\N	\N
760213	2593	1998-10-12	VYDAJ	VYBER	5280	33651	\N	\N	\N
760214	2593	1998-11-16	VYDAJ	VYBER	2520	33562	\N	\N	\N
760215	2593	1998-05-27	VYDAJ	VYBER	3600	14636	\N	\N	\N
760216	2593	1998-06-20	VYDAJ	VYBER	4680	31806	\N	\N	\N
760228	2593	1996-11-30	VYDAJ	VYBER	15	51062	SLUZBY	\N	\N
760229	2593	1996-12-31	VYDAJ	VYBER	15	53980	SLUZBY	\N	\N
760230	2593	1997-01-31	VYDAJ	VYBER	15	34541	SLUZBY	\N	\N
760231	2593	1997-02-28	VYDAJ	VYBER	15	34256	SLUZBY	\N	\N
760232	2593	1997-03-31	VYDAJ	VYBER	15	40085	SLUZBY	\N	\N
760233	2593	1997-04-30	VYDAJ	VYBER	15	39240	SLUZBY	\N	\N
760234	2593	1997-05-31	VYDAJ	VYBER	15	34907	SLUZBY	\N	\N
760235	2593	1997-06-30	VYDAJ	VYBER	15	21897	SLUZBY	\N	\N
760236	2593	1997-07-31	VYDAJ	VYBER	15	17937	SLUZBY	\N	\N
760237	2593	1997-08-31	VYDAJ	VYBER	15	23472	SLUZBY	\N	\N
760238	2593	1997-09-30	VYDAJ	VYBER	15	23569	SLUZBY	\N	\N
760239	2593	1997-10-31	VYDAJ	VYBER	15	18171	SLUZBY	\N	\N
760240	2593	1997-11-30	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
760241	2593	1997-12-31	VYDAJ	VYBER	15	22635	SLUZBY	\N	\N
760242	2593	1998-01-31	VYDAJ	VYBER	15	15781	SLUZBY	\N	\N
760243	2593	1998-02-28	VYDAJ	VYBER	15	15343	SLUZBY	\N	\N
760244	2593	1998-03-31	VYDAJ	VYBER	15	14102	SLUZBY	\N	\N
760245	2593	1998-04-30	VYDAJ	VYBER	15	15457	SLUZBY	\N	\N
760246	2593	1998-05-31	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
760247	2593	1998-06-30	VYDAJ	VYBER	15	19606	SLUZBY	\N	\N
760248	2593	1998-07-31	VYDAJ	VYBER	15	23183	SLUZBY	\N	\N
760249	2593	1998-08-31	VYDAJ	VYBER	15	25973	SLUZBY	\N	\N
760250	2593	1998-09-30	VYDAJ	VYBER	15	26852	SLUZBY	\N	\N
760251	2593	1998-10-31	VYDAJ	VYBER	15	25563	SLUZBY	\N	\N
760252	2593	1998-11-30	VYDAJ	VYBER	15	26178	SLUZBY	\N	\N
760253	2593	1996-08-05	PRIJEM	VKLAD	1200	21751	\N	\N	\N
760254	2593	1996-09-04	VYDAJ	VYBER	9700	31587	\N	\N	\N
760255	2593	1996-10-04	VYDAJ	VYBER	14700	36472	\N	\N	\N
760256	2593	1996-11-03	VYDAJ	VYBER	17300	38780	\N	\N	\N
760257	2593	1996-12-03	VYDAJ	VYBER	12700	36322	\N	\N	\N
760258	2593	1997-01-02	VYDAJ	VYBER	15600	38380	\N	\N	\N
760259	2593	1997-02-01	VYDAJ	VYBER	7700	26841	\N	\N	\N
760260	2593	1997-03-03	VYDAJ	VYBER	6400	27856	\N	\N	\N
760261	2593	1997-04-02	VYDAJ	VYBER	10800	29285	\N	\N	\N
760262	2593	1997-05-02	VYDAJ	VYBER	12000	27240	\N	\N	\N
760263	2593	1997-06-01	VYDAJ	VYBER	9800	25107	\N	\N	\N
760264	2593	1997-07-01	VYDAJ	VYBER	4800	17097	\N	\N	\N
760265	2593	1997-07-31	VYDAJ	VYBER	6900	17952	\N	\N	\N
760266	2593	1997-08-30	VYDAJ	VYBER	5800	23376	\N	\N	\N
760267	2593	1997-09-29	VYDAJ	VYBER	12100	23451	\N	\N	\N
760268	2593	1997-10-29	VYDAJ	VYBER	11700	18068	\N	\N	\N
760269	2593	1997-11-28	VYDAJ	VYBER	11600	18650	\N	\N	\N
760270	2593	1997-12-28	VYDAJ	VYBER	14800	22512	\N	\N	\N
760271	2593	1998-01-27	VYDAJ	VYBER	4500	15694	\N	\N	\N
760272	2593	1998-02-26	VYDAJ	VYBER	12600	15260	\N	\N	\N
760273	2593	1998-03-28	VYDAJ	VYBER	13400	14022	\N	\N	\N
760274	2593	1998-04-27	VYDAJ	VYBER	10800	15381	\N	\N	\N
760275	2593	1998-05-27	VYDAJ	VYBER	9300	18236	\N	\N	\N
760276	2593	1998-06-26	VYDAJ	VYBER	12300	19506	\N	\N	\N
760277	2593	1998-07-26	VYDAJ	VYBER	8600	23085	\N	\N	\N
760278	2593	1998-08-25	VYDAJ	VYBER	9400	25862	\N	\N	\N
760279	2593	1998-09-24	VYDAJ	VYBER	9400	26732	\N	\N	\N
760280	2593	1998-10-24	VYDAJ	VYBER	8200	25451	\N	\N	\N
760281	2593	1998-11-23	VYDAJ	VYBER	7500	26062	\N	\N	\N
760312	2594	1997-05-03	PRIJEM	VKLAD	400	400	\N	\N	\N
760313	2594	1997-06-24	PRIJEM	VKLAD	12926	41381	\N	\N	\N
760314	2594	1997-05-20	PRIJEM	VKLAD	29307	29707	\N	\N	\N
760315	2594	1998-10-30	PRIJEM	VKLAD	17303	39197	\N	\N	\N
760316	2594	1998-06-13	PRIJEM	VKLAD	38333	44693	\N	\N	\N
760317	2594	1998-09-21	PRIJEM	VKLAD	25553	55060	\N	\N	\N
760318	2594	1998-03-05	PRIJEM	VKLAD	49588	103794	\N	\N	\N
760319	2594	1998-07-17	PRIJEM	VKLAD	9887	78503	\N	\N	\N
760320	2594	1998-03-19	PRIJEM	VKLAD	25947	118323	\N	\N	\N
760321	2594	1998-12-24	PRIJEM	VKLAD	43322	131058	\N	\N	\N
760322	2594	1998-12-10	PRIJEM	VKLAD	22696	55402	\N	\N	\N
760323	2594	1998-07-22	PRIJEM	VKLAD	21557	100060	\N	\N	\N
760324	2594	1998-02-18	PRIJEM	VKLAD	29248	54579	\N	\N	\N
760325	2594	1998-04-24	PRIJEM	VKLAD	12425	42058	\N	\N	\N
760326	2594	1998-04-10	PRIJEM	VKLAD	9217	42360	\N	\N	\N
760327	2594	1998-10-04	PRIJEM	VKLAD	31594	63548	\N	\N	\N
760328	2594	1998-02-22	PRIJEM	VKLAD	41752	96331	\N	\N	\N
760329	2594	1998-02-07	PRIJEM	VKLAD	9524	25331	\N	\N	\N
760330	2594	1998-08-30	PRIJEM	VKLAD	24113	73562	\N	\N	\N
760331	2594	1998-09-02	PRIJEM	VKLAD	39668	113470	\N	\N	\N
760332	2594	1998-12-09	PRIJEM	VKLAD	15495	43618	\N	\N	\N
760333	2594	1998-08-20	PRIJEM	VKLAD	7924	93055	\N	\N	\N
760334	2594	1998-08-19	PRIJEM	VKLAD	7114	85131	\N	\N	\N
760335	2594	1998-12-14	PRIJEM	VKLAD	43340	98236	\N	\N	\N
760336	2594	1998-06-28	PRIJEM	VKLAD	18526	57192	\N	\N	\N
760337	2594	1998-07-31	PRIJEM	VKLAD	35067	94027	\N	\N	\N
760338	2594	1998-03-20	PRIJEM	VKLAD	25214	79937	\N	\N	\N
760339	2594	1998-11-28	PRIJEM	VKLAD	15561	28124	\N	\N	\N
760340	2594	1998-07-08	PRIJEM	VKLAD	32409	85520	\N	\N	\N
760341	2594	1998-07-01	PRIJEM	VKLAD	15038	72306	\N	\N	\N
760342	2594	1998-06-17	PRIJEM	VKLAD	25173	69866	\N	\N	\N
760343	2594	1998-12-26	PRIJEM	VKLAD	17174	62832	\N	\N	\N
760382	2594	1998-03-09	VYDAJ	PREVOD NA UCET	10912	92882	SIPO	CD	21398240
760383	2594	1998-04-09	VYDAJ	PREVOD NA UCET	10912	33143	SIPO	CD	21398240
760384	2594	1998-05-09	VYDAJ	PREVOD NA UCET	10912	15702	SIPO	CD	21398240
760385	2594	1998-06-09	VYDAJ	PREVOD NA UCET	10912	6866	SIPO	CD	21398240
760386	2594	1998-07-09	VYDAJ	PREVOD NA UCET	10912	74608	SIPO	CD	21398240
760387	2594	1998-08-09	VYDAJ	PREVOD NA UCET	10912	78523	SIPO	CD	21398240
760388	2594	1998-09-09	VYDAJ	PREVOD NA UCET	10912	35751	SIPO	CD	21398240
760389	2594	1998-10-09	VYDAJ	PREVOD NA UCET	10912	52636	SIPO	CD	21398240
760390	2594	1998-11-09	VYDAJ	PREVOD NA UCET	10912	18369	SIPO	CD	21398240
760391	2594	1998-12-09	VYDAJ	PREVOD NA UCET	10912	32706	SIPO	CD	21398240
760406	2594	1998-03-12	VYDAJ	PREVOD NA UCET	506	92376	 	OP	75519376
760407	2594	1998-04-12	VYDAJ	PREVOD NA UCET	506	41854	 	OP	75519376
760408	2594	1998-05-12	VYDAJ	PREVOD NA UCET	506	15196	 	OP	75519376
760409	2594	1998-06-12	VYDAJ	PREVOD NA UCET	506	6360	 	OP	75519376
760410	2594	1998-07-12	VYDAJ	PREVOD NA UCET	506	74102	 	OP	75519376
760411	2594	1998-08-12	VYDAJ	PREVOD NA UCET	506	78017	 	OP	75519376
760412	2594	1998-09-12	VYDAJ	PREVOD NA UCET	506	35245	 	OP	75519376
760413	2594	1998-10-12	VYDAJ	PREVOD NA UCET	506	52130	 	OP	75519376
760414	2594	1998-11-12	VYDAJ	PREVOD NA UCET	506	17863	 	OP	75519376
760415	2594	1998-12-12	VYDAJ	PREVOD NA UCET	506	54896	 	OP	75519376
760424	2594	1998-04-15	VYBER	VYBER	12221	29633	\N	\N	\N
760426	2594	1998-08-29	VYBER	VYBER	3206	49449	\N	\N	\N
760429	2594	1998-07-07	VYBER	VYBER	13819	58487	\N	\N	\N
760430	2594	1998-09-14	VYBER	VYBER	5738	29507	\N	\N	\N
760431	2594	1998-09-05	VYBER	VYBER	9407	46663	\N	\N	\N
760432	2594	1998-07-15	VYBER	VYBER	5486	68616	\N	\N	\N
760434	2594	1998-07-07	VYBER	VYBER	5376	53111	\N	\N	\N
760435	2594	1998-03-28	VYBER	VYBER	4194	75743	\N	\N	\N
760436	2594	1998-11-05	VYBER	VYBER	9986	29281	\N	\N	\N
760437	2594	1998-10-24	VYBER	VYBER	14436	37694	\N	\N	\N
760439	2594	1998-06-25	VYDAJ	VYBER	9600	60266	\N	\N	\N
760443	2594	1998-12-15	VYDAJ	VYBER	4200	87736	\N	\N	\N
760460	2594	1998-08-05	VYDAJ	VYBER	4800	89435	\N	\N	\N
760461	2594	1998-12-25	VYDAJ	VYBER	9300	45658	\N	\N	\N
760462	2594	1998-12-15	VYDAJ	VYBER	6300	91936	\N	\N	\N
760478	2594	1998-02-28	VYDAJ	VYBER	100	54206	SLUZBY	\N	\N
760479	2594	1998-03-31	VYDAJ	VYBER	100	44055	SLUZBY	\N	\N
760480	2594	1998-04-30	VYDAJ	VYBER	100	26614	SLUZBY	\N	\N
760481	2594	1998-05-31	VYDAJ	VYBER	100	17778	SLUZBY	\N	\N
760482	2594	1998-06-30	VYDAJ	VYBER	100	57268	SLUZBY	\N	\N
760483	2594	1998-07-31	VYDAJ	VYBER	100	94235	SLUZBY	\N	\N
760484	2594	1998-08-31	VYDAJ	VYBER	100	73802	SLUZBY	\N	\N
760485	2594	1998-09-30	VYDAJ	VYBER	100	31954	SLUZBY	\N	\N
760486	2594	1998-10-31	VYDAJ	VYBER	100	39267	SLUZBY	\N	\N
760487	2594	1998-11-30	VYDAJ	VYBER	100	28123	SLUZBY	\N	\N
760488	2594	1997-06-02	VYDAJ	VYBER	1300	28455	\N	\N	\N
760489	2594	1997-07-02	VYDAJ	VYBER	12000	29516	\N	\N	\N
760490	2594	1997-08-01	VYDAJ	VYBER	3600	26089	\N	\N	\N
760491	2594	1997-08-31	VYDAJ	VYBER	4700	21558	\N	\N	\N
760492	2594	1997-09-30	VYDAJ	VYBER	200	21448	\N	\N	\N
760493	2594	1997-10-30	VYDAJ	VYBER	600	20848	\N	\N	\N
760494	2594	1997-11-29	VYDAJ	VYBER	4900	16038	\N	\N	\N
760495	2594	1997-12-29	VYDAJ	VYBER	1000	15128	\N	\N	\N
760496	2594	1998-01-28	PRIJEM	VKLAD	500	15718	\N	\N	\N
760497	2594	1998-02-27	VYDAJ	VYBER	42200	54131	\N	\N	\N
760498	2594	1998-03-19	VYDAJ	VYBER	63600	54723	\N	\N	\N
760499	2594	1998-03-29	VYDAJ	VYBER	31900	43843	\N	\N	\N
760500	2594	1998-04-28	VYDAJ	VYBER	15500	26558	\N	\N	\N
760501	2594	1998-05-28	PRIJEM	VKLAD	2600	17796	\N	\N	\N
760502	2594	1998-06-27	VYDAJ	VYBER	21600	38666	\N	\N	\N
760503	2594	1998-07-27	VYDAJ	VYBER	41100	58960	\N	\N	\N
760504	2594	1998-08-26	VYDAJ	VYBER	40400	52655	\N	\N	\N
760505	2594	1998-09-02	VYDAJ	VYBER	57400	56070	\N	\N	\N
760506	2594	1998-09-25	VYDAJ	VYBER	23200	31860	\N	\N	\N
760507	2594	1998-10-25	VYDAJ	VYBER	15800	21894	\N	\N	\N
760508	2594	1998-11-24	VYDAJ	VYBER	5300	12563	\N	\N	\N
760509	2594	1998-12-24	VYDAJ	VYBER	30300	100758	\N	\N	\N
760510	2594	1998-12-24	VYDAJ	VYBER	45800	54958	\N	\N	\N
760531	2595	1997-08-17	PRIJEM	VKLAD	300	300	\N	\N	\N
760540	2595	1997-09-14	PRIJEM	PREVOD Z UCTU	6828	7128	DUCHOD	OP	91106652
760541	2595	1997-10-14	PRIJEM	PREVOD Z UCTU	6828	13956	DUCHOD	OP	91106652
760542	2595	1997-11-14	PRIJEM	PREVOD Z UCTU	6828	20784	DUCHOD	OP	91106652
760543	2595	1997-12-14	PRIJEM	PREVOD Z UCTU	6828	27612	DUCHOD	OP	91106652
760544	2595	1998-01-14	PRIJEM	PREVOD Z UCTU	6828	32799	DUCHOD	OP	91106652
760545	2595	1998-02-14	PRIJEM	PREVOD Z UCTU	6828	22495	DUCHOD	OP	91106652
760546	2595	1998-03-14	PRIJEM	PREVOD Z UCTU	6828	25914	DUCHOD	OP	91106652
760547	2595	1998-04-14	PRIJEM	PREVOD Z UCTU	6828	29349	DUCHOD	OP	91106652
760548	2595	1998-05-14	PRIJEM	PREVOD Z UCTU	6828	29677	DUCHOD	OP	91106652
760549	2595	1998-06-14	PRIJEM	PREVOD Z UCTU	6828	22431	DUCHOD	OP	91106652
760550	2595	1998-07-14	PRIJEM	PREVOD Z UCTU	6828	25869	DUCHOD	OP	91106652
760551	2595	1998-08-14	PRIJEM	PREVOD Z UCTU	6828	27139	DUCHOD	OP	91106652
760552	2595	1998-09-14	PRIJEM	PREVOD Z UCTU	6828	30579	DUCHOD	OP	91106652
760553	2595	1998-10-14	PRIJEM	PREVOD Z UCTU	6828	34032	DUCHOD	OP	91106652
760554	2595	1998-11-14	PRIJEM	PREVOD Z UCTU	6828	31333	DUCHOD	OP	91106652
760555	2595	1998-12-14	PRIJEM	PREVOD Z UCTU	6828	34040	DUCHOD	OP	91106652
760569	2595	1998-02-13	VYDAJ	PREVOD NA UCET	3481	15667	SIPO	ST	2264398
760570	2595	1998-03-13	VYDAJ	PREVOD NA UCET	3481	19086	SIPO	ST	2264398
760571	2595	1998-04-13	VYDAJ	PREVOD NA UCET	3481	22521	SIPO	ST	2264398
760572	2595	1998-05-13	VYDAJ	PREVOD NA UCET	3481	22849	SIPO	ST	2264398
760573	2595	1998-06-13	VYDAJ	PREVOD NA UCET	3481	15603	SIPO	ST	2264398
760574	2595	1998-07-13	VYDAJ	PREVOD NA UCET	3481	19041	SIPO	ST	2264398
760575	2595	1998-08-13	VYDAJ	PREVOD NA UCET	3481	20311	SIPO	ST	2264398
760576	2595	1998-09-13	VYDAJ	PREVOD NA UCET	3481	23751	SIPO	ST	2264398
760577	2595	1998-10-13	VYDAJ	PREVOD NA UCET	3481	27204	SIPO	ST	2264398
760578	2595	1998-11-13	VYDAJ	PREVOD NA UCET	3481	24505	SIPO	ST	2264398
760579	2595	1998-12-13	VYDAJ	PREVOD NA UCET	3481	27212	SIPO	ST	2264398
760581	2595	1998-06-05	VYDAJ	VYBER	10700	19084	\N	\N	\N
760583	2595	1998-01-22	VYDAJ	VYBER	3600	20819	\N	\N	\N
760585	2595	1998-12-11	VYDAJ	VYBER	750	30693	\N	\N	\N
760592	2595	1998-01-19	VYDAJ	VYBER	2160	24419	\N	\N	\N
760593	2595	1998-01-25	VYDAJ	VYBER	800	19059	\N	\N	\N
760595	2595	1998-01-25	VYDAJ	VYBER	960	19859	\N	\N	\N
760596	2595	1998-01-19	VYDAJ	VYBER	1440	26579	\N	\N	\N
760597	2595	1998-01-14	VYDAJ	VYBER	2080	30719	\N	\N	\N
760600	2595	1998-05-10	VYDAJ	VYBER	2160	27290	\N	\N	\N
760601	2595	1998-10-27	VYDAJ	VYBER	3680	27872	\N	\N	\N
760602	2595	1998-07-19	VYDAJ	VYBER	2160	23709	\N	\N	\N
760603	2595	1998-10-17	VYDAJ	VYBER	2480	31552	\N	\N	\N
760604	2595	1998-05-11	VYDAJ	VYBER	960	26330	\N	\N	\N
760618	2595	1998-01-31	VYDAJ	VYBER	15	19148	SLUZBY	\N	\N
760619	2595	1998-02-28	VYDAJ	VYBER	15	22567	SLUZBY	\N	\N
760620	2595	1998-03-31	VYDAJ	VYBER	15	26002	SLUZBY	\N	\N
760621	2595	1998-04-30	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
760622	2595	1998-05-31	VYDAJ	VYBER	15	29784	SLUZBY	\N	\N
760623	2595	1998-06-30	VYDAJ	VYBER	15	22522	SLUZBY	\N	\N
760624	2595	1998-07-31	VYDAJ	VYBER	15	23792	SLUZBY	\N	\N
760625	2595	1998-08-31	VYDAJ	VYBER	15	27232	SLUZBY	\N	\N
760626	2595	1998-09-30	VYDAJ	VYBER	15	30685	SLUZBY	\N	\N
760627	2595	1998-10-31	VYDAJ	VYBER	15	27986	SLUZBY	\N	\N
760628	2595	1998-11-30	VYDAJ	VYBER	15	31443	SLUZBY	\N	\N
760629	2595	1997-12-15	VYDAJ	VYBER	1700	25912	\N	\N	\N
760630	2595	1998-01-14	VYDAJ	VYBER	2700	28019	\N	\N	\N
760644	2596	1994-09-02	PRIJEM	VKLAD	200	200	\N	\N	\N
760653	2596	1994-09-14	PRIJEM	PREVOD Z UCTU	3428	3628	\N	KL	45731806
760654	2596	1994-10-14	PRIJEM	PREVOD Z UCTU	3428	7065	\N	KL	45731806
760655	2596	1994-11-14	PRIJEM	PREVOD Z UCTU	3428	10508	\N	KL	45731806
760656	2596	1994-12-14	PRIJEM	PREVOD Z UCTU	3428	13951	\N	KL	45731806
760657	2596	1995-01-14	PRIJEM	PREVOD Z UCTU	3428	17394	\N	KL	45731806
760658	2596	1995-02-14	PRIJEM	PREVOD Z UCTU	3428	17397	\N	KL	45731806
760659	2596	1995-03-14	PRIJEM	PREVOD Z UCTU	3428	18595	\N	KL	45731806
760660	2596	1995-04-14	PRIJEM	PREVOD Z UCTU	3428	18658	\N	KL	45731806
760661	2596	1995-05-14	PRIJEM	PREVOD Z UCTU	3428	18842	\N	KL	45731806
760662	2596	1995-06-14	PRIJEM	PREVOD Z UCTU	3428	20046	\N	KL	45731806
760663	2596	1995-07-14	PRIJEM	PREVOD Z UCTU	3428	15308	\N	KL	45731806
760664	2596	1995-08-14	PRIJEM	PREVOD Z UCTU	3428	16498	\N	KL	45731806
760665	2596	1995-09-14	PRIJEM	PREVOD Z UCTU	3428	17693	\N	KL	45731806
760666	2596	1995-10-14	PRIJEM	PREVOD Z UCTU	3428	17931	\N	KL	45731806
760667	2596	1995-11-14	PRIJEM	PREVOD Z UCTU	3428	19132	\N	KL	45731806
760668	2596	1995-12-14	PRIJEM	PREVOD Z UCTU	3428	20338	\N	KL	45731806
760669	2596	1996-01-14	PRIJEM	PREVOD Z UCTU	3428	19899	\N	KL	45731806
760670	2596	1996-02-14	PRIJEM	PREVOD Z UCTU	3428	19634	\N	KL	45731806
760671	2596	1996-03-14	PRIJEM	PREVOD Z UCTU	3428	20842	\N	KL	45731806
760672	2596	1996-04-14	PRIJEM	PREVOD Z UCTU	3428	19385	\N	KL	45731806
760673	2596	1996-05-14	PRIJEM	PREVOD Z UCTU	3428	20590	\N	KL	45731806
760674	2596	1996-06-14	PRIJEM	PREVOD Z UCTU	3428	21142	\N	KL	45731806
760675	2596	1996-07-14	PRIJEM	PREVOD Z UCTU	3428	22354	\N	KL	45731806
760676	2596	1996-08-14	PRIJEM	PREVOD Z UCTU	3428	23243	\N	KL	45731806
760677	2596	1996-09-14	PRIJEM	PREVOD Z UCTU	3428	24466	\N	KL	45731806
760678	2596	1996-10-14	PRIJEM	PREVOD Z UCTU	3428	25694	\N	KL	45731806
760679	2596	1996-11-14	PRIJEM	PREVOD Z UCTU	3428	26927	\N	KL	45731806
760680	2596	1996-12-14	PRIJEM	PREVOD Z UCTU	3428	27865	\N	KL	45731806
760681	2596	1997-01-14	PRIJEM	PREVOD Z UCTU	3428	27516	\N	KL	45731806
760682	2596	1997-02-14	PRIJEM	PREVOD Z UCTU	3428	27043	\N	KL	45731806
760683	2596	1997-03-14	PRIJEM	PREVOD Z UCTU	3428	28281	\N	KL	45731806
760684	2596	1997-04-14	PRIJEM	PREVOD Z UCTU	3428	28745	\N	KL	45731806
760685	2596	1997-05-14	PRIJEM	PREVOD Z UCTU	3428	29989	\N	KL	45731806
760686	2596	1997-06-14	PRIJEM	PREVOD Z UCTU	3428	30248	\N	KL	45731806
760687	2596	1997-07-14	PRIJEM	PREVOD Z UCTU	3428	24415	\N	KL	45731806
760688	2596	1997-08-14	PRIJEM	PREVOD Z UCTU	3428	25642	\N	KL	45731806
760689	2596	1997-09-14	PRIJEM	PREVOD Z UCTU	3428	26875	\N	KL	45731806
760690	2596	1997-10-14	PRIJEM	PREVOD Z UCTU	3428	28113	\N	KL	45731806
760691	2596	1997-11-14	PRIJEM	PREVOD Z UCTU	3428	29355	\N	KL	45731806
760692	2596	1997-12-14	PRIJEM	PREVOD Z UCTU	3428	30603	\N	KL	45731806
760693	2596	1998-01-14	PRIJEM	PREVOD Z UCTU	3428	27445	\N	KL	45731806
760694	2596	1998-02-14	PRIJEM	PREVOD Z UCTU	3428	27395	\N	KL	45731806
760695	2596	1998-03-14	PRIJEM	PREVOD Z UCTU	3428	28634	\N	KL	45731806
760696	2596	1998-04-14	PRIJEM	PREVOD Z UCTU	3428	29879	\N	KL	45731806
760697	2596	1998-05-14	PRIJEM	PREVOD Z UCTU	3428	31128	\N	KL	45731806
760698	2596	1998-06-14	PRIJEM	PREVOD Z UCTU	3428	28743	\N	KL	45731806
760699	2596	1998-07-14	PRIJEM	PREVOD Z UCTU	3428	22419	\N	KL	45731806
760700	2596	1998-08-14	PRIJEM	PREVOD Z UCTU	3428	23638	\N	KL	45731806
760701	2596	1998-09-14	PRIJEM	PREVOD Z UCTU	3428	24862	\N	KL	45731806
760702	2596	1998-10-14	PRIJEM	PREVOD Z UCTU	3428	26090	\N	KL	45731806
760703	2596	1998-11-14	PRIJEM	PREVOD Z UCTU	3428	27324	\N	KL	45731806
760704	2596	1998-12-14	PRIJEM	PREVOD Z UCTU	3428	27363	\N	KL	45731806
760718	2596	1995-02-05	VYDAJ	PREVOD NA UCET	2285	13969	SIPO	EF	34919470
760719	2596	1995-03-05	VYDAJ	PREVOD NA UCET	2285	15167	SIPO	EF	34919470
760720	2596	1995-04-05	VYDAJ	PREVOD NA UCET	2285	15230	SIPO	EF	34919470
760721	2596	1995-05-05	VYDAJ	PREVOD NA UCET	2285	15984	SIPO	EF	34919470
760722	2596	1995-06-05	VYDAJ	PREVOD NA UCET	2285	16618	SIPO	EF	34919470
760723	2596	1995-07-05	VYDAJ	PREVOD NA UCET	2285	11880	SIPO	EF	34919470
760724	2596	1995-08-05	VYDAJ	PREVOD NA UCET	2285	13070	SIPO	EF	34919470
760725	2596	1995-09-05	VYDAJ	PREVOD NA UCET	2285	14265	SIPO	EF	34919470
760726	2596	1995-10-05	VYDAJ	PREVOD NA UCET	2285	14503	SIPO	EF	34919470
760727	2596	1995-11-05	VYDAJ	PREVOD NA UCET	2285	15704	SIPO	EF	34919470
760728	2596	1995-12-05	VYDAJ	PREVOD NA UCET	2285	16910	SIPO	EF	34919470
760729	2596	1996-01-05	VYDAJ	PREVOD NA UCET	2285	17011	SIPO	EF	34919470
760730	2596	1996-02-05	VYDAJ	PREVOD NA UCET	2285	16206	SIPO	EF	34919470
760731	2596	1996-03-05	VYDAJ	PREVOD NA UCET	2285	17414	SIPO	EF	34919470
760732	2596	1996-04-05	VYDAJ	PREVOD NA UCET	2285	15957	SIPO	EF	34919470
760733	2596	1996-05-05	VYDAJ	PREVOD NA UCET	2285	17162	SIPO	EF	34919470
760734	2596	1996-06-05	VYDAJ	PREVOD NA UCET	2285	18374	SIPO	EF	34919470
760735	2596	1996-07-05	VYDAJ	PREVOD NA UCET	2285	18926	SIPO	EF	34919470
760736	2596	1996-08-05	VYDAJ	PREVOD NA UCET	2285	19815	SIPO	EF	34919470
760737	2596	1996-09-05	VYDAJ	PREVOD NA UCET	2285	21038	SIPO	EF	34919470
760738	2596	1996-10-05	VYDAJ	PREVOD NA UCET	2285	22266	SIPO	EF	34919470
760739	2596	1996-11-05	VYDAJ	PREVOD NA UCET	2285	23499	SIPO	EF	34919470
760740	2596	1996-12-05	VYDAJ	PREVOD NA UCET	2285	24737	SIPO	EF	34919470
760741	2596	1997-01-05	VYDAJ	PREVOD NA UCET	2285	24598	SIPO	EF	34919470
760742	2596	1997-02-05	VYDAJ	PREVOD NA UCET	2285	23615	SIPO	EF	34919470
760743	2596	1997-03-05	VYDAJ	PREVOD NA UCET	2285	24853	SIPO	EF	34919470
760744	2596	1997-04-05	VYDAJ	PREVOD NA UCET	2285	25857	SIPO	EF	34919470
760745	2596	1997-05-05	VYDAJ	PREVOD NA UCET	2285	26561	SIPO	EF	34919470
760746	2596	1997-06-05	VYDAJ	PREVOD NA UCET	2285	26820	SIPO	EF	34919470
760747	2596	1997-07-05	VYDAJ	PREVOD NA UCET	2285	20987	SIPO	EF	34919470
760748	2596	1997-08-05	VYDAJ	PREVOD NA UCET	2285	22214	SIPO	EF	34919470
760749	2596	1997-09-05	VYDAJ	PREVOD NA UCET	2285	23447	SIPO	EF	34919470
760750	2596	1997-10-05	VYDAJ	PREVOD NA UCET	2285	24685	SIPO	EF	34919470
760751	2596	1997-11-05	VYDAJ	PREVOD NA UCET	2285	25927	SIPO	EF	34919470
760752	2596	1997-12-05	VYDAJ	PREVOD NA UCET	2285	27175	SIPO	EF	34919470
760753	2596	1998-01-05	VYDAJ	PREVOD NA UCET	2285	25967	SIPO	EF	34919470
760754	2596	1998-02-05	VYDAJ	PREVOD NA UCET	2285	24927	SIPO	EF	34919470
760755	2596	1998-03-05	VYDAJ	PREVOD NA UCET	2285	25206	SIPO	EF	34919470
760756	2596	1998-04-05	VYDAJ	PREVOD NA UCET	2285	26451	SIPO	EF	34919470
760757	2596	1998-05-05	VYDAJ	PREVOD NA UCET	2285	27700	SIPO	EF	34919470
760758	2596	1998-06-05	VYDAJ	PREVOD NA UCET	2285	27255	SIPO	EF	34919470
760759	2596	1998-07-05	VYDAJ	PREVOD NA UCET	2285	18991	SIPO	EF	34919470
760760	2596	1998-08-05	VYDAJ	PREVOD NA UCET	2285	20210	SIPO	EF	34919470
760761	2596	1998-09-05	VYDAJ	PREVOD NA UCET	2285	21434	SIPO	EF	34919470
760762	2596	1998-10-05	VYDAJ	PREVOD NA UCET	2285	22662	SIPO	EF	34919470
760763	2596	1998-11-05	VYDAJ	PREVOD NA UCET	2285	23896	SIPO	EF	34919470
760764	2596	1998-12-05	VYDAJ	PREVOD NA UCET	2285	24955	SIPO	EF	34919470
760766	2596	1995-06-21	VYDAJ	VYBER	5940	14106	\N	\N	\N
760768	2596	1997-06-26	VYDAJ	VYBER	7080	23168	\N	\N	\N
760769	2596	1998-06-22	VYDAJ	VYBER	7560	21183	\N	\N	\N
760771	2596	1995-12-16	VYDAJ	VYBER	240	20098	\N	\N	\N
760772	2596	1996-12-24	VYDAJ	VYBER	780	27085	\N	\N	\N
760773	2596	1997-12-21	VYDAJ	VYBER	810	29793	\N	\N	\N
760774	2596	1998-12-03	VYDAJ	VYBER	180	27240	\N	\N	\N
760782	2596	1995-01-22	VYDAJ	VYBER	210	16224	\N	\N	\N
760783	2596	1995-01-16	VYDAJ	VYBER	210	16644	\N	\N	\N
760784	2596	1995-01-17	VYDAJ	VYBER	210	16434	\N	\N	\N
760786	2596	1995-01-15	VYDAJ	VYBER	540	16854	\N	\N	\N
760787	2596	1996-01-02	VYDAJ	VYBER	330	19836	\N	\N	\N
760788	2596	1996-01-21	VYDAJ	VYBER	780	19119	\N	\N	\N
760789	2596	1996-01-05	VYDAJ	VYBER	540	16471	\N	\N	\N
760790	2596	1996-01-23	VYDAJ	VYBER	180	18939	\N	\N	\N
760791	2596	1996-01-26	VYDAJ	VYBER	510	18429	\N	\N	\N
760792	2596	1996-01-02	VYDAJ	VYBER	540	19296	\N	\N	\N
760793	2596	1997-01-29	VYDAJ	VYBER	570	25806	\N	\N	\N
760794	2596	1997-01-21	VYDAJ	VYBER	480	26376	\N	\N	\N
760795	2596	1997-01-20	VYDAJ	VYBER	660	26856	\N	\N	\N
760796	2596	1997-01-01	VYDAJ	VYBER	300	26883	\N	\N	\N
760797	2596	1997-01-13	VYDAJ	VYBER	210	24088	\N	\N	\N
760798	2596	1997-01-13	VYDAJ	VYBER	300	24298	\N	\N	\N
760799	2596	1998-01-12	VYDAJ	VYBER	210	24017	\N	\N	\N
760800	2596	1998-01-02	VYDAJ	VYBER	810	28252	\N	\N	\N
760801	2596	1998-01-26	VYDAJ	VYBER	330	27115	\N	\N	\N
760802	2596	1998-01-12	VYDAJ	VYBER	870	24227	\N	\N	\N
760803	2596	1998-01-09	VYDAJ	VYBER	690	25277	\N	\N	\N
760804	2596	1998-01-09	VYDAJ	VYBER	180	25097	\N	\N	\N
760811	2596	1995-04-25	VYDAJ	VYBER	450	18208	\N	\N	\N
760812	2596	1995-03-27	VYDAJ	VYBER	1140	17455	\N	\N	\N
760813	2596	1995-09-17	VYDAJ	VYBER	960	16733	\N	\N	\N
760814	2596	1995-05-10	VYDAJ	VYBER	570	15414	\N	\N	\N
760815	2596	1996-06-06	VYDAJ	VYBER	660	17714	\N	\N	\N
760816	2596	1996-07-19	VYDAJ	VYBER	330	22024	\N	\N	\N
760817	2596	1996-03-30	VYDAJ	VYBER	1440	19402	\N	\N	\N
760818	2596	1996-12-10	VYDAJ	VYBER	300	24437	\N	\N	\N
760819	2596	1996-04-03	VYDAJ	VYBER	1230	18242	\N	\N	\N
760820	2596	1997-12-27	VYDAJ	VYBER	840	28953	\N	\N	\N
760821	2596	1997-03-25	VYDAJ	VYBER	240	28041	\N	\N	\N
760822	2596	1997-05-18	VYDAJ	VYBER	990	28999	\N	\N	\N
760823	2596	1997-04-08	VYDAJ	VYBER	540	25317	\N	\N	\N
760824	2596	1998-12-09	VYDAJ	VYBER	1020	23935	\N	\N	\N
760825	2596	1998-02-10	VYDAJ	VYBER	960	23967	\N	\N	\N
760826	2596	1998-06-07	VYDAJ	VYBER	240	27015	\N	\N	\N
760840	2596	1995-01-31	VYDAJ	VYBER	15	16254	SLUZBY	\N	\N
760841	2596	1995-02-28	VYDAJ	VYBER	15	17452	SLUZBY	\N	\N
760842	2596	1995-03-31	VYDAJ	VYBER	15	17515	SLUZBY	\N	\N
760843	2596	1995-04-30	VYDAJ	VYBER	15	18269	SLUZBY	\N	\N
760844	2596	1995-05-31	VYDAJ	VYBER	15	18903	SLUZBY	\N	\N
760845	2596	1995-06-30	VYDAJ	VYBER	15	14165	SLUZBY	\N	\N
760846	2596	1995-07-31	VYDAJ	VYBER	15	15355	SLUZBY	\N	\N
760847	2596	1995-08-31	VYDAJ	VYBER	15	16550	SLUZBY	\N	\N
760848	2596	1995-09-30	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
760849	2596	1995-10-31	VYDAJ	VYBER	15	17989	SLUZBY	\N	\N
760850	2596	1995-11-30	VYDAJ	VYBER	15	19195	SLUZBY	\N	\N
760851	2596	1995-12-31	VYDAJ	VYBER	15	20166	SLUZBY	\N	\N
760852	2596	1996-01-31	VYDAJ	VYBER	15	18491	SLUZBY	\N	\N
760853	2596	1996-02-29	VYDAJ	VYBER	15	19699	SLUZBY	\N	\N
760854	2596	1996-03-31	VYDAJ	VYBER	15	19472	SLUZBY	\N	\N
760855	2596	1996-04-30	VYDAJ	VYBER	15	19447	SLUZBY	\N	\N
760856	2596	1996-05-31	VYDAJ	VYBER	15	20659	SLUZBY	\N	\N
760857	2596	1996-06-30	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
760858	2596	1996-07-31	VYDAJ	VYBER	15	22100	SLUZBY	\N	\N
760859	2596	1996-08-31	VYDAJ	VYBER	15	23323	SLUZBY	\N	\N
760860	2596	1996-09-30	VYDAJ	VYBER	15	24551	SLUZBY	\N	\N
760861	2596	1996-10-31	VYDAJ	VYBER	15	25784	SLUZBY	\N	\N
760862	2596	1996-11-30	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
760863	2596	1996-12-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
760864	2596	1997-01-31	VYDAJ	VYBER	15	25900	SLUZBY	\N	\N
760865	2596	1997-02-28	VYDAJ	VYBER	15	27138	SLUZBY	\N	\N
760866	2596	1997-03-31	VYDAJ	VYBER	15	28142	SLUZBY	\N	\N
760867	2596	1997-04-30	VYDAJ	VYBER	15	28846	SLUZBY	\N	\N
760868	2596	1997-05-31	VYDAJ	VYBER	15	29105	SLUZBY	\N	\N
760869	2596	1997-06-30	VYDAJ	VYBER	15	23272	SLUZBY	\N	\N
760870	2596	1997-07-31	VYDAJ	VYBER	15	24499	SLUZBY	\N	\N
760871	2596	1997-08-31	VYDAJ	VYBER	15	25732	SLUZBY	\N	\N
760872	2596	1997-09-30	VYDAJ	VYBER	15	26970	SLUZBY	\N	\N
760873	2596	1997-10-31	VYDAJ	VYBER	15	28212	SLUZBY	\N	\N
760874	2596	1997-11-30	VYDAJ	VYBER	15	29460	SLUZBY	\N	\N
760875	2596	1997-12-31	VYDAJ	VYBER	15	29062	SLUZBY	\N	\N
760876	2596	1998-01-31	VYDAJ	VYBER	15	27212	SLUZBY	\N	\N
760877	2596	1998-02-28	VYDAJ	VYBER	15	27491	SLUZBY	\N	\N
760878	2596	1998-03-31	VYDAJ	VYBER	15	28736	SLUZBY	\N	\N
760879	2596	1998-04-30	VYDAJ	VYBER	15	29985	SLUZBY	\N	\N
760880	2596	1998-05-31	VYDAJ	VYBER	15	29540	SLUZBY	\N	\N
760881	2596	1998-06-30	VYDAJ	VYBER	15	21276	SLUZBY	\N	\N
760882	2596	1998-07-31	VYDAJ	VYBER	15	22495	SLUZBY	\N	\N
760883	2596	1998-08-31	VYDAJ	VYBER	15	23719	SLUZBY	\N	\N
760884	2596	1998-09-30	VYDAJ	VYBER	15	24947	SLUZBY	\N	\N
760885	2596	1998-10-31	VYDAJ	VYBER	15	26181	SLUZBY	\N	\N
760886	2596	1998-11-30	VYDAJ	VYBER	15	27420	SLUZBY	\N	\N
760887	2596	1998-05-14	VYDAJ	VYBER	1700	29428	\N	\N	\N
760888	2596	1998-06-13	VYDAJ	VYBER	1700	25315	\N	\N	\N
760941	2597	1997-03-16	PRIJEM	VKLAD	600	600	\N	\N	\N
760945	2597	1997-04-06	PRIJEM	VKLAD	19834	20434	\N	\N	\N
760946	2597	1997-05-06	PRIJEM	VKLAD	19834	39111	\N	\N	\N
760947	2597	1997-06-06	PRIJEM	VKLAD	29751	60869	\N	\N	\N
760948	2597	1997-07-06	PRIJEM	VKLAD	19834	58650	\N	\N	\N
760949	2597	1997-08-06	PRIJEM	VKLAD	19834	58144	\N	\N	\N
760950	2597	1997-09-06	PRIJEM	VKLAD	19834	58484	\N	\N	\N
760951	2597	1997-10-06	PRIJEM	VKLAD	19834	58924	\N	\N	\N
760952	2597	1997-11-06	PRIJEM	VKLAD	19834	59649	\N	\N	\N
760953	2597	1997-12-06	PRIJEM	VKLAD	29751	68274	\N	\N	\N
760954	2597	1998-01-06	PRIJEM	VKLAD	19834	58388	\N	\N	\N
760955	2597	1998-02-06	PRIJEM	VKLAD	19834	45657	\N	\N	\N
760956	2597	1998-03-06	PRIJEM	VKLAD	19834	47843	\N	\N	\N
760957	2597	1998-04-06	PRIJEM	VKLAD	19834	50785	\N	\N	\N
760958	2597	1998-05-06	PRIJEM	VKLAD	19834	47142	\N	\N	\N
760959	2597	1998-06-06	PRIJEM	VKLAD	29751	57046	\N	\N	\N
760960	2597	1998-07-06	PRIJEM	VKLAD	19834	46621	\N	\N	\N
760961	2597	1998-08-06	PRIJEM	VKLAD	19834	46102	\N	\N	\N
760962	2597	1998-09-06	PRIJEM	VKLAD	19834	42552	\N	\N	\N
760963	2597	1998-10-06	PRIJEM	VKLAD	19834	41811	\N	\N	\N
760964	2597	1998-11-06	PRIJEM	VKLAD	19834	38814	\N	\N	\N
760965	2597	1998-12-06	PRIJEM	VKLAD	29751	53995	\N	\N	\N
760973	2597	1997-08-07	VYDAJ	PREVOD NA UCET	1398	54789	SIPO	YZ	16589868
760974	2597	1997-09-07	VYDAJ	PREVOD NA UCET	1398	55129	SIPO	YZ	16589868
760975	2597	1997-10-07	VYDAJ	PREVOD NA UCET	1398	55569	SIPO	YZ	16589868
760976	2597	1997-11-07	VYDAJ	PREVOD NA UCET	1398	56294	SIPO	YZ	16589868
760977	2597	1997-12-07	VYDAJ	PREVOD NA UCET	1398	64919	SIPO	YZ	16589868
760978	2597	1998-01-07	VYDAJ	PREVOD NA UCET	1398	55033	SIPO	YZ	16589868
760979	2597	1998-02-07	VYDAJ	PREVOD NA UCET	1398	42302	SIPO	YZ	16589868
760980	2597	1998-03-07	VYDAJ	PREVOD NA UCET	1398	44488	SIPO	YZ	16589868
760981	2597	1998-04-07	VYDAJ	PREVOD NA UCET	1398	47430	SIPO	YZ	16589868
760982	2597	1998-05-07	VYDAJ	PREVOD NA UCET	1398	43787	SIPO	YZ	16589868
760983	2597	1998-06-07	VYDAJ	PREVOD NA UCET	1398	53691	SIPO	YZ	16589868
760984	2597	1998-07-07	VYDAJ	PREVOD NA UCET	1398	43266	SIPO	YZ	16589868
760985	2597	1998-08-07	VYDAJ	PREVOD NA UCET	1398	42747	SIPO	YZ	16589868
760986	2597	1998-09-07	VYDAJ	PREVOD NA UCET	1398	21897	SIPO	YZ	16589868
760987	2597	1998-10-07	VYDAJ	PREVOD NA UCET	1398	23456	SIPO	YZ	16589868
760988	2597	1998-11-07	VYDAJ	PREVOD NA UCET	1398	24159	SIPO	YZ	16589868
760989	2597	1998-12-07	VYDAJ	PREVOD NA UCET	1398	28140	SIPO	YZ	16589868
760997	2597	1997-08-06	VYDAJ	PREVOD NA UCET	1957	56187	 	MN	7596224
760998	2597	1997-09-06	VYDAJ	PREVOD NA UCET	1957	56527	 	MN	7596224
760999	2597	1997-10-06	VYDAJ	PREVOD NA UCET	1957	56967	 	MN	7596224
761000	2597	1997-11-06	VYDAJ	PREVOD NA UCET	1957	57692	 	MN	7596224
761001	2597	1997-12-06	VYDAJ	PREVOD NA UCET	1957	66317	 	MN	7596224
761002	2597	1998-01-06	VYDAJ	PREVOD NA UCET	1957	56431	 	MN	7596224
761003	2597	1998-02-06	VYDAJ	PREVOD NA UCET	1957	43700	 	MN	7596224
761004	2597	1998-03-06	VYDAJ	PREVOD NA UCET	1957	45886	 	MN	7596224
761005	2597	1998-04-06	VYDAJ	PREVOD NA UCET	1957	48828	 	MN	7596224
761006	2597	1998-05-06	VYDAJ	PREVOD NA UCET	1957	45185	 	MN	7596224
761007	2597	1998-06-06	VYDAJ	PREVOD NA UCET	1957	55089	 	MN	7596224
761008	2597	1998-07-06	VYDAJ	PREVOD NA UCET	1957	44664	 	MN	7596224
761009	2597	1998-08-06	VYDAJ	PREVOD NA UCET	1957	44145	 	MN	7596224
761010	2597	1998-09-06	VYDAJ	PREVOD NA UCET	1957	40595	 	MN	7596224
761011	2597	1998-10-06	VYDAJ	PREVOD NA UCET	1957	39854	 	MN	7596224
761012	2597	1998-11-06	VYDAJ	PREVOD NA UCET	1957	25557	 	MN	7596224
761013	2597	1998-12-06	VYDAJ	PREVOD NA UCET	1957	29538	 	MN	7596224
761015	2597	1998-06-09	VYDAJ	VYBER	9440	26651	\N	\N	\N
761016	2597	1997-12-03	VYDAJ	VYBER	3840	38523	\N	\N	\N
761017	2597	1998-12-16	VYDAJ	VYBER	1600	26540	\N	\N	\N
761024	2597	1998-01-15	VYDAJ	VYBER	3120	31573	\N	\N	\N
761025	2597	1998-01-03	VYDAJ	VYBER	3240	38554	\N	\N	\N
761026	2597	1998-01-11	VYDAJ	VYBER	3000	36733	\N	\N	\N
761027	2597	1998-01-20	VYDAJ	VYBER	1680	25693	\N	\N	\N
761028	2597	1998-01-17	VYDAJ	VYBER	1080	27373	\N	\N	\N
761029	2597	1998-01-15	VYDAJ	VYBER	2040	34693	\N	\N	\N
761035	2597	1997-10-16	VYDAJ	VYBER	3120	39649	\N	\N	\N
761036	2597	1998-08-25	VYDAJ	VYBER	1920	22627	\N	\N	\N
761037	2597	1998-01-16	VYDAJ	VYBER	3120	28453	\N	\N	\N
761038	2597	1998-11-05	VYDAJ	VYBER	4560	18980	\N	\N	\N
761039	2597	1998-04-17	VYDAJ	VYBER	5040	27190	\N	\N	\N
761040	2597	1998-12-26	VYDAJ	VYBER	3480	23060	\N	\N	\N
761041	2597	1998-03-29	VYDAJ	VYBER	960	30828	\N	\N	\N
761050	2597	1997-08-31	VYDAJ	VYBER	15	38650	SLUZBY	\N	\N
761051	2597	1997-09-30	VYDAJ	VYBER	15	39090	SLUZBY	\N	\N
761052	2597	1997-10-31	VYDAJ	VYBER	15	39815	SLUZBY	\N	\N
761053	2597	1997-11-30	VYDAJ	VYBER	15	42363	SLUZBY	\N	\N
761054	2597	1997-12-31	VYDAJ	VYBER	15	41794	SLUZBY	\N	\N
761055	2597	1998-01-31	VYDAJ	VYBER	15	25823	SLUZBY	\N	\N
761056	2597	1998-02-28	VYDAJ	VYBER	15	28009	SLUZBY	\N	\N
761057	2597	1998-03-31	VYDAJ	VYBER	15	30951	SLUZBY	\N	\N
761058	2597	1998-04-30	VYDAJ	VYBER	15	27308	SLUZBY	\N	\N
761059	2597	1998-05-31	VYDAJ	VYBER	15	27295	SLUZBY	\N	\N
761060	2597	1998-06-30	VYDAJ	VYBER	15	26787	SLUZBY	\N	\N
761061	2597	1998-07-31	VYDAJ	VYBER	15	26268	SLUZBY	\N	\N
761062	2597	1998-08-31	VYDAJ	VYBER	15	22718	SLUZBY	\N	\N
761063	2597	1998-09-30	VYDAJ	VYBER	15	21977	SLUZBY	\N	\N
761064	2597	1998-10-31	VYDAJ	VYBER	15	23540	SLUZBY	\N	\N
761065	2597	1998-11-30	VYDAJ	VYBER	15	24244	SLUZBY	\N	\N
761066	2597	1997-04-15	VYDAJ	VYBER	1200	19234	\N	\N	\N
761067	2597	1997-05-15	VYDAJ	VYBER	8100	31011	\N	\N	\N
761068	2597	1997-06-14	VYDAJ	VYBER	22200	38669	\N	\N	\N
761069	2597	1997-07-14	VYDAJ	VYBER	20500	38150	\N	\N	\N
761070	2597	1997-08-13	VYDAJ	VYBER	16300	38489	\N	\N	\N
761071	2597	1997-09-12	VYDAJ	VYBER	16200	38929	\N	\N	\N
761072	2597	1997-10-12	VYDAJ	VYBER	12800	42769	\N	\N	\N
761073	2597	1997-11-11	VYDAJ	VYBER	14100	42194	\N	\N	\N
761074	2597	1997-12-11	VYDAJ	VYBER	23300	41619	\N	\N	\N
761075	2597	1998-01-10	VYDAJ	VYBER	15300	39733	\N	\N	\N
761076	2597	1998-02-09	VYDAJ	VYBER	14400	27902	\N	\N	\N
761077	2597	1998-03-11	VYDAJ	VYBER	12700	31788	\N	\N	\N
761078	2597	1998-04-10	VYDAJ	VYBER	15200	32230	\N	\N	\N
761079	2597	1998-05-10	VYDAJ	VYBER	16600	27187	\N	\N	\N
761080	2597	1998-06-09	VYDAJ	VYBER	17600	36091	\N	\N	\N
761081	2597	1998-07-09	VYDAJ	VYBER	17100	26166	\N	\N	\N
761082	2597	1998-08-08	VYDAJ	VYBER	18200	24547	\N	\N	\N
761083	2597	1998-09-07	VYDAJ	VYBER	17300	23295	\N	\N	\N
761084	2597	1998-10-07	VYDAJ	VYBER	15000	24854	\N	\N	\N
761085	2597	1998-11-06	VYDAJ	VYBER	11300	27514	\N	\N	\N
761086	2597	1998-12-06	VYDAJ	VYBER	22500	31495	\N	\N	\N
761108	2598	1996-03-14	PRIJEM	VKLAD	900	900	\N	\N	\N
761110	2598	1996-06-29	PRIJEM	VKLAD	48418	79796	\N	\N	\N
761113	2598	1996-06-14	PRIJEM	VKLAD	17475	58267	\N	\N	\N
761115	2598	1996-12-24	PRIJEM	VKLAD	33495	52059	\N	\N	\N
761116	2598	1996-04-17	PRIJEM	VKLAD	15324	44395	\N	\N	\N
761117	2598	1996-05-01	PRIJEM	VKLAD	32316	85162	\N	\N	\N
761119	2598	1996-04-01	PRIJEM	VKLAD	33671	34571	\N	\N	\N
761120	2598	1996-04-18	PRIJEM	VKLAD	8333	52728	\N	\N	\N
761121	2598	1996-06-27	PRIJEM	VKLAD	27280	31378	\N	\N	\N
761122	2598	1996-10-09	PRIJEM	VKLAD	13152	39857	\N	\N	\N
761123	2598	1996-11-13	PRIJEM	VKLAD	46676	69490	\N	\N	\N
761125	2598	1996-08-17	PRIJEM	VKLAD	29284	69168	\N	\N	\N
761126	2598	1996-06-19	PRIJEM	VKLAD	24731	82998	\N	\N	\N
761127	2598	1996-12-25	PRIJEM	VKLAD	47748	95007	\N	\N	\N
761129	2598	1997-03-22	PRIJEM	VKLAD	48827	61885	\N	\N	\N
761130	2598	1997-03-28	PRIJEM	VKLAD	12218	71103	\N	\N	\N
761131	2598	1997-08-01	PRIJEM	VKLAD	28289	45556	\N	\N	\N
761132	2598	1997-02-17	PRIJEM	VKLAD	20406	38615	\N	\N	\N
761133	2598	1997-04-27	PRIJEM	VKLAD	39245	93504	\N	\N	\N
761134	2598	1998-08-24	PRIJEM	VKLAD	45119	128892	\N	\N	\N
761135	2598	1998-09-12	PRIJEM	VKLAD	23649	83212	\N	\N	\N
761136	2598	1998-09-28	PRIJEM	VKLAD	5688	95056	\N	\N	\N
761137	2598	1998-09-19	PRIJEM	VKLAD	48920	141968	\N	\N	\N
761138	2598	1998-04-27	PRIJEM	VKLAD	9468	113187	\N	\N	\N
761139	2598	1998-08-14	PRIJEM	VKLAD	5009	63468	\N	\N	\N
761140	2598	1998-09-07	PRIJEM	VKLAD	37830	146063	\N	\N	\N
761141	2598	1998-04-07	PRIJEM	VKLAD	22369	103719	\N	\N	\N
761142	2598	1998-10-02	PRIJEM	VKLAD	32988	110137	\N	\N	\N
761143	2598	1998-01-08	PRIJEM	VKLAD	14057	41773	\N	\N	\N
761144	2598	1998-11-15	PRIJEM	VKLAD	5580	81860	\N	\N	\N
761145	2598	1998-03-09	PRIJEM	VKLAD	13937	63954	\N	\N	\N
761146	2598	1998-12-02	PRIJEM	VKLAD	18494	81044	\N	\N	\N
761147	2598	1998-09-17	PRIJEM	VKLAD	31129	136548	\N	\N	\N
761148	2598	1998-08-11	PRIJEM	VKLAD	46947	119459	\N	\N	\N
761149	2598	1998-03-02	PRIJEM	VKLAD	5717	46917	\N	\N	\N
761150	2598	1998-01-28	PRIJEM	VKLAD	29815	35501	\N	\N	\N
761151	2598	1998-11-25	PRIJEM	VKLAD	45699	127559	\N	\N	\N
761152	2598	1998-09-14	PRIJEM	VKLAD	22207	105419	\N	\N	\N
761153	2598	1998-07-19	PRIJEM	VKLAD	45193	121516	\N	\N	\N
761154	2598	1998-03-21	PRIJEM	VKLAD	44298	108252	\N	\N	\N
761155	2598	1998-09-05	PRIJEM	VKLAD	33884	108233	\N	\N	\N
761156	2598	1998-12-27	PRIJEM	VKLAD	31402	108246	\N	\N	\N
761157	2598	1998-10-19	PRIJEM	VKLAD	42737	87874	\N	\N	\N
761158	2598	1998-08-18	PRIJEM	VKLAD	20305	83773	\N	\N	\N
761159	2598	1998-07-11	PRIJEM	VKLAD	25940	76323	\N	\N	\N
761160	2598	1998-10-24	PRIJEM	VKLAD	31839	119713	\N	\N	\N
761161	2598	1998-01-17	PRIJEM	VKLAD	19113	22486	\N	\N	\N
761162	2598	1998-05-09	PRIJEM	VKLAD	9713	83123	\N	\N	\N
761163	2598	1996-11-23	VYBER	VYBER	14261	37706	\N	\N	\N
761166	2598	1996-12-17	VYBER	VYBER	2784	30564	\N	\N	\N
761167	2598	1996-07-12	VYBER	VYBER	5787	74184	\N	\N	\N
761168	2598	1996-09-20	VYBER	VYBER	18601	26499	\N	\N	\N
761169	2598	1996-11-21	VYBER	VYBER	17523	51967	\N	\N	\N
761170	2598	1996-10-29	VYBER	VYBER	6633	13824	\N	\N	\N
761173	2598	1997-06-12	VYBER	VYBER	18071	22982	\N	\N	\N
761174	2598	1997-08-24	VYBER	VYBER	15751	23305	\N	\N	\N
761175	2598	1997-12-19	VYBER	VYBER	23443	16479	\N	\N	\N
761176	2598	1997-01-21	VYBER	VYBER	16358	13663	\N	\N	\N
761177	2598	1997-03-12	VYBER	VYBER	13241	24758	\N	\N	\N
761179	2598	1997-08-28	VYBER	VYBER	6895	9510	\N	\N	\N
761180	2598	1997-05-04	VYBER	VYBER	12543	81211	\N	\N	\N
761181	2598	1997-05-20	VYBER	VYBER	19994	40517	\N	\N	\N
761182	2598	1997-06-24	VYBER	VYBER	7047	-1165	\N	\N	\N
761184	2598	1997-01-04	VYBER	VYBER	19771	75421	\N	\N	\N
761185	2598	1997-12-20	VYBER	VYBER	11837	4642	\N	\N	\N
761186	2598	1997-09-12	VYBER	VYBER	10837	9981	\N	\N	\N
761187	2598	1996-06-20	VYDAJ	VYBER	78900	4098	\N	\N	\N
761188	2598	1997-06-13	VYDAJ	VYBER	17100	5882	\N	\N	\N
761189	2598	1998-06-27	VYDAJ	VYBER	15600	50770	\N	\N	\N
761192	2598	1998-01-08	VYDAJ	VYBER	24600	9373	\N	\N	\N
761193	2598	1996-12-24	VYDAJ	VYBER	4800	47259	\N	\N	\N
761194	2598	1997-12-18	VYDAJ	VYBER	2400	39922	\N	\N	\N
761195	2598	1998-12-12	VYDAJ	VYBER KARTOU	4200	76844	\N	\N	0
761202	2598	1997-01-05	VYDAJ	VYBER	1800	73621	\N	\N	\N
761203	2598	1997-01-13	VYDAJ	VYBER	5700	36021	\N	\N	\N
761204	2598	1997-01-22	VYDAJ	VYBER	7200	6463	\N	\N	\N
761205	2598	1997-01-11	VYDAJ	VYBER	7200	47121	\N	\N	\N
761206	2598	1997-01-18	VYDAJ	VYBER	6000	30021	\N	\N	\N
761207	2598	1997-01-11	VYDAJ	VYBER	5400	41721	\N	\N	\N
761208	2598	1998-01-25	VYDAJ	VYBER	3900	10186	\N	\N	\N
761209	2598	1998-01-08	VYDAJ	VYBER	7800	33973	\N	\N	\N
761211	2598	1998-01-24	VYDAJ	VYBER	8400	14086	\N	\N	\N
761212	2598	1998-01-25	VYDAJ	VYBER	4500	5686	\N	\N	\N
761213	2598	1998-01-13	VYDAJ	VYBER	6000	3373	\N	\N	\N
761214	2598	1996-10-26	VYDAJ	VYBER	5700	20457	\N	\N	\N
761216	2598	1996-09-19	VYDAJ	VYBER	5400	45100	\N	\N	\N
761217	2598	1996-12-20	VYDAJ	VYBER	12000	18564	\N	\N	\N
761218	2598	1996-10-13	VYDAJ	VYBER	7500	26157	\N	\N	\N
761221	2598	1997-04-07	VYDAJ	VYBER	3600	67659	\N	\N	\N
761222	2598	1997-08-27	VYDAJ	VYBER	6900	16405	\N	\N	\N
761223	2598	1997-03-23	VYDAJ	VYBER	3000	58885	\N	\N	\N
761224	2598	1997-03-19	VYDAJ	VYBER	11700	13058	\N	\N	\N
761225	2598	1997-02-09	VYDAJ	VYBER	3600	18209	\N	\N	\N
761226	2598	1997-08-09	VYDAJ	VYBER	2100	39056	\N	\N	\N
761227	2598	1998-10-15	VYDAJ	VYBER	6300	45137	\N	\N	\N
761228	2598	1998-09-20	VYDAJ	VYBER	5100	89368	\N	\N	\N
761229	2598	1998-09-11	VYDAJ	VYBER	11400	118663	\N	\N	\N
761230	2598	1998-09-18	VYDAJ	VYBER	3000	93048	\N	\N	\N
761237	2598	1996-06-30	VYDAJ	VYBER	15	79971	SLUZBY	\N	\N
761238	2598	1996-07-31	VYDAJ	VYBER	15	50084	SLUZBY	\N	\N
761239	2598	1996-08-31	VYDAJ	VYBER	15	69400	SLUZBY	\N	\N
761240	2598	1996-09-30	VYDAJ	VYBER	15	26705	SLUZBY	\N	\N
761241	2598	1996-10-31	VYDAJ	VYBER	15	13914	SLUZBY	\N	\N
761242	2598	1996-11-30	VYDAJ	VYBER	15	37848	SLUZBY	\N	\N
761243	2598	1996-12-31	VYDAJ	VYBER	15	95192	SLUZBY	\N	\N
761244	2598	1997-01-31	VYDAJ	VYBER	15	6609	SLUZBY	\N	\N
761245	2598	1997-02-28	VYDAJ	VYBER	15	38699	SLUZBY	\N	\N
761246	2598	1997-03-31	VYDAJ	VYBER	15	71259	SLUZBY	\N	\N
761247	2598	1997-04-30	VYDAJ	VYBER	15	93754	SLUZBY	\N	\N
761248	2598	1997-05-31	VYDAJ	VYBER	15	40753	SLUZBY	\N	\N
761249	2598	1997-06-30	VYDAJ	VYBER	15	-1109	SLUZBY	\N	\N
761250	2598	1997-07-31	VYDAJ	VYBER	15	17267	SLUZBY	\N	\N
761251	2598	1997-08-31	VYDAJ	VYBER	15	9618	SLUZBY	\N	\N
761252	2598	1997-09-30	VYDAJ	VYBER	15	10007	SLUZBY	\N	\N
761253	2598	1997-10-31	VYDAJ	VYBER	15	24235	SLUZBY	\N	\N
761254	2598	1997-11-30	VYDAJ	VYBER	15	32922	SLUZBY	\N	\N
761255	2598	1997-12-31	VYDAJ	VYBER	15	4716	SLUZBY	\N	\N
761256	2598	1998-01-31	VYDAJ	VYBER	15	35566	SLUZBY	\N	\N
761257	2598	1998-02-28	VYDAJ	VYBER	15	41200	SLUZBY	\N	\N
761258	2598	1998-03-31	VYDAJ	VYBER	15	108550	SLUZBY	\N	\N
761259	2598	1998-04-30	VYDAJ	VYBER	15	98010	SLUZBY	\N	\N
761260	2598	1998-05-31	VYDAJ	VYBER	15	83470	SLUZBY	\N	\N
761261	2598	1998-06-30	VYDAJ	VYBER	15	51083	SLUZBY	\N	\N
761262	2598	1998-07-31	VYDAJ	VYBER	15	92312	SLUZBY	\N	\N
761263	2598	1998-08-31	VYDAJ	VYBER	15	74349	SLUZBY	\N	\N
761264	2598	1998-09-30	VYDAJ	VYBER	15	95449	SLUZBY	\N	\N
761265	2598	1998-10-31	VYDAJ	VYBER	15	76280	SLUZBY	\N	\N
761266	2598	1998-11-30	VYDAJ	VYBER	15	62550	SLUZBY	\N	\N
761267	2598	1996-04-13	VYDAJ	VYBER	5500	29071	\N	\N	\N
761268	2598	1996-05-13	VYDAJ	VYBER	28200	56962	\N	\N	\N
761269	2598	1996-06-12	VYDAJ	VYBER	16400	40792	\N	\N	\N
761270	2598	1996-07-12	VYDAJ	VYBER	24400	49784	\N	\N	\N
761271	2598	1996-08-11	VYDAJ	VYBER	10200	39884	\N	\N	\N
761272	2598	1996-09-10	VYDAJ	VYBER	18900	50500	\N	\N	\N
761273	2598	1996-10-10	VYDAJ	VYBER	6200	33657	\N	\N	\N
761274	2598	1996-11-09	PRIJEM	VKLAD	8900	22814	\N	\N	\N
761275	2598	1996-12-09	VYDAJ	VYBER	4500	33348	\N	\N	\N
761276	2598	1997-01-08	VYDAJ	VYBER	19300	54321	\N	\N	\N
761277	2598	1997-02-07	PRIJEM	VKLAD	15200	21809	\N	\N	\N
761278	2598	1997-03-09	VYDAJ	VYBER	700	37999	\N	\N	\N
761279	2598	1997-04-08	VYDAJ	VYBER	13400	54259	\N	\N	\N
761280	2598	1997-05-08	VYDAJ	VYBER	20700	60511	\N	\N	\N
761281	2598	1997-06-07	PRIJEM	VKLAD	300	41053	\N	\N	\N
761282	2598	1997-07-07	PRIJEM	VKLAD	18400	17291	\N	\N	\N
761283	2598	1997-08-06	VYDAJ	VYBER	4400	41156	\N	\N	\N
761284	2598	1997-09-05	PRIJEM	VKLAD	11200	20818	\N	\N	\N
761285	2598	1997-10-05	PRIJEM	VKLAD	14200	24207	\N	\N	\N
761286	2598	1997-11-04	PRIJEM	VKLAD	8600	32835	\N	\N	\N
761287	2598	1997-12-04	PRIJEM	VKLAD	9400	42322	\N	\N	\N
761288	2598	1998-01-03	PRIJEM	VKLAD	23000	27716	\N	\N	\N
761289	2598	1998-02-02	PRIJEM	VKLAD	5500	41066	\N	\N	\N
761290	2598	1998-03-04	PRIJEM	VKLAD	3100	50017	\N	\N	\N
761291	2598	1998-04-03	VYDAJ	VYBER	27200	81350	\N	\N	\N
761292	2598	1998-04-27	VYDAJ	VYBER	15600	97587	\N	\N	\N
761293	2598	1998-05-03	VYDAJ	VYBER	24600	73410	\N	\N	\N
761294	2598	1998-06-02	VYDAJ	VYBER	17100	66370	\N	\N	\N
761295	2598	1998-07-02	VYDAJ	VYBER	700	50383	\N	\N	\N
761296	2598	1998-07-19	VYDAJ	VYBER	29500	92016	\N	\N	\N
761297	2598	1998-08-01	VYDAJ	VYBER	19800	72512	\N	\N	\N
761298	2598	1998-08-11	VYDAJ	VYBER	61000	58459	\N	\N	\N
761299	2598	1998-08-24	VYDAJ	VYBER	34000	94892	\N	\N	\N
761300	2598	1998-08-31	VYDAJ	VYBER	20900	74364	\N	\N	\N
761301	2598	1998-09-07	VYDAJ	VYBER	16000	130063	\N	\N	\N
761302	2598	1998-09-11	VYDAJ	VYBER	59100	59563	\N	\N	\N
761303	2598	1998-09-17	VYDAJ	VYBER	40500	96048	\N	\N	\N
761304	2598	1998-09-19	VYDAJ	VYBER	47500	94468	\N	\N	\N
761305	2598	1998-09-30	VYDAJ	VYBER	18300	77149	\N	\N	\N
761306	2598	1998-10-02	VYDAJ	VYBER	58700	51437	\N	\N	\N
761307	2598	1998-10-24	VYDAJ	VYBER	22300	97413	\N	\N	\N
761308	2598	1998-10-30	VYDAJ	VYBER	21400	76013	\N	\N	\N
761309	2598	1998-11-25	VYDAJ	VYBER	63900	63659	\N	\N	\N
761310	2598	1998-11-29	VYDAJ	VYBER KARTOU	1400	62259	\N	\N	0
761346	2599	1993-04-20	PRIJEM	VKLAD	600	600	\N	\N	\N
761347	2599	1994-07-03	PRIJEM	VKLAD	15700	85222	\N	\N	\N
761348	2599	1994-11-24	PRIJEM	VKLAD	19952	31002	\N	\N	\N
761349	2599	1994-07-11	PRIJEM	VKLAD	15826	101048	\N	\N	\N
761350	2599	1994-05-06	PRIJEM	VKLAD	24624	71533	\N	\N	\N
761351	2599	1994-11-29	PRIJEM	VKLAD	44713	75715	\N	\N	\N
761352	2599	1994-03-27	PRIJEM	VKLAD	31153	65342	\N	\N	\N
761353	2599	1994-06-24	PRIJEM	VKLAD	27382	61851	\N	\N	\N
761354	2599	1994-06-28	PRIJEM	VKLAD	45353	107204	\N	\N	\N
761355	2599	1994-03-05	PRIJEM	VKLAD	21789	46589	\N	\N	\N
761356	2599	1995-01-30	PRIJEM	VKLAD	17450	32948	\N	\N	\N
761357	2599	1995-06-11	PRIJEM	VKLAD	9449	21726	\N	\N	\N
761358	2599	1996-10-09	PRIJEM	VKLAD	7155	65740	\N	\N	\N
761359	2599	1996-05-23	PRIJEM	VKLAD	46888	60685	\N	\N	\N
761360	2599	1996-08-27	PRIJEM	VKLAD	22838	46456	\N	\N	\N
761361	2599	1996-10-04	PRIJEM	VKLAD	39001	58585	\N	\N	\N
761362	2599	1998-04-10	PRIJEM	VKLAD	5588	74537	\N	\N	\N
761363	2599	1998-05-18	PRIJEM	VKLAD	44224	126843	\N	\N	\N
761364	2599	1998-05-26	PRIJEM	VKLAD	34288	99231	\N	\N	\N
761365	2599	1998-12-09	PRIJEM	VKLAD	33430	107587	\N	\N	\N
761366	2599	1998-06-09	PRIJEM	VKLAD	35249	134776	\N	\N	\N
761367	2599	1998-12-10	PRIJEM	VKLAD	25043	121330	\N	\N	\N
761368	2599	1998-03-04	PRIJEM	VKLAD	31510	74587	\N	\N	\N
761369	2599	1998-12-29	PRIJEM	VKLAD	7059	124255	\N	\N	\N
761370	2599	1998-09-26	PRIJEM	VKLAD	10649	52995	\N	\N	\N
761371	2599	1998-12-26	PRIJEM	VKLAD	8296	124696	\N	\N	\N
761372	2599	1998-10-12	PRIJEM	VKLAD	12669	91109	\N	\N	\N
761373	2599	1998-05-10	PRIJEM	VKLAD	34417	82619	\N	\N	\N
761374	2599	1998-11-04	PRIJEM	VKLAD	49144	165026	\N	\N	\N
761375	2599	1998-08-06	PRIJEM	VKLAD	15187	44354	\N	\N	\N
761376	2599	1998-01-03	PRIJEM	VKLAD	33601	51243	\N	\N	\N
761377	2599	1998-01-11	PRIJEM	VKLAD	32997	82740	\N	\N	\N
761378	2599	1998-10-07	PRIJEM	VKLAD	38168	91340	\N	\N	\N
761379	2599	1998-10-23	PRIJEM	VKLAD	22623	104479	\N	\N	\N
761380	2599	1998-03-15	PRIJEM	VKLAD	21464	80651	\N	\N	\N
761381	2599	1998-03-19	PRIJEM	VKLAD	22245	102896	\N	\N	\N
761382	2599	1998-05-03	PRIJEM	VKLAD	17734	65402	\N	\N	\N
761383	2599	1998-02-14	PRIJEM	VKLAD	30713	54121	\N	\N	\N
761384	2599	1998-10-18	PRIJEM	VKLAD	22247	113356	\N	\N	\N
761385	2599	1998-10-24	PRIJEM	VKLAD	11060	115539	\N	\N	\N
761386	2599	1998-09-16	PRIJEM	VKLAD	22932	53846	\N	\N	\N
761387	2599	1998-12-21	PRIJEM	VKLAD	40270	116400	\N	\N	\N
761406	2599	1994-07-13	VYDAJ	VYBER	14900	67971	SIPO	\N	0
761407	2599	1994-08-07	VYDAJ	VYBER	14300	14687	SIPO	\N	0
761408	2599	1994-09-14	VYDAJ	VYBER	15600	12158	SIPO	\N	0
761409	2599	1994-10-10	VYDAJ	VYBER	10800	1404	SIPO	\N	0
761410	2599	1994-11-12	VYDAJ	VYBER	17100	11050	SIPO	\N	0
761411	2599	1994-12-06	VYDAJ	VYBER	14000	61786	SIPO	\N	0
761412	2599	1995-01-18	VYDAJ	VYBER	14500	15498	SIPO	\N	0
761413	2599	1995-02-09	VYDAJ	VYBER	12100	20940	SIPO	\N	0
761414	2599	1995-03-11	VYDAJ	VYBER	12400	17820	SIPO	\N	0
761415	2599	1995-04-10	VYDAJ	VYBER	16100	16914	SIPO	\N	0
761416	2599	1995-05-01	VYDAJ	VYBER	14700	2315	SIPO	\N	0
761417	2599	1995-06-08	VYDAJ	VYBER	14400	4777	SIPO	\N	0
761418	2599	1995-07-05	VYDAJ	VYBER	15400	6396	SIPO	\N	0
761419	2599	1995-08-06	VYDAJ	VYBER	15300	-3259	SIPO	\N	0
761420	2599	1995-09-16	VYDAJ	VYBER	13100	8266	SIPO	\N	0
761421	2599	1995-10-05	VYDAJ	VYBER	11600	-3314	SIPO	\N	0
761422	2599	1995-11-16	VYDAJ	VYBER	13300	8700	SIPO	\N	0
761423	2599	1995-12-11	VYDAJ	VYBER	12600	8917	SIPO	\N	0
761424	2599	1996-01-07	VYDAJ	VYBER	17100	2738	SIPO	\N	0
761425	2599	1996-02-06	VYDAJ	VYBER	12400	6038	SIPO	\N	0
761426	2599	1996-03-01	VYDAJ	VYBER	12900	-6855	SIPO	\N	0
761427	2599	1996-04-18	VYDAJ	VYBER	11000	10670	SIPO	\N	0
761428	2599	1996-05-18	VYDAJ	VYBER	12100	13797	SIPO	\N	0
761429	2599	1996-06-04	VYDAJ	VYBER	15200	36176	SIPO	\N	0
761430	2599	1996-07-03	VYDAJ	VYBER	15300	27020	SIPO	\N	0
761431	2599	1996-08-10	VYDAJ	VYBER	12500	23618	SIPO	\N	0
761432	2599	1996-09-02	VYDAJ	VYBER	15600	29557	SIPO	\N	0
761433	2599	1996-10-03	VYDAJ	VYBER	11900	19584	SIPO	\N	0
761434	2599	1996-10-31	VYDAJ	VYBER	12000	42537	SIPO	\N	0
761435	2599	1996-12-04	VYDAJ	VYBER	14300	32280	SIPO	\N	0
761436	2599	1997-01-13	VYDAJ	VYBER	16000	23754	SIPO	\N	0
761437	2599	1997-02-09	VYDAJ	VYBER	13100	19099	SIPO	\N	0
761438	2599	1997-03-14	VYDAJ	VYBER	17900	17815	SIPO	\N	0
761439	2599	1997-04-09	VYDAJ	VYBER	12100	17643	SIPO	\N	0
761440	2599	1997-05-15	VYDAJ	VYBER	12000	17047	SIPO	\N	0
761443	2599	1997-08-03	VYDAJ	VYBER	15200	19406	SIPO	\N	0
761444	2599	1997-09-04	VYDAJ	VYBER	16700	16228	SIPO	\N	0
761445	2599	1997-10-09	VYDAJ	VYBER	11500	17441	SIPO	\N	0
761448	2599	1998-01-14	VYDAJ	VYBER	16700	66040	SIPO	\N	0
761449	2599	1998-02-07	VYDAJ	VYBER	11900	23408	SIPO	\N	0
761450	2599	1998-03-13	VYDAJ	VYBER	15400	59187	SIPO	\N	0
761451	2599	1998-04-17	VYDAJ	VYBER	16600	57937	SIPO	\N	0
761452	2599	1998-05-04	VYDAJ	VYBER	17200	48202	SIPO	\N	0
761453	2599	1998-06-16	VYDAJ	VYBER	11700	55152	SIPO	\N	0
761454	2599	1998-07-01	VYDAJ	VYBER	11300	36301	SIPO	\N	0
761455	2599	1998-08-04	VYDAJ	VYBER	12400	29167	SIPO	\N	0
761456	2599	1998-09-01	VYDAJ	VYBER	15100	30914	SIPO	\N	0
761457	2599	1998-10-09	VYDAJ	VYBER	12900	78440	SIPO	\N	0
761458	2599	1998-11-12	VYDAJ	VYBER	10800	98826	SIPO	\N	0
761459	2599	1998-12-09	VYDAJ	VYBER	11300	96287	SIPO	\N	0
761465	2599	1994-07-13	VYBER	VYBER	18177	82871	\N	\N	\N
761475	2599	1994-12-25	VYBER	VYBER	2753	33818	\N	\N	\N
761476	2599	1994-12-09	VYBER	VYBER	16215	45571	\N	\N	\N
761485	2599	1996-09-10	VYBER	VYBER	10550	19007	\N	\N	\N
761496	2599	1998-06-09	VYBER	VYBER	8124	126652	\N	\N	\N
761497	2599	1998-06-17	VYBER	VYBER	5704	49448	\N	\N	\N
761507	2599	1995-01-01	VYDAJ	VYBER	15900	18098	\N	\N	\N
761510	2599	1998-01-14	VYDAJ	VYBER	4200	61840	\N	\N	\N
761543	2599	1998-01-05	VYDAJ	VYBER	1500	49743	\N	\N	\N
761544	2599	1998-01-16	VYDAJ	VYBER	2400	59440	\N	\N	\N
761546	2599	1998-01-22	VYDAJ	VYBER	7800	37240	\N	\N	\N
761552	2599	1994-07-24	VYDAJ	VYBER	9000	35971	\N	\N	\N
761555	2599	1994-08-01	VYDAJ	VYBER	7200	28987	\N	\N	\N
761565	2599	1996-10-10	VYDAJ	VYBER	11400	54340	\N	\N	\N
761575	2599	1998-09-23	VYDAJ	VYBER	10200	42346	\N	\N	\N
761577	2599	1998-05-24	VYDAJ	VYBER	5400	64943	\N	\N	\N
761579	2599	1998-11-24	VYDAJ	VYBER	5400	73726	\N	\N	\N
761580	2599	1998-01-19	VYDAJ	VYBER	14400	45040	\N	\N	\N
761582	2599	1998-12-28	VYDAJ	VYBER	7500	117196	\N	\N	\N
761602	2599	1994-06-30	VYDAJ	VYBER	15	69522	SLUZBY	\N	\N
761603	2599	1994-07-31	VYDAJ	VYBER	15	36187	SLUZBY	\N	\N
761604	2599	1994-08-31	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
761605	2599	1994-09-30	VYDAJ	VYBER	15	12204	SLUZBY	\N	\N
761606	2599	1994-10-31	VYDAJ	VYBER	15	15850	SLUZBY	\N	\N
761607	2599	1994-11-30	VYDAJ	VYBER	15	75786	SLUZBY	\N	\N
761608	2599	1994-12-31	VYDAJ	VYBER	15	33998	SLUZBY	\N	\N
761609	2599	1995-01-31	VYDAJ	VYBER	15	33040	SLUZBY	\N	\N
761610	2599	1995-02-28	VYDAJ	VYBER	15	18620	SLUZBY	\N	\N
761611	2599	1995-03-31	VYDAJ	VYBER	15	17914	SLUZBY	\N	\N
761612	2599	1995-04-30	VYDAJ	VYBER	15	17015	SLUZBY	\N	\N
761613	2599	1995-05-31	VYDAJ	VYBER	15	19177	SLUZBY	\N	\N
761614	2599	1995-06-30	VYDAJ	VYBER	15	21796	SLUZBY	\N	\N
761615	2599	1995-07-31	VYDAJ	VYBER	15	12041	SLUZBY	\N	\N
761616	2599	1995-08-31	VYDAJ	VYBER	15	8966	SLUZBY	\N	\N
761617	2599	1995-09-30	VYDAJ	VYBER	15	8286	SLUZBY	\N	\N
761618	2599	1995-10-31	VYDAJ	VYBER	15	6800	SLUZBY	\N	\N
761619	2599	1995-11-30	VYDAJ	VYBER	15	8717	SLUZBY	\N	\N
761620	2599	1995-12-31	VYDAJ	VYBER	15	8938	SLUZBY	\N	\N
761621	2599	1996-01-31	VYDAJ	VYBER	15	2738	SLUZBY	\N	\N
761622	2599	1996-02-29	VYDAJ	VYBER	15	6045	SLUZBY	\N	\N
761623	2599	1996-03-31	VYDAJ	VYBER	15	10470	SLUZBY	\N	\N
761624	2599	1996-04-30	VYDAJ	VYBER	15	10697	SLUZBY	\N	\N
761625	2599	1996-05-31	VYDAJ	VYBER	15	60776	SLUZBY	\N	\N
761626	2599	1996-06-30	VYDAJ	VYBER	15	36320	SLUZBY	\N	\N
761627	2599	1996-07-31	VYDAJ	VYBER	15	27118	SLUZBY	\N	\N
761628	2599	1996-08-31	VYDAJ	VYBER	15	46557	SLUZBY	\N	\N
761629	2599	1996-09-30	VYDAJ	VYBER	15	19084	SLUZBY	\N	\N
761630	2599	1996-10-31	VYDAJ	VYBER	15	54537	SLUZBY	\N	\N
761631	2599	1996-11-30	VYDAJ	VYBER	15	46580	SLUZBY	\N	\N
761632	2599	1996-12-31	VYDAJ	VYBER	15	39754	SLUZBY	\N	\N
761633	2599	1997-01-31	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
761634	2599	1997-02-28	VYDAJ	VYBER	15	35715	SLUZBY	\N	\N
761635	2599	1997-03-31	VYDAJ	VYBER	15	29743	SLUZBY	\N	\N
761636	2599	1997-04-30	VYDAJ	VYBER	15	29047	SLUZBY	\N	\N
761637	2599	1997-05-31	VYDAJ	VYBER	15	17147	SLUZBY	\N	\N
761638	2599	1997-06-30	VYDAJ	VYBER	15	30000	SLUZBY	\N	\N
761639	2599	1997-07-31	VYDAJ	VYBER	15	34606	SLUZBY	\N	\N
761640	2599	1997-08-31	VYDAJ	VYBER	15	32928	SLUZBY	\N	\N
761641	2599	1997-09-30	VYDAJ	VYBER	15	28941	SLUZBY	\N	\N
761642	2599	1997-10-31	VYDAJ	VYBER	15	17539	SLUZBY	\N	\N
761643	2599	1997-11-30	VYDAJ	VYBER	15	17590	SLUZBY	\N	\N
761644	2599	1997-12-31	VYDAJ	VYBER	15	17642	SLUZBY	\N	\N
761645	2599	1998-01-31	VYDAJ	VYBER	15	35308	SLUZBY	\N	\N
761646	2599	1998-02-28	VYDAJ	VYBER	15	43077	SLUZBY	\N	\N
761647	2599	1998-03-31	VYDAJ	VYBER	15	68949	SLUZBY	\N	\N
761648	2599	1998-04-30	VYDAJ	VYBER	15	47668	SLUZBY	\N	\N
761649	2599	1998-05-31	VYDAJ	VYBER	15	99527	SLUZBY	\N	\N
761650	2599	1998-06-30	VYDAJ	VYBER	15	47601	SLUZBY	\N	\N
761651	2599	1998-07-31	VYDAJ	VYBER	15	41567	SLUZBY	\N	\N
761652	2599	1998-08-31	VYDAJ	VYBER	15	46014	SLUZBY	\N	\N
761653	2599	1998-09-30	VYDAJ	VYBER	15	53172	SLUZBY	\N	\N
761654	2599	1998-10-31	VYDAJ	VYBER	15	115882	SLUZBY	\N	\N
761655	2599	1998-11-30	VYDAJ	VYBER	15	74157	SLUZBY	\N	\N
761656	2599	1993-05-20	PRIJEM	VKLAD	10300	10900	\N	\N	\N
761657	2599	1993-06-19	PRIJEM	VKLAD	9200	20100	\N	\N	\N
761658	2599	1993-07-19	PRIJEM	VKLAD	2400	22500	\N	\N	\N
761659	2599	1993-08-18	VYDAJ	VYBER	1300	21200	\N	\N	\N
761660	2599	1993-09-17	PRIJEM	VKLAD	3800	25000	\N	\N	\N
761661	2599	1993-10-17	VYDAJ	VYBER	2100	22900	\N	\N	\N
761662	2599	1993-11-16	VYDAJ	VYBER	600	22300	\N	\N	\N
761663	2599	1993-12-16	VYDAJ	VYBER	400	21900	\N	\N	\N
761664	2599	1994-01-15	PRIJEM	VKLAD	700	22600	\N	\N	\N
761665	2599	1994-02-14	PRIJEM	VKLAD	2200	24800	\N	\N	\N
761666	2599	1994-03-16	VYDAJ	VYBER	12400	34189	\N	\N	\N
761667	2599	1994-04-15	VYDAJ	VYBER	18800	46637	\N	\N	\N
761668	2599	1994-05-15	VYDAJ	VYBER	21900	49633	\N	\N	\N
761669	2599	1994-06-14	VYDAJ	VYBER	15400	34469	\N	\N	\N
761670	2599	1994-06-28	VYDAJ	VYBER	37900	69304	\N	\N	\N
761671	2599	1994-07-14	VYDAJ	VYBER	23000	44971	\N	\N	\N
761672	2599	1994-08-13	PRIJEM	VKLAD	2900	17587	\N	\N	\N
761673	2599	1994-09-12	PRIJEM	VKLAD	10100	27758	\N	\N	\N
761674	2599	1994-10-12	PRIJEM	VKLAD	14400	15804	\N	\N	\N
761675	2599	1994-11-11	PRIJEM	VKLAD	12300	28150	\N	\N	\N
761676	2599	1994-12-11	VYDAJ	VYBER	9000	36571	\N	\N	\N
761677	2599	1995-01-10	PRIJEM	VKLAD	11900	29998	\N	\N	\N
761678	2599	1995-02-09	VYDAJ	VYBER	2400	18540	\N	\N	\N
761679	2599	1995-03-11	PRIJEM	VKLAD	11600	30220	\N	\N	\N
761680	2599	1995-04-10	PRIJEM	VKLAD	15100	33014	\N	\N	\N
761681	2599	1995-05-10	PRIJEM	VKLAD	16800	19115	\N	\N	\N
761682	2599	1995-06-09	PRIJEM	VKLAD	7500	12277	\N	\N	\N
761683	2599	1995-07-09	PRIJEM	VKLAD	5600	11996	\N	\N	\N
761684	2599	1995-08-08	PRIJEM	VKLAD	12200	8941	\N	\N	\N
761685	2599	1995-09-07	PRIJEM	VKLAD	12400	21366	\N	\N	\N
761686	2599	1995-10-07	PRIJEM	VKLAD	10100	6786	\N	\N	\N
761687	2599	1995-11-06	PRIJEM	VKLAD	15200	22000	\N	\N	\N
761688	2599	1995-12-06	PRIJEM	VKLAD	12800	21517	\N	\N	\N
761689	2599	1996-01-05	PRIJEM	VKLAD	10900	19838	\N	\N	\N
761690	2599	1996-02-04	PRIJEM	VKLAD	15700	18438	\N	\N	\N
761691	2599	1996-03-05	PRIJEM	VKLAD	17300	10445	\N	\N	\N
761692	2599	1996-04-04	PRIJEM	VKLAD	11200	21670	\N	\N	\N
761693	2599	1996-05-04	PRIJEM	VKLAD	15200	25897	\N	\N	\N
761694	2599	1996-06-03	VYDAJ	VYBER	9400	51376	\N	\N	\N
761695	2599	1996-07-03	PRIJEM	VKLAD	6000	42320	\N	\N	\N
761696	2599	1996-08-02	PRIJEM	VKLAD	9000	36118	\N	\N	\N
761697	2599	1996-09-01	VYDAJ	VYBER	1400	45157	\N	\N	\N
761698	2599	1996-10-01	PRIJEM	VKLAD	12400	31484	\N	\N	\N
761699	2599	1996-10-31	VYDAJ	VYBER	4100	38437	\N	\N	\N
761700	2599	1996-11-30	PRIJEM	VKLAD	8000	46437	\N	\N	\N
761701	2599	1996-12-30	PRIJEM	VKLAD	7300	39580	\N	\N	\N
761702	2599	1997-01-29	PRIJEM	VKLAD	8300	32054	\N	\N	\N
761703	2599	1997-02-28	PRIJEM	VKLAD	16500	35599	\N	\N	\N
761704	2599	1997-03-30	PRIJEM	VKLAD	11800	29615	\N	\N	\N
761705	2599	1997-04-29	PRIJEM	VKLAD	11300	28943	\N	\N	\N
761706	2599	1997-06-28	PRIJEM	VKLAD	12800	29947	\N	\N	\N
761707	2599	1997-07-28	PRIJEM	VKLAD	4500	34500	\N	\N	\N
761708	2599	1997-08-27	PRIJEM	VKLAD	13400	32806	\N	\N	\N
761709	2599	1997-09-26	PRIJEM	VKLAD	12600	28828	\N	\N	\N
761710	2599	1998-01-24	VYDAJ	VYBER	2100	35140	\N	\N	\N
761711	2599	1998-02-23	VYDAJ	VYBER	11200	42921	\N	\N	\N
761712	2599	1998-03-25	VYDAJ	VYBER	34200	68696	\N	\N	\N
761713	2599	1998-04-24	VYDAJ	VYBER	10500	47437	\N	\N	\N
761714	2599	1998-05-18	VYDAJ	VYBER	35900	90943	\N	\N	\N
761715	2599	1998-05-24	VYDAJ	VYBER	20600	70343	\N	\N	\N
761716	2599	1998-06-09	VYDAJ	VYBER	59800	66852	\N	\N	\N
761717	2599	1998-06-23	VYDAJ	VYBER	2100	47348	\N	\N	\N
761718	2599	1998-07-23	PRIJEM	VKLAD	5100	41401	\N	\N	\N
761719	2599	1998-08-22	PRIJEM	VKLAD	1500	45854	\N	\N	\N
761720	2599	1998-09-21	VYDAJ	VYBER	1300	52546	\N	\N	\N
761721	2599	1998-10-21	VYDAJ	VYBER	31500	81856	\N	\N	\N
761722	2599	1998-11-04	VYDAJ	VYBER	55400	109626	\N	\N	\N
761723	2599	1998-11-20	VYDAJ	VYBER	19700	79126	\N	\N	\N
761724	2599	1998-12-10	VYDAJ	VYBER	34500	86830	\N	\N	\N
761725	2599	1998-12-20	VYDAJ	VYBER	10700	76130	\N	\N	\N
761792	2600	1996-02-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
761793	2600	1996-07-29	PRIJEM	VKLAD	18966	82729	\N	\N	\N
761794	2600	1996-07-28	PRIJEM	VKLAD	47059	104363	\N	\N	\N
761795	2600	1996-08-08	PRIJEM	VKLAD	47926	126447	\N	\N	\N
761796	2600	1996-10-17	PRIJEM	VKLAD	15485	79044	\N	\N	\N
761797	2600	1996-06-01	PRIJEM	VKLAD	13825	87966	\N	\N	\N
761798	2600	1996-07-26	PRIJEM	VKLAD	24216	57304	\N	\N	\N
761799	2600	1996-06-24	PRIJEM	VKLAD	8139	99455	\N	\N	\N
761800	2600	1996-03-11	PRIJEM	VKLAD	24651	43860	\N	\N	\N
761801	2600	1996-08-21	PRIJEM	VKLAD	26585	94232	\N	\N	\N
761802	2600	1996-06-05	PRIJEM	VKLAD	6380	94346	\N	\N	\N
761803	2600	1996-10-31	PRIJEM	VKLAD	48577	127524	\N	\N	\N
761804	2600	1996-10-24	PRIJEM	VKLAD	37255	116299	\N	\N	\N
761806	2600	1996-03-31	PRIJEM	VKLAD	44726	84484	\N	\N	\N
761807	2600	1996-06-18	PRIJEM	VKLAD	44810	91316	\N	\N	\N
761808	2600	1996-10-25	PRIJEM	VKLAD	13414	90013	\N	\N	\N
761810	2600	1996-11-16	PRIJEM	VKLAD	13944	60136	\N	\N	\N
761812	2600	1996-05-18	PRIJEM	VKLAD	18016	73835	\N	\N	\N
761813	2600	1996-03-14	PRIJEM	VKLAD	13578	57438	\N	\N	\N
761814	2600	1996-06-09	PRIJEM	VKLAD	39739	129706	\N	\N	\N
761815	2600	1996-09-07	PRIJEM	VKLAD	37638	132207	\N	\N	\N
761816	2600	1996-03-09	PRIJEM	VKLAD	18209	19209	\N	\N	\N
761817	2600	1996-09-29	PRIJEM	VKLAD	41204	101932	\N	\N	\N
761818	2600	1996-10-26	PRIJEM	VKLAD	26334	116347	\N	\N	\N
761819	2600	1996-04-27	PRIJEM	VKLAD	33574	88858	\N	\N	\N
761820	2600	1996-12-11	PRIJEM	VKLAD	40912	77356	\N	\N	\N
761822	2600	1997-07-14	PRIJEM	VKLAD	12437	60263	\N	\N	\N
761823	2600	1997-03-25	PRIJEM	VKLAD	19372	72716	\N	\N	\N
761824	2600	1997-03-21	PRIJEM	VKLAD	44662	106544	\N	\N	\N
761825	2600	1997-02-21	PRIJEM	VKLAD	5669	40771	\N	\N	\N
761826	2600	1997-03-03	PRIJEM	VKLAD	22784	63808	\N	\N	\N
761827	2600	1997-05-05	PRIJEM	VKLAD	46793	85855	\N	\N	\N
761828	2600	1997-08-23	PRIJEM	VKLAD	15173	66237	\N	\N	\N
761829	2600	1997-09-27	PRIJEM	VKLAD	43706	119269	\N	\N	\N
761830	2600	1997-07-01	PRIJEM	VKLAD	36103	81005	\N	\N	\N
761831	2600	1997-09-18	PRIJEM	VKLAD	40499	78814	\N	\N	\N
761832	2600	1997-09-20	PRIJEM	VKLAD	38017	116831	\N	\N	\N
761833	2600	1997-09-26	PRIJEM	VKLAD	19782	125863	\N	\N	\N
761834	2600	1997-03-06	PRIJEM	VKLAD	5043	101961	\N	\N	\N
761835	2600	1997-04-07	PRIJEM	VKLAD	24328	97303	\N	\N	\N
761836	2600	1997-08-23	PRIJEM	VKLAD	12759	51064	\N	\N	\N
761837	2600	1997-11-21	PRIJEM	VKLAD	19962	50070	\N	\N	\N
761838	2600	1997-01-24	PRIJEM	VKLAD	29207	98065	\N	\N	\N
761839	2600	1997-09-22	PRIJEM	VKLAD	39700	135581	\N	\N	\N
761840	2600	1997-01-25	PRIJEM	VKLAD	42164	134229	\N	\N	\N
761841	2600	1997-01-17	PRIJEM	VKLAD	24141	68858	\N	\N	\N
761842	2600	1997-09-21	PRIJEM	VKLAD	17650	113581	\N	\N	\N
761843	2600	1997-03-03	PRIJEM	VKLAD	33110	96918	\N	\N	\N
761844	2600	1998-04-20	PRIJEM	VKLAD	31352	84416	\N	\N	\N
761845	2600	1998-06-22	PRIJEM	VKLAD	32719	93515	\N	\N	\N
761846	2600	1998-03-11	PRIJEM	VKLAD	46528	107043	\N	\N	\N
761847	2600	1998-06-28	PRIJEM	VKLAD	26848	120363	\N	\N	\N
761848	2600	1998-04-17	PRIJEM	VKLAD	16643	68020	\N	\N	\N
761849	2600	1998-02-17	PRIJEM	VKLAD	9541	114537	\N	\N	\N
761850	2600	1998-07-25	PRIJEM	VKLAD	10762	141686	\N	\N	\N
761851	2600	1998-02-23	PRIJEM	VKLAD	45491	145095	\N	\N	\N
761852	2600	1998-11-16	PRIJEM	VKLAD	9221	43939	\N	\N	\N
761853	2600	1998-07-10	PRIJEM	VKLAD	30856	88828	\N	\N	\N
761854	2600	1998-03-24	PRIJEM	VKLAD	5586	112629	\N	\N	\N
761855	2600	1998-04-23	PRIJEM	VKLAD	25844	109790	\N	\N	\N
761856	2600	1998-03-04	PRIJEM	VKLAD	29851	137094	\N	\N	\N
761857	2600	1998-09-10	PRIJEM	VKLAD	13540	48915	\N	\N	\N
761858	2600	1998-07-20	PRIJEM	VKLAD	47896	146124	\N	\N	\N
761859	2600	1998-05-03	PRIJEM	VKLAD	29981	123366	\N	\N	\N
761860	2600	1998-06-06	PRIJEM	VKLAD	7187	65175	\N	\N	\N
761861	2600	1998-12-12	PRIJEM	VKLAD	35488	71503	\N	\N	\N
761862	2600	1998-04-20	PRIJEM	VKLAD	28730	113146	\N	\N	\N
761863	2600	1998-02-10	PRIJEM	VKLAD	22240	104996	\N	\N	\N
761864	2600	1998-07-19	PRIJEM	VKLAD	25275	98228	\N	\N	\N
761865	2600	1998-05-13	PRIJEM	VKLAD	43107	100594	\N	\N	\N
761866	2600	1998-02-18	PRIJEM	VKLAD	5767	99604	\N	\N	\N
761867	2600	1998-07-10	PRIJEM	VKLAD	26725	115553	\N	\N	\N
761868	2600	1998-07-26	PRIJEM	VKLAD	31051	151037	\N	\N	\N
761869	2600	1998-04-10	PRIJEM	VKLAD	8823	51377	\N	\N	\N
761870	2600	1998-02-03	PRIJEM	VKLAD	45824	87135	\N	\N	\N
761871	2600	1998-12-24	PRIJEM	VKLAD	14805	83908	\N	\N	\N
761872	2600	1998-02-28	PRIJEM	VKLAD	36841	166758	\N	\N	\N
761877	2600	1996-05-07	VYDAJ	PREVOD NA UCET	4379	84819	SIPO	AB	15214342
761878	2600	1996-06-07	VYDAJ	PREVOD NA UCET	4379	89967	SIPO	AB	15214342
761879	2600	1996-07-07	VYDAJ	PREVOD NA UCET	4379	39888	SIPO	AB	15214342
761880	2600	1996-08-07	VYDAJ	PREVOD NA UCET	4379	78521	SIPO	AB	15214342
761881	2600	1996-09-07	VYDAJ	PREVOD NA UCET	4379	127828	SIPO	AB	15214342
761882	2600	1996-10-07	VYDAJ	PREVOD NA UCET	4379	97859	SIPO	AB	15214342
761883	2600	1996-11-07	VYDAJ	PREVOD NA UCET	4379	64481	SIPO	AB	15214342
761884	2600	1996-12-07	VYDAJ	PREVOD NA UCET	4379	56044	SIPO	AB	15214342
761885	2600	1997-01-07	VYDAJ	PREVOD NA UCET	4379	57417	SIPO	AB	15214342
761886	2600	1997-02-07	VYDAJ	PREVOD NA UCET	4379	81544	SIPO	AB	15214342
761887	2600	1997-03-07	VYDAJ	PREVOD NA UCET	4379	97582	SIPO	AB	15214342
761888	2600	1997-04-07	VYDAJ	PREVOD NA UCET	4379	92924	SIPO	AB	15214342
761889	2600	1997-05-07	VYDAJ	PREVOD NA UCET	4379	81476	SIPO	AB	15214342
761890	2600	1997-06-07	VYDAJ	PREVOD NA UCET	4379	50802	SIPO	AB	15214342
761891	2600	1997-07-07	VYDAJ	PREVOD NA UCET	4379	66726	SIPO	AB	15214342
761892	2600	1997-08-07	VYDAJ	PREVOD NA UCET	4379	38305	SIPO	AB	15214342
761893	2600	1997-09-07	VYDAJ	PREVOD NA UCET	4379	47229	SIPO	AB	15214342
761894	2600	1997-10-07	VYDAJ	PREVOD NA UCET	4379	47499	SIPO	AB	15214342
761895	2600	1997-11-07	VYDAJ	PREVOD NA UCET	4379	30108	SIPO	AB	15214342
761896	2600	1997-12-07	VYDAJ	PREVOD NA UCET	4379	40327	SIPO	AB	15214342
761897	2600	1998-01-07	VYDAJ	PREVOD NA UCET	4379	32192	SIPO	AB	15214342
761898	2600	1998-02-07	VYDAJ	PREVOD NA UCET	4379	82756	SIPO	AB	15214342
761899	2600	1998-03-07	VYDAJ	PREVOD NA UCET	4379	60515	SIPO	AB	15214342
761900	2600	1998-04-07	VYDAJ	PREVOD NA UCET	4379	53848	SIPO	AB	15214342
761901	2600	1998-05-07	VYDAJ	PREVOD NA UCET	4379	57487	SIPO	AB	15214342
761902	2600	1998-06-07	VYDAJ	PREVOD NA UCET	4379	60796	SIPO	AB	15214342
761903	2600	1998-07-07	VYDAJ	PREVOD NA UCET	4379	57972	SIPO	AB	15214342
761904	2600	1998-08-07	VYDAJ	PREVOD NA UCET	4379	38601	SIPO	AB	15214342
761905	2600	1998-09-07	VYDAJ	PREVOD NA UCET	4379	35375	SIPO	AB	15214342
761906	2600	1998-10-07	VYDAJ	PREVOD NA UCET	4379	37639	SIPO	AB	15214342
761907	2600	1998-11-07	VYDAJ	PREVOD NA UCET	4379	34718	SIPO	AB	15214342
761908	2600	1998-12-07	VYDAJ	PREVOD NA UCET	4379	36015	SIPO	AB	15214342
761911	2600	1996-12-30	VYBER	VYBER	9525	61531	\N	\N	\N
761912	2600	1996-11-08	VYBER	VYBER	7889	56592	\N	\N	\N
761914	2600	1997-02-17	VYBER	VYBER	24142	35102	\N	\N	\N
761915	2600	1997-09-14	VYBER	VYBER	8914	38315	\N	\N	\N
761916	2600	1997-04-12	VYBER	VYBER	23859	38865	\N	\N	\N
761917	2600	1997-10-09	VYBER	VYBER	19852	27647	\N	\N	\N
761918	2600	1998-04-19	VYBER	VYBER	14956	53064	\N	\N	\N
761919	2600	1998-09-19	VYBER	VYBER	9557	39358	\N	\N	\N
761921	2600	1998-05-18	VYBER	VYBER	4895	78476	\N	\N	\N
761922	2600	1998-05-17	VYBER	VYBER	17223	83371	\N	\N	\N
761923	2600	1998-08-03	VYBER	VYBER	13175	42980	\N	\N	\N
761924	2600	1998-04-09	VYBER	VYBER	11294	42554	\N	\N	\N
761925	2600	1996-06-27	VYDAJ	VYBER	55500	43955	\N	\N	\N
761929	2600	1997-01-24	VYDAJ	VYBER	6000	92065	\N	\N	\N
761931	2600	1996-12-21	VYDAJ	VYBER	6300	71056	\N	\N	\N
761932	2600	1997-12-17	VYDAJ	VYBER	8100	32227	\N	\N	\N
761933	2600	1998-12-15	VYDAJ	VYBER KARTOU	2400	69103	\N	\N	0
761935	2600	1996-12-08	VYDAJ	VYBER	11400	44644	\N	\N	\N
761937	2600	1997-07-04	VYDAJ	VYBER	9900	71105	\N	\N	\N
761938	2600	1997-07-31	VYDAJ	VYBER	10800	49698	\N	\N	\N
761939	2600	1997-09-25	VYDAJ	VYBER KARTOU	6900	106081	\N	\N	0
761940	2600	1998-04-21	VYDAJ	VYBER	10800	83946	\N	\N	\N
761941	2600	1998-05-19	VYDAJ	VYBER	12900	65576	\N	\N	\N
761942	2600	1998-08-01	VYDAJ	VYBER KARTOU	6600	63655	\N	\N	0
761943	2600	1998-08-02	VYDAJ	VYBER KARTOU	7500	56155	\N	\N	0
761948	2600	1996-04-30	VYDAJ	VYBER	15	89198	SLUZBY	\N	\N
761949	2600	1996-05-31	VYDAJ	VYBER	15	74141	SLUZBY	\N	\N
761950	2600	1996-06-30	VYDAJ	VYBER	15	44267	SLUZBY	\N	\N
761951	2600	1996-07-31	VYDAJ	VYBER	15	82900	SLUZBY	\N	\N
761952	2600	1996-08-31	VYDAJ	VYBER	15	94569	SLUZBY	\N	\N
761953	2600	1996-09-30	VYDAJ	VYBER	15	102238	SLUZBY	\N	\N
761954	2600	1996-10-31	VYDAJ	VYBER	15	127860	SLUZBY	\N	\N
761955	2600	1996-11-30	VYDAJ	VYBER	15	60423	SLUZBY	\N	\N
761956	2600	1996-12-31	VYDAJ	VYBER	15	61796	SLUZBY	\N	\N
761957	2600	1997-01-31	VYDAJ	VYBER	15	85923	SLUZBY	\N	\N
761958	2600	1997-02-28	VYDAJ	VYBER	15	41024	SLUZBY	\N	\N
761959	2600	1997-03-31	VYDAJ	VYBER	15	72975	SLUZBY	\N	\N
761960	2600	1997-04-30	VYDAJ	VYBER	15	39062	SLUZBY	\N	\N
761961	2600	1997-05-31	VYDAJ	VYBER	15	55181	SLUZBY	\N	\N
761962	2600	1997-06-30	VYDAJ	VYBER	15	44902	SLUZBY	\N	\N
761963	2600	1997-07-31	VYDAJ	VYBER	15	49684	SLUZBY	\N	\N
761964	2600	1997-08-31	VYDAJ	VYBER	15	66408	SLUZBY	\N	\N
761965	2600	1997-09-30	VYDAJ	VYBER	15	70178	SLUZBY	\N	\N
761966	2600	1997-10-31	VYDAJ	VYBER	15	27787	SLUZBY	\N	\N
761967	2600	1997-11-30	VYDAJ	VYBER	15	50206	SLUZBY	\N	\N
761968	2600	1997-12-31	VYDAJ	VYBER	15	32371	SLUZBY	\N	\N
761969	2600	1998-01-31	VYDAJ	VYBER	15	32311	SLUZBY	\N	\N
761970	2600	1998-02-28	VYDAJ	VYBER	15	166743	SLUZBY	\N	\N
761971	2600	1998-03-31	VYDAJ	VYBER	15	66227	SLUZBY	\N	\N
761972	2600	1998-04-30	VYDAJ	VYBER	15	93385	SLUZBY	\N	\N
761973	2600	1998-05-31	VYDAJ	VYBER	15	65888	SLUZBY	\N	\N
761974	2600	1998-06-30	VYDAJ	VYBER	15	76451	SLUZBY	\N	\N
761975	2600	1998-07-31	VYDAJ	VYBER	15	94355	SLUZBY	\N	\N
761976	2600	1998-08-31	VYDAJ	VYBER	15	39754	SLUZBY	\N	\N
761977	2600	1998-09-30	VYDAJ	VYBER	15	42018	SLUZBY	\N	\N
761978	2600	1998-10-31	VYDAJ	VYBER	15	39097	SLUZBY	\N	\N
761979	2600	1998-11-30	VYDAJ	VYBER	15	40394	SLUZBY	\N	\N
761980	2600	1996-03-14	VYDAJ	VYBER	17800	39638	\N	\N	\N
761981	2600	1996-04-13	VYDAJ	VYBER	29200	55284	\N	\N	\N
761982	2600	1996-05-13	VYDAJ	VYBER	29000	55819	\N	\N	\N
761983	2600	1996-06-09	VYDAJ	VYBER	63400	66306	\N	\N	\N
761984	2600	1996-06-12	VYDAJ	VYBER	19800	46506	\N	\N	\N
761985	2600	1996-07-12	VYDAJ	VYBER	6800	33088	\N	\N	\N
761986	2600	1996-07-28	VYDAJ	VYBER	40600	63763	\N	\N	\N
761987	2600	1996-08-08	VYDAJ	VYBER	18800	107647	\N	\N	\N
761988	2600	1996-08-11	VYDAJ	VYBER	40000	67647	\N	\N	\N
761989	2600	1996-09-07	VYDAJ	VYBER	15100	112728	\N	\N	\N
761990	2600	1996-09-07	VYDAJ	VYBER	28600	84128	\N	\N	\N
761991	2600	1996-09-10	VYDAJ	VYBER	23400	60728	\N	\N	\N
761992	2600	1996-10-10	VYDAJ	VYBER	34300	63559	\N	\N	\N
761993	2600	1996-10-24	VYDAJ	VYBER	39700	76599	\N	\N	\N
761994	2600	1996-10-26	VYDAJ	VYBER	37400	78947	\N	\N	\N
761995	2600	1996-10-31	VYDAJ	VYBER	59000	68860	\N	\N	\N
761996	2600	1996-11-09	VYDAJ	VYBER	10400	46192	\N	\N	\N
761997	2600	1996-12-09	VYDAJ	VYBER	8200	36444	\N	\N	\N
761998	2600	1997-01-08	VYDAJ	VYBER	12700	44717	\N	\N	\N
761999	2600	1997-01-25	VYDAJ	VYBER	48600	85629	\N	\N	\N
762000	2600	1997-02-07	VYDAJ	VYBER	22300	59244	\N	\N	\N
762001	2600	1997-03-09	VYDAJ	VYBER	35700	61882	\N	\N	\N
762002	2600	1997-03-21	VYDAJ	VYBER	53200	53344	\N	\N	\N
762003	2600	1997-04-08	VYDAJ	VYBER	30200	62724	\N	\N	\N
762004	2600	1997-05-08	VYDAJ	VYBER	26500	54976	\N	\N	\N
762005	2600	1997-06-07	VYDAJ	VYBER KARTOU	6100	44702	\N	\N	0
762006	2600	1997-07-07	VYDAJ	VYBER	18900	47826	\N	\N	\N
762007	2600	1997-08-06	VYDAJ	VYBER KARTOU	7000	42684	\N	\N	0
762008	2600	1997-09-05	VYDAJ	VYBER	14800	51608	\N	\N	\N
762009	2600	1997-09-20	VYDAJ	VYBER	20900	95931	\N	\N	\N
762010	2600	1997-09-21	VYDAJ	VYBER	17700	95881	\N	\N	\N
762011	2600	1997-09-22	VYDAJ	VYBER	22600	112981	\N	\N	\N
762012	2600	1997-09-26	VYDAJ	VYBER	50300	75563	\N	\N	\N
762013	2600	1997-09-27	VYDAJ	VYBER	49400	69869	\N	\N	\N
762014	2600	1997-10-05	VYDAJ	VYBER	18300	51878	\N	\N	\N
762015	2600	1997-11-04	PRIJEM	VKLAD	6700	34487	\N	\N	\N
762016	2600	1997-12-04	VYDAJ	VYBER KARTOU	5500	44706	\N	\N	0
762017	2600	1998-01-03	PRIJEM	VKLAD	4200	36571	\N	\N	\N
762018	2600	1998-02-02	PRIJEM	VKLAD	9000	41311	\N	\N	\N
762019	2600	1998-02-17	VYDAJ	VYBER	20700	93837	\N	\N	\N
762020	2600	1998-02-23	VYDAJ	VYBER	15600	129495	\N	\N	\N
762021	2600	1998-02-28	VYDAJ	VYBER	59500	107243	\N	\N	\N
762022	2600	1998-03-04	VYDAJ	VYBER	48700	88394	\N	\N	\N
762023	2600	1998-03-04	VYDAJ	VYBER	23500	64894	\N	\N	\N
762024	2600	1998-03-24	VYDAJ	VYBER	46800	65829	\N	\N	\N
762025	2600	1998-04-03	VYDAJ	VYBER KARTOU	8000	58227	\N	\N	0
762026	2600	1998-04-20	VYDAJ	VYBER	18400	94746	\N	\N	\N
762027	2600	1998-04-23	VYDAJ	VYBER	16700	93090	\N	\N	\N
762028	2600	1998-05-03	VYDAJ	VYBER	47400	75966	\N	\N	\N
762029	2600	1998-05-03	VYDAJ	VYBER	14100	61866	\N	\N	\N
762030	2600	1998-06-02	VYDAJ	VYBER KARTOU	7900	57988	\N	\N	0
762031	2600	1998-06-28	VYDAJ	VYBER	44200	76163	\N	\N	\N
762032	2600	1998-07-02	VYDAJ	VYBER	14100	62351	\N	\N	\N
762033	2600	1998-07-10	VYDAJ	VYBER	42600	72953	\N	\N	\N
762034	2600	1998-07-20	VYDAJ	VYBER	15200	130924	\N	\N	\N
762035	2600	1998-07-25	VYDAJ	VYBER	21700	119986	\N	\N	\N
762036	2600	1998-07-26	VYDAJ	VYBER	27400	123637	\N	\N	\N
762037	2600	1998-07-31	VYDAJ	VYBER	29700	94369	\N	\N	\N
762038	2600	1998-08-01	VYDAJ	VYBER	24100	70255	\N	\N	\N
762039	2600	1998-08-31	PRIJEM	VKLAD	1000	39769	\N	\N	\N
762040	2600	1998-09-30	PRIJEM	VKLAD	2500	42033	\N	\N	\N
762041	2600	1998-10-30	PRIJEM	VKLAD	1300	38939	\N	\N	\N
762042	2600	1998-11-29	VYDAJ	VYBER KARTOU	3700	40239	\N	\N	0
762077	2601	1996-11-24	PRIJEM	VKLAD	200	200	\N	\N	\N
762157	2601	1996-12-24	PRIJEM	VKLAD	10000	10200	\N	\N	\N
762158	2601	1997-01-23	PRIJEM	VKLAD	7000	17200	\N	\N	\N
762159	2601	1997-02-22	VYDAJ	VYBER	700	16500	\N	\N	\N
762160	2601	1997-04-23	VYDAJ	VYBER	4500	12000	\N	\N	\N
762161	2601	1997-05-23	PRIJEM	VKLAD	3500	15500	\N	\N	\N
762162	2601	1997-06-22	PRIJEM	VKLAD	2700	18200	\N	\N	\N
762163	2601	1997-07-22	VYDAJ	VYBER	700	17500	\N	\N	\N
762164	2601	1997-08-21	PRIJEM	VKLAD	1200	18700	\N	\N	\N
762165	2601	1997-09-20	VYDAJ	VYBER	3000	15700	\N	\N	\N
762166	2601	1997-10-20	VYDAJ	VYBER	3400	12300	\N	\N	\N
762167	2601	1997-11-19	PRIJEM	VKLAD	4100	16400	\N	\N	\N
762168	2601	1997-12-19	VYDAJ	VYBER	800	15600	\N	\N	\N
762169	2601	1998-01-18	PRIJEM	VKLAD	700	16300	\N	\N	\N
762170	2601	1998-02-17	PRIJEM	VKLAD	300	16600	\N	\N	\N
762171	2601	1998-03-19	VYDAJ	VYBER	2600	14000	\N	\N	\N
762172	2601	1998-04-18	VYDAJ	VYBER	2300	11700	\N	\N	\N
762173	2601	1998-05-18	PRIJEM	VKLAD	500	12200	\N	\N	\N
762174	2601	1998-06-17	PRIJEM	VKLAD	1700	13900	\N	\N	\N
762175	2601	1998-07-17	VYDAJ	VYBER	1100	12800	\N	\N	\N
762176	2601	1998-08-16	PRIJEM	VKLAD	600	13400	\N	\N	\N
762177	2601	1998-09-15	PRIJEM	VKLAD	4000	17400	\N	\N	\N
762178	2601	1998-10-15	VYDAJ	VYBER	800	16600	\N	\N	\N
762179	2601	1998-11-14	PRIJEM	VKLAD	3500	20100	\N	\N	\N
762180	2602	1996-06-17	PRIJEM	VKLAD	300	300	\N	\N	\N
762187	2602	1996-07-12	PRIJEM	VKLAD	10970	11270	\N	\N	\N
762188	2602	1996-08-12	PRIJEM	VKLAD	10970	30179	\N	\N	\N
762189	2602	1996-09-12	PRIJEM	VKLAD	10970	40451	\N	\N	\N
762190	2602	1996-10-12	PRIJEM	VKLAD	10970	43951	\N	\N	\N
762191	2602	1996-11-12	PRIJEM	VKLAD	10970	46563	\N	\N	\N
762192	2602	1996-12-12	PRIJEM	VKLAD	16455	48057	\N	\N	\N
762193	2602	1997-01-12	PRIJEM	VKLAD	10970	42335	\N	\N	\N
762194	2602	1997-02-12	PRIJEM	VKLAD	10970	33112	\N	\N	\N
762195	2602	1997-03-12	PRIJEM	VKLAD	10970	37008	\N	\N	\N
762196	2602	1997-04-12	PRIJEM	VKLAD	10970	33391	\N	\N	\N
762197	2602	1997-05-12	PRIJEM	VKLAD	10970	42581	\N	\N	\N
762198	2602	1997-06-12	PRIJEM	VKLAD	16455	50978	\N	\N	\N
762199	2602	1997-07-12	PRIJEM	VKLAD	10970	20355	\N	\N	\N
762200	2602	1997-08-12	PRIJEM	VKLAD	10970	46483	\N	\N	\N
762201	2602	1997-09-12	PRIJEM	VKLAD	10970	49509	\N	\N	\N
762202	2602	1997-10-12	PRIJEM	VKLAD	10970	49959	\N	\N	\N
762203	2602	1997-11-12	PRIJEM	VKLAD	10970	53015	\N	\N	\N
762204	2602	1997-12-12	PRIJEM	VKLAD	16455	57565	\N	\N	\N
762205	2602	1998-01-12	PRIJEM	VKLAD	10970	44719	\N	\N	\N
762206	2602	1998-02-12	PRIJEM	VKLAD	10970	49695	\N	\N	\N
762207	2602	1998-03-12	PRIJEM	VKLAD	10970	51438	\N	\N	\N
762208	2602	1998-04-12	PRIJEM	VKLAD	10970	50398	\N	\N	\N
762209	2602	1998-05-12	PRIJEM	VKLAD	10970	49255	\N	\N	\N
762210	2602	1998-06-12	PRIJEM	VKLAD	16455	47245	\N	\N	\N
762211	2602	1998-07-12	PRIJEM	VKLAD	10970	41863	\N	\N	\N
762212	2602	1998-08-12	PRIJEM	VKLAD	10970	46585	\N	\N	\N
762213	2602	1998-09-12	PRIJEM	VKLAD	10970	46217	\N	\N	\N
762214	2602	1998-10-12	PRIJEM	VKLAD	10970	47409	\N	\N	\N
762215	2602	1998-11-12	PRIJEM	VKLAD	10970	52048	\N	\N	\N
762216	2602	1998-12-12	PRIJEM	VKLAD	16455	58691	\N	\N	\N
762228	2602	1996-12-05	VYDAJ	PREVOD NA UCET	1332	35675	SIPO	QR	62890523
762229	2602	1997-01-05	VYDAJ	PREVOD NA UCET	1332	39878	SIPO	QR	62890523
762230	2602	1997-02-05	VYDAJ	PREVOD NA UCET	1332	26215	SIPO	QR	62890523
762231	2602	1997-03-05	VYDAJ	PREVOD NA UCET	1332	30111	SIPO	QR	62890523
762232	2602	1997-04-05	VYDAJ	PREVOD NA UCET	1332	26494	SIPO	QR	62890523
762233	2602	1997-05-05	VYDAJ	PREVOD NA UCET	1332	35684	SIPO	QR	62890523
762234	2602	1997-06-05	VYDAJ	PREVOD NA UCET	1332	38596	SIPO	QR	62890523
762235	2602	1997-07-05	VYDAJ	PREVOD NA UCET	1332	13458	SIPO	QR	62890523
762236	2602	1997-08-05	VYDAJ	PREVOD NA UCET	1332	32386	SIPO	QR	62890523
762237	2602	1997-09-05	VYDAJ	PREVOD NA UCET	1332	45312	SIPO	QR	62890523
762238	2602	1997-10-05	VYDAJ	PREVOD NA UCET	1332	48362	SIPO	QR	62890523
762239	2602	1997-11-05	VYDAJ	PREVOD NA UCET	1332	48818	SIPO	QR	62890523
762240	2602	1997-12-05	VYDAJ	PREVOD NA UCET	1332	51883	SIPO	QR	62890523
762241	2602	1998-01-05	VYDAJ	PREVOD NA UCET	1332	52122	SIPO	QR	62890523
762242	2602	1998-02-05	VYDAJ	PREVOD NA UCET	1332	38998	SIPO	QR	62890523
762243	2602	1998-03-05	VYDAJ	PREVOD NA UCET	1332	48541	SIPO	QR	62890523
762244	2602	1998-04-05	VYDAJ	PREVOD NA UCET	1332	50301	SIPO	QR	62890523
762245	2602	1998-05-05	VYDAJ	PREVOD NA UCET	1332	49258	SIPO	QR	62890523
762246	2602	1998-06-05	VYDAJ	PREVOD NA UCET	1332	44143	SIPO	QR	62890523
762247	2602	1998-07-05	VYDAJ	PREVOD NA UCET	1332	30366	SIPO	QR	62890523
762248	2602	1998-08-05	VYDAJ	PREVOD NA UCET	1332	35988	SIPO	QR	62890523
762249	2602	1998-09-05	VYDAJ	PREVOD NA UCET	1332	39320	SIPO	QR	62890523
762250	2602	1998-10-05	VYDAJ	PREVOD NA UCET	1332	40512	SIPO	QR	62890523
762251	2602	1998-11-05	VYDAJ	PREVOD NA UCET	1332	45751	SIPO	QR	62890523
762252	2602	1998-12-05	VYDAJ	PREVOD NA UCET	1332	46309	SIPO	QR	62890523
762264	2602	1996-12-11	VYDAJ	PREVOD NA UCET	4073	31602	 	WX	59156989
762265	2602	1997-01-11	VYDAJ	PREVOD NA UCET	4073	31365	 	WX	59156989
762266	2602	1997-02-11	VYDAJ	PREVOD NA UCET	4073	22142	 	WX	59156989
762267	2602	1997-03-11	VYDAJ	PREVOD NA UCET	4073	26038	 	WX	59156989
762268	2602	1997-04-11	VYDAJ	PREVOD NA UCET	4073	22421	 	WX	59156989
762269	2602	1997-05-11	VYDAJ	PREVOD NA UCET	4073	31611	 	WX	59156989
762270	2602	1997-06-11	VYDAJ	PREVOD NA UCET	4073	34523	 	WX	59156989
762271	2602	1997-07-11	VYDAJ	PREVOD NA UCET	4073	9385	 	WX	59156989
762272	2602	1997-08-11	VYDAJ	PREVOD NA UCET	4073	35513	 	WX	59156989
762273	2602	1997-09-11	VYDAJ	PREVOD NA UCET	4073	38539	 	WX	59156989
762274	2602	1997-10-11	VYDAJ	PREVOD NA UCET	4073	38989	 	WX	59156989
762275	2602	1997-11-11	VYDAJ	PREVOD NA UCET	4073	42045	 	WX	59156989
762276	2602	1997-12-11	VYDAJ	PREVOD NA UCET	4073	41110	 	WX	59156989
762277	2602	1998-01-11	VYDAJ	PREVOD NA UCET	4073	33749	 	WX	59156989
762278	2602	1998-02-11	VYDAJ	PREVOD NA UCET	4073	38725	 	WX	59156989
762279	2602	1998-03-11	VYDAJ	PREVOD NA UCET	4073	40468	 	WX	59156989
762280	2602	1998-04-11	VYDAJ	PREVOD NA UCET	4073	39428	 	WX	59156989
762281	2602	1998-05-11	VYDAJ	PREVOD NA UCET	4073	38285	 	WX	59156989
762282	2602	1998-06-11	VYDAJ	PREVOD NA UCET	4073	30790	 	WX	59156989
762283	2602	1998-07-11	VYDAJ	PREVOD NA UCET	4073	30893	 	WX	59156989
762284	2602	1998-08-11	VYDAJ	PREVOD NA UCET	4073	35615	 	WX	59156989
762285	2602	1998-09-11	VYDAJ	PREVOD NA UCET	4073	35247	 	WX	59156989
762286	2602	1998-10-11	VYDAJ	PREVOD NA UCET	4073	36439	 	WX	59156989
762287	2602	1998-11-11	VYDAJ	PREVOD NA UCET	4073	41078	 	WX	59156989
762288	2602	1998-12-11	VYDAJ	PREVOD NA UCET	4073	42236	 	WX	59156989
762290	2602	1997-06-18	VYDAJ	VYBER	26720	19358	\N	\N	\N
762291	2602	1998-06-13	VYDAJ	VYBER	15680	31565	\N	\N	\N
762292	2602	1996-12-03	VYDAJ	VYBER	3200	37007	\N	\N	\N
762293	2602	1997-12-15	VYDAJ	VYBER	2400	55165	\N	\N	\N
762294	2602	1998-12-12	VYDAJ	VYBER	2880	55811	\N	\N	\N
762301	2602	1997-01-18	VYDAJ	VYBER	3360	34015	\N	\N	\N
762302	2602	1997-01-07	VYDAJ	VYBER	1320	38558	\N	\N	\N
762303	2602	1997-01-14	VYDAJ	VYBER	2160	37375	\N	\N	\N
762304	2602	1997-01-29	VYDAJ	VYBER	3120	27415	\N	\N	\N
762305	2602	1997-01-10	VYDAJ	VYBER	3120	35438	\N	\N	\N
762306	2602	1997-01-21	VYDAJ	VYBER	3480	30535	\N	\N	\N
762307	2602	1998-01-09	VYDAJ	VYBER	2880	43942	\N	\N	\N
762308	2602	1998-01-18	VYDAJ	VYBER	3360	41359	\N	\N	\N
762309	2602	1998-01-11	VYDAJ	VYBER	3480	37822	\N	\N	\N
762310	2602	1998-01-20	VYDAJ	VYBER	1200	40159	\N	\N	\N
762311	2602	1998-01-02	VYDAJ	VYBER	1920	53454	\N	\N	\N
762312	2602	1998-01-10	VYDAJ	VYBER	2640	41302	\N	\N	\N
762317	2602	1997-06-21	VYDAJ	VYBER	4680	14678	\N	\N	\N
762318	2602	1997-03-17	VYDAJ	VYBER	840	38868	\N	\N	\N
762319	2602	1997-04-19	VYDAJ	VYBER	1200	36891	\N	\N	\N
762320	2602	1997-03-19	VYDAJ	VYBER	5520	33348	\N	\N	\N
762321	2602	1997-03-22	VYDAJ	VYBER	5640	27708	\N	\N	\N
762322	2602	1997-02-22	VYDAJ	VYBER	4680	31332	\N	\N	\N
762323	2602	1998-07-17	VYDAJ	VYBER	4680	37183	\N	\N	\N
762324	2602	1998-11-05	VYDAJ	VYBER	600	45151	\N	\N	\N
762325	2602	1998-09-24	VYDAJ	VYBER	2880	43337	\N	\N	\N
762326	2602	1998-06-10	VYDAJ	VYBER	3480	34863	\N	\N	\N
762327	2602	1998-05-19	VYDAJ	VYBER	3960	45295	\N	\N	\N
762328	2602	1998-10-03	VYDAJ	VYBER	960	42544	\N	\N	\N
762340	2602	1996-11-30	VYDAJ	VYBER	15	40207	SLUZBY	\N	\N
762341	2602	1996-12-31	VYDAJ	VYBER	15	41210	SLUZBY	\N	\N
762342	2602	1997-01-31	VYDAJ	VYBER	15	27547	SLUZBY	\N	\N
762343	2602	1997-02-28	VYDAJ	VYBER	15	31443	SLUZBY	\N	\N
762344	2602	1997-03-31	VYDAJ	VYBER	15	27826	SLUZBY	\N	\N
762345	2602	1997-04-30	VYDAJ	VYBER	15	37016	SLUZBY	\N	\N
762346	2602	1997-05-31	VYDAJ	VYBER	15	39928	SLUZBY	\N	\N
762347	2602	1997-06-30	VYDAJ	VYBER	15	14790	SLUZBY	\N	\N
762348	2602	1997-07-31	VYDAJ	VYBER	15	33718	SLUZBY	\N	\N
762349	2602	1997-08-31	VYDAJ	VYBER	15	46644	SLUZBY	\N	\N
762350	2602	1997-09-30	VYDAJ	VYBER	15	49694	SLUZBY	\N	\N
762351	2602	1997-10-31	VYDAJ	VYBER	15	50150	SLUZBY	\N	\N
762352	2602	1997-11-30	VYDAJ	VYBER	15	53215	SLUZBY	\N	\N
762353	2602	1997-12-31	VYDAJ	VYBER	15	55374	SLUZBY	\N	\N
762354	2602	1998-01-31	VYDAJ	VYBER	15	40330	SLUZBY	\N	\N
762355	2602	1998-02-28	VYDAJ	VYBER	15	49873	SLUZBY	\N	\N
762356	2602	1998-03-31	VYDAJ	VYBER	15	51633	SLUZBY	\N	\N
762357	2602	1998-04-30	VYDAJ	VYBER	15	50590	SLUZBY	\N	\N
762358	2602	1998-05-31	VYDAJ	VYBER	15	45475	SLUZBY	\N	\N
762359	2602	1998-06-30	VYDAJ	VYBER	15	31698	SLUZBY	\N	\N
762360	2602	1998-07-31	VYDAJ	VYBER	15	37320	SLUZBY	\N	\N
762361	2602	1998-08-31	VYDAJ	VYBER	15	46752	SLUZBY	\N	\N
762362	2602	1998-09-30	VYDAJ	VYBER	15	43504	SLUZBY	\N	\N
762363	2602	1998-10-31	VYDAJ	VYBER	15	47583	SLUZBY	\N	\N
762364	2602	1998-11-30	VYDAJ	VYBER	15	52241	SLUZBY	\N	\N
762365	2602	1996-07-17	PRIJEM	VKLAD	7900	19170	\N	\N	\N
762366	2602	1996-08-16	VYDAJ	VYBER	800	29379	\N	\N	\N
762367	2602	1996-09-15	VYDAJ	VYBER	7600	32851	\N	\N	\N
762368	2602	1996-10-15	VYDAJ	VYBER	8500	35451	\N	\N	\N
762369	2602	1996-11-14	VYDAJ	VYBER	6500	40063	\N	\N	\N
762370	2602	1996-12-14	VYDAJ	VYBER	7000	41057	\N	\N	\N
762371	2602	1997-01-13	VYDAJ	VYBER	2800	39535	\N	\N	\N
762372	2602	1997-02-12	PRIJEM	VKLAD	2900	36012	\N	\N	\N
762373	2602	1997-03-14	PRIJEM	VKLAD	2700	39708	\N	\N	\N
762374	2602	1997-04-13	PRIJEM	VKLAD	4700	38091	\N	\N	\N
762375	2602	1997-05-13	VYDAJ	VYBER	2800	39781	\N	\N	\N
762376	2602	1997-06-12	VYDAJ	VYBER	4900	46078	\N	\N	\N
762377	2602	1997-07-12	PRIJEM	VKLAD	13300	33655	\N	\N	\N
762378	2602	1997-08-11	PRIJEM	VKLAD	7200	39586	\N	\N	\N
762379	2602	1997-09-10	VYDAJ	VYBER	2700	42612	\N	\N	\N
762380	2602	1997-10-10	VYDAJ	VYBER	5300	43062	\N	\N	\N
762381	2602	1997-11-09	VYDAJ	VYBER	2700	46118	\N	\N	\N
762382	2602	1997-12-09	VYDAJ	VYBER	6700	45183	\N	\N	\N
762383	2602	1998-01-08	VYDAJ	VYBER	5300	46822	\N	\N	\N
762384	2602	1998-02-07	PRIJEM	VKLAD	3800	42798	\N	\N	\N
762385	2602	1998-03-09	VYDAJ	VYBER	4000	44541	\N	\N	\N
762386	2602	1998-04-08	VYDAJ	VYBER	6800	43501	\N	\N	\N
762387	2602	1998-05-08	VYDAJ	VYBER	6900	42358	\N	\N	\N
762388	2602	1998-06-07	VYDAJ	VYBER	5800	38343	\N	\N	\N
762389	2602	1998-07-07	PRIJEM	VKLAD	4600	34966	\N	\N	\N
762390	2602	1998-08-06	PRIJEM	VKLAD	3700	39688	\N	\N	\N
762391	2602	1998-09-05	VYDAJ	VYBER	6100	40652	\N	\N	\N
762392	2602	1998-10-05	VYDAJ	VYBER	700	41844	\N	\N	\N
762393	2602	1998-11-04	VYDAJ	VYBER	500	47083	\N	\N	\N
762394	2602	1998-12-04	VYDAJ	VYBER	4600	47641	\N	\N	\N
762425	2603	1996-06-14	PRIJEM	VKLAD	300	300	\N	\N	\N
762432	2603	1996-07-07	PRIJEM	PREVOD Z UCTU	5416	5716	DUCHOD	IJ	27247029
762433	2603	1996-08-07	PRIJEM	PREVOD Z UCTU	5416	11132	DUCHOD	IJ	27247029
762434	2603	1996-09-07	PRIJEM	PREVOD Z UCTU	5416	16548	DUCHOD	IJ	27247029
762435	2603	1996-10-07	PRIJEM	PREVOD Z UCTU	5416	21964	DUCHOD	IJ	27247029
762436	2603	1996-11-07	PRIJEM	PREVOD Z UCTU	5416	27380	DUCHOD	IJ	27247029
762437	2603	1996-12-07	PRIJEM	PREVOD Z UCTU	5416	29649	DUCHOD	IJ	27247029
762438	2603	1997-01-07	PRIJEM	PREVOD Z UCTU	5416	26132	DUCHOD	IJ	27247029
762439	2603	1997-02-07	PRIJEM	PREVOD Z UCTU	5416	20187	DUCHOD	IJ	27247029
762440	2603	1997-03-07	PRIJEM	PREVOD Z UCTU	5416	22447	DUCHOD	IJ	27247029
762441	2603	1997-04-07	PRIJEM	PREVOD Z UCTU	5416	24716	DUCHOD	IJ	27247029
762442	2603	1997-05-07	PRIJEM	PREVOD Z UCTU	5416	25794	DUCHOD	IJ	27247029
762443	2603	1997-06-07	PRIJEM	PREVOD Z UCTU	5416	21878	DUCHOD	IJ	27247029
762444	2603	1997-07-07	PRIJEM	PREVOD Z UCTU	5416	21751	DUCHOD	IJ	27247029
762445	2603	1997-08-07	PRIJEM	PREVOD Z UCTU	5416	24020	DUCHOD	IJ	27247029
762446	2603	1997-09-07	PRIJEM	PREVOD Z UCTU	5416	26296	DUCHOD	IJ	27247029
762447	2603	1997-10-07	PRIJEM	PREVOD Z UCTU	5416	28181	DUCHOD	IJ	27247029
762448	2603	1997-11-07	PRIJEM	PREVOD Z UCTU	5416	30474	DUCHOD	IJ	27247029
762449	2603	1997-12-07	PRIJEM	PREVOD Z UCTU	5416	31417	DUCHOD	IJ	27247029
762450	2603	1998-01-07	PRIJEM	PREVOD Z UCTU	5416	29434	DUCHOD	IJ	27247029
762451	2603	1998-02-07	PRIJEM	PREVOD Z UCTU	5416	19482	DUCHOD	IJ	27247029
762452	2603	1998-03-07	PRIJEM	PREVOD Z UCTU	5416	21738	DUCHOD	IJ	27247029
762453	2603	1998-04-07	PRIJEM	PREVOD Z UCTU	5416	24005	DUCHOD	IJ	27247029
762454	2603	1998-05-07	PRIJEM	PREVOD Z UCTU	5416	26280	DUCHOD	IJ	27247029
762455	2603	1998-06-07	PRIJEM	PREVOD Z UCTU	5416	28566	DUCHOD	IJ	27247029
762456	2603	1998-07-07	PRIJEM	PREVOD Z UCTU	5416	28617	DUCHOD	IJ	27247029
762457	2603	1998-08-07	PRIJEM	PREVOD Z UCTU	5416	29468	DUCHOD	IJ	27247029
762458	2603	1998-09-07	PRIJEM	PREVOD Z UCTU	5416	31767	DUCHOD	IJ	27247029
762459	2603	1998-10-07	PRIJEM	PREVOD Z UCTU	5416	34075	DUCHOD	IJ	27247029
762460	2603	1998-11-07	PRIJEM	PREVOD Z UCTU	5416	34692	DUCHOD	IJ	27247029
762461	2603	1998-12-07	PRIJEM	PREVOD Z UCTU	5416	34115	DUCHOD	IJ	27247029
762472	2603	1996-11-08	VYDAJ	PREVOD NA UCET	3210	24170	SIPO	ST	30168819
762473	2603	1996-12-08	VYDAJ	PREVOD NA UCET	3210	26439	SIPO	ST	30168819
762474	2603	1997-01-08	VYDAJ	PREVOD NA UCET	3210	22922	SIPO	ST	30168819
762475	2603	1997-02-08	VYDAJ	PREVOD NA UCET	3210	16977	SIPO	ST	30168819
762476	2603	1997-03-08	VYDAJ	PREVOD NA UCET	3210	19237	SIPO	ST	30168819
762477	2603	1997-04-08	VYDAJ	PREVOD NA UCET	3210	21506	SIPO	ST	30168819
762478	2603	1997-05-08	VYDAJ	PREVOD NA UCET	3210	22584	SIPO	ST	30168819
762479	2603	1997-06-08	VYDAJ	PREVOD NA UCET	3210	18668	SIPO	ST	30168819
762480	2603	1997-07-08	VYDAJ	PREVOD NA UCET	3210	18541	SIPO	ST	30168819
762481	2603	1997-08-08	VYDAJ	PREVOD NA UCET	3210	20810	SIPO	ST	30168819
762482	2603	1997-09-08	VYDAJ	PREVOD NA UCET	3210	23086	SIPO	ST	30168819
762483	2603	1997-10-08	VYDAJ	PREVOD NA UCET	3210	24971	SIPO	ST	30168819
762484	2603	1997-11-08	VYDAJ	PREVOD NA UCET	3210	27264	SIPO	ST	30168819
762485	2603	1997-12-08	VYDAJ	PREVOD NA UCET	3210	28207	SIPO	ST	30168819
762486	2603	1998-01-08	VYDAJ	PREVOD NA UCET	3210	25584	SIPO	ST	30168819
762487	2603	1998-02-08	VYDAJ	PREVOD NA UCET	3210	16272	SIPO	ST	30168819
762488	2603	1998-03-08	VYDAJ	PREVOD NA UCET	3210	18528	SIPO	ST	30168819
762489	2603	1998-04-08	VYDAJ	PREVOD NA UCET	3210	20795	SIPO	ST	30168819
762490	2603	1998-05-08	VYDAJ	PREVOD NA UCET	3210	23070	SIPO	ST	30168819
762491	2603	1998-06-08	VYDAJ	PREVOD NA UCET	3210	25356	SIPO	ST	30168819
762492	2603	1998-07-08	VYDAJ	PREVOD NA UCET	3210	25407	SIPO	ST	30168819
762493	2603	1998-08-08	VYDAJ	PREVOD NA UCET	3210	26258	SIPO	ST	30168819
762494	2603	1998-09-08	VYDAJ	PREVOD NA UCET	3210	28557	SIPO	ST	30168819
762495	2603	1998-10-08	VYDAJ	PREVOD NA UCET	3210	30865	SIPO	ST	30168819
762496	2603	1998-11-08	VYDAJ	PREVOD NA UCET	3210	31482	SIPO	ST	30168819
762497	2603	1998-12-08	VYDAJ	PREVOD NA UCET	3210	30905	SIPO	ST	30168819
762499	2603	1997-06-02	VYDAJ	VYBER	6200	16462	\N	\N	\N
762502	2603	1997-01-22	VYDAJ	VYBER	2300	16382	\N	\N	\N
762503	2603	1998-01-10	VYDAJ	VYBER	4150	21434	\N	\N	\N
762504	2603	1996-12-27	VYDAJ	VYBER	250	23989	\N	\N	\N
762505	2603	1997-12-26	VYDAJ	VYBER	950	27257	\N	\N	\N
762506	2603	1998-12-05	VYDAJ	VYBER	500	28699	\N	\N	\N
762513	2603	1997-01-26	VYDAJ	VYBER	480	15902	\N	\N	\N
762514	2603	1997-01-03	VYDAJ	VYBER	1920	21756	\N	\N	\N
762515	2603	1997-01-01	VYDAJ	VYBER	400	23676	\N	\N	\N
762516	2603	1997-01-05	VYDAJ	VYBER	1040	20716	\N	\N	\N
762517	2603	1997-01-30	VYDAJ	VYBER	1200	14702	\N	\N	\N
762518	2603	1997-01-15	VYDAJ	VYBER	2080	20842	\N	\N	\N
762519	2603	1998-01-07	VYDAJ	VYBER	640	28794	\N	\N	\N
762520	2603	1998-01-14	VYDAJ	VYBER	1600	19834	\N	\N	\N
762521	2603	1998-01-26	VYDAJ	VYBER	2320	13994	\N	\N	\N
762522	2603	1998-01-22	VYDAJ	VYBER	1280	18554	\N	\N	\N
762523	2603	1998-01-24	VYDAJ	VYBER	2240	16314	\N	\N	\N
762524	2603	1998-01-06	VYDAJ	VYBER	1440	24018	\N	\N	\N
762530	2603	1997-07-04	VYDAJ	VYBER	2400	16335	\N	\N	\N
762531	2603	1997-12-02	VYDAJ	VYBER	1360	26001	\N	\N	\N
762532	2603	1997-09-19	VYDAJ	VYBER	400	22686	\N	\N	\N
762533	2603	1997-01-21	VYDAJ	VYBER	2160	18682	\N	\N	\N
762534	2603	1997-04-27	VYDAJ	VYBER	1200	20306	\N	\N	\N
762535	2603	1998-07-14	VYDAJ	VYBER	1440	23967	\N	\N	\N
762536	2603	1998-06-11	VYDAJ	VYBER	800	24556	\N	\N	\N
762537	2603	1998-06-26	VYDAJ	VYBER	1440	23116	\N	\N	\N
762550	2603	1996-11-30	VYDAJ	VYBER	15	24233	SLUZBY	\N	\N
762551	2603	1996-12-31	VYDAJ	VYBER	15	24076	SLUZBY	\N	\N
762552	2603	1997-01-31	VYDAJ	VYBER	15	14771	SLUZBY	\N	\N
762553	2603	1997-02-28	VYDAJ	VYBER	15	17031	SLUZBY	\N	\N
762554	2603	1997-03-31	VYDAJ	VYBER	15	19300	SLUZBY	\N	\N
762555	2603	1997-04-30	VYDAJ	VYBER	15	20378	SLUZBY	\N	\N
762556	2603	1997-05-31	VYDAJ	VYBER	15	22662	SLUZBY	\N	\N
762557	2603	1997-06-30	VYDAJ	VYBER	15	18735	SLUZBY	\N	\N
762558	2603	1997-07-31	VYDAJ	VYBER	15	18604	SLUZBY	\N	\N
762559	2603	1997-08-31	VYDAJ	VYBER	15	20880	SLUZBY	\N	\N
762560	2603	1997-09-30	VYDAJ	VYBER	15	22765	SLUZBY	\N	\N
762561	2603	1997-10-31	VYDAJ	VYBER	15	25058	SLUZBY	\N	\N
762562	2603	1997-11-30	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
762563	2603	1997-12-31	VYDAJ	VYBER	15	27358	SLUZBY	\N	\N
762564	2603	1998-01-31	VYDAJ	VYBER	15	14066	SLUZBY	\N	\N
762565	2603	1998-02-28	VYDAJ	VYBER	15	16322	SLUZBY	\N	\N
762566	2603	1998-03-31	VYDAJ	VYBER	15	18589	SLUZBY	\N	\N
762567	2603	1998-04-30	VYDAJ	VYBER	15	20864	SLUZBY	\N	\N
762568	2603	1998-05-31	VYDAJ	VYBER	15	23150	SLUZBY	\N	\N
762569	2603	1998-06-30	VYDAJ	VYBER	15	23201	SLUZBY	\N	\N
762570	2603	1998-07-31	VYDAJ	VYBER	15	24052	SLUZBY	\N	\N
762571	2603	1998-08-31	VYDAJ	VYBER	15	26351	SLUZBY	\N	\N
762572	2603	1998-09-30	VYDAJ	VYBER	15	28659	SLUZBY	\N	\N
762573	2603	1998-10-31	VYDAJ	VYBER	15	30976	SLUZBY	\N	\N
762574	2603	1998-11-30	VYDAJ	VYBER	15	31599	SLUZBY	\N	\N
762575	2603	1996-12-11	VYDAJ	VYBER	2200	24239	\N	\N	\N
762576	2603	1998-01-05	VYDAJ	VYBER	1900	25458	\N	\N	\N
762577	2603	1998-11-01	VYDAJ	VYBER	1700	29276	\N	\N	\N
762578	2603	1998-12-01	VYDAJ	VYBER	2400	29199	\N	\N	\N
762605	2604	1996-07-04	PRIJEM	VKLAD	700	700	\N	\N	\N
762612	2604	1996-07-08	PRIJEM	PREVOD Z UCTU	6173	6873	DUCHOD	IJ	84225409
762613	2604	1996-08-08	PRIJEM	PREVOD Z UCTU	6173	13068	DUCHOD	IJ	84225409
762614	2604	1996-09-08	PRIJEM	PREVOD Z UCTU	6173	19270	DUCHOD	IJ	84225409
762615	2604	1996-10-08	PRIJEM	PREVOD Z UCTU	6173	25471	DUCHOD	IJ	84225409
762616	2604	1996-11-08	PRIJEM	PREVOD Z UCTU	6173	31173	DUCHOD	IJ	84225409
762617	2604	1996-12-08	PRIJEM	PREVOD Z UCTU	6173	28819	DUCHOD	IJ	84225409
762618	2604	1997-01-08	PRIJEM	PREVOD Z UCTU	6173	19004	DUCHOD	IJ	84225409
762619	2604	1997-02-08	PRIJEM	PREVOD Z UCTU	6173	18616	DUCHOD	IJ	84225409
762620	2604	1997-03-08	PRIJEM	PREVOD Z UCTU	6173	20467	DUCHOD	IJ	84225409
762621	2604	1997-04-08	PRIJEM	PREVOD Z UCTU	6173	21929	DUCHOD	IJ	84225409
762622	2604	1997-05-08	PRIJEM	PREVOD Z UCTU	6173	23197	DUCHOD	IJ	84225409
762623	2604	1997-06-08	PRIJEM	PREVOD Z UCTU	6173	23145	DUCHOD	IJ	84225409
762624	2604	1997-07-08	PRIJEM	PREVOD Z UCTU	6173	25416	DUCHOD	IJ	84225409
762625	2604	1997-08-08	PRIJEM	PREVOD Z UCTU	6173	27696	DUCHOD	IJ	84225409
762626	2604	1997-09-08	PRIJEM	PREVOD Z UCTU	6173	29785	DUCHOD	IJ	84225409
762627	2604	1997-10-08	PRIJEM	PREVOD Z UCTU	6173	28181	DUCHOD	IJ	84225409
762628	2604	1997-11-08	PRIJEM	PREVOD Z UCTU	6173	29872	DUCHOD	IJ	84225409
762629	2604	1997-12-08	PRIJEM	PREVOD Z UCTU	6173	30370	DUCHOD	IJ	84225409
762630	2604	1998-01-08	PRIJEM	PREVOD Z UCTU	6173	28533	DUCHOD	IJ	84225409
762631	2604	1998-02-08	PRIJEM	PREVOD Z UCTU	6173	28185	DUCHOD	IJ	84225409
762632	2604	1998-03-08	PRIJEM	PREVOD Z UCTU	6173	27916	DUCHOD	IJ	84225409
762633	2604	1998-04-08	PRIJEM	PREVOD Z UCTU	6173	30211	DUCHOD	IJ	84225409
762634	2604	1998-05-08	PRIJEM	PREVOD Z UCTU	6173	32510	DUCHOD	IJ	84225409
762635	2604	1998-06-08	PRIJEM	PREVOD Z UCTU	6173	33457	DUCHOD	IJ	84225409
762636	2604	1998-07-08	PRIJEM	PREVOD Z UCTU	6173	23067	DUCHOD	IJ	84225409
762637	2604	1998-08-08	PRIJEM	PREVOD Z UCTU	6173	24537	DUCHOD	IJ	84225409
762638	2604	1998-09-08	PRIJEM	PREVOD Z UCTU	6173	26813	DUCHOD	IJ	84225409
762639	2604	1998-10-08	PRIJEM	PREVOD Z UCTU	6173	29098	DUCHOD	IJ	84225409
762640	2604	1998-11-08	PRIJEM	PREVOD Z UCTU	6173	31393	DUCHOD	IJ	84225409
762641	2604	1998-12-08	PRIJEM	PREVOD Z UCTU	6173	29938	DUCHOD	IJ	84225409
762652	2604	1996-11-10	VYDAJ	PREVOD NA UCET	3965	27208	SIPO	OP	53184521
762653	2604	1996-12-10	VYDAJ	PREVOD NA UCET	3965	24854	SIPO	OP	53184521
762654	2604	1997-01-10	VYDAJ	PREVOD NA UCET	3965	14559	SIPO	OP	53184521
762655	2604	1997-02-10	VYDAJ	PREVOD NA UCET	3965	14651	SIPO	OP	53184521
762656	2604	1997-03-10	VYDAJ	PREVOD NA UCET	3965	16502	SIPO	OP	53184521
762657	2604	1997-04-10	VYDAJ	PREVOD NA UCET	3965	17964	SIPO	OP	53184521
762658	2604	1997-05-10	VYDAJ	PREVOD NA UCET	3965	19232	SIPO	OP	53184521
762659	2604	1997-06-10	VYDAJ	PREVOD NA UCET	3965	19180	SIPO	OP	53184521
762660	2604	1997-07-10	VYDAJ	PREVOD NA UCET	3965	21451	SIPO	OP	53184521
762661	2604	1997-08-10	VYDAJ	PREVOD NA UCET	3965	23731	SIPO	OP	53184521
762662	2604	1997-09-10	VYDAJ	PREVOD NA UCET	3965	25820	SIPO	OP	53184521
762663	2604	1997-10-10	VYDAJ	PREVOD NA UCET	3965	24216	SIPO	OP	53184521
762664	2604	1997-11-10	VYDAJ	PREVOD NA UCET	3965	25907	SIPO	OP	53184521
762665	2604	1997-12-10	VYDAJ	PREVOD NA UCET	3965	26405	SIPO	OP	53184521
762666	2604	1998-01-10	VYDAJ	PREVOD NA UCET	3965	24568	SIPO	OP	53184521
762667	2604	1998-02-10	VYDAJ	PREVOD NA UCET	3965	24220	SIPO	OP	53184521
762668	2604	1998-03-10	VYDAJ	PREVOD NA UCET	3965	23951	SIPO	OP	53184521
762669	2604	1998-04-10	VYDAJ	PREVOD NA UCET	3965	26246	SIPO	OP	53184521
762670	2604	1998-05-10	VYDAJ	PREVOD NA UCET	3965	28545	SIPO	OP	53184521
762671	2604	1998-06-10	VYDAJ	PREVOD NA UCET	3965	29492	SIPO	OP	53184521
762672	2604	1998-07-10	VYDAJ	PREVOD NA UCET	3965	19102	SIPO	OP	53184521
762673	2604	1998-08-10	VYDAJ	PREVOD NA UCET	3965	20572	SIPO	OP	53184521
762674	2604	1998-09-10	VYDAJ	PREVOD NA UCET	3965	22848	SIPO	OP	53184521
762675	2604	1998-10-10	VYDAJ	PREVOD NA UCET	3965	25133	SIPO	OP	53184521
762676	2604	1998-11-10	VYDAJ	PREVOD NA UCET	3965	27428	SIPO	OP	53184521
762677	2604	1998-12-10	VYDAJ	PREVOD NA UCET	3965	25973	SIPO	OP	53184521
762680	2604	1998-06-20	VYDAJ	VYBER	9400	16812	\N	\N	\N
762682	2604	1997-01-03	VYDAJ	VYBER	4850	14591	\N	\N	\N
762683	2604	1998-01-05	VYDAJ	VYBER	1100	22360	\N	\N	\N
762684	2604	1996-12-17	VYDAJ	VYBER	800	24054	\N	\N	\N
762685	2604	1997-12-07	VYDAJ	VYBER	1000	24197	\N	\N	\N
762686	2604	1998-12-03	VYDAJ	VYBER	1200	23765	\N	\N	\N
762694	2604	1997-01-12	VYDAJ	VYBER	1600	12959	\N	\N	\N
762696	2604	1997-01-05	VYDAJ	VYBER	1760	12831	\N	\N	\N
762697	2604	1997-01-08	VYDAJ	VYBER	480	18524	\N	\N	\N
762698	2604	1997-01-28	VYDAJ	VYBER	560	12399	\N	\N	\N
762699	2604	1998-01-29	VYDAJ	VYBER	720	21928	\N	\N	\N
762700	2604	1998-01-02	VYDAJ	VYBER	880	23460	\N	\N	\N
762701	2604	1998-01-27	VYDAJ	VYBER	480	22648	\N	\N	\N
762702	2604	1998-01-26	VYDAJ	VYBER	480	23128	\N	\N	\N
762703	2604	1998-01-15	VYDAJ	VYBER	960	23608	\N	\N	\N
762704	2604	1998-01-02	VYDAJ	VYBER	1360	24340	\N	\N	\N
762705	2604	1996-11-27	VYDAJ	VYBER	3840	23368	\N	\N	\N
762711	2604	1997-04-04	VYDAJ	VYBER	800	15756	\N	\N	\N
762712	2604	1997-05-24	VYDAJ	VYBER	2320	16912	\N	\N	\N
762714	2604	1998-12-02	VYDAJ	VYBER	2560	24965	\N	\N	\N
762715	2604	1998-06-11	VYDAJ	VYBER	3280	26212	\N	\N	\N
762716	2604	1998-03-03	VYDAJ	VYBER	2560	21743	\N	\N	\N
762717	2604	1998-05-18	VYDAJ	VYBER	1360	27185	\N	\N	\N
762718	2604	1998-07-28	VYDAJ	VYBER	800	18302	\N	\N	\N
762730	2604	1996-11-30	VYDAJ	VYBER	15	23446	SLUZBY	\N	\N
762731	2604	1996-12-31	VYDAJ	VYBER	15	19441	SLUZBY	\N	\N
762732	2604	1997-01-31	VYDAJ	VYBER	15	12443	SLUZBY	\N	\N
762733	2604	1997-02-28	VYDAJ	VYBER	15	14694	SLUZBY	\N	\N
762734	2604	1997-03-31	VYDAJ	VYBER	15	16556	SLUZBY	\N	\N
762735	2604	1997-04-30	VYDAJ	VYBER	15	17024	SLUZBY	\N	\N
762736	2604	1997-05-31	VYDAJ	VYBER	15	16972	SLUZBY	\N	\N
762737	2604	1997-06-30	VYDAJ	VYBER	15	19243	SLUZBY	\N	\N
762738	2604	1997-07-31	VYDAJ	VYBER	15	21523	SLUZBY	\N	\N
762739	2604	1997-08-31	VYDAJ	VYBER	15	23612	SLUZBY	\N	\N
762740	2604	1997-09-30	VYDAJ	VYBER	15	22008	SLUZBY	\N	\N
762741	2604	1997-10-31	VYDAJ	VYBER	15	23699	SLUZBY	\N	\N
762742	2604	1997-11-30	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
762743	2604	1997-12-31	VYDAJ	VYBER	15	25700	SLUZBY	\N	\N
762744	2604	1998-01-31	VYDAJ	VYBER	15	22012	SLUZBY	\N	\N
762745	2604	1998-02-28	VYDAJ	VYBER	15	24303	SLUZBY	\N	\N
762746	2604	1998-03-31	VYDAJ	VYBER	15	24038	SLUZBY	\N	\N
762747	2604	1998-04-30	VYDAJ	VYBER	15	26337	SLUZBY	\N	\N
762748	2604	1998-05-31	VYDAJ	VYBER	15	27284	SLUZBY	\N	\N
762749	2604	1998-06-30	VYDAJ	VYBER	15	16894	SLUZBY	\N	\N
762750	2604	1998-07-31	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
762751	2604	1998-08-31	VYDAJ	VYBER	15	20640	SLUZBY	\N	\N
762752	2604	1998-09-30	VYDAJ	VYBER	15	22925	SLUZBY	\N	\N
762753	2604	1998-10-31	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
762754	2604	1998-11-30	VYDAJ	VYBER	15	27525	SLUZBY	\N	\N
762755	2604	1996-11-01	VYDAJ	VYBER	500	25000	\N	\N	\N
762756	2604	1996-12-01	VYDAJ	VYBER	800	22646	\N	\N	\N
762757	2604	1996-12-31	VYDAJ	VYBER	4700	19455	\N	\N	\N
762758	2604	1997-03-01	VYDAJ	VYBER	400	14294	\N	\N	\N
762759	2604	1997-04-30	VYDAJ	VYBER	1000	17038	\N	\N	\N
762760	2604	1997-08-28	VYDAJ	VYBER	200	23531	\N	\N	\N
762761	2604	1997-09-27	VYDAJ	VYBER	3900	21920	\N	\N	\N
762762	2604	1997-10-27	VYDAJ	VYBER	600	23616	\N	\N	\N
762763	2604	1997-11-26	VYDAJ	VYBER	800	25107	\N	\N	\N
762764	2604	1997-12-26	VYDAJ	VYBER	800	25605	\N	\N	\N
762795	2605	1996-01-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
762797	2605	1996-02-07	PRIJEM	VKLAD	6368	7368	\N	\N	\N
762798	2605	1996-03-07	PRIJEM	VKLAD	6368	24290	\N	\N	\N
762799	2605	1996-04-07	PRIJEM	VKLAD	6368	29448	\N	\N	\N
762800	2605	1996-05-07	PRIJEM	VKLAD	6368	31417	\N	\N	\N
762801	2605	1996-06-07	PRIJEM	VKLAD	9552	37081	\N	\N	\N
762802	2605	1996-07-07	PRIJEM	VKLAD	6368	28606	\N	\N	\N
762803	2605	1996-08-07	PRIJEM	VKLAD	6368	31326	\N	\N	\N
762804	2605	1996-09-07	PRIJEM	VKLAD	6368	32750	\N	\N	\N
762805	2605	1996-10-07	PRIJEM	VKLAD	6368	30377	\N	\N	\N
762806	2605	1996-11-07	PRIJEM	VKLAD	6368	33400	\N	\N	\N
762807	2605	1996-12-07	PRIJEM	VKLAD	9552	34915	\N	\N	\N
762808	2605	1997-01-07	PRIJEM	VKLAD	6368	27553	\N	\N	\N
762809	2605	1997-02-07	PRIJEM	VKLAD	6368	22347	\N	\N	\N
762810	2605	1997-03-07	PRIJEM	VKLAD	6368	24630	\N	\N	\N
762811	2605	1997-04-07	PRIJEM	VKLAD	6368	22116	\N	\N	\N
762812	2605	1997-05-07	PRIJEM	VKLAD	6368	23995	\N	\N	\N
762813	2605	1997-06-07	PRIJEM	VKLAD	9552	28370	\N	\N	\N
762814	2605	1997-07-07	PRIJEM	VKLAD	6368	27479	\N	\N	\N
762815	2605	1997-08-07	PRIJEM	VKLAD	6368	28188	\N	\N	\N
762816	2605	1997-09-07	PRIJEM	VKLAD	6368	28399	\N	\N	\N
762817	2605	1997-10-07	PRIJEM	VKLAD	6368	24011	\N	\N	\N
762818	2605	1997-11-07	PRIJEM	VKLAD	6368	22608	\N	\N	\N
762819	2605	1997-12-07	PRIJEM	VKLAD	9552	26179	\N	\N	\N
762820	2605	1998-01-07	PRIJEM	VKLAD	6368	22365	\N	\N	\N
762821	2605	1998-02-07	PRIJEM	VKLAD	6368	20742	\N	\N	\N
762822	2605	1998-03-07	PRIJEM	VKLAD	6368	22015	\N	\N	\N
762823	2605	1998-04-07	PRIJEM	VKLAD	6368	22893	\N	\N	\N
762824	2605	1998-05-07	PRIJEM	VKLAD	6368	22868	\N	\N	\N
762825	2605	1998-06-07	PRIJEM	VKLAD	9552	24132	\N	\N	\N
762826	2605	1998-07-07	PRIJEM	VKLAD	6368	22003	\N	\N	\N
762827	2605	1998-08-07	PRIJEM	VKLAD	6368	26682	\N	\N	\N
762828	2605	1998-09-07	PRIJEM	VKLAD	6368	29180	\N	\N	\N
762829	2605	1998-10-07	PRIJEM	VKLAD	6368	33490	\N	\N	\N
762830	2605	1998-11-07	PRIJEM	VKLAD	6368	35416	\N	\N	\N
762831	2605	1998-12-07	PRIJEM	VKLAD	9552	42937	\N	\N	\N
762837	2605	1996-06-13	VYDAJ	PREVOD NA UCET	4245	29436	SIPO	WX	47577834
762838	2605	1996-07-13	VYDAJ	PREVOD NA UCET	4245	27261	SIPO	WX	47577834
762839	2605	1996-08-13	VYDAJ	PREVOD NA UCET	4245	27781	SIPO	WX	47577834
762840	2605	1996-09-13	VYDAJ	PREVOD NA UCET	4245	28505	SIPO	WX	47577834
762841	2605	1996-10-13	VYDAJ	PREVOD NA UCET	4245	26132	SIPO	WX	47577834
762842	2605	1996-11-13	VYDAJ	PREVOD NA UCET	4245	29155	SIPO	WX	47577834
762843	2605	1996-12-13	VYDAJ	PREVOD NA UCET	4245	30670	SIPO	WX	47577834
762844	2605	1997-01-13	VYDAJ	PREVOD NA UCET	4245	23308	SIPO	WX	47577834
762845	2605	1997-02-13	VYDAJ	PREVOD NA UCET	4245	18102	SIPO	WX	47577834
762846	2605	1997-03-13	VYDAJ	PREVOD NA UCET	4245	17485	SIPO	WX	47577834
762847	2605	1997-04-13	VYDAJ	PREVOD NA UCET	4245	15871	SIPO	WX	47577834
762848	2605	1997-05-13	VYDAJ	PREVOD NA UCET	4245	19750	SIPO	WX	47577834
762849	2605	1997-06-13	VYDAJ	PREVOD NA UCET	4245	24125	SIPO	WX	47577834
762850	2605	1997-07-13	VYDAJ	PREVOD NA UCET	4245	23234	SIPO	WX	47577834
762851	2605	1997-08-13	VYDAJ	PREVOD NA UCET	4245	23943	SIPO	WX	47577834
762852	2605	1997-09-13	VYDAJ	PREVOD NA UCET	4245	24154	SIPO	WX	47577834
762853	2605	1997-10-13	VYDAJ	PREVOD NA UCET	4245	19766	SIPO	WX	47577834
762854	2605	1997-11-13	VYDAJ	PREVOD NA UCET	4245	18363	SIPO	WX	47577834
762855	2605	1997-12-13	VYDAJ	PREVOD NA UCET	4245	21934	SIPO	WX	47577834
762856	2605	1998-01-13	VYDAJ	PREVOD NA UCET	4245	16920	SIPO	WX	47577834
762857	2605	1998-02-13	VYDAJ	PREVOD NA UCET	4245	16497	SIPO	WX	47577834
762858	2605	1998-03-13	VYDAJ	PREVOD NA UCET	4245	17770	SIPO	WX	47577834
762859	2605	1998-04-13	VYDAJ	PREVOD NA UCET	4245	18648	SIPO	WX	47577834
762860	2605	1998-05-13	VYDAJ	PREVOD NA UCET	4245	18623	SIPO	WX	47577834
762861	2605	1998-06-13	VYDAJ	PREVOD NA UCET	4245	15487	SIPO	WX	47577834
762862	2605	1998-07-13	VYDAJ	PREVOD NA UCET	4245	17758	SIPO	WX	47577834
762863	2605	1998-08-13	VYDAJ	PREVOD NA UCET	4245	22437	SIPO	WX	47577834
762864	2605	1998-09-13	VYDAJ	PREVOD NA UCET	4245	24935	SIPO	WX	47577834
762865	2605	1998-10-13	VYDAJ	PREVOD NA UCET	4245	29245	SIPO	WX	47577834
762866	2605	1998-11-13	VYDAJ	PREVOD NA UCET	4245	31171	SIPO	WX	47577834
762867	2605	1998-12-13	VYDAJ	PREVOD NA UCET	4245	38692	SIPO	WX	47577834
762868	2605	1996-06-20	VYDAJ	VYBER	3900	25536	\N	\N	\N
762872	2605	1997-01-19	VYDAJ	VYBER	7600	13008	\N	\N	\N
762874	2605	1996-12-25	VYDAJ	VYBER	700	29970	\N	\N	\N
762875	2605	1997-12-15	VYDAJ	VYBER	1700	20234	\N	\N	\N
762876	2605	1998-12-03	VYDAJ	VYBER	1500	33385	\N	\N	\N
762884	2605	1997-01-17	VYDAJ	VYBER	2700	20608	\N	\N	\N
762886	2605	1997-01-04	VYDAJ	VYBER	700	28785	\N	\N	\N
762887	2605	1997-01-02	VYDAJ	VYBER	600	29485	\N	\N	\N
762888	2605	1997-01-06	VYDAJ	VYBER	2300	21185	\N	\N	\N
762890	2605	1998-01-12	VYDAJ	VYBER	1200	21165	\N	\N	\N
762891	2605	1998-01-14	VYDAJ	VYBER	2900	14020	\N	\N	\N
762893	2605	1998-01-06	VYDAJ	VYBER	1900	15997	\N	\N	\N
762895	2605	1996-06-28	VYDAJ	VYBER	3400	22136	\N	\N	\N
762899	2605	1996-08-28	VYDAJ	VYBER	3700	24081	\N	\N	\N
762900	2605	1996-08-04	VYDAJ	VYBER	2400	24958	\N	\N	\N
762902	2605	1997-04-08	VYDAJ	VYBER	2000	20116	\N	\N	\N
762903	2605	1997-03-10	VYDAJ	VYBER	2900	21730	\N	\N	\N
762904	2605	1997-04-05	VYDAJ	VYBER	500	15748	\N	\N	\N
762908	2605	1998-08-27	VYDAJ	VYBER	500	22737	\N	\N	\N
762909	2605	1998-06-14	VYDAJ	VYBER	2100	13387	\N	\N	\N
762910	2605	1998-06-08	VYDAJ	VYBER	4400	19732	\N	\N	\N
762911	2605	1998-04-19	VYDAJ	VYBER	4500	14148	\N	\N	\N
762918	2605	1996-06-30	VYDAJ	VYBER	15	22238	SLUZBY	\N	\N
762919	2605	1996-07-31	VYDAJ	VYBER	15	27358	SLUZBY	\N	\N
762920	2605	1996-08-31	VYDAJ	VYBER	15	24182	SLUZBY	\N	\N
762921	2605	1996-09-30	VYDAJ	VYBER	15	28609	SLUZBY	\N	\N
762922	2605	1996-10-31	VYDAJ	VYBER	15	26232	SLUZBY	\N	\N
762923	2605	1996-11-30	VYDAJ	VYBER	15	29263	SLUZBY	\N	\N
762924	2605	1996-12-31	VYDAJ	VYBER	15	30085	SLUZBY	\N	\N
762925	2605	1997-01-31	VYDAJ	VYBER	15	13079	SLUZBY	\N	\N
762926	2605	1997-02-28	VYDAJ	VYBER	15	18162	SLUZBY	\N	\N
762927	2605	1997-03-31	VYDAJ	VYBER	15	17548	SLUZBY	\N	\N
762928	2605	1997-04-30	VYDAJ	VYBER	15	15927	SLUZBY	\N	\N
762929	2605	1997-05-31	VYDAJ	VYBER	15	19818	SLUZBY	\N	\N
762930	2605	1997-06-30	VYDAJ	VYBER	15	24211	SLUZBY	\N	\N
762931	2605	1997-07-31	VYDAJ	VYBER	15	23320	SLUZBY	\N	\N
762932	2605	1997-08-31	VYDAJ	VYBER	15	24031	SLUZBY	\N	\N
762933	2605	1997-09-30	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
762934	2605	1997-10-31	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
762935	2605	1997-11-30	VYDAJ	VYBER	15	16627	SLUZBY	\N	\N
762936	2605	1997-12-31	VYDAJ	VYBER	15	17897	SLUZBY	\N	\N
762937	2605	1998-01-31	VYDAJ	VYBER	15	14374	SLUZBY	\N	\N
762938	2605	1998-02-28	VYDAJ	VYBER	15	15647	SLUZBY	\N	\N
762939	2605	1998-03-31	VYDAJ	VYBER	15	16525	SLUZBY	\N	\N
762940	2605	1998-04-30	VYDAJ	VYBER	15	16500	SLUZBY	\N	\N
762941	2605	1998-05-31	VYDAJ	VYBER	15	14580	SLUZBY	\N	\N
762942	2605	1998-06-30	VYDAJ	VYBER	15	15635	SLUZBY	\N	\N
762943	2605	1998-07-31	VYDAJ	VYBER	15	20314	SLUZBY	\N	\N
762944	2605	1998-08-31	VYDAJ	VYBER	15	22812	SLUZBY	\N	\N
762945	2605	1998-09-30	VYDAJ	VYBER	15	27122	SLUZBY	\N	\N
762946	2605	1998-10-31	VYDAJ	VYBER	15	29048	SLUZBY	\N	\N
762947	2605	1998-11-30	VYDAJ	VYBER	15	34885	SLUZBY	\N	\N
762948	2605	1996-02-09	PRIJEM	VKLAD	10500	17868	\N	\N	\N
762949	2605	1996-03-10	VYDAJ	VYBER	1300	22990	\N	\N	\N
762950	2605	1996-04-09	VYDAJ	VYBER	4500	24948	\N	\N	\N
762951	2605	1996-05-09	VYDAJ	VYBER	4000	27417	\N	\N	\N
762952	2605	1996-06-08	VYDAJ	VYBER	3400	33681	\N	\N	\N
762953	2605	1996-07-08	PRIJEM	VKLAD	2900	31506	\N	\N	\N
762954	2605	1996-08-07	PRIJEM	VKLAD	700	32026	\N	\N	\N
762955	2605	1996-09-06	PRIJEM	VKLAD	2200	26382	\N	\N	\N
762956	2605	1996-10-06	VYDAJ	VYBER	4600	24009	\N	\N	\N
762957	2605	1996-11-05	PRIJEM	VKLAD	800	27032	\N	\N	\N
762958	2605	1996-12-05	VYDAJ	VYBER	3900	25363	\N	\N	\N
762959	2605	1997-01-04	VYDAJ	VYBER	5300	23485	\N	\N	\N
762960	2605	1997-02-03	PRIJEM	VKLAD	2900	15979	\N	\N	\N
762961	2605	1997-03-05	PRIJEM	VKLAD	100	18262	\N	\N	\N
762962	2605	1997-04-04	VYDAJ	VYBER	1300	16248	\N	\N	\N
762963	2605	1997-05-04	PRIJEM	VKLAD	1700	17627	\N	\N	\N
762964	2605	1997-06-03	VYDAJ	VYBER	1000	18818	\N	\N	\N
762965	2605	1997-07-03	VYDAJ	VYBER	3100	21111	\N	\N	\N
762966	2605	1997-08-02	VYDAJ	VYBER	1500	21820	\N	\N	\N
762967	2605	1997-09-01	VYDAJ	VYBER	2000	22031	\N	\N	\N
762968	2605	1997-10-01	VYDAJ	VYBER	6600	17643	\N	\N	\N
762969	2605	1997-10-31	VYDAJ	VYBER	3600	16240	\N	\N	\N
762970	2605	1997-11-30	VYDAJ	VYBER	1800	16642	\N	\N	\N
762971	2605	1997-12-30	VYDAJ	VYBER	2400	17834	\N	\N	\N
762972	2605	1998-01-29	PRIJEM	VKLAD	300	14320	\N	\N	\N
762973	2605	1998-02-28	VYDAJ	VYBER	900	15661	\N	\N	\N
762974	2605	1998-03-30	VYDAJ	VYBER	1300	16470	\N	\N	\N
762975	2605	1998-04-29	PRIJEM	VKLAD	2300	16448	\N	\N	\N
762976	2605	1998-05-29	VYDAJ	VYBER	4100	14523	\N	\N	\N
762977	2605	1998-06-28	PRIJEM	VKLAD	2200	15587	\N	\N	\N
762978	2605	1998-07-28	PRIJEM	VKLAD	2500	20258	\N	\N	\N
762979	2605	1998-08-27	PRIJEM	VKLAD	800	23237	\N	\N	\N
762980	2605	1998-09-26	PRIJEM	VKLAD	2100	27035	\N	\N	\N
762981	2605	1998-10-26	VYDAJ	VYBER	300	28945	\N	\N	\N
762982	2605	1998-11-25	PRIJEM	VKLAD	3600	34771	\N	\N	\N
763018	2606	1994-07-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
763026	2606	1994-08-05	PRIJEM	PREVOD Z UCTU	4499	5599	DUCHOD	QR	14537537
763027	2606	1994-09-05	PRIJEM	PREVOD Z UCTU	4499	10098	DUCHOD	QR	14537537
763028	2606	1994-10-05	PRIJEM	PREVOD Z UCTU	4499	14597	DUCHOD	QR	14537537
763029	2606	1994-11-05	PRIJEM	PREVOD Z UCTU	4499	19096	DUCHOD	QR	14537537
763030	2606	1994-12-05	PRIJEM	PREVOD Z UCTU	4499	23595	DUCHOD	QR	14537537
763031	2606	1995-01-05	PRIJEM	PREVOD Z UCTU	4499	23773	DUCHOD	QR	14537537
763032	2606	1995-02-05	PRIJEM	PREVOD Z UCTU	4499	17195	DUCHOD	QR	14537537
763033	2606	1995-03-05	PRIJEM	PREVOD Z UCTU	4499	19267	DUCHOD	QR	14537537
763034	2606	1995-04-05	PRIJEM	PREVOD Z UCTU	4499	18544	DUCHOD	QR	14537537
763035	2606	1995-05-05	PRIJEM	PREVOD Z UCTU	4499	20622	DUCHOD	QR	14537537
763036	2606	1995-06-05	PRIJEM	PREVOD Z UCTU	4499	22708	DUCHOD	QR	14537537
763037	2606	1995-07-05	PRIJEM	PREVOD Z UCTU	4499	22495	DUCHOD	QR	14537537
763038	2606	1995-08-05	PRIJEM	PREVOD Z UCTU	4499	21622	DUCHOD	QR	14537537
763039	2606	1995-09-05	PRIJEM	PREVOD Z UCTU	4499	20911	DUCHOD	QR	14537537
763040	2606	1995-10-05	PRIJEM	PREVOD Z UCTU	4499	22998	DUCHOD	QR	14537537
763041	2606	1995-11-05	PRIJEM	PREVOD Z UCTU	4499	25094	DUCHOD	QR	14537537
763042	2606	1995-12-05	PRIJEM	PREVOD Z UCTU	4499	27199	DUCHOD	QR	14537537
763043	2606	1996-01-05	PRIJEM	PREVOD Z UCTU	4499	28211	DUCHOD	QR	14537537
763044	2606	1996-02-05	PRIJEM	PREVOD Z UCTU	4499	18069	DUCHOD	QR	14537537
763045	2606	1996-03-05	PRIJEM	PREVOD Z UCTU	4499	20144	DUCHOD	QR	14537537
763046	2606	1996-04-05	PRIJEM	PREVOD Z UCTU	4499	22228	DUCHOD	QR	14537537
763047	2606	1996-05-05	PRIJEM	PREVOD Z UCTU	4499	24321	DUCHOD	QR	14537537
763048	2606	1996-06-05	PRIJEM	PREVOD Z UCTU	4499	26423	DUCHOD	QR	14537537
763049	2606	1996-07-05	PRIJEM	PREVOD Z UCTU	4499	28533	DUCHOD	QR	14537537
763050	2606	1996-08-05	PRIJEM	PREVOD Z UCTU	4499	30652	DUCHOD	QR	14537537
763051	2606	1996-09-05	PRIJEM	PREVOD Z UCTU	4499	32780	DUCHOD	QR	14537537
763052	2606	1996-10-05	PRIJEM	PREVOD Z UCTU	4499	33876	DUCHOD	QR	14537537
763053	2606	1996-11-05	PRIJEM	PREVOD Z UCTU	4499	33054	DUCHOD	QR	14537537
763054	2606	1996-12-05	PRIJEM	PREVOD Z UCTU	4499	35193	DUCHOD	QR	14537537
763055	2606	1997-01-05	PRIJEM	PREVOD Z UCTU	4499	33299	DUCHOD	QR	14537537
763056	2606	1997-02-05	PRIJEM	PREVOD Z UCTU	4499	19148	DUCHOD	QR	14537537
763057	2606	1997-03-05	PRIJEM	PREVOD Z UCTU	4499	21227	DUCHOD	QR	14537537
763058	2606	1997-04-05	PRIJEM	PREVOD Z UCTU	4499	23316	DUCHOD	QR	14537537
763059	2606	1997-05-05	PRIJEM	PREVOD Z UCTU	4499	25413	DUCHOD	QR	14537537
763060	2606	1997-06-05	PRIJEM	PREVOD Z UCTU	4499	25435	DUCHOD	QR	14537537
763061	2606	1997-07-05	PRIJEM	PREVOD Z UCTU	4499	21608	DUCHOD	QR	14537537
763260	2606	1997-01-15	VYDAJ	VYBER	3520	25865	\N	\N	\N
763062	2606	1997-08-05	PRIJEM	PREVOD Z UCTU	4499	23698	DUCHOD	QR	14537537
763063	2606	1997-09-05	PRIJEM	PREVOD Z UCTU	4499	24352	DUCHOD	QR	14537537
763064	2606	1997-10-05	PRIJEM	PREVOD Z UCTU	4499	26453	DUCHOD	QR	14537537
763065	2606	1997-11-05	PRIJEM	PREVOD Z UCTU	4499	28563	DUCHOD	QR	14537537
763066	2606	1997-12-05	PRIJEM	PREVOD Z UCTU	4499	26839	DUCHOD	QR	14537537
763067	2606	1998-01-05	PRIJEM	PREVOD Z UCTU	4499	27949	DUCHOD	QR	14537537
763068	2606	1998-02-05	PRIJEM	PREVOD Z UCTU	4499	20420	DUCHOD	QR	14537537
763069	2606	1998-03-05	PRIJEM	PREVOD Z UCTU	4499	22505	DUCHOD	QR	14537537
763070	2606	1998-04-05	PRIJEM	PREVOD Z UCTU	4499	20831	DUCHOD	QR	14537537
763071	2606	1998-05-05	PRIJEM	PREVOD Z UCTU	4499	22917	DUCHOD	QR	14537537
763072	2606	1998-06-05	PRIJEM	PREVOD Z UCTU	4499	25012	DUCHOD	QR	14537537
763073	2606	1998-07-05	PRIJEM	PREVOD Z UCTU	4499	27115	DUCHOD	QR	14537537
763074	2606	1998-08-05	PRIJEM	PREVOD Z UCTU	4499	29227	DUCHOD	QR	14537537
763075	2606	1998-09-05	PRIJEM	PREVOD Z UCTU	4499	31348	DUCHOD	QR	14537537
763076	2606	1998-10-05	PRIJEM	PREVOD Z UCTU	4499	31238	DUCHOD	QR	14537537
763077	2606	1998-11-05	PRIJEM	PREVOD Z UCTU	4499	33368	DUCHOD	QR	14537537
763078	2606	1998-12-05	PRIJEM	PREVOD Z UCTU	4499	34456	DUCHOD	QR	14537537
763090	2606	1994-12-05	VYDAJ	PREVOD NA UCET	31	23564	SIPO	AB	91720389
763091	2606	1995-01-05	VYDAJ	PREVOD NA UCET	31	23742	SIPO	AB	91720389
763092	2606	1995-02-05	VYDAJ	PREVOD NA UCET	31	17164	SIPO	AB	91720389
763093	2606	1995-03-05	VYDAJ	PREVOD NA UCET	31	19236	SIPO	AB	91720389
763094	2606	1995-04-05	VYDAJ	PREVOD NA UCET	31	18513	SIPO	AB	91720389
763095	2606	1995-05-05	VYDAJ	PREVOD NA UCET	31	20591	SIPO	AB	91720389
763096	2606	1995-06-05	VYDAJ	PREVOD NA UCET	31	20377	SIPO	AB	91720389
763097	2606	1995-07-05	VYDAJ	PREVOD NA UCET	31	22464	SIPO	AB	91720389
763098	2606	1995-08-05	VYDAJ	PREVOD NA UCET	31	21591	SIPO	AB	91720389
763099	2606	1995-09-05	VYDAJ	PREVOD NA UCET	31	20880	SIPO	AB	91720389
763100	2606	1995-10-05	VYDAJ	PREVOD NA UCET	31	22967	SIPO	AB	91720389
763101	2606	1995-11-05	VYDAJ	PREVOD NA UCET	31	25063	SIPO	AB	91720389
763102	2606	1995-12-05	VYDAJ	PREVOD NA UCET	31	27168	SIPO	AB	91720389
763103	2606	1996-01-05	VYDAJ	PREVOD NA UCET	31	28180	SIPO	AB	91720389
763104	2606	1996-02-05	VYDAJ	PREVOD NA UCET	31	18038	SIPO	AB	91720389
763105	2606	1996-03-05	VYDAJ	PREVOD NA UCET	31	20113	SIPO	AB	91720389
763106	2606	1996-04-05	VYDAJ	PREVOD NA UCET	31	22197	SIPO	AB	91720389
763107	2606	1996-05-05	VYDAJ	PREVOD NA UCET	31	24290	SIPO	AB	91720389
763108	2606	1996-06-05	VYDAJ	PREVOD NA UCET	31	26392	SIPO	AB	91720389
763109	2606	1996-07-05	VYDAJ	PREVOD NA UCET	31	28502	SIPO	AB	91720389
763110	2606	1996-08-05	VYDAJ	PREVOD NA UCET	31	30621	SIPO	AB	91720389
763111	2606	1996-09-05	VYDAJ	PREVOD NA UCET	31	32749	SIPO	AB	91720389
763112	2606	1996-10-05	VYDAJ	PREVOD NA UCET	31	33845	SIPO	AB	91720389
763113	2606	1996-11-05	VYDAJ	PREVOD NA UCET	31	33023	SIPO	AB	91720389
763114	2606	1996-12-05	VYDAJ	PREVOD NA UCET	31	35162	SIPO	AB	91720389
763115	2606	1997-01-05	VYDAJ	PREVOD NA UCET	31	33268	SIPO	AB	91720389
763116	2606	1997-02-05	VYDAJ	PREVOD NA UCET	31	19117	SIPO	AB	91720389
763117	2606	1997-03-05	VYDAJ	PREVOD NA UCET	31	21196	SIPO	AB	91720389
763118	2606	1997-04-05	VYDAJ	PREVOD NA UCET	31	23285	SIPO	AB	91720389
763119	2606	1997-05-05	VYDAJ	PREVOD NA UCET	31	25382	SIPO	AB	91720389
763120	2606	1997-06-05	VYDAJ	PREVOD NA UCET	31	25404	SIPO	AB	91720389
763121	2606	1997-07-05	VYDAJ	PREVOD NA UCET	31	21577	SIPO	AB	91720389
763122	2606	1997-08-05	VYDAJ	PREVOD NA UCET	31	23667	SIPO	AB	91720389
763123	2606	1997-09-05	VYDAJ	PREVOD NA UCET	31	24321	SIPO	AB	91720389
763124	2606	1997-10-05	VYDAJ	PREVOD NA UCET	31	26422	SIPO	AB	91720389
763125	2606	1997-11-05	VYDAJ	PREVOD NA UCET	31	28532	SIPO	AB	91720389
763126	2606	1997-12-05	VYDAJ	PREVOD NA UCET	31	26808	SIPO	AB	91720389
763127	2606	1998-01-05	VYDAJ	PREVOD NA UCET	31	27918	SIPO	AB	91720389
763128	2606	1998-02-05	VYDAJ	PREVOD NA UCET	31	20389	SIPO	AB	91720389
763129	2606	1998-03-05	VYDAJ	PREVOD NA UCET	31	22474	SIPO	AB	91720389
763130	2606	1998-04-05	VYDAJ	PREVOD NA UCET	31	20800	SIPO	AB	91720389
763131	2606	1998-05-05	VYDAJ	PREVOD NA UCET	31	22886	SIPO	AB	91720389
763132	2606	1998-06-05	VYDAJ	PREVOD NA UCET	31	24981	SIPO	AB	91720389
763133	2606	1998-07-05	VYDAJ	PREVOD NA UCET	31	27084	SIPO	AB	91720389
763134	2606	1998-08-05	VYDAJ	PREVOD NA UCET	31	29196	SIPO	AB	91720389
763135	2606	1998-09-05	VYDAJ	PREVOD NA UCET	31	31317	SIPO	AB	91720389
763136	2606	1998-10-05	VYDAJ	PREVOD NA UCET	31	31207	SIPO	AB	91720389
763137	2606	1998-11-05	VYDAJ	PREVOD NA UCET	31	33337	SIPO	AB	91720389
763138	2606	1998-12-05	VYDAJ	PREVOD NA UCET	31	34425	SIPO	AB	91720389
763150	2606	1994-12-09	VYDAJ	PREVOD NA UCET	2443	21121	 	GH	97712260
763151	2606	1995-01-09	VYDAJ	PREVOD NA UCET	2443	18659	 	GH	97712260
763152	2606	1995-02-09	VYDAJ	PREVOD NA UCET	2443	14721	 	GH	97712260
763153	2606	1995-03-09	VYDAJ	PREVOD NA UCET	2443	16793	 	GH	97712260
763154	2606	1995-04-09	VYDAJ	PREVOD NA UCET	2443	16070	 	GH	97712260
763155	2606	1995-05-09	VYDAJ	PREVOD NA UCET	2443	18148	 	GH	97712260
763156	2606	1995-06-09	VYDAJ	PREVOD NA UCET	2443	17934	 	GH	97712260
763157	2606	1995-07-09	VYDAJ	PREVOD NA UCET	2443	20021	 	GH	97712260
763158	2606	1995-08-09	VYDAJ	PREVOD NA UCET	2443	19148	 	GH	97712260
763159	2606	1995-09-09	VYDAJ	PREVOD NA UCET	2443	18437	 	GH	97712260
763160	2606	1995-10-09	VYDAJ	PREVOD NA UCET	2443	20524	 	GH	97712260
763161	2606	1995-11-09	VYDAJ	PREVOD NA UCET	2443	22620	 	GH	97712260
763162	2606	1995-12-09	VYDAJ	PREVOD NA UCET	2443	24725	 	GH	97712260
763163	2606	1996-01-09	VYDAJ	PREVOD NA UCET	2443	20467	 	GH	97712260
763164	2606	1996-02-09	VYDAJ	PREVOD NA UCET	2443	15595	 	GH	97712260
763165	2606	1996-03-09	VYDAJ	PREVOD NA UCET	2443	17670	 	GH	97712260
763166	2606	1996-04-09	VYDAJ	PREVOD NA UCET	2443	19754	 	GH	97712260
763167	2606	1996-05-09	VYDAJ	PREVOD NA UCET	2443	21847	 	GH	97712260
763168	2606	1996-06-09	VYDAJ	PREVOD NA UCET	2443	23949	 	GH	97712260
763169	2606	1996-07-09	VYDAJ	PREVOD NA UCET	2443	26059	 	GH	97712260
763170	2606	1996-08-09	VYDAJ	PREVOD NA UCET	2443	28178	 	GH	97712260
763171	2606	1996-09-09	VYDAJ	PREVOD NA UCET	2443	30306	 	GH	97712260
763172	2606	1996-10-09	VYDAJ	PREVOD NA UCET	2443	31402	 	GH	97712260
763173	2606	1996-11-09	VYDAJ	PREVOD NA UCET	2443	30580	 	GH	97712260
763174	2606	1996-12-09	VYDAJ	PREVOD NA UCET	2443	32719	 	GH	97712260
763175	2606	1997-01-09	VYDAJ	PREVOD NA UCET	2443	29385	 	GH	97712260
763176	2606	1997-02-09	VYDAJ	PREVOD NA UCET	2443	16674	 	GH	97712260
763177	2606	1997-03-09	VYDAJ	PREVOD NA UCET	2443	18753	 	GH	97712260
763178	2606	1997-04-09	VYDAJ	PREVOD NA UCET	2443	20842	 	GH	97712260
763179	2606	1997-05-09	VYDAJ	PREVOD NA UCET	2443	22939	 	GH	97712260
763180	2606	1997-06-09	VYDAJ	PREVOD NA UCET	2443	19841	 	GH	97712260
763181	2606	1997-07-09	VYDAJ	PREVOD NA UCET	2443	19134	 	GH	97712260
763182	2606	1997-08-09	VYDAJ	PREVOD NA UCET	2443	21224	 	GH	97712260
763183	2606	1997-09-09	VYDAJ	PREVOD NA UCET	2443	21878	 	GH	97712260
763184	2606	1997-10-09	VYDAJ	PREVOD NA UCET	2443	23979	 	GH	97712260
763185	2606	1997-11-09	VYDAJ	PREVOD NA UCET	2443	26089	 	GH	97712260
763186	2606	1997-12-09	VYDAJ	PREVOD NA UCET	2443	24365	 	GH	97712260
763187	2606	1998-01-09	VYDAJ	PREVOD NA UCET	2443	25475	 	GH	97712260
763188	2606	1998-02-09	VYDAJ	PREVOD NA UCET	2443	17946	 	GH	97712260
763189	2606	1998-03-09	VYDAJ	PREVOD NA UCET	2443	20031	 	GH	97712260
763190	2606	1998-04-09	VYDAJ	PREVOD NA UCET	2443	18357	 	GH	97712260
763191	2606	1998-05-09	VYDAJ	PREVOD NA UCET	2443	20443	 	GH	97712260
763192	2606	1998-06-09	VYDAJ	PREVOD NA UCET	2443	22538	 	GH	97712260
763193	2606	1998-07-09	VYDAJ	PREVOD NA UCET	2443	24641	 	GH	97712260
763194	2606	1998-08-09	VYDAJ	PREVOD NA UCET	2443	26753	 	GH	97712260
763195	2606	1998-09-09	VYDAJ	PREVOD NA UCET	2443	28874	 	GH	97712260
763196	2606	1998-10-09	VYDAJ	PREVOD NA UCET	2443	28764	 	GH	97712260
763197	2606	1998-11-09	VYDAJ	PREVOD NA UCET	2443	30894	 	GH	97712260
763198	2606	1998-12-09	VYDAJ	PREVOD NA UCET	2443	31982	 	GH	97712260
763200	2606	1995-06-05	VYDAJ	VYBER	2300	20408	\N	\N	\N
763202	2606	1997-06-27	VYDAJ	VYBER	2800	17041	\N	\N	\N
763205	2606	1995-01-20	VYDAJ	VYBER	4100	13039	\N	\N	\N
763206	2606	1996-01-08	VYDAJ	VYBER	2950	23710	\N	\N	\N
763207	2606	1997-01-22	VYDAJ	VYBER	3700	17845	\N	\N	\N
763208	2606	1998-01-21	VYDAJ	VYBER	750	18165	\N	\N	\N
763209	2606	1994-12-30	VYDAJ	VYBER	1350	19771	\N	\N	\N
763210	2606	1995-12-18	VYDAJ	VYBER	1100	23625	\N	\N	\N
763211	2606	1996-12-13	VYDAJ	VYBER	350	32369	\N	\N	\N
763212	2606	1997-12-16	VYDAJ	VYBER	1000	23365	\N	\N	\N
763213	2606	1998-12-03	VYDAJ	VYBER	1050	29957	\N	\N	\N
763220	2606	1995-01-12	VYDAJ	VYBER	1520	17139	\N	\N	\N
763221	2606	1995-01-04	VYDAJ	VYBER	560	19274	\N	\N	\N
763223	2606	1995-01-09	VYDAJ	VYBER	2080	21102	\N	\N	\N
763224	2606	1995-01-30	VYDAJ	VYBER	400	12639	\N	\N	\N
763225	2606	1995-01-08	VYDAJ	VYBER	560	23182	\N	\N	\N
763226	2606	1996-01-08	VYDAJ	VYBER	800	22910	\N	\N	\N
763227	2606	1996-01-20	VYDAJ	VYBER	2080	17027	\N	\N	\N
763228	2606	1996-01-12	VYDAJ	VYBER	1360	19107	\N	\N	\N
763229	2606	1996-01-20	VYDAJ	VYBER	2080	14947	\N	\N	\N
763230	2606	1996-01-06	VYDAJ	VYBER	1520	26660	\N	\N	\N
763231	2606	1996-01-21	VYDAJ	VYBER	1440	13507	\N	\N	\N
763232	2606	1997-01-28	VYDAJ	VYBER	1200	14565	\N	\N	\N
763233	2606	1997-01-16	VYDAJ	VYBER	2000	21545	\N	\N	\N
763235	2606	1997-01-06	VYDAJ	VYBER	1440	31828	\N	\N	\N
763236	2606	1997-01-15	VYDAJ	VYBER	2320	23545	\N	\N	\N
763237	2606	1997-01-24	VYDAJ	VYBER	2080	15765	\N	\N	\N
763238	2606	1998-01-21	VYDAJ	VYBER	2240	18915	\N	\N	\N
763239	2606	1998-01-25	VYDAJ	VYBER	560	17605	\N	\N	\N
763240	2606	1998-01-30	VYDAJ	VYBER	1760	15845	\N	\N	\N
763241	2606	1998-01-14	VYDAJ	VYBER	1840	23635	\N	\N	\N
763242	2606	1998-01-21	VYDAJ	VYBER	720	21155	\N	\N	\N
763243	2606	1998-01-18	VYDAJ	VYBER	1760	21875	\N	\N	\N
763248	2606	1995-03-24	VYDAJ	VYBER	2800	13993	\N	\N	\N
763249	2606	1995-08-28	VYDAJ	VYBER	2800	16348	\N	\N	\N
763250	2606	1995-07-15	VYDAJ	VYBER	2960	17061	\N	\N	\N
763251	2606	1996-11-01	VYDAJ	VYBER	1440	28555	\N	\N	\N
763252	2606	1996-10-03	VYDAJ	VYBER	1040	29377	\N	\N	\N
763253	2606	1996-12-13	VYDAJ	VYBER	3680	28689	\N	\N	\N
763254	2606	1996-10-14	VYDAJ	VYBER	1520	29882	\N	\N	\N
763256	2606	1997-08-11	VYDAJ	VYBER	1440	19784	\N	\N	\N
763257	2606	1997-06-05	VYDAJ	VYBER	3120	22284	\N	\N	\N
763258	2606	1997-11-27	VYDAJ	VYBER	3840	22249	\N	\N	\N
763259	2606	1997-05-22	VYDAJ	VYBER	1520	20859	\N	\N	\N
763261	2606	1997-05-19	VYDAJ	VYBER	560	22379	\N	\N	\N
763263	2606	1998-10-01	VYDAJ	VYBER	2240	26739	\N	\N	\N
763265	2606	1998-03-19	VYDAJ	VYBER	3760	16271	\N	\N	\N
763266	2606	1998-12-17	VYDAJ	VYBER	1440	30542	\N	\N	\N
763279	2606	1994-12-31	VYDAJ	VYBER	15	19834	SLUZBY	\N	\N
763280	2606	1995-01-31	VYDAJ	VYBER	15	12696	SLUZBY	\N	\N
763281	2606	1995-02-28	VYDAJ	VYBER	15	14768	SLUZBY	\N	\N
763282	2606	1995-03-31	VYDAJ	VYBER	15	14045	SLUZBY	\N	\N
763283	2606	1995-04-30	VYDAJ	VYBER	15	16123	SLUZBY	\N	\N
763284	2606	1995-05-31	VYDAJ	VYBER	15	18209	SLUZBY	\N	\N
763285	2606	1995-06-30	VYDAJ	VYBER	15	17996	SLUZBY	\N	\N
763286	2606	1995-07-31	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
763287	2606	1995-08-31	VYDAJ	VYBER	15	16412	SLUZBY	\N	\N
763288	2606	1995-09-30	VYDAJ	VYBER	15	18499	SLUZBY	\N	\N
763289	2606	1995-10-31	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
763290	2606	1995-11-30	VYDAJ	VYBER	15	22700	SLUZBY	\N	\N
763291	2606	1995-12-31	VYDAJ	VYBER	15	23712	SLUZBY	\N	\N
763292	2606	1996-01-31	VYDAJ	VYBER	15	13570	SLUZBY	\N	\N
763293	2606	1996-02-29	VYDAJ	VYBER	15	15645	SLUZBY	\N	\N
763294	2606	1996-03-31	VYDAJ	VYBER	15	17729	SLUZBY	\N	\N
763295	2606	1996-04-30	VYDAJ	VYBER	15	19822	SLUZBY	\N	\N
763296	2606	1996-05-31	VYDAJ	VYBER	15	21924	SLUZBY	\N	\N
763297	2606	1996-06-30	VYDAJ	VYBER	15	24034	SLUZBY	\N	\N
763298	2606	1996-07-31	VYDAJ	VYBER	15	26153	SLUZBY	\N	\N
763299	2606	1996-08-31	VYDAJ	VYBER	15	28281	SLUZBY	\N	\N
763300	2606	1996-09-30	VYDAJ	VYBER	15	30417	SLUZBY	\N	\N
763301	2606	1996-10-31	VYDAJ	VYBER	15	29995	SLUZBY	\N	\N
763302	2606	1996-11-30	VYDAJ	VYBER	15	30694	SLUZBY	\N	\N
763303	2606	1996-12-31	VYDAJ	VYBER	15	28800	SLUZBY	\N	\N
763304	2606	1997-01-31	VYDAJ	VYBER	15	14649	SLUZBY	\N	\N
763305	2606	1997-02-28	VYDAJ	VYBER	15	16728	SLUZBY	\N	\N
763306	2606	1997-03-31	VYDAJ	VYBER	15	18817	SLUZBY	\N	\N
763307	2606	1997-04-30	VYDAJ	VYBER	15	20914	SLUZBY	\N	\N
763308	2606	1997-05-31	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
763309	2606	1997-06-30	VYDAJ	VYBER	15	17109	SLUZBY	\N	\N
763310	2606	1997-07-31	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
763311	2606	1997-08-31	VYDAJ	VYBER	15	19853	SLUZBY	\N	\N
763312	2606	1997-09-30	VYDAJ	VYBER	15	21954	SLUZBY	\N	\N
763313	2606	1997-10-31	VYDAJ	VYBER	15	24064	SLUZBY	\N	\N
763314	2606	1997-11-30	VYDAJ	VYBER	15	22340	SLUZBY	\N	\N
763315	2606	1997-12-31	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
763316	2606	1998-01-31	VYDAJ	VYBER	15	15921	SLUZBY	\N	\N
763317	2606	1998-02-28	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
763318	2606	1998-03-31	VYDAJ	VYBER	15	16332	SLUZBY	\N	\N
763319	2606	1998-04-30	VYDAJ	VYBER	15	18418	SLUZBY	\N	\N
763320	2606	1998-05-31	VYDAJ	VYBER	15	20513	SLUZBY	\N	\N
763321	2606	1998-06-30	VYDAJ	VYBER	15	22616	SLUZBY	\N	\N
763322	2606	1998-07-31	VYDAJ	VYBER	15	24728	SLUZBY	\N	\N
763323	2606	1998-08-31	VYDAJ	VYBER	15	26849	SLUZBY	\N	\N
763324	2606	1998-09-30	VYDAJ	VYBER	15	28979	SLUZBY	\N	\N
763325	2606	1998-10-31	VYDAJ	VYBER	15	28869	SLUZBY	\N	\N
763326	2606	1998-11-30	VYDAJ	VYBER	15	31007	SLUZBY	\N	\N
763376	2607	1997-08-19	PRIJEM	VKLAD	200	200	\N	\N	\N
763385	2607	1997-09-08	PRIJEM	VKLAD	10699	10899	\N	\N	\N
763386	2607	1997-10-08	PRIJEM	VKLAD	10699	24523	\N	\N	\N
763387	2607	1997-11-08	PRIJEM	VKLAD	10699	33396	\N	\N	\N
763388	2607	1997-12-08	PRIJEM	VKLAD	16048	43848	\N	\N	\N
763389	2607	1998-01-08	PRIJEM	VKLAD	10699	45577	\N	\N	\N
763390	2607	1998-02-08	PRIJEM	VKLAD	10699	24949	\N	\N	\N
763391	2607	1998-03-08	PRIJEM	VKLAD	10699	27941	\N	\N	\N
763392	2607	1998-04-08	PRIJEM	VKLAD	10699	34149	\N	\N	\N
763393	2607	1998-05-08	PRIJEM	VKLAD	10699	34971	\N	\N	\N
763394	2607	1998-06-08	PRIJEM	VKLAD	16048	30617	\N	\N	\N
763395	2607	1998-07-08	PRIJEM	VKLAD	10699	30479	\N	\N	\N
763396	2607	1998-08-08	PRIJEM	VKLAD	10699	26568	\N	\N	\N
763397	2607	1998-09-08	PRIJEM	VKLAD	10699	29301	\N	\N	\N
763398	2607	1998-10-08	PRIJEM	VKLAD	10699	29759	\N	\N	\N
763399	2607	1998-11-08	PRIJEM	VKLAD	10699	32565	\N	\N	\N
763400	2607	1998-12-08	PRIJEM	VKLAD	16048	36620	\N	\N	\N
763413	2607	1998-01-09	VYDAJ	PREVOD NA UCET	1433	43262	SIPO	IJ	86115359
763414	2607	1998-02-09	VYDAJ	PREVOD NA UCET	1433	22634	SIPO	IJ	86115359
763415	2607	1998-03-09	VYDAJ	PREVOD NA UCET	1433	26508	SIPO	IJ	86115359
763416	2607	1998-04-09	VYDAJ	PREVOD NA UCET	1433	32716	SIPO	IJ	86115359
763417	2607	1998-05-09	VYDAJ	PREVOD NA UCET	1433	33538	SIPO	IJ	86115359
763418	2607	1998-06-09	VYDAJ	PREVOD NA UCET	1433	29184	SIPO	IJ	86115359
763419	2607	1998-07-09	VYDAJ	PREVOD NA UCET	1433	29046	SIPO	IJ	86115359
763420	2607	1998-08-09	VYDAJ	PREVOD NA UCET	1433	25135	SIPO	IJ	86115359
763421	2607	1998-09-09	VYDAJ	PREVOD NA UCET	1433	26986	SIPO	IJ	86115359
763422	2607	1998-10-09	VYDAJ	PREVOD NA UCET	1433	28326	SIPO	IJ	86115359
763423	2607	1998-11-09	VYDAJ	PREVOD NA UCET	1433	30250	SIPO	IJ	86115359
763424	2607	1998-12-09	VYDAJ	PREVOD NA UCET	1433	34305	SIPO	IJ	86115359
763437	2607	1998-01-14	VYDAJ	PREVOD NA UCET	755	40827	 	GH	82425427
763438	2607	1998-02-14	VYDAJ	PREVOD NA UCET	755	21879	 	GH	82425427
763439	2607	1998-03-14	VYDAJ	PREVOD NA UCET	755	24871	 	GH	82425427
763440	2607	1998-04-14	VYDAJ	PREVOD NA UCET	755	31079	 	GH	82425427
763441	2607	1998-05-14	VYDAJ	PREVOD NA UCET	755	31901	 	GH	82425427
763442	2607	1998-06-14	VYDAJ	PREVOD NA UCET	755	27547	 	GH	82425427
763443	2607	1998-07-14	VYDAJ	PREVOD NA UCET	755	27409	 	GH	82425427
763444	2607	1998-08-14	VYDAJ	PREVOD NA UCET	755	23498	 	GH	82425427
763445	2607	1998-09-14	VYDAJ	PREVOD NA UCET	755	18991	 	GH	82425427
763446	2607	1998-10-14	VYDAJ	PREVOD NA UCET	755	21789	 	GH	82425427
763447	2607	1998-11-14	VYDAJ	PREVOD NA UCET	755	20495	 	GH	82425427
763448	2607	1998-12-14	VYDAJ	PREVOD NA UCET	755	23870	 	GH	82425427
763461	2607	1998-01-09	VYDAJ	PREVOD NA UCET	882	44695	POJISTNE	EF	72089344
763462	2607	1998-02-09	VYDAJ	PREVOD NA UCET	882	24067	POJISTNE	EF	72089344
763463	2607	1998-03-09	VYDAJ	PREVOD NA UCET	882	25626	POJISTNE	EF	72089344
763464	2607	1998-04-09	VYDAJ	PREVOD NA UCET	882	31834	POJISTNE	EF	72089344
763465	2607	1998-05-09	VYDAJ	PREVOD NA UCET	882	32656	POJISTNE	EF	72089344
763466	2607	1998-06-09	VYDAJ	PREVOD NA UCET	882	28302	POJISTNE	EF	72089344
763467	2607	1998-07-09	VYDAJ	PREVOD NA UCET	882	28164	POJISTNE	EF	72089344
763468	2607	1998-08-09	VYDAJ	PREVOD NA UCET	882	24253	POJISTNE	EF	72089344
763469	2607	1998-09-09	VYDAJ	PREVOD NA UCET	882	28419	POJISTNE	EF	72089344
763470	2607	1998-10-09	VYDAJ	PREVOD NA UCET	882	27444	POJISTNE	EF	72089344
763471	2607	1998-11-09	VYDAJ	PREVOD NA UCET	882	31683	POJISTNE	EF	72089344
763472	2607	1998-12-09	VYDAJ	PREVOD NA UCET	882	35738	POJISTNE	EF	72089344
763500	2607	1998-12-11	VYDAJ	VYBER	2880	31425	\N	\N	\N
763507	2607	1998-01-20	VYDAJ	VYBER	3120	19427	\N	\N	\N
763508	2607	1998-01-18	VYDAJ	VYBER	3120	22547	\N	\N	\N
763509	2607	1998-01-12	VYDAJ	VYBER	1680	41582	\N	\N	\N
763510	2607	1998-01-15	VYDAJ	VYBER	3360	37467	\N	\N	\N
763511	2607	1998-01-22	VYDAJ	VYBER	2160	17267	\N	\N	\N
763520	2607	1998-09-12	VYDAJ	VYBER	3840	23146	\N	\N	\N
763521	2607	1998-05-30	VYDAJ	VYBER	3000	14481	\N	\N	\N
763522	2607	1998-02-02	VYDAJ	VYBER	3120	14250	\N	\N	\N
763523	2607	1998-07-26	VYDAJ	VYBER	4320	15789	\N	\N	\N
763524	2607	1998-12-25	VYDAJ	VYBER	3360	20510	\N	\N	\N
763525	2607	1998-08-18	VYDAJ	VYBER	1560	18538	\N	\N	\N
763526	2607	1998-05-30	VYDAJ	VYBER	4920	17481	\N	\N	\N
763527	2607	1998-07-03	VYDAJ	VYBER	2040	19780	\N	\N	\N
763528	2607	1998-07-25	VYDAJ	VYBER	3600	20109	\N	\N	\N
763542	2607	1998-01-31	VYDAJ	VYBER	15	17370	SLUZBY	\N	\N
763543	2607	1998-02-28	VYDAJ	VYBER	15	17242	SLUZBY	\N	\N
763544	2607	1998-03-31	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
763545	2607	1998-04-30	VYDAJ	VYBER	15	24272	SLUZBY	\N	\N
763546	2607	1998-05-31	VYDAJ	VYBER	15	14569	SLUZBY	\N	\N
763547	2607	1998-06-30	VYDAJ	VYBER	15	21820	SLUZBY	\N	\N
763548	2607	1998-07-31	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
763549	2607	1998-08-31	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
763550	2607	1998-09-30	VYDAJ	VYBER	15	19060	SLUZBY	\N	\N
763551	2607	1998-10-31	VYDAJ	VYBER	15	21866	SLUZBY	\N	\N
763552	2607	1998-11-30	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
763553	2607	1997-09-18	PRIJEM	VKLAD	2900	13799	\N	\N	\N
763554	2607	1997-10-18	VYDAJ	VYBER	1900	22623	\N	\N	\N
763555	2607	1997-11-17	VYDAJ	VYBER	5700	27696	\N	\N	\N
763556	2607	1997-12-17	VYDAJ	VYBER	9100	34748	\N	\N	\N
763557	2607	1998-01-16	VYDAJ	VYBER	11800	25667	\N	\N	\N
763558	2607	1998-02-15	VYDAJ	VYBER	4700	17179	\N	\N	\N
763559	2607	1998-03-17	VYDAJ	VYBER	1500	23371	\N	\N	\N
763560	2607	1998-04-16	VYDAJ	VYBER	6900	24179	\N	\N	\N
763561	2607	1998-05-16	VYDAJ	VYBER	9500	22401	\N	\N	\N
763562	2607	1998-06-15	VYDAJ	VYBER	5800	21747	\N	\N	\N
763563	2607	1998-07-15	VYDAJ	VYBER	3700	23709	\N	\N	\N
763564	2607	1998-08-14	VYDAJ	VYBER	3400	20098	\N	\N	\N
763565	2607	1998-09-13	VYDAJ	VYBER	3400	19746	\N	\N	\N
763566	2607	1998-10-13	VYDAJ	VYBER	4900	22544	\N	\N	\N
763567	2607	1998-11-12	VYDAJ	VYBER	9000	21250	\N	\N	\N
763568	2607	1998-12-12	VYDAJ	VYBER	6800	24625	\N	\N	\N
763585	2608	1995-08-09	PRIJEM	VKLAD	600	600	\N	\N	\N
763593	2608	1995-08-11	PRIJEM	VKLAD	8572	9172	\N	\N	\N
763594	2608	1995-09-11	PRIJEM	VKLAD	8572	22870	\N	\N	\N
763595	2608	1995-10-11	PRIJEM	VKLAD	8572	34918	\N	\N	\N
763596	2608	1995-11-11	PRIJEM	VKLAD	8572	36119	\N	\N	\N
763597	2608	1995-12-11	PRIJEM	VKLAD	12858	41426	\N	\N	\N
763598	2608	1996-01-11	PRIJEM	VKLAD	8572	36781	\N	\N	\N
763599	2608	1996-02-11	PRIJEM	VKLAD	8572	34097	\N	\N	\N
763600	2608	1996-03-11	PRIJEM	VKLAD	8572	31584	\N	\N	\N
763601	2608	1996-04-11	PRIJEM	VKLAD	8572	32269	\N	\N	\N
763602	2608	1996-05-11	PRIJEM	VKLAD	8572	28989	\N	\N	\N
763603	2608	1996-06-11	PRIJEM	VKLAD	12858	31488	\N	\N	\N
763604	2608	1996-07-11	PRIJEM	VKLAD	8572	26560	\N	\N	\N
763605	2608	1996-08-11	PRIJEM	VKLAD	8572	29228	\N	\N	\N
763606	2608	1996-09-11	PRIJEM	VKLAD	8572	28896	\N	\N	\N
763607	2608	1996-10-11	PRIJEM	VKLAD	8572	28420	\N	\N	\N
763608	2608	1996-11-11	PRIJEM	VKLAD	8572	31780	\N	\N	\N
763609	2608	1996-12-11	PRIJEM	VKLAD	12858	37440	\N	\N	\N
763610	2608	1997-01-11	PRIJEM	VKLAD	8572	34937	\N	\N	\N
763611	2608	1997-02-11	PRIJEM	VKLAD	8572	30682	\N	\N	\N
763612	2608	1997-03-11	PRIJEM	VKLAD	8572	29853	\N	\N	\N
763613	2608	1997-04-11	PRIJEM	VKLAD	8572	33428	\N	\N	\N
763614	2608	1997-05-11	PRIJEM	VKLAD	8572	36311	\N	\N	\N
763615	2608	1997-06-11	PRIJEM	VKLAD	12858	40727	\N	\N	\N
763616	2608	1997-07-11	PRIJEM	VKLAD	8572	37932	\N	\N	\N
763617	2608	1997-08-11	PRIJEM	VKLAD	8572	36931	\N	\N	\N
763618	2608	1997-09-11	PRIJEM	VKLAD	8572	36626	\N	\N	\N
763619	2608	1997-10-11	PRIJEM	VKLAD	8572	34220	\N	\N	\N
763620	2608	1997-11-11	PRIJEM	VKLAD	8572	28868	\N	\N	\N
763621	2608	1997-12-11	PRIJEM	VKLAD	12858	36508	\N	\N	\N
763622	2608	1998-01-11	PRIJEM	VKLAD	8572	33780	\N	\N	\N
763623	2608	1998-02-11	PRIJEM	VKLAD	8572	28052	\N	\N	\N
763624	2608	1998-03-11	PRIJEM	VKLAD	8572	26607	\N	\N	\N
763625	2608	1998-04-11	PRIJEM	VKLAD	8572	25051	\N	\N	\N
763626	2608	1998-05-11	PRIJEM	VKLAD	8572	27551	\N	\N	\N
763627	2608	1998-06-11	PRIJEM	VKLAD	12858	32276	\N	\N	\N
763628	2608	1998-07-11	PRIJEM	VKLAD	8572	29932	\N	\N	\N
763629	2608	1998-08-11	PRIJEM	VKLAD	8572	32802	\N	\N	\N
763630	2608	1998-09-11	PRIJEM	VKLAD	8572	32577	\N	\N	\N
763631	2608	1998-10-11	PRIJEM	VKLAD	8572	32951	\N	\N	\N
763632	2608	1998-11-11	PRIJEM	VKLAD	8572	35229	\N	\N	\N
763633	2608	1998-12-11	PRIJEM	VKLAD	12858	32370	\N	\N	\N
763645	2608	1995-12-12	VYDAJ	PREVOD NA UCET	4788	36638	SIPO	OP	78614222
763646	2608	1996-01-12	VYDAJ	PREVOD NA UCET	4788	31993	SIPO	OP	78614222
763647	2608	1996-02-12	VYDAJ	PREVOD NA UCET	4788	29309	SIPO	OP	78614222
763648	2608	1996-03-12	VYDAJ	PREVOD NA UCET	4788	26796	SIPO	OP	78614222
763649	2608	1996-04-12	VYDAJ	PREVOD NA UCET	4788	27481	SIPO	OP	78614222
763650	2608	1996-05-12	VYDAJ	PREVOD NA UCET	4788	24201	SIPO	OP	78614222
763651	2608	1996-06-12	VYDAJ	PREVOD NA UCET	4788	26700	SIPO	OP	78614222
763652	2608	1996-07-12	VYDAJ	PREVOD NA UCET	4788	21772	SIPO	OP	78614222
763653	2608	1996-08-12	VYDAJ	PREVOD NA UCET	4788	24440	SIPO	OP	78614222
763654	2608	1996-09-12	VYDAJ	PREVOD NA UCET	4788	24108	SIPO	OP	78614222
763655	2608	1996-10-12	VYDAJ	PREVOD NA UCET	4788	23632	SIPO	OP	78614222
763656	2608	1996-11-12	VYDAJ	PREVOD NA UCET	4788	26992	SIPO	OP	78614222
763657	2608	1996-12-12	VYDAJ	PREVOD NA UCET	4788	32652	SIPO	OP	78614222
763658	2608	1997-01-12	VYDAJ	PREVOD NA UCET	4788	30149	SIPO	OP	78614222
763659	2608	1997-02-12	VYDAJ	PREVOD NA UCET	4788	25894	SIPO	OP	78614222
763660	2608	1997-03-12	VYDAJ	PREVOD NA UCET	4788	25065	SIPO	OP	78614222
763661	2608	1997-04-12	VYDAJ	PREVOD NA UCET	4788	28640	SIPO	OP	78614222
763662	2608	1997-05-12	VYDAJ	PREVOD NA UCET	4788	31523	SIPO	OP	78614222
763663	2608	1997-06-12	VYDAJ	PREVOD NA UCET	4788	35939	SIPO	OP	78614222
763664	2608	1997-07-12	VYDAJ	PREVOD NA UCET	4788	33144	SIPO	OP	78614222
763665	2608	1997-08-12	VYDAJ	PREVOD NA UCET	4788	32143	SIPO	OP	78614222
763666	2608	1997-09-12	VYDAJ	PREVOD NA UCET	4788	31838	SIPO	OP	78614222
763667	2608	1997-10-12	VYDAJ	PREVOD NA UCET	4788	29432	SIPO	OP	78614222
763668	2608	1997-11-12	VYDAJ	PREVOD NA UCET	4788	24080	SIPO	OP	78614222
763669	2608	1997-12-12	VYDAJ	PREVOD NA UCET	4788	31720	SIPO	OP	78614222
763670	2608	1998-01-12	VYDAJ	PREVOD NA UCET	4788	28992	SIPO	OP	78614222
763671	2608	1998-02-12	VYDAJ	PREVOD NA UCET	4788	23264	SIPO	OP	78614222
763672	2608	1998-03-12	VYDAJ	PREVOD NA UCET	4788	21819	SIPO	OP	78614222
763673	2608	1998-04-12	VYDAJ	PREVOD NA UCET	4788	20263	SIPO	OP	78614222
763674	2608	1998-05-12	VYDAJ	PREVOD NA UCET	4788	22763	SIPO	OP	78614222
763675	2608	1998-06-12	VYDAJ	PREVOD NA UCET	4788	27488	SIPO	OP	78614222
763676	2608	1998-07-12	VYDAJ	PREVOD NA UCET	4788	25144	SIPO	OP	78614222
763677	2608	1998-08-12	VYDAJ	PREVOD NA UCET	4788	28014	SIPO	OP	78614222
763678	2608	1998-09-12	VYDAJ	PREVOD NA UCET	4788	27789	SIPO	OP	78614222
763679	2608	1998-10-12	VYDAJ	PREVOD NA UCET	4788	28163	SIPO	OP	78614222
763680	2608	1998-11-12	VYDAJ	PREVOD NA UCET	4788	30441	SIPO	OP	78614222
763681	2608	1998-12-12	VYDAJ	PREVOD NA UCET	4788	27582	SIPO	OP	78614222
763686	2608	1995-12-13	VYDAJ	VYBER	2720	33918	\N	\N	\N
763687	2608	1996-12-28	VYDAJ	VYBER	1280	31372	\N	\N	\N
763688	2608	1997-12-30	VYDAJ	VYBER	960	26060	\N	\N	\N
763689	2608	1998-12-09	VYDAJ	VYBER	1120	19512	\N	\N	\N
763696	2608	1996-01-30	VYDAJ	VYBER	2400	26233	\N	\N	\N
763697	2608	1996-01-30	VYDAJ	VYBER	720	25513	\N	\N	\N
763698	2608	1996-01-18	VYDAJ	VYBER	1680	29233	\N	\N	\N
763699	2608	1996-01-28	VYDAJ	VYBER	600	28633	\N	\N	\N
763700	2608	1996-01-16	VYDAJ	VYBER	1080	30913	\N	\N	\N
763701	2608	1996-01-02	VYDAJ	VYBER	1440	32609	\N	\N	\N
763702	2608	1997-01-02	VYDAJ	VYBER	840	27445	\N	\N	\N
763703	2608	1997-01-10	VYDAJ	VYBER	1080	26365	\N	\N	\N
763704	2608	1997-01-27	VYDAJ	VYBER	3480	24749	\N	\N	\N
763705	2608	1997-01-29	VYDAJ	VYBER	2040	22709	\N	\N	\N
763706	2608	1997-01-14	VYDAJ	VYBER	1920	28229	\N	\N	\N
763707	2608	1997-01-30	VYDAJ	VYBER	1200	22009	\N	\N	\N
763708	2608	1998-01-04	VYDAJ	VYBER	960	25208	\N	\N	\N
763709	2608	1998-01-18	VYDAJ	VYBER	1080	25032	\N	\N	\N
763710	2608	1998-01-28	VYDAJ	VYBER	1080	19392	\N	\N	\N
763711	2608	1998-01-25	VYDAJ	VYBER	1440	20472	\N	\N	\N
763712	2608	1998-01-14	VYDAJ	VYBER	2880	26112	\N	\N	\N
763713	2608	1998-01-24	VYDAJ	VYBER	3120	21912	\N	\N	\N
763720	2608	1996-09-27	VYDAJ	VYBER	1200	20268	\N	\N	\N
763721	2608	1996-04-13	VYDAJ	VYBER	1560	25921	\N	\N	\N
763722	2608	1996-09-14	VYDAJ	VYBER	2640	21468	\N	\N	\N
763723	2608	1996-10-19	VYDAJ	VYBER	2400	21232	\N	\N	\N
763724	2608	1996-06-01	VYDAJ	VYBER	2160	22130	\N	\N	\N
763725	2608	1996-06-03	VYDAJ	VYBER	1200	20930	\N	\N	\N
763726	2608	1997-11-08	VYDAJ	VYBER	5040	20296	\N	\N	\N
763727	2608	1997-12-06	VYDAJ	VYBER	3720	23650	\N	\N	\N
763728	2608	1997-10-01	VYDAJ	VYBER	3000	25648	\N	\N	\N
763729	2608	1997-05-19	VYDAJ	VYBER	3360	28163	\N	\N	\N
763730	2608	1998-06-10	VYDAJ	VYBER	4920	19418	\N	\N	\N
763731	2608	1998-04-13	VYDAJ	VYBER	3240	17023	\N	\N	\N
763732	2608	1998-03-18	VYDAJ	VYBER	5400	16419	\N	\N	\N
763733	2608	1998-07-01	VYDAJ	VYBER	2520	21360	\N	\N	\N
763734	2608	1998-04-16	VYDAJ	VYBER	600	16423	\N	\N	\N
763747	2608	1995-12-31	VYDAJ	VYBER	15	34049	SLUZBY	\N	\N
763748	2608	1996-01-31	VYDAJ	VYBER	15	25625	SLUZBY	\N	\N
763749	2608	1996-02-29	VYDAJ	VYBER	15	29412	SLUZBY	\N	\N
763750	2608	1996-03-31	VYDAJ	VYBER	15	26897	SLUZBY	\N	\N
763751	2608	1996-04-30	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
763752	2608	1996-05-31	VYDAJ	VYBER	15	24290	SLUZBY	\N	\N
763753	2608	1996-06-30	VYDAJ	VYBER	15	26788	SLUZBY	\N	\N
763754	2608	1996-07-31	VYDAJ	VYBER	15	21856	SLUZBY	\N	\N
763755	2608	1996-08-31	VYDAJ	VYBER	15	24524	SLUZBY	\N	\N
763756	2608	1996-09-30	VYDAJ	VYBER	15	20348	SLUZBY	\N	\N
763757	2608	1996-10-31	VYDAJ	VYBER	15	21308	SLUZBY	\N	\N
763758	2608	1996-11-30	VYDAJ	VYBER	15	27082	SLUZBY	\N	\N
763759	2608	1996-12-31	VYDAJ	VYBER	15	28285	SLUZBY	\N	\N
763760	2608	1997-01-31	VYDAJ	VYBER	15	22110	SLUZBY	\N	\N
763761	2608	1997-02-28	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
763762	2608	1997-03-31	VYDAJ	VYBER	15	24856	SLUZBY	\N	\N
763763	2608	1997-04-30	VYDAJ	VYBER	15	28739	SLUZBY	\N	\N
763764	2608	1997-05-31	VYDAJ	VYBER	15	27869	SLUZBY	\N	\N
763765	2608	1997-06-30	VYDAJ	VYBER	15	29360	SLUZBY	\N	\N
763766	2608	1997-07-31	VYDAJ	VYBER	15	28359	SLUZBY	\N	\N
763767	2608	1997-08-31	VYDAJ	VYBER	15	28054	SLUZBY	\N	\N
763768	2608	1997-09-30	VYDAJ	VYBER	15	28648	SLUZBY	\N	\N
763769	2608	1997-10-31	VYDAJ	VYBER	15	25336	SLUZBY	\N	\N
763770	2608	1997-11-30	VYDAJ	VYBER	15	27370	SLUZBY	\N	\N
763771	2608	1997-12-31	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
763772	2608	1998-01-31	VYDAJ	VYBER	15	19480	SLUZBY	\N	\N
763773	2608	1998-02-28	VYDAJ	VYBER	15	18035	SLUZBY	\N	\N
763774	2608	1998-03-31	VYDAJ	VYBER	15	16479	SLUZBY	\N	\N
763775	2608	1998-04-30	VYDAJ	VYBER	15	18979	SLUZBY	\N	\N
763776	2608	1998-05-31	VYDAJ	VYBER	15	24338	SLUZBY	\N	\N
763777	2608	1998-06-30	VYDAJ	VYBER	15	23880	SLUZBY	\N	\N
763778	2608	1998-07-31	VYDAJ	VYBER	15	24230	SLUZBY	\N	\N
763779	2608	1998-08-31	VYDAJ	VYBER	15	24005	SLUZBY	\N	\N
763780	2608	1998-09-30	VYDAJ	VYBER	15	24379	SLUZBY	\N	\N
763781	2608	1998-10-31	VYDAJ	VYBER	15	26657	SLUZBY	\N	\N
763782	2608	1998-11-30	VYDAJ	VYBER	15	20632	SLUZBY	\N	\N
763783	2608	1995-09-08	PRIJEM	VKLAD	5100	14298	\N	\N	\N
763784	2608	1995-10-08	PRIJEM	VKLAD	3400	26346	\N	\N	\N
763785	2608	1995-11-07	VYDAJ	VYBER	7500	27547	\N	\N	\N
763786	2608	1995-12-07	VYDAJ	VYBER	7700	28568	\N	\N	\N
763787	2608	1996-01-06	VYDAJ	VYBER	4400	28209	\N	\N	\N
763788	2608	1996-02-05	VYDAJ	VYBER	100	25525	\N	\N	\N
763789	2608	1996-03-06	VYDAJ	VYBER	6400	23012	\N	\N	\N
763790	2608	1996-04-05	VYDAJ	VYBER	3200	23697	\N	\N	\N
763791	2608	1996-05-05	VYDAJ	VYBER	5600	20417	\N	\N	\N
763792	2608	1996-06-04	VYDAJ	VYBER	2300	18630	\N	\N	\N
763793	2608	1996-07-04	VYDAJ	VYBER	8800	17988	\N	\N	\N
763794	2608	1996-08-03	VYDAJ	VYBER	1200	20656	\N	\N	\N
763795	2608	1996-09-02	VYDAJ	VYBER	4200	20324	\N	\N	\N
763796	2608	1996-10-02	VYDAJ	VYBER	500	19848	\N	\N	\N
763797	2608	1996-11-01	PRIJEM	VKLAD	1900	23208	\N	\N	\N
763798	2608	1996-12-01	VYDAJ	VYBER	2500	24582	\N	\N	\N
763799	2608	1996-12-31	VYDAJ	VYBER	3200	28300	\N	\N	\N
763800	2608	1997-01-30	PRIJEM	VKLAD	500	23209	\N	\N	\N
763801	2608	1997-03-01	VYDAJ	VYBER	4700	21281	\N	\N	\N
763802	2608	1997-03-31	VYDAJ	VYBER	300	24871	\N	\N	\N
763803	2608	1997-04-30	VYDAJ	VYBER	1000	27739	\N	\N	\N
763804	2608	1997-05-30	VYDAJ	VYBER	400	27763	\N	\N	\N
763805	2608	1997-06-29	VYDAJ	VYBER	6700	29239	\N	\N	\N
763806	2608	1997-07-29	VYDAJ	VYBER	4900	28244	\N	\N	\N
763807	2608	1997-08-28	VYDAJ	VYBER	4200	27943	\N	\N	\N
763808	2608	1997-09-27	VYDAJ	VYBER	3300	28538	\N	\N	\N
763809	2608	1997-10-27	VYDAJ	VYBER	4200	25232	\N	\N	\N
763810	2608	1997-11-26	PRIJEM	VKLAD	3200	27280	\N	\N	\N
763811	2608	1997-12-26	VYDAJ	VYBER	4700	27020	\N	\N	\N
763812	2608	1998-02-24	VYDAJ	VYBER	5300	17964	\N	\N	\N
763813	2608	1998-04-25	PRIJEM	VKLAD	2500	18923	\N	\N	\N
763814	2608	1998-05-25	PRIJEM	VKLAD	1500	24263	\N	\N	\N
763815	2608	1998-06-24	VYDAJ	VYBER	3700	23788	\N	\N	\N
763816	2608	1998-07-24	VYDAJ	VYBER	1000	24144	\N	\N	\N
763817	2608	1998-08-23	VYDAJ	VYBER	4100	23914	\N	\N	\N
763818	2608	1998-09-22	VYDAJ	VYBER	3500	24289	\N	\N	\N
763819	2608	1998-10-22	VYDAJ	VYBER	1600	26563	\N	\N	\N
763820	2608	1998-11-21	VYDAJ	VYBER	9900	20541	\N	\N	\N
763862	2609	1993-05-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
763863	2609	1993-11-30	PRIJEM	VKLAD	10703	76278	\N	\N	\N
763864	2609	1993-09-18	PRIJEM	VKLAD	35236	106388	\N	\N	\N
763866	2609	1993-09-19	PRIJEM	VKLAD	32607	79995	\N	\N	\N
763867	2609	1993-10-14	PRIJEM	VKLAD	20855	78142	\N	\N	\N
763868	2609	1993-11-26	PRIJEM	VKLAD	46313	82434	\N	\N	\N
763869	2609	1993-12-15	PRIJEM	VKLAD	39027	116093	\N	\N	\N
763871	2609	1993-09-03	PRIJEM	VKLAD	41310	86085	\N	\N	\N
763872	2609	1993-11-22	PRIJEM	VKLAD	5275	36121	\N	\N	\N
763873	2609	1993-12-12	PRIJEM	VKLAD	28496	149566	\N	\N	\N
763874	2609	1993-09-04	PRIJEM	VKLAD	12763	98848	\N	\N	\N
763875	2609	1993-10-21	PRIJEM	VKLAD	31132	109274	\N	\N	\N
763876	2609	1993-09-30	PRIJEM	VKLAD	38706	86802	\N	\N	\N
763877	2609	1993-08-14	PRIJEM	VKLAD	14591	120142	\N	\N	\N
763878	2609	1993-07-28	PRIJEM	VKLAD	24593	87113	\N	\N	\N
763879	2609	1993-09-05	PRIJEM	VKLAD	20404	119252	\N	\N	\N
763880	2609	1993-11-30	PRIJEM	VKLAD	12330	65575	\N	\N	\N
763883	2609	1993-07-20	PRIJEM	VKLAD	42720	62520	\N	\N	\N
763884	2609	1993-09-28	PRIJEM	VKLAD	48514	110619	\N	\N	\N
763886	2609	1993-08-14	PRIJEM	VKLAD	47924	105551	\N	\N	\N
763887	2609	1993-12-12	PRIJEM	VKLAD	22693	121070	\N	\N	\N
763888	2609	1993-12-16	PRIJEM	VKLAD	8764	66257	\N	\N	\N
763889	2609	1993-12-03	PRIJEM	VKLAD	24213	98377	\N	\N	\N
763890	2609	1994-05-30	PRIJEM	VKLAD	43775	65806	\N	\N	\N
763891	2609	1994-02-20	PRIJEM	VKLAD	12416	34000	\N	\N	\N
763892	2609	1994-01-18	PRIJEM	VKLAD	13606	35652	\N	\N	\N
763893	2609	1994-12-12	PRIJEM	VKLAD	32543	65934	\N	\N	\N
763894	2609	1994-11-13	PRIJEM	VKLAD	29534	55588	\N	\N	\N
763895	2609	1995-06-13	PRIJEM	VKLAD	48190	95642	\N	\N	\N
763896	2609	1995-06-17	PRIJEM	VKLAD	32145	127787	\N	\N	\N
763897	2609	1995-10-25	PRIJEM	VKLAD	22306	52994	\N	\N	\N
763898	2609	1995-01-16	PRIJEM	VKLAD	42405	86139	\N	\N	\N
763899	2609	1995-08-22	PRIJEM	VKLAD	8582	58094	\N	\N	\N
763900	2609	1995-08-10	PRIJEM	VKLAD	44331	78408	\N	\N	\N
763901	2609	1995-12-17	PRIJEM	VKLAD	29895	98316	\N	\N	\N
763902	2609	1995-08-13	PRIJEM	VKLAD	46935	125343	\N	\N	\N
763903	2609	1995-01-23	PRIJEM	VKLAD	15472	101611	\N	\N	\N
763904	2609	1995-09-19	PRIJEM	VKLAD	26401	64581	\N	\N	\N
763905	2609	1995-11-29	PRIJEM	VKLAD	49099	119286	\N	\N	\N
763906	2609	1995-10-29	PRIJEM	VKLAD	44915	85285	\N	\N	\N
763907	2609	1995-11-23	PRIJEM	VKLAD	43569	97937	\N	\N	\N
763908	2609	1995-06-18	PRIJEM	VKLAD	20741	100828	\N	\N	\N
763909	2609	1995-09-26	PRIJEM	VKLAD	11387	44897	\N	\N	\N
763910	2609	1995-04-21	PRIJEM	VKLAD	49551	71701	\N	\N	\N
763911	2609	1995-09-20	PRIJEM	VKLAD	31723	96304	\N	\N	\N
763912	2609	1995-01-13	PRIJEM	VKLAD	17002	59334	\N	\N	\N
763913	2609	1995-02-21	PRIJEM	VKLAD	48615	103977	\N	\N	\N
763914	2609	1995-06-02	PRIJEM	VKLAD	32564	60352	\N	\N	\N
763915	2609	1995-01-03	PRIJEM	VKLAD	40424	71630	\N	\N	\N
763916	2609	1995-08-19	PRIJEM	VKLAD	19599	80912	\N	\N	\N
763917	2609	1996-09-14	PRIJEM	VKLAD	49110	110806	\N	\N	\N
763918	2609	1996-12-25	PRIJEM	VKLAD	42461	74314	\N	\N	\N
763919	2609	1996-06-12	PRIJEM	VKLAD	32240	112291	\N	\N	\N
763920	2609	1996-08-09	PRIJEM	VKLAD	49384	94953	\N	\N	\N
763921	2609	1996-04-16	PRIJEM	VKLAD	38324	64601	\N	\N	\N
763922	2609	1996-06-08	PRIJEM	VKLAD	48083	82451	\N	\N	\N
763923	2609	1996-11-22	PRIJEM	VKLAD	17145	44814	\N	\N	\N
763924	2609	1996-01-16	PRIJEM	VKLAD	42241	87737	\N	\N	\N
763925	2609	1996-12-25	PRIJEM	VKLAD	7477	31853	\N	\N	\N
763926	2609	1996-08-05	PRIJEM	VKLAD	26444	53069	\N	\N	\N
763927	2609	1997-05-30	PRIJEM	VKLAD	38564	70439	\N	\N	\N
763928	2609	1997-03-13	PRIJEM	VKLAD	22772	47773	\N	\N	\N
763929	2609	1997-11-01	PRIJEM	VKLAD	25854	46608	\N	\N	\N
763930	2609	1997-03-29	PRIJEM	VKLAD	32946	73219	\N	\N	\N
763931	2609	1998-05-12	PRIJEM	VKLAD	5066	26568	\N	\N	\N
763932	2609	1998-12-27	PRIJEM	VKLAD	30886	55357	\N	\N	\N
763933	2609	1998-11-13	PRIJEM	VKLAD	38928	60459	\N	\N	\N
763934	2609	1998-02-17	PRIJEM	VKLAD	49843	80032	\N	\N	\N
763935	2609	1998-02-02	PRIJEM	VKLAD	22364	46089	\N	\N	\N
763936	2609	1998-11-27	PRIJEM	VKLAD	16103	76562	\N	\N	\N
763937	2609	1998-05-29	PRIJEM	VKLAD	36709	63277	\N	\N	\N
763938	2609	1998-06-20	PRIJEM	VKLAD	37300	75588	\N	\N	\N
763939	2609	1998-09-06	PRIJEM	VKLAD	21310	41107	\N	\N	\N
763940	2609	1998-02-19	PRIJEM	VKLAD	23184	103216	\N	\N	\N
763941	2609	1998-07-01	PRIJEM	VKLAD	24543	100395	\N	\N	\N
763942	2609	1998-10-27	PRIJEM	VKLAD	9760	40920	\N	\N	\N
764021	2609	1993-11-05	VYBER	VYBER	16866	30846	\N	\N	\N
764023	2609	1993-09-20	VYBER	VYBER	17890	62105	\N	\N	\N
764024	2609	1994-01-12	VYBER	VYBER	21123	22046	\N	\N	\N
764025	2609	1994-03-14	VYBER	VYBER	8352	22626	\N	\N	\N
764027	2609	1994-06-03	VYBER	VYBER	13475	52427	\N	\N	\N
764028	2609	1995-08-13	VYBER	VYBER	23830	101513	\N	\N	\N
764030	2609	1995-03-27	VYBER	VYBER	4883	22026	\N	\N	\N
764031	2609	1995-03-03	VYBER	VYBER	9772	27109	\N	\N	\N
764032	2609	1995-09-24	VYBER	VYBER	23794	33510	\N	\N	\N
764033	2609	1995-10-01	VYBER	VYBER	6676	38388	\N	\N	\N
764034	2609	1995-11-23	VYBER	VYBER	23250	74687	\N	\N	\N
764035	2609	1995-08-25	VYBER	VYBER	17693	40401	\N	\N	\N
764036	2609	1995-10-25	VYBER	VYBER	12624	40370	\N	\N	\N
764037	2609	1995-04-21	VYBER	VYBER	15057	56644	\N	\N	\N
764038	2609	1995-01-10	VYBER	VYBER	20898	45932	\N	\N	\N
764039	2609	1996-04-26	VYBER	VYBER	4912	40389	\N	\N	\N
764041	2609	1996-10-10	VYBER	VYBER	2711	37542	\N	\N	\N
764042	2609	1996-11-25	VYBER	VYBER	7660	37154	\N	\N	\N
764043	2609	1997-04-19	VYBER	VYBER	7417	40342	\N	\N	\N
764048	2609	1998-11-27	VYBER	VYBER	24786	51776	\N	\N	\N
764049	2609	1998-03-23	VYBER	VYBER	21119	39223	\N	\N	\N
764051	2609	1998-07-20	VYBER	VYBER	5614	45781	\N	\N	\N
764052	2609	1998-09-13	VYBER	VYBER	10038	31069	\N	\N	\N
764053	2609	1998-07-27	VYBER	VYBER	9609	36172	\N	\N	\N
764059	2609	1994-06-09	VYDAJ	VYBER	10200	32327	\N	\N	\N
764061	2609	1996-06-12	VYDAJ	VYBER	58800	53491	\N	\N	\N
764062	2609	1997-06-16	VYDAJ	VYBER	22200	27699	\N	\N	\N
764064	2609	1993-12-01	VYDAJ	VYBER	2100	74164	\N	\N	\N
764065	2609	1994-12-12	VYDAJ	VYBER	7500	58434	\N	\N	\N
764066	2609	1995-12-10	VYDAJ	VYBER	6300	68421	\N	\N	\N
764067	2609	1996-12-08	VYDAJ	VYBER	3300	30676	\N	\N	\N
764076	2609	1994-01-28	VYDAJ	VYBER	4500	28152	\N	\N	\N
764079	2609	1994-01-30	VYDAJ	VYBER	6600	21452	\N	\N	\N
764080	2609	1994-01-23	VYDAJ	VYBER	3000	32652	\N	\N	\N
764081	2609	1994-01-03	VYDAJ	VYBER	3600	43169	\N	\N	\N
764082	2609	1995-01-02	VYDAJ	VYBER	5400	31206	\N	\N	\N
764083	2609	1995-01-02	VYDAJ	VYBER	3900	36606	\N	\N	\N
764084	2609	1995-01-03	VYDAJ	VYBER	4800	66830	\N	\N	\N
764085	2609	1995-01-15	VYDAJ	VYBER	4500	43734	\N	\N	\N
764086	2609	1995-01-11	VYDAJ	VYBER	3600	42332	\N	\N	\N
764087	2609	1995-01-24	VYDAJ	VYBER	5400	55111	\N	\N	\N
764088	2609	1996-01-01	VYDAJ	VYBER	8700	53896	\N	\N	\N
764089	2609	1996-01-02	VYDAJ	VYBER	6600	47296	\N	\N	\N
764090	2609	1996-01-28	VYDAJ	VYBER	2400	38637	\N	\N	\N
764091	2609	1996-01-09	VYDAJ	VYBER	1800	45496	\N	\N	\N
764092	2609	1996-01-23	VYDAJ	VYBER	7800	49137	\N	\N	\N
764093	2609	1996-01-24	VYDAJ	VYBER	8100	41037	\N	\N	\N
764094	2609	1997-01-22	VYDAJ	VYBER	3600	32327	\N	\N	\N
764095	2609	1997-01-24	VYDAJ	VYBER	3600	28727	\N	\N	\N
764096	2609	1997-01-07	VYDAJ	VYBER	8400	51327	\N	\N	\N
764097	2609	1997-01-07	VYDAJ	VYBER	6600	59727	\N	\N	\N
764099	2609	1997-01-02	VYDAJ	VYBER	8100	66327	\N	\N	\N
764111	2609	1994-06-07	VYDAJ	VYBER	9900	42527	\N	\N	\N
764114	2609	1994-11-27	VYDAJ	VYBER	5400	33288	\N	\N	\N
764116	2609	1995-07-10	VYDAJ	VYBER	8700	52873	\N	\N	\N
764117	2609	1995-01-13	VYDAJ	VYBER	11100	48234	\N	\N	\N
764118	2609	1995-09-07	VYDAJ	VYBER	2400	38180	\N	\N	\N
764119	2609	1995-06-07	VYDAJ	VYBER	12900	47452	\N	\N	\N
764120	2609	1995-11-28	VYDAJ	VYBER	4500	70187	\N	\N	\N
764121	2609	1996-08-05	VYDAJ	VYBER	7500	45569	\N	\N	\N
764122	2609	1996-07-26	VYDAJ	VYBER	3300	26494	\N	\N	\N
764123	2609	1996-12-05	VYDAJ	VYBER	3300	33976	\N	\N	\N
764124	2609	1996-06-08	VYDAJ	VYBER	2400	80051	\N	\N	\N
764141	2609	1993-09-30	VYDAJ	VYBER	15	57287	SLUZBY	\N	\N
764142	2609	1993-10-31	VYDAJ	VYBER	15	47712	SLUZBY	\N	\N
764143	2609	1993-11-30	VYDAJ	VYBER	15	76264	SLUZBY	\N	\N
764144	2609	1993-12-31	VYDAJ	VYBER	15	46769	SLUZBY	\N	\N
764145	2609	1994-01-31	VYDAJ	VYBER	15	21584	SLUZBY	\N	\N
764146	2609	1994-02-28	VYDAJ	VYBER	15	30978	SLUZBY	\N	\N
764147	2609	1994-03-31	VYDAJ	VYBER	15	25739	SLUZBY	\N	\N
764148	2609	1994-04-30	VYDAJ	VYBER	15	23731	SLUZBY	\N	\N
764149	2609	1994-05-31	VYDAJ	VYBER	15	65902	SLUZBY	\N	\N
764150	2609	1994-06-30	VYDAJ	VYBER	15	27775	SLUZBY	\N	\N
764151	2609	1994-07-31	VYDAJ	VYBER	15	27076	SLUZBY	\N	\N
764152	2609	1994-08-31	VYDAJ	VYBER	15	26874	SLUZBY	\N	\N
764153	2609	1994-09-30	VYDAJ	VYBER	15	23271	SLUZBY	\N	\N
764154	2609	1994-10-31	VYDAJ	VYBER	15	26054	SLUZBY	\N	\N
764155	2609	1994-11-30	VYDAJ	VYBER	15	33391	SLUZBY	\N	\N
764156	2609	1994-12-31	VYDAJ	VYBER	15	40506	SLUZBY	\N	\N
764157	2609	1995-01-31	VYDAJ	VYBER	15	55362	SLUZBY	\N	\N
764158	2609	1995-02-28	VYDAJ	VYBER	15	36881	SLUZBY	\N	\N
764159	2609	1995-03-31	VYDAJ	VYBER	15	22150	SLUZBY	\N	\N
764160	2609	1995-04-30	VYDAJ	VYBER	15	37548	SLUZBY	\N	\N
764161	2609	1995-05-31	VYDAJ	VYBER	15	27788	SLUZBY	\N	\N
764162	2609	1995-06-30	VYDAJ	VYBER	15	61573	SLUZBY	\N	\N
764163	2609	1995-07-31	VYDAJ	VYBER	15	34077	SLUZBY	\N	\N
764164	2609	1995-08-31	VYDAJ	VYBER	15	40580	SLUZBY	\N	\N
764165	2609	1995-09-30	VYDAJ	VYBER	15	45064	SLUZBY	\N	\N
764166	2609	1995-10-31	VYDAJ	VYBER	15	85468	SLUZBY	\N	\N
764167	2609	1995-11-30	VYDAJ	VYBER	15	74721	SLUZBY	\N	\N
764168	2609	1995-12-31	VYDAJ	VYBER	15	62596	SLUZBY	\N	\N
764169	2609	1996-01-31	VYDAJ	VYBER	15	38829	SLUZBY	\N	\N
764170	2609	1996-02-29	VYDAJ	VYBER	15	28573	SLUZBY	\N	\N
764171	2609	1996-03-31	VYDAJ	VYBER	15	26277	SLUZBY	\N	\N
764172	2609	1996-04-30	VYDAJ	VYBER	15	40516	SLUZBY	\N	\N
764173	2609	1996-05-31	VYDAJ	VYBER	15	34368	SLUZBY	\N	\N
764174	2609	1996-06-30	VYDAJ	VYBER	15	37394	SLUZBY	\N	\N
764175	2609	1996-07-31	VYDAJ	VYBER	15	26625	SLUZBY	\N	\N
764176	2609	1996-08-31	VYDAJ	VYBER	15	61696	SLUZBY	\N	\N
764177	2609	1996-09-30	VYDAJ	VYBER	15	40253	SLUZBY	\N	\N
764178	2609	1996-10-31	VYDAJ	VYBER	15	30469	SLUZBY	\N	\N
764179	2609	1996-11-30	VYDAJ	VYBER	15	37276	SLUZBY	\N	\N
764180	2609	1996-12-31	VYDAJ	VYBER	15	74427	SLUZBY	\N	\N
764181	2609	1997-01-31	VYDAJ	VYBER	15	28899	SLUZBY	\N	\N
764182	2609	1997-02-28	VYDAJ	VYBER	15	25001	SLUZBY	\N	\N
764183	2609	1997-03-31	VYDAJ	VYBER	15	73359	SLUZBY	\N	\N
764184	2609	1997-04-30	VYDAJ	VYBER	15	40575	SLUZBY	\N	\N
764185	2609	1997-05-31	VYDAJ	VYBER	15	70599	SLUZBY	\N	\N
764186	2609	1997-06-30	VYDAJ	VYBER	15	27886	SLUZBY	\N	\N
764187	2609	1997-07-31	VYDAJ	VYBER	15	28785	SLUZBY	\N	\N
764188	2609	1997-08-31	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
764189	2609	1997-09-30	VYDAJ	VYBER	15	22877	SLUZBY	\N	\N
764190	2609	1997-10-31	VYDAJ	VYBER	15	20754	SLUZBY	\N	\N
764191	2609	1997-11-30	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
764192	2609	1997-12-31	VYDAJ	VYBER	15	27231	SLUZBY	\N	\N
764193	2609	1998-01-31	VYDAJ	VYBER	15	23725	SLUZBY	\N	\N
764194	2609	1998-02-28	VYDAJ	VYBER	15	103442	SLUZBY	\N	\N
764195	2609	1998-03-31	VYDAJ	VYBER	15	39558	SLUZBY	\N	\N
764196	2609	1998-04-30	VYDAJ	VYBER	15	30002	SLUZBY	\N	\N
764197	2609	1998-05-31	VYDAJ	VYBER	15	63388	SLUZBY	\N	\N
764198	2609	1998-06-30	VYDAJ	VYBER	15	75852	SLUZBY	\N	\N
764199	2609	1998-07-31	VYDAJ	VYBER	15	36368	SLUZBY	\N	\N
764200	2609	1998-08-31	VYDAJ	VYBER	15	19797	SLUZBY	\N	\N
764201	2609	1998-09-30	VYDAJ	VYBER	15	31160	SLUZBY	\N	\N
764202	2609	1998-10-31	VYDAJ	VYBER	15	41031	SLUZBY	\N	\N
764203	2609	1998-11-30	VYDAJ	VYBER	15	51971	SLUZBY	\N	\N
764204	2609	1993-06-02	PRIJEM	VKLAD	9900	10900	\N	\N	\N
764205	2609	1993-07-02	PRIJEM	VKLAD	8900	19800	\N	\N	\N
764206	2609	1993-08-01	VYDAJ	VYBER	29600	57627	\N	\N	\N
764207	2609	1993-08-14	VYDAJ	VYBER	53600	66542	\N	\N	\N
764208	2609	1993-08-31	VYDAJ	VYBER	22200	44775	\N	\N	\N
764209	2609	1993-09-05	VYDAJ	VYBER	48100	71152	\N	\N	\N
764210	2609	1993-09-18	VYDAJ	VYBER	59000	47388	\N	\N	\N
764211	2609	1993-09-28	VYDAJ	VYBER	62800	47819	\N	\N	\N
764212	2609	1993-09-30	VYDAJ	VYBER	29500	57302	\N	\N	\N
764213	2609	1993-10-21	VYDAJ	VYBER	39000	70274	\N	\N	\N
764214	2609	1993-10-30	VYDAJ	VYBER	22800	47474	\N	\N	\N
764215	2609	1993-11-29	VYDAJ	VYBER	29400	53034	\N	\N	\N
764216	2609	1993-12-12	VYDAJ	VYBER	35500	77066	\N	\N	\N
764217	2609	1993-12-12	VYDAJ	VYBER	37000	112566	\N	\N	\N
764218	2609	1993-12-15	VYDAJ	VYBER	58600	57493	\N	\N	\N
764219	2609	1993-12-29	VYDAJ	VYBER	19800	46457	\N	\N	\N
764220	2609	1994-01-28	VYDAJ	VYBER	100	28052	\N	\N	\N
764221	2609	1994-02-27	VYDAJ	VYBER	3100	30900	\N	\N	\N
764222	2609	1994-03-29	PRIJEM	VKLAD	3000	25626	\N	\N	\N
764223	2609	1994-04-28	VYDAJ	VYBER	2100	23639	\N	\N	\N
764224	2609	1994-05-28	VYDAJ	VYBER	1700	22031	\N	\N	\N
764225	2609	1994-06-27	VYDAJ	VYBER	4700	27627	\N	\N	\N
764226	2609	1994-07-27	VYDAJ	VYBER	800	26975	\N	\N	\N
764227	2609	1994-08-26	VYDAJ	VYBER	300	26776	\N	\N	\N
764228	2609	1994-09-25	VYDAJ	VYBER	3700	23174	\N	\N	\N
764229	2609	1994-10-25	PRIJEM	VKLAD	2700	25971	\N	\N	\N
764230	2609	1994-11-24	VYDAJ	VYBER	16900	38688	\N	\N	\N
764231	2609	1994-12-24	VYDAJ	VYBER	18100	40334	\N	\N	\N
764232	2609	1995-01-23	VYDAJ	VYBER	41100	60511	\N	\N	\N
764233	2609	1995-02-21	VYDAJ	VYBER	56300	47677	\N	\N	\N
764234	2609	1995-02-22	VYDAJ	VYBER	11000	36677	\N	\N	\N
764235	2609	1995-03-24	VYDAJ	VYBER	200	26909	\N	\N	\N
764236	2609	1995-04-23	VYDAJ	VYBER	19200	37444	\N	\N	\N
764237	2609	1995-05-23	VYDAJ	VYBER	9900	27648	\N	\N	\N
764238	2609	1995-06-17	VYDAJ	VYBER	47700	80087	\N	\N	\N
764239	2609	1995-06-22	VYDAJ	VYBER	39500	61328	\N	\N	\N
764240	2609	1995-07-22	VYDAJ	VYBER	19000	33873	\N	\N	\N
764241	2609	1995-08-13	VYDAJ	VYBER	40200	61313	\N	\N	\N
764242	2609	1995-08-21	VYDAJ	VYBER	31400	49512	\N	\N	\N
764243	2609	1995-09-20	VYDAJ	VYBER	39000	57304	\N	\N	\N
764244	2609	1995-10-20	VYDAJ	VYBER	7700	30688	\N	\N	\N
764245	2609	1995-11-19	VYDAJ	VYBER	31100	54368	\N	\N	\N
764246	2609	1995-11-29	VYDAJ	VYBER	44900	74386	\N	\N	\N
764247	2609	1995-12-19	VYDAJ	VYBER	36000	62316	\N	\N	\N
764248	2609	1996-01-18	VYDAJ	VYBER	30800	56937	\N	\N	\N
764249	2609	1996-02-17	VYDAJ	VYBER	10400	28429	\N	\N	\N
764250	2609	1996-03-18	VYDAJ	VYBER	2400	26173	\N	\N	\N
764251	2609	1996-04-17	VYDAJ	VYBER	19300	45301	\N	\N	\N
764252	2609	1996-05-17	VYDAJ	VYBER	6300	34216	\N	\N	\N
764253	2609	1996-06-16	VYDAJ	VYBER	16300	37191	\N	\N	\N
764254	2609	1996-07-16	VYDAJ	VYBER	7600	29794	\N	\N	\N
764255	2609	1996-08-15	VYDAJ	VYBER	33500	61453	\N	\N	\N
764256	2609	1996-09-14	VYDAJ	VYBER	60100	50706	\N	\N	\N
764257	2609	1996-09-14	VYDAJ	VYBER	10800	39906	\N	\N	\N
764258	2609	1996-10-14	VYDAJ	VYBER	7200	30342	\N	\N	\N
764259	2609	1996-11-13	VYDAJ	VYBER	2800	27669	\N	\N	\N
764260	2609	1996-12-13	VYDAJ	VYBER	6300	24376	\N	\N	\N
764261	2609	1997-01-12	VYDAJ	VYBER	15400	35927	\N	\N	\N
764262	2609	1997-02-11	VYDAJ	VYBER	4000	24899	\N	\N	\N
764263	2609	1997-03-13	VYDAJ	VYBER	7500	40273	\N	\N	\N
764264	2609	1997-04-12	VYDAJ	VYBER	25600	47759	\N	\N	\N
764265	2609	1997-05-12	VYDAJ	VYBER	8700	31875	\N	\N	\N
764266	2609	1997-06-11	VYDAJ	VYBER	20700	49899	\N	\N	\N
764267	2609	1997-07-11	PRIJEM	VKLAD	800	28686	\N	\N	\N
764268	2609	1997-08-10	VYDAJ	VYBER	2800	25985	\N	\N	\N
764269	2609	1997-09-09	VYDAJ	VYBER	3300	22786	\N	\N	\N
764270	2609	1997-10-09	VYDAJ	VYBER	2200	20677	\N	\N	\N
764271	2609	1997-11-08	VYDAJ	VYBER	14000	32608	\N	\N	\N
764272	2609	1997-12-08	VYDAJ	VYBER	5600	27114	\N	\N	\N
764273	2609	1998-01-07	VYDAJ	VYBER	3600	23631	\N	\N	\N
764274	2609	1998-02-06	VYDAJ	VYBER	15900	30189	\N	\N	\N
764275	2609	1998-03-08	VYDAJ	VYBER	43100	60342	\N	\N	\N
764276	2609	1998-04-07	VYDAJ	VYBER	9700	29858	\N	\N	\N
764277	2609	1998-05-07	VYDAJ	VYBER	8500	21502	\N	\N	\N
764278	2609	1998-06-06	VYDAJ	VYBER	25100	38288	\N	\N	\N
764279	2609	1998-07-06	VYDAJ	VYBER	49000	51395	\N	\N	\N
764280	2609	1998-08-05	VYDAJ	VYBER	16700	19668	\N	\N	\N
764281	2609	1998-11-03	VYDAJ	VYBER	19500	21531	\N	\N	\N
764282	2609	1998-12-03	VYDAJ	VYBER	27500	24471	\N	\N	\N
764349	2610	1996-12-20	PRIJEM	VKLAD	300	300	\N	\N	\N
764362	2610	1997-01-11	PRIJEM	PREVOD Z UCTU	6858	7158	DUCHOD	EF	34960967
764363	2610	1997-02-11	PRIJEM	PREVOD Z UCTU	6858	14016	DUCHOD	EF	34960967
764364	2610	1997-03-11	PRIJEM	PREVOD Z UCTU	6858	20874	DUCHOD	EF	34960967
764365	2610	1997-04-11	PRIJEM	PREVOD Z UCTU	6858	27732	DUCHOD	EF	34960967
764366	2610	1997-05-11	PRIJEM	PREVOD Z UCTU	6858	30329	DUCHOD	EF	34960967
764367	2610	1997-06-11	PRIJEM	PREVOD Z UCTU	6858	26147	DUCHOD	EF	34960967
764368	2610	1997-07-11	PRIJEM	PREVOD Z UCTU	6858	31245	DUCHOD	EF	34960967
764369	2610	1997-08-11	PRIJEM	PREVOD Z UCTU	6858	31050	DUCHOD	EF	34960967
764370	2610	1997-09-11	PRIJEM	PREVOD Z UCTU	6858	28009	DUCHOD	EF	34960967
764371	2610	1997-10-11	PRIJEM	PREVOD Z UCTU	6858	31507	DUCHOD	EF	34960967
764372	2610	1997-11-11	PRIJEM	PREVOD Z UCTU	6858	25326	DUCHOD	EF	34960967
764373	2610	1997-12-11	PRIJEM	PREVOD Z UCTU	6858	28222	DUCHOD	EF	34960967
764374	2610	1998-01-11	PRIJEM	PREVOD Z UCTU	6858	24811	DUCHOD	EF	34960967
764375	2610	1998-02-11	PRIJEM	PREVOD Z UCTU	6858	22859	DUCHOD	EF	34960967
764376	2610	1998-03-11	PRIJEM	PREVOD Z UCTU	6858	26235	DUCHOD	EF	34960967
764377	2610	1998-04-11	PRIJEM	PREVOD Z UCTU	6858	28122	DUCHOD	EF	34960967
764378	2610	1998-05-11	PRIJEM	PREVOD Z UCTU	6858	22673	DUCHOD	EF	34960967
764379	2610	1998-06-11	PRIJEM	PREVOD Z UCTU	6858	27279	DUCHOD	EF	34960967
764380	2610	1998-07-11	PRIJEM	PREVOD Z UCTU	6858	32377	DUCHOD	EF	34960967
764381	2610	1998-08-11	PRIJEM	PREVOD Z UCTU	6858	33688	DUCHOD	EF	34960967
764382	2610	1998-09-11	PRIJEM	PREVOD Z UCTU	6858	38414	DUCHOD	EF	34960967
764383	2610	1998-10-11	PRIJEM	PREVOD Z UCTU	6858	42679	DUCHOD	EF	34960967
764384	2610	1998-11-11	PRIJEM	PREVOD Z UCTU	6858	42530	DUCHOD	EF	34960967
764385	2610	1998-12-11	PRIJEM	PREVOD Z UCTU	6858	45892	DUCHOD	EF	34960967
764402	2610	1997-05-14	VYDAJ	PREVOD NA UCET	1842	28487	SIPO	QR	8855772
764403	2610	1997-06-14	VYDAJ	PREVOD NA UCET	1842	24305	SIPO	QR	8855772
764404	2610	1997-07-14	VYDAJ	PREVOD NA UCET	1842	29403	SIPO	QR	8855772
764405	2610	1997-08-14	VYDAJ	PREVOD NA UCET	1842	29208	SIPO	QR	8855772
764406	2610	1997-09-14	VYDAJ	PREVOD NA UCET	1842	26167	SIPO	QR	8855772
764407	2610	1997-10-14	VYDAJ	PREVOD NA UCET	1842	29665	SIPO	QR	8855772
764408	2610	1997-11-14	VYDAJ	PREVOD NA UCET	1842	23484	SIPO	QR	8855772
764409	2610	1997-12-14	VYDAJ	PREVOD NA UCET	1842	26380	SIPO	QR	8855772
764410	2610	1998-01-14	VYDAJ	PREVOD NA UCET	1842	22969	SIPO	QR	8855772
764411	2610	1998-02-14	VYDAJ	PREVOD NA UCET	1842	19317	SIPO	QR	8855772
764412	2610	1998-03-14	VYDAJ	PREVOD NA UCET	1842	24393	SIPO	QR	8855772
764413	2610	1998-04-14	VYDAJ	PREVOD NA UCET	1842	26280	SIPO	QR	8855772
764414	2610	1998-05-14	VYDAJ	PREVOD NA UCET	1842	20831	SIPO	QR	8855772
764415	2610	1998-06-14	VYDAJ	PREVOD NA UCET	1842	25437	SIPO	QR	8855772
764416	2610	1998-07-14	VYDAJ	PREVOD NA UCET	1842	26735	SIPO	QR	8855772
764417	2610	1998-08-14	VYDAJ	PREVOD NA UCET	1842	31446	SIPO	QR	8855772
764418	2610	1998-09-14	VYDAJ	PREVOD NA UCET	1842	36572	SIPO	QR	8855772
764419	2610	1998-10-14	VYDAJ	PREVOD NA UCET	1842	35537	SIPO	QR	8855772
764420	2610	1998-11-14	VYDAJ	PREVOD NA UCET	1842	40688	SIPO	QR	8855772
764421	2610	1998-12-14	VYDAJ	PREVOD NA UCET	1842	44050	SIPO	QR	8855772
764423	2610	1997-12-09	VYDAJ	VYBER	1400	21364	\N	\N	\N
764424	2610	1998-12-18	VYDAJ	VYBER	1450	42600	\N	\N	\N
764433	2610	1997-08-20	VYDAJ	VYBER	2240	21068	\N	\N	\N
764434	2610	1997-11-05	VYDAJ	VYBER	3280	18468	\N	\N	\N
764435	2610	1997-06-08	VYDAJ	VYBER	1440	19289	\N	\N	\N
764437	2610	1997-05-19	VYDAJ	VYBER	3040	25447	\N	\N	\N
764438	2610	1997-12-23	VYDAJ	VYBER	1600	17880	\N	\N	\N
764440	2610	1998-04-30	VYDAJ	VYBER	2400	19670	\N	\N	\N
764441	2610	1998-01-31	VYDAJ	VYBER	3040	16015	\N	\N	\N
764442	2610	1998-05-17	VYDAJ	VYBER	480	20351	\N	\N	\N
764443	2610	1998-05-03	VYDAJ	VYBER	3840	15815	\N	\N	\N
764444	2610	1998-10-01	VYDAJ	VYBER	880	35821	\N	\N	\N
764462	2610	1997-05-31	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
764463	2610	1997-06-30	VYDAJ	VYBER	15	24387	SLUZBY	\N	\N
764464	2610	1997-07-31	VYDAJ	VYBER	15	24192	SLUZBY	\N	\N
764465	2610	1997-08-31	VYDAJ	VYBER	15	21151	SLUZBY	\N	\N
764466	2610	1997-09-30	VYDAJ	VYBER	15	24649	SLUZBY	\N	\N
764467	2610	1997-10-31	VYDAJ	VYBER	15	21748	SLUZBY	\N	\N
764468	2610	1997-11-30	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
764469	2610	1997-12-31	VYDAJ	VYBER	15	17953	SLUZBY	\N	\N
764470	2610	1998-01-31	VYDAJ	VYBER	15	16001	SLUZBY	\N	\N
764471	2610	1998-02-28	VYDAJ	VYBER	15	19377	SLUZBY	\N	\N
764472	2610	1998-03-31	VYDAJ	VYBER	15	21264	SLUZBY	\N	\N
764473	2610	1998-04-30	VYDAJ	VYBER	15	19655	SLUZBY	\N	\N
764474	2610	1998-05-31	VYDAJ	VYBER	15	20421	SLUZBY	\N	\N
764475	2610	1998-06-30	VYDAJ	VYBER	15	25519	SLUZBY	\N	\N
764476	2610	1998-07-31	VYDAJ	VYBER	15	26830	SLUZBY	\N	\N
764477	2610	1998-08-31	VYDAJ	VYBER	15	31556	SLUZBY	\N	\N
764478	2610	1998-09-30	VYDAJ	VYBER	15	36701	SLUZBY	\N	\N
764479	2610	1998-10-31	VYDAJ	VYBER	15	35672	SLUZBY	\N	\N
764480	2610	1998-11-30	VYDAJ	VYBER	15	40834	SLUZBY	\N	\N
764481	2610	1997-04-19	VYDAJ	VYBER	4300	23432	\N	\N	\N
764482	2610	1997-05-19	VYDAJ	VYBER	4800	20647	\N	\N	\N
764483	2610	1997-07-18	VYDAJ	VYBER	5300	24103	\N	\N	\N
764484	2610	1997-08-17	VYDAJ	VYBER	5900	23308	\N	\N	\N
764485	2610	1997-09-16	VYDAJ	VYBER	1600	24567	\N	\N	\N
764486	2610	1997-10-16	VYDAJ	VYBER	8000	21665	\N	\N	\N
764487	2610	1997-11-15	VYDAJ	VYBER	800	22684	\N	\N	\N
764488	2610	1997-12-15	VYDAJ	VYBER	6900	19480	\N	\N	\N
764489	2610	1998-01-14	VYDAJ	VYBER	4000	18969	\N	\N	\N
764490	2610	1998-02-13	VYDAJ	VYBER	1700	21159	\N	\N	\N
764491	2610	1998-03-15	VYDAJ	VYBER	3200	21193	\N	\N	\N
764492	2610	1998-04-14	VYDAJ	VYBER	4300	21980	\N	\N	\N
764493	2610	1998-07-13	VYDAJ	VYBER	3800	28577	\N	\N	\N
764494	2610	1998-08-12	VYDAJ	VYBER	400	33288	\N	\N	\N
764495	2610	1998-10-11	VYDAJ	VYBER	5300	37379	\N	\N	\N
764496	2610	1998-12-10	VYDAJ	VYBER	1800	39034	\N	\N	\N
764518	2611	1996-03-06	PRIJEM	VKLAD	300	300	\N	\N	\N
764521	2611	1996-03-10	PRIJEM	VKLAD	15543	15843	\N	\N	\N
764522	2611	1996-04-10	PRIJEM	VKLAD	15543	35633	\N	\N	\N
764523	2611	1996-05-10	PRIJEM	VKLAD	15543	45000	\N	\N	\N
764524	2611	1996-06-10	PRIJEM	VKLAD	23314	60390	\N	\N	\N
764525	2611	1996-07-10	PRIJEM	VKLAD	15543	60465	\N	\N	\N
764526	2611	1996-08-10	PRIJEM	VKLAD	15543	58441	\N	\N	\N
764527	2611	1996-09-10	PRIJEM	VKLAD	15543	64198	\N	\N	\N
764528	2611	1996-10-10	PRIJEM	VKLAD	15543	66987	\N	\N	\N
764529	2611	1996-11-10	PRIJEM	VKLAD	15543	65791	\N	\N	\N
764530	2611	1996-12-10	PRIJEM	VKLAD	23314	70767	\N	\N	\N
764531	2611	1997-01-10	PRIJEM	VKLAD	15543	69680	\N	\N	\N
764532	2611	1997-02-10	PRIJEM	VKLAD	15543	72535	\N	\N	\N
764533	2611	1997-03-10	PRIJEM	VKLAD	15543	69503	\N	\N	\N
764534	2611	1997-04-10	PRIJEM	VKLAD	15543	69724	\N	\N	\N
764535	2611	1997-05-10	PRIJEM	VKLAD	15543	71241	\N	\N	\N
764536	2611	1997-06-10	PRIJEM	VKLAD	23314	81573	\N	\N	\N
764537	2611	1997-07-10	PRIJEM	VKLAD	15543	72444	\N	\N	\N
764538	2611	1997-08-10	PRIJEM	VKLAD	15543	76454	\N	\N	\N
764539	2611	1997-09-10	PRIJEM	VKLAD	15543	75076	\N	\N	\N
764540	2611	1997-10-10	PRIJEM	VKLAD	15543	80795	\N	\N	\N
764541	2611	1997-11-10	PRIJEM	VKLAD	15543	79799	\N	\N	\N
764542	2611	1997-12-10	PRIJEM	VKLAD	23314	88767	\N	\N	\N
764543	2611	1998-01-10	PRIJEM	VKLAD	15543	82022	\N	\N	\N
764544	2611	1998-02-10	PRIJEM	VKLAD	15543	85530	\N	\N	\N
764545	2611	1998-03-10	PRIJEM	VKLAD	15543	89952	\N	\N	\N
764546	2611	1998-04-10	PRIJEM	VKLAD	15543	91390	\N	\N	\N
764547	2611	1998-05-10	PRIJEM	VKLAD	15543	93835	\N	\N	\N
764548	2611	1998-06-10	PRIJEM	VKLAD	23314	97655	\N	\N	\N
764549	2611	1998-07-10	PRIJEM	VKLAD	15543	88790	\N	\N	\N
764550	2611	1998-08-10	PRIJEM	VKLAD	15543	85818	\N	\N	\N
764551	2611	1998-09-10	PRIJEM	VKLAD	15543	87239	\N	\N	\N
764552	2611	1998-10-10	PRIJEM	VKLAD	15543	82062	\N	\N	\N
764553	2611	1998-11-10	PRIJEM	VKLAD	15543	84078	\N	\N	\N
764554	2611	1998-12-10	PRIJEM	VKLAD	23314	88557	\N	\N	\N
764555	2611	1996-12-25	VYDAJ	VYBER	2100	68667	\N	\N	\N
764556	2611	1997-12-06	VYDAJ	VYBER KARTOU	2500	65453	\N	\N	0
764557	2611	1998-12-23	VYDAJ	VYBER KARTOU	2500	67457	\N	\N	0
764560	2611	1996-07-19	VYDAJ	VYBER	2700	57765	\N	\N	\N
764561	2611	1996-08-01	VYDAJ	VYBER	700	57298	\N	\N	\N
764562	2611	1997-07-04	VYDAJ	VYBER	3200	56901	\N	\N	\N
764563	2611	1997-08-08	VYDAJ	VYBER	1200	60911	\N	\N	\N
764564	2611	1997-12-30	VYDAJ	VYBER KARTOU	2600	66167	\N	\N	0
764565	2611	1997-10-24	VYDAJ	VYBER	4200	76595	\N	\N	\N
764566	2611	1997-09-07	VYDAJ	VYBER KARTOU	3400	59533	\N	\N	0
764567	2611	1998-12-05	VYDAJ	VYBER KARTOU	1200	65243	\N	\N	0
764568	2611	1998-10-17	VYDAJ	VYBER KARTOU	1100	80962	\N	\N	0
764569	2611	1998-09-19	VYDAJ	VYBER	4700	82539	\N	\N	\N
764577	2611	1996-07-31	VYDAJ	VYBER	15	57998	SLUZBY	\N	\N
764578	2611	1996-08-31	VYDAJ	VYBER	15	58655	SLUZBY	\N	\N
764579	2611	1996-09-30	VYDAJ	VYBER	15	64444	SLUZBY	\N	\N
764580	2611	1996-10-31	VYDAJ	VYBER	15	67248	SLUZBY	\N	\N
764581	2611	1996-11-30	VYDAJ	VYBER	15	66053	SLUZBY	\N	\N
764582	2611	1996-12-31	VYDAJ	VYBER	15	68937	SLUZBY	\N	\N
764583	2611	1997-01-31	VYDAJ	VYBER	15	56992	SLUZBY	\N	\N
764584	2611	1997-02-28	VYDAJ	VYBER	15	72760	SLUZBY	\N	\N
764585	2611	1997-03-31	VYDAJ	VYBER	15	69781	SLUZBY	\N	\N
764586	2611	1997-04-30	VYDAJ	VYBER	15	55698	SLUZBY	\N	\N
764587	2611	1997-05-31	VYDAJ	VYBER	15	58259	SLUZBY	\N	\N
764588	2611	1997-06-30	VYDAJ	VYBER	15	60101	SLUZBY	\N	\N
764589	2611	1997-07-31	VYDAJ	VYBER	15	62111	SLUZBY	\N	\N
764590	2611	1997-08-31	VYDAJ	VYBER	15	62933	SLUZBY	\N	\N
764591	2611	1997-09-30	VYDAJ	VYBER	15	65252	SLUZBY	\N	\N
764592	2611	1997-10-31	VYDAJ	VYBER	15	64256	SLUZBY	\N	\N
764593	2611	1997-11-30	VYDAJ	VYBER	15	67953	SLUZBY	\N	\N
764594	2611	1997-12-31	VYDAJ	VYBER	15	66479	SLUZBY	\N	\N
764595	2611	1998-01-31	VYDAJ	VYBER	15	69987	SLUZBY	\N	\N
764596	2611	1998-02-28	VYDAJ	VYBER	15	74409	SLUZBY	\N	\N
764597	2611	1998-03-31	VYDAJ	VYBER	15	75847	SLUZBY	\N	\N
764598	2611	1998-04-30	VYDAJ	VYBER	15	78292	SLUZBY	\N	\N
764599	2611	1998-05-31	VYDAJ	VYBER	15	74341	SLUZBY	\N	\N
764600	2611	1998-06-30	VYDAJ	VYBER	15	73247	SLUZBY	\N	\N
764601	2611	1998-07-31	VYDAJ	VYBER	15	70275	SLUZBY	\N	\N
764602	2611	1998-08-31	VYDAJ	VYBER	15	71696	SLUZBY	\N	\N
764603	2611	1998-09-30	VYDAJ	VYBER	15	66519	SLUZBY	\N	\N
764604	2611	1998-10-31	VYDAJ	VYBER	15	68535	SLUZBY	\N	\N
764605	2611	1998-11-30	VYDAJ	VYBER	15	66443	SLUZBY	\N	\N
764606	2611	1996-04-05	PRIJEM	VKLAD	4200	20090	\N	\N	\N
764607	2611	1996-05-05	VYDAJ	VYBER	6300	29457	\N	\N	\N
764608	2611	1996-06-04	VYDAJ	VYBER	8100	37076	\N	\N	\N
764609	2611	1996-07-04	VYDAJ	VYBER	15700	44922	\N	\N	\N
764610	2611	1996-08-03	VYDAJ	VYBER	14400	42898	\N	\N	\N
764611	2611	1996-09-02	VYDAJ	VYBER	10000	48655	\N	\N	\N
764612	2611	1996-10-02	VYDAJ	VYBER	13000	51444	\N	\N	\N
764613	2611	1996-11-01	VYDAJ	VYBER	17000	50248	\N	\N	\N
764614	2611	1996-12-01	VYDAJ	VYBER	18600	47453	\N	\N	\N
764615	2611	1996-12-31	VYDAJ	VYBER	14800	54137	\N	\N	\N
764616	2611	1997-01-30	VYDAJ	VYBER	12900	56780	\N	\N	\N
764617	2611	1997-03-01	VYDAJ	VYBER	18800	53960	\N	\N	\N
764618	2611	1997-03-31	VYDAJ	VYBER	15600	54181	\N	\N	\N
764619	2611	1997-04-30	VYDAJ	VYBER	14300	55713	\N	\N	\N
764620	2611	1997-05-30	VYDAJ	VYBER	13200	58041	\N	\N	\N
764621	2611	1997-06-29	VYDAJ	VYBER	21700	59873	\N	\N	\N
764622	2611	1997-07-29	VYDAJ	VYBER	10600	61844	\N	\N	\N
764623	2611	1997-08-28	VYDAJ	VYBER	13800	62654	\N	\N	\N
764624	2611	1997-09-27	VYDAJ	VYBER	10100	64976	\N	\N	\N
764625	2611	1997-10-27	VYDAJ	VYBER	12600	63995	\N	\N	\N
764626	2611	1997-11-26	VYDAJ	VYBER	12100	67699	\N	\N	\N
764627	2611	1997-12-26	VYDAJ	VYBER	20000	68767	\N	\N	\N
764628	2611	1998-01-25	VYDAJ	VYBER	12300	69722	\N	\N	\N
764629	2611	1998-02-24	VYDAJ	VYBER	11400	74130	\N	\N	\N
764630	2611	1998-03-26	VYDAJ	VYBER	14400	75552	\N	\N	\N
764631	2611	1998-04-25	VYDAJ	VYBER	13400	77990	\N	\N	\N
764632	2611	1998-05-25	VYDAJ	VYBER	19800	74035	\N	\N	\N
764633	2611	1998-06-24	VYDAJ	VYBER	24700	72955	\N	\N	\N
764634	2611	1998-07-24	VYDAJ	VYBER	18800	69990	\N	\N	\N
764635	2611	1998-08-23	VYDAJ	VYBER	14400	71418	\N	\N	\N
764636	2611	1998-09-22	VYDAJ	VYBER	16300	66239	\N	\N	\N
764637	2611	1998-10-22	VYDAJ	VYBER	12700	68262	\N	\N	\N
764638	2611	1998-11-21	VYDAJ	VYBER	17900	66178	\N	\N	\N
764639	2611	1998-12-21	VYDAJ	VYBER	18600	69957	\N	\N	\N
764674	2612	1997-04-29	PRIJEM	VKLAD	300	300	\N	\N	\N
764679	2612	1997-05-05	PRIJEM	PREVOD Z UCTU	22595	22895	\N	AB	41621381
764680	2612	1997-06-05	PRIJEM	PREVOD Z UCTU	33892	56496	\N	AB	41621381
764681	2612	1997-07-05	PRIJEM	PREVOD Z UCTU	22595	64193	\N	AB	41621381
764682	2612	1997-08-05	PRIJEM	PREVOD Z UCTU	22595	66562	\N	AB	41621381
764683	2612	1997-09-05	PRIJEM	PREVOD Z UCTU	22595	67540	\N	AB	41621381
764684	2612	1997-10-05	PRIJEM	PREVOD Z UCTU	22595	60226	\N	AB	41621381
764685	2612	1997-11-05	PRIJEM	PREVOD Z UCTU	22595	64829	\N	AB	41621381
764686	2612	1997-12-05	PRIJEM	PREVOD Z UCTU	33892	67875	\N	AB	41621381
764687	2612	1998-01-05	PRIJEM	PREVOD Z UCTU	22595	47059	\N	AB	41621381
764688	2612	1998-02-05	PRIJEM	PREVOD Z UCTU	22595	43945	\N	AB	41621381
764689	2612	1998-03-05	PRIJEM	PREVOD Z UCTU	22595	51221	\N	AB	41621381
764690	2612	1998-04-05	PRIJEM	PREVOD Z UCTU	22595	55525	\N	AB	41621381
764691	2612	1998-05-05	PRIJEM	PREVOD Z UCTU	22595	60347	\N	AB	41621381
764692	2612	1998-06-05	PRIJEM	PREVOD Z UCTU	33892	73683	\N	AB	41621381
764693	2612	1998-07-05	PRIJEM	PREVOD Z UCTU	22595	48106	\N	AB	41621381
764694	2612	1998-08-05	PRIJEM	PREVOD Z UCTU	22595	60307	\N	AB	41621381
764695	2612	1998-09-05	PRIJEM	PREVOD Z UCTU	22595	58168	\N	AB	41621381
764696	2612	1998-10-05	PRIJEM	PREVOD Z UCTU	22595	55402	\N	AB	41621381
764697	2612	1998-11-05	PRIJEM	PREVOD Z UCTU	22595	65834	\N	AB	41621381
764698	2612	1998-12-05	PRIJEM	PREVOD Z UCTU	33892	65996	\N	AB	41621381
764723	2612	1997-12-08	VYBER	VYBER	19842	48033	\N	\N	\N
764729	2612	1997-11-18	VYBER	VYBER	20400	44429	\N	\N	\N
764730	2612	1997-09-23	VYBER	VYBER	19278	48262	\N	\N	\N
764731	2612	1997-10-20	VYBER	VYBER	7550	52676	\N	\N	\N
764734	2612	1998-12-04	VYBER	VYBER	10409	32104	\N	\N	\N
764736	2612	1998-06-13	VYDAJ	VYBER	33900	39783	\N	\N	\N
764739	2612	1997-12-12	VYDAJ	VYBER	8700	39333	\N	\N	\N
764740	2612	1998-12-24	VYDAJ	VYBER	8100	38096	\N	\N	\N
764747	2612	1998-01-16	VYDAJ	VYBER	6300	21859	\N	\N	\N
764749	2612	1998-01-09	VYDAJ	VYBER	3300	43759	\N	\N	\N
764750	2612	1998-01-29	VYDAJ	VYBER	1800	21259	\N	\N	\N
764751	2612	1998-01-11	VYDAJ	VYBER	8400	35359	\N	\N	\N
764752	2612	1998-01-13	VYDAJ	VYBER	7200	28159	\N	\N	\N
764754	2612	1997-11-20	VYDAJ	VYBER	3600	40829	\N	\N	\N
764755	2612	1997-12-23	VYDAJ	VYBER	14400	24933	\N	\N	\N
764756	2612	1998-08-23	VYDAJ	VYBER	1800	39307	\N	\N	\N
764757	2612	1998-09-28	VYDAJ	VYBER	10500	32668	\N	\N	\N
764759	2612	1998-08-30	VYDAJ	VYBER	3900	35407	\N	\N	\N
764760	2612	1998-11-13	VYDAJ	VYBER	7800	58034	\N	\N	\N
764761	2612	1998-08-13	VYDAJ	VYBER	4500	55807	\N	\N	\N
764762	2612	1998-06-19	VYDAJ	VYBER	13200	26583	\N	\N	\N
764772	2612	1997-09-30	VYDAJ	VYBER	15	37631	SLUZBY	\N	\N
764773	2612	1997-10-31	VYDAJ	VYBER	15	42234	SLUZBY	\N	\N
764774	2612	1997-11-30	VYDAJ	VYBER	15	33983	SLUZBY	\N	\N
764775	2612	1997-12-31	VYDAJ	VYBER	15	24464	SLUZBY	\N	\N
764776	2612	1998-01-31	VYDAJ	VYBER	15	21350	SLUZBY	\N	\N
764777	2612	1998-02-28	VYDAJ	VYBER	15	28626	SLUZBY	\N	\N
764778	2612	1998-03-31	VYDAJ	VYBER	15	32930	SLUZBY	\N	\N
764779	2612	1998-04-30	VYDAJ	VYBER	15	37752	SLUZBY	\N	\N
764780	2612	1998-05-31	VYDAJ	VYBER	15	39791	SLUZBY	\N	\N
764781	2612	1998-06-30	VYDAJ	VYBER	15	25511	SLUZBY	\N	\N
764782	2612	1998-07-31	VYDAJ	VYBER	15	37712	SLUZBY	\N	\N
764783	2612	1998-08-31	VYDAJ	VYBER	15	35573	SLUZBY	\N	\N
764784	2612	1998-09-30	VYDAJ	VYBER	15	32807	SLUZBY	\N	\N
764785	2612	1998-10-31	VYDAJ	VYBER	15	43239	SLUZBY	\N	\N
764786	2612	1998-11-30	VYDAJ	VYBER	15	42513	SLUZBY	\N	\N
764787	2612	1997-05-29	VYDAJ	VYBER	300	22595	\N	\N	\N
764788	2612	1997-06-28	VYDAJ	VYBER	15000	41496	\N	\N	\N
764789	2612	1997-07-28	VYDAJ	VYBER	20400	43793	\N	\N	\N
764790	2612	1997-08-27	VYDAJ	VYBER	21800	44762	\N	\N	\N
764791	2612	1997-09-26	VYDAJ	VYBER	10800	37462	\N	\N	\N
764792	2612	1997-10-26	VYDAJ	VYBER	10600	42076	\N	\N	\N
764793	2612	1997-11-25	VYDAJ	VYBER	7000	33829	\N	\N	\N
764794	2612	1997-12-25	VYDAJ	VYBER	600	24333	\N	\N	\N
764795	2612	1998-01-24	PRIJEM	VKLAD	1200	23059	\N	\N	\N
764796	2612	1998-02-23	VYDAJ	VYBER	15400	28545	\N	\N	\N
764797	2612	1998-03-25	VYDAJ	VYBER	18400	32821	\N	\N	\N
764798	2612	1998-04-24	VYDAJ	VYBER	17900	37625	\N	\N	\N
764799	2612	1998-05-24	VYDAJ	VYBER	20700	39647	\N	\N	\N
764800	2612	1998-06-23	VYDAJ	VYBER	1200	25383	\N	\N	\N
764801	2612	1998-07-23	VYDAJ	VYBER	10500	37606	\N	\N	\N
764802	2612	1998-08-22	VYDAJ	VYBER	14700	41107	\N	\N	\N
764803	2612	1998-09-21	VYDAJ	VYBER	15000	43168	\N	\N	\N
764804	2612	1998-10-21	VYDAJ	VYBER	12300	43102	\N	\N	\N
764805	2612	1998-11-20	VYDAJ	VYBER	15700	42334	\N	\N	\N
764806	2612	1998-12-20	VYDAJ	VYBER	19800	46196	\N	\N	\N
764827	2613	1993-10-03	PRIJEM	VKLAD	300	300	\N	\N	\N
764837	2613	1993-10-10	PRIJEM	PREVOD Z UCTU	4985	5285	DUCHOD	AB	88827883
764838	2613	1993-11-10	PRIJEM	PREVOD Z UCTU	4985	10286	DUCHOD	AB	88827883
764839	2613	1993-12-10	PRIJEM	PREVOD Z UCTU	4985	15293	DUCHOD	AB	88827883
764840	2613	1994-01-10	PRIJEM	PREVOD Z UCTU	4985	20300	DUCHOD	AB	88827883
764841	2613	1994-02-10	PRIJEM	PREVOD Z UCTU	4985	25307	DUCHOD	AB	88827883
764842	2613	1994-03-10	PRIJEM	PREVOD Z UCTU	4985	27244	DUCHOD	AB	88827883
764843	2613	1994-04-10	PRIJEM	PREVOD Z UCTU	4985	27322	DUCHOD	AB	88827883
764844	2613	1994-05-10	PRIJEM	PREVOD Z UCTU	4985	27804	DUCHOD	AB	88827883
764845	2613	1994-06-10	PRIJEM	PREVOD Z UCTU	4985	25509	DUCHOD	AB	88827883
764846	2613	1994-07-10	PRIJEM	PREVOD Z UCTU	4985	14852	DUCHOD	AB	88827883
764847	2613	1994-08-10	PRIJEM	PREVOD Z UCTU	4985	16773	DUCHOD	AB	88827883
764848	2613	1994-09-10	PRIJEM	PREVOD Z UCTU	4985	18704	DUCHOD	AB	88827883
764849	2613	1994-10-10	PRIJEM	PREVOD Z UCTU	4985	20643	DUCHOD	AB	88827883
764850	2613	1994-11-10	PRIJEM	PREVOD Z UCTU	4985	22591	DUCHOD	AB	88827883
764851	2613	1994-12-10	PRIJEM	PREVOD Z UCTU	4985	24544	DUCHOD	AB	88827883
764852	2613	1995-01-10	PRIJEM	PREVOD Z UCTU	4985	18307	DUCHOD	AB	88827883
764853	2613	1995-02-10	PRIJEM	PREVOD Z UCTU	4985	18643	DUCHOD	AB	88827883
764854	2613	1995-03-10	PRIJEM	PREVOD Z UCTU	4985	18979	DUCHOD	AB	88827883
764855	2613	1995-04-10	PRIJEM	PREVOD Z UCTU	4985	19159	DUCHOD	AB	88827883
764856	2613	1995-05-10	PRIJEM	PREVOD Z UCTU	4985	18938	DUCHOD	AB	88827883
764857	2613	1995-06-10	PRIJEM	PREVOD Z UCTU	4985	19353	DUCHOD	AB	88827883
764858	2613	1995-07-10	PRIJEM	PREVOD Z UCTU	4985	21297	DUCHOD	AB	88827883
764859	2613	1995-08-10	PRIJEM	PREVOD Z UCTU	4985	23249	DUCHOD	AB	88827883
764860	2613	1995-09-10	PRIJEM	PREVOD Z UCTU	4985	23904	DUCHOD	AB	88827883
764861	2613	1995-10-10	PRIJEM	PREVOD Z UCTU	4985	25862	DUCHOD	AB	88827883
764862	2613	1995-11-10	PRIJEM	PREVOD Z UCTU	4985	27828	DUCHOD	AB	88827883
764863	2613	1995-12-10	PRIJEM	PREVOD Z UCTU	4985	27501	DUCHOD	AB	88827883
764864	2613	1996-01-10	PRIJEM	PREVOD Z UCTU	4985	27485	DUCHOD	AB	88827883
764865	2613	1996-02-10	PRIJEM	PREVOD Z UCTU	4985	22491	DUCHOD	AB	88827883
764866	2613	1996-03-10	PRIJEM	PREVOD Z UCTU	4985	24448	DUCHOD	AB	88827883
764867	2613	1996-04-10	PRIJEM	PREVOD Z UCTU	4985	26410	DUCHOD	AB	88827883
764868	2613	1996-05-10	PRIJEM	PREVOD Z UCTU	4985	28381	DUCHOD	AB	88827883
764869	2613	1996-06-10	PRIJEM	PREVOD Z UCTU	4985	28708	DUCHOD	AB	88827883
764870	2613	1996-07-10	PRIJEM	PREVOD Z UCTU	4985	30590	DUCHOD	AB	88827883
764871	2613	1996-08-10	PRIJEM	PREVOD Z UCTU	4985	32581	DUCHOD	AB	88827883
764872	2613	1996-09-10	PRIJEM	PREVOD Z UCTU	4985	32892	DUCHOD	AB	88827883
764873	2613	1996-10-10	PRIJEM	PREVOD Z UCTU	4985	34892	DUCHOD	AB	88827883
764874	2613	1996-11-10	PRIJEM	PREVOD Z UCTU	4985	36898	DUCHOD	AB	88827883
764875	2613	1996-12-10	PRIJEM	PREVOD Z UCTU	4985	32817	DUCHOD	AB	88827883
764876	2613	1997-01-10	PRIJEM	PREVOD Z UCTU	4985	33111	DUCHOD	AB	88827883
764877	2613	1997-02-10	PRIJEM	PREVOD Z UCTU	4985	26856	DUCHOD	AB	88827883
764878	2613	1997-03-10	PRIJEM	PREVOD Z UCTU	4985	27426	DUCHOD	AB	88827883
764879	2613	1997-04-10	PRIJEM	PREVOD Z UCTU	4985	29403	DUCHOD	AB	88827883
764880	2613	1997-05-10	PRIJEM	PREVOD Z UCTU	4985	30982	DUCHOD	AB	88827883
764881	2613	1997-06-10	PRIJEM	PREVOD Z UCTU	4985	27357	DUCHOD	AB	88827883
764882	2613	1997-07-10	PRIJEM	PREVOD Z UCTU	4985	23699	DUCHOD	AB	88827883
764883	2613	1997-08-10	PRIJEM	PREVOD Z UCTU	4985	24355	DUCHOD	AB	88827883
764884	2613	1997-09-10	PRIJEM	PREVOD Z UCTU	4985	24215	DUCHOD	AB	88827883
764885	2613	1997-10-10	PRIJEM	PREVOD Z UCTU	4985	26173	DUCHOD	AB	88827883
764886	2613	1997-11-10	PRIJEM	PREVOD Z UCTU	4985	27943	DUCHOD	AB	88827883
764887	2613	1997-12-10	PRIJEM	PREVOD Z UCTU	4985	26609	DUCHOD	AB	88827883
764888	2613	1998-01-10	PRIJEM	PREVOD Z UCTU	4985	20507	DUCHOD	AB	88827883
764889	2613	1998-02-10	PRIJEM	PREVOD Z UCTU	4985	16037	DUCHOD	AB	88827883
764890	2613	1998-03-10	PRIJEM	PREVOD Z UCTU	4985	17965	DUCHOD	AB	88827883
764891	2613	1998-04-10	PRIJEM	PREVOD Z UCTU	4985	19902	DUCHOD	AB	88827883
764892	2613	1998-05-10	PRIJEM	PREVOD Z UCTU	4985	18337	DUCHOD	AB	88827883
764893	2613	1998-06-10	PRIJEM	PREVOD Z UCTU	4985	20270	DUCHOD	AB	88827883
764894	2613	1998-07-10	PRIJEM	PREVOD Z UCTU	4985	22212	DUCHOD	AB	88827883
764895	2613	1998-08-10	PRIJEM	PREVOD Z UCTU	4985	24161	DUCHOD	AB	88827883
764896	2613	1998-09-10	PRIJEM	PREVOD Z UCTU	4985	24023	DUCHOD	AB	88827883
764897	2613	1998-10-10	PRIJEM	PREVOD Z UCTU	4985	21288	DUCHOD	AB	88827883
764898	2613	1998-11-10	PRIJEM	PREVOD Z UCTU	4985	21641	DUCHOD	AB	88827883
764899	2613	1998-12-10	PRIJEM	PREVOD Z UCTU	4985	22242	DUCHOD	AB	88827883
764913	2613	1994-02-14	VYDAJ	PREVOD NA UCET	941	22212	SIPO	ST	6268191
764914	2613	1994-03-14	VYDAJ	PREVOD NA UCET	941	26303	SIPO	ST	6268191
764915	2613	1994-04-14	VYDAJ	PREVOD NA UCET	941	26381	SIPO	ST	6268191
764916	2613	1994-05-14	VYDAJ	PREVOD NA UCET	941	26863	SIPO	ST	6268191
764917	2613	1994-06-14	VYDAJ	PREVOD NA UCET	941	11968	SIPO	ST	6268191
764918	2613	1994-07-14	VYDAJ	PREVOD NA UCET	941	13911	SIPO	ST	6268191
764919	2613	1994-08-14	VYDAJ	PREVOD NA UCET	941	13678	SIPO	ST	6268191
764920	2613	1994-09-14	VYDAJ	PREVOD NA UCET	941	15609	SIPO	ST	6268191
764921	2613	1994-10-14	VYDAJ	PREVOD NA UCET	941	17548	SIPO	ST	6268191
764922	2613	1994-11-14	VYDAJ	PREVOD NA UCET	941	21650	SIPO	ST	6268191
764923	2613	1994-12-14	VYDAJ	PREVOD NA UCET	941	23603	SIPO	ST	6268191
764924	2613	1995-01-14	VYDAJ	PREVOD NA UCET	941	13612	SIPO	ST	6268191
764925	2613	1995-02-14	VYDAJ	PREVOD NA UCET	941	17702	SIPO	ST	6268191
764926	2613	1995-03-14	VYDAJ	PREVOD NA UCET	941	18038	SIPO	ST	6268191
764927	2613	1995-04-14	VYDAJ	PREVOD NA UCET	941	16064	SIPO	ST	6268191
764928	2613	1995-05-14	VYDAJ	PREVOD NA UCET	941	17997	SIPO	ST	6268191
764929	2613	1995-06-14	VYDAJ	PREVOD NA UCET	941	18412	SIPO	ST	6268191
764930	2613	1995-07-14	VYDAJ	PREVOD NA UCET	941	20356	SIPO	ST	6268191
764931	2613	1995-08-14	VYDAJ	PREVOD NA UCET	941	20154	SIPO	ST	6268191
764932	2613	1995-09-14	VYDAJ	PREVOD NA UCET	941	22963	SIPO	ST	6268191
764933	2613	1995-10-14	VYDAJ	PREVOD NA UCET	941	22767	SIPO	ST	6268191
764934	2613	1995-11-14	VYDAJ	PREVOD NA UCET	941	24733	SIPO	ST	6268191
764935	2613	1995-12-14	VYDAJ	PREVOD NA UCET	941	26560	SIPO	ST	6268191
764936	2613	1996-01-14	VYDAJ	PREVOD NA UCET	941	26544	SIPO	ST	6268191
764937	2613	1996-02-14	VYDAJ	PREVOD NA UCET	941	21550	SIPO	ST	6268191
764938	2613	1996-03-14	VYDAJ	PREVOD NA UCET	941	21353	SIPO	ST	6268191
764939	2613	1996-04-14	VYDAJ	PREVOD NA UCET	941	23315	SIPO	ST	6268191
764940	2613	1996-05-14	VYDAJ	PREVOD NA UCET	941	27440	SIPO	ST	6268191
764941	2613	1996-06-14	VYDAJ	PREVOD NA UCET	941	25613	SIPO	ST	6268191
764942	2613	1996-07-14	VYDAJ	PREVOD NA UCET	941	29649	SIPO	ST	6268191
764943	2613	1996-08-14	VYDAJ	PREVOD NA UCET	941	29960	SIPO	ST	6268191
764944	2613	1996-09-14	VYDAJ	PREVOD NA UCET	941	31951	SIPO	ST	6268191
764945	2613	1996-10-14	VYDAJ	PREVOD NA UCET	941	31797	SIPO	ST	6268191
764946	2613	1996-11-14	VYDAJ	PREVOD NA UCET	941	31163	SIPO	ST	6268191
764947	2613	1996-12-14	VYDAJ	PREVOD NA UCET	941	29722	SIPO	ST	6268191
764948	2613	1997-01-14	VYDAJ	PREVOD NA UCET	941	27776	SIPO	ST	6268191
764949	2613	1997-02-14	VYDAJ	PREVOD NA UCET	941	25915	SIPO	ST	6268191
764950	2613	1997-03-14	VYDAJ	PREVOD NA UCET	941	26485	SIPO	ST	6268191
764951	2613	1997-04-14	VYDAJ	PREVOD NA UCET	941	26308	SIPO	ST	6268191
764952	2613	1997-05-14	VYDAJ	PREVOD NA UCET	941	30041	SIPO	ST	6268191
764953	2613	1997-06-14	VYDAJ	PREVOD NA UCET	941	23542	SIPO	ST	6268191
764954	2613	1997-07-14	VYDAJ	PREVOD NA UCET	941	21458	SIPO	ST	6268191
764955	2613	1997-08-14	VYDAJ	PREVOD NA UCET	941	21314	SIPO	ST	6268191
764956	2613	1997-09-14	VYDAJ	PREVOD NA UCET	941	21120	SIPO	ST	6268191
764957	2613	1997-10-14	VYDAJ	PREVOD NA UCET	941	22878	SIPO	ST	6268191
764958	2613	1997-11-14	VYDAJ	PREVOD NA UCET	941	23702	SIPO	ST	6268191
764959	2613	1997-12-14	VYDAJ	PREVOD NA UCET	941	15464	SIPO	ST	6268191
764960	2613	1998-01-14	VYDAJ	PREVOD NA UCET	941	11012	SIPO	ST	6268191
764961	2613	1998-02-14	VYDAJ	PREVOD NA UCET	941	15096	SIPO	ST	6268191
764962	2613	1998-03-14	VYDAJ	PREVOD NA UCET	941	17024	SIPO	ST	6268191
764963	2613	1998-04-14	VYDAJ	PREVOD NA UCET	941	15461	SIPO	ST	6268191
764964	2613	1998-05-14	VYDAJ	PREVOD NA UCET	941	17396	SIPO	ST	6268191
764965	2613	1998-06-14	VYDAJ	PREVOD NA UCET	941	19329	SIPO	ST	6268191
764966	2613	1998-07-14	VYDAJ	PREVOD NA UCET	941	21271	SIPO	ST	6268191
764967	2613	1998-08-14	VYDAJ	PREVOD NA UCET	941	23220	SIPO	ST	6268191
764968	2613	1998-09-14	VYDAJ	PREVOD NA UCET	941	20928	SIPO	ST	6268191
764969	2613	1998-10-14	VYDAJ	PREVOD NA UCET	941	20347	SIPO	ST	6268191
764970	2613	1998-11-14	VYDAJ	PREVOD NA UCET	941	20700	SIPO	ST	6268191
764971	2613	1998-12-14	VYDAJ	PREVOD NA UCET	941	21301	SIPO	ST	6268191
764985	2613	1994-02-14	VYDAJ	PREVOD NA UCET	2154	23153	 	GH	49477297
764986	2613	1994-03-14	VYDAJ	PREVOD NA UCET	2154	24149	 	GH	49477297
764987	2613	1994-04-14	VYDAJ	PREVOD NA UCET	2154	24227	 	GH	49477297
764988	2613	1994-05-14	VYDAJ	PREVOD NA UCET	2154	24709	 	GH	49477297
764989	2613	1994-06-14	VYDAJ	PREVOD NA UCET	2154	9814	 	GH	49477297
764990	2613	1994-07-14	VYDAJ	PREVOD NA UCET	2154	11757	 	GH	49477297
764991	2613	1994-08-14	VYDAJ	PREVOD NA UCET	2154	14619	 	GH	49477297
764992	2613	1994-09-14	VYDAJ	PREVOD NA UCET	2154	16550	 	GH	49477297
764993	2613	1994-10-14	VYDAJ	PREVOD NA UCET	2154	18489	 	GH	49477297
764994	2613	1994-11-14	VYDAJ	PREVOD NA UCET	2154	19496	 	GH	49477297
764995	2613	1994-12-14	VYDAJ	PREVOD NA UCET	2154	21449	 	GH	49477297
764996	2613	1995-01-14	VYDAJ	PREVOD NA UCET	2154	14553	 	GH	49477297
764997	2613	1995-02-14	VYDAJ	PREVOD NA UCET	2154	15548	 	GH	49477297
764998	2613	1995-03-14	VYDAJ	PREVOD NA UCET	2154	15884	 	GH	49477297
764999	2613	1995-04-14	VYDAJ	PREVOD NA UCET	2154	17005	 	GH	49477297
765000	2613	1995-05-14	VYDAJ	PREVOD NA UCET	2154	15843	 	GH	49477297
765001	2613	1995-06-14	VYDAJ	PREVOD NA UCET	2154	16258	 	GH	49477297
765002	2613	1995-07-14	VYDAJ	PREVOD NA UCET	2154	18202	 	GH	49477297
765003	2613	1995-08-14	VYDAJ	PREVOD NA UCET	2154	21095	 	GH	49477297
765004	2613	1995-09-14	VYDAJ	PREVOD NA UCET	2154	20809	 	GH	49477297
765005	2613	1995-10-14	VYDAJ	PREVOD NA UCET	2154	23708	 	GH	49477297
765006	2613	1995-11-14	VYDAJ	PREVOD NA UCET	2154	25674	 	GH	49477297
765007	2613	1995-12-14	VYDAJ	PREVOD NA UCET	2154	24406	 	GH	49477297
765008	2613	1996-01-14	VYDAJ	PREVOD NA UCET	2154	24390	 	GH	49477297
765009	2613	1996-02-14	VYDAJ	PREVOD NA UCET	2154	19396	 	GH	49477297
765010	2613	1996-03-14	VYDAJ	PREVOD NA UCET	2154	22294	 	GH	49477297
765011	2613	1996-04-14	VYDAJ	PREVOD NA UCET	2154	24256	 	GH	49477297
765012	2613	1996-05-14	VYDAJ	PREVOD NA UCET	2154	25286	 	GH	49477297
765013	2613	1996-06-14	VYDAJ	PREVOD NA UCET	2154	26554	 	GH	49477297
765014	2613	1996-07-14	VYDAJ	PREVOD NA UCET	2154	27495	 	GH	49477297
765015	2613	1996-08-14	VYDAJ	PREVOD NA UCET	2154	27806	 	GH	49477297
765016	2613	1996-09-14	VYDAJ	PREVOD NA UCET	2154	29797	 	GH	49477297
765017	2613	1996-10-14	VYDAJ	PREVOD NA UCET	2154	32738	 	GH	49477297
765018	2613	1996-11-14	VYDAJ	PREVOD NA UCET	2154	32104	 	GH	49477297
765019	2613	1996-12-14	VYDAJ	PREVOD NA UCET	2154	30663	 	GH	49477297
765020	2613	1997-01-14	VYDAJ	PREVOD NA UCET	2154	28717	 	GH	49477297
765021	2613	1997-02-14	VYDAJ	PREVOD NA UCET	2154	23761	 	GH	49477297
765022	2613	1997-03-14	VYDAJ	PREVOD NA UCET	2154	24331	 	GH	49477297
765023	2613	1997-04-14	VYDAJ	PREVOD NA UCET	2154	27249	 	GH	49477297
765024	2613	1997-05-14	VYDAJ	PREVOD NA UCET	2154	27887	 	GH	49477297
765025	2613	1997-06-14	VYDAJ	PREVOD NA UCET	2154	24483	 	GH	49477297
765026	2613	1997-07-14	VYDAJ	PREVOD NA UCET	2154	19304	 	GH	49477297
765027	2613	1997-08-14	VYDAJ	PREVOD NA UCET	2154	19160	 	GH	49477297
765028	2613	1997-09-14	VYDAJ	PREVOD NA UCET	2154	22061	 	GH	49477297
765029	2613	1997-10-14	VYDAJ	PREVOD NA UCET	2154	23819	 	GH	49477297
765030	2613	1997-11-14	VYDAJ	PREVOD NA UCET	2154	21548	 	GH	49477297
765031	2613	1997-12-14	VYDAJ	PREVOD NA UCET	2154	16405	 	GH	49477297
765032	2613	1998-01-14	VYDAJ	PREVOD NA UCET	2154	11953	 	GH	49477297
765033	2613	1998-02-14	VYDAJ	PREVOD NA UCET	2154	12942	 	GH	49477297
765034	2613	1998-03-14	VYDAJ	PREVOD NA UCET	2154	14870	 	GH	49477297
765035	2613	1998-04-14	VYDAJ	PREVOD NA UCET	2154	13307	 	GH	49477297
765036	2613	1998-05-14	VYDAJ	PREVOD NA UCET	2154	15242	 	GH	49477297
765037	2613	1998-06-14	VYDAJ	PREVOD NA UCET	2154	17175	 	GH	49477297
765038	2613	1998-07-14	VYDAJ	PREVOD NA UCET	2154	19117	 	GH	49477297
765039	2613	1998-08-14	VYDAJ	PREVOD NA UCET	2154	21066	 	GH	49477297
765040	2613	1998-09-14	VYDAJ	PREVOD NA UCET	2154	21869	 	GH	49477297
765041	2613	1998-10-14	VYDAJ	PREVOD NA UCET	2154	18193	 	GH	49477297
765042	2613	1998-11-14	VYDAJ	PREVOD NA UCET	2154	18546	 	GH	49477297
765043	2613	1998-12-14	VYDAJ	PREVOD NA UCET	2154	19147	 	GH	49477297
765045	2613	1994-06-12	VYDAJ	VYBER	12600	12909	\N	\N	\N
765047	2613	1996-06-09	VYDAJ	VYBER	1650	23723	\N	\N	\N
765051	2613	1994-12-22	VYDAJ	VYBER	750	17259	\N	\N	\N
765052	2613	1995-12-20	VYDAJ	VYBER	550	23856	\N	\N	\N
765053	2613	1996-12-05	VYDAJ	VYBER	250	27832	\N	\N	\N
765054	2613	1997-12-13	VYDAJ	VYBER	650	18559	\N	\N	\N
765055	2613	1998-12-08	VYDAJ	VYBER	1350	17257	\N	\N	\N
765068	2613	1995-01-10	VYDAJ	VYBER	1600	16707	\N	\N	\N
765070	2613	1995-01-04	VYDAJ	VYBER	2160	15162	\N	\N	\N
765071	2613	1995-01-05	VYDAJ	VYBER	1840	13322	\N	\N	\N
765074	2613	1996-01-27	VYDAJ	VYBER	1280	17430	\N	\N	\N
765075	2613	1996-01-02	VYDAJ	VYBER	1440	22500	\N	\N	\N
765076	2613	1996-01-22	VYDAJ	VYBER	1440	18710	\N	\N	\N
765077	2613	1996-01-17	VYDAJ	VYBER	880	21190	\N	\N	\N
765078	2613	1996-01-18	VYDAJ	VYBER	1040	20150	\N	\N	\N
765079	2613	1996-01-14	VYDAJ	VYBER	2320	22070	\N	\N	\N
765080	2613	1997-01-17	VYDAJ	VYBER	1760	26016	\N	\N	\N
765081	2613	1997-01-27	VYDAJ	VYBER	400	21776	\N	\N	\N
765082	2613	1997-01-10	VYDAJ	VYBER	2240	30871	\N	\N	\N
765083	2613	1997-01-23	VYDAJ	VYBER	1200	23056	\N	\N	\N
765084	2613	1997-01-26	VYDAJ	VYBER	880	22176	\N	\N	\N
765085	2613	1997-01-21	VYDAJ	VYBER	1760	24256	\N	\N	\N
765098	2613	1994-06-09	VYDAJ	VYBER	3280	20524	\N	\N	\N
765099	2613	1994-12-16	VYDAJ	VYBER	3440	18009	\N	\N	\N
765100	2613	1995-05-18	VYDAJ	VYBER	1520	14323	\N	\N	\N
765101	2613	1995-02-27	VYDAJ	VYBER	1600	13948	\N	\N	\N
765102	2613	1995-04-30	VYDAJ	VYBER	2160	13953	\N	\N	\N
765104	2613	1995-03-27	VYDAJ	VYBER	1760	14124	\N	\N	\N
765105	2613	1996-08-12	VYDAJ	VYBER	1680	30901	\N	\N	\N
765106	2613	1996-11-28	VYDAJ	VYBER	3200	27963	\N	\N	\N
765107	2613	1996-11-10	VYDAJ	VYBER	2640	34258	\N	\N	\N
765108	2613	1997-07-08	VYDAJ	VYBER	400	18714	\N	\N	\N
765109	2613	1997-06-10	VYDAJ	VYBER	720	26637	\N	\N	\N
765113	2613	1998-10-28	VYDAJ	VYBER	1600	16593	\N	\N	\N
765128	2613	1994-02-28	VYDAJ	VYBER	15	22259	SLUZBY	\N	\N
765129	2613	1994-03-31	VYDAJ	VYBER	15	24237	SLUZBY	\N	\N
765130	2613	1994-04-30	VYDAJ	VYBER	15	24319	SLUZBY	\N	\N
765131	2613	1994-05-31	VYDAJ	VYBER	15	23804	SLUZBY	\N	\N
765132	2613	1994-06-30	VYDAJ	VYBER	15	9867	SLUZBY	\N	\N
765133	2613	1994-07-31	VYDAJ	VYBER	15	11788	SLUZBY	\N	\N
765134	2613	1994-08-31	VYDAJ	VYBER	15	13719	SLUZBY	\N	\N
765135	2613	1994-09-30	VYDAJ	VYBER	15	15658	SLUZBY	\N	\N
765136	2613	1994-10-31	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
765137	2613	1994-11-30	VYDAJ	VYBER	15	19559	SLUZBY	\N	\N
765138	2613	1994-12-31	VYDAJ	VYBER	15	17322	SLUZBY	\N	\N
765139	2613	1995-01-31	VYDAJ	VYBER	15	13658	SLUZBY	\N	\N
765140	2613	1995-02-28	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
765141	2613	1995-03-31	VYDAJ	VYBER	15	14174	SLUZBY	\N	\N
765142	2613	1995-04-30	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
765143	2613	1995-05-31	VYDAJ	VYBER	15	14368	SLUZBY	\N	\N
765144	2613	1995-06-30	VYDAJ	VYBER	15	16312	SLUZBY	\N	\N
765145	2613	1995-07-31	VYDAJ	VYBER	15	18264	SLUZBY	\N	\N
765146	2613	1995-08-31	VYDAJ	VYBER	15	18919	SLUZBY	\N	\N
765147	2613	1995-09-30	VYDAJ	VYBER	15	20877	SLUZBY	\N	\N
765148	2613	1995-10-31	VYDAJ	VYBER	15	22843	SLUZBY	\N	\N
765149	2613	1995-11-30	VYDAJ	VYBER	15	22516	SLUZBY	\N	\N
765150	2613	1995-12-31	VYDAJ	VYBER	15	23940	SLUZBY	\N	\N
765151	2613	1996-01-31	VYDAJ	VYBER	15	17506	SLUZBY	\N	\N
765152	2613	1996-02-29	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
765153	2613	1996-03-31	VYDAJ	VYBER	15	21425	SLUZBY	\N	\N
765154	2613	1996-04-30	VYDAJ	VYBER	15	23396	SLUZBY	\N	\N
765155	2613	1996-05-31	VYDAJ	VYBER	15	25373	SLUZBY	\N	\N
765156	2613	1996-06-30	VYDAJ	VYBER	15	25605	SLUZBY	\N	\N
765157	2613	1996-07-31	VYDAJ	VYBER	15	27596	SLUZBY	\N	\N
765158	2613	1996-08-31	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
765159	2613	1996-09-30	VYDAJ	VYBER	15	29907	SLUZBY	\N	\N
765160	2613	1996-10-31	VYDAJ	VYBER	15	31913	SLUZBY	\N	\N
765161	2613	1996-11-30	VYDAJ	VYBER	15	28082	SLUZBY	\N	\N
765162	2613	1996-12-31	VYDAJ	VYBER	15	28126	SLUZBY	\N	\N
765163	2613	1997-01-31	VYDAJ	VYBER	15	21871	SLUZBY	\N	\N
765164	2613	1997-02-28	VYDAJ	VYBER	15	22441	SLUZBY	\N	\N
765165	2613	1997-03-31	VYDAJ	VYBER	15	24418	SLUZBY	\N	\N
765166	2613	1997-04-30	VYDAJ	VYBER	15	25997	SLUZBY	\N	\N
765167	2613	1997-05-31	VYDAJ	VYBER	15	22372	SLUZBY	\N	\N
765168	2613	1997-06-30	VYDAJ	VYBER	15	19114	SLUZBY	\N	\N
765169	2613	1997-07-31	VYDAJ	VYBER	15	19370	SLUZBY	\N	\N
765170	2613	1997-08-31	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
765171	2613	1997-09-30	VYDAJ	VYBER	15	21188	SLUZBY	\N	\N
765172	2613	1997-10-31	VYDAJ	VYBER	15	22958	SLUZBY	\N	\N
765173	2613	1997-11-30	VYDAJ	VYBER	15	21624	SLUZBY	\N	\N
765174	2613	1997-12-31	VYDAJ	VYBER	15	15522	SLUZBY	\N	\N
765175	2613	1998-01-31	VYDAJ	VYBER	15	11052	SLUZBY	\N	\N
765176	2613	1998-02-28	VYDAJ	VYBER	15	12980	SLUZBY	\N	\N
765177	2613	1998-03-31	VYDAJ	VYBER	15	14917	SLUZBY	\N	\N
765178	2613	1998-04-30	VYDAJ	VYBER	15	13352	SLUZBY	\N	\N
765179	2613	1998-05-31	VYDAJ	VYBER	15	15285	SLUZBY	\N	\N
765180	2613	1998-06-30	VYDAJ	VYBER	15	17227	SLUZBY	\N	\N
765181	2613	1998-07-31	VYDAJ	VYBER	15	19176	SLUZBY	\N	\N
765182	2613	1998-08-31	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
765183	2613	1998-09-30	VYDAJ	VYBER	15	21003	SLUZBY	\N	\N
765184	2613	1998-10-31	VYDAJ	VYBER	15	16656	SLUZBY	\N	\N
765185	2613	1998-11-30	VYDAJ	VYBER	15	18607	SLUZBY	\N	\N
765186	2613	1994-04-01	VYDAJ	VYBER	1900	22337	\N	\N	\N
765187	2613	1994-05-01	VYDAJ	VYBER	1500	22819	\N	\N	\N
765188	2613	1994-05-31	VYDAJ	VYBER	1000	23818	\N	\N	\N
765189	2613	1995-08-24	VYDAJ	VYBER	1300	18854	\N	\N	\N
765190	2613	1995-11-22	VYDAJ	VYBER	2300	22433	\N	\N	\N
765191	2613	1996-06-19	VYDAJ	VYBER	100	25513	\N	\N	\N
765192	2613	1996-12-16	VYDAJ	VYBER	1700	28022	\N	\N	\N
765193	2613	1997-02-14	VYDAJ	VYBER	1400	22361	\N	\N	\N
765194	2613	1997-04-15	VYDAJ	VYBER	400	25908	\N	\N	\N
765195	2613	1997-05-15	VYDAJ	VYBER	5600	22287	\N	\N	\N
765196	2613	1997-06-14	VYDAJ	VYBER	4500	19042	\N	\N	\N
765197	2613	1997-07-14	VYDAJ	VYBER	1300	22399	\N	\N	\N
765198	2613	1997-08-13	VYDAJ	VYBER	2100	22255	\N	\N	\N
765199	2613	1997-10-12	VYDAJ	VYBER	200	25973	\N	\N	\N
765200	2613	1997-11-11	VYDAJ	VYBER	3300	24643	\N	\N	\N
765201	2613	1997-12-11	VYDAJ	VYBER	7400	19209	\N	\N	\N
765202	2613	1998-01-10	VYDAJ	VYBER	6400	14107	\N	\N	\N
765203	2613	1998-04-10	VYDAJ	VYBER	3500	16402	\N	\N	\N
765204	2613	1998-09-07	VYDAJ	VYBER	2100	19038	\N	\N	\N
765205	2613	1998-10-07	VYDAJ	VYBER	4700	16303	\N	\N	\N
765269	2614	1996-09-11	PRIJEM	VKLAD	900	900	\N	\N	\N
765278	2614	1996-09-12	PRIJEM	PREVOD Z UCTU	3229	4129	\N	UV	80331241
765279	2614	1996-10-12	PRIJEM	PREVOD Z UCTU	3229	7369	\N	UV	80331241
765280	2614	1996-11-12	PRIJEM	PREVOD Z UCTU	3229	10615	\N	UV	80331241
765281	2614	1996-12-12	PRIJEM	PREVOD Z UCTU	3229	13861	\N	UV	80331241
765282	2614	1997-01-12	PRIJEM	PREVOD Z UCTU	3229	15808	\N	UV	80331241
765283	2614	1997-02-12	PRIJEM	PREVOD Z UCTU	3229	13613	\N	UV	80331241
765284	2614	1997-03-12	PRIJEM	PREVOD Z UCTU	3229	14730	\N	UV	80331241
765285	2614	1997-04-12	PRIJEM	PREVOD Z UCTU	3229	15852	\N	UV	80331241
765286	2614	1997-05-12	PRIJEM	PREVOD Z UCTU	3229	16979	\N	UV	80331241
765420	2614	1997-10-06	VYDAJ	VYBER	300	15245	\N	\N	\N
765287	2614	1997-06-12	PRIJEM	PREVOD Z UCTU	3229	17690	\N	UV	80331241
765288	2614	1997-07-12	PRIJEM	PREVOD Z UCTU	3229	16125	\N	UV	80331241
765289	2614	1997-08-12	PRIJEM	PREVOD Z UCTU	3229	17254	\N	UV	80331241
765290	2614	1997-09-12	PRIJEM	PREVOD Z UCTU	3229	18387	\N	UV	80331241
765291	2614	1997-10-12	PRIJEM	PREVOD Z UCTU	3229	18474	\N	UV	80331241
765292	2614	1997-11-12	PRIJEM	PREVOD Z UCTU	3229	17310	\N	UV	80331241
765293	2614	1997-12-12	PRIJEM	PREVOD Z UCTU	3229	12803	\N	UV	80331241
765294	2614	1998-01-12	PRIJEM	PREVOD Z UCTU	3229	13918	\N	UV	80331241
765295	2614	1998-02-12	PRIJEM	PREVOD Z UCTU	3229	13745	\N	UV	80331241
765296	2614	1998-03-12	PRIJEM	PREVOD Z UCTU	3229	12262	\N	UV	80331241
765297	2614	1998-04-12	PRIJEM	PREVOD Z UCTU	3229	13374	\N	UV	80331241
765298	2614	1998-05-12	PRIJEM	PREVOD Z UCTU	3229	14491	\N	UV	80331241
765299	2614	1998-06-12	PRIJEM	PREVOD Z UCTU	3229	14260	\N	UV	80331241
765300	2614	1998-07-12	PRIJEM	PREVOD Z UCTU	3229	15380	\N	UV	80331241
765301	2614	1998-08-12	PRIJEM	PREVOD Z UCTU	3229	16505	\N	UV	80331241
765302	2614	1998-09-12	PRIJEM	PREVOD Z UCTU	3229	12334	\N	UV	80331241
765303	2614	1998-10-12	PRIJEM	PREVOD Z UCTU	3229	13448	\N	UV	80331241
765304	2614	1998-11-12	PRIJEM	PREVOD Z UCTU	3229	14565	\N	UV	80331241
765305	2614	1998-12-12	PRIJEM	PREVOD Z UCTU	3229	15086	\N	UV	80331241
765319	2614	1997-02-06	VYDAJ	PREVOD NA UCET	2152	10384	SIPO	UV	83787446
765320	2614	1997-03-06	VYDAJ	PREVOD NA UCET	2152	11501	SIPO	UV	83787446
765321	2614	1997-04-06	VYDAJ	PREVOD NA UCET	2152	12623	SIPO	UV	83787446
765322	2614	1997-05-06	VYDAJ	PREVOD NA UCET	2152	13750	SIPO	UV	83787446
765323	2614	1997-06-06	VYDAJ	PREVOD NA UCET	2152	14461	SIPO	UV	83787446
765324	2614	1997-07-06	VYDAJ	PREVOD NA UCET	2152	15596	SIPO	UV	83787446
765325	2614	1997-08-06	VYDAJ	PREVOD NA UCET	2152	14025	SIPO	UV	83787446
765326	2614	1997-09-06	VYDAJ	PREVOD NA UCET	2152	15158	SIPO	UV	83787446
765327	2614	1997-10-06	VYDAJ	PREVOD NA UCET	2152	15545	SIPO	UV	83787446
765328	2614	1997-11-06	VYDAJ	PREVOD NA UCET	2152	14081	SIPO	UV	83787446
765329	2614	1997-12-06	VYDAJ	PREVOD NA UCET	2152	9574	SIPO	UV	83787446
765330	2614	1998-01-06	VYDAJ	PREVOD NA UCET	2152	10689	SIPO	UV	83787446
765331	2614	1998-02-06	VYDAJ	PREVOD NA UCET	2152	10516	SIPO	UV	83787446
765332	2614	1998-03-06	VYDAJ	PREVOD NA UCET	2152	9033	SIPO	UV	83787446
765333	2614	1998-04-06	VYDAJ	PREVOD NA UCET	2152	10145	SIPO	UV	83787446
765334	2614	1998-05-06	VYDAJ	PREVOD NA UCET	2152	11262	SIPO	UV	83787446
765335	2614	1998-06-06	VYDAJ	PREVOD NA UCET	2152	11031	SIPO	UV	83787446
765336	2614	1998-07-06	VYDAJ	PREVOD NA UCET	2152	12151	SIPO	UV	83787446
765337	2614	1998-08-06	VYDAJ	PREVOD NA UCET	2152	13276	SIPO	UV	83787446
765338	2614	1998-09-06	VYDAJ	PREVOD NA UCET	2152	9105	SIPO	UV	83787446
765339	2614	1998-10-06	VYDAJ	PREVOD NA UCET	2152	10219	SIPO	UV	83787446
765340	2614	1998-11-06	VYDAJ	PREVOD NA UCET	2152	11336	SIPO	UV	83787446
765341	2614	1998-12-06	VYDAJ	PREVOD NA UCET	2152	11857	SIPO	UV	83787446
765346	2614	1997-01-19	VYDAJ	VYBER	990	13558	\N	\N	\N
765350	2614	1998-12-05	VYDAJ	VYBER	600	14009	\N	\N	\N
765357	2614	1997-01-17	VYDAJ	VYBER	390	14788	\N	\N	\N
765359	2614	1997-01-27	VYDAJ	VYBER	270	12508	\N	\N	\N
765360	2614	1997-01-13	VYDAJ	VYBER	630	15178	\N	\N	\N
765361	2614	1997-01-20	VYDAJ	VYBER	780	12778	\N	\N	\N
765363	2614	1998-01-23	VYDAJ	VYBER	450	12808	\N	\N	\N
765365	2614	1998-01-23	VYDAJ	VYBER	180	12628	\N	\N	\N
765366	2614	1998-01-12	VYDAJ	VYBER	660	13258	\N	\N	\N
765375	2614	1997-09-30	VYDAJ	VYBER	750	17712	\N	\N	\N
765376	2614	1997-01-19	VYDAJ	VYBER	240	14548	\N	\N	\N
765377	2614	1997-05-28	VYDAJ	VYBER	420	16559	\N	\N	\N
765378	2614	1997-12-04	VYDAJ	VYBER	240	17126	\N	\N	\N
765379	2614	1998-05-24	VYDAJ	VYBER	1350	13141	\N	\N	\N
765395	2614	1997-01-31	VYDAJ	VYBER	15	12536	SLUZBY	\N	\N
765396	2614	1997-02-28	VYDAJ	VYBER	15	13653	SLUZBY	\N	\N
765397	2614	1997-03-31	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
765398	2614	1997-04-30	VYDAJ	VYBER	15	15902	SLUZBY	\N	\N
765399	2614	1997-05-31	VYDAJ	VYBER	15	16613	SLUZBY	\N	\N
765400	2614	1997-06-30	VYDAJ	VYBER	15	17748	SLUZBY	\N	\N
765401	2614	1997-07-31	VYDAJ	VYBER	15	16177	SLUZBY	\N	\N
765402	2614	1997-08-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
765403	2614	1997-09-30	VYDAJ	VYBER	15	17697	SLUZBY	\N	\N
765404	2614	1997-10-31	VYDAJ	VYBER	15	18533	SLUZBY	\N	\N
765405	2614	1997-11-30	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
765406	2614	1997-12-31	VYDAJ	VYBER	15	12841	SLUZBY	\N	\N
765407	2614	1998-01-31	VYDAJ	VYBER	15	12668	SLUZBY	\N	\N
765408	2614	1998-02-28	VYDAJ	VYBER	15	13785	SLUZBY	\N	\N
765409	2614	1998-03-31	VYDAJ	VYBER	15	12297	SLUZBY	\N	\N
765410	2614	1998-04-30	VYDAJ	VYBER	15	13414	SLUZBY	\N	\N
765411	2614	1998-05-31	VYDAJ	VYBER	15	13183	SLUZBY	\N	\N
765412	2614	1998-06-30	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
765413	2614	1998-07-31	VYDAJ	VYBER	15	15428	SLUZBY	\N	\N
765414	2614	1998-08-31	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
765415	2614	1998-09-30	VYDAJ	VYBER	15	12371	SLUZBY	\N	\N
765416	2614	1998-10-31	VYDAJ	VYBER	15	13488	SLUZBY	\N	\N
765417	2614	1998-11-30	VYDAJ	VYBER	15	14609	SLUZBY	\N	\N
765418	2614	1997-01-09	VYDAJ	VYBER	1300	12579	\N	\N	\N
765419	2614	1997-07-08	VYDAJ	VYBER	2700	12896	\N	\N	\N
765421	2614	1997-11-05	VYDAJ	VYBER	2300	16233	\N	\N	\N
765422	2614	1997-12-05	VYDAJ	VYBER	5400	11726	\N	\N	\N
765423	2614	1998-03-05	VYDAJ	VYBER	2600	11185	\N	\N	\N
765424	2614	1998-09-01	VYDAJ	VYBER	5300	11257	\N	\N	\N
765453	2615	1994-07-17	PRIJEM	VKLAD	400	400	\N	\N	\N
765461	2615	1994-08-10	PRIJEM	VKLAD	10402	10802	\N	\N	\N
765462	2615	1994-09-10	PRIJEM	VKLAD	10402	28543	\N	\N	\N
765463	2615	1994-10-10	PRIJEM	VKLAD	10402	37240	\N	\N	\N
765464	2615	1994-11-10	PRIJEM	VKLAD	10402	40260	\N	\N	\N
765465	2615	1994-12-10	PRIJEM	VKLAD	15603	48795	\N	\N	\N
765466	2615	1995-01-10	PRIJEM	VKLAD	10402	41729	\N	\N	\N
765467	2615	1995-02-10	PRIJEM	VKLAD	10402	30940	\N	\N	\N
765468	2615	1995-03-10	PRIJEM	VKLAD	10402	35524	\N	\N	\N
765469	2615	1995-04-10	PRIJEM	VKLAD	10402	35516	\N	\N	\N
765470	2615	1995-05-10	PRIJEM	VKLAD	10402	37914	\N	\N	\N
765471	2615	1995-06-10	PRIJEM	VKLAD	15603	40215	\N	\N	\N
765472	2615	1995-07-10	PRIJEM	VKLAD	10402	28114	\N	\N	\N
765473	2615	1995-08-10	PRIJEM	VKLAD	10402	30286	\N	\N	\N
765474	2615	1995-09-10	PRIJEM	VKLAD	10402	34368	\N	\N	\N
765475	2615	1995-10-10	PRIJEM	VKLAD	10402	31354	\N	\N	\N
765476	2615	1995-11-10	PRIJEM	VKLAD	10402	27861	\N	\N	\N
765477	2615	1995-12-10	PRIJEM	VKLAD	15603	31657	\N	\N	\N
765478	2615	1996-01-10	PRIJEM	VKLAD	10402	24569	\N	\N	\N
765479	2615	1996-02-10	PRIJEM	VKLAD	10402	23632	\N	\N	\N
765480	2615	1996-03-10	PRIJEM	VKLAD	10402	25792	\N	\N	\N
765481	2615	1996-04-10	PRIJEM	VKLAD	10402	25981	\N	\N	\N
765482	2615	1996-05-10	PRIJEM	VKLAD	10402	27776	\N	\N	\N
765483	2615	1996-06-10	PRIJEM	VKLAD	15603	32078	\N	\N	\N
765484	2615	1996-07-10	PRIJEM	VKLAD	10402	29293	\N	\N	\N
765485	2615	1996-08-10	PRIJEM	VKLAD	10402	25906	\N	\N	\N
765486	2615	1996-09-10	PRIJEM	VKLAD	10402	36405	\N	\N	\N
765487	2615	1996-10-10	PRIJEM	VKLAD	10402	28822	\N	\N	\N
765488	2615	1996-11-10	PRIJEM	VKLAD	10402	24933	\N	\N	\N
765489	2615	1996-12-10	PRIJEM	VKLAD	15603	39530	\N	\N	\N
765490	2615	1997-01-10	PRIJEM	VKLAD	10402	24952	\N	\N	\N
765491	2615	1997-02-10	PRIJEM	VKLAD	10402	24834	\N	\N	\N
765492	2615	1997-03-10	PRIJEM	VKLAD	10402	33887	\N	\N	\N
765493	2615	1997-04-10	PRIJEM	VKLAD	10402	24173	\N	\N	\N
765494	2615	1997-05-10	PRIJEM	VKLAD	10402	34672	\N	\N	\N
765495	2615	1997-06-10	PRIJEM	VKLAD	15603	50362	\N	\N	\N
765496	2615	1997-07-10	PRIJEM	VKLAD	10402	30196	\N	\N	\N
765497	2615	1997-08-10	PRIJEM	VKLAD	10402	37726	\N	\N	\N
765498	2615	1997-09-10	PRIJEM	VKLAD	10402	40027	\N	\N	\N
765499	2615	1997-10-10	PRIJEM	VKLAD	10402	50574	\N	\N	\N
765500	2615	1997-11-10	PRIJEM	VKLAD	10402	26418	\N	\N	\N
765501	2615	1997-12-10	PRIJEM	VKLAD	15603	40873	\N	\N	\N
765502	2615	1998-01-10	PRIJEM	VKLAD	10402	47012	\N	\N	\N
765503	2615	1998-02-10	PRIJEM	VKLAD	10402	44674	\N	\N	\N
765504	2615	1998-03-10	PRIJEM	VKLAD	10402	55236	\N	\N	\N
765505	2615	1998-04-10	PRIJEM	VKLAD	10402	65810	\N	\N	\N
765506	2615	1998-05-10	PRIJEM	VKLAD	10402	28206	\N	\N	\N
765507	2615	1998-06-10	PRIJEM	VKLAD	15603	43868	\N	\N	\N
765508	2615	1998-07-10	PRIJEM	VKLAD	10402	50583	\N	\N	\N
765509	2615	1998-08-10	PRIJEM	VKLAD	10402	59352	\N	\N	\N
765510	2615	1998-09-10	PRIJEM	VKLAD	10402	26423	\N	\N	\N
765511	2615	1998-10-10	PRIJEM	VKLAD	10402	36877	\N	\N	\N
765512	2615	1998-11-10	PRIJEM	VKLAD	10402	47374	\N	\N	\N
765513	2615	1998-12-10	PRIJEM	VKLAD	15603	63115	\N	\N	\N
765515	2615	1995-06-28	VYDAJ	VYBER	9600	17615	\N	\N	\N
765520	2615	1995-01-18	VYDAJ	VYBER	5300	23429	\N	\N	\N
765521	2615	1996-01-10	VYDAJ	VYBER	9800	14769	\N	\N	\N
765522	2615	1997-01-19	VYDAJ	VYBER	7200	15052	\N	\N	\N
765523	2615	1998-01-21	VYDAJ	VYBER	1500	44812	\N	\N	\N
765525	2615	1995-12-16	VYDAJ	VYBER	900	30757	\N	\N	\N
765526	2615	1996-12-08	VYDAJ	VYBER	1100	23927	\N	\N	\N
765527	2615	1997-12-04	VYDAJ	VYBER	1200	25270	\N	\N	\N
765528	2615	1998-12-11	VYDAJ	VYBER	600	62515	\N	\N	\N
765535	2615	1995-01-09	VYDAJ	VYBER	2400	31327	\N	\N	\N
765536	2615	1995-01-13	VYDAJ	VYBER	600	32329	\N	\N	\N
765537	2615	1995-01-01	VYDAJ	VYBER	1200	35727	\N	\N	\N
765538	2615	1995-01-17	VYDAJ	VYBER	900	28729	\N	\N	\N
765539	2615	1995-01-04	VYDAJ	VYBER	2000	33727	\N	\N	\N
765540	2615	1995-01-17	VYDAJ	VYBER	2700	29629	\N	\N	\N
765542	2615	1996-01-08	VYDAJ	VYBER	2400	18767	\N	\N	\N
765543	2615	1996-01-05	VYDAJ	VYBER	1700	29167	\N	\N	\N
765544	2615	1996-01-12	VYDAJ	VYBER	1600	13169	\N	\N	\N
765549	2615	1997-01-14	VYDAJ	VYBER	1500	23452	\N	\N	\N
765550	2615	1997-01-15	VYDAJ	VYBER	1200	22252	\N	\N	\N
765552	2615	1997-01-30	VYDAJ	VYBER	700	14352	\N	\N	\N
765553	2615	1998-01-07	VYDAJ	VYBER	2300	36610	\N	\N	\N
765554	2615	1998-01-11	VYDAJ	VYBER	700	46312	\N	\N	\N
765555	2615	1998-01-22	VYDAJ	VYBER	2100	42712	\N	\N	\N
765556	2615	1998-01-27	VYDAJ	VYBER	700	37112	\N	\N	\N
765557	2615	1998-01-07	VYDAJ	VYBER	2100	38910	\N	\N	\N
765558	2615	1998-01-23	VYDAJ	VYBER	1100	41612	\N	\N	\N
765565	2615	1995-06-03	VYDAJ	VYBER	2200	24612	\N	\N	\N
765566	2615	1995-01-30	VYDAJ	VYBER	3000	20429	\N	\N	\N
765567	2615	1995-10-09	VYDAJ	VYBER	2800	20952	\N	\N	\N
765568	2615	1995-07-29	VYDAJ	VYBER	2300	19814	\N	\N	\N
765570	2615	1996-12-19	VYDAJ	VYBER	4700	33130	\N	\N	\N
765571	2615	1996-09-25	VYDAJ	VYBER	3100	32105	\N	\N	\N
765572	2615	1996-09-12	VYDAJ	VYBER	1200	35205	\N	\N	\N
765573	2615	1996-02-15	VYDAJ	VYBER	2300	21332	\N	\N	\N
765574	2615	1996-01-09	VYDAJ	VYBER	4600	14167	\N	\N	\N
765575	2615	1996-12-18	VYDAJ	VYBER	1700	37830	\N	\N	\N
765577	2615	1997-02-24	VYDAJ	VYBER	1400	23434	\N	\N	\N
765578	2615	1997-07-16	VYDAJ	VYBER	3000	27196	\N	\N	\N
765579	2615	1997-09-07	VYDAJ	VYBER	3400	29625	\N	\N	\N
765580	2615	1997-09-01	VYDAJ	VYBER	4800	33025	\N	\N	\N
765581	2615	1998-06-24	VYDAJ	VYBER	3800	40068	\N	\N	\N
765582	2615	1998-08-10	VYDAJ	VYBER	3800	55552	\N	\N	\N
765583	2615	1998-07-18	VYDAJ	VYBER	1800	48783	\N	\N	\N
765584	2615	1998-02-03	VYDAJ	VYBER	3000	34272	\N	\N	\N
765585	2615	1998-01-26	VYDAJ	VYBER	3800	37812	\N	\N	\N
765598	2615	1994-12-31	VYDAJ	VYBER	15	36927	SLUZBY	\N	\N
765599	2615	1995-01-31	VYDAJ	VYBER	15	20538	SLUZBY	\N	\N
765600	2615	1995-02-28	VYDAJ	VYBER	15	25122	SLUZBY	\N	\N
765601	2615	1995-03-31	VYDAJ	VYBER	15	25114	SLUZBY	\N	\N
765602	2615	1995-04-30	VYDAJ	VYBER	15	27512	SLUZBY	\N	\N
765603	2615	1995-05-31	VYDAJ	VYBER	15	26812	SLUZBY	\N	\N
765604	2615	1995-06-30	VYDAJ	VYBER	15	17712	SLUZBY	\N	\N
765605	2615	1995-07-31	VYDAJ	VYBER	15	19884	SLUZBY	\N	\N
765606	2615	1995-08-31	VYDAJ	VYBER	15	23966	SLUZBY	\N	\N
765607	2615	1995-09-30	VYDAJ	VYBER	15	23752	SLUZBY	\N	\N
765608	2615	1995-10-31	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
765609	2615	1995-11-30	VYDAJ	VYBER	15	27954	SLUZBY	\N	\N
765610	2615	1995-12-31	VYDAJ	VYBER	15	30867	SLUZBY	\N	\N
765611	2615	1996-01-31	VYDAJ	VYBER	15	13230	SLUZBY	\N	\N
765612	2615	1996-02-29	VYDAJ	VYBER	15	21390	SLUZBY	\N	\N
765613	2615	1996-03-31	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
765614	2615	1996-04-30	VYDAJ	VYBER	15	26074	SLUZBY	\N	\N
765615	2615	1996-05-31	VYDAJ	VYBER	15	27875	SLUZBY	\N	\N
765616	2615	1996-06-30	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
765617	2615	1996-07-31	VYDAJ	VYBER	15	29404	SLUZBY	\N	\N
765618	2615	1996-08-31	VYDAJ	VYBER	15	26003	SLUZBY	\N	\N
765619	2615	1996-09-30	VYDAJ	VYBER	15	32220	SLUZBY	\N	\N
765620	2615	1996-10-31	VYDAJ	VYBER	15	28931	SLUZBY	\N	\N
765621	2615	1996-11-30	VYDAJ	VYBER	15	25027	SLUZBY	\N	\N
765622	2615	1996-12-31	VYDAJ	VYBER	15	33250	SLUZBY	\N	\N
765623	2615	1997-01-31	VYDAJ	VYBER	15	14432	SLUZBY	\N	\N
765624	2615	1997-02-28	VYDAJ	VYBER	15	23485	SLUZBY	\N	\N
765625	2615	1997-03-31	VYDAJ	VYBER	15	33971	SLUZBY	\N	\N
765626	2615	1997-04-30	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
765627	2615	1997-05-31	VYDAJ	VYBER	15	34759	SLUZBY	\N	\N
765628	2615	1997-06-30	VYDAJ	VYBER	15	50494	SLUZBY	\N	\N
765629	2615	1997-07-31	VYDAJ	VYBER	15	27324	SLUZBY	\N	\N
765630	2615	1997-08-31	VYDAJ	VYBER	15	37825	SLUZBY	\N	\N
765631	2615	1997-09-30	VYDAJ	VYBER	15	40172	SLUZBY	\N	\N
765632	2615	1997-10-31	VYDAJ	VYBER	15	16016	SLUZBY	\N	\N
765633	2615	1997-11-30	VYDAJ	VYBER	15	26470	SLUZBY	\N	\N
765634	2615	1997-12-31	VYDAJ	VYBER	15	41010	SLUZBY	\N	\N
765635	2615	1998-01-31	VYDAJ	VYBER	15	37272	SLUZBY	\N	\N
765636	2615	1998-02-28	VYDAJ	VYBER	15	44834	SLUZBY	\N	\N
765637	2615	1998-03-31	VYDAJ	VYBER	15	55408	SLUZBY	\N	\N
765638	2615	1998-04-30	VYDAJ	VYBER	15	17804	SLUZBY	\N	\N
765639	2615	1998-05-31	VYDAJ	VYBER	15	28265	SLUZBY	\N	\N
765640	2615	1998-06-30	VYDAJ	VYBER	15	40181	SLUZBY	\N	\N
765641	2615	1998-07-31	VYDAJ	VYBER	15	48950	SLUZBY	\N	\N
765642	2615	1998-08-31	VYDAJ	VYBER	15	16021	SLUZBY	\N	\N
765643	2615	1998-09-30	VYDAJ	VYBER	15	26475	SLUZBY	\N	\N
765644	2615	1998-10-31	VYDAJ	VYBER	15	36972	SLUZBY	\N	\N
765645	2615	1998-11-30	VYDAJ	VYBER	15	47512	SLUZBY	\N	\N
765646	2615	1994-08-16	PRIJEM	VKLAD	7300	18102	\N	\N	\N
765647	2615	1994-09-15	VYDAJ	VYBER	1800	26743	\N	\N	\N
765648	2615	1994-10-15	VYDAJ	VYBER	7500	29740	\N	\N	\N
765649	2615	1994-11-14	VYDAJ	VYBER	7200	33060	\N	\N	\N
765650	2615	1994-12-14	VYDAJ	VYBER	12000	36795	\N	\N	\N
765651	2615	1995-01-13	VYDAJ	VYBER	8800	32929	\N	\N	\N
765652	2615	1995-02-12	VYDAJ	VYBER	5900	25040	\N	\N	\N
765653	2615	1995-03-14	VYDAJ	VYBER	10500	25024	\N	\N	\N
765654	2615	1995-04-13	VYDAJ	VYBER	8100	27416	\N	\N	\N
765655	2615	1995-05-13	VYDAJ	VYBER	11200	26714	\N	\N	\N
765656	2615	1995-06-12	VYDAJ	VYBER	13000	27215	\N	\N	\N
765657	2615	1995-07-12	VYDAJ	VYBER	6000	22114	\N	\N	\N
765658	2615	1995-08-11	VYDAJ	VYBER	6400	23886	\N	\N	\N
765659	2615	1995-09-10	VYDAJ	VYBER	10700	23668	\N	\N	\N
765660	2615	1995-10-10	VYDAJ	VYBER	11000	20354	\N	\N	\N
765661	2615	1995-11-09	VYDAJ	VYBER	3000	17459	\N	\N	\N
765662	2615	1995-12-09	VYDAJ	VYBER	11900	16054	\N	\N	\N
765663	2615	1996-01-08	VYDAJ	VYBER	8000	21167	\N	\N	\N
765664	2615	1996-03-08	VYDAJ	VYBER	6000	15390	\N	\N	\N
765665	2615	1996-04-07	VYDAJ	VYBER	10300	15579	\N	\N	\N
765666	2615	1996-05-07	VYDAJ	VYBER	8700	17374	\N	\N	\N
765667	2615	1996-06-06	VYDAJ	VYBER	11400	16475	\N	\N	\N
765668	2615	1996-07-06	VYDAJ	VYBER	13300	18891	\N	\N	\N
765669	2615	1996-08-05	VYDAJ	VYBER	13900	15504	\N	\N	\N
765670	2615	1996-10-04	VYDAJ	VYBER	13800	18420	\N	\N	\N
765671	2615	1996-11-03	VYDAJ	VYBER	14400	14531	\N	\N	\N
765672	2615	1997-01-02	VYDAJ	VYBER	18700	14550	\N	\N	\N
765673	2615	1997-04-02	VYDAJ	VYBER	20200	13771	\N	\N	\N
765674	2615	1997-07-01	VYDAJ	VYBER	30700	19794	\N	\N	\N
765675	2615	1997-10-29	VYDAJ	VYBER	34700	15874	\N	\N	\N
765676	2615	1998-04-27	VYDAJ	VYBER	48200	17610	\N	\N	\N
765677	2615	1998-08-25	VYDAJ	VYBER	39700	15852	\N	\N	\N
765731	2616	1993-08-17	PRIJEM	VKLAD	900	900	\N	\N	\N
765740	2616	1993-09-06	PRIJEM	VKLAD	20285	21185	\N	\N	\N
765741	2616	1993-10-06	PRIJEM	VKLAD	20285	42115	\N	\N	\N
765742	2616	1993-11-06	PRIJEM	VKLAD	20285	55119	\N	\N	\N
765743	2616	1993-12-06	PRIJEM	VKLAD	30428	70302	\N	\N	\N
765744	2616	1994-01-06	PRIJEM	VKLAD	20285	70276	\N	\N	\N
765745	2616	1994-02-06	PRIJEM	VKLAD	20285	48645	\N	\N	\N
765746	2616	1994-03-06	PRIJEM	VKLAD	20285	51374	\N	\N	\N
765747	2616	1994-04-06	PRIJEM	VKLAD	20285	52593	\N	\N	\N
765748	2616	1994-05-06	PRIJEM	VKLAD	20285	53303	\N	\N	\N
765749	2616	1994-06-06	PRIJEM	VKLAD	30428	62466	\N	\N	\N
765750	2616	1994-07-06	PRIJEM	VKLAD	20285	54177	\N	\N	\N
765751	2616	1994-08-06	PRIJEM	VKLAD	20285	55405	\N	\N	\N
765752	2616	1994-09-06	PRIJEM	VKLAD	20285	52976	\N	\N	\N
765753	2616	1994-10-06	PRIJEM	VKLAD	20285	49686	\N	\N	\N
765754	2616	1994-11-06	PRIJEM	VKLAD	20285	48588	\N	\N	\N
765755	2616	1994-12-06	PRIJEM	VKLAD	30428	55724	\N	\N	\N
765756	2616	1995-01-06	PRIJEM	VKLAD	20285	45141	\N	\N	\N
765757	2616	1995-02-06	PRIJEM	VKLAD	20285	41297	\N	\N	\N
765758	2616	1995-03-06	PRIJEM	VKLAD	20285	41555	\N	\N	\N
765759	2616	1995-04-06	PRIJEM	VKLAD	20285	45238	\N	\N	\N
765760	2616	1995-05-06	PRIJEM	VKLAD	20285	44826	\N	\N	\N
765761	2616	1995-06-06	PRIJEM	VKLAD	30428	53480	\N	\N	\N
765762	2616	1995-07-06	PRIJEM	VKLAD	20285	45549	\N	\N	\N
765763	2616	1995-08-06	PRIJEM	VKLAD	20285	49352	\N	\N	\N
765764	2616	1995-09-06	PRIJEM	VKLAD	20285	51869	\N	\N	\N
765765	2616	1995-10-06	PRIJEM	VKLAD	20285	46117	\N	\N	\N
765766	2616	1995-11-06	PRIJEM	VKLAD	20285	44795	\N	\N	\N
765767	2616	1995-12-06	PRIJEM	VKLAD	30428	58626	\N	\N	\N
765768	2616	1996-01-06	PRIJEM	VKLAD	20285	56804	\N	\N	\N
765769	2616	1996-02-06	PRIJEM	VKLAD	20285	44360	\N	\N	\N
765770	2616	1996-03-06	PRIJEM	VKLAD	20285	47496	\N	\N	\N
765771	2616	1996-04-06	PRIJEM	VKLAD	20285	44199	\N	\N	\N
765772	2616	1996-05-06	PRIJEM	VKLAD	20285	43708	\N	\N	\N
765773	2616	1996-06-06	PRIJEM	VKLAD	30428	55384	\N	\N	\N
765774	2616	1996-07-06	PRIJEM	VKLAD	20285	45048	\N	\N	\N
765775	2616	1996-08-06	PRIJEM	VKLAD	20285	41493	\N	\N	\N
765776	2616	1996-09-06	PRIJEM	VKLAD	20285	38620	\N	\N	\N
765777	2616	1996-10-06	PRIJEM	VKLAD	20285	42308	\N	\N	\N
765778	2616	1996-11-06	PRIJEM	VKLAD	20285	40839	\N	\N	\N
765779	2616	1996-12-06	PRIJEM	VKLAD	30428	51316	\N	\N	\N
765780	2616	1997-01-06	PRIJEM	VKLAD	20285	41208	\N	\N	\N
765781	2616	1997-02-06	PRIJEM	VKLAD	20285	36002	\N	\N	\N
765782	2616	1997-03-06	PRIJEM	VKLAD	20285	42677	\N	\N	\N
765783	2616	1997-04-06	PRIJEM	VKLAD	20285	43252	\N	\N	\N
765784	2616	1997-05-06	PRIJEM	VKLAD	20285	42054	\N	\N	\N
765785	2616	1997-06-06	PRIJEM	VKLAD	30428	52294	\N	\N	\N
765786	2616	1997-07-06	PRIJEM	VKLAD	20285	44938	\N	\N	\N
765787	2616	1997-08-06	PRIJEM	VKLAD	20285	40976	\N	\N	\N
765788	2616	1997-09-06	PRIJEM	VKLAD	20285	40665	\N	\N	\N
765789	2616	1997-10-06	PRIJEM	VKLAD	20285	39250	\N	\N	\N
765790	2616	1997-11-06	PRIJEM	VKLAD	20285	39430	\N	\N	\N
765791	2616	1997-12-06	PRIJEM	VKLAD	30428	48390	\N	\N	\N
765792	2616	1998-01-06	PRIJEM	VKLAD	20285	42500	\N	\N	\N
765793	2616	1998-02-06	PRIJEM	VKLAD	20285	38569	\N	\N	\N
765794	2616	1998-03-06	PRIJEM	VKLAD	20285	37141	\N	\N	\N
765795	2616	1998-04-06	PRIJEM	VKLAD	20285	39512	\N	\N	\N
765796	2616	1998-05-06	PRIJEM	VKLAD	20285	37587	\N	\N	\N
765797	2616	1998-06-06	PRIJEM	VKLAD	30428	48900	\N	\N	\N
765798	2616	1998-07-06	PRIJEM	VKLAD	20285	37612	\N	\N	\N
765799	2616	1998-08-06	PRIJEM	VKLAD	20285	37879	\N	\N	\N
765800	2616	1998-09-06	PRIJEM	VKLAD	20285	35142	\N	\N	\N
765801	2616	1998-10-06	PRIJEM	VKLAD	20285	34895	\N	\N	\N
765802	2616	1998-11-06	PRIJEM	VKLAD	20285	38537	\N	\N	\N
765803	2616	1998-12-06	PRIJEM	VKLAD	30428	60866	\N	\N	\N
765816	2616	1994-01-12	VYDAJ	PREVOD NA UCET	8188	42848	SIPO	IJ	7358169
765817	2616	1994-02-12	VYDAJ	PREVOD NA UCET	8188	40457	SIPO	IJ	7358169
765818	2616	1994-03-12	VYDAJ	PREVOD NA UCET	8188	43186	SIPO	IJ	7358169
765819	2616	1994-04-12	VYDAJ	PREVOD NA UCET	8188	40085	SIPO	IJ	7358169
765820	2616	1994-05-12	VYDAJ	PREVOD NA UCET	8188	45115	SIPO	IJ	7358169
765821	2616	1994-06-12	VYDAJ	PREVOD NA UCET	8188	45958	SIPO	IJ	7358169
765822	2616	1994-07-12	VYDAJ	PREVOD NA UCET	8188	45989	SIPO	IJ	7358169
765823	2616	1994-08-12	VYDAJ	PREVOD NA UCET	8188	35317	SIPO	IJ	7358169
765824	2616	1994-09-12	VYDAJ	PREVOD NA UCET	8188	29288	SIPO	IJ	7358169
765825	2616	1994-10-12	VYDAJ	PREVOD NA UCET	8188	28198	SIPO	IJ	7358169
765826	2616	1994-11-12	VYDAJ	PREVOD NA UCET	8188	25200	SIPO	IJ	7358169
765827	2616	1994-12-12	VYDAJ	PREVOD NA UCET	8188	28836	SIPO	IJ	7358169
765828	2616	1995-01-12	VYDAJ	PREVOD NA UCET	8188	26313	SIPO	IJ	7358169
765829	2616	1995-02-12	VYDAJ	PREVOD NA UCET	8188	21189	SIPO	IJ	7358169
765830	2616	1995-03-12	VYDAJ	PREVOD NA UCET	8188	24867	SIPO	IJ	7358169
765831	2616	1995-04-12	VYDAJ	PREVOD NA UCET	8188	24450	SIPO	IJ	7358169
765832	2616	1995-05-12	VYDAJ	PREVOD NA UCET	8188	25838	SIPO	IJ	7358169
765833	2616	1995-06-12	VYDAJ	PREVOD NA UCET	8188	30112	SIPO	IJ	7358169
765834	2616	1995-07-12	VYDAJ	PREVOD NA UCET	8188	28961	SIPO	IJ	7358169
765835	2616	1995-08-12	VYDAJ	PREVOD NA UCET	8188	31464	SIPO	IJ	7358169
765836	2616	1995-09-12	VYDAJ	PREVOD NA UCET	8188	30981	SIPO	IJ	7358169
765837	2616	1995-10-12	VYDAJ	PREVOD NA UCET	8188	20429	SIPO	IJ	7358169
765838	2616	1995-11-12	VYDAJ	PREVOD NA UCET	8188	36607	SIPO	IJ	7358169
765839	2616	1995-12-12	VYDAJ	PREVOD NA UCET	8188	50438	SIPO	IJ	7358169
765840	2616	1996-01-12	VYDAJ	PREVOD NA UCET	8188	46216	SIPO	IJ	7358169
765841	2616	1996-02-12	VYDAJ	PREVOD NA UCET	8188	36172	SIPO	IJ	7358169
765842	2616	1996-03-12	VYDAJ	PREVOD NA UCET	8188	39308	SIPO	IJ	7358169
765843	2616	1996-04-12	VYDAJ	PREVOD NA UCET	8188	36011	SIPO	IJ	7358169
765844	2616	1996-05-12	VYDAJ	PREVOD NA UCET	8188	35520	SIPO	IJ	7358169
765845	2616	1996-06-12	VYDAJ	PREVOD NA UCET	8188	42396	SIPO	IJ	7358169
765846	2616	1996-07-12	VYDAJ	PREVOD NA UCET	8188	36860	SIPO	IJ	7358169
765847	2616	1996-08-12	VYDAJ	PREVOD NA UCET	8188	33305	SIPO	IJ	7358169
765848	2616	1996-09-12	VYDAJ	PREVOD NA UCET	8188	30432	SIPO	IJ	7358169
765849	2616	1996-10-12	VYDAJ	PREVOD NA UCET	8188	34120	SIPO	IJ	7358169
765850	2616	1996-11-12	VYDAJ	PREVOD NA UCET	8188	29291	SIPO	IJ	7358169
765851	2616	1996-12-12	VYDAJ	PREVOD NA UCET	8188	43128	SIPO	IJ	7358169
765852	2616	1997-01-12	VYDAJ	PREVOD NA UCET	8188	30140	SIPO	IJ	7358169
765853	2616	1997-02-12	VYDAJ	PREVOD NA UCET	8188	27814	SIPO	IJ	7358169
765854	2616	1997-03-12	VYDAJ	PREVOD NA UCET	8188	34489	SIPO	IJ	7358169
765855	2616	1997-04-12	VYDAJ	PREVOD NA UCET	8188	35064	SIPO	IJ	7358169
765856	2616	1997-05-12	VYDAJ	PREVOD NA UCET	8188	33866	SIPO	IJ	7358169
765857	2616	1997-06-12	VYDAJ	PREVOD NA UCET	8188	44106	SIPO	IJ	7358169
765858	2616	1997-07-12	VYDAJ	PREVOD NA UCET	8188	36750	SIPO	IJ	7358169
765859	2616	1997-08-12	VYDAJ	PREVOD NA UCET	8188	32788	SIPO	IJ	7358169
765860	2616	1997-09-12	VYDAJ	PREVOD NA UCET	8188	32477	SIPO	IJ	7358169
765861	2616	1997-10-12	VYDAJ	PREVOD NA UCET	8188	31062	SIPO	IJ	7358169
765862	2616	1997-11-12	VYDAJ	PREVOD NA UCET	8188	31242	SIPO	IJ	7358169
765863	2616	1997-12-12	VYDAJ	PREVOD NA UCET	8188	37962	SIPO	IJ	7358169
765864	2616	1998-01-12	VYDAJ	PREVOD NA UCET	8188	29992	SIPO	IJ	7358169
765865	2616	1998-02-12	VYDAJ	PREVOD NA UCET	8188	25581	SIPO	IJ	7358169
765866	2616	1998-03-12	VYDAJ	PREVOD NA UCET	8188	28953	SIPO	IJ	7358169
765867	2616	1998-04-12	VYDAJ	PREVOD NA UCET	8188	31324	SIPO	IJ	7358169
765868	2616	1998-05-12	VYDAJ	PREVOD NA UCET	8188	29399	SIPO	IJ	7358169
765869	2616	1998-06-12	VYDAJ	PREVOD NA UCET	8188	23752	SIPO	IJ	7358169
765870	2616	1998-07-12	VYDAJ	PREVOD NA UCET	8188	29424	SIPO	IJ	7358169
765871	2616	1998-08-12	VYDAJ	PREVOD NA UCET	8188	29691	SIPO	IJ	7358169
765872	2616	1998-09-12	VYDAJ	PREVOD NA UCET	8188	26954	SIPO	IJ	7358169
765873	2616	1998-10-12	VYDAJ	PREVOD NA UCET	8188	22027	SIPO	IJ	7358169
765874	2616	1998-11-12	VYDAJ	PREVOD NA UCET	8188	30349	SIPO	IJ	7358169
765875	2616	1998-12-12	VYDAJ	PREVOD NA UCET	8188	52678	SIPO	IJ	7358169
765877	2616	1994-06-09	VYDAJ	VYBER	8320	54146	\N	\N	\N
765878	2616	1995-06-23	VYDAJ	VYBER	4960	25152	\N	\N	\N
765881	2616	1998-06-07	VYDAJ	VYBER	15040	33860	\N	\N	\N
765883	2616	1994-01-10	VYDAJ	VYBER	15040	52956	\N	\N	\N
765885	2616	1996-01-14	VYDAJ	VYBER	7680	38536	\N	\N	\N
765887	2616	1998-01-16	VYDAJ	VYBER	1760	24752	\N	\N	\N
765889	2616	1994-12-09	VYDAJ	VYBER	4000	51724	\N	\N	\N
765890	2616	1995-12-04	VYDAJ	VYBER	4320	29299	\N	\N	\N
765891	2616	1996-12-13	VYDAJ	VYBER	4000	39128	\N	\N	\N
765892	2616	1997-12-08	VYDAJ	VYBER	2240	46150	\N	\N	\N
765901	2616	1994-01-11	VYDAJ	VYBER	600	52356	\N	\N	\N
765902	2616	1994-01-17	VYDAJ	VYBER	1680	32168	\N	\N	\N
765903	2616	1994-01-15	VYDAJ	VYBER	600	33848	\N	\N	\N
765904	2616	1994-01-10	VYDAJ	VYBER	2280	67996	\N	\N	\N
765906	2616	1995-01-22	VYDAJ	VYBER	600	23313	\N	\N	\N
765907	2616	1995-01-29	VYDAJ	VYBER	2400	20913	\N	\N	\N
765908	2616	1995-01-08	VYDAJ	VYBER	960	41301	\N	\N	\N
765909	2616	1995-01-18	VYDAJ	VYBER	2400	23913	\N	\N	\N
765910	2616	1995-01-08	VYDAJ	VYBER	2880	42261	\N	\N	\N
765911	2616	1995-01-01	VYDAJ	VYBER	1200	24856	\N	\N	\N
765912	2616	1996-01-11	VYDAJ	VYBER	2400	54404	\N	\N	\N
765913	2616	1996-01-15	VYDAJ	VYBER	1200	37336	\N	\N	\N
765914	2616	1996-01-28	VYDAJ	VYBER	1080	31216	\N	\N	\N
765915	2616	1996-01-28	VYDAJ	VYBER	600	30616	\N	\N	\N
765916	2616	1996-01-25	VYDAJ	VYBER	2880	34456	\N	\N	\N
765917	2616	1996-01-25	VYDAJ	VYBER	2160	32296	\N	\N	\N
765918	2616	1997-01-15	VYDAJ	VYBER	3120	27020	\N	\N	\N
765919	2616	1997-01-15	VYDAJ	VYBER	960	26060	\N	\N	\N
765920	2616	1997-01-03	VYDAJ	VYBER	2400	24043	\N	\N	\N
765921	2616	1997-01-11	VYDAJ	VYBER	2880	38328	\N	\N	\N
765922	2616	1997-01-05	VYDAJ	VYBER	3120	20923	\N	\N	\N
765923	2616	1997-01-20	VYDAJ	VYBER	2040	24020	\N	\N	\N
765924	2616	1998-01-09	VYDAJ	VYBER	3480	38180	\N	\N	\N
765925	2616	1998-01-07	VYDAJ	VYBER	840	41660	\N	\N	\N
765926	2616	1998-01-04	VYDAJ	VYBER	1440	22215	\N	\N	\N
765927	2616	1998-01-26	VYDAJ	VYBER	840	18192	\N	\N	\N
765928	2616	1998-01-22	VYDAJ	VYBER	3120	21632	\N	\N	\N
765929	2616	1998-01-12	VYDAJ	VYBER	3480	26512	\N	\N	\N
765933	2616	1994-01-11	VYDAJ	VYBER	1320	51036	\N	\N	\N
765934	2616	1994-02-04	VYDAJ	VYBER	3960	28360	\N	\N	\N
765935	2616	1994-12-16	VYDAJ	VYBER	2880	25956	\N	\N	\N
765936	2616	1994-04-08	VYDAJ	VYBER	4320	48273	\N	\N	\N
765937	2616	1994-08-18	VYDAJ	VYBER	2760	32557	\N	\N	\N
765938	2616	1995-06-02	VYDAJ	VYBER	2880	23052	\N	\N	\N
765939	2616	1995-02-07	VYDAJ	VYBER	4920	36377	\N	\N	\N
765940	2616	1995-06-06	VYDAJ	VYBER	4080	49400	\N	\N	\N
765941	2616	1995-09-12	VYDAJ	VYBER	5280	25701	\N	\N	\N
765942	2616	1995-11-28	VYDAJ	VYBER	3120	33487	\N	\N	\N
765943	2616	1995-12-15	VYDAJ	VYBER	3600	46838	\N	\N	\N
765944	2616	1995-10-09	VYDAJ	VYBER	4200	28617	\N	\N	\N
765945	2616	1996-06-06	VYDAJ	VYBER	4800	50584	\N	\N	\N
765946	2616	1996-11-09	VYDAJ	VYBER	3360	37479	\N	\N	\N
765947	2616	1996-10-17	VYDAJ	VYBER	5760	28360	\N	\N	\N
765948	2616	1996-04-15	VYDAJ	VYBER	3720	32291	\N	\N	\N
765949	2616	1996-03-22	VYDAJ	VYBER	5040	34268	\N	\N	\N
765950	2616	1997-07-18	VYDAJ	VYBER	5160	31590	\N	\N	\N
765951	2616	1997-12-29	VYDAJ	VYBER	2520	23542	\N	\N	\N
765952	2616	1997-03-15	VYDAJ	VYBER	3720	30769	\N	\N	\N
765953	2616	1997-06-17	VYDAJ	VYBER	1560	42546	\N	\N	\N
765954	2616	1997-11-23	VYDAJ	VYBER	3360	27882	\N	\N	\N
765955	2616	1997-06-27	VYDAJ	VYBER	1320	41226	\N	\N	\N
765956	2616	1998-10-17	VYDAJ	VYBER	3840	18187	\N	\N	\N
765957	2616	1998-10-07	VYDAJ	VYBER	4680	30215	\N	\N	\N
765958	2616	1998-06-09	VYDAJ	VYBER	1920	31940	\N	\N	\N
765960	2616	1998-02-09	VYDAJ	VYBER	4800	33769	\N	\N	\N
765975	2616	1994-01-31	VYDAJ	VYBER	15	32320	SLUZBY	\N	\N
765976	2616	1994-02-28	VYDAJ	VYBER	15	31089	SLUZBY	\N	\N
765977	2616	1994-03-31	VYDAJ	VYBER	15	32308	SLUZBY	\N	\N
765978	2616	1994-04-30	VYDAJ	VYBER	15	33018	SLUZBY	\N	\N
765979	2616	1994-05-31	VYDAJ	VYBER	15	32038	SLUZBY	\N	\N
765980	2616	1994-06-30	VYDAJ	VYBER	15	33892	SLUZBY	\N	\N
765981	2616	1994-07-31	VYDAJ	VYBER	15	35120	SLUZBY	\N	\N
765982	2616	1994-08-31	VYDAJ	VYBER	15	32691	SLUZBY	\N	\N
765983	2616	1994-09-30	VYDAJ	VYBER	15	29401	SLUZBY	\N	\N
765984	2616	1994-10-31	VYDAJ	VYBER	15	28303	SLUZBY	\N	\N
765985	2616	1994-11-30	VYDAJ	VYBER	15	25296	SLUZBY	\N	\N
765986	2616	1994-12-31	VYDAJ	VYBER	15	26056	SLUZBY	\N	\N
765987	2616	1995-01-31	VYDAJ	VYBER	15	21012	SLUZBY	\N	\N
765988	2616	1995-02-28	VYDAJ	VYBER	15	21270	SLUZBY	\N	\N
765989	2616	1995-03-31	VYDAJ	VYBER	15	24953	SLUZBY	\N	\N
765990	2616	1995-04-30	VYDAJ	VYBER	15	24541	SLUZBY	\N	\N
765991	2616	1995-05-31	VYDAJ	VYBER	15	25932	SLUZBY	\N	\N
765992	2616	1995-06-30	VYDAJ	VYBER	15	25264	SLUZBY	\N	\N
765993	2616	1995-07-31	VYDAJ	VYBER	15	29067	SLUZBY	\N	\N
765994	2616	1995-08-31	VYDAJ	VYBER	15	31584	SLUZBY	\N	\N
765995	2616	1995-09-30	VYDAJ	VYBER	15	25832	SLUZBY	\N	\N
765996	2616	1995-10-31	VYDAJ	VYBER	15	20510	SLUZBY	\N	\N
765997	2616	1995-11-30	VYDAJ	VYBER	15	33619	SLUZBY	\N	\N
765998	2616	1995-12-31	VYDAJ	VYBER	15	47019	SLUZBY	\N	\N
765999	2616	1996-01-31	VYDAJ	VYBER	15	30775	SLUZBY	\N	\N
766000	2616	1996-02-29	VYDAJ	VYBER	15	36311	SLUZBY	\N	\N
766001	2616	1996-03-31	VYDAJ	VYBER	15	34414	SLUZBY	\N	\N
766002	2616	1996-04-30	VYDAJ	VYBER	15	32423	SLUZBY	\N	\N
766003	2616	1996-05-31	VYDAJ	VYBER	15	35656	SLUZBY	\N	\N
766004	2616	1996-06-30	VYDAJ	VYBER	15	42563	SLUZBY	\N	\N
766005	2616	1996-07-31	VYDAJ	VYBER	15	37008	SLUZBY	\N	\N
766006	2616	1996-08-31	VYDAJ	VYBER	15	33435	SLUZBY	\N	\N
766007	2616	1996-09-30	VYDAJ	VYBER	15	22023	SLUZBY	\N	\N
766008	2616	1996-10-31	VYDAJ	VYBER	15	20554	SLUZBY	\N	\N
766009	2616	1996-11-30	VYDAJ	VYBER	15	20888	SLUZBY	\N	\N
766010	2616	1996-12-31	VYDAJ	VYBER	15	26443	SLUZBY	\N	\N
766011	2616	1997-01-31	VYDAJ	VYBER	15	15717	SLUZBY	\N	\N
766012	2616	1997-02-28	VYDAJ	VYBER	15	22392	SLUZBY	\N	\N
766013	2616	1997-03-31	VYDAJ	VYBER	15	22967	SLUZBY	\N	\N
766014	2616	1997-04-30	VYDAJ	VYBER	15	21769	SLUZBY	\N	\N
766015	2616	1997-05-31	VYDAJ	VYBER	15	21866	SLUZBY	\N	\N
766016	2616	1997-06-30	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
766017	2616	1997-07-31	VYDAJ	VYBER	15	20691	SLUZBY	\N	\N
766018	2616	1997-08-31	VYDAJ	VYBER	15	20380	SLUZBY	\N	\N
766019	2616	1997-09-30	VYDAJ	VYBER	15	18965	SLUZBY	\N	\N
766020	2616	1997-10-31	VYDAJ	VYBER	15	19145	SLUZBY	\N	\N
766021	2616	1997-11-30	VYDAJ	VYBER	15	17963	SLUZBY	\N	\N
766022	2616	1997-12-31	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
766023	2616	1998-01-31	VYDAJ	VYBER	15	18284	SLUZBY	\N	\N
766024	2616	1998-02-28	VYDAJ	VYBER	15	16856	SLUZBY	\N	\N
766025	2616	1998-03-31	VYDAJ	VYBER	15	19227	SLUZBY	\N	\N
766026	2616	1998-04-30	VYDAJ	VYBER	15	17302	SLUZBY	\N	\N
766027	2616	1998-05-31	VYDAJ	VYBER	15	18473	SLUZBY	\N	\N
766028	2616	1998-06-30	VYDAJ	VYBER	15	17327	SLUZBY	\N	\N
766029	2616	1998-07-31	VYDAJ	VYBER	15	17594	SLUZBY	\N	\N
766030	2616	1998-08-31	VYDAJ	VYBER	15	14857	SLUZBY	\N	\N
766031	2616	1998-09-30	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
766032	2616	1998-10-31	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
766033	2616	1998-11-30	VYDAJ	VYBER	15	30439	SLUZBY	\N	\N
766034	2616	1993-09-16	PRIJEM	VKLAD	600	21785	\N	\N	\N
766035	2616	1993-10-16	VYDAJ	VYBER	7400	34715	\N	\N	\N
766036	2616	1993-11-15	VYDAJ	VYBER	15400	39719	\N	\N	\N
766037	2616	1993-12-15	VYDAJ	VYBER	20500	49802	\N	\N	\N
766038	2616	1994-01-14	VYDAJ	VYBER	8400	34448	\N	\N	\N
766039	2616	1994-02-13	VYDAJ	VYBER	9500	30957	\N	\N	\N
766040	2616	1994-03-15	VYDAJ	VYBER	11000	32186	\N	\N	\N
766041	2616	1994-04-14	VYDAJ	VYBER	7200	32885	\N	\N	\N
766042	2616	1994-05-14	VYDAJ	VYBER	13200	31915	\N	\N	\N
766043	2616	1994-06-13	VYDAJ	VYBER	12200	33758	\N	\N	\N
766044	2616	1994-07-13	VYDAJ	VYBER	11000	34989	\N	\N	\N
766045	2616	1994-08-12	VYDAJ	VYBER	11900	43505	\N	\N	\N
766046	2616	1994-09-11	VYDAJ	VYBER	15500	37476	\N	\N	\N
766047	2616	1994-10-11	VYDAJ	VYBER	13300	36386	\N	\N	\N
766048	2616	1994-11-10	VYDAJ	VYBER	15200	33388	\N	\N	\N
766049	2616	1994-12-10	VYDAJ	VYBER	14700	37024	\N	\N	\N
766050	2616	1995-01-09	VYDAJ	VYBER	6800	34501	\N	\N	\N
766051	2616	1995-02-08	VYDAJ	VYBER	7000	29377	\N	\N	\N
766052	2616	1995-03-10	VYDAJ	VYBER	8500	33055	\N	\N	\N
766053	2616	1995-04-09	VYDAJ	VYBER	12600	32638	\N	\N	\N
766054	2616	1995-05-09	VYDAJ	VYBER	10800	34026	\N	\N	\N
766055	2616	1995-06-08	VYDAJ	VYBER	11100	38300	\N	\N	\N
766056	2616	1995-07-08	VYDAJ	VYBER	8400	37149	\N	\N	\N
766057	2616	1995-08-07	VYDAJ	VYBER	9700	39652	\N	\N	\N
766058	2616	1995-09-06	VYDAJ	VYBER	12700	39169	\N	\N	\N
766059	2616	1995-10-06	VYDAJ	VYBER	13300	32817	\N	\N	\N
766060	2616	1995-11-05	PRIJEM	VKLAD	4000	24510	\N	\N	\N
766061	2616	1995-12-05	VYDAJ	VYBER	1100	28199	\N	\N	\N
766062	2616	1996-01-04	VYDAJ	VYBER	10500	36519	\N	\N	\N
766063	2616	1996-02-03	VYDAJ	VYBER	6700	24075	\N	\N	\N
766064	2616	1996-03-04	VYDAJ	VYBER	9100	27211	\N	\N	\N
766065	2616	1996-04-03	VYDAJ	VYBER	10500	23914	\N	\N	\N
766066	2616	1996-05-03	VYDAJ	VYBER	9000	23423	\N	\N	\N
766067	2616	1996-06-02	VYDAJ	VYBER	10700	24956	\N	\N	\N
766068	2616	1996-07-02	VYDAJ	VYBER	17800	24763	\N	\N	\N
766069	2616	1996-08-01	VYDAJ	VYBER	15800	21208	\N	\N	\N
766070	2616	1996-08-31	VYDAJ	VYBER	15100	18335	\N	\N	\N
766071	2616	1996-09-30	VYDAJ	VYBER	8500	22037	\N	\N	\N
766072	2616	1996-10-30	VYDAJ	VYBER	7900	20460	\N	\N	\N
766073	2616	1996-11-29	VYDAJ	VYBER	8500	20791	\N	\N	\N
766074	2616	1996-12-29	VYDAJ	VYBER	12800	26328	\N	\N	\N
766075	2616	1997-01-28	VYDAJ	VYBER	8400	15620	\N	\N	\N
766076	2616	1997-02-27	VYDAJ	VYBER	5500	22314	\N	\N	\N
766077	2616	1997-03-29	VYDAJ	VYBER	7900	22869	\N	\N	\N
766078	2616	1997-04-28	VYDAJ	VYBER	13400	21664	\N	\N	\N
766079	2616	1997-05-28	VYDAJ	VYBER	12100	21766	\N	\N	\N
766080	2616	1997-06-27	VYDAJ	VYBER	16700	24526	\N	\N	\N
766081	2616	1997-07-27	VYDAJ	VYBER	11000	20590	\N	\N	\N
766082	2616	1997-08-26	VYDAJ	VYBER	12500	20288	\N	\N	\N
766083	2616	1997-09-25	VYDAJ	VYBER	13600	18877	\N	\N	\N
766084	2616	1997-10-25	VYDAJ	VYBER	12000	19062	\N	\N	\N
766085	2616	1997-11-24	VYDAJ	VYBER	10000	17882	\N	\N	\N
766086	2616	1997-12-24	VYDAJ	VYBER	11900	26062	\N	\N	\N
766087	2616	1998-01-23	VYDAJ	VYBER	2600	19032	\N	\N	\N
766088	2616	1998-02-22	VYDAJ	VYBER	8800	16781	\N	\N	\N
766089	2616	1998-03-24	VYDAJ	VYBER	9800	19153	\N	\N	\N
766090	2616	1998-04-23	VYDAJ	VYBER	14100	17224	\N	\N	\N
766091	2616	1998-05-23	VYDAJ	VYBER	11000	18399	\N	\N	\N
766092	2616	1998-06-22	VYDAJ	VYBER	6500	17252	\N	\N	\N
766093	2616	1998-07-22	VYDAJ	VYBER	11900	17524	\N	\N	\N
766094	2616	1998-08-21	VYDAJ	VYBER	14900	14791	\N	\N	\N
766095	2616	1998-09-20	VYDAJ	VYBER	12400	14554	\N	\N	\N
766096	2616	1998-12-19	VYDAJ	VYBER	32700	19978	\N	\N	\N
766161	2617	1993-09-24	PRIJEM	VKLAD	400	400	\N	\N	\N
766171	2617	1993-10-13	PRIJEM	PREVOD Z UCTU	3050	3450	\N	EF	66249376
766172	2617	1993-11-13	PRIJEM	PREVOD Z UCTU	3050	6500	\N	EF	66249376
766173	2617	1993-12-13	PRIJEM	PREVOD Z UCTU	3050	9550	\N	EF	66249376
766174	2617	1994-01-13	PRIJEM	PREVOD Z UCTU	3050	12600	\N	EF	66249376
766175	2617	1994-02-13	PRIJEM	PREVOD Z UCTU	3050	15650	\N	EF	66249376
766176	2617	1994-03-13	PRIJEM	PREVOD Z UCTU	3050	15240	\N	EF	66249376
766177	2617	1994-04-13	PRIJEM	PREVOD Z UCTU	3050	16304	\N	EF	66249376
766178	2617	1994-05-13	PRIJEM	PREVOD Z UCTU	3050	13287	\N	EF	66249376
766179	2617	1994-06-13	PRIJEM	PREVOD Z UCTU	3050	14134	\N	EF	66249376
766180	2617	1994-07-13	PRIJEM	PREVOD Z UCTU	3050	15193	\N	EF	66249376
766181	2617	1994-08-13	PRIJEM	PREVOD Z UCTU	3050	16257	\N	EF	66249376
766182	2617	1994-09-13	PRIJEM	PREVOD Z UCTU	3050	16635	\N	EF	66249376
766183	2617	1994-10-13	PRIJEM	PREVOD Z UCTU	3050	17705	\N	EF	66249376
766184	2617	1994-11-13	PRIJEM	PREVOD Z UCTU	3050	18779	\N	EF	66249376
766185	2617	1994-12-13	PRIJEM	PREVOD Z UCTU	3050	19858	\N	EF	66249376
766186	2617	1995-01-13	PRIJEM	PREVOD Z UCTU	3050	18570	\N	EF	66249376
766187	2617	1995-02-13	PRIJEM	PREVOD Z UCTU	3050	18838	\N	EF	66249376
766188	2617	1995-03-13	PRIJEM	PREVOD Z UCTU	3050	19917	\N	EF	66249376
766189	2617	1995-04-13	PRIJEM	PREVOD Z UCTU	3050	21001	\N	EF	66249376
766190	2617	1995-05-13	PRIJEM	PREVOD Z UCTU	3050	22088	\N	EF	66249376
766191	2617	1995-06-13	PRIJEM	PREVOD Z UCTU	3050	20331	\N	EF	66249376
766192	2617	1995-07-13	PRIJEM	PREVOD Z UCTU	3050	21418	\N	EF	66249376
766193	2617	1995-08-13	PRIJEM	PREVOD Z UCTU	3050	20648	\N	EF	66249376
766194	2617	1995-09-13	PRIJEM	PREVOD Z UCTU	3050	21135	\N	EF	66249376
766195	2617	1995-10-13	PRIJEM	PREVOD Z UCTU	3050	22223	\N	EF	66249376
766196	2617	1995-11-13	PRIJEM	PREVOD Z UCTU	3050	23316	\N	EF	66249376
766197	2617	1995-12-13	PRIJEM	PREVOD Z UCTU	3050	23573	\N	EF	66249376
766198	2617	1996-01-13	PRIJEM	PREVOD Z UCTU	3050	24672	\N	EF	66249376
766199	2617	1996-02-13	PRIJEM	PREVOD Z UCTU	3050	24875	\N	EF	66249376
766200	2617	1996-03-13	PRIJEM	PREVOD Z UCTU	3050	25979	\N	EF	66249376
766201	2617	1996-04-13	PRIJEM	PREVOD Z UCTU	3050	27087	\N	EF	66249376
766202	2617	1996-05-13	PRIJEM	PREVOD Z UCTU	3050	28020	\N	EF	66249376
766203	2617	1996-06-13	PRIJEM	PREVOD Z UCTU	3050	21967	\N	EF	66249376
766204	2617	1996-07-13	PRIJEM	PREVOD Z UCTU	3050	23064	\N	EF	66249376
766205	2617	1996-08-13	PRIJEM	PREVOD Z UCTU	3050	24160	\N	EF	66249376
766206	2617	1996-09-13	PRIJEM	PREVOD Z UCTU	3050	25261	\N	EF	66249376
766207	2617	1996-10-13	PRIJEM	PREVOD Z UCTU	3050	26366	\N	EF	66249376
766208	2617	1996-11-13	PRIJEM	PREVOD Z UCTU	3050	26154	\N	EF	66249376
766209	2617	1996-12-13	PRIJEM	PREVOD Z UCTU	3050	27262	\N	EF	66249376
766210	2617	1997-01-13	PRIJEM	PREVOD Z UCTU	3050	25732	\N	EF	66249376
766211	2617	1997-02-13	PRIJEM	PREVOD Z UCTU	3050	25398	\N	EF	66249376
766212	2617	1997-03-13	PRIJEM	PREVOD Z UCTU	3050	26503	\N	EF	66249376
766213	2617	1997-04-13	PRIJEM	PREVOD Z UCTU	3050	27613	\N	EF	66249376
766214	2617	1997-05-13	PRIJEM	PREVOD Z UCTU	3050	27618	\N	EF	66249376
766215	2617	1997-06-13	PRIJEM	PREVOD Z UCTU	3050	20575	\N	EF	66249376
766216	2617	1997-07-13	PRIJEM	PREVOD Z UCTU	3050	21663	\N	EF	66249376
766217	2617	1997-08-13	PRIJEM	PREVOD Z UCTU	3050	22753	\N	EF	66249376
766218	2617	1997-09-13	PRIJEM	PREVOD Z UCTU	3050	23246	\N	EF	66249376
766219	2617	1997-10-13	PRIJEM	PREVOD Z UCTU	3050	22000	\N	EF	66249376
766220	2617	1997-11-13	PRIJEM	PREVOD Z UCTU	3050	23092	\N	EF	66249376
766221	2617	1997-12-13	PRIJEM	PREVOD Z UCTU	3050	24188	\N	EF	66249376
766222	2617	1998-01-13	PRIJEM	PREVOD Z UCTU	3050	24477	\N	EF	66249376
766223	2617	1998-02-13	PRIJEM	PREVOD Z UCTU	3050	23805	\N	EF	66249376
766224	2617	1998-03-13	PRIJEM	PREVOD Z UCTU	3050	24032	\N	EF	66249376
766225	2617	1998-04-13	PRIJEM	PREVOD Z UCTU	3050	25131	\N	EF	66249376
766226	2617	1998-05-13	PRIJEM	PREVOD Z UCTU	3050	26235	\N	EF	66249376
766227	2617	1998-06-13	PRIJEM	PREVOD Z UCTU	3050	18583	\N	EF	66249376
766228	2617	1998-07-13	PRIJEM	PREVOD Z UCTU	3050	18676	\N	EF	66249376
766229	2617	1998-08-13	PRIJEM	PREVOD Z UCTU	3050	18281	\N	EF	66249376
766230	2617	1998-09-13	PRIJEM	PREVOD Z UCTU	3050	18065	\N	EF	66249376
766231	2617	1998-10-13	PRIJEM	PREVOD Z UCTU	3050	19140	\N	EF	66249376
766232	2617	1998-11-13	PRIJEM	PREVOD Z UCTU	3050	18834	\N	EF	66249376
766233	2617	1998-12-13	PRIJEM	PREVOD Z UCTU	3050	19911	\N	EF	66249376
766248	2617	1994-03-07	VYDAJ	PREVOD NA UCET	166	14057	SIPO	QR	48354953
766249	2617	1994-04-07	VYDAJ	PREVOD NA UCET	166	15121	SIPO	QR	48354953
766250	2617	1994-05-07	VYDAJ	PREVOD NA UCET	166	12104	SIPO	QR	48354953
766251	2617	1994-06-07	VYDAJ	PREVOD NA UCET	166	12951	SIPO	QR	48354953
766252	2617	1994-07-07	VYDAJ	PREVOD NA UCET	166	14010	SIPO	QR	48354953
766253	2617	1994-08-07	VYDAJ	PREVOD NA UCET	166	15074	SIPO	QR	48354953
766254	2617	1994-09-07	VYDAJ	PREVOD NA UCET	166	15452	SIPO	QR	48354953
766255	2617	1994-10-07	VYDAJ	PREVOD NA UCET	166	16522	SIPO	QR	48354953
766256	2617	1994-11-07	VYDAJ	PREVOD NA UCET	166	17596	SIPO	QR	48354953
766257	2617	1994-12-07	VYDAJ	PREVOD NA UCET	166	18675	SIPO	QR	48354953
766258	2617	1995-01-07	VYDAJ	PREVOD NA UCET	166	17387	SIPO	QR	48354953
766259	2617	1995-02-07	VYDAJ	PREVOD NA UCET	166	17655	SIPO	QR	48354953
766260	2617	1995-03-07	VYDAJ	PREVOD NA UCET	166	18734	SIPO	QR	48354953
766261	2617	1995-04-07	VYDAJ	PREVOD NA UCET	166	19818	SIPO	QR	48354953
766262	2617	1995-05-07	VYDAJ	PREVOD NA UCET	166	20905	SIPO	QR	48354953
766263	2617	1995-06-07	VYDAJ	PREVOD NA UCET	166	19148	SIPO	QR	48354953
766264	2617	1995-07-07	VYDAJ	PREVOD NA UCET	166	20235	SIPO	QR	48354953
766265	2617	1995-08-07	VYDAJ	PREVOD NA UCET	166	20005	SIPO	QR	48354953
766266	2617	1995-09-07	VYDAJ	PREVOD NA UCET	166	19952	SIPO	QR	48354953
766267	2617	1995-10-07	VYDAJ	PREVOD NA UCET	166	21040	SIPO	QR	48354953
766268	2617	1995-11-07	VYDAJ	PREVOD NA UCET	166	22133	SIPO	QR	48354953
766269	2617	1995-12-07	VYDAJ	PREVOD NA UCET	166	23020	SIPO	QR	48354953
766270	2617	1996-01-07	VYDAJ	PREVOD NA UCET	166	23489	SIPO	QR	48354953
766271	2617	1996-02-07	VYDAJ	PREVOD NA UCET	166	23692	SIPO	QR	48354953
766272	2617	1996-03-07	VYDAJ	PREVOD NA UCET	166	24796	SIPO	QR	48354953
766273	2617	1996-04-07	VYDAJ	PREVOD NA UCET	166	25904	SIPO	QR	48354953
766274	2617	1996-05-07	VYDAJ	PREVOD NA UCET	166	26837	SIPO	QR	48354953
766275	2617	1996-06-07	VYDAJ	PREVOD NA UCET	166	20784	SIPO	QR	48354953
766276	2617	1996-07-07	VYDAJ	PREVOD NA UCET	166	21881	SIPO	QR	48354953
766277	2617	1996-08-07	VYDAJ	PREVOD NA UCET	166	22977	SIPO	QR	48354953
766278	2617	1996-09-07	VYDAJ	PREVOD NA UCET	166	24078	SIPO	QR	48354953
766279	2617	1996-10-07	VYDAJ	PREVOD NA UCET	166	25183	SIPO	QR	48354953
766280	2617	1996-11-07	VYDAJ	PREVOD NA UCET	166	24971	SIPO	QR	48354953
766281	2617	1996-12-07	VYDAJ	PREVOD NA UCET	166	26079	SIPO	QR	48354953
766282	2617	1997-01-07	VYDAJ	PREVOD NA UCET	166	25569	SIPO	QR	48354953
766283	2617	1997-02-07	VYDAJ	PREVOD NA UCET	166	24215	SIPO	QR	48354953
766284	2617	1997-03-07	VYDAJ	PREVOD NA UCET	166	25320	SIPO	QR	48354953
766285	2617	1997-04-07	VYDAJ	PREVOD NA UCET	166	26430	SIPO	QR	48354953
766286	2617	1997-05-07	VYDAJ	PREVOD NA UCET	166	27545	SIPO	QR	48354953
766287	2617	1997-06-07	VYDAJ	PREVOD NA UCET	166	19392	SIPO	QR	48354953
766288	2617	1997-07-07	VYDAJ	PREVOD NA UCET	166	20480	SIPO	QR	48354953
766289	2617	1997-08-07	VYDAJ	PREVOD NA UCET	166	21570	SIPO	QR	48354953
766290	2617	1997-09-07	VYDAJ	PREVOD NA UCET	166	22063	SIPO	QR	48354953
766291	2617	1997-10-07	VYDAJ	PREVOD NA UCET	166	20817	SIPO	QR	48354953
766292	2617	1997-11-07	VYDAJ	PREVOD NA UCET	166	21909	SIPO	QR	48354953
766293	2617	1997-12-07	VYDAJ	PREVOD NA UCET	166	23005	SIPO	QR	48354953
766294	2617	1998-01-07	VYDAJ	PREVOD NA UCET	166	23294	SIPO	QR	48354953
766295	2617	1998-02-07	VYDAJ	PREVOD NA UCET	166	22622	SIPO	QR	48354953
766296	2617	1998-03-07	VYDAJ	PREVOD NA UCET	166	22849	SIPO	QR	48354953
766297	2617	1998-04-07	VYDAJ	PREVOD NA UCET	166	23948	SIPO	QR	48354953
766298	2617	1998-05-07	VYDAJ	PREVOD NA UCET	166	25052	SIPO	QR	48354953
766299	2617	1998-06-07	VYDAJ	PREVOD NA UCET	166	17400	SIPO	QR	48354953
766300	2617	1998-07-07	VYDAJ	PREVOD NA UCET	166	17493	SIPO	QR	48354953
766301	2617	1998-08-07	VYDAJ	PREVOD NA UCET	166	17098	SIPO	QR	48354953
766302	2617	1998-09-07	VYDAJ	PREVOD NA UCET	166	16882	SIPO	QR	48354953
766303	2617	1998-10-07	VYDAJ	PREVOD NA UCET	166	17957	SIPO	QR	48354953
766304	2617	1998-11-07	VYDAJ	PREVOD NA UCET	166	17651	SIPO	QR	48354953
766305	2617	1998-12-07	VYDAJ	PREVOD NA UCET	166	18728	SIPO	QR	48354953
766320	2617	1994-03-12	VYDAJ	PREVOD NA UCET	1867	12190	 	OP	4205275
766321	2617	1994-04-12	VYDAJ	PREVOD NA UCET	1867	13254	 	OP	4205275
766322	2617	1994-05-12	VYDAJ	PREVOD NA UCET	1867	10237	 	OP	4205275
766323	2617	1994-06-12	VYDAJ	PREVOD NA UCET	1867	11084	 	OP	4205275
766324	2617	1994-07-12	VYDAJ	PREVOD NA UCET	1867	12143	 	OP	4205275
766325	2617	1994-08-12	VYDAJ	PREVOD NA UCET	1867	13207	 	OP	4205275
766326	2617	1994-09-12	VYDAJ	PREVOD NA UCET	1867	13585	 	OP	4205275
766327	2617	1994-10-12	VYDAJ	PREVOD NA UCET	1867	14655	 	OP	4205275
766328	2617	1994-11-12	VYDAJ	PREVOD NA UCET	1867	15729	 	OP	4205275
766329	2617	1994-12-12	VYDAJ	PREVOD NA UCET	1867	16808	 	OP	4205275
766330	2617	1995-01-12	VYDAJ	PREVOD NA UCET	1867	15520	 	OP	4205275
766331	2617	1995-02-12	VYDAJ	PREVOD NA UCET	1867	15788	 	OP	4205275
766332	2617	1995-03-12	VYDAJ	PREVOD NA UCET	1867	16867	 	OP	4205275
766333	2617	1995-04-12	VYDAJ	PREVOD NA UCET	1867	17951	 	OP	4205275
766334	2617	1995-05-12	VYDAJ	PREVOD NA UCET	1867	19038	 	OP	4205275
766335	2617	1995-06-12	VYDAJ	PREVOD NA UCET	1867	17281	 	OP	4205275
766336	2617	1995-07-12	VYDAJ	PREVOD NA UCET	1867	18368	 	OP	4205275
766337	2617	1995-08-12	VYDAJ	PREVOD NA UCET	1867	17598	 	OP	4205275
766338	2617	1995-09-12	VYDAJ	PREVOD NA UCET	1867	18085	 	OP	4205275
766339	2617	1995-10-12	VYDAJ	PREVOD NA UCET	1867	19173	 	OP	4205275
766340	2617	1995-11-12	VYDAJ	PREVOD NA UCET	1867	20266	 	OP	4205275
766341	2617	1995-12-12	VYDAJ	PREVOD NA UCET	1867	21153	 	OP	4205275
766342	2617	1996-01-12	VYDAJ	PREVOD NA UCET	1867	21622	 	OP	4205275
766343	2617	1996-02-12	VYDAJ	PREVOD NA UCET	1867	21825	 	OP	4205275
766344	2617	1996-03-12	VYDAJ	PREVOD NA UCET	1867	22929	 	OP	4205275
766345	2617	1996-04-12	VYDAJ	PREVOD NA UCET	1867	24037	 	OP	4205275
766346	2617	1996-05-12	VYDAJ	PREVOD NA UCET	1867	24970	 	OP	4205275
766347	2617	1996-06-12	VYDAJ	PREVOD NA UCET	1867	18917	 	OP	4205275
766348	2617	1996-07-12	VYDAJ	PREVOD NA UCET	1867	20014	 	OP	4205275
766349	2617	1996-08-12	VYDAJ	PREVOD NA UCET	1867	21110	 	OP	4205275
766350	2617	1996-09-12	VYDAJ	PREVOD NA UCET	1867	22211	 	OP	4205275
766351	2617	1996-10-12	VYDAJ	PREVOD NA UCET	1867	23316	 	OP	4205275
766352	2617	1996-11-12	VYDAJ	PREVOD NA UCET	1867	23104	 	OP	4205275
766353	2617	1996-12-12	VYDAJ	PREVOD NA UCET	1867	24212	 	OP	4205275
766354	2617	1997-01-12	VYDAJ	PREVOD NA UCET	1867	22682	 	OP	4205275
766355	2617	1997-02-12	VYDAJ	PREVOD NA UCET	1867	22348	 	OP	4205275
766356	2617	1997-03-12	VYDAJ	PREVOD NA UCET	1867	23453	 	OP	4205275
766357	2617	1997-04-12	VYDAJ	PREVOD NA UCET	1867	24563	 	OP	4205275
766358	2617	1997-05-12	VYDAJ	PREVOD NA UCET	1867	24568	 	OP	4205275
766359	2617	1997-06-12	VYDAJ	PREVOD NA UCET	1867	17525	 	OP	4205275
766360	2617	1997-07-12	VYDAJ	PREVOD NA UCET	1867	18613	 	OP	4205275
766361	2617	1997-08-12	VYDAJ	PREVOD NA UCET	1867	19703	 	OP	4205275
766362	2617	1997-09-12	VYDAJ	PREVOD NA UCET	1867	20196	 	OP	4205275
766363	2617	1997-10-12	VYDAJ	PREVOD NA UCET	1867	18950	 	OP	4205275
766364	2617	1997-11-12	VYDAJ	PREVOD NA UCET	1867	20042	 	OP	4205275
766365	2617	1997-12-12	VYDAJ	PREVOD NA UCET	1867	21138	 	OP	4205275
766366	2617	1998-01-12	VYDAJ	PREVOD NA UCET	1867	21427	 	OP	4205275
766367	2617	1998-02-12	VYDAJ	PREVOD NA UCET	1867	20755	 	OP	4205275
766368	2617	1998-03-12	VYDAJ	PREVOD NA UCET	1867	20982	 	OP	4205275
766369	2617	1998-04-12	VYDAJ	PREVOD NA UCET	1867	22081	 	OP	4205275
766370	2617	1998-05-12	VYDAJ	PREVOD NA UCET	1867	23185	 	OP	4205275
766371	2617	1998-06-12	VYDAJ	PREVOD NA UCET	1867	15533	 	OP	4205275
766372	2617	1998-07-12	VYDAJ	PREVOD NA UCET	1867	15626	 	OP	4205275
766373	2617	1998-08-12	VYDAJ	PREVOD NA UCET	1867	15231	 	OP	4205275
766374	2617	1998-09-12	VYDAJ	PREVOD NA UCET	1867	15015	 	OP	4205275
766375	2617	1998-10-12	VYDAJ	PREVOD NA UCET	1867	16090	 	OP	4205275
766376	2617	1998-11-12	VYDAJ	PREVOD NA UCET	1867	15784	 	OP	4205275
766377	2617	1998-12-12	VYDAJ	PREVOD NA UCET	1867	16861	 	OP	4205275
766380	2617	1995-06-01	VYDAJ	VYBER	2850	19314	\N	\N	\N
766381	2617	1996-06-07	VYDAJ	VYBER	7170	20950	\N	\N	\N
766382	2617	1997-06-04	VYDAJ	VYBER	6690	19558	\N	\N	\N
766383	2617	1998-06-04	VYDAJ	VYBER	8760	17566	\N	\N	\N
766386	2617	1995-01-05	VYDAJ	VYBER	1650	17553	\N	\N	\N
766387	2617	1996-01-28	VYDAJ	VYBER	900	23772	\N	\N	\N
766388	2617	1997-01-10	VYDAJ	VYBER	1020	24549	\N	\N	\N
766389	2617	1998-01-21	VYDAJ	VYBER	1770	22707	\N	\N	\N
766391	2617	1994-12-21	VYDAJ	VYBER	720	19138	\N	\N	\N
766392	2617	1995-12-12	VYDAJ	VYBER	630	20523	\N	\N	\N
766393	2617	1996-12-15	VYDAJ	VYBER	240	27022	\N	\N	\N
766394	2617	1997-12-25	VYDAJ	VYBER	810	23378	\N	\N	\N
766395	2617	1998-12-24	VYDAJ	VYBER	630	19281	\N	\N	\N
766401	2617	1994-04-14	VYDAJ	VYBER	1350	14954	\N	\N	\N
766402	2617	1994-05-14	VYDAJ	VYBER	210	13077	\N	\N	\N
766403	2617	1994-05-01	VYDAJ	VYBER	1380	12270	\N	\N	\N
766404	2617	1994-04-21	VYDAJ	VYBER	1350	13604	\N	\N	\N
766405	2617	1994-02-16	VYDAJ	VYBER	1440	14210	\N	\N	\N
766407	2617	1994-09-02	VYDAJ	VYBER	690	15618	\N	\N	\N
766408	2617	1995-08-17	VYDAJ	VYBER	600	20048	\N	\N	\N
766409	2617	1995-01-26	VYDAJ	VYBER	810	17760	\N	\N	\N
766410	2617	1995-08-04	VYDAJ	VYBER	1320	20171	\N	\N	\N
766411	2617	1995-11-19	VYDAJ	VYBER	210	23106	\N	\N	\N
766412	2617	1995-08-12	VYDAJ	VYBER	540	19465	\N	\N	\N
766413	2617	1996-12-16	VYDAJ	VYBER	1380	25642	\N	\N	\N
766414	2617	1996-10-20	VYDAJ	VYBER	1320	25046	\N	\N	\N
766415	2617	1996-04-26	VYDAJ	VYBER	180	26907	\N	\N	\N
766416	2617	1997-08-20	VYDAJ	VYBER	600	22153	\N	\N	\N
766417	2617	1997-10-01	VYDAJ	VYBER	1470	20983	\N	\N	\N
766418	2617	1997-06-02	VYDAJ	VYBER	1470	26248	\N	\N	\N
766419	2617	1997-01-19	VYDAJ	VYBER	1110	24622	\N	\N	\N
766420	2617	1997-01-20	VYDAJ	VYBER	330	24292	\N	\N	\N
766421	2617	1997-05-12	VYDAJ	VYBER	1110	26435	\N	\N	\N
766422	2617	1997-09-18	VYDAJ	VYBER	870	22376	\N	\N	\N
766423	2617	1998-08-18	VYDAJ	VYBER	450	17831	\N	\N	\N
766424	2617	1998-07-16	VYDAJ	VYBER	750	17926	\N	\N	\N
766425	2617	1998-02-22	VYDAJ	VYBER	870	22935	\N	\N	\N
766426	2617	1998-06-30	VYDAJ	VYBER	990	17674	\N	\N	\N
766427	2617	1998-10-13	VYDAJ	VYBER	1380	17760	\N	\N	\N
766428	2617	1998-08-06	VYDAJ	VYBER	720	17264	\N	\N	\N
766429	2617	1998-09-02	VYDAJ	VYBER	840	17048	\N	\N	\N
766444	2617	1994-02-28	VYDAJ	VYBER	15	14223	SLUZBY	\N	\N
766445	2617	1994-03-31	VYDAJ	VYBER	15	15287	SLUZBY	\N	\N
766446	2617	1994-04-30	VYDAJ	VYBER	15	13650	SLUZBY	\N	\N
766447	2617	1994-05-31	VYDAJ	VYBER	15	13117	SLUZBY	\N	\N
766448	2617	1994-06-30	VYDAJ	VYBER	15	14176	SLUZBY	\N	\N
766449	2617	1994-07-31	VYDAJ	VYBER	15	15240	SLUZBY	\N	\N
766450	2617	1994-08-31	VYDAJ	VYBER	15	16308	SLUZBY	\N	\N
766451	2617	1994-09-30	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
766452	2617	1994-10-31	VYDAJ	VYBER	15	17762	SLUZBY	\N	\N
766453	2617	1994-11-30	VYDAJ	VYBER	15	18841	SLUZBY	\N	\N
766454	2617	1994-12-31	VYDAJ	VYBER	15	19203	SLUZBY	\N	\N
766455	2617	1995-01-31	VYDAJ	VYBER	15	17821	SLUZBY	\N	\N
766456	2617	1995-02-28	VYDAJ	VYBER	15	18900	SLUZBY	\N	\N
766457	2617	1995-03-31	VYDAJ	VYBER	15	19984	SLUZBY	\N	\N
766458	2617	1995-04-30	VYDAJ	VYBER	15	21071	SLUZBY	\N	\N
766459	2617	1995-05-31	VYDAJ	VYBER	15	22164	SLUZBY	\N	\N
766460	2617	1995-06-30	VYDAJ	VYBER	15	20401	SLUZBY	\N	\N
766461	2617	1995-07-31	VYDAJ	VYBER	15	21491	SLUZBY	\N	\N
766462	2617	1995-08-31	VYDAJ	VYBER	15	20118	SLUZBY	\N	\N
766463	2617	1995-09-30	VYDAJ	VYBER	15	21206	SLUZBY	\N	\N
766464	2617	1995-10-31	VYDAJ	VYBER	15	22299	SLUZBY	\N	\N
766465	2617	1995-11-30	VYDAJ	VYBER	15	23186	SLUZBY	\N	\N
766466	2617	1995-12-31	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
766467	2617	1996-01-31	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
766468	2617	1996-02-29	VYDAJ	VYBER	15	24962	SLUZBY	\N	\N
766469	2617	1996-03-31	VYDAJ	VYBER	15	26070	SLUZBY	\N	\N
766470	2617	1996-04-30	VYDAJ	VYBER	15	27003	SLUZBY	\N	\N
766471	2617	1996-05-31	VYDAJ	VYBER	15	28120	SLUZBY	\N	\N
766472	2617	1996-06-30	VYDAJ	VYBER	15	22047	SLUZBY	\N	\N
766473	2617	1996-07-31	VYDAJ	VYBER	15	23143	SLUZBY	\N	\N
766474	2617	1996-08-31	VYDAJ	VYBER	15	24244	SLUZBY	\N	\N
766475	2617	1996-09-30	VYDAJ	VYBER	15	25349	SLUZBY	\N	\N
766476	2617	1996-10-31	VYDAJ	VYBER	15	25137	SLUZBY	\N	\N
766477	2617	1996-11-30	VYDAJ	VYBER	15	26245	SLUZBY	\N	\N
766478	2617	1996-12-31	VYDAJ	VYBER	15	25735	SLUZBY	\N	\N
766479	2617	1997-01-31	VYDAJ	VYBER	15	24381	SLUZBY	\N	\N
766480	2617	1997-02-28	VYDAJ	VYBER	15	25486	SLUZBY	\N	\N
766481	2617	1997-03-31	VYDAJ	VYBER	15	26596	SLUZBY	\N	\N
766482	2617	1997-04-30	VYDAJ	VYBER	15	27711	SLUZBY	\N	\N
766483	2617	1997-05-31	VYDAJ	VYBER	15	27718	SLUZBY	\N	\N
766484	2617	1997-06-30	VYDAJ	VYBER	15	20646	SLUZBY	\N	\N
766485	2617	1997-07-31	VYDAJ	VYBER	15	21736	SLUZBY	\N	\N
766486	2617	1997-08-31	VYDAJ	VYBER	15	22229	SLUZBY	\N	\N
766487	2617	1997-09-30	VYDAJ	VYBER	15	22453	SLUZBY	\N	\N
766488	2617	1997-10-31	VYDAJ	VYBER	15	22075	SLUZBY	\N	\N
766489	2617	1997-11-30	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
766490	2617	1997-12-31	VYDAJ	VYBER	15	23460	SLUZBY	\N	\N
766491	2617	1998-01-31	VYDAJ	VYBER	15	22788	SLUZBY	\N	\N
766492	2617	1998-02-28	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
766493	2617	1998-03-31	VYDAJ	VYBER	15	24114	SLUZBY	\N	\N
766494	2617	1998-04-30	VYDAJ	VYBER	15	25218	SLUZBY	\N	\N
766495	2617	1998-05-31	VYDAJ	VYBER	15	26326	SLUZBY	\N	\N
766496	2617	1998-06-30	VYDAJ	VYBER	15	17659	SLUZBY	\N	\N
766497	2617	1998-07-31	VYDAJ	VYBER	15	17984	SLUZBY	\N	\N
766498	2617	1998-08-31	VYDAJ	VYBER	15	17888	SLUZBY	\N	\N
766499	2617	1998-09-30	VYDAJ	VYBER	15	18123	SLUZBY	\N	\N
766500	2617	1998-10-31	VYDAJ	VYBER	15	17817	SLUZBY	\N	\N
766501	2617	1998-11-30	VYDAJ	VYBER	15	18894	SLUZBY	\N	\N
766561	2618	1993-03-21	PRIJEM	VKLAD	600	600	\N	\N	\N
766565	2618	1993-04-08	PRIJEM	PREVOD Z UCTU	6559	7159	DUCHOD	GH	36180985
766566	2618	1993-05-08	PRIJEM	PREVOD Z UCTU	6559	13718	DUCHOD	GH	36180985
766567	2618	1993-06-08	PRIJEM	PREVOD Z UCTU	6559	20277	DUCHOD	GH	36180985
766568	2618	1993-07-08	PRIJEM	PREVOD Z UCTU	6559	26836	DUCHOD	GH	36180985
766569	2618	1993-08-08	PRIJEM	PREVOD Z UCTU	6559	33242	DUCHOD	GH	36180985
766570	2618	1993-09-08	PRIJEM	PREVOD Z UCTU	6559	32581	DUCHOD	GH	36180985
766571	2618	1993-10-08	PRIJEM	PREVOD Z UCTU	6559	29244	DUCHOD	GH	36180985
766572	2618	1993-11-08	PRIJEM	PREVOD Z UCTU	6559	28275	DUCHOD	GH	36180985
766573	2618	1993-12-08	PRIJEM	PREVOD Z UCTU	6559	31711	DUCHOD	GH	36180985
766574	2618	1994-01-08	PRIJEM	PREVOD Z UCTU	6559	26854	DUCHOD	GH	36180985
766575	2618	1994-02-08	PRIJEM	PREVOD Z UCTU	6559	23495	DUCHOD	GH	36180985
766576	2618	1994-03-08	PRIJEM	PREVOD Z UCTU	6559	26710	DUCHOD	GH	36180985
766577	2618	1994-04-08	PRIJEM	PREVOD Z UCTU	6559	29338	DUCHOD	GH	36180985
766578	2618	1994-05-08	PRIJEM	PREVOD Z UCTU	6559	29270	DUCHOD	GH	36180985
766579	2618	1994-06-08	PRIJEM	PREVOD Z UCTU	6559	25337	DUCHOD	GH	36180985
766580	2618	1994-07-08	PRIJEM	PREVOD Z UCTU	6559	28761	DUCHOD	GH	36180985
766581	2618	1994-08-08	PRIJEM	PREVOD Z UCTU	6559	30695	DUCHOD	GH	36180985
766582	2618	1994-09-08	PRIJEM	PREVOD Z UCTU	6559	27867	DUCHOD	GH	36180985
766583	2618	1994-10-08	PRIJEM	PREVOD Z UCTU	6559	28695	DUCHOD	GH	36180985
766584	2618	1994-11-08	PRIJEM	PREVOD Z UCTU	6559	25256	DUCHOD	GH	36180985
766585	2618	1994-12-08	PRIJEM	PREVOD Z UCTU	6559	21848	DUCHOD	GH	36180985
766586	2618	1995-01-08	PRIJEM	PREVOD Z UCTU	6559	18851	DUCHOD	GH	36180985
766587	2618	1995-02-08	PRIJEM	PREVOD Z UCTU	6559	17999	DUCHOD	GH	36180985
766588	2618	1995-03-08	PRIJEM	PREVOD Z UCTU	6559	21392	DUCHOD	GH	36180985
766589	2618	1995-04-08	PRIJEM	PREVOD Z UCTU	6559	24799	DUCHOD	GH	36180985
766590	2618	1995-05-08	PRIJEM	PREVOD Z UCTU	6559	22323	DUCHOD	GH	36180985
766591	2618	1995-06-08	PRIJEM	PREVOD Z UCTU	6559	20701	DUCHOD	GH	36180985
766592	2618	1995-07-08	PRIJEM	PREVOD Z UCTU	6559	24105	DUCHOD	GH	36180985
766593	2618	1995-08-08	PRIJEM	PREVOD Z UCTU	6559	22750	DUCHOD	GH	36180985
766594	2618	1995-09-08	PRIJEM	PREVOD Z UCTU	6559	20645	DUCHOD	GH	36180985
766595	2618	1995-10-08	PRIJEM	PREVOD Z UCTU	6559	18361	DUCHOD	GH	36180985
766596	2618	1995-11-08	PRIJEM	PREVOD Z UCTU	6559	19395	DUCHOD	GH	36180985
766597	2618	1995-12-08	PRIJEM	PREVOD Z UCTU	6559	20194	DUCHOD	GH	36180985
766598	2618	1996-01-08	PRIJEM	PREVOD Z UCTU	6559	16326	DUCHOD	GH	36180985
766599	2618	1996-02-08	PRIJEM	PREVOD Z UCTU	6559	17049	DUCHOD	GH	36180985
766600	2618	1996-03-08	PRIJEM	PREVOD Z UCTU	6559	18936	DUCHOD	GH	36180985
766601	2618	1996-04-08	PRIJEM	PREVOD Z UCTU	6559	20033	DUCHOD	GH	36180985
766602	2618	1996-05-08	PRIJEM	PREVOD Z UCTU	6559	19834	DUCHOD	GH	36180985
766603	2618	1996-06-08	PRIJEM	PREVOD Z UCTU	6559	18636	DUCHOD	GH	36180985
766604	2618	1996-07-08	PRIJEM	PREVOD Z UCTU	6559	17533	DUCHOD	GH	36180985
766605	2618	1996-08-08	PRIJEM	PREVOD Z UCTU	6559	17625	DUCHOD	GH	36180985
766606	2618	1996-09-08	PRIJEM	PREVOD Z UCTU	6559	18617	DUCHOD	GH	36180985
766607	2618	1996-10-08	PRIJEM	PREVOD Z UCTU	6559	16129	DUCHOD	GH	36180985
766608	2618	1996-11-08	PRIJEM	PREVOD Z UCTU	6559	19315	DUCHOD	GH	36180985
766609	2618	1996-12-08	PRIJEM	PREVOD Z UCTU	6559	22712	DUCHOD	GH	36180985
766610	2618	1997-01-08	PRIJEM	PREVOD Z UCTU	6559	17019	DUCHOD	GH	36180985
766611	2618	1997-02-08	PRIJEM	PREVOD Z UCTU	6559	17522	DUCHOD	GH	36180985
766612	2618	1997-03-08	PRIJEM	PREVOD Z UCTU	6559	20911	DUCHOD	GH	36180985
766613	2618	1997-04-08	PRIJEM	PREVOD Z UCTU	6559	24315	DUCHOD	GH	36180985
766614	2618	1997-05-08	PRIJEM	PREVOD Z UCTU	6559	27733	DUCHOD	GH	36180985
766615	2618	1997-06-08	PRIJEM	PREVOD Z UCTU	6559	15959	DUCHOD	GH	36180985
766616	2618	1997-07-08	PRIJEM	PREVOD Z UCTU	6559	19342	DUCHOD	GH	36180985
766617	2618	1997-08-08	PRIJEM	PREVOD Z UCTU	6559	18735	DUCHOD	GH	36180985
766618	2618	1997-09-08	PRIJEM	PREVOD Z UCTU	6559	22130	DUCHOD	GH	36180985
766619	2618	1997-10-08	PRIJEM	PREVOD Z UCTU	6559	23937	DUCHOD	GH	36180985
766620	2618	1997-11-08	PRIJEM	PREVOD Z UCTU	6559	27353	DUCHOD	GH	36180985
766621	2618	1997-12-08	PRIJEM	PREVOD Z UCTU	6559	30783	DUCHOD	GH	36180985
766622	2618	1998-01-08	PRIJEM	PREVOD Z UCTU	6559	18613	DUCHOD	GH	36180985
766623	2618	1998-02-08	PRIJEM	PREVOD Z UCTU	6559	19040	DUCHOD	GH	36180985
766624	2618	1998-03-08	PRIJEM	PREVOD Z UCTU	6559	22435	DUCHOD	GH	36180985
766625	2618	1998-04-08	PRIJEM	PREVOD Z UCTU	6559	25844	DUCHOD	GH	36180985
766626	2618	1998-05-08	PRIJEM	PREVOD Z UCTU	6559	29268	DUCHOD	GH	36180985
766627	2618	1998-06-08	PRIJEM	PREVOD Z UCTU	6559	17689	DUCHOD	GH	36180985
766628	2618	1998-07-08	PRIJEM	PREVOD Z UCTU	6559	21079	DUCHOD	GH	36180985
766629	2618	1998-08-08	PRIJEM	PREVOD Z UCTU	6559	24081	DUCHOD	GH	36180985
766630	2618	1998-09-08	PRIJEM	PREVOD Z UCTU	6559	26137	DUCHOD	GH	36180985
766631	2618	1998-10-08	PRIJEM	PREVOD Z UCTU	6559	28362	DUCHOD	GH	36180985
766632	2618	1998-11-08	PRIJEM	PREVOD Z UCTU	6559	31795	DUCHOD	GH	36180985
766633	2618	1998-12-08	PRIJEM	PREVOD Z UCTU	6559	30034	DUCHOD	GH	36180985
766642	2618	1993-09-06	VYDAJ	PREVOD NA UCET	3223	26022	SIPO	WX	72358518
766643	2618	1993-10-06	VYDAJ	PREVOD NA UCET	3223	22685	SIPO	WX	72358518
766644	2618	1993-11-06	VYDAJ	PREVOD NA UCET	3223	21716	SIPO	WX	72358518
766645	2618	1993-12-06	VYDAJ	PREVOD NA UCET	3223	25152	SIPO	WX	72358518
766646	2618	1994-01-06	VYDAJ	PREVOD NA UCET	3223	20295	SIPO	WX	72358518
766647	2618	1994-02-06	VYDAJ	PREVOD NA UCET	3223	16936	SIPO	WX	72358518
766648	2618	1994-03-06	VYDAJ	PREVOD NA UCET	3223	20151	SIPO	WX	72358518
766649	2618	1994-04-06	VYDAJ	PREVOD NA UCET	3223	22779	SIPO	WX	72358518
766650	2618	1994-05-06	VYDAJ	PREVOD NA UCET	3223	22711	SIPO	WX	72358518
766651	2618	1994-06-06	VYDAJ	PREVOD NA UCET	3223	18778	SIPO	WX	72358518
766652	2618	1994-07-06	VYDAJ	PREVOD NA UCET	3223	22202	SIPO	WX	72358518
766653	2618	1994-08-06	VYDAJ	PREVOD NA UCET	3223	24136	SIPO	WX	72358518
766654	2618	1994-09-06	VYDAJ	PREVOD NA UCET	3223	21308	SIPO	WX	72358518
766655	2618	1994-10-06	VYDAJ	PREVOD NA UCET	3223	22136	SIPO	WX	72358518
766656	2618	1994-11-06	VYDAJ	PREVOD NA UCET	3223	18697	SIPO	WX	72358518
766657	2618	1994-12-06	VYDAJ	PREVOD NA UCET	3223	15289	SIPO	WX	72358518
766658	2618	1995-01-06	VYDAJ	PREVOD NA UCET	3223	12292	SIPO	WX	72358518
766659	2618	1995-02-06	VYDAJ	PREVOD NA UCET	3223	11440	SIPO	WX	72358518
766660	2618	1995-03-06	VYDAJ	PREVOD NA UCET	3223	14833	SIPO	WX	72358518
766661	2618	1995-04-06	VYDAJ	PREVOD NA UCET	3223	18240	SIPO	WX	72358518
766662	2618	1995-05-06	VYDAJ	PREVOD NA UCET	3223	15764	SIPO	WX	72358518
766663	2618	1995-06-06	VYDAJ	PREVOD NA UCET	3223	14142	SIPO	WX	72358518
766664	2618	1995-07-06	VYDAJ	PREVOD NA UCET	3223	17546	SIPO	WX	72358518
766665	2618	1995-08-06	VYDAJ	PREVOD NA UCET	3223	16191	SIPO	WX	72358518
766666	2618	1995-09-06	VYDAJ	PREVOD NA UCET	3223	14086	SIPO	WX	72358518
766667	2618	1995-10-06	VYDAJ	PREVOD NA UCET	3223	11802	SIPO	WX	72358518
766668	2618	1995-11-06	VYDAJ	PREVOD NA UCET	3223	12836	SIPO	WX	72358518
766669	2618	1995-12-06	VYDAJ	PREVOD NA UCET	3223	16235	SIPO	WX	72358518
766670	2618	1996-01-06	VYDAJ	PREVOD NA UCET	3223	9767	SIPO	WX	72358518
766671	2618	1996-02-06	VYDAJ	PREVOD NA UCET	3223	10490	SIPO	WX	72358518
766672	2618	1996-03-06	VYDAJ	PREVOD NA UCET	3223	12377	SIPO	WX	72358518
766673	2618	1996-04-06	VYDAJ	PREVOD NA UCET	3223	13474	SIPO	WX	72358518
766674	2618	1996-05-06	VYDAJ	PREVOD NA UCET	3223	13275	SIPO	WX	72358518
766675	2618	1996-06-06	VYDAJ	PREVOD NA UCET	3223	12077	SIPO	WX	72358518
766676	2618	1996-07-06	VYDAJ	PREVOD NA UCET	3223	10974	SIPO	WX	72358518
766677	2618	1996-08-06	VYDAJ	PREVOD NA UCET	3223	11066	SIPO	WX	72358518
766678	2618	1996-09-06	VYDAJ	PREVOD NA UCET	3223	12058	SIPO	WX	72358518
766679	2618	1996-10-06	VYDAJ	PREVOD NA UCET	3223	9570	SIPO	WX	72358518
766680	2618	1996-11-06	VYDAJ	PREVOD NA UCET	3223	12756	SIPO	WX	72358518
766681	2618	1996-12-06	VYDAJ	PREVOD NA UCET	3223	16153	SIPO	WX	72358518
766682	2618	1997-01-06	VYDAJ	PREVOD NA UCET	3223	10460	SIPO	WX	72358518
766683	2618	1997-02-06	VYDAJ	PREVOD NA UCET	3223	10963	SIPO	WX	72358518
766684	2618	1997-03-06	VYDAJ	PREVOD NA UCET	3223	14352	SIPO	WX	72358518
766685	2618	1997-04-06	VYDAJ	PREVOD NA UCET	3223	17756	SIPO	WX	72358518
766686	2618	1997-05-06	VYDAJ	PREVOD NA UCET	3223	21174	SIPO	WX	72358518
766687	2618	1997-06-06	VYDAJ	PREVOD NA UCET	3223	9400	SIPO	WX	72358518
766688	2618	1997-07-06	VYDAJ	PREVOD NA UCET	3223	12783	SIPO	WX	72358518
766689	2618	1997-08-06	VYDAJ	PREVOD NA UCET	3223	12176	SIPO	WX	72358518
766690	2618	1997-09-06	VYDAJ	PREVOD NA UCET	3223	15571	SIPO	WX	72358518
766691	2618	1997-10-06	VYDAJ	PREVOD NA UCET	3223	17378	SIPO	WX	72358518
766692	2618	1997-11-06	VYDAJ	PREVOD NA UCET	3223	20794	SIPO	WX	72358518
766693	2618	1997-12-06	VYDAJ	PREVOD NA UCET	3223	24224	SIPO	WX	72358518
766694	2618	1998-01-06	VYDAJ	PREVOD NA UCET	3223	12054	SIPO	WX	72358518
766695	2618	1998-02-06	VYDAJ	PREVOD NA UCET	3223	12481	SIPO	WX	72358518
766696	2618	1998-03-06	VYDAJ	PREVOD NA UCET	3223	15876	SIPO	WX	72358518
766697	2618	1998-04-06	VYDAJ	PREVOD NA UCET	3223	19285	SIPO	WX	72358518
766698	2618	1998-05-06	VYDAJ	PREVOD NA UCET	3223	22709	SIPO	WX	72358518
766699	2618	1998-06-06	VYDAJ	PREVOD NA UCET	3223	11130	SIPO	WX	72358518
766700	2618	1998-07-06	VYDAJ	PREVOD NA UCET	3223	14520	SIPO	WX	72358518
766701	2618	1998-08-06	VYDAJ	PREVOD NA UCET	3223	17522	SIPO	WX	72358518
766702	2618	1998-09-06	VYDAJ	PREVOD NA UCET	3223	19578	SIPO	WX	72358518
766703	2618	1998-10-06	VYDAJ	PREVOD NA UCET	3223	21803	SIPO	WX	72358518
766704	2618	1998-11-06	VYDAJ	PREVOD NA UCET	3223	25236	SIPO	WX	72358518
766705	2618	1998-12-06	VYDAJ	PREVOD NA UCET	3223	23475	SIPO	WX	72358518
766712	2618	1993-12-22	VYDAJ	VYBER	1200	27811	\N	\N	\N
766713	2618	1994-12-27	VYDAJ	VYBER	1000	17688	\N	\N	\N
766714	2618	1995-12-16	VYDAJ	VYBER	450	19744	\N	\N	\N
766715	2618	1996-12-11	VYDAJ	VYBER	1100	21612	\N	\N	\N
766717	2618	1998-12-02	VYDAJ	VYBER	800	26698	\N	\N	\N
766724	2618	1994-01-17	VYDAJ	VYBER	2080	24474	\N	\N	\N
766725	2618	1994-01-01	VYDAJ	VYBER	1200	26718	\N	\N	\N
766726	2618	1994-01-27	VYDAJ	VYBER	2240	20074	\N	\N	\N
766727	2618	1994-01-02	VYDAJ	VYBER	2320	24398	\N	\N	\N
766728	2618	1994-01-04	VYDAJ	VYBER	880	23518	\N	\N	\N
766729	2618	1994-01-20	VYDAJ	VYBER	2160	22314	\N	\N	\N
766730	2618	1995-01-11	VYDAJ	VYBER	1040	17171	\N	\N	\N
766731	2618	1995-01-09	VYDAJ	VYBER	640	18211	\N	\N	\N
766733	2618	1995-01-04	VYDAJ	VYBER	2240	15515	\N	\N	\N
766734	2618	1995-01-16	VYDAJ	VYBER	2080	15091	\N	\N	\N
766735	2618	1995-01-30	VYDAJ	VYBER	480	14611	\N	\N	\N
766737	2618	1996-01-28	VYDAJ	VYBER	720	13766	\N	\N	\N
766739	2618	1996-01-11	VYDAJ	VYBER	1360	14966	\N	\N	\N
766740	2618	1996-01-02	VYDAJ	VYBER	1120	18690	\N	\N	\N
766745	2618	1997-01-26	VYDAJ	VYBER	640	14139	\N	\N	\N
766746	2618	1997-01-19	VYDAJ	VYBER	1040	14779	\N	\N	\N
766747	2618	1997-01-15	VYDAJ	VYBER	1200	15819	\N	\N	\N
766748	2618	1998-01-09	VYDAJ	VYBER	1040	17573	\N	\N	\N
766753	2618	1998-01-17	VYDAJ	VYBER	1920	15653	\N	\N	\N
766754	2618	1993-09-10	VYDAJ	VYBER	1120	31461	\N	\N	\N
766758	2618	1993-08-15	VYDAJ	VYBER	1600	31642	\N	\N	\N
766759	2618	1993-10-01	VYDAJ	VYBER	1760	25908	\N	\N	\N
766760	2618	1994-10-19	VYDAJ	VYBER	1760	21835	\N	\N	\N
766761	2618	1994-05-23	VYDAJ	VYBER	3360	21910	\N	\N	\N
766762	2618	1994-12-06	VYDAJ	VYBER	3120	18512	\N	\N	\N
766763	2618	1994-12-24	VYDAJ	VYBER	1360	18688	\N	\N	\N
766764	2618	1994-08-25	VYDAJ	VYBER	1360	24435	\N	\N	\N
766765	2618	1995-07-16	VYDAJ	VYBER	1760	19345	\N	\N	\N
766767	2618	1995-05-17	VYDAJ	VYBER	2320	17303	\N	\N	\N
766768	2618	1995-09-22	VYDAJ	VYBER	3680	14965	\N	\N	\N
766769	2618	1995-04-11	VYDAJ	VYBER	880	18919	\N	\N	\N
766770	2618	1995-11-04	VYDAJ	VYBER	960	17459	\N	\N	\N
766771	2618	1995-09-20	VYDAJ	VYBER	2000	18645	\N	\N	\N
766774	2618	1996-09-21	VYDAJ	VYBER	1440	16537	\N	\N	\N
766775	2618	1996-01-13	VYDAJ	VYBER	480	14486	\N	\N	\N
766776	2618	1996-09-11	VYDAJ	VYBER	640	17977	\N	\N	\N
766777	2618	1997-08-04	VYDAJ	VYBER	2320	15399	\N	\N	\N
766778	2618	1997-09-23	VYDAJ	VYBER	1600	20530	\N	\N	\N
766779	2618	1997-07-12	VYDAJ	VYBER	1680	17662	\N	\N	\N
766780	2618	1998-09-04	VYDAJ	VYBER	1360	22801	\N	\N	\N
766781	2618	1998-11-17	VYDAJ	VYBER	800	29795	\N	\N	\N
766782	2618	1998-10-03	VYDAJ	VYBER	1200	25026	\N	\N	\N
766783	2618	1998-11-19	VYDAJ	VYBER	2400	27395	\N	\N	\N
766784	2618	1998-11-09	VYDAJ	VYBER	1200	30595	\N	\N	\N
766785	2618	1998-07-15	VYDAJ	VYBER	400	20679	\N	\N	\N
766794	2618	1993-08-31	VYDAJ	VYBER	15	29245	SLUZBY	\N	\N
766795	2618	1993-09-30	VYDAJ	VYBER	15	27668	SLUZBY	\N	\N
766796	2618	1993-10-31	VYDAJ	VYBER	15	24939	SLUZBY	\N	\N
766797	2618	1993-11-30	VYDAJ	VYBER	15	28375	SLUZBY	\N	\N
766798	2618	1993-12-31	VYDAJ	VYBER	15	27918	SLUZBY	\N	\N
766799	2618	1994-01-31	VYDAJ	VYBER	15	20159	SLUZBY	\N	\N
766800	2618	1994-02-28	VYDAJ	VYBER	15	23374	SLUZBY	\N	\N
766801	2618	1994-03-31	VYDAJ	VYBER	15	26002	SLUZBY	\N	\N
766802	2618	1994-04-30	VYDAJ	VYBER	15	25934	SLUZBY	\N	\N
766803	2618	1994-05-31	VYDAJ	VYBER	15	22001	SLUZBY	\N	\N
766804	2618	1994-06-30	VYDAJ	VYBER	15	25425	SLUZBY	\N	\N
766805	2618	1994-07-31	VYDAJ	VYBER	15	27359	SLUZBY	\N	\N
766806	2618	1994-08-31	VYDAJ	VYBER	15	24531	SLUZBY	\N	\N
766807	2618	1994-09-30	VYDAJ	VYBER	15	25359	SLUZBY	\N	\N
766808	2618	1994-10-31	VYDAJ	VYBER	15	21920	SLUZBY	\N	\N
766809	2618	1994-11-30	VYDAJ	VYBER	15	21632	SLUZBY	\N	\N
766810	2618	1994-12-31	VYDAJ	VYBER	15	17755	SLUZBY	\N	\N
766811	2618	1995-01-31	VYDAJ	VYBER	15	14663	SLUZBY	\N	\N
766812	2618	1995-02-28	VYDAJ	VYBER	15	18056	SLUZBY	\N	\N
766813	2618	1995-03-31	VYDAJ	VYBER	15	21463	SLUZBY	\N	\N
766814	2618	1995-04-30	VYDAJ	VYBER	15	18987	SLUZBY	\N	\N
766815	2618	1995-05-31	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
766816	2618	1995-06-30	VYDAJ	VYBER	15	20769	SLUZBY	\N	\N
766817	2618	1995-07-31	VYDAJ	VYBER	15	19414	SLUZBY	\N	\N
766818	2618	1995-08-31	VYDAJ	VYBER	15	17309	SLUZBY	\N	\N
766819	2618	1995-09-30	VYDAJ	VYBER	15	15025	SLUZBY	\N	\N
766820	2618	1995-10-31	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
766821	2618	1995-11-30	VYDAJ	VYBER	15	19458	SLUZBY	\N	\N
766822	2618	1995-12-31	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
766823	2618	1996-01-31	VYDAJ	VYBER	15	13813	SLUZBY	\N	\N
766824	2618	1996-02-29	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
766825	2618	1996-03-31	VYDAJ	VYBER	15	18997	SLUZBY	\N	\N
766826	2618	1996-04-30	VYDAJ	VYBER	15	20098	SLUZBY	\N	\N
766827	2618	1996-05-31	VYDAJ	VYBER	15	19900	SLUZBY	\N	\N
766828	2618	1996-06-30	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
766829	2618	1996-07-31	VYDAJ	VYBER	15	17589	SLUZBY	\N	\N
766830	2618	1996-08-31	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
766831	2618	1996-09-30	VYDAJ	VYBER	15	16593	SLUZBY	\N	\N
766832	2618	1996-10-31	VYDAJ	VYBER	15	15979	SLUZBY	\N	\N
766833	2618	1996-11-30	VYDAJ	VYBER	15	19376	SLUZBY	\N	\N
766834	2618	1996-12-31	VYDAJ	VYBER	15	13683	SLUZBY	\N	\N
766835	2618	1997-01-31	VYDAJ	VYBER	15	14186	SLUZBY	\N	\N
766836	2618	1997-02-28	VYDAJ	VYBER	15	17575	SLUZBY	\N	\N
766837	2618	1997-03-31	VYDAJ	VYBER	15	20979	SLUZBY	\N	\N
766838	2618	1997-04-30	VYDAJ	VYBER	15	24397	SLUZBY	\N	\N
766839	2618	1997-05-31	VYDAJ	VYBER	15	12623	SLUZBY	\N	\N
766840	2618	1997-06-30	VYDAJ	VYBER	15	16006	SLUZBY	\N	\N
766841	2618	1997-07-31	VYDAJ	VYBER	15	17719	SLUZBY	\N	\N
766842	2618	1997-08-31	VYDAJ	VYBER	15	18794	SLUZBY	\N	\N
766843	2618	1997-09-30	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
766844	2618	1997-10-31	VYDAJ	VYBER	15	24017	SLUZBY	\N	\N
766845	2618	1997-11-30	VYDAJ	VYBER	15	27447	SLUZBY	\N	\N
766846	2618	1997-12-31	VYDAJ	VYBER	15	15277	SLUZBY	\N	\N
766847	2618	1998-01-31	VYDAJ	VYBER	15	15704	SLUZBY	\N	\N
766848	2618	1998-02-28	VYDAJ	VYBER	15	19099	SLUZBY	\N	\N
766849	2618	1998-03-31	VYDAJ	VYBER	15	22508	SLUZBY	\N	\N
766850	2618	1998-04-30	VYDAJ	VYBER	15	25932	SLUZBY	\N	\N
766851	2618	1998-05-31	VYDAJ	VYBER	15	14353	SLUZBY	\N	\N
766852	2618	1998-06-30	VYDAJ	VYBER	15	17743	SLUZBY	\N	\N
766853	2618	1998-07-31	VYDAJ	VYBER	15	20745	SLUZBY	\N	\N
766854	2618	1998-08-31	VYDAJ	VYBER	15	24161	SLUZBY	\N	\N
766855	2618	1998-09-30	VYDAJ	VYBER	15	26226	SLUZBY	\N	\N
766856	2618	1998-10-31	VYDAJ	VYBER	15	28459	SLUZBY	\N	\N
766857	2618	1998-11-30	VYDAJ	VYBER	15	27498	SLUZBY	\N	\N
766858	2618	1993-07-19	VYDAJ	VYBER	200	26636	\N	\N	\N
766859	2618	1993-08-18	VYDAJ	VYBER	2500	29142	\N	\N	\N
766860	2618	1993-09-17	VYDAJ	VYBER	3900	27561	\N	\N	\N
766861	2618	1993-10-17	VYDAJ	VYBER	4400	24844	\N	\N	\N
766862	2618	1993-12-16	VYDAJ	VYBER	2700	29011	\N	\N	\N
766863	2618	1994-01-15	VYDAJ	VYBER	300	26554	\N	\N	\N
766864	2618	1994-02-14	VYDAJ	VYBER	200	23295	\N	\N	\N
766865	2618	1994-03-16	VYDAJ	VYBER	800	25910	\N	\N	\N
766866	2618	1994-04-15	VYDAJ	VYBER	3500	25838	\N	\N	\N
766867	2618	1994-05-15	VYDAJ	VYBER	4000	25270	\N	\N	\N
766868	2618	1994-07-14	VYDAJ	VYBER	1500	27261	\N	\N	\N
766869	2618	1994-08-13	VYDAJ	VYBER	4900	25795	\N	\N	\N
766870	2618	1994-09-12	VYDAJ	VYBER	2600	25267	\N	\N	\N
766871	2618	1994-10-12	VYDAJ	VYBER	5100	23595	\N	\N	\N
766872	2618	1994-11-11	VYDAJ	VYBER	3700	21556	\N	\N	\N
766873	2618	1994-12-11	VYDAJ	VYBER	1800	20048	\N	\N	\N
766874	2618	1995-04-10	VYDAJ	VYBER	5000	19799	\N	\N	\N
766875	2618	1995-05-10	VYDAJ	VYBER	2700	19623	\N	\N	\N
766876	2618	1995-07-09	VYDAJ	VYBER	3000	21105	\N	\N	\N
766877	2618	1995-08-08	VYDAJ	VYBER	5500	17250	\N	\N	\N
766878	2618	1995-11-06	VYDAJ	VYBER	1400	16059	\N	\N	\N
766879	2618	1995-12-06	VYDAJ	VYBER	2600	13635	\N	\N	\N
766880	2618	1996-01-05	VYDAJ	VYBER	5700	12990	\N	\N	\N
766881	2618	1996-02-04	VYDAJ	VYBER	100	13713	\N	\N	\N
766882	2618	1996-03-05	VYDAJ	VYBER	1500	15600	\N	\N	\N
766883	2618	1996-04-04	VYDAJ	VYBER	2300	16697	\N	\N	\N
766884	2618	1996-05-04	VYDAJ	VYBER	3600	16498	\N	\N	\N
766885	2618	1996-06-03	VYDAJ	VYBER	4600	15300	\N	\N	\N
766886	2618	1996-07-03	VYDAJ	VYBER	4500	14197	\N	\N	\N
766887	2618	1996-08-02	VYDAJ	VYBER	3300	14289	\N	\N	\N
766888	2618	1996-09-01	VYDAJ	VYBER	2400	15281	\N	\N	\N
766889	2618	1996-10-01	VYDAJ	VYBER	3800	12793	\N	\N	\N
766890	2618	1996-10-31	VYDAJ	VYBER	200	15994	\N	\N	\N
766891	2618	1996-12-30	VYDAJ	VYBER	8000	13612	\N	\N	\N
766892	2618	1997-05-29	VYDAJ	VYBER	15200	12533	\N	\N	\N
766893	2618	1997-12-25	VYDAJ	VYBER	15600	15183	\N	\N	\N
766894	2618	1998-05-24	VYDAJ	VYBER	15000	14268	\N	\N	\N
766961	2619	1996-05-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
766967	2619	1996-06-10	PRIJEM	VKLAD	16965	18065	\N	\N	\N
766968	2619	1996-07-10	PRIJEM	VKLAD	11310	34536	\N	\N	\N
766969	2619	1996-08-10	PRIJEM	VKLAD	11310	38353	\N	\N	\N
766970	2619	1996-09-10	PRIJEM	VKLAD	11310	40481	\N	\N	\N
766971	2619	1996-10-10	PRIJEM	VKLAD	11310	43822	\N	\N	\N
766972	2619	1996-11-10	PRIJEM	VKLAD	11310	35397	\N	\N	\N
766973	2619	1996-12-10	PRIJEM	VKLAD	16965	43736	\N	\N	\N
766974	2619	1997-01-10	PRIJEM	VKLAD	11310	38182	\N	\N	\N
766975	2619	1997-02-10	PRIJEM	VKLAD	11310	31934	\N	\N	\N
766976	2619	1997-03-10	PRIJEM	VKLAD	11310	37708	\N	\N	\N
766977	2619	1997-04-10	PRIJEM	VKLAD	11310	41699	\N	\N	\N
766978	2619	1997-05-10	PRIJEM	VKLAD	11310	39408	\N	\N	\N
766979	2619	1997-06-10	PRIJEM	VKLAD	16965	47070	\N	\N	\N
766980	2619	1997-07-10	PRIJEM	VKLAD	11310	43297	\N	\N	\N
766981	2619	1997-08-10	PRIJEM	VKLAD	11310	35761	\N	\N	\N
766982	2619	1997-09-10	PRIJEM	VKLAD	11310	36753	\N	\N	\N
766983	2619	1997-10-10	PRIJEM	VKLAD	11310	39045	\N	\N	\N
766984	2619	1997-11-10	PRIJEM	VKLAD	11310	39045	\N	\N	\N
766985	2619	1997-12-10	PRIJEM	VKLAD	16965	38942	\N	\N	\N
766986	2619	1998-01-10	PRIJEM	VKLAD	11310	27616	\N	\N	\N
766987	2619	1998-02-10	PRIJEM	VKLAD	11310	27712	\N	\N	\N
766988	2619	1998-03-10	PRIJEM	VKLAD	11310	29563	\N	\N	\N
766989	2619	1998-04-10	PRIJEM	VKLAD	11310	25983	\N	\N	\N
766990	2619	1998-05-10	PRIJEM	VKLAD	11310	21203	\N	\N	\N
766991	2619	1998-06-10	PRIJEM	VKLAD	16965	25385	\N	\N	\N
766992	2619	1998-07-10	PRIJEM	VKLAD	11310	19625	\N	\N	\N
766993	2619	1998-08-10	PRIJEM	VKLAD	11310	25552	\N	\N	\N
766994	2619	1998-09-10	PRIJEM	VKLAD	11310	31492	\N	\N	\N
766995	2619	1998-10-10	PRIJEM	VKLAD	11310	31570	\N	\N	\N
766996	2619	1998-11-10	PRIJEM	VKLAD	11310	32252	\N	\N	\N
766997	2619	1998-12-10	PRIJEM	VKLAD	16965	43874	\N	\N	\N
767008	2619	1996-11-09	VYDAJ	PREVOD NA UCET	5454	24087	SIPO	AB	54822903
767009	2619	1996-12-09	VYDAJ	PREVOD NA UCET	5454	30071	SIPO	AB	54822903
767010	2619	1997-01-09	VYDAJ	PREVOD NA UCET	5454	26872	SIPO	AB	54822903
767011	2619	1997-02-09	VYDAJ	PREVOD NA UCET	5454	20624	SIPO	AB	54822903
767012	2619	1997-03-09	VYDAJ	PREVOD NA UCET	5454	26398	SIPO	AB	54822903
767013	2619	1997-04-09	VYDAJ	PREVOD NA UCET	5454	30389	SIPO	AB	54822903
767014	2619	1997-05-09	VYDAJ	PREVOD NA UCET	5454	28098	SIPO	AB	54822903
767015	2619	1997-06-09	VYDAJ	PREVOD NA UCET	5454	30105	SIPO	AB	54822903
767016	2619	1997-07-09	VYDAJ	PREVOD NA UCET	5454	31987	SIPO	AB	54822903
767017	2619	1997-08-09	VYDAJ	PREVOD NA UCET	5454	24451	SIPO	AB	54822903
767018	2619	1997-09-09	VYDAJ	PREVOD NA UCET	5454	25443	SIPO	AB	54822903
767019	2619	1997-10-09	VYDAJ	PREVOD NA UCET	5454	27735	SIPO	AB	54822903
767020	2619	1997-11-09	VYDAJ	PREVOD NA UCET	5454	27735	SIPO	AB	54822903
767021	2619	1997-12-09	VYDAJ	PREVOD NA UCET	5454	21977	SIPO	AB	54822903
767022	2619	1998-01-09	VYDAJ	PREVOD NA UCET	5454	16306	SIPO	AB	54822903
767023	2619	1998-02-09	VYDAJ	PREVOD NA UCET	5454	16402	SIPO	AB	54822903
767024	2619	1998-03-09	VYDAJ	PREVOD NA UCET	5454	18253	SIPO	AB	54822903
767025	2619	1998-04-09	VYDAJ	PREVOD NA UCET	5454	14673	SIPO	AB	54822903
767026	2619	1998-05-09	VYDAJ	PREVOD NA UCET	5454	9893	SIPO	AB	54822903
767027	2619	1998-06-09	VYDAJ	PREVOD NA UCET	5454	8420	SIPO	AB	54822903
767028	2619	1998-07-09	VYDAJ	PREVOD NA UCET	5454	8315	SIPO	AB	54822903
767029	2619	1998-08-09	VYDAJ	PREVOD NA UCET	5454	14242	SIPO	AB	54822903
767030	2619	1998-09-09	VYDAJ	PREVOD NA UCET	5454	20182	SIPO	AB	54822903
767031	2619	1998-10-09	VYDAJ	PREVOD NA UCET	5454	20260	SIPO	AB	54822903
767032	2619	1998-11-09	VYDAJ	PREVOD NA UCET	5454	20942	SIPO	AB	54822903
767033	2619	1998-12-09	VYDAJ	PREVOD NA UCET	5454	26909	SIPO	AB	54822903
767038	2619	1997-01-13	VYDAJ	VYBER	3840	34342	\N	\N	\N
767039	2619	1998-01-08	VYDAJ	VYBER	7520	21760	\N	\N	\N
767040	2619	1996-12-12	VYDAJ	VYBER	2560	41176	\N	\N	\N
767041	2619	1997-12-01	VYDAJ	VYBER	3360	35831	\N	\N	\N
767042	2619	1998-12-12	VYDAJ	VYBER	4160	39714	\N	\N	\N
767049	2619	1997-08-02	VYDAJ	VYBER	5160	38305	\N	\N	\N
767050	2619	1997-02-07	VYDAJ	VYBER	1200	33278	\N	\N	\N
767051	2619	1998-10-24	VYDAJ	VYBER	1320	30250	\N	\N	\N
767052	2619	1998-09-23	VYDAJ	VYBER	5880	25612	\N	\N	\N
767053	2619	1998-01-13	VYDAJ	VYBER	3360	24256	\N	\N	\N
767054	2619	1998-10-28	VYDAJ	VYBER	3960	26290	\N	\N	\N
767055	2619	1998-03-21	VYDAJ	VYBER	840	28723	\N	\N	\N
767056	2619	1998-04-17	VYDAJ	VYBER	5520	20463	\N	\N	\N
767067	2619	1996-10-31	VYDAJ	VYBER	15	32141	SLUZBY	\N	\N
767068	2619	1996-11-30	VYDAJ	VYBER	15	35525	SLUZBY	\N	\N
767069	2619	1996-12-31	VYDAJ	VYBER	15	41326	SLUZBY	\N	\N
767070	2619	1997-01-31	VYDAJ	VYBER	15	34478	SLUZBY	\N	\N
767071	2619	1997-02-28	VYDAJ	VYBER	15	32052	SLUZBY	\N	\N
767072	2619	1997-03-31	VYDAJ	VYBER	15	37843	SLUZBY	\N	\N
767073	2619	1997-04-30	VYDAJ	VYBER	15	41852	SLUZBY	\N	\N
767074	2619	1997-05-31	VYDAJ	VYBER	15	39559	SLUZBY	\N	\N
767075	2619	1997-06-30	VYDAJ	VYBER	15	47241	SLUZBY	\N	\N
767076	2619	1997-07-31	VYDAJ	VYBER	15	43465	SLUZBY	\N	\N
767077	2619	1997-08-31	VYDAJ	VYBER	15	35897	SLUZBY	\N	\N
767078	2619	1997-09-30	VYDAJ	VYBER	15	36889	SLUZBY	\N	\N
767079	2619	1997-10-31	VYDAJ	VYBER	15	39189	SLUZBY	\N	\N
767080	2619	1997-11-30	VYDAJ	VYBER	15	39191	SLUZBY	\N	\N
767081	2619	1997-12-31	VYDAJ	VYBER	15	39080	SLUZBY	\N	\N
767082	2619	1998-01-31	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
767083	2619	1998-02-28	VYDAJ	VYBER	15	27807	SLUZBY	\N	\N
767084	2619	1998-03-31	VYDAJ	VYBER	15	28827	SLUZBY	\N	\N
767085	2619	1998-04-30	VYDAJ	VYBER	15	20547	SLUZBY	\N	\N
767086	2619	1998-05-31	VYDAJ	VYBER	15	21274	SLUZBY	\N	\N
767087	2619	1998-06-30	VYDAJ	VYBER	15	25469	SLUZBY	\N	\N
767088	2619	1998-07-31	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
767089	2619	1998-08-31	VYDAJ	VYBER	15	25636	SLUZBY	\N	\N
767090	2619	1998-09-30	VYDAJ	VYBER	15	25714	SLUZBY	\N	\N
767091	2619	1998-10-31	VYDAJ	VYBER	15	26396	SLUZBY	\N	\N
767092	2619	1998-11-30	VYDAJ	VYBER	15	32363	SLUZBY	\N	\N
767093	2619	1996-06-12	PRIJEM	VKLAD	5100	23165	\N	\N	\N
767094	2619	1996-07-12	VYDAJ	VYBER	7600	26936	\N	\N	\N
767095	2619	1996-08-11	VYDAJ	VYBER	9300	29053	\N	\N	\N
767096	2619	1996-09-10	VYDAJ	VYBER	8100	32381	\N	\N	\N
767097	2619	1996-10-10	VYDAJ	VYBER	11800	32022	\N	\N	\N
767098	2619	1996-11-09	VYDAJ	VYBER	2600	29541	\N	\N	\N
767099	2619	1996-12-09	VYDAJ	VYBER	3300	26771	\N	\N	\N
767100	2619	1997-01-08	VYDAJ	VYBER	9000	32326	\N	\N	\N
767101	2619	1997-02-07	VYDAJ	VYBER	7200	26078	\N	\N	\N
767102	2619	1997-03-09	VYDAJ	VYBER	200	31852	\N	\N	\N
767103	2619	1997-04-08	VYDAJ	VYBER	2000	35843	\N	\N	\N
767104	2619	1997-05-08	VYDAJ	VYBER	8300	33552	\N	\N	\N
767105	2619	1997-06-07	VYDAJ	VYBER	4000	35559	\N	\N	\N
767106	2619	1997-07-07	VYDAJ	VYBER	9800	37441	\N	\N	\N
767107	2619	1997-08-06	VYDAJ	VYBER	8400	29905	\N	\N	\N
767108	2619	1997-09-05	VYDAJ	VYBER	5000	30897	\N	\N	\N
767109	2619	1997-10-05	VYDAJ	VYBER	3700	33189	\N	\N	\N
767110	2619	1997-11-04	VYDAJ	VYBER	6000	33189	\N	\N	\N
767111	2619	1997-12-04	VYDAJ	VYBER	8400	27431	\N	\N	\N
767112	2619	1998-01-03	VYDAJ	VYBER	9800	29280	\N	\N	\N
767113	2619	1998-02-02	VYDAJ	VYBER	2500	21856	\N	\N	\N
767114	2619	1998-03-04	VYDAJ	VYBER	4100	23707	\N	\N	\N
767115	2619	1998-04-03	VYDAJ	VYBER	8700	20127	\N	\N	\N
767116	2619	1998-05-03	VYDAJ	VYBER	5200	15347	\N	\N	\N
767117	2619	1998-06-02	VYDAJ	VYBER	7400	13874	\N	\N	\N
767118	2619	1998-07-02	VYDAJ	VYBER	11700	13769	\N	\N	\N
767150	2620	1993-08-03	PRIJEM	VKLAD	500	500	\N	\N	\N
767158	2620	1993-08-11	PRIJEM	VKLAD	5783	6283	\N	\N	\N
767159	2620	1993-09-11	PRIJEM	VKLAD	5783	21284	\N	\N	\N
767160	2620	1993-10-11	PRIJEM	VKLAD	5783	30835	\N	\N	\N
767161	2620	1993-11-11	PRIJEM	VKLAD	5783	33233	\N	\N	\N
767162	2620	1993-12-11	PRIJEM	VKLAD	8674	37342	\N	\N	\N
767163	2620	1994-01-11	PRIJEM	VKLAD	5783	23175	\N	\N	\N
767164	2620	1994-02-11	PRIJEM	VKLAD	5783	23858	\N	\N	\N
767165	2620	1994-03-11	PRIJEM	VKLAD	5783	19405	\N	\N	\N
767166	2620	1994-04-11	PRIJEM	VKLAD	5783	22197	\N	\N	\N
767167	2620	1994-05-11	PRIJEM	VKLAD	5783	24600	\N	\N	\N
767168	2620	1994-06-11	PRIJEM	VKLAD	8674	19964	\N	\N	\N
767169	2620	1994-07-11	PRIJEM	VKLAD	5783	23757	\N	\N	\N
767170	2620	1994-08-11	PRIJEM	VKLAD	5783	27467	\N	\N	\N
767171	2620	1994-09-11	PRIJEM	VKLAD	5783	27591	\N	\N	\N
767172	2620	1994-10-11	PRIJEM	VKLAD	5783	26637	\N	\N	\N
767173	2620	1994-11-11	PRIJEM	VKLAD	5783	27156	\N	\N	\N
767174	2620	1994-12-11	PRIJEM	VKLAD	8674	29210	\N	\N	\N
767175	2620	1995-01-11	PRIJEM	VKLAD	5783	26087	\N	\N	\N
767176	2620	1995-02-11	PRIJEM	VKLAD	5783	21643	\N	\N	\N
767177	2620	1995-03-11	PRIJEM	VKLAD	5783	22295	\N	\N	\N
767178	2620	1995-04-11	PRIJEM	VKLAD	5783	26000	\N	\N	\N
767179	2620	1995-05-11	PRIJEM	VKLAD	5783	23639	\N	\N	\N
767180	2620	1995-06-11	PRIJEM	VKLAD	8674	27944	\N	\N	\N
767181	2620	1995-07-11	PRIJEM	VKLAD	5783	24925	\N	\N	\N
767182	2620	1995-08-11	PRIJEM	VKLAD	5783	26040	\N	\N	\N
767183	2620	1995-09-11	PRIJEM	VKLAD	5783	25856	\N	\N	\N
767184	2620	1995-10-11	PRIJEM	VKLAD	5783	22790	\N	\N	\N
767185	2620	1995-11-11	PRIJEM	VKLAD	5783	26398	\N	\N	\N
767186	2620	1995-12-11	PRIJEM	VKLAD	8674	28205	\N	\N	\N
767187	2620	1996-01-11	PRIJEM	VKLAD	5783	19798	\N	\N	\N
767188	2620	1996-02-11	PRIJEM	VKLAD	5783	18283	\N	\N	\N
767189	2620	1996-03-11	PRIJEM	VKLAD	5783	19168	\N	\N	\N
767190	2620	1996-04-11	PRIJEM	VKLAD	5783	19155	\N	\N	\N
767191	2620	1996-05-11	PRIJEM	VKLAD	5783	22346	\N	\N	\N
767192	2620	1996-06-11	PRIJEM	VKLAD	8674	24435	\N	\N	\N
767193	2620	1996-07-11	PRIJEM	VKLAD	5783	26243	\N	\N	\N
767194	2620	1996-08-11	PRIJEM	VKLAD	5783	24856	\N	\N	\N
767195	2620	1996-09-11	PRIJEM	VKLAD	5783	22360	\N	\N	\N
767196	2620	1996-10-11	PRIJEM	VKLAD	5783	23461	\N	\N	\N
767197	2620	1996-11-11	PRIJEM	VKLAD	5783	21321	\N	\N	\N
767198	2620	1996-12-11	PRIJEM	VKLAD	8674	27714	\N	\N	\N
767199	2620	1997-01-11	PRIJEM	VKLAD	5783	16157	\N	\N	\N
767200	2620	1997-02-11	PRIJEM	VKLAD	5783	17696	\N	\N	\N
767201	2620	1997-03-11	PRIJEM	VKLAD	5783	18476	\N	\N	\N
767202	2620	1997-04-11	PRIJEM	VKLAD	5783	18684	\N	\N	\N
767203	2620	1997-05-11	PRIJEM	VKLAD	5783	22977	\N	\N	\N
767204	2620	1997-06-11	PRIJEM	VKLAD	8674	26871	\N	\N	\N
767205	2620	1997-07-11	PRIJEM	VKLAD	5783	19116	\N	\N	\N
767206	2620	1997-08-11	PRIJEM	VKLAD	5783	22909	\N	\N	\N
767207	2620	1997-09-11	PRIJEM	VKLAD	5783	27521	\N	\N	\N
767208	2620	1997-10-11	PRIJEM	VKLAD	5783	25935	\N	\N	\N
767209	2620	1997-11-11	PRIJEM	VKLAD	5783	30148	\N	\N	\N
767210	2620	1997-12-11	PRIJEM	VKLAD	8674	41266	\N	\N	\N
767211	2620	1998-01-11	PRIJEM	VKLAD	5783	38313	\N	\N	\N
767212	2620	1998-02-11	PRIJEM	VKLAD	5783	36241	\N	\N	\N
767213	2620	1998-03-11	PRIJEM	VKLAD	5783	43592	\N	\N	\N
767214	2620	1998-04-11	PRIJEM	VKLAD	5783	49176	\N	\N	\N
767215	2620	1998-05-11	PRIJEM	VKLAD	5783	48984	\N	\N	\N
767216	2620	1998-06-11	PRIJEM	VKLAD	8674	51689	\N	\N	\N
767217	2620	1998-07-11	PRIJEM	VKLAD	5783	55109	\N	\N	\N
767218	2620	1998-08-11	PRIJEM	VKLAD	5783	54244	\N	\N	\N
767219	2620	1998-09-11	PRIJEM	VKLAD	5783	51679	\N	\N	\N
767220	2620	1998-10-11	PRIJEM	VKLAD	5783	49303	\N	\N	\N
767221	2620	1998-11-11	PRIJEM	VKLAD	5783	45572	\N	\N	\N
767222	2620	1998-12-11	PRIJEM	VKLAD	8674	52461	\N	\N	\N
767235	2620	1994-01-05	VYDAJ	PREVOD NA UCET	3855	19552	SIPO	YZ	32839107
767236	2620	1994-02-05	VYDAJ	PREVOD NA UCET	3855	18075	SIPO	YZ	32839107
767237	2620	1994-03-05	VYDAJ	PREVOD NA UCET	3855	13622	SIPO	YZ	32839107
767238	2620	1994-04-05	VYDAJ	PREVOD NA UCET	3855	16414	SIPO	YZ	32839107
767239	2620	1994-05-05	VYDAJ	PREVOD NA UCET	3855	18817	SIPO	YZ	32839107
767240	2620	1994-06-05	VYDAJ	PREVOD NA UCET	3855	11290	SIPO	YZ	32839107
767241	2620	1994-07-05	VYDAJ	PREVOD NA UCET	3855	17974	SIPO	YZ	32839107
767242	2620	1994-08-05	VYDAJ	PREVOD NA UCET	3855	21684	SIPO	YZ	32839107
767243	2620	1994-09-05	VYDAJ	PREVOD NA UCET	3855	21808	SIPO	YZ	32839107
767244	2620	1994-10-05	VYDAJ	PREVOD NA UCET	3855	20854	SIPO	YZ	32839107
767245	2620	1994-11-05	VYDAJ	PREVOD NA UCET	3855	21373	SIPO	YZ	32839107
767246	2620	1994-12-05	VYDAJ	PREVOD NA UCET	3855	20536	SIPO	YZ	32839107
767247	2620	1995-01-05	VYDAJ	PREVOD NA UCET	3855	24144	SIPO	YZ	32839107
767248	2620	1995-02-05	VYDAJ	PREVOD NA UCET	3855	15860	SIPO	YZ	32839107
767249	2620	1995-03-05	VYDAJ	PREVOD NA UCET	3855	16512	SIPO	YZ	32839107
767250	2620	1995-04-05	VYDAJ	PREVOD NA UCET	3855	20217	SIPO	YZ	32839107
767251	2620	1995-05-05	VYDAJ	PREVOD NA UCET	3855	22536	SIPO	YZ	32839107
767252	2620	1995-06-05	VYDAJ	PREVOD NA UCET	3855	19270	SIPO	YZ	32839107
767253	2620	1995-07-05	VYDAJ	PREVOD NA UCET	3855	22382	SIPO	YZ	32839107
767254	2620	1995-08-05	VYDAJ	PREVOD NA UCET	3855	20257	SIPO	YZ	32839107
767255	2620	1995-09-05	VYDAJ	PREVOD NA UCET	3855	20073	SIPO	YZ	32839107
767256	2620	1995-10-05	VYDAJ	PREVOD NA UCET	3855	18687	SIPO	YZ	32839107
767257	2620	1995-11-05	VYDAJ	PREVOD NA UCET	3855	20615	SIPO	YZ	32839107
767258	2620	1995-12-05	VYDAJ	PREVOD NA UCET	3855	19531	SIPO	YZ	32839107
767259	2620	1996-01-05	VYDAJ	PREVOD NA UCET	3855	16655	SIPO	YZ	32839107
767260	2620	1996-02-05	VYDAJ	PREVOD NA UCET	3855	12500	SIPO	YZ	32839107
767261	2620	1996-03-05	VYDAJ	PREVOD NA UCET	3855	13385	SIPO	YZ	32839107
767262	2620	1996-04-05	VYDAJ	PREVOD NA UCET	3855	13372	SIPO	YZ	32839107
767263	2620	1996-05-05	VYDAJ	PREVOD NA UCET	3855	16563	SIPO	YZ	32839107
767264	2620	1996-06-05	VYDAJ	PREVOD NA UCET	3855	15761	SIPO	YZ	32839107
767265	2620	1996-07-05	VYDAJ	PREVOD NA UCET	3855	20460	SIPO	YZ	32839107
767266	2620	1996-08-05	VYDAJ	PREVOD NA UCET	3855	19073	SIPO	YZ	32839107
767267	2620	1996-09-05	VYDAJ	PREVOD NA UCET	3855	16577	SIPO	YZ	32839107
767268	2620	1996-10-05	VYDAJ	PREVOD NA UCET	3855	17678	SIPO	YZ	32839107
767269	2620	1996-11-05	VYDAJ	PREVOD NA UCET	3855	15538	SIPO	YZ	32839107
767270	2620	1996-12-05	VYDAJ	PREVOD NA UCET	3855	19040	SIPO	YZ	32839107
767271	2620	1997-01-05	VYDAJ	PREVOD NA UCET	3855	10374	SIPO	YZ	32839107
767272	2620	1997-02-05	VYDAJ	PREVOD NA UCET	3855	11913	SIPO	YZ	32839107
767273	2620	1997-03-05	VYDAJ	PREVOD NA UCET	3855	12693	SIPO	YZ	32839107
767274	2620	1997-04-05	VYDAJ	PREVOD NA UCET	3855	12901	SIPO	YZ	32839107
767275	2620	1997-05-05	VYDAJ	PREVOD NA UCET	3855	17194	SIPO	YZ	32839107
767276	2620	1997-06-05	VYDAJ	PREVOD NA UCET	3855	18197	SIPO	YZ	32839107
767277	2620	1997-07-05	VYDAJ	PREVOD NA UCET	3855	13333	SIPO	YZ	32839107
767278	2620	1997-08-05	VYDAJ	PREVOD NA UCET	3855	17126	SIPO	YZ	32839107
767279	2620	1997-09-05	VYDAJ	PREVOD NA UCET	3855	21738	SIPO	YZ	32839107
767280	2620	1997-10-05	VYDAJ	PREVOD NA UCET	3855	20152	SIPO	YZ	32839107
767281	2620	1997-11-05	VYDAJ	PREVOD NA UCET	3855	20865	SIPO	YZ	32839107
767282	2620	1997-12-05	VYDAJ	PREVOD NA UCET	3855	26392	SIPO	YZ	32839107
767283	2620	1998-01-05	VYDAJ	PREVOD NA UCET	3855	33910	SIPO	YZ	32839107
767284	2620	1998-02-05	VYDAJ	PREVOD NA UCET	3855	24258	SIPO	YZ	32839107
767285	2620	1998-03-05	VYDAJ	PREVOD NA UCET	3855	32509	SIPO	YZ	32839107
767286	2620	1998-04-05	VYDAJ	PREVOD NA UCET	3855	39893	SIPO	YZ	32839107
767287	2620	1998-05-05	VYDAJ	PREVOD NA UCET	3855	45501	SIPO	YZ	32839107
767288	2620	1998-06-05	VYDAJ	PREVOD NA UCET	3855	45315	SIPO	YZ	32839107
767289	2620	1998-07-05	VYDAJ	PREVOD NA UCET	3855	48026	SIPO	YZ	32839107
767290	2620	1998-08-05	VYDAJ	PREVOD NA UCET	3855	51461	SIPO	YZ	32839107
767291	2620	1998-09-05	VYDAJ	PREVOD NA UCET	3855	50596	SIPO	YZ	32839107
767292	2620	1998-10-05	VYDAJ	PREVOD NA UCET	3855	48020	SIPO	YZ	32839107
767293	2620	1998-11-05	VYDAJ	PREVOD NA UCET	3855	39789	SIPO	YZ	32839107
767294	2620	1998-12-05	VYDAJ	PREVOD NA UCET	3855	43787	SIPO	YZ	32839107
767296	2620	1994-06-03	VYDAJ	VYBER	9440	15145	\N	\N	\N
767301	2620	1993-12-20	VYDAJ	VYBER	1440	30502	\N	\N	\N
767302	2620	1994-12-01	VYDAJ	VYBER	960	24391	\N	\N	\N
767303	2620	1995-12-18	VYDAJ	VYBER	3040	25165	\N	\N	\N
767304	2620	1996-12-28	VYDAJ	VYBER	960	20034	\N	\N	\N
767305	2620	1997-12-26	VYDAJ	VYBER	2560	38706	\N	\N	\N
767306	2620	1998-12-02	VYDAJ	VYBER	800	43742	\N	\N	\N
767313	2620	1994-01-29	VYDAJ	VYBER	3120	15255	\N	\N	\N
767314	2620	1994-01-27	VYDAJ	VYBER	1680	18375	\N	\N	\N
767315	2620	1994-01-05	VYDAJ	VYBER	720	18832	\N	\N	\N
767316	2620	1994-01-01	VYDAJ	VYBER	2280	26647	\N	\N	\N
767317	2620	1994-01-11	VYDAJ	VYBER	3120	20055	\N	\N	\N
767318	2620	1994-01-05	VYDAJ	VYBER	1440	17392	\N	\N	\N
767319	2620	1995-01-07	VYDAJ	VYBER	2640	21504	\N	\N	\N
767320	2620	1995-01-04	VYDAJ	VYBER	720	27999	\N	\N	\N
767321	2620	1995-01-30	VYDAJ	VYBER	1560	19627	\N	\N	\N
767322	2620	1995-01-27	VYDAJ	VYBER	2520	21187	\N	\N	\N
767323	2620	1995-01-25	VYDAJ	VYBER	2880	23707	\N	\N	\N
767324	2620	1995-01-08	VYDAJ	VYBER	1200	20304	\N	\N	\N
767325	2620	1996-01-07	VYDAJ	VYBER	2640	14015	\N	\N	\N
767327	2620	1996-01-24	VYDAJ	VYBER	3120	16298	\N	\N	\N
767328	2620	1996-01-14	VYDAJ	VYBER	1080	16918	\N	\N	\N
767330	2620	1996-01-12	VYDAJ	VYBER	1800	17998	\N	\N	\N
767331	2620	1997-01-02	VYDAJ	VYBER	3000	14829	\N	\N	\N
767332	2620	1997-01-18	VYDAJ	VYBER	2040	18117	\N	\N	\N
767333	2620	1997-01-03	VYDAJ	VYBER	600	14229	\N	\N	\N
767334	2620	1997-01-01	VYDAJ	VYBER	2280	17829	\N	\N	\N
767336	2620	1997-01-26	VYDAJ	VYBER	2400	15717	\N	\N	\N
767337	2620	1998-01-09	VYDAJ	VYBER	3000	32530	\N	\N	\N
767338	2620	1998-01-24	VYDAJ	VYBER	2280	27993	\N	\N	\N
767339	2620	1998-01-15	VYDAJ	VYBER	3480	30273	\N	\N	\N
767340	2620	1998-01-09	VYDAJ	VYBER	1680	35530	\N	\N	\N
767341	2620	1998-01-01	VYDAJ	VYBER	1080	37765	\N	\N	\N
767342	2620	1998-01-09	VYDAJ	VYBER	1800	37210	\N	\N	\N
767347	2620	1993-12-20	VYDAJ	VYBER	5400	31942	\N	\N	\N
767349	2620	1994-03-01	VYDAJ	VYBER	5520	17477	\N	\N	\N
767350	2620	1994-12-15	VYDAJ	VYBER	5280	23930	\N	\N	\N
767351	2620	1994-02-25	VYDAJ	VYBER	4440	19418	\N	\N	\N
767352	2620	1994-10-04	VYDAJ	VYBER	3480	24709	\N	\N	\N
767353	2620	1994-01-02	VYDAJ	VYBER	3240	23407	\N	\N	\N
767354	2620	1995-10-09	VYDAJ	VYBER	1680	17007	\N	\N	\N
767355	2620	1995-07-08	VYDAJ	VYBER	3240	19142	\N	\N	\N
767357	2620	1995-05-10	VYDAJ	VYBER	4680	17856	\N	\N	\N
767358	2620	1995-02-11	VYDAJ	VYBER	3840	17803	\N	\N	\N
767359	2620	1996-12-11	VYDAJ	VYBER	3720	23994	\N	\N	\N
767360	2620	1996-01-04	VYDAJ	VYBER	1440	20510	\N	\N	\N
767362	2620	1996-10-23	VYDAJ	VYBER	2040	19321	\N	\N	\N
767364	2620	1997-03-25	VYDAJ	VYBER	4680	16696	\N	\N	\N
767365	2620	1997-11-07	VYDAJ	VYBER	1200	19665	\N	\N	\N
767366	2620	1997-06-29	VYDAJ	VYBER	5760	17111	\N	\N	\N
767368	2620	1998-10-23	VYDAJ	VYBER	3480	45823	\N	\N	\N
767369	2620	1998-11-27	VYDAJ	VYBER	1200	44372	\N	\N	\N
767370	2620	1998-10-31	VYDAJ	VYBER	1560	44444	\N	\N	\N
767371	2620	1998-01-11	VYDAJ	VYBER	4560	33753	\N	\N	\N
767384	2620	1993-12-31	VYDAJ	VYBER	15	30627	SLUZBY	\N	\N
767385	2620	1994-01-31	VYDAJ	VYBER	15	21930	SLUZBY	\N	\N
767386	2620	1994-02-28	VYDAJ	VYBER	15	19497	SLUZBY	\N	\N
767387	2620	1994-03-31	VYDAJ	VYBER	15	20269	SLUZBY	\N	\N
767388	2620	1994-04-30	VYDAJ	VYBER	15	22672	SLUZBY	\N	\N
767389	2620	1994-05-31	VYDAJ	VYBER	15	24585	SLUZBY	\N	\N
767390	2620	1994-06-30	VYDAJ	VYBER	15	21829	SLUZBY	\N	\N
767391	2620	1994-07-31	VYDAJ	VYBER	15	25539	SLUZBY	\N	\N
767392	2620	1994-08-31	VYDAJ	VYBER	15	25663	SLUZBY	\N	\N
767393	2620	1994-09-30	VYDAJ	VYBER	15	28189	SLUZBY	\N	\N
767394	2620	1994-10-31	VYDAJ	VYBER	15	25228	SLUZBY	\N	\N
767395	2620	1994-11-30	VYDAJ	VYBER	15	25351	SLUZBY	\N	\N
767396	2620	1994-12-31	VYDAJ	VYBER	15	28719	SLUZBY	\N	\N
767397	2620	1995-01-31	VYDAJ	VYBER	15	19715	SLUZBY	\N	\N
767398	2620	1995-02-28	VYDAJ	VYBER	15	20367	SLUZBY	\N	\N
767399	2620	1995-03-31	VYDAJ	VYBER	15	24072	SLUZBY	\N	\N
767400	2620	1995-04-30	VYDAJ	VYBER	15	26391	SLUZBY	\N	\N
767401	2620	1995-05-31	VYDAJ	VYBER	15	23125	SLUZBY	\N	\N
767402	2620	1995-06-30	VYDAJ	VYBER	15	26237	SLUZBY	\N	\N
767403	2620	1995-07-31	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
767404	2620	1995-08-31	VYDAJ	VYBER	15	23928	SLUZBY	\N	\N
767405	2620	1995-09-30	VYDAJ	VYBER	15	22542	SLUZBY	\N	\N
767406	2620	1995-10-31	VYDAJ	VYBER	15	24470	SLUZBY	\N	\N
767407	2620	1995-11-30	VYDAJ	VYBER	15	23386	SLUZBY	\N	\N
767408	2620	1995-12-31	VYDAJ	VYBER	15	21950	SLUZBY	\N	\N
767409	2620	1996-01-31	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
767410	2620	1996-02-29	VYDAJ	VYBER	15	17240	SLUZBY	\N	\N
767411	2620	1996-03-31	VYDAJ	VYBER	15	17227	SLUZBY	\N	\N
767412	2620	1996-04-30	VYDAJ	VYBER	15	20418	SLUZBY	\N	\N
767413	2620	1996-05-31	VYDAJ	VYBER	15	19616	SLUZBY	\N	\N
767414	2620	1996-06-30	VYDAJ	VYBER	15	24315	SLUZBY	\N	\N
767415	2620	1996-07-31	VYDAJ	VYBER	15	22928	SLUZBY	\N	\N
767416	2620	1996-08-31	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
767417	2620	1996-09-30	VYDAJ	VYBER	15	21533	SLUZBY	\N	\N
767418	2620	1996-10-31	VYDAJ	VYBER	15	19393	SLUZBY	\N	\N
767419	2620	1996-11-30	VYDAJ	VYBER	15	22895	SLUZBY	\N	\N
767420	2620	1996-12-31	VYDAJ	VYBER	15	20109	SLUZBY	\N	\N
767421	2620	1997-01-31	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
767422	2620	1997-02-28	VYDAJ	VYBER	15	16548	SLUZBY	\N	\N
767423	2620	1997-03-31	VYDAJ	VYBER	15	16756	SLUZBY	\N	\N
767424	2620	1997-04-30	VYDAJ	VYBER	15	21049	SLUZBY	\N	\N
767425	2620	1997-05-31	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
767426	2620	1997-06-30	VYDAJ	VYBER	15	17188	SLUZBY	\N	\N
767427	2620	1997-07-31	VYDAJ	VYBER	15	20981	SLUZBY	\N	\N
767428	2620	1997-08-31	VYDAJ	VYBER	15	25593	SLUZBY	\N	\N
767429	2620	1997-09-30	VYDAJ	VYBER	15	24007	SLUZBY	\N	\N
767430	2620	1997-10-31	VYDAJ	VYBER	15	24720	SLUZBY	\N	\N
767431	2620	1997-11-30	VYDAJ	VYBER	15	30247	SLUZBY	\N	\N
767432	2620	1997-12-31	VYDAJ	VYBER	15	38845	SLUZBY	\N	\N
767433	2620	1998-01-31	VYDAJ	VYBER	15	28113	SLUZBY	\N	\N
767434	2620	1998-02-28	VYDAJ	VYBER	15	36364	SLUZBY	\N	\N
767435	2620	1998-03-31	VYDAJ	VYBER	15	43748	SLUZBY	\N	\N
767436	2620	1998-04-30	VYDAJ	VYBER	15	49356	SLUZBY	\N	\N
767437	2620	1998-05-31	VYDAJ	VYBER	15	49170	SLUZBY	\N	\N
767438	2620	1998-06-30	VYDAJ	VYBER	15	51881	SLUZBY	\N	\N
767439	2620	1998-07-31	VYDAJ	VYBER	15	55316	SLUZBY	\N	\N
767440	2620	1998-08-31	VYDAJ	VYBER	15	54451	SLUZBY	\N	\N
767441	2620	1998-09-30	VYDAJ	VYBER	15	51875	SLUZBY	\N	\N
767442	2620	1998-10-31	VYDAJ	VYBER	15	46004	SLUZBY	\N	\N
767443	2620	1998-11-30	VYDAJ	VYBER	15	44542	SLUZBY	\N	\N
767444	2620	1993-09-02	PRIJEM	VKLAD	9200	15501	\N	\N	\N
767445	2620	1993-10-02	PRIJEM	VKLAD	3700	25052	\N	\N	\N
767446	2620	1993-11-01	VYDAJ	VYBER	3500	27450	\N	\N	\N
767447	2620	1993-12-01	VYDAJ	VYBER	4700	28668	\N	\N	\N
767448	2620	1993-12-31	VYDAJ	VYBER	1700	28927	\N	\N	\N
767449	2620	1994-01-30	PRIJEM	VKLAD	6600	21855	\N	\N	\N
767450	2620	1994-03-01	PRIJEM	VKLAD	3500	22997	\N	\N	\N
767451	2620	1994-03-31	PRIJEM	VKLAD	800	20283	\N	\N	\N
767452	2620	1994-04-30	PRIJEM	VKLAD	400	22597	\N	\N	\N
767453	2620	1994-05-30	VYDAJ	VYBER	100	24500	\N	\N	\N
767454	2620	1994-06-29	PRIJEM	VKLAD	1800	21764	\N	\N	\N
767455	2620	1994-07-29	PRIJEM	VKLAD	1700	25457	\N	\N	\N
767456	2620	1994-08-28	VYDAJ	VYBER	1900	25567	\N	\N	\N
767457	2620	1994-09-27	PRIJEM	VKLAD	500	28091	\N	\N	\N
767458	2620	1994-10-27	VYDAJ	VYBER	1500	25137	\N	\N	\N
767459	2620	1994-11-26	VYDAJ	VYBER	1900	25256	\N	\N	\N
767460	2620	1994-12-26	PRIJEM	VKLAD	4700	28630	\N	\N	\N
767461	2620	1995-01-25	PRIJEM	VKLAD	500	26587	\N	\N	\N
767462	2620	1995-02-24	PRIJEM	VKLAD	2500	20303	\N	\N	\N
767463	2620	1995-03-26	PRIJEM	VKLAD	1700	23995	\N	\N	\N
767464	2620	1995-04-25	PRIJEM	VKLAD	300	26300	\N	\N	\N
767465	2620	1995-05-25	VYDAJ	VYBER	600	23039	\N	\N	\N
767466	2620	1995-06-24	VYDAJ	VYBER	1800	26144	\N	\N	\N
767467	2620	1995-07-24	VYDAJ	VYBER	900	24025	\N	\N	\N
767468	2620	1995-08-23	VYDAJ	VYBER	2200	23840	\N	\N	\N
767469	2620	1995-09-22	VYDAJ	VYBER	3400	22456	\N	\N	\N
767470	2620	1995-10-22	PRIJEM	VKLAD	1600	24390	\N	\N	\N
767471	2620	1995-11-21	VYDAJ	VYBER	3100	23298	\N	\N	\N
767472	2620	1995-12-21	VYDAJ	VYBER	3300	21865	\N	\N	\N
767473	2620	1996-01-20	PRIJEM	VKLAD	2500	19418	\N	\N	\N
767474	2620	1996-02-19	VYDAJ	VYBER	1100	17183	\N	\N	\N
767475	2620	1996-03-20	VYDAJ	VYBER	2000	17168	\N	\N	\N
767476	2620	1996-04-19	PRIJEM	VKLAD	1200	20355	\N	\N	\N
767477	2620	1996-05-19	VYDAJ	VYBER	2800	19546	\N	\N	\N
767478	2620	1996-06-18	VYDAJ	VYBER	200	24235	\N	\N	\N
767479	2620	1996-07-18	VYDAJ	VYBER	3400	22843	\N	\N	\N
767480	2620	1996-08-17	VYDAJ	VYBER	4500	20356	\N	\N	\N
767481	2620	1996-09-16	VYDAJ	VYBER	900	21460	\N	\N	\N
767482	2620	1996-10-16	VYDAJ	VYBER	2100	21361	\N	\N	\N
767483	2620	1996-11-15	PRIJEM	VKLAD	1500	22821	\N	\N	\N
767484	2620	1996-12-15	VYDAJ	VYBER	3000	20994	\N	\N	\N
767485	2620	1997-01-14	PRIJEM	VKLAD	4000	20157	\N	\N	\N
767486	2620	1997-02-13	VYDAJ	VYBER	1200	16496	\N	\N	\N
767487	2620	1997-03-15	PRIJEM	VKLAD	2900	21376	\N	\N	\N
767488	2620	1997-04-14	PRIJEM	VKLAD	2300	20984	\N	\N	\N
767489	2620	1997-05-14	VYDAJ	VYBER	1000	21977	\N	\N	\N
767490	2620	1997-06-13	VYDAJ	VYBER	4000	22871	\N	\N	\N
767491	2620	1997-07-13	PRIJEM	VKLAD	1800	20916	\N	\N	\N
767492	2620	1997-08-12	PRIJEM	VKLAD	2600	25509	\N	\N	\N
767493	2620	1997-09-11	VYDAJ	VYBER	3600	23921	\N	\N	\N
767494	2620	1997-10-11	VYDAJ	VYBER	1300	24635	\N	\N	\N
767495	2620	1997-11-10	PRIJEM	VKLAD	4700	24365	\N	\N	\N
767496	2620	1997-12-10	PRIJEM	VKLAD	6200	32592	\N	\N	\N
767497	2620	1998-01-09	PRIJEM	VKLAD	5100	39010	\N	\N	\N
767498	2620	1998-02-08	PRIJEM	VKLAD	6200	30458	\N	\N	\N
767499	2620	1998-03-10	PRIJEM	VKLAD	5300	37809	\N	\N	\N
767500	2620	1998-04-09	PRIJEM	VKLAD	3500	43393	\N	\N	\N
767501	2620	1998-05-09	VYDAJ	VYBER	2300	43201	\N	\N	\N
767502	2620	1998-06-08	VYDAJ	VYBER	2300	43015	\N	\N	\N
767503	2620	1998-07-08	PRIJEM	VKLAD	1300	49326	\N	\N	\N
767504	2620	1998-08-07	VYDAJ	VYBER	3000	48461	\N	\N	\N
767505	2620	1998-09-06	VYDAJ	VYBER	4700	45896	\N	\N	\N
767506	2620	1998-10-06	VYDAJ	VYBER	4500	43520	\N	\N	\N
767507	2620	1998-11-05	VYDAJ	VYBER	800	43644	\N	\N	\N
767508	2620	1998-12-05	PRIJEM	VKLAD	3900	47642	\N	\N	\N
767574	2621	1995-10-29	PRIJEM	VKLAD	200	200	\N	\N	\N
767585	2621	1995-11-14	PRIJEM	VKLAD	4229	4429	\N	\N	\N
767586	2621	1995-12-14	PRIJEM	VKLAD	6344	21579	\N	\N	\N
767587	2621	1996-01-14	PRIJEM	VKLAD	4229	28076	\N	\N	\N
767588	2621	1996-02-14	PRIJEM	VKLAD	4229	30005	\N	\N	\N
767589	2621	1996-03-14	PRIJEM	VKLAD	4229	31042	\N	\N	\N
767590	2621	1996-04-14	PRIJEM	VKLAD	4229	28749	\N	\N	\N
767591	2621	1996-05-14	PRIJEM	VKLAD	4229	25158	\N	\N	\N
767592	2621	1996-06-14	PRIJEM	VKLAD	6344	26568	\N	\N	\N
767593	2621	1996-07-14	PRIJEM	VKLAD	4229	24665	\N	\N	\N
767594	2621	1996-08-14	PRIJEM	VKLAD	4229	22039	\N	\N	\N
767595	2621	1996-09-14	PRIJEM	VKLAD	4229	21921	\N	\N	\N
767596	2621	1996-10-14	PRIJEM	VKLAD	4229	17999	\N	\N	\N
767597	2621	1996-11-14	PRIJEM	VKLAD	4229	17665	\N	\N	\N
767598	2621	1996-12-14	PRIJEM	VKLAD	6344	17641	\N	\N	\N
767599	2621	1997-01-14	PRIJEM	VKLAD	4229	14998	\N	\N	\N
767600	2621	1997-02-14	PRIJEM	VKLAD	4229	14551	\N	\N	\N
767601	2621	1997-03-14	PRIJEM	VKLAD	4229	14101	\N	\N	\N
767602	2621	1997-04-14	PRIJEM	VKLAD	4229	12127	\N	\N	\N
767603	2621	1997-05-14	PRIJEM	VKLAD	4229	13570	\N	\N	\N
767604	2621	1997-06-14	PRIJEM	VKLAD	6344	18436	\N	\N	\N
767605	2621	1997-07-14	PRIJEM	VKLAD	4229	20402	\N	\N	\N
767606	2621	1997-08-14	PRIJEM	VKLAD	4229	16838	\N	\N	\N
767607	2621	1997-09-14	PRIJEM	VKLAD	4229	15997	\N	\N	\N
767608	2621	1997-10-14	PRIJEM	VKLAD	4229	18658	\N	\N	\N
767609	2621	1997-11-14	PRIJEM	VKLAD	4229	15520	\N	\N	\N
767610	2621	1997-12-14	PRIJEM	VKLAD	6344	19893	\N	\N	\N
767611	2621	1998-01-14	PRIJEM	VKLAD	4229	14917	\N	\N	\N
767612	2621	1998-02-14	PRIJEM	VKLAD	4229	13242	\N	\N	\N
767613	2621	1998-03-14	PRIJEM	VKLAD	4229	16494	\N	\N	\N
767614	2621	1998-04-14	PRIJEM	VKLAD	4229	14849	\N	\N	\N
767615	2621	1998-05-14	PRIJEM	VKLAD	4229	15701	\N	\N	\N
767616	2621	1998-06-14	PRIJEM	VKLAD	6344	16668	\N	\N	\N
767617	2621	1998-07-14	PRIJEM	VKLAD	4229	12614	\N	\N	\N
767618	2621	1998-08-14	PRIJEM	VKLAD	4229	14059	\N	\N	\N
767619	2621	1998-09-14	PRIJEM	VKLAD	4229	15510	\N	\N	\N
767620	2621	1998-10-14	PRIJEM	VKLAD	4229	16966	\N	\N	\N
767621	2621	1998-11-14	PRIJEM	VKLAD	4229	18429	\N	\N	\N
767622	2621	1998-12-14	PRIJEM	VKLAD	6344	22013	\N	\N	\N
767638	2621	1996-04-07	VYDAJ	PREVOD NA UCET	2819	24520	SIPO	AB	59638219
767639	2621	1996-05-07	VYDAJ	PREVOD NA UCET	2819	20929	SIPO	AB	59638219
767640	2621	1996-06-07	VYDAJ	PREVOD NA UCET	2819	20225	SIPO	AB	59638219
767641	2621	1996-07-07	VYDAJ	PREVOD NA UCET	2819	20436	SIPO	AB	59638219
767642	2621	1996-08-07	VYDAJ	PREVOD NA UCET	2819	17810	SIPO	AB	59638219
767643	2621	1996-09-07	VYDAJ	PREVOD NA UCET	2819	17692	SIPO	AB	59638219
767644	2621	1996-10-07	VYDAJ	PREVOD NA UCET	2819	13770	SIPO	AB	59638219
767645	2621	1996-11-07	VYDAJ	PREVOD NA UCET	2819	13436	SIPO	AB	59638219
767646	2621	1996-12-07	VYDAJ	PREVOD NA UCET	2819	11298	SIPO	AB	59638219
767647	2621	1997-01-07	VYDAJ	PREVOD NA UCET	2819	10769	SIPO	AB	59638219
767648	2621	1997-02-07	VYDAJ	PREVOD NA UCET	2819	10322	SIPO	AB	59638219
767649	2621	1997-03-07	VYDAJ	PREVOD NA UCET	2819	9872	SIPO	AB	59638219
767650	2621	1997-04-07	VYDAJ	PREVOD NA UCET	2819	7898	SIPO	AB	59638219
767651	2621	1997-05-07	VYDAJ	PREVOD NA UCET	2819	9341	SIPO	AB	59638219
767652	2621	1997-06-07	VYDAJ	PREVOD NA UCET	2819	12092	SIPO	AB	59638219
767653	2621	1997-07-07	VYDAJ	PREVOD NA UCET	2819	16173	SIPO	AB	59638219
767654	2621	1997-08-07	VYDAJ	PREVOD NA UCET	2819	12609	SIPO	AB	59638219
767655	2621	1997-09-07	VYDAJ	PREVOD NA UCET	2819	11768	SIPO	AB	59638219
767656	2621	1997-10-07	VYDAJ	PREVOD NA UCET	2819	14429	SIPO	AB	59638219
767657	2621	1997-11-07	VYDAJ	PREVOD NA UCET	2819	11291	SIPO	AB	59638219
767658	2621	1997-12-07	VYDAJ	PREVOD NA UCET	2819	13550	SIPO	AB	59638219
767659	2621	1998-01-07	VYDAJ	PREVOD NA UCET	2819	10688	SIPO	AB	59638219
767660	2621	1998-02-07	VYDAJ	PREVOD NA UCET	2819	9013	SIPO	AB	59638219
767661	2621	1998-03-07	VYDAJ	PREVOD NA UCET	2819	12265	SIPO	AB	59638219
767662	2621	1998-04-07	VYDAJ	PREVOD NA UCET	2819	10620	SIPO	AB	59638219
767663	2621	1998-05-07	VYDAJ	PREVOD NA UCET	2819	11472	SIPO	AB	59638219
767664	2621	1998-06-07	VYDAJ	PREVOD NA UCET	2819	10325	SIPO	AB	59638219
767665	2621	1998-07-07	VYDAJ	PREVOD NA UCET	2819	8385	SIPO	AB	59638219
767666	2621	1998-08-07	VYDAJ	PREVOD NA UCET	2819	9830	SIPO	AB	59638219
767667	2621	1998-09-07	VYDAJ	PREVOD NA UCET	2819	11281	SIPO	AB	59638219
767668	2621	1998-10-07	VYDAJ	PREVOD NA UCET	2819	12737	SIPO	AB	59638219
767669	2621	1998-11-07	VYDAJ	PREVOD NA UCET	2819	14200	SIPO	AB	59638219
767670	2621	1998-12-07	VYDAJ	PREVOD NA UCET	2819	15669	SIPO	AB	59638219
767673	2621	1997-12-29	VYDAJ	VYBER	1760	14533	\N	\N	\N
767674	2621	1998-12-25	VYDAJ	VYBER	3200	15573	\N	\N	\N
767694	2621	1998-01-14	VYDAJ	VYBER	1920	12997	\N	\N	\N
767697	2621	1998-01-06	VYDAJ	VYBER	1080	13507	\N	\N	\N
767705	2621	1996-08-03	VYDAJ	VYBER	1920	20629	\N	\N	\N
767710	2621	1997-03-14	VYDAJ	VYBER	1320	12781	\N	\N	\N
767711	2621	1997-07-30	VYDAJ	VYBER	3720	15362	\N	\N	\N
767714	2621	1997-07-24	VYDAJ	VYBER	2520	19082	\N	\N	\N
767717	2621	1998-12-20	VYDAJ	VYBER	3240	18773	\N	\N	\N
767734	2621	1996-03-31	VYDAJ	VYBER	15	27339	SLUZBY	\N	\N
767735	2621	1996-04-30	VYDAJ	VYBER	15	23748	SLUZBY	\N	\N
767736	2621	1996-05-31	VYDAJ	VYBER	15	23044	SLUZBY	\N	\N
767737	2621	1996-06-30	VYDAJ	VYBER	15	23255	SLUZBY	\N	\N
767738	2621	1996-07-31	VYDAJ	VYBER	15	22549	SLUZBY	\N	\N
767739	2621	1996-08-31	VYDAJ	VYBER	15	20511	SLUZBY	\N	\N
767740	2621	1996-09-30	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
767741	2621	1996-10-31	VYDAJ	VYBER	15	16255	SLUZBY	\N	\N
767742	2621	1996-11-30	VYDAJ	VYBER	15	14117	SLUZBY	\N	\N
767743	2621	1996-12-31	VYDAJ	VYBER	15	13588	SLUZBY	\N	\N
767744	2621	1997-01-31	VYDAJ	VYBER	15	13141	SLUZBY	\N	\N
767745	2621	1997-02-28	VYDAJ	VYBER	15	12691	SLUZBY	\N	\N
767746	2621	1997-03-31	VYDAJ	VYBER	15	10717	SLUZBY	\N	\N
767747	2621	1997-04-30	VYDAJ	VYBER	15	12160	SLUZBY	\N	\N
767748	2621	1997-05-31	VYDAJ	VYBER	15	14911	SLUZBY	\N	\N
767749	2621	1997-06-30	VYDAJ	VYBER	15	18992	SLUZBY	\N	\N
767750	2621	1997-07-31	VYDAJ	VYBER	15	15428	SLUZBY	\N	\N
767751	2621	1997-08-31	VYDAJ	VYBER	15	14587	SLUZBY	\N	\N
767752	2621	1997-09-30	VYDAJ	VYBER	15	17248	SLUZBY	\N	\N
767753	2621	1997-10-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
767754	2621	1997-11-30	VYDAJ	VYBER	15	16369	SLUZBY	\N	\N
767755	2621	1997-12-31	VYDAJ	VYBER	15	14587	SLUZBY	\N	\N
767756	2621	1998-01-31	VYDAJ	VYBER	15	11832	SLUZBY	\N	\N
767757	2621	1998-02-28	VYDAJ	VYBER	15	15084	SLUZBY	\N	\N
767758	2621	1998-03-31	VYDAJ	VYBER	15	13439	SLUZBY	\N	\N
767759	2621	1998-04-30	VYDAJ	VYBER	15	14291	SLUZBY	\N	\N
767760	2621	1998-05-31	VYDAJ	VYBER	15	13144	SLUZBY	\N	\N
767761	2621	1998-06-30	VYDAJ	VYBER	15	11204	SLUZBY	\N	\N
767762	2621	1998-07-31	VYDAJ	VYBER	15	12649	SLUZBY	\N	\N
767763	2621	1998-08-31	VYDAJ	VYBER	15	14100	SLUZBY	\N	\N
767764	2621	1998-09-30	VYDAJ	VYBER	15	15556	SLUZBY	\N	\N
767765	2621	1998-10-31	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
767766	2621	1998-11-30	VYDAJ	VYBER	15	18488	SLUZBY	\N	\N
767767	2621	1995-11-28	PRIJEM	VKLAD	10800	15229	\N	\N	\N
767768	2621	1995-12-28	PRIJEM	VKLAD	2200	23779	\N	\N	\N
767769	2621	1996-01-27	VYDAJ	VYBER	2400	25676	\N	\N	\N
767770	2621	1996-02-26	VYDAJ	VYBER	3300	26705	\N	\N	\N
767771	2621	1996-03-27	VYDAJ	VYBER	3800	27242	\N	\N	\N
767772	2621	1996-04-26	VYDAJ	VYBER	5100	23649	\N	\N	\N
767773	2621	1996-05-26	VYDAJ	VYBER	2200	22958	\N	\N	\N
767774	2621	1996-06-25	VYDAJ	VYBER	3400	23168	\N	\N	\N
767775	2621	1996-07-25	VYDAJ	VYBER	2200	22465	\N	\N	\N
767776	2621	1996-08-24	VYDAJ	VYBER	1600	20439	\N	\N	\N
767777	2621	1996-09-23	VYDAJ	VYBER	5400	16521	\N	\N	\N
767778	2621	1996-10-23	VYDAJ	VYBER	1800	16199	\N	\N	\N
767779	2621	1996-11-22	VYDAJ	VYBER	3600	14065	\N	\N	\N
767780	2621	1996-12-22	VYDAJ	VYBER	4100	13541	\N	\N	\N
767781	2621	1997-01-21	VYDAJ	VYBER	1900	13098	\N	\N	\N
767782	2621	1997-02-20	VYDAJ	VYBER	1900	12651	\N	\N	\N
767783	2621	1997-03-22	VYDAJ	VYBER	2100	10681	\N	\N	\N
767784	2621	1997-05-21	PRIJEM	VKLAD	1300	14870	\N	\N	\N
767785	2621	1997-06-20	PRIJEM	VKLAD	500	18936	\N	\N	\N
767786	2621	1997-07-20	PRIJEM	VKLAD	1200	21602	\N	\N	\N
767787	2621	1997-08-19	VYDAJ	VYBER	2300	14538	\N	\N	\N
767788	2621	1997-09-18	PRIJEM	VKLAD	1200	17197	\N	\N	\N
767789	2621	1997-10-18	VYDAJ	VYBER	4600	14058	\N	\N	\N
767790	2621	1997-11-17	PRIJEM	VKLAD	800	16320	\N	\N	\N
767791	2621	1997-12-17	VYDAJ	VYBER	3600	16293	\N	\N	\N
767792	2621	1998-01-16	VYDAJ	VYBER	1200	11797	\N	\N	\N
767793	2621	1998-02-15	PRIJEM	VKLAD	1800	15042	\N	\N	\N
767794	2621	1998-03-17	VYDAJ	VYBER	3100	13394	\N	\N	\N
767795	2621	1998-04-16	VYDAJ	VYBER	600	14249	\N	\N	\N
767796	2621	1998-05-16	VYDAJ	VYBER	2600	13101	\N	\N	\N
767797	2621	1998-06-15	VYDAJ	VYBER	5500	11168	\N	\N	\N
767836	2622	1996-08-21	PRIJEM	VKLAD	300	300	\N	\N	\N
767845	2622	1996-09-08	PRIJEM	VKLAD	10601	10901	\N	\N	\N
767846	2622	1996-10-08	PRIJEM	VKLAD	10601	27328	\N	\N	\N
767847	2622	1996-11-08	PRIJEM	VKLAD	10601	35511	\N	\N	\N
767848	2622	1996-12-08	PRIJEM	VKLAD	15902	46125	\N	\N	\N
767849	2622	1997-01-08	PRIJEM	VKLAD	10601	46462	\N	\N	\N
767850	2622	1997-02-08	PRIJEM	VKLAD	10601	24376	\N	\N	\N
767851	2622	1997-03-08	PRIJEM	VKLAD	10601	23764	\N	\N	\N
767852	2622	1997-04-08	PRIJEM	VKLAD	10601	35475	\N	\N	\N
767853	2622	1997-05-08	PRIJEM	VKLAD	10601	32400	\N	\N	\N
767854	2622	1997-06-08	PRIJEM	VKLAD	15902	29098	\N	\N	\N
767855	2622	1997-07-08	PRIJEM	VKLAD	10601	38920	\N	\N	\N
767856	2622	1997-08-08	PRIJEM	VKLAD	10601	43269	\N	\N	\N
767857	2622	1997-09-08	PRIJEM	VKLAD	10601	50950	\N	\N	\N
767858	2622	1997-10-08	PRIJEM	VKLAD	10601	54345	\N	\N	\N
767859	2622	1997-11-08	PRIJEM	VKLAD	10601	49658	\N	\N	\N
767860	2622	1997-12-08	PRIJEM	VKLAD	15902	57858	\N	\N	\N
767861	2622	1998-01-08	PRIJEM	VKLAD	10601	34236	\N	\N	\N
767862	2622	1998-02-08	PRIJEM	VKLAD	10601	26016	\N	\N	\N
767863	2622	1998-03-08	PRIJEM	VKLAD	10601	36558	\N	\N	\N
767864	2622	1998-04-08	PRIJEM	VKLAD	10601	49228	\N	\N	\N
767865	2622	1998-05-08	PRIJEM	VKLAD	10601	39915	\N	\N	\N
767866	2622	1998-06-08	PRIJEM	VKLAD	15902	55896	\N	\N	\N
767867	2622	1998-07-08	PRIJEM	VKLAD	10601	54425	\N	\N	\N
767868	2622	1998-08-08	PRIJEM	VKLAD	10601	53059	\N	\N	\N
767869	2622	1998-09-08	PRIJEM	VKLAD	10601	47079	\N	\N	\N
767870	2622	1998-10-08	PRIJEM	VKLAD	10601	35457	\N	\N	\N
767871	2622	1998-11-08	PRIJEM	VKLAD	10601	39739	\N	\N	\N
767872	2622	1998-12-08	PRIJEM	VKLAD	15902	49034	\N	\N	\N
767885	2622	1997-01-12	VYDAJ	PREVOD NA UCET	7067	37115	SIPO	YZ	32006168
767886	2622	1997-02-12	VYDAJ	PREVOD NA UCET	7067	17309	SIPO	YZ	32006168
767887	2622	1997-03-12	VYDAJ	PREVOD NA UCET	7067	16697	SIPO	YZ	32006168
767888	2622	1997-04-12	VYDAJ	PREVOD NA UCET	7067	28408	SIPO	YZ	32006168
767889	2622	1997-05-12	VYDAJ	PREVOD NA UCET	7067	25333	SIPO	YZ	32006168
767890	2622	1997-06-12	VYDAJ	PREVOD NA UCET	7067	22031	SIPO	YZ	32006168
767891	2622	1997-07-12	VYDAJ	PREVOD NA UCET	7067	31853	SIPO	YZ	32006168
767892	2622	1997-08-12	VYDAJ	PREVOD NA UCET	7067	36202	SIPO	YZ	32006168
767893	2622	1997-09-12	VYDAJ	PREVOD NA UCET	7067	37583	SIPO	YZ	32006168
767894	2622	1997-10-12	VYDAJ	PREVOD NA UCET	7067	47278	SIPO	YZ	32006168
767895	2622	1997-11-12	VYDAJ	PREVOD NA UCET	7067	42591	SIPO	YZ	32006168
767896	2622	1997-12-12	VYDAJ	PREVOD NA UCET	7067	45591	SIPO	YZ	32006168
767897	2622	1998-01-12	VYDAJ	PREVOD NA UCET	7067	22869	SIPO	YZ	32006168
767898	2622	1998-02-12	VYDAJ	PREVOD NA UCET	7067	31949	SIPO	YZ	32006168
767899	2622	1998-03-12	VYDAJ	PREVOD NA UCET	7067	29491	SIPO	YZ	32006168
767900	2622	1998-04-12	VYDAJ	PREVOD NA UCET	7067	42161	SIPO	YZ	32006168
767901	2622	1998-05-12	VYDAJ	PREVOD NA UCET	7067	32848	SIPO	YZ	32006168
767902	2622	1998-06-12	VYDAJ	PREVOD NA UCET	7067	49329	SIPO	YZ	32006168
767903	2622	1998-07-12	VYDAJ	PREVOD NA UCET	7067	42277	SIPO	YZ	32006168
767904	2622	1998-08-12	VYDAJ	PREVOD NA UCET	7067	42012	SIPO	YZ	32006168
767905	2622	1998-09-12	VYDAJ	PREVOD NA UCET	7067	38572	SIPO	YZ	32006168
767906	2622	1998-10-12	VYDAJ	PREVOD NA UCET	7067	29009	SIPO	YZ	32006168
767907	2622	1998-11-12	VYDAJ	PREVOD NA UCET	7067	32991	SIPO	YZ	32006168
767908	2622	1998-12-12	VYDAJ	PREVOD NA UCET	7067	34786	SIPO	YZ	32006168
767921	2622	1997-01-20	VYDAJ	VYBER	5200	23075	\N	\N	0
767922	2622	1997-02-13	VYDAJ	VYBER	5300	12009	\N	\N	0
767923	2622	1997-03-05	VYDAJ	VYBER	7600	13163	\N	\N	0
767924	2622	1997-04-12	VYDAJ	VYBER	5200	23208	\N	\N	0
767925	2622	1997-04-29	VYDAJ	VYBER	5900	21708	\N	\N	0
767926	2622	1997-05-24	VYDAJ	VYBER	5300	22833	\N	\N	0
767927	2622	1997-07-18	VYDAJ	VYBER	5100	32553	\N	\N	0
767928	2622	1997-08-25	VYDAJ	VYBER	6000	40202	\N	\N	0
767929	2622	1997-09-09	VYDAJ	VYBER	6300	44650	\N	\N	0
767930	2622	1997-10-26	VYDAJ	VYBER	7900	42978	\N	\N	0
767931	2622	1997-11-03	VYDAJ	VYBER	4100	39057	\N	\N	0
767932	2622	1997-12-11	VYDAJ	VYBER	5200	52658	\N	\N	0
767933	2622	1998-01-09	VYDAJ	VYBER	4300	29936	\N	\N	0
767934	2622	1998-01-30	VYDAJ	VYBER	6800	15309	\N	\N	0
767935	2622	1998-03-07	VYDAJ	VYBER	6100	25957	\N	\N	0
767936	2622	1998-04-26	VYDAJ	VYBER	7200	35761	\N	\N	0
767937	2622	1998-05-02	VYDAJ	VYBER	6600	29314	\N	\N	0
767938	2622	1998-06-12	VYDAJ	PREVOD NA UCET	5681	43648	UVER	EF	66704517
767939	2622	1998-07-12	VYDAJ	PREVOD NA UCET	5681	49344	UVER	EF	66704517
767940	2622	1998-08-12	VYDAJ	PREVOD NA UCET	5681	36331	UVER	EF	66704517
767941	2622	1998-09-12	VYDAJ	PREVOD NA UCET	5681	32891	UVER	EF	66704517
767942	2622	1998-10-12	VYDAJ	PREVOD NA UCET	5681	36076	UVER	EF	66704517
767943	2622	1998-11-12	VYDAJ	PREVOD NA UCET	5681	40058	UVER	EF	66704517
767944	2622	1998-12-12	VYDAJ	PREVOD NA UCET	5681	41853	UVER	EF	66704517
767949	2622	1997-01-22	VYDAJ	VYBER	8800	13675	\N	\N	\N
767950	2622	1998-01-04	VYDAJ	VYBER	8000	30835	\N	\N	\N
767952	2622	1997-12-30	VYDAJ	VYBER	4320	38671	\N	\N	\N
767953	2622	1998-12-26	VYDAJ	VYBER	4000	29946	\N	\N	\N
767963	2622	1997-01-19	VYDAJ	VYBER	2160	28275	\N	\N	\N
767965	2622	1997-01-16	VYDAJ	VYBER	2160	32435	\N	\N	\N
767966	2622	1998-01-22	VYDAJ	VYBER	2280	29669	\N	\N	\N
767967	2622	1998-01-26	VYDAJ	VYBER	3000	22109	\N	\N	\N
767968	2622	1998-01-25	VYDAJ	VYBER	3240	25109	\N	\N	\N
767969	2622	1998-01-13	VYDAJ	VYBER	2520	31949	\N	\N	\N
767970	2622	1998-01-06	VYDAJ	VYBER	1800	23635	\N	\N	\N
767971	2622	1998-01-22	VYDAJ	VYBER	1320	28349	\N	\N	\N
767977	2622	1997-01-14	VYDAJ	VYBER	2520	34595	\N	\N	\N
767978	2622	1997-05-29	VYDAJ	VYBER	5880	16953	\N	\N	\N
767979	2622	1997-06-02	VYDAJ	VYBER	3840	13196	\N	\N	\N
767980	2622	1997-01-22	VYDAJ	VYBER	600	22475	\N	\N	\N
767981	2622	1997-01-11	VYDAJ	VYBER	2280	44182	\N	\N	\N
767982	2622	1998-08-11	VYDAJ	VYBER	5880	49079	\N	\N	\N
767983	2622	1998-10-07	VYDAJ	VYBER	4560	24856	\N	\N	\N
767984	2622	1998-12-20	VYDAJ	VYBER	840	33946	\N	\N	\N
767985	2622	1998-09-08	VYDAJ	VYBER	2040	45039	\N	\N	\N
767986	2622	1998-09-15	VYDAJ	VYBER	3600	29291	\N	\N	\N
767987	2622	1998-01-05	VYDAJ	VYBER	5400	25435	\N	\N	\N
768001	2622	1997-01-31	VYDAJ	VYBER	15	13775	SLUZBY	\N	\N
768002	2622	1997-02-28	VYDAJ	VYBER	15	20763	SLUZBY	\N	\N
768003	2622	1997-03-31	VYDAJ	VYBER	15	24874	SLUZBY	\N	\N
768004	2622	1997-04-30	VYDAJ	VYBER	15	21799	SLUZBY	\N	\N
768005	2622	1997-05-31	VYDAJ	VYBER	15	17036	SLUZBY	\N	\N
768006	2622	1997-06-30	VYDAJ	VYBER	15	28319	SLUZBY	\N	\N
768007	2622	1997-07-31	VYDAJ	VYBER	15	32668	SLUZBY	\N	\N
768008	2622	1997-08-31	VYDAJ	VYBER	15	40349	SLUZBY	\N	\N
768009	2622	1997-09-30	VYDAJ	VYBER	15	43744	SLUZBY	\N	\N
768010	2622	1997-10-31	VYDAJ	VYBER	15	43157	SLUZBY	\N	\N
768011	2622	1997-11-30	VYDAJ	VYBER	15	41956	SLUZBY	\N	\N
768012	2622	1997-12-31	VYDAJ	VYBER	15	38835	SLUZBY	\N	\N
768013	2622	1998-01-31	VYDAJ	VYBER	15	15415	SLUZBY	\N	\N
768014	2622	1998-02-28	VYDAJ	VYBER	15	32057	SLUZBY	\N	\N
768015	2622	1998-03-31	VYDAJ	VYBER	15	38627	SLUZBY	\N	\N
768016	2622	1998-04-30	VYDAJ	VYBER	15	35914	SLUZBY	\N	\N
768017	2622	1998-05-31	VYDAJ	VYBER	15	39994	SLUZBY	\N	\N
768018	2622	1998-06-30	VYDAJ	VYBER	15	43824	SLUZBY	\N	\N
768019	2622	1998-07-31	VYDAJ	VYBER	15	42458	SLUZBY	\N	\N
768020	2622	1998-08-31	VYDAJ	VYBER	15	36478	SLUZBY	\N	\N
768021	2622	1998-09-30	VYDAJ	VYBER	15	29416	SLUZBY	\N	\N
768022	2622	1998-10-31	VYDAJ	VYBER	15	29138	SLUZBY	\N	\N
768023	2622	1998-11-30	VYDAJ	VYBER	15	33132	SLUZBY	\N	\N
768024	2622	1996-09-20	PRIJEM	VKLAD	5800	16701	\N	\N	\N
768025	2622	1996-10-20	VYDAJ	VYBER	2500	24828	\N	\N	\N
768026	2622	1996-11-19	VYDAJ	VYBER	5400	30111	\N	\N	\N
768027	2622	1996-12-19	VYDAJ	VYBER	10400	35725	\N	\N	\N
768028	2622	1997-01-18	VYDAJ	VYBER	2000	30435	\N	\N	\N
768029	2622	1997-02-17	PRIJEM	VKLAD	8700	20709	\N	\N	\N
768030	2622	1997-03-19	PRIJEM	VKLAD	8100	24797	\N	\N	\N
768031	2622	1997-04-18	PRIJEM	VKLAD	4400	27608	\N	\N	\N
768032	2622	1997-05-18	PRIJEM	VKLAD	2800	28133	\N	\N	\N
768033	2622	1997-06-17	PRIJEM	VKLAD	6200	28231	\N	\N	\N
768034	2622	1997-07-17	PRIJEM	VKLAD	5800	37653	\N	\N	\N
768035	2622	1997-08-16	PRIJEM	VKLAD	10000	46202	\N	\N	\N
768036	2622	1997-09-15	PRIJEM	VKLAD	6000	43583	\N	\N	\N
768037	2622	1997-10-15	PRIJEM	VKLAD	3600	50878	\N	\N	\N
768038	2622	1997-11-14	VYDAJ	VYBER	800	41791	\N	\N	\N
768039	2622	1997-12-14	VYDAJ	VYBER	2600	42991	\N	\N	\N
768040	2622	1998-01-13	PRIJEM	VKLAD	11600	34469	\N	\N	\N
768041	2622	1998-02-12	PRIJEM	VKLAD	13000	39016	\N	\N	\N
768042	2622	1998-03-14	PRIJEM	VKLAD	9000	38491	\N	\N	\N
768043	2622	1998-04-13	PRIJEM	VKLAD	800	42961	\N	\N	\N
768044	2622	1998-05-13	PRIJEM	VKLAD	7000	39848	\N	\N	\N
768045	2622	1998-06-12	PRIJEM	VKLAD	500	56396	\N	\N	\N
768046	2622	1998-07-12	PRIJEM	VKLAD	600	55025	\N	\N	\N
768047	2622	1998-08-11	PRIJEM	VKLAD	1900	54959	\N	\N	\N
768048	2622	1998-09-10	PRIJEM	VKLAD	600	45639	\N	\N	\N
768049	2622	1998-10-10	PRIJEM	VKLAD	6300	41757	\N	\N	\N
768050	2622	1998-11-09	PRIJEM	VKLAD	6000	45739	\N	\N	\N
768051	2622	1998-12-09	VYDAJ	VYBER	1500	47534	\N	\N	\N
768080	2623	1993-10-09	PRIJEM	VKLAD	400	400	\N	\N	\N
768090	2623	1993-10-14	PRIJEM	VKLAD	4337	4737	\N	\N	\N
768091	2623	1993-11-14	PRIJEM	VKLAD	4337	17086	\N	\N	\N
768092	2623	1993-12-14	PRIJEM	VKLAD	6506	25040	\N	\N	\N
768093	2623	1994-01-14	PRIJEM	VKLAD	4337	30367	\N	\N	\N
768094	2623	1994-02-14	PRIJEM	VKLAD	4337	31022	\N	\N	\N
768095	2623	1994-03-14	PRIJEM	VKLAD	4337	30781	\N	\N	\N
768096	2623	1994-04-14	PRIJEM	VKLAD	4337	23877	\N	\N	\N
768097	2623	1994-05-14	PRIJEM	VKLAD	4337	25848	\N	\N	\N
768098	2623	1994-06-14	PRIJEM	VKLAD	6506	30452	\N	\N	\N
768099	2623	1994-07-14	PRIJEM	VKLAD	4337	27042	\N	\N	\N
768100	2623	1994-08-14	PRIJEM	VKLAD	4337	26068	\N	\N	\N
768101	2623	1994-09-14	PRIJEM	VKLAD	4337	28509	\N	\N	\N
768102	2623	1994-10-14	PRIJEM	VKLAD	4337	29855	\N	\N	\N
768103	2623	1994-11-14	PRIJEM	VKLAD	4337	27546	\N	\N	\N
768104	2623	1994-12-14	PRIJEM	VKLAD	6506	28437	\N	\N	\N
768105	2623	1995-01-14	PRIJEM	VKLAD	4337	25007	\N	\N	\N
768106	2623	1995-02-14	PRIJEM	VKLAD	4337	23050	\N	\N	\N
768107	2623	1995-03-14	PRIJEM	VKLAD	4337	27022	\N	\N	\N
768108	2623	1995-04-14	PRIJEM	VKLAD	4337	30559	\N	\N	\N
768109	2623	1995-05-14	PRIJEM	VKLAD	4337	34011	\N	\N	\N
768110	2623	1995-06-14	PRIJEM	VKLAD	6506	37546	\N	\N	\N
768111	2623	1995-07-14	PRIJEM	VKLAD	4337	36627	\N	\N	\N
768112	2623	1995-08-14	PRIJEM	VKLAD	4337	34172	\N	\N	\N
768113	2623	1995-09-14	PRIJEM	VKLAD	4337	36146	\N	\N	\N
768114	2623	1995-10-14	PRIJEM	VKLAD	4337	39261	\N	\N	\N
768115	2623	1995-11-14	PRIJEM	VKLAD	4337	37333	\N	\N	\N
768116	2623	1995-12-14	PRIJEM	VKLAD	6506	43591	\N	\N	\N
768117	2623	1996-01-14	PRIJEM	VKLAD	4337	30536	\N	\N	\N
768118	2623	1996-02-14	PRIJEM	VKLAD	4337	26324	\N	\N	\N
768119	2623	1996-03-14	PRIJEM	VKLAD	4337	31689	\N	\N	\N
768120	2623	1996-04-14	PRIJEM	VKLAD	4337	37652	\N	\N	\N
768121	2623	1996-05-14	PRIJEM	VKLAD	4337	40438	\N	\N	\N
768122	2623	1996-06-14	PRIJEM	VKLAD	6506	32419	\N	\N	\N
768123	2623	1996-07-14	PRIJEM	VKLAD	4337	32213	\N	\N	\N
768124	2623	1996-08-14	PRIJEM	VKLAD	4337	37782	\N	\N	\N
768125	2623	1996-09-14	PRIJEM	VKLAD	4337	39768	\N	\N	\N
768126	2623	1996-10-14	PRIJEM	VKLAD	4337	43602	\N	\N	\N
768127	2623	1996-11-14	PRIJEM	VKLAD	4337	45812	\N	\N	\N
768128	2623	1996-12-14	PRIJEM	VKLAD	6506	45493	\N	\N	\N
768129	2623	1997-01-14	PRIJEM	VKLAD	4337	39319	\N	\N	\N
768130	2623	1997-02-14	PRIJEM	VKLAD	4337	30809	\N	\N	\N
768131	2623	1997-03-14	PRIJEM	VKLAD	4337	38572	\N	\N	\N
768132	2623	1997-04-14	PRIJEM	VKLAD	4337	36580	\N	\N	\N
768133	2623	1997-05-14	PRIJEM	VKLAD	4337	36624	\N	\N	\N
768134	2623	1997-06-14	PRIJEM	VKLAD	6506	48691	\N	\N	\N
768135	2623	1997-07-14	PRIJEM	VKLAD	4337	44335	\N	\N	\N
768136	2623	1997-08-14	PRIJEM	VKLAD	4337	52563	\N	\N	\N
768137	2623	1997-09-14	PRIJEM	VKLAD	4337	56613	\N	\N	\N
768138	2623	1997-10-14	PRIJEM	VKLAD	4337	54074	\N	\N	\N
768139	2623	1997-11-14	PRIJEM	VKLAD	4337	59439	\N	\N	\N
768140	2623	1997-12-14	PRIJEM	VKLAD	6506	59241	\N	\N	\N
768141	2623	1998-01-14	PRIJEM	VKLAD	4337	45336	\N	\N	\N
768142	2623	1998-02-14	PRIJEM	VKLAD	4337	43252	\N	\N	\N
768143	2623	1998-03-14	PRIJEM	VKLAD	4337	44951	\N	\N	\N
768144	2623	1998-04-14	PRIJEM	VKLAD	4337	52681	\N	\N	\N
768145	2623	1998-05-14	PRIJEM	VKLAD	4337	55237	\N	\N	\N
768146	2623	1998-06-14	PRIJEM	VKLAD	6506	61918	\N	\N	\N
768147	2623	1998-07-14	PRIJEM	VKLAD	4337	56449	\N	\N	\N
768148	2623	1998-08-14	PRIJEM	VKLAD	4337	64520	\N	\N	\N
768149	2623	1998-09-14	PRIJEM	VKLAD	4337	64050	\N	\N	\N
768150	2623	1998-10-14	PRIJEM	VKLAD	4337	66345	\N	\N	\N
768151	2623	1998-11-14	PRIJEM	VKLAD	4337	70704	\N	\N	\N
768152	2623	1998-12-14	PRIJEM	VKLAD	6506	70366	\N	\N	\N
768167	2623	1994-03-13	VYDAJ	PREVOD NA UCET	2891	26444	SIPO	EF	52708911
768168	2623	1994-04-13	VYDAJ	PREVOD NA UCET	2891	19540	SIPO	EF	52708911
768169	2623	1994-05-13	VYDAJ	PREVOD NA UCET	2891	21511	SIPO	EF	52708911
768170	2623	1994-06-13	VYDAJ	PREVOD NA UCET	2891	23946	SIPO	EF	52708911
768171	2623	1994-07-13	VYDAJ	PREVOD NA UCET	2891	22705	SIPO	EF	52708911
768172	2623	1994-08-13	VYDAJ	PREVOD NA UCET	2891	21731	SIPO	EF	52708911
768173	2623	1994-09-13	VYDAJ	PREVOD NA UCET	2891	24172	SIPO	EF	52708911
768174	2623	1994-10-13	VYDAJ	PREVOD NA UCET	2891	25518	SIPO	EF	52708911
768175	2623	1994-11-13	VYDAJ	PREVOD NA UCET	2891	23209	SIPO	EF	52708911
768176	2623	1994-12-13	VYDAJ	PREVOD NA UCET	2891	21931	SIPO	EF	52708911
768177	2623	1995-01-13	VYDAJ	PREVOD NA UCET	2891	20670	SIPO	EF	52708911
768178	2623	1995-02-13	VYDAJ	PREVOD NA UCET	2891	18713	SIPO	EF	52708911
768179	2623	1995-03-13	VYDAJ	PREVOD NA UCET	2891	22685	SIPO	EF	52708911
768180	2623	1995-04-13	VYDAJ	PREVOD NA UCET	2891	26222	SIPO	EF	52708911
768181	2623	1995-05-13	VYDAJ	PREVOD NA UCET	2891	29674	SIPO	EF	52708911
768182	2623	1995-06-13	VYDAJ	PREVOD NA UCET	2891	31041	SIPO	EF	52708911
768183	2623	1995-07-13	VYDAJ	PREVOD NA UCET	2891	32290	SIPO	EF	52708911
768184	2623	1995-08-13	VYDAJ	PREVOD NA UCET	2891	29835	SIPO	EF	52708911
768185	2623	1995-09-13	VYDAJ	PREVOD NA UCET	2891	31809	SIPO	EF	52708911
768186	2623	1995-10-13	VYDAJ	PREVOD NA UCET	2891	34924	SIPO	EF	52708911
768187	2623	1995-11-13	VYDAJ	PREVOD NA UCET	2891	36116	SIPO	EF	52708911
768188	2623	1995-12-13	VYDAJ	PREVOD NA UCET	2891	37086	SIPO	EF	52708911
768189	2623	1996-01-13	VYDAJ	PREVOD NA UCET	2891	26199	SIPO	EF	52708911
768190	2623	1996-02-13	VYDAJ	PREVOD NA UCET	2891	21987	SIPO	EF	52708911
768191	2623	1996-03-13	VYDAJ	PREVOD NA UCET	2891	27352	SIPO	EF	52708911
768192	2623	1996-04-13	VYDAJ	PREVOD NA UCET	2891	33315	SIPO	EF	52708911
768193	2623	1996-05-13	VYDAJ	PREVOD NA UCET	2891	36101	SIPO	EF	52708911
768194	2623	1996-06-13	VYDAJ	PREVOD NA UCET	2891	25913	SIPO	EF	52708911
768195	2623	1996-07-13	VYDAJ	PREVOD NA UCET	2891	27876	SIPO	EF	52708911
768196	2623	1996-08-13	VYDAJ	PREVOD NA UCET	2891	33445	SIPO	EF	52708911
768197	2623	1996-09-13	VYDAJ	PREVOD NA UCET	2891	35431	SIPO	EF	52708911
768198	2623	1996-10-13	VYDAJ	PREVOD NA UCET	2891	39265	SIPO	EF	52708911
768199	2623	1996-11-13	VYDAJ	PREVOD NA UCET	2891	41475	SIPO	EF	52708911
768200	2623	1996-12-13	VYDAJ	PREVOD NA UCET	2891	38988	SIPO	EF	52708911
768201	2623	1997-01-13	VYDAJ	PREVOD NA UCET	2891	34982	SIPO	EF	52708911
768202	2623	1997-02-13	VYDAJ	PREVOD NA UCET	2891	26472	SIPO	EF	52708911
768203	2623	1997-03-13	VYDAJ	PREVOD NA UCET	2891	34235	SIPO	EF	52708911
768204	2623	1997-04-13	VYDAJ	PREVOD NA UCET	2891	32243	SIPO	EF	52708911
768205	2623	1997-05-13	VYDAJ	PREVOD NA UCET	2891	32287	SIPO	EF	52708911
768206	2623	1997-06-13	VYDAJ	PREVOD NA UCET	2891	42185	SIPO	EF	52708911
768207	2623	1997-07-13	VYDAJ	PREVOD NA UCET	2891	39998	SIPO	EF	52708911
768208	2623	1997-08-13	VYDAJ	PREVOD NA UCET	2891	48226	SIPO	EF	52708911
768209	2623	1997-09-13	VYDAJ	PREVOD NA UCET	2891	52276	SIPO	EF	52708911
768210	2623	1997-10-13	VYDAJ	PREVOD NA UCET	2891	49737	SIPO	EF	52708911
768211	2623	1997-11-13	VYDAJ	PREVOD NA UCET	2891	55102	SIPO	EF	52708911
768212	2623	1997-12-13	VYDAJ	PREVOD NA UCET	2891	52735	SIPO	EF	52708911
768213	2623	1998-01-13	VYDAJ	PREVOD NA UCET	2891	40999	SIPO	EF	52708911
768214	2623	1998-02-13	VYDAJ	PREVOD NA UCET	2891	38915	SIPO	EF	52708911
768215	2623	1998-03-13	VYDAJ	PREVOD NA UCET	2891	40614	SIPO	EF	52708911
768216	2623	1998-04-13	VYDAJ	PREVOD NA UCET	2891	48344	SIPO	EF	52708911
768217	2623	1998-05-13	VYDAJ	PREVOD NA UCET	2891	55100	SIPO	EF	52708911
768218	2623	1998-06-13	VYDAJ	PREVOD NA UCET	2891	55413	SIPO	EF	52708911
768219	2623	1998-07-13	VYDAJ	PREVOD NA UCET	2891	52112	SIPO	EF	52708911
768220	2623	1998-08-13	VYDAJ	PREVOD NA UCET	2891	57983	SIPO	EF	52708911
768221	2623	1998-09-13	VYDAJ	PREVOD NA UCET	2891	59713	SIPO	EF	52708911
768222	2623	1998-10-13	VYDAJ	PREVOD NA UCET	2891	62008	SIPO	EF	52708911
768223	2623	1998-11-13	VYDAJ	PREVOD NA UCET	2891	66367	SIPO	EF	52708911
768224	2623	1998-12-13	VYDAJ	PREVOD NA UCET	2891	63860	SIPO	EF	52708911
768228	2623	1996-06-08	VYDAJ	VYBER	10880	28804	\N	\N	\N
768230	2623	1998-06-17	VYDAJ	VYBER	13440	54778	\N	\N	\N
768233	2623	1995-01-02	VYDAJ	VYBER	1600	27041	\N	\N	\N
768235	2623	1997-01-14	VYDAJ	VYBER	11520	27799	\N	\N	\N
768236	2623	1998-01-02	VYDAJ	VYBER	10720	48450	\N	\N	\N
768238	2623	1994-12-03	VYDAJ	VYBER	4320	24822	\N	\N	\N
768239	2623	1995-12-27	VYDAJ	VYBER	1760	41831	\N	\N	\N
768240	2623	1996-12-19	VYDAJ	VYBER	4640	40853	\N	\N	\N
768241	2623	1997-12-07	VYDAJ	VYBER	3840	55626	\N	\N	\N
768242	2623	1998-12-12	VYDAJ	VYBER	3520	66751	\N	\N	\N
768255	2623	1995-01-21	VYDAJ	VYBER	2280	19727	\N	\N	\N
768256	2623	1995-01-22	VYDAJ	VYBER	720	19007	\N	\N	\N
768257	2623	1995-01-27	VYDAJ	VYBER	2280	16727	\N	\N	\N
768258	2623	1995-01-17	VYDAJ	VYBER	3000	22007	\N	\N	\N
768259	2623	1995-01-08	VYDAJ	VYBER	3480	23561	\N	\N	\N
768260	2623	1995-01-28	VYDAJ	VYBER	1800	14927	\N	\N	\N
768261	2623	1996-01-09	VYDAJ	VYBER	3000	29090	\N	\N	\N
768262	2623	1996-01-22	VYDAJ	VYBER	3360	27176	\N	\N	\N
768263	2623	1996-01-08	VYDAJ	VYBER	1440	36890	\N	\N	\N
768264	2623	1996-01-09	VYDAJ	VYBER	840	32090	\N	\N	\N
768265	2623	1996-01-01	VYDAJ	VYBER	2760	38330	\N	\N	\N
768266	2623	1996-01-29	VYDAJ	VYBER	3240	30636	\N	\N	\N
768267	2623	1997-01-02	VYDAJ	VYBER	3240	37873	\N	\N	\N
768268	2623	1997-01-17	VYDAJ	VYBER	1920	21679	\N	\N	\N
768269	2623	1997-01-21	VYDAJ	VYBER	2400	29239	\N	\N	\N
768270	2623	1997-01-15	VYDAJ	VYBER	1800	25999	\N	\N	\N
768271	2623	1997-01-17	VYDAJ	VYBER	2400	23599	\N	\N	\N
768272	2623	1997-01-17	VYDAJ	VYBER	1440	20239	\N	\N	\N
768273	2623	1998-01-16	VYDAJ	VYBER	2280	48356	\N	\N	\N
768274	2623	1998-01-24	VYDAJ	VYBER	1080	41636	\N	\N	\N
768275	2623	1998-01-17	VYDAJ	VYBER	1800	46556	\N	\N	\N
768276	2623	1998-01-19	VYDAJ	VYBER	2640	43916	\N	\N	\N
768277	2623	1998-01-02	VYDAJ	VYBER	3360	45090	\N	\N	\N
768278	2623	1998-01-08	VYDAJ	VYBER	1200	43890	\N	\N	\N
768283	2623	1994-04-30	VYDAJ	VYBER	3360	20602	\N	\N	\N
768284	2623	1994-03-27	VYDAJ	VYBER	5160	25621	\N	\N	\N
768285	2623	1994-07-09	VYDAJ	VYBER	2760	25596	\N	\N	\N
768286	2623	1994-08-11	VYDAJ	VYBER	2520	24622	\N	\N	\N
768287	2623	1994-04-03	VYDAJ	VYBER	3600	22131	\N	\N	\N
768288	2623	1994-10-28	VYDAJ	VYBER	3960	25895	\N	\N	\N
768289	2623	1995-07-31	VYDAJ	VYBER	2040	32726	\N	\N	\N
768290	2623	1995-03-13	VYDAJ	VYBER	2040	25576	\N	\N	\N
768291	2623	1995-11-13	VYDAJ	VYBER	3120	32996	\N	\N	\N
768292	2623	1995-09-14	VYDAJ	VYBER	2160	33986	\N	\N	\N
768293	2623	1996-01-09	VYDAJ	VYBER	3960	32930	\N	\N	\N
768294	2623	1996-02-06	VYDAJ	VYBER	5880	24878	\N	\N	\N
768295	2623	1996-06-18	VYDAJ	VYBER	3840	28579	\N	\N	\N
768296	2623	1996-09-18	VYDAJ	VYBER	3360	36408	\N	\N	\N
768297	2623	1996-07-13	VYDAJ	VYBER	2640	30767	\N	\N	\N
768298	2623	1996-02-16	VYDAJ	VYBER	3480	22844	\N	\N	\N
768299	2623	1996-05-20	VYDAJ	VYBER	3600	36838	\N	\N	\N
768300	2623	1997-05-05	VYDAJ	VYBER	4440	35178	\N	\N	\N
768301	2623	1997-07-05	VYDAJ	VYBER	3480	42889	\N	\N	\N
768302	2623	1997-10-01	VYDAJ	VYBER	3600	52628	\N	\N	\N
768303	2623	1997-06-23	VYDAJ	VYBER	5400	46191	\N	\N	\N
768304	2623	1997-03-29	VYDAJ	VYBER	4680	34992	\N	\N	\N
768305	2623	1998-06-01	VYDAJ	VYBER	2160	58304	\N	\N	\N
768306	2623	1998-01-20	VYDAJ	VYBER	1200	42716	\N	\N	\N
768307	2623	1998-03-07	VYDAJ	VYBER	4080	43505	\N	\N	\N
768308	2623	1998-09-10	VYDAJ	VYBER	2160	62604	\N	\N	\N
768309	2623	1998-10-18	VYDAJ	VYBER	840	65505	\N	\N	\N
768310	2623	1998-05-13	VYDAJ	VYBER	4200	50900	\N	\N	\N
768311	2623	1998-03-01	VYDAJ	VYBER	2040	47585	\N	\N	\N
768326	2623	1994-02-28	VYDAJ	VYBER	15	31135	SLUZBY	\N	\N
768327	2623	1994-03-31	VYDAJ	VYBER	15	25731	SLUZBY	\N	\N
768328	2623	1994-04-30	VYDAJ	VYBER	15	23962	SLUZBY	\N	\N
768329	2623	1994-05-31	VYDAJ	VYBER	15	25937	SLUZBY	\N	\N
768330	2623	1994-06-30	VYDAJ	VYBER	15	30556	SLUZBY	\N	\N
768331	2623	1994-07-31	VYDAJ	VYBER	15	27142	SLUZBY	\N	\N
768332	2623	1994-08-31	VYDAJ	VYBER	15	26163	SLUZBY	\N	\N
768333	2623	1994-09-30	VYDAJ	VYBER	15	28609	SLUZBY	\N	\N
768334	2623	1994-10-31	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
768335	2623	1994-11-30	VYDAJ	VYBER	15	27642	SLUZBY	\N	\N
768336	2623	1994-12-31	VYDAJ	VYBER	15	28541	SLUZBY	\N	\N
768337	2623	1995-01-31	VYDAJ	VYBER	15	15004	SLUZBY	\N	\N
768338	2623	1995-02-28	VYDAJ	VYBER	15	23116	SLUZBY	\N	\N
768339	2623	1995-03-31	VYDAJ	VYBER	15	27113	SLUZBY	\N	\N
768340	2623	1995-04-30	VYDAJ	VYBER	15	30665	SLUZBY	\N	\N
768341	2623	1995-05-31	VYDAJ	VYBER	15	34132	SLUZBY	\N	\N
768342	2623	1995-06-30	VYDAJ	VYBER	15	37681	SLUZBY	\N	\N
768343	2623	1995-07-31	VYDAJ	VYBER	15	36766	SLUZBY	\N	\N
768344	2623	1995-08-31	VYDAJ	VYBER	15	34700	SLUZBY	\N	\N
768345	2623	1995-09-30	VYDAJ	VYBER	15	37815	SLUZBY	\N	\N
768346	2623	1995-10-31	VYDAJ	VYBER	15	39007	SLUZBY	\N	\N
768347	2623	1995-11-30	VYDAJ	VYBER	15	39977	SLUZBY	\N	\N
768348	2623	1995-12-31	VYDAJ	VYBER	15	41090	SLUZBY	\N	\N
768349	2623	1996-01-31	VYDAJ	VYBER	15	30758	SLUZBY	\N	\N
768350	2623	1996-02-29	VYDAJ	VYBER	15	30243	SLUZBY	\N	\N
768351	2623	1996-03-31	VYDAJ	VYBER	15	36206	SLUZBY	\N	\N
768352	2623	1996-04-30	VYDAJ	VYBER	15	38992	SLUZBY	\N	\N
768353	2623	1996-05-31	VYDAJ	VYBER	15	39684	SLUZBY	\N	\N
768354	2623	1996-06-30	VYDAJ	VYBER	15	33407	SLUZBY	\N	\N
768355	2623	1996-07-31	VYDAJ	VYBER	15	36336	SLUZBY	\N	\N
768356	2623	1996-08-31	VYDAJ	VYBER	15	38322	SLUZBY	\N	\N
768357	2623	1996-09-30	VYDAJ	VYBER	15	42156	SLUZBY	\N	\N
768358	2623	1996-10-31	VYDAJ	VYBER	15	44366	SLUZBY	\N	\N
768359	2623	1996-11-30	VYDAJ	VYBER	15	41879	SLUZBY	\N	\N
768360	2623	1996-12-31	VYDAJ	VYBER	15	41113	SLUZBY	\N	\N
768361	2623	1997-01-31	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
768362	2623	1997-02-28	VYDAJ	VYBER	15	37126	SLUZBY	\N	\N
768363	2623	1997-03-31	VYDAJ	VYBER	15	35134	SLUZBY	\N	\N
768364	2623	1997-04-30	VYDAJ	VYBER	15	39618	SLUZBY	\N	\N
768365	2623	1997-05-31	VYDAJ	VYBER	15	45076	SLUZBY	\N	\N
768366	2623	1997-06-30	VYDAJ	VYBER	15	46369	SLUZBY	\N	\N
768367	2623	1997-07-31	VYDAJ	VYBER	15	51117	SLUZBY	\N	\N
768368	2623	1997-08-31	VYDAJ	VYBER	15	55167	SLUZBY	\N	\N
768369	2623	1997-09-30	VYDAJ	VYBER	15	56228	SLUZBY	\N	\N
768370	2623	1997-10-31	VYDAJ	VYBER	15	57993	SLUZBY	\N	\N
768371	2623	1997-11-30	VYDAJ	VYBER	15	59466	SLUZBY	\N	\N
768372	2623	1997-12-31	VYDAJ	VYBER	15	59170	SLUZBY	\N	\N
768373	2623	1998-01-31	VYDAJ	VYBER	15	41806	SLUZBY	\N	\N
768374	2623	1998-02-28	VYDAJ	VYBER	15	49625	SLUZBY	\N	\N
768375	2623	1998-03-31	VYDAJ	VYBER	15	51235	SLUZBY	\N	\N
768376	2623	1998-04-30	VYDAJ	VYBER	15	57991	SLUZBY	\N	\N
768377	2623	1998-05-31	VYDAJ	VYBER	15	60464	SLUZBY	\N	\N
768378	2623	1998-06-30	VYDAJ	VYBER	15	55003	SLUZBY	\N	\N
768379	2623	1998-07-31	VYDAJ	VYBER	15	60874	SLUZBY	\N	\N
768380	2623	1998-08-31	VYDAJ	VYBER	15	64764	SLUZBY	\N	\N
768381	2623	1998-09-30	VYDAJ	VYBER	15	64299	SLUZBY	\N	\N
768382	2623	1998-10-31	VYDAJ	VYBER	15	65758	SLUZBY	\N	\N
768383	2623	1998-11-30	VYDAJ	VYBER	15	70971	SLUZBY	\N	\N
768384	2623	1993-11-08	PRIJEM	VKLAD	8000	12749	\N	\N	\N
768385	2623	1993-12-08	PRIJEM	VKLAD	1400	18534	\N	\N	\N
768386	2623	1994-01-07	PRIJEM	VKLAD	900	26030	\N	\N	\N
768387	2623	1994-02-06	VYDAJ	VYBER	3800	26685	\N	\N	\N
768388	2623	1994-03-08	VYDAJ	VYBER	1800	29335	\N	\N	\N
768389	2623	1994-04-07	PRIJEM	VKLAD	300	22431	\N	\N	\N
768390	2623	1994-05-07	PRIJEM	VKLAD	3800	24402	\N	\N	\N
768391	2623	1994-06-06	PRIJEM	VKLAD	900	26837	\N	\N	\N
768392	2623	1994-07-06	VYDAJ	VYBER	2200	28356	\N	\N	\N
768393	2623	1994-09-04	PRIJEM	VKLAD	900	27063	\N	\N	\N
768394	2623	1994-10-04	VYDAJ	VYBER	200	28409	\N	\N	\N
768395	2623	1994-11-03	PRIJEM	VKLAD	100	26100	\N	\N	\N
768396	2623	1994-12-03	PRIJEM	VKLAD	1500	29142	\N	\N	\N
768397	2623	1995-01-02	PRIJEM	VKLAD	100	28641	\N	\N	\N
768398	2623	1995-02-01	PRIJEM	VKLAD	6600	21604	\N	\N	\N
768399	2623	1995-03-03	PRIJEM	VKLAD	4500	27616	\N	\N	\N
768400	2623	1995-04-02	PRIJEM	VKLAD	2000	29113	\N	\N	\N
768401	2623	1995-05-02	PRIJEM	VKLAD	1900	32565	\N	\N	\N
768402	2623	1995-06-01	VYDAJ	VYBER	200	33932	\N	\N	\N
768403	2623	1995-07-01	VYDAJ	VYBER	2500	35181	\N	\N	\N
768404	2623	1995-07-31	VYDAJ	VYBER	2000	34766	\N	\N	\N
768405	2623	1995-08-30	PRIJEM	VKLAD	400	34572	\N	\N	\N
768406	2623	1995-09-29	PRIJEM	VKLAD	3700	37686	\N	\N	\N
768407	2623	1995-10-29	VYDAJ	VYBER	400	38861	\N	\N	\N
768408	2623	1995-11-28	PRIJEM	VKLAD	2500	39833	\N	\N	\N
768409	2623	1995-12-28	VYDAJ	VYBER	900	40931	\N	\N	\N
768410	2623	1996-01-27	PRIJEM	VKLAD	6700	33876	\N	\N	\N
768411	2623	1996-02-26	PRIJEM	VKLAD	7300	30144	\N	\N	\N
768412	2623	1996-03-27	PRIJEM	VKLAD	4400	36089	\N	\N	\N
768413	2623	1996-04-26	PRIJEM	VKLAD	1200	38852	\N	\N	\N
768414	2623	1996-05-26	PRIJEM	VKLAD	2700	39538	\N	\N	\N
768415	2623	1996-06-25	PRIJEM	VKLAD	4700	33279	\N	\N	\N
768416	2623	1996-07-25	PRIJEM	VKLAD	4000	36213	\N	\N	\N
768417	2623	1996-08-24	PRIJEM	VKLAD	400	38182	\N	\N	\N
768418	2623	1996-09-23	PRIJEM	VKLAD	5600	42008	\N	\N	\N
768419	2623	1996-10-23	PRIJEM	VKLAD	600	44202	\N	\N	\N
768420	2623	1996-11-22	VYDAJ	VYBER	4100	41712	\N	\N	\N
768421	2623	1996-12-22	PRIJEM	VKLAD	100	40953	\N	\N	\N
768422	2623	1997-01-21	PRIJEM	VKLAD	11400	31639	\N	\N	\N
768423	2623	1997-02-20	PRIJEM	VKLAD	6200	37009	\N	\N	\N
768424	2623	1997-03-22	PRIJEM	VKLAD	1100	39672	\N	\N	\N
768425	2623	1997-04-21	PRIJEM	VKLAD	2900	39480	\N	\N	\N
768426	2623	1997-05-21	PRIJEM	VKLAD	8300	44924	\N	\N	\N
768427	2623	1997-06-20	PRIJEM	VKLAD	2900	51591	\N	\N	\N
768428	2623	1997-07-20	PRIJEM	VKLAD	6600	50935	\N	\N	\N
768429	2623	1997-08-19	PRIJEM	VKLAD	2400	54963	\N	\N	\N
768430	2623	1997-09-18	VYDAJ	VYBER	600	56013	\N	\N	\N
768431	2623	1997-10-18	PRIJEM	VKLAD	3700	57774	\N	\N	\N
768432	2623	1997-11-17	VYDAJ	VYBER	200	59239	\N	\N	\N
768433	2623	1997-12-17	VYDAJ	VYBER	300	58941	\N	\N	\N
768434	2623	1998-01-16	PRIJEM	VKLAD	5300	50636	\N	\N	\N
768435	2623	1998-02-15	PRIJEM	VKLAD	6200	49452	\N	\N	\N
768436	2623	1998-03-17	PRIJEM	VKLAD	6100	51051	\N	\N	\N
768437	2623	1998-04-16	PRIJEM	VKLAD	5100	57781	\N	\N	\N
768438	2623	1998-05-16	PRIJEM	VKLAD	5000	60237	\N	\N	\N
768439	2623	1998-06-15	PRIJEM	VKLAD	6300	68218	\N	\N	\N
768440	2623	1998-07-15	PRIJEM	VKLAD	4200	60649	\N	\N	\N
768441	2623	1998-08-14	PRIJEM	VKLAD	2200	60183	\N	\N	\N
768442	2623	1998-10-13	PRIJEM	VKLAD	600	64899	\N	\N	\N
768443	2623	1998-11-12	PRIJEM	VKLAD	3500	69258	\N	\N	\N
768444	2623	1998-12-12	VYDAJ	VYBER	700	70271	\N	\N	\N
768508	2624	1996-03-28	PRIJEM	VKLAD	400	400	\N	\N	\N
768512	2624	1996-04-05	PRIJEM	PREVOD Z UCTU	26736	27136	\N	IJ	18398535
768513	2624	1996-05-05	PRIJEM	PREVOD Z UCTU	26736	51686	\N	IJ	18398535
768514	2624	1996-06-05	PRIJEM	PREVOD Z UCTU	40104	78303	\N	IJ	18398535
768515	2624	1996-07-05	PRIJEM	PREVOD Z UCTU	26736	76605	\N	IJ	18398535
768516	2624	1996-08-05	PRIJEM	PREVOD Z UCTU	26736	79751	\N	IJ	18398535
768517	2624	1996-09-05	PRIJEM	PREVOD Z UCTU	26736	66471	\N	IJ	18398535
768518	2624	1996-10-05	PRIJEM	PREVOD Z UCTU	26736	70449	\N	IJ	18398535
768519	2624	1996-11-05	PRIJEM	PREVOD Z UCTU	26736	70038	\N	IJ	18398535
768520	2624	1996-12-05	PRIJEM	PREVOD Z UCTU	40104	81491	\N	IJ	18398535
768521	2624	1997-01-05	PRIJEM	PREVOD Z UCTU	26736	73397	\N	IJ	18398535
768522	2624	1997-02-05	PRIJEM	PREVOD Z UCTU	26736	49057	\N	IJ	18398535
768523	2624	1997-03-05	PRIJEM	PREVOD Z UCTU	26736	59052	\N	IJ	18398535
768524	2624	1997-04-05	PRIJEM	PREVOD Z UCTU	26736	64300	\N	IJ	18398535
768525	2624	1997-05-05	PRIJEM	PREVOD Z UCTU	26736	52120	\N	IJ	18398535
768526	2624	1997-06-05	PRIJEM	PREVOD Z UCTU	40104	77613	\N	IJ	18398535
768527	2624	1997-07-05	PRIJEM	PREVOD Z UCTU	26736	57622	\N	IJ	18398535
768528	2624	1997-08-05	PRIJEM	PREVOD Z UCTU	26736	70871	\N	IJ	18398535
768529	2624	1997-09-05	PRIJEM	PREVOD Z UCTU	26736	76262	\N	IJ	18398535
768530	2624	1997-10-05	PRIJEM	PREVOD Z UCTU	26736	74963	\N	IJ	18398535
768531	2624	1997-11-05	PRIJEM	PREVOD Z UCTU	26736	80870	\N	IJ	18398535
768532	2624	1997-12-05	PRIJEM	PREVOD Z UCTU	40104	95360	\N	IJ	18398535
768533	2624	1998-01-05	PRIJEM	PREVOD Z UCTU	26736	81416	\N	IJ	18398535
768534	2624	1998-02-05	PRIJEM	PREVOD Z UCTU	26736	73390	\N	IJ	18398535
768535	2624	1998-03-05	PRIJEM	PREVOD Z UCTU	26736	57424	\N	IJ	18398535
768536	2624	1998-04-05	PRIJEM	PREVOD Z UCTU	26736	69542	\N	IJ	18398535
768537	2624	1998-05-05	PRIJEM	PREVOD Z UCTU	26736	63456	\N	IJ	18398535
768538	2624	1998-06-05	PRIJEM	PREVOD Z UCTU	40104	86342	\N	IJ	18398535
768539	2624	1998-07-05	PRIJEM	PREVOD Z UCTU	26736	59663	\N	IJ	18398535
768540	2624	1998-08-05	PRIJEM	PREVOD Z UCTU	26736	79863	\N	IJ	18398535
768541	2624	1998-09-05	PRIJEM	PREVOD Z UCTU	26736	91698	\N	IJ	18398535
768542	2624	1998-10-05	PRIJEM	PREVOD Z UCTU	26736	95161	\N	IJ	18398535
768543	2624	1998-11-05	PRIJEM	PREVOD Z UCTU	26736	64093	\N	IJ	18398535
768544	2624	1998-12-05	PRIJEM	PREVOD Z UCTU	40104	75770	\N	IJ	18398535
768552	2624	1996-08-10	VYDAJ	PREVOD NA UCET	10744	69007	SIPO	AB	69800835
768553	2624	1996-09-10	VYDAJ	PREVOD NA UCET	10744	55727	SIPO	AB	69800835
768554	2624	1996-10-10	VYDAJ	PREVOD NA UCET	10744	59705	SIPO	AB	69800835
768555	2624	1996-11-10	VYDAJ	PREVOD NA UCET	10744	59294	SIPO	AB	69800835
768556	2624	1996-12-10	VYDAJ	PREVOD NA UCET	10744	70747	SIPO	AB	69800835
768557	2624	1997-01-10	VYDAJ	PREVOD NA UCET	10744	57253	SIPO	AB	69800835
768558	2624	1997-02-10	VYDAJ	PREVOD NA UCET	10744	28713	SIPO	AB	69800835
768559	2624	1997-03-10	VYDAJ	PREVOD NA UCET	10744	48308	SIPO	AB	69800835
768560	2624	1997-04-10	VYDAJ	PREVOD NA UCET	10744	53556	SIPO	AB	69800835
768561	2624	1997-05-10	VYDAJ	PREVOD NA UCET	10744	41376	SIPO	AB	69800835
768562	2624	1997-06-10	VYDAJ	PREVOD NA UCET	10744	34949	SIPO	AB	69800835
768563	2624	1997-07-10	VYDAJ	PREVOD NA UCET	10744	46878	SIPO	AB	69800835
768564	2624	1997-08-10	VYDAJ	PREVOD NA UCET	10744	60127	SIPO	AB	69800835
768565	2624	1997-09-10	VYDAJ	PREVOD NA UCET	10744	65518	SIPO	AB	69800835
768566	2624	1997-10-10	VYDAJ	PREVOD NA UCET	10744	64219	SIPO	AB	69800835
768567	2624	1997-11-10	VYDAJ	PREVOD NA UCET	10744	70126	SIPO	AB	69800835
768568	2624	1997-12-10	VYDAJ	PREVOD NA UCET	10744	84616	SIPO	AB	69800835
768569	2624	1998-01-10	VYDAJ	PREVOD NA UCET	10744	66172	SIPO	AB	69800835
768570	2624	1998-02-10	VYDAJ	PREVOD NA UCET	10744	62646	SIPO	AB	69800835
768571	2624	1998-03-10	VYDAJ	PREVOD NA UCET	10744	46680	SIPO	AB	69800835
768572	2624	1998-04-10	VYDAJ	PREVOD NA UCET	10744	58798	SIPO	AB	69800835
768573	2624	1998-05-10	VYDAJ	PREVOD NA UCET	10744	50612	SIPO	AB	69800835
768574	2624	1998-06-10	VYDAJ	PREVOD NA UCET	10744	75598	SIPO	AB	69800835
768575	2624	1998-07-10	VYDAJ	PREVOD NA UCET	10744	42050	SIPO	AB	69800835
768576	2624	1998-08-10	VYDAJ	PREVOD NA UCET	10744	69119	SIPO	AB	69800835
768577	2624	1998-09-10	VYDAJ	PREVOD NA UCET	10744	80954	SIPO	AB	69800835
768578	2624	1998-10-10	VYDAJ	PREVOD NA UCET	10744	84417	SIPO	AB	69800835
768579	2624	1998-11-10	VYDAJ	PREVOD NA UCET	10744	53349	SIPO	AB	69800835
768580	2624	1998-12-10	VYDAJ	PREVOD NA UCET	10744	65026	SIPO	AB	69800835
768581	2624	1997-06-07	VYBER	VYBER	17820	59793	\N	\N	\N
768582	2624	1997-09-21	VYBER	VYBER	7102	48016	\N	\N	\N
768583	2624	1997-04-14	VYBER	VYBER	20317	33239	\N	\N	\N
768584	2624	1997-04-27	VYBER	VYBER	10893	25246	\N	\N	\N
768585	2624	1998-03-11	VYBER	VYBER	4179	42501	\N	\N	\N
768586	2624	1998-04-04	VYBER	VYBER	12166	42806	\N	\N	\N
768587	2624	1998-02-23	VYBER	VYBER	14653	44893	\N	\N	\N
768588	2624	1998-05-14	VYBER	VYBER	21942	28670	\N	\N	\N
768589	2624	1998-10-24	VYBER	VYBER	9248	37122	\N	\N	\N
768590	2624	1998-07-08	VYBER	VYBER	6869	52794	\N	\N	\N
768591	2624	1998-04-11	VYBER	VYBER	14707	44091	\N	\N	\N
768593	2624	1998-10-23	VYBER	VYBER	17812	46370	\N	\N	\N
768594	2624	1998-01-14	VYBER	VYBER	10741	48831	\N	\N	\N
768595	2624	1998-11-16	VYBER	VYBER	11747	42102	\N	\N	\N
768596	2624	1998-04-18	VYBER	VYBER	16143	36539	\N	\N	\N
768597	2624	1998-04-16	VYBER	VYBER	2209	41882	\N	\N	\N
768598	2624	1998-10-13	VYBER	VYBER	4835	79582	\N	\N	\N
768601	2624	1998-06-28	VYDAJ	VYBER	28800	37198	\N	\N	\N
768602	2624	1996-12-18	VYDAJ	VYBER	1800	68947	\N	\N	\N
768603	2624	1997-12-23	VYDAJ	VYBER	4800	62816	\N	\N	\N
768604	2624	1998-12-03	VYDAJ	VYBER	6600	35666	\N	\N	\N
768611	2624	1997-01-26	VYDAJ	VYBER	3000	23953	\N	\N	\N
768612	2624	1997-01-11	VYDAJ	VYBER	7500	49753	\N	\N	\N
768613	2624	1997-01-06	VYDAJ	VYBER	5400	67997	\N	\N	\N
768614	2624	1997-01-19	VYDAJ	VYBER	3600	46153	\N	\N	\N
768615	2624	1997-01-30	VYDAJ	VYBER	1800	22153	\N	\N	\N
768616	2624	1997-01-19	VYDAJ	VYBER	8700	37453	\N	\N	\N
768617	2624	1998-01-14	VYDAJ	VYBER	1500	47331	\N	\N	\N
768618	2624	1998-01-11	VYDAJ	VYBER	6600	59572	\N	\N	\N
768619	2624	1998-01-04	VYDAJ	VYBER	5400	54680	\N	\N	\N
768620	2624	1998-01-27	VYDAJ	VYBER	5100	46431	\N	\N	\N
768621	2624	1998-01-07	VYDAJ	VYBER	4500	76916	\N	\N	\N
768622	2624	1998-01-01	VYDAJ	VYBER	3000	60080	\N	\N	\N
768625	2624	1996-08-28	VYDAJ	VYBER	7200	39507	\N	\N	\N
768629	2624	1997-11-18	VYDAJ	VYBER	11700	58426	\N	\N	\N
768630	2624	1997-01-24	VYDAJ	VYBER	8100	26953	\N	\N	\N
768631	2624	1997-06-26	VYDAJ	VYBER	2100	30749	\N	\N	\N
768632	2624	1997-02-09	VYDAJ	VYBER	9600	39457	\N	\N	\N
768633	2624	1997-03-27	VYDAJ	VYBER	3900	37408	\N	\N	\N
768634	2624	1997-06-09	VYDAJ	VYBER	14100	45693	\N	\N	\N
768635	2624	1998-05-08	VYDAJ	VYBER KARTOU	2100	61356	\N	\N	0
768636	2624	1998-06-28	VYDAJ	VYBER	4500	32698	\N	\N	\N
768637	2624	1998-02-24	VYDAJ	VYBER	14400	30493	\N	\N	\N
768646	2624	1996-08-31	VYDAJ	VYBER	15	39735	SLUZBY	\N	\N
768647	2624	1996-09-30	VYDAJ	VYBER	15	43713	SLUZBY	\N	\N
768648	2624	1996-10-31	VYDAJ	VYBER	15	43302	SLUZBY	\N	\N
768649	2624	1996-11-30	VYDAJ	VYBER	15	41387	SLUZBY	\N	\N
768650	2624	1996-12-31	VYDAJ	VYBER	15	46661	SLUZBY	\N	\N
768651	2624	1997-01-31	VYDAJ	VYBER	15	22321	SLUZBY	\N	\N
768652	2624	1997-02-28	VYDAJ	VYBER	15	32316	SLUZBY	\N	\N
768653	2624	1997-03-31	VYDAJ	VYBER	15	37564	SLUZBY	\N	\N
768654	2624	1997-04-30	VYDAJ	VYBER	15	25384	SLUZBY	\N	\N
768655	2624	1997-05-31	VYDAJ	VYBER	15	37509	SLUZBY	\N	\N
768656	2624	1997-06-30	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
768657	2624	1997-07-31	VYDAJ	VYBER	15	44135	SLUZBY	\N	\N
768658	2624	1997-08-31	VYDAJ	VYBER	15	49526	SLUZBY	\N	\N
768659	2624	1997-09-30	VYDAJ	VYBER	15	48227	SLUZBY	\N	\N
768660	2624	1997-10-31	VYDAJ	VYBER	15	54134	SLUZBY	\N	\N
768661	2624	1997-11-30	VYDAJ	VYBER	15	55256	SLUZBY	\N	\N
768662	2624	1997-12-31	VYDAJ	VYBER	15	63080	SLUZBY	\N	\N
768663	2624	1998-01-31	VYDAJ	VYBER	15	46654	SLUZBY	\N	\N
768664	2624	1998-02-28	VYDAJ	VYBER	15	30688	SLUZBY	\N	\N
768665	2624	1998-03-31	VYDAJ	VYBER	15	54972	SLUZBY	\N	\N
768666	2624	1998-04-30	VYDAJ	VYBER	15	36720	SLUZBY	\N	\N
768667	2624	1998-05-31	VYDAJ	VYBER	15	46238	SLUZBY	\N	\N
768668	2624	1998-06-30	VYDAJ	VYBER	15	32927	SLUZBY	\N	\N
768669	2624	1998-07-31	VYDAJ	VYBER	15	53127	SLUZBY	\N	\N
768670	2624	1998-08-31	VYDAJ	VYBER	15	64962	SLUZBY	\N	\N
768671	2624	1998-09-30	VYDAJ	VYBER	15	68425	SLUZBY	\N	\N
768672	2624	1998-10-31	VYDAJ	VYBER	15	37357	SLUZBY	\N	\N
768673	2624	1998-11-30	VYDAJ	VYBER	15	42266	SLUZBY	\N	\N
768674	2624	1996-04-27	VYDAJ	VYBER	2200	24936	\N	\N	\N
768675	2624	1996-05-27	VYDAJ	VYBER	13600	38086	\N	\N	\N
768676	2624	1996-06-26	VYDAJ	VYBER	28600	49703	\N	\N	\N
768677	2624	1996-07-26	VYDAJ	VYBER	23800	52805	\N	\N	\N
768678	2624	1996-08-25	VYDAJ	VYBER	22300	46707	\N	\N	\N
768679	2624	1996-09-24	VYDAJ	VYBER	12200	43527	\N	\N	\N
768680	2624	1996-10-24	VYDAJ	VYBER	16600	43105	\N	\N	\N
768681	2624	1996-11-23	VYDAJ	VYBER	18100	41194	\N	\N	\N
768682	2624	1996-12-23	VYDAJ	VYBER	22500	46447	\N	\N	\N
768683	2624	1997-01-22	VYDAJ	VYBER	2400	35053	\N	\N	\N
768684	2624	1997-02-21	PRIJEM	VKLAD	3500	32213	\N	\N	\N
768685	2624	1997-03-23	VYDAJ	VYBER	7000	41308	\N	\N	\N
768686	2624	1997-04-22	PRIJEM	VKLAD	2900	36139	\N	\N	\N
768687	2624	1997-05-22	VYDAJ	VYBER	4000	37376	\N	\N	\N
768688	2624	1997-06-21	VYDAJ	VYBER	2100	32849	\N	\N	\N
768689	2624	1997-07-21	VYDAJ	VYBER	2900	43978	\N	\N	\N
768690	2624	1997-08-20	VYDAJ	VYBER	10800	49327	\N	\N	\N
768691	2624	1997-09-19	VYDAJ	VYBER	10400	55118	\N	\N	\N
768692	2624	1997-10-19	VYDAJ	VYBER	10300	53919	\N	\N	\N
768693	2624	1997-11-18	VYDAJ	VYBER	3400	55026	\N	\N	\N
768694	2624	1997-12-18	VYDAJ	VYBER	17000	67616	\N	\N	\N
768695	2624	1998-01-17	PRIJEM	VKLAD	4200	51531	\N	\N	\N
768696	2624	1998-02-16	VYDAJ	VYBER	3100	59546	\N	\N	\N
768697	2624	1998-03-18	PRIJEM	VKLAD	12300	54801	\N	\N	\N
768698	2624	1998-04-17	PRIJEM	VKLAD	10800	52682	\N	\N	\N
768699	2624	1998-05-17	PRIJEM	VKLAD	17400	46070	\N	\N	\N
768700	2624	1998-06-16	VYDAJ	VYBER	9600	65998	\N	\N	\N
768701	2624	1998-07-16	PRIJEM	VKLAD	10900	52950	\N	\N	\N
768702	2624	1998-08-15	VYDAJ	VYBER	4400	64719	\N	\N	\N
768703	2624	1998-09-14	VYDAJ	VYBER	12800	68154	\N	\N	\N
768704	2624	1998-10-14	VYDAJ	VYBER	15400	64182	\N	\N	\N
768705	2624	1998-11-13	PRIJEM	VKLAD	500	53849	\N	\N	\N
768739	2625	1996-07-09	PRIJEM	VKLAD	400	400	\N	\N	\N
768742	2625	1996-12-10	PRIJEM	VKLAD	26390	103571	\N	\N	\N
768743	2625	1996-08-04	PRIJEM	VKLAD	5392	50870	\N	\N	\N
768745	2625	1996-11-21	PRIJEM	VKLAD	36839	63054	\N	\N	\N
768746	2625	1996-11-05	PRIJEM	VKLAD	9820	61058	\N	\N	\N
768747	2625	1996-09-01	PRIJEM	VKLAD	22423	105663	\N	\N	\N
768749	2625	1996-07-20	PRIJEM	VKLAD	28812	29212	\N	\N	\N
768750	2625	1996-07-20	PRIJEM	VKLAD	16193	45405	\N	\N	\N
768751	2625	1996-11-02	PRIJEM	VKLAD	22346	51238	\N	\N	\N
768753	2625	1996-08-10	PRIJEM	VKLAD	32867	74237	\N	\N	\N
768756	2625	1996-08-23	PRIJEM	VKLAD	11465	85702	\N	\N	\N
768757	2625	1996-12-07	PRIJEM	VKLAD	28462	77181	\N	\N	\N
768759	2625	1996-09-02	PRIJEM	VKLAD	42676	98739	\N	\N	\N
768761	2625	1997-02-16	PRIJEM	VKLAD	12320	43754	\N	\N	\N
768762	2625	1997-08-28	PRIJEM	VKLAD	17223	63454	\N	\N	\N
768763	2625	1997-09-29	PRIJEM	VKLAD	15437	75564	\N	\N	\N
768764	2625	1997-10-28	PRIJEM	VKLAD	13652	57801	\N	\N	\N
768765	2625	1997-09-20	PRIJEM	VKLAD	13729	110727	\N	\N	\N
768766	2625	1997-11-01	PRIJEM	VKLAD	47171	105193	\N	\N	\N
768767	2625	1997-12-25	PRIJEM	VKLAD	35402	112842	\N	\N	\N
768768	2625	1997-09-14	PRIJEM	VKLAD	17247	102863	\N	\N	\N
768769	2625	1997-04-17	PRIJEM	VKLAD	36281	106847	\N	\N	\N
768770	2625	1997-11-15	PRIJEM	VKLAD	26945	64960	\N	\N	\N
768771	2625	1997-04-01	PRIJEM	VKLAD	49583	104475	\N	\N	\N
768772	2625	1997-05-09	PRIJEM	VKLAD	20820	61024	\N	\N	\N
768773	2625	1997-07-20	PRIJEM	VKLAD	31924	91930	\N	\N	\N
768774	2625	1997-02-08	PRIJEM	VKLAD	19057	43356	\N	\N	\N
768775	2625	1997-07-13	PRIJEM	VKLAD	35590	60006	\N	\N	\N
768776	2625	1997-09-13	PRIJEM	VKLAD	47861	85616	\N	\N	\N
768777	2625	1997-11-24	PRIJEM	VKLAD	32054	97014	\N	\N	\N
768778	2625	1997-03-11	PRIJEM	VKLAD	36098	59713	\N	\N	\N
768779	2625	1997-10-11	PRIJEM	VKLAD	16737	65427	\N	\N	\N
768780	2625	1997-04-06	PRIJEM	VKLAD	38186	89261	\N	\N	\N
768781	2625	1997-12-13	PRIJEM	VKLAD	35026	77440	\N	\N	\N
768782	2625	1997-08-14	PRIJEM	VKLAD	18236	70823	\N	\N	\N
768783	2625	1997-05-22	PRIJEM	VKLAD	39539	72384	\N	\N	\N
768784	2625	1997-08-17	PRIJEM	VKLAD	5441	76264	\N	\N	\N
768785	2625	1997-01-06	PRIJEM	VKLAD	28643	80839	\N	\N	\N
768786	2625	1998-04-01	PRIJEM	VKLAD	14277	76032	\N	\N	\N
768787	2625	1998-03-19	PRIJEM	VKLAD	37238	125606	\N	\N	\N
768788	2625	1998-03-03	PRIJEM	VKLAD	48424	96646	\N	\N	\N
768789	2625	1998-10-22	PRIJEM	VKLAD	32478	114245	\N	\N	\N
768790	2625	1998-04-09	PRIJEM	VKLAD	31890	142891	\N	\N	\N
768791	2625	1998-06-07	PRIJEM	VKLAD	30384	113083	\N	\N	\N
768792	2625	1998-05-12	PRIJEM	VKLAD	28443	83093	\N	\N	\N
768793	2625	1998-07-06	PRIJEM	VKLAD	47986	90245	\N	\N	\N
768794	2625	1998-05-31	PRIJEM	VKLAD	39492	82729	\N	\N	\N
768795	2625	1998-11-21	PRIJEM	VKLAD	36091	80648	\N	\N	\N
768796	2625	1998-02-16	PRIJEM	VKLAD	10415	36236	\N	\N	\N
768797	2625	1998-01-12	PRIJEM	VKLAD	26232	59407	\N	\N	\N
768798	2625	1998-10-08	PRIJEM	VKLAD	28140	52999	\N	\N	\N
768799	2625	1998-06-16	PRIJEM	VKLAD	18873	76487	\N	\N	\N
768800	2625	1998-04-04	PRIJEM	VKLAD	34969	111001	\N	\N	\N
768801	2625	1998-06-25	PRIJEM	VKLAD	17862	48407	\N	\N	\N
768802	2625	1998-06-17	PRIJEM	VKLAD	48658	125145	\N	\N	\N
768803	2625	1998-02-20	PRIJEM	VKLAD	31134	62083	\N	\N	\N
768804	2625	1998-10-21	PRIJEM	VKLAD	33746	81767	\N	\N	\N
768805	2625	1998-05-21	PRIJEM	VKLAD	37665	115780	\N	\N	\N
768850	2625	1996-09-12	VYDAJ	PREVOD NA UCET	4978	50261	SIPO	OP	68053567
768851	2625	1996-10-12	VYDAJ	PREVOD NA UCET	4978	28779	SIPO	OP	68053567
768852	2625	1996-11-12	VYDAJ	PREVOD NA UCET	4978	42080	SIPO	OP	68053567
768853	2625	1996-12-12	VYDAJ	PREVOD NA UCET	4978	89787	SIPO	OP	68053567
768854	2625	1997-01-12	VYDAJ	PREVOD NA UCET	4978	75861	SIPO	OP	68053567
768855	2625	1997-02-12	VYDAJ	PREVOD NA UCET	4978	31434	SIPO	OP	68053567
768856	2625	1997-03-12	VYDAJ	PREVOD NA UCET	4978	54735	SIPO	OP	68053567
768857	2625	1997-04-12	VYDAJ	PREVOD NA UCET	4978	70566	SIPO	OP	68053567
768858	2625	1997-05-12	VYDAJ	PREVOD NA UCET	4978	32845	SIPO	OP	68053567
768859	2625	1997-06-12	VYDAJ	PREVOD NA UCET	4978	38424	SIPO	OP	68053567
768860	2625	1997-07-12	VYDAJ	PREVOD NA UCET	4978	24416	SIPO	OP	68053567
768861	2625	1997-08-12	VYDAJ	PREVOD NA UCET	4978	52587	SIPO	OP	68053567
768862	2625	1997-09-12	VYDAJ	PREVOD NA UCET	4978	37755	SIPO	OP	68053567
768863	2625	1997-10-12	VYDAJ	PREVOD NA UCET	4978	60449	SIPO	OP	68053567
768864	2625	1997-11-12	VYDAJ	PREVOD NA UCET	4978	38015	SIPO	OP	68053567
768865	2625	1997-12-12	VYDAJ	PREVOD NA UCET	4978	42414	SIPO	OP	68053567
768866	2625	1998-01-12	VYDAJ	PREVOD NA UCET	4978	54429	SIPO	OP	68053567
768867	2625	1998-02-12	VYDAJ	PREVOD NA UCET	4978	25821	SIPO	OP	68053567
768868	2625	1998-03-12	VYDAJ	PREVOD NA UCET	4978	91668	SIPO	OP	68053567
768869	2625	1998-04-12	VYDAJ	PREVOD NA UCET	4978	77113	SIPO	OP	68053567
768870	2625	1998-05-12	VYDAJ	PREVOD NA UCET	4978	78115	SIPO	OP	68053567
768871	2625	1998-06-12	VYDAJ	PREVOD NA UCET	4978	78505	SIPO	OP	68053567
768872	2625	1998-07-12	VYDAJ	PREVOD NA UCET	4978	85267	SIPO	OP	68053567
768873	2625	1998-08-12	VYDAJ	PREVOD NA UCET	4978	50209	SIPO	OP	68053567
768874	2625	1998-09-12	VYDAJ	PREVOD NA UCET	4978	20071	SIPO	OP	68053567
768875	2625	1998-10-12	VYDAJ	PREVOD NA UCET	4978	48021	SIPO	OP	68053567
768876	2625	1998-11-12	VYDAJ	PREVOD NA UCET	4978	50257	SIPO	OP	68053567
768877	2625	1998-12-12	VYDAJ	PREVOD NA UCET	4978	55381	SIPO	OP	68053567
768879	2625	1996-10-08	VYBER	VYBER	9929	33757	\N	\N	\N
768882	2625	1996-12-12	VYBER	VYBER	8806	94765	\N	\N	\N
768883	2625	1996-11-14	VYBER	VYBER	8365	33715	\N	\N	\N
768884	2625	1996-08-27	VYBER	VYBER	2718	82984	\N	\N	\N
768890	2625	1997-09-17	VYBER	VYBER	5865	96998	\N	\N	\N
768891	2625	1997-08-27	VYBER	VYBER	8473	46231	\N	\N	\N
768892	2625	1997-08-18	VYBER	VYBER	7160	69104	\N	\N	\N
768893	2625	1997-04-07	VYBER	VYBER	13717	75544	\N	\N	\N
768894	2625	1997-02-21	VYBER	VYBER	19640	24114	\N	\N	\N
768896	2625	1997-01-17	VYBER	VYBER	6988	68873	\N	\N	\N
768898	2625	1997-05-11	VYBER	VYBER	23201	37823	\N	\N	\N
768899	2625	1997-10-19	VYBER	VYBER	16300	44149	\N	\N	\N
768900	2625	1997-11-24	VYBER	VYBER	8825	88189	\N	\N	\N
768901	2625	1997-05-31	VYBER	VYBER	7729	64932	\N	\N	\N
768902	2625	1997-02-10	VYBER	VYBER	6944	36412	\N	\N	\N
768904	2625	1998-02-16	VYBER	VYBER	5287	30949	\N	\N	\N
768905	2625	1998-07-22	VYBER	VYBER	12516	72751	\N	\N	\N
768906	2625	1998-01-08	VYBER	VYBER	5951	33175	\N	\N	\N
768907	2625	1998-01-13	VYBER	VYBER	3771	50658	\N	\N	\N
768909	2625	1998-09-08	VYBER	VYBER	15251	25049	\N	\N	\N
768910	2625	1998-06-15	VYBER	VYBER	20891	57614	\N	\N	\N
768911	2625	1998-04-17	VYBER	VYBER	5098	72015	\N	\N	\N
768915	2625	1998-06-20	VYDAJ	VYBER	77100	30545	\N	\N	\N
768917	2625	1997-01-19	VYDAJ	VYBER	13800	49073	\N	\N	\N
768918	2625	1998-01-02	VYDAJ	VYBER	10800	39126	\N	\N	\N
768919	2625	1996-12-19	VYDAJ	VYBER	6900	82887	\N	\N	\N
768920	2625	1997-12-04	VYDAJ	VYBER	8400	47392	\N	\N	\N
768921	2625	1998-12-24	VYDAJ	VYBER	4200	51181	\N	\N	\N
768928	2625	1997-01-29	VYDAJ	VYBER	8700	25673	\N	\N	\N
768929	2625	1997-01-18	VYDAJ	VYBER	6000	62873	\N	\N	\N
768930	2625	1997-01-04	VYDAJ	VYBER	5700	77496	\N	\N	\N
768931	2625	1997-01-20	VYDAJ	VYBER	4200	44873	\N	\N	\N
768932	2625	1997-01-29	VYDAJ	VYBER	6900	34373	\N	\N	\N
768933	2625	1997-01-28	VYDAJ	VYBER	3600	41273	\N	\N	\N
768934	2625	1998-01-15	VYDAJ	VYBER KARTOU	2100	48558	\N	\N	0
768935	2625	1998-01-27	VYDAJ	VYBER KARTOU	1800	34158	\N	\N	0
768936	2625	1998-01-30	VYDAJ	VYBER	6000	30658	\N	\N	\N
768937	2625	1998-01-16	VYDAJ	VYBER	5400	43158	\N	\N	\N
768938	2625	1998-01-21	VYDAJ	VYBER	5700	35958	\N	\N	\N
768939	2625	1998-01-19	VYDAJ	VYBER KARTOU	1500	41658	\N	\N	0
768940	2625	1996-09-08	VYDAJ	VYBER	7500	55239	\N	\N	\N
768941	2625	1996-11-20	VYDAJ	VYBER	7500	26215	\N	\N	\N
768944	2625	1997-08-25	VYDAJ	VYBER	14400	54704	\N	\N	\N
768945	2625	1997-11-10	VYDAJ	VYBER	6300	42993	\N	\N	\N
768948	2625	1998-10-03	VYDAJ	VYBER KARTOU	3600	24859	\N	\N	0
768949	2625	1998-10-29	VYDAJ	VYBER	7500	55045	\N	\N	\N
768950	2625	1998-11-15	VYDAJ	VYBER	5700	44557	\N	\N	\N
768951	2625	1998-03-17	VYDAJ	VYBER KARTOU	3300	88368	\N	\N	0
768960	2625	1996-08-31	VYDAJ	VYBER	30	83240	SLUZBY	\N	\N
768961	2625	1996-09-30	VYDAJ	VYBER	30	50486	SLUZBY	\N	\N
768962	2625	1996-10-31	VYDAJ	VYBER	30	28892	SLUZBY	\N	\N
768963	2625	1996-11-30	VYDAJ	VYBER	30	63219	SLUZBY	\N	\N
768964	2625	1996-12-31	VYDAJ	VYBER	30	83196	SLUZBY	\N	\N
768965	2625	1997-01-31	VYDAJ	VYBER	30	25899	SLUZBY	\N	\N
768966	2625	1997-02-28	VYDAJ	VYBER	30	24215	SLUZBY	\N	\N
768967	2625	1997-03-31	VYDAJ	VYBER	30	54892	SLUZBY	\N	\N
768968	2625	1997-04-30	VYDAJ	VYBER	30	107204	SLUZBY	\N	\N
768969	2625	1997-05-31	VYDAJ	VYBER	30	64902	SLUZBY	\N	\N
768970	2625	1997-06-30	VYDAJ	VYBER	30	38594	SLUZBY	\N	\N
768971	2625	1997-07-31	VYDAJ	VYBER	30	92165	SLUZBY	\N	\N
768972	2625	1997-08-31	VYDAJ	VYBER	30	63733	SLUZBY	\N	\N
768973	2625	1997-09-30	VYDAJ	VYBER	30	75890	SLUZBY	\N	\N
768974	2625	1997-10-31	VYDAJ	VYBER	30	58022	SLUZBY	\N	\N
768975	2625	1997-11-30	VYDAJ	VYBER	30	88492	SLUZBY	\N	\N
768976	2625	1997-12-31	VYDAJ	VYBER	30	49926	SLUZBY	\N	\N
768977	2625	1998-01-31	VYDAJ	VYBER	30	30799	SLUZBY	\N	\N
768978	2625	1998-02-28	VYDAJ	VYBER	30	62222	SLUZBY	\N	\N
768979	2625	1998-03-31	VYDAJ	VYBER	30	92455	SLUZBY	\N	\N
768980	2625	1998-04-30	VYDAJ	VYBER	30	72350	SLUZBY	\N	\N
768981	2625	1998-05-31	VYDAJ	VYBER	30	82699	SLUZBY	\N	\N
768982	2625	1998-06-30	VYDAJ	VYBER	30	42259	SLUZBY	\N	\N
768983	2625	1998-07-31	VYDAJ	VYBER	30	55187	SLUZBY	\N	\N
768984	2625	1998-08-31	VYDAJ	VYBER	30	40300	SLUZBY	\N	\N
768985	2625	1998-09-30	VYDAJ	VYBER	30	28459	SLUZBY	\N	\N
768986	2625	1998-10-31	VYDAJ	VYBER	30	55235	SLUZBY	\N	\N
768987	2625	1998-11-30	VYDAJ	VYBER	30	60359	SLUZBY	\N	\N
768988	2625	1996-08-08	VYDAJ	VYBER	9500	41370	\N	\N	\N
768989	2625	1996-09-01	VYDAJ	VYBER	49600	56063	\N	\N	\N
768990	2625	1996-09-07	VYDAJ	VYBER	36000	62739	\N	\N	\N
768991	2625	1996-10-07	VYDAJ	VYBER	6800	43686	\N	\N	\N
768992	2625	1996-11-06	VYDAJ	VYBER	14000	47058	\N	\N	\N
768993	2625	1996-12-06	VYDAJ	VYBER	14500	48719	\N	\N	\N
768994	2625	1997-01-05	VYDAJ	VYBER	25300	52196	\N	\N	\N
768995	2625	1997-02-04	VYDAJ	VYBER	1600	24299	\N	\N	\N
768996	2625	1997-03-06	VYDAJ	VYBER	600	23615	\N	\N	\N
768997	2625	1997-04-01	VYDAJ	VYBER	28000	76475	\N	\N	\N
768998	2625	1997-04-05	VYDAJ	VYBER	25400	51075	\N	\N	\N
768999	2625	1997-04-30	VYDAJ	VYBER	50300	56904	\N	\N	\N
769000	2625	1997-05-05	VYDAJ	VYBER	16700	40204	\N	\N	\N
769001	2625	1997-06-04	VYDAJ	VYBER	21500	43402	\N	\N	\N
769002	2625	1997-07-04	VYDAJ	VYBER	9200	29394	\N	\N	\N
769003	2625	1997-08-03	VYDAJ	VYBER	34600	57565	\N	\N	\N
769004	2625	1997-09-02	VYDAJ	VYBER	21000	42733	\N	\N	\N
769005	2625	1997-09-20	VYDAJ	VYBER	50600	60127	\N	\N	\N
769006	2625	1997-10-02	VYDAJ	VYBER	27200	48690	\N	\N	\N
769007	2625	1997-11-01	VYDAJ	VYBER	32700	72493	\N	\N	\N
769008	2625	1997-11-01	VYDAJ	VYBER	23200	49293	\N	\N	\N
769009	2625	1997-12-01	VYDAJ	VYBER	32700	55792	\N	\N	\N
769010	2625	1997-12-25	VYDAJ	VYBER	43400	69442	\N	\N	\N
769011	2625	1997-12-31	VYDAJ	VYBER	19800	49956	\N	\N	\N
769012	2625	1998-01-30	PRIJEM	VKLAD	2500	36658	\N	\N	\N
769013	2625	1998-03-01	VYDAJ	VYBER	14000	48222	\N	\N	\N
769014	2625	1998-03-19	VYDAJ	VYBER	33500	92106	\N	\N	\N
769015	2625	1998-03-31	VYDAJ	VYBER	30700	61755	\N	\N	\N
769016	2625	1998-04-09	VYDAJ	VYBER	60800	82091	\N	\N	\N
769017	2625	1998-04-30	VYDAJ	VYBER	17700	54650	\N	\N	\N
769018	2625	1998-05-21	VYDAJ	VYBER	61800	53980	\N	\N	\N
769019	2625	1998-05-30	VYDAJ	VYBER	11000	42980	\N	\N	\N
769020	2625	1998-06-07	VYDAJ	VYBER	29600	83483	\N	\N	\N
769021	2625	1998-06-17	VYDAJ	VYBER	17500	107645	\N	\N	\N
769022	2625	1998-06-29	VYDAJ	VYBER	6400	42007	\N	\N	\N
769023	2625	1998-07-29	VYDAJ	VYBER	17800	54951	\N	\N	\N
769024	2625	1998-08-28	VYDAJ	VYBER	10100	40109	\N	\N	\N
769025	2625	1998-09-27	PRIJEM	VKLAD	8300	28371	\N	\N	\N
769026	2625	1998-10-22	VYDAJ	VYBER	27000	87245	\N	\N	\N
769027	2625	1998-10-27	VYDAJ	VYBER	24700	62545	\N	\N	\N
769028	2625	1998-11-26	VYDAJ	VYBER	20500	60148	\N	\N	\N
769621	2627	1994-10-02	PRIJEM	VKLAD	600	600	\N	\N	\N
769631	2627	1994-10-09	PRIJEM	PREVOD Z UCTU	4822	5422	DUCHOD	UV	3880143
769632	2627	1994-11-09	PRIJEM	PREVOD Z UCTU	4822	10261	DUCHOD	UV	3880143
769633	2627	1994-12-09	PRIJEM	PREVOD Z UCTU	4822	15105	DUCHOD	UV	3880143
769634	2627	1995-01-09	PRIJEM	PREVOD Z UCTU	4822	19950	DUCHOD	UV	3880143
769635	2627	1995-02-09	PRIJEM	PREVOD Z UCTU	4822	24795	DUCHOD	UV	3880143
769636	2627	1995-03-09	PRIJEM	PREVOD Z UCTU	4822	27527	DUCHOD	UV	3880143
769637	2627	1995-04-09	PRIJEM	PREVOD Z UCTU	4822	25503	DUCHOD	UV	3880143
769638	2627	1995-05-09	PRIJEM	PREVOD Z UCTU	4822	26772	DUCHOD	UV	3880143
769639	2627	1995-06-09	PRIJEM	PREVOD Z UCTU	4822	23944	DUCHOD	UV	3880143
769640	2627	1995-07-09	PRIJEM	PREVOD Z UCTU	4822	18601	DUCHOD	UV	3880143
769641	2627	1995-08-09	PRIJEM	PREVOD Z UCTU	4822	21343	DUCHOD	UV	3880143
769642	2627	1995-09-09	PRIJEM	PREVOD Z UCTU	4822	24095	DUCHOD	UV	3880143
769643	2627	1995-10-09	PRIJEM	PREVOD Z UCTU	4822	26857	DUCHOD	UV	3880143
769644	2627	1995-11-09	PRIJEM	PREVOD Z UCTU	4822	25470	DUCHOD	UV	3880143
769645	2627	1995-12-09	PRIJEM	PREVOD Z UCTU	4822	23613	DUCHOD	UV	3880143
769646	2627	1996-01-09	PRIJEM	PREVOD Z UCTU	4822	23701	DUCHOD	UV	3880143
769647	2627	1996-02-09	PRIJEM	PREVOD Z UCTU	4822	17930	DUCHOD	UV	3880143
769648	2627	1996-03-09	PRIJEM	PREVOD Z UCTU	4822	20667	DUCHOD	UV	3880143
769649	2627	1996-04-09	PRIJEM	PREVOD Z UCTU	4822	23415	DUCHOD	UV	3880143
769650	2627	1996-05-09	PRIJEM	PREVOD Z UCTU	4822	24974	DUCHOD	UV	3880143
769651	2627	1996-06-09	PRIJEM	PREVOD Z UCTU	4822	21335	DUCHOD	UV	3880143
769652	2627	1996-07-09	PRIJEM	PREVOD Z UCTU	4822	18557	DUCHOD	UV	3880143
769653	2627	1996-08-09	PRIJEM	PREVOD Z UCTU	4822	21296	DUCHOD	UV	3880143
769654	2627	1996-09-09	PRIJEM	PREVOD Z UCTU	4822	19199	DUCHOD	UV	3880143
769655	2627	1996-10-09	PRIJEM	PREVOD Z UCTU	4822	21301	DUCHOD	UV	3880143
769656	2627	1996-11-09	PRIJEM	PREVOD Z UCTU	4822	18043	DUCHOD	UV	3880143
769657	2627	1996-12-09	PRIJEM	PREVOD Z UCTU	4822	20780	DUCHOD	UV	3880143
769658	2627	1997-01-09	PRIJEM	PREVOD Z UCTU	4822	15215	DUCHOD	UV	3880143
769659	2627	1997-02-09	PRIJEM	PREVOD Z UCTU	4822	16979	DUCHOD	UV	3880143
769660	2627	1997-03-09	PRIJEM	PREVOD Z UCTU	4822	17306	DUCHOD	UV	3880143
769661	2627	1997-04-09	PRIJEM	PREVOD Z UCTU	4822	19318	DUCHOD	UV	3880143
769662	2627	1997-05-09	PRIJEM	PREVOD Z UCTU	4822	22060	DUCHOD	UV	3880143
769663	2627	1997-06-09	PRIJEM	PREVOD Z UCTU	4822	24814	DUCHOD	UV	3880143
769664	2627	1997-07-09	PRIJEM	PREVOD Z UCTU	4822	27579	DUCHOD	UV	3880143
769665	2627	1997-08-09	PRIJEM	PREVOD Z UCTU	4822	30356	DUCHOD	UV	3880143
769666	2627	1997-09-09	PRIJEM	PREVOD Z UCTU	4822	33144	DUCHOD	UV	3880143
769667	2627	1997-10-09	PRIJEM	PREVOD Z UCTU	4822	35944	DUCHOD	UV	3880143
769668	2627	1997-11-09	PRIJEM	PREVOD Z UCTU	4822	34995	DUCHOD	UV	3880143
769669	2627	1997-12-09	PRIJEM	PREVOD Z UCTU	4822	37802	DUCHOD	UV	3880143
769670	2627	1998-01-09	PRIJEM	PREVOD Z UCTU	4822	34939	DUCHOD	UV	3880143
769671	2627	1998-02-09	PRIJEM	PREVOD Z UCTU	4822	32706	DUCHOD	UV	3880143
769672	2627	1998-03-09	PRIJEM	PREVOD Z UCTU	4822	35504	DUCHOD	UV	3880143
769673	2627	1998-04-09	PRIJEM	PREVOD Z UCTU	4822	38313	DUCHOD	UV	3880143
769674	2627	1998-05-09	PRIJEM	PREVOD Z UCTU	4822	40172	DUCHOD	UV	3880143
769675	2627	1998-06-09	PRIJEM	PREVOD Z UCTU	4822	35901	DUCHOD	UV	3880143
769676	2627	1998-07-09	PRIJEM	PREVOD Z UCTU	4822	16460	DUCHOD	UV	3880143
769677	2627	1998-08-09	PRIJEM	PREVOD Z UCTU	4822	19189	DUCHOD	UV	3880143
769678	2627	1998-09-09	PRIJEM	PREVOD Z UCTU	4822	21931	DUCHOD	UV	3880143
769679	2627	1998-10-09	PRIJEM	PREVOD Z UCTU	4822	24683	DUCHOD	UV	3880143
769680	2627	1998-11-09	PRIJEM	PREVOD Z UCTU	4822	23842	DUCHOD	UV	3880143
769681	2627	1998-12-09	PRIJEM	PREVOD Z UCTU	4822	24922	DUCHOD	UV	3880143
769696	2627	1995-03-05	VYDAJ	PREVOD NA UCET	1579	22705	SIPO	KL	30658924
769697	2627	1995-04-05	VYDAJ	PREVOD NA UCET	1579	20681	SIPO	KL	30658924
769698	2627	1995-05-05	VYDAJ	PREVOD NA UCET	1579	21950	SIPO	KL	30658924
769699	2627	1995-06-05	VYDAJ	PREVOD NA UCET	1579	19122	SIPO	KL	30658924
769700	2627	1995-07-05	VYDAJ	PREVOD NA UCET	1579	16419	SIPO	KL	30658924
769701	2627	1995-08-05	VYDAJ	PREVOD NA UCET	1579	16521	SIPO	KL	30658924
769702	2627	1995-09-05	VYDAJ	PREVOD NA UCET	1579	19273	SIPO	KL	30658924
769703	2627	1995-10-05	VYDAJ	PREVOD NA UCET	1579	22035	SIPO	KL	30658924
769704	2627	1995-11-05	VYDAJ	PREVOD NA UCET	1579	22008	SIPO	KL	30658924
769705	2627	1995-12-05	VYDAJ	PREVOD NA UCET	1579	18791	SIPO	KL	30658924
769706	2627	1996-01-05	VYDAJ	PREVOD NA UCET	1579	18879	SIPO	KL	30658924
769707	2627	1996-02-05	VYDAJ	PREVOD NA UCET	1579	13108	SIPO	KL	30658924
769708	2627	1996-03-05	VYDAJ	PREVOD NA UCET	1579	15845	SIPO	KL	30658924
769709	2627	1996-04-05	VYDAJ	PREVOD NA UCET	1579	18593	SIPO	KL	30658924
769710	2627	1996-05-05	VYDAJ	PREVOD NA UCET	1579	20152	SIPO	KL	30658924
769711	2627	1996-06-05	VYDAJ	PREVOD NA UCET	1579	16513	SIPO	KL	30658924
769712	2627	1996-07-05	VYDAJ	PREVOD NA UCET	1579	13735	SIPO	KL	30658924
769713	2627	1996-08-05	VYDAJ	PREVOD NA UCET	1579	16474	SIPO	KL	30658924
769714	2627	1996-09-05	VYDAJ	PREVOD NA UCET	1579	14377	SIPO	KL	30658924
769715	2627	1996-10-05	VYDAJ	PREVOD NA UCET	1579	16479	SIPO	KL	30658924
769716	2627	1996-11-05	VYDAJ	PREVOD NA UCET	1579	13221	SIPO	KL	30658924
769717	2627	1996-12-05	VYDAJ	PREVOD NA UCET	1579	15958	SIPO	KL	30658924
769718	2627	1997-01-05	VYDAJ	PREVOD NA UCET	1579	10393	SIPO	KL	30658924
769719	2627	1997-02-05	VYDAJ	PREVOD NA UCET	1579	12157	SIPO	KL	30658924
769720	2627	1997-03-05	VYDAJ	PREVOD NA UCET	1579	12484	SIPO	KL	30658924
769721	2627	1997-04-05	VYDAJ	PREVOD NA UCET	1579	14496	SIPO	KL	30658924
769722	2627	1997-05-05	VYDAJ	PREVOD NA UCET	1579	17238	SIPO	KL	30658924
769723	2627	1997-06-05	VYDAJ	PREVOD NA UCET	1579	19992	SIPO	KL	30658924
769724	2627	1997-07-05	VYDAJ	PREVOD NA UCET	1579	22757	SIPO	KL	30658924
769725	2627	1997-08-05	VYDAJ	PREVOD NA UCET	1579	25534	SIPO	KL	30658924
769726	2627	1997-09-05	VYDAJ	PREVOD NA UCET	1579	28322	SIPO	KL	30658924
769727	2627	1997-10-05	VYDAJ	PREVOD NA UCET	1579	31122	SIPO	KL	30658924
769728	2627	1997-11-05	VYDAJ	PREVOD NA UCET	1579	30173	SIPO	KL	30658924
769729	2627	1997-12-05	VYDAJ	PREVOD NA UCET	1579	32980	SIPO	KL	30658924
769730	2627	1998-01-05	VYDAJ	PREVOD NA UCET	1579	32277	SIPO	KL	30658924
769731	2627	1998-02-05	VYDAJ	PREVOD NA UCET	1579	27884	SIPO	KL	30658924
769732	2627	1998-03-05	VYDAJ	PREVOD NA UCET	1579	30682	SIPO	KL	30658924
769733	2627	1998-04-05	VYDAJ	PREVOD NA UCET	1579	33491	SIPO	KL	30658924
769734	2627	1998-05-05	VYDAJ	PREVOD NA UCET	1579	35350	SIPO	KL	30658924
769735	2627	1998-06-05	VYDAJ	PREVOD NA UCET	1579	38179	SIPO	KL	30658924
769736	2627	1998-07-05	VYDAJ	PREVOD NA UCET	1579	11638	SIPO	KL	30658924
769737	2627	1998-08-05	VYDAJ	PREVOD NA UCET	1579	14367	SIPO	KL	30658924
769738	2627	1998-09-05	VYDAJ	PREVOD NA UCET	1579	17109	SIPO	KL	30658924
769739	2627	1998-10-05	VYDAJ	PREVOD NA UCET	1579	19861	SIPO	KL	30658924
769740	2627	1998-11-05	VYDAJ	PREVOD NA UCET	1579	19020	SIPO	KL	30658924
769741	2627	1998-12-05	VYDAJ	PREVOD NA UCET	1579	21780	SIPO	KL	30658924
769755	2627	1995-02-14	VYDAJ	PREVOD NA UCET	561	24234	 	YZ	29709238
769756	2627	1995-03-14	VYDAJ	PREVOD NA UCET	561	26966	 	YZ	29709238
769757	2627	1995-04-14	VYDAJ	PREVOD NA UCET	561	24942	 	YZ	29709238
769758	2627	1995-05-14	VYDAJ	PREVOD NA UCET	561	26211	 	YZ	29709238
769889	2627	1995-06-30	VYDAJ	VYBER	15	17998	SLUZBY	\N	\N
769759	2627	1995-06-14	VYDAJ	PREVOD NA UCET	561	17933	 	YZ	29709238
769760	2627	1995-07-14	VYDAJ	PREVOD NA UCET	561	18040	 	YZ	29709238
769761	2627	1995-08-14	VYDAJ	PREVOD NA UCET	561	20782	 	YZ	29709238
769762	2627	1995-09-14	VYDAJ	PREVOD NA UCET	561	23534	 	YZ	29709238
769763	2627	1995-10-14	VYDAJ	PREVOD NA UCET	561	26296	 	YZ	29709238
769764	2627	1995-11-14	VYDAJ	PREVOD NA UCET	561	24909	 	YZ	29709238
769765	2627	1995-12-14	VYDAJ	PREVOD NA UCET	561	22802	 	YZ	29709238
769766	2627	1996-01-14	VYDAJ	PREVOD NA UCET	561	20820	 	YZ	29709238
769767	2627	1996-02-14	VYDAJ	PREVOD NA UCET	561	17369	 	YZ	29709238
769768	2627	1996-03-14	VYDAJ	PREVOD NA UCET	561	20106	 	YZ	29709238
769769	2627	1996-04-14	VYDAJ	PREVOD NA UCET	561	22854	 	YZ	29709238
769770	2627	1996-05-14	VYDAJ	PREVOD NA UCET	561	24413	 	YZ	29709238
769771	2627	1996-06-14	VYDAJ	PREVOD NA UCET	561	20774	 	YZ	29709238
769772	2627	1996-07-14	VYDAJ	PREVOD NA UCET	561	17996	 	YZ	29709238
769773	2627	1996-08-14	VYDAJ	PREVOD NA UCET	561	20735	 	YZ	29709238
769774	2627	1996-09-14	VYDAJ	PREVOD NA UCET	561	18638	 	YZ	29709238
769775	2627	1996-10-14	VYDAJ	PREVOD NA UCET	561	20740	 	YZ	29709238
769776	2627	1996-11-14	VYDAJ	PREVOD NA UCET	561	17482	 	YZ	29709238
769777	2627	1996-12-14	VYDAJ	PREVOD NA UCET	561	20219	 	YZ	29709238
769778	2627	1997-01-14	VYDAJ	PREVOD NA UCET	561	14654	 	YZ	29709238
769779	2627	1997-02-14	VYDAJ	PREVOD NA UCET	561	14018	 	YZ	29709238
769780	2627	1997-03-14	VYDAJ	PREVOD NA UCET	561	16025	 	YZ	29709238
769781	2627	1997-04-14	VYDAJ	PREVOD NA UCET	561	18757	 	YZ	29709238
769782	2627	1997-05-14	VYDAJ	PREVOD NA UCET	561	21499	 	YZ	29709238
769783	2627	1997-06-14	VYDAJ	PREVOD NA UCET	561	24253	 	YZ	29709238
769784	2627	1997-07-14	VYDAJ	PREVOD NA UCET	561	27018	 	YZ	29709238
769785	2627	1997-08-14	VYDAJ	PREVOD NA UCET	561	29795	 	YZ	29709238
769786	2627	1997-09-14	VYDAJ	PREVOD NA UCET	561	32583	 	YZ	29709238
769787	2627	1997-10-14	VYDAJ	PREVOD NA UCET	561	35383	 	YZ	29709238
769788	2627	1997-11-14	VYDAJ	PREVOD NA UCET	561	34434	 	YZ	29709238
769789	2627	1997-12-14	VYDAJ	PREVOD NA UCET	561	37241	 	YZ	29709238
769790	2627	1998-01-14	VYDAJ	PREVOD NA UCET	561	30628	 	YZ	29709238
769791	2627	1998-02-14	VYDAJ	PREVOD NA UCET	561	32145	 	YZ	29709238
769792	2627	1998-03-14	VYDAJ	PREVOD NA UCET	561	34943	 	YZ	29709238
769793	2627	1998-04-14	VYDAJ	PREVOD NA UCET	561	37752	 	YZ	29709238
769794	2627	1998-05-14	VYDAJ	PREVOD NA UCET	561	39611	 	YZ	29709238
769795	2627	1998-06-14	VYDAJ	PREVOD NA UCET	561	13140	 	YZ	29709238
769796	2627	1998-07-14	VYDAJ	PREVOD NA UCET	561	15899	 	YZ	29709238
769797	2627	1998-08-14	VYDAJ	PREVOD NA UCET	561	18628	 	YZ	29709238
769798	2627	1998-09-14	VYDAJ	PREVOD NA UCET	561	21370	 	YZ	29709238
769799	2627	1998-10-14	VYDAJ	PREVOD NA UCET	561	24122	 	YZ	29709238
769800	2627	1998-11-14	VYDAJ	PREVOD NA UCET	561	23281	 	YZ	29709238
769801	2627	1998-12-14	VYDAJ	PREVOD NA UCET	561	23661	 	YZ	29709238
769803	2627	1995-06-11	VYDAJ	VYBER	5450	18494	\N	\N	\N
769806	2627	1998-06-05	VYDAJ	VYBER	7100	31079	\N	\N	\N
769809	2627	1996-01-16	VYDAJ	VYBER	4200	15500	\N	\N	\N
769811	2627	1998-01-09	VYDAJ	VYBER	950	32549	\N	\N	\N
769813	2627	1995-12-09	VYDAJ	VYBER	250	23363	\N	\N	\N
769815	2627	1997-12-17	VYDAJ	VYBER	1200	36041	\N	\N	\N
769816	2627	1998-12-11	VYDAJ	VYBER	700	24222	\N	\N	\N
769829	2627	1996-01-14	VYDAJ	VYBER	480	21381	\N	\N	\N
769830	2627	1996-01-27	VYDAJ	VYBER	880	14620	\N	\N	\N
769831	2627	1996-01-15	VYDAJ	VYBER	720	20100	\N	\N	\N
769832	2627	1996-01-16	VYDAJ	VYBER	400	19700	\N	\N	\N
769833	2627	1996-01-01	VYDAJ	VYBER	800	20458	\N	\N	\N
769834	2627	1996-01-12	VYDAJ	VYBER	1840	21861	\N	\N	\N
769841	2627	1998-01-09	VYDAJ	VYBER	1440	33499	\N	\N	\N
769842	2627	1998-01-28	VYDAJ	VYBER	1280	29348	\N	\N	\N
769843	2627	1998-01-08	VYDAJ	VYBER	640	30117	\N	\N	\N
769844	2627	1998-01-10	VYDAJ	VYBER	1360	31189	\N	\N	\N
769845	2627	1998-01-06	VYDAJ	VYBER	1520	30757	\N	\N	\N
769846	2627	1998-01-02	VYDAJ	VYBER	2320	33856	\N	\N	\N
769851	2627	1995-07-07	VYDAJ	VYBER	2640	13779	\N	\N	\N
769852	2627	1995-11-20	VYDAJ	VYBER	2720	22189	\N	\N	\N
769853	2627	1995-11-06	VYDAJ	VYBER	1360	20648	\N	\N	\N
769854	2627	1995-12-20	VYDAJ	VYBER	1120	21682	\N	\N	\N
769855	2627	1996-09-21	VYDAJ	VYBER	640	17998	\N	\N	\N
769856	2627	1996-06-16	VYDAJ	VYBER	880	19894	\N	\N	\N
769857	2627	1996-08-17	VYDAJ	VYBER	1840	18895	\N	\N	\N
769858	2627	1996-06-18	VYDAJ	VYBER	3680	16214	\N	\N	\N
769859	2627	1996-05-28	VYDAJ	VYBER	2800	18013	\N	\N	\N
769860	2627	1996-06-21	VYDAJ	VYBER	960	15254	\N	\N	\N
769862	2627	1997-10-30	VYDAJ	VYBER	3760	31623	\N	\N	\N
769863	2627	1997-02-12	VYDAJ	VYBER	2400	14579	\N	\N	\N
769864	2627	1997-01-17	VYDAJ	VYBER	960	13694	\N	\N	\N
769865	2627	1997-03-11	VYDAJ	VYBER	720	16586	\N	\N	\N
769866	2627	1998-10-21	VYDAJ	VYBER	3600	20522	\N	\N	\N
769867	2627	1998-12-06	VYDAJ	VYBER	1680	20100	\N	\N	\N
769869	2627	1998-04-14	VYDAJ	VYBER	960	36792	\N	\N	\N
769870	2627	1998-12-26	VYDAJ	VYBER	1120	22541	\N	\N	\N
769885	2627	1995-02-28	VYDAJ	VYBER	15	24284	SLUZBY	\N	\N
769886	2627	1995-03-31	VYDAJ	VYBER	15	22260	SLUZBY	\N	\N
769887	2627	1995-04-30	VYDAJ	VYBER	15	25029	SLUZBY	\N	\N
769888	2627	1995-05-31	VYDAJ	VYBER	15	20701	SLUZBY	\N	\N
769890	2627	1995-07-31	VYDAJ	VYBER	15	18100	SLUZBY	\N	\N
769891	2627	1995-08-31	VYDAJ	VYBER	15	20852	SLUZBY	\N	\N
769892	2627	1995-09-30	VYDAJ	VYBER	15	23614	SLUZBY	\N	\N
769893	2627	1995-10-31	VYDAJ	VYBER	15	23587	SLUZBY	\N	\N
769894	2627	1995-11-30	VYDAJ	VYBER	15	20370	SLUZBY	\N	\N
769895	2627	1995-12-31	VYDAJ	VYBER	15	21258	SLUZBY	\N	\N
769896	2627	1996-01-31	VYDAJ	VYBER	15	14687	SLUZBY	\N	\N
769897	2627	1996-02-29	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
769898	2627	1996-03-31	VYDAJ	VYBER	15	20172	SLUZBY	\N	\N
769899	2627	1996-04-30	VYDAJ	VYBER	15	21731	SLUZBY	\N	\N
769900	2627	1996-05-31	VYDAJ	VYBER	15	18092	SLUZBY	\N	\N
769901	2627	1996-06-30	VYDAJ	VYBER	15	15314	SLUZBY	\N	\N
769902	2627	1996-07-31	VYDAJ	VYBER	15	18053	SLUZBY	\N	\N
769903	2627	1996-08-31	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
769904	2627	1996-09-30	VYDAJ	VYBER	15	18058	SLUZBY	\N	\N
769905	2627	1996-10-31	VYDAJ	VYBER	15	14800	SLUZBY	\N	\N
769906	2627	1996-11-30	VYDAJ	VYBER	15	17537	SLUZBY	\N	\N
769907	2627	1996-12-31	VYDAJ	VYBER	15	11972	SLUZBY	\N	\N
769908	2627	1997-01-31	VYDAJ	VYBER	15	13736	SLUZBY	\N	\N
769909	2627	1997-02-28	VYDAJ	VYBER	15	14063	SLUZBY	\N	\N
769910	2627	1997-03-31	VYDAJ	VYBER	15	16075	SLUZBY	\N	\N
769911	2627	1997-04-30	VYDAJ	VYBER	15	18817	SLUZBY	\N	\N
769912	2627	1997-05-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
769913	2627	1997-06-30	VYDAJ	VYBER	15	24336	SLUZBY	\N	\N
769914	2627	1997-07-31	VYDAJ	VYBER	15	27113	SLUZBY	\N	\N
769915	2627	1997-08-31	VYDAJ	VYBER	15	29901	SLUZBY	\N	\N
769916	2627	1997-09-30	VYDAJ	VYBER	15	32701	SLUZBY	\N	\N
769917	2627	1997-10-31	VYDAJ	VYBER	15	31752	SLUZBY	\N	\N
769918	2627	1997-11-30	VYDAJ	VYBER	15	34559	SLUZBY	\N	\N
769919	2627	1997-12-31	VYDAJ	VYBER	15	36176	SLUZBY	\N	\N
769920	2627	1998-01-31	VYDAJ	VYBER	15	29463	SLUZBY	\N	\N
769921	2627	1998-02-28	VYDAJ	VYBER	15	32261	SLUZBY	\N	\N
769922	2627	1998-03-31	VYDAJ	VYBER	15	35070	SLUZBY	\N	\N
769923	2627	1998-04-30	VYDAJ	VYBER	15	36929	SLUZBY	\N	\N
769924	2627	1998-05-31	VYDAJ	VYBER	15	39758	SLUZBY	\N	\N
769925	2627	1998-06-30	VYDAJ	VYBER	15	13217	SLUZBY	\N	\N
769926	2627	1998-07-31	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
769927	2627	1998-08-31	VYDAJ	VYBER	15	18688	SLUZBY	\N	\N
769928	2627	1998-09-30	VYDAJ	VYBER	15	21440	SLUZBY	\N	\N
769929	2627	1998-10-31	VYDAJ	VYBER	15	20599	SLUZBY	\N	\N
769930	2627	1998-11-30	VYDAJ	VYBER	15	23359	SLUZBY	\N	\N
769931	2627	1995-03-31	VYDAJ	VYBER	4800	22275	\N	\N	\N
769932	2627	1995-04-30	VYDAJ	VYBER	1500	23529	\N	\N	\N
769933	2627	1995-05-30	VYDAJ	VYBER	5600	20611	\N	\N	\N
769934	2627	1995-10-27	VYDAJ	VYBER	2800	23496	\N	\N	\N
769935	2627	1995-11-26	VYDAJ	VYBER	1900	20289	\N	\N	\N
769936	2627	1995-12-26	VYDAJ	VYBER	500	21182	\N	\N	\N
769937	2627	1996-04-24	VYDAJ	VYBER	1200	21654	\N	\N	\N
769938	2627	1996-05-24	VYDAJ	VYBER	3600	20813	\N	\N	\N
769939	2627	1996-08-22	VYDAJ	VYBER	3000	15895	\N	\N	\N
769940	2627	1996-10-21	VYDAJ	VYBER	6000	14740	\N	\N	\N
769941	2627	1996-12-20	VYDAJ	VYBER	8300	11919	\N	\N	\N
769942	2627	1998-06-13	VYDAJ	VYBER	22200	13701	\N	\N	\N
769994	2628	1994-02-06	PRIJEM	VKLAD	800	800	\N	\N	\N
769995	2628	1994-12-17	PRIJEM	VKLAD	28626	120641	\N	\N	\N
769996	2628	1994-08-13	PRIJEM	VKLAD	10927	38597	\N	\N	\N
769997	2628	1994-12-15	PRIJEM	VKLAD	43812	92015	\N	\N	\N
769998	2628	1994-06-12	PRIJEM	VKLAD	21939	37757	\N	\N	\N
769999	2628	1994-04-27	PRIJEM	VKLAD	46968	68820	\N	\N	\N
770000	2628	1994-10-14	PRIJEM	VKLAD	41753	49719	\N	\N	\N
770002	2628	1994-02-24	PRIJEM	VKLAD	29886	30686	\N	\N	\N
770003	2628	1994-05-04	PRIJEM	VKLAD	33110	102002	\N	\N	\N
770004	2628	1994-03-14	PRIJEM	VKLAD	48558	95632	\N	\N	\N
770005	2628	1994-10-30	PRIJEM	VKLAD	42974	99332	\N	\N	\N
770007	2628	1994-11-19	PRIJEM	VKLAD	11595	71632	\N	\N	\N
770008	2628	1994-08-17	PRIJEM	VKLAD	27233	65830	\N	\N	\N
770009	2628	1994-04-18	PRIJEM	VKLAD	6840	21852	\N	\N	\N
770010	2628	1994-09-28	PRIJEM	VKLAD	15566	38366	\N	\N	\N
770011	2628	1994-02-24	PRIJEM	VKLAD	47045	77731	\N	\N	\N
770012	2628	1994-10-18	PRIJEM	VKLAD	19373	69092	\N	\N	\N
770013	2628	1994-12-23	PRIJEM	VKLAD	8916	101357	\N	\N	\N
770014	2628	1994-03-18	PRIJEM	VKLAD	14611	110243	\N	\N	\N
770015	2628	1994-02-25	PRIJEM	VKLAD	41660	119391	\N	\N	\N
770016	2628	1994-11-22	PRIJEM	VKLAD	44775	116407	\N	\N	\N
770017	2628	1994-07-03	PRIJEM	VKLAD	47380	85189	\N	\N	\N
770019	2628	1994-03-29	PRIJEM	VKLAD	27716	110648	\N	\N	\N
770022	2628	1995-02-11	PRIJEM	VKLAD	48374	69142	\N	\N	\N
770023	2628	1995-07-26	PRIJEM	VKLAD	31605	45948	\N	\N	\N
770024	2628	1995-02-13	PRIJEM	VKLAD	42672	111814	\N	\N	\N
770025	2628	1996-07-18	PRIJEM	VKLAD	32965	48294	\N	\N	\N
770026	2628	1996-09-15	PRIJEM	VKLAD	33659	77487	\N	\N	\N
770027	2628	1996-10-23	PRIJEM	VKLAD	34071	104881	\N	\N	\N
770028	2628	1996-01-02	PRIJEM	VKLAD	7781	20895	\N	\N	\N
770029	2628	1996-06-20	PRIJEM	VKLAD	18631	86279	\N	\N	\N
770030	2628	1996-12-03	PRIJEM	VKLAD	25991	113457	\N	\N	\N
770031	2628	1996-12-17	PRIJEM	VKLAD	22056	122276	\N	\N	\N
770032	2628	1996-03-01	PRIJEM	VKLAD	7620	49668	\N	\N	\N
770033	2628	1996-02-20	PRIJEM	VKLAD	43943	112854	\N	\N	\N
770034	2628	1996-11-25	PRIJEM	VKLAD	44658	94873	\N	\N	\N
770035	2628	1996-03-27	PRIJEM	VKLAD	17837	68123	\N	\N	\N
770036	2628	1996-12-11	PRIJEM	VKLAD	39649	142420	\N	\N	\N
770037	2628	1996-03-02	PRIJEM	VKLAD	17251	66919	\N	\N	\N
770038	2628	1996-02-16	PRIJEM	VKLAD	29828	68911	\N	\N	\N
770039	2628	1996-01-11	PRIJEM	VKLAD	22929	42024	\N	\N	\N
770040	2628	1996-12-08	PRIJEM	VKLAD	27514	109371	\N	\N	\N
770041	2628	1996-11-11	PRIJEM	VKLAD	16362	82615	\N	\N	\N
770042	2628	1996-06-01	PRIJEM	VKLAD	6748	49405	\N	\N	\N
770043	2628	1996-09-09	PRIJEM	VKLAD	39552	43828	\N	\N	\N
770044	2628	1996-04-22	PRIJEM	VKLAD	36188	90051	\N	\N	\N
770045	2628	1996-10-01	PRIJEM	VKLAD	41032	99121	\N	\N	\N
770046	2628	1996-06-02	PRIJEM	VKLAD	18243	67648	\N	\N	\N
770047	2628	1996-01-12	PRIJEM	VKLAD	48128	90152	\N	\N	\N
770048	2628	1996-04-20	PRIJEM	VKLAD	24472	53863	\N	\N	\N
770049	2628	1996-01-16	PRIJEM	VKLAD	35475	116927	\N	\N	\N
770050	2628	1996-02-08	PRIJEM	VKLAD	12216	39083	\N	\N	\N
770051	2628	1996-10-22	PRIJEM	VKLAD	29783	85280	\N	\N	\N
770052	2628	1996-09-29	PRIJEM	VKLAD	47495	78282	\N	\N	\N
770053	2628	1997-11-13	PRIJEM	VKLAD	12231	77878	\N	\N	\N
770054	2628	1997-08-22	PRIJEM	VKLAD	17446	57295	\N	\N	\N
770055	2628	1997-02-04	PRIJEM	VKLAD	15441	27196	\N	\N	\N
770056	2628	1997-04-14	PRIJEM	VKLAD	29395	99011	\N	\N	\N
770057	2628	1997-07-18	PRIJEM	VKLAD	15507	32354	\N	\N	\N
770058	2628	1997-05-05	PRIJEM	VKLAD	7774	62988	\N	\N	\N
770059	2628	1997-11-19	PRIJEM	VKLAD	25989	73969	\N	\N	\N
770060	2628	1997-11-11	PRIJEM	VKLAD	12747	65647	\N	\N	\N
770061	2628	1997-09-14	PRIJEM	VKLAD	31486	121296	\N	\N	\N
770062	2628	1997-04-12	PRIJEM	VKLAD	23840	69616	\N	\N	\N
770063	2628	1997-12-20	PRIJEM	VKLAD	10843	57378	\N	\N	\N
770064	2628	1997-06-20	PRIJEM	VKLAD	13764	49678	\N	\N	\N
770065	2628	1997-09-30	PRIJEM	VKLAD	16598	53678	\N	\N	\N
770066	2628	1997-02-04	PRIJEM	VKLAD	33499	60695	\N	\N	\N
770067	2628	1997-02-18	PRIJEM	VKLAD	40689	129498	\N	\N	\N
770068	2628	1997-03-09	PRIJEM	VKLAD	38619	80894	\N	\N	\N
770069	2628	1997-06-22	PRIJEM	VKLAD	26410	56988	\N	\N	\N
770070	2628	1997-12-13	PRIJEM	VKLAD	41870	85435	\N	\N	\N
770071	2628	1997-10-20	PRIJEM	VKLAD	26605	55783	\N	\N	\N
770072	2628	1997-11-14	PRIJEM	VKLAD	7002	84880	\N	\N	\N
770073	2628	1997-07-26	PRIJEM	VKLAD	13132	43243	\N	\N	\N
770074	2628	1997-01-08	PRIJEM	VKLAD	23840	47987	\N	\N	\N
770075	2628	1997-07-20	PRIJEM	VKLAD	12557	44911	\N	\N	\N
770076	2628	1997-08-24	PRIJEM	VKLAD	44619	101914	\N	\N	\N
770077	2628	1997-02-07	PRIJEM	VKLAD	28114	88809	\N	\N	\N
770078	2628	1997-12-29	PRIJEM	VKLAD	36558	93936	\N	\N	\N
770079	2628	1997-07-31	PRIJEM	VKLAD	17904	61147	\N	\N	\N
770080	2628	1998-04-27	PRIJEM	VKLAD	22703	52246	\N	\N	\N
770081	2628	1998-04-07	PRIJEM	VKLAD	7306	54143	\N	\N	\N
770082	2628	1998-03-22	PRIJEM	VKLAD	30944	46812	\N	\N	\N
770143	2628	1994-03-28	VYBER	VYBER	6011	82932	\N	\N	\N
770144	2628	1994-04-09	VYBER	VYBER	13594	35112	\N	\N	\N
770145	2628	1994-10-29	VYBER	VYBER	12734	56358	\N	\N	\N
770146	2628	1994-09-17	VYBER	VYBER	15531	22800	\N	\N	\N
770149	2628	1994-07-14	VYBER	VYBER	19581	33108	\N	\N	\N
770150	2628	1994-05-18	VYBER	VYBER	5841	57361	\N	\N	\N
770151	2628	1994-10-03	VYBER	VYBER	16035	22404	\N	\N	\N
770152	2628	1994-10-13	VYBER	VYBER	12938	7966	\N	\N	\N
770153	2628	1995-03-10	VYBER	VYBER	4770	52011	\N	\N	\N
770154	2628	1995-04-18	VYBER	VYBER	13096	3978	\N	\N	\N
770155	2628	1995-02-28	VYBER	VYBER	6497	85781	\N	\N	\N
770156	2628	1995-05-28	VYBER	VYBER	6859	1493	\N	\N	\N
770157	2628	1995-03-16	VYBER	VYBER	7379	44632	\N	\N	\N
770159	2628	1995-10-06	VYBER	VYBER	23578	1693	\N	\N	\N
770161	2628	1995-11-27	VYBER	VYBER	12971	-379	\N	\N	\N
770162	2628	1996-09-30	VYBER	VYBER	2031	58189	\N	\N	\N
770163	2628	1996-03-30	VYBER	VYBER	13290	29233	\N	\N	\N
770164	2628	1996-11-26	VYBER	VYBER	7593	87280	\N	\N	\N
770165	2628	1996-03-24	VYBER	VYBER	16633	50286	\N	\N	\N
770166	2628	1996-02-06	VYBER	VYBER	8316	26867	\N	\N	\N
770167	2628	1996-12-19	VYBER	VYBER	11832	67844	\N	\N	\N
770168	2628	1996-07-11	VYBER	VYBER	24321	15329	\N	\N	\N
770169	2628	1996-10-11	VYBER	VYBER	21848	77273	\N	\N	\N
770170	2628	1996-08-29	VYBER	VYBER	12144	4288	\N	\N	\N
770171	2628	1996-08-15	VYBER	VYBER	3361	10832	\N	\N	\N
770172	2628	1996-10-19	VYBER	VYBER	21776	55497	\N	\N	\N
770173	2628	1996-09-30	VYBER	VYBER	18190	60220	\N	\N	\N
770174	2628	1996-10-22	VYBER	VYBER	14470	70810	\N	\N	\N
770175	2628	1996-08-02	VYBER	VYBER	19468	14193	\N	\N	\N
770176	2628	1997-06-01	VYBER	VYBER	5381	35914	\N	\N	\N
770177	2628	1997-11-19	VYBER	VYBER	22143	51826	\N	\N	\N
770178	2628	1997-04-17	VYBER	VYBER	4859	94152	\N	\N	\N
770179	2628	1997-02-01	VYBER	VYBER	3568	11755	\N	\N	\N
770181	2628	1998-11-18	VYBER	VYBER	14483	9446	\N	\N	\N
770182	2628	1998-08-08	VYBER	VYBER	9204	7531	\N	\N	\N
770183	2628	1998-06-20	VYBER	VYBER	6512	15082	\N	\N	\N
770184	2628	1998-05-27	VYBER	VYBER	6120	28195	\N	\N	\N
770186	2628	1994-06-01	VYDAJ	VYBER	53700	3818	\N	\N	\N
770189	2628	1997-06-26	VYDAJ	VYBER	40200	16788	\N	\N	\N
770191	2628	1994-12-24	VYDAJ	VYBER	1500	99857	\N	\N	\N
770192	2628	1995-12-22	VYDAJ	VYBER	2100	-127	\N	\N	\N
770193	2628	1996-12-10	VYDAJ	VYBER	6600	102771	\N	\N	\N
770194	2628	1997-12-05	VYDAJ	VYBER	8400	43565	\N	\N	\N
770195	2628	1998-12-26	VYDAJ	VYBER	7800	8606	\N	\N	\N
770202	2628	1995-01-26	VYDAJ	VYBER	4800	17487	\N	\N	\N
770203	2628	1995-01-20	VYDAJ	VYBER	7800	30387	\N	\N	\N
770204	2628	1995-01-17	VYDAJ	VYBER	3000	44487	\N	\N	\N
770205	2628	1995-01-01	VYDAJ	VYBER	3300	96787	\N	\N	\N
770206	2628	1995-01-19	VYDAJ	VYBER	6300	38187	\N	\N	\N
770207	2628	1995-01-26	VYDAJ	VYBER	8100	22287	\N	\N	\N
770208	2628	1996-01-05	VYDAJ	VYBER	1800	19095	\N	\N	\N
770209	2628	1996-01-15	VYDAJ	VYBER	6900	81452	\N	\N	\N
770210	2628	1996-01-13	VYDAJ	VYBER	1800	88352	\N	\N	\N
770211	2628	1996-01-16	VYDAJ	VYBER	3000	105827	\N	\N	\N
770212	2628	1996-01-16	VYDAJ	VYBER	8100	108827	\N	\N	\N
770213	2628	1996-01-30	VYDAJ	VYBER	3900	35027	\N	\N	\N
770214	2628	1997-01-11	VYDAJ	VYBER	2100	39587	\N	\N	\N
770215	2628	1997-01-04	VYDAJ	VYBER	6900	30447	\N	\N	\N
770216	2628	1997-01-26	VYDAJ	VYBER	7800	21587	\N	\N	\N
770217	2628	1997-01-01	VYDAJ	VYBER	2100	37347	\N	\N	\N
770218	2628	1997-01-09	VYDAJ	VYBER	6300	41687	\N	\N	\N
770219	2628	1997-01-26	VYDAJ	VYBER	6300	15287	\N	\N	\N
770220	2628	1998-01-06	VYDAJ	VYBER	7200	71289	\N	\N	\N
770221	2628	1998-01-04	VYDAJ	VYBER	3600	78489	\N	\N	\N
770222	2628	1998-01-04	VYDAJ	VYBER	5700	82089	\N	\N	\N
770223	2628	1998-01-08	VYDAJ	VYBER	5700	65589	\N	\N	\N
770224	2628	1998-01-01	VYDAJ	VYBER	6300	87789	\N	\N	\N
770225	2628	1998-01-12	VYDAJ	VYBER	2100	63489	\N	\N	\N
770226	2628	1994-04-09	VYDAJ	VYBER	7800	15012	\N	\N	\N
770228	2628	1994-04-05	VYDAJ	VYBER	2100	68506	\N	\N	\N
770229	2628	1994-04-09	VYDAJ	VYBER	12300	22812	\N	\N	\N
770231	2628	1994-08-28	VYDAJ	VYBER	10800	55030	\N	\N	\N
770232	2628	1994-12-04	VYDAJ	VYBER	8700	48203	\N	\N	\N
770233	2628	1995-06-10	VYDAJ	VYBER	2400	9314	\N	\N	\N
770234	2628	1995-04-08	VYDAJ	VYBER	10800	21874	\N	\N	\N
770235	2628	1995-12-11	VYDAJ	VYBER	10500	1973	\N	\N	\N
770236	2628	1995-01-12	VYDAJ	VYBER	12000	47487	\N	\N	\N
770237	2628	1995-04-09	VYDAJ	VYBER	4800	17074	\N	\N	\N
770241	2628	1995-05-18	VYDAJ	VYBER	3000	8352	\N	\N	\N
770242	2628	1996-09-24	VYDAJ	VYBER	13500	30787	\N	\N	\N
770243	2628	1996-06-27	VYDAJ	VYBER	13500	39479	\N	\N	\N
770244	2628	1996-09-16	VYDAJ	VYBER	11400	66087	\N	\N	\N
770245	2628	1996-12-19	VYDAJ	VYBER	14400	53444	\N	\N	\N
770246	2628	1997-04-11	VYDAJ	VYBER	2700	45776	\N	\N	\N
770247	2628	1997-10-11	VYDAJ	VYBER	7200	46378	\N	\N	\N
770248	2628	1997-11-09	VYDAJ	VYBER	3000	52900	\N	\N	\N
770249	2628	1997-01-04	VYDAJ	VYBER	6300	24147	\N	\N	\N
770250	2628	1997-09-03	VYDAJ	VYBER	12300	89810	\N	\N	\N
770251	2628	1997-02-25	VYDAJ	VYBER	6000	42098	\N	\N	\N
770252	2628	1998-12-12	VYDAJ	VYBER	4200	16406	\N	\N	\N
770253	2628	1998-04-14	VYDAJ	VYBER	3300	50843	\N	\N	\N
770257	2628	1994-03-31	VYDAJ	VYBER	100	70606	SLUZBY	\N	\N
770258	2628	1994-04-30	VYDAJ	VYBER	100	68892	SLUZBY	\N	\N
770259	2628	1994-05-31	VYDAJ	VYBER	100	57518	SLUZBY	\N	\N
770260	2628	1994-06-30	VYDAJ	VYBER	100	37809	SLUZBY	\N	\N
770261	2628	1994-07-31	VYDAJ	VYBER	100	33170	SLUZBY	\N	\N
770262	2628	1994-08-31	VYDAJ	VYBER	100	55131	SLUZBY	\N	\N
770263	2628	1994-09-30	VYDAJ	VYBER	100	38439	SLUZBY	\N	\N
770264	2628	1994-10-31	VYDAJ	VYBER	100	99437	SLUZBY	\N	\N
770265	2628	1994-11-30	VYDAJ	VYBER	100	95003	SLUZBY	\N	\N
770266	2628	1994-12-31	VYDAJ	VYBER	100	100087	SLUZBY	\N	\N
770267	2628	1995-01-31	VYDAJ	VYBER	100	17568	SLUZBY	\N	\N
770268	2628	1995-02-28	VYDAJ	VYBER	100	85681	SLUZBY	\N	\N
770269	2628	1995-03-31	VYDAJ	VYBER	100	44774	SLUZBY	\N	\N
770270	2628	1995-04-30	VYDAJ	VYBER	100	3952	SLUZBY	\N	\N
770271	2628	1995-05-31	VYDAJ	VYBER	100	1414	SLUZBY	\N	\N
770272	2628	1995-06-30	VYDAJ	VYBER	100	9243	SLUZBY	\N	\N
770273	2628	1995-07-31	VYDAJ	VYBER	100	45913	SLUZBY	\N	\N
770274	2628	1995-08-31	VYDAJ	VYBER	100	29150	SLUZBY	\N	\N
770275	2628	1995-09-30	VYDAJ	VYBER	100	25271	SLUZBY	\N	\N
770276	2628	1995-10-31	VYDAJ	VYBER	100	12592	SLUZBY	\N	\N
770277	2628	1995-11-30	VYDAJ	VYBER	100	12473	SLUZBY	\N	\N
770278	2628	1995-12-31	VYDAJ	VYBER	100	13114	SLUZBY	\N	\N
770279	2628	1996-01-31	VYDAJ	VYBER	100	35183	SLUZBY	\N	\N
770280	2628	1996-02-29	VYDAJ	VYBER	100	42048	SLUZBY	\N	\N
770281	2628	1996-03-31	VYDAJ	VYBER	100	29391	SLUZBY	\N	\N
770282	2628	1996-04-30	VYDAJ	VYBER	100	56425	SLUZBY	\N	\N
770283	2628	1996-05-31	VYDAJ	VYBER	100	42657	SLUZBY	\N	\N
770284	2628	1996-06-30	VYDAJ	VYBER	100	39650	SLUZBY	\N	\N
770285	2628	1996-07-31	VYDAJ	VYBER	100	33661	SLUZBY	\N	\N
770286	2628	1996-08-31	VYDAJ	VYBER	100	4276	SLUZBY	\N	\N
770287	2628	1996-09-30	VYDAJ	VYBER	100	58089	SLUZBY	\N	\N
770288	2628	1996-10-31	VYDAJ	VYBER	100	66253	SLUZBY	\N	\N
770289	2628	1996-11-30	VYDAJ	VYBER	100	87466	SLUZBY	\N	\N
770290	2628	1996-12-31	VYDAJ	VYBER	100	39447	SLUZBY	\N	\N
770291	2628	1997-01-31	VYDAJ	VYBER	100	15323	SLUZBY	\N	\N
770292	2628	1997-02-28	VYDAJ	VYBER	100	42275	SLUZBY	\N	\N
770293	2628	1997-03-31	VYDAJ	VYBER	100	48476	SLUZBY	\N	\N
770294	2628	1997-04-30	VYDAJ	VYBER	100	55214	SLUZBY	\N	\N
770295	2628	1997-05-31	VYDAJ	VYBER	100	41295	SLUZBY	\N	\N
770296	2628	1997-06-30	VYDAJ	VYBER	100	16847	SLUZBY	\N	\N
770297	2628	1997-07-31	VYDAJ	VYBER	100	61149	SLUZBY	\N	\N
770298	2628	1997-08-31	VYDAJ	VYBER	100	102110	SLUZBY	\N	\N
770299	2628	1997-09-30	VYDAJ	VYBER	100	53578	SLUZBY	\N	\N
770300	2628	1997-10-31	VYDAJ	VYBER	100	55900	SLUZBY	\N	\N
770301	2628	1997-11-30	VYDAJ	VYBER	100	51965	SLUZBY	\N	\N
770302	2628	1997-12-31	VYDAJ	VYBER	100	94089	SLUZBY	\N	\N
770303	2628	1998-01-31	VYDAJ	VYBER	100	37716	SLUZBY	\N	\N
770304	2628	1998-02-28	VYDAJ	VYBER	100	23068	SLUZBY	\N	\N
770305	2628	1998-03-31	VYDAJ	VYBER	100	46837	SLUZBY	\N	\N
770306	2628	1998-04-30	VYDAJ	VYBER	100	52315	SLUZBY	\N	\N
770307	2628	1998-05-31	VYDAJ	VYBER	100	28294	SLUZBY	\N	\N
770308	2628	1998-06-30	VYDAJ	VYBER	100	15076	SLUZBY	\N	\N
770309	2628	1998-07-31	VYDAJ	VYBER	100	16735	SLUZBY	\N	\N
770310	2628	1998-08-31	VYDAJ	VYBER	100	13689	SLUZBY	\N	\N
770311	2628	1998-09-30	VYDAJ	VYBER	100	21543	SLUZBY	\N	\N
770312	2628	1998-10-31	VYDAJ	VYBER	100	20229	SLUZBY	\N	\N
770313	2628	1998-11-30	VYDAJ	VYBER	100	9406	SLUZBY	\N	\N
770314	2628	1994-02-25	VYDAJ	VYBER	52300	67091	\N	\N	\N
770315	2628	1994-03-08	VYDAJ	VYBER	20100	47074	\N	\N	\N
770316	2628	1994-03-18	VYDAJ	VYBER	21300	88943	\N	\N	\N
770317	2628	1994-03-29	VYDAJ	VYBER	40400	70248	\N	\N	\N
770318	2628	1994-04-07	VYDAJ	VYBER	19800	48706	\N	\N	\N
770319	2628	1994-05-07	VYDAJ	VYBER	38800	63202	\N	\N	\N
770320	2628	1994-06-06	PRIJEM	VKLAD	12000	15818	\N	\N	\N
770321	2628	1994-07-06	VYDAJ	VYBER	32500	52689	\N	\N	\N
770322	2628	1994-08-05	VYDAJ	VYBER	5500	27670	\N	\N	\N
770323	2628	1994-09-04	VYDAJ	VYBER	16800	38331	\N	\N	\N
770324	2628	1994-10-04	VYDAJ	VYBER	1500	20904	\N	\N	\N
770325	2628	1994-11-03	VYDAJ	VYBER	39400	60037	\N	\N	\N
770326	2628	1994-11-22	VYDAJ	VYBER	21700	94707	\N	\N	\N
770327	2628	1994-12-03	VYDAJ	VYBER	38100	56903	\N	\N	\N
770328	2628	1994-12-17	VYDAJ	VYBER	28200	92441	\N	\N	\N
770329	2628	1995-01-02	VYDAJ	VYBER	37300	59487	\N	\N	\N
770330	2628	1995-02-01	PRIJEM	VKLAD	3200	20768	\N	\N	\N
770331	2628	1995-02-13	VYDAJ	VYBER	19800	92014	\N	\N	\N
770332	2628	1995-03-03	VYDAJ	VYBER	28900	56781	\N	\N	\N
770333	2628	1995-04-02	VYDAJ	VYBER	12100	32674	\N	\N	\N
770334	2628	1995-05-02	PRIJEM	VKLAD	7400	11352	\N	\N	\N
770335	2628	1995-06-01	PRIJEM	VKLAD	10300	11714	\N	\N	\N
770336	2628	1995-07-01	PRIJEM	VKLAD	5100	14343	\N	\N	\N
770337	2628	1995-07-31	VYDAJ	VYBER	12800	33113	\N	\N	\N
770338	2628	1995-08-30	VYDAJ	VYBER	4000	29113	\N	\N	\N
770339	2628	1995-09-29	VYDAJ	VYBER	3900	25250	\N	\N	\N
770340	2628	1995-10-29	PRIJEM	VKLAD	10900	12593	\N	\N	\N
770341	2628	1995-11-28	PRIJEM	VKLAD	12900	12521	\N	\N	\N
770342	2628	1995-12-28	PRIJEM	VKLAD	13300	13173	\N	\N	\N
770343	2628	1996-01-16	VYDAJ	VYBER	48800	57027	\N	\N	\N
770344	2628	1996-01-27	VYDAJ	VYBER	18100	38927	\N	\N	\N
770345	2628	1996-02-20	VYDAJ	VYBER	54000	58854	\N	\N	\N
770346	2628	1996-02-26	VYDAJ	VYBER	16900	41954	\N	\N	\N
770347	2628	1996-03-27	VYDAJ	VYBER	25600	42523	\N	\N	\N
770348	2628	1996-04-26	VYDAJ	VYBER	33700	56351	\N	\N	\N
770349	2628	1996-05-26	VYDAJ	VYBER	13900	42525	\N	\N	\N
770350	2628	1996-06-25	VYDAJ	VYBER	33300	52979	\N	\N	\N
770351	2628	1996-07-25	VYDAJ	VYBER	14700	33594	\N	\N	\N
770352	2628	1996-08-24	PRIJEM	VKLAD	5600	16432	\N	\N	\N
770353	2628	1996-09-23	VYDAJ	VYBER	21800	44287	\N	\N	\N
770354	2628	1996-10-23	VYDAJ	VYBER	38800	66081	\N	\N	\N
770355	2628	1996-11-22	VYDAJ	VYBER	32400	50215	\N	\N	\N
770356	2628	1996-12-03	VYDAJ	VYBER	31600	81857	\N	\N	\N
770357	2628	1996-12-11	VYDAJ	VYBER	42200	100220	\N	\N	\N
770358	2628	1996-12-17	VYDAJ	VYBER	42600	79676	\N	\N	\N
770359	2628	1996-12-22	VYDAJ	VYBER	14200	39244	\N	\N	\N
770360	2628	1997-01-21	VYDAJ	VYBER	10200	29387	\N	\N	\N
770361	2628	1997-02-18	VYDAJ	VYBER	53700	75798	\N	\N	\N
770362	2628	1997-02-20	VYDAJ	VYBER	27700	48098	\N	\N	\N
770363	2628	1997-03-22	VYDAJ	VYBER	32500	48394	\N	\N	\N
770364	2628	1997-04-21	VYDAJ	VYBER	39100	55052	\N	\N	\N
770365	2628	1997-05-21	VYDAJ	VYBER	21800	41188	\N	\N	\N
770366	2628	1997-06-20	VYDAJ	VYBER	19100	30578	\N	\N	\N
770367	2628	1997-07-20	VYDAJ	VYBER	14800	30111	\N	\N	\N
770368	2628	1997-08-19	VYDAJ	VYBER	21300	39849	\N	\N	\N
770369	2628	1997-09-14	VYDAJ	VYBER	60600	60696	\N	\N	\N
770370	2628	1997-09-18	VYDAJ	VYBER	23900	36796	\N	\N	\N
770371	2628	1997-10-18	VYDAJ	VYBER	17200	29178	\N	\N	\N
770372	2628	1997-11-17	VYDAJ	VYBER	36900	47980	\N	\N	\N
770373	2628	1997-12-17	VYDAJ	VYBER	38900	46535	\N	\N	\N
770374	2628	1998-01-16	VYDAJ	VYBER	25900	37589	\N	\N	\N
770375	2628	1998-02-15	VYDAJ	VYBER	14700	23016	\N	\N	\N
770376	2628	1998-03-17	VYDAJ	VYBER	7200	15868	\N	\N	\N
770377	2628	1998-04-16	VYDAJ	VYBER	21300	29543	\N	\N	\N
770378	2628	1998-05-16	VYDAJ	VYBER	18000	34315	\N	\N	\N
770379	2628	1998-06-15	VYDAJ	VYBER	6700	21594	\N	\N	\N
770380	2628	1998-07-15	PRIJEM	VKLAD	1700	16776	\N	\N	\N
770381	2628	1998-08-14	PRIJEM	VKLAD	6200	13731	\N	\N	\N
770382	2628	1998-09-13	PRIJEM	VKLAD	7900	21589	\N	\N	\N
770383	2628	1998-10-13	VYDAJ	VYBER	1300	20243	\N	\N	\N
770384	2628	1998-11-12	PRIJEM	VKLAD	3700	23929	\N	\N	\N
770385	2628	1998-12-12	PRIJEM	VKLAD	11200	20606	\N	\N	\N
770452	2629	1996-09-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
770461	2629	1996-09-14	PRIJEM	VKLAD	18211	19211	\N	\N	\N
770462	2629	1996-10-14	PRIJEM	VKLAD	18211	37767	\N	\N	\N
770463	2629	1996-11-14	PRIJEM	VKLAD	18211	50203	\N	\N	\N
770464	2629	1996-12-14	PRIJEM	VKLAD	27316	62706	\N	\N	\N
770465	2629	1997-01-14	PRIJEM	VKLAD	18211	58456	\N	\N	\N
770466	2629	1997-02-14	PRIJEM	VKLAD	18211	53044	\N	\N	\N
770467	2629	1997-03-14	PRIJEM	VKLAD	18211	55044	\N	\N	\N
770468	2629	1997-04-14	PRIJEM	VKLAD	18211	54045	\N	\N	\N
770469	2629	1997-05-14	PRIJEM	VKLAD	18211	56667	\N	\N	\N
770470	2629	1997-06-14	PRIJEM	VKLAD	27316	48576	\N	\N	\N
770471	2629	1997-07-14	PRIJEM	VKLAD	18211	43308	\N	\N	\N
770472	2629	1997-08-14	PRIJEM	VKLAD	18211	45377	\N	\N	\N
770473	2629	1997-09-14	PRIJEM	VKLAD	18211	48859	\N	\N	\N
770474	2629	1997-10-14	PRIJEM	VKLAD	18211	49353	\N	\N	\N
770475	2629	1997-11-14	PRIJEM	VKLAD	18211	50654	\N	\N	\N
770476	2629	1997-12-14	PRIJEM	VKLAD	27316	58964	\N	\N	\N
770477	2629	1998-01-14	PRIJEM	VKLAD	18211	47687	\N	\N	\N
770478	2629	1998-02-14	PRIJEM	VKLAD	18211	35706	\N	\N	\N
770479	2629	1998-03-14	PRIJEM	VKLAD	18211	41445	\N	\N	\N
770480	2629	1998-04-14	PRIJEM	VKLAD	18211	42503	\N	\N	\N
770481	2629	1998-05-14	PRIJEM	VKLAD	18211	40275	\N	\N	\N
770482	2629	1998-06-14	PRIJEM	VKLAD	27316	45481	\N	\N	\N
770483	2629	1998-07-14	PRIJEM	VKLAD	18211	35544	\N	\N	\N
770484	2629	1998-08-14	PRIJEM	VKLAD	18211	39602	\N	\N	\N
770485	2629	1998-09-14	PRIJEM	VKLAD	18211	42345	\N	\N	\N
770486	2629	1998-10-14	PRIJEM	VKLAD	18211	45042	\N	\N	\N
770487	2629	1998-11-14	PRIJEM	VKLAD	18211	39847	\N	\N	\N
770488	2629	1998-12-14	PRIJEM	VKLAD	27316	49838	\N	\N	\N
770490	2629	1997-06-11	VYDAJ	VYBER	14880	21260	\N	\N	\N
770491	2629	1998-06-22	VYDAJ	VYBER	19680	25801	\N	\N	\N
770493	2629	1997-01-14	VYDAJ	VYBER	4800	51736	\N	\N	\N
770494	2629	1998-01-18	VYDAJ	VYBER	4640	39147	\N	\N	\N
770496	2629	1997-12-16	VYDAJ	VYBER KARTOU	2100	56864	\N	\N	0
770497	2629	1998-12-29	VYDAJ	VYBER KARTOU	3200	46638	\N	\N	0
770504	2629	1997-01-19	VYDAJ	VYBER	1440	48496	\N	\N	\N
770505	2629	1997-01-27	VYDAJ	VYBER	3480	45016	\N	\N	\N
770506	2629	1997-01-19	VYDAJ	VYBER	1800	49936	\N	\N	\N
770507	2629	1997-01-28	VYDAJ	VYBER	1200	43816	\N	\N	\N
770508	2629	1997-01-14	VYDAJ	VYBER	1920	56536	\N	\N	\N
770510	2629	1998-01-15	VYDAJ	VYBER KARTOU	1100	46587	\N	\N	0
770511	2629	1998-01-17	VYDAJ	VYBER KARTOU	2800	43787	\N	\N	0
770512	2629	1998-01-30	VYDAJ	VYBER KARTOU	2000	37147	\N	\N	0
770513	2629	1998-01-06	VYDAJ	VYBER KARTOU	1200	31476	\N	\N	0
770514	2629	1998-01-09	VYDAJ	VYBER KARTOU	2000	29476	\N	\N	0
770515	2629	1998-01-04	VYDAJ	VYBER KARTOU	2200	32676	\N	\N	0
770522	2629	1997-05-26	VYDAJ	VYBER	5040	51627	\N	\N	\N
770523	2629	1997-03-17	VYDAJ	VYBER	720	54324	\N	\N	\N
770525	2629	1997-06-26	VYDAJ	VYBER KARTOU	700	47876	\N	\N	0
770526	2629	1997-07-09	VYDAJ	VYBER	5760	25097	\N	\N	\N
770527	2629	1998-06-29	VYDAJ	VYBER KARTOU	1300	24501	\N	\N	0
770528	2629	1998-02-11	VYDAJ	VYBER KARTOU	3100	17495	\N	\N	0
770529	2629	1998-07-21	VYDAJ	VYBER	4560	30984	\N	\N	\N
770530	2629	1998-05-21	VYDAJ	VYBER	4560	35715	\N	\N	\N
770544	2629	1997-01-31	VYDAJ	VYBER	15	44033	SLUZBY	\N	\N
770545	2629	1997-02-28	VYDAJ	VYBER	15	53233	SLUZBY	\N	\N
770546	2629	1997-03-31	VYDAJ	VYBER	15	54534	SLUZBY	\N	\N
770547	2629	1997-04-30	VYDAJ	VYBER	15	54256	SLUZBY	\N	\N
770548	2629	1997-05-31	VYDAJ	VYBER	15	51840	SLUZBY	\N	\N
770549	2629	1997-06-30	VYDAJ	VYBER	15	48057	SLUZBY	\N	\N
770550	2629	1997-07-31	VYDAJ	VYBER	15	43466	SLUZBY	\N	\N
770551	2629	1997-08-31	VYDAJ	VYBER	15	45548	SLUZBY	\N	\N
770552	2629	1997-09-30	VYDAJ	VYBER	15	49042	SLUZBY	\N	\N
770553	2629	1997-10-31	VYDAJ	VYBER	15	49543	SLUZBY	\N	\N
770554	2629	1997-11-30	VYDAJ	VYBER	15	50848	SLUZBY	\N	\N
770555	2629	1997-12-31	VYDAJ	VYBER	15	57076	SLUZBY	\N	\N
770556	2629	1998-01-31	VYDAJ	VYBER	15	37295	SLUZBY	\N	\N
770557	2629	1998-02-28	VYDAJ	VYBER	15	35834	SLUZBY	\N	\N
770558	2629	1998-03-31	VYDAJ	VYBER	15	41592	SLUZBY	\N	\N
770559	2629	1998-04-30	VYDAJ	VYBER	15	42664	SLUZBY	\N	\N
770560	2629	1998-05-31	VYDAJ	VYBER	15	35865	SLUZBY	\N	\N
770561	2629	1998-06-30	VYDAJ	VYBER	15	24633	SLUZBY	\N	\N
770562	2629	1998-07-31	VYDAJ	VYBER	15	31091	SLUZBY	\N	\N
770563	2629	1998-08-31	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
770564	2629	1998-09-30	VYDAJ	VYBER	15	26831	SLUZBY	\N	\N
770565	2629	1998-10-31	VYDAJ	VYBER	15	21636	SLUZBY	\N	\N
770566	2629	1998-11-30	VYDAJ	VYBER	15	22522	SLUZBY	\N	\N
770567	2629	1996-10-10	PRIJEM	VKLAD	300	19556	\N	\N	\N
770568	2629	1996-11-09	VYDAJ	VYBER	5900	31992	\N	\N	\N
770569	2629	1996-12-09	VYDAJ	VYBER	15000	35390	\N	\N	\N
770570	2629	1997-01-08	VYDAJ	VYBER	22700	40245	\N	\N	\N
770571	2629	1997-02-07	VYDAJ	VYBER	9200	34833	\N	\N	\N
770572	2629	1997-03-09	VYDAJ	VYBER	16400	36833	\N	\N	\N
770573	2629	1997-04-08	VYDAJ	VYBER	18700	35834	\N	\N	\N
770574	2629	1997-05-08	VYDAJ	VYBER	15800	38456	\N	\N	\N
770575	2629	1997-06-07	VYDAJ	VYBER	15700	36140	\N	\N	\N
770576	2629	1997-07-07	VYDAJ	VYBER	17200	30857	\N	\N	\N
770577	2629	1997-08-06	VYDAJ	VYBER	16300	27166	\N	\N	\N
770578	2629	1997-09-05	VYDAJ	VYBER	14900	30648	\N	\N	\N
770579	2629	1997-10-05	VYDAJ	VYBER	17900	31142	\N	\N	\N
770580	2629	1997-11-04	VYDAJ	VYBER	17100	32443	\N	\N	\N
770581	2629	1997-12-04	VYDAJ	VYBER	19200	31648	\N	\N	\N
770582	2629	1998-01-03	VYDAJ	VYBER	22200	34876	\N	\N	\N
770583	2629	1998-02-02	VYDAJ	VYBER	16700	20595	\N	\N	\N
770584	2629	1998-03-04	VYDAJ	VYBER	12600	23234	\N	\N	\N
770585	2629	1998-04-03	VYDAJ	VYBER	17300	24292	\N	\N	\N
770586	2629	1998-05-03	VYDAJ	VYBER	20600	22064	\N	\N	\N
770587	2629	1998-06-02	VYDAJ	VYBER	17700	18165	\N	\N	\N
770588	2629	1998-07-02	VYDAJ	VYBER	7300	17333	\N	\N	\N
770589	2629	1998-08-01	VYDAJ	VYBER	9700	21391	\N	\N	\N
770590	2629	1998-08-31	VYDAJ	VYBER	15600	24149	\N	\N	\N
770591	2629	1998-09-30	VYDAJ	VYBER	15600	26845	\N	\N	\N
770592	2629	1998-10-30	VYDAJ	VYBER	23500	21542	\N	\N	\N
770593	2629	1998-11-29	VYDAJ	VYBER	17400	22447	\N	\N	\N
770622	2630	1995-12-21	PRIJEM	VKLAD	400	400	\N	\N	\N
770635	2630	1996-01-12	PRIJEM	VKLAD	19720	20120	\N	\N	\N
770636	2630	1996-02-12	PRIJEM	VKLAD	19720	42276	\N	\N	\N
770637	2630	1996-03-12	PRIJEM	VKLAD	19720	54810	\N	\N	\N
770638	2630	1996-04-12	PRIJEM	VKLAD	19720	57680	\N	\N	\N
770639	2630	1996-05-12	PRIJEM	VKLAD	19720	60062	\N	\N	\N
770640	2630	1996-06-12	PRIJEM	VKLAD	29580	40689	\N	\N	\N
770641	2630	1996-07-12	PRIJEM	VKLAD	19720	50239	\N	\N	\N
770642	2630	1996-08-12	PRIJEM	VKLAD	19720	50173	\N	\N	\N
770643	2630	1996-09-12	PRIJEM	VKLAD	19720	48903	\N	\N	\N
770644	2630	1996-10-12	PRIJEM	VKLAD	19720	43927	\N	\N	\N
770645	2630	1996-11-12	PRIJEM	VKLAD	19720	43856	\N	\N	\N
770646	2630	1996-12-12	PRIJEM	VKLAD	29580	52431	\N	\N	\N
770647	2630	1997-01-12	PRIJEM	VKLAD	19720	46963	\N	\N	\N
770648	2630	1997-02-12	PRIJEM	VKLAD	19720	38088	\N	\N	\N
770649	2630	1997-03-12	PRIJEM	VKLAD	19720	48193	\N	\N	\N
770650	2630	1997-04-12	PRIJEM	VKLAD	19720	53930	\N	\N	\N
770651	2630	1997-05-12	PRIJEM	VKLAD	19720	51371	\N	\N	\N
770652	2630	1997-06-12	PRIJEM	VKLAD	29580	54866	\N	\N	\N
770653	2630	1997-07-12	PRIJEM	VKLAD	19720	46795	\N	\N	\N
770654	2630	1997-08-12	PRIJEM	VKLAD	19720	41600	\N	\N	\N
770655	2630	1997-09-12	PRIJEM	VKLAD	19720	34547	\N	\N	\N
770656	2630	1997-10-12	PRIJEM	VKLAD	19720	37775	\N	\N	\N
770657	2630	1997-11-12	PRIJEM	VKLAD	19720	33227	\N	\N	\N
770658	2630	1997-12-12	PRIJEM	VKLAD	29580	47429	\N	\N	\N
770659	2630	1998-01-12	PRIJEM	VKLAD	19720	36206	\N	\N	\N
770660	2630	1998-02-12	PRIJEM	VKLAD	19720	32749	\N	\N	\N
770661	2630	1998-03-12	PRIJEM	VKLAD	19720	34376	\N	\N	\N
770662	2630	1998-04-12	PRIJEM	VKLAD	19720	28916	\N	\N	\N
770663	2630	1998-05-12	PRIJEM	VKLAD	19720	31244	\N	\N	\N
770664	2630	1998-06-12	PRIJEM	VKLAD	29580	41035	\N	\N	\N
770665	2630	1998-07-12	PRIJEM	VKLAD	19720	28177	\N	\N	\N
770666	2630	1998-08-12	PRIJEM	VKLAD	19720	27600	\N	\N	\N
770667	2630	1998-09-12	PRIJEM	VKLAD	19720	27921	\N	\N	\N
770668	2630	1998-10-12	PRIJEM	VKLAD	19720	27830	\N	\N	\N
770669	2630	1998-11-12	PRIJEM	VKLAD	19720	27433	\N	\N	\N
770670	2630	1998-12-12	PRIJEM	VKLAD	29580	32505	\N	\N	\N
770672	2630	1996-06-06	VYDAJ	VYBER	25800	11109	\N	\N	\N
770673	2630	1997-06-21	VYDAJ	VYBER	7400	26966	\N	\N	\N
770674	2630	1998-06-21	VYDAJ	VYBER	11700	29335	\N	\N	\N
770677	2630	1997-01-28	VYDAJ	VYBER	4800	22663	\N	\N	\N
770678	2630	1998-01-23	VYDAJ	VYBER	3300	27906	\N	\N	\N
770680	2630	1996-12-06	VYDAJ	VYBER	1800	26651	\N	\N	\N
770681	2630	1997-12-12	VYDAJ	VYBER	1700	45729	\N	\N	\N
770682	2630	1998-12-13	VYDAJ	VYBER	900	31605	\N	\N	\N
770695	2630	1997-01-30	VYDAJ	VYBER	2000	18263	\N	\N	\N
770696	2630	1997-01-12	VYDAJ	VYBER	1300	45663	\N	\N	\N
770697	2630	1997-01-17	VYDAJ	VYBER	1700	27463	\N	\N	\N
770698	2630	1997-01-11	VYDAJ	VYBER	1800	27243	\N	\N	\N
770699	2630	1997-01-15	VYDAJ	VYBER	700	29163	\N	\N	\N
770700	2630	1997-01-30	VYDAJ	VYBER	2400	20263	\N	\N	\N
770701	2630	1998-01-10	VYDAJ	VYBER	2200	16486	\N	\N	\N
770702	2630	1998-01-23	VYDAJ	VYBER	1500	26406	\N	\N	\N
770703	2630	1998-01-20	VYDAJ	VYBER	1900	33606	\N	\N	\N
770704	2630	1998-01-20	VYDAJ	VYBER	2400	31206	\N	\N	\N
770705	2630	1998-01-18	VYDAJ	VYBER	700	35506	\N	\N	\N
770706	2630	1998-01-27	VYDAJ	VYBER	2300	24106	\N	\N	\N
770710	2630	1996-10-31	VYDAJ	VYBER	3400	24136	\N	\N	\N
770712	2630	1996-12-09	VYDAJ	VYBER	3800	22851	\N	\N	\N
770713	2630	1996-10-05	VYDAJ	VYBER	3700	24207	\N	\N	\N
770714	2630	1996-07-22	VYDAJ	VYBER	3800	30339	\N	\N	\N
770715	2630	1997-09-16	VYDAJ	VYBER	1200	33347	\N	\N	\N
770716	2630	1997-06-16	VYDAJ	VYBER	1400	34366	\N	\N	\N
770717	2630	1997-06-02	VYDAJ	VYBER	3300	25286	\N	\N	\N
770718	2630	1997-10-24	VYDAJ	VYBER	1100	36675	\N	\N	\N
770719	2630	1997-06-01	VYDAJ	VYBER	2300	28586	\N	\N	\N
770720	2630	1997-09-18	VYDAJ	VYBER	2000	31347	\N	\N	\N
770721	2630	1997-07-15	VYDAJ	VYBER	3900	21795	\N	\N	\N
770722	2630	1997-11-08	VYDAJ	VYBER	800	36007	\N	\N	\N
770723	2630	1998-03-21	VYDAJ	VYBER	700	30876	\N	\N	\N
770724	2630	1998-09-22	VYDAJ	VYBER	900	24021	\N	\N	\N
770725	2630	1998-09-11	VYDAJ	VYBER	2500	8201	\N	\N	\N
770726	2630	1998-09-15	VYDAJ	VYBER	3000	24921	\N	\N	\N
770727	2630	1998-12-07	VYDAJ	VYBER	2500	2925	\N	\N	\N
770728	2630	1998-03-19	VYDAJ	VYBER	2800	31576	\N	\N	\N
770729	2630	1998-10-14	VYDAJ	VYBER	4800	23030	\N	\N	\N
770730	2630	1998-06-11	VYDAJ	VYBER	2600	11455	\N	\N	\N
770731	2630	1998-01-03	VYDAJ	VYBER	4500	41386	\N	\N	\N
770749	2630	1996-05-31	VYDAJ	VYBER	15	36909	SLUZBY	\N	\N
770750	2630	1996-06-30	VYDAJ	VYBER	15	30519	SLUZBY	\N	\N
770751	2630	1996-07-31	VYDAJ	VYBER	15	30453	SLUZBY	\N	\N
770752	2630	1996-08-31	VYDAJ	VYBER	15	29183	SLUZBY	\N	\N
770753	2630	1996-09-30	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
770754	2630	1996-10-31	VYDAJ	VYBER	15	27536	SLUZBY	\N	\N
770755	2630	1996-11-30	VYDAJ	VYBER	15	28451	SLUZBY	\N	\N
770756	2630	1996-12-31	VYDAJ	VYBER	15	29043	SLUZBY	\N	\N
770757	2630	1997-01-31	VYDAJ	VYBER	15	18368	SLUZBY	\N	\N
770758	2630	1997-02-28	VYDAJ	VYBER	15	28473	SLUZBY	\N	\N
770759	2630	1997-03-31	VYDAJ	VYBER	15	34210	SLUZBY	\N	\N
770760	2630	1997-04-30	VYDAJ	VYBER	15	31651	SLUZBY	\N	\N
770761	2630	1997-05-31	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
770762	2630	1997-06-30	VYDAJ	VYBER	15	27075	SLUZBY	\N	\N
770763	2630	1997-07-31	VYDAJ	VYBER	15	21880	SLUZBY	\N	\N
770764	2630	1997-08-31	VYDAJ	VYBER	15	25227	SLUZBY	\N	\N
770765	2630	1997-09-30	VYDAJ	VYBER	15	31455	SLUZBY	\N	\N
770766	2630	1997-10-31	VYDAJ	VYBER	15	36807	SLUZBY	\N	\N
770767	2630	1997-11-30	VYDAJ	VYBER	15	33349	SLUZBY	\N	\N
770768	2630	1997-12-31	VYDAJ	VYBER	15	45886	SLUZBY	\N	\N
770769	2630	1998-01-31	VYDAJ	VYBER	15	24229	SLUZBY	\N	\N
770770	2630	1998-02-28	VYDAJ	VYBER	15	32856	SLUZBY	\N	\N
770771	2630	1998-03-31	VYDAJ	VYBER	15	30996	SLUZBY	\N	\N
770772	2630	1998-04-30	VYDAJ	VYBER	15	29024	SLUZBY	\N	\N
770773	2630	1998-05-31	VYDAJ	VYBER	15	31355	SLUZBY	\N	\N
770774	2630	1998-06-30	VYDAJ	VYBER	15	29457	SLUZBY	\N	\N
770775	2630	1998-07-31	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
770776	2630	1998-08-31	VYDAJ	VYBER	15	27701	SLUZBY	\N	\N
770777	2630	1998-09-30	VYDAJ	VYBER	15	24110	SLUZBY	\N	\N
770778	2630	1998-10-31	VYDAJ	VYBER	15	23113	SLUZBY	\N	\N
770779	2630	1998-11-30	VYDAJ	VYBER	15	27525	SLUZBY	\N	\N
770780	2630	1996-01-20	PRIJEM	VKLAD	2400	22520	\N	\N	\N
770781	2630	1996-02-19	VYDAJ	VYBER	7300	34976	\N	\N	\N
770782	2630	1996-03-20	VYDAJ	VYBER	17000	37810	\N	\N	\N
770783	2630	1996-04-19	VYDAJ	VYBER	17500	40180	\N	\N	\N
770784	2630	1996-05-19	VYDAJ	VYBER	23300	36762	\N	\N	\N
770785	2630	1996-06-18	VYDAJ	VYBER	10300	30389	\N	\N	\N
770786	2630	1996-07-18	VYDAJ	VYBER	16100	34139	\N	\N	\N
770787	2630	1996-08-17	VYDAJ	VYBER	21100	29073	\N	\N	\N
770788	2630	1996-09-16	VYDAJ	VYBER	21100	27803	\N	\N	\N
770789	2630	1996-10-16	VYDAJ	VYBER	16500	27427	\N	\N	\N
770790	2630	1996-11-15	VYDAJ	VYBER	15500	28356	\N	\N	\N
770791	2630	1996-12-15	VYDAJ	VYBER	23500	28931	\N	\N	\N
770792	2630	1997-01-14	VYDAJ	VYBER	15800	29863	\N	\N	\N
770793	2630	1997-02-13	VYDAJ	VYBER	9700	28388	\N	\N	\N
770794	2630	1997-03-15	VYDAJ	VYBER	14100	34093	\N	\N	\N
770795	2630	1997-04-14	VYDAJ	VYBER	22400	31530	\N	\N	\N
770796	2630	1997-05-14	VYDAJ	VYBER	20600	30771	\N	\N	\N
770797	2630	1997-06-13	VYDAJ	VYBER	19100	35766	\N	\N	\N
770798	2630	1997-07-13	VYDAJ	VYBER	21100	25695	\N	\N	\N
770799	2630	1997-08-12	VYDAJ	VYBER	16500	25100	\N	\N	\N
770800	2630	1997-09-11	VYDAJ	VYBER	10400	14827	\N	\N	\N
770801	2630	1997-10-11	VYDAJ	VYBER	13400	18055	\N	\N	\N
770802	2630	1997-11-10	VYDAJ	VYBER	22500	13507	\N	\N	\N
770803	2630	1997-12-10	VYDAJ	VYBER	15500	17849	\N	\N	\N
770804	2630	1998-01-09	VYDAJ	VYBER	22700	18686	\N	\N	\N
770805	2630	1998-02-08	VYDAJ	VYBER	11200	13029	\N	\N	\N
770806	2630	1998-03-10	VYDAJ	VYBER	18200	14656	\N	\N	\N
770807	2630	1998-04-09	VYDAJ	VYBER	21800	9196	\N	\N	\N
770808	2630	1998-05-09	VYDAJ	VYBER	17500	11524	\N	\N	\N
770809	2630	1998-06-08	VYDAJ	VYBER	17300	14055	\N	\N	\N
770810	2630	1998-07-08	VYDAJ	VYBER	21000	8457	\N	\N	\N
770811	2630	1998-08-07	VYDAJ	VYBER	20400	7880	\N	\N	\N
770812	2630	1998-09-06	VYDAJ	VYBER	17000	10701	\N	\N	\N
770813	2630	1998-10-06	VYDAJ	VYBER	16000	8110	\N	\N	\N
770814	2630	1998-11-05	VYDAJ	VYBER	15400	7713	\N	\N	\N
770815	2630	1998-12-05	VYDAJ	VYBER	22100	5425	\N	\N	\N
770853	2631	1996-03-29	PRIJEM	VKLAD	900	900	\N	\N	\N
770857	2631	1996-04-11	PRIJEM	PREVOD Z UCTU	3436	4336	\N	CD	22242445
770858	2631	1996-05-11	PRIJEM	PREVOD Z UCTU	3436	7772	\N	CD	22242445
770859	2631	1996-06-11	PRIJEM	PREVOD Z UCTU	3436	11208	\N	CD	22242445
770860	2631	1996-07-11	PRIJEM	PREVOD Z UCTU	3436	14644	\N	CD	22242445
770861	2631	1996-08-11	PRIJEM	PREVOD Z UCTU	3436	18080	\N	CD	22242445
770862	2631	1996-09-11	PRIJEM	PREVOD Z UCTU	3436	18727	\N	CD	22242445
770863	2631	1996-10-11	PRIJEM	PREVOD Z UCTU	3436	20092	\N	CD	22242445
770864	2631	1996-11-11	PRIJEM	PREVOD Z UCTU	3436	20921	\N	CD	22242445
770865	2631	1996-12-11	PRIJEM	PREVOD Z UCTU	3436	21484	\N	CD	22242445
770866	2631	1997-01-11	PRIJEM	PREVOD Z UCTU	3436	21320	\N	CD	22242445
770867	2631	1997-02-11	PRIJEM	PREVOD Z UCTU	3436	20262	\N	CD	22242445
770868	2631	1997-03-11	PRIJEM	PREVOD Z UCTU	3436	20762	\N	CD	22242445
770869	2631	1997-04-11	PRIJEM	PREVOD Z UCTU	3436	20634	\N	CD	22242445
770870	2631	1997-05-11	PRIJEM	PREVOD Z UCTU	3436	22005	\N	CD	22242445
770871	2631	1997-06-11	PRIJEM	PREVOD Z UCTU	3436	22661	\N	CD	22242445
770872	2631	1997-07-11	PRIJEM	PREVOD Z UCTU	3436	24041	\N	CD	22242445
770873	2631	1997-08-11	PRIJEM	PREVOD Z UCTU	3436	24114	\N	CD	22242445
770874	2631	1997-09-11	PRIJEM	PREVOD Z UCTU	3436	25500	\N	CD	22242445
770875	2631	1997-10-11	PRIJEM	PREVOD Z UCTU	3436	26090	\N	CD	22242445
770876	2631	1997-11-11	PRIJEM	PREVOD Z UCTU	3436	26973	\N	CD	22242445
770877	2631	1997-12-11	PRIJEM	PREVOD Z UCTU	3436	27670	\N	CD	22242445
770878	2631	1998-01-11	PRIJEM	PREVOD Z UCTU	3436	28740	\N	CD	22242445
770879	2631	1998-02-11	PRIJEM	PREVOD Z UCTU	3436	27652	\N	CD	22242445
770880	2631	1998-03-11	PRIJEM	PREVOD Z UCTU	3436	29052	\N	CD	22242445
770881	2631	1998-04-11	PRIJEM	PREVOD Z UCTU	3436	30459	\N	CD	22242445
770882	2631	1998-05-11	PRIJEM	PREVOD Z UCTU	3436	31871	\N	CD	22242445
770883	2631	1998-06-11	PRIJEM	PREVOD Z UCTU	3436	33289	\N	CD	22242445
770884	2631	1998-07-11	PRIJEM	PREVOD Z UCTU	3436	32667	\N	CD	22242445
770885	2631	1998-08-11	PRIJEM	PREVOD Z UCTU	3436	34089	\N	CD	22242445
770886	2631	1998-09-11	PRIJEM	PREVOD Z UCTU	3436	35516	\N	CD	22242445
770887	2631	1998-10-11	PRIJEM	PREVOD Z UCTU	3436	35597	\N	CD	22242445
770888	2631	1998-11-11	PRIJEM	PREVOD Z UCTU	3436	37030	\N	CD	22242445
770889	2631	1998-12-11	PRIJEM	PREVOD Z UCTU	3436	37149	\N	CD	22242445
770897	2631	1996-08-13	VYDAJ	PREVOD NA UCET	2125	15955	SIPO	CD	16949427
770898	2631	1996-09-13	VYDAJ	PREVOD NA UCET	2125	16602	SIPO	CD	16949427
770899	2631	1996-10-13	VYDAJ	PREVOD NA UCET	2125	17967	SIPO	CD	16949427
770900	2631	1996-11-13	VYDAJ	PREVOD NA UCET	2125	18796	SIPO	CD	16949427
770901	2631	1996-12-13	VYDAJ	PREVOD NA UCET	2125	19359	SIPO	CD	16949427
770902	2631	1997-01-13	VYDAJ	PREVOD NA UCET	2125	18805	SIPO	CD	16949427
770903	2631	1997-02-13	VYDAJ	PREVOD NA UCET	2125	18137	SIPO	CD	16949427
770904	2631	1997-03-13	VYDAJ	PREVOD NA UCET	2125	18637	SIPO	CD	16949427
770905	2631	1997-04-13	VYDAJ	PREVOD NA UCET	2125	18509	SIPO	CD	16949427
770906	2631	1997-05-13	VYDAJ	PREVOD NA UCET	2125	19160	SIPO	CD	16949427
770907	2631	1997-06-13	VYDAJ	PREVOD NA UCET	2125	20536	SIPO	CD	16949427
770908	2631	1997-07-13	VYDAJ	PREVOD NA UCET	2125	21916	SIPO	CD	16949427
770909	2631	1997-08-13	VYDAJ	PREVOD NA UCET	2125	21989	SIPO	CD	16949427
770910	2631	1997-09-13	VYDAJ	PREVOD NA UCET	2125	23375	SIPO	CD	16949427
770911	2631	1997-10-13	VYDAJ	PREVOD NA UCET	2125	23965	SIPO	CD	16949427
770912	2631	1997-11-13	VYDAJ	PREVOD NA UCET	2125	24848	SIPO	CD	16949427
770913	2631	1997-12-13	VYDAJ	PREVOD NA UCET	2125	25545	SIPO	CD	16949427
770914	2631	1998-01-13	VYDAJ	PREVOD NA UCET	2125	26615	SIPO	CD	16949427
770915	2631	1998-02-13	VYDAJ	PREVOD NA UCET	2125	25527	SIPO	CD	16949427
770916	2631	1998-03-13	VYDAJ	PREVOD NA UCET	2125	26927	SIPO	CD	16949427
770917	2631	1998-04-13	VYDAJ	PREVOD NA UCET	2125	28334	SIPO	CD	16949427
770918	2631	1998-05-13	VYDAJ	PREVOD NA UCET	2125	29746	SIPO	CD	16949427
770919	2631	1998-06-13	VYDAJ	PREVOD NA UCET	2125	29124	SIPO	CD	16949427
770920	2631	1998-07-13	VYDAJ	PREVOD NA UCET	2125	30542	SIPO	CD	16949427
770921	2631	1998-08-13	VYDAJ	PREVOD NA UCET	2125	31964	SIPO	CD	16949427
770922	2631	1998-09-13	VYDAJ	PREVOD NA UCET	2125	33391	SIPO	CD	16949427
770923	2631	1998-10-13	VYDAJ	PREVOD NA UCET	2125	33472	SIPO	CD	16949427
770924	2631	1998-11-13	VYDAJ	PREVOD NA UCET	2125	34905	SIPO	CD	16949427
770925	2631	1998-12-13	VYDAJ	PREVOD NA UCET	2125	35024	SIPO	CD	16949427
770928	2631	1998-06-12	VYDAJ	VYBER	2040	31249	\N	\N	\N
770929	2631	1996-12-02	VYDAJ	VYBER	810	18048	\N	\N	\N
770930	2631	1997-12-25	VYDAJ	VYBER	330	25215	\N	\N	\N
770931	2631	1998-12-26	VYDAJ	VYBER	240	34784	\N	\N	\N
770938	2631	1997-01-11	VYDAJ	VYBER	390	20930	\N	\N	\N
770939	2631	1997-01-15	VYDAJ	VYBER	180	18625	\N	\N	\N
770940	2631	1997-01-17	VYDAJ	VYBER	570	17455	\N	\N	\N
770941	2631	1997-01-16	VYDAJ	VYBER	600	18025	\N	\N	\N
770942	2631	1997-01-26	VYDAJ	VYBER	690	16765	\N	\N	\N
770943	2631	1997-01-05	VYDAJ	VYBER	840	17884	\N	\N	\N
770944	2631	1998-01-22	VYDAJ	VYBER	240	25505	\N	\N	\N
770945	2631	1998-01-14	VYDAJ	VYBER	240	26045	\N	\N	\N
770946	2631	1998-01-30	VYDAJ	VYBER	780	24125	\N	\N	\N
770947	2631	1998-01-20	VYDAJ	VYBER	300	25745	\N	\N	\N
770948	2631	1998-01-13	VYDAJ	VYBER	330	26285	\N	\N	\N
770949	2631	1998-01-24	VYDAJ	VYBER	600	24905	\N	\N	\N
770950	2631	1996-10-28	VYDAJ	VYBER	540	17427	\N	\N	\N
770957	2631	1996-09-02	VYDAJ	VYBER	690	15291	\N	\N	\N
770958	2631	1997-07-20	VYDAJ	VYBER	1110	20806	\N	\N	\N
770959	2631	1997-10-19	VYDAJ	VYBER	510	23455	\N	\N	\N
770960	2631	1997-03-05	VYDAJ	VYBER	870	17326	\N	\N	\N
770961	2631	1997-05-12	VYDAJ	VYBER	720	21285	\N	\N	\N
770962	2631	1998-09-18	VYDAJ	VYBER	900	32491	\N	\N	\N
770963	2631	1998-09-28	VYDAJ	VYBER	450	32041	\N	\N	\N
770964	2631	1998-11-30	VYDAJ	VYBER	1320	33728	\N	\N	\N
770973	2631	1996-08-31	VYDAJ	VYBER	15	15981	SLUZBY	\N	\N
770974	2631	1996-09-30	VYDAJ	VYBER	15	16656	SLUZBY	\N	\N
770975	2631	1996-10-31	VYDAJ	VYBER	15	17485	SLUZBY	\N	\N
770976	2631	1996-11-30	VYDAJ	VYBER	15	18858	SLUZBY	\N	\N
770977	2631	1996-12-31	VYDAJ	VYBER	15	18724	SLUZBY	\N	\N
770978	2631	1997-01-31	VYDAJ	VYBER	15	16826	SLUZBY	\N	\N
770979	2631	1997-02-28	VYDAJ	VYBER	15	18196	SLUZBY	\N	\N
770980	2631	1997-03-31	VYDAJ	VYBER	15	17198	SLUZBY	\N	\N
770981	2631	1997-04-30	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
770982	2631	1997-05-31	VYDAJ	VYBER	15	19225	SLUZBY	\N	\N
770983	2631	1997-06-30	VYDAJ	VYBER	15	20605	SLUZBY	\N	\N
770984	2631	1997-07-31	VYDAJ	VYBER	15	20678	SLUZBY	\N	\N
770985	2631	1997-08-31	VYDAJ	VYBER	15	22064	SLUZBY	\N	\N
770986	2631	1997-09-30	VYDAJ	VYBER	15	22654	SLUZBY	\N	\N
770987	2631	1997-10-31	VYDAJ	VYBER	15	23537	SLUZBY	\N	\N
770988	2631	1997-11-30	VYDAJ	VYBER	15	24234	SLUZBY	\N	\N
770989	2631	1997-12-31	VYDAJ	VYBER	15	25304	SLUZBY	\N	\N
770990	2631	1998-01-31	VYDAJ	VYBER	15	24216	SLUZBY	\N	\N
770991	2631	1998-02-28	VYDAJ	VYBER	15	25616	SLUZBY	\N	\N
770992	2631	1998-03-31	VYDAJ	VYBER	15	27023	SLUZBY	\N	\N
770993	2631	1998-04-30	VYDAJ	VYBER	15	28435	SLUZBY	\N	\N
770994	2631	1998-05-31	VYDAJ	VYBER	15	29853	SLUZBY	\N	\N
770995	2631	1998-06-30	VYDAJ	VYBER	15	29231	SLUZBY	\N	\N
770996	2631	1998-07-31	VYDAJ	VYBER	15	30653	SLUZBY	\N	\N
770997	2631	1998-08-31	VYDAJ	VYBER	15	32080	SLUZBY	\N	\N
770998	2631	1998-09-30	VYDAJ	VYBER	15	32161	SLUZBY	\N	\N
770999	2631	1998-10-31	VYDAJ	VYBER	15	33594	SLUZBY	\N	\N
771000	2631	1998-11-30	VYDAJ	VYBER	15	33713	SLUZBY	\N	\N
771001	2631	1996-12-24	VYDAJ	VYBER	700	18659	\N	\N	\N
771002	2631	1997-03-24	VYDAJ	VYBER	1500	17137	\N	\N	\N
771003	2631	1997-07-22	VYDAJ	VYBER	200	20606	\N	\N	\N
771004	2631	1997-09-20	VYDAJ	VYBER	800	22575	\N	\N	\N
771005	2631	1997-11-19	VYDAJ	VYBER	700	24148	\N	\N	\N
771035	2632	1993-01-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
771036	2632	1993-01-09	PRIJEM	VKLAD	14264	15364	\N	\N	\N
771037	2632	1993-02-09	PRIJEM	VKLAD	14264	34776	\N	\N	\N
771038	2632	1993-03-09	PRIJEM	VKLAD	14264	42261	\N	\N	\N
771039	2632	1993-04-09	PRIJEM	VKLAD	14264	47593	\N	\N	\N
771040	2632	1993-05-09	PRIJEM	VKLAD	14264	48550	\N	\N	\N
771041	2632	1993-06-09	PRIJEM	VKLAD	21396	49343	\N	\N	\N
771042	2632	1993-07-09	PRIJEM	VKLAD	14264	47486	\N	\N	\N
771043	2632	1993-08-09	PRIJEM	VKLAD	14264	44130	\N	\N	\N
771044	2632	1993-09-09	PRIJEM	VKLAD	14264	42169	\N	\N	\N
771045	2632	1993-10-09	PRIJEM	VKLAD	14264	43389	\N	\N	\N
771046	2632	1993-11-09	PRIJEM	VKLAD	14264	45514	\N	\N	\N
771047	2632	1993-12-09	PRIJEM	VKLAD	21396	54479	\N	\N	\N
771048	2632	1994-01-09	PRIJEM	VKLAD	14264	50635	\N	\N	\N
771049	2632	1994-02-09	PRIJEM	VKLAD	14264	40954	\N	\N	\N
771050	2632	1994-03-09	PRIJEM	VKLAD	14264	43067	\N	\N	\N
771051	2632	1994-04-09	PRIJEM	VKLAD	14264	44489	\N	\N	\N
771052	2632	1994-05-09	PRIJEM	VKLAD	14264	44616	\N	\N	\N
771053	2632	1994-06-09	PRIJEM	VKLAD	21396	54877	\N	\N	\N
771054	2632	1994-07-09	PRIJEM	VKLAD	14264	47422	\N	\N	\N
771055	2632	1994-08-09	PRIJEM	VKLAD	14264	48460	\N	\N	\N
771056	2632	1994-09-09	PRIJEM	VKLAD	14264	44595	\N	\N	\N
771057	2632	1994-10-09	PRIJEM	VKLAD	14264	42413	\N	\N	\N
771058	2632	1994-11-09	PRIJEM	VKLAD	14264	46329	\N	\N	\N
771059	2632	1994-12-09	PRIJEM	VKLAD	21396	50389	\N	\N	\N
771060	2632	1995-01-09	PRIJEM	VKLAD	14264	41816	\N	\N	\N
771061	2632	1995-02-09	PRIJEM	VKLAD	14264	40317	\N	\N	\N
771062	2632	1995-03-09	PRIJEM	VKLAD	14264	43622	\N	\N	\N
771063	2632	1995-04-09	PRIJEM	VKLAD	14264	40240	\N	\N	\N
771064	2632	1995-05-09	PRIJEM	VKLAD	14264	43548	\N	\N	\N
771065	2632	1995-06-09	PRIJEM	VKLAD	21396	47095	\N	\N	\N
771066	2632	1995-07-09	PRIJEM	VKLAD	14264	40386	\N	\N	\N
771067	2632	1995-08-09	PRIJEM	VKLAD	14264	42089	\N	\N	\N
771068	2632	1995-09-09	PRIJEM	VKLAD	14264	43696	\N	\N	\N
771069	2632	1995-10-09	PRIJEM	VKLAD	14264	39508	\N	\N	\N
771070	2632	1995-11-09	PRIJEM	VKLAD	14264	37905	\N	\N	\N
771071	2632	1995-12-09	PRIJEM	VKLAD	21396	44522	\N	\N	\N
771072	2632	1996-01-09	PRIJEM	VKLAD	14264	40923	\N	\N	\N
771073	2632	1996-02-09	PRIJEM	VKLAD	14264	28400	\N	\N	\N
771074	2632	1996-03-09	PRIJEM	VKLAD	14264	32055	\N	\N	\N
771075	2632	1996-04-09	PRIJEM	VKLAD	14264	36023	\N	\N	\N
771076	2632	1996-05-09	PRIJEM	VKLAD	14264	36097	\N	\N	\N
771077	2632	1996-06-09	PRIJEM	VKLAD	21396	44605	\N	\N	\N
771078	2632	1996-07-09	PRIJEM	VKLAD	14264	28386	\N	\N	\N
771079	2632	1996-08-09	PRIJEM	VKLAD	14264	31634	\N	\N	\N
771080	2632	1996-09-09	PRIJEM	VKLAD	14264	36097	\N	\N	\N
771081	2632	1996-10-09	PRIJEM	VKLAD	14264	33461	\N	\N	\N
771082	2632	1996-11-09	PRIJEM	VKLAD	14264	38332	\N	\N	\N
771083	2632	1996-12-09	PRIJEM	VKLAD	21396	39934	\N	\N	\N
771084	2632	1997-01-09	PRIJEM	VKLAD	14264	36011	\N	\N	\N
771085	2632	1997-02-09	PRIJEM	VKLAD	14264	31583	\N	\N	\N
771086	2632	1997-03-09	PRIJEM	VKLAD	14264	39861	\N	\N	\N
771087	2632	1997-04-09	PRIJEM	VKLAD	14264	40752	\N	\N	\N
771088	2632	1997-05-09	PRIJEM	VKLAD	14264	39843	\N	\N	\N
771089	2632	1997-06-09	PRIJEM	VKLAD	21396	38460	\N	\N	\N
771090	2632	1997-07-09	PRIJEM	VKLAD	14264	42945	\N	\N	\N
771091	2632	1997-08-09	PRIJEM	VKLAD	14264	43540	\N	\N	\N
771092	2632	1997-09-09	PRIJEM	VKLAD	14264	38128	\N	\N	\N
771093	2632	1997-10-09	PRIJEM	VKLAD	14264	41828	\N	\N	\N
771094	2632	1997-11-09	PRIJEM	VKLAD	14264	44349	\N	\N	\N
771095	2632	1997-12-09	PRIJEM	VKLAD	21396	51314	\N	\N	\N
771096	2632	1998-01-09	PRIJEM	VKLAD	14264	48768	\N	\N	\N
771097	2632	1998-02-09	PRIJEM	VKLAD	14264	43498	\N	\N	\N
771098	2632	1998-03-09	PRIJEM	VKLAD	14264	47721	\N	\N	\N
771099	2632	1998-04-09	PRIJEM	VKLAD	14264	50267	\N	\N	\N
771100	2632	1998-05-09	PRIJEM	VKLAD	14264	54823	\N	\N	\N
771101	2632	1998-06-09	PRIJEM	VKLAD	21396	60330	\N	\N	\N
771102	2632	1998-07-09	PRIJEM	VKLAD	14264	52807	\N	\N	\N
771103	2632	1998-08-09	PRIJEM	VKLAD	14264	56773	\N	\N	\N
771104	2632	1998-09-09	PRIJEM	VKLAD	14264	57156	\N	\N	\N
771105	2632	1998-10-09	PRIJEM	VKLAD	14264	57741	\N	\N	\N
771106	2632	1998-11-09	PRIJEM	VKLAD	14264	58829	\N	\N	\N
771107	2632	1998-12-09	PRIJEM	VKLAD	21396	65853	\N	\N	\N
771112	2632	1993-05-10	VYDAJ	PREVOD NA UCET	2042	46508	SIPO	EF	40250009
771113	2632	1993-06-10	VYDAJ	PREVOD NA UCET	2042	47301	SIPO	EF	40250009
771114	2632	1993-07-10	VYDAJ	PREVOD NA UCET	2042	45444	SIPO	EF	40250009
771115	2632	1993-08-10	VYDAJ	PREVOD NA UCET	2042	42088	SIPO	EF	40250009
771116	2632	1993-09-10	VYDAJ	PREVOD NA UCET	2042	40127	SIPO	EF	40250009
771117	2632	1993-10-10	VYDAJ	PREVOD NA UCET	2042	41347	SIPO	EF	40250009
771118	2632	1993-11-10	VYDAJ	PREVOD NA UCET	2042	43472	SIPO	EF	40250009
771119	2632	1993-12-10	VYDAJ	PREVOD NA UCET	2042	52437	SIPO	EF	40250009
771120	2632	1994-01-10	VYDAJ	PREVOD NA UCET	2042	48593	SIPO	EF	40250009
771121	2632	1994-02-10	VYDAJ	PREVOD NA UCET	2042	38912	SIPO	EF	40250009
771122	2632	1994-03-10	VYDAJ	PREVOD NA UCET	2042	41025	SIPO	EF	40250009
771123	2632	1994-04-10	VYDAJ	PREVOD NA UCET	2042	42447	SIPO	EF	40250009
771124	2632	1994-05-10	VYDAJ	PREVOD NA UCET	2042	42574	SIPO	EF	40250009
771125	2632	1994-06-10	VYDAJ	PREVOD NA UCET	2042	52835	SIPO	EF	40250009
771126	2632	1994-07-10	VYDAJ	PREVOD NA UCET	2042	45380	SIPO	EF	40250009
771127	2632	1994-08-10	VYDAJ	PREVOD NA UCET	2042	46418	SIPO	EF	40250009
771128	2632	1994-09-10	VYDAJ	PREVOD NA UCET	2042	42553	SIPO	EF	40250009
771129	2632	1994-10-10	VYDAJ	PREVOD NA UCET	2042	40371	SIPO	EF	40250009
771130	2632	1994-11-10	VYDAJ	PREVOD NA UCET	2042	44287	SIPO	EF	40250009
771131	2632	1994-12-10	VYDAJ	PREVOD NA UCET	2042	46747	SIPO	EF	40250009
771132	2632	1995-01-10	VYDAJ	PREVOD NA UCET	2042	37174	SIPO	EF	40250009
771133	2632	1995-02-10	VYDAJ	PREVOD NA UCET	2042	38275	SIPO	EF	40250009
771134	2632	1995-03-10	VYDAJ	PREVOD NA UCET	2042	41580	SIPO	EF	40250009
771135	2632	1995-04-10	VYDAJ	PREVOD NA UCET	2042	38198	SIPO	EF	40250009
771136	2632	1995-05-10	VYDAJ	PREVOD NA UCET	2042	41506	SIPO	EF	40250009
771137	2632	1995-06-10	VYDAJ	PREVOD NA UCET	2042	30653	SIPO	EF	40250009
771138	2632	1995-07-10	VYDAJ	PREVOD NA UCET	2042	38344	SIPO	EF	40250009
771139	2632	1995-08-10	VYDAJ	PREVOD NA UCET	2042	40047	SIPO	EF	40250009
771140	2632	1995-09-10	VYDAJ	PREVOD NA UCET	2042	41654	SIPO	EF	40250009
771141	2632	1995-10-10	VYDAJ	PREVOD NA UCET	2042	37466	SIPO	EF	40250009
771142	2632	1995-11-10	VYDAJ	PREVOD NA UCET	2042	35863	SIPO	EF	40250009
771143	2632	1995-12-10	VYDAJ	PREVOD NA UCET	2042	42480	SIPO	EF	40250009
771144	2632	1996-01-10	VYDAJ	PREVOD NA UCET	2042	38881	SIPO	EF	40250009
771145	2632	1996-02-10	VYDAJ	PREVOD NA UCET	2042	26358	SIPO	EF	40250009
771146	2632	1996-03-10	VYDAJ	PREVOD NA UCET	2042	30013	SIPO	EF	40250009
771147	2632	1996-04-10	VYDAJ	PREVOD NA UCET	2042	33981	SIPO	EF	40250009
771148	2632	1996-05-10	VYDAJ	PREVOD NA UCET	2042	34055	SIPO	EF	40250009
771149	2632	1996-06-10	VYDAJ	PREVOD NA UCET	2042	42563	SIPO	EF	40250009
771150	2632	1996-07-10	VYDAJ	PREVOD NA UCET	2042	26344	SIPO	EF	40250009
771151	2632	1996-08-10	VYDAJ	PREVOD NA UCET	2042	29592	SIPO	EF	40250009
771152	2632	1996-09-10	VYDAJ	PREVOD NA UCET	2042	34055	SIPO	EF	40250009
771153	2632	1996-10-10	VYDAJ	PREVOD NA UCET	2042	31419	SIPO	EF	40250009
771154	2632	1996-11-10	VYDAJ	PREVOD NA UCET	2042	36290	SIPO	EF	40250009
771155	2632	1996-12-10	VYDAJ	PREVOD NA UCET	2042	37892	SIPO	EF	40250009
771156	2632	1997-01-10	VYDAJ	PREVOD NA UCET	2042	33969	SIPO	EF	40250009
771157	2632	1997-02-10	VYDAJ	PREVOD NA UCET	2042	27841	SIPO	EF	40250009
771158	2632	1997-03-10	VYDAJ	PREVOD NA UCET	2042	37819	SIPO	EF	40250009
771159	2632	1997-04-10	VYDAJ	PREVOD NA UCET	2042	38710	SIPO	EF	40250009
771160	2632	1997-05-10	VYDAJ	PREVOD NA UCET	2042	37801	SIPO	EF	40250009
771161	2632	1997-06-10	VYDAJ	PREVOD NA UCET	2042	36418	SIPO	EF	40250009
771162	2632	1997-07-10	VYDAJ	PREVOD NA UCET	2042	40903	SIPO	EF	40250009
771163	2632	1997-08-10	VYDAJ	PREVOD NA UCET	2042	31498	SIPO	EF	40250009
771164	2632	1997-09-10	VYDAJ	PREVOD NA UCET	2042	36086	SIPO	EF	40250009
771165	2632	1997-10-10	VYDAJ	PREVOD NA UCET	2042	39786	SIPO	EF	40250009
771166	2632	1997-11-10	VYDAJ	PREVOD NA UCET	2042	42307	SIPO	EF	40250009
771167	2632	1997-12-10	VYDAJ	PREVOD NA UCET	2042	49272	SIPO	EF	40250009
771168	2632	1998-01-10	VYDAJ	PREVOD NA UCET	2042	45926	SIPO	EF	40250009
771169	2632	1998-02-10	VYDAJ	PREVOD NA UCET	2042	41456	SIPO	EF	40250009
771170	2632	1998-03-10	VYDAJ	PREVOD NA UCET	2042	45679	SIPO	EF	40250009
771171	2632	1998-04-10	VYDAJ	PREVOD NA UCET	2042	48225	SIPO	EF	40250009
771172	2632	1998-05-10	VYDAJ	PREVOD NA UCET	2042	52781	SIPO	EF	40250009
771173	2632	1998-06-10	VYDAJ	PREVOD NA UCET	2042	58288	SIPO	EF	40250009
771174	2632	1998-07-10	VYDAJ	PREVOD NA UCET	2042	50765	SIPO	EF	40250009
771175	2632	1998-08-10	VYDAJ	PREVOD NA UCET	2042	54731	SIPO	EF	40250009
771176	2632	1998-09-10	VYDAJ	PREVOD NA UCET	2042	55114	SIPO	EF	40250009
771177	2632	1998-10-10	VYDAJ	PREVOD NA UCET	2042	55699	SIPO	EF	40250009
771178	2632	1998-11-10	VYDAJ	PREVOD NA UCET	2042	56787	SIPO	EF	40250009
771179	2632	1998-12-10	VYDAJ	PREVOD NA UCET	2042	63811	SIPO	EF	40250009
771185	2632	1993-06-08	VYDAJ	PREVOD NA UCET	41	27947	 	IJ	73459928
771186	2632	1993-07-08	VYDAJ	PREVOD NA UCET	41	33222	 	IJ	73459928
771187	2632	1993-08-08	VYDAJ	PREVOD NA UCET	41	29866	 	IJ	73459928
771188	2632	1993-09-08	VYDAJ	PREVOD NA UCET	41	27905	 	IJ	73459928
771189	2632	1993-10-08	VYDAJ	PREVOD NA UCET	41	29125	 	IJ	73459928
771190	2632	1993-11-08	VYDAJ	PREVOD NA UCET	41	31250	 	IJ	73459928
771191	2632	1993-12-08	VYDAJ	PREVOD NA UCET	41	33083	 	IJ	73459928
771192	2632	1994-01-08	VYDAJ	PREVOD NA UCET	41	36371	 	IJ	73459928
771193	2632	1994-02-08	VYDAJ	PREVOD NA UCET	41	26690	 	IJ	73459928
771194	2632	1994-03-08	VYDAJ	PREVOD NA UCET	41	28803	 	IJ	73459928
771195	2632	1994-04-08	VYDAJ	PREVOD NA UCET	41	30225	 	IJ	73459928
771196	2632	1994-05-08	VYDAJ	PREVOD NA UCET	41	30352	 	IJ	73459928
771197	2632	1994-06-08	VYDAJ	PREVOD NA UCET	41	33481	 	IJ	73459928
771198	2632	1994-07-08	VYDAJ	PREVOD NA UCET	41	33158	 	IJ	73459928
771199	2632	1994-08-08	VYDAJ	PREVOD NA UCET	41	34196	 	IJ	73459928
771200	2632	1994-09-08	VYDAJ	PREVOD NA UCET	41	30331	 	IJ	73459928
771201	2632	1994-10-08	VYDAJ	PREVOD NA UCET	41	28149	 	IJ	73459928
771202	2632	1994-11-08	VYDAJ	PREVOD NA UCET	41	32065	 	IJ	73459928
771203	2632	1994-12-08	VYDAJ	PREVOD NA UCET	41	28993	 	IJ	73459928
771204	2632	1995-01-08	VYDAJ	PREVOD NA UCET	41	27552	 	IJ	73459928
771205	2632	1995-02-08	VYDAJ	PREVOD NA UCET	41	26053	 	IJ	73459928
771206	2632	1995-03-08	VYDAJ	PREVOD NA UCET	41	29358	 	IJ	73459928
771207	2632	1995-04-08	VYDAJ	PREVOD NA UCET	41	25976	 	IJ	73459928
771208	2632	1995-05-08	VYDAJ	PREVOD NA UCET	41	29284	 	IJ	73459928
771209	2632	1995-06-08	VYDAJ	PREVOD NA UCET	41	25699	 	IJ	73459928
771210	2632	1995-07-08	VYDAJ	PREVOD NA UCET	41	26122	 	IJ	73459928
771211	2632	1995-08-08	VYDAJ	PREVOD NA UCET	41	27825	 	IJ	73459928
771212	2632	1995-09-08	VYDAJ	PREVOD NA UCET	41	29432	 	IJ	73459928
771213	2632	1995-10-08	VYDAJ	PREVOD NA UCET	41	25244	 	IJ	73459928
771214	2632	1995-11-08	VYDAJ	PREVOD NA UCET	41	23641	 	IJ	73459928
771215	2632	1995-12-08	VYDAJ	PREVOD NA UCET	41	23126	 	IJ	73459928
771216	2632	1996-01-08	VYDAJ	PREVOD NA UCET	41	27859	 	IJ	73459928
771217	2632	1996-02-08	VYDAJ	PREVOD NA UCET	41	14136	 	IJ	73459928
771218	2632	1996-03-08	VYDAJ	PREVOD NA UCET	41	17791	 	IJ	73459928
771219	2632	1996-04-08	VYDAJ	PREVOD NA UCET	41	21759	 	IJ	73459928
771220	2632	1996-05-08	VYDAJ	PREVOD NA UCET	41	21833	 	IJ	73459928
771221	2632	1996-06-08	VYDAJ	PREVOD NA UCET	41	23209	 	IJ	73459928
771222	2632	1996-07-08	VYDAJ	PREVOD NA UCET	41	14122	 	IJ	73459928
771223	2632	1996-08-08	VYDAJ	PREVOD NA UCET	41	17370	 	IJ	73459928
771224	2632	1996-09-08	VYDAJ	PREVOD NA UCET	41	21833	 	IJ	73459928
771225	2632	1996-10-08	VYDAJ	PREVOD NA UCET	41	19197	 	IJ	73459928
771226	2632	1996-11-08	VYDAJ	PREVOD NA UCET	41	24068	 	IJ	73459928
771227	2632	1996-12-08	VYDAJ	PREVOD NA UCET	41	18538	 	IJ	73459928
771228	2632	1997-01-08	VYDAJ	PREVOD NA UCET	41	21747	 	IJ	73459928
771229	2632	1997-02-08	VYDAJ	PREVOD NA UCET	41	17319	 	IJ	73459928
771230	2632	1997-03-08	VYDAJ	PREVOD NA UCET	41	25597	 	IJ	73459928
771231	2632	1997-04-08	VYDAJ	PREVOD NA UCET	41	26488	 	IJ	73459928
771232	2632	1997-05-08	VYDAJ	PREVOD NA UCET	41	25579	 	IJ	73459928
771233	2632	1997-06-08	VYDAJ	PREVOD NA UCET	41	17064	 	IJ	73459928
771234	2632	1997-07-08	VYDAJ	PREVOD NA UCET	41	28681	 	IJ	73459928
771235	2632	1997-08-08	VYDAJ	PREVOD NA UCET	41	29276	 	IJ	73459928
771236	2632	1997-09-08	VYDAJ	PREVOD NA UCET	41	23864	 	IJ	73459928
771237	2632	1997-10-08	VYDAJ	PREVOD NA UCET	41	27564	 	IJ	73459928
771238	2632	1997-11-08	VYDAJ	PREVOD NA UCET	41	30085	 	IJ	73459928
771239	2632	1997-12-08	VYDAJ	PREVOD NA UCET	41	29918	 	IJ	73459928
771240	2632	1998-01-08	VYDAJ	PREVOD NA UCET	41	34504	 	IJ	73459928
771241	2632	1998-02-08	VYDAJ	PREVOD NA UCET	41	29234	 	IJ	73459928
771242	2632	1998-03-08	VYDAJ	PREVOD NA UCET	41	33457	 	IJ	73459928
771243	2632	1998-04-08	VYDAJ	PREVOD NA UCET	41	36003	 	IJ	73459928
771244	2632	1998-05-08	VYDAJ	PREVOD NA UCET	41	40559	 	IJ	73459928
771245	2632	1998-06-08	VYDAJ	PREVOD NA UCET	41	38934	 	IJ	73459928
771246	2632	1998-07-08	VYDAJ	PREVOD NA UCET	41	38543	 	IJ	73459928
771247	2632	1998-08-08	VYDAJ	PREVOD NA UCET	41	42509	 	IJ	73459928
771248	2632	1998-09-08	VYDAJ	PREVOD NA UCET	41	42892	 	IJ	73459928
771249	2632	1998-10-08	VYDAJ	PREVOD NA UCET	41	43477	 	IJ	73459928
771250	2632	1998-11-08	VYDAJ	PREVOD NA UCET	41	44565	 	IJ	73459928
771251	2632	1998-12-08	VYDAJ	PREVOD NA UCET	41	44457	 	IJ	73459928
771257	2632	1993-06-06	VYDAJ	PREVOD NA UCET	2300	27988	POJISTNE	IJ	36942219
771258	2632	1993-07-06	VYDAJ	PREVOD NA UCET	2300	33263	POJISTNE	IJ	36942219
771259	2632	1993-08-06	VYDAJ	PREVOD NA UCET	2300	29907	POJISTNE	IJ	36942219
771260	2632	1993-09-06	VYDAJ	PREVOD NA UCET	2300	27946	POJISTNE	IJ	36942219
771261	2632	1993-10-06	VYDAJ	PREVOD NA UCET	2300	29166	POJISTNE	IJ	36942219
771262	2632	1993-11-06	VYDAJ	PREVOD NA UCET	2300	31291	POJISTNE	IJ	36942219
771263	2632	1993-12-06	VYDAJ	PREVOD NA UCET	2300	33724	POJISTNE	IJ	36942219
771264	2632	1994-01-06	VYDAJ	PREVOD NA UCET	2300	36412	POJISTNE	IJ	36942219
771265	2632	1994-02-06	VYDAJ	PREVOD NA UCET	2300	26731	POJISTNE	IJ	36942219
771266	2632	1994-03-06	VYDAJ	PREVOD NA UCET	2300	28844	POJISTNE	IJ	36942219
771267	2632	1994-04-06	VYDAJ	PREVOD NA UCET	2300	30266	POJISTNE	IJ	36942219
771268	2632	1994-05-06	VYDAJ	PREVOD NA UCET	2300	30393	POJISTNE	IJ	36942219
771269	2632	1994-06-06	VYDAJ	PREVOD NA UCET	2300	33522	POJISTNE	IJ	36942219
771270	2632	1994-07-06	VYDAJ	PREVOD NA UCET	2300	33199	POJISTNE	IJ	36942219
771271	2632	1994-08-06	VYDAJ	PREVOD NA UCET	2300	34237	POJISTNE	IJ	36942219
771272	2632	1994-09-06	VYDAJ	PREVOD NA UCET	2300	30372	POJISTNE	IJ	36942219
771273	2632	1994-10-06	VYDAJ	PREVOD NA UCET	2300	28190	POJISTNE	IJ	36942219
771274	2632	1994-11-06	VYDAJ	PREVOD NA UCET	2300	32106	POJISTNE	IJ	36942219
771275	2632	1994-12-06	VYDAJ	PREVOD NA UCET	2300	29034	POJISTNE	IJ	36942219
771276	2632	1995-01-06	VYDAJ	PREVOD NA UCET	2300	27593	POJISTNE	IJ	36942219
771277	2632	1995-02-06	VYDAJ	PREVOD NA UCET	2300	26094	POJISTNE	IJ	36942219
771278	2632	1995-03-06	VYDAJ	PREVOD NA UCET	2300	29399	POJISTNE	IJ	36942219
771279	2632	1995-04-06	VYDAJ	PREVOD NA UCET	2300	26017	POJISTNE	IJ	36942219
771280	2632	1995-05-06	VYDAJ	PREVOD NA UCET	2300	29325	POJISTNE	IJ	36942219
771281	2632	1995-06-06	VYDAJ	PREVOD NA UCET	2300	25740	POJISTNE	IJ	36942219
771282	2632	1995-07-06	VYDAJ	PREVOD NA UCET	2300	26163	POJISTNE	IJ	36942219
771283	2632	1995-08-06	VYDAJ	PREVOD NA UCET	2300	27866	POJISTNE	IJ	36942219
771284	2632	1995-09-06	VYDAJ	PREVOD NA UCET	2300	29473	POJISTNE	IJ	36942219
771285	2632	1995-10-06	VYDAJ	PREVOD NA UCET	2300	29685	POJISTNE	IJ	36942219
771286	2632	1995-11-06	VYDAJ	PREVOD NA UCET	2300	23682	POJISTNE	IJ	36942219
771287	2632	1995-12-06	VYDAJ	PREVOD NA UCET	2300	23667	POJISTNE	IJ	36942219
771288	2632	1996-01-06	VYDAJ	PREVOD NA UCET	2300	27900	POJISTNE	IJ	36942219
771289	2632	1996-02-06	VYDAJ	PREVOD NA UCET	2300	14177	POJISTNE	IJ	36942219
771290	2632	1996-03-06	VYDAJ	PREVOD NA UCET	2300	17832	POJISTNE	IJ	36942219
771291	2632	1996-04-06	VYDAJ	PREVOD NA UCET	2300	21800	POJISTNE	IJ	36942219
771292	2632	1996-05-06	VYDAJ	PREVOD NA UCET	2300	21874	POJISTNE	IJ	36942219
771293	2632	1996-06-06	VYDAJ	PREVOD NA UCET	2300	23250	POJISTNE	IJ	36942219
771294	2632	1996-07-06	VYDAJ	PREVOD NA UCET	2300	14163	POJISTNE	IJ	36942219
771295	2632	1996-08-06	VYDAJ	PREVOD NA UCET	2300	17411	POJISTNE	IJ	36942219
771296	2632	1996-09-06	VYDAJ	PREVOD NA UCET	2300	21874	POJISTNE	IJ	36942219
771297	2632	1996-10-06	VYDAJ	PREVOD NA UCET	2300	19238	POJISTNE	IJ	36942219
771298	2632	1996-11-06	VYDAJ	PREVOD NA UCET	2300	24109	POJISTNE	IJ	36942219
771299	2632	1996-12-06	VYDAJ	PREVOD NA UCET	2300	18579	POJISTNE	IJ	36942219
771300	2632	1997-01-06	VYDAJ	PREVOD NA UCET	2300	21788	POJISTNE	IJ	36942219
771301	2632	1997-02-06	VYDAJ	PREVOD NA UCET	2300	17360	POJISTNE	IJ	36942219
771302	2632	1997-03-06	VYDAJ	PREVOD NA UCET	2300	25638	POJISTNE	IJ	36942219
771303	2632	1997-04-06	VYDAJ	PREVOD NA UCET	2300	26529	POJISTNE	IJ	36942219
771304	2632	1997-05-06	VYDAJ	PREVOD NA UCET	2300	25620	POJISTNE	IJ	36942219
771305	2632	1997-06-06	VYDAJ	PREVOD NA UCET	2300	17105	POJISTNE	IJ	36942219
771306	2632	1997-07-06	VYDAJ	PREVOD NA UCET	2300	28722	POJISTNE	IJ	36942219
771307	2632	1997-08-06	VYDAJ	PREVOD NA UCET	2300	29317	POJISTNE	IJ	36942219
771308	2632	1997-09-06	VYDAJ	PREVOD NA UCET	2300	26405	POJISTNE	IJ	36942219
771309	2632	1997-10-06	VYDAJ	PREVOD NA UCET	2300	30505	POJISTNE	IJ	36942219
771310	2632	1997-11-06	VYDAJ	PREVOD NA UCET	2300	37626	POJISTNE	IJ	36942219
771311	2632	1997-12-06	VYDAJ	PREVOD NA UCET	2300	35259	POJISTNE	IJ	36942219
771312	2632	1998-01-06	VYDAJ	PREVOD NA UCET	2300	45245	POJISTNE	IJ	36942219
771313	2632	1998-02-06	VYDAJ	PREVOD NA UCET	2300	29275	POJISTNE	IJ	36942219
771314	2632	1998-03-06	VYDAJ	PREVOD NA UCET	2300	39298	POJISTNE	IJ	36942219
771315	2632	1998-04-06	VYDAJ	PREVOD NA UCET	2300	43544	POJISTNE	IJ	36942219
771316	2632	1998-05-06	VYDAJ	PREVOD NA UCET	2300	43500	POJISTNE	IJ	36942219
771317	2632	1998-06-06	VYDAJ	PREVOD NA UCET	2300	38975	POJISTNE	IJ	36942219
771318	2632	1998-07-06	VYDAJ	PREVOD NA UCET	2300	38584	POJISTNE	IJ	36942219
771319	2632	1998-08-06	VYDAJ	PREVOD NA UCET	2300	42550	POJISTNE	IJ	36942219
771320	2632	1998-09-06	VYDAJ	PREVOD NA UCET	2300	42933	POJISTNE	IJ	36942219
771321	2632	1998-10-06	VYDAJ	PREVOD NA UCET	2300	43518	POJISTNE	IJ	36942219
771322	2632	1998-11-06	VYDAJ	PREVOD NA UCET	2300	44606	POJISTNE	IJ	36942219
771323	2632	1998-12-06	VYDAJ	PREVOD NA UCET	2300	44498	POJISTNE	IJ	36942219
771324	2632	1993-06-01	VYDAJ	VYBER	13300	33388	\N	\N	\N
771325	2632	1994-06-13	VYDAJ	VYBER	5200	47635	\N	\N	\N
771326	2632	1995-06-09	VYDAJ	VYBER	14400	32695	\N	\N	\N
771327	2632	1996-06-25	VYDAJ	VYBER	11200	16363	\N	\N	\N
771328	2632	1997-06-06	VYDAJ	VYBER	8100	19405	\N	\N	\N
771329	2632	1998-06-19	VYDAJ	VYBER	7800	50488	\N	\N	\N
771331	2632	1994-01-11	VYDAJ	VYBER	5200	43393	\N	\N	\N
771332	2632	1995-01-19	VYDAJ	VYBER	1800	33374	\N	\N	\N
771333	2632	1996-01-08	VYDAJ	VYBER	1200	26659	\N	\N	\N
771334	2632	1997-01-12	VYDAJ	VYBER	1100	29069	\N	\N	\N
771335	2632	1998-01-16	VYDAJ	VYBER	4400	41526	\N	\N	\N
771336	2632	1993-12-18	VYDAJ	VYBER	2500	49937	\N	\N	\N
771337	2632	1994-12-21	VYDAJ	VYBER	2700	44047	\N	\N	\N
771338	2632	1995-12-06	VYDAJ	VYBER	500	23167	\N	\N	\N
771339	2632	1996-12-12	VYDAJ	VYBER	1500	26592	\N	\N	\N
771340	2632	1997-12-23	VYDAJ	VYBER	1900	47372	\N	\N	\N
771341	2632	1998-12-10	VYDAJ	VYBER	1100	62711	\N	\N	\N
771348	2632	1994-01-12	VYDAJ	VYBER	2900	40493	\N	\N	\N
771349	2632	1994-01-15	VYDAJ	VYBER	2000	36693	\N	\N	\N
771350	2632	1994-01-13	VYDAJ	VYBER	1100	39393	\N	\N	\N
771351	2632	1994-01-13	VYDAJ	VYBER	700	38693	\N	\N	\N
771352	2632	1994-01-20	VYDAJ	VYBER	1700	34993	\N	\N	\N
771353	2632	1994-01-25	VYDAJ	VYBER	2300	32693	\N	\N	\N
771354	2632	1995-01-23	VYDAJ	VYBER	2400	28274	\N	\N	\N
771355	2632	1995-01-05	VYDAJ	VYBER	700	29893	\N	\N	\N
771356	2632	1995-01-22	VYDAJ	VYBER	2100	30674	\N	\N	\N
771357	2632	1995-01-17	VYDAJ	VYBER	2000	35174	\N	\N	\N
771358	2632	1995-01-09	VYDAJ	VYBER	2600	39216	\N	\N	\N
771359	2632	1995-01-05	VYDAJ	VYBER	2200	30593	\N	\N	\N
771360	2632	1996-01-13	VYDAJ	VYBER	2900	35981	\N	\N	\N
771361	2632	1996-01-23	VYDAJ	VYBER	800	19181	\N	\N	\N
771363	2632	1996-01-22	VYDAJ	VYBER	2800	19981	\N	\N	\N
771364	2632	1996-01-19	VYDAJ	VYBER	2900	22781	\N	\N	\N
771365	2632	1996-01-04	VYDAJ	VYBER	900	30200	\N	\N	\N
771366	2632	1997-01-19	VYDAJ	VYBER	2400	26169	\N	\N	\N
771367	2632	1997-01-01	VYDAJ	VYBER	1100	25588	\N	\N	\N
771368	2632	1997-01-20	VYDAJ	VYBER	2400	23769	\N	\N	\N
771369	2632	1997-01-11	VYDAJ	VYBER	1200	32769	\N	\N	\N
771370	2632	1997-01-03	VYDAJ	VYBER	1500	24088	\N	\N	\N
771371	2632	1997-01-16	VYDAJ	VYBER	500	28569	\N	\N	\N
771372	2632	1998-01-24	VYDAJ	VYBER	1500	35426	\N	\N	\N
771373	2632	1998-01-25	VYDAJ	VYBER	1300	34126	\N	\N	\N
771374	2632	1998-01-10	VYDAJ	VYBER	800	47968	\N	\N	\N
771375	2632	1998-01-16	VYDAJ	VYBER	2800	38726	\N	\N	\N
771376	2632	1998-01-21	VYDAJ	VYBER	1800	36926	\N	\N	\N
771377	2632	1998-01-27	VYDAJ	VYBER	1800	32326	\N	\N	\N
771378	2632	1993-08-30	VYDAJ	VYBER	4300	37788	\N	\N	\N
771379	2632	1993-07-18	VYDAJ	VYBER	2700	42744	\N	\N	\N
771381	2632	1993-12-08	VYDAJ	VYBER	600	33124	\N	\N	\N
771383	2632	1993-06-21	VYDAJ	VYBER	2500	44801	\N	\N	\N
771384	2632	1993-07-01	VYDAJ	VYBER	1700	43263	\N	\N	\N
771385	2632	1994-09-17	VYDAJ	VYBER	4500	38053	\N	\N	\N
771386	2632	1994-05-05	VYDAJ	VYBER	1500	32693	\N	\N	\N
771387	2632	1994-08-26	VYDAJ	VYBER	2700	32518	\N	\N	\N
771388	2632	1994-09-27	VYDAJ	VYBER	3000	30353	\N	\N	\N
771389	2632	1994-12-01	VYDAJ	VYBER	2500	31334	\N	\N	\N
771390	2632	1994-12-09	VYDAJ	VYBER	1600	48789	\N	\N	\N
771391	2632	1995-10-08	VYDAJ	VYBER	4400	25285	\N	\N	\N
771392	2632	1995-06-01	VYDAJ	VYBER	4600	28040	\N	\N	\N
771393	2632	1995-04-01	VYDAJ	VYBER	4900	28317	\N	\N	\N
771394	2632	1995-10-28	VYDAJ	VYBER	2300	25866	\N	\N	\N
771395	2632	1996-05-14	VYDAJ	VYBER	4100	29955	\N	\N	\N
771396	2632	1996-11-23	VYDAJ	VYBER	4900	20790	\N	\N	\N
771397	2632	1996-06-19	VYDAJ	VYBER	1500	27563	\N	\N	\N
771398	2632	1996-03-02	VYDAJ	VYBER	2500	20132	\N	\N	\N
771399	2632	1996-09-13	VYDAJ	VYBER	2300	21455	\N	\N	\N
771400	2632	1996-01-24	VYDAJ	VYBER	2800	16381	\N	\N	\N
771401	2632	1997-12-02	VYDAJ	VYBER	4900	37559	\N	\N	\N
771402	2632	1997-09-23	VYDAJ	VYBER	3400	32686	\N	\N	\N
771403	2632	1997-03-24	VYDAJ	VYBER	3400	28719	\N	\N	\N
771404	2632	1997-02-03	VYDAJ	VYBER	4200	19660	\N	\N	\N
771405	2632	1997-05-21	VYDAJ	VYBER	2900	27401	\N	\N	\N
771406	2632	1997-08-16	VYDAJ	VYBER	2900	28598	\N	\N	\N
771407	2632	1997-04-26	VYDAJ	VYBER	3900	27810	\N	\N	\N
771408	2632	1998-07-05	VYDAJ	VYBER	4600	44284	\N	\N	\N
771409	2632	1998-05-08	VYDAJ	VYBER	2900	40600	\N	\N	\N
771410	2632	1998-05-31	VYDAJ	VYBER	4100	48889	\N	\N	\N
771411	2632	1998-07-01	VYDAJ	VYBER	1800	48884	\N	\N	\N
771417	2632	1993-05-31	VYDAJ	VYBER	15	46688	SLUZBY	\N	\N
771418	2632	1993-06-30	VYDAJ	VYBER	15	44963	SLUZBY	\N	\N
771419	2632	1993-07-31	VYDAJ	VYBER	15	42907	SLUZBY	\N	\N
771420	2632	1993-08-31	VYDAJ	VYBER	15	30246	SLUZBY	\N	\N
771421	2632	1993-09-30	VYDAJ	VYBER	15	31466	SLUZBY	\N	\N
771422	2632	1993-10-31	VYDAJ	VYBER	15	33591	SLUZBY	\N	\N
771423	2632	1993-11-30	VYDAJ	VYBER	15	36024	SLUZBY	\N	\N
771424	2632	1993-12-31	VYDAJ	VYBER	15	38712	SLUZBY	\N	\N
771425	2632	1994-01-31	VYDAJ	VYBER	15	29031	SLUZBY	\N	\N
771426	2632	1994-02-28	VYDAJ	VYBER	15	31144	SLUZBY	\N	\N
771427	2632	1994-03-31	VYDAJ	VYBER	15	32566	SLUZBY	\N	\N
771428	2632	1994-04-30	VYDAJ	VYBER	15	34193	SLUZBY	\N	\N
771429	2632	1994-05-31	VYDAJ	VYBER	15	35822	SLUZBY	\N	\N
771430	2632	1994-06-30	VYDAJ	VYBER	15	35499	SLUZBY	\N	\N
771431	2632	1994-07-31	VYDAJ	VYBER	15	36537	SLUZBY	\N	\N
771432	2632	1994-08-31	VYDAJ	VYBER	15	32672	SLUZBY	\N	\N
771433	2632	1994-09-30	VYDAJ	VYBER	15	30490	SLUZBY	\N	\N
771434	2632	1994-10-31	VYDAJ	VYBER	15	34406	SLUZBY	\N	\N
771435	2632	1994-11-30	VYDAJ	VYBER	15	33834	SLUZBY	\N	\N
771436	2632	1994-12-31	VYDAJ	VYBER	15	32793	SLUZBY	\N	\N
771437	2632	1995-01-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
771438	2632	1995-02-28	VYDAJ	VYBER	15	31699	SLUZBY	\N	\N
771439	2632	1995-03-31	VYDAJ	VYBER	15	33217	SLUZBY	\N	\N
771440	2632	1995-04-30	VYDAJ	VYBER	15	31625	SLUZBY	\N	\N
771441	2632	1995-05-31	VYDAJ	VYBER	15	32640	SLUZBY	\N	\N
771442	2632	1995-06-30	VYDAJ	VYBER	15	28463	SLUZBY	\N	\N
771443	2632	1995-07-31	VYDAJ	VYBER	15	30166	SLUZBY	\N	\N
771444	2632	1995-08-31	VYDAJ	VYBER	15	31773	SLUZBY	\N	\N
771445	2632	1995-09-30	VYDAJ	VYBER	15	31985	SLUZBY	\N	\N
771446	2632	1995-10-31	VYDAJ	VYBER	15	25982	SLUZBY	\N	\N
771447	2632	1995-11-30	VYDAJ	VYBER	15	25967	SLUZBY	\N	\N
771448	2632	1995-12-31	VYDAJ	VYBER	15	31100	SLUZBY	\N	\N
771449	2632	1996-01-31	VYDAJ	VYBER	15	16477	SLUZBY	\N	\N
771450	2632	1996-02-29	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
771451	2632	1996-03-31	VYDAJ	VYBER	15	24100	SLUZBY	\N	\N
771452	2632	1996-04-30	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
771453	2632	1996-05-31	VYDAJ	VYBER	15	25550	SLUZBY	\N	\N
771454	2632	1996-06-30	VYDAJ	VYBER	15	16463	SLUZBY	\N	\N
771455	2632	1996-07-31	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
771456	2632	1996-08-31	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
771457	2632	1996-09-30	VYDAJ	VYBER	15	21538	SLUZBY	\N	\N
771458	2632	1996-10-31	VYDAJ	VYBER	15	26409	SLUZBY	\N	\N
771459	2632	1996-11-30	VYDAJ	VYBER	15	20879	SLUZBY	\N	\N
771460	2632	1996-12-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
771461	2632	1997-01-31	VYDAJ	VYBER	15	23860	SLUZBY	\N	\N
771462	2632	1997-02-28	VYDAJ	VYBER	15	27938	SLUZBY	\N	\N
771463	2632	1997-03-31	VYDAJ	VYBER	15	28829	SLUZBY	\N	\N
771464	2632	1997-04-30	VYDAJ	VYBER	15	27920	SLUZBY	\N	\N
771465	2632	1997-05-31	VYDAJ	VYBER	15	27505	SLUZBY	\N	\N
771466	2632	1997-06-30	VYDAJ	VYBER	15	31022	SLUZBY	\N	\N
771467	2632	1997-07-31	VYDAJ	VYBER	15	31617	SLUZBY	\N	\N
771468	2632	1997-08-31	VYDAJ	VYBER	15	28705	SLUZBY	\N	\N
771469	2632	1997-09-30	VYDAJ	VYBER	15	32805	SLUZBY	\N	\N
771470	2632	1997-10-31	VYDAJ	VYBER	15	39926	SLUZBY	\N	\N
771471	2632	1997-11-30	VYDAJ	VYBER	15	42459	SLUZBY	\N	\N
771472	2632	1997-12-31	VYDAJ	VYBER	15	47545	SLUZBY	\N	\N
771473	2632	1998-01-31	VYDAJ	VYBER	15	32475	SLUZBY	\N	\N
771474	2632	1998-02-28	VYDAJ	VYBER	15	41598	SLUZBY	\N	\N
771475	2632	1998-03-31	VYDAJ	VYBER	15	45844	SLUZBY	\N	\N
771476	2632	1998-04-30	VYDAJ	VYBER	15	48400	SLUZBY	\N	\N
771477	2632	1998-05-31	VYDAJ	VYBER	15	48875	SLUZBY	\N	\N
771478	2632	1998-06-30	VYDAJ	VYBER	15	50684	SLUZBY	\N	\N
771479	2632	1998-07-31	VYDAJ	VYBER	15	50950	SLUZBY	\N	\N
771480	2632	1998-08-31	VYDAJ	VYBER	15	54933	SLUZBY	\N	\N
771481	2632	1998-09-30	VYDAJ	VYBER	15	55318	SLUZBY	\N	\N
771482	2632	1998-10-31	VYDAJ	VYBER	15	55906	SLUZBY	\N	\N
771483	2632	1998-11-30	VYDAJ	VYBER	15	56998	SLUZBY	\N	\N
771484	2632	1993-02-01	PRIJEM	VKLAD	5100	20512	\N	\N	\N
771485	2632	1993-03-03	VYDAJ	VYBER	6900	27997	\N	\N	\N
771486	2632	1993-04-02	VYDAJ	VYBER	9100	33329	\N	\N	\N
771487	2632	1993-05-02	VYDAJ	VYBER	13500	34286	\N	\N	\N
771488	2632	1993-06-01	VYDAJ	VYBER	3100	30288	\N	\N	\N
771489	2632	1993-07-01	VYDAJ	VYBER	7700	35563	\N	\N	\N
771490	2632	1993-07-31	VYDAJ	VYBER	10700	32207	\N	\N	\N
771491	2632	1993-08-30	VYDAJ	VYBER	7700	30088	\N	\N	\N
771492	2632	1993-09-29	VYDAJ	VYBER	8800	31327	\N	\N	\N
771493	2632	1993-10-29	VYDAJ	VYBER	7900	33447	\N	\N	\N
771494	2632	1993-11-28	VYDAJ	VYBER	7600	35872	\N	\N	\N
771495	2632	1993-12-28	VYDAJ	VYBER	11400	38537	\N	\N	\N
771496	2632	1994-01-27	VYDAJ	VYBER	3800	28893	\N	\N	\N
771497	2632	1994-02-26	VYDAJ	VYBER	7900	31012	\N	\N	\N
771498	2632	1994-03-28	VYDAJ	VYBER	8600	32425	\N	\N	\N
771499	2632	1994-04-27	VYDAJ	VYBER	8400	34047	\N	\N	\N
771500	2632	1994-05-27	VYDAJ	VYBER	6900	35674	\N	\N	\N
771501	2632	1994-06-26	VYDAJ	VYBER	12300	35335	\N	\N	\N
771502	2632	1994-07-26	VYDAJ	VYBER	9000	36380	\N	\N	\N
771503	2632	1994-08-25	VYDAJ	VYBER	11200	35218	\N	\N	\N
771504	2632	1994-09-24	VYDAJ	VYBER	4700	33353	\N	\N	\N
771505	2632	1994-10-24	VYDAJ	VYBER	6100	34271	\N	\N	\N
771506	2632	1994-11-23	VYDAJ	VYBER	10600	33687	\N	\N	\N
771507	2632	1994-12-23	VYDAJ	VYBER	11400	32647	\N	\N	\N
771508	2632	1995-01-22	VYDAJ	VYBER	600	32774	\N	\N	\N
771509	2632	1995-02-21	VYDAJ	VYBER	6700	31575	\N	\N	\N
771510	2632	1995-03-23	VYDAJ	VYBER	8500	33080	\N	\N	\N
771511	2632	1995-04-22	VYDAJ	VYBER	6700	31498	\N	\N	\N
771512	2632	1995-05-22	VYDAJ	VYBER	9000	32506	\N	\N	\N
771513	2632	1995-06-21	VYDAJ	VYBER	2300	28353	\N	\N	\N
771514	2632	1995-07-21	VYDAJ	VYBER	8300	30044	\N	\N	\N
771515	2632	1995-08-20	VYDAJ	VYBER	8400	31647	\N	\N	\N
771516	2632	1995-09-19	VYDAJ	VYBER	9800	31854	\N	\N	\N
771517	2632	1995-10-19	VYDAJ	VYBER	9300	28166	\N	\N	\N
771518	2632	1995-11-18	VYDAJ	VYBER	10000	25863	\N	\N	\N
771519	2632	1995-12-18	VYDAJ	VYBER	11500	30980	\N	\N	\N
771520	2632	1996-01-17	VYDAJ	VYBER	10300	25681	\N	\N	\N
771521	2632	1996-02-16	VYDAJ	VYBER	3800	22558	\N	\N	\N
771522	2632	1996-03-17	VYDAJ	VYBER	6000	24013	\N	\N	\N
771523	2632	1996-04-16	VYDAJ	VYBER	9900	24081	\N	\N	\N
771524	2632	1996-05-16	VYDAJ	VYBER	4500	25455	\N	\N	\N
771525	2632	1996-06-15	VYDAJ	VYBER	13500	29063	\N	\N	\N
771526	2632	1996-07-15	VYDAJ	VYBER	6700	19644	\N	\N	\N
771527	2632	1996-08-14	VYDAJ	VYBER	5500	24092	\N	\N	\N
771528	2632	1996-09-13	VYDAJ	VYBER	10300	23755	\N	\N	\N
771529	2632	1996-10-13	VYDAJ	VYBER	5100	26319	\N	\N	\N
771530	2632	1996-11-12	VYDAJ	VYBER	10600	25690	\N	\N	\N
771531	2632	1996-12-12	VYDAJ	VYBER	9800	28092	\N	\N	\N
771532	2632	1997-01-11	VYDAJ	VYBER	2600	30169	\N	\N	\N
771533	2632	1997-02-10	VYDAJ	VYBER	1700	29883	\N	\N	\N
771534	2632	1997-03-12	VYDAJ	VYBER	5700	32119	\N	\N	\N
771535	2632	1997-04-11	VYDAJ	VYBER	7000	31710	\N	\N	\N
771536	2632	1997-05-11	VYDAJ	VYBER	7500	30301	\N	\N	\N
771537	2632	1997-06-10	VYDAJ	VYBER	5500	30918	\N	\N	\N
771538	2632	1997-07-10	VYDAJ	VYBER	9400	31503	\N	\N	\N
771539	2632	1997-08-09	VYDAJ	VYBER	10000	33540	\N	\N	\N
771540	2632	1997-09-08	VYDAJ	VYBER	2500	23905	\N	\N	\N
771541	2632	1997-10-08	VYDAJ	VYBER	2900	27605	\N	\N	\N
771542	2632	1997-11-07	VYDAJ	VYBER	7500	30126	\N	\N	\N
771543	2632	1997-12-07	VYDAJ	VYBER	5300	29959	\N	\N	\N
771544	2632	1998-01-06	VYDAJ	VYBER	10700	34545	\N	\N	\N
771545	2632	1998-02-05	VYDAJ	VYBER	900	31575	\N	\N	\N
771546	2632	1998-03-07	VYDAJ	VYBER	5800	33498	\N	\N	\N
771547	2632	1998-04-06	VYDAJ	VYBER	7500	36044	\N	\N	\N
771548	2632	1998-05-06	VYDAJ	VYBER	2600	45800	\N	\N	\N
771549	2632	1998-06-05	VYDAJ	VYBER	7600	41275	\N	\N	\N
771550	2632	1998-07-05	VYDAJ	VYBER	3400	40884	\N	\N	\N
771551	2632	1998-08-04	VYDAJ	VYBER	6100	44850	\N	\N	\N
771552	2632	1998-09-03	VYDAJ	VYBER	9700	45233	\N	\N	\N
771553	2632	1998-10-03	VYDAJ	VYBER	9500	45818	\N	\N	\N
771554	2632	1998-11-02	VYDAJ	VYBER	9000	46906	\N	\N	\N
771555	2632	1998-12-02	VYDAJ	VYBER	10200	46798	\N	\N	\N
771628	2633	1996-03-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
771629	2633	1996-06-06	PRIJEM	VKLAD	11449	44564	\N	\N	\N
771630	2633	1996-07-31	PRIJEM	VKLAD	44117	114345	\N	\N	\N
771631	2633	1996-09-19	PRIJEM	VKLAD	30128	86980	\N	\N	\N
771632	2633	1996-07-02	PRIJEM	VKLAD	34714	79752	\N	\N	\N
771635	2633	1996-07-01	PRIJEM	VKLAD	28471	45038	\N	\N	\N
771637	2633	1996-06-19	PRIJEM	VKLAD	40417	77008	\N	\N	\N
771638	2633	1996-04-11	PRIJEM	VKLAD	44064	56726	\N	\N	\N
771639	2633	1996-06-11	PRIJEM	VKLAD	22711	104491	\N	\N	\N
771641	2633	1996-10-15	PRIJEM	VKLAD	42227	98780	\N	\N	\N
771642	2633	1996-09-04	PRIJEM	VKLAD	8015	64287	\N	\N	\N
771643	2633	1996-06-06	PRIJEM	VKLAD	37216	81780	\N	\N	\N
771644	2633	1996-09-10	PRIJEM	VKLAD	26565	90852	\N	\N	\N
771645	2633	1996-11-19	PRIJEM	VKLAD	12062	62042	\N	\N	\N
771646	2633	1996-07-22	PRIJEM	VKLAD	6221	77152	\N	\N	\N
771647	2633	1996-07-13	PRIJEM	VKLAD	18306	69758	\N	\N	\N
771648	2633	1996-04-12	PRIJEM	VKLAD	11465	68191	\N	\N	\N
771650	2633	1996-03-24	PRIJEM	VKLAD	11548	12648	\N	\N	\N
771651	2633	1996-07-14	PRIJEM	VKLAD	36757	106515	\N	\N	\N
771652	2633	1996-12-30	PRIJEM	VKLAD	47133	89313	\N	\N	\N
771653	2633	1996-10-25	PRIJEM	VKLAD	14450	113230	\N	\N	\N
771654	2633	1997-10-13	PRIJEM	VKLAD	30938	99291	\N	\N	\N
771655	2633	1997-05-27	PRIJEM	VKLAD	24076	82524	\N	\N	\N
771656	2633	1997-03-27	PRIJEM	VKLAD	37040	84824	\N	\N	\N
771657	2633	1997-08-24	PRIJEM	VKLAD	38680	133194	\N	\N	\N
771658	2633	1997-02-19	PRIJEM	VKLAD	30599	84854	\N	\N	\N
771659	2633	1997-12-23	PRIJEM	VKLAD	44801	110519	\N	\N	\N
771660	2633	1997-02-25	PRIJEM	VKLAD	32534	123056	\N	\N	\N
771661	2633	1997-07-12	PRIJEM	VKLAD	33850	99552	\N	\N	\N
771662	2633	1997-08-17	PRIJEM	VKLAD	38673	116814	\N	\N	\N
771663	2633	1997-06-28	PRIJEM	VKLAD	41403	85826	\N	\N	\N
771664	2633	1997-05-28	PRIJEM	VKLAD	37331	119855	\N	\N	\N
771665	2633	1997-07-24	PRIJEM	VKLAD	35406	134958	\N	\N	\N
771666	2633	1997-11-24	PRIJEM	VKLAD	38133	141018	\N	\N	\N
771667	2633	1997-08-27	PRIJEM	VKLAD	40624	110818	\N	\N	\N
771668	2633	1997-06-11	PRIJEM	VKLAD	22098	73523	\N	\N	\N
771669	2633	1997-11-05	PRIJEM	VKLAD	49347	125722	\N	\N	\N
771670	2633	1997-11-06	PRIJEM	VKLAD	37963	109785	\N	\N	\N
771671	2633	1997-08-01	PRIJEM	VKLAD	33344	125874	\N	\N	\N
771672	2633	1997-03-30	PRIJEM	VKLAD	39766	110190	\N	\N	\N
771673	2633	1997-02-16	PRIJEM	VKLAD	12062	54255	\N	\N	\N
771674	2633	1997-02-22	PRIJEM	VKLAD	5668	90522	\N	\N	\N
771675	2633	1997-04-09	PRIJEM	VKLAD	42085	95465	\N	\N	\N
771676	2633	1997-10-15	PRIJEM	VKLAD	23035	122326	\N	\N	\N
771677	2633	1997-04-13	PRIJEM	VKLAD	37832	133297	\N	\N	\N
771678	2633	1997-09-18	PRIJEM	VKLAD	24765	84663	\N	\N	\N
771679	2633	1997-02-09	PRIJEM	VKLAD	8511	42193	\N	\N	\N
771680	2633	1997-08-01	PRIJEM	VKLAD	31867	157741	\N	\N	\N
771681	2633	1997-10-30	PRIJEM	VKLAD	36325	106351	\N	\N	\N
771682	2633	1998-10-18	PRIJEM	VKLAD	16712	121800	\N	\N	\N
771683	2633	1998-01-09	PRIJEM	VKLAD	21766	67101	\N	\N	\N
771684	2633	1998-01-01	PRIJEM	VKLAD	11502	62979	\N	\N	\N
771685	2633	1998-01-11	PRIJEM	VKLAD	24821	91922	\N	\N	\N
771686	2633	1998-08-05	PRIJEM	VKLAD	38492	68208	\N	\N	\N
771687	2633	1998-03-01	PRIJEM	VKLAD	38182	129362	\N	\N	\N
771688	2633	1998-01-18	PRIJEM	VKLAD	27800	70189	\N	\N	\N
771689	2633	1998-04-18	PRIJEM	VKLAD	23541	93950	\N	\N	\N
771690	2633	1998-10-12	PRIJEM	VKLAD	45293	105088	\N	\N	\N
771691	2633	1998-11-03	PRIJEM	VKLAD	39316	96238	\N	\N	\N
771692	2633	1998-03-08	PRIJEM	VKLAD	37348	97610	\N	\N	\N
771693	2633	1998-11-28	PRIJEM	VKLAD	13538	104403	\N	\N	\N
771694	2633	1998-11-14	PRIJEM	VKLAD	36873	101880	\N	\N	\N
771695	2633	1998-09-11	PRIJEM	VKLAD	22993	107640	\N	\N	\N
771696	2633	1998-03-19	PRIJEM	VKLAD	20568	118178	\N	\N	\N
771697	2633	1998-02-13	PRIJEM	VKLAD	43614	90884	\N	\N	\N
771698	2633	1998-02-01	PRIJEM	VKLAD	47443	117882	\N	\N	\N
771699	2633	1998-09-15	PRIJEM	VKLAD	27117	134757	\N	\N	\N
771700	2633	1998-11-24	PRIJEM	VKLAD	48585	150465	\N	\N	\N
771701	2633	1998-09-29	PRIJEM	VKLAD	33898	128060	\N	\N	\N
771702	2633	1998-11-06	PRIJEM	VKLAD	33169	129407	\N	\N	\N
771703	2633	1998-09-01	PRIJEM	VKLAD	17168	63099	\N	\N	\N
771704	2633	1998-06-13	PRIJEM	VKLAD	35728	86459	\N	\N	\N
771705	2633	1998-09-10	PRIJEM	VKLAD	23348	86447	\N	\N	\N
771706	2633	1998-04-14	PRIJEM	VKLAD	29667	70409	\N	\N	\N
771707	2633	1998-09-18	PRIJEM	VKLAD	43705	118162	\N	\N	\N
771708	2633	1998-01-12	PRIJEM	VKLAD	32029	123951	\N	\N	\N
771709	2633	1998-06-11	PRIJEM	VKLAD	12249	50731	\N	\N	\N
771710	2633	1996-07-19	VYBER	VYBER	7984	70931	\N	\N	\N
771713	2633	1996-07-27	VYBER	VYBER	6924	70228	\N	\N	\N
771715	2633	1997-12-04	VYBER	VYBER	16961	88118	\N	\N	\N
771716	2633	1997-01-25	VYBER	VYBER	15543	25089	\N	\N	\N
771717	2633	1998-01-08	VYBER	VYBER	11144	45335	\N	\N	\N
771718	2633	1998-04-04	VYBER	VYBER	13248	40742	\N	\N	\N
771719	2633	1998-12-19	VYBER	VYBER	21990	48606	\N	\N	\N
771720	2633	1998-02-02	VYBER	VYBER	20450	66032	\N	\N	\N
771721	2633	1998-02-06	VYBER	VYBER	9062	47270	\N	\N	\N
771722	2633	1998-01-17	VYBER	VYBER	9362	42389	\N	\N	\N
771723	2633	1996-06-20	VYDAJ	VYBER	60600	16408	\N	\N	\N
771724	2633	1997-06-26	VYDAJ	VYBER	29100	44423	\N	\N	\N
771725	2633	1998-06-16	VYDAJ	VYBER	74400	12059	\N	\N	\N
771727	2633	1997-01-10	VYDAJ	VYBER	18000	40632	\N	\N	\N
771728	2633	1998-01-14	VYDAJ	VYBER	19500	51751	\N	\N	\N
771729	2633	1996-12-30	VYDAJ	VYBER	5700	83613	\N	\N	\N
771730	2633	1997-12-03	VYDAJ	VYBER	3900	105079	\N	\N	\N
771731	2633	1998-12-12	VYDAJ	VYBER	2400	70596	\N	\N	\N
771733	2633	1996-11-19	VYDAJ	VYBER	8100	53942	\N	\N	\N
771734	2633	1996-10-26	VYDAJ	VYBER	13800	64930	\N	\N	\N
771735	2633	1996-09-13	VYDAJ	VYBER	3300	56852	\N	\N	\N
771738	2633	1997-03-28	VYDAJ	VYBER	14400	70424	\N	\N	\N
771739	2633	1997-04-01	VYDAJ	VYBER	10500	69080	\N	\N	\N
771740	2633	1997-05-25	VYDAJ	VYBER	11100	58448	\N	\N	\N
771741	2633	1997-11-06	VYDAJ	VYBER	6900	102885	\N	\N	\N
771742	2633	1997-03-24	VYDAJ	VYBER	8400	47784	\N	\N	\N
771743	2633	1998-05-13	VYDAJ	VYBER	14100	47328	\N	\N	\N
771744	2633	1998-09-10	VYDAJ	VYBER	1800	84647	\N	\N	\N
771745	2633	1998-08-15	VYDAJ	VYBER	8100	60108	\N	\N	\N
771746	2633	1998-05-26	VYDAJ	VYBER	3300	44028	\N	\N	\N
771753	2633	1996-06-30	VYDAJ	VYBER	15	16567	SLUZBY	\N	\N
771754	2633	1996-07-31	VYDAJ	VYBER	15	84438	SLUZBY	\N	\N
771755	2633	1996-08-31	VYDAJ	VYBER	15	56272	SLUZBY	\N	\N
771756	2633	1996-09-30	VYDAJ	VYBER	15	87253	SLUZBY	\N	\N
771757	2633	1996-10-31	VYDAJ	VYBER	15	65280	SLUZBY	\N	\N
771758	2633	1996-11-30	VYDAJ	VYBER	15	54180	SLUZBY	\N	\N
771759	2633	1996-12-31	VYDAJ	VYBER	15	83832	SLUZBY	\N	\N
771760	2633	1997-01-31	VYDAJ	VYBER	15	25282	SLUZBY	\N	\N
771761	2633	1997-02-28	VYDAJ	VYBER	15	74384	SLUZBY	\N	\N
771762	2633	1997-03-31	VYDAJ	VYBER	15	79580	SLUZBY	\N	\N
771763	2633	1997-04-30	VYDAJ	VYBER	15	93448	SLUZBY	\N	\N
771764	2633	1997-05-31	VYDAJ	VYBER	15	64325	SLUZBY	\N	\N
771765	2633	1997-06-30	VYDAJ	VYBER	15	86102	SLUZBY	\N	\N
771766	2633	1997-07-31	VYDAJ	VYBER	15	92530	SLUZBY	\N	\N
771767	2633	1997-08-31	VYDAJ	VYBER	15	64498	SLUZBY	\N	\N
771768	2633	1997-09-30	VYDAJ	VYBER	15	84953	SLUZBY	\N	\N
771769	2633	1997-10-31	VYDAJ	VYBER	15	106775	SLUZBY	\N	\N
771770	2633	1997-11-30	VYDAJ	VYBER	15	108979	SLUZBY	\N	\N
771771	2633	1997-12-31	VYDAJ	VYBER	15	51477	SLUZBY	\N	\N
771772	2633	1998-01-31	VYDAJ	VYBER	15	70439	SLUZBY	\N	\N
771773	2633	1998-02-28	VYDAJ	VYBER	15	91180	SLUZBY	\N	\N
771774	2633	1998-03-31	VYDAJ	VYBER	15	69190	SLUZBY	\N	\N
771775	2633	1998-04-30	VYDAJ	VYBER	15	94228	SLUZBY	\N	\N
771776	2633	1998-05-31	VYDAJ	VYBER	15	44282	SLUZBY	\N	\N
771777	2633	1998-06-30	VYDAJ	VYBER	15	12180	SLUZBY	\N	\N
771778	2633	1998-07-31	VYDAJ	VYBER	15	23516	SLUZBY	\N	\N
771779	2633	1998-08-31	VYDAJ	VYBER	15	45931	SLUZBY	\N	\N
771780	2633	1998-09-30	VYDAJ	VYBER	15	83895	SLUZBY	\N	\N
771781	2633	1998-10-31	VYDAJ	VYBER	15	56922	SLUZBY	\N	\N
771782	2633	1998-11-30	VYDAJ	VYBER	15	72996	SLUZBY	\N	\N
771783	2633	1996-04-13	VYDAJ	VYBER	23900	44291	\N	\N	\N
771784	2633	1996-05-13	VYDAJ	VYBER	11500	32930	\N	\N	\N
771785	2633	1996-06-11	VYDAJ	VYBER	58600	45891	\N	\N	\N
771786	2633	1996-06-12	VYDAJ	VYBER	9300	36591	\N	\N	\N
771787	2633	1996-07-12	VYDAJ	VYBER	28300	51452	\N	\N	\N
771788	2633	1996-07-14	VYDAJ	VYBER	27600	78915	\N	\N	\N
771789	2633	1996-07-31	VYDAJ	VYBER	30200	84453	\N	\N	\N
771790	2633	1996-08-11	VYDAJ	VYBER	28500	55938	\N	\N	\N
771791	2633	1996-09-10	VYDAJ	VYBER	30700	60152	\N	\N	\N
771792	2633	1996-10-10	VYDAJ	VYBER	30700	56553	\N	\N	\N
771793	2633	1996-10-25	VYDAJ	VYBER	34500	78730	\N	\N	\N
771794	2633	1996-11-09	VYDAJ	VYBER	15300	49980	\N	\N	\N
771795	2633	1996-12-09	VYDAJ	VYBER	12000	42180	\N	\N	\N
771796	2633	1997-01-08	VYDAJ	VYBER	25200	58632	\N	\N	\N
771797	2633	1997-02-07	PRIJEM	VKLAD	8400	33682	\N	\N	\N
771798	2633	1997-02-25	VYDAJ	VYBER	48900	74156	\N	\N	\N
771799	2633	1997-03-09	VYDAJ	VYBER	18200	56184	\N	\N	\N
771800	2633	1997-03-30	VYDAJ	VYBER	30900	79290	\N	\N	\N
771801	2633	1997-04-08	VYDAJ	VYBER	15700	53380	\N	\N	\N
771802	2633	1997-04-13	VYDAJ	VYBER	40300	92997	\N	\N	\N
771803	2633	1997-05-08	VYDAJ	VYBER	23900	69548	\N	\N	\N
771804	2633	1997-05-28	VYDAJ	VYBER	55900	63955	\N	\N	\N
771805	2633	1997-06-07	VYDAJ	VYBER	12900	51425	\N	\N	\N
771806	2633	1997-07-07	VYDAJ	VYBER	20400	65702	\N	\N	\N
771807	2633	1997-07-24	VYDAJ	VYBER	42800	92158	\N	\N	\N
771808	2633	1997-08-01	VYDAJ	VYBER	23900	133841	\N	\N	\N
771809	2633	1997-08-01	VYDAJ	VYBER	30800	103041	\N	\N	\N
771810	2633	1997-08-06	VYDAJ	VYBER	24900	78141	\N	\N	\N
771811	2633	1997-08-17	VYDAJ	VYBER	22300	94514	\N	\N	\N
771812	2633	1997-08-24	VYDAJ	VYBER	63000	70194	\N	\N	\N
771813	2633	1997-08-27	VYDAJ	VYBER	46700	64118	\N	\N	\N
771814	2633	1997-09-05	VYDAJ	VYBER	4600	59898	\N	\N	\N
771815	2633	1997-10-05	VYDAJ	VYBER	16600	68353	\N	\N	\N
771816	2633	1997-10-15	VYDAJ	VYBER	52300	70026	\N	\N	\N
771817	2633	1997-11-04	VYDAJ	VYBER	30400	76375	\N	\N	\N
771818	2633	1997-11-05	VYDAJ	VYBER	53900	71822	\N	\N	\N
771819	2633	1997-11-24	VYDAJ	VYBER	32500	108518	\N	\N	\N
771820	2633	1997-12-04	VYDAJ	VYBER	22400	65718	\N	\N	\N
771821	2633	1997-12-23	VYDAJ	VYBER	59300	51219	\N	\N	\N
771822	2633	1998-01-03	VYDAJ	VYBER	6500	56479	\N	\N	\N
771823	2633	1998-01-12	VYDAJ	VYBER	52700	71251	\N	\N	\N
771824	2633	1998-02-01	VYDAJ	VYBER	31400	86482	\N	\N	\N
771825	2633	1998-02-02	VYDAJ	VYBER	9700	56332	\N	\N	\N
771826	2633	1998-03-01	VYDAJ	VYBER	52900	76462	\N	\N	\N
771827	2633	1998-03-04	VYDAJ	VYBER	16200	60262	\N	\N	\N
771828	2633	1998-03-19	VYDAJ	VYBER	49300	68878	\N	\N	\N
771829	2633	1998-04-03	VYDAJ	VYBER	15200	53990	\N	\N	\N
771830	2633	1998-05-03	VYDAJ	VYBER	32800	61428	\N	\N	\N
771831	2633	1998-06-02	VYDAJ	VYBER	5800	38482	\N	\N	\N
771832	2633	1998-07-02	PRIJEM	VKLAD	11300	23480	\N	\N	\N
771833	2633	1998-08-01	PRIJEM	VKLAD	6200	29716	\N	\N	\N
771834	2633	1998-08-31	VYDAJ	VYBER	14400	45945	\N	\N	\N
771835	2633	1998-09-15	VYDAJ	VYBER	60300	74457	\N	\N	\N
771836	2633	1998-09-18	VYDAJ	VYBER	24000	94162	\N	\N	\N
771837	2633	1998-09-29	VYDAJ	VYBER	44500	83560	\N	\N	\N
771838	2633	1998-09-30	VYDAJ	VYBER	24100	59795	\N	\N	\N
771839	2633	1998-10-18	VYDAJ	VYBER	40200	81600	\N	\N	\N
771840	2633	1998-10-30	VYDAJ	VYBER	25000	56600	\N	\N	\N
771841	2633	1998-11-06	VYDAJ	VYBER	64400	65007	\N	\N	\N
771842	2633	1998-11-24	VYDAJ	VYBER	59600	90865	\N	\N	\N
771843	2633	1998-11-29	VYDAJ	VYBER	31800	72603	\N	\N	\N
771878	2634	1997-10-08	PRIJEM	VKLAD	600	600	\N	\N	\N
771889	2634	1997-11-05	PRIJEM	VKLAD	20025	20625	\N	\N	\N
771890	2634	1997-12-05	PRIJEM	VKLAD	30038	52136	\N	\N	\N
771891	2634	1998-01-05	PRIJEM	VKLAD	20025	58508	\N	\N	\N
771892	2634	1998-02-05	PRIJEM	VKLAD	20025	59496	\N	\N	\N
771893	2634	1998-03-05	PRIJEM	VKLAD	20025	64000	\N	\N	\N
771894	2634	1998-04-05	PRIJEM	VKLAD	20025	62187	\N	\N	\N
771895	2634	1998-05-05	PRIJEM	VKLAD	20025	60629	\N	\N	\N
771896	2634	1998-06-05	PRIJEM	VKLAD	30038	53376	\N	\N	\N
771897	2634	1998-07-05	PRIJEM	VKLAD	20025	51948	\N	\N	\N
771898	2634	1998-08-05	PRIJEM	VKLAD	20025	61664	\N	\N	\N
771899	2634	1998-09-05	PRIJEM	VKLAD	20025	71720	\N	\N	\N
771900	2634	1998-10-05	PRIJEM	VKLAD	20025	79724	\N	\N	\N
771901	2634	1998-11-05	PRIJEM	VKLAD	20025	84262	\N	\N	\N
771902	2634	1998-12-05	PRIJEM	VKLAD	30038	94834	\N	\N	\N
771904	2634	1998-06-01	VYDAJ	VYBER	15840	23338	\N	\N	\N
771906	2634	1998-12-20	VYDAJ	VYBER	1120	93714	\N	\N	\N
771925	2634	1998-06-30	VYDAJ	VYBER	5880	32898	\N	\N	\N
771926	2634	1998-04-20	VYDAJ	VYBER	840	40447	\N	\N	\N
771927	2634	1998-06-06	VYDAJ	VYBER	2160	38616	\N	\N	\N
771928	2634	1998-07-02	VYDAJ	VYBER	960	31923	\N	\N	\N
771944	2634	1998-03-31	VYDAJ	VYBER	15	42162	SLUZBY	\N	\N
771945	2634	1998-04-30	VYDAJ	VYBER	15	40604	SLUZBY	\N	\N
771946	2634	1998-05-31	VYDAJ	VYBER	15	39178	SLUZBY	\N	\N
771947	2634	1998-06-30	VYDAJ	VYBER	15	32883	SLUZBY	\N	\N
771948	2634	1998-07-31	VYDAJ	VYBER	15	41839	SLUZBY	\N	\N
771949	2634	1998-08-31	VYDAJ	VYBER	15	61895	SLUZBY	\N	\N
771950	2634	1998-09-30	VYDAJ	VYBER	15	71999	SLUZBY	\N	\N
771951	2634	1998-10-31	VYDAJ	VYBER	15	80037	SLUZBY	\N	\N
771952	2634	1998-11-30	VYDAJ	VYBER	15	84596	SLUZBY	\N	\N
771953	2634	1997-11-07	PRIJEM	VKLAD	1400	22025	\N	\N	\N
771954	2634	1997-12-07	VYDAJ	VYBER	13800	38336	\N	\N	\N
771955	2634	1998-01-06	VYDAJ	VYBER	19200	39308	\N	\N	\N
771956	2634	1998-02-05	VYDAJ	VYBER	15700	43796	\N	\N	\N
771957	2634	1998-03-07	VYDAJ	VYBER	22000	42000	\N	\N	\N
771958	2634	1998-04-06	VYDAJ	VYBER	20900	41287	\N	\N	\N
771959	2634	1998-05-06	VYDAJ	VYBER	21600	39029	\N	\N	\N
771960	2634	1998-06-05	VYDAJ	VYBER	12600	40776	\N	\N	\N
771961	2634	1998-07-05	VYDAJ	VYBER	10300	41648	\N	\N	\N
771962	2634	1998-08-04	VYDAJ	VYBER	200	41639	\N	\N	\N
771963	2634	1998-09-03	VYDAJ	VYBER	10200	51695	\N	\N	\N
771964	2634	1998-10-03	VYDAJ	VYBER	12300	59699	\N	\N	\N
771965	2634	1998-11-02	VYDAJ	VYBER	15800	64237	\N	\N	\N
771966	2634	1998-12-02	VYDAJ	VYBER	19800	64796	\N	\N	\N
771981	2635	1996-02-04	PRIJEM	VKLAD	700	700	\N	\N	\N
771983	2635	1996-02-07	PRIJEM	PREVOD Z UCTU	30058	30758	\N	KL	50294643
771984	2635	1996-03-07	PRIJEM	PREVOD Z UCTU	30058	57418	\N	KL	50294643
771985	2635	1996-04-07	PRIJEM	PREVOD Z UCTU	30058	74693	\N	KL	50294643
771986	2635	1996-05-07	PRIJEM	PREVOD Z UCTU	30058	80948	\N	KL	50294643
771987	2635	1996-06-07	PRIJEM	PREVOD Z UCTU	45087	101567	\N	KL	50294643
771988	2635	1996-07-07	PRIJEM	PREVOD Z UCTU	30058	86576	\N	KL	50294643
771989	2635	1996-08-07	PRIJEM	PREVOD Z UCTU	30058	75010	\N	KL	50294643
771990	2635	1996-09-07	PRIJEM	PREVOD Z UCTU	30058	83881	\N	KL	50294643
771991	2635	1996-10-07	PRIJEM	PREVOD Z UCTU	30058	76710	\N	KL	50294643
771992	2635	1996-11-07	PRIJEM	PREVOD Z UCTU	30058	84854	\N	KL	50294643
771993	2635	1996-12-07	PRIJEM	PREVOD Z UCTU	45087	104655	\N	KL	50294643
771994	2635	1997-01-07	PRIJEM	PREVOD Z UCTU	30058	90046	\N	KL	50294643
771995	2635	1997-02-07	PRIJEM	PREVOD Z UCTU	30058	84302	\N	KL	50294643
771996	2635	1997-03-07	PRIJEM	PREVOD Z UCTU	30058	65435	\N	KL	50294643
771997	2635	1997-04-07	PRIJEM	PREVOD Z UCTU	30058	75908	\N	KL	50294643
771998	2635	1997-05-07	PRIJEM	PREVOD Z UCTU	30058	83344	\N	KL	50294643
771999	2635	1997-06-07	PRIJEM	PREVOD Z UCTU	45087	102164	\N	KL	50294643
772000	2635	1997-07-07	PRIJEM	PREVOD Z UCTU	30058	53821	\N	KL	50294643
772001	2635	1997-08-07	PRIJEM	PREVOD Z UCTU	30058	62366	\N	KL	50294643
772002	2635	1997-09-07	PRIJEM	PREVOD Z UCTU	30058	70744	\N	KL	50294643
772003	2635	1997-10-07	PRIJEM	PREVOD Z UCTU	30058	77251	\N	KL	50294643
772004	2635	1997-11-07	PRIJEM	PREVOD Z UCTU	30058	82695	\N	KL	50294643
772005	2635	1997-12-07	PRIJEM	PREVOD Z UCTU	45087	101188	\N	KL	50294643
772006	2635	1998-01-07	PRIJEM	PREVOD Z UCTU	30058	87370	\N	KL	50294643
772007	2635	1998-02-07	PRIJEM	PREVOD Z UCTU	30058	72501	\N	KL	50294643
772008	2635	1998-03-07	PRIJEM	PREVOD Z UCTU	30058	75703	\N	KL	50294643
772009	2635	1998-04-07	PRIJEM	PREVOD Z UCTU	30058	85321	\N	KL	50294643
772010	2635	1998-05-07	PRIJEM	PREVOD Z UCTU	30058	88196	\N	KL	50294643
772011	2635	1998-06-07	PRIJEM	PREVOD Z UCTU	45087	93416	\N	KL	50294643
772012	2635	1998-07-07	PRIJEM	PREVOD Z UCTU	30058	65101	\N	KL	50294643
772013	2635	1998-08-07	PRIJEM	PREVOD Z UCTU	30058	70120	\N	KL	50294643
772014	2635	1998-09-07	PRIJEM	PREVOD Z UCTU	30058	78150	\N	KL	50294643
772015	2635	1998-10-07	PRIJEM	PREVOD Z UCTU	30058	87227	\N	KL	50294643
772016	2635	1998-11-07	PRIJEM	PREVOD Z UCTU	30058	98423	\N	KL	50294643
772017	2635	1998-12-07	PRIJEM	PREVOD Z UCTU	45087	113376	\N	KL	50294643
772018	2635	1996-10-03	VYBER	VYBER	6229	46652	\N	\N	\N
772019	2635	1996-07-07	VYBER	VYBER	4527	82049	\N	\N	\N
772021	2635	1996-07-26	VYBER	VYBER	19218	62831	\N	\N	\N
772026	2635	1996-08-29	VYBER	VYBER	2074	72936	\N	\N	\N
772028	2635	1997-09-03	VYBER	VYBER	6392	40686	\N	\N	\N
772029	2635	1997-03-13	VYBER	VYBER	13196	52239	\N	\N	\N
772030	2635	1997-03-01	VYBER	VYBER	20683	37177	\N	\N	\N
772031	2635	1997-09-11	VYBER	VYBER	6879	63865	\N	\N	\N
772032	2635	1998-07-25	VYBER	VYBER	14753	39848	\N	\N	\N
772033	2635	1998-11-15	VYBER	VYBER	9415	89008	\N	\N	\N
772034	2635	1998-03-04	VYBER	VYBER	5625	45645	\N	\N	\N
772035	2635	1998-08-19	VYBER	VYBER	13296	56824	\N	\N	\N
772036	2635	1998-06-29	VYBER	VYBER	9881	53335	\N	\N	\N
772037	2635	1998-01-08	VYBER	VYBER	5565	81805	\N	\N	\N
772038	2635	1998-07-02	VYBER	VYBER	9004	44643	\N	\N	\N
772039	2635	1998-12-15	VYBER	VYBER	17940	53336	\N	\N	\N
772041	2635	1997-06-24	VYDAJ	VYBER	63600	38564	\N	\N	\N
772042	2635	1998-06-04	VYDAJ	VYBER	16200	48329	\N	\N	\N
772044	2635	1997-01-14	VYDAJ	VYBER	4800	82546	\N	\N	\N
772045	2635	1998-01-18	VYDAJ	VYBER KARTOU	3900	62605	\N	\N	0
772046	2635	1996-12-10	VYDAJ	VYBER	8700	95955	\N	\N	\N
772047	2635	1997-12-28	VYDAJ	VYBER KARTOU	3600	61288	\N	\N	0
772048	2635	1998-12-18	VYDAJ	VYBER KARTOU	3900	49436	\N	\N	0
772055	2635	1997-01-19	VYDAJ	VYBER	2700	75946	\N	\N	\N
772056	2635	1997-01-18	VYDAJ	VYBER	3900	78646	\N	\N	\N
772057	2635	1997-01-29	VYDAJ	VYBER	5100	53946	\N	\N	\N
772058	2635	1997-01-03	VYDAJ	VYBER	2700	59988	\N	\N	\N
772059	2635	1997-01-13	VYDAJ	VYBER	2700	87346	\N	\N	\N
772060	2635	1997-01-01	VYDAJ	VYBER	3900	62688	\N	\N	\N
772061	2635	1998-01-02	VYDAJ	VYBER	4200	57312	\N	\N	\N
772062	2635	1998-01-22	VYDAJ	VYBER	8700	53905	\N	\N	\N
772063	2635	1998-01-17	VYDAJ	VYBER	6000	66505	\N	\N	\N
772064	2635	1998-01-10	VYDAJ	VYBER KARTOU	1500	72505	\N	\N	0
772065	2635	1998-01-24	VYDAJ	VYBER KARTOU	1800	42205	\N	\N	0
772066	2635	1998-01-08	VYDAJ	VYBER	7800	74005	\N	\N	\N
772068	2635	1996-06-09	VYDAJ	VYBER	12000	89567	\N	\N	\N
772070	2635	1996-06-28	VYDAJ	VYBER	10800	78767	\N	\N	\N
772072	2635	1996-09-11	VYDAJ	VYBER	9300	74581	\N	\N	\N
772073	2635	1997-08-04	VYDAJ	VYBER	11700	32308	\N	\N	\N
772074	2635	1997-06-24	VYDAJ	VYBER	6000	32564	\N	\N	\N
772075	2635	1997-02-18	VYDAJ	VYBER	1500	82802	\N	\N	\N
772076	2635	1997-08-09	VYDAJ	VYBER	3300	59066	\N	\N	\N
772077	2635	1997-05-21	VYDAJ	VYBER	6600	76744	\N	\N	\N
772078	2635	1997-07-03	VYDAJ	VYBER	9600	23763	\N	\N	\N
772079	2635	1997-03-03	VYDAJ	VYBER	1800	35377	\N	\N	\N
772080	2635	1998-07-05	VYDAJ	VYBER	9600	35043	\N	\N	\N
772081	2635	1998-09-12	VYDAJ	VYBER	11700	66450	\N	\N	\N
772088	2635	1996-06-30	VYDAJ	VYBER	15	79118	SLUZBY	\N	\N
772089	2635	1996-07-31	VYDAJ	VYBER	15	63152	SLUZBY	\N	\N
772090	2635	1996-08-31	VYDAJ	VYBER	15	73223	SLUZBY	\N	\N
772091	2635	1996-09-30	VYDAJ	VYBER	15	74881	SLUZBY	\N	\N
772092	2635	1996-10-31	VYDAJ	VYBER	15	54796	SLUZBY	\N	\N
772093	2635	1996-11-30	VYDAJ	VYBER	15	59568	SLUZBY	\N	\N
772094	2635	1996-12-31	VYDAJ	VYBER	15	66588	SLUZBY	\N	\N
772095	2635	1997-01-31	VYDAJ	VYBER	15	54244	SLUZBY	\N	\N
772096	2635	1997-02-28	VYDAJ	VYBER	15	83060	SLUZBY	\N	\N
772097	2635	1997-03-31	VYDAJ	VYBER	15	45850	SLUZBY	\N	\N
772098	2635	1997-04-30	VYDAJ	VYBER	15	53286	SLUZBY	\N	\N
772099	2635	1997-05-31	VYDAJ	VYBER	15	57077	SLUZBY	\N	\N
772100	2635	1997-06-30	VYDAJ	VYBER	15	33363	SLUZBY	\N	\N
772101	2635	1997-07-31	VYDAJ	VYBER	15	44008	SLUZBY	\N	\N
772102	2635	1997-08-31	VYDAJ	VYBER	15	47078	SLUZBY	\N	\N
772103	2635	1997-09-30	VYDAJ	VYBER	15	47193	SLUZBY	\N	\N
772104	2635	1997-10-31	VYDAJ	VYBER	15	52637	SLUZBY	\N	\N
772105	2635	1997-11-30	VYDAJ	VYBER	15	56101	SLUZBY	\N	\N
772106	2635	1997-12-31	VYDAJ	VYBER	15	61512	SLUZBY	\N	\N
772107	2635	1998-01-31	VYDAJ	VYBER	15	42443	SLUZBY	\N	\N
772108	2635	1998-02-28	VYDAJ	VYBER	15	51270	SLUZBY	\N	\N
772109	2635	1998-03-31	VYDAJ	VYBER	15	55263	SLUZBY	\N	\N
772110	2635	1998-04-30	VYDAJ	VYBER	15	58138	SLUZBY	\N	\N
772111	2635	1998-05-31	VYDAJ	VYBER	15	64529	SLUZBY	\N	\N
772112	2635	1998-06-30	VYDAJ	VYBER	15	53647	SLUZBY	\N	\N
772113	2635	1998-07-31	VYDAJ	VYBER	15	40062	SLUZBY	\N	\N
772114	2635	1998-08-31	VYDAJ	VYBER	15	48092	SLUZBY	\N	\N
772115	2635	1998-09-30	VYDAJ	VYBER	15	57169	SLUZBY	\N	\N
772116	2635	1998-10-31	VYDAJ	VYBER	15	68365	SLUZBY	\N	\N
772117	2635	1998-11-30	VYDAJ	VYBER	15	68289	SLUZBY	\N	\N
772118	2635	1996-03-05	VYDAJ	VYBER	3500	27360	\N	\N	\N
772119	2635	1996-04-04	VYDAJ	VYBER	13000	44635	\N	\N	\N
772120	2635	1996-05-04	VYDAJ	VYBER	24100	50890	\N	\N	\N
772121	2635	1996-06-03	VYDAJ	VYBER	24800	56480	\N	\N	\N
772122	2635	1996-07-03	VYDAJ	VYBER	22600	56518	\N	\N	\N
772123	2635	1996-08-02	VYDAJ	VYBER	18200	44952	\N	\N	\N
772124	2635	1996-09-01	VYDAJ	VYBER	19400	53823	\N	\N	\N
772125	2635	1996-10-01	VYDAJ	VYBER	22000	52881	\N	\N	\N
772126	2635	1996-10-31	VYDAJ	VYBER	22200	54810	\N	\N	\N
772127	2635	1996-11-30	VYDAJ	VYBER	25500	59582	\N	\N	\N
772128	2635	1996-12-30	VYDAJ	VYBER	29700	66255	\N	\N	\N
772129	2635	1997-01-29	VYDAJ	VYBER	16900	59046	\N	\N	\N
772130	2635	1997-02-28	VYDAJ	VYBER	25200	57860	\N	\N	\N
772131	2635	1997-03-30	VYDAJ	VYBER	6600	45639	\N	\N	\N
772132	2635	1997-04-29	VYDAJ	VYBER	22800	53108	\N	\N	\N
772133	2635	1997-05-29	VYDAJ	VYBER	19900	56844	\N	\N	\N
772134	2635	1997-06-28	PRIJEM	VKLAD	600	33164	\N	\N	\N
772135	2635	1997-07-28	VYDAJ	VYBER	10000	43821	\N	\N	\N
772136	2635	1997-08-27	VYDAJ	VYBER	12200	46866	\N	\N	\N
772137	2635	1997-09-26	VYDAJ	VYBER	16900	46965	\N	\N	\N
772138	2635	1997-10-26	VYDAJ	VYBER	24800	52451	\N	\N	\N
772139	2635	1997-11-25	VYDAJ	VYBER	26800	55895	\N	\N	\N
772140	2635	1997-12-25	VYDAJ	VYBER	36300	64888	\N	\N	\N
772141	2635	1998-01-24	VYDAJ	VYBER	9900	44005	\N	\N	\N
772142	2635	1998-02-23	VYDAJ	VYBER	21400	51101	\N	\N	\N
772143	2635	1998-03-25	VYDAJ	VYBER	20700	55003	\N	\N	\N
772144	2635	1998-04-24	VYDAJ	VYBER	27400	57921	\N	\N	\N
772145	2635	1998-05-24	VYDAJ	VYBER	23900	64296	\N	\N	\N
772146	2635	1998-06-23	VYDAJ	VYBER	30200	63216	\N	\N	\N
772147	2635	1998-07-23	VYDAJ	VYBER	10500	54601	\N	\N	\N
772148	2635	1998-08-22	VYDAJ	VYBER	8900	47924	\N	\N	\N
772149	2635	1998-09-21	VYDAJ	VYBER	9500	56950	\N	\N	\N
772150	2635	1998-10-21	VYDAJ	VYBER	19100	68127	\N	\N	\N
772151	2635	1998-11-20	VYDAJ	VYBER	21000	68008	\N	\N	\N
772152	2635	1998-12-07	VYDAJ	VYBER	42100	71276	\N	\N	\N
772188	2636	1996-11-26	PRIJEM	VKLAD	600	600	\N	\N	\N
772200	2636	1996-12-11	PRIJEM	PREVOD Z UCTU	4882	5482	DUCHOD	ST	3386146
772201	2636	1997-01-11	PRIJEM	PREVOD Z UCTU	4882	10364	DUCHOD	ST	3386146
772202	2636	1997-02-11	PRIJEM	PREVOD Z UCTU	4882	15246	DUCHOD	ST	3386146
772203	2636	1997-03-11	PRIJEM	PREVOD Z UCTU	4882	20128	DUCHOD	ST	3386146
772204	2636	1997-04-11	PRIJEM	PREVOD Z UCTU	4882	25010	DUCHOD	ST	3386146
772205	2636	1997-05-11	PRIJEM	PREVOD Z UCTU	4882	23234	DUCHOD	ST	3386146
772206	2636	1997-06-11	PRIJEM	PREVOD Z UCTU	4882	23441	DUCHOD	ST	3386146
772207	2636	1997-07-11	PRIJEM	PREVOD Z UCTU	4882	19597	DUCHOD	ST	3386146
772208	2636	1997-08-11	PRIJEM	PREVOD Z UCTU	4882	21289	DUCHOD	ST	3386146
772209	2636	1997-09-11	PRIJEM	PREVOD Z UCTU	4882	21789	DUCHOD	ST	3386146
772210	2636	1997-10-11	PRIJEM	PREVOD Z UCTU	4882	23489	DUCHOD	ST	3386146
772211	2636	1997-11-11	PRIJEM	PREVOD Z UCTU	4882	16312	DUCHOD	ST	3386146
772212	2636	1997-12-11	PRIJEM	PREVOD Z UCTU	4882	17990	DUCHOD	ST	3386146
772213	2636	1998-01-11	PRIJEM	PREVOD Z UCTU	4882	17114	DUCHOD	ST	3386146
772214	2636	1998-02-11	PRIJEM	PREVOD Z UCTU	4882	15107	DUCHOD	ST	3386146
772215	2636	1998-03-11	PRIJEM	PREVOD Z UCTU	4882	16781	DUCHOD	ST	3386146
772216	2636	1998-04-11	PRIJEM	PREVOD Z UCTU	4882	18462	DUCHOD	ST	3386146
772217	2636	1998-05-11	PRIJEM	PREVOD Z UCTU	4882	17045	DUCHOD	ST	3386146
772218	2636	1998-06-11	PRIJEM	PREVOD Z UCTU	4882	18728	DUCHOD	ST	3386146
772219	2636	1998-07-11	PRIJEM	PREVOD Z UCTU	4882	20417	DUCHOD	ST	3386146
772220	2636	1998-08-11	PRIJEM	PREVOD Z UCTU	4882	22113	DUCHOD	ST	3386146
772221	2636	1998-09-11	PRIJEM	PREVOD Z UCTU	4882	23816	DUCHOD	ST	3386146
772222	2636	1998-10-11	PRIJEM	PREVOD Z UCTU	4882	22965	DUCHOD	ST	3386146
772223	2636	1998-11-11	PRIJEM	PREVOD Z UCTU	4882	21788	DUCHOD	ST	3386146
772224	2636	1998-12-11	PRIJEM	PREVOD Z UCTU	4882	20283	DUCHOD	ST	3386146
772241	2636	1997-05-05	VYDAJ	PREVOD NA UCET	3254	18352	SIPO	KL	24701452
772242	2636	1997-06-05	VYDAJ	PREVOD NA UCET	3254	18559	SIPO	KL	24701452
772243	2636	1997-07-05	VYDAJ	PREVOD NA UCET	3254	14715	SIPO	KL	24701452
772244	2636	1997-08-05	VYDAJ	PREVOD NA UCET	3254	16407	SIPO	KL	24701452
772245	2636	1997-09-05	VYDAJ	PREVOD NA UCET	3254	18107	SIPO	KL	24701452
772246	2636	1997-10-05	VYDAJ	PREVOD NA UCET	3254	18607	SIPO	KL	24701452
772247	2636	1997-11-05	VYDAJ	PREVOD NA UCET	3254	11430	SIPO	KL	24701452
772248	2636	1997-12-05	VYDAJ	PREVOD NA UCET	3254	13108	SIPO	KL	24701452
772249	2636	1998-01-05	VYDAJ	PREVOD NA UCET	3254	12232	SIPO	KL	24701452
772250	2636	1998-02-05	VYDAJ	PREVOD NA UCET	3254	10225	SIPO	KL	24701452
772251	2636	1998-03-05	VYDAJ	PREVOD NA UCET	3254	11899	SIPO	KL	24701452
772252	2636	1998-04-05	VYDAJ	PREVOD NA UCET	3254	13580	SIPO	KL	24701452
772253	2636	1998-05-05	VYDAJ	PREVOD NA UCET	3254	12163	SIPO	KL	24701452
772254	2636	1998-06-05	VYDAJ	PREVOD NA UCET	3254	13846	SIPO	KL	24701452
772255	2636	1998-07-05	VYDAJ	PREVOD NA UCET	3254	15535	SIPO	KL	24701452
772256	2636	1998-08-05	VYDAJ	PREVOD NA UCET	3254	17231	SIPO	KL	24701452
772257	2636	1998-09-05	VYDAJ	PREVOD NA UCET	3254	18934	SIPO	KL	24701452
772258	2636	1998-10-05	VYDAJ	PREVOD NA UCET	3254	18083	SIPO	KL	24701452
772259	2636	1998-11-05	VYDAJ	PREVOD NA UCET	3254	16906	SIPO	KL	24701452
772260	2636	1998-12-05	VYDAJ	PREVOD NA UCET	3254	15401	SIPO	KL	24701452
772262	2636	1997-06-20	VYDAJ	VYBER	1950	21491	\N	\N	\N
772280	2636	1998-01-17	VYDAJ	VYBER	480	14634	\N	\N	\N
772281	2636	1998-01-19	VYDAJ	VYBER	1200	13434	\N	\N	\N
772282	2636	1998-01-11	VYDAJ	VYBER	2000	15114	\N	\N	\N
772291	2636	1997-12-23	VYDAJ	VYBER	2560	15430	\N	\N	\N
772293	2636	1997-04-14	VYDAJ	VYBER	3440	21570	\N	\N	\N
772294	2636	1997-09-06	VYDAJ	VYBER	1200	16907	\N	\N	\N
772295	2636	1997-11-03	VYDAJ	VYBER	3040	14684	\N	\N	\N
772296	2636	1997-10-24	VYDAJ	VYBER	1920	20769	\N	\N	\N
772297	2636	1997-10-25	VYDAJ	VYBER	3120	17649	\N	\N	\N
772298	2636	1997-07-03	VYDAJ	VYBER	3600	17969	\N	\N	\N
772300	2636	1998-10-24	VYDAJ	VYBER	1280	20085	\N	\N	\N
772302	2636	1998-09-29	VYDAJ	VYBER	2560	21256	\N	\N	\N
772319	2636	1997-04-30	VYDAJ	VYBER	15	21606	SLUZBY	\N	\N
772320	2636	1997-05-31	VYDAJ	VYBER	15	21813	SLUZBY	\N	\N
772321	2636	1997-06-30	VYDAJ	VYBER	15	21569	SLUZBY	\N	\N
772322	2636	1997-07-31	VYDAJ	VYBER	15	19661	SLUZBY	\N	\N
772323	2636	1997-08-31	VYDAJ	VYBER	15	21361	SLUZBY	\N	\N
772324	2636	1997-09-30	VYDAJ	VYBER	15	21861	SLUZBY	\N	\N
772325	2636	1997-10-31	VYDAJ	VYBER	15	17724	SLUZBY	\N	\N
772326	2636	1997-11-30	VYDAJ	VYBER	15	16362	SLUZBY	\N	\N
772327	2636	1997-12-31	VYDAJ	VYBER	15	15486	SLUZBY	\N	\N
772328	2636	1998-01-31	VYDAJ	VYBER	15	13479	SLUZBY	\N	\N
772329	2636	1998-02-28	VYDAJ	VYBER	15	15153	SLUZBY	\N	\N
772330	2636	1998-03-31	VYDAJ	VYBER	15	16834	SLUZBY	\N	\N
772331	2636	1998-04-30	VYDAJ	VYBER	15	15417	SLUZBY	\N	\N
772332	2636	1998-05-31	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
772333	2636	1998-06-30	VYDAJ	VYBER	15	18789	SLUZBY	\N	\N
772334	2636	1998-07-31	VYDAJ	VYBER	15	20485	SLUZBY	\N	\N
772335	2636	1998-08-31	VYDAJ	VYBER	15	22188	SLUZBY	\N	\N
772336	2636	1998-09-30	VYDAJ	VYBER	15	21337	SLUZBY	\N	\N
772337	2636	1998-10-31	VYDAJ	VYBER	15	20160	SLUZBY	\N	\N
772338	2636	1998-11-30	VYDAJ	VYBER	15	18655	SLUZBY	\N	\N
772339	2636	1997-05-25	VYDAJ	VYBER	1500	21734	\N	\N	\N
772340	2636	1997-10-22	VYDAJ	VYBER	800	22689	\N	\N	\N
772341	2636	1998-04-20	VYDAJ	VYBER	3100	15362	\N	\N	\N
772342	2636	1998-10-17	VYDAJ	VYBER	1600	21365	\N	\N	\N
772343	2636	1998-11-16	VYDAJ	VYBER	3200	18588	\N	\N	\N
772365	2637	1997-01-01	PRIJEM	VKLAD	500	500	\N	\N	\N
772366	2637	1997-01-09	PRIJEM	VKLAD	17892	18392	\N	\N	\N
772367	2637	1997-02-09	PRIJEM	VKLAD	17892	35941	\N	\N	\N
772368	2637	1997-03-09	PRIJEM	VKLAD	17892	43908	\N	\N	\N
772369	2637	1997-04-09	PRIJEM	VKLAD	17892	52455	\N	\N	\N
772370	2637	1997-05-09	PRIJEM	VKLAD	17892	52856	\N	\N	\N
772371	2637	1997-06-09	PRIJEM	VKLAD	26838	57303	\N	\N	\N
772372	2637	1997-07-09	PRIJEM	VKLAD	17892	35589	\N	\N	\N
772373	2637	1997-08-09	PRIJEM	VKLAD	17892	38037	\N	\N	\N
772374	2637	1997-09-09	PRIJEM	VKLAD	17892	40861	\N	\N	\N
772375	2637	1997-10-09	PRIJEM	VKLAD	17892	45798	\N	\N	\N
772376	2637	1997-11-09	PRIJEM	VKLAD	17892	44250	\N	\N	\N
772377	2637	1997-12-09	PRIJEM	VKLAD	26838	51484	\N	\N	\N
772378	2637	1998-01-09	PRIJEM	VKLAD	17892	48310	\N	\N	\N
772379	2637	1998-02-09	PRIJEM	VKLAD	17892	46788	\N	\N	\N
772380	2637	1998-03-09	PRIJEM	VKLAD	17892	45404	\N	\N	\N
772381	2637	1998-04-09	PRIJEM	VKLAD	17892	48756	\N	\N	\N
772382	2637	1998-05-09	PRIJEM	VKLAD	17892	48819	\N	\N	\N
772383	2637	1998-06-09	PRIJEM	VKLAD	26838	57146	\N	\N	\N
772384	2637	1998-07-09	PRIJEM	VKLAD	17892	37002	\N	\N	\N
772385	2637	1998-08-09	PRIJEM	VKLAD	17892	42219	\N	\N	\N
772386	2637	1998-09-09	PRIJEM	VKLAD	17892	43351	\N	\N	\N
772387	2637	1998-10-09	PRIJEM	VKLAD	17892	40884	\N	\N	\N
772388	2637	1998-11-09	PRIJEM	VKLAD	17892	35401	\N	\N	\N
772389	2637	1998-12-09	PRIJEM	VKLAD	26838	42145	\N	\N	\N
772395	2637	1997-06-07	VYDAJ	PREVOD NA UCET	5194	30465	SIPO	IJ	16977686
772396	2637	1997-07-07	VYDAJ	PREVOD NA UCET	5194	17697	SIPO	IJ	16977686
772397	2637	1997-08-07	VYDAJ	PREVOD NA UCET	5194	20145	SIPO	IJ	16977686
772398	2637	1997-09-07	VYDAJ	PREVOD NA UCET	5194	22969	SIPO	IJ	16977686
772399	2637	1997-10-07	VYDAJ	PREVOD NA UCET	5194	27906	SIPO	IJ	16977686
772400	2637	1997-11-07	VYDAJ	PREVOD NA UCET	5194	26358	SIPO	IJ	16977686
772401	2637	1997-12-07	VYDAJ	PREVOD NA UCET	5194	24646	SIPO	IJ	16977686
772402	2637	1998-01-07	VYDAJ	PREVOD NA UCET	5194	33778	SIPO	IJ	16977686
772403	2637	1998-02-07	VYDAJ	PREVOD NA UCET	5194	28896	SIPO	IJ	16977686
772404	2637	1998-03-07	VYDAJ	PREVOD NA UCET	5194	27512	SIPO	IJ	16977686
772405	2637	1998-04-07	VYDAJ	PREVOD NA UCET	5194	30864	SIPO	IJ	16977686
772406	2637	1998-05-07	VYDAJ	PREVOD NA UCET	5194	30927	SIPO	IJ	16977686
772407	2637	1998-06-07	VYDAJ	PREVOD NA UCET	5194	30308	SIPO	IJ	16977686
772408	2637	1998-07-07	VYDAJ	PREVOD NA UCET	5194	19110	SIPO	IJ	16977686
772409	2637	1998-08-07	VYDAJ	PREVOD NA UCET	5194	24327	SIPO	IJ	16977686
772410	2637	1998-09-07	VYDAJ	PREVOD NA UCET	5194	25459	SIPO	IJ	16977686
772411	2637	1998-10-07	VYDAJ	PREVOD NA UCET	5194	22992	SIPO	IJ	16977686
772412	2637	1998-11-07	VYDAJ	PREVOD NA UCET	5194	17509	SIPO	IJ	16977686
772413	2637	1998-12-07	VYDAJ	PREVOD NA UCET	5194	15307	SIPO	IJ	16977686
772414	2637	1997-06-28	VYDAJ	VYBER	26400	30903	\N	\N	\N
772415	2637	1998-06-28	VYDAJ	VYBER	16320	24126	\N	\N	\N
772417	2637	1998-01-29	VYDAJ	VYBER	2240	35850	\N	\N	\N
772418	2637	1997-12-18	VYDAJ	VYBER	2880	48604	\N	\N	\N
772426	2637	1998-01-11	VYDAJ	VYBER	840	47470	\N	\N	\N
772427	2637	1998-01-08	VYDAJ	VYBER	3360	30418	\N	\N	\N
772428	2637	1998-01-29	VYDAJ	VYBER	1920	33930	\N	\N	\N
772429	2637	1998-01-16	VYDAJ	VYBER	600	43990	\N	\N	\N
772430	2637	1998-01-04	VYDAJ	VYBER	1800	38972	\N	\N	\N
772431	2637	1998-01-15	VYDAJ	VYBER	2880	44590	\N	\N	\N
772433	2637	1997-12-06	VYDAJ	VYBER	4560	29840	\N	\N	\N
772434	2637	1997-07-26	VYDAJ	VYBER	4560	29229	\N	\N	\N
772435	2637	1997-07-11	VYDAJ	VYBER	1800	33789	\N	\N	\N
772437	2637	1998-03-01	VYDAJ	VYBER	1440	32706	\N	\N	\N
772438	2637	1998-10-25	VYDAJ	VYBER KARTOU	600	22584	\N	\N	0
772439	2637	1998-05-21	VYDAJ	VYBER	2280	46539	\N	\N	\N
772445	2637	1997-05-31	VYDAJ	VYBER	15	53059	SLUZBY	\N	\N
772446	2637	1997-06-30	VYDAJ	VYBER	15	22891	SLUZBY	\N	\N
772447	2637	1997-07-31	VYDAJ	VYBER	15	25339	SLUZBY	\N	\N
772448	2637	1997-08-31	VYDAJ	VYBER	15	28163	SLUZBY	\N	\N
772449	2637	1997-09-30	VYDAJ	VYBER	15	33100	SLUZBY	\N	\N
772450	2637	1997-10-31	VYDAJ	VYBER	15	31552	SLUZBY	\N	\N
772451	2637	1997-11-30	VYDAJ	VYBER	15	34400	SLUZBY	\N	\N
772452	2637	1997-12-31	VYDAJ	VYBER	15	40772	SLUZBY	\N	\N
772453	2637	1998-01-31	VYDAJ	VYBER	15	34090	SLUZBY	\N	\N
772454	2637	1998-02-28	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
772455	2637	1998-03-31	VYDAJ	VYBER	15	36058	SLUZBY	\N	\N
772456	2637	1998-04-30	VYDAJ	VYBER	15	36121	SLUZBY	\N	\N
772457	2637	1998-05-31	VYDAJ	VYBER	15	35502	SLUZBY	\N	\N
772458	2637	1998-06-30	VYDAJ	VYBER	15	24304	SLUZBY	\N	\N
772459	2637	1998-07-31	VYDAJ	VYBER	15	29521	SLUZBY	\N	\N
772460	2637	1998-08-31	VYDAJ	VYBER	15	30653	SLUZBY	\N	\N
772461	2637	1998-09-30	VYDAJ	VYBER	15	28186	SLUZBY	\N	\N
772462	2637	1998-10-31	VYDAJ	VYBER	15	22703	SLUZBY	\N	\N
772463	2637	1998-11-30	VYDAJ	VYBER	15	20501	SLUZBY	\N	\N
772464	2637	1997-01-31	VYDAJ	VYBER	400	18049	\N	\N	\N
772465	2637	1997-03-02	VYDAJ	VYBER	10000	26016	\N	\N	\N
772466	2637	1997-04-01	VYDAJ	VYBER	9500	34563	\N	\N	\N
772467	2637	1997-05-01	VYDAJ	VYBER	17700	34964	\N	\N	\N
772468	2637	1997-05-31	VYDAJ	VYBER	17400	35659	\N	\N	\N
772469	2637	1997-06-30	VYDAJ	VYBER	8200	22906	\N	\N	\N
772470	2637	1997-07-30	VYDAJ	VYBER	4000	25229	\N	\N	\N
772471	2637	1997-08-29	VYDAJ	VYBER	10000	28037	\N	\N	\N
772472	2637	1997-09-28	VYDAJ	VYBER	7900	32961	\N	\N	\N
772473	2637	1997-10-28	VYDAJ	VYBER	14400	31398	\N	\N	\N
772474	2637	1997-11-27	VYDAJ	VYBER	10000	34250	\N	\N	\N
772475	2637	1997-12-27	VYDAJ	VYBER	8000	40604	\N	\N	\N
772476	2637	1998-01-26	VYDAJ	VYBER	5900	38090	\N	\N	\N
772477	2637	1998-02-25	VYDAJ	VYBER	12800	33988	\N	\N	\N
772478	2637	1998-03-27	VYDAJ	VYBER	9500	35904	\N	\N	\N
772479	2637	1998-04-26	VYDAJ	VYBER	12800	35956	\N	\N	\N
772480	2637	1998-05-26	VYDAJ	VYBER	11200	35339	\N	\N	\N
772481	2637	1998-06-25	VYDAJ	VYBER	16700	40446	\N	\N	\N
772482	2637	1998-07-25	VYDAJ	VYBER	7600	29402	\N	\N	\N
772483	2637	1998-08-24	VYDAJ	VYBER	11700	30519	\N	\N	\N
772484	2637	1998-09-23	VYDAJ	VYBER	15300	28051	\N	\N	\N
772485	2637	1998-10-23	VYDAJ	VYBER	17700	23184	\N	\N	\N
772486	2637	1998-11-22	VYDAJ	VYBER	15000	20401	\N	\N	\N
772511	2638	1994-06-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
772517	2638	1994-06-12	PRIJEM	VKLAD	30122	31222	\N	\N	\N
772518	2638	1994-07-12	PRIJEM	VKLAD	20081	48485	\N	\N	\N
772519	2638	1994-08-12	PRIJEM	VKLAD	20081	57842	\N	\N	\N
772520	2638	1994-09-12	PRIJEM	VKLAD	20081	62949	\N	\N	\N
772521	2638	1994-10-12	PRIJEM	VKLAD	20081	65108	\N	\N	\N
772522	2638	1994-11-12	PRIJEM	VKLAD	20081	57878	\N	\N	\N
772523	2638	1994-12-12	PRIJEM	VKLAD	30122	64468	\N	\N	\N
772524	2638	1995-01-12	PRIJEM	VKLAD	20081	54013	\N	\N	\N
772525	2638	1995-02-12	PRIJEM	VKLAD	20081	53331	\N	\N	\N
772526	2638	1995-03-12	PRIJEM	VKLAD	20081	56807	\N	\N	\N
772527	2638	1995-04-12	PRIJEM	VKLAD	20081	55297	\N	\N	\N
772528	2638	1995-05-12	PRIJEM	VKLAD	20081	56881	\N	\N	\N
772529	2638	1995-06-12	PRIJEM	VKLAD	30122	69512	\N	\N	\N
772530	2638	1995-07-12	PRIJEM	VKLAD	20081	59331	\N	\N	\N
772531	2638	1995-08-12	PRIJEM	VKLAD	20081	56727	\N	\N	\N
772532	2638	1995-09-12	PRIJEM	VKLAD	20081	55667	\N	\N	\N
772533	2638	1995-10-12	PRIJEM	VKLAD	20081	54545	\N	\N	\N
772534	2638	1995-11-12	PRIJEM	VKLAD	20081	58622	\N	\N	\N
772535	2638	1995-12-12	PRIJEM	VKLAD	30122	62999	\N	\N	\N
772536	2638	1996-01-12	PRIJEM	VKLAD	20081	56474	\N	\N	\N
772537	2638	1996-02-12	PRIJEM	VKLAD	20081	45676	\N	\N	\N
772538	2638	1996-03-12	PRIJEM	VKLAD	20081	52116	\N	\N	\N
772539	2638	1996-04-12	PRIJEM	VKLAD	20081	46093	\N	\N	\N
772540	2638	1996-05-12	PRIJEM	VKLAD	20081	50935	\N	\N	\N
772541	2638	1996-06-12	PRIJEM	VKLAD	30122	65234	\N	\N	\N
772542	2638	1996-07-12	PRIJEM	VKLAD	20081	61224	\N	\N	\N
772543	2638	1996-08-12	PRIJEM	VKLAD	20081	56625	\N	\N	\N
772544	2638	1996-09-12	PRIJEM	VKLAD	20081	58000	\N	\N	\N
772545	2638	1996-10-12	PRIJEM	VKLAD	20081	57176	\N	\N	\N
772546	2638	1996-11-12	PRIJEM	VKLAD	20081	57750	\N	\N	\N
772547	2638	1996-12-12	PRIJEM	VKLAD	30122	67964	\N	\N	\N
772548	2638	1997-01-12	PRIJEM	VKLAD	20081	54450	\N	\N	\N
772549	2638	1997-02-12	PRIJEM	VKLAD	20081	56018	\N	\N	\N
772550	2638	1997-03-12	PRIJEM	VKLAD	20081	56682	\N	\N	\N
772551	2638	1997-04-12	PRIJEM	VKLAD	20081	57351	\N	\N	\N
772552	2638	1997-05-12	PRIJEM	VKLAD	20081	61028	\N	\N	\N
772553	2638	1997-06-12	PRIJEM	VKLAD	30122	71754	\N	\N	\N
772554	2638	1997-07-12	PRIJEM	VKLAD	20081	62747	\N	\N	\N
772555	2638	1997-08-12	PRIJEM	VKLAD	20081	57525	\N	\N	\N
772556	2638	1997-09-12	PRIJEM	VKLAD	20081	56890	\N	\N	\N
772557	2638	1997-10-12	PRIJEM	VKLAD	20081	56951	\N	\N	\N
772558	2638	1997-11-12	PRIJEM	VKLAD	20081	56211	\N	\N	\N
772559	2638	1997-12-12	PRIJEM	VKLAD	30122	62899	\N	\N	\N
772560	2638	1998-01-12	PRIJEM	VKLAD	20081	56757	\N	\N	\N
772561	2638	1998-02-12	PRIJEM	VKLAD	20081	49621	\N	\N	\N
772562	2638	1998-03-12	PRIJEM	VKLAD	20081	63576	\N	\N	\N
772563	2638	1998-04-12	PRIJEM	VKLAD	20081	59752	\N	\N	\N
772564	2638	1998-05-12	PRIJEM	VKLAD	20081	56360	\N	\N	\N
772565	2638	1998-06-12	PRIJEM	VKLAD	30122	68590	\N	\N	\N
772566	2638	1998-07-12	PRIJEM	VKLAD	20081	66815	\N	\N	\N
772567	2638	1998-08-12	PRIJEM	VKLAD	20081	67587	\N	\N	\N
772568	2638	1998-09-12	PRIJEM	VKLAD	20081	70935	\N	\N	\N
772569	2638	1998-10-12	PRIJEM	VKLAD	20081	73797	\N	\N	\N
772570	2638	1998-11-12	PRIJEM	VKLAD	20081	74972	\N	\N	\N
772571	2638	1998-12-12	PRIJEM	VKLAD	30122	87492	\N	\N	\N
772582	2638	1994-11-11	VYDAJ	PREVOD NA UCET	1018	37797	SIPO	IJ	93051498
772583	2638	1994-12-11	VYDAJ	PREVOD NA UCET	1018	34347	SIPO	IJ	93051498
772584	2638	1995-01-11	VYDAJ	PREVOD NA UCET	1018	33932	SIPO	IJ	93051498
772585	2638	1995-02-11	VYDAJ	PREVOD NA UCET	1018	33250	SIPO	IJ	93051498
772586	2638	1995-03-11	VYDAJ	PREVOD NA UCET	1018	36726	SIPO	IJ	93051498
772587	2638	1995-04-11	VYDAJ	PREVOD NA UCET	1018	35216	SIPO	IJ	93051498
772588	2638	1995-05-11	VYDAJ	PREVOD NA UCET	1018	36800	SIPO	IJ	93051498
772589	2638	1995-06-11	VYDAJ	PREVOD NA UCET	1018	39391	SIPO	IJ	93051498
772590	2638	1995-07-11	VYDAJ	PREVOD NA UCET	1018	39250	SIPO	IJ	93051498
772591	2638	1995-08-11	VYDAJ	PREVOD NA UCET	1018	36646	SIPO	IJ	93051498
772592	2638	1995-09-11	VYDAJ	PREVOD NA UCET	1018	35586	SIPO	IJ	93051498
772593	2638	1995-10-11	VYDAJ	PREVOD NA UCET	1018	34464	SIPO	IJ	93051498
772594	2638	1995-11-11	VYDAJ	PREVOD NA UCET	1018	38541	SIPO	IJ	93051498
772595	2638	1995-12-11	VYDAJ	PREVOD NA UCET	1018	32878	SIPO	IJ	93051498
772596	2638	1996-01-11	VYDAJ	PREVOD NA UCET	1018	36393	SIPO	IJ	93051498
772597	2638	1996-02-11	VYDAJ	PREVOD NA UCET	1018	25595	SIPO	IJ	93051498
772598	2638	1996-03-11	VYDAJ	PREVOD NA UCET	1018	32035	SIPO	IJ	93051498
772599	2638	1996-04-11	VYDAJ	PREVOD NA UCET	1018	26012	SIPO	IJ	93051498
772600	2638	1996-05-11	VYDAJ	PREVOD NA UCET	1018	30854	SIPO	IJ	93051498
772601	2638	1996-06-11	VYDAJ	PREVOD NA UCET	1018	35113	SIPO	IJ	93051498
772602	2638	1996-07-11	VYDAJ	PREVOD NA UCET	1018	41143	SIPO	IJ	93051498
772603	2638	1996-08-11	VYDAJ	PREVOD NA UCET	1018	36544	SIPO	IJ	93051498
772604	2638	1996-09-11	VYDAJ	PREVOD NA UCET	1018	37919	SIPO	IJ	93051498
772605	2638	1996-10-11	VYDAJ	PREVOD NA UCET	1018	37095	SIPO	IJ	93051498
772606	2638	1996-11-11	VYDAJ	PREVOD NA UCET	1018	37669	SIPO	IJ	93051498
772607	2638	1996-12-11	VYDAJ	PREVOD NA UCET	1018	37843	SIPO	IJ	93051498
772608	2638	1997-01-11	VYDAJ	PREVOD NA UCET	1018	34369	SIPO	IJ	93051498
772609	2638	1997-02-11	VYDAJ	PREVOD NA UCET	1018	35937	SIPO	IJ	93051498
772610	2638	1997-03-11	VYDAJ	PREVOD NA UCET	1018	36601	SIPO	IJ	93051498
772611	2638	1997-04-11	VYDAJ	PREVOD NA UCET	1018	37270	SIPO	IJ	93051498
772612	2638	1997-05-11	VYDAJ	PREVOD NA UCET	1018	40947	SIPO	IJ	93051498
772613	2638	1997-06-11	VYDAJ	PREVOD NA UCET	1018	41632	SIPO	IJ	93051498
772614	2638	1997-07-11	VYDAJ	PREVOD NA UCET	1018	42666	SIPO	IJ	93051498
772615	2638	1997-08-11	VYDAJ	PREVOD NA UCET	1018	37444	SIPO	IJ	93051498
772616	2638	1997-09-11	VYDAJ	PREVOD NA UCET	1018	36809	SIPO	IJ	93051498
772617	2638	1997-10-11	VYDAJ	PREVOD NA UCET	1018	36870	SIPO	IJ	93051498
772618	2638	1997-11-11	VYDAJ	PREVOD NA UCET	1018	36130	SIPO	IJ	93051498
772619	2638	1997-12-11	VYDAJ	PREVOD NA UCET	1018	32777	SIPO	IJ	93051498
772620	2638	1998-01-11	VYDAJ	PREVOD NA UCET	1018	36676	SIPO	IJ	93051498
772621	2638	1998-02-11	VYDAJ	PREVOD NA UCET	1018	29540	SIPO	IJ	93051498
772622	2638	1998-03-11	VYDAJ	PREVOD NA UCET	1018	43495	SIPO	IJ	93051498
772623	2638	1998-04-11	VYDAJ	PREVOD NA UCET	1018	39671	SIPO	IJ	93051498
772624	2638	1998-05-11	VYDAJ	PREVOD NA UCET	1018	36279	SIPO	IJ	93051498
772625	2638	1998-06-11	VYDAJ	PREVOD NA UCET	1018	38468	SIPO	IJ	93051498
772626	2638	1998-07-11	VYDAJ	PREVOD NA UCET	1018	46734	SIPO	IJ	93051498
772627	2638	1998-08-11	VYDAJ	PREVOD NA UCET	1018	47506	SIPO	IJ	93051498
772628	2638	1998-09-11	VYDAJ	PREVOD NA UCET	1018	50854	SIPO	IJ	93051498
772629	2638	1998-10-11	VYDAJ	PREVOD NA UCET	1018	53716	SIPO	IJ	93051498
772630	2638	1998-11-11	VYDAJ	PREVOD NA UCET	1018	54891	SIPO	IJ	93051498
772631	2638	1998-12-11	VYDAJ	PREVOD NA UCET	1018	57371	SIPO	IJ	93051498
772642	2638	1994-11-08	VYDAJ	PREVOD NA UCET	728	43353	 	AB	13954824
772643	2638	1994-12-08	VYDAJ	PREVOD NA UCET	728	39903	 	AB	13954824
772644	2638	1995-01-08	VYDAJ	PREVOD NA UCET	728	39488	 	AB	13954824
772645	2638	1995-02-08	VYDAJ	PREVOD NA UCET	728	38806	 	AB	13954824
772646	2638	1995-03-08	VYDAJ	PREVOD NA UCET	728	42282	 	AB	13954824
772647	2638	1995-04-08	VYDAJ	PREVOD NA UCET	728	40772	 	AB	13954824
772648	2638	1995-05-08	VYDAJ	PREVOD NA UCET	728	42356	 	AB	13954824
772649	2638	1995-06-08	VYDAJ	PREVOD NA UCET	728	44947	 	AB	13954824
772650	2638	1995-07-08	VYDAJ	PREVOD NA UCET	728	45806	 	AB	13954824
772651	2638	1995-08-08	VYDAJ	PREVOD NA UCET	728	42202	 	AB	13954824
772652	2638	1995-09-08	VYDAJ	PREVOD NA UCET	728	41142	 	AB	13954824
772653	2638	1995-10-08	VYDAJ	PREVOD NA UCET	728	40020	 	AB	13954824
772654	2638	1995-11-08	VYDAJ	PREVOD NA UCET	728	44097	 	AB	13954824
772655	2638	1995-12-08	VYDAJ	PREVOD NA UCET	728	41334	 	AB	13954824
772656	2638	1996-01-08	VYDAJ	PREVOD NA UCET	728	41949	 	AB	13954824
772657	2638	1996-02-08	VYDAJ	PREVOD NA UCET	728	31151	 	AB	13954824
772658	2638	1996-03-08	VYDAJ	PREVOD NA UCET	728	37591	 	AB	13954824
772659	2638	1996-04-08	VYDAJ	PREVOD NA UCET	728	31568	 	AB	13954824
772660	2638	1996-05-08	VYDAJ	PREVOD NA UCET	728	36410	 	AB	13954824
772661	2638	1996-06-08	VYDAJ	PREVOD NA UCET	728	40669	 	AB	13954824
772662	2638	1996-07-08	VYDAJ	PREVOD NA UCET	728	46699	 	AB	13954824
772663	2638	1996-08-08	VYDAJ	PREVOD NA UCET	728	42100	 	AB	13954824
772664	2638	1996-09-08	VYDAJ	PREVOD NA UCET	728	43475	 	AB	13954824
772665	2638	1996-10-08	VYDAJ	PREVOD NA UCET	728	42651	 	AB	13954824
772666	2638	1996-11-08	VYDAJ	PREVOD NA UCET	728	43225	 	AB	13954824
772667	2638	1996-12-08	VYDAJ	PREVOD NA UCET	728	43399	 	AB	13954824
772668	2638	1997-01-08	VYDAJ	PREVOD NA UCET	728	41225	 	AB	13954824
772669	2638	1997-02-08	VYDAJ	PREVOD NA UCET	728	41493	 	AB	13954824
772670	2638	1997-03-08	VYDAJ	PREVOD NA UCET	728	42157	 	AB	13954824
772671	2638	1997-04-08	VYDAJ	PREVOD NA UCET	728	42826	 	AB	13954824
772672	2638	1997-05-08	VYDAJ	PREVOD NA UCET	728	46503	 	AB	13954824
772673	2638	1997-06-08	VYDAJ	PREVOD NA UCET	728	47188	 	AB	13954824
772674	2638	1997-07-08	VYDAJ	PREVOD NA UCET	728	48222	 	AB	13954824
772675	2638	1997-08-08	VYDAJ	PREVOD NA UCET	728	43000	 	AB	13954824
772676	2638	1997-09-08	VYDAJ	PREVOD NA UCET	728	42365	 	AB	13954824
772677	2638	1997-10-08	VYDAJ	PREVOD NA UCET	728	42426	 	AB	13954824
772678	2638	1997-11-08	VYDAJ	PREVOD NA UCET	728	41686	 	AB	13954824
772679	2638	1997-12-08	VYDAJ	PREVOD NA UCET	728	38333	 	AB	13954824
772680	2638	1998-01-08	VYDAJ	PREVOD NA UCET	728	42232	 	AB	13954824
772681	2638	1998-02-08	VYDAJ	PREVOD NA UCET	728	31096	 	AB	13954824
772682	2638	1998-03-08	VYDAJ	PREVOD NA UCET	728	49051	 	AB	13954824
772683	2638	1998-04-08	VYDAJ	PREVOD NA UCET	728	45227	 	AB	13954824
772684	2638	1998-05-08	VYDAJ	PREVOD NA UCET	728	41835	 	AB	13954824
772685	2638	1998-06-08	VYDAJ	PREVOD NA UCET	728	44224	 	AB	13954824
772686	2638	1998-07-08	VYDAJ	PREVOD NA UCET	728	66690	 	AB	13954824
772687	2638	1998-08-08	VYDAJ	PREVOD NA UCET	728	62262	 	AB	13954824
772688	2638	1998-09-08	VYDAJ	PREVOD NA UCET	728	67110	 	AB	13954824
772689	2638	1998-10-08	VYDAJ	PREVOD NA UCET	728	70472	 	AB	13954824
772690	2638	1998-11-08	VYDAJ	PREVOD NA UCET	728	73347	 	AB	13954824
772691	2638	1998-12-08	VYDAJ	PREVOD NA UCET	728	62927	 	AB	13954824
772702	2638	1994-11-09	VYDAJ	PREVOD NA UCET	4538	38815	POJISTNE	UV	68702125
772703	2638	1994-12-09	VYDAJ	PREVOD NA UCET	4538	35365	POJISTNE	UV	68702125
772704	2638	1995-01-09	VYDAJ	PREVOD NA UCET	4538	34950	POJISTNE	UV	68702125
772705	2638	1995-02-09	VYDAJ	PREVOD NA UCET	4538	34268	POJISTNE	UV	68702125
772706	2638	1995-03-09	VYDAJ	PREVOD NA UCET	4538	37744	POJISTNE	UV	68702125
772707	2638	1995-04-09	VYDAJ	PREVOD NA UCET	4538	36234	POJISTNE	UV	68702125
772708	2638	1995-05-09	VYDAJ	PREVOD NA UCET	4538	37818	POJISTNE	UV	68702125
772709	2638	1995-06-09	VYDAJ	PREVOD NA UCET	4538	40409	POJISTNE	UV	68702125
772710	2638	1995-07-09	VYDAJ	PREVOD NA UCET	4538	40268	POJISTNE	UV	68702125
772711	2638	1995-08-09	VYDAJ	PREVOD NA UCET	4538	37664	POJISTNE	UV	68702125
772712	2638	1995-09-09	VYDAJ	PREVOD NA UCET	4538	36604	POJISTNE	UV	68702125
772713	2638	1995-10-09	VYDAJ	PREVOD NA UCET	4538	35482	POJISTNE	UV	68702125
772714	2638	1995-11-09	VYDAJ	PREVOD NA UCET	4538	39559	POJISTNE	UV	68702125
772715	2638	1995-12-09	VYDAJ	PREVOD NA UCET	4538	33896	POJISTNE	UV	68702125
772716	2638	1996-01-09	VYDAJ	PREVOD NA UCET	4538	37411	POJISTNE	UV	68702125
772717	2638	1996-02-09	VYDAJ	PREVOD NA UCET	4538	26613	POJISTNE	UV	68702125
772718	2638	1996-03-09	VYDAJ	PREVOD NA UCET	4538	33053	POJISTNE	UV	68702125
772719	2638	1996-04-09	VYDAJ	PREVOD NA UCET	4538	27030	POJISTNE	UV	68702125
772720	2638	1996-05-09	VYDAJ	PREVOD NA UCET	4538	31872	POJISTNE	UV	68702125
772721	2638	1996-06-09	VYDAJ	PREVOD NA UCET	4538	36131	POJISTNE	UV	68702125
772722	2638	1996-07-09	VYDAJ	PREVOD NA UCET	4538	42161	POJISTNE	UV	68702125
772723	2638	1996-08-09	VYDAJ	PREVOD NA UCET	4538	37562	POJISTNE	UV	68702125
772724	2638	1996-09-09	VYDAJ	PREVOD NA UCET	4538	38937	POJISTNE	UV	68702125
772725	2638	1996-10-09	VYDAJ	PREVOD NA UCET	4538	38113	POJISTNE	UV	68702125
772726	2638	1996-11-09	VYDAJ	PREVOD NA UCET	4538	38687	POJISTNE	UV	68702125
772727	2638	1996-12-09	VYDAJ	PREVOD NA UCET	4538	38861	POJISTNE	UV	68702125
772728	2638	1997-01-09	VYDAJ	PREVOD NA UCET	4538	35387	POJISTNE	UV	68702125
772729	2638	1997-02-09	VYDAJ	PREVOD NA UCET	4538	36955	POJISTNE	UV	68702125
772730	2638	1997-03-09	VYDAJ	PREVOD NA UCET	4538	37619	POJISTNE	UV	68702125
772731	2638	1997-04-09	VYDAJ	PREVOD NA UCET	4538	38288	POJISTNE	UV	68702125
772732	2638	1997-05-09	VYDAJ	PREVOD NA UCET	4538	41965	POJISTNE	UV	68702125
772733	2638	1997-06-09	VYDAJ	PREVOD NA UCET	4538	42650	POJISTNE	UV	68702125
772734	2638	1997-07-09	VYDAJ	PREVOD NA UCET	4538	43684	POJISTNE	UV	68702125
772735	2638	1997-08-09	VYDAJ	PREVOD NA UCET	4538	38462	POJISTNE	UV	68702125
772736	2638	1997-09-09	VYDAJ	PREVOD NA UCET	4538	37827	POJISTNE	UV	68702125
772737	2638	1997-10-09	VYDAJ	PREVOD NA UCET	4538	37888	POJISTNE	UV	68702125
772738	2638	1997-11-09	VYDAJ	PREVOD NA UCET	4538	37148	POJISTNE	UV	68702125
772739	2638	1997-12-09	VYDAJ	PREVOD NA UCET	4538	33795	POJISTNE	UV	68702125
772740	2638	1998-01-09	VYDAJ	PREVOD NA UCET	4538	37694	POJISTNE	UV	68702125
772741	2638	1998-02-09	VYDAJ	PREVOD NA UCET	4538	26558	POJISTNE	UV	68702125
772742	2638	1998-03-09	VYDAJ	PREVOD NA UCET	4538	44513	POJISTNE	UV	68702125
772743	2638	1998-04-09	VYDAJ	PREVOD NA UCET	4538	40689	POJISTNE	UV	68702125
772744	2638	1998-05-09	VYDAJ	PREVOD NA UCET	4538	37297	POJISTNE	UV	68702125
772745	2638	1998-06-09	VYDAJ	PREVOD NA UCET	4538	39686	POJISTNE	UV	68702125
772746	2638	1998-07-09	VYDAJ	PREVOD NA UCET	4538	62152	POJISTNE	UV	68702125
772747	2638	1998-08-09	VYDAJ	PREVOD NA UCET	4538	57724	POJISTNE	UV	68702125
772748	2638	1998-09-09	VYDAJ	PREVOD NA UCET	4538	62572	POJISTNE	UV	68702125
772749	2638	1998-10-09	VYDAJ	PREVOD NA UCET	4538	54734	POJISTNE	UV	68702125
772750	2638	1998-11-09	VYDAJ	PREVOD NA UCET	4538	55909	POJISTNE	UV	68702125
772751	2638	1998-12-09	VYDAJ	PREVOD NA UCET	4538	58389	POJISTNE	UV	68702125
772752	2638	1994-12-23	VYDAJ	VYBER	960	63508	\N	\N	\N
772753	2638	1995-12-09	VYDAJ	VYBER KARTOU	2900	38434	\N	\N	0
772754	2638	1996-12-21	VYDAJ	VYBER KARTOU	3700	44864	\N	\N	0
772755	2638	1997-12-29	VYDAJ	VYBER KARTOU	2400	42799	\N	\N	0
772756	2638	1998-12-17	VYDAJ	VYBER KARTOU	1300	86192	\N	\N	0
772763	2638	1995-01-28	VYDAJ	VYBER	960	39353	\N	\N	\N
772764	2638	1995-01-20	VYDAJ	VYBER	1200	52213	\N	\N	\N
772765	2638	1995-01-04	VYDAJ	VYBER	1080	43336	\N	\N	\N
772766	2638	1995-01-07	VYDAJ	VYBER	3120	40216	\N	\N	\N
772767	2638	1995-01-01	VYDAJ	VYBER	600	44416	\N	\N	\N
772768	2638	1995-01-14	VYDAJ	VYBER	600	53413	\N	\N	\N
772769	2638	1996-01-21	VYDAJ	VYBER KARTOU	1900	48074	\N	\N	0
772770	2638	1996-01-15	VYDAJ	VYBER KARTOU	2300	54174	\N	\N	0
772771	2638	1996-01-03	VYDAJ	VYBER KARTOU	2200	46997	\N	\N	0
772772	2638	1996-01-30	VYDAJ	VYBER KARTOU	2300	31714	\N	\N	0
772773	2638	1996-01-19	VYDAJ	VYBER KARTOU	3400	49974	\N	\N	0
772774	2638	1996-01-16	VYDAJ	VYBER KARTOU	800	53374	\N	\N	0
772775	2638	1997-01-17	VYDAJ	VYBER KARTOU	1600	44550	\N	\N	0
772776	2638	1997-01-17	VYDAJ	VYBER KARTOU	1300	50050	\N	\N	0
772777	2638	1997-01-02	VYDAJ	VYBER KARTOU	800	44253	\N	\N	0
772778	2638	1997-01-06	VYDAJ	VYBER KARTOU	2300	41953	\N	\N	0
772779	2638	1997-01-09	VYDAJ	VYBER KARTOU	1300	39925	\N	\N	0
772780	2638	1997-01-22	VYDAJ	VYBER KARTOU	2500	42050	\N	\N	0
772781	2638	1998-01-27	VYDAJ	VYBER KARTOU	2900	31657	\N	\N	0
772782	2638	1998-01-26	VYDAJ	VYBER KARTOU	3000	34557	\N	\N	0
772783	2638	1998-01-12	VYDAJ	VYBER KARTOU	3100	50757	\N	\N	0
772784	2638	1998-01-22	VYDAJ	VYBER KARTOU	1300	39557	\N	\N	0
772785	2638	1998-01-12	VYDAJ	VYBER KARTOU	2900	53857	\N	\N	0
772786	2638	1998-01-23	VYDAJ	VYBER KARTOU	2000	37557	\N	\N	0
772788	2638	1994-11-18	VYDAJ	VYBER	3840	54038	\N	\N	\N
772793	2638	1995-11-18	VYDAJ	VYBER	5040	49582	\N	\N	\N
772794	2638	1995-11-14	VYDAJ	VYBER KARTOU	4000	54622	\N	\N	0
772795	2638	1995-06-19	VYDAJ	VYBER KARTOU	2000	67512	\N	\N	0
772796	2638	1995-06-29	VYDAJ	VYBER KARTOU	1400	46312	\N	\N	0
772797	2638	1995-08-20	VYDAJ	VYBER	4440	52287	\N	\N	\N
772798	2638	1995-07-08	VYDAJ	VYBER KARTOU	1000	44806	\N	\N	0
772799	2638	1995-09-26	VYDAJ	VYBER KARTOU	1800	40567	\N	\N	0
772800	2638	1996-09-20	VYDAJ	VYBER KARTOU	1800	43200	\N	\N	0
772801	2638	1996-04-04	VYDAJ	VYBER KARTOU	2300	32296	\N	\N	0
772802	2638	1996-03-26	VYDAJ	VYBER	4680	34436	\N	\N	\N
772803	2638	1996-07-16	VYDAJ	VYBER	5880	55344	\N	\N	\N
772804	2638	1996-07-16	VYDAJ	VYBER KARTOU	3000	52344	\N	\N	0
772805	2638	1996-01-21	VYDAJ	VYBER	5760	42314	\N	\N	\N
772806	2638	1996-11-19	VYDAJ	VYBER KARTOU	800	43950	\N	\N	0
772807	2638	1996-01-03	VYDAJ	VYBER	4320	42677	\N	\N	\N
772808	2638	1996-01-25	VYDAJ	VYBER KARTOU	1000	34014	\N	\N	0
772809	2638	1997-08-19	VYDAJ	VYBER KARTOU	2400	42925	\N	\N	0
772810	2638	1997-01-13	VYDAJ	VYBER KARTOU	3100	51350	\N	\N	0
772811	2638	1998-04-24	VYDAJ	VYBER	5280	42372	\N	\N	\N
772812	2638	1998-06-28	VYDAJ	VYBER KARTOU	1400	67190	\N	\N	0
772813	2638	1998-07-27	VYDAJ	VYBER	4080	62735	\N	\N	\N
772824	2638	1994-10-31	VYDAJ	VYBER	15	44081	SLUZBY	\N	\N
772825	2638	1994-11-30	VYDAJ	VYBER	15	40631	SLUZBY	\N	\N
772826	2638	1994-12-31	VYDAJ	VYBER	15	45016	SLUZBY	\N	\N
772827	2638	1995-01-31	VYDAJ	VYBER	15	39534	SLUZBY	\N	\N
772828	2638	1995-02-28	VYDAJ	VYBER	15	43010	SLUZBY	\N	\N
772829	2638	1995-03-31	VYDAJ	VYBER	15	41500	SLUZBY	\N	\N
772830	2638	1995-04-30	VYDAJ	VYBER	15	43084	SLUZBY	\N	\N
772831	2638	1995-05-31	VYDAJ	VYBER	15	45675	SLUZBY	\N	\N
772832	2638	1995-06-30	VYDAJ	VYBER	15	46534	SLUZBY	\N	\N
772833	2638	1995-07-31	VYDAJ	VYBER	15	42930	SLUZBY	\N	\N
772834	2638	1995-08-31	VYDAJ	VYBER	15	41870	SLUZBY	\N	\N
772835	2638	1995-09-30	VYDAJ	VYBER	15	40748	SLUZBY	\N	\N
772836	2638	1995-10-31	VYDAJ	VYBER	15	44825	SLUZBY	\N	\N
772837	2638	1995-11-30	VYDAJ	VYBER	15	42062	SLUZBY	\N	\N
772838	2638	1995-12-31	VYDAJ	VYBER	15	49197	SLUZBY	\N	\N
772839	2638	1996-01-31	VYDAJ	VYBER	15	31879	SLUZBY	\N	\N
772840	2638	1996-02-29	VYDAJ	VYBER	15	38319	SLUZBY	\N	\N
772841	2638	1996-03-31	VYDAJ	VYBER	15	34596	SLUZBY	\N	\N
772842	2638	1996-04-30	VYDAJ	VYBER	15	37138	SLUZBY	\N	\N
772843	2638	1996-05-31	VYDAJ	VYBER	15	41397	SLUZBY	\N	\N
772844	2638	1996-06-30	VYDAJ	VYBER	15	47427	SLUZBY	\N	\N
772845	2638	1996-07-31	VYDAJ	VYBER	15	42828	SLUZBY	\N	\N
772846	2638	1996-08-31	VYDAJ	VYBER	15	44203	SLUZBY	\N	\N
772847	2638	1996-09-30	VYDAJ	VYBER	15	43379	SLUZBY	\N	\N
772848	2638	1996-10-31	VYDAJ	VYBER	15	43953	SLUZBY	\N	\N
772849	2638	1996-11-30	VYDAJ	VYBER	15	44127	SLUZBY	\N	\N
772850	2638	1996-12-31	VYDAJ	VYBER	15	45053	SLUZBY	\N	\N
772851	2638	1997-01-31	VYDAJ	VYBER	15	42221	SLUZBY	\N	\N
772852	2638	1997-02-28	VYDAJ	VYBER	15	42885	SLUZBY	\N	\N
772853	2638	1997-03-31	VYDAJ	VYBER	15	43554	SLUZBY	\N	\N
772854	2638	1997-04-30	VYDAJ	VYBER	15	47231	SLUZBY	\N	\N
772855	2638	1997-05-31	VYDAJ	VYBER	15	47916	SLUZBY	\N	\N
772856	2638	1997-06-30	VYDAJ	VYBER	15	48950	SLUZBY	\N	\N
772857	2638	1997-07-31	VYDAJ	VYBER	15	43728	SLUZBY	\N	\N
772858	2638	1997-08-31	VYDAJ	VYBER	15	43093	SLUZBY	\N	\N
772859	2638	1997-09-30	VYDAJ	VYBER	15	43154	SLUZBY	\N	\N
772860	2638	1997-10-31	VYDAJ	VYBER	15	42414	SLUZBY	\N	\N
772861	2638	1997-11-30	VYDAJ	VYBER	15	39061	SLUZBY	\N	\N
772862	2638	1997-12-31	VYDAJ	VYBER	15	42960	SLUZBY	\N	\N
772863	2638	1998-01-31	VYDAJ	VYBER	15	31824	SLUZBY	\N	\N
772864	2638	1998-02-28	VYDAJ	VYBER	15	49779	SLUZBY	\N	\N
772865	2638	1998-03-31	VYDAJ	VYBER	15	45955	SLUZBY	\N	\N
772866	2638	1998-04-30	VYDAJ	VYBER	15	42563	SLUZBY	\N	\N
772867	2638	1998-05-31	VYDAJ	VYBER	15	44952	SLUZBY	\N	\N
772868	2638	1998-06-30	VYDAJ	VYBER	15	67418	SLUZBY	\N	\N
772869	2638	1998-07-31	VYDAJ	VYBER	15	62990	SLUZBY	\N	\N
772870	2638	1998-08-31	VYDAJ	VYBER	15	67838	SLUZBY	\N	\N
772871	2638	1998-09-30	VYDAJ	VYBER	15	71200	SLUZBY	\N	\N
772872	2638	1998-10-31	VYDAJ	VYBER	15	74075	SLUZBY	\N	\N
772873	2638	1998-11-30	VYDAJ	VYBER	15	75255	SLUZBY	\N	\N
772874	2638	1994-07-02	VYDAJ	VYBER	2900	28404	\N	\N	\N
772875	2638	1994-08-01	VYDAJ	VYBER	10900	37761	\N	\N	\N
772876	2638	1994-08-31	VYDAJ	VYBER	15200	42868	\N	\N	\N
772877	2638	1994-09-30	VYDAJ	VYBER	18100	45027	\N	\N	\N
772878	2638	1994-10-30	VYDAJ	VYBER	21200	43908	\N	\N	\N
772879	2638	1994-11-29	VYDAJ	VYBER	13600	40438	\N	\N	\N
772880	2638	1994-12-29	VYDAJ	VYBER	18700	44808	\N	\N	\N
772881	2638	1995-01-28	VYDAJ	VYBER	11900	40313	\N	\N	\N
772882	2638	1995-02-27	VYDAJ	VYBER	10500	42831	\N	\N	\N
772883	2638	1995-03-29	VYDAJ	VYBER	15500	41307	\N	\N	\N
772884	2638	1995-04-28	VYDAJ	VYBER	12400	42897	\N	\N	\N
772885	2638	1995-05-28	VYDAJ	VYBER	11400	45481	\N	\N	\N
772886	2638	1995-06-27	VYDAJ	VYBER	19800	47712	\N	\N	\N
772887	2638	1995-07-27	VYDAJ	VYBER	16600	42731	\N	\N	\N
772888	2638	1995-08-26	VYDAJ	VYBER	10600	41687	\N	\N	\N
772889	2638	1995-09-25	VYDAJ	VYBER	13300	42367	\N	\N	\N
772890	2638	1995-10-25	VYDAJ	VYBER	9900	44645	\N	\N	\N
772891	2638	1995-11-24	VYDAJ	VYBER	7700	41882	\N	\N	\N
772892	2638	1995-12-24	VYDAJ	VYBER	14000	48999	\N	\N	\N
772893	2638	1996-01-23	VYDAJ	VYBER	7300	35014	\N	\N	\N
772894	2638	1996-02-22	VYDAJ	VYBER	7500	38176	\N	\N	\N
772895	2638	1996-03-23	VYDAJ	VYBER	13000	39116	\N	\N	\N
772896	2638	1996-04-22	VYDAJ	VYBER	9100	36993	\N	\N	\N
772897	2638	1996-05-22	VYDAJ	VYBER	9700	41235	\N	\N	\N
772898	2638	1996-06-21	VYDAJ	VYBER	18000	47234	\N	\N	\N
772899	2638	1996-07-21	VYDAJ	VYBER	9700	42644	\N	\N	\N
772900	2638	1996-08-20	VYDAJ	VYBER	12600	44025	\N	\N	\N
772901	2638	1996-09-19	VYDAJ	VYBER	13000	45000	\N	\N	\N
772902	2638	1996-10-19	VYDAJ	VYBER	13400	43776	\N	\N	\N
772903	2638	1996-11-18	VYDAJ	VYBER	13000	44750	\N	\N	\N
772904	2638	1996-12-18	VYDAJ	VYBER	19400	48564	\N	\N	\N
772905	2638	1997-01-17	VYDAJ	VYBER KARTOU	3900	46150	\N	\N	0
772906	2638	1997-02-16	VYDAJ	VYBER	13300	42718	\N	\N	\N
772907	2638	1997-03-18	VYDAJ	VYBER	13300	43382	\N	\N	\N
772908	2638	1997-04-17	VYDAJ	VYBER	10300	47051	\N	\N	\N
772909	2638	1997-05-17	VYDAJ	VYBER	13300	47728	\N	\N	\N
772910	2638	1997-06-16	VYDAJ	VYBER	23000	48754	\N	\N	\N
772911	2638	1997-07-16	VYDAJ	VYBER	19200	43547	\N	\N	\N
772912	2638	1997-08-15	VYDAJ	VYBER	12200	45325	\N	\N	\N
772913	2638	1997-09-14	VYDAJ	VYBER	13900	42990	\N	\N	\N
772914	2638	1997-10-14	VYDAJ	VYBER	14700	42251	\N	\N	\N
772915	2638	1997-11-13	VYDAJ	VYBER	17300	38911	\N	\N	\N
772916	2638	1997-12-13	VYDAJ	VYBER	17700	45199	\N	\N	\N
772917	2638	1998-01-12	VYDAJ	VYBER	9900	40857	\N	\N	\N
772918	2638	1998-02-11	PRIJEM	VKLAD	4000	30558	\N	\N	\N
772919	2638	1998-03-13	VYDAJ	VYBER	17800	45776	\N	\N	\N
772920	2638	1998-04-12	VYDAJ	VYBER	12100	47652	\N	\N	\N
772921	2638	1998-05-12	VYDAJ	VYBER	11600	44760	\N	\N	\N
772922	2638	1998-06-11	VYDAJ	VYBER KARTOU	200	39486	\N	\N	0
772923	2638	1998-07-11	VYDAJ	VYBER	14400	47752	\N	\N	\N
772924	2638	1998-08-10	VYDAJ	VYBER	9200	48524	\N	\N	\N
772925	2638	1998-09-09	VYDAJ	VYBER	10700	51872	\N	\N	\N
772926	2638	1998-10-09	VYDAJ	VYBER	11200	59272	\N	\N	\N
772927	2638	1998-11-08	VYDAJ	VYBER	12900	60447	\N	\N	\N
772928	2638	1998-12-08	VYDAJ	VYBER	11600	63655	\N	\N	\N
772984	2639	1993-04-26	PRIJEM	VKLAD	800	800	\N	\N	\N
772989	2639	1993-05-12	PRIJEM	VKLAD	24266	25066	\N	\N	\N
772990	2639	1993-06-12	PRIJEM	VKLAD	36399	61886	\N	\N	\N
772991	2639	1993-07-12	PRIJEM	VKLAD	24266	69374	\N	\N	\N
772992	2639	1993-08-12	PRIJEM	VKLAD	24266	70829	\N	\N	\N
772993	2639	1993-09-12	PRIJEM	VKLAD	24266	71889	\N	\N	\N
772994	2639	1993-10-12	PRIJEM	VKLAD	24266	64516	\N	\N	\N
772995	2639	1993-11-12	PRIJEM	VKLAD	24266	58254	\N	\N	\N
772996	2639	1993-12-12	PRIJEM	VKLAD	36399	65201	\N	\N	\N
772997	2639	1994-01-12	PRIJEM	VKLAD	24266	60322	\N	\N	\N
772998	2639	1994-02-12	PRIJEM	VKLAD	24266	51436	\N	\N	\N
772999	2639	1994-03-12	PRIJEM	VKLAD	24266	51823	\N	\N	\N
773000	2639	1994-04-12	PRIJEM	VKLAD	24266	54315	\N	\N	\N
773001	2639	1994-05-12	PRIJEM	VKLAD	24266	53212	\N	\N	\N
773002	2639	1994-06-12	PRIJEM	VKLAD	36399	57240	\N	\N	\N
773003	2639	1994-07-12	PRIJEM	VKLAD	24266	55038	\N	\N	\N
773004	2639	1994-08-12	PRIJEM	VKLAD	24266	56840	\N	\N	\N
773005	2639	1994-09-12	PRIJEM	VKLAD	24266	50840	\N	\N	\N
773006	2639	1994-10-12	PRIJEM	VKLAD	24266	50822	\N	\N	\N
773007	2639	1994-11-12	PRIJEM	VKLAD	24266	50799	\N	\N	\N
773008	2639	1994-12-12	PRIJEM	VKLAD	36399	61512	\N	\N	\N
773009	2639	1995-01-12	PRIJEM	VKLAD	24266	55109	\N	\N	\N
773010	2639	1995-02-12	PRIJEM	VKLAD	24266	47698	\N	\N	\N
773011	2639	1995-03-12	PRIJEM	VKLAD	24266	49360	\N	\N	\N
773012	2639	1995-04-12	PRIJEM	VKLAD	24266	48536	\N	\N	\N
773013	2639	1995-05-12	PRIJEM	VKLAD	24266	48100	\N	\N	\N
773014	2639	1995-06-12	PRIJEM	VKLAD	36399	58696	\N	\N	\N
773015	2639	1995-07-12	PRIJEM	VKLAD	24266	38790	\N	\N	\N
773016	2639	1995-08-12	PRIJEM	VKLAD	24266	41623	\N	\N	\N
773017	2639	1995-09-12	PRIJEM	VKLAD	24266	45663	\N	\N	\N
773018	2639	1995-10-12	PRIJEM	VKLAD	24266	43401	\N	\N	\N
773019	2639	1995-11-12	PRIJEM	VKLAD	24266	46444	\N	\N	\N
773020	2639	1995-12-12	PRIJEM	VKLAD	36399	53661	\N	\N	\N
773021	2639	1996-01-12	PRIJEM	VKLAD	24266	37908	\N	\N	\N
773022	2639	1996-02-12	PRIJEM	VKLAD	24266	42546	\N	\N	\N
773023	2639	1996-03-12	PRIJEM	VKLAD	24266	46315	\N	\N	\N
773024	2639	1996-04-12	PRIJEM	VKLAD	24266	48216	\N	\N	\N
773025	2639	1996-05-12	PRIJEM	VKLAD	24266	47022	\N	\N	\N
773026	2639	1996-06-12	PRIJEM	VKLAD	36399	54756	\N	\N	\N
773027	2639	1996-07-12	PRIJEM	VKLAD	24266	43865	\N	\N	\N
773028	2639	1996-08-12	PRIJEM	VKLAD	24266	45250	\N	\N	\N
773029	2639	1996-09-12	PRIJEM	VKLAD	24266	46442	\N	\N	\N
773030	2639	1996-10-12	PRIJEM	VKLAD	24266	47244	\N	\N	\N
773031	2639	1996-11-12	PRIJEM	VKLAD	24266	40450	\N	\N	\N
773032	2639	1996-12-12	PRIJEM	VKLAD	36399	46758	\N	\N	\N
773033	2639	1997-01-12	PRIJEM	VKLAD	24266	41041	\N	\N	\N
773034	2639	1997-02-12	PRIJEM	VKLAD	24266	33504	\N	\N	\N
773035	2639	1997-03-12	PRIJEM	VKLAD	24266	37941	\N	\N	\N
773036	2639	1997-04-12	PRIJEM	VKLAD	24266	33701	\N	\N	\N
773037	2639	1997-05-12	PRIJEM	VKLAD	24266	35441	\N	\N	\N
773038	2639	1997-06-12	PRIJEM	VKLAD	36399	47828	\N	\N	\N
773039	2639	1997-07-12	PRIJEM	VKLAD	24266	43417	\N	\N	\N
773040	2639	1997-08-12	PRIJEM	VKLAD	24266	42212	\N	\N	\N
773041	2639	1997-09-12	PRIJEM	VKLAD	24266	37096	\N	\N	\N
773042	2639	1997-10-12	PRIJEM	VKLAD	24266	35964	\N	\N	\N
773043	2639	1997-11-12	PRIJEM	VKLAD	24266	36724	\N	\N	\N
773044	2639	1997-12-12	PRIJEM	VKLAD	36399	51617	\N	\N	\N
773045	2639	1998-01-12	PRIJEM	VKLAD	24266	39108	\N	\N	\N
773046	2639	1998-02-12	PRIJEM	VKLAD	24266	38042	\N	\N	\N
773047	2639	1998-03-12	PRIJEM	VKLAD	24266	46189	\N	\N	\N
773048	2639	1998-04-12	PRIJEM	VKLAD	24266	42277	\N	\N	\N
773049	2639	1998-05-12	PRIJEM	VKLAD	24266	45344	\N	\N	\N
773050	2639	1998-06-12	PRIJEM	VKLAD	36399	60967	\N	\N	\N
773051	2639	1998-07-12	PRIJEM	VKLAD	24266	63490	\N	\N	\N
773052	2639	1998-08-12	PRIJEM	VKLAD	24266	61539	\N	\N	\N
773053	2639	1998-09-12	PRIJEM	VKLAD	24266	57161	\N	\N	\N
773054	2639	1998-10-12	PRIJEM	VKLAD	24266	57279	\N	\N	\N
773055	2639	1998-11-12	PRIJEM	VKLAD	24266	55896	\N	\N	\N
773056	2639	1998-12-12	PRIJEM	VKLAD	36399	62236	\N	\N	\N
773066	2639	1993-10-10	VYDAJ	PREVOD NA UCET	8633	40250	SIPO	MN	93859052
773067	2639	1993-11-10	VYDAJ	PREVOD NA UCET	8633	33988	SIPO	MN	93859052
773068	2639	1993-12-10	VYDAJ	PREVOD NA UCET	8633	28802	SIPO	MN	93859052
773069	2639	1994-01-10	VYDAJ	PREVOD NA UCET	8633	36056	SIPO	MN	93859052
773070	2639	1994-02-10	VYDAJ	PREVOD NA UCET	8633	27170	SIPO	MN	93859052
773071	2639	1994-03-10	VYDAJ	PREVOD NA UCET	8633	27557	SIPO	MN	93859052
773072	2639	1994-04-10	VYDAJ	PREVOD NA UCET	8633	30049	SIPO	MN	93859052
773073	2639	1994-05-10	VYDAJ	PREVOD NA UCET	8633	28946	SIPO	MN	93859052
773074	2639	1994-06-10	VYDAJ	PREVOD NA UCET	8633	29541	SIPO	MN	93859052
773075	2639	1994-07-10	VYDAJ	PREVOD NA UCET	8633	30772	SIPO	MN	93859052
773076	2639	1994-08-10	VYDAJ	PREVOD NA UCET	8633	32574	SIPO	MN	93859052
773077	2639	1994-09-10	VYDAJ	PREVOD NA UCET	8633	26574	SIPO	MN	93859052
773078	2639	1994-10-10	VYDAJ	PREVOD NA UCET	8633	26556	SIPO	MN	93859052
773079	2639	1994-11-10	VYDAJ	PREVOD NA UCET	8633	26533	SIPO	MN	93859052
773080	2639	1994-12-10	VYDAJ	PREVOD NA UCET	8633	25113	SIPO	MN	93859052
773081	2639	1995-01-10	VYDAJ	PREVOD NA UCET	8633	30843	SIPO	MN	93859052
773082	2639	1995-02-10	VYDAJ	PREVOD NA UCET	8633	23432	SIPO	MN	93859052
773083	2639	1995-03-10	VYDAJ	PREVOD NA UCET	8633	25094	SIPO	MN	93859052
773084	2639	1995-04-10	VYDAJ	PREVOD NA UCET	8633	24270	SIPO	MN	93859052
773085	2639	1995-05-10	VYDAJ	PREVOD NA UCET	8633	23834	SIPO	MN	93859052
773086	2639	1995-06-10	VYDAJ	PREVOD NA UCET	8633	22297	SIPO	MN	93859052
773087	2639	1995-07-10	VYDAJ	PREVOD NA UCET	8633	14524	SIPO	MN	93859052
773088	2639	1995-08-10	VYDAJ	PREVOD NA UCET	8633	17357	SIPO	MN	93859052
773089	2639	1995-09-10	VYDAJ	PREVOD NA UCET	8633	21397	SIPO	MN	93859052
773090	2639	1995-10-10	VYDAJ	PREVOD NA UCET	8633	19135	SIPO	MN	93859052
773091	2639	1995-11-10	VYDAJ	PREVOD NA UCET	8633	22178	SIPO	MN	93859052
773092	2639	1995-12-10	VYDAJ	PREVOD NA UCET	8633	17262	SIPO	MN	93859052
773093	2639	1996-01-10	VYDAJ	PREVOD NA UCET	8633	13642	SIPO	MN	93859052
773094	2639	1996-02-10	VYDAJ	PREVOD NA UCET	8633	18280	SIPO	MN	93859052
773095	2639	1996-03-10	VYDAJ	PREVOD NA UCET	8633	34049	SIPO	MN	93859052
773096	2639	1996-04-10	VYDAJ	PREVOD NA UCET	8633	23950	SIPO	MN	93859052
773097	2639	1996-05-10	VYDAJ	PREVOD NA UCET	8633	37056	SIPO	MN	93859052
773098	2639	1996-06-10	VYDAJ	PREVOD NA UCET	8633	18357	SIPO	MN	93859052
773099	2639	1996-07-10	VYDAJ	PREVOD NA UCET	8633	19599	SIPO	MN	93859052
773100	2639	1996-08-10	VYDAJ	PREVOD NA UCET	8633	20984	SIPO	MN	93859052
773101	2639	1996-09-10	VYDAJ	PREVOD NA UCET	8633	22176	SIPO	MN	93859052
773102	2639	1996-10-10	VYDAJ	PREVOD NA UCET	8633	22978	SIPO	MN	93859052
773103	2639	1996-11-10	VYDAJ	PREVOD NA UCET	8633	16184	SIPO	MN	93859052
773104	2639	1996-12-10	VYDAJ	PREVOD NA UCET	8633	15159	SIPO	MN	93859052
773105	2639	1997-01-10	VYDAJ	PREVOD NA UCET	8633	16775	SIPO	MN	93859052
773106	2639	1997-02-10	VYDAJ	PREVOD NA UCET	8633	9238	SIPO	MN	93859052
773107	2639	1997-03-10	VYDAJ	PREVOD NA UCET	8633	13675	SIPO	MN	93859052
773108	2639	1997-04-10	VYDAJ	PREVOD NA UCET	8633	9435	SIPO	MN	93859052
773109	2639	1997-05-10	VYDAJ	PREVOD NA UCET	8633	11175	SIPO	MN	93859052
773110	2639	1997-06-10	VYDAJ	PREVOD NA UCET	8633	11429	SIPO	MN	93859052
773111	2639	1997-07-10	VYDAJ	PREVOD NA UCET	8633	19151	SIPO	MN	93859052
773112	2639	1997-08-10	VYDAJ	PREVOD NA UCET	8633	17946	SIPO	MN	93859052
773113	2639	1997-09-10	VYDAJ	PREVOD NA UCET	8633	12830	SIPO	MN	93859052
773114	2639	1997-10-10	VYDAJ	PREVOD NA UCET	8633	11698	SIPO	MN	93859052
773115	2639	1997-11-10	VYDAJ	PREVOD NA UCET	8633	12458	SIPO	MN	93859052
773116	2639	1997-12-10	VYDAJ	PREVOD NA UCET	8633	15218	SIPO	MN	93859052
773117	2639	1998-01-10	VYDAJ	PREVOD NA UCET	8633	17542	SIPO	MN	93859052
773118	2639	1998-02-10	VYDAJ	PREVOD NA UCET	8633	13776	SIPO	MN	93859052
773119	2639	1998-03-10	VYDAJ	PREVOD NA UCET	8633	21923	SIPO	MN	93859052
773120	2639	1998-04-10	VYDAJ	PREVOD NA UCET	8633	18011	SIPO	MN	93859052
773121	2639	1998-05-10	VYDAJ	PREVOD NA UCET	8633	21078	SIPO	MN	93859052
773122	2639	1998-06-10	VYDAJ	PREVOD NA UCET	8633	24568	SIPO	MN	93859052
773123	2639	1998-07-10	VYDAJ	PREVOD NA UCET	8633	39224	SIPO	MN	93859052
773124	2639	1998-08-10	VYDAJ	PREVOD NA UCET	8633	37273	SIPO	MN	93859052
773125	2639	1998-09-10	VYDAJ	PREVOD NA UCET	8633	32895	SIPO	MN	93859052
773126	2639	1998-10-10	VYDAJ	PREVOD NA UCET	8633	33013	SIPO	MN	93859052
773127	2639	1998-11-10	VYDAJ	PREVOD NA UCET	8633	31630	SIPO	MN	93859052
773128	2639	1998-12-10	VYDAJ	PREVOD NA UCET	8633	25837	SIPO	MN	93859052
773130	2639	1994-06-11	VYDAJ	VYBER	8700	20841	\N	\N	\N
773131	2639	1995-06-15	VYDAJ	VYBER	25700	22996	\N	\N	\N
773132	2639	1996-06-25	VYDAJ	VYBER	17200	37556	\N	\N	\N
773136	2639	1994-01-30	VYDAJ	VYBER	2700	35622	\N	\N	\N
773137	2639	1995-01-19	VYDAJ	VYBER	1200	39909	\N	\N	\N
773138	2639	1996-01-04	VYDAJ	VYBER	9400	24575	\N	\N	\N
773139	2639	1997-01-25	VYDAJ	VYBER	8400	26141	\N	\N	\N
773140	2639	1998-01-14	VYDAJ	VYBER	8200	30908	\N	\N	\N
773141	2639	1993-12-13	VYDAJ	VYBER	1400	63801	\N	\N	\N
773142	2639	1994-12-02	VYDAJ	VYBER	2800	34946	\N	\N	\N
773143	2639	1995-12-10	VYDAJ	VYBER	2500	25895	\N	\N	\N
773144	2639	1996-12-25	VYDAJ	VYBER	2600	43658	\N	\N	\N
773145	2639	1997-12-15	VYDAJ	VYBER	900	50717	\N	\N	\N
773146	2639	1998-12-23	VYDAJ	VYBER	500	61736	\N	\N	\N
773153	2639	1994-01-06	VYDAJ	VYBER	700	44689	\N	\N	\N
773154	2639	1994-01-26	VYDAJ	VYBER	600	40122	\N	\N	\N
773155	2639	1994-01-26	VYDAJ	VYBER	1800	38322	\N	\N	\N
773156	2639	1994-01-03	VYDAJ	VYBER	1500	45389	\N	\N	\N
773157	2639	1994-01-13	VYDAJ	VYBER	1200	59122	\N	\N	\N
773158	2639	1994-01-24	VYDAJ	VYBER	1200	40722	\N	\N	\N
773159	2639	1995-01-29	VYDAJ	VYBER	2900	34409	\N	\N	\N
773160	2639	1995-01-05	VYDAJ	VYBER	900	40976	\N	\N	\N
773161	2639	1995-01-05	VYDAJ	VYBER	1200	41876	\N	\N	\N
773162	2639	1995-01-08	VYDAJ	VYBER	1500	39476	\N	\N	\N
773163	2639	1995-01-28	VYDAJ	VYBER	2600	37309	\N	\N	\N
773164	2639	1995-01-29	VYDAJ	VYBER	2500	31909	\N	\N	\N
773165	2639	1996-01-06	VYDAJ	VYBER	1300	22275	\N	\N	\N
773166	2639	1996-01-18	VYDAJ	VYBER	1400	31308	\N	\N	\N
773167	2639	1996-01-21	VYDAJ	VYBER	2200	29108	\N	\N	\N
773168	2639	1996-01-05	VYDAJ	VYBER	1000	23575	\N	\N	\N
773169	2639	1996-01-16	VYDAJ	VYBER	2700	35208	\N	\N	\N
773170	2639	1996-01-26	VYDAJ	VYBER	2300	26808	\N	\N	\N
773171	2639	1997-01-16	VYDAJ	VYBER	1900	38641	\N	\N	\N
773172	2639	1997-01-15	VYDAJ	VYBER	500	40541	\N	\N	\N
773173	2639	1997-01-29	VYDAJ	VYBER	1000	25141	\N	\N	\N
773174	2639	1997-01-18	VYDAJ	VYBER	2300	36341	\N	\N	\N
773175	2639	1997-01-20	VYDAJ	VYBER	1800	34541	\N	\N	\N
773177	2639	1998-01-10	VYDAJ	VYBER	2700	14842	\N	\N	\N
773178	2639	1998-01-02	VYDAJ	VYBER	900	26975	\N	\N	\N
773179	2639	1998-01-26	VYDAJ	VYBER	1000	29908	\N	\N	\N
773180	2639	1998-01-30	VYDAJ	VYBER	1100	26708	\N	\N	\N
773181	2639	1998-01-09	VYDAJ	VYBER	800	26175	\N	\N	\N
773182	2639	1998-01-28	VYDAJ	VYBER	2100	27808	\N	\N	\N
773186	2639	1993-12-05	VYDAJ	VYBER	700	37435	\N	\N	\N
773187	2639	1993-09-20	VYDAJ	VYBER	600	71289	\N	\N	\N
773188	2639	1993-11-26	VYDAJ	VYBER	4500	37954	\N	\N	\N
773191	2639	1994-09-19	VYDAJ	VYBER	1100	35040	\N	\N	\N
773192	2639	1994-03-19	VYDAJ	VYBER	3600	48223	\N	\N	\N
773193	2639	1994-09-06	VYDAJ	VYBER	4800	35207	\N	\N	\N
773194	2639	1994-12-08	VYDAJ	VYBER	1200	33746	\N	\N	\N
773195	2639	1994-05-23	VYDAJ	VYBER	3500	38012	\N	\N	\N
773196	2639	1994-08-16	VYDAJ	VYBER	3400	53440	\N	\N	\N
773197	2639	1995-03-30	VYDAJ	VYBER	700	36560	\N	\N	\N
773198	2639	1995-08-05	VYDAJ	VYBER	2700	25990	\N	\N	\N
773199	2639	1995-04-09	VYDAJ	VYBER	3800	32903	\N	\N	\N
773200	2639	1995-05-25	VYDAJ	VYBER	4400	30800	\N	\N	\N
773201	2639	1996-11-06	VYDAJ	VYBER	3800	24817	\N	\N	\N
773202	2639	1996-04-17	VYDAJ	VYBER	2700	45516	\N	\N	\N
773203	2639	1996-12-10	VYDAJ	VYBER	4800	10359	\N	\N	\N
773204	2639	1996-12-24	VYDAJ	VYBER	500	46258	\N	\N	\N
773205	2639	1996-12-02	VYDAJ	VYBER	4900	35692	\N	\N	\N
773206	2639	1996-08-03	VYDAJ	VYBER	3100	40917	\N	\N	\N
773207	2639	1996-05-21	VYDAJ	VYBER	2000	45022	\N	\N	\N
773208	2639	1996-01-18	VYDAJ	VYBER	2500	32708	\N	\N	\N
773209	2639	1997-08-21	VYDAJ	VYBER	800	41412	\N	\N	\N
773210	2639	1997-04-04	VYDAJ	VYBER	4300	32268	\N	\N	\N
773211	2639	1997-03-26	VYDAJ	VYBER	1500	36441	\N	\N	\N
773212	2639	1997-12-21	VYDAJ	VYBER	4200	46517	\N	\N	\N
773213	2639	1998-08-05	VYDAJ	VYBER	1500	45906	\N	\N	\N
773214	2639	1998-04-01	VYDAJ	VYBER	2800	30344	\N	\N	\N
773215	2639	1998-06-08	VYDAJ	VYBER	3600	33201	\N	\N	\N
773216	2639	1998-10-27	VYDAJ	VYBER	3900	40079	\N	\N	\N
773217	2639	1998-05-03	VYDAJ	VYBER	4500	29711	\N	\N	\N
773218	2639	1998-04-05	VYDAJ	VYBER	3700	26644	\N	\N	\N
773219	2639	1998-08-13	VYDAJ	VYBER	1900	59639	\N	\N	\N
773220	2639	1998-08-14	VYDAJ	VYBER	4700	54939	\N	\N	\N
773230	2639	1993-09-30	VYDAJ	VYBER	15	48883	SLUZBY	\N	\N
773231	2639	1993-10-31	VYDAJ	VYBER	15	42621	SLUZBY	\N	\N
773232	2639	1993-11-30	VYDAJ	VYBER	15	38135	SLUZBY	\N	\N
773233	2639	1993-12-31	VYDAJ	VYBER	15	46889	SLUZBY	\N	\N
773234	2639	1994-01-31	VYDAJ	VYBER	15	35803	SLUZBY	\N	\N
773235	2639	1994-02-28	VYDAJ	VYBER	15	36190	SLUZBY	\N	\N
773236	2639	1994-03-31	VYDAJ	VYBER	15	38682	SLUZBY	\N	\N
773237	2639	1994-04-30	VYDAJ	VYBER	15	37579	SLUZBY	\N	\N
773238	2639	1994-05-31	VYDAJ	VYBER	15	38174	SLUZBY	\N	\N
773239	2639	1994-06-30	VYDAJ	VYBER	15	39405	SLUZBY	\N	\N
773240	2639	1994-07-31	VYDAJ	VYBER	15	41207	SLUZBY	\N	\N
773241	2639	1994-08-31	VYDAJ	VYBER	15	40007	SLUZBY	\N	\N
773242	2639	1994-09-30	VYDAJ	VYBER	15	35189	SLUZBY	\N	\N
773243	2639	1994-10-31	VYDAJ	VYBER	15	35166	SLUZBY	\N	\N
773244	2639	1994-11-30	VYDAJ	VYBER	15	37746	SLUZBY	\N	\N
773245	2639	1994-12-31	VYDAJ	VYBER	15	43076	SLUZBY	\N	\N
773246	2639	1995-01-31	VYDAJ	VYBER	15	32065	SLUZBY	\N	\N
773247	2639	1995-02-28	VYDAJ	VYBER	15	33727	SLUZBY	\N	\N
773248	2639	1995-03-31	VYDAJ	VYBER	15	36703	SLUZBY	\N	\N
773249	2639	1995-04-30	VYDAJ	VYBER	15	32467	SLUZBY	\N	\N
773250	2639	1995-05-31	VYDAJ	VYBER	15	30930	SLUZBY	\N	\N
773251	2639	1995-06-30	VYDAJ	VYBER	15	23157	SLUZBY	\N	\N
773252	2639	1995-07-31	VYDAJ	VYBER	15	28690	SLUZBY	\N	\N
773253	2639	1995-08-31	VYDAJ	VYBER	15	30030	SLUZBY	\N	\N
773254	2639	1995-09-30	VYDAJ	VYBER	15	27768	SLUZBY	\N	\N
773255	2639	1995-10-31	VYDAJ	VYBER	15	30811	SLUZBY	\N	\N
773256	2639	1995-11-30	VYDAJ	VYBER	15	28395	SLUZBY	\N	\N
773257	2639	1995-12-31	VYDAJ	VYBER	15	33975	SLUZBY	\N	\N
773258	2639	1996-01-31	VYDAJ	VYBER	15	26913	SLUZBY	\N	\N
773259	2639	1996-02-29	VYDAJ	VYBER	15	42682	SLUZBY	\N	\N
773260	2639	1996-03-31	VYDAJ	VYBER	15	46483	SLUZBY	\N	\N
773261	2639	1996-04-30	VYDAJ	VYBER	15	45689	SLUZBY	\N	\N
773262	2639	1996-05-31	VYDAJ	VYBER	15	45190	SLUZBY	\N	\N
773263	2639	1996-06-30	VYDAJ	VYBER	15	37732	SLUZBY	\N	\N
773264	2639	1996-07-31	VYDAJ	VYBER	15	44017	SLUZBY	\N	\N
773265	2639	1996-08-31	VYDAJ	VYBER	15	45409	SLUZBY	\N	\N
773266	2639	1996-09-30	VYDAJ	VYBER	15	46611	SLUZBY	\N	\N
773267	2639	1996-10-31	VYDAJ	VYBER	15	47417	SLUZBY	\N	\N
773268	2639	1996-11-30	VYDAJ	VYBER	15	40592	SLUZBY	\N	\N
773269	2639	1996-12-31	VYDAJ	VYBER	15	43808	SLUZBY	\N	\N
773270	2639	1997-01-31	VYDAJ	VYBER	15	25271	SLUZBY	\N	\N
773271	2639	1997-02-28	VYDAJ	VYBER	15	33608	SLUZBY	\N	\N
773272	2639	1997-03-31	VYDAJ	VYBER	15	36568	SLUZBY	\N	\N
773273	2639	1997-04-30	VYDAJ	VYBER	15	33808	SLUZBY	\N	\N
773274	2639	1997-05-31	VYDAJ	VYBER	15	35562	SLUZBY	\N	\N
773275	2639	1997-06-30	VYDAJ	VYBER	15	47984	SLUZBY	\N	\N
773276	2639	1997-07-31	VYDAJ	VYBER	15	43579	SLUZBY	\N	\N
773277	2639	1997-08-31	VYDAJ	VYBER	15	41563	SLUZBY	\N	\N
773278	2639	1997-09-30	VYDAJ	VYBER	15	37231	SLUZBY	\N	\N
773279	2639	1997-10-31	VYDAJ	VYBER	15	36091	SLUZBY	\N	\N
773280	2639	1997-11-30	VYDAJ	VYBER	15	36851	SLUZBY	\N	\N
773281	2639	1997-12-31	VYDAJ	VYBER	15	27875	SLUZBY	\N	\N
773282	2639	1998-01-31	VYDAJ	VYBER	15	22409	SLUZBY	\N	\N
773283	2639	1998-02-28	VYDAJ	VYBER	15	38156	SLUZBY	\N	\N
773284	2639	1998-03-31	VYDAJ	VYBER	15	33144	SLUZBY	\N	\N
773285	2639	1998-04-30	VYDAJ	VYBER	15	42411	SLUZBY	\N	\N
773286	2639	1998-05-31	VYDAJ	VYBER	15	36801	SLUZBY	\N	\N
773287	2639	1998-06-30	VYDAJ	VYBER	15	47857	SLUZBY	\N	\N
773288	2639	1998-07-31	VYDAJ	VYBER	15	47406	SLUZBY	\N	\N
773289	2639	1998-08-31	VYDAJ	VYBER	15	41528	SLUZBY	\N	\N
773290	2639	1998-09-30	VYDAJ	VYBER	15	41646	SLUZBY	\N	\N
773291	2639	1998-10-31	VYDAJ	VYBER	15	40263	SLUZBY	\N	\N
773292	2639	1998-11-30	VYDAJ	VYBER	15	34470	SLUZBY	\N	\N
773293	2639	1993-05-26	PRIJEM	VKLAD	400	25466	\N	\N	\N
773294	2639	1993-06-25	VYDAJ	VYBER	16900	44986	\N	\N	\N
773295	2639	1993-07-25	VYDAJ	VYBER	23000	46374	\N	\N	\N
773296	2639	1993-08-24	VYDAJ	VYBER	23400	47429	\N	\N	\N
773297	2639	1993-09-23	VYDAJ	VYBER	22600	48689	\N	\N	\N
773298	2639	1993-10-23	VYDAJ	VYBER	22100	42416	\N	\N	\N
773299	2639	1993-11-22	VYDAJ	VYBER	15800	42454	\N	\N	\N
773300	2639	1993-12-22	VYDAJ	VYBER	17100	46701	\N	\N	\N
773301	2639	1994-01-21	VYDAJ	VYBER	17200	41922	\N	\N	\N
773302	2639	1994-02-20	VYDAJ	VYBER	15400	36036	\N	\N	\N
773303	2639	1994-03-22	VYDAJ	VYBER	9700	38523	\N	\N	\N
773304	2639	1994-04-21	VYDAJ	VYBER	16900	37415	\N	\N	\N
773305	2639	1994-05-21	VYDAJ	VYBER	11700	41512	\N	\N	\N
773306	2639	1994-06-20	VYDAJ	VYBER	18000	39240	\N	\N	\N
773307	2639	1994-07-20	VYDAJ	VYBER	14000	41038	\N	\N	\N
773308	2639	1994-08-19	VYDAJ	VYBER	13600	39840	\N	\N	\N
773309	2639	1994-09-18	VYDAJ	VYBER	14700	36140	\N	\N	\N
773310	2639	1994-10-18	VYDAJ	VYBER	15800	35022	\N	\N	\N
773311	2639	1994-11-17	VYDAJ	VYBER	13200	37599	\N	\N	\N
773312	2639	1994-12-17	VYDAJ	VYBER	18600	42912	\N	\N	\N
773313	2639	1995-01-16	VYDAJ	VYBER	14000	41109	\N	\N	\N
773314	2639	1995-02-15	VYDAJ	VYBER	14100	33598	\N	\N	\N
773315	2639	1995-03-17	VYDAJ	VYBER	12100	37260	\N	\N	\N
773316	2639	1995-04-16	VYDAJ	VYBER	16200	32336	\N	\N	\N
773317	2639	1995-05-16	VYDAJ	VYBER	12900	35200	\N	\N	\N
773318	2639	1995-06-15	VYDAJ	VYBER	10000	48696	\N	\N	\N
773319	2639	1995-07-15	VYDAJ	VYBER	10200	28590	\N	\N	\N
773320	2639	1995-08-14	VYDAJ	VYBER	11700	29923	\N	\N	\N
773321	2639	1995-09-13	VYDAJ	VYBER	18000	27663	\N	\N	\N
773322	2639	1995-10-13	VYDAJ	VYBER	12700	30701	\N	\N	\N
773323	2639	1995-11-12	VYDAJ	VYBER	18200	28244	\N	\N	\N
773324	2639	1995-12-12	VYDAJ	VYBER	19800	33861	\N	\N	\N
773325	2639	1996-03-11	VYDAJ	VYBER	12000	22049	\N	\N	\N
773326	2639	1996-04-10	VYDAJ	VYBER	13900	32583	\N	\N	\N
773327	2639	1996-05-10	VYDAJ	VYBER	14300	22756	\N	\N	\N
773328	2639	1996-06-09	VYDAJ	VYBER	18200	26990	\N	\N	\N
773329	2639	1996-07-09	VYDAJ	VYBER	9500	28232	\N	\N	\N
773330	2639	1996-08-08	VYDAJ	VYBER	11300	29617	\N	\N	\N
773331	2639	1996-09-07	VYDAJ	VYBER	14600	30809	\N	\N	\N
773332	2639	1996-10-07	VYDAJ	VYBER	15000	31611	\N	\N	\N
773333	2639	1996-11-06	VYDAJ	VYBER	18800	28617	\N	\N	\N
773334	2639	1996-12-06	VYDAJ	VYBER	11900	23792	\N	\N	\N
773335	2639	1997-01-05	VYDAJ	VYBER	18400	25408	\N	\N	\N
773336	2639	1997-02-04	VYDAJ	VYBER	7400	17871	\N	\N	\N
773337	2639	1997-03-06	VYDAJ	VYBER	11300	22308	\N	\N	\N
773338	2639	1997-04-05	VYDAJ	VYBER	14200	18068	\N	\N	\N
773339	2639	1997-05-05	VYDAJ	VYBER	14000	19808	\N	\N	\N
773340	2639	1997-06-04	VYDAJ	VYBER	15500	20062	\N	\N	\N
773341	2639	1997-07-04	VYDAJ	VYBER	20200	27784	\N	\N	\N
773342	2639	1997-08-03	VYDAJ	VYBER	17000	26579	\N	\N	\N
773343	2639	1997-09-02	VYDAJ	VYBER	20100	21463	\N	\N	\N
773344	2639	1997-10-02	VYDAJ	VYBER	16900	20331	\N	\N	\N
773345	2639	1997-11-01	VYDAJ	VYBER	15000	21091	\N	\N	\N
773346	2639	1997-12-01	VYDAJ	VYBER	13000	23851	\N	\N	\N
773347	2639	1997-12-31	VYDAJ	VYBER	18800	27889	\N	\N	\N
773348	2639	1998-01-30	VYDAJ	VYBER	4400	22308	\N	\N	\N
773349	2639	1998-03-01	VYDAJ	VYBER	7600	30556	\N	\N	\N
773350	2639	1998-03-31	VYDAJ	VYBER	13200	33158	\N	\N	\N
773351	2639	1998-04-30	VYDAJ	VYBER	8200	34211	\N	\N	\N
773352	2639	1998-05-30	VYDAJ	VYBER	8700	36644	\N	\N	\N
773353	2639	1998-06-29	VYDAJ	VYBER	13300	47667	\N	\N	\N
773354	2639	1998-07-29	VYDAJ	VYBER	16300	47190	\N	\N	\N
773355	2639	1998-08-28	VYDAJ	VYBER	13600	41339	\N	\N	\N
773356	2639	1998-09-27	VYDAJ	VYBER	15700	41461	\N	\N	\N
773357	2639	1998-10-27	VYDAJ	VYBER	13300	43979	\N	\N	\N
773358	2639	1998-11-26	VYDAJ	VYBER	21600	34296	\N	\N	\N
773427	2640	1996-09-21	PRIJEM	VKLAD	600	600	\N	\N	\N
773437	2640	1996-10-08	PRIJEM	VKLAD	15678	16278	\N	\N	\N
773438	2640	1996-11-08	PRIJEM	VKLAD	15678	33382	\N	\N	\N
773439	2640	1996-12-08	PRIJEM	VKLAD	23517	54593	\N	\N	\N
773440	2640	1997-01-08	PRIJEM	VKLAD	15678	53211	\N	\N	\N
773441	2640	1997-02-08	PRIJEM	VKLAD	15678	53244	\N	\N	\N
773442	2640	1997-03-08	PRIJEM	VKLAD	15678	52399	\N	\N	\N
773443	2640	1997-04-08	PRIJEM	VKLAD	15678	49547	\N	\N	\N
773444	2640	1997-05-08	PRIJEM	VKLAD	15678	50790	\N	\N	\N
773445	2640	1997-06-08	PRIJEM	VKLAD	23517	61981	\N	\N	\N
773446	2640	1997-07-08	PRIJEM	VKLAD	15678	35518	\N	\N	\N
773447	2640	1997-08-08	PRIJEM	VKLAD	15678	48125	\N	\N	\N
773448	2640	1997-09-08	PRIJEM	VKLAD	15678	56881	\N	\N	\N
773449	2640	1997-10-08	PRIJEM	VKLAD	15678	61157	\N	\N	\N
773450	2640	1997-11-08	PRIJEM	VKLAD	15678	69160	\N	\N	\N
773451	2640	1997-12-08	PRIJEM	VKLAD	23517	78828	\N	\N	\N
773452	2640	1998-01-08	PRIJEM	VKLAD	15678	74590	\N	\N	\N
773453	2640	1998-02-08	PRIJEM	VKLAD	15678	67029	\N	\N	\N
773454	2640	1998-03-08	PRIJEM	VKLAD	15678	71657	\N	\N	\N
773455	2640	1998-04-08	PRIJEM	VKLAD	15678	76904	\N	\N	\N
773456	2640	1998-05-08	PRIJEM	VKLAD	15678	74859	\N	\N	\N
773457	2640	1998-06-08	PRIJEM	VKLAD	23517	58856	\N	\N	\N
773458	2640	1998-07-08	PRIJEM	VKLAD	15678	71386	\N	\N	\N
773459	2640	1998-08-08	PRIJEM	VKLAD	15678	76524	\N	\N	\N
773460	2640	1998-09-08	PRIJEM	VKLAD	15678	79176	\N	\N	\N
773461	2640	1998-10-08	PRIJEM	VKLAD	15678	84848	\N	\N	\N
773462	2640	1998-11-08	PRIJEM	VKLAD	15678	86231	\N	\N	\N
773463	2640	1998-12-08	PRIJEM	VKLAD	23517	95282	\N	\N	\N
773477	2640	1997-02-10	VYDAJ	PREVOD NA UCET	8872	44372	SIPO	ST	20136499
773478	2640	1997-03-10	VYDAJ	PREVOD NA UCET	8872	43527	SIPO	ST	20136499
773479	2640	1997-04-10	VYDAJ	PREVOD NA UCET	8872	40675	SIPO	ST	20136499
773480	2640	1997-05-10	VYDAJ	PREVOD NA UCET	8872	41918	SIPO	ST	20136499
773481	2640	1997-06-10	VYDAJ	PREVOD NA UCET	8872	53109	SIPO	ST	20136499
773482	2640	1997-07-10	VYDAJ	PREVOD NA UCET	8872	26646	SIPO	ST	20136499
773483	2640	1997-08-10	VYDAJ	PREVOD NA UCET	8872	39253	SIPO	ST	20136499
773484	2640	1997-09-10	VYDAJ	PREVOD NA UCET	8872	48009	SIPO	ST	20136499
773485	2640	1997-10-10	VYDAJ	PREVOD NA UCET	8872	52285	SIPO	ST	20136499
773486	2640	1997-11-10	VYDAJ	PREVOD NA UCET	8872	60288	SIPO	ST	20136499
773487	2640	1997-12-10	VYDAJ	PREVOD NA UCET	8872	69956	SIPO	ST	20136499
773488	2640	1998-01-10	VYDAJ	PREVOD NA UCET	8872	65718	SIPO	ST	20136499
773489	2640	1998-02-10	VYDAJ	PREVOD NA UCET	8872	58157	SIPO	ST	20136499
773490	2640	1998-03-10	VYDAJ	PREVOD NA UCET	8872	62785	SIPO	ST	20136499
773491	2640	1998-04-10	VYDAJ	PREVOD NA UCET	8872	68032	SIPO	ST	20136499
773492	2640	1998-05-10	VYDAJ	PREVOD NA UCET	8872	62587	SIPO	ST	20136499
773493	2640	1998-06-10	VYDAJ	PREVOD NA UCET	8872	49984	SIPO	ST	20136499
773494	2640	1998-07-10	VYDAJ	PREVOD NA UCET	8872	62514	SIPO	ST	20136499
773495	2640	1998-08-10	VYDAJ	PREVOD NA UCET	8872	67652	SIPO	ST	20136499
773496	2640	1998-09-10	VYDAJ	PREVOD NA UCET	8872	70304	SIPO	ST	20136499
773497	2640	1998-10-10	VYDAJ	PREVOD NA UCET	8872	75976	SIPO	ST	20136499
773498	2640	1998-11-10	VYDAJ	PREVOD NA UCET	8872	71459	SIPO	ST	20136499
773499	2640	1998-12-10	VYDAJ	PREVOD NA UCET	8872	86410	SIPO	ST	20136499
773501	2640	1997-06-20	VYDAJ	VYBER	20800	20909	\N	\N	\N
773502	2640	1998-06-02	VYDAJ	VYBER	28800	35339	\N	\N	\N
773505	2640	1998-01-15	VYDAJ	VYBER	9300	58018	\N	\N	\N
773507	2640	1997-12-25	VYDAJ	VYBER	1800	63656	\N	\N	\N
773508	2640	1998-12-24	VYDAJ	VYBER KARTOU	2500	69910	\N	\N	0
773521	2640	1998-01-25	VYDAJ	VYBER	2600	52918	\N	\N	\N
773522	2640	1998-01-19	VYDAJ	VYBER	2500	55518	\N	\N	\N
773523	2640	1998-01-29	VYDAJ	VYBER	1800	51118	\N	\N	\N
773524	2640	1998-01-14	VYDAJ	VYBER	1500	67318	\N	\N	\N
773525	2640	1998-01-02	VYDAJ	VYBER	2100	61812	\N	\N	\N
773526	2640	1998-01-05	VYDAJ	VYBER	2900	58912	\N	\N	\N
773536	2640	1997-09-13	VYDAJ	VYBER	3400	44609	\N	\N	\N
773537	2640	1997-06-23	VYDAJ	VYBER	1200	19709	\N	\N	\N
773539	2640	1997-06-12	VYDAJ	VYBER	4100	49009	\N	\N	\N
773540	2640	1997-12-06	VYDAJ	VYBER	3000	55311	\N	\N	\N
773541	2640	1997-08-03	VYDAJ	VYBER	1400	32447	\N	\N	\N
773542	2640	1998-05-05	VYDAJ	VYBER KARTOU	3500	59181	\N	\N	0
773543	2640	1998-05-12	VYDAJ	VYBER KARTOU	800	61787	\N	\N	0
773544	2640	1998-04-20	VYDAJ	VYBER KARTOU	3300	62432	\N	\N	0
773545	2640	1998-05-10	VYDAJ	VYBER KARTOU	3400	71459	\N	\N	0
773546	2640	1998-03-07	VYDAJ	VYBER	2700	55979	\N	\N	\N
773547	2640	1998-02-22	VYDAJ	VYBER	1900	58457	\N	\N	\N
773548	2640	1998-04-13	VYDAJ	VYBER	3000	65032	\N	\N	\N
773563	2640	1997-02-28	VYDAJ	VYBER	15	36721	SLUZBY	\N	\N
773564	2640	1997-03-31	VYDAJ	VYBER	15	33869	SLUZBY	\N	\N
773565	2640	1997-04-30	VYDAJ	VYBER	15	35112	SLUZBY	\N	\N
773566	2640	1997-05-31	VYDAJ	VYBER	15	38464	SLUZBY	\N	\N
773567	2640	1997-06-30	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
773568	2640	1997-07-31	VYDAJ	VYBER	15	33847	SLUZBY	\N	\N
773569	2640	1997-08-31	VYDAJ	VYBER	15	41203	SLUZBY	\N	\N
773570	2640	1997-09-30	VYDAJ	VYBER	15	45479	SLUZBY	\N	\N
773571	2640	1997-10-31	VYDAJ	VYBER	15	53482	SLUZBY	\N	\N
773572	2640	1997-11-30	VYDAJ	VYBER	15	58311	SLUZBY	\N	\N
773573	2640	1997-12-31	VYDAJ	VYBER	15	63912	SLUZBY	\N	\N
773574	2640	1998-01-31	VYDAJ	VYBER	15	51351	SLUZBY	\N	\N
773575	2640	1998-02-28	VYDAJ	VYBER	15	58679	SLUZBY	\N	\N
773576	2640	1998-03-31	VYDAJ	VYBER	15	61226	SLUZBY	\N	\N
773577	2640	1998-04-30	VYDAJ	VYBER	15	62681	SLUZBY	\N	\N
773578	2640	1998-05-31	VYDAJ	VYBER	15	64139	SLUZBY	\N	\N
773579	2640	1998-06-30	VYDAJ	VYBER	15	55708	SLUZBY	\N	\N
773580	2640	1998-07-31	VYDAJ	VYBER	15	60846	SLUZBY	\N	\N
773581	2640	1998-08-31	VYDAJ	VYBER	15	63498	SLUZBY	\N	\N
773582	2640	1998-09-30	VYDAJ	VYBER	15	69170	SLUZBY	\N	\N
773583	2640	1998-10-31	VYDAJ	VYBER	15	70553	SLUZBY	\N	\N
773584	2640	1998-11-30	VYDAJ	VYBER	15	71765	SLUZBY	\N	\N
773585	2640	1996-10-21	PRIJEM	VKLAD	1400	17678	\N	\N	\N
773586	2640	1996-11-20	VYDAJ	VYBER	2400	30982	\N	\N	\N
773587	2640	1996-12-20	VYDAJ	VYBER	17200	37393	\N	\N	\N
773588	2640	1997-01-19	VYDAJ	VYBER	15800	37411	\N	\N	\N
773589	2640	1997-02-18	VYDAJ	VYBER	7800	36572	\N	\N	\N
773590	2640	1997-03-20	VYDAJ	VYBER	9800	33727	\N	\N	\N
773591	2640	1997-04-19	VYDAJ	VYBER	5700	34975	\N	\N	\N
773592	2640	1997-05-19	VYDAJ	VYBER	3600	38318	\N	\N	\N
773593	2640	1997-06-18	VYDAJ	VYBER	7300	41709	\N	\N	\N
773594	2640	1997-07-18	PRIJEM	VKLAD	7100	33746	\N	\N	\N
773595	2640	1997-08-17	PRIJEM	VKLAD	1800	41053	\N	\N	\N
773596	2640	1997-09-16	PRIJEM	VKLAD	700	45309	\N	\N	\N
773597	2640	1997-10-16	PRIJEM	VKLAD	1000	53285	\N	\N	\N
773598	2640	1997-11-15	VYDAJ	VYBER	2200	58088	\N	\N	\N
773599	2640	1997-12-15	VYDAJ	VYBER	4500	65456	\N	\N	\N
773600	2640	1998-01-14	PRIJEM	VKLAD	3100	68818	\N	\N	\N
773601	2640	1998-02-13	PRIJEM	VKLAD	2200	60357	\N	\N	\N
773602	2640	1998-03-15	VYDAJ	VYBER	1800	60985	\N	\N	\N
773603	2640	1998-04-14	PRIJEM	VKLAD	700	65732	\N	\N	\N
773604	2640	1998-05-14	PRIJEM	VKLAD	2100	63887	\N	\N	\N
773605	2640	1998-06-13	PRIJEM	VKLAD	5500	55484	\N	\N	\N
773606	2640	1998-07-13	VYDAJ	VYBER KARTOU	1900	60614	\N	\N	0
773607	2640	1998-08-12	VYDAJ	VYBER	4400	63252	\N	\N	\N
773608	2640	1998-09-11	VYDAJ	VYBER KARTOU	1400	68904	\N	\N	0
773609	2640	1998-10-11	VYDAJ	VYBER	5700	70276	\N	\N	\N
773610	2640	1998-11-10	VYDAJ	VYBER	5900	80331	\N	\N	\N
773611	2640	1998-12-10	VYDAJ	VYBER	14000	72410	\N	\N	\N
773639	2641	1993-05-02	PRIJEM	VKLAD	700	700	\N	\N	\N
773644	2641	1993-05-12	PRIJEM	VKLAD	21432	22132	\N	\N	\N
773645	2641	1993-06-12	PRIJEM	VKLAD	32148	54640	\N	\N	\N
773646	2641	1993-07-12	PRIJEM	VKLAD	21432	60050	\N	\N	\N
773647	2641	1993-08-12	PRIJEM	VKLAD	21432	62321	\N	\N	\N
773648	2641	1993-09-12	PRIJEM	VKLAD	21432	67025	\N	\N	\N
773649	2641	1993-10-12	PRIJEM	VKLAD	21432	66456	\N	\N	\N
773650	2641	1993-11-12	PRIJEM	VKLAD	21432	62883	\N	\N	\N
773651	2641	1993-12-12	PRIJEM	VKLAD	32148	70698	\N	\N	\N
773652	2641	1994-01-12	PRIJEM	VKLAD	21432	63221	\N	\N	\N
773653	2641	1994-02-12	PRIJEM	VKLAD	21432	59219	\N	\N	\N
773654	2641	1994-03-12	PRIJEM	VKLAD	21432	63214	\N	\N	\N
773655	2641	1994-04-12	PRIJEM	VKLAD	21432	63926	\N	\N	\N
773656	2641	1994-05-12	PRIJEM	VKLAD	21432	59225	\N	\N	\N
773657	2641	1994-06-12	PRIJEM	VKLAD	32148	69338	\N	\N	\N
773658	2641	1994-07-12	PRIJEM	VKLAD	21432	54508	\N	\N	\N
773659	2641	1994-08-12	PRIJEM	VKLAD	21432	60586	\N	\N	\N
773660	2641	1994-09-12	PRIJEM	VKLAD	21432	61579	\N	\N	\N
773661	2641	1994-10-12	PRIJEM	VKLAD	21432	62666	\N	\N	\N
773662	2641	1994-11-12	PRIJEM	VKLAD	21432	66567	\N	\N	\N
773663	2641	1994-12-12	PRIJEM	VKLAD	32148	77394	\N	\N	\N
773664	2641	1995-01-12	PRIJEM	VKLAD	21432	69821	\N	\N	\N
773665	2641	1995-02-12	PRIJEM	VKLAD	21432	65337	\N	\N	\N
773666	2641	1995-03-12	PRIJEM	VKLAD	21432	66441	\N	\N	\N
773667	2641	1995-04-12	PRIJEM	VKLAD	21432	65539	\N	\N	\N
773668	2641	1995-05-12	PRIJEM	VKLAD	21432	66143	\N	\N	\N
773669	2641	1995-06-12	PRIJEM	VKLAD	32148	81270	\N	\N	\N
773670	2641	1995-07-12	PRIJEM	VKLAD	21432	64697	\N	\N	\N
773671	2641	1995-08-12	PRIJEM	VKLAD	21432	68993	\N	\N	\N
773672	2641	1995-09-12	PRIJEM	VKLAD	21432	69801	\N	\N	\N
773673	2641	1995-10-12	PRIJEM	VKLAD	21432	71015	\N	\N	\N
773674	2641	1995-11-12	PRIJEM	VKLAD	21432	75735	\N	\N	\N
773675	2641	1995-12-12	PRIJEM	VKLAD	32148	87182	\N	\N	\N
773676	2641	1996-01-12	PRIJEM	VKLAD	21432	76336	\N	\N	\N
773677	2641	1996-02-12	PRIJEM	VKLAD	21432	74572	\N	\N	\N
773678	2641	1996-03-12	PRIJEM	VKLAD	21432	74691	\N	\N	\N
773679	2641	1996-04-12	PRIJEM	VKLAD	21432	78224	\N	\N	\N
773680	2641	1996-05-12	PRIJEM	VKLAD	21432	83769	\N	\N	\N
773681	2641	1996-06-12	PRIJEM	VKLAD	32148	96449	\N	\N	\N
773682	2641	1996-07-12	PRIJEM	VKLAD	21432	76509	\N	\N	\N
773683	2641	1996-08-12	PRIJEM	VKLAD	21432	78741	\N	\N	\N
773684	2641	1996-09-12	PRIJEM	VKLAD	21432	85689	\N	\N	\N
773685	2641	1996-10-12	PRIJEM	VKLAD	21432	86449	\N	\N	\N
773686	2641	1996-11-12	PRIJEM	VKLAD	21432	90220	\N	\N	\N
773687	2641	1996-12-12	PRIJEM	VKLAD	32148	98609	\N	\N	\N
773688	2641	1997-01-12	PRIJEM	VKLAD	21432	85491	\N	\N	\N
773689	2641	1997-02-12	PRIJEM	VKLAD	21432	82286	\N	\N	\N
773690	2641	1997-03-12	PRIJEM	VKLAD	21432	98897	\N	\N	\N
773691	2641	1997-04-12	PRIJEM	VKLAD	21432	88719	\N	\N	\N
773692	2641	1997-05-12	PRIJEM	VKLAD	21432	94158	\N	\N	\N
773693	2641	1997-06-12	PRIJEM	VKLAD	32148	105038	\N	\N	\N
773694	2641	1997-07-12	PRIJEM	VKLAD	21432	86480	\N	\N	\N
773695	2641	1997-08-12	PRIJEM	VKLAD	21432	86293	\N	\N	\N
773696	2641	1997-09-12	PRIJEM	VKLAD	21432	90922	\N	\N	\N
773697	2641	1997-10-12	PRIJEM	VKLAD	21432	93151	\N	\N	\N
773698	2641	1997-11-12	PRIJEM	VKLAD	21432	95010	\N	\N	\N
773699	2641	1997-12-12	PRIJEM	VKLAD	32148	103297	\N	\N	\N
773700	2641	1998-01-12	PRIJEM	VKLAD	21432	88562	\N	\N	\N
773701	2641	1998-02-12	PRIJEM	VKLAD	21432	88176	\N	\N	\N
773702	2641	1998-03-12	PRIJEM	VKLAD	21432	87688	\N	\N	\N
773703	2641	1998-04-12	PRIJEM	VKLAD	21432	89227	\N	\N	\N
773704	2641	1998-05-12	PRIJEM	VKLAD	21432	89974	\N	\N	\N
773705	2641	1998-06-12	PRIJEM	VKLAD	32148	95640	\N	\N	\N
773706	2641	1998-07-12	PRIJEM	VKLAD	21432	85964	\N	\N	\N
773707	2641	1998-08-12	PRIJEM	VKLAD	21432	88557	\N	\N	\N
773708	2641	1998-09-12	PRIJEM	VKLAD	21432	94591	\N	\N	\N
773709	2641	1998-10-12	PRIJEM	VKLAD	21432	99752	\N	\N	\N
773710	2641	1998-11-12	PRIJEM	VKLAD	21432	104522	\N	\N	\N
773711	2641	1998-12-12	PRIJEM	VKLAD	32148	117023	\N	\N	\N
773720	2641	1993-09-12	VYDAJ	PREVOD NA UCET	5126	61899	SIPO	WX	13973546
773721	2641	1993-10-12	VYDAJ	PREVOD NA UCET	5126	61330	SIPO	WX	13973546
773722	2641	1993-11-12	VYDAJ	PREVOD NA UCET	5126	57757	SIPO	WX	13973546
773723	2641	1993-12-12	VYDAJ	PREVOD NA UCET	5126	65572	SIPO	WX	13973546
773724	2641	1994-01-12	VYDAJ	PREVOD NA UCET	5126	58095	SIPO	WX	13973546
773725	2641	1994-02-12	VYDAJ	PREVOD NA UCET	5126	54093	SIPO	WX	13973546
773726	2641	1994-03-12	VYDAJ	PREVOD NA UCET	5126	58088	SIPO	WX	13973546
773727	2641	1994-04-12	VYDAJ	PREVOD NA UCET	5126	58800	SIPO	WX	13973546
773728	2641	1994-05-12	VYDAJ	PREVOD NA UCET	5126	54099	SIPO	WX	13973546
773729	2641	1994-06-12	VYDAJ	PREVOD NA UCET	5126	64212	SIPO	WX	13973546
773730	2641	1994-07-12	VYDAJ	PREVOD NA UCET	5126	49382	SIPO	WX	13973546
773731	2641	1994-08-12	VYDAJ	PREVOD NA UCET	5126	55460	SIPO	WX	13973546
773732	2641	1994-09-12	VYDAJ	PREVOD NA UCET	5126	56453	SIPO	WX	13973546
773733	2641	1994-10-12	VYDAJ	PREVOD NA UCET	5126	57540	SIPO	WX	13973546
773734	2641	1994-11-12	VYDAJ	PREVOD NA UCET	5126	61441	SIPO	WX	13973546
773735	2641	1994-12-12	VYDAJ	PREVOD NA UCET	5126	72268	SIPO	WX	13973546
773736	2641	1995-01-12	VYDAJ	PREVOD NA UCET	5126	64695	SIPO	WX	13973546
773737	2641	1995-02-12	VYDAJ	PREVOD NA UCET	5126	60211	SIPO	WX	13973546
773738	2641	1995-03-12	VYDAJ	PREVOD NA UCET	5126	61315	SIPO	WX	13973546
773739	2641	1995-04-12	VYDAJ	PREVOD NA UCET	5126	60413	SIPO	WX	13973546
773740	2641	1995-05-12	VYDAJ	PREVOD NA UCET	5126	61017	SIPO	WX	13973546
773741	2641	1995-06-12	VYDAJ	PREVOD NA UCET	5126	76144	SIPO	WX	13973546
773742	2641	1995-07-12	VYDAJ	PREVOD NA UCET	5126	59571	SIPO	WX	13973546
773743	2641	1995-08-12	VYDAJ	PREVOD NA UCET	5126	63867	SIPO	WX	13973546
773744	2641	1995-09-12	VYDAJ	PREVOD NA UCET	5126	64675	SIPO	WX	13973546
773745	2641	1995-10-12	VYDAJ	PREVOD NA UCET	5126	65889	SIPO	WX	13973546
773746	2641	1995-11-12	VYDAJ	PREVOD NA UCET	5126	70609	SIPO	WX	13973546
773747	2641	1995-12-12	VYDAJ	PREVOD NA UCET	5126	82056	SIPO	WX	13973546
773748	2641	1996-01-12	VYDAJ	PREVOD NA UCET	5126	71210	SIPO	WX	13973546
773749	2641	1996-02-12	VYDAJ	PREVOD NA UCET	5126	69446	SIPO	WX	13973546
773750	2641	1996-03-12	VYDAJ	PREVOD NA UCET	5126	69565	SIPO	WX	13973546
773751	2641	1996-04-12	VYDAJ	PREVOD NA UCET	5126	73098	SIPO	WX	13973546
773752	2641	1996-05-12	VYDAJ	PREVOD NA UCET	5126	78643	SIPO	WX	13973546
773753	2641	1996-06-12	VYDAJ	PREVOD NA UCET	5126	91323	SIPO	WX	13973546
773754	2641	1996-07-12	VYDAJ	PREVOD NA UCET	5126	71383	SIPO	WX	13973546
773755	2641	1996-08-12	VYDAJ	PREVOD NA UCET	5126	73615	SIPO	WX	13973546
773756	2641	1996-09-12	VYDAJ	PREVOD NA UCET	5126	80563	SIPO	WX	13973546
773757	2641	1996-10-12	VYDAJ	PREVOD NA UCET	5126	81323	SIPO	WX	13973546
773758	2641	1996-11-12	VYDAJ	PREVOD NA UCET	5126	85094	SIPO	WX	13973546
773759	2641	1996-12-12	VYDAJ	PREVOD NA UCET	5126	72283	SIPO	WX	13973546
773760	2641	1997-01-12	VYDAJ	PREVOD NA UCET	5126	80365	SIPO	WX	13973546
773761	2641	1997-02-12	VYDAJ	PREVOD NA UCET	5126	77160	SIPO	WX	13973546
773762	2641	1997-03-12	VYDAJ	PREVOD NA UCET	5126	76971	SIPO	WX	13973546
773763	2641	1997-04-12	VYDAJ	PREVOD NA UCET	5126	83593	SIPO	WX	13973546
773764	2641	1997-05-12	VYDAJ	PREVOD NA UCET	5126	89032	SIPO	WX	13973546
773765	2641	1997-06-12	VYDAJ	PREVOD NA UCET	5126	99912	SIPO	WX	13973546
773766	2641	1997-07-12	VYDAJ	PREVOD NA UCET	5126	81354	SIPO	WX	13973546
773767	2641	1997-08-12	VYDAJ	PREVOD NA UCET	5126	81167	SIPO	WX	13973546
773768	2641	1997-09-12	VYDAJ	PREVOD NA UCET	5126	85796	SIPO	WX	13973546
773769	2641	1997-10-12	VYDAJ	PREVOD NA UCET	5126	88025	SIPO	WX	13973546
773770	2641	1997-11-12	VYDAJ	PREVOD NA UCET	5126	89884	SIPO	WX	13973546
773771	2641	1997-12-12	VYDAJ	PREVOD NA UCET	5126	98171	SIPO	WX	13973546
773772	2641	1998-01-12	VYDAJ	PREVOD NA UCET	5126	83436	SIPO	WX	13973546
773773	2641	1998-02-12	VYDAJ	PREVOD NA UCET	5126	83050	SIPO	WX	13973546
773774	2641	1998-03-12	VYDAJ	PREVOD NA UCET	5126	82562	SIPO	WX	13973546
773775	2641	1998-04-12	VYDAJ	PREVOD NA UCET	5126	84101	SIPO	WX	13973546
773776	2641	1998-05-12	VYDAJ	PREVOD NA UCET	5126	84848	SIPO	WX	13973546
773777	2641	1998-06-12	VYDAJ	PREVOD NA UCET	5126	90514	SIPO	WX	13973546
773778	2641	1998-07-12	VYDAJ	PREVOD NA UCET	5126	80838	SIPO	WX	13973546
773779	2641	1998-08-12	VYDAJ	PREVOD NA UCET	5126	83431	SIPO	WX	13973546
773780	2641	1998-09-12	VYDAJ	PREVOD NA UCET	5126	89465	SIPO	WX	13973546
773781	2641	1998-10-12	VYDAJ	PREVOD NA UCET	5126	94626	SIPO	WX	13973546
773782	2641	1998-11-12	VYDAJ	PREVOD NA UCET	5126	99396	SIPO	WX	13973546
773783	2641	1998-12-12	VYDAJ	PREVOD NA UCET	5126	111897	SIPO	WX	13973546
773785	2641	1994-06-15	VYDAJ	VYBER	22800	41412	\N	\N	\N
773786	2641	1995-06-26	VYDAJ	VYBER	9500	43044	\N	\N	\N
773787	2641	1996-06-21	VYDAJ	VYBER	15400	54823	\N	\N	\N
773788	2641	1997-06-16	VYDAJ	VYBER	21800	78112	\N	\N	\N
773789	2641	1998-06-24	VYDAJ	VYBER	20900	69614	\N	\N	\N
773790	2641	1993-12-25	VYDAJ	VYBER	2300	63272	\N	\N	\N
773791	2641	1994-12-15	VYDAJ	VYBER	1200	71068	\N	\N	\N
773792	2641	1995-12-21	VYDAJ	VYBER	2800	59456	\N	\N	\N
773793	2641	1996-12-16	VYDAJ	VYBER KARTOU	1700	70583	\N	\N	0
773794	2641	1997-12-03	VYDAJ	VYBER KARTOU	1000	89249	\N	\N	0
773795	2641	1998-12-04	VYDAJ	VYBER KARTOU	600	84875	\N	\N	0
773802	2641	1994-01-04	VYDAJ	VYBER	2000	42489	\N	\N	\N
773803	2641	1994-01-14	VYDAJ	VYBER	2400	55695	\N	\N	\N
773804	2641	1994-01-27	VYDAJ	VYBER	2000	53695	\N	\N	\N
773805	2641	1994-01-02	VYDAJ	VYBER	1400	44489	\N	\N	\N
773806	2641	1994-01-29	VYDAJ	VYBER	2300	37595	\N	\N	\N
773807	2641	1994-01-07	VYDAJ	VYBER	700	41789	\N	\N	\N
773808	2641	1995-01-30	VYDAJ	VYBER	1400	43695	\N	\N	\N
773809	2641	1995-01-20	VYDAJ	VYBER	1700	62995	\N	\N	\N
773810	2641	1995-01-02	VYDAJ	VYBER	1500	48889	\N	\N	\N
773811	2641	1995-01-09	VYDAJ	VYBER	500	48389	\N	\N	\N
773812	2641	1995-01-01	VYDAJ	VYBER	900	50389	\N	\N	\N
773813	2641	1995-01-26	VYDAJ	VYBER	1800	45095	\N	\N	\N
773814	2641	1996-01-14	VYDAJ	VYBER	1600	69610	\N	\N	\N
773815	2641	1996-01-28	VYDAJ	VYBER	2800	52910	\N	\N	\N
773816	2641	1996-01-16	VYDAJ	VYBER	2300	67310	\N	\N	\N
773817	2641	1996-01-25	VYDAJ	VYBER	1000	55710	\N	\N	\N
773818	2641	1996-01-11	VYDAJ	VYBER	2800	54904	\N	\N	\N
773819	2641	1996-01-08	VYDAJ	VYBER	2000	57704	\N	\N	\N
773820	2641	1997-01-15	VYDAJ	VYBER KARTOU	800	77865	\N	\N	0
773821	2641	1997-01-23	VYDAJ	VYBER KARTOU	500	72765	\N	\N	0
773822	2641	1997-01-21	VYDAJ	VYBER KARTOU	2300	75565	\N	\N	0
773823	2641	1997-01-22	VYDAJ	VYBER KARTOU	2300	73265	\N	\N	0
773824	2641	1997-01-28	VYDAJ	VYBER KARTOU	2000	70765	\N	\N	0
773825	2641	1997-01-13	VYDAJ	VYBER KARTOU	1700	78665	\N	\N	0
773826	2641	1998-01-20	VYDAJ	VYBER KARTOU	2900	77036	\N	\N	0
773827	2641	1998-01-18	VYDAJ	VYBER KARTOU	1500	79936	\N	\N	0
773828	2641	1998-01-09	VYDAJ	VYBER KARTOU	2600	67130	\N	\N	0
773829	2641	1998-01-23	VYDAJ	VYBER KARTOU	2500	74536	\N	\N	0
773830	2641	1998-01-02	VYDAJ	VYBER KARTOU	1700	93630	\N	\N	0
773831	2641	1998-01-13	VYDAJ	VYBER KARTOU	2000	81436	\N	\N	0
773833	2641	1993-12-08	VYDAJ	VYBER	1000	38550	\N	\N	\N
773835	2641	1994-04-30	VYDAJ	VYBER	1900	37793	\N	\N	\N
773836	2641	1994-06-05	VYDAJ	VYBER	3700	37190	\N	\N	\N
773837	2641	1994-08-05	VYDAJ	VYBER	1000	39154	\N	\N	\N
773838	2641	1994-07-08	VYDAJ	VYBER	2200	33076	\N	\N	\N
773839	2641	1994-04-16	VYDAJ	VYBER	2500	56300	\N	\N	\N
773840	2641	1995-08-28	VYDAJ	VYBER	1800	48167	\N	\N	\N
773841	2641	1995-06-20	VYDAJ	VYBER	4000	72144	\N	\N	\N
773842	2641	1995-03-14	VYDAJ	VYBER	3200	58115	\N	\N	\N
773843	2641	1995-09-19	VYDAJ	VYBER	2100	62575	\N	\N	\N
773844	2641	1996-07-16	VYDAJ	VYBER KARTOU	3300	57083	\N	\N	0
773845	2641	1996-05-28	VYDAJ	VYBER KARTOU	1400	64043	\N	\N	0
773846	2641	1996-02-13	VYDAJ	VYBER	2300	67146	\N	\N	\N
773847	2641	1996-12-08	VYDAJ	VYBER KARTOU	1700	66461	\N	\N	0
773848	2641	1997-09-13	VYDAJ	VYBER KARTOU	3200	82596	\N	\N	0
773849	2641	1997-08-07	VYDAJ	VYBER KARTOU	3400	74861	\N	\N	0
773850	2641	1997-07-15	VYDAJ	VYBER KARTOU	3400	77954	\N	\N	0
773851	2641	1997-12-20	VYDAJ	VYBER KARTOU	3200	94971	\N	\N	0
773852	2641	1998-02-15	VYDAJ	VYBER KARTOU	2400	80650	\N	\N	0
773853	2641	1998-06-06	VYDAJ	VYBER	4900	63492	\N	\N	\N
773854	2641	1998-07-03	VYDAJ	VYBER KARTOU	900	69032	\N	\N	0
773855	2641	1998-01-09	VYDAJ	VYBER	4900	69730	\N	\N	\N
773856	2641	1998-11-22	VYDAJ	VYBER	4800	94596	\N	\N	\N
773857	2641	1998-01-26	VYDAJ	VYBER KARTOU	2200	72336	\N	\N	0
773858	2641	1998-07-21	VYDAJ	VYBER	4600	76238	\N	\N	\N
773868	2641	1993-09-30	VYDAJ	VYBER	15	45024	SLUZBY	\N	\N
773869	2641	1993-10-31	VYDAJ	VYBER	15	41451	SLUZBY	\N	\N
773870	2641	1993-11-30	VYDAJ	VYBER	15	39550	SLUZBY	\N	\N
773871	2641	1993-12-31	VYDAJ	VYBER	15	45889	SLUZBY	\N	\N
773872	2641	1994-01-31	VYDAJ	VYBER	15	37787	SLUZBY	\N	\N
773873	2641	1994-02-28	VYDAJ	VYBER	15	41782	SLUZBY	\N	\N
773874	2641	1994-03-31	VYDAJ	VYBER	15	42494	SLUZBY	\N	\N
773875	2641	1994-04-30	VYDAJ	VYBER	15	39693	SLUZBY	\N	\N
773876	2641	1994-05-31	VYDAJ	VYBER	15	40890	SLUZBY	\N	\N
773877	2641	1994-06-30	VYDAJ	VYBER	15	35276	SLUZBY	\N	\N
773878	2641	1994-07-31	VYDAJ	VYBER	15	40154	SLUZBY	\N	\N
773879	2641	1994-08-31	VYDAJ	VYBER	15	40147	SLUZBY	\N	\N
773880	2641	1994-09-30	VYDAJ	VYBER	15	41234	SLUZBY	\N	\N
773881	2641	1994-10-31	VYDAJ	VYBER	15	45135	SLUZBY	\N	\N
773882	2641	1994-11-30	VYDAJ	VYBER	15	45246	SLUZBY	\N	\N
773883	2641	1994-12-31	VYDAJ	VYBER	15	51289	SLUZBY	\N	\N
773884	2641	1995-01-31	VYDAJ	VYBER	15	43905	SLUZBY	\N	\N
773885	2641	1995-02-28	VYDAJ	VYBER	15	45009	SLUZBY	\N	\N
773886	2641	1995-03-31	VYDAJ	VYBER	15	44107	SLUZBY	\N	\N
773887	2641	1995-04-30	VYDAJ	VYBER	15	44711	SLUZBY	\N	\N
773888	2641	1995-05-31	VYDAJ	VYBER	15	49122	SLUZBY	\N	\N
773889	2641	1995-06-30	VYDAJ	VYBER	15	43265	SLUZBY	\N	\N
773890	2641	1995-07-31	VYDAJ	VYBER	15	47561	SLUZBY	\N	\N
773891	2641	1995-08-31	VYDAJ	VYBER	15	48369	SLUZBY	\N	\N
773892	2641	1995-09-30	VYDAJ	VYBER	15	49583	SLUZBY	\N	\N
773893	2641	1995-10-31	VYDAJ	VYBER	15	54303	SLUZBY	\N	\N
773894	2641	1995-11-30	VYDAJ	VYBER	15	55034	SLUZBY	\N	\N
773895	2641	1995-12-31	VYDAJ	VYBER	15	59704	SLUZBY	\N	\N
773896	2641	1996-01-31	VYDAJ	VYBER	15	53140	SLUZBY	\N	\N
773897	2641	1996-02-29	VYDAJ	VYBER	15	53259	SLUZBY	\N	\N
773898	2641	1996-03-31	VYDAJ	VYBER	15	56792	SLUZBY	\N	\N
773899	2641	1996-04-30	VYDAJ	VYBER	15	62337	SLUZBY	\N	\N
773900	2641	1996-05-31	VYDAJ	VYBER	15	64301	SLUZBY	\N	\N
773901	2641	1996-06-30	VYDAJ	VYBER	15	55077	SLUZBY	\N	\N
773902	2641	1996-07-31	VYDAJ	VYBER	15	57309	SLUZBY	\N	\N
773903	2641	1996-08-31	VYDAJ	VYBER	15	64257	SLUZBY	\N	\N
773904	2641	1996-09-30	VYDAJ	VYBER	15	65017	SLUZBY	\N	\N
773905	2641	1996-10-31	VYDAJ	VYBER	15	68788	SLUZBY	\N	\N
773906	2641	1996-11-30	VYDAJ	VYBER	15	68161	SLUZBY	\N	\N
773907	2641	1996-12-31	VYDAJ	VYBER	15	70859	SLUZBY	\N	\N
773908	2641	1997-01-31	VYDAJ	VYBER	15	71054	SLUZBY	\N	\N
773909	2641	1997-02-28	VYDAJ	VYBER	15	77465	SLUZBY	\N	\N
773910	2641	1997-03-31	VYDAJ	VYBER	15	77287	SLUZBY	\N	\N
773911	2641	1997-04-30	VYDAJ	VYBER	15	83926	SLUZBY	\N	\N
773912	2641	1997-05-31	VYDAJ	VYBER	15	89390	SLUZBY	\N	\N
773913	2641	1997-06-30	VYDAJ	VYBER	15	78448	SLUZBY	\N	\N
773914	2641	1997-07-31	VYDAJ	VYBER	15	78261	SLUZBY	\N	\N
773915	2641	1997-08-31	VYDAJ	VYBER	15	81490	SLUZBY	\N	\N
773916	2641	1997-09-30	VYDAJ	VYBER	15	82919	SLUZBY	\N	\N
773917	2641	1997-10-31	VYDAJ	VYBER	15	88378	SLUZBY	\N	\N
773918	2641	1997-11-30	VYDAJ	VYBER	15	90249	SLUZBY	\N	\N
773919	2641	1997-12-31	VYDAJ	VYBER	15	95330	SLUZBY	\N	\N
773920	2641	1998-01-31	VYDAJ	VYBER	15	72644	SLUZBY	\N	\N
773921	2641	1998-02-28	VYDAJ	VYBER	15	80956	SLUZBY	\N	\N
773922	2641	1998-03-31	VYDAJ	VYBER	15	82895	SLUZBY	\N	\N
773923	2641	1998-04-30	VYDAJ	VYBER	15	84442	SLUZBY	\N	\N
773924	2641	1998-05-31	VYDAJ	VYBER	15	85192	SLUZBY	\N	\N
773925	2641	1998-06-30	VYDAJ	VYBER	15	69932	SLUZBY	\N	\N
773926	2641	1998-07-31	VYDAJ	VYBER	15	76525	SLUZBY	\N	\N
773927	2641	1998-08-31	VYDAJ	VYBER	15	83759	SLUZBY	\N	\N
773928	2641	1998-09-30	VYDAJ	VYBER	15	89820	SLUZBY	\N	\N
773929	2641	1998-10-31	VYDAJ	VYBER	15	94990	SLUZBY	\N	\N
773930	2641	1998-11-30	VYDAJ	VYBER	15	94975	SLUZBY	\N	\N
773931	2641	1993-06-01	PRIJEM	VKLAD	300	22492	\N	\N	\N
773932	2641	1993-07-01	VYDAJ	VYBER	16200	38618	\N	\N	\N
773933	2641	1993-07-31	VYDAJ	VYBER	19400	40889	\N	\N	\N
773934	2641	1993-08-30	VYDAJ	VYBER	16900	45421	\N	\N	\N
773935	2641	1993-09-29	VYDAJ	VYBER	17100	44799	\N	\N	\N
773936	2641	1993-10-29	VYDAJ	VYBER	20100	41230	\N	\N	\N
773937	2641	1993-11-28	VYDAJ	VYBER	18400	39357	\N	\N	\N
773938	2641	1993-12-28	VYDAJ	VYBER	17600	45672	\N	\N	\N
773939	2641	1994-01-27	VYDAJ	VYBER	13800	39895	\N	\N	\N
773940	2641	1994-02-26	VYDAJ	VYBER	12500	41593	\N	\N	\N
773941	2641	1994-03-28	VYDAJ	VYBER	15800	42288	\N	\N	\N
773942	2641	1994-04-27	VYDAJ	VYBER	16800	39500	\N	\N	\N
773943	2641	1994-05-27	VYDAJ	VYBER	13400	40699	\N	\N	\N
773944	2641	1994-06-26	VYDAJ	VYBER	6300	35112	\N	\N	\N
773945	2641	1994-07-26	VYDAJ	VYBER	9400	39982	\N	\N	\N
773946	2641	1994-08-25	VYDAJ	VYBER	15500	39960	\N	\N	\N
773947	2641	1994-09-24	VYDAJ	VYBER	15400	41053	\N	\N	\N
773948	2641	1994-10-24	VYDAJ	VYBER	12600	44940	\N	\N	\N
773949	2641	1994-11-23	VYDAJ	VYBER	16400	45041	\N	\N	\N
773950	2641	1994-12-23	VYDAJ	VYBER	20000	51068	\N	\N	\N
773951	2641	1995-01-22	VYDAJ	VYBER	16100	46895	\N	\N	\N
773952	2641	1995-02-21	VYDAJ	VYBER	15400	44811	\N	\N	\N
773953	2641	1995-03-23	VYDAJ	VYBER	14200	43915	\N	\N	\N
773954	2641	1995-04-22	VYDAJ	VYBER	15900	44513	\N	\N	\N
773955	2641	1995-05-22	VYDAJ	VYBER	12100	48917	\N	\N	\N
773956	2641	1995-06-21	VYDAJ	VYBER	19600	52544	\N	\N	\N
773957	2641	1995-07-21	VYDAJ	VYBER	12200	47371	\N	\N	\N
773958	2641	1995-08-20	VYDAJ	VYBER	13900	49967	\N	\N	\N
773959	2641	1995-09-19	VYDAJ	VYBER	13200	49375	\N	\N	\N
773960	2641	1995-10-19	VYDAJ	VYBER	11800	54089	\N	\N	\N
773961	2641	1995-11-18	VYDAJ	VYBER	15800	54809	\N	\N	\N
773962	2641	1995-12-18	VYDAJ	VYBER	19800	62256	\N	\N	\N
773963	2641	1996-01-17	VYDAJ	VYBER	10600	56710	\N	\N	\N
773964	2641	1996-02-16	VYDAJ	VYBER	14100	53046	\N	\N	\N
773965	2641	1996-03-17	VYDAJ	VYBER	13000	56565	\N	\N	\N
773966	2641	1996-04-16	VYDAJ	VYBER	11000	62098	\N	\N	\N
773967	2641	1996-05-16	VYDAJ	VYBER	13200	65443	\N	\N	\N
773968	2641	1996-06-15	VYDAJ	VYBER	21100	70223	\N	\N	\N
773969	2641	1996-07-15	VYDAJ	VYBER	11000	60383	\N	\N	\N
773970	2641	1996-08-14	VYDAJ	VYBER	9600	64015	\N	\N	\N
773971	2641	1996-09-13	VYDAJ	VYBER	15800	64763	\N	\N	\N
773972	2641	1996-10-13	VYDAJ	VYBER	12800	68523	\N	\N	\N
773973	2641	1996-11-12	VYDAJ	VYBER	17200	67894	\N	\N	\N
773974	2641	1996-12-12	VYDAJ	VYBER	21200	77409	\N	\N	\N
773975	2641	1997-01-11	VYDAJ	VYBER	6800	64059	\N	\N	\N
773976	2641	1997-02-10	VYDAJ	VYBER	10200	60854	\N	\N	\N
773977	2641	1997-03-12	VYDAJ	VYBER	16800	82097	\N	\N	\N
773978	2641	1997-04-11	VYDAJ	VYBER	10000	67287	\N	\N	\N
773979	2641	1997-05-11	VYDAJ	VYBER	11200	72726	\N	\N	\N
773980	2641	1997-06-10	VYDAJ	VYBER	16500	72890	\N	\N	\N
773981	2641	1997-07-10	VYDAJ	VYBER	13400	65048	\N	\N	\N
773982	2641	1997-08-09	VYDAJ	VYBER	10000	64861	\N	\N	\N
773983	2641	1997-09-08	VYDAJ	VYBER	12000	69490	\N	\N	\N
773984	2641	1997-10-08	VYDAJ	VYBER	11200	71719	\N	\N	\N
773985	2641	1997-11-07	VYDAJ	VYBER	14800	73578	\N	\N	\N
773986	2641	1997-12-07	VYDAJ	VYBER	18100	71149	\N	\N	\N
773987	2641	1998-01-06	VYDAJ	VYBER	19000	74630	\N	\N	\N
773988	2641	1998-02-05	VYDAJ	VYBER	5900	66744	\N	\N	\N
773989	2641	1998-03-07	VYDAJ	VYBER	14700	66256	\N	\N	\N
773990	2641	1998-04-06	VYDAJ	VYBER	15100	67795	\N	\N	\N
773991	2641	1998-05-06	VYDAJ	VYBER	15900	68542	\N	\N	\N
773992	2641	1998-06-05	VYDAJ	VYBER	16800	68392	\N	\N	\N
773993	2641	1998-07-05	VYDAJ	VYBER	4500	64532	\N	\N	\N
773994	2641	1998-08-04	VYDAJ	VYBER	9400	67125	\N	\N	\N
773995	2641	1998-09-03	VYDAJ	VYBER	10600	73159	\N	\N	\N
773996	2641	1998-10-03	VYDAJ	VYBER	11500	78320	\N	\N	\N
773997	2641	1998-11-02	VYDAJ	VYBER	11900	83090	\N	\N	\N
773998	2641	1998-12-02	VYDAJ	VYBER	9500	85475	\N	\N	\N
774067	2642	1995-06-05	PRIJEM	VKLAD	900	900	\N	\N	\N
774073	2642	1995-06-09	PRIJEM	VKLAD	19323	20223	\N	\N	\N
774074	2642	1995-07-09	PRIJEM	VKLAD	12882	36367	\N	\N	\N
774075	2642	1995-08-09	PRIJEM	VKLAD	12882	44683	\N	\N	\N
774076	2642	1995-09-09	PRIJEM	VKLAD	12882	48742	\N	\N	\N
774077	2642	1995-10-09	PRIJEM	VKLAD	12882	46123	\N	\N	\N
774078	2642	1995-11-09	PRIJEM	VKLAD	12882	40163	\N	\N	\N
774079	2642	1995-12-09	PRIJEM	VKLAD	19323	43483	\N	\N	\N
774080	2642	1996-01-09	PRIJEM	VKLAD	12882	33224	\N	\N	\N
774081	2642	1996-02-09	PRIJEM	VKLAD	12882	29909	\N	\N	\N
774082	2642	1996-03-09	PRIJEM	VKLAD	12882	34067	\N	\N	\N
774083	2642	1996-04-09	PRIJEM	VKLAD	12882	39965	\N	\N	\N
774084	2642	1996-05-09	PRIJEM	VKLAD	12882	38085	\N	\N	\N
774085	2642	1996-06-09	PRIJEM	VKLAD	19323	32870	\N	\N	\N
774086	2642	1996-07-09	PRIJEM	VKLAD	12882	36162	\N	\N	\N
774087	2642	1996-08-09	PRIJEM	VKLAD	12882	38563	\N	\N	\N
774088	2642	1996-09-09	PRIJEM	VKLAD	12882	40972	\N	\N	\N
774089	2642	1996-10-09	PRIJEM	VKLAD	12882	42193	\N	\N	\N
774090	2642	1996-11-09	PRIJEM	VKLAD	12882	42817	\N	\N	\N
774091	2642	1996-12-09	PRIJEM	VKLAD	19323	49685	\N	\N	\N
774092	2642	1997-01-09	PRIJEM	VKLAD	12882	44513	\N	\N	\N
774093	2642	1997-02-09	PRIJEM	VKLAD	12882	34823	\N	\N	\N
774094	2642	1997-03-09	PRIJEM	VKLAD	12882	41620	\N	\N	\N
774095	2642	1997-04-09	PRIJEM	VKLAD	12882	42360	\N	\N	\N
774096	2642	1997-05-09	PRIJEM	VKLAD	12882	37583	\N	\N	\N
774097	2642	1997-06-09	PRIJEM	VKLAD	19323	48333	\N	\N	\N
774098	2642	1997-07-09	PRIJEM	VKLAD	12882	34885	\N	\N	\N
774099	2642	1997-08-09	PRIJEM	VKLAD	12882	33591	\N	\N	\N
774100	2642	1997-09-09	PRIJEM	VKLAD	12882	36977	\N	\N	\N
774101	2642	1997-10-09	PRIJEM	VKLAD	12882	42779	\N	\N	\N
774102	2642	1997-11-09	PRIJEM	VKLAD	12882	43499	\N	\N	\N
774103	2642	1997-12-09	PRIJEM	VKLAD	19323	49060	\N	\N	\N
774104	2642	1998-01-09	PRIJEM	VKLAD	12882	34344	\N	\N	\N
774105	2642	1998-02-09	PRIJEM	VKLAD	12882	19932	\N	\N	\N
774106	2642	1998-03-09	PRIJEM	VKLAD	12882	21579	\N	\N	\N
774107	2642	1998-04-09	PRIJEM	VKLAD	12882	24413	\N	\N	\N
774108	2642	1998-05-09	PRIJEM	VKLAD	12882	17617	\N	\N	\N
774109	2642	1998-06-09	PRIJEM	VKLAD	19323	28880	\N	\N	\N
774110	2642	1998-07-09	PRIJEM	VKLAD	12882	15807	\N	\N	\N
774111	2642	1998-08-09	PRIJEM	VKLAD	12882	18553	\N	\N	\N
774112	2642	1998-09-09	PRIJEM	VKLAD	12882	17263	\N	\N	\N
774113	2642	1998-10-09	PRIJEM	VKLAD	12882	16368	\N	\N	\N
774114	2642	1998-11-09	PRIJEM	VKLAD	12882	16671	\N	\N	\N
774115	2642	1998-12-09	PRIJEM	VKLAD	19323	19644	\N	\N	\N
774125	2642	1995-10-13	VYDAJ	PREVOD NA UCET	792	45331	SIPO	IJ	2104819
774126	2642	1995-11-13	VYDAJ	PREVOD NA UCET	792	38800	SIPO	IJ	2104819
774127	2642	1995-12-13	VYDAJ	PREVOD NA UCET	792	42691	SIPO	IJ	2104819
774128	2642	1996-01-13	VYDAJ	PREVOD NA UCET	792	29792	SIPO	IJ	2104819
774129	2642	1996-02-13	VYDAJ	PREVOD NA UCET	792	28546	SIPO	IJ	2104819
774130	2642	1996-03-13	VYDAJ	PREVOD NA UCET	792	32704	SIPO	IJ	2104819
774131	2642	1996-04-13	VYDAJ	PREVOD NA UCET	792	38602	SIPO	IJ	2104819
774132	2642	1996-05-13	VYDAJ	PREVOD NA UCET	792	36722	SIPO	IJ	2104819
774133	2642	1996-06-13	VYDAJ	PREVOD NA UCET	792	32078	SIPO	IJ	2104819
774134	2642	1996-07-13	VYDAJ	PREVOD NA UCET	792	34799	SIPO	IJ	2104819
774135	2642	1996-08-13	VYDAJ	PREVOD NA UCET	792	37200	SIPO	IJ	2104819
774136	2642	1996-09-13	VYDAJ	PREVOD NA UCET	792	40180	SIPO	IJ	2104819
774137	2642	1996-10-13	VYDAJ	PREVOD NA UCET	792	41401	SIPO	IJ	2104819
774138	2642	1996-11-13	VYDAJ	PREVOD NA UCET	792	41454	SIPO	IJ	2104819
774139	2642	1996-12-13	VYDAJ	PREVOD NA UCET	792	48893	SIPO	IJ	2104819
774140	2642	1997-01-13	VYDAJ	PREVOD NA UCET	792	41081	SIPO	IJ	2104819
774141	2642	1997-02-13	VYDAJ	PREVOD NA UCET	792	33460	SIPO	IJ	2104819
774142	2642	1997-03-13	VYDAJ	PREVOD NA UCET	792	40257	SIPO	IJ	2104819
774143	2642	1997-04-13	VYDAJ	PREVOD NA UCET	792	40997	SIPO	IJ	2104819
774144	2642	1997-05-13	VYDAJ	PREVOD NA UCET	792	36220	SIPO	IJ	2104819
774145	2642	1997-06-13	VYDAJ	PREVOD NA UCET	792	31130	SIPO	IJ	2104819
774146	2642	1997-07-13	VYDAJ	PREVOD NA UCET	792	33522	SIPO	IJ	2104819
774147	2642	1997-08-13	VYDAJ	PREVOD NA UCET	792	32228	SIPO	IJ	2104819
774148	2642	1997-09-13	VYDAJ	PREVOD NA UCET	792	35614	SIPO	IJ	2104819
774149	2642	1997-10-13	VYDAJ	PREVOD NA UCET	792	41416	SIPO	IJ	2104819
774150	2642	1997-11-13	VYDAJ	PREVOD NA UCET	792	42707	SIPO	IJ	2104819
774151	2642	1997-12-13	VYDAJ	PREVOD NA UCET	792	48268	SIPO	IJ	2104819
774152	2642	1998-01-13	VYDAJ	PREVOD NA UCET	792	32981	SIPO	IJ	2104819
774153	2642	1998-02-13	VYDAJ	PREVOD NA UCET	792	19140	SIPO	IJ	2104819
774154	2642	1998-03-13	VYDAJ	PREVOD NA UCET	792	20216	SIPO	IJ	2104819
774155	2642	1998-04-13	VYDAJ	PREVOD NA UCET	792	23050	SIPO	IJ	2104819
774156	2642	1998-05-13	VYDAJ	PREVOD NA UCET	792	16825	SIPO	IJ	2104819
774158	2642	1998-07-13	VYDAJ	PREVOD NA UCET	792	15015	SIPO	IJ	2104819
774159	2642	1998-08-13	VYDAJ	PREVOD NA UCET	792	17761	SIPO	IJ	2104819
774160	2642	1998-09-13	VYDAJ	PREVOD NA UCET	792	16471	SIPO	IJ	2104819
774161	2642	1998-10-13	VYDAJ	PREVOD NA UCET	792	15576	SIPO	IJ	2104819
774162	2642	1998-11-13	VYDAJ	PREVOD NA UCET	792	15308	SIPO	IJ	2104819
774163	2642	1998-12-13	VYDAJ	PREVOD NA UCET	792	18281	SIPO	IJ	2104819
774173	2642	1995-10-13	VYDAJ	PREVOD NA UCET	571	44760	 	IJ	37776649
774174	2642	1995-11-13	VYDAJ	PREVOD NA UCET	571	39592	 	IJ	37776649
774175	2642	1995-12-13	VYDAJ	PREVOD NA UCET	571	42120	 	IJ	37776649
774176	2642	1996-01-13	VYDAJ	PREVOD NA UCET	571	29221	 	IJ	37776649
774177	2642	1996-02-13	VYDAJ	PREVOD NA UCET	571	29338	 	IJ	37776649
774178	2642	1996-03-13	VYDAJ	PREVOD NA UCET	571	33496	 	IJ	37776649
774179	2642	1996-04-13	VYDAJ	PREVOD NA UCET	571	39394	 	IJ	37776649
774180	2642	1996-05-13	VYDAJ	PREVOD NA UCET	571	37514	 	IJ	37776649
774181	2642	1996-06-13	VYDAJ	PREVOD NA UCET	571	31507	 	IJ	37776649
774182	2642	1996-07-13	VYDAJ	PREVOD NA UCET	571	35591	 	IJ	37776649
774183	2642	1996-08-13	VYDAJ	PREVOD NA UCET	571	37992	 	IJ	37776649
774184	2642	1996-09-13	VYDAJ	PREVOD NA UCET	571	39609	 	IJ	37776649
774185	2642	1996-10-13	VYDAJ	PREVOD NA UCET	571	40830	 	IJ	37776649
774186	2642	1996-11-13	VYDAJ	PREVOD NA UCET	571	42246	 	IJ	37776649
774187	2642	1996-12-13	VYDAJ	PREVOD NA UCET	571	48322	 	IJ	37776649
774188	2642	1997-01-13	VYDAJ	PREVOD NA UCET	571	40510	 	IJ	37776649
774189	2642	1997-02-13	VYDAJ	PREVOD NA UCET	571	34252	 	IJ	37776649
774190	2642	1997-03-13	VYDAJ	PREVOD NA UCET	571	41049	 	IJ	37776649
774191	2642	1997-04-13	VYDAJ	PREVOD NA UCET	571	41789	 	IJ	37776649
774192	2642	1997-05-13	VYDAJ	PREVOD NA UCET	571	37012	 	IJ	37776649
774193	2642	1997-06-13	VYDAJ	PREVOD NA UCET	571	31922	 	IJ	37776649
774194	2642	1997-07-13	VYDAJ	PREVOD NA UCET	571	34314	 	IJ	37776649
774195	2642	1997-08-13	VYDAJ	PREVOD NA UCET	571	33020	 	IJ	37776649
774196	2642	1997-09-13	VYDAJ	PREVOD NA UCET	571	36406	 	IJ	37776649
774197	2642	1997-10-13	VYDAJ	PREVOD NA UCET	571	42208	 	IJ	37776649
774198	2642	1997-11-13	VYDAJ	PREVOD NA UCET	571	42136	 	IJ	37776649
774199	2642	1997-12-13	VYDAJ	PREVOD NA UCET	571	47697	 	IJ	37776649
774200	2642	1998-01-13	VYDAJ	PREVOD NA UCET	571	33773	 	IJ	37776649
774201	2642	1998-02-13	VYDAJ	PREVOD NA UCET	571	18569	 	IJ	37776649
774202	2642	1998-03-13	VYDAJ	PREVOD NA UCET	571	21008	 	IJ	37776649
774203	2642	1998-04-13	VYDAJ	PREVOD NA UCET	571	23842	 	IJ	37776649
774204	2642	1998-05-13	VYDAJ	PREVOD NA UCET	571	16254	 	IJ	37776649
774205	2642	1998-06-13	VYDAJ	PREVOD NA UCET	571	-651	 	IJ	37776649
774206	2642	1998-07-13	VYDAJ	PREVOD NA UCET	571	14444	 	IJ	37776649
774207	2642	1998-08-13	VYDAJ	PREVOD NA UCET	571	17190	 	IJ	37776649
774208	2642	1998-09-13	VYDAJ	PREVOD NA UCET	571	15900	 	IJ	37776649
774209	2642	1998-10-13	VYDAJ	PREVOD NA UCET	571	15005	 	IJ	37776649
774210	2642	1998-11-13	VYDAJ	PREVOD NA UCET	571	16100	 	IJ	37776649
774211	2642	1998-12-13	VYDAJ	PREVOD NA UCET	571	19073	 	IJ	37776649
774222	2642	1995-11-05	VYDAJ	PREVOD NA UCET	2536	27281	POJISTNE	EF	64703529
774223	2642	1995-12-05	VYDAJ	PREVOD NA UCET	2536	24160	POJISTNE	EF	64703529
774224	2642	1996-01-05	VYDAJ	PREVOD NA UCET	2536	22862	POJISTNE	EF	64703529
774225	2642	1996-02-05	VYDAJ	PREVOD NA UCET	2536	17027	POJISTNE	EF	64703529
774226	2642	1996-03-05	VYDAJ	PREVOD NA UCET	2536	21185	POJISTNE	EF	64703529
774227	2642	1996-04-05	VYDAJ	PREVOD NA UCET	2536	27083	POJISTNE	EF	64703529
774228	2642	1996-05-05	VYDAJ	PREVOD NA UCET	2536	25203	POJISTNE	EF	64703529
774229	2642	1996-06-05	VYDAJ	PREVOD NA UCET	2536	25827	POJISTNE	EF	64703529
774230	2642	1996-07-05	VYDAJ	PREVOD NA UCET	2536	23280	POJISTNE	EF	64703529
774231	2642	1996-08-05	VYDAJ	PREVOD NA UCET	2536	25681	POJISTNE	EF	64703529
774232	2642	1996-09-05	VYDAJ	PREVOD NA UCET	2536	28090	POJISTNE	EF	64703529
774233	2642	1996-10-05	VYDAJ	PREVOD NA UCET	2536	29311	POJISTNE	EF	64703529
774234	2642	1996-11-05	VYDAJ	PREVOD NA UCET	2536	29935	POJISTNE	EF	64703529
774235	2642	1996-12-05	VYDAJ	PREVOD NA UCET	2536	30362	POJISTNE	EF	64703529
774236	2642	1997-01-05	VYDAJ	PREVOD NA UCET	2536	34511	POJISTNE	EF	64703529
774237	2642	1997-02-05	VYDAJ	PREVOD NA UCET	2536	21941	POJISTNE	EF	64703529
774238	2642	1997-03-05	VYDAJ	PREVOD NA UCET	2536	28738	POJISTNE	EF	64703529
774239	2642	1997-04-05	VYDAJ	PREVOD NA UCET	2536	29478	POJISTNE	EF	64703529
774240	2642	1997-05-05	VYDAJ	PREVOD NA UCET	2536	28901	POJISTNE	EF	64703529
774241	2642	1997-06-05	VYDAJ	PREVOD NA UCET	2536	29010	POJISTNE	EF	64703529
774242	2642	1997-07-05	VYDAJ	PREVOD NA UCET	2536	22003	POJISTNE	EF	64703529
774243	2642	1997-08-05	VYDAJ	PREVOD NA UCET	2536	20709	POJISTNE	EF	64703529
774244	2642	1997-09-05	VYDAJ	PREVOD NA UCET	2536	24095	POJISTNE	EF	64703529
774245	2642	1997-10-05	VYDAJ	PREVOD NA UCET	2536	29897	POJISTNE	EF	64703529
774246	2642	1997-11-05	VYDAJ	PREVOD NA UCET	2536	30617	POJISTNE	EF	64703529
774247	2642	1997-12-05	VYDAJ	PREVOD NA UCET	2536	29737	POJISTNE	EF	64703529
774248	2642	1998-01-05	VYDAJ	PREVOD NA UCET	2536	21462	POJISTNE	EF	64703529
774249	2642	1998-02-05	VYDAJ	PREVOD NA UCET	2536	7050	POJISTNE	EF	64703529
774250	2642	1998-03-05	VYDAJ	PREVOD NA UCET	2536	8697	POJISTNE	EF	64703529
774251	2642	1998-04-05	VYDAJ	PREVOD NA UCET	2536	11531	POJISTNE	EF	64703529
774252	2642	1998-05-05	VYDAJ	PREVOD NA UCET	2536	4735	POJISTNE	EF	64703529
774253	2642	1998-06-05	VYDAJ	PREVOD NA UCET	2536	9557	POJISTNE	EF	64703529
774254	2642	1998-07-05	VYDAJ	PREVOD NA UCET	2536	2925	POJISTNE	EF	64703529
774255	2642	1998-08-05	VYDAJ	PREVOD NA UCET	2536	5671	POJISTNE	EF	64703529
774256	2642	1998-09-05	VYDAJ	PREVOD NA UCET	2536	4381	POJISTNE	EF	64703529
774257	2642	1998-10-05	VYDAJ	PREVOD NA UCET	2536	3486	POJISTNE	EF	64703529
774258	2642	1998-11-05	VYDAJ	PREVOD NA UCET	2536	3789	POJISTNE	EF	64703529
774261	2642	1996-06-08	VYDAJ	VYBER	10240	13547	\N	\N	\N
774262	2642	1997-06-09	VYDAJ	VYBER	15840	32493	\N	\N	\N
774263	2642	1998-06-11	VYDAJ	VYBER	28960	-80	\N	\N	\N
774265	2642	1996-01-15	VYDAJ	VYBER	3840	25381	\N	\N	\N
774266	2642	1997-01-26	VYDAJ	VYBER	2560	25430	\N	\N	\N
774267	2642	1998-01-23	VYDAJ	VYBER	7520	15741	\N	\N	\N
774268	2642	1995-12-16	VYDAJ	VYBER	4640	37480	\N	\N	\N
774269	2642	1996-12-28	VYDAJ	VYBER	800	39522	\N	\N	\N
774270	2642	1997-12-30	VYDAJ	VYBER	1600	28897	\N	\N	\N
774271	2642	1998-12-30	VYDAJ	VYBER	3040	3941	\N	\N	\N
774278	2642	1996-01-08	VYDAJ	VYBER	2520	20342	\N	\N	\N
774279	2642	1996-01-28	VYDAJ	VYBER	2640	16981	\N	\N	\N
774280	2642	1996-01-01	VYDAJ	VYBER	3120	25398	\N	\N	\N
774281	2642	1996-01-18	VYDAJ	VYBER	2520	19621	\N	\N	\N
774282	2642	1996-01-13	VYDAJ	VYBER	2640	30584	\N	\N	\N
774283	2642	1996-01-17	VYDAJ	VYBER	3240	22141	\N	\N	\N
774284	2642	1997-01-06	VYDAJ	VYBER	2880	31631	\N	\N	\N
774285	2642	1997-01-05	VYDAJ	VYBER	2640	37047	\N	\N	\N
774286	2642	1997-01-26	VYDAJ	VYBER	1080	24350	\N	\N	\N
774287	2642	1997-01-18	VYDAJ	VYBER	2640	31390	\N	\N	\N
774288	2642	1997-01-17	VYDAJ	VYBER	3360	37150	\N	\N	\N
774289	2642	1997-01-12	VYDAJ	VYBER	2640	41873	\N	\N	\N
774290	2642	1998-01-01	VYDAJ	VYBER	1800	27238	\N	\N	\N
774291	2642	1998-01-26	VYDAJ	VYBER	3480	12261	\N	\N	\N
774292	2642	1998-01-20	VYDAJ	VYBER	1320	23261	\N	\N	\N
774293	2642	1998-01-04	VYDAJ	VYBER	2160	23998	\N	\N	\N
774294	2642	1998-01-04	VYDAJ	VYBER	1080	26158	\N	\N	\N
774295	2642	1998-01-29	VYDAJ	VYBER	2760	9501	\N	\N	\N
774299	2642	1995-11-20	VYDAJ	VYBER	5040	33760	\N	\N	\N
774300	2642	1995-10-29	VYDAJ	VYBER	2520	42240	\N	\N	\N
774301	2642	1996-06-05	VYDAJ	VYBER	2040	23787	\N	\N	\N
774302	2642	1996-03-05	VYDAJ	VYBER	3720	23721	\N	\N	\N
774303	2642	1996-08-22	VYDAJ	VYBER	3600	33600	\N	\N	\N
774304	2642	1997-07-21	VYDAJ	VYBER	4680	28842	\N	\N	\N
774305	2642	1997-01-18	VYDAJ	VYBER	3120	34030	\N	\N	\N
774306	2642	1997-05-08	VYDAJ	VYBER	4200	24701	\N	\N	\N
774307	2642	1997-03-25	VYDAJ	VYBER	4680	35577	\N	\N	\N
774308	2642	1998-05-04	VYDAJ	VYBER	3360	7271	\N	\N	\N
774309	2642	1998-05-01	VYDAJ	VYBER	5880	10631	\N	\N	\N
774312	2642	1998-07-13	VYDAJ	VYBER	2760	11684	\N	\N	\N
774313	2642	1998-02-26	VYDAJ	VYBER	2880	11189	\N	\N	\N
774314	2642	1998-12-02	VYDAJ	VYBER	3000	321	\N	\N	\N
774325	2642	1995-10-31	VYDAJ	VYBER	15	42417	SLUZBY	\N	\N
774326	2642	1995-11-30	VYDAJ	VYBER	15	33896	SLUZBY	\N	\N
774327	2642	1995-12-31	VYDAJ	VYBER	15	37618	SLUZBY	\N	\N
774328	2642	1996-01-31	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
774329	2642	1996-02-29	VYDAJ	VYBER	15	28641	SLUZBY	\N	\N
774330	2642	1996-03-31	VYDAJ	VYBER	15	32819	SLUZBY	\N	\N
774331	2642	1996-04-30	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
774332	2642	1996-05-31	VYDAJ	VYBER	15	28363	SLUZBY	\N	\N
774333	2642	1996-06-30	VYDAJ	VYBER	15	25816	SLUZBY	\N	\N
774334	2642	1996-07-31	VYDAJ	VYBER	15	28217	SLUZBY	\N	\N
774335	2642	1996-08-31	VYDAJ	VYBER	15	30626	SLUZBY	\N	\N
774336	2642	1996-09-30	VYDAJ	VYBER	15	31847	SLUZBY	\N	\N
774337	2642	1996-10-31	VYDAJ	VYBER	15	32471	SLUZBY	\N	\N
774338	2642	1996-11-30	VYDAJ	VYBER	15	32898	SLUZBY	\N	\N
774339	2642	1996-12-31	VYDAJ	VYBER	15	39687	SLUZBY	\N	\N
774340	2642	1997-01-31	VYDAJ	VYBER	15	24477	SLUZBY	\N	\N
774341	2642	1997-02-28	VYDAJ	VYBER	15	31274	SLUZBY	\N	\N
774342	2642	1997-03-31	VYDAJ	VYBER	15	32014	SLUZBY	\N	\N
774343	2642	1997-04-30	VYDAJ	VYBER	15	31437	SLUZBY	\N	\N
774344	2642	1997-05-31	VYDAJ	VYBER	15	31546	SLUZBY	\N	\N
774345	2642	1997-06-30	VYDAJ	VYBER	15	24539	SLUZBY	\N	\N
774346	2642	1997-07-31	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
774347	2642	1997-08-31	VYDAJ	VYBER	15	26631	SLUZBY	\N	\N
774348	2642	1997-09-30	VYDAJ	VYBER	15	32433	SLUZBY	\N	\N
774349	2642	1997-10-31	VYDAJ	VYBER	15	33153	SLUZBY	\N	\N
774350	2642	1997-11-30	VYDAJ	VYBER	15	32273	SLUZBY	\N	\N
774351	2642	1997-12-31	VYDAJ	VYBER	15	29038	SLUZBY	\N	\N
774352	2642	1998-01-31	VYDAJ	VYBER	15	9586	SLUZBY	\N	\N
774353	2642	1998-02-28	VYDAJ	VYBER	15	11233	SLUZBY	\N	\N
774354	2642	1998-03-31	VYDAJ	VYBER	15	14067	SLUZBY	\N	\N
774355	2642	1998-04-30	VYDAJ	VYBER	15	16511	SLUZBY	\N	\N
774356	2642	1998-05-31	VYDAJ	VYBER	15	12093	SLUZBY	\N	\N
774357	2642	1998-06-30	VYDAJ	VYBER	15	5461	SLUZBY	\N	\N
774358	2642	1998-07-31	VYDAJ	VYBER	15	8207	SLUZBY	\N	\N
774359	2642	1998-08-31	VYDAJ	VYBER	15	6917	SLUZBY	\N	\N
774360	2642	1998-09-30	VYDAJ	VYBER	15	6022	SLUZBY	\N	\N
774361	2642	1998-10-31	VYDAJ	VYBER	15	6325	SLUZBY	\N	\N
774362	2642	1998-11-30	VYDAJ	VYBER	15	3321	SLUZBY	\N	\N
774363	2642	1995-07-05	PRIJEM	VKLAD	3200	23485	\N	\N	\N
774364	2642	1995-08-04	VYDAJ	VYBER	4700	31801	\N	\N	\N
774365	2642	1995-09-03	VYDAJ	VYBER	9000	35860	\N	\N	\N
774366	2642	1995-10-03	VYDAJ	VYBER	15700	33241	\N	\N	\N
774367	2642	1995-11-02	VYDAJ	VYBER	12600	29817	\N	\N	\N
774368	2642	1995-12-02	VYDAJ	VYBER	7200	26696	\N	\N	\N
774369	2642	1996-01-01	VYDAJ	VYBER	9100	28518	\N	\N	\N
774370	2642	1996-01-31	PRIJEM	VKLAD	2500	19578	\N	\N	\N
774371	2642	1996-03-01	VYDAJ	VYBER	1200	27441	\N	\N	\N
774372	2642	1996-03-31	VYDAJ	VYBER	3200	29619	\N	\N	\N
774373	2642	1996-04-30	VYDAJ	VYBER	11000	27754	\N	\N	\N
774374	2642	1996-05-30	VYDAJ	VYBER	8500	28222	\N	\N	\N
774375	2642	1996-06-29	VYDAJ	VYBER	5800	25707	\N	\N	\N
774376	2642	1996-07-29	VYDAJ	VYBER	6700	28099	\N	\N	\N
774377	2642	1996-08-28	VYDAJ	VYBER	3100	30500	\N	\N	\N
774378	2642	1996-09-27	VYDAJ	VYBER	7900	31709	\N	\N	\N
774379	2642	1996-10-27	VYDAJ	VYBER	8500	32330	\N	\N	\N
774380	2642	1996-11-26	VYDAJ	VYBER	8700	32754	\N	\N	\N
774381	2642	1996-12-26	VYDAJ	VYBER	8000	40322	\N	\N	\N
774382	2642	1997-01-25	VYDAJ	VYBER	3400	27990	\N	\N	\N
774383	2642	1997-02-24	VYDAJ	VYBER	2300	31160	\N	\N	\N
774384	2642	1997-03-26	VYDAJ	VYBER	3700	31877	\N	\N	\N
774385	2642	1997-04-25	VYDAJ	VYBER	9700	31297	\N	\N	\N
774386	2642	1997-05-25	VYDAJ	VYBER	4800	31420	\N	\N	\N
774387	2642	1997-06-24	VYDAJ	VYBER	6700	24430	\N	\N	\N
774388	2642	1997-07-24	VYDAJ	VYBER	5700	23142	\N	\N	\N
774389	2642	1997-08-23	VYDAJ	VYBER	5700	26528	\N	\N	\N
774390	2642	1997-09-22	VYDAJ	VYBER	3300	32314	\N	\N	\N
774391	2642	1997-10-22	VYDAJ	VYBER	8400	33016	\N	\N	\N
774392	2642	1997-11-21	VYDAJ	VYBER	10000	32136	\N	\N	\N
774393	2642	1997-12-21	VYDAJ	VYBER	17200	30497	\N	\N	\N
774394	2642	1998-01-20	VYDAJ	VYBER	8400	24581	\N	\N	\N
774395	2642	1998-02-19	VYDAJ	VYBER	4500	14069	\N	\N	\N
774396	2642	1998-03-21	VYDAJ	VYBER	6200	14016	\N	\N	\N
774397	2642	1998-04-20	VYDAJ	VYBER	6600	16450	\N	\N	\N
774398	2642	1998-05-20	VYDAJ	VYBER	4200	12054	\N	\N	\N
774399	2642	1998-06-19	PRIJEM	VKLAD	6100	5449	\N	\N	\N
774400	2642	1998-07-19	VYDAJ	VYBER	3500	8184	\N	\N	\N
774401	2642	1998-08-18	VYDAJ	VYBER	10300	6890	\N	\N	\N
774402	2642	1998-09-17	VYDAJ	VYBER	9900	6000	\N	\N	\N
774403	2642	1998-10-17	VYDAJ	VYBER	8700	6305	\N	\N	\N
774404	2642	1998-11-16	VYDAJ	VYBER	12000	3308	\N	\N	\N
774405	2642	1998-12-16	VYDAJ	VYBER	11300	6981	\N	\N	\N
774876	2644	1997-08-08	PRIJEM	VKLAD	600	600	\N	\N	\N
774884	2644	1997-08-10	PRIJEM	PREVOD Z UCTU	4984	5584	DUCHOD	CD	11251050
774885	2644	1997-09-10	PRIJEM	PREVOD Z UCTU	4984	10585	DUCHOD	CD	11251050
774886	2644	1997-10-10	PRIJEM	PREVOD Z UCTU	4984	15592	DUCHOD	CD	11251050
774887	2644	1997-11-10	PRIJEM	PREVOD Z UCTU	4984	20599	DUCHOD	CD	11251050
774888	2644	1997-12-10	PRIJEM	PREVOD Z UCTU	4984	25606	DUCHOD	CD	11251050
774889	2644	1998-01-10	PRIJEM	PREVOD Z UCTU	4984	23064	DUCHOD	CD	11251050
774890	2644	1998-02-10	PRIJEM	PREVOD Z UCTU	4984	20307	DUCHOD	CD	11251050
774891	2644	1998-03-10	PRIJEM	PREVOD Z UCTU	4984	21380	DUCHOD	CD	11251050
774892	2644	1998-04-10	PRIJEM	PREVOD Z UCTU	4984	23747	DUCHOD	CD	11251050
774893	2644	1998-05-10	PRIJEM	PREVOD Z UCTU	4984	26114	DUCHOD	CD	11251050
774894	2644	1998-06-10	PRIJEM	PREVOD Z UCTU	4984	25365	DUCHOD	CD	11251050
774895	2644	1998-07-10	PRIJEM	PREVOD Z UCTU	4984	21989	DUCHOD	CD	11251050
774896	2644	1998-08-10	PRIJEM	PREVOD Z UCTU	4984	24049	DUCHOD	CD	11251050
774897	2644	1998-09-10	PRIJEM	PREVOD Z UCTU	4984	26419	DUCHOD	CD	11251050
774898	2644	1998-10-10	PRIJEM	PREVOD Z UCTU	4984	26314	DUCHOD	CD	11251050
774899	2644	1998-11-10	PRIJEM	PREVOD Z UCTU	4984	28693	DUCHOD	CD	11251050
774900	2644	1998-12-10	PRIJEM	PREVOD Z UCTU	4984	31082	DUCHOD	CD	11251050
774912	2644	1997-12-10	VYDAJ	PREVOD NA UCET	2563	23043	SIPO	CD	72787970
774913	2644	1998-01-10	VYDAJ	PREVOD NA UCET	2563	20501	SIPO	CD	72787970
774914	2644	1998-02-10	VYDAJ	PREVOD NA UCET	2563	17744	SIPO	CD	72787970
774915	2644	1998-03-10	VYDAJ	PREVOD NA UCET	2563	18817	SIPO	CD	72787970
774916	2644	1998-04-10	VYDAJ	PREVOD NA UCET	2563	21184	SIPO	CD	72787970
774917	2644	1998-05-10	VYDAJ	PREVOD NA UCET	2563	23551	SIPO	CD	72787970
774918	2644	1998-06-10	VYDAJ	PREVOD NA UCET	2563	22802	SIPO	CD	72787970
774919	2644	1998-07-10	VYDAJ	PREVOD NA UCET	2563	19426	SIPO	CD	72787970
774920	2644	1998-08-10	VYDAJ	PREVOD NA UCET	2563	21486	SIPO	CD	72787970
774921	2644	1998-09-10	VYDAJ	PREVOD NA UCET	2563	23856	SIPO	CD	72787970
774922	2644	1998-10-10	VYDAJ	PREVOD NA UCET	2563	23751	SIPO	CD	72787970
774923	2644	1998-11-10	VYDAJ	PREVOD NA UCET	2563	26130	SIPO	CD	72787970
774924	2644	1998-12-10	VYDAJ	PREVOD NA UCET	2563	28519	SIPO	CD	72787970
774937	2644	1998-01-09	VYDAJ	PREVOD NA UCET	124	18080	 	IJ	61139798
774938	2644	1998-02-09	VYDAJ	PREVOD NA UCET	124	15323	 	IJ	61139798
774939	2644	1998-03-09	VYDAJ	PREVOD NA UCET	124	16396	 	IJ	61139798
774940	2644	1998-04-09	VYDAJ	PREVOD NA UCET	124	18763	 	IJ	61139798
774941	2644	1998-05-09	VYDAJ	PREVOD NA UCET	124	21130	 	IJ	61139798
774942	2644	1998-06-09	VYDAJ	PREVOD NA UCET	124	20381	 	IJ	61139798
774943	2644	1998-07-09	VYDAJ	PREVOD NA UCET	124	17005	 	IJ	61139798
774944	2644	1998-08-09	VYDAJ	PREVOD NA UCET	124	19065	 	IJ	61139798
774945	2644	1998-09-09	VYDAJ	PREVOD NA UCET	124	21435	 	IJ	61139798
774946	2644	1998-10-09	VYDAJ	PREVOD NA UCET	124	21330	 	IJ	61139798
774947	2644	1998-11-09	VYDAJ	PREVOD NA UCET	124	23709	 	IJ	61139798
774948	2644	1998-12-09	VYDAJ	PREVOD NA UCET	124	26098	 	IJ	61139798
774950	2644	1998-06-21	VYDAJ	VYBER	2300	17062	\N	\N	\N
774952	2644	1998-01-05	VYDAJ	VYBER	2200	20604	\N	\N	\N
774953	2644	1997-12-14	VYDAJ	VYBER	300	22743	\N	\N	\N
774954	2644	1998-12-23	VYDAJ	VYBER	1150	27369	\N	\N	\N
774961	2644	1998-01-10	VYDAJ	VYBER	1760	18741	\N	\N	\N
774962	2644	1998-01-25	VYDAJ	VYBER	2000	16261	\N	\N	\N
774963	2644	1998-01-05	VYDAJ	VYBER	560	20044	\N	\N	\N
774964	2644	1998-01-07	VYDAJ	VYBER	1440	18204	\N	\N	\N
774965	2644	1998-01-27	VYDAJ	VYBER	880	15381	\N	\N	\N
774966	2644	1998-01-06	VYDAJ	VYBER	400	19644	\N	\N	\N
774973	2644	1998-01-22	VYDAJ	VYBER	480	18261	\N	\N	\N
774974	2644	1998-09-22	VYDAJ	VYBER	2480	21376	\N	\N	\N
774975	2644	1998-05-16	VYDAJ	VYBER	3120	20431	\N	\N	\N
774976	2644	1998-06-14	VYDAJ	VYBER	3440	19362	\N	\N	\N
774977	2644	1998-03-04	VYDAJ	VYBER	1280	16520	\N	\N	\N
774990	2644	1997-12-31	VYDAJ	VYBER	15	22804	SLUZBY	\N	\N
774991	2644	1998-01-31	VYDAJ	VYBER	15	15447	SLUZBY	\N	\N
774992	2644	1998-02-28	VYDAJ	VYBER	15	17800	SLUZBY	\N	\N
774993	2644	1998-03-31	VYDAJ	VYBER	15	18887	SLUZBY	\N	\N
774994	2644	1998-04-30	VYDAJ	VYBER	15	21254	SLUZBY	\N	\N
774995	2644	1998-05-31	VYDAJ	VYBER	15	20505	SLUZBY	\N	\N
774996	2644	1998-06-30	VYDAJ	VYBER	15	17129	SLUZBY	\N	\N
774997	2644	1998-07-31	VYDAJ	VYBER	15	19489	SLUZBY	\N	\N
774998	2644	1998-08-31	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
774999	2644	1998-09-30	VYDAJ	VYBER	15	21454	SLUZBY	\N	\N
775000	2644	1998-10-31	VYDAJ	VYBER	15	23833	SLUZBY	\N	\N
775001	2644	1998-11-30	VYDAJ	VYBER	15	26222	SLUZBY	\N	\N
775002	2644	1998-08-03	VYDAJ	VYBER	300	19189	\N	\N	\N
775020	2645	1993-05-22	PRIJEM	VKLAD	600	600	\N	\N	\N
775026	2645	1993-06-13	PRIJEM	VKLAD	16846	17446	\N	\N	\N
775027	2645	1993-07-13	PRIJEM	VKLAD	11231	32907	\N	\N	\N
775028	2645	1993-08-13	PRIJEM	VKLAD	11231	40439	\N	\N	\N
775029	2645	1993-09-13	PRIJEM	VKLAD	11231	42996	\N	\N	\N
775030	2645	1993-10-13	PRIJEM	VKLAD	11231	44160	\N	\N	\N
775031	2645	1993-11-13	PRIJEM	VKLAD	11231	39336	\N	\N	\N
775032	2645	1993-12-13	PRIJEM	VKLAD	16846	38018	\N	\N	\N
775033	2645	1994-01-13	PRIJEM	VKLAD	11231	37981	\N	\N	\N
775034	2645	1994-02-13	PRIJEM	VKLAD	11231	37147	\N	\N	\N
775035	2645	1994-03-13	PRIJEM	VKLAD	11231	36911	\N	\N	\N
775036	2645	1994-04-13	PRIJEM	VKLAD	11231	33270	\N	\N	\N
775037	2645	1994-05-13	PRIJEM	VKLAD	11231	30017	\N	\N	\N
775038	2645	1994-06-13	PRIJEM	VKLAD	16846	23970	\N	\N	\N
775039	2645	1994-07-13	PRIJEM	VKLAD	11231	27692	\N	\N	\N
775040	2645	1994-08-13	PRIJEM	VKLAD	11231	31331	\N	\N	\N
775041	2645	1994-09-13	PRIJEM	VKLAD	11231	32576	\N	\N	\N
775042	2645	1994-10-13	PRIJEM	VKLAD	11231	34625	\N	\N	\N
775043	2645	1994-11-13	PRIJEM	VKLAD	11231	34380	\N	\N	\N
775044	2645	1994-12-13	PRIJEM	VKLAD	16846	40146	\N	\N	\N
775045	2645	1995-01-13	PRIJEM	VKLAD	11231	41305	\N	\N	\N
775046	2645	1995-02-13	PRIJEM	VKLAD	11231	39266	\N	\N	\N
775047	2645	1995-03-13	PRIJEM	VKLAD	11231	43142	\N	\N	\N
775048	2645	1995-04-13	PRIJEM	VKLAD	11231	42232	\N	\N	\N
775049	2645	1995-05-13	PRIJEM	VKLAD	11231	43726	\N	\N	\N
775050	2645	1995-06-13	PRIJEM	VKLAD	16846	50334	\N	\N	\N
775051	2645	1995-07-13	PRIJEM	VKLAD	11231	32225	\N	\N	\N
775052	2645	1995-08-13	PRIJEM	VKLAD	11231	36267	\N	\N	\N
775053	2645	1995-09-13	PRIJEM	VKLAD	11231	42731	\N	\N	\N
775054	2645	1995-10-13	PRIJEM	VKLAD	11231	45523	\N	\N	\N
775055	2645	1995-11-13	PRIJEM	VKLAD	11231	39523	\N	\N	\N
775056	2645	1995-12-13	PRIJEM	VKLAD	16846	42726	\N	\N	\N
775057	2645	1996-01-13	PRIJEM	VKLAD	11231	45819	\N	\N	\N
775058	2645	1996-02-13	PRIJEM	VKLAD	11231	40519	\N	\N	\N
775059	2645	1996-03-13	PRIJEM	VKLAD	11231	44007	\N	\N	\N
775060	2645	1996-04-13	PRIJEM	VKLAD	11231	47508	\N	\N	\N
775061	2645	1996-05-13	PRIJEM	VKLAD	11231	46220	\N	\N	\N
775062	2645	1996-06-13	PRIJEM	VKLAD	16846	50944	\N	\N	\N
775063	2645	1996-07-13	PRIJEM	VKLAD	11231	36163	\N	\N	\N
775064	2645	1996-08-13	PRIJEM	VKLAD	11231	38729	\N	\N	\N
775065	2645	1996-09-13	PRIJEM	VKLAD	11231	36205	\N	\N	\N
775066	2645	1996-10-13	PRIJEM	VKLAD	11231	37073	\N	\N	\N
775067	2645	1996-11-13	PRIJEM	VKLAD	11231	39948	\N	\N	\N
775068	2645	1996-12-13	PRIJEM	VKLAD	16846	43247	\N	\N	\N
775069	2645	1997-01-13	PRIJEM	VKLAD	11231	34735	\N	\N	\N
775070	2645	1997-02-13	PRIJEM	VKLAD	11231	39804	\N	\N	\N
775071	2645	1997-03-13	PRIJEM	VKLAD	11231	38585	\N	\N	\N
775072	2645	1997-04-13	PRIJEM	VKLAD	11231	40665	\N	\N	\N
775073	2645	1997-05-13	PRIJEM	VKLAD	11231	40152	\N	\N	\N
775074	2645	1997-06-13	PRIJEM	VKLAD	16846	39955	\N	\N	\N
775075	2645	1997-07-13	PRIJEM	VKLAD	11231	39441	\N	\N	\N
775076	2645	1997-08-13	PRIJEM	VKLAD	11231	40625	\N	\N	\N
775077	2645	1997-09-13	PRIJEM	VKLAD	11231	36601	\N	\N	\N
775078	2645	1997-10-13	PRIJEM	VKLAD	11231	34962	\N	\N	\N
775079	2645	1997-11-13	PRIJEM	VKLAD	11231	35519	\N	\N	\N
775080	2645	1997-12-13	PRIJEM	VKLAD	16846	44196	\N	\N	\N
775081	2645	1998-01-13	PRIJEM	VKLAD	11231	40577	\N	\N	\N
775082	2645	1998-02-13	PRIJEM	VKLAD	11231	39055	\N	\N	\N
775083	2645	1998-03-13	PRIJEM	VKLAD	11231	43832	\N	\N	\N
775084	2645	1998-04-13	PRIJEM	VKLAD	11231	43228	\N	\N	\N
775085	2645	1998-05-13	PRIJEM	VKLAD	11231	46126	\N	\N	\N
775086	2645	1998-06-13	PRIJEM	VKLAD	16846	55953	\N	\N	\N
775087	2645	1998-07-13	PRIJEM	VKLAD	11231	38775	\N	\N	\N
775088	2645	1998-08-13	PRIJEM	VKLAD	11231	40548	\N	\N	\N
775089	2645	1998-09-13	PRIJEM	VKLAD	11231	43630	\N	\N	\N
775090	2645	1998-10-13	PRIJEM	VKLAD	11231	43521	\N	\N	\N
775091	2645	1998-11-13	PRIJEM	VKLAD	11231	37704	\N	\N	\N
775092	2645	1998-12-13	PRIJEM	VKLAD	16846	37276	\N	\N	\N
775103	2645	1993-11-09	VYDAJ	PREVOD NA UCET	389	34193	SIPO	IJ	14088654
775104	2645	1993-12-09	VYDAJ	PREVOD NA UCET	389	28729	SIPO	IJ	14088654
775105	2645	1994-01-09	VYDAJ	PREVOD NA UCET	389	32838	SIPO	IJ	14088654
775106	2645	1994-02-09	VYDAJ	PREVOD NA UCET	389	32004	SIPO	IJ	14088654
775107	2645	1994-03-09	VYDAJ	PREVOD NA UCET	389	31768	SIPO	IJ	14088654
775108	2645	1994-04-09	VYDAJ	PREVOD NA UCET	389	28127	SIPO	IJ	14088654
775109	2645	1994-05-09	VYDAJ	PREVOD NA UCET	389	24243	SIPO	IJ	14088654
775110	2645	1994-06-09	VYDAJ	PREVOD NA UCET	389	13212	SIPO	IJ	14088654
775111	2645	1994-07-09	VYDAJ	PREVOD NA UCET	389	22549	SIPO	IJ	14088654
775112	2645	1994-08-09	VYDAJ	PREVOD NA UCET	389	26188	SIPO	IJ	14088654
775113	2645	1994-09-09	VYDAJ	PREVOD NA UCET	389	27433	SIPO	IJ	14088654
775114	2645	1994-10-09	VYDAJ	PREVOD NA UCET	389	29482	SIPO	IJ	14088654
775115	2645	1994-11-09	VYDAJ	PREVOD NA UCET	389	28606	SIPO	IJ	14088654
775116	2645	1994-12-09	VYDAJ	PREVOD NA UCET	389	28757	SIPO	IJ	14088654
775117	2645	1995-01-09	VYDAJ	PREVOD NA UCET	389	30762	SIPO	IJ	14088654
775118	2645	1995-02-09	VYDAJ	PREVOD NA UCET	389	30692	SIPO	IJ	14088654
775119	2645	1995-03-09	VYDAJ	PREVOD NA UCET	389	37368	SIPO	IJ	14088654
775120	2645	1995-04-09	VYDAJ	PREVOD NA UCET	389	38889	SIPO	IJ	14088654
775121	2645	1995-05-09	VYDAJ	PREVOD NA UCET	389	32852	SIPO	IJ	14088654
775122	2645	1995-06-09	VYDAJ	PREVOD NA UCET	389	42476	SIPO	IJ	14088654
775123	2645	1995-07-09	VYDAJ	PREVOD NA UCET	389	23051	SIPO	IJ	14088654
775124	2645	1995-08-09	VYDAJ	PREVOD NA UCET	389	26693	SIPO	IJ	14088654
775125	2645	1995-09-09	VYDAJ	PREVOD NA UCET	389	37588	SIPO	IJ	14088654
775126	2645	1995-10-09	VYDAJ	PREVOD NA UCET	389	40380	SIPO	IJ	14088654
775127	2645	1995-11-09	VYDAJ	PREVOD NA UCET	389	33749	SIPO	IJ	14088654
775128	2645	1995-12-09	VYDAJ	PREVOD NA UCET	389	31968	SIPO	IJ	14088654
775129	2645	1996-01-09	VYDAJ	PREVOD NA UCET	389	40045	SIPO	IJ	14088654
775130	2645	1996-02-09	VYDAJ	PREVOD NA UCET	389	35376	SIPO	IJ	14088654
775131	2645	1996-03-09	VYDAJ	PREVOD NA UCET	389	38233	SIPO	IJ	14088654
775132	2645	1996-04-09	VYDAJ	PREVOD NA UCET	389	41734	SIPO	IJ	14088654
775133	2645	1996-05-09	VYDAJ	PREVOD NA UCET	389	41077	SIPO	IJ	14088654
775134	2645	1996-06-09	VYDAJ	PREVOD NA UCET	389	40186	SIPO	IJ	14088654
775135	2645	1996-07-09	VYDAJ	PREVOD NA UCET	389	31020	SIPO	IJ	14088654
775136	2645	1996-08-09	VYDAJ	PREVOD NA UCET	389	33586	SIPO	IJ	14088654
775137	2645	1996-09-09	VYDAJ	PREVOD NA UCET	389	31062	SIPO	IJ	14088654
775138	2645	1996-10-09	VYDAJ	PREVOD NA UCET	389	31299	SIPO	IJ	14088654
775139	2645	1996-11-09	VYDAJ	PREVOD NA UCET	389	34805	SIPO	IJ	14088654
775140	2645	1996-12-09	VYDAJ	PREVOD NA UCET	389	31858	SIPO	IJ	14088654
775141	2645	1997-01-09	VYDAJ	PREVOD NA UCET	389	28961	SIPO	IJ	14088654
775142	2645	1997-02-09	VYDAJ	PREVOD NA UCET	389	34030	SIPO	IJ	14088654
775143	2645	1997-03-09	VYDAJ	PREVOD NA UCET	389	32811	SIPO	IJ	14088654
775144	2645	1997-04-09	VYDAJ	PREVOD NA UCET	389	35522	SIPO	IJ	14088654
775145	2645	1997-05-09	VYDAJ	PREVOD NA UCET	389	35009	SIPO	IJ	14088654
775146	2645	1997-06-09	VYDAJ	PREVOD NA UCET	389	34766	SIPO	IJ	14088654
775147	2645	1997-07-09	VYDAJ	PREVOD NA UCET	389	33667	SIPO	IJ	14088654
775148	2645	1997-08-09	VYDAJ	PREVOD NA UCET	389	35482	SIPO	IJ	14088654
775149	2645	1997-09-09	VYDAJ	PREVOD NA UCET	389	31458	SIPO	IJ	14088654
775150	2645	1997-10-09	VYDAJ	PREVOD NA UCET	389	29819	SIPO	IJ	14088654
775151	2645	1997-11-09	VYDAJ	PREVOD NA UCET	389	29745	SIPO	IJ	14088654
775152	2645	1997-12-09	VYDAJ	PREVOD NA UCET	389	33438	SIPO	IJ	14088654
775153	2645	1998-01-09	VYDAJ	PREVOD NA UCET	389	34803	SIPO	IJ	14088654
775154	2645	1998-02-09	VYDAJ	PREVOD NA UCET	389	33281	SIPO	IJ	14088654
775155	2645	1998-03-09	VYDAJ	PREVOD NA UCET	389	38058	SIPO	IJ	14088654
775156	2645	1998-04-09	VYDAJ	PREVOD NA UCET	389	37454	SIPO	IJ	14088654
775157	2645	1998-05-09	VYDAJ	PREVOD NA UCET	389	40983	SIPO	IJ	14088654
775158	2645	1998-06-09	VYDAJ	PREVOD NA UCET	389	44564	SIPO	IJ	14088654
775159	2645	1998-07-09	VYDAJ	PREVOD NA UCET	389	33001	SIPO	IJ	14088654
775160	2645	1998-08-09	VYDAJ	PREVOD NA UCET	389	34774	SIPO	IJ	14088654
775161	2645	1998-09-09	VYDAJ	PREVOD NA UCET	389	38487	SIPO	IJ	14088654
775162	2645	1998-10-09	VYDAJ	PREVOD NA UCET	389	37747	SIPO	IJ	14088654
775163	2645	1998-11-09	VYDAJ	PREVOD NA UCET	389	32561	SIPO	IJ	14088654
775164	2645	1998-12-09	VYDAJ	PREVOD NA UCET	389	25887	SIPO	IJ	14088654
775175	2645	1993-11-09	VYDAJ	PREVOD NA UCET	631	33562	 	OP	46016168
775176	2645	1993-12-09	VYDAJ	PREVOD NA UCET	631	29118	 	OP	46016168
775177	2645	1994-01-09	VYDAJ	PREVOD NA UCET	631	32207	 	OP	46016168
775178	2645	1994-02-09	VYDAJ	PREVOD NA UCET	631	31373	 	OP	46016168
775179	2645	1994-03-09	VYDAJ	PREVOD NA UCET	631	31137	 	OP	46016168
775180	2645	1994-04-09	VYDAJ	PREVOD NA UCET	631	27496	 	OP	46016168
775181	2645	1994-05-09	VYDAJ	PREVOD NA UCET	631	24632	 	OP	46016168
775182	2645	1994-06-09	VYDAJ	PREVOD NA UCET	631	12581	 	OP	46016168
775183	2645	1994-07-09	VYDAJ	PREVOD NA UCET	631	21918	 	OP	46016168
775184	2645	1994-08-09	VYDAJ	PREVOD NA UCET	631	25557	 	OP	46016168
775185	2645	1994-09-09	VYDAJ	PREVOD NA UCET	631	26802	 	OP	46016168
775186	2645	1994-10-09	VYDAJ	PREVOD NA UCET	631	28851	 	OP	46016168
775187	2645	1994-11-09	VYDAJ	PREVOD NA UCET	631	28995	 	OP	46016168
775188	2645	1994-12-09	VYDAJ	PREVOD NA UCET	631	29146	 	OP	46016168
775189	2645	1995-01-09	VYDAJ	PREVOD NA UCET	631	30131	 	OP	46016168
775190	2645	1995-02-09	VYDAJ	PREVOD NA UCET	631	31081	 	OP	46016168
775191	2645	1995-03-09	VYDAJ	PREVOD NA UCET	631	37757	 	OP	46016168
775192	2645	1995-04-09	VYDAJ	PREVOD NA UCET	631	38258	 	OP	46016168
775193	2645	1995-05-09	VYDAJ	PREVOD NA UCET	631	33241	 	OP	46016168
775194	2645	1995-06-09	VYDAJ	PREVOD NA UCET	631	41845	 	OP	46016168
775195	2645	1995-07-09	VYDAJ	PREVOD NA UCET	631	23440	 	OP	46016168
775196	2645	1995-08-09	VYDAJ	PREVOD NA UCET	631	27082	 	OP	46016168
775197	2645	1995-09-09	VYDAJ	PREVOD NA UCET	631	36957	 	OP	46016168
775198	2645	1995-10-09	VYDAJ	PREVOD NA UCET	631	39749	 	OP	46016168
775199	2645	1995-11-09	VYDAJ	PREVOD NA UCET	631	34138	 	OP	46016168
775200	2645	1995-12-09	VYDAJ	PREVOD NA UCET	631	31337	 	OP	46016168
775201	2645	1996-01-09	VYDAJ	PREVOD NA UCET	631	40434	 	OP	46016168
775202	2645	1996-02-09	VYDAJ	PREVOD NA UCET	631	34745	 	OP	46016168
775203	2645	1996-03-09	VYDAJ	PREVOD NA UCET	631	38622	 	OP	46016168
775204	2645	1996-04-09	VYDAJ	PREVOD NA UCET	631	42123	 	OP	46016168
775205	2645	1996-05-09	VYDAJ	PREVOD NA UCET	631	40446	 	OP	46016168
775206	2645	1996-06-09	VYDAJ	PREVOD NA UCET	631	39555	 	OP	46016168
775207	2645	1996-07-09	VYDAJ	PREVOD NA UCET	631	30389	 	OP	46016168
775208	2645	1996-08-09	VYDAJ	PREVOD NA UCET	631	32955	 	OP	46016168
775209	2645	1996-09-09	VYDAJ	PREVOD NA UCET	631	30431	 	OP	46016168
775210	2645	1996-10-09	VYDAJ	PREVOD NA UCET	631	31688	 	OP	46016168
775211	2645	1996-11-09	VYDAJ	PREVOD NA UCET	631	34174	 	OP	46016168
775212	2645	1996-12-09	VYDAJ	PREVOD NA UCET	631	32247	 	OP	46016168
775213	2645	1997-01-09	VYDAJ	PREVOD NA UCET	631	29350	 	OP	46016168
775214	2645	1997-02-09	VYDAJ	PREVOD NA UCET	631	34419	 	OP	46016168
775215	2645	1997-03-09	VYDAJ	PREVOD NA UCET	631	33200	 	OP	46016168
775216	2645	1997-04-09	VYDAJ	PREVOD NA UCET	631	34891	 	OP	46016168
775217	2645	1997-05-09	VYDAJ	PREVOD NA UCET	631	34378	 	OP	46016168
775218	2645	1997-06-09	VYDAJ	PREVOD NA UCET	631	38055	 	OP	46016168
775219	2645	1997-07-09	VYDAJ	PREVOD NA UCET	631	34056	 	OP	46016168
775220	2645	1997-08-09	VYDAJ	PREVOD NA UCET	631	34851	 	OP	46016168
775221	2645	1997-09-09	VYDAJ	PREVOD NA UCET	631	30827	 	OP	46016168
775222	2645	1997-10-09	VYDAJ	PREVOD NA UCET	631	29188	 	OP	46016168
775223	2645	1997-11-09	VYDAJ	PREVOD NA UCET	631	30134	 	OP	46016168
775224	2645	1997-12-09	VYDAJ	PREVOD NA UCET	631	32807	 	OP	46016168
775225	2645	1998-01-09	VYDAJ	PREVOD NA UCET	631	35192	 	OP	46016168
775226	2645	1998-02-09	VYDAJ	PREVOD NA UCET	631	33670	 	OP	46016168
775227	2645	1998-03-09	VYDAJ	PREVOD NA UCET	631	38447	 	OP	46016168
775228	2645	1998-04-09	VYDAJ	PREVOD NA UCET	631	37843	 	OP	46016168
775229	2645	1998-05-09	VYDAJ	PREVOD NA UCET	631	40352	 	OP	46016168
775230	2645	1998-06-09	VYDAJ	PREVOD NA UCET	631	44953	 	OP	46016168
775231	2645	1998-07-09	VYDAJ	PREVOD NA UCET	631	33390	 	OP	46016168
775232	2645	1998-08-09	VYDAJ	PREVOD NA UCET	631	35163	 	OP	46016168
775233	2645	1998-09-09	VYDAJ	PREVOD NA UCET	631	37856	 	OP	46016168
775234	2645	1998-10-09	VYDAJ	PREVOD NA UCET	631	38136	 	OP	46016168
775235	2645	1998-11-09	VYDAJ	PREVOD NA UCET	631	31930	 	OP	46016168
775236	2645	1998-12-09	VYDAJ	PREVOD NA UCET	631	26276	 	OP	46016168
775247	2645	1993-11-12	VYDAJ	PREVOD NA UCET	5457	28105	POJISTNE	WX	18570590
775248	2645	1993-12-12	VYDAJ	PREVOD NA UCET	5457	23272	POJISTNE	WX	18570590
775249	2645	1994-01-12	VYDAJ	PREVOD NA UCET	5457	26750	POJISTNE	WX	18570590
775250	2645	1994-02-12	VYDAJ	PREVOD NA UCET	5457	25916	POJISTNE	WX	18570590
775251	2645	1994-03-12	VYDAJ	PREVOD NA UCET	5457	25680	POJISTNE	WX	18570590
775252	2645	1994-04-12	VYDAJ	PREVOD NA UCET	5457	22039	POJISTNE	WX	18570590
775253	2645	1994-05-12	VYDAJ	PREVOD NA UCET	5457	18786	POJISTNE	WX	18570590
775254	2645	1994-06-12	VYDAJ	PREVOD NA UCET	5457	7124	POJISTNE	WX	18570590
775255	2645	1994-07-12	VYDAJ	PREVOD NA UCET	5457	16461	POJISTNE	WX	18570590
775256	2645	1994-08-12	VYDAJ	PREVOD NA UCET	5457	20100	POJISTNE	WX	18570590
775257	2645	1994-09-12	VYDAJ	PREVOD NA UCET	5457	21345	POJISTNE	WX	18570590
775258	2645	1994-10-12	VYDAJ	PREVOD NA UCET	5457	23394	POJISTNE	WX	18570590
775259	2645	1994-11-12	VYDAJ	PREVOD NA UCET	5457	23149	POJISTNE	WX	18570590
775260	2645	1994-12-12	VYDAJ	PREVOD NA UCET	5457	23300	POJISTNE	WX	18570590
775261	2645	1995-01-12	VYDAJ	PREVOD NA UCET	5457	30074	POJISTNE	WX	18570590
775262	2645	1995-02-12	VYDAJ	PREVOD NA UCET	5457	28035	POJISTNE	WX	18570590
775263	2645	1995-03-12	VYDAJ	PREVOD NA UCET	5457	31911	POJISTNE	WX	18570590
775264	2645	1995-04-12	VYDAJ	PREVOD NA UCET	5457	32801	POJISTNE	WX	18570590
775265	2645	1995-05-12	VYDAJ	PREVOD NA UCET	5457	32495	POJISTNE	WX	18570590
775266	2645	1995-06-12	VYDAJ	PREVOD NA UCET	5457	33488	POJISTNE	WX	18570590
775267	2645	1995-07-12	VYDAJ	PREVOD NA UCET	5457	20994	POJISTNE	WX	18570590
775268	2645	1995-08-12	VYDAJ	PREVOD NA UCET	5457	25036	POJISTNE	WX	18570590
775269	2645	1995-09-12	VYDAJ	PREVOD NA UCET	5457	31500	POJISTNE	WX	18570590
775270	2645	1995-10-12	VYDAJ	PREVOD NA UCET	5457	34292	POJISTNE	WX	18570590
775271	2645	1995-11-12	VYDAJ	PREVOD NA UCET	5457	28292	POJISTNE	WX	18570590
775272	2645	1995-12-12	VYDAJ	PREVOD NA UCET	5457	25880	POJISTNE	WX	18570590
775273	2645	1996-01-12	VYDAJ	PREVOD NA UCET	5457	34588	POJISTNE	WX	18570590
775274	2645	1996-02-12	VYDAJ	PREVOD NA UCET	5457	29288	POJISTNE	WX	18570590
775275	2645	1996-03-12	VYDAJ	PREVOD NA UCET	5457	32776	POJISTNE	WX	18570590
775276	2645	1996-04-12	VYDAJ	PREVOD NA UCET	5457	36277	POJISTNE	WX	18570590
775277	2645	1996-05-12	VYDAJ	PREVOD NA UCET	5457	34989	POJISTNE	WX	18570590
775278	2645	1996-06-12	VYDAJ	PREVOD NA UCET	5457	34098	POJISTNE	WX	18570590
775279	2645	1996-07-12	VYDAJ	PREVOD NA UCET	5457	24932	POJISTNE	WX	18570590
775280	2645	1996-08-12	VYDAJ	PREVOD NA UCET	5457	27498	POJISTNE	WX	18570590
775281	2645	1996-09-12	VYDAJ	PREVOD NA UCET	5457	24974	POJISTNE	WX	18570590
775282	2645	1996-10-12	VYDAJ	PREVOD NA UCET	5457	25842	POJISTNE	WX	18570590
775283	2645	1996-11-12	VYDAJ	PREVOD NA UCET	5457	28717	POJISTNE	WX	18570590
775284	2645	1996-12-12	VYDAJ	PREVOD NA UCET	5457	26401	POJISTNE	WX	18570590
775285	2645	1997-01-12	VYDAJ	PREVOD NA UCET	5457	23504	POJISTNE	WX	18570590
775286	2645	1997-02-12	VYDAJ	PREVOD NA UCET	5457	28573	POJISTNE	WX	18570590
775287	2645	1997-03-12	VYDAJ	PREVOD NA UCET	5457	27354	POJISTNE	WX	18570590
775288	2645	1997-04-12	VYDAJ	PREVOD NA UCET	5457	29434	POJISTNE	WX	18570590
775289	2645	1997-05-12	VYDAJ	PREVOD NA UCET	5457	28921	POJISTNE	WX	18570590
775290	2645	1997-06-12	VYDAJ	PREVOD NA UCET	5457	29309	POJISTNE	WX	18570590
775291	2645	1997-07-12	VYDAJ	PREVOD NA UCET	5457	28210	POJISTNE	WX	18570590
775292	2645	1997-08-12	VYDAJ	PREVOD NA UCET	5457	29394	POJISTNE	WX	18570590
775293	2645	1997-09-12	VYDAJ	PREVOD NA UCET	5457	25370	POJISTNE	WX	18570590
775294	2645	1997-10-12	VYDAJ	PREVOD NA UCET	5457	23731	POJISTNE	WX	18570590
775295	2645	1997-11-12	VYDAJ	PREVOD NA UCET	5457	24288	POJISTNE	WX	18570590
775296	2645	1997-12-12	VYDAJ	PREVOD NA UCET	5457	27350	POJISTNE	WX	18570590
775297	2645	1998-01-12	VYDAJ	PREVOD NA UCET	5457	29346	POJISTNE	WX	18570590
775298	2645	1998-02-12	VYDAJ	PREVOD NA UCET	5457	27824	POJISTNE	WX	18570590
775299	2645	1998-03-12	VYDAJ	PREVOD NA UCET	5457	32601	POJISTNE	WX	18570590
775300	2645	1998-04-12	VYDAJ	PREVOD NA UCET	5457	31997	POJISTNE	WX	18570590
775301	2645	1998-05-12	VYDAJ	PREVOD NA UCET	5457	34895	POJISTNE	WX	18570590
775302	2645	1998-06-12	VYDAJ	PREVOD NA UCET	5457	39107	POJISTNE	WX	18570590
775303	2645	1998-07-12	VYDAJ	PREVOD NA UCET	5457	27544	POJISTNE	WX	18570590
775304	2645	1998-08-12	VYDAJ	PREVOD NA UCET	5457	29317	POJISTNE	WX	18570590
775305	2645	1998-09-12	VYDAJ	PREVOD NA UCET	5457	32399	POJISTNE	WX	18570590
775306	2645	1998-10-12	VYDAJ	PREVOD NA UCET	5457	32290	POJISTNE	WX	18570590
775307	2645	1998-11-12	VYDAJ	PREVOD NA UCET	5457	26473	POJISTNE	WX	18570590
775308	2645	1998-12-12	VYDAJ	PREVOD NA UCET	5457	20430	POJISTNE	WX	18570590
775318	2645	1993-10-14	VYDAJ	PREVOD NA UCET	1010	43150	 	ST	91531282
775319	2645	1993-11-14	VYDAJ	PREVOD NA UCET	1010	38326	 	ST	91531282
775320	2645	1993-12-14	VYDAJ	PREVOD NA UCET	1010	37008	 	ST	91531282
775321	2645	1994-01-14	VYDAJ	PREVOD NA UCET	1010	35971	 	ST	91531282
775322	2645	1994-02-14	VYDAJ	PREVOD NA UCET	1010	36137	 	ST	91531282
775323	2645	1994-03-14	VYDAJ	PREVOD NA UCET	1010	35901	 	ST	91531282
775324	2645	1994-04-14	VYDAJ	PREVOD NA UCET	1010	32260	 	ST	91531282
775325	2645	1994-05-14	VYDAJ	PREVOD NA UCET	1010	29007	 	ST	91531282
775326	2645	1994-06-14	VYDAJ	PREVOD NA UCET	1010	22960	 	ST	91531282
775327	2645	1994-07-14	VYDAJ	PREVOD NA UCET	1010	26682	 	ST	91531282
775328	2645	1994-08-14	VYDAJ	PREVOD NA UCET	1010	30321	 	ST	91531282
775329	2645	1994-09-14	VYDAJ	PREVOD NA UCET	1010	29766	 	ST	91531282
775330	2645	1994-10-14	VYDAJ	PREVOD NA UCET	1010	34215	 	ST	91531282
775331	2645	1994-11-14	VYDAJ	PREVOD NA UCET	1010	29670	 	ST	91531282
775332	2645	1994-12-14	VYDAJ	PREVOD NA UCET	1010	32836	 	ST	91531282
775333	2645	1995-01-14	VYDAJ	PREVOD NA UCET	1010	31595	 	ST	91531282
775334	2645	1995-02-14	VYDAJ	PREVOD NA UCET	1010	38256	 	ST	91531282
775335	2645	1995-03-14	VYDAJ	PREVOD NA UCET	1010	39132	 	ST	91531282
775336	2645	1995-04-14	VYDAJ	PREVOD NA UCET	1010	41222	 	ST	91531282
775337	2645	1995-05-14	VYDAJ	PREVOD NA UCET	1010	42716	 	ST	91531282
775338	2645	1995-06-14	VYDAJ	PREVOD NA UCET	1010	49324	 	ST	91531282
775339	2645	1995-07-14	VYDAJ	PREVOD NA UCET	1010	31215	 	ST	91531282
775340	2645	1995-08-14	VYDAJ	PREVOD NA UCET	1010	35257	 	ST	91531282
775341	2645	1995-09-14	VYDAJ	PREVOD NA UCET	1010	41721	 	ST	91531282
775342	2645	1995-10-14	VYDAJ	PREVOD NA UCET	1010	44513	 	ST	91531282
775343	2645	1995-11-14	VYDAJ	PREVOD NA UCET	1010	38513	 	ST	91531282
775344	2645	1995-12-14	VYDAJ	PREVOD NA UCET	1010	41716	 	ST	91531282
775345	2645	1996-01-14	VYDAJ	PREVOD NA UCET	1010	44809	 	ST	91531282
775346	2645	1996-02-14	VYDAJ	PREVOD NA UCET	1010	39509	 	ST	91531282
775347	2645	1996-03-14	VYDAJ	PREVOD NA UCET	1010	42997	 	ST	91531282
775348	2645	1996-04-14	VYDAJ	PREVOD NA UCET	1010	46498	 	ST	91531282
775349	2645	1996-05-14	VYDAJ	PREVOD NA UCET	1010	45210	 	ST	91531282
775350	2645	1996-06-14	VYDAJ	PREVOD NA UCET	1010	49934	 	ST	91531282
775351	2645	1996-07-14	VYDAJ	PREVOD NA UCET	1010	35153	 	ST	91531282
775352	2645	1996-08-14	VYDAJ	PREVOD NA UCET	1010	37719	 	ST	91531282
775353	2645	1996-09-14	VYDAJ	PREVOD NA UCET	1010	35195	 	ST	91531282
775354	2645	1996-10-14	VYDAJ	PREVOD NA UCET	1010	36063	 	ST	91531282
775355	2645	1996-11-14	VYDAJ	PREVOD NA UCET	1010	38938	 	ST	91531282
775356	2645	1996-12-14	VYDAJ	PREVOD NA UCET	1010	42237	 	ST	91531282
775357	2645	1997-01-14	VYDAJ	PREVOD NA UCET	1010	33725	 	ST	91531282
775358	2645	1997-02-14	VYDAJ	PREVOD NA UCET	1010	38794	 	ST	91531282
775359	2645	1997-03-14	VYDAJ	PREVOD NA UCET	1010	37575	 	ST	91531282
775360	2645	1997-04-14	VYDAJ	PREVOD NA UCET	1010	39655	 	ST	91531282
775361	2645	1997-05-14	VYDAJ	PREVOD NA UCET	1010	39142	 	ST	91531282
775362	2645	1997-06-14	VYDAJ	PREVOD NA UCET	1010	38945	 	ST	91531282
775363	2645	1997-07-14	VYDAJ	PREVOD NA UCET	1010	38431	 	ST	91531282
775364	2645	1997-08-14	VYDAJ	PREVOD NA UCET	1010	39615	 	ST	91531282
775365	2645	1997-09-14	VYDAJ	PREVOD NA UCET	1010	35591	 	ST	91531282
775366	2645	1997-10-14	VYDAJ	PREVOD NA UCET	1010	33952	 	ST	91531282
775367	2645	1997-11-14	VYDAJ	PREVOD NA UCET	1010	34509	 	ST	91531282
775368	2645	1997-12-14	VYDAJ	PREVOD NA UCET	1010	43186	 	ST	91531282
775369	2645	1998-01-14	VYDAJ	PREVOD NA UCET	1010	39567	 	ST	91531282
775370	2645	1998-02-14	VYDAJ	PREVOD NA UCET	1010	38045	 	ST	91531282
775371	2645	1998-03-14	VYDAJ	PREVOD NA UCET	1010	42822	 	ST	91531282
775372	2645	1998-04-14	VYDAJ	PREVOD NA UCET	1010	42218	 	ST	91531282
775373	2645	1998-05-14	VYDAJ	PREVOD NA UCET	1010	45116	 	ST	91531282
775374	2645	1998-06-14	VYDAJ	PREVOD NA UCET	1010	54943	 	ST	91531282
775375	2645	1998-07-14	VYDAJ	PREVOD NA UCET	1010	37765	 	ST	91531282
775376	2645	1998-08-14	VYDAJ	PREVOD NA UCET	1010	39538	 	ST	91531282
775377	2645	1998-09-14	VYDAJ	PREVOD NA UCET	1010	42620	 	ST	91531282
775378	2645	1998-10-14	VYDAJ	PREVOD NA UCET	1010	42511	 	ST	91531282
775379	2645	1998-11-14	VYDAJ	PREVOD NA UCET	1010	36694	 	ST	91531282
775380	2645	1998-12-14	VYDAJ	PREVOD NA UCET	1010	36266	 	ST	91531282
775454	2645	1994-06-05	VYDAJ	VYBER	12000	13601	\N	\N	\N
775455	2645	1995-06-22	VYDAJ	VYBER	22900	26424	\N	\N	\N
775456	2645	1996-06-29	VYDAJ	VYBER	23900	26034	\N	\N	\N
775457	2645	1997-06-12	VYDAJ	VYBER	6200	23109	\N	\N	\N
775458	2645	1998-06-14	VYDAJ	VYBER	24100	30843	\N	\N	\N
775460	2645	1994-01-13	VYDAJ	VYBER	1000	36981	\N	\N	\N
775461	2645	1995-01-13	VYDAJ	VYBER	8700	32605	\N	\N	\N
775462	2645	1996-01-23	VYDAJ	VYBER	4900	38409	\N	\N	\N
775463	2645	1997-01-07	VYDAJ	VYBER	3600	29981	\N	\N	\N
775464	2645	1998-01-14	VYDAJ	VYBER	1000	38567	\N	\N	\N
775465	2645	1993-12-12	VYDAJ	VYBER	2100	21172	\N	\N	\N
775466	2645	1994-12-22	VYDAJ	VYBER	1300	31536	\N	\N	\N
775467	2645	1995-12-02	VYDAJ	VYBER	2100	36557	\N	\N	\N
775468	2645	1996-12-15	VYDAJ	VYBER	2400	39837	\N	\N	\N
775469	2645	1997-12-20	VYDAJ	VYBER	2000	41186	\N	\N	\N
775470	2645	1998-12-15	VYDAJ	VYBER	1800	34466	\N	\N	\N
775477	2645	1994-12-26	VYDAJ	VYBER	500	31036	\N	\N	\N
775478	2645	1994-08-03	VYDAJ	VYBER	2800	26577	\N	\N	\N
775479	2645	1994-03-21	VYDAJ	VYBER	2200	28401	\N	\N	\N
775480	2645	1994-05-05	VYDAJ	VYBER	2300	25263	\N	\N	\N
775481	2645	1994-10-17	VYDAJ	VYBER	4700	29515	\N	\N	\N
775482	2645	1995-04-29	VYDAJ	VYBER	4300	36922	\N	\N	\N
775483	2645	1995-10-17	VYDAJ	VYBER	4100	40413	\N	\N	\N
775484	2645	1995-07-10	VYDAJ	VYBER	2600	20451	\N	\N	\N
775485	2645	1995-04-29	VYDAJ	VYBER	3200	33722	\N	\N	\N
775486	2645	1995-06-25	VYDAJ	VYBER	2500	23924	\N	\N	\N
775487	2645	1995-07-22	VYDAJ	VYBER	3600	27615	\N	\N	\N
775488	2645	1996-01-17	VYDAJ	VYBER	1500	43309	\N	\N	\N
775489	2645	1996-08-26	VYDAJ	VYBER	4800	32919	\N	\N	\N
775490	2645	1996-04-26	VYDAJ	VYBER	4800	41698	\N	\N	\N
775491	2645	1996-07-05	VYDAJ	VYBER	3000	31409	\N	\N	\N
775492	2645	1997-06-09	VYDAJ	VYBER	2900	35155	\N	\N	\N
775493	2645	1997-10-23	VYDAJ	VYBER	3900	30052	\N	\N	\N
775494	2645	1997-09-23	VYDAJ	VYBER	1900	33691	\N	\N	\N
775495	2645	1997-12-22	VYDAJ	VYBER	4000	37186	\N	\N	\N
775496	2645	1997-03-05	VYDAJ	VYBER	4300	33831	\N	\N	\N
775497	2645	1997-08-19	VYDAJ	VYBER	4000	35615	\N	\N	\N
775498	2645	1997-09-24	VYDAJ	VYBER	4400	29291	\N	\N	\N
775499	2645	1998-04-07	VYDAJ	VYBER	1800	38474	\N	\N	\N
775500	2645	1998-05-04	VYDAJ	VYBER	4100	41372	\N	\N	\N
775501	2645	1998-06-29	VYDAJ	VYBER	3600	33843	\N	\N	\N
775502	2645	1998-11-21	VYDAJ	VYBER	4700	31994	\N	\N	\N
775513	2645	1993-10-31	VYDAJ	VYBER	15	34582	SLUZBY	\N	\N
775514	2645	1993-11-30	VYDAJ	VYBER	15	29749	SLUZBY	\N	\N
775515	2645	1993-12-31	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
775516	2645	1994-01-31	VYDAJ	VYBER	15	32393	SLUZBY	\N	\N
775517	2645	1994-02-28	VYDAJ	VYBER	15	32157	SLUZBY	\N	\N
775518	2645	1994-03-31	VYDAJ	VYBER	15	28516	SLUZBY	\N	\N
775519	2645	1994-04-30	VYDAJ	VYBER	15	27563	SLUZBY	\N	\N
775520	2645	1994-05-31	VYDAJ	VYBER	15	25601	SLUZBY	\N	\N
775521	2645	1994-06-30	VYDAJ	VYBER	15	22938	SLUZBY	\N	\N
775522	2645	1994-07-31	VYDAJ	VYBER	15	29377	SLUZBY	\N	\N
775523	2645	1994-08-31	VYDAJ	VYBER	15	27822	SLUZBY	\N	\N
775524	2645	1994-09-30	VYDAJ	VYBER	15	29871	SLUZBY	\N	\N
775525	2645	1994-10-31	VYDAJ	VYBER	15	29626	SLUZBY	\N	\N
775526	2645	1994-11-30	VYDAJ	VYBER	15	29777	SLUZBY	\N	\N
775527	2645	1994-12-31	VYDAJ	VYBER	15	31151	SLUZBY	\N	\N
775528	2645	1995-01-31	VYDAJ	VYBER	15	31712	SLUZBY	\N	\N
775529	2645	1995-02-28	VYDAJ	VYBER	15	38388	SLUZBY	\N	\N
775530	2645	1995-03-31	VYDAJ	VYBER	15	39278	SLUZBY	\N	\N
775531	2645	1995-04-30	VYDAJ	VYBER	15	33872	SLUZBY	\N	\N
775532	2645	1995-05-31	VYDAJ	VYBER	15	42865	SLUZBY	\N	\N
775533	2645	1995-06-30	VYDAJ	VYBER	15	24071	SLUZBY	\N	\N
775534	2645	1995-07-31	VYDAJ	VYBER	15	27713	SLUZBY	\N	\N
775535	2645	1995-08-31	VYDAJ	VYBER	15	35377	SLUZBY	\N	\N
775536	2645	1995-09-30	VYDAJ	VYBER	15	41869	SLUZBY	\N	\N
775537	2645	1995-10-31	VYDAJ	VYBER	15	40569	SLUZBY	\N	\N
775538	2645	1995-11-30	VYDAJ	VYBER	15	38657	SLUZBY	\N	\N
775539	2645	1995-12-31	VYDAJ	VYBER	15	41865	SLUZBY	\N	\N
775540	2645	1996-01-31	VYDAJ	VYBER	15	38565	SLUZBY	\N	\N
775541	2645	1996-02-29	VYDAJ	VYBER	15	39653	SLUZBY	\N	\N
775542	2645	1996-03-31	VYDAJ	VYBER	15	43154	SLUZBY	\N	\N
775543	2645	1996-04-30	VYDAJ	VYBER	15	41866	SLUZBY	\N	\N
775544	2645	1996-05-31	VYDAJ	VYBER	15	45375	SLUZBY	\N	\N
775545	2645	1996-06-30	VYDAJ	VYBER	15	26209	SLUZBY	\N	\N
775546	2645	1996-07-31	VYDAJ	VYBER	15	35275	SLUZBY	\N	\N
775547	2645	1996-08-31	VYDAJ	VYBER	15	33051	SLUZBY	\N	\N
775548	2645	1996-09-30	VYDAJ	VYBER	15	35319	SLUZBY	\N	\N
775549	2645	1996-10-31	VYDAJ	VYBER	15	36194	SLUZBY	\N	\N
775550	2645	1996-11-30	VYDAJ	VYBER	15	39078	SLUZBY	\N	\N
775551	2645	1996-12-31	VYDAJ	VYBER	15	39981	SLUZBY	\N	\N
775552	2645	1997-01-31	VYDAJ	VYBER	15	35050	SLUZBY	\N	\N
775553	2645	1997-02-28	VYDAJ	VYBER	15	38931	SLUZBY	\N	\N
775554	2645	1997-03-31	VYDAJ	VYBER	15	37711	SLUZBY	\N	\N
775555	2645	1997-04-30	VYDAJ	VYBER	15	39798	SLUZBY	\N	\N
775556	2645	1997-05-31	VYDAJ	VYBER	15	38686	SLUZBY	\N	\N
775557	2645	1997-06-30	VYDAJ	VYBER	15	39087	SLUZBY	\N	\N
775558	2645	1997-07-31	VYDAJ	VYBER	15	35871	SLUZBY	\N	\N
775559	2645	1997-08-31	VYDAJ	VYBER	15	31847	SLUZBY	\N	\N
775560	2645	1997-09-30	VYDAJ	VYBER	15	30208	SLUZBY	\N	\N
775561	2645	1997-10-31	VYDAJ	VYBER	15	30765	SLUZBY	\N	\N
775562	2645	1997-11-30	VYDAJ	VYBER	15	33827	SLUZBY	\N	\N
775563	2645	1997-12-31	VYDAJ	VYBER	15	35823	SLUZBY	\N	\N
775564	2645	1998-01-31	VYDAJ	VYBER	15	34301	SLUZBY	\N	\N
775565	2645	1998-02-28	VYDAJ	VYBER	15	39078	SLUZBY	\N	\N
775566	2645	1998-03-31	VYDAJ	VYBER	15	40274	SLUZBY	\N	\N
775567	2645	1998-04-30	VYDAJ	VYBER	15	45472	SLUZBY	\N	\N
775568	2645	1998-05-31	VYDAJ	VYBER	15	45584	SLUZBY	\N	\N
775569	2645	1998-06-30	VYDAJ	VYBER	15	34021	SLUZBY	\N	\N
775570	2645	1998-07-31	VYDAJ	VYBER	15	35794	SLUZBY	\N	\N
775571	2645	1998-08-31	VYDAJ	VYBER	15	38876	SLUZBY	\N	\N
775572	2645	1998-09-30	VYDAJ	VYBER	15	38767	SLUZBY	\N	\N
775573	2645	1998-10-31	VYDAJ	VYBER	15	32950	SLUZBY	\N	\N
775574	2645	1998-11-30	VYDAJ	VYBER	15	26907	SLUZBY	\N	\N
775575	2645	1993-06-21	PRIJEM	VKLAD	4200	21646	\N	\N	\N
775576	2645	1993-07-21	VYDAJ	VYBER	3800	29107	\N	\N	\N
775577	2645	1993-08-20	VYDAJ	VYBER	8800	31639	\N	\N	\N
775578	2645	1993-09-19	VYDAJ	VYBER	10200	32796	\N	\N	\N
775579	2645	1993-10-19	VYDAJ	VYBER	8700	34450	\N	\N	\N
775580	2645	1993-11-18	VYDAJ	VYBER	8700	29626	\N	\N	\N
775581	2645	1993-12-18	VYDAJ	VYBER	3900	33108	\N	\N	\N
775582	2645	1994-01-17	VYDAJ	VYBER	3700	32271	\N	\N	\N
775583	2645	1994-02-16	VYDAJ	VYBER	4100	32037	\N	\N	\N
775584	2645	1994-03-18	VYDAJ	VYBER	5300	30601	\N	\N	\N
775585	2645	1994-04-17	VYDAJ	VYBER	4800	27460	\N	\N	\N
775586	2645	1994-05-17	VYDAJ	VYBER	3500	25507	\N	\N	\N
775587	2645	1994-06-16	VYDAJ	VYBER	100	22860	\N	\N	\N
775588	2645	1994-07-16	PRIJEM	VKLAD	2600	29282	\N	\N	\N
775589	2645	1994-08-15	VYDAJ	VYBER	2600	27721	\N	\N	\N
775590	2645	1994-09-14	VYDAJ	VYBER	1800	30776	\N	\N	\N
775591	2645	1994-10-14	PRIJEM	VKLAD	600	35225	\N	\N	\N
775592	2645	1994-11-13	VYDAJ	VYBER	3700	30680	\N	\N	\N
775593	2645	1994-12-13	VYDAJ	VYBER	6300	33846	\N	\N	\N
775594	2645	1995-01-12	PRIJEM	VKLAD	5400	35531	\N	\N	\N
775595	2645	1995-02-11	PRIJEM	VKLAD	2800	33492	\N	\N	\N
775596	2645	1995-03-13	VYDAJ	VYBER	3000	40142	\N	\N	\N
775597	2645	1995-04-12	VYDAJ	VYBER	1800	31001	\N	\N	\N
775598	2645	1995-05-12	PRIJEM	VKLAD	5100	37952	\N	\N	\N
775599	2645	1995-06-11	VYDAJ	VYBER	2900	38945	\N	\N	\N
775600	2645	1995-07-11	PRIJEM	VKLAD	6000	26451	\N	\N	\N
775601	2645	1995-08-10	PRIJEM	VKLAD	3800	30493	\N	\N	\N
775602	2645	1995-09-09	PRIJEM	VKLAD	2600	37977	\N	\N	\N
775603	2645	1995-10-09	VYDAJ	VYBER	1100	40769	\N	\N	\N
775604	2645	1995-11-08	VYDAJ	VYBER	5800	34769	\N	\N	\N
775605	2645	1995-12-08	VYDAJ	VYBER	4200	32357	\N	\N	\N
775606	2645	1996-01-07	VYDAJ	VYBER	800	41065	\N	\N	\N
775607	2645	1996-02-06	VYDAJ	VYBER	2800	35765	\N	\N	\N
775608	2645	1996-03-07	VYDAJ	VYBER	400	39253	\N	\N	\N
775609	2645	1996-04-06	VYDAJ	VYBER	400	42754	\N	\N	\N
775610	2645	1996-05-06	VYDAJ	VYBER	400	41466	\N	\N	\N
775611	2645	1996-06-05	VYDAJ	VYBER	4800	40575	\N	\N	\N
775612	2645	1996-07-05	PRIJEM	VKLAD	8200	34409	\N	\N	\N
775613	2645	1996-08-04	VYDAJ	VYBER	1300	33975	\N	\N	\N
775614	2645	1996-09-03	VYDAJ	VYBER	1600	31451	\N	\N	\N
775615	2645	1996-10-03	VYDAJ	VYBER	3000	32319	\N	\N	\N
775616	2645	1996-11-02	VYDAJ	VYBER	1000	35194	\N	\N	\N
775617	2645	1996-12-02	VYDAJ	VYBER	6200	32878	\N	\N	\N
775618	2645	1997-01-01	VYDAJ	VYBER	6400	33581	\N	\N	\N
775619	2645	1997-01-31	PRIJEM	VKLAD	1200	35065	\N	\N	\N
775620	2645	1997-03-02	VYDAJ	VYBER	800	38131	\N	\N	\N
775621	2645	1997-04-01	VYDAJ	VYBER	1800	35911	\N	\N	\N
775622	2645	1997-05-01	VYDAJ	VYBER	4400	35398	\N	\N	\N
775623	2645	1997-05-31	VYDAJ	VYBER	600	38700	\N	\N	\N
775624	2645	1997-06-30	VYDAJ	VYBER	4400	34687	\N	\N	\N
775625	2645	1997-07-30	VYDAJ	VYBER	2700	35731	\N	\N	\N
775626	2645	1997-08-29	VYDAJ	VYBER	3900	31715	\N	\N	\N
775627	2645	1997-09-28	PRIJEM	VKLAD	800	30091	\N	\N	\N
775628	2645	1997-10-28	PRIJEM	VKLAD	600	30652	\N	\N	\N
775629	2645	1997-11-27	VYDAJ	VYBER	800	33709	\N	\N	\N
775630	2645	1997-12-27	VYDAJ	VYBER	1500	35686	\N	\N	\N
775631	2645	1998-01-26	VYDAJ	VYBER	4400	34167	\N	\N	\N
775632	2645	1998-02-25	PRIJEM	VKLAD	900	38945	\N	\N	\N
775633	2645	1998-03-27	VYDAJ	VYBER	2700	40122	\N	\N	\N
775634	2645	1998-04-26	PRIJEM	VKLAD	3100	45318	\N	\N	\N
775635	2645	1998-05-26	PRIJEM	VKLAD	300	45416	\N	\N	\N
775636	2645	1998-06-25	PRIJEM	VKLAD	6600	37443	\N	\N	\N
775637	2645	1998-07-25	VYDAJ	VYBER	2100	35665	\N	\N	\N
775638	2645	1998-08-24	VYDAJ	VYBER	800	38738	\N	\N	\N
775639	2645	1998-09-23	VYDAJ	VYBER	4000	38620	\N	\N	\N
775640	2645	1998-10-23	VYDAJ	VYBER	9700	32811	\N	\N	\N
775641	2645	1998-11-22	VYDAJ	VYBER	5200	26794	\N	\N	\N
775709	2646	1997-07-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
775713	2646	1997-09-15	PRIJEM	VKLAD	49856	62956	\N	\N	\N
775719	2646	1997-11-07	PRIJEM	VKLAD	40732	76034	\N	\N	\N
775722	2646	1997-11-12	PRIJEM	VKLAD	41808	117842	\N	\N	\N
775724	2646	1998-09-05	PRIJEM	VKLAD	19624	93076	\N	\N	\N
775725	2646	1998-06-05	PRIJEM	VKLAD	22077	61317	\N	\N	\N
775726	2646	1998-06-07	PRIJEM	VKLAD	28741	83826	\N	\N	\N
775727	2646	1998-06-30	PRIJEM	VKLAD	17500	77634	\N	\N	\N
775728	2646	1998-07-12	PRIJEM	VKLAD	17807	107870	\N	\N	\N
775729	2646	1998-09-12	PRIJEM	VKLAD	11395	92011	\N	\N	\N
775730	2646	1998-06-28	PRIJEM	VKLAD	28625	59948	\N	\N	\N
775731	2646	1998-05-25	PRIJEM	VKLAD	25638	58268	\N	\N	\N
775732	2646	1998-02-17	PRIJEM	VKLAD	38710	68672	\N	\N	\N
775733	2646	1998-07-06	PRIJEM	VKLAD	43478	90891	\N	\N	\N
775734	2646	1998-06-08	PRIJEM	VKLAD	37925	121751	\N	\N	\N
775735	2646	1998-07-27	PRIJEM	VKLAD	24301	71971	\N	\N	\N
775736	2646	1998-09-17	PRIJEM	VKLAD	26370	118381	\N	\N	\N
775737	2646	1998-12-10	PRIJEM	VKLAD	19647	46335	\N	\N	\N
775738	2646	1998-12-22	PRIJEM	VKLAD	23528	57335	\N	\N	\N
775739	2646	1998-05-20	PRIJEM	VKLAD	30474	52130	\N	\N	\N
775740	2646	1998-08-02	PRIJEM	VKLAD	43650	115922	\N	\N	\N
775741	2646	1998-10-10	PRIJEM	VKLAD	10675	52002	\N	\N	\N
775742	2646	1998-02-23	PRIJEM	VKLAD	37399	84771	\N	\N	\N
775743	2646	1998-02-27	PRIJEM	VKLAD	16845	101616	\N	\N	\N
775744	2646	1998-08-21	PRIJEM	VKLAD	24741	120663	\N	\N	\N
775745	2646	1998-12-27	PRIJEM	VKLAD	9291	62426	\N	\N	\N
775746	2646	1998-10-24	PRIJEM	VKLAD	14082	51456	\N	\N	\N
775747	2646	1998-08-31	PRIJEM	VKLAD	24304	73167	\N	\N	\N
775748	2646	1998-10-31	PRIJEM	VKLAD	22664	52639	\N	\N	\N
775749	2646	1998-04-12	PRIJEM	VKLAD	42673	56846	\N	\N	\N
775750	2646	1998-03-02	PRIJEM	VKLAD	18199	120076	\N	\N	\N
775751	2646	1998-08-21	PRIJEM	VKLAD	49447	95922	\N	\N	\N
775790	2646	1998-03-05	VYDAJ	PREVOD NA UCET	6232	78944	SIPO	MN	34138214
775791	2646	1998-04-05	VYDAJ	PREVOD NA UCET	6232	15001	SIPO	MN	34138214
775792	2646	1998-05-05	VYDAJ	PREVOD NA UCET	6232	22484	SIPO	MN	34138214
775793	2646	1998-06-05	VYDAJ	PREVOD NA UCET	6232	55085	SIPO	MN	34138214
775794	2646	1998-07-05	VYDAJ	PREVOD NA UCET	6232	47413	SIPO	MN	34138214
775795	2646	1998-08-05	VYDAJ	PREVOD NA UCET	6232	67303	SIPO	MN	34138214
775796	2646	1998-09-05	VYDAJ	PREVOD NA UCET	6232	86844	SIPO	MN	34138214
775797	2646	1998-10-05	VYDAJ	PREVOD NA UCET	6232	41627	SIPO	MN	34138214
775798	2646	1998-11-05	VYDAJ	PREVOD NA UCET	6232	46392	SIPO	MN	34138214
775799	2646	1998-12-05	VYDAJ	PREVOD NA UCET	6232	26988	SIPO	MN	34138214
775814	2646	1998-03-10	VYDAJ	PREVOD NA UCET	528	51325	 	OP	72267347
775815	2646	1998-04-10	VYDAJ	PREVOD NA UCET	528	14173	 	OP	72267347
775816	2646	1998-05-10	VYDAJ	PREVOD NA UCET	528	21656	 	OP	72267347
775817	2646	1998-06-10	VYDAJ	PREVOD NA UCET	528	45123	 	OP	72267347
775818	2646	1998-07-10	VYDAJ	PREVOD NA UCET	528	90063	 	OP	72267347
775819	2646	1998-08-10	VYDAJ	PREVOD NA UCET	528	66475	 	OP	72267347
775820	2646	1998-09-10	VYDAJ	PREVOD NA UCET	528	86016	 	OP	72267347
775821	2646	1998-10-10	VYDAJ	PREVOD NA UCET	528	51474	 	OP	72267347
775822	2646	1998-11-10	VYDAJ	PREVOD NA UCET	528	45564	 	OP	72267347
775823	2646	1998-12-10	VYDAJ	PREVOD NA UCET	528	45807	 	OP	72267347
775838	2646	1998-03-08	VYDAJ	PREVOD NA UCET	300	60331	POJISTNE	QR	99920969
775839	2646	1998-04-08	VYDAJ	PREVOD NA UCET	300	14701	POJISTNE	QR	99920969
775840	2646	1998-05-08	VYDAJ	PREVOD NA UCET	300	22184	POJISTNE	QR	99920969
775841	2646	1998-06-08	VYDAJ	PREVOD NA UCET	300	45651	POJISTNE	QR	99920969
775842	2646	1998-07-08	VYDAJ	PREVOD NA UCET	300	90591	POJISTNE	QR	99920969
775843	2646	1998-08-08	VYDAJ	PREVOD NA UCET	300	67003	POJISTNE	QR	99920969
775844	2646	1998-09-08	VYDAJ	PREVOD NA UCET	300	86544	POJISTNE	QR	99920969
775845	2646	1998-10-08	VYDAJ	PREVOD NA UCET	300	41327	POJISTNE	QR	99920969
775846	2646	1998-11-08	VYDAJ	PREVOD NA UCET	300	46092	POJISTNE	QR	99920969
775847	2646	1998-12-08	VYDAJ	PREVOD NA UCET	300	26688	POJISTNE	QR	99920969
775862	2646	1998-08-03	VYBER	VYBER	20987	73535	\N	\N	\N
775863	2646	1998-03-10	VYBER	VYBER	8478	51853	\N	\N	\N
775867	2646	1998-07-03	VYBER	VYBER	20974	53645	\N	\N	\N
775868	2646	1998-03-22	VYBER	VYBER	11788	21037	\N	\N	\N
775869	2646	1998-10-30	VYBER	VYBER	21674	29782	\N	\N	\N
775870	2646	1998-05-31	VYBER	VYBER	12259	39254	\N	\N	\N
775873	2646	1998-04-17	VYBER	VYBER	12642	37904	\N	\N	\N
775874	2646	1998-03-06	VYBER	VYBER	18313	60631	\N	\N	\N
775876	2646	1998-06-08	VYDAJ	VYBER	37500	84251	\N	\N	\N
775880	2646	1998-12-22	VYDAJ	VYBER	4200	53135	\N	\N	\N
775897	2646	1998-08-28	VYDAJ	VYBER	7200	48863	\N	\N	\N
775898	2646	1998-04-16	VYDAJ	VYBER	6300	50546	\N	\N	\N
775899	2646	1998-03-18	VYDAJ	VYBER	7800	43525	\N	\N	\N
775900	2646	1998-05-27	VYDAJ	VYBER	6900	51368	\N	\N	\N
775901	2646	1998-09-10	VYDAJ	VYBER	5400	80616	\N	\N	\N
775902	2646	1998-07-02	VYDAJ	VYBER	3000	74619	\N	\N	\N
775903	2646	1998-09-27	VYDAJ	VYBER	9600	47581	\N	\N	\N
775918	2646	1998-02-28	VYDAJ	VYBER	15	101877	SLUZBY	\N	\N
775919	2646	1998-03-31	VYDAJ	VYBER	15	21233	SLUZBY	\N	\N
775920	2646	1998-04-30	VYDAJ	VYBER	15	28716	SLUZBY	\N	\N
775921	2646	1998-05-31	VYDAJ	VYBER	15	39240	SLUZBY	\N	\N
775922	2646	1998-06-30	VYDAJ	VYBER	15	77619	SLUZBY	\N	\N
775923	2646	1998-07-31	VYDAJ	VYBER	15	72272	SLUZBY	\N	\N
775924	2646	1998-08-31	VYDAJ	VYBER	15	73452	SLUZBY	\N	\N
775925	2646	1998-09-30	VYDAJ	VYBER	15	47859	SLUZBY	\N	\N
775926	2646	1998-10-31	VYDAJ	VYBER	15	52624	SLUZBY	\N	\N
775927	2646	1998-11-30	VYDAJ	VYBER	15	33220	SLUZBY	\N	\N
775928	2646	1997-08-23	PRIJEM	VKLAD	12100	13100	\N	\N	\N
775929	2646	1997-09-22	VYDAJ	VYBER	17500	45456	\N	\N	\N
775930	2646	1997-10-22	VYDAJ	VYBER	10400	35113	\N	\N	\N
775931	2646	1997-11-12	VYDAJ	VYBER	23500	94342	\N	\N	\N
775932	2646	1997-11-21	VYDAJ	VYBER	32300	62042	\N	\N	\N
775933	2646	1997-12-21	VYDAJ	VYBER	20000	42345	\N	\N	\N
775934	2646	1998-01-20	VYDAJ	VYBER	12900	29704	\N	\N	\N
775935	2646	1998-02-19	VYDAJ	VYBER	21300	47372	\N	\N	\N
775936	2646	1998-03-02	VYDAJ	VYBER	34900	85176	\N	\N	\N
775937	2646	1998-03-21	VYDAJ	VYBER	10700	32825	\N	\N	\N
775938	2646	1998-04-20	VYDAJ	VYBER	9300	28604	\N	\N	\N
775939	2646	1998-05-20	VYDAJ	VYBER	19500	32630	\N	\N	\N
775940	2646	1998-06-08	VYDAJ	VYBER	38300	45951	\N	\N	\N
775941	2646	1998-06-19	VYDAJ	VYBER	13800	31323	\N	\N	\N
775942	2646	1998-07-12	VYDAJ	VYBER	33600	74270	\N	\N	\N
775943	2646	1998-07-19	VYDAJ	VYBER	26600	47670	\N	\N	\N
775944	2646	1998-08-02	VYDAJ	VYBER	21400	94522	\N	\N	\N
775945	2646	1998-08-18	VYDAJ	VYBER	20000	46475	\N	\N	\N
775946	2646	1998-08-21	VYDAJ	VYBER	64600	56063	\N	\N	\N
775947	2646	1998-09-17	VYDAJ	VYBER	31500	86881	\N	\N	\N
775948	2646	1998-09-17	VYDAJ	VYBER	29700	57181	\N	\N	\N
775949	2646	1998-10-17	VYDAJ	VYBER	14100	37374	\N	\N	\N
775950	2646	1998-11-16	VYDAJ	VYBER	12500	33064	\N	\N	\N
775951	2646	1998-12-16	VYDAJ	VYBER	12000	33807	\N	\N	\N
775968	2647	1993-02-08	PRIJEM	VKLAD	400	400	\N	\N	\N
775970	2647	1993-02-10	PRIJEM	VKLAD	12015	12415	\N	\N	\N
775971	2647	1993-03-10	PRIJEM	VKLAD	12015	24465	\N	\N	\N
775972	2647	1993-04-10	PRIJEM	VKLAD	12015	36972	\N	\N	\N
775973	2647	1993-05-10	PRIJEM	VKLAD	12015	40628	\N	\N	\N
775974	2647	1993-06-10	PRIJEM	VKLAD	18022	48315	\N	\N	\N
775975	2647	1993-07-10	PRIJEM	VKLAD	12015	36976	\N	\N	\N
775976	2647	1993-08-10	PRIJEM	VKLAD	12015	40417	\N	\N	\N
775977	2647	1993-09-10	PRIJEM	VKLAD	12015	38777	\N	\N	\N
775978	2647	1993-10-10	PRIJEM	VKLAD	12015	37833	\N	\N	\N
775979	2647	1993-11-10	PRIJEM	VKLAD	12015	34474	\N	\N	\N
775980	2647	1993-12-10	PRIJEM	VKLAD	18022	39216	\N	\N	\N
775981	2647	1994-01-10	PRIJEM	VKLAD	12015	33461	\N	\N	\N
775982	2647	1994-02-10	PRIJEM	VKLAD	12015	29173	\N	\N	\N
775983	2647	1994-03-10	PRIJEM	VKLAD	12015	33375	\N	\N	\N
775984	2647	1994-04-10	PRIJEM	VKLAD	12015	35103	\N	\N	\N
775985	2647	1994-05-10	PRIJEM	VKLAD	12015	31418	\N	\N	\N
775986	2647	1994-06-10	PRIJEM	VKLAD	18022	42440	\N	\N	\N
775987	2647	1994-07-10	PRIJEM	VKLAD	12015	31738	\N	\N	\N
775988	2647	1994-08-10	PRIJEM	VKLAD	12015	37051	\N	\N	\N
775989	2647	1994-09-10	PRIJEM	VKLAD	12015	42993	\N	\N	\N
775990	2647	1994-10-10	PRIJEM	VKLAD	12015	43860	\N	\N	\N
775991	2647	1994-11-10	PRIJEM	VKLAD	12015	42934	\N	\N	\N
775992	2647	1994-12-10	PRIJEM	VKLAD	18022	48218	\N	\N	\N
775993	2647	1995-01-10	PRIJEM	VKLAD	12015	45600	\N	\N	\N
775994	2647	1995-02-10	PRIJEM	VKLAD	12015	36057	\N	\N	\N
775995	2647	1995-03-10	PRIJEM	VKLAD	12015	38594	\N	\N	\N
775996	2647	1995-04-10	PRIJEM	VKLAD	12015	40643	\N	\N	\N
775997	2647	1995-05-10	PRIJEM	VKLAD	12015	42899	\N	\N	\N
775998	2647	1995-06-10	PRIJEM	VKLAD	18022	51571	\N	\N	\N
775999	2647	1995-07-10	PRIJEM	VKLAD	12015	39924	\N	\N	\N
776000	2647	1995-08-10	PRIJEM	VKLAD	12015	44878	\N	\N	\N
776001	2647	1995-09-10	PRIJEM	VKLAD	12015	48252	\N	\N	\N
776002	2647	1995-10-10	PRIJEM	VKLAD	12015	48134	\N	\N	\N
776003	2647	1995-11-10	PRIJEM	VKLAD	12015	51220	\N	\N	\N
776004	2647	1995-12-10	PRIJEM	VKLAD	18022	61026	\N	\N	\N
776005	2647	1996-01-10	PRIJEM	VKLAD	12015	39647	\N	\N	\N
776006	2647	1996-02-10	PRIJEM	VKLAD	12015	44904	\N	\N	\N
776007	2647	1996-03-10	PRIJEM	VKLAD	12015	49374	\N	\N	\N
776008	2647	1996-04-10	PRIJEM	VKLAD	12015	52764	\N	\N	\N
776009	2647	1996-05-10	PRIJEM	VKLAD	12015	54165	\N	\N	\N
776010	2647	1996-06-10	PRIJEM	VKLAD	18022	62276	\N	\N	\N
776011	2647	1996-07-10	PRIJEM	VKLAD	12015	49273	\N	\N	\N
776012	2647	1996-08-10	PRIJEM	VKLAD	12015	56766	\N	\N	\N
776013	2647	1996-09-10	PRIJEM	VKLAD	12015	56579	\N	\N	\N
776014	2647	1996-10-10	PRIJEM	VKLAD	12015	59992	\N	\N	\N
776015	2647	1996-11-10	PRIJEM	VKLAD	12015	53611	\N	\N	\N
776016	2647	1996-12-10	PRIJEM	VKLAD	18022	62422	\N	\N	\N
776017	2647	1997-01-10	PRIJEM	VKLAD	12015	49746	\N	\N	\N
776018	2647	1997-02-10	PRIJEM	VKLAD	12015	54741	\N	\N	\N
776019	2647	1997-03-10	PRIJEM	VKLAD	12015	58650	\N	\N	\N
776020	2647	1997-04-10	PRIJEM	VKLAD	12015	64579	\N	\N	\N
776021	2647	1997-05-10	PRIJEM	VKLAD	12015	66024	\N	\N	\N
776022	2647	1997-06-10	PRIJEM	VKLAD	18022	70480	\N	\N	\N
776023	2647	1997-07-10	PRIJEM	VKLAD	12015	50426	\N	\N	\N
776024	2647	1997-08-10	PRIJEM	VKLAD	12015	66341	\N	\N	\N
776025	2647	1997-09-10	PRIJEM	VKLAD	12015	69393	\N	\N	\N
776026	2647	1997-10-10	PRIJEM	VKLAD	12015	77571	\N	\N	\N
776027	2647	1997-11-10	PRIJEM	VKLAD	12015	85081	\N	\N	\N
776028	2647	1997-12-10	PRIJEM	VKLAD	18022	91014	\N	\N	\N
776029	2647	1998-01-10	PRIJEM	VKLAD	12015	88457	\N	\N	\N
776030	2647	1998-02-10	PRIJEM	VKLAD	12015	89800	\N	\N	\N
776031	2647	1998-03-10	PRIJEM	VKLAD	12015	92547	\N	\N	\N
776032	2647	1998-04-10	PRIJEM	VKLAD	12015	86798	\N	\N	\N
776033	2647	1998-05-10	PRIJEM	VKLAD	12015	90652	\N	\N	\N
776034	2647	1998-06-10	PRIJEM	VKLAD	18022	104536	\N	\N	\N
776035	2647	1998-07-10	PRIJEM	VKLAD	12015	95710	\N	\N	\N
776036	2647	1998-08-10	PRIJEM	VKLAD	12015	108708	\N	\N	\N
776037	2647	1998-09-10	PRIJEM	VKLAD	12015	111835	\N	\N	\N
776038	2647	1998-10-10	PRIJEM	VKLAD	12015	144584	\N	\N	\N
776039	2647	1998-11-10	PRIJEM	VKLAD	12015	113297	\N	\N	\N
776040	2647	1998-12-10	PRIJEM	VKLAD	18022	128434	\N	\N	\N
776047	2647	1993-07-07	VYDAJ	PREVOD NA UCET	5303	23561	SIPO	YZ	4161513
776048	2647	1993-08-07	VYDAJ	PREVOD NA UCET	5303	28402	SIPO	YZ	4161513
776049	2647	1993-09-07	VYDAJ	PREVOD NA UCET	5303	26762	SIPO	YZ	4161513
776050	2647	1993-10-07	VYDAJ	PREVOD NA UCET	5303	25818	SIPO	YZ	4161513
776051	2647	1993-11-07	VYDAJ	PREVOD NA UCET	5303	22459	SIPO	YZ	4161513
776052	2647	1993-12-07	VYDAJ	PREVOD NA UCET	5303	23194	SIPO	YZ	4161513
776053	2647	1994-01-07	VYDAJ	PREVOD NA UCET	5303	22646	SIPO	YZ	4161513
776054	2647	1994-02-07	VYDAJ	PREVOD NA UCET	5303	17658	SIPO	YZ	4161513
776055	2647	1994-03-07	VYDAJ	PREVOD NA UCET	5303	21360	SIPO	YZ	4161513
776056	2647	1994-04-07	VYDAJ	PREVOD NA UCET	5303	23088	SIPO	YZ	4161513
776057	2647	1994-05-07	VYDAJ	PREVOD NA UCET	5303	19403	SIPO	YZ	4161513
776058	2647	1994-06-07	VYDAJ	PREVOD NA UCET	5303	24418	SIPO	YZ	4161513
776059	2647	1994-07-07	VYDAJ	PREVOD NA UCET	5303	19723	SIPO	YZ	4161513
776060	2647	1994-08-07	VYDAJ	PREVOD NA UCET	5303	25036	SIPO	YZ	4161513
776061	2647	1994-09-07	VYDAJ	PREVOD NA UCET	5303	30978	SIPO	YZ	4161513
776062	2647	1994-10-07	VYDAJ	PREVOD NA UCET	5303	31845	SIPO	YZ	4161513
776063	2647	1994-11-07	VYDAJ	PREVOD NA UCET	5303	30919	SIPO	YZ	4161513
776064	2647	1994-12-07	VYDAJ	PREVOD NA UCET	5303	32996	SIPO	YZ	4161513
776065	2647	1995-01-07	VYDAJ	PREVOD NA UCET	5303	33585	SIPO	YZ	4161513
776066	2647	1995-02-07	VYDAJ	PREVOD NA UCET	5303	24042	SIPO	YZ	4161513
776067	2647	1995-03-07	VYDAJ	PREVOD NA UCET	5303	26579	SIPO	YZ	4161513
776068	2647	1995-04-07	VYDAJ	PREVOD NA UCET	5303	28628	SIPO	YZ	4161513
776069	2647	1995-05-07	VYDAJ	PREVOD NA UCET	5303	30884	SIPO	YZ	4161513
776070	2647	1995-06-07	VYDAJ	PREVOD NA UCET	5303	33549	SIPO	YZ	4161513
776071	2647	1995-07-07	VYDAJ	PREVOD NA UCET	5303	27909	SIPO	YZ	4161513
776072	2647	1995-08-07	VYDAJ	PREVOD NA UCET	5303	32863	SIPO	YZ	4161513
776073	2647	1995-09-07	VYDAJ	PREVOD NA UCET	5303	36237	SIPO	YZ	4161513
776074	2647	1995-10-07	VYDAJ	PREVOD NA UCET	5303	36119	SIPO	YZ	4161513
776075	2647	1995-11-07	VYDAJ	PREVOD NA UCET	5303	39205	SIPO	YZ	4161513
776076	2647	1995-12-07	VYDAJ	PREVOD NA UCET	5303	43004	SIPO	YZ	4161513
776077	2647	1996-01-07	VYDAJ	PREVOD NA UCET	5303	36032	SIPO	YZ	4161513
776078	2647	1996-02-07	VYDAJ	PREVOD NA UCET	5303	32889	SIPO	YZ	4161513
776079	2647	1996-03-07	VYDAJ	PREVOD NA UCET	5303	37359	SIPO	YZ	4161513
776080	2647	1996-04-07	VYDAJ	PREVOD NA UCET	5303	40749	SIPO	YZ	4161513
776081	2647	1996-05-07	VYDAJ	PREVOD NA UCET	5303	42150	SIPO	YZ	4161513
776082	2647	1996-06-07	VYDAJ	PREVOD NA UCET	5303	44254	SIPO	YZ	4161513
776083	2647	1996-07-07	VYDAJ	PREVOD NA UCET	5303	37258	SIPO	YZ	4161513
776084	2647	1996-08-07	VYDAJ	PREVOD NA UCET	5303	44751	SIPO	YZ	4161513
776085	2647	1996-09-07	VYDAJ	PREVOD NA UCET	5303	44564	SIPO	YZ	4161513
776086	2647	1996-10-07	VYDAJ	PREVOD NA UCET	5303	47977	SIPO	YZ	4161513
776087	2647	1996-11-07	VYDAJ	PREVOD NA UCET	5303	41596	SIPO	YZ	4161513
776088	2647	1996-12-07	VYDAJ	PREVOD NA UCET	5303	44400	SIPO	YZ	4161513
776089	2647	1997-01-07	VYDAJ	PREVOD NA UCET	5303	41131	SIPO	YZ	4161513
776090	2647	1997-02-07	VYDAJ	PREVOD NA UCET	5303	42726	SIPO	YZ	4161513
776091	2647	1997-03-07	VYDAJ	PREVOD NA UCET	5303	46635	SIPO	YZ	4161513
776092	2647	1997-04-07	VYDAJ	PREVOD NA UCET	5303	52564	SIPO	YZ	4161513
776093	2647	1997-05-07	VYDAJ	PREVOD NA UCET	5303	54009	SIPO	YZ	4161513
776094	2647	1997-06-07	VYDAJ	PREVOD NA UCET	5303	52458	SIPO	YZ	4161513
776095	2647	1997-07-07	VYDAJ	PREVOD NA UCET	5303	38411	SIPO	YZ	4161513
776096	2647	1997-08-07	VYDAJ	PREVOD NA UCET	5303	54326	SIPO	YZ	4161513
776097	2647	1997-09-07	VYDAJ	PREVOD NA UCET	5303	57378	SIPO	YZ	4161513
776098	2647	1997-10-07	VYDAJ	PREVOD NA UCET	5303	65556	SIPO	YZ	4161513
776099	2647	1997-11-07	VYDAJ	PREVOD NA UCET	5303	73066	SIPO	YZ	4161513
776100	2647	1997-12-07	VYDAJ	PREVOD NA UCET	5303	74592	SIPO	YZ	4161513
776101	2647	1998-01-07	VYDAJ	PREVOD NA UCET	5303	78242	SIPO	YZ	4161513
776102	2647	1998-02-07	VYDAJ	PREVOD NA UCET	5303	77785	SIPO	YZ	4161513
776103	2647	1998-03-07	VYDAJ	PREVOD NA UCET	5303	80532	SIPO	YZ	4161513
776104	2647	1998-04-07	VYDAJ	PREVOD NA UCET	5303	74783	SIPO	YZ	4161513
776105	2647	1998-05-07	VYDAJ	PREVOD NA UCET	5303	78637	SIPO	YZ	4161513
776106	2647	1998-06-07	VYDAJ	PREVOD NA UCET	5303	86514	SIPO	YZ	4161513
776107	2647	1998-07-07	VYDAJ	PREVOD NA UCET	5303	83695	SIPO	YZ	4161513
776108	2647	1998-08-07	VYDAJ	PREVOD NA UCET	5303	96693	SIPO	YZ	4161513
776109	2647	1998-09-07	VYDAJ	PREVOD NA UCET	5303	99820	SIPO	YZ	4161513
776110	2647	1998-10-07	VYDAJ	PREVOD NA UCET	5303	106969	SIPO	YZ	4161513
776111	2647	1998-11-07	VYDAJ	PREVOD NA UCET	5303	81482	SIPO	YZ	4161513
776112	2647	1998-12-07	VYDAJ	PREVOD NA UCET	5303	91312	SIPO	YZ	4161513
776113	2647	1993-06-21	VYDAJ	VYBER	19600	28715	\N	\N	\N
776114	2647	1994-06-14	VYDAJ	VYBER	24400	18040	\N	\N	\N
776115	2647	1995-06-17	VYDAJ	VYBER	22700	28871	\N	\N	\N
776116	2647	1996-06-17	VYDAJ	VYBER	26000	36276	\N	\N	\N
776117	2647	1997-06-26	VYDAJ	VYBER	21900	43480	\N	\N	\N
776118	2647	1998-06-13	VYDAJ	VYBER	14900	88636	\N	\N	\N
776120	2647	1994-01-24	VYDAJ	VYBER	4700	16361	\N	\N	\N
776121	2647	1995-01-25	VYDAJ	VYBER	9900	26900	\N	\N	\N
776122	2647	1996-01-08	VYDAJ	VYBER	6800	29232	\N	\N	\N
776123	2647	1997-01-07	VYDAJ	VYBER	3400	37731	\N	\N	\N
776124	2647	1998-01-18	VYDAJ	VYBER	1200	83857	\N	\N	\N
776125	2647	1993-12-18	VYDAJ	VYBER	2800	36416	\N	\N	\N
776126	2647	1994-12-09	VYDAJ	VYBER	2800	30196	\N	\N	\N
776127	2647	1995-12-29	VYDAJ	VYBER	1200	47026	\N	\N	\N
776128	2647	1996-12-22	VYDAJ	VYBER	2100	53022	\N	\N	\N
776129	2647	1997-12-07	VYDAJ	VYBER	1600	72992	\N	\N	\N
776130	2647	1998-12-24	VYDAJ	VYBER	2900	104334	\N	\N	\N
776137	2647	1994-01-08	VYDAJ	VYBER	1200	21446	\N	\N	\N
776138	2647	1994-01-24	VYDAJ	VYBER	1700	23561	\N	\N	\N
776139	2647	1994-01-06	VYDAJ	VYBER	1800	27949	\N	\N	\N
776140	2647	1994-01-24	VYDAJ	VYBER	2500	21061	\N	\N	\N
776141	2647	1994-01-15	VYDAJ	VYBER	2300	27661	\N	\N	\N
776142	2647	1994-01-17	VYDAJ	VYBER	2400	25261	\N	\N	\N
776143	2647	1995-01-10	VYDAJ	VYBER	2500	43100	\N	\N	\N
776144	2647	1995-01-27	VYDAJ	VYBER	500	23700	\N	\N	\N
776145	2647	1995-01-28	VYDAJ	VYBER	2700	21000	\N	\N	\N
776146	2647	1995-01-22	VYDAJ	VYBER	2500	40600	\N	\N	\N
776147	2647	1995-01-25	VYDAJ	VYBER	2700	24200	\N	\N	\N
776148	2647	1995-01-06	VYDAJ	VYBER	2400	38888	\N	\N	\N
776149	2647	1996-01-05	VYDAJ	VYBER	2600	43135	\N	\N	\N
776150	2647	1996-01-09	VYDAJ	VYBER	1600	27632	\N	\N	\N
776151	2647	1996-01-12	VYDAJ	VYBER	1400	38247	\N	\N	\N
776152	2647	1996-01-17	VYDAJ	VYBER	2100	36147	\N	\N	\N
776153	2647	1996-01-03	VYDAJ	VYBER	1500	45735	\N	\N	\N
776154	2647	1996-01-05	VYDAJ	VYBER	1800	41335	\N	\N	\N
776155	2647	1997-01-06	VYDAJ	VYBER	500	51234	\N	\N	\N
776156	2647	1997-01-02	VYDAJ	VYBER	1500	51734	\N	\N	\N
776157	2647	1997-01-11	VYDAJ	VYBER	2500	47246	\N	\N	\N
776158	2647	1997-01-21	VYDAJ	VYBER	1500	47846	\N	\N	\N
776159	2647	1997-01-18	VYDAJ	VYBER	1100	49346	\N	\N	\N
776160	2647	1997-01-16	VYDAJ	VYBER	2200	45046	\N	\N	\N
776161	2647	1998-01-02	VYDAJ	VYBER	1200	83545	\N	\N	\N
776162	2647	1998-01-07	VYDAJ	VYBER	1800	76442	\N	\N	\N
776163	2647	1998-01-13	VYDAJ	VYBER	1900	87457	\N	\N	\N
776164	2647	1998-01-27	VYDAJ	VYBER	1100	82757	\N	\N	\N
776165	2647	1998-01-02	VYDAJ	VYBER	1300	84745	\N	\N	\N
776166	2647	1998-01-16	VYDAJ	VYBER	2400	85057	\N	\N	\N
776167	2647	1993-10-14	VYDAJ	VYBER	3600	34233	\N	\N	\N
776169	2647	1993-12-07	VYDAJ	VYBER	2000	21194	\N	\N	\N
776171	2647	1993-10-02	VYDAJ	VYBER	4300	34621	\N	\N	\N
776172	2647	1993-11-06	VYDAJ	VYBER	3900	27762	\N	\N	\N
776174	2647	1994-04-14	VYDAJ	VYBER	4700	26603	\N	\N	\N
776175	2647	1994-04-30	VYDAJ	VYBER	3500	23221	\N	\N	\N
776176	2647	1994-02-08	VYDAJ	VYBER	500	17158	\N	\N	\N
776177	2647	1994-04-11	VYDAJ	VYBER	3800	31303	\N	\N	\N
776178	2647	1994-01-13	VYDAJ	VYBER	3500	29961	\N	\N	\N
776179	2647	1994-05-29	VYDAJ	VYBER	3000	28418	\N	\N	\N
776180	2647	1995-09-06	VYDAJ	VYBER	1100	41540	\N	\N	\N
776181	2647	1995-01-23	VYDAJ	VYBER	3800	36800	\N	\N	\N
776182	2647	1995-12-23	VYDAJ	VYBER	3500	57526	\N	\N	\N
776183	2647	1996-10-20	VYDAJ	VYBER	4200	49892	\N	\N	\N
776184	2647	1996-09-12	VYDAJ	VYBER	4500	52079	\N	\N	\N
776185	2647	1996-02-15	VYDAJ	VYBER	1400	43504	\N	\N	\N
776186	2647	1996-05-17	VYDAJ	VYBER	3600	50565	\N	\N	\N
776187	2647	1996-10-30	VYDAJ	VYBER	3200	46692	\N	\N	\N
776188	2647	1997-08-13	VYDAJ	VYBER	4100	62241	\N	\N	\N
776189	2647	1997-09-22	VYDAJ	VYBER	1200	70593	\N	\N	\N
776190	2647	1997-06-01	VYDAJ	VYBER	2300	57761	\N	\N	\N
776191	2647	1997-01-06	VYDAJ	VYBER	4800	46434	\N	\N	\N
776192	2647	1997-05-14	VYDAJ	VYBER	900	65124	\N	\N	\N
776193	2647	1997-11-12	VYDAJ	VYBER	1000	84081	\N	\N	\N
776194	2647	1998-04-13	VYDAJ	VYBER	1700	90298	\N	\N	\N
776195	2647	1998-05-03	VYDAJ	VYBER	4900	83940	\N	\N	\N
776196	2647	1998-06-01	VYDAJ	VYBER	4500	91817	\N	\N	\N
776197	2647	1998-03-26	VYDAJ	VYBER	4000	79747	\N	\N	\N
776198	2647	1998-03-25	VYDAJ	VYBER	3500	83747	\N	\N	\N
776199	2647	1998-03-15	VYDAJ	VYBER	2800	87247	\N	\N	\N
776200	2647	1998-08-13	VYDAJ	VYBER	4300	104708	\N	\N	\N
776201	2647	1998-04-26	VYDAJ	VYBER	1800	88498	\N	\N	\N
776208	2647	1993-06-30	VYDAJ	VYBER	15	28864	SLUZBY	\N	\N
776209	2647	1993-07-31	VYDAJ	VYBER	15	37105	SLUZBY	\N	\N
776210	2647	1993-08-31	VYDAJ	VYBER	15	40565	SLUZBY	\N	\N
776211	2647	1993-09-30	VYDAJ	VYBER	15	38921	SLUZBY	\N	\N
776212	2647	1993-10-31	VYDAJ	VYBER	15	34362	SLUZBY	\N	\N
776213	2647	1993-11-30	VYDAJ	VYBER	15	34597	SLUZBY	\N	\N
776214	2647	1993-12-31	VYDAJ	VYBER	15	36549	SLUZBY	\N	\N
776215	2647	1994-01-31	VYDAJ	VYBER	15	16461	SLUZBY	\N	\N
776216	2647	1994-02-28	VYDAJ	VYBER	15	29263	SLUZBY	\N	\N
776217	2647	1994-03-31	VYDAJ	VYBER	15	33491	SLUZBY	\N	\N
776218	2647	1994-04-30	VYDAJ	VYBER	15	23206	SLUZBY	\N	\N
776219	2647	1994-05-31	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
776220	2647	1994-06-30	VYDAJ	VYBER	15	18126	SLUZBY	\N	\N
776221	2647	1994-07-31	VYDAJ	VYBER	15	31839	SLUZBY	\N	\N
776222	2647	1994-08-31	VYDAJ	VYBER	15	37181	SLUZBY	\N	\N
776223	2647	1994-09-30	VYDAJ	VYBER	15	43148	SLUZBY	\N	\N
776224	2647	1994-10-31	VYDAJ	VYBER	15	44022	SLUZBY	\N	\N
776225	2647	1994-11-30	VYDAJ	VYBER	15	43099	SLUZBY	\N	\N
776226	2647	1994-12-31	VYDAJ	VYBER	15	41288	SLUZBY	\N	\N
776227	2647	1995-01-31	VYDAJ	VYBER	15	29345	SLUZBY	\N	\N
776228	2647	1995-02-28	VYDAJ	VYBER	15	36182	SLUZBY	\N	\N
776229	2647	1995-03-31	VYDAJ	VYBER	15	33931	SLUZBY	\N	\N
776230	2647	1995-04-30	VYDAJ	VYBER	15	36187	SLUZBY	\N	\N
776231	2647	1995-05-31	VYDAJ	VYBER	15	38852	SLUZBY	\N	\N
776232	2647	1995-06-30	VYDAJ	VYBER	15	33212	SLUZBY	\N	\N
776233	2647	1995-07-31	VYDAJ	VYBER	15	38166	SLUZBY	\N	\N
776234	2647	1995-08-31	VYDAJ	VYBER	15	42640	SLUZBY	\N	\N
776235	2647	1995-09-30	VYDAJ	VYBER	15	41422	SLUZBY	\N	\N
776236	2647	1995-10-31	VYDAJ	VYBER	15	44508	SLUZBY	\N	\N
776237	2647	1995-11-30	VYDAJ	VYBER	15	48307	SLUZBY	\N	\N
776238	2647	1995-12-31	VYDAJ	VYBER	15	47235	SLUZBY	\N	\N
776239	2647	1996-01-31	VYDAJ	VYBER	15	38192	SLUZBY	\N	\N
776240	2647	1996-02-29	VYDAJ	VYBER	15	42662	SLUZBY	\N	\N
776241	2647	1996-03-31	VYDAJ	VYBER	15	46052	SLUZBY	\N	\N
776242	2647	1996-04-30	VYDAJ	VYBER	15	47453	SLUZBY	\N	\N
776243	2647	1996-05-31	VYDAJ	VYBER	15	49557	SLUZBY	\N	\N
776244	2647	1996-06-30	VYDAJ	VYBER	15	42561	SLUZBY	\N	\N
776245	2647	1996-07-31	VYDAJ	VYBER	15	50054	SLUZBY	\N	\N
776246	2647	1996-08-31	VYDAJ	VYBER	15	49867	SLUZBY	\N	\N
776247	2647	1996-09-30	VYDAJ	VYBER	15	53280	SLUZBY	\N	\N
776248	2647	1996-10-31	VYDAJ	VYBER	15	46899	SLUZBY	\N	\N
776249	2647	1996-11-30	VYDAJ	VYBER	15	49703	SLUZBY	\N	\N
776250	2647	1996-12-31	VYDAJ	VYBER	15	53234	SLUZBY	\N	\N
776251	2647	1997-01-31	VYDAJ	VYBER	15	48029	SLUZBY	\N	\N
776252	2647	1997-02-28	VYDAJ	VYBER	15	51938	SLUZBY	\N	\N
776253	2647	1997-03-31	VYDAJ	VYBER	15	57867	SLUZBY	\N	\N
776254	2647	1997-04-30	VYDAJ	VYBER	15	59312	SLUZBY	\N	\N
776255	2647	1997-05-31	VYDAJ	VYBER	15	60061	SLUZBY	\N	\N
776256	2647	1997-06-30	VYDAJ	VYBER	15	43714	SLUZBY	\N	\N
776257	2647	1997-07-31	VYDAJ	VYBER	15	59629	SLUZBY	\N	\N
776258	2647	1997-08-31	VYDAJ	VYBER	15	62681	SLUZBY	\N	\N
776259	2647	1997-09-30	VYDAJ	VYBER	15	70859	SLUZBY	\N	\N
776260	2647	1997-10-31	VYDAJ	VYBER	15	78369	SLUZBY	\N	\N
776261	2647	1997-11-30	VYDAJ	VYBER	15	79895	SLUZBY	\N	\N
776262	2647	1997-12-31	VYDAJ	VYBER	15	86045	SLUZBY	\N	\N
776263	2647	1998-01-31	VYDAJ	VYBER	15	83088	SLUZBY	\N	\N
776264	2647	1998-02-28	VYDAJ	VYBER	15	85835	SLUZBY	\N	\N
776265	2647	1998-03-31	VYDAJ	VYBER	15	80086	SLUZBY	\N	\N
776266	2647	1998-04-30	VYDAJ	VYBER	15	88840	SLUZBY	\N	\N
776267	2647	1998-05-31	VYDAJ	VYBER	15	96317	SLUZBY	\N	\N
776268	2647	1998-06-30	VYDAJ	VYBER	15	88998	SLUZBY	\N	\N
776269	2647	1998-07-31	VYDAJ	VYBER	15	101996	SLUZBY	\N	\N
776270	2647	1998-08-31	VYDAJ	VYBER	15	105123	SLUZBY	\N	\N
776271	2647	1998-09-30	VYDAJ	VYBER	15	112272	SLUZBY	\N	\N
776272	2647	1998-10-31	VYDAJ	VYBER	15	86785	SLUZBY	\N	\N
776273	2647	1998-11-30	VYDAJ	VYBER	15	96615	SLUZBY	\N	\N
776274	2647	1993-03-10	PRIJEM	VKLAD	1600	26065	\N	\N	\N
776275	2647	1993-04-09	VYDAJ	VYBER	1200	24957	\N	\N	\N
776276	2647	1993-05-09	VYDAJ	VYBER	8500	28613	\N	\N	\N
776277	2647	1993-06-08	VYDAJ	VYBER	10500	30293	\N	\N	\N
776278	2647	1993-07-08	PRIJEM	VKLAD	1400	24961	\N	\N	\N
776279	2647	1993-08-07	VYDAJ	VYBER	3400	33705	\N	\N	\N
776280	2647	1993-09-06	VYDAJ	VYBER	8500	32065	\N	\N	\N
776281	2647	1993-10-06	VYDAJ	VYBER	3500	31121	\N	\N	\N
776282	2647	1993-11-05	VYDAJ	VYBER	2700	31662	\N	\N	\N
776283	2647	1993-12-05	VYDAJ	VYBER	6100	28497	\N	\N	\N
776284	2647	1994-01-04	VYDAJ	VYBER	6800	29749	\N	\N	\N
776285	2647	1994-02-03	PRIJEM	VKLAD	6500	22961	\N	\N	\N
776286	2647	1994-03-05	VYDAJ	VYBER	2600	26663	\N	\N	\N
776287	2647	1994-04-04	VYDAJ	VYBER	5100	28391	\N	\N	\N
776288	2647	1994-05-04	PRIJEM	VKLAD	1500	24706	\N	\N	\N
776289	2647	1994-06-03	PRIJEM	VKLAD	1200	29721	\N	\N	\N
776290	2647	1994-07-03	PRIJEM	VKLAD	6900	25026	\N	\N	\N
776291	2647	1994-08-02	VYDAJ	VYBER	1500	30339	\N	\N	\N
776292	2647	1994-09-01	VYDAJ	VYBER	900	36281	\N	\N	\N
776293	2647	1994-10-01	VYDAJ	VYBER	6000	37148	\N	\N	\N
776294	2647	1994-10-31	VYDAJ	VYBER	7800	36222	\N	\N	\N
776295	2647	1994-11-30	VYDAJ	VYBER	4800	38299	\N	\N	\N
776296	2647	1994-12-30	VYDAJ	VYBER	7100	41118	\N	\N	\N
776297	2647	1995-01-29	PRIJEM	VKLAD	8200	29200	\N	\N	\N
776298	2647	1995-02-28	VYDAJ	VYBER	4300	31882	\N	\N	\N
776299	2647	1995-03-30	VYDAJ	VYBER	4800	33794	\N	\N	\N
776300	2647	1995-04-29	VYDAJ	VYBER	4600	36043	\N	\N	\N
776301	2647	1995-05-29	VYDAJ	VYBER	4200	38699	\N	\N	\N
776302	2647	1995-06-28	PRIJEM	VKLAD	4200	33071	\N	\N	\N
776303	2647	1995-07-28	VYDAJ	VYBER	1900	38024	\N	\N	\N
776304	2647	1995-08-27	VYDAJ	VYBER	2400	42478	\N	\N	\N
776305	2647	1995-09-26	VYDAJ	VYBER	7000	41252	\N	\N	\N
776306	2647	1995-10-26	VYDAJ	VYBER	3800	44334	\N	\N	\N
776307	2647	1995-11-25	VYDAJ	VYBER	3100	48120	\N	\N	\N
776308	2647	1995-12-25	VYDAJ	VYBER	9300	48226	\N	\N	\N
776309	2647	1996-01-24	PRIJEM	VKLAD	1900	38047	\N	\N	\N
776310	2647	1996-02-23	VYDAJ	VYBER	1000	42504	\N	\N	\N
776311	2647	1996-03-24	VYDAJ	VYBER	3500	45874	\N	\N	\N
776312	2647	1996-04-23	VYDAJ	VYBER	5500	47264	\N	\N	\N
776313	2647	1996-05-23	VYDAJ	VYBER	1200	49365	\N	\N	\N
776314	2647	1996-06-22	PRIJEM	VKLAD	6100	42376	\N	\N	\N
776315	2647	1996-07-22	PRIJEM	VKLAD	600	49873	\N	\N	\N
776316	2647	1996-08-21	VYDAJ	VYBER	7100	49666	\N	\N	\N
776317	2647	1996-09-20	PRIJEM	VKLAD	1000	53079	\N	\N	\N
776318	2647	1996-10-20	VYDAJ	VYBER	5900	54092	\N	\N	\N
776319	2647	1996-11-19	VYDAJ	VYBER	4100	49511	\N	\N	\N
776320	2647	1996-12-19	VYDAJ	VYBER	7300	55122	\N	\N	\N
776321	2647	1997-01-18	PRIJEM	VKLAD	5400	50446	\N	\N	\N
776322	2647	1997-02-17	VYDAJ	VYBER	3000	51741	\N	\N	\N
776323	2647	1997-03-19	VYDAJ	VYBER	1000	57650	\N	\N	\N
776324	2647	1997-04-18	VYDAJ	VYBER	5500	59079	\N	\N	\N
776325	2647	1997-05-18	VYDAJ	VYBER	5300	59824	\N	\N	\N
776326	2647	1997-06-17	VYDAJ	VYBER	5100	65380	\N	\N	\N
776327	2647	1997-07-17	PRIJEM	VKLAD	9000	59426	\N	\N	\N
776328	2647	1997-08-16	PRIJEM	VKLAD	200	62441	\N	\N	\N
776329	2647	1997-09-15	PRIJEM	VKLAD	2400	71793	\N	\N	\N
776330	2647	1997-10-15	PRIJEM	VKLAD	500	78071	\N	\N	\N
776331	2647	1997-11-14	VYDAJ	VYBER	4500	79581	\N	\N	\N
776332	2647	1997-12-14	VYDAJ	VYBER	5300	85714	\N	\N	\N
776333	2647	1998-01-13	PRIJEM	VKLAD	900	89357	\N	\N	\N
776334	2647	1998-02-12	VYDAJ	VYBER	4300	85500	\N	\N	\N
776335	2647	1998-03-14	VYDAJ	VYBER	2500	90047	\N	\N	\N
776336	2647	1998-04-13	PRIJEM	VKLAD	5200	91998	\N	\N	\N
776337	2647	1998-05-13	PRIJEM	VKLAD	5300	95952	\N	\N	\N
776338	2647	1998-06-12	VYDAJ	VYBER	1000	103536	\N	\N	\N
776339	2647	1998-07-12	PRIJEM	VKLAD	5900	101610	\N	\N	\N
776340	2647	1998-08-11	PRIJEM	VKLAD	300	109008	\N	\N	\N
776341	2647	1998-10-10	VYDAJ	VYBER	58300	86284	\N	\N	\N
776342	2647	1998-10-10	PRIJEM	VKLAD	25600	132569	\N	\N	\N
776343	2647	1998-11-09	PRIJEM	VKLAD	19800	101282	\N	\N	\N
776344	2647	1998-11-10	VYDAJ	VYBER	17100	96197	\N	\N	\N
776345	2647	1998-12-09	PRIJEM	VKLAD	19100	110412	\N	\N	\N
776346	2647	1998-12-10	VYDAJ	VYBER	21200	107234	\N	\N	\N
776418	2648	1993-04-13	PRIJEM	VKLAD	400	400	\N	\N	\N
776419	2648	1993-09-08	PRIJEM	VKLAD	26840	50640	\N	\N	\N
776421	2648	1994-08-04	PRIJEM	VKLAD	28324	52804	\N	\N	\N
776422	2648	1994-01-08	PRIJEM	VKLAD	2460	27054	\N	\N	\N
776423	2648	1995-07-07	PRIJEM	VKLAD	26946	53000	\N	\N	\N
776424	2648	1995-02-18	PRIJEM	VKLAD	42674	66735	\N	\N	\N
776425	2648	1996-09-24	PRIJEM	VKLAD	46427	68147	\N	\N	\N
776426	2648	1996-12-27	PRIJEM	VKLAD	15993	36491	\N	\N	\N
776427	2648	1997-08-02	PRIJEM	VKLAD	4222	26018	\N	\N	\N
776428	2648	1997-10-25	PRIJEM	VKLAD	25520	55527	\N	\N	\N
776429	2648	1998-03-14	PRIJEM	VKLAD	42273	71898	\N	\N	\N
776430	2648	1998-10-21	PRIJEM	VKLAD	34720	59491	\N	\N	\N
776436	2648	1998-06-02	VYDAJ	VYBER	10900	23095	\N	\N	\N
776440	2648	1996-01-20	VYDAJ	VYBER	7500	17153	\N	\N	\N
776441	2648	1997-01-06	VYDAJ	VYBER	5600	30288	\N	\N	\N
776442	2648	1998-01-03	VYDAJ	VYBER	9400	28898	\N	\N	\N
776453	2648	1997-01-19	VYDAJ	VYBER	6800	23488	\N	\N	\N
776454	2648	1998-01-20	VYDAJ	VYBER	3300	28798	\N	\N	\N
776457	2648	1995-12-11	VYDAJ	VYBER	1500	23870	\N	\N	\N
776458	2648	1996-12-19	VYDAJ	VYBER	1100	25198	\N	\N	\N
776459	2648	1997-12-13	VYDAJ	VYBER	2300	40546	\N	\N	\N
776460	2648	1998-12-09	VYDAJ	VYBER	1100	39659	\N	\N	\N
776473	2648	1995-10-01	VYDAJ	VYBER	2150	29586	\N	\N	\N
776474	2648	1995-12-13	VYDAJ	VYBER	1800	22070	\N	\N	\N
776475	2648	1995-11-04	VYDAJ	VYBER	2450	27462	\N	\N	\N
776476	2648	1995-07-23	VYDAJ	VYBER	2300	50700	\N	\N	\N
776477	2648	1996-05-04	VYDAJ	VYBER	750	24776	\N	\N	\N
776478	2648	1996-11-12	VYDAJ	VYBER	750	36173	\N	\N	\N
776479	2648	1996-12-30	VYDAJ	VYBER	700	35791	\N	\N	\N
776480	2648	1996-08-24	VYDAJ	VYBER	2300	21339	\N	\N	\N
776481	2648	1996-04-02	VYDAJ	VYBER	2050	22938	\N	\N	\N
776482	2648	1996-07-25	VYDAJ	VYBER	900	22856	\N	\N	\N
776483	2648	1997-11-15	VYDAJ	VYBER	500	52960	\N	\N	\N
776484	2648	1997-10-26	VYDAJ	VYBER	2200	53327	\N	\N	\N
776485	2648	1997-07-20	VYDAJ	VYBER	2050	20321	\N	\N	\N
776486	2648	1998-06-20	VYDAJ	VYBER	750	25545	\N	\N	\N
776487	2648	1998-07-03	VYDAJ	VYBER	2000	23648	\N	\N	\N
776488	2648	1998-09-23	VYDAJ	VYBER	850	27477	\N	\N	\N
776489	2648	1998-10-07	VYDAJ	VYBER	300	27271	\N	\N	\N
776490	2648	1998-04-19	VYDAJ	VYBER	2350	37589	\N	\N	\N
776491	2648	1998-06-14	VYDAJ	VYBER	900	22195	\N	\N	\N
776523	2648	1995-07-31	VYDAJ	VYBER	15	50914	SLUZBY	\N	\N
776524	2648	1995-08-31	VYDAJ	VYBER	15	34109	SLUZBY	\N	\N
776525	2648	1995-09-30	VYDAJ	VYBER	15	34236	SLUZBY	\N	\N
776526	2648	1995-10-31	VYDAJ	VYBER	15	29912	SLUZBY	\N	\N
776527	2648	1995-11-30	VYDAJ	VYBER	15	25370	SLUZBY	\N	\N
776528	2648	1995-12-31	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
776529	2648	1996-01-31	VYDAJ	VYBER	15	21338	SLUZBY	\N	\N
776530	2648	1996-02-29	VYDAJ	VYBER	15	21912	SLUZBY	\N	\N
776531	2648	1996-03-31	VYDAJ	VYBER	15	24988	SLUZBY	\N	\N
776532	2648	1996-04-30	VYDAJ	VYBER	15	25526	SLUZBY	\N	\N
776533	2648	1996-05-31	VYDAJ	VYBER	15	25267	SLUZBY	\N	\N
776534	2648	1996-06-30	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
776535	2648	1996-07-31	VYDAJ	VYBER	15	23639	SLUZBY	\N	\N
776536	2648	1996-08-31	VYDAJ	VYBER	15	21720	SLUZBY	\N	\N
776537	2648	1996-09-30	VYDAJ	VYBER	15	46745	SLUZBY	\N	\N
776538	2648	1996-10-31	VYDAJ	VYBER	15	36923	SLUZBY	\N	\N
776539	2648	1996-11-30	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
776540	2648	1996-12-31	VYDAJ	VYBER	15	35888	SLUZBY	\N	\N
776541	2648	1997-01-31	VYDAJ	VYBER	15	17191	SLUZBY	\N	\N
776542	2648	1997-02-28	VYDAJ	VYBER	15	19947	SLUZBY	\N	\N
776543	2648	1997-03-31	VYDAJ	VYBER	15	15913	SLUZBY	\N	\N
776544	2648	1997-04-30	VYDAJ	VYBER	15	15362	SLUZBY	\N	\N
776545	2648	1997-05-31	VYDAJ	VYBER	15	18610	SLUZBY	\N	\N
776546	2648	1997-06-30	VYDAJ	VYBER	15	22371	SLUZBY	\N	\N
776547	2648	1997-07-31	VYDAJ	VYBER	15	21796	SLUZBY	\N	\N
776548	2648	1997-08-31	VYDAJ	VYBER	15	28903	SLUZBY	\N	\N
776549	2648	1997-09-30	VYDAJ	VYBER	15	30907	SLUZBY	\N	\N
776550	2648	1997-10-31	VYDAJ	VYBER	15	53460	SLUZBY	\N	\N
776551	2648	1997-11-30	VYDAJ	VYBER	15	42846	SLUZBY	\N	\N
776552	2648	1997-12-31	VYDAJ	VYBER	15	38298	SLUZBY	\N	\N
776553	2648	1998-01-31	VYDAJ	VYBER	15	28922	SLUZBY	\N	\N
776554	2648	1998-02-28	VYDAJ	VYBER	15	29625	SLUZBY	\N	\N
776555	2648	1998-03-31	VYDAJ	VYBER	15	48839	SLUZBY	\N	\N
776556	2648	1998-04-30	VYDAJ	VYBER	15	37756	SLUZBY	\N	\N
776557	2648	1998-05-31	VYDAJ	VYBER	15	33995	SLUZBY	\N	\N
776558	2648	1998-06-30	VYDAJ	VYBER	15	25648	SLUZBY	\N	\N
776559	2648	1998-07-31	VYDAJ	VYBER	15	25937	SLUZBY	\N	\N
776560	2648	1998-08-31	VYDAJ	VYBER	15	27027	SLUZBY	\N	\N
776561	2648	1998-09-30	VYDAJ	VYBER	15	27571	SLUZBY	\N	\N
776562	2648	1998-10-31	VYDAJ	VYBER	15	59632	SLUZBY	\N	\N
776563	2648	1998-11-30	VYDAJ	VYBER	15	40759	SLUZBY	\N	\N
776564	2648	1993-05-13	PRIJEM	VKLAD	13200	13600	\N	\N	\N
776565	2648	1993-06-12	PRIJEM	VKLAD	6500	20100	\N	\N	\N
776566	2648	1993-08-11	PRIJEM	VKLAD	3700	23800	\N	\N	\N
776567	2648	1993-09-10	VYDAJ	VYBER	14700	35940	\N	\N	\N
776568	2648	1993-10-10	VYDAJ	VYBER	8000	28045	\N	\N	\N
776569	2648	1993-11-09	PRIJEM	VKLAD	500	28695	\N	\N	\N
776570	2648	1993-12-09	VYDAJ	VYBER	4400	24444	\N	\N	\N
776571	2648	1994-01-08	PRIJEM	VKLAD	1000	28054	\N	\N	\N
776572	2648	1994-02-07	VYDAJ	VYBER	3200	24978	\N	\N	\N
776573	2648	1994-03-09	PRIJEM	VKLAD	1300	26395	\N	\N	\N
776574	2648	1994-04-08	VYDAJ	VYBER	2600	23912	\N	\N	\N
776575	2648	1994-05-08	VYDAJ	VYBER	1200	22829	\N	\N	\N
776576	2648	1994-06-07	VYDAJ	VYBER	2200	20746	\N	\N	\N
776577	2648	1994-07-07	PRIJEM	VKLAD	3500	24363	\N	\N	\N
776578	2648	1994-08-06	VYDAJ	VYBER	14200	38604	\N	\N	\N
776579	2648	1994-09-05	VYDAJ	VYBER	5200	33557	\N	\N	\N
776580	2648	1994-10-05	VYDAJ	VYBER	6300	27418	\N	\N	\N
776581	2648	1994-11-04	VYDAJ	VYBER	500	27079	\N	\N	\N
776582	2648	1994-12-04	VYDAJ	VYBER	1500	25740	\N	\N	\N
776583	2648	1995-01-03	PRIJEM	VKLAD	800	26701	\N	\N	\N
776584	2648	1995-02-02	VYDAJ	VYBER	2800	24061	\N	\N	\N
776585	2648	1995-03-04	VYDAJ	VYBER	22500	44442	\N	\N	\N
776586	2648	1995-04-03	VYDAJ	VYBER	11100	33620	\N	\N	\N
776587	2648	1995-05-03	VYDAJ	VYBER	7200	26698	\N	\N	\N
776588	2648	1995-06-02	VYDAJ	VYBER	3400	23576	\N	\N	\N
776589	2648	1995-07-02	PRIJEM	VKLAD	2200	26054	\N	\N	\N
776590	2648	1995-08-01	VYDAJ	VYBER	12700	38214	\N	\N	\N
776591	2648	1995-08-31	VYDAJ	VYBER	4300	34123	\N	\N	\N
776592	2648	1995-09-30	VYDAJ	VYBER	2500	31736	\N	\N	\N
776593	2648	1995-10-30	PRIJEM	VKLAD	200	29786	\N	\N	\N
776594	2648	1995-11-29	VYDAJ	VYBER	2200	25262	\N	\N	\N
776595	2648	1995-12-29	PRIJEM	VKLAD	2500	24570	\N	\N	\N
776596	2648	1996-01-28	PRIJEM	VKLAD	4100	21253	\N	\N	\N
776597	2648	1996-02-27	PRIJEM	VKLAD	500	21838	\N	\N	\N
776598	2648	1996-03-28	PRIJEM	VKLAD	3000	24912	\N	\N	\N
776599	2648	1996-04-27	PRIJEM	VKLAD	2500	25438	\N	\N	\N
776600	2648	1996-05-27	PRIJEM	VKLAD	400	25176	\N	\N	\N
776601	2648	1996-06-26	VYDAJ	VYBER	1600	23667	\N	\N	\N
776602	2648	1996-07-26	PRIJEM	VKLAD	700	23556	\N	\N	\N
776603	2648	1996-08-25	PRIJEM	VKLAD	300	21639	\N	\N	\N
776604	2648	1996-09-24	VYDAJ	VYBER	21500	46647	\N	\N	\N
776605	2648	1996-10-24	VYDAJ	VYBER	10000	36745	\N	\N	\N
776606	2648	1996-11-23	VYDAJ	VYBER	10000	26173	\N	\N	\N
776607	2648	1996-12-23	VYDAJ	VYBER	4700	20498	\N	\N	\N
776608	2648	1997-01-22	VYDAJ	VYBER	6400	17088	\N	\N	\N
776609	2648	1997-02-21	PRIJEM	VKLAD	2700	19891	\N	\N	\N
776610	2648	1997-03-23	VYDAJ	VYBER	4100	15847	\N	\N	\N
776611	2648	1997-04-22	VYDAJ	VYBER	600	15313	\N	\N	\N
776612	2648	1997-05-22	PRIJEM	VKLAD	3200	18562	\N	\N	\N
776613	2648	1997-06-21	PRIJEM	VKLAD	3700	22310	\N	\N	\N
776614	2648	1997-07-21	PRIJEM	VKLAD	1400	21721	\N	\N	\N
776615	2648	1997-08-20	PRIJEM	VKLAD	2800	28818	\N	\N	\N
776616	2648	1997-09-19	PRIJEM	VKLAD	1900	30803	\N	\N	\N
776617	2648	1997-10-19	VYDAJ	VYBER	900	30007	\N	\N	\N
776618	2648	1997-11-18	VYDAJ	VYBER	10300	42660	\N	\N	\N
776619	2648	1997-12-18	VYDAJ	VYBER	2400	38146	\N	\N	\N
776620	2648	1998-01-17	PRIJEM	VKLAD	3200	32098	\N	\N	\N
776621	2648	1998-02-16	PRIJEM	VKLAD	600	29522	\N	\N	\N
776622	2648	1998-03-18	VYDAJ	VYBER	23200	48698	\N	\N	\N
776623	2648	1998-04-17	VYDAJ	VYBER	8900	39939	\N	\N	\N
776624	2648	1998-05-17	VYDAJ	VYBER	3900	33856	\N	\N	\N
776625	2648	1998-06-16	PRIJEM	VKLAD	4100	26295	\N	\N	\N
776626	2648	1998-07-16	PRIJEM	VKLAD	2200	25848	\N	\N	\N
776627	2648	1998-08-15	PRIJEM	VKLAD	1000	26937	\N	\N	\N
776628	2648	1998-09-14	PRIJEM	VKLAD	1300	28327	\N	\N	\N
776629	2648	1998-10-14	VYDAJ	VYBER	2500	24771	\N	\N	\N
776630	2648	1998-11-13	VYDAJ	VYBER	19100	40532	\N	\N	\N
776694	2649	1993-09-08	PRIJEM	VKLAD	1000	11427	\N	\N	\N
776703	2649	1993-09-08	PRIJEM	VKLAD	10427	10427	\N	\N	\N
776704	2649	1993-10-08	PRIJEM	VKLAD	10427	21891	\N	\N	\N
776705	2649	1993-11-08	PRIJEM	VKLAD	10427	33207	\N	\N	\N
776706	2649	1993-12-08	PRIJEM	VKLAD	15641	42877	\N	\N	\N
776707	2649	1994-01-08	PRIJEM	VKLAD	10427	45074	\N	\N	\N
776708	2649	1994-02-08	PRIJEM	VKLAD	10427	31452	\N	\N	\N
776709	2649	1994-03-08	PRIJEM	VKLAD	10427	32620	\N	\N	\N
776710	2649	1994-04-08	PRIJEM	VKLAD	10427	35825	\N	\N	\N
776711	2649	1994-05-08	PRIJEM	VKLAD	10427	36208	\N	\N	\N
776712	2649	1994-06-08	PRIJEM	VKLAD	15641	42210	\N	\N	\N
776713	2649	1994-07-08	PRIJEM	VKLAD	10427	41418	\N	\N	\N
776714	2649	1994-08-08	PRIJEM	VKLAD	10427	38709	\N	\N	\N
776715	2649	1994-09-08	PRIJEM	VKLAD	10427	37109	\N	\N	\N
776716	2649	1994-10-08	PRIJEM	VKLAD	10427	37703	\N	\N	\N
776717	2649	1994-11-08	PRIJEM	VKLAD	10427	34840	\N	\N	\N
776718	2649	1994-12-08	PRIJEM	VKLAD	15641	41691	\N	\N	\N
776719	2649	1995-01-08	PRIJEM	VKLAD	10427	41395	\N	\N	\N
776720	2649	1995-02-08	PRIJEM	VKLAD	10427	34372	\N	\N	\N
776721	2649	1995-03-08	PRIJEM	VKLAD	10427	38609	\N	\N	\N
776722	2649	1995-04-08	PRIJEM	VKLAD	10427	37803	\N	\N	\N
776723	2649	1995-05-08	PRIJEM	VKLAD	10427	40299	\N	\N	\N
776724	2649	1995-06-08	PRIJEM	VKLAD	15641	44116	\N	\N	\N
776725	2649	1995-07-08	PRIJEM	VKLAD	10427	42501	\N	\N	\N
776726	2649	1995-08-08	PRIJEM	VKLAD	10427	40673	\N	\N	\N
776727	2649	1995-09-08	PRIJEM	VKLAD	10427	43920	\N	\N	\N
776728	2649	1995-10-08	PRIJEM	VKLAD	10427	47838	\N	\N	\N
776729	2649	1995-11-08	PRIJEM	VKLAD	10427	43259	\N	\N	\N
776730	2649	1995-12-08	PRIJEM	VKLAD	15641	52588	\N	\N	\N
776731	2649	1996-01-08	PRIJEM	VKLAD	10427	48033	\N	\N	\N
776732	2649	1996-02-08	PRIJEM	VKLAD	10427	42049	\N	\N	\N
776733	2649	1996-03-08	PRIJEM	VKLAD	10427	42758	\N	\N	\N
776734	2649	1996-04-08	PRIJEM	VKLAD	10427	46963	\N	\N	\N
776735	2649	1996-05-08	PRIJEM	VKLAD	10427	52253	\N	\N	\N
776736	2649	1996-06-08	PRIJEM	VKLAD	15641	61319	\N	\N	\N
776737	2649	1996-07-08	PRIJEM	VKLAD	10427	55261	\N	\N	\N
776738	2649	1996-08-08	PRIJEM	VKLAD	10427	59126	\N	\N	\N
776739	2649	1996-09-08	PRIJEM	VKLAD	10427	62607	\N	\N	\N
776740	2649	1996-10-08	PRIJEM	VKLAD	10427	61032	\N	\N	\N
776741	2649	1996-11-08	PRIJEM	VKLAD	10427	64821	\N	\N	\N
776742	2649	1996-12-08	PRIJEM	VKLAD	15641	72036	\N	\N	\N
776743	2649	1997-01-08	PRIJEM	VKLAD	10427	66357	\N	\N	\N
776744	2649	1997-02-08	PRIJEM	VKLAD	10427	60980	\N	\N	\N
776745	2649	1997-03-08	PRIJEM	VKLAD	10427	64267	\N	\N	\N
776746	2649	1997-04-08	PRIJEM	VKLAD	10427	61845	\N	\N	\N
776747	2649	1997-05-08	PRIJEM	VKLAD	10427	63833	\N	\N	\N
776748	2649	1997-06-08	PRIJEM	VKLAD	15641	72746	\N	\N	\N
776749	2649	1997-07-08	PRIJEM	VKLAD	10427	50988	\N	\N	\N
776750	2649	1997-08-08	PRIJEM	VKLAD	10427	58942	\N	\N	\N
776751	2649	1997-09-08	PRIJEM	VKLAD	10427	56537	\N	\N	\N
776752	2649	1997-10-08	PRIJEM	VKLAD	10427	64016	\N	\N	\N
776753	2649	1997-11-08	PRIJEM	VKLAD	10427	68116	\N	\N	\N
776754	2649	1997-12-08	PRIJEM	VKLAD	15641	64310	\N	\N	\N
776755	2649	1998-01-08	PRIJEM	VKLAD	10427	65462	\N	\N	\N
776756	2649	1998-02-08	PRIJEM	VKLAD	10427	61956	\N	\N	\N
776757	2649	1998-03-08	PRIJEM	VKLAD	10427	65447	\N	\N	\N
776758	2649	1998-04-08	PRIJEM	VKLAD	10427	67949	\N	\N	\N
776759	2649	1998-05-08	PRIJEM	VKLAD	10427	66352	\N	\N	\N
776760	2649	1998-06-08	PRIJEM	VKLAD	15641	75475	\N	\N	\N
776761	2649	1998-07-08	PRIJEM	VKLAD	10427	56838	\N	\N	\N
776762	2649	1998-08-08	PRIJEM	VKLAD	10427	66621	\N	\N	\N
776763	2649	1998-09-08	PRIJEM	VKLAD	10427	68576	\N	\N	\N
776764	2649	1998-10-08	PRIJEM	VKLAD	10427	66834	\N	\N	\N
776765	2649	1998-11-08	PRIJEM	VKLAD	10427	69543	\N	\N	\N
776766	2649	1998-12-08	PRIJEM	VKLAD	15641	79581	\N	\N	\N
776779	2649	1994-01-13	VYDAJ	PREVOD NA UCET	5799	39275	SIPO	GH	28252244
776780	2649	1994-02-13	VYDAJ	PREVOD NA UCET	5799	25653	SIPO	GH	28252244
776781	2649	1994-03-13	VYDAJ	PREVOD NA UCET	5799	26821	SIPO	GH	28252244
776782	2649	1994-04-13	VYDAJ	PREVOD NA UCET	5799	30026	SIPO	GH	28252244
776783	2649	1994-05-13	VYDAJ	PREVOD NA UCET	5799	30409	SIPO	GH	28252244
776784	2649	1994-06-13	VYDAJ	PREVOD NA UCET	5799	36411	SIPO	GH	28252244
776785	2649	1994-07-13	VYDAJ	PREVOD NA UCET	5799	35619	SIPO	GH	28252244
776786	2649	1994-08-13	VYDAJ	PREVOD NA UCET	5799	32910	SIPO	GH	28252244
776787	2649	1994-09-13	VYDAJ	PREVOD NA UCET	5799	31310	SIPO	GH	28252244
776788	2649	1994-10-13	VYDAJ	PREVOD NA UCET	5799	31904	SIPO	GH	28252244
776789	2649	1994-11-13	VYDAJ	PREVOD NA UCET	5799	29041	SIPO	GH	28252244
776790	2649	1994-12-13	VYDAJ	PREVOD NA UCET	5799	35892	SIPO	GH	28252244
776791	2649	1995-01-13	VYDAJ	PREVOD NA UCET	5799	25636	SIPO	GH	28252244
776792	2649	1995-02-13	VYDAJ	PREVOD NA UCET	5799	28573	SIPO	GH	28252244
776793	2649	1995-03-13	VYDAJ	PREVOD NA UCET	5799	32810	SIPO	GH	28252244
776794	2649	1995-04-13	VYDAJ	PREVOD NA UCET	5799	32004	SIPO	GH	28252244
776795	2649	1995-05-13	VYDAJ	PREVOD NA UCET	5799	34500	SIPO	GH	28252244
776796	2649	1995-06-13	VYDAJ	PREVOD NA UCET	5799	35557	SIPO	GH	28252244
776797	2649	1995-07-13	VYDAJ	PREVOD NA UCET	5799	36702	SIPO	GH	28252244
776798	2649	1995-08-13	VYDAJ	PREVOD NA UCET	5799	34874	SIPO	GH	28252244
776799	2649	1995-09-13	VYDAJ	PREVOD NA UCET	5799	38121	SIPO	GH	28252244
776800	2649	1995-10-13	VYDAJ	PREVOD NA UCET	5799	37839	SIPO	GH	28252244
776801	2649	1995-11-13	VYDAJ	PREVOD NA UCET	5799	37460	SIPO	GH	28252244
776802	2649	1995-12-13	VYDAJ	PREVOD NA UCET	5799	46789	SIPO	GH	28252244
776803	2649	1996-01-13	VYDAJ	PREVOD NA UCET	5799	38034	SIPO	GH	28252244
776804	2649	1996-02-13	VYDAJ	PREVOD NA UCET	5799	36250	SIPO	GH	28252244
776805	2649	1996-03-13	VYDAJ	PREVOD NA UCET	5799	36959	SIPO	GH	28252244
776806	2649	1996-04-13	VYDAJ	PREVOD NA UCET	5799	40324	SIPO	GH	28252244
776807	2649	1996-05-13	VYDAJ	PREVOD NA UCET	5799	46454	SIPO	GH	28252244
776808	2649	1996-06-13	VYDAJ	PREVOD NA UCET	5799	55520	SIPO	GH	28252244
776809	2649	1996-07-13	VYDAJ	PREVOD NA UCET	5799	49462	SIPO	GH	28252244
776810	2649	1996-08-13	VYDAJ	PREVOD NA UCET	5799	53327	SIPO	GH	28252244
776811	2649	1996-09-13	VYDAJ	PREVOD NA UCET	5799	54648	SIPO	GH	28252244
776812	2649	1996-10-13	VYDAJ	PREVOD NA UCET	5799	55233	SIPO	GH	28252244
776813	2649	1996-11-13	VYDAJ	PREVOD NA UCET	5799	59022	SIPO	GH	28252244
776814	2649	1996-12-13	VYDAJ	PREVOD NA UCET	5799	66237	SIPO	GH	28252244
776815	2649	1997-01-13	VYDAJ	PREVOD NA UCET	5799	60558	SIPO	GH	28252244
776816	2649	1997-02-13	VYDAJ	PREVOD NA UCET	5799	55181	SIPO	GH	28252244
776817	2649	1997-03-13	VYDAJ	PREVOD NA UCET	5799	58468	SIPO	GH	28252244
776818	2649	1997-04-13	VYDAJ	PREVOD NA UCET	5799	56046	SIPO	GH	28252244
776819	2649	1997-05-13	VYDAJ	PREVOD NA UCET	5799	58034	SIPO	GH	28252244
776820	2649	1997-06-13	VYDAJ	PREVOD NA UCET	5799	24547	SIPO	GH	28252244
776821	2649	1997-07-13	VYDAJ	PREVOD NA UCET	5799	45189	SIPO	GH	28252244
776822	2649	1997-08-13	VYDAJ	PREVOD NA UCET	5799	53143	SIPO	GH	28252244
776823	2649	1997-09-13	VYDAJ	PREVOD NA UCET	5799	50738	SIPO	GH	28252244
776824	2649	1997-10-13	VYDAJ	PREVOD NA UCET	5799	58217	SIPO	GH	28252244
776825	2649	1997-11-13	VYDAJ	PREVOD NA UCET	5799	62317	SIPO	GH	28252244
776826	2649	1997-12-13	VYDAJ	PREVOD NA UCET	5799	58511	SIPO	GH	28252244
776827	2649	1998-01-13	VYDAJ	PREVOD NA UCET	5799	59663	SIPO	GH	28252244
776828	2649	1998-02-13	VYDAJ	PREVOD NA UCET	5799	56157	SIPO	GH	28252244
776829	2649	1998-03-13	VYDAJ	PREVOD NA UCET	5799	59648	SIPO	GH	28252244
776830	2649	1998-04-13	VYDAJ	PREVOD NA UCET	5799	62150	SIPO	GH	28252244
776831	2649	1998-05-13	VYDAJ	PREVOD NA UCET	5799	60553	SIPO	GH	28252244
776832	2649	1998-06-13	VYDAJ	PREVOD NA UCET	5799	32876	SIPO	GH	28252244
776833	2649	1998-07-13	VYDAJ	PREVOD NA UCET	5799	51039	SIPO	GH	28252244
776834	2649	1998-08-13	VYDAJ	PREVOD NA UCET	5799	63022	SIPO	GH	28252244
776835	2649	1998-09-13	VYDAJ	PREVOD NA UCET	5799	61877	SIPO	GH	28252244
776836	2649	1998-10-13	VYDAJ	PREVOD NA UCET	5799	60035	SIPO	GH	28252244
776837	2649	1998-11-13	VYDAJ	PREVOD NA UCET	5799	64844	SIPO	GH	28252244
776838	2649	1998-12-13	VYDAJ	PREVOD NA UCET	5799	68782	SIPO	GH	28252244
776852	2649	1994-02-07	VYDAJ	PREVOD NA UCET	320	21025	 	QR	38579416
776853	2649	1994-03-07	VYDAJ	PREVOD NA UCET	320	22193	 	QR	38579416
776854	2649	1994-04-07	VYDAJ	PREVOD NA UCET	320	25398	 	QR	38579416
776855	2649	1994-05-07	VYDAJ	PREVOD NA UCET	320	25781	 	QR	38579416
776856	2649	1994-06-07	VYDAJ	PREVOD NA UCET	320	26570	 	QR	38579416
776857	2649	1994-07-07	VYDAJ	PREVOD NA UCET	320	30991	 	QR	38579416
776858	2649	1994-08-07	VYDAJ	PREVOD NA UCET	320	28282	 	QR	38579416
776859	2649	1994-09-07	VYDAJ	PREVOD NA UCET	320	26682	 	QR	38579416
776860	2649	1994-10-07	VYDAJ	PREVOD NA UCET	320	27276	 	QR	38579416
776861	2649	1994-11-07	VYDAJ	PREVOD NA UCET	320	24413	 	QR	38579416
776862	2649	1994-12-07	VYDAJ	PREVOD NA UCET	320	26050	 	QR	38579416
776863	2649	1995-01-07	VYDAJ	PREVOD NA UCET	320	30968	 	QR	38579416
776864	2649	1995-02-07	VYDAJ	PREVOD NA UCET	320	23945	 	QR	38579416
776865	2649	1995-03-07	VYDAJ	PREVOD NA UCET	320	28182	 	QR	38579416
776866	2649	1995-04-07	VYDAJ	PREVOD NA UCET	320	27376	 	QR	38579416
776867	2649	1995-05-07	VYDAJ	PREVOD NA UCET	320	29872	 	QR	38579416
776868	2649	1995-06-07	VYDAJ	PREVOD NA UCET	320	28475	 	QR	38579416
776869	2649	1995-07-07	VYDAJ	PREVOD NA UCET	320	32074	 	QR	38579416
776870	2649	1995-08-07	VYDAJ	PREVOD NA UCET	320	30246	 	QR	38579416
776871	2649	1995-09-07	VYDAJ	PREVOD NA UCET	320	33493	 	QR	38579416
776872	2649	1995-10-07	VYDAJ	PREVOD NA UCET	320	37411	 	QR	38579416
776873	2649	1995-11-07	VYDAJ	PREVOD NA UCET	320	32832	 	QR	38579416
776874	2649	1995-12-07	VYDAJ	PREVOD NA UCET	320	36947	 	QR	38579416
776875	2649	1996-01-07	VYDAJ	PREVOD NA UCET	320	37606	 	QR	38579416
776876	2649	1996-02-07	VYDAJ	PREVOD NA UCET	320	31622	 	QR	38579416
776877	2649	1996-03-07	VYDAJ	PREVOD NA UCET	320	32331	 	QR	38579416
776878	2649	1996-04-07	VYDAJ	PREVOD NA UCET	320	36536	 	QR	38579416
776879	2649	1996-05-07	VYDAJ	PREVOD NA UCET	320	41826	 	QR	38579416
776880	2649	1996-06-07	VYDAJ	PREVOD NA UCET	320	45678	 	QR	38579416
776881	2649	1996-07-07	VYDAJ	PREVOD NA UCET	320	44834	 	QR	38579416
776882	2649	1996-08-07	VYDAJ	PREVOD NA UCET	320	48699	 	QR	38579416
776883	2649	1996-09-07	VYDAJ	PREVOD NA UCET	320	52180	 	QR	38579416
776884	2649	1996-10-07	VYDAJ	PREVOD NA UCET	320	50605	 	QR	38579416
776885	2649	1996-11-07	VYDAJ	PREVOD NA UCET	320	54394	 	QR	38579416
776886	2649	1996-12-07	VYDAJ	PREVOD NA UCET	320	56395	 	QR	38579416
776887	2649	1997-01-07	VYDAJ	PREVOD NA UCET	320	55930	 	QR	38579416
776888	2649	1997-02-07	VYDAJ	PREVOD NA UCET	320	50553	 	QR	38579416
776889	2649	1997-03-07	VYDAJ	PREVOD NA UCET	320	53840	 	QR	38579416
776890	2649	1997-04-07	VYDAJ	PREVOD NA UCET	320	51418	 	QR	38579416
776891	2649	1997-05-07	VYDAJ	PREVOD NA UCET	320	53406	 	QR	38579416
776892	2649	1997-06-07	VYDAJ	PREVOD NA UCET	320	57106	 	QR	38579416
776893	2649	1997-07-07	VYDAJ	PREVOD NA UCET	320	40561	 	QR	38579416
776894	2649	1997-08-07	VYDAJ	PREVOD NA UCET	320	48515	 	QR	38579416
776895	2649	1997-09-07	VYDAJ	PREVOD NA UCET	320	46110	 	QR	38579416
776896	2649	1997-10-07	VYDAJ	PREVOD NA UCET	320	53589	 	QR	38579416
776897	2649	1997-11-07	VYDAJ	PREVOD NA UCET	320	57689	 	QR	38579416
776898	2649	1997-12-07	VYDAJ	PREVOD NA UCET	320	48669	 	QR	38579416
776899	2649	1998-01-07	VYDAJ	PREVOD NA UCET	320	55035	 	QR	38579416
776900	2649	1998-02-07	VYDAJ	PREVOD NA UCET	320	51529	 	QR	38579416
776901	2649	1998-03-07	VYDAJ	PREVOD NA UCET	320	55020	 	QR	38579416
776902	2649	1998-04-07	VYDAJ	PREVOD NA UCET	320	57522	 	QR	38579416
776903	2649	1998-05-07	VYDAJ	PREVOD NA UCET	320	55925	 	QR	38579416
776904	2649	1998-06-07	VYDAJ	PREVOD NA UCET	320	59834	 	QR	38579416
776905	2649	1998-07-07	VYDAJ	PREVOD NA UCET	320	46411	 	QR	38579416
776906	2649	1998-08-07	VYDAJ	PREVOD NA UCET	320	56194	 	QR	38579416
776907	2649	1998-09-07	VYDAJ	PREVOD NA UCET	320	58149	 	QR	38579416
776908	2649	1998-10-07	VYDAJ	PREVOD NA UCET	320	56407	 	QR	38579416
776909	2649	1998-11-07	VYDAJ	PREVOD NA UCET	320	59116	 	QR	38579416
776910	2649	1998-12-07	VYDAJ	PREVOD NA UCET	320	63940	 	QR	38579416
776924	2649	1994-02-06	VYDAJ	PREVOD NA UCET	177	21345	POJISTNE	ST	86506151
776925	2649	1994-03-06	VYDAJ	PREVOD NA UCET	177	22513	POJISTNE	ST	86506151
776926	2649	1994-04-06	VYDAJ	PREVOD NA UCET	177	25718	POJISTNE	ST	86506151
776927	2649	1994-05-06	VYDAJ	PREVOD NA UCET	177	26101	POJISTNE	ST	86506151
776928	2649	1994-06-06	VYDAJ	PREVOD NA UCET	177	26890	POJISTNE	ST	86506151
776929	2649	1994-07-06	VYDAJ	PREVOD NA UCET	177	31311	POJISTNE	ST	86506151
776930	2649	1994-08-06	VYDAJ	PREVOD NA UCET	177	28602	POJISTNE	ST	86506151
776931	2649	1994-09-06	VYDAJ	PREVOD NA UCET	177	27002	POJISTNE	ST	86506151
776932	2649	1994-10-06	VYDAJ	PREVOD NA UCET	177	27596	POJISTNE	ST	86506151
776933	2649	1994-11-06	VYDAJ	PREVOD NA UCET	177	24733	POJISTNE	ST	86506151
776934	2649	1994-12-06	VYDAJ	PREVOD NA UCET	177	26370	POJISTNE	ST	86506151
776935	2649	1995-01-06	VYDAJ	PREVOD NA UCET	177	31288	POJISTNE	ST	86506151
776936	2649	1995-02-06	VYDAJ	PREVOD NA UCET	177	24265	POJISTNE	ST	86506151
776937	2649	1995-03-06	VYDAJ	PREVOD NA UCET	177	28502	POJISTNE	ST	86506151
776938	2649	1995-04-06	VYDAJ	PREVOD NA UCET	177	27696	POJISTNE	ST	86506151
776939	2649	1995-05-06	VYDAJ	PREVOD NA UCET	177	30192	POJISTNE	ST	86506151
776940	2649	1995-06-06	VYDAJ	PREVOD NA UCET	177	28795	POJISTNE	ST	86506151
776941	2649	1995-07-06	VYDAJ	PREVOD NA UCET	177	32394	POJISTNE	ST	86506151
776942	2649	1995-08-06	VYDAJ	PREVOD NA UCET	177	30566	POJISTNE	ST	86506151
776943	2649	1995-09-06	VYDAJ	PREVOD NA UCET	177	33813	POJISTNE	ST	86506151
776944	2649	1995-10-06	VYDAJ	PREVOD NA UCET	177	37731	POJISTNE	ST	86506151
776945	2649	1995-11-06	VYDAJ	PREVOD NA UCET	177	33152	POJISTNE	ST	86506151
776946	2649	1995-12-06	VYDAJ	PREVOD NA UCET	177	37267	POJISTNE	ST	86506151
776947	2649	1996-01-06	VYDAJ	PREVOD NA UCET	177	37926	POJISTNE	ST	86506151
776948	2649	1996-02-06	VYDAJ	PREVOD NA UCET	177	31942	POJISTNE	ST	86506151
776949	2649	1996-03-06	VYDAJ	PREVOD NA UCET	177	32651	POJISTNE	ST	86506151
776950	2649	1996-04-06	VYDAJ	PREVOD NA UCET	177	36856	POJISTNE	ST	86506151
776951	2649	1996-05-06	VYDAJ	PREVOD NA UCET	177	42146	POJISTNE	ST	86506151
776952	2649	1996-06-06	VYDAJ	PREVOD NA UCET	177	45998	POJISTNE	ST	86506151
776953	2649	1996-07-06	VYDAJ	PREVOD NA UCET	177	45154	POJISTNE	ST	86506151
776954	2649	1996-08-06	VYDAJ	PREVOD NA UCET	177	49019	POJISTNE	ST	86506151
776955	2649	1996-09-06	VYDAJ	PREVOD NA UCET	177	52500	POJISTNE	ST	86506151
776956	2649	1996-10-06	VYDAJ	PREVOD NA UCET	177	50925	POJISTNE	ST	86506151
776957	2649	1996-11-06	VYDAJ	PREVOD NA UCET	177	54714	POJISTNE	ST	86506151
776958	2649	1996-12-06	VYDAJ	PREVOD NA UCET	177	56715	POJISTNE	ST	86506151
776959	2649	1997-01-06	VYDAJ	PREVOD NA UCET	177	61050	POJISTNE	ST	86506151
776960	2649	1997-02-06	VYDAJ	PREVOD NA UCET	177	50873	POJISTNE	ST	86506151
776961	2649	1997-03-06	VYDAJ	PREVOD NA UCET	177	54160	POJISTNE	ST	86506151
776962	2649	1997-04-06	VYDAJ	PREVOD NA UCET	177	51738	POJISTNE	ST	86506151
776963	2649	1997-05-06	VYDAJ	PREVOD NA UCET	177	53726	POJISTNE	ST	86506151
776964	2649	1997-06-06	VYDAJ	PREVOD NA UCET	177	57426	POJISTNE	ST	86506151
776965	2649	1997-07-06	VYDAJ	PREVOD NA UCET	177	40881	POJISTNE	ST	86506151
776966	2649	1997-08-06	VYDAJ	PREVOD NA UCET	177	48835	POJISTNE	ST	86506151
776967	2649	1997-09-06	VYDAJ	PREVOD NA UCET	177	46430	POJISTNE	ST	86506151
776968	2649	1997-10-06	VYDAJ	PREVOD NA UCET	177	53909	POJISTNE	ST	86506151
776969	2649	1997-11-06	VYDAJ	PREVOD NA UCET	177	58009	POJISTNE	ST	86506151
776970	2649	1997-12-06	VYDAJ	PREVOD NA UCET	177	48989	POJISTNE	ST	86506151
776971	2649	1998-01-06	VYDAJ	PREVOD NA UCET	177	55355	POJISTNE	ST	86506151
776972	2649	1998-02-06	VYDAJ	PREVOD NA UCET	177	51849	POJISTNE	ST	86506151
776973	2649	1998-03-06	VYDAJ	PREVOD NA UCET	177	55340	POJISTNE	ST	86506151
776974	2649	1998-04-06	VYDAJ	PREVOD NA UCET	177	57842	POJISTNE	ST	86506151
776975	2649	1998-05-06	VYDAJ	PREVOD NA UCET	177	56245	POJISTNE	ST	86506151
776976	2649	1998-06-06	VYDAJ	PREVOD NA UCET	177	60154	POJISTNE	ST	86506151
776977	2649	1998-07-06	VYDAJ	PREVOD NA UCET	177	46731	POJISTNE	ST	86506151
776978	2649	1998-08-06	VYDAJ	PREVOD NA UCET	177	56514	POJISTNE	ST	86506151
776979	2649	1998-09-06	VYDAJ	PREVOD NA UCET	177	58469	POJISTNE	ST	86506151
776980	2649	1998-10-06	VYDAJ	PREVOD NA UCET	177	56727	POJISTNE	ST	86506151
776981	2649	1998-11-06	VYDAJ	PREVOD NA UCET	177	59436	POJISTNE	ST	86506151
776982	2649	1998-12-06	VYDAJ	PREVOD NA UCET	177	64260	POJISTNE	ST	86506151
776995	2649	1994-01-14	VYDAJ	PREVOD NA UCET	655	38620	 	AB	33442980
776996	2649	1994-02-14	VYDAJ	PREVOD NA UCET	655	24998	 	AB	33442980
776997	2649	1994-03-14	VYDAJ	PREVOD NA UCET	655	26166	 	AB	33442980
776998	2649	1994-04-14	VYDAJ	PREVOD NA UCET	655	29371	 	AB	33442980
776999	2649	1994-05-14	VYDAJ	PREVOD NA UCET	655	29754	 	AB	33442980
777000	2649	1994-06-14	VYDAJ	PREVOD NA UCET	655	35756	 	AB	33442980
777001	2649	1994-07-14	VYDAJ	PREVOD NA UCET	655	34964	 	AB	33442980
777002	2649	1994-08-14	VYDAJ	PREVOD NA UCET	655	32255	 	AB	33442980
777003	2649	1994-09-14	VYDAJ	PREVOD NA UCET	655	30655	 	AB	33442980
777004	2649	1994-10-14	VYDAJ	PREVOD NA UCET	655	31249	 	AB	33442980
777005	2649	1994-11-14	VYDAJ	PREVOD NA UCET	655	28386	 	AB	33442980
777006	2649	1994-12-14	VYDAJ	PREVOD NA UCET	655	35237	 	AB	33442980
777007	2649	1995-01-14	VYDAJ	PREVOD NA UCET	655	24981	 	AB	33442980
777008	2649	1995-02-14	VYDAJ	PREVOD NA UCET	655	27918	 	AB	33442980
777009	2649	1995-03-14	VYDAJ	PREVOD NA UCET	655	32155	 	AB	33442980
777010	2649	1995-04-14	VYDAJ	PREVOD NA UCET	655	31349	 	AB	33442980
777011	2649	1995-05-14	VYDAJ	PREVOD NA UCET	655	33845	 	AB	33442980
777012	2649	1995-06-14	VYDAJ	PREVOD NA UCET	655	34902	 	AB	33442980
777013	2649	1995-07-14	VYDAJ	PREVOD NA UCET	655	36047	 	AB	33442980
777014	2649	1995-08-14	VYDAJ	PREVOD NA UCET	655	34219	 	AB	33442980
777015	2649	1995-09-14	VYDAJ	PREVOD NA UCET	655	37466	 	AB	33442980
777016	2649	1995-10-14	VYDAJ	PREVOD NA UCET	655	37184	 	AB	33442980
777017	2649	1995-11-14	VYDAJ	PREVOD NA UCET	655	36805	 	AB	33442980
777018	2649	1995-12-14	VYDAJ	PREVOD NA UCET	655	46134	 	AB	33442980
777019	2649	1996-01-14	VYDAJ	PREVOD NA UCET	655	37379	 	AB	33442980
777020	2649	1996-02-14	VYDAJ	PREVOD NA UCET	655	35595	 	AB	33442980
777021	2649	1996-03-14	VYDAJ	PREVOD NA UCET	655	36304	 	AB	33442980
777022	2649	1996-04-14	VYDAJ	PREVOD NA UCET	655	39669	 	AB	33442980
777023	2649	1996-05-14	VYDAJ	PREVOD NA UCET	655	45799	 	AB	33442980
777024	2649	1996-06-14	VYDAJ	PREVOD NA UCET	655	54865	 	AB	33442980
777025	2649	1996-07-14	VYDAJ	PREVOD NA UCET	655	48807	 	AB	33442980
777026	2649	1996-08-14	VYDAJ	PREVOD NA UCET	655	52672	 	AB	33442980
777027	2649	1996-09-14	VYDAJ	PREVOD NA UCET	655	53993	 	AB	33442980
777028	2649	1996-10-14	VYDAJ	PREVOD NA UCET	655	54578	 	AB	33442980
777029	2649	1996-11-14	VYDAJ	PREVOD NA UCET	655	58367	 	AB	33442980
777030	2649	1996-12-14	VYDAJ	PREVOD NA UCET	655	65582	 	AB	33442980
777031	2649	1997-01-14	VYDAJ	PREVOD NA UCET	655	59903	 	AB	33442980
777032	2649	1997-02-14	VYDAJ	PREVOD NA UCET	655	54526	 	AB	33442980
777033	2649	1997-03-14	VYDAJ	PREVOD NA UCET	655	57813	 	AB	33442980
777034	2649	1997-04-14	VYDAJ	PREVOD NA UCET	655	55391	 	AB	33442980
777035	2649	1997-05-14	VYDAJ	PREVOD NA UCET	655	57379	 	AB	33442980
777036	2649	1997-06-14	VYDAJ	PREVOD NA UCET	655	23892	 	AB	33442980
777037	2649	1997-07-14	VYDAJ	PREVOD NA UCET	655	44534	 	AB	33442980
777038	2649	1997-08-14	VYDAJ	PREVOD NA UCET	655	52488	 	AB	33442980
777039	2649	1997-09-14	VYDAJ	PREVOD NA UCET	655	50083	 	AB	33442980
777040	2649	1997-10-14	VYDAJ	PREVOD NA UCET	655	57562	 	AB	33442980
777041	2649	1997-11-14	VYDAJ	PREVOD NA UCET	655	61662	 	AB	33442980
777042	2649	1997-12-14	VYDAJ	PREVOD NA UCET	655	57856	 	AB	33442980
777043	2649	1998-01-14	VYDAJ	PREVOD NA UCET	655	56008	 	AB	33442980
777044	2649	1998-02-14	VYDAJ	PREVOD NA UCET	655	55502	 	AB	33442980
777045	2649	1998-03-14	VYDAJ	PREVOD NA UCET	655	58993	 	AB	33442980
777046	2649	1998-04-14	VYDAJ	PREVOD NA UCET	655	61495	 	AB	33442980
777047	2649	1998-05-14	VYDAJ	PREVOD NA UCET	655	59898	 	AB	33442980
777048	2649	1998-06-14	VYDAJ	PREVOD NA UCET	655	46721	 	AB	33442980
777049	2649	1998-07-14	VYDAJ	PREVOD NA UCET	655	56484	 	AB	33442980
777050	2649	1998-08-14	VYDAJ	PREVOD NA UCET	655	62367	 	AB	33442980
777051	2649	1998-09-14	VYDAJ	PREVOD NA UCET	655	61222	 	AB	33442980
777052	2649	1998-10-14	VYDAJ	PREVOD NA UCET	655	59380	 	AB	33442980
777053	2649	1998-11-14	VYDAJ	PREVOD NA UCET	655	64189	 	AB	33442980
777054	2649	1998-12-14	VYDAJ	PREVOD NA UCET	655	68127	 	AB	33442980
777058	2649	1996-06-17	VYDAJ	VYBER	8320	42345	\N	\N	\N
777059	2649	1997-06-11	VYDAJ	VYBER	42400	30346	\N	\N	\N
777060	2649	1998-06-09	VYDAJ	VYBER	36800	38675	\N	\N	\N
777067	2649	1994-01-28	VYDAJ	VYBER	3000	26260	\N	\N	\N
777069	2649	1994-01-25	VYDAJ	VYBER	3120	32380	\N	\N	\N
777070	2649	1994-01-26	VYDAJ	VYBER	3120	29260	\N	\N	\N
777071	2649	1994-01-30	VYDAJ	VYBER	1920	24340	\N	\N	\N
777072	2649	1994-01-21	VYDAJ	VYBER	3120	35500	\N	\N	\N
777073	2649	1995-01-29	VYDAJ	VYBER	2760	19941	\N	\N	\N
777074	2649	1995-01-17	VYDAJ	VYBER	2280	22701	\N	\N	\N
777075	2649	1995-01-09	VYDAJ	VYBER	3240	38155	\N	\N	\N
777076	2649	1995-01-12	VYDAJ	VYBER	1560	34435	\N	\N	\N
777077	2649	1995-01-10	VYDAJ	VYBER	2160	35995	\N	\N	\N
777078	2649	1995-01-13	VYDAJ	VYBER	3000	31435	\N	\N	\N
777079	2649	1996-01-09	VYDAJ	VYBER	1200	46833	\N	\N	\N
777080	2649	1996-01-27	VYDAJ	VYBER	1080	31979	\N	\N	\N
777081	2649	1996-01-20	VYDAJ	VYBER	2040	31859	\N	\N	\N
777082	2649	1996-01-02	VYDAJ	VYBER	3000	38103	\N	\N	\N
777083	2649	1996-01-20	VYDAJ	VYBER	3480	33899	\N	\N	\N
777084	2649	1996-01-10	VYDAJ	VYBER	3000	43833	\N	\N	\N
777085	2649	1997-01-06	VYDAJ	VYBER	2640	56250	\N	\N	\N
777086	2649	1997-01-22	VYDAJ	VYBER	1560	54543	\N	\N	\N
777087	2649	1997-01-25	VYDAJ	VYBER	3000	51543	\N	\N	\N
777088	2649	1997-01-21	VYDAJ	VYBER	1800	56103	\N	\N	\N
777089	2649	1997-01-06	VYDAJ	VYBER	2160	58890	\N	\N	\N
777090	2649	1997-01-26	VYDAJ	VYBER	720	50823	\N	\N	\N
777091	2649	1998-01-16	VYDAJ	VYBER	840	55168	\N	\N	\N
777092	2649	1998-01-13	VYDAJ	VYBER	1560	58103	\N	\N	\N
777093	2649	1998-01-14	VYDAJ	VYBER	1440	56663	\N	\N	\N
777094	2649	1998-01-16	VYDAJ	VYBER	840	54328	\N	\N	\N
777095	2649	1998-01-06	VYDAJ	VYBER	840	55532	\N	\N	\N
777096	2649	1998-01-26	VYDAJ	VYBER	2520	51808	\N	\N	\N
777098	2649	1994-02-27	VYDAJ	VYBER	2400	22598	\N	\N	\N
777099	2649	1994-11-24	VYDAJ	VYBER	2040	26346	\N	\N	\N
777100	2649	1994-08-04	VYDAJ	VYBER	1320	28779	\N	\N	\N
777101	2649	1994-03-18	VYDAJ	VYBER	3360	22806	\N	\N	\N
777102	2649	1994-10-18	VYDAJ	VYBER	5160	22609	\N	\N	\N
777103	2649	1994-10-17	VYDAJ	VYBER	3480	27769	\N	\N	\N
777104	2649	1994-02-01	VYDAJ	VYBER	4560	19922	\N	\N	\N
777105	2649	1995-06-24	VYDAJ	VYBER	2160	32742	\N	\N	\N
777106	2649	1995-06-13	VYDAJ	VYBER	2760	41356	\N	\N	\N
777107	2649	1995-08-01	VYDAJ	VYBER	4440	30743	\N	\N	\N
777108	2649	1995-10-10	VYDAJ	VYBER	4200	43638	\N	\N	\N
777109	2649	1995-08-27	VYDAJ	VYBER	2160	32059	\N	\N	\N
777110	2649	1995-02-25	VYDAJ	VYBER	2640	25278	\N	\N	\N
777111	2649	1995-10-29	VYDAJ	VYBER	5400	33184	\N	\N	\N
777112	2649	1996-05-18	VYDAJ	VYBER	600	45199	\N	\N	\N
777113	2649	1996-09-11	VYDAJ	VYBER	2160	60447	\N	\N	\N
777114	2649	1996-06-16	VYDAJ	VYBER	4200	50665	\N	\N	\N
777115	2649	1996-02-26	VYDAJ	VYBER	3000	32695	\N	\N	\N
777116	2649	1996-03-14	VYDAJ	VYBER	4800	31504	\N	\N	\N
777117	2649	1996-12-17	VYDAJ	VYBER	1800	63782	\N	\N	\N
777118	2649	1996-04-10	VYDAJ	VYBER	840	46123	\N	\N	\N
777119	2649	1997-08-31	VYDAJ	VYBER	4080	46607	\N	\N	\N
777120	2649	1997-11-19	VYDAJ	VYBER	3000	54462	\N	\N	\N
777121	2649	1997-03-30	VYDAJ	VYBER	4320	51693	\N	\N	\N
777122	2649	1997-11-27	VYDAJ	VYBER	5520	48942	\N	\N	\N
777123	2649	1998-10-02	VYDAJ	VYBER	4560	56904	\N	\N	\N
777124	2649	1998-09-02	VYDAJ	VYBER	3960	58646	\N	\N	\N
777138	2649	1994-01-31	VYDAJ	VYBER	15	24482	SLUZBY	\N	\N
777139	2649	1994-02-28	VYDAJ	VYBER	15	22690	SLUZBY	\N	\N
777140	2649	1994-03-31	VYDAJ	VYBER	15	22895	SLUZBY	\N	\N
777141	2649	1994-04-30	VYDAJ	VYBER	15	29478	SLUZBY	\N	\N
777142	2649	1994-05-31	VYDAJ	VYBER	15	29867	SLUZBY	\N	\N
777143	2649	1994-06-30	VYDAJ	VYBER	15	35888	SLUZBY	\N	\N
777144	2649	1994-07-31	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
777145	2649	1994-08-31	VYDAJ	VYBER	15	32379	SLUZBY	\N	\N
777146	2649	1994-09-30	VYDAJ	VYBER	15	30773	SLUZBY	\N	\N
777147	2649	1994-10-31	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
777148	2649	1994-11-30	VYDAJ	VYBER	15	26447	SLUZBY	\N	\N
777149	2649	1994-12-31	VYDAJ	VYBER	15	35365	SLUZBY	\N	\N
777150	2649	1995-01-31	VYDAJ	VYBER	15	24442	SLUZBY	\N	\N
777151	2649	1995-02-28	VYDAJ	VYBER	15	25379	SLUZBY	\N	\N
777152	2649	1995-03-31	VYDAJ	VYBER	15	32273	SLUZBY	\N	\N
777153	2649	1995-04-30	VYDAJ	VYBER	15	31469	SLUZBY	\N	\N
777154	2649	1995-05-31	VYDAJ	VYBER	15	33972	SLUZBY	\N	\N
777155	2649	1995-06-30	VYDAJ	VYBER	15	32571	SLUZBY	\N	\N
777156	2649	1995-07-31	VYDAJ	VYBER	15	35183	SLUZBY	\N	\N
777157	2649	1995-08-31	VYDAJ	VYBER	15	33990	SLUZBY	\N	\N
777158	2649	1995-09-30	VYDAJ	VYBER	15	37908	SLUZBY	\N	\N
777159	2649	1995-10-31	VYDAJ	VYBER	15	33329	SLUZBY	\N	\N
777160	2649	1995-11-30	VYDAJ	VYBER	15	37444	SLUZBY	\N	\N
777161	2649	1995-12-31	VYDAJ	VYBER	15	41103	SLUZBY	\N	\N
777162	2649	1996-01-31	VYDAJ	VYBER	15	32119	SLUZBY	\N	\N
777163	2649	1996-02-29	VYDAJ	VYBER	15	32828	SLUZBY	\N	\N
777164	2649	1996-03-31	VYDAJ	VYBER	15	37033	SLUZBY	\N	\N
777165	2649	1996-04-30	VYDAJ	VYBER	15	42323	SLUZBY	\N	\N
777166	2649	1996-05-31	VYDAJ	VYBER	15	46175	SLUZBY	\N	\N
777167	2649	1996-06-30	VYDAJ	VYBER	15	45331	SLUZBY	\N	\N
777168	2649	1996-07-31	VYDAJ	VYBER	15	49196	SLUZBY	\N	\N
777169	2649	1996-08-31	VYDAJ	VYBER	15	52677	SLUZBY	\N	\N
777170	2649	1996-09-30	VYDAJ	VYBER	15	51102	SLUZBY	\N	\N
777171	2649	1996-10-31	VYDAJ	VYBER	15	54891	SLUZBY	\N	\N
777172	2649	1996-11-30	VYDAJ	VYBER	15	56892	SLUZBY	\N	\N
777173	2649	1996-12-31	VYDAJ	VYBER	15	61227	SLUZBY	\N	\N
777174	2649	1997-01-31	VYDAJ	VYBER	15	51050	SLUZBY	\N	\N
777175	2649	1997-02-28	VYDAJ	VYBER	15	54337	SLUZBY	\N	\N
777176	2649	1997-03-31	VYDAJ	VYBER	15	51915	SLUZBY	\N	\N
777177	2649	1997-04-30	VYDAJ	VYBER	15	53903	SLUZBY	\N	\N
777178	2649	1997-05-31	VYDAJ	VYBER	15	57603	SLUZBY	\N	\N
777179	2649	1997-06-30	VYDAJ	VYBER	15	41058	SLUZBY	\N	\N
777180	2649	1997-07-31	VYDAJ	VYBER	15	49012	SLUZBY	\N	\N
777181	2649	1997-08-31	VYDAJ	VYBER	15	50687	SLUZBY	\N	\N
777182	2649	1997-09-30	VYDAJ	VYBER	15	54086	SLUZBY	\N	\N
777183	2649	1997-10-31	VYDAJ	VYBER	15	58186	SLUZBY	\N	\N
777184	2649	1997-11-30	VYDAJ	VYBER	15	49166	SLUZBY	\N	\N
777185	2649	1997-12-31	VYDAJ	VYBER	15	56372	SLUZBY	\N	\N
777186	2649	1998-01-31	VYDAJ	VYBER	15	52026	SLUZBY	\N	\N
777187	2649	1998-02-28	VYDAJ	VYBER	15	55517	SLUZBY	\N	\N
777188	2649	1998-03-31	VYDAJ	VYBER	15	58019	SLUZBY	\N	\N
777189	2649	1998-04-30	VYDAJ	VYBER	15	56422	SLUZBY	\N	\N
777190	2649	1998-05-31	VYDAJ	VYBER	15	60331	SLUZBY	\N	\N
777191	2649	1998-06-30	VYDAJ	VYBER	15	46908	SLUZBY	\N	\N
777192	2649	1998-07-31	VYDAJ	VYBER	15	56691	SLUZBY	\N	\N
777193	2649	1998-08-31	VYDAJ	VYBER	15	62606	SLUZBY	\N	\N
777194	2649	1998-09-30	VYDAJ	VYBER	15	61464	SLUZBY	\N	\N
777195	2649	1998-10-31	VYDAJ	VYBER	15	59613	SLUZBY	\N	\N
777196	2649	1998-11-30	VYDAJ	VYBER	15	64437	SLUZBY	\N	\N
777197	2649	1993-10-08	PRIJEM	VKLAD	2500	24391	\N	\N	\N
777198	2649	1993-11-07	VYDAJ	VYBER	1700	22780	\N	\N	\N
777199	2649	1993-12-07	VYDAJ	VYBER	6100	27237	\N	\N	\N
777200	2649	1994-01-06	VYDAJ	VYBER	8400	34647	\N	\N	\N
777201	2649	1994-02-05	PRIJEM	VKLAD	1600	21522	\N	\N	\N
777202	2649	1994-04-06	PRIJEM	VKLAD	3000	25895	\N	\N	\N
777203	2649	1994-05-06	VYDAJ	VYBER	3200	26278	\N	\N	\N
777204	2649	1994-06-05	VYDAJ	VYBER	2800	27067	\N	\N	\N
777205	2649	1994-07-05	VYDAJ	VYBER	4400	31488	\N	\N	\N
777206	2649	1994-08-04	VYDAJ	VYBER	5000	30099	\N	\N	\N
777207	2649	1994-09-03	VYDAJ	VYBER	5200	27179	\N	\N	\N
777208	2649	1994-10-03	VYDAJ	VYBER	3000	27773	\N	\N	\N
777209	2649	1994-11-02	PRIJEM	VKLAD	2200	24910	\N	\N	\N
777210	2649	1994-12-02	PRIJEM	VKLAD	100	26547	\N	\N	\N
777211	2649	1995-01-01	VYDAJ	VYBER	3900	31465	\N	\N	\N
777212	2649	1995-01-31	PRIJEM	VKLAD	4400	24457	\N	\N	\N
777213	2649	1995-03-02	PRIJEM	VKLAD	3300	28679	\N	\N	\N
777214	2649	1995-04-01	VYDAJ	VYBER	4400	27873	\N	\N	\N
777215	2649	1995-05-01	VYDAJ	VYBER	1100	30369	\N	\N	\N
777216	2649	1995-05-31	VYDAJ	VYBER	5000	28972	\N	\N	\N
777217	2649	1995-06-30	VYDAJ	VYBER	300	32586	\N	\N	\N
777218	2649	1995-07-30	VYDAJ	VYBER	1000	35047	\N	\N	\N
777219	2649	1995-08-29	PRIJEM	VKLAD	1800	33859	\N	\N	\N
777220	2649	1995-09-28	PRIJEM	VKLAD	300	37766	\N	\N	\N
777221	2649	1995-10-28	PRIJEM	VKLAD	1400	38584	\N	\N	\N
777222	2649	1995-11-27	PRIJEM	VKLAD	500	37305	\N	\N	\N
777223	2649	1995-12-27	VYDAJ	VYBER	5200	40934	\N	\N	\N
777224	2649	1996-01-26	PRIJEM	VKLAD	1200	33059	\N	\N	\N
777225	2649	1996-02-25	PRIJEM	VKLAD	100	35695	\N	\N	\N
777226	2649	1996-03-26	PRIJEM	VKLAD	5400	36904	\N	\N	\N
777227	2649	1996-04-25	PRIJEM	VKLAD	2500	42169	\N	\N	\N
777228	2649	1996-05-25	PRIJEM	VKLAD	800	45999	\N	\N	\N
777229	2649	1996-06-24	PRIJEM	VKLAD	2800	45145	\N	\N	\N
777230	2649	1996-07-24	PRIJEM	VKLAD	200	49007	\N	\N	\N
777231	2649	1996-08-23	VYDAJ	VYBER	200	52472	\N	\N	\N
777232	2649	1996-09-22	VYDAJ	VYBER	3100	50893	\N	\N	\N
777233	2649	1996-10-22	PRIJEM	VKLAD	100	54678	\N	\N	\N
777234	2649	1996-11-21	VYDAJ	VYBER	1700	56667	\N	\N	\N
777235	2649	1996-12-21	VYDAJ	VYBER	2800	60982	\N	\N	\N
777236	2649	1997-01-20	VYDAJ	VYBER	2000	57903	\N	\N	\N
777237	2649	1997-02-19	VYDAJ	VYBER	400	54126	\N	\N	\N
777238	2649	1997-03-21	VYDAJ	VYBER	1800	56013	\N	\N	\N
777239	2649	1997-04-20	VYDAJ	VYBER	1700	53691	\N	\N	\N
777240	2649	1997-06-19	PRIJEM	VKLAD	17000	40892	\N	\N	\N
777241	2649	1997-07-19	PRIJEM	VKLAD	4300	48834	\N	\N	\N
777242	2649	1997-08-18	VYDAJ	VYBER	2000	50488	\N	\N	\N
777243	2649	1997-09-17	PRIJEM	VKLAD	3800	53883	\N	\N	\N
777244	2649	1997-10-17	PRIJEM	VKLAD	400	57962	\N	\N	\N
777245	2649	1997-11-16	VYDAJ	VYBER	4200	57462	\N	\N	\N
777246	2649	1997-12-16	VYDAJ	VYBER	1700	56156	\N	\N	\N
777247	2649	1998-02-14	VYDAJ	VYBER	200	55302	\N	\N	\N
777248	2649	1998-03-16	VYDAJ	VYBER	1200	57793	\N	\N	\N
777249	2649	1998-04-15	VYDAJ	VYBER	5300	56195	\N	\N	\N
777250	2649	1998-05-15	PRIJEM	VKLAD	200	60098	\N	\N	\N
777251	2649	1998-06-14	PRIJEM	VKLAD	14500	47376	\N	\N	\N
777252	2649	1998-07-14	PRIJEM	VKLAD	6100	57139	\N	\N	\N
777253	2649	1998-08-13	PRIJEM	VKLAD	2200	68821	\N	\N	\N
777254	2649	1998-09-12	VYDAJ	VYBER	900	67676	\N	\N	\N
777255	2649	1998-10-12	VYDAJ	VYBER	1000	65834	\N	\N	\N
777256	2649	1998-11-11	PRIJEM	VKLAD	1100	70643	\N	\N	\N
777257	2649	1998-12-11	VYDAJ	VYBER	5000	74581	\N	\N	\N
777322	2650	1996-03-26	PRIJEM	VKLAD	800	800	\N	\N	\N
777326	2650	1996-04-14	PRIJEM	VKLAD	17020	17820	\N	\N	\N
777327	2650	1996-05-14	PRIJEM	VKLAD	17020	38558	\N	\N	\N
777328	2650	1996-06-14	PRIJEM	VKLAD	25530	59790	\N	\N	\N
777329	2650	1996-07-14	PRIJEM	VKLAD	17020	62663	\N	\N	\N
777330	2650	1996-08-14	PRIJEM	VKLAD	17020	62772	\N	\N	\N
777331	2650	1996-09-14	PRIJEM	VKLAD	17020	53042	\N	\N	\N
777332	2650	1996-10-14	PRIJEM	VKLAD	17020	54769	\N	\N	\N
777333	2650	1996-11-14	PRIJEM	VKLAD	17020	56203	\N	\N	\N
777334	2650	1996-12-14	PRIJEM	VKLAD	25530	58328	\N	\N	\N
777335	2650	1997-01-14	PRIJEM	VKLAD	17020	48696	\N	\N	\N
777336	2650	1997-02-14	PRIJEM	VKLAD	17020	48704	\N	\N	\N
777337	2650	1997-03-14	PRIJEM	VKLAD	17020	54214	\N	\N	\N
777338	2650	1997-04-14	PRIJEM	VKLAD	17020	51180	\N	\N	\N
777339	2650	1997-05-14	PRIJEM	VKLAD	17020	50037	\N	\N	\N
777340	2650	1997-06-14	PRIJEM	VKLAD	25530	65572	\N	\N	\N
777341	2650	1997-07-14	PRIJEM	VKLAD	17020	57396	\N	\N	\N
777342	2650	1997-08-14	PRIJEM	VKLAD	17020	56933	\N	\N	\N
777343	2650	1997-09-14	PRIJEM	VKLAD	17020	54342	\N	\N	\N
777344	2650	1997-10-14	PRIJEM	VKLAD	17020	56267	\N	\N	\N
777345	2650	1997-11-14	PRIJEM	VKLAD	17020	56998	\N	\N	\N
777346	2650	1997-12-14	PRIJEM	VKLAD	25530	63116	\N	\N	\N
777347	2650	1998-01-14	PRIJEM	VKLAD	17020	62658	\N	\N	\N
777348	2650	1998-02-14	PRIJEM	VKLAD	17020	42491	\N	\N	\N
777349	2650	1998-03-14	PRIJEM	VKLAD	17020	54318	\N	\N	\N
777350	2650	1998-04-14	PRIJEM	VKLAD	17020	61751	\N	\N	\N
777351	2650	1998-05-14	PRIJEM	VKLAD	17020	65809	\N	\N	\N
777352	2650	1998-06-14	PRIJEM	VKLAD	25530	74885	\N	\N	\N
777353	2650	1998-07-14	PRIJEM	VKLAD	17020	40233	\N	\N	\N
777354	2650	1998-08-14	PRIJEM	VKLAD	17020	53120	\N	\N	\N
777355	2650	1998-09-14	PRIJEM	VKLAD	17020	63381	\N	\N	\N
777356	2650	1998-10-14	PRIJEM	VKLAD	17020	68944	\N	\N	\N
777357	2650	1998-11-14	PRIJEM	VKLAD	17020	71258	\N	\N	\N
777358	2650	1998-12-14	PRIJEM	VKLAD	25530	77176	\N	\N	\N
777367	2650	1996-09-10	VYDAJ	PREVOD NA UCET	4563	36022	SIPO	AB	6979340
777368	2650	1996-10-10	VYDAJ	PREVOD NA UCET	4563	37749	SIPO	AB	6979340
777369	2650	1996-11-10	VYDAJ	PREVOD NA UCET	4563	39183	SIPO	AB	6979340
777370	2650	1996-12-10	VYDAJ	PREVOD NA UCET	4563	32798	SIPO	AB	6979340
777371	2650	1997-01-10	VYDAJ	PREVOD NA UCET	4563	34556	SIPO	AB	6979340
777372	2650	1997-02-10	VYDAJ	PREVOD NA UCET	4563	31684	SIPO	AB	6979340
777373	2650	1997-03-10	VYDAJ	PREVOD NA UCET	4563	37194	SIPO	AB	6979340
777374	2650	1997-04-10	VYDAJ	PREVOD NA UCET	4563	34160	SIPO	AB	6979340
777375	2650	1997-05-10	VYDAJ	PREVOD NA UCET	4563	36377	SIPO	AB	6979340
777376	2650	1997-06-10	VYDAJ	PREVOD NA UCET	4563	40042	SIPO	AB	6979340
777377	2650	1997-07-10	VYDAJ	PREVOD NA UCET	4563	40376	SIPO	AB	6979340
777378	2650	1997-08-10	VYDAJ	PREVOD NA UCET	4563	39913	SIPO	AB	6979340
777379	2650	1997-09-10	VYDAJ	PREVOD NA UCET	4563	37322	SIPO	AB	6979340
777380	2650	1997-10-10	VYDAJ	PREVOD NA UCET	4563	39247	SIPO	AB	6979340
777381	2650	1997-11-10	VYDAJ	PREVOD NA UCET	4563	39978	SIPO	AB	6979340
777382	2650	1997-12-10	VYDAJ	PREVOD NA UCET	4563	37586	SIPO	AB	6979340
777383	2650	1998-01-10	VYDAJ	PREVOD NA UCET	4563	45638	SIPO	AB	6979340
777384	2650	1998-02-10	VYDAJ	PREVOD NA UCET	4563	16571	SIPO	AB	6979340
777385	2650	1998-03-10	VYDAJ	PREVOD NA UCET	4563	37298	SIPO	AB	6979340
777386	2650	1998-04-10	VYDAJ	PREVOD NA UCET	4563	44731	SIPO	AB	6979340
777387	2650	1998-05-10	VYDAJ	PREVOD NA UCET	4563	48789	SIPO	AB	6979340
777388	2650	1998-06-10	VYDAJ	PREVOD NA UCET	4563	49355	SIPO	AB	6979340
777389	2650	1998-07-10	VYDAJ	PREVOD NA UCET	4563	23213	SIPO	AB	6979340
777390	2650	1998-08-10	VYDAJ	PREVOD NA UCET	4563	36100	SIPO	AB	6979340
777391	2650	1998-09-10	VYDAJ	PREVOD NA UCET	4563	43461	SIPO	AB	6979340
777392	2650	1998-10-10	VYDAJ	PREVOD NA UCET	4563	57124	SIPO	AB	6979340
777393	2650	1998-11-10	VYDAJ	PREVOD NA UCET	4563	64638	SIPO	AB	6979340
777394	2650	1998-12-10	VYDAJ	PREVOD NA UCET	4563	65046	SIPO	AB	6979340
777397	2650	1998-06-20	VYDAJ	VYBER	27680	27605	\N	\N	\N
777399	2650	1997-01-16	VYDAJ	VYBER	3360	45336	\N	\N	\N
777400	2650	1998-01-28	VYDAJ	VYBER	11200	26118	\N	\N	\N
777401	2650	1996-12-05	VYDAJ	VYBER	4480	38201	\N	\N	\N
777402	2650	1997-12-05	VYDAJ	VYBER	1440	42149	\N	\N	\N
777403	2650	1998-12-08	VYDAJ	VYBER	1920	69609	\N	\N	\N
777410	2650	1997-01-03	VYDAJ	VYBER	1920	41879	\N	\N	\N
777411	2650	1997-01-08	VYDAJ	VYBER	2040	39119	\N	\N	\N
777412	2650	1997-01-18	VYDAJ	VYBER	600	44736	\N	\N	\N
777413	2650	1997-01-11	VYDAJ	VYBER	2880	31676	\N	\N	\N
777414	2650	1997-01-24	VYDAJ	VYBER	3240	36096	\N	\N	\N
777415	2650	1997-01-04	VYDAJ	VYBER	720	41159	\N	\N	\N
777416	2650	1998-01-09	VYDAJ	VYBER	1200	50201	\N	\N	\N
777417	2650	1998-01-21	VYDAJ	VYBER	1800	46438	\N	\N	\N
777418	2650	1998-01-18	VYDAJ	VYBER	3120	48238	\N	\N	\N
777419	2650	1998-01-16	VYDAJ	VYBER	1200	51358	\N	\N	\N
777420	2650	1998-01-26	VYDAJ	VYBER	2760	43678	\N	\N	\N
777421	2650	1998-01-26	VYDAJ	VYBER	2400	41278	\N	\N	\N
777423	2650	1996-12-06	VYDAJ	VYBER	840	37361	\N	\N	\N
777424	2650	1996-08-29	VYDAJ	VYBER	4560	40412	\N	\N	\N
777426	2650	1997-08-17	VYDAJ	VYBER	1920	55013	\N	\N	\N
777427	2650	1997-06-23	VYDAJ	VYBER	2520	44752	\N	\N	\N
777428	2650	1997-11-15	VYDAJ	VYBER	1680	55318	\N	\N	\N
777429	2650	1997-03-28	VYDAJ	VYBER	2760	38554	\N	\N	\N
777430	2650	1997-05-13	VYDAJ	VYBER	3360	33017	\N	\N	\N
777431	2650	1998-02-04	VYDAJ	VYBER	5160	21134	\N	\N	\N
777432	2650	1998-03-06	VYDAJ	VYBER	720	41861	\N	\N	\N
777433	2650	1998-01-27	VYDAJ	VYBER	3960	37318	\N	\N	\N
777434	2650	1998-09-29	VYDAJ	VYBER	600	62781	\N	\N	\N
777435	2650	1998-10-08	VYDAJ	VYBER	1320	61687	\N	\N	\N
777436	2650	1998-09-07	VYDAJ	VYBER	5280	48024	\N	\N	\N
777445	2650	1996-08-31	VYDAJ	VYBER	15	40585	SLUZBY	\N	\N
777446	2650	1996-09-30	VYDAJ	VYBER	15	42312	SLUZBY	\N	\N
777447	2650	1996-10-31	VYDAJ	VYBER	15	43746	SLUZBY	\N	\N
777448	2650	1996-11-30	VYDAJ	VYBER	15	42681	SLUZBY	\N	\N
777449	2650	1996-12-31	VYDAJ	VYBER	15	43799	SLUZBY	\N	\N
777450	2650	1997-01-31	VYDAJ	VYBER	15	36247	SLUZBY	\N	\N
777451	2650	1997-02-28	VYDAJ	VYBER	15	41757	SLUZBY	\N	\N
777452	2650	1997-03-31	VYDAJ	VYBER	15	38723	SLUZBY	\N	\N
777453	2650	1997-04-30	VYDAJ	VYBER	15	40940	SLUZBY	\N	\N
777454	2650	1997-05-31	VYDAJ	VYBER	15	44605	SLUZBY	\N	\N
777455	2650	1997-06-30	VYDAJ	VYBER	15	44939	SLUZBY	\N	\N
777456	2650	1997-07-31	VYDAJ	VYBER	15	44476	SLUZBY	\N	\N
777457	2650	1997-08-31	VYDAJ	VYBER	15	41885	SLUZBY	\N	\N
777458	2650	1997-09-30	VYDAJ	VYBER	15	43810	SLUZBY	\N	\N
777459	2650	1997-10-31	VYDAJ	VYBER	15	44541	SLUZBY	\N	\N
777460	2650	1997-11-30	VYDAJ	VYBER	15	43589	SLUZBY	\N	\N
777461	2650	1997-12-31	VYDAJ	VYBER	15	51401	SLUZBY	\N	\N
777462	2650	1998-01-31	VYDAJ	VYBER	15	26294	SLUZBY	\N	\N
777463	2650	1998-02-28	VYDAJ	VYBER	15	42581	SLUZBY	\N	\N
777464	2650	1998-03-31	VYDAJ	VYBER	15	49294	SLUZBY	\N	\N
777465	2650	1998-04-30	VYDAJ	VYBER	15	53352	SLUZBY	\N	\N
777466	2650	1998-05-31	VYDAJ	VYBER	15	53918	SLUZBY	\N	\N
777467	2650	1998-06-30	VYDAJ	VYBER	15	27776	SLUZBY	\N	\N
777468	2650	1998-07-31	VYDAJ	VYBER	15	40663	SLUZBY	\N	\N
777469	2650	1998-08-31	VYDAJ	VYBER	15	53304	SLUZBY	\N	\N
777470	2650	1998-09-30	VYDAJ	VYBER	15	63007	SLUZBY	\N	\N
777471	2650	1998-10-31	VYDAJ	VYBER	15	69201	SLUZBY	\N	\N
777472	2650	1998-11-30	VYDAJ	VYBER	15	71529	SLUZBY	\N	\N
777473	2650	1996-04-25	PRIJEM	VKLAD	3700	21520	\N	\N	\N
777474	2650	1996-05-25	VYDAJ	VYBER	4400	34158	\N	\N	\N
777475	2650	1996-06-24	VYDAJ	VYBER	14300	45490	\N	\N	\N
777476	2650	1996-07-24	VYDAJ	VYBER	17100	45563	\N	\N	\N
777477	2650	1996-08-23	VYDAJ	VYBER	17800	44972	\N	\N	\N
777478	2650	1996-09-22	VYDAJ	VYBER	10900	42142	\N	\N	\N
777479	2650	1996-10-22	VYDAJ	VYBER	11200	43569	\N	\N	\N
777480	2650	1996-11-21	VYDAJ	VYBER	13700	42503	\N	\N	\N
777481	2650	1996-12-21	VYDAJ	VYBER	14700	43628	\N	\N	\N
777482	2650	1997-01-20	VYDAJ	VYBER	5400	39336	\N	\N	\N
777483	2650	1997-02-19	VYDAJ	VYBER	7100	41604	\N	\N	\N
777484	2650	1997-03-21	VYDAJ	VYBER	12900	41314	\N	\N	\N
777485	2650	1997-04-20	VYDAJ	VYBER	10400	40780	\N	\N	\N
777486	2650	1997-05-20	VYDAJ	VYBER	5600	44437	\N	\N	\N
777487	2650	1997-06-19	VYDAJ	VYBER	18300	47272	\N	\N	\N
777488	2650	1997-07-19	VYDAJ	VYBER	13100	44296	\N	\N	\N
777489	2650	1997-08-18	VYDAJ	VYBER	13300	41713	\N	\N	\N
777490	2650	1997-09-17	VYDAJ	VYBER	10700	43642	\N	\N	\N
777491	2650	1997-10-17	VYDAJ	VYBER	11900	44367	\N	\N	\N
777492	2650	1997-11-16	VYDAJ	VYBER	11900	43418	\N	\N	\N
777493	2650	1997-12-16	VYDAJ	VYBER	11900	51216	\N	\N	\N
777494	2650	1998-01-15	VYDAJ	VYBER	10100	52558	\N	\N	\N
777495	2650	1998-02-14	PRIJEM	VKLAD	8900	25471	\N	\N	\N
777496	2650	1998-03-16	VYDAJ	VYBER	5200	49118	\N	\N	\N
777497	2650	1998-04-15	VYDAJ	VYBER	8600	53151	\N	\N	\N
777498	2650	1998-05-15	VYDAJ	VYBER	12100	53709	\N	\N	\N
777499	2650	1998-06-14	VYDAJ	VYBER	19600	55285	\N	\N	\N
777500	2650	1998-07-14	PRIJEM	VKLAD	300	40533	\N	\N	\N
777501	2650	1998-09-12	PRIJEM	VKLAD	2900	46361	\N	\N	\N
777502	2650	1998-10-12	VYDAJ	VYBER	5200	51924	\N	\N	\N
777503	2650	1998-11-11	VYDAJ	VYBER	10400	54238	\N	\N	\N
777504	2650	1998-12-11	VYDAJ	VYBER	13400	51646	\N	\N	\N
777538	2651	1993-03-21	PRIJEM	VKLAD	200	200	\N	\N	\N
777542	2651	1993-04-12	PRIJEM	PREVOD Z UCTU	35929	36129	\N	EF	13750350
777543	2651	1993-05-12	PRIJEM	PREVOD Z UCTU	35929	65403	\N	EF	13750350
777544	2651	1993-06-12	PRIJEM	PREVOD Z UCTU	53894	98243	\N	EF	13750350
777545	2651	1993-07-12	PRIJEM	PREVOD Z UCTU	35929	98687	\N	EF	13750350
777546	2651	1993-08-12	PRIJEM	PREVOD Z UCTU	35929	95872	\N	EF	13750350
777547	2651	1993-09-12	PRIJEM	PREVOD Z UCTU	35929	84124	\N	EF	13750350
777548	2651	1993-10-12	PRIJEM	PREVOD Z UCTU	35929	61199	\N	EF	13750350
777549	2651	1993-11-12	PRIJEM	PREVOD Z UCTU	35929	56627	\N	EF	13750350
777550	2651	1993-12-12	PRIJEM	PREVOD Z UCTU	53894	85311	\N	EF	13750350
777551	2651	1994-01-12	PRIJEM	PREVOD Z UCTU	35929	45750	\N	EF	13750350
777552	2651	1994-02-12	PRIJEM	PREVOD Z UCTU	35929	48329	\N	EF	13750350
777553	2651	1994-03-12	PRIJEM	PREVOD Z UCTU	35929	64221	\N	EF	13750350
777554	2651	1994-04-12	PRIJEM	PREVOD Z UCTU	35929	60000	\N	EF	13750350
777555	2651	1994-05-12	PRIJEM	PREVOD Z UCTU	35929	46531	\N	EF	13750350
777556	2651	1994-06-12	PRIJEM	PREVOD Z UCTU	53894	67515	\N	EF	13750350
777557	2651	1994-07-12	PRIJEM	PREVOD Z UCTU	35929	60331	\N	EF	13750350
777558	2651	1994-08-12	PRIJEM	PREVOD Z UCTU	35929	48289	\N	EF	13750350
777559	2651	1994-09-12	PRIJEM	PREVOD Z UCTU	35929	57283	\N	EF	13750350
777560	2651	1994-10-12	PRIJEM	PREVOD Z UCTU	35929	55910	\N	EF	13750350
777561	2651	1994-11-12	PRIJEM	PREVOD Z UCTU	35929	64017	\N	EF	13750350
777562	2651	1994-12-12	PRIJEM	PREVOD Z UCTU	53894	96064	\N	EF	13750350
777563	2651	1995-01-12	PRIJEM	PREVOD Z UCTU	35929	84261	\N	EF	13750350
777564	2651	1995-02-12	PRIJEM	PREVOD Z UCTU	35929	65215	\N	EF	13750350
777565	2651	1995-03-12	PRIJEM	PREVOD Z UCTU	35929	78712	\N	EF	13750350
777566	2651	1995-04-12	PRIJEM	PREVOD Z UCTU	35929	83569	\N	EF	13750350
777567	2651	1995-05-12	PRIJEM	PREVOD Z UCTU	35929	69310	\N	EF	13750350
777568	2651	1995-06-12	PRIJEM	PREVOD Z UCTU	53894	79506	\N	EF	13750350
777569	2651	1995-07-12	PRIJEM	PREVOD Z UCTU	35929	80742	\N	EF	13750350
777570	2651	1995-08-12	PRIJEM	PREVOD Z UCTU	35929	65851	\N	EF	13750350
777571	2651	1995-09-12	PRIJEM	PREVOD Z UCTU	35929	70180	\N	EF	13750350
777572	2651	1995-10-12	PRIJEM	PREVOD Z UCTU	35929	74500	\N	EF	13750350
777573	2651	1995-11-12	PRIJEM	PREVOD Z UCTU	35929	58133	\N	EF	13750350
777574	2651	1995-12-12	PRIJEM	PREVOD Z UCTU	53894	76833	\N	EF	13750350
777575	2651	1996-01-12	PRIJEM	PREVOD Z UCTU	35929	56022	\N	EF	13750350
777576	2651	1996-02-12	PRIJEM	PREVOD Z UCTU	35929	61175	\N	EF	13750350
777577	2651	1996-03-12	PRIJEM	PREVOD Z UCTU	35929	65484	\N	EF	13750350
777578	2651	1996-04-12	PRIJEM	PREVOD Z UCTU	35929	60104	\N	EF	13750350
777579	2651	1996-05-12	PRIJEM	PREVOD Z UCTU	35929	62859	\N	EF	13750350
777580	2651	1996-06-12	PRIJEM	PREVOD Z UCTU	53894	90408	\N	EF	13750350
777581	2651	1996-07-12	PRIJEM	PREVOD Z UCTU	35929	73628	\N	EF	13750350
777582	2651	1996-08-12	PRIJEM	PREVOD Z UCTU	35929	73754	\N	EF	13750350
777583	2651	1996-09-12	PRIJEM	PREVOD Z UCTU	35929	73994	\N	EF	13750350
777584	2651	1996-10-12	PRIJEM	PREVOD Z UCTU	35929	74542	\N	EF	13750350
777585	2651	1996-11-12	PRIJEM	PREVOD Z UCTU	35929	76492	\N	EF	13750350
777586	2651	1996-12-12	PRIJEM	PREVOD Z UCTU	53894	88428	\N	EF	13750350
777587	2651	1997-01-12	PRIJEM	PREVOD Z UCTU	35929	71745	\N	EF	13750350
777588	2651	1997-02-12	PRIJEM	PREVOD Z UCTU	35929	57345	\N	EF	13750350
777589	2651	1997-03-12	PRIJEM	PREVOD Z UCTU	35929	57090	\N	EF	13750350
777590	2651	1997-04-12	PRIJEM	PREVOD Z UCTU	35929	65149	\N	EF	13750350
777591	2651	1997-05-12	PRIJEM	PREVOD Z UCTU	35929	71825	\N	EF	13750350
777592	2651	1997-06-12	PRIJEM	PREVOD Z UCTU	53894	88509	\N	EF	13750350
777593	2651	1997-07-12	PRIJEM	PREVOD Z UCTU	35929	64921	\N	EF	13750350
777594	2651	1997-08-12	PRIJEM	PREVOD Z UCTU	35929	68704	\N	EF	13750350
777595	2651	1997-09-12	PRIJEM	PREVOD Z UCTU	35929	58846	\N	EF	13750350
777596	2651	1997-10-12	PRIJEM	PREVOD Z UCTU	35929	53660	\N	EF	13750350
777597	2651	1997-11-12	PRIJEM	PREVOD Z UCTU	35929	62480	\N	EF	13750350
777598	2651	1997-12-12	PRIJEM	PREVOD Z UCTU	53894	83696	\N	EF	13750350
777599	2651	1998-01-12	PRIJEM	PREVOD Z UCTU	35929	54768	\N	EF	13750350
777600	2651	1998-02-12	PRIJEM	PREVOD Z UCTU	35929	53890	\N	EF	13750350
777601	2651	1998-03-12	PRIJEM	PREVOD Z UCTU	35929	59903	\N	EF	13750350
777602	2651	1998-04-12	PRIJEM	PREVOD Z UCTU	35929	53663	\N	EF	13750350
777603	2651	1998-05-12	PRIJEM	PREVOD Z UCTU	35929	56673	\N	EF	13750350
777604	2651	1998-06-12	PRIJEM	PREVOD Z UCTU	53894	66870	\N	EF	13750350
777605	2651	1998-07-12	PRIJEM	PREVOD Z UCTU	35929	63396	\N	EF	13750350
777606	2651	1998-08-12	PRIJEM	PREVOD Z UCTU	35929	58026	\N	EF	13750350
777607	2651	1998-09-12	PRIJEM	PREVOD Z UCTU	35929	53236	\N	EF	13750350
777608	2651	1998-10-12	PRIJEM	PREVOD Z UCTU	35929	48924	\N	EF	13750350
777609	2651	1998-11-12	PRIJEM	PREVOD Z UCTU	35929	74135	\N	EF	13750350
777610	2651	1998-12-12	PRIJEM	PREVOD Z UCTU	53894	75043	\N	EF	13750350
777691	2651	1993-09-10	VYDAJ	PREVOD NA UCET	10862	48195	SIPO	IJ	13021684
777692	2651	1993-10-10	VYDAJ	PREVOD NA UCET	10862	25270	SIPO	IJ	13021684
777693	2651	1993-11-10	VYDAJ	PREVOD NA UCET	10862	20698	SIPO	IJ	13021684
777694	2651	1993-12-10	VYDAJ	PREVOD NA UCET	10862	31417	SIPO	IJ	13021684
777695	2651	1994-01-10	VYDAJ	PREVOD NA UCET	10862	9821	SIPO	IJ	13021684
777696	2651	1994-02-10	VYDAJ	PREVOD NA UCET	10862	12400	SIPO	IJ	13021684
777697	2651	1994-03-10	VYDAJ	PREVOD NA UCET	10862	28292	SIPO	IJ	13021684
777698	2651	1994-04-10	VYDAJ	PREVOD NA UCET	10862	24071	SIPO	IJ	13021684
777699	2651	1994-05-10	VYDAJ	PREVOD NA UCET	10862	10602	SIPO	IJ	13021684
777700	2651	1994-06-10	VYDAJ	PREVOD NA UCET	10862	13621	SIPO	IJ	13021684
777701	2651	1994-07-10	VYDAJ	PREVOD NA UCET	10862	24402	SIPO	IJ	13021684
777702	2651	1994-08-10	VYDAJ	PREVOD NA UCET	10862	12360	SIPO	IJ	13021684
777703	2651	1994-09-10	VYDAJ	PREVOD NA UCET	10862	21354	SIPO	IJ	13021684
777704	2651	1994-10-10	VYDAJ	PREVOD NA UCET	10862	19981	SIPO	IJ	13021684
777705	2651	1994-11-10	VYDAJ	PREVOD NA UCET	10862	29988	SIPO	IJ	13021684
777706	2651	1994-12-10	VYDAJ	PREVOD NA UCET	10862	53370	SIPO	IJ	13021684
777707	2651	1995-01-10	VYDAJ	PREVOD NA UCET	10862	59132	SIPO	IJ	13021684
777708	2651	1995-02-10	VYDAJ	PREVOD NA UCET	10862	29286	SIPO	IJ	13021684
777709	2651	1995-03-10	VYDAJ	PREVOD NA UCET	10862	54583	SIPO	IJ	13021684
777710	2651	1995-04-10	VYDAJ	PREVOD NA UCET	10862	68140	SIPO	IJ	13021684
777711	2651	1995-05-10	VYDAJ	PREVOD NA UCET	10862	33381	SIPO	IJ	13021684
777712	2651	1995-06-10	VYDAJ	PREVOD NA UCET	10862	25612	SIPO	IJ	13021684
777713	2651	1995-07-10	VYDAJ	PREVOD NA UCET	10862	44813	SIPO	IJ	13021684
777714	2651	1995-08-10	VYDAJ	PREVOD NA UCET	10862	29922	SIPO	IJ	13021684
777715	2651	1995-09-10	VYDAJ	PREVOD NA UCET	10862	34251	SIPO	IJ	13021684
777716	2651	1995-10-10	VYDAJ	PREVOD NA UCET	10862	38571	SIPO	IJ	13021684
777717	2651	1995-11-10	VYDAJ	PREVOD NA UCET	10862	22204	SIPO	IJ	13021684
777718	2651	1995-12-10	VYDAJ	PREVOD NA UCET	10862	22939	SIPO	IJ	13021684
777719	2651	1996-01-10	VYDAJ	PREVOD NA UCET	10862	20093	SIPO	IJ	13021684
777720	2651	1996-02-10	VYDAJ	PREVOD NA UCET	10862	25246	SIPO	IJ	13021684
777721	2651	1996-03-10	VYDAJ	PREVOD NA UCET	10862	29555	SIPO	IJ	13021684
777722	2651	1996-04-10	VYDAJ	PREVOD NA UCET	10862	24175	SIPO	IJ	13021684
777723	2651	1996-05-10	VYDAJ	PREVOD NA UCET	10862	26930	SIPO	IJ	13021684
777724	2651	1996-06-10	VYDAJ	PREVOD NA UCET	10862	36514	SIPO	IJ	13021684
777725	2651	1996-07-10	VYDAJ	PREVOD NA UCET	10862	37699	SIPO	IJ	13021684
777726	2651	1996-08-10	VYDAJ	PREVOD NA UCET	10862	37825	SIPO	IJ	13021684
777727	2651	1996-09-10	VYDAJ	PREVOD NA UCET	10862	38065	SIPO	IJ	13021684
777728	2651	1996-10-10	VYDAJ	PREVOD NA UCET	10862	38613	SIPO	IJ	13021684
777729	2651	1996-11-10	VYDAJ	PREVOD NA UCET	10862	40563	SIPO	IJ	13021684
777730	2651	1996-12-10	VYDAJ	PREVOD NA UCET	10862	34534	SIPO	IJ	13021684
777731	2651	1997-01-10	VYDAJ	PREVOD NA UCET	10862	35816	SIPO	IJ	13021684
777732	2651	1997-02-10	VYDAJ	PREVOD NA UCET	10862	21416	SIPO	IJ	13021684
777733	2651	1997-03-10	VYDAJ	PREVOD NA UCET	10862	21161	SIPO	IJ	13021684
777734	2651	1997-04-10	VYDAJ	PREVOD NA UCET	10862	29220	SIPO	IJ	13021684
777735	2651	1997-05-10	VYDAJ	PREVOD NA UCET	10862	35896	SIPO	IJ	13021684
777736	2651	1997-06-10	VYDAJ	PREVOD NA UCET	10862	34615	SIPO	IJ	13021684
777737	2651	1997-07-10	VYDAJ	PREVOD NA UCET	10862	28992	SIPO	IJ	13021684
777738	2651	1997-08-10	VYDAJ	PREVOD NA UCET	10862	32775	SIPO	IJ	13021684
777739	2651	1997-09-10	VYDAJ	PREVOD NA UCET	10862	22917	SIPO	IJ	13021684
777740	2651	1997-10-10	VYDAJ	PREVOD NA UCET	10862	17731	SIPO	IJ	13021684
777741	2651	1997-11-10	VYDAJ	PREVOD NA UCET	10862	26551	SIPO	IJ	13021684
777742	2651	1997-12-10	VYDAJ	PREVOD NA UCET	10862	29802	SIPO	IJ	13021684
777743	2651	1998-01-10	VYDAJ	PREVOD NA UCET	10862	18839	SIPO	IJ	13021684
777744	2651	1998-02-10	VYDAJ	PREVOD NA UCET	10862	17961	SIPO	IJ	13021684
777745	2651	1998-03-10	VYDAJ	PREVOD NA UCET	10862	23974	SIPO	IJ	13021684
777746	2651	1998-04-10	VYDAJ	PREVOD NA UCET	10862	17734	SIPO	IJ	13021684
777747	2651	1998-05-10	VYDAJ	PREVOD NA UCET	10862	20744	SIPO	IJ	13021684
777748	2651	1998-06-10	VYDAJ	PREVOD NA UCET	10862	12976	SIPO	IJ	13021684
777749	2651	1998-07-10	VYDAJ	PREVOD NA UCET	10862	27467	SIPO	IJ	13021684
777750	2651	1998-08-10	VYDAJ	PREVOD NA UCET	10862	22097	SIPO	IJ	13021684
777751	2651	1998-09-10	VYDAJ	PREVOD NA UCET	10862	17307	SIPO	IJ	13021684
777752	2651	1998-10-10	VYDAJ	PREVOD NA UCET	10862	12995	SIPO	IJ	13021684
777753	2651	1998-11-10	VYDAJ	PREVOD NA UCET	10862	38206	SIPO	IJ	13021684
777754	2651	1998-12-10	VYDAJ	PREVOD NA UCET	10862	21149	SIPO	IJ	13021684
777756	2651	1993-12-23	VYBER	VYBER	19212	34899	\N	\N	\N
777760	2651	1993-09-30	VYBER	VYBER	17761	36147	\N	\N	\N
777764	2651	1993-08-14	VYBER	VYBER	4164	91708	\N	\N	\N
777767	2651	1993-09-15	VYBER	VYBER	5166	78958	\N	\N	\N
777768	2651	1994-09-24	VYBER	VYBER	12406	30677	\N	\N	\N
777769	2651	1994-01-23	VYBER	VYBER	4299	32751	\N	\N	\N
777770	2651	1994-04-20	VYBER	VYBER	23163	21337	\N	\N	\N
777772	2651	1994-05-20	VYBER	VYBER	12147	24384	\N	\N	\N
777773	2651	1994-07-17	VYBER	VYBER	20226	23105	\N	\N	\N
777774	2651	1994-03-14	VYBER	VYBER	8850	55371	\N	\N	\N
777775	2651	1995-08-09	VYBER	VYBER	14868	40784	\N	\N	\N
777776	2651	1995-05-06	VYBER	VYBER	12630	52743	\N	\N	\N
777777	2651	1995-12-13	VYBER	VYBER	2495	74338	\N	\N	\N
777778	2651	1995-06-05	VYBER	VYBER	12788	44174	\N	\N	\N
777779	2651	1995-04-17	VYBER	VYBER	18477	65092	\N	\N	\N
777780	2651	1995-11-21	VYBER	VYBER	11719	46414	\N	\N	\N
777781	2651	1996-01-05	VYBER	VYBER	3950	46255	\N	\N	\N
777782	2651	1996-12-23	VYBER	VYBER	13218	75210	\N	\N	\N
777783	2651	1996-03-27	VYBER	VYBER	17663	43921	\N	\N	\N
777784	2651	1996-01-03	VYBER	VYBER	2464	58005	\N	\N	\N
777785	2651	1996-06-28	VYBER	VYBER	24347	66061	\N	\N	\N
777786	2651	1996-05-05	VYBER	VYBER	4816	37792	\N	\N	\N
777787	2651	1996-11-20	VYBER	VYBER	8280	68212	\N	\N	\N
777788	2651	1996-02-19	VYBER	VYBER	8156	53019	\N	\N	\N
777789	2651	1997-01-13	VYBER	VYBER	21392	50353	\N	\N	\N
777790	2651	1997-05-27	VYBER	VYBER	6679	65146	\N	\N	\N
777791	2651	1997-08-17	VYBER	VYBER	22401	46303	\N	\N	\N
777792	2651	1997-07-06	VYBER	VYBER	13619	39854	\N	\N	\N
777795	2651	1997-01-17	VYBER	VYBER	19122	28231	\N	\N	\N
777796	2651	1998-03-20	VYBER	VYBER	16059	43844	\N	\N	\N
777803	2651	1998-05-20	VYBER	VYBER	15969	40704	\N	\N	\N
777805	2651	1998-01-09	VYBER	VYBER	17029	29701	\N	\N	\N
777807	2651	1993-12-27	VYDAJ	VYBER	5400	29499	\N	\N	\N
777808	2651	1994-12-26	VYDAJ	VYBER	6000	90064	\N	\N	\N
777809	2651	1995-12-21	VYDAJ	VYBER	6600	67738	\N	\N	\N
777810	2651	1996-12-03	VYDAJ	VYBER	5700	45396	\N	\N	\N
777811	2651	1997-12-28	VYDAJ	VYBER KARTOU	1800	49796	\N	\N	0
777819	2651	1994-01-25	VYDAJ	VYBER	5100	27651	\N	\N	\N
777820	2651	1994-01-29	VYDAJ	VYBER	4500	23151	\N	\N	\N
777821	2651	1994-01-07	VYDAJ	VYBER	6300	20683	\N	\N	\N
777824	2651	1994-01-01	VYDAJ	VYBER	2700	26983	\N	\N	\N
777825	2651	1995-01-16	VYDAJ	VYBER	8100	68661	\N	\N	\N
777826	2651	1995-01-22	VYDAJ	VYBER	4200	61461	\N	\N	\N
777827	2651	1995-01-16	VYDAJ	VYBER	3000	65661	\N	\N	\N
777828	2651	1995-01-15	VYDAJ	VYBER	7500	76761	\N	\N	\N
777829	2651	1995-01-24	VYDAJ	VYBER	8100	53361	\N	\N	\N
777830	2651	1995-01-08	VYDAJ	VYBER	3600	86794	\N	\N	\N
777831	2651	1996-01-16	VYDAJ	VYBER KARTOU	2400	53622	\N	\N	0
777832	2651	1996-01-25	VYDAJ	VYBER KARTOU	1500	47322	\N	\N	0
777833	2651	1996-01-01	VYDAJ	VYBER	7500	60469	\N	\N	\N
777834	2651	1996-01-24	VYDAJ	VYBER	4800	48822	\N	\N	\N
777835	2651	1996-01-03	VYDAJ	VYBER	7800	50205	\N	\N	\N
777836	2651	1996-01-08	VYDAJ	VYBER	7500	30955	\N	\N	\N
777838	2651	1997-01-06	VYDAJ	VYBER KARTOU	2400	46678	\N	\N	0
777839	2651	1997-01-03	VYDAJ	VYBER KARTOU	3000	49078	\N	\N	0
777840	2651	1997-01-13	VYDAJ	VYBER KARTOU	3000	47353	\N	\N	0
777841	2651	1997-01-28	VYDAJ	VYBER KARTOU	1800	26431	\N	\N	0
777843	2651	1998-01-16	VYDAJ	VYBER	4200	50568	\N	\N	\N
777844	2651	1998-01-22	VYDAJ	VYBER	6000	44568	\N	\N	\N
777847	2651	1998-01-05	VYDAJ	VYBER KARTOU	3300	46730	\N	\N	0
777852	2651	1993-10-29	VYDAJ	VYBER	10800	31399	\N	\N	\N
777853	2651	1994-06-27	VYDAJ	VYBER	13500	35115	\N	\N	\N
777855	2651	1994-09-07	VYDAJ	VYBER	7500	32216	\N	\N	\N
777856	2651	1994-03-27	VYDAJ	VYBER	7800	34771	\N	\N	\N
777858	2651	1995-05-26	VYDAJ	VYBER	12600	56710	\N	\N	\N
777859	2651	1995-01-10	VYDAJ	VYBER	10800	48332	\N	\N	\N
777860	2651	1995-10-29	VYDAJ	VYBER	10200	59500	\N	\N	\N
777861	2651	1995-09-07	VYDAJ	VYBER	7500	58613	\N	\N	\N
777862	2651	1995-11-07	VYDAJ	VYBER	13200	33066	\N	\N	\N
777863	2651	1995-10-17	VYDAJ	VYBER	4800	69700	\N	\N	\N
777864	2651	1995-11-25	VYDAJ	VYBER	4500	41914	\N	\N	\N
777865	2651	1996-03-25	VYDAJ	VYBER KARTOU	3900	61584	\N	\N	0
777866	2651	1996-07-17	VYDAJ	VYBER	6300	67328	\N	\N	\N
777867	2651	1997-09-20	VYDAJ	VYBER	13500	34846	\N	\N	\N
777869	2651	1997-03-06	VYDAJ	VYBER	14100	32023	\N	\N	\N
777870	2651	1997-09-12	VYDAJ	VYBER	10500	48346	\N	\N	\N
777872	2651	1997-06-13	VYDAJ	VYBER KARTOU	2700	85809	\N	\N	0
777873	2651	1998-07-15	VYDAJ	VYBER	5100	58296	\N	\N	\N
777874	2651	1998-12-19	VYDAJ	VYBER	14100	60943	\N	\N	\N
777876	2651	1998-11-13	VYDAJ	VYBER	8400	65735	\N	\N	\N
777885	2651	1993-08-31	VYDAJ	VYBER	15	59057	SLUZBY	\N	\N
777886	2651	1993-09-30	VYDAJ	VYBER	15	36132	SLUZBY	\N	\N
777887	2651	1993-10-31	VYDAJ	VYBER	15	31560	SLUZBY	\N	\N
777888	2651	1993-11-30	VYDAJ	VYBER	15	42279	SLUZBY	\N	\N
777889	2651	1993-12-31	VYDAJ	VYBER	15	29683	SLUZBY	\N	\N
777890	2651	1994-01-31	VYDAJ	VYBER	15	23262	SLUZBY	\N	\N
777891	2651	1994-02-28	VYDAJ	VYBER	15	39154	SLUZBY	\N	\N
777892	2651	1994-03-31	VYDAJ	VYBER	15	34933	SLUZBY	\N	\N
777893	2651	1994-04-30	VYDAJ	VYBER	15	21464	SLUZBY	\N	\N
777894	2651	1994-05-31	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
777895	2651	1994-06-30	VYDAJ	VYBER	15	35264	SLUZBY	\N	\N
777896	2651	1994-07-31	VYDAJ	VYBER	15	23222	SLUZBY	\N	\N
777897	2651	1994-08-31	VYDAJ	VYBER	15	39716	SLUZBY	\N	\N
777898	2651	1994-09-30	VYDAJ	VYBER	15	30843	SLUZBY	\N	\N
777899	2651	1994-10-31	VYDAJ	VYBER	15	40850	SLUZBY	\N	\N
777900	2651	1994-11-30	VYDAJ	VYBER	15	64232	SLUZBY	\N	\N
777901	2651	1994-12-31	VYDAJ	VYBER	15	90394	SLUZBY	\N	\N
777902	2651	1995-01-31	VYDAJ	VYBER	15	53648	SLUZBY	\N	\N
777903	2651	1995-02-28	VYDAJ	VYBER	15	65445	SLUZBY	\N	\N
777904	2651	1995-03-31	VYDAJ	VYBER	15	79002	SLUZBY	\N	\N
777905	2651	1995-04-30	VYDAJ	VYBER	15	65373	SLUZBY	\N	\N
777906	2651	1995-05-31	VYDAJ	VYBER	15	56962	SLUZBY	\N	\N
777907	2651	1995-06-30	VYDAJ	VYBER	15	79775	SLUZBY	\N	\N
777908	2651	1995-07-31	VYDAJ	VYBER	15	81052	SLUZBY	\N	\N
777909	2651	1995-08-31	VYDAJ	VYBER	15	66113	SLUZBY	\N	\N
777910	2651	1995-09-30	VYDAJ	VYBER	15	70433	SLUZBY	\N	\N
777911	2651	1995-10-31	VYDAJ	VYBER	15	59766	SLUZBY	\N	\N
777912	2651	1995-11-30	VYDAJ	VYBER	15	42101	SLUZBY	\N	\N
777913	2651	1995-12-31	VYDAJ	VYBER	15	67969	SLUZBY	\N	\N
777914	2651	1996-01-31	VYDAJ	VYBER	15	47508	SLUZBY	\N	\N
777915	2651	1996-02-29	VYDAJ	VYBER	15	53217	SLUZBY	\N	\N
777916	2651	1996-03-31	VYDAJ	VYBER	15	44137	SLUZBY	\N	\N
777917	2651	1996-04-30	VYDAJ	VYBER	15	60308	SLUZBY	\N	\N
777918	2651	1996-05-31	VYDAJ	VYBER	15	63076	SLUZBY	\N	\N
777919	2651	1996-06-30	VYDAJ	VYBER	15	66361	SLUZBY	\N	\N
777920	2651	1996-07-31	VYDAJ	VYBER	15	67587	SLUZBY	\N	\N
777921	2651	1996-08-31	VYDAJ	VYBER	15	74027	SLUZBY	\N	\N
777922	2651	1996-09-30	VYDAJ	VYBER	15	74275	SLUZBY	\N	\N
777923	2651	1996-10-31	VYDAJ	VYBER	15	74825	SLUZBY	\N	\N
777924	2651	1996-11-30	VYDAJ	VYBER	15	51096	SLUZBY	\N	\N
777925	2651	1996-12-31	VYDAJ	VYBER	15	52078	SLUZBY	\N	\N
777926	2651	1997-01-31	VYDAJ	VYBER	15	32278	SLUZBY	\N	\N
777927	2651	1997-02-28	VYDAJ	VYBER	15	46123	SLUZBY	\N	\N
777928	2651	1997-03-31	VYDAJ	VYBER	15	40082	SLUZBY	\N	\N
777929	2651	1997-04-30	VYDAJ	VYBER	15	46758	SLUZBY	\N	\N
777930	2651	1997-05-31	VYDAJ	VYBER	15	45477	SLUZBY	\N	\N
777931	2651	1997-06-30	VYDAJ	VYBER	15	53473	SLUZBY	\N	\N
777932	2651	1997-07-31	VYDAJ	VYBER	15	43637	SLUZBY	\N	\N
777933	2651	1997-08-31	VYDAJ	VYBER	15	33779	SLUZBY	\N	\N
777934	2651	1997-09-30	VYDAJ	VYBER	15	28593	SLUZBY	\N	\N
777935	2651	1997-10-31	VYDAJ	VYBER	15	37413	SLUZBY	\N	\N
777936	2651	1997-11-30	VYDAJ	VYBER	15	40664	SLUZBY	\N	\N
777937	2651	1997-12-31	VYDAJ	VYBER	15	50030	SLUZBY	\N	\N
777938	2651	1998-01-31	VYDAJ	VYBER	15	28823	SLUZBY	\N	\N
777939	2651	1998-02-28	VYDAJ	VYBER	15	34836	SLUZBY	\N	\N
777940	2651	1998-03-31	VYDAJ	VYBER	15	28596	SLUZBY	\N	\N
777941	2651	1998-04-30	VYDAJ	VYBER	15	31606	SLUZBY	\N	\N
777942	2651	1998-05-31	VYDAJ	VYBER	15	23838	SLUZBY	\N	\N
777943	2651	1998-06-30	VYDAJ	VYBER	15	38329	SLUZBY	\N	\N
777944	2651	1998-07-31	VYDAJ	VYBER	15	32959	SLUZBY	\N	\N
777945	2651	1998-08-31	VYDAJ	VYBER	15	28169	SLUZBY	\N	\N
777946	2651	1998-09-30	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
777947	2651	1998-10-31	VYDAJ	VYBER	15	49068	SLUZBY	\N	\N
777948	2651	1998-11-30	VYDAJ	VYBER	15	32011	SLUZBY	\N	\N
777949	2651	1993-04-20	VYDAJ	VYBER	6700	29429	\N	\N	\N
777950	2651	1993-05-20	VYDAJ	VYBER	21200	44203	\N	\N	\N
777951	2651	1993-06-19	VYDAJ	VYBER	35700	62543	\N	\N	\N
777952	2651	1993-07-19	VYDAJ	VYBER	39000	59687	\N	\N	\N
777953	2651	1993-08-18	VYDAJ	VYBER	32900	58808	\N	\N	\N
777954	2651	1993-09-17	VYDAJ	VYBER	25300	53658	\N	\N	\N
777955	2651	1993-10-17	VYDAJ	VYBER	19000	42199	\N	\N	\N
777956	2651	1993-11-16	VYDAJ	VYBER	14500	42127	\N	\N	\N
777957	2651	1993-12-16	VYDAJ	VYBER	31200	54111	\N	\N	\N
777958	2651	1994-01-15	VYDAJ	VYBER	8700	37050	\N	\N	\N
777959	2651	1994-02-14	VYDAJ	VYBER	9300	39029	\N	\N	\N
777960	2651	1994-03-16	VYDAJ	VYBER	12800	42571	\N	\N	\N
777961	2651	1994-04-15	VYDAJ	VYBER	15500	44500	\N	\N	\N
777962	2651	1994-05-15	VYDAJ	VYBER	10000	36531	\N	\N	\N
777963	2651	1994-06-14	VYDAJ	VYBER	18900	48615	\N	\N	\N
777964	2651	1994-07-14	VYDAJ	VYBER	17000	43331	\N	\N	\N
777965	2651	1994-08-13	VYDAJ	VYBER	8700	39589	\N	\N	\N
777966	2651	1994-09-12	VYDAJ	VYBER	14200	43083	\N	\N	\N
777967	2651	1994-10-12	VYDAJ	VYBER	15200	40710	\N	\N	\N
777968	2651	1994-11-11	VYDAJ	VYBER	1900	28088	\N	\N	\N
777969	2651	1994-12-11	VYDAJ	VYBER	11200	42170	\N	\N	\N
777970	2651	1995-01-10	VYDAJ	VYBER	16800	69994	\N	\N	\N
777971	2651	1995-02-09	VYDAJ	VYBER	13500	40148	\N	\N	\N
777972	2651	1995-03-11	VYDAJ	VYBER	11800	42783	\N	\N	\N
777973	2651	1995-04-10	VYDAJ	VYBER	20500	47640	\N	\N	\N
777974	2651	1995-05-10	VYDAJ	VYBER	8500	44243	\N	\N	\N
777975	2651	1995-06-09	VYDAJ	VYBER	7700	36474	\N	\N	\N
777976	2651	1995-07-09	VYDAJ	VYBER	24100	55675	\N	\N	\N
777977	2651	1995-08-08	VYDAJ	VYBER	25400	55652	\N	\N	\N
777978	2651	1995-09-07	VYDAJ	VYBER	13500	45113	\N	\N	\N
777979	2651	1995-10-07	VYDAJ	VYBER	21000	49433	\N	\N	\N
777980	2651	1995-11-06	VYDAJ	VYBER	13500	46266	\N	\N	\N
777981	2651	1995-12-06	VYDAJ	VYBER	8300	33801	\N	\N	\N
777982	2651	1996-01-05	VYDAJ	VYBER	7800	38455	\N	\N	\N
777983	2651	1996-02-04	VYDAJ	VYBER	11400	36108	\N	\N	\N
777984	2651	1996-03-05	VYDAJ	VYBER	12800	40417	\N	\N	\N
777985	2651	1996-04-04	VYDAJ	VYBER	9100	35037	\N	\N	\N
777986	2651	1996-05-04	VYDAJ	VYBER	17700	42608	\N	\N	\N
777987	2651	1996-06-03	VYDAJ	VYBER	15700	47376	\N	\N	\N
777988	2651	1996-07-03	VYDAJ	VYBER	17800	48561	\N	\N	\N
777989	2651	1996-08-02	VYDAJ	VYBER	18900	48687	\N	\N	\N
777990	2651	1996-09-01	VYDAJ	VYBER	25100	48927	\N	\N	\N
777991	2651	1996-10-01	VYDAJ	VYBER	24800	49475	\N	\N	\N
777992	2651	1996-10-31	VYDAJ	VYBER	23400	51425	\N	\N	\N
777993	2651	1996-11-30	VYDAJ	VYBER	17400	51110	\N	\N	\N
777994	2651	1996-12-30	VYDAJ	VYBER	23400	51810	\N	\N	\N
777995	2651	1997-01-29	PRIJEM	VKLAD	5700	32131	\N	\N	\N
777996	2651	1997-02-28	VYDAJ	VYBER	11400	46137	\N	\N	\N
777997	2651	1997-03-30	VYDAJ	VYBER	17200	39890	\N	\N	\N
777998	2651	1997-04-29	VYDAJ	VYBER	18600	46549	\N	\N	\N
777999	2651	1997-05-29	VYDAJ	VYBER	19900	45246	\N	\N	\N
778000	2651	1997-06-28	VYDAJ	VYBER	32600	53209	\N	\N	\N
778001	2651	1997-07-28	VYDAJ	VYBER	21500	43421	\N	\N	\N
778002	2651	1997-08-27	VYDAJ	VYBER	12700	33603	\N	\N	\N
778003	2651	1997-09-26	VYDAJ	VYBER	6400	28446	\N	\N	\N
778004	2651	1997-10-26	VYDAJ	VYBER	16400	37260	\N	\N	\N
778005	2651	1997-11-25	VYDAJ	VYBER	22000	40480	\N	\N	\N
778006	2651	1997-12-25	VYDAJ	VYBER	32100	51596	\N	\N	\N
778007	2651	1998-01-24	VYDAJ	VYBER	15900	28668	\N	\N	\N
778008	2651	1998-02-23	VYDAJ	VYBER	19200	34690	\N	\N	\N
778009	2651	1998-03-25	VYDAJ	VYBER	15400	28444	\N	\N	\N
778010	2651	1998-04-24	VYDAJ	VYBER	22200	31463	\N	\N	\N
778011	2651	1998-05-24	VYDAJ	VYBER	17000	23704	\N	\N	\N
778012	2651	1998-06-23	VYDAJ	VYBER	28700	38170	\N	\N	\N
778013	2651	1998-07-23	VYDAJ	VYBER	25500	32796	\N	\N	\N
778014	2651	1998-08-22	VYDAJ	VYBER	30000	28026	\N	\N	\N
778015	2651	1998-09-21	VYDAJ	VYBER	29500	23736	\N	\N	\N
778016	2651	1998-11-20	VYDAJ	VYBER	33900	31835	\N	\N	\N
778017	2651	1998-12-20	VYDAJ	VYBER	36300	24643	\N	\N	\N
778087	2652	1996-07-22	PRIJEM	VKLAD	900	900	\N	\N	\N
778095	2652	1996-08-12	PRIJEM	VKLAD	21013	21913	\N	\N	\N
778096	2652	1996-09-12	PRIJEM	VKLAD	21013	44260	\N	\N	\N
778097	2652	1996-10-12	PRIJEM	VKLAD	21013	52483	\N	\N	\N
778098	2652	1996-11-12	PRIJEM	VKLAD	21013	59237	\N	\N	\N
778099	2652	1996-12-12	PRIJEM	VKLAD	31520	69615	\N	\N	\N
778100	2652	1997-01-12	PRIJEM	VKLAD	21013	45501	\N	\N	\N
778101	2652	1997-02-12	PRIJEM	VKLAD	21013	39852	\N	\N	\N
778102	2652	1997-03-12	PRIJEM	VKLAD	21013	48775	\N	\N	\N
778103	2652	1997-04-12	PRIJEM	VKLAD	21013	52429	\N	\N	\N
778104	2652	1997-05-12	PRIJEM	VKLAD	21013	54994	\N	\N	\N
778105	2652	1997-06-12	PRIJEM	VKLAD	31520	66279	\N	\N	\N
778106	2652	1997-07-12	PRIJEM	VKLAD	21013	61976	\N	\N	\N
778107	2652	1997-08-12	PRIJEM	VKLAD	21013	58648	\N	\N	\N
778108	2652	1997-09-12	PRIJEM	VKLAD	21013	60438	\N	\N	\N
778109	2652	1997-10-12	PRIJEM	VKLAD	21013	64941	\N	\N	\N
778110	2652	1997-11-12	PRIJEM	VKLAD	21013	71465	\N	\N	\N
778111	2652	1997-12-12	PRIJEM	VKLAD	31520	81403	\N	\N	\N
778112	2652	1998-01-12	PRIJEM	VKLAD	21013	68161	\N	\N	\N
778113	2652	1998-02-12	PRIJEM	VKLAD	21013	55061	\N	\N	\N
778114	2652	1998-03-12	PRIJEM	VKLAD	21013	56735	\N	\N	\N
778115	2652	1998-04-12	PRIJEM	VKLAD	21013	62105	\N	\N	\N
778116	2652	1998-05-12	PRIJEM	VKLAD	21013	57982	\N	\N	\N
778117	2652	1998-06-12	PRIJEM	VKLAD	31520	74284	\N	\N	\N
778118	2652	1998-07-12	PRIJEM	VKLAD	21013	39010	\N	\N	\N
778119	2652	1998-08-12	PRIJEM	VKLAD	21013	49000	\N	\N	\N
778120	2652	1998-09-12	PRIJEM	VKLAD	21013	51874	\N	\N	\N
778121	2652	1998-10-12	PRIJEM	VKLAD	21013	54168	\N	\N	\N
778122	2652	1998-11-12	PRIJEM	VKLAD	21013	51389	\N	\N	\N
778123	2652	1998-12-12	PRIJEM	VKLAD	31520	58190	\N	\N	\N
778136	2652	1997-01-09	VYDAJ	PREVOD NA UCET	1735	27608	SIPO	CD	2992314
778137	2652	1997-02-09	VYDAJ	PREVOD NA UCET	1735	18839	SIPO	CD	2992314
778138	2652	1997-03-09	VYDAJ	PREVOD NA UCET	1735	27762	SIPO	CD	2992314
778139	2652	1997-04-09	VYDAJ	PREVOD NA UCET	1735	31416	SIPO	CD	2992314
778140	2652	1997-05-09	VYDAJ	PREVOD NA UCET	1735	33981	SIPO	CD	2992314
778141	2652	1997-06-09	VYDAJ	PREVOD NA UCET	1735	34759	SIPO	CD	2992314
778142	2652	1997-07-09	VYDAJ	PREVOD NA UCET	1735	40963	SIPO	CD	2992314
778143	2652	1997-08-09	VYDAJ	PREVOD NA UCET	1735	37635	SIPO	CD	2992314
778144	2652	1997-09-09	VYDAJ	PREVOD NA UCET	1735	39425	SIPO	CD	2992314
778145	2652	1997-10-09	VYDAJ	PREVOD NA UCET	1735	43928	SIPO	CD	2992314
778146	2652	1997-11-09	VYDAJ	PREVOD NA UCET	1735	50452	SIPO	CD	2992314
778147	2652	1997-12-09	VYDAJ	PREVOD NA UCET	1735	49884	SIPO	CD	2992314
778148	2652	1998-01-09	VYDAJ	PREVOD NA UCET	1735	47148	SIPO	CD	2992314
778149	2652	1998-02-09	VYDAJ	PREVOD NA UCET	1735	34048	SIPO	CD	2992314
778150	2652	1998-03-09	VYDAJ	PREVOD NA UCET	1735	35722	SIPO	CD	2992314
778151	2652	1998-04-09	VYDAJ	PREVOD NA UCET	1735	43612	SIPO	CD	2992314
778152	2652	1998-05-09	VYDAJ	PREVOD NA UCET	1735	42009	SIPO	CD	2992314
778153	2652	1998-06-09	VYDAJ	PREVOD NA UCET	1735	42764	SIPO	CD	2992314
778154	2652	1998-07-09	VYDAJ	PREVOD NA UCET	1735	16997	SIPO	CD	2992314
778155	2652	1998-08-09	VYDAJ	PREVOD NA UCET	1735	30987	SIPO	CD	2992314
778156	2652	1998-09-09	VYDAJ	PREVOD NA UCET	1735	41061	SIPO	CD	2992314
778157	2652	1998-10-09	VYDAJ	PREVOD NA UCET	1735	43955	SIPO	CD	2992314
778158	2652	1998-11-09	VYDAJ	PREVOD NA UCET	1735	30376	SIPO	CD	2992314
778159	2652	1998-12-09	VYDAJ	PREVOD NA UCET	1735	26671	SIPO	CD	2992314
778171	2652	1996-12-12	VYDAJ	PREVOD NA UCET	6351	63264	 	QR	98601030
778172	2652	1997-01-12	VYDAJ	PREVOD NA UCET	6351	39150	 	QR	98601030
778173	2652	1997-02-12	VYDAJ	PREVOD NA UCET	6351	33501	 	QR	98601030
778174	2652	1997-03-12	VYDAJ	PREVOD NA UCET	6351	42424	 	QR	98601030
778175	2652	1997-04-12	VYDAJ	PREVOD NA UCET	6351	46078	 	QR	98601030
778176	2652	1997-05-12	VYDAJ	PREVOD NA UCET	6351	48643	 	QR	98601030
778177	2652	1997-06-12	VYDAJ	PREVOD NA UCET	6351	59928	 	QR	98601030
778178	2652	1997-07-12	VYDAJ	PREVOD NA UCET	6351	55625	 	QR	98601030
778179	2652	1997-08-12	VYDAJ	PREVOD NA UCET	6351	52297	 	QR	98601030
778180	2652	1997-09-12	VYDAJ	PREVOD NA UCET	6351	54087	 	QR	98601030
778181	2652	1997-10-12	VYDAJ	PREVOD NA UCET	6351	58590	 	QR	98601030
778182	2652	1997-11-12	VYDAJ	PREVOD NA UCET	6351	65114	 	QR	98601030
778183	2652	1997-12-12	VYDAJ	PREVOD NA UCET	6351	75052	 	QR	98601030
778184	2652	1998-01-12	VYDAJ	PREVOD NA UCET	6351	61810	 	QR	98601030
778185	2652	1998-02-12	VYDAJ	PREVOD NA UCET	6351	41510	 	QR	98601030
778186	2652	1998-03-12	VYDAJ	PREVOD NA UCET	6351	50384	 	QR	98601030
778187	2652	1998-04-12	VYDAJ	PREVOD NA UCET	6351	55754	 	QR	98601030
778188	2652	1998-05-12	VYDAJ	PREVOD NA UCET	6351	51631	 	QR	98601030
778189	2652	1998-06-12	VYDAJ	PREVOD NA UCET	6351	49433	 	QR	98601030
778190	2652	1998-07-12	VYDAJ	PREVOD NA UCET	6351	32659	 	QR	98601030
778191	2652	1998-08-12	VYDAJ	PREVOD NA UCET	6351	42649	 	QR	98601030
778192	2652	1998-09-12	VYDAJ	PREVOD NA UCET	6351	45523	 	QR	98601030
778193	2652	1998-10-12	VYDAJ	PREVOD NA UCET	6351	47817	 	QR	98601030
778194	2652	1998-11-12	VYDAJ	PREVOD NA UCET	6351	45038	 	QR	98601030
778195	2652	1998-12-12	VYDAJ	PREVOD NA UCET	6351	51839	 	QR	98601030
778198	2652	1998-06-22	VYDAJ	VYBER	30880	18553	\N	\N	\N
778200	2652	1997-01-20	VYDAJ	VYBER	4320	22510	\N	\N	\N
778201	2652	1998-01-27	VYDAJ	VYBER	2560	36550	\N	\N	\N
778202	2652	1996-12-28	VYDAJ	VYBER	4480	38284	\N	\N	\N
778203	2652	1997-12-23	VYDAJ	VYBER	1280	52272	\N	\N	\N
778204	2652	1998-12-27	VYDAJ	VYBER	1120	50719	\N	\N	\N
778211	2652	1997-01-06	VYDAJ	VYBER	1920	29343	\N	\N	\N
778212	2652	1997-01-02	VYDAJ	VYBER	3000	35463	\N	\N	\N
778213	2652	1997-01-26	VYDAJ	VYBER	2040	20470	\N	\N	\N
778214	2652	1997-01-04	VYDAJ	VYBER	3120	32343	\N	\N	\N
778215	2652	1997-01-05	VYDAJ	VYBER	1080	31263	\N	\N	\N
778216	2652	1997-01-11	VYDAJ	VYBER	3120	24488	\N	\N	\N
778217	2652	1998-01-25	VYDAJ	VYBER	2880	39110	\N	\N	\N
778218	2652	1998-01-22	VYDAJ	VYBER	3120	41990	\N	\N	\N
778219	2652	1998-01-13	VYDAJ	VYBER	3000	58810	\N	\N	\N
778220	2652	1998-01-09	VYDAJ	VYBER	840	48883	\N	\N	\N
778221	2652	1998-01-04	VYDAJ	VYBER	2760	49723	\N	\N	\N
778222	2652	1998-01-29	VYDAJ	VYBER	960	35590	\N	\N	\N
778228	2652	1997-07-20	VYDAJ	VYBER	1320	39205	\N	\N	\N
778229	2652	1997-01-14	VYDAJ	VYBER	3720	35430	\N	\N	\N
778230	2652	1997-09-19	VYDAJ	VYBER	1800	45487	\N	\N	\N
778231	2652	1998-06-12	VYDAJ	VYBER	1800	55784	\N	\N	\N
778232	2652	1998-02-27	VYDAJ	VYBER	4200	37310	\N	\N	\N
778233	2652	1998-11-23	VYDAJ	VYBER	1800	43238	\N	\N	\N
778234	2652	1998-04-12	VYDAJ	VYBER	1080	54674	\N	\N	\N
778235	2652	1998-04-11	VYDAJ	VYBER	2520	41092	\N	\N	\N
778236	2652	1998-05-10	VYDAJ	VYBER	5040	36969	\N	\N	\N
778249	2652	1996-12-31	VYDAJ	VYBER	15	38463	SLUZBY	\N	\N
778250	2652	1997-01-31	VYDAJ	VYBER	15	20574	SLUZBY	\N	\N
778251	2652	1997-02-28	VYDAJ	VYBER	15	29497	SLUZBY	\N	\N
778252	2652	1997-03-31	VYDAJ	VYBER	15	33151	SLUZBY	\N	\N
778253	2652	1997-04-30	VYDAJ	VYBER	15	35716	SLUZBY	\N	\N
778254	2652	1997-05-31	VYDAJ	VYBER	15	36494	SLUZBY	\N	\N
778255	2652	1997-06-30	VYDAJ	VYBER	15	42698	SLUZBY	\N	\N
778256	2652	1997-07-31	VYDAJ	VYBER	15	39370	SLUZBY	\N	\N
778257	2652	1997-08-31	VYDAJ	VYBER	15	41160	SLUZBY	\N	\N
778258	2652	1997-09-30	VYDAJ	VYBER	15	45663	SLUZBY	\N	\N
778259	2652	1997-10-31	VYDAJ	VYBER	15	52187	SLUZBY	\N	\N
778260	2652	1997-11-30	VYDAJ	VYBER	15	51619	SLUZBY	\N	\N
778261	2652	1997-12-31	VYDAJ	VYBER	15	52483	SLUZBY	\N	\N
778262	2652	1998-01-31	VYDAJ	VYBER	15	35783	SLUZBY	\N	\N
778263	2652	1998-02-28	VYDAJ	VYBER	15	37457	SLUZBY	\N	\N
778264	2652	1998-03-31	VYDAJ	VYBER	15	45347	SLUZBY	\N	\N
778265	2652	1998-04-30	VYDAJ	VYBER	15	43744	SLUZBY	\N	\N
778266	2652	1998-05-31	VYDAJ	VYBER	15	44499	SLUZBY	\N	\N
778267	2652	1998-06-30	VYDAJ	VYBER	15	18732	SLUZBY	\N	\N
778268	2652	1998-07-31	VYDAJ	VYBER	15	32722	SLUZBY	\N	\N
778269	2652	1998-08-31	VYDAJ	VYBER	15	42796	SLUZBY	\N	\N
778270	2652	1998-09-30	VYDAJ	VYBER	15	45690	SLUZBY	\N	\N
778271	2652	1998-10-31	VYDAJ	VYBER	15	48011	SLUZBY	\N	\N
778272	2652	1998-11-30	VYDAJ	VYBER	15	43406	SLUZBY	\N	\N
778273	2652	1996-08-21	PRIJEM	VKLAD	1300	23213	\N	\N	\N
778274	2652	1996-09-20	VYDAJ	VYBER	12900	31360	\N	\N	\N
778275	2652	1996-10-20	VYDAJ	VYBER	14400	38083	\N	\N	\N
778276	2652	1996-11-19	VYDAJ	VYBER	21300	37937	\N	\N	\N
778277	2652	1996-12-19	VYDAJ	VYBER	20500	42764	\N	\N	\N
778278	2652	1997-01-18	VYDAJ	VYBER	8600	26830	\N	\N	\N
778279	2652	1997-02-17	VYDAJ	VYBER	4100	29401	\N	\N	\N
778280	2652	1997-03-19	VYDAJ	VYBER	9400	33024	\N	\N	\N
778281	2652	1997-04-18	VYDAJ	VYBER	10500	35578	\N	\N	\N
778282	2652	1997-05-18	VYDAJ	VYBER	12300	36343	\N	\N	\N
778283	2652	1997-06-17	VYDAJ	VYBER	17400	42528	\N	\N	\N
778284	2652	1997-07-17	VYDAJ	VYBER	15100	40525	\N	\N	\N
778285	2652	1997-08-16	VYDAJ	VYBER	11300	40997	\N	\N	\N
778286	2652	1997-09-15	VYDAJ	VYBER	6800	47287	\N	\N	\N
778287	2652	1997-10-15	VYDAJ	VYBER	6600	51990	\N	\N	\N
778288	2652	1997-11-14	VYDAJ	VYBER	13700	51414	\N	\N	\N
778289	2652	1997-12-14	VYDAJ	VYBER	21500	53552	\N	\N	\N
778290	2652	1998-01-13	VYDAJ	VYBER	13700	45110	\N	\N	\N
778291	2652	1998-02-12	VYDAJ	VYBER	7200	47861	\N	\N	\N
778292	2652	1998-03-14	VYDAJ	VYBER	5200	45184	\N	\N	\N
778293	2652	1998-04-13	VYDAJ	VYBER	11100	43574	\N	\N	\N
778294	2652	1998-05-13	VYDAJ	VYBER	7300	44331	\N	\N	\N
778295	2652	1998-06-12	VYDAJ	VYBER	16700	57584	\N	\N	\N
778296	2652	1998-07-12	PRIJEM	VKLAD	1000	17997	\N	\N	\N
778297	2652	1998-08-11	VYDAJ	VYBER	3000	27987	\N	\N	\N
778298	2652	1998-09-10	VYDAJ	VYBER	10200	30861	\N	\N	\N
778299	2652	1998-10-10	VYDAJ	VYBER	10800	33155	\N	\N	\N
778300	2652	1998-11-09	VYDAJ	VYBER	15900	32111	\N	\N	\N
778301	2652	1998-12-09	VYDAJ	VYBER	15000	28406	\N	\N	\N
778331	2653	1997-01-08	PRIJEM	VKLAD	200	200	\N	\N	\N
778332	2653	1997-01-10	PRIJEM	VKLAD	23079	23279	\N	\N	\N
778333	2653	1997-02-10	PRIJEM	VKLAD	23079	44127	\N	\N	\N
778334	2653	1997-03-10	PRIJEM	VKLAD	23079	53862	\N	\N	\N
778335	2653	1997-04-10	PRIJEM	VKLAD	23079	58653	\N	\N	\N
778336	2653	1997-05-10	PRIJEM	VKLAD	23079	63371	\N	\N	\N
778337	2653	1997-06-10	PRIJEM	VKLAD	34618	70128	\N	\N	\N
778338	2653	1997-07-10	PRIJEM	VKLAD	23079	59345	\N	\N	\N
778339	2653	1997-08-10	PRIJEM	VKLAD	23079	59750	\N	\N	\N
778340	2653	1997-09-10	PRIJEM	VKLAD	23079	59943	\N	\N	\N
778341	2653	1997-10-10	PRIJEM	VKLAD	23079	61946	\N	\N	\N
778342	2653	1997-11-10	PRIJEM	VKLAD	23079	57964	\N	\N	\N
778343	2653	1997-12-10	PRIJEM	VKLAD	34618	69398	\N	\N	\N
778344	2653	1998-01-10	PRIJEM	VKLAD	23079	62025	\N	\N	\N
778345	2653	1998-02-10	PRIJEM	VKLAD	23079	56521	\N	\N	\N
778346	2653	1998-03-10	PRIJEM	VKLAD	23079	57705	\N	\N	\N
778347	2653	1998-04-10	PRIJEM	VKLAD	23079	57989	\N	\N	\N
778348	2653	1998-05-10	PRIJEM	VKLAD	23079	52775	\N	\N	\N
778349	2653	1998-06-10	PRIJEM	VKLAD	34618	66083	\N	\N	\N
778350	2653	1998-07-10	PRIJEM	VKLAD	23079	56078	\N	\N	\N
778351	2653	1998-08-10	PRIJEM	VKLAD	23079	53461	\N	\N	\N
778352	2653	1998-09-10	PRIJEM	VKLAD	23079	58136	\N	\N	\N
778353	2653	1998-10-10	PRIJEM	VKLAD	23079	64737	\N	\N	\N
778354	2653	1998-11-10	PRIJEM	VKLAD	23079	63250	\N	\N	\N
778355	2653	1998-12-10	PRIJEM	VKLAD	34618	75992	\N	\N	\N
778361	2653	1997-06-05	VYDAJ	PREVOD NA UCET	6280	50710	SIPO	YZ	49173659
778362	2653	1997-07-05	VYDAJ	PREVOD NA UCET	6280	50566	SIPO	YZ	49173659
778363	2653	1997-08-05	VYDAJ	PREVOD NA UCET	6280	50971	SIPO	YZ	49173659
778364	2653	1997-09-05	VYDAJ	PREVOD NA UCET	6280	36864	SIPO	YZ	49173659
778365	2653	1997-10-05	VYDAJ	PREVOD NA UCET	6280	51567	SIPO	YZ	49173659
778366	2653	1997-11-05	VYDAJ	PREVOD NA UCET	6280	34885	SIPO	YZ	49173659
778367	2653	1997-12-05	VYDAJ	PREVOD NA UCET	6280	34780	SIPO	YZ	49173659
778368	2653	1998-01-05	VYDAJ	PREVOD NA UCET	6280	38946	SIPO	YZ	49173659
778369	2653	1998-02-05	VYDAJ	PREVOD NA UCET	6280	33442	SIPO	YZ	49173659
778370	2653	1998-03-05	VYDAJ	PREVOD NA UCET	6280	34626	SIPO	YZ	49173659
778371	2653	1998-04-05	VYDAJ	PREVOD NA UCET	6280	34910	SIPO	YZ	49173659
778372	2653	1998-05-05	VYDAJ	PREVOD NA UCET	6280	29696	SIPO	YZ	49173659
778373	2653	1998-06-05	VYDAJ	PREVOD NA UCET	6280	31465	SIPO	YZ	49173659
778374	2653	1998-07-05	VYDAJ	PREVOD NA UCET	6280	32999	SIPO	YZ	49173659
778375	2653	1998-08-05	VYDAJ	PREVOD NA UCET	6280	30382	SIPO	YZ	49173659
778376	2653	1998-09-05	VYDAJ	PREVOD NA UCET	6280	35057	SIPO	YZ	49173659
778377	2653	1998-10-05	VYDAJ	PREVOD NA UCET	6280	41658	SIPO	YZ	49173659
778378	2653	1998-11-05	VYDAJ	PREVOD NA UCET	6280	40171	SIPO	YZ	49173659
778379	2653	1998-12-05	VYDAJ	PREVOD NA UCET	6280	41374	SIPO	YZ	49173659
778384	2653	1997-05-14	VYDAJ	PREVOD NA UCET	2310	61061	 	CD	82124638
778385	2653	1997-06-14	VYDAJ	PREVOD NA UCET	2310	67818	 	CD	82124638
778386	2653	1997-07-14	VYDAJ	PREVOD NA UCET	2310	57035	 	CD	82124638
778387	2653	1997-08-14	VYDAJ	PREVOD NA UCET	2310	53140	 	CD	82124638
778388	2653	1997-09-14	VYDAJ	PREVOD NA UCET	2310	57633	 	CD	82124638
778389	2653	1997-10-14	VYDAJ	PREVOD NA UCET	2310	59636	 	CD	82124638
778390	2653	1997-11-14	VYDAJ	PREVOD NA UCET	2310	55654	 	CD	82124638
778391	2653	1997-12-14	VYDAJ	PREVOD NA UCET	2310	67088	 	CD	82124638
778392	2653	1998-01-14	VYDAJ	PREVOD NA UCET	2310	59715	 	CD	82124638
778393	2653	1998-02-14	VYDAJ	PREVOD NA UCET	2310	54211	 	CD	82124638
778394	2653	1998-03-14	VYDAJ	PREVOD NA UCET	2310	55395	 	CD	82124638
778395	2653	1998-04-14	VYDAJ	PREVOD NA UCET	2310	55679	 	CD	82124638
778396	2653	1998-05-14	VYDAJ	PREVOD NA UCET	2310	50465	 	CD	82124638
778397	2653	1998-06-14	VYDAJ	PREVOD NA UCET	2310	63773	 	CD	82124638
778398	2653	1998-07-14	VYDAJ	PREVOD NA UCET	2310	53768	 	CD	82124638
778399	2653	1998-08-14	VYDAJ	PREVOD NA UCET	2310	51151	 	CD	82124638
778400	2653	1998-09-14	VYDAJ	PREVOD NA UCET	2310	55826	 	CD	82124638
778401	2653	1998-10-14	VYDAJ	PREVOD NA UCET	2310	62427	 	CD	82124638
778402	2653	1998-11-14	VYDAJ	PREVOD NA UCET	2310	60940	 	CD	82124638
778403	2653	1998-12-14	VYDAJ	PREVOD NA UCET	2310	73682	 	CD	82124638
778404	2653	1997-06-19	VYDAJ	VYBER	11200	56618	\N	\N	\N
778405	2653	1998-06-17	VYDAJ	VYBER	7100	56673	\N	\N	\N
778412	2653	1998-01-24	VYDAJ	VYBER KARTOU	1800	52415	\N	\N	0
778413	2653	1998-01-27	VYDAJ	VYBER KARTOU	800	50515	\N	\N	0
778414	2653	1998-01-19	VYDAJ	VYBER KARTOU	1600	57115	\N	\N	0
778415	2653	1998-01-25	VYDAJ	VYBER KARTOU	1100	51315	\N	\N	0
778416	2653	1998-01-28	VYDAJ	VYBER KARTOU	600	49915	\N	\N	0
778417	2653	1998-01-16	VYDAJ	VYBER KARTOU	1000	58715	\N	\N	0
778420	2653	1997-08-10	VYDAJ	VYBER	4300	55450	\N	\N	\N
778423	2653	1997-05-16	VYDAJ	VYBER	4300	56761	\N	\N	\N
778424	2653	1998-03-15	VYDAJ	VYBER KARTOU	3100	52295	\N	\N	0
778425	2653	1998-07-28	VYDAJ	VYBER KARTOU	2300	51468	\N	\N	0
778426	2653	1998-01-23	VYDAJ	VYBER KARTOU	2900	54215	\N	\N	0
778427	2653	1998-05-02	VYDAJ	VYBER KARTOU	1200	51376	\N	\N	0
778428	2653	1998-06-27	VYDAJ	VYBER KARTOU	3800	52873	\N	\N	0
778429	2653	1998-11-04	VYDAJ	VYBER KARTOU	1200	46451	\N	\N	0
778430	2653	1998-04-20	VYDAJ	VYBER KARTOU	3300	52379	\N	\N	0
778431	2653	1998-01-01	VYDAJ	VYBER	4300	63026	\N	\N	\N
778437	2653	1997-05-31	VYDAJ	VYBER	15	56990	SLUZBY	\N	\N
778438	2653	1997-06-30	VYDAJ	VYBER	15	56846	SLUZBY	\N	\N
778439	2653	1997-07-31	VYDAJ	VYBER	15	57251	SLUZBY	\N	\N
778440	2653	1997-08-31	VYDAJ	VYBER	15	53344	SLUZBY	\N	\N
778441	2653	1997-09-30	VYDAJ	VYBER	15	57847	SLUZBY	\N	\N
778442	2653	1997-10-31	VYDAJ	VYBER	15	59865	SLUZBY	\N	\N
778443	2653	1997-11-30	VYDAJ	VYBER	15	55860	SLUZBY	\N	\N
778444	2653	1997-12-31	VYDAJ	VYBER	15	67326	SLUZBY	\N	\N
778445	2653	1998-01-31	VYDAJ	VYBER	15	50122	SLUZBY	\N	\N
778446	2653	1998-02-28	VYDAJ	VYBER	15	54406	SLUZBY	\N	\N
778447	2653	1998-03-31	VYDAJ	VYBER	15	52490	SLUZBY	\N	\N
778448	2653	1998-04-30	VYDAJ	VYBER	15	52576	SLUZBY	\N	\N
778449	2653	1998-05-31	VYDAJ	VYBER	15	50645	SLUZBY	\N	\N
778450	2653	1998-06-30	VYDAJ	VYBER	15	53079	SLUZBY	\N	\N
778451	2653	1998-07-31	VYDAJ	VYBER	15	51662	SLUZBY	\N	\N
778452	2653	1998-08-31	VYDAJ	VYBER	15	51337	SLUZBY	\N	\N
778453	2653	1998-09-30	VYDAJ	VYBER	15	47938	SLUZBY	\N	\N
778454	2653	1998-10-31	VYDAJ	VYBER	15	47651	SLUZBY	\N	\N
778455	2653	1998-11-30	VYDAJ	VYBER	15	47654	SLUZBY	\N	\N
778456	2653	1997-02-07	VYDAJ	VYBER	2300	21048	\N	\N	\N
778457	2653	1997-03-09	VYDAJ	VYBER	13500	30783	\N	\N	\N
778458	2653	1997-04-08	VYDAJ	VYBER	18500	35574	\N	\N	\N
778459	2653	1997-05-08	VYDAJ	VYBER	18600	40292	\N	\N	\N
778460	2653	1997-06-07	VYDAJ	VYBER	15200	35510	\N	\N	\N
778461	2653	1997-07-07	VYDAJ	VYBER	14300	36266	\N	\N	\N
778462	2653	1997-08-06	VYDAJ	VYBER	14300	36671	\N	\N	\N
778463	2653	1997-09-05	VYDAJ	VYBER	10200	43144	\N	\N	\N
778464	2653	1997-10-05	VYDAJ	VYBER	12700	38867	\N	\N	\N
778465	2653	1997-11-04	VYDAJ	VYBER	18700	41165	\N	\N	\N
778466	2653	1997-12-04	VYDAJ	VYBER	14800	41060	\N	\N	\N
778467	2653	1998-01-03	VYDAJ	VYBER	17800	45226	\N	\N	\N
778468	2653	1998-02-02	VYDAJ	VYBER	10400	39722	\N	\N	\N
778469	2653	1998-03-04	VYDAJ	VYBER	13500	40906	\N	\N	\N
778470	2653	1998-04-03	VYDAJ	VYBER	11300	41190	\N	\N	\N
778471	2653	1998-05-03	VYDAJ	VYBER	15400	35976	\N	\N	\N
778472	2653	1998-06-02	VYDAJ	VYBER	12900	37745	\N	\N	\N
778473	2653	1998-07-02	VYDAJ	VYBER	13800	39279	\N	\N	\N
778474	2653	1998-08-01	VYDAJ	VYBER	15000	36662	\N	\N	\N
778475	2653	1998-08-31	VYDAJ	VYBER	10000	41337	\N	\N	\N
778476	2653	1998-09-30	VYDAJ	VYBER	8100	47952	\N	\N	\N
778477	2653	1998-10-30	VYDAJ	VYBER	15000	47427	\N	\N	\N
778478	2653	1998-11-29	VYDAJ	VYBER	13500	47440	\N	\N	\N
778503	2654	1994-07-21	PRIJEM	VKLAD	900	900	\N	\N	\N
778511	2654	1994-08-14	PRIJEM	PREVOD Z UCTU	6179	7079	DUCHOD	ST	54315930
778512	2654	1994-09-14	PRIJEM	PREVOD Z UCTU	6179	13258	DUCHOD	ST	54315930
778513	2654	1994-10-14	PRIJEM	PREVOD Z UCTU	6179	19437	DUCHOD	ST	54315930
778514	2654	1994-11-14	PRIJEM	PREVOD Z UCTU	6179	25616	DUCHOD	ST	54315930
778515	2654	1994-12-14	PRIJEM	PREVOD Z UCTU	6179	29738	DUCHOD	ST	54315930
778516	2654	1995-01-14	PRIJEM	PREVOD Z UCTU	6179	27311	DUCHOD	ST	54315930
778517	2654	1995-02-14	PRIJEM	PREVOD Z UCTU	6179	22241	DUCHOD	ST	54315930
778518	2654	1995-03-14	PRIJEM	PREVOD Z UCTU	6179	24616	DUCHOD	ST	54315930
778519	2654	1995-04-14	PRIJEM	PREVOD Z UCTU	6179	26601	DUCHOD	ST	54315930
778520	2654	1995-05-14	PRIJEM	PREVOD Z UCTU	6179	27635	DUCHOD	ST	54315930
778521	2654	1995-06-14	PRIJEM	PREVOD Z UCTU	6179	30045	DUCHOD	ST	54315930
778522	2654	1995-07-14	PRIJEM	PREVOD Z UCTU	6179	31251	DUCHOD	ST	54315930
778523	2654	1995-08-14	PRIJEM	PREVOD Z UCTU	6179	33664	DUCHOD	ST	54315930
778524	2654	1995-09-14	PRIJEM	PREVOD Z UCTU	6179	30476	DUCHOD	ST	54315930
778525	2654	1995-10-14	PRIJEM	PREVOD Z UCTU	6179	29687	DUCHOD	ST	54315930
778526	2654	1995-11-14	PRIJEM	PREVOD Z UCTU	6179	28953	DUCHOD	ST	54315930
778527	2654	1995-12-14	PRIJEM	PREVOD Z UCTU	6179	29258	DUCHOD	ST	54315930
778528	2654	1996-01-14	PRIJEM	PREVOD Z UCTU	6179	27907	DUCHOD	ST	54315930
778529	2654	1996-02-14	PRIJEM	PREVOD Z UCTU	6179	23560	DUCHOD	ST	54315930
778530	2654	1996-03-14	PRIJEM	PREVOD Z UCTU	6179	22575	DUCHOD	ST	54315930
778531	2654	1996-04-14	PRIJEM	PREVOD Z UCTU	6179	24961	DUCHOD	ST	54315930
778532	2654	1996-05-14	PRIJEM	PREVOD Z UCTU	6179	27357	DUCHOD	ST	54315930
778533	2654	1996-06-14	PRIJEM	PREVOD Z UCTU	6179	28663	DUCHOD	ST	54315930
778534	2654	1996-07-14	PRIJEM	PREVOD Z UCTU	6179	29225	DUCHOD	ST	54315930
778535	2654	1996-08-14	PRIJEM	PREVOD Z UCTU	6179	31630	DUCHOD	ST	54315930
778536	2654	1996-09-14	PRIJEM	PREVOD Z UCTU	6179	28913	DUCHOD	ST	54315930
778537	2654	1996-10-14	PRIJEM	PREVOD Z UCTU	6179	29622	DUCHOD	ST	54315930
778538	2654	1996-11-14	PRIJEM	PREVOD Z UCTU	6179	29397	DUCHOD	ST	54315930
778539	2654	1996-12-14	PRIJEM	PREVOD Z UCTU	6179	31411	DUCHOD	ST	54315930
778540	2654	1997-01-14	PRIJEM	PREVOD Z UCTU	6179	23575	DUCHOD	ST	54315930
778541	2654	1997-02-14	PRIJEM	PREVOD Z UCTU	6179	22407	DUCHOD	ST	54315930
778542	2654	1997-03-14	PRIJEM	PREVOD Z UCTU	6179	24783	DUCHOD	ST	54315930
778543	2654	1997-04-14	PRIJEM	PREVOD Z UCTU	6179	27169	DUCHOD	ST	54315930
778544	2654	1997-05-14	PRIJEM	PREVOD Z UCTU	6179	28465	DUCHOD	ST	54315930
778545	2654	1997-06-14	PRIJEM	PREVOD Z UCTU	6179	28308	DUCHOD	ST	54315930
778546	2654	1997-07-14	PRIJEM	PREVOD Z UCTU	6179	21166	DUCHOD	ST	54315930
778547	2654	1997-08-14	PRIJEM	PREVOD Z UCTU	6179	23546	DUCHOD	ST	54315930
778548	2654	1997-09-14	PRIJEM	PREVOD Z UCTU	6179	21926	DUCHOD	ST	54315930
778549	2654	1997-10-14	PRIJEM	PREVOD Z UCTU	6179	24308	DUCHOD	ST	54315930
778550	2654	1997-11-14	PRIJEM	PREVOD Z UCTU	6179	25700	DUCHOD	ST	54315930
778551	2654	1997-12-14	PRIJEM	PREVOD Z UCTU	6179	21900	DUCHOD	ST	54315930
778552	2654	1998-01-14	PRIJEM	PREVOD Z UCTU	6179	21434	DUCHOD	ST	54315930
778553	2654	1998-02-14	PRIJEM	PREVOD Z UCTU	6179	20927	DUCHOD	ST	54315930
778554	2654	1998-03-14	PRIJEM	PREVOD Z UCTU	6179	20296	DUCHOD	ST	54315930
778555	2654	1998-04-14	PRIJEM	PREVOD Z UCTU	6179	21276	DUCHOD	ST	54315930
778556	2654	1998-05-14	PRIJEM	PREVOD Z UCTU	6179	22413	DUCHOD	ST	54315930
778557	2654	1998-06-14	PRIJEM	PREVOD Z UCTU	6179	22708	DUCHOD	ST	54315930
778558	2654	1998-07-14	PRIJEM	PREVOD Z UCTU	6179	19194	DUCHOD	ST	54315930
778559	2654	1998-08-14	PRIJEM	PREVOD Z UCTU	6179	21086	DUCHOD	ST	54315930
778560	2654	1998-09-14	PRIJEM	PREVOD Z UCTU	6179	23456	DUCHOD	ST	54315930
778561	2654	1998-10-14	PRIJEM	PREVOD Z UCTU	6179	22042	DUCHOD	ST	54315930
778562	2654	1998-11-14	PRIJEM	PREVOD Z UCTU	6179	22922	DUCHOD	ST	54315930
778563	2654	1998-12-14	PRIJEM	PREVOD Z UCTU	6179	21948	DUCHOD	ST	54315930
778575	2654	1994-12-14	VYDAJ	PREVOD NA UCET	3861	25877	SIPO	MN	88949298
778576	2654	1995-01-14	VYDAJ	PREVOD NA UCET	3861	23450	SIPO	MN	88949298
778577	2654	1995-02-14	VYDAJ	PREVOD NA UCET	3861	18380	SIPO	MN	88949298
778578	2654	1995-03-14	VYDAJ	PREVOD NA UCET	3861	20755	SIPO	MN	88949298
778579	2654	1995-04-14	VYDAJ	PREVOD NA UCET	3861	22740	SIPO	MN	88949298
778580	2654	1995-05-14	VYDAJ	PREVOD NA UCET	3861	23774	SIPO	MN	88949298
778581	2654	1995-06-14	VYDAJ	PREVOD NA UCET	3861	26184	SIPO	MN	88949298
778582	2654	1995-07-14	VYDAJ	PREVOD NA UCET	3861	27390	SIPO	MN	88949298
778583	2654	1995-08-14	VYDAJ	PREVOD NA UCET	3861	29803	SIPO	MN	88949298
778584	2654	1995-09-14	VYDAJ	PREVOD NA UCET	3861	23415	SIPO	MN	88949298
778585	2654	1995-10-14	VYDAJ	PREVOD NA UCET	3861	25826	SIPO	MN	88949298
778586	2654	1995-11-14	VYDAJ	PREVOD NA UCET	3861	25092	SIPO	MN	88949298
778587	2654	1995-12-14	VYDAJ	PREVOD NA UCET	3861	25397	SIPO	MN	88949298
778588	2654	1996-01-14	VYDAJ	PREVOD NA UCET	3861	24046	SIPO	MN	88949298
778589	2654	1996-02-14	VYDAJ	PREVOD NA UCET	3861	19699	SIPO	MN	88949298
778590	2654	1996-03-14	VYDAJ	PREVOD NA UCET	3861	18714	SIPO	MN	88949298
778591	2654	1996-04-14	VYDAJ	PREVOD NA UCET	3861	21100	SIPO	MN	88949298
778592	2654	1996-05-14	VYDAJ	PREVOD NA UCET	3861	23496	SIPO	MN	88949298
778593	2654	1996-06-14	VYDAJ	PREVOD NA UCET	3861	24802	SIPO	MN	88949298
778594	2654	1996-07-14	VYDAJ	PREVOD NA UCET	3861	25364	SIPO	MN	88949298
778595	2654	1996-08-14	VYDAJ	PREVOD NA UCET	3861	27769	SIPO	MN	88949298
778596	2654	1996-09-14	VYDAJ	PREVOD NA UCET	3861	25052	SIPO	MN	88949298
778597	2654	1996-10-14	VYDAJ	PREVOD NA UCET	3861	25761	SIPO	MN	88949298
778598	2654	1996-11-14	VYDAJ	PREVOD NA UCET	3861	25536	SIPO	MN	88949298
778599	2654	1996-12-14	VYDAJ	PREVOD NA UCET	3861	27550	SIPO	MN	88949298
778600	2654	1997-01-14	VYDAJ	PREVOD NA UCET	3861	19714	SIPO	MN	88949298
778601	2654	1997-02-14	VYDAJ	PREVOD NA UCET	3861	18546	SIPO	MN	88949298
778602	2654	1997-03-14	VYDAJ	PREVOD NA UCET	3861	20922	SIPO	MN	88949298
778603	2654	1997-04-14	VYDAJ	PREVOD NA UCET	3861	23308	SIPO	MN	88949298
778604	2654	1997-05-14	VYDAJ	PREVOD NA UCET	3861	24604	SIPO	MN	88949298
778605	2654	1997-06-14	VYDAJ	PREVOD NA UCET	3861	24447	SIPO	MN	88949298
778606	2654	1997-07-14	VYDAJ	PREVOD NA UCET	3861	17305	SIPO	MN	88949298
778607	2654	1997-08-14	VYDAJ	PREVOD NA UCET	3861	19685	SIPO	MN	88949298
778608	2654	1997-09-14	VYDAJ	PREVOD NA UCET	3861	18065	SIPO	MN	88949298
778609	2654	1997-10-14	VYDAJ	PREVOD NA UCET	3861	20447	SIPO	MN	88949298
778610	2654	1997-11-14	VYDAJ	PREVOD NA UCET	3861	21839	SIPO	MN	88949298
778611	2654	1997-12-14	VYDAJ	PREVOD NA UCET	3861	18039	SIPO	MN	88949298
778612	2654	1998-01-14	VYDAJ	PREVOD NA UCET	3861	17573	SIPO	MN	88949298
778613	2654	1998-02-14	VYDAJ	PREVOD NA UCET	3861	17066	SIPO	MN	88949298
778614	2654	1998-03-14	VYDAJ	PREVOD NA UCET	3861	16435	SIPO	MN	88949298
778615	2654	1998-04-14	VYDAJ	PREVOD NA UCET	3861	17415	SIPO	MN	88949298
778616	2654	1998-05-14	VYDAJ	PREVOD NA UCET	3861	18552	SIPO	MN	88949298
778617	2654	1998-06-14	VYDAJ	PREVOD NA UCET	3861	18847	SIPO	MN	88949298
778618	2654	1998-07-14	VYDAJ	PREVOD NA UCET	3861	15333	SIPO	MN	88949298
778619	2654	1998-08-14	VYDAJ	PREVOD NA UCET	3861	17225	SIPO	MN	88949298
778620	2654	1998-09-14	VYDAJ	PREVOD NA UCET	3861	19595	SIPO	MN	88949298
778621	2654	1998-10-14	VYDAJ	PREVOD NA UCET	3861	18181	SIPO	MN	88949298
778622	2654	1998-11-14	VYDAJ	PREVOD NA UCET	3861	19061	SIPO	MN	88949298
778623	2654	1998-12-14	VYDAJ	PREVOD NA UCET	3861	18087	SIPO	MN	88949298
778627	2654	1997-06-28	VYDAJ	VYBER	9550	14897	\N	\N	\N
778631	2654	1996-01-19	VYDAJ	VYBER	1700	20826	\N	\N	\N
778632	2654	1997-01-22	VYDAJ	VYBER	750	17444	\N	\N	\N
778633	2654	1998-01-07	VYDAJ	VYBER	2450	15255	\N	\N	\N
778634	2654	1994-12-14	VYDAJ	VYBER	450	25427	\N	\N	\N
778635	2654	1995-12-07	VYDAJ	VYBER	500	24679	\N	\N	\N
778636	2654	1996-12-28	VYDAJ	VYBER	1450	26100	\N	\N	\N
778637	2654	1997-12-20	VYDAJ	VYBER	400	17639	\N	\N	\N
778638	2654	1998-12-03	VYDAJ	VYBER	1450	15769	\N	\N	\N
778645	2654	1995-01-12	VYDAJ	VYBER	480	21132	\N	\N	\N
778646	2654	1995-01-03	VYDAJ	VYBER	480	22252	\N	\N	\N
778647	2654	1995-01-14	VYDAJ	VYBER	480	22970	\N	\N	\N
778648	2654	1995-01-08	VYDAJ	VYBER	640	21612	\N	\N	\N
778649	2654	1995-01-27	VYDAJ	VYBER	1600	15990	\N	\N	\N
778650	2654	1995-01-17	VYDAJ	VYBER	1680	21290	\N	\N	\N
778651	2654	1996-01-19	VYDAJ	VYBER	1200	19626	\N	\N	\N
778652	2654	1996-01-06	VYDAJ	VYBER	960	22368	\N	\N	\N
778653	2654	1996-01-26	VYDAJ	VYBER	2320	17306	\N	\N	\N
778654	2654	1996-01-12	VYDAJ	VYBER	640	21728	\N	\N	\N
778655	2654	1996-01-16	VYDAJ	VYBER	1520	22526	\N	\N	\N
778656	2654	1996-01-05	VYDAJ	VYBER	2160	23328	\N	\N	\N
778657	2654	1997-01-02	VYDAJ	VYBER	1120	22196	\N	\N	\N
778658	2654	1997-01-03	VYDAJ	VYBER	2000	20196	\N	\N	\N
778659	2654	1997-01-12	VYDAJ	VYBER	1680	17396	\N	\N	\N
778660	2654	1997-01-16	VYDAJ	VYBER	1520	18194	\N	\N	\N
778661	2654	1997-01-11	VYDAJ	VYBER	1120	19076	\N	\N	\N
778662	2654	1997-01-29	VYDAJ	VYBER	1280	16164	\N	\N	\N
778663	2654	1998-01-30	VYDAJ	VYBER	720	14693	\N	\N	\N
778666	2654	1998-01-18	VYDAJ	VYBER	1760	15413	\N	\N	\N
778668	2654	1998-01-16	VYDAJ	VYBER	400	17173	\N	\N	\N
778674	2654	1995-05-01	VYDAJ	VYBER	1360	21456	\N	\N	\N
778675	2654	1995-01-03	VYDAJ	VYBER	1280	22732	\N	\N	\N
778676	2654	1995-11-05	VYDAJ	VYBER	640	22874	\N	\N	\N
778677	2654	1995-01-22	VYDAJ	VYBER	2800	17590	\N	\N	\N
778678	2654	1996-02-17	VYDAJ	VYBER	3360	16339	\N	\N	\N
778679	2654	1996-10-31	VYDAJ	VYBER	2240	23218	\N	\N	\N
778680	2654	1996-06-21	VYDAJ	VYBER	1840	22962	\N	\N	\N
778681	2654	1996-10-27	VYDAJ	VYBER	400	25361	\N	\N	\N
778682	2654	1996-09-02	VYDAJ	VYBER	2640	25234	\N	\N	\N
778683	2654	1997-06-11	VYDAJ	VYBER	1760	22129	\N	\N	\N
778684	2654	1997-01-01	VYDAJ	VYBER	2880	23316	\N	\N	\N
778687	2654	1998-04-21	VYDAJ	VYBER	640	16775	\N	\N	\N
778688	2654	1998-05-27	VYDAJ	VYBER	880	17672	\N	\N	\N
778689	2654	1998-08-03	VYDAJ	VYBER	480	14907	\N	\N	\N
778702	2654	1994-12-31	VYDAJ	VYBER	15	24012	SLUZBY	\N	\N
778703	2654	1995-01-31	VYDAJ	VYBER	15	16062	SLUZBY	\N	\N
778704	2654	1995-02-28	VYDAJ	VYBER	15	18437	SLUZBY	\N	\N
778705	2654	1995-03-31	VYDAJ	VYBER	15	20422	SLUZBY	\N	\N
778706	2654	1995-04-30	VYDAJ	VYBER	15	22816	SLUZBY	\N	\N
778707	2654	1995-05-31	VYDAJ	VYBER	15	23866	SLUZBY	\N	\N
778708	2654	1995-06-30	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
778709	2654	1995-07-31	VYDAJ	VYBER	15	27485	SLUZBY	\N	\N
778710	2654	1995-08-31	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
778711	2654	1995-09-30	VYDAJ	VYBER	15	23508	SLUZBY	\N	\N
778712	2654	1995-10-31	VYDAJ	VYBER	15	23514	SLUZBY	\N	\N
778713	2654	1995-11-30	VYDAJ	VYBER	15	25179	SLUZBY	\N	\N
778714	2654	1995-12-31	VYDAJ	VYBER	15	25488	SLUZBY	\N	\N
778715	2654	1996-01-31	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
778716	2654	1996-02-29	VYDAJ	VYBER	15	16396	SLUZBY	\N	\N
778717	2654	1996-03-31	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
778718	2654	1996-04-30	VYDAJ	VYBER	15	21178	SLUZBY	\N	\N
778719	2654	1996-05-31	VYDAJ	VYBER	15	23584	SLUZBY	\N	\N
778720	2654	1996-06-30	VYDAJ	VYBER	15	23046	SLUZBY	\N	\N
778721	2654	1996-07-31	VYDAJ	VYBER	15	25451	SLUZBY	\N	\N
778722	2654	1996-08-31	VYDAJ	VYBER	15	27874	SLUZBY	\N	\N
778723	2654	1996-09-30	VYDAJ	VYBER	15	25143	SLUZBY	\N	\N
778724	2654	1996-10-31	VYDAJ	VYBER	15	25458	SLUZBY	\N	\N
778725	2654	1996-11-30	VYDAJ	VYBER	15	25632	SLUZBY	\N	\N
778726	2654	1996-12-31	VYDAJ	VYBER	15	26196	SLUZBY	\N	\N
778727	2654	1997-01-31	VYDAJ	VYBER	15	16228	SLUZBY	\N	\N
778728	2654	1997-02-28	VYDAJ	VYBER	15	18604	SLUZBY	\N	\N
778729	2654	1997-03-31	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
778730	2654	1997-04-30	VYDAJ	VYBER	15	23386	SLUZBY	\N	\N
778731	2654	1997-05-31	VYDAJ	VYBER	15	24689	SLUZBY	\N	\N
778732	2654	1997-06-30	VYDAJ	VYBER	15	14987	SLUZBY	\N	\N
778733	2654	1997-07-31	VYDAJ	VYBER	15	17367	SLUZBY	\N	\N
778734	2654	1997-08-31	VYDAJ	VYBER	15	19747	SLUZBY	\N	\N
778735	2654	1997-09-30	VYDAJ	VYBER	15	18129	SLUZBY	\N	\N
778736	2654	1997-10-31	VYDAJ	VYBER	15	20521	SLUZBY	\N	\N
778737	2654	1997-11-30	VYDAJ	VYBER	15	21921	SLUZBY	\N	\N
778738	2654	1997-12-31	VYDAJ	VYBER	15	17705	SLUZBY	\N	\N
778739	2654	1998-01-31	VYDAJ	VYBER	15	14748	SLUZBY	\N	\N
778740	2654	1998-02-28	VYDAJ	VYBER	15	17117	SLUZBY	\N	\N
778741	2654	1998-03-31	VYDAJ	VYBER	15	16497	SLUZBY	\N	\N
778742	2654	1998-04-30	VYDAJ	VYBER	15	16834	SLUZBY	\N	\N
778743	2654	1998-05-31	VYDAJ	VYBER	15	16529	SLUZBY	\N	\N
778744	2654	1998-06-30	VYDAJ	VYBER	15	18915	SLUZBY	\N	\N
778745	2654	1998-07-31	VYDAJ	VYBER	15	15387	SLUZBY	\N	\N
778746	2654	1998-08-31	VYDAJ	VYBER	15	17277	SLUZBY	\N	\N
778747	2654	1998-09-30	VYDAJ	VYBER	15	15863	SLUZBY	\N	\N
778748	2654	1998-10-31	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
778749	2654	1998-11-30	VYDAJ	VYBER	15	17219	SLUZBY	\N	\N
778750	2654	1994-11-18	VYDAJ	VYBER	2100	23516	\N	\N	\N
778751	2654	1994-12-18	VYDAJ	VYBER	1500	23927	\N	\N	\N
778752	2654	1995-01-17	VYDAJ	VYBER	900	20390	\N	\N	\N
778753	2654	1995-03-18	VYDAJ	VYBER	400	20355	\N	\N	\N
778754	2654	1995-06-16	VYDAJ	VYBER	1200	24984	\N	\N	\N
778755	2654	1995-08-15	VYDAJ	VYBER	5600	24203	\N	\N	\N
778756	2654	1995-09-14	VYDAJ	VYBER	3200	27276	\N	\N	\N
778757	2654	1995-10-14	VYDAJ	VYBER	2400	23426	\N	\N	\N
778758	2654	1995-11-13	VYDAJ	VYBER	100	22774	\N	\N	\N
778759	2654	1995-12-13	VYDAJ	VYBER	1600	23079	\N	\N	\N
778760	2654	1996-06-10	VYDAJ	VYBER	1100	22484	\N	\N	\N
778761	2654	1996-09-08	VYDAJ	VYBER	2500	22734	\N	\N	\N
778762	2654	1996-10-08	VYDAJ	VYBER	1700	23443	\N	\N	\N
778763	2654	1996-12-07	VYDAJ	VYBER	400	25232	\N	\N	\N
778764	2654	1997-05-06	VYDAJ	VYBER	1100	22286	\N	\N	\N
778765	2654	1997-06-05	VYDAJ	VYBER	800	23889	\N	\N	\N
778766	2654	1997-09-03	VYDAJ	VYBER	4000	15747	\N	\N	\N
778767	2654	1997-11-02	VYDAJ	VYBER	1000	19521	\N	\N	\N
778768	2654	1997-12-02	VYDAJ	VYBER	6200	15721	\N	\N	\N
778769	2654	1998-03-02	VYDAJ	VYBER	3000	14117	\N	\N	\N
778770	2654	1998-04-01	VYDAJ	VYBER	1400	15097	\N	\N	\N
778771	2654	1998-05-01	VYDAJ	VYBER	600	16234	\N	\N	\N
778772	2654	1998-05-31	VYDAJ	VYBER	1200	16544	\N	\N	\N
778773	2654	1998-06-30	VYDAJ	VYBER	5900	13015	\N	\N	\N
778774	2654	1998-09-28	VYDAJ	VYBER	3800	15795	\N	\N	\N
778775	2654	1998-10-28	VYDAJ	VYBER	1500	16681	\N	\N	\N
778776	2654	1998-11-27	VYDAJ	VYBER	1900	17161	\N	\N	\N
778827	2655	1996-09-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
778828	2655	1996-12-27	PRIJEM	VKLAD	25224	56581	\N	\N	\N
778834	2655	1996-11-02	PRIJEM	VKLAD	30341	83759	\N	\N	\N
778836	2655	1996-12-07	PRIJEM	VKLAD	19332	61019	\N	\N	\N
778837	2655	1996-10-06	PRIJEM	VKLAD	11562	83881	\N	\N	\N
778838	2655	1996-09-18	PRIJEM	VKLAD	43114	44214	\N	\N	\N
778842	2655	1996-09-20	PRIJEM	VKLAD	27982	72196	\N	\N	\N
778843	2655	1997-12-02	PRIJEM	VKLAD	30867	76669	\N	\N	\N
778844	2655	1997-11-18	PRIJEM	VKLAD	38435	68975	\N	\N	\N
778845	2655	1997-04-24	PRIJEM	VKLAD	8736	33937	\N	\N	\N
778846	2655	1997-08-06	PRIJEM	VKLAD	8642	30496	\N	\N	\N
778847	2655	1997-08-12	PRIJEM	VKLAD	5087	34155	\N	\N	\N
778848	2655	1997-02-15	PRIJEM	VKLAD	16170	51513	\N	\N	\N
778849	2655	1997-08-23	PRIJEM	VKLAD	31108	60863	\N	\N	\N
778850	2655	1997-12-09	PRIJEM	VKLAD	9824	86493	\N	\N	\N
778851	2655	1997-10-22	PRIJEM	VKLAD	14182	80218	\N	\N	\N
778852	2655	1997-10-20	PRIJEM	VKLAD	39177	66036	\N	\N	\N
778853	2655	1997-01-18	PRIJEM	VKLAD	23590	41860	\N	\N	\N
778854	2655	1997-04-30	PRIJEM	VKLAD	35898	69958	\N	\N	\N
778855	2655	1997-01-19	PRIJEM	VKLAD	12469	54329	\N	\N	\N
778856	2655	1998-05-10	PRIJEM	VKLAD	42097	62910	\N	\N	\N
778857	2655	1998-10-13	PRIJEM	VKLAD	36545	73459	\N	\N	\N
778858	2655	1998-07-29	PRIJEM	VKLAD	21354	46005	\N	\N	\N
778859	2655	1998-08-01	PRIJEM	VKLAD	40079	78784	\N	\N	\N
778907	2655	1996-12-13	VYDAJ	PREVOD NA UCET	2900	56691	SIPO	QR	637197
778908	2655	1997-01-13	VYDAJ	PREVOD NA UCET	2900	18270	SIPO	QR	637197
778909	2655	1997-02-13	VYDAJ	PREVOD NA UCET	2900	35343	SIPO	QR	637197
778910	2655	1997-03-13	VYDAJ	PREVOD NA UCET	2900	27006	SIPO	QR	637197
778911	2655	1997-04-13	VYDAJ	PREVOD NA UCET	2900	25201	SIPO	QR	637197
778912	2655	1997-05-13	VYDAJ	PREVOD NA UCET	2900	49215	SIPO	QR	637197
778913	2655	1997-06-13	VYDAJ	PREVOD NA UCET	2900	16147	SIPO	QR	637197
778914	2655	1997-07-13	VYDAJ	PREVOD NA UCET	2900	19490	SIPO	QR	637197
778915	2655	1997-08-13	VYDAJ	PREVOD NA UCET	2900	31255	SIPO	QR	637197
778916	2655	1997-09-13	VYDAJ	PREVOD NA UCET	2900	30771	SIPO	QR	637197
778917	2655	1997-10-13	VYDAJ	PREVOD NA UCET	2900	26859	SIPO	QR	637197
778918	2655	1997-11-13	VYDAJ	PREVOD NA UCET	2900	30540	SIPO	QR	637197
778919	2655	1997-12-13	VYDAJ	PREVOD NA UCET	2900	82165	SIPO	QR	637197
778920	2655	1998-01-13	VYDAJ	PREVOD NA UCET	2900	21542	SIPO	QR	637197
778921	2655	1998-02-13	VYDAJ	PREVOD NA UCET	2900	22844	SIPO	QR	637197
778922	2655	1998-03-13	VYDAJ	PREVOD NA UCET	2900	21703	SIPO	QR	637197
778923	2655	1998-04-13	VYDAJ	PREVOD NA UCET	2900	16253	SIPO	QR	637197
778924	2655	1998-05-13	VYDAJ	PREVOD NA UCET	2900	58582	SIPO	QR	637197
778925	2655	1998-06-13	VYDAJ	PREVOD NA UCET	2900	37334	SIPO	QR	637197
778926	2655	1998-07-13	VYDAJ	PREVOD NA UCET	2900	24651	SIPO	QR	637197
778927	2655	1998-08-13	VYDAJ	PREVOD NA UCET	2900	74456	SIPO	QR	637197
778928	2655	1998-09-13	VYDAJ	PREVOD NA UCET	2900	44364	SIPO	QR	637197
778929	2655	1998-10-13	VYDAJ	PREVOD NA UCET	2900	70559	SIPO	QR	637197
778930	2655	1998-11-13	VYDAJ	PREVOD NA UCET	2900	45517	SIPO	QR	637197
778931	2655	1998-12-13	VYDAJ	PREVOD NA UCET	2900	33364	SIPO	QR	637197
778943	2655	1996-12-10	VYDAJ	PREVOD NA UCET	89	60930	 	WX	4603857
778944	2655	1997-01-10	VYDAJ	PREVOD NA UCET	89	22509	 	WX	4603857
778945	2655	1997-02-10	VYDAJ	PREVOD NA UCET	89	39582	 	WX	4603857
778946	2655	1997-03-10	VYDAJ	PREVOD NA UCET	89	37991	 	WX	4603857
778947	2655	1997-04-10	VYDAJ	PREVOD NA UCET	89	29440	 	WX	4603857
778948	2655	1997-05-10	VYDAJ	PREVOD NA UCET	89	53454	 	WX	4603857
778949	2655	1997-06-10	VYDAJ	PREVOD NA UCET	89	20386	 	WX	4603857
778950	2655	1997-07-10	VYDAJ	PREVOD NA UCET	89	23729	 	WX	4603857
778951	2655	1997-08-10	VYDAJ	PREVOD NA UCET	89	30407	 	WX	4603857
778952	2655	1997-09-10	VYDAJ	PREVOD NA UCET	89	35010	 	WX	4603857
778953	2655	1997-10-10	VYDAJ	PREVOD NA UCET	89	31098	 	WX	4603857
778954	2655	1997-11-10	VYDAJ	PREVOD NA UCET	89	34779	 	WX	4603857
778955	2655	1997-12-10	VYDAJ	PREVOD NA UCET	89	86404	 	WX	4603857
778956	2655	1998-01-10	VYDAJ	PREVOD NA UCET	89	40781	 	WX	4603857
778957	2655	1998-02-10	VYDAJ	PREVOD NA UCET	89	27083	 	WX	4603857
778958	2655	1998-03-10	VYDAJ	PREVOD NA UCET	89	25942	 	WX	4603857
778959	2655	1998-04-10	VYDAJ	PREVOD NA UCET	89	20492	 	WX	4603857
778960	2655	1998-05-10	VYDAJ	PREVOD NA UCET	89	62821	 	WX	4603857
778961	2655	1998-06-10	VYDAJ	PREVOD NA UCET	89	41573	 	WX	4603857
778962	2655	1998-07-10	VYDAJ	PREVOD NA UCET	89	28890	 	WX	4603857
778963	2655	1998-08-10	VYDAJ	PREVOD NA UCET	89	78695	 	WX	4603857
778964	2655	1998-09-10	VYDAJ	PREVOD NA UCET	89	52803	 	WX	4603857
778965	2655	1998-10-10	VYDAJ	PREVOD NA UCET	89	38253	 	WX	4603857
778966	2655	1998-11-10	VYDAJ	PREVOD NA UCET	89	49756	 	WX	4603857
778967	2655	1998-12-10	VYDAJ	PREVOD NA UCET	89	37603	 	WX	4603857
778979	2655	1996-12-11	VYDAJ	PREVOD NA UCET	1339	59591	POJISTNE	KL	9168452
778980	2655	1997-01-11	VYDAJ	PREVOD NA UCET	1339	21170	POJISTNE	KL	9168452
778981	2655	1997-02-11	VYDAJ	PREVOD NA UCET	1339	38243	POJISTNE	KL	9168452
778982	2655	1997-03-11	VYDAJ	PREVOD NA UCET	1339	29906	POJISTNE	KL	9168452
778983	2655	1997-04-11	VYDAJ	PREVOD NA UCET	1339	28101	POJISTNE	KL	9168452
778984	2655	1997-05-11	VYDAJ	PREVOD NA UCET	1339	52115	POJISTNE	KL	9168452
778985	2655	1997-06-11	VYDAJ	PREVOD NA UCET	1339	19047	POJISTNE	KL	9168452
778986	2655	1997-07-11	VYDAJ	PREVOD NA UCET	1339	22390	POJISTNE	KL	9168452
778987	2655	1997-08-11	VYDAJ	PREVOD NA UCET	1339	29068	POJISTNE	KL	9168452
778988	2655	1997-09-11	VYDAJ	PREVOD NA UCET	1339	33671	POJISTNE	KL	9168452
778989	2655	1997-10-11	VYDAJ	PREVOD NA UCET	1339	29759	POJISTNE	KL	9168452
778990	2655	1997-11-11	VYDAJ	PREVOD NA UCET	1339	33440	POJISTNE	KL	9168452
778991	2655	1997-12-11	VYDAJ	PREVOD NA UCET	1339	85065	POJISTNE	KL	9168452
778992	2655	1998-01-11	VYDAJ	PREVOD NA UCET	1339	39442	POJISTNE	KL	9168452
778993	2655	1998-02-11	VYDAJ	PREVOD NA UCET	1339	25744	POJISTNE	KL	9168452
778994	2655	1998-03-11	VYDAJ	PREVOD NA UCET	1339	24603	POJISTNE	KL	9168452
778995	2655	1998-04-11	VYDAJ	PREVOD NA UCET	1339	19153	POJISTNE	KL	9168452
778996	2655	1998-05-11	VYDAJ	PREVOD NA UCET	1339	61482	POJISTNE	KL	9168452
778997	2655	1998-06-11	VYDAJ	PREVOD NA UCET	1339	40234	POJISTNE	KL	9168452
778998	2655	1998-07-11	VYDAJ	PREVOD NA UCET	1339	27551	POJISTNE	KL	9168452
778999	2655	1998-08-11	VYDAJ	PREVOD NA UCET	1339	77356	POJISTNE	KL	9168452
779000	2655	1998-09-11	VYDAJ	PREVOD NA UCET	1339	47264	POJISTNE	KL	9168452
779001	2655	1998-10-11	VYDAJ	PREVOD NA UCET	1339	36914	POJISTNE	KL	9168452
779002	2655	1998-11-11	VYDAJ	PREVOD NA UCET	1339	48417	POJISTNE	KL	9168452
779003	2655	1998-12-11	VYDAJ	PREVOD NA UCET	1339	36264	POJISTNE	KL	9168452
779007	2655	1996-12-24	VYBER	VYBER	8767	47924	\N	\N	\N
779009	2655	1996-12-25	VYBER	VYBER	9067	38857	\N	\N	\N
779012	2655	1997-03-01	VYBER	VYBER	14613	37080	\N	\N	\N
779015	2655	1997-03-11	VYBER	VYBER	6746	31245	\N	\N	\N
779017	2655	1997-06-06	VYBER	VYBER	7918	24888	\N	\N	\N
779018	2655	1997-06-08	VYBER	VYBER	4413	20475	\N	\N	\N
779020	2655	1997-11-08	VYBER	VYBER	17729	34868	\N	\N	\N
779022	2655	1997-08-28	VYBER	VYBER	8497	52366	\N	\N	\N
779023	2655	1998-10-19	VYBER	VYBER	8218	62341	\N	\N	\N
779029	2655	1997-01-07	VYDAJ	VYBER	14700	22598	\N	\N	\N
779030	2655	1998-01-12	VYDAJ	VYBER	9900	24442	\N	\N	\N
779032	2655	1997-12-15	VYDAJ	VYBER	6900	75265	\N	\N	\N
779033	2655	1998-12-15	VYDAJ	VYBER	4200	29164	\N	\N	\N
779041	2655	1997-01-28	VYDAJ	VYBER	3300	44129	\N	\N	\N
779042	2655	1997-01-04	VYDAJ	VYBER	5100	48398	\N	\N	\N
779043	2655	1997-01-02	VYDAJ	VYBER	3300	53498	\N	\N	\N
779044	2655	1997-01-20	VYDAJ	VYBER	6900	47429	\N	\N	\N
779048	2655	1998-01-06	VYDAJ	VYBER	6300	40870	\N	\N	\N
779049	2655	1998-01-06	VYDAJ	VYBER	8400	47170	\N	\N	\N
779050	2655	1998-01-12	VYDAJ	VYBER	5100	34342	\N	\N	\N
779052	2655	1996-12-26	VYDAJ	VYBER	7500	31357	\N	\N	\N
779059	2655	1997-08-28	VYDAJ	VYBER	10500	41866	\N	\N	\N
779060	2655	1997-10-30	VYDAJ	VYBER	1800	78418	\N	\N	\N
779062	2655	1997-05-17	VYDAJ	VYBER	12900	36315	\N	\N	\N
779063	2655	1997-08-22	VYDAJ	VYBER	1500	29755	\N	\N	\N
779064	2655	1997-09-14	VYDAJ	VYBER	5400	25371	\N	\N	\N
779065	2655	1997-11-28	VYDAJ	VYBER	9900	59075	\N	\N	\N
779066	2655	1998-09-28	VYDAJ	VYBER	3000	38164	\N	\N	\N
779067	2655	1998-09-10	VYDAJ	VYBER	4200	48603	\N	\N	\N
779069	2655	1998-08-23	VYDAJ	VYBER	7200	67256	\N	\N	\N
779083	2655	1996-12-31	VYDAJ	VYBER	15	56798	SLUZBY	\N	\N
779084	2655	1997-01-31	VYDAJ	VYBER	15	44271	SLUZBY	\N	\N
779085	2655	1997-02-28	VYDAJ	VYBER	15	51693	SLUZBY	\N	\N
779086	2655	1997-03-31	VYDAJ	VYBER	15	27129	SLUZBY	\N	\N
779087	2655	1997-04-30	VYDAJ	VYBER	15	69943	SLUZBY	\N	\N
779088	2655	1997-05-31	VYDAJ	VYBER	15	36506	SLUZBY	\N	\N
779089	2655	1997-06-30	VYDAJ	VYBER	15	16218	SLUZBY	\N	\N
779090	2655	1997-07-31	VYDAJ	VYBER	15	19554	SLUZBY	\N	\N
779091	2655	1997-08-31	VYDAJ	VYBER	15	41999	SLUZBY	\N	\N
779092	2655	1997-09-30	VYDAJ	VYBER	15	25487	SLUZBY	\N	\N
779093	2655	1997-10-31	VYDAJ	VYBER	15	78597	SLUZBY	\N	\N
779094	2655	1997-11-30	VYDAJ	VYBER	15	59302	SLUZBY	\N	\N
779095	2655	1997-12-31	VYDAJ	VYBER	15	75570	SLUZBY	\N	\N
779096	2655	1998-01-31	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
779097	2655	1998-02-28	VYDAJ	VYBER	15	22931	SLUZBY	\N	\N
779098	2655	1998-03-31	VYDAJ	VYBER	15	20581	SLUZBY	\N	\N
779099	2655	1998-04-30	VYDAJ	VYBER	15	20813	SLUZBY	\N	\N
779100	2655	1998-05-31	VYDAJ	VYBER	15	41662	SLUZBY	\N	\N
779101	2655	1998-06-30	VYDAJ	VYBER	15	28979	SLUZBY	\N	\N
779102	2655	1998-07-31	VYDAJ	VYBER	15	38705	SLUZBY	\N	\N
779103	2655	1998-08-31	VYDAJ	VYBER	15	52892	SLUZBY	\N	\N
779104	2655	1998-09-30	VYDAJ	VYBER	15	38342	SLUZBY	\N	\N
779105	2655	1998-10-31	VYDAJ	VYBER	15	49845	SLUZBY	\N	\N
779106	2655	1998-11-30	VYDAJ	VYBER	15	37692	SLUZBY	\N	\N
779107	2655	1996-10-07	VYDAJ	VYBER	30700	53181	\N	\N	\N
779108	2655	1996-11-06	VYDAJ	VYBER	28500	55259	\N	\N	\N
779109	2655	1996-12-06	VYDAJ	VYBER	13800	41687	\N	\N	\N
779110	2655	1997-01-05	VYDAJ	VYBER	11100	37298	\N	\N	\N
779111	2655	1997-02-04	VYDAJ	VYBER	4600	39671	\N	\N	\N
779112	2655	1997-03-06	PRIJEM	VKLAD	1000	38080	\N	\N	\N
779113	2655	1997-04-05	PRIJEM	VKLAD	2400	29529	\N	\N	\N
779114	2655	1997-05-05	VYDAJ	VYBER	16400	53543	\N	\N	\N
779115	2655	1997-06-04	VYDAJ	VYBER	3700	32806	\N	\N	\N
779116	2655	1997-07-04	PRIJEM	VKLAD	7600	23818	\N	\N	\N
779117	2655	1997-08-03	PRIJEM	VKLAD	2300	21854	\N	\N	\N
779118	2655	1997-09-02	VYDAJ	VYBER	6900	35099	\N	\N	\N
779119	2655	1997-10-02	PRIJEM	VKLAD	5700	31187	\N	\N	\N
779120	2655	1997-11-01	VYDAJ	VYBER	26000	52597	\N	\N	\N
779121	2655	1997-12-01	VYDAJ	VYBER	13500	45802	\N	\N	\N
779122	2655	1997-12-31	VYDAJ	VYBER	20000	55570	\N	\N	\N
779123	2655	1998-01-30	PRIJEM	VKLAD	5500	27042	\N	\N	\N
779124	2655	1998-03-01	PRIJEM	VKLAD	3100	26031	\N	\N	\N
779125	2655	1998-03-31	VYDAJ	VYBER	1200	20596	\N	\N	\N
779126	2655	1998-04-30	PRIJEM	VKLAD	4500	20828	\N	\N	\N
779127	2655	1998-05-30	VYDAJ	VYBER	17100	41482	\N	\N	\N
779128	2655	1998-06-29	VYDAJ	VYBER	8500	28834	\N	\N	\N
779129	2655	1998-07-29	VYDAJ	VYBER	7400	38605	\N	\N	\N
779130	2655	1998-08-28	VYDAJ	VYBER	14600	52656	\N	\N	\N
779131	2655	1998-09-27	VYDAJ	VYBER	3200	41164	\N	\N	\N
779132	2655	1998-10-27	VYDAJ	VYBER	12700	49641	\N	\N	\N
779133	2655	1998-11-26	VYDAJ	VYBER	8000	37517	\N	\N	\N
779162	2656	1997-02-18	PRIJEM	VKLAD	900	900	\N	\N	\N
779165	2656	1997-03-13	PRIJEM	PREVOD Z UCTU	5046	5946	DUCHOD	CD	1350367
779166	2656	1997-04-13	PRIJEM	PREVOD Z UCTU	5046	10992	DUCHOD	CD	1350367
779167	2656	1997-05-13	PRIJEM	PREVOD Z UCTU	5046	16038	DUCHOD	CD	1350367
779168	2656	1997-06-13	PRIJEM	PREVOD Z UCTU	5046	21084	DUCHOD	CD	1350367
779169	2656	1997-07-13	PRIJEM	PREVOD Z UCTU	5046	26130	DUCHOD	CD	1350367
779170	2656	1997-08-13	PRIJEM	PREVOD Z UCTU	5046	29038	DUCHOD	CD	1350367
779171	2656	1997-09-13	PRIJEM	PREVOD Z UCTU	5046	30975	DUCHOD	CD	1350367
779172	2656	1997-10-13	PRIJEM	PREVOD Z UCTU	5046	31097	DUCHOD	CD	1350367
779173	2656	1997-11-13	PRIJEM	PREVOD Z UCTU	5046	32805	DUCHOD	CD	1350367
779174	2656	1997-12-13	PRIJEM	PREVOD Z UCTU	5046	32634	DUCHOD	CD	1350367
779175	2656	1998-01-13	PRIJEM	PREVOD Z UCTU	5046	28360	DUCHOD	CD	1350367
779176	2656	1998-02-13	PRIJEM	PREVOD Z UCTU	5046	18617	DUCHOD	CD	1350367
779177	2656	1998-03-13	PRIJEM	PREVOD Z UCTU	5046	18467	DUCHOD	CD	1350367
779178	2656	1998-04-13	PRIJEM	PREVOD Z UCTU	5046	21443	DUCHOD	CD	1350367
779179	2656	1998-05-13	PRIJEM	PREVOD Z UCTU	5046	23228	DUCHOD	CD	1350367
779180	2656	1998-06-13	PRIJEM	PREVOD Z UCTU	5046	22314	DUCHOD	CD	1350367
779181	2656	1998-07-13	PRIJEM	PREVOD Z UCTU	5046	25205	DUCHOD	CD	1350367
779182	2656	1998-08-13	PRIJEM	PREVOD Z UCTU	5046	22709	DUCHOD	CD	1350367
779183	2656	1998-09-13	PRIJEM	PREVOD Z UCTU	5046	25705	DUCHOD	CD	1350367
779184	2656	1998-10-13	PRIJEM	PREVOD Z UCTU	5046	25746	DUCHOD	CD	1350367
779185	2656	1998-11-13	PRIJEM	PREVOD Z UCTU	5046	28752	DUCHOD	CD	1350367
779186	2656	1998-12-13	PRIJEM	PREVOD Z UCTU	5046	31770	DUCHOD	CD	1350367
779194	2656	1997-08-10	VYDAJ	PREVOD NA UCET	409	23992	SIPO	OP	41066408
779195	2656	1997-09-10	VYDAJ	PREVOD NA UCET	409	25929	SIPO	OP	41066408
779196	2656	1997-10-10	VYDAJ	PREVOD NA UCET	409	26051	SIPO	OP	41066408
779197	2656	1997-11-10	VYDAJ	PREVOD NA UCET	409	27759	SIPO	OP	41066408
779198	2656	1997-12-10	VYDAJ	PREVOD NA UCET	409	27588	SIPO	OP	41066408
779199	2656	1998-01-10	VYDAJ	PREVOD NA UCET	409	23314	SIPO	OP	41066408
779200	2656	1998-02-10	VYDAJ	PREVOD NA UCET	409	13571	SIPO	OP	41066408
779201	2656	1998-03-10	VYDAJ	PREVOD NA UCET	409	13421	SIPO	OP	41066408
779202	2656	1998-04-10	VYDAJ	PREVOD NA UCET	409	16397	SIPO	OP	41066408
779203	2656	1998-05-10	VYDAJ	PREVOD NA UCET	409	18182	SIPO	OP	41066408
779204	2656	1998-06-10	VYDAJ	PREVOD NA UCET	409	17268	SIPO	OP	41066408
779205	2656	1998-07-10	VYDAJ	PREVOD NA UCET	409	20159	SIPO	OP	41066408
779206	2656	1998-08-10	VYDAJ	PREVOD NA UCET	409	17663	SIPO	OP	41066408
779207	2656	1998-09-10	VYDAJ	PREVOD NA UCET	409	20659	SIPO	OP	41066408
779208	2656	1998-10-10	VYDAJ	PREVOD NA UCET	409	20700	SIPO	OP	41066408
779209	2656	1998-11-10	VYDAJ	PREVOD NA UCET	409	23706	SIPO	OP	41066408
779210	2656	1998-12-10	VYDAJ	PREVOD NA UCET	409	26724	SIPO	OP	41066408
779218	2656	1997-08-08	VYDAJ	PREVOD NA UCET	1718	24401	 	OP	42664700
779219	2656	1997-09-08	VYDAJ	PREVOD NA UCET	1718	26338	 	OP	42664700
779220	2656	1997-10-08	VYDAJ	PREVOD NA UCET	1718	26460	 	OP	42664700
779221	2656	1997-11-08	VYDAJ	PREVOD NA UCET	1718	28168	 	OP	42664700
779222	2656	1997-12-08	VYDAJ	PREVOD NA UCET	1718	27997	 	OP	42664700
779223	2656	1998-01-08	VYDAJ	PREVOD NA UCET	1718	23723	 	OP	42664700
779224	2656	1998-02-08	VYDAJ	PREVOD NA UCET	1718	13980	 	OP	42664700
779225	2656	1998-03-08	VYDAJ	PREVOD NA UCET	1718	13830	 	OP	42664700
779226	2656	1998-04-08	VYDAJ	PREVOD NA UCET	1718	16806	 	OP	42664700
779227	2656	1998-05-08	VYDAJ	PREVOD NA UCET	1718	18591	 	OP	42664700
779228	2656	1998-06-08	VYDAJ	PREVOD NA UCET	1718	17677	 	OP	42664700
779229	2656	1998-07-08	VYDAJ	PREVOD NA UCET	1718	20568	 	OP	42664700
779230	2656	1998-08-08	VYDAJ	PREVOD NA UCET	1718	20072	 	OP	42664700
779231	2656	1998-09-08	VYDAJ	PREVOD NA UCET	1718	21068	 	OP	42664700
779232	2656	1998-10-08	VYDAJ	PREVOD NA UCET	1718	21109	 	OP	42664700
779233	2656	1998-11-08	VYDAJ	PREVOD NA UCET	1718	24115	 	OP	42664700
779234	2656	1998-12-08	VYDAJ	PREVOD NA UCET	1718	27133	 	OP	42664700
779243	2656	1998-01-26	VYDAJ	VYBER	1440	16980	\N	\N	\N
779244	2656	1998-01-19	VYDAJ	VYBER	2320	19460	\N	\N	\N
779245	2656	1998-01-06	VYDAJ	VYBER	2160	25441	\N	\N	\N
779246	2656	1998-01-13	VYDAJ	VYBER	2080	26280	\N	\N	\N
779247	2656	1998-01-28	VYDAJ	VYBER	1360	15620	\N	\N	\N
779248	2656	1998-01-01	VYDAJ	VYBER	1440	27601	\N	\N	\N
779249	2656	1997-11-01	VYDAJ	VYBER	1120	29886	\N	\N	\N
779252	2656	1997-08-15	VYDAJ	VYBER	480	28558	\N	\N	\N
779253	2656	1998-01-24	VYDAJ	VYBER	1040	18420	\N	\N	\N
779254	2656	1998-08-10	VYDAJ	VYBER	2000	18072	\N	\N	\N
779255	2656	1998-02-18	VYDAJ	VYBER	3120	15497	\N	\N	\N
779256	2656	1998-09-21	VYDAJ	VYBER	2960	22745	\N	\N	\N
779257	2656	1998-01-16	VYDAJ	VYBER	800	21780	\N	\N	\N
779265	2656	1997-07-31	VYDAJ	VYBER	15	26119	SLUZBY	\N	\N
779266	2656	1997-08-31	VYDAJ	VYBER	15	28056	SLUZBY	\N	\N
779267	2656	1997-09-30	VYDAJ	VYBER	15	28178	SLUZBY	\N	\N
779268	2656	1997-10-31	VYDAJ	VYBER	15	31006	SLUZBY	\N	\N
779269	2656	1997-11-30	VYDAJ	VYBER	15	29715	SLUZBY	\N	\N
779270	2656	1997-12-31	VYDAJ	VYBER	15	29041	SLUZBY	\N	\N
779271	2656	1998-01-31	VYDAJ	VYBER	15	15698	SLUZBY	\N	\N
779272	2656	1998-02-28	VYDAJ	VYBER	15	15548	SLUZBY	\N	\N
779273	2656	1998-03-31	VYDAJ	VYBER	15	18524	SLUZBY	\N	\N
779274	2656	1998-04-30	VYDAJ	VYBER	15	20309	SLUZBY	\N	\N
779275	2656	1998-05-31	VYDAJ	VYBER	15	19395	SLUZBY	\N	\N
779276	2656	1998-06-30	VYDAJ	VYBER	15	22286	SLUZBY	\N	\N
779277	2656	1998-07-31	VYDAJ	VYBER	15	21790	SLUZBY	\N	\N
779278	2656	1998-08-31	VYDAJ	VYBER	15	22786	SLUZBY	\N	\N
779279	2656	1998-09-30	VYDAJ	VYBER	15	22827	SLUZBY	\N	\N
779280	2656	1998-10-31	VYDAJ	VYBER	15	25833	SLUZBY	\N	\N
779281	2656	1998-11-30	VYDAJ	VYBER	15	28851	SLUZBY	\N	\N
779282	2656	1997-08-17	VYDAJ	VYBER	600	27958	\N	\N	\N
779283	2656	1997-09-16	VYDAJ	VYBER	2900	28075	\N	\N	\N
779284	2656	1997-10-16	VYDAJ	VYBER	200	30897	\N	\N	\N
779285	2656	1997-11-15	VYDAJ	VYBER	3200	29605	\N	\N	\N
779286	2656	1997-12-15	VYDAJ	VYBER	3700	28934	\N	\N	\N
779287	2656	1998-01-14	VYDAJ	VYBER	3700	22580	\N	\N	\N
779288	2656	1998-04-14	VYDAJ	VYBER	1200	20243	\N	\N	\N
779289	2656	1998-05-14	VYDAJ	VYBER	3900	19328	\N	\N	\N
779290	2656	1998-06-13	VYDAJ	VYBER	100	22214	\N	\N	\N
779291	2656	1998-07-13	VYDAJ	VYBER	3500	21705	\N	\N	\N
779310	2657	1996-10-07	PRIJEM	VKLAD	400	400	\N	\N	\N
779320	2657	1996-10-10	PRIJEM	PREVOD Z UCTU	4281	4681	DUCHOD	QR	555372
779321	2657	1996-11-10	PRIJEM	PREVOD Z UCTU	4281	8976	DUCHOD	QR	555372
779322	2657	1996-12-10	PRIJEM	PREVOD Z UCTU	4281	13276	DUCHOD	QR	555372
779323	2657	1997-01-10	PRIJEM	PREVOD Z UCTU	4281	17577	DUCHOD	QR	555372
779324	2657	1997-02-10	PRIJEM	PREVOD Z UCTU	4281	21877	DUCHOD	QR	555372
779325	2657	1997-03-10	PRIJEM	PREVOD Z UCTU	4281	17450	DUCHOD	QR	555372
779326	2657	1997-04-10	PRIJEM	PREVOD Z UCTU	4281	19613	DUCHOD	QR	555372
779327	2657	1997-05-10	PRIJEM	PREVOD Z UCTU	4281	21784	DUCHOD	QR	555372
779328	2657	1997-06-10	PRIJEM	PREVOD Z UCTU	4281	21318	DUCHOD	QR	555372
779329	2657	1997-07-10	PRIJEM	PREVOD Z UCTU	4281	21814	DUCHOD	QR	555372
779330	2657	1997-08-10	PRIJEM	PREVOD Z UCTU	4281	22794	DUCHOD	QR	555372
779331	2657	1997-09-10	PRIJEM	PREVOD Z UCTU	4281	24978	DUCHOD	QR	555372
779332	2657	1997-10-10	PRIJEM	PREVOD Z UCTU	4281	27172	DUCHOD	QR	555372
779333	2657	1997-11-10	PRIJEM	PREVOD Z UCTU	4281	29375	DUCHOD	QR	555372
779334	2657	1997-12-10	PRIJEM	PREVOD Z UCTU	4281	31587	DUCHOD	QR	555372
779335	2657	1998-01-10	PRIJEM	PREVOD Z UCTU	4281	31888	DUCHOD	QR	555372
779336	2657	1998-02-10	PRIJEM	PREVOD Z UCTU	4281	23407	DUCHOD	QR	555372
779337	2657	1998-03-10	PRIJEM	PREVOD Z UCTU	4281	25594	DUCHOD	QR	555372
779338	2657	1998-04-10	PRIJEM	PREVOD Z UCTU	4281	27791	DUCHOD	QR	555372
779339	2657	1998-05-10	PRIJEM	PREVOD Z UCTU	4281	29996	DUCHOD	QR	555372
779340	2657	1998-06-10	PRIJEM	PREVOD Z UCTU	4281	32211	DUCHOD	QR	555372
779341	2657	1998-07-10	PRIJEM	PREVOD Z UCTU	4281	25358	DUCHOD	QR	555372
779342	2657	1998-08-10	PRIJEM	PREVOD Z UCTU	4281	25949	DUCHOD	QR	555372
779343	2657	1998-09-10	PRIJEM	PREVOD Z UCTU	4281	28147	DUCHOD	QR	555372
779344	2657	1998-10-10	PRIJEM	PREVOD Z UCTU	4281	30353	DUCHOD	QR	555372
779345	2657	1998-11-10	PRIJEM	PREVOD Z UCTU	4281	26881	DUCHOD	QR	555372
779346	2657	1998-12-10	PRIJEM	PREVOD Z UCTU	4281	29083	DUCHOD	QR	555372
779361	2657	1997-03-06	VYDAJ	PREVOD NA UCET	2174	13169	SIPO	QR	74292081
779362	2657	1997-04-06	VYDAJ	PREVOD NA UCET	2174	15332	SIPO	QR	74292081
779363	2657	1997-05-06	VYDAJ	PREVOD NA UCET	2174	17503	SIPO	QR	74292081
779364	2657	1997-06-06	VYDAJ	PREVOD NA UCET	2174	17037	SIPO	QR	74292081
779365	2657	1997-07-06	VYDAJ	PREVOD NA UCET	2174	17533	SIPO	QR	74292081
779366	2657	1997-08-06	VYDAJ	PREVOD NA UCET	2174	18513	SIPO	QR	74292081
779367	2657	1997-09-06	VYDAJ	PREVOD NA UCET	2174	20697	SIPO	QR	74292081
779368	2657	1997-10-06	VYDAJ	PREVOD NA UCET	2174	22891	SIPO	QR	74292081
779369	2657	1997-11-06	VYDAJ	PREVOD NA UCET	2174	25094	SIPO	QR	74292081
779370	2657	1997-12-06	VYDAJ	PREVOD NA UCET	2174	27306	SIPO	QR	74292081
779371	2657	1998-01-06	VYDAJ	PREVOD NA UCET	2174	29127	SIPO	QR	74292081
779372	2657	1998-02-06	VYDAJ	PREVOD NA UCET	2174	19126	SIPO	QR	74292081
779373	2657	1998-03-06	VYDAJ	PREVOD NA UCET	2174	21313	SIPO	QR	74292081
779374	2657	1998-04-06	VYDAJ	PREVOD NA UCET	2174	23510	SIPO	QR	74292081
779375	2657	1998-05-06	VYDAJ	PREVOD NA UCET	2174	25715	SIPO	QR	74292081
779376	2657	1998-06-06	VYDAJ	PREVOD NA UCET	2174	27930	SIPO	QR	74292081
779377	2657	1998-07-06	VYDAJ	PREVOD NA UCET	2174	21077	SIPO	QR	74292081
779378	2657	1998-08-06	VYDAJ	PREVOD NA UCET	2174	21668	SIPO	QR	74292081
779379	2657	1998-09-06	VYDAJ	PREVOD NA UCET	2174	23866	SIPO	QR	74292081
779380	2657	1998-10-06	VYDAJ	PREVOD NA UCET	2174	26072	SIPO	QR	74292081
779381	2657	1998-11-06	VYDAJ	PREVOD NA UCET	2174	22600	SIPO	QR	74292081
779382	2657	1998-12-06	VYDAJ	PREVOD NA UCET	2174	24802	SIPO	QR	74292081
779385	2657	1998-06-10	VYDAJ	VYBER	9050	23161	\N	\N	\N
779388	2657	1998-01-28	VYDAJ	VYBER	1250	22638	\N	\N	\N
779390	2657	1997-12-26	VYDAJ	VYBER	400	31187	\N	\N	\N
779391	2657	1998-12-24	VYDAJ	VYBER	950	28133	\N	\N	\N
779404	2657	1998-01-27	VYDAJ	VYBER	1360	23888	\N	\N	\N
779405	2657	1998-01-22	VYDAJ	VYBER	480	26848	\N	\N	\N
779406	2657	1998-01-16	VYDAJ	VYBER	1760	28288	\N	\N	\N
779407	2657	1998-01-22	VYDAJ	VYBER	1600	25248	\N	\N	\N
779408	2657	1998-01-11	VYDAJ	VYBER	1840	30048	\N	\N	\N
779409	2657	1998-01-30	VYDAJ	VYBER	1440	21198	\N	\N	\N
779412	2657	1997-06-22	VYDAJ	VYBER	1680	19638	\N	\N	\N
779413	2657	1997-02-17	VYDAJ	VYBER	3840	18037	\N	\N	\N
779414	2657	1997-07-23	VYDAJ	VYBER	1200	20614	\N	\N	\N
779415	2657	1997-02-22	VYDAJ	VYBER	2720	15317	\N	\N	\N
779416	2657	1997-05-12	VYDAJ	VYBER	2640	19144	\N	\N	\N
779417	2657	1998-01-08	VYDAJ	VYBER	1520	27607	\N	\N	\N
779418	2657	1998-10-17	VYDAJ	VYBER	3680	26673	\N	\N	\N
779419	2657	1998-07-11	VYDAJ	VYBER	1600	23758	\N	\N	\N
779420	2657	1998-10-29	VYDAJ	VYBER	2000	24673	\N	\N	\N
779421	2657	1998-01-16	VYDAJ	VYBER	960	27328	\N	\N	\N
779436	2657	1997-02-28	VYDAJ	VYBER	15	15343	SLUZBY	\N	\N
779437	2657	1997-03-31	VYDAJ	VYBER	15	17506	SLUZBY	\N	\N
779438	2657	1997-04-30	VYDAJ	VYBER	15	19677	SLUZBY	\N	\N
779439	2657	1997-05-31	VYDAJ	VYBER	15	19211	SLUZBY	\N	\N
779440	2657	1997-06-30	VYDAJ	VYBER	15	19707	SLUZBY	\N	\N
779441	2657	1997-07-31	VYDAJ	VYBER	15	20687	SLUZBY	\N	\N
779442	2657	1997-08-31	VYDAJ	VYBER	15	22871	SLUZBY	\N	\N
779443	2657	1997-09-30	VYDAJ	VYBER	15	25065	SLUZBY	\N	\N
779444	2657	1997-10-31	VYDAJ	VYBER	15	27268	SLUZBY	\N	\N
779445	2657	1997-11-30	VYDAJ	VYBER	15	29480	SLUZBY	\N	\N
779446	2657	1997-12-31	VYDAJ	VYBER	15	31301	SLUZBY	\N	\N
779447	2657	1998-01-31	VYDAJ	VYBER	15	21300	SLUZBY	\N	\N
779448	2657	1998-02-28	VYDAJ	VYBER	15	23487	SLUZBY	\N	\N
779449	2657	1998-03-31	VYDAJ	VYBER	15	25684	SLUZBY	\N	\N
779450	2657	1998-04-30	VYDAJ	VYBER	15	27889	SLUZBY	\N	\N
779451	2657	1998-05-31	VYDAJ	VYBER	15	30104	SLUZBY	\N	\N
779452	2657	1998-06-30	VYDAJ	VYBER	15	23251	SLUZBY	\N	\N
779453	2657	1998-07-31	VYDAJ	VYBER	15	23842	SLUZBY	\N	\N
779454	2657	1998-08-31	VYDAJ	VYBER	15	26040	SLUZBY	\N	\N
779455	2657	1998-09-30	VYDAJ	VYBER	15	28246	SLUZBY	\N	\N
779456	2657	1998-10-31	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
779457	2657	1998-11-30	VYDAJ	VYBER	15	26976	SLUZBY	\N	\N
779485	2658	1997-11-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
779497	2658	1997-12-06	PRIJEM	PREVOD Z UCTU	3406	4406	\N	CD	11400276
779498	2658	1998-01-06	PRIJEM	PREVOD Z UCTU	3406	7812	\N	CD	11400276
779499	2658	1998-02-06	PRIJEM	PREVOD Z UCTU	3406	11218	\N	CD	11400276
779500	2658	1998-03-06	PRIJEM	PREVOD Z UCTU	3406	14624	\N	CD	11400276
779501	2658	1998-04-06	PRIJEM	PREVOD Z UCTU	3406	18030	\N	CD	11400276
779502	2658	1998-05-06	PRIJEM	PREVOD Z UCTU	3406	17317	\N	CD	11400276
779503	2658	1998-06-06	PRIJEM	PREVOD Z UCTU	3406	18501	\N	CD	11400276
779504	2658	1998-07-06	PRIJEM	PREVOD Z UCTU	3406	18609	\N	CD	11400276
779505	2658	1998-08-06	PRIJEM	PREVOD Z UCTU	3406	19800	\N	CD	11400276
779506	2658	1998-09-06	PRIJEM	PREVOD Z UCTU	3406	20994	\N	CD	11400276
779507	2658	1998-10-06	PRIJEM	PREVOD Z UCTU	3406	22194	\N	CD	11400276
779508	2658	1998-11-06	PRIJEM	PREVOD Z UCTU	3406	23398	\N	CD	11400276
779509	2658	1998-12-06	PRIJEM	PREVOD Z UCTU	3406	23978	\N	CD	11400276
779525	2658	1998-04-13	VYDAJ	PREVOD NA UCET	486	16177	SIPO	WX	70099252
779526	2658	1998-05-13	VYDAJ	PREVOD NA UCET	486	15464	SIPO	WX	70099252
779527	2658	1998-06-13	VYDAJ	PREVOD NA UCET	486	16231	SIPO	WX	70099252
779528	2658	1998-07-13	VYDAJ	PREVOD NA UCET	486	16339	SIPO	WX	70099252
779529	2658	1998-08-13	VYDAJ	PREVOD NA UCET	486	17947	SIPO	WX	70099252
779530	2658	1998-09-13	VYDAJ	PREVOD NA UCET	486	19141	SIPO	WX	70099252
779531	2658	1998-10-13	VYDAJ	PREVOD NA UCET	486	20341	SIPO	WX	70099252
779532	2658	1998-11-13	VYDAJ	PREVOD NA UCET	486	21545	SIPO	WX	70099252
779533	2658	1998-12-13	VYDAJ	PREVOD NA UCET	486	22125	SIPO	WX	70099252
779549	2658	1998-04-06	VYDAJ	PREVOD NA UCET	1367	16663	 	MN	3748625
779550	2658	1998-05-06	VYDAJ	PREVOD NA UCET	1367	15950	 	MN	3748625
779551	2658	1998-06-06	VYDAJ	PREVOD NA UCET	1367	17134	 	MN	3748625
779552	2658	1998-07-06	VYDAJ	PREVOD NA UCET	1367	17242	 	MN	3748625
779553	2658	1998-08-06	VYDAJ	PREVOD NA UCET	1367	18433	 	MN	3748625
779554	2658	1998-09-06	VYDAJ	PREVOD NA UCET	1367	19627	 	MN	3748625
779555	2658	1998-10-06	VYDAJ	PREVOD NA UCET	1367	20827	 	MN	3748625
779556	2658	1998-11-06	VYDAJ	PREVOD NA UCET	1367	22031	 	MN	3748625
779557	2658	1998-12-06	VYDAJ	PREVOD NA UCET	1367	22611	 	MN	3748625
779573	2658	1998-04-13	VYDAJ	PREVOD NA UCET	417	15760	POJISTNE	CD	91022419
779574	2658	1998-05-13	VYDAJ	PREVOD NA UCET	417	15047	POJISTNE	CD	91022419
779575	2658	1998-06-13	VYDAJ	PREVOD NA UCET	417	16717	POJISTNE	CD	91022419
779576	2658	1998-07-13	VYDAJ	PREVOD NA UCET	417	16825	POJISTNE	CD	91022419
779577	2658	1998-08-13	VYDAJ	PREVOD NA UCET	417	17530	POJISTNE	CD	91022419
779578	2658	1998-09-13	VYDAJ	PREVOD NA UCET	417	18724	POJISTNE	CD	91022419
779579	2658	1998-10-13	VYDAJ	PREVOD NA UCET	417	19924	POJISTNE	CD	91022419
779580	2658	1998-11-13	VYDAJ	PREVOD NA UCET	417	21128	POJISTNE	CD	91022419
779581	2658	1998-12-13	VYDAJ	PREVOD NA UCET	417	21708	POJISTNE	CD	91022419
779585	2658	1998-12-21	VYDAJ	VYBER	630	21078	\N	\N	\N
779604	2658	1998-04-20	VYDAJ	VYBER	990	14770	\N	\N	\N
779605	2658	1998-11-26	VYDAJ	VYBER	630	20498	\N	\N	\N
779606	2658	1998-06-14	VYDAJ	VYBER	600	15631	\N	\N	\N
779607	2658	1998-04-26	VYDAJ	VYBER	900	13870	\N	\N	\N
779609	2658	1998-06-19	VYDAJ	VYBER	480	15151	\N	\N	\N
779626	2658	1998-04-30	VYDAJ	VYBER	15	13911	SLUZBY	\N	\N
779627	2658	1998-05-31	VYDAJ	VYBER	15	15095	SLUZBY	\N	\N
779628	2658	1998-06-30	VYDAJ	VYBER	15	15203	SLUZBY	\N	\N
779629	2658	1998-07-31	VYDAJ	VYBER	15	16394	SLUZBY	\N	\N
779630	2658	1998-08-31	VYDAJ	VYBER	15	17588	SLUZBY	\N	\N
779631	2658	1998-09-30	VYDAJ	VYBER	15	18788	SLUZBY	\N	\N
779632	2658	1998-10-31	VYDAJ	VYBER	15	19992	SLUZBY	\N	\N
779633	2658	1998-11-30	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
779643	2659	1996-03-30	PRIJEM	VKLAD	600	600	\N	\N	\N
779647	2659	1996-04-07	PRIJEM	VKLAD	7203	7803	\N	\N	\N
779648	2659	1996-05-07	PRIJEM	VKLAD	7203	23511	\N	\N	\N
779649	2659	1996-06-07	PRIJEM	VKLAD	10805	33886	\N	\N	\N
779650	2659	1996-07-07	PRIJEM	VKLAD	7203	37187	\N	\N	\N
779651	2659	1996-08-07	PRIJEM	VKLAD	7203	36815	\N	\N	\N
779652	2659	1996-09-07	PRIJEM	VKLAD	7203	37236	\N	\N	\N
779653	2659	1996-10-07	PRIJEM	VKLAD	7203	34514	\N	\N	\N
779654	2659	1996-11-07	PRIJEM	VKLAD	7203	36218	\N	\N	\N
779655	2659	1996-12-07	PRIJEM	VKLAD	10805	43732	\N	\N	\N
779656	2659	1997-01-07	PRIJEM	VKLAD	7203	41160	\N	\N	\N
779657	2659	1997-02-07	PRIJEM	VKLAD	7203	29264	\N	\N	\N
779658	2659	1997-03-07	PRIJEM	VKLAD	7203	38953	\N	\N	\N
779659	2659	1997-04-07	PRIJEM	VKLAD	7203	41977	\N	\N	\N
779660	2659	1997-05-07	PRIJEM	VKLAD	7203	43611	\N	\N	\N
779661	2659	1997-06-07	PRIJEM	VKLAD	10805	41729	\N	\N	\N
779662	2659	1997-07-07	PRIJEM	VKLAD	7203	43624	\N	\N	\N
779663	2659	1997-08-07	PRIJEM	VKLAD	7203	43263	\N	\N	\N
779664	2659	1997-09-07	PRIJEM	VKLAD	7203	44604	\N	\N	\N
779665	2659	1997-10-07	PRIJEM	VKLAD	7203	44948	\N	\N	\N
779666	2659	1997-11-07	PRIJEM	VKLAD	7203	44658	\N	\N	\N
779667	2659	1997-12-07	PRIJEM	VKLAD	10805	47424	\N	\N	\N
779668	2659	1998-01-07	PRIJEM	VKLAD	7203	46488	\N	\N	\N
779669	2659	1998-02-07	PRIJEM	VKLAD	7203	32784	\N	\N	\N
779670	2659	1998-03-07	PRIJEM	VKLAD	7203	41994	\N	\N	\N
779671	2659	1998-04-07	PRIJEM	VKLAD	7203	46133	\N	\N	\N
779672	2659	1998-05-07	PRIJEM	VKLAD	7203	50490	\N	\N	\N
779673	2659	1998-06-07	PRIJEM	VKLAD	10805	51255	\N	\N	\N
779674	2659	1998-07-07	PRIJEM	VKLAD	7203	49997	\N	\N	\N
779675	2659	1998-08-07	PRIJEM	VKLAD	7203	50564	\N	\N	\N
779676	2659	1998-09-07	PRIJEM	VKLAD	7203	45558	\N	\N	\N
779677	2659	1998-10-07	PRIJEM	VKLAD	7203	51390	\N	\N	\N
779678	2659	1998-11-07	PRIJEM	VKLAD	7203	57775	\N	\N	\N
779679	2659	1998-12-07	PRIJEM	VKLAD	10805	62978	\N	\N	\N
779684	2659	1997-01-24	VYDAJ	VYBER	3680	30220	\N	\N	\N
779685	2659	1998-01-12	VYDAJ	VYBER	14080	29768	\N	\N	\N
779686	2659	1996-12-30	VYDAJ	VYBER	1280	34552	\N	\N	\N
779687	2659	1997-12-07	VYDAJ	VYBER	2400	45024	\N	\N	\N
779688	2659	1998-12-17	VYDAJ	VYBER	4000	45378	\N	\N	\N
779695	2659	1997-01-24	VYDAJ	VYBER	2760	27460	\N	\N	\N
779696	2659	1997-01-28	VYDAJ	VYBER	3480	21940	\N	\N	\N
779697	2659	1997-01-25	VYDAJ	VYBER	2040	25420	\N	\N	\N
779698	2659	1997-01-14	VYDAJ	VYBER	720	35400	\N	\N	\N
779699	2659	1997-01-05	VYDAJ	VYBER	720	33957	\N	\N	\N
779700	2659	1997-01-17	VYDAJ	VYBER	1800	33600	\N	\N	\N
779701	2659	1998-01-10	VYDAJ	VYBER	1200	43848	\N	\N	\N
779702	2659	1998-01-09	VYDAJ	VYBER	1440	45048	\N	\N	\N
779703	2659	1998-01-15	VYDAJ	VYBER	1440	21968	\N	\N	\N
779704	2659	1998-01-22	VYDAJ	VYBER	3000	25468	\N	\N	\N
779705	2659	1998-01-14	VYDAJ	VYBER	1560	25808	\N	\N	\N
779706	2659	1998-01-13	VYDAJ	VYBER	2400	27368	\N	\N	\N
779707	2659	1996-09-13	VYDAJ	VYBER	3000	34236	\N	\N	\N
779708	2659	1996-09-23	VYDAJ	VYBER	2040	32196	\N	\N	\N
779710	2659	1996-08-20	VYDAJ	VYBER	1200	35015	\N	\N	\N
779711	2659	1996-08-15	VYDAJ	VYBER	600	36215	\N	\N	\N
779713	2659	1997-05-12	VYDAJ	VYBER	5520	38091	\N	\N	\N
779714	2659	1997-11-24	VYDAJ	VYBER	3480	36478	\N	\N	\N
779715	2659	1997-10-15	VYDAJ	VYBER	840	44108	\N	\N	\N
779716	2659	1997-01-11	VYDAJ	VYBER	5040	36120	\N	\N	\N
779717	2659	1997-06-07	VYDAJ	VYBER	5640	36089	\N	\N	\N
779718	2659	1998-08-08	VYDAJ	VYBER	2520	48044	\N	\N	\N
779719	2659	1998-09-09	VYDAJ	VYBER	1560	43998	\N	\N	\N
779720	2659	1998-01-14	VYDAJ	VYBER	2400	23408	\N	\N	\N
779721	2659	1998-09-02	VYDAJ	VYBER	5160	38355	\N	\N	\N
779722	2659	1998-09-19	VYDAJ	VYBER	1680	44018	\N	\N	\N
779723	2659	1998-06-27	VYDAJ	VYBER	1920	42635	\N	\N	\N
779732	2659	1996-08-31	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
779733	2659	1996-09-30	VYDAJ	VYBER	15	27311	SLUZBY	\N	\N
779734	2659	1996-10-31	VYDAJ	VYBER	15	29015	SLUZBY	\N	\N
779735	2659	1996-11-30	VYDAJ	VYBER	15	32927	SLUZBY	\N	\N
779736	2659	1996-12-31	VYDAJ	VYBER	15	34677	SLUZBY	\N	\N
779737	2659	1997-01-31	VYDAJ	VYBER	15	22061	SLUZBY	\N	\N
779738	2659	1997-02-28	VYDAJ	VYBER	15	31750	SLUZBY	\N	\N
779739	2659	1997-03-31	VYDAJ	VYBER	15	34774	SLUZBY	\N	\N
779740	2659	1997-04-30	VYDAJ	VYBER	15	36408	SLUZBY	\N	\N
779741	2659	1997-05-31	VYDAJ	VYBER	15	30925	SLUZBY	\N	\N
779742	2659	1997-06-30	VYDAJ	VYBER	15	36421	SLUZBY	\N	\N
779743	2659	1997-07-31	VYDAJ	VYBER	15	36060	SLUZBY	\N	\N
779744	2659	1997-08-31	VYDAJ	VYBER	15	37401	SLUZBY	\N	\N
779745	2659	1997-09-30	VYDAJ	VYBER	15	37745	SLUZBY	\N	\N
779746	2659	1997-10-31	VYDAJ	VYBER	15	37455	SLUZBY	\N	\N
779747	2659	1997-11-30	VYDAJ	VYBER	15	36619	SLUZBY	\N	\N
779748	2659	1997-12-31	VYDAJ	VYBER	15	39285	SLUZBY	\N	\N
779749	2659	1998-01-31	VYDAJ	VYBER	15	25581	SLUZBY	\N	\N
779750	2659	1998-02-28	VYDAJ	VYBER	15	34791	SLUZBY	\N	\N
779751	2659	1998-03-31	VYDAJ	VYBER	15	38930	SLUZBY	\N	\N
779752	2659	1998-04-30	VYDAJ	VYBER	15	43287	SLUZBY	\N	\N
779753	2659	1998-05-31	VYDAJ	VYBER	15	40450	SLUZBY	\N	\N
779754	2659	1998-06-30	VYDAJ	VYBER	15	42794	SLUZBY	\N	\N
779755	2659	1998-07-31	VYDAJ	VYBER	15	43361	SLUZBY	\N	\N
779756	2659	1998-08-31	VYDAJ	VYBER	15	43515	SLUZBY	\N	\N
779757	2659	1998-09-30	VYDAJ	VYBER	15	44187	SLUZBY	\N	\N
779758	2659	1998-10-31	VYDAJ	VYBER	15	50572	SLUZBY	\N	\N
779759	2659	1998-11-30	VYDAJ	VYBER	15	52173	SLUZBY	\N	\N
779760	2659	1996-04-29	PRIJEM	VKLAD	8500	16303	\N	\N	\N
779761	2659	1996-05-29	VYDAJ	VYBER	500	23011	\N	\N	\N
779762	2659	1996-06-28	VYDAJ	VYBER	4000	29886	\N	\N	\N
779763	2659	1996-07-28	VYDAJ	VYBER	7700	29487	\N	\N	\N
779764	2659	1996-08-27	VYDAJ	VYBER	5100	29915	\N	\N	\N
779765	2659	1996-09-26	VYDAJ	VYBER	5000	27196	\N	\N	\N
779766	2659	1996-10-26	VYDAJ	VYBER	5600	28914	\N	\N	\N
779767	2659	1996-11-25	VYDAJ	VYBER	3400	32818	\N	\N	\N
779768	2659	1996-12-25	VYDAJ	VYBER	7900	35832	\N	\N	\N
779769	2659	1997-01-24	PRIJEM	VKLAD	300	33900	\N	\N	\N
779770	2659	1997-02-23	PRIJEM	VKLAD	2400	31664	\N	\N	\N
779771	2659	1997-03-25	VYDAJ	VYBER	4300	34653	\N	\N	\N
779772	2659	1997-04-24	VYDAJ	VYBER	5700	36277	\N	\N	\N
779773	2659	1997-05-24	VYDAJ	VYBER	7300	30791	\N	\N	\N
779774	2659	1997-06-23	PRIJEM	VKLAD	200	36289	\N	\N	\N
779775	2659	1997-07-23	VYDAJ	VYBER	7700	35924	\N	\N	\N
779776	2659	1997-08-22	VYDAJ	VYBER	6000	37263	\N	\N	\N
779777	2659	1997-09-21	VYDAJ	VYBER	7000	37604	\N	\N	\N
779778	2659	1997-10-21	VYDAJ	VYBER	6800	37308	\N	\N	\N
779779	2659	1997-11-20	VYDAJ	VYBER	4700	39958	\N	\N	\N
779780	2659	1997-12-20	VYDAJ	VYBER	5900	39124	\N	\N	\N
779781	2659	1998-01-19	PRIJEM	VKLAD	6500	28468	\N	\N	\N
779782	2659	1998-02-18	PRIJEM	VKLAD	1900	34684	\N	\N	\N
779783	2659	1998-03-20	VYDAJ	VYBER	3200	38794	\N	\N	\N
779784	2659	1998-04-19	VYDAJ	VYBER	3000	43133	\N	\N	\N
779785	2659	1998-05-19	VYDAJ	VYBER	10200	40290	\N	\N	\N
779786	2659	1998-06-18	VYDAJ	VYBER	6700	44555	\N	\N	\N
779787	2659	1998-07-18	VYDAJ	VYBER	6800	43197	\N	\N	\N
779788	2659	1998-08-17	VYDAJ	VYBER	4700	43344	\N	\N	\N
779789	2659	1998-09-16	PRIJEM	VKLAD	1700	45698	\N	\N	\N
779790	2659	1998-10-16	VYDAJ	VYBER	1000	50390	\N	\N	\N
779791	2659	1998-11-15	VYDAJ	VYBER	5800	51975	\N	\N	\N
779792	2659	1998-12-15	VYDAJ	VYBER	13600	49378	\N	\N	\N
779826	2660	1993-10-17	PRIJEM	VKLAD	300	300	\N	\N	\N
779830	2660	1994-06-24	PRIJEM	VKLAD	8738	30742	\N	\N	\N
779831	2660	1994-10-16	PRIJEM	VKLAD	24828	49003	\N	\N	\N
779832	2660	1994-12-01	PRIJEM	VKLAD	48703	99901	\N	\N	\N
779833	2660	1994-05-13	PRIJEM	VKLAD	7748	29748	\N	\N	\N
779834	2660	1994-08-18	PRIJEM	VKLAD	14104	36981	\N	\N	\N
779835	2660	1994-10-18	PRIJEM	VKLAD	48376	97379	\N	\N	\N
779836	2660	1994-10-21	PRIJEM	VKLAD	37965	135344	\N	\N	\N
779837	2660	1994-12-17	PRIJEM	VKLAD	22061	87862	\N	\N	\N
779838	2660	1995-03-11	PRIJEM	VKLAD	24212	27529	\N	\N	\N
779839	2660	1995-05-09	PRIJEM	VKLAD	39719	70510	\N	\N	\N
779840	2660	1995-03-14	PRIJEM	VKLAD	42141	65170	\N	\N	\N
779841	2660	1995-11-10	PRIJEM	VKLAD	22156	17242	\N	\N	\N
779842	2660	1995-08-23	PRIJEM	VKLAD	28760	38290	\N	\N	\N
779843	2660	1995-07-18	PRIJEM	VKLAD	33940	31103	\N	\N	\N
779844	2660	1995-12-16	PRIJEM	VKLAD	19702	22095	\N	\N	\N
779845	2660	1996-08-09	PRIJEM	VKLAD	48096	71089	\N	\N	\N
779846	2660	1996-06-24	PRIJEM	VKLAD	41015	47293	\N	\N	\N
779847	2660	1996-12-05	PRIJEM	VKLAD	32147	99425	\N	\N	\N
779848	2660	1996-10-26	PRIJEM	VKLAD	18527	59499	\N	\N	\N
779849	2660	1996-11-08	PRIJEM	VKLAD	19175	54137	\N	\N	\N
779850	2660	1996-12-29	PRIJEM	VKLAD	31618	116643	\N	\N	\N
779851	2660	1996-01-09	PRIJEM	VKLAD	45526	60204	\N	\N	\N
779852	2660	1996-11-18	PRIJEM	VKLAD	30524	95356	\N	\N	\N
779853	2660	1996-06-24	PRIJEM	VKLAD	6436	53729	\N	\N	\N
779854	2660	1996-01-13	PRIJEM	VKLAD	45504	104208	\N	\N	\N
779855	2660	1996-04-03	PRIJEM	VKLAD	22363	29724	\N	\N	\N
779856	2660	1996-11-09	PRIJEM	VKLAD	18795	72932	\N	\N	\N
779857	2660	1996-03-13	PRIJEM	VKLAD	6560	7352	\N	\N	\N
779858	2660	1996-02-03	PRIJEM	VKLAD	7813	62069	\N	\N	\N
779859	2660	1996-01-17	PRIJEM	VKLAD	8909	91117	\N	\N	\N
779860	2660	1996-06-28	PRIJEM	VKLAD	39610	87479	\N	\N	\N
779861	2660	1996-09-30	PRIJEM	VKLAD	30994	42855	\N	\N	\N
779862	2660	1996-10-17	PRIJEM	VKLAD	21574	66383	\N	\N	\N
779863	2660	1996-01-26	PRIJEM	VKLAD	32433	102250	\N	\N	\N
779864	2660	1996-12-01	PRIJEM	VKLAD	23383	67278	\N	\N	\N
779865	2660	1996-05-20	PRIJEM	VKLAD	38452	29491	\N	\N	\N
779866	2660	1996-06-01	PRIJEM	VKLAD	30208	59678	\N	\N	\N
779867	2660	1996-10-12	PRIJEM	VKLAD	33719	44809	\N	\N	\N
779868	2660	1996-03-05	PRIJEM	VKLAD	22167	30466	\N	\N	\N
779869	2660	1997-05-02	PRIJEM	VKLAD	21880	58924	\N	\N	\N
779870	2660	1997-06-08	PRIJEM	VKLAD	21892	87006	\N	\N	\N
779871	2660	1997-01-18	PRIJEM	VKLAD	45173	66073	\N	\N	\N
779872	2660	1997-05-31	PRIJEM	VKLAD	35730	72132	\N	\N	\N
779873	2660	1997-11-02	PRIJEM	VKLAD	27532	68020	\N	\N	\N
779874	2660	1997-05-04	PRIJEM	VKLAD	37300	96224	\N	\N	\N
779875	2660	1997-06-21	PRIJEM	VKLAD	44667	116773	\N	\N	\N
779876	2660	1997-09-21	PRIJEM	VKLAD	38611	108044	\N	\N	\N
779877	2660	1997-03-05	PRIJEM	VKLAD	30301	42313	\N	\N	\N
779878	2660	1997-04-09	PRIJEM	VKLAD	33790	102664	\N	\N	\N
779879	2660	1997-11-30	PRIJEM	VKLAD	27184	80482	\N	\N	\N
779880	2660	1997-04-08	PRIJEM	VKLAD	8215	68874	\N	\N	\N
779881	2660	1997-11-25	PRIJEM	VKLAD	44359	145798	\N	\N	\N
779882	2660	1997-03-24	PRIJEM	VKLAD	48913	108725	\N	\N	\N
779883	2660	1997-05-09	PRIJEM	VKLAD	15683	95407	\N	\N	\N
779884	2660	1997-10-08	PRIJEM	VKLAD	16195	39402	\N	\N	\N
779885	2660	1997-07-10	PRIJEM	VKLAD	39582	60167	\N	\N	\N
779886	2660	1997-10-11	PRIJEM	VKLAD	36549	75951	\N	\N	\N
779887	2660	1997-12-14	PRIJEM	VKLAD	45079	108129	\N	\N	\N
779888	2660	1997-10-12	PRIJEM	VKLAD	16782	92733	\N	\N	\N
779889	2660	1997-01-01	PRIJEM	VKLAD	9049	50800	\N	\N	\N
779890	2660	1997-08-01	PRIJEM	VKLAD	24406	56015	\N	\N	\N
779891	2660	1997-08-05	PRIJEM	VKLAD	49740	105755	\N	\N	\N
779892	2660	1997-03-07	PRIJEM	VKLAD	49285	91598	\N	\N	\N
779893	2660	1997-04-03	PRIJEM	VKLAD	36540	74359	\N	\N	\N
779894	2660	1997-11-13	PRIJEM	VKLAD	46519	101439	\N	\N	\N
779895	2660	1997-05-10	PRIJEM	VKLAD	20987	72894	\N	\N	\N
779896	2660	1997-09-02	PRIJEM	VKLAD	35591	85533	\N	\N	\N
779897	2660	1998-07-28	PRIJEM	VKLAD	34058	78909	\N	\N	\N
779898	2660	1998-07-18	PRIJEM	VKLAD	47622	63071	\N	\N	\N
779899	2660	1998-07-03	PRIJEM	VKLAD	5618	18900	\N	\N	\N
779900	2660	1998-04-26	PRIJEM	VKLAD	18352	33810	\N	\N	\N
779901	2660	1998-12-01	PRIJEM	VKLAD	27419	52211	\N	\N	\N
779902	2660	1998-05-28	PRIJEM	VKLAD	36607	83133	\N	\N	\N
779903	2660	1998-01-01	PRIJEM	VKLAD	30097	66249	\N	\N	\N
779904	2660	1998-08-15	PRIJEM	VKLAD	46225	119799	\N	\N	\N
779905	2660	1998-02-19	PRIJEM	VKLAD	31341	81441	\N	\N	\N
779906	2660	1998-07-16	PRIJEM	VKLAD	9549	15449	\N	\N	\N
779907	2660	1998-08-10	PRIJEM	VKLAD	35353	103274	\N	\N	\N
779908	2660	1998-10-27	PRIJEM	VKLAD	37500	109835	\N	\N	\N
779909	2660	1998-07-20	PRIJEM	VKLAD	33542	96613	\N	\N	\N
779910	2660	1998-10-24	PRIJEM	VKLAD	35905	72335	\N	\N	\N
779911	2660	1998-02-25	PRIJEM	VKLAD	16486	59758	\N	\N	\N
779912	2660	1998-05-10	PRIJEM	VKLAD	38078	87826	\N	\N	\N
779913	2660	1998-02-11	PRIJEM	VKLAD	42130	50100	\N	\N	\N
779914	2660	1998-11-12	PRIJEM	VKLAD	8645	51452	\N	\N	\N
779915	2660	1998-05-07	PRIJEM	VKLAD	45238	62948	\N	\N	\N
779916	2660	1998-09-03	PRIJEM	VKLAD	18626	72212	\N	\N	\N
779917	2660	1998-12-06	PRIJEM	VKLAD	18102	57713	\N	\N	\N
779918	2660	1998-08-06	PRIJEM	VKLAD	26757	102621	\N	\N	\N
779919	2660	1998-04-22	PRIJEM	VKLAD	22489	24858	\N	\N	\N
779920	2660	1998-10-03	PRIJEM	VKLAD	32076	77830	\N	\N	\N
779921	2660	1998-09-28	PRIJEM	VKLAD	32849	70061	\N	\N	\N
779922	2660	1998-09-02	PRIJEM	VKLAD	12743	53586	\N	\N	\N
779923	2660	1998-01-10	PRIJEM	VKLAD	15762	66311	\N	\N	\N
779924	2660	1998-07-31	PRIJEM	VKLAD	11126	90035	\N	\N	\N
779925	2660	1998-06-05	PRIJEM	VKLAD	20649	91216	\N	\N	\N
780020	2660	1994-11-10	VYDAJ	VYBER	14400	86438	SIPO	\N	0
780021	2660	1994-12-18	VYDAJ	VYBER	13800	74062	SIPO	\N	0
780022	2660	1995-01-04	VYDAJ	VYBER	17300	49518	SIPO	\N	0
780023	2660	1995-02-06	VYDAJ	VYBER	13500	5914	SIPO	\N	0
780025	2660	1995-04-18	VYDAJ	VYBER	13400	30612	SIPO	\N	0
780026	2660	1995-05-15	VYDAJ	VYBER	11200	35610	SIPO	\N	0
780027	2660	1995-06-04	VYDAJ	VYBER	16000	19730	SIPO	\N	0
780028	2660	1995-07-01	VYDAJ	VYBER	12000	-4337	SIPO	\N	0
780029	2660	1995-07-31	VYDAJ	VYBER	12000	19130	SIPO	\N	0
780030	2660	1995-09-07	VYDAJ	VYBER	15300	7663	SIPO	\N	0
780031	2660	1995-10-11	VYDAJ	VYBER	16600	-4861	SIPO	\N	0
780032	2660	1995-11-15	VYDAJ	VYBER	14800	2442	SIPO	\N	0
780034	2660	1996-01-14	VYDAJ	VYBER	17200	82208	SIPO	\N	0
780035	2660	1996-02-05	VYDAJ	VYBER	12500	22369	SIPO	\N	0
780036	2660	1996-03-11	VYDAJ	VYBER	17000	792	SIPO	\N	0
780037	2660	1996-04-18	VYDAJ	VYBER	15300	3224	SIPO	\N	0
780038	2660	1996-05-06	VYDAJ	VYBER	11200	-8961	SIPO	\N	0
780039	2660	1996-06-10	VYDAJ	VYBER	11000	6278	SIPO	\N	0
780040	2660	1996-07-05	VYDAJ	VYBER	12800	33056	SIPO	\N	0
780041	2660	1996-08-18	VYDAJ	VYBER	16300	54789	SIPO	\N	0
780042	2660	1996-09-04	VYDAJ	VYBER	10900	11861	SIPO	\N	0
780043	2660	1996-10-07	VYDAJ	VYBER	15700	11090	SIPO	\N	0
780044	2660	1996-11-19	VYDAJ	VYBER	14900	80456	SIPO	\N	0
780045	2660	1996-12-09	VYDAJ	VYBER	12300	87125	SIPO	\N	0
780046	2660	1997-01-04	VYDAJ	VYBER	15500	31700	SIPO	\N	0
780047	2660	1997-02-14	VYDAJ	VYBER	11500	5671	SIPO	\N	0
780048	2660	1997-03-14	VYDAJ	VYBER	11400	80198	SIPO	\N	0
780049	2660	1997-04-05	VYDAJ	VYBER	13700	60659	SIPO	\N	0
780050	2660	1997-05-06	VYDAJ	VYBER	16500	79724	SIPO	\N	0
780051	2660	1997-06-13	VYDAJ	VYBER	14900	72106	SIPO	\N	0
780052	2660	1997-07-17	VYDAJ	VYBER	12700	47467	SIPO	\N	0
780053	2660	1997-08-06	VYDAJ	VYBER	16400	89355	SIPO	\N	0
780054	2660	1997-09-16	VYDAJ	VYBER	16100	69433	SIPO	\N	0
780055	2660	1997-10-16	VYDAJ	VYBER	15300	77433	SIPO	\N	0
780056	2660	1997-11-10	VYDAJ	VYBER	13100	54920	SIPO	\N	0
780057	2660	1997-12-12	VYDAJ	VYBER	11100	63050	SIPO	\N	0
780058	2660	1998-01-04	VYDAJ	VYBER	15700	50549	SIPO	\N	0
780059	2660	1998-02-01	VYDAJ	VYBER	13000	7970	SIPO	\N	0
780060	2660	1998-02-28	VYDAJ	VYBER	15300	44641	SIPO	\N	0
780061	2660	1998-04-09	VYDAJ	VYBER	15400	2369	SIPO	\N	0
780062	2660	1998-05-08	VYDAJ	VYBER	13200	49748	SIPO	\N	0
780063	2660	1998-06-15	VYDAJ	VYBER	15800	75416	SIPO	\N	0
780064	2660	1998-07-11	VYDAJ	VYBER	13000	5900	SIPO	\N	0
780065	2660	1998-08-01	VYDAJ	VYBER	14300	75864	SIPO	\N	0
780066	2660	1998-09-08	VYDAJ	VYBER	12900	59312	SIPO	\N	0
780067	2660	1998-10-12	VYDAJ	VYBER	14600	63230	SIPO	\N	0
780068	2660	1998-11-10	VYDAJ	VYBER	15200	42807	SIPO	\N	0
780069	2660	1998-12-01	VYDAJ	VYBER	12600	39611	SIPO	\N	0
780091	2660	1996-08-23	VYBER	VYBER	18101	36688	\N	\N	\N
780094	2660	1996-10-22	VYBER	VYBER	2981	63402	\N	\N	\N
780098	2660	1996-06-26	VYBER	VYBER	5860	47869	\N	\N	\N
780099	2660	1996-03-06	VYBER	VYBER	2274	17792	\N	\N	\N
780100	2660	1996-10-25	VYBER	VYBER	22430	40972	\N	\N	\N
780103	2660	1997-09-25	VYBER	VYBER	9252	71292	\N	\N	\N
780104	2660	1997-07-09	VYBER	VYBER	2233	20585	\N	\N	\N
780106	2660	1997-05-31	VYBER	VYBER	4288	67844	\N	\N	\N
780107	2660	1997-10-19	VYBER	VYBER	7958	69475	\N	\N	\N
780108	2660	1997-10-04	VYBER	VYBER	16304	23207	\N	\N	\N
780110	2660	1997-03-16	VYBER	VYBER	20386	59812	\N	\N	\N
780112	2660	1997-05-17	VYBER	VYBER	21841	51053	\N	\N	\N
780113	2660	1997-03-29	VYBER	VYBER	10449	57476	\N	\N	\N
780117	2660	1998-04-28	VYBER	VYBER	16151	17659	\N	\N	\N
780118	2660	1998-05-30	VYBER	VYBER	12798	70335	\N	\N	\N
780120	2660	1998-03-18	VYBER	VYBER	16273	28338	\N	\N	\N
780121	2660	1998-10-01	VYBER	VYBER	24511	45754	\N	\N	\N
780122	2660	1998-02-20	VYBER	VYBER	4769	76672	\N	\N	\N
780123	2660	1998-07-24	VYBER	VYBER	5662	48451	\N	\N	\N
780128	2660	1996-06-06	VYDAJ	VYBER	15300	17278	\N	\N	\N
780130	2660	1998-06-18	VYDAJ	VYBER	57300	18116	\N	\N	\N
780134	2660	1996-01-20	VYDAJ	VYBER	13200	73117	\N	\N	\N
780135	2660	1997-01-21	VYDAJ	VYBER	28800	37273	\N	\N	\N
780138	2660	1994-12-09	VYDAJ	VYBER	1500	98401	\N	\N	\N
780140	2660	1996-12-27	VYDAJ	VYBER	2100	85025	\N	\N	\N
780141	2660	1997-12-02	VYDAJ	VYBER	6600	74150	\N	\N	\N
780142	2660	1998-12-30	VYDAJ	VYBER	7200	27613	\N	\N	\N
780155	2660	1995-01-04	VYDAJ	VYBER	7500	66818	\N	\N	\N
780156	2660	1995-01-08	VYDAJ	VYBER	6900	37518	\N	\N	\N
780158	2660	1995-01-07	VYDAJ	VYBER	5100	44418	\N	\N	\N
780160	2660	1995-01-13	VYDAJ	VYBER	8100	19318	\N	\N	\N
780161	2660	1996-01-11	VYDAJ	VYBER	1500	58704	\N	\N	\N
780162	2660	1996-01-19	VYDAJ	VYBER	4800	86317	\N	\N	\N
780164	2660	1996-01-13	VYDAJ	VYBER	4800	99408	\N	\N	\N
780165	2660	1996-01-03	VYDAJ	VYBER	6000	16078	\N	\N	\N
780166	2660	1996-01-25	VYDAJ	VYBER	3300	69817	\N	\N	\N
780167	2660	1997-01-13	VYDAJ	VYBER	2700	20900	\N	\N	\N
780168	2660	1997-01-01	VYDAJ	VYBER	3600	47200	\N	\N	\N
780169	2660	1997-01-09	VYDAJ	VYBER	8100	23600	\N	\N	\N
780170	2660	1997-01-25	VYDAJ	VYBER	6600	23473	\N	\N	\N
780171	2660	1997-01-26	VYDAJ	VYBER	6600	16873	\N	\N	\N
780172	2660	1997-01-22	VYDAJ	VYBER	7200	30073	\N	\N	\N
780173	2660	1998-01-20	VYDAJ	VYBER	8100	45611	\N	\N	\N
780174	2660	1998-01-24	VYDAJ	VYBER	3300	42311	\N	\N	\N
780175	2660	1998-01-19	VYDAJ	VYBER	5400	53711	\N	\N	\N
780176	2660	1998-01-12	VYDAJ	VYBER	2100	64211	\N	\N	\N
780177	2660	1998-01-25	VYDAJ	VYBER	5100	20811	\N	\N	\N
780178	2660	1998-01-12	VYDAJ	VYBER	5100	59111	\N	\N	\N
780186	2660	1994-11-07	VYDAJ	VYBER	8700	100838	\N	\N	\N
780193	2660	1995-09-02	VYDAJ	VYBER	14700	23663	\N	\N	\N
780195	2660	1996-02-06	VYDAJ	VYBER	14100	8269	\N	\N	\N
780199	2660	1996-11-15	VYDAJ	VYBER	8100	64832	\N	\N	\N
780200	2660	1997-06-07	VYDAJ	VYBER	2700	65114	\N	\N	\N
780202	2660	1997-11-29	VYDAJ	VYBER	12300	53298	\N	\N	\N
780204	2660	1997-06-29	VYDAJ	VYBER	13200	22573	\N	\N	\N
780205	2660	1998-07-27	VYDAJ	VYBER	3600	44851	\N	\N	\N
780206	2660	1998-11-12	VYDAJ	VYBER	12000	39452	\N	\N	\N
780231	2660	1994-10-31	VYDAJ	VYBER	30	109538	SLUZBY	\N	\N
780232	2660	1994-11-30	VYDAJ	VYBER	30	51198	SLUZBY	\N	\N
780233	2660	1994-12-31	VYDAJ	VYBER	30	74318	SLUZBY	\N	\N
780234	2660	1995-01-31	VYDAJ	VYBER	30	19414	SLUZBY	\N	\N
780235	2660	1995-02-28	VYDAJ	VYBER	30	3317	SLUZBY	\N	\N
780236	2660	1995-03-31	VYDAJ	VYBER	30	65312	SLUZBY	\N	\N
780237	2660	1995-04-30	VYDAJ	VYBER	30	30791	SLUZBY	\N	\N
780238	2660	1995-05-31	VYDAJ	VYBER	30	35730	SLUZBY	\N	\N
780239	2660	1995-06-30	VYDAJ	VYBER	30	7663	SLUZBY	\N	\N
780240	2660	1995-07-31	VYDAJ	VYBER	30	31130	SLUZBY	\N	\N
780241	2660	1995-08-31	VYDAJ	VYBER	30	38363	SLUZBY	\N	\N
780242	2660	1995-09-30	VYDAJ	VYBER	30	7739	SLUZBY	\N	\N
780243	2660	1995-10-31	VYDAJ	VYBER	30	-4881	SLUZBY	\N	\N
780244	2660	1995-11-30	VYDAJ	VYBER	30	2417	SLUZBY	\N	\N
780245	2660	1995-12-31	VYDAJ	VYBER	30	22078	SLUZBY	\N	\N
780246	2660	1996-01-31	VYDAJ	VYBER	30	54256	SLUZBY	\N	\N
780247	2660	1996-02-29	VYDAJ	VYBER	30	8299	SLUZBY	\N	\N
780248	2660	1996-03-31	VYDAJ	VYBER	30	7361	SLUZBY	\N	\N
780249	2660	1996-04-30	VYDAJ	VYBER	30	3239	SLUZBY	\N	\N
780250	2660	1996-05-31	VYDAJ	VYBER	30	29511	SLUZBY	\N	\N
780251	2660	1996-06-30	VYDAJ	VYBER	30	87556	SLUZBY	\N	\N
780252	2660	1996-07-31	VYDAJ	VYBER	30	33193	SLUZBY	\N	\N
780253	2660	1996-08-31	VYDAJ	VYBER	30	36861	SLUZBY	\N	\N
780254	2660	1996-09-30	VYDAJ	VYBER	30	42890	SLUZBY	\N	\N
780255	2660	1996-10-31	VYDAJ	VYBER	30	34962	SLUZBY	\N	\N
780256	2660	1996-11-30	VYDAJ	VYBER	30	80695	SLUZBY	\N	\N
780257	2660	1996-12-31	VYDAJ	VYBER	30	41751	SLUZBY	\N	\N
780258	2660	1997-01-31	VYDAJ	VYBER	30	17171	SLUZBY	\N	\N
780259	2660	1997-02-28	VYDAJ	VYBER	30	12012	SLUZBY	\N	\N
780260	2660	1997-03-31	VYDAJ	VYBER	30	37819	SLUZBY	\N	\N
780261	2660	1997-04-30	VYDAJ	VYBER	30	37044	SLUZBY	\N	\N
780262	2660	1997-05-31	VYDAJ	VYBER	30	67814	SLUZBY	\N	\N
780263	2660	1997-06-30	VYDAJ	VYBER	30	22818	SLUZBY	\N	\N
780264	2660	1997-07-31	VYDAJ	VYBER	30	31609	SLUZBY	\N	\N
780265	2660	1997-08-31	VYDAJ	VYBER	30	49942	SLUZBY	\N	\N
780266	2660	1997-09-30	VYDAJ	VYBER	30	39511	SLUZBY	\N	\N
780267	2660	1997-10-31	VYDAJ	VYBER	30	40488	SLUZBY	\N	\N
780268	2660	1997-11-30	VYDAJ	VYBER	30	80750	SLUZBY	\N	\N
780269	2660	1997-12-31	VYDAJ	VYBER	30	36152	SLUZBY	\N	\N
780270	2660	1998-01-31	VYDAJ	VYBER	30	20970	SLUZBY	\N	\N
780271	2660	1998-02-28	VYDAJ	VYBER	30	44611	SLUZBY	\N	\N
780272	2660	1998-03-31	VYDAJ	VYBER	30	17769	SLUZBY	\N	\N
780273	2660	1998-04-30	VYDAJ	VYBER	30	17710	SLUZBY	\N	\N
780274	2660	1998-05-31	VYDAJ	VYBER	30	70567	SLUZBY	\N	\N
780275	2660	1998-06-30	VYDAJ	VYBER	30	13282	SLUZBY	\N	\N
780276	2660	1998-07-31	VYDAJ	VYBER	30	90164	SLUZBY	\N	\N
780277	2660	1998-08-31	VYDAJ	VYBER	30	40843	SLUZBY	\N	\N
780278	2660	1998-09-30	VYDAJ	VYBER	30	70265	SLUZBY	\N	\N
780279	2660	1998-10-31	VYDAJ	VYBER	30	58007	SLUZBY	\N	\N
780280	2660	1998-11-30	VYDAJ	VYBER	30	24792	SLUZBY	\N	\N
780281	2660	1993-11-16	PRIJEM	VKLAD	10300	10600	\N	\N	\N
780282	2660	1993-12-16	PRIJEM	VKLAD	9100	19700	\N	\N	\N
780283	2660	1994-01-15	PRIJEM	VKLAD	1000	20700	\N	\N	\N
780284	2660	1994-02-14	PRIJEM	VKLAD	1800	22500	\N	\N	\N
780285	2660	1994-03-16	VYDAJ	VYBER	1400	21100	\N	\N	\N
780286	2660	1994-04-15	PRIJEM	VKLAD	900	22000	\N	\N	\N
780287	2660	1994-05-15	VYDAJ	VYBER	5400	24348	\N	\N	\N
780288	2660	1994-06-14	VYDAJ	VYBER	2400	22004	\N	\N	\N
780289	2660	1994-07-14	VYDAJ	VYBER	7000	23849	\N	\N	\N
780290	2660	1994-08-13	VYDAJ	VYBER	1100	22877	\N	\N	\N
780291	2660	1994-09-12	VYDAJ	VYBER	6900	30221	\N	\N	\N
780292	2660	1994-10-12	VYDAJ	VYBER	6200	24175	\N	\N	\N
780293	2660	1994-10-21	VYDAJ	VYBER	26100	109244	\N	\N	\N
780294	2660	1994-11-11	VYDAJ	VYBER	35500	50938	\N	\N	\N
780295	2660	1994-12-11	VYDAJ	VYBER	32600	65801	\N	\N	\N
780296	2660	1995-01-10	VYDAJ	VYBER	10100	27418	\N	\N	\N
780297	2660	1995-02-09	VYDAJ	VYBER	2600	3314	\N	\N	\N
780298	2660	1995-03-11	VYDAJ	VYBER	4500	23029	\N	\N	\N
780299	2660	1995-04-10	VYDAJ	VYBER	21300	44012	\N	\N	\N
780300	2660	1995-05-10	VYDAJ	VYBER	23700	46810	\N	\N	\N
780301	2660	1995-06-09	VYDAJ	VYBER	12100	7630	\N	\N	\N
780302	2660	1995-07-09	PRIJEM	VKLAD	1500	-2837	\N	\N	\N
780303	2660	1995-08-08	VYDAJ	VYBER	9600	9530	\N	\N	\N
780304	2660	1995-09-07	VYDAJ	VYBER	700	22963	\N	\N	\N
780305	2660	1995-10-07	PRIJEM	VKLAD	4000	11739	\N	\N	\N
780306	2660	1996-01-05	VYDAJ	VYBER	1400	14678	\N	\N	\N
780307	2660	1996-01-26	VYDAJ	VYBER	48200	54050	\N	\N	\N
780308	2660	1996-02-04	VYDAJ	VYBER	27200	34869	\N	\N	\N
780309	2660	1996-03-05	VYDAJ	VYBER	10400	20066	\N	\N	\N
780310	2660	1996-04-04	VYDAJ	VYBER	11200	18524	\N	\N	\N
780311	2660	1996-05-04	VYDAJ	VYBER	1000	2239	\N	\N	\N
780312	2660	1996-06-03	VYDAJ	VYBER	27100	32578	\N	\N	\N
780313	2660	1996-07-03	VYDAJ	VYBER	41700	45856	\N	\N	\N
780314	2660	1996-08-02	VYDAJ	VYBER	10200	22993	\N	\N	\N
780315	2660	1996-09-01	VYDAJ	VYBER	14100	22761	\N	\N	\N
780316	2660	1996-10-01	VYDAJ	VYBER	16100	26790	\N	\N	\N
780317	2660	1996-10-31	VYDAJ	VYBER	24700	34992	\N	\N	\N
780318	2660	1996-11-30	VYDAJ	VYBER	36800	43895	\N	\N	\N
780319	2660	1996-12-29	VYDAJ	VYBER	47600	69043	\N	\N	\N
780320	2660	1996-12-30	VYDAJ	VYBER	27600	41443	\N	\N	\N
780321	2660	1997-01-29	PRIJEM	VKLAD	200	17073	\N	\N	\N
780322	2660	1997-02-28	PRIJEM	VKLAD	6300	12042	\N	\N	\N
780323	2660	1997-03-24	VYDAJ	VYBER	40800	67925	\N	\N	\N
780324	2660	1997-03-30	VYDAJ	VYBER	19900	37576	\N	\N	\N
780325	2660	1997-04-09	VYDAJ	VYBER	51200	51464	\N	\N	\N
780326	2660	1997-04-29	VYDAJ	VYBER	14600	36864	\N	\N	\N
780327	2660	1997-05-09	VYDAJ	VYBER	43500	51907	\N	\N	\N
780328	2660	1997-05-29	VYDAJ	VYBER	14900	36153	\N	\N	\N
780329	2660	1997-06-21	VYDAJ	VYBER	58000	58773	\N	\N	\N
780330	2660	1997-06-28	VYDAJ	VYBER	23000	35773	\N	\N	\N
780331	2660	1997-07-28	VYDAJ	VYBER	16000	31467	\N	\N	\N
780332	2660	1997-08-27	VYDAJ	VYBER	39700	49655	\N	\N	\N
780333	2660	1997-09-21	VYDAJ	VYBER	27500	80544	\N	\N	\N
780334	2660	1997-09-26	VYDAJ	VYBER	32000	39292	\N	\N	\N
780335	2660	1997-10-26	VYDAJ	VYBER	29200	40275	\N	\N	\N
780336	2660	1997-11-25	VYDAJ	VYBER	26100	65598	\N	\N	\N
780337	2660	1997-11-25	VYDAJ	VYBER	54100	91698	\N	\N	\N
780338	2660	1997-12-14	VYDAJ	VYBER	51900	56229	\N	\N	\N
780339	2660	1997-12-25	VYDAJ	VYBER	20300	35929	\N	\N	\N
780340	2660	1998-01-24	VYDAJ	VYBER	16400	25911	\N	\N	\N
780341	2660	1998-02-23	VYDAJ	VYBER	33400	43272	\N	\N	\N
780342	2660	1998-03-25	VYDAJ	VYBER	10700	17638	\N	\N	\N
780343	2660	1998-04-24	VYDAJ	VYBER	9400	15458	\N	\N	\N
780344	2660	1998-05-24	VYDAJ	VYBER	41300	46526	\N	\N	\N
780345	2660	1998-06-23	VYDAJ	VYBER	5000	13116	\N	\N	\N
780346	2660	1998-07-23	VYDAJ	VYBER	42500	54113	\N	\N	\N
780347	2660	1998-08-06	VYDAJ	VYBER	34700	67921	\N	\N	\N
780348	2660	1998-08-10	VYDAJ	VYBER	29700	73574	\N	\N	\N
780349	2660	1998-08-15	VYDAJ	VYBER	43100	76699	\N	\N	\N
780350	2660	1998-08-22	VYDAJ	VYBER	36100	40599	\N	\N	\N
780351	2660	1998-09-21	VYDAJ	VYBER	22100	37212	\N	\N	\N
780352	2660	1998-10-21	VYDAJ	VYBER	26800	36430	\N	\N	\N
780353	2660	1998-10-27	VYDAJ	VYBER	52100	57735	\N	\N	\N
780354	2660	1998-11-20	VYDAJ	VYBER	14800	24652	\N	\N	\N
780355	2660	1998-12-20	VYDAJ	VYBER	22900	34813	\N	\N	\N
780416	2661	1997-02-25	PRIJEM	VKLAD	800	800	\N	\N	\N
780419	2661	1997-03-14	PRIJEM	VKLAD	8475	9275	\N	\N	\N
780420	2661	1997-04-14	PRIJEM	VKLAD	8475	24861	\N	\N	\N
780421	2661	1997-05-14	PRIJEM	VKLAD	8475	30908	\N	\N	\N
780422	2661	1997-06-14	PRIJEM	VKLAD	12712	34913	\N	\N	\N
780423	2661	1997-07-14	PRIJEM	VKLAD	8475	30881	\N	\N	\N
780424	2661	1997-08-14	PRIJEM	VKLAD	8475	26370	\N	\N	\N
780425	2661	1997-09-14	PRIJEM	VKLAD	8475	24424	\N	\N	\N
780426	2661	1997-10-14	PRIJEM	VKLAD	8475	24935	\N	\N	\N
780427	2661	1997-11-14	PRIJEM	VKLAD	8475	28570	\N	\N	\N
780428	2661	1997-12-14	PRIJEM	VKLAD	12712	33311	\N	\N	\N
780429	2661	1998-01-14	PRIJEM	VKLAD	8475	20197	\N	\N	\N
780430	2661	1998-02-14	PRIJEM	VKLAD	8475	17223	\N	\N	\N
780431	2661	1998-03-14	PRIJEM	VKLAD	8475	25590	\N	\N	\N
780432	2661	1998-04-14	PRIJEM	VKLAD	8475	24680	\N	\N	\N
780433	2661	1998-05-14	PRIJEM	VKLAD	8475	20623	\N	\N	\N
780434	2661	1998-06-14	PRIJEM	VKLAD	12712	25431	\N	\N	\N
780435	2661	1998-07-14	PRIJEM	VKLAD	8475	20952	\N	\N	\N
780436	2661	1998-08-14	PRIJEM	VKLAD	8475	21524	\N	\N	\N
780437	2661	1998-09-14	PRIJEM	VKLAD	8475	22899	\N	\N	\N
780438	2661	1998-10-14	PRIJEM	VKLAD	8475	20234	\N	\N	\N
780439	2661	1998-11-14	PRIJEM	VKLAD	8475	16858	\N	\N	\N
780440	2661	1998-12-14	PRIJEM	VKLAD	12712	25656	\N	\N	\N
780448	2661	1997-08-10	VYDAJ	PREVOD NA UCET	4764	17895	SIPO	GH	84294449
780449	2661	1997-09-10	VYDAJ	PREVOD NA UCET	4764	15949	SIPO	GH	84294449
780450	2661	1997-10-10	VYDAJ	PREVOD NA UCET	4764	16460	SIPO	GH	84294449
780451	2661	1997-11-10	VYDAJ	PREVOD NA UCET	4764	20095	SIPO	GH	84294449
780452	2661	1997-12-10	VYDAJ	PREVOD NA UCET	4764	20599	SIPO	GH	84294449
780453	2661	1998-01-10	VYDAJ	PREVOD NA UCET	4764	11722	SIPO	GH	84294449
780454	2661	1998-02-10	VYDAJ	PREVOD NA UCET	4764	8748	SIPO	GH	84294449
780455	2661	1998-03-10	VYDAJ	PREVOD NA UCET	4764	17115	SIPO	GH	84294449
780456	2661	1998-04-10	VYDAJ	PREVOD NA UCET	4764	16205	SIPO	GH	84294449
780457	2661	1998-05-10	VYDAJ	PREVOD NA UCET	4764	12148	SIPO	GH	84294449
780458	2661	1998-06-10	VYDAJ	PREVOD NA UCET	4764	12719	SIPO	GH	84294449
780459	2661	1998-07-10	VYDAJ	PREVOD NA UCET	4764	12477	SIPO	GH	84294449
780460	2661	1998-08-10	VYDAJ	PREVOD NA UCET	4764	13049	SIPO	GH	84294449
780461	2661	1998-09-10	VYDAJ	PREVOD NA UCET	4764	14424	SIPO	GH	84294449
780462	2661	1998-10-10	VYDAJ	PREVOD NA UCET	4764	11759	SIPO	GH	84294449
780463	2661	1998-11-10	VYDAJ	PREVOD NA UCET	4764	8383	SIPO	GH	84294449
780464	2661	1998-12-10	VYDAJ	PREVOD NA UCET	4764	12944	SIPO	GH	84294449
780465	2661	1997-12-18	VYDAJ	VYBER	2880	30431	\N	\N	\N
780466	2661	1998-12-14	VYDAJ	VYBER	4480	21176	\N	\N	\N
780473	2661	1998-01-05	VYDAJ	VYBER	3120	18166	\N	\N	\N
780475	2661	1998-01-28	VYDAJ	VYBER	1080	13457	\N	\N	\N
780476	2661	1998-01-21	VYDAJ	VYBER	2160	18017	\N	\N	\N
780477	2661	1998-01-23	VYDAJ	VYBER	3480	14537	\N	\N	\N
780478	2661	1998-01-19	VYDAJ	VYBER	2520	17677	\N	\N	\N
780479	2661	1997-10-22	VYDAJ	VYBER	960	23975	\N	\N	\N
780480	2661	1997-08-26	VYDAJ	VYBER	840	20630	\N	\N	\N
780483	2661	1997-12-26	VYDAJ	VYBER	3840	21191	\N	\N	\N
780484	2661	1997-10-05	VYDAJ	VYBER	2880	21224	\N	\N	\N
780485	2661	1998-10-21	VYDAJ	VYBER	5040	13094	\N	\N	\N
780487	2661	1998-09-30	VYDAJ	VYBER	840	16523	\N	\N	\N
780488	2661	1998-04-25	VYDAJ	VYBER	3240	16840	\N	\N	\N
780489	2661	1998-06-29	VYDAJ	VYBER	4560	17171	\N	\N	\N
780490	2661	1998-01-06	VYDAJ	VYBER	1680	16486	\N	\N	\N
780498	2661	1997-07-31	VYDAJ	VYBER	15	22659	SLUZBY	\N	\N
780499	2661	1997-08-31	VYDAJ	VYBER	15	20713	SLUZBY	\N	\N
780500	2661	1997-09-30	VYDAJ	VYBER	15	24104	SLUZBY	\N	\N
780501	2661	1997-10-31	VYDAJ	VYBER	15	24859	SLUZBY	\N	\N
780502	2661	1997-11-30	VYDAJ	VYBER	15	25363	SLUZBY	\N	\N
780503	2661	1997-12-31	VYDAJ	VYBER	15	21286	SLUZBY	\N	\N
780504	2661	1998-01-31	VYDAJ	VYBER	15	13512	SLUZBY	\N	\N
780505	2661	1998-02-28	VYDAJ	VYBER	15	21879	SLUZBY	\N	\N
780506	2661	1998-03-31	VYDAJ	VYBER	15	20969	SLUZBY	\N	\N
780507	2661	1998-04-30	VYDAJ	VYBER	15	16912	SLUZBY	\N	\N
780508	2661	1998-05-31	VYDAJ	VYBER	15	17483	SLUZBY	\N	\N
780509	2661	1998-06-30	VYDAJ	VYBER	15	17241	SLUZBY	\N	\N
780510	2661	1998-07-31	VYDAJ	VYBER	15	17813	SLUZBY	\N	\N
780511	2661	1998-08-31	VYDAJ	VYBER	15	19188	SLUZBY	\N	\N
780512	2661	1998-09-30	VYDAJ	VYBER	15	17363	SLUZBY	\N	\N
780513	2661	1998-10-31	VYDAJ	VYBER	15	13147	SLUZBY	\N	\N
780514	2661	1998-11-30	VYDAJ	VYBER	15	17708	SLUZBY	\N	\N
780515	2661	1997-03-27	PRIJEM	VKLAD	7100	16375	\N	\N	\N
780516	2661	1997-04-26	VYDAJ	VYBER	2500	22361	\N	\N	\N
780517	2661	1997-05-26	VYDAJ	VYBER	8800	22108	\N	\N	\N
780518	2661	1997-06-25	VYDAJ	VYBER	12600	22313	\N	\N	\N
780519	2661	1997-07-25	VYDAJ	VYBER	8300	22581	\N	\N	\N
780520	2661	1997-08-24	VYDAJ	VYBER	4900	21470	\N	\N	\N
780521	2661	1997-09-23	VYDAJ	VYBER	400	24024	\N	\N	\N
780522	2661	1997-10-23	PRIJEM	VKLAD	800	24775	\N	\N	\N
780523	2661	1997-11-22	VYDAJ	VYBER	3300	25270	\N	\N	\N
780524	2661	1997-12-22	VYDAJ	VYBER	5400	25031	\N	\N	\N
780525	2661	1998-01-21	PRIJEM	VKLAD	2500	20177	\N	\N	\N
780526	2661	1998-02-20	PRIJEM	VKLAD	4600	21823	\N	\N	\N
780527	2661	1998-03-22	VYDAJ	VYBER	4700	20890	\N	\N	\N
780528	2661	1998-04-21	VYDAJ	VYBER	4600	20080	\N	\N	\N
780529	2661	1998-05-21	VYDAJ	VYBER	3200	17423	\N	\N	\N
780530	2661	1998-06-20	VYDAJ	VYBER	3700	21731	\N	\N	\N
780531	2661	1998-07-20	VYDAJ	VYBER	3200	17752	\N	\N	\N
780532	2661	1998-08-19	VYDAJ	VYBER	2400	19124	\N	\N	\N
780533	2661	1998-09-18	VYDAJ	VYBER	5600	17299	\N	\N	\N
780534	2661	1998-10-18	VYDAJ	VYBER	2100	18134	\N	\N	\N
780535	2661	1998-11-17	PRIJEM	VKLAD	800	17658	\N	\N	\N
780558	2662	1994-05-24	PRIJEM	VKLAD	600	600	\N	\N	\N
780564	2662	1994-06-08	PRIJEM	PREVOD Z UCTU	5500	6100	DUCHOD	EF	49058002
780565	2662	1994-07-08	PRIJEM	PREVOD Z UCTU	5500	11600	DUCHOD	EF	49058002
780566	2662	1994-08-08	PRIJEM	PREVOD Z UCTU	5500	17100	DUCHOD	EF	49058002
780567	2662	1994-09-08	PRIJEM	PREVOD Z UCTU	5500	22600	DUCHOD	EF	49058002
780568	2662	1994-10-08	PRIJEM	PREVOD Z UCTU	5500	28100	DUCHOD	EF	49058002
780569	2662	1994-11-08	PRIJEM	PREVOD Z UCTU	5500	25116	DUCHOD	EF	49058002
780570	2662	1994-12-08	PRIJEM	PREVOD Z UCTU	5500	25239	DUCHOD	EF	49058002
780571	2662	1995-01-08	PRIJEM	PREVOD Z UCTU	5500	21698	DUCHOD	EF	49058002
780572	2662	1995-02-08	PRIJEM	PREVOD Z UCTU	5500	14332	DUCHOD	EF	49058002
780573	2662	1995-03-08	PRIJEM	PREVOD Z UCTU	5500	16250	DUCHOD	EF	49058002
780574	2662	1995-04-08	PRIJEM	PREVOD Z UCTU	5500	18177	DUCHOD	EF	49058002
780575	2662	1995-05-08	PRIJEM	PREVOD Z UCTU	5500	20111	DUCHOD	EF	49058002
780576	2662	1995-06-08	PRIJEM	PREVOD Z UCTU	5500	21013	DUCHOD	EF	49058002
780577	2662	1995-07-08	PRIJEM	PREVOD Z UCTU	5500	21006	DUCHOD	EF	49058002
780578	2662	1995-08-08	PRIJEM	PREVOD Z UCTU	5500	22953	DUCHOD	EF	49058002
780579	2662	1995-09-08	PRIJEM	PREVOD Z UCTU	5500	24907	DUCHOD	EF	49058002
780580	2662	1995-10-08	PRIJEM	PREVOD Z UCTU	5500	26869	DUCHOD	EF	49058002
780581	2662	1995-11-08	PRIJEM	PREVOD Z UCTU	5500	28840	DUCHOD	EF	49058002
780582	2662	1995-12-08	PRIJEM	PREVOD Z UCTU	5500	29518	DUCHOD	EF	49058002
780583	2662	1996-01-08	PRIJEM	PREVOD Z UCTU	5500	26550	DUCHOD	EF	49058002
780584	2662	1996-02-08	PRIJEM	PREVOD Z UCTU	5500	22589	DUCHOD	EF	49058002
780585	2662	1996-03-08	PRIJEM	PREVOD Z UCTU	5500	20862	DUCHOD	EF	49058002
780586	2662	1996-04-08	PRIJEM	PREVOD Z UCTU	5500	22810	DUCHOD	EF	49058002
780587	2662	1996-05-08	PRIJEM	PREVOD Z UCTU	5500	24763	DUCHOD	EF	49058002
780588	2662	1996-06-08	PRIJEM	PREVOD Z UCTU	5500	23521	DUCHOD	EF	49058002
780589	2662	1996-07-08	PRIJEM	PREVOD Z UCTU	5500	20371	DUCHOD	EF	49058002
780590	2662	1996-08-08	PRIJEM	PREVOD Z UCTU	5500	21513	DUCHOD	EF	49058002
780591	2662	1996-09-08	PRIJEM	PREVOD Z UCTU	5500	23460	DUCHOD	EF	49058002
780592	2662	1996-10-08	PRIJEM	PREVOD Z UCTU	5500	24696	DUCHOD	EF	49058002
780593	2662	1996-11-08	PRIJEM	PREVOD Z UCTU	5500	24090	DUCHOD	EF	49058002
780594	2662	1996-12-08	PRIJEM	PREVOD Z UCTU	5500	26049	DUCHOD	EF	49058002
780595	2662	1997-01-08	PRIJEM	PREVOD Z UCTU	5500	25243	DUCHOD	EF	49058002
780596	2662	1997-02-08	PRIJEM	PREVOD Z UCTU	5500	16661	DUCHOD	EF	49058002
780597	2662	1997-03-08	PRIJEM	PREVOD Z UCTU	5500	18588	DUCHOD	EF	49058002
780598	2662	1997-04-08	PRIJEM	PREVOD Z UCTU	5500	20523	DUCHOD	EF	49058002
780599	2662	1997-05-08	PRIJEM	PREVOD Z UCTU	5500	22467	DUCHOD	EF	49058002
780600	2662	1997-06-08	PRIJEM	PREVOD Z UCTU	5500	24418	DUCHOD	EF	49058002
780601	2662	1997-07-08	PRIJEM	PREVOD Z UCTU	5500	18760	DUCHOD	EF	49058002
780602	2662	1997-08-08	PRIJEM	PREVOD Z UCTU	5500	20696	DUCHOD	EF	49058002
780603	2662	1997-09-08	PRIJEM	PREVOD Z UCTU	5500	22640	DUCHOD	EF	49058002
780604	2662	1997-10-08	PRIJEM	PREVOD Z UCTU	5500	24592	DUCHOD	EF	49058002
780605	2662	1997-11-08	PRIJEM	PREVOD Z UCTU	5500	26552	DUCHOD	EF	49058002
780606	2662	1997-12-08	PRIJEM	PREVOD Z UCTU	5500	27820	DUCHOD	EF	49058002
780607	2662	1998-01-08	PRIJEM	PREVOD Z UCTU	5500	29794	DUCHOD	EF	49058002
780608	2662	1998-02-08	PRIJEM	PREVOD Z UCTU	5500	17581	DUCHOD	EF	49058002
780609	2662	1998-03-08	PRIJEM	PREVOD Z UCTU	5500	19511	DUCHOD	EF	49058002
780610	2662	1998-04-08	PRIJEM	PREVOD Z UCTU	5500	18802	DUCHOD	EF	49058002
780611	2662	1998-05-08	PRIJEM	PREVOD Z UCTU	5500	18578	DUCHOD	EF	49058002
780612	2662	1998-06-08	PRIJEM	PREVOD Z UCTU	5500	20514	DUCHOD	EF	49058002
780613	2662	1998-07-08	PRIJEM	PREVOD Z UCTU	5500	22456	DUCHOD	EF	49058002
780614	2662	1998-08-08	PRIJEM	PREVOD Z UCTU	5500	24407	DUCHOD	EF	49058002
780615	2662	1998-09-08	PRIJEM	PREVOD Z UCTU	5500	26366	DUCHOD	EF	49058002
780616	2662	1998-10-08	PRIJEM	PREVOD Z UCTU	5500	27533	DUCHOD	EF	49058002
780617	2662	1998-11-08	PRIJEM	PREVOD Z UCTU	5500	28303	DUCHOD	EF	49058002
780618	2662	1998-12-08	PRIJEM	PREVOD Z UCTU	5500	30278	DUCHOD	EF	49058002
780629	2662	1994-11-07	VYDAJ	PREVOD NA UCET	3625	19616	SIPO	OP	1110756
780630	2662	1994-12-07	VYDAJ	PREVOD NA UCET	3625	19739	SIPO	OP	1110756
780631	2662	1995-01-07	VYDAJ	PREVOD NA UCET	3625	16198	SIPO	OP	1110756
780632	2662	1995-02-07	VYDAJ	PREVOD NA UCET	3625	8832	SIPO	OP	1110756
780633	2662	1995-03-07	VYDAJ	PREVOD NA UCET	3625	10750	SIPO	OP	1110756
780634	2662	1995-04-07	VYDAJ	PREVOD NA UCET	3625	12677	SIPO	OP	1110756
780635	2662	1995-05-07	VYDAJ	PREVOD NA UCET	3625	14611	SIPO	OP	1110756
780636	2662	1995-06-07	VYDAJ	PREVOD NA UCET	3625	15513	SIPO	OP	1110756
780637	2662	1995-07-07	VYDAJ	PREVOD NA UCET	3625	15506	SIPO	OP	1110756
780638	2662	1995-08-07	VYDAJ	PREVOD NA UCET	3625	17453	SIPO	OP	1110756
780639	2662	1995-09-07	VYDAJ	PREVOD NA UCET	3625	19407	SIPO	OP	1110756
780640	2662	1995-10-07	VYDAJ	PREVOD NA UCET	3625	21369	SIPO	OP	1110756
780641	2662	1995-11-07	VYDAJ	PREVOD NA UCET	3625	23340	SIPO	OP	1110756
780642	2662	1995-12-07	VYDAJ	PREVOD NA UCET	3625	24018	SIPO	OP	1110756
780643	2662	1996-01-07	VYDAJ	PREVOD NA UCET	3625	21050	SIPO	OP	1110756
780644	2662	1996-02-07	VYDAJ	PREVOD NA UCET	3625	17089	SIPO	OP	1110756
780645	2662	1996-03-07	VYDAJ	PREVOD NA UCET	3625	15362	SIPO	OP	1110756
780646	2662	1996-04-07	VYDAJ	PREVOD NA UCET	3625	17310	SIPO	OP	1110756
780647	2662	1996-05-07	VYDAJ	PREVOD NA UCET	3625	19263	SIPO	OP	1110756
780648	2662	1996-06-07	VYDAJ	PREVOD NA UCET	3625	18021	SIPO	OP	1110756
780649	2662	1996-07-07	VYDAJ	PREVOD NA UCET	3625	14871	SIPO	OP	1110756
780650	2662	1996-08-07	VYDAJ	PREVOD NA UCET	3625	16013	SIPO	OP	1110756
780651	2662	1996-09-07	VYDAJ	PREVOD NA UCET	3625	17960	SIPO	OP	1110756
780652	2662	1996-10-07	VYDAJ	PREVOD NA UCET	3625	19196	SIPO	OP	1110756
780653	2662	1996-11-07	VYDAJ	PREVOD NA UCET	3625	18590	SIPO	OP	1110756
780654	2662	1996-12-07	VYDAJ	PREVOD NA UCET	3625	20549	SIPO	OP	1110756
780655	2662	1997-01-07	VYDAJ	PREVOD NA UCET	3625	19743	SIPO	OP	1110756
780656	2662	1997-02-07	VYDAJ	PREVOD NA UCET	3625	11161	SIPO	OP	1110756
780657	2662	1997-03-07	VYDAJ	PREVOD NA UCET	3625	13088	SIPO	OP	1110756
780658	2662	1997-04-07	VYDAJ	PREVOD NA UCET	3625	15023	SIPO	OP	1110756
780659	2662	1997-05-07	VYDAJ	PREVOD NA UCET	3625	16967	SIPO	OP	1110756
780660	2662	1997-06-07	VYDAJ	PREVOD NA UCET	3625	18918	SIPO	OP	1110756
780661	2662	1997-07-07	VYDAJ	PREVOD NA UCET	3625	13260	SIPO	OP	1110756
780662	2662	1997-08-07	VYDAJ	PREVOD NA UCET	3625	15196	SIPO	OP	1110756
780663	2662	1997-09-07	VYDAJ	PREVOD NA UCET	3625	17140	SIPO	OP	1110756
780664	2662	1997-10-07	VYDAJ	PREVOD NA UCET	3625	19092	SIPO	OP	1110756
780665	2662	1997-11-07	VYDAJ	PREVOD NA UCET	3625	21052	SIPO	OP	1110756
780666	2662	1997-12-07	VYDAJ	PREVOD NA UCET	3625	22320	SIPO	OP	1110756
780667	2662	1998-01-07	VYDAJ	PREVOD NA UCET	3625	24294	SIPO	OP	1110756
780668	2662	1998-02-07	VYDAJ	PREVOD NA UCET	3625	12081	SIPO	OP	1110756
780669	2662	1998-03-07	VYDAJ	PREVOD NA UCET	3625	14011	SIPO	OP	1110756
780670	2662	1998-04-07	VYDAJ	PREVOD NA UCET	3625	13302	SIPO	OP	1110756
780671	2662	1998-05-07	VYDAJ	PREVOD NA UCET	3625	13078	SIPO	OP	1110756
780672	2662	1998-06-07	VYDAJ	PREVOD NA UCET	3625	15014	SIPO	OP	1110756
780673	2662	1998-07-07	VYDAJ	PREVOD NA UCET	3625	16956	SIPO	OP	1110756
780674	2662	1998-08-07	VYDAJ	PREVOD NA UCET	3625	18907	SIPO	OP	1110756
780675	2662	1998-09-07	VYDAJ	PREVOD NA UCET	3625	20866	SIPO	OP	1110756
780676	2662	1998-10-07	VYDAJ	PREVOD NA UCET	3625	22033	SIPO	OP	1110756
780677	2662	1998-11-07	VYDAJ	PREVOD NA UCET	3625	22803	SIPO	OP	1110756
780678	2662	1998-12-07	VYDAJ	PREVOD NA UCET	3625	24778	SIPO	OP	1110756
780680	2662	1995-06-22	VYDAJ	VYBER	1950	19063	\N	\N	\N
780681	2662	1996-06-21	VYDAJ	VYBER	5100	18421	\N	\N	\N
780682	2662	1997-06-14	VYDAJ	VYBER	7600	16818	\N	\N	\N
780685	2662	1995-01-27	VYDAJ	VYBER	3300	12398	\N	\N	\N
780686	2662	1996-01-06	VYDAJ	VYBER	3350	24675	\N	\N	\N
780687	2662	1997-01-22	VYDAJ	VYBER	4450	16793	\N	\N	\N
780688	2662	1998-01-09	VYDAJ	VYBER	3050	26744	\N	\N	\N
780689	2662	1994-12-27	VYDAJ	VYBER	1100	22139	\N	\N	\N
780690	2662	1995-12-03	VYDAJ	VYBER	1300	27643	\N	\N	\N
780691	2662	1996-12-21	VYDAJ	VYBER	1250	24799	\N	\N	\N
780692	2662	1997-12-02	VYDAJ	VYBER	700	25945	\N	\N	\N
780693	2662	1998-12-08	VYDAJ	VYBER	1000	29278	\N	\N	\N
780700	2662	1995-01-10	VYDAJ	VYBER	800	20898	\N	\N	\N
780701	2662	1995-01-04	VYDAJ	VYBER	2000	20223	\N	\N	\N
780703	2662	1995-01-19	VYDAJ	VYBER	1280	15698	\N	\N	\N
780704	2662	1995-01-06	VYDAJ	VYBER	400	19823	\N	\N	\N
780705	2662	1995-01-10	VYDAJ	VYBER	1840	19058	\N	\N	\N
780706	2662	1996-01-24	VYDAJ	VYBER	1600	20630	\N	\N	\N
780707	2662	1996-01-09	VYDAJ	VYBER	880	25670	\N	\N	\N
780708	2662	1996-01-10	VYDAJ	VYBER	1520	23190	\N	\N	\N
780709	2662	1996-01-10	VYDAJ	VYBER	960	22230	\N	\N	\N
780710	2662	1996-01-09	VYDAJ	VYBER	960	24710	\N	\N	\N
780711	2662	1996-01-02	VYDAJ	VYBER	1600	28025	\N	\N	\N
780712	2662	1997-01-11	VYDAJ	VYBER	800	21803	\N	\N	\N
780713	2662	1997-01-19	VYDAJ	VYBER	560	21243	\N	\N	\N
780714	2662	1997-01-07	VYDAJ	VYBER	1520	23368	\N	\N	\N
780715	2662	1997-01-10	VYDAJ	VYBER	2240	22603	\N	\N	\N
780716	2662	1997-01-08	VYDAJ	VYBER	400	24843	\N	\N	\N
780717	2662	1997-01-22	VYDAJ	VYBER	2080	14713	\N	\N	\N
780718	2662	1998-01-25	VYDAJ	VYBER	1520	15624	\N	\N	\N
780719	2662	1998-01-24	VYDAJ	VYBER	2000	17144	\N	\N	\N
780720	2662	1998-01-22	VYDAJ	VYBER	1680	20904	\N	\N	\N
780721	2662	1998-01-17	VYDAJ	VYBER	1920	22584	\N	\N	\N
780722	2662	1998-01-17	VYDAJ	VYBER	2240	24504	\N	\N	\N
780723	2662	1998-01-24	VYDAJ	VYBER	1760	19144	\N	\N	\N
780725	2662	1994-10-30	VYDAJ	VYBER	880	23220	\N	\N	\N
780726	2662	1994-11-29	VYDAJ	VYBER	1840	23276	\N	\N	\N
780729	2662	1995-01-14	VYDAJ	VYBER	2080	16978	\N	\N	\N
780730	2662	1995-05-27	VYDAJ	VYBER	1040	19071	\N	\N	\N
780732	2662	1996-05-24	VYDAJ	VYBER	3200	21563	\N	\N	\N
780733	2662	1996-03-06	VYDAJ	VYBER	3680	18987	\N	\N	\N
780734	2662	1996-07-21	VYDAJ	VYBER	800	19571	\N	\N	\N
780735	2662	1996-09-28	VYDAJ	VYBER	720	22740	\N	\N	\N
780736	2662	1996-10-11	VYDAJ	VYBER	2560	22136	\N	\N	\N
780737	2662	1998-09-30	VYDAJ	VYBER	800	25658	\N	\N	\N
780738	2662	1998-05-06	VYDAJ	VYBER	2160	16703	\N	\N	\N
780739	2662	1998-10-19	VYDAJ	VYBER	1200	26333	\N	\N	\N
780740	2662	1998-03-10	VYDAJ	VYBER	2640	16871	\N	\N	\N
780751	2662	1994-10-31	VYDAJ	VYBER	15	23241	SLUZBY	\N	\N
780752	2662	1994-11-30	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
780753	2662	1994-12-31	VYDAJ	VYBER	15	22223	SLUZBY	\N	\N
780754	2662	1995-01-31	VYDAJ	VYBER	15	12457	SLUZBY	\N	\N
780755	2662	1995-02-28	VYDAJ	VYBER	15	14375	SLUZBY	\N	\N
780756	2662	1995-03-31	VYDAJ	VYBER	15	16302	SLUZBY	\N	\N
780757	2662	1995-04-30	VYDAJ	VYBER	15	18236	SLUZBY	\N	\N
780758	2662	1995-05-31	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
780759	2662	1995-06-30	VYDAJ	VYBER	15	19131	SLUZBY	\N	\N
780760	2662	1995-07-31	VYDAJ	VYBER	15	21078	SLUZBY	\N	\N
780761	2662	1995-08-31	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
780762	2662	1995-09-30	VYDAJ	VYBER	15	24994	SLUZBY	\N	\N
780763	2662	1995-10-31	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
780764	2662	1995-11-30	VYDAJ	VYBER	15	28943	SLUZBY	\N	\N
780765	2662	1995-12-31	VYDAJ	VYBER	15	29625	SLUZBY	\N	\N
780766	2662	1996-01-31	VYDAJ	VYBER	15	20714	SLUZBY	\N	\N
780767	2662	1996-02-29	VYDAJ	VYBER	15	22667	SLUZBY	\N	\N
780768	2662	1996-03-31	VYDAJ	VYBER	15	20935	SLUZBY	\N	\N
780769	2662	1996-04-30	VYDAJ	VYBER	15	22888	SLUZBY	\N	\N
780770	2662	1996-05-31	VYDAJ	VYBER	15	21646	SLUZBY	\N	\N
780771	2662	1996-06-30	VYDAJ	VYBER	15	18496	SLUZBY	\N	\N
780772	2662	1996-07-31	VYDAJ	VYBER	15	19638	SLUZBY	\N	\N
780773	2662	1996-08-31	VYDAJ	VYBER	15	21585	SLUZBY	\N	\N
780774	2662	1996-09-30	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
780775	2662	1996-10-31	VYDAJ	VYBER	15	22215	SLUZBY	\N	\N
780776	2662	1996-11-30	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
780777	2662	1996-12-31	VYDAJ	VYBER	15	24888	SLUZBY	\N	\N
780778	2662	1997-01-31	VYDAJ	VYBER	15	14786	SLUZBY	\N	\N
780779	2662	1997-02-28	VYDAJ	VYBER	15	16713	SLUZBY	\N	\N
780780	2662	1997-03-31	VYDAJ	VYBER	15	18648	SLUZBY	\N	\N
780781	2662	1997-04-30	VYDAJ	VYBER	15	20592	SLUZBY	\N	\N
780782	2662	1997-05-31	VYDAJ	VYBER	15	22543	SLUZBY	\N	\N
780783	2662	1997-06-30	VYDAJ	VYBER	15	16885	SLUZBY	\N	\N
780784	2662	1997-07-31	VYDAJ	VYBER	15	18821	SLUZBY	\N	\N
780785	2662	1997-08-31	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
780786	2662	1997-09-30	VYDAJ	VYBER	15	22717	SLUZBY	\N	\N
780787	2662	1997-10-31	VYDAJ	VYBER	15	24677	SLUZBY	\N	\N
780788	2662	1997-11-30	VYDAJ	VYBER	15	26645	SLUZBY	\N	\N
780789	2662	1997-12-31	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
780790	2662	1998-01-31	VYDAJ	VYBER	15	15706	SLUZBY	\N	\N
780791	2662	1998-02-28	VYDAJ	VYBER	15	17636	SLUZBY	\N	\N
780792	2662	1998-03-31	VYDAJ	VYBER	15	16927	SLUZBY	\N	\N
780793	2662	1998-04-30	VYDAJ	VYBER	15	18863	SLUZBY	\N	\N
780794	2662	1998-05-31	VYDAJ	VYBER	15	18639	SLUZBY	\N	\N
780795	2662	1998-06-30	VYDAJ	VYBER	15	20581	SLUZBY	\N	\N
780796	2662	1998-07-31	VYDAJ	VYBER	15	22532	SLUZBY	\N	\N
780797	2662	1998-08-31	VYDAJ	VYBER	15	24491	SLUZBY	\N	\N
780798	2662	1998-09-30	VYDAJ	VYBER	15	26458	SLUZBY	\N	\N
780799	2662	1998-10-31	VYDAJ	VYBER	15	26428	SLUZBY	\N	\N
780800	2662	1998-11-30	VYDAJ	VYBER	15	28403	SLUZBY	\N	\N
780801	2662	1994-10-21	VYDAJ	VYBER	4000	24100	\N	\N	\N
780802	2662	1994-12-20	VYDAJ	VYBER	2000	23239	\N	\N	\N
780854	2663	1995-01-25	PRIJEM	VKLAD	700	700	\N	\N	\N
780856	2663	1995-02-14	PRIJEM	PREVOD Z UCTU	6362	7062	DUCHOD	ST	48415380
780857	2663	1995-03-14	PRIJEM	PREVOD Z UCTU	6362	13424	DUCHOD	ST	48415380
780858	2663	1995-04-14	PRIJEM	PREVOD Z UCTU	6362	19786	DUCHOD	ST	48415380
780859	2663	1995-05-14	PRIJEM	PREVOD Z UCTU	6362	26148	DUCHOD	ST	48415380
780860	2663	1995-06-14	PRIJEM	PREVOD Z UCTU	6362	30433	DUCHOD	ST	48415380
780861	2663	1995-07-14	PRIJEM	PREVOD Z UCTU	6362	19978	DUCHOD	ST	48415380
780862	2663	1995-08-14	PRIJEM	PREVOD Z UCTU	6362	18606	DUCHOD	ST	48415380
780863	2663	1995-09-14	PRIJEM	PREVOD Z UCTU	6362	21149	DUCHOD	ST	48415380
780864	2663	1995-10-14	PRIJEM	PREVOD Z UCTU	6362	23703	DUCHOD	ST	48415380
780865	2663	1995-11-14	PRIJEM	PREVOD Z UCTU	6362	26268	DUCHOD	ST	48415380
780866	2663	1995-12-14	PRIJEM	PREVOD Z UCTU	6362	26119	DUCHOD	ST	48415380
780867	2663	1996-01-14	PRIJEM	PREVOD Z UCTU	6362	21250	DUCHOD	ST	48415380
780868	2663	1996-02-14	PRIJEM	PREVOD Z UCTU	6362	20759	DUCHOD	ST	48415380
780869	2663	1996-03-14	PRIJEM	PREVOD Z UCTU	6362	22610	DUCHOD	ST	48415380
780870	2663	1996-04-14	PRIJEM	PREVOD Z UCTU	6362	23409	DUCHOD	ST	48415380
780871	2663	1996-05-14	PRIJEM	PREVOD Z UCTU	6362	23406	DUCHOD	ST	48415380
780872	2663	1996-06-14	PRIJEM	PREVOD Z UCTU	6362	22850	DUCHOD	ST	48415380
780873	2663	1996-07-14	PRIJEM	PREVOD Z UCTU	6362	22688	DUCHOD	ST	48415380
780874	2663	1996-08-14	PRIJEM	PREVOD Z UCTU	6362	25249	DUCHOD	ST	48415380
780875	2663	1996-09-14	PRIJEM	PREVOD Z UCTU	6362	27820	DUCHOD	ST	48415380
780876	2663	1996-10-14	PRIJEM	PREVOD Z UCTU	6362	29299	DUCHOD	ST	48415380
780877	2663	1996-11-14	PRIJEM	PREVOD Z UCTU	6362	31186	DUCHOD	ST	48415380
780878	2663	1996-12-14	PRIJEM	PREVOD Z UCTU	6362	28560	DUCHOD	ST	48415380
780879	2663	1997-01-14	PRIJEM	PREVOD Z UCTU	6362	27569	DUCHOD	ST	48415380
780880	2663	1997-02-14	PRIJEM	PREVOD Z UCTU	6362	19666	DUCHOD	ST	48415380
780881	2663	1997-03-14	PRIJEM	PREVOD Z UCTU	6362	22213	DUCHOD	ST	48415380
780882	2663	1997-04-14	PRIJEM	PREVOD Z UCTU	6362	20085	DUCHOD	ST	48415380
780883	2663	1997-05-14	PRIJEM	PREVOD Z UCTU	6362	21331	DUCHOD	ST	48415380
780884	2663	1997-06-14	PRIJEM	PREVOD Z UCTU	6362	19979	DUCHOD	ST	48415380
780885	2663	1997-07-14	PRIJEM	PREVOD Z UCTU	6362	22530	DUCHOD	ST	48415380
780886	2663	1997-08-14	PRIJEM	PREVOD Z UCTU	6362	21250	DUCHOD	ST	48415380
780887	2663	1997-09-14	PRIJEM	PREVOD Z UCTU	6362	20760	DUCHOD	ST	48415380
780888	2663	1997-10-14	PRIJEM	PREVOD Z UCTU	6362	23312	DUCHOD	ST	48415380
780889	2663	1997-11-14	PRIJEM	PREVOD Z UCTU	6362	25375	DUCHOD	ST	48415380
780890	2663	1997-12-14	PRIJEM	PREVOD Z UCTU	6362	25944	DUCHOD	ST	48415380
780891	2663	1998-01-14	PRIJEM	PREVOD Z UCTU	6362	21117	DUCHOD	ST	48415380
780892	2663	1998-02-14	PRIJEM	PREVOD Z UCTU	6362	21034	DUCHOD	ST	48415380
780893	2663	1998-03-14	PRIJEM	PREVOD Z UCTU	6362	21506	DUCHOD	ST	48415380
780894	2663	1998-04-14	PRIJEM	PREVOD Z UCTU	6362	23102	DUCHOD	ST	48415380
780895	2663	1998-05-14	PRIJEM	PREVOD Z UCTU	6362	25662	DUCHOD	ST	48415380
780896	2663	1998-06-14	PRIJEM	PREVOD Z UCTU	6362	24384	DUCHOD	ST	48415380
780897	2663	1998-07-14	PRIJEM	PREVOD Z UCTU	6362	26956	DUCHOD	ST	48415380
780898	2663	1998-08-14	PRIJEM	PREVOD Z UCTU	6362	25934	DUCHOD	ST	48415380
780899	2663	1998-09-14	PRIJEM	PREVOD Z UCTU	6362	27468	DUCHOD	ST	48415380
780900	2663	1998-10-14	PRIJEM	PREVOD Z UCTU	6362	30047	DUCHOD	ST	48415380
780901	2663	1998-11-14	PRIJEM	PREVOD Z UCTU	6362	31275	DUCHOD	ST	48415380
780902	2663	1998-12-14	PRIJEM	PREVOD Z UCTU	6362	33870	DUCHOD	ST	48415380
780909	2663	1995-07-10	VYDAJ	PREVOD NA UCET	3877	15536	SIPO	KL	81498741
780910	2663	1995-08-10	VYDAJ	PREVOD NA UCET	3877	12244	SIPO	KL	81498741
780911	2663	1995-09-10	VYDAJ	PREVOD NA UCET	3877	14787	SIPO	KL	81498741
780912	2663	1995-10-10	VYDAJ	PREVOD NA UCET	3877	17341	SIPO	KL	81498741
780913	2663	1995-11-10	VYDAJ	PREVOD NA UCET	3877	19906	SIPO	KL	81498741
780914	2663	1995-12-10	VYDAJ	PREVOD NA UCET	3877	19757	SIPO	KL	81498741
780915	2663	1996-01-10	VYDAJ	PREVOD NA UCET	3877	14888	SIPO	KL	81498741
780916	2663	1996-02-10	VYDAJ	PREVOD NA UCET	3877	14397	SIPO	KL	81498741
780917	2663	1996-03-10	VYDAJ	PREVOD NA UCET	3877	16248	SIPO	KL	81498741
780918	2663	1996-04-10	VYDAJ	PREVOD NA UCET	3877	17047	SIPO	KL	81498741
780919	2663	1996-05-10	VYDAJ	PREVOD NA UCET	3877	17044	SIPO	KL	81498741
780920	2663	1996-06-10	VYDAJ	PREVOD NA UCET	3877	16488	SIPO	KL	81498741
780921	2663	1996-07-10	VYDAJ	PREVOD NA UCET	3877	16326	SIPO	KL	81498741
780922	2663	1996-08-10	VYDAJ	PREVOD NA UCET	3877	18887	SIPO	KL	81498741
780923	2663	1996-09-10	VYDAJ	PREVOD NA UCET	3877	21458	SIPO	KL	81498741
780924	2663	1996-10-10	VYDAJ	PREVOD NA UCET	3877	22937	SIPO	KL	81498741
780925	2663	1996-11-10	VYDAJ	PREVOD NA UCET	3877	24824	SIPO	KL	81498741
780926	2663	1996-12-10	VYDAJ	PREVOD NA UCET	3877	26118	SIPO	KL	81498741
780927	2663	1997-01-10	VYDAJ	PREVOD NA UCET	3877	21207	SIPO	KL	81498741
780928	2663	1997-02-10	VYDAJ	PREVOD NA UCET	3877	13304	SIPO	KL	81498741
780929	2663	1997-03-10	VYDAJ	PREVOD NA UCET	3877	15851	SIPO	KL	81498741
780930	2663	1997-04-10	VYDAJ	PREVOD NA UCET	3877	13723	SIPO	KL	81498741
780931	2663	1997-05-10	VYDAJ	PREVOD NA UCET	3877	14969	SIPO	KL	81498741
780932	2663	1997-06-10	VYDAJ	PREVOD NA UCET	3877	15117	SIPO	KL	81498741
780933	2663	1997-07-10	VYDAJ	PREVOD NA UCET	3877	16168	SIPO	KL	81498741
780934	2663	1997-08-10	VYDAJ	PREVOD NA UCET	3877	18728	SIPO	KL	81498741
780935	2663	1997-09-10	VYDAJ	PREVOD NA UCET	3877	14398	SIPO	KL	81498741
780936	2663	1997-10-10	VYDAJ	PREVOD NA UCET	3877	16950	SIPO	KL	81498741
780937	2663	1997-11-10	VYDAJ	PREVOD NA UCET	3877	19513	SIPO	KL	81498741
780938	2663	1997-12-10	VYDAJ	PREVOD NA UCET	3877	19582	SIPO	KL	81498741
780939	2663	1998-01-10	VYDAJ	PREVOD NA UCET	3877	17755	SIPO	KL	81498741
780940	2663	1998-02-10	VYDAJ	PREVOD NA UCET	3877	14672	SIPO	KL	81498741
780941	2663	1998-03-10	VYDAJ	PREVOD NA UCET	3877	15144	SIPO	KL	81498741
780942	2663	1998-04-10	VYDAJ	PREVOD NA UCET	3877	16740	SIPO	KL	81498741
780943	2663	1998-05-10	VYDAJ	PREVOD NA UCET	3877	19300	SIPO	KL	81498741
780944	2663	1998-06-10	VYDAJ	PREVOD NA UCET	3877	21872	SIPO	KL	81498741
780945	2663	1998-07-10	VYDAJ	PREVOD NA UCET	3877	20594	SIPO	KL	81498741
780946	2663	1998-08-10	VYDAJ	PREVOD NA UCET	3877	19572	SIPO	KL	81498741
780947	2663	1998-09-10	VYDAJ	PREVOD NA UCET	3877	21106	SIPO	KL	81498741
780948	2663	1998-10-10	VYDAJ	PREVOD NA UCET	3877	23685	SIPO	KL	81498741
780949	2663	1998-11-10	VYDAJ	PREVOD NA UCET	3877	24913	SIPO	KL	81498741
780950	2663	1998-12-10	VYDAJ	PREVOD NA UCET	3877	27508	SIPO	KL	81498741
780951	2663	1995-06-23	VYDAJ	VYBER	11100	19333	\N	\N	\N
780954	2663	1998-06-13	VYDAJ	VYBER	3850	18022	\N	\N	\N
780957	2663	1997-01-22	VYDAJ	VYBER	3150	17579	\N	\N	\N
780958	2663	1998-01-12	VYDAJ	VYBER	3000	14755	\N	\N	\N
780959	2663	1995-12-25	VYDAJ	VYBER	1200	24919	\N	\N	\N
780960	2663	1996-12-03	VYDAJ	VYBER	900	29995	\N	\N	\N
780961	2663	1997-12-25	VYDAJ	VYBER	1100	24844	\N	\N	\N
780962	2663	1998-12-25	VYDAJ	VYBER	800	33070	\N	\N	\N
780969	2663	1996-01-21	VYDAJ	VYBER	480	18210	\N	\N	\N
780970	2663	1996-01-20	VYDAJ	VYBER	480	19970	\N	\N	\N
780971	2663	1996-01-03	VYDAJ	VYBER	1360	19725	\N	\N	\N
780972	2663	1996-01-06	VYDAJ	VYBER	960	18765	\N	\N	\N
780973	2663	1996-01-20	VYDAJ	VYBER	1280	18690	\N	\N	\N
780974	2663	1996-01-15	VYDAJ	VYBER	800	20450	\N	\N	\N
780975	2663	1997-01-16	VYDAJ	VYBER	1200	22649	\N	\N	\N
780976	2663	1997-01-21	VYDAJ	VYBER	1920	20729	\N	\N	\N
780977	2663	1997-01-10	VYDAJ	VYBER	1440	25084	\N	\N	\N
780978	2663	1997-01-16	VYDAJ	VYBER	2320	23849	\N	\N	\N
780979	2663	1997-01-25	VYDAJ	VYBER	480	17099	\N	\N	\N
780980	2663	1997-01-01	VYDAJ	VYBER	1840	26524	\N	\N	\N
780981	2663	1998-01-10	VYDAJ	VYBER	1600	21632	\N	\N	\N
780982	2663	1998-01-03	VYDAJ	VYBER	400	24532	\N	\N	\N
780983	2663	1998-01-23	VYDAJ	VYBER	400	18477	\N	\N	\N
780984	2663	1998-01-18	VYDAJ	VYBER	640	20477	\N	\N	\N
780985	2663	1998-01-23	VYDAJ	VYBER	560	18877	\N	\N	\N
780986	2663	1998-01-20	VYDAJ	VYBER	1040	19437	\N	\N	\N
780987	2663	1995-07-27	VYDAJ	VYBER	3920	16058	\N	\N	\N
780988	2663	1995-11-29	VYDAJ	VYBER	880	23548	\N	\N	\N
780989	2663	1995-07-11	VYDAJ	VYBER	1920	13616	\N	\N	\N
780990	2663	1995-12-27	VYDAJ	VYBER	3920	20999	\N	\N	\N
780991	2663	1995-11-15	VYDAJ	VYBER	1840	24428	\N	\N	\N
780992	2663	1996-06-03	VYDAJ	VYBER	3120	20365	\N	\N	\N
780993	2663	1996-12-12	VYDAJ	VYBER	3920	22198	\N	\N	\N
780994	2663	1996-03-25	VYDAJ	VYBER	1760	20850	\N	\N	\N
780995	2663	1996-06-19	VYDAJ	VYBER	2720	20130	\N	\N	\N
780996	2663	1996-04-15	VYDAJ	VYBER	2560	20849	\N	\N	\N
780997	2663	1997-04-03	VYDAJ	VYBER	1680	17600	\N	\N	\N
780998	2663	1997-08-14	VYDAJ	VYBER	3040	18210	\N	\N	\N
781001	2663	1997-08-11	VYDAJ	VYBER	2240	16488	\N	\N	\N
781003	2663	1998-08-23	VYDAJ	VYBER	1040	24894	\N	\N	\N
781004	2663	1998-03-05	VYDAJ	VYBER	2080	19021	\N	\N	\N
781005	2663	1998-10-20	VYDAJ	VYBER	1360	28687	\N	\N	\N
781007	2663	1998-08-07	VYDAJ	VYBER	3600	23449	\N	\N	\N
781008	2663	1998-04-02	VYDAJ	VYBER	960	20617	\N	\N	\N
781015	2663	1995-06-30	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
781016	2663	1995-07-31	VYDAJ	VYBER	15	16121	SLUZBY	\N	\N
781017	2663	1995-08-31	VYDAJ	VYBER	15	18664	SLUZBY	\N	\N
781018	2663	1995-09-30	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
781019	2663	1995-10-31	VYDAJ	VYBER	15	23783	SLUZBY	\N	\N
781020	2663	1995-11-30	VYDAJ	VYBER	15	23634	SLUZBY	\N	\N
781021	2663	1995-12-31	VYDAJ	VYBER	15	21085	SLUZBY	\N	\N
781022	2663	1996-01-31	VYDAJ	VYBER	15	18274	SLUZBY	\N	\N
781023	2663	1996-02-29	VYDAJ	VYBER	15	20125	SLUZBY	\N	\N
781024	2663	1996-03-31	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
781025	2663	1996-04-30	VYDAJ	VYBER	15	20921	SLUZBY	\N	\N
781026	2663	1996-05-31	VYDAJ	VYBER	15	23485	SLUZBY	\N	\N
781027	2663	1996-06-30	VYDAJ	VYBER	15	20203	SLUZBY	\N	\N
781028	2663	1996-07-31	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
781029	2663	1996-08-31	VYDAJ	VYBER	15	25335	SLUZBY	\N	\N
781030	2663	1996-09-30	VYDAJ	VYBER	15	26814	SLUZBY	\N	\N
781031	2663	1996-10-31	VYDAJ	VYBER	15	28701	SLUZBY	\N	\N
781032	2663	1996-11-30	VYDAJ	VYBER	15	30895	SLUZBY	\N	\N
781033	2663	1996-12-31	VYDAJ	VYBER	15	28364	SLUZBY	\N	\N
781034	2663	1997-01-31	VYDAJ	VYBER	15	17181	SLUZBY	\N	\N
781035	2663	1997-02-28	VYDAJ	VYBER	15	19728	SLUZBY	\N	\N
781036	2663	1997-03-31	VYDAJ	VYBER	15	19280	SLUZBY	\N	\N
781037	2663	1997-04-30	VYDAJ	VYBER	15	18846	SLUZBY	\N	\N
781038	2663	1997-05-31	VYDAJ	VYBER	15	18994	SLUZBY	\N	\N
781039	2663	1997-06-30	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
781040	2663	1997-07-31	VYDAJ	VYBER	15	22605	SLUZBY	\N	\N
781041	2663	1997-08-31	VYDAJ	VYBER	15	18275	SLUZBY	\N	\N
781042	2663	1997-09-30	VYDAJ	VYBER	15	20827	SLUZBY	\N	\N
781043	2663	1997-10-31	VYDAJ	VYBER	15	23390	SLUZBY	\N	\N
781044	2663	1997-11-30	VYDAJ	VYBER	15	25459	SLUZBY	\N	\N
781045	2663	1997-12-31	VYDAJ	VYBER	15	24932	SLUZBY	\N	\N
781046	2663	1998-01-31	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
781047	2663	1998-02-28	VYDAJ	VYBER	15	21101	SLUZBY	\N	\N
781048	2663	1998-03-31	VYDAJ	VYBER	15	21577	SLUZBY	\N	\N
781049	2663	1998-04-30	VYDAJ	VYBER	15	23177	SLUZBY	\N	\N
781050	2663	1998-05-31	VYDAJ	VYBER	15	25749	SLUZBY	\N	\N
781051	2663	1998-06-30	VYDAJ	VYBER	15	24471	SLUZBY	\N	\N
781052	2663	1998-07-31	VYDAJ	VYBER	15	27049	SLUZBY	\N	\N
781053	2663	1998-08-31	VYDAJ	VYBER	15	24983	SLUZBY	\N	\N
781054	2663	1998-09-30	VYDAJ	VYBER	15	27562	SLUZBY	\N	\N
781055	2663	1998-10-31	VYDAJ	VYBER	15	28790	SLUZBY	\N	\N
781056	2663	1998-11-30	VYDAJ	VYBER	15	31385	SLUZBY	\N	\N
781057	2663	1995-05-25	VYDAJ	VYBER	2100	24048	\N	\N	\N
781058	2663	1996-02-19	VYDAJ	VYBER	700	20059	\N	\N	\N
781059	2663	1996-09-16	VYDAJ	VYBER	1100	26720	\N	\N	\N
781060	2663	1996-10-16	VYDAJ	VYBER	700	28599	\N	\N	\N
781061	2663	1996-11-15	VYDAJ	VYBER	400	30786	\N	\N	\N
781062	2663	1996-12-15	VYDAJ	VYBER	300	28260	\N	\N	\N
781063	2663	1997-01-14	VYDAJ	VYBER	1400	26169	\N	\N	\N
781064	2663	1997-03-15	VYDAJ	VYBER	3000	19213	\N	\N	\N
781065	2663	1997-04-14	VYDAJ	VYBER	1300	18785	\N	\N	\N
781066	2663	1997-05-14	VYDAJ	VYBER	2400	18931	\N	\N	\N
781067	2663	1997-06-13	VYDAJ	VYBER	1500	13617	\N	\N	\N
781068	2663	1997-08-12	VYDAJ	VYBER	1600	14888	\N	\N	\N
781069	2663	1997-11-10	VYDAJ	VYBER	500	19013	\N	\N	\N
781070	2663	1997-12-10	VYDAJ	VYBER	2000	23459	\N	\N	\N
781071	2663	1998-01-09	VYDAJ	VYBER	1300	23232	\N	\N	\N
781116	2664	1994-01-20	PRIJEM	VKLAD	400	400	\N	\N	\N
781118	2664	1994-02-05	PRIJEM	VKLAD	15238	15638	\N	\N	\N
781119	2664	1994-03-05	PRIJEM	VKLAD	15238	35506	\N	\N	\N
781120	2664	1994-04-05	PRIJEM	VKLAD	15238	42939	\N	\N	\N
781121	2664	1994-05-05	PRIJEM	VKLAD	15238	47900	\N	\N	\N
781122	2664	1994-06-05	PRIJEM	VKLAD	22857	61602	\N	\N	\N
781123	2664	1994-07-05	PRIJEM	VKLAD	15238	37892	\N	\N	\N
781124	2664	1994-08-05	PRIJEM	VKLAD	15238	41315	\N	\N	\N
781125	2664	1994-09-05	PRIJEM	VKLAD	15238	47156	\N	\N	\N
781126	2664	1994-10-05	PRIJEM	VKLAD	15238	48106	\N	\N	\N
781127	2664	1994-11-05	PRIJEM	VKLAD	15238	46857	\N	\N	\N
781128	2664	1994-12-05	PRIJEM	VKLAD	22857	57031	\N	\N	\N
781129	2664	1995-01-05	PRIJEM	VKLAD	15238	45992	\N	\N	\N
781130	2664	1995-02-05	PRIJEM	VKLAD	15238	41226	\N	\N	\N
781131	2664	1995-03-05	PRIJEM	VKLAD	15238	45860	\N	\N	\N
781132	2664	1995-04-05	PRIJEM	VKLAD	15238	47704	\N	\N	\N
781133	2664	1995-05-05	PRIJEM	VKLAD	15238	45051	\N	\N	\N
781134	2664	1995-06-05	PRIJEM	VKLAD	22857	53812	\N	\N	\N
781135	2664	1995-07-05	PRIJEM	VKLAD	15238	46769	\N	\N	\N
781136	2664	1995-08-05	PRIJEM	VKLAD	15238	48614	\N	\N	\N
781137	2664	1995-09-05	PRIJEM	VKLAD	15238	46657	\N	\N	\N
781138	2664	1995-10-05	PRIJEM	VKLAD	15238	50106	\N	\N	\N
781139	2664	1995-11-05	PRIJEM	VKLAD	15238	52965	\N	\N	\N
781140	2664	1995-12-05	PRIJEM	VKLAD	22857	59345	\N	\N	\N
781141	2664	1996-01-05	PRIJEM	VKLAD	15238	59132	\N	\N	\N
781142	2664	1996-02-05	PRIJEM	VKLAD	15238	45188	\N	\N	\N
781143	2664	1996-03-05	PRIJEM	VKLAD	15238	54043	\N	\N	\N
781144	2664	1996-04-05	PRIJEM	VKLAD	15238	57016	\N	\N	\N
781145	2664	1996-05-05	PRIJEM	VKLAD	15238	57393	\N	\N	\N
781146	2664	1996-06-05	PRIJEM	VKLAD	22857	66794	\N	\N	\N
781147	2664	1996-07-05	PRIJEM	VKLAD	15238	34587	\N	\N	\N
781148	2664	1996-08-05	PRIJEM	VKLAD	15238	46405	\N	\N	\N
781149	2664	1996-09-05	PRIJEM	VKLAD	15238	53155	\N	\N	\N
781150	2664	1996-10-05	PRIJEM	VKLAD	15238	55316	\N	\N	\N
781151	2664	1996-11-05	PRIJEM	VKLAD	15238	57189	\N	\N	\N
781152	2664	1996-12-05	PRIJEM	VKLAD	22857	66596	\N	\N	\N
781153	2664	1997-01-05	PRIJEM	VKLAD	15238	55915	\N	\N	\N
781154	2664	1997-02-05	PRIJEM	VKLAD	15238	52010	\N	\N	\N
781155	2664	1997-03-05	PRIJEM	VKLAD	15238	60495	\N	\N	\N
781156	2664	1997-04-05	PRIJEM	VKLAD	15238	51929	\N	\N	\N
781157	2664	1997-05-05	PRIJEM	VKLAD	15238	55121	\N	\N	\N
781158	2664	1997-06-05	PRIJEM	VKLAD	22857	60547	\N	\N	\N
781159	2664	1997-07-05	PRIJEM	VKLAD	15238	57570	\N	\N	\N
781160	2664	1997-08-05	PRIJEM	VKLAD	15238	58089	\N	\N	\N
781161	2664	1997-09-05	PRIJEM	VKLAD	15238	59522	\N	\N	\N
781162	2664	1997-10-05	PRIJEM	VKLAD	15238	59746	\N	\N	\N
781163	2664	1997-11-05	PRIJEM	VKLAD	15238	60281	\N	\N	\N
781164	2664	1997-12-05	PRIJEM	VKLAD	22857	66121	\N	\N	\N
781165	2664	1998-01-05	PRIJEM	VKLAD	15238	67779	\N	\N	\N
781166	2664	1998-02-05	PRIJEM	VKLAD	15238	62802	\N	\N	\N
781167	2664	1998-03-05	PRIJEM	VKLAD	15238	67246	\N	\N	\N
781168	2664	1998-04-05	PRIJEM	VKLAD	15238	71585	\N	\N	\N
781169	2664	1998-05-05	PRIJEM	VKLAD	15238	73951	\N	\N	\N
781170	2664	1998-06-05	PRIJEM	VKLAD	22857	78838	\N	\N	\N
781171	2664	1998-07-05	PRIJEM	VKLAD	15238	65556	\N	\N	\N
781172	2664	1998-08-05	PRIJEM	VKLAD	15238	66193	\N	\N	\N
781173	2664	1998-09-05	PRIJEM	VKLAD	15238	65032	\N	\N	\N
781174	2664	1998-10-05	PRIJEM	VKLAD	15238	66375	\N	\N	\N
781175	2664	1998-11-05	PRIJEM	VKLAD	15238	74528	\N	\N	\N
781176	2664	1998-12-05	PRIJEM	VKLAD	22857	87822	\N	\N	\N
781182	2664	1994-06-05	VYDAJ	PREVOD NA UCET	3453	57674	SIPO	UV	60040694
781183	2664	1994-07-05	VYDAJ	PREVOD NA UCET	3453	33964	SIPO	UV	60040694
781184	2664	1994-08-05	VYDAJ	PREVOD NA UCET	3453	37387	SIPO	UV	60040694
781185	2664	1994-09-05	VYDAJ	PREVOD NA UCET	3453	43703	SIPO	UV	60040694
781186	2664	1994-10-05	VYDAJ	PREVOD NA UCET	3453	44653	SIPO	UV	60040694
781187	2664	1994-11-05	VYDAJ	PREVOD NA UCET	3453	43404	SIPO	UV	60040694
781188	2664	1994-12-05	VYDAJ	PREVOD NA UCET	3453	53578	SIPO	UV	60040694
781189	2664	1995-01-05	VYDAJ	PREVOD NA UCET	3453	42539	SIPO	UV	60040694
781190	2664	1995-02-05	VYDAJ	PREVOD NA UCET	3453	37298	SIPO	UV	60040694
781191	2664	1995-03-05	VYDAJ	PREVOD NA UCET	3453	42407	SIPO	UV	60040694
781192	2664	1995-04-05	VYDAJ	PREVOD NA UCET	3453	44251	SIPO	UV	60040694
781193	2664	1995-05-05	VYDAJ	PREVOD NA UCET	3453	41598	SIPO	UV	60040694
781194	2664	1995-06-05	VYDAJ	PREVOD NA UCET	3453	49884	SIPO	UV	60040694
781195	2664	1995-07-05	VYDAJ	PREVOD NA UCET	3453	42841	SIPO	UV	60040694
781196	2664	1995-08-05	VYDAJ	PREVOD NA UCET	3453	45161	SIPO	UV	60040694
781381	2664	1995-02-28	VYDAJ	VYBER	15	30622	SLUZBY	\N	\N
781197	2664	1995-09-05	VYDAJ	PREVOD NA UCET	3453	42729	SIPO	UV	60040694
781198	2664	1995-10-05	VYDAJ	PREVOD NA UCET	3453	46653	SIPO	UV	60040694
781199	2664	1995-11-05	VYDAJ	PREVOD NA UCET	3453	49512	SIPO	UV	60040694
781200	2664	1995-12-05	VYDAJ	PREVOD NA UCET	3453	55417	SIPO	UV	60040694
781201	2664	1996-01-05	VYDAJ	PREVOD NA UCET	3453	55204	SIPO	UV	60040694
781202	2664	1996-02-05	VYDAJ	PREVOD NA UCET	3453	41260	SIPO	UV	60040694
781203	2664	1996-03-05	VYDAJ	PREVOD NA UCET	3453	50590	SIPO	UV	60040694
781204	2664	1996-04-05	VYDAJ	PREVOD NA UCET	3453	53088	SIPO	UV	60040694
781205	2664	1996-05-05	VYDAJ	PREVOD NA UCET	3453	53940	SIPO	UV	60040694
781206	2664	1996-06-05	VYDAJ	PREVOD NA UCET	3453	63341	SIPO	UV	60040694
781207	2664	1996-07-05	VYDAJ	PREVOD NA UCET	3453	30659	SIPO	UV	60040694
781208	2664	1996-08-05	VYDAJ	PREVOD NA UCET	3453	42477	SIPO	UV	60040694
781209	2664	1996-09-05	VYDAJ	PREVOD NA UCET	3453	49702	SIPO	UV	60040694
781210	2664	1996-10-05	VYDAJ	PREVOD NA UCET	3453	51863	SIPO	UV	60040694
781211	2664	1996-11-05	VYDAJ	PREVOD NA UCET	3453	47161	SIPO	UV	60040694
781212	2664	1996-12-05	VYDAJ	PREVOD NA UCET	3453	51668	SIPO	UV	60040694
781213	2664	1997-01-05	VYDAJ	PREVOD NA UCET	3453	51987	SIPO	UV	60040694
781214	2664	1997-02-05	VYDAJ	PREVOD NA UCET	3453	48082	SIPO	UV	60040694
781215	2664	1997-03-05	VYDAJ	PREVOD NA UCET	3453	56567	SIPO	UV	60040694
781216	2664	1997-04-05	VYDAJ	PREVOD NA UCET	3453	48001	SIPO	UV	60040694
781217	2664	1997-05-05	VYDAJ	PREVOD NA UCET	3453	51668	SIPO	UV	60040694
781218	2664	1997-06-05	VYDAJ	PREVOD NA UCET	3453	56619	SIPO	UV	60040694
781219	2664	1997-07-05	VYDAJ	PREVOD NA UCET	3453	54117	SIPO	UV	60040694
781220	2664	1997-08-05	VYDAJ	PREVOD NA UCET	3453	54636	SIPO	UV	60040694
781221	2664	1997-09-05	VYDAJ	PREVOD NA UCET	3453	55594	SIPO	UV	60040694
781222	2664	1997-10-05	VYDAJ	PREVOD NA UCET	3453	55818	SIPO	UV	60040694
781223	2664	1997-11-05	VYDAJ	PREVOD NA UCET	3453	56828	SIPO	UV	60040694
781224	2664	1997-12-05	VYDAJ	PREVOD NA UCET	3453	62193	SIPO	UV	60040694
781225	2664	1998-01-05	VYDAJ	PREVOD NA UCET	3453	64326	SIPO	UV	60040694
781226	2664	1998-02-05	VYDAJ	PREVOD NA UCET	3453	59349	SIPO	UV	60040694
781227	2664	1998-03-05	VYDAJ	PREVOD NA UCET	3453	63793	SIPO	UV	60040694
781228	2664	1998-04-05	VYDAJ	PREVOD NA UCET	3453	67657	SIPO	UV	60040694
781229	2664	1998-05-05	VYDAJ	PREVOD NA UCET	3453	70498	SIPO	UV	60040694
781230	2664	1998-06-05	VYDAJ	PREVOD NA UCET	3453	75385	SIPO	UV	60040694
781231	2664	1998-07-05	VYDAJ	PREVOD NA UCET	3453	62103	SIPO	UV	60040694
781232	2664	1998-08-05	VYDAJ	PREVOD NA UCET	3453	62740	SIPO	UV	60040694
781233	2664	1998-09-05	VYDAJ	PREVOD NA UCET	3453	61104	SIPO	UV	60040694
781234	2664	1998-10-05	VYDAJ	PREVOD NA UCET	3453	62447	SIPO	UV	60040694
781235	2664	1998-11-05	VYDAJ	PREVOD NA UCET	3453	70600	SIPO	UV	60040694
781236	2664	1998-12-05	VYDAJ	PREVOD NA UCET	3453	84369	SIPO	UV	60040694
781242	2664	1994-06-05	VYDAJ	PREVOD NA UCET	475	61127	 	QR	12188804
781243	2664	1994-07-05	VYDAJ	PREVOD NA UCET	475	37417	 	QR	12188804
781244	2664	1994-08-05	VYDAJ	PREVOD NA UCET	475	40840	 	QR	12188804
781245	2664	1994-09-05	VYDAJ	PREVOD NA UCET	475	43228	 	QR	12188804
781246	2664	1994-10-05	VYDAJ	PREVOD NA UCET	475	44178	 	QR	12188804
781247	2664	1994-11-05	VYDAJ	PREVOD NA UCET	475	42929	 	QR	12188804
781248	2664	1994-12-05	VYDAJ	PREVOD NA UCET	475	53103	 	QR	12188804
781249	2664	1995-01-05	VYDAJ	PREVOD NA UCET	475	42064	 	QR	12188804
781250	2664	1995-02-05	VYDAJ	PREVOD NA UCET	475	40751	 	QR	12188804
781251	2664	1995-03-05	VYDAJ	PREVOD NA UCET	475	41932	 	QR	12188804
781252	2664	1995-04-05	VYDAJ	PREVOD NA UCET	475	43776	 	QR	12188804
781253	2664	1995-05-05	VYDAJ	PREVOD NA UCET	475	41123	 	QR	12188804
781254	2664	1995-06-05	VYDAJ	PREVOD NA UCET	475	53337	 	QR	12188804
781255	2664	1995-07-05	VYDAJ	PREVOD NA UCET	475	46294	 	QR	12188804
781256	2664	1995-08-05	VYDAJ	PREVOD NA UCET	475	44686	 	QR	12188804
781257	2664	1995-09-05	VYDAJ	PREVOD NA UCET	475	46182	 	QR	12188804
781258	2664	1995-10-05	VYDAJ	PREVOD NA UCET	475	46178	 	QR	12188804
781259	2664	1995-11-05	VYDAJ	PREVOD NA UCET	475	49037	 	QR	12188804
781260	2664	1995-12-05	VYDAJ	PREVOD NA UCET	475	58870	 	QR	12188804
781261	2664	1996-01-05	VYDAJ	PREVOD NA UCET	475	58657	 	QR	12188804
781262	2664	1996-02-05	VYDAJ	PREVOD NA UCET	475	44713	 	QR	12188804
781263	2664	1996-03-05	VYDAJ	PREVOD NA UCET	475	50115	 	QR	12188804
781264	2664	1996-04-05	VYDAJ	PREVOD NA UCET	475	56541	 	QR	12188804
781265	2664	1996-05-05	VYDAJ	PREVOD NA UCET	475	53465	 	QR	12188804
781266	2664	1996-06-05	VYDAJ	PREVOD NA UCET	475	62866	 	QR	12188804
781267	2664	1996-07-05	VYDAJ	PREVOD NA UCET	475	34112	 	QR	12188804
781268	2664	1996-08-05	VYDAJ	PREVOD NA UCET	475	45930	 	QR	12188804
781269	2664	1996-09-05	VYDAJ	PREVOD NA UCET	475	49227	 	QR	12188804
781270	2664	1996-10-05	VYDAJ	PREVOD NA UCET	475	51388	 	QR	12188804
781271	2664	1996-11-05	VYDAJ	PREVOD NA UCET	475	56714	 	QR	12188804
781272	2664	1996-12-05	VYDAJ	PREVOD NA UCET	475	55121	 	QR	12188804
781273	2664	1997-01-05	VYDAJ	PREVOD NA UCET	475	55440	 	QR	12188804
781274	2664	1997-02-05	VYDAJ	PREVOD NA UCET	475	51535	 	QR	12188804
781275	2664	1997-03-05	VYDAJ	PREVOD NA UCET	475	60020	 	QR	12188804
781276	2664	1997-04-05	VYDAJ	PREVOD NA UCET	475	51454	 	QR	12188804
781277	2664	1997-05-05	VYDAJ	PREVOD NA UCET	475	51193	 	QR	12188804
781278	2664	1997-06-05	VYDAJ	PREVOD NA UCET	475	60072	 	QR	12188804
781279	2664	1997-07-05	VYDAJ	PREVOD NA UCET	475	53642	 	QR	12188804
781280	2664	1997-08-05	VYDAJ	PREVOD NA UCET	475	54161	 	QR	12188804
781281	2664	1997-09-05	VYDAJ	PREVOD NA UCET	475	59047	 	QR	12188804
781282	2664	1997-10-05	VYDAJ	PREVOD NA UCET	475	59271	 	QR	12188804
781283	2664	1997-11-05	VYDAJ	PREVOD NA UCET	475	56353	 	QR	12188804
781284	2664	1997-12-05	VYDAJ	PREVOD NA UCET	475	65646	 	QR	12188804
781285	2664	1998-01-05	VYDAJ	PREVOD NA UCET	475	63851	 	QR	12188804
781286	2664	1998-02-05	VYDAJ	PREVOD NA UCET	475	58874	 	QR	12188804
781287	2664	1998-03-05	VYDAJ	PREVOD NA UCET	475	63318	 	QR	12188804
781288	2664	1998-04-05	VYDAJ	PREVOD NA UCET	475	71110	 	QR	12188804
781289	2664	1998-05-05	VYDAJ	PREVOD NA UCET	475	70023	 	QR	12188804
781290	2664	1998-06-05	VYDAJ	PREVOD NA UCET	475	74910	 	QR	12188804
781291	2664	1998-07-05	VYDAJ	PREVOD NA UCET	475	61628	 	QR	12188804
781292	2664	1998-08-05	VYDAJ	PREVOD NA UCET	475	62265	 	QR	12188804
781293	2664	1998-09-05	VYDAJ	PREVOD NA UCET	475	64557	 	QR	12188804
781294	2664	1998-10-05	VYDAJ	PREVOD NA UCET	475	65900	 	QR	12188804
781295	2664	1998-11-05	VYDAJ	PREVOD NA UCET	475	74053	 	QR	12188804
781296	2664	1998-12-05	VYDAJ	PREVOD NA UCET	475	83894	 	QR	12188804
781297	2664	1994-06-27	VYDAJ	VYBER	21300	22474	\N	\N	\N
781298	2664	1995-06-18	VYDAJ	VYBER	6700	31384	\N	\N	\N
781299	2664	1996-06-29	VYDAJ	VYBER	29400	19166	\N	\N	\N
781300	2664	1997-06-02	VYDAJ	VYBER	12600	38790	\N	\N	\N
781301	2664	1998-06-06	VYDAJ	VYBER	21100	53810	\N	\N	\N
781303	2664	1995-01-14	VYDAJ	VYBER	7600	32164	\N	\N	\N
781304	2664	1996-01-19	VYDAJ	VYBER	2000	33504	\N	\N	\N
781305	2664	1997-01-26	VYDAJ	VYBER	7700	41187	\N	\N	\N
781306	2664	1998-01-22	VYDAJ	VYBER	9000	49651	\N	\N	\N
781307	2664	1994-12-06	VYDAJ	VYBER	2800	50303	\N	\N	\N
781308	2664	1995-12-19	VYDAJ	VYBER	1200	43717	\N	\N	\N
781309	2664	1996-12-28	VYDAJ	VYBER	1200	50468	\N	\N	\N
781310	2664	1997-12-02	VYDAJ	VYBER	500	43264	\N	\N	\N
781311	2664	1998-12-17	VYDAJ	VYBER	1100	82794	\N	\N	\N
781318	2664	1995-01-12	VYDAJ	VYBER	700	39764	\N	\N	\N
781319	2664	1995-01-07	VYDAJ	VYBER	1600	40464	\N	\N	\N
781320	2664	1995-01-04	VYDAJ	VYBER	2900	30754	\N	\N	\N
781321	2664	1995-01-02	VYDAJ	VYBER	700	33654	\N	\N	\N
781322	2664	1995-01-26	VYDAJ	VYBER	2100	28564	\N	\N	\N
781323	2664	1995-01-27	VYDAJ	VYBER	2700	25864	\N	\N	\N
781324	2664	1996-01-20	VYDAJ	VYBER	2200	31304	\N	\N	\N
781325	2664	1996-01-09	VYDAJ	VYBER	900	54304	\N	\N	\N
781326	2664	1996-01-18	VYDAJ	VYBER	1200	35504	\N	\N	\N
781327	2664	1996-01-26	VYDAJ	VYBER	1500	29804	\N	\N	\N
781328	2664	1996-01-14	VYDAJ	VYBER	2500	36704	\N	\N	\N
781329	2664	1996-01-10	VYDAJ	VYBER	1800	39204	\N	\N	\N
781330	2664	1997-01-13	VYDAJ	VYBER	900	48887	\N	\N	\N
781331	2664	1997-01-27	VYDAJ	VYBER	2700	38487	\N	\N	\N
781332	2664	1997-01-05	VYDAJ	VYBER	2200	49787	\N	\N	\N
781333	2664	1997-01-01	VYDAJ	VYBER	2400	48277	\N	\N	\N
781334	2664	1997-01-28	VYDAJ	VYBER	1200	37287	\N	\N	\N
781335	2664	1997-01-03	VYDAJ	VYBER	900	47377	\N	\N	\N
781336	2664	1998-01-12	VYDAJ	VYBER	2100	58651	\N	\N	\N
781337	2664	1998-01-24	VYDAJ	VYBER	1900	47751	\N	\N	\N
781338	2664	1998-01-27	VYDAJ	VYBER	2700	45051	\N	\N	\N
781339	2664	1998-01-09	VYDAJ	VYBER	1500	60751	\N	\N	\N
781340	2664	1998-01-05	VYDAJ	VYBER	1600	62251	\N	\N	\N
781341	2664	1998-01-04	VYDAJ	VYBER	1200	52541	\N	\N	\N
781342	2664	1994-10-14	VYDAJ	VYBER	3900	40278	\N	\N	\N
781344	2664	1994-07-18	VYDAJ	VYBER	3600	30364	\N	\N	\N
781345	2664	1994-12-14	VYDAJ	VYBER	4200	46103	\N	\N	\N
781346	2664	1995-08-26	VYDAJ	VYBER	2200	31286	\N	\N	\N
781347	2664	1995-05-05	VYDAJ	VYBER	1300	39823	\N	\N	\N
781348	2664	1995-08-06	VYDAJ	VYBER	2100	42586	\N	\N	\N
781349	2664	1995-04-28	VYDAJ	VYBER	4200	29676	\N	\N	\N
781350	2664	1995-02-19	VYDAJ	VYBER	900	30498	\N	\N	\N
781351	2664	1995-03-15	VYDAJ	VYBER	4400	37532	\N	\N	\N
781352	2664	1996-11-30	VYDAJ	VYBER	3600	43739	\N	\N	\N
781353	2664	1996-10-06	VYDAJ	VYBER	1000	41788	\N	\N	\N
781354	2664	1997-02-13	VYDAJ	VYBER	3000	45082	\N	\N	\N
781355	2664	1997-10-04	VYDAJ	VYBER	4200	44508	\N	\N	\N
781356	2664	1997-09-27	VYDAJ	VYBER	600	54994	\N	\N	\N
781357	2664	1997-11-30	VYDAJ	VYBER	4500	52064	\N	\N	\N
781358	2664	1998-06-26	VYDAJ	VYBER	3900	49910	\N	\N	\N
781359	2664	1998-09-26	VYDAJ	VYBER	3600	50904	\N	\N	\N
781360	2664	1998-09-26	VYDAJ	VYBER	4800	55204	\N	\N	\N
781361	2664	1998-09-22	VYDAJ	VYBER	1100	60004	\N	\N	\N
781362	2664	1998-03-09	VYDAJ	VYBER	4100	59218	\N	\N	\N
781363	2664	1998-11-05	VYDAJ	VYBER	1600	69000	\N	\N	\N
781364	2664	1998-08-17	VYDAJ	VYBER	3200	59065	\N	\N	\N
781365	2664	1998-05-23	VYDAJ	VYBER	600	68323	\N	\N	\N
781366	2664	1998-05-06	VYDAJ	VYBER	1100	68923	\N	\N	\N
781373	2664	1994-06-30	VYDAJ	VYBER	15	22654	SLUZBY	\N	\N
781374	2664	1994-07-31	VYDAJ	VYBER	15	26077	SLUZBY	\N	\N
781375	2664	1994-08-31	VYDAJ	VYBER	15	31918	SLUZBY	\N	\N
781376	2664	1994-09-30	VYDAJ	VYBER	15	32868	SLUZBY	\N	\N
781377	2664	1994-10-31	VYDAJ	VYBER	15	31619	SLUZBY	\N	\N
781378	2664	1994-11-30	VYDAJ	VYBER	15	34174	SLUZBY	\N	\N
781379	2664	1994-12-31	VYDAJ	VYBER	15	34354	SLUZBY	\N	\N
781380	2664	1995-01-31	VYDAJ	VYBER	15	25988	SLUZBY	\N	\N
781382	2664	1995-03-31	VYDAJ	VYBER	15	32466	SLUZBY	\N	\N
781383	2664	1995-04-30	VYDAJ	VYBER	15	29813	SLUZBY	\N	\N
781384	2664	1995-05-31	VYDAJ	VYBER	15	30955	SLUZBY	\N	\N
781385	2664	1995-06-30	VYDAJ	VYBER	15	31531	SLUZBY	\N	\N
781386	2664	1995-07-31	VYDAJ	VYBER	15	33376	SLUZBY	\N	\N
781387	2664	1995-08-31	VYDAJ	VYBER	15	31419	SLUZBY	\N	\N
781388	2664	1995-09-30	VYDAJ	VYBER	15	34868	SLUZBY	\N	\N
781389	2664	1995-10-31	VYDAJ	VYBER	15	37727	SLUZBY	\N	\N
781390	2664	1995-11-30	VYDAJ	VYBER	15	36488	SLUZBY	\N	\N
781391	2664	1995-12-31	VYDAJ	VYBER	15	43894	SLUZBY	\N	\N
781392	2664	1996-01-31	VYDAJ	VYBER	15	29950	SLUZBY	\N	\N
781393	2664	1996-02-29	VYDAJ	VYBER	15	38805	SLUZBY	\N	\N
781394	2664	1996-03-31	VYDAJ	VYBER	15	41778	SLUZBY	\N	\N
781395	2664	1996-04-30	VYDAJ	VYBER	15	42155	SLUZBY	\N	\N
781396	2664	1996-05-31	VYDAJ	VYBER	15	43937	SLUZBY	\N	\N
781397	2664	1996-06-30	VYDAJ	VYBER	15	19349	SLUZBY	\N	\N
781398	2664	1996-07-31	VYDAJ	VYBER	15	31167	SLUZBY	\N	\N
781399	2664	1996-08-31	VYDAJ	VYBER	15	37917	SLUZBY	\N	\N
781400	2664	1996-09-30	VYDAJ	VYBER	15	40078	SLUZBY	\N	\N
781401	2664	1996-10-31	VYDAJ	VYBER	15	41951	SLUZBY	\N	\N
781402	2664	1996-11-30	VYDAJ	VYBER	15	47339	SLUZBY	\N	\N
781403	2664	1996-12-31	VYDAJ	VYBER	15	50677	SLUZBY	\N	\N
781404	2664	1997-01-31	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
781405	2664	1997-02-28	VYDAJ	VYBER	15	45257	SLUZBY	\N	\N
781406	2664	1997-03-31	VYDAJ	VYBER	15	43291	SLUZBY	\N	\N
781407	2664	1997-04-30	VYDAJ	VYBER	15	48183	SLUZBY	\N	\N
781408	2664	1997-05-31	VYDAJ	VYBER	15	51390	SLUZBY	\N	\N
781409	2664	1997-06-30	VYDAJ	VYBER	15	56832	SLUZBY	\N	\N
781410	2664	1997-07-31	VYDAJ	VYBER	15	53851	SLUZBY	\N	\N
781411	2664	1997-08-31	VYDAJ	VYBER	15	54384	SLUZBY	\N	\N
781412	2664	1997-09-30	VYDAJ	VYBER	15	55208	SLUZBY	\N	\N
781413	2664	1997-10-31	VYDAJ	VYBER	15	56043	SLUZBY	\N	\N
781414	2664	1997-11-30	VYDAJ	VYBER	15	56564	SLUZBY	\N	\N
781415	2664	1997-12-31	VYDAJ	VYBER	15	53741	SLUZBY	\N	\N
781416	2664	1998-01-31	VYDAJ	VYBER	15	47564	SLUZBY	\N	\N
781417	2664	1998-02-28	VYDAJ	VYBER	15	52008	SLUZBY	\N	\N
781418	2664	1998-03-31	VYDAJ	VYBER	15	56347	SLUZBY	\N	\N
781419	2664	1998-04-30	VYDAJ	VYBER	15	58713	SLUZBY	\N	\N
781420	2664	1998-05-31	VYDAJ	VYBER	15	55981	SLUZBY	\N	\N
781421	2664	1998-06-30	VYDAJ	VYBER	15	50318	SLUZBY	\N	\N
781422	2664	1998-07-31	VYDAJ	VYBER	15	50955	SLUZBY	\N	\N
781423	2664	1998-08-31	VYDAJ	VYBER	15	49794	SLUZBY	\N	\N
781424	2664	1998-09-30	VYDAJ	VYBER	15	51137	SLUZBY	\N	\N
781425	2664	1998-10-31	VYDAJ	VYBER	15	59290	SLUZBY	\N	\N
781426	2664	1998-11-30	VYDAJ	VYBER	15	64965	SLUZBY	\N	\N
781427	2664	1994-02-19	PRIJEM	VKLAD	4600	20238	\N	\N	\N
781428	2664	1994-03-21	VYDAJ	VYBER	7900	27606	\N	\N	\N
781429	2664	1994-04-20	VYDAJ	VYBER	10400	32539	\N	\N	\N
781430	2664	1994-05-20	VYDAJ	VYBER	9300	38600	\N	\N	\N
781431	2664	1994-06-19	VYDAJ	VYBER	13900	43774	\N	\N	\N
781432	2664	1994-07-19	VYDAJ	VYBER	4400	25964	\N	\N	\N
781433	2664	1994-08-18	VYDAJ	VYBER	5600	31787	\N	\N	\N
781434	2664	1994-09-17	VYDAJ	VYBER	10500	32728	\N	\N	\N
781435	2664	1994-10-17	VYDAJ	VYBER	8800	31478	\N	\N	\N
781436	2664	1994-11-16	VYDAJ	VYBER	8900	34029	\N	\N	\N
781437	2664	1994-12-16	VYDAJ	VYBER	11900	34203	\N	\N	\N
781438	2664	1995-01-15	VYDAJ	VYBER	1500	30664	\N	\N	\N
781439	2664	1995-02-14	VYDAJ	VYBER	5900	31398	\N	\N	\N
781440	2664	1995-03-16	VYDAJ	VYBER	5200	32332	\N	\N	\N
781441	2664	1995-04-15	VYDAJ	VYBER	9900	33876	\N	\N	\N
781442	2664	1995-05-15	VYDAJ	VYBER	9000	30823	\N	\N	\N
781443	2664	1995-06-14	VYDAJ	VYBER	11800	38084	\N	\N	\N
781444	2664	1995-07-14	VYDAJ	VYBER	9600	33241	\N	\N	\N
781445	2664	1995-08-13	VYDAJ	VYBER	9100	33486	\N	\N	\N
781446	2664	1995-09-12	VYDAJ	VYBER	8000	34729	\N	\N	\N
781447	2664	1995-10-12	VYDAJ	VYBER	8600	37578	\N	\N	\N
781448	2664	1995-11-11	VYDAJ	VYBER	12700	36337	\N	\N	\N
781449	2664	1995-12-11	VYDAJ	VYBER	10500	44917	\N	\N	\N
781450	2664	1996-01-10	VYDAJ	VYBER	13300	41004	\N	\N	\N
781451	2664	1996-02-09	VYDAJ	VYBER	2600	38660	\N	\N	\N
781452	2664	1996-03-10	VYDAJ	VYBER	8500	41615	\N	\N	\N
781453	2664	1996-04-09	VYDAJ	VYBER	11100	41988	\N	\N	\N
781454	2664	1996-05-09	VYDAJ	VYBER	9700	43765	\N	\N	\N
781455	2664	1996-06-08	VYDAJ	VYBER	14300	48566	\N	\N	\N
781456	2664	1996-07-08	PRIJEM	VKLAD	400	31059	\N	\N	\N
781457	2664	1996-08-07	VYDAJ	VYBER	4700	37777	\N	\N	\N
781458	2664	1996-09-06	VYDAJ	VYBER	9300	39927	\N	\N	\N
781459	2664	1996-10-06	VYDAJ	VYBER	8600	42788	\N	\N	\N
781460	2664	1996-11-05	VYDAJ	VYBER	6100	50614	\N	\N	\N
781461	2664	1996-12-05	VYDAJ	VYBER	11000	55596	\N	\N	\N
781462	2664	1997-01-04	VYDAJ	VYBER	6700	40677	\N	\N	\N
781463	2664	1997-02-03	VYDAJ	VYBER	700	36772	\N	\N	\N
781464	2664	1997-03-05	VYDAJ	VYBER	13500	43067	\N	\N	\N
781465	2664	1997-04-04	VYDAJ	VYBER	6600	36691	\N	\N	\N
781466	2664	1997-05-04	VYDAJ	VYBER	8300	39883	\N	\N	\N
781467	2664	1997-06-03	VYDAJ	VYBER	1100	37690	\N	\N	\N
781468	2664	1997-07-03	VYDAJ	VYBER	14500	42332	\N	\N	\N
781469	2664	1997-08-02	VYDAJ	VYBER	11000	42851	\N	\N	\N
781470	2664	1997-09-01	VYDAJ	VYBER	10100	44284	\N	\N	\N
781471	2664	1997-10-01	VYDAJ	VYBER	6500	48708	\N	\N	\N
781472	2664	1997-10-31	VYDAJ	VYBER	11000	45043	\N	\N	\N
781473	2664	1997-11-30	VYDAJ	VYBER	8300	43764	\N	\N	\N
781474	2664	1997-12-30	VYDAJ	VYBER	8700	53493	\N	\N	\N
781475	2664	1998-01-29	PRIJEM	VKLAD	2300	47351	\N	\N	\N
781476	2664	1998-02-28	VYDAJ	VYBER	7100	52022	\N	\N	\N
781477	2664	1998-03-30	VYDAJ	VYBER	3100	56118	\N	\N	\N
781478	2664	1998-04-29	VYDAJ	VYBER	9200	58457	\N	\N	\N
781479	2664	1998-05-29	VYDAJ	VYBER	12600	55723	\N	\N	\N
781480	2664	1998-06-28	PRIJEM	VKLAD	200	50110	\N	\N	\N
781481	2664	1998-07-28	VYDAJ	VYBER	10900	50728	\N	\N	\N
781482	2664	1998-08-27	VYDAJ	VYBER	9500	49565	\N	\N	\N
781483	2664	1998-09-26	VYDAJ	VYBER	700	54504	\N	\N	\N
781484	2664	1998-10-26	VYDAJ	VYBER	3400	59047	\N	\N	\N
781485	2664	1998-11-25	VYDAJ	VYBER	4300	64700	\N	\N	\N
781545	2665	1993-11-13	PRIJEM	VKLAD	800	800	\N	\N	\N
781547	2665	1993-11-16	PRIJEM	VKLAD	38870	39670	\N	\N	\N
781548	2665	1994-02-14	PRIJEM	VKLAD	22561	56554	\N	\N	\N
781549	2665	1994-02-04	PRIJEM	VKLAD	14536	39593	\N	\N	\N
781550	2665	1995-06-13	PRIJEM	VKLAD	15174	49216	\N	\N	\N
781551	2665	1995-04-27	PRIJEM	VKLAD	28616	56633	\N	\N	\N
781552	2665	1996-12-04	PRIJEM	VKLAD	2885	42130	\N	\N	\N
781553	2665	1996-10-21	PRIJEM	VKLAD	10941	48492	\N	\N	\N
781554	2665	1997-01-01	PRIJEM	VKLAD	8172	44952	\N	\N	\N
781555	2665	1997-09-18	PRIJEM	VKLAD	49825	90948	\N	\N	\N
781556	2665	1998-03-21	PRIJEM	VKLAD	39873	78684	\N	\N	\N
781557	2665	1998-01-20	PRIJEM	VKLAD	14819	46524	\N	\N	\N
781568	2665	1993-11-16	PRIJEM	VKLAD	1600	41270	\N	\N	\N
781569	2665	1993-12-17	PRIJEM	VKLAD	1600	34559	\N	\N	\N
781570	2665	1994-01-15	PRIJEM	VKLAD	1600	26159	\N	\N	\N
781571	2665	1994-02-17	PRIJEM	VKLAD	1600	58154	\N	\N	\N
781572	2665	1994-03-13	PRIJEM	VKLAD	1600	60473	\N	\N	\N
781573	2665	1994-04-13	PRIJEM	VKLAD	1600	38580	\N	\N	\N
781574	2665	1994-05-16	PRIJEM	VKLAD	1600	35140	\N	\N	\N
781575	2665	1994-06-13	PRIJEM	VKLAD	1600	28135	\N	\N	\N
781576	2665	1994-07-15	PRIJEM	VKLAD	1600	30952	\N	\N	\N
781577	2665	1994-08-13	PRIJEM	VKLAD	1600	30168	\N	\N	\N
781578	2665	1994-09-16	PRIJEM	VKLAD	1600	27886	\N	\N	\N
781579	2665	1994-10-13	PRIJEM	VKLAD	1600	27448	\N	\N	\N
781580	2665	1994-11-17	PRIJEM	VKLAD	1600	26501	\N	\N	\N
781581	2665	1994-12-14	PRIJEM	VKLAD	1600	27703	\N	\N	\N
781582	2665	1995-01-13	PRIJEM	VKLAD	1600	25451	\N	\N	\N
781583	2665	1995-02-14	PRIJEM	VKLAD	1600	20068	\N	\N	\N
781584	2665	1995-03-14	PRIJEM	VKLAD	1600	26228	\N	\N	\N
781585	2665	1995-04-16	PRIJEM	VKLAD	1600	26417	\N	\N	\N
781586	2665	1995-05-15	PRIJEM	VKLAD	1600	42750	\N	\N	\N
781587	2665	1995-06-14	PRIJEM	VKLAD	1600	50816	\N	\N	\N
781588	2665	1995-07-16	PRIJEM	VKLAD	1600	32487	\N	\N	\N
781589	2665	1995-08-13	PRIJEM	VKLAD	1600	29510	\N	\N	\N
781590	2665	1995-09-17	PRIJEM	VKLAD	1600	30070	\N	\N	\N
781591	2665	1995-10-15	PRIJEM	VKLAD	1600	29078	\N	\N	\N
781592	2665	1995-11-14	PRIJEM	VKLAD	1600	26192	\N	\N	\N
781593	2665	1995-12-15	PRIJEM	VKLAD	1600	25596	\N	\N	\N
781594	2665	1996-01-15	PRIJEM	VKLAD	1600	16093	\N	\N	\N
781595	2665	1996-02-16	PRIJEM	VKLAD	1600	23348	\N	\N	\N
781596	2665	1996-03-15	PRIJEM	VKLAD	1600	29118	\N	\N	\N
781597	2665	1996-04-16	PRIJEM	VKLAD	1600	33069	\N	\N	\N
781598	2665	1996-05-15	PRIJEM	VKLAD	1600	37290	\N	\N	\N
781599	2665	1996-06-14	PRIJEM	VKLAD	1600	38728	\N	\N	\N
781600	2665	1996-07-15	PRIJEM	VKLAD	1600	33261	\N	\N	\N
781601	2665	1996-08-13	PRIJEM	VKLAD	1600	36581	\N	\N	\N
781602	2665	1996-09-17	PRIJEM	VKLAD	1600	36064	\N	\N	\N
781603	2665	1996-10-16	PRIJEM	VKLAD	1600	38401	\N	\N	\N
781604	2665	1996-11-16	PRIJEM	VKLAD	1600	41143	\N	\N	\N
781605	2665	1996-12-14	PRIJEM	VKLAD	1600	43730	\N	\N	\N
781606	2665	1997-01-14	PRIJEM	VKLAD	1600	35802	\N	\N	\N
781607	2665	1997-02-13	PRIJEM	VKLAD	1600	30487	\N	\N	\N
781608	2665	1997-03-15	PRIJEM	VKLAD	1600	35795	\N	\N	\N
781609	2665	1997-04-13	PRIJEM	VKLAD	1600	39428	\N	\N	\N
781610	2665	1997-05-15	PRIJEM	VKLAD	1600	38170	\N	\N	\N
781611	2665	1997-06-17	PRIJEM	VKLAD	1600	34010	\N	\N	\N
781612	2665	1997-07-16	PRIJEM	VKLAD	1600	26687	\N	\N	\N
781613	2665	1997-08-14	PRIJEM	VKLAD	1600	35191	\N	\N	\N
781614	2665	1997-09-17	PRIJEM	VKLAD	1600	41123	\N	\N	\N
781615	2665	1997-10-15	PRIJEM	VKLAD	1600	66060	\N	\N	\N
781616	2665	1997-11-15	PRIJEM	VKLAD	1600	54799	\N	\N	\N
781617	2665	1997-12-17	PRIJEM	VKLAD	1600	44242	\N	\N	\N
781618	2665	1998-01-16	PRIJEM	VKLAD	1600	33105	\N	\N	\N
781619	2665	1998-02-17	PRIJEM	VKLAD	1600	42662	\N	\N	\N
781620	2665	1998-03-15	PRIJEM	VKLAD	1600	37211	\N	\N	\N
781621	2665	1998-04-14	PRIJEM	VKLAD	1600	53443	\N	\N	\N
781622	2665	1998-05-17	PRIJEM	VKLAD	1600	40224	\N	\N	\N
781623	2665	1998-06-15	PRIJEM	VKLAD	1600	33959	\N	\N	\N
781624	2665	1998-07-17	PRIJEM	VKLAD	1600	19556	\N	\N	\N
781625	2665	1998-08-15	PRIJEM	VKLAD	1600	18716	\N	\N	\N
781626	2665	1998-09-17	PRIJEM	VKLAD	1600	24179	\N	\N	\N
781627	2665	1998-10-17	PRIJEM	VKLAD	1600	23259	\N	\N	\N
781628	2665	1998-11-16	PRIJEM	VKLAD	1600	18622	\N	\N	\N
781629	2665	1998-12-13	PRIJEM	VKLAD	1600	19630	\N	\N	\N
781640	2665	1993-11-18	PRIJEM	VKLAD	1600	42870	\N	\N	\N
781641	2665	1993-12-18	PRIJEM	VKLAD	1600	36159	\N	\N	\N
781642	2665	1994-01-18	PRIJEM	VKLAD	1600	27309	\N	\N	\N
781643	2665	1994-02-18	PRIJEM	VKLAD	1600	59754	\N	\N	\N
781644	2665	1994-03-18	PRIJEM	VKLAD	1600	45173	\N	\N	\N
781645	2665	1994-04-18	PRIJEM	VKLAD	1600	40180	\N	\N	\N
781646	2665	1994-05-18	PRIJEM	VKLAD	1600	36740	\N	\N	\N
781647	2665	1994-06-18	PRIJEM	VKLAD	1600	29735	\N	\N	\N
781648	2665	1994-07-18	PRIJEM	VKLAD	1600	32552	\N	\N	\N
781649	2665	1994-08-18	PRIJEM	VKLAD	1600	31768	\N	\N	\N
781650	2665	1994-09-18	PRIJEM	VKLAD	1600	29486	\N	\N	\N
781651	2665	1994-10-18	PRIJEM	VKLAD	1600	28498	\N	\N	\N
781652	2665	1994-11-18	PRIJEM	VKLAD	1600	28101	\N	\N	\N
781653	2665	1994-12-18	PRIJEM	VKLAD	1600	27653	\N	\N	\N
781654	2665	1995-01-18	PRIJEM	VKLAD	1600	25051	\N	\N	\N
781655	2665	1995-02-18	PRIJEM	VKLAD	1600	21668	\N	\N	\N
781656	2665	1995-03-18	PRIJEM	VKLAD	1600	27828	\N	\N	\N
781657	2665	1995-04-18	PRIJEM	VKLAD	1600	28017	\N	\N	\N
781658	2665	1995-05-18	PRIJEM	VKLAD	1600	44350	\N	\N	\N
781659	2665	1995-06-18	PRIJEM	VKLAD	1600	45016	\N	\N	\N
781660	2665	1995-07-18	PRIJEM	VKLAD	1600	34087	\N	\N	\N
781661	2665	1995-08-18	PRIJEM	VKLAD	1600	31110	\N	\N	\N
781662	2665	1995-09-18	PRIJEM	VKLAD	1600	31670	\N	\N	\N
781663	2665	1995-10-18	PRIJEM	VKLAD	1600	30678	\N	\N	\N
781664	2665	1995-11-18	PRIJEM	VKLAD	1600	27792	\N	\N	\N
781665	2665	1995-12-18	PRIJEM	VKLAD	1600	27196	\N	\N	\N
781666	2665	1996-01-18	PRIJEM	VKLAD	1600	17693	\N	\N	\N
781667	2665	1996-02-18	PRIJEM	VKLAD	1600	24948	\N	\N	\N
781668	2665	1996-03-18	PRIJEM	VKLAD	1600	30718	\N	\N	\N
781669	2665	1996-04-18	PRIJEM	VKLAD	1600	34669	\N	\N	\N
781670	2665	1996-05-18	PRIJEM	VKLAD	1600	38890	\N	\N	\N
781671	2665	1996-06-18	PRIJEM	VKLAD	1600	40328	\N	\N	\N
781672	2665	1996-07-18	PRIJEM	VKLAD	1600	34861	\N	\N	\N
781673	2665	1996-08-18	PRIJEM	VKLAD	1600	36131	\N	\N	\N
781674	2665	1996-09-18	PRIJEM	VKLAD	1600	37664	\N	\N	\N
781675	2665	1996-10-18	PRIJEM	VKLAD	1600	40001	\N	\N	\N
781676	2665	1996-11-18	PRIJEM	VKLAD	1600	42743	\N	\N	\N
781677	2665	1996-12-18	PRIJEM	VKLAD	1600	42430	\N	\N	\N
781678	2665	1997-01-18	PRIJEM	VKLAD	1600	35802	\N	\N	\N
781679	2665	1997-02-18	PRIJEM	VKLAD	1600	30087	\N	\N	\N
781680	2665	1997-03-18	PRIJEM	VKLAD	1600	37395	\N	\N	\N
781681	2665	1997-04-18	PRIJEM	VKLAD	1600	39328	\N	\N	\N
781682	2665	1997-05-18	PRIJEM	VKLAD	1600	39770	\N	\N	\N
781683	2665	1997-06-18	PRIJEM	VKLAD	1600	35610	\N	\N	\N
781684	2665	1997-07-18	PRIJEM	VKLAD	1600	28287	\N	\N	\N
781685	2665	1997-08-18	PRIJEM	VKLAD	1600	36791	\N	\N	\N
781686	2665	1997-09-18	PRIJEM	VKLAD	1600	92548	\N	\N	\N
781687	2665	1997-10-18	PRIJEM	VKLAD	1600	67660	\N	\N	\N
781688	2665	1997-11-18	PRIJEM	VKLAD	1600	56399	\N	\N	\N
781689	2665	1997-12-18	PRIJEM	VKLAD	1600	45842	\N	\N	\N
781690	2665	1998-01-18	PRIJEM	VKLAD	1600	34005	\N	\N	\N
781691	2665	1998-02-18	PRIJEM	VKLAD	1600	44262	\N	\N	\N
781692	2665	1998-03-18	PRIJEM	VKLAD	1600	38811	\N	\N	\N
781693	2665	1998-04-18	PRIJEM	VKLAD	1600	55043	\N	\N	\N
781694	2665	1998-05-18	PRIJEM	VKLAD	1600	41824	\N	\N	\N
781695	2665	1998-06-18	PRIJEM	VKLAD	1600	35559	\N	\N	\N
781696	2665	1998-07-18	PRIJEM	VKLAD	1600	21156	\N	\N	\N
781697	2665	1998-08-18	PRIJEM	VKLAD	1600	20316	\N	\N	\N
781698	2665	1998-09-18	PRIJEM	VKLAD	1600	25779	\N	\N	\N
781699	2665	1998-10-18	PRIJEM	VKLAD	1600	24859	\N	\N	\N
781700	2665	1998-11-18	PRIJEM	VKLAD	1600	20222	\N	\N	\N
781701	2665	1998-12-18	PRIJEM	VKLAD	1600	20830	\N	\N	\N
781703	2665	1994-06-07	VYDAJ	VYBER	11400	25485	\N	\N	\N
781704	2665	1995-06-14	VYDAJ	VYBER	7400	43416	\N	\N	\N
781706	2665	1997-06-23	VYDAJ	VYBER	12200	23410	\N	\N	\N
781709	2665	1994-01-04	VYDAJ	VYBER	7500	25709	\N	\N	\N
781710	2665	1995-01-20	VYDAJ	VYBER	9500	15551	\N	\N	\N
781711	2665	1996-01-07	VYDAJ	VYBER	4700	14493	\N	\N	\N
781712	2665	1997-01-07	VYDAJ	VYBER	4600	39802	\N	\N	\N
781713	2665	1998-01-04	VYDAJ	VYBER	2000	33305	\N	\N	\N
781716	2665	1995-06-28	VYDAJ	VYBER	12500	32516	\N	\N	\N
781717	2665	1996-06-23	VYDAJ	VYBER	10800	29528	\N	\N	\N
781718	2665	1997-06-05	VYDAJ	VYBER	5900	32410	\N	\N	\N
781719	2665	1998-06-18	VYDAJ	VYBER	18200	17359	\N	\N	\N
781721	2665	1994-01-01	VYDAJ	VYBER	3100	33209	\N	\N	\N
781722	2665	1995-01-02	VYDAJ	VYBER	7200	17651	\N	\N	\N
781723	2665	1996-01-01	VYDAJ	VYBER	4500	22793	\N	\N	\N
781724	2665	1997-01-13	VYDAJ	VYBER	5600	34202	\N	\N	\N
781725	2665	1998-01-18	VYDAJ	VYBER	2300	31705	\N	\N	\N
781727	2665	1994-12-29	VYDAJ	VYBER	2000	25653	\N	\N	\N
781728	2665	1995-12-12	VYDAJ	VYBER	2500	23996	\N	\N	\N
781729	2665	1996-12-15	VYDAJ	VYBER	2900	40830	\N	\N	\N
781730	2665	1997-12-22	VYDAJ	VYBER	2100	43742	\N	\N	\N
781738	2665	1994-01-06	VYDAJ	VYBER	550	25159	\N	\N	\N
781739	2665	1994-01-06	VYDAJ	VYBER	1200	23959	\N	\N	\N
781740	2665	1994-01-17	VYDAJ	VYBER	450	25709	\N	\N	\N
781741	2665	1994-01-22	VYDAJ	VYBER	900	25509	\N	\N	\N
781742	2665	1994-01-22	VYDAJ	VYBER	900	26409	\N	\N	\N
781743	2665	1994-01-30	VYDAJ	VYBER	550	24959	\N	\N	\N
781744	2665	1995-01-21	VYDAJ	VYBER	850	14701	\N	\N	\N
781745	2665	1995-01-11	VYDAJ	VYBER	400	23851	\N	\N	\N
781748	2665	1995-01-01	VYDAJ	VYBER	900	24851	\N	\N	\N
781749	2665	1995-01-22	VYDAJ	VYBER	600	14101	\N	\N	\N
781750	2665	1996-01-23	VYDAJ	VYBER	700	16393	\N	\N	\N
781751	2665	1996-01-04	VYDAJ	VYBER	1100	20543	\N	\N	\N
781752	2665	1996-01-01	VYDAJ	VYBER	1400	21393	\N	\N	\N
781753	2665	1996-01-18	VYDAJ	VYBER	600	17093	\N	\N	\N
781754	2665	1996-01-07	VYDAJ	VYBER	1350	19193	\N	\N	\N
781755	2665	1996-01-03	VYDAJ	VYBER	1150	21643	\N	\N	\N
781756	2665	1997-01-04	VYDAJ	VYBER	300	44652	\N	\N	\N
781757	2665	1997-01-14	VYDAJ	VYBER	300	35502	\N	\N	\N
781758	2665	1997-01-15	VYDAJ	VYBER	600	34202	\N	\N	\N
781759	2665	1997-01-21	VYDAJ	VYBER	1250	34552	\N	\N	\N
781760	2665	1997-01-14	VYDAJ	VYBER	700	34802	\N	\N	\N
781761	2665	1997-01-29	VYDAJ	VYBER	1350	31202	\N	\N	\N
781762	2665	1998-01-20	VYDAJ	VYBER	350	46174	\N	\N	\N
781763	2665	1998-01-11	VYDAJ	VYBER	500	32805	\N	\N	\N
781764	2665	1998-01-04	VYDAJ	VYBER	1450	35305	\N	\N	\N
781765	2665	1998-01-15	VYDAJ	VYBER	1300	31505	\N	\N	\N
781766	2665	1998-01-02	VYDAJ	VYBER	1050	36755	\N	\N	\N
781767	2665	1998-01-17	VYDAJ	VYBER	700	32405	\N	\N	\N
781772	2665	1994-11-27	VYDAJ	VYBER	1300	26801	\N	\N	\N
781773	2665	1994-02-24	VYDAJ	VYBER	500	59254	\N	\N	\N
781774	2665	1994-12-16	VYDAJ	VYBER	1650	26053	\N	\N	\N
781775	2665	1994-10-13	VYDAJ	VYBER	550	26898	\N	\N	\N
781776	2665	1994-09-28	VYDAJ	VYBER	1150	28336	\N	\N	\N
781777	2665	1994-06-11	VYDAJ	VYBER	2350	26535	\N	\N	\N
781778	2665	1994-03-03	VYDAJ	VYBER	550	58873	\N	\N	\N
781779	2665	1995-01-13	VYDAJ	VYBER	2000	23451	\N	\N	\N
781780	2665	1995-08-31	VYDAJ	VYBER	950	27885	\N	\N	\N
781782	2665	1995-11-12	VYDAJ	VYBER	1300	24592	\N	\N	\N
781783	2665	1995-08-27	VYDAJ	VYBER	2400	28710	\N	\N	\N
781784	2665	1995-08-03	VYDAJ	VYBER	2200	32010	\N	\N	\N
781785	2665	1996-09-16	VYDAJ	VYBER	2100	34464	\N	\N	\N
781786	2665	1996-10-19	VYDAJ	VYBER	1300	37551	\N	\N	\N
781787	2665	1996-11-22	VYDAJ	VYBER	750	41993	\N	\N	\N
781788	2665	1996-08-17	VYDAJ	VYBER	2050	34531	\N	\N	\N
781789	2665	1996-10-18	VYDAJ	VYBER	1150	38851	\N	\N	\N
781790	2665	1996-07-22	VYDAJ	VYBER	1600	33261	\N	\N	\N
781791	2665	1996-04-09	VYDAJ	VYBER	1050	31469	\N	\N	\N
781792	2665	1997-04-15	VYDAJ	VYBER	1700	37728	\N	\N	\N
781793	2665	1997-01-05	VYDAJ	VYBER	250	44402	\N	\N	\N
781794	2665	1997-11-21	VYDAJ	VYBER	950	55449	\N	\N	\N
781795	2665	1997-01-31	VYDAJ	VYBER	2450	28902	\N	\N	\N
781796	2665	1997-06-30	VYDAJ	VYBER	2150	25087	\N	\N	\N
781797	2665	1997-02-15	VYDAJ	VYBER	2000	28487	\N	\N	\N
781798	2665	1998-07-20	VYDAJ	VYBER	800	20356	\N	\N	\N
781799	2665	1998-02-02	VYDAJ	VYBER	650	41062	\N	\N	\N
781800	2665	1998-07-08	VYDAJ	VYBER	1400	17956	\N	\N	\N
781801	2665	1998-12-27	VYDAJ	VYBER	950	19880	\N	\N	\N
781802	2665	1998-12-03	VYDAJ	VYBER	2250	18030	\N	\N	\N
781815	2665	1993-12-31	VYDAJ	VYBER	15	36309	SLUZBY	\N	\N
781816	2665	1994-01-31	VYDAJ	VYBER	15	25057	SLUZBY	\N	\N
781817	2665	1994-02-28	VYDAJ	VYBER	15	59423	SLUZBY	\N	\N
781818	2665	1994-03-31	VYDAJ	VYBER	15	45380	SLUZBY	\N	\N
781819	2665	1994-04-30	VYDAJ	VYBER	15	40340	SLUZBY	\N	\N
781820	2665	1994-05-31	VYDAJ	VYBER	15	36885	SLUZBY	\N	\N
781821	2665	1994-06-30	VYDAJ	VYBER	15	29852	SLUZBY	\N	\N
781822	2665	1994-07-31	VYDAJ	VYBER	15	32668	SLUZBY	\N	\N
781823	2665	1994-08-31	VYDAJ	VYBER	15	31886	SLUZBY	\N	\N
781824	2665	1994-09-30	VYDAJ	VYBER	15	28448	SLUZBY	\N	\N
781825	2665	1994-10-31	VYDAJ	VYBER	15	28601	SLUZBY	\N	\N
781826	2665	1994-11-30	VYDAJ	VYBER	15	26903	SLUZBY	\N	\N
781827	2665	1994-12-31	VYDAJ	VYBER	15	25751	SLUZBY	\N	\N
781828	2665	1995-01-31	VYDAJ	VYBER	15	14168	SLUZBY	\N	\N
781829	2665	1995-02-28	VYDAJ	VYBER	15	21728	SLUZBY	\N	\N
781830	2665	1995-03-31	VYDAJ	VYBER	15	27917	SLUZBY	\N	\N
781831	2665	1995-04-30	VYDAJ	VYBER	15	56750	SLUZBY	\N	\N
781832	2665	1995-05-31	VYDAJ	VYBER	15	44542	SLUZBY	\N	\N
781833	2665	1995-06-30	VYDAJ	VYBER	15	32687	SLUZBY	\N	\N
781834	2665	1995-07-31	VYDAJ	VYBER	15	34210	SLUZBY	\N	\N
781835	2665	1995-08-31	VYDAJ	VYBER	15	27870	SLUZBY	\N	\N
781836	2665	1995-09-30	VYDAJ	VYBER	15	31778	SLUZBY	\N	\N
781837	2665	1995-10-31	VYDAJ	VYBER	15	30792	SLUZBY	\N	\N
781838	2665	1995-11-30	VYDAJ	VYBER	15	27896	SLUZBY	\N	\N
781839	2665	1995-12-31	VYDAJ	VYBER	15	27293	SLUZBY	\N	\N
781840	2665	1996-01-31	VYDAJ	VYBER	15	16448	SLUZBY	\N	\N
781841	2665	1996-02-29	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
781842	2665	1996-03-31	VYDAJ	VYBER	15	30819	SLUZBY	\N	\N
781843	2665	1996-04-30	VYDAJ	VYBER	15	34790	SLUZBY	\N	\N
781844	2665	1996-05-31	VYDAJ	VYBER	15	39028	SLUZBY	\N	\N
781845	2665	1996-06-30	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
781846	2665	1996-07-31	VYDAJ	VYBER	15	34981	SLUZBY	\N	\N
781847	2665	1996-08-31	VYDAJ	VYBER	15	36564	SLUZBY	\N	\N
781848	2665	1996-09-30	VYDAJ	VYBER	15	36801	SLUZBY	\N	\N
781849	2665	1996-10-31	VYDAJ	VYBER	15	39543	SLUZBY	\N	\N
781850	2665	1996-11-30	VYDAJ	VYBER	15	39245	SLUZBY	\N	\N
781851	2665	1996-12-31	VYDAJ	VYBER	15	36780	SLUZBY	\N	\N
781852	2665	1997-01-31	VYDAJ	VYBER	15	28887	SLUZBY	\N	\N
781853	2665	1997-02-28	VYDAJ	VYBER	15	34195	SLUZBY	\N	\N
781854	2665	1997-03-31	VYDAJ	VYBER	15	37828	SLUZBY	\N	\N
781855	2665	1997-04-30	VYDAJ	VYBER	15	36570	SLUZBY	\N	\N
781856	2665	1997-05-31	VYDAJ	VYBER	15	38310	SLUZBY	\N	\N
781857	2665	1997-06-30	VYDAJ	VYBER	15	27237	SLUZBY	\N	\N
781858	2665	1997-07-31	VYDAJ	VYBER	15	33591	SLUZBY	\N	\N
781859	2665	1997-08-31	VYDAJ	VYBER	15	39523	SLUZBY	\N	\N
781860	2665	1997-09-30	VYDAJ	VYBER	15	64460	SLUZBY	\N	\N
781861	2665	1997-10-31	VYDAJ	VYBER	15	53199	SLUZBY	\N	\N
781862	2665	1997-11-30	VYDAJ	VYBER	15	42642	SLUZBY	\N	\N
781863	2665	1997-12-31	VYDAJ	VYBER	15	37805	SLUZBY	\N	\N
781864	2665	1998-01-31	VYDAJ	VYBER	15	41712	SLUZBY	\N	\N
781865	2665	1998-02-28	VYDAJ	VYBER	15	35611	SLUZBY	\N	\N
781866	2665	1998-03-31	VYDAJ	VYBER	15	51843	SLUZBY	\N	\N
781867	2665	1998-04-30	VYDAJ	VYBER	15	38624	SLUZBY	\N	\N
781868	2665	1998-05-31	VYDAJ	VYBER	15	32359	SLUZBY	\N	\N
781869	2665	1998-06-30	VYDAJ	VYBER	15	19356	SLUZBY	\N	\N
781870	2665	1998-07-31	VYDAJ	VYBER	15	17116	SLUZBY	\N	\N
781871	2665	1998-08-31	VYDAJ	VYBER	15	22579	SLUZBY	\N	\N
781872	2665	1998-09-30	VYDAJ	VYBER	15	21659	SLUZBY	\N	\N
781873	2665	1998-10-31	VYDAJ	VYBER	15	17022	SLUZBY	\N	\N
781874	2665	1998-11-30	VYDAJ	VYBER	15	20280	SLUZBY	\N	\N
781875	2665	1993-12-13	VYDAJ	VYBER	10000	32959	\N	\N	\N
781876	2665	1994-01-12	PRIJEM	VKLAD	600	24559	\N	\N	\N
781877	2665	1994-02-11	VYDAJ	VYBER	5600	33993	\N	\N	\N
781878	2665	1994-03-13	VYDAJ	VYBER	16900	43573	\N	\N	\N
781879	2665	1994-04-12	VYDAJ	VYBER	8400	36980	\N	\N	\N
781880	2665	1994-05-12	VYDAJ	VYBER	6800	33540	\N	\N	\N
781881	2665	1994-06-11	PRIJEM	VKLAD	3400	28885	\N	\N	\N
781882	2665	1994-07-11	VYDAJ	VYBER	500	29352	\N	\N	\N
781883	2665	1994-08-10	VYDAJ	VYBER	4100	28568	\N	\N	\N
781884	2665	1994-09-09	VYDAJ	VYBER	5600	26286	\N	\N	\N
781885	2665	1994-10-09	VYDAJ	VYBER	2600	25848	\N	\N	\N
781886	2665	1994-11-08	VYDAJ	VYBER	3700	24901	\N	\N	\N
781887	2665	1994-12-08	VYDAJ	VYBER	800	26103	\N	\N	\N
781888	2665	1995-01-07	PRIJEM	VKLAD	6600	24251	\N	\N	\N
781889	2665	1995-02-06	PRIJEM	VKLAD	4300	18468	\N	\N	\N
781890	2665	1995-03-08	PRIJEM	VKLAD	2900	24628	\N	\N	\N
781891	2665	1995-04-07	VYDAJ	VYBER	3100	24817	\N	\N	\N
781892	2665	1995-05-07	VYDAJ	VYBER	15600	41150	\N	\N	\N
781893	2665	1995-06-06	VYDAJ	VYBER	10500	34042	\N	\N	\N
781894	2665	1995-07-06	VYDAJ	VYBER	1800	30887	\N	\N	\N
781895	2665	1995-08-05	VYDAJ	VYBER	4100	27910	\N	\N	\N
781896	2665	1995-09-04	PRIJEM	VKLAD	600	28470	\N	\N	\N
781897	2665	1995-10-04	VYDAJ	VYBER	4300	27478	\N	\N	\N
781898	2665	1995-11-03	VYDAJ	VYBER	4900	25892	\N	\N	\N
781899	2665	1995-12-03	VYDAJ	VYBER	1400	26496	\N	\N	\N
781900	2665	1996-01-02	PRIJEM	VKLAD	1400	22793	\N	\N	\N
781901	2665	1996-02-01	PRIJEM	VKLAD	5300	21748	\N	\N	\N
781902	2665	1996-03-02	PRIJEM	VKLAD	2500	27518	\N	\N	\N
781903	2665	1996-04-01	PRIJEM	VKLAD	1700	32519	\N	\N	\N
781904	2665	1996-05-01	PRIJEM	VKLAD	900	35690	\N	\N	\N
781905	2665	1996-05-31	VYDAJ	VYBER	1900	37128	\N	\N	\N
781906	2665	1996-06-30	PRIJEM	VKLAD	2000	31528	\N	\N	\N
781907	2665	1996-07-30	PRIJEM	VKLAD	1600	34861	\N	\N	\N
781908	2665	1996-08-29	PRIJEM	VKLAD	300	36431	\N	\N	\N
781909	2665	1996-09-28	VYDAJ	VYBER	1000	36664	\N	\N	\N
781910	2665	1996-10-28	VYDAJ	VYBER	9100	39392	\N	\N	\N
781911	2665	1996-11-27	VYDAJ	VYBER	2900	39093	\N	\N	\N
781912	2665	1996-12-27	VYDAJ	VYBER	5800	36630	\N	\N	\N
781913	2665	1997-01-26	VYDAJ	VYBER	2000	32552	\N	\N	\N
781914	2665	1997-02-25	PRIJEM	VKLAD	4000	34087	\N	\N	\N
781915	2665	1997-03-27	PRIJEM	VKLAD	300	37695	\N	\N	\N
781916	2665	1997-04-26	VYDAJ	VYBER	2900	36428	\N	\N	\N
781917	2665	1997-05-26	VYDAJ	VYBER	1600	38170	\N	\N	\N
781918	2665	1997-06-25	PRIJEM	VKLAD	3700	27110	\N	\N	\N
781919	2665	1997-07-25	PRIJEM	VKLAD	5200	33487	\N	\N	\N
781920	2665	1997-08-24	PRIJEM	VKLAD	2600	39391	\N	\N	\N
781921	2665	1997-09-23	VYDAJ	VYBER	28300	64248	\N	\N	\N
781922	2665	1997-10-23	VYDAJ	VYBER	14700	52960	\N	\N	\N
781923	2665	1997-11-22	VYDAJ	VYBER	13000	42449	\N	\N	\N
781924	2665	1997-12-22	VYDAJ	VYBER	6100	37642	\N	\N	\N
781925	2665	1998-01-21	VYDAJ	VYBER	4600	41574	\N	\N	\N
781926	2665	1998-02-20	VYDAJ	VYBER	8800	35462	\N	\N	\N
781927	2665	1998-03-22	VYDAJ	VYBER	27000	51684	\N	\N	\N
781928	2665	1998-04-21	VYDAJ	VYBER	16600	38443	\N	\N	\N
781929	2665	1998-05-21	VYDAJ	VYBER	9600	32224	\N	\N	\N
781930	2665	1998-06-20	PRIJEM	VKLAD	1900	19259	\N	\N	\N
781931	2665	1998-07-20	VYDAJ	VYBER	3300	17056	\N	\N	\N
781932	2665	1998-08-19	PRIJEM	VKLAD	2200	22516	\N	\N	\N
781933	2665	1998-09-18	VYDAJ	VYBER	4200	21579	\N	\N	\N
781934	2665	1998-10-18	VYDAJ	VYBER	7900	16959	\N	\N	\N
781935	2665	1998-12-17	VYDAJ	VYBER	400	19230	\N	\N	\N
781998	2666	1993-03-08	PRIJEM	VKLAD	600	600	\N	\N	\N
782001	2666	1993-03-12	PRIJEM	PREVOD Z UCTU	2901	3501	\N	IJ	69472062
782002	2666	1993-04-12	PRIJEM	PREVOD Z UCTU	2901	6411	\N	IJ	69472062
782003	2666	1993-05-12	PRIJEM	PREVOD Z UCTU	2901	9327	\N	IJ	69472062
782004	2666	1993-06-12	PRIJEM	PREVOD Z UCTU	2901	12243	\N	IJ	69472062
782005	2666	1993-07-12	PRIJEM	PREVOD Z UCTU	2901	15158	\N	IJ	69472062
782006	2666	1993-08-12	PRIJEM	PREVOD Z UCTU	2901	16127	\N	IJ	69472062
782007	2666	1993-09-12	PRIJEM	PREVOD Z UCTU	2901	17145	\N	IJ	69472062
782008	2666	1993-10-12	PRIJEM	PREVOD Z UCTU	2901	17896	\N	IJ	69472062
782009	2666	1993-11-12	PRIJEM	PREVOD Z UCTU	2901	18202	\N	IJ	69472062
782010	2666	1993-12-12	PRIJEM	PREVOD Z UCTU	2901	19229	\N	IJ	69472062
782011	2666	1994-01-12	PRIJEM	PREVOD Z UCTU	2901	17169	\N	IJ	69472062
782012	2666	1994-02-12	PRIJEM	PREVOD Z UCTU	2901	15609	\N	IJ	69472062
782013	2666	1994-03-12	PRIJEM	PREVOD Z UCTU	2901	15963	\N	IJ	69472062
782014	2666	1994-04-12	PRIJEM	PREVOD Z UCTU	2901	16980	\N	IJ	69472062
782015	2666	1994-05-12	PRIJEM	PREVOD Z UCTU	2901	18002	\N	IJ	69472062
782016	2666	1994-06-12	PRIJEM	PREVOD Z UCTU	2901	19027	\N	IJ	69472062
782017	2666	1994-07-12	PRIJEM	PREVOD Z UCTU	2901	20057	\N	IJ	69472062
782018	2666	1994-08-12	PRIJEM	PREVOD Z UCTU	2901	21091	\N	IJ	69472062
782019	2666	1994-09-12	PRIJEM	PREVOD Z UCTU	2901	22130	\N	IJ	69472062
782020	2666	1994-10-12	PRIJEM	PREVOD Z UCTU	2901	22692	\N	IJ	69472062
782021	2666	1994-11-12	PRIJEM	PREVOD Z UCTU	2901	23737	\N	IJ	69472062
782022	2666	1994-12-12	PRIJEM	PREVOD Z UCTU	2901	24186	\N	IJ	69472062
782023	2666	1995-01-12	PRIJEM	PREVOD Z UCTU	2901	24428	\N	IJ	69472062
782024	2666	1995-02-12	PRIJEM	PREVOD Z UCTU	2901	21068	\N	IJ	69472062
782025	2666	1995-03-12	PRIJEM	PREVOD Z UCTU	2901	22108	\N	IJ	69472062
782026	2666	1995-04-12	PRIJEM	PREVOD Z UCTU	2901	23151	\N	IJ	69472062
782027	2666	1995-05-12	PRIJEM	PREVOD Z UCTU	2901	24198	\N	IJ	69472062
782028	2666	1995-06-12	PRIJEM	PREVOD Z UCTU	2901	23839	\N	IJ	69472062
782029	2666	1995-07-12	PRIJEM	PREVOD Z UCTU	2901	19765	\N	IJ	69472062
782030	2666	1995-08-12	PRIJEM	PREVOD Z UCTU	2901	19397	\N	IJ	69472062
782031	2666	1995-09-12	PRIJEM	PREVOD Z UCTU	2901	19627	\N	IJ	69472062
782032	2666	1995-10-12	PRIJEM	PREVOD Z UCTU	2901	19859	\N	IJ	69472062
782033	2666	1995-11-12	PRIJEM	PREVOD Z UCTU	2901	20491	\N	IJ	69472062
782034	2666	1995-12-12	PRIJEM	PREVOD Z UCTU	2901	20777	\N	IJ	69472062
782035	2666	1996-01-12	PRIJEM	PREVOD Z UCTU	2901	20014	\N	IJ	69472062
782036	2666	1996-02-12	PRIJEM	PREVOD Z UCTU	2901	20147	\N	IJ	69472062
782037	2666	1996-03-12	PRIJEM	PREVOD Z UCTU	2901	21181	\N	IJ	69472062
782038	2666	1996-04-12	PRIJEM	PREVOD Z UCTU	2901	22220	\N	IJ	69472062
782039	2666	1996-05-12	PRIJEM	PREVOD Z UCTU	2901	22461	\N	IJ	69472062
782040	2666	1996-06-12	PRIJEM	PREVOD Z UCTU	2901	23505	\N	IJ	69472062
782041	2666	1996-07-12	PRIJEM	PREVOD Z UCTU	2901	16691	\N	IJ	69472062
782042	2666	1996-08-12	PRIJEM	PREVOD Z UCTU	2901	17711	\N	IJ	69472062
782043	2666	1996-09-12	PRIJEM	PREVOD Z UCTU	2901	18233	\N	IJ	69472062
782044	2666	1996-10-12	PRIJEM	PREVOD Z UCTU	2901	14450	\N	IJ	69472062
782045	2666	1996-11-12	PRIJEM	PREVOD Z UCTU	2901	14859	\N	IJ	69472062
782046	2666	1996-12-12	PRIJEM	PREVOD Z UCTU	2901	14668	\N	IJ	69472062
782047	2666	1997-01-12	PRIJEM	PREVOD Z UCTU	2901	14777	\N	IJ	69472062
782048	2666	1997-02-12	PRIJEM	PREVOD Z UCTU	2901	15788	\N	IJ	69472062
782049	2666	1997-03-12	PRIJEM	PREVOD Z UCTU	2901	16804	\N	IJ	69472062
782050	2666	1997-04-12	PRIJEM	PREVOD Z UCTU	2901	15017	\N	IJ	69472062
782051	2666	1997-05-12	PRIJEM	PREVOD Z UCTU	2901	16029	\N	IJ	69472062
782052	2666	1997-06-12	PRIJEM	PREVOD Z UCTU	2901	16945	\N	IJ	69472062
782053	2666	1997-07-12	PRIJEM	PREVOD Z UCTU	2901	16794	\N	IJ	69472062
782054	2666	1997-08-12	PRIJEM	PREVOD Z UCTU	2901	16009	\N	IJ	69472062
782055	2666	1997-09-12	PRIJEM	PREVOD Z UCTU	2901	16123	\N	IJ	69472062
782056	2666	1997-10-12	PRIJEM	PREVOD Z UCTU	2901	17139	\N	IJ	69472062
782057	2666	1997-11-12	PRIJEM	PREVOD Z UCTU	2901	17859	\N	IJ	69472062
782058	2666	1997-12-12	PRIJEM	PREVOD Z UCTU	2901	18882	\N	IJ	69472062
782059	2666	1998-01-12	PRIJEM	PREVOD Z UCTU	2901	16699	\N	IJ	69472062
782060	2666	1998-02-12	PRIJEM	PREVOD Z UCTU	2901	15008	\N	IJ	69472062
782061	2666	1998-03-12	PRIJEM	PREVOD Z UCTU	2901	16021	\N	IJ	69472062
782062	2666	1998-04-12	PRIJEM	PREVOD Z UCTU	2901	15536	\N	IJ	69472062
782063	2666	1998-05-12	PRIJEM	PREVOD Z UCTU	2901	16550	\N	IJ	69472062
782064	2666	1998-06-12	PRIJEM	PREVOD Z UCTU	2901	17567	\N	IJ	69472062
782065	2666	1998-07-12	PRIJEM	PREVOD Z UCTU	2901	17297	\N	IJ	69472062
782066	2666	1998-08-12	PRIJEM	PREVOD Z UCTU	2901	18318	\N	IJ	69472062
782067	2666	1998-09-12	PRIJEM	PREVOD Z UCTU	2901	16143	\N	IJ	69472062
782068	2666	1998-10-12	PRIJEM	PREVOD Z UCTU	2901	16162	\N	IJ	69472062
782069	2666	1998-11-12	PRIJEM	PREVOD Z UCTU	2901	17179	\N	IJ	69472062
782070	2666	1998-12-12	PRIJEM	PREVOD Z UCTU	2901	17809	\N	IJ	69472062
782078	2666	1993-08-10	VYDAJ	PREVOD NA UCET	647	14513	SIPO	UV	53003144
782079	2666	1993-09-10	VYDAJ	PREVOD NA UCET	647	15531	SIPO	UV	53003144
782080	2666	1993-10-10	VYDAJ	PREVOD NA UCET	647	16282	SIPO	UV	53003144
782081	2666	1993-11-10	VYDAJ	PREVOD NA UCET	647	16588	SIPO	UV	53003144
782082	2666	1993-12-10	VYDAJ	PREVOD NA UCET	647	17615	SIPO	UV	53003144
782083	2666	1994-01-10	VYDAJ	PREVOD NA UCET	647	15555	SIPO	UV	53003144
782084	2666	1994-02-10	VYDAJ	PREVOD NA UCET	647	13995	SIPO	UV	53003144
782085	2666	1994-03-10	VYDAJ	PREVOD NA UCET	647	14349	SIPO	UV	53003144
782086	2666	1994-04-10	VYDAJ	PREVOD NA UCET	647	15366	SIPO	UV	53003144
782087	2666	1994-05-10	VYDAJ	PREVOD NA UCET	647	16388	SIPO	UV	53003144
782088	2666	1994-06-10	VYDAJ	PREVOD NA UCET	647	17413	SIPO	UV	53003144
782089	2666	1994-07-10	VYDAJ	PREVOD NA UCET	647	18443	SIPO	UV	53003144
782090	2666	1994-08-10	VYDAJ	PREVOD NA UCET	647	19477	SIPO	UV	53003144
782091	2666	1994-09-10	VYDAJ	PREVOD NA UCET	647	20516	SIPO	UV	53003144
782092	2666	1994-10-10	VYDAJ	PREVOD NA UCET	647	21078	SIPO	UV	53003144
782093	2666	1994-11-10	VYDAJ	PREVOD NA UCET	647	22123	SIPO	UV	53003144
782094	2666	1994-12-10	VYDAJ	PREVOD NA UCET	647	22572	SIPO	UV	53003144
782095	2666	1995-01-10	VYDAJ	PREVOD NA UCET	647	22814	SIPO	UV	53003144
782096	2666	1995-02-10	VYDAJ	PREVOD NA UCET	647	19454	SIPO	UV	53003144
782097	2666	1995-03-10	VYDAJ	PREVOD NA UCET	647	20494	SIPO	UV	53003144
782098	2666	1995-04-10	VYDAJ	PREVOD NA UCET	647	21537	SIPO	UV	53003144
782099	2666	1995-05-10	VYDAJ	PREVOD NA UCET	647	22584	SIPO	UV	53003144
782100	2666	1995-06-10	VYDAJ	PREVOD NA UCET	647	22225	SIPO	UV	53003144
782101	2666	1995-07-10	VYDAJ	PREVOD NA UCET	647	18151	SIPO	UV	53003144
782102	2666	1995-08-10	VYDAJ	PREVOD NA UCET	647	17783	SIPO	UV	53003144
782103	2666	1995-09-10	VYDAJ	PREVOD NA UCET	647	18013	SIPO	UV	53003144
782104	2666	1995-10-10	VYDAJ	PREVOD NA UCET	647	18245	SIPO	UV	53003144
782105	2666	1995-11-10	VYDAJ	PREVOD NA UCET	647	18877	SIPO	UV	53003144
782106	2666	1995-12-10	VYDAJ	PREVOD NA UCET	647	19163	SIPO	UV	53003144
782107	2666	1996-01-10	VYDAJ	PREVOD NA UCET	647	18400	SIPO	UV	53003144
782108	2666	1996-02-10	VYDAJ	PREVOD NA UCET	647	18533	SIPO	UV	53003144
782109	2666	1996-03-10	VYDAJ	PREVOD NA UCET	647	19567	SIPO	UV	53003144
782110	2666	1996-04-10	VYDAJ	PREVOD NA UCET	647	20606	SIPO	UV	53003144
782111	2666	1996-05-10	VYDAJ	PREVOD NA UCET	647	20847	SIPO	UV	53003144
782112	2666	1996-06-10	VYDAJ	PREVOD NA UCET	647	21891	SIPO	UV	53003144
782113	2666	1996-07-10	VYDAJ	PREVOD NA UCET	647	15077	SIPO	UV	53003144
782114	2666	1996-08-10	VYDAJ	PREVOD NA UCET	647	16097	SIPO	UV	53003144
782115	2666	1996-09-10	VYDAJ	PREVOD NA UCET	647	16619	SIPO	UV	53003144
782116	2666	1996-10-10	VYDAJ	PREVOD NA UCET	647	12836	SIPO	UV	53003144
782117	2666	1996-11-10	VYDAJ	PREVOD NA UCET	647	13245	SIPO	UV	53003144
782118	2666	1996-12-10	VYDAJ	PREVOD NA UCET	647	13054	SIPO	UV	53003144
782119	2666	1997-01-10	VYDAJ	PREVOD NA UCET	647	13163	SIPO	UV	53003144
782120	2666	1997-02-10	VYDAJ	PREVOD NA UCET	647	14174	SIPO	UV	53003144
782121	2666	1997-03-10	VYDAJ	PREVOD NA UCET	647	15190	SIPO	UV	53003144
782122	2666	1997-04-10	VYDAJ	PREVOD NA UCET	647	13403	SIPO	UV	53003144
782123	2666	1997-05-10	VYDAJ	PREVOD NA UCET	647	14415	SIPO	UV	53003144
782124	2666	1997-06-10	VYDAJ	PREVOD NA UCET	647	15331	SIPO	UV	53003144
782125	2666	1997-07-10	VYDAJ	PREVOD NA UCET	647	15180	SIPO	UV	53003144
782126	2666	1997-08-10	VYDAJ	PREVOD NA UCET	647	14395	SIPO	UV	53003144
782127	2666	1997-09-10	VYDAJ	PREVOD NA UCET	647	14509	SIPO	UV	53003144
782128	2666	1997-10-10	VYDAJ	PREVOD NA UCET	647	15525	SIPO	UV	53003144
782129	2666	1997-11-10	VYDAJ	PREVOD NA UCET	647	16245	SIPO	UV	53003144
782130	2666	1997-12-10	VYDAJ	PREVOD NA UCET	647	17268	SIPO	UV	53003144
782131	2666	1998-01-10	VYDAJ	PREVOD NA UCET	647	15085	SIPO	UV	53003144
782132	2666	1998-02-10	VYDAJ	PREVOD NA UCET	647	13394	SIPO	UV	53003144
782133	2666	1998-03-10	VYDAJ	PREVOD NA UCET	647	14407	SIPO	UV	53003144
782134	2666	1998-04-10	VYDAJ	PREVOD NA UCET	647	13922	SIPO	UV	53003144
782135	2666	1998-05-10	VYDAJ	PREVOD NA UCET	647	14936	SIPO	UV	53003144
782136	2666	1998-06-10	VYDAJ	PREVOD NA UCET	647	15953	SIPO	UV	53003144
782137	2666	1998-07-10	VYDAJ	PREVOD NA UCET	647	15683	SIPO	UV	53003144
782138	2666	1998-08-10	VYDAJ	PREVOD NA UCET	647	16704	SIPO	UV	53003144
782139	2666	1998-09-10	VYDAJ	PREVOD NA UCET	647	14529	SIPO	UV	53003144
782140	2666	1998-10-10	VYDAJ	PREVOD NA UCET	647	14548	SIPO	UV	53003144
782141	2666	1998-11-10	VYDAJ	PREVOD NA UCET	647	15565	SIPO	UV	53003144
782142	2666	1998-12-10	VYDAJ	PREVOD NA UCET	647	16585	SIPO	UV	53003144
782150	2666	1993-08-11	VYDAJ	PREVOD NA UCET	1287	13226	 	EF	41393333
782151	2666	1993-09-11	VYDAJ	PREVOD NA UCET	1287	14244	 	EF	41393333
782152	2666	1993-10-11	VYDAJ	PREVOD NA UCET	1287	14995	 	EF	41393333
782153	2666	1993-11-11	VYDAJ	PREVOD NA UCET	1287	15301	 	EF	41393333
782154	2666	1993-12-11	VYDAJ	PREVOD NA UCET	1287	16328	 	EF	41393333
782155	2666	1994-01-11	VYDAJ	PREVOD NA UCET	1287	14268	 	EF	41393333
782156	2666	1994-02-11	VYDAJ	PREVOD NA UCET	1287	12708	 	EF	41393333
782157	2666	1994-03-11	VYDAJ	PREVOD NA UCET	1287	13062	 	EF	41393333
782158	2666	1994-04-11	VYDAJ	PREVOD NA UCET	1287	14079	 	EF	41393333
782159	2666	1994-05-11	VYDAJ	PREVOD NA UCET	1287	15101	 	EF	41393333
782160	2666	1994-06-11	VYDAJ	PREVOD NA UCET	1287	16126	 	EF	41393333
782161	2666	1994-07-11	VYDAJ	PREVOD NA UCET	1287	17156	 	EF	41393333
782162	2666	1994-08-11	VYDAJ	PREVOD NA UCET	1287	18190	 	EF	41393333
782163	2666	1994-09-11	VYDAJ	PREVOD NA UCET	1287	19229	 	EF	41393333
782164	2666	1994-10-11	VYDAJ	PREVOD NA UCET	1287	19791	 	EF	41393333
782165	2666	1994-11-11	VYDAJ	PREVOD NA UCET	1287	20836	 	EF	41393333
782166	2666	1994-12-11	VYDAJ	PREVOD NA UCET	1287	21285	 	EF	41393333
782167	2666	1995-01-11	VYDAJ	PREVOD NA UCET	1287	21527	 	EF	41393333
782168	2666	1995-02-11	VYDAJ	PREVOD NA UCET	1287	18167	 	EF	41393333
782169	2666	1995-03-11	VYDAJ	PREVOD NA UCET	1287	19207	 	EF	41393333
782170	2666	1995-04-11	VYDAJ	PREVOD NA UCET	1287	20250	 	EF	41393333
782171	2666	1995-05-11	VYDAJ	PREVOD NA UCET	1287	21297	 	EF	41393333
782172	2666	1995-06-11	VYDAJ	PREVOD NA UCET	1287	20938	 	EF	41393333
782173	2666	1995-07-11	VYDAJ	PREVOD NA UCET	1287	16864	 	EF	41393333
782174	2666	1995-08-11	VYDAJ	PREVOD NA UCET	1287	16496	 	EF	41393333
782175	2666	1995-09-11	VYDAJ	PREVOD NA UCET	1287	16726	 	EF	41393333
782176	2666	1995-10-11	VYDAJ	PREVOD NA UCET	1287	16958	 	EF	41393333
782177	2666	1995-11-11	VYDAJ	PREVOD NA UCET	1287	17590	 	EF	41393333
782178	2666	1995-12-11	VYDAJ	PREVOD NA UCET	1287	17876	 	EF	41393333
782179	2666	1996-01-11	VYDAJ	PREVOD NA UCET	1287	17113	 	EF	41393333
782180	2666	1996-02-11	VYDAJ	PREVOD NA UCET	1287	17246	 	EF	41393333
782181	2666	1996-03-11	VYDAJ	PREVOD NA UCET	1287	18280	 	EF	41393333
782182	2666	1996-04-11	VYDAJ	PREVOD NA UCET	1287	19319	 	EF	41393333
782183	2666	1996-05-11	VYDAJ	PREVOD NA UCET	1287	19560	 	EF	41393333
782184	2666	1996-06-11	VYDAJ	PREVOD NA UCET	1287	20604	 	EF	41393333
782185	2666	1996-07-11	VYDAJ	PREVOD NA UCET	1287	13790	 	EF	41393333
782186	2666	1996-08-11	VYDAJ	PREVOD NA UCET	1287	14810	 	EF	41393333
782187	2666	1996-09-11	VYDAJ	PREVOD NA UCET	1287	15332	 	EF	41393333
782188	2666	1996-10-11	VYDAJ	PREVOD NA UCET	1287	11549	 	EF	41393333
782189	2666	1996-11-11	VYDAJ	PREVOD NA UCET	1287	11958	 	EF	41393333
782190	2666	1996-12-11	VYDAJ	PREVOD NA UCET	1287	11767	 	EF	41393333
782191	2666	1997-01-11	VYDAJ	PREVOD NA UCET	1287	11876	 	EF	41393333
782192	2666	1997-02-11	VYDAJ	PREVOD NA UCET	1287	12887	 	EF	41393333
782193	2666	1997-03-11	VYDAJ	PREVOD NA UCET	1287	13903	 	EF	41393333
782194	2666	1997-04-11	VYDAJ	PREVOD NA UCET	1287	12116	 	EF	41393333
782195	2666	1997-05-11	VYDAJ	PREVOD NA UCET	1287	13128	 	EF	41393333
782196	2666	1997-06-11	VYDAJ	PREVOD NA UCET	1287	14044	 	EF	41393333
782197	2666	1997-07-11	VYDAJ	PREVOD NA UCET	1287	13893	 	EF	41393333
782198	2666	1997-08-11	VYDAJ	PREVOD NA UCET	1287	13108	 	EF	41393333
782199	2666	1997-09-11	VYDAJ	PREVOD NA UCET	1287	13222	 	EF	41393333
782200	2666	1997-10-11	VYDAJ	PREVOD NA UCET	1287	14238	 	EF	41393333
782201	2666	1997-11-11	VYDAJ	PREVOD NA UCET	1287	14958	 	EF	41393333
782202	2666	1997-12-11	VYDAJ	PREVOD NA UCET	1287	15981	 	EF	41393333
782203	2666	1998-01-11	VYDAJ	PREVOD NA UCET	1287	13798	 	EF	41393333
782204	2666	1998-02-11	VYDAJ	PREVOD NA UCET	1287	12107	 	EF	41393333
782205	2666	1998-03-11	VYDAJ	PREVOD NA UCET	1287	13120	 	EF	41393333
782206	2666	1998-04-11	VYDAJ	PREVOD NA UCET	1287	12635	 	EF	41393333
782207	2666	1998-05-11	VYDAJ	PREVOD NA UCET	1287	13649	 	EF	41393333
782208	2666	1998-06-11	VYDAJ	PREVOD NA UCET	1287	14666	 	EF	41393333
782209	2666	1998-07-11	VYDAJ	PREVOD NA UCET	1287	14396	 	EF	41393333
782210	2666	1998-08-11	VYDAJ	PREVOD NA UCET	1287	15417	 	EF	41393333
782211	2666	1998-09-11	VYDAJ	PREVOD NA UCET	1287	13242	 	EF	41393333
782212	2666	1998-10-11	VYDAJ	PREVOD NA UCET	1287	13261	 	EF	41393333
782213	2666	1998-11-11	VYDAJ	PREVOD NA UCET	1287	14278	 	EF	41393333
782214	2666	1998-12-11	VYDAJ	PREVOD NA UCET	1287	14908	 	EF	41393333
782217	2666	1995-06-23	VYDAJ	VYBER	3720	20119	\N	\N	\N
782218	2666	1996-06-19	VYDAJ	VYBER	5550	17955	\N	\N	\N
782221	2666	1993-12-22	VYDAJ	VYBER	510	18719	\N	\N	\N
782222	2666	1994-12-07	VYDAJ	VYBER	600	23219	\N	\N	\N
782223	2666	1995-12-04	VYDAJ	VYBER	750	19810	\N	\N	\N
782225	2666	1997-12-23	VYDAJ	VYBER	570	18312	\N	\N	\N
782226	2666	1998-12-10	VYDAJ	VYBER	390	16195	\N	\N	\N
782233	2666	1994-01-20	VYDAJ	VYBER	720	16179	\N	\N	\N
782234	2666	1994-01-08	VYDAJ	VYBER	750	16202	\N	\N	\N
782235	2666	1994-01-05	VYDAJ	VYBER	600	16952	\N	\N	\N
782236	2666	1994-01-01	VYDAJ	VYBER	660	18122	\N	\N	\N
782237	2666	1994-01-03	VYDAJ	VYBER	570	17552	\N	\N	\N
782238	2666	1994-01-24	VYDAJ	VYBER	780	14589	\N	\N	\N
782239	2666	1995-01-29	VYDAJ	VYBER	630	21488	\N	\N	\N
782240	2666	1995-01-28	VYDAJ	VYBER	330	22118	\N	\N	\N
782241	2666	1995-01-25	VYDAJ	VYBER	630	23168	\N	\N	\N
782242	2666	1995-01-09	VYDAJ	VYBER	810	23461	\N	\N	\N
782243	2666	1995-01-27	VYDAJ	VYBER	720	22448	\N	\N	\N
782244	2666	1995-01-14	VYDAJ	VYBER	630	23798	\N	\N	\N
782245	2666	1996-01-02	VYDAJ	VYBER	300	19947	\N	\N	\N
782246	2666	1996-01-28	VYDAJ	VYBER	150	19444	\N	\N	\N
782247	2666	1996-01-30	VYDAJ	VYBER	330	19114	\N	\N	\N
782248	2666	1996-01-22	VYDAJ	VYBER	420	19594	\N	\N	\N
782249	2666	1996-01-08	VYDAJ	VYBER	570	19377	\N	\N	\N
782250	2666	1996-01-08	VYDAJ	VYBER	330	19047	\N	\N	\N
782257	2666	1998-01-19	VYDAJ	VYBER	840	15859	\N	\N	\N
782258	2666	1998-01-09	VYDAJ	VYBER	780	16482	\N	\N	\N
782260	2666	1998-01-22	VYDAJ	VYBER	570	15289	\N	\N	\N
782261	2666	1998-01-08	VYDAJ	VYBER	210	17262	\N	\N	\N
782262	2666	1998-01-09	VYDAJ	VYBER	750	15732	\N	\N	\N
782263	2666	1993-11-04	VYDAJ	VYBER	720	17235	\N	\N	\N
782264	2666	1993-09-21	VYDAJ	VYBER	270	16875	\N	\N	\N
782266	2666	1994-01-12	VYDAJ	VYBER	270	16899	\N	\N	\N
782267	2666	1994-09-16	VYDAJ	VYBER	480	21650	\N	\N	\N
782268	2666	1994-02-15	VYDAJ	VYBER	660	14949	\N	\N	\N
782269	2666	1994-01-21	VYDAJ	VYBER	810	15369	\N	\N	\N
782270	2666	1995-06-07	VYDAJ	VYBER	1410	22872	\N	\N	\N
782271	2666	1995-02-05	VYDAJ	VYBER	1470	20101	\N	\N	\N
782272	2666	1996-07-09	VYDAJ	VYBER	600	15724	\N	\N	\N
782273	2666	1996-08-12	VYDAJ	VYBER	300	17411	\N	\N	\N
782275	2666	1997-06-26	VYDAJ	VYBER	900	15775	\N	\N	\N
782278	2666	1997-06-23	VYDAJ	VYBER	270	16675	\N	\N	\N
782282	2666	1998-01-07	VYDAJ	VYBER	900	17472	\N	\N	\N
782284	2666	1998-06-22	VYDAJ	VYBER	1290	16277	\N	\N	\N
782292	2666	1993-07-31	VYDAJ	VYBER	15	15160	SLUZBY	\N	\N
782293	2666	1993-08-31	VYDAJ	VYBER	15	16178	SLUZBY	\N	\N
782294	2666	1993-09-30	VYDAJ	VYBER	15	16929	SLUZBY	\N	\N
782295	2666	1993-10-31	VYDAJ	VYBER	15	17955	SLUZBY	\N	\N
782296	2666	1993-11-30	VYDAJ	VYBER	15	18262	SLUZBY	\N	\N
782297	2666	1993-12-31	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
782298	2666	1994-01-31	VYDAJ	VYBER	15	14642	SLUZBY	\N	\N
782299	2666	1994-02-28	VYDAJ	VYBER	15	14996	SLUZBY	\N	\N
782300	2666	1994-03-31	VYDAJ	VYBER	15	16013	SLUZBY	\N	\N
782301	2666	1994-04-30	VYDAJ	VYBER	15	17035	SLUZBY	\N	\N
782302	2666	1994-05-31	VYDAJ	VYBER	15	18060	SLUZBY	\N	\N
782303	2666	1994-06-30	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
782304	2666	1994-07-31	VYDAJ	VYBER	15	20124	SLUZBY	\N	\N
782305	2666	1994-08-31	VYDAJ	VYBER	15	21163	SLUZBY	\N	\N
782306	2666	1994-09-30	VYDAJ	VYBER	15	21725	SLUZBY	\N	\N
782307	2666	1994-10-31	VYDAJ	VYBER	15	22770	SLUZBY	\N	\N
782308	2666	1994-11-30	VYDAJ	VYBER	15	23819	SLUZBY	\N	\N
782309	2666	1994-12-31	VYDAJ	VYBER	15	24271	SLUZBY	\N	\N
782310	2666	1995-01-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
782311	2666	1995-02-28	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
782312	2666	1995-03-31	VYDAJ	VYBER	15	22184	SLUZBY	\N	\N
782313	2666	1995-04-30	VYDAJ	VYBER	15	23231	SLUZBY	\N	\N
782314	2666	1995-05-31	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
782315	2666	1995-06-30	VYDAJ	VYBER	15	18798	SLUZBY	\N	\N
782316	2666	1995-07-31	VYDAJ	VYBER	15	18430	SLUZBY	\N	\N
782317	2666	1995-08-31	VYDAJ	VYBER	15	18660	SLUZBY	\N	\N
782318	2666	1995-09-30	VYDAJ	VYBER	15	18892	SLUZBY	\N	\N
782319	2666	1995-10-31	VYDAJ	VYBER	15	19524	SLUZBY	\N	\N
782320	2666	1995-11-30	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
782321	2666	1995-12-31	VYDAJ	VYBER	15	20247	SLUZBY	\N	\N
782322	2666	1996-01-31	VYDAJ	VYBER	15	19180	SLUZBY	\N	\N
782323	2666	1996-02-29	VYDAJ	VYBER	15	20214	SLUZBY	\N	\N
782324	2666	1996-03-31	VYDAJ	VYBER	15	21253	SLUZBY	\N	\N
782325	2666	1996-04-30	VYDAJ	VYBER	15	21494	SLUZBY	\N	\N
782326	2666	1996-05-31	VYDAJ	VYBER	15	22538	SLUZBY	\N	\N
782327	2666	1996-06-30	VYDAJ	VYBER	15	16324	SLUZBY	\N	\N
782328	2666	1996-07-31	VYDAJ	VYBER	15	16744	SLUZBY	\N	\N
782329	2666	1996-08-31	VYDAJ	VYBER	15	17266	SLUZBY	\N	\N
782330	2666	1996-09-30	VYDAJ	VYBER	15	13483	SLUZBY	\N	\N
782331	2666	1996-10-31	VYDAJ	VYBER	15	13892	SLUZBY	\N	\N
782332	2666	1996-11-30	VYDAJ	VYBER	15	13701	SLUZBY	\N	\N
782333	2666	1996-12-31	VYDAJ	VYBER	15	13810	SLUZBY	\N	\N
782334	2666	1997-01-31	VYDAJ	VYBER	15	14821	SLUZBY	\N	\N
782335	2666	1997-02-28	VYDAJ	VYBER	15	15837	SLUZBY	\N	\N
782336	2666	1997-03-31	VYDAJ	VYBER	15	14050	SLUZBY	\N	\N
782337	2666	1997-04-30	VYDAJ	VYBER	15	15062	SLUZBY	\N	\N
782338	2666	1997-05-31	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
782339	2666	1997-06-30	VYDAJ	VYBER	15	15827	SLUZBY	\N	\N
782340	2666	1997-07-31	VYDAJ	VYBER	15	15042	SLUZBY	\N	\N
782341	2666	1997-08-31	VYDAJ	VYBER	15	15156	SLUZBY	\N	\N
782342	2666	1997-09-30	VYDAJ	VYBER	15	16172	SLUZBY	\N	\N
782343	2666	1997-10-31	VYDAJ	VYBER	15	16892	SLUZBY	\N	\N
782344	2666	1997-11-30	VYDAJ	VYBER	15	17915	SLUZBY	\N	\N
782345	2666	1997-12-31	VYDAJ	VYBER	15	18372	SLUZBY	\N	\N
782346	2666	1998-01-31	VYDAJ	VYBER	15	15341	SLUZBY	\N	\N
782347	2666	1998-02-28	VYDAJ	VYBER	15	15054	SLUZBY	\N	\N
782348	2666	1998-03-31	VYDAJ	VYBER	15	14569	SLUZBY	\N	\N
782349	2666	1998-04-30	VYDAJ	VYBER	15	15583	SLUZBY	\N	\N
782350	2666	1998-05-31	VYDAJ	VYBER	15	16600	SLUZBY	\N	\N
782351	2666	1998-06-30	VYDAJ	VYBER	15	16330	SLUZBY	\N	\N
782352	2666	1998-07-31	VYDAJ	VYBER	15	17351	SLUZBY	\N	\N
782353	2666	1998-08-31	VYDAJ	VYBER	15	18376	SLUZBY	\N	\N
782354	2666	1998-09-30	VYDAJ	VYBER	15	16195	SLUZBY	\N	\N
782355	2666	1998-10-31	VYDAJ	VYBER	15	16212	SLUZBY	\N	\N
782356	2666	1998-11-30	VYDAJ	VYBER	15	17232	SLUZBY	\N	\N
782357	2666	1995-06-26	VYDAJ	VYBER	1400	18719	\N	\N	\N
782358	2666	1995-07-26	VYDAJ	VYBER	1400	18365	\N	\N	\N
782359	2666	1995-08-25	VYDAJ	VYBER	800	18597	\N	\N	\N
782360	2666	1995-09-24	VYDAJ	VYBER	800	18827	\N	\N	\N
782361	2666	1995-10-24	VYDAJ	VYBER	400	19459	\N	\N	\N
782362	2666	1995-12-23	VYDAJ	VYBER	600	20177	\N	\N	\N
782363	2666	1996-04-21	VYDAJ	VYBER	800	21420	\N	\N	\N
782364	2666	1996-06-20	VYDAJ	VYBER	1700	16255	\N	\N	\N
782365	2666	1996-08-19	VYDAJ	VYBER	200	17211	\N	\N	\N
782366	2666	1996-09-18	VYDAJ	VYBER	4800	13433	\N	\N	\N
782367	2666	1996-10-18	VYDAJ	VYBER	600	13850	\N	\N	\N
782368	2666	1996-11-17	VYDAJ	VYBER	1200	13659	\N	\N	\N
782369	2666	1996-12-17	VYDAJ	VYBER	900	13768	\N	\N	\N
782370	2666	1997-03-17	VYDAJ	VYBER	2800	14004	\N	\N	\N
782371	2666	1997-05-16	VYDAJ	VYBER	100	15929	\N	\N	\N
782372	2666	1997-07-15	VYDAJ	VYBER	1800	14994	\N	\N	\N
782373	2666	1997-08-14	VYDAJ	VYBER	900	15109	\N	\N	\N
782374	2666	1997-10-13	VYDAJ	VYBER	300	16839	\N	\N	\N
782375	2666	1998-02-10	VYDAJ	VYBER	1300	14041	\N	\N	\N
782376	2666	1998-03-12	VYDAJ	VYBER	1500	14521	\N	\N	\N
782377	2666	1998-09-08	VYDAJ	VYBER	3200	15176	\N	\N	\N
782378	2666	1998-10-08	VYDAJ	VYBER	1000	15195	\N	\N	\N
782449	2667	1993-10-23	PRIJEM	VKLAD	700	700	\N	\N	\N
782460	2667	1993-11-05	PRIJEM	PREVOD Z UCTU	3270	3970	\N	GH	32372063
782461	2667	1993-12-05	PRIJEM	PREVOD Z UCTU	3270	7240	\N	GH	32372063
782462	2667	1994-01-05	PRIJEM	PREVOD Z UCTU	3270	10510	\N	GH	32372063
782463	2667	1994-02-05	PRIJEM	PREVOD Z UCTU	3270	13780	\N	GH	32372063
782464	2667	1994-03-05	PRIJEM	PREVOD Z UCTU	3270	17050	\N	GH	32372063
782465	2667	1994-04-05	PRIJEM	PREVOD Z UCTU	3270	17425	\N	GH	32372063
782466	2667	1994-05-05	PRIJEM	PREVOD Z UCTU	3270	18144	\N	GH	32372063
782467	2667	1994-06-05	PRIJEM	PREVOD Z UCTU	3270	19285	\N	GH	32372063
782468	2667	1994-07-05	PRIJEM	PREVOD Z UCTU	3270	15690	\N	GH	32372063
782469	2667	1994-08-05	PRIJEM	PREVOD Z UCTU	3270	16821	\N	GH	32372063
782470	2667	1994-09-05	PRIJEM	PREVOD Z UCTU	3270	16754	\N	GH	32372063
782471	2667	1994-10-05	PRIJEM	PREVOD Z UCTU	3270	17889	\N	GH	32372063
782472	2667	1994-11-05	PRIJEM	PREVOD Z UCTU	3270	19029	\N	GH	32372063
782473	2667	1994-12-05	PRIJEM	PREVOD Z UCTU	3270	20173	\N	GH	32372063
782474	2667	1995-01-05	PRIJEM	PREVOD Z UCTU	3270	18862	\N	GH	32372063
782475	2667	1995-02-05	PRIJEM	PREVOD Z UCTU	3270	18082	\N	GH	32372063
782476	2667	1995-03-05	PRIJEM	PREVOD Z UCTU	3270	19223	\N	GH	32372063
782477	2667	1995-04-05	PRIJEM	PREVOD Z UCTU	3270	20369	\N	GH	32372063
782478	2667	1995-05-05	PRIJEM	PREVOD Z UCTU	3270	20497	\N	GH	32372063
782479	2667	1995-06-05	PRIJEM	PREVOD Z UCTU	3270	21407	\N	GH	32372063
782480	2667	1995-07-05	PRIJEM	PREVOD Z UCTU	3270	21237	\N	GH	32372063
782481	2667	1995-08-05	PRIJEM	PREVOD Z UCTU	3270	22391	\N	GH	32372063
782482	2667	1995-09-05	PRIJEM	PREVOD Z UCTU	3270	23549	\N	GH	32372063
782483	2667	1995-10-05	PRIJEM	PREVOD Z UCTU	3270	24713	\N	GH	32372063
782484	2667	1995-11-05	PRIJEM	PREVOD Z UCTU	3270	24678	\N	GH	32372063
782485	2667	1995-12-05	PRIJEM	PREVOD Z UCTU	3270	25846	\N	GH	32372063
782486	2667	1996-01-05	PRIJEM	PREVOD Z UCTU	3270	25638	\N	GH	32372063
782487	2667	1996-02-05	PRIJEM	PREVOD Z UCTU	3270	22994	\N	GH	32372063
782488	2667	1996-03-05	PRIJEM	PREVOD Z UCTU	3270	24154	\N	GH	32372063
782489	2667	1996-04-05	PRIJEM	PREVOD Z UCTU	3270	22913	\N	GH	32372063
782490	2667	1996-05-05	PRIJEM	PREVOD Z UCTU	3270	22570	\N	GH	32372063
782491	2667	1996-06-05	PRIJEM	PREVOD Z UCTU	3270	21873	\N	GH	32372063
782492	2667	1996-07-05	PRIJEM	PREVOD Z UCTU	3270	22728	\N	GH	32372063
782493	2667	1996-08-05	PRIJEM	PREVOD Z UCTU	3270	23788	\N	GH	32372063
782494	2667	1996-09-05	PRIJEM	PREVOD Z UCTU	3270	19835	\N	GH	32372063
782495	2667	1996-10-05	PRIJEM	PREVOD Z UCTU	3270	18983	\N	GH	32372063
782496	2667	1996-11-05	PRIJEM	PREVOD Z UCTU	3270	18518	\N	GH	32372063
782497	2667	1996-12-05	PRIJEM	PREVOD Z UCTU	3270	18857	\N	GH	32372063
782498	2667	1997-01-05	PRIJEM	PREVOD Z UCTU	3270	17476	\N	GH	32372063
782499	2667	1997-02-05	PRIJEM	PREVOD Z UCTU	3270	15755	\N	GH	32372063
782500	2667	1997-03-05	PRIJEM	PREVOD Z UCTU	3270	16885	\N	GH	32372063
782501	2667	1997-04-05	PRIJEM	PREVOD Z UCTU	3270	18020	\N	GH	32372063
782502	2667	1997-05-05	PRIJEM	PREVOD Z UCTU	3270	13339	\N	GH	32372063
782503	2667	1997-06-05	PRIJEM	PREVOD Z UCTU	3270	14460	\N	GH	32372063
782504	2667	1997-07-05	PRIJEM	PREVOD Z UCTU	3270	15584	\N	GH	32372063
782505	2667	1997-08-05	PRIJEM	PREVOD Z UCTU	3270	16714	\N	GH	32372063
782506	2667	1997-09-05	PRIJEM	PREVOD Z UCTU	3270	17848	\N	GH	32372063
782507	2667	1997-10-05	PRIJEM	PREVOD Z UCTU	3270	18987	\N	GH	32372063
782508	2667	1997-11-05	PRIJEM	PREVOD Z UCTU	3270	18477	\N	GH	32372063
782509	2667	1997-12-05	PRIJEM	PREVOD Z UCTU	3270	19618	\N	GH	32372063
782510	2667	1998-01-05	PRIJEM	PREVOD Z UCTU	3270	19804	\N	GH	32372063
782511	2667	1998-02-05	PRIJEM	PREVOD Z UCTU	3270	17944	\N	GH	32372063
782512	2667	1998-03-05	PRIJEM	PREVOD Z UCTU	3270	19083	\N	GH	32372063
782513	2667	1998-04-05	PRIJEM	PREVOD Z UCTU	3270	20227	\N	GH	32372063
782514	2667	1998-05-05	PRIJEM	PREVOD Z UCTU	3270	21375	\N	GH	32372063
782515	2667	1998-06-05	PRIJEM	PREVOD Z UCTU	3270	21958	\N	GH	32372063
782516	2667	1998-07-05	PRIJEM	PREVOD Z UCTU	3270	23115	\N	GH	32372063
782517	2667	1998-08-05	PRIJEM	PREVOD Z UCTU	3270	24095	\N	GH	32372063
782518	2667	1998-09-05	PRIJEM	PREVOD Z UCTU	3270	25259	\N	GH	32372063
782519	2667	1998-10-05	PRIJEM	PREVOD Z UCTU	3270	25257	\N	GH	32372063
782520	2667	1998-11-05	PRIJEM	PREVOD Z UCTU	3270	26426	\N	GH	32372063
782521	2667	1998-12-05	PRIJEM	PREVOD Z UCTU	3270	27600	\N	GH	32372063
782536	2667	1994-03-07	VYDAJ	PREVOD NA UCET	2180	14870	\N	ST	2693307
782537	2667	1994-04-07	VYDAJ	PREVOD NA UCET	2180	15245	\N	ST	2693307
782538	2667	1994-05-07	VYDAJ	PREVOD NA UCET	2180	15964	\N	ST	2693307
782539	2667	1994-06-07	VYDAJ	PREVOD NA UCET	2180	17105	\N	ST	2693307
782540	2667	1994-07-07	VYDAJ	PREVOD NA UCET	2180	13510	\N	ST	2693307
782541	2667	1994-08-07	VYDAJ	PREVOD NA UCET	2180	14641	\N	ST	2693307
782542	2667	1994-09-07	VYDAJ	PREVOD NA UCET	2180	14574	\N	ST	2693307
782543	2667	1994-10-07	VYDAJ	PREVOD NA UCET	2180	15709	\N	ST	2693307
782544	2667	1994-11-07	VYDAJ	PREVOD NA UCET	2180	16849	\N	ST	2693307
782545	2667	1994-12-07	VYDAJ	PREVOD NA UCET	2180	17993	\N	ST	2693307
782546	2667	1995-01-07	VYDAJ	PREVOD NA UCET	2180	16292	\N	ST	2693307
782547	2667	1995-02-07	VYDAJ	PREVOD NA UCET	2180	15902	\N	ST	2693307
782548	2667	1995-03-07	VYDAJ	PREVOD NA UCET	2180	17043	\N	ST	2693307
782549	2667	1995-04-07	VYDAJ	PREVOD NA UCET	2180	18189	\N	ST	2693307
782550	2667	1995-05-07	VYDAJ	PREVOD NA UCET	2180	18317	\N	ST	2693307
782551	2667	1995-06-07	VYDAJ	PREVOD NA UCET	2180	19227	\N	ST	2693307
782552	2667	1995-07-07	VYDAJ	PREVOD NA UCET	2180	19057	\N	ST	2693307
782553	2667	1995-08-07	VYDAJ	PREVOD NA UCET	2180	20211	\N	ST	2693307
782554	2667	1995-09-07	VYDAJ	PREVOD NA UCET	2180	21369	\N	ST	2693307
782555	2667	1995-10-07	VYDAJ	PREVOD NA UCET	2180	22533	\N	ST	2693307
782556	2667	1995-11-07	VYDAJ	PREVOD NA UCET	2180	22498	\N	ST	2693307
782557	2667	1995-12-07	VYDAJ	PREVOD NA UCET	2180	23666	\N	ST	2693307
782558	2667	1996-01-07	VYDAJ	PREVOD NA UCET	2180	23038	\N	ST	2693307
782559	2667	1996-02-07	VYDAJ	PREVOD NA UCET	2180	20814	\N	ST	2693307
782560	2667	1996-03-07	VYDAJ	PREVOD NA UCET	2180	21974	\N	ST	2693307
782561	2667	1996-04-07	VYDAJ	PREVOD NA UCET	2180	20733	\N	ST	2693307
782562	2667	1996-05-07	VYDAJ	PREVOD NA UCET	2180	20390	\N	ST	2693307
782563	2667	1996-06-07	VYDAJ	PREVOD NA UCET	2180	19693	\N	ST	2693307
782564	2667	1996-07-07	VYDAJ	PREVOD NA UCET	2180	20548	\N	ST	2693307
782565	2667	1996-08-07	VYDAJ	PREVOD NA UCET	2180	21608	\N	ST	2693307
782566	2667	1996-09-07	VYDAJ	PREVOD NA UCET	2180	17655	\N	ST	2693307
782567	2667	1996-10-07	VYDAJ	PREVOD NA UCET	2180	15403	\N	ST	2693307
782568	2667	1996-11-07	VYDAJ	PREVOD NA UCET	2180	15538	\N	ST	2693307
782569	2667	1996-12-07	VYDAJ	PREVOD NA UCET	2180	15777	\N	ST	2693307
782570	2667	1997-01-07	VYDAJ	PREVOD NA UCET	2180	12446	\N	ST	2693307
782571	2667	1997-02-07	VYDAJ	PREVOD NA UCET	2180	13575	\N	ST	2693307
782572	2667	1997-03-07	VYDAJ	PREVOD NA UCET	2180	14705	\N	ST	2693307
782573	2667	1997-04-07	VYDAJ	PREVOD NA UCET	2180	10040	\N	ST	2693307
782574	2667	1997-05-07	VYDAJ	PREVOD NA UCET	2180	11159	\N	ST	2693307
782575	2667	1997-06-07	VYDAJ	PREVOD NA UCET	2180	12280	\N	ST	2693307
782576	2667	1997-07-07	VYDAJ	PREVOD NA UCET	2180	13404	\N	ST	2693307
782577	2667	1997-08-07	VYDAJ	PREVOD NA UCET	2180	14534	\N	ST	2693307
782578	2667	1997-09-07	VYDAJ	PREVOD NA UCET	2180	15668	\N	ST	2693307
782579	2667	1997-10-07	VYDAJ	PREVOD NA UCET	2180	16807	\N	ST	2693307
782580	2667	1997-11-07	VYDAJ	PREVOD NA UCET	2180	16297	\N	ST	2693307
782581	2667	1997-12-07	VYDAJ	PREVOD NA UCET	2180	17438	\N	ST	2693307
782582	2667	1998-01-07	VYDAJ	PREVOD NA UCET	2180	16694	\N	ST	2693307
782583	2667	1998-02-07	VYDAJ	PREVOD NA UCET	2180	15764	\N	ST	2693307
782584	2667	1998-03-07	VYDAJ	PREVOD NA UCET	2180	16903	\N	ST	2693307
782585	2667	1998-04-07	VYDAJ	PREVOD NA UCET	2180	18047	\N	ST	2693307
782586	2667	1998-05-07	VYDAJ	PREVOD NA UCET	2180	19195	\N	ST	2693307
782587	2667	1998-06-07	VYDAJ	PREVOD NA UCET	2180	19778	\N	ST	2693307
782588	2667	1998-07-07	VYDAJ	PREVOD NA UCET	2180	20935	\N	ST	2693307
782589	2667	1998-08-07	VYDAJ	PREVOD NA UCET	2180	21915	\N	ST	2693307
782590	2667	1998-09-07	VYDAJ	PREVOD NA UCET	2180	23079	\N	ST	2693307
782591	2667	1998-10-07	VYDAJ	PREVOD NA UCET	2180	23077	\N	ST	2693307
782592	2667	1998-11-07	VYDAJ	PREVOD NA UCET	2180	24246	\N	ST	2693307
782593	2667	1998-12-07	VYDAJ	PREVOD NA UCET	2180	25420	\N	ST	2693307
782595	2667	1994-06-29	VYDAJ	VYBER	4740	12365	\N	\N	\N
782603	2667	1996-01-17	VYDAJ	VYBER	1440	20848	\N	\N	\N
782605	2667	1998-01-19	VYDAJ	VYBER	1500	14624	\N	\N	\N
782607	2667	1994-12-24	VYDAJ	VYBER	660	17333	\N	\N	\N
782608	2667	1995-12-26	VYDAJ	VYBER	630	23036	\N	\N	\N
782609	2667	1996-12-25	VYDAJ	VYBER	210	15567	\N	\N	\N
782610	2667	1997-12-28	VYDAJ	VYBER	390	17048	\N	\N	\N
782611	2667	1998-12-16	VYDAJ	VYBER	180	25240	\N	\N	\N
782624	2667	1995-01-01	VYDAJ	VYBER	690	16702	\N	\N	\N
782625	2667	1995-01-12	VYDAJ	VYBER	180	15302	\N	\N	\N
782626	2667	1995-01-04	VYDAJ	VYBER	240	15592	\N	\N	\N
782627	2667	1995-01-07	VYDAJ	VYBER	390	18472	\N	\N	\N
782628	2667	1995-01-02	VYDAJ	VYBER	870	15832	\N	\N	\N
782629	2667	1995-01-22	VYDAJ	VYBER	540	14762	\N	\N	\N
782630	2667	1996-01-05	VYDAJ	VYBER	420	25218	\N	\N	\N
782631	2667	1996-01-28	VYDAJ	VYBER	450	19648	\N	\N	\N
782632	2667	1996-01-26	VYDAJ	VYBER	540	20098	\N	\N	\N
782633	2667	1996-01-26	VYDAJ	VYBER	210	20638	\N	\N	\N
782634	2667	1996-01-13	VYDAJ	VYBER	330	22288	\N	\N	\N
782635	2667	1996-01-09	VYDAJ	VYBER	420	22618	\N	\N	\N
782639	2667	1997-01-06	VYDAJ	VYBER	450	14626	\N	\N	\N
782642	2667	1998-01-05	VYDAJ	VYBER	720	18874	\N	\N	\N
782643	2667	1998-01-15	VYDAJ	VYBER	420	16124	\N	\N	\N
782644	2667	1998-01-12	VYDAJ	VYBER	150	16544	\N	\N	\N
782645	2667	1998-01-05	VYDAJ	VYBER	210	19594	\N	\N	\N
782646	2667	1998-01-01	VYDAJ	VYBER	570	16534	\N	\N	\N
782651	2667	1994-08-17	VYDAJ	VYBER	1200	13441	\N	\N	\N
782652	2667	1994-04-04	VYDAJ	VYBER	750	14155	\N	\N	\N
782653	2667	1994-04-23	VYDAJ	VYBER	420	14825	\N	\N	\N
782655	2667	1995-05-13	VYDAJ	VYBER	240	18077	\N	\N	\N
782656	2667	1995-12-29	VYDAJ	VYBER	750	22286	\N	\N	\N
782657	2667	1995-04-16	VYDAJ	VYBER	1020	17169	\N	\N	\N
782658	2667	1995-01-10	VYDAJ	VYBER	810	15482	\N	\N	\N
782659	2667	1995-06-07	VYDAJ	VYBER	1320	17907	\N	\N	\N
782660	2667	1996-05-09	VYDAJ	VYBER	1350	19040	\N	\N	\N
782661	2667	1996-12-26	VYDAJ	VYBER	1410	14157	\N	\N	\N
782662	2667	1996-10-27	VYDAJ	VYBER	210	15193	\N	\N	\N
782663	2667	1997-10-16	VYDAJ	VYBER	1290	15517	\N	\N	\N
782664	2667	1997-10-24	VYDAJ	VYBER	360	15157	\N	\N	\N
782665	2667	1998-07-19	VYDAJ	VYBER	180	20755	\N	\N	\N
782666	2667	1998-06-04	VYDAJ	VYBER	570	18688	\N	\N	\N
782667	2667	1998-09-28	VYDAJ	VYBER	1170	21909	\N	\N	\N
782683	2667	1994-03-31	VYDAJ	VYBER	15	14905	SLUZBY	\N	\N
782684	2667	1994-04-30	VYDAJ	VYBER	15	14874	SLUZBY	\N	\N
782685	2667	1994-05-31	VYDAJ	VYBER	15	16015	SLUZBY	\N	\N
782686	2667	1994-06-30	VYDAJ	VYBER	15	12420	SLUZBY	\N	\N
782687	2667	1994-07-31	VYDAJ	VYBER	15	13551	SLUZBY	\N	\N
782688	2667	1994-08-31	VYDAJ	VYBER	15	13484	SLUZBY	\N	\N
782689	2667	1994-09-30	VYDAJ	VYBER	15	14619	SLUZBY	\N	\N
782690	2667	1994-10-31	VYDAJ	VYBER	15	15759	SLUZBY	\N	\N
782691	2667	1994-11-30	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
782692	2667	1994-12-31	VYDAJ	VYBER	15	17392	SLUZBY	\N	\N
782693	2667	1995-01-31	VYDAJ	VYBER	15	14812	SLUZBY	\N	\N
782694	2667	1995-02-28	VYDAJ	VYBER	15	15953	SLUZBY	\N	\N
782695	2667	1995-03-31	VYDAJ	VYBER	15	17099	SLUZBY	\N	\N
782696	2667	1995-04-30	VYDAJ	VYBER	15	17227	SLUZBY	\N	\N
782697	2667	1995-05-31	VYDAJ	VYBER	15	18137	SLUZBY	\N	\N
782698	2667	1995-06-30	VYDAJ	VYBER	15	17967	SLUZBY	\N	\N
782699	2667	1995-07-31	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
782700	2667	1995-08-31	VYDAJ	VYBER	15	20279	SLUZBY	\N	\N
782701	2667	1995-09-30	VYDAJ	VYBER	15	21443	SLUZBY	\N	\N
782702	2667	1995-10-31	VYDAJ	VYBER	15	21408	SLUZBY	\N	\N
782703	2667	1995-11-30	VYDAJ	VYBER	15	22576	SLUZBY	\N	\N
782704	2667	1995-12-31	VYDAJ	VYBER	15	22368	SLUZBY	\N	\N
782705	2667	1996-01-31	VYDAJ	VYBER	15	19724	SLUZBY	\N	\N
782706	2667	1996-02-29	VYDAJ	VYBER	15	20884	SLUZBY	\N	\N
782707	2667	1996-03-31	VYDAJ	VYBER	15	19643	SLUZBY	\N	\N
782708	2667	1996-04-30	VYDAJ	VYBER	15	19300	SLUZBY	\N	\N
782709	2667	1996-05-31	VYDAJ	VYBER	15	18603	SLUZBY	\N	\N
782710	2667	1996-06-30	VYDAJ	VYBER	15	19458	SLUZBY	\N	\N
782711	2667	1996-07-31	VYDAJ	VYBER	15	20518	SLUZBY	\N	\N
782712	2667	1996-08-31	VYDAJ	VYBER	15	16565	SLUZBY	\N	\N
782713	2667	1996-09-30	VYDAJ	VYBER	15	15713	SLUZBY	\N	\N
782714	2667	1996-10-31	VYDAJ	VYBER	15	15248	SLUZBY	\N	\N
782715	2667	1996-11-30	VYDAJ	VYBER	15	15587	SLUZBY	\N	\N
782716	2667	1996-12-31	VYDAJ	VYBER	15	14206	SLUZBY	\N	\N
782717	2667	1997-01-31	VYDAJ	VYBER	15	12485	SLUZBY	\N	\N
782718	2667	1997-02-28	VYDAJ	VYBER	15	13615	SLUZBY	\N	\N
782719	2667	1997-03-31	VYDAJ	VYBER	15	14750	SLUZBY	\N	\N
782720	2667	1997-04-30	VYDAJ	VYBER	15	10069	SLUZBY	\N	\N
782721	2667	1997-05-31	VYDAJ	VYBER	15	11190	SLUZBY	\N	\N
782722	2667	1997-06-30	VYDAJ	VYBER	15	12314	SLUZBY	\N	\N
782723	2667	1997-07-31	VYDAJ	VYBER	15	13444	SLUZBY	\N	\N
782724	2667	1997-08-31	VYDAJ	VYBER	15	14578	SLUZBY	\N	\N
782725	2667	1997-09-30	VYDAJ	VYBER	15	15717	SLUZBY	\N	\N
782726	2667	1997-10-31	VYDAJ	VYBER	15	15207	SLUZBY	\N	\N
782727	2667	1997-11-30	VYDAJ	VYBER	15	16348	SLUZBY	\N	\N
782728	2667	1997-12-31	VYDAJ	VYBER	15	17104	SLUZBY	\N	\N
782729	2667	1998-01-31	VYDAJ	VYBER	15	14674	SLUZBY	\N	\N
782730	2667	1998-02-28	VYDAJ	VYBER	15	15813	SLUZBY	\N	\N
782731	2667	1998-03-31	VYDAJ	VYBER	15	16957	SLUZBY	\N	\N
782732	2667	1998-04-30	VYDAJ	VYBER	15	18105	SLUZBY	\N	\N
782733	2667	1998-05-31	VYDAJ	VYBER	15	19258	SLUZBY	\N	\N
782734	2667	1998-06-30	VYDAJ	VYBER	15	19845	SLUZBY	\N	\N
782735	2667	1998-07-31	VYDAJ	VYBER	15	20825	SLUZBY	\N	\N
782736	2667	1998-08-31	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
782737	2667	1998-09-30	VYDAJ	VYBER	15	21987	SLUZBY	\N	\N
782738	2667	1998-10-31	VYDAJ	VYBER	15	23156	SLUZBY	\N	\N
782739	2667	1998-11-30	VYDAJ	VYBER	15	24330	SLUZBY	\N	\N
782740	2667	1995-10-13	VYDAJ	VYBER	1200	21333	\N	\N	\N
782741	2667	1996-03-11	VYDAJ	VYBER	2400	19574	\N	\N	\N
782742	2667	1996-04-10	VYDAJ	VYBER	1500	19233	\N	\N	\N
782743	2667	1996-05-10	VYDAJ	VYBER	500	18540	\N	\N	\N
782744	2667	1996-06-09	VYDAJ	VYBER	300	19393	\N	\N	\N
782745	2667	1996-07-09	VYDAJ	VYBER	100	20448	\N	\N	\N
782746	2667	1996-08-08	VYDAJ	VYBER	5100	16508	\N	\N	\N
782747	2667	1996-09-07	VYDAJ	VYBER	2000	15655	\N	\N	\N
782748	2667	1996-10-07	VYDAJ	VYBER	1400	17583	\N	\N	\N
782749	2667	1996-11-06	VYDAJ	VYBER	800	17718	\N	\N	\N
782750	2667	1996-12-06	VYDAJ	VYBER	900	17957	\N	\N	\N
782751	2667	1997-01-05	VYDAJ	VYBER	2400	15076	\N	\N	\N
782752	2667	1997-04-05	VYDAJ	VYBER	5800	12220	\N	\N	\N
782811	2668	1997-05-20	PRIJEM	VKLAD	900	900	\N	\N	\N
782817	2668	1997-06-06	PRIJEM	VKLAD	22239	23139	\N	\N	\N
782818	2668	1997-07-06	PRIJEM	VKLAD	14826	39506	\N	\N	\N
782819	2668	1997-08-06	PRIJEM	VKLAD	14826	47449	\N	\N	\N
782820	2668	1997-09-06	PRIJEM	VKLAD	14826	56427	\N	\N	\N
782821	2668	1997-10-06	PRIJEM	VKLAD	14826	59832	\N	\N	\N
782822	2668	1997-11-06	PRIJEM	VKLAD	14826	59550	\N	\N	\N
782823	2668	1997-12-06	PRIJEM	VKLAD	22239	63880	\N	\N	\N
782824	2668	1998-01-06	PRIJEM	VKLAD	14826	52711	\N	\N	\N
782825	2668	1998-02-06	PRIJEM	VKLAD	14826	48092	\N	\N	\N
782826	2668	1998-03-06	PRIJEM	VKLAD	14826	46458	\N	\N	\N
782827	2668	1998-04-06	PRIJEM	VKLAD	14826	44516	\N	\N	\N
782828	2668	1998-05-06	PRIJEM	VKLAD	14826	48579	\N	\N	\N
782829	2668	1998-06-06	PRIJEM	VKLAD	22239	55561	\N	\N	\N
782830	2668	1998-07-06	PRIJEM	VKLAD	14826	49737	\N	\N	\N
782831	2668	1998-08-06	PRIJEM	VKLAD	14826	49310	\N	\N	\N
782832	2668	1998-09-06	PRIJEM	VKLAD	14826	45973	\N	\N	\N
782833	2668	1998-10-06	PRIJEM	VKLAD	14826	41921	\N	\N	\N
782834	2668	1998-11-06	PRIJEM	VKLAD	14826	35544	\N	\N	\N
782835	2668	1998-12-06	PRIJEM	VKLAD	22239	40366	\N	\N	\N
782845	2668	1997-10-11	VYDAJ	PREVOD NA UCET	9884	49948	SIPO	YZ	53599059
782846	2668	1997-11-11	VYDAJ	PREVOD NA UCET	9884	47366	SIPO	YZ	53599059
782847	2668	1997-12-11	VYDAJ	PREVOD NA UCET	9884	49596	SIPO	YZ	53599059
782848	2668	1998-01-11	VYDAJ	PREVOD NA UCET	9884	37227	SIPO	YZ	53599059
782849	2668	1998-02-11	VYDAJ	PREVOD NA UCET	9884	38208	SIPO	YZ	53599059
782850	2668	1998-03-11	VYDAJ	PREVOD NA UCET	9884	36574	SIPO	YZ	53599059
782851	2668	1998-04-11	VYDAJ	PREVOD NA UCET	9884	34632	SIPO	YZ	53599059
782852	2668	1998-05-11	VYDAJ	PREVOD NA UCET	9884	38695	SIPO	YZ	53599059
782853	2668	1998-06-11	VYDAJ	PREVOD NA UCET	9884	45677	SIPO	YZ	53599059
782854	2668	1998-07-11	VYDAJ	PREVOD NA UCET	9884	39853	SIPO	YZ	53599059
782855	2668	1998-08-11	VYDAJ	PREVOD NA UCET	9884	39426	SIPO	YZ	53599059
782856	2668	1998-09-11	VYDAJ	PREVOD NA UCET	9884	36089	SIPO	YZ	53599059
782857	2668	1998-10-11	VYDAJ	PREVOD NA UCET	9884	32037	SIPO	YZ	53599059
782858	2668	1998-11-11	VYDAJ	PREVOD NA UCET	9884	18960	SIPO	YZ	53599059
782859	2668	1998-12-11	VYDAJ	PREVOD NA UCET	9884	26082	SIPO	YZ	53599059
782860	2668	1997-12-16	VYDAJ	VYBER	2800	46796	\N	\N	\N
782861	2668	1998-12-05	VYDAJ	VYBER	900	18127	\N	\N	\N
782868	2668	1998-01-07	VYDAJ	VYBER	1700	50511	\N	\N	\N
782869	2668	1998-01-07	VYDAJ	VYBER	500	52211	\N	\N	\N
782870	2668	1998-01-08	VYDAJ	VYBER	1600	47111	\N	\N	\N
782871	2668	1998-01-07	VYDAJ	VYBER	1800	48711	\N	\N	\N
782872	2668	1998-01-13	VYDAJ	VYBER	1300	35927	\N	\N	\N
782873	2668	1998-01-05	VYDAJ	VYBER	500	37885	\N	\N	\N
782875	2668	1997-11-06	VYDAJ	VYBER	2300	57250	\N	\N	\N
782876	2668	1997-12-06	VYDAJ	VYBER	4400	59480	\N	\N	\N
782878	2668	1998-06-19	VYDAJ	VYBER	1600	34777	\N	\N	\N
782879	2668	1998-09-14	VYDAJ	VYBER	3600	26989	\N	\N	\N
782880	2668	1998-12-06	VYDAJ	VYBER	4400	35966	\N	\N	\N
782881	2668	1998-02-24	VYDAJ	VYBER	1200	31508	\N	\N	\N
782892	2668	1997-10-31	VYDAJ	VYBER	15	44724	SLUZBY	\N	\N
782893	2668	1997-11-30	VYDAJ	VYBER	15	41641	SLUZBY	\N	\N
782894	2668	1997-12-31	VYDAJ	VYBER	15	38385	SLUZBY	\N	\N
782895	2668	1998-01-31	VYDAJ	VYBER	15	33266	SLUZBY	\N	\N
782896	2668	1998-02-28	VYDAJ	VYBER	15	31632	SLUZBY	\N	\N
782897	2668	1998-03-31	VYDAJ	VYBER	15	29690	SLUZBY	\N	\N
782898	2668	1998-04-30	VYDAJ	VYBER	15	33753	SLUZBY	\N	\N
782899	2668	1998-05-31	VYDAJ	VYBER	15	33322	SLUZBY	\N	\N
782900	2668	1998-06-30	VYDAJ	VYBER	15	34911	SLUZBY	\N	\N
782901	2668	1998-07-31	VYDAJ	VYBER	15	34484	SLUZBY	\N	\N
782902	2668	1998-08-31	VYDAJ	VYBER	15	31147	SLUZBY	\N	\N
782903	2668	1998-09-30	VYDAJ	VYBER	15	27095	SLUZBY	\N	\N
782904	2668	1998-10-31	VYDAJ	VYBER	15	20718	SLUZBY	\N	\N
782905	2668	1998-11-30	VYDAJ	VYBER	15	19027	SLUZBY	\N	\N
782906	2668	1997-06-19	PRIJEM	VKLAD	1500	24639	\N	\N	\N
782907	2668	1997-07-19	VYDAJ	VYBER	7000	32506	\N	\N	\N
782908	2668	1997-08-18	VYDAJ	VYBER	6000	41449	\N	\N	\N
782909	2668	1997-09-17	VYDAJ	VYBER	11600	44827	\N	\N	\N
782910	2668	1997-10-17	VYDAJ	VYBER	5400	44548	\N	\N	\N
782911	2668	1997-11-16	VYDAJ	VYBER	5900	41466	\N	\N	\N
782912	2668	1997-12-16	VYDAJ	VYBER	8600	38196	\N	\N	\N
782913	2668	1998-01-15	VYDAJ	VYBER	2800	33127	\N	\N	\N
782914	2668	1998-02-14	VYDAJ	VYBER	5500	32708	\N	\N	\N
782915	2668	1998-03-16	VYDAJ	VYBER	7000	29574	\N	\N	\N
782916	2668	1998-04-15	VYDAJ	VYBER	1000	33632	\N	\N	\N
782917	2668	1998-05-15	VYDAJ	VYBER	5500	33195	\N	\N	\N
782918	2668	1998-06-14	VYDAJ	VYBER	9300	36377	\N	\N	\N
782919	2668	1998-07-14	VYDAJ	VYBER	5500	34353	\N	\N	\N
782920	2668	1998-08-13	VYDAJ	VYBER	8400	31026	\N	\N	\N
782921	2668	1998-09-12	VYDAJ	VYBER	5500	30589	\N	\N	\N
782922	2668	1998-10-12	VYDAJ	VYBER	11400	20637	\N	\N	\N
782923	2668	1998-11-11	VYDAJ	VYBER	6700	28844	\N	\N	\N
783290	2670	1993-01-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
783292	2670	1993-02-05	PRIJEM	VKLAD	24381	25481	\N	\N	\N
783293	2670	1993-03-05	PRIJEM	VKLAD	24381	48473	\N	\N	\N
783294	2670	1993-04-05	PRIJEM	VKLAD	24381	62762	\N	\N	\N
783295	2670	1993-05-05	PRIJEM	VKLAD	24381	68305	\N	\N	\N
783296	2670	1993-06-05	PRIJEM	VKLAD	36572	84562	\N	\N	\N
783297	2670	1993-07-05	PRIJEM	VKLAD	24381	58636	\N	\N	\N
783298	2670	1993-08-05	PRIJEM	VKLAD	24381	59432	\N	\N	\N
783299	2670	1993-09-05	PRIJEM	VKLAD	24381	63653	\N	\N	\N
783300	2670	1993-10-05	PRIJEM	VKLAD	24381	62986	\N	\N	\N
783301	2670	1993-11-05	PRIJEM	VKLAD	24381	66619	\N	\N	\N
783302	2670	1993-12-05	PRIJEM	VKLAD	36572	77353	\N	\N	\N
783303	2670	1994-01-05	PRIJEM	VKLAD	24381	69037	\N	\N	\N
783304	2670	1994-02-05	PRIJEM	VKLAD	24381	69187	\N	\N	\N
783305	2670	1994-03-05	PRIJEM	VKLAD	24381	67433	\N	\N	\N
783306	2670	1994-04-05	PRIJEM	VKLAD	24381	65977	\N	\N	\N
783307	2670	1994-05-05	PRIJEM	VKLAD	24381	65616	\N	\N	\N
783308	2670	1994-06-05	PRIJEM	VKLAD	36572	76140	\N	\N	\N
783309	2670	1994-07-05	PRIJEM	VKLAD	24381	65086	\N	\N	\N
783310	2670	1994-08-05	PRIJEM	VKLAD	24381	64317	\N	\N	\N
783311	2670	1994-09-05	PRIJEM	VKLAD	24381	61524	\N	\N	\N
783312	2670	1994-10-05	PRIJEM	VKLAD	24381	63215	\N	\N	\N
783313	2670	1994-11-05	PRIJEM	VKLAD	24381	63235	\N	\N	\N
783314	2670	1994-12-05	PRIJEM	VKLAD	36572	74548	\N	\N	\N
783315	2670	1995-01-05	PRIJEM	VKLAD	24381	65467	\N	\N	\N
783316	2670	1995-02-05	PRIJEM	VKLAD	24381	63186	\N	\N	\N
783317	2670	1995-03-05	PRIJEM	VKLAD	24381	63401	\N	\N	\N
783318	2670	1995-04-05	PRIJEM	VKLAD	24381	59459	\N	\N	\N
783319	2670	1995-05-05	PRIJEM	VKLAD	24381	61663	\N	\N	\N
783320	2670	1995-06-05	PRIJEM	VKLAD	36572	66244	\N	\N	\N
783321	2670	1995-07-05	PRIJEM	VKLAD	24381	63074	\N	\N	\N
783322	2670	1995-08-05	PRIJEM	VKLAD	24381	61582	\N	\N	\N
783323	2670	1995-09-05	PRIJEM	VKLAD	24381	59581	\N	\N	\N
783324	2670	1995-10-05	PRIJEM	VKLAD	24381	60777	\N	\N	\N
783325	2670	1995-11-05	PRIJEM	VKLAD	24381	60585	\N	\N	\N
783326	2670	1995-12-05	PRIJEM	VKLAD	36572	69563	\N	\N	\N
783327	2670	1996-01-05	PRIJEM	VKLAD	24381	55756	\N	\N	\N
783328	2670	1996-02-05	PRIJEM	VKLAD	24381	51023	\N	\N	\N
783329	2670	1996-03-05	PRIJEM	VKLAD	24381	50372	\N	\N	\N
783330	2670	1996-04-05	PRIJEM	VKLAD	24381	49920	\N	\N	\N
783331	2670	1996-05-05	PRIJEM	VKLAD	24381	51069	\N	\N	\N
783332	2670	1996-06-05	PRIJEM	VKLAD	36572	61505	\N	\N	\N
783333	2670	1996-07-05	PRIJEM	VKLAD	24381	53159	\N	\N	\N
783334	2670	1996-08-05	PRIJEM	VKLAD	24381	51209	\N	\N	\N
783335	2670	1996-09-05	PRIJEM	VKLAD	24381	45382	\N	\N	\N
783336	2670	1996-10-05	PRIJEM	VKLAD	24381	43198	\N	\N	\N
783337	2670	1996-11-05	PRIJEM	VKLAD	24381	43814	\N	\N	\N
783338	2670	1996-12-05	PRIJEM	VKLAD	36572	54417	\N	\N	\N
783339	2670	1997-01-05	PRIJEM	VKLAD	24381	41895	\N	\N	\N
783340	2670	1997-02-05	PRIJEM	VKLAD	24381	34881	\N	\N	\N
783341	2670	1997-03-05	PRIJEM	VKLAD	24381	45445	\N	\N	\N
783342	2670	1997-04-05	PRIJEM	VKLAD	24381	38345	\N	\N	\N
783343	2670	1997-05-05	PRIJEM	VKLAD	24381	54084	\N	\N	\N
783344	2670	1997-06-05	PRIJEM	VKLAD	36572	48373	\N	\N	\N
783345	2670	1997-07-05	PRIJEM	VKLAD	24381	32565	\N	\N	\N
783346	2670	1997-08-05	PRIJEM	VKLAD	24381	48281	\N	\N	\N
783347	2670	1997-09-05	PRIJEM	VKLAD	24381	43261	\N	\N	\N
783348	2670	1997-10-05	PRIJEM	VKLAD	24381	54471	\N	\N	\N
783349	2670	1997-11-05	PRIJEM	VKLAD	24381	67473	\N	\N	\N
783350	2670	1997-12-05	PRIJEM	VKLAD	36572	62425	\N	\N	\N
783351	2670	1998-01-05	PRIJEM	VKLAD	24381	41183	\N	\N	\N
783352	2670	1998-02-05	PRIJEM	VKLAD	24381	56965	\N	\N	\N
783353	2670	1998-03-05	PRIJEM	VKLAD	24381	42172	\N	\N	\N
783354	2670	1998-04-05	PRIJEM	VKLAD	24381	54346	\N	\N	\N
783355	2670	1998-05-05	PRIJEM	VKLAD	24381	70151	\N	\N	\N
783356	2670	1998-06-05	PRIJEM	VKLAD	36572	57208	\N	\N	\N
783357	2670	1998-07-05	PRIJEM	VKLAD	24381	64697	\N	\N	\N
783358	2670	1998-08-05	PRIJEM	VKLAD	24381	78752	\N	\N	\N
783359	2670	1998-09-05	PRIJEM	VKLAD	24381	49640	\N	\N	\N
783360	2670	1998-10-05	PRIJEM	VKLAD	24381	65425	\N	\N	\N
783361	2670	1998-11-05	PRIJEM	VKLAD	24381	81276	\N	\N	\N
783362	2670	1998-12-05	PRIJEM	VKLAD	36572	57254	\N	\N	\N
783368	2670	1993-06-09	VYDAJ	PREVOD NA UCET	3978	80584	SIPO	AB	38848883
783369	2670	1993-07-09	VYDAJ	PREVOD NA UCET	3978	54658	SIPO	AB	38848883
783370	2670	1993-08-09	VYDAJ	PREVOD NA UCET	3978	55454	SIPO	AB	38848883
783371	2670	1993-09-09	VYDAJ	PREVOD NA UCET	3978	59675	SIPO	AB	38848883
783372	2670	1993-10-09	VYDAJ	PREVOD NA UCET	3978	59008	SIPO	AB	38848883
783373	2670	1993-11-09	VYDAJ	PREVOD NA UCET	3978	62641	SIPO	AB	38848883
783374	2670	1993-12-09	VYDAJ	PREVOD NA UCET	3978	73375	SIPO	AB	38848883
783375	2670	1994-01-09	VYDAJ	PREVOD NA UCET	3978	65059	SIPO	AB	38848883
783376	2670	1994-02-09	VYDAJ	PREVOD NA UCET	3978	65209	SIPO	AB	38848883
783377	2670	1994-03-09	VYDAJ	PREVOD NA UCET	3978	63455	SIPO	AB	38848883
783378	2670	1994-04-09	VYDAJ	PREVOD NA UCET	3978	61999	SIPO	AB	38848883
783379	2670	1994-05-09	VYDAJ	PREVOD NA UCET	3978	61638	SIPO	AB	38848883
783380	2670	1994-06-09	VYDAJ	PREVOD NA UCET	3978	72162	SIPO	AB	38848883
783381	2670	1994-07-09	VYDAJ	PREVOD NA UCET	3978	61108	SIPO	AB	38848883
783382	2670	1994-08-09	VYDAJ	PREVOD NA UCET	3978	60339	SIPO	AB	38848883
783383	2670	1994-09-09	VYDAJ	PREVOD NA UCET	3978	57546	SIPO	AB	38848883
783384	2670	1994-10-09	VYDAJ	PREVOD NA UCET	3978	59237	SIPO	AB	38848883
783385	2670	1994-11-09	VYDAJ	PREVOD NA UCET	3978	59257	SIPO	AB	38848883
783386	2670	1994-12-09	VYDAJ	PREVOD NA UCET	3978	70570	SIPO	AB	38848883
783387	2670	1995-01-09	VYDAJ	PREVOD NA UCET	3978	61489	SIPO	AB	38848883
783388	2670	1995-02-09	VYDAJ	PREVOD NA UCET	3978	59208	SIPO	AB	38848883
783389	2670	1995-03-09	VYDAJ	PREVOD NA UCET	3978	57863	SIPO	AB	38848883
783390	2670	1995-04-09	VYDAJ	PREVOD NA UCET	3978	55481	SIPO	AB	38848883
783391	2670	1995-05-09	VYDAJ	PREVOD NA UCET	3978	57685	SIPO	AB	38848883
783392	2670	1995-06-09	VYDAJ	PREVOD NA UCET	3978	62266	SIPO	AB	38848883
783393	2670	1995-07-09	VYDAJ	PREVOD NA UCET	3978	59096	SIPO	AB	38848883
783394	2670	1995-08-09	VYDAJ	PREVOD NA UCET	3978	57604	SIPO	AB	38848883
783395	2670	1995-09-09	VYDAJ	PREVOD NA UCET	3978	55603	SIPO	AB	38848883
783396	2670	1995-10-09	VYDAJ	PREVOD NA UCET	3978	56799	SIPO	AB	38848883
783397	2670	1995-11-09	VYDAJ	PREVOD NA UCET	3978	56607	SIPO	AB	38848883
783398	2670	1995-12-09	VYDAJ	PREVOD NA UCET	3978	65585	SIPO	AB	38848883
783399	2670	1996-01-09	VYDAJ	PREVOD NA UCET	3978	51778	SIPO	AB	38848883
783400	2670	1996-02-09	VYDAJ	PREVOD NA UCET	3978	47045	SIPO	AB	38848883
783401	2670	1996-03-09	VYDAJ	PREVOD NA UCET	3978	46394	SIPO	AB	38848883
783402	2670	1996-04-09	VYDAJ	PREVOD NA UCET	3978	45942	SIPO	AB	38848883
783403	2670	1996-05-09	VYDAJ	PREVOD NA UCET	3978	47091	SIPO	AB	38848883
783404	2670	1996-06-09	VYDAJ	PREVOD NA UCET	3978	57527	SIPO	AB	38848883
783405	2670	1996-07-09	VYDAJ	PREVOD NA UCET	3978	49181	SIPO	AB	38848883
783406	2670	1996-08-09	VYDAJ	PREVOD NA UCET	3978	43151	SIPO	AB	38848883
783407	2670	1996-09-09	VYDAJ	PREVOD NA UCET	3978	23504	SIPO	AB	38848883
783408	2670	1996-10-09	VYDAJ	PREVOD NA UCET	3978	24120	SIPO	AB	38848883
783409	2670	1996-11-09	VYDAJ	PREVOD NA UCET	3978	22536	SIPO	AB	38848883
783410	2670	1996-12-09	VYDAJ	PREVOD NA UCET	3978	22199	SIPO	AB	38848883
783411	2670	1997-01-09	VYDAJ	PREVOD NA UCET	3978	15217	SIPO	AB	38848883
783412	2670	1997-02-09	VYDAJ	PREVOD NA UCET	3978	30903	SIPO	AB	38848883
783413	2670	1997-03-09	VYDAJ	PREVOD NA UCET	3978	18667	SIPO	AB	38848883
783414	2670	1997-04-09	VYDAJ	PREVOD NA UCET	3978	34367	SIPO	AB	38848883
783415	2670	1997-05-09	VYDAJ	PREVOD NA UCET	3978	16506	SIPO	AB	38848883
783416	2670	1997-06-09	VYDAJ	PREVOD NA UCET	3978	12895	SIPO	AB	38848883
783417	2670	1997-07-09	VYDAJ	PREVOD NA UCET	3978	28587	SIPO	AB	38848883
783418	2670	1997-08-09	VYDAJ	PREVOD NA UCET	3978	44303	SIPO	AB	38848883
783419	2670	1997-09-09	VYDAJ	PREVOD NA UCET	3978	39283	SIPO	AB	38848883
783420	2670	1997-10-09	VYDAJ	PREVOD NA UCET	3978	50493	SIPO	AB	38848883
783421	2670	1997-11-09	VYDAJ	PREVOD NA UCET	3978	63495	SIPO	AB	38848883
783422	2670	1997-12-09	VYDAJ	PREVOD NA UCET	3978	58447	SIPO	AB	38848883
783423	2670	1998-01-09	VYDAJ	PREVOD NA UCET	3978	37205	SIPO	AB	38848883
783424	2670	1998-02-09	VYDAJ	PREVOD NA UCET	3978	52987	SIPO	AB	38848883
783425	2670	1998-03-09	VYDAJ	PREVOD NA UCET	3978	38194	SIPO	AB	38848883
783426	2670	1998-04-09	VYDAJ	PREVOD NA UCET	3978	50368	SIPO	AB	38848883
783427	2670	1998-05-09	VYDAJ	PREVOD NA UCET	3978	66173	SIPO	AB	38848883
783428	2670	1998-06-09	VYDAJ	PREVOD NA UCET	3978	53230	SIPO	AB	38848883
783429	2670	1998-07-09	VYDAJ	PREVOD NA UCET	3978	58919	SIPO	AB	38848883
783430	2670	1998-08-09	VYDAJ	PREVOD NA UCET	3978	74774	SIPO	AB	38848883
783431	2670	1998-09-09	VYDAJ	PREVOD NA UCET	3978	45662	SIPO	AB	38848883
783432	2670	1998-10-09	VYDAJ	PREVOD NA UCET	3978	61447	SIPO	AB	38848883
783433	2670	1998-11-09	VYDAJ	PREVOD NA UCET	3978	77298	SIPO	AB	38848883
783434	2670	1998-12-09	VYDAJ	PREVOD NA UCET	3978	53276	SIPO	AB	38848883
783440	2670	1993-06-14	VYDAJ	PREVOD NA UCET	4754	75830	 	CD	70427286
783441	2670	1993-07-14	VYDAJ	PREVOD NA UCET	4754	49904	 	CD	70427286
783442	2670	1993-08-14	VYDAJ	PREVOD NA UCET	4754	50700	 	CD	70427286
783443	2670	1993-09-14	VYDAJ	PREVOD NA UCET	4754	54921	 	CD	70427286
783444	2670	1993-10-14	VYDAJ	PREVOD NA UCET	4754	54254	 	CD	70427286
783445	2670	1993-11-14	VYDAJ	PREVOD NA UCET	4754	57887	 	CD	70427286
783446	2670	1993-12-14	VYDAJ	PREVOD NA UCET	4754	68621	 	CD	70427286
783447	2670	1994-01-14	VYDAJ	PREVOD NA UCET	4754	60305	 	CD	70427286
783448	2670	1994-02-14	VYDAJ	PREVOD NA UCET	4754	60455	 	CD	70427286
783449	2670	1994-03-14	VYDAJ	PREVOD NA UCET	4754	58701	 	CD	70427286
783450	2670	1994-04-14	VYDAJ	PREVOD NA UCET	4754	57245	 	CD	70427286
783451	2670	1994-05-14	VYDAJ	PREVOD NA UCET	4754	56884	 	CD	70427286
783452	2670	1994-06-14	VYDAJ	PREVOD NA UCET	4754	67408	 	CD	70427286
783453	2670	1994-07-14	VYDAJ	PREVOD NA UCET	4754	56354	 	CD	70427286
783454	2670	1994-08-14	VYDAJ	PREVOD NA UCET	4754	55585	 	CD	70427286
783455	2670	1994-09-14	VYDAJ	PREVOD NA UCET	4754	52792	 	CD	70427286
783456	2670	1994-10-14	VYDAJ	PREVOD NA UCET	4754	54483	 	CD	70427286
783457	2670	1994-11-14	VYDAJ	PREVOD NA UCET	4754	54503	 	CD	70427286
783458	2670	1994-12-14	VYDAJ	PREVOD NA UCET	4754	65816	 	CD	70427286
783459	2670	1995-01-14	VYDAJ	PREVOD NA UCET	4754	56735	 	CD	70427286
783460	2670	1995-02-14	VYDAJ	PREVOD NA UCET	4754	54454	 	CD	70427286
783461	2670	1995-03-14	VYDAJ	PREVOD NA UCET	4754	53109	 	CD	70427286
783462	2670	1995-04-14	VYDAJ	PREVOD NA UCET	4754	50727	 	CD	70427286
783463	2670	1995-05-14	VYDAJ	PREVOD NA UCET	4754	52931	 	CD	70427286
783464	2670	1995-06-14	VYDAJ	PREVOD NA UCET	4754	57512	 	CD	70427286
783465	2670	1995-07-14	VYDAJ	PREVOD NA UCET	4754	54342	 	CD	70427286
783466	2670	1995-08-14	VYDAJ	PREVOD NA UCET	4754	52850	 	CD	70427286
783467	2670	1995-09-14	VYDAJ	PREVOD NA UCET	4754	36249	 	CD	70427286
783468	2670	1995-10-14	VYDAJ	PREVOD NA UCET	4754	36045	 	CD	70427286
783469	2670	1995-11-14	VYDAJ	PREVOD NA UCET	4754	32853	 	CD	70427286
783470	2670	1995-12-14	VYDAJ	PREVOD NA UCET	4754	35231	 	CD	70427286
783471	2670	1996-01-14	VYDAJ	PREVOD NA UCET	4754	29724	 	CD	70427286
783472	2670	1996-02-14	VYDAJ	PREVOD NA UCET	4754	25891	 	CD	70427286
783473	2670	1996-03-14	VYDAJ	PREVOD NA UCET	4754	25440	 	CD	70427286
783474	2670	1996-04-14	VYDAJ	PREVOD NA UCET	4754	26588	 	CD	70427286
783475	2670	1996-05-14	VYDAJ	PREVOD NA UCET	4754	24837	 	CD	70427286
783476	2670	1996-06-14	VYDAJ	PREVOD NA UCET	4754	28673	 	CD	70427286
783477	2670	1996-07-14	VYDAJ	PREVOD NA UCET	4754	26727	 	CD	70427286
783478	2670	1996-08-14	VYDAJ	PREVOD NA UCET	4754	20897	 	CD	70427286
783479	2670	1996-09-14	VYDAJ	PREVOD NA UCET	4754	18750	 	CD	70427286
783480	2670	1996-10-14	VYDAJ	PREVOD NA UCET	4754	19366	 	CD	70427286
783481	2670	1996-11-14	VYDAJ	PREVOD NA UCET	4754	17782	 	CD	70427286
783482	2670	1996-12-14	VYDAJ	PREVOD NA UCET	4754	17445	 	CD	70427286
783483	2670	1997-01-14	VYDAJ	PREVOD NA UCET	4754	10463	 	CD	70427286
783484	2670	1997-02-14	VYDAJ	PREVOD NA UCET	4754	26149	 	CD	70427286
783485	2670	1997-03-14	VYDAJ	PREVOD NA UCET	4754	13913	 	CD	70427286
783486	2670	1997-04-14	VYDAJ	PREVOD NA UCET	4754	29613	 	CD	70427286
783487	2670	1997-05-14	VYDAJ	PREVOD NA UCET	4754	11752	 	CD	70427286
783488	2670	1997-06-14	VYDAJ	PREVOD NA UCET	4754	8141	 	CD	70427286
783489	2670	1997-07-14	VYDAJ	PREVOD NA UCET	4754	23833	 	CD	70427286
783490	2670	1997-08-14	VYDAJ	PREVOD NA UCET	4754	39549	 	CD	70427286
783491	2670	1997-09-14	VYDAJ	PREVOD NA UCET	4754	34529	 	CD	70427286
783492	2670	1997-10-14	VYDAJ	PREVOD NA UCET	4754	45739	 	CD	70427286
783493	2670	1997-11-14	VYDAJ	PREVOD NA UCET	4754	58741	 	CD	70427286
783494	2670	1997-12-14	VYDAJ	PREVOD NA UCET	4754	53693	 	CD	70427286
783495	2670	1998-01-14	VYDAJ	PREVOD NA UCET	4754	32451	 	CD	70427286
783496	2670	1998-02-14	VYDAJ	PREVOD NA UCET	4754	46533	 	CD	70427286
783497	2670	1998-03-14	VYDAJ	PREVOD NA UCET	4754	33440	 	CD	70427286
783498	2670	1998-04-14	VYDAJ	PREVOD NA UCET	4754	45614	 	CD	70427286
783499	2670	1998-05-14	VYDAJ	PREVOD NA UCET	4754	61419	 	CD	70427286
783500	2670	1998-06-14	VYDAJ	PREVOD NA UCET	4754	48476	 	CD	70427286
783501	2670	1998-07-14	VYDAJ	PREVOD NA UCET	4754	54165	 	CD	70427286
783502	2670	1998-08-14	VYDAJ	PREVOD NA UCET	4754	70020	 	CD	70427286
783503	2670	1998-09-14	VYDAJ	PREVOD NA UCET	4754	40908	 	CD	70427286
783504	2670	1998-10-14	VYDAJ	PREVOD NA UCET	4754	56693	 	CD	70427286
783505	2670	1998-11-14	VYDAJ	PREVOD NA UCET	4754	72544	 	CD	70427286
783506	2670	1998-12-14	VYDAJ	PREVOD NA UCET	4754	44042	 	CD	70427286
783507	2670	1993-06-14	VYDAJ	VYBER	31520	44310	\N	\N	\N
783508	2670	1994-06-18	VYDAJ	VYBER	8800	58608	\N	\N	\N
783509	2670	1995-06-01	VYDAJ	VYBER	8320	29672	\N	\N	\N
783512	2670	1998-06-18	VYDAJ	VYBER	7200	41276	\N	\N	\N
783513	2670	1993-12-16	VYDAJ	VYBER	3200	65421	\N	\N	\N
783514	2670	1994-12-03	VYDAJ	VYBER	3200	37976	\N	\N	\N
783515	2670	1995-12-29	VYDAJ	VYBER KARTOU	4000	31231	\N	\N	0
783517	2670	1997-12-24	VYDAJ	VYBER KARTOU	3400	50293	\N	\N	0
783518	2670	1998-12-10	VYDAJ	VYBER	4480	48796	\N	\N	\N
783519	2670	1993-11-30	VYDAJ	VYBER	1200	40796	\N	\N	\N
783520	2670	1993-07-14	VYDAJ	VYBER	4320	45584	\N	\N	\N
783521	2670	1993-12-28	VYDAJ	VYBER	3480	44441	\N	\N	\N
783522	2670	1994-02-15	VYDAJ	VYBER	4200	56255	\N	\N	\N
783523	2670	1994-09-04	VYDAJ	VYBER	3120	37143	\N	\N	\N
783524	2670	1994-09-22	VYDAJ	VYBER	840	38652	\N	\N	\N
783525	2670	1994-12-23	VYDAJ	VYBER	5040	40876	\N	\N	\N
783526	2670	1995-03-06	VYDAJ	VYBER	1560	61841	\N	\N	\N
783528	2670	1996-12-05	VYDAJ	VYBER	4440	49977	\N	\N	\N
783529	2670	1996-08-05	VYDAJ	VYBER	4080	47129	\N	\N	\N
783531	2670	1996-01-30	VYDAJ	VYBER KARTOU	3200	26524	\N	\N	0
783533	2670	1997-09-16	VYDAJ	VYBER	4560	29969	\N	\N	\N
783534	2670	1997-12-26	VYDAJ	VYBER KARTOU	1800	48493	\N	\N	0
783536	2670	1997-10-21	VYDAJ	VYBER KARTOU	2800	42939	\N	\N	0
783537	2670	1997-09-02	VYDAJ	VYBER KARTOU	600	39080	\N	\N	0
783539	2670	1997-02-14	VYDAJ	VYBER	5160	20989	\N	\N	\N
783540	2670	1998-07-05	VYDAJ	VYBER KARTOU	1800	62897	\N	\N	0
783541	2670	1998-03-16	VYDAJ	VYBER KARTOU	3600	29840	\N	\N	0
783542	2670	1998-06-22	VYDAJ	VYBER KARTOU	1100	40176	\N	\N	0
783543	2670	1998-02-09	VYDAJ	VYBER KARTOU	1700	51287	\N	\N	0
783544	2670	1998-02-20	VYDAJ	VYBER KARTOU	3100	43433	\N	\N	0
783545	2670	1998-12-25	VYDAJ	VYBER	4560	39482	\N	\N	\N
783552	2670	1993-06-30	VYDAJ	VYBER	15	34255	SLUZBY	\N	\N
783553	2670	1993-07-31	VYDAJ	VYBER	15	35051	SLUZBY	\N	\N
783554	2670	1993-08-31	VYDAJ	VYBER	15	39272	SLUZBY	\N	\N
783555	2670	1993-09-30	VYDAJ	VYBER	15	38605	SLUZBY	\N	\N
783556	2670	1993-10-31	VYDAJ	VYBER	15	42238	SLUZBY	\N	\N
783557	2670	1993-11-30	VYDAJ	VYBER	15	40781	SLUZBY	\N	\N
783558	2670	1993-12-31	VYDAJ	VYBER	15	44656	SLUZBY	\N	\N
783559	2670	1994-01-31	VYDAJ	VYBER	15	44806	SLUZBY	\N	\N
783560	2670	1994-02-28	VYDAJ	VYBER	15	43052	SLUZBY	\N	\N
783561	2670	1994-03-31	VYDAJ	VYBER	15	41596	SLUZBY	\N	\N
783562	2670	1994-04-30	VYDAJ	VYBER	15	41235	SLUZBY	\N	\N
783563	2670	1994-05-31	VYDAJ	VYBER	15	39568	SLUZBY	\N	\N
783564	2670	1994-06-30	VYDAJ	VYBER	15	40705	SLUZBY	\N	\N
783565	2670	1994-07-31	VYDAJ	VYBER	15	39936	SLUZBY	\N	\N
783566	2670	1994-08-31	VYDAJ	VYBER	15	40263	SLUZBY	\N	\N
783567	2670	1994-09-30	VYDAJ	VYBER	15	38834	SLUZBY	\N	\N
783568	2670	1994-10-31	VYDAJ	VYBER	15	38854	SLUZBY	\N	\N
783569	2670	1994-11-30	VYDAJ	VYBER	15	41176	SLUZBY	\N	\N
783570	2670	1994-12-31	VYDAJ	VYBER	15	41086	SLUZBY	\N	\N
783571	2670	1995-01-31	VYDAJ	VYBER	15	38805	SLUZBY	\N	\N
783572	2670	1995-02-28	VYDAJ	VYBER	15	39020	SLUZBY	\N	\N
783573	2670	1995-03-31	VYDAJ	VYBER	15	35078	SLUZBY	\N	\N
783574	2670	1995-04-30	VYDAJ	VYBER	15	37282	SLUZBY	\N	\N
783575	2670	1995-05-31	VYDAJ	VYBER	15	37992	SLUZBY	\N	\N
783576	2670	1995-06-30	VYDAJ	VYBER	15	38693	SLUZBY	\N	\N
783577	2670	1995-07-31	VYDAJ	VYBER	15	37201	SLUZBY	\N	\N
783578	2670	1995-08-31	VYDAJ	VYBER	15	35200	SLUZBY	\N	\N
783579	2670	1995-09-30	VYDAJ	VYBER	15	36396	SLUZBY	\N	\N
783580	2670	1995-10-31	VYDAJ	VYBER	15	36204	SLUZBY	\N	\N
783581	2670	1995-11-30	VYDAJ	VYBER	15	32991	SLUZBY	\N	\N
783582	2670	1995-12-31	VYDAJ	VYBER	15	31375	SLUZBY	\N	\N
783583	2670	1996-01-31	VYDAJ	VYBER	15	26642	SLUZBY	\N	\N
783584	2670	1996-02-29	VYDAJ	VYBER	15	25991	SLUZBY	\N	\N
783585	2670	1996-03-31	VYDAJ	VYBER	15	25539	SLUZBY	\N	\N
783586	2670	1996-04-30	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
783587	2670	1996-05-31	VYDAJ	VYBER	15	24933	SLUZBY	\N	\N
783588	2670	1996-06-30	VYDAJ	VYBER	15	28778	SLUZBY	\N	\N
783589	2670	1996-07-31	VYDAJ	VYBER	15	26828	SLUZBY	\N	\N
783590	2670	1996-08-31	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
783591	2670	1996-09-30	VYDAJ	VYBER	15	18817	SLUZBY	\N	\N
783592	2670	1996-10-31	VYDAJ	VYBER	15	19433	SLUZBY	\N	\N
783593	2670	1996-11-30	VYDAJ	VYBER	15	17845	SLUZBY	\N	\N
783594	2670	1996-12-31	VYDAJ	VYBER	15	17514	SLUZBY	\N	\N
783595	2670	1997-01-31	VYDAJ	VYBER	15	10500	SLUZBY	\N	\N
783596	2670	1997-02-28	VYDAJ	VYBER	15	21064	SLUZBY	\N	\N
783597	2670	1997-03-31	VYDAJ	VYBER	15	13964	SLUZBY	\N	\N
783598	2670	1997-04-30	VYDAJ	VYBER	15	29703	SLUZBY	\N	\N
783599	2670	1997-05-31	VYDAJ	VYBER	15	11801	SLUZBY	\N	\N
783600	2670	1997-06-30	VYDAJ	VYBER	15	8184	SLUZBY	\N	\N
783601	2670	1997-07-31	VYDAJ	VYBER	15	23900	SLUZBY	\N	\N
783602	2670	1997-08-31	VYDAJ	VYBER	15	39680	SLUZBY	\N	\N
783603	2670	1997-09-30	VYDAJ	VYBER	15	30090	SLUZBY	\N	\N
783604	2670	1997-10-31	VYDAJ	VYBER	15	43092	SLUZBY	\N	\N
783605	2670	1997-11-30	VYDAJ	VYBER	15	58953	SLUZBY	\N	\N
783606	2670	1997-12-31	VYDAJ	VYBER	15	48702	SLUZBY	\N	\N
783607	2670	1998-01-31	VYDAJ	VYBER	15	32584	SLUZBY	\N	\N
783608	2670	1998-02-28	VYDAJ	VYBER	15	43591	SLUZBY	\N	\N
783609	2670	1998-03-31	VYDAJ	VYBER	15	29965	SLUZBY	\N	\N
783610	2670	1998-04-30	VYDAJ	VYBER	15	45770	SLUZBY	\N	\N
783611	2670	1998-05-31	VYDAJ	VYBER	15	61636	SLUZBY	\N	\N
783612	2670	1998-06-30	VYDAJ	VYBER	15	40316	SLUZBY	\N	\N
783613	2670	1998-07-31	VYDAJ	VYBER	15	54371	SLUZBY	\N	\N
783614	2670	1998-08-31	VYDAJ	VYBER	15	25259	SLUZBY	\N	\N
783615	2670	1998-09-30	VYDAJ	VYBER	15	41044	SLUZBY	\N	\N
783616	2670	1998-10-31	VYDAJ	VYBER	15	56895	SLUZBY	\N	\N
783617	2670	1998-11-30	VYDAJ	VYBER	15	20682	SLUZBY	\N	\N
783618	2670	1993-02-26	VYDAJ	VYBER	1400	24081	\N	\N	\N
783619	2670	1993-03-28	VYDAJ	VYBER	10200	38273	\N	\N	\N
783620	2670	1993-04-27	VYDAJ	VYBER	19000	43762	\N	\N	\N
783621	2670	1993-05-27	VYDAJ	VYBER	20500	47805	\N	\N	\N
783622	2670	1993-06-26	VYDAJ	VYBER	10300	34010	\N	\N	\N
783623	2670	1993-07-26	VYDAJ	VYBER	10700	34884	\N	\N	\N
783624	2670	1993-08-25	VYDAJ	VYBER	11600	39100	\N	\N	\N
783625	2670	1993-09-24	VYDAJ	VYBER	16500	38421	\N	\N	\N
783626	2670	1993-10-24	VYDAJ	VYBER	12200	42054	\N	\N	\N
783627	2670	1993-11-23	VYDAJ	VYBER	16100	41787	\N	\N	\N
783628	2670	1993-12-23	VYDAJ	VYBER	17500	47921	\N	\N	\N
783629	2670	1994-01-22	VYDAJ	VYBER	15700	44605	\N	\N	\N
783630	2670	1994-02-21	VYDAJ	VYBER	13400	42855	\N	\N	\N
783631	2670	1994-03-23	VYDAJ	VYBER	17300	41401	\N	\N	\N
783632	2670	1994-04-22	VYDAJ	VYBER	16200	41045	\N	\N	\N
783633	2670	1994-05-22	VYDAJ	VYBER	17500	39384	\N	\N	\N
783634	2670	1994-06-21	VYDAJ	VYBER	18100	40508	\N	\N	\N
783635	2670	1994-07-21	VYDAJ	VYBER	16600	39754	\N	\N	\N
783636	2670	1994-08-20	VYDAJ	VYBER	15500	40085	\N	\N	\N
783637	2670	1994-09-19	VYDAJ	VYBER	13300	39492	\N	\N	\N
783638	2670	1994-10-19	VYDAJ	VYBER	15800	38683	\N	\N	\N
783639	2670	1994-11-18	VYDAJ	VYBER	13500	41003	\N	\N	\N
783640	2670	1994-12-18	VYDAJ	VYBER	19900	45916	\N	\N	\N
783641	2670	1995-01-17	VYDAJ	VYBER	18100	38635	\N	\N	\N
783642	2670	1995-02-16	VYDAJ	VYBER	15600	38854	\N	\N	\N
783643	2670	1995-03-18	VYDAJ	VYBER	18200	34909	\N	\N	\N
783644	2670	1995-04-17	VYDAJ	VYBER	13600	37127	\N	\N	\N
783645	2670	1995-05-17	VYDAJ	VYBER	15100	37831	\N	\N	\N
783646	2670	1995-06-16	VYDAJ	VYBER	19000	38512	\N	\N	\N
783647	2670	1995-07-16	VYDAJ	VYBER	17300	37042	\N	\N	\N
783648	2670	1995-08-15	VYDAJ	VYBER	17800	35050	\N	\N	\N
783649	2670	1995-09-14	VYDAJ	VYBER	14600	41003	\N	\N	\N
783650	2670	1995-10-14	VYDAJ	VYBER	16000	40799	\N	\N	\N
783651	2670	1995-11-13	VYDAJ	VYBER	19000	37607	\N	\N	\N
783652	2670	1995-12-13	VYDAJ	VYBER	25600	39985	\N	\N	\N
783653	2670	1996-01-12	VYDAJ	VYBER	17300	34478	\N	\N	\N
783654	2670	1996-02-11	VYDAJ	VYBER	16400	30645	\N	\N	\N
783655	2670	1996-03-12	VYDAJ	VYBER	16200	30194	\N	\N	\N
783656	2670	1996-04-11	VYDAJ	VYBER	14600	31342	\N	\N	\N
783657	2670	1996-05-11	VYDAJ	VYBER	17500	29591	\N	\N	\N
783658	2670	1996-06-10	VYDAJ	VYBER	24100	33427	\N	\N	\N
783659	2670	1996-07-10	VYDAJ	VYBER	17700	31481	\N	\N	\N
783660	2670	1996-08-09	VYDAJ	VYBER	17500	25651	\N	\N	\N
783661	2670	1996-09-08	VYDAJ	VYBER	17900	27482	\N	\N	\N
783662	2670	1996-10-08	VYDAJ	VYBER	15100	28098	\N	\N	\N
783663	2670	1996-11-07	VYDAJ	VYBER	17300	26514	\N	\N	\N
783664	2670	1996-12-07	VYDAJ	VYBER	23800	26177	\N	\N	\N
783665	2670	1997-01-06	VYDAJ	VYBER	22700	19195	\N	\N	\N
783666	2670	1997-03-07	VYDAJ	VYBER	22800	22645	\N	\N	\N
783667	2670	1997-05-06	VYDAJ	VYBER	33600	20484	\N	\N	\N
783668	2670	1997-06-05	VYDAJ	VYBER	31500	16873	\N	\N	\N
783669	2670	1997-09-03	VYDAJ	VYBER	20200	18880	\N	\N	\N
783670	2670	1997-12-02	VYDAJ	VYBER	33100	25853	\N	\N	\N
783671	2670	1998-01-01	VYDAJ	VYBER	31900	16802	\N	\N	\N
783672	2670	1998-03-02	VYDAJ	VYBER	25800	17791	\N	\N	\N
783673	2670	1998-05-31	VYDAJ	VYBER	41000	20636	\N	\N	\N
783674	2670	1998-08-29	VYDAJ	VYBER	45000	25020	\N	\N	\N
783675	2670	1998-11-27	VYDAJ	VYBER	52100	20444	\N	\N	\N
783747	2671	1993-09-15	PRIJEM	VKLAD	400	400	\N	\N	\N
783757	2671	1993-10-11	PRIJEM	PREVOD Z UCTU	2976	3376	\N	YZ	27740109
783758	2671	1993-11-11	PRIJEM	PREVOD Z UCTU	2976	18688	\N	YZ	27740109
783759	2671	1993-12-11	PRIJEM	PREVOD Z UCTU	2976	24844	\N	YZ	27740109
783760	2671	1994-01-11	PRIJEM	PREVOD Z UCTU	2976	28920	\N	YZ	27740109
783761	2671	1994-02-11	PRIJEM	PREVOD Z UCTU	2976	27600	\N	YZ	27740109
783762	2671	1994-03-11	PRIJEM	PREVOD Z UCTU	2976	29485	\N	YZ	27740109
783763	2671	1994-04-11	PRIJEM	PREVOD Z UCTU	2976	28875	\N	YZ	27740109
783764	2671	1994-05-11	PRIJEM	PREVOD Z UCTU	2976	28752	\N	YZ	27740109
783765	2671	1994-06-11	PRIJEM	PREVOD Z UCTU	2976	24608	\N	YZ	27740109
783766	2671	1994-07-11	PRIJEM	PREVOD Z UCTU	2976	21064	\N	YZ	27740109
783767	2671	1994-08-11	PRIJEM	PREVOD Z UCTU	2976	25021	\N	YZ	27740109
783768	2671	1994-09-11	PRIJEM	PREVOD Z UCTU	2976	26391	\N	YZ	27740109
783769	2671	1994-10-11	PRIJEM	PREVOD Z UCTU	2976	27478	\N	YZ	27740109
783770	2671	1994-11-11	PRIJEM	PREVOD Z UCTU	2976	28140	\N	YZ	27740109
783771	2671	1994-12-11	PRIJEM	PREVOD Z UCTU	2976	27924	\N	YZ	27740109
783772	2671	1995-01-11	PRIJEM	PREVOD Z UCTU	2976	26540	\N	YZ	27740109
783773	2671	1995-02-11	PRIJEM	PREVOD Z UCTU	2976	24838	\N	YZ	27740109
783774	2671	1995-03-11	PRIJEM	PREVOD Z UCTU	2976	24449	\N	YZ	27740109
783775	2671	1995-04-11	PRIJEM	PREVOD Z UCTU	2976	28661	\N	YZ	27740109
783776	2671	1995-05-11	PRIJEM	PREVOD Z UCTU	2976	27155	\N	YZ	27740109
783777	2671	1995-06-11	PRIJEM	PREVOD Z UCTU	2976	28139	\N	YZ	27740109
783778	2671	1995-07-11	PRIJEM	PREVOD Z UCTU	2976	28083	\N	YZ	27740109
783779	2671	1995-08-11	PRIJEM	PREVOD Z UCTU	2976	29265	\N	YZ	27740109
783780	2671	1995-09-11	PRIJEM	PREVOD Z UCTU	2976	29925	\N	YZ	27740109
783781	2671	1995-10-11	PRIJEM	PREVOD Z UCTU	2976	31719	\N	YZ	27740109
783782	2671	1995-11-11	PRIJEM	PREVOD Z UCTU	2976	30998	\N	YZ	27740109
783783	2671	1995-12-11	PRIJEM	PREVOD Z UCTU	2976	32327	\N	YZ	27740109
783784	2671	1996-01-11	PRIJEM	PREVOD Z UCTU	2976	31929	\N	YZ	27740109
783785	2671	1996-02-11	PRIJEM	PREVOD Z UCTU	2976	28347	\N	YZ	27740109
783786	2671	1996-03-11	PRIJEM	PREVOD Z UCTU	2976	31856	\N	YZ	27740109
783787	2671	1996-04-11	PRIJEM	PREVOD Z UCTU	2976	32953	\N	YZ	27740109
783788	2671	1996-05-11	PRIJEM	PREVOD Z UCTU	2976	32857	\N	YZ	27740109
783789	2671	1996-06-11	PRIJEM	PREVOD Z UCTU	2976	29762	\N	YZ	27740109
783790	2671	1996-07-11	PRIJEM	PREVOD Z UCTU	2976	31376	\N	YZ	27740109
783791	2671	1996-08-11	PRIJEM	PREVOD Z UCTU	2976	29472	\N	YZ	27740109
783792	2671	1996-09-11	PRIJEM	PREVOD Z UCTU	2976	30961	\N	YZ	27740109
783793	2671	1996-10-11	PRIJEM	PREVOD Z UCTU	2976	32757	\N	YZ	27740109
783794	2671	1996-11-11	PRIJEM	PREVOD Z UCTU	2976	30958	\N	YZ	27740109
783795	2671	1996-12-11	PRIJEM	PREVOD Z UCTU	2976	30683	\N	YZ	27740109
783796	2671	1997-01-11	PRIJEM	PREVOD Z UCTU	2976	27514	\N	YZ	27740109
783797	2671	1997-02-11	PRIJEM	PREVOD Z UCTU	2976	28034	\N	YZ	27740109
783798	2671	1997-03-11	PRIJEM	PREVOD Z UCTU	2976	28316	\N	YZ	27740109
783799	2671	1997-04-11	PRIJEM	PREVOD Z UCTU	2976	28200	\N	YZ	27740109
783800	2671	1997-05-11	PRIJEM	PREVOD Z UCTU	2976	27982	\N	YZ	27740109
783801	2671	1997-06-11	PRIJEM	PREVOD Z UCTU	2976	26096	\N	YZ	27740109
783802	2671	1997-07-11	PRIJEM	PREVOD Z UCTU	2976	27476	\N	YZ	27740109
783803	2671	1997-08-11	PRIJEM	PREVOD Z UCTU	2976	27886	\N	YZ	27740109
783804	2671	1997-09-11	PRIJEM	PREVOD Z UCTU	2976	30469	\N	YZ	27740109
783805	2671	1997-10-11	PRIJEM	PREVOD Z UCTU	2976	31662	\N	YZ	27740109
783806	2671	1997-11-11	PRIJEM	PREVOD Z UCTU	2976	31437	\N	YZ	27740109
783807	2671	1997-12-11	PRIJEM	PREVOD Z UCTU	2976	32072	\N	YZ	27740109
783808	2671	1998-01-11	PRIJEM	PREVOD Z UCTU	2976	32550	\N	YZ	27740109
783809	2671	1998-02-11	PRIJEM	PREVOD Z UCTU	2976	30904	\N	YZ	27740109
783810	2671	1998-03-11	PRIJEM	PREVOD Z UCTU	2976	29295	\N	YZ	27740109
783811	2671	1998-04-11	PRIJEM	PREVOD Z UCTU	2976	32785	\N	YZ	27740109
783812	2671	1998-05-11	PRIJEM	PREVOD Z UCTU	2976	27950	\N	YZ	27740109
783813	2671	1998-06-11	PRIJEM	PREVOD Z UCTU	2976	29433	\N	YZ	27740109
783814	2671	1998-07-11	PRIJEM	PREVOD Z UCTU	2976	29499	\N	YZ	27740109
783815	2671	1998-08-11	PRIJEM	PREVOD Z UCTU	2976	28984	\N	YZ	27740109
783816	2671	1998-09-11	PRIJEM	PREVOD Z UCTU	2976	28867	\N	YZ	27740109
783817	2671	1998-10-11	PRIJEM	PREVOD Z UCTU	2976	31054	\N	YZ	27740109
783818	2671	1998-11-11	PRIJEM	PREVOD Z UCTU	2976	31907	\N	YZ	27740109
783819	2671	1998-12-11	PRIJEM	PREVOD Z UCTU	2976	38536	\N	YZ	27740109
783833	2671	1994-02-14	VYDAJ	PREVOD NA UCET	1984	26416	SIPO	QR	40581232
783834	2671	1994-03-14	VYDAJ	PREVOD NA UCET	1984	27501	SIPO	QR	40581232
783835	2671	1994-04-14	VYDAJ	PREVOD NA UCET	1984	26191	SIPO	QR	40581232
783836	2671	1994-05-14	VYDAJ	PREVOD NA UCET	1984	22508	SIPO	QR	40581232
783837	2671	1994-06-14	VYDAJ	PREVOD NA UCET	1984	22124	SIPO	QR	40581232
783838	2671	1994-07-14	VYDAJ	PREVOD NA UCET	1984	19480	SIPO	QR	40581232
783839	2671	1994-08-14	VYDAJ	PREVOD NA UCET	1984	23037	SIPO	QR	40581232
783840	2671	1994-09-14	VYDAJ	PREVOD NA UCET	1984	24407	SIPO	QR	40581232
783841	2671	1994-10-14	VYDAJ	PREVOD NA UCET	1984	25494	SIPO	QR	40581232
783842	2671	1994-11-14	VYDAJ	PREVOD NA UCET	1984	26156	SIPO	QR	40581232
783843	2671	1994-12-14	VYDAJ	PREVOD NA UCET	1984	25940	SIPO	QR	40581232
783844	2671	1995-01-14	VYDAJ	PREVOD NA UCET	1984	24556	SIPO	QR	40581232
783845	2671	1995-02-14	VYDAJ	PREVOD NA UCET	1984	22194	SIPO	QR	40581232
783846	2671	1995-03-14	VYDAJ	PREVOD NA UCET	1984	22465	SIPO	QR	40581232
783847	2671	1995-04-14	VYDAJ	PREVOD NA UCET	1984	26677	SIPO	QR	40581232
783848	2671	1995-05-14	VYDAJ	PREVOD NA UCET	1984	25171	SIPO	QR	40581232
783849	2671	1995-06-14	VYDAJ	PREVOD NA UCET	1984	26155	SIPO	QR	40581232
783850	2671	1995-07-14	VYDAJ	PREVOD NA UCET	1984	26099	SIPO	QR	40581232
783851	2671	1995-08-14	VYDAJ	PREVOD NA UCET	1984	27281	SIPO	QR	40581232
783852	2671	1995-09-14	VYDAJ	PREVOD NA UCET	1984	27941	SIPO	QR	40581232
783853	2671	1995-10-14	VYDAJ	PREVOD NA UCET	1984	29735	SIPO	QR	40581232
783854	2671	1995-11-14	VYDAJ	PREVOD NA UCET	1984	29014	SIPO	QR	40581232
783855	2671	1995-12-14	VYDAJ	PREVOD NA UCET	1984	30343	SIPO	QR	40581232
783856	2671	1996-01-14	VYDAJ	PREVOD NA UCET	1984	29945	SIPO	QR	40581232
783857	2671	1996-02-14	VYDAJ	PREVOD NA UCET	1984	26183	SIPO	QR	40581232
783858	2671	1996-03-14	VYDAJ	PREVOD NA UCET	1984	29872	SIPO	QR	40581232
783859	2671	1996-04-14	VYDAJ	PREVOD NA UCET	1984	30969	SIPO	QR	40581232
783860	2671	1996-05-14	VYDAJ	PREVOD NA UCET	1984	30873	SIPO	QR	40581232
783861	2671	1996-06-14	VYDAJ	PREVOD NA UCET	1984	27778	SIPO	QR	40581232
783862	2671	1996-07-14	VYDAJ	PREVOD NA UCET	1984	29392	SIPO	QR	40581232
783863	2671	1996-08-14	VYDAJ	PREVOD NA UCET	1984	27488	SIPO	QR	40581232
783864	2671	1996-09-14	VYDAJ	PREVOD NA UCET	1984	28977	SIPO	QR	40581232
783865	2671	1996-10-14	VYDAJ	PREVOD NA UCET	1984	30773	SIPO	QR	40581232
783866	2671	1996-11-14	VYDAJ	PREVOD NA UCET	1984	28974	SIPO	QR	40581232
783867	2671	1996-12-14	VYDAJ	PREVOD NA UCET	1984	28699	SIPO	QR	40581232
783868	2671	1997-01-14	VYDAJ	PREVOD NA UCET	1984	25530	SIPO	QR	40581232
783869	2671	1997-02-14	VYDAJ	PREVOD NA UCET	1984	26050	SIPO	QR	40581232
783870	2671	1997-03-14	VYDAJ	PREVOD NA UCET	1984	26332	SIPO	QR	40581232
783871	2671	1997-04-14	VYDAJ	PREVOD NA UCET	1984	26216	SIPO	QR	40581232
783872	2671	1997-05-14	VYDAJ	PREVOD NA UCET	1984	25998	SIPO	QR	40581232
783873	2671	1997-06-14	VYDAJ	PREVOD NA UCET	1984	24112	SIPO	QR	40581232
783874	2671	1997-07-14	VYDAJ	PREVOD NA UCET	1984	25492	SIPO	QR	40581232
783875	2671	1997-08-14	VYDAJ	PREVOD NA UCET	1984	25902	SIPO	QR	40581232
783876	2671	1997-09-14	VYDAJ	PREVOD NA UCET	1984	28485	SIPO	QR	40581232
783877	2671	1997-10-14	VYDAJ	PREVOD NA UCET	1984	29678	SIPO	QR	40581232
783878	2671	1997-11-14	VYDAJ	PREVOD NA UCET	1984	29453	SIPO	QR	40581232
783879	2671	1997-12-14	VYDAJ	PREVOD NA UCET	1984	29818	SIPO	QR	40581232
783880	2671	1998-01-14	VYDAJ	PREVOD NA UCET	1984	27716	SIPO	QR	40581232
783881	2671	1998-02-14	VYDAJ	PREVOD NA UCET	1984	28920	SIPO	QR	40581232
783882	2671	1998-03-14	VYDAJ	PREVOD NA UCET	1984	27311	SIPO	QR	40581232
783883	2671	1998-04-14	VYDAJ	PREVOD NA UCET	1984	30801	SIPO	QR	40581232
783884	2671	1998-05-14	VYDAJ	PREVOD NA UCET	1984	25966	SIPO	QR	40581232
783885	2671	1998-06-14	VYDAJ	PREVOD NA UCET	1984	27449	SIPO	QR	40581232
783886	2671	1998-07-14	VYDAJ	PREVOD NA UCET	1984	27515	SIPO	QR	40581232
783887	2671	1998-08-14	VYDAJ	PREVOD NA UCET	1984	27000	SIPO	QR	40581232
783888	2671	1998-09-14	VYDAJ	PREVOD NA UCET	1984	26883	SIPO	QR	40581232
783889	2671	1998-10-14	VYDAJ	PREVOD NA UCET	1984	27930	SIPO	QR	40581232
783890	2671	1998-11-14	VYDAJ	PREVOD NA UCET	1984	29923	SIPO	QR	40581232
783891	2671	1998-12-14	VYDAJ	PREVOD NA UCET	1984	36552	SIPO	QR	40581232
783893	2671	1994-06-26	VYDAJ	VYBER	4110	18014	\N	\N	\N
783894	2671	1995-06-25	VYDAJ	VYBER	2940	23215	\N	\N	\N
783895	2671	1996-06-06	VYDAJ	VYBER	4500	26786	\N	\N	\N
783896	2671	1997-06-09	VYDAJ	VYBER	3030	23120	\N	\N	\N
783897	2671	1998-06-14	VYDAJ	VYBER	8520	18929	\N	\N	\N
783900	2671	1995-01-16	VYDAJ	VYBER	1680	22876	\N	\N	\N
783901	2671	1996-01-17	VYDAJ	VYBER	2580	27365	\N	\N	\N
783902	2671	1997-01-29	VYDAJ	VYBER	960	24970	\N	\N	\N
783903	2671	1998-01-13	VYDAJ	VYBER	2850	29700	\N	\N	\N
783905	2671	1994-12-24	VYDAJ	VYBER	870	25070	\N	\N	\N
783906	2671	1995-12-06	VYDAJ	VYBER	270	29351	\N	\N	\N
783907	2671	1996-12-17	VYDAJ	VYBER	360	28339	\N	\N	\N
783908	2671	1997-12-11	VYDAJ	VYBER	270	31802	\N	\N	\N
783909	2671	1998-12-27	VYDAJ	VYBER	390	38762	\N	\N	\N
783917	2671	1994-10-23	VYDAJ	VYBER	1020	24474	\N	\N	\N
783918	2671	1994-05-28	VYDAJ	VYBER	960	21548	\N	\N	\N
783919	2671	1994-09-24	VYDAJ	VYBER	390	24017	\N	\N	\N
783920	2671	1994-05-13	VYDAJ	VYBER	960	24492	\N	\N	\N
783921	2671	1994-04-29	VYDAJ	VYBER	510	25681	\N	\N	\N
783922	2671	1995-10-20	VYDAJ	VYBER	420	29315	\N	\N	\N
783923	2671	1995-09-10	VYDAJ	VYBER	630	26949	\N	\N	\N
783924	2671	1995-04-03	VYDAJ	VYBER	1260	21285	\N	\N	\N
783925	2671	1995-05-03	VYDAJ	VYBER	990	25779	\N	\N	\N
783926	2671	1995-02-12	VYDAJ	VYBER	660	24178	\N	\N	\N
783927	2671	1996-06-23	VYDAJ	VYBER	780	26998	\N	\N	\N
783928	2671	1996-05-17	VYDAJ	VYBER	600	30273	\N	\N	\N
783929	2671	1996-11-25	VYDAJ	VYBER	1170	27804	\N	\N	\N
783930	2671	1996-02-11	VYDAJ	VYBER	180	28167	\N	\N	\N
783931	2671	1997-01-18	VYDAJ	VYBER	600	24930	\N	\N	\N
783932	2671	1997-07-28	VYDAJ	VYBER	1470	24822	\N	\N	\N
783933	2671	1997-12-17	VYDAJ	VYBER	660	27868	\N	\N	\N
783934	2671	1997-10-18	VYDAJ	VYBER	1320	28358	\N	\N	\N
783935	2671	1997-12-16	VYDAJ	VYBER	1290	28528	\N	\N	\N
783936	2671	1997-11-15	VYDAJ	VYBER	360	29093	\N	\N	\N
783937	2671	1997-06-08	VYDAJ	VYBER	1140	26150	\N	\N	\N
783938	2671	1998-04-30	VYDAJ	VYBER	630	24974	\N	\N	\N
783939	2671	1998-10-13	VYDAJ	VYBER	1140	29914	\N	\N	\N
783940	2671	1998-11-30	VYDAJ	VYBER	1380	35575	\N	\N	\N
783941	2671	1998-01-24	VYDAJ	VYBER	1290	27826	\N	\N	\N
783956	2671	1994-02-28	VYDAJ	VYBER	15	26509	SLUZBY	\N	\N
783957	2671	1994-03-31	VYDAJ	VYBER	15	25899	SLUZBY	\N	\N
783958	2671	1994-04-30	VYDAJ	VYBER	15	25776	SLUZBY	\N	\N
783959	2671	1994-05-31	VYDAJ	VYBER	15	21632	SLUZBY	\N	\N
783960	2671	1994-06-30	VYDAJ	VYBER	15	18088	SLUZBY	\N	\N
783961	2671	1994-07-31	VYDAJ	VYBER	15	19545	SLUZBY	\N	\N
783962	2671	1994-08-31	VYDAJ	VYBER	15	23115	SLUZBY	\N	\N
783963	2671	1994-09-30	VYDAJ	VYBER	15	24102	SLUZBY	\N	\N
783964	2671	1994-10-31	VYDAJ	VYBER	15	24564	SLUZBY	\N	\N
783965	2671	1994-11-30	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
783966	2671	1994-12-31	VYDAJ	VYBER	15	25164	SLUZBY	\N	\N
783967	2671	1995-01-31	VYDAJ	VYBER	15	22962	SLUZBY	\N	\N
783968	2671	1995-02-28	VYDAJ	VYBER	15	22273	SLUZBY	\N	\N
783969	2671	1995-03-31	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
783970	2671	1995-04-30	VYDAJ	VYBER	15	26769	SLUZBY	\N	\N
783971	2671	1995-05-31	VYDAJ	VYBER	15	25263	SLUZBY	\N	\N
783972	2671	1995-06-30	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
783973	2671	1995-07-31	VYDAJ	VYBER	15	26189	SLUZBY	\N	\N
783974	2671	1995-08-31	VYDAJ	VYBER	15	27379	SLUZBY	\N	\N
783975	2671	1995-09-30	VYDAJ	VYBER	15	28043	SLUZBY	\N	\N
783976	2671	1995-10-31	VYDAJ	VYBER	15	29422	SLUZBY	\N	\N
783977	2671	1995-11-30	VYDAJ	VYBER	15	29121	SLUZBY	\N	\N
783978	2671	1995-12-31	VYDAJ	VYBER	15	30453	SLUZBY	\N	\N
783979	2671	1996-01-31	VYDAJ	VYBER	15	27471	SLUZBY	\N	\N
783980	2671	1996-02-29	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
783981	2671	1996-03-31	VYDAJ	VYBER	15	29977	SLUZBY	\N	\N
783982	2671	1996-04-30	VYDAJ	VYBER	15	31081	SLUZBY	\N	\N
783983	2671	1996-05-31	VYDAJ	VYBER	15	30386	SLUZBY	\N	\N
783984	2671	1996-06-30	VYDAJ	VYBER	15	27100	SLUZBY	\N	\N
783985	2671	1996-07-31	VYDAJ	VYBER	15	29496	SLUZBY	\N	\N
783986	2671	1996-08-31	VYDAJ	VYBER	15	27985	SLUZBY	\N	\N
783987	2671	1996-09-30	VYDAJ	VYBER	15	29781	SLUZBY	\N	\N
783988	2671	1996-10-31	VYDAJ	VYBER	15	27982	SLUZBY	\N	\N
783989	2671	1996-11-30	VYDAJ	VYBER	15	27707	SLUZBY	\N	\N
783990	2671	1996-12-31	VYDAJ	VYBER	15	24538	SLUZBY	\N	\N
783991	2671	1997-01-31	VYDAJ	VYBER	15	25058	SLUZBY	\N	\N
783992	2671	1997-02-28	VYDAJ	VYBER	15	25340	SLUZBY	\N	\N
783993	2671	1997-03-31	VYDAJ	VYBER	15	25224	SLUZBY	\N	\N
783994	2671	1997-04-30	VYDAJ	VYBER	15	25006	SLUZBY	\N	\N
783995	2671	1997-05-31	VYDAJ	VYBER	15	27290	SLUZBY	\N	\N
783996	2671	1997-06-30	VYDAJ	VYBER	15	24500	SLUZBY	\N	\N
783997	2671	1997-07-31	VYDAJ	VYBER	15	24910	SLUZBY	\N	\N
783998	2671	1997-08-31	VYDAJ	VYBER	15	27493	SLUZBY	\N	\N
783999	2671	1997-09-30	VYDAJ	VYBER	15	28686	SLUZBY	\N	\N
784000	2671	1997-10-31	VYDAJ	VYBER	15	28461	SLUZBY	\N	\N
784001	2671	1997-11-30	VYDAJ	VYBER	15	29096	SLUZBY	\N	\N
784002	2671	1997-12-31	VYDAJ	VYBER	15	29574	SLUZBY	\N	\N
784003	2671	1998-01-31	VYDAJ	VYBER	15	27928	SLUZBY	\N	\N
784004	2671	1998-02-28	VYDAJ	VYBER	15	26319	SLUZBY	\N	\N
784005	2671	1998-03-31	VYDAJ	VYBER	15	29809	SLUZBY	\N	\N
784006	2671	1998-04-30	VYDAJ	VYBER	15	25604	SLUZBY	\N	\N
784007	2671	1998-05-31	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
784008	2671	1998-06-30	VYDAJ	VYBER	15	26523	SLUZBY	\N	\N
784009	2671	1998-07-31	VYDAJ	VYBER	15	26008	SLUZBY	\N	\N
784010	2671	1998-08-31	VYDAJ	VYBER	15	25891	SLUZBY	\N	\N
784011	2671	1998-09-30	VYDAJ	VYBER	15	28078	SLUZBY	\N	\N
784012	2671	1998-10-31	VYDAJ	VYBER	15	28931	SLUZBY	\N	\N
784013	2671	1998-11-30	VYDAJ	VYBER	15	35560	SLUZBY	\N	\N
784014	2671	1993-10-15	PRIJEM	VKLAD	12300	15676	\N	\N	\N
784015	2671	1993-11-14	PRIJEM	VKLAD	3100	21788	\N	\N	\N
784016	2671	1993-12-14	PRIJEM	VKLAD	1000	25844	\N	\N	\N
784017	2671	1994-01-13	VYDAJ	VYBER	4400	24520	\N	\N	\N
784018	2671	1994-02-12	PRIJEM	VKLAD	800	28400	\N	\N	\N
784019	2671	1994-03-14	VYDAJ	VYBER	1700	25801	\N	\N	\N
784020	2671	1994-04-13	VYDAJ	VYBER	700	28175	\N	\N	\N
784021	2671	1994-05-13	VYDAJ	VYBER	3300	25452	\N	\N	\N
784022	2671	1994-06-12	VYDAJ	VYBER	500	24108	\N	\N	\N
784023	2671	1994-07-12	PRIJEM	VKLAD	400	21464	\N	\N	\N
784024	2671	1994-08-11	PRIJEM	VKLAD	2500	22045	\N	\N	\N
784025	2671	1994-09-10	PRIJEM	VKLAD	300	23415	\N	\N	\N
784026	2671	1994-10-10	PRIJEM	VKLAD	400	24502	\N	\N	\N
784027	2671	1994-11-09	PRIJEM	VKLAD	600	25164	\N	\N	\N
784028	2671	1994-12-09	VYDAJ	VYBER	1300	24948	\N	\N	\N
784029	2671	1995-01-08	VYDAJ	VYBER	1600	23564	\N	\N	\N
784030	2671	1995-02-07	VYDAJ	VYBER	1100	21862	\N	\N	\N
784031	2671	1995-03-09	VYDAJ	VYBER	800	21473	\N	\N	\N
784032	2671	1995-04-08	PRIJEM	VKLAD	4400	25685	\N	\N	\N
784033	2671	1995-05-08	VYDAJ	VYBER	1600	24179	\N	\N	\N
784034	2671	1995-06-07	VYDAJ	VYBER	100	25163	\N	\N	\N
784035	2671	1995-07-07	PRIJEM	VKLAD	1800	25107	\N	\N	\N
784036	2671	1995-08-06	PRIJEM	VKLAD	100	26289	\N	\N	\N
784037	2671	1995-09-05	PRIJEM	VKLAD	200	27579	\N	\N	\N
784038	2671	1995-10-05	PRIJEM	VKLAD	700	28743	\N	\N	\N
784039	2671	1995-11-04	VYDAJ	VYBER	1400	28022	\N	\N	\N
784040	2671	1995-12-04	PRIJEM	VKLAD	500	29621	\N	\N	\N
784041	2671	1996-01-03	VYDAJ	VYBER	1500	28953	\N	\N	\N
784042	2671	1996-02-02	VYDAJ	VYBER	2100	25371	\N	\N	\N
784043	2671	1996-03-03	PRIJEM	VKLAD	2600	28880	\N	\N	\N
784044	2671	1996-05-02	VYDAJ	VYBER	1200	29881	\N	\N	\N
784045	2671	1996-06-01	PRIJEM	VKLAD	900	31286	\N	\N	\N
784046	2671	1996-07-01	PRIJEM	VKLAD	1300	28400	\N	\N	\N
784047	2671	1996-07-31	VYDAJ	VYBER	3000	26496	\N	\N	\N
784048	2671	1996-08-30	PRIJEM	VKLAD	400	27888	\N	\N	\N
784049	2671	1996-09-29	PRIJEM	VKLAD	700	29677	\N	\N	\N
784050	2671	1996-10-29	VYDAJ	VYBER	2900	27873	\N	\N	\N
784051	2671	1996-11-28	VYDAJ	VYBER	200	27604	\N	\N	\N
784052	2671	1996-12-28	VYDAJ	VYBER	3900	24439	\N	\N	\N
784053	2671	1997-01-27	PRIJEM	VKLAD	1000	25930	\N	\N	\N
784054	2671	1997-02-26	VYDAJ	VYBER	800	25250	\N	\N	\N
784055	2671	1997-03-28	VYDAJ	VYBER	1200	25132	\N	\N	\N
784056	2671	1997-04-27	VYDAJ	VYBER	1300	24916	\N	\N	\N
784057	2671	1997-05-27	PRIJEM	VKLAD	1200	27198	\N	\N	\N
784058	2671	1997-06-26	PRIJEM	VKLAD	300	24412	\N	\N	\N
784059	2671	1997-07-26	PRIJEM	VKLAD	800	26292	\N	\N	\N
784060	2671	1997-08-25	PRIJEM	VKLAD	1500	27402	\N	\N	\N
784061	2671	1997-09-24	PRIJEM	VKLAD	100	28585	\N	\N	\N
784062	2671	1997-11-23	VYDAJ	VYBER	100	28993	\N	\N	\N
784063	2671	1997-12-23	PRIJEM	VKLAD	1600	29468	\N	\N	\N
784064	2671	1998-01-22	PRIJEM	VKLAD	1400	29116	\N	\N	\N
784065	2671	1998-02-21	VYDAJ	VYBER	2700	26220	\N	\N	\N
784066	2671	1998-03-23	PRIJEM	VKLAD	2400	29711	\N	\N	\N
784067	2671	1998-04-22	VYDAJ	VYBER	5300	25501	\N	\N	\N
784068	2671	1998-05-22	PRIJEM	VKLAD	400	26366	\N	\N	\N
784069	2671	1998-06-21	PRIJEM	VKLAD	7500	26429	\N	\N	\N
784070	2671	1998-07-21	VYDAJ	VYBER	1600	25915	\N	\N	\N
784071	2671	1998-08-20	VYDAJ	VYBER	1200	25800	\N	\N	\N
784072	2671	1998-09-19	PRIJEM	VKLAD	1100	27983	\N	\N	\N
784073	2671	1998-10-19	PRIJEM	VKLAD	900	28830	\N	\N	\N
784074	2671	1998-11-18	PRIJEM	VKLAD	6900	36823	\N	\N	\N
784075	2671	1998-12-18	PRIJEM	VKLAD	2600	39152	\N	\N	\N
784139	2672	1997-03-14	PRIJEM	VKLAD	300	300	\N	\N	\N
784143	2672	1997-04-08	PRIJEM	PREVOD Z UCTU	3484	3784	\N	GH	47020673
784144	2672	1997-05-08	PRIJEM	PREVOD Z UCTU	3484	7268	\N	GH	47020673
784145	2672	1997-06-08	PRIJEM	PREVOD Z UCTU	3484	10752	\N	GH	47020673
784146	2672	1997-07-08	PRIJEM	PREVOD Z UCTU	3484	14236	\N	GH	47020673
784147	2672	1997-08-08	PRIJEM	PREVOD Z UCTU	3484	15151	\N	GH	47020673
784148	2672	1997-09-08	PRIJEM	PREVOD Z UCTU	3484	13456	\N	GH	47020673
784149	2672	1997-10-08	PRIJEM	PREVOD Z UCTU	3484	13053	\N	GH	47020673
784150	2672	1997-11-08	PRIJEM	PREVOD Z UCTU	3484	14253	\N	GH	47020673
784151	2672	1997-12-08	PRIJEM	PREVOD Z UCTU	3484	11847	\N	GH	47020673
784152	2672	1998-01-08	PRIJEM	PREVOD Z UCTU	3484	13042	\N	GH	47020673
784153	2672	1998-02-08	PRIJEM	PREVOD Z UCTU	3484	13880	\N	GH	47020673
784154	2672	1998-03-08	PRIJEM	PREVOD Z UCTU	3484	15083	\N	GH	47020673
784155	2672	1998-04-08	PRIJEM	PREVOD Z UCTU	3484	15901	\N	GH	47020673
784156	2672	1998-05-08	PRIJEM	PREVOD Z UCTU	3484	17113	\N	GH	47020673
784157	2672	1998-06-08	PRIJEM	PREVOD Z UCTU	3484	18330	\N	GH	47020673
784158	2672	1998-07-08	PRIJEM	PREVOD Z UCTU	3484	15915	\N	GH	47020673
784159	2672	1998-08-08	PRIJEM	PREVOD Z UCTU	3484	16317	\N	GH	47020673
784160	2672	1998-09-08	PRIJEM	PREVOD Z UCTU	3484	17531	\N	GH	47020673
784161	2672	1998-10-08	PRIJEM	PREVOD Z UCTU	3484	18749	\N	GH	47020673
784162	2672	1998-11-08	PRIJEM	PREVOD Z UCTU	3484	18172	\N	GH	47020673
784163	2672	1998-12-08	PRIJEM	PREVOD Z UCTU	3484	18433	\N	GH	47020673
784172	2672	1997-09-06	VYDAJ	PREVOD NA UCET	2111	9972	SIPO	OP	87283455
784173	2672	1997-10-06	VYDAJ	PREVOD NA UCET	2111	9569	SIPO	OP	87283455
784174	2672	1997-11-06	VYDAJ	PREVOD NA UCET	2111	10769	SIPO	OP	87283455
784175	2672	1997-12-06	VYDAJ	PREVOD NA UCET	2111	8363	SIPO	OP	87283455
784176	2672	1998-01-06	VYDAJ	PREVOD NA UCET	2111	9558	SIPO	OP	87283455
784177	2672	1998-02-06	VYDAJ	PREVOD NA UCET	2111	10396	SIPO	OP	87283455
784178	2672	1998-03-06	VYDAJ	PREVOD NA UCET	2111	11599	SIPO	OP	87283455
784179	2672	1998-04-06	VYDAJ	PREVOD NA UCET	2111	12417	SIPO	OP	87283455
784180	2672	1998-05-06	VYDAJ	PREVOD NA UCET	2111	13629	SIPO	OP	87283455
784181	2672	1998-06-06	VYDAJ	PREVOD NA UCET	2111	14846	SIPO	OP	87283455
784182	2672	1998-07-06	VYDAJ	PREVOD NA UCET	2111	12431	SIPO	OP	87283455
784183	2672	1998-08-06	VYDAJ	PREVOD NA UCET	2111	13643	SIPO	OP	87283455
784184	2672	1998-09-06	VYDAJ	PREVOD NA UCET	2111	14047	SIPO	OP	87283455
784185	2672	1998-10-06	VYDAJ	PREVOD NA UCET	2111	15265	SIPO	OP	87283455
784186	2672	1998-11-06	VYDAJ	PREVOD NA UCET	2111	14688	SIPO	OP	87283455
784187	2672	1998-12-06	VYDAJ	PREVOD NA UCET	2111	14949	SIPO	OP	87283455
784195	2672	1997-08-11	VYDAJ	PREVOD NA UCET	211	14940	 	IJ	41447466
784196	2672	1997-09-11	VYDAJ	PREVOD NA UCET	211	11645	 	IJ	41447466
784197	2672	1997-10-11	VYDAJ	PREVOD NA UCET	211	12842	 	IJ	41447466
784198	2672	1997-11-11	VYDAJ	PREVOD NA UCET	211	10442	 	IJ	41447466
784199	2672	1997-12-11	VYDAJ	PREVOD NA UCET	211	11636	 	IJ	41447466
784200	2672	1998-01-11	VYDAJ	PREVOD NA UCET	211	12471	 	IJ	41447466
784201	2672	1998-02-11	VYDAJ	PREVOD NA UCET	211	13669	 	IJ	41447466
784202	2672	1998-03-11	VYDAJ	PREVOD NA UCET	211	14872	 	IJ	41447466
784203	2672	1998-04-11	VYDAJ	PREVOD NA UCET	211	15690	 	IJ	41447466
784204	2672	1998-05-11	VYDAJ	PREVOD NA UCET	211	16902	 	IJ	41447466
784205	2672	1998-06-11	VYDAJ	PREVOD NA UCET	211	18119	 	IJ	41447466
784206	2672	1998-07-11	VYDAJ	PREVOD NA UCET	211	15704	 	IJ	41447466
784207	2672	1998-08-11	VYDAJ	PREVOD NA UCET	211	16106	 	IJ	41447466
784208	2672	1998-09-11	VYDAJ	PREVOD NA UCET	211	17320	 	IJ	41447466
784209	2672	1998-10-11	VYDAJ	PREVOD NA UCET	211	18538	 	IJ	41447466
784210	2672	1998-11-11	VYDAJ	PREVOD NA UCET	211	17961	 	IJ	41447466
784211	2672	1998-12-11	VYDAJ	PREVOD NA UCET	211	18222	 	IJ	41447466
784213	2672	1998-06-19	VYDAJ	VYBER	3630	14489	\N	\N	\N
784217	2672	1998-12-30	VYDAJ	VYBER	840	17382	\N	\N	\N
784225	2672	1998-01-08	VYDAJ	VYBER	360	12682	\N	\N	\N
784235	2672	1998-10-27	VYDAJ	VYBER	1200	17338	\N	\N	\N
784237	2672	1998-08-07	VYDAJ	VYBER	810	12833	\N	\N	\N
784238	2672	1998-03-24	VYDAJ	VYBER	390	14482	\N	\N	\N
784239	2672	1998-11-29	VYDAJ	VYBER	960	17001	\N	\N	\N
784240	2672	1998-11-01	VYDAJ	VYBER	600	16799	\N	\N	\N
784249	2672	1997-08-31	VYDAJ	VYBER	15	12083	SLUZBY	\N	\N
784250	2672	1997-09-30	VYDAJ	VYBER	15	11680	SLUZBY	\N	\N
784251	2672	1997-10-31	VYDAJ	VYBER	15	12880	SLUZBY	\N	\N
784252	2672	1997-11-30	VYDAJ	VYBER	15	10474	SLUZBY	\N	\N
784253	2672	1997-12-31	VYDAJ	VYBER	15	11669	SLUZBY	\N	\N
784254	2672	1998-01-31	VYDAJ	VYBER	15	12507	SLUZBY	\N	\N
784255	2672	1998-02-28	VYDAJ	VYBER	15	13710	SLUZBY	\N	\N
784256	2672	1998-03-31	VYDAJ	VYBER	15	14528	SLUZBY	\N	\N
784257	2672	1998-04-30	VYDAJ	VYBER	15	15740	SLUZBY	\N	\N
784258	2672	1998-05-31	VYDAJ	VYBER	15	16957	SLUZBY	\N	\N
784259	2672	1998-06-30	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
784260	2672	1998-07-31	VYDAJ	VYBER	15	15754	SLUZBY	\N	\N
784261	2672	1998-08-31	VYDAJ	VYBER	15	16158	SLUZBY	\N	\N
784262	2672	1998-09-30	VYDAJ	VYBER	15	17376	SLUZBY	\N	\N
784263	2672	1998-10-31	VYDAJ	VYBER	15	17399	SLUZBY	\N	\N
784264	2672	1998-11-30	VYDAJ	VYBER	15	17060	SLUZBY	\N	\N
784265	2672	1997-07-12	VYDAJ	VYBER	2600	11636	\N	\N	\N
784266	2672	1997-08-11	VYDAJ	VYBER	2900	12040	\N	\N	\N
784267	2672	1997-09-10	VYDAJ	VYBER	1600	11856	\N	\N	\N
784268	2672	1997-11-09	VYDAJ	VYBER	3600	10653	\N	\N	\N
784287	2673	1994-01-04	PRIJEM	VKLAD	900	900	\N	\N	\N
784288	2673	1994-01-05	PRIJEM	VKLAD	12395	13295	\N	\N	\N
784289	2673	1994-02-05	PRIJEM	VKLAD	12395	32138	\N	\N	\N
784290	2673	1994-03-05	PRIJEM	VKLAD	12395	44656	\N	\N	\N
784291	2673	1994-04-05	PRIJEM	VKLAD	12395	43630	\N	\N	\N
784292	2673	1994-05-05	PRIJEM	VKLAD	12395	45408	\N	\N	\N
784293	2673	1994-06-05	PRIJEM	VKLAD	18592	49178	\N	\N	\N
784294	2673	1994-07-05	PRIJEM	VKLAD	12395	42858	\N	\N	\N
784295	2673	1994-08-05	PRIJEM	VKLAD	12395	43619	\N	\N	\N
784296	2673	1994-09-05	PRIJEM	VKLAD	12395	44986	\N	\N	\N
784297	2673	1994-10-05	PRIJEM	VKLAD	12395	48160	\N	\N	\N
784298	2673	1994-11-05	PRIJEM	VKLAD	12395	48446	\N	\N	\N
784299	2673	1994-12-05	PRIJEM	VKLAD	18592	51125	\N	\N	\N
784300	2673	1995-01-05	PRIJEM	VKLAD	12395	50218	\N	\N	\N
784301	2673	1995-02-05	PRIJEM	VKLAD	12395	44082	\N	\N	\N
784302	2673	1995-03-05	PRIJEM	VKLAD	12395	47248	\N	\N	\N
784303	2673	1995-04-05	PRIJEM	VKLAD	12395	45224	\N	\N	\N
784304	2673	1995-05-05	PRIJEM	VKLAD	12395	47493	\N	\N	\N
784305	2673	1995-06-05	PRIJEM	VKLAD	18592	57369	\N	\N	\N
784306	2673	1995-07-05	PRIJEM	VKLAD	12395	51961	\N	\N	\N
784307	2673	1995-08-05	PRIJEM	VKLAD	12395	49951	\N	\N	\N
784308	2673	1995-09-05	PRIJEM	VKLAD	12395	50835	\N	\N	\N
784309	2673	1995-10-05	PRIJEM	VKLAD	12395	49022	\N	\N	\N
784310	2673	1995-11-05	PRIJEM	VKLAD	12395	47997	\N	\N	\N
784311	2673	1995-12-05	PRIJEM	VKLAD	18592	54872	\N	\N	\N
784312	2673	1996-01-05	PRIJEM	VKLAD	12395	51873	\N	\N	\N
784313	2673	1996-02-05	PRIJEM	VKLAD	12395	42546	\N	\N	\N
784314	2673	1996-03-05	PRIJEM	VKLAD	12395	45205	\N	\N	\N
784315	2673	1996-04-05	PRIJEM	VKLAD	12395	43066	\N	\N	\N
784316	2673	1996-05-05	PRIJEM	VKLAD	12395	43716	\N	\N	\N
784317	2673	1996-06-05	PRIJEM	VKLAD	18592	41770	\N	\N	\N
784318	2673	1996-07-05	PRIJEM	VKLAD	12395	44024	\N	\N	\N
784319	2673	1996-08-05	PRIJEM	VKLAD	12395	46684	\N	\N	\N
784320	2673	1996-09-05	PRIJEM	VKLAD	12395	44247	\N	\N	\N
784321	2673	1996-10-05	PRIJEM	VKLAD	12395	41298	\N	\N	\N
784322	2673	1996-11-05	PRIJEM	VKLAD	12395	41942	\N	\N	\N
784323	2673	1996-12-05	PRIJEM	VKLAD	18592	40067	\N	\N	\N
784324	2673	1997-01-05	PRIJEM	VKLAD	12395	36093	\N	\N	\N
784325	2673	1997-02-05	PRIJEM	VKLAD	12395	28596	\N	\N	\N
784326	2673	1997-03-05	PRIJEM	VKLAD	12395	30888	\N	\N	\N
784327	2673	1997-04-05	PRIJEM	VKLAD	12395	35594	\N	\N	\N
784328	2673	1997-05-05	PRIJEM	VKLAD	12395	38115	\N	\N	\N
784329	2673	1997-06-05	PRIJEM	VKLAD	18592	45241	\N	\N	\N
784330	2673	1997-07-05	PRIJEM	VKLAD	12395	41686	\N	\N	\N
784331	2673	1997-08-05	PRIJEM	VKLAD	12395	34109	\N	\N	\N
784332	2673	1997-09-05	PRIJEM	VKLAD	12395	31311	\N	\N	\N
784333	2673	1997-10-05	PRIJEM	VKLAD	12395	33412	\N	\N	\N
784334	2673	1997-11-05	PRIJEM	VKLAD	12395	33616	\N	\N	\N
784335	2673	1997-12-05	PRIJEM	VKLAD	18592	35608	\N	\N	\N
784336	2673	1998-01-05	PRIJEM	VKLAD	12395	37121	\N	\N	\N
784337	2673	1998-02-05	PRIJEM	VKLAD	12395	30223	\N	\N	\N
784338	2673	1998-03-05	PRIJEM	VKLAD	12395	36828	\N	\N	\N
784339	2673	1998-04-05	PRIJEM	VKLAD	12395	29327	\N	\N	\N
784340	2673	1998-05-05	PRIJEM	VKLAD	12395	30215	\N	\N	\N
784341	2673	1998-06-05	PRIJEM	VKLAD	18592	37804	\N	\N	\N
784342	2673	1998-07-05	PRIJEM	VKLAD	12395	32000	\N	\N	\N
784343	2673	1998-08-05	PRIJEM	VKLAD	12395	29394	\N	\N	\N
784344	2673	1998-09-05	PRIJEM	VKLAD	12395	37199	\N	\N	\N
784345	2673	1998-10-05	PRIJEM	VKLAD	12395	40122	\N	\N	\N
784346	2673	1998-11-05	PRIJEM	VKLAD	12395	44263	\N	\N	\N
784347	2673	1998-12-05	PRIJEM	VKLAD	18592	48095	\N	\N	\N
784352	2673	1994-05-06	VYDAJ	PREVOD NA UCET	1759	43649	SIPO	QR	44548678
784353	2673	1994-06-06	VYDAJ	PREVOD NA UCET	1759	47419	SIPO	QR	44548678
784354	2673	1994-07-06	VYDAJ	PREVOD NA UCET	1759	41099	SIPO	QR	44548678
784355	2673	1994-08-06	VYDAJ	PREVOD NA UCET	1759	41860	SIPO	QR	44548678
784356	2673	1994-09-06	VYDAJ	PREVOD NA UCET	1759	43227	SIPO	QR	44548678
784357	2673	1994-10-06	VYDAJ	PREVOD NA UCET	1759	46401	SIPO	QR	44548678
784358	2673	1994-11-06	VYDAJ	PREVOD NA UCET	1759	46687	SIPO	QR	44548678
784359	2673	1994-12-06	VYDAJ	PREVOD NA UCET	1759	49366	SIPO	QR	44548678
784360	2673	1995-01-06	VYDAJ	PREVOD NA UCET	1759	48459	SIPO	QR	44548678
784361	2673	1995-02-06	VYDAJ	PREVOD NA UCET	1759	42323	SIPO	QR	44548678
784362	2673	1995-03-06	VYDAJ	PREVOD NA UCET	1759	45489	SIPO	QR	44548678
784363	2673	1995-04-06	VYDAJ	PREVOD NA UCET	1759	43465	SIPO	QR	44548678
784364	2673	1995-05-06	VYDAJ	PREVOD NA UCET	1759	45734	SIPO	QR	44548678
784365	2673	1995-06-06	VYDAJ	PREVOD NA UCET	1759	55610	SIPO	QR	44548678
784366	2673	1995-07-06	VYDAJ	PREVOD NA UCET	1759	50202	SIPO	QR	44548678
784367	2673	1995-08-06	VYDAJ	PREVOD NA UCET	1759	48192	SIPO	QR	44548678
784368	2673	1995-09-06	VYDAJ	PREVOD NA UCET	1759	49076	SIPO	QR	44548678
784369	2673	1995-10-06	VYDAJ	PREVOD NA UCET	1759	47263	SIPO	QR	44548678
784370	2673	1995-11-06	VYDAJ	PREVOD NA UCET	1759	46238	SIPO	QR	44548678
784371	2673	1995-12-06	VYDAJ	PREVOD NA UCET	1759	53113	SIPO	QR	44548678
784372	2673	1996-01-06	VYDAJ	PREVOD NA UCET	1759	49614	SIPO	QR	44548678
784373	2673	1996-02-06	VYDAJ	PREVOD NA UCET	1759	40787	SIPO	QR	44548678
784374	2673	1996-03-06	VYDAJ	PREVOD NA UCET	1759	43446	SIPO	QR	44548678
784375	2673	1996-04-06	VYDAJ	PREVOD NA UCET	1759	41307	SIPO	QR	44548678
784376	2673	1996-05-06	VYDAJ	PREVOD NA UCET	1759	41957	SIPO	QR	44548678
784377	2673	1996-06-06	VYDAJ	PREVOD NA UCET	1759	40011	SIPO	QR	44548678
784378	2673	1996-07-06	VYDAJ	PREVOD NA UCET	1759	42265	SIPO	QR	44548678
784379	2673	1996-08-06	VYDAJ	PREVOD NA UCET	1759	44925	SIPO	QR	44548678
784380	2673	1996-09-06	VYDAJ	PREVOD NA UCET	1759	42488	SIPO	QR	44548678
784381	2673	1996-10-06	VYDAJ	PREVOD NA UCET	1759	39539	SIPO	QR	44548678
784382	2673	1996-11-06	VYDAJ	PREVOD NA UCET	1759	40183	SIPO	QR	44548678
784383	2673	1996-12-06	VYDAJ	PREVOD NA UCET	1759	38308	SIPO	QR	44548678
784384	2673	1997-01-06	VYDAJ	PREVOD NA UCET	1759	34334	SIPO	QR	44548678
784385	2673	1997-02-06	VYDAJ	PREVOD NA UCET	1759	26837	SIPO	QR	44548678
784386	2673	1997-03-06	VYDAJ	PREVOD NA UCET	1759	29129	SIPO	QR	44548678
784387	2673	1997-04-06	VYDAJ	PREVOD NA UCET	1759	33835	SIPO	QR	44548678
784388	2673	1997-05-06	VYDAJ	PREVOD NA UCET	1759	36356	SIPO	QR	44548678
784389	2673	1997-06-06	VYDAJ	PREVOD NA UCET	1759	43482	SIPO	QR	44548678
784390	2673	1997-07-06	VYDAJ	PREVOD NA UCET	1759	39927	SIPO	QR	44548678
784391	2673	1997-08-06	VYDAJ	PREVOD NA UCET	1759	32350	SIPO	QR	44548678
784392	2673	1997-09-06	VYDAJ	PREVOD NA UCET	1759	29552	SIPO	QR	44548678
784393	2673	1997-10-06	VYDAJ	PREVOD NA UCET	1759	31653	SIPO	QR	44548678
784394	2673	1997-11-06	VYDAJ	PREVOD NA UCET	1759	31857	SIPO	QR	44548678
784395	2673	1997-12-06	VYDAJ	PREVOD NA UCET	1759	33849	SIPO	QR	44548678
784396	2673	1998-01-06	VYDAJ	PREVOD NA UCET	1759	35362	SIPO	QR	44548678
784397	2673	1998-02-06	VYDAJ	PREVOD NA UCET	1759	28464	SIPO	QR	44548678
784398	2673	1998-03-06	VYDAJ	PREVOD NA UCET	1759	35069	SIPO	QR	44548678
784399	2673	1998-04-06	VYDAJ	PREVOD NA UCET	1759	27568	SIPO	QR	44548678
784400	2673	1998-05-06	VYDAJ	PREVOD NA UCET	1759	28456	SIPO	QR	44548678
784401	2673	1998-06-06	VYDAJ	PREVOD NA UCET	1759	36045	SIPO	QR	44548678
784402	2673	1998-07-06	VYDAJ	PREVOD NA UCET	1759	30241	SIPO	QR	44548678
784403	2673	1998-08-06	VYDAJ	PREVOD NA UCET	1759	27635	SIPO	QR	44548678
784404	2673	1998-09-06	VYDAJ	PREVOD NA UCET	1759	35440	SIPO	QR	44548678
784405	2673	1998-10-06	VYDAJ	PREVOD NA UCET	1759	38363	SIPO	QR	44548678
784406	2673	1998-11-06	VYDAJ	PREVOD NA UCET	1759	42504	SIPO	QR	44548678
784407	2673	1998-12-06	VYDAJ	PREVOD NA UCET	1759	46336	SIPO	QR	44548678
784412	2673	1994-05-08	VYDAJ	PREVOD NA UCET	4111	39538	 	MN	7310396
784413	2673	1994-06-08	VYDAJ	PREVOD NA UCET	4111	43308	 	MN	7310396
784414	2673	1994-07-08	VYDAJ	PREVOD NA UCET	4111	35088	 	MN	7310396
784415	2673	1994-08-08	VYDAJ	PREVOD NA UCET	4111	37749	 	MN	7310396
784416	2673	1994-09-08	VYDAJ	PREVOD NA UCET	4111	39116	 	MN	7310396
784417	2673	1994-10-08	VYDAJ	PREVOD NA UCET	4111	42290	 	MN	7310396
784418	2673	1994-11-08	VYDAJ	PREVOD NA UCET	4111	41776	 	MN	7310396
784419	2673	1994-12-08	VYDAJ	PREVOD NA UCET	4111	45255	 	MN	7310396
784420	2673	1995-01-08	VYDAJ	PREVOD NA UCET	4111	44348	 	MN	7310396
784421	2673	1995-02-08	VYDAJ	PREVOD NA UCET	4111	38212	 	MN	7310396
784422	2673	1995-03-08	VYDAJ	PREVOD NA UCET	4111	41378	 	MN	7310396
784423	2673	1995-04-08	VYDAJ	PREVOD NA UCET	4111	39354	 	MN	7310396
784424	2673	1995-05-08	VYDAJ	PREVOD NA UCET	4111	41623	 	MN	7310396
784425	2673	1995-06-08	VYDAJ	PREVOD NA UCET	4111	44699	 	MN	7310396
784426	2673	1995-07-08	VYDAJ	PREVOD NA UCET	4111	46091	 	MN	7310396
784427	2673	1995-08-08	VYDAJ	PREVOD NA UCET	4111	44081	 	MN	7310396
784428	2673	1995-09-08	VYDAJ	PREVOD NA UCET	4111	44965	 	MN	7310396
784429	2673	1995-10-08	VYDAJ	PREVOD NA UCET	4111	43152	 	MN	7310396
784430	2673	1995-11-08	VYDAJ	PREVOD NA UCET	4111	42127	 	MN	7310396
784431	2673	1995-12-08	VYDAJ	PREVOD NA UCET	4111	49002	 	MN	7310396
784432	2673	1996-01-08	VYDAJ	PREVOD NA UCET	4111	45503	 	MN	7310396
784433	2673	1996-02-08	VYDAJ	PREVOD NA UCET	4111	36676	 	MN	7310396
784434	2673	1996-03-08	VYDAJ	PREVOD NA UCET	4111	39335	 	MN	7310396
784435	2673	1996-04-08	VYDAJ	PREVOD NA UCET	4111	37196	 	MN	7310396
784436	2673	1996-05-08	VYDAJ	PREVOD NA UCET	4111	37846	 	MN	7310396
784437	2673	1996-06-08	VYDAJ	PREVOD NA UCET	4111	35900	 	MN	7310396
784438	2673	1996-07-08	VYDAJ	PREVOD NA UCET	4111	38154	 	MN	7310396
784439	2673	1996-08-08	VYDAJ	PREVOD NA UCET	4111	40814	 	MN	7310396
784440	2673	1996-09-08	VYDAJ	PREVOD NA UCET	4111	38377	 	MN	7310396
784441	2673	1996-10-08	VYDAJ	PREVOD NA UCET	4111	35428	 	MN	7310396
784442	2673	1996-11-08	VYDAJ	PREVOD NA UCET	4111	36072	 	MN	7310396
784443	2673	1996-12-08	VYDAJ	PREVOD NA UCET	4111	34197	 	MN	7310396
784444	2673	1997-01-08	VYDAJ	PREVOD NA UCET	4111	30223	 	MN	7310396
784445	2673	1997-02-08	VYDAJ	PREVOD NA UCET	4111	22726	 	MN	7310396
784446	2673	1997-03-08	VYDAJ	PREVOD NA UCET	4111	25018	 	MN	7310396
784447	2673	1997-04-08	VYDAJ	PREVOD NA UCET	4111	29124	 	MN	7310396
784448	2673	1997-05-08	VYDAJ	PREVOD NA UCET	4111	32245	 	MN	7310396
784449	2673	1997-06-08	VYDAJ	PREVOD NA UCET	4111	39371	 	MN	7310396
784450	2673	1997-07-08	VYDAJ	PREVOD NA UCET	4111	35816	 	MN	7310396
784451	2673	1997-08-08	VYDAJ	PREVOD NA UCET	4111	28239	 	MN	7310396
784452	2673	1997-09-08	VYDAJ	PREVOD NA UCET	4111	25441	 	MN	7310396
784453	2673	1997-10-08	VYDAJ	PREVOD NA UCET	4111	27542	 	MN	7310396
784454	2673	1997-11-08	VYDAJ	PREVOD NA UCET	4111	27746	 	MN	7310396
784455	2673	1997-12-08	VYDAJ	PREVOD NA UCET	4111	29738	 	MN	7310396
784456	2673	1998-01-08	VYDAJ	PREVOD NA UCET	4111	31251	 	MN	7310396
784457	2673	1998-02-08	VYDAJ	PREVOD NA UCET	4111	24353	 	MN	7310396
784458	2673	1998-03-08	VYDAJ	PREVOD NA UCET	4111	30958	 	MN	7310396
784459	2673	1998-04-08	VYDAJ	PREVOD NA UCET	4111	23457	 	MN	7310396
784460	2673	1998-05-08	VYDAJ	PREVOD NA UCET	4111	24345	 	MN	7310396
784461	2673	1998-06-08	VYDAJ	PREVOD NA UCET	4111	27934	 	MN	7310396
784462	2673	1998-07-08	VYDAJ	PREVOD NA UCET	4111	26130	 	MN	7310396
784463	2673	1998-08-08	VYDAJ	PREVOD NA UCET	4111	23524	 	MN	7310396
784464	2673	1998-09-08	VYDAJ	PREVOD NA UCET	4111	31329	 	MN	7310396
784465	2673	1998-10-08	VYDAJ	PREVOD NA UCET	4111	34252	 	MN	7310396
784466	2673	1998-11-08	VYDAJ	PREVOD NA UCET	4111	38393	 	MN	7310396
784467	2673	1998-12-08	VYDAJ	PREVOD NA UCET	4111	42225	 	MN	7310396
784468	2673	1994-06-21	VYDAJ	VYBER	5500	37808	\N	\N	\N
784469	2673	1995-06-07	VYDAJ	VYBER	6800	48810	\N	\N	\N
784470	2673	1996-06-03	VYDAJ	VYBER	9600	23178	\N	\N	\N
784473	2673	1994-12-25	VYDAJ	VYBER	700	43755	\N	\N	\N
784474	2673	1995-12-25	VYDAJ	VYBER	800	48202	\N	\N	\N
784475	2673	1996-12-15	VYDAJ	VYBER	800	33397	\N	\N	\N
784476	2673	1997-12-29	VYDAJ	VYBER	800	24638	\N	\N	\N
784477	2673	1998-12-11	VYDAJ	VYBER	1600	32125	\N	\N	\N
784484	2673	1995-01-13	VYDAJ	VYBER	1700	38348	\N	\N	\N
784485	2673	1995-01-24	VYDAJ	VYBER	500	31448	\N	\N	\N
784486	2673	1995-01-20	VYDAJ	VYBER	2100	33748	\N	\N	\N
784487	2673	1995-01-30	VYDAJ	VYBER	800	31548	\N	\N	\N
784488	2673	1995-01-23	VYDAJ	VYBER	1800	31948	\N	\N	\N
784489	2673	1995-01-15	VYDAJ	VYBER	2500	35848	\N	\N	\N
784490	2673	1996-01-21	VYDAJ	VYBER	2600	35303	\N	\N	\N
784491	2673	1996-01-18	VYDAJ	VYBER	2300	37903	\N	\N	\N
784492	2673	1996-01-05	VYDAJ	VYBER	500	51373	\N	\N	\N
784493	2673	1996-01-10	VYDAJ	VYBER	2500	43003	\N	\N	\N
784494	2673	1996-01-22	VYDAJ	VYBER	900	34403	\N	\N	\N
784495	2673	1996-01-14	VYDAJ	VYBER	2800	40203	\N	\N	\N
784496	2673	1997-01-20	VYDAJ	VYBER	1300	17623	\N	\N	\N
784497	2673	1997-01-24	VYDAJ	VYBER	1500	16123	\N	\N	\N
784498	2673	1997-01-13	VYDAJ	VYBER	2000	24923	\N	\N	\N
784499	2673	1997-01-10	VYDAJ	VYBER	1400	26923	\N	\N	\N
784500	2673	1997-01-03	VYDAJ	VYBER	700	23698	\N	\N	\N
784501	2673	1997-01-09	VYDAJ	VYBER	1900	28323	\N	\N	\N
784502	2673	1998-01-12	VYDAJ	VYBER	1600	29651	\N	\N	\N
784504	2673	1998-01-16	VYDAJ	VYBER	1400	19551	\N	\N	\N
784507	2673	1998-01-19	VYDAJ	VYBER	1800	17751	\N	\N	\N
784508	2673	1994-05-21	VYDAJ	VYBER	4300	35238	\N	\N	\N
784509	2673	1994-11-07	VYDAJ	VYBER	800	45887	\N	\N	\N
784511	2673	1994-12-13	VYDAJ	VYBER	800	44455	\N	\N	\N
784512	2673	1994-07-08	VYDAJ	VYBER	1900	39199	\N	\N	\N
784513	2673	1994-07-08	VYDAJ	VYBER	2200	32888	\N	\N	\N
784514	2673	1995-08-11	VYDAJ	VYBER	1400	42681	\N	\N	\N
784515	2673	1995-12-03	VYDAJ	VYBER	1200	36280	\N	\N	\N
784516	2673	1995-10-14	VYDAJ	VYBER	3200	39952	\N	\N	\N
784517	2673	1995-03-29	VYDAJ	VYBER	4700	36678	\N	\N	\N
784518	2673	1995-07-18	VYDAJ	VYBER	3200	42891	\N	\N	\N
784519	2673	1995-01-12	VYDAJ	VYBER	4300	40048	\N	\N	\N
784520	2673	1996-11-12	VYDAJ	VYBER	2900	33172	\N	\N	\N
784521	2673	1996-06-22	VYDAJ	VYBER	1300	31500	\N	\N	\N
784522	2673	1996-08-25	VYDAJ	VYBER	1900	31714	\N	\N	\N
784523	2673	1996-04-16	VYDAJ	VYBER	4400	32796	\N	\N	\N
784524	2673	1996-11-15	VYDAJ	VYBER	4100	29072	\N	\N	\N
784525	2673	1996-11-26	VYDAJ	VYBER	2300	21372	\N	\N	\N
784526	2673	1996-02-01	VYDAJ	VYBER	3700	30151	\N	\N	\N
784527	2673	1997-11-11	VYDAJ	VYBER	4500	23246	\N	\N	\N
784528	2673	1997-11-21	VYDAJ	VYBER	2300	16946	\N	\N	\N
784529	2673	1997-04-08	VYDAJ	VYBER	600	33235	\N	\N	\N
784530	2673	1997-07-11	VYDAJ	VYBER	2800	33016	\N	\N	\N
784531	2673	1998-10-22	VYDAJ	VYBER	1600	31752	\N	\N	\N
784532	2673	1998-07-28	VYDAJ	VYBER	2800	16930	\N	\N	\N
784533	2673	1998-11-08	VYDAJ	VYBER	4600	33793	\N	\N	\N
784534	2673	1998-06-06	VYDAJ	VYBER	4000	32045	\N	\N	\N
784541	2673	1994-05-31	VYDAJ	VYBER	15	35386	SLUZBY	\N	\N
784542	2673	1994-06-30	VYDAJ	VYBER	15	37963	SLUZBY	\N	\N
784543	2673	1994-07-31	VYDAJ	VYBER	15	33024	SLUZBY	\N	\N
784544	2673	1994-08-31	VYDAJ	VYBER	15	37891	SLUZBY	\N	\N
784545	2673	1994-09-30	VYDAJ	VYBER	15	39265	SLUZBY	\N	\N
784546	2673	1994-10-31	VYDAJ	VYBER	15	36051	SLUZBY	\N	\N
784547	2673	1994-11-30	VYDAJ	VYBER	15	41933	SLUZBY	\N	\N
784548	2673	1994-12-31	VYDAJ	VYBER	15	37823	SLUZBY	\N	\N
784549	2673	1995-01-31	VYDAJ	VYBER	15	31687	SLUZBY	\N	\N
784550	2673	1995-02-28	VYDAJ	VYBER	15	34853	SLUZBY	\N	\N
784551	2673	1995-03-31	VYDAJ	VYBER	15	32829	SLUZBY	\N	\N
784552	2673	1995-04-30	VYDAJ	VYBER	15	35098	SLUZBY	\N	\N
784553	2673	1995-05-31	VYDAJ	VYBER	15	38777	SLUZBY	\N	\N
784554	2673	1995-06-30	VYDAJ	VYBER	15	39566	SLUZBY	\N	\N
784555	2673	1995-07-31	VYDAJ	VYBER	15	37556	SLUZBY	\N	\N
784556	2673	1995-08-31	VYDAJ	VYBER	15	38440	SLUZBY	\N	\N
784557	2673	1995-09-30	VYDAJ	VYBER	15	36627	SLUZBY	\N	\N
784558	2673	1995-10-31	VYDAJ	VYBER	15	35602	SLUZBY	\N	\N
784559	2673	1995-11-30	VYDAJ	VYBER	15	37480	SLUZBY	\N	\N
784560	2673	1995-12-31	VYDAJ	VYBER	15	39478	SLUZBY	\N	\N
784561	2673	1996-01-31	VYDAJ	VYBER	15	33851	SLUZBY	\N	\N
784562	2673	1996-02-29	VYDAJ	VYBER	15	32810	SLUZBY	\N	\N
784563	2673	1996-03-31	VYDAJ	VYBER	15	30671	SLUZBY	\N	\N
784564	2673	1996-04-30	VYDAJ	VYBER	15	31321	SLUZBY	\N	\N
784565	2673	1996-05-31	VYDAJ	VYBER	15	32778	SLUZBY	\N	\N
784566	2673	1996-06-30	VYDAJ	VYBER	15	31629	SLUZBY	\N	\N
784567	2673	1996-07-31	VYDAJ	VYBER	15	34289	SLUZBY	\N	\N
784568	2673	1996-08-31	VYDAJ	VYBER	15	31852	SLUZBY	\N	\N
784569	2673	1996-09-30	VYDAJ	VYBER	15	28903	SLUZBY	\N	\N
784570	2673	1996-10-31	VYDAJ	VYBER	15	29547	SLUZBY	\N	\N
784571	2673	1996-11-30	VYDAJ	VYBER	15	21475	SLUZBY	\N	\N
784572	2673	1996-12-31	VYDAJ	VYBER	15	24398	SLUZBY	\N	\N
784573	2673	1997-01-31	VYDAJ	VYBER	15	16201	SLUZBY	\N	\N
784574	2673	1997-02-28	VYDAJ	VYBER	15	18493	SLUZBY	\N	\N
784575	2673	1997-03-31	VYDAJ	VYBER	15	23199	SLUZBY	\N	\N
784576	2673	1997-04-30	VYDAJ	VYBER	15	25720	SLUZBY	\N	\N
784577	2673	1997-05-31	VYDAJ	VYBER	15	26649	SLUZBY	\N	\N
784578	2673	1997-06-30	VYDAJ	VYBER	15	29291	SLUZBY	\N	\N
784579	2673	1997-07-31	VYDAJ	VYBER	15	21714	SLUZBY	\N	\N
784580	2673	1997-08-31	VYDAJ	VYBER	15	18916	SLUZBY	\N	\N
784581	2673	1997-09-30	VYDAJ	VYBER	15	21017	SLUZBY	\N	\N
784582	2673	1997-10-31	VYDAJ	VYBER	15	21221	SLUZBY	\N	\N
784583	2673	1997-11-30	VYDAJ	VYBER	15	17016	SLUZBY	\N	\N
784584	2673	1997-12-31	VYDAJ	VYBER	15	24726	SLUZBY	\N	\N
784585	2673	1998-01-31	VYDAJ	VYBER	15	17828	SLUZBY	\N	\N
784586	2673	1998-02-28	VYDAJ	VYBER	15	24433	SLUZBY	\N	\N
784587	2673	1998-03-31	VYDAJ	VYBER	15	16932	SLUZBY	\N	\N
784588	2673	1998-04-30	VYDAJ	VYBER	15	17820	SLUZBY	\N	\N
784589	2673	1998-05-31	VYDAJ	VYBER	15	19212	SLUZBY	\N	\N
784590	2673	1998-06-30	VYDAJ	VYBER	15	19605	SLUZBY	\N	\N
784591	2673	1998-07-31	VYDAJ	VYBER	15	16999	SLUZBY	\N	\N
784592	2673	1998-08-31	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
784593	2673	1998-09-30	VYDAJ	VYBER	15	27727	SLUZBY	\N	\N
784594	2673	1998-10-31	VYDAJ	VYBER	15	31868	SLUZBY	\N	\N
784595	2673	1998-11-30	VYDAJ	VYBER	15	29503	SLUZBY	\N	\N
784596	2673	1994-02-03	PRIJEM	VKLAD	6400	19743	\N	\N	\N
784597	2673	1994-03-05	VYDAJ	VYBER	11200	33456	\N	\N	\N
784598	2673	1994-04-04	VYDAJ	VYBER	2400	31235	\N	\N	\N
784599	2673	1994-05-04	VYDAJ	VYBER	10800	33013	\N	\N	\N
784600	2673	1994-06-03	VYDAJ	VYBER	4800	30586	\N	\N	\N
784601	2673	1994-07-03	VYDAJ	VYBER	7500	30463	\N	\N	\N
784602	2673	1994-08-02	VYDAJ	VYBER	1800	31224	\N	\N	\N
784603	2673	1994-09-01	VYDAJ	VYBER	5300	32591	\N	\N	\N
784604	2673	1994-10-01	VYDAJ	VYBER	3500	35765	\N	\N	\N
784605	2673	1994-10-31	VYDAJ	VYBER	6400	36066	\N	\N	\N
784606	2673	1994-11-30	VYDAJ	VYBER	9400	32533	\N	\N	\N
784607	2673	1994-12-30	VYDAJ	VYBER	6100	37655	\N	\N	\N
784608	2673	1995-01-29	PRIJEM	VKLAD	900	32348	\N	\N	\N
784609	2673	1995-02-28	VYDAJ	VYBER	3500	34867	\N	\N	\N
784610	2673	1995-03-30	VYDAJ	VYBER	4000	32678	\N	\N	\N
784611	2673	1995-04-29	VYDAJ	VYBER	4400	34954	\N	\N	\N
784612	2673	1995-05-29	VYDAJ	VYBER	3000	38623	\N	\N	\N
784613	2673	1995-06-28	VYDAJ	VYBER	5300	39399	\N	\N	\N
784614	2673	1995-07-28	VYDAJ	VYBER	5500	37391	\N	\N	\N
784615	2673	1995-08-27	VYDAJ	VYBER	4400	38281	\N	\N	\N
784616	2673	1995-09-26	VYDAJ	VYBER	8500	36465	\N	\N	\N
784617	2673	1995-10-26	VYDAJ	VYBER	4500	35452	\N	\N	\N
784618	2673	1995-11-25	VYDAJ	VYBER	4800	37327	\N	\N	\N
784619	2673	1995-12-25	VYDAJ	VYBER	8900	39302	\N	\N	\N
784620	2673	1996-01-24	VYDAJ	VYBER	700	33703	\N	\N	\N
784621	2673	1996-02-23	VYDAJ	VYBER	4000	32676	\N	\N	\N
784622	2673	1996-03-24	VYDAJ	VYBER	8800	30535	\N	\N	\N
784623	2673	1996-04-23	VYDAJ	VYBER	1600	31196	\N	\N	\N
784624	2673	1996-05-23	VYDAJ	VYBER	5200	32646	\N	\N	\N
784625	2673	1996-06-22	VYDAJ	VYBER	3100	32800	\N	\N	\N
784626	2673	1996-07-22	VYDAJ	VYBER	4000	34154	\N	\N	\N
784627	2673	1996-08-21	VYDAJ	VYBER	7200	33614	\N	\N	\N
784628	2673	1996-09-20	VYDAJ	VYBER	9600	28777	\N	\N	\N
784629	2673	1996-10-20	VYDAJ	VYBER	6000	29428	\N	\N	\N
784630	2673	1996-11-19	VYDAJ	VYBER	5400	23672	\N	\N	\N
784631	2673	1996-12-19	VYDAJ	VYBER	9100	24297	\N	\N	\N
784632	2673	1997-01-18	VYDAJ	VYBER	6000	18923	\N	\N	\N
784633	2673	1997-02-17	VYDAJ	VYBER	4300	18426	\N	\N	\N
784634	2673	1997-03-19	VYDAJ	VYBER	1900	23118	\N	\N	\N
784635	2673	1997-04-18	VYDAJ	VYBER	3500	25624	\N	\N	\N
784636	2673	1997-05-18	VYDAJ	VYBER	5700	26545	\N	\N	\N
784637	2673	1997-06-17	VYDAJ	VYBER	10200	29171	\N	\N	\N
784638	2673	1997-07-17	VYDAJ	VYBER	11400	21616	\N	\N	\N
784639	2673	1997-08-16	VYDAJ	VYBER	9400	18839	\N	\N	\N
784640	2673	1997-09-15	VYDAJ	VYBER	4500	20941	\N	\N	\N
784641	2673	1997-10-15	VYDAJ	VYBER	6400	21142	\N	\N	\N
784642	2673	1997-11-14	VYDAJ	VYBER	4000	19246	\N	\N	\N
784643	2673	1997-12-14	VYDAJ	VYBER	4300	25438	\N	\N	\N
784644	2673	1998-01-13	VYDAJ	VYBER	8700	20951	\N	\N	\N
784645	2673	1998-03-14	VYDAJ	VYBER	14100	16858	\N	\N	\N
784646	2673	1998-04-13	VYDAJ	VYBER	5700	17757	\N	\N	\N
784647	2673	1998-05-13	VYDAJ	VYBER	5200	19145	\N	\N	\N
784648	2673	1998-06-12	VYDAJ	VYBER	8400	19534	\N	\N	\N
784649	2673	1998-07-12	VYDAJ	VYBER	6400	19730	\N	\N	\N
784650	2673	1998-08-11	PRIJEM	VKLAD	1200	24724	\N	\N	\N
784651	2673	1998-09-10	VYDAJ	VYBER	3700	27629	\N	\N	\N
784652	2673	1998-10-10	VYDAJ	VYBER	900	33352	\N	\N	\N
784653	2673	1998-11-09	VYDAJ	VYBER	4400	29393	\N	\N	\N
784654	2673	1998-12-09	VYDAJ	VYBER	8500	33725	\N	\N	\N
784715	2674	1995-10-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
784718	2674	1996-12-09	PRIJEM	VKLAD	35508	59689	\N	\N	\N
784719	2674	1996-01-09	PRIJEM	VKLAD	23665	45592	\N	\N	\N
784720	2674	1997-05-23	PRIJEM	VKLAD	30762	61746	\N	\N	\N
784721	2674	1997-10-30	PRIJEM	VKLAD	37789	55738	\N	\N	\N
784722	2674	1998-08-09	PRIJEM	VKLAD	45402	62902	\N	\N	\N
784723	2674	1998-04-22	PRIJEM	VKLAD	21261	38346	\N	\N	\N
784733	2674	1995-10-16	PRIJEM	VKLAD	1300	2300	\N	\N	\N
784734	2674	1995-11-15	PRIJEM	VKLAD	1300	15105	\N	\N	\N
784735	2674	1995-12-14	PRIJEM	VKLAD	1300	23743	\N	\N	\N
784736	2674	1996-01-14	PRIJEM	VKLAD	1300	46892	\N	\N	\N
784737	2674	1996-02-16	PRIJEM	VKLAD	1300	32392	\N	\N	\N
784738	2674	1996-03-16	PRIJEM	VKLAD	1300	27821	\N	\N	\N
784739	2674	1996-04-17	PRIJEM	VKLAD	1300	27632	\N	\N	\N
784740	2674	1996-05-16	PRIJEM	VKLAD	1300	25783	\N	\N	\N
784741	2674	1996-06-16	PRIJEM	VKLAD	1300	28176	\N	\N	\N
784742	2674	1996-07-17	PRIJEM	VKLAD	1300	27471	\N	\N	\N
784743	2674	1996-08-16	PRIJEM	VKLAD	1300	26159	\N	\N	\N
784744	2674	1996-09-14	PRIJEM	VKLAD	1300	26206	\N	\N	\N
784745	2674	1996-10-15	PRIJEM	VKLAD	1300	26800	\N	\N	\N
784746	2674	1996-11-15	PRIJEM	VKLAD	1300	24692	\N	\N	\N
784747	2674	1996-12-14	PRIJEM	VKLAD	1300	60989	\N	\N	\N
784748	2674	1997-01-17	PRIJEM	VKLAD	1300	38736	\N	\N	\N
784749	2674	1997-02-16	PRIJEM	VKLAD	1300	33483	\N	\N	\N
784750	2674	1997-03-17	PRIJEM	VKLAD	1300	30662	\N	\N	\N
784751	2674	1997-04-17	PRIJEM	VKLAD	1300	29377	\N	\N	\N
784752	2674	1997-05-17	PRIJEM	VKLAD	1300	30984	\N	\N	\N
784753	2674	1997-06-17	PRIJEM	VKLAD	1300	20794	\N	\N	\N
784754	2674	1997-07-17	PRIJEM	VKLAD	1300	26887	\N	\N	\N
784755	2674	1997-08-17	PRIJEM	VKLAD	1300	26367	\N	\N	\N
784756	2674	1997-09-13	PRIJEM	VKLAD	1300	25863	\N	\N	\N
784757	2674	1997-10-13	PRIJEM	VKLAD	1300	22049	\N	\N	\N
784758	2674	1997-11-13	PRIJEM	VKLAD	1300	57119	\N	\N	\N
784759	2674	1997-12-16	PRIJEM	VKLAD	1300	39279	\N	\N	\N
784760	2674	1998-01-13	PRIJEM	VKLAD	1300	23365	\N	\N	\N
784761	2674	1998-02-17	PRIJEM	VKLAD	1300	15542	\N	\N	\N
784762	2674	1998-03-15	PRIJEM	VKLAD	1300	16886	\N	\N	\N
784763	2674	1998-04-17	PRIJEM	VKLAD	1300	17085	\N	\N	\N
784764	2674	1998-05-14	PRIJEM	VKLAD	1300	30419	\N	\N	\N
784765	2674	1998-06-14	PRIJEM	VKLAD	1300	20222	\N	\N	\N
784766	2674	1998-07-17	PRIJEM	VKLAD	1300	16447	\N	\N	\N
784767	2674	1998-08-17	PRIJEM	VKLAD	1300	64202	\N	\N	\N
784768	2674	1998-09-17	PRIJEM	VKLAD	1300	41233	\N	\N	\N
784769	2674	1998-10-13	PRIJEM	VKLAD	1300	28176	\N	\N	\N
784770	2674	1998-11-14	PRIJEM	VKLAD	1300	22267	\N	\N	\N
784771	2674	1998-12-14	PRIJEM	VKLAD	1300	22944	\N	\N	\N
784773	2674	1996-06-29	VYDAJ	VYBER	5900	21776	\N	\N	\N
784774	2674	1997-06-05	VYDAJ	VYBER	25000	19494	\N	\N	\N
784775	2674	1998-06-01	VYDAJ	VYBER	6100	18922	\N	\N	\N
784778	2674	1997-01-18	VYDAJ	VYBER	2300	36436	\N	\N	\N
784779	2674	1998-01-30	VYDAJ	VYBER	1500	14165	\N	\N	\N
784781	2674	1996-12-24	VYDAJ	VYBER	2400	58589	\N	\N	\N
784782	2674	1997-12-23	VYDAJ	VYBER	1700	37579	\N	\N	\N
784783	2674	1998-12-19	VYDAJ	VYBER	2400	20544	\N	\N	\N
784790	2674	1996-01-27	VYDAJ	VYBER	1250	43942	\N	\N	\N
784792	2674	1996-01-17	VYDAJ	VYBER	650	45192	\N	\N	\N
784794	2674	1996-01-16	VYDAJ	VYBER	1050	45842	\N	\N	\N
784796	2674	1997-01-10	VYDAJ	VYBER	650	39336	\N	\N	\N
784797	2674	1997-01-08	VYDAJ	VYBER	1100	39986	\N	\N	\N
784798	2674	1997-01-15	VYDAJ	VYBER	700	37436	\N	\N	\N
784799	2674	1997-01-28	VYDAJ	VYBER	1100	35336	\N	\N	\N
784800	2674	1997-01-01	VYDAJ	VYBER	850	57936	\N	\N	\N
784801	2674	1997-01-04	VYDAJ	VYBER	1150	41086	\N	\N	\N
784802	2674	1998-01-11	VYDAJ	VYBER	1450	23415	\N	\N	\N
784803	2674	1998-01-15	VYDAJ	VYBER	950	21365	\N	\N	\N
784804	2674	1998-01-15	VYDAJ	VYBER	1050	22315	\N	\N	\N
784805	2674	1998-01-21	VYDAJ	VYBER	500	20865	\N	\N	\N
784806	2674	1998-01-12	VYDAJ	VYBER	1350	22065	\N	\N	\N
784807	2674	1998-01-03	VYDAJ	VYBER	1250	24865	\N	\N	\N
784813	2674	1996-02-01	VYDAJ	VYBER	2300	41792	\N	\N	\N
784814	2674	1996-05-04	VYDAJ	VYBER	1900	25833	\N	\N	\N
784815	2674	1996-08-18	VYDAJ	VYBER	250	25909	\N	\N	\N
784816	2674	1996-05-12	VYDAJ	VYBER	1750	24483	\N	\N	\N
784817	2674	1996-10-16	VYDAJ	VYBER	1800	25000	\N	\N	\N
784818	2674	1996-05-17	VYDAJ	VYBER	500	25283	\N	\N	\N
784819	2674	1996-06-27	VYDAJ	VYBER	500	27676	\N	\N	\N
784820	2674	1997-03-10	VYDAJ	VYBER	1850	29362	\N	\N	\N
784821	2674	1997-08-13	VYDAJ	VYBER	2050	25067	\N	\N	\N
784822	2674	1997-07-19	VYDAJ	VYBER	2350	24537	\N	\N	\N
784823	2674	1997-04-07	VYDAJ	VYBER	2300	28077	\N	\N	\N
784824	2674	1997-11-15	VYDAJ	VYBER	1250	55869	\N	\N	\N
784825	2674	1997-01-14	VYDAJ	VYBER	1200	38136	\N	\N	\N
784827	2674	1998-12-21	VYDAJ	VYBER	2300	18244	\N	\N	\N
784828	2674	1998-09-16	VYDAJ	VYBER	1900	39933	\N	\N	\N
784829	2674	1998-07-03	VYDAJ	VYBER	1250	15147	\N	\N	\N
784830	2674	1998-03-20	VYDAJ	VYBER	2150	14736	\N	\N	\N
784831	2674	1998-11-09	VYDAJ	VYBER	1600	20967	\N	\N	\N
784845	2674	1996-01-31	VYDAJ	VYBER	15	44092	SLUZBY	\N	\N
784846	2674	1996-02-29	VYDAJ	VYBER	15	32521	SLUZBY	\N	\N
784847	2674	1996-03-31	VYDAJ	VYBER	15	27932	SLUZBY	\N	\N
784848	2674	1996-04-30	VYDAJ	VYBER	15	27733	SLUZBY	\N	\N
784849	2674	1996-05-31	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
784850	2674	1996-06-30	VYDAJ	VYBER	15	21871	SLUZBY	\N	\N
784851	2674	1996-07-31	VYDAJ	VYBER	15	27559	SLUZBY	\N	\N
784852	2674	1996-08-31	VYDAJ	VYBER	15	26006	SLUZBY	\N	\N
784853	2674	1996-09-30	VYDAJ	VYBER	15	26300	SLUZBY	\N	\N
784854	2674	1996-10-31	VYDAJ	VYBER	15	25092	SLUZBY	\N	\N
784855	2674	1996-11-30	VYDAJ	VYBER	15	24781	SLUZBY	\N	\N
784856	2674	1996-12-31	VYDAJ	VYBER	15	58786	SLUZBY	\N	\N
784857	2674	1997-01-31	VYDAJ	VYBER	15	35483	SLUZBY	\N	\N
784858	2674	1997-02-28	VYDAJ	VYBER	15	33612	SLUZBY	\N	\N
784859	2674	1997-03-31	VYDAJ	VYBER	15	30777	SLUZBY	\N	\N
784860	2674	1997-04-30	VYDAJ	VYBER	15	29484	SLUZBY	\N	\N
784861	2674	1997-05-31	VYDAJ	VYBER	15	61894	SLUZBY	\N	\N
784862	2674	1997-06-30	VYDAJ	VYBER	15	20887	SLUZBY	\N	\N
784863	2674	1997-07-31	VYDAJ	VYBER	15	27117	SLUZBY	\N	\N
784864	2674	1997-08-31	VYDAJ	VYBER	15	24563	SLUZBY	\N	\N
784865	2674	1997-09-30	VYDAJ	VYBER	15	20749	SLUZBY	\N	\N
784866	2674	1997-10-31	VYDAJ	VYBER	15	55819	SLUZBY	\N	\N
784867	2674	1997-11-30	VYDAJ	VYBER	15	37979	SLUZBY	\N	\N
784868	2674	1997-12-31	VYDAJ	VYBER	15	26115	SLUZBY	\N	\N
784869	2674	1998-01-31	VYDAJ	VYBER	15	14242	SLUZBY	\N	\N
784870	2674	1998-02-28	VYDAJ	VYBER	15	15586	SLUZBY	\N	\N
784871	2674	1998-03-31	VYDAJ	VYBER	15	15785	SLUZBY	\N	\N
784872	2674	1998-04-30	VYDAJ	VYBER	15	29119	SLUZBY	\N	\N
784873	2674	1998-05-31	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
784874	2674	1998-06-30	VYDAJ	VYBER	15	16397	SLUZBY	\N	\N
784875	2674	1998-07-31	VYDAJ	VYBER	15	17500	SLUZBY	\N	\N
784876	2674	1998-08-31	VYDAJ	VYBER	15	41833	SLUZBY	\N	\N
784877	2674	1998-09-30	VYDAJ	VYBER	15	26876	SLUZBY	\N	\N
784878	2674	1998-10-31	VYDAJ	VYBER	15	22567	SLUZBY	\N	\N
784879	2674	1998-11-30	VYDAJ	VYBER	15	21644	SLUZBY	\N	\N
784880	2674	1995-11-09	PRIJEM	VKLAD	11500	13805	\N	\N	\N
784881	2674	1995-12-09	PRIJEM	VKLAD	7300	22443	\N	\N	\N
784882	2674	1996-01-08	VYDAJ	VYBER	1900	21927	\N	\N	\N
784883	2674	1996-02-07	VYDAJ	VYBER	10700	31092	\N	\N	\N
784884	2674	1996-03-08	VYDAJ	VYBER	6000	26521	\N	\N	\N
784885	2674	1996-04-07	VYDAJ	VYBER	1600	26332	\N	\N	\N
784886	2674	1996-05-07	PRIJEM	VKLAD	400	26233	\N	\N	\N
784887	2674	1996-06-06	PRIJEM	VKLAD	1500	26876	\N	\N	\N
784888	2674	1996-07-06	PRIJEM	VKLAD	4300	26171	\N	\N	\N
784889	2674	1996-08-05	VYDAJ	VYBER	2700	24859	\N	\N	\N
784890	2674	1996-09-04	VYDAJ	VYBER	1100	24906	\N	\N	\N
784891	2674	1996-10-04	VYDAJ	VYBER	800	25500	\N	\N	\N
784892	2674	1996-11-03	VYDAJ	VYBER	1700	23392	\N	\N	\N
784893	2674	1996-12-03	VYDAJ	VYBER	600	24181	\N	\N	\N
784894	2674	1997-01-02	VYDAJ	VYBER	15700	42236	\N	\N	\N
784895	2674	1997-02-01	VYDAJ	VYBER	3300	32183	\N	\N	\N
784896	2674	1997-03-03	VYDAJ	VYBER	2400	31212	\N	\N	\N
784897	2674	1997-04-02	VYDAJ	VYBER	400	30377	\N	\N	\N
784898	2674	1997-05-02	PRIJEM	VKLAD	200	29684	\N	\N	\N
784899	2674	1997-06-01	VYDAJ	VYBER	17400	44494	\N	\N	\N
784900	2674	1997-07-01	PRIJEM	VKLAD	4700	25587	\N	\N	\N
784901	2674	1997-07-31	PRIJEM	VKLAD	2500	27037	\N	\N	\N
784902	2674	1997-08-30	VYDAJ	VYBER	1900	24467	\N	\N	\N
784903	2674	1997-09-29	VYDAJ	VYBER	5200	20663	\N	\N	\N
784904	2674	1997-10-29	VYDAJ	VYBER	4100	17949	\N	\N	\N
784905	2674	1997-11-28	VYDAJ	VYBER	18100	37769	\N	\N	\N
784906	2674	1997-12-28	VYDAJ	VYBER	11600	25979	\N	\N	\N
784907	2674	1998-01-27	VYDAJ	VYBER	5200	15665	\N	\N	\N
784908	2674	1998-03-28	PRIJEM	VKLAD	1000	15736	\N	\N	\N
784909	2674	1998-04-27	VYDAJ	VYBER	9300	29046	\N	\N	\N
784910	2674	1998-05-27	VYDAJ	VYBER	5500	24919	\N	\N	\N
784911	2674	1998-06-26	VYDAJ	VYBER	3900	16322	\N	\N	\N
784912	2674	1998-07-26	PRIJEM	VKLAD	1000	17447	\N	\N	\N
784913	2674	1998-08-25	VYDAJ	VYBER	22500	41702	\N	\N	\N
784914	2674	1998-09-24	VYDAJ	VYBER	14500	26733	\N	\N	\N
784915	2674	1998-10-24	VYDAJ	VYBER	5700	22476	\N	\N	\N
784916	2674	1998-11-23	VYDAJ	VYBER	700	21567	\N	\N	\N
784956	2675	1994-02-19	PRIJEM	VKLAD	900	900	\N	\N	\N
784957	2675	1994-12-15	PRIJEM	VKLAD	36811	60071	\N	\N	\N
784958	2675	1994-07-16	PRIJEM	VKLAD	34673	56473	\N	\N	\N
784959	2675	1995-09-10	PRIJEM	VKLAD	39351	62197	\N	\N	\N
784960	2675	1995-11-03	PRIJEM	VKLAD	32715	68464	\N	\N	\N
784961	2675	1996-06-19	PRIJEM	VKLAD	38345	61616	\N	\N	\N
784962	2675	1996-04-04	PRIJEM	VKLAD	29209	51991	\N	\N	\N
784963	2675	1997-05-22	PRIJEM	VKLAD	8786	22018	\N	\N	\N
784964	2675	1997-12-01	PRIJEM	VKLAD	21112	37747	\N	\N	\N
784965	2675	1998-09-15	PRIJEM	VKLAD	49280	69279	\N	\N	\N
784966	2675	1998-03-22	PRIJEM	VKLAD	13864	29278	\N	\N	\N
784969	2675	1996-06-20	VYDAJ	VYBER	16100	45516	\N	\N	\N
784979	2675	1996-06-24	VYDAJ	VYBER	11900	33616	\N	\N	\N
784981	2675	1998-06-29	VYDAJ	VYBER	6100	21719	\N	\N	\N
784990	2675	1997-12-23	VYDAJ	VYBER KARTOU	2900	34847	\N	\N	0
785016	2675	1998-01-21	VYDAJ	VYBER KARTOU	300	15317	\N	\N	0
785017	2675	1998-01-01	VYDAJ	VYBER KARTOU	400	16217	\N	\N	0
785018	2675	1998-01-02	VYDAJ	VYBER KARTOU	600	15617	\N	\N	0
785029	2675	1996-09-23	VYDAJ	VYBER KARTOU	300	18055	\N	\N	0
785030	2675	1996-06-08	VYDAJ	VYBER KARTOU	1800	23771	\N	\N	0
785035	2675	1997-09-22	VYDAJ	VYBER KARTOU	1800	16391	\N	\N	0
785037	2675	1998-04-30	VYDAJ	VYBER KARTOU	1600	27834	\N	\N	0
785038	2675	1998-08-22	VYDAJ	VYBER KARTOU	2100	19925	\N	\N	0
785040	2675	1998-10-18	VYDAJ	VYBER KARTOU	1300	31155	\N	\N	0
785069	2675	1996-04-30	VYDAJ	VYBER	15	36336	SLUZBY	\N	\N
785070	2675	1996-05-31	VYDAJ	VYBER	15	25571	SLUZBY	\N	\N
785071	2675	1996-06-30	VYDAJ	VYBER	15	33729	SLUZBY	\N	\N
785072	2675	1996-07-31	VYDAJ	VYBER	15	28154	SLUZBY	\N	\N
785073	2675	1996-08-31	VYDAJ	VYBER	15	21555	SLUZBY	\N	\N
785074	2675	1996-09-30	VYDAJ	VYBER	15	18126	SLUZBY	\N	\N
785075	2675	1996-10-31	VYDAJ	VYBER	15	13086	SLUZBY	\N	\N
785076	2675	1996-11-30	VYDAJ	VYBER	15	13125	SLUZBY	\N	\N
785077	2675	1996-12-31	VYDAJ	VYBER	15	13164	SLUZBY	\N	\N
785078	2675	1997-01-31	VYDAJ	VYBER	15	13150	SLUZBY	\N	\N
785079	2675	1997-02-28	VYDAJ	VYBER	15	13449	SLUZBY	\N	\N
785080	2675	1997-03-31	VYDAJ	VYBER	15	13434	SLUZBY	\N	\N
785081	2675	1997-04-30	VYDAJ	VYBER	15	13532	SLUZBY	\N	\N
785082	2675	1997-05-31	VYDAJ	VYBER	15	22070	SLUZBY	\N	\N
785083	2675	1997-06-30	VYDAJ	VYBER	15	18145	SLUZBY	\N	\N
785084	2675	1997-07-31	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
785085	2675	1997-08-31	VYDAJ	VYBER	15	18191	SLUZBY	\N	\N
785086	2675	1997-09-30	VYDAJ	VYBER	15	16527	SLUZBY	\N	\N
785087	2675	1997-10-31	VYDAJ	VYBER	15	16512	SLUZBY	\N	\N
785088	2675	1997-11-30	VYDAJ	VYBER	15	16635	SLUZBY	\N	\N
785089	2675	1997-12-31	VYDAJ	VYBER	15	16617	SLUZBY	\N	\N
785090	2675	1998-01-31	VYDAJ	VYBER	15	15366	SLUZBY	\N	\N
785091	2675	1998-02-28	VYDAJ	VYBER	15	15414	SLUZBY	\N	\N
785092	2675	1998-03-31	VYDAJ	VYBER	15	29328	SLUZBY	\N	\N
785093	2675	1998-04-30	VYDAJ	VYBER	15	29434	SLUZBY	\N	\N
785094	2675	1998-05-31	VYDAJ	VYBER	15	27819	SLUZBY	\N	\N
785095	2675	1998-06-30	VYDAJ	VYBER	15	21950	SLUZBY	\N	\N
785096	2675	1998-07-31	VYDAJ	VYBER	15	22025	SLUZBY	\N	\N
785097	2675	1998-08-31	VYDAJ	VYBER	15	19999	SLUZBY	\N	\N
785098	2675	1998-09-30	VYDAJ	VYBER	15	32455	SLUZBY	\N	\N
785099	2675	1998-10-31	VYDAJ	VYBER	15	31273	SLUZBY	\N	\N
785100	2675	1998-11-30	VYDAJ	VYBER	15	15084	SLUZBY	\N	\N
785101	2675	1994-03-21	PRIJEM	VKLAD	12400	13300	\N	\N	\N
785102	2675	1994-04-20	PRIJEM	VKLAD	7100	20400	\N	\N	\N
785103	2675	1994-05-20	PRIJEM	VKLAD	2400	22800	\N	\N	\N
785104	2675	1994-06-19	VYDAJ	VYBER	1000	21800	\N	\N	\N
785105	2675	1994-07-19	VYDAJ	VYBER	15300	41173	\N	\N	\N
785106	2675	1994-08-18	VYDAJ	VYBER	7500	33745	\N	\N	\N
785107	2675	1994-09-17	VYDAJ	VYBER	7500	26417	\N	\N	\N
785108	2675	1994-10-17	VYDAJ	VYBER	3500	23088	\N	\N	\N
785109	2675	1994-12-16	VYDAJ	VYBER	18000	42071	\N	\N	\N
785110	2675	1995-01-15	VYDAJ	VYBER	9600	32644	\N	\N	\N
785111	2675	1995-02-14	VYDAJ	VYBER	4400	28419	\N	\N	\N
785112	2675	1995-03-16	VYDAJ	VYBER	2300	26295	\N	\N	\N
785113	2675	1995-04-15	VYDAJ	VYBER	3300	23170	\N	\N	\N
785114	2675	1995-05-15	VYDAJ	VYBER	2000	21345	\N	\N	\N
785115	2675	1995-06-14	PRIJEM	VKLAD	400	21921	\N	\N	\N
785116	2675	1995-07-14	VYDAJ	VYBER	2000	20096	\N	\N	\N
785117	2675	1995-08-13	PRIJEM	VKLAD	2400	22671	\N	\N	\N
785118	2675	1995-09-12	VYDAJ	VYBER	20000	42197	\N	\N	\N
785119	2675	1995-10-12	VYDAJ	VYBER	6800	35573	\N	\N	\N
785120	2675	1995-11-11	VYDAJ	VYBER	24200	44264	\N	\N	\N
785121	2675	1995-12-11	VYDAJ	VYBER	12700	31745	\N	\N	\N
785122	2675	1996-01-10	VYDAJ	VYBER	4400	27529	\N	\N	\N
785123	2675	1996-02-09	VYDAJ	VYBER KARTOU	3200	24514	\N	\N	0
785124	2675	1996-03-10	VYDAJ	VYBER KARTOU	2100	22598	\N	\N	0
785125	2675	1996-04-09	VYDAJ	VYBER	15800	36191	\N	\N	\N
785126	2675	1996-05-09	VYDAJ	VYBER	10900	25436	\N	\N	\N
785127	2675	1996-06-08	VYDAJ	VYBER KARTOU	500	23271	\N	\N	0
785128	2675	1996-07-08	VYDAJ	VYBER	5700	28029	\N	\N	\N
785129	2675	1996-08-07	VYDAJ	VYBER	6700	21454	\N	\N	\N
785130	2675	1996-09-06	VYDAJ	VYBER KARTOU	3200	18355	\N	\N	0
785131	2675	1996-10-06	VYDAJ	VYBER	5100	13026	\N	\N	\N
785132	2675	1997-02-03	PRIJEM	VKLAD	200	13350	\N	\N	\N
785133	2675	1997-05-04	VYDAJ	VYBER KARTOU	300	13232	\N	\N	0
785134	2675	1997-06-03	VYDAJ	VYBER KARTOU	4000	18070	\N	\N	0
785135	2675	1997-12-30	VYDAJ	VYBER	18300	16547	\N	\N	\N
785136	2675	1998-09-26	VYDAJ	VYBER	36900	32379	\N	\N	\N
785137	2675	1998-11-25	VYDAJ	VYBER	16300	14973	\N	\N	\N
785190	2676	1993-01-22	PRIJEM	VKLAD	200	200	\N	\N	\N
785192	2676	1993-02-13	PRIJEM	VKLAD	15263	15463	\N	\N	\N
785193	2676	1993-03-13	PRIJEM	VKLAD	15263	34048	\N	\N	\N
785194	2676	1993-04-13	PRIJEM	VKLAD	15263	44903	\N	\N	\N
785195	2676	1993-05-13	PRIJEM	VKLAD	15263	51497	\N	\N	\N
785196	2676	1993-06-13	PRIJEM	VKLAD	22895	61345	\N	\N	\N
785197	2676	1993-07-13	PRIJEM	VKLAD	15263	53885	\N	\N	\N
785198	2676	1993-08-13	PRIJEM	VKLAD	15263	48202	\N	\N	\N
785199	2676	1993-09-13	PRIJEM	VKLAD	15263	46023	\N	\N	\N
785200	2676	1993-10-13	PRIJEM	VKLAD	15263	43882	\N	\N	\N
785201	2676	1993-11-13	PRIJEM	VKLAD	15263	43274	\N	\N	\N
785202	2676	1993-12-13	PRIJEM	VKLAD	22895	49317	\N	\N	\N
785203	2676	1994-01-13	PRIJEM	VKLAD	15263	42882	\N	\N	\N
785204	2676	1994-02-13	PRIJEM	VKLAD	15263	35590	\N	\N	\N
785205	2676	1994-03-13	PRIJEM	VKLAD	15263	43461	\N	\N	\N
785206	2676	1994-04-13	PRIJEM	VKLAD	15263	42309	\N	\N	\N
785207	2676	1994-05-13	PRIJEM	VKLAD	15263	46802	\N	\N	\N
785208	2676	1994-06-13	PRIJEM	VKLAD	22895	48933	\N	\N	\N
785209	2676	1994-07-13	PRIJEM	VKLAD	15263	46528	\N	\N	\N
785210	2676	1994-08-13	PRIJEM	VKLAD	15263	42249	\N	\N	\N
785211	2676	1994-09-13	PRIJEM	VKLAD	15263	46740	\N	\N	\N
785212	2676	1994-10-13	PRIJEM	VKLAD	15263	44032	\N	\N	\N
785213	2676	1994-11-13	PRIJEM	VKLAD	15263	45723	\N	\N	\N
785214	2676	1994-12-13	PRIJEM	VKLAD	22895	51012	\N	\N	\N
785215	2676	1995-01-13	PRIJEM	VKLAD	15263	34625	\N	\N	\N
785216	2676	1995-02-13	PRIJEM	VKLAD	15263	40745	\N	\N	\N
785217	2676	1995-03-13	PRIJEM	VKLAD	15263	46858	\N	\N	\N
785218	2676	1995-04-13	PRIJEM	VKLAD	15263	37886	\N	\N	\N
785219	2676	1995-05-13	PRIJEM	VKLAD	15263	40879	\N	\N	\N
785220	2676	1995-06-13	PRIJEM	VKLAD	22895	48875	\N	\N	\N
785221	2676	1995-07-13	PRIJEM	VKLAD	15263	47300	\N	\N	\N
785222	2676	1995-08-13	PRIJEM	VKLAD	15263	45043	\N	\N	\N
785223	2676	1995-09-13	PRIJEM	VKLAD	15263	43673	\N	\N	\N
785224	2676	1995-10-13	PRIJEM	VKLAD	15263	39151	\N	\N	\N
785225	2676	1995-11-13	PRIJEM	VKLAD	15263	40352	\N	\N	\N
785226	2676	1995-12-13	PRIJEM	VKLAD	22895	47389	\N	\N	\N
785227	2676	1996-01-13	PRIJEM	VKLAD	15263	34298	\N	\N	\N
785228	2676	1996-02-13	PRIJEM	VKLAD	15263	30618	\N	\N	\N
785229	2676	1996-03-13	PRIJEM	VKLAD	15263	35370	\N	\N	\N
785230	2676	1996-04-13	PRIJEM	VKLAD	15263	37327	\N	\N	\N
785231	2676	1996-05-13	PRIJEM	VKLAD	15263	42995	\N	\N	\N
785232	2676	1996-06-13	PRIJEM	VKLAD	22895	52834	\N	\N	\N
785233	2676	1996-07-13	PRIJEM	VKLAD	15263	37140	\N	\N	\N
785234	2676	1996-08-13	PRIJEM	VKLAD	15263	41622	\N	\N	\N
785235	2676	1996-09-13	PRIJEM	VKLAD	15263	38562	\N	\N	\N
785236	2676	1996-10-13	PRIJEM	VKLAD	15263	40555	\N	\N	\N
785237	2676	1996-11-13	PRIJEM	VKLAD	15263	41054	\N	\N	\N
785238	2676	1996-12-13	PRIJEM	VKLAD	22895	55090	\N	\N	\N
785239	2676	1997-01-13	PRIJEM	VKLAD	15263	35965	\N	\N	\N
785240	2676	1997-02-13	PRIJEM	VKLAD	15263	44288	\N	\N	\N
785241	2676	1997-03-13	PRIJEM	VKLAD	15263	50098	\N	\N	\N
785242	2676	1997-04-13	PRIJEM	VKLAD	15263	49734	\N	\N	\N
785243	2676	1997-05-13	PRIJEM	VKLAD	15263	46827	\N	\N	\N
785244	2676	1997-06-13	PRIJEM	VKLAD	22895	45585	\N	\N	\N
785245	2676	1997-07-13	PRIJEM	VKLAD	15263	46193	\N	\N	\N
785246	2676	1997-08-13	PRIJEM	VKLAD	15263	47011	\N	\N	\N
785247	2676	1997-09-13	PRIJEM	VKLAD	15263	39950	\N	\N	\N
785248	2676	1997-10-13	PRIJEM	VKLAD	15263	41458	\N	\N	\N
785249	2676	1997-11-13	PRIJEM	VKLAD	15263	45351	\N	\N	\N
785250	2676	1997-12-13	PRIJEM	VKLAD	22895	54012	\N	\N	\N
785251	2676	1998-01-13	PRIJEM	VKLAD	15263	35069	\N	\N	\N
785252	2676	1998-02-13	PRIJEM	VKLAD	15263	40412	\N	\N	\N
785253	2676	1998-03-13	PRIJEM	VKLAD	15263	48640	\N	\N	\N
785254	2676	1998-04-13	PRIJEM	VKLAD	15263	56267	\N	\N	\N
785255	2676	1998-05-13	PRIJEM	VKLAD	15263	57919	\N	\N	\N
785256	2676	1998-06-13	PRIJEM	VKLAD	22895	67510	\N	\N	\N
785257	2676	1998-07-13	PRIJEM	VKLAD	15263	52360	\N	\N	\N
785258	2676	1998-08-13	PRIJEM	VKLAD	15263	54694	\N	\N	\N
785259	2676	1998-09-13	PRIJEM	VKLAD	15263	53234	\N	\N	\N
785260	2676	1998-10-13	PRIJEM	VKLAD	15263	52668	\N	\N	\N
785261	2676	1998-11-13	PRIJEM	VKLAD	15263	51798	\N	\N	\N
785262	2676	1998-12-13	PRIJEM	VKLAD	22895	59256	\N	\N	\N
785269	2676	1993-07-10	VYDAJ	PREVOD NA UCET	1510	38622	SIPO	OP	32712727
785270	2676	1993-08-10	VYDAJ	PREVOD NA UCET	1510	37259	SIPO	OP	32712727
785271	2676	1993-09-10	VYDAJ	PREVOD NA UCET	1510	30760	SIPO	OP	32712727
785272	2676	1993-10-10	VYDAJ	PREVOD NA UCET	1510	28619	SIPO	OP	32712727
785273	2676	1993-11-10	VYDAJ	PREVOD NA UCET	1510	28011	SIPO	OP	32712727
785274	2676	1993-12-10	VYDAJ	PREVOD NA UCET	1510	29303	SIPO	OP	32712727
785275	2676	1994-01-10	VYDAJ	PREVOD NA UCET	1510	28339	SIPO	OP	32712727
785276	2676	1994-02-10	VYDAJ	PREVOD NA UCET	1510	20327	SIPO	OP	32712727
785277	2676	1994-03-10	VYDAJ	PREVOD NA UCET	1510	28198	SIPO	OP	32712727
785278	2676	1994-04-10	VYDAJ	PREVOD NA UCET	1510	27046	SIPO	OP	32712727
785279	2676	1994-05-10	VYDAJ	PREVOD NA UCET	1510	31539	SIPO	OP	32712727
785280	2676	1994-06-10	VYDAJ	PREVOD NA UCET	1510	26038	SIPO	OP	32712727
785281	2676	1994-07-10	VYDAJ	PREVOD NA UCET	1510	31265	SIPO	OP	32712727
785282	2676	1994-08-10	VYDAJ	PREVOD NA UCET	1510	26986	SIPO	OP	32712727
785283	2676	1994-09-10	VYDAJ	PREVOD NA UCET	1510	31477	SIPO	OP	32712727
785284	2676	1994-10-10	VYDAJ	PREVOD NA UCET	1510	28769	SIPO	OP	32712727
785285	2676	1994-11-10	VYDAJ	PREVOD NA UCET	1510	30460	SIPO	OP	32712727
785286	2676	1994-12-10	VYDAJ	PREVOD NA UCET	1510	28117	SIPO	OP	32712727
785287	2676	1995-01-10	VYDAJ	PREVOD NA UCET	1510	15362	SIPO	OP	32712727
785288	2676	1995-02-10	VYDAJ	PREVOD NA UCET	1510	23882	SIPO	OP	32712727
785289	2676	1995-03-10	VYDAJ	PREVOD NA UCET	1510	31595	SIPO	OP	32712727
785290	2676	1995-04-10	VYDAJ	PREVOD NA UCET	1510	26023	SIPO	OP	32712727
785291	2676	1995-05-10	VYDAJ	PREVOD NA UCET	1510	32816	SIPO	OP	32712727
785292	2676	1995-06-10	VYDAJ	PREVOD NA UCET	1510	31381	SIPO	OP	32712727
785293	2676	1995-07-10	VYDAJ	PREVOD NA UCET	1510	43837	SIPO	OP	32712727
785294	2676	1995-08-10	VYDAJ	PREVOD NA UCET	1510	29780	SIPO	OP	32712727
785295	2676	1995-09-10	VYDAJ	PREVOD NA UCET	1510	28410	SIPO	OP	32712727
785296	2676	1995-10-10	VYDAJ	PREVOD NA UCET	1510	23888	SIPO	OP	32712727
785297	2676	1995-11-10	VYDAJ	PREVOD NA UCET	1510	25089	SIPO	OP	32712727
785298	2676	1995-12-10	VYDAJ	PREVOD NA UCET	1510	24494	SIPO	OP	32712727
785299	2676	1996-01-10	VYDAJ	PREVOD NA UCET	1510	21195	SIPO	OP	32712727
785300	2676	1996-02-10	VYDAJ	PREVOD NA UCET	1510	15355	SIPO	OP	32712727
785301	2676	1996-03-10	VYDAJ	PREVOD NA UCET	1510	20107	SIPO	OP	32712727
785302	2676	1996-04-10	VYDAJ	PREVOD NA UCET	1510	22064	SIPO	OP	32712727
785303	2676	1996-05-10	VYDAJ	PREVOD NA UCET	1510	27732	SIPO	OP	32712727
785304	2676	1996-06-10	VYDAJ	PREVOD NA UCET	1510	29940	SIPO	OP	32712727
785305	2676	1996-07-10	VYDAJ	PREVOD NA UCET	1510	21877	SIPO	OP	32712727
785306	2676	1996-08-10	VYDAJ	PREVOD NA UCET	1510	26359	SIPO	OP	32712727
785307	2676	1996-09-10	VYDAJ	PREVOD NA UCET	1510	23299	SIPO	OP	32712727
785308	2676	1996-10-10	VYDAJ	PREVOD NA UCET	1510	25292	SIPO	OP	32712727
785309	2676	1996-11-10	VYDAJ	PREVOD NA UCET	1510	25791	SIPO	OP	32712727
785310	2676	1996-12-10	VYDAJ	PREVOD NA UCET	1510	32196	SIPO	OP	32712727
785311	2676	1997-01-10	VYDAJ	PREVOD NA UCET	1510	20702	SIPO	OP	32712727
785312	2676	1997-02-10	VYDAJ	PREVOD NA UCET	1510	29025	SIPO	OP	32712727
785313	2676	1997-03-10	VYDAJ	PREVOD NA UCET	1510	34835	SIPO	OP	32712727
785314	2676	1997-04-10	VYDAJ	PREVOD NA UCET	1510	34471	SIPO	OP	32712727
785315	2676	1997-05-10	VYDAJ	PREVOD NA UCET	1510	31564	SIPO	OP	32712727
785316	2676	1997-06-10	VYDAJ	PREVOD NA UCET	1510	22690	SIPO	OP	32712727
785317	2676	1997-07-10	VYDAJ	PREVOD NA UCET	1510	30930	SIPO	OP	32712727
785318	2676	1997-08-10	VYDAJ	PREVOD NA UCET	1510	31748	SIPO	OP	32712727
785319	2676	1997-09-10	VYDAJ	PREVOD NA UCET	1510	24687	SIPO	OP	32712727
785320	2676	1997-10-10	VYDAJ	PREVOD NA UCET	1510	26195	SIPO	OP	32712727
785321	2676	1997-11-10	VYDAJ	PREVOD NA UCET	1510	30088	SIPO	OP	32712727
785322	2676	1997-12-10	VYDAJ	PREVOD NA UCET	1510	31118	SIPO	OP	32712727
785323	2676	1998-01-10	VYDAJ	PREVOD NA UCET	1510	24006	SIPO	OP	32712727
785324	2676	1998-02-10	VYDAJ	PREVOD NA UCET	1510	25149	SIPO	OP	32712727
785325	2676	1998-03-10	VYDAJ	PREVOD NA UCET	1510	33377	SIPO	OP	32712727
785326	2676	1998-04-10	VYDAJ	PREVOD NA UCET	1510	41004	SIPO	OP	32712727
785327	2676	1998-05-10	VYDAJ	PREVOD NA UCET	1510	42656	SIPO	OP	32712727
785328	2676	1998-06-10	VYDAJ	PREVOD NA UCET	1510	44616	SIPO	OP	32712727
785329	2676	1998-07-10	VYDAJ	PREVOD NA UCET	1510	37097	SIPO	OP	32712727
785330	2676	1998-08-10	VYDAJ	PREVOD NA UCET	1510	39431	SIPO	OP	32712727
785331	2676	1998-09-10	VYDAJ	PREVOD NA UCET	1510	37971	SIPO	OP	32712727
785332	2676	1998-10-10	VYDAJ	PREVOD NA UCET	1510	37405	SIPO	OP	32712727
785333	2676	1998-11-10	VYDAJ	PREVOD NA UCET	1510	36535	SIPO	OP	32712727
785334	2676	1998-12-10	VYDAJ	PREVOD NA UCET	1510	36362	SIPO	OP	32712727
785340	2676	1993-06-13	VYDAJ	PREVOD NA UCET	1339	60006	 	IJ	56445985
785341	2676	1993-07-13	VYDAJ	PREVOD NA UCET	1339	52546	 	IJ	56445985
785342	2676	1993-08-13	VYDAJ	PREVOD NA UCET	1339	46863	 	IJ	56445985
785343	2676	1993-09-13	VYDAJ	PREVOD NA UCET	1339	44684	 	IJ	56445985
785344	2676	1993-10-13	VYDAJ	PREVOD NA UCET	1339	42543	 	IJ	56445985
785345	2676	1993-11-13	VYDAJ	PREVOD NA UCET	1339	41935	 	IJ	56445985
785346	2676	1993-12-13	VYDAJ	PREVOD NA UCET	1339	47978	 	IJ	56445985
785347	2676	1994-01-13	VYDAJ	PREVOD NA UCET	1339	41543	 	IJ	56445985
785348	2676	1994-02-13	VYDAJ	PREVOD NA UCET	1339	34251	 	IJ	56445985
785349	2676	1994-03-13	VYDAJ	PREVOD NA UCET	1339	42122	 	IJ	56445985
785350	2676	1994-04-13	VYDAJ	PREVOD NA UCET	1339	40970	 	IJ	56445985
785351	2676	1994-05-13	VYDAJ	PREVOD NA UCET	1339	45463	 	IJ	56445985
785352	2676	1994-06-13	VYDAJ	PREVOD NA UCET	1339	47594	 	IJ	56445985
785353	2676	1994-07-13	VYDAJ	PREVOD NA UCET	1339	45189	 	IJ	56445985
785354	2676	1994-08-13	VYDAJ	PREVOD NA UCET	1339	40910	 	IJ	56445985
785355	2676	1994-09-13	VYDAJ	PREVOD NA UCET	1339	45401	 	IJ	56445985
785356	2676	1994-10-13	VYDAJ	PREVOD NA UCET	1339	42693	 	IJ	56445985
785357	2676	1994-11-13	VYDAJ	PREVOD NA UCET	1339	35084	 	IJ	56445985
785358	2676	1994-12-13	VYDAJ	PREVOD NA UCET	1339	49673	 	IJ	56445985
785359	2676	1995-01-13	VYDAJ	PREVOD NA UCET	1339	33286	 	IJ	56445985
785360	2676	1995-02-13	VYDAJ	PREVOD NA UCET	1339	39406	 	IJ	56445985
785361	2676	1995-03-13	VYDAJ	PREVOD NA UCET	1339	45519	 	IJ	56445985
785362	2676	1995-04-13	VYDAJ	PREVOD NA UCET	1339	36547	 	IJ	56445985
785363	2676	1995-05-13	VYDAJ	PREVOD NA UCET	1339	39540	 	IJ	56445985
785364	2676	1995-06-13	VYDAJ	PREVOD NA UCET	1339	47536	 	IJ	56445985
785365	2676	1995-07-13	VYDAJ	PREVOD NA UCET	1339	45961	 	IJ	56445985
785366	2676	1995-08-13	VYDAJ	PREVOD NA UCET	1339	43704	 	IJ	56445985
785367	2676	1995-09-13	VYDAJ	PREVOD NA UCET	1339	42334	 	IJ	56445985
785368	2676	1995-10-13	VYDAJ	PREVOD NA UCET	1339	37812	 	IJ	56445985
785369	2676	1995-11-13	VYDAJ	PREVOD NA UCET	1339	39013	 	IJ	56445985
785370	2676	1995-12-13	VYDAJ	PREVOD NA UCET	1339	46050	 	IJ	56445985
785371	2676	1996-01-13	VYDAJ	PREVOD NA UCET	1339	32959	 	IJ	56445985
785372	2676	1996-02-13	VYDAJ	PREVOD NA UCET	1339	29279	 	IJ	56445985
785373	2676	1996-03-13	VYDAJ	PREVOD NA UCET	1339	34031	 	IJ	56445985
785374	2676	1996-04-13	VYDAJ	PREVOD NA UCET	1339	35988	 	IJ	56445985
785375	2676	1996-05-13	VYDAJ	PREVOD NA UCET	1339	41656	 	IJ	56445985
785376	2676	1996-06-13	VYDAJ	PREVOD NA UCET	1339	51495	 	IJ	56445985
785377	2676	1996-07-13	VYDAJ	PREVOD NA UCET	1339	35801	 	IJ	56445985
785378	2676	1996-08-13	VYDAJ	PREVOD NA UCET	1339	40283	 	IJ	56445985
785379	2676	1996-09-13	VYDAJ	PREVOD NA UCET	1339	37223	 	IJ	56445985
785380	2676	1996-10-13	VYDAJ	PREVOD NA UCET	1339	39216	 	IJ	56445985
785381	2676	1996-11-13	VYDAJ	PREVOD NA UCET	1339	39715	 	IJ	56445985
785382	2676	1996-12-13	VYDAJ	PREVOD NA UCET	1339	53751	 	IJ	56445985
785383	2676	1997-01-13	VYDAJ	PREVOD NA UCET	1339	34626	 	IJ	56445985
785384	2676	1997-02-13	VYDAJ	PREVOD NA UCET	1339	42949	 	IJ	56445985
785385	2676	1997-03-13	VYDAJ	PREVOD NA UCET	1339	48759	 	IJ	56445985
785386	2676	1997-04-13	VYDAJ	PREVOD NA UCET	1339	48395	 	IJ	56445985
785387	2676	1997-05-13	VYDAJ	PREVOD NA UCET	1339	45488	 	IJ	56445985
785388	2676	1997-06-13	VYDAJ	PREVOD NA UCET	1339	44246	 	IJ	56445985
785389	2676	1997-07-13	VYDAJ	PREVOD NA UCET	1339	44854	 	IJ	56445985
785390	2676	1997-08-13	VYDAJ	PREVOD NA UCET	1339	45672	 	IJ	56445985
785391	2676	1997-09-13	VYDAJ	PREVOD NA UCET	1339	38611	 	IJ	56445985
785392	2676	1997-10-13	VYDAJ	PREVOD NA UCET	1339	40119	 	IJ	56445985
785393	2676	1997-11-13	VYDAJ	PREVOD NA UCET	1339	44012	 	IJ	56445985
785394	2676	1997-12-13	VYDAJ	PREVOD NA UCET	1339	52673	 	IJ	56445985
785395	2676	1998-01-13	VYDAJ	PREVOD NA UCET	1339	33730	 	IJ	56445985
785396	2676	1998-02-13	VYDAJ	PREVOD NA UCET	1339	39073	 	IJ	56445985
785397	2676	1998-03-13	VYDAJ	PREVOD NA UCET	1339	47301	 	IJ	56445985
785398	2676	1998-04-13	VYDAJ	PREVOD NA UCET	1339	54928	 	IJ	56445985
785399	2676	1998-05-13	VYDAJ	PREVOD NA UCET	1339	56580	 	IJ	56445985
785400	2676	1998-06-13	VYDAJ	PREVOD NA UCET	1339	66171	 	IJ	56445985
785401	2676	1998-07-13	VYDAJ	PREVOD NA UCET	1339	51021	 	IJ	56445985
785402	2676	1998-08-13	VYDAJ	PREVOD NA UCET	1339	53355	 	IJ	56445985
785403	2676	1998-09-13	VYDAJ	PREVOD NA UCET	1339	51895	 	IJ	56445985
785404	2676	1998-10-13	VYDAJ	PREVOD NA UCET	1339	51329	 	IJ	56445985
785405	2676	1998-11-13	VYDAJ	PREVOD NA UCET	1339	50459	 	IJ	56445985
785406	2676	1998-12-13	VYDAJ	PREVOD NA UCET	1339	57917	 	IJ	56445985
785413	2676	1993-07-06	VYDAJ	PREVOD NA UCET	2348	40132	POJISTNE	ST	71575033
785414	2676	1993-08-06	VYDAJ	PREVOD NA UCET	2348	38769	POJISTNE	ST	71575033
785415	2676	1993-09-06	VYDAJ	PREVOD NA UCET	2348	32270	POJISTNE	ST	71575033
785416	2676	1993-10-06	VYDAJ	PREVOD NA UCET	2348	30129	POJISTNE	ST	71575033
785417	2676	1993-11-06	VYDAJ	PREVOD NA UCET	2348	29521	POJISTNE	ST	71575033
785418	2676	1993-12-06	VYDAJ	PREVOD NA UCET	2348	30813	POJISTNE	ST	71575033
785419	2676	1994-01-06	VYDAJ	PREVOD NA UCET	2348	29849	POJISTNE	ST	71575033
785420	2676	1994-02-06	VYDAJ	PREVOD NA UCET	2348	21837	POJISTNE	ST	71575033
785421	2676	1994-03-06	VYDAJ	PREVOD NA UCET	2348	29708	POJISTNE	ST	71575033
785422	2676	1994-04-06	VYDAJ	PREVOD NA UCET	2348	28556	POJISTNE	ST	71575033
785423	2676	1994-05-06	VYDAJ	PREVOD NA UCET	2348	33049	POJISTNE	ST	71575033
785424	2676	1994-06-06	VYDAJ	PREVOD NA UCET	2348	31748	POJISTNE	ST	71575033
785425	2676	1994-07-06	VYDAJ	PREVOD NA UCET	2348	32775	POJISTNE	ST	71575033
785426	2676	1994-08-06	VYDAJ	PREVOD NA UCET	2348	28496	POJISTNE	ST	71575033
785427	2676	1994-09-06	VYDAJ	PREVOD NA UCET	2348	32987	POJISTNE	ST	71575033
785428	2676	1994-10-06	VYDAJ	PREVOD NA UCET	2348	30279	POJISTNE	ST	71575033
785429	2676	1994-11-06	VYDAJ	PREVOD NA UCET	2348	31970	POJISTNE	ST	71575033
785430	2676	1994-12-06	VYDAJ	PREVOD NA UCET	2348	29627	POJISTNE	ST	71575033
785431	2676	1995-01-06	VYDAJ	PREVOD NA UCET	2348	16872	POJISTNE	ST	71575033
785432	2676	1995-02-06	VYDAJ	PREVOD NA UCET	2348	25392	POJISTNE	ST	71575033
785433	2676	1995-03-06	VYDAJ	PREVOD NA UCET	2348	37185	POJISTNE	ST	71575033
785434	2676	1995-04-06	VYDAJ	PREVOD NA UCET	2348	31133	POJISTNE	ST	71575033
785435	2676	1995-05-06	VYDAJ	PREVOD NA UCET	2348	34326	POJISTNE	ST	71575033
785436	2676	1995-06-06	VYDAJ	PREVOD NA UCET	2348	32891	POJISTNE	ST	71575033
785437	2676	1995-07-06	VYDAJ	PREVOD NA UCET	2348	45347	POJISTNE	ST	71575033
785438	2676	1995-08-06	VYDAJ	PREVOD NA UCET	2348	43790	POJISTNE	ST	71575033
785439	2676	1995-09-06	VYDAJ	PREVOD NA UCET	2348	41520	POJISTNE	ST	71575033
785440	2676	1995-10-06	VYDAJ	PREVOD NA UCET	2348	35698	POJISTNE	ST	71575033
785441	2676	1995-11-06	VYDAJ	PREVOD NA UCET	2348	35599	POJISTNE	ST	71575033
785442	2676	1995-12-06	VYDAJ	PREVOD NA UCET	2348	36204	POJISTNE	ST	71575033
785443	2676	1996-01-06	VYDAJ	PREVOD NA UCET	2348	36965	POJISTNE	ST	71575033
785444	2676	1996-02-06	VYDAJ	PREVOD NA UCET	2348	16865	POJISTNE	ST	71575033
785445	2676	1996-03-06	VYDAJ	PREVOD NA UCET	2348	27017	POJISTNE	ST	71575033
785446	2676	1996-04-06	VYDAJ	PREVOD NA UCET	2348	26874	POJISTNE	ST	71575033
785447	2676	1996-05-06	VYDAJ	PREVOD NA UCET	2348	29242	POJISTNE	ST	71575033
785448	2676	1996-06-06	VYDAJ	PREVOD NA UCET	2348	31450	POJISTNE	ST	71575033
785449	2676	1996-07-06	VYDAJ	PREVOD NA UCET	2348	23387	POJISTNE	ST	71575033
785450	2676	1996-08-06	VYDAJ	PREVOD NA UCET	2348	27869	POJISTNE	ST	71575033
785451	2676	1996-09-06	VYDAJ	PREVOD NA UCET	2348	24809	POJISTNE	ST	71575033
785452	2676	1996-10-06	VYDAJ	PREVOD NA UCET	2348	26802	POJISTNE	ST	71575033
785453	2676	1996-11-06	VYDAJ	PREVOD NA UCET	2348	27301	POJISTNE	ST	71575033
785454	2676	1996-12-06	VYDAJ	PREVOD NA UCET	2348	33706	POJISTNE	ST	71575033
785455	2676	1997-01-06	VYDAJ	PREVOD NA UCET	2348	23172	POJISTNE	ST	71575033
785456	2676	1997-02-06	VYDAJ	PREVOD NA UCET	2348	30535	POJISTNE	ST	71575033
785457	2676	1997-03-06	VYDAJ	PREVOD NA UCET	2348	36345	POJISTNE	ST	71575033
785458	2676	1997-04-06	VYDAJ	PREVOD NA UCET	2348	35981	POJISTNE	ST	71575033
785459	2676	1997-05-06	VYDAJ	PREVOD NA UCET	2348	33074	POJISTNE	ST	71575033
785460	2676	1997-06-06	VYDAJ	PREVOD NA UCET	2348	35400	POJISTNE	ST	71575033
785461	2676	1997-07-06	VYDAJ	PREVOD NA UCET	2348	32440	POJISTNE	ST	71575033
785462	2676	1997-08-06	VYDAJ	PREVOD NA UCET	2348	33258	POJISTNE	ST	71575033
785463	2676	1997-09-06	VYDAJ	PREVOD NA UCET	2348	26197	POJISTNE	ST	71575033
785464	2676	1997-10-06	VYDAJ	PREVOD NA UCET	2348	27705	POJISTNE	ST	71575033
785465	2676	1997-11-06	VYDAJ	PREVOD NA UCET	2348	31598	POJISTNE	ST	71575033
785466	2676	1997-12-06	VYDAJ	PREVOD NA UCET	2348	36308	POJISTNE	ST	71575033
785467	2676	1998-01-06	VYDAJ	PREVOD NA UCET	2348	41716	POJISTNE	ST	71575033
785468	2676	1998-02-06	VYDAJ	PREVOD NA UCET	2348	26659	POJISTNE	ST	71575033
785469	2676	1998-03-06	VYDAJ	PREVOD NA UCET	2348	34887	POJISTNE	ST	71575033
785470	2676	1998-04-06	VYDAJ	PREVOD NA UCET	2348	42514	POJISTNE	ST	71575033
785471	2676	1998-05-06	VYDAJ	PREVOD NA UCET	2348	44166	POJISTNE	ST	71575033
785472	2676	1998-06-06	VYDAJ	PREVOD NA UCET	2348	46126	POJISTNE	ST	71575033
785473	2676	1998-07-06	VYDAJ	PREVOD NA UCET	2348	38607	POJISTNE	ST	71575033
785474	2676	1998-08-06	VYDAJ	PREVOD NA UCET	2348	40941	POJISTNE	ST	71575033
785475	2676	1998-09-06	VYDAJ	PREVOD NA UCET	2348	39481	POJISTNE	ST	71575033
785476	2676	1998-10-06	VYDAJ	PREVOD NA UCET	2348	38915	POJISTNE	ST	71575033
785477	2676	1998-11-06	VYDAJ	PREVOD NA UCET	2348	38045	POJISTNE	ST	71575033
785478	2676	1998-12-06	VYDAJ	PREVOD NA UCET	2348	37872	POJISTNE	ST	71575033
785482	2676	1996-06-27	VYDAJ	VYBER	20320	31175	\N	\N	\N
785483	2676	1997-06-07	VYDAJ	VYBER	11200	24200	\N	\N	\N
785484	2676	1998-06-24	VYDAJ	VYBER	20320	45851	\N	\N	\N
785486	2676	1994-01-30	VYDAJ	VYBER	6080	24063	\N	\N	\N
785487	2676	1995-01-01	VYDAJ	VYBER	11200	23060	\N	\N	\N
785488	2676	1996-01-19	VYDAJ	VYBER	5280	25279	\N	\N	\N
785489	2676	1997-01-06	VYDAJ	VYBER	9280	25520	\N	\N	\N
785490	2676	1998-01-08	VYDAJ	VYBER	12960	28756	\N	\N	\N
785491	2676	1993-12-11	VYDAJ	VYBER	2880	26423	\N	\N	\N
785492	2676	1994-12-24	VYDAJ	VYBER	4160	34113	\N	\N	\N
785493	2676	1995-12-19	VYDAJ	VYBER	1120	40850	\N	\N	\N
785494	2676	1996-12-13	VYDAJ	VYBER	3680	50071	\N	\N	\N
785495	2676	1997-12-08	VYDAJ	VYBER	3680	32628	\N	\N	\N
785496	2676	1998-12-03	VYDAJ	VYBER	1600	40220	\N	\N	\N
785503	2676	1994-01-29	VYDAJ	VYBER	1200	30143	\N	\N	\N
785504	2676	1994-01-03	VYDAJ	VYBER	720	33877	\N	\N	\N
785505	2676	1994-01-03	VYDAJ	VYBER	2520	34597	\N	\N	\N
785506	2676	1994-01-06	VYDAJ	VYBER	1680	32197	\N	\N	\N
785507	2676	1994-01-27	VYDAJ	VYBER	1800	31343	\N	\N	\N
785508	2676	1994-01-12	VYDAJ	VYBER	720	27619	\N	\N	\N
785509	2676	1995-01-14	VYDAJ	VYBER	2160	31126	\N	\N	\N
785511	2676	1995-01-04	VYDAJ	VYBER	2640	19220	\N	\N	\N
785512	2676	1995-01-26	VYDAJ	VYBER	2040	27646	\N	\N	\N
785513	2676	1995-01-20	VYDAJ	VYBER	720	30406	\N	\N	\N
785514	2676	1995-01-03	VYDAJ	VYBER	1200	21860	\N	\N	\N
785515	2676	1996-01-17	VYDAJ	VYBER	2400	30559	\N	\N	\N
785516	2676	1996-01-07	VYDAJ	VYBER	1680	35285	\N	\N	\N
785517	2676	1996-01-22	VYDAJ	VYBER	1800	17719	\N	\N	\N
785518	2676	1996-01-03	VYDAJ	VYBER	1680	39313	\N	\N	\N
785519	2676	1996-01-11	VYDAJ	VYBER	2160	19035	\N	\N	\N
785520	2676	1996-01-08	VYDAJ	VYBER	2280	22705	\N	\N	\N
785521	2676	1997-01-05	VYDAJ	VYBER	3120	34800	\N	\N	\N
785522	2676	1997-01-08	VYDAJ	VYBER	960	22212	\N	\N	\N
785523	2676	1997-01-17	VYDAJ	VYBER	1560	33066	\N	\N	\N
785524	2676	1997-01-04	VYDAJ	VYBER	2280	38760	\N	\N	\N
785525	2676	1997-01-18	VYDAJ	VYBER	1800	31266	\N	\N	\N
785526	2676	1997-01-05	VYDAJ	VYBER	840	37920	\N	\N	\N
785527	2676	1998-01-15	VYDAJ	VYBER	2880	30850	\N	\N	\N
785528	2676	1998-01-29	VYDAJ	VYBER	2880	28890	\N	\N	\N
785529	2676	1998-01-06	VYDAJ	VYBER	1080	44064	\N	\N	\N
785530	2676	1998-01-18	VYDAJ	VYBER	1080	29770	\N	\N	\N
785531	2676	1998-01-11	VYDAJ	VYBER	3120	19806	\N	\N	\N
785532	2676	1998-01-10	VYDAJ	VYBER	1080	22926	\N	\N	\N
785534	2676	1993-08-11	VYDAJ	VYBER	4320	32939	\N	\N	\N
785535	2676	1993-09-05	VYDAJ	VYBER	3600	34618	\N	\N	\N
785537	2676	1993-09-17	VYDAJ	VYBER	3840	40844	\N	\N	\N
785538	2676	1994-11-19	VYDAJ	VYBER	3240	31844	\N	\N	\N
785539	2676	1994-03-17	VYDAJ	VYBER	3240	38882	\N	\N	\N
785540	2676	1994-06-08	VYDAJ	VYBER	4200	27548	\N	\N	\N
785541	2676	1994-07-29	VYDAJ	VYBER	5880	30709	\N	\N	\N
785542	2676	1995-12-15	VYDAJ	VYBER	4080	41970	\N	\N	\N
785543	2676	1995-12-02	VYDAJ	VYBER	600	38552	\N	\N	\N
785544	2676	1995-01-22	VYDAJ	VYBER	720	29686	\N	\N	\N
785545	2676	1995-03-09	VYDAJ	VYBER	4080	33105	\N	\N	\N
785546	2676	1995-04-09	VYDAJ	VYBER	3600	27533	\N	\N	\N
785547	2676	1995-05-23	VYDAJ	VYBER	4440	35100	\N	\N	\N
785548	2676	1995-09-27	VYDAJ	VYBER	4440	37894	\N	\N	\N
785549	2676	1996-01-20	VYDAJ	VYBER	5760	19519	\N	\N	\N
785550	2676	1996-08-27	VYDAJ	VYBER	4560	35723	\N	\N	\N
785551	2676	1996-07-29	VYDAJ	VYBER	3000	32801	\N	\N	\N
785552	2676	1996-05-02	VYDAJ	VYBER	2520	33590	\N	\N	\N
785553	2676	1996-03-28	VYDAJ	VYBER	4920	29111	\N	\N	\N
785554	2676	1997-04-24	VYDAJ	VYBER	3360	43955	\N	\N	\N
785555	2676	1997-09-20	VYDAJ	VYBER	2280	36331	\N	\N	\N
785556	2676	1997-09-03	VYDAJ	VYBER	5280	28545	\N	\N	\N
785557	2676	1997-04-18	VYDAJ	VYBER	1080	47315	\N	\N	\N
785558	2676	1998-02-20	VYDAJ	VYBER	1560	37513	\N	\N	\N
785559	2676	1998-01-09	VYDAJ	VYBER	3240	25516	\N	\N	\N
785566	2676	1993-06-30	VYDAJ	VYBER	15	42480	SLUZBY	\N	\N
785567	2676	1993-07-31	VYDAJ	VYBER	15	41117	SLUZBY	\N	\N
785568	2676	1993-08-31	VYDAJ	VYBER	15	38218	SLUZBY	\N	\N
785569	2676	1993-09-30	VYDAJ	VYBER	15	32477	SLUZBY	\N	\N
785570	2676	1993-10-31	VYDAJ	VYBER	15	31869	SLUZBY	\N	\N
785571	2676	1993-11-30	VYDAJ	VYBER	15	33161	SLUZBY	\N	\N
785572	2676	1993-12-31	VYDAJ	VYBER	15	37117	SLUZBY	\N	\N
785573	2676	1994-01-31	VYDAJ	VYBER	15	24185	SLUZBY	\N	\N
785574	2676	1994-02-28	VYDAJ	VYBER	15	32056	SLUZBY	\N	\N
785575	2676	1994-03-31	VYDAJ	VYBER	15	30904	SLUZBY	\N	\N
785576	2676	1994-04-30	VYDAJ	VYBER	15	35397	SLUZBY	\N	\N
785577	2676	1994-05-31	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
785578	2676	1994-06-30	VYDAJ	VYBER	15	35123	SLUZBY	\N	\N
785579	2676	1994-07-31	VYDAJ	VYBER	15	30844	SLUZBY	\N	\N
785580	2676	1994-08-31	VYDAJ	VYBER	15	35335	SLUZBY	\N	\N
785581	2676	1994-09-30	VYDAJ	VYBER	15	32627	SLUZBY	\N	\N
785582	2676	1994-10-31	VYDAJ	VYBER	15	34318	SLUZBY	\N	\N
785583	2676	1994-11-30	VYDAJ	VYBER	15	31975	SLUZBY	\N	\N
785584	2676	1994-12-31	VYDAJ	VYBER	15	34260	SLUZBY	\N	\N
785585	2676	1995-01-31	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
785586	2676	1995-02-28	VYDAJ	VYBER	15	39533	SLUZBY	\N	\N
785587	2676	1995-03-31	VYDAJ	VYBER	15	33481	SLUZBY	\N	\N
785588	2676	1995-04-30	VYDAJ	VYBER	15	36674	SLUZBY	\N	\N
785589	2676	1995-05-31	VYDAJ	VYBER	15	35239	SLUZBY	\N	\N
785590	2676	1995-06-30	VYDAJ	VYBER	15	47695	SLUZBY	\N	\N
785591	2676	1995-07-31	VYDAJ	VYBER	15	46138	SLUZBY	\N	\N
785592	2676	1995-08-31	VYDAJ	VYBER	15	43868	SLUZBY	\N	\N
785593	2676	1995-09-30	VYDAJ	VYBER	15	38046	SLUZBY	\N	\N
785594	2676	1995-10-31	VYDAJ	VYBER	15	37947	SLUZBY	\N	\N
785595	2676	1995-11-30	VYDAJ	VYBER	15	39152	SLUZBY	\N	\N
785596	2676	1995-12-31	VYDAJ	VYBER	15	40993	SLUZBY	\N	\N
785597	2676	1996-01-31	VYDAJ	VYBER	15	17813	SLUZBY	\N	\N
785598	2676	1996-02-29	VYDAJ	VYBER	15	29365	SLUZBY	\N	\N
785599	2676	1996-03-31	VYDAJ	VYBER	15	29222	SLUZBY	\N	\N
785600	2676	1996-04-30	VYDAJ	VYBER	15	36110	SLUZBY	\N	\N
785601	2676	1996-05-31	VYDAJ	VYBER	15	41798	SLUZBY	\N	\N
785602	2676	1996-06-30	VYDAJ	VYBER	15	31335	SLUZBY	\N	\N
785603	2676	1996-07-31	VYDAJ	VYBER	15	32917	SLUZBY	\N	\N
785604	2676	1996-08-31	VYDAJ	VYBER	15	35857	SLUZBY	\N	\N
785605	2676	1996-09-30	VYDAJ	VYBER	15	37350	SLUZBY	\N	\N
785606	2676	1996-10-31	VYDAJ	VYBER	15	39349	SLUZBY	\N	\N
785607	2676	1996-11-30	VYDAJ	VYBER	15	39854	SLUZBY	\N	\N
785608	2676	1996-12-31	VYDAJ	VYBER	15	50240	SLUZBY	\N	\N
785609	2676	1997-01-31	VYDAJ	VYBER	15	32883	SLUZBY	\N	\N
785610	2676	1997-02-28	VYDAJ	VYBER	15	43093	SLUZBY	\N	\N
785611	2676	1997-03-31	VYDAJ	VYBER	15	48929	SLUZBY	\N	\N
785612	2676	1997-04-30	VYDAJ	VYBER	15	44122	SLUZBY	\N	\N
785613	2676	1997-05-31	VYDAJ	VYBER	15	45648	SLUZBY	\N	\N
785614	2676	1997-06-30	VYDAJ	VYBER	15	44388	SLUZBY	\N	\N
785615	2676	1997-07-31	VYDAJ	VYBER	15	35606	SLUZBY	\N	\N
785616	2676	1997-08-31	VYDAJ	VYBER	15	33825	SLUZBY	\N	\N
785617	2676	1997-09-30	VYDAJ	VYBER	15	30053	SLUZBY	\N	\N
785618	2676	1997-10-31	VYDAJ	VYBER	15	33946	SLUZBY	\N	\N
785619	2676	1997-11-30	VYDAJ	VYBER	15	38656	SLUZBY	\N	\N
785620	2676	1997-12-31	VYDAJ	VYBER	15	45144	SLUZBY	\N	\N
785621	2676	1998-01-31	VYDAJ	VYBER	15	29007	SLUZBY	\N	\N
785622	2676	1998-02-28	VYDAJ	VYBER	15	37235	SLUZBY	\N	\N
785623	2676	1998-03-31	VYDAJ	VYBER	15	44862	SLUZBY	\N	\N
785624	2676	1998-04-30	VYDAJ	VYBER	15	46514	SLUZBY	\N	\N
785625	2676	1998-05-31	VYDAJ	VYBER	15	48474	SLUZBY	\N	\N
785626	2676	1998-06-30	VYDAJ	VYBER	15	40955	SLUZBY	\N	\N
785627	2676	1998-07-31	VYDAJ	VYBER	15	43289	SLUZBY	\N	\N
785628	2676	1998-08-31	VYDAJ	VYBER	15	41829	SLUZBY	\N	\N
785629	2676	1998-09-30	VYDAJ	VYBER	15	41263	SLUZBY	\N	\N
785630	2676	1998-10-31	VYDAJ	VYBER	15	40393	SLUZBY	\N	\N
785631	2676	1998-11-30	VYDAJ	VYBER	15	41820	SLUZBY	\N	\N
785632	2676	1993-02-21	PRIJEM	VKLAD	3300	18763	\N	\N	\N
785633	2676	1993-03-23	VYDAJ	VYBER	4500	29548	\N	\N	\N
785634	2676	1993-04-22	VYDAJ	VYBER	8800	36103	\N	\N	\N
785635	2676	1993-05-22	VYDAJ	VYBER	13200	38297	\N	\N	\N
785636	2676	1993-06-21	VYDAJ	VYBER	17700	42306	\N	\N	\N
785637	2676	1993-07-21	VYDAJ	VYBER	11600	40946	\N	\N	\N
785638	2676	1993-08-20	VYDAJ	VYBER	8800	38063	\N	\N	\N
785639	2676	1993-09-19	VYDAJ	VYBER	8500	32344	\N	\N	\N
785640	2676	1993-10-19	VYDAJ	VYBER	10800	31743	\N	\N	\N
785641	2676	1993-11-18	VYDAJ	VYBER	8900	33035	\N	\N	\N
785642	2676	1993-12-18	VYDAJ	VYBER	11000	36978	\N	\N	\N
785643	2676	1994-01-17	VYDAJ	VYBER	8400	33143	\N	\N	\N
785644	2676	1994-02-16	VYDAJ	VYBER	2300	31951	\N	\N	\N
785645	2676	1994-03-18	VYDAJ	VYBER	8100	30782	\N	\N	\N
785646	2676	1994-04-17	VYDAJ	VYBER	5700	35270	\N	\N	\N
785647	2676	1994-05-17	VYDAJ	VYBER	11500	33963	\N	\N	\N
785648	2676	1994-06-16	VYDAJ	VYBER	12600	34994	\N	\N	\N
785649	2676	1994-07-16	VYDAJ	VYBER	8600	36589	\N	\N	\N
785650	2676	1994-08-15	VYDAJ	VYBER	5700	35210	\N	\N	\N
785651	2676	1994-09-14	VYDAJ	VYBER	12900	32501	\N	\N	\N
785652	2676	1994-10-14	VYDAJ	VYBER	8500	34193	\N	\N	\N
785653	2676	1994-11-13	VYDAJ	VYBER	9300	36423	\N	\N	\N
785654	2676	1994-12-13	VYDAJ	VYBER	11400	38273	\N	\N	\N
785655	2676	1995-01-12	PRIJEM	VKLAD	4000	19362	\N	\N	\N
785656	2676	1995-02-11	PRIJEM	VKLAD	1600	25482	\N	\N	\N
785657	2676	1995-03-13	VYDAJ	VYBER	12200	33319	\N	\N	\N
785658	2676	1995-04-12	VYDAJ	VYBER	3400	22623	\N	\N	\N
785659	2676	1995-05-12	VYDAJ	VYBER	7200	25616	\N	\N	\N
785660	2676	1995-06-11	VYDAJ	VYBER	5400	25981	\N	\N	\N
785661	2676	1995-07-11	VYDAJ	VYBER	11800	32037	\N	\N	\N
785662	2676	1995-08-10	VYDAJ	VYBER	12500	31290	\N	\N	\N
785663	2676	1995-09-09	VYDAJ	VYBER	11600	29920	\N	\N	\N
785664	2676	1995-10-09	VYDAJ	VYBER	10300	25398	\N	\N	\N
785665	2676	1995-11-08	VYDAJ	VYBER	9000	26599	\N	\N	\N
785666	2676	1995-12-08	VYDAJ	VYBER	10200	26004	\N	\N	\N
785667	2676	1996-01-07	VYDAJ	VYBER	10300	24985	\N	\N	\N
785668	2676	1996-02-06	PRIJEM	VKLAD	1400	19213	\N	\N	\N
785669	2676	1996-03-07	VYDAJ	VYBER	5400	21617	\N	\N	\N
785670	2676	1996-04-06	VYDAJ	VYBER	3300	23574	\N	\N	\N
785671	2676	1996-05-06	VYDAJ	VYBER	2000	31590	\N	\N	\N
785672	2676	1996-06-05	VYDAJ	VYBER	8000	33798	\N	\N	\N
785673	2676	1996-07-05	VYDAJ	VYBER	5600	25735	\N	\N	\N
785674	2676	1996-08-04	VYDAJ	VYBER	2700	30217	\N	\N	\N
785675	2676	1996-09-03	VYDAJ	VYBER	8700	27157	\N	\N	\N
785676	2676	1996-10-03	VYDAJ	VYBER	8200	29150	\N	\N	\N
785677	2676	1996-11-02	VYDAJ	VYBER	9700	29649	\N	\N	\N
785678	2676	1996-12-02	VYDAJ	VYBER	3800	36054	\N	\N	\N
785679	2676	1997-01-01	VYDAJ	VYBER	9200	41040	\N	\N	\N
785680	2676	1997-01-31	PRIJEM	VKLAD	1500	32897	\N	\N	\N
785681	2676	1997-03-02	VYDAJ	VYBER	4400	38693	\N	\N	\N
785682	2676	1997-04-01	VYDAJ	VYBER	10600	38329	\N	\N	\N
785683	2676	1997-05-01	VYDAJ	VYBER	8700	35422	\N	\N	\N
785684	2676	1997-05-31	VYDAJ	VYBER	7900	37748	\N	\N	\N
785685	2676	1997-06-30	VYDAJ	VYBER	9600	34788	\N	\N	\N
785686	2676	1997-07-30	VYDAJ	VYBER	9400	35454	\N	\N	\N
785687	2676	1997-08-29	VYDAJ	VYBER	12000	33672	\N	\N	\N
785688	2676	1997-09-28	VYDAJ	VYBER	6400	29931	\N	\N	\N
785689	2676	1997-10-28	VYDAJ	VYBER	6300	33819	\N	\N	\N
785690	2676	1997-11-27	VYDAJ	VYBER	5500	38512	\N	\N	\N
785691	2676	1997-12-27	VYDAJ	VYBER	7700	44973	\N	\N	\N
785692	2676	1998-01-26	PRIJEM	VKLAD	2000	31770	\N	\N	\N
785693	2676	1998-02-25	VYDAJ	VYBER	400	37113	\N	\N	\N
785694	2676	1998-03-27	VYDAJ	VYBER	2600	44701	\N	\N	\N
785695	2676	1998-04-26	VYDAJ	VYBER	8600	46328	\N	\N	\N
785696	2676	1998-05-26	VYDAJ	VYBER	8300	48280	\N	\N	\N
785697	2676	1998-06-25	VYDAJ	VYBER	5100	40751	\N	\N	\N
785698	2676	1998-07-25	VYDAJ	VYBER	7900	43121	\N	\N	\N
785699	2676	1998-08-24	VYDAJ	VYBER	11700	41655	\N	\N	\N
785700	2676	1998-09-23	VYDAJ	VYBER	10800	41095	\N	\N	\N
785701	2676	1998-10-23	VYDAJ	VYBER	11100	40229	\N	\N	\N
785702	2676	1998-11-22	VYDAJ	VYBER	8800	41659	\N	\N	\N
785774	2677	1996-08-28	PRIJEM	VKLAD	900	900	\N	\N	\N
785783	2677	1996-09-10	PRIJEM	VKLAD	19934	20834	\N	\N	\N
785784	2677	1996-10-10	PRIJEM	VKLAD	19934	42881	\N	\N	\N
785785	2677	1996-11-10	PRIJEM	VKLAD	19934	54518	\N	\N	\N
785786	2677	1996-12-10	PRIJEM	VKLAD	29901	70367	\N	\N	\N
785787	2677	1997-01-10	PRIJEM	VKLAD	19934	68575	\N	\N	\N
785788	2677	1997-02-10	PRIJEM	VKLAD	19934	60008	\N	\N	\N
785789	2677	1997-03-10	PRIJEM	VKLAD	19934	53592	\N	\N	\N
785790	2677	1997-04-10	PRIJEM	VKLAD	19934	50592	\N	\N	\N
785791	2677	1997-05-10	PRIJEM	VKLAD	19934	52768	\N	\N	\N
785792	2677	1997-06-10	PRIJEM	VKLAD	29901	63417	\N	\N	\N
785793	2677	1997-07-10	PRIJEM	VKLAD	19934	51507	\N	\N	\N
785794	2677	1997-08-10	PRIJEM	VKLAD	19934	50681	\N	\N	\N
785795	2677	1997-09-10	PRIJEM	VKLAD	19934	46223	\N	\N	\N
785796	2677	1997-10-10	PRIJEM	VKLAD	19934	43740	\N	\N	\N
785797	2677	1997-11-10	PRIJEM	VKLAD	19934	47284	\N	\N	\N
785798	2677	1997-12-10	PRIJEM	VKLAD	29901	58004	\N	\N	\N
785799	2677	1998-01-10	PRIJEM	VKLAD	19934	41647	\N	\N	\N
785800	2677	1998-02-10	PRIJEM	VKLAD	19934	43777	\N	\N	\N
785801	2677	1998-03-10	PRIJEM	VKLAD	19934	41108	\N	\N	\N
785802	2677	1998-04-10	PRIJEM	VKLAD	19934	39531	\N	\N	\N
785803	2677	1998-05-10	PRIJEM	VKLAD	19934	40450	\N	\N	\N
785804	2677	1998-06-10	PRIJEM	VKLAD	29901	51740	\N	\N	\N
785805	2677	1998-07-10	PRIJEM	VKLAD	19934	50192	\N	\N	\N
785806	2677	1998-08-10	PRIJEM	VKLAD	19934	46344	\N	\N	\N
785807	2677	1998-09-10	PRIJEM	VKLAD	19934	34529	\N	\N	\N
785808	2677	1998-10-10	PRIJEM	VKLAD	19934	30156	\N	\N	\N
785809	2677	1998-11-10	PRIJEM	VKLAD	19934	31531	\N	\N	\N
785810	2677	1998-12-10	PRIJEM	VKLAD	29901	43395	\N	\N	\N
785824	2677	1997-02-05	VYDAJ	PREVOD NA UCET	3926	42314	SIPO	QR	72427195
785825	2677	1997-03-05	VYDAJ	PREVOD NA UCET	3926	35898	SIPO	QR	72427195
785826	2677	1997-04-05	VYDAJ	PREVOD NA UCET	3926	32898	SIPO	QR	72427195
785827	2677	1997-05-05	VYDAJ	PREVOD NA UCET	3926	35074	SIPO	QR	72427195
785828	2677	1997-06-05	VYDAJ	PREVOD NA UCET	3926	35756	SIPO	QR	72427195
785829	2677	1997-07-05	VYDAJ	PREVOD NA UCET	3926	33813	SIPO	QR	72427195
785830	2677	1997-08-05	VYDAJ	PREVOD NA UCET	3926	32987	SIPO	QR	72427195
785831	2677	1997-09-05	VYDAJ	PREVOD NA UCET	3926	28529	SIPO	QR	72427195
785832	2677	1997-10-05	VYDAJ	PREVOD NA UCET	3926	26046	SIPO	QR	72427195
785833	2677	1997-11-05	VYDAJ	PREVOD NA UCET	3926	29590	SIPO	QR	72427195
785834	2677	1997-12-05	VYDAJ	PREVOD NA UCET	3926	30343	SIPO	QR	72427195
785835	2677	1998-01-05	VYDAJ	PREVOD NA UCET	3926	23953	SIPO	QR	72427195
785836	2677	1998-02-05	VYDAJ	PREVOD NA UCET	3926	26083	SIPO	QR	72427195
785837	2677	1998-03-05	VYDAJ	PREVOD NA UCET	3926	23414	SIPO	QR	72427195
785838	2677	1998-04-05	VYDAJ	PREVOD NA UCET	3926	21837	SIPO	QR	72427195
785839	2677	1998-05-05	VYDAJ	PREVOD NA UCET	3926	22756	SIPO	QR	72427195
785840	2677	1998-06-05	VYDAJ	PREVOD NA UCET	3926	24079	SIPO	QR	72427195
785841	2677	1998-07-05	VYDAJ	PREVOD NA UCET	3926	32498	SIPO	QR	72427195
785842	2677	1998-08-05	VYDAJ	PREVOD NA UCET	3926	28650	SIPO	QR	72427195
785843	2677	1998-09-05	VYDAJ	PREVOD NA UCET	3926	16835	SIPO	QR	72427195
785844	2677	1998-10-05	VYDAJ	PREVOD NA UCET	3926	12462	SIPO	QR	72427195
785845	2677	1998-11-05	VYDAJ	PREVOD NA UCET	3926	13837	SIPO	QR	72427195
785846	2677	1998-12-05	VYDAJ	PREVOD NA UCET	3926	15734	SIPO	QR	72427195
785860	2677	1997-02-06	VYDAJ	PREVOD NA UCET	641	41673	 	KL	17019027
785861	2677	1997-03-06	VYDAJ	PREVOD NA UCET	641	35257	 	KL	17019027
785862	2677	1997-04-06	VYDAJ	PREVOD NA UCET	641	30658	 	KL	17019027
785863	2677	1997-05-06	VYDAJ	PREVOD NA UCET	641	32834	 	KL	17019027
785864	2677	1997-06-06	VYDAJ	PREVOD NA UCET	641	35115	 	KL	17019027
785865	2677	1997-07-06	VYDAJ	PREVOD NA UCET	641	31573	 	KL	17019027
785866	2677	1997-08-06	VYDAJ	PREVOD NA UCET	641	32346	 	KL	17019027
785867	2677	1997-09-06	VYDAJ	PREVOD NA UCET	641	26289	 	KL	17019027
785868	2677	1997-10-06	VYDAJ	PREVOD NA UCET	641	25405	 	KL	17019027
785869	2677	1997-11-06	VYDAJ	PREVOD NA UCET	641	27350	 	KL	17019027
785870	2677	1997-12-06	VYDAJ	PREVOD NA UCET	641	28103	 	KL	17019027
785871	2677	1998-01-06	VYDAJ	PREVOD NA UCET	641	21713	 	KL	17019027
785872	2677	1998-02-06	VYDAJ	PREVOD NA UCET	641	25442	 	KL	17019027
785873	2677	1998-03-06	VYDAJ	PREVOD NA UCET	641	22773	 	KL	17019027
785874	2677	1998-04-06	VYDAJ	PREVOD NA UCET	641	21196	 	KL	17019027
785875	2677	1998-05-06	VYDAJ	PREVOD NA UCET	641	22115	 	KL	17019027
785876	2677	1998-06-06	VYDAJ	PREVOD NA UCET	641	21839	 	KL	17019027
785877	2677	1998-07-06	VYDAJ	PREVOD NA UCET	641	30258	 	KL	17019027
785878	2677	1998-08-06	VYDAJ	PREVOD NA UCET	641	26410	 	KL	17019027
785879	2677	1998-09-06	VYDAJ	PREVOD NA UCET	641	14595	 	KL	17019027
785880	2677	1998-10-06	VYDAJ	PREVOD NA UCET	641	11821	 	KL	17019027
785881	2677	1998-11-06	VYDAJ	PREVOD NA UCET	641	11597	 	KL	17019027
785882	2677	1998-12-06	VYDAJ	PREVOD NA UCET	641	15093	 	KL	17019027
785896	2677	1997-02-06	VYDAJ	PREVOD NA UCET	1599	40074	POJISTNE	YZ	61867588
785897	2677	1997-03-06	VYDAJ	PREVOD NA UCET	1599	33658	POJISTNE	YZ	61867588
785898	2677	1997-04-06	VYDAJ	PREVOD NA UCET	1599	31299	POJISTNE	YZ	61867588
785899	2677	1997-05-06	VYDAJ	PREVOD NA UCET	1599	33475	POJISTNE	YZ	61867588
785900	2677	1997-06-06	VYDAJ	PREVOD NA UCET	1599	33516	POJISTNE	YZ	61867588
785901	2677	1997-07-06	VYDAJ	PREVOD NA UCET	1599	32214	POJISTNE	YZ	61867588
785902	2677	1997-08-06	VYDAJ	PREVOD NA UCET	1599	30747	POJISTNE	YZ	61867588
785903	2677	1997-09-06	VYDAJ	PREVOD NA UCET	1599	26930	POJISTNE	YZ	61867588
785904	2677	1997-10-06	VYDAJ	PREVOD NA UCET	1599	23806	POJISTNE	YZ	61867588
785905	2677	1997-11-06	VYDAJ	PREVOD NA UCET	1599	27991	POJISTNE	YZ	61867588
785906	2677	1997-12-06	VYDAJ	PREVOD NA UCET	1599	28744	POJISTNE	YZ	61867588
785907	2677	1998-01-06	VYDAJ	PREVOD NA UCET	1599	22354	POJISTNE	YZ	61867588
785908	2677	1998-02-06	VYDAJ	PREVOD NA UCET	1599	23843	POJISTNE	YZ	61867588
785909	2677	1998-03-06	VYDAJ	PREVOD NA UCET	1599	21174	POJISTNE	YZ	61867588
785910	2677	1998-04-06	VYDAJ	PREVOD NA UCET	1599	19597	POJISTNE	YZ	61867588
785911	2677	1998-05-06	VYDAJ	PREVOD NA UCET	1599	20516	POJISTNE	YZ	61867588
785912	2677	1998-06-06	VYDAJ	PREVOD NA UCET	1599	22480	POJISTNE	YZ	61867588
785913	2677	1998-07-06	VYDAJ	PREVOD NA UCET	1599	30899	POJISTNE	YZ	61867588
785914	2677	1998-08-06	VYDAJ	PREVOD NA UCET	1599	27051	POJISTNE	YZ	61867588
785915	2677	1998-09-06	VYDAJ	PREVOD NA UCET	1599	15236	POJISTNE	YZ	61867588
785916	2677	1998-10-06	VYDAJ	PREVOD NA UCET	1599	10222	POJISTNE	YZ	61867588
785917	2677	1998-11-06	VYDAJ	PREVOD NA UCET	1599	12238	POJISTNE	YZ	61867588
785918	2677	1998-12-06	VYDAJ	PREVOD NA UCET	1599	13494	POJISTNE	YZ	61867588
785931	2677	1997-01-11	VYDAJ	PREVOD NA UCET	158	68417	 	YZ	80062365
785932	2677	1997-02-11	VYDAJ	PREVOD NA UCET	158	57330	 	YZ	80062365
785933	2677	1997-03-11	VYDAJ	PREVOD NA UCET	158	53434	 	YZ	80062365
785934	2677	1997-04-11	VYDAJ	PREVOD NA UCET	158	50434	 	YZ	80062365
785935	2677	1997-05-11	VYDAJ	PREVOD NA UCET	158	52610	 	YZ	80062365
785936	2677	1997-06-11	VYDAJ	PREVOD NA UCET	158	63259	 	YZ	80062365
785937	2677	1997-07-11	VYDAJ	PREVOD NA UCET	158	51349	 	YZ	80062365
785938	2677	1997-08-11	VYDAJ	PREVOD NA UCET	158	50523	 	YZ	80062365
785939	2677	1997-09-11	VYDAJ	PREVOD NA UCET	158	40545	 	YZ	80062365
785940	2677	1997-10-11	VYDAJ	PREVOD NA UCET	158	43582	 	YZ	80062365
785941	2677	1997-11-11	VYDAJ	PREVOD NA UCET	158	47126	 	YZ	80062365
785942	2677	1997-12-11	VYDAJ	PREVOD NA UCET	158	57846	 	YZ	80062365
785943	2677	1998-01-11	VYDAJ	PREVOD NA UCET	158	41489	 	YZ	80062365
785944	2677	1998-02-11	VYDAJ	PREVOD NA UCET	158	43619	 	YZ	80062365
785945	2677	1998-03-11	VYDAJ	PREVOD NA UCET	158	40950	 	YZ	80062365
785946	2677	1998-04-11	VYDAJ	PREVOD NA UCET	158	39373	 	YZ	80062365
785947	2677	1998-05-11	VYDAJ	PREVOD NA UCET	158	40292	 	YZ	80062365
785948	2677	1998-06-11	VYDAJ	PREVOD NA UCET	158	51582	 	YZ	80062365
785949	2677	1998-07-11	VYDAJ	PREVOD NA UCET	158	50034	 	YZ	80062365
785950	2677	1998-08-11	VYDAJ	PREVOD NA UCET	158	46186	 	YZ	80062365
785951	2677	1998-09-11	VYDAJ	PREVOD NA UCET	158	34371	 	YZ	80062365
785952	2677	1998-10-11	VYDAJ	PREVOD NA UCET	158	29998	 	YZ	80062365
785953	2677	1998-11-11	VYDAJ	PREVOD NA UCET	158	26693	 	YZ	80062365
785954	2677	1998-12-11	VYDAJ	PREVOD NA UCET	158	43237	 	YZ	80062365
785956	2677	1997-06-17	VYDAJ	VYBER	12000	51259	\N	\N	\N
785962	2677	1997-12-23	VYDAJ	VYBER	3840	28806	\N	\N	\N
785963	2677	1998-12-15	VYDAJ	VYBER	1920	41317	\N	\N	\N
785969	2677	1997-08-14	VYDAJ	VYBER	1320	49203	\N	\N	\N
785970	2677	1997-03-20	VYDAJ	VYBER	5880	47554	\N	\N	\N
785971	2677	1997-02-11	VYDAJ	VYBER	2520	57488	\N	\N	\N
785972	2677	1997-09-10	VYDAJ	VYBER	5520	40703	\N	\N	\N
785973	2677	1997-12-30	VYDAJ	VYBER	1080	27726	\N	\N	\N
785974	2677	1998-08-24	VYDAJ	VYBER	1680	24006	\N	\N	\N
785975	2677	1998-07-17	VYDAJ	VYBER	3000	47034	\N	\N	\N
785976	2677	1998-11-10	VYDAJ	VYBER	4680	26851	\N	\N	\N
785977	2677	1998-09-28	VYDAJ	VYBER	2760	16311	\N	\N	\N
785978	2677	1998-08-27	VYDAJ	VYBER	3360	20646	\N	\N	\N
785992	2677	1997-01-31	VYDAJ	VYBER	15	46240	SLUZBY	\N	\N
785993	2677	1997-02-28	VYDAJ	VYBER	15	39824	SLUZBY	\N	\N
785994	2677	1997-03-31	VYDAJ	VYBER	15	36824	SLUZBY	\N	\N
785995	2677	1997-04-30	VYDAJ	VYBER	15	39000	SLUZBY	\N	\N
785996	2677	1997-05-31	VYDAJ	VYBER	15	39682	SLUZBY	\N	\N
785997	2677	1997-06-30	VYDAJ	VYBER	15	37739	SLUZBY	\N	\N
785998	2677	1997-07-31	VYDAJ	VYBER	15	36913	SLUZBY	\N	\N
785999	2677	1997-08-31	VYDAJ	VYBER	15	32455	SLUZBY	\N	\N
786000	2677	1997-09-30	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
786001	2677	1997-10-31	VYDAJ	VYBER	15	33516	SLUZBY	\N	\N
786002	2677	1997-11-30	VYDAJ	VYBER	15	34269	SLUZBY	\N	\N
786003	2677	1997-12-31	VYDAJ	VYBER	15	27879	SLUZBY	\N	\N
786004	2677	1998-01-31	VYDAJ	VYBER	15	30009	SLUZBY	\N	\N
786005	2677	1998-02-28	VYDAJ	VYBER	15	27340	SLUZBY	\N	\N
786006	2677	1998-03-31	VYDAJ	VYBER	15	25763	SLUZBY	\N	\N
786007	2677	1998-04-30	VYDAJ	VYBER	15	26682	SLUZBY	\N	\N
786008	2677	1998-05-31	VYDAJ	VYBER	15	28005	SLUZBY	\N	\N
786009	2677	1998-06-30	VYDAJ	VYBER	15	36424	SLUZBY	\N	\N
786010	2677	1998-07-31	VYDAJ	VYBER	15	32576	SLUZBY	\N	\N
786011	2677	1998-08-31	VYDAJ	VYBER	15	20761	SLUZBY	\N	\N
786012	2677	1998-09-30	VYDAJ	VYBER	15	16388	SLUZBY	\N	\N
786013	2677	1998-10-31	VYDAJ	VYBER	15	17763	SLUZBY	\N	\N
786014	2677	1998-11-30	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
786015	2677	1996-09-27	PRIJEM	VKLAD	2100	22934	\N	\N	\N
786016	2677	1996-10-27	VYDAJ	VYBER	8400	34481	\N	\N	\N
786017	2677	1996-11-26	VYDAJ	VYBER	14200	40318	\N	\N	\N
786018	2677	1996-12-26	VYDAJ	VYBER	21900	48467	\N	\N	\N
786019	2677	1997-01-25	VYDAJ	VYBER	22400	46017	\N	\N	\N
786020	2677	1997-02-24	VYDAJ	VYBER	17700	39630	\N	\N	\N
786021	2677	1997-03-26	VYDAJ	VYBER	10900	36654	\N	\N	\N
786022	2677	1997-04-25	VYDAJ	VYBER	11600	38834	\N	\N	\N
786023	2677	1997-05-25	VYDAJ	VYBER	13100	39510	\N	\N	\N
786024	2677	1997-06-24	VYDAJ	VYBER	13700	37559	\N	\N	\N
786025	2677	1997-07-24	VYDAJ	VYBER	14600	36749	\N	\N	\N
786026	2677	1997-08-23	VYDAJ	VYBER	16900	32303	\N	\N	\N
786027	2677	1997-09-22	VYDAJ	VYBER	10700	29845	\N	\N	\N
786028	2677	1997-10-22	VYDAJ	VYBER	10200	33382	\N	\N	\N
786029	2677	1997-11-21	VYDAJ	VYBER	13000	34126	\N	\N	\N
786030	2677	1997-12-21	VYDAJ	VYBER	25200	32646	\N	\N	\N
786031	2677	1998-01-20	VYDAJ	VYBER	11600	29889	\N	\N	\N
786032	2677	1998-02-19	VYDAJ	VYBER	16400	27219	\N	\N	\N
786033	2677	1998-03-21	VYDAJ	VYBER	15300	25650	\N	\N	\N
786034	2677	1998-04-20	VYDAJ	VYBER	12800	26573	\N	\N	\N
786035	2677	1998-05-20	VYDAJ	VYBER	12400	27892	\N	\N	\N
786036	2677	1998-06-19	VYDAJ	VYBER	15300	36282	\N	\N	\N
786037	2677	1998-07-19	VYDAJ	VYBER	14600	32434	\N	\N	\N
786038	2677	1998-08-18	VYDAJ	VYBER	20500	25686	\N	\N	\N
786039	2677	1998-09-17	VYDAJ	VYBER	15300	19071	\N	\N	\N
786040	2677	1998-10-17	VYDAJ	VYBER	12300	17698	\N	\N	\N
786041	2677	1998-11-16	VYDAJ	VYBER	7100	19593	\N	\N	\N
786070	2678	1997-07-15	PRIJEM	VKLAD	200	200	\N	\N	\N
786078	2678	1997-08-07	PRIJEM	PREVOD Z UCTU	37930	38130	\N	AB	93473052
786079	2678	1997-09-07	PRIJEM	PREVOD Z UCTU	37930	65527	\N	AB	93473052
786080	2678	1997-10-07	PRIJEM	PREVOD Z UCTU	37930	81812	\N	AB	93473052
786081	2678	1997-11-07	PRIJEM	PREVOD Z UCTU	37930	90546	\N	AB	93473052
786082	2678	1997-12-07	PRIJEM	PREVOD Z UCTU	56895	113971	\N	AB	93473052
786083	2678	1998-01-07	PRIJEM	PREVOD Z UCTU	37930	84532	\N	AB	93473052
786084	2678	1998-02-07	PRIJEM	PREVOD Z UCTU	37930	56706	\N	AB	93473052
786085	2678	1998-03-07	PRIJEM	PREVOD Z UCTU	37930	77458	\N	AB	93473052
786086	2678	1998-04-07	PRIJEM	PREVOD Z UCTU	37930	60984	\N	AB	93473052
786087	2678	1998-05-07	PRIJEM	PREVOD Z UCTU	37930	64444	\N	AB	93473052
786088	2678	1998-06-07	PRIJEM	PREVOD Z UCTU	56895	79763	\N	AB	93473052
786089	2678	1998-07-07	PRIJEM	PREVOD Z UCTU	37930	57738	\N	AB	93473052
786090	2678	1998-08-07	PRIJEM	PREVOD Z UCTU	37930	62655	\N	AB	93473052
786091	2678	1998-09-07	PRIJEM	PREVOD Z UCTU	37930	75503	\N	AB	93473052
786092	2678	1998-10-07	PRIJEM	PREVOD Z UCTU	37930	92428	\N	AB	93473052
786093	2678	1998-11-07	PRIJEM	PREVOD Z UCTU	37930	79857	\N	AB	93473052
786094	2678	1998-12-07	PRIJEM	PREVOD Z UCTU	56895	110583	\N	AB	93473052
786129	2678	1998-06-08	VYBER	VYBER	20795	58968	\N	\N	\N
786130	2678	1998-08-27	VYBER	VYBER	5827	37428	\N	\N	\N
786131	2678	1998-05-10	VYBER	VYBER	20910	43534	\N	\N	\N
786132	2678	1998-07-25	VYBER	VYBER	21338	24600	\N	\N	\N
786133	2678	1998-01-12	VYBER	VYBER	14795	31237	\N	\N	\N
786134	2678	1998-03-15	VYBER	VYBER	11865	22934	\N	\N	\N
786135	2678	1998-10-18	VYBER	VYBER	17596	41732	\N	\N	\N
786138	2678	1998-03-07	VYBER	VYBER	23359	54099	\N	\N	\N
786140	2678	1998-06-26	VYDAJ	VYBER	26100	19668	\N	\N	\N
786142	2678	1998-12-30	VYDAJ	VYBER KARTOU	1800	61283	\N	\N	0
786149	2678	1998-01-18	VYDAJ	VYBER	2400	24337	\N	\N	\N
786150	2678	1998-01-01	VYDAJ	VYBER	6900	46602	\N	\N	\N
786151	2678	1998-01-13	VYDAJ	VYBER	4500	26737	\N	\N	\N
786153	2678	1998-01-21	VYDAJ	VYBER	5700	18637	\N	\N	\N
786154	2678	1998-01-10	VYDAJ	VYBER	7500	77032	\N	\N	\N
786162	2678	1998-05-02	VYDAJ	VYBER	7800	26514	\N	\N	\N
786163	2678	1998-04-26	VYDAJ	VYBER	8400	34184	\N	\N	\N
786164	2678	1998-11-16	VYDAJ	VYBER KARTOU	2700	53457	\N	\N	0
786165	2678	1998-08-08	VYDAJ	VYBER	14700	47955	\N	\N	\N
786166	2678	1998-12-17	VYDAJ	VYBER KARTOU	1800	63083	\N	\N	0
786167	2678	1998-05-29	VYDAJ	VYBER	10500	22734	\N	\N	\N
786180	2678	1997-12-31	VYDAJ	VYBER	15	53502	SLUZBY	\N	\N
786181	2678	1998-01-31	VYDAJ	VYBER	15	18776	SLUZBY	\N	\N
786182	2678	1998-02-28	VYDAJ	VYBER	15	39528	SLUZBY	\N	\N
786183	2678	1998-03-31	VYDAJ	VYBER	15	23054	SLUZBY	\N	\N
786184	2678	1998-04-30	VYDAJ	VYBER	15	34314	SLUZBY	\N	\N
786185	2678	1998-05-31	VYDAJ	VYBER	15	22868	SLUZBY	\N	\N
786186	2678	1998-06-30	VYDAJ	VYBER	15	19808	SLUZBY	\N	\N
786187	2678	1998-07-31	VYDAJ	VYBER	15	24725	SLUZBY	\N	\N
786188	2678	1998-08-31	VYDAJ	VYBER	15	37573	SLUZBY	\N	\N
786189	2678	1998-09-30	VYDAJ	VYBER	15	54498	SLUZBY	\N	\N
786190	2678	1998-10-31	VYDAJ	VYBER	15	41927	SLUZBY	\N	\N
786191	2678	1998-11-30	VYDAJ	VYBER	15	53688	SLUZBY	\N	\N
786192	2678	1997-08-14	VYDAJ	VYBER	10600	27530	\N	\N	\N
786193	2678	1997-09-13	VYDAJ	VYBER	21800	43727	\N	\N	\N
786194	2678	1997-10-13	VYDAJ	VYBER	29400	52412	\N	\N	\N
786195	2678	1997-11-12	VYDAJ	VYBER	33700	56846	\N	\N	\N
786196	2678	1997-12-07	VYDAJ	VYBER	30600	83371	\N	\N	\N
786197	2678	1997-12-12	VYDAJ	VYBER	30100	53271	\N	\N	\N
786198	2678	1998-01-11	VYDAJ	VYBER	31000	46032	\N	\N	\N
786199	2678	1998-02-10	VYDAJ	VYBER	17300	39406	\N	\N	\N
786200	2678	1998-03-12	VYDAJ	VYBER	19300	34799	\N	\N	\N
786201	2678	1998-04-11	VYDAJ	VYBER	18400	42584	\N	\N	\N
786202	2678	1998-05-11	VYDAJ	VYBER	10300	33234	\N	\N	\N
786203	2678	1998-06-10	VYDAJ	VYBER	13200	45768	\N	\N	\N
786204	2678	1998-07-10	VYDAJ	VYBER	11800	45938	\N	\N	\N
786205	2678	1998-08-09	VYDAJ	VYBER	4700	43255	\N	\N	\N
786206	2678	1998-09-08	VYDAJ	VYBER	21200	54303	\N	\N	\N
786207	2678	1998-10-08	VYDAJ	VYBER	33100	59328	\N	\N	\N
786208	2678	1998-11-07	VYDAJ	VYBER	23700	56157	\N	\N	\N
786209	2678	1998-12-07	VYDAJ	VYBER	22700	87883	\N	\N	\N
786210	2678	1998-12-07	VYDAJ	VYBER	23000	64883	\N	\N	\N
786228	2679	1997-07-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
786236	2679	1997-08-13	PRIJEM	PREVOD Z UCTU	6654	7754	DUCHOD	MN	35284531
786237	2679	1997-09-13	PRIJEM	PREVOD Z UCTU	6654	14408	DUCHOD	MN	35284531
786238	2679	1997-10-13	PRIJEM	PREVOD Z UCTU	6654	21062	DUCHOD	MN	35284531
786239	2679	1997-11-13	PRIJEM	PREVOD Z UCTU	6654	26242	DUCHOD	MN	35284531
786240	2679	1997-12-13	PRIJEM	PREVOD Z UCTU	6654	28581	DUCHOD	MN	35284531
786241	2679	1998-01-13	PRIJEM	PREVOD Z UCTU	6654	28626	DUCHOD	MN	35284531
786242	2679	1998-02-13	PRIJEM	PREVOD Z UCTU	6654	19437	DUCHOD	MN	35284531
786243	2679	1998-03-13	PRIJEM	PREVOD Z UCTU	6654	18387	DUCHOD	MN	35284531
786244	2679	1998-04-13	PRIJEM	PREVOD Z UCTU	6654	21256	DUCHOD	MN	35284531
786245	2679	1998-05-13	PRIJEM	PREVOD Z UCTU	6654	21337	DUCHOD	MN	35284531
786246	2679	1998-06-13	PRIJEM	PREVOD Z UCTU	6654	24218	DUCHOD	MN	35284531
786247	2679	1998-07-13	PRIJEM	PREVOD Z UCTU	6654	18857	DUCHOD	MN	35284531
786248	2679	1998-08-13	PRIJEM	PREVOD Z UCTU	6654	21729	DUCHOD	MN	35284531
786249	2679	1998-09-13	PRIJEM	PREVOD Z UCTU	6654	24612	DUCHOD	MN	35284531
786250	2679	1998-10-13	PRIJEM	PREVOD Z UCTU	6654	27507	DUCHOD	MN	35284531
786251	2679	1998-11-13	PRIJEM	PREVOD Z UCTU	6654	30415	DUCHOD	MN	35284531
786252	2679	1998-12-13	PRIJEM	PREVOD Z UCTU	6654	30210	DUCHOD	MN	35284531
786265	2679	1998-01-08	VYDAJ	PREVOD NA UCET	3842	21972	SIPO	AB	25353056
786266	2679	1998-02-08	VYDAJ	PREVOD NA UCET	3842	12783	SIPO	AB	25353056
786267	2679	1998-03-08	VYDAJ	PREVOD NA UCET	3842	11733	SIPO	AB	25353056
786268	2679	1998-04-08	VYDAJ	PREVOD NA UCET	3842	14602	SIPO	AB	25353056
786269	2679	1998-05-08	VYDAJ	PREVOD NA UCET	3842	14683	SIPO	AB	25353056
786270	2679	1998-06-08	VYDAJ	PREVOD NA UCET	3842	17564	SIPO	AB	25353056
786271	2679	1998-07-08	VYDAJ	PREVOD NA UCET	3842	12203	SIPO	AB	25353056
786272	2679	1998-08-08	VYDAJ	PREVOD NA UCET	3842	15075	SIPO	AB	25353056
786273	2679	1998-09-08	VYDAJ	PREVOD NA UCET	3842	17958	SIPO	AB	25353056
786274	2679	1998-10-08	VYDAJ	PREVOD NA UCET	3842	20853	SIPO	AB	25353056
786275	2679	1998-11-08	VYDAJ	PREVOD NA UCET	3842	23761	SIPO	AB	25353056
786276	2679	1998-12-08	VYDAJ	PREVOD NA UCET	3842	23556	SIPO	AB	25353056
786278	2679	1998-06-27	VYDAJ	VYBER	8250	15968	\N	\N	\N
786279	2679	1997-12-30	VYDAJ	VYBER	550	25731	\N	\N	\N
786280	2679	1998-12-16	VYDAJ	VYBER	450	29760	\N	\N	\N
786287	2679	1998-01-14	VYDAJ	VYBER	2320	24946	\N	\N	\N
786288	2679	1998-01-15	VYDAJ	VYBER	2080	22866	\N	\N	\N
786289	2679	1998-01-27	VYDAJ	VYBER	1520	16546	\N	\N	\N
786290	2679	1998-01-17	VYDAJ	VYBER	480	20866	\N	\N	\N
786291	2679	1998-01-16	VYDAJ	VYBER	1520	21346	\N	\N	\N
786292	2679	1998-01-14	VYDAJ	VYBER	1360	27266	\N	\N	\N
786297	2679	1998-04-29	VYDAJ	VYBER	2800	18456	\N	\N	\N
786298	2679	1998-11-22	VYDAJ	VYBER	3120	27295	\N	\N	\N
786299	2679	1998-02-23	VYDAJ	VYBER	3920	15517	\N	\N	\N
786300	2679	1998-01-25	VYDAJ	VYBER	2800	18066	\N	\N	\N
786313	2679	1997-12-31	VYDAJ	VYBER	15	25814	SLUZBY	\N	\N
786314	2679	1998-01-31	VYDAJ	VYBER	15	16625	SLUZBY	\N	\N
786315	2679	1998-02-28	VYDAJ	VYBER	15	15575	SLUZBY	\N	\N
786316	2679	1998-03-31	VYDAJ	VYBER	15	18444	SLUZBY	\N	\N
786317	2679	1998-04-30	VYDAJ	VYBER	15	18525	SLUZBY	\N	\N
786318	2679	1998-05-31	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
786319	2679	1998-06-30	VYDAJ	VYBER	15	16045	SLUZBY	\N	\N
786320	2679	1998-07-31	VYDAJ	VYBER	15	18917	SLUZBY	\N	\N
786321	2679	1998-08-31	VYDAJ	VYBER	15	21800	SLUZBY	\N	\N
786322	2679	1998-09-30	VYDAJ	VYBER	15	24695	SLUZBY	\N	\N
786323	2679	1998-10-31	VYDAJ	VYBER	15	27603	SLUZBY	\N	\N
786324	2679	1998-11-30	VYDAJ	VYBER	15	27398	SLUZBY	\N	\N
786325	2679	1997-10-22	VYDAJ	VYBER	1500	19562	\N	\N	\N
786326	2679	1997-11-21	VYDAJ	VYBER	4400	21842	\N	\N	\N
786327	2679	1997-12-21	VYDAJ	VYBER	2300	26281	\N	\N	\N
786343	2680	1995-03-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
786346	2680	1995-03-05	PRIJEM	PREVOD Z UCTU	17001	18101	\N	GH	26717019
786347	2680	1995-04-05	PRIJEM	PREVOD Z UCTU	17001	38768	\N	GH	26717019
786348	2680	1995-05-05	PRIJEM	PREVOD Z UCTU	17001	47319	\N	GH	26717019
786349	2680	1995-06-05	PRIJEM	PREVOD Z UCTU	25502	62713	\N	GH	26717019
786350	2680	1995-07-05	PRIJEM	PREVOD Z UCTU	17001	62067	\N	GH	26717019
786351	2680	1995-08-05	PRIJEM	PREVOD Z UCTU	17001	35538	\N	GH	26717019
786352	2680	1995-09-05	PRIJEM	PREVOD Z UCTU	17001	52106	\N	GH	26717019
786353	2680	1995-10-05	PRIJEM	PREVOD Z UCTU	17001	55041	\N	GH	26717019
786354	2680	1995-11-05	PRIJEM	PREVOD Z UCTU	17001	58287	\N	GH	26717019
786355	2680	1995-12-05	PRIJEM	PREVOD Z UCTU	25502	59998	\N	GH	26717019
786356	2680	1996-01-05	PRIJEM	PREVOD Z UCTU	17001	48919	\N	GH	26717019
786357	2680	1996-02-05	PRIJEM	PREVOD Z UCTU	17001	24146	\N	GH	26717019
786358	2680	1996-03-05	PRIJEM	PREVOD Z UCTU	17001	40586	\N	GH	26717019
786359	2680	1996-04-05	PRIJEM	PREVOD Z UCTU	17001	46069	\N	GH	26717019
786360	2680	1996-05-05	PRIJEM	PREVOD Z UCTU	17001	34516	\N	GH	26717019
786361	2680	1996-06-05	PRIJEM	PREVOD Z UCTU	25502	45904	\N	GH	26717019
786362	2680	1996-07-05	PRIJEM	PREVOD Z UCTU	17001	36255	\N	GH	26717019
786363	2680	1996-08-05	PRIJEM	PREVOD Z UCTU	17001	38655	\N	GH	26717019
786364	2680	1996-09-05	PRIJEM	PREVOD Z UCTU	17001	27858	\N	GH	26717019
786365	2680	1996-10-05	PRIJEM	PREVOD Z UCTU	17001	33578	\N	GH	26717019
786366	2680	1996-11-05	PRIJEM	PREVOD Z UCTU	17001	30133	\N	GH	26717019
786367	2680	1996-12-05	PRIJEM	PREVOD Z UCTU	25502	53112	\N	GH	26717019
786368	2680	1997-01-05	PRIJEM	PREVOD Z UCTU	17001	49909	\N	GH	26717019
786369	2680	1997-02-05	PRIJEM	PREVOD Z UCTU	17001	27446	\N	GH	26717019
786370	2680	1997-03-05	PRIJEM	PREVOD Z UCTU	17001	26797	\N	GH	26717019
786371	2680	1997-04-05	PRIJEM	PREVOD Z UCTU	17001	49054	\N	GH	26717019
786372	2680	1997-05-05	PRIJEM	PREVOD Z UCTU	17001	47586	\N	GH	26717019
786373	2680	1997-06-05	PRIJEM	PREVOD Z UCTU	25502	53450	\N	GH	26717019
786374	2680	1997-07-05	PRIJEM	PREVOD Z UCTU	17001	49774	\N	GH	26717019
786375	2680	1997-08-05	PRIJEM	PREVOD Z UCTU	17001	60313	\N	GH	26717019
786376	2680	1997-09-05	PRIJEM	PREVOD Z UCTU	17001	67491	\N	GH	26717019
786377	2680	1997-10-05	PRIJEM	PREVOD Z UCTU	17001	72195	\N	GH	26717019
786378	2680	1997-11-05	PRIJEM	PREVOD Z UCTU	17001	68593	\N	GH	26717019
786379	2680	1997-12-05	PRIJEM	PREVOD Z UCTU	25502	78728	\N	GH	26717019
786380	2680	1998-01-05	PRIJEM	PREVOD Z UCTU	17001	38092	\N	GH	26717019
786381	2680	1998-02-05	PRIJEM	PREVOD Z UCTU	17001	43003	\N	GH	26717019
786382	2680	1998-03-05	PRIJEM	PREVOD Z UCTU	17001	30288	\N	GH	26717019
786383	2680	1998-04-05	PRIJEM	PREVOD Z UCTU	17001	50802	\N	GH	26717019
786384	2680	1998-05-05	PRIJEM	PREVOD Z UCTU	17001	38279	\N	GH	26717019
786385	2680	1998-06-05	PRIJEM	PREVOD Z UCTU	25502	39171	\N	GH	26717019
786386	2680	1998-07-05	PRIJEM	PREVOD Z UCTU	17001	33982	\N	GH	26717019
786387	2680	1998-08-05	PRIJEM	PREVOD Z UCTU	17001	40734	\N	GH	26717019
786388	2680	1998-09-05	PRIJEM	PREVOD Z UCTU	17001	30143	\N	GH	26717019
786389	2680	1998-10-05	PRIJEM	PREVOD Z UCTU	17001	34827	\N	GH	26717019
786390	2680	1998-11-05	PRIJEM	PREVOD Z UCTU	17001	32545	\N	GH	26717019
786391	2680	1998-12-05	PRIJEM	PREVOD Z UCTU	25502	54732	\N	GH	26717019
786394	2680	1995-07-05	VYBER	VYBER	17719	44348	\N	\N	\N
786395	2680	1995-07-22	VYBER	VYBER	20429	11919	\N	\N	\N
786397	2680	1995-11-18	VYBER	VYBER	16347	41940	\N	\N	\N
786399	2680	1995-12-15	VYBER	VYBER	19527	33271	\N	\N	\N
786401	2680	1996-09-29	VYBER	VYBER	9129	16529	\N	\N	\N
786402	2680	1996-12-21	VYBER	VYBER	3231	45981	\N	\N	\N
786403	2680	1996-08-17	VYBER	VYBER	16369	22286	\N	\N	\N
786404	2680	1996-07-14	VYBER	VYBER	6096	30159	\N	\N	\N
786405	2680	1996-05-01	VYBER	VYBER	10493	17515	\N	\N	\N
786406	2680	1996-07-22	VYBER	VYBER	13283	16876	\N	\N	\N
786407	2680	1996-06-28	VYBER	VYBER	17827	19177	\N	\N	\N
786408	2680	1996-10-24	VYBER	VYBER	23099	13079	\N	\N	\N
786409	2680	1996-04-12	VYBER	VYBER	14495	31574	\N	\N	\N
786410	2680	1996-01-11	VYBER	VYBER	19047	18472	\N	\N	\N
786411	2680	1996-04-01	VYBER	VYBER	4408	29068	\N	\N	\N
786412	2680	1996-04-16	VYBER	VYBER	4689	26885	\N	\N	\N
786413	2680	1997-11-01	VYBER	VYBER	11432	51592	\N	\N	\N
786414	2680	1997-02-28	VYBER	VYBER	20201	9811	\N	\N	\N
786415	2680	1997-05-07	VYBER	VYBER	14565	33021	\N	\N	\N
786417	2680	1997-01-05	VYBER	VYBER	20613	29296	\N	\N	\N
786418	2680	1998-07-15	VYBER	VYBER	24271	23611	\N	\N	\N
786419	2680	1998-08-17	VYBER	VYBER	16564	19370	\N	\N	\N
786420	2680	1998-05-02	VYBER	VYBER	18904	21278	\N	\N	\N
786421	2680	1998-04-08	VYBER	VYBER	6769	44033	\N	\N	\N
786422	2680	1998-05-25	VYBER	VYBER	24331	13548	\N	\N	\N
786423	2680	1998-06-25	VYBER	VYBER	23871	16900	\N	\N	\N
786424	2680	1998-02-06	VYBER	VYBER	7516	35487	\N	\N	\N
786425	2680	1998-09-28	VYBER	VYBER	14898	17745	\N	\N	\N
786426	2680	1998-10-24	VYBER	VYBER	12077	25350	\N	\N	\N
786429	2680	1997-06-29	VYDAJ	VYBER	11700	32650	\N	\N	\N
786431	2680	1995-12-06	VYDAJ	VYBER	7200	52798	\N	\N	\N
786432	2680	1996-12-16	VYDAJ	VYBER	3900	49212	\N	\N	\N
786433	2680	1997-12-21	VYDAJ	VYBER	8700	35928	\N	\N	\N
786434	2680	1998-12-08	VYDAJ	VYBER	6300	48432	\N	\N	\N
786441	2680	1996-01-29	VYDAJ	VYBER	8400	7072	\N	\N	\N
786442	2680	1996-01-10	VYDAJ	VYBER	3300	37519	\N	\N	\N
786443	2680	1996-01-27	VYDAJ	VYBER	4200	15472	\N	\N	\N
786444	2680	1996-01-05	VYDAJ	VYBER	8100	40819	\N	\N	\N
786445	2680	1996-01-11	VYDAJ	VYBER	5400	13072	\N	\N	\N
786446	2680	1996-01-23	VYDAJ	VYBER	7500	5572	\N	\N	\N
786448	2680	1997-01-14	VYDAJ	VYBER	8700	-1904	\N	\N	\N
786449	2680	1997-01-10	VYDAJ	VYBER	6600	6796	\N	\N	\N
786450	2680	1997-01-24	VYDAJ	VYBER	3600	10396	\N	\N	\N
786451	2680	1997-01-01	VYDAJ	VYBER	2400	32908	\N	\N	\N
786452	2680	1997-01-10	VYDAJ	VYBER	3900	13396	\N	\N	\N
786453	2680	1998-01-13	VYDAJ	VYBER	6300	27892	\N	\N	\N
786454	2680	1998-01-24	VYDAJ	VYBER	3900	25892	\N	\N	\N
786455	2680	1998-01-03	VYDAJ	VYBER	1500	21091	\N	\N	\N
786456	2680	1998-01-18	VYDAJ	VYBER	3300	33092	\N	\N	\N
786457	2680	1998-01-23	VYDAJ	VYBER	3300	29792	\N	\N	\N
786458	2680	1998-01-08	VYDAJ	VYBER	3900	34192	\N	\N	\N
786459	2680	1995-07-10	VYDAJ	VYBER	12000	32348	\N	\N	\N
786460	2680	1995-09-28	VYDAJ	VYBER	5700	46406	\N	\N	\N
786464	2680	1996-05-11	VYDAJ	VYBER	13800	20716	\N	\N	\N
786465	2680	1996-11-08	VYDAJ	VYBER	7200	22933	\N	\N	\N
786466	2680	1996-09-23	VYDAJ	VYBER	4500	25658	\N	\N	\N
786467	2680	1996-02-14	VYDAJ	VYBER	8700	15446	\N	\N	\N
786468	2680	1996-08-28	VYDAJ	VYBER	12300	10786	\N	\N	\N
786469	2680	1997-12-24	VYDAJ	VYBER	13500	22428	\N	\N	\N
786470	2680	1997-01-08	VYDAJ	VYBER	12000	17296	\N	\N	\N
786471	2680	1997-11-13	VYDAJ	VYBER	6300	62293	\N	\N	\N
786472	2680	1997-12-18	VYDAJ	VYBER	14700	44628	\N	\N	\N
786473	2680	1997-05-03	VYDAJ	VYBER	10800	30585	\N	\N	\N
786474	2680	1997-05-30	VYDAJ	VYBER	3600	27821	\N	\N	\N
786475	2680	1998-10-24	VYDAJ	VYBER	9900	15450	\N	\N	\N
786476	2680	1998-11-14	VYDAJ	VYBER	5400	29145	\N	\N	\N
786477	2680	1998-02-16	VYDAJ	VYBER	13800	22487	\N	\N	\N
786478	2680	1998-03-02	VYDAJ	VYBER	9300	13287	\N	\N	\N
786479	2680	1998-08-24	VYDAJ	VYBER	6300	13070	\N	\N	\N
786487	2680	1995-07-31	VYDAJ	VYBER	15	18537	SLUZBY	\N	\N
786488	2680	1995-08-31	VYDAJ	VYBER	15	35105	SLUZBY	\N	\N
786489	2680	1995-09-30	VYDAJ	VYBER	15	38040	SLUZBY	\N	\N
786490	2680	1995-10-31	VYDAJ	VYBER	15	41286	SLUZBY	\N	\N
786491	2680	1995-11-30	VYDAJ	VYBER	15	34496	SLUZBY	\N	\N
786492	2680	1995-12-31	VYDAJ	VYBER	15	31918	SLUZBY	\N	\N
786493	2680	1996-01-31	VYDAJ	VYBER	15	7145	SLUZBY	\N	\N
786494	2680	1996-02-29	VYDAJ	VYBER	15	23585	SLUZBY	\N	\N
786495	2680	1996-03-31	VYDAJ	VYBER	15	33476	SLUZBY	\N	\N
786496	2680	1996-04-30	VYDAJ	VYBER	15	28008	SLUZBY	\N	\N
786497	2680	1996-05-31	VYDAJ	VYBER	15	20402	SLUZBY	\N	\N
786498	2680	1996-06-30	VYDAJ	VYBER	15	19254	SLUZBY	\N	\N
786499	2680	1996-07-31	VYDAJ	VYBER	15	21654	SLUZBY	\N	\N
786500	2680	1996-08-31	VYDAJ	VYBER	15	10857	SLUZBY	\N	\N
786501	2680	1996-09-30	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
786502	2680	1996-10-31	VYDAJ	VYBER	15	13132	SLUZBY	\N	\N
786503	2680	1996-11-30	VYDAJ	VYBER	15	27610	SLUZBY	\N	\N
786504	2680	1996-12-31	VYDAJ	VYBER	15	35308	SLUZBY	\N	\N
786505	2680	1997-01-31	VYDAJ	VYBER	15	10449	SLUZBY	\N	\N
786506	2680	1997-02-28	VYDAJ	VYBER	15	9796	SLUZBY	\N	\N
786507	2680	1997-03-31	VYDAJ	VYBER	15	32053	SLUZBY	\N	\N
786508	2680	1997-04-30	VYDAJ	VYBER	15	41385	SLUZBY	\N	\N
786509	2680	1997-05-31	VYDAJ	VYBER	15	27948	SLUZBY	\N	\N
786510	2680	1997-06-30	VYDAJ	VYBER	15	32773	SLUZBY	\N	\N
786511	2680	1997-07-31	VYDAJ	VYBER	15	43312	SLUZBY	\N	\N
786512	2680	1997-08-31	VYDAJ	VYBER	15	50490	SLUZBY	\N	\N
786513	2680	1997-09-30	VYDAJ	VYBER	15	55194	SLUZBY	\N	\N
786514	2680	1997-10-31	VYDAJ	VYBER	15	63024	SLUZBY	\N	\N
786515	2680	1997-11-30	VYDAJ	VYBER	15	53226	SLUZBY	\N	\N
786516	2680	1997-12-31	VYDAJ	VYBER	15	22591	SLUZBY	\N	\N
786517	2680	1998-01-31	VYDAJ	VYBER	15	26002	SLUZBY	\N	\N
786518	2680	1998-02-28	VYDAJ	VYBER	15	22587	SLUZBY	\N	\N
786519	2680	1998-03-31	VYDAJ	VYBER	15	33801	SLUZBY	\N	\N
786520	2680	1998-04-30	VYDAJ	VYBER	15	40182	SLUZBY	\N	\N
786521	2680	1998-05-31	VYDAJ	VYBER	15	13669	SLUZBY	\N	\N
786522	2680	1998-06-30	VYDAJ	VYBER	15	16981	SLUZBY	\N	\N
786523	2680	1998-07-31	VYDAJ	VYBER	15	23733	SLUZBY	\N	\N
786524	2680	1998-08-31	VYDAJ	VYBER	15	13142	SLUZBY	\N	\N
786525	2680	1998-09-30	VYDAJ	VYBER	15	17826	SLUZBY	\N	\N
786526	2680	1998-10-31	VYDAJ	VYBER	15	15544	SLUZBY	\N	\N
786527	2680	1998-11-30	VYDAJ	VYBER	15	29230	SLUZBY	\N	\N
786528	2680	1995-04-02	PRIJEM	VKLAD	3600	21767	\N	\N	\N
786529	2680	1995-05-02	VYDAJ	VYBER	8600	30318	\N	\N	\N
786530	2680	1995-06-01	VYDAJ	VYBER	10300	37211	\N	\N	\N
786531	2680	1995-07-01	VYDAJ	VYBER	17900	45066	\N	\N	\N
786532	2680	1995-07-31	PRIJEM	VKLAD	6500	18552	\N	\N	\N
786533	2680	1995-08-30	VYDAJ	VYBER	500	35038	\N	\N	\N
786534	2680	1995-09-29	VYDAJ	VYBER	8500	37906	\N	\N	\N
786535	2680	1995-10-29	VYDAJ	VYBER	13900	41141	\N	\N	\N
786536	2680	1995-11-28	VYDAJ	VYBER	7600	34340	\N	\N	\N
786537	2680	1995-12-28	VYDAJ	VYBER	1500	31771	\N	\N	\N
786538	2680	1996-01-27	PRIJEM	VKLAD	14100	19672	\N	\N	\N
786539	2680	1996-02-26	PRIJEM	VKLAD	8100	23546	\N	\N	\N
786540	2680	1996-03-27	VYDAJ	VYBER	7200	33386	\N	\N	\N
786541	2680	1996-04-26	PRIJEM	VKLAD	1000	27885	\N	\N	\N
786542	2680	1996-05-26	VYDAJ	VYBER	400	20316	\N	\N	\N
786543	2680	1996-06-25	VYDAJ	VYBER	8900	37004	\N	\N	\N
786544	2680	1996-07-25	PRIJEM	VKLAD	4700	21576	\N	\N	\N
786545	2680	1996-08-24	PRIJEM	VKLAD	800	23086	\N	\N	\N
786546	2680	1996-09-23	PRIJEM	VKLAD	2300	30158	\N	\N	\N
786547	2680	1996-10-23	PRIJEM	VKLAD	2600	36178	\N	\N	\N
786548	2680	1996-11-22	PRIJEM	VKLAD	4600	27533	\N	\N	\N
786549	2680	1996-12-22	VYDAJ	VYBER	10800	35181	\N	\N	\N
786550	2680	1997-01-21	PRIJEM	VKLAD	15900	13996	\N	\N	\N
786551	2680	1997-02-20	PRIJEM	VKLAD	2500	29946	\N	\N	\N
786552	2680	1997-03-22	PRIJEM	VKLAD	5200	31997	\N	\N	\N
786553	2680	1997-04-21	VYDAJ	VYBER	7800	41254	\N	\N	\N
786554	2680	1997-05-21	VYDAJ	VYBER	1600	31421	\N	\N	\N
786555	2680	1997-06-20	VYDAJ	VYBER	9100	44350	\N	\N	\N
786556	2680	1997-07-20	VYDAJ	VYBER	6600	43174	\N	\N	\N
786557	2680	1997-08-19	VYDAJ	VYBER	10000	50313	\N	\N	\N
786558	2680	1997-09-18	VYDAJ	VYBER	12500	54991	\N	\N	\N
786559	2680	1997-10-18	VYDAJ	VYBER	9400	62795	\N	\N	\N
786560	2680	1997-11-17	VYDAJ	VYBER	9300	52993	\N	\N	\N
786561	2680	1997-12-17	VYDAJ	VYBER	19400	59328	\N	\N	\N
786562	2680	1998-01-16	PRIJEM	VKLAD	8500	36392	\N	\N	\N
786563	2680	1998-02-15	PRIJEM	VKLAD	800	36287	\N	\N	\N
786564	2680	1998-03-17	PRIJEM	VKLAD	3400	33688	\N	\N	\N
786565	2680	1998-04-16	VYDAJ	VYBER	4000	40033	\N	\N	\N
786566	2680	1998-05-16	VYDAJ	VYBER	400	37879	\N	\N	\N
786567	2680	1998-06-15	PRIJEM	VKLAD	1600	40771	\N	\N	\N
786568	2680	1998-07-15	PRIJEM	VKLAD	13900	47882	\N	\N	\N
786569	2680	1998-08-14	VYDAJ	VYBER	4800	35934	\N	\N	\N
786570	2680	1998-09-13	PRIJEM	VKLAD	2500	32643	\N	\N	\N
786571	2680	1998-10-13	PRIJEM	VKLAD	2600	37427	\N	\N	\N
786572	2680	1998-11-12	PRIJEM	VKLAD	2000	34545	\N	\N	\N
786620	2681	1995-01-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
786622	2681	1995-02-06	PRIJEM	VKLAD	23938	25038	\N	\N	\N
786623	2681	1995-03-06	PRIJEM	VKLAD	23938	46713	\N	\N	\N
786624	2681	1995-04-06	PRIJEM	VKLAD	23938	56962	\N	\N	\N
786625	2681	1995-05-06	PRIJEM	VKLAD	23938	62847	\N	\N	\N
786626	2681	1995-06-06	PRIJEM	VKLAD	35907	79524	\N	\N	\N
786627	2681	1995-07-06	PRIJEM	VKLAD	23938	59263	\N	\N	\N
786628	2681	1995-08-06	PRIJEM	VKLAD	23938	65509	\N	\N	\N
786629	2681	1995-09-06	PRIJEM	VKLAD	23938	65967	\N	\N	\N
786630	2681	1995-10-06	PRIJEM	VKLAD	23938	68931	\N	\N	\N
786631	2681	1995-11-06	PRIJEM	VKLAD	23938	70303	\N	\N	\N
786632	2681	1995-12-06	PRIJEM	VKLAD	35907	85151	\N	\N	\N
786633	2681	1996-01-06	PRIJEM	VKLAD	23938	75051	\N	\N	\N
786634	2681	1996-02-06	PRIJEM	VKLAD	23938	59029	\N	\N	\N
786635	2681	1996-03-06	PRIJEM	VKLAD	23938	67571	\N	\N	\N
786636	2681	1996-04-06	PRIJEM	VKLAD	23938	70040	\N	\N	\N
786637	2681	1996-05-06	PRIJEM	VKLAD	23938	74218	\N	\N	\N
786638	2681	1996-06-06	PRIJEM	VKLAD	35907	88877	\N	\N	\N
786639	2681	1996-07-06	PRIJEM	VKLAD	23938	66440	\N	\N	\N
786640	2681	1996-08-06	PRIJEM	VKLAD	23938	69703	\N	\N	\N
786641	2681	1996-09-06	PRIJEM	VKLAD	23938	70471	\N	\N	\N
786642	2681	1996-10-06	PRIJEM	VKLAD	23938	75646	\N	\N	\N
786643	2681	1996-11-06	PRIJEM	VKLAD	23938	81143	\N	\N	\N
786644	2681	1996-12-06	PRIJEM	VKLAD	35907	97130	\N	\N	\N
786645	2681	1997-01-06	PRIJEM	VKLAD	23938	82060	\N	\N	\N
786646	2681	1997-02-06	PRIJEM	VKLAD	23938	72257	\N	\N	\N
786647	2681	1997-03-06	PRIJEM	VKLAD	23938	71933	\N	\N	\N
786648	2681	1997-04-06	PRIJEM	VKLAD	23938	75317	\N	\N	\N
786649	2681	1997-05-06	PRIJEM	VKLAD	23938	79144	\N	\N	\N
786650	2681	1997-06-06	PRIJEM	VKLAD	35907	86393	\N	\N	\N
786651	2681	1997-07-06	PRIJEM	VKLAD	23938	62127	\N	\N	\N
786652	2681	1997-08-06	PRIJEM	VKLAD	23938	68969	\N	\N	\N
786653	2681	1997-09-06	PRIJEM	VKLAD	23938	64323	\N	\N	\N
786654	2681	1997-10-06	PRIJEM	VKLAD	23938	74823	\N	\N	\N
786655	2681	1997-11-06	PRIJEM	VKLAD	23938	75457	\N	\N	\N
786656	2681	1997-12-06	PRIJEM	VKLAD	35907	94378	\N	\N	\N
786657	2681	1998-01-06	PRIJEM	VKLAD	23938	88291	\N	\N	\N
786658	2681	1998-02-06	PRIJEM	VKLAD	23938	78489	\N	\N	\N
786659	2681	1998-03-06	PRIJEM	VKLAD	23938	82954	\N	\N	\N
786660	2681	1998-04-06	PRIJEM	VKLAD	23938	85536	\N	\N	\N
786661	2681	1998-05-06	PRIJEM	VKLAD	23938	85129	\N	\N	\N
786662	2681	1998-06-06	PRIJEM	VKLAD	35907	94192	\N	\N	\N
786663	2681	1998-07-06	PRIJEM	VKLAD	23938	88487	\N	\N	\N
786664	2681	1998-08-06	PRIJEM	VKLAD	23938	88197	\N	\N	\N
786665	2681	1998-09-06	PRIJEM	VKLAD	23938	88896	\N	\N	\N
786666	2681	1998-10-06	PRIJEM	VKLAD	23938	89784	\N	\N	\N
786667	2681	1998-11-06	PRIJEM	VKLAD	23938	93675	\N	\N	\N
786668	2681	1998-12-06	PRIJEM	VKLAD	35907	101447	\N	\N	\N
786674	2681	1995-06-08	VYDAJ	PREVOD NA UCET	4662	46962	SIPO	ST	19728160
786675	2681	1995-07-08	VYDAJ	PREVOD NA UCET	4662	54601	SIPO	ST	19728160
786676	2681	1995-08-08	VYDAJ	PREVOD NA UCET	4662	60847	SIPO	ST	19728160
786677	2681	1995-09-08	VYDAJ	PREVOD NA UCET	4662	61305	SIPO	ST	19728160
786678	2681	1995-10-08	VYDAJ	PREVOD NA UCET	4662	64269	SIPO	ST	19728160
786679	2681	1995-11-08	VYDAJ	PREVOD NA UCET	4662	65641	SIPO	ST	19728160
786680	2681	1995-12-08	VYDAJ	PREVOD NA UCET	4662	80489	SIPO	ST	19728160
786681	2681	1996-01-08	VYDAJ	PREVOD NA UCET	4662	70389	SIPO	ST	19728160
786682	2681	1996-02-08	VYDAJ	PREVOD NA UCET	4662	54367	SIPO	ST	19728160
786683	2681	1996-03-08	VYDAJ	PREVOD NA UCET	4662	62909	SIPO	ST	19728160
786684	2681	1996-04-08	VYDAJ	PREVOD NA UCET	4662	65378	SIPO	ST	19728160
786685	2681	1996-05-08	VYDAJ	PREVOD NA UCET	4662	69556	SIPO	ST	19728160
786686	2681	1996-06-08	VYDAJ	PREVOD NA UCET	4662	84215	SIPO	ST	19728160
786687	2681	1996-07-08	VYDAJ	PREVOD NA UCET	4662	61778	SIPO	ST	19728160
786688	2681	1996-08-08	VYDAJ	PREVOD NA UCET	4662	65041	SIPO	ST	19728160
786689	2681	1996-09-08	VYDAJ	PREVOD NA UCET	4662	65809	SIPO	ST	19728160
786690	2681	1996-10-08	VYDAJ	PREVOD NA UCET	4662	70984	SIPO	ST	19728160
786691	2681	1996-11-08	VYDAJ	PREVOD NA UCET	4662	76481	SIPO	ST	19728160
786692	2681	1996-12-08	VYDAJ	PREVOD NA UCET	4662	92468	SIPO	ST	19728160
786693	2681	1997-01-08	VYDAJ	PREVOD NA UCET	4662	60198	SIPO	ST	19728160
786694	2681	1997-02-08	VYDAJ	PREVOD NA UCET	4662	53595	SIPO	ST	19728160
786695	2681	1997-03-08	VYDAJ	PREVOD NA UCET	4662	67271	SIPO	ST	19728160
786696	2681	1997-04-08	VYDAJ	PREVOD NA UCET	4662	70655	SIPO	ST	19728160
786697	2681	1997-05-08	VYDAJ	PREVOD NA UCET	4662	54282	SIPO	ST	19728160
786698	2681	1997-06-08	VYDAJ	PREVOD NA UCET	4662	55631	SIPO	ST	19728160
786699	2681	1997-07-08	VYDAJ	PREVOD NA UCET	4662	44865	SIPO	ST	19728160
786700	2681	1997-08-08	VYDAJ	PREVOD NA UCET	4662	46307	SIPO	ST	19728160
786701	2681	1997-09-08	VYDAJ	PREVOD NA UCET	4662	59661	SIPO	ST	19728160
786702	2681	1997-10-08	VYDAJ	PREVOD NA UCET	4662	70161	SIPO	ST	19728160
786703	2681	1997-11-08	VYDAJ	PREVOD NA UCET	4662	70795	SIPO	ST	19728160
786704	2681	1997-12-08	VYDAJ	PREVOD NA UCET	4662	89716	SIPO	ST	19728160
786705	2681	1998-01-08	VYDAJ	PREVOD NA UCET	4662	83629	SIPO	ST	19728160
786706	2681	1998-02-08	VYDAJ	PREVOD NA UCET	4662	73827	SIPO	ST	19728160
786707	2681	1998-03-08	VYDAJ	PREVOD NA UCET	4662	78292	SIPO	ST	19728160
786708	2681	1998-04-08	VYDAJ	PREVOD NA UCET	4662	80874	SIPO	ST	19728160
786709	2681	1998-05-08	VYDAJ	PREVOD NA UCET	4662	80467	SIPO	ST	19728160
786710	2681	1998-06-08	VYDAJ	PREVOD NA UCET	4662	85630	SIPO	ST	19728160
786711	2681	1998-07-08	VYDAJ	PREVOD NA UCET	4662	83825	SIPO	ST	19728160
786712	2681	1998-08-08	VYDAJ	PREVOD NA UCET	4662	82735	SIPO	ST	19728160
786713	2681	1998-09-08	VYDAJ	PREVOD NA UCET	4662	84234	SIPO	ST	19728160
786714	2681	1998-10-08	VYDAJ	PREVOD NA UCET	4662	85122	SIPO	ST	19728160
786715	2681	1998-11-08	VYDAJ	PREVOD NA UCET	4662	89013	SIPO	ST	19728160
786716	2681	1998-12-08	VYDAJ	PREVOD NA UCET	4662	96785	SIPO	ST	19728160
786765	2681	1995-06-08	VYDAJ	VYBER	27900	51624	\N	\N	\N
786766	2681	1996-06-10	VYDAJ	VYBER	29500	54715	\N	\N	\N
786767	2681	1997-06-09	VYDAJ	VYBER	17600	38031	\N	\N	\N
786768	2681	1998-06-01	VYDAJ	VYBER	11800	62685	\N	\N	\N
786770	2681	1996-01-28	VYDAJ	VYBER	9000	34889	\N	\N	\N
786771	2681	1997-01-20	VYDAJ	VYBER	4400	51798	\N	\N	\N
786772	2681	1998-01-29	VYDAJ	VYBER	3100	70029	\N	\N	\N
786773	2681	1995-12-14	VYDAJ	VYBER	2800	77689	\N	\N	\N
786774	2681	1996-12-03	VYDAJ	VYBER	1400	61223	\N	\N	\N
786775	2681	1997-12-09	VYDAJ	VYBER	2500	87216	\N	\N	\N
786776	2681	1998-12-22	VYDAJ	VYBER KARTOU	1900	94885	\N	\N	0
786783	2681	1996-01-18	VYDAJ	VYBER	900	53189	\N	\N	\N
786784	2681	1996-01-21	VYDAJ	VYBER	1600	48989	\N	\N	\N
786785	2681	1996-01-19	VYDAJ	VYBER	2600	50589	\N	\N	\N
786786	2681	1996-01-23	VYDAJ	VYBER	2100	46089	\N	\N	\N
786787	2681	1996-01-22	VYDAJ	VYBER	800	48189	\N	\N	\N
786788	2681	1996-01-27	VYDAJ	VYBER	2200	43889	\N	\N	\N
786789	2681	1997-01-19	VYDAJ	VYBER	1300	56198	\N	\N	\N
786790	2681	1997-01-22	VYDAJ	VYBER	2200	49598	\N	\N	\N
786791	2681	1997-01-29	VYDAJ	VYBER	1500	48098	\N	\N	\N
786792	2681	1997-01-15	VYDAJ	VYBER	1300	57498	\N	\N	\N
786793	2681	1997-01-08	VYDAJ	VYBER	1400	58798	\N	\N	\N
786794	2681	1997-01-02	VYDAJ	VYBER	2900	58122	\N	\N	\N
786795	2681	1998-01-23	VYDAJ	VYBER	2200	75929	\N	\N	\N
786796	2681	1998-01-21	VYDAJ	VYBER	1700	81929	\N	\N	\N
786797	2681	1998-01-22	VYDAJ	VYBER	700	78129	\N	\N	\N
786798	2681	1998-01-22	VYDAJ	VYBER	1100	80829	\N	\N	\N
786799	2681	1998-01-22	VYDAJ	VYBER	2000	78829	\N	\N	\N
786800	2681	1998-01-26	VYDAJ	VYBER	2800	73129	\N	\N	\N
786803	2681	1995-12-17	VYDAJ	VYBER	2400	50889	\N	\N	\N
786807	2681	1996-03-21	VYDAJ	VYBER	1900	49009	\N	\N	\N
786808	2681	1996-04-15	VYDAJ	VYBER	3300	50078	\N	\N	\N
786809	2681	1996-03-22	VYDAJ	VYBER	3100	45909	\N	\N	\N
786810	2681	1996-08-20	VYDAJ	VYBER	4500	46341	\N	\N	\N
786811	2681	1996-12-11	VYDAJ	VYBER	3400	60768	\N	\N	\N
786812	2681	1996-08-11	VYDAJ	VYBER	1300	50841	\N	\N	\N
786813	2681	1996-07-23	VYDAJ	VYBER	4800	45578	\N	\N	\N
786814	2681	1997-04-27	VYDAJ	VYBER	2200	54955	\N	\N	\N
786815	2681	1997-02-13	VYDAJ	VYBER	2000	51595	\N	\N	\N
786816	2681	1997-10-15	VYDAJ	VYBER	4400	65761	\N	\N	\N
786817	2681	1997-12-26	VYDAJ	VYBER	800	86416	\N	\N	\N
786818	2681	1997-10-20	VYDAJ	VYBER	1500	64261	\N	\N	\N
786819	2681	1997-03-14	VYDAJ	VYBER	3600	51171	\N	\N	\N
786820	2681	1997-03-04	VYDAJ	VYBER	3800	47995	\N	\N	\N
786821	2681	1997-05-18	VYDAJ	VYBER	4000	50282	\N	\N	\N
786822	2681	1998-06-12	VYDAJ	VYBER	1800	83830	\N	\N	\N
786823	2681	1998-08-21	VYDAJ	VYBER	2500	80235	\N	\N	\N
786824	2681	1998-05-25	VYDAJ	VYBER	2000	78467	\N	\N	\N
786825	2681	1998-03-27	VYDAJ	VYBER	3400	74892	\N	\N	\N
786826	2681	1998-05-25	VYDAJ	VYBER	4300	74167	\N	\N	\N
786827	2681	1998-08-06	VYDAJ	VYBER	800	87397	\N	\N	\N
786828	2681	1998-06-07	VYDAJ	VYBER	3900	90292	\N	\N	\N
786835	2681	1995-06-30	VYDAJ	VYBER	15	35325	SLUZBY	\N	\N
786836	2681	1995-07-31	VYDAJ	VYBER	15	41571	SLUZBY	\N	\N
786837	2681	1995-08-31	VYDAJ	VYBER	15	42029	SLUZBY	\N	\N
786838	2681	1995-09-30	VYDAJ	VYBER	15	44993	SLUZBY	\N	\N
786839	2681	1995-10-31	VYDAJ	VYBER	15	46365	SLUZBY	\N	\N
786840	2681	1995-11-30	VYDAJ	VYBER	15	49244	SLUZBY	\N	\N
786841	2681	1995-12-31	VYDAJ	VYBER	15	51113	SLUZBY	\N	\N
786842	2681	1996-01-31	VYDAJ	VYBER	15	35091	SLUZBY	\N	\N
786843	2681	1996-02-29	VYDAJ	VYBER	15	43633	SLUZBY	\N	\N
786844	2681	1996-03-31	VYDAJ	VYBER	15	46102	SLUZBY	\N	\N
786845	2681	1996-04-30	VYDAJ	VYBER	15	50280	SLUZBY	\N	\N
786846	2681	1996-05-31	VYDAJ	VYBER	15	52970	SLUZBY	\N	\N
786847	2681	1996-06-30	VYDAJ	VYBER	15	42502	SLUZBY	\N	\N
786848	2681	1996-07-31	VYDAJ	VYBER	15	45765	SLUZBY	\N	\N
786849	2681	1996-08-31	VYDAJ	VYBER	15	46533	SLUZBY	\N	\N
786850	2681	1996-09-30	VYDAJ	VYBER	15	51708	SLUZBY	\N	\N
786851	2681	1996-10-31	VYDAJ	VYBER	15	57205	SLUZBY	\N	\N
786852	2681	1996-11-30	VYDAJ	VYBER	15	62623	SLUZBY	\N	\N
786853	2681	1996-12-31	VYDAJ	VYBER	15	61022	SLUZBY	\N	\N
786854	2681	1997-01-31	VYDAJ	VYBER	15	48319	SLUZBY	\N	\N
786855	2681	1997-02-28	VYDAJ	VYBER	15	51795	SLUZBY	\N	\N
786856	2681	1997-03-31	VYDAJ	VYBER	15	51379	SLUZBY	\N	\N
786857	2681	1997-04-30	VYDAJ	VYBER	15	55206	SLUZBY	\N	\N
786858	2681	1997-05-31	VYDAJ	VYBER	15	50486	SLUZBY	\N	\N
786859	2681	1997-06-30	VYDAJ	VYBER	15	38189	SLUZBY	\N	\N
786860	2681	1997-07-31	VYDAJ	VYBER	15	45031	SLUZBY	\N	\N
786861	2681	1997-08-31	VYDAJ	VYBER	15	46485	SLUZBY	\N	\N
786862	2681	1997-09-30	VYDAJ	VYBER	15	59885	SLUZBY	\N	\N
786863	2681	1997-10-31	VYDAJ	VYBER	15	64519	SLUZBY	\N	\N
786864	2681	1997-11-30	VYDAJ	VYBER	15	71071	SLUZBY	\N	\N
786865	2681	1997-12-31	VYDAJ	VYBER	15	86753	SLUZBY	\N	\N
786866	2681	1998-01-31	VYDAJ	VYBER	15	70351	SLUZBY	\N	\N
786867	2681	1998-02-28	VYDAJ	VYBER	15	74116	SLUZBY	\N	\N
786868	2681	1998-03-31	VYDAJ	VYBER	15	75198	SLUZBY	\N	\N
786869	2681	1998-04-30	VYDAJ	VYBER	15	81191	SLUZBY	\N	\N
786870	2681	1998-05-31	VYDAJ	VYBER	15	74485	SLUZBY	\N	\N
786871	2681	1998-06-30	VYDAJ	VYBER	15	84149	SLUZBY	\N	\N
786872	2681	1998-07-31	VYDAJ	VYBER	15	84159	SLUZBY	\N	\N
786873	2681	1998-08-31	VYDAJ	VYBER	15	64958	SLUZBY	\N	\N
786874	2681	1998-09-30	VYDAJ	VYBER	15	65846	SLUZBY	\N	\N
786875	2681	1998-10-31	VYDAJ	VYBER	15	69737	SLUZBY	\N	\N
786876	2681	1998-11-30	VYDAJ	VYBER	15	65540	SLUZBY	\N	\N
786877	2681	1995-02-18	VYDAJ	VYBER	2300	22738	\N	\N	\N
786878	2681	1995-03-20	VYDAJ	VYBER	13800	32913	\N	\N	\N
786879	2681	1995-04-19	VYDAJ	VYBER	18200	38762	\N	\N	\N
786880	2681	1995-05-19	VYDAJ	VYBER	19400	43447	\N	\N	\N
786881	2681	1995-06-18	VYDAJ	VYBER	11800	35162	\N	\N	\N
786882	2681	1995-07-18	VYDAJ	VYBER	13200	41401	\N	\N	\N
786883	2681	1995-08-17	VYDAJ	VYBER	19000	41847	\N	\N	\N
786884	2681	1995-09-16	VYDAJ	VYBER	16500	44805	\N	\N	\N
786885	2681	1995-10-16	VYDAJ	VYBER	18100	46169	\N	\N	\N
786886	2681	1995-11-15	VYDAJ	VYBER	16600	49041	\N	\N	\N
786887	2681	1995-12-15	VYDAJ	VYBER	24400	53289	\N	\N	\N
786888	2681	1996-01-14	VYDAJ	VYBER	16300	54089	\N	\N	\N
786889	2681	1996-02-13	VYDAJ	VYBER	10900	43467	\N	\N	\N
786890	2681	1996-03-14	VYDAJ	VYBER	12000	50909	\N	\N	\N
786891	2681	1996-04-13	VYDAJ	VYBER	12000	53378	\N	\N	\N
786892	2681	1996-05-13	VYDAJ	VYBER	16800	52756	\N	\N	\N
786893	2681	1996-06-12	VYDAJ	VYBER	12400	42315	\N	\N	\N
786894	2681	1996-07-12	VYDAJ	VYBER	11400	50378	\N	\N	\N
786895	2681	1996-08-11	VYDAJ	VYBER	12900	52141	\N	\N	\N
786896	2681	1996-09-10	VYDAJ	VYBER	14300	51509	\N	\N	\N
786897	2681	1996-10-10	VYDAJ	VYBER	14000	56984	\N	\N	\N
786898	2681	1996-11-09	VYDAJ	VYBER	14100	62381	\N	\N	\N
786899	2681	1996-12-09	VYDAJ	VYBER	28300	64168	\N	\N	\N
786900	2681	1997-01-08	VYDAJ	VYBER	17200	64860	\N	\N	\N
786901	2681	1997-02-07	VYDAJ	VYBER	14000	58257	\N	\N	\N
786902	2681	1997-03-09	VYDAJ	VYBER	12500	54771	\N	\N	\N
786903	2681	1997-04-08	VYDAJ	VYBER	13500	57155	\N	\N	\N
786904	2681	1997-05-08	VYDAJ	VYBER	20200	58944	\N	\N	\N
786905	2681	1997-06-07	VYDAJ	VYBER	26100	60293	\N	\N	\N
786906	2681	1997-07-07	VYDAJ	VYBER	12600	49527	\N	\N	\N
786907	2681	1997-08-06	VYDAJ	VYBER	18000	50969	\N	\N	\N
786908	2681	1997-09-05	VYDAJ	VYBER	6100	40385	\N	\N	\N
786909	2681	1997-10-05	VYDAJ	VYBER	9000	50885	\N	\N	\N
786910	2681	1997-11-04	VYDAJ	VYBER	13000	51519	\N	\N	\N
786911	2681	1997-12-04	VYDAJ	VYBER	12600	58471	\N	\N	\N
786912	2681	1998-01-03	VYDAJ	VYBER	22400	64353	\N	\N	\N
786913	2681	1998-02-02	VYDAJ	VYBER	15800	54551	\N	\N	\N
786914	2681	1998-03-04	VYDAJ	VYBER	15100	59016	\N	\N	\N
786915	2681	1998-04-03	VYDAJ	VYBER	13600	61598	\N	\N	\N
786916	2681	1998-05-03	VYDAJ	VYBER	20000	61191	\N	\N	\N
786917	2681	1998-06-02	VYDAJ	VYBER	4400	58285	\N	\N	\N
786918	2681	1998-07-02	VYDAJ	VYBER	19600	64549	\N	\N	\N
786919	2681	1998-08-01	VYDAJ	VYBER	19900	64259	\N	\N	\N
786920	2681	1998-08-31	VYDAJ	VYBER	15600	64973	\N	\N	\N
786921	2681	1998-09-30	VYDAJ	VYBER	18700	65861	\N	\N	\N
786922	2681	1998-10-30	VYDAJ	VYBER	15700	69422	\N	\N	\N
786923	2681	1998-11-29	VYDAJ	VYBER	23800	65213	\N	\N	\N
787688	2684	1997-09-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
787690	2684	1997-12-12	PRIJEM	VKLAD	8133	29853	\N	\N	\N
787691	2684	1998-09-12	PRIJEM	VKLAD	30681	55063	\N	\N	\N
787692	2684	1998-04-02	PRIJEM	VKLAD	34406	60995	\N	\N	\N
787701	2684	1997-09-16	PRIJEM	VKLAD	1800	2900	\N	\N	\N
787702	2684	1997-10-13	PRIJEM	VKLAD	1800	14006	\N	\N	\N
787703	2684	1997-11-17	PRIJEM	VKLAD	1800	21847	\N	\N	\N
787704	2684	1997-12-15	PRIJEM	VKLAD	1800	31653	\N	\N	\N
787705	2684	1998-01-15	PRIJEM	VKLAD	1800	21403	\N	\N	\N
787706	2684	1998-02-15	PRIJEM	VKLAD	1800	21332	\N	\N	\N
787707	2684	1998-03-16	PRIJEM	VKLAD	1800	26503	\N	\N	\N
787708	2684	1998-04-17	PRIJEM	VKLAD	1800	47695	\N	\N	\N
787709	2684	1998-05-13	PRIJEM	VKLAD	1800	39756	\N	\N	\N
787710	2684	1998-06-15	PRIJEM	VKLAD	1800	33920	\N	\N	\N
787711	2684	1998-07-15	PRIJEM	VKLAD	1800	22930	\N	\N	\N
787712	2684	1998-08-15	PRIJEM	VKLAD	1800	23999	\N	\N	\N
787713	2684	1998-09-15	PRIJEM	VKLAD	1800	56863	\N	\N	\N
787714	2684	1998-10-15	PRIJEM	VKLAD	1800	43535	\N	\N	\N
787715	2684	1998-11-14	PRIJEM	VKLAD	1800	41176	\N	\N	\N
787716	2684	1998-12-17	PRIJEM	VKLAD	1800	40933	\N	\N	\N
787720	2684	1998-01-08	VYDAJ	VYBER	4600	28353	\N	\N	\N
787722	2684	1998-06-19	VYDAJ	VYBER	17300	16620	\N	\N	\N
787724	2684	1998-01-10	VYDAJ	VYBER	6500	21403	\N	\N	\N
787725	2684	1997-12-27	VYDAJ	VYBER	600	28653	\N	\N	\N
787726	2684	1998-12-02	VYDAJ	VYBER	1100	40233	\N	\N	\N
787733	2684	1998-01-18	VYDAJ	VYBER	450	19653	\N	\N	\N
787734	2684	1998-01-11	VYDAJ	VYBER	550	20853	\N	\N	\N
787735	2684	1998-01-11	VYDAJ	VYBER	1250	19603	\N	\N	\N
787736	2684	1998-01-09	VYDAJ	VYBER	450	27903	\N	\N	\N
787737	2684	1998-01-16	VYDAJ	VYBER	300	21103	\N	\N	\N
787738	2684	1998-01-06	VYDAJ	VYBER	600	28153	\N	\N	\N
787740	2684	1997-12-26	VYDAJ	VYBER	2400	29253	\N	\N	\N
787745	2684	1998-12-08	VYDAJ	VYBER	800	39133	\N	\N	\N
787746	2684	1998-01-16	VYDAJ	VYBER	250	20853	\N	\N	\N
787747	2684	1998-10-30	VYDAJ	VYBER	2450	41085	\N	\N	\N
787748	2684	1998-01-17	VYDAJ	VYBER	750	20103	\N	\N	\N
787761	2684	1997-12-31	VYDAJ	VYBER	15	28753	SLUZBY	\N	\N
787762	2684	1998-01-31	VYDAJ	VYBER	15	19732	SLUZBY	\N	\N
787763	2684	1998-02-28	VYDAJ	VYBER	15	21403	SLUZBY	\N	\N
787764	2684	1998-03-31	VYDAJ	VYBER	15	26589	SLUZBY	\N	\N
787765	2684	1998-04-30	VYDAJ	VYBER	15	47856	SLUZBY	\N	\N
787766	2684	1998-05-31	VYDAJ	VYBER	15	39920	SLUZBY	\N	\N
787767	2684	1998-06-30	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
787768	2684	1998-07-31	VYDAJ	VYBER	15	22999	SLUZBY	\N	\N
787769	2684	1998-08-31	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
787770	2684	1998-09-30	VYDAJ	VYBER	15	57035	SLUZBY	\N	\N
787771	2684	1998-10-31	VYDAJ	VYBER	15	41276	SLUZBY	\N	\N
787772	2684	1998-11-30	VYDAJ	VYBER	15	41333	SLUZBY	\N	\N
787773	2684	1997-10-10	PRIJEM	VKLAD	9300	12206	\N	\N	\N
787774	2684	1997-11-09	PRIJEM	VKLAD	6000	20047	\N	\N	\N
787775	2684	1997-12-09	VYDAJ	VYBER	200	21720	\N	\N	\N
787776	2684	1998-01-08	PRIJEM	VKLAD	4800	32953	\N	\N	\N
787777	2684	1998-02-07	VYDAJ	VYBER	200	19532	\N	\N	\N
787778	2684	1998-03-09	PRIJEM	VKLAD	3300	24703	\N	\N	\N
787779	2684	1998-04-08	VYDAJ	VYBER	15100	45895	\N	\N	\N
787780	2684	1998-05-08	VYDAJ	VYBER	9900	37956	\N	\N	\N
787781	2684	1998-06-07	VYDAJ	VYBER	7800	32120	\N	\N	\N
787782	2684	1998-07-07	PRIJEM	VKLAD	4400	21130	\N	\N	\N
787783	2684	1998-08-06	VYDAJ	VYBER	800	22199	\N	\N	\N
787784	2684	1998-09-05	PRIJEM	VKLAD	300	24382	\N	\N	\N
787785	2684	1998-10-05	VYDAJ	VYBER	15300	41735	\N	\N	\N
787786	2684	1998-11-04	VYDAJ	VYBER	1900	39376	\N	\N	\N
787787	2684	1998-12-04	VYDAJ	VYBER	300	39933	\N	\N	\N
787804	2685	1996-11-01	PRIJEM	VKLAD	200	200	\N	\N	\N
787815	2685	1996-11-05	PRIJEM	PREVOD Z UCTU	4703	4903	DUCHOD	IJ	14745140
787816	2685	1996-12-05	PRIJEM	PREVOD Z UCTU	4703	9624	DUCHOD	IJ	14745140
787817	2685	1997-01-05	PRIJEM	PREVOD Z UCTU	4703	14347	DUCHOD	IJ	14745140
787818	2685	1997-02-05	PRIJEM	PREVOD Z UCTU	4703	19071	DUCHOD	IJ	14745140
787819	2685	1997-03-05	PRIJEM	PREVOD Z UCTU	4703	23794	DUCHOD	IJ	14745140
787820	2685	1997-04-05	PRIJEM	PREVOD Z UCTU	4703	22613	DUCHOD	IJ	14745140
787821	2685	1997-05-05	PRIJEM	PREVOD Z UCTU	4703	20397	DUCHOD	IJ	14745140
787822	2685	1997-06-05	PRIJEM	PREVOD Z UCTU	4703	19375	DUCHOD	IJ	14745140
787823	2685	1997-07-05	PRIJEM	PREVOD Z UCTU	4703	21555	DUCHOD	IJ	14745140
787824	2685	1997-08-05	PRIJEM	PREVOD Z UCTU	4703	23745	DUCHOD	IJ	14745140
787825	2685	1997-09-05	PRIJEM	PREVOD Z UCTU	4703	22896	DUCHOD	IJ	14745140
787826	2685	1997-10-05	PRIJEM	PREVOD Z UCTU	4703	23891	DUCHOD	IJ	14745140
787827	2685	1997-11-05	PRIJEM	PREVOD Z UCTU	4703	26090	DUCHOD	IJ	14745140
787828	2685	1997-12-05	PRIJEM	PREVOD Z UCTU	4703	28298	DUCHOD	IJ	14745140
787829	2685	1998-01-05	PRIJEM	PREVOD Z UCTU	4703	29713	DUCHOD	IJ	14745140
787830	2685	1998-02-05	PRIJEM	PREVOD Z UCTU	4703	27481	DUCHOD	IJ	14745140
787831	2685	1998-03-05	PRIJEM	PREVOD Z UCTU	4703	27528	DUCHOD	IJ	14745140
787832	2685	1998-04-05	PRIJEM	PREVOD Z UCTU	4703	29743	DUCHOD	IJ	14745140
787833	2685	1998-05-05	PRIJEM	PREVOD Z UCTU	4703	31966	DUCHOD	IJ	14745140
787834	2685	1998-06-05	PRIJEM	PREVOD Z UCTU	4703	30670	DUCHOD	IJ	14745140
787835	2685	1998-07-05	PRIJEM	PREVOD Z UCTU	4703	18369	DUCHOD	IJ	14745140
787836	2685	1998-08-05	PRIJEM	PREVOD Z UCTU	4703	20545	DUCHOD	IJ	14745140
787837	2685	1998-09-05	PRIJEM	PREVOD Z UCTU	4703	22730	DUCHOD	IJ	14745140
787838	2685	1998-10-05	PRIJEM	PREVOD Z UCTU	4703	24924	DUCHOD	IJ	14745140
787839	2685	1998-11-05	PRIJEM	PREVOD Z UCTU	4703	27127	DUCHOD	IJ	14745140
787840	2685	1998-12-05	PRIJEM	PREVOD Z UCTU	4703	29090	DUCHOD	IJ	14745140
787855	2685	1997-03-08	VYDAJ	PREVOD NA UCET	2576	21218	SIPO	CD	35602325
787856	2685	1997-04-08	VYDAJ	PREVOD NA UCET	2576	17637	SIPO	CD	35602325
787857	2685	1997-05-08	VYDAJ	PREVOD NA UCET	2576	17821	SIPO	CD	35602325
787858	2685	1997-06-08	VYDAJ	PREVOD NA UCET	2576	16799	SIPO	CD	35602325
787859	2685	1997-07-08	VYDAJ	PREVOD NA UCET	2576	18979	SIPO	CD	35602325
787860	2685	1997-08-08	VYDAJ	PREVOD NA UCET	2576	21169	SIPO	CD	35602325
787861	2685	1997-09-08	VYDAJ	PREVOD NA UCET	2576	20320	SIPO	CD	35602325
787862	2685	1997-10-08	VYDAJ	PREVOD NA UCET	2576	21315	SIPO	CD	35602325
787863	2685	1997-11-08	VYDAJ	PREVOD NA UCET	2576	23514	SIPO	CD	35602325
787864	2685	1997-12-08	VYDAJ	PREVOD NA UCET	2576	25722	SIPO	CD	35602325
787865	2685	1998-01-08	VYDAJ	PREVOD NA UCET	2576	27137	SIPO	CD	35602325
787866	2685	1998-02-08	VYDAJ	PREVOD NA UCET	2576	24905	SIPO	CD	35602325
787867	2685	1998-03-08	VYDAJ	PREVOD NA UCET	2576	24952	SIPO	CD	35602325
787868	2685	1998-04-08	VYDAJ	PREVOD NA UCET	2576	27167	SIPO	CD	35602325
787869	2685	1998-05-08	VYDAJ	PREVOD NA UCET	2576	29390	SIPO	CD	35602325
787870	2685	1998-06-08	VYDAJ	PREVOD NA UCET	2576	28094	SIPO	CD	35602325
787871	2685	1998-07-08	VYDAJ	PREVOD NA UCET	2576	15793	SIPO	CD	35602325
787872	2685	1998-08-08	VYDAJ	PREVOD NA UCET	2576	17969	SIPO	CD	35602325
787873	2685	1998-09-08	VYDAJ	PREVOD NA UCET	2576	20154	SIPO	CD	35602325
787874	2685	1998-10-08	VYDAJ	PREVOD NA UCET	2576	22348	SIPO	CD	35602325
787875	2685	1998-11-08	VYDAJ	PREVOD NA UCET	2576	24551	SIPO	CD	35602325
787876	2685	1998-12-08	VYDAJ	PREVOD NA UCET	2576	26514	SIPO	CD	35602325
787879	2685	1998-06-17	VYDAJ	VYBER	14500	13594	\N	\N	\N
787882	2685	1998-01-23	VYDAJ	VYBER	4450	22687	\N	\N	\N
787884	2685	1997-12-08	VYDAJ	VYBER	800	24922	\N	\N	\N
787885	2685	1998-12-04	VYDAJ	VYBER	250	24387	\N	\N	\N
787889	2685	1997-04-07	VYDAJ	VYBER	2400	20213	\N	\N	\N
787890	2685	1997-09-29	VYDAJ	VYBER	1200	19120	\N	\N	\N
787891	2685	1997-04-23	VYDAJ	VYBER	2000	15637	\N	\N	\N
787892	2685	1997-05-17	VYDAJ	VYBER	3200	14621	\N	\N	\N
787894	2685	1997-08-14	VYDAJ	VYBER	3040	18129	\N	\N	\N
787895	2685	1997-03-17	VYDAJ	VYBER	3360	17858	\N	\N	\N
787896	2685	1998-02-08	VYDAJ	VYBER	2160	22745	\N	\N	\N
787897	2685	1998-05-13	VYDAJ	VYBER	3520	25870	\N	\N	\N
787913	2685	1997-03-31	VYDAJ	VYBER	15	17910	SLUZBY	\N	\N
787914	2685	1997-04-30	VYDAJ	VYBER	15	15694	SLUZBY	\N	\N
787915	2685	1997-05-31	VYDAJ	VYBER	15	14672	SLUZBY	\N	\N
787916	2685	1997-06-30	VYDAJ	VYBER	15	16852	SLUZBY	\N	\N
787917	2685	1997-07-31	VYDAJ	VYBER	15	19042	SLUZBY	\N	\N
787918	2685	1997-08-31	VYDAJ	VYBER	15	18193	SLUZBY	\N	\N
787919	2685	1997-09-30	VYDAJ	VYBER	15	19188	SLUZBY	\N	\N
787920	2685	1997-10-31	VYDAJ	VYBER	15	21387	SLUZBY	\N	\N
787921	2685	1997-11-30	VYDAJ	VYBER	15	23595	SLUZBY	\N	\N
787922	2685	1997-12-31	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
787923	2685	1998-01-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
787924	2685	1998-02-28	VYDAJ	VYBER	15	22825	SLUZBY	\N	\N
787925	2685	1998-03-31	VYDAJ	VYBER	15	25040	SLUZBY	\N	\N
787926	2685	1998-04-30	VYDAJ	VYBER	15	27263	SLUZBY	\N	\N
787927	2685	1998-05-31	VYDAJ	VYBER	15	25967	SLUZBY	\N	\N
787928	2685	1998-06-30	VYDAJ	VYBER	15	13666	SLUZBY	\N	\N
787929	2685	1998-07-31	VYDAJ	VYBER	15	15842	SLUZBY	\N	\N
787930	2685	1998-08-31	VYDAJ	VYBER	15	18027	SLUZBY	\N	\N
787931	2685	1998-09-30	VYDAJ	VYBER	15	20221	SLUZBY	\N	\N
787932	2685	1998-10-31	VYDAJ	VYBER	15	22424	SLUZBY	\N	\N
787933	2685	1998-11-30	VYDAJ	VYBER	15	24637	SLUZBY	\N	\N
787960	2686	1996-01-11	PRIJEM	VKLAD	900	6796	\N	\N	\N
787961	2686	1996-01-11	PRIJEM	PREVOD Z UCTU	5896	5896	DUCHOD	UV	71632808
787962	2686	1996-02-11	PRIJEM	PREVOD Z UCTU	5896	12709	DUCHOD	UV	71632808
787963	2686	1996-03-11	PRIJEM	PREVOD Z UCTU	5896	18629	DUCHOD	UV	71632808
787964	2686	1996-04-11	PRIJEM	PREVOD Z UCTU	5896	24550	DUCHOD	UV	71632808
787965	2686	1996-05-11	PRIJEM	PREVOD Z UCTU	5896	29870	DUCHOD	UV	71632808
787966	2686	1996-06-11	PRIJEM	PREVOD Z UCTU	5896	27843	DUCHOD	UV	71632808
787967	2686	1996-07-11	PRIJEM	PREVOD Z UCTU	5896	20089	DUCHOD	UV	71632808
787968	2686	1996-08-11	PRIJEM	PREVOD Z UCTU	5896	22364	DUCHOD	UV	71632808
787969	2686	1996-09-11	PRIJEM	PREVOD Z UCTU	5896	25232	DUCHOD	UV	71632808
787970	2686	1996-10-11	PRIJEM	PREVOD Z UCTU	5896	25611	DUCHOD	UV	71632808
787971	2686	1996-11-11	PRIJEM	PREVOD Z UCTU	5896	25194	DUCHOD	UV	71632808
787972	2686	1996-12-11	PRIJEM	PREVOD Z UCTU	5896	21150	DUCHOD	UV	71632808
787973	2686	1997-01-11	PRIJEM	PREVOD Z UCTU	5896	17982	DUCHOD	UV	71632808
787974	2686	1997-02-11	PRIJEM	PREVOD Z UCTU	5896	16429	DUCHOD	UV	71632808
787975	2686	1997-03-11	PRIJEM	PREVOD Z UCTU	5896	20374	DUCHOD	UV	71632808
787976	2686	1997-04-11	PRIJEM	PREVOD Z UCTU	5896	18530	DUCHOD	UV	71632808
787977	2686	1997-05-11	PRIJEM	PREVOD Z UCTU	5896	18801	DUCHOD	UV	71632808
787978	2686	1997-06-11	PRIJEM	PREVOD Z UCTU	5896	22750	DUCHOD	UV	71632808
787979	2686	1997-07-11	PRIJEM	PREVOD Z UCTU	5896	17816	DUCHOD	UV	71632808
787980	2686	1997-08-11	PRIJEM	PREVOD Z UCTU	5896	19574	DUCHOD	UV	71632808
787981	2686	1997-09-11	PRIJEM	PREVOD Z UCTU	5896	19931	DUCHOD	UV	71632808
787982	2686	1997-10-11	PRIJEM	PREVOD Z UCTU	5896	18291	DUCHOD	UV	71632808
787983	2686	1997-11-11	PRIJEM	PREVOD Z UCTU	5896	20526	DUCHOD	UV	71632808
787984	2686	1997-12-11	PRIJEM	PREVOD Z UCTU	5896	17484	DUCHOD	UV	71632808
787985	2686	1998-01-11	PRIJEM	PREVOD Z UCTU	5896	19495	DUCHOD	UV	71632808
787986	2686	1998-02-11	PRIJEM	PREVOD Z UCTU	5896	22404	DUCHOD	UV	71632808
787987	2686	1998-03-11	PRIJEM	PREVOD Z UCTU	5896	17268	DUCHOD	UV	71632808
787988	2686	1998-04-11	PRIJEM	PREVOD Z UCTU	5896	20584	DUCHOD	UV	71632808
787989	2686	1998-05-11	PRIJEM	PREVOD Z UCTU	5896	22143	DUCHOD	UV	71632808
787990	2686	1998-06-11	PRIJEM	PREVOD Z UCTU	5896	22408	DUCHOD	UV	71632808
787991	2686	1998-07-11	PRIJEM	PREVOD Z UCTU	5896	23872	DUCHOD	UV	71632808
787992	2686	1998-08-11	PRIJEM	PREVOD Z UCTU	5896	24341	DUCHOD	UV	71632808
787993	2686	1998-09-11	PRIJEM	PREVOD Z UCTU	5896	21910	DUCHOD	UV	71632808
787994	2686	1998-10-11	PRIJEM	PREVOD Z UCTU	5896	19268	DUCHOD	UV	71632808
787995	2686	1998-11-11	PRIJEM	PREVOD Z UCTU	5896	18115	DUCHOD	UV	71632808
787996	2686	1998-12-11	PRIJEM	PREVOD Z UCTU	5896	18959	DUCHOD	UV	71632808
788001	2686	1996-05-12	VYDAJ	PREVOD NA UCET	1996	27874	SIPO	OP	79690658
788002	2686	1996-06-12	VYDAJ	PREVOD NA UCET	1996	16047	SIPO	OP	79690658
788003	2686	1996-07-12	VYDAJ	PREVOD NA UCET	1996	18093	SIPO	OP	79690658
788004	2686	1996-08-12	VYDAJ	PREVOD NA UCET	1996	20368	SIPO	OP	79690658
788005	2686	1996-09-12	VYDAJ	PREVOD NA UCET	1996	23236	SIPO	OP	79690658
788006	2686	1996-10-12	VYDAJ	PREVOD NA UCET	1996	23615	SIPO	OP	79690658
788007	2686	1996-11-12	VYDAJ	PREVOD NA UCET	1996	23198	SIPO	OP	79690658
788008	2686	1996-12-12	VYDAJ	PREVOD NA UCET	1996	19154	SIPO	OP	79690658
788009	2686	1997-01-12	VYDAJ	PREVOD NA UCET	1996	15986	SIPO	OP	79690658
788010	2686	1997-02-12	VYDAJ	PREVOD NA UCET	1996	14433	SIPO	OP	79690658
788011	2686	1997-03-12	VYDAJ	PREVOD NA UCET	1996	18378	SIPO	OP	79690658
788012	2686	1997-04-12	VYDAJ	PREVOD NA UCET	1996	16534	SIPO	OP	79690658
788013	2686	1997-05-12	VYDAJ	PREVOD NA UCET	1996	16805	SIPO	OP	79690658
788014	2686	1997-06-12	VYDAJ	PREVOD NA UCET	1996	20754	SIPO	OP	79690658
788015	2686	1997-07-12	VYDAJ	PREVOD NA UCET	1996	15820	SIPO	OP	79690658
788016	2686	1997-08-12	VYDAJ	PREVOD NA UCET	1996	17578	SIPO	OP	79690658
788017	2686	1997-09-12	VYDAJ	PREVOD NA UCET	1996	17935	SIPO	OP	79690658
788018	2686	1997-10-12	VYDAJ	PREVOD NA UCET	1996	16295	SIPO	OP	79690658
788019	2686	1997-11-12	VYDAJ	PREVOD NA UCET	1996	18530	SIPO	OP	79690658
788020	2686	1997-12-12	VYDAJ	PREVOD NA UCET	1996	15488	SIPO	OP	79690658
788021	2686	1998-01-12	VYDAJ	PREVOD NA UCET	1996	17499	SIPO	OP	79690658
788022	2686	1998-02-12	VYDAJ	PREVOD NA UCET	1996	20408	SIPO	OP	79690658
788023	2686	1998-03-12	VYDAJ	PREVOD NA UCET	1996	15272	SIPO	OP	79690658
788024	2686	1998-04-12	VYDAJ	PREVOD NA UCET	1996	18588	SIPO	OP	79690658
788025	2686	1998-05-12	VYDAJ	PREVOD NA UCET	1996	20147	SIPO	OP	79690658
788026	2686	1998-06-12	VYDAJ	PREVOD NA UCET	1996	20412	SIPO	OP	79690658
788027	2686	1998-07-12	VYDAJ	PREVOD NA UCET	1996	21876	SIPO	OP	79690658
788028	2686	1998-08-12	VYDAJ	PREVOD NA UCET	1996	22345	SIPO	OP	79690658
788029	2686	1998-09-12	VYDAJ	PREVOD NA UCET	1996	19914	SIPO	OP	79690658
788030	2686	1998-10-12	VYDAJ	PREVOD NA UCET	1996	17272	SIPO	OP	79690658
788031	2686	1998-11-12	VYDAJ	PREVOD NA UCET	1996	16119	SIPO	OP	79690658
788032	2686	1998-12-12	VYDAJ	PREVOD NA UCET	1996	16963	SIPO	OP	79690658
788033	2686	1996-06-12	VYDAJ	VYBER	9800	18043	\N	\N	\N
788037	2686	1997-01-19	VYDAJ	VYBER	2500	13486	\N	\N	\N
788039	2686	1996-12-23	VYDAJ	VYBER	250	18904	\N	\N	\N
788040	2686	1997-12-22	VYDAJ	VYBER	900	13548	\N	\N	\N
788041	2686	1998-12-14	VYDAJ	VYBER	600	16363	\N	\N	\N
788042	2686	1996-06-16	VYDAJ	VYBER	1920	14127	\N	\N	\N
788045	2686	1996-12-24	VYDAJ	VYBER	3280	15624	\N	\N	\N
788046	2686	1996-08-02	VYDAJ	VYBER	1680	16468	\N	\N	\N
788047	2686	1996-11-17	VYDAJ	VYBER	3920	19278	\N	\N	\N
788048	2686	1997-12-19	VYDAJ	VYBER	1040	14448	\N	\N	\N
788050	2686	1997-10-25	VYDAJ	VYBER	1120	15175	\N	\N	\N
788051	2686	1997-04-19	VYDAJ	VYBER	3680	12854	\N	\N	\N
788055	2686	1998-04-07	VYDAJ	VYBER	640	14688	\N	\N	\N
788056	2686	1998-01-13	VYDAJ	VYBER	1040	16459	\N	\N	\N
788063	2686	1996-05-31	VYDAJ	VYBER	15	27947	SLUZBY	\N	\N
788064	2686	1996-06-30	VYDAJ	VYBER	15	14193	SLUZBY	\N	\N
788065	2686	1996-07-31	VYDAJ	VYBER	15	18148	SLUZBY	\N	\N
788066	2686	1996-08-31	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
788067	2686	1996-09-30	VYDAJ	VYBER	15	23315	SLUZBY	\N	\N
788068	2686	1996-10-31	VYDAJ	VYBER	15	23698	SLUZBY	\N	\N
788069	2686	1996-11-30	VYDAJ	VYBER	15	19354	SLUZBY	\N	\N
788070	2686	1996-12-31	VYDAJ	VYBER	15	15686	SLUZBY	\N	\N
788071	2686	1997-01-31	VYDAJ	VYBER	15	13533	SLUZBY	\N	\N
788072	2686	1997-02-28	VYDAJ	VYBER	15	14478	SLUZBY	\N	\N
788073	2686	1997-03-31	VYDAJ	VYBER	15	18434	SLUZBY	\N	\N
788074	2686	1997-04-30	VYDAJ	VYBER	15	12905	SLUZBY	\N	\N
788075	2686	1997-05-31	VYDAJ	VYBER	15	16854	SLUZBY	\N	\N
788076	2686	1997-06-30	VYDAJ	VYBER	15	20820	SLUZBY	\N	\N
788077	2686	1997-07-31	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
788078	2686	1997-08-31	VYDAJ	VYBER	15	17635	SLUZBY	\N	\N
788079	2686	1997-09-30	VYDAJ	VYBER	15	17995	SLUZBY	\N	\N
788080	2686	1997-10-31	VYDAJ	VYBER	15	15230	SLUZBY	\N	\N
788081	2686	1997-11-30	VYDAJ	VYBER	15	18588	SLUZBY	\N	\N
788082	2686	1997-12-31	VYDAJ	VYBER	15	13599	SLUZBY	\N	\N
788083	2686	1998-01-31	VYDAJ	VYBER	15	16508	SLUZBY	\N	\N
788084	2686	1998-02-28	VYDAJ	VYBER	15	20472	SLUZBY	\N	\N
788085	2686	1998-03-31	VYDAJ	VYBER	15	15328	SLUZBY	\N	\N
788086	2686	1998-04-30	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
788087	2686	1998-05-31	VYDAJ	VYBER	15	16512	SLUZBY	\N	\N
788088	2686	1998-06-30	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
788089	2686	1998-07-31	VYDAJ	VYBER	15	18445	SLUZBY	\N	\N
788090	2686	1998-08-31	VYDAJ	VYBER	15	16014	SLUZBY	\N	\N
788091	2686	1998-09-30	VYDAJ	VYBER	15	13372	SLUZBY	\N	\N
788092	2686	1998-10-31	VYDAJ	VYBER	15	12219	SLUZBY	\N	\N
788093	2686	1998-11-30	VYDAJ	VYBER	15	13063	SLUZBY	\N	\N
788094	2686	1996-05-10	VYDAJ	VYBER	600	23974	\N	\N	\N
788095	2686	1996-06-09	VYDAJ	VYBER	6000	21947	\N	\N	\N
788096	2686	1996-09-07	VYDAJ	VYBER	1100	19336	\N	\N	\N
788097	2686	1996-10-07	VYDAJ	VYBER	3600	19715	\N	\N	\N
788098	2686	1996-11-06	VYDAJ	VYBER	4400	19298	\N	\N	\N
788099	2686	1996-12-06	VYDAJ	VYBER	4100	15254	\N	\N	\N
788100	2686	1997-01-05	VYDAJ	VYBER	3600	12086	\N	\N	\N
788101	2686	1997-02-04	VYDAJ	VYBER	3000	10533	\N	\N	\N
788102	2686	1997-04-05	VYDAJ	VYBER	5800	12634	\N	\N	\N
788103	2686	1997-07-04	VYDAJ	VYBER	8900	11920	\N	\N	\N
788104	2686	1997-08-03	VYDAJ	VYBER	2200	13678	\N	\N	\N
788105	2686	1997-09-02	VYDAJ	VYBER	3600	14035	\N	\N	\N
788106	2686	1997-10-02	VYDAJ	VYBER	5600	12395	\N	\N	\N
788107	2686	1997-11-01	VYDAJ	VYBER	600	14630	\N	\N	\N
788108	2686	1997-12-01	VYDAJ	VYBER	7000	11588	\N	\N	\N
788109	2686	1998-03-01	VYDAJ	VYBER	9100	11372	\N	\N	\N
788110	2686	1998-04-30	VYDAJ	VYBER	2400	16247	\N	\N	\N
788111	2686	1998-05-30	VYDAJ	VYBER	3700	16447	\N	\N	\N
788112	2686	1998-06-29	VYDAJ	VYBER	2500	17912	\N	\N	\N
788113	2686	1998-07-29	VYDAJ	VYBER	3500	18376	\N	\N	\N
788114	2686	1998-08-28	VYDAJ	VYBER	6400	15945	\N	\N	\N
788115	2686	1998-09-27	VYDAJ	VYBER	6600	13314	\N	\N	\N
788116	2686	1998-10-27	VYDAJ	VYBER	5100	12172	\N	\N	\N
788117	2686	1998-11-26	VYDAJ	VYBER	3100	13019	\N	\N	\N
788154	2687	1993-07-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
788161	2687	1993-07-14	PRIJEM	PREVOD Z UCTU	6336	7436	DUCHOD	AB	4163349
788162	2687	1993-08-14	PRIJEM	PREVOD Z UCTU	6336	13790	DUCHOD	AB	4163349
788163	2687	1993-09-14	PRIJEM	PREVOD Z UCTU	6336	20157	DUCHOD	AB	4163349
788164	2687	1993-10-14	PRIJEM	PREVOD Z UCTU	6336	26524	DUCHOD	AB	4163349
788165	2687	1993-11-14	PRIJEM	PREVOD Z UCTU	6336	32891	DUCHOD	AB	4163349
788166	2687	1993-12-14	PRIJEM	PREVOD Z UCTU	6336	31070	DUCHOD	AB	4163349
788167	2687	1994-01-14	PRIJEM	PREVOD Z UCTU	6336	30001	DUCHOD	AB	4163349
788168	2687	1994-02-14	PRIJEM	PREVOD Z UCTU	6336	24813	DUCHOD	AB	4163349
788169	2687	1994-03-14	PRIJEM	PREVOD Z UCTU	6336	25625	DUCHOD	AB	4163349
788170	2687	1994-04-14	PRIJEM	PREVOD Z UCTU	6336	26129	DUCHOD	AB	4163349
788171	2687	1994-05-14	PRIJEM	PREVOD Z UCTU	6336	28718	DUCHOD	AB	4163349
788172	2687	1994-06-14	PRIJEM	PREVOD Z UCTU	6336	26858	DUCHOD	AB	4163349
788173	2687	1994-07-14	PRIJEM	PREVOD Z UCTU	6336	29458	DUCHOD	AB	4163349
788174	2687	1994-08-14	PRIJEM	PREVOD Z UCTU	6336	31851	DUCHOD	AB	4163349
788175	2687	1994-09-14	PRIJEM	PREVOD Z UCTU	6336	31653	DUCHOD	AB	4163349
788176	2687	1994-10-14	PRIJEM	PREVOD Z UCTU	6336	31475	DUCHOD	AB	4163349
788177	2687	1994-11-14	PRIJEM	PREVOD Z UCTU	6336	33281	DUCHOD	AB	4163349
788178	2687	1994-12-14	PRIJEM	PREVOD Z UCTU	6336	33874	DUCHOD	AB	4163349
788179	2687	1995-01-14	PRIJEM	PREVOD Z UCTU	6336	22535	DUCHOD	AB	4163349
788180	2687	1995-02-14	PRIJEM	PREVOD Z UCTU	6336	20709	DUCHOD	AB	4163349
788181	2687	1995-03-14	PRIJEM	PREVOD Z UCTU	6336	23273	DUCHOD	AB	4163349
788182	2687	1995-04-14	PRIJEM	PREVOD Z UCTU	6336	24800	DUCHOD	AB	4163349
788183	2687	1995-05-14	PRIJEM	PREVOD Z UCTU	6336	27374	DUCHOD	AB	4163349
788184	2687	1995-06-14	PRIJEM	PREVOD Z UCTU	6336	27237	DUCHOD	AB	4163349
788185	2687	1995-07-14	PRIJEM	PREVOD Z UCTU	6336	29829	DUCHOD	AB	4163349
788186	2687	1995-08-14	PRIJEM	PREVOD Z UCTU	6336	29924	DUCHOD	AB	4163349
788187	2687	1995-09-14	PRIJEM	PREVOD Z UCTU	6336	27375	DUCHOD	AB	4163349
788188	2687	1995-10-14	PRIJEM	PREVOD Z UCTU	6336	29263	DUCHOD	AB	4163349
788189	2687	1995-11-14	PRIJEM	PREVOD Z UCTU	6336	31864	DUCHOD	AB	4163349
788190	2687	1995-12-14	PRIJEM	PREVOD Z UCTU	6336	30961	DUCHOD	AB	4163349
788191	2687	1996-01-14	PRIJEM	PREVOD Z UCTU	6336	21452	DUCHOD	AB	4163349
788192	2687	1996-02-14	PRIJEM	PREVOD Z UCTU	6336	21867	DUCHOD	AB	4163349
788193	2687	1996-03-14	PRIJEM	PREVOD Z UCTU	6336	24429	DUCHOD	AB	4163349
788194	2687	1996-04-14	PRIJEM	PREVOD Z UCTU	6336	23838	DUCHOD	AB	4163349
788195	2687	1996-05-14	PRIJEM	PREVOD Z UCTU	6336	21728	DUCHOD	AB	4163349
788196	2687	1996-06-14	PRIJEM	PREVOD Z UCTU	6336	23292	DUCHOD	AB	4163349
788197	2687	1996-07-14	PRIJEM	PREVOD Z UCTU	6336	21751	DUCHOD	AB	4163349
788198	2687	1996-08-14	PRIJEM	PREVOD Z UCTU	6336	20403	DUCHOD	AB	4163349
788199	2687	1996-09-14	PRIJEM	PREVOD Z UCTU	6336	22958	DUCHOD	AB	4163349
788200	2687	1996-10-14	PRIJEM	PREVOD Z UCTU	6336	25532	DUCHOD	AB	4163349
788201	2687	1996-11-14	PRIJEM	PREVOD Z UCTU	6336	20808	DUCHOD	AB	4163349
788202	2687	1996-12-14	PRIJEM	PREVOD Z UCTU	6336	22258	DUCHOD	AB	4163349
788203	2687	1997-01-14	PRIJEM	PREVOD Z UCTU	6336	21839	DUCHOD	AB	4163349
788204	2687	1997-02-14	PRIJEM	PREVOD Z UCTU	6336	21278	DUCHOD	AB	4163349
788205	2687	1997-03-14	PRIJEM	PREVOD Z UCTU	6336	23844	DUCHOD	AB	4163349
788206	2687	1997-04-14	PRIJEM	PREVOD Z UCTU	6336	26413	DUCHOD	AB	4163349
788207	2687	1997-05-14	PRIJEM	PREVOD Z UCTU	6336	27151	DUCHOD	AB	4163349
788208	2687	1997-06-14	PRIJEM	PREVOD Z UCTU	6336	26287	DUCHOD	AB	4163349
788209	2687	1997-07-14	PRIJEM	PREVOD Z UCTU	6336	28866	DUCHOD	AB	4163349
788210	2687	1997-08-14	PRIJEM	PREVOD Z UCTU	6336	31465	DUCHOD	AB	4163349
788211	2687	1997-09-14	PRIJEM	PREVOD Z UCTU	6336	22975	DUCHOD	AB	4163349
788212	2687	1997-10-14	PRIJEM	PREVOD Z UCTU	6336	25560	DUCHOD	AB	4163349
788213	2687	1997-11-14	PRIJEM	PREVOD Z UCTU	6336	28144	DUCHOD	AB	4163349
788214	2687	1997-12-14	PRIJEM	PREVOD Z UCTU	6336	24800	DUCHOD	AB	4163349
788215	2687	1998-01-14	PRIJEM	PREVOD Z UCTU	6336	24256	DUCHOD	AB	4163349
788216	2687	1998-02-14	PRIJEM	PREVOD Z UCTU	6336	23142	DUCHOD	AB	4163349
788217	2687	1998-03-14	PRIJEM	PREVOD Z UCTU	6336	25707	DUCHOD	AB	4163349
788218	2687	1998-04-14	PRIJEM	PREVOD Z UCTU	6336	27652	DUCHOD	AB	4163349
788219	2687	1998-05-14	PRIJEM	PREVOD Z UCTU	6336	27517	DUCHOD	AB	4163349
788220	2687	1998-06-14	PRIJEM	PREVOD Z UCTU	6336	28422	DUCHOD	AB	4163349
788221	2687	1998-07-14	PRIJEM	PREVOD Z UCTU	6336	26704	DUCHOD	AB	4163349
788222	2687	1998-08-14	PRIJEM	PREVOD Z UCTU	6336	27044	DUCHOD	AB	4163349
788223	2687	1998-09-14	PRIJEM	PREVOD Z UCTU	6336	29638	DUCHOD	AB	4163349
788224	2687	1998-10-14	PRIJEM	PREVOD Z UCTU	6336	32239	DUCHOD	AB	4163349
788225	2687	1998-11-14	PRIJEM	PREVOD Z UCTU	6336	31961	DUCHOD	AB	4163349
788226	2687	1998-12-14	PRIJEM	PREVOD Z UCTU	6336	33768	DUCHOD	AB	4163349
788237	2687	1993-11-14	VYDAJ	PREVOD NA UCET	3830	29061	SIPO	EF	74690037
788238	2687	1993-12-14	VYDAJ	PREVOD NA UCET	3830	27240	SIPO	EF	74690037
788239	2687	1994-01-14	VYDAJ	PREVOD NA UCET	3830	26171	SIPO	EF	74690037
788240	2687	1994-02-14	VYDAJ	PREVOD NA UCET	3830	20983	SIPO	EF	74690037
788241	2687	1994-03-14	VYDAJ	PREVOD NA UCET	3830	21795	SIPO	EF	74690037
788242	2687	1994-04-14	VYDAJ	PREVOD NA UCET	3830	22299	SIPO	EF	74690037
788243	2687	1994-05-14	VYDAJ	PREVOD NA UCET	3830	24888	SIPO	EF	74690037
788244	2687	1994-06-14	VYDAJ	PREVOD NA UCET	3830	23028	SIPO	EF	74690037
788245	2687	1994-07-14	VYDAJ	PREVOD NA UCET	3830	25628	SIPO	EF	74690037
788246	2687	1994-08-14	VYDAJ	PREVOD NA UCET	3830	28021	SIPO	EF	74690037
788247	2687	1994-09-14	VYDAJ	PREVOD NA UCET	3830	27823	SIPO	EF	74690037
788248	2687	1994-10-14	VYDAJ	PREVOD NA UCET	3830	27645	SIPO	EF	74690037
788249	2687	1994-11-14	VYDAJ	PREVOD NA UCET	3830	29451	SIPO	EF	74690037
788250	2687	1994-12-14	VYDAJ	PREVOD NA UCET	3830	30044	SIPO	EF	74690037
788251	2687	1995-01-14	VYDAJ	PREVOD NA UCET	3830	18705	SIPO	EF	74690037
788252	2687	1995-02-14	VYDAJ	PREVOD NA UCET	3830	16879	SIPO	EF	74690037
788253	2687	1995-03-14	VYDAJ	PREVOD NA UCET	3830	19443	SIPO	EF	74690037
788254	2687	1995-04-14	VYDAJ	PREVOD NA UCET	3830	20970	SIPO	EF	74690037
788255	2687	1995-05-14	VYDAJ	PREVOD NA UCET	3830	23544	SIPO	EF	74690037
788256	2687	1995-06-14	VYDAJ	PREVOD NA UCET	3830	23407	SIPO	EF	74690037
788257	2687	1995-07-14	VYDAJ	PREVOD NA UCET	3830	25999	SIPO	EF	74690037
788258	2687	1995-08-14	VYDAJ	PREVOD NA UCET	3830	26094	SIPO	EF	74690037
788259	2687	1995-09-14	VYDAJ	PREVOD NA UCET	3830	23545	SIPO	EF	74690037
788260	2687	1995-10-14	VYDAJ	PREVOD NA UCET	3830	25433	SIPO	EF	74690037
788261	2687	1995-11-14	VYDAJ	PREVOD NA UCET	3830	28034	SIPO	EF	74690037
788262	2687	1995-12-14	VYDAJ	PREVOD NA UCET	3830	27131	SIPO	EF	74690037
788263	2687	1996-01-14	VYDAJ	PREVOD NA UCET	3830	17622	SIPO	EF	74690037
788264	2687	1996-02-14	VYDAJ	PREVOD NA UCET	3830	18037	SIPO	EF	74690037
788265	2687	1996-03-14	VYDAJ	PREVOD NA UCET	3830	20599	SIPO	EF	74690037
788266	2687	1996-04-14	VYDAJ	PREVOD NA UCET	3830	20008	SIPO	EF	74690037
788267	2687	1996-05-14	VYDAJ	PREVOD NA UCET	3830	17898	SIPO	EF	74690037
788268	2687	1996-06-14	VYDAJ	PREVOD NA UCET	3830	19462	SIPO	EF	74690037
788269	2687	1996-07-14	VYDAJ	PREVOD NA UCET	3830	17921	SIPO	EF	74690037
788270	2687	1996-08-14	VYDAJ	PREVOD NA UCET	3830	16573	SIPO	EF	74690037
788271	2687	1996-09-14	VYDAJ	PREVOD NA UCET	3830	19128	SIPO	EF	74690037
788272	2687	1996-10-14	VYDAJ	PREVOD NA UCET	3830	21702	SIPO	EF	74690037
788273	2687	1996-11-14	VYDAJ	PREVOD NA UCET	3830	16978	SIPO	EF	74690037
788274	2687	1996-12-14	VYDAJ	PREVOD NA UCET	3830	18428	SIPO	EF	74690037
788275	2687	1997-01-14	VYDAJ	PREVOD NA UCET	3830	16969	SIPO	EF	74690037
788276	2687	1997-02-14	VYDAJ	PREVOD NA UCET	3830	17448	SIPO	EF	74690037
788277	2687	1997-03-14	VYDAJ	PREVOD NA UCET	3830	20014	SIPO	EF	74690037
788278	2687	1997-04-14	VYDAJ	PREVOD NA UCET	3830	22583	SIPO	EF	74690037
788279	2687	1997-05-14	VYDAJ	PREVOD NA UCET	3830	23321	SIPO	EF	74690037
788280	2687	1997-06-14	VYDAJ	PREVOD NA UCET	3830	22457	SIPO	EF	74690037
788281	2687	1997-07-14	VYDAJ	PREVOD NA UCET	3830	25036	SIPO	EF	74690037
788282	2687	1997-08-14	VYDAJ	PREVOD NA UCET	3830	27635	SIPO	EF	74690037
788283	2687	1997-09-14	VYDAJ	PREVOD NA UCET	3830	19145	SIPO	EF	74690037
788284	2687	1997-10-14	VYDAJ	PREVOD NA UCET	3830	21730	SIPO	EF	74690037
788285	2687	1997-11-14	VYDAJ	PREVOD NA UCET	3830	24314	SIPO	EF	74690037
788286	2687	1997-12-14	VYDAJ	PREVOD NA UCET	3830	20970	SIPO	EF	74690037
788287	2687	1998-01-14	VYDAJ	PREVOD NA UCET	3830	20426	SIPO	EF	74690037
788288	2687	1998-02-14	VYDAJ	PREVOD NA UCET	3830	19312	SIPO	EF	74690037
788289	2687	1998-03-14	VYDAJ	PREVOD NA UCET	3830	21877	SIPO	EF	74690037
788290	2687	1998-04-14	VYDAJ	PREVOD NA UCET	3830	23822	SIPO	EF	74690037
788291	2687	1998-05-14	VYDAJ	PREVOD NA UCET	3830	23687	SIPO	EF	74690037
788292	2687	1998-06-14	VYDAJ	PREVOD NA UCET	3830	24592	SIPO	EF	74690037
788293	2687	1998-07-14	VYDAJ	PREVOD NA UCET	3830	22874	SIPO	EF	74690037
788294	2687	1998-08-14	VYDAJ	PREVOD NA UCET	3830	23214	SIPO	EF	74690037
788295	2687	1998-09-14	VYDAJ	PREVOD NA UCET	3830	25808	SIPO	EF	74690037
788296	2687	1998-10-14	VYDAJ	PREVOD NA UCET	3830	28409	SIPO	EF	74690037
788297	2687	1998-11-14	VYDAJ	PREVOD NA UCET	3830	28131	SIPO	EF	74690037
788298	2687	1998-12-14	VYDAJ	PREVOD NA UCET	3830	29938	SIPO	EF	74690037
788300	2687	1994-06-08	VYDAJ	VYBER	4450	20522	\N	\N	\N
788304	2687	1998-06-18	VYDAJ	VYBER	4300	20292	\N	\N	\N
788306	2687	1994-01-18	VYDAJ	VYBER	3850	21601	\N	\N	\N
788307	2687	1995-01-01	VYDAJ	VYBER	2450	22599	\N	\N	\N
788308	2687	1996-01-22	VYDAJ	VYBER	2150	15472	\N	\N	\N
788309	2687	1997-01-04	VYDAJ	VYBER	1650	16543	\N	\N	\N
788310	2687	1998-01-17	VYDAJ	VYBER	2400	18026	\N	\N	\N
788311	2687	1993-12-28	VYDAJ	VYBER	1250	25990	\N	\N	\N
788312	2687	1994-12-26	VYDAJ	VYBER	900	24944	\N	\N	\N
788313	2687	1995-12-19	VYDAJ	VYBER	800	21431	\N	\N	\N
788314	2687	1996-12-27	VYDAJ	VYBER	300	18128	\N	\N	\N
788315	2687	1997-12-07	VYDAJ	VYBER	250	20624	\N	\N	\N
788316	2687	1998-12-11	VYDAJ	VYBER	800	27432	\N	\N	\N
788323	2687	1994-01-19	VYDAJ	VYBER	1680	19921	\N	\N	\N
788324	2687	1994-01-20	VYDAJ	VYBER	640	19281	\N	\N	\N
788325	2687	1994-01-22	VYDAJ	VYBER	880	18401	\N	\N	\N
788326	2687	1994-01-03	VYDAJ	VYBER	1280	23665	\N	\N	\N
788327	2687	1994-01-01	VYDAJ	VYBER	640	24945	\N	\N	\N
788328	2687	1994-01-17	VYDAJ	VYBER	720	25451	\N	\N	\N
788329	2687	1995-01-29	VYDAJ	VYBER	960	14305	\N	\N	\N
788330	2687	1995-01-09	VYDAJ	VYBER	720	20759	\N	\N	\N
788331	2687	1995-01-20	VYDAJ	VYBER	2240	15265	\N	\N	\N
788332	2687	1995-01-20	VYDAJ	VYBER	1200	17505	\N	\N	\N
788333	2687	1995-01-13	VYDAJ	VYBER	2000	16199	\N	\N	\N
788334	2687	1995-01-07	VYDAJ	VYBER	1120	21479	\N	\N	\N
788335	2687	1996-01-11	VYDAJ	VYBER	400	15116	\N	\N	\N
788336	2687	1996-01-02	VYDAJ	VYBER	480	21036	\N	\N	\N
788337	2687	1996-01-10	VYDAJ	VYBER	720	16076	\N	\N	\N
788338	2687	1996-01-10	VYDAJ	VYBER	560	15516	\N	\N	\N
788339	2687	1996-01-08	VYDAJ	VYBER	1360	16796	\N	\N	\N
788340	2687	1996-01-06	VYDAJ	VYBER	560	18156	\N	\N	\N
788341	2687	1997-01-14	VYDAJ	VYBER	1040	20799	\N	\N	\N
788343	2687	1997-01-13	VYDAJ	VYBER	640	15503	\N	\N	\N
788344	2687	1997-01-21	VYDAJ	VYBER	2080	14889	\N	\N	\N
788346	2687	1997-01-07	VYDAJ	VYBER	400	16143	\N	\N	\N
788348	2687	1998-01-18	VYDAJ	VYBER	1280	16746	\N	\N	\N
788351	2687	1998-01-08	VYDAJ	VYBER	1840	17920	\N	\N	\N
788354	2687	1993-12-12	VYDAJ	VYBER	400	24734	\N	\N	\N
788359	2687	1994-03-29	VYDAJ	VYBER	2080	19715	\N	\N	\N
788360	2687	1994-02-18	VYDAJ	VYBER	1760	19223	\N	\N	\N
788361	2687	1994-09-30	VYDAJ	VYBER	2480	25139	\N	\N	\N
788362	2687	1994-11-27	VYDAJ	VYBER	1920	27431	\N	\N	\N
788363	2687	1995-03-16	VYDAJ	VYBER	1040	18403	\N	\N	\N
788364	2687	1995-09-11	VYDAJ	VYBER	2240	21039	\N	\N	\N
788365	2687	1995-05-19	VYDAJ	VYBER	2720	20824	\N	\N	\N
788366	2687	1995-01-09	VYDAJ	VYBER	2560	18199	\N	\N	\N
788367	2687	1996-05-01	VYDAJ	VYBER	2880	15392	\N	\N	\N
788368	2687	1996-01-03	VYDAJ	VYBER	2320	18716	\N	\N	\N
788371	2687	1996-04-09	VYDAJ	VYBER	1760	17502	\N	\N	\N
788373	2687	1996-12-08	VYDAJ	VYBER	1120	15922	\N	\N	\N
788374	2687	1997-12-13	VYDAJ	VYBER	2160	18464	\N	\N	\N
788375	2687	1997-11-29	VYDAJ	VYBER	3520	20794	\N	\N	\N
788376	2687	1997-04-24	VYDAJ	VYBER	1840	20743	\N	\N	\N
788377	2687	1997-05-18	VYDAJ	VYBER	3440	19881	\N	\N	\N
788379	2687	1998-08-02	VYDAJ	VYBER	2240	20708	\N	\N	\N
788380	2687	1998-11-08	VYDAJ	VYBER	2880	25625	\N	\N	\N
788381	2687	1998-04-29	VYDAJ	VYBER	2720	21102	\N	\N	\N
788382	2687	1998-04-03	VYDAJ	VYBER	640	21316	\N	\N	\N
788383	2687	1998-01-08	VYDAJ	VYBER	1280	19760	\N	\N	\N
788384	2687	1998-05-22	VYDAJ	VYBER	1680	22007	\N	\N	\N
788396	2687	1993-11-30	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
788397	2687	1993-12-31	VYDAJ	VYBER	15	25585	SLUZBY	\N	\N
788398	2687	1994-01-31	VYDAJ	VYBER	15	18477	SLUZBY	\N	\N
788399	2687	1994-02-28	VYDAJ	VYBER	15	19289	SLUZBY	\N	\N
788400	2687	1994-03-31	VYDAJ	VYBER	15	19793	SLUZBY	\N	\N
788401	2687	1994-04-30	VYDAJ	VYBER	15	22382	SLUZBY	\N	\N
788402	2687	1994-05-31	VYDAJ	VYBER	15	24972	SLUZBY	\N	\N
788403	2687	1994-06-30	VYDAJ	VYBER	15	23122	SLUZBY	\N	\N
788404	2687	1994-07-31	VYDAJ	VYBER	15	25515	SLUZBY	\N	\N
788405	2687	1994-08-31	VYDAJ	VYBER	15	25317	SLUZBY	\N	\N
788406	2687	1994-09-30	VYDAJ	VYBER	15	27619	SLUZBY	\N	\N
788407	2687	1994-10-31	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
788408	2687	1994-11-30	VYDAJ	VYBER	15	27538	SLUZBY	\N	\N
788409	2687	1994-12-31	VYDAJ	VYBER	15	25049	SLUZBY	\N	\N
788410	2687	1995-01-31	VYDAJ	VYBER	15	14373	SLUZBY	\N	\N
788411	2687	1995-02-28	VYDAJ	VYBER	15	16937	SLUZBY	\N	\N
788412	2687	1995-03-31	VYDAJ	VYBER	15	18464	SLUZBY	\N	\N
788413	2687	1995-04-30	VYDAJ	VYBER	15	21038	SLUZBY	\N	\N
788414	2687	1995-05-31	VYDAJ	VYBER	15	20901	SLUZBY	\N	\N
788415	2687	1995-06-30	VYDAJ	VYBER	15	23493	SLUZBY	\N	\N
788416	2687	1995-07-31	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
788417	2687	1995-08-31	VYDAJ	VYBER	15	23279	SLUZBY	\N	\N
788418	2687	1995-09-30	VYDAJ	VYBER	15	22927	SLUZBY	\N	\N
788419	2687	1995-10-31	VYDAJ	VYBER	15	25528	SLUZBY	\N	\N
788420	2687	1995-11-30	VYDAJ	VYBER	15	24625	SLUZBY	\N	\N
788421	2687	1995-12-31	VYDAJ	VYBER	15	21516	SLUZBY	\N	\N
788422	2687	1996-01-31	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
788423	2687	1996-02-29	VYDAJ	VYBER	15	18093	SLUZBY	\N	\N
788424	2687	1996-03-31	VYDAJ	VYBER	15	19262	SLUZBY	\N	\N
788425	2687	1996-04-30	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
788426	2687	1996-05-31	VYDAJ	VYBER	15	16956	SLUZBY	\N	\N
788427	2687	1996-06-30	VYDAJ	VYBER	15	15415	SLUZBY	\N	\N
788428	2687	1996-07-31	VYDAJ	VYBER	15	14067	SLUZBY	\N	\N
788429	2687	1996-08-31	VYDAJ	VYBER	15	16622	SLUZBY	\N	\N
788430	2687	1996-09-30	VYDAJ	VYBER	15	19196	SLUZBY	\N	\N
788431	2687	1996-10-31	VYDAJ	VYBER	15	21772	SLUZBY	\N	\N
788432	2687	1996-11-30	VYDAJ	VYBER	15	17042	SLUZBY	\N	\N
788433	2687	1996-12-31	VYDAJ	VYBER	15	18193	SLUZBY	\N	\N
788434	2687	1997-01-31	VYDAJ	VYBER	15	14942	SLUZBY	\N	\N
788435	2687	1997-02-28	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
788436	2687	1997-03-31	VYDAJ	VYBER	15	20077	SLUZBY	\N	\N
788437	2687	1997-04-30	VYDAJ	VYBER	15	20815	SLUZBY	\N	\N
788438	2687	1997-05-31	VYDAJ	VYBER	15	19951	SLUZBY	\N	\N
788439	2687	1997-06-30	VYDAJ	VYBER	15	22530	SLUZBY	\N	\N
788440	2687	1997-07-31	VYDAJ	VYBER	15	25129	SLUZBY	\N	\N
788441	2687	1997-08-31	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
788442	2687	1997-09-30	VYDAJ	VYBER	15	19224	SLUZBY	\N	\N
788443	2687	1997-10-31	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
788444	2687	1997-11-30	VYDAJ	VYBER	15	20874	SLUZBY	\N	\N
788445	2687	1997-12-31	VYDAJ	VYBER	15	21040	SLUZBY	\N	\N
788446	2687	1998-01-31	VYDAJ	VYBER	15	16806	SLUZBY	\N	\N
788447	2687	1998-02-28	VYDAJ	VYBER	15	19371	SLUZBY	\N	\N
788448	2687	1998-03-31	VYDAJ	VYBER	15	21956	SLUZBY	\N	\N
788449	2687	1998-04-30	VYDAJ	VYBER	15	21181	SLUZBY	\N	\N
788450	2687	1998-05-31	VYDAJ	VYBER	15	22086	SLUZBY	\N	\N
788451	2687	1998-06-30	VYDAJ	VYBER	15	20368	SLUZBY	\N	\N
788452	2687	1998-07-31	VYDAJ	VYBER	15	22948	SLUZBY	\N	\N
788453	2687	1998-08-31	VYDAJ	VYBER	15	23302	SLUZBY	\N	\N
788454	2687	1998-09-30	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
788455	2687	1998-10-31	VYDAJ	VYBER	15	28505	SLUZBY	\N	\N
788456	2687	1998-11-30	VYDAJ	VYBER	15	28232	SLUZBY	\N	\N
788457	2687	1993-11-28	VYDAJ	VYBER	4000	25061	\N	\N	\N
788458	2687	1993-12-28	VYDAJ	VYBER	500	25490	\N	\N	\N
788459	2687	1994-07-26	VYDAJ	VYBER	200	25428	\N	\N	\N
788460	2687	1994-08-25	VYDAJ	VYBER	2800	25221	\N	\N	\N
788461	2687	1994-09-24	VYDAJ	VYBER	300	27523	\N	\N	\N
788462	2687	1994-10-24	VYDAJ	VYBER	800	26845	\N	\N	\N
788463	2687	1994-11-23	VYDAJ	VYBER	100	29351	\N	\N	\N
788464	2687	1994-12-23	VYDAJ	VYBER	4200	25844	\N	\N	\N
788465	2687	1995-07-21	VYDAJ	VYBER	2500	23499	\N	\N	\N
788466	2687	1995-08-20	VYDAJ	VYBER	2900	23194	\N	\N	\N
788467	2687	1995-09-19	VYDAJ	VYBER	700	22845	\N	\N	\N
788468	2687	1995-11-18	VYDAJ	VYBER	3500	24534	\N	\N	\N
788469	2687	1995-12-18	VYDAJ	VYBER	4900	22231	\N	\N	\N
788470	2687	1996-03-17	VYDAJ	VYBER	1400	19199	\N	\N	\N
788471	2687	1996-04-16	VYDAJ	VYBER	1800	18208	\N	\N	\N
788472	2687	1996-05-16	VYDAJ	VYBER	1000	16898	\N	\N	\N
788473	2687	1996-06-15	VYDAJ	VYBER	4100	15362	\N	\N	\N
788474	2687	1996-07-15	VYDAJ	VYBER	3900	14021	\N	\N	\N
788475	2687	1996-11-12	VYDAJ	VYBER	7300	14472	\N	\N	\N
788476	2687	1997-09-08	VYDAJ	VYBER	11100	16639	\N	\N	\N
788543	2688	1995-02-20	PRIJEM	VKLAD	200	200	\N	\N	\N
788546	2688	1995-03-09	PRIJEM	PREVOD Z UCTU	4204	4404	DUCHOD	YZ	59396529
788547	2688	1995-04-09	PRIJEM	PREVOD Z UCTU	4204	8608	DUCHOD	YZ	59396529
788548	2688	1995-05-09	PRIJEM	PREVOD Z UCTU	4204	12812	DUCHOD	YZ	59396529
788549	2688	1995-06-09	PRIJEM	PREVOD Z UCTU	4204	17016	DUCHOD	YZ	59396529
788550	2688	1995-07-09	PRIJEM	PREVOD Z UCTU	4204	21220	DUCHOD	YZ	59396529
788551	2688	1995-08-09	PRIJEM	PREVOD Z UCTU	4204	18894	DUCHOD	YZ	59396529
788552	2688	1995-09-09	PRIJEM	PREVOD Z UCTU	4204	20353	DUCHOD	YZ	59396529
788553	2688	1995-10-09	PRIJEM	PREVOD Z UCTU	4204	21811	DUCHOD	YZ	59396529
788554	2688	1995-11-09	PRIJEM	PREVOD Z UCTU	4204	23275	DUCHOD	YZ	59396529
788555	2688	1995-12-09	PRIJEM	PREVOD Z UCTU	4204	24266	DUCHOD	YZ	59396529
788556	2688	1996-01-09	PRIJEM	PREVOD Z UCTU	4204	25142	DUCHOD	YZ	59396529
788557	2688	1996-02-09	PRIJEM	PREVOD Z UCTU	4204	22211	DUCHOD	YZ	59396529
788558	2688	1996-03-09	PRIJEM	PREVOD Z UCTU	4204	19914	DUCHOD	YZ	59396529
788559	2688	1996-04-09	PRIJEM	PREVOD Z UCTU	4204	18564	DUCHOD	YZ	59396529
788560	2688	1996-05-09	PRIJEM	PREVOD Z UCTU	4204	20015	DUCHOD	YZ	59396529
788561	2688	1996-06-09	PRIJEM	PREVOD Z UCTU	4204	18164	DUCHOD	YZ	59396529
788562	2688	1996-07-09	PRIJEM	PREVOD Z UCTU	4204	19613	DUCHOD	YZ	59396529
788563	2688	1996-08-09	PRIJEM	PREVOD Z UCTU	4204	20667	DUCHOD	YZ	59396529
788564	2688	1996-09-09	PRIJEM	PREVOD Z UCTU	4204	19826	DUCHOD	YZ	59396529
788565	2688	1996-10-09	PRIJEM	PREVOD Z UCTU	4204	16971	DUCHOD	YZ	59396529
788566	2688	1996-11-09	PRIJEM	PREVOD Z UCTU	4204	14405	DUCHOD	YZ	59396529
788567	2688	1996-12-09	PRIJEM	PREVOD Z UCTU	4204	15439	DUCHOD	YZ	59396529
788568	2688	1997-01-09	PRIJEM	PREVOD Z UCTU	4204	15373	DUCHOD	YZ	59396529
788569	2688	1997-02-09	PRIJEM	PREVOD Z UCTU	4204	15308	DUCHOD	YZ	59396529
788570	2688	1997-03-09	PRIJEM	PREVOD Z UCTU	4204	15143	DUCHOD	YZ	59396529
788571	2688	1997-04-09	PRIJEM	PREVOD Z UCTU	4204	16579	DUCHOD	YZ	59396529
788572	2688	1997-05-09	PRIJEM	PREVOD Z UCTU	4204	12808	DUCHOD	YZ	59396529
788573	2688	1997-06-09	PRIJEM	PREVOD Z UCTU	4204	14235	DUCHOD	YZ	59396529
788574	2688	1997-07-09	PRIJEM	PREVOD Z UCTU	4204	14767	DUCHOD	YZ	59396529
788575	2688	1997-08-09	PRIJEM	PREVOD Z UCTU	4204	15101	DUCHOD	YZ	59396529
788576	2688	1997-09-09	PRIJEM	PREVOD Z UCTU	4204	14374	DUCHOD	YZ	59396529
788577	2688	1997-10-09	PRIJEM	PREVOD Z UCTU	4204	15807	DUCHOD	YZ	59396529
788578	2688	1997-11-09	PRIJEM	PREVOD Z UCTU	4204	17245	DUCHOD	YZ	59396529
788579	2688	1997-12-09	PRIJEM	PREVOD Z UCTU	4204	17490	DUCHOD	YZ	59396529
788580	2688	1998-01-09	PRIJEM	PREVOD Z UCTU	4204	16040	DUCHOD	YZ	59396529
788581	2688	1998-02-09	PRIJEM	PREVOD Z UCTU	4204	17385	DUCHOD	YZ	59396529
788582	2688	1998-03-09	PRIJEM	PREVOD Z UCTU	4204	16633	DUCHOD	YZ	59396529
788583	2688	1998-04-09	PRIJEM	PREVOD Z UCTU	4204	17379	DUCHOD	YZ	59396529
788584	2688	1998-05-09	PRIJEM	PREVOD Z UCTU	4204	18828	DUCHOD	YZ	59396529
788585	2688	1998-06-09	PRIJEM	PREVOD Z UCTU	4204	19799	DUCHOD	YZ	59396529
788586	2688	1998-07-09	PRIJEM	PREVOD Z UCTU	4204	16595	DUCHOD	YZ	59396529
788587	2688	1998-08-09	PRIJEM	PREVOD Z UCTU	4204	16840	DUCHOD	YZ	59396529
788588	2688	1998-09-09	PRIJEM	PREVOD Z UCTU	4204	14838	DUCHOD	YZ	59396529
788589	2688	1998-10-09	PRIJEM	PREVOD Z UCTU	4204	16272	DUCHOD	YZ	59396529
788590	2688	1998-11-09	PRIJEM	PREVOD Z UCTU	4204	17712	DUCHOD	YZ	59396529
788591	2688	1998-12-09	PRIJEM	PREVOD Z UCTU	4204	17709	DUCHOD	YZ	59396529
788598	2688	1995-07-13	VYDAJ	PREVOD NA UCET	2802	18418	SIPO	YZ	18395823
788599	2688	1995-08-13	VYDAJ	PREVOD NA UCET	2802	16092	SIPO	YZ	18395823
788600	2688	1995-09-13	VYDAJ	PREVOD NA UCET	2802	17551	SIPO	YZ	18395823
788601	2688	1995-10-13	VYDAJ	PREVOD NA UCET	2802	19009	SIPO	YZ	18395823
788602	2688	1995-11-13	VYDAJ	PREVOD NA UCET	2802	20473	SIPO	YZ	18395823
788603	2688	1995-12-13	VYDAJ	PREVOD NA UCET	2802	21464	SIPO	YZ	18395823
788604	2688	1996-01-13	VYDAJ	PREVOD NA UCET	2802	18240	SIPO	YZ	18395823
788605	2688	1996-02-13	VYDAJ	PREVOD NA UCET	2802	19409	SIPO	YZ	18395823
788606	2688	1996-03-13	VYDAJ	PREVOD NA UCET	2802	17112	SIPO	YZ	18395823
788607	2688	1996-04-13	VYDAJ	PREVOD NA UCET	2802	15762	SIPO	YZ	18395823
788608	2688	1996-05-13	VYDAJ	PREVOD NA UCET	2802	17213	SIPO	YZ	18395823
788609	2688	1996-06-13	VYDAJ	PREVOD NA UCET	2802	15362	SIPO	YZ	18395823
788610	2688	1996-07-13	VYDAJ	PREVOD NA UCET	2802	16811	SIPO	YZ	18395823
788611	2688	1996-08-13	VYDAJ	PREVOD NA UCET	2802	17865	SIPO	YZ	18395823
788612	2688	1996-09-13	VYDAJ	PREVOD NA UCET	2802	12724	SIPO	YZ	18395823
788613	2688	1996-10-13	VYDAJ	PREVOD NA UCET	2802	10169	SIPO	YZ	18395823
788614	2688	1996-11-13	VYDAJ	PREVOD NA UCET	2802	11203	SIPO	YZ	18395823
788615	2688	1996-12-13	VYDAJ	PREVOD NA UCET	2802	11137	SIPO	YZ	18395823
788616	2688	1997-01-13	VYDAJ	PREVOD NA UCET	2802	11071	SIPO	YZ	18395823
788617	2688	1997-02-13	VYDAJ	PREVOD NA UCET	2802	10906	SIPO	YZ	18395823
788618	2688	1997-03-13	VYDAJ	PREVOD NA UCET	2802	12341	SIPO	YZ	18395823
788619	2688	1997-04-13	VYDAJ	PREVOD NA UCET	2802	8577	SIPO	YZ	18395823
788620	2688	1997-05-13	VYDAJ	PREVOD NA UCET	2802	10006	SIPO	YZ	18395823
788621	2688	1997-06-13	VYDAJ	PREVOD NA UCET	2802	10533	SIPO	YZ	18395823
788622	2688	1997-07-13	VYDAJ	PREVOD NA UCET	2802	10965	SIPO	YZ	18395823
788623	2688	1997-08-13	VYDAJ	PREVOD NA UCET	2802	12299	SIPO	YZ	18395823
788624	2688	1997-09-13	VYDAJ	PREVOD NA UCET	2802	11572	SIPO	YZ	18395823
788625	2688	1997-10-13	VYDAJ	PREVOD NA UCET	2802	13005	SIPO	YZ	18395823
788626	2688	1997-11-13	VYDAJ	PREVOD NA UCET	2802	14443	SIPO	YZ	18395823
788627	2688	1997-12-13	VYDAJ	PREVOD NA UCET	2802	14688	SIPO	YZ	18395823
788628	2688	1998-01-13	VYDAJ	PREVOD NA UCET	2802	13238	SIPO	YZ	18395823
788629	2688	1998-02-13	VYDAJ	PREVOD NA UCET	2802	14583	SIPO	YZ	18395823
788630	2688	1998-03-13	VYDAJ	PREVOD NA UCET	2802	13831	SIPO	YZ	18395823
788631	2688	1998-04-13	VYDAJ	PREVOD NA UCET	2802	14577	SIPO	YZ	18395823
788632	2688	1998-05-13	VYDAJ	PREVOD NA UCET	2802	16026	SIPO	YZ	18395823
788633	2688	1998-06-13	VYDAJ	PREVOD NA UCET	2802	13447	SIPO	YZ	18395823
788634	2688	1998-07-13	VYDAJ	PREVOD NA UCET	2802	13793	SIPO	YZ	18395823
788635	2688	1998-08-13	VYDAJ	PREVOD NA UCET	2802	10598	SIPO	YZ	18395823
788636	2688	1998-09-13	VYDAJ	PREVOD NA UCET	2802	12036	SIPO	YZ	18395823
788637	2688	1998-10-13	VYDAJ	PREVOD NA UCET	2802	13470	SIPO	YZ	18395823
788638	2688	1998-11-13	VYDAJ	PREVOD NA UCET	2802	14910	SIPO	YZ	18395823
788639	2688	1998-12-13	VYDAJ	PREVOD NA UCET	2802	14907	SIPO	YZ	18395823
788643	2688	1998-06-12	VYDAJ	VYBER	3550	16249	\N	\N	\N
788645	2688	1996-01-09	VYDAJ	VYBER	4100	21042	\N	\N	\N
788648	2688	1995-12-23	VYDAJ	VYBER	600	20864	\N	\N	\N
788650	2688	1997-12-04	VYDAJ	VYBER	1200	13286	\N	\N	\N
788651	2688	1998-12-05	VYDAJ	VYBER	1450	13505	\N	\N	\N
788654	2688	1995-12-06	VYDAJ	VYBER	480	20062	\N	\N	\N
788659	2688	1995-07-31	VYDAJ	VYBER	3760	14690	\N	\N	\N
788661	2688	1996-02-23	VYDAJ	VYBER	3760	15649	\N	\N	\N
788662	2688	1996-03-17	VYDAJ	VYBER	2800	14312	\N	\N	\N
788668	2688	1997-08-13	VYDAJ	VYBER	2160	10139	\N	\N	\N
788669	2688	1998-08-12	VYDAJ	VYBER	3440	13400	\N	\N	\N
788670	2688	1998-05-27	VYDAJ	VYBER	480	15546	\N	\N	\N
788679	2688	1995-07-31	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
788680	2688	1995-08-31	VYDAJ	VYBER	15	16149	SLUZBY	\N	\N
788681	2688	1995-09-30	VYDAJ	VYBER	15	17607	SLUZBY	\N	\N
788682	2688	1995-10-31	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
788683	2688	1995-11-30	VYDAJ	VYBER	15	20542	SLUZBY	\N	\N
788684	2688	1995-12-31	VYDAJ	VYBER	15	20938	SLUZBY	\N	\N
788685	2688	1996-01-31	VYDAJ	VYBER	15	18007	SLUZBY	\N	\N
788686	2688	1996-02-29	VYDAJ	VYBER	15	15710	SLUZBY	\N	\N
788687	2688	1996-03-31	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
788688	2688	1996-04-30	VYDAJ	VYBER	15	15811	SLUZBY	\N	\N
788689	2688	1996-05-31	VYDAJ	VYBER	15	13960	SLUZBY	\N	\N
788690	2688	1996-06-30	VYDAJ	VYBER	15	15409	SLUZBY	\N	\N
788691	2688	1996-07-31	VYDAJ	VYBER	15	16463	SLUZBY	\N	\N
788692	2688	1996-08-31	VYDAJ	VYBER	15	15622	SLUZBY	\N	\N
788693	2688	1996-09-30	VYDAJ	VYBER	15	12767	SLUZBY	\N	\N
788694	2688	1996-10-31	VYDAJ	VYBER	15	10201	SLUZBY	\N	\N
788695	2688	1996-11-30	VYDAJ	VYBER	15	11235	SLUZBY	\N	\N
788696	2688	1996-12-31	VYDAJ	VYBER	15	11169	SLUZBY	\N	\N
788697	2688	1997-01-31	VYDAJ	VYBER	15	11104	SLUZBY	\N	\N
788698	2688	1997-02-28	VYDAJ	VYBER	15	10939	SLUZBY	\N	\N
788699	2688	1997-03-31	VYDAJ	VYBER	15	12375	SLUZBY	\N	\N
788700	2688	1997-04-30	VYDAJ	VYBER	15	8604	SLUZBY	\N	\N
788701	2688	1997-05-31	VYDAJ	VYBER	15	10031	SLUZBY	\N	\N
788702	2688	1997-06-30	VYDAJ	VYBER	15	10563	SLUZBY	\N	\N
788703	2688	1997-07-31	VYDAJ	VYBER	15	10997	SLUZBY	\N	\N
788704	2688	1997-08-31	VYDAJ	VYBER	15	10170	SLUZBY	\N	\N
788705	2688	1997-09-30	VYDAJ	VYBER	15	11603	SLUZBY	\N	\N
788706	2688	1997-10-31	VYDAJ	VYBER	15	13041	SLUZBY	\N	\N
788707	2688	1997-11-30	VYDAJ	VYBER	15	14486	SLUZBY	\N	\N
788708	2688	1997-12-31	VYDAJ	VYBER	15	14736	SLUZBY	\N	\N
788709	2688	1998-01-31	VYDAJ	VYBER	15	13281	SLUZBY	\N	\N
788710	2688	1998-02-28	VYDAJ	VYBER	15	14629	SLUZBY	\N	\N
788711	2688	1998-03-31	VYDAJ	VYBER	15	13875	SLUZBY	\N	\N
788712	2688	1998-04-30	VYDAJ	VYBER	15	14624	SLUZBY	\N	\N
788713	2688	1998-05-31	VYDAJ	VYBER	15	15595	SLUZBY	\N	\N
788714	2688	1998-06-30	VYDAJ	VYBER	15	13491	SLUZBY	\N	\N
788715	2688	1998-07-31	VYDAJ	VYBER	15	13836	SLUZBY	\N	\N
788716	2688	1998-08-31	VYDAJ	VYBER	15	10634	SLUZBY	\N	\N
788717	2688	1998-09-30	VYDAJ	VYBER	15	12068	SLUZBY	\N	\N
788718	2688	1998-10-31	VYDAJ	VYBER	15	13508	SLUZBY	\N	\N
788719	2688	1998-11-30	VYDAJ	VYBER	15	14955	SLUZBY	\N	\N
788720	2688	1996-01-16	VYDAJ	VYBER	300	17940	\N	\N	\N
788721	2688	1996-05-15	VYDAJ	VYBER	3300	13913	\N	\N	\N
788722	2688	1996-07-14	VYDAJ	VYBER	400	16411	\N	\N	\N
788723	2688	1996-08-13	VYDAJ	VYBER	2300	15565	\N	\N	\N
788724	2688	1996-09-12	VYDAJ	VYBER	4300	15526	\N	\N	\N
788725	2688	1996-10-12	VYDAJ	VYBER	4000	12971	\N	\N	\N
788726	2688	1996-11-11	VYDAJ	VYBER	400	14005	\N	\N	\N
788727	2688	1996-12-11	VYDAJ	VYBER	1500	13939	\N	\N	\N
788728	2688	1997-01-10	VYDAJ	VYBER	1500	13873	\N	\N	\N
788729	2688	1997-02-09	VYDAJ	VYBER	1600	13708	\N	\N	\N
788730	2688	1997-04-10	VYDAJ	VYBER	5200	11379	\N	\N	\N
788731	2688	1997-06-09	VYDAJ	VYBER	900	13335	\N	\N	\N
788732	2688	1997-07-09	VYDAJ	VYBER	1000	13767	\N	\N	\N
788733	2688	1997-08-08	VYDAJ	VYBER	100	10897	\N	\N	\N
788734	2688	1998-01-05	VYDAJ	VYBER	2900	11836	\N	\N	\N
788735	2688	1998-02-04	VYDAJ	VYBER	100	13181	\N	\N	\N
788736	2688	1998-03-06	VYDAJ	VYBER	2200	12429	\N	\N	\N
788737	2688	1998-04-05	VYDAJ	VYBER	700	13175	\N	\N	\N
788738	2688	1998-07-04	VYDAJ	VYBER	1100	12391	\N	\N	\N
788739	2688	1998-08-03	VYDAJ	VYBER	1200	12636	\N	\N	\N
788782	2689	1997-01-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
788783	2689	1997-01-08	PRIJEM	VKLAD	19891	20991	\N	\N	\N
788784	2689	1997-02-08	PRIJEM	VKLAD	19891	44250	\N	\N	\N
788785	2689	1997-03-08	PRIJEM	VKLAD	19891	58143	\N	\N	\N
788786	2689	1997-04-08	PRIJEM	VKLAD	19891	62644	\N	\N	\N
788787	2689	1997-05-08	PRIJEM	VKLAD	19891	63692	\N	\N	\N
788788	2689	1997-06-08	PRIJEM	VKLAD	29836	56517	\N	\N	\N
788789	2689	1997-07-08	PRIJEM	VKLAD	19891	59971	\N	\N	\N
788790	2689	1997-08-08	PRIJEM	VKLAD	19891	60822	\N	\N	\N
788791	2689	1997-09-08	PRIJEM	VKLAD	19891	60558	\N	\N	\N
788792	2689	1997-10-08	PRIJEM	VKLAD	19891	56182	\N	\N	\N
788793	2689	1997-11-08	PRIJEM	VKLAD	19891	59806	\N	\N	\N
788794	2689	1997-12-08	PRIJEM	VKLAD	29836	76384	\N	\N	\N
788795	2689	1998-01-08	PRIJEM	VKLAD	19891	62666	\N	\N	\N
788796	2689	1998-02-08	PRIJEM	VKLAD	19891	61911	\N	\N	\N
788797	2689	1998-03-08	PRIJEM	VKLAD	19891	69551	\N	\N	\N
788798	2689	1998-04-08	PRIJEM	VKLAD	19891	73521	\N	\N	\N
788799	2689	1998-05-08	PRIJEM	VKLAD	19891	74105	\N	\N	\N
788800	2689	1998-06-08	PRIJEM	VKLAD	29836	80132	\N	\N	\N
788801	2689	1998-07-08	PRIJEM	VKLAD	19891	47812	\N	\N	\N
788802	2689	1998-08-08	PRIJEM	VKLAD	19891	61198	\N	\N	\N
788803	2689	1998-09-08	PRIJEM	VKLAD	19891	60919	\N	\N	\N
788804	2689	1998-10-08	PRIJEM	VKLAD	19891	65048	\N	\N	\N
788805	2689	1998-11-08	PRIJEM	VKLAD	19891	66191	\N	\N	\N
788806	2689	1998-12-08	PRIJEM	VKLAD	29836	75780	\N	\N	\N
788811	2689	1997-05-14	VYDAJ	PREVOD NA UCET	2727	58844	SIPO	YZ	50778090
788812	2689	1997-06-14	VYDAJ	PREVOD NA UCET	2727	51669	SIPO	YZ	50778090
788813	2689	1997-07-14	VYDAJ	PREVOD NA UCET	2727	55123	SIPO	YZ	50778090
788814	2689	1997-08-14	VYDAJ	PREVOD NA UCET	2727	55974	SIPO	YZ	50778090
788815	2689	1997-09-14	VYDAJ	PREVOD NA UCET	2727	50910	SIPO	YZ	50778090
788816	2689	1997-10-14	VYDAJ	PREVOD NA UCET	2727	51334	SIPO	YZ	50778090
788817	2689	1997-11-14	VYDAJ	PREVOD NA UCET	2727	54958	SIPO	YZ	50778090
788818	2689	1997-12-14	VYDAJ	PREVOD NA UCET	2727	71536	SIPO	YZ	50778090
788819	2689	1998-01-14	VYDAJ	PREVOD NA UCET	2727	56718	SIPO	YZ	50778090
788820	2689	1998-02-14	VYDAJ	PREVOD NA UCET	2727	57063	SIPO	YZ	50778090
788821	2689	1998-03-14	VYDAJ	PREVOD NA UCET	2727	64703	SIPO	YZ	50778090
788822	2689	1998-04-14	VYDAJ	PREVOD NA UCET	2727	68673	SIPO	YZ	50778090
788823	2689	1998-05-14	VYDAJ	PREVOD NA UCET	2727	69257	SIPO	YZ	50778090
788824	2689	1998-06-14	VYDAJ	PREVOD NA UCET	2727	75284	SIPO	YZ	50778090
788825	2689	1998-07-14	VYDAJ	PREVOD NA UCET	2727	42964	SIPO	YZ	50778090
788826	2689	1998-08-14	VYDAJ	PREVOD NA UCET	2727	52350	SIPO	YZ	50778090
788827	2689	1998-09-14	VYDAJ	PREVOD NA UCET	2727	56071	SIPO	YZ	50778090
788828	2689	1998-10-14	VYDAJ	PREVOD NA UCET	2727	60200	SIPO	YZ	50778090
788829	2689	1998-11-14	VYDAJ	PREVOD NA UCET	2727	61343	SIPO	YZ	50778090
788830	2689	1998-12-14	VYDAJ	PREVOD NA UCET	2727	70932	SIPO	YZ	50778090
788835	2689	1997-05-11	VYDAJ	PREVOD NA UCET	2121	61571	 	UV	36906784
788836	2689	1997-06-11	VYDAJ	PREVOD NA UCET	2121	54396	 	UV	36906784
788837	2689	1997-07-11	VYDAJ	PREVOD NA UCET	2121	57850	 	UV	36906784
788838	2689	1997-08-11	VYDAJ	PREVOD NA UCET	2121	58701	 	UV	36906784
788839	2689	1997-09-11	VYDAJ	PREVOD NA UCET	2121	58437	 	UV	36906784
788840	2689	1997-10-11	VYDAJ	PREVOD NA UCET	2121	54061	 	UV	36906784
788841	2689	1997-11-11	VYDAJ	PREVOD NA UCET	2121	57685	 	UV	36906784
788842	2689	1997-12-11	VYDAJ	PREVOD NA UCET	2121	74263	 	UV	36906784
788843	2689	1998-01-11	VYDAJ	PREVOD NA UCET	2121	59445	 	UV	36906784
788844	2689	1998-02-11	VYDAJ	PREVOD NA UCET	2121	59790	 	UV	36906784
788845	2689	1998-03-11	VYDAJ	PREVOD NA UCET	2121	67430	 	UV	36906784
788846	2689	1998-04-11	VYDAJ	PREVOD NA UCET	2121	71400	 	UV	36906784
788847	2689	1998-05-11	VYDAJ	PREVOD NA UCET	2121	71984	 	UV	36906784
788848	2689	1998-06-11	VYDAJ	PREVOD NA UCET	2121	78011	 	UV	36906784
788849	2689	1998-07-11	VYDAJ	PREVOD NA UCET	2121	45691	 	UV	36906784
788850	2689	1998-08-11	VYDAJ	PREVOD NA UCET	2121	59077	 	UV	36906784
788851	2689	1998-09-11	VYDAJ	PREVOD NA UCET	2121	58798	 	UV	36906784
788852	2689	1998-10-11	VYDAJ	PREVOD NA UCET	2121	62927	 	UV	36906784
788853	2689	1998-11-11	VYDAJ	PREVOD NA UCET	2121	64070	 	UV	36906784
788854	2689	1998-12-11	VYDAJ	PREVOD NA UCET	2121	73659	 	UV	36906784
788855	2689	1997-06-04	VYDAJ	VYBER	19800	26681	\N	\N	\N
788856	2689	1998-06-28	VYDAJ	VYBER	29800	27684	\N	\N	\N
788858	2689	1998-01-04	VYDAJ	VYBER	6200	47775	\N	\N	\N
788859	2689	1997-12-29	VYDAJ	VYBER KARTOU	1000	53736	\N	\N	0
788860	2689	1998-12-29	VYDAJ	VYBER KARTOU	2900	46032	\N	\N	0
788867	2689	1998-01-10	VYDAJ	VYBER KARTOU	1100	61566	\N	\N	0
788868	2689	1998-01-26	VYDAJ	VYBER KARTOU	800	51518	\N	\N	0
788869	2689	1998-01-07	VYDAJ	VYBER KARTOU	1600	42775	\N	\N	0
788870	2689	1998-01-17	VYDAJ	VYBER KARTOU	1100	55618	\N	\N	0
788871	2689	1998-01-24	VYDAJ	VYBER KARTOU	2700	52318	\N	\N	0
788872	2689	1998-01-17	VYDAJ	VYBER KARTOU	600	55018	\N	\N	0
788873	2689	1997-10-20	VYDAJ	VYBER	3500	47834	\N	\N	\N
788874	2689	1997-09-12	VYDAJ	VYBER	4800	53637	\N	\N	\N
788875	2689	1997-10-01	VYDAJ	VYBER	4200	36291	\N	\N	\N
788878	2689	1998-03-23	VYDAJ	VYBER KARTOU	2600	62103	\N	\N	0
788879	2689	1998-08-12	VYDAJ	VYBER KARTOU	4000	55077	\N	\N	0
788880	2689	1998-10-27	VYDAJ	VYBER KARTOU	1200	46100	\N	\N	0
788881	2689	1998-05-26	VYDAJ	VYBER KARTOU	1400	50057	\N	\N	0
788882	2689	1998-01-04	VYDAJ	VYBER KARTOU	3400	44375	\N	\N	0
788888	2689	1997-05-31	VYDAJ	VYBER	15	59081	SLUZBY	\N	\N
788889	2689	1997-06-30	VYDAJ	VYBER	15	51880	SLUZBY	\N	\N
788890	2689	1997-07-31	VYDAJ	VYBER	15	40931	SLUZBY	\N	\N
788891	2689	1997-08-31	VYDAJ	VYBER	15	40667	SLUZBY	\N	\N
788892	2689	1997-09-30	VYDAJ	VYBER	15	40491	SLUZBY	\N	\N
788893	2689	1997-10-31	VYDAJ	VYBER	15	39915	SLUZBY	\N	\N
788894	2689	1997-11-30	VYDAJ	VYBER	15	46548	SLUZBY	\N	\N
788895	2689	1997-12-31	VYDAJ	VYBER	15	53975	SLUZBY	\N	\N
788896	2689	1998-01-31	VYDAJ	VYBER	15	42020	SLUZBY	\N	\N
788897	2689	1998-02-28	VYDAJ	VYBER	15	49660	SLUZBY	\N	\N
788898	2689	1998-03-31	VYDAJ	VYBER	15	53630	SLUZBY	\N	\N
788899	2689	1998-04-30	VYDAJ	VYBER	15	54214	SLUZBY	\N	\N
788900	2689	1998-05-31	VYDAJ	VYBER	15	50296	SLUZBY	\N	\N
788901	2689	1998-06-30	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
788902	2689	1998-07-31	VYDAJ	VYBER	15	41307	SLUZBY	\N	\N
788903	2689	1998-08-31	VYDAJ	VYBER	15	41028	SLUZBY	\N	\N
788904	2689	1998-09-30	VYDAJ	VYBER	15	45157	SLUZBY	\N	\N
788905	2689	1998-10-31	VYDAJ	VYBER	15	46300	SLUZBY	\N	\N
788906	2689	1998-11-30	VYDAJ	VYBER	15	45944	SLUZBY	\N	\N
788907	2689	1997-01-31	PRIJEM	VKLAD	3300	24359	\N	\N	\N
788908	2689	1997-03-02	VYDAJ	VYBER	6100	38252	\N	\N	\N
788909	2689	1997-04-01	VYDAJ	VYBER	15600	42753	\N	\N	\N
788910	2689	1997-05-01	VYDAJ	VYBER	19100	43801	\N	\N	\N
788911	2689	1997-05-31	VYDAJ	VYBER	12600	46481	\N	\N	\N
788912	2689	1997-06-30	VYDAJ	VYBER	11800	40080	\N	\N	\N
788913	2689	1997-07-30	VYDAJ	VYBER	14400	40723	\N	\N	\N
788914	2689	1997-08-29	VYDAJ	VYBER	15500	40474	\N	\N	\N
788915	2689	1997-09-28	VYDAJ	VYBER	10600	40310	\N	\N	\N
788916	2689	1997-10-28	VYDAJ	VYBER	8100	39734	\N	\N	\N
788917	2689	1997-11-27	VYDAJ	VYBER	8600	46358	\N	\N	\N
788918	2689	1997-12-27	VYDAJ	VYBER	16800	54736	\N	\N	\N
788919	2689	1998-01-26	VYDAJ	VYBER	9700	41818	\N	\N	\N
788920	2689	1998-02-25	VYDAJ	VYBER	7600	49463	\N	\N	\N
788921	2689	1998-03-27	VYDAJ	VYBER	8700	53403	\N	\N	\N
788922	2689	1998-04-26	VYDAJ	VYBER	14700	53973	\N	\N	\N
788923	2689	1998-05-26	VYDAJ	VYBER	17800	51457	\N	\N	\N
788924	2689	1998-06-25	VYDAJ	VYBER	17800	57484	\N	\N	\N
788925	2689	1998-07-25	VYDAJ	VYBER KARTOU	1800	41164	\N	\N	0
788926	2689	1998-08-24	VYDAJ	VYBER	11500	40850	\N	\N	\N
788927	2689	1998-09-23	VYDAJ	VYBER	11100	44971	\N	\N	\N
788928	2689	1998-10-23	VYDAJ	VYBER	12900	47300	\N	\N	\N
788929	2689	1998-11-22	VYDAJ	VYBER	15600	45743	\N	\N	\N
788930	2689	1998-12-22	VYDAJ	VYBER	22000	48932	\N	\N	\N
788955	2690	1997-03-19	PRIJEM	VKLAD	600	600	\N	\N	\N
788959	2690	1997-04-06	PRIJEM	PREVOD Z UCTU	6632	7232	DUCHOD	WX	5632484
788960	2690	1997-05-06	PRIJEM	PREVOD Z UCTU	6632	13864	DUCHOD	WX	5632484
788961	2690	1997-06-06	PRIJEM	PREVOD Z UCTU	6632	20496	DUCHOD	WX	5632484
788962	2690	1997-07-06	PRIJEM	PREVOD Z UCTU	6632	27128	DUCHOD	WX	5632484
788963	2690	1997-08-06	PRIJEM	PREVOD Z UCTU	6632	33760	DUCHOD	WX	5632484
788964	2690	1997-09-06	PRIJEM	PREVOD Z UCTU	6632	34912	DUCHOD	WX	5632484
788965	2690	1997-10-06	PRIJEM	PREVOD Z UCTU	6632	39645	DUCHOD	WX	5632484
788966	2690	1997-11-06	PRIJEM	PREVOD Z UCTU	6632	44398	DUCHOD	WX	5632484
788967	2690	1997-12-06	PRIJEM	PREVOD Z UCTU	6632	44937	DUCHOD	WX	5632484
788968	2690	1998-01-06	PRIJEM	PREVOD Z UCTU	6632	41416	DUCHOD	WX	5632484
788969	2690	1998-02-06	PRIJEM	PREVOD Z UCTU	6632	29763	DUCHOD	WX	5632484
788970	2690	1998-03-06	PRIJEM	PREVOD Z UCTU	6632	32069	DUCHOD	WX	5632484
788971	2690	1998-04-06	PRIJEM	PREVOD Z UCTU	6632	34484	DUCHOD	WX	5632484
788972	2690	1998-05-06	PRIJEM	PREVOD Z UCTU	6632	31017	DUCHOD	WX	5632484
788973	2690	1998-06-06	PRIJEM	PREVOD Z UCTU	6632	24246	DUCHOD	WX	5632484
788974	2690	1998-07-06	PRIJEM	PREVOD Z UCTU	6632	25076	DUCHOD	WX	5632484
788975	2690	1998-08-06	PRIJEM	PREVOD Z UCTU	6632	28063	DUCHOD	WX	5632484
788976	2690	1998-09-06	PRIJEM	PREVOD Z UCTU	6632	29358	DUCHOD	WX	5632484
788977	2690	1998-10-06	PRIJEM	PREVOD Z UCTU	6632	25643	DUCHOD	WX	5632484
788978	2690	1998-11-06	PRIJEM	PREVOD Z UCTU	6632	21292	DUCHOD	WX	5632484
788979	2690	1998-12-06	PRIJEM	PREVOD Z UCTU	6632	25768	DUCHOD	WX	5632484
788987	2690	1997-08-08	VYDAJ	PREVOD NA UCET	2017	28703	SIPO	YZ	55287820
788988	2690	1997-09-08	VYDAJ	PREVOD NA UCET	2017	32895	SIPO	YZ	55287820
788989	2690	1997-10-08	VYDAJ	PREVOD NA UCET	2017	37628	SIPO	YZ	55287820
788990	2690	1997-11-08	VYDAJ	PREVOD NA UCET	2017	38461	SIPO	YZ	55287820
788991	2690	1997-12-08	VYDAJ	PREVOD NA UCET	2017	42920	SIPO	YZ	55287820
788992	2690	1998-01-08	VYDAJ	PREVOD NA UCET	2017	34839	SIPO	YZ	55287820
788993	2690	1998-02-08	VYDAJ	PREVOD NA UCET	2017	27746	SIPO	YZ	55287820
788994	2690	1998-03-08	VYDAJ	PREVOD NA UCET	2017	30052	SIPO	YZ	55287820
788995	2690	1998-04-08	VYDAJ	PREVOD NA UCET	2017	32467	SIPO	YZ	55287820
788996	2690	1998-05-08	VYDAJ	PREVOD NA UCET	2017	29000	SIPO	YZ	55287820
788997	2690	1998-06-08	VYDAJ	PREVOD NA UCET	2017	22229	SIPO	YZ	55287820
788998	2690	1998-07-08	VYDAJ	PREVOD NA UCET	2017	23059	SIPO	YZ	55287820
788999	2690	1998-08-08	VYDAJ	PREVOD NA UCET	2017	26046	SIPO	YZ	55287820
789000	2690	1998-09-08	VYDAJ	PREVOD NA UCET	2017	27341	SIPO	YZ	55287820
789001	2690	1998-10-08	VYDAJ	PREVOD NA UCET	2017	23626	SIPO	YZ	55287820
789002	2690	1998-11-08	VYDAJ	PREVOD NA UCET	2017	19275	SIPO	YZ	55287820
789003	2690	1998-12-08	VYDAJ	PREVOD NA UCET	2017	23751	SIPO	YZ	55287820
789005	2690	1998-06-21	VYDAJ	VYBER	1550	18379	\N	\N	\N
789006	2690	1997-12-21	VYDAJ	VYBER	300	36720	\N	\N	\N
789007	2690	1998-12-13	VYDAJ	VYBER	1000	22651	\N	\N	\N
789014	2690	1998-01-14	VYDAJ	VYBER	2080	27579	\N	\N	\N
789015	2690	1998-01-25	VYDAJ	VYBER	1520	26059	\N	\N	\N
789016	2690	1998-01-08	VYDAJ	VYBER	1680	33159	\N	\N	\N
789017	2690	1998-01-06	VYDAJ	VYBER	400	41016	\N	\N	\N
789018	2690	1998-01-08	VYDAJ	VYBER	2000	36856	\N	\N	\N
789019	2690	1998-01-07	VYDAJ	VYBER	2160	38856	\N	\N	\N
789020	2690	1997-11-08	VYDAJ	VYBER	3920	40478	\N	\N	\N
789021	2690	1997-08-08	VYDAJ	VYBER	3040	30720	\N	\N	\N
789022	2690	1997-12-27	VYDAJ	VYBER	2080	34640	\N	\N	\N
789024	2690	1998-10-13	VYDAJ	VYBER	3120	14606	\N	\N	\N
789025	2690	1998-04-19	VYDAJ	VYBER	2480	24287	\N	\N	\N
789026	2690	1998-02-13	VYDAJ	VYBER	2400	25346	\N	\N	\N
789027	2690	1998-05-15	VYDAJ	VYBER	3760	17540	\N	\N	\N
789028	2690	1998-01-29	VYDAJ	VYBER	3040	23019	\N	\N	\N
789037	2690	1997-08-31	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
789038	2690	1997-09-30	VYDAJ	VYBER	15	33013	SLUZBY	\N	\N
789039	2690	1997-10-31	VYDAJ	VYBER	15	37766	SLUZBY	\N	\N
789040	2690	1997-11-30	VYDAJ	VYBER	15	38305	SLUZBY	\N	\N
789041	2690	1997-12-31	VYDAJ	VYBER	15	34784	SLUZBY	\N	\N
789042	2690	1998-01-31	VYDAJ	VYBER	15	23131	SLUZBY	\N	\N
789043	2690	1998-02-28	VYDAJ	VYBER	15	25437	SLUZBY	\N	\N
789044	2690	1998-03-31	VYDAJ	VYBER	15	27852	SLUZBY	\N	\N
789045	2690	1998-04-30	VYDAJ	VYBER	15	24385	SLUZBY	\N	\N
789046	2690	1998-05-31	VYDAJ	VYBER	15	17614	SLUZBY	\N	\N
789047	2690	1998-06-30	VYDAJ	VYBER	15	18444	SLUZBY	\N	\N
789048	2690	1998-07-31	VYDAJ	VYBER	15	21431	SLUZBY	\N	\N
789049	2690	1998-08-31	VYDAJ	VYBER	15	22726	SLUZBY	\N	\N
789050	2690	1998-09-30	VYDAJ	VYBER	15	19011	SLUZBY	\N	\N
789051	2690	1998-10-31	VYDAJ	VYBER	15	14660	SLUZBY	\N	\N
789052	2690	1998-11-30	VYDAJ	VYBER	15	19136	SLUZBY	\N	\N
789053	2690	1997-08-16	VYDAJ	VYBER	500	28203	\N	\N	\N
789054	2690	1997-11-14	VYDAJ	VYBER	300	38161	\N	\N	\N
789055	2690	1997-12-14	VYDAJ	VYBER	5900	37020	\N	\N	\N
789056	2690	1998-01-13	VYDAJ	VYBER	3500	29659	\N	\N	\N
789057	2690	1998-03-14	VYDAJ	VYBER	2300	27752	\N	\N	\N
789058	2690	1998-04-13	VYDAJ	VYBER	5700	26767	\N	\N	\N
789059	2690	1998-05-13	VYDAJ	VYBER	7700	21300	\N	\N	\N
789060	2690	1998-06-12	VYDAJ	VYBER	2300	19929	\N	\N	\N
789061	2690	1998-07-12	VYDAJ	VYBER	1700	21359	\N	\N	\N
789062	2690	1998-08-11	VYDAJ	VYBER	3400	22646	\N	\N	\N
789063	2690	1998-09-10	VYDAJ	VYBER	8400	18941	\N	\N	\N
789064	2690	1998-10-10	VYDAJ	VYBER	5900	17726	\N	\N	\N
789065	2690	1998-11-09	VYDAJ	VYBER	200	19075	\N	\N	\N
789066	2690	1998-12-09	VYDAJ	VYBER	100	23651	\N	\N	\N
789084	2691	1993-09-08	PRIJEM	VKLAD	700	700	\N	\N	\N
789310	2691	1993-10-08	PRIJEM	VKLAD	13000	13700	\N	\N	\N
789311	2691	1993-11-07	PRIJEM	VKLAD	4500	18200	\N	\N	\N
789312	2691	1993-12-07	PRIJEM	VKLAD	800	19000	\N	\N	\N
789313	2691	1994-01-06	PRIJEM	VKLAD	300	19300	\N	\N	\N
789314	2691	1994-02-05	PRIJEM	VKLAD	4600	23900	\N	\N	\N
789315	2691	1994-03-07	VYDAJ	VYBER	1200	22700	\N	\N	\N
789316	2691	1994-04-06	PRIJEM	VKLAD	500	23200	\N	\N	\N
789317	2691	1994-05-06	VYDAJ	VYBER	700	22500	\N	\N	\N
789318	2691	1994-06-05	VYDAJ	VYBER	800	21700	\N	\N	\N
789319	2691	1994-07-05	PRIJEM	VKLAD	2700	24400	\N	\N	\N
789320	2691	1994-08-04	PRIJEM	VKLAD	500	24900	\N	\N	\N
789321	2691	1994-09-03	PRIJEM	VKLAD	1000	25900	\N	\N	\N
789322	2691	1994-10-03	VYDAJ	VYBER	1900	24000	\N	\N	\N
789323	2691	1994-11-02	VYDAJ	VYBER	1200	22800	\N	\N	\N
789324	2691	1994-12-02	PRIJEM	VKLAD	3100	25900	\N	\N	\N
789325	2691	1995-01-01	VYDAJ	VYBER	300	25600	\N	\N	\N
789326	2691	1995-01-31	VYDAJ	VYBER	2000	23603	\N	\N	\N
789327	2691	1995-03-02	PRIJEM	VKLAD	1100	24703	\N	\N	\N
789328	2691	1995-04-01	VYDAJ	VYBER	300	24502	\N	\N	\N
789329	2691	1995-05-01	PRIJEM	VKLAD	1000	25600	\N	\N	\N
789330	2691	1995-05-31	VYDAJ	VYBER	1700	23998	\N	\N	\N
789331	2691	1995-06-30	VYDAJ	VYBER	2200	21898	\N	\N	\N
789332	2691	1995-07-30	VYDAJ	VYBER	800	21098	\N	\N	\N
789333	2691	1995-08-29	VYDAJ	VYBER	600	20598	\N	\N	\N
789334	2691	1995-09-28	VYDAJ	VYBER	700	19998	\N	\N	\N
789335	2691	1995-10-28	PRIJEM	VKLAD	400	20498	\N	\N	\N
789336	2691	1995-11-27	PRIJEM	VKLAD	1300	21898	\N	\N	\N
789337	2691	1995-12-27	VYDAJ	VYBER	200	21798	\N	\N	\N
789338	2691	1996-01-26	VYDAJ	VYBER	700	21198	\N	\N	\N
789339	2691	1996-03-26	PRIJEM	VKLAD	1800	23098	\N	\N	\N
789340	2691	1996-04-25	PRIJEM	VKLAD	600	23798	\N	\N	\N
789341	2691	1996-05-25	VYDAJ	VYBER	800	23098	\N	\N	\N
789342	2691	1996-06-24	PRIJEM	VKLAD	300	23498	\N	\N	\N
789343	2691	1996-07-24	VYDAJ	VYBER	300	23298	\N	\N	\N
789344	2691	1996-08-23	PRIJEM	VKLAD	1400	24798	\N	\N	\N
789345	2691	1996-09-22	VYDAJ	VYBER	2700	22198	\N	\N	\N
789346	2691	1996-10-22	PRIJEM	VKLAD	100	22398	\N	\N	\N
789347	2691	1996-11-21	PRIJEM	VKLAD	4000	26498	\N	\N	\N
789348	2691	1996-12-21	PRIJEM	VKLAD	1800	28398	\N	\N	\N
789349	2691	1997-01-20	VYDAJ	VYBER	600	27898	\N	\N	\N
789350	2691	1997-02-19	VYDAJ	VYBER	100	27898	\N	\N	\N
789351	2691	1997-03-21	PRIJEM	VKLAD	1700	29698	\N	\N	\N
789352	2691	1997-04-20	VYDAJ	VYBER	1700	28098	\N	\N	\N
789353	2691	1997-05-20	VYDAJ	VYBER	1400	26798	\N	\N	\N
789354	2691	1997-06-19	VYDAJ	VYBER	500	26398	\N	\N	\N
789355	2691	1997-07-19	PRIJEM	VKLAD	3900	30398	\N	\N	\N
789356	2691	1997-08-18	PRIJEM	VKLAD	300	30798	\N	\N	\N
789357	2691	1997-09-17	PRIJEM	VKLAD	2700	33598	\N	\N	\N
789358	2691	1997-10-17	VYDAJ	VYBER	4500	29198	\N	\N	\N
789359	2691	1997-11-16	PRIJEM	VKLAD	1100	30398	\N	\N	\N
789360	2691	1997-12-16	PRIJEM	VKLAD	300	30798	\N	\N	\N
789361	2691	1998-01-15	VYDAJ	VYBER	1100	29798	\N	\N	\N
789362	2691	1998-02-14	VYDAJ	VYBER	3400	26498	\N	\N	\N
789363	2691	1998-03-16	VYDAJ	VYBER	900	25698	\N	\N	\N
789364	2691	1998-04-15	VYDAJ	VYBER	3000	22798	\N	\N	\N
789365	2691	1998-05-15	VYDAJ	VYBER	200	22698	\N	\N	\N
789366	2691	1998-06-14	VYDAJ	VYBER	1300	21498	\N	\N	\N
789367	2691	1998-07-14	VYDAJ	VYBER	700	20898	\N	\N	\N
789368	2691	1998-08-13	VYDAJ	VYBER	5800	15198	\N	\N	\N
789369	2691	1998-09-12	VYDAJ	VYBER	3100	12198	\N	\N	\N
789412	2692	1995-12-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
789424	2692	1995-12-09	PRIJEM	PREVOD Z UCTU	5709	6809	DUCHOD	GH	11821413
789425	2692	1996-01-09	PRIJEM	PREVOD Z UCTU	5709	12539	DUCHOD	GH	11821413
789426	2692	1996-02-09	PRIJEM	PREVOD Z UCTU	5709	18276	DUCHOD	GH	11821413
789427	2692	1996-03-09	PRIJEM	PREVOD Z UCTU	5709	24014	DUCHOD	GH	11821413
789428	2692	1996-04-09	PRIJEM	PREVOD Z UCTU	5709	29751	DUCHOD	GH	11821413
789429	2692	1996-05-09	PRIJEM	PREVOD Z UCTU	5709	32142	DUCHOD	GH	11821413
789430	2692	1996-06-09	PRIJEM	PREVOD Z UCTU	5709	30967	DUCHOD	GH	11821413
789431	2692	1996-07-09	PRIJEM	PREVOD Z UCTU	5709	32271	DUCHOD	GH	11821413
789432	2692	1996-08-09	PRIJEM	PREVOD Z UCTU	5709	32057	DUCHOD	GH	11821413
789433	2692	1996-09-09	PRIJEM	PREVOD Z UCTU	5709	30796	DUCHOD	GH	11821413
789434	2692	1996-10-09	PRIJEM	PREVOD Z UCTU	5709	29856	DUCHOD	GH	11821413
789435	2692	1996-11-09	PRIJEM	PREVOD Z UCTU	5709	29954	DUCHOD	GH	11821413
789436	2692	1996-12-09	PRIJEM	PREVOD Z UCTU	5709	32369	DUCHOD	GH	11821413
789437	2692	1997-01-09	PRIJEM	PREVOD Z UCTU	5709	29645	DUCHOD	GH	11821413
789438	2692	1997-02-09	PRIJEM	PREVOD Z UCTU	5709	28456	DUCHOD	GH	11821413
789439	2692	1997-03-09	PRIJEM	PREVOD Z UCTU	5709	30865	DUCHOD	GH	11821413
789440	2692	1997-04-09	PRIJEM	PREVOD Z UCTU	5709	33285	DUCHOD	GH	11821413
789441	2692	1997-05-09	PRIJEM	PREVOD Z UCTU	5709	35715	DUCHOD	GH	11821413
789442	2692	1997-06-09	PRIJEM	PREVOD Z UCTU	5709	36472	DUCHOD	GH	11821413
789443	2692	1997-07-09	PRIJEM	PREVOD Z UCTU	5709	34556	DUCHOD	GH	11821413
789444	2692	1997-08-09	PRIJEM	PREVOD Z UCTU	5709	36991	DUCHOD	GH	11821413
789445	2692	1997-09-09	PRIJEM	PREVOD Z UCTU	5709	39436	DUCHOD	GH	11821413
789446	2692	1997-10-09	PRIJEM	PREVOD Z UCTU	5709	41891	DUCHOD	GH	11821413
789447	2692	1997-11-09	PRIJEM	PREVOD Z UCTU	5709	44357	DUCHOD	GH	11821413
789448	2692	1997-12-09	PRIJEM	PREVOD Z UCTU	5709	46031	DUCHOD	GH	11821413
789449	2692	1998-01-09	PRIJEM	PREVOD Z UCTU	5709	44452	DUCHOD	GH	11821413
789450	2692	1998-02-09	PRIJEM	PREVOD Z UCTU	5709	35240	DUCHOD	GH	11821413
789451	2692	1998-03-09	PRIJEM	PREVOD Z UCTU	5709	37683	DUCHOD	GH	11821413
789452	2692	1998-04-09	PRIJEM	PREVOD Z UCTU	5709	40131	DUCHOD	GH	11821413
789453	2692	1998-05-09	PRIJEM	PREVOD Z UCTU	5709	41308	DUCHOD	GH	11821413
789454	2692	1998-06-09	PRIJEM	PREVOD Z UCTU	5709	43774	DUCHOD	GH	11821413
789455	2692	1998-07-09	PRIJEM	PREVOD Z UCTU	5709	28180	DUCHOD	GH	11821413
789456	2692	1998-08-09	PRIJEM	PREVOD Z UCTU	5709	30588	DUCHOD	GH	11821413
789457	2692	1998-09-09	PRIJEM	PREVOD Z UCTU	5709	33006	DUCHOD	GH	11821413
789458	2692	1998-10-09	PRIJEM	PREVOD Z UCTU	5709	35434	DUCHOD	GH	11821413
789459	2692	1998-11-09	PRIJEM	PREVOD Z UCTU	5709	37872	DUCHOD	GH	11821413
789460	2692	1998-12-09	PRIJEM	PREVOD Z UCTU	5709	40320	DUCHOD	GH	11821413
789476	2692	1996-04-11	VYDAJ	PREVOD NA UCET	3386	26365	SIPO	GH	59398072
789477	2692	1996-05-11	VYDAJ	PREVOD NA UCET	3386	28756	SIPO	GH	59398072
789478	2692	1996-06-11	VYDAJ	PREVOD NA UCET	3386	27581	SIPO	GH	59398072
789479	2692	1996-07-11	VYDAJ	PREVOD NA UCET	3386	28885	SIPO	GH	59398072
789480	2692	1996-08-11	VYDAJ	PREVOD NA UCET	3386	28671	SIPO	GH	59398072
789481	2692	1996-09-11	VYDAJ	PREVOD NA UCET	3386	27410	SIPO	GH	59398072
789482	2692	1996-10-11	VYDAJ	PREVOD NA UCET	3386	26470	SIPO	GH	59398072
789483	2692	1996-11-11	VYDAJ	PREVOD NA UCET	3386	26568	SIPO	GH	59398072
789484	2692	1996-12-11	VYDAJ	PREVOD NA UCET	3386	28983	SIPO	GH	59398072
789485	2692	1997-01-11	VYDAJ	PREVOD NA UCET	3386	24499	SIPO	GH	59398072
789486	2692	1997-02-11	VYDAJ	PREVOD NA UCET	3386	25070	SIPO	GH	59398072
789487	2692	1997-03-11	VYDAJ	PREVOD NA UCET	3386	27479	SIPO	GH	59398072
789488	2692	1997-04-11	VYDAJ	PREVOD NA UCET	3386	29899	SIPO	GH	59398072
789489	2692	1997-05-11	VYDAJ	PREVOD NA UCET	3386	32329	SIPO	GH	59398072
789490	2692	1997-06-11	VYDAJ	PREVOD NA UCET	3386	33086	SIPO	GH	59398072
789491	2692	1997-07-11	VYDAJ	PREVOD NA UCET	3386	31170	SIPO	GH	59398072
789492	2692	1997-08-11	VYDAJ	PREVOD NA UCET	3386	33605	SIPO	GH	59398072
789493	2692	1997-09-11	VYDAJ	PREVOD NA UCET	3386	36050	SIPO	GH	59398072
789494	2692	1997-10-11	VYDAJ	PREVOD NA UCET	3386	38505	SIPO	GH	59398072
789495	2692	1997-11-11	VYDAJ	PREVOD NA UCET	3386	40971	SIPO	GH	59398072
789496	2692	1997-12-11	VYDAJ	PREVOD NA UCET	3386	42645	SIPO	GH	59398072
789497	2692	1998-01-11	VYDAJ	PREVOD NA UCET	3386	41066	SIPO	GH	59398072
789498	2692	1998-02-11	VYDAJ	PREVOD NA UCET	3386	31854	SIPO	GH	59398072
789499	2692	1998-03-11	VYDAJ	PREVOD NA UCET	3386	34297	SIPO	GH	59398072
789500	2692	1998-04-11	VYDAJ	PREVOD NA UCET	3386	36745	SIPO	GH	59398072
789501	2692	1998-05-11	VYDAJ	PREVOD NA UCET	3386	37922	SIPO	GH	59398072
789502	2692	1998-06-11	VYDAJ	PREVOD NA UCET	3386	40388	SIPO	GH	59398072
789503	2692	1998-07-11	VYDAJ	PREVOD NA UCET	3386	24794	SIPO	GH	59398072
789504	2692	1998-08-11	VYDAJ	PREVOD NA UCET	3386	27202	SIPO	GH	59398072
789505	2692	1998-09-11	VYDAJ	PREVOD NA UCET	3386	29620	SIPO	GH	59398072
789506	2692	1998-10-11	VYDAJ	PREVOD NA UCET	3386	32048	SIPO	GH	59398072
789507	2692	1998-11-11	VYDAJ	PREVOD NA UCET	3386	34486	SIPO	GH	59398072
789508	2692	1998-12-11	VYDAJ	PREVOD NA UCET	3386	36934	SIPO	GH	59398072
789510	2692	1996-06-05	VYDAJ	VYBER	3600	25258	\N	\N	\N
789511	2692	1997-06-16	VYDAJ	VYBER	4350	28736	\N	\N	\N
789512	2692	1998-06-16	VYDAJ	VYBER	14750	25638	\N	\N	\N
789514	2692	1996-12-30	VYDAJ	VYBER	350	28633	\N	\N	\N
789515	2692	1997-12-14	VYDAJ	VYBER	300	42345	\N	\N	\N
789516	2692	1998-12-28	VYDAJ	VYBER	1150	35784	\N	\N	\N
789529	2692	1997-01-09	VYDAJ	VYBER	1760	27885	\N	\N	\N
789530	2692	1997-01-02	VYDAJ	VYBER	480	28256	\N	\N	\N
789531	2692	1997-01-07	VYDAJ	VYBER	400	23936	\N	\N	\N
789532	2692	1997-01-06	VYDAJ	VYBER	1600	24336	\N	\N	\N
789533	2692	1997-01-04	VYDAJ	VYBER	800	27456	\N	\N	\N
789534	2692	1997-01-19	VYDAJ	VYBER	1840	22659	\N	\N	\N
789535	2692	1998-01-02	VYDAJ	VYBER	1600	40903	\N	\N	\N
789536	2692	1998-01-14	VYDAJ	VYBER	2240	36906	\N	\N	\N
789537	2692	1998-01-22	VYDAJ	VYBER	1040	35866	\N	\N	\N
789538	2692	1998-01-02	VYDAJ	VYBER	2160	38743	\N	\N	\N
789539	2692	1998-01-30	VYDAJ	VYBER	1200	32826	\N	\N	\N
789540	2692	1998-01-13	VYDAJ	VYBER	1920	39146	\N	\N	\N
789548	2692	1996-08-01	VYDAJ	VYBER	2640	26348	\N	\N	\N
789549	2692	1996-10-06	VYDAJ	VYBER	3360	24147	\N	\N	\N
789550	2692	1996-10-23	VYDAJ	VYBER	2320	24150	\N	\N	\N
789552	2692	1996-08-13	VYDAJ	VYBER	3680	24991	\N	\N	\N
789553	2692	1996-06-18	VYDAJ	VYBER	1120	26461	\N	\N	\N
789555	2692	1997-05-23	VYDAJ	VYBER	1680	30649	\N	\N	\N
789556	2692	1997-11-16	VYDAJ	VYBER	800	40171	\N	\N	\N
789557	2692	1997-01-05	VYDAJ	VYBER	1520	25936	\N	\N	\N
789558	2692	1998-06-19	VYDAJ	VYBER	3280	22358	\N	\N	\N
789559	2692	1998-01-30	VYDAJ	VYBER	1840	34026	\N	\N	\N
789560	2692	1998-02-08	VYDAJ	VYBER	3440	29531	\N	\N	\N
789561	2692	1998-05-03	VYDAJ	VYBER	1280	35599	\N	\N	\N
789578	2692	1996-04-30	VYDAJ	VYBER	15	26433	SLUZBY	\N	\N
789579	2692	1996-05-31	VYDAJ	VYBER	15	28858	SLUZBY	\N	\N
789580	2692	1996-06-30	VYDAJ	VYBER	15	26562	SLUZBY	\N	\N
789581	2692	1996-07-31	VYDAJ	VYBER	15	28988	SLUZBY	\N	\N
789582	2692	1996-08-31	VYDAJ	VYBER	15	25087	SLUZBY	\N	\N
789583	2692	1996-09-30	VYDAJ	VYBER	15	27507	SLUZBY	\N	\N
789584	2692	1996-10-31	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
789585	2692	1996-11-30	VYDAJ	VYBER	15	26660	SLUZBY	\N	\N
789586	2692	1996-12-31	VYDAJ	VYBER	15	28736	SLUZBY	\N	\N
789587	2692	1997-01-31	VYDAJ	VYBER	15	22747	SLUZBY	\N	\N
789588	2692	1997-02-28	VYDAJ	VYBER	15	25156	SLUZBY	\N	\N
789589	2692	1997-03-31	VYDAJ	VYBER	15	27576	SLUZBY	\N	\N
789590	2692	1997-04-30	VYDAJ	VYBER	15	30006	SLUZBY	\N	\N
789591	2692	1997-05-31	VYDAJ	VYBER	15	30763	SLUZBY	\N	\N
789592	2692	1997-06-30	VYDAJ	VYBER	15	28847	SLUZBY	\N	\N
789593	2692	1997-07-31	VYDAJ	VYBER	15	31282	SLUZBY	\N	\N
789594	2692	1997-08-31	VYDAJ	VYBER	15	33727	SLUZBY	\N	\N
789595	2692	1997-09-30	VYDAJ	VYBER	15	36182	SLUZBY	\N	\N
789596	2692	1997-10-31	VYDAJ	VYBER	15	38648	SLUZBY	\N	\N
789597	2692	1997-11-30	VYDAJ	VYBER	15	40322	SLUZBY	\N	\N
789598	2692	1997-12-31	VYDAJ	VYBER	15	42503	SLUZBY	\N	\N
789599	2692	1998-01-31	VYDAJ	VYBER	15	32971	SLUZBY	\N	\N
789600	2692	1998-02-28	VYDAJ	VYBER	15	31974	SLUZBY	\N	\N
789601	2692	1998-03-31	VYDAJ	VYBER	15	34422	SLUZBY	\N	\N
789602	2692	1998-04-30	VYDAJ	VYBER	15	36879	SLUZBY	\N	\N
789603	2692	1998-05-31	VYDAJ	VYBER	15	38065	SLUZBY	\N	\N
789604	2692	1998-06-30	VYDAJ	VYBER	15	22471	SLUZBY	\N	\N
789605	2692	1998-07-31	VYDAJ	VYBER	15	24879	SLUZBY	\N	\N
789606	2692	1998-08-31	VYDAJ	VYBER	15	27297	SLUZBY	\N	\N
789607	2692	1998-09-30	VYDAJ	VYBER	15	29725	SLUZBY	\N	\N
789608	2692	1998-10-31	VYDAJ	VYBER	15	32163	SLUZBY	\N	\N
789609	2692	1998-11-30	VYDAJ	VYBER	15	34611	SLUZBY	\N	\N
789647	2693	1997-11-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
789659	2693	1997-12-13	PRIJEM	VKLAD	23403	24503	\N	\N	\N
789660	2693	1998-01-13	PRIJEM	VKLAD	15602	42158	\N	\N	\N
789661	2693	1998-02-13	PRIJEM	VKLAD	15602	53194	\N	\N	\N
789662	2693	1998-03-13	PRIJEM	VKLAD	15602	61269	\N	\N	\N
789663	2693	1998-04-13	PRIJEM	VKLAD	15602	61862	\N	\N	\N
789664	2693	1998-05-13	PRIJEM	VKLAD	15602	57392	\N	\N	\N
789665	2693	1998-06-13	PRIJEM	VKLAD	23403	44132	\N	\N	\N
789666	2693	1998-07-13	PRIJEM	VKLAD	15602	53345	\N	\N	\N
789667	2693	1998-08-13	PRIJEM	VKLAD	15602	55469	\N	\N	\N
789668	2693	1998-09-13	PRIJEM	VKLAD	15602	54400	\N	\N	\N
789669	2693	1998-10-13	PRIJEM	VKLAD	15602	57447	\N	\N	\N
789670	2693	1998-11-13	PRIJEM	VKLAD	15602	54081	\N	\N	\N
789671	2693	1998-12-13	PRIJEM	VKLAD	23403	58051	\N	\N	\N
789688	2693	1998-05-05	VYDAJ	PREVOD NA UCET	5852	41790	SIPO	IJ	79708873
789689	2693	1998-06-05	VYDAJ	PREVOD NA UCET	5852	42329	SIPO	IJ	79708873
789690	2693	1998-07-05	VYDAJ	PREVOD NA UCET	5852	37743	SIPO	IJ	79708873
789691	2693	1998-08-05	VYDAJ	PREVOD NA UCET	5852	39867	SIPO	IJ	79708873
789692	2693	1998-09-05	VYDAJ	PREVOD NA UCET	5852	41798	SIPO	IJ	79708873
789693	2693	1998-10-05	VYDAJ	PREVOD NA UCET	5852	41845	SIPO	IJ	79708873
789694	2693	1998-11-05	VYDAJ	PREVOD NA UCET	5852	42279	SIPO	IJ	79708873
789695	2693	1998-12-05	VYDAJ	PREVOD NA UCET	5852	48428	SIPO	IJ	79708873
789697	2693	1998-06-10	VYDAJ	VYBER	21600	20729	\N	\N	\N
789699	2693	1998-12-07	VYDAJ	VYBER	4480	43948	\N	\N	\N
789716	2693	1998-09-11	VYDAJ	VYBER KARTOU	3000	38798	\N	\N	0
789717	2693	1998-09-29	VYDAJ	VYBER KARTOU	800	47500	\N	\N	0
789735	2693	1998-04-30	VYDAJ	VYBER	15	47642	SLUZBY	\N	\N
789736	2693	1998-05-31	VYDAJ	VYBER	15	48181	SLUZBY	\N	\N
789737	2693	1998-06-30	VYDAJ	VYBER	15	43595	SLUZBY	\N	\N
789738	2693	1998-07-31	VYDAJ	VYBER	15	45719	SLUZBY	\N	\N
789739	2693	1998-08-31	VYDAJ	VYBER	15	47650	SLUZBY	\N	\N
789740	2693	1998-09-30	VYDAJ	VYBER	15	47697	SLUZBY	\N	\N
789741	2693	1998-10-31	VYDAJ	VYBER	15	48131	SLUZBY	\N	\N
789742	2693	1998-11-30	VYDAJ	VYBER	15	54280	SLUZBY	\N	\N
789743	2693	1997-12-17	PRIJEM	VKLAD	2000	26503	\N	\N	\N
789744	2693	1998-01-16	VYDAJ	VYBER	4700	37458	\N	\N	\N
789745	2693	1998-02-15	VYDAJ	VYBER	7700	45494	\N	\N	\N
789746	2693	1998-03-17	VYDAJ	VYBER	15200	46069	\N	\N	\N
789747	2693	1998-04-16	VYDAJ	VYBER	14400	47462	\N	\N	\N
789748	2693	1998-05-16	VYDAJ	VYBER	9400	47992	\N	\N	\N
789749	2693	1998-06-15	VYDAJ	VYBER	700	43432	\N	\N	\N
789750	2693	1998-07-15	VYDAJ	VYBER	7800	45545	\N	\N	\N
789751	2693	1998-08-14	VYDAJ	VYBER	8000	47469	\N	\N	\N
789752	2693	1998-09-13	VYDAJ	VYBER	6100	48300	\N	\N	\N
789753	2693	1998-10-13	VYDAJ	VYBER	9500	47947	\N	\N	\N
789754	2693	1998-11-12	VYDAJ	VYBER KARTOU	3800	38479	\N	\N	0
789755	2693	1998-12-12	VYDAJ	VYBER	9300	34648	\N	\N	\N
789769	2694	1993-03-08	PRIJEM	VKLAD	700	700	\N	\N	\N
789772	2694	1993-03-10	PRIJEM	VKLAD	17585	18285	\N	\N	\N
789773	2694	1993-04-10	PRIJEM	VKLAD	17585	41424	\N	\N	\N
789774	2694	1993-05-10	PRIJEM	VKLAD	17585	49753	\N	\N	\N
789775	2694	1993-06-10	PRIJEM	VKLAD	26378	64328	\N	\N	\N
789776	2694	1993-07-10	PRIJEM	VKLAD	17585	56063	\N	\N	\N
789777	2694	1993-08-10	PRIJEM	VKLAD	17585	50521	\N	\N	\N
789778	2694	1993-09-10	PRIJEM	VKLAD	17585	51955	\N	\N	\N
789779	2694	1993-10-10	PRIJEM	VKLAD	17585	49169	\N	\N	\N
789780	2694	1993-11-10	PRIJEM	VKLAD	17585	49568	\N	\N	\N
789781	2694	1993-12-10	PRIJEM	VKLAD	26378	59128	\N	\N	\N
789782	2694	1994-01-10	PRIJEM	VKLAD	17585	44101	\N	\N	\N
789783	2694	1994-02-10	PRIJEM	VKLAD	17585	50542	\N	\N	\N
789784	2694	1994-03-10	PRIJEM	VKLAD	17585	50647	\N	\N	\N
789785	2694	1994-04-10	PRIJEM	VKLAD	17585	50816	\N	\N	\N
789786	2694	1994-05-10	PRIJEM	VKLAD	17585	48700	\N	\N	\N
789787	2694	1994-06-10	PRIJEM	VKLAD	26378	60950	\N	\N	\N
789788	2694	1994-07-10	PRIJEM	VKLAD	17585	57920	\N	\N	\N
789789	2694	1994-08-10	PRIJEM	VKLAD	17585	56518	\N	\N	\N
789790	2694	1994-09-10	PRIJEM	VKLAD	17585	56910	\N	\N	\N
789791	2694	1994-10-10	PRIJEM	VKLAD	17585	54562	\N	\N	\N
789792	2694	1994-11-10	PRIJEM	VKLAD	17585	52089	\N	\N	\N
789793	2694	1994-12-10	PRIJEM	VKLAD	26378	61343	\N	\N	\N
789794	2694	1995-01-10	PRIJEM	VKLAD	17585	52361	\N	\N	\N
789795	2694	1995-02-10	PRIJEM	VKLAD	17585	43437	\N	\N	\N
789796	2694	1995-03-10	PRIJEM	VKLAD	17585	51675	\N	\N	\N
789797	2694	1995-04-10	PRIJEM	VKLAD	17585	42662	\N	\N	\N
789798	2694	1995-05-10	PRIJEM	VKLAD	17585	42739	\N	\N	\N
789799	2694	1995-06-10	PRIJEM	VKLAD	26378	56973	\N	\N	\N
789800	2694	1995-07-10	PRIJEM	VKLAD	17585	44774	\N	\N	\N
789801	2694	1995-08-10	PRIJEM	VKLAD	17585	40890	\N	\N	\N
789802	2694	1995-09-10	PRIJEM	VKLAD	17585	47453	\N	\N	\N
789803	2694	1995-10-10	PRIJEM	VKLAD	17585	40825	\N	\N	\N
789804	2694	1995-11-10	PRIJEM	VKLAD	17585	44895	\N	\N	\N
789805	2694	1995-12-10	PRIJEM	VKLAD	26378	60155	\N	\N	\N
789806	2694	1996-01-10	PRIJEM	VKLAD	17585	54796	\N	\N	\N
789807	2694	1996-02-10	PRIJEM	VKLAD	17585	44940	\N	\N	\N
789808	2694	1996-03-10	PRIJEM	VKLAD	17585	51126	\N	\N	\N
789809	2694	1996-04-10	PRIJEM	VKLAD	17585	59139	\N	\N	\N
789810	2694	1996-05-10	PRIJEM	VKLAD	17585	63475	\N	\N	\N
789811	2694	1996-06-10	PRIJEM	VKLAD	26378	71409	\N	\N	\N
789812	2694	1996-07-10	PRIJEM	VKLAD	17585	52293	\N	\N	\N
789813	2694	1996-08-10	PRIJEM	VKLAD	17585	56785	\N	\N	\N
789814	2694	1996-09-10	PRIJEM	VKLAD	17585	52376	\N	\N	\N
789815	2694	1996-10-10	PRIJEM	VKLAD	17585	63002	\N	\N	\N
789816	2694	1996-11-10	PRIJEM	VKLAD	17585	63032	\N	\N	\N
789817	2694	1996-12-10	PRIJEM	VKLAD	26378	62332	\N	\N	\N
789818	2694	1997-01-10	PRIJEM	VKLAD	17585	57663	\N	\N	\N
789819	2694	1997-02-10	PRIJEM	VKLAD	17585	54496	\N	\N	\N
789820	2694	1997-03-10	PRIJEM	VKLAD	17585	58119	\N	\N	\N
789821	2694	1997-04-10	PRIJEM	VKLAD	17585	64063	\N	\N	\N
789822	2694	1997-05-10	PRIJEM	VKLAD	17585	73822	\N	\N	\N
789823	2694	1997-06-10	PRIJEM	VKLAD	26378	86598	\N	\N	\N
789824	2694	1997-07-10	PRIJEM	VKLAD	17585	63498	\N	\N	\N
789825	2694	1997-08-10	PRIJEM	VKLAD	17585	68425	\N	\N	\N
789826	2694	1997-09-10	PRIJEM	VKLAD	17585	73603	\N	\N	\N
789827	2694	1997-10-10	PRIJEM	VKLAD	17585	70792	\N	\N	\N
789828	2694	1997-11-10	PRIJEM	VKLAD	17585	70080	\N	\N	\N
789829	2694	1997-12-10	PRIJEM	VKLAD	26378	81556	\N	\N	\N
789830	2694	1998-01-10	PRIJEM	VKLAD	17585	80724	\N	\N	\N
789831	2694	1998-02-10	PRIJEM	VKLAD	17585	51654	\N	\N	\N
789832	2694	1998-03-10	PRIJEM	VKLAD	17585	65873	\N	\N	\N
789833	2694	1998-04-10	PRIJEM	VKLAD	17585	79607	\N	\N	\N
789834	2694	1998-05-10	PRIJEM	VKLAD	17585	73319	\N	\N	\N
789835	2694	1998-06-10	PRIJEM	VKLAD	26378	44668	\N	\N	\N
789836	2694	1998-07-10	PRIJEM	VKLAD	17585	65710	\N	\N	\N
789837	2694	1998-08-10	PRIJEM	VKLAD	17585	72549	\N	\N	\N
789838	2694	1998-09-10	PRIJEM	VKLAD	17585	77235	\N	\N	\N
789839	2694	1998-10-10	PRIJEM	VKLAD	17585	76652	\N	\N	\N
789840	2694	1998-11-10	PRIJEM	VKLAD	17585	79168	\N	\N	\N
789841	2694	1998-12-10	PRIJEM	VKLAD	26378	98393	\N	\N	\N
789848	2694	1993-07-11	VYDAJ	PREVOD NA UCET	3532	52531	SIPO	ST	95437645
789849	2694	1993-08-11	VYDAJ	PREVOD NA UCET	3532	46989	SIPO	ST	95437645
789850	2694	1993-09-11	VYDAJ	PREVOD NA UCET	3532	48423	SIPO	ST	95437645
789851	2694	1993-10-11	VYDAJ	PREVOD NA UCET	3532	45637	SIPO	ST	95437645
789852	2694	1993-11-11	VYDAJ	PREVOD NA UCET	3532	46036	SIPO	ST	95437645
789853	2694	1993-12-11	VYDAJ	PREVOD NA UCET	3532	55596	SIPO	ST	95437645
789854	2694	1994-01-11	VYDAJ	PREVOD NA UCET	3532	40569	SIPO	ST	95437645
789855	2694	1994-02-11	VYDAJ	PREVOD NA UCET	3532	47010	SIPO	ST	95437645
789856	2694	1994-03-11	VYDAJ	PREVOD NA UCET	3532	47115	SIPO	ST	95437645
789857	2694	1994-04-11	VYDAJ	PREVOD NA UCET	3532	47284	SIPO	ST	95437645
789858	2694	1994-05-11	VYDAJ	PREVOD NA UCET	3532	45168	SIPO	ST	95437645
789859	2694	1994-06-11	VYDAJ	PREVOD NA UCET	3532	57418	SIPO	ST	95437645
789860	2694	1994-07-11	VYDAJ	PREVOD NA UCET	3532	54388	SIPO	ST	95437645
789861	2694	1994-08-11	VYDAJ	PREVOD NA UCET	3532	52986	SIPO	ST	95437645
789862	2694	1994-09-11	VYDAJ	PREVOD NA UCET	3532	53378	SIPO	ST	95437645
789863	2694	1994-10-11	VYDAJ	PREVOD NA UCET	3532	51030	SIPO	ST	95437645
789864	2694	1994-11-11	VYDAJ	PREVOD NA UCET	3532	48557	SIPO	ST	95437645
789865	2694	1994-12-11	VYDAJ	PREVOD NA UCET	3532	57811	SIPO	ST	95437645
789866	2694	1995-01-11	VYDAJ	PREVOD NA UCET	3532	48829	SIPO	ST	95437645
789867	2694	1995-02-11	VYDAJ	PREVOD NA UCET	3532	39905	SIPO	ST	95437645
789868	2694	1995-03-11	VYDAJ	PREVOD NA UCET	3532	48143	SIPO	ST	95437645
789869	2694	1995-04-11	VYDAJ	PREVOD NA UCET	3532	39130	SIPO	ST	95437645
789870	2694	1995-05-11	VYDAJ	PREVOD NA UCET	3532	39207	SIPO	ST	95437645
789871	2694	1995-06-11	VYDAJ	PREVOD NA UCET	3532	46641	SIPO	ST	95437645
789872	2694	1995-07-11	VYDAJ	PREVOD NA UCET	3532	41242	SIPO	ST	95437645
789873	2694	1995-08-11	VYDAJ	PREVOD NA UCET	3532	37358	SIPO	ST	95437645
789874	2694	1995-09-11	VYDAJ	PREVOD NA UCET	3532	43921	SIPO	ST	95437645
789875	2694	1995-10-11	VYDAJ	PREVOD NA UCET	3532	37293	SIPO	ST	95437645
789876	2694	1995-11-11	VYDAJ	PREVOD NA UCET	3532	41363	SIPO	ST	95437645
789877	2694	1995-12-11	VYDAJ	PREVOD NA UCET	3532	56623	SIPO	ST	95437645
789878	2694	1996-01-11	VYDAJ	PREVOD NA UCET	3532	37024	SIPO	ST	95437645
789879	2694	1996-02-11	VYDAJ	PREVOD NA UCET	3532	41408	SIPO	ST	95437645
789880	2694	1996-03-11	VYDAJ	PREVOD NA UCET	3532	47594	SIPO	ST	95437645
789881	2694	1996-04-11	VYDAJ	PREVOD NA UCET	3532	55607	SIPO	ST	95437645
789882	2694	1996-05-11	VYDAJ	PREVOD NA UCET	3532	59943	SIPO	ST	95437645
789883	2694	1996-06-11	VYDAJ	PREVOD NA UCET	3532	67877	SIPO	ST	95437645
789884	2694	1996-07-11	VYDAJ	PREVOD NA UCET	3532	38361	SIPO	ST	95437645
789885	2694	1996-08-11	VYDAJ	PREVOD NA UCET	3532	46453	SIPO	ST	95437645
789886	2694	1996-09-11	VYDAJ	PREVOD NA UCET	3532	48844	SIPO	ST	95437645
789887	2694	1996-10-11	VYDAJ	PREVOD NA UCET	3532	50470	SIPO	ST	95437645
789888	2694	1996-11-11	VYDAJ	PREVOD NA UCET	3532	59500	SIPO	ST	95437645
789889	2694	1996-12-11	VYDAJ	PREVOD NA UCET	3532	58800	SIPO	ST	95437645
789890	2694	1997-01-11	VYDAJ	PREVOD NA UCET	3532	52691	SIPO	ST	95437645
789891	2694	1997-02-11	VYDAJ	PREVOD NA UCET	3532	50964	SIPO	ST	95437645
789892	2694	1997-03-11	VYDAJ	PREVOD NA UCET	3532	54587	SIPO	ST	95437645
789893	2694	1997-04-11	VYDAJ	PREVOD NA UCET	3532	60531	SIPO	ST	95437645
789894	2694	1997-05-11	VYDAJ	PREVOD NA UCET	3532	70290	SIPO	ST	95437645
789895	2694	1997-06-11	VYDAJ	PREVOD NA UCET	3532	83066	SIPO	ST	95437645
789896	2694	1997-07-11	VYDAJ	PREVOD NA UCET	3532	59966	SIPO	ST	95437645
789897	2694	1997-08-11	VYDAJ	PREVOD NA UCET	3532	64893	SIPO	ST	95437645
789898	2694	1997-09-11	VYDAJ	PREVOD NA UCET	3532	70071	SIPO	ST	95437645
789899	2694	1997-10-11	VYDAJ	PREVOD NA UCET	3532	67260	SIPO	ST	95437645
789900	2694	1997-11-11	VYDAJ	PREVOD NA UCET	3532	66548	SIPO	ST	95437645
789901	2694	1997-12-11	VYDAJ	PREVOD NA UCET	3532	78024	SIPO	ST	95437645
789902	2694	1998-01-11	VYDAJ	PREVOD NA UCET	3532	74192	SIPO	ST	95437645
789903	2694	1998-02-11	VYDAJ	PREVOD NA UCET	3532	48122	SIPO	ST	95437645
789904	2694	1998-03-11	VYDAJ	PREVOD NA UCET	3532	62341	SIPO	ST	95437645
789905	2694	1998-04-11	VYDAJ	PREVOD NA UCET	3532	76075	SIPO	ST	95437645
789906	2694	1998-05-11	VYDAJ	PREVOD NA UCET	3532	69787	SIPO	ST	95437645
789907	2694	1998-06-11	VYDAJ	PREVOD NA UCET	3532	49036	SIPO	ST	95437645
789908	2694	1998-07-11	VYDAJ	PREVOD NA UCET	3532	57878	SIPO	ST	95437645
789909	2694	1998-08-11	VYDAJ	PREVOD NA UCET	3532	69017	SIPO	ST	95437645
789910	2694	1998-09-11	VYDAJ	PREVOD NA UCET	3532	73703	SIPO	ST	95437645
789911	2694	1998-10-11	VYDAJ	PREVOD NA UCET	3532	73120	SIPO	ST	95437645
789912	2694	1998-11-11	VYDAJ	PREVOD NA UCET	3532	75636	SIPO	ST	95437645
789913	2694	1998-12-11	VYDAJ	PREVOD NA UCET	3532	94861	SIPO	ST	95437645
789920	2694	1993-07-03	VYDAJ	VYBER	7800	56778	\N	\N	0
789921	2694	1993-08-07	VYDAJ	VYBER	6600	32936	\N	\N	0
789922	2694	1993-09-12	VYDAJ	VYBER	9300	39123	\N	\N	0
789923	2694	1993-10-13	VYDAJ	VYBER	8800	36837	\N	\N	0
789924	2694	1993-11-19	VYDAJ	VYBER	4600	41436	\N	\N	0
789925	2694	1993-12-16	VYDAJ	VYBER	5600	49996	\N	\N	0
789926	2694	1994-01-05	VYDAJ	VYBER	5900	29876	\N	\N	0
789927	2694	1994-02-20	VYDAJ	VYBER	8000	39010	\N	\N	0
789928	2694	1994-03-12	VYDAJ	PREVOD NA UCET	7636	39479	UVER	GH	45261365
789929	2694	1994-04-12	VYDAJ	PREVOD NA UCET	7636	39648	UVER	GH	45261365
789930	2694	1994-05-12	VYDAJ	PREVOD NA UCET	7636	37532	UVER	GH	45261365
789931	2694	1994-06-12	VYDAJ	PREVOD NA UCET	7636	49782	UVER	GH	45261365
789932	2694	1994-07-12	VYDAJ	PREVOD NA UCET	7636	46752	UVER	GH	45261365
789933	2694	1994-08-12	VYDAJ	PREVOD NA UCET	7636	45350	UVER	GH	45261365
789934	2694	1994-09-12	VYDAJ	PREVOD NA UCET	7636	45742	UVER	GH	45261365
789935	2694	1994-10-12	VYDAJ	PREVOD NA UCET	7636	43394	UVER	GH	45261365
789936	2694	1994-11-12	VYDAJ	PREVOD NA UCET	7636	40921	UVER	GH	45261365
789937	2694	1994-12-12	VYDAJ	PREVOD NA UCET	7636	46975	UVER	GH	45261365
789938	2694	1995-01-12	VYDAJ	PREVOD NA UCET	7636	41193	UVER	GH	45261365
789939	2694	1995-02-12	VYDAJ	PREVOD NA UCET	7636	32269	UVER	GH	45261365
789940	2694	1995-03-16	VYDAJ	VYBER	9700	38443	\N	\N	0
789941	2694	1995-03-26	VYDAJ	VYBER	9500	28943	\N	\N	0
789942	2694	1995-05-08	VYDAJ	VYBER	8600	25154	\N	\N	0
789943	2694	1995-06-11	VYDAJ	VYBER	6800	50173	\N	\N	0
789944	2694	1995-07-25	VYDAJ	VYBER	10200	31042	\N	\N	0
789945	2694	1995-08-16	VYDAJ	VYBER	7600	29758	\N	\N	0
789946	2694	1995-09-11	VYDAJ	VYBER	7400	36521	\N	\N	0
789947	2694	1995-09-29	VYDAJ	VYBER	7800	23121	\N	\N	0
789948	2694	1995-11-02	VYDAJ	VYBER	8300	27310	\N	\N	0
789949	2694	1995-12-21	VYDAJ	VYBER	6800	49823	\N	\N	0
789950	2694	1996-01-21	VYDAJ	VYBER	6400	25824	\N	\N	0
789951	2694	1996-02-20	VYDAJ	VYBER	9900	31508	\N	\N	0
789952	2694	1996-03-28	VYDAJ	VYBER	7000	41394	\N	\N	0
789953	2694	1996-04-24	VYDAJ	VYBER	6000	45707	\N	\N	0
789954	2694	1996-05-18	VYDAJ	VYBER	8800	51143	\N	\N	0
789955	2694	1996-06-12	VYDAJ	VYBER	7000	60877	\N	\N	0
789956	2694	1996-07-10	VYDAJ	VYBER	10400	41893	\N	\N	0
789957	2694	1996-08-10	VYDAJ	VYBER	6800	49985	\N	\N	0
789958	2694	1996-09-01	VYDAJ	VYBER	7900	34791	\N	\N	0
789959	2694	1996-10-10	VYDAJ	VYBER	9000	54002	\N	\N	0
789960	2694	1996-11-22	VYDAJ	VYBER	6200	35760	\N	\N	0
789961	2694	1996-11-22	VYDAJ	VYBER	8700	41960	\N	\N	0
789962	2694	1997-01-03	VYDAJ	VYBER	7900	40078	\N	\N	0
789963	2694	1997-02-13	VYDAJ	VYBER	5800	45164	\N	\N	0
789964	2694	1997-02-28	VYDAJ	VYBER	7800	40534	\N	\N	0
789965	2694	1997-03-27	VYDAJ	VYBER	5000	46287	\N	\N	0
789966	2694	1997-05-12	VYDAJ	VYBER	7300	62990	\N	\N	0
789967	2694	1997-06-19	VYDAJ	VYBER	9400	60766	\N	\N	0
789968	2694	1997-07-09	VYDAJ	VYBER	5100	45913	\N	\N	0
789969	2694	1997-08-19	VYDAJ	VYBER	8300	55793	\N	\N	0
789970	2694	1997-09-14	VYDAJ	VYBER	8400	62571	\N	\N	0
789971	2694	1997-10-07	VYDAJ	VYBER	9600	53207	\N	\N	0
789972	2694	1997-10-31	VYDAJ	VYBER	7100	52510	\N	\N	0
789973	2694	1997-12-07	VYDAJ	VYBER	8200	55178	\N	\N	0
789974	2694	1998-01-26	VYDAJ	VYBER	10400	45872	\N	\N	0
789975	2694	1998-01-26	VYDAJ	VYBER	6100	39772	\N	\N	0
789976	2694	1998-03-27	VYDAJ	VYBER	6400	64541	\N	\N	0
789977	2694	1998-04-17	VYDAJ	VYBER	9800	63375	\N	\N	0
789978	2694	1998-05-06	VYDAJ	VYBER	7900	55734	\N	\N	0
789979	2694	1998-06-05	VYDAJ	VYBER	6900	18290	\N	\N	0
789980	2694	1998-07-11	VYDAJ	VYBER	9000	48878	\N	\N	0
789981	2694	1998-08-17	VYDAJ	VYBER	4800	64217	\N	\N	0
789982	2694	1998-09-24	VYDAJ	VYBER	6600	67103	\N	\N	0
789983	2694	1998-09-26	VYDAJ	VYBER	7500	59603	\N	\N	0
789984	2694	1998-10-30	VYDAJ	VYBER	7800	62920	\N	\N	0
789985	2694	1998-12-27	VYDAJ	VYBER	8800	81901	\N	\N	0
789988	2694	1995-06-15	VYDAJ	VYBER	21760	24881	\N	\N	\N
789989	2694	1996-06-15	VYDAJ	VYBER	34720	26157	\N	\N	\N
789990	2694	1997-06-26	VYDAJ	VYBER	6880	53886	\N	\N	\N
789991	2694	1998-06-03	VYDAJ	VYBER	36160	25190	\N	\N	\N
789994	2694	1995-01-25	VYDAJ	VYBER	3520	27353	\N	\N	\N
789995	2694	1996-01-10	VYDAJ	VYBER	14240	40556	\N	\N	\N
789996	2694	1997-01-17	VYDAJ	VYBER	7040	41431	\N	\N	\N
789997	2694	1998-01-25	VYDAJ	VYBER	9920	56272	\N	\N	\N
789998	2694	1993-12-26	VYDAJ	VYBER	1120	48876	\N	\N	\N
789999	2694	1994-12-12	VYDAJ	VYBER	3200	54611	\N	\N	\N
790000	2694	1995-12-26	VYDAJ	VYBER	1760	40763	\N	\N	\N
790001	2694	1996-12-24	VYDAJ	VYBER	2400	48400	\N	\N	\N
790002	2694	1997-12-15	VYDAJ	VYBER	4320	64804	\N	\N	\N
790003	2694	1998-12-17	VYDAJ	VYBER	4160	90701	\N	\N	\N
790010	2694	1994-01-18	VYDAJ	VYBER	1800	32529	\N	\N	\N
790011	2694	1994-01-11	VYDAJ	VYBER	600	39969	\N	\N	\N
790012	2694	1994-01-14	VYDAJ	VYBER	840	35889	\N	\N	\N
790013	2694	1994-01-06	VYDAJ	VYBER	3360	26516	\N	\N	\N
790014	2694	1994-01-12	VYDAJ	VYBER	3240	36729	\N	\N	\N
790015	2694	1994-01-17	VYDAJ	VYBER	1560	34329	\N	\N	\N
790016	2694	1995-01-21	VYDAJ	VYBER	1080	34833	\N	\N	\N
790017	2694	1995-01-24	VYDAJ	VYBER	1800	30873	\N	\N	\N
790018	2694	1995-01-22	VYDAJ	VYBER	2160	32673	\N	\N	\N
790019	2694	1995-01-27	VYDAJ	VYBER	720	31233	\N	\N	\N
790020	2694	1995-01-18	VYDAJ	VYBER	1800	35913	\N	\N	\N
790021	2694	1995-01-15	VYDAJ	VYBER	3480	37713	\N	\N	\N
790022	2694	1996-01-02	VYDAJ	VYBER	2640	38291	\N	\N	\N
790023	2694	1996-01-19	VYDAJ	VYBER	1080	32224	\N	\N	\N
790024	2694	1996-01-17	VYDAJ	VYBER	2280	33304	\N	\N	\N
790025	2694	1996-01-07	VYDAJ	VYBER	1080	37211	\N	\N	\N
790026	2694	1996-01-22	VYDAJ	VYBER	720	32504	\N	\N	\N
790027	2694	1996-01-14	VYDAJ	VYBER	1440	35584	\N	\N	\N
790028	2694	1997-01-29	VYDAJ	VYBER	720	37831	\N	\N	\N
790029	2694	1997-01-18	VYDAJ	VYBER	1440	39991	\N	\N	\N
790030	2694	1997-01-10	VYDAJ	VYBER	1440	56223	\N	\N	\N
790031	2694	1997-01-01	VYDAJ	VYBER	600	47978	\N	\N	\N
790032	2694	1997-01-23	VYDAJ	VYBER	1440	38551	\N	\N	\N
790033	2694	1997-01-14	VYDAJ	VYBER	3120	49571	\N	\N	\N
790034	2694	1998-01-10	VYDAJ	VYBER	1800	78924	\N	\N	\N
790035	2694	1998-01-15	VYDAJ	VYBER	2160	67632	\N	\N	\N
790036	2694	1998-01-01	VYDAJ	VYBER	1920	63139	\N	\N	\N
790037	2694	1998-01-11	VYDAJ	VYBER	1200	77724	\N	\N	\N
790038	2694	1998-01-16	VYDAJ	VYBER	1440	66192	\N	\N	\N
790039	2694	1998-01-28	VYDAJ	VYBER	3360	36412	\N	\N	\N
790040	2694	1993-12-27	VYDAJ	VYBER	5880	42996	\N	\N	\N
790041	2694	1993-11-20	VYDAJ	VYBER	3240	38196	\N	\N	\N
790046	2694	1994-09-15	VYDAJ	VYBER	4920	40822	\N	\N	\N
790047	2694	1994-04-24	VYDAJ	VYBER	5280	34368	\N	\N	\N
790048	2694	1994-10-24	VYDAJ	VYBER	5640	37754	\N	\N	\N
790049	2694	1994-06-19	VYDAJ	VYBER	4320	45462	\N	\N	\N
790050	2694	1995-11-14	VYDAJ	VYBER	4920	36443	\N	\N	\N
790051	2694	1995-08-07	VYDAJ	VYBER	3360	23305	\N	\N	\N
790052	2694	1995-05-16	VYDAJ	VYBER	5040	34167	\N	\N	\N
790053	2694	1995-02-08	VYDAJ	VYBER	5520	25852	\N	\N	\N
790054	2694	1995-01-08	VYDAJ	VYBER	5760	34776	\N	\N	\N
790055	2694	1996-08-15	VYDAJ	VYBER	4320	42133	\N	\N	\N
790056	2694	1996-02-08	VYDAJ	VYBER	5280	27355	\N	\N	\N
790057	2694	1996-11-22	VYDAJ	VYBER	5040	50660	\N	\N	\N
790058	2694	1997-08-09	VYDAJ	VYBER	5040	50840	\N	\N	\N
790059	2694	1997-07-01	VYDAJ	VYBER	3120	51013	\N	\N	\N
790060	2694	1997-02-04	VYDAJ	VYBER	1080	36911	\N	\N	\N
790061	2694	1998-02-03	VYDAJ	VYBER	5880	30769	\N	\N	\N
790062	2694	1998-04-06	VYDAJ	VYBER	2760	62022	\N	\N	\N
790063	2694	1998-07-03	VYDAJ	VYBER	1080	48125	\N	\N	\N
790064	2694	1998-08-20	VYDAJ	VYBER	600	63617	\N	\N	\N
790065	2694	1998-10-19	VYDAJ	VYBER	2400	70720	\N	\N	\N
790073	2694	1993-07-31	VYDAJ	VYBER	15	52736	SLUZBY	\N	\N
790074	2694	1993-08-31	VYDAJ	VYBER	15	47170	SLUZBY	\N	\N
790075	2694	1993-09-30	VYDAJ	VYBER	15	39284	SLUZBY	\N	\N
790076	2694	1993-10-31	VYDAJ	VYBER	15	36983	SLUZBY	\N	\N
790077	2694	1993-11-30	VYDAJ	VYBER	15	38350	SLUZBY	\N	\N
790078	2694	1993-12-31	VYDAJ	VYBER	15	43176	SLUZBY	\N	\N
790079	2694	1994-01-31	VYDAJ	VYBER	15	32657	SLUZBY	\N	\N
790080	2694	1994-02-28	VYDAJ	VYBER	15	39162	SLUZBY	\N	\N
790081	2694	1994-03-31	VYDAJ	VYBER	15	39631	SLUZBY	\N	\N
790082	2694	1994-04-30	VYDAJ	VYBER	15	34515	SLUZBY	\N	\N
790083	2694	1994-05-31	VYDAJ	VYBER	15	37672	SLUZBY	\N	\N
790084	2694	1994-06-30	VYDAJ	VYBER	15	45635	SLUZBY	\N	\N
790085	2694	1994-07-31	VYDAJ	VYBER	15	46933	SLUZBY	\N	\N
790086	2694	1994-08-31	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
790087	2694	1994-09-30	VYDAJ	VYBER	15	36977	SLUZBY	\N	\N
790088	2694	1994-10-31	VYDAJ	VYBER	15	34504	SLUZBY	\N	\N
790089	2694	1994-11-30	VYDAJ	VYBER	15	34965	SLUZBY	\N	\N
790090	2694	1994-12-31	VYDAJ	VYBER	15	40536	SLUZBY	\N	\N
790091	2694	1995-01-31	VYDAJ	VYBER	15	31372	SLUZBY	\N	\N
790092	2694	1995-02-28	VYDAJ	VYBER	15	34090	SLUZBY	\N	\N
790093	2694	1995-03-31	VYDAJ	VYBER	15	25077	SLUZBY	\N	\N
790094	2694	1995-04-30	VYDAJ	VYBER	15	33754	SLUZBY	\N	\N
790095	2694	1995-05-31	VYDAJ	VYBER	15	30595	SLUZBY	\N	\N
790096	2694	1995-06-30	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
790097	2694	1995-07-31	VYDAJ	VYBER	15	26665	SLUZBY	\N	\N
790098	2694	1995-08-31	VYDAJ	VYBER	15	29868	SLUZBY	\N	\N
790099	2694	1995-09-30	VYDAJ	VYBER	15	23240	SLUZBY	\N	\N
790100	2694	1995-10-31	VYDAJ	VYBER	15	35610	SLUZBY	\N	\N
790101	2694	1995-11-30	VYDAJ	VYBER	15	33777	SLUZBY	\N	\N
790102	2694	1995-12-31	VYDAJ	VYBER	15	40931	SLUZBY	\N	\N
790103	2694	1996-01-31	VYDAJ	VYBER	15	32635	SLUZBY	\N	\N
790104	2694	1996-02-29	VYDAJ	VYBER	15	33541	SLUZBY	\N	\N
790105	2694	1996-03-31	VYDAJ	VYBER	15	41554	SLUZBY	\N	\N
790106	2694	1996-04-30	VYDAJ	VYBER	15	45890	SLUZBY	\N	\N
790107	2694	1996-05-31	VYDAJ	VYBER	15	45031	SLUZBY	\N	\N
790108	2694	1996-06-30	VYDAJ	VYBER	15	34708	SLUZBY	\N	\N
790109	2694	1996-07-31	VYDAJ	VYBER	15	39200	SLUZBY	\N	\N
790110	2694	1996-08-31	VYDAJ	VYBER	15	42691	SLUZBY	\N	\N
790111	2694	1996-09-30	VYDAJ	VYBER	15	45417	SLUZBY	\N	\N
790112	2694	1996-10-31	VYDAJ	VYBER	15	45447	SLUZBY	\N	\N
790113	2694	1996-11-30	VYDAJ	VYBER	15	35954	SLUZBY	\N	\N
790114	2694	1996-12-31	VYDAJ	VYBER	15	48578	SLUZBY	\N	\N
790115	2694	1997-01-31	VYDAJ	VYBER	15	37991	SLUZBY	\N	\N
790116	2694	1997-02-28	VYDAJ	VYBER	15	48334	SLUZBY	\N	\N
790117	2694	1997-03-31	VYDAJ	VYBER	15	46478	SLUZBY	\N	\N
790118	2694	1997-04-30	VYDAJ	VYBER	15	56237	SLUZBY	\N	\N
790119	2694	1997-05-31	VYDAJ	VYBER	15	60220	SLUZBY	\N	\N
790120	2694	1997-06-30	VYDAJ	VYBER	15	54133	SLUZBY	\N	\N
790121	2694	1997-07-31	VYDAJ	VYBER	15	55880	SLUZBY	\N	\N
790122	2694	1997-08-31	VYDAJ	VYBER	15	56018	SLUZBY	\N	\N
790123	2694	1997-09-30	VYDAJ	VYBER	15	62807	SLUZBY	\N	\N
790124	2694	1997-10-31	VYDAJ	VYBER	15	52495	SLUZBY	\N	\N
790125	2694	1997-11-30	VYDAJ	VYBER	15	63378	SLUZBY	\N	\N
790126	2694	1997-12-31	VYDAJ	VYBER	15	65059	SLUZBY	\N	\N
790127	2694	1998-01-31	VYDAJ	VYBER	15	36649	SLUZBY	\N	\N
790128	2694	1998-02-28	VYDAJ	VYBER	15	48288	SLUZBY	\N	\N
790129	2694	1998-03-31	VYDAJ	VYBER	15	64782	SLUZBY	\N	\N
790130	2694	1998-04-30	VYDAJ	VYBER	15	63634	SLUZBY	\N	\N
790131	2694	1998-05-31	VYDAJ	VYBER	15	61350	SLUZBY	\N	\N
790132	2694	1998-06-30	VYDAJ	VYBER	15	49205	SLUZBY	\N	\N
790133	2694	1998-07-31	VYDAJ	VYBER	15	49064	SLUZBY	\N	\N
790134	2694	1998-08-31	VYDAJ	VYBER	15	63850	SLUZBY	\N	\N
790135	2694	1998-09-30	VYDAJ	VYBER	15	59867	SLUZBY	\N	\N
790136	2694	1998-10-31	VYDAJ	VYBER	15	63183	SLUZBY	\N	\N
790137	2694	1998-11-30	VYDAJ	VYBER	15	75915	SLUZBY	\N	\N
790138	2694	1993-04-07	PRIJEM	VKLAD	5500	23839	\N	\N	\N
790139	2694	1993-05-07	VYDAJ	VYBER	9400	32168	\N	\N	\N
790140	2694	1993-06-06	VYDAJ	VYBER	12000	37950	\N	\N	\N
790141	2694	1993-07-06	VYDAJ	VYBER	18300	38478	\N	\N	\N
790142	2694	1993-08-05	VYDAJ	VYBER	13200	39536	\N	\N	\N
790143	2694	1993-09-04	VYDAJ	VYBER	12800	34370	\N	\N	\N
790144	2694	1993-10-04	VYDAJ	VYBER	7700	31584	\N	\N	\N
790145	2694	1993-11-03	VYDAJ	VYBER	5000	31983	\N	\N	\N
790146	2694	1993-12-03	VYDAJ	VYBER	5600	32750	\N	\N	\N
790147	2694	1994-01-02	VYDAJ	VYBER	7400	35776	\N	\N	\N
790148	2694	1994-02-01	PRIJEM	VKLAD	300	32957	\N	\N	\N
790149	2694	1994-03-03	VYDAJ	VYBER	6100	33062	\N	\N	\N
790150	2694	1994-04-02	VYDAJ	VYBER	6400	33231	\N	\N	\N
790151	2694	1994-05-02	VYDAJ	VYBER	3400	31115	\N	\N	\N
790152	2694	1994-06-01	VYDAJ	VYBER	3100	34572	\N	\N	\N
790153	2694	1994-07-01	VYDAJ	VYBER	5300	40335	\N	\N	\N
790154	2694	1994-07-31	VYDAJ	VYBER	8000	38933	\N	\N	\N
790155	2694	1994-08-30	VYDAJ	VYBER	6200	39150	\N	\N	\N
790156	2694	1994-09-29	VYDAJ	VYBER	4000	36822	\N	\N	\N
790157	2694	1994-10-29	VYDAJ	VYBER	3400	34354	\N	\N	\N
790158	2694	1994-11-28	VYDAJ	VYBER	6100	34821	\N	\N	\N
790159	2694	1994-12-28	VYDAJ	VYBER	6600	40375	\N	\N	\N
790160	2694	1995-01-27	PRIJEM	VKLAD	4600	31953	\N	\N	\N
790161	2694	1995-02-26	PRIJEM	VKLAD	1700	33969	\N	\N	\N
790162	2694	1995-03-28	VYDAJ	VYBER	4000	24943	\N	\N	\N
790163	2694	1995-04-27	VYDAJ	VYBER	5500	33630	\N	\N	\N
790164	2694	1995-05-27	VYDAJ	VYBER	3700	30467	\N	\N	\N
790165	2694	1995-06-26	PRIJEM	VKLAD	2200	27081	\N	\N	\N
790166	2694	1995-07-26	VYDAJ	VYBER	4500	26542	\N	\N	\N
790167	2694	1995-09-24	VYDAJ	VYBER	5600	30921	\N	\N	\N
790168	2694	1995-10-24	VYDAJ	VYBER	1800	35493	\N	\N	\N
790169	2694	1995-11-23	VYDAJ	VYBER	2800	33643	\N	\N	\N
790170	2694	1995-12-23	VYDAJ	VYBER	7300	42523	\N	\N	\N
790171	2694	1996-01-22	PRIJEM	VKLAD	7400	33224	\N	\N	\N
790172	2694	1996-02-21	PRIJEM	VKLAD	1900	33408	\N	\N	\N
790173	2694	1996-03-22	PRIJEM	VKLAD	800	48394	\N	\N	\N
790174	2694	1996-04-21	VYDAJ	VYBER	3900	51707	\N	\N	\N
790175	2694	1996-05-21	VYDAJ	VYBER	6300	44843	\N	\N	\N
790176	2694	1996-06-20	PRIJEM	VKLAD	8400	34557	\N	\N	\N
790177	2694	1996-07-20	PRIJEM	VKLAD	700	39061	\N	\N	\N
790178	2694	1996-08-19	PRIJEM	VKLAD	400	42533	\N	\N	\N
790179	2694	1996-09-18	VYDAJ	VYBER	3600	45244	\N	\N	\N
790180	2694	1996-10-18	VYDAJ	VYBER	5200	45270	\N	\N	\N
790181	2694	1996-11-17	VYDAJ	VYBER	3800	55700	\N	\N	\N
790182	2694	1996-12-17	VYDAJ	VYBER	8000	50800	\N	\N	\N
790183	2694	1997-01-16	VYDAJ	VYBER	1100	48471	\N	\N	\N
790184	2694	1997-02-15	PRIJEM	VKLAD	3000	48164	\N	\N	\N
790185	2694	1997-03-17	VYDAJ	VYBER	3300	51287	\N	\N	\N
790186	2694	1997-04-16	VYDAJ	VYBER	4500	56031	\N	\N	\N
790187	2694	1997-05-16	VYDAJ	VYBER	3000	59990	\N	\N	\N
790188	2694	1997-06-15	VYDAJ	VYBER	12900	70166	\N	\N	\N
790189	2694	1997-07-15	VYDAJ	VYBER	4300	55666	\N	\N	\N
790190	2694	1997-08-14	VYDAJ	VYBER	800	64093	\N	\N	\N
790191	2694	1997-09-13	PRIJEM	VKLAD	900	70971	\N	\N	\N
790192	2694	1997-10-13	VYDAJ	VYBER	7900	59360	\N	\N	\N
790193	2694	1997-11-12	VYDAJ	VYBER	3400	63148	\N	\N	\N
790194	2694	1997-12-12	VYDAJ	VYBER	8900	69124	\N	\N	\N
790195	2694	1998-01-11	VYDAJ	VYBER	4400	69792	\N	\N	\N
790196	2694	1998-02-10	PRIJEM	VKLAD	3300	34069	\N	\N	\N
790197	2694	1998-03-12	PRIJEM	VKLAD	8600	70941	\N	\N	\N
790198	2694	1998-04-11	VYDAJ	VYBER	2900	73175	\N	\N	\N
790199	2694	1998-05-11	VYDAJ	VYBER	8700	61087	\N	\N	\N
790200	2694	1998-06-10	PRIJEM	VKLAD	7900	52568	\N	\N	\N
790201	2694	1998-07-10	VYDAJ	VYBER	4300	61410	\N	\N	\N
790202	2694	1998-08-09	PRIJEM	VKLAD	5900	54964	\N	\N	\N
790203	2694	1998-09-08	VYDAJ	VYBER	4200	59650	\N	\N	\N
790204	2694	1998-10-08	VYDAJ	VYBER	800	59067	\N	\N	\N
790205	2694	1998-11-07	VYDAJ	VYBER	1600	61583	\N	\N	\N
790206	2694	1998-12-07	VYDAJ	VYBER	3900	72015	\N	\N	\N
790277	2695	1993-09-16	PRIJEM	VKLAD	700	700	\N	\N	\N
790287	2695	1993-10-13	PRIJEM	VKLAD	20806	21506	\N	\N	\N
790288	2695	1993-11-13	PRIJEM	VKLAD	20806	44162	\N	\N	\N
790289	2695	1993-12-13	PRIJEM	VKLAD	31209	65893	\N	\N	\N
790290	2695	1994-01-13	PRIJEM	VKLAD	20806	64464	\N	\N	\N
790291	2695	1994-02-13	PRIJEM	VKLAD	20806	65654	\N	\N	\N
790292	2695	1994-03-13	PRIJEM	VKLAD	20806	60305	\N	\N	\N
790293	2695	1994-04-13	PRIJEM	VKLAD	20806	57452	\N	\N	\N
790294	2695	1994-05-13	PRIJEM	VKLAD	20806	52287	\N	\N	\N
790295	2695	1994-06-13	PRIJEM	VKLAD	31209	46954	\N	\N	\N
790296	2695	1994-07-13	PRIJEM	VKLAD	20806	49583	\N	\N	\N
790297	2695	1994-08-13	PRIJEM	VKLAD	20806	47693	\N	\N	\N
790298	2695	1994-09-13	PRIJEM	VKLAD	20806	50426	\N	\N	\N
790299	2695	1994-10-13	PRIJEM	VKLAD	20806	56085	\N	\N	\N
790300	2695	1994-11-13	PRIJEM	VKLAD	20806	58673	\N	\N	\N
790301	2695	1994-12-13	PRIJEM	VKLAD	31209	68097	\N	\N	\N
790302	2695	1995-01-13	PRIJEM	VKLAD	20806	61326	\N	\N	\N
790303	2695	1995-02-13	PRIJEM	VKLAD	20806	52989	\N	\N	\N
790304	2695	1995-03-13	PRIJEM	VKLAD	20806	58057	\N	\N	\N
790305	2695	1995-04-13	PRIJEM	VKLAD	20806	57553	\N	\N	\N
790306	2695	1995-05-13	PRIJEM	VKLAD	20806	62350	\N	\N	\N
790307	2695	1995-06-13	PRIJEM	VKLAD	31209	71665	\N	\N	\N
790308	2695	1995-07-13	PRIJEM	VKLAD	20806	49057	\N	\N	\N
790309	2695	1995-08-13	PRIJEM	VKLAD	20806	59203	\N	\N	\N
790310	2695	1995-09-13	PRIJEM	VKLAD	20806	63398	\N	\N	\N
790311	2695	1995-10-13	PRIJEM	VKLAD	20806	60407	\N	\N	\N
790312	2695	1995-11-13	PRIJEM	VKLAD	20806	60965	\N	\N	\N
790313	2695	1995-12-13	PRIJEM	VKLAD	31209	76966	\N	\N	\N
790314	2695	1996-01-13	PRIJEM	VKLAD	20806	65171	\N	\N	\N
790315	2695	1996-02-13	PRIJEM	VKLAD	20806	57209	\N	\N	\N
790316	2695	1996-03-13	PRIJEM	VKLAD	20806	60385	\N	\N	\N
790317	2695	1996-04-13	PRIJEM	VKLAD	20806	61685	\N	\N	\N
790318	2695	1996-05-13	PRIJEM	VKLAD	20806	65491	\N	\N	\N
790319	2695	1996-06-13	PRIJEM	VKLAD	31209	80815	\N	\N	\N
790320	2695	1996-07-13	PRIJEM	VKLAD	20806	55438	\N	\N	\N
790321	2695	1996-08-13	PRIJEM	VKLAD	20806	64107	\N	\N	\N
790322	2695	1996-09-13	PRIJEM	VKLAD	20806	63616	\N	\N	\N
790323	2695	1996-10-13	PRIJEM	VKLAD	20806	62940	\N	\N	\N
790324	2695	1996-11-13	PRIJEM	VKLAD	20806	70230	\N	\N	\N
790325	2695	1996-12-13	PRIJEM	VKLAD	31209	82961	\N	\N	\N
790326	2695	1997-01-13	PRIJEM	VKLAD	20806	74439	\N	\N	\N
790327	2695	1997-02-13	PRIJEM	VKLAD	20806	67176	\N	\N	\N
790328	2695	1997-03-13	PRIJEM	VKLAD	20806	72689	\N	\N	\N
790329	2695	1997-04-13	PRIJEM	VKLAD	20806	69422	\N	\N	\N
790330	2695	1997-05-13	PRIJEM	VKLAD	20806	72943	\N	\N	\N
790331	2695	1997-06-13	PRIJEM	VKLAD	31209	83079	\N	\N	\N
790332	2695	1997-07-13	PRIJEM	VKLAD	20806	71854	\N	\N	\N
790333	2695	1997-08-13	PRIJEM	VKLAD	20806	75188	\N	\N	\N
790334	2695	1997-09-13	PRIJEM	VKLAD	20806	77528	\N	\N	\N
790335	2695	1997-10-13	PRIJEM	VKLAD	20806	76773	\N	\N	\N
790336	2695	1997-11-13	PRIJEM	VKLAD	20806	78015	\N	\N	\N
790337	2695	1997-12-13	PRIJEM	VKLAD	31209	85264	\N	\N	\N
790338	2695	1998-01-13	PRIJEM	VKLAD	20806	71118	\N	\N	\N
790339	2695	1998-02-13	PRIJEM	VKLAD	20806	77104	\N	\N	\N
790340	2695	1998-03-13	PRIJEM	VKLAD	20806	83427	\N	\N	\N
790341	2695	1998-04-13	PRIJEM	VKLAD	20806	86296	\N	\N	\N
790342	2695	1998-05-13	PRIJEM	VKLAD	20806	88474	\N	\N	\N
790343	2695	1998-06-13	PRIJEM	VKLAD	31209	103067	\N	\N	\N
790344	2695	1998-07-13	PRIJEM	VKLAD	20806	87068	\N	\N	\N
790345	2695	1998-08-13	PRIJEM	VKLAD	20806	98078	\N	\N	\N
790346	2695	1998-09-13	PRIJEM	VKLAD	20806	96302	\N	\N	\N
790347	2695	1998-10-13	PRIJEM	VKLAD	20806	91418	\N	\N	\N
790348	2695	1998-11-13	PRIJEM	VKLAD	20806	94114	\N	\N	\N
790349	2695	1998-12-13	PRIJEM	VKLAD	31209	110825	\N	\N	\N
790364	2695	1994-03-07	VYDAJ	PREVOD NA UCET	3923	39499	SIPO	ST	45832115
790365	2695	1994-04-07	VYDAJ	PREVOD NA UCET	3923	36646	SIPO	ST	45832115
790366	2695	1994-05-07	VYDAJ	PREVOD NA UCET	3923	31481	SIPO	ST	45832115
790367	2695	1994-06-07	VYDAJ	PREVOD NA UCET	3923	15745	SIPO	ST	45832115
790368	2695	1994-07-07	VYDAJ	PREVOD NA UCET	3923	28777	SIPO	ST	45832115
790369	2695	1994-08-07	VYDAJ	PREVOD NA UCET	3923	31187	SIPO	ST	45832115
790370	2695	1994-09-07	VYDAJ	PREVOD NA UCET	3923	36720	SIPO	ST	45832115
790371	2695	1994-10-07	VYDAJ	PREVOD NA UCET	3923	46079	SIPO	ST	45832115
790372	2695	1994-11-07	VYDAJ	PREVOD NA UCET	3923	52367	SIPO	ST	45832115
790373	2695	1994-12-07	VYDAJ	PREVOD NA UCET	3923	53408	SIPO	ST	45832115
790374	2695	1995-01-07	VYDAJ	PREVOD NA UCET	3923	61780	SIPO	ST	45832115
790375	2695	1995-02-07	VYDAJ	PREVOD NA UCET	3923	43983	SIPO	ST	45832115
790376	2695	1995-03-07	VYDAJ	PREVOD NA UCET	3923	49251	SIPO	ST	45832115
790377	2695	1995-04-07	VYDAJ	PREVOD NA UCET	3923	54347	SIPO	ST	45832115
790378	2695	1995-05-07	VYDAJ	PREVOD NA UCET	3923	53844	SIPO	ST	45832115
790379	2695	1995-06-07	VYDAJ	PREVOD NA UCET	3923	58656	SIPO	ST	45832115
790380	2695	1995-07-07	VYDAJ	PREVOD NA UCET	3923	32251	SIPO	ST	45832115
790381	2695	1995-08-07	VYDAJ	PREVOD NA UCET	3923	45297	SIPO	ST	45832115
790382	2695	1995-09-07	VYDAJ	PREVOD NA UCET	3923	42592	SIPO	ST	45832115
790383	2695	1995-10-07	VYDAJ	PREVOD NA UCET	3923	39601	SIPO	ST	45832115
790384	2695	1995-11-07	VYDAJ	PREVOD NA UCET	3923	40159	SIPO	ST	45832115
790385	2695	1995-12-07	VYDAJ	PREVOD NA UCET	3923	45757	SIPO	ST	45832115
790386	2695	1996-01-07	VYDAJ	PREVOD NA UCET	3923	47125	SIPO	ST	45832115
790387	2695	1996-02-07	VYDAJ	PREVOD NA UCET	3923	36403	SIPO	ST	45832115
790388	2695	1996-03-07	VYDAJ	PREVOD NA UCET	3923	39579	SIPO	ST	45832115
790389	2695	1996-04-07	VYDAJ	PREVOD NA UCET	3923	40879	SIPO	ST	45832115
790390	2695	1996-05-07	VYDAJ	PREVOD NA UCET	3923	44685	SIPO	ST	45832115
790391	2695	1996-06-07	VYDAJ	PREVOD NA UCET	3923	49606	SIPO	ST	45832115
790392	2695	1996-07-07	VYDAJ	PREVOD NA UCET	3923	34632	SIPO	ST	45832115
790393	2695	1996-08-07	VYDAJ	PREVOD NA UCET	3923	43301	SIPO	ST	45832115
790394	2695	1996-09-07	VYDAJ	PREVOD NA UCET	3923	42810	SIPO	ST	45832115
790395	2695	1996-10-07	VYDAJ	PREVOD NA UCET	3923	42134	SIPO	ST	45832115
790396	2695	1996-11-07	VYDAJ	PREVOD NA UCET	3923	49424	SIPO	ST	45832115
790397	2695	1996-12-07	VYDAJ	PREVOD NA UCET	3923	54152	SIPO	ST	45832115
790398	2695	1997-01-07	VYDAJ	PREVOD NA UCET	3923	57593	SIPO	ST	45832115
790399	2695	1997-02-07	VYDAJ	PREVOD NA UCET	3923	46370	SIPO	ST	45832115
790400	2695	1997-03-07	VYDAJ	PREVOD NA UCET	3923	51883	SIPO	ST	45832115
790401	2695	1997-04-07	VYDAJ	PREVOD NA UCET	3923	48616	SIPO	ST	45832115
790402	2695	1997-05-07	VYDAJ	PREVOD NA UCET	3923	52137	SIPO	ST	45832115
790403	2695	1997-06-07	VYDAJ	PREVOD NA UCET	3923	51870	SIPO	ST	45832115
790404	2695	1997-07-07	VYDAJ	PREVOD NA UCET	3923	56808	SIPO	ST	45832115
790405	2695	1997-08-07	VYDAJ	PREVOD NA UCET	3923	54382	SIPO	ST	45832115
790406	2695	1997-09-07	VYDAJ	PREVOD NA UCET	3923	56722	SIPO	ST	45832115
790407	2695	1997-10-07	VYDAJ	PREVOD NA UCET	3923	55967	SIPO	ST	45832115
790408	2695	1997-11-07	VYDAJ	PREVOD NA UCET	3923	57209	SIPO	ST	45832115
790409	2695	1997-12-07	VYDAJ	PREVOD NA UCET	3923	54055	SIPO	ST	45832115
790410	2695	1998-01-07	VYDAJ	PREVOD NA UCET	3923	53672	SIPO	ST	45832115
790411	2695	1998-02-07	VYDAJ	PREVOD NA UCET	3923	56298	SIPO	ST	45832115
790412	2695	1998-03-07	VYDAJ	PREVOD NA UCET	3923	62621	SIPO	ST	45832115
790413	2695	1998-04-07	VYDAJ	PREVOD NA UCET	3923	65490	SIPO	ST	45832115
790414	2695	1998-05-07	VYDAJ	PREVOD NA UCET	3923	67668	SIPO	ST	45832115
790415	2695	1998-06-07	VYDAJ	PREVOD NA UCET	3923	71858	SIPO	ST	45832115
790416	2695	1998-07-07	VYDAJ	PREVOD NA UCET	3923	66262	SIPO	ST	45832115
790417	2695	1998-08-07	VYDAJ	PREVOD NA UCET	3923	77272	SIPO	ST	45832115
790418	2695	1998-09-07	VYDAJ	PREVOD NA UCET	3923	75496	SIPO	ST	45832115
790419	2695	1998-10-07	VYDAJ	PREVOD NA UCET	3923	74312	SIPO	ST	45832115
790420	2695	1998-11-07	VYDAJ	PREVOD NA UCET	3923	73308	SIPO	ST	45832115
790421	2695	1998-12-07	VYDAJ	PREVOD NA UCET	3923	79616	SIPO	ST	45832115
790423	2695	1994-06-04	VYDAJ	VYBER	18560	19668	\N	\N	\N
790424	2695	1995-06-18	VYDAJ	VYBER	35680	35985	\N	\N	\N
790425	2695	1996-06-20	VYDAJ	VYBER	40480	40335	\N	\N	\N
790427	2695	1998-06-22	VYDAJ	VYBER	31840	69827	\N	\N	\N
790430	2695	1995-01-27	VYDAJ	VYBER	7520	47686	\N	\N	\N
790431	2695	1996-01-24	VYDAJ	VYBER	11520	47291	\N	\N	\N
790432	2695	1997-01-29	VYDAJ	VYBER	6240	50999	\N	\N	\N
790433	2695	1998-01-04	VYDAJ	VYBER	4800	57595	\N	\N	\N
790435	2695	1994-12-12	VYDAJ	VYBER	2720	36888	\N	\N	\N
790436	2695	1995-12-22	VYDAJ	VYBER	4320	72646	\N	\N	\N
790437	2695	1996-12-07	VYDAJ	VYBER	2400	51752	\N	\N	\N
790438	2695	1997-12-02	VYDAJ	VYBER	4000	57978	\N	\N	\N
790439	2695	1998-12-27	VYDAJ	VYBER KARTOU	2100	85925	\N	\N	0
790452	2695	1995-01-02	VYDAJ	VYBER	600	67743	\N	\N	\N
790453	2695	1995-01-14	VYDAJ	VYBER	3000	58326	\N	\N	\N
790454	2695	1995-01-11	VYDAJ	VYBER	2400	40520	\N	\N	\N
790455	2695	1995-01-24	VYDAJ	VYBER	3120	55206	\N	\N	\N
790456	2695	1995-01-02	VYDAJ	VYBER	2040	65703	\N	\N	\N
790457	2695	1995-01-08	VYDAJ	VYBER	2760	59020	\N	\N	\N
790458	2695	1996-01-19	VYDAJ	VYBER	3240	61931	\N	\N	\N
790459	2695	1996-01-30	VYDAJ	VYBER	3480	43811	\N	\N	\N
790460	2695	1996-01-09	VYDAJ	VYBER	2760	44365	\N	\N	\N
790461	2695	1996-01-04	VYDAJ	VYBER	2520	67148	\N	\N	\N
790462	2695	1996-01-19	VYDAJ	VYBER	3120	58811	\N	\N	\N
790463	2695	1996-01-03	VYDAJ	VYBER	3240	69668	\N	\N	\N
790464	2695	1997-01-12	VYDAJ	VYBER	1560	53633	\N	\N	\N
790465	2695	1997-01-29	VYDAJ	VYBER	960	50039	\N	\N	\N
790466	2695	1997-01-20	VYDAJ	VYBER	1200	73239	\N	\N	\N
790467	2695	1997-01-07	VYDAJ	VYBER	840	56753	\N	\N	\N
790468	2695	1997-01-01	VYDAJ	VYBER	1320	61516	\N	\N	\N
790469	2695	1997-01-24	VYDAJ	VYBER	2400	70839	\N	\N	\N
790470	2695	1998-01-10	VYDAJ	VYBER	1320	52352	\N	\N	\N
790471	2695	1998-01-01	VYDAJ	VYBER	1080	63955	\N	\N	\N
790472	2695	1998-01-12	VYDAJ	VYBER	1320	50312	\N	\N	\N
790473	2695	1998-01-12	VYDAJ	VYBER	720	51632	\N	\N	\N
790474	2695	1998-01-03	VYDAJ	VYBER	1560	62395	\N	\N	\N
790475	2695	1998-01-29	VYDAJ	VYBER	2040	59978	\N	\N	\N
790479	2695	1994-08-25	VYDAJ	VYBER	600	40493	\N	\N	\N
790480	2695	1994-05-06	VYDAJ	VYBER	3000	35404	\N	\N	\N
790481	2695	1994-09-24	VYDAJ	VYBER	600	49826	\N	\N	\N
790482	2695	1994-08-13	VYDAJ	VYBER	840	46853	\N	\N	\N
790483	2695	1994-12-07	VYDAJ	VYBER	1560	57331	\N	\N	\N
790484	2695	1994-08-18	VYDAJ	VYBER	5760	41093	\N	\N	\N
790485	2695	1995-09-25	VYDAJ	VYBER	3600	59798	\N	\N	\N
790486	2695	1995-10-15	VYDAJ	VYBER	1920	58487	\N	\N	\N
790487	2695	1995-11-04	VYDAJ	VYBER	5520	53182	\N	\N	\N
790488	2695	1996-10-07	VYDAJ	VYBER	3840	46057	\N	\N	\N
790489	2695	1996-09-26	VYDAJ	VYBER	1440	62176	\N	\N	\N
790490	2695	1996-09-05	VYDAJ	VYBER	5400	46733	\N	\N	\N
790491	2695	1996-10-26	VYDAJ	VYBER	2520	60420	\N	\N	\N
790492	2695	1997-07-11	VYDAJ	VYBER	5760	51048	\N	\N	\N
790493	2695	1997-01-08	VYDAJ	VYBER	1560	55193	\N	\N	\N
790494	2695	1997-07-13	VYDAJ	VYBER	1800	70054	\N	\N	\N
790495	2695	1997-07-01	VYDAJ	VYBER	1920	60731	\N	\N	\N
790496	2695	1998-02-21	VYDAJ	VYBER	4320	72784	\N	\N	\N
790497	2695	1998-09-07	VYDAJ	VYBER KARTOU	5400	79419	\N	\N	0
790498	2695	1998-10-07	VYDAJ	VYBER KARTOU	3700	70612	\N	\N	0
790499	2695	1998-07-18	VYDAJ	VYBER	1080	85988	\N	\N	\N
790500	2695	1998-10-03	VYDAJ	VYBER KARTOU	4800	78235	\N	\N	0
790515	2695	1994-02-28	VYDAJ	VYBER	15	43422	SLUZBY	\N	\N
790516	2695	1994-03-31	VYDAJ	VYBER	15	40569	SLUZBY	\N	\N
790517	2695	1994-04-30	VYDAJ	VYBER	15	38404	SLUZBY	\N	\N
790518	2695	1994-05-31	VYDAJ	VYBER	15	38228	SLUZBY	\N	\N
790519	2695	1994-06-30	VYDAJ	VYBER	15	32700	SLUZBY	\N	\N
790520	2695	1994-07-31	VYDAJ	VYBER	15	35110	SLUZBY	\N	\N
790521	2695	1994-08-31	VYDAJ	VYBER	15	40643	SLUZBY	\N	\N
790522	2695	1994-09-30	VYDAJ	VYBER	15	50002	SLUZBY	\N	\N
790523	2695	1994-10-31	VYDAJ	VYBER	15	56290	SLUZBY	\N	\N
790524	2695	1994-11-30	VYDAJ	VYBER	15	58891	SLUZBY	\N	\N
790525	2695	1994-12-31	VYDAJ	VYBER	15	68343	SLUZBY	\N	\N
790526	2695	1995-01-31	VYDAJ	VYBER	15	47906	SLUZBY	\N	\N
790527	2695	1995-02-28	VYDAJ	VYBER	15	53174	SLUZBY	\N	\N
790528	2695	1995-03-31	VYDAJ	VYBER	15	58270	SLUZBY	\N	\N
790529	2695	1995-04-30	VYDAJ	VYBER	15	57767	SLUZBY	\N	\N
790530	2695	1995-05-31	VYDAJ	VYBER	15	62579	SLUZBY	\N	\N
790531	2695	1995-06-30	VYDAJ	VYBER	15	36174	SLUZBY	\N	\N
790532	2695	1995-07-31	VYDAJ	VYBER	15	49220	SLUZBY	\N	\N
790533	2695	1995-08-31	VYDAJ	VYBER	15	59415	SLUZBY	\N	\N
790534	2695	1995-09-30	VYDAJ	VYBER	15	60024	SLUZBY	\N	\N
790535	2695	1995-10-31	VYDAJ	VYBER	15	58702	SLUZBY	\N	\N
790536	2695	1995-11-30	VYDAJ	VYBER	15	61180	SLUZBY	\N	\N
790537	2695	1995-12-31	VYDAJ	VYBER	15	72908	SLUZBY	\N	\N
790538	2695	1996-01-31	VYDAJ	VYBER	15	44026	SLUZBY	\N	\N
790539	2695	1996-02-29	VYDAJ	VYBER	15	57402	SLUZBY	\N	\N
790540	2695	1996-03-31	VYDAJ	VYBER	15	60602	SLUZBY	\N	\N
790541	2695	1996-04-30	VYDAJ	VYBER	15	61908	SLUZBY	\N	\N
790542	2695	1996-05-31	VYDAJ	VYBER	15	65729	SLUZBY	\N	\N
790543	2695	1996-06-30	VYDAJ	VYBER	15	40555	SLUZBY	\N	\N
790544	2695	1996-07-31	VYDAJ	VYBER	15	55624	SLUZBY	\N	\N
790545	2695	1996-08-31	VYDAJ	VYBER	15	52133	SLUZBY	\N	\N
790546	2695	1996-09-30	VYDAJ	VYBER	15	62397	SLUZBY	\N	\N
790547	2695	1996-10-31	VYDAJ	VYBER	15	53347	SLUZBY	\N	\N
790548	2695	1996-11-30	VYDAJ	VYBER	15	58075	SLUZBY	\N	\N
790549	2695	1996-12-31	VYDAJ	VYBER	15	62836	SLUZBY	\N	\N
790550	2695	1997-01-31	VYDAJ	VYBER	15	50293	SLUZBY	\N	\N
790551	2695	1997-02-28	VYDAJ	VYBER	15	55806	SLUZBY	\N	\N
790552	2695	1997-03-31	VYDAJ	VYBER	15	52539	SLUZBY	\N	\N
790553	2695	1997-04-30	VYDAJ	VYBER	15	56060	SLUZBY	\N	\N
790554	2695	1997-05-31	VYDAJ	VYBER	15	55793	SLUZBY	\N	\N
790555	2695	1997-06-30	VYDAJ	VYBER	15	62651	SLUZBY	\N	\N
790556	2695	1997-07-31	VYDAJ	VYBER	15	58305	SLUZBY	\N	\N
790557	2695	1997-08-31	VYDAJ	VYBER	15	60645	SLUZBY	\N	\N
790558	2695	1997-09-30	VYDAJ	VYBER	15	59890	SLUZBY	\N	\N
790559	2695	1997-10-31	VYDAJ	VYBER	15	61132	SLUZBY	\N	\N
790560	2695	1997-11-30	VYDAJ	VYBER	15	61978	SLUZBY	\N	\N
790561	2695	1997-12-31	VYDAJ	VYBER	15	65035	SLUZBY	\N	\N
790562	2695	1998-01-31	VYDAJ	VYBER	15	60221	SLUZBY	\N	\N
790563	2695	1998-02-28	VYDAJ	VYBER	15	66544	SLUZBY	\N	\N
790564	2695	1998-03-31	VYDAJ	VYBER	15	69413	SLUZBY	\N	\N
790565	2695	1998-04-30	VYDAJ	VYBER	15	71591	SLUZBY	\N	\N
790566	2695	1998-05-31	VYDAJ	VYBER	15	75781	SLUZBY	\N	\N
790567	2695	1998-06-30	VYDAJ	VYBER	15	70185	SLUZBY	\N	\N
790568	2695	1998-07-31	VYDAJ	VYBER	15	81195	SLUZBY	\N	\N
790569	2695	1998-08-31	VYDAJ	VYBER	15	84819	SLUZBY	\N	\N
790570	2695	1998-09-30	VYDAJ	VYBER	15	83035	SLUZBY	\N	\N
790571	2695	1998-10-31	VYDAJ	VYBER	15	77231	SLUZBY	\N	\N
790572	2695	1998-11-30	VYDAJ	VYBER	15	83539	SLUZBY	\N	\N
790573	2695	1993-10-16	PRIJEM	VKLAD	1800	23306	\N	\N	\N
790574	2695	1993-11-15	VYDAJ	VYBER	9600	34562	\N	\N	\N
790575	2695	1993-12-15	VYDAJ	VYBER	22400	43493	\N	\N	\N
790576	2695	1994-01-14	VYDAJ	VYBER	19800	44664	\N	\N	\N
790577	2695	1994-02-13	VYDAJ	VYBER	22400	43254	\N	\N	\N
790578	2695	1994-03-15	VYDAJ	VYBER	19900	40405	\N	\N	\N
790579	2695	1994-04-14	VYDAJ	VYBER	19200	38252	\N	\N	\N
790580	2695	1994-05-14	VYDAJ	VYBER	14200	38087	\N	\N	\N
790581	2695	1994-06-13	VYDAJ	VYBER	14400	32554	\N	\N	\N
790582	2695	1994-07-13	VYDAJ	VYBER	14600	34983	\N	\N	\N
790583	2695	1994-08-12	VYDAJ	VYBER	4300	26887	\N	\N	\N
790584	2695	1994-09-11	VYDAJ	VYBER	7100	29620	\N	\N	\N
790585	2695	1994-10-11	VYDAJ	VYBER	10800	35279	\N	\N	\N
790586	2695	1994-11-10	VYDAJ	VYBER	14500	37867	\N	\N	\N
790587	2695	1994-12-10	VYDAJ	VYBER	13800	39608	\N	\N	\N
790588	2695	1995-01-09	VYDAJ	VYBER	16100	42920	\N	\N	\N
790589	2695	1995-02-08	VYDAJ	VYBER	11800	32183	\N	\N	\N
790590	2695	1995-03-10	VYDAJ	VYBER	12000	37251	\N	\N	\N
790591	2695	1995-04-09	VYDAJ	VYBER	17600	36747	\N	\N	\N
790592	2695	1995-05-09	VYDAJ	VYBER	12300	41544	\N	\N	\N
790593	2695	1995-06-08	VYDAJ	VYBER	18200	40456	\N	\N	\N
790594	2695	1995-07-08	VYDAJ	VYBER	4000	28251	\N	\N	\N
790595	2695	1995-08-07	VYDAJ	VYBER	6900	38397	\N	\N	\N
790596	2695	1995-09-06	VYDAJ	VYBER	12900	46515	\N	\N	\N
790597	2695	1995-10-06	VYDAJ	VYBER	16500	43524	\N	\N	\N
790598	2695	1995-11-05	VYDAJ	VYBER	9100	44082	\N	\N	\N
790599	2695	1995-12-05	VYDAJ	VYBER	11500	49680	\N	\N	\N
790600	2695	1996-01-04	VYDAJ	VYBER	16100	51048	\N	\N	\N
790601	2695	1996-02-03	VYDAJ	VYBER	3700	40326	\N	\N	\N
790602	2695	1996-03-04	VYDAJ	VYBER	13900	43502	\N	\N	\N
790603	2695	1996-04-03	VYDAJ	VYBER	15800	44802	\N	\N	\N
790604	2695	1996-05-03	VYDAJ	VYBER	13300	48608	\N	\N	\N
790605	2695	1996-06-02	VYDAJ	VYBER	12200	53529	\N	\N	\N
790606	2695	1996-07-02	VYDAJ	VYBER	2000	38555	\N	\N	\N
790607	2695	1996-08-01	VYDAJ	VYBER	8400	47224	\N	\N	\N
790608	2695	1996-08-31	VYDAJ	VYBER	12200	52147	\N	\N	\N
790609	2695	1996-09-30	VYDAJ	VYBER	12500	49897	\N	\N	\N
790610	2695	1996-10-30	VYDAJ	VYBER	7300	53120	\N	\N	\N
790611	2695	1996-11-29	VYDAJ	VYBER	12400	57830	\N	\N	\N
790612	2695	1996-12-29	VYDAJ	VYBER	20400	62561	\N	\N	\N
790613	2695	1997-01-28	VYDAJ	VYBER	13600	57239	\N	\N	\N
790614	2695	1997-02-27	VYDAJ	VYBER	11600	55576	\N	\N	\N
790615	2695	1997-03-29	VYDAJ	VYBER	20400	52289	\N	\N	\N
790616	2695	1997-04-28	VYDAJ	VYBER	13600	55822	\N	\N	\N
790617	2695	1997-05-28	VYDAJ	VYBER	17400	55543	\N	\N	\N
790618	2695	1997-06-27	VYDAJ	VYBER	20700	62379	\N	\N	\N
790619	2695	1997-07-27	VYDAJ	VYBER	12000	58054	\N	\N	\N
790620	2695	1997-08-26	VYDAJ	VYBER	14800	60388	\N	\N	\N
790621	2695	1997-09-25	VYDAJ	VYBER	17900	59628	\N	\N	\N
790622	2695	1997-10-25	VYDAJ	VYBER	15900	60873	\N	\N	\N
790623	2695	1997-11-24	VYDAJ	VYBER	16300	61715	\N	\N	\N
790624	2695	1997-12-24	VYDAJ	VYBER	20500	64764	\N	\N	\N
790625	2695	1998-01-23	VYDAJ	VYBER	9100	62018	\N	\N	\N
790626	2695	1998-02-22	VYDAJ	VYBER	6500	66284	\N	\N	\N
790627	2695	1998-03-24	VYDAJ	VYBER	14300	69127	\N	\N	\N
790628	2695	1998-04-23	VYDAJ	VYBER	15000	71296	\N	\N	\N
790629	2695	1998-05-23	VYDAJ	VYBER	13000	75474	\N	\N	\N
790630	2695	1998-06-22	VYDAJ	VYBER	1400	101667	\N	\N	\N
790631	2695	1998-07-22	VYDAJ	VYBER	5100	80888	\N	\N	\N
790632	2695	1998-08-21	VYDAJ	VYBER	13600	84478	\N	\N	\N
790633	2695	1998-09-20	VYDAJ	VYBER	13600	82702	\N	\N	\N
790634	2695	1998-10-20	VYDAJ	VYBER	14500	76918	\N	\N	\N
790635	2695	1998-11-19	VYDAJ	VYBER	10900	83214	\N	\N	\N
790636	2695	1998-12-19	VYDAJ	VYBER	22800	88025	\N	\N	\N
790700	2696	1997-01-19	PRIJEM	VKLAD	600	600	\N	\N	\N
790702	2696	1997-02-12	PRIJEM	PREVOD Z UCTU	4673	5273	DUCHOD	WX	76590215
790703	2696	1997-03-12	PRIJEM	PREVOD Z UCTU	4673	9946	DUCHOD	WX	76590215
790704	2696	1997-04-12	PRIJEM	PREVOD Z UCTU	4673	14619	DUCHOD	WX	76590215
790705	2696	1997-05-12	PRIJEM	PREVOD Z UCTU	4673	19292	DUCHOD	WX	76590215
790706	2696	1997-06-12	PRIJEM	PREVOD Z UCTU	4673	23965	DUCHOD	WX	76590215
790707	2696	1997-07-12	PRIJEM	PREVOD Z UCTU	4673	19989	DUCHOD	WX	76590215
790708	2696	1997-08-12	PRIJEM	PREVOD Z UCTU	4673	21614	DUCHOD	WX	76590215
790709	2696	1997-09-12	PRIJEM	PREVOD Z UCTU	4673	19683	DUCHOD	WX	76590215
790710	2696	1997-10-12	PRIJEM	PREVOD Z UCTU	4673	18506	DUCHOD	WX	76590215
790711	2696	1997-11-12	PRIJEM	PREVOD Z UCTU	4673	20124	DUCHOD	WX	76590215
790712	2696	1997-12-12	PRIJEM	PREVOD Z UCTU	4673	21749	DUCHOD	WX	76590215
790713	2696	1998-01-12	PRIJEM	PREVOD Z UCTU	4673	19092	DUCHOD	WX	76590215
790714	2696	1998-02-12	PRIJEM	PREVOD Z UCTU	4673	14540	DUCHOD	WX	76590215
790715	2696	1998-03-12	PRIJEM	PREVOD Z UCTU	4673	14937	DUCHOD	WX	76590215
790716	2696	1998-04-12	PRIJEM	PREVOD Z UCTU	4673	16540	DUCHOD	WX	76590215
790717	2696	1998-05-12	PRIJEM	PREVOD Z UCTU	4673	18150	DUCHOD	WX	76590215
790718	2696	1998-06-12	PRIJEM	PREVOD Z UCTU	4673	19766	DUCHOD	WX	76590215
790719	2696	1998-07-12	PRIJEM	PREVOD Z UCTU	4673	21390	DUCHOD	WX	76590215
790720	2696	1998-08-12	PRIJEM	PREVOD Z UCTU	4673	23020	DUCHOD	WX	76590215
790721	2696	1998-09-12	PRIJEM	PREVOD Z UCTU	4673	24657	DUCHOD	WX	76590215
790722	2696	1998-10-12	PRIJEM	PREVOD Z UCTU	4673	26300	DUCHOD	WX	76590215
790723	2696	1998-11-12	PRIJEM	PREVOD Z UCTU	4673	24429	DUCHOD	WX	76590215
790724	2696	1998-12-12	PRIJEM	PREVOD Z UCTU	4673	23670	DUCHOD	WX	76590215
790731	2696	1997-07-07	VYDAJ	PREVOD NA UCET	3115	15316	SIPO	OP	90366512
790732	2696	1997-08-07	VYDAJ	PREVOD NA UCET	3115	16941	SIPO	OP	90366512
790733	2696	1997-09-07	VYDAJ	PREVOD NA UCET	3115	15010	SIPO	OP	90366512
790734	2696	1997-10-07	VYDAJ	PREVOD NA UCET	3115	13833	SIPO	OP	90366512
790735	2696	1997-11-07	VYDAJ	PREVOD NA UCET	3115	15451	SIPO	OP	90366512
790736	2696	1997-12-07	VYDAJ	PREVOD NA UCET	3115	17076	SIPO	OP	90366512
790737	2696	1998-01-07	VYDAJ	PREVOD NA UCET	3115	14419	SIPO	OP	90366512
790738	2696	1998-02-07	VYDAJ	PREVOD NA UCET	3115	9867	SIPO	OP	90366512
790739	2696	1998-03-07	VYDAJ	PREVOD NA UCET	3115	10264	SIPO	OP	90366512
790740	2696	1998-04-07	VYDAJ	PREVOD NA UCET	3115	11867	SIPO	OP	90366512
790741	2696	1998-05-07	VYDAJ	PREVOD NA UCET	3115	13477	SIPO	OP	90366512
790742	2696	1998-06-07	VYDAJ	PREVOD NA UCET	3115	15093	SIPO	OP	90366512
790743	2696	1998-07-07	VYDAJ	PREVOD NA UCET	3115	16717	SIPO	OP	90366512
790744	2696	1998-08-07	VYDAJ	PREVOD NA UCET	3115	18347	SIPO	OP	90366512
790745	2696	1998-09-07	VYDAJ	PREVOD NA UCET	3115	19984	SIPO	OP	90366512
790746	2696	1998-10-07	VYDAJ	PREVOD NA UCET	3115	21627	SIPO	OP	90366512
790747	2696	1998-11-07	VYDAJ	PREVOD NA UCET	3115	19756	SIPO	OP	90366512
790748	2696	1998-12-07	VYDAJ	PREVOD NA UCET	3115	18997	SIPO	OP	90366512
790749	2696	1997-06-19	VYDAJ	VYBER	5550	18415	\N	\N	\N
790751	2696	1997-12-13	VYDAJ	VYBER	600	21149	\N	\N	\N
790752	2696	1998-12-27	VYDAJ	VYBER	1150	21000	\N	\N	\N
790759	2696	1998-01-22	VYDAJ	VYBER	400	13492	\N	\N	\N
790760	2696	1998-01-16	VYDAJ	VYBER	1760	13892	\N	\N	\N
790761	2696	1998-01-14	VYDAJ	VYBER	400	15652	\N	\N	\N
790762	2696	1998-01-14	VYDAJ	VYBER	960	16052	\N	\N	\N
790764	2696	1998-01-12	VYDAJ	VYBER	2080	17012	\N	\N	\N
790765	2696	1997-10-01	VYDAJ	VYBER	2800	16948	\N	\N	\N
790766	2696	1997-12-18	VYDAJ	VYBER	3680	17469	\N	\N	\N
790767	2696	1997-08-29	VYDAJ	VYBER	3360	18054	\N	\N	\N
790771	2696	1998-02-13	VYDAJ	VYBER	1200	13340	\N	\N	\N
790772	2696	1998-12-17	VYDAJ	VYBER	1520	22150	\N	\N	\N
790774	2696	1998-11-01	VYDAJ	VYBER	1040	22871	\N	\N	\N
790775	2696	1998-10-26	VYDAJ	VYBER	2480	23820	\N	\N	\N
790776	2696	1998-02-02	VYDAJ	VYBER	560	12982	\N	\N	\N
790777	2696	1998-12-04	VYDAJ	VYBER	2400	22112	\N	\N	\N
790784	2696	1997-06-30	VYDAJ	VYBER	15	18431	SLUZBY	\N	\N
790785	2696	1997-07-31	VYDAJ	VYBER	15	20056	SLUZBY	\N	\N
790786	2696	1997-08-31	VYDAJ	VYBER	15	18125	SLUZBY	\N	\N
790787	2696	1997-09-30	VYDAJ	VYBER	15	19748	SLUZBY	\N	\N
790788	2696	1997-10-31	VYDAJ	VYBER	15	18566	SLUZBY	\N	\N
790789	2696	1997-11-30	VYDAJ	VYBER	15	20191	SLUZBY	\N	\N
790790	2696	1997-12-31	VYDAJ	VYBER	15	17534	SLUZBY	\N	\N
790791	2696	1998-01-31	VYDAJ	VYBER	15	13542	SLUZBY	\N	\N
790792	2696	1998-02-28	VYDAJ	VYBER	15	13379	SLUZBY	\N	\N
790793	2696	1998-03-31	VYDAJ	VYBER	15	14982	SLUZBY	\N	\N
790794	2696	1998-04-30	VYDAJ	VYBER	15	16592	SLUZBY	\N	\N
790795	2696	1998-05-31	VYDAJ	VYBER	15	18208	SLUZBY	\N	\N
790796	2696	1998-06-30	VYDAJ	VYBER	15	19832	SLUZBY	\N	\N
790797	2696	1998-07-31	VYDAJ	VYBER	15	21462	SLUZBY	\N	\N
790798	2696	1998-08-31	VYDAJ	VYBER	15	23099	SLUZBY	\N	\N
790799	2696	1998-09-30	VYDAJ	VYBER	15	24742	SLUZBY	\N	\N
790800	2696	1998-10-31	VYDAJ	VYBER	15	23911	SLUZBY	\N	\N
790801	2696	1998-11-30	VYDAJ	VYBER	15	24512	SLUZBY	\N	\N
790802	2696	1997-08-17	VYDAJ	VYBER	200	21414	\N	\N	\N
790822	2697	1993-06-26	PRIJEM	VKLAD	200	200	\N	\N	\N
790829	2697	1993-07-09	PRIJEM	VKLAD	6224	6424	\N	\N	\N
790830	2697	1993-08-09	PRIJEM	VKLAD	6224	20860	\N	\N	\N
790831	2697	1993-09-09	PRIJEM	VKLAD	6224	28652	\N	\N	\N
790832	2697	1993-10-09	PRIJEM	VKLAD	6224	31172	\N	\N	\N
790833	2697	1993-11-09	PRIJEM	VKLAD	6224	31900	\N	\N	\N
790834	2697	1993-12-09	PRIJEM	VKLAD	9336	35086	\N	\N	\N
790835	2697	1994-01-09	PRIJEM	VKLAD	6224	25826	\N	\N	\N
790836	2697	1994-02-09	PRIJEM	VKLAD	6224	20132	\N	\N	\N
790837	2697	1994-03-09	PRIJEM	VKLAD	6224	24566	\N	\N	\N
790838	2697	1994-04-09	PRIJEM	VKLAD	6224	29417	\N	\N	\N
790839	2697	1994-05-09	PRIJEM	VKLAD	6224	29583	\N	\N	\N
790840	2697	1994-06-09	PRIJEM	VKLAD	9336	32861	\N	\N	\N
790841	2697	1994-07-09	PRIJEM	VKLAD	6224	33638	\N	\N	\N
790842	2697	1994-08-09	PRIJEM	VKLAD	6224	29356	\N	\N	\N
790843	2697	1994-09-09	PRIJEM	VKLAD	6224	28234	\N	\N	\N
790844	2697	1994-10-09	PRIJEM	VKLAD	6224	31299	\N	\N	\N
790845	2697	1994-11-09	PRIJEM	VKLAD	6224	33475	\N	\N	\N
790846	2697	1994-12-09	PRIJEM	VKLAD	9336	33707	\N	\N	\N
790847	2697	1995-01-09	PRIJEM	VKLAD	6224	24799	\N	\N	\N
790848	2697	1995-02-09	PRIJEM	VKLAD	6224	25069	\N	\N	\N
790849	2697	1995-03-09	PRIJEM	VKLAD	6224	30405	\N	\N	\N
790850	2697	1995-04-09	PRIJEM	VKLAD	6224	30774	\N	\N	\N
790851	2697	1995-05-09	PRIJEM	VKLAD	6224	32447	\N	\N	\N
790852	2697	1995-06-09	PRIJEM	VKLAD	9336	35835	\N	\N	\N
790853	2697	1995-07-09	PRIJEM	VKLAD	6224	34820	\N	\N	\N
790854	2697	1995-08-09	PRIJEM	VKLAD	6224	33903	\N	\N	\N
790855	2697	1995-09-09	PRIJEM	VKLAD	6224	30065	\N	\N	\N
790856	2697	1995-10-09	PRIJEM	VKLAD	6224	32544	\N	\N	\N
790857	2697	1995-11-09	PRIJEM	VKLAD	6224	36027	\N	\N	\N
790858	2697	1995-12-09	PRIJEM	VKLAD	9336	37926	\N	\N	\N
790859	2697	1996-01-09	PRIJEM	VKLAD	6224	19627	\N	\N	\N
790860	2697	1996-02-09	PRIJEM	VKLAD	6224	19803	\N	\N	\N
790861	2697	1996-03-09	PRIJEM	VKLAD	6224	27446	\N	\N	\N
790862	2697	1996-04-09	PRIJEM	VKLAD	6224	23153	\N	\N	\N
790863	2697	1996-05-09	PRIJEM	VKLAD	6224	31211	\N	\N	\N
790864	2697	1996-06-09	PRIJEM	VKLAD	9336	38765	\N	\N	\N
790865	2697	1996-07-09	PRIJEM	VKLAD	6224	31656	\N	\N	\N
790866	2697	1996-08-09	PRIJEM	VKLAD	6224	37844	\N	\N	\N
790867	2697	1996-09-09	PRIJEM	VKLAD	6224	40234	\N	\N	\N
790868	2697	1996-10-09	PRIJEM	VKLAD	6224	44342	\N	\N	\N
790869	2697	1996-11-09	PRIJEM	VKLAD	6224	45270	\N	\N	\N
790870	2697	1996-12-09	PRIJEM	VKLAD	9336	45316	\N	\N	\N
790871	2697	1997-01-09	PRIJEM	VKLAD	6224	39388	\N	\N	\N
790872	2697	1997-02-09	PRIJEM	VKLAD	6224	35382	\N	\N	\N
790873	2697	1997-03-09	PRIJEM	VKLAD	6224	42966	\N	\N	\N
790874	2697	1997-04-09	PRIJEM	VKLAD	6224	43643	\N	\N	\N
790875	2697	1997-05-09	PRIJEM	VKLAD	6224	44563	\N	\N	\N
790876	2697	1997-06-09	PRIJEM	VKLAD	9336	50718	\N	\N	\N
790877	2697	1997-07-09	PRIJEM	VKLAD	6224	53667	\N	\N	\N
790878	2697	1997-08-09	PRIJEM	VKLAD	6224	51634	\N	\N	\N
790879	2697	1997-09-09	PRIJEM	VKLAD	6224	52695	\N	\N	\N
790880	2697	1997-10-09	PRIJEM	VKLAD	6224	56059	\N	\N	\N
790881	2697	1997-11-09	PRIJEM	VKLAD	6224	56674	\N	\N	\N
790882	2697	1997-12-09	PRIJEM	VKLAD	9336	65564	\N	\N	\N
790883	2697	1998-01-09	PRIJEM	VKLAD	6224	64333	\N	\N	\N
790884	2697	1998-02-09	PRIJEM	VKLAD	6224	57782	\N	\N	\N
790885	2697	1998-03-09	PRIJEM	VKLAD	6224	67166	\N	\N	\N
790886	2697	1998-04-09	PRIJEM	VKLAD	6224	65037	\N	\N	\N
790887	2697	1998-05-09	PRIJEM	VKLAD	6224	67150	\N	\N	\N
790888	2697	1998-06-09	PRIJEM	VKLAD	9336	46185	\N	\N	\N
790889	2697	1998-07-09	PRIJEM	VKLAD	6224	59916	\N	\N	\N
790890	2697	1998-08-09	PRIJEM	VKLAD	6224	66690	\N	\N	\N
790891	2697	1998-09-09	PRIJEM	VKLAD	6224	70510	\N	\N	\N
790892	2697	1998-10-09	PRIJEM	VKLAD	6224	74947	\N	\N	\N
790893	2697	1998-11-09	PRIJEM	VKLAD	6224	80804	\N	\N	\N
790894	2697	1998-12-09	PRIJEM	VKLAD	9336	81090	\N	\N	\N
790905	2697	1993-11-11	VYDAJ	PREVOD NA UCET	378	31522	SIPO	GH	87258666
790906	2697	1993-12-11	VYDAJ	PREVOD NA UCET	378	34708	SIPO	GH	87258666
790907	2697	1994-01-11	VYDAJ	PREVOD NA UCET	378	25448	SIPO	GH	87258666
790908	2697	1994-02-11	VYDAJ	PREVOD NA UCET	378	19754	SIPO	GH	87258666
790909	2697	1994-03-11	VYDAJ	PREVOD NA UCET	378	24188	SIPO	GH	87258666
790910	2697	1994-04-11	VYDAJ	PREVOD NA UCET	378	29039	SIPO	GH	87258666
790911	2697	1994-05-11	VYDAJ	PREVOD NA UCET	378	29205	SIPO	GH	87258666
790912	2697	1994-06-11	VYDAJ	PREVOD NA UCET	378	32483	SIPO	GH	87258666
790913	2697	1994-07-11	VYDAJ	PREVOD NA UCET	378	33260	SIPO	GH	87258666
790914	2697	1994-08-11	VYDAJ	PREVOD NA UCET	378	28978	SIPO	GH	87258666
790915	2697	1994-09-11	VYDAJ	PREVOD NA UCET	378	27856	SIPO	GH	87258666
790916	2697	1994-10-11	VYDAJ	PREVOD NA UCET	378	30921	SIPO	GH	87258666
790917	2697	1994-11-11	VYDAJ	PREVOD NA UCET	378	33097	SIPO	GH	87258666
790918	2697	1994-12-11	VYDAJ	PREVOD NA UCET	378	33329	SIPO	GH	87258666
790919	2697	1995-01-11	VYDAJ	PREVOD NA UCET	378	22621	SIPO	GH	87258666
790920	2697	1995-02-11	VYDAJ	PREVOD NA UCET	378	24691	SIPO	GH	87258666
790921	2697	1995-03-11	VYDAJ	PREVOD NA UCET	378	30027	SIPO	GH	87258666
790922	2697	1995-04-11	VYDAJ	PREVOD NA UCET	378	30396	SIPO	GH	87258666
790923	2697	1995-05-11	VYDAJ	PREVOD NA UCET	378	32069	SIPO	GH	87258666
790924	2697	1995-06-11	VYDAJ	PREVOD NA UCET	378	35457	SIPO	GH	87258666
790925	2697	1995-07-11	VYDAJ	PREVOD NA UCET	378	34442	SIPO	GH	87258666
790926	2697	1995-08-11	VYDAJ	PREVOD NA UCET	378	33525	SIPO	GH	87258666
790927	2697	1995-09-11	VYDAJ	PREVOD NA UCET	378	29687	SIPO	GH	87258666
790928	2697	1995-10-11	VYDAJ	PREVOD NA UCET	378	32166	SIPO	GH	87258666
790929	2697	1995-11-11	VYDAJ	PREVOD NA UCET	378	35649	SIPO	GH	87258666
790930	2697	1995-12-11	VYDAJ	PREVOD NA UCET	378	34988	SIPO	GH	87258666
790931	2697	1996-01-11	VYDAJ	PREVOD NA UCET	378	19249	SIPO	GH	87258666
790932	2697	1996-02-11	VYDAJ	PREVOD NA UCET	378	24925	SIPO	GH	87258666
790933	2697	1996-03-11	VYDAJ	PREVOD NA UCET	378	27068	SIPO	GH	87258666
790934	2697	1996-04-11	VYDAJ	PREVOD NA UCET	378	28675	SIPO	GH	87258666
790935	2697	1996-05-11	VYDAJ	PREVOD NA UCET	378	33933	SIPO	GH	87258666
790936	2697	1996-06-11	VYDAJ	PREVOD NA UCET	378	36887	SIPO	GH	87258666
790937	2697	1996-07-11	VYDAJ	PREVOD NA UCET	378	35278	SIPO	GH	87258666
790938	2697	1996-08-11	VYDAJ	PREVOD NA UCET	378	33566	SIPO	GH	87258666
790939	2697	1996-09-11	VYDAJ	PREVOD NA UCET	378	39856	SIPO	GH	87258666
790940	2697	1996-10-11	VYDAJ	PREVOD NA UCET	378	43964	SIPO	GH	87258666
790941	2697	1996-11-11	VYDAJ	PREVOD NA UCET	378	44892	SIPO	GH	87258666
790942	2697	1996-12-11	VYDAJ	PREVOD NA UCET	378	44938	SIPO	GH	87258666
790943	2697	1997-01-11	VYDAJ	PREVOD NA UCET	378	39010	SIPO	GH	87258666
790944	2697	1997-02-11	VYDAJ	PREVOD NA UCET	378	35004	SIPO	GH	87258666
790945	2697	1997-03-11	VYDAJ	PREVOD NA UCET	378	42588	SIPO	GH	87258666
790946	2697	1997-04-11	VYDAJ	PREVOD NA UCET	378	43265	SIPO	GH	87258666
790947	2697	1997-05-11	VYDAJ	PREVOD NA UCET	378	44185	SIPO	GH	87258666
790948	2697	1997-06-11	VYDAJ	PREVOD NA UCET	378	50340	SIPO	GH	87258666
790949	2697	1997-07-11	VYDAJ	PREVOD NA UCET	378	53289	SIPO	GH	87258666
790950	2697	1997-08-11	VYDAJ	PREVOD NA UCET	378	51256	SIPO	GH	87258666
790951	2697	1997-09-11	VYDAJ	PREVOD NA UCET	378	52317	SIPO	GH	87258666
790952	2697	1997-10-11	VYDAJ	PREVOD NA UCET	378	55681	SIPO	GH	87258666
790953	2697	1997-11-11	VYDAJ	PREVOD NA UCET	378	56296	SIPO	GH	87258666
790954	2697	1997-12-11	VYDAJ	PREVOD NA UCET	378	65186	SIPO	GH	87258666
790955	2697	1998-01-11	VYDAJ	PREVOD NA UCET	378	60475	SIPO	GH	87258666
790956	2697	1998-02-11	VYDAJ	PREVOD NA UCET	378	57404	SIPO	GH	87258666
790957	2697	1998-03-11	VYDAJ	PREVOD NA UCET	378	66788	SIPO	GH	87258666
790958	2697	1998-04-11	VYDAJ	PREVOD NA UCET	378	64659	SIPO	GH	87258666
790959	2697	1998-05-11	VYDAJ	PREVOD NA UCET	378	66772	SIPO	GH	87258666
790960	2697	1998-06-11	VYDAJ	PREVOD NA UCET	378	45807	SIPO	GH	87258666
790961	2697	1998-07-11	VYDAJ	PREVOD NA UCET	378	59538	SIPO	GH	87258666
790962	2697	1998-08-11	VYDAJ	PREVOD NA UCET	378	66312	SIPO	GH	87258666
790963	2697	1998-09-11	VYDAJ	PREVOD NA UCET	378	70132	SIPO	GH	87258666
790964	2697	1998-10-11	VYDAJ	PREVOD NA UCET	378	74569	SIPO	GH	87258666
790965	2697	1998-11-11	VYDAJ	PREVOD NA UCET	378	80426	SIPO	GH	87258666
790966	2697	1998-12-11	VYDAJ	PREVOD NA UCET	378	80712	SIPO	GH	87258666
790977	2697	1993-11-14	VYDAJ	PREVOD NA UCET	3142	28380	 	GH	34090870
790978	2697	1993-12-14	VYDAJ	PREVOD NA UCET	3142	31566	 	GH	34090870
790979	2697	1994-01-14	VYDAJ	PREVOD NA UCET	3142	20026	 	GH	34090870
790980	2697	1994-02-14	VYDAJ	PREVOD NA UCET	3142	16612	 	GH	34090870
790981	2697	1994-03-14	VYDAJ	PREVOD NA UCET	3142	21046	 	GH	34090870
790982	2697	1994-04-14	VYDAJ	PREVOD NA UCET	3142	25897	 	GH	34090870
790983	2697	1994-05-14	VYDAJ	PREVOD NA UCET	3142	26063	 	GH	34090870
790984	2697	1994-06-14	VYDAJ	PREVOD NA UCET	3142	29341	 	GH	34090870
790985	2697	1994-07-14	VYDAJ	PREVOD NA UCET	3142	30118	 	GH	34090870
790986	2697	1994-08-14	VYDAJ	PREVOD NA UCET	3142	20556	 	GH	34090870
790987	2697	1994-09-14	VYDAJ	PREVOD NA UCET	3142	24714	 	GH	34090870
790988	2697	1994-10-14	VYDAJ	PREVOD NA UCET	3142	27779	 	GH	34090870
790989	2697	1994-11-14	VYDAJ	PREVOD NA UCET	3142	29955	 	GH	34090870
790990	2697	1994-12-14	VYDAJ	PREVOD NA UCET	3142	25987	 	GH	34090870
790991	2697	1995-01-14	VYDAJ	PREVOD NA UCET	3142	17799	 	GH	34090870
790992	2697	1995-02-14	VYDAJ	PREVOD NA UCET	3142	21549	 	GH	34090870
790993	2697	1995-03-14	VYDAJ	PREVOD NA UCET	3142	26885	 	GH	34090870
790994	2697	1995-04-14	VYDAJ	PREVOD NA UCET	3142	27254	 	GH	34090870
790995	2697	1995-05-14	VYDAJ	PREVOD NA UCET	3142	28927	 	GH	34090870
790996	2697	1995-06-14	VYDAJ	PREVOD NA UCET	3142	32315	 	GH	34090870
790997	2697	1995-07-14	VYDAJ	PREVOD NA UCET	3142	30100	 	GH	34090870
790998	2697	1995-08-14	VYDAJ	PREVOD NA UCET	3142	30383	 	GH	34090870
790999	2697	1995-09-14	VYDAJ	PREVOD NA UCET	3142	26845	 	GH	34090870
791000	2697	1995-10-14	VYDAJ	PREVOD NA UCET	3142	30324	 	GH	34090870
791001	2697	1995-11-14	VYDAJ	PREVOD NA UCET	3142	29107	 	GH	34090870
791002	2697	1995-12-14	VYDAJ	PREVOD NA UCET	3142	27246	 	GH	34090870
791003	2697	1996-01-14	VYDAJ	PREVOD NA UCET	3142	23507	 	GH	34090870
791004	2697	1996-02-14	VYDAJ	PREVOD NA UCET	3142	21783	 	GH	34090870
791005	2697	1996-03-14	VYDAJ	PREVOD NA UCET	3142	22526	 	GH	34090870
791006	2697	1996-04-14	VYDAJ	PREVOD NA UCET	3142	25533	 	GH	34090870
791007	2697	1996-05-14	VYDAJ	PREVOD NA UCET	3142	30791	 	GH	34090870
791008	2697	1996-06-14	VYDAJ	PREVOD NA UCET	3142	33745	 	GH	34090870
791009	2697	1996-07-14	VYDAJ	PREVOD NA UCET	3142	32136	 	GH	34090870
791010	2697	1996-08-14	VYDAJ	PREVOD NA UCET	3142	30424	 	GH	34090870
791011	2697	1996-09-14	VYDAJ	PREVOD NA UCET	3142	36714	 	GH	34090870
791012	2697	1996-10-14	VYDAJ	PREVOD NA UCET	3142	40822	 	GH	34090870
791013	2697	1996-11-14	VYDAJ	PREVOD NA UCET	3142	41750	 	GH	34090870
791014	2697	1996-12-14	VYDAJ	PREVOD NA UCET	3142	41796	 	GH	34090870
791015	2697	1997-01-14	VYDAJ	PREVOD NA UCET	3142	35868	 	GH	34090870
791016	2697	1997-02-14	VYDAJ	PREVOD NA UCET	3142	31862	 	GH	34090870
791017	2697	1997-03-14	VYDAJ	PREVOD NA UCET	3142	39446	 	GH	34090870
791018	2697	1997-04-14	VYDAJ	PREVOD NA UCET	3142	40123	 	GH	34090870
791019	2697	1997-05-14	VYDAJ	PREVOD NA UCET	3142	41043	 	GH	34090870
791020	2697	1997-06-14	VYDAJ	PREVOD NA UCET	3142	47198	 	GH	34090870
791021	2697	1997-07-14	VYDAJ	PREVOD NA UCET	3142	50147	 	GH	34090870
791022	2697	1997-08-14	VYDAJ	PREVOD NA UCET	3142	48114	 	GH	34090870
791023	2697	1997-09-14	VYDAJ	PREVOD NA UCET	3142	49175	 	GH	34090870
791024	2697	1997-10-14	VYDAJ	PREVOD NA UCET	3142	52539	 	GH	34090870
791025	2697	1997-11-14	VYDAJ	PREVOD NA UCET	3142	53154	 	GH	34090870
791026	2697	1997-12-14	VYDAJ	PREVOD NA UCET	3142	62044	 	GH	34090870
791027	2697	1998-01-14	VYDAJ	PREVOD NA UCET	3142	57333	 	GH	34090870
791028	2697	1998-02-14	VYDAJ	PREVOD NA UCET	3142	54262	 	GH	34090870
791029	2697	1998-03-14	VYDAJ	PREVOD NA UCET	3142	63646	 	GH	34090870
791030	2697	1998-04-14	VYDAJ	PREVOD NA UCET	3142	61517	 	GH	34090870
791031	2697	1998-05-14	VYDAJ	PREVOD NA UCET	3142	63630	 	GH	34090870
791032	2697	1998-06-14	VYDAJ	PREVOD NA UCET	3142	42665	 	GH	34090870
791033	2697	1998-07-14	VYDAJ	PREVOD NA UCET	3142	56396	 	GH	34090870
791034	2697	1998-08-14	VYDAJ	PREVOD NA UCET	3142	63170	 	GH	34090870
791035	2697	1998-09-14	VYDAJ	PREVOD NA UCET	3142	66990	 	GH	34090870
791036	2697	1998-10-14	VYDAJ	PREVOD NA UCET	3142	71427	 	GH	34090870
791037	2697	1998-11-14	VYDAJ	PREVOD NA UCET	3142	77284	 	GH	34090870
791038	2697	1998-12-14	VYDAJ	PREVOD NA UCET	3142	77570	 	GH	34090870
791050	2697	1993-12-06	VYDAJ	PREVOD NA UCET	629	25750	POJISTNE	EF	3080630
791051	2697	1994-01-06	VYDAJ	PREVOD NA UCET	629	19602	POJISTNE	EF	3080630
791052	2697	1994-02-06	VYDAJ	PREVOD NA UCET	629	15108	POJISTNE	EF	3080630
791053	2697	1994-03-06	VYDAJ	PREVOD NA UCET	629	18342	POJISTNE	EF	3080630
791054	2697	1994-04-06	VYDAJ	PREVOD NA UCET	629	23193	POJISTNE	EF	3080630
791055	2697	1994-05-06	VYDAJ	PREVOD NA UCET	629	23359	POJISTNE	EF	3080630
791056	2697	1994-06-06	VYDAJ	PREVOD NA UCET	629	23525	POJISTNE	EF	3080630
791057	2697	1994-07-06	VYDAJ	PREVOD NA UCET	629	27414	POJISTNE	EF	3080630
791058	2697	1994-08-06	VYDAJ	PREVOD NA UCET	629	23132	POJISTNE	EF	3080630
791059	2697	1994-09-06	VYDAJ	PREVOD NA UCET	629	22010	POJISTNE	EF	3080630
791060	2697	1994-10-06	VYDAJ	PREVOD NA UCET	629	25075	POJISTNE	EF	3080630
791061	2697	1994-11-06	VYDAJ	PREVOD NA UCET	629	27251	POJISTNE	EF	3080630
791062	2697	1994-12-06	VYDAJ	PREVOD NA UCET	629	24371	POJISTNE	EF	3080630
791063	2697	1995-01-06	VYDAJ	PREVOD NA UCET	629	25055	POJISTNE	EF	3080630
791064	2697	1995-02-06	VYDAJ	PREVOD NA UCET	629	18845	POJISTNE	EF	3080630
791065	2697	1995-03-06	VYDAJ	PREVOD NA UCET	629	24181	POJISTNE	EF	3080630
791066	2697	1995-04-06	VYDAJ	PREVOD NA UCET	629	24550	POJISTNE	EF	3080630
791067	2697	1995-05-06	VYDAJ	PREVOD NA UCET	629	26223	POJISTNE	EF	3080630
791068	2697	1995-06-06	VYDAJ	PREVOD NA UCET	629	26499	POJISTNE	EF	3080630
791069	2697	1995-07-06	VYDAJ	PREVOD NA UCET	629	28596	POJISTNE	EF	3080630
791070	2697	1995-08-06	VYDAJ	PREVOD NA UCET	629	27679	POJISTNE	EF	3080630
791071	2697	1995-09-06	VYDAJ	PREVOD NA UCET	629	23841	POJISTNE	EF	3080630
791072	2697	1995-10-06	VYDAJ	PREVOD NA UCET	629	26320	POJISTNE	EF	3080630
791073	2697	1995-11-06	VYDAJ	PREVOD NA UCET	629	29803	POJISTNE	EF	3080630
791074	2697	1995-12-06	VYDAJ	PREVOD NA UCET	629	28590	POJISTNE	EF	3080630
791075	2697	1996-01-06	VYDAJ	PREVOD NA UCET	629	13403	POJISTNE	EF	3080630
791076	2697	1996-02-06	VYDAJ	PREVOD NA UCET	629	13579	POJISTNE	EF	3080630
791077	2697	1996-03-06	VYDAJ	PREVOD NA UCET	629	21222	POJISTNE	EF	3080630
791078	2697	1996-04-06	VYDAJ	PREVOD NA UCET	629	16929	POJISTNE	EF	3080630
791079	2697	1996-05-06	VYDAJ	PREVOD NA UCET	629	24987	POJISTNE	EF	3080630
791080	2697	1996-06-06	VYDAJ	PREVOD NA UCET	629	29429	POJISTNE	EF	3080630
791081	2697	1996-07-06	VYDAJ	PREVOD NA UCET	629	25432	POJISTNE	EF	3080630
791082	2697	1996-08-06	VYDAJ	PREVOD NA UCET	629	31620	POJISTNE	EF	3080630
791083	2697	1996-09-06	VYDAJ	PREVOD NA UCET	629	29910	POJISTNE	EF	3080630
791084	2697	1996-10-06	VYDAJ	PREVOD NA UCET	629	36218	POJISTNE	EF	3080630
791085	2697	1996-11-06	VYDAJ	PREVOD NA UCET	629	40346	POJISTNE	EF	3080630
791086	2697	1996-12-06	VYDAJ	PREVOD NA UCET	629	41280	POJISTNE	EF	3080630
791087	2697	1997-01-06	VYDAJ	PREVOD NA UCET	629	36524	POJISTNE	EF	3080630
791088	2697	1997-02-06	VYDAJ	PREVOD NA UCET	629	29158	POJISTNE	EF	3080630
791089	2697	1997-03-06	VYDAJ	PREVOD NA UCET	629	31342	POJISTNE	EF	3080630
791090	2697	1997-04-06	VYDAJ	PREVOD NA UCET	629	37419	POJISTNE	EF	3080630
791091	2697	1997-05-06	VYDAJ	PREVOD NA UCET	629	38339	POJISTNE	EF	3080630
791092	2697	1997-06-06	VYDAJ	PREVOD NA UCET	629	41382	POJISTNE	EF	3080630
791093	2697	1997-07-06	VYDAJ	PREVOD NA UCET	629	47443	POJISTNE	EF	3080630
791094	2697	1997-08-06	VYDAJ	PREVOD NA UCET	629	45410	POJISTNE	EF	3080630
791095	2697	1997-09-06	VYDAJ	PREVOD NA UCET	629	46471	POJISTNE	EF	3080630
791096	2697	1997-10-06	VYDAJ	PREVOD NA UCET	629	49835	POJISTNE	EF	3080630
791097	2697	1997-11-06	VYDAJ	PREVOD NA UCET	629	50450	POJISTNE	EF	3080630
791098	2697	1997-12-06	VYDAJ	PREVOD NA UCET	629	56228	POJISTNE	EF	3080630
791099	2697	1998-01-06	VYDAJ	PREVOD NA UCET	629	58109	POJISTNE	EF	3080630
791100	2697	1998-02-06	VYDAJ	PREVOD NA UCET	629	51558	POJISTNE	EF	3080630
791101	2697	1998-03-06	VYDAJ	PREVOD NA UCET	629	60942	POJISTNE	EF	3080630
791102	2697	1998-04-06	VYDAJ	PREVOD NA UCET	629	58813	POJISTNE	EF	3080630
791103	2697	1998-05-06	VYDAJ	PREVOD NA UCET	629	60926	POJISTNE	EF	3080630
791104	2697	1998-06-06	VYDAJ	PREVOD NA UCET	629	36849	POJISTNE	EF	3080630
791105	2697	1998-07-06	VYDAJ	PREVOD NA UCET	629	53692	POJISTNE	EF	3080630
791106	2697	1998-08-06	VYDAJ	PREVOD NA UCET	629	60466	POJISTNE	EF	3080630
791107	2697	1998-09-06	VYDAJ	PREVOD NA UCET	629	64286	POJISTNE	EF	3080630
791108	2697	1998-10-06	VYDAJ	PREVOD NA UCET	629	68723	POJISTNE	EF	3080630
791109	2697	1998-11-06	VYDAJ	PREVOD NA UCET	629	74580	POJISTNE	EF	3080630
791110	2697	1998-12-06	VYDAJ	PREVOD NA UCET	629	71754	POJISTNE	EF	3080630
791116	2697	1998-06-02	VYDAJ	VYBER	23200	37478	\N	\N	\N
791120	2697	1996-01-05	VYDAJ	VYBER	11520	14032	\N	\N	\N
791121	2697	1997-01-26	VYDAJ	VYBER	4000	24308	\N	\N	\N
791122	2697	1998-01-26	VYDAJ	VYBER	11840	42613	\N	\N	\N
791123	2697	1993-12-23	VYDAJ	VYBER	3840	24926	\N	\N	\N
791124	2697	1994-12-06	VYDAJ	VYBER	2560	25000	\N	\N	\N
791125	2697	1995-12-09	VYDAJ	VYBER	2560	35366	\N	\N	\N
791126	2697	1996-12-27	VYDAJ	VYBER	2400	39396	\N	\N	\N
791127	2697	1997-12-29	VYDAJ	VYBER	3520	58524	\N	\N	\N
791128	2697	1998-12-16	VYDAJ	VYBER	2720	74850	\N	\N	\N
791135	2697	1994-01-13	VYDAJ	VYBER	2280	23168	\N	\N	\N
791136	2697	1994-01-03	VYDAJ	VYBER	2160	22871	\N	\N	\N
791137	2697	1994-01-25	VYDAJ	VYBER	3120	18186	\N	\N	\N
791138	2697	1994-01-30	VYDAJ	VYBER	2520	15666	\N	\N	\N
791139	2697	1994-01-05	VYDAJ	VYBER	2640	20231	\N	\N	\N
791140	2697	1994-01-17	VYDAJ	VYBER	2520	17506	\N	\N	\N
791141	2697	1995-01-08	VYDAJ	VYBER	2640	18575	\N	\N	\N
791142	2697	1995-01-11	VYDAJ	VYBER	1800	22999	\N	\N	\N
791143	2697	1995-01-12	VYDAJ	VYBER	1680	20941	\N	\N	\N
791144	2697	1995-01-06	VYDAJ	VYBER	2880	22175	\N	\N	\N
791145	2697	1995-01-28	VYDAJ	VYBER	1200	19399	\N	\N	\N
791146	2697	1995-01-07	VYDAJ	VYBER	960	21215	\N	\N	\N
791147	2697	1996-01-14	VYDAJ	VYBER	3480	18107	\N	\N	\N
791150	2697	1996-01-14	VYDAJ	VYBER	1920	21587	\N	\N	\N
791151	2697	1996-01-04	VYDAJ	VYBER	1800	25552	\N	\N	\N
791152	2697	1996-01-18	VYDAJ	VYBER	3360	14747	\N	\N	\N
791153	2697	1997-01-23	VYDAJ	VYBER	1920	28308	\N	\N	\N
791154	2697	1997-01-08	VYDAJ	VYBER	2760	33164	\N	\N	\N
791155	2697	1997-01-04	VYDAJ	VYBER	2400	37153	\N	\N	\N
791156	2697	1997-01-26	VYDAJ	VYBER	1920	22388	\N	\N	\N
791157	2697	1997-01-15	VYDAJ	VYBER	2640	33228	\N	\N	\N
791158	2697	1997-01-19	VYDAJ	VYBER	3000	30228	\N	\N	\N
791159	2697	1998-01-20	VYDAJ	VYBER	600	56733	\N	\N	\N
791160	2697	1998-01-10	VYDAJ	VYBER	3480	60853	\N	\N	\N
791161	2697	1998-01-20	VYDAJ	VYBER	2280	54453	\N	\N	\N
791162	2697	1998-01-29	VYDAJ	VYBER	1800	39973	\N	\N	\N
791163	2697	1998-01-26	VYDAJ	VYBER	840	41773	\N	\N	\N
791164	2697	1998-01-05	VYDAJ	VYBER	2520	58738	\N	\N	\N
791171	2697	1994-02-06	VYDAJ	VYBER	1200	13908	\N	\N	\N
791172	2697	1994-12-12	VYDAJ	VYBER	4200	29129	\N	\N	\N
791173	2697	1994-07-18	VYDAJ	VYBER	3600	26518	\N	\N	\N
791174	2697	1994-08-13	VYDAJ	VYBER	5280	23698	\N	\N	\N
791175	2697	1994-07-28	VYDAJ	VYBER	3360	23658	\N	\N	\N
791176	2697	1995-02-19	VYDAJ	VYBER	720	24729	\N	\N	\N
791177	2697	1995-07-11	VYDAJ	VYBER	1200	33242	\N	\N	\N
791178	2697	1995-08-30	VYDAJ	VYBER	4920	24363	\N	\N	\N
791179	2697	1996-06-26	VYDAJ	VYBER	5880	25945	\N	\N	\N
791180	2697	1996-05-16	VYDAJ	VYBER	840	29951	\N	\N	\N
791181	2697	1996-06-16	VYDAJ	VYBER	1920	31825	\N	\N	\N
791182	2697	1996-02-01	VYDAJ	VYBER	600	14208	\N	\N	\N
791184	2697	1996-03-20	VYDAJ	VYBER	5040	17486	\N	\N	\N
791185	2697	1997-04-17	VYDAJ	VYBER	1800	38323	\N	\N	\N
791186	2697	1997-05-17	VYDAJ	VYBER	2880	38163	\N	\N	\N
791187	2697	1997-10-29	VYDAJ	VYBER	3360	49179	\N	\N	\N
791188	2697	1997-01-27	VYDAJ	VYBER	1920	20468	\N	\N	\N
791189	2697	1997-03-29	VYDAJ	VYBER	5040	34406	\N	\N	\N
791190	2697	1998-06-30	VYDAJ	VYBER	4320	54336	\N	\N	\N
791191	2697	1998-11-25	VYDAJ	VYBER	4200	73084	\N	\N	\N
791192	2697	1998-03-19	VYDAJ	VYBER	4440	59206	\N	\N	\N
791193	2697	1998-07-27	VYDAJ	VYBER	720	55676	\N	\N	\N
791205	2697	1993-11-30	VYDAJ	VYBER	15	26379	SLUZBY	\N	\N
791206	2697	1993-12-31	VYDAJ	VYBER	15	25031	SLUZBY	\N	\N
791207	2697	1994-01-31	VYDAJ	VYBER	15	15737	SLUZBY	\N	\N
791208	2697	1994-02-28	VYDAJ	VYBER	15	18971	SLUZBY	\N	\N
791209	2697	1994-03-31	VYDAJ	VYBER	15	23822	SLUZBY	\N	\N
791210	2697	1994-04-30	VYDAJ	VYBER	15	23988	SLUZBY	\N	\N
791211	2697	1994-05-31	VYDAJ	VYBER	15	24154	SLUZBY	\N	\N
791212	2697	1994-06-30	VYDAJ	VYBER	15	28043	SLUZBY	\N	\N
791213	2697	1994-07-31	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
791214	2697	1994-08-31	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
791215	2697	1994-09-30	VYDAJ	VYBER	15	25704	SLUZBY	\N	\N
791216	2697	1994-10-31	VYDAJ	VYBER	15	27880	SLUZBY	\N	\N
791217	2697	1994-11-30	VYDAJ	VYBER	15	27560	SLUZBY	\N	\N
791218	2697	1994-12-31	VYDAJ	VYBER	15	25684	SLUZBY	\N	\N
791219	2697	1995-01-31	VYDAJ	VYBER	15	19474	SLUZBY	\N	\N
791220	2697	1995-02-28	VYDAJ	VYBER	15	24810	SLUZBY	\N	\N
791221	2697	1995-03-31	VYDAJ	VYBER	15	25179	SLUZBY	\N	\N
791222	2697	1995-04-30	VYDAJ	VYBER	15	26852	SLUZBY	\N	\N
791223	2697	1995-05-31	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
791224	2697	1995-06-30	VYDAJ	VYBER	15	29225	SLUZBY	\N	\N
791225	2697	1995-07-31	VYDAJ	VYBER	15	28308	SLUZBY	\N	\N
791226	2697	1995-08-31	VYDAJ	VYBER	15	24470	SLUZBY	\N	\N
791227	2697	1995-09-30	VYDAJ	VYBER	15	26949	SLUZBY	\N	\N
791228	2697	1995-10-31	VYDAJ	VYBER	15	30432	SLUZBY	\N	\N
791229	2697	1995-11-30	VYDAJ	VYBER	15	29219	SLUZBY	\N	\N
791230	2697	1995-12-31	VYDAJ	VYBER	15	27352	SLUZBY	\N	\N
791231	2697	1996-01-31	VYDAJ	VYBER	15	14808	SLUZBY	\N	\N
791232	2697	1996-02-29	VYDAJ	VYBER	15	21851	SLUZBY	\N	\N
791233	2697	1996-03-31	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
791234	2697	1996-04-30	VYDAJ	VYBER	15	25616	SLUZBY	\N	\N
791235	2697	1996-05-31	VYDAJ	VYBER	15	30058	SLUZBY	\N	\N
791236	2697	1996-06-30	VYDAJ	VYBER	15	26061	SLUZBY	\N	\N
791237	2697	1996-07-31	VYDAJ	VYBER	15	32249	SLUZBY	\N	\N
791238	2697	1996-08-31	VYDAJ	VYBER	15	30539	SLUZBY	\N	\N
791239	2697	1996-09-30	VYDAJ	VYBER	15	36847	SLUZBY	\N	\N
791240	2697	1996-10-31	VYDAJ	VYBER	15	40975	SLUZBY	\N	\N
791241	2697	1996-11-30	VYDAJ	VYBER	15	41909	SLUZBY	\N	\N
791242	2697	1996-12-31	VYDAJ	VYBER	15	39553	SLUZBY	\N	\N
791243	2697	1997-01-31	VYDAJ	VYBER	15	20587	SLUZBY	\N	\N
791244	2697	1997-02-28	VYDAJ	VYBER	15	31971	SLUZBY	\N	\N
791245	2697	1997-03-31	VYDAJ	VYBER	15	34548	SLUZBY	\N	\N
791246	2697	1997-04-30	VYDAJ	VYBER	15	38468	SLUZBY	\N	\N
791247	2697	1997-05-31	VYDAJ	VYBER	15	38311	SLUZBY	\N	\N
791248	2697	1997-06-30	VYDAJ	VYBER	15	47372	SLUZBY	\N	\N
791249	2697	1997-07-31	VYDAJ	VYBER	15	50339	SLUZBY	\N	\N
791250	2697	1997-08-31	VYDAJ	VYBER	15	48300	SLUZBY	\N	\N
791251	2697	1997-09-30	VYDAJ	VYBER	15	49364	SLUZBY	\N	\N
791252	2697	1997-10-31	VYDAJ	VYBER	15	49379	SLUZBY	\N	\N
791253	2697	1997-11-30	VYDAJ	VYBER	15	53357	SLUZBY	\N	\N
791254	2697	1997-12-31	VYDAJ	VYBER	15	58758	SLUZBY	\N	\N
791255	2697	1998-01-31	VYDAJ	VYBER	15	52187	SLUZBY	\N	\N
791256	2697	1998-02-28	VYDAJ	VYBER	15	54471	SLUZBY	\N	\N
791257	2697	1998-03-31	VYDAJ	VYBER	15	59442	SLUZBY	\N	\N
791258	2697	1998-04-30	VYDAJ	VYBER	15	61755	SLUZBY	\N	\N
791259	2697	1998-05-31	VYDAJ	VYBER	15	63878	SLUZBY	\N	\N
791260	2697	1998-06-30	VYDAJ	VYBER	15	54321	SLUZBY	\N	\N
791261	2697	1998-07-31	VYDAJ	VYBER	15	61095	SLUZBY	\N	\N
791262	2697	1998-08-31	VYDAJ	VYBER	15	64915	SLUZBY	\N	\N
791263	2697	1998-09-30	VYDAJ	VYBER	15	69352	SLUZBY	\N	\N
791264	2697	1998-10-31	VYDAJ	VYBER	15	75209	SLUZBY	\N	\N
791265	2697	1998-11-30	VYDAJ	VYBER	15	72383	SLUZBY	\N	\N
791266	2697	1993-07-26	PRIJEM	VKLAD	8200	14624	\N	\N	\N
791267	2697	1993-08-25	PRIJEM	VKLAD	1500	22360	\N	\N	\N
791268	2697	1993-09-24	VYDAJ	VYBER	3800	24852	\N	\N	\N
791269	2697	1993-10-24	VYDAJ	VYBER	5600	25572	\N	\N	\N
791270	2697	1993-11-23	VYDAJ	VYBER	2100	26280	\N	\N	\N
791271	2697	1993-12-23	VYDAJ	VYBER	2800	28766	\N	\N	\N
791272	2697	1994-01-22	PRIJEM	VKLAD	3800	21306	\N	\N	\N
791273	2697	1994-02-21	PRIJEM	VKLAD	2300	18912	\N	\N	\N
791274	2697	1994-03-23	PRIJEM	VKLAD	2700	23746	\N	\N	\N
791275	2697	1994-04-22	VYDAJ	VYBER	2000	23897	\N	\N	\N
791276	2697	1994-05-22	VYDAJ	VYBER	2000	24063	\N	\N	\N
791277	2697	1994-06-21	VYDAJ	VYBER	1400	27941	\N	\N	\N
791278	2697	1994-07-21	PRIJEM	VKLAD	500	27018	\N	\N	\N
791279	2697	1994-08-20	PRIJEM	VKLAD	2000	22556	\N	\N	\N
791280	2697	1994-09-19	PRIJEM	VKLAD	900	25614	\N	\N	\N
791281	2697	1994-11-18	VYDAJ	VYBER	2500	27455	\N	\N	\N
791282	2697	1994-12-18	VYDAJ	VYBER	400	25587	\N	\N	\N
791283	2697	1995-01-17	PRIJEM	VKLAD	2800	20599	\N	\N	\N
791284	2697	1995-02-16	PRIJEM	VKLAD	3900	25449	\N	\N	\N
791285	2697	1995-03-18	VYDAJ	VYBER	1800	25085	\N	\N	\N
791286	2697	1995-04-17	VYDAJ	VYBER	500	26754	\N	\N	\N
791287	2697	1995-05-17	VYDAJ	VYBER	1900	27027	\N	\N	\N
791288	2697	1995-06-16	VYDAJ	VYBER	3200	29115	\N	\N	\N
791289	2697	1995-07-16	VYDAJ	VYBER	1900	28200	\N	\N	\N
791290	2697	1995-08-15	VYDAJ	VYBER	1100	29283	\N	\N	\N
791291	2697	1995-09-14	PRIJEM	VKLAD	300	29987	\N	\N	\N
791292	2697	1995-10-14	PRIJEM	VKLAD	1300	33466	\N	\N	\N
791293	2697	1995-11-13	VYDAJ	VYBER	3400	32249	\N	\N	\N
791294	2697	1995-12-13	VYDAJ	VYBER	4600	30388	\N	\N	\N
791295	2697	1996-01-12	PRIJEM	VKLAD	7400	26649	\N	\N	\N
791296	2697	1996-02-11	PRIJEM	VKLAD	5500	25303	\N	\N	\N
791297	2697	1996-03-12	VYDAJ	VYBER	1400	25668	\N	\N	\N
791298	2697	1996-04-11	PRIJEM	VKLAD	5900	29053	\N	\N	\N
791299	2697	1996-05-11	PRIJEM	VKLAD	3100	34311	\N	\N	\N
791300	2697	1996-06-10	VYDAJ	VYBER	1500	37265	\N	\N	\N
791301	2697	1996-07-10	PRIJEM	VKLAD	4000	35656	\N	\N	\N
791302	2697	1996-08-09	VYDAJ	VYBER	3900	33944	\N	\N	\N
791303	2697	1996-09-08	PRIJEM	VKLAD	4100	34010	\N	\N	\N
791304	2697	1996-10-08	PRIJEM	VKLAD	1900	38118	\N	\N	\N
791305	2697	1996-11-07	VYDAJ	VYBER	1300	39046	\N	\N	\N
791306	2697	1996-12-07	VYDAJ	VYBER	5300	35980	\N	\N	\N
791307	2697	1997-01-06	VYDAJ	VYBER	600	35924	\N	\N	\N
791308	2697	1997-02-05	PRIJEM	VKLAD	9200	29787	\N	\N	\N
791309	2697	1997-03-07	PRIJEM	VKLAD	5400	36742	\N	\N	\N
791310	2697	1997-04-06	PRIJEM	VKLAD	3500	38048	\N	\N	\N
791311	2697	1997-05-06	PRIJEM	VKLAD	500	38968	\N	\N	\N
791312	2697	1997-06-05	PRIJEM	VKLAD	3700	42011	\N	\N	\N
791313	2697	1997-07-05	PRIJEM	VKLAD	700	48072	\N	\N	\N
791314	2697	1997-08-04	VYDAJ	VYBER	4300	46039	\N	\N	\N
791315	2697	1997-09-03	VYDAJ	VYBER	1200	47100	\N	\N	\N
791316	2697	1997-10-03	PRIJEM	VKLAD	1100	50464	\N	\N	\N
791317	2697	1997-11-02	PRIJEM	VKLAD	1700	51079	\N	\N	\N
791318	2697	1997-12-02	PRIJEM	VKLAD	3500	56857	\N	\N	\N
791319	2697	1998-01-01	PRIJEM	VKLAD	2500	61258	\N	\N	\N
791320	2697	1998-01-31	PRIJEM	VKLAD	12000	52202	\N	\N	\N
791321	2697	1998-03-02	PRIJEM	VKLAD	7100	61571	\N	\N	\N
791322	2697	1998-05-01	VYDAJ	VYBER	200	61555	\N	\N	\N
791323	2697	1998-05-31	VYDAJ	VYBER	3200	60678	\N	\N	\N
791324	2697	1998-06-30	PRIJEM	VKLAD	15800	58465	\N	\N	\N
791325	2697	1998-07-30	PRIJEM	VKLAD	5200	60876	\N	\N	\N
791326	2697	1998-08-29	PRIJEM	VKLAD	1500	64670	\N	\N	\N
791327	2697	1998-09-28	PRIJEM	VKLAD	2100	69090	\N	\N	\N
791328	2697	1998-10-28	PRIJEM	VKLAD	3500	74927	\N	\N	\N
791329	2697	1998-11-27	VYDAJ	VYBER	1000	72084	\N	\N	\N
791396	2698	1997-05-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
791397	2698	1997-08-22	PRIJEM	VKLAD	30720	66440	\N	\N	\N
791398	2698	1997-07-07	PRIJEM	VKLAD	42046	56646	\N	\N	\N
791399	2698	1998-05-09	PRIJEM	VKLAD	17429	47742	\N	\N	\N
791400	2698	1998-01-12	PRIJEM	VKLAD	24914	59880	\N	\N	\N
791459	2698	1997-06-20	PRIJEM	VKLAD	13600	14600	\N	\N	\N
791460	2698	1997-07-20	VYDAJ	VYBER	10900	45746	\N	\N	\N
791461	2698	1997-08-19	VYDAJ	VYBER	10100	35720	\N	\N	\N
791462	2698	1997-09-18	VYDAJ	VYBER	17200	49458	\N	\N	\N
791463	2698	1997-10-18	VYDAJ	VYBER	11500	38235	\N	\N	\N
791464	2698	1997-11-17	VYDAJ	VYBER	5400	33112	\N	\N	\N
791465	2698	1997-12-17	PRIJEM	VKLAD	1300	34689	\N	\N	\N
791466	2698	1998-01-16	VYDAJ	VYBER	12100	47780	\N	\N	\N
791467	2698	1998-02-15	VYDAJ	VYBER	10200	37816	\N	\N	\N
791468	2698	1998-03-17	VYDAJ	VYBER	5100	32915	\N	\N	\N
791469	2698	1998-04-16	VYDAJ	VYBER KARTOU	3000	30114	\N	\N	0
791470	2698	1998-05-16	VYDAJ	VYBER	14000	33742	\N	\N	\N
791471	2698	1998-06-15	VYDAJ	VYBER	7600	26311	\N	\N	\N
791472	2698	1998-07-15	VYDAJ	VYBER KARTOU	2400	24052	\N	\N	0
791473	2698	1998-08-14	VYDAJ	VYBER KARTOU	1000	23192	\N	\N	0
791474	2698	1998-09-13	VYDAJ	VYBER KARTOU	1400	21933	\N	\N	0
791475	2698	1998-11-12	VYDAJ	VYBER KARTOU	2600	19473	\N	\N	0
791491	2699	1996-12-25	PRIJEM	VKLAD	300	300	\N	\N	\N
791504	2699	1997-01-11	PRIJEM	PREVOD Z UCTU	44899	45199	\N	QR	5296320
791505	2699	1997-02-11	PRIJEM	PREVOD Z UCTU	44899	77033	\N	QR	5296320
791506	2699	1997-03-11	PRIJEM	PREVOD Z UCTU	44899	95782	\N	QR	5296320
791507	2699	1997-04-11	PRIJEM	PREVOD Z UCTU	44899	100997	\N	QR	5296320
791508	2699	1997-05-11	PRIJEM	PREVOD Z UCTU	44899	85535	\N	QR	5296320
791509	2699	1997-06-11	PRIJEM	PREVOD Z UCTU	67348	122437	\N	QR	5296320
791510	2699	1997-07-11	PRIJEM	PREVOD Z UCTU	44899	85219	\N	QR	5296320
791511	2699	1997-08-11	PRIJEM	PREVOD Z UCTU	44899	93658	\N	QR	5296320
791512	2699	1997-09-11	PRIJEM	PREVOD Z UCTU	44899	78717	\N	QR	5296320
791513	2699	1997-10-11	PRIJEM	PREVOD Z UCTU	44899	93942	\N	QR	5296320
791514	2699	1997-11-11	PRIJEM	PREVOD Z UCTU	44899	98709	\N	QR	5296320
791515	2699	1997-12-11	PRIJEM	PREVOD Z UCTU	67348	117136	\N	QR	5296320
791516	2699	1998-01-11	PRIJEM	PREVOD Z UCTU	44899	70653	\N	QR	5296320
791517	2699	1998-02-11	PRIJEM	PREVOD Z UCTU	44899	61805	\N	QR	5296320
791518	2699	1998-03-11	PRIJEM	PREVOD Z UCTU	44899	89261	\N	QR	5296320
791519	2699	1998-04-11	PRIJEM	PREVOD Z UCTU	44899	71669	\N	QR	5296320
791520	2699	1998-05-11	PRIJEM	PREVOD Z UCTU	44899	72922	\N	QR	5296320
791521	2699	1998-06-11	PRIJEM	PREVOD Z UCTU	67348	88529	\N	QR	5296320
791522	2699	1998-07-11	PRIJEM	PREVOD Z UCTU	44899	100035	\N	QR	5296320
791523	2699	1998-08-11	PRIJEM	PREVOD Z UCTU	44899	105905	\N	QR	5296320
791524	2699	1998-09-11	PRIJEM	PREVOD Z UCTU	44899	86123	\N	QR	5296320
791525	2699	1998-10-11	PRIJEM	PREVOD Z UCTU	44899	69377	\N	QR	5296320
791526	2699	1998-11-11	PRIJEM	PREVOD Z UCTU	44899	91329	\N	QR	5296320
791527	2699	1998-12-11	PRIJEM	PREVOD Z UCTU	67348	120882	\N	QR	5296320
791544	2699	1997-05-08	VYDAJ	VYBER	4100	40636	\N	\N	0
791545	2699	1997-06-12	VYDAJ	VYBER	5000	101137	\N	\N	0
791546	2699	1997-07-22	VYDAJ	VYBER	4300	80919	\N	\N	0
791547	2699	1997-07-26	VYDAJ	VYBER	3700	52919	\N	\N	0
791548	2699	1997-08-31	VYDAJ	VYBER	6200	49923	\N	\N	0
791549	2699	1997-09-22	VYDAJ	VYBER	6300	53217	\N	\N	0
791550	2699	1997-10-30	VYDAJ	VYBER	5300	57942	\N	\N	0
791551	2699	1997-12-19	VYDAJ	VYBER	4400	87436	\N	\N	0
791552	2699	1998-01-16	VYDAJ	VYBER	3800	62653	\N	\N	0
791553	2699	1998-01-31	VYDAJ	VYBER	5200	21311	\N	\N	0
791554	2699	1998-03-13	VYDAJ	VYBER	3800	64098	\N	\N	0
791555	2699	1998-04-12	VYDAJ	VYBER	6700	64969	\N	\N	0
791556	2699	1998-05-12	VYDAJ	VYBER	6500	66422	\N	\N	0
791557	2699	1998-06-19	VYDAJ	VYBER	3500	59329	\N	\N	0
791558	2699	1998-07-13	VYDAJ	VYBER	3800	96235	\N	\N	0
791559	2699	1998-08-14	VYDAJ	VYBER	2700	49105	\N	\N	0
791560	2699	1998-09-12	VYDAJ	PREVOD NA UCET	4816	81307	UVER	AB	41725951
791561	2699	1998-10-12	VYDAJ	PREVOD NA UCET	4816	64561	UVER	AB	41725951
791562	2699	1998-11-12	VYDAJ	PREVOD NA UCET	4816	86513	UVER	AB	41725951
791563	2699	1998-12-12	VYDAJ	PREVOD NA UCET	4816	97166	UVER	AB	41725951
791581	2699	1997-06-06	VYDAJ	PREVOD NA UCET	3743	55089	SIPO	IJ	10817695
791582	2699	1997-07-06	VYDAJ	PREVOD NA UCET	3743	40320	SIPO	IJ	10817695
791583	2699	1997-08-06	VYDAJ	PREVOD NA UCET	3743	49421	SIPO	IJ	10817695
791584	2699	1997-09-06	VYDAJ	PREVOD NA UCET	3743	33818	SIPO	IJ	10817695
791585	2699	1997-10-06	VYDAJ	PREVOD NA UCET	3743	49705	SIPO	IJ	10817695
791586	2699	1997-11-06	VYDAJ	PREVOD NA UCET	3743	53810	SIPO	IJ	10817695
791587	2699	1997-12-06	VYDAJ	PREVOD NA UCET	3743	50450	SIPO	IJ	10817695
791588	2699	1998-01-06	VYDAJ	PREVOD NA UCET	3743	28516	SIPO	IJ	10817695
791589	2699	1998-02-06	VYDAJ	PREVOD NA UCET	3743	17568	SIPO	IJ	10817695
791590	2699	1998-03-06	VYDAJ	PREVOD NA UCET	3743	44362	SIPO	IJ	10817695
791591	2699	1998-04-06	VYDAJ	PREVOD NA UCET	3743	26770	SIPO	IJ	10817695
791592	2699	1998-05-06	VYDAJ	PREVOD NA UCET	3743	28023	SIPO	IJ	10817695
791593	2699	1998-06-06	VYDAJ	PREVOD NA UCET	3743	21843	SIPO	IJ	10817695
791594	2699	1998-07-06	VYDAJ	PREVOD NA UCET	3743	55798	SIPO	IJ	10817695
791595	2699	1998-08-06	VYDAJ	PREVOD NA UCET	3743	61668	SIPO	IJ	10817695
791596	2699	1998-09-06	VYDAJ	PREVOD NA UCET	3743	41886	SIPO	IJ	10817695
791597	2699	1998-10-06	VYDAJ	PREVOD NA UCET	3743	25140	SIPO	IJ	10817695
791598	2699	1998-11-06	VYDAJ	PREVOD NA UCET	3743	46430	SIPO	IJ	10817695
791599	2699	1998-12-06	VYDAJ	PREVOD NA UCET	3743	54196	SIPO	IJ	10817695
791617	2699	1997-06-06	VYDAJ	PREVOD NA UCET	662	58832	 	CD	32435608
791618	2699	1997-07-06	VYDAJ	PREVOD NA UCET	662	44063	 	CD	32435608
791619	2699	1997-08-06	VYDAJ	PREVOD NA UCET	662	48759	 	CD	32435608
791620	2699	1997-09-06	VYDAJ	PREVOD NA UCET	662	37561	 	CD	32435608
791621	2699	1997-10-06	VYDAJ	PREVOD NA UCET	662	49043	 	CD	32435608
791622	2699	1997-11-06	VYDAJ	PREVOD NA UCET	662	57553	 	CD	32435608
791623	2699	1997-12-06	VYDAJ	PREVOD NA UCET	662	49788	 	CD	32435608
791624	2699	1998-01-06	VYDAJ	PREVOD NA UCET	662	27854	 	CD	32435608
791625	2699	1998-02-06	VYDAJ	PREVOD NA UCET	662	16906	 	CD	32435608
791626	2699	1998-03-06	VYDAJ	PREVOD NA UCET	662	48105	 	CD	32435608
791627	2699	1998-04-06	VYDAJ	PREVOD NA UCET	662	30513	 	CD	32435608
791628	2699	1998-05-06	VYDAJ	PREVOD NA UCET	662	31766	 	CD	32435608
791629	2699	1998-06-06	VYDAJ	PREVOD NA UCET	662	21181	 	CD	32435608
791630	2699	1998-07-06	VYDAJ	PREVOD NA UCET	662	55136	 	CD	32435608
791631	2699	1998-08-06	VYDAJ	PREVOD NA UCET	662	61006	 	CD	32435608
791632	2699	1998-09-06	VYDAJ	PREVOD NA UCET	662	41224	 	CD	32435608
791633	2699	1998-10-06	VYDAJ	PREVOD NA UCET	662	24478	 	CD	32435608
791634	2699	1998-11-06	VYDAJ	PREVOD NA UCET	662	50173	 	CD	32435608
791635	2699	1998-12-06	VYDAJ	PREVOD NA UCET	662	53534	 	CD	32435608
791650	2699	1997-12-21	VYBER	VYBER	21013	39223	\N	\N	\N
791651	2699	1998-03-17	VYBER	VYBER	11232	52866	\N	\N	\N
791652	2699	1998-12-21	VYBER	VYBER	10975	52191	\N	\N	\N
791653	2699	1998-11-15	VYBER	VYBER	2724	83789	\N	\N	\N
791654	2699	1998-09-20	VYBER	VYBER	24438	28711	\N	\N	\N
791655	2699	1998-05-28	VYBER	VYBER	14198	25424	\N	\N	\N
791657	2699	1998-03-30	VYBER	VYBER	10185	30981	\N	\N	\N
791658	2699	1998-09-13	VYBER	VYBER	9858	71449	\N	\N	\N
791659	2699	1998-03-13	VYBER	VYBER	21363	67898	\N	\N	\N
791661	2699	1997-06-22	VYDAJ	VYBER	26400	74737	\N	\N	\N
791667	2699	1997-12-01	VYDAJ	VYBER	5700	54193	\N	\N	\N
791668	2699	1998-12-19	VYDAJ	VYBER KARTOU	1500	63166	\N	\N	0
791681	2699	1998-01-20	VYDAJ	VYBER	8400	35953	\N	\N	\N
791682	2699	1998-01-29	VYDAJ	VYBER KARTOU	1800	26353	\N	\N	0
791683	2699	1998-01-26	VYDAJ	VYBER	7800	28153	\N	\N	\N
791684	2699	1998-01-10	VYDAJ	VYBER KARTOU	2100	25754	\N	\N	0
791685	2699	1998-01-04	VYDAJ	VYBER	7200	32259	\N	\N	\N
791686	2699	1998-01-13	VYDAJ	VYBER	4200	66453	\N	\N	\N
791693	2699	1997-09-04	VYDAJ	VYBER	11700	38223	\N	\N	\N
791694	2699	1997-11-25	VYDAJ	VYBER	4800	59609	\N	\N	\N
791696	2699	1997-06-27	VYDAJ	VYBER	9600	44437	\N	\N	\N
791700	2699	1997-08-21	VYDAJ	VYBER	13800	79858	\N	\N	\N
791701	2699	1998-04-22	VYDAJ	VYBER	9600	32269	\N	\N	\N
791702	2699	1998-05-12	VYDAJ	VYBER	10200	56222	\N	\N	\N
791703	2699	1998-11-20	VYDAJ	VYBER	7200	57689	\N	\N	\N
791721	2699	1997-05-31	VYDAJ	VYBER	15	59494	SLUZBY	\N	\N
791722	2699	1997-06-30	VYDAJ	VYBER	15	44725	SLUZBY	\N	\N
791723	2699	1997-07-31	VYDAJ	VYBER	15	53164	SLUZBY	\N	\N
791724	2699	1997-08-31	VYDAJ	VYBER	15	56123	SLUZBY	\N	\N
791725	2699	1997-09-30	VYDAJ	VYBER	15	53448	SLUZBY	\N	\N
791726	2699	1997-10-31	VYDAJ	VYBER	15	58215	SLUZBY	\N	\N
791727	2699	1997-11-30	VYDAJ	VYBER	15	59893	SLUZBY	\N	\N
791728	2699	1997-12-31	VYDAJ	VYBER	15	39459	SLUZBY	\N	\N
791729	2699	1998-01-31	VYDAJ	VYBER	15	26511	SLUZBY	\N	\N
791730	2699	1998-02-28	VYDAJ	VYBER	15	48767	SLUZBY	\N	\N
791731	2699	1998-03-31	VYDAJ	VYBER	15	31175	SLUZBY	\N	\N
791732	2699	1998-04-30	VYDAJ	VYBER	15	32428	SLUZBY	\N	\N
791733	2699	1998-05-31	VYDAJ	VYBER	15	25586	SLUZBY	\N	\N
791734	2699	1998-06-30	VYDAJ	VYBER	15	59541	SLUZBY	\N	\N
791735	2699	1998-07-31	VYDAJ	VYBER	15	65411	SLUZBY	\N	\N
791736	2699	1998-08-31	VYDAJ	VYBER	15	45629	SLUZBY	\N	\N
791737	2699	1998-09-30	VYDAJ	VYBER	15	28883	SLUZBY	\N	\N
791738	2699	1998-10-31	VYDAJ	VYBER	15	50835	SLUZBY	\N	\N
791739	2699	1998-11-30	VYDAJ	VYBER	15	57939	SLUZBY	\N	\N
791740	2699	1997-01-24	VYDAJ	VYBER	13100	32099	\N	\N	\N
791741	2699	1997-02-23	VYDAJ	VYBER	26300	50733	\N	\N	\N
791742	2699	1997-03-25	VYDAJ	VYBER	39900	55882	\N	\N	\N
791743	2699	1997-04-11	VYDAJ	VYBER	35600	65397	\N	\N	\N
791744	2699	1997-04-24	VYDAJ	VYBER	20900	44497	\N	\N	\N
791745	2699	1997-05-24	VYDAJ	VYBER	26300	59235	\N	\N	\N
791746	2699	1997-06-11	VYDAJ	VYBER	16300	106137	\N	\N	\N
791747	2699	1997-06-23	VYDAJ	VYBER	20700	54037	\N	\N	\N
791748	2699	1997-07-23	VYDAJ	VYBER	24300	56619	\N	\N	\N
791749	2699	1997-08-22	VYDAJ	VYBER	24000	55858	\N	\N	\N
791750	2699	1997-09-21	VYDAJ	VYBER	19200	59517	\N	\N	\N
791751	2699	1997-10-21	VYDAJ	VYBER	30700	63242	\N	\N	\N
791752	2699	1997-11-20	VYDAJ	VYBER	34300	64409	\N	\N	\N
791753	2699	1997-12-11	VYDAJ	VYBER	25300	91836	\N	\N	\N
791754	2699	1997-12-20	VYDAJ	VYBER	27200	60236	\N	\N	\N
791755	2699	1998-01-19	VYDAJ	VYBER	18300	44353	\N	\N	\N
791756	2699	1998-02-18	VYDAJ	VYBER	13200	48605	\N	\N	\N
791757	2699	1998-03-20	VYDAJ	VYBER	11700	41166	\N	\N	\N
791758	2699	1998-04-19	VYDAJ	VYBER	23100	41869	\N	\N	\N
791759	2699	1998-05-19	VYDAJ	VYBER	16600	39622	\N	\N	\N
791760	2699	1998-06-18	VYDAJ	VYBER	25700	62829	\N	\N	\N
791761	2699	1998-07-18	VYDAJ	VYBER	31100	65135	\N	\N	\N
791762	2699	1998-08-11	VYDAJ	VYBER	54100	51805	\N	\N	\N
791763	2699	1998-08-17	VYDAJ	VYBER KARTOU	3700	45405	\N	\N	0
791764	2699	1998-09-16	VYDAJ	VYBER	18300	53149	\N	\N	\N
791765	2699	1998-10-16	VYDAJ	VYBER	13900	50661	\N	\N	\N
791766	2699	1998-11-15	VYDAJ	VYBER	18900	64889	\N	\N	\N
791767	2699	1998-12-11	VYDAJ	VYBER	18900	101982	\N	\N	\N
791768	2699	1998-12-15	VYDAJ	VYBER	32500	64666	\N	\N	\N
791793	2700	1993-11-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
791805	2700	1993-12-06	PRIJEM	PREVOD Z UCTU	45612	46712	\N	WX	59107029
791806	2700	1994-01-06	PRIJEM	PREVOD Z UCTU	30408	65332	\N	WX	59107029
791807	2700	1994-02-06	PRIJEM	PREVOD Z UCTU	30408	75218	\N	WX	59107029
791808	2700	1994-03-06	PRIJEM	PREVOD Z UCTU	30408	79317	\N	WX	59107029
791809	2700	1994-04-06	PRIJEM	PREVOD Z UCTU	30408	81761	\N	WX	59107029
791810	2700	1994-05-06	PRIJEM	PREVOD Z UCTU	30408	55519	\N	WX	59107029
791811	2700	1994-06-06	PRIJEM	PREVOD Z UCTU	45612	71943	\N	WX	59107029
791812	2700	1994-07-06	PRIJEM	PREVOD Z UCTU	30408	56365	\N	WX	59107029
791813	2700	1994-08-06	PRIJEM	PREVOD Z UCTU	30408	55305	\N	WX	59107029
791814	2700	1994-09-06	PRIJEM	PREVOD Z UCTU	30408	56399	\N	WX	59107029
791815	2700	1994-10-06	PRIJEM	PREVOD Z UCTU	30408	48517	\N	WX	59107029
791816	2700	1994-11-06	PRIJEM	PREVOD Z UCTU	30408	50434	\N	WX	59107029
791817	2700	1994-12-06	PRIJEM	PREVOD Z UCTU	45612	68689	\N	WX	59107029
791818	2700	1995-01-06	PRIJEM	PREVOD Z UCTU	30408	50214	\N	WX	59107029
791819	2700	1995-02-06	PRIJEM	PREVOD Z UCTU	30408	54146	\N	WX	59107029
791820	2700	1995-03-06	PRIJEM	PREVOD Z UCTU	30408	49814	\N	WX	59107029
791821	2700	1995-04-06	PRIJEM	PREVOD Z UCTU	30408	57963	\N	WX	59107029
791822	2700	1995-05-06	PRIJEM	PREVOD Z UCTU	30408	60149	\N	WX	59107029
791823	2700	1995-06-06	PRIJEM	PREVOD Z UCTU	45612	77750	\N	WX	59107029
791824	2700	1995-07-06	PRIJEM	PREVOD Z UCTU	30408	50738	\N	WX	59107029
791825	2700	1995-08-06	PRIJEM	PREVOD Z UCTU	30408	50977	\N	WX	59107029
791826	2700	1995-09-06	PRIJEM	PREVOD Z UCTU	30408	55100	\N	WX	59107029
791827	2700	1995-10-06	PRIJEM	PREVOD Z UCTU	30408	55650	\N	WX	59107029
791828	2700	1995-11-06	PRIJEM	PREVOD Z UCTU	30408	52575	\N	WX	59107029
791829	2700	1995-12-06	PRIJEM	PREVOD Z UCTU	45612	65159	\N	WX	59107029
791830	2700	1996-01-06	PRIJEM	PREVOD Z UCTU	30408	53097	\N	WX	59107029
791831	2700	1996-02-06	PRIJEM	PREVOD Z UCTU	30408	48413	\N	WX	59107029
791832	2700	1996-03-06	PRIJEM	PREVOD Z UCTU	30408	47165	\N	WX	59107029
791833	2700	1996-04-06	PRIJEM	PREVOD Z UCTU	30408	51477	\N	WX	59107029
791834	2700	1996-05-06	PRIJEM	PREVOD Z UCTU	30408	47885	\N	WX	59107029
791835	2700	1996-06-06	PRIJEM	PREVOD Z UCTU	45612	64091	\N	WX	59107029
791836	2700	1996-07-06	PRIJEM	PREVOD Z UCTU	30408	53654	\N	WX	59107029
791837	2700	1996-08-06	PRIJEM	PREVOD Z UCTU	30408	50071	\N	WX	59107029
791838	2700	1996-09-06	PRIJEM	PREVOD Z UCTU	30408	57229	\N	WX	59107029
791839	2700	1996-10-06	PRIJEM	PREVOD Z UCTU	30408	55178	\N	WX	59107029
791840	2700	1996-11-06	PRIJEM	PREVOD Z UCTU	30408	49696	\N	WX	59107029
791841	2700	1996-12-06	PRIJEM	PREVOD Z UCTU	45612	59892	\N	WX	59107029
791842	2700	1997-01-06	PRIJEM	PREVOD Z UCTU	30408	50599	\N	WX	59107029
791843	2700	1997-02-06	PRIJEM	PREVOD Z UCTU	30408	55809	\N	WX	59107029
791844	2700	1997-03-06	PRIJEM	PREVOD Z UCTU	30408	64053	\N	WX	59107029
791845	2700	1997-04-06	PRIJEM	PREVOD Z UCTU	30408	63533	\N	WX	59107029
791846	2700	1997-05-06	PRIJEM	PREVOD Z UCTU	30408	48567	\N	WX	59107029
792313	2700	1994-09-30	VYDAJ	VYBER	15	20109	SLUZBY	\N	\N
791847	2700	1997-06-06	PRIJEM	PREVOD Z UCTU	45612	71071	\N	WX	59107029
791848	2700	1997-07-06	PRIJEM	PREVOD Z UCTU	30408	48659	\N	WX	59107029
791849	2700	1997-08-06	PRIJEM	PREVOD Z UCTU	30408	59960	\N	WX	59107029
791850	2700	1997-09-06	PRIJEM	PREVOD Z UCTU	30408	62211	\N	WX	59107029
791851	2700	1997-10-06	PRIJEM	PREVOD Z UCTU	30408	45723	\N	WX	59107029
791852	2700	1997-11-06	PRIJEM	PREVOD Z UCTU	30408	61428	\N	WX	59107029
791853	2700	1997-12-06	PRIJEM	PREVOD Z UCTU	45612	72463	\N	WX	59107029
791854	2700	1998-01-06	PRIJEM	PREVOD Z UCTU	30408	53384	\N	WX	59107029
791855	2700	1998-02-06	PRIJEM	PREVOD Z UCTU	30408	55602	\N	WX	59107029
791856	2700	1998-03-06	PRIJEM	PREVOD Z UCTU	30408	64457	\N	WX	59107029
791857	2700	1998-04-06	PRIJEM	PREVOD Z UCTU	30408	68579	\N	WX	59107029
791858	2700	1998-05-06	PRIJEM	PREVOD Z UCTU	30408	81302	\N	WX	59107029
791859	2700	1998-06-06	PRIJEM	PREVOD Z UCTU	45612	67085	\N	WX	59107029
791860	2700	1998-07-06	PRIJEM	PREVOD Z UCTU	30408	56711	\N	WX	59107029
791861	2700	1998-08-06	PRIJEM	PREVOD Z UCTU	30408	55155	\N	WX	59107029
791862	2700	1998-09-06	PRIJEM	PREVOD Z UCTU	30408	56249	\N	WX	59107029
791863	2700	1998-10-06	PRIJEM	PREVOD Z UCTU	30408	71992	\N	WX	59107029
791864	2700	1998-11-06	PRIJEM	PREVOD Z UCTU	30408	51710	\N	WX	59107029
791865	2700	1998-12-06	PRIJEM	PREVOD Z UCTU	45612	82651	\N	WX	59107029
791881	2700	1994-04-13	VYDAJ	PREVOD NA UCET	5221	36965	SIPO	GH	2221990
791882	2700	1994-05-13	VYDAJ	PREVOD NA UCET	5221	27346	SIPO	GH	2221990
791883	2700	1994-06-13	VYDAJ	PREVOD NA UCET	5221	26970	SIPO	GH	2221990
791884	2700	1994-07-13	VYDAJ	PREVOD NA UCET	5221	24369	SIPO	GH	2221990
791885	2700	1994-08-13	VYDAJ	PREVOD NA UCET	5221	40509	SIPO	GH	2221990
791886	2700	1994-09-13	VYDAJ	PREVOD NA UCET	5221	33203	SIPO	GH	2221990
791887	2700	1994-10-13	VYDAJ	PREVOD NA UCET	5221	25244	SIPO	GH	2221990
791888	2700	1994-11-13	VYDAJ	PREVOD NA UCET	5221	35638	SIPO	GH	2221990
791889	2700	1994-12-13	VYDAJ	PREVOD NA UCET	5221	47358	SIPO	GH	2221990
791890	2700	1995-01-13	VYDAJ	PREVOD NA UCET	5221	32941	SIPO	GH	2221990
791891	2700	1995-02-13	VYDAJ	PREVOD NA UCET	5221	21088	SIPO	GH	2221990
791892	2700	1995-03-13	VYDAJ	PREVOD NA UCET	5221	36141	SIPO	GH	2221990
791893	2700	1995-04-13	VYDAJ	PREVOD NA UCET	5221	44290	SIPO	GH	2221990
791894	2700	1995-05-13	VYDAJ	PREVOD NA UCET	5221	45353	SIPO	GH	2221990
791895	2700	1995-06-13	VYDAJ	PREVOD NA UCET	5221	39591	SIPO	GH	2221990
791896	2700	1995-07-13	VYDAJ	PREVOD NA UCET	5221	23263	SIPO	GH	2221990
791897	2700	1995-08-13	VYDAJ	PREVOD NA UCET	5221	36181	SIPO	GH	2221990
791898	2700	1995-09-13	VYDAJ	PREVOD NA UCET	5221	40304	SIPO	GH	2221990
791899	2700	1995-10-13	VYDAJ	PREVOD NA UCET	5221	35077	SIPO	GH	2221990
791900	2700	1995-11-13	VYDAJ	PREVOD NA UCET	5221	31848	SIPO	GH	2221990
791901	2700	1995-12-13	VYDAJ	PREVOD NA UCET	5221	41886	SIPO	GH	2221990
791902	2700	1996-01-13	VYDAJ	PREVOD NA UCET	5221	20224	SIPO	GH	2221990
791903	2700	1996-02-13	VYDAJ	PREVOD NA UCET	5221	23209	SIPO	GH	2221990
791904	2700	1996-03-13	VYDAJ	PREVOD NA UCET	5221	32369	SIPO	GH	2221990
791905	2700	1996-04-13	VYDAJ	PREVOD NA UCET	5221	37804	SIPO	GH	2221990
791906	2700	1996-05-13	VYDAJ	PREVOD NA UCET	5221	34212	SIPO	GH	2221990
791907	2700	1996-06-13	VYDAJ	PREVOD NA UCET	5221	23167	SIPO	GH	2221990
791908	2700	1996-07-13	VYDAJ	PREVOD NA UCET	5221	39981	SIPO	GH	2221990
791909	2700	1996-08-13	VYDAJ	PREVOD NA UCET	5221	36398	SIPO	GH	2221990
791910	2700	1996-09-13	VYDAJ	PREVOD NA UCET	5221	42433	SIPO	GH	2221990
791911	2700	1996-10-13	VYDAJ	PREVOD NA UCET	5221	41505	SIPO	GH	2221990
791912	2700	1996-11-13	VYDAJ	PREVOD NA UCET	5221	36023	SIPO	GH	2221990
791913	2700	1996-12-13	VYDAJ	PREVOD NA UCET	5221	46219	SIPO	GH	2221990
791914	2700	1997-01-13	VYDAJ	PREVOD NA UCET	5221	35803	SIPO	GH	2221990
791915	2700	1997-02-13	VYDAJ	PREVOD NA UCET	5221	34628	SIPO	GH	2221990
791916	2700	1997-03-13	VYDAJ	PREVOD NA UCET	5221	33000	SIPO	GH	2221990
791917	2700	1997-04-13	VYDAJ	PREVOD NA UCET	5221	49860	SIPO	GH	2221990
791918	2700	1997-05-13	VYDAJ	PREVOD NA UCET	5221	26494	SIPO	GH	2221990
791919	2700	1997-06-13	VYDAJ	PREVOD NA UCET	5221	18175	SIPO	GH	2221990
791920	2700	1997-07-13	VYDAJ	PREVOD NA UCET	5221	33863	SIPO	GH	2221990
791921	2700	1997-08-13	VYDAJ	PREVOD NA UCET	5221	45164	SIPO	GH	2221990
791922	2700	1997-09-13	VYDAJ	PREVOD NA UCET	5221	48538	SIPO	GH	2221990
791923	2700	1997-10-13	VYDAJ	PREVOD NA UCET	5221	32050	SIPO	GH	2221990
791924	2700	1997-11-13	VYDAJ	PREVOD NA UCET	5221	38126	SIPO	GH	2221990
791925	2700	1997-12-13	VYDAJ	PREVOD NA UCET	5221	57667	SIPO	GH	2221990
791926	2700	1998-01-13	VYDAJ	PREVOD NA UCET	5221	28088	SIPO	GH	2221990
791927	2700	1998-02-13	VYDAJ	PREVOD NA UCET	5221	40806	SIPO	GH	2221990
791928	2700	1998-03-13	VYDAJ	PREVOD NA UCET	5221	49661	SIPO	GH	2221990
791929	2700	1998-04-13	VYDAJ	PREVOD NA UCET	5221	53783	SIPO	GH	2221990
791930	2700	1998-05-13	VYDAJ	PREVOD NA UCET	5221	67629	SIPO	GH	2221990
791931	2700	1998-06-13	VYDAJ	PREVOD NA UCET	5221	26198	SIPO	GH	2221990
791932	2700	1998-07-13	VYDAJ	PREVOD NA UCET	5221	41915	SIPO	GH	2221990
791933	2700	1998-08-13	VYDAJ	PREVOD NA UCET	5221	25708	SIPO	GH	2221990
791934	2700	1998-09-13	VYDAJ	PREVOD NA UCET	5221	42576	SIPO	GH	2221990
791935	2700	1998-10-13	VYDAJ	PREVOD NA UCET	5221	57196	SIPO	GH	2221990
791936	2700	1998-11-13	VYDAJ	PREVOD NA UCET	5221	36914	SIPO	GH	2221990
791937	2700	1998-12-13	VYDAJ	PREVOD NA UCET	5221	21055	SIPO	GH	2221990
791953	2700	1994-04-12	VYDAJ	PREVOD NA UCET	6129	43309	 	YZ	95353859
791954	2700	1994-05-12	VYDAJ	PREVOD NA UCET	6129	32567	 	YZ	95353859
791955	2700	1994-06-12	VYDAJ	PREVOD NA UCET	6129	34514	 	YZ	95353859
791956	2700	1994-07-12	VYDAJ	PREVOD NA UCET	6129	30713	 	YZ	95353859
791957	2700	1994-08-12	VYDAJ	PREVOD NA UCET	6129	46853	 	YZ	95353859
791958	2700	1994-09-12	VYDAJ	PREVOD NA UCET	6129	41870	 	YZ	95353859
791959	2700	1994-10-12	VYDAJ	PREVOD NA UCET	6129	42388	 	YZ	95353859
791960	2700	1994-11-12	VYDAJ	PREVOD NA UCET	6129	44305	 	YZ	95353859
791961	2700	1994-12-12	VYDAJ	PREVOD NA UCET	6129	53702	 	YZ	95353859
791962	2700	1995-01-12	VYDAJ	PREVOD NA UCET	6129	38162	 	YZ	95353859
791963	2700	1995-02-12	VYDAJ	PREVOD NA UCET	6129	27432	 	YZ	95353859
791964	2700	1995-03-12	VYDAJ	PREVOD NA UCET	6129	41362	 	YZ	95353859
791965	2700	1995-04-12	VYDAJ	PREVOD NA UCET	6129	49511	 	YZ	95353859
791966	2700	1995-05-12	VYDAJ	PREVOD NA UCET	6129	51697	 	YZ	95353859
791967	2700	1995-06-12	VYDAJ	PREVOD NA UCET	6129	44812	 	YZ	95353859
791968	2700	1995-07-12	VYDAJ	PREVOD NA UCET	6129	34153	 	YZ	95353859
791969	2700	1995-08-12	VYDAJ	PREVOD NA UCET	6129	42525	 	YZ	95353859
791970	2700	1995-09-12	VYDAJ	PREVOD NA UCET	6129	46648	 	YZ	95353859
791971	2700	1995-10-12	VYDAJ	PREVOD NA UCET	6129	40298	 	YZ	95353859
791972	2700	1995-11-12	VYDAJ	PREVOD NA UCET	6129	44123	 	YZ	95353859
791973	2700	1995-12-12	VYDAJ	PREVOD NA UCET	6129	59030	 	YZ	95353859
791974	2700	1996-01-12	VYDAJ	PREVOD NA UCET	6129	29268	 	YZ	95353859
791975	2700	1996-02-12	VYDAJ	PREVOD NA UCET	6129	28430	 	YZ	95353859
791976	2700	1996-03-12	VYDAJ	PREVOD NA UCET	6129	38713	 	YZ	95353859
791977	2700	1996-04-12	VYDAJ	PREVOD NA UCET	6129	43025	 	YZ	95353859
791978	2700	1996-05-12	VYDAJ	PREVOD NA UCET	6129	41756	 	YZ	95353859
791979	2700	1996-06-12	VYDAJ	PREVOD NA UCET	6129	29511	 	YZ	95353859
791980	2700	1996-07-12	VYDAJ	PREVOD NA UCET	6129	45202	 	YZ	95353859
791981	2700	1996-08-12	VYDAJ	PREVOD NA UCET	6129	43942	 	YZ	95353859
791982	2700	1996-09-12	VYDAJ	PREVOD NA UCET	6129	48777	 	YZ	95353859
791983	2700	1996-10-12	VYDAJ	PREVOD NA UCET	6129	49049	 	YZ	95353859
791984	2700	1996-11-12	VYDAJ	PREVOD NA UCET	6129	43567	 	YZ	95353859
791985	2700	1996-12-12	VYDAJ	PREVOD NA UCET	6129	51440	 	YZ	95353859
791986	2700	1997-01-12	VYDAJ	PREVOD NA UCET	6129	42147	 	YZ	95353859
791987	2700	1997-02-12	VYDAJ	PREVOD NA UCET	6129	42172	 	YZ	95353859
791988	2700	1997-03-12	VYDAJ	PREVOD NA UCET	6129	39344	 	YZ	95353859
791989	2700	1997-04-12	VYDAJ	PREVOD NA UCET	6129	57404	 	YZ	95353859
791990	2700	1997-05-12	VYDAJ	PREVOD NA UCET	6129	34038	 	YZ	95353859
791991	2700	1997-06-12	VYDAJ	PREVOD NA UCET	6129	26842	 	YZ	95353859
791992	2700	1997-07-12	VYDAJ	PREVOD NA UCET	6129	40207	 	YZ	95353859
791993	2700	1997-08-12	VYDAJ	PREVOD NA UCET	6129	53831	 	YZ	95353859
791994	2700	1997-09-12	VYDAJ	PREVOD NA UCET	6129	53759	 	YZ	95353859
791995	2700	1997-10-12	VYDAJ	PREVOD NA UCET	6129	37271	 	YZ	95353859
791996	2700	1997-11-12	VYDAJ	PREVOD NA UCET	6129	45670	 	YZ	95353859
791997	2700	1997-12-12	VYDAJ	PREVOD NA UCET	6129	64011	 	YZ	95353859
791998	2700	1998-01-12	VYDAJ	PREVOD NA UCET	6129	34432	 	YZ	95353859
791999	2700	1998-02-12	VYDAJ	PREVOD NA UCET	6129	49473	 	YZ	95353859
792000	2700	1998-03-12	VYDAJ	PREVOD NA UCET	6129	56005	 	YZ	95353859
792001	2700	1998-04-12	VYDAJ	PREVOD NA UCET	6129	62450	 	YZ	95353859
792002	2700	1998-05-12	VYDAJ	PREVOD NA UCET	6129	75173	 	YZ	95353859
792003	2700	1998-06-12	VYDAJ	PREVOD NA UCET	6129	32542	 	YZ	95353859
792004	2700	1998-07-12	VYDAJ	PREVOD NA UCET	6129	48259	 	YZ	95353859
792005	2700	1998-08-12	VYDAJ	PREVOD NA UCET	6129	49026	 	YZ	95353859
792006	2700	1998-09-12	VYDAJ	PREVOD NA UCET	6129	47797	 	YZ	95353859
792007	2700	1998-10-12	VYDAJ	PREVOD NA UCET	6129	63540	 	YZ	95353859
792008	2700	1998-11-12	VYDAJ	PREVOD NA UCET	6129	43258	 	YZ	95353859
792009	2700	1998-12-12	VYDAJ	PREVOD NA UCET	6129	74199	 	YZ	95353859
792025	2700	1994-04-13	VYDAJ	PREVOD NA UCET	1123	42186	POJISTNE	QR	52413690
792026	2700	1994-05-13	VYDAJ	PREVOD NA UCET	1123	26223	POJISTNE	QR	52413690
792027	2700	1994-06-13	VYDAJ	PREVOD NA UCET	1123	25847	POJISTNE	QR	52413690
792028	2700	1994-07-13	VYDAJ	PREVOD NA UCET	1123	29590	POJISTNE	QR	52413690
792029	2700	1994-08-13	VYDAJ	PREVOD NA UCET	1123	45730	POJISTNE	QR	52413690
792030	2700	1994-09-13	VYDAJ	PREVOD NA UCET	1123	38424	POJISTNE	QR	52413690
792031	2700	1994-10-13	VYDAJ	PREVOD NA UCET	1123	24121	POJISTNE	QR	52413690
792032	2700	1994-11-13	VYDAJ	PREVOD NA UCET	1123	40859	POJISTNE	QR	52413690
792033	2700	1994-12-13	VYDAJ	PREVOD NA UCET	1123	52579	POJISTNE	QR	52413690
792034	2700	1995-01-13	VYDAJ	PREVOD NA UCET	1123	31818	POJISTNE	QR	52413690
792035	2700	1995-02-13	VYDAJ	PREVOD NA UCET	1123	26309	POJISTNE	QR	52413690
792036	2700	1995-03-13	VYDAJ	PREVOD NA UCET	1123	35018	POJISTNE	QR	52413690
792037	2700	1995-04-13	VYDAJ	PREVOD NA UCET	1123	43167	POJISTNE	QR	52413690
792038	2700	1995-05-13	VYDAJ	PREVOD NA UCET	1123	50574	POJISTNE	QR	52413690
792039	2700	1995-06-13	VYDAJ	PREVOD NA UCET	1123	38468	POJISTNE	QR	52413690
792040	2700	1995-07-13	VYDAJ	PREVOD NA UCET	1123	28484	POJISTNE	QR	52413690
792041	2700	1995-08-13	VYDAJ	PREVOD NA UCET	1123	41402	POJISTNE	QR	52413690
792042	2700	1995-09-13	VYDAJ	PREVOD NA UCET	1123	45525	POJISTNE	QR	52413690
792043	2700	1995-10-13	VYDAJ	PREVOD NA UCET	1123	33954	POJISTNE	QR	52413690
792044	2700	1995-11-13	VYDAJ	PREVOD NA UCET	1123	37069	POJISTNE	QR	52413690
792045	2700	1995-12-13	VYDAJ	PREVOD NA UCET	1123	40763	POJISTNE	QR	52413690
792046	2700	1996-01-13	VYDAJ	PREVOD NA UCET	1123	19101	POJISTNE	QR	52413690
792047	2700	1996-02-13	VYDAJ	PREVOD NA UCET	1123	22086	POJISTNE	QR	52413690
792048	2700	1996-03-13	VYDAJ	PREVOD NA UCET	1123	37590	POJISTNE	QR	52413690
792049	2700	1996-04-13	VYDAJ	PREVOD NA UCET	1123	36681	POJISTNE	QR	52413690
792050	2700	1996-05-13	VYDAJ	PREVOD NA UCET	1123	33089	POJISTNE	QR	52413690
792051	2700	1996-06-13	VYDAJ	PREVOD NA UCET	1123	28388	POJISTNE	QR	52413690
792052	2700	1996-07-13	VYDAJ	PREVOD NA UCET	1123	38858	POJISTNE	QR	52413690
792053	2700	1996-08-13	VYDAJ	PREVOD NA UCET	1123	35275	POJISTNE	QR	52413690
792054	2700	1996-09-13	VYDAJ	PREVOD NA UCET	1123	47654	POJISTNE	QR	52413690
792055	2700	1996-10-13	VYDAJ	PREVOD NA UCET	1123	40382	POJISTNE	QR	52413690
792056	2700	1996-11-13	VYDAJ	PREVOD NA UCET	1123	34900	POJISTNE	QR	52413690
792057	2700	1996-12-13	VYDAJ	PREVOD NA UCET	1123	45096	POJISTNE	QR	52413690
792058	2700	1997-01-13	VYDAJ	PREVOD NA UCET	1123	41024	POJISTNE	QR	52413690
792059	2700	1997-02-13	VYDAJ	PREVOD NA UCET	1123	33505	POJISTNE	QR	52413690
792060	2700	1997-03-13	VYDAJ	PREVOD NA UCET	1123	38221	POJISTNE	QR	52413690
792061	2700	1997-04-13	VYDAJ	PREVOD NA UCET	1123	48737	POJISTNE	QR	52413690
792062	2700	1997-05-13	VYDAJ	PREVOD NA UCET	1123	25371	POJISTNE	QR	52413690
792063	2700	1997-06-13	VYDAJ	PREVOD NA UCET	1123	23396	POJISTNE	QR	52413690
792064	2700	1997-07-13	VYDAJ	PREVOD NA UCET	1123	39084	POJISTNE	QR	52413690
792065	2700	1997-08-13	VYDAJ	PREVOD NA UCET	1123	50385	POJISTNE	QR	52413690
792066	2700	1997-09-13	VYDAJ	PREVOD NA UCET	1123	47415	POJISTNE	QR	52413690
792067	2700	1997-10-13	VYDAJ	PREVOD NA UCET	1123	30927	POJISTNE	QR	52413690
792068	2700	1997-11-13	VYDAJ	PREVOD NA UCET	1123	37003	POJISTNE	QR	52413690
792069	2700	1997-12-13	VYDAJ	PREVOD NA UCET	1123	62888	POJISTNE	QR	52413690
792070	2700	1998-01-13	VYDAJ	PREVOD NA UCET	1123	33309	POJISTNE	QR	52413690
792071	2700	1998-02-13	VYDAJ	PREVOD NA UCET	1123	46027	POJISTNE	QR	52413690
792072	2700	1998-03-13	VYDAJ	PREVOD NA UCET	1123	54882	POJISTNE	QR	52413690
792073	2700	1998-04-13	VYDAJ	PREVOD NA UCET	1123	59004	POJISTNE	QR	52413690
792074	2700	1998-05-13	VYDAJ	PREVOD NA UCET	1123	66506	POJISTNE	QR	52413690
792075	2700	1998-06-13	VYDAJ	PREVOD NA UCET	1123	31419	POJISTNE	QR	52413690
792076	2700	1998-07-13	VYDAJ	PREVOD NA UCET	1123	47136	POJISTNE	QR	52413690
792077	2700	1998-08-13	VYDAJ	PREVOD NA UCET	1123	30929	POJISTNE	QR	52413690
792078	2700	1998-09-13	VYDAJ	PREVOD NA UCET	1123	41453	POJISTNE	QR	52413690
792079	2700	1998-10-13	VYDAJ	PREVOD NA UCET	1123	62417	POJISTNE	QR	52413690
792080	2700	1998-11-13	VYDAJ	PREVOD NA UCET	1123	42135	POJISTNE	QR	52413690
792081	2700	1998-12-13	VYDAJ	PREVOD NA UCET	1123	26276	POJISTNE	QR	52413690
792097	2700	1994-04-12	VYDAJ	PREVOD NA UCET	2323	49438	 	OP	33791315
792098	2700	1994-05-12	VYDAJ	PREVOD NA UCET	2323	38696	 	OP	33791315
792099	2700	1994-06-12	VYDAJ	PREVOD NA UCET	2323	32191	 	OP	33791315
792100	2700	1994-07-12	VYDAJ	PREVOD NA UCET	2323	36842	 	OP	33791315
792101	2700	1994-08-12	VYDAJ	PREVOD NA UCET	2323	52982	 	OP	33791315
792102	2700	1994-09-12	VYDAJ	PREVOD NA UCET	2323	39547	 	OP	33791315
792103	2700	1994-10-12	VYDAJ	PREVOD NA UCET	2323	40065	 	OP	33791315
792104	2700	1994-11-12	VYDAJ	PREVOD NA UCET	2323	41982	 	OP	33791315
792105	2700	1994-12-12	VYDAJ	PREVOD NA UCET	2323	59831	 	OP	33791315
792106	2700	1995-01-12	VYDAJ	PREVOD NA UCET	2323	44291	 	OP	33791315
792107	2700	1995-02-12	VYDAJ	PREVOD NA UCET	2323	33561	 	OP	33791315
792108	2700	1995-03-12	VYDAJ	PREVOD NA UCET	2323	47491	 	OP	33791315
792109	2700	1995-04-12	VYDAJ	PREVOD NA UCET	2323	55640	 	OP	33791315
792110	2700	1995-05-12	VYDAJ	PREVOD NA UCET	2323	57826	 	OP	33791315
792111	2700	1995-06-12	VYDAJ	PREVOD NA UCET	2323	50941	 	OP	33791315
792112	2700	1995-07-12	VYDAJ	PREVOD NA UCET	2323	31830	 	OP	33791315
792113	2700	1995-08-12	VYDAJ	PREVOD NA UCET	2323	48654	 	OP	33791315
792114	2700	1995-09-12	VYDAJ	PREVOD NA UCET	2323	52777	 	OP	33791315
792115	2700	1995-10-12	VYDAJ	PREVOD NA UCET	2323	46427	 	OP	33791315
792116	2700	1995-11-12	VYDAJ	PREVOD NA UCET	2323	50252	 	OP	33791315
792117	2700	1995-12-12	VYDAJ	PREVOD NA UCET	2323	56707	 	OP	33791315
792118	2700	1996-01-12	VYDAJ	PREVOD NA UCET	2323	26945	 	OP	33791315
792119	2700	1996-02-12	VYDAJ	PREVOD NA UCET	2323	34559	 	OP	33791315
792120	2700	1996-03-12	VYDAJ	PREVOD NA UCET	2323	44842	 	OP	33791315
792121	2700	1996-04-12	VYDAJ	PREVOD NA UCET	2323	49154	 	OP	33791315
792122	2700	1996-05-12	VYDAJ	PREVOD NA UCET	2323	39433	 	OP	33791315
792123	2700	1996-06-12	VYDAJ	PREVOD NA UCET	2323	35640	 	OP	33791315
792124	2700	1996-07-12	VYDAJ	PREVOD NA UCET	2323	51331	 	OP	33791315
792125	2700	1996-08-12	VYDAJ	PREVOD NA UCET	2323	41619	 	OP	33791315
792126	2700	1996-09-12	VYDAJ	PREVOD NA UCET	2323	54906	 	OP	33791315
792127	2700	1996-10-12	VYDAJ	PREVOD NA UCET	2323	46726	 	OP	33791315
792128	2700	1996-11-12	VYDAJ	PREVOD NA UCET	2323	41244	 	OP	33791315
792129	2700	1996-12-12	VYDAJ	PREVOD NA UCET	2323	57569	 	OP	33791315
792130	2700	1997-01-12	VYDAJ	PREVOD NA UCET	2323	48276	 	OP	33791315
792131	2700	1997-02-12	VYDAJ	PREVOD NA UCET	2323	39849	 	OP	33791315
792132	2700	1997-03-12	VYDAJ	PREVOD NA UCET	2323	45473	 	OP	33791315
792133	2700	1997-04-12	VYDAJ	PREVOD NA UCET	2323	55081	 	OP	33791315
792134	2700	1997-05-12	VYDAJ	PREVOD NA UCET	2323	31715	 	OP	33791315
792135	2700	1997-06-12	VYDAJ	PREVOD NA UCET	2323	24519	 	OP	33791315
792136	2700	1997-07-12	VYDAJ	PREVOD NA UCET	2323	46336	 	OP	33791315
792137	2700	1997-08-12	VYDAJ	PREVOD NA UCET	2323	51508	 	OP	33791315
792138	2700	1997-09-12	VYDAJ	PREVOD NA UCET	2323	59888	 	OP	33791315
792139	2700	1997-10-12	VYDAJ	PREVOD NA UCET	2323	43400	 	OP	33791315
792140	2700	1997-11-12	VYDAJ	PREVOD NA UCET	2323	43347	 	OP	33791315
792141	2700	1997-12-12	VYDAJ	PREVOD NA UCET	2323	70140	 	OP	33791315
792142	2700	1998-01-12	VYDAJ	PREVOD NA UCET	2323	40561	 	OP	33791315
792143	2700	1998-02-12	VYDAJ	PREVOD NA UCET	2323	47150	 	OP	33791315
792144	2700	1998-03-12	VYDAJ	PREVOD NA UCET	2323	62134	 	OP	33791315
792145	2700	1998-04-12	VYDAJ	PREVOD NA UCET	2323	60127	 	OP	33791315
792146	2700	1998-05-12	VYDAJ	PREVOD NA UCET	2323	72850	 	OP	33791315
792147	2700	1998-06-12	VYDAJ	PREVOD NA UCET	2323	38671	 	OP	33791315
792148	2700	1998-07-12	VYDAJ	PREVOD NA UCET	2323	54388	 	OP	33791315
792149	2700	1998-08-12	VYDAJ	PREVOD NA UCET	2323	46703	 	OP	33791315
792150	2700	1998-09-12	VYDAJ	PREVOD NA UCET	2323	53926	 	OP	33791315
792151	2700	1998-10-12	VYDAJ	PREVOD NA UCET	2323	69669	 	OP	33791315
792152	2700	1998-11-12	VYDAJ	PREVOD NA UCET	2323	49387	 	OP	33791315
792153	2700	1998-12-12	VYDAJ	PREVOD NA UCET	2323	80328	 	OP	33791315
792157	2700	1994-08-31	VYBER	VYBER	8595	28005	\N	\N	\N
792159	2700	1994-08-28	VYBER	VYBER	4076	36433	\N	\N	\N
792161	2700	1994-12-11	VYBER	VYBER	6535	62154	\N	\N	\N
792167	2700	1995-02-12	VYBER	VYBER	18262	35884	\N	\N	\N
792170	2700	1995-06-10	VYBER	VYBER	24486	53264	\N	\N	\N
792172	2700	1995-01-05	VYBER	VYBER	8839	19806	\N	\N	\N
792173	2700	1995-07-13	VYBER	VYBER	2223	29607	\N	\N	\N
792175	2700	1995-11-13	VYBER	VYBER	5931	38192	\N	\N	\N
792176	2700	1995-07-11	VYBER	VYBER	10456	40282	\N	\N	\N
792182	2700	1996-09-21	VYBER	VYBER	17777	24656	\N	\N	\N
792183	2700	1996-02-11	VYBER	VYBER	11531	36882	\N	\N	\N
792187	2700	1996-08-14	VYBER	VYBER	8542	26733	\N	\N	\N
792188	2700	1996-06-12	VYBER	VYBER	20128	37963	\N	\N	\N
792189	2700	1997-11-28	VYBER	VYBER	10301	26702	\N	\N	\N
792192	2700	1997-11-06	VYBER	VYBER	9629	51799	\N	\N	\N
792195	2700	1997-07-20	VYBER	VYBER	4407	29456	\N	\N	\N
792200	2700	1997-02-06	VYBER	VYBER	7508	48301	\N	\N	\N
792201	2700	1997-03-11	VYBER	VYBER	16257	47796	\N	\N	\N
792202	2700	1998-05-01	VYBER	VYBER	3103	50894	\N	\N	\N
792204	2700	1998-08-13	VYBER	VYBER	14651	32052	\N	\N	\N
792205	2700	1998-06-11	VYBER	VYBER	17391	40994	\N	\N	\N
792206	2700	1998-07-29	VYBER	VYBER	8010	33905	\N	\N	\N
792211	2700	1998-03-03	VYBER	VYBER	6896	34049	\N	\N	\N
792217	2700	1997-06-07	VYDAJ	VYBER	38100	32971	\N	\N	\N
792220	2700	1994-12-01	VYDAJ	VYBER	6600	29177	\N	\N	\N
792221	2700	1995-12-26	VYDAJ	VYBER	5400	35363	\N	\N	\N
792224	2700	1998-12-13	VYDAJ	VYBER	3600	27399	\N	\N	\N
792237	2700	1995-01-01	VYDAJ	VYBER	2100	45445	\N	\N	\N
792238	2700	1995-01-02	VYDAJ	VYBER	2700	42745	\N	\N	\N
792239	2700	1995-01-11	VYDAJ	VYBER	3600	46614	\N	\N	\N
792241	2700	1995-01-14	VYDAJ	VYBER	7500	24318	\N	\N	\N
792243	2700	1996-01-05	VYDAJ	VYBER	1500	22689	\N	\N	\N
792244	2700	1996-01-13	VYDAJ	VYBER	1500	25445	\N	\N	\N
792247	2700	1996-01-12	VYDAJ	VYBER	6600	35397	\N	\N	\N
792250	2700	1997-01-23	VYDAJ	VYBER	3300	25303	\N	\N	\N
792253	2700	1997-01-17	VYDAJ	VYBER	1500	34303	\N	\N	\N
792254	2700	1997-01-21	VYDAJ	VYBER	5700	28603	\N	\N	\N
792255	2700	1998-01-15	VYDAJ	VYBER	3000	25088	\N	\N	\N
792258	2700	1998-01-08	VYDAJ	VYBER	8100	42884	\N	\N	\N
792259	2700	1998-01-06	VYDAJ	VYBER	2400	50984	\N	\N	\N
792268	2700	1994-06-09	VYDAJ	VYBER	7800	40643	\N	\N	\N
792269	2700	1994-09-14	VYDAJ	VYBER	13200	20003	\N	\N	\N
792270	2700	1994-10-12	VYDAJ	VYBER	9600	30465	\N	\N	\N
792271	2700	1994-09-09	VYDAJ	VYBER	8400	47999	\N	\N	\N
792272	2700	1994-04-21	VYDAJ	VYBER	12000	24965	\N	\N	\N
792275	2700	1995-10-11	VYDAJ	VYBER	6900	48750	\N	\N	\N
792276	2700	1995-12-13	VYDAJ	VYBER	9600	47107	\N	\N	\N
792277	2700	1995-06-21	VYDAJ	VYBER	11100	27368	\N	\N	\N
792279	2700	1996-04-21	VYDAJ	VYBER	8400	28281	\N	\N	\N
792280	2700	1996-06-11	VYDAJ	VYBER	6000	58091	\N	\N	\N
792282	2700	1996-01-10	VYDAJ	VYBER	11100	41997	\N	\N	\N
792283	2700	1997-05-10	VYDAJ	VYBER	8400	40167	\N	\N	\N
792286	2700	1997-08-23	VYDAJ	VYBER	13500	31664	\N	\N	\N
792288	2700	1998-08-03	VYDAJ	VYBER	9300	24747	\N	\N	\N
792289	2700	1998-04-05	VYDAJ	VYBER	3300	38171	\N	\N	\N
792290	2700	1998-06-10	VYDAJ	VYBER	8700	58385	\N	\N	\N
792291	2700	1998-04-01	VYDAJ	VYBER	8400	41471	\N	\N	\N
792308	2700	1994-04-30	VYDAJ	VYBER	15	25111	SLUZBY	\N	\N
792309	2700	1994-05-31	VYDAJ	VYBER	15	26331	SLUZBY	\N	\N
792310	2700	1994-06-30	VYDAJ	VYBER	15	25957	SLUZBY	\N	\N
792311	2700	1994-07-31	VYDAJ	VYBER	15	24497	SLUZBY	\N	\N
792312	2700	1994-08-31	VYDAJ	VYBER	15	27991	SLUZBY	\N	\N
792314	2700	1994-10-31	VYDAJ	VYBER	15	24226	SLUZBY	\N	\N
792315	2700	1994-11-30	VYDAJ	VYBER	15	35777	SLUZBY	\N	\N
792316	2700	1994-12-31	VYDAJ	VYBER	15	47545	SLUZBY	\N	\N
792317	2700	1995-01-31	VYDAJ	VYBER	15	24438	SLUZBY	\N	\N
792318	2700	1995-02-28	VYDAJ	VYBER	15	21206	SLUZBY	\N	\N
792319	2700	1995-03-31	VYDAJ	VYBER	15	35155	SLUZBY	\N	\N
792320	2700	1995-04-30	VYDAJ	VYBER	15	43341	SLUZBY	\N	\N
792321	2700	1995-05-31	VYDAJ	VYBER	15	45538	SLUZBY	\N	\N
792322	2700	1995-06-30	VYDAJ	VYBER	15	27530	SLUZBY	\N	\N
792323	2700	1995-07-31	VYDAJ	VYBER	15	20569	SLUZBY	\N	\N
792324	2700	1995-08-31	VYDAJ	VYBER	15	24692	SLUZBY	\N	\N
792325	2700	1995-09-30	VYDAJ	VYBER	15	25242	SLUZBY	\N	\N
792326	2700	1995-10-31	VYDAJ	VYBER	15	22167	SLUZBY	\N	\N
792327	2700	1995-11-30	VYDAJ	VYBER	15	19547	SLUZBY	\N	\N
792328	2700	1995-12-31	VYDAJ	VYBER	15	24189	SLUZBY	\N	\N
792329	2700	1996-01-31	VYDAJ	VYBER	15	18005	SLUZBY	\N	\N
792330	2700	1996-02-29	VYDAJ	VYBER	15	16757	SLUZBY	\N	\N
792331	2700	1996-03-31	VYDAJ	VYBER	15	21069	SLUZBY	\N	\N
792332	2700	1996-04-30	VYDAJ	VYBER	15	17477	SLUZBY	\N	\N
792333	2700	1996-05-31	VYDAJ	VYBER	15	18479	SLUZBY	\N	\N
792334	2700	1996-06-30	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
792335	2700	1996-07-31	VYDAJ	VYBER	15	19663	SLUZBY	\N	\N
792336	2700	1996-08-31	VYDAJ	VYBER	15	26821	SLUZBY	\N	\N
792337	2700	1996-09-30	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
792338	2700	1996-10-31	VYDAJ	VYBER	15	19288	SLUZBY	\N	\N
792339	2700	1996-11-30	VYDAJ	VYBER	15	14280	SLUZBY	\N	\N
792340	2700	1996-12-31	VYDAJ	VYBER	15	20191	SLUZBY	\N	\N
792341	2700	1997-01-31	VYDAJ	VYBER	15	25401	SLUZBY	\N	\N
792342	2700	1997-02-28	VYDAJ	VYBER	15	33645	SLUZBY	\N	\N
792343	2700	1997-03-31	VYDAJ	VYBER	15	33125	SLUZBY	\N	\N
792344	2700	1997-04-30	VYDAJ	VYBER	15	18159	SLUZBY	\N	\N
792345	2700	1997-05-31	VYDAJ	VYBER	15	25459	SLUZBY	\N	\N
792346	2700	1997-06-30	VYDAJ	VYBER	15	18251	SLUZBY	\N	\N
792347	2700	1997-07-31	VYDAJ	VYBER	15	29552	SLUZBY	\N	\N
792348	2700	1997-08-31	VYDAJ	VYBER	15	31803	SLUZBY	\N	\N
792349	2700	1997-09-30	VYDAJ	VYBER	15	15315	SLUZBY	\N	\N
792350	2700	1997-10-31	VYDAJ	VYBER	15	31020	SLUZBY	\N	\N
792351	2700	1997-11-30	VYDAJ	VYBER	15	26851	SLUZBY	\N	\N
792352	2700	1997-12-31	VYDAJ	VYBER	15	22976	SLUZBY	\N	\N
792353	2700	1998-01-31	VYDAJ	VYBER	15	25194	SLUZBY	\N	\N
792354	2700	1998-02-28	VYDAJ	VYBER	15	40945	SLUZBY	\N	\N
792355	2700	1998-03-31	VYDAJ	VYBER	15	49871	SLUZBY	\N	\N
792356	2700	1998-04-30	VYDAJ	VYBER	15	53997	SLUZBY	\N	\N
792357	2700	1998-05-31	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
792358	2700	1998-06-30	VYDAJ	VYBER	15	26303	SLUZBY	\N	\N
792359	2700	1998-07-31	VYDAJ	VYBER	15	34047	SLUZBY	\N	\N
792360	2700	1998-08-31	VYDAJ	VYBER	15	25841	SLUZBY	\N	\N
792361	2700	1998-09-30	VYDAJ	VYBER	15	41584	SLUZBY	\N	\N
792362	2700	1998-10-31	VYDAJ	VYBER	15	21302	SLUZBY	\N	\N
792363	2700	1998-11-30	VYDAJ	VYBER	15	37039	SLUZBY	\N	\N
792364	2700	1993-12-08	VYDAJ	VYBER	11900	34812	\N	\N	\N
792365	2700	1994-01-07	VYDAJ	VYBER	20700	44632	\N	\N	\N
792366	2700	1994-02-06	VYDAJ	VYBER	26600	48618	\N	\N	\N
792367	2700	1994-03-08	VYDAJ	VYBER	28200	51117	\N	\N	\N
792368	2700	1994-04-07	VYDAJ	VYBER	30000	51761	\N	\N	\N
792369	2700	1994-05-07	VYDAJ	VYBER	14500	41019	\N	\N	\N
792370	2700	1994-06-06	VYDAJ	VYBER	23500	48443	\N	\N	\N
792371	2700	1994-07-06	VYDAJ	VYBER	17200	39165	\N	\N	\N
792372	2700	1994-08-05	PRIJEM	VKLAD	400	24897	\N	\N	\N
792373	2700	1994-09-04	VYDAJ	VYBER	2000	25991	\N	\N	\N
792374	2700	1994-10-04	VYDAJ	VYBER	2000	18109	\N	\N	\N
792375	2700	1994-11-03	VYDAJ	VYBER	4200	20026	\N	\N	\N
792376	2700	1994-12-03	VYDAJ	VYBER	6100	23077	\N	\N	\N
792377	2700	1995-01-02	VYDAJ	VYBER	14100	28645	\N	\N	\N
792378	2700	1995-02-01	VYDAJ	VYBER	700	23738	\N	\N	\N
792379	2700	1995-03-03	VYDAJ	VYBER	1800	19406	\N	\N	\N
792380	2700	1995-04-02	VYDAJ	VYBER	7600	27555	\N	\N	\N
792381	2700	1995-05-02	VYDAJ	VYBER	13600	29741	\N	\N	\N
792382	2700	1995-06-01	VYDAJ	VYBER	13400	32138	\N	\N	\N
792383	2700	1995-07-01	VYDAJ	VYBER	7200	20330	\N	\N	\N
792384	2700	1995-07-31	VYDAJ	VYBER	2800	20584	\N	\N	\N
792385	2700	1995-08-30	VYDAJ	VYBER	11600	24581	\N	\N	\N
792386	2700	1995-09-29	VYDAJ	VYBER	15200	25104	\N	\N	\N
792387	2700	1995-10-29	VYDAJ	VYBER	11900	22054	\N	\N	\N
792388	2700	1995-11-28	VYDAJ	VYBER	12400	19448	\N	\N	\N
792389	2700	1995-12-28	VYDAJ	VYBER	11300	24063	\N	\N	\N
792390	2700	1996-01-27	VYDAJ	VYBER	1200	17901	\N	\N	\N
792391	2700	1996-02-26	VYDAJ	VYBER	5400	16686	\N	\N	\N
792392	2700	1996-03-27	VYDAJ	VYBER	11400	20969	\N	\N	\N
792393	2700	1996-04-26	VYDAJ	VYBER	10900	17381	\N	\N	\N
792394	2700	1996-05-26	VYDAJ	VYBER	14700	18389	\N	\N	\N
792395	2700	1996-07-25	VYDAJ	VYBER	19300	19558	\N	\N	\N
792396	2700	1996-10-23	VYDAJ	VYBER	21200	19182	\N	\N	\N
792397	2700	1996-11-22	VYDAJ	VYBER	20700	14200	\N	\N	\N
792398	2700	1996-12-22	VYDAJ	VYBER	25000	20096	\N	\N	\N
792399	2700	1997-04-21	VYDAJ	VYBER	30700	18037	\N	\N	\N
792400	2700	1997-09-18	VYDAJ	VYBER	32200	15215	\N	\N	\N
792401	2700	1997-12-17	VYDAJ	VYBER	34800	22867	\N	\N	\N
792402	2700	1998-05-16	VYDAJ	VYBER	45200	21306	\N	\N	\N
792403	2700	1998-10-13	VYDAJ	VYBER	36100	21096	\N	\N	\N
792404	2700	1998-12-12	VYDAJ	VYBER	43200	30999	\N	\N	\N
792466	2701	1993-07-27	PRIJEM	VKLAD	300	300	\N	\N	\N
792474	2701	1993-08-10	PRIJEM	VKLAD	9376	9676	\N	\N	\N
792475	2701	1993-09-10	PRIJEM	VKLAD	9376	27066	\N	\N	\N
792476	2701	1993-10-10	PRIJEM	VKLAD	9376	35823	\N	\N	\N
792477	2701	1993-11-10	PRIJEM	VKLAD	9376	39312	\N	\N	\N
792478	2701	1993-12-10	PRIJEM	VKLAD	14064	45802	\N	\N	\N
792479	2701	1994-01-10	PRIJEM	VKLAD	9376	23384	\N	\N	\N
792480	2701	1994-02-10	PRIJEM	VKLAD	9376	22353	\N	\N	\N
792481	2701	1994-03-10	PRIJEM	VKLAD	9376	23392	\N	\N	\N
792482	2701	1994-04-10	PRIJEM	VKLAD	9376	27595	\N	\N	\N
792483	2701	1994-05-10	PRIJEM	VKLAD	9376	26891	\N	\N	\N
792484	2701	1994-06-10	PRIJEM	VKLAD	14064	30815	\N	\N	\N
792485	2701	1994-07-10	PRIJEM	VKLAD	9376	25283	\N	\N	\N
792486	2701	1994-08-10	PRIJEM	VKLAD	9376	26592	\N	\N	\N
792487	2701	1994-09-10	PRIJEM	VKLAD	9376	29608	\N	\N	\N
792488	2701	1994-10-10	PRIJEM	VKLAD	9376	31335	\N	\N	\N
792489	2701	1994-11-10	PRIJEM	VKLAD	9376	32568	\N	\N	\N
792490	2701	1994-12-10	PRIJEM	VKLAD	14064	37993	\N	\N	\N
792491	2701	1995-01-10	PRIJEM	VKLAD	9376	33858	\N	\N	\N
792492	2701	1995-02-10	PRIJEM	VKLAD	9376	18032	\N	\N	\N
792493	2701	1995-03-10	PRIJEM	VKLAD	9376	26221	\N	\N	\N
792494	2701	1995-04-10	PRIJEM	VKLAD	9376	30538	\N	\N	\N
792495	2701	1995-05-10	PRIJEM	VKLAD	9376	24261	\N	\N	\N
792496	2701	1995-06-10	PRIJEM	VKLAD	14064	31855	\N	\N	\N
792497	2701	1995-07-10	PRIJEM	VKLAD	9376	25738	\N	\N	\N
792498	2701	1995-08-10	PRIJEM	VKLAD	9376	29457	\N	\N	\N
792499	2701	1995-09-10	PRIJEM	VKLAD	9376	33187	\N	\N	\N
792500	2701	1995-10-10	PRIJEM	VKLAD	9376	27734	\N	\N	\N
792501	2701	1995-11-10	PRIJEM	VKLAD	9376	32558	\N	\N	\N
792502	2701	1995-12-10	PRIJEM	VKLAD	14064	39687	\N	\N	\N
792503	2701	1996-01-10	PRIJEM	VKLAD	9376	24209	\N	\N	\N
792504	2701	1996-02-10	PRIJEM	VKLAD	9376	26284	\N	\N	\N
792505	2701	1996-03-10	PRIJEM	VKLAD	9376	29799	\N	\N	\N
792506	2701	1996-04-10	PRIJEM	VKLAD	9376	34532	\N	\N	\N
792507	2701	1996-05-10	PRIJEM	VKLAD	9376	34572	\N	\N	\N
792508	2701	1996-06-10	PRIJEM	VKLAD	14064	39701	\N	\N	\N
792509	2701	1996-07-10	PRIJEM	VKLAD	9376	38955	\N	\N	\N
792510	2701	1996-08-10	PRIJEM	VKLAD	9376	41319	\N	\N	\N
792511	2701	1996-09-10	PRIJEM	VKLAD	9376	43052	\N	\N	\N
792512	2701	1996-10-10	PRIJEM	VKLAD	9376	51127	\N	\N	\N
792513	2701	1996-11-10	PRIJEM	VKLAD	9376	53239	\N	\N	\N
792514	2701	1996-12-10	PRIJEM	VKLAD	14064	60833	\N	\N	\N
792515	2701	1997-01-10	PRIJEM	VKLAD	9376	50400	\N	\N	\N
792516	2701	1997-02-10	PRIJEM	VKLAD	9376	53491	\N	\N	\N
792517	2701	1997-03-10	PRIJEM	VKLAD	9376	53036	\N	\N	\N
792518	2701	1997-04-10	PRIJEM	VKLAD	9376	58958	\N	\N	\N
792519	2701	1997-05-10	PRIJEM	VKLAD	9376	58660	\N	\N	\N
792520	2701	1997-06-10	PRIJEM	VKLAD	14064	67195	\N	\N	\N
792521	2701	1997-07-10	PRIJEM	VKLAD	9376	60097	\N	\N	\N
792522	2701	1997-08-10	PRIJEM	VKLAD	9376	59147	\N	\N	\N
792523	2701	1997-09-10	PRIJEM	VKLAD	9376	63295	\N	\N	\N
792524	2701	1997-10-10	PRIJEM	VKLAD	9376	63558	\N	\N	\N
792525	2701	1997-11-10	PRIJEM	VKLAD	9376	61124	\N	\N	\N
792526	2701	1997-12-10	PRIJEM	VKLAD	14064	59570	\N	\N	\N
792527	2701	1998-01-10	PRIJEM	VKLAD	9376	44393	\N	\N	\N
792528	2701	1998-02-10	PRIJEM	VKLAD	9376	48976	\N	\N	\N
792529	2701	1998-03-10	PRIJEM	VKLAD	9376	46712	\N	\N	\N
792530	2701	1998-04-10	PRIJEM	VKLAD	9376	47804	\N	\N	\N
792531	2701	1998-05-10	PRIJEM	VKLAD	9376	49702	\N	\N	\N
792532	2701	1998-06-10	PRIJEM	VKLAD	14064	57994	\N	\N	\N
792533	2701	1998-07-10	PRIJEM	VKLAD	9376	40948	\N	\N	\N
792534	2701	1998-08-10	PRIJEM	VKLAD	9376	43512	\N	\N	\N
792535	2701	1998-09-10	PRIJEM	VKLAD	9376	46491	\N	\N	\N
792536	2701	1998-10-10	PRIJEM	VKLAD	9376	48186	\N	\N	\N
792537	2701	1998-11-10	PRIJEM	VKLAD	9376	51587	\N	\N	\N
792538	2701	1998-12-10	PRIJEM	VKLAD	14064	55090	\N	\N	\N
792550	2701	1993-12-14	VYDAJ	PREVOD NA UCET	489	45313	SIPO	MN	46385306
792551	2701	1994-01-14	VYDAJ	PREVOD NA UCET	489	22895	SIPO	MN	46385306
792552	2701	1994-02-14	VYDAJ	PREVOD NA UCET	489	21864	SIPO	MN	46385306
792553	2701	1994-03-14	VYDAJ	PREVOD NA UCET	489	22903	SIPO	MN	46385306
792554	2701	1994-04-14	VYDAJ	PREVOD NA UCET	489	27106	SIPO	MN	46385306
792555	2701	1994-05-14	VYDAJ	PREVOD NA UCET	489	26402	SIPO	MN	46385306
792556	2701	1994-06-14	VYDAJ	PREVOD NA UCET	489	24686	SIPO	MN	46385306
792557	2701	1994-07-14	VYDAJ	PREVOD NA UCET	489	24794	SIPO	MN	46385306
792558	2701	1994-08-14	VYDAJ	PREVOD NA UCET	489	26103	SIPO	MN	46385306
792559	2701	1994-09-14	VYDAJ	PREVOD NA UCET	489	29119	SIPO	MN	46385306
792560	2701	1994-10-14	VYDAJ	PREVOD NA UCET	489	30846	SIPO	MN	46385306
792561	2701	1994-11-14	VYDAJ	PREVOD NA UCET	489	32079	SIPO	MN	46385306
792562	2701	1994-12-14	VYDAJ	PREVOD NA UCET	489	37504	SIPO	MN	46385306
792563	2701	1995-01-14	VYDAJ	PREVOD NA UCET	489	32529	SIPO	MN	46385306
792564	2701	1995-02-14	VYDAJ	PREVOD NA UCET	489	17543	SIPO	MN	46385306
792565	2701	1995-03-14	VYDAJ	PREVOD NA UCET	489	25732	SIPO	MN	46385306
792566	2701	1995-04-14	VYDAJ	PREVOD NA UCET	489	30049	SIPO	MN	46385306
792567	2701	1995-05-14	VYDAJ	PREVOD NA UCET	489	23772	SIPO	MN	46385306
792568	2701	1995-06-14	VYDAJ	PREVOD NA UCET	489	31366	SIPO	MN	46385306
792569	2701	1995-07-14	VYDAJ	PREVOD NA UCET	489	25249	SIPO	MN	46385306
792570	2701	1995-08-14	VYDAJ	PREVOD NA UCET	489	28968	SIPO	MN	46385306
792571	2701	1995-09-14	VYDAJ	PREVOD NA UCET	489	32698	SIPO	MN	46385306
792572	2701	1995-10-14	VYDAJ	PREVOD NA UCET	489	27245	SIPO	MN	46385306
792573	2701	1995-11-14	VYDAJ	PREVOD NA UCET	489	32069	SIPO	MN	46385306
792574	2701	1995-12-14	VYDAJ	PREVOD NA UCET	489	33598	SIPO	MN	46385306
792575	2701	1996-01-14	VYDAJ	PREVOD NA UCET	489	29820	SIPO	MN	46385306
792576	2701	1996-02-14	VYDAJ	PREVOD NA UCET	489	26095	SIPO	MN	46385306
792577	2701	1996-03-14	VYDAJ	PREVOD NA UCET	489	30810	SIPO	MN	46385306
792578	2701	1996-04-14	VYDAJ	PREVOD NA UCET	489	30843	SIPO	MN	46385306
792579	2701	1996-05-14	VYDAJ	PREVOD NA UCET	489	31283	SIPO	MN	46385306
792580	2701	1996-06-14	VYDAJ	PREVOD NA UCET	489	35212	SIPO	MN	46385306
792581	2701	1996-07-14	VYDAJ	PREVOD NA UCET	489	37566	SIPO	MN	46385306
792582	2701	1996-08-14	VYDAJ	PREVOD NA UCET	489	36630	SIPO	MN	46385306
792583	2701	1996-09-14	VYDAJ	PREVOD NA UCET	489	42563	SIPO	MN	46385306
792584	2701	1996-10-14	VYDAJ	PREVOD NA UCET	489	50638	SIPO	MN	46385306
792585	2701	1996-11-14	VYDAJ	PREVOD NA UCET	489	52750	SIPO	MN	46385306
792586	2701	1996-12-14	VYDAJ	PREVOD NA UCET	489	60344	SIPO	MN	46385306
792587	2701	1997-01-14	VYDAJ	PREVOD NA UCET	489	48231	SIPO	MN	46385306
792588	2701	1997-02-14	VYDAJ	PREVOD NA UCET	489	47842	SIPO	MN	46385306
792589	2701	1997-03-14	VYDAJ	PREVOD NA UCET	489	52547	SIPO	MN	46385306
792590	2701	1997-04-14	VYDAJ	PREVOD NA UCET	489	58469	SIPO	MN	46385306
792591	2701	1997-05-14	VYDAJ	PREVOD NA UCET	489	58171	SIPO	MN	46385306
792592	2701	1997-06-14	VYDAJ	PREVOD NA UCET	489	66706	SIPO	MN	46385306
792593	2701	1997-07-14	VYDAJ	PREVOD NA UCET	489	59608	SIPO	MN	46385306
792594	2701	1997-08-14	VYDAJ	PREVOD NA UCET	489	58658	SIPO	MN	46385306
792595	2701	1997-09-14	VYDAJ	PREVOD NA UCET	489	62806	SIPO	MN	46385306
792596	2701	1997-10-14	VYDAJ	PREVOD NA UCET	489	63069	SIPO	MN	46385306
792597	2701	1997-11-14	VYDAJ	PREVOD NA UCET	489	60635	SIPO	MN	46385306
792598	2701	1997-12-14	VYDAJ	PREVOD NA UCET	489	59081	SIPO	MN	46385306
792599	2701	1998-01-14	VYDAJ	PREVOD NA UCET	489	43904	SIPO	MN	46385306
792600	2701	1998-02-14	VYDAJ	PREVOD NA UCET	489	48487	SIPO	MN	46385306
792601	2701	1998-03-14	VYDAJ	PREVOD NA UCET	489	43923	SIPO	MN	46385306
792602	2701	1998-04-14	VYDAJ	PREVOD NA UCET	489	47315	SIPO	MN	46385306
792603	2701	1998-05-14	VYDAJ	PREVOD NA UCET	489	49213	SIPO	MN	46385306
792604	2701	1998-06-14	VYDAJ	PREVOD NA UCET	489	57505	SIPO	MN	46385306
792605	2701	1998-07-14	VYDAJ	PREVOD NA UCET	489	40459	SIPO	MN	46385306
792606	2701	1998-08-14	VYDAJ	PREVOD NA UCET	489	41123	SIPO	MN	46385306
792607	2701	1998-09-14	VYDAJ	PREVOD NA UCET	489	46002	SIPO	MN	46385306
792608	2701	1998-10-14	VYDAJ	PREVOD NA UCET	489	47697	SIPO	MN	46385306
792609	2701	1998-11-14	VYDAJ	PREVOD NA UCET	489	51098	SIPO	MN	46385306
792610	2701	1998-12-14	VYDAJ	PREVOD NA UCET	489	54601	SIPO	MN	46385306
792623	2701	1994-01-05	VYDAJ	PREVOD NA UCET	5761	27408	 	MN	24402356
792624	2701	1994-02-05	VYDAJ	PREVOD NA UCET	5761	12977	 	MN	24402356
792625	2701	1994-03-05	VYDAJ	PREVOD NA UCET	5761	16176	 	MN	24402356
792626	2701	1994-04-05	VYDAJ	PREVOD NA UCET	5761	18219	 	MN	24402356
792627	2701	1994-05-05	VYDAJ	PREVOD NA UCET	5761	17515	 	MN	24402356
792628	2701	1994-06-05	VYDAJ	PREVOD NA UCET	5761	16751	 	MN	24402356
792629	2701	1994-07-05	VYDAJ	PREVOD NA UCET	5761	15907	 	MN	24402356
792630	2701	1994-08-05	VYDAJ	PREVOD NA UCET	5761	17216	 	MN	24402356
792631	2701	1994-09-05	VYDAJ	PREVOD NA UCET	5761	20232	 	MN	24402356
792632	2701	1994-10-05	VYDAJ	PREVOD NA UCET	5761	21959	 	MN	24402356
792633	2701	1994-11-05	VYDAJ	PREVOD NA UCET	5761	23192	 	MN	24402356
792634	2701	1994-12-05	VYDAJ	PREVOD NA UCET	5761	23929	 	MN	24402356
792635	2701	1995-01-05	VYDAJ	PREVOD NA UCET	5761	24482	 	MN	24402356
792636	2701	1995-02-05	VYDAJ	PREVOD NA UCET	5761	8656	 	MN	24402356
792637	2701	1995-03-05	VYDAJ	PREVOD NA UCET	5761	16845	 	MN	24402356
792638	2701	1995-04-05	VYDAJ	PREVOD NA UCET	5761	21162	 	MN	24402356
792639	2701	1995-05-05	VYDAJ	PREVOD NA UCET	5761	18485	 	MN	24402356
792640	2701	1995-06-05	VYDAJ	PREVOD NA UCET	5761	17791	 	MN	24402356
792641	2701	1995-07-05	VYDAJ	PREVOD NA UCET	5761	16362	 	MN	24402356
792642	2701	1995-08-05	VYDAJ	PREVOD NA UCET	5761	20081	 	MN	24402356
792643	2701	1995-09-05	VYDAJ	PREVOD NA UCET	5761	23811	 	MN	24402356
792644	2701	1995-10-05	VYDAJ	PREVOD NA UCET	5761	18358	 	MN	24402356
792645	2701	1995-11-05	VYDAJ	PREVOD NA UCET	5761	23182	 	MN	24402356
792646	2701	1995-12-05	VYDAJ	PREVOD NA UCET	5761	25623	 	MN	24402356
792647	2701	1996-01-05	VYDAJ	PREVOD NA UCET	5761	18913	 	MN	24402356
792648	2701	1996-02-05	VYDAJ	PREVOD NA UCET	5761	16908	 	MN	24402356
792649	2701	1996-03-05	VYDAJ	PREVOD NA UCET	5761	20423	 	MN	24402356
792650	2701	1996-04-05	VYDAJ	PREVOD NA UCET	5761	25156	 	MN	24402356
792651	2701	1996-05-05	VYDAJ	PREVOD NA UCET	5761	25196	 	MN	24402356
792652	2701	1996-06-05	VYDAJ	PREVOD NA UCET	5761	25637	 	MN	24402356
792653	2701	1996-07-05	VYDAJ	PREVOD NA UCET	5761	29579	 	MN	24402356
792654	2701	1996-08-05	VYDAJ	PREVOD NA UCET	5761	31943	 	MN	24402356
792655	2701	1996-09-05	VYDAJ	PREVOD NA UCET	5761	26076	 	MN	24402356
792656	2701	1996-10-05	VYDAJ	PREVOD NA UCET	5761	36951	 	MN	24402356
792657	2701	1996-11-05	VYDAJ	PREVOD NA UCET	5761	45063	 	MN	24402356
792658	2701	1996-12-05	VYDAJ	PREVOD NA UCET	5761	44469	 	MN	24402356
792659	2701	1997-01-05	VYDAJ	PREVOD NA UCET	5761	45124	 	MN	24402356
792660	2701	1997-02-05	VYDAJ	PREVOD NA UCET	5761	35215	 	MN	24402356
792661	2701	1997-03-05	VYDAJ	PREVOD NA UCET	5761	42260	 	MN	24402356
792662	2701	1997-04-05	VYDAJ	PREVOD NA UCET	5761	46982	 	MN	24402356
792663	2701	1997-05-05	VYDAJ	PREVOD NA UCET	5761	50884	 	MN	24402356
792664	2701	1997-06-05	VYDAJ	PREVOD NA UCET	5761	52631	 	MN	24402356
792665	2701	1997-07-05	VYDAJ	PREVOD NA UCET	5761	48221	 	MN	24402356
792666	2701	1997-08-05	VYDAJ	PREVOD NA UCET	5761	54071	 	MN	24402356
792667	2701	1997-09-05	VYDAJ	PREVOD NA UCET	5761	53919	 	MN	24402356
792668	2701	1997-10-05	VYDAJ	PREVOD NA UCET	5761	54182	 	MN	24402356
792669	2701	1997-11-05	VYDAJ	PREVOD NA UCET	5761	51748	 	MN	24402356
792670	2701	1997-12-05	VYDAJ	PREVOD NA UCET	5761	45506	 	MN	24402356
792671	2701	1998-01-05	VYDAJ	PREVOD NA UCET	5761	42017	 	MN	24402356
792672	2701	1998-02-05	VYDAJ	PREVOD NA UCET	5761	39600	 	MN	24402356
792673	2701	1998-03-05	VYDAJ	PREVOD NA UCET	5761	44296	 	MN	24402356
792674	2701	1998-04-05	VYDAJ	PREVOD NA UCET	5761	38428	 	MN	24402356
792675	2701	1998-05-05	VYDAJ	PREVOD NA UCET	5761	40326	 	MN	24402356
792676	2701	1998-06-05	VYDAJ	PREVOD NA UCET	5761	43930	 	MN	24402356
792677	2701	1998-07-05	VYDAJ	PREVOD NA UCET	5761	31572	 	MN	24402356
792678	2701	1998-08-05	VYDAJ	PREVOD NA UCET	5761	34136	 	MN	24402356
792679	2701	1998-09-05	VYDAJ	PREVOD NA UCET	5761	37115	 	MN	24402356
792680	2701	1998-10-05	VYDAJ	PREVOD NA UCET	5761	38810	 	MN	24402356
792681	2701	1998-11-05	VYDAJ	PREVOD NA UCET	5761	42211	 	MN	24402356
792682	2701	1998-12-05	VYDAJ	PREVOD NA UCET	5761	41026	 	MN	24402356
792687	2701	1997-06-24	VYDAJ	VYBER	12960	53746	\N	\N	\N
792688	2701	1998-06-26	VYDAJ	VYBER	28960	28545	\N	\N	\N
792690	2701	1994-01-07	VYDAJ	VYBER	9440	17968	\N	\N	\N
792691	2701	1995-01-15	VYDAJ	VYBER	3680	25729	\N	\N	\N
792692	2701	1996-01-24	VYDAJ	VYBER	5920	23900	\N	\N	\N
792693	2701	1997-01-04	VYDAJ	VYBER	8000	50885	\N	\N	\N
792694	2701	1998-01-05	VYDAJ	VYBER	4320	47778	\N	\N	\N
792695	2701	1993-12-16	VYDAJ	VYBER	2080	43233	\N	\N	\N
792696	2701	1994-12-17	VYDAJ	VYBER	2080	35424	\N	\N	\N
792697	2701	1995-12-15	VYDAJ	VYBER	4000	29598	\N	\N	\N
792698	2701	1996-12-03	VYDAJ	VYBER	2720	50230	\N	\N	\N
792699	2701	1997-12-19	VYDAJ	VYBER KARTOU	2200	56881	\N	\N	0
792700	2701	1998-12-20	VYDAJ	VYBER	4480	50121	\N	\N	\N
792707	2701	1994-01-08	VYDAJ	VYBER	720	17248	\N	\N	\N
792708	2701	1994-01-26	VYDAJ	VYBER	2880	21535	\N	\N	\N
792709	2701	1994-01-08	VYDAJ	VYBER	3240	14008	\N	\N	\N
792710	2701	1994-01-14	VYDAJ	VYBER	1080	21815	\N	\N	\N
792711	2701	1994-01-27	VYDAJ	VYBER	2880	18655	\N	\N	\N
792712	2701	1994-01-04	VYDAJ	VYBER	600	33169	\N	\N	\N
792713	2701	1995-01-27	VYDAJ	VYBER	1440	14329	\N	\N	\N
792714	2701	1995-01-21	VYDAJ	VYBER	2040	20089	\N	\N	\N
792715	2701	1995-01-10	VYDAJ	VYBER	840	33018	\N	\N	\N
792716	2701	1995-01-15	VYDAJ	VYBER	3120	29409	\N	\N	\N
792717	2701	1995-01-27	VYDAJ	VYBER	1200	15769	\N	\N	\N
792718	2701	1995-01-22	VYDAJ	VYBER	3120	16969	\N	\N	\N
792719	2701	1996-01-07	VYDAJ	VYBER	3480	14833	\N	\N	\N
792720	2701	1996-01-06	VYDAJ	VYBER	600	18313	\N	\N	\N
792721	2701	1996-01-25	VYDAJ	VYBER	1320	22580	\N	\N	\N
792722	2701	1996-01-02	VYDAJ	VYBER	1560	28154	\N	\N	\N
792723	2701	1996-01-02	VYDAJ	VYBER	1920	26234	\N	\N	\N
792724	2701	1996-01-03	VYDAJ	VYBER	1560	24674	\N	\N	\N
792725	2701	1997-01-12	VYDAJ	VYBER	1680	48720	\N	\N	\N
792726	2701	1997-01-30	VYDAJ	VYBER	1320	40791	\N	\N	\N
792727	2701	1997-01-27	VYDAJ	VYBER	3480	44751	\N	\N	\N
792728	2701	1997-01-04	VYDAJ	VYBER	1680	58885	\N	\N	\N
792729	2701	1997-01-30	VYDAJ	VYBER	1440	42111	\N	\N	\N
792730	2701	1997-01-08	VYDAJ	VYBER	3240	41024	\N	\N	\N
792731	2701	1998-01-18	VYDAJ	VYBER KARTOU	700	40304	\N	\N	0
792732	2701	1998-01-25	VYDAJ	VYBER KARTOU	2900	34304	\N	\N	0
792733	2701	1998-01-07	VYDAJ	VYBER KARTOU	3500	38517	\N	\N	0
792734	2701	1998-01-08	VYDAJ	VYBER KARTOU	3500	35017	\N	\N	0
792735	2701	1998-01-18	VYDAJ	VYBER KARTOU	2900	41004	\N	\N	0
792736	2701	1998-01-23	VYDAJ	VYBER KARTOU	3100	37204	\N	\N	0
792742	2701	1994-04-23	VYDAJ	VYBER	4320	23186	\N	\N	\N
792743	2701	1994-06-13	VYDAJ	VYBER	5640	25175	\N	\N	\N
792744	2701	1994-06-04	VYDAJ	VYBER	2880	22512	\N	\N	\N
792745	2701	1994-03-06	VYDAJ	VYBER	2160	14016	\N	\N	\N
792746	2701	1995-09-24	VYDAJ	VYBER	1680	24018	\N	\N	\N
792747	2701	1995-04-22	VYDAJ	VYBER	1800	24149	\N	\N	\N
792748	2701	1995-05-05	VYDAJ	VYBER	3600	14885	\N	\N	\N
792749	2701	1995-09-24	VYDAJ	VYBER	600	25698	\N	\N	\N
792750	2701	1995-08-25	VYDAJ	VYBER	600	29468	\N	\N	\N
792751	2701	1995-06-30	VYDAJ	VYBER	4440	22123	\N	\N	\N
792752	2701	1996-08-15	VYDAJ	VYBER	4920	31710	\N	\N	\N
792753	2701	1997-01-28	VYDAJ	VYBER	1200	43551	\N	\N	\N
792754	2701	1997-02-13	VYDAJ	VYBER	5160	48331	\N	\N	\N
792755	2701	1997-04-19	VYDAJ	VYBER	2040	56429	\N	\N	\N
792756	2701	1997-01-08	VYDAJ	VYBER	5160	44264	\N	\N	\N
792757	2701	1998-03-07	VYDAJ	VYBER	4560	37336	\N	\N	\N
792758	2701	1998-10-24	VYDAJ	VYBER KARTOU	2000	45697	\N	\N	0
792759	2701	1998-03-05	VYDAJ	VYBER KARTOU	2400	41896	\N	\N	0
792760	2701	1998-08-10	VYDAJ	VYBER KARTOU	1900	41612	\N	\N	0
792761	2701	1998-03-12	VYDAJ	VYBER KARTOU	2300	44412	\N	\N	0
792762	2701	1998-05-18	VYDAJ	VYBER KARTOU	1300	47913	\N	\N	0
792775	2701	1993-12-31	VYDAJ	VYBER	15	33769	SLUZBY	\N	\N
792776	2701	1994-01-31	VYDAJ	VYBER	15	18738	SLUZBY	\N	\N
792777	2701	1994-02-28	VYDAJ	VYBER	15	21937	SLUZBY	\N	\N
792778	2701	1994-03-31	VYDAJ	VYBER	15	23980	SLUZBY	\N	\N
792779	2701	1994-04-30	VYDAJ	VYBER	15	23276	SLUZBY	\N	\N
792780	2701	1994-05-31	VYDAJ	VYBER	15	25392	SLUZBY	\N	\N
792781	2701	1994-06-30	VYDAJ	VYBER	15	21668	SLUZBY	\N	\N
792782	2701	1994-07-31	VYDAJ	VYBER	15	22977	SLUZBY	\N	\N
792783	2701	1994-08-31	VYDAJ	VYBER	15	25993	SLUZBY	\N	\N
792784	2701	1994-09-30	VYDAJ	VYBER	15	27720	SLUZBY	\N	\N
792785	2701	1994-10-31	VYDAJ	VYBER	15	28953	SLUZBY	\N	\N
792786	2701	1994-11-30	VYDAJ	VYBER	15	29690	SLUZBY	\N	\N
792787	2701	1994-12-31	VYDAJ	VYBER	15	30243	SLUZBY	\N	\N
792788	2701	1995-01-31	VYDAJ	VYBER	15	14417	SLUZBY	\N	\N
792789	2701	1995-02-28	VYDAJ	VYBER	15	22606	SLUZBY	\N	\N
792790	2701	1995-03-31	VYDAJ	VYBER	15	26923	SLUZBY	\N	\N
792791	2701	1995-04-30	VYDAJ	VYBER	15	24246	SLUZBY	\N	\N
792792	2701	1995-05-31	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
792793	2701	1995-06-30	VYDAJ	VYBER	15	26563	SLUZBY	\N	\N
792794	2701	1995-07-31	VYDAJ	VYBER	15	25842	SLUZBY	\N	\N
792795	2701	1995-08-31	VYDAJ	VYBER	15	29572	SLUZBY	\N	\N
792796	2701	1995-09-30	VYDAJ	VYBER	15	24119	SLUZBY	\N	\N
792797	2701	1995-10-31	VYDAJ	VYBER	15	28943	SLUZBY	\N	\N
792798	2701	1995-11-30	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
792799	2701	1995-12-31	VYDAJ	VYBER	15	29714	SLUZBY	\N	\N
792800	2701	1996-01-31	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
792801	2701	1996-02-29	VYDAJ	VYBER	15	26184	SLUZBY	\N	\N
792802	2701	1996-03-31	VYDAJ	VYBER	15	30917	SLUZBY	\N	\N
792803	2701	1996-04-30	VYDAJ	VYBER	15	30957	SLUZBY	\N	\N
792804	2701	1996-05-31	VYDAJ	VYBER	15	31398	SLUZBY	\N	\N
792805	2701	1996-06-30	VYDAJ	VYBER	15	35340	SLUZBY	\N	\N
792806	2701	1996-07-31	VYDAJ	VYBER	15	37704	SLUZBY	\N	\N
792807	2701	1996-08-31	VYDAJ	VYBER	15	31837	SLUZBY	\N	\N
792808	2701	1996-09-30	VYDAJ	VYBER	15	42712	SLUZBY	\N	\N
792809	2701	1996-10-31	VYDAJ	VYBER	15	50824	SLUZBY	\N	\N
792810	2701	1996-11-30	VYDAJ	VYBER	15	52950	SLUZBY	\N	\N
792811	2701	1996-12-31	VYDAJ	VYBER	15	60565	SLUZBY	\N	\N
792812	2701	1997-01-31	VYDAJ	VYBER	15	40976	SLUZBY	\N	\N
792813	2701	1997-02-28	VYDAJ	VYBER	15	48021	SLUZBY	\N	\N
792814	2701	1997-03-31	VYDAJ	VYBER	15	52743	SLUZBY	\N	\N
792815	2701	1997-04-30	VYDAJ	VYBER	15	56645	SLUZBY	\N	\N
792816	2701	1997-05-31	VYDAJ	VYBER	15	58392	SLUZBY	\N	\N
792817	2701	1997-06-30	VYDAJ	VYBER	15	53982	SLUZBY	\N	\N
792818	2701	1997-07-31	VYDAJ	VYBER	15	59832	SLUZBY	\N	\N
792819	2701	1997-08-31	VYDAJ	VYBER	15	58880	SLUZBY	\N	\N
792820	2701	1997-09-30	VYDAJ	VYBER	15	63043	SLUZBY	\N	\N
792821	2701	1997-10-31	VYDAJ	VYBER	15	63309	SLUZBY	\N	\N
792822	2701	1997-11-30	VYDAJ	VYBER	15	60867	SLUZBY	\N	\N
792823	2701	1997-12-31	VYDAJ	VYBER	15	57098	SLUZBY	\N	\N
792824	2701	1998-01-31	VYDAJ	VYBER	15	34461	SLUZBY	\N	\N
792825	2701	1998-02-28	VYDAJ	VYBER	15	48657	SLUZBY	\N	\N
792826	2701	1998-03-31	VYDAJ	VYBER	15	44089	SLUZBY	\N	\N
792827	2701	1998-04-30	VYDAJ	VYBER	15	47487	SLUZBY	\N	\N
792828	2701	1998-05-31	VYDAJ	VYBER	15	48091	SLUZBY	\N	\N
792829	2701	1998-06-30	VYDAJ	VYBER	15	28733	SLUZBY	\N	\N
792830	2701	1998-07-31	VYDAJ	VYBER	15	40597	SLUZBY	\N	\N
792831	2701	1998-08-31	VYDAJ	VYBER	15	42876	SLUZBY	\N	\N
792832	2701	1998-09-30	VYDAJ	VYBER	15	44571	SLUZBY	\N	\N
792833	2701	1998-10-31	VYDAJ	VYBER	15	47972	SLUZBY	\N	\N
792834	2701	1998-11-30	VYDAJ	VYBER	15	46787	SLUZBY	\N	\N
792835	2701	1993-08-26	PRIJEM	VKLAD	8000	17676	\N	\N	\N
792836	2701	1993-09-25	VYDAJ	VYBER	700	26366	\N	\N	\N
792837	2701	1993-10-25	VYDAJ	VYBER	6000	29823	\N	\N	\N
792838	2701	1993-11-24	VYDAJ	VYBER	7700	31612	\N	\N	\N
792839	2701	1993-12-24	VYDAJ	VYBER	9600	33633	\N	\N	\N
792840	2701	1994-01-23	PRIJEM	VKLAD	2600	24415	\N	\N	\N
792841	2701	1994-03-24	PRIJEM	VKLAD	1000	23903	\N	\N	\N
792842	2701	1994-04-23	PRIJEM	VKLAD	400	27506	\N	\N	\N
792843	2701	1994-05-23	VYDAJ	VYBER	1100	25302	\N	\N	\N
792844	2701	1994-06-22	VYDAJ	VYBER	3100	21586	\N	\N	\N
792845	2701	1994-07-22	VYDAJ	VYBER	1900	22894	\N	\N	\N
792846	2701	1994-08-21	VYDAJ	VYBER	200	25903	\N	\N	\N
792847	2701	1994-09-20	VYDAJ	VYBER	1500	27619	\N	\N	\N
792848	2701	1994-10-20	VYDAJ	VYBER	2000	28846	\N	\N	\N
792849	2701	1994-11-19	VYDAJ	VYBER	2500	29579	\N	\N	\N
792850	2701	1994-12-19	VYDAJ	VYBER	5300	30124	\N	\N	\N
792851	2701	1995-01-18	VYDAJ	VYBER	3600	22129	\N	\N	\N
792852	2701	1995-02-17	PRIJEM	VKLAD	5000	22543	\N	\N	\N
792853	2701	1995-03-19	PRIJEM	VKLAD	1100	26832	\N	\N	\N
792854	2701	1995-04-18	VYDAJ	VYBER	4100	25949	\N	\N	\N
792855	2701	1995-05-18	VYDAJ	VYBER	300	23472	\N	\N	\N
792856	2701	1995-06-17	VYDAJ	VYBER	4900	26466	\N	\N	\N
792857	2701	1995-07-17	PRIJEM	VKLAD	500	25749	\N	\N	\N
792858	2701	1995-08-16	PRIJEM	VKLAD	1100	30068	\N	\N	\N
792859	2701	1995-09-15	VYDAJ	VYBER	6400	26298	\N	\N	\N
792860	2701	1995-10-15	PRIJEM	VKLAD	1600	28845	\N	\N	\N
792861	2701	1995-11-14	VYDAJ	VYBER	800	31269	\N	\N	\N
792862	2701	1995-12-14	VYDAJ	VYBER	5600	34087	\N	\N	\N
792863	2701	1996-01-13	PRIJEM	VKLAD	6100	30309	\N	\N	\N
792864	2701	1996-02-12	PRIJEM	VKLAD	300	26584	\N	\N	\N
792865	2701	1996-03-13	PRIJEM	VKLAD	1500	31299	\N	\N	\N
792866	2701	1996-04-12	VYDAJ	VYBER	3200	31332	\N	\N	\N
792867	2701	1996-05-12	VYDAJ	VYBER	2800	31772	\N	\N	\N
792868	2701	1996-06-11	VYDAJ	VYBER	4000	35701	\N	\N	\N
792869	2701	1996-07-11	VYDAJ	VYBER	900	38055	\N	\N	\N
792870	2701	1996-08-10	VYDAJ	VYBER	4200	37119	\N	\N	\N
792871	2701	1996-09-09	PRIJEM	VKLAD	7600	33676	\N	\N	\N
792872	2701	1996-10-09	PRIJEM	VKLAD	4800	41751	\N	\N	\N
792873	2701	1996-11-08	VYDAJ	VYBER	1200	43863	\N	\N	\N
792874	2701	1996-12-08	PRIJEM	VKLAD	2300	46769	\N	\N	\N
792875	2701	1997-01-07	PRIJEM	VKLAD	4300	49424	\N	\N	\N
792876	2701	1997-02-06	PRIJEM	VKLAD	8900	44115	\N	\N	\N
792877	2701	1997-03-08	PRIJEM	VKLAD	1400	43660	\N	\N	\N
792878	2701	1997-04-07	PRIJEM	VKLAD	2600	49582	\N	\N	\N
792879	2701	1997-05-07	VYDAJ	VYBER	1600	49284	\N	\N	\N
792880	2701	1997-06-06	PRIJEM	VKLAD	500	53131	\N	\N	\N
792881	2701	1997-07-06	PRIJEM	VKLAD	2500	50721	\N	\N	\N
792882	2701	1997-08-05	VYDAJ	VYBER	4300	49771	\N	\N	\N
792883	2701	1997-09-04	PRIJEM	VKLAD	800	59680	\N	\N	\N
792884	2701	1997-10-04	VYDAJ	VYBER KARTOU	3100	59943	\N	\N	0
792885	2701	1997-11-03	VYDAJ	VYBER	5800	57509	\N	\N	\N
792886	2701	1997-12-03	VYDAJ	VYBER	9600	51267	\N	\N	\N
792887	2701	1998-01-02	VYDAJ	VYBER	5000	52098	\N	\N	\N
792888	2701	1998-02-01	PRIJEM	VKLAD	10900	45361	\N	\N	\N
792889	2701	1998-03-03	PRIJEM	VKLAD	1400	50057	\N	\N	\N
792890	2701	1998-04-02	PRIJEM	VKLAD	100	44189	\N	\N	\N
792891	2701	1998-05-02	VYDAJ	VYBER KARTOU	1400	46087	\N	\N	0
792892	2701	1998-06-01	PRIJEM	VKLAD	1600	49691	\N	\N	\N
792893	2701	1998-07-01	PRIJEM	VKLAD	8600	37333	\N	\N	\N
792894	2701	1998-07-31	VYDAJ	VYBER KARTOU	700	39897	\N	\N	0
792895	2701	1998-08-30	PRIJEM	VKLAD	1600	42723	\N	\N	\N
792896	2701	1998-09-29	VYDAJ	VYBER KARTOU	1600	44402	\N	\N	0
792897	2701	1998-10-29	PRIJEM	VKLAD	2100	47797	\N	\N	\N
792898	2701	1998-11-28	VYDAJ	VYBER	4500	46598	\N	\N	\N
792964	2702	1996-02-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
792966	2702	1996-02-08	PRIJEM	VKLAD	24443	25443	\N	\N	\N
792967	2702	1996-03-08	PRIJEM	VKLAD	24443	51566	\N	\N	\N
792968	2702	1996-04-08	PRIJEM	VKLAD	24443	66100	\N	\N	\N
792969	2702	1996-05-08	PRIJEM	VKLAD	24443	69604	\N	\N	\N
792970	2702	1996-06-08	PRIJEM	VKLAD	36665	83952	\N	\N	\N
792971	2702	1996-07-08	PRIJEM	VKLAD	24443	78304	\N	\N	\N
792972	2702	1996-08-08	PRIJEM	VKLAD	24443	68558	\N	\N	\N
792973	2702	1996-09-08	PRIJEM	VKLAD	24443	72370	\N	\N	\N
792974	2702	1996-10-08	PRIJEM	VKLAD	24443	72091	\N	\N	\N
792975	2702	1996-11-08	PRIJEM	VKLAD	24443	68883	\N	\N	\N
792976	2702	1996-12-08	PRIJEM	VKLAD	36665	79659	\N	\N	\N
792977	2702	1997-01-08	PRIJEM	VKLAD	24443	66375	\N	\N	\N
792978	2702	1997-02-08	PRIJEM	VKLAD	24443	58733	\N	\N	\N
792979	2702	1997-03-08	PRIJEM	VKLAD	24443	60893	\N	\N	\N
792980	2702	1997-04-08	PRIJEM	VKLAD	24443	57359	\N	\N	\N
792981	2702	1997-05-08	PRIJEM	VKLAD	24443	59013	\N	\N	\N
792982	2702	1997-06-08	PRIJEM	VKLAD	36665	61689	\N	\N	\N
792983	2702	1997-07-08	PRIJEM	VKLAD	24443	45657	\N	\N	\N
792984	2702	1997-08-08	PRIJEM	VKLAD	24443	41551	\N	\N	\N
792985	2702	1997-09-08	PRIJEM	VKLAD	24443	38337	\N	\N	\N
792986	2702	1997-10-08	PRIJEM	VKLAD	24443	59325	\N	\N	\N
792987	2702	1997-11-08	PRIJEM	VKLAD	24443	50265	\N	\N	\N
792988	2702	1997-12-08	PRIJEM	VKLAD	36665	57489	\N	\N	\N
792989	2702	1998-01-08	PRIJEM	VKLAD	24443	40976	\N	\N	\N
792990	2702	1998-02-08	PRIJEM	VKLAD	24443	41246	\N	\N	\N
792991	2702	1998-03-08	PRIJEM	VKLAD	24443	42619	\N	\N	\N
792992	2702	1998-04-08	PRIJEM	VKLAD	24443	43598	\N	\N	\N
792993	2702	1998-05-08	PRIJEM	VKLAD	24443	40274	\N	\N	\N
792994	2702	1998-06-08	PRIJEM	VKLAD	36665	73492	\N	\N	\N
792995	2702	1998-07-08	PRIJEM	VKLAD	24443	44939	\N	\N	\N
792996	2702	1998-08-08	PRIJEM	VKLAD	24443	65955	\N	\N	\N
792997	2702	1998-09-08	PRIJEM	VKLAD	24443	50795	\N	\N	\N
792998	2702	1998-10-08	PRIJEM	VKLAD	24443	40377	\N	\N	\N
792999	2702	1998-11-08	PRIJEM	VKLAD	24443	61373	\N	\N	\N
793000	2702	1998-12-08	PRIJEM	VKLAD	36665	52296	\N	\N	\N
793006	2702	1996-06-11	VYDAJ	PREVOD NA UCET	3537	80415	SIPO	WX	31848305
793007	2702	1996-07-11	VYDAJ	PREVOD NA UCET	3537	74767	SIPO	WX	31848305
793008	2702	1996-08-11	VYDAJ	PREVOD NA UCET	3537	65021	SIPO	WX	31848305
793009	2702	1996-09-11	VYDAJ	PREVOD NA UCET	3537	68833	SIPO	WX	31848305
793010	2702	1996-10-11	VYDAJ	PREVOD NA UCET	3537	66634	SIPO	WX	31848305
793011	2702	1996-11-11	VYDAJ	PREVOD NA UCET	3537	65346	SIPO	WX	31848305
793012	2702	1996-12-11	VYDAJ	PREVOD NA UCET	3537	71202	SIPO	WX	31848305
793013	2702	1997-01-11	VYDAJ	PREVOD NA UCET	3537	52438	SIPO	WX	31848305
793014	2702	1997-02-11	VYDAJ	PREVOD NA UCET	3537	55196	SIPO	WX	31848305
793015	2702	1997-03-11	VYDAJ	PREVOD NA UCET	3537	57356	SIPO	WX	31848305
793016	2702	1997-04-11	VYDAJ	PREVOD NA UCET	3537	53822	SIPO	WX	31848305
793017	2702	1997-05-11	VYDAJ	PREVOD NA UCET	3537	55476	SIPO	WX	31848305
793018	2702	1997-06-11	VYDAJ	PREVOD NA UCET	3537	22152	SIPO	WX	31848305
793019	2702	1997-07-11	VYDAJ	PREVOD NA UCET	3537	42120	SIPO	WX	31848305
793020	2702	1997-08-11	VYDAJ	PREVOD NA UCET	3537	32134	SIPO	WX	31848305
793021	2702	1997-09-11	VYDAJ	PREVOD NA UCET	3537	34800	SIPO	WX	31848305
793022	2702	1997-10-11	VYDAJ	PREVOD NA UCET	3537	55788	SIPO	WX	31848305
793023	2702	1997-11-11	VYDAJ	PREVOD NA UCET	3537	46728	SIPO	WX	31848305
793024	2702	1997-12-11	VYDAJ	PREVOD NA UCET	3537	52252	SIPO	WX	31848305
793025	2702	1998-01-11	VYDAJ	PREVOD NA UCET	3537	37439	SIPO	WX	31848305
793026	2702	1998-02-11	VYDAJ	PREVOD NA UCET	3537	37709	SIPO	WX	31848305
793027	2702	1998-03-11	VYDAJ	PREVOD NA UCET	3537	39082	SIPO	WX	31848305
793028	2702	1998-04-11	VYDAJ	PREVOD NA UCET	3537	40061	SIPO	WX	31848305
793029	2702	1998-05-11	VYDAJ	PREVOD NA UCET	3537	36737	SIPO	WX	31848305
793030	2702	1998-06-11	VYDAJ	PREVOD NA UCET	3537	69955	SIPO	WX	31848305
793031	2702	1998-07-11	VYDAJ	PREVOD NA UCET	3537	41402	SIPO	WX	31848305
793032	2702	1998-08-11	VYDAJ	PREVOD NA UCET	3537	62418	SIPO	WX	31848305
793033	2702	1998-09-11	VYDAJ	PREVOD NA UCET	3537	47258	SIPO	WX	31848305
793034	2702	1998-10-11	VYDAJ	PREVOD NA UCET	3537	36840	SIPO	WX	31848305
793035	2702	1998-11-11	VYDAJ	PREVOD NA UCET	3537	57836	SIPO	WX	31848305
793036	2702	1998-12-11	VYDAJ	PREVOD NA UCET	3537	48759	SIPO	WX	31848305
793043	2702	1996-07-07	VYDAJ	PREVOD NA UCET	29	53861	 	WX	90875982
793044	2702	1996-08-07	VYDAJ	PREVOD NA UCET	29	44115	 	WX	90875982
793045	2702	1996-09-07	VYDAJ	PREVOD NA UCET	29	47927	 	WX	90875982
793046	2702	1996-10-07	VYDAJ	PREVOD NA UCET	29	47648	 	WX	90875982
793047	2702	1996-11-07	VYDAJ	PREVOD NA UCET	29	44440	 	WX	90875982
793048	2702	1996-12-07	VYDAJ	PREVOD NA UCET	29	42994	 	WX	90875982
793049	2702	1997-01-07	VYDAJ	PREVOD NA UCET	29	41932	 	WX	90875982
793050	2702	1997-02-07	VYDAJ	PREVOD NA UCET	29	34290	 	WX	90875982
793051	2702	1997-03-07	VYDAJ	PREVOD NA UCET	29	36450	 	WX	90875982
793052	2702	1997-04-07	VYDAJ	PREVOD NA UCET	29	32916	 	WX	90875982
793053	2702	1997-05-07	VYDAJ	PREVOD NA UCET	29	34570	 	WX	90875982
793054	2702	1997-06-07	VYDAJ	PREVOD NA UCET	29	25025	 	WX	90875982
793055	2702	1997-07-07	VYDAJ	PREVOD NA UCET	29	21214	 	WX	90875982
793056	2702	1997-08-07	VYDAJ	PREVOD NA UCET	29	17108	 	WX	90875982
793057	2702	1997-09-07	VYDAJ	PREVOD NA UCET	29	13894	 	WX	90875982
793058	2702	1997-10-07	VYDAJ	PREVOD NA UCET	29	34882	 	WX	90875982
793059	2702	1997-11-07	VYDAJ	PREVOD NA UCET	29	25822	 	WX	90875982
793060	2702	1997-12-07	VYDAJ	PREVOD NA UCET	29	20824	 	WX	90875982
793061	2702	1998-01-07	VYDAJ	PREVOD NA UCET	29	16533	 	WX	90875982
793062	2702	1998-02-07	VYDAJ	PREVOD NA UCET	29	16803	 	WX	90875982
793063	2702	1998-03-07	VYDAJ	PREVOD NA UCET	29	18176	 	WX	90875982
793064	2702	1998-04-07	VYDAJ	PREVOD NA UCET	29	19155	 	WX	90875982
793065	2702	1998-05-07	VYDAJ	PREVOD NA UCET	29	15831	 	WX	90875982
793066	2702	1998-06-07	VYDAJ	PREVOD NA UCET	29	36827	 	WX	90875982
793067	2702	1998-07-07	VYDAJ	PREVOD NA UCET	29	20496	 	WX	90875982
793068	2702	1998-08-07	VYDAJ	PREVOD NA UCET	29	41512	 	WX	90875982
793069	2702	1998-09-07	VYDAJ	PREVOD NA UCET	29	26352	 	WX	90875982
793070	2702	1998-10-07	VYDAJ	PREVOD NA UCET	29	15934	 	WX	90875982
793071	2702	1998-11-07	VYDAJ	PREVOD NA UCET	29	36930	 	WX	90875982
793072	2702	1998-12-07	VYDAJ	PREVOD NA UCET	29	15631	 	WX	90875982
793074	2702	1997-06-09	VYDAJ	VYBER	36000	25689	\N	\N	\N
793075	2702	1998-06-20	VYDAJ	VYBER	47200	22755	\N	\N	\N
793077	2702	1997-01-08	VYDAJ	VYBER	10400	55975	\N	\N	\N
793079	2702	1996-12-16	VYDAJ	VYBER	1280	69922	\N	\N	\N
793080	2702	1997-12-15	VYDAJ	VYBER	4640	47612	\N	\N	\N
793081	2702	1998-12-27	VYDAJ	VYBER KARTOU	1300	42539	\N	\N	0
793082	2702	1996-10-10	VYDAJ	VYBER	1920	70171	\N	\N	\N
793083	2702	1996-11-11	VYDAJ	VYBER	3840	61506	\N	\N	\N
793084	2702	1996-08-04	VYDAJ	VYBER	4920	44144	\N	\N	\N
793087	2702	1996-12-11	VYDAJ	VYBER	4920	74739	\N	\N	\N
793088	2702	1997-11-16	VYDAJ	VYBER KARTOU	3100	43628	\N	\N	0
793089	2702	1997-12-08	VYDAJ	VYBER KARTOU	1700	55789	\N	\N	0
793090	2702	1997-07-01	VYDAJ	VYBER KARTOU	1000	21243	\N	\N	0
793091	2702	1997-07-20	VYDAJ	VYBER KARTOU	3500	38620	\N	\N	0
793092	2702	1997-08-08	VYDAJ	VYBER	5880	35671	\N	\N	\N
793093	2702	1997-06-01	VYDAJ	VYBER	5400	25054	\N	\N	\N
793094	2702	1998-01-02	VYDAJ	VYBER	5880	16562	\N	\N	\N
793095	2702	1998-12-15	VYDAJ	VYBER	4920	43839	\N	\N	\N
793096	2702	1998-01-13	VYDAJ	VYBER KARTOU	3400	34039	\N	\N	0
793098	2702	1998-06-23	VYDAJ	VYBER KARTOU	2400	20355	\N	\N	0
793106	2702	1996-06-30	VYDAJ	VYBER	15	80690	SLUZBY	\N	\N
793107	2702	1996-07-31	VYDAJ	VYBER	15	49064	SLUZBY	\N	\N
793108	2702	1996-08-31	VYDAJ	VYBER	15	47956	SLUZBY	\N	\N
793109	2702	1996-09-30	VYDAJ	VYBER	15	47677	SLUZBY	\N	\N
793110	2702	1996-10-31	VYDAJ	VYBER	15	44469	SLUZBY	\N	\N
793111	2702	1996-11-30	VYDAJ	VYBER	15	43023	SLUZBY	\N	\N
793112	2702	1996-12-31	VYDAJ	VYBER	15	41961	SLUZBY	\N	\N
793113	2702	1997-01-31	VYDAJ	VYBER	15	34319	SLUZBY	\N	\N
793114	2702	1997-02-28	VYDAJ	VYBER	15	36479	SLUZBY	\N	\N
793115	2702	1997-03-31	VYDAJ	VYBER	15	32945	SLUZBY	\N	\N
793116	2702	1997-04-30	VYDAJ	VYBER	15	34599	SLUZBY	\N	\N
793117	2702	1997-05-31	VYDAJ	VYBER	15	30454	SLUZBY	\N	\N
793118	2702	1997-06-30	VYDAJ	VYBER	15	22243	SLUZBY	\N	\N
793119	2702	1997-07-31	VYDAJ	VYBER	15	17137	SLUZBY	\N	\N
793120	2702	1997-08-31	VYDAJ	VYBER	15	13923	SLUZBY	\N	\N
793121	2702	1997-09-30	VYDAJ	VYBER	15	34911	SLUZBY	\N	\N
793122	2702	1997-10-31	VYDAJ	VYBER	15	25851	SLUZBY	\N	\N
793123	2702	1997-11-30	VYDAJ	VYBER	15	20853	SLUZBY	\N	\N
793124	2702	1997-12-31	VYDAJ	VYBER	15	22442	SLUZBY	\N	\N
793125	2702	1998-01-31	VYDAJ	VYBER	15	16832	SLUZBY	\N	\N
793126	2702	1998-02-28	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
793127	2702	1998-03-31	VYDAJ	VYBER	15	19184	SLUZBY	\N	\N
793128	2702	1998-04-30	VYDAJ	VYBER	15	15860	SLUZBY	\N	\N
793129	2702	1998-05-31	VYDAJ	VYBER	15	36856	SLUZBY	\N	\N
793130	2702	1998-06-30	VYDAJ	VYBER	15	20525	SLUZBY	\N	\N
793131	2702	1998-07-31	VYDAJ	VYBER	15	41541	SLUZBY	\N	\N
793132	2702	1998-08-31	VYDAJ	VYBER	15	26381	SLUZBY	\N	\N
793133	2702	1998-09-30	VYDAJ	VYBER	15	15963	SLUZBY	\N	\N
793134	2702	1998-10-31	VYDAJ	VYBER	15	36959	SLUZBY	\N	\N
793135	2702	1998-11-30	VYDAJ	VYBER	15	15660	SLUZBY	\N	\N
793136	2702	1996-03-02	PRIJEM	VKLAD	1600	27123	\N	\N	\N
793137	2702	1996-04-01	VYDAJ	VYBER	10100	41657	\N	\N	\N
793138	2702	1996-05-01	VYDAJ	VYBER	21200	45161	\N	\N	\N
793139	2702	1996-05-31	VYDAJ	VYBER	22600	47288	\N	\N	\N
793140	2702	1996-06-30	VYDAJ	VYBER	26800	53890	\N	\N	\N
793141	2702	1996-07-30	VYDAJ	VYBER	26000	48767	\N	\N	\N
793142	2702	1996-08-29	VYDAJ	VYBER	17300	47721	\N	\N	\N
793143	2702	1996-09-28	VYDAJ	VYBER	21400	47433	\N	\N	\N
793144	2702	1996-10-28	VYDAJ	VYBER	22400	44234	\N	\N	\N
793145	2702	1996-11-27	VYDAJ	VYBER	18700	42806	\N	\N	\N
793146	2702	1996-12-27	VYDAJ	VYBER	28200	41722	\N	\N	\N
793147	2702	1997-01-26	VYDAJ	VYBER	18300	34138	\N	\N	\N
793148	2702	1997-02-25	VYDAJ	VYBER	18900	36296	\N	\N	\N
793149	2702	1997-03-27	VYDAJ	VYBER	24600	32756	\N	\N	\N
793150	2702	1997-04-26	VYDAJ	VYBER	19400	34422	\N	\N	\N
793151	2702	1997-05-26	VYDAJ	VYBER	25200	30276	\N	\N	\N
793152	2702	1997-07-25	VYDAJ	VYBER	21600	17020	\N	\N	\N
793153	2702	1997-08-24	VYDAJ	VYBER	18300	13834	\N	\N	\N
793154	2702	1997-10-23	VYDAJ	VYBER	30100	25688	\N	\N	\N
793155	2702	1997-11-22	VYDAJ	VYBER	22900	20728	\N	\N	\N
793156	2702	1997-12-22	VYDAJ	VYBER	25300	22312	\N	\N	\N
793157	2702	1998-01-21	VYDAJ	VYBER	17300	16739	\N	\N	\N
793158	2702	1998-02-20	VYDAJ	VYBER	19600	18109	\N	\N	\N
793159	2702	1998-03-22	VYDAJ	VYBER	20000	19082	\N	\N	\N
793160	2702	1998-04-21	VYDAJ	VYBER	24300	15761	\N	\N	\N
793161	2702	1998-08-19	VYDAJ	VYBER	36200	26218	\N	\N	\N
793162	2702	1998-09-18	VYDAJ	VYBER	31400	15858	\N	\N	\N
793163	2702	1998-11-17	VYDAJ	VYBER	42300	15536	\N	\N	\N
793199	2703	1997-10-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
793210	2703	1997-11-12	PRIJEM	PREVOD Z UCTU	3124	4124	\N	EF	28379541
793211	2703	1997-12-12	PRIJEM	PREVOD Z UCTU	3124	7248	\N	EF	28379541
793212	2703	1998-01-12	PRIJEM	PREVOD Z UCTU	3124	10372	\N	EF	28379541
793213	2703	1998-02-12	PRIJEM	PREVOD Z UCTU	3124	13496	\N	EF	28379541
793214	2703	1998-03-12	PRIJEM	PREVOD Z UCTU	3124	16620	\N	EF	28379541
793215	2703	1998-04-12	PRIJEM	PREVOD Z UCTU	3124	16210	\N	EF	28379541
793216	2703	1998-05-12	PRIJEM	PREVOD Z UCTU	3124	17304	\N	EF	28379541
793217	2703	1998-06-12	PRIJEM	PREVOD Z UCTU	3124	18402	\N	EF	28379541
793218	2703	1998-07-12	PRIJEM	PREVOD Z UCTU	3124	16672	\N	EF	28379541
793219	2703	1998-08-12	PRIJEM	PREVOD Z UCTU	3124	17767	\N	EF	28379541
793220	2703	1998-09-12	PRIJEM	PREVOD Z UCTU	3124	18537	\N	EF	28379541
793221	2703	1998-10-12	PRIJEM	PREVOD Z UCTU	3124	19639	\N	EF	28379541
793222	2703	1998-11-12	PRIJEM	PREVOD Z UCTU	3124	19697	\N	EF	28379541
793223	2703	1998-12-12	PRIJEM	PREVOD Z UCTU	3124	20295	\N	EF	28379541
793239	2703	1998-04-09	VYDAJ	PREVOD NA UCET	2082	13086	SIPO	AB	7336545
793240	2703	1998-05-09	VYDAJ	PREVOD NA UCET	2082	14180	SIPO	AB	7336545
793241	2703	1998-06-09	VYDAJ	PREVOD NA UCET	2082	15278	SIPO	AB	7336545
793242	2703	1998-07-09	VYDAJ	PREVOD NA UCET	2082	13548	SIPO	AB	7336545
793243	2703	1998-08-09	VYDAJ	PREVOD NA UCET	2082	14643	SIPO	AB	7336545
793244	2703	1998-09-09	VYDAJ	PREVOD NA UCET	2082	15413	SIPO	AB	7336545
793245	2703	1998-10-09	VYDAJ	PREVOD NA UCET	2082	16515	SIPO	AB	7336545
793246	2703	1998-11-09	VYDAJ	PREVOD NA UCET	2082	16573	SIPO	AB	7336545
793247	2703	1998-12-09	VYDAJ	PREVOD NA UCET	2082	17171	SIPO	AB	7336545
793251	2703	1998-12-04	VYDAJ	VYBER	510	19253	\N	\N	\N
793270	2703	1998-06-23	VYDAJ	VYBER	930	17472	\N	\N	\N
793271	2703	1998-09-02	VYDAJ	VYBER	330	17495	\N	\N	\N
793272	2703	1998-10-31	VYDAJ	VYBER	1050	18655	\N	\N	\N
793273	2703	1998-04-07	VYDAJ	VYBER	1440	15168	\N	\N	\N
793289	2703	1998-03-31	VYDAJ	VYBER	15	16608	SLUZBY	\N	\N
793290	2703	1998-04-30	VYDAJ	VYBER	15	16262	SLUZBY	\N	\N
793291	2703	1998-05-31	VYDAJ	VYBER	15	17360	SLUZBY	\N	\N
793292	2703	1998-06-30	VYDAJ	VYBER	15	15630	SLUZBY	\N	\N
793293	2703	1998-07-31	VYDAJ	VYBER	15	16725	SLUZBY	\N	\N
793294	2703	1998-08-31	VYDAJ	VYBER	15	17825	SLUZBY	\N	\N
793295	2703	1998-09-30	VYDAJ	VYBER	15	18597	SLUZBY	\N	\N
793296	2703	1998-10-31	VYDAJ	VYBER	15	19705	SLUZBY	\N	\N
793297	2703	1998-11-30	VYDAJ	VYBER	15	19763	SLUZBY	\N	\N
793298	2703	1998-06-25	VYDAJ	VYBER	1900	15572	\N	\N	\N
793780	2705	1993-07-05	PRIJEM	VKLAD	600	600	\N	\N	\N
793787	2705	1993-07-10	PRIJEM	PREVOD Z UCTU	15649	16249	\N	QR	34823769
794124	2705	1996-06-20	VYDAJ	VYBER	2100	37569	\N	\N	\N
793788	2705	1993-08-10	PRIJEM	PREVOD Z UCTU	15649	37346	\N	QR	34823769
793789	2705	1993-09-10	PRIJEM	PREVOD Z UCTU	15649	49225	\N	QR	34823769
793790	2705	1993-10-10	PRIJEM	PREVOD Z UCTU	15649	52164	\N	QR	34823769
793791	2705	1993-11-10	PRIJEM	PREVOD Z UCTU	15649	50227	\N	QR	34823769
793792	2705	1993-12-10	PRIJEM	PREVOD Z UCTU	23474	47467	\N	QR	34823769
793793	2705	1994-01-10	PRIJEM	PREVOD Z UCTU	15649	26595	\N	QR	34823769
793794	2705	1994-02-10	PRIJEM	PREVOD Z UCTU	15649	25710	\N	QR	34823769
793795	2705	1994-03-10	PRIJEM	PREVOD Z UCTU	15649	29822	\N	QR	34823769
793796	2705	1994-04-10	PRIJEM	PREVOD Z UCTU	15649	30847	\N	QR	34823769
793797	2705	1994-05-10	PRIJEM	PREVOD Z UCTU	15649	32278	\N	QR	34823769
793798	2705	1994-06-10	PRIJEM	PREVOD Z UCTU	23474	37995	\N	QR	34823769
793799	2705	1994-07-10	PRIJEM	PREVOD Z UCTU	15649	35851	\N	QR	34823769
793800	2705	1994-08-10	PRIJEM	PREVOD Z UCTU	15649	34304	\N	QR	34823769
793801	2705	1994-09-10	PRIJEM	PREVOD Z UCTU	15649	35551	\N	QR	34823769
793802	2705	1994-10-10	PRIJEM	PREVOD Z UCTU	15649	30366	\N	QR	34823769
793803	2705	1994-11-10	PRIJEM	PREVOD Z UCTU	15649	31696	\N	QR	34823769
793804	2705	1994-12-10	PRIJEM	PREVOD Z UCTU	23474	37947	\N	QR	34823769
793805	2705	1995-01-10	PRIJEM	PREVOD Z UCTU	15649	26597	\N	QR	34823769
793806	2705	1995-02-10	PRIJEM	PREVOD Z UCTU	15649	27716	\N	QR	34823769
793807	2705	1995-03-10	PRIJEM	PREVOD Z UCTU	15649	33938	\N	QR	34823769
793808	2705	1995-04-10	PRIJEM	PREVOD Z UCTU	15649	25885	\N	QR	34823769
793809	2705	1995-05-10	PRIJEM	PREVOD Z UCTU	15649	32312	\N	QR	34823769
793810	2705	1995-06-10	PRIJEM	PREVOD Z UCTU	23474	41675	\N	QR	34823769
793811	2705	1995-07-10	PRIJEM	PREVOD Z UCTU	15649	41241	\N	QR	34823769
793812	2705	1995-08-10	PRIJEM	PREVOD Z UCTU	15649	32706	\N	QR	34823769
793813	2705	1995-09-10	PRIJEM	PREVOD Z UCTU	15649	29643	\N	QR	34823769
793814	2705	1995-10-10	PRIJEM	PREVOD Z UCTU	15649	37577	\N	QR	34823769
793815	2705	1995-11-10	PRIJEM	PREVOD Z UCTU	15649	40238	\N	QR	34823769
793816	2705	1995-12-10	PRIJEM	PREVOD Z UCTU	23474	51036	\N	QR	34823769
793817	2705	1996-01-10	PRIJEM	PREVOD Z UCTU	15649	28201	\N	QR	34823769
793818	2705	1996-02-10	PRIJEM	PREVOD Z UCTU	15649	34839	\N	QR	34823769
793819	2705	1996-03-10	PRIJEM	PREVOD Z UCTU	15649	32154	\N	QR	34823769
793820	2705	1996-04-10	PRIJEM	PREVOD Z UCTU	15649	40701	\N	QR	34823769
793821	2705	1996-05-10	PRIJEM	PREVOD Z UCTU	15649	27605	\N	QR	34823769
793822	2705	1996-06-10	PRIJEM	PREVOD Z UCTU	23474	46177	\N	QR	34823769
793823	2705	1996-07-10	PRIJEM	PREVOD Z UCTU	15649	42553	\N	QR	34823769
793824	2705	1996-08-10	PRIJEM	PREVOD Z UCTU	15649	27722	\N	QR	34823769
793825	2705	1996-09-10	PRIJEM	PREVOD Z UCTU	15649	31890	\N	QR	34823769
793826	2705	1996-10-10	PRIJEM	PREVOD Z UCTU	15649	40038	\N	QR	34823769
793827	2705	1996-11-10	PRIJEM	PREVOD Z UCTU	15649	32718	\N	QR	34823769
793828	2705	1996-12-10	PRIJEM	PREVOD Z UCTU	23474	53320	\N	QR	34823769
793829	2705	1997-01-10	PRIJEM	PREVOD Z UCTU	15649	40823	\N	QR	34823769
793830	2705	1997-02-10	PRIJEM	PREVOD Z UCTU	15649	28290	\N	QR	34823769
793831	2705	1997-03-10	PRIJEM	PREVOD Z UCTU	15649	38345	\N	QR	34823769
793832	2705	1997-04-10	PRIJEM	PREVOD Z UCTU	15649	30400	\N	QR	34823769
793833	2705	1997-05-10	PRIJEM	PREVOD Z UCTU	15649	39351	\N	QR	34823769
793834	2705	1997-06-10	PRIJEM	PREVOD Z UCTU	23474	44046	\N	QR	34823769
793835	2705	1997-07-10	PRIJEM	PREVOD Z UCTU	15649	49640	\N	QR	34823769
793836	2705	1997-08-10	PRIJEM	PREVOD Z UCTU	15649	29932	\N	QR	34823769
793837	2705	1997-09-10	PRIJEM	PREVOD Z UCTU	15649	37883	\N	QR	34823769
793838	2705	1997-10-10	PRIJEM	PREVOD Z UCTU	15649	40662	\N	QR	34823769
793839	2705	1997-11-10	PRIJEM	PREVOD Z UCTU	15649	45750	\N	QR	34823769
793840	2705	1997-12-10	PRIJEM	PREVOD Z UCTU	23474	39669	\N	QR	34823769
793841	2705	1998-01-10	PRIJEM	PREVOD Z UCTU	15649	42248	\N	QR	34823769
793842	2705	1998-02-10	PRIJEM	PREVOD Z UCTU	15649	43198	\N	QR	34823769
793843	2705	1998-03-10	PRIJEM	PREVOD Z UCTU	15649	32689	\N	QR	34823769
793844	2705	1998-04-10	PRIJEM	PREVOD Z UCTU	15649	40071	\N	QR	34823769
793845	2705	1998-05-10	PRIJEM	PREVOD Z UCTU	15649	45255	\N	QR	34823769
793846	2705	1998-06-10	PRIJEM	PREVOD Z UCTU	23474	66522	\N	QR	34823769
793847	2705	1998-07-10	PRIJEM	PREVOD Z UCTU	15649	58585	\N	QR	34823769
793848	2705	1998-08-10	PRIJEM	PREVOD Z UCTU	15649	58608	\N	QR	34823769
793849	2705	1998-09-10	PRIJEM	PREVOD Z UCTU	15649	55322	\N	QR	34823769
793850	2705	1998-10-10	PRIJEM	PREVOD Z UCTU	15649	68361	\N	QR	34823769
793851	2705	1998-11-10	PRIJEM	PREVOD Z UCTU	15649	68021	\N	QR	34823769
793852	2705	1998-12-10	PRIJEM	PREVOD Z UCTU	23474	63100	\N	QR	34823769
793863	2705	1993-11-02	VYDAJ	VYBER	2300	50078	\N	\N	0
793864	2705	1993-12-12	VYDAJ	PREVOD NA UCET	2608	44859	UVER	YZ	50098043
793865	2705	1994-01-12	VYDAJ	PREVOD NA UCET	2608	23987	UVER	YZ	50098043
793866	2705	1994-02-12	VYDAJ	PREVOD NA UCET	2608	23102	UVER	YZ	50098043
793867	2705	1994-03-12	VYDAJ	PREVOD NA UCET	2608	27213	UVER	YZ	50098043
794125	2705	1996-02-21	VYDAJ	VYBER	6600	27204	\N	\N	\N
793868	2705	1994-04-12	VYDAJ	PREVOD NA UCET	2608	28239	UVER	YZ	50098043
793869	2705	1994-05-12	VYDAJ	PREVOD NA UCET	2608	29670	UVER	YZ	50098043
793870	2705	1994-06-12	VYDAJ	PREVOD NA UCET	2608	35387	UVER	YZ	50098043
793871	2705	1994-07-12	VYDAJ	PREVOD NA UCET	2608	33243	UVER	YZ	50098043
793872	2705	1994-08-12	VYDAJ	PREVOD NA UCET	2608	31696	UVER	YZ	50098043
793873	2705	1994-09-12	VYDAJ	PREVOD NA UCET	2608	32943	UVER	YZ	50098043
793874	2705	1994-10-12	VYDAJ	PREVOD NA UCET	2608	27758	UVER	YZ	50098043
793875	2705	1994-11-12	VYDAJ	PREVOD NA UCET	2608	29088	UVER	YZ	50098043
793876	2705	1994-12-12	VYDAJ	PREVOD NA UCET	2608	35339	UVER	YZ	50098043
793877	2705	1995-01-12	VYDAJ	PREVOD NA UCET	2608	23989	UVER	YZ	50098043
793878	2705	1995-02-12	VYDAJ	PREVOD NA UCET	2608	25108	UVER	YZ	50098043
793879	2705	1995-03-12	VYDAJ	PREVOD NA UCET	2608	31330	UVER	YZ	50098043
793880	2705	1995-04-12	VYDAJ	PREVOD NA UCET	2608	23277	UVER	YZ	50098043
793881	2705	1995-05-12	VYDAJ	PREVOD NA UCET	2608	29704	UVER	YZ	50098043
793882	2705	1995-06-12	VYDAJ	PREVOD NA UCET	2608	39067	UVER	YZ	50098043
793883	2705	1995-07-12	VYDAJ	PREVOD NA UCET	2608	35991	UVER	YZ	50098043
793884	2705	1995-08-12	VYDAJ	PREVOD NA UCET	2608	30098	UVER	YZ	50098043
793885	2705	1995-09-12	VYDAJ	PREVOD NA UCET	2608	27035	UVER	YZ	50098043
793886	2705	1995-10-12	VYDAJ	PREVOD NA UCET	2608	34969	UVER	YZ	50098043
793887	2705	1995-11-12	VYDAJ	PREVOD NA UCET	2608	37630	UVER	YZ	50098043
793888	2705	1995-12-12	VYDAJ	PREVOD NA UCET	2608	40327	UVER	YZ	50098043
793889	2705	1996-01-12	VYDAJ	PREVOD NA UCET	2608	25593	UVER	YZ	50098043
793890	2705	1996-02-12	VYDAJ	PREVOD NA UCET	2608	32231	UVER	YZ	50098043
793891	2705	1996-03-12	VYDAJ	PREVOD NA UCET	2608	29546	UVER	YZ	50098043
793892	2705	1996-04-12	VYDAJ	PREVOD NA UCET	2608	38093	UVER	YZ	50098043
793893	2705	1996-05-12	VYDAJ	PREVOD NA UCET	2608	24997	UVER	YZ	50098043
793894	2705	1996-06-12	VYDAJ	PREVOD NA UCET	2608	43569	UVER	YZ	50098043
793895	2705	1996-07-12	VYDAJ	PREVOD NA UCET	2608	39945	UVER	YZ	50098043
793896	2705	1996-08-12	VYDAJ	PREVOD NA UCET	2608	25114	UVER	YZ	50098043
793897	2705	1996-09-12	VYDAJ	PREVOD NA UCET	2608	29282	UVER	YZ	50098043
793898	2705	1996-10-12	VYDAJ	PREVOD NA UCET	2608	37429	UVER	YZ	50098043
793899	2705	1996-11-12	VYDAJ	PREVOD NA UCET	2608	30109	UVER	YZ	50098043
793900	2705	1996-12-15	VYDAJ	VYBER	1700	51620	\N	\N	0
793901	2705	1997-01-01	VYDAJ	VYBER	2500	37397	\N	\N	0
793902	2705	1997-02-04	VYDAJ	VYBER	2600	23364	\N	\N	0
793903	2705	1997-03-08	VYDAJ	VYBER	2900	33419	\N	\N	0
793904	2705	1997-04-11	VYDAJ	VYBER	2700	27700	\N	\N	0
793905	2705	1997-05-12	VYDAJ	VYBER	2600	36751	\N	\N	0
793906	2705	1997-06-05	VYDAJ	VYBER	2700	31295	\N	\N	0
793907	2705	1997-07-12	VYDAJ	VYBER	2200	47440	\N	\N	0
793908	2705	1997-08-20	VYDAJ	VYBER	1800	32932	\N	\N	0
793909	2705	1997-09-17	VYDAJ	VYBER	2300	38583	\N	\N	0
793910	2705	1997-10-04	VYDAJ	VYBER	2900	35736	\N	\N	0
793911	2705	1997-11-27	VYDAJ	VYBER	2700	36750	\N	\N	0
793912	2705	1997-12-15	VYDAJ	VYBER	2700	39369	\N	\N	0
793913	2705	1998-01-18	VYDAJ	VYBER	2400	29348	\N	\N	0
793914	2705	1998-01-31	VYDAJ	VYBER	2500	26872	\N	\N	0
793915	2705	1998-03-18	VYDAJ	VYBER	2000	37589	\N	\N	0
793916	2705	1998-04-06	VYDAJ	VYBER	2500	35145	\N	\N	0
793917	2705	1998-05-15	VYDAJ	VYBER	1800	39705	\N	\N	0
793918	2705	1998-06-21	VYDAJ	VYBER	2700	42072	\N	\N	0
793919	2705	1998-07-10	VYDAJ	VYBER	2800	55785	\N	\N	0
793920	2705	1998-07-30	VYDAJ	VYBER	1600	54185	\N	\N	0
793921	2705	1998-09-23	VYDAJ	VYBER	2800	48022	\N	\N	0
793922	2705	1998-10-11	VYDAJ	VYBER	2500	65861	\N	\N	0
793923	2705	1998-11-11	VYDAJ	VYBER	2300	65721	\N	\N	0
793924	2705	1998-12-05	VYDAJ	VYBER	2800	50549	\N	\N	0
793936	2705	1993-12-09	VYDAJ	PREVOD NA UCET	10723	23993	SIPO	GH	33252960
793937	2705	1994-01-09	VYDAJ	PREVOD NA UCET	10723	10946	SIPO	GH	33252960
793938	2705	1994-02-09	VYDAJ	PREVOD NA UCET	10723	10061	SIPO	GH	33252960
793939	2705	1994-03-09	VYDAJ	PREVOD NA UCET	10723	14173	SIPO	GH	33252960
793940	2705	1994-04-09	VYDAJ	PREVOD NA UCET	10723	15198	SIPO	GH	33252960
793941	2705	1994-05-09	VYDAJ	PREVOD NA UCET	10723	16629	SIPO	GH	33252960
793942	2705	1994-06-09	VYDAJ	PREVOD NA UCET	10723	14521	SIPO	GH	33252960
793943	2705	1994-07-09	VYDAJ	PREVOD NA UCET	10723	20202	SIPO	GH	33252960
793944	2705	1994-08-09	VYDAJ	PREVOD NA UCET	10723	18655	SIPO	GH	33252960
793945	2705	1994-09-09	VYDAJ	PREVOD NA UCET	10723	19902	SIPO	GH	33252960
793946	2705	1994-10-09	VYDAJ	PREVOD NA UCET	10723	14717	SIPO	GH	33252960
793947	2705	1994-11-09	VYDAJ	PREVOD NA UCET	10723	16047	SIPO	GH	33252960
793948	2705	1994-12-09	VYDAJ	PREVOD NA UCET	10723	14473	SIPO	GH	33252960
793949	2705	1995-01-09	VYDAJ	PREVOD NA UCET	10723	10948	SIPO	GH	33252960
793950	2705	1995-02-09	VYDAJ	PREVOD NA UCET	10723	12067	SIPO	GH	33252960
793951	2705	1995-03-09	VYDAJ	PREVOD NA UCET	10723	18289	SIPO	GH	33252960
793952	2705	1995-04-09	VYDAJ	PREVOD NA UCET	10723	10236	SIPO	GH	33252960
793953	2705	1995-05-09	VYDAJ	PREVOD NA UCET	10723	16663	SIPO	GH	33252960
793954	2705	1995-06-09	VYDAJ	PREVOD NA UCET	10723	18201	SIPO	GH	33252960
793955	2705	1995-07-09	VYDAJ	PREVOD NA UCET	10723	25592	SIPO	GH	33252960
793956	2705	1995-08-09	VYDAJ	PREVOD NA UCET	10723	17057	SIPO	GH	33252960
793957	2705	1995-09-09	VYDAJ	PREVOD NA UCET	10723	13994	SIPO	GH	33252960
793958	2705	1995-10-09	VYDAJ	PREVOD NA UCET	10723	21928	SIPO	GH	33252960
793959	2705	1995-11-09	VYDAJ	PREVOD NA UCET	10723	24589	SIPO	GH	33252960
793960	2705	1995-12-09	VYDAJ	PREVOD NA UCET	10723	27562	SIPO	GH	33252960
793961	2705	1996-01-09	VYDAJ	PREVOD NA UCET	10723	12552	SIPO	GH	33252960
793962	2705	1996-02-09	VYDAJ	PREVOD NA UCET	10723	19190	SIPO	GH	33252960
793963	2705	1996-03-09	VYDAJ	PREVOD NA UCET	10723	16505	SIPO	GH	33252960
793964	2705	1996-04-09	VYDAJ	PREVOD NA UCET	10723	25052	SIPO	GH	33252960
793965	2705	1996-05-09	VYDAJ	PREVOD NA UCET	10723	11956	SIPO	GH	33252960
793966	2705	1996-06-09	VYDAJ	PREVOD NA UCET	10723	22703	SIPO	GH	33252960
793967	2705	1996-07-09	VYDAJ	PREVOD NA UCET	10723	26904	SIPO	GH	33252960
793968	2705	1996-08-09	VYDAJ	PREVOD NA UCET	10723	12073	SIPO	GH	33252960
793969	2705	1996-09-09	VYDAJ	PREVOD NA UCET	10723	16241	SIPO	GH	33252960
793970	2705	1996-10-09	VYDAJ	PREVOD NA UCET	10723	24389	SIPO	GH	33252960
793971	2705	1996-11-09	VYDAJ	PREVOD NA UCET	10723	17069	SIPO	GH	33252960
793972	2705	1996-12-09	VYDAJ	PREVOD NA UCET	10723	29846	SIPO	GH	33252960
793973	2705	1997-01-09	VYDAJ	PREVOD NA UCET	10723	25174	SIPO	GH	33252960
793974	2705	1997-02-09	VYDAJ	PREVOD NA UCET	10723	12641	SIPO	GH	33252960
793975	2705	1997-03-09	VYDAJ	PREVOD NA UCET	10723	22696	SIPO	GH	33252960
793976	2705	1997-04-09	VYDAJ	PREVOD NA UCET	10723	14751	SIPO	GH	33252960
793977	2705	1997-05-09	VYDAJ	PREVOD NA UCET	10723	23702	SIPO	GH	33252960
793978	2705	1997-06-09	VYDAJ	PREVOD NA UCET	10723	20572	SIPO	GH	33252960
793979	2705	1997-07-09	VYDAJ	PREVOD NA UCET	10723	33991	SIPO	GH	33252960
793980	2705	1997-08-09	VYDAJ	PREVOD NA UCET	10723	14283	SIPO	GH	33252960
793981	2705	1997-09-09	VYDAJ	PREVOD NA UCET	10723	22234	SIPO	GH	33252960
793982	2705	1997-10-09	VYDAJ	PREVOD NA UCET	10723	25013	SIPO	GH	33252960
793983	2705	1997-11-09	VYDAJ	PREVOD NA UCET	10723	30101	SIPO	GH	33252960
793984	2705	1997-12-09	VYDAJ	PREVOD NA UCET	10723	16195	SIPO	GH	33252960
793985	2705	1998-01-09	VYDAJ	PREVOD NA UCET	10723	17599	SIPO	GH	33252960
793986	2705	1998-02-09	VYDAJ	PREVOD NA UCET	10723	27549	SIPO	GH	33252960
793987	2705	1998-03-09	VYDAJ	PREVOD NA UCET	10723	17040	SIPO	GH	33252960
793988	2705	1998-04-09	VYDAJ	PREVOD NA UCET	10723	24422	SIPO	GH	33252960
793989	2705	1998-05-09	VYDAJ	PREVOD NA UCET	10723	29606	SIPO	GH	33252960
793990	2705	1998-06-09	VYDAJ	PREVOD NA UCET	10723	43048	SIPO	GH	33252960
793991	2705	1998-07-09	VYDAJ	PREVOD NA UCET	10723	42936	SIPO	GH	33252960
793992	2705	1998-08-09	VYDAJ	PREVOD NA UCET	10723	42959	SIPO	GH	33252960
793993	2705	1998-09-09	VYDAJ	PREVOD NA UCET	10723	39673	SIPO	GH	33252960
793994	2705	1998-10-09	VYDAJ	PREVOD NA UCET	10723	52712	SIPO	GH	33252960
793995	2705	1998-11-09	VYDAJ	PREVOD NA UCET	10723	52372	SIPO	GH	33252960
793996	2705	1998-12-09	VYDAJ	PREVOD NA UCET	10723	39626	SIPO	GH	33252960
793997	2705	1993-12-20	VYBER	VYBER	21043	23816	\N	\N	\N
794008	2705	1994-06-07	VYBER	VYBER	3745	25244	\N	\N	\N
794010	2705	1994-09-26	VYBER	VYBER	7631	22312	\N	\N	\N
794013	2705	1994-11-19	VYBER	VYBER	4404	24684	\N	\N	\N
794018	2705	1995-07-10	VYBER	VYBER	2642	38599	\N	\N	\N
794021	2705	1995-07-14	VYBER	VYBER	12335	23656	\N	\N	\N
794030	2705	1996-05-02	VYBER	VYBER	15069	22679	\N	\N	\N
794033	2705	1996-08-22	VYBER	VYBER	4876	26938	\N	\N	\N
794035	2705	1996-02-20	VYBER	VYBER	4327	33804	\N	\N	\N
794037	2705	1996-08-02	VYBER	VYBER	19516	22796	\N	\N	\N
794038	2705	1996-01-02	VYBER	VYBER	13620	26875	\N	\N	\N
794041	2705	1997-07-19	VYBER	VYBER	8579	24961	\N	\N	\N
794043	2705	1998-07-03	VYBER	VYBER	12999	29159	\N	\N	\N
794044	2705	1998-08-06	VYBER	VYBER	11814	42482	\N	\N	\N
794045	2705	1998-03-06	VYBER	VYBER	12632	27763	\N	\N	\N
794046	2705	1998-09-07	VYBER	VYBER	19842	50396	\N	\N	\N
794047	2705	1998-03-06	VYBER	VYBER	2860	40395	\N	\N	\N
794048	2705	1998-06-14	VYBER	VYBER	21750	44772	\N	\N	\N
794050	2705	1998-10-27	VYBER	VYBER	12806	53055	\N	\N	\N
794051	2705	1998-11-27	VYBER	VYBER	12518	53203	\N	\N	\N
794052	2705	1998-05-13	VYBER	VYBER	6450	41505	\N	\N	\N
794061	2705	1994-01-26	VYDAJ	VYBER	4200	19787	\N	\N	\N
794068	2705	1995-12-12	VYDAJ	VYBER	8100	42936	\N	\N	\N
794069	2705	1996-12-18	VYDAJ	VYBER	6300	39820	\N	\N	\N
794070	2705	1997-12-08	VYDAJ	VYBER	6600	26918	\N	\N	\N
794071	2705	1998-12-06	VYDAJ	VYBER	4800	58749	\N	\N	\N
794078	2705	1994-01-01	VYDAJ	VYBER	3300	21669	\N	\N	\N
794084	2705	1995-01-01	VYDAJ	VYBER	7200	23171	\N	\N	\N
794087	2705	1995-01-29	VYDAJ	VYBER	3900	22789	\N	\N	\N
794089	2705	1995-01-05	VYDAJ	VYBER	1500	21671	\N	\N	\N
794093	2705	1996-01-06	VYDAJ	VYBER	3600	23275	\N	\N	\N
794096	2705	1997-01-19	VYDAJ	VYBER	3300	35223	\N	\N	\N
794097	2705	1997-01-17	VYDAJ	VYBER	3300	38523	\N	\N	\N
794098	2705	1997-01-24	VYDAJ	VYBER	5400	29823	\N	\N	\N
794099	2705	1997-01-26	VYDAJ	VYBER	3900	25923	\N	\N	\N
794100	2705	1997-01-02	VYDAJ	VYBER	1500	35897	\N	\N	\N
794101	2705	1997-01-13	VYDAJ	VYBER	4200	36623	\N	\N	\N
794102	2705	1998-01-04	VYDAJ	VYBER	6900	28322	\N	\N	\N
794103	2705	1998-01-10	VYDAJ	VYBER	6300	35948	\N	\N	\N
794105	2705	1998-01-01	VYDAJ	VYBER	4200	35222	\N	\N	\N
794106	2705	1998-01-13	VYDAJ	VYBER	4200	31748	\N	\N	\N
794108	2705	1993-11-25	VYDAJ	VYBER	3600	46627	\N	\N	\N
794115	2705	1994-04-24	VYDAJ	VYBER	2100	26139	\N	\N	\N
794118	2705	1994-09-23	VYDAJ	VYBER	3000	29943	\N	\N	\N
794119	2705	1995-04-02	VYDAJ	VYBER	12000	20959	\N	\N	\N
794120	2705	1995-08-26	VYDAJ	VYBER	10500	24698	\N	\N	\N
794123	2705	1996-11-09	VYDAJ	VYBER	14700	27792	\N	\N	\N
794126	2705	1997-03-18	VYDAJ	VYBER	12300	25445	\N	\N	\N
794127	2705	1997-05-17	VYDAJ	VYBER	4200	33951	\N	\N	\N
794128	2705	1997-11-18	VYDAJ	VYBER	6300	39450	\N	\N	\N
794130	2705	1997-07-15	VYDAJ	VYBER	12000	33540	\N	\N	\N
794131	2705	1997-11-27	VYDAJ	VYBER	3300	33450	\N	\N	\N
794132	2705	1998-12-08	VYDAJ	VYBER	8400	50349	\N	\N	\N
794133	2705	1998-08-30	VYDAJ	VYBER	8700	49908	\N	\N	\N
794134	2705	1998-05-05	VYDAJ	VYBER	1800	40329	\N	\N	\N
794135	2705	1998-09-19	VYDAJ	VYBER	4500	50822	\N	\N	\N
794147	2705	1993-11-30	VYDAJ	VYBER	100	46716	SLUZBY	\N	\N
794148	2705	1993-12-31	VYDAJ	VYBER	100	23869	SLUZBY	\N	\N
794149	2705	1994-01-31	VYDAJ	VYBER	100	20784	SLUZBY	\N	\N
794150	2705	1994-02-28	VYDAJ	VYBER	100	23096	SLUZBY	\N	\N
794151	2705	1994-03-31	VYDAJ	VYBER	100	27221	SLUZBY	\N	\N
794152	2705	1994-04-30	VYDAJ	VYBER	100	26152	SLUZBY	\N	\N
794153	2705	1994-05-31	VYDAJ	VYBER	100	29689	SLUZBY	\N	\N
794154	2705	1994-06-30	VYDAJ	VYBER	100	30925	SLUZBY	\N	\N
794155	2705	1994-07-31	VYDAJ	VYBER	100	29378	SLUZBY	\N	\N
794156	2705	1994-08-31	VYDAJ	VYBER	100	30625	SLUZBY	\N	\N
794157	2705	1994-09-30	VYDAJ	VYBER	100	25440	SLUZBY	\N	\N
794158	2705	1994-10-31	VYDAJ	VYBER	100	26770	SLUZBY	\N	\N
794159	2705	1994-11-30	VYDAJ	VYBER	100	25196	SLUZBY	\N	\N
794160	2705	1994-12-31	VYDAJ	VYBER	100	30371	SLUZBY	\N	\N
794161	2705	1995-01-31	VYDAJ	VYBER	100	22790	SLUZBY	\N	\N
794162	2705	1995-02-28	VYDAJ	VYBER	100	29012	SLUZBY	\N	\N
794163	2705	1995-03-31	VYDAJ	VYBER	100	32959	SLUZBY	\N	\N
794164	2705	1995-04-30	VYDAJ	VYBER	100	27386	SLUZBY	\N	\N
794165	2705	1995-05-31	VYDAJ	VYBER	100	28924	SLUZBY	\N	\N
794166	2705	1995-06-30	VYDAJ	VYBER	100	36315	SLUZBY	\N	\N
794167	2705	1995-07-31	VYDAJ	VYBER	100	27780	SLUZBY	\N	\N
794168	2705	1995-08-31	VYDAJ	VYBER	100	24717	SLUZBY	\N	\N
794169	2705	1995-09-30	VYDAJ	VYBER	100	32651	SLUZBY	\N	\N
794170	2705	1995-10-31	VYDAJ	VYBER	100	35312	SLUZBY	\N	\N
794171	2705	1995-11-30	VYDAJ	VYBER	100	38285	SLUZBY	\N	\N
794172	2705	1995-12-31	VYDAJ	VYBER	100	40495	SLUZBY	\N	\N
794173	2705	1996-01-31	VYDAJ	VYBER	100	29913	SLUZBY	\N	\N
794174	2705	1996-02-29	VYDAJ	VYBER	100	27228	SLUZBY	\N	\N
794175	2705	1996-03-31	VYDAJ	VYBER	100	35775	SLUZBY	\N	\N
794176	2705	1996-04-30	VYDAJ	VYBER	100	37748	SLUZBY	\N	\N
794177	2705	1996-05-31	VYDAJ	VYBER	100	33426	SLUZBY	\N	\N
794178	2705	1996-06-30	VYDAJ	VYBER	100	37627	SLUZBY	\N	\N
794179	2705	1996-07-31	VYDAJ	VYBER	100	42312	SLUZBY	\N	\N
794180	2705	1996-08-31	VYDAJ	VYBER	100	26964	SLUZBY	\N	\N
794181	2705	1996-09-30	VYDAJ	VYBER	100	35112	SLUZBY	\N	\N
794182	2705	1996-10-31	VYDAJ	VYBER	100	42492	SLUZBY	\N	\N
794183	2705	1996-11-30	VYDAJ	VYBER	100	40569	SLUZBY	\N	\N
794184	2705	1996-12-31	VYDAJ	VYBER	100	39897	SLUZBY	\N	\N
794185	2705	1997-01-31	VYDAJ	VYBER	100	25964	SLUZBY	\N	\N
794186	2705	1997-02-28	VYDAJ	VYBER	100	36319	SLUZBY	\N	\N
794187	2705	1997-03-31	VYDAJ	VYBER	100	25474	SLUZBY	\N	\N
794188	2705	1997-04-30	VYDAJ	VYBER	100	34425	SLUZBY	\N	\N
794189	2705	1997-05-31	VYDAJ	VYBER	100	33995	SLUZBY	\N	\N
794190	2705	1997-06-30	VYDAJ	VYBER	100	44714	SLUZBY	\N	\N
794191	2705	1997-07-31	VYDAJ	VYBER	100	25006	SLUZBY	\N	\N
794192	2705	1997-08-31	VYDAJ	VYBER	100	32957	SLUZBY	\N	\N
794193	2705	1997-09-30	VYDAJ	VYBER	100	38636	SLUZBY	\N	\N
794194	2705	1997-10-31	VYDAJ	VYBER	100	40824	SLUZBY	\N	\N
794195	2705	1997-11-30	VYDAJ	VYBER	100	33518	SLUZBY	\N	\N
794196	2705	1997-12-31	VYDAJ	VYBER	100	39422	SLUZBY	\N	\N
794197	2705	1998-01-31	VYDAJ	VYBER	100	29372	SLUZBY	\N	\N
794198	2705	1998-02-28	VYDAJ	VYBER	100	43255	SLUZBY	\N	\N
794199	2705	1998-03-31	VYDAJ	VYBER	100	37645	SLUZBY	\N	\N
794200	2705	1998-04-30	VYDAJ	VYBER	100	42129	SLUZBY	\N	\N
794201	2705	1998-05-31	VYDAJ	VYBER	100	39771	SLUZBY	\N	\N
794202	2705	1998-06-30	VYDAJ	VYBER	100	42158	SLUZBY	\N	\N
794203	2705	1998-07-31	VYDAJ	VYBER	100	54296	SLUZBY	\N	\N
794204	2705	1998-08-31	VYDAJ	VYBER	100	50038	SLUZBY	\N	\N
794205	2705	1998-09-30	VYDAJ	VYBER	100	48135	SLUZBY	\N	\N
794206	2705	1998-10-31	VYDAJ	VYBER	100	53195	SLUZBY	\N	\N
794207	2705	1998-11-30	VYDAJ	VYBER	100	53349	SLUZBY	\N	\N
794208	2705	1993-08-04	PRIJEM	VKLAD	5400	21697	\N	\N	\N
794209	2705	1993-09-03	VYDAJ	VYBER	3900	33576	\N	\N	\N
794210	2705	1993-10-03	VYDAJ	VYBER	12900	36515	\N	\N	\N
794211	2705	1993-11-02	VYDAJ	VYBER	15500	34578	\N	\N	\N
794212	2705	1993-12-02	VYDAJ	VYBER	12000	34716	\N	\N	\N
794213	2705	1994-01-01	PRIJEM	VKLAD	1100	24969	\N	\N	\N
794214	2705	1994-01-31	PRIJEM	VKLAD	1000	20787	\N	\N	\N
794215	2705	1994-03-02	PRIJEM	VKLAD	1800	24896	\N	\N	\N
794216	2705	1994-04-01	VYDAJ	VYBER	1300	25921	\N	\N	\N
794217	2705	1994-05-01	PRIJEM	VKLAD	1200	27352	\N	\N	\N
794218	2705	1994-05-31	VYDAJ	VYBER	700	28989	\N	\N	\N
794219	2705	1994-06-30	VYDAJ	VYBER	4500	31025	\N	\N	\N
794220	2705	1994-07-30	VYDAJ	VYBER	3900	29343	\N	\N	\N
794221	2705	1994-08-29	VYDAJ	VYBER	1100	30596	\N	\N	\N
794222	2705	1994-09-28	PRIJEM	VKLAD	3100	25412	\N	\N	\N
794223	2705	1994-10-28	VYDAJ	VYBER	1000	26758	\N	\N	\N
794224	2705	1994-11-27	PRIJEM	VKLAD	500	25184	\N	\N	\N
794225	2705	1994-12-27	VYDAJ	VYBER	5000	30339	\N	\N	\N
794226	2705	1995-01-26	PRIJEM	VKLAD	2700	26689	\N	\N	\N
794227	2705	1995-02-25	PRIJEM	VKLAD	3900	29008	\N	\N	\N
794228	2705	1995-03-27	PRIJEM	VKLAD	1600	32930	\N	\N	\N
794229	2705	1995-04-26	PRIJEM	VKLAD	4100	27377	\N	\N	\N
794230	2705	1995-05-26	VYDAJ	VYBER	800	28904	\N	\N	\N
794231	2705	1995-06-25	VYDAJ	VYBER	2800	36267	\N	\N	\N
794232	2705	1995-07-25	PRIJEM	VKLAD	4100	27756	\N	\N	\N
794233	2705	1995-08-24	PRIJEM	VKLAD	5100	35198	\N	\N	\N
794234	2705	1995-09-23	PRIJEM	VKLAD	5600	32635	\N	\N	\N
794235	2705	1995-10-23	PRIJEM	VKLAD	300	35269	\N	\N	\N
794236	2705	1995-11-22	PRIJEM	VKLAD	600	38230	\N	\N	\N
794237	2705	1995-12-22	PRIJEM	VKLAD	100	40427	\N	\N	\N
794238	2705	1996-01-21	PRIJEM	VKLAD	4300	29893	\N	\N	\N
794239	2705	1996-02-20	PRIJEM	VKLAD	5900	38131	\N	\N	\N
794240	2705	1996-03-21	PRIJEM	VKLAD	6200	35746	\N	\N	\N
794241	2705	1996-04-20	VYDAJ	VYBER	400	37693	\N	\N	\N
794242	2705	1996-05-20	PRIJEM	VKLAD	8400	33397	\N	\N	\N
794243	2705	1996-06-19	VYDAJ	VYBER	3900	39669	\N	\N	\N
794244	2705	1996-07-19	PRIJEM	VKLAD	2300	42245	\N	\N	\N
794245	2705	1996-08-18	PRIJEM	VKLAD	6700	31814	\N	\N	\N
794246	2705	1996-09-17	PRIJEM	VKLAD	5800	35082	\N	\N	\N
794247	2705	1996-10-17	PRIJEM	VKLAD	5000	42429	\N	\N	\N
794248	2705	1996-11-16	PRIJEM	VKLAD	10400	40509	\N	\N	\N
794249	2705	1996-12-16	VYDAJ	VYBER	5500	46120	\N	\N	\N
794250	2705	1997-01-15	PRIJEM	VKLAD	5200	41823	\N	\N	\N
794251	2705	1997-02-14	PRIJEM	VKLAD	8000	36290	\N	\N	\N
794252	2705	1997-03-16	VYDAJ	VYBER	600	37745	\N	\N	\N
794253	2705	1997-04-15	PRIJEM	VKLAD	6700	34400	\N	\N	\N
794254	2705	1997-05-15	PRIJEM	VKLAD	1400	38151	\N	\N	\N
794255	2705	1997-06-14	PRIJEM	VKLAD	600	44646	\N	\N	\N
794256	2705	1997-07-14	VYDAJ	VYBER	1900	45540	\N	\N	\N
794257	2705	1997-08-13	PRIJEM	VKLAD	4800	34732	\N	\N	\N
794258	2705	1997-09-12	PRIJEM	VKLAD	3000	40883	\N	\N	\N
794259	2705	1997-10-12	PRIJEM	VKLAD	100	40762	\N	\N	\N
794260	2705	1997-12-11	PRIJEM	VKLAD	2400	42069	\N	\N	\N
794261	2705	1998-01-10	PRIJEM	VKLAD	9000	26599	\N	\N	\N
794262	2705	1998-02-09	PRIJEM	VKLAD	11400	38272	\N	\N	\N
794263	2705	1998-03-11	PRIJEM	VKLAD	6900	39589	\N	\N	\N
794264	2705	1998-04-10	PRIJEM	VKLAD	2000	42071	\N	\N	\N
794265	2705	1998-05-10	PRIJEM	VKLAD	2700	47955	\N	\N	\N
794266	2705	1998-06-09	PRIJEM	VKLAD	14000	53771	\N	\N	\N
794267	2705	1998-07-09	PRIJEM	VKLAD	24500	53659	\N	\N	\N
794268	2705	1998-08-08	PRIJEM	VKLAD	11200	53682	\N	\N	\N
794269	2705	1998-09-07	PRIJEM	VKLAD	20200	70238	\N	\N	\N
794270	2705	1998-10-07	PRIJEM	VKLAD	15300	63435	\N	\N	\N
794271	2705	1998-11-06	PRIJEM	VKLAD	9900	63095	\N	\N	\N
794272	2705	1998-12-06	PRIJEM	VKLAD	13000	63549	\N	\N	\N
794339	2706	1996-06-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
794416	2706	1996-07-23	PRIJEM	VKLAD	12400	13500	\N	\N	\N
794417	2706	1996-08-22	PRIJEM	VKLAD	7700	21200	\N	\N	\N
794418	2706	1996-09-21	PRIJEM	VKLAD	7400	28600	\N	\N	\N
794419	2706	1996-10-21	VYDAJ	VYBER	800	27800	\N	\N	\N
794420	2706	1996-11-20	VYDAJ	VYBER	100	27700	\N	\N	\N
794421	2706	1996-12-20	VYDAJ	VYBER	1600	26100	\N	\N	\N
794422	2706	1997-01-19	PRIJEM	VKLAD	900	27000	\N	\N	\N
794423	2706	1997-02-18	PRIJEM	VKLAD	800	27800	\N	\N	\N
794424	2706	1997-03-20	VYDAJ	VYBER	700	27100	\N	\N	\N
794425	2706	1997-04-19	VYDAJ	VYBER	5100	22000	\N	\N	\N
794426	2706	1997-05-19	PRIJEM	VKLAD	1500	23500	\N	\N	\N
794427	2706	1997-06-18	PRIJEM	VKLAD	900	24400	\N	\N	\N
794428	2706	1997-07-18	PRIJEM	VKLAD	200	24600	\N	\N	\N
794429	2706	1997-08-17	VYDAJ	VYBER	500	24100	\N	\N	\N
794430	2706	1997-09-16	PRIJEM	VKLAD	2800	26900	\N	\N	\N
794431	2706	1997-10-16	VYDAJ	VYBER	700	26200	\N	\N	\N
794432	2706	1997-11-15	PRIJEM	VKLAD	1700	27900	\N	\N	\N
794433	2706	1997-12-15	VYDAJ	VYBER	3300	24600	\N	\N	\N
794434	2706	1998-01-14	VYDAJ	VYBER	4300	20300	\N	\N	\N
794435	2706	1998-02-13	PRIJEM	VKLAD	800	21100	\N	\N	\N
794436	2706	1998-03-15	VYDAJ	VYBER	5500	15600	\N	\N	\N
794437	2706	1998-04-14	PRIJEM	VKLAD	3600	19200	\N	\N	\N
794438	2706	1998-05-14	PRIJEM	VKLAD	3400	22600	\N	\N	\N
794439	2706	1998-06-13	PRIJEM	VKLAD	2700	25300	\N	\N	\N
794440	2706	1998-07-13	PRIJEM	VKLAD	6000	31300	\N	\N	\N
794441	2706	1998-08-12	PRIJEM	VKLAD	2700	34000	\N	\N	\N
794442	2706	1998-09-11	VYDAJ	VYBER	4000	30000	\N	\N	\N
794443	2706	1998-10-11	PRIJEM	VKLAD	1700	31700	\N	\N	\N
794444	2706	1998-11-10	PRIJEM	VKLAD	3500	35200	\N	\N	\N
794445	2706	1998-12-10	PRIJEM	VKLAD	1200	36400	\N	\N	\N
794446	2707	1994-11-27	PRIJEM	VKLAD	400	400	\N	\N	\N
794452	2707	1995-02-07	PRIJEM	VKLAD	16318	104816	\N	\N	\N
794453	2707	1995-01-24	PRIJEM	VKLAD	41730	113310	\N	\N	\N
794454	2707	1995-11-24	PRIJEM	VKLAD	31467	70999	\N	\N	\N
794455	2707	1995-07-24	PRIJEM	VKLAD	15935	96408	\N	\N	\N
794456	2707	1995-03-05	PRIJEM	VKLAD	5095	67436	\N	\N	\N
794457	2707	1995-01-24	PRIJEM	VKLAD	10545	71580	\N	\N	\N
794458	2707	1995-01-06	PRIJEM	VKLAD	19270	33070	\N	\N	\N
794459	2707	1995-07-07	PRIJEM	VKLAD	27319	110751	\N	\N	\N
794460	2707	1995-01-20	PRIJEM	VKLAD	27965	61035	\N	\N	\N
794461	2707	1995-09-19	PRIJEM	VKLAD	40113	91916	\N	\N	\N
794462	2707	1995-08-30	PRIJEM	VKLAD	49001	99731	\N	\N	\N
794463	2707	1995-03-04	PRIJEM	VKLAD	12455	108541	\N	\N	\N
794464	2707	1995-05-31	PRIJEM	VKLAD	7256	33795	\N	\N	\N
794465	2707	1995-02-17	PRIJEM	VKLAD	16374	115612	\N	\N	\N
794466	2707	1995-10-11	PRIJEM	VKLAD	39118	69956	\N	\N	\N
794467	2707	1995-12-14	PRIJEM	VKLAD	47477	85149	\N	\N	\N
794468	2707	1995-01-29	PRIJEM	VKLAD	43185	88395	\N	\N	\N
794469	2707	1995-09-01	PRIJEM	VKLAD	31282	131296	\N	\N	\N
794470	2707	1995-09-09	PRIJEM	VKLAD	7221	111581	\N	\N	\N
794471	2707	1995-10-20	PRIJEM	VKLAD	20787	90743	\N	\N	\N
794472	2707	1995-07-03	PRIJEM	VKLAD	31360	83432	\N	\N	\N
794473	2707	1995-06-20	PRIJEM	VKLAD	45309	73511	\N	\N	\N
794474	2707	1995-08-13	PRIJEM	VKLAD	47553	101930	\N	\N	\N
794475	2707	1995-09-04	PRIJEM	VKLAD	15552	120860	\N	\N	\N
794476	2707	1995-04-17	PRIJEM	VKLAD	45279	65152	\N	\N	\N
794477	2707	1995-12-05	PRIJEM	VKLAD	44942	116150	\N	\N	\N
794478	2707	1995-03-01	PRIJEM	VKLAD	38493	96086	\N	\N	\N
794479	2707	1996-11-10	PRIJEM	VKLAD	6979	40467	\N	\N	\N
794480	2707	1996-05-03	PRIJEM	VKLAD	35665	92146	\N	\N	\N
794481	2707	1996-06-11	PRIJEM	VKLAD	15011	56880	\N	\N	\N
794482	2707	1996-06-18	PRIJEM	VKLAD	42232	92211	\N	\N	\N
794483	2707	1996-07-12	PRIJEM	VKLAD	22633	77704	\N	\N	\N
794484	2707	1996-08-07	PRIJEM	VKLAD	7488	59687	\N	\N	\N
794485	2707	1996-04-02	PRIJEM	VKLAD	39899	70654	\N	\N	\N
794486	2707	1996-08-25	PRIJEM	VKLAD	27554	75763	\N	\N	\N
794487	2707	1997-06-08	PRIJEM	VKLAD	22347	52264	\N	\N	\N
794488	2707	1997-10-14	PRIJEM	VKLAD	10078	87531	\N	\N	\N
794489	2707	1997-12-17	PRIJEM	VKLAD	8390	69888	\N	\N	\N
794490	2707	1997-01-21	PRIJEM	VKLAD	49278	75164	\N	\N	\N
794491	2707	1997-12-24	PRIJEM	VKLAD	44542	152118	\N	\N	\N
794492	2707	1997-09-20	PRIJEM	VKLAD	44816	69086	\N	\N	\N
794493	2707	1997-05-20	PRIJEM	VKLAD	5892	29758	\N	\N	\N
794494	2707	1997-12-02	PRIJEM	VKLAD	25608	110013	\N	\N	\N
794495	2707	1997-07-03	PRIJEM	VKLAD	45833	84979	\N	\N	\N
794496	2707	1997-10-22	PRIJEM	VKLAD	5327	88797	\N	\N	\N
794497	2707	1997-10-28	PRIJEM	VKLAD	45519	134316	\N	\N	\N
794498	2707	1997-11-15	PRIJEM	VKLAD	22470	94298	\N	\N	\N
794499	2707	1997-12-08	PRIJEM	VKLAD	19563	73976	\N	\N	\N
794500	2707	1997-07-16	PRIJEM	VKLAD	11693	74594	\N	\N	\N
794501	2707	1997-09-26	PRIJEM	VKLAD	37996	107082	\N	\N	\N
794502	2707	1997-12-22	PRIJEM	VKLAD	46388	107576	\N	\N	\N
794503	2707	1997-11-15	PRIJEM	VKLAD	24464	118762	\N	\N	\N
794504	2707	1997-03-07	PRIJEM	VKLAD	7511	42285	\N	\N	\N
794505	2707	1997-06-18	PRIJEM	VKLAD	15688	61774	\N	\N	\N
794506	2707	1997-04-22	PRIJEM	VKLAD	28656	61012	\N	\N	\N
794507	2707	1997-01-13	PRIJEM	VKLAD	27161	43523	\N	\N	\N
794508	2707	1998-05-03	PRIJEM	VKLAD	16277	63317	\N	\N	\N
794522	2707	1995-02-09	VYDAJ	PREVOD NA UCET	3032	101784	SIPO	QR	17847508
794523	2707	1995-03-09	VYDAJ	PREVOD NA UCET	3032	52104	SIPO	QR	17847508
794524	2707	1995-04-09	VYDAJ	PREVOD NA UCET	3032	22419	SIPO	QR	17847508
794525	2707	1995-05-09	VYDAJ	PREVOD NA UCET	3032	44070	SIPO	QR	17847508
794526	2707	1995-06-09	VYDAJ	PREVOD NA UCET	3032	30748	SIPO	QR	17847508
794527	2707	1995-07-09	VYDAJ	PREVOD NA UCET	3032	83019	SIPO	QR	17847508
794528	2707	1995-08-09	VYDAJ	PREVOD NA UCET	3032	56923	SIPO	QR	17847508
794529	2707	1995-09-09	VYDAJ	PREVOD NA UCET	3032	54349	SIPO	QR	17847508
794530	2707	1995-10-09	VYDAJ	PREVOD NA UCET	3032	33384	SIPO	QR	17847508
794531	2707	1995-11-09	VYDAJ	PREVOD NA UCET	3032	49378	SIPO	QR	17847508
794532	2707	1995-12-09	VYDAJ	PREVOD NA UCET	3032	48618	SIPO	QR	17847508
794533	2707	1996-01-09	VYDAJ	PREVOD NA UCET	3032	29031	SIPO	QR	17847508
794534	2707	1996-02-09	VYDAJ	PREVOD NA UCET	3032	27365	SIPO	QR	17847508
794535	2707	1996-03-09	VYDAJ	PREVOD NA UCET	3032	21214	SIPO	QR	17847508
794536	2707	1996-04-09	VYDAJ	PREVOD NA UCET	3032	67622	SIPO	QR	17847508
794537	2707	1996-05-09	VYDAJ	PREVOD NA UCET	3032	89114	SIPO	QR	17847508
794538	2707	1996-06-09	VYDAJ	PREVOD NA UCET	3032	44415	SIPO	QR	17847508
794539	2707	1996-07-09	VYDAJ	PREVOD NA UCET	3032	57617	SIPO	QR	17847508
794540	2707	1996-08-09	VYDAJ	PREVOD NA UCET	3032	56655	SIPO	QR	17847508
794541	2707	1996-09-09	VYDAJ	PREVOD NA UCET	3032	72954	SIPO	QR	17847508
794542	2707	1996-10-09	VYDAJ	PREVOD NA UCET	3032	45919	SIPO	QR	17847508
794543	2707	1996-11-09	VYDAJ	PREVOD NA UCET	3032	33488	SIPO	QR	17847508
794544	2707	1996-12-09	VYDAJ	PREVOD NA UCET	3032	28478	SIPO	QR	17847508
794545	2707	1997-01-09	VYDAJ	PREVOD NA UCET	3032	18908	SIPO	QR	17847508
794546	2707	1997-02-09	VYDAJ	PREVOD NA UCET	3032	56091	SIPO	QR	17847508
794547	2707	1997-03-09	VYDAJ	PREVOD NA UCET	3032	39253	SIPO	QR	17847508
794548	2707	1997-04-09	VYDAJ	PREVOD NA UCET	3032	28402	SIPO	QR	17847508
794549	2707	1997-05-09	VYDAJ	PREVOD NA UCET	3032	47848	SIPO	QR	17847508
794550	2707	1997-06-09	VYDAJ	PREVOD NA UCET	3032	49232	SIPO	QR	17847508
794551	2707	1997-07-09	VYDAJ	PREVOD NA UCET	3032	81947	SIPO	QR	17847508
794552	2707	1997-08-09	VYDAJ	PREVOD NA UCET	3032	68214	SIPO	QR	17847508
794553	2707	1997-09-09	VYDAJ	PREVOD NA UCET	3032	53676	SIPO	QR	17847508
794554	2707	1997-10-09	VYDAJ	PREVOD NA UCET	3032	104299	SIPO	QR	17847508
794555	2707	1997-11-09	VYDAJ	PREVOD NA UCET	3032	88074	SIPO	QR	17847508
794556	2707	1997-12-09	VYDAJ	PREVOD NA UCET	3032	70944	SIPO	QR	17847508
794557	2707	1998-01-09	VYDAJ	PREVOD NA UCET	3032	80759	SIPO	QR	17847508
794558	2707	1998-02-09	VYDAJ	PREVOD NA UCET	3032	51238	SIPO	QR	17847508
794559	2707	1998-03-09	VYDAJ	PREVOD NA UCET	3032	45839	SIPO	QR	17847508
794560	2707	1998-04-09	VYDAJ	PREVOD NA UCET	3032	42889	SIPO	QR	17847508
794561	2707	1998-05-09	VYDAJ	PREVOD NA UCET	3032	60285	SIPO	QR	17847508
794562	2707	1998-06-09	VYDAJ	PREVOD NA UCET	3032	45911	SIPO	QR	17847508
794563	2707	1998-07-09	VYDAJ	PREVOD NA UCET	3032	41081	SIPO	QR	17847508
794564	2707	1998-08-09	VYDAJ	PREVOD NA UCET	3032	46638	SIPO	QR	17847508
794565	2707	1998-09-09	VYDAJ	PREVOD NA UCET	3032	45192	SIPO	QR	17847508
794566	2707	1998-10-09	VYDAJ	PREVOD NA UCET	3032	53358	SIPO	QR	17847508
794567	2707	1998-11-09	VYDAJ	PREVOD NA UCET	3032	48712	SIPO	QR	17847508
794568	2707	1998-12-09	VYDAJ	PREVOD NA UCET	3032	54102	SIPO	QR	17847508
794582	2707	1995-02-10	VYDAJ	PREVOD NA UCET	2546	99238	 	GH	63447183
794583	2707	1995-03-10	VYDAJ	PREVOD NA UCET	2546	49558	 	GH	63447183
794584	2707	1995-04-10	VYDAJ	PREVOD NA UCET	2546	19873	 	GH	63447183
794585	2707	1995-05-10	VYDAJ	PREVOD NA UCET	2546	41524	 	GH	63447183
794586	2707	1995-06-10	VYDAJ	PREVOD NA UCET	2546	28202	 	GH	63447183
794587	2707	1995-07-10	VYDAJ	PREVOD NA UCET	2546	80473	 	GH	63447183
794588	2707	1995-08-10	VYDAJ	PREVOD NA UCET	2546	54377	 	GH	63447183
794589	2707	1995-09-10	VYDAJ	PREVOD NA UCET	2546	51803	 	GH	63447183
794590	2707	1995-10-10	VYDAJ	PREVOD NA UCET	2546	30838	 	GH	63447183
794591	2707	1995-11-10	VYDAJ	PREVOD NA UCET	2546	46832	 	GH	63447183
794592	2707	1995-12-10	VYDAJ	PREVOD NA UCET	2546	46072	 	GH	63447183
794593	2707	1996-01-10	VYDAJ	PREVOD NA UCET	2546	24985	 	GH	63447183
794594	2707	1996-02-10	VYDAJ	PREVOD NA UCET	2546	24819	 	GH	63447183
794595	2707	1996-03-10	VYDAJ	PREVOD NA UCET	2546	18668	 	GH	63447183
794596	2707	1996-04-10	VYDAJ	PREVOD NA UCET	2546	65076	 	GH	63447183
794597	2707	1996-05-10	VYDAJ	PREVOD NA UCET	2546	86568	 	GH	63447183
794598	2707	1996-06-10	VYDAJ	PREVOD NA UCET	2546	41869	 	GH	63447183
794599	2707	1996-07-10	VYDAJ	PREVOD NA UCET	2546	55071	 	GH	63447183
794600	2707	1996-08-10	VYDAJ	PREVOD NA UCET	2546	54109	 	GH	63447183
794601	2707	1996-09-10	VYDAJ	PREVOD NA UCET	2546	70408	 	GH	63447183
794602	2707	1996-10-10	VYDAJ	PREVOD NA UCET	2546	43373	 	GH	63447183
794603	2707	1996-11-10	VYDAJ	PREVOD NA UCET	2546	37921	 	GH	63447183
794604	2707	1996-12-10	VYDAJ	PREVOD NA UCET	2546	25932	 	GH	63447183
794605	2707	1997-01-10	VYDAJ	PREVOD NA UCET	2546	16362	 	GH	63447183
794606	2707	1997-02-10	VYDAJ	PREVOD NA UCET	2546	53545	 	GH	63447183
794607	2707	1997-03-10	VYDAJ	PREVOD NA UCET	2546	36707	 	GH	63447183
794608	2707	1997-04-10	VYDAJ	PREVOD NA UCET	2546	25856	 	GH	63447183
794609	2707	1997-05-10	VYDAJ	PREVOD NA UCET	2546	45302	 	GH	63447183
794610	2707	1997-06-10	VYDAJ	PREVOD NA UCET	2546	46686	 	GH	63447183
794611	2707	1997-07-10	VYDAJ	PREVOD NA UCET	2546	79401	 	GH	63447183
794612	2707	1997-08-10	VYDAJ	PREVOD NA UCET	2546	65668	 	GH	63447183
794613	2707	1997-09-10	VYDAJ	PREVOD NA UCET	2546	51130	 	GH	63447183
794614	2707	1997-10-10	VYDAJ	PREVOD NA UCET	2546	101753	 	GH	63447183
794615	2707	1997-11-10	VYDAJ	PREVOD NA UCET	2546	85528	 	GH	63447183
794616	2707	1997-12-10	VYDAJ	PREVOD NA UCET	2546	68398	 	GH	63447183
794617	2707	1998-01-10	VYDAJ	PREVOD NA UCET	2546	69113	 	GH	63447183
794618	2707	1998-02-10	VYDAJ	PREVOD NA UCET	2546	48692	 	GH	63447183
794619	2707	1998-03-10	VYDAJ	PREVOD NA UCET	2546	43293	 	GH	63447183
794620	2707	1998-04-10	VYDAJ	PREVOD NA UCET	2546	55043	 	GH	63447183
794621	2707	1998-05-10	VYDAJ	PREVOD NA UCET	2546	60939	 	GH	63447183
794622	2707	1998-06-10	VYDAJ	PREVOD NA UCET	2546	43365	 	GH	63447183
794623	2707	1998-07-10	VYDAJ	PREVOD NA UCET	2546	38535	 	GH	63447183
794624	2707	1998-08-10	VYDAJ	PREVOD NA UCET	2546	44092	 	GH	63447183
794625	2707	1998-09-10	VYDAJ	PREVOD NA UCET	2546	42646	 	GH	63447183
794626	2707	1998-10-10	VYDAJ	PREVOD NA UCET	2546	50812	 	GH	63447183
794627	2707	1998-11-10	VYDAJ	PREVOD NA UCET	2546	46166	 	GH	63447183
794628	2707	1998-12-10	VYDAJ	PREVOD NA UCET	2546	48256	 	GH	63447183
794630	2707	1995-10-03	VYBER	VYBER	7056	40454	\N	\N	\N
794632	2707	1995-12-17	VYBER	VYBER	20406	61607	\N	\N	\N
794633	2707	1995-08-22	VYBER	VYBER	14000	73830	\N	\N	\N
794634	2707	1995-10-07	VYBER	VYBER	4038	36416	\N	\N	\N
794635	2707	1995-09-03	VYBER	VYBER	10088	105308	\N	\N	\N
794637	2707	1995-03-14	VYBER	VYBER	16317	33241	\N	\N	\N
794638	2707	1995-10-25	VYBER	VYBER	9462	52181	\N	\N	\N
794640	2707	1995-03-27	VYBER	VYBER	4046	26195	\N	\N	\N
794641	2707	1995-07-25	VYBER	VYBER	8758	87650	\N	\N	\N
794642	2707	1995-05-19	VYBER	VYBER	15839	25685	\N	\N	\N
794643	2707	1995-12-16	VYBER	VYBER	3136	82013	\N	\N	\N
794646	2707	1996-11-24	VYBER	VYBER	11052	31369	\N	\N	\N
794647	2707	1996-10-21	VYBER	VYBER	7615	36358	\N	\N	\N
794648	2707	1996-07-18	VYBER	VYBER	20039	57665	\N	\N	\N
794651	2707	1996-02-21	VYBER	VYBER	2649	33470	\N	\N	\N
794652	2707	1996-06-13	VYBER	VYBER	6901	49979	\N	\N	\N
794653	2707	1996-02-28	VYBER	VYBER	9329	24141	\N	\N	\N
794654	2707	1997-05-04	VYBER	VYBER	10281	50880	\N	\N	\N
794655	2707	1997-03-06	VYBER	VYBER	4202	34774	\N	\N	\N
794656	2707	1997-05-19	VYBER	VYBER	15280	23866	\N	\N	\N
794657	2707	1997-09-15	VYBER	VYBER	5629	47901	\N	\N	\N
794658	2707	1997-10-14	VYBER	VYBER	4061	83470	\N	\N	\N
794659	2707	1997-02-17	VYBER	VYBER	10055	38790	\N	\N	\N
794660	2707	1997-05-17	VYBER	VYBER	3472	39146	\N	\N	\N
794661	2707	1997-05-15	VYBER	VYBER	8984	42618	\N	\N	\N
794662	2707	1997-01-19	VYBER	VYBER	8937	36686	\N	\N	\N
794663	2707	1997-03-26	VYBER	VYBER	10116	31291	\N	\N	\N
794664	2707	1997-09-18	VYBER	VYBER	23631	24270	\N	\N	\N
794665	2707	1998-05-29	VYBER	VYBER	11821	30533	\N	\N	\N
794666	2707	1998-10-25	VYBER	VYBER	11142	39670	\N	\N	\N
794668	2707	1998-08-16	VYBER	VYBER	16792	27300	\N	\N	\N
794669	2707	1998-06-18	VYBER	VYBER	2626	30789	\N	\N	\N
794670	2707	1998-03-22	VYBER	VYBER	5766	45727	\N	\N	\N
794671	2707	1998-06-08	VYBER	VYBER	2277	28443	\N	\N	\N
794672	2707	1998-05-20	VYBER	VYBER	18585	42354	\N	\N	\N
794674	2707	1998-04-24	VYBER	VYBER	8195	46848	\N	\N	\N
794675	2707	1998-01-25	VYBER	VYBER	2503	48610	\N	\N	\N
794676	2707	1998-06-16	VYBER	VYBER	9950	33415	\N	\N	\N
794679	2707	1996-06-07	VYDAJ	VYBER	18000	47447	\N	\N	\N
794680	2707	1997-06-26	VYDAJ	VYBER	22800	38974	\N	\N	\N
794683	2707	1995-12-12	VYDAJ	VYBER	8400	37672	\N	\N	\N
794684	2707	1996-12-20	VYDAJ	VYBER	6600	28432	\N	\N	\N
794685	2707	1997-12-19	VYDAJ	VYBER	8700	61188	\N	\N	\N
794686	2707	1998-12-09	VYDAJ	VYBER KARTOU	3300	50802	\N	\N	0
794699	2707	1996-01-24	VYDAJ	VYBER	1800	30285	\N	\N	\N
794700	2707	1996-01-02	VYDAJ	VYBER	7500	41963	\N	\N	\N
794701	2707	1996-01-15	VYDAJ	VYBER	4800	20185	\N	\N	\N
794702	2707	1996-01-04	VYDAJ	VYBER	5100	36863	\N	\N	\N
794703	2707	1996-01-08	VYDAJ	VYBER	4800	32063	\N	\N	\N
794704	2707	1996-01-10	VYDAJ	VYBER	1500	27531	\N	\N	\N
794705	2707	1997-01-04	VYDAJ	VYBER	6600	21940	\N	\N	\N
794706	2707	1997-01-22	VYDAJ	VYBER	7800	58964	\N	\N	\N
794707	2707	1997-01-20	VYDAJ	VYBER KARTOU	3300	25886	\N	\N	0
794708	2707	1997-01-22	VYDAJ	VYBER	8400	66764	\N	\N	\N
794709	2707	1997-01-20	VYDAJ	VYBER	7500	29186	\N	\N	\N
794711	2707	1998-01-05	VYDAJ	VYBER	8100	83791	\N	\N	\N
794712	2707	1998-01-13	VYDAJ	VYBER	6300	62813	\N	\N	\N
794713	2707	1998-01-25	VYDAJ	VYBER	6000	42610	\N	\N	\N
794714	2707	1998-01-21	VYDAJ	VYBER KARTOU	3600	59213	\N	\N	0
794715	2707	1998-01-10	VYDAJ	VYBER	4200	76559	\N	\N	\N
794716	2707	1998-01-22	VYDAJ	VYBER	8100	51113	\N	\N	\N
794723	2707	1995-08-18	VYDAJ	VYBER	14100	87830	\N	\N	\N
794724	2707	1995-03-08	VYDAJ	VYBER	12300	55136	\N	\N	\N
794725	2707	1995-09-26	VYDAJ	VYBER	13500	47216	\N	\N	\N
794727	2707	1995-03-16	VYDAJ	VYBER	3000	30241	\N	\N	\N
794728	2707	1996-06-23	VYDAJ	VYBER	7200	60411	\N	\N	\N
794730	2707	1996-09-28	VYDAJ	VYBER	5400	48708	\N	\N	\N
794731	2707	1996-09-13	VYDAJ	VYBER	14100	56308	\N	\N	\N
794733	2707	1997-07-24	VYDAJ	VYBER KARTOU	3600	70994	\N	\N	0
794734	2707	1997-11-03	VYDAJ	VYBER	6300	91106	\N	\N	\N
794735	2707	1997-12-29	VYDAJ	VYBER KARTOU	2100	91518	\N	\N	0
794736	2707	1997-08-11	VYDAJ	VYBER	4200	61468	\N	\N	\N
794737	2707	1998-03-18	VYDAJ	VYBER	8400	51493	\N	\N	\N
794751	2707	1995-01-31	VYDAJ	VYBER	15	88498	SLUZBY	\N	\N
794752	2707	1995-02-28	VYDAJ	VYBER	15	57593	SLUZBY	\N	\N
794753	2707	1995-03-31	VYDAJ	VYBER	15	25451	SLUZBY	\N	\N
794754	2707	1995-04-30	VYDAJ	VYBER	15	47102	SLUZBY	\N	\N
794755	2707	1995-05-31	VYDAJ	VYBER	15	33780	SLUZBY	\N	\N
794756	2707	1995-06-30	VYDAJ	VYBER	15	52072	SLUZBY	\N	\N
794757	2707	1995-07-31	VYDAJ	VYBER	15	59955	SLUZBY	\N	\N
794758	2707	1995-08-31	VYDAJ	VYBER	15	100014	SLUZBY	\N	\N
794759	2707	1995-09-30	VYDAJ	VYBER	15	47510	SLUZBY	\N	\N
794760	2707	1995-10-31	VYDAJ	VYBER	15	52410	SLUZBY	\N	\N
794761	2707	1995-11-30	VYDAJ	VYBER	15	71208	SLUZBY	\N	\N
794762	2707	1995-12-31	VYDAJ	VYBER	15	49463	SLUZBY	\N	\N
794763	2707	1996-01-31	VYDAJ	VYBER	15	30397	SLUZBY	\N	\N
794764	2707	1996-02-29	VYDAJ	VYBER	15	24246	SLUZBY	\N	\N
794765	2707	1996-03-31	VYDAJ	VYBER	15	30755	SLUZBY	\N	\N
794766	2707	1996-04-30	VYDAJ	VYBER	15	56481	SLUZBY	\N	\N
794767	2707	1996-05-31	VYDAJ	VYBER	15	65447	SLUZBY	\N	\N
794768	2707	1996-06-30	VYDAJ	VYBER	15	60649	SLUZBY	\N	\N
794769	2707	1996-07-31	VYDAJ	VYBER	15	52199	SLUZBY	\N	\N
794770	2707	1996-08-31	VYDAJ	VYBER	15	75986	SLUZBY	\N	\N
794771	2707	1996-09-30	VYDAJ	VYBER	15	48951	SLUZBY	\N	\N
794772	2707	1996-10-31	VYDAJ	VYBER	15	36520	SLUZBY	\N	\N
794773	2707	1996-11-30	VYDAJ	VYBER	15	31510	SLUZBY	\N	\N
794774	2707	1996-12-31	VYDAJ	VYBER	15	28540	SLUZBY	\N	\N
794775	2707	1997-01-31	VYDAJ	VYBER	15	59123	SLUZBY	\N	\N
794776	2707	1997-02-28	VYDAJ	VYBER	15	38976	SLUZBY	\N	\N
794777	2707	1997-03-31	VYDAJ	VYBER	15	31434	SLUZBY	\N	\N
794778	2707	1997-04-30	VYDAJ	VYBER	15	61161	SLUZBY	\N	\N
794779	2707	1997-05-31	VYDAJ	VYBER	15	29917	SLUZBY	\N	\N
794780	2707	1997-06-30	VYDAJ	VYBER	15	39146	SLUZBY	\N	\N
794781	2707	1997-07-31	VYDAJ	VYBER	15	71246	SLUZBY	\N	\N
794782	2707	1997-08-31	VYDAJ	VYBER	15	56708	SLUZBY	\N	\N
794783	2707	1997-09-30	VYDAJ	VYBER	15	107331	SLUZBY	\N	\N
794784	2707	1997-10-31	VYDAJ	VYBER	15	97406	SLUZBY	\N	\N
794785	2707	1997-11-30	VYDAJ	VYBER	15	84405	SLUZBY	\N	\N
794786	2707	1997-12-31	VYDAJ	VYBER	15	91891	SLUZBY	\N	\N
794787	2707	1998-01-31	VYDAJ	VYBER	15	42870	SLUZBY	\N	\N
794788	2707	1998-02-28	VYDAJ	VYBER	15	48871	SLUZBY	\N	\N
794789	2707	1998-03-31	VYDAJ	VYBER	15	45921	SLUZBY	\N	\N
794790	2707	1998-04-30	VYDAJ	VYBER	15	47040	SLUZBY	\N	\N
794791	2707	1998-05-31	VYDAJ	VYBER	15	30720	SLUZBY	\N	\N
794792	2707	1998-06-30	VYDAJ	VYBER	15	30913	SLUZBY	\N	\N
794793	2707	1998-07-31	VYDAJ	VYBER	15	38670	SLUZBY	\N	\N
794794	2707	1998-08-31	VYDAJ	VYBER	15	27424	SLUZBY	\N	\N
794795	2707	1998-09-30	VYDAJ	VYBER	15	42790	SLUZBY	\N	\N
794796	2707	1998-10-31	VYDAJ	VYBER	15	39844	SLUZBY	\N	\N
794797	2707	1998-11-30	VYDAJ	VYBER	15	46334	SLUZBY	\N	\N
794798	2707	1994-12-27	PRIJEM	VKLAD	13400	13800	\N	\N	\N
794799	2707	1995-01-24	VYDAJ	VYBER	48900	64410	\N	\N	\N
794800	2707	1995-01-26	VYDAJ	VYBER	19200	45210	\N	\N	\N
794801	2707	1995-02-17	VYDAJ	VYBER	23100	92512	\N	\N	\N
794802	2707	1995-02-25	VYDAJ	VYBER	35300	57212	\N	\N	\N
794803	2707	1995-03-04	VYDAJ	VYBER	46200	62341	\N	\N	\N
794804	2707	1995-03-27	VYDAJ	VYBER	900	25295	\N	\N	\N
794805	2707	1995-04-26	VYDAJ	VYBER	18200	46952	\N	\N	\N
794806	2707	1995-05-26	PRIJEM	VKLAD	700	26385	\N	\N	\N
794807	2707	1995-06-25	VYDAJ	VYBER	21600	51911	\N	\N	\N
794808	2707	1995-07-07	VYDAJ	VYBER	24700	86051	\N	\N	\N
794809	2707	1995-07-25	VYDAJ	VYBER	28000	59650	\N	\N	\N
794810	2707	1995-08-24	VYDAJ	VYBER	23100	50730	\N	\N	\N
794811	2707	1995-09-01	VYDAJ	VYBER	15900	115396	\N	\N	\N
794812	2707	1995-09-04	VYDAJ	VYBER	16500	104360	\N	\N	\N
794813	2707	1995-09-09	VYDAJ	VYBER	54200	57381	\N	\N	\N
794814	2707	1995-09-23	VYDAJ	VYBER	31200	60716	\N	\N	\N
794815	2707	1995-10-23	VYDAJ	VYBER	29100	61643	\N	\N	\N
794816	2707	1995-11-22	VYDAJ	VYBER	7300	39532	\N	\N	\N
794817	2707	1995-12-05	VYDAJ	VYBER	64500	51650	\N	\N	\N
794818	2707	1995-12-22	VYDAJ	VYBER	12400	49207	\N	\N	\N
794819	2707	1996-01-21	PRIJEM	VKLAD	11900	32085	\N	\N	\N
794820	2707	1996-02-20	PRIJEM	VKLAD	11300	36119	\N	\N	\N
794821	2707	1996-03-21	PRIJEM	VKLAD	12000	30668	\N	\N	\N
794822	2707	1996-04-20	VYDAJ	VYBER	8800	56276	\N	\N	\N
794823	2707	1996-05-20	VYDAJ	VYBER	21400	65168	\N	\N	\N
794824	2707	1996-06-19	VYDAJ	VYBER	24600	67611	\N	\N	\N
794825	2707	1996-07-19	VYDAJ	VYBER	5700	51965	\N	\N	\N
794826	2707	1996-08-18	VYDAJ	VYBER	5900	48209	\N	\N	\N
794827	2707	1996-09-17	VYDAJ	VYBER KARTOU	2200	54108	\N	\N	0
794828	2707	1996-10-17	PRIJEM	VKLAD	600	43973	\N	\N	\N
794829	2707	1996-11-16	PRIJEM	VKLAD	4500	42421	\N	\N	\N
794830	2707	1996-12-16	PRIJEM	VKLAD	9100	35032	\N	\N	\N
794831	2707	1997-01-15	PRIJEM	VKLAD	2100	45623	\N	\N	\N
794832	2707	1997-02-14	VYDAJ	VYBER	4700	48845	\N	\N	\N
794833	2707	1997-03-16	PRIJEM	VKLAD	4700	41407	\N	\N	\N
794834	2707	1997-04-15	PRIJEM	VKLAD	6500	32356	\N	\N	\N
794835	2707	1997-05-15	PRIJEM	VKLAD	6300	51602	\N	\N	\N
794836	2707	1997-06-14	VYDAJ	VYBER KARTOU	600	46086	\N	\N	0
794837	2707	1997-07-14	VYDAJ	VYBER	16500	62901	\N	\N	\N
794838	2707	1997-08-13	VYDAJ	VYBER	5000	56468	\N	\N	\N
794839	2707	1997-09-12	PRIJEM	VKLAD	2400	53530	\N	\N	\N
794840	2707	1997-10-12	VYDAJ	VYBER	24300	77453	\N	\N	\N
794841	2707	1997-10-28	VYDAJ	VYBER	37300	97016	\N	\N	\N
794842	2707	1997-11-11	VYDAJ	VYBER	13700	71828	\N	\N	\N
794843	2707	1997-11-15	VYDAJ	VYBER	34700	84062	\N	\N	\N
794844	2707	1997-12-02	VYDAJ	VYBER	55600	54413	\N	\N	\N
794845	2707	1997-12-11	VYDAJ	VYBER	6900	61498	\N	\N	\N
794846	2707	1997-12-24	VYDAJ	VYBER	16600	135518	\N	\N	\N
794847	2707	1997-12-29	VYDAJ	VYBER	41900	93618	\N	\N	\N
794848	2707	1998-01-10	VYDAJ	VYBER	4900	71659	\N	\N	\N
794849	2707	1998-02-09	PRIJEM	VKLAD	11400	54270	\N	\N	\N
794850	2707	1998-03-11	PRIJEM	VKLAD	16600	59893	\N	\N	\N
794851	2707	1998-04-10	PRIJEM	VKLAD	14700	57589	\N	\N	\N
794852	2707	1998-05-10	PRIJEM	VKLAD	3200	63485	\N	\N	\N
794853	2707	1998-06-09	PRIJEM	VKLAD	20500	48943	\N	\N	\N
794854	2707	1998-07-09	PRIJEM	VKLAD	13200	44113	\N	\N	\N
794855	2707	1998-08-08	PRIJEM	VKLAD	11000	49670	\N	\N	\N
794856	2707	1998-09-07	PRIJEM	VKLAD	20800	48224	\N	\N	\N
794857	2707	1998-10-07	PRIJEM	VKLAD	13600	56390	\N	\N	\N
794858	2707	1998-11-06	PRIJEM	VKLAD	11900	51744	\N	\N	\N
794859	2707	1998-12-06	PRIJEM	VKLAD	10800	57134	\N	\N	\N
794908	2708	1996-03-25	PRIJEM	VKLAD	400	400	\N	\N	\N
794912	2708	1996-04-14	PRIJEM	VKLAD	21372	21772	\N	\N	\N
794913	2708	1996-05-14	PRIJEM	VKLAD	21372	45568	\N	\N	\N
794914	2708	1996-06-14	PRIJEM	VKLAD	32058	68339	\N	\N	\N
794915	2708	1996-07-14	PRIJEM	VKLAD	21372	70476	\N	\N	\N
794916	2708	1996-08-14	PRIJEM	VKLAD	21372	70552	\N	\N	\N
794917	2708	1996-09-14	PRIJEM	VKLAD	21372	73718	\N	\N	\N
794918	2708	1996-10-14	PRIJEM	VKLAD	21372	65551	\N	\N	\N
794919	2708	1996-11-14	PRIJEM	VKLAD	21372	67824	\N	\N	\N
794920	2708	1996-12-14	PRIJEM	VKLAD	32058	80164	\N	\N	\N
794921	2708	1997-01-14	PRIJEM	VKLAD	21372	70492	\N	\N	\N
794922	2708	1997-02-14	PRIJEM	VKLAD	21372	61449	\N	\N	\N
794923	2708	1997-03-14	PRIJEM	VKLAD	21372	61582	\N	\N	\N
794924	2708	1997-04-14	PRIJEM	VKLAD	21372	67441	\N	\N	\N
794925	2708	1997-05-14	PRIJEM	VKLAD	21372	68091	\N	\N	\N
794926	2708	1997-06-14	PRIJEM	VKLAD	32058	55270	\N	\N	\N
794927	2708	1997-07-14	PRIJEM	VKLAD	21372	59185	\N	\N	\N
794928	2708	1997-08-14	PRIJEM	VKLAD	21372	62305	\N	\N	\N
794929	2708	1997-09-14	PRIJEM	VKLAD	21372	70349	\N	\N	\N
794930	2708	1997-10-14	PRIJEM	VKLAD	21372	70610	\N	\N	\N
794931	2708	1997-11-14	PRIJEM	VKLAD	21372	72275	\N	\N	\N
794932	2708	1997-12-14	PRIJEM	VKLAD	32058	76843	\N	\N	\N
794933	2708	1998-01-14	PRIJEM	VKLAD	21372	65367	\N	\N	\N
794934	2708	1998-02-14	PRIJEM	VKLAD	21372	52548	\N	\N	\N
794935	2708	1998-03-14	PRIJEM	VKLAD	21372	69296	\N	\N	\N
794936	2708	1998-04-14	PRIJEM	VKLAD	21372	65844	\N	\N	\N
794937	2708	1998-05-14	PRIJEM	VKLAD	21372	63133	\N	\N	\N
794938	2708	1998-06-14	PRIJEM	VKLAD	32058	67948	\N	\N	\N
794939	2708	1998-07-14	PRIJEM	VKLAD	21372	48621	\N	\N	\N
794940	2708	1998-08-14	PRIJEM	VKLAD	21372	60926	\N	\N	\N
794941	2708	1998-09-14	PRIJEM	VKLAD	21372	67314	\N	\N	\N
794942	2708	1998-10-14	PRIJEM	VKLAD	21372	69720	\N	\N	\N
794943	2708	1998-11-14	PRIJEM	VKLAD	21372	68657	\N	\N	\N
794944	2708	1998-12-14	PRIJEM	VKLAD	32058	80287	\N	\N	\N
794946	2708	1997-06-05	VYDAJ	VYBER	22400	25372	\N	\N	\N
794947	2708	1998-06-27	VYDAJ	VYBER	45440	17468	\N	\N	\N
794948	2708	1996-12-19	VYDAJ	VYBER	3520	76644	\N	\N	\N
794949	2708	1997-12-10	VYDAJ	VYBER	2880	44785	\N	\N	\N
794950	2708	1998-12-22	VYDAJ	VYBER KARTOU	1000	79287	\N	\N	0
794957	2708	1997-01-27	VYDAJ	VYBER	3120	39872	\N	\N	\N
794958	2708	1997-01-02	VYDAJ	VYBER	840	51400	\N	\N	\N
794959	2708	1997-01-24	VYDAJ	VYBER	3480	45872	\N	\N	\N
794960	2708	1997-01-27	VYDAJ	VYBER	2880	42992	\N	\N	\N
794961	2708	1997-01-24	VYDAJ	VYBER	960	49352	\N	\N	\N
794962	2708	1997-01-17	VYDAJ	VYBER	2880	67612	\N	\N	\N
794963	2708	1998-01-20	VYDAJ	VYBER	2040	42007	\N	\N	\N
794964	2708	1998-01-19	VYDAJ	VYBER	1920	44047	\N	\N	\N
794965	2708	1998-01-11	VYDAJ	VYBER	1080	49155	\N	\N	\N
794966	2708	1998-01-20	VYDAJ	VYBER	1320	40687	\N	\N	\N
794967	2708	1998-01-13	VYDAJ	VYBER	2880	43995	\N	\N	\N
794968	2708	1998-01-11	VYDAJ	VYBER	2280	46875	\N	\N	\N
794970	2708	1996-10-13	VYDAJ	VYBER	5040	44179	\N	\N	\N
794971	2708	1996-09-30	VYDAJ	VYBER	1800	49233	\N	\N	\N
794974	2708	1997-03-04	VYDAJ	VYBER	4440	40210	\N	\N	\N
794975	2708	1997-02-26	VYDAJ	VYBER	1560	44489	\N	\N	\N
794976	2708	1997-06-06	VYDAJ	VYBER	2160	23212	\N	\N	\N
794977	2708	1997-01-13	VYDAJ	VYBER	2280	49120	\N	\N	\N
794978	2708	1998-12-27	VYDAJ	VYBER KARTOU	2500	76787	\N	\N	0
794979	2708	1998-02-22	VYDAJ	VYBER	4800	47748	\N	\N	\N
794980	2708	1998-06-18	VYDAJ	VYBER	5040	62908	\N	\N	\N
794981	2708	1998-10-11	VYDAJ	VYBER	4320	48348	\N	\N	\N
794982	2708	1998-05-22	VYDAJ	VYBER KARTOU	3500	39833	\N	\N	0
794983	2708	1998-05-26	VYDAJ	VYBER KARTOU	1000	38833	\N	\N	0
794992	2708	1996-08-31	VYDAJ	VYBER	15	52346	SLUZBY	\N	\N
794993	2708	1996-09-30	VYDAJ	VYBER	15	49219	SLUZBY	\N	\N
794994	2708	1996-10-31	VYDAJ	VYBER	15	46452	SLUZBY	\N	\N
794995	2708	1996-11-30	VYDAJ	VYBER	15	48106	SLUZBY	\N	\N
794996	2708	1996-12-31	VYDAJ	VYBER	15	52240	SLUZBY	\N	\N
794997	2708	1997-01-31	VYDAJ	VYBER	15	40077	SLUZBY	\N	\N
794998	2708	1997-02-28	VYDAJ	VYBER	15	44650	SLUZBY	\N	\N
794999	2708	1997-03-31	VYDAJ	VYBER	15	46069	SLUZBY	\N	\N
795000	2708	1997-04-30	VYDAJ	VYBER	15	46719	SLUZBY	\N	\N
795001	2708	1997-05-31	VYDAJ	VYBER	15	47772	SLUZBY	\N	\N
795002	2708	1997-06-30	VYDAJ	VYBER	15	37813	SLUZBY	\N	\N
795003	2708	1997-07-31	VYDAJ	VYBER	15	40933	SLUZBY	\N	\N
795004	2708	1997-08-31	VYDAJ	VYBER	15	48977	SLUZBY	\N	\N
795005	2708	1997-09-30	VYDAJ	VYBER	15	49238	SLUZBY	\N	\N
795006	2708	1997-10-31	VYDAJ	VYBER	15	50903	SLUZBY	\N	\N
795007	2708	1997-11-30	VYDAJ	VYBER	15	47665	SLUZBY	\N	\N
795008	2708	1997-12-31	VYDAJ	VYBER	15	50235	SLUZBY	\N	\N
795009	2708	1998-01-31	VYDAJ	VYBER	15	40876	SLUZBY	\N	\N
795010	2708	1998-02-28	VYDAJ	VYBER	15	47924	SLUZBY	\N	\N
795011	2708	1998-03-31	VYDAJ	VYBER	15	44472	SLUZBY	\N	\N
795012	2708	1998-04-30	VYDAJ	VYBER	15	41761	SLUZBY	\N	\N
795013	2708	1998-05-31	VYDAJ	VYBER	15	38990	SLUZBY	\N	\N
795014	2708	1998-06-30	VYDAJ	VYBER	15	17649	SLUZBY	\N	\N
795015	2708	1998-07-31	VYDAJ	VYBER	15	48754	SLUZBY	\N	\N
795016	2708	1998-08-31	VYDAJ	VYBER	15	61142	SLUZBY	\N	\N
795017	2708	1998-09-30	VYDAJ	VYBER	15	67568	SLUZBY	\N	\N
795018	2708	1998-10-31	VYDAJ	VYBER	15	69985	SLUZBY	\N	\N
795019	2708	1998-11-30	VYDAJ	VYBER	15	68929	SLUZBY	\N	\N
795020	2708	1996-04-24	PRIJEM	VKLAD	2400	24172	\N	\N	\N
795021	2708	1996-05-24	VYDAJ	VYBER	9400	36168	\N	\N	\N
795022	2708	1996-06-23	VYDAJ	VYBER	19400	48939	\N	\N	\N
795023	2708	1996-07-23	VYDAJ	VYBER	21500	48976	\N	\N	\N
795024	2708	1996-08-22	VYDAJ	VYBER	18400	52152	\N	\N	\N
795025	2708	1996-09-21	VYDAJ	VYBER	22900	50818	\N	\N	\N
795026	2708	1996-10-21	VYDAJ	VYBER	19300	46251	\N	\N	\N
795027	2708	1996-11-20	VYDAJ	VYBER	19900	47924	\N	\N	\N
795028	2708	1996-12-20	VYDAJ	VYBER	24600	52044	\N	\N	\N
795029	2708	1997-01-19	VYDAJ	VYBER	17300	50312	\N	\N	\N
795030	2708	1997-02-18	VYDAJ	VYBER	15400	46049	\N	\N	\N
795031	2708	1997-03-20	VYDAJ	VYBER	15700	45882	\N	\N	\N
795032	2708	1997-04-19	VYDAJ	VYBER	20900	46541	\N	\N	\N
795033	2708	1997-05-19	VYDAJ	VYBER	20500	47591	\N	\N	\N
795034	2708	1997-06-18	VYDAJ	VYBER	17600	37670	\N	\N	\N
795035	2708	1997-07-18	VYDAJ	VYBER	18400	40785	\N	\N	\N
795036	2708	1997-08-17	VYDAJ	VYBER	13500	48805	\N	\N	\N
795037	2708	1997-09-16	VYDAJ	VYBER	21300	49049	\N	\N	\N
795038	2708	1997-10-16	VYDAJ	VYBER	19900	50710	\N	\N	\N
795039	2708	1997-11-15	VYDAJ	VYBER	24800	47475	\N	\N	\N
795040	2708	1997-12-15	VYDAJ	VYBER	26800	50043	\N	\N	\N
795041	2708	1998-01-14	VYDAJ	VYBER	19400	45967	\N	\N	\N
795042	2708	1998-02-13	VYDAJ	VYBER	9700	31176	\N	\N	\N
795043	2708	1998-03-15	VYDAJ	VYBER	25000	44296	\N	\N	\N
795044	2708	1998-04-14	VYDAJ	VYBER	24300	41544	\N	\N	\N
795045	2708	1998-05-14	VYDAJ	VYBER	19800	43333	\N	\N	\N
795046	2708	1998-06-13	VYDAJ	VYBER KARTOU	3100	35890	\N	\N	0
795047	2708	1998-07-13	PRIJEM	VKLAD	9600	27249	\N	\N	\N
795048	2708	1998-08-12	VYDAJ	VYBER	9200	39554	\N	\N	\N
795049	2708	1998-09-11	VYDAJ	VYBER	15200	45942	\N	\N	\N
795050	2708	1998-10-11	VYDAJ	VYBER	14900	52668	\N	\N	\N
795051	2708	1998-11-10	VYDAJ	VYBER	22700	47285	\N	\N	\N
795052	2708	1998-12-10	VYDAJ	VYBER	20700	48229	\N	\N	\N
795086	2709	1996-10-18	PRIJEM	VKLAD	600	600	\N	\N	\N
795097	2709	1996-11-11	PRIJEM	PREVOD Z UCTU	3037	3637	\N	IJ	46805065
795098	2709	1996-12-11	PRIJEM	PREVOD Z UCTU	3037	6674	\N	IJ	46805065
795099	2709	1997-01-11	PRIJEM	PREVOD Z UCTU	3037	9711	\N	IJ	46805065
795100	2709	1997-02-11	PRIJEM	PREVOD Z UCTU	3037	12748	\N	IJ	46805065
795101	2709	1997-03-11	PRIJEM	PREVOD Z UCTU	3037	15785	\N	IJ	46805065
795102	2709	1997-04-11	PRIJEM	PREVOD Z UCTU	3037	16162	\N	IJ	46805065
795103	2709	1997-05-11	PRIJEM	PREVOD Z UCTU	3037	16768	\N	IJ	46805065
795104	2709	1997-06-11	PRIJEM	PREVOD Z UCTU	3037	17075	\N	IJ	46805065
795105	2709	1997-07-11	PRIJEM	PREVOD Z UCTU	3037	18135	\N	IJ	46805065
795106	2709	1997-08-11	PRIJEM	PREVOD Z UCTU	3037	17939	\N	IJ	46805065
795107	2709	1997-09-11	PRIJEM	PREVOD Z UCTU	3037	19004	\N	IJ	46805065
795108	2709	1997-10-11	PRIJEM	PREVOD Z UCTU	3037	19022	\N	IJ	46805065
795109	2709	1997-11-11	PRIJEM	PREVOD Z UCTU	3037	19851	\N	IJ	46805065
795110	2709	1997-12-11	PRIJEM	PREVOD Z UCTU	3037	20922	\N	IJ	46805065
795111	2709	1998-01-11	PRIJEM	PREVOD Z UCTU	3037	19298	\N	IJ	46805065
795112	2709	1998-02-11	PRIJEM	PREVOD Z UCTU	3037	16642	\N	IJ	46805065
795113	2709	1998-03-11	PRIJEM	PREVOD Z UCTU	3037	17520	\N	IJ	46805065
795114	2709	1998-04-11	PRIJEM	PREVOD Z UCTU	3037	18582	\N	IJ	46805065
795115	2709	1998-05-11	PRIJEM	PREVOD Z UCTU	3037	19649	\N	IJ	46805065
795116	2709	1998-06-11	PRIJEM	PREVOD Z UCTU	3037	19819	\N	IJ	46805065
795117	2709	1998-07-11	PRIJEM	PREVOD Z UCTU	3037	16624	\N	IJ	46805065
795118	2709	1998-08-11	PRIJEM	PREVOD Z UCTU	3037	17682	\N	IJ	46805065
795119	2709	1998-09-11	PRIJEM	PREVOD Z UCTU	3037	17395	\N	IJ	46805065
795120	2709	1998-10-11	PRIJEM	PREVOD Z UCTU	3037	18457	\N	IJ	46805065
795121	2709	1998-11-11	PRIJEM	PREVOD Z UCTU	3037	19523	\N	IJ	46805065
795122	2709	1998-12-11	PRIJEM	PREVOD Z UCTU	3037	20593	\N	IJ	46805065
795137	2709	1997-03-12	VYDAJ	PREVOD NA UCET	1969	13777	SIPO	CD	63955408
795138	2709	1997-04-12	VYDAJ	PREVOD NA UCET	1969	14154	SIPO	CD	63955408
795139	2709	1997-05-12	VYDAJ	PREVOD NA UCET	1969	14010	SIPO	CD	63955408
795140	2709	1997-06-12	VYDAJ	PREVOD NA UCET	1969	15067	SIPO	CD	63955408
795141	2709	1997-07-12	VYDAJ	PREVOD NA UCET	1969	16127	SIPO	CD	63955408
795142	2709	1997-08-12	VYDAJ	PREVOD NA UCET	1969	15931	SIPO	CD	63955408
795143	2709	1997-09-12	VYDAJ	PREVOD NA UCET	1969	16996	SIPO	CD	63955408
795144	2709	1997-10-12	VYDAJ	PREVOD NA UCET	1969	17014	SIPO	CD	63955408
795145	2709	1997-11-12	VYDAJ	PREVOD NA UCET	1969	17843	SIPO	CD	63955408
795146	2709	1997-12-12	VYDAJ	PREVOD NA UCET	1969	18914	SIPO	CD	63955408
795147	2709	1998-01-12	VYDAJ	PREVOD NA UCET	1969	17290	SIPO	CD	63955408
795148	2709	1998-02-12	VYDAJ	PREVOD NA UCET	1969	14634	SIPO	CD	63955408
795149	2709	1998-03-12	VYDAJ	PREVOD NA UCET	1969	15512	SIPO	CD	63955408
795150	2709	1998-04-12	VYDAJ	PREVOD NA UCET	1969	16574	SIPO	CD	63955408
795151	2709	1998-05-12	VYDAJ	PREVOD NA UCET	1969	17641	SIPO	CD	63955408
795152	2709	1998-06-12	VYDAJ	PREVOD NA UCET	1969	17811	SIPO	CD	63955408
795153	2709	1998-07-12	VYDAJ	PREVOD NA UCET	1969	14616	SIPO	CD	63955408
795154	2709	1998-08-12	VYDAJ	PREVOD NA UCET	1969	15674	SIPO	CD	63955408
795155	2709	1998-09-12	VYDAJ	PREVOD NA UCET	1969	15387	SIPO	CD	63955408
795156	2709	1998-10-12	VYDAJ	PREVOD NA UCET	1969	16449	SIPO	CD	63955408
795157	2709	1998-11-12	VYDAJ	PREVOD NA UCET	1969	17515	SIPO	CD	63955408
795158	2709	1998-12-12	VYDAJ	PREVOD NA UCET	1969	18585	SIPO	CD	63955408
795173	2709	1997-03-11	VYDAJ	PREVOD NA UCET	39	15746	 	UV	79388266
795174	2709	1997-04-11	VYDAJ	PREVOD NA UCET	39	16123	 	UV	79388266
795175	2709	1997-05-11	VYDAJ	PREVOD NA UCET	39	16729	 	UV	79388266
795176	2709	1997-06-11	VYDAJ	PREVOD NA UCET	39	17036	 	UV	79388266
795177	2709	1997-07-11	VYDAJ	PREVOD NA UCET	39	18096	 	UV	79388266
795178	2709	1997-08-11	VYDAJ	PREVOD NA UCET	39	17900	 	UV	79388266
795179	2709	1997-09-11	VYDAJ	PREVOD NA UCET	39	18965	 	UV	79388266
795180	2709	1997-10-11	VYDAJ	PREVOD NA UCET	39	18983	 	UV	79388266
795181	2709	1997-11-11	VYDAJ	PREVOD NA UCET	39	19812	 	UV	79388266
795182	2709	1997-12-11	VYDAJ	PREVOD NA UCET	39	20883	 	UV	79388266
795183	2709	1998-01-11	VYDAJ	PREVOD NA UCET	39	19259	 	UV	79388266
795184	2709	1998-02-11	VYDAJ	PREVOD NA UCET	39	16603	 	UV	79388266
795185	2709	1998-03-11	VYDAJ	PREVOD NA UCET	39	17481	 	UV	79388266
795186	2709	1998-04-11	VYDAJ	PREVOD NA UCET	39	18543	 	UV	79388266
795187	2709	1998-05-11	VYDAJ	PREVOD NA UCET	39	19610	 	UV	79388266
795188	2709	1998-06-11	VYDAJ	PREVOD NA UCET	39	19780	 	UV	79388266
795189	2709	1998-07-11	VYDAJ	PREVOD NA UCET	39	16585	 	UV	79388266
795190	2709	1998-08-11	VYDAJ	PREVOD NA UCET	39	17643	 	UV	79388266
795191	2709	1998-09-11	VYDAJ	PREVOD NA UCET	39	17356	 	UV	79388266
795192	2709	1998-10-11	VYDAJ	PREVOD NA UCET	39	18418	 	UV	79388266
795193	2709	1998-11-11	VYDAJ	PREVOD NA UCET	39	19484	 	UV	79388266
795194	2709	1998-12-11	VYDAJ	PREVOD NA UCET	39	20554	 	UV	79388266
795210	2709	1997-04-09	VYDAJ	PREVOD NA UCET	16	13125	POJISTNE	KL	95859038
795211	2709	1997-05-09	VYDAJ	PREVOD NA UCET	16	13731	POJISTNE	KL	95859038
795212	2709	1997-06-09	VYDAJ	PREVOD NA UCET	16	14038	POJISTNE	KL	95859038
795213	2709	1997-07-09	VYDAJ	PREVOD NA UCET	16	15098	POJISTNE	KL	95859038
795214	2709	1997-08-09	VYDAJ	PREVOD NA UCET	16	14902	POJISTNE	KL	95859038
795215	2709	1997-09-09	VYDAJ	PREVOD NA UCET	16	15967	POJISTNE	KL	95859038
795216	2709	1997-10-09	VYDAJ	PREVOD NA UCET	16	15985	POJISTNE	KL	95859038
795217	2709	1997-11-09	VYDAJ	PREVOD NA UCET	16	16814	POJISTNE	KL	95859038
795218	2709	1997-12-09	VYDAJ	PREVOD NA UCET	16	17885	POJISTNE	KL	95859038
795219	2709	1998-01-09	VYDAJ	PREVOD NA UCET	16	16261	POJISTNE	KL	95859038
795220	2709	1998-02-09	VYDAJ	PREVOD NA UCET	16	13605	POJISTNE	KL	95859038
795221	2709	1998-03-09	VYDAJ	PREVOD NA UCET	16	14663	POJISTNE	KL	95859038
795222	2709	1998-04-09	VYDAJ	PREVOD NA UCET	16	15545	POJISTNE	KL	95859038
795223	2709	1998-05-09	VYDAJ	PREVOD NA UCET	16	16612	POJISTNE	KL	95859038
795224	2709	1998-06-09	VYDAJ	PREVOD NA UCET	16	16782	POJISTNE	KL	95859038
795225	2709	1998-07-09	VYDAJ	PREVOD NA UCET	16	13587	POJISTNE	KL	95859038
795226	2709	1998-08-09	VYDAJ	PREVOD NA UCET	16	14645	POJISTNE	KL	95859038
795227	2709	1998-09-09	VYDAJ	PREVOD NA UCET	16	14358	POJISTNE	KL	95859038
795228	2709	1998-10-09	VYDAJ	PREVOD NA UCET	16	15420	POJISTNE	KL	95859038
795229	2709	1998-11-09	VYDAJ	PREVOD NA UCET	16	16486	POJISTNE	KL	95859038
795230	2709	1998-12-09	VYDAJ	PREVOD NA UCET	16	17556	POJISTNE	KL	95859038
795233	2709	1998-06-16	VYDAJ	VYBER	3330	14481	\N	\N	\N
795236	2709	1998-01-14	VYDAJ	VYBER	2130	15160	\N	\N	\N
795238	2709	1997-12-19	VYDAJ	VYBER	360	18554	\N	\N	\N
795239	2709	1998-12-17	VYDAJ	VYBER	840	17745	\N	\N	\N
795252	2709	1998-01-07	VYDAJ	VYBER	810	16277	\N	\N	\N
795253	2709	1998-01-14	VYDAJ	VYBER	810	14350	\N	\N	\N
795254	2709	1998-01-30	VYDAJ	VYBER	570	13570	\N	\N	\N
795255	2709	1998-01-01	VYDAJ	VYBER	690	17927	\N	\N	\N
795256	2709	1998-01-25	VYDAJ	VYBER	210	14140	\N	\N	\N
795257	2709	1998-01-04	VYDAJ	VYBER	840	17087	\N	\N	\N
795264	2709	1997-10-04	VYDAJ	VYBER	480	16001	\N	\N	\N
795265	2709	1997-09-30	VYDAJ	VYBER	570	16481	\N	\N	\N
795266	2709	1997-10-15	VYDAJ	VYBER	240	16774	\N	\N	\N
795267	2709	1997-04-23	VYDAJ	VYBER	450	13704	\N	\N	\N
795268	2709	1997-05-12	VYDAJ	VYBER	750	15979	\N	\N	\N
795269	2709	1997-08-03	VYDAJ	VYBER	1260	14918	\N	\N	\N
795270	2709	1997-03-25	VYDAJ	VYBER	660	13117	\N	\N	\N
795271	2709	1998-06-08	VYDAJ	VYBER	900	16798	\N	\N	\N
795272	2709	1998-09-05	VYDAJ	VYBER	1350	14374	\N	\N	\N
795273	2709	1998-06-26	VYDAJ	VYBER	930	13551	\N	\N	\N
795274	2709	1998-12-26	VYDAJ	VYBER	360	17385	\N	\N	\N
795275	2709	1998-03-09	VYDAJ	VYBER	180	14483	\N	\N	\N
795291	2709	1997-03-31	VYDAJ	VYBER	15	13141	SLUZBY	\N	\N
795292	2709	1997-04-30	VYDAJ	VYBER	15	13747	SLUZBY	\N	\N
795293	2709	1997-05-31	VYDAJ	VYBER	15	14054	SLUZBY	\N	\N
795294	2709	1997-06-30	VYDAJ	VYBER	15	15114	SLUZBY	\N	\N
795295	2709	1997-07-31	VYDAJ	VYBER	15	16178	SLUZBY	\N	\N
795296	2709	1997-08-31	VYDAJ	VYBER	15	15983	SLUZBY	\N	\N
795297	2709	1997-09-30	VYDAJ	VYBER	15	17051	SLUZBY	\N	\N
795298	2709	1997-10-31	VYDAJ	VYBER	15	16830	SLUZBY	\N	\N
795299	2709	1997-11-30	VYDAJ	VYBER	15	17901	SLUZBY	\N	\N
795300	2709	1997-12-31	VYDAJ	VYBER	15	18617	SLUZBY	\N	\N
795301	2709	1998-01-31	VYDAJ	VYBER	15	13621	SLUZBY	\N	\N
795302	2709	1998-02-28	VYDAJ	VYBER	15	14679	SLUZBY	\N	\N
795303	2709	1998-03-31	VYDAJ	VYBER	15	15561	SLUZBY	\N	\N
795304	2709	1998-04-30	VYDAJ	VYBER	15	16628	SLUZBY	\N	\N
795305	2709	1998-05-31	VYDAJ	VYBER	15	17698	SLUZBY	\N	\N
795306	2709	1998-06-30	VYDAJ	VYBER	15	13603	SLUZBY	\N	\N
795307	2709	1998-07-31	VYDAJ	VYBER	15	14661	SLUZBY	\N	\N
795308	2709	1998-08-31	VYDAJ	VYBER	15	15724	SLUZBY	\N	\N
795309	2709	1998-09-30	VYDAJ	VYBER	15	15436	SLUZBY	\N	\N
795310	2709	1998-10-31	VYDAJ	VYBER	15	16502	SLUZBY	\N	\N
795311	2709	1998-11-30	VYDAJ	VYBER	15	17572	SLUZBY	\N	\N
795334	2710	1996-06-12	PRIJEM	VKLAD	800	800	\N	\N	\N
795336	2710	1996-12-01	PRIJEM	VKLAD	19929	124508	\N	\N	\N
795337	2710	1996-12-18	PRIJEM	VKLAD	36036	124486	\N	\N	\N
795338	2710	1996-12-07	PRIJEM	VKLAD	41528	124336	\N	\N	\N
795340	2710	1996-12-30	PRIJEM	VKLAD	41199	144886	\N	\N	\N
795343	2710	1996-12-01	PRIJEM	VKLAD	31096	104579	\N	\N	\N
795344	2710	1996-12-28	PRIJEM	VKLAD	42401	103687	\N	\N	\N
795345	2710	1996-11-27	PRIJEM	VKLAD	39038	73242	\N	\N	\N
795346	2710	1996-12-15	PRIJEM	VKLAD	30314	88450	\N	\N	\N
795348	2710	1996-09-09	PRIJEM	VKLAD	49220	83550	\N	\N	\N
795352	2710	1996-07-09	PRIJEM	VKLAD	17734	18534	\N	\N	\N
795353	2710	1996-07-27	PRIJEM	VKLAD	28409	50243	\N	\N	\N
795358	2710	1997-12-09	PRIJEM	VKLAD	15421	107765	\N	\N	\N
795359	2710	1997-09-09	PRIJEM	VKLAD	23076	63500	\N	\N	\N
795360	2710	1997-01-06	PRIJEM	VKLAD	27167	115771	\N	\N	\N
795361	2710	1997-07-29	PRIJEM	VKLAD	43209	106256	\N	\N	\N
795362	2710	1997-11-01	PRIJEM	VKLAD	23109	58152	\N	\N	\N
795363	2710	1997-08-11	PRIJEM	VKLAD	49429	89366	\N	\N	\N
795364	2710	1997-01-07	PRIJEM	VKLAD	13721	109592	\N	\N	\N
795365	2710	1997-12-13	PRIJEM	VKLAD	6616	80581	\N	\N	\N
795366	2710	1997-07-25	PRIJEM	VKLAD	48542	80635	\N	\N	\N
795367	2710	1997-04-23	PRIJEM	VKLAD	6255	31304	\N	\N	\N
795368	2710	1997-07-12	PRIJEM	VKLAD	11570	32093	\N	\N	\N
795369	2710	1997-09-21	PRIJEM	VKLAD	44955	128115	\N	\N	\N
795370	2710	1997-11-17	PRIJEM	VKLAD	12902	66978	\N	\N	\N
795371	2710	1997-07-28	PRIJEM	VKLAD	39212	119847	\N	\N	\N
795372	2710	1997-08-29	PRIJEM	VKLAD	26624	106349	\N	\N	\N
795373	2710	1997-11-03	PRIJEM	VKLAD	31424	89576	\N	\N	\N
795374	2710	1997-05-14	PRIJEM	VKLAD	34952	65517	\N	\N	\N
795375	2710	1997-08-22	PRIJEM	VKLAD	47159	136525	\N	\N	\N
795376	2710	1997-08-05	PRIJEM	VKLAD	48622	127337	\N	\N	\N
795377	2710	1997-12-19	PRIJEM	VKLAD	8670	104147	\N	\N	\N
795378	2710	1997-12-06	PRIJEM	VKLAD	48532	92344	\N	\N	\N
795379	2710	1997-09-18	PRIJEM	VKLAD	19660	83160	\N	\N	\N
795380	2710	1997-02-04	PRIJEM	VKLAD	28631	50654	\N	\N	\N
795381	2710	1997-12-15	PRIJEM	VKLAD	31296	111877	\N	\N	\N
795382	2710	1997-04-26	PRIJEM	VKLAD	5061	36365	\N	\N	\N
795383	2710	1998-09-13	PRIJEM	VKLAD	24934	55276	\N	\N	\N
795384	2710	1998-01-28	PRIJEM	VKLAD	49970	72081	\N	\N	\N
795385	2710	1998-07-30	PRIJEM	VKLAD	21911	44180	\N	\N	\N
795386	2710	1998-11-21	PRIJEM	VKLAD	31489	62981	\N	\N	\N
795387	2710	1998-03-11	PRIJEM	VKLAD	24097	54707	\N	\N	\N
795388	2710	1998-10-18	PRIJEM	VKLAD	37736	68663	\N	\N	\N
795399	2710	1997-02-05	VYBER	VYBER	10133	40521	\N	\N	\N
795403	2710	1997-10-15	VYBER	VYBER	14465	34838	\N	\N	\N
795406	2710	1997-02-01	VYBER	VYBER	2041	22023	\N	\N	\N
795407	2710	1997-05-27	VYBER	VYBER	22889	42628	\N	\N	\N
795409	2710	1998-03-31	VYBER	VYBER	5961	42212	\N	\N	\N
795410	2710	1998-10-25	VYBER	VYBER	24714	43949	\N	\N	\N
795411	2710	1998-02-26	VYBER	VYBER	9923	38440	\N	\N	\N
795413	2710	1998-09-24	VYBER	VYBER	17666	37610	\N	\N	\N
795415	2710	1998-03-23	VYBER	VYBER	2862	47980	\N	\N	\N
795416	2710	1998-03-15	VYBER	VYBER	3865	50842	\N	\N	\N
795420	2710	1997-06-03	VYDAJ	VYBER	14100	28720	\N	\N	\N
795423	2710	1997-01-17	VYDAJ	VYBER	7800	23892	\N	\N	\N
795424	2710	1998-01-16	VYDAJ	VYBER	22500	23611	\N	\N	\N
795425	2710	1996-12-04	VYDAJ	VYBER	6900	82808	\N	\N	\N
795426	2710	1997-12-24	VYDAJ	VYBER	6000	98147	\N	\N	\N
795427	2710	1998-12-30	VYDAJ	VYBER	1500	23798	\N	\N	\N
795435	2710	1997-01-02	VYDAJ	VYBER	6900	88604	\N	\N	\N
795438	2710	1997-01-08	VYDAJ	VYBER	5100	38292	\N	\N	\N
795439	2710	1997-01-14	VYDAJ	VYBER	6600	31692	\N	\N	\N
795440	2710	1998-01-08	VYDAJ	VYBER	4800	52411	\N	\N	\N
795442	2710	1998-01-11	VYDAJ	VYBER	6300	46111	\N	\N	\N
795444	2710	1998-01-17	VYDAJ	VYBER	1500	22111	\N	\N	\N
795447	2710	1996-12-22	VYDAJ	VYBER	10800	61286	\N	\N	\N
795454	2710	1998-01-04	VYDAJ	VYBER	2100	57211	\N	\N	\N
795471	2710	1996-12-31	VYDAJ	VYBER	15	95504	SLUZBY	\N	\N
795472	2710	1997-01-31	VYDAJ	VYBER	15	24064	SLUZBY	\N	\N
795473	2710	1997-02-28	VYDAJ	VYBER	15	30636	SLUZBY	\N	\N
795474	2710	1997-03-31	VYDAJ	VYBER	15	24949	SLUZBY	\N	\N
795475	2710	1997-04-30	VYDAJ	VYBER	15	36465	SLUZBY	\N	\N
795476	2710	1997-05-31	VYDAJ	VYBER	15	42820	SLUZBY	\N	\N
795477	2710	1997-06-30	VYDAJ	VYBER	15	24923	SLUZBY	\N	\N
795478	2710	1997-07-31	VYDAJ	VYBER	15	78715	SLUZBY	\N	\N
795479	2710	1997-08-31	VYDAJ	VYBER	15	106724	SLUZBY	\N	\N
795480	2710	1997-09-30	VYDAJ	VYBER	15	74903	SLUZBY	\N	\N
795481	2710	1997-10-31	VYDAJ	VYBER	15	35043	SLUZBY	\N	\N
795482	2710	1997-11-30	VYDAJ	VYBER	15	67212	SLUZBY	\N	\N
795483	2710	1997-12-31	VYDAJ	VYBER	15	98511	SLUZBY	\N	\N
795484	2710	1998-01-31	VYDAJ	VYBER	15	72263	SLUZBY	\N	\N
795485	2710	1998-02-28	VYDAJ	VYBER	15	38710	SLUZBY	\N	\N
795486	2710	1998-03-31	VYDAJ	VYBER	15	42197	SLUZBY	\N	\N
795487	2710	1998-04-30	VYDAJ	VYBER	15	33056	SLUZBY	\N	\N
795488	2710	1998-05-31	VYDAJ	VYBER	15	25977	SLUZBY	\N	\N
795489	2710	1998-06-30	VYDAJ	VYBER	15	25569	SLUZBY	\N	\N
795490	2710	1998-07-31	VYDAJ	VYBER	15	44275	SLUZBY	\N	\N
795491	2710	1998-08-31	VYDAJ	VYBER	15	30342	SLUZBY	\N	\N
795492	2710	1998-09-30	VYDAJ	VYBER	15	37727	SLUZBY	\N	\N
795493	2710	1998-10-31	VYDAJ	VYBER	15	31492	SLUZBY	\N	\N
795494	2710	1998-11-30	VYDAJ	VYBER	15	39998	SLUZBY	\N	\N
795495	2710	1996-07-12	PRIJEM	VKLAD	3300	21834	\N	\N	\N
795496	2710	1996-08-11	VYDAJ	VYBER	16200	34121	\N	\N	\N
795497	2710	1996-09-10	VYDAJ	VYBER	28300	55250	\N	\N	\N
795498	2710	1996-10-10	VYDAJ	VYBER	15900	39574	\N	\N	\N
795499	2710	1996-11-09	VYDAJ	VYBER	5600	34204	\N	\N	\N
795500	2710	1996-12-01	VYDAJ	VYBER	34800	89708	\N	\N	\N
795501	2710	1996-12-07	VYDAJ	VYBER	29800	94536	\N	\N	\N
795502	2710	1996-12-09	VYDAJ	VYBER	36400	58136	\N	\N	\N
795503	2710	1996-12-18	VYDAJ	VYBER	52400	72086	\N	\N	\N
795504	2710	1996-12-30	VYDAJ	VYBER	49700	95186	\N	\N	\N
795505	2710	1997-01-06	VYDAJ	VYBER	19900	95871	\N	\N	\N
795506	2710	1997-01-08	VYDAJ	VYBER	49900	59692	\N	\N	\N
795507	2710	1997-01-08	VYDAJ	VYBER	16300	43392	\N	\N	\N
795508	2710	1997-02-07	VYDAJ	VYBER	10000	30521	\N	\N	\N
795509	2710	1997-03-09	VYDAJ	VYBER	5800	24836	\N	\N	\N
795510	2710	1997-04-08	PRIJEM	VKLAD	100	25049	\N	\N	\N
795511	2710	1997-05-08	VYDAJ	VYBER	5900	30565	\N	\N	\N
795512	2710	1997-06-07	VYDAJ	VYBER	3900	24820	\N	\N	\N
795513	2710	1997-07-07	VYDAJ	VYBER	4400	20523	\N	\N	\N
795514	2710	1997-07-28	VYDAJ	VYBER	56800	63047	\N	\N	\N
795515	2710	1997-07-29	VYDAJ	VYBER	27700	78556	\N	\N	\N
795516	2710	1997-08-05	VYDAJ	VYBER	63500	63837	\N	\N	\N
795517	2710	1997-08-06	VYDAJ	VYBER	23900	39937	\N	\N	\N
795518	2710	1997-08-22	VYDAJ	VYBER	56800	79725	\N	\N	\N
795519	2710	1997-08-31	VYDAJ	VYBER	48200	58524	\N	\N	\N
795520	2710	1997-09-05	VYDAJ	VYBER	18100	40424	\N	\N	\N
795521	2710	1997-09-21	VYDAJ	VYBER	19900	108215	\N	\N	\N
795522	2710	1997-09-30	VYDAJ	VYBER	33700	74917	\N	\N	\N
795523	2710	1997-10-05	VYDAJ	VYBER	25600	49303	\N	\N	\N
795524	2710	1997-11-04	VYDAJ	VYBER	35500	54076	\N	\N	\N
795525	2710	1997-12-04	VYDAJ	VYBER	23400	43812	\N	\N	\N
795526	2710	1997-12-09	VYDAJ	VYBER	33800	73965	\N	\N	\N
795527	2710	1997-12-15	VYDAJ	VYBER	16400	95477	\N	\N	\N
795528	2710	1998-01-03	VYDAJ	VYBER	39200	59311	\N	\N	\N
795529	2710	1998-02-02	VYDAJ	VYBER	23900	48363	\N	\N	\N
795530	2710	1998-03-04	VYDAJ	VYBER	8100	30610	\N	\N	\N
795531	2710	1998-04-03	VYDAJ	VYBER	9300	32897	\N	\N	\N
795532	2710	1998-05-03	VYDAJ	VYBER	7200	25856	\N	\N	\N
795533	2710	1998-06-02	VYDAJ	VYBER	500	25477	\N	\N	\N
795534	2710	1998-07-02	VYDAJ	VYBER	3300	22269	\N	\N	\N
795535	2710	1998-08-01	VYDAJ	VYBER	10300	33975	\N	\N	\N
795536	2710	1998-08-31	VYDAJ	VYBER	3800	30356	\N	\N	\N
795537	2710	1998-09-30	VYDAJ	VYBER	6800	30927	\N	\N	\N
795538	2710	1998-10-30	VYDAJ	VYBER	12600	31349	\N	\N	\N
795539	2710	1998-11-29	VYDAJ	VYBER	23100	39881	\N	\N	\N
795540	2710	1998-12-29	VYDAJ	VYBER	14700	25298	\N	\N	\N
795571	2711	1993-05-19	PRIJEM	VKLAD	400	400	\N	\N	\N
795577	2711	1993-06-07	PRIJEM	VKLAD	29952	30352	\N	\N	\N
795578	2711	1993-07-07	PRIJEM	VKLAD	19968	46668	\N	\N	\N
795579	2711	1993-08-07	PRIJEM	VKLAD	19968	57167	\N	\N	\N
795580	2711	1993-09-07	PRIJEM	VKLAD	19968	59794	\N	\N	\N
795581	2711	1993-10-07	PRIJEM	VKLAD	19968	62934	\N	\N	\N
795582	2711	1993-11-07	PRIJEM	VKLAD	19968	57461	\N	\N	\N
795583	2711	1993-12-07	PRIJEM	VKLAD	29952	64237	\N	\N	\N
795584	2711	1994-01-07	PRIJEM	VKLAD	19968	56957	\N	\N	\N
795585	2711	1994-02-07	PRIJEM	VKLAD	19968	47619	\N	\N	\N
795586	2711	1994-03-07	PRIJEM	VKLAD	19968	51198	\N	\N	\N
795587	2711	1994-04-07	PRIJEM	VKLAD	19968	54594	\N	\N	\N
795588	2711	1994-05-07	PRIJEM	VKLAD	19968	58604	\N	\N	\N
795589	2711	1994-06-07	PRIJEM	VKLAD	29952	57541	\N	\N	\N
795590	2711	1994-07-07	PRIJEM	VKLAD	19968	50331	\N	\N	\N
795591	2711	1994-08-07	PRIJEM	VKLAD	19968	52542	\N	\N	\N
795592	2711	1994-09-07	PRIJEM	VKLAD	19968	55854	\N	\N	\N
795593	2711	1994-10-07	PRIJEM	VKLAD	19968	53049	\N	\N	\N
795594	2711	1994-11-07	PRIJEM	VKLAD	19968	51537	\N	\N	\N
795595	2711	1994-12-07	PRIJEM	VKLAD	29952	63814	\N	\N	\N
795596	2711	1995-01-07	PRIJEM	VKLAD	19968	52991	\N	\N	\N
795597	2711	1995-02-07	PRIJEM	VKLAD	19968	42830	\N	\N	\N
795598	2711	1995-03-07	PRIJEM	VKLAD	19968	47597	\N	\N	\N
795599	2711	1995-04-07	PRIJEM	VKLAD	19968	44655	\N	\N	\N
795600	2711	1995-05-07	PRIJEM	VKLAD	19968	48836	\N	\N	\N
795601	2711	1995-06-07	PRIJEM	VKLAD	29952	61604	\N	\N	\N
795602	2711	1995-07-07	PRIJEM	VKLAD	19968	54546	\N	\N	\N
795603	2711	1995-08-07	PRIJEM	VKLAD	19968	47008	\N	\N	\N
795604	2711	1995-09-07	PRIJEM	VKLAD	19968	40725	\N	\N	\N
795605	2711	1995-10-07	PRIJEM	VKLAD	19968	47172	\N	\N	\N
795606	2711	1995-11-07	PRIJEM	VKLAD	19968	49282	\N	\N	\N
795607	2711	1995-12-07	PRIJEM	VKLAD	29952	59893	\N	\N	\N
795608	2711	1996-01-07	PRIJEM	VKLAD	19968	50565	\N	\N	\N
795609	2711	1996-02-07	PRIJEM	VKLAD	19968	47053	\N	\N	\N
795610	2711	1996-03-07	PRIJEM	VKLAD	19968	49174	\N	\N	\N
795611	2711	1996-04-07	PRIJEM	VKLAD	19968	51004	\N	\N	\N
795612	2711	1996-05-07	PRIJEM	VKLAD	19968	47142	\N	\N	\N
795613	2711	1996-06-07	PRIJEM	VKLAD	29952	51031	\N	\N	\N
795614	2711	1996-07-07	PRIJEM	VKLAD	19968	42073	\N	\N	\N
795615	2711	1996-08-07	PRIJEM	VKLAD	19968	46370	\N	\N	\N
795616	2711	1996-09-07	PRIJEM	VKLAD	19968	49421	\N	\N	\N
795617	2711	1996-10-07	PRIJEM	VKLAD	19968	51427	\N	\N	\N
795618	2711	1996-11-07	PRIJEM	VKLAD	19968	50840	\N	\N	\N
795619	2711	1996-12-07	PRIJEM	VKLAD	29952	62674	\N	\N	\N
795620	2711	1997-01-07	PRIJEM	VKLAD	19968	54927	\N	\N	\N
795621	2711	1997-02-07	PRIJEM	VKLAD	19968	47184	\N	\N	\N
795622	2711	1997-03-07	PRIJEM	VKLAD	19968	51095	\N	\N	\N
795623	2711	1997-04-07	PRIJEM	VKLAD	19968	51205	\N	\N	\N
795624	2711	1997-05-07	PRIJEM	VKLAD	19968	51495	\N	\N	\N
795625	2711	1997-06-07	PRIJEM	VKLAD	29952	63224	\N	\N	\N
795626	2711	1997-07-07	PRIJEM	VKLAD	19968	60567	\N	\N	\N
795627	2711	1997-08-07	PRIJEM	VKLAD	19968	57110	\N	\N	\N
795628	2711	1997-09-07	PRIJEM	VKLAD	19968	56839	\N	\N	\N
795629	2711	1997-10-07	PRIJEM	VKLAD	19968	56966	\N	\N	\N
795630	2711	1997-11-07	PRIJEM	VKLAD	19968	54790	\N	\N	\N
795631	2711	1997-12-07	PRIJEM	VKLAD	29952	63889	\N	\N	\N
795632	2711	1998-01-07	PRIJEM	VKLAD	19968	54295	\N	\N	\N
795633	2711	1998-02-07	PRIJEM	VKLAD	19968	46584	\N	\N	\N
795634	2711	1998-03-07	PRIJEM	VKLAD	19968	52468	\N	\N	\N
795635	2711	1998-04-07	PRIJEM	VKLAD	19968	57599	\N	\N	\N
795636	2711	1998-05-07	PRIJEM	VKLAD	19968	64032	\N	\N	\N
795637	2711	1998-06-07	PRIJEM	VKLAD	29952	52327	\N	\N	\N
795638	2711	1998-07-07	PRIJEM	VKLAD	19968	57859	\N	\N	\N
795639	2711	1998-08-07	PRIJEM	VKLAD	19968	60886	\N	\N	\N
795640	2711	1998-09-07	PRIJEM	VKLAD	19968	55913	\N	\N	\N
795641	2711	1998-10-07	PRIJEM	VKLAD	19968	57128	\N	\N	\N
795642	2711	1998-11-07	PRIJEM	VKLAD	19968	64256	\N	\N	\N
795643	2711	1998-12-07	PRIJEM	VKLAD	29952	74973	\N	\N	\N
795653	2711	1993-10-12	VYDAJ	PREVOD NA UCET	7300	55634	SIPO	MN	40865373
795654	2711	1993-11-12	VYDAJ	PREVOD NA UCET	7300	50161	SIPO	MN	40865373
795655	2711	1993-12-12	VYDAJ	PREVOD NA UCET	7300	53417	SIPO	MN	40865373
795656	2711	1994-01-12	VYDAJ	PREVOD NA UCET	7300	46777	SIPO	MN	40865373
795657	2711	1994-02-12	VYDAJ	PREVOD NA UCET	7300	40319	SIPO	MN	40865373
795658	2711	1994-03-12	VYDAJ	PREVOD NA UCET	7300	43898	SIPO	MN	40865373
795659	2711	1994-04-12	VYDAJ	PREVOD NA UCET	7300	47294	SIPO	MN	40865373
795660	2711	1994-05-12	VYDAJ	PREVOD NA UCET	7300	51304	SIPO	MN	40865373
795661	2711	1994-06-12	VYDAJ	PREVOD NA UCET	7300	47001	SIPO	MN	40865373
795662	2711	1994-07-12	VYDAJ	PREVOD NA UCET	7300	43031	SIPO	MN	40865373
795663	2711	1994-08-12	VYDAJ	PREVOD NA UCET	7300	35742	SIPO	MN	40865373
795664	2711	1994-09-12	VYDAJ	PREVOD NA UCET	7300	32954	SIPO	MN	40865373
795665	2711	1994-10-12	VYDAJ	PREVOD NA UCET	7300	31449	SIPO	MN	40865373
795666	2711	1994-11-12	VYDAJ	PREVOD NA UCET	7300	33737	SIPO	MN	40865373
795667	2711	1994-12-12	VYDAJ	PREVOD NA UCET	7300	36214	SIPO	MN	40865373
795668	2711	1995-01-12	VYDAJ	PREVOD NA UCET	7300	30431	SIPO	MN	40865373
795669	2711	1995-02-12	VYDAJ	PREVOD NA UCET	7300	27530	SIPO	MN	40865373
795670	2711	1995-03-12	VYDAJ	PREVOD NA UCET	7300	30097	SIPO	MN	40865373
795671	2711	1995-04-12	VYDAJ	PREVOD NA UCET	7300	28755	SIPO	MN	40865373
795672	2711	1995-05-12	VYDAJ	PREVOD NA UCET	7300	31536	SIPO	MN	40865373
795673	2711	1995-06-12	VYDAJ	PREVOD NA UCET	7300	36004	SIPO	MN	40865373
795674	2711	1995-07-12	VYDAJ	PREVOD NA UCET	7300	30646	SIPO	MN	40865373
795675	2711	1995-08-12	VYDAJ	PREVOD NA UCET	7300	25808	SIPO	MN	40865373
795676	2711	1995-09-12	VYDAJ	PREVOD NA UCET	7300	33425	SIPO	MN	40865373
795677	2711	1995-10-12	VYDAJ	PREVOD NA UCET	7300	39872	SIPO	MN	40865373
795678	2711	1995-11-12	VYDAJ	PREVOD NA UCET	7300	41982	SIPO	MN	40865373
795679	2711	1995-12-12	VYDAJ	PREVOD NA UCET	7300	52593	SIPO	MN	40865373
795680	2711	1996-01-12	VYDAJ	PREVOD NA UCET	7300	43265	SIPO	MN	40865373
795681	2711	1996-02-12	VYDAJ	PREVOD NA UCET	7300	39753	SIPO	MN	40865373
795682	2711	1996-03-12	VYDAJ	PREVOD NA UCET	7300	41874	SIPO	MN	40865373
795683	2711	1996-04-12	VYDAJ	PREVOD NA UCET	7300	43704	SIPO	MN	40865373
795684	2711	1996-05-12	VYDAJ	PREVOD NA UCET	7300	39842	SIPO	MN	40865373
795685	2711	1996-06-12	VYDAJ	PREVOD NA UCET	7300	29491	SIPO	MN	40865373
795686	2711	1996-07-12	VYDAJ	PREVOD NA UCET	7300	34773	SIPO	MN	40865373
795687	2711	1996-08-12	VYDAJ	PREVOD NA UCET	7300	39070	SIPO	MN	40865373
795688	2711	1996-09-12	VYDAJ	PREVOD NA UCET	7300	42121	SIPO	MN	40865373
795689	2711	1996-10-12	VYDAJ	PREVOD NA UCET	7300	44127	SIPO	MN	40865373
795690	2711	1996-11-12	VYDAJ	PREVOD NA UCET	7300	43540	SIPO	MN	40865373
795691	2711	1996-12-12	VYDAJ	PREVOD NA UCET	7300	55374	SIPO	MN	40865373
795692	2711	1997-01-12	VYDAJ	PREVOD NA UCET	7300	45347	SIPO	MN	40865373
795693	2711	1997-02-12	VYDAJ	PREVOD NA UCET	7300	39884	SIPO	MN	40865373
795694	2711	1997-03-12	VYDAJ	PREVOD NA UCET	7300	43795	SIPO	MN	40865373
795695	2711	1997-04-12	VYDAJ	PREVOD NA UCET	7300	43905	SIPO	MN	40865373
795696	2711	1997-05-12	VYDAJ	PREVOD NA UCET	7300	44195	SIPO	MN	40865373
795697	2711	1997-06-12	VYDAJ	PREVOD NA UCET	7300	55924	SIPO	MN	40865373
795698	2711	1997-07-12	VYDAJ	PREVOD NA UCET	7300	53267	SIPO	MN	40865373
795699	2711	1997-08-12	VYDAJ	PREVOD NA UCET	7300	49810	SIPO	MN	40865373
795700	2711	1997-09-12	VYDAJ	PREVOD NA UCET	7300	49539	SIPO	MN	40865373
795701	2711	1997-10-12	VYDAJ	PREVOD NA UCET	7300	49666	SIPO	MN	40865373
795702	2711	1997-11-12	VYDAJ	PREVOD NA UCET	7300	47490	SIPO	MN	40865373
795703	2711	1997-12-12	VYDAJ	PREVOD NA UCET	7300	56589	SIPO	MN	40865373
795704	2711	1998-01-12	VYDAJ	PREVOD NA UCET	7300	43515	SIPO	MN	40865373
795705	2711	1998-02-12	VYDAJ	PREVOD NA UCET	7300	39284	SIPO	MN	40865373
795706	2711	1998-03-12	VYDAJ	PREVOD NA UCET	7300	45168	SIPO	MN	40865373
795707	2711	1998-04-12	VYDAJ	PREVOD NA UCET	7300	50299	SIPO	MN	40865373
795708	2711	1998-05-12	VYDAJ	PREVOD NA UCET	7300	56732	SIPO	MN	40865373
795709	2711	1998-06-12	VYDAJ	PREVOD NA UCET	7300	45027	SIPO	MN	40865373
795710	2711	1998-07-12	VYDAJ	PREVOD NA UCET	7300	50559	SIPO	MN	40865373
795711	2711	1998-08-12	VYDAJ	PREVOD NA UCET	7300	53586	SIPO	MN	40865373
795712	2711	1998-09-12	VYDAJ	PREVOD NA UCET	7300	48613	SIPO	MN	40865373
795713	2711	1998-10-12	VYDAJ	PREVOD NA UCET	7300	49828	SIPO	MN	40865373
795714	2711	1998-11-12	VYDAJ	PREVOD NA UCET	7300	56956	SIPO	MN	40865373
795715	2711	1998-12-12	VYDAJ	PREVOD NA UCET	7300	67673	SIPO	MN	40865373
795789	2711	1994-06-18	VYDAJ	VYBER	8480	30221	\N	\N	\N
795791	2711	1996-06-08	VYDAJ	VYBER	14240	36791	\N	\N	\N
795793	2711	1998-06-05	VYDAJ	VYBER	21440	22375	\N	\N	\N
795794	2711	1993-12-12	VYDAJ	VYBER	3520	60717	\N	\N	\N
795795	2711	1994-12-19	VYDAJ	VYBER	2720	33494	\N	\N	\N
795796	2711	1995-12-15	VYDAJ	VYBER	4480	48113	\N	\N	\N
795797	2711	1996-12-16	VYDAJ	VYBER	4160	51214	\N	\N	\N
795798	2711	1997-12-14	VYDAJ	VYBER	2560	54029	\N	\N	\N
795799	2711	1998-12-20	VYDAJ	VYBER	4000	53673	\N	\N	\N
795806	2711	1994-01-01	VYDAJ	VYBER	3240	36989	\N	\N	\N
795807	2711	1994-01-23	VYDAJ	VYBER	1920	32177	\N	\N	\N
795808	2711	1994-01-30	VYDAJ	VYBER	1560	27497	\N	\N	\N
795809	2711	1994-01-24	VYDAJ	VYBER	3120	29057	\N	\N	\N
795810	2711	1994-01-11	VYDAJ	VYBER	2880	54077	\N	\N	\N
795811	2711	1994-01-14	VYDAJ	VYBER	3240	43537	\N	\N	\N
795812	2711	1995-01-17	VYDAJ	VYBER	2280	28151	\N	\N	\N
795813	2711	1995-01-24	VYDAJ	VYBER	2400	22751	\N	\N	\N
795814	2711	1995-01-20	VYDAJ	VYBER	2400	25151	\N	\N	\N
795815	2711	1995-01-19	VYDAJ	VYBER	600	27551	\N	\N	\N
795816	2711	1995-01-11	VYDAJ	VYBER	960	37731	\N	\N	\N
795817	2711	1995-01-07	VYDAJ	VYBER	1800	51191	\N	\N	\N
795818	2711	1996-01-04	VYDAJ	VYBER	1080	38097	\N	\N	\N
795819	2711	1996-01-02	VYDAJ	VYBER	2640	39177	\N	\N	\N
795820	2711	1996-01-21	VYDAJ	VYBER	600	40985	\N	\N	\N
795821	2711	1996-01-01	VYDAJ	VYBER	3120	41817	\N	\N	\N
795822	2711	1996-01-24	VYDAJ	VYBER	3360	37625	\N	\N	\N
795823	2711	1996-01-18	VYDAJ	VYBER	960	41585	\N	\N	\N
795824	2711	1997-01-02	VYDAJ	VYBER	1320	34959	\N	\N	\N
795825	2711	1997-01-15	VYDAJ	VYBER	3480	41867	\N	\N	\N
795826	2711	1997-01-07	VYDAJ	VYBER	2280	52647	\N	\N	\N
795827	2711	1997-01-16	VYDAJ	VYBER	1920	39947	\N	\N	\N
795828	2711	1997-01-18	VYDAJ	VYBER	1440	38507	\N	\N	\N
795829	2711	1997-01-21	VYDAJ	VYBER	3360	35147	\N	\N	\N
795830	2711	1998-01-22	VYDAJ	VYBER	1920	39315	\N	\N	\N
795831	2711	1998-01-10	VYDAJ	VYBER	3480	50815	\N	\N	\N
795832	2711	1998-01-15	VYDAJ	VYBER	2280	41235	\N	\N	\N
795833	2711	1998-01-27	VYDAJ	VYBER	1800	26475	\N	\N	\N
795834	2711	1998-01-04	VYDAJ	VYBER	960	34327	\N	\N	\N
795835	2711	1998-01-23	VYDAJ	VYBER	3240	28275	\N	\N	\N
795836	2711	1993-12-14	VYDAJ	VYBER	1560	51857	\N	\N	\N
795837	2711	1993-10-12	VYDAJ	VYBER	4800	50834	\N	\N	\N
795838	2711	1993-12-03	VYDAJ	VYBER	1920	34285	\N	\N	\N
795840	2711	1994-06-10	VYDAJ	VYBER	3240	54301	\N	\N	\N
795841	2711	1994-08-06	VYDAJ	VYBER	1680	32574	\N	\N	\N
795842	2711	1994-06-01	VYDAJ	VYBER	5280	31669	\N	\N	\N
795843	2711	1994-12-25	VYDAJ	VYBER	600	32894	\N	\N	\N
795844	2711	1994-06-06	VYDAJ	VYBER	4080	27589	\N	\N	\N
795845	2711	1994-01-21	VYDAJ	VYBER	1440	34097	\N	\N	\N
795846	2711	1995-12-21	VYDAJ	VYBER	3360	44753	\N	\N	\N
795847	2711	1995-07-22	VYDAJ	VYBER	3720	26926	\N	\N	\N
795848	2711	1995-10-22	VYDAJ	VYBER	5400	34472	\N	\N	\N
795849	2711	1995-08-13	VYDAJ	VYBER	2880	22928	\N	\N	\N
795850	2711	1995-08-22	VYDAJ	VYBER	1560	21368	\N	\N	\N
795851	2711	1995-06-26	VYDAJ	VYBER	1560	34444	\N	\N	\N
795852	2711	1995-10-06	VYDAJ	VYBER	5640	27904	\N	\N	\N
795853	2711	1995-04-05	VYDAJ	VYBER	5520	24687	\N	\N	\N
795854	2711	1996-11-27	VYDAJ	VYBER	3360	40180	\N	\N	\N
795855	2711	1996-01-18	VYDAJ	VYBER	720	42545	\N	\N	\N
795856	2711	1996-05-30	VYDAJ	VYBER	4560	29642	\N	\N	\N
795857	2711	1996-08-21	VYDAJ	VYBER	3360	35710	\N	\N	\N
795858	2711	1996-05-05	VYDAJ	VYBER	600	27174	\N	\N	\N
795859	2711	1996-05-12	VYDAJ	VYBER	5640	34202	\N	\N	\N
795860	2711	1997-05-02	VYDAJ	VYBER	1320	31527	\N	\N	\N
795861	2711	1997-02-01	VYDAJ	VYBER	2880	27216	\N	\N	\N
795862	2711	1997-05-31	VYDAJ	VYBER	1680	33272	\N	\N	\N
795863	2711	1998-02-20	VYDAJ	VYBER	1800	37484	\N	\N	\N
795864	2711	1998-03-12	VYDAJ	VYBER	3480	41688	\N	\N	\N
795865	2711	1998-11-28	VYDAJ	VYBER	5520	44836	\N	\N	\N
795876	2711	1993-10-31	VYDAJ	VYBER	15	37493	SLUZBY	\N	\N
795877	2711	1993-11-30	VYDAJ	VYBER	15	36205	SLUZBY	\N	\N
795878	2711	1993-12-31	VYDAJ	VYBER	15	40229	SLUZBY	\N	\N
795879	2711	1994-01-31	VYDAJ	VYBER	15	27651	SLUZBY	\N	\N
795880	2711	1994-02-28	VYDAJ	VYBER	15	31230	SLUZBY	\N	\N
795881	2711	1994-03-31	VYDAJ	VYBER	15	34626	SLUZBY	\N	\N
795882	2711	1994-04-30	VYDAJ	VYBER	15	38636	SLUZBY	\N	\N
795883	2711	1994-05-31	VYDAJ	VYBER	15	36949	SLUZBY	\N	\N
795884	2711	1994-06-30	VYDAJ	VYBER	15	30363	SLUZBY	\N	\N
795885	2711	1994-07-31	VYDAJ	VYBER	15	34254	SLUZBY	\N	\N
795886	2711	1994-08-31	VYDAJ	VYBER	15	35886	SLUZBY	\N	\N
795887	2711	1994-09-30	VYDAJ	VYBER	15	33081	SLUZBY	\N	\N
795888	2711	1994-10-31	VYDAJ	VYBER	15	31569	SLUZBY	\N	\N
795889	2711	1994-11-30	VYDAJ	VYBER	15	33862	SLUZBY	\N	\N
795890	2711	1994-12-31	VYDAJ	VYBER	15	33023	SLUZBY	\N	\N
795891	2711	1995-01-31	VYDAJ	VYBER	15	22862	SLUZBY	\N	\N
795892	2711	1995-02-28	VYDAJ	VYBER	15	27629	SLUZBY	\N	\N
795893	2711	1995-03-31	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
795894	2711	1995-04-30	VYDAJ	VYBER	15	28868	SLUZBY	\N	\N
795895	2711	1995-05-31	VYDAJ	VYBER	15	31652	SLUZBY	\N	\N
795896	2711	1995-06-30	VYDAJ	VYBER	15	34578	SLUZBY	\N	\N
795897	2711	1995-07-31	VYDAJ	VYBER	15	27040	SLUZBY	\N	\N
795898	2711	1995-08-31	VYDAJ	VYBER	15	21457	SLUZBY	\N	\N
795899	2711	1995-09-30	VYDAJ	VYBER	15	33544	SLUZBY	\N	\N
795900	2711	1995-10-31	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
795901	2711	1995-11-30	VYDAJ	VYBER	15	42141	SLUZBY	\N	\N
795902	2711	1995-12-31	VYDAJ	VYBER	15	44937	SLUZBY	\N	\N
795903	2711	1996-01-31	VYDAJ	VYBER	15	37785	SLUZBY	\N	\N
795904	2711	1996-02-29	VYDAJ	VYBER	15	39906	SLUZBY	\N	\N
795905	2711	1996-03-31	VYDAJ	VYBER	15	42036	SLUZBY	\N	\N
795906	2711	1996-04-30	VYDAJ	VYBER	15	43874	SLUZBY	\N	\N
795907	2711	1996-05-31	VYDAJ	VYBER	15	29779	SLUZBY	\N	\N
795908	2711	1996-06-30	VYDAJ	VYBER	15	29605	SLUZBY	\N	\N
795909	2711	1996-07-31	VYDAJ	VYBER	15	34902	SLUZBY	\N	\N
795910	2711	1996-08-31	VYDAJ	VYBER	15	35853	SLUZBY	\N	\N
795911	2711	1996-09-30	VYDAJ	VYBER	15	42259	SLUZBY	\N	\N
795912	2711	1996-10-31	VYDAJ	VYBER	15	30872	SLUZBY	\N	\N
795913	2711	1996-11-30	VYDAJ	VYBER	15	32722	SLUZBY	\N	\N
795914	2711	1996-12-31	VYDAJ	VYBER	15	36279	SLUZBY	\N	\N
795915	2711	1997-01-31	VYDAJ	VYBER	15	30096	SLUZBY	\N	\N
795916	2711	1997-02-28	VYDAJ	VYBER	15	31127	SLUZBY	\N	\N
795917	2711	1997-03-31	VYDAJ	VYBER	15	31237	SLUZBY	\N	\N
795918	2711	1997-04-30	VYDAJ	VYBER	15	32847	SLUZBY	\N	\N
795919	2711	1997-05-31	VYDAJ	VYBER	15	34952	SLUZBY	\N	\N
795920	2711	1997-06-30	VYDAJ	VYBER	15	40599	SLUZBY	\N	\N
795921	2711	1997-07-31	VYDAJ	VYBER	15	37142	SLUZBY	\N	\N
795922	2711	1997-08-31	VYDAJ	VYBER	15	36871	SLUZBY	\N	\N
795923	2711	1997-09-30	VYDAJ	VYBER	15	36998	SLUZBY	\N	\N
795924	2711	1997-10-31	VYDAJ	VYBER	15	34822	SLUZBY	\N	\N
795925	2711	1997-11-30	VYDAJ	VYBER	15	33937	SLUZBY	\N	\N
795926	2711	1997-12-31	VYDAJ	VYBER	15	35287	SLUZBY	\N	\N
795927	2711	1998-01-31	VYDAJ	VYBER	15	26616	SLUZBY	\N	\N
795928	2711	1998-02-28	VYDAJ	VYBER	15	32500	SLUZBY	\N	\N
795929	2711	1998-03-31	VYDAJ	VYBER	15	37631	SLUZBY	\N	\N
795930	2711	1998-04-30	VYDAJ	VYBER	15	44064	SLUZBY	\N	\N
795931	2711	1998-05-31	VYDAJ	VYBER	15	43815	SLUZBY	\N	\N
795932	2711	1998-06-30	VYDAJ	VYBER	15	37891	SLUZBY	\N	\N
795933	2711	1998-07-31	VYDAJ	VYBER	15	40918	SLUZBY	\N	\N
795934	2711	1998-08-31	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
795935	2711	1998-09-30	VYDAJ	VYBER	15	37160	SLUZBY	\N	\N
795936	2711	1998-10-31	VYDAJ	VYBER	15	44288	SLUZBY	\N	\N
795937	2711	1998-11-30	VYDAJ	VYBER	15	45021	SLUZBY	\N	\N
795938	2711	1993-06-18	VYDAJ	VYBER	3700	26652	\N	\N	\N
795939	2711	1993-07-18	VYDAJ	VYBER	9600	37068	\N	\N	\N
795940	2711	1993-08-17	VYDAJ	VYBER	17500	39667	\N	\N	\N
795941	2711	1993-09-16	VYDAJ	VYBER	17000	42794	\N	\N	\N
795942	2711	1993-10-16	VYDAJ	VYBER	13500	37334	\N	\N	\N
795943	2711	1993-11-15	VYDAJ	VYBER	14100	36061	\N	\N	\N
795944	2711	1993-12-15	VYDAJ	VYBER	11800	40057	\N	\N	\N
795945	2711	1994-01-14	VYDAJ	VYBER	8000	35537	\N	\N	\N
795946	2711	1994-02-13	VYDAJ	VYBER	9200	31119	\N	\N	\N
795947	2711	1994-03-15	VYDAJ	VYBER	9400	34498	\N	\N	\N
795948	2711	1994-04-14	VYDAJ	VYBER	8800	38494	\N	\N	\N
795949	2711	1994-05-14	VYDAJ	VYBER	14500	36804	\N	\N	\N
795950	2711	1994-06-13	VYDAJ	VYBER	8300	38701	\N	\N	\N
795951	2711	1994-07-13	VYDAJ	VYBER	8900	34131	\N	\N	\N
795952	2711	1994-08-12	VYDAJ	VYBER	9500	43042	\N	\N	\N
795953	2711	1994-09-11	VYDAJ	VYBER	15600	40254	\N	\N	\N
795954	2711	1994-10-11	VYDAJ	VYBER	14300	38749	\N	\N	\N
795955	2711	1994-11-10	VYDAJ	VYBER	10500	41037	\N	\N	\N
795956	2711	1994-12-10	VYDAJ	VYBER	20300	43514	\N	\N	\N
795957	2711	1995-01-09	VYDAJ	VYBER	12500	38691	\N	\N	\N
795958	2711	1995-02-08	VYDAJ	VYBER	8000	34830	\N	\N	\N
795959	2711	1995-03-10	VYDAJ	VYBER	10200	37397	\N	\N	\N
795960	2711	1995-04-09	VYDAJ	VYBER	8600	36055	\N	\N	\N
795961	2711	1995-05-09	VYDAJ	VYBER	10000	38836	\N	\N	\N
795962	2711	1995-06-08	VYDAJ	VYBER	18300	43304	\N	\N	\N
795963	2711	1995-07-08	VYDAJ	VYBER	16600	37946	\N	\N	\N
795964	2711	1995-08-07	VYDAJ	VYBER	13900	33108	\N	\N	\N
795965	2711	1995-09-06	VYDAJ	VYBER	700	20757	\N	\N	\N
795966	2711	1995-10-06	VYDAJ	VYBER	700	27204	\N	\N	\N
795967	2711	1995-11-05	VYDAJ	VYBER	5300	29314	\N	\N	\N
795968	2711	1995-12-05	VYDAJ	VYBER	12200	29941	\N	\N	\N
795969	2711	1996-01-04	VYDAJ	VYBER	7500	30597	\N	\N	\N
795970	2711	1996-02-03	VYDAJ	VYBER	10700	27085	\N	\N	\N
795971	2711	1996-03-04	VYDAJ	VYBER	10700	29206	\N	\N	\N
795972	2711	1996-04-03	VYDAJ	VYBER	11000	31036	\N	\N	\N
795973	2711	1996-05-03	VYDAJ	VYBER	16100	27774	\N	\N	\N
795974	2711	1996-06-02	VYDAJ	VYBER	8700	21079	\N	\N	\N
795975	2711	1996-07-02	VYDAJ	VYBER	7500	22105	\N	\N	\N
795976	2711	1996-08-01	VYDAJ	VYBER	8500	26402	\N	\N	\N
795977	2711	1996-08-31	VYDAJ	VYBER	6400	29453	\N	\N	\N
795978	2711	1996-09-30	VYDAJ	VYBER	10800	31459	\N	\N	\N
795979	2711	1996-10-30	VYDAJ	VYBER	13400	30727	\N	\N	\N
795980	2711	1996-11-29	VYDAJ	VYBER	7600	32580	\N	\N	\N
795981	2711	1996-12-29	VYDAJ	VYBER	15100	36114	\N	\N	\N
795982	2711	1997-01-28	VYDAJ	VYBER	5200	29947	\N	\N	\N
795983	2711	1997-02-27	VYDAJ	VYBER	8900	30984	\N	\N	\N
795984	2711	1997-03-29	VYDAJ	VYBER	12700	31095	\N	\N	\N
795985	2711	1997-04-28	VYDAJ	VYBER	11200	32705	\N	\N	\N
795986	2711	1997-05-28	VYDAJ	VYBER	9400	34795	\N	\N	\N
795987	2711	1997-06-27	VYDAJ	VYBER	15500	40424	\N	\N	\N
795988	2711	1997-07-27	VYDAJ	VYBER	16300	36967	\N	\N	\N
795989	2711	1997-08-26	VYDAJ	VYBER	13100	36710	\N	\N	\N
795990	2711	1997-09-25	VYDAJ	VYBER	12700	36839	\N	\N	\N
795991	2711	1997-10-25	VYDAJ	VYBER	15000	34666	\N	\N	\N
795992	2711	1997-11-24	VYDAJ	VYBER	13700	33790	\N	\N	\N
795993	2711	1997-12-24	VYDAJ	VYBER	18900	35129	\N	\N	\N
795994	2711	1998-01-23	VYDAJ	VYBER	7800	31515	\N	\N	\N
795995	2711	1998-02-22	VYDAJ	VYBER	5100	32384	\N	\N	\N
795996	2711	1998-03-24	VYDAJ	VYBER	4200	37488	\N	\N	\N
795997	2711	1998-04-23	VYDAJ	VYBER	6400	43899	\N	\N	\N
795998	2711	1998-05-23	VYDAJ	VYBER	13100	43632	\N	\N	\N
795999	2711	1998-06-22	VYDAJ	VYBER	7300	37727	\N	\N	\N
796000	2711	1998-07-22	VYDAJ	VYBER	9800	40759	\N	\N	\N
796001	2711	1998-08-21	VYDAJ	VYBER	17800	35786	\N	\N	\N
796002	2711	1998-09-20	VYDAJ	VYBER	11600	37013	\N	\N	\N
796003	2711	1998-10-20	VYDAJ	VYBER	5700	44128	\N	\N	\N
796004	2711	1998-11-19	VYDAJ	VYBER	6600	50356	\N	\N	\N
796005	2711	1998-12-19	VYDAJ	VYBER	10000	57673	\N	\N	\N
796073	2712	1993-03-12	PRIJEM	VKLAD	400	400	\N	\N	\N
796077	2712	1993-04-11	PRIJEM	PREVOD Z UCTU	6604	7004	DUCHOD	YZ	16008741
796078	2712	1993-05-11	PRIJEM	PREVOD Z UCTU	6604	13608	DUCHOD	YZ	16008741
796079	2712	1993-06-11	PRIJEM	PREVOD Z UCTU	6604	20212	DUCHOD	YZ	16008741
796080	2712	1993-07-11	PRIJEM	PREVOD Z UCTU	6604	26816	DUCHOD	YZ	16008741
796081	2712	1993-08-11	PRIJEM	PREVOD Z UCTU	6604	33420	DUCHOD	YZ	16008741
796082	2712	1993-09-11	PRIJEM	PREVOD Z UCTU	6604	32438	DUCHOD	YZ	16008741
796083	2712	1993-10-11	PRIJEM	PREVOD Z UCTU	6604	30305	DUCHOD	YZ	16008741
796084	2712	1993-11-11	PRIJEM	PREVOD Z UCTU	6604	33143	DUCHOD	YZ	16008741
796085	2712	1993-12-11	PRIJEM	PREVOD Z UCTU	6604	32290	DUCHOD	YZ	16008741
796086	2712	1994-01-11	PRIJEM	PREVOD Z UCTU	6604	31805	DUCHOD	YZ	16008741
796087	2712	1994-02-11	PRIJEM	PREVOD Z UCTU	6604	30661	DUCHOD	YZ	16008741
796088	2712	1994-03-11	PRIJEM	PREVOD Z UCTU	6604	29868	DUCHOD	YZ	16008741
796089	2712	1994-04-11	PRIJEM	PREVOD Z UCTU	6604	30900	DUCHOD	YZ	16008741
796090	2712	1994-05-11	PRIJEM	PREVOD Z UCTU	6604	30640	DUCHOD	YZ	16008741
796091	2712	1994-06-11	PRIJEM	PREVOD Z UCTU	6604	29979	DUCHOD	YZ	16008741
796092	2712	1994-07-11	PRIJEM	PREVOD Z UCTU	6604	27868	DUCHOD	YZ	16008741
796093	2712	1994-08-11	PRIJEM	PREVOD Z UCTU	6604	26852	DUCHOD	YZ	16008741
796094	2712	1994-09-11	PRIJEM	PREVOD Z UCTU	6604	28475	DUCHOD	YZ	16008741
796095	2712	1994-10-11	PRIJEM	PREVOD Z UCTU	6604	30403	DUCHOD	YZ	16008741
796096	2712	1994-11-11	PRIJEM	PREVOD Z UCTU	6604	29093	DUCHOD	YZ	16008741
796097	2712	1994-12-11	PRIJEM	PREVOD Z UCTU	6604	32823	DUCHOD	YZ	16008741
796098	2712	1995-01-11	PRIJEM	PREVOD Z UCTU	6604	29077	DUCHOD	YZ	16008741
796099	2712	1995-02-11	PRIJEM	PREVOD Z UCTU	6604	25843	DUCHOD	YZ	16008741
796100	2712	1995-03-11	PRIJEM	PREVOD Z UCTU	6604	26433	DUCHOD	YZ	16008741
796101	2712	1995-04-11	PRIJEM	PREVOD Z UCTU	6604	24951	DUCHOD	YZ	16008741
796102	2712	1995-05-11	PRIJEM	PREVOD Z UCTU	6604	28666	DUCHOD	YZ	16008741
796103	2712	1995-06-11	PRIJEM	PREVOD Z UCTU	6604	20143	DUCHOD	YZ	16008741
796104	2712	1995-07-11	PRIJEM	PREVOD Z UCTU	6604	20568	DUCHOD	YZ	16008741
796105	2712	1995-08-11	PRIJEM	PREVOD Z UCTU	6604	24264	DUCHOD	YZ	16008741
796106	2712	1995-09-11	PRIJEM	PREVOD Z UCTU	6604	27974	DUCHOD	YZ	16008741
796107	2712	1995-10-11	PRIJEM	PREVOD Z UCTU	6604	30175	DUCHOD	YZ	16008741
796108	2712	1995-11-11	PRIJEM	PREVOD Z UCTU	6604	33909	DUCHOD	YZ	16008741
796109	2712	1995-12-11	PRIJEM	PREVOD Z UCTU	6604	37658	DUCHOD	YZ	16008741
796110	2712	1996-01-11	PRIJEM	PREVOD Z UCTU	6604	36341	DUCHOD	YZ	16008741
796111	2712	1996-02-11	PRIJEM	PREVOD Z UCTU	6604	29531	DUCHOD	YZ	16008741
796112	2712	1996-03-11	PRIJEM	PREVOD Z UCTU	6604	33263	DUCHOD	YZ	16008741
796113	2712	1996-04-11	PRIJEM	PREVOD Z UCTU	6604	36809	DUCHOD	YZ	16008741
796114	2712	1996-05-11	PRIJEM	PREVOD Z UCTU	6604	35240	DUCHOD	YZ	16008741
796115	2712	1996-06-11	PRIJEM	PREVOD Z UCTU	6604	26193	DUCHOD	YZ	16008741
796116	2712	1996-07-11	PRIJEM	PREVOD Z UCTU	6604	29921	DUCHOD	YZ	16008741
796117	2712	1996-08-11	PRIJEM	PREVOD Z UCTU	6604	30368	DUCHOD	YZ	16008741
796118	2712	1996-09-11	PRIJEM	PREVOD Z UCTU	6604	31899	DUCHOD	YZ	16008741
796119	2712	1996-10-11	PRIJEM	PREVOD Z UCTU	6604	35038	DUCHOD	YZ	16008741
796120	2712	1996-11-11	PRIJEM	PREVOD Z UCTU	6604	32483	DUCHOD	YZ	16008741
796121	2712	1996-12-11	PRIJEM	PREVOD Z UCTU	6604	31919	DUCHOD	YZ	16008741
796122	2712	1997-01-11	PRIJEM	PREVOD Z UCTU	6604	26940	DUCHOD	YZ	16008741
796123	2712	1997-02-11	PRIJEM	PREVOD Z UCTU	6604	19826	DUCHOD	YZ	16008741
796124	2712	1997-03-11	PRIJEM	PREVOD Z UCTU	6604	23415	DUCHOD	YZ	16008741
796125	2712	1997-04-11	PRIJEM	PREVOD Z UCTU	6604	23915	DUCHOD	YZ	16008741
796126	2712	1997-05-11	PRIJEM	PREVOD Z UCTU	6604	21651	DUCHOD	YZ	16008741
796127	2712	1997-06-11	PRIJEM	PREVOD Z UCTU	6604	21842	DUCHOD	YZ	16008741
796128	2712	1997-07-11	PRIJEM	PREVOD Z UCTU	6604	22187	DUCHOD	YZ	16008741
796129	2712	1997-08-11	PRIJEM	PREVOD Z UCTU	6604	22183	DUCHOD	YZ	16008741
796130	2712	1997-09-11	PRIJEM	PREVOD Z UCTU	6604	25080	DUCHOD	YZ	16008741
796131	2712	1997-10-11	PRIJEM	PREVOD Z UCTU	6604	22278	DUCHOD	YZ	16008741
796132	2712	1997-11-11	PRIJEM	PREVOD Z UCTU	6604	20567	DUCHOD	YZ	16008741
796133	2712	1997-12-11	PRIJEM	PREVOD Z UCTU	6604	22978	DUCHOD	YZ	16008741
796134	2712	1998-01-11	PRIJEM	PREVOD Z UCTU	6604	26380	DUCHOD	YZ	16008741
796135	2712	1998-02-11	PRIJEM	PREVOD Z UCTU	6604	20640	DUCHOD	YZ	16008741
796136	2712	1998-03-11	PRIJEM	PREVOD Z UCTU	6604	24332	DUCHOD	YZ	16008741
796137	2712	1998-04-11	PRIJEM	PREVOD Z UCTU	6604	28039	DUCHOD	YZ	16008741
796138	2712	1998-05-11	PRIJEM	PREVOD Z UCTU	6604	31761	DUCHOD	YZ	16008741
796139	2712	1998-06-11	PRIJEM	PREVOD Z UCTU	6604	35499	DUCHOD	YZ	16008741
796140	2712	1998-07-11	PRIJEM	PREVOD Z UCTU	6604	33244	DUCHOD	YZ	16008741
796141	2712	1998-08-11	PRIJEM	PREVOD Z UCTU	6604	36988	DUCHOD	YZ	16008741
796142	2712	1998-09-11	PRIJEM	PREVOD Z UCTU	6604	40747	DUCHOD	YZ	16008741
796143	2712	1998-10-11	PRIJEM	PREVOD Z UCTU	6604	44522	DUCHOD	YZ	16008741
796144	2712	1998-11-11	PRIJEM	PREVOD Z UCTU	6604	48313	DUCHOD	YZ	16008741
796145	2712	1998-12-11	PRIJEM	PREVOD Z UCTU	6604	51119	DUCHOD	YZ	16008741
796154	2712	1993-09-09	VYDAJ	PREVOD NA UCET	2976	25834	SIPO	EF	14783954
796155	2712	1993-10-09	VYDAJ	PREVOD NA UCET	2976	23701	SIPO	EF	14783954
796156	2712	1993-11-09	VYDAJ	PREVOD NA UCET	2976	26539	SIPO	EF	14783954
796157	2712	1993-12-09	VYDAJ	PREVOD NA UCET	2976	25686	SIPO	EF	14783954
796158	2712	1994-01-09	VYDAJ	PREVOD NA UCET	2976	26401	SIPO	EF	14783954
796159	2712	1994-02-09	VYDAJ	PREVOD NA UCET	2976	24057	SIPO	EF	14783954
796160	2712	1994-03-09	VYDAJ	PREVOD NA UCET	2976	23264	SIPO	EF	14783954
796161	2712	1994-04-09	VYDAJ	PREVOD NA UCET	2976	24296	SIPO	EF	14783954
796162	2712	1994-05-09	VYDAJ	PREVOD NA UCET	2976	24036	SIPO	EF	14783954
796163	2712	1994-06-09	VYDAJ	PREVOD NA UCET	2976	23375	SIPO	EF	14783954
796164	2712	1994-07-09	VYDAJ	PREVOD NA UCET	2976	21264	SIPO	EF	14783954
796165	2712	1994-08-09	VYDAJ	PREVOD NA UCET	2976	20248	SIPO	EF	14783954
796166	2712	1994-09-09	VYDAJ	PREVOD NA UCET	2976	21871	SIPO	EF	14783954
796167	2712	1994-10-09	VYDAJ	PREVOD NA UCET	2976	23799	SIPO	EF	14783954
796168	2712	1994-11-09	VYDAJ	PREVOD NA UCET	2976	22489	SIPO	EF	14783954
796169	2712	1994-12-09	VYDAJ	PREVOD NA UCET	2976	26219	SIPO	EF	14783954
796170	2712	1995-01-09	VYDAJ	PREVOD NA UCET	2976	22473	SIPO	EF	14783954
796171	2712	1995-02-09	VYDAJ	PREVOD NA UCET	2976	19239	SIPO	EF	14783954
796172	2712	1995-03-09	VYDAJ	PREVOD NA UCET	2976	19829	SIPO	EF	14783954
796173	2712	1995-04-09	VYDAJ	PREVOD NA UCET	2976	18347	SIPO	EF	14783954
796174	2712	1995-05-09	VYDAJ	PREVOD NA UCET	2976	22062	SIPO	EF	14783954
796175	2712	1995-06-09	VYDAJ	PREVOD NA UCET	2976	13539	SIPO	EF	14783954
796176	2712	1995-07-09	VYDAJ	PREVOD NA UCET	2976	13964	SIPO	EF	14783954
796177	2712	1995-08-09	VYDAJ	PREVOD NA UCET	2976	17660	SIPO	EF	14783954
796178	2712	1995-09-09	VYDAJ	PREVOD NA UCET	2976	21370	SIPO	EF	14783954
796179	2712	1995-10-09	VYDAJ	PREVOD NA UCET	2976	23571	SIPO	EF	14783954
796180	2712	1995-11-09	VYDAJ	PREVOD NA UCET	2976	27305	SIPO	EF	14783954
796181	2712	1995-12-09	VYDAJ	PREVOD NA UCET	2976	31054	SIPO	EF	14783954
796182	2712	1996-01-09	VYDAJ	PREVOD NA UCET	2976	29737	SIPO	EF	14783954
796183	2712	1996-02-09	VYDAJ	PREVOD NA UCET	2976	22927	SIPO	EF	14783954
796184	2712	1996-03-09	VYDAJ	PREVOD NA UCET	2976	26659	SIPO	EF	14783954
796185	2712	1996-04-09	VYDAJ	PREVOD NA UCET	2976	30205	SIPO	EF	14783954
796186	2712	1996-05-09	VYDAJ	PREVOD NA UCET	2976	28636	SIPO	EF	14783954
796187	2712	1996-06-09	VYDAJ	PREVOD NA UCET	2976	19589	SIPO	EF	14783954
796188	2712	1996-07-09	VYDAJ	PREVOD NA UCET	2976	23317	SIPO	EF	14783954
796189	2712	1996-08-09	VYDAJ	PREVOD NA UCET	2976	23764	SIPO	EF	14783954
796190	2712	1996-09-09	VYDAJ	PREVOD NA UCET	2976	25295	SIPO	EF	14783954
796191	2712	1996-10-09	VYDAJ	PREVOD NA UCET	2976	28434	SIPO	EF	14783954
796192	2712	1996-11-09	VYDAJ	PREVOD NA UCET	2976	25879	SIPO	EF	14783954
796193	2712	1996-12-09	VYDAJ	PREVOD NA UCET	2976	25315	SIPO	EF	14783954
796194	2712	1997-01-09	VYDAJ	PREVOD NA UCET	2976	22496	SIPO	EF	14783954
796195	2712	1997-02-09	VYDAJ	PREVOD NA UCET	2976	13222	SIPO	EF	14783954
796196	2712	1997-03-09	VYDAJ	PREVOD NA UCET	2976	16811	SIPO	EF	14783954
796197	2712	1997-04-09	VYDAJ	PREVOD NA UCET	2976	17311	SIPO	EF	14783954
796198	2712	1997-05-09	VYDAJ	PREVOD NA UCET	2976	15047	SIPO	EF	14783954
796199	2712	1997-06-09	VYDAJ	PREVOD NA UCET	2976	15238	SIPO	EF	14783954
796200	2712	1997-07-09	VYDAJ	PREVOD NA UCET	2976	15583	SIPO	EF	14783954
796201	2712	1997-08-09	VYDAJ	PREVOD NA UCET	2976	15579	SIPO	EF	14783954
796202	2712	1997-09-09	VYDAJ	PREVOD NA UCET	2976	18476	SIPO	EF	14783954
796203	2712	1997-10-09	VYDAJ	PREVOD NA UCET	2976	15674	SIPO	EF	14783954
796204	2712	1997-11-09	VYDAJ	PREVOD NA UCET	2976	13963	SIPO	EF	14783954
796205	2712	1997-12-09	VYDAJ	PREVOD NA UCET	2976	16374	SIPO	EF	14783954
796206	2712	1998-01-09	VYDAJ	PREVOD NA UCET	2976	19776	SIPO	EF	14783954
796207	2712	1998-02-09	VYDAJ	PREVOD NA UCET	2976	14036	SIPO	EF	14783954
796208	2712	1998-03-09	VYDAJ	PREVOD NA UCET	2976	17728	SIPO	EF	14783954
796209	2712	1998-04-09	VYDAJ	PREVOD NA UCET	2976	21435	SIPO	EF	14783954
796210	2712	1998-05-09	VYDAJ	PREVOD NA UCET	2976	25157	SIPO	EF	14783954
796211	2712	1998-06-09	VYDAJ	PREVOD NA UCET	2976	28895	SIPO	EF	14783954
796212	2712	1998-07-09	VYDAJ	PREVOD NA UCET	2976	26640	SIPO	EF	14783954
796213	2712	1998-08-09	VYDAJ	PREVOD NA UCET	2976	30384	SIPO	EF	14783954
796214	2712	1998-09-09	VYDAJ	PREVOD NA UCET	2976	34143	SIPO	EF	14783954
796215	2712	1998-10-09	VYDAJ	PREVOD NA UCET	2976	37918	SIPO	EF	14783954
796216	2712	1998-11-09	VYDAJ	PREVOD NA UCET	2976	41709	SIPO	EF	14783954
796217	2712	1998-12-09	VYDAJ	PREVOD NA UCET	2976	44515	SIPO	EF	14783954
796219	2712	1994-06-23	VYDAJ	VYBER	4400	24139	\N	\N	\N
796220	2712	1995-06-03	VYDAJ	VYBER	12250	16515	\N	\N	\N
796221	2712	1996-06-05	VYDAJ	VYBER	11400	22565	\N	\N	\N
796222	2712	1997-06-27	VYDAJ	VYBER	3350	18492	\N	\N	\N
796223	2712	1998-06-29	VYDAJ	VYBER	2800	29499	\N	\N	\N
796224	2712	1993-12-23	VYDAJ	VYBER	1350	30940	\N	\N	\N
796225	2712	1994-12-24	VYDAJ	VYBER	550	32273	\N	\N	\N
796226	2712	1995-12-30	VYDAJ	VYBER	900	35058	\N	\N	\N
796227	2712	1996-12-22	VYDAJ	VYBER	850	25369	\N	\N	\N
796228	2712	1997-12-17	VYDAJ	VYBER	300	22678	\N	\N	\N
796229	2712	1998-12-06	VYDAJ	VYBER	1000	47491	\N	\N	\N
796236	2712	1994-01-20	VYDAJ	VYBER	2000	28845	\N	\N	\N
796237	2712	1994-01-24	VYDAJ	VYBER	800	26925	\N	\N	\N
796238	2712	1994-01-05	VYDAJ	VYBER	480	30577	\N	\N	\N
796239	2712	1994-01-23	VYDAJ	VYBER	1120	27725	\N	\N	\N
796240	2712	1994-01-16	VYDAJ	VYBER	960	30845	\N	\N	\N
796241	2712	1994-01-10	VYDAJ	VYBER	1200	25201	\N	\N	\N
796242	2712	1995-01-20	VYDAJ	VYBER	1600	27077	\N	\N	\N
796243	2712	1995-01-28	VYDAJ	VYBER	2080	24997	\N	\N	\N
796244	2712	1995-01-28	VYDAJ	VYBER	1200	23797	\N	\N	\N
796245	2712	1995-01-28	VYDAJ	VYBER	1280	22517	\N	\N	\N
796246	2712	1995-01-15	VYDAJ	VYBER	400	28677	\N	\N	\N
796247	2712	1995-01-29	VYDAJ	VYBER	400	22117	\N	\N	\N
796248	2712	1996-01-15	VYDAJ	VYBER	640	33461	\N	\N	\N
796249	2712	1996-01-13	VYDAJ	VYBER	2240	34101	\N	\N	\N
796250	2712	1996-01-28	VYDAJ	VYBER	880	31381	\N	\N	\N
796251	2712	1996-01-05	VYDAJ	VYBER	1520	33673	\N	\N	\N
796252	2712	1996-01-07	VYDAJ	VYBER	960	32713	\N	\N	\N
796253	2712	1996-01-17	VYDAJ	VYBER	1200	32261	\N	\N	\N
796254	2712	1997-01-23	VYDAJ	VYBER	1680	18840	\N	\N	\N
796255	2712	1997-01-27	VYDAJ	VYBER	1600	17240	\N	\N	\N
796256	2712	1997-01-28	VYDAJ	VYBER	720	16120	\N	\N	\N
796257	2712	1997-01-18	VYDAJ	VYBER	2320	24620	\N	\N	\N
796258	2712	1997-01-28	VYDAJ	VYBER	400	16840	\N	\N	\N
796259	2712	1997-01-09	VYDAJ	VYBER	2160	20336	\N	\N	\N
796260	2712	1998-01-21	VYDAJ	VYBER	2080	19260	\N	\N	\N
796261	2712	1998-01-20	VYDAJ	VYBER	1840	21340	\N	\N	\N
796262	2712	1998-01-27	VYDAJ	VYBER	1040	16940	\N	\N	\N
796263	2712	1998-01-21	VYDAJ	VYBER	1280	17980	\N	\N	\N
796264	2712	1998-01-15	VYDAJ	VYBER	2160	23180	\N	\N	\N
796265	2712	1998-01-11	VYDAJ	VYBER	1040	25340	\N	\N	\N
796268	2712	1993-09-25	VYDAJ	VYBER	1280	31158	\N	\N	\N
796269	2712	1993-10-29	VYDAJ	VYBER	400	29905	\N	\N	\N
796271	2712	1994-08-06	VYDAJ	VYBER	2640	23224	\N	\N	\N
796272	2712	1994-02-14	VYDAJ	VYBER	3920	26741	\N	\N	\N
796273	2712	1994-10-24	VYDAJ	VYBER	2560	25363	\N	\N	\N
796274	2712	1994-06-12	VYDAJ	VYBER	1440	28539	\N	\N	\N
796275	2712	1994-10-21	VYDAJ	VYBER	2480	27923	\N	\N	\N
796276	2712	1995-09-18	VYDAJ	VYBER	1520	26454	\N	\N	\N
796277	2712	1995-02-16	VYDAJ	VYBER	3120	22723	\N	\N	\N
796278	2712	1995-07-02	VYDAJ	VYBER	3280	16940	\N	\N	\N
796279	2712	1995-04-06	VYDAJ	VYBER	3280	21323	\N	\N	\N
796280	2712	1995-01-05	VYDAJ	VYBER	3440	25449	\N	\N	\N
796281	2712	1995-04-03	VYDAJ	VYBER	1920	24603	\N	\N	\N
796282	2712	1996-01-30	VYDAJ	VYBER	3520	27861	\N	\N	\N
796283	2712	1996-04-11	VYDAJ	VYBER	2720	34089	\N	\N	\N
796284	2712	1996-02-03	VYDAJ	VYBER	2080	25903	\N	\N	\N
796285	2712	1996-07-13	VYDAJ	VYBER	1280	28641	\N	\N	\N
796286	2712	1997-12-06	VYDAJ	VYBER	1280	19350	\N	\N	\N
796288	2712	1997-04-17	VYDAJ	VYBER	3360	20555	\N	\N	\N
796289	2712	1997-07-31	VYDAJ	VYBER	2000	18570	\N	\N	\N
796290	2712	1998-06-12	VYDAJ	VYBER	1280	34219	\N	\N	\N
796292	2712	1998-06-14	VYDAJ	VYBER	1920	32299	\N	\N	\N
796301	2712	1993-08-31	VYDAJ	VYBER	15	33410	SLUZBY	\N	\N
796302	2712	1993-09-30	VYDAJ	VYBER	15	31277	SLUZBY	\N	\N
796303	2712	1993-10-31	VYDAJ	VYBER	15	30015	SLUZBY	\N	\N
796304	2712	1993-11-30	VYDAJ	VYBER	15	33262	SLUZBY	\N	\N
796305	2712	1993-12-31	VYDAJ	VYBER	15	31057	SLUZBY	\N	\N
796306	2712	1994-01-31	VYDAJ	VYBER	15	27033	SLUZBY	\N	\N
796307	2712	1994-02-28	VYDAJ	VYBER	15	26840	SLUZBY	\N	\N
796308	2712	1994-03-31	VYDAJ	VYBER	15	29972	SLUZBY	\N	\N
796309	2712	1994-04-30	VYDAJ	VYBER	15	31012	SLUZBY	\N	\N
796310	2712	1994-05-31	VYDAJ	VYBER	15	30751	SLUZBY	\N	\N
796311	2712	1994-06-30	VYDAJ	VYBER	15	24240	SLUZBY	\N	\N
796312	2712	1994-07-31	VYDAJ	VYBER	15	27964	SLUZBY	\N	\N
796313	2712	1994-08-31	VYDAJ	VYBER	15	26947	SLUZBY	\N	\N
796314	2712	1994-09-30	VYDAJ	VYBER	15	28575	SLUZBY	\N	\N
796315	2712	1994-10-31	VYDAJ	VYBER	15	25465	SLUZBY	\N	\N
796316	2712	1994-11-30	VYDAJ	VYBER	15	29195	SLUZBY	\N	\N
796317	2712	1994-12-31	VYDAJ	VYBER	15	32389	SLUZBY	\N	\N
796318	2712	1995-01-31	VYDAJ	VYBER	15	22215	SLUZBY	\N	\N
796319	2712	1995-02-28	VYDAJ	VYBER	15	22805	SLUZBY	\N	\N
796320	2712	1995-03-31	VYDAJ	VYBER	15	26523	SLUZBY	\N	\N
796321	2712	1995-04-30	VYDAJ	VYBER	15	25038	SLUZBY	\N	\N
796322	2712	1995-05-31	VYDAJ	VYBER	15	28765	SLUZBY	\N	\N
796323	2712	1995-06-30	VYDAJ	VYBER	15	20220	SLUZBY	\N	\N
796324	2712	1995-07-31	VYDAJ	VYBER	15	20636	SLUZBY	\N	\N
796325	2712	1995-08-31	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
796326	2712	1995-09-30	VYDAJ	VYBER	15	26547	SLUZBY	\N	\N
796327	2712	1995-10-31	VYDAJ	VYBER	15	30281	SLUZBY	\N	\N
796328	2712	1995-11-30	VYDAJ	VYBER	15	34030	SLUZBY	\N	\N
796329	2712	1995-12-31	VYDAJ	VYBER	15	35193	SLUZBY	\N	\N
796330	2712	1996-01-31	VYDAJ	VYBER	15	27983	SLUZBY	\N	\N
796331	2712	1996-02-29	VYDAJ	VYBER	15	29635	SLUZBY	\N	\N
796332	2712	1996-03-31	VYDAJ	VYBER	15	33181	SLUZBY	\N	\N
796333	2712	1996-04-30	VYDAJ	VYBER	15	31612	SLUZBY	\N	\N
796334	2712	1996-05-31	VYDAJ	VYBER	15	33965	SLUZBY	\N	\N
796335	2712	1996-06-30	VYDAJ	VYBER	15	26293	SLUZBY	\N	\N
796336	2712	1996-07-31	VYDAJ	VYBER	15	26740	SLUZBY	\N	\N
796337	2712	1996-08-31	VYDAJ	VYBER	15	28271	SLUZBY	\N	\N
796338	2712	1996-09-30	VYDAJ	VYBER	15	31410	SLUZBY	\N	\N
796339	2712	1996-10-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
796340	2712	1996-11-30	VYDAJ	VYBER	15	28291	SLUZBY	\N	\N
796341	2712	1996-12-31	VYDAJ	VYBER	15	25472	SLUZBY	\N	\N
796342	2712	1997-01-31	VYDAJ	VYBER	15	16198	SLUZBY	\N	\N
796343	2712	1997-02-28	VYDAJ	VYBER	15	19787	SLUZBY	\N	\N
796344	2712	1997-03-31	VYDAJ	VYBER	15	20287	SLUZBY	\N	\N
796345	2712	1997-04-30	VYDAJ	VYBER	15	18023	SLUZBY	\N	\N
796346	2712	1997-05-31	VYDAJ	VYBER	15	18214	SLUZBY	\N	\N
796347	2712	1997-06-30	VYDAJ	VYBER	15	18559	SLUZBY	\N	\N
796348	2712	1997-07-31	VYDAJ	VYBER	15	18555	SLUZBY	\N	\N
796349	2712	1997-08-31	VYDAJ	VYBER	15	21452	SLUZBY	\N	\N
796350	2712	1997-09-30	VYDAJ	VYBER	15	18650	SLUZBY	\N	\N
796351	2712	1997-10-31	VYDAJ	VYBER	15	16939	SLUZBY	\N	\N
796352	2712	1997-11-30	VYDAJ	VYBER	15	20630	SLUZBY	\N	\N
796353	2712	1997-12-31	VYDAJ	VYBER	15	22752	SLUZBY	\N	\N
796354	2712	1998-01-31	VYDAJ	VYBER	15	17012	SLUZBY	\N	\N
796355	2712	1998-02-28	VYDAJ	VYBER	15	20704	SLUZBY	\N	\N
796356	2712	1998-03-31	VYDAJ	VYBER	15	24411	SLUZBY	\N	\N
796357	2712	1998-04-30	VYDAJ	VYBER	15	28133	SLUZBY	\N	\N
796358	2712	1998-05-31	VYDAJ	VYBER	15	31871	SLUZBY	\N	\N
796359	2712	1998-06-30	VYDAJ	VYBER	15	29616	SLUZBY	\N	\N
796360	2712	1998-07-31	VYDAJ	VYBER	15	33360	SLUZBY	\N	\N
796361	2712	1998-08-31	VYDAJ	VYBER	15	37119	SLUZBY	\N	\N
796362	2712	1998-09-30	VYDAJ	VYBER	15	40894	SLUZBY	\N	\N
796363	2712	1998-10-31	VYDAJ	VYBER	15	44685	SLUZBY	\N	\N
796364	2712	1998-11-30	VYDAJ	VYBER	15	48491	SLUZBY	\N	\N
796365	2712	1993-09-08	VYDAJ	VYBER	4600	28810	\N	\N	\N
796366	2712	1993-10-08	VYDAJ	VYBER	4600	26677	\N	\N	\N
796367	2712	1993-11-07	VYDAJ	VYBER	500	29515	\N	\N	\N
796368	2712	1993-12-07	VYDAJ	VYBER	4600	28662	\N	\N	\N
796369	2712	1994-01-06	VYDAJ	VYBER	1200	29377	\N	\N	\N
796370	2712	1994-03-07	VYDAJ	VYBER	600	26240	\N	\N	\N
796371	2712	1994-04-06	VYDAJ	VYBER	2700	27272	\N	\N	\N
796372	2712	1994-05-06	VYDAJ	VYBER	4000	27012	\N	\N	\N
796373	2712	1994-06-05	VYDAJ	VYBER	4400	26351	\N	\N	\N
796374	2712	1994-08-04	VYDAJ	VYBER	2100	25864	\N	\N	\N
796375	2712	1994-09-03	VYDAJ	VYBER	2100	24847	\N	\N	\N
796376	2712	1994-10-03	VYDAJ	VYBER	1800	26775	\N	\N	\N
796377	2712	1995-01-01	VYDAJ	VYBER	3500	28889	\N	\N	\N
796378	2712	1995-12-27	VYDAJ	VYBER	1700	35958	\N	\N	\N
796379	2712	1996-03-26	VYDAJ	VYBER	200	33063	\N	\N	\N
796380	2712	1996-04-25	VYDAJ	VYBER	2600	31489	\N	\N	\N
796381	2712	1996-05-25	VYDAJ	VYBER	1400	33840	\N	\N	\N
796382	2712	1996-07-24	VYDAJ	VYBER	2000	26641	\N	\N	\N
796383	2712	1996-08-23	VYDAJ	VYBER	2200	28168	\N	\N	\N
796384	2712	1996-09-22	VYDAJ	VYBER	600	31299	\N	\N	\N
796385	2712	1996-10-22	VYDAJ	VYBER	6300	28738	\N	\N	\N
796386	2712	1996-11-21	VYDAJ	VYBER	4300	28183	\N	\N	\N
796387	2712	1996-12-21	VYDAJ	VYBER	5700	26219	\N	\N	\N
796388	2712	1997-01-20	VYDAJ	VYBER	4100	20520	\N	\N	\N
796389	2712	1997-02-19	VYDAJ	VYBER	100	19726	\N	\N	\N
796390	2712	1997-03-21	VYDAJ	VYBER	3200	20215	\N	\N	\N
796391	2712	1997-04-20	VYDAJ	VYBER	2600	17955	\N	\N	\N
796392	2712	1997-05-20	VYDAJ	VYBER	3500	18151	\N	\N	\N
796393	2712	1997-07-19	VYDAJ	VYBER	1700	20487	\N	\N	\N
796394	2712	1997-08-18	VYDAJ	VYBER	800	21383	\N	\N	\N
796395	2712	1997-09-17	VYDAJ	VYBER	6500	18580	\N	\N	\N
796396	2712	1997-10-17	VYDAJ	VYBER	5400	16878	\N	\N	\N
796397	2712	1998-12-11	VYDAJ	VYBER	32800	18319	\N	\N	\N
796463	2713	1994-04-03	PRIJEM	VKLAD	500	500	\N	\N	\N
796467	2713	1994-04-13	PRIJEM	PREVOD Z UCTU	6422	6922	DUCHOD	UV	21654141
796468	2713	1994-05-13	PRIJEM	PREVOD Z UCTU	6422	13361	DUCHOD	UV	21654141
796469	2713	1994-06-13	PRIJEM	PREVOD Z UCTU	6422	19812	DUCHOD	UV	21654141
796470	2713	1994-07-13	PRIJEM	PREVOD Z UCTU	6422	26263	DUCHOD	UV	21654141
796471	2713	1994-08-13	PRIJEM	PREVOD Z UCTU	6422	31414	DUCHOD	UV	21654141
796472	2713	1994-09-13	PRIJEM	PREVOD Z UCTU	6422	33325	DUCHOD	UV	21654141
796473	2713	1994-10-13	PRIJEM	PREVOD Z UCTU	6422	33073	DUCHOD	UV	21654141
796474	2713	1994-11-13	PRIJEM	PREVOD Z UCTU	6422	32024	DUCHOD	UV	21654141
796475	2713	1994-12-13	PRIJEM	PREVOD Z UCTU	6422	30723	DUCHOD	UV	21654141
796476	2713	1995-01-13	PRIJEM	PREVOD Z UCTU	6422	25051	DUCHOD	UV	21654141
796477	2713	1995-02-13	PRIJEM	PREVOD Z UCTU	6422	22468	DUCHOD	UV	21654141
796478	2713	1995-03-13	PRIJEM	PREVOD Z UCTU	6422	25570	DUCHOD	UV	21654141
796479	2713	1995-04-13	PRIJEM	PREVOD Z UCTU	6422	28578	DUCHOD	UV	21654141
796480	2713	1995-05-13	PRIJEM	PREVOD Z UCTU	6422	31698	DUCHOD	UV	21654141
796481	2713	1995-06-13	PRIJEM	PREVOD Z UCTU	6422	34831	DUCHOD	UV	21654141
796482	2713	1995-07-13	PRIJEM	PREVOD Z UCTU	6422	28964	DUCHOD	UV	21654141
796483	2713	1995-08-13	PRIJEM	PREVOD Z UCTU	6422	30485	DUCHOD	UV	21654141
796484	2713	1995-09-13	PRIJEM	PREVOD Z UCTU	6422	29338	DUCHOD	UV	21654141
796485	2713	1995-10-13	PRIJEM	PREVOD Z UCTU	6422	32466	DUCHOD	UV	21654141
796486	2713	1995-11-13	PRIJEM	PREVOD Z UCTU	6422	31038	DUCHOD	UV	21654141
796487	2713	1995-12-13	PRIJEM	PREVOD Z UCTU	6422	32409	DUCHOD	UV	21654141
796488	2713	1996-01-13	PRIJEM	PREVOD Z UCTU	6422	29750	DUCHOD	UV	21654141
796489	2713	1996-02-13	PRIJEM	PREVOD Z UCTU	6422	21695	DUCHOD	UV	21654141
796490	2713	1996-03-13	PRIJEM	PREVOD Z UCTU	6422	24795	DUCHOD	UV	21654141
796491	2713	1996-04-13	PRIJEM	PREVOD Z UCTU	6422	27899	DUCHOD	UV	21654141
796492	2713	1996-05-13	PRIJEM	PREVOD Z UCTU	6422	25891	DUCHOD	UV	21654141
796493	2713	1996-06-13	PRIJEM	PREVOD Z UCTU	6422	24753	DUCHOD	UV	21654141
796494	2713	1996-07-13	PRIJEM	PREVOD Z UCTU	6422	27864	DUCHOD	UV	21654141
796495	2713	1996-08-13	PRIJEM	PREVOD Z UCTU	6422	30981	DUCHOD	UV	21654141
796686	2713	1997-05-31	VYDAJ	VYBER	15	38395	SLUZBY	\N	\N
796496	2713	1996-09-13	PRIJEM	PREVOD Z UCTU	6422	34111	DUCHOD	UV	21654141
796497	2713	1996-10-13	PRIJEM	PREVOD Z UCTU	6422	37253	DUCHOD	UV	21654141
796498	2713	1996-11-13	PRIJEM	PREVOD Z UCTU	6422	40410	DUCHOD	UV	21654141
796499	2713	1996-12-13	PRIJEM	PREVOD Z UCTU	6422	43579	DUCHOD	UV	21654141
796500	2713	1997-01-13	PRIJEM	PREVOD Z UCTU	6422	46260	DUCHOD	UV	21654141
796501	2713	1997-02-13	PRIJEM	PREVOD Z UCTU	6422	38836	DUCHOD	UV	21654141
796502	2713	1997-03-13	PRIJEM	PREVOD Z UCTU	6422	42005	DUCHOD	UV	21654141
796503	2713	1997-04-13	PRIJEM	PREVOD Z UCTU	6422	41901	DUCHOD	UV	21654141
796504	2713	1997-05-13	PRIJEM	PREVOD Z UCTU	6422	45076	DUCHOD	UV	21654141
796505	2713	1997-06-13	PRIJEM	PREVOD Z UCTU	6422	30717	DUCHOD	UV	21654141
796506	2713	1997-07-13	PRIJEM	PREVOD Z UCTU	6422	33877	DUCHOD	UV	21654141
796507	2713	1997-08-13	PRIJEM	PREVOD Z UCTU	6422	37018	DUCHOD	UV	21654141
796508	2713	1997-09-13	PRIJEM	PREVOD Z UCTU	6422	40173	DUCHOD	UV	21654141
796509	2713	1997-10-13	PRIJEM	PREVOD Z UCTU	6422	43348	DUCHOD	UV	21654141
796510	2713	1997-11-13	PRIJEM	PREVOD Z UCTU	6422	46529	DUCHOD	UV	21654141
796511	2713	1997-12-13	PRIJEM	PREVOD Z UCTU	6422	49723	DUCHOD	UV	21654141
796512	2713	1998-01-13	PRIJEM	PREVOD Z UCTU	6422	50271	DUCHOD	UV	21654141
796513	2713	1998-02-13	PRIJEM	PREVOD Z UCTU	6422	47231	DUCHOD	UV	21654141
796514	2713	1998-03-13	PRIJEM	PREVOD Z UCTU	6422	50435	DUCHOD	UV	21654141
796515	2713	1998-04-13	PRIJEM	PREVOD Z UCTU	6422	53645	DUCHOD	UV	21654141
796516	2713	1998-05-13	PRIJEM	PREVOD Z UCTU	6422	54226	DUCHOD	UV	21654141
796517	2713	1998-06-13	PRIJEM	PREVOD Z UCTU	6422	55291	DUCHOD	UV	21654141
796518	2713	1998-07-13	PRIJEM	PREVOD Z UCTU	6422	44007	DUCHOD	UV	21654141
796519	2713	1998-08-13	PRIJEM	PREVOD Z UCTU	6422	45987	DUCHOD	UV	21654141
796520	2713	1998-09-13	PRIJEM	PREVOD Z UCTU	6422	49187	DUCHOD	UV	21654141
796521	2713	1998-10-13	PRIJEM	PREVOD Z UCTU	6422	52399	DUCHOD	UV	21654141
796522	2713	1998-11-13	PRIJEM	PREVOD Z UCTU	6422	54904	DUCHOD	UV	21654141
796523	2713	1998-12-13	PRIJEM	PREVOD Z UCTU	6422	58141	DUCHOD	UV	21654141
796531	2713	1994-08-13	VYDAJ	PREVOD NA UCET	3387	28027	SIPO	UV	34315210
796532	2713	1994-09-13	VYDAJ	PREVOD NA UCET	3387	29938	SIPO	UV	34315210
796533	2713	1994-10-13	VYDAJ	PREVOD NA UCET	3387	29686	SIPO	UV	34315210
796534	2713	1994-11-13	VYDAJ	PREVOD NA UCET	3387	28637	SIPO	UV	34315210
796535	2713	1994-12-13	VYDAJ	PREVOD NA UCET	3387	27336	SIPO	UV	34315210
796536	2713	1995-01-13	VYDAJ	PREVOD NA UCET	3387	21664	SIPO	UV	34315210
796537	2713	1995-02-13	VYDAJ	PREVOD NA UCET	3387	19081	SIPO	UV	34315210
796538	2713	1995-03-13	VYDAJ	PREVOD NA UCET	3387	22183	SIPO	UV	34315210
796539	2713	1995-04-13	VYDAJ	PREVOD NA UCET	3387	25191	SIPO	UV	34315210
796540	2713	1995-05-13	VYDAJ	PREVOD NA UCET	3387	28311	SIPO	UV	34315210
796541	2713	1995-06-13	VYDAJ	PREVOD NA UCET	3387	31444	SIPO	UV	34315210
796542	2713	1995-07-13	VYDAJ	PREVOD NA UCET	3387	25577	SIPO	UV	34315210
796543	2713	1995-08-13	VYDAJ	PREVOD NA UCET	3387	27098	SIPO	UV	34315210
796544	2713	1995-09-13	VYDAJ	PREVOD NA UCET	3387	25951	SIPO	UV	34315210
796545	2713	1995-10-13	VYDAJ	PREVOD NA UCET	3387	29079	SIPO	UV	34315210
796546	2713	1995-11-13	VYDAJ	PREVOD NA UCET	3387	27651	SIPO	UV	34315210
796547	2713	1995-12-13	VYDAJ	PREVOD NA UCET	3387	29022	SIPO	UV	34315210
796548	2713	1996-01-13	VYDAJ	PREVOD NA UCET	3387	26363	SIPO	UV	34315210
796549	2713	1996-02-13	VYDAJ	PREVOD NA UCET	3387	18308	SIPO	UV	34315210
796550	2713	1996-03-13	VYDAJ	PREVOD NA UCET	3387	21408	SIPO	UV	34315210
796551	2713	1996-04-13	VYDAJ	PREVOD NA UCET	3387	24512	SIPO	UV	34315210
796552	2713	1996-05-13	VYDAJ	PREVOD NA UCET	3387	22504	SIPO	UV	34315210
796553	2713	1996-06-13	VYDAJ	PREVOD NA UCET	3387	21366	SIPO	UV	34315210
796554	2713	1996-07-13	VYDAJ	PREVOD NA UCET	3387	24477	SIPO	UV	34315210
796555	2713	1996-08-13	VYDAJ	PREVOD NA UCET	3387	27594	SIPO	UV	34315210
796556	2713	1996-09-13	VYDAJ	PREVOD NA UCET	3387	30724	SIPO	UV	34315210
796557	2713	1996-10-13	VYDAJ	PREVOD NA UCET	3387	33866	SIPO	UV	34315210
796558	2713	1996-11-13	VYDAJ	PREVOD NA UCET	3387	37023	SIPO	UV	34315210
796559	2713	1996-12-13	VYDAJ	PREVOD NA UCET	3387	40192	SIPO	UV	34315210
796560	2713	1997-01-13	VYDAJ	PREVOD NA UCET	3387	42873	SIPO	UV	34315210
796561	2713	1997-02-13	VYDAJ	PREVOD NA UCET	3387	35449	SIPO	UV	34315210
796562	2713	1997-03-13	VYDAJ	PREVOD NA UCET	3387	38618	SIPO	UV	34315210
796563	2713	1997-04-13	VYDAJ	PREVOD NA UCET	3387	38514	SIPO	UV	34315210
796564	2713	1997-05-13	VYDAJ	PREVOD NA UCET	3387	41689	SIPO	UV	34315210
796565	2713	1997-06-13	VYDAJ	PREVOD NA UCET	3387	27330	SIPO	UV	34315210
796566	2713	1997-07-13	VYDAJ	PREVOD NA UCET	3387	30490	SIPO	UV	34315210
796567	2713	1997-08-13	VYDAJ	PREVOD NA UCET	3387	33631	SIPO	UV	34315210
796568	2713	1997-09-13	VYDAJ	PREVOD NA UCET	3387	36786	SIPO	UV	34315210
796569	2713	1997-10-13	VYDAJ	PREVOD NA UCET	3387	39961	SIPO	UV	34315210
796570	2713	1997-11-13	VYDAJ	PREVOD NA UCET	3387	43142	SIPO	UV	34315210
796571	2713	1997-12-13	VYDAJ	PREVOD NA UCET	3387	46336	SIPO	UV	34315210
796572	2713	1998-01-13	VYDAJ	PREVOD NA UCET	3387	45924	SIPO	UV	34315210
796573	2713	1998-02-13	VYDAJ	PREVOD NA UCET	3387	43844	SIPO	UV	34315210
796574	2713	1998-03-13	VYDAJ	PREVOD NA UCET	3387	47048	SIPO	UV	34315210
796575	2713	1998-04-13	VYDAJ	PREVOD NA UCET	3387	50258	SIPO	UV	34315210
796576	2713	1998-05-13	VYDAJ	PREVOD NA UCET	3387	50839	SIPO	UV	34315210
796577	2713	1998-06-13	VYDAJ	PREVOD NA UCET	3387	51904	SIPO	UV	34315210
796578	2713	1998-07-13	VYDAJ	PREVOD NA UCET	3387	40620	SIPO	UV	34315210
796579	2713	1998-08-13	VYDAJ	PREVOD NA UCET	3387	42600	SIPO	UV	34315210
796580	2713	1998-09-13	VYDAJ	PREVOD NA UCET	3387	45800	SIPO	UV	34315210
796581	2713	1998-10-13	VYDAJ	PREVOD NA UCET	3387	49012	SIPO	UV	34315210
796582	2713	1998-11-13	VYDAJ	PREVOD NA UCET	3387	51517	SIPO	UV	34315210
796583	2713	1998-12-13	VYDAJ	PREVOD NA UCET	3387	54754	SIPO	UV	34315210
796585	2713	1995-06-20	VYDAJ	VYBER	9000	22444	\N	\N	\N
796586	2713	1996-06-05	VYDAJ	VYBER	4250	18331	\N	\N	\N
796587	2713	1997-06-10	VYDAJ	VYBER	14100	24295	\N	\N	\N
796588	2713	1998-06-22	VYDAJ	VYBER	14500	37404	\N	\N	\N
796590	2713	1995-01-14	VYDAJ	VYBER	2000	18064	\N	\N	\N
796591	2713	1996-01-23	VYDAJ	VYBER	2850	19033	\N	\N	\N
796592	2713	1997-01-13	VYDAJ	VYBER	3400	39473	\N	\N	\N
796593	2713	1998-01-05	VYDAJ	VYBER	1550	44409	\N	\N	\N
796594	2713	1994-12-28	VYDAJ	VYBER	1000	26336	\N	\N	\N
796595	2713	1995-12-14	VYDAJ	VYBER	1050	27972	\N	\N	\N
796596	2713	1996-12-23	VYDAJ	VYBER	500	39692	\N	\N	\N
796597	2713	1997-12-17	VYDAJ	VYBER	550	45786	\N	\N	\N
796598	2713	1998-12-16	VYDAJ	VYBER	600	54154	\N	\N	\N
796605	2713	1995-01-13	VYDAJ	VYBER	1600	20064	\N	\N	\N
796606	2713	1995-01-14	VYDAJ	VYBER	960	17104	\N	\N	\N
796607	2713	1995-01-20	VYDAJ	VYBER	1120	15984	\N	\N	\N
796608	2713	1995-01-09	VYDAJ	VYBER	720	18629	\N	\N	\N
796609	2713	1995-01-01	VYDAJ	VYBER	2320	19349	\N	\N	\N
796610	2713	1995-01-01	VYDAJ	VYBER	2160	21669	\N	\N	\N
796611	2713	1996-01-08	VYDAJ	VYBER	720	25248	\N	\N	\N
796612	2713	1996-01-26	VYDAJ	VYBER	2240	16793	\N	\N	\N
796613	2713	1996-01-17	VYDAJ	VYBER	2240	24123	\N	\N	\N
796614	2713	1996-01-21	VYDAJ	VYBER	1520	21883	\N	\N	\N
796615	2713	1996-01-12	VYDAJ	VYBER	1920	23328	\N	\N	\N
796616	2713	1996-01-20	VYDAJ	VYBER	720	23403	\N	\N	\N
796617	2713	1997-01-16	VYDAJ	VYBER	1360	35953	\N	\N	\N
796618	2713	1997-01-30	VYDAJ	VYBER	960	32273	\N	\N	\N
796619	2713	1997-01-13	VYDAJ	VYBER	2160	37313	\N	\N	\N
796620	2713	1997-01-21	VYDAJ	VYBER	1120	34833	\N	\N	\N
796621	2713	1997-01-22	VYDAJ	VYBER	720	34113	\N	\N	\N
796622	2713	1997-01-28	VYDAJ	VYBER	880	33233	\N	\N	\N
796623	2713	1998-01-06	VYDAJ	VYBER	560	43849	\N	\N	\N
796624	2713	1998-01-15	VYDAJ	VYBER	1360	44564	\N	\N	\N
796625	2713	1998-01-21	VYDAJ	VYBER	1760	41924	\N	\N	\N
796626	2713	1998-01-13	VYDAJ	VYBER	960	49311	\N	\N	\N
796627	2713	1998-01-18	VYDAJ	VYBER	880	43684	\N	\N	\N
796628	2713	1998-01-27	VYDAJ	VYBER	1280	40644	\N	\N	\N
796631	2713	1994-11-26	VYDAJ	VYBER	1040	27597	\N	\N	\N
796633	2713	1995-09-12	VYDAJ	VYBER	2880	22916	\N	\N	\N
796634	2713	1995-11-20	VYDAJ	VYBER	1760	25891	\N	\N	\N
796635	2713	1995-10-22	VYDAJ	VYBER	1360	27719	\N	\N	\N
796636	2713	1996-04-16	VYDAJ	VYBER	3280	21232	\N	\N	\N
796637	2713	1996-05-03	VYDAJ	VYBER	1840	19469	\N	\N	\N
796638	2713	1996-01-28	VYDAJ	VYBER	1600	15193	\N	\N	\N
796639	2713	1997-03-31	VYDAJ	VYBER	3280	35493	\N	\N	\N
796640	2713	1997-05-16	VYDAJ	VYBER	3440	38249	\N	\N	\N
796641	2713	1998-04-24	VYDAJ	VYBER	2640	47618	\N	\N	\N
796642	2713	1998-11-06	VYDAJ	VYBER	720	48482	\N	\N	\N
796643	2713	1998-07-16	VYDAJ	VYBER	1200	39420	\N	\N	\N
796644	2713	1998-06-01	VYDAJ	VYBER	2160	48869	\N	\N	\N
796653	2713	1994-08-31	VYDAJ	VYBER	15	26903	SLUZBY	\N	\N
796654	2713	1994-09-30	VYDAJ	VYBER	15	30051	SLUZBY	\N	\N
796655	2713	1994-10-31	VYDAJ	VYBER	15	25602	SLUZBY	\N	\N
796656	2713	1994-11-30	VYDAJ	VYBER	15	24301	SLUZBY	\N	\N
796657	2713	1994-12-31	VYDAJ	VYBER	15	23829	SLUZBY	\N	\N
796658	2713	1995-01-31	VYDAJ	VYBER	15	16046	SLUZBY	\N	\N
796659	2713	1995-02-28	VYDAJ	VYBER	15	19148	SLUZBY	\N	\N
796660	2713	1995-03-31	VYDAJ	VYBER	15	22156	SLUZBY	\N	\N
796661	2713	1995-04-30	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
796662	2713	1995-05-31	VYDAJ	VYBER	15	28409	SLUZBY	\N	\N
796663	2713	1995-06-30	VYDAJ	VYBER	15	22542	SLUZBY	\N	\N
796664	2713	1995-07-31	VYDAJ	VYBER	15	24063	SLUZBY	\N	\N
796665	2713	1995-08-31	VYDAJ	VYBER	15	25796	SLUZBY	\N	\N
796666	2713	1995-09-30	VYDAJ	VYBER	15	26044	SLUZBY	\N	\N
796667	2713	1995-10-31	VYDAJ	VYBER	15	24616	SLUZBY	\N	\N
796668	2713	1995-11-30	VYDAJ	VYBER	15	25987	SLUZBY	\N	\N
796669	2713	1995-12-31	VYDAJ	VYBER	15	25968	SLUZBY	\N	\N
796670	2713	1996-01-31	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
796671	2713	1996-02-29	VYDAJ	VYBER	15	18373	SLUZBY	\N	\N
796672	2713	1996-03-31	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
796673	2713	1996-04-30	VYDAJ	VYBER	15	21309	SLUZBY	\N	\N
796674	2713	1996-05-31	VYDAJ	VYBER	15	22581	SLUZBY	\N	\N
796675	2713	1996-06-30	VYDAJ	VYBER	15	21442	SLUZBY	\N	\N
796676	2713	1996-07-31	VYDAJ	VYBER	15	24559	SLUZBY	\N	\N
796677	2713	1996-08-31	VYDAJ	VYBER	15	27689	SLUZBY	\N	\N
796678	2713	1996-09-30	VYDAJ	VYBER	15	30831	SLUZBY	\N	\N
796679	2713	1996-10-31	VYDAJ	VYBER	15	33988	SLUZBY	\N	\N
796680	2713	1996-11-30	VYDAJ	VYBER	15	37157	SLUZBY	\N	\N
796681	2713	1996-12-31	VYDAJ	VYBER	15	39838	SLUZBY	\N	\N
796682	2713	1997-01-31	VYDAJ	VYBER	15	32414	SLUZBY	\N	\N
796683	2713	1997-02-28	VYDAJ	VYBER	15	35583	SLUZBY	\N	\N
796684	2713	1997-03-31	VYDAJ	VYBER	15	35479	SLUZBY	\N	\N
796685	2713	1997-04-30	VYDAJ	VYBER	15	38654	SLUZBY	\N	\N
796687	2713	1997-06-30	VYDAJ	VYBER	15	27455	SLUZBY	\N	\N
796688	2713	1997-07-31	VYDAJ	VYBER	15	30596	SLUZBY	\N	\N
796689	2713	1997-08-31	VYDAJ	VYBER	15	33751	SLUZBY	\N	\N
796690	2713	1997-09-30	VYDAJ	VYBER	15	36926	SLUZBY	\N	\N
796691	2713	1997-10-31	VYDAJ	VYBER	15	40107	SLUZBY	\N	\N
796692	2713	1997-11-30	VYDAJ	VYBER	15	43301	SLUZBY	\N	\N
796693	2713	1997-12-31	VYDAJ	VYBER	15	45959	SLUZBY	\N	\N
796694	2713	1998-01-31	VYDAJ	VYBER	15	40809	SLUZBY	\N	\N
796695	2713	1998-02-28	VYDAJ	VYBER	15	44013	SLUZBY	\N	\N
796696	2713	1998-03-31	VYDAJ	VYBER	15	47223	SLUZBY	\N	\N
796697	2713	1998-04-30	VYDAJ	VYBER	15	47804	SLUZBY	\N	\N
796698	2713	1998-05-31	VYDAJ	VYBER	15	51029	SLUZBY	\N	\N
796699	2713	1998-06-30	VYDAJ	VYBER	15	37585	SLUZBY	\N	\N
796700	2713	1998-07-31	VYDAJ	VYBER	15	39565	SLUZBY	\N	\N
796701	2713	1998-08-31	VYDAJ	VYBER	15	42765	SLUZBY	\N	\N
796702	2713	1998-09-30	VYDAJ	VYBER	15	45977	SLUZBY	\N	\N
796703	2713	1998-10-31	VYDAJ	VYBER	15	49202	SLUZBY	\N	\N
796704	2713	1998-11-30	VYDAJ	VYBER	15	51719	SLUZBY	\N	\N
796705	2713	1994-08-01	VYDAJ	VYBER	1300	24992	\N	\N	\N
796706	2713	1994-08-31	VYDAJ	VYBER	1200	26918	\N	\N	\N
796707	2713	1994-09-30	VYDAJ	VYBER	3400	26651	\N	\N	\N
796708	2713	1994-10-30	VYDAJ	VYBER	4200	25486	\N	\N	\N
796709	2713	1994-11-29	VYDAJ	VYBER	3400	24197	\N	\N	\N
796710	2713	1994-12-29	VYDAJ	VYBER	2600	23736	\N	\N	\N
796711	2713	1995-03-29	VYDAJ	VYBER	100	22083	\N	\N	\N
796712	2713	1995-07-27	VYDAJ	VYBER	1600	23977	\N	\N	\N
796713	2713	1995-08-26	VYDAJ	VYBER	1400	25698	\N	\N	\N
796714	2713	1995-10-25	VYDAJ	VYBER	3200	24519	\N	\N	\N
796715	2713	1995-12-24	VYDAJ	VYBER	2100	25872	\N	\N	\N
796773	2714	1993-01-30	PRIJEM	VKLAD	800	800	\N	\N	\N
796774	2714	1993-11-10	PRIJEM	VKLAD	28949	52195	\N	\N	\N
796775	2714	1993-05-17	PRIJEM	VKLAD	8629	35858	\N	\N	\N
796776	2714	1994-06-04	PRIJEM	VKLAD	15426	49530	\N	\N	\N
796777	2714	1994-04-05	PRIJEM	VKLAD	31607	55704	\N	\N	\N
796778	2714	1995-11-03	PRIJEM	VKLAD	36337	60355	\N	\N	\N
796779	2714	1995-02-19	PRIJEM	VKLAD	34860	51579	\N	\N	\N
796780	2714	1996-10-16	PRIJEM	VKLAD	33114	56922	\N	\N	\N
796781	2714	1996-03-24	PRIJEM	VKLAD	49285	71163	\N	\N	\N
796782	2714	1997-05-29	PRIJEM	VKLAD	25800	48808	\N	\N	\N
796783	2714	1997-11-05	PRIJEM	VKLAD	45257	72542	\N	\N	\N
796784	2714	1998-08-09	PRIJEM	VKLAD	17794	43094	\N	\N	\N
796785	2714	1998-05-04	PRIJEM	VKLAD	35390	54926	\N	\N	\N
796787	2714	1993-02-16	PRIJEM	VKLAD	1300	2100	\N	\N	\N
796788	2714	1993-03-13	PRIJEM	VKLAD	1300	14200	\N	\N	\N
796789	2714	1993-04-17	PRIJEM	VKLAD	1300	23237	\N	\N	\N
796790	2714	1993-05-16	PRIJEM	VKLAD	1300	27229	\N	\N	\N
796791	2714	1993-06-17	PRIJEM	VKLAD	1300	29770	\N	\N	\N
796792	2714	1993-07-13	PRIJEM	VKLAD	1300	30374	\N	\N	\N
796793	2714	1993-08-15	PRIJEM	VKLAD	1300	25978	\N	\N	\N
796794	2714	1993-09-15	PRIJEM	VKLAD	1300	26266	\N	\N	\N
796795	2714	1993-10-17	PRIJEM	VKLAD	1300	26756	\N	\N	\N
796796	2714	1993-11-17	PRIJEM	VKLAD	1300	52445	\N	\N	\N
796797	2714	1993-12-16	PRIJEM	VKLAD	1300	40383	\N	\N	\N
796798	2714	1994-01-14	PRIJEM	VKLAD	1300	23725	\N	\N	\N
796799	2714	1994-02-13	PRIJEM	VKLAD	1300	20357	\N	\N	\N
796800	2714	1994-03-15	PRIJEM	VKLAD	1300	22023	\N	\N	\N
796801	2714	1994-04-13	PRIJEM	VKLAD	1300	57004	\N	\N	\N
796802	2714	1994-05-13	PRIJEM	VKLAD	1300	41457	\N	\N	\N
796803	2714	1994-06-15	PRIJEM	VKLAD	1300	26530	\N	\N	\N
796804	2714	1994-07-13	PRIJEM	VKLAD	1300	23934	\N	\N	\N
796805	2714	1994-08-13	PRIJEM	VKLAD	1300	25916	\N	\N	\N
796806	2714	1994-09-14	PRIJEM	VKLAD	1300	26505	\N	\N	\N
796807	2714	1994-10-17	PRIJEM	VKLAD	1300	28497	\N	\N	\N
796808	2714	1994-11-15	PRIJEM	VKLAD	1300	24991	\N	\N	\N
796809	2714	1994-12-13	PRIJEM	VKLAD	1300	26077	\N	\N	\N
796810	2714	1995-01-17	PRIJEM	VKLAD	1300	14716	\N	\N	\N
796811	2714	1995-02-15	PRIJEM	VKLAD	1300	16719	\N	\N	\N
796812	2714	1995-03-14	PRIJEM	VKLAD	1300	39267	\N	\N	\N
796813	2714	1995-04-14	PRIJEM	VKLAD	1300	30497	\N	\N	\N
796814	2714	1995-05-13	PRIJEM	VKLAD	1300	26197	\N	\N	\N
796815	2714	1995-06-13	PRIJEM	VKLAD	1300	21183	\N	\N	\N
796816	2714	1995-07-13	PRIJEM	VKLAD	1300	25265	\N	\N	\N
796817	2714	1995-08-15	PRIJEM	VKLAD	1300	25199	\N	\N	\N
796818	2714	1995-09-17	PRIJEM	VKLAD	1300	25985	\N	\N	\N
796819	2714	1995-10-17	PRIJEM	VKLAD	1300	27575	\N	\N	\N
796820	2714	1995-11-17	PRIJEM	VKLAD	1300	42455	\N	\N	\N
796821	2714	1995-12-13	PRIJEM	VKLAD	1300	43877	\N	\N	\N
796822	2714	1996-01-17	PRIJEM	VKLAD	1300	29019	\N	\N	\N
796823	2714	1996-02-15	PRIJEM	VKLAD	1300	20817	\N	\N	\N
796824	2714	1996-03-14	PRIJEM	VKLAD	1300	22178	\N	\N	\N
796825	2714	1996-04-14	PRIJEM	VKLAD	1300	72590	\N	\N	\N
796826	2714	1996-05-14	PRIJEM	VKLAD	1300	49768	\N	\N	\N
796827	2714	1996-06-13	PRIJEM	VKLAD	1300	36850	\N	\N	\N
796828	2714	1996-07-14	PRIJEM	VKLAD	1300	22362	\N	\N	\N
796829	2714	1996-08-14	PRIJEM	VKLAD	1300	25731	\N	\N	\N
796830	2714	1996-09-17	PRIJEM	VKLAD	1300	26216	\N	\N	\N
796831	2714	1996-10-14	PRIJEM	VKLAD	1300	23808	\N	\N	\N
796832	2714	1996-11-14	PRIJEM	VKLAD	1300	39829	\N	\N	\N
796833	2714	1996-12-14	PRIJEM	VKLAD	1300	26206	\N	\N	\N
796834	2714	1997-01-13	PRIJEM	VKLAD	1300	16765	\N	\N	\N
796835	2714	1997-02-15	PRIJEM	VKLAD	1300	18972	\N	\N	\N
796836	2714	1997-03-17	PRIJEM	VKLAD	1300	19528	\N	\N	\N
796837	2714	1997-04-13	PRIJEM	VKLAD	1300	20491	\N	\N	\N
796838	2714	1997-05-13	PRIJEM	VKLAD	1300	23008	\N	\N	\N
796839	2714	1997-06-14	PRIJEM	VKLAD	1300	35194	\N	\N	\N
796840	2714	1997-07-17	PRIJEM	VKLAD	1300	24327	\N	\N	\N
796841	2714	1997-08-15	PRIJEM	VKLAD	1300	25512	\N	\N	\N
796842	2714	1997-09-17	PRIJEM	VKLAD	1300	26799	\N	\N	\N
796843	2714	1997-10-17	PRIJEM	VKLAD	1300	27190	\N	\N	\N
796844	2714	1997-11-16	PRIJEM	VKLAD	1300	48492	\N	\N	\N
796845	2714	1997-12-16	PRIJEM	VKLAD	1300	30477	\N	\N	\N
796846	2714	1998-01-17	PRIJEM	VKLAD	1300	20947	\N	\N	\N
796847	2714	1998-02-16	PRIJEM	VKLAD	1300	17868	\N	\N	\N
796848	2714	1998-03-13	PRIJEM	VKLAD	1300	17820	\N	\N	\N
796849	2714	1998-04-16	PRIJEM	VKLAD	1300	19476	\N	\N	\N
796850	2714	1998-05-15	PRIJEM	VKLAD	1300	37426	\N	\N	\N
796851	2714	1998-06-17	PRIJEM	VKLAD	1300	27983	\N	\N	\N
796852	2714	1998-07-17	PRIJEM	VKLAD	1300	27203	\N	\N	\N
796853	2714	1998-08-17	PRIJEM	VKLAD	1300	42344	\N	\N	\N
796854	2714	1998-09-13	PRIJEM	VKLAD	1300	32786	\N	\N	\N
796855	2714	1998-10-14	PRIJEM	VKLAD	1300	26620	\N	\N	\N
796856	2714	1998-11-13	PRIJEM	VKLAD	1300	22323	\N	\N	\N
796857	2714	1998-12-13	PRIJEM	VKLAD	1300	21692	\N	\N	\N
796859	2714	1994-06-11	VYDAJ	VYBER	22400	25230	\N	\N	\N
796860	2714	1995-06-05	VYDAJ	VYBER	3600	19883	\N	\N	\N
796862	2714	1997-06-05	VYDAJ	VYBER	4000	44894	\N	\N	\N
796865	2714	1994-01-02	VYDAJ	VYBER	6800	24425	\N	\N	\N
796867	2714	1996-01-20	VYDAJ	VYBER	3500	24969	\N	\N	\N
796868	2714	1997-01-01	VYDAJ	VYBER	3700	22615	\N	\N	\N
796869	2714	1998-01-24	VYDAJ	VYBER	1700	17047	\N	\N	\N
796871	2714	1994-06-27	VYDAJ	VYBER	3100	22530	\N	\N	\N
796873	2714	1996-06-22	VYDAJ	VYBER	14300	17150	\N	\N	\N
796874	2714	1997-06-23	VYDAJ	VYBER	8200	26994	\N	\N	\N
796877	2714	1994-01-27	VYDAJ	VYBER	5700	19675	\N	\N	\N
796878	2714	1995-01-01	VYDAJ	VYBER	8700	15166	\N	\N	\N
796879	2714	1996-01-25	VYDAJ	VYBER	7500	17469	\N	\N	\N
796882	2714	1993-12-24	VYDAJ	VYBER	700	39683	\N	\N	\N
796883	2714	1994-12-12	VYDAJ	VYBER	600	24777	\N	\N	\N
796884	2714	1995-12-16	VYDAJ	VYBER	1000	33177	\N	\N	\N
796885	2714	1996-12-06	VYDAJ	VYBER	2600	37406	\N	\N	\N
796886	2714	1997-12-06	VYDAJ	VYBER	1600	29177	\N	\N	\N
796887	2714	1998-12-19	VYDAJ	VYBER	2500	19192	\N	\N	\N
796894	2714	1994-01-28	VYDAJ	VYBER	700	18975	\N	\N	\N
796895	2714	1994-01-27	VYDAJ	VYBER	450	25375	\N	\N	\N
796896	2714	1994-01-03	VYDAJ	VYBER	1150	23275	\N	\N	\N
796897	2714	1994-01-15	VYDAJ	VYBER	700	23025	\N	\N	\N
796898	2714	1994-01-10	VYDAJ	VYBER	850	22425	\N	\N	\N
796899	2714	1994-01-24	VYDAJ	VYBER	700	22325	\N	\N	\N
796900	2714	1995-01-16	VYDAJ	VYBER	500	13416	\N	\N	\N
796901	2714	1995-01-25	VYDAJ	VYBER	1200	17816	\N	\N	\N
796903	2714	1995-01-03	VYDAJ	VYBER	1250	13916	\N	\N	\N
796905	2714	1995-01-22	VYDAJ	VYBER	400	19016	\N	\N	\N
796906	2714	1996-01-15	VYDAJ	VYBER	1050	30019	\N	\N	\N
796907	2714	1996-01-06	VYDAJ	VYBER	1350	31369	\N	\N	\N
796908	2714	1996-01-25	VYDAJ	VYBER	350	17119	\N	\N	\N
796909	2714	1996-01-04	VYDAJ	VYBER	600	32719	\N	\N	\N
796910	2714	1996-01-20	VYDAJ	VYBER	550	28469	\N	\N	\N
796911	2714	1996-01-10	VYDAJ	VYBER	300	31069	\N	\N	\N
796912	2714	1997-01-11	VYDAJ	VYBER	900	17365	\N	\N	\N
796913	2714	1997-01-04	VYDAJ	VYBER	750	20665	\N	\N	\N
796914	2714	1997-01-02	VYDAJ	VYBER	1200	21415	\N	\N	\N
796915	2714	1997-01-28	VYDAJ	VYBER	550	15415	\N	\N	\N
796916	2714	1997-01-27	VYDAJ	VYBER	800	15965	\N	\N	\N
796917	2714	1997-01-06	VYDAJ	VYBER	800	19865	\N	\N	\N
796918	2714	1998-01-15	VYDAJ	VYBER	450	19647	\N	\N	\N
796919	2714	1998-01-08	VYDAJ	VYBER	1000	20097	\N	\N	\N
796920	2714	1998-01-17	VYDAJ	VYBER	1000	19947	\N	\N	\N
796922	2714	1998-01-27	VYDAJ	VYBER	550	16497	\N	\N	\N
796924	2714	1993-07-25	VYDAJ	VYBER	1800	28574	\N	\N	\N
796925	2714	1993-11-15	VYDAJ	VYBER	1050	51145	\N	\N	\N
796927	2714	1993-10-23	VYDAJ	VYBER	900	25856	\N	\N	\N
796929	2714	1994-04-18	VYDAJ	VYBER	350	56654	\N	\N	\N
796930	2714	1994-04-22	VYDAJ	VYBER	1450	55204	\N	\N	\N
796931	2714	1994-07-29	VYDAJ	VYBER	500	24534	\N	\N	\N
796932	2714	1994-06-10	VYDAJ	VYBER	1900	47630	\N	\N	\N
796933	2714	1995-10-30	VYDAJ	VYBER	1400	23925	\N	\N	\N
796934	2714	1995-10-21	VYDAJ	VYBER	1350	25325	\N	\N	\N
796935	2714	1995-07-16	VYDAJ	VYBER	750	24515	\N	\N	\N
796936	2714	1995-02-11	VYDAJ	VYBER	2450	15419	\N	\N	\N
796937	2714	1996-07-03	VYDAJ	VYBER	2100	15162	\N	\N	\N
796939	2714	1996-10-23	VYDAJ	VYBER	1650	55272	\N	\N	\N
796940	2714	1996-06-09	VYDAJ	VYBER	600	35550	\N	\N	\N
796941	2714	1996-01-26	VYDAJ	VYBER	1300	15819	\N	\N	\N
796942	2714	1996-04-21	VYDAJ	VYBER	1750	48240	\N	\N	\N
796943	2714	1996-05-28	VYDAJ	VYBER	300	35968	\N	\N	\N
796944	2714	1997-11-09	VYDAJ	VYBER	1250	47192	\N	\N	\N
796945	2714	1997-05-10	VYDAJ	VYBER	1050	21708	\N	\N	\N
796947	2714	1997-08-31	VYDAJ	VYBER	500	25099	\N	\N	\N
796948	2714	1997-01-11	VYDAJ	VYBER	1900	15465	\N	\N	\N
796949	2714	1997-07-08	VYDAJ	VYBER	1600	23027	\N	\N	\N
796950	2714	1998-12-22	VYDAJ	VYBER	1350	17842	\N	\N	\N
796951	2714	1998-08-16	VYDAJ	VYBER	2050	41044	\N	\N	\N
796952	2714	1998-01-19	VYDAJ	VYBER	1200	18747	\N	\N	\N
796958	2714	1993-05-31	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
796959	2714	1993-06-30	VYDAJ	VYBER	15	29074	SLUZBY	\N	\N
796960	2714	1993-07-31	VYDAJ	VYBER	15	24678	SLUZBY	\N	\N
796961	2714	1993-08-31	VYDAJ	VYBER	15	24966	SLUZBY	\N	\N
796962	2714	1993-09-30	VYDAJ	VYBER	15	25456	SLUZBY	\N	\N
796963	2714	1993-10-31	VYDAJ	VYBER	15	23246	SLUZBY	\N	\N
796964	2714	1993-11-30	VYDAJ	VYBER	15	39083	SLUZBY	\N	\N
796965	2714	1993-12-31	VYDAJ	VYBER	15	31225	SLUZBY	\N	\N
796966	2714	1994-01-31	VYDAJ	VYBER	15	19057	SLUZBY	\N	\N
796967	2714	1994-02-28	VYDAJ	VYBER	15	20723	SLUZBY	\N	\N
796968	2714	1994-03-31	VYDAJ	VYBER	15	24097	SLUZBY	\N	\N
796969	2714	1994-04-30	VYDAJ	VYBER	15	40157	SLUZBY	\N	\N
796970	2714	1994-05-31	VYDAJ	VYBER	15	34104	SLUZBY	\N	\N
796971	2714	1994-06-30	VYDAJ	VYBER	15	22634	SLUZBY	\N	\N
796972	2714	1994-07-31	VYDAJ	VYBER	15	24616	SLUZBY	\N	\N
796973	2714	1994-08-31	VYDAJ	VYBER	15	25205	SLUZBY	\N	\N
796974	2714	1994-09-30	VYDAJ	VYBER	15	27197	SLUZBY	\N	\N
796975	2714	1994-10-31	VYDAJ	VYBER	15	23691	SLUZBY	\N	\N
796976	2714	1994-11-30	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
796977	2714	1994-12-31	VYDAJ	VYBER	15	23866	SLUZBY	\N	\N
796978	2714	1995-01-31	VYDAJ	VYBER	15	17869	SLUZBY	\N	\N
796979	2714	1995-02-28	VYDAJ	VYBER	15	37967	SLUZBY	\N	\N
796980	2714	1995-03-31	VYDAJ	VYBER	15	29197	SLUZBY	\N	\N
796981	2714	1995-04-30	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
796982	2714	1995-05-31	VYDAJ	VYBER	15	23483	SLUZBY	\N	\N
796983	2714	1995-06-30	VYDAJ	VYBER	15	23965	SLUZBY	\N	\N
796984	2714	1995-07-31	VYDAJ	VYBER	15	23899	SLUZBY	\N	\N
796985	2714	1995-08-31	VYDAJ	VYBER	15	24685	SLUZBY	\N	\N
796986	2714	1995-09-30	VYDAJ	VYBER	15	26275	SLUZBY	\N	\N
796987	2714	1995-10-31	VYDAJ	VYBER	15	24018	SLUZBY	\N	\N
796988	2714	1995-11-30	VYDAJ	VYBER	15	42577	SLUZBY	\N	\N
796989	2714	1995-12-31	VYDAJ	VYBER	15	33319	SLUZBY	\N	\N
796990	2714	1996-01-31	VYDAJ	VYBER	15	15917	SLUZBY	\N	\N
796991	2714	1996-02-29	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
796992	2714	1996-03-31	VYDAJ	VYBER	15	71290	SLUZBY	\N	\N
796993	2714	1996-04-30	VYDAJ	VYBER	15	48468	SLUZBY	\N	\N
796994	2714	1996-05-31	VYDAJ	VYBER	15	36150	SLUZBY	\N	\N
796995	2714	1996-06-30	VYDAJ	VYBER	15	17262	SLUZBY	\N	\N
796996	2714	1996-07-31	VYDAJ	VYBER	15	22431	SLUZBY	\N	\N
796997	2714	1996-08-31	VYDAJ	VYBER	15	25816	SLUZBY	\N	\N
796998	2714	1996-09-30	VYDAJ	VYBER	15	26308	SLUZBY	\N	\N
796999	2714	1996-10-31	VYDAJ	VYBER	15	55429	SLUZBY	\N	\N
797000	2714	1996-11-30	VYDAJ	VYBER	15	40006	SLUZBY	\N	\N
797001	2714	1996-12-31	VYDAJ	VYBER	15	26315	SLUZBY	\N	\N
797002	2714	1997-01-31	VYDAJ	VYBER	15	15472	SLUZBY	\N	\N
797003	2714	1997-02-28	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
797004	2714	1997-03-31	VYDAJ	VYBER	15	19591	SLUZBY	\N	\N
797005	2714	1997-04-30	VYDAJ	VYBER	15	20558	SLUZBY	\N	\N
797006	2714	1997-05-31	VYDAJ	VYBER	15	48894	SLUZBY	\N	\N
797007	2714	1997-06-30	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
797008	2714	1997-07-31	VYDAJ	VYBER	15	24412	SLUZBY	\N	\N
797009	2714	1997-08-31	VYDAJ	VYBER	15	25599	SLUZBY	\N	\N
797010	2714	1997-09-30	VYDAJ	VYBER	15	26890	SLUZBY	\N	\N
797011	2714	1997-10-31	VYDAJ	VYBER	15	27285	SLUZBY	\N	\N
797012	2714	1997-11-30	VYDAJ	VYBER	15	48677	SLUZBY	\N	\N
797013	2714	1997-12-31	VYDAJ	VYBER	15	30597	SLUZBY	\N	\N
797014	2714	1998-01-31	VYDAJ	VYBER	15	16568	SLUZBY	\N	\N
797015	2714	1998-02-28	VYDAJ	VYBER	15	17920	SLUZBY	\N	\N
797016	2714	1998-03-31	VYDAJ	VYBER	15	17876	SLUZBY	\N	\N
797017	2714	1998-04-30	VYDAJ	VYBER	15	19536	SLUZBY	\N	\N
797018	2714	1998-05-31	VYDAJ	VYBER	15	37583	SLUZBY	\N	\N
797019	2714	1998-06-30	VYDAJ	VYBER	15	28103	SLUZBY	\N	\N
797020	2714	1998-07-31	VYDAJ	VYBER	15	27300	SLUZBY	\N	\N
797021	2714	1998-08-31	VYDAJ	VYBER	15	42486	SLUZBY	\N	\N
797022	2714	1998-09-30	VYDAJ	VYBER	15	32920	SLUZBY	\N	\N
797023	2714	1998-10-31	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
797024	2714	1998-11-30	VYDAJ	VYBER	15	22392	SLUZBY	\N	\N
797025	2714	1993-03-01	PRIJEM	VKLAD	10800	12900	\N	\N	\N
797026	2714	1993-03-31	PRIJEM	VKLAD	7700	21937	\N	\N	\N
797027	2714	1993-04-30	PRIJEM	VKLAD	2600	25837	\N	\N	\N
797028	2714	1993-05-30	VYDAJ	VYBER	7500	28358	\N	\N	\N
797029	2714	1993-06-29	VYDAJ	VYBER	800	28970	\N	\N	\N
797030	2714	1993-07-29	VYDAJ	VYBER	4000	24574	\N	\N	\N
797031	2714	1993-08-28	VYDAJ	VYBER	1100	24878	\N	\N	\N
797032	2714	1993-09-27	VYDAJ	VYBER	900	25366	\N	\N	\N
797033	2714	1993-10-27	VYDAJ	VYBER	2700	23156	\N	\N	\N
797034	2714	1993-11-26	VYDAJ	VYBER	13500	38945	\N	\N	\N
797035	2714	1993-12-26	VYDAJ	VYBER	8600	31083	\N	\N	\N
797036	2714	1994-01-25	PRIJEM	VKLAD	3500	25825	\N	\N	\N
797037	2714	1994-02-24	PRIJEM	VKLAD	300	20657	\N	\N	\N
797038	2714	1994-03-26	PRIJEM	VKLAD	2000	24023	\N	\N	\N
797039	2714	1994-04-25	VYDAJ	VYBER	15200	40004	\N	\N	\N
797040	2714	1994-05-25	VYDAJ	VYBER	7500	33957	\N	\N	\N
797041	2714	1994-06-24	VYDAJ	VYBER	900	25630	\N	\N	\N
797042	2714	1994-07-24	PRIJEM	VKLAD	1100	25034	\N	\N	\N
797043	2714	1994-08-23	VYDAJ	VYBER	800	25116	\N	\N	\N
797044	2714	1994-09-22	PRIJEM	VKLAD	600	27105	\N	\N	\N
797045	2714	1994-10-22	VYDAJ	VYBER	4900	23597	\N	\N	\N
797046	2714	1994-11-21	PRIJEM	VKLAD	300	25291	\N	\N	\N
797047	2714	1994-12-21	VYDAJ	VYBER	2300	23777	\N	\N	\N
797048	2714	1995-01-20	PRIJEM	VKLAD	4700	19416	\N	\N	\N
797049	2714	1995-02-19	VYDAJ	VYBER	13700	37879	\N	\N	\N
797050	2714	1995-03-21	VYDAJ	VYBER	10200	29067	\N	\N	\N
797051	2714	1995-04-20	VYDAJ	VYBER	5700	24797	\N	\N	\N
797052	2714	1995-05-20	VYDAJ	VYBER	2800	23397	\N	\N	\N
797053	2714	1995-06-19	PRIJEM	VKLAD	2700	23883	\N	\N	\N
797054	2714	1995-07-19	VYDAJ	VYBER	700	23815	\N	\N	\N
797055	2714	1995-08-18	VYDAJ	VYBER	600	24599	\N	\N	\N
797056	2714	1995-09-17	PRIJEM	VKLAD	200	26185	\N	\N	\N
797057	2714	1995-10-17	VYDAJ	VYBER	900	26675	\N	\N	\N
797058	2714	1995-11-16	VYDAJ	VYBER	19200	41155	\N	\N	\N
797059	2714	1995-12-16	VYDAJ	VYBER	9700	34177	\N	\N	\N
797060	2714	1996-01-15	VYDAJ	VYBER	2300	27719	\N	\N	\N
797061	2714	1996-02-14	PRIJEM	VKLAD	3600	19517	\N	\N	\N
797062	2714	1996-03-15	VYDAJ	VYBER	300	21878	\N	\N	\N
797063	2714	1996-04-14	VYDAJ	VYBER	22600	49990	\N	\N	\N
797064	2714	1996-05-14	VYDAJ	VYBER	13500	36268	\N	\N	\N
797065	2714	1996-06-13	VYDAJ	VYBER	5400	31450	\N	\N	\N
797066	2714	1996-07-13	PRIJEM	VKLAD	5900	21062	\N	\N	\N
797067	2714	1996-08-12	PRIJEM	VKLAD	2000	24431	\N	\N	\N
797068	2714	1996-09-11	VYDAJ	VYBER	900	24916	\N	\N	\N
797069	2714	1996-10-11	VYDAJ	VYBER	3800	22508	\N	\N	\N
797070	2714	1996-11-10	VYDAJ	VYBER	16900	38529	\N	\N	\N
797071	2714	1996-12-10	VYDAJ	VYBER	12500	24906	\N	\N	\N
797072	2714	1997-01-09	VYDAJ	VYBER	1600	18265	\N	\N	\N
797073	2714	1997-02-08	PRIJEM	VKLAD	2200	17672	\N	\N	\N
797074	2714	1997-03-10	VYDAJ	VYBER	800	18228	\N	\N	\N
797075	2714	1997-04-09	VYDAJ	VYBER	400	19191	\N	\N	\N
797076	2714	1997-05-09	PRIJEM	VKLAD	2200	22758	\N	\N	\N
797077	2714	1997-06-08	VYDAJ	VYBER	11000	33894	\N	\N	\N
797078	2714	1997-07-08	VYDAJ	VYBER	2500	24627	\N	\N	\N
797079	2714	1997-08-07	VYDAJ	VYBER	200	24212	\N	\N	\N
797080	2714	1997-09-06	PRIJEM	VKLAD	400	25499	\N	\N	\N
797081	2714	1997-10-06	VYDAJ	VYBER	1000	25890	\N	\N	\N
797082	2714	1997-11-05	VYDAJ	VYBER	24100	48442	\N	\N	\N
797083	2714	1997-12-05	VYDAJ	VYBER	17900	30777	\N	\N	\N
797084	2714	1998-01-04	VYDAJ	VYBER	9500	21097	\N	\N	\N
797085	2714	1998-03-05	VYDAJ	VYBER	1400	16520	\N	\N	\N
797086	2714	1998-04-04	PRIJEM	VKLAD	300	18176	\N	\N	\N
797087	2714	1998-05-04	VYDAJ	VYBER	18800	36126	\N	\N	\N
797088	2714	1998-06-03	VYDAJ	VYBER	10900	26683	\N	\N	\N
797089	2714	1998-07-03	VYDAJ	VYBER	2200	25903	\N	\N	\N
797090	2714	1998-08-02	VYDAJ	VYBER	2000	25300	\N	\N	\N
797091	2714	1998-09-01	VYDAJ	VYBER	11000	31486	\N	\N	\N
797092	2714	1998-10-01	VYDAJ	VYBER	7600	25320	\N	\N	\N
797093	2714	1998-10-31	VYDAJ	VYBER	5700	21037	\N	\N	\N
797094	2714	1998-11-30	VYDAJ	VYBER	2000	20392	\N	\N	\N
797165	2715	1997-10-06	PRIJEM	VKLAD	900	900	\N	\N	\N
797175	2715	1997-10-14	PRIJEM	PREVOD Z UCTU	3329	4229	\N	MN	29922944
797176	2715	1997-11-14	PRIJEM	PREVOD Z UCTU	3329	7568	\N	MN	29922944
797177	2715	1997-12-14	PRIJEM	PREVOD Z UCTU	3329	10915	\N	MN	29922944
797178	2715	1998-01-14	PRIJEM	PREVOD Z UCTU	3329	14262	\N	MN	29922944
797179	2715	1998-02-14	PRIJEM	PREVOD Z UCTU	3329	17608	\N	MN	29922944
797180	2715	1998-03-14	PRIJEM	PREVOD Z UCTU	3329	18723	\N	MN	29922944
797181	2715	1998-04-14	PRIJEM	PREVOD Z UCTU	3329	19894	\N	MN	29922944
797182	2715	1998-05-14	PRIJEM	PREVOD Z UCTU	3329	21069	\N	MN	29922944
797183	2715	1998-06-14	PRIJEM	PREVOD Z UCTU	3329	21108	\N	MN	29922944
797184	2715	1998-07-14	PRIJEM	PREVOD Z UCTU	3329	19134	\N	MN	29922944
797185	2715	1998-08-14	PRIJEM	PREVOD Z UCTU	3329	20307	\N	MN	29922944
797186	2715	1998-09-14	PRIJEM	PREVOD Z UCTU	3329	20764	\N	MN	29922944
797187	2715	1998-10-14	PRIJEM	PREVOD Z UCTU	3329	21943	\N	MN	29922944
797188	2715	1998-11-14	PRIJEM	PREVOD Z UCTU	3329	23128	\N	MN	29922944
797189	2715	1998-12-14	PRIJEM	PREVOD Z UCTU	3329	24317	\N	MN	29922944
797204	2715	1998-03-12	VYDAJ	PREVOD NA UCET	1707	15394	\N	WX	67997187
797205	2715	1998-04-12	VYDAJ	PREVOD NA UCET	1707	16565	\N	WX	67997187
797206	2715	1998-05-12	VYDAJ	PREVOD NA UCET	1707	17740	\N	WX	67997187
797207	2715	1998-06-12	VYDAJ	PREVOD NA UCET	1707	17779	\N	WX	67997187
797208	2715	1998-07-12	VYDAJ	PREVOD NA UCET	1707	15805	\N	WX	67997187
797209	2715	1998-08-12	VYDAJ	PREVOD NA UCET	1707	16978	\N	WX	67997187
797210	2715	1998-09-12	VYDAJ	PREVOD NA UCET	1707	17435	\N	WX	67997187
797211	2715	1998-10-12	VYDAJ	PREVOD NA UCET	1707	18614	\N	WX	67997187
797212	2715	1998-11-12	VYDAJ	PREVOD NA UCET	1707	19799	\N	WX	67997187
797213	2715	1998-12-12	VYDAJ	PREVOD NA UCET	1707	20988	\N	WX	67997187
797228	2715	1998-03-09	VYDAJ	PREVOD NA UCET	216	17397	\N	CD	56625884
797229	2715	1998-04-09	VYDAJ	PREVOD NA UCET	216	18272	\N	CD	56625884
797230	2715	1998-05-09	VYDAJ	PREVOD NA UCET	216	19743	\N	CD	56625884
797231	2715	1998-06-09	VYDAJ	PREVOD NA UCET	216	19782	\N	CD	56625884
797232	2715	1998-07-09	VYDAJ	PREVOD NA UCET	216	17808	\N	CD	56625884
797233	2715	1998-08-09	VYDAJ	PREVOD NA UCET	216	18685	\N	CD	56625884
797234	2715	1998-09-09	VYDAJ	PREVOD NA UCET	216	19142	\N	CD	56625884
797235	2715	1998-10-09	VYDAJ	PREVOD NA UCET	216	20617	\N	CD	56625884
797236	2715	1998-11-09	VYDAJ	PREVOD NA UCET	216	21506	\N	CD	56625884
797480	2716	1997-03-31	VYDAJ	VYBER	15	35963	SLUZBY	\N	\N
797237	2715	1998-12-09	VYDAJ	PREVOD NA UCET	216	22991	\N	CD	56625884
797252	2715	1998-03-09	VYDAJ	PREVOD NA UCET	296	17101	\N	KL	7159662
797253	2715	1998-04-09	VYDAJ	PREVOD NA UCET	296	18488	\N	KL	7159662
797254	2715	1998-05-09	VYDAJ	PREVOD NA UCET	296	19447	\N	KL	7159662
797255	2715	1998-06-09	VYDAJ	PREVOD NA UCET	296	19486	\N	KL	7159662
797256	2715	1998-07-09	VYDAJ	PREVOD NA UCET	296	17512	\N	KL	7159662
797257	2715	1998-08-09	VYDAJ	PREVOD NA UCET	296	18901	\N	KL	7159662
797258	2715	1998-09-09	VYDAJ	PREVOD NA UCET	296	19358	\N	KL	7159662
797259	2715	1998-10-09	VYDAJ	PREVOD NA UCET	296	20321	\N	KL	7159662
797260	2715	1998-11-09	VYDAJ	PREVOD NA UCET	296	21722	\N	KL	7159662
797261	2715	1998-12-09	VYDAJ	PREVOD NA UCET	296	22695	\N	KL	7159662
797263	2715	1998-06-16	VYDAJ	VYBER	2340	18768	\N	\N	\N
797267	2715	1998-12-17	VYDAJ	VYBER	180	24137	\N	\N	\N
797270	2715	1998-07-05	VYDAJ	VYBER	810	18024	\N	\N	\N
797271	2715	1998-05-23	VYDAJ	VYBER	900	19929	\N	\N	\N
797272	2715	1998-05-20	VYDAJ	VYBER	240	20829	\N	\N	\N
797273	2715	1998-08-27	VYDAJ	VYBER	720	19587	\N	\N	\N
797288	2715	1998-02-28	VYDAJ	VYBER	15	17613	SLUZBY	\N	\N
797289	2715	1998-03-31	VYDAJ	VYBER	15	18784	SLUZBY	\N	\N
797290	2715	1998-04-30	VYDAJ	VYBER	15	19959	SLUZBY	\N	\N
797291	2715	1998-05-31	VYDAJ	VYBER	15	19998	SLUZBY	\N	\N
797292	2715	1998-06-30	VYDAJ	VYBER	15	18834	SLUZBY	\N	\N
797293	2715	1998-07-31	VYDAJ	VYBER	15	19197	SLUZBY	\N	\N
797294	2715	1998-08-31	VYDAJ	VYBER	15	19654	SLUZBY	\N	\N
797295	2715	1998-09-30	VYDAJ	VYBER	15	20833	SLUZBY	\N	\N
797296	2715	1998-10-31	VYDAJ	VYBER	15	22018	SLUZBY	\N	\N
797297	2715	1998-11-30	VYDAJ	VYBER	15	23207	SLUZBY	\N	\N
797313	2716	1996-01-08	PRIJEM	VKLAD	300	300	\N	\N	\N
797314	2716	1996-01-09	PRIJEM	VKLAD	20536	20836	\N	\N	\N
797315	2716	1996-02-09	PRIJEM	VKLAD	20536	42136	\N	\N	\N
797316	2716	1996-03-09	PRIJEM	VKLAD	20536	51924	\N	\N	\N
797317	2716	1996-04-09	PRIJEM	VKLAD	20536	53965	\N	\N	\N
797318	2716	1996-05-09	PRIJEM	VKLAD	20536	57324	\N	\N	\N
797319	2716	1996-06-09	PRIJEM	VKLAD	30804	64560	\N	\N	\N
797320	2716	1996-07-09	PRIJEM	VKLAD	20536	60410	\N	\N	\N
797321	2716	1996-08-09	PRIJEM	VKLAD	20536	57306	\N	\N	\N
797322	2716	1996-09-09	PRIJEM	VKLAD	20536	56192	\N	\N	\N
797323	2716	1996-10-09	PRIJEM	VKLAD	20536	55471	\N	\N	\N
797324	2716	1996-11-09	PRIJEM	VKLAD	20536	52647	\N	\N	\N
797325	2716	1996-12-09	PRIJEM	VKLAD	30804	60581	\N	\N	\N
797326	2716	1997-01-09	PRIJEM	VKLAD	20536	46184	\N	\N	\N
797327	2716	1997-02-09	PRIJEM	VKLAD	20536	39488	\N	\N	\N
797328	2716	1997-03-09	PRIJEM	VKLAD	20536	44276	\N	\N	\N
797329	2716	1997-04-09	PRIJEM	VKLAD	20536	42599	\N	\N	\N
797330	2716	1997-05-09	PRIJEM	VKLAD	20536	35835	\N	\N	\N
797331	2716	1997-06-09	PRIJEM	VKLAD	30804	43693	\N	\N	\N
797332	2716	1997-07-09	PRIJEM	VKLAD	20536	36610	\N	\N	\N
797333	2716	1997-08-09	PRIJEM	VKLAD	20536	35894	\N	\N	\N
797334	2716	1997-09-09	PRIJEM	VKLAD	20536	35865	\N	\N	\N
797335	2716	1997-10-09	PRIJEM	VKLAD	20536	35435	\N	\N	\N
797336	2716	1997-11-09	PRIJEM	VKLAD	20536	33496	\N	\N	\N
797337	2716	1997-12-09	PRIJEM	VKLAD	30804	44523	\N	\N	\N
797338	2716	1998-01-09	PRIJEM	VKLAD	20536	37909	\N	\N	\N
797339	2716	1998-02-09	PRIJEM	VKLAD	20536	35210	\N	\N	\N
797340	2716	1998-03-09	PRIJEM	VKLAD	20536	47379	\N	\N	\N
797341	2716	1998-04-09	PRIJEM	VKLAD	20536	37289	\N	\N	\N
797342	2716	1998-05-09	PRIJEM	VKLAD	20536	45467	\N	\N	\N
797343	2716	1998-06-09	PRIJEM	VKLAD	30804	52838	\N	\N	\N
797344	2716	1998-07-09	PRIJEM	VKLAD	20536	35681	\N	\N	\N
797345	2716	1998-08-09	PRIJEM	VKLAD	20536	36545	\N	\N	\N
797346	2716	1998-09-09	PRIJEM	VKLAD	20536	36510	\N	\N	\N
797347	2716	1998-10-09	PRIJEM	VKLAD	20536	38273	\N	\N	\N
797348	2716	1998-11-09	PRIJEM	VKLAD	20536	41247	\N	\N	\N
797349	2716	1998-12-09	PRIJEM	VKLAD	30804	49394	\N	\N	\N
797354	2716	1996-05-13	VYDAJ	PREVOD NA UCET	989	48879	SIPO	QR	36398339
797355	2716	1996-06-13	VYDAJ	PREVOD NA UCET	989	56115	SIPO	QR	36398339
797356	2716	1996-07-13	VYDAJ	PREVOD NA UCET	989	51965	SIPO	QR	36398339
797357	2716	1996-08-13	VYDAJ	PREVOD NA UCET	989	48861	SIPO	QR	36398339
797358	2716	1996-09-13	VYDAJ	PREVOD NA UCET	989	47747	SIPO	QR	36398339
797359	2716	1996-10-13	VYDAJ	PREVOD NA UCET	989	47026	SIPO	QR	36398339
797360	2716	1996-11-13	VYDAJ	PREVOD NA UCET	989	44202	SIPO	QR	36398339
797361	2716	1996-12-13	VYDAJ	PREVOD NA UCET	989	52136	SIPO	QR	36398339
797362	2716	1997-01-13	VYDAJ	PREVOD NA UCET	989	37739	SIPO	QR	36398339
797363	2716	1997-02-13	VYDAJ	PREVOD NA UCET	989	31043	SIPO	QR	36398339
797364	2716	1997-03-13	VYDAJ	PREVOD NA UCET	989	35831	SIPO	QR	36398339
797365	2716	1997-04-13	VYDAJ	PREVOD NA UCET	989	31154	SIPO	QR	36398339
797366	2716	1997-05-13	VYDAJ	PREVOD NA UCET	989	27390	SIPO	QR	36398339
797367	2716	1997-06-13	VYDAJ	PREVOD NA UCET	989	35248	SIPO	QR	36398339
797368	2716	1997-07-13	VYDAJ	PREVOD NA UCET	989	28165	SIPO	QR	36398339
797369	2716	1997-08-13	VYDAJ	PREVOD NA UCET	989	27449	SIPO	QR	36398339
797370	2716	1997-09-13	VYDAJ	PREVOD NA UCET	989	27420	SIPO	QR	36398339
797371	2716	1997-10-13	VYDAJ	PREVOD NA UCET	989	24590	SIPO	QR	36398339
797372	2716	1997-11-13	VYDAJ	PREVOD NA UCET	989	25051	SIPO	QR	36398339
797373	2716	1997-12-13	VYDAJ	PREVOD NA UCET	989	36078	SIPO	QR	36398339
797374	2716	1998-01-13	VYDAJ	PREVOD NA UCET	989	22104	SIPO	QR	36398339
797375	2716	1998-02-13	VYDAJ	PREVOD NA UCET	989	26765	SIPO	QR	36398339
797376	2716	1998-03-13	VYDAJ	PREVOD NA UCET	989	38934	SIPO	QR	36398339
797377	2716	1998-04-13	VYDAJ	PREVOD NA UCET	989	28844	SIPO	QR	36398339
797378	2716	1998-05-13	VYDAJ	PREVOD NA UCET	989	37022	SIPO	QR	36398339
797379	2716	1998-06-13	VYDAJ	PREVOD NA UCET	989	44393	SIPO	QR	36398339
797380	2716	1998-07-13	VYDAJ	PREVOD NA UCET	989	27236	SIPO	QR	36398339
797381	2716	1998-08-13	VYDAJ	PREVOD NA UCET	989	28100	SIPO	QR	36398339
797382	2716	1998-09-13	VYDAJ	PREVOD NA UCET	989	28065	SIPO	QR	36398339
797383	2716	1998-10-13	VYDAJ	PREVOD NA UCET	989	29828	SIPO	QR	36398339
797384	2716	1998-11-13	VYDAJ	PREVOD NA UCET	989	32802	SIPO	QR	36398339
797385	2716	1998-12-13	VYDAJ	PREVOD NA UCET	989	39949	SIPO	QR	36398339
797390	2716	1996-05-11	VYDAJ	PREVOD NA UCET	7456	49868	 	UV	78199630
797391	2716	1996-06-11	VYDAJ	PREVOD NA UCET	7456	57104	 	UV	78199630
797392	2716	1996-07-11	VYDAJ	PREVOD NA UCET	7456	52954	 	UV	78199630
797393	2716	1996-08-11	VYDAJ	PREVOD NA UCET	7456	49850	 	UV	78199630
797394	2716	1996-09-11	VYDAJ	PREVOD NA UCET	7456	48736	 	UV	78199630
797395	2716	1996-10-11	VYDAJ	PREVOD NA UCET	7456	48015	 	UV	78199630
797396	2716	1996-11-11	VYDAJ	PREVOD NA UCET	7456	45191	 	UV	78199630
797397	2716	1996-12-11	VYDAJ	PREVOD NA UCET	7456	53125	 	UV	78199630
797398	2716	1997-01-11	VYDAJ	PREVOD NA UCET	7456	38728	 	UV	78199630
797399	2716	1997-02-11	VYDAJ	PREVOD NA UCET	7456	32032	 	UV	78199630
797400	2716	1997-03-11	VYDAJ	PREVOD NA UCET	7456	36820	 	UV	78199630
797401	2716	1997-04-11	VYDAJ	PREVOD NA UCET	7456	32143	 	UV	78199630
797402	2716	1997-05-11	VYDAJ	PREVOD NA UCET	7456	28379	 	UV	78199630
797403	2716	1997-06-11	VYDAJ	PREVOD NA UCET	7456	36237	 	UV	78199630
797404	2716	1997-07-11	VYDAJ	PREVOD NA UCET	7456	29154	 	UV	78199630
797405	2716	1997-08-11	VYDAJ	PREVOD NA UCET	7456	28438	 	UV	78199630
797406	2716	1997-09-11	VYDAJ	PREVOD NA UCET	7456	28409	 	UV	78199630
797407	2716	1997-10-11	VYDAJ	PREVOD NA UCET	7456	27979	 	UV	78199630
797408	2716	1997-11-11	VYDAJ	PREVOD NA UCET	7456	26040	 	UV	78199630
797409	2716	1997-12-11	VYDAJ	PREVOD NA UCET	7456	37067	 	UV	78199630
797410	2716	1998-01-11	VYDAJ	PREVOD NA UCET	7456	23093	 	UV	78199630
797411	2716	1998-02-11	VYDAJ	PREVOD NA UCET	7456	27754	 	UV	78199630
797412	2716	1998-03-11	VYDAJ	PREVOD NA UCET	7456	39923	 	UV	78199630
797413	2716	1998-04-11	VYDAJ	PREVOD NA UCET	7456	29833	 	UV	78199630
797414	2716	1998-05-11	VYDAJ	PREVOD NA UCET	7456	38011	 	UV	78199630
797415	2716	1998-06-11	VYDAJ	PREVOD NA UCET	7456	45382	 	UV	78199630
797416	2716	1998-07-11	VYDAJ	PREVOD NA UCET	7456	28225	 	UV	78199630
797417	2716	1998-08-11	VYDAJ	PREVOD NA UCET	7456	29089	 	UV	78199630
797418	2716	1998-09-11	VYDAJ	PREVOD NA UCET	7456	29054	 	UV	78199630
797419	2716	1998-10-11	VYDAJ	PREVOD NA UCET	7456	30817	 	UV	78199630
797420	2716	1998-11-11	VYDAJ	PREVOD NA UCET	7456	33791	 	UV	78199630
797421	2716	1998-12-11	VYDAJ	PREVOD NA UCET	7456	41938	 	UV	78199630
797424	2716	1998-06-24	VYDAJ	VYBER	24960	19433	\N	\N	\N
797426	2716	1997-01-29	VYDAJ	VYBER	14400	14039	\N	\N	\N
797427	2716	1998-01-10	VYDAJ	VYBER	7360	30549	\N	\N	\N
797428	2716	1996-12-18	VYDAJ	VYBER KARTOU	1300	50836	\N	\N	0
797429	2716	1997-12-23	VYDAJ	VYBER KARTOU	800	35278	\N	\N	0
797430	2716	1998-12-13	VYDAJ	VYBER KARTOU	1000	40938	\N	\N	0
797437	2716	1997-01-04	VYDAJ	VYBER KARTOU	2400	25648	\N	\N	0
797438	2716	1997-01-01	VYDAJ	VYBER KARTOU	1400	44348	\N	\N	0
797439	2716	1997-01-13	VYDAJ	VYBER KARTOU	1800	35939	\N	\N	0
797440	2716	1997-01-23	VYDAJ	VYBER KARTOU	2900	28439	\N	\N	0
797441	2716	1997-01-14	VYDAJ	VYBER KARTOU	1100	34839	\N	\N	0
797442	2716	1997-01-18	VYDAJ	VYBER KARTOU	3500	31339	\N	\N	0
797443	2716	1998-01-24	VYDAJ	VYBER KARTOU	2300	17404	\N	\N	0
797444	2716	1998-01-02	VYDAJ	VYBER KARTOU	1800	17373	\N	\N	0
797445	2716	1998-01-25	VYDAJ	VYBER KARTOU	2800	14604	\N	\N	0
797448	2716	1998-01-24	VYDAJ	VYBER KARTOU	2400	19704	\N	\N	0
797452	2716	1996-06-14	VYDAJ	VYBER	3840	52275	\N	\N	\N
797453	2716	1996-06-03	VYDAJ	VYBER	4320	44756	\N	\N	\N
797454	2716	1996-12-29	VYDAJ	VYBER	5280	45556	\N	\N	\N
797455	2716	1997-04-29	VYDAJ	VYBER	5880	25274	\N	\N	\N
797457	2716	1997-07-02	VYDAJ	VYBER KARTOU	2000	16074	\N	\N	0
797458	2716	1997-04-11	VYDAJ	VYBER KARTOU	3000	39599	\N	\N	0
797459	2716	1997-10-12	VYDAJ	VYBER KARTOU	2400	25579	\N	\N	0
797460	2716	1998-04-27	VYDAJ	VYBER KARTOU	4000	24844	\N	\N	0
797464	2716	1998-09-19	VYDAJ	VYBER	4800	23265	\N	\N	\N
797470	2716	1996-05-31	VYDAJ	VYBER	15	49076	SLUZBY	\N	\N
797471	2716	1996-06-30	VYDAJ	VYBER	15	52474	SLUZBY	\N	\N
797472	2716	1996-07-31	VYDAJ	VYBER	15	52170	SLUZBY	\N	\N
797473	2716	1996-08-31	VYDAJ	VYBER	15	49056	SLUZBY	\N	\N
797474	2716	1996-09-30	VYDAJ	VYBER	15	47935	SLUZBY	\N	\N
797475	2716	1996-10-31	VYDAJ	VYBER	15	47211	SLUZBY	\N	\N
797476	2716	1996-11-30	VYDAJ	VYBER	15	44377	SLUZBY	\N	\N
797477	2716	1996-12-31	VYDAJ	VYBER	15	45748	SLUZBY	\N	\N
797478	2716	1997-01-31	VYDAJ	VYBER	15	14152	SLUZBY	\N	\N
797479	2716	1997-02-28	VYDAJ	VYBER	15	31140	SLUZBY	\N	\N
797481	2716	1997-04-30	VYDAJ	VYBER	15	25399	SLUZBY	\N	\N
797482	2716	1997-05-31	VYDAJ	VYBER	15	27489	SLUZBY	\N	\N
797483	2716	1997-06-30	VYDAJ	VYBER	15	35374	SLUZBY	\N	\N
797484	2716	1997-07-31	VYDAJ	VYBER	15	15358	SLUZBY	\N	\N
797485	2716	1997-08-31	VYDAJ	VYBER	15	15329	SLUZBY	\N	\N
797486	2716	1997-09-30	VYDAJ	VYBER	15	14899	SLUZBY	\N	\N
797487	2716	1997-10-31	VYDAJ	VYBER	15	12960	SLUZBY	\N	\N
797488	2716	1997-11-30	VYDAJ	VYBER	15	13719	SLUZBY	\N	\N
797489	2716	1997-12-31	VYDAJ	VYBER	15	19173	SLUZBY	\N	\N
797490	2716	1998-01-31	VYDAJ	VYBER	15	14674	SLUZBY	\N	\N
797491	2716	1998-02-28	VYDAJ	VYBER	15	26843	SLUZBY	\N	\N
797492	2716	1998-03-31	VYDAJ	VYBER	15	16753	SLUZBY	\N	\N
797493	2716	1998-04-30	VYDAJ	VYBER	15	24931	SLUZBY	\N	\N
797494	2716	1998-05-31	VYDAJ	VYBER	15	22034	SLUZBY	\N	\N
797495	2716	1998-06-30	VYDAJ	VYBER	15	15145	SLUZBY	\N	\N
797496	2716	1998-07-31	VYDAJ	VYBER	15	16009	SLUZBY	\N	\N
797497	2716	1998-08-31	VYDAJ	VYBER	15	15974	SLUZBY	\N	\N
797498	2716	1998-09-30	VYDAJ	VYBER	15	17737	SLUZBY	\N	\N
797499	2716	1998-10-31	VYDAJ	VYBER	15	20711	SLUZBY	\N	\N
797500	2716	1998-11-30	VYDAJ	VYBER	15	18590	SLUZBY	\N	\N
797501	2716	1996-02-07	PRIJEM	VKLAD	700	21600	\N	\N	\N
797502	2716	1996-03-08	VYDAJ	VYBER	10900	31388	\N	\N	\N
797503	2716	1996-04-07	VYDAJ	VYBER	18700	33429	\N	\N	\N
797504	2716	1996-05-07	VYDAJ	VYBER	17400	36788	\N	\N	\N
797505	2716	1996-06-06	VYDAJ	VYBER	11000	33756	\N	\N	\N
797506	2716	1996-07-06	VYDAJ	VYBER	12600	39874	\N	\N	\N
797507	2716	1996-08-05	VYDAJ	VYBER	15400	36770	\N	\N	\N
797508	2716	1996-09-04	VYDAJ	VYBER	13400	35656	\N	\N	\N
797509	2716	1996-10-04	VYDAJ	VYBER	13000	34935	\N	\N	\N
797510	2716	1996-11-03	VYDAJ	VYBER	15100	32111	\N	\N	\N
797511	2716	1996-12-03	VYDAJ	VYBER	14600	29777	\N	\N	\N
797512	2716	1997-01-02	VYDAJ	VYBER	16300	28048	\N	\N	\N
797513	2716	1997-02-01	PRIJEM	VKLAD	4800	18952	\N	\N	\N
797514	2716	1997-03-03	VYDAJ	VYBER	7400	23740	\N	\N	\N
797515	2716	1997-04-02	VYDAJ	VYBER	13900	22063	\N	\N	\N
797516	2716	1997-05-02	VYDAJ	VYBER	10100	15299	\N	\N	\N
797517	2716	1997-06-01	VYDAJ	VYBER	14600	12889	\N	\N	\N
797518	2716	1997-07-01	VYDAJ	VYBER	17300	18074	\N	\N	\N
797519	2716	1997-07-31	VYDAJ	VYBER	12900	15373	\N	\N	\N
797520	2716	1997-08-30	VYDAJ	VYBER	12200	15249	\N	\N	\N
797521	2716	1997-09-29	VYDAJ	VYBER	12600	14820	\N	\N	\N
797522	2716	1997-10-29	VYDAJ	VYBER	11700	12890	\N	\N	\N
797523	2716	1997-11-28	VYDAJ	VYBER	11400	13651	\N	\N	\N
797524	2716	1997-12-28	VYDAJ	VYBER	16200	19078	\N	\N	\N
797525	2716	1998-03-28	VYDAJ	VYBER	22300	16634	\N	\N	\N
797526	2716	1998-05-27	VYDAJ	VYBER	15100	21922	\N	\N	\N
797527	2716	1998-06-26	VYDAJ	VYBER	4400	15033	\N	\N	\N
797528	2716	1998-07-26	VYDAJ	VYBER	11300	15936	\N	\N	\N
797529	2716	1998-08-25	VYDAJ	VYBER	12200	15900	\N	\N	\N
797530	2716	1998-09-24	VYDAJ	VYBER	5600	17665	\N	\N	\N
797531	2716	1998-10-24	VYDAJ	VYBER	9200	20628	\N	\N	\N
797532	2716	1998-11-23	VYDAJ	VYBER	14300	18502	\N	\N	\N
797569	2717	1996-07-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
797577	2717	1996-08-09	PRIJEM	PREVOD Z UCTU	3407	4407	\N	ST	62155377
797578	2717	1996-09-09	PRIJEM	PREVOD Z UCTU	3407	7814	\N	ST	62155377
797579	2717	1996-10-09	PRIJEM	PREVOD Z UCTU	3407	11221	\N	ST	62155377
797580	2717	1996-11-09	PRIJEM	PREVOD Z UCTU	3407	14628	\N	ST	62155377
797581	2717	1996-12-09	PRIJEM	PREVOD Z UCTU	3407	18035	\N	ST	62155377
797582	2717	1997-01-09	PRIJEM	PREVOD Z UCTU	3407	18001	\N	ST	62155377
797583	2717	1997-02-09	PRIJEM	PREVOD Z UCTU	3407	16575	\N	ST	62155377
797584	2717	1997-03-09	PRIJEM	PREVOD Z UCTU	3407	17755	\N	ST	62155377
797585	2717	1997-04-09	PRIJEM	PREVOD Z UCTU	3407	18939	\N	ST	62155377
797586	2717	1997-05-09	PRIJEM	PREVOD Z UCTU	3407	17758	\N	ST	62155377
797587	2717	1997-06-09	PRIJEM	PREVOD Z UCTU	3407	17591	\N	ST	62155377
797588	2717	1997-07-09	PRIJEM	PREVOD Z UCTU	3407	18774	\N	ST	62155377
797589	2717	1997-08-09	PRIJEM	PREVOD Z UCTU	3407	19963	\N	ST	62155377
797590	2717	1997-09-09	PRIJEM	PREVOD Z UCTU	3407	18845	\N	ST	62155377
797591	2717	1997-10-09	PRIJEM	PREVOD Z UCTU	3407	20036	\N	ST	62155377
797592	2717	1997-11-09	PRIJEM	PREVOD Z UCTU	3407	21230	\N	ST	62155377
797593	2717	1997-12-09	PRIJEM	PREVOD Z UCTU	3407	22009	\N	ST	62155377
797594	2717	1998-01-09	PRIJEM	PREVOD Z UCTU	3407	20062	\N	ST	62155377
797595	2717	1998-02-09	PRIJEM	PREVOD Z UCTU	3407	18046	\N	ST	62155377
797596	2717	1998-03-09	PRIJEM	PREVOD Z UCTU	3407	19231	\N	ST	62155377
797597	2717	1998-04-09	PRIJEM	PREVOD Z UCTU	3407	19731	\N	ST	62155377
797598	2717	1998-05-09	PRIJEM	PREVOD Z UCTU	3407	20923	\N	ST	62155377
797599	2717	1998-06-09	PRIJEM	PREVOD Z UCTU	3407	22120	\N	ST	62155377
797600	2717	1998-07-09	PRIJEM	PREVOD Z UCTU	3407	21042	\N	ST	62155377
797601	2717	1998-08-09	PRIJEM	PREVOD Z UCTU	3407	22239	\N	ST	62155377
797602	2717	1998-09-09	PRIJEM	PREVOD Z UCTU	3407	23442	\N	ST	62155377
797603	2717	1998-10-09	PRIJEM	PREVOD Z UCTU	3407	24550	\N	ST	62155377
797604	2717	1998-11-09	PRIJEM	PREVOD Z UCTU	3407	25012	\N	ST	62155377
797605	2717	1998-12-09	PRIJEM	PREVOD Z UCTU	3407	25206	\N	ST	62155377
797617	2717	1996-12-11	VYDAJ	PREVOD NA UCET	2271	15764	SIPO	MN	72128897
797618	2717	1997-01-11	VYDAJ	PREVOD NA UCET	2271	15730	SIPO	MN	72128897
797619	2717	1997-02-11	VYDAJ	PREVOD NA UCET	2271	14304	SIPO	MN	72128897
797620	2717	1997-03-11	VYDAJ	PREVOD NA UCET	2271	15484	SIPO	MN	72128897
797621	2717	1997-04-11	VYDAJ	PREVOD NA UCET	2271	16668	SIPO	MN	72128897
797622	2717	1997-05-11	VYDAJ	PREVOD NA UCET	2271	14137	SIPO	MN	72128897
797623	2717	1997-06-11	VYDAJ	PREVOD NA UCET	2271	15320	SIPO	MN	72128897
797624	2717	1997-07-11	VYDAJ	PREVOD NA UCET	2271	16503	SIPO	MN	72128897
797625	2717	1997-08-11	VYDAJ	PREVOD NA UCET	2271	17692	SIPO	MN	72128897
797626	2717	1997-09-11	VYDAJ	PREVOD NA UCET	2271	16574	SIPO	MN	72128897
797627	2717	1997-10-11	VYDAJ	PREVOD NA UCET	2271	17765	SIPO	MN	72128897
797628	2717	1997-11-11	VYDAJ	PREVOD NA UCET	2271	18959	SIPO	MN	72128897
797629	2717	1997-12-11	VYDAJ	PREVOD NA UCET	2271	19738	SIPO	MN	72128897
797630	2717	1998-01-11	VYDAJ	PREVOD NA UCET	2271	17791	SIPO	MN	72128897
797631	2717	1998-02-11	VYDAJ	PREVOD NA UCET	2271	15775	SIPO	MN	72128897
797632	2717	1998-03-11	VYDAJ	PREVOD NA UCET	2271	16960	SIPO	MN	72128897
797633	2717	1998-04-11	VYDAJ	PREVOD NA UCET	2271	17460	SIPO	MN	72128897
797634	2717	1998-05-11	VYDAJ	PREVOD NA UCET	2271	18652	SIPO	MN	72128897
797635	2717	1998-06-11	VYDAJ	PREVOD NA UCET	2271	19849	SIPO	MN	72128897
797636	2717	1998-07-11	VYDAJ	PREVOD NA UCET	2271	18771	SIPO	MN	72128897
797637	2717	1998-08-11	VYDAJ	PREVOD NA UCET	2271	19968	SIPO	MN	72128897
797638	2717	1998-09-11	VYDAJ	PREVOD NA UCET	2271	21171	SIPO	MN	72128897
797639	2717	1998-10-11	VYDAJ	PREVOD NA UCET	2271	22279	SIPO	MN	72128897
797640	2717	1998-11-11	VYDAJ	PREVOD NA UCET	2271	22741	SIPO	MN	72128897
797641	2717	1998-12-11	VYDAJ	PREVOD NA UCET	2271	22935	SIPO	MN	72128897
797646	2717	1997-01-01	VYDAJ	VYBER	720	15074	\N	\N	\N
797647	2717	1998-01-08	VYDAJ	VYBER	2370	16655	\N	\N	\N
797649	2717	1997-12-07	VYDAJ	VYBER	420	18602	\N	\N	\N
797650	2717	1998-12-27	VYDAJ	VYBER	510	21105	\N	\N	\N
797657	2717	1997-01-17	VYDAJ	VYBER	270	15460	\N	\N	\N
797658	2717	1997-01-03	VYDAJ	VYBER	210	14594	\N	\N	\N
797659	2717	1997-01-27	VYDAJ	VYBER	270	13120	\N	\N	\N
797660	2717	1997-01-24	VYDAJ	VYBER	270	14680	\N	\N	\N
797661	2717	1997-01-23	VYDAJ	VYBER	510	14950	\N	\N	\N
797662	2717	1997-01-03	VYDAJ	VYBER	270	14804	\N	\N	\N
797663	2717	1998-01-28	VYDAJ	VYBER	840	14581	\N	\N	\N
797664	2717	1998-01-27	VYDAJ	VYBER	630	15421	\N	\N	\N
797665	2717	1998-01-06	VYDAJ	VYBER	780	19025	\N	\N	\N
797666	2717	1998-01-12	VYDAJ	VYBER	210	17581	\N	\N	\N
797667	2717	1998-01-18	VYDAJ	VYBER	360	16891	\N	\N	\N
797668	2717	1998-01-22	VYDAJ	VYBER	840	16051	\N	\N	\N
797673	2717	1997-08-19	VYDAJ	VYBER	870	16822	\N	\N	\N
797674	2717	1997-05-10	VYDAJ	VYBER	1350	16408	\N	\N	\N
797675	2717	1997-09-03	VYDAJ	VYBER	1440	15438	\N	\N	\N
797676	2717	1997-05-04	VYDAJ	VYBER	1080	14351	\N	\N	\N
797677	2717	1997-05-03	VYDAJ	VYBER	1290	15431	\N	\N	\N
797678	2717	1997-01-27	VYDAJ	VYBER	1290	13390	\N	\N	\N
797679	2717	1998-06-26	VYDAJ	VYBER	1110	18739	\N	\N	\N
797680	2717	1998-03-18	VYDAJ	VYBER	690	16270	\N	\N	\N
797681	2717	1998-06-28	VYDAJ	VYBER	1170	17569	\N	\N	\N
797682	2717	1998-01-14	VYDAJ	VYBER	330	17251	\N	\N	\N
797683	2717	1998-12-14	VYDAJ	VYBER	1320	21615	\N	\N	\N
797684	2717	1998-10-24	VYDAJ	VYBER	750	21529	\N	\N	\N
797685	2717	1998-11-30	VYDAJ	VYBER	1020	21799	\N	\N	\N
797698	2717	1996-12-31	VYDAJ	VYBER	15	15794	SLUZBY	\N	\N
797699	2717	1997-01-31	VYDAJ	VYBER	15	13168	SLUZBY	\N	\N
797700	2717	1997-02-28	VYDAJ	VYBER	15	14348	SLUZBY	\N	\N
797701	2717	1997-03-31	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
797702	2717	1997-04-30	VYDAJ	VYBER	15	16721	SLUZBY	\N	\N
797703	2717	1997-05-31	VYDAJ	VYBER	15	14184	SLUZBY	\N	\N
797704	2717	1997-06-30	VYDAJ	VYBER	15	15367	SLUZBY	\N	\N
797705	2717	1997-07-31	VYDAJ	VYBER	15	16556	SLUZBY	\N	\N
797706	2717	1997-08-31	VYDAJ	VYBER	15	16878	SLUZBY	\N	\N
797707	2717	1997-09-30	VYDAJ	VYBER	15	16629	SLUZBY	\N	\N
797708	2717	1997-10-31	VYDAJ	VYBER	15	17823	SLUZBY	\N	\N
797709	2717	1997-11-30	VYDAJ	VYBER	15	19022	SLUZBY	\N	\N
797710	2717	1997-12-31	VYDAJ	VYBER	15	19805	SLUZBY	\N	\N
797711	2717	1998-01-31	VYDAJ	VYBER	15	14639	SLUZBY	\N	\N
797712	2717	1998-02-28	VYDAJ	VYBER	15	15824	SLUZBY	\N	\N
797713	2717	1998-03-31	VYDAJ	VYBER	15	16324	SLUZBY	\N	\N
797714	2717	1998-04-30	VYDAJ	VYBER	15	17516	SLUZBY	\N	\N
797715	2717	1998-05-31	VYDAJ	VYBER	15	18713	SLUZBY	\N	\N
797716	2717	1998-06-30	VYDAJ	VYBER	15	17635	SLUZBY	\N	\N
797717	2717	1998-07-31	VYDAJ	VYBER	15	18832	SLUZBY	\N	\N
797718	2717	1998-08-31	VYDAJ	VYBER	15	20035	SLUZBY	\N	\N
797719	2717	1998-09-30	VYDAJ	VYBER	15	21143	SLUZBY	\N	\N
797720	2717	1998-10-31	VYDAJ	VYBER	15	21605	SLUZBY	\N	\N
797721	2717	1998-11-30	VYDAJ	VYBER	15	22819	SLUZBY	\N	\N
797722	2717	1998-09-13	VYDAJ	VYBER	100	21071	\N	\N	\N
797748	2718	1995-02-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
797750	2718	1995-12-02	PRIJEM	VKLAD	13748	34625	\N	\N	\N
797751	2718	1996-12-05	PRIJEM	VKLAD	6329	34425	\N	\N	\N
797752	2718	1996-05-24	PRIJEM	VKLAD	41241	62498	\N	\N	\N
797753	2718	1997-06-22	PRIJEM	VKLAD	46598	66560	\N	\N	\N
797754	2718	1997-09-23	PRIJEM	VKLAD	27182	51278	\N	\N	\N
797755	2718	1998-06-29	PRIJEM	VKLAD	35777	51197	\N	\N	\N
797756	2718	1998-03-01	PRIJEM	VKLAD	11195	25440	\N	\N	\N
797758	2718	1995-02-13	PRIJEM	VKLAD	1600	2700	\N	\N	\N
797759	2718	1995-03-13	PRIJEM	VKLAD	1600	15706	\N	\N	\N
797760	2718	1995-04-15	PRIJEM	VKLAD	1600	20651	\N	\N	\N
797761	2718	1995-05-13	PRIJEM	VKLAD	1600	22927	\N	\N	\N
797762	2718	1995-06-17	PRIJEM	VKLAD	1600	24319	\N	\N	\N
797763	2718	1995-07-16	PRIJEM	VKLAD	1600	18298	\N	\N	\N
797764	2718	1995-08-13	PRIJEM	VKLAD	1600	20251	\N	\N	\N
797765	2718	1995-09-17	PRIJEM	VKLAD	1600	22617	\N	\N	\N
797766	2718	1995-10-13	PRIJEM	VKLAD	1600	18892	\N	\N	\N
797767	2718	1995-11-17	PRIJEM	VKLAD	1600	22657	\N	\N	\N
797768	2718	1995-12-15	PRIJEM	VKLAD	1600	29325	\N	\N	\N
797769	2718	1996-01-14	PRIJEM	VKLAD	1600	29141	\N	\N	\N
797770	2718	1996-02-14	PRIJEM	VKLAD	1600	22533	\N	\N	\N
797771	2718	1996-03-17	PRIJEM	VKLAD	1600	21506	\N	\N	\N
797772	2718	1996-04-15	PRIJEM	VKLAD	1600	20234	\N	\N	\N
797773	2718	1996-05-15	PRIJEM	VKLAD	1600	21257	\N	\N	\N
797774	2718	1996-06-15	PRIJEM	VKLAD	1600	23612	\N	\N	\N
797775	2718	1996-07-15	PRIJEM	VKLAD	1600	26231	\N	\N	\N
797776	2718	1996-08-16	PRIJEM	VKLAD	1600	25118	\N	\N	\N
797777	2718	1996-09-17	PRIJEM	VKLAD	1600	30004	\N	\N	\N
797778	2718	1996-10-13	PRIJEM	VKLAD	1600	28206	\N	\N	\N
797779	2718	1996-11-14	PRIJEM	VKLAD	1600	27602	\N	\N	\N
797780	2718	1996-12-14	PRIJEM	VKLAD	1600	36025	\N	\N	\N
797781	2718	1997-01-17	PRIJEM	VKLAD	1600	21639	\N	\N	\N
797782	2718	1997-02-13	PRIJEM	VKLAD	1600	22826	\N	\N	\N
797783	2718	1997-03-14	PRIJEM	VKLAD	1600	27403	\N	\N	\N
797784	2718	1997-04-16	PRIJEM	VKLAD	1600	25795	\N	\N	\N
797785	2718	1997-05-15	PRIJEM	VKLAD	1600	24183	\N	\N	\N
797786	2718	1997-06-17	PRIJEM	VKLAD	1600	19962	\N	\N	\N
797787	2718	1997-07-17	PRIJEM	VKLAD	1600	41262	\N	\N	\N
797788	2718	1997-08-13	PRIJEM	VKLAD	1600	29899	\N	\N	\N
797789	2718	1997-09-14	PRIJEM	VKLAD	1600	24896	\N	\N	\N
797790	2718	1997-10-14	PRIJEM	VKLAD	1600	52991	\N	\N	\N
797791	2718	1997-11-17	PRIJEM	VKLAD	1600	38870	\N	\N	\N
797792	2718	1997-12-15	PRIJEM	VKLAD	1600	27498	\N	\N	\N
797793	2718	1998-01-13	PRIJEM	VKLAD	1600	19939	\N	\N	\N
797794	2718	1998-02-13	PRIJEM	VKLAD	1600	17297	\N	\N	\N
797795	2718	1998-03-17	PRIJEM	VKLAD	1600	25390	\N	\N	\N
797796	2718	1998-04-13	PRIJEM	VKLAD	1600	25570	\N	\N	\N
797797	2718	1998-05-14	PRIJEM	VKLAD	1600	21951	\N	\N	\N
797798	2718	1998-06-14	PRIJEM	VKLAD	1600	22120	\N	\N	\N
797799	2718	1998-07-14	PRIJEM	VKLAD	1600	52872	\N	\N	\N
797800	2718	1998-08-13	PRIJEM	VKLAD	1600	38344	\N	\N	\N
797801	2718	1998-09-15	PRIJEM	VKLAD	1600	31067	\N	\N	\N
797802	2718	1998-10-13	PRIJEM	VKLAD	1600	28870	\N	\N	\N
797803	2718	1998-11-14	PRIJEM	VKLAD	1600	21654	\N	\N	\N
797804	2718	1998-12-17	PRIJEM	VKLAD	1600	19565	\N	\N	\N
797805	2718	1995-06-28	VYDAJ	VYBER	10700	13619	\N	\N	\N
797806	2718	1996-06-12	VYDAJ	VYBER	16900	22012	\N	\N	\N
797807	2718	1997-06-24	VYDAJ	VYBER	10000	39560	\N	\N	\N
797810	2718	1996-01-27	VYDAJ	VYBER	1000	23341	\N	\N	\N
797811	2718	1997-01-05	VYDAJ	VYBER	6200	24339	\N	\N	\N
797812	2718	1998-01-15	VYDAJ	VYBER	3800	15439	\N	\N	\N
797814	2718	1996-06-09	VYDAJ	VYBER	7800	38912	\N	\N	\N
797816	2718	1998-06-23	VYDAJ	VYBER	7100	15420	\N	\N	\N
797818	2718	1996-01-17	VYDAJ	VYBER	4800	24341	\N	\N	\N
797819	2718	1997-01-12	VYDAJ	VYBER	4300	20039	\N	\N	\N
797820	2718	1998-01-01	VYDAJ	VYBER	2000	18339	\N	\N	\N
797821	2718	1995-12-30	VYDAJ	VYBER	2000	27325	\N	\N	\N
797822	2718	1996-12-17	VYDAJ	VYBER	2300	33725	\N	\N	\N
797823	2718	1997-12-11	VYDAJ	VYBER	2900	25898	\N	\N	\N
797824	2718	1998-12-08	VYDAJ	VYBER	2100	14865	\N	\N	\N
797827	2718	1995-11-18	VYDAJ	VYBER	1850	20807	\N	\N	\N
797829	2718	1995-10-06	VYDAJ	VYBER	2400	17292	\N	\N	\N
797830	2718	1995-11-10	VYDAJ	VYBER	600	21057	\N	\N	\N
797831	2718	1996-04-13	VYDAJ	VYBER	2400	18634	\N	\N	\N
797832	2718	1996-05-07	VYDAJ	VYBER	1650	19657	\N	\N	\N
797833	2718	1996-01-29	VYDAJ	VYBER	600	22741	\N	\N	\N
797834	2718	1996-04-09	VYDAJ	VYBER	1850	21034	\N	\N	\N
797835	2718	1997-04-04	VYDAJ	VYBER	1050	24195	\N	\N	\N
797836	2718	1997-06-12	VYDAJ	VYBER	1650	18362	\N	\N	\N
797837	2718	1997-03-25	VYDAJ	VYBER	1550	25853	\N	\N	\N
797838	2718	1997-06-07	VYDAJ	VYBER	2050	20012	\N	\N	\N
797839	2718	1997-12-21	VYDAJ	VYBER	1250	20248	\N	\N	\N
797840	2718	1998-03-23	VYDAJ	VYBER	900	24290	\N	\N	\N
797841	2718	1998-10-29	VYDAJ	VYBER	700	19970	\N	\N	\N
797842	2718	1998-03-05	VYDAJ	VYBER	1650	23790	\N	\N	\N
797843	2718	1998-01-14	VYDAJ	VYBER	700	19239	\N	\N	\N
797844	2718	1998-11-29	VYDAJ	VYBER	550	16904	\N	\N	\N
797845	2718	1998-04-04	VYDAJ	VYBER	400	23970	\N	\N	\N
797852	2718	1995-06-30	VYDAJ	VYBER	15	13698	SLUZBY	\N	\N
797853	2718	1995-07-31	VYDAJ	VYBER	15	18351	SLUZBY	\N	\N
797854	2718	1995-08-31	VYDAJ	VYBER	15	20317	SLUZBY	\N	\N
797855	2718	1995-09-30	VYDAJ	VYBER	15	22692	SLUZBY	\N	\N
797856	2718	1995-10-31	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
797857	2718	1995-11-30	VYDAJ	VYBER	15	20877	SLUZBY	\N	\N
797858	2718	1995-12-31	VYDAJ	VYBER	15	27441	SLUZBY	\N	\N
797859	2718	1996-01-31	VYDAJ	VYBER	15	22833	SLUZBY	\N	\N
797860	2718	1996-02-29	VYDAJ	VYBER	15	22606	SLUZBY	\N	\N
797861	2718	1996-03-31	VYDAJ	VYBER	15	22884	SLUZBY	\N	\N
797862	2718	1996-04-30	VYDAJ	VYBER	15	21307	SLUZBY	\N	\N
797863	2718	1996-05-31	VYDAJ	VYBER	15	46712	SLUZBY	\N	\N
797864	2718	1996-06-30	VYDAJ	VYBER	15	24631	SLUZBY	\N	\N
797865	2718	1996-07-31	VYDAJ	VYBER	15	23518	SLUZBY	\N	\N
797866	2718	1996-08-31	VYDAJ	VYBER	15	28404	SLUZBY	\N	\N
797867	2718	1996-09-30	VYDAJ	VYBER	15	26606	SLUZBY	\N	\N
797868	2718	1996-10-31	VYDAJ	VYBER	15	26002	SLUZBY	\N	\N
797869	2718	1996-11-30	VYDAJ	VYBER	15	28096	SLUZBY	\N	\N
797870	2718	1996-12-31	VYDAJ	VYBER	15	30539	SLUZBY	\N	\N
797871	2718	1997-01-31	VYDAJ	VYBER	15	21226	SLUZBY	\N	\N
797872	2718	1997-02-28	VYDAJ	VYBER	15	25803	SLUZBY	\N	\N
797873	2718	1997-03-31	VYDAJ	VYBER	15	25245	SLUZBY	\N	\N
797874	2718	1997-04-30	VYDAJ	VYBER	15	22583	SLUZBY	\N	\N
797875	2718	1997-05-31	VYDAJ	VYBER	15	22062	SLUZBY	\N	\N
797876	2718	1997-06-30	VYDAJ	VYBER	15	39662	SLUZBY	\N	\N
797877	2718	1997-07-31	VYDAJ	VYBER	15	28299	SLUZBY	\N	\N
797878	2718	1997-08-31	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
797879	2718	1997-09-30	VYDAJ	VYBER	15	51391	SLUZBY	\N	\N
797880	2718	1997-10-31	VYDAJ	VYBER	15	37270	SLUZBY	\N	\N
797881	2718	1997-11-30	VYDAJ	VYBER	15	28798	SLUZBY	\N	\N
797882	2718	1997-12-31	VYDAJ	VYBER	15	20339	SLUZBY	\N	\N
797883	2718	1998-01-31	VYDAJ	VYBER	15	15697	SLUZBY	\N	\N
797884	2718	1998-02-28	VYDAJ	VYBER	15	14245	SLUZBY	\N	\N
797885	2718	1998-03-31	VYDAJ	VYBER	15	24370	SLUZBY	\N	\N
797886	2718	1998-04-30	VYDAJ	VYBER	15	20351	SLUZBY	\N	\N
797887	2718	1998-05-31	VYDAJ	VYBER	15	20520	SLUZBY	\N	\N
797888	2718	1998-06-30	VYDAJ	VYBER	15	51272	SLUZBY	\N	\N
797889	2718	1998-07-31	VYDAJ	VYBER	15	36744	SLUZBY	\N	\N
797890	2718	1998-08-31	VYDAJ	VYBER	15	29467	SLUZBY	\N	\N
797891	2718	1998-09-30	VYDAJ	VYBER	15	27270	SLUZBY	\N	\N
797892	2718	1998-10-31	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
797893	2718	1998-11-30	VYDAJ	VYBER	15	16965	SLUZBY	\N	\N
797894	2718	1995-03-07	PRIJEM	VKLAD	11400	14106	\N	\N	\N
797895	2718	1995-04-06	PRIJEM	VKLAD	3300	19051	\N	\N	\N
797896	2718	1995-05-06	PRIJEM	VKLAD	600	21327	\N	\N	\N
797897	2718	1995-06-05	VYDAJ	VYBER	300	22719	\N	\N	\N
797898	2718	1995-07-05	PRIJEM	VKLAD	3000	16698	\N	\N	\N
797899	2718	1995-08-04	PRIJEM	VKLAD	300	18651	\N	\N	\N
797900	2718	1995-09-03	PRIJEM	VKLAD	700	21017	\N	\N	\N
797901	2718	1995-10-03	VYDAJ	VYBER	3000	19692	\N	\N	\N
797902	2718	1995-11-02	PRIJEM	VKLAD	2700	21657	\N	\N	\N
797903	2718	1995-12-02	VYDAJ	VYBER	6900	27725	\N	\N	\N
797904	2718	1996-01-01	PRIJEM	VKLAD	100	27541	\N	\N	\N
797905	2718	1996-01-31	VYDAJ	VYBER	1900	20933	\N	\N	\N
797906	2718	1996-03-01	VYDAJ	VYBER	2700	19906	\N	\N	\N
797907	2718	1996-03-31	PRIJEM	VKLAD	1300	22806	\N	\N	\N
797908	2718	1996-04-30	PRIJEM	VKLAD	1000	21322	\N	\N	\N
797909	2718	1996-05-30	VYDAJ	VYBER	15900	46598	\N	\N	\N
797910	2718	1996-06-29	PRIJEM	VKLAD	900	24512	\N	\N	\N
797911	2718	1996-07-29	VYDAJ	VYBER	2800	23431	\N	\N	\N
797912	2718	1996-08-28	PRIJEM	VKLAD	3200	28318	\N	\N	\N
797913	2718	1996-09-27	VYDAJ	VYBER	3500	26504	\N	\N	\N
797914	2718	1996-10-27	VYDAJ	VYBER	2300	25906	\N	\N	\N
797915	2718	1996-11-26	PRIJEM	VKLAD	400	28002	\N	\N	\N
797916	2718	1996-12-26	VYDAJ	VYBER	3300	30425	\N	\N	\N
797917	2718	1997-01-25	VYDAJ	VYBER	500	21139	\N	\N	\N
797918	2718	1997-02-24	PRIJEM	VKLAD	2900	25726	\N	\N	\N
797919	2718	1997-03-26	VYDAJ	VYBER	700	25153	\N	\N	\N
797920	2718	1997-04-25	VYDAJ	VYBER	3300	22495	\N	\N	\N
797921	2718	1997-05-25	VYDAJ	VYBER	2200	21983	\N	\N	\N
797922	2718	1997-06-24	VYDAJ	VYBER	17000	49560	\N	\N	\N
797923	2718	1997-07-24	VYDAJ	VYBER	13100	28162	\N	\N	\N
797924	2718	1997-08-23	VYDAJ	VYBER	6700	23199	\N	\N	\N
797925	2718	1997-09-22	VYDAJ	VYBER	800	24096	\N	\N	\N
797926	2718	1997-10-22	VYDAJ	VYBER	15900	37091	\N	\N	\N
797927	2718	1997-11-21	VYDAJ	VYBER	10200	28670	\N	\N	\N
797928	2718	1997-12-21	VYDAJ	VYBER	6000	21498	\N	\N	\N
797929	2718	1998-01-20	PRIJEM	VKLAD	200	15639	\N	\N	\N
797930	2718	1998-02-19	VYDAJ	VYBER	3100	14197	\N	\N	\N
797931	2718	1998-03-21	VYDAJ	VYBER	200	25190	\N	\N	\N
797932	2718	1998-04-20	VYDAJ	VYBER	5300	20270	\N	\N	\N
797933	2718	1998-05-20	VYDAJ	VYBER	1500	20451	\N	\N	\N
797934	2718	1998-06-19	PRIJEM	VKLAD	400	22520	\N	\N	\N
797935	2718	1998-07-19	VYDAJ	VYBER	16300	36572	\N	\N	\N
797936	2718	1998-08-18	VYDAJ	VYBER	9000	29344	\N	\N	\N
797937	2718	1998-09-17	VYDAJ	VYBER	3900	27167	\N	\N	\N
797938	2718	1998-10-17	VYDAJ	VYBER	8200	20670	\N	\N	\N
797939	2718	1998-11-16	VYDAJ	VYBER	4200	17454	\N	\N	\N
797940	2718	1998-12-16	PRIJEM	VKLAD	3100	17965	\N	\N	\N
797988	2719	1996-02-08	PRIJEM	VKLAD	500	500	\N	\N	\N
797990	2719	1996-02-14	PRIJEM	PREVOD Z UCTU	5955	6455	DUCHOD	MN	35137134
797991	2719	1996-03-14	PRIJEM	PREVOD Z UCTU	5955	12425	DUCHOD	MN	35137134
797992	2719	1996-04-14	PRIJEM	PREVOD Z UCTU	5955	18407	DUCHOD	MN	35137134
797993	2719	1996-05-14	PRIJEM	PREVOD Z UCTU	5955	24389	DUCHOD	MN	35137134
797994	2719	1996-06-14	PRIJEM	PREVOD Z UCTU	5955	30371	DUCHOD	MN	35137134
797995	2719	1996-07-14	PRIJEM	PREVOD Z UCTU	5955	21761	DUCHOD	MN	35137134
797996	2719	1996-08-14	PRIJEM	PREVOD Z UCTU	5955	24336	DUCHOD	MN	35137134
797997	2719	1996-09-14	PRIJEM	PREVOD Z UCTU	5955	20442	DUCHOD	MN	35137134
797998	2719	1996-10-14	PRIJEM	PREVOD Z UCTU	5955	23573	DUCHOD	MN	35137134
797999	2719	1996-11-14	PRIJEM	PREVOD Z UCTU	5955	24555	DUCHOD	MN	35137134
798000	2719	1996-12-14	PRIJEM	PREVOD Z UCTU	5955	25143	DUCHOD	MN	35137134
798001	2719	1997-01-14	PRIJEM	PREVOD Z UCTU	5955	24693	DUCHOD	MN	35137134
798002	2719	1997-02-14	PRIJEM	PREVOD Z UCTU	5955	19585	DUCHOD	MN	35137134
798003	2719	1997-03-14	PRIJEM	PREVOD Z UCTU	5955	22712	DUCHOD	MN	35137134
798004	2719	1997-04-14	PRIJEM	PREVOD Z UCTU	5955	25853	DUCHOD	MN	35137134
798005	2719	1997-05-14	PRIJEM	PREVOD Z UCTU	5955	28607	DUCHOD	MN	35137134
798006	2719	1997-06-14	PRIJEM	PREVOD Z UCTU	5955	28669	DUCHOD	MN	35137134
798007	2719	1997-07-14	PRIJEM	PREVOD Z UCTU	5955	23421	DUCHOD	MN	35137134
798008	2719	1997-08-14	PRIJEM	PREVOD Z UCTU	5955	26363	DUCHOD	MN	35137134
798009	2719	1997-09-14	PRIJEM	PREVOD Z UCTU	5955	28215	DUCHOD	MN	35137134
798010	2719	1997-10-14	PRIJEM	PREVOD Z UCTU	5955	25178	DUCHOD	MN	35137134
798011	2719	1997-11-14	PRIJEM	PREVOD Z UCTU	5955	25428	DUCHOD	MN	35137134
798012	2719	1997-12-14	PRIJEM	PREVOD Z UCTU	5955	26637	DUCHOD	MN	35137134
798013	2719	1998-01-14	PRIJEM	PREVOD Z UCTU	5955	19516	DUCHOD	MN	35137134
798014	2719	1998-02-14	PRIJEM	PREVOD Z UCTU	5955	17886	DUCHOD	MN	35137134
798015	2719	1998-03-14	PRIJEM	PREVOD Z UCTU	5955	21006	DUCHOD	MN	35137134
798016	2719	1998-04-14	PRIJEM	PREVOD Z UCTU	5955	21838	DUCHOD	MN	35137134
798017	2719	1998-05-14	PRIJEM	PREVOD Z UCTU	5955	22655	DUCHOD	MN	35137134
798018	2719	1998-06-14	PRIJEM	PREVOD Z UCTU	5955	25397	DUCHOD	MN	35137134
798019	2719	1998-07-14	PRIJEM	PREVOD Z UCTU	5955	20430	DUCHOD	MN	35137134
798020	2719	1998-08-14	PRIJEM	PREVOD Z UCTU	5955	23160	DUCHOD	MN	35137134
798021	2719	1998-09-14	PRIJEM	PREVOD Z UCTU	5955	21721	DUCHOD	MN	35137134
798022	2719	1998-10-14	PRIJEM	PREVOD Z UCTU	5955	19148	DUCHOD	MN	35137134
798023	2719	1998-11-14	PRIJEM	PREVOD Z UCTU	5955	20772	DUCHOD	MN	35137134
798024	2719	1998-12-14	PRIJEM	PREVOD Z UCTU	5955	17998	DUCHOD	MN	35137134
798031	2719	1996-07-06	VYDAJ	PREVOD NA UCET	2889	15806	SIPO	AB	84430861
798032	2719	1996-08-06	VYDAJ	PREVOD NA UCET	2889	18381	SIPO	AB	84430861
798033	2719	1996-09-06	VYDAJ	PREVOD NA UCET	2889	16007	SIPO	AB	84430861
798034	2719	1996-10-06	VYDAJ	PREVOD NA UCET	2889	17618	SIPO	AB	84430861
798035	2719	1996-11-06	VYDAJ	PREVOD NA UCET	2889	18600	SIPO	AB	84430861
798036	2719	1996-12-06	VYDAJ	PREVOD NA UCET	2889	21748	SIPO	AB	84430861
798037	2719	1997-01-06	VYDAJ	PREVOD NA UCET	2889	21238	SIPO	AB	84430861
798038	2719	1997-02-06	VYDAJ	PREVOD NA UCET	2889	13630	SIPO	AB	84430861
798039	2719	1997-03-06	VYDAJ	PREVOD NA UCET	2889	16757	SIPO	AB	84430861
798040	2719	1997-04-06	VYDAJ	PREVOD NA UCET	2889	19898	SIPO	AB	84430861
798041	2719	1997-05-06	VYDAJ	PREVOD NA UCET	2889	22652	SIPO	AB	84430861
798042	2719	1997-06-06	VYDAJ	PREVOD NA UCET	2889	22714	SIPO	AB	84430861
798043	2719	1997-07-06	VYDAJ	PREVOD NA UCET	2889	17466	SIPO	AB	84430861
798044	2719	1997-08-06	VYDAJ	PREVOD NA UCET	2889	20408	SIPO	AB	84430861
798045	2719	1997-09-06	VYDAJ	PREVOD NA UCET	2889	22260	SIPO	AB	84430861
798046	2719	1997-10-06	VYDAJ	PREVOD NA UCET	2889	19223	SIPO	AB	84430861
798047	2719	1997-11-06	VYDAJ	PREVOD NA UCET	2889	19473	SIPO	AB	84430861
798048	2719	1997-12-06	VYDAJ	PREVOD NA UCET	2889	20682	SIPO	AB	84430861
798049	2719	1998-01-06	VYDAJ	PREVOD NA UCET	2889	16601	SIPO	AB	84430861
798050	2719	1998-02-06	VYDAJ	PREVOD NA UCET	2889	11931	SIPO	AB	84430861
798051	2719	1998-03-06	VYDAJ	PREVOD NA UCET	2889	15051	SIPO	AB	84430861
798052	2719	1998-04-06	VYDAJ	PREVOD NA UCET	2889	15883	SIPO	AB	84430861
798053	2719	1998-05-06	VYDAJ	PREVOD NA UCET	2889	19020	SIPO	AB	84430861
798054	2719	1998-06-06	VYDAJ	PREVOD NA UCET	2889	19442	SIPO	AB	84430861
798055	2719	1998-07-06	VYDAJ	PREVOD NA UCET	2889	14475	SIPO	AB	84430861
798056	2719	1998-08-06	VYDAJ	PREVOD NA UCET	2889	17205	SIPO	AB	84430861
798057	2719	1998-09-06	VYDAJ	PREVOD NA UCET	2889	15766	SIPO	AB	84430861
798058	2719	1998-10-06	VYDAJ	PREVOD NA UCET	2889	13193	SIPO	AB	84430861
798059	2719	1998-11-06	VYDAJ	PREVOD NA UCET	2889	14817	SIPO	AB	84430861
798060	2719	1998-12-06	VYDAJ	PREVOD NA UCET	2889	12043	SIPO	AB	84430861
798061	2719	1996-06-24	VYDAJ	VYBER	11700	18671	\N	\N	\N
798062	2719	1997-06-17	VYDAJ	VYBER	6300	22369	\N	\N	\N
798063	2719	1998-06-15	VYDAJ	VYBER	8100	17297	\N	\N	\N
798065	2719	1997-01-06	VYDAJ	VYBER	2500	18738	\N	\N	\N
798066	2719	1998-01-23	VYDAJ	VYBER	1950	15326	\N	\N	\N
798067	2719	1996-12-29	VYDAJ	VYBER	1100	24043	\N	\N	\N
798068	2719	1997-12-22	VYDAJ	VYBER	950	22007	\N	\N	\N
798076	2719	1997-01-16	VYDAJ	VYBER	1520	20773	\N	\N	\N
798077	2719	1997-01-20	VYDAJ	VYBER	1920	18853	\N	\N	\N
798078	2719	1997-01-15	VYDAJ	VYBER	800	22293	\N	\N	\N
798079	2719	1997-01-23	VYDAJ	VYBER	1120	17733	\N	\N	\N
798080	2719	1997-01-14	VYDAJ	VYBER	1600	23093	\N	\N	\N
798081	2719	1997-01-24	VYDAJ	VYBER	1280	16453	\N	\N	\N
798082	2719	1998-01-16	VYDAJ	VYBER	2240	17276	\N	\N	\N
798084	2719	1998-01-26	VYDAJ	VYBER	560	14766	\N	\N	\N
798085	2719	1998-01-08	VYDAJ	VYBER	400	16201	\N	\N	\N
798088	2719	1996-08-28	VYDAJ	VYBER	3360	20976	\N	\N	\N
798089	2719	1996-09-03	VYDAJ	VYBER	2160	18896	\N	\N	\N
798090	2719	1996-09-10	VYDAJ	VYBER	1520	14487	\N	\N	\N
798091	2719	1996-10-24	VYDAJ	VYBER	2160	21413	\N	\N	\N
798092	2719	1996-07-14	VYDAJ	VYBER	560	21201	\N	\N	\N
798093	2719	1996-12-07	VYDAJ	VYBER	2560	19188	\N	\N	\N
798096	2719	1997-11-29	VYDAJ	VYBER	640	23588	\N	\N	\N
798097	2719	1997-12-21	VYDAJ	VYBER	2480	22957	\N	\N	\N
798098	2719	1997-11-16	VYDAJ	VYBER	400	25028	\N	\N	\N
798099	2719	1997-12-20	VYDAJ	VYBER	1200	25437	\N	\N	\N
798100	2719	1997-11-19	VYDAJ	VYBER	800	24228	\N	\N	\N
798101	2719	1998-09-01	VYDAJ	VYBER	2480	18655	\N	\N	\N
798103	2719	1998-01-10	VYDAJ	VYBER	2640	13561	\N	\N	\N
798104	2719	1998-05-11	VYDAJ	VYBER	2320	16700	\N	\N	\N
798105	2719	1998-09-19	VYDAJ	VYBER	2400	19321	\N	\N	\N
798112	2719	1996-06-30	VYDAJ	VYBER	15	18695	SLUZBY	\N	\N
798113	2719	1996-07-31	VYDAJ	VYBER	15	21270	SLUZBY	\N	\N
798114	2719	1996-08-31	VYDAJ	VYBER	15	21056	SLUZBY	\N	\N
798115	2719	1996-09-30	VYDAJ	VYBER	15	20507	SLUZBY	\N	\N
798116	2719	1996-10-31	VYDAJ	VYBER	15	21489	SLUZBY	\N	\N
798117	2719	1996-11-30	VYDAJ	VYBER	15	24637	SLUZBY	\N	\N
798118	2719	1996-12-31	VYDAJ	VYBER	15	24127	SLUZBY	\N	\N
798119	2719	1997-01-31	VYDAJ	VYBER	15	16519	SLUZBY	\N	\N
798120	2719	1997-02-28	VYDAJ	VYBER	15	19646	SLUZBY	\N	\N
798121	2719	1997-03-31	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
798122	2719	1997-04-30	VYDAJ	VYBER	15	25941	SLUZBY	\N	\N
798123	2719	1997-05-31	VYDAJ	VYBER	15	28703	SLUZBY	\N	\N
798124	2719	1997-06-30	VYDAJ	VYBER	15	22455	SLUZBY	\N	\N
798125	2719	1997-07-31	VYDAJ	VYBER	15	23497	SLUZBY	\N	\N
798126	2719	1997-08-31	VYDAJ	VYBER	15	25149	SLUZBY	\N	\N
798127	2719	1997-09-30	VYDAJ	VYBER	15	22112	SLUZBY	\N	\N
798128	2719	1997-10-31	VYDAJ	VYBER	15	22362	SLUZBY	\N	\N
798129	2719	1997-11-30	VYDAJ	VYBER	15	23571	SLUZBY	\N	\N
798130	2719	1997-12-31	VYDAJ	VYBER	15	19490	SLUZBY	\N	\N
798131	2719	1998-01-31	VYDAJ	VYBER	15	14820	SLUZBY	\N	\N
798132	2719	1998-02-28	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
798133	2719	1998-03-31	VYDAJ	VYBER	15	18772	SLUZBY	\N	\N
798134	2719	1998-04-30	VYDAJ	VYBER	15	21909	SLUZBY	\N	\N
798135	2719	1998-05-31	VYDAJ	VYBER	15	22331	SLUZBY	\N	\N
798136	2719	1998-06-30	VYDAJ	VYBER	15	17364	SLUZBY	\N	\N
798137	2719	1998-07-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
798138	2719	1998-08-31	VYDAJ	VYBER	15	21135	SLUZBY	\N	\N
798139	2719	1998-09-30	VYDAJ	VYBER	15	16082	SLUZBY	\N	\N
798140	2719	1998-10-31	VYDAJ	VYBER	15	17706	SLUZBY	\N	\N
798141	2719	1998-11-30	VYDAJ	VYBER	15	14932	SLUZBY	\N	\N
798142	2719	1997-05-03	VYDAJ	VYBER	400	25541	\N	\N	\N
798143	2719	1997-06-02	VYDAJ	VYBER	3100	25603	\N	\N	\N
798144	2719	1997-07-02	VYDAJ	VYBER	2100	20355	\N	\N	\N
798145	2719	1997-08-01	VYDAJ	VYBER	200	23297	\N	\N	\N
798146	2719	1997-08-31	VYDAJ	VYBER	1300	25164	\N	\N	\N
798147	2719	1997-09-30	VYDAJ	VYBER	6200	22126	\N	\N	\N
798148	2719	1997-10-30	VYDAJ	VYBER	2900	22278	\N	\N	\N
798149	2719	1997-11-29	VYDAJ	VYBER	100	23488	\N	\N	\N
798150	2719	1997-12-29	VYDAJ	VYBER	2600	19407	\N	\N	\N
798151	2719	1998-03-29	VYDAJ	VYBER	2300	18706	\N	\N	\N
798152	2719	1998-05-28	VYDAJ	VYBER	400	22255	\N	\N	\N
798153	2719	1998-07-27	VYDAJ	VYBER	400	20030	\N	\N	\N
798154	2719	1998-08-26	VYDAJ	VYBER	2100	21060	\N	\N	\N
798155	2719	1998-09-25	VYDAJ	VYBER	3300	16021	\N	\N	\N
798156	2719	1998-10-25	VYDAJ	VYBER	1500	17648	\N	\N	\N
798157	2719	1998-11-24	VYDAJ	VYBER	5900	14872	\N	\N	\N
798193	2720	1997-06-16	PRIJEM	VKLAD	200	200	\N	\N	\N
798194	2720	1997-08-05	PRIJEM	VKLAD	45328	125244	\N	\N	\N
798195	2720	1997-09-27	PRIJEM	VKLAD	49797	104949	\N	\N	\N
798196	2720	1997-12-07	PRIJEM	VKLAD	20642	94669	\N	\N	\N
798199	2720	1997-06-30	PRIJEM	VKLAD	17491	17691	\N	\N	\N
798201	2720	1997-07-21	PRIJEM	VKLAD	13015	36808	\N	\N	\N
798202	2720	1997-12-13	PRIJEM	VKLAD	31388	106724	\N	\N	\N
798203	2720	1997-08-17	PRIJEM	VKLAD	34112	93931	\N	\N	\N
798207	2720	1997-10-14	PRIJEM	VKLAD	22428	79188	\N	\N	\N
798208	2720	1997-11-08	PRIJEM	VKLAD	6834	72257	\N	\N	\N
798209	2720	1997-10-29	PRIJEM	VKLAD	44694	144694	\N	\N	\N
798211	2720	1997-07-30	PRIJEM	VKLAD	40908	113873	\N	\N	\N
798212	2720	1997-11-10	PRIJEM	VKLAD	9718	81975	\N	\N	\N
798213	2720	1997-12-08	PRIJEM	VKLAD	39757	129707	\N	\N	\N
798214	2720	1997-12-04	PRIJEM	VKLAD	24342	74027	\N	\N	\N
798216	2720	1997-07-24	PRIJEM	VKLAD	36157	72965	\N	\N	\N
798218	2720	1997-10-27	PRIJEM	VKLAD	48912	100000	\N	\N	\N
798221	2720	1997-12-10	PRIJEM	VKLAD	13135	81542	\N	\N	\N
798222	2720	1998-10-11	PRIJEM	VKLAD	11739	46271	\N	\N	\N
798223	2720	1998-12-23	PRIJEM	VKLAD	29468	68952	\N	\N	\N
798224	2720	1998-01-06	PRIJEM	VKLAD	24155	53843	\N	\N	\N
798225	2720	1998-01-10	PRIJEM	VKLAD	44986	94110	\N	\N	\N
798226	2720	1998-09-04	PRIJEM	VKLAD	17854	111965	\N	\N	\N
798227	2720	1998-01-19	PRIJEM	VKLAD	24602	82386	\N	\N	\N
798228	2720	1998-08-05	PRIJEM	VKLAD	26283	76033	\N	\N	\N
798229	2720	1998-09-01	PRIJEM	VKLAD	27446	94111	\N	\N	\N
798230	2720	1998-06-23	PRIJEM	VKLAD	24747	58257	\N	\N	\N
798231	2720	1998-05-22	PRIJEM	VKLAD	39394	75999	\N	\N	\N
798232	2720	1998-12-25	PRIJEM	VKLAD	49239	118191	\N	\N	\N
798233	2720	1998-04-19	PRIJEM	VKLAD	7515	75159	\N	\N	\N
798234	2720	1998-01-26	PRIJEM	VKLAD	11521	89707	\N	\N	\N
798235	2720	1998-01-12	PRIJEM	VKLAD	20780	108684	\N	\N	\N
798236	2720	1998-07-13	PRIJEM	VKLAD	20448	54062	\N	\N	\N
798237	2720	1998-12-17	PRIJEM	VKLAD	7011	39484	\N	\N	\N
798238	2720	1998-11-11	PRIJEM	VKLAD	39547	69299	\N	\N	\N
798239	2720	1998-08-29	PRIJEM	VKLAD	26086	66492	\N	\N	\N
798240	2720	1998-05-01	PRIJEM	VKLAD	5849	81190	\N	\N	\N
798241	2720	1998-08-05	PRIJEM	VKLAD	34393	110426	\N	\N	\N
798242	2720	1998-04-15	PRIJEM	VKLAD	49960	69644	\N	\N	\N
798250	2720	1997-08-16	VYDAJ	VYBER	1800	59819	\N	\N	0
798251	2720	1997-09-14	VYDAJ	VYBER	2200	81152	\N	\N	0
798252	2720	1997-10-12	VYDAJ	VYBER	2700	56760	\N	\N	0
798253	2720	1997-11-19	VYDAJ	VYBER	2300	49469	\N	\N	0
798254	2720	1997-12-09	VYDAJ	VYBER	1800	68407	\N	\N	0
798255	2720	1998-01-03	VYDAJ	VYBER	3500	29688	\N	\N	0
798256	2720	1998-02-11	VYDAJ	VYBER	2800	49875	\N	\N	0
798257	2720	1998-03-03	VYDAJ	VYBER	2100	48020	\N	\N	0
798258	2720	1998-04-17	VYDAJ	VYBER	2000	67644	\N	\N	0
798259	2720	1998-05-12	VYDAJ	PREVOD NA UCET	2608	36605	UVER	ST	27251911
798260	2720	1998-06-12	VYDAJ	PREVOD NA UCET	2608	33510	UVER	ST	27251911
798261	2720	1998-07-12	VYDAJ	PREVOD NA UCET	2608	33614	UVER	ST	27251911
798262	2720	1998-08-12	VYDAJ	PREVOD NA UCET	2608	40406	UVER	ST	27251911
798263	2720	1998-09-12	VYDAJ	PREVOD NA UCET	2608	49431	UVER	ST	27251911
798264	2720	1998-10-12	VYDAJ	PREVOD NA UCET	2608	37457	UVER	ST	27251911
798265	2720	1998-11-12	VYDAJ	PREVOD NA UCET	2608	60485	UVER	ST	27251911
798266	2720	1998-12-12	VYDAJ	PREVOD NA UCET	2608	32473	UVER	ST	27251911
798274	2720	1997-08-11	VYDAJ	PREVOD NA UCET	6206	89819	SIPO	YZ	96241729
798275	2720	1997-09-11	VYDAJ	PREVOD NA UCET	6206	83352	SIPO	YZ	96241729
798276	2720	1997-10-11	VYDAJ	PREVOD NA UCET	6206	59460	SIPO	YZ	96241729
798277	2720	1997-11-11	VYDAJ	PREVOD NA UCET	6206	75769	SIPO	YZ	96241729
798278	2720	1997-12-11	VYDAJ	PREVOD NA UCET	6206	75336	SIPO	YZ	96241729
798279	2720	1998-01-11	VYDAJ	PREVOD NA UCET	6206	87904	SIPO	YZ	96241729
798280	2720	1998-02-11	VYDAJ	PREVOD NA UCET	6206	79075	SIPO	YZ	96241729
798281	2720	1998-03-11	VYDAJ	PREVOD NA UCET	6206	37095	SIPO	YZ	96241729
798282	2720	1998-04-11	VYDAJ	PREVOD NA UCET	6206	16784	SIPO	YZ	96241729
798283	2720	1998-05-11	VYDAJ	PREVOD NA UCET	6206	43413	SIPO	YZ	96241729
798284	2720	1998-06-11	VYDAJ	PREVOD NA UCET	6206	36118	SIPO	YZ	96241729
798285	2720	1998-07-11	VYDAJ	PREVOD NA UCET	6206	47522	SIPO	YZ	96241729
798286	2720	1998-08-11	VYDAJ	PREVOD NA UCET	6206	43014	SIPO	YZ	96241729
798287	2720	1998-09-11	VYDAJ	PREVOD NA UCET	6206	52040	SIPO	YZ	96241729
798288	2720	1998-10-11	VYDAJ	PREVOD NA UCET	6206	40065	SIPO	YZ	96241729
798289	2720	1998-11-11	VYDAJ	PREVOD NA UCET	6206	63093	SIPO	YZ	96241729
798290	2720	1998-12-11	VYDAJ	PREVOD NA UCET	6206	35081	SIPO	YZ	96241729
798298	2720	1997-08-07	VYDAJ	PREVOD NA UCET	4719	96025	 	AB	33301061
798299	2720	1997-09-07	VYDAJ	PREVOD NA UCET	4719	89558	 	AB	33301061
798300	2720	1997-10-07	VYDAJ	PREVOD NA UCET	4719	65666	 	AB	33301061
798301	2720	1997-11-07	VYDAJ	PREVOD NA UCET	4719	65423	 	AB	33301061
798302	2720	1997-12-07	VYDAJ	PREVOD NA UCET	4719	89950	 	AB	33301061
798303	2720	1998-01-07	VYDAJ	PREVOD NA UCET	4719	49124	 	AB	33301061
798304	2720	1998-02-07	VYDAJ	PREVOD NA UCET	4719	85281	 	AB	33301061
798305	2720	1998-03-07	VYDAJ	PREVOD NA UCET	4719	43301	 	AB	33301061
798306	2720	1998-04-07	VYDAJ	PREVOD NA UCET	4719	22990	 	AB	33301061
798307	2720	1998-05-07	VYDAJ	PREVOD NA UCET	4719	49619	 	AB	33301061
798308	2720	1998-06-07	VYDAJ	PREVOD NA UCET	4719	71486	 	AB	33301061
798309	2720	1998-07-07	VYDAJ	PREVOD NA UCET	4719	53728	 	AB	33301061
798310	2720	1998-08-07	VYDAJ	PREVOD NA UCET	4719	60920	 	AB	33301061
798311	2720	1998-09-07	VYDAJ	PREVOD NA UCET	4719	85646	 	AB	33301061
798312	2720	1998-10-07	VYDAJ	PREVOD NA UCET	4719	44925	 	AB	33301061
798313	2720	1998-11-07	VYDAJ	PREVOD NA UCET	4719	20952	 	AB	33301061
798314	2720	1998-12-07	VYDAJ	PREVOD NA UCET	4719	50987	 	AB	33301061
798319	2720	1998-05-02	VYBER	VYBER	18210	62980	\N	\N	\N
798320	2720	1998-05-04	VYBER	VYBER	8642	54338	\N	\N	\N
798321	2720	1998-11-18	VYBER	VYBER	4945	55540	\N	\N	\N
798322	2720	1998-10-15	VYBER	VYBER	11897	25560	\N	\N	\N
798324	2720	1998-10-09	VYBER	VYBER	19493	34532	\N	\N	\N
798325	2720	1998-08-06	VYBER	VYBER	19787	65639	\N	\N	\N
798326	2720	1998-06-09	VYBER	VYBER	21162	50324	\N	\N	\N
798330	2720	1997-12-21	VYDAJ	VYBER	7500	33024	\N	\N	\N
798331	2720	1998-12-29	VYDAJ	VYBER	6900	75291	\N	\N	\N
798334	2720	1997-10-03	VYDAJ	VYBER	4500	70385	\N	\N	\N
798336	2720	1998-01-20	VYDAJ	VYBER	4200	78186	\N	\N	\N
798337	2720	1998-07-19	VYDAJ	VYBER	4500	49562	\N	\N	\N
798338	2720	1998-12-07	VYDAJ	VYBER	11400	39587	\N	\N	\N
798347	2720	1997-08-31	VYDAJ	VYBER	30	94277	SLUZBY	\N	\N
798348	2720	1997-09-30	VYDAJ	VYBER	30	105285	SLUZBY	\N	\N
798349	2720	1997-10-31	VYDAJ	VYBER	30	70142	SLUZBY	\N	\N
798350	2720	1997-11-30	VYDAJ	VYBER	30	49685	SLUZBY	\N	\N
798351	2720	1997-12-31	VYDAJ	VYBER	30	33188	SLUZBY	\N	\N
798352	2720	1998-01-31	VYDAJ	VYBER	30	90000	SLUZBY	\N	\N
798353	2720	1998-02-28	VYDAJ	VYBER	30	50120	SLUZBY	\N	\N
798354	2720	1998-03-31	VYDAJ	VYBER	30	27709	SLUZBY	\N	\N
798355	2720	1998-04-30	VYDAJ	VYBER	30	75341	SLUZBY	\N	\N
798356	2720	1998-05-31	VYDAJ	VYBER	30	76205	SLUZBY	\N	\N
798357	2720	1998-06-30	VYDAJ	VYBER	30	58447	SLUZBY	\N	\N
798358	2720	1998-07-31	VYDAJ	VYBER	30	49750	SLUZBY	\N	\N
798359	2720	1998-08-31	VYDAJ	VYBER	30	66665	SLUZBY	\N	\N
798360	2720	1998-09-30	VYDAJ	VYBER	30	49644	SLUZBY	\N	\N
798361	2720	1998-10-31	VYDAJ	VYBER	30	25671	SLUZBY	\N	\N
798362	2720	1998-11-30	VYDAJ	VYBER	30	55706	SLUZBY	\N	\N
798363	2720	1997-07-16	PRIJEM	VKLAD	6100	23794	\N	\N	\N
798364	2720	1997-07-30	VYDAJ	VYBER	34100	79773	\N	\N	\N
798365	2720	1997-08-05	VYDAJ	VYBER	24500	100744	\N	\N	\N
798366	2720	1997-08-15	VYDAJ	VYBER	28200	61619	\N	\N	\N
798367	2720	1997-09-14	VYDAJ	VYBER	26000	55152	\N	\N	\N
798368	2720	1997-09-30	VYDAJ	VYBER	30400	74885	\N	\N	\N
798369	2720	1997-10-14	VYDAJ	VYBER	28100	51088	\N	\N	\N
798370	2720	1997-10-29	VYDAJ	VYBER	21600	123094	\N	\N	\N
798371	2720	1997-10-31	VYDAJ	VYBER	53200	70172	\N	\N	\N
798372	2720	1997-11-13	VYDAJ	VYBER	24000	51769	\N	\N	\N
798373	2720	1997-12-08	VYDAJ	VYBER	59500	70207	\N	\N	\N
798374	2720	1997-12-13	VYDAJ	VYBER	53100	40524	\N	\N	\N
798375	2720	1997-12-13	VYDAJ	VYBER	13100	93624	\N	\N	\N
798376	2720	1998-01-12	VYDAJ	VYBER	17300	57784	\N	\N	\N
798377	2720	1998-01-12	VYDAJ	VYBER	33600	75084	\N	\N	\N
798378	2720	1998-02-11	VYDAJ	VYBER	26400	52675	\N	\N	\N
798379	2720	1998-03-13	VYDAJ	VYBER	9500	27595	\N	\N	\N
798380	2720	1998-04-12	PRIJEM	VKLAD	2900	19684	\N	\N	\N
798381	2720	1998-05-12	VYDAJ	VYBER	4200	39213	\N	\N	\N
798382	2720	1998-06-11	VYDAJ	VYBER	8000	42324	\N	\N	\N
798383	2720	1998-07-11	VYDAJ	VYBER	11300	36222	\N	\N	\N
798384	2720	1998-08-05	VYDAJ	VYBER	25000	85426	\N	\N	\N
798385	2720	1998-08-10	VYDAJ	VYBER	11700	49220	\N	\N	\N
798386	2720	1998-09-04	VYDAJ	VYBER	21600	90365	\N	\N	\N
798387	2720	1998-09-09	VYDAJ	VYBER	27400	58246	\N	\N	\N
798388	2720	1998-10-09	PRIJEM	VKLAD	9100	54025	\N	\N	\N
798389	2720	1998-11-08	PRIJEM	VKLAD	8800	29752	\N	\N	\N
798390	2720	1998-12-08	PRIJEM	VKLAD	1700	41287	\N	\N	\N
798391	2720	1998-12-25	VYDAJ	VYBER	36000	82191	\N	\N	\N
798411	2721	1997-11-14	PRIJEM	VKLAD	300	300	\N	\N	\N
798423	2721	1997-12-07	PRIJEM	VKLAD	25224	25524	\N	\N	\N
798424	2721	1998-01-07	PRIJEM	VKLAD	16816	37690	\N	\N	\N
798425	2721	1998-02-07	PRIJEM	VKLAD	16816	44510	\N	\N	\N
798426	2721	1998-03-07	PRIJEM	VKLAD	16816	49654	\N	\N	\N
798427	2721	1998-04-07	PRIJEM	VKLAD	16816	50408	\N	\N	\N
798428	2721	1998-05-07	PRIJEM	VKLAD	16816	48039	\N	\N	\N
798429	2721	1998-06-07	PRIJEM	VKLAD	25224	54888	\N	\N	\N
798430	2721	1998-07-07	PRIJEM	VKLAD	16816	41230	\N	\N	\N
798431	2721	1998-08-07	PRIJEM	VKLAD	16816	39422	\N	\N	\N
798432	2721	1998-09-07	PRIJEM	VKLAD	16816	37623	\N	\N	\N
798433	2721	1998-10-07	PRIJEM	VKLAD	16816	37118	\N	\N	\N
798434	2721	1998-11-07	PRIJEM	VKLAD	16816	37313	\N	\N	\N
798435	2721	1998-12-07	PRIJEM	VKLAD	25224	45013	\N	\N	\N
798451	2721	1998-04-12	VYDAJ	PREVOD NA UCET	1544	46412	SIPO	QR	69068598
798452	2721	1998-05-12	VYDAJ	PREVOD NA UCET	1544	44043	SIPO	QR	69068598
798453	2721	1998-06-12	VYDAJ	PREVOD NA UCET	1544	50892	SIPO	QR	69068598
798454	2721	1998-07-12	VYDAJ	PREVOD NA UCET	1544	23834	SIPO	QR	69068598
798455	2721	1998-08-12	VYDAJ	PREVOD NA UCET	1544	20726	SIPO	QR	69068598
798456	2721	1998-09-12	VYDAJ	PREVOD NA UCET	1544	20227	SIPO	QR	69068598
798457	2721	1998-10-12	VYDAJ	PREVOD NA UCET	1544	20422	SIPO	QR	69068598
798458	2721	1998-11-12	VYDAJ	PREVOD NA UCET	1544	19717	SIPO	QR	69068598
798459	2721	1998-12-12	VYDAJ	PREVOD NA UCET	1544	22617	SIPO	QR	69068598
798475	2721	1998-04-09	VYDAJ	PREVOD NA UCET	2200	48135	 	QR	48024463
798476	2721	1998-05-09	VYDAJ	PREVOD NA UCET	2200	45766	 	QR	48024463
798477	2721	1998-06-09	VYDAJ	PREVOD NA UCET	2200	52615	 	QR	48024463
798478	2721	1998-07-09	VYDAJ	PREVOD NA UCET	2200	38957	 	QR	48024463
798479	2721	1998-08-09	VYDAJ	PREVOD NA UCET	2200	37149	 	QR	48024463
798480	2721	1998-09-09	VYDAJ	PREVOD NA UCET	2200	35350	 	QR	48024463
798481	2721	1998-10-09	VYDAJ	PREVOD NA UCET	2200	34845	 	QR	48024463
798482	2721	1998-11-09	VYDAJ	PREVOD NA UCET	2200	21440	 	QR	48024463
798483	2721	1998-12-09	VYDAJ	PREVOD NA UCET	2200	42740	 	QR	48024463
798499	2721	1998-04-11	VYDAJ	PREVOD NA UCET	179	47956	POJISTNE	MN	20500302
798500	2721	1998-05-11	VYDAJ	PREVOD NA UCET	179	45587	POJISTNE	MN	20500302
798501	2721	1998-06-11	VYDAJ	PREVOD NA UCET	179	52436	POJISTNE	MN	20500302
798502	2721	1998-07-11	VYDAJ	PREVOD NA UCET	179	38778	POJISTNE	MN	20500302
798503	2721	1998-08-11	VYDAJ	PREVOD NA UCET	179	36970	POJISTNE	MN	20500302
798504	2721	1998-09-11	VYDAJ	PREVOD NA UCET	179	21771	POJISTNE	MN	20500302
798505	2721	1998-10-11	VYDAJ	PREVOD NA UCET	179	21966	POJISTNE	MN	20500302
798506	2721	1998-11-11	VYDAJ	PREVOD NA UCET	179	21261	POJISTNE	MN	20500302
798507	2721	1998-12-11	VYDAJ	PREVOD NA UCET	179	24161	POJISTNE	MN	20500302
798523	2721	1998-04-08	VYDAJ	PREVOD NA UCET	73	50335	 	ST	69458347
798524	2721	1998-05-08	VYDAJ	PREVOD NA UCET	73	47966	 	ST	69458347
798525	2721	1998-06-08	VYDAJ	PREVOD NA UCET	73	54815	 	ST	69458347
798526	2721	1998-07-08	VYDAJ	PREVOD NA UCET	73	41157	 	ST	69458347
798527	2721	1998-08-08	VYDAJ	PREVOD NA UCET	73	39349	 	ST	69458347
798528	2721	1998-09-08	VYDAJ	PREVOD NA UCET	73	37550	 	ST	69458347
798529	2721	1998-10-08	VYDAJ	PREVOD NA UCET	73	37045	 	ST	69458347
798530	2721	1998-11-08	VYDAJ	PREVOD NA UCET	73	37240	 	ST	69458347
798531	2721	1998-12-08	VYDAJ	PREVOD NA UCET	73	44940	 	ST	69458347
798533	2721	1998-06-16	VYDAJ	VYBER	11200	24292	\N	\N	\N
798537	2721	1998-12-13	VYDAJ	VYBER	1120	21497	\N	\N	\N
798556	2721	1998-04-24	VYDAJ	VYBER	720	31092	\N	\N	\N
798558	2721	1998-07-17	VYDAJ	VYBER	1320	22514	\N	\N	\N
798576	2721	1998-04-30	VYDAJ	VYBER	15	31223	SLUZBY	\N	\N
798577	2721	1998-05-31	VYDAJ	VYBER	15	29664	SLUZBY	\N	\N
798578	2721	1998-06-30	VYDAJ	VYBER	15	24414	SLUZBY	\N	\N
798579	2721	1998-07-31	VYDAJ	VYBER	15	22606	SLUZBY	\N	\N
798580	2721	1998-08-31	VYDAJ	VYBER	15	20807	SLUZBY	\N	\N
798581	2721	1998-09-30	VYDAJ	VYBER	15	20302	SLUZBY	\N	\N
798582	2721	1998-10-31	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
798583	2721	1998-11-30	VYDAJ	VYBER	15	19789	SLUZBY	\N	\N
798584	2721	1997-12-14	VYDAJ	VYBER	4700	20824	\N	\N	\N
798585	2721	1998-01-13	VYDAJ	VYBER	10100	27590	\N	\N	\N
798586	2721	1998-02-12	VYDAJ	VYBER	11800	32710	\N	\N	\N
798587	2721	1998-03-14	VYDAJ	VYBER	16200	33454	\N	\N	\N
798588	2721	1998-04-13	VYDAJ	VYBER	14600	31812	\N	\N	\N
798589	2721	1998-05-13	VYDAJ	VYBER	14500	29543	\N	\N	\N
798590	2721	1998-06-12	VYDAJ	VYBER	15400	35492	\N	\N	\N
798591	2721	1998-07-12	VYDAJ	VYBER	13400	25378	\N	\N	\N
798592	2721	1998-08-11	VYDAJ	VYBER	14700	22270	\N	\N	\N
798593	2721	1998-09-10	VYDAJ	VYBER	13400	21950	\N	\N	\N
798594	2721	1998-10-10	VYDAJ	VYBER	12700	22145	\N	\N	\N
798595	2721	1998-11-09	VYDAJ	VYBER	13600	23640	\N	\N	\N
798596	2721	1998-12-09	VYDAJ	VYBER	18400	24340	\N	\N	\N
798610	2722	1997-07-24	PRIJEM	VKLAD	500	500	\N	\N	\N
798618	2722	1997-08-07	PRIJEM	PREVOD Z UCTU	5820	6320	DUCHOD	AB	58120417
798619	2722	1997-09-07	PRIJEM	PREVOD Z UCTU	5820	12140	DUCHOD	AB	58120417
798620	2722	1997-10-07	PRIJEM	PREVOD Z UCTU	5820	17960	DUCHOD	AB	58120417
798621	2722	1997-11-07	PRIJEM	PREVOD Z UCTU	5820	23780	DUCHOD	AB	58120417
798622	2722	1997-12-07	PRIJEM	PREVOD Z UCTU	5820	29333	DUCHOD	AB	58120417
798623	2722	1998-01-07	PRIJEM	PREVOD Z UCTU	5820	32273	DUCHOD	AB	58120417
798624	2722	1998-02-07	PRIJEM	PREVOD Z UCTU	5820	34276	DUCHOD	AB	58120417
798625	2722	1998-03-07	PRIJEM	PREVOD Z UCTU	5820	35735	DUCHOD	AB	58120417
798626	2722	1998-04-07	PRIJEM	PREVOD Z UCTU	5820	32794	DUCHOD	AB	58120417
798627	2722	1998-05-07	PRIJEM	PREVOD Z UCTU	5820	30043	DUCHOD	AB	58120417
798628	2722	1998-06-07	PRIJEM	PREVOD Z UCTU	5820	25275	DUCHOD	AB	58120417
798629	2722	1998-07-07	PRIJEM	PREVOD Z UCTU	5820	18627	DUCHOD	AB	58120417
798630	2722	1998-08-07	PRIJEM	PREVOD Z UCTU	5820	22825	DUCHOD	AB	58120417
798631	2722	1998-09-07	PRIJEM	PREVOD Z UCTU	5820	27041	DUCHOD	AB	58120417
798632	2722	1998-10-07	PRIJEM	PREVOD Z UCTU	5820	25343	DUCHOD	AB	58120417
798633	2722	1998-11-07	PRIJEM	PREVOD Z UCTU	5820	29569	DUCHOD	AB	58120417
798634	2722	1998-12-07	PRIJEM	PREVOD Z UCTU	5820	33013	DUCHOD	AB	58120417
798646	2722	1997-12-13	VYDAJ	PREVOD NA UCET	1671	27662	SIPO	KL	4174536
798647	2722	1998-01-13	VYDAJ	PREVOD NA UCET	1671	30602	SIPO	KL	4174536
798648	2722	1998-02-13	VYDAJ	PREVOD NA UCET	1671	32605	SIPO	KL	4174536
798649	2722	1998-03-13	VYDAJ	PREVOD NA UCET	1671	34064	SIPO	KL	4174536
798650	2722	1998-04-13	VYDAJ	PREVOD NA UCET	1671	30723	SIPO	KL	4174536
798651	2722	1998-05-13	VYDAJ	PREVOD NA UCET	1671	28372	SIPO	KL	4174536
798652	2722	1998-06-13	VYDAJ	PREVOD NA UCET	1671	23604	SIPO	KL	4174536
798653	2722	1998-07-13	VYDAJ	PREVOD NA UCET	1671	16956	SIPO	KL	4174536
798654	2722	1998-08-13	VYDAJ	PREVOD NA UCET	1671	21154	SIPO	KL	4174536
798655	2722	1998-09-13	VYDAJ	PREVOD NA UCET	1671	25370	SIPO	KL	4174536
798656	2722	1998-10-13	VYDAJ	PREVOD NA UCET	1671	23672	SIPO	KL	4174536
798657	2722	1998-11-13	VYDAJ	PREVOD NA UCET	1671	27898	SIPO	KL	4174536
798658	2722	1998-12-13	VYDAJ	PREVOD NA UCET	1671	29182	SIPO	KL	4174536
798660	2722	1998-06-15	VYDAJ	VYBER	10850	12754	\N	\N	\N
798662	2722	1998-01-20	VYDAJ	VYBER	850	28352	\N	\N	\N
798663	2722	1997-12-18	VYDAJ	VYBER	1300	26362	\N	\N	\N
798664	2722	1998-12-05	VYDAJ	VYBER	800	27193	\N	\N	\N
798670	2722	1998-04-08	VYDAJ	VYBER	400	32394	\N	\N	\N
798671	2722	1998-12-08	VYDAJ	VYBER	2160	30853	\N	\N	\N
798672	2722	1998-09-18	VYDAJ	VYBER	3520	19450	\N	\N	\N
798685	2722	1997-12-31	VYDAJ	VYBER	15	26453	SLUZBY	\N	\N
798686	2722	1998-01-31	VYDAJ	VYBER	15	28456	SLUZBY	\N	\N
798687	2722	1998-02-28	VYDAJ	VYBER	15	29915	SLUZBY	\N	\N
798688	2722	1998-03-31	VYDAJ	VYBER	15	26974	SLUZBY	\N	\N
798689	2722	1998-04-30	VYDAJ	VYBER	15	24223	SLUZBY	\N	\N
798690	2722	1998-05-31	VYDAJ	VYBER	15	19455	SLUZBY	\N	\N
798691	2722	1998-06-30	VYDAJ	VYBER	15	12807	SLUZBY	\N	\N
798692	2722	1998-07-31	VYDAJ	VYBER	15	17005	SLUZBY	\N	\N
798693	2722	1998-08-31	VYDAJ	VYBER	15	21221	SLUZBY	\N	\N
798694	2722	1998-09-30	VYDAJ	VYBER	15	19523	SLUZBY	\N	\N
798695	2722	1998-10-31	VYDAJ	VYBER	15	23749	SLUZBY	\N	\N
798696	2722	1998-11-30	VYDAJ	VYBER	15	27993	SLUZBY	\N	\N
798697	2722	1997-11-21	VYDAJ	VYBER	300	23480	\N	\N	\N
798698	2722	1998-01-20	VYDAJ	VYBER	1400	29202	\N	\N	\N
798699	2722	1998-02-19	VYDAJ	VYBER	2800	29805	\N	\N	\N
798700	2722	1998-03-21	VYDAJ	VYBER	7200	26864	\N	\N	\N
798701	2722	1998-04-20	VYDAJ	VYBER	6600	24123	\N	\N	\N
798702	2722	1998-05-20	VYDAJ	VYBER	9000	19372	\N	\N	\N
798703	2722	1998-09-17	VYDAJ	VYBER	2400	22970	\N	\N	\N
798718	2723	1995-03-12	PRIJEM	VKLAD	800	800	\N	\N	\N
798721	2723	1995-03-14	PRIJEM	VKLAD	8319	9119	\N	\N	\N
798722	2723	1995-04-14	PRIJEM	VKLAD	8319	26460	\N	\N	\N
798723	2723	1995-05-14	PRIJEM	VKLAD	8319	33558	\N	\N	\N
798724	2723	1995-06-14	PRIJEM	VKLAD	12479	41464	\N	\N	\N
798725	2723	1995-07-14	PRIJEM	VKLAD	8319	42141	\N	\N	\N
798726	2723	1995-08-14	PRIJEM	VKLAD	8319	38474	\N	\N	\N
798727	2723	1995-09-14	PRIJEM	VKLAD	8319	40192	\N	\N	\N
798728	2723	1995-10-14	PRIJEM	VKLAD	8319	41014	\N	\N	\N
798729	2723	1995-11-14	PRIJEM	VKLAD	8319	37940	\N	\N	\N
798730	2723	1995-12-14	PRIJEM	VKLAD	12479	33780	\N	\N	\N
798731	2723	1996-01-14	PRIJEM	VKLAD	8319	27022	\N	\N	\N
798732	2723	1996-02-14	PRIJEM	VKLAD	8319	23296	\N	\N	\N
798733	2723	1996-03-14	PRIJEM	VKLAD	8319	28137	\N	\N	\N
798734	2723	1996-04-14	PRIJEM	VKLAD	8319	30301	\N	\N	\N
798735	2723	1996-05-14	PRIJEM	VKLAD	8319	30776	\N	\N	\N
798736	2723	1996-06-14	PRIJEM	VKLAD	12479	35513	\N	\N	\N
798737	2723	1996-07-14	PRIJEM	VKLAD	8319	33605	\N	\N	\N
798738	2723	1996-08-14	PRIJEM	VKLAD	8319	33098	\N	\N	\N
798739	2723	1996-09-14	PRIJEM	VKLAD	8319	32788	\N	\N	\N
798740	2723	1996-10-14	PRIJEM	VKLAD	8319	35076	\N	\N	\N
798741	2723	1996-11-14	PRIJEM	VKLAD	8319	31472	\N	\N	\N
798742	2723	1996-12-14	PRIJEM	VKLAD	12479	31793	\N	\N	\N
798743	2723	1997-01-14	PRIJEM	VKLAD	8319	25708	\N	\N	\N
798744	2723	1997-02-14	PRIJEM	VKLAD	8319	26618	\N	\N	\N
798745	2723	1997-03-14	PRIJEM	VKLAD	8319	31281	\N	\N	\N
798746	2723	1997-04-14	PRIJEM	VKLAD	8319	28978	\N	\N	\N
798747	2723	1997-05-14	PRIJEM	VKLAD	8319	28609	\N	\N	\N
798748	2723	1997-06-14	PRIJEM	VKLAD	12479	36119	\N	\N	\N
798749	2723	1997-07-14	PRIJEM	VKLAD	8319	30043	\N	\N	\N
798750	2723	1997-08-14	PRIJEM	VKLAD	8319	31862	\N	\N	\N
798751	2723	1997-09-14	PRIJEM	VKLAD	8319	35445	\N	\N	\N
798752	2723	1997-10-14	PRIJEM	VKLAD	8319	32542	\N	\N	\N
798753	2723	1997-11-14	PRIJEM	VKLAD	8319	31227	\N	\N	\N
798754	2723	1997-12-14	PRIJEM	VKLAD	12479	37569	\N	\N	\N
798755	2723	1998-01-14	PRIJEM	VKLAD	8319	22153	\N	\N	\N
798756	2723	1998-02-14	PRIJEM	VKLAD	8319	21753	\N	\N	\N
798757	2723	1998-03-14	PRIJEM	VKLAD	8319	23595	\N	\N	\N
798758	2723	1998-04-14	PRIJEM	VKLAD	8319	26741	\N	\N	\N
798759	2723	1998-05-14	PRIJEM	VKLAD	8319	28503	\N	\N	\N
798760	2723	1998-06-14	PRIJEM	VKLAD	12479	31930	\N	\N	\N
798761	2723	1998-07-14	PRIJEM	VKLAD	8319	23700	\N	\N	\N
798762	2723	1998-08-14	PRIJEM	VKLAD	8319	21645	\N	\N	\N
798763	2723	1998-09-14	PRIJEM	VKLAD	8319	20882	\N	\N	\N
798764	2723	1998-10-14	PRIJEM	VKLAD	8319	17313	\N	\N	\N
798765	2723	1998-11-14	PRIJEM	VKLAD	8319	20738	\N	\N	\N
798766	2723	1998-12-14	PRIJEM	VKLAD	12479	31040	\N	\N	\N
798774	2723	1995-08-08	VYDAJ	PREVOD NA UCET	5546	36755	SIPO	KL	3428757
798775	2723	1995-09-08	VYDAJ	PREVOD NA UCET	5546	31873	SIPO	KL	3428757
798776	2723	1995-10-08	VYDAJ	PREVOD NA UCET	5546	32695	SIPO	KL	3428757
798777	2723	1995-11-08	VYDAJ	PREVOD NA UCET	5546	29621	SIPO	KL	3428757
798778	2723	1995-12-08	VYDAJ	PREVOD NA UCET	5546	21302	SIPO	KL	3428757
798779	2723	1996-01-08	VYDAJ	PREVOD NA UCET	5546	18703	SIPO	KL	3428757
798780	2723	1996-02-08	VYDAJ	PREVOD NA UCET	5546	14977	SIPO	KL	3428757
798781	2723	1996-03-08	VYDAJ	PREVOD NA UCET	5546	19818	SIPO	KL	3428757
798782	2723	1996-04-08	VYDAJ	PREVOD NA UCET	5546	21982	SIPO	KL	3428757
798783	2723	1996-05-08	VYDAJ	PREVOD NA UCET	5546	22457	SIPO	KL	3428757
798784	2723	1996-06-08	VYDAJ	PREVOD NA UCET	5546	23035	SIPO	KL	3428757
798785	2723	1996-07-08	VYDAJ	PREVOD NA UCET	5546	25286	SIPO	KL	3428757
798786	2723	1996-08-08	VYDAJ	PREVOD NA UCET	5546	24779	SIPO	KL	3428757
798787	2723	1996-09-08	VYDAJ	PREVOD NA UCET	5546	24469	SIPO	KL	3428757
798788	2723	1996-10-08	VYDAJ	PREVOD NA UCET	5546	26757	SIPO	KL	3428757
798789	2723	1996-11-08	VYDAJ	PREVOD NA UCET	5546	23153	SIPO	KL	3428757
798790	2723	1996-12-08	VYDAJ	PREVOD NA UCET	5546	19314	SIPO	KL	3428757
798791	2723	1997-01-08	VYDAJ	PREVOD NA UCET	5546	17389	SIPO	KL	3428757
798792	2723	1997-02-08	VYDAJ	PREVOD NA UCET	5546	18299	SIPO	KL	3428757
798793	2723	1997-03-08	VYDAJ	PREVOD NA UCET	5546	22962	SIPO	KL	3428757
798794	2723	1997-04-08	VYDAJ	PREVOD NA UCET	5546	20659	SIPO	KL	3428757
798795	2723	1997-05-08	VYDAJ	PREVOD NA UCET	5546	22930	SIPO	KL	3428757
798796	2723	1997-06-08	VYDAJ	PREVOD NA UCET	5546	23641	SIPO	KL	3428757
798797	2723	1997-07-08	VYDAJ	PREVOD NA UCET	5546	21724	SIPO	KL	3428757
798798	2723	1997-08-08	VYDAJ	PREVOD NA UCET	5546	23543	SIPO	KL	3428757
798799	2723	1997-09-08	VYDAJ	PREVOD NA UCET	5546	27126	SIPO	KL	3428757
798800	2723	1997-10-08	VYDAJ	PREVOD NA UCET	5546	24223	SIPO	KL	3428757
798801	2723	1997-11-08	VYDAJ	PREVOD NA UCET	5546	22908	SIPO	KL	3428757
798802	2723	1997-12-08	VYDAJ	PREVOD NA UCET	5546	25090	SIPO	KL	3428757
798803	2723	1998-01-08	VYDAJ	PREVOD NA UCET	5546	13834	SIPO	KL	3428757
798804	2723	1998-02-08	VYDAJ	PREVOD NA UCET	5546	13434	SIPO	KL	3428757
798805	2723	1998-03-08	VYDAJ	PREVOD NA UCET	5546	15276	SIPO	KL	3428757
798806	2723	1998-04-08	VYDAJ	PREVOD NA UCET	5546	19262	SIPO	KL	3428757
798807	2723	1998-05-08	VYDAJ	PREVOD NA UCET	5546	20184	SIPO	KL	3428757
798808	2723	1998-06-08	VYDAJ	PREVOD NA UCET	5546	19452	SIPO	KL	3428757
798809	2723	1998-07-08	VYDAJ	PREVOD NA UCET	5546	15381	SIPO	KL	3428757
798810	2723	1998-08-08	VYDAJ	PREVOD NA UCET	5546	13326	SIPO	KL	3428757
798811	2723	1998-09-08	VYDAJ	PREVOD NA UCET	5546	12563	SIPO	KL	3428757
798812	2723	1998-10-08	VYDAJ	PREVOD NA UCET	5546	8994	SIPO	KL	3428757
798813	2723	1998-11-08	VYDAJ	PREVOD NA UCET	5546	12419	SIPO	KL	3428757
798814	2723	1998-12-08	VYDAJ	PREVOD NA UCET	5546	18561	SIPO	KL	3428757
798817	2723	1997-06-17	VYDAJ	VYBER	17440	18679	\N	\N	\N
798820	2723	1996-01-05	VYDAJ	VYBER	3360	25849	\N	\N	\N
798829	2723	1996-01-26	VYDAJ	VYBER	2640	19342	\N	\N	\N
798830	2723	1996-01-02	VYDAJ	VYBER	1800	29209	\N	\N	\N
798831	2723	1996-01-18	VYDAJ	VYBER	3000	24022	\N	\N	\N
798832	2723	1996-01-28	VYDAJ	VYBER	1200	18142	\N	\N	\N
798833	2723	1996-01-22	VYDAJ	VYBER	2040	21982	\N	\N	\N
798834	2723	1996-01-28	VYDAJ	VYBER	1800	16342	\N	\N	\N
798835	2723	1997-01-16	VYDAJ	VYBER	1920	23788	\N	\N	\N
798836	2723	1997-01-24	VYDAJ	VYBER	1320	18988	\N	\N	\N
798837	2723	1997-01-06	VYDAJ	VYBER	2640	26055	\N	\N	\N
798838	2723	1997-01-29	VYDAJ	VYBER	1320	17668	\N	\N	\N
798839	2723	1997-01-07	VYDAJ	VYBER	3120	22935	\N	\N	\N
798840	2723	1997-01-20	VYDAJ	VYBER	3480	20308	\N	\N	\N
798841	2723	1998-01-05	VYDAJ	VYBER	2040	21420	\N	\N	\N
798842	2723	1998-01-01	VYDAJ	VYBER	3360	23460	\N	\N	\N
798844	2723	1998-01-28	VYDAJ	VYBER	840	18913	\N	\N	\N
798845	2723	1998-01-01	VYDAJ	VYBER	1320	26820	\N	\N	\N
798846	2723	1998-01-06	VYDAJ	VYBER	2040	19380	\N	\N	\N
798847	2723	1995-11-27	VYDAJ	VYBER	960	31820	\N	\N	\N
798850	2723	1995-12-19	VYDAJ	VYBER	2880	30900	\N	\N	\N
798851	2723	1995-11-15	VYDAJ	VYBER	5160	32780	\N	\N	\N
798852	2723	1996-11-25	VYDAJ	VYBER	4920	26552	\N	\N	\N
798853	2723	1996-04-30	VYDAJ	VYBER	1800	28618	\N	\N	\N
798854	2723	1997-05-23	VYDAJ	VYBER	2520	26089	\N	\N	\N
798855	2723	1997-08-03	VYDAJ	VYBER	2160	29089	\N	\N	\N
798856	2723	1997-12-18	VYDAJ	VYBER	4920	29529	\N	\N	\N
798857	2723	1997-05-08	VYDAJ	VYBER	2640	20290	\N	\N	\N
798858	2723	1997-12-16	VYDAJ	VYBER	3120	34449	\N	\N	\N
798859	2723	1997-04-06	VYDAJ	VYBER	2280	26205	\N	\N	\N
798860	2723	1998-04-12	VYDAJ	VYBER	840	18422	\N	\N	\N
798862	2723	1998-07-02	VYDAJ	VYBER	3600	20927	\N	\N	\N
798863	2723	1998-03-18	VYDAJ	VYBER	5160	18435	\N	\N	\N
798871	2723	1995-07-31	VYDAJ	VYBER	15	42301	SLUZBY	\N	\N
798872	2723	1995-08-31	VYDAJ	VYBER	15	38619	SLUZBY	\N	\N
798873	2723	1995-09-30	VYDAJ	VYBER	15	40341	SLUZBY	\N	\N
798874	2723	1995-10-31	VYDAJ	VYBER	15	41167	SLUZBY	\N	\N
798875	2723	1995-11-30	VYDAJ	VYBER	15	31948	SLUZBY	\N	\N
798876	2723	1995-12-31	VYDAJ	VYBER	15	31009	SLUZBY	\N	\N
798877	2723	1996-01-31	VYDAJ	VYBER	15	16423	SLUZBY	\N	\N
798878	2723	1996-02-29	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
798879	2723	1996-03-31	VYDAJ	VYBER	15	28228	SLUZBY	\N	\N
798880	2723	1996-04-30	VYDAJ	VYBER	15	28603	SLUZBY	\N	\N
798881	2723	1996-05-31	VYDAJ	VYBER	15	30881	SLUZBY	\N	\N
798882	2723	1996-06-30	VYDAJ	VYBER	15	35632	SLUZBY	\N	\N
798883	2723	1996-07-31	VYDAJ	VYBER	15	33725	SLUZBY	\N	\N
798884	2723	1996-08-31	VYDAJ	VYBER	15	33215	SLUZBY	\N	\N
798885	2723	1996-09-30	VYDAJ	VYBER	15	32903	SLUZBY	\N	\N
798886	2723	1996-10-31	VYDAJ	VYBER	15	35199	SLUZBY	\N	\N
798887	2723	1996-11-30	VYDAJ	VYBER	15	26660	SLUZBY	\N	\N
798888	2723	1996-12-31	VYDAJ	VYBER	15	28695	SLUZBY	\N	\N
798889	2723	1997-01-31	VYDAJ	VYBER	15	23845	SLUZBY	\N	\N
798890	2723	1997-02-28	VYDAJ	VYBER	15	26708	SLUZBY	\N	\N
798891	2723	1997-03-31	VYDAJ	VYBER	15	28485	SLUZBY	\N	\N
798892	2723	1997-04-30	VYDAJ	VYBER	15	29076	SLUZBY	\N	\N
798893	2723	1997-05-31	VYDAJ	VYBER	15	29187	SLUZBY	\N	\N
798894	2723	1997-06-30	VYDAJ	VYBER	15	27270	SLUZBY	\N	\N
798895	2723	1997-07-31	VYDAJ	VYBER	15	31249	SLUZBY	\N	\N
798896	2723	1997-08-31	VYDAJ	VYBER	15	32672	SLUZBY	\N	\N
798897	2723	1997-09-30	VYDAJ	VYBER	15	29769	SLUZBY	\N	\N
798898	2723	1997-10-31	VYDAJ	VYBER	15	28454	SLUZBY	\N	\N
798899	2723	1997-11-30	VYDAJ	VYBER	15	30636	SLUZBY	\N	\N
798900	2723	1997-12-31	VYDAJ	VYBER	15	28140	SLUZBY	\N	\N
798901	2723	1998-01-31	VYDAJ	VYBER	15	18980	SLUZBY	\N	\N
798902	2723	1998-02-28	VYDAJ	VYBER	15	20822	SLUZBY	\N	\N
798903	2723	1998-03-31	VYDAJ	VYBER	15	24808	SLUZBY	\N	\N
798904	2723	1998-04-30	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
798905	2723	1998-05-31	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
798906	2723	1998-06-30	VYDAJ	VYBER	15	24527	SLUZBY	\N	\N
798907	2723	1998-07-31	VYDAJ	VYBER	15	18872	SLUZBY	\N	\N
798908	2723	1998-08-31	VYDAJ	VYBER	15	18109	SLUZBY	\N	\N
798909	2723	1998-09-30	VYDAJ	VYBER	15	14540	SLUZBY	\N	\N
798910	2723	1998-10-31	VYDAJ	VYBER	15	17965	SLUZBY	\N	\N
798911	2723	1998-11-30	VYDAJ	VYBER	15	24107	SLUZBY	\N	\N
798912	2723	1995-04-11	PRIJEM	VKLAD	9000	18141	\N	\N	\N
798913	2723	1995-05-11	VYDAJ	VYBER	1300	25239	\N	\N	\N
798914	2723	1995-06-10	VYDAJ	VYBER	4700	28985	\N	\N	\N
798915	2723	1995-07-10	VYDAJ	VYBER	7800	33822	\N	\N	\N
798916	2723	1995-08-09	VYDAJ	VYBER	6600	30155	\N	\N	\N
798917	2723	1995-09-08	VYDAJ	VYBER	1200	37419	\N	\N	\N
798918	2723	1995-10-08	VYDAJ	VYBER	2100	38241	\N	\N	\N
798919	2723	1995-11-07	VYDAJ	VYBER	6000	35167	\N	\N	\N
798920	2723	1995-12-07	VYDAJ	VYBER	5100	26848	\N	\N	\N
798921	2723	1996-01-06	VYDAJ	VYBER	1600	24249	\N	\N	\N
798922	2723	1996-02-05	PRIJEM	VKLAD	4100	20523	\N	\N	\N
798923	2723	1996-03-06	PRIJEM	VKLAD	2000	25364	\N	\N	\N
798924	2723	1996-04-05	VYDAJ	VYBER	700	27528	\N	\N	\N
798925	2723	1996-05-05	VYDAJ	VYBER	600	28003	\N	\N	\N
798926	2723	1996-06-04	VYDAJ	VYBER	2300	28581	\N	\N	\N
798927	2723	1996-07-04	VYDAJ	VYBER	4800	30832	\N	\N	\N
798928	2723	1996-08-03	VYDAJ	VYBER	3400	30325	\N	\N	\N
798929	2723	1996-09-02	VYDAJ	VYBER	3200	30015	\N	\N	\N
798930	2723	1996-10-02	VYDAJ	VYBER	600	32303	\N	\N	\N
798931	2723	1996-11-01	VYDAJ	VYBER	6500	28699	\N	\N	\N
798932	2723	1996-12-01	VYDAJ	VYBER	1800	24860	\N	\N	\N
798933	2723	1996-12-31	VYDAJ	VYBER	3200	28709	\N	\N	\N
798934	2723	1997-01-30	PRIJEM	VKLAD	6100	23768	\N	\N	\N
798935	2723	1997-03-01	PRIJEM	VKLAD	1800	28508	\N	\N	\N
798936	2723	1997-03-31	VYDAJ	VYBER	2900	28500	\N	\N	\N
798937	2723	1997-04-30	VYDAJ	VYBER	600	28476	\N	\N	\N
798938	2723	1997-05-30	PRIJEM	VKLAD	3000	29089	\N	\N	\N
798939	2723	1997-06-29	PRIJEM	VKLAD	8500	27179	\N	\N	\N
798940	2723	1997-07-29	PRIJEM	VKLAD	1100	31143	\N	\N	\N
798941	2723	1997-08-28	PRIJEM	VKLAD	700	32562	\N	\N	\N
798942	2723	1997-09-27	VYDAJ	VYBER	5800	29645	\N	\N	\N
798943	2723	1997-10-27	VYDAJ	VYBER	4200	28342	\N	\N	\N
798944	2723	1997-11-26	VYDAJ	VYBER	700	30527	\N	\N	\N
798945	2723	1997-12-26	VYDAJ	VYBER	1500	28029	\N	\N	\N
798946	2723	1998-01-25	VYDAJ	VYBER	2400	19753	\N	\N	\N
798947	2723	1998-02-24	VYDAJ	VYBER	1000	20753	\N	\N	\N
798948	2723	1998-03-26	PRIJEM	VKLAD	6300	24735	\N	\N	\N
798949	2723	1998-04-25	VYDAJ	VYBER	1100	25641	\N	\N	\N
798950	2723	1998-05-25	VYDAJ	VYBER	3600	24903	\N	\N	\N
798951	2723	1998-06-24	VYDAJ	VYBER	7500	24430	\N	\N	\N
798952	2723	1998-07-24	VYDAJ	VYBER	4900	18800	\N	\N	\N
798953	2723	1998-08-23	VYDAJ	VYBER	3600	18045	\N	\N	\N
798954	2723	1998-09-22	VYDAJ	VYBER	6400	14482	\N	\N	\N
798955	2723	1998-10-22	PRIJEM	VKLAD	600	17913	\N	\N	\N
798956	2723	1998-11-21	PRIJEM	VKLAD	3300	24038	\N	\N	\N
799003	2724	1996-08-09	PRIJEM	VKLAD	500	500	\N	\N	\N
799012	2724	1996-09-05	PRIJEM	VKLAD	15714	16214	\N	\N	\N
799013	2724	1996-10-05	PRIJEM	VKLAD	15714	37698	\N	\N	\N
799014	2724	1996-11-05	PRIJEM	VKLAD	15714	44224	\N	\N	\N
799015	2724	1996-12-05	PRIJEM	VKLAD	23571	55324	\N	\N	\N
799016	2724	1997-01-05	PRIJEM	VKLAD	15714	54995	\N	\N	\N
799017	2724	1997-02-05	PRIJEM	VKLAD	15714	40025	\N	\N	\N
799018	2724	1997-03-05	PRIJEM	VKLAD	15714	42241	\N	\N	\N
799019	2724	1997-04-05	PRIJEM	VKLAD	15714	40761	\N	\N	\N
799020	2724	1997-05-05	PRIJEM	VKLAD	15714	45487	\N	\N	\N
799021	2724	1997-06-05	PRIJEM	VKLAD	23571	55581	\N	\N	\N
799022	2724	1997-07-05	PRIJEM	VKLAD	15714	46832	\N	\N	\N
799023	2724	1997-08-05	PRIJEM	VKLAD	15714	42474	\N	\N	\N
799024	2724	1997-09-05	PRIJEM	VKLAD	15714	46428	\N	\N	\N
799025	2724	1997-10-05	PRIJEM	VKLAD	15714	43692	\N	\N	\N
799026	2724	1997-11-05	PRIJEM	VKLAD	15714	50353	\N	\N	\N
799027	2724	1997-12-05	PRIJEM	VKLAD	23571	61496	\N	\N	\N
799028	2724	1998-01-05	PRIJEM	VKLAD	15714	57619	\N	\N	\N
799029	2724	1998-02-05	PRIJEM	VKLAD	15714	56221	\N	\N	\N
799030	2724	1998-03-05	PRIJEM	VKLAD	15714	60613	\N	\N	\N
799031	2724	1998-04-05	PRIJEM	VKLAD	15714	60843	\N	\N	\N
799032	2724	1998-05-05	PRIJEM	VKLAD	15714	63776	\N	\N	\N
799033	2724	1998-06-05	PRIJEM	VKLAD	23571	72276	\N	\N	\N
799034	2724	1998-07-05	PRIJEM	VKLAD	15714	62381	\N	\N	\N
799035	2724	1998-08-05	PRIJEM	VKLAD	15714	69200	\N	\N	\N
799036	2724	1998-09-05	PRIJEM	VKLAD	15714	72143	\N	\N	\N
799037	2724	1998-10-05	PRIJEM	VKLAD	15714	72498	\N	\N	\N
799038	2724	1998-11-05	PRIJEM	VKLAD	15714	68660	\N	\N	\N
799039	2724	1998-12-05	PRIJEM	VKLAD	23571	79367	\N	\N	\N
799052	2724	1997-01-12	VYDAJ	PREVOD NA UCET	6399	32296	SIPO	ST	4672384
799053	2724	1997-02-12	VYDAJ	PREVOD NA UCET	6399	26426	SIPO	ST	4672384
799054	2724	1997-03-12	VYDAJ	PREVOD NA UCET	6399	28942	SIPO	ST	4672384
799055	2724	1997-04-12	VYDAJ	PREVOD NA UCET	6399	29662	SIPO	ST	4672384
799056	2724	1997-05-12	VYDAJ	PREVOD NA UCET	6399	31888	SIPO	ST	4672384
799057	2724	1997-06-12	VYDAJ	PREVOD NA UCET	6399	35482	SIPO	ST	4672384
799058	2724	1997-07-12	VYDAJ	PREVOD NA UCET	6399	31133	SIPO	ST	4672384
799059	2724	1997-08-12	VYDAJ	PREVOD NA UCET	6399	36075	SIPO	ST	4672384
799060	2724	1997-09-12	VYDAJ	PREVOD NA UCET	6399	40029	SIPO	ST	4672384
799061	2724	1997-10-12	VYDAJ	PREVOD NA UCET	6399	37293	SIPO	ST	4672384
799062	2724	1997-11-12	VYDAJ	PREVOD NA UCET	6399	43954	SIPO	ST	4672384
799063	2724	1997-12-12	VYDAJ	PREVOD NA UCET	6399	52897	SIPO	ST	4672384
799064	2724	1998-01-12	VYDAJ	PREVOD NA UCET	6399	45720	SIPO	ST	4672384
799065	2724	1998-02-12	VYDAJ	PREVOD NA UCET	6399	49822	SIPO	ST	4672384
799066	2724	1998-03-12	VYDAJ	PREVOD NA UCET	6399	54214	SIPO	ST	4672384
799067	2724	1998-04-12	VYDAJ	PREVOD NA UCET	6399	54444	SIPO	ST	4672384
799068	2724	1998-05-12	VYDAJ	PREVOD NA UCET	6399	57377	SIPO	ST	4672384
799069	2724	1998-06-12	VYDAJ	PREVOD NA UCET	6399	65877	SIPO	ST	4672384
799070	2724	1998-07-12	VYDAJ	PREVOD NA UCET	6399	55982	SIPO	ST	4672384
799071	2724	1998-08-12	VYDAJ	PREVOD NA UCET	6399	60901	SIPO	ST	4672384
799072	2724	1998-09-12	VYDAJ	PREVOD NA UCET	6399	65744	SIPO	ST	4672384
799073	2724	1998-10-12	VYDAJ	PREVOD NA UCET	6399	64899	SIPO	ST	4672384
799074	2724	1998-11-12	VYDAJ	PREVOD NA UCET	6399	59461	SIPO	ST	4672384
799075	2724	1998-12-12	VYDAJ	PREVOD NA UCET	6399	72968	SIPO	ST	4672384
799077	2724	1997-06-29	VYDAJ	VYBER	4500	30982	\N	\N	\N
799078	2724	1998-06-15	VYDAJ	VYBER	19200	46677	\N	\N	\N
799080	2724	1997-01-21	VYDAJ	VYBER	5800	24196	\N	\N	\N
799081	2724	1998-01-09	VYDAJ	VYBER	4600	52119	\N	\N	\N
799083	2724	1997-12-30	VYDAJ	VYBER	2500	50397	\N	\N	\N
799084	2724	1998-12-29	VYDAJ	VYBER	1800	60168	\N	\N	\N
799089	2724	1997-01-12	VYDAJ	VYBER	2300	29996	\N	\N	\N
799090	2724	1997-09-21	VYDAJ	VYBER	4900	35129	\N	\N	\N
799091	2724	1997-12-05	VYDAJ	VYBER	2200	59296	\N	\N	\N
799092	2724	1997-03-25	VYDAJ	VYBER	4000	24942	\N	\N	\N
799093	2724	1997-07-16	VYDAJ	VYBER	1300	29833	\N	\N	\N
799094	2724	1998-08-11	VYDAJ	VYBER	1900	67300	\N	\N	\N
799095	2724	1998-01-07	VYDAJ	VYBER	900	56719	\N	\N	\N
799096	2724	1998-10-07	VYDAJ	VYBER	1200	71298	\N	\N	\N
799097	2724	1998-11-08	VYDAJ	VYBER	2800	65860	\N	\N	\N
799098	2724	1998-11-03	VYDAJ	VYBER	900	52946	\N	\N	\N
799112	2724	1997-01-31	VYDAJ	VYBER	15	24311	SLUZBY	\N	\N
799113	2724	1997-02-28	VYDAJ	VYBER	15	26527	SLUZBY	\N	\N
799114	2724	1997-03-31	VYDAJ	VYBER	15	25047	SLUZBY	\N	\N
799115	2724	1997-04-30	VYDAJ	VYBER	15	29773	SLUZBY	\N	\N
799116	2724	1997-05-31	VYDAJ	VYBER	15	32010	SLUZBY	\N	\N
799117	2724	1997-06-30	VYDAJ	VYBER	15	31118	SLUZBY	\N	\N
799118	2724	1997-07-31	VYDAJ	VYBER	15	29960	SLUZBY	\N	\N
799119	2724	1997-08-31	VYDAJ	VYBER	15	36214	SLUZBY	\N	\N
799120	2724	1997-09-30	VYDAJ	VYBER	15	35278	SLUZBY	\N	\N
799121	2724	1997-10-31	VYDAJ	VYBER	15	37439	SLUZBY	\N	\N
799122	2724	1997-11-30	VYDAJ	VYBER	15	44125	SLUZBY	\N	\N
799123	2724	1997-12-31	VYDAJ	VYBER	15	50605	SLUZBY	\N	\N
799124	2724	1998-01-31	VYDAJ	VYBER	15	40507	SLUZBY	\N	\N
799125	2724	1998-02-28	VYDAJ	VYBER	15	49999	SLUZBY	\N	\N
799126	2724	1998-03-31	VYDAJ	VYBER	15	54429	SLUZBY	\N	\N
799127	2724	1998-04-30	VYDAJ	VYBER	15	54662	SLUZBY	\N	\N
799128	2724	1998-05-31	VYDAJ	VYBER	15	57605	SLUZBY	\N	\N
799129	2724	1998-06-30	VYDAJ	VYBER	15	46867	SLUZBY	\N	\N
799130	2724	1998-07-31	VYDAJ	VYBER	15	53486	SLUZBY	\N	\N
799131	2724	1998-08-31	VYDAJ	VYBER	15	56429	SLUZBY	\N	\N
799132	2724	1998-09-30	VYDAJ	VYBER	15	56784	SLUZBY	\N	\N
799133	2724	1998-10-31	VYDAJ	VYBER	15	53846	SLUZBY	\N	\N
799134	2724	1998-11-30	VYDAJ	VYBER	15	55796	SLUZBY	\N	\N
799135	2724	1996-09-08	PRIJEM	VKLAD	5700	21914	\N	\N	\N
799136	2724	1996-10-08	VYDAJ	VYBER	9300	28398	\N	\N	\N
799137	2724	1996-11-07	VYDAJ	VYBER	12600	31624	\N	\N	\N
799138	2724	1996-12-07	VYDAJ	VYBER	16200	39124	\N	\N	\N
799139	2724	1997-01-06	VYDAJ	VYBER	16300	38695	\N	\N	\N
799140	2724	1997-02-05	VYDAJ	VYBER	7200	32825	\N	\N	\N
799141	2724	1997-03-07	VYDAJ	VYBER	6900	35341	\N	\N	\N
799142	2724	1997-04-06	VYDAJ	VYBER	4700	36061	\N	\N	\N
799143	2724	1997-05-06	VYDAJ	VYBER	7200	38287	\N	\N	\N
799144	2724	1997-06-05	VYDAJ	VYBER	13700	41881	\N	\N	\N
799145	2724	1997-07-05	VYDAJ	VYBER	9300	37532	\N	\N	\N
799146	2724	1997-08-04	VYDAJ	VYBER	3200	26760	\N	\N	\N
799147	2724	1997-09-03	VYDAJ	VYBER	5500	30714	\N	\N	\N
799148	2724	1997-10-03	VYDAJ	VYBER	7300	27978	\N	\N	\N
799149	2724	1997-11-02	VYDAJ	VYBER	2800	34639	\N	\N	\N
799150	2724	1997-12-02	VYDAJ	VYBER	6200	37925	\N	\N	\N
799151	2724	1998-01-01	VYDAJ	VYBER	8700	41905	\N	\N	\N
799152	2724	1998-01-31	VYDAJ	VYBER	5400	40521	\N	\N	\N
799153	2724	1998-03-02	VYDAJ	VYBER	5100	44899	\N	\N	\N
799154	2724	1998-04-01	VYDAJ	VYBER	9300	45129	\N	\N	\N
799155	2724	1998-05-01	VYDAJ	VYBER	6600	48062	\N	\N	\N
799156	2724	1998-05-31	VYDAJ	VYBER	8900	48705	\N	\N	\N
799157	2724	1998-06-30	VYDAJ	VYBER	200	46667	\N	\N	\N
799158	2724	1998-07-30	VYDAJ	VYBER	2700	53282	\N	\N	\N
799159	2724	1998-08-29	VYDAJ	VYBER	4700	56201	\N	\N	\N
799160	2724	1998-09-28	VYDAJ	VYBER	9200	56544	\N	\N	\N
799161	2724	1998-10-28	VYDAJ	VYBER	11300	53599	\N	\N	\N
799162	2724	1998-11-27	VYDAJ	VYBER	3900	55561	\N	\N	\N
799163	2724	1998-12-27	VYDAJ	VYBER	11000	61968	\N	\N	\N
799192	2725	1997-04-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
799196	2725	1997-04-11	PRIJEM	VKLAD	20250	21350	\N	\N	\N
799197	2725	1997-05-11	PRIJEM	VKLAD	20250	44359	\N	\N	\N
799198	2725	1997-06-11	PRIJEM	VKLAD	30375	64488	\N	\N	\N
799199	2725	1997-07-11	PRIJEM	VKLAD	20250	61979	\N	\N	\N
799200	2725	1997-08-11	PRIJEM	VKLAD	20250	61688	\N	\N	\N
799201	2725	1997-09-11	PRIJEM	VKLAD	20250	59518	\N	\N	\N
799202	2725	1997-10-11	PRIJEM	VKLAD	20250	61041	\N	\N	\N
799203	2725	1997-11-11	PRIJEM	VKLAD	20250	62370	\N	\N	\N
799204	2725	1997-12-11	PRIJEM	VKLAD	30375	74226	\N	\N	\N
799205	2725	1998-01-11	PRIJEM	VKLAD	20250	67796	\N	\N	\N
799206	2725	1998-02-11	PRIJEM	VKLAD	20250	54359	\N	\N	\N
799207	2725	1998-03-11	PRIJEM	VKLAD	20250	52968	\N	\N	\N
799208	2725	1998-04-11	PRIJEM	VKLAD	20250	62063	\N	\N	\N
799209	2725	1998-05-11	PRIJEM	VKLAD	20250	63120	\N	\N	\N
799210	2725	1998-06-11	PRIJEM	VKLAD	30375	74473	\N	\N	\N
799211	2725	1998-07-11	PRIJEM	VKLAD	20250	50535	\N	\N	\N
799212	2725	1998-08-11	PRIJEM	VKLAD	20250	61517	\N	\N	\N
799213	2725	1998-09-11	PRIJEM	VKLAD	20250	62881	\N	\N	\N
799214	2725	1998-10-11	PRIJEM	VKLAD	20250	64411	\N	\N	\N
799215	2725	1998-11-11	PRIJEM	VKLAD	20250	69645	\N	\N	\N
799216	2725	1998-12-11	PRIJEM	VKLAD	30375	85486	\N	\N	\N
799224	2725	1997-08-14	VYDAJ	PREVOD NA UCET	3197	58425	SIPO	CD	59237199
799225	2725	1997-09-14	VYDAJ	PREVOD NA UCET	3197	54355	SIPO	CD	59237199
799226	2725	1997-10-14	VYDAJ	PREVOD NA UCET	3197	57778	SIPO	CD	59237199
799227	2725	1997-11-14	VYDAJ	PREVOD NA UCET	3197	59107	SIPO	CD	59237199
799228	2725	1997-12-14	VYDAJ	PREVOD NA UCET	3197	70963	SIPO	CD	59237199
799229	2725	1998-01-14	VYDAJ	PREVOD NA UCET	3197	57433	SIPO	CD	59237199
799230	2725	1998-02-14	VYDAJ	PREVOD NA UCET	3197	49596	SIPO	CD	59237199
799231	2725	1998-03-14	VYDAJ	PREVOD NA UCET	3197	49705	SIPO	CD	59237199
799232	2725	1998-04-14	VYDAJ	PREVOD NA UCET	3197	56800	SIPO	CD	59237199
799233	2725	1998-05-14	VYDAJ	PREVOD NA UCET	3197	59923	SIPO	CD	59237199
799234	2725	1998-06-14	VYDAJ	PREVOD NA UCET	3197	69476	SIPO	CD	59237199
799235	2725	1998-07-14	VYDAJ	PREVOD NA UCET	3197	47338	SIPO	CD	59237199
799236	2725	1998-08-14	VYDAJ	PREVOD NA UCET	3197	58254	SIPO	CD	59237199
799237	2725	1998-09-14	VYDAJ	PREVOD NA UCET	3197	59618	SIPO	CD	59237199
799238	2725	1998-10-14	VYDAJ	PREVOD NA UCET	3197	61214	SIPO	CD	59237199
799239	2725	1998-11-14	VYDAJ	PREVOD NA UCET	3197	64514	SIPO	CD	59237199
799240	2725	1998-12-14	VYDAJ	PREVOD NA UCET	3197	80289	SIPO	CD	59237199
799248	2725	1997-08-14	VYDAJ	PREVOD NA UCET	66	61622	 	WX	80807143
799249	2725	1997-09-14	VYDAJ	PREVOD NA UCET	66	57552	 	WX	80807143
799250	2725	1997-10-14	VYDAJ	PREVOD NA UCET	66	60975	 	WX	80807143
799251	2725	1997-11-14	VYDAJ	PREVOD NA UCET	66	62304	 	WX	80807143
799252	2725	1997-12-14	VYDAJ	PREVOD NA UCET	66	74160	 	WX	80807143
799253	2725	1998-01-14	VYDAJ	PREVOD NA UCET	66	60630	 	WX	80807143
799254	2725	1998-02-14	VYDAJ	PREVOD NA UCET	66	52793	 	WX	80807143
799255	2725	1998-03-14	VYDAJ	PREVOD NA UCET	66	52902	 	WX	80807143
799256	2725	1998-04-14	VYDAJ	PREVOD NA UCET	66	59997	 	WX	80807143
799257	2725	1998-05-14	VYDAJ	PREVOD NA UCET	66	59857	 	WX	80807143
799258	2725	1998-06-14	VYDAJ	PREVOD NA UCET	66	69410	 	WX	80807143
799259	2725	1998-07-14	VYDAJ	PREVOD NA UCET	66	47272	 	WX	80807143
799260	2725	1998-08-14	VYDAJ	PREVOD NA UCET	66	61451	 	WX	80807143
799261	2725	1998-09-14	VYDAJ	PREVOD NA UCET	66	62815	 	WX	80807143
799262	2725	1998-10-14	VYDAJ	PREVOD NA UCET	66	61148	 	WX	80807143
799263	2725	1998-11-14	VYDAJ	PREVOD NA UCET	66	64448	 	WX	80807143
799264	2725	1998-12-14	VYDAJ	PREVOD NA UCET	66	83486	 	WX	80807143
799273	2725	1997-09-08	VYDAJ	PREVOD NA UCET	461	39268	POJISTNE	IJ	64775931
799274	2725	1997-10-08	VYDAJ	PREVOD NA UCET	461	40791	POJISTNE	IJ	64775931
799275	2725	1997-11-08	VYDAJ	PREVOD NA UCET	461	42120	POJISTNE	IJ	64775931
799276	2725	1997-12-08	VYDAJ	PREVOD NA UCET	461	43851	POJISTNE	IJ	64775931
799277	2725	1998-01-08	VYDAJ	PREVOD NA UCET	461	49946	POJISTNE	IJ	64775931
799278	2725	1998-02-08	VYDAJ	PREVOD NA UCET	461	34109	POJISTNE	IJ	64775931
799279	2725	1998-03-08	VYDAJ	PREVOD NA UCET	461	32718	POJISTNE	IJ	64775931
799280	2725	1998-04-08	VYDAJ	PREVOD NA UCET	461	41813	POJISTNE	IJ	64775931
799281	2725	1998-05-08	VYDAJ	PREVOD NA UCET	461	42870	POJISTNE	IJ	64775931
799282	2725	1998-06-08	VYDAJ	PREVOD NA UCET	461	44098	POJISTNE	IJ	64775931
799283	2725	1998-07-08	VYDAJ	PREVOD NA UCET	461	30285	POJISTNE	IJ	64775931
799284	2725	1998-08-08	VYDAJ	PREVOD NA UCET	461	41267	POJISTNE	IJ	64775931
799285	2725	1998-09-08	VYDAJ	PREVOD NA UCET	461	42631	POJISTNE	IJ	64775931
799286	2725	1998-10-08	VYDAJ	PREVOD NA UCET	461	44161	POJISTNE	IJ	64775931
799287	2725	1998-11-08	VYDAJ	PREVOD NA UCET	461	49395	POJISTNE	IJ	64775931
799288	2725	1998-12-08	VYDAJ	PREVOD NA UCET	461	55111	POJISTNE	IJ	64775931
799296	2725	1997-08-03	VYDAJ	VYBER	1600	41438	\N	\N	0
799297	2725	1997-09-13	VYDAJ	VYBER	1900	57618	\N	\N	0
799298	2725	1997-10-29	VYDAJ	VYBER	1600	56178	\N	\N	0
799299	2725	1997-11-05	VYDAJ	VYBER	1300	42581	\N	\N	0
799300	2725	1997-11-25	VYDAJ	VYBER	1900	57207	\N	\N	0
799301	2725	1998-01-13	VYDAJ	VYBER	2100	63096	\N	\N	0
799302	2725	1998-02-12	VYDAJ	VYBER	1500	52859	\N	\N	0
799303	2725	1998-03-03	VYDAJ	VYBER	2100	33179	\N	\N	0
799304	2725	1998-04-12	VYDAJ	VYBER	2000	60063	\N	\N	0
799305	2725	1998-05-21	VYDAJ	VYBER	2100	57757	\N	\N	0
799306	2725	1998-06-04	VYDAJ	VYBER	1900	44559	\N	\N	0
799307	2725	1998-07-26	VYDAJ	VYBER	1600	43272	\N	\N	0
799308	2725	1998-07-27	VYDAJ	VYBER	1700	41572	\N	\N	0
799309	2725	1998-09-03	VYDAJ	VYBER	1800	43092	\N	\N	0
799310	2725	1998-10-05	VYDAJ	VYBER	1700	44622	\N	\N	0
799311	2725	1998-11-12	VYDAJ	PREVOD NA UCET	1934	67711	UVER	WX	31665891
799312	2725	1998-12-12	VYDAJ	PREVOD NA UCET	1934	83552	UVER	WX	31665891
799314	2725	1998-06-16	VYDAJ	VYBER	43520	25890	\N	\N	\N
799316	2725	1998-01-26	VYDAJ	VYBER	9760	42773	\N	\N	\N
799317	2725	1997-12-04	VYDAJ	VYBER	2400	44312	\N	\N	\N
799318	2725	1998-12-17	VYDAJ	VYBER KARTOU	2900	77389	\N	\N	0
799325	2725	1998-01-09	VYDAJ	VYBER	2400	47546	\N	\N	\N
799326	2725	1998-01-13	VYDAJ	VYBER KARTOU	2400	60696	\N	\N	0
799327	2725	1998-01-11	VYDAJ	VYBER KARTOU	2600	65196	\N	\N	0
799328	2725	1998-01-07	VYDAJ	VYBER	2400	50407	\N	\N	\N
799329	2725	1998-01-23	VYDAJ	VYBER KARTOU	1400	52533	\N	\N	0
799330	2725	1998-01-16	VYDAJ	VYBER KARTOU	3500	53933	\N	\N	0
799336	2725	1998-02-24	VYDAJ	VYBER	5880	43716	\N	\N	\N
799337	2725	1998-08-25	VYDAJ	VYBER	4560	44694	\N	\N	\N
799338	2725	1998-04-22	VYDAJ	VYBER	5760	51040	\N	\N	\N
799339	2725	1998-06-13	VYDAJ	VYBER KARTOU	1800	72673	\N	\N	0
799348	2725	1997-08-31	VYDAJ	VYBER	15	39729	SLUZBY	\N	\N
799349	2725	1997-09-30	VYDAJ	VYBER	15	41252	SLUZBY	\N	\N
799350	2725	1997-10-31	VYDAJ	VYBER	15	43881	SLUZBY	\N	\N
799351	2725	1997-11-30	VYDAJ	VYBER	15	46712	SLUZBY	\N	\N
799352	2725	1997-12-31	VYDAJ	VYBER	15	52807	SLUZBY	\N	\N
799353	2725	1998-01-31	VYDAJ	VYBER	15	34570	SLUZBY	\N	\N
799354	2725	1998-02-28	VYDAJ	VYBER	15	35279	SLUZBY	\N	\N
799355	2725	1998-03-31	VYDAJ	VYBER	15	42274	SLUZBY	\N	\N
799356	2725	1998-04-30	VYDAJ	VYBER	15	43331	SLUZBY	\N	\N
799357	2725	1998-05-31	VYDAJ	VYBER	15	46459	SLUZBY	\N	\N
799358	2725	1998-06-30	VYDAJ	VYBER	15	30746	SLUZBY	\N	\N
799359	2725	1998-07-31	VYDAJ	VYBER	15	41728	SLUZBY	\N	\N
799360	2725	1998-08-31	VYDAJ	VYBER	15	44892	SLUZBY	\N	\N
799361	2725	1998-09-30	VYDAJ	VYBER	15	46322	SLUZBY	\N	\N
799362	2725	1998-10-31	VYDAJ	VYBER	15	49856	SLUZBY	\N	\N
799363	2725	1998-11-30	VYDAJ	VYBER	15	55572	SLUZBY	\N	\N
799364	2725	1997-05-02	PRIJEM	VKLAD	2700	24109	\N	\N	\N
799365	2725	1997-06-01	VYDAJ	VYBER	10400	34113	\N	\N	\N
799366	2725	1997-07-01	VYDAJ	VYBER	23000	41729	\N	\N	\N
799367	2725	1997-07-31	VYDAJ	VYBER	19200	43038	\N	\N	\N
799368	2725	1997-08-30	VYDAJ	VYBER	18900	39525	\N	\N	\N
799369	2725	1997-09-29	VYDAJ	VYBER	13300	41055	\N	\N	\N
799370	2725	1997-10-29	VYDAJ	VYBER	12500	43678	\N	\N	\N
799371	2725	1997-11-28	VYDAJ	VYBER	10700	46507	\N	\N	\N
799372	2725	1997-12-28	VYDAJ	VYBER	18400	52563	\N	\N	\N
799373	2725	1998-01-27	VYDAJ	VYBER	8400	34373	\N	\N	\N
799374	2725	1998-02-26	VYDAJ	VYBER	8600	35116	\N	\N	\N
799375	2725	1998-03-28	VYDAJ	VYBER	7600	42105	\N	\N	\N
799376	2725	1998-04-27	VYDAJ	VYBER	7900	43140	\N	\N	\N
799377	2725	1998-05-27	VYDAJ	VYBER	11500	46257	\N	\N	\N
799378	2725	1998-06-26	PRIJEM	VKLAD	4700	30590	\N	\N	\N
799379	2725	1998-07-26	VYDAJ	VYBER KARTOU	2400	44872	\N	\N	0
799380	2725	1998-08-25	VYDAJ	VYBER	9000	49254	\N	\N	\N
799381	2725	1998-09-24	VYDAJ	VYBER	13500	46118	\N	\N	\N
799382	2725	1998-10-24	VYDAJ	VYBER	11500	49648	\N	\N	\N
799383	2725	1998-11-23	VYDAJ	VYBER	9100	55348	\N	\N	\N
799405	2726	1995-04-20	PRIJEM	VKLAD	200	200	\N	\N	\N
799410	2726	1995-05-10	PRIJEM	VKLAD	22722	22922	\N	\N	\N
799411	2726	1995-06-10	PRIJEM	VKLAD	34083	59546	\N	\N	\N
799412	2726	1995-07-10	PRIJEM	VKLAD	22722	66204	\N	\N	\N
799413	2726	1995-08-10	PRIJEM	VKLAD	22722	70514	\N	\N	\N
799414	2726	1995-09-10	PRIJEM	VKLAD	22722	69132	\N	\N	\N
799415	2726	1995-10-10	PRIJEM	VKLAD	22722	64543	\N	\N	\N
799416	2726	1995-11-10	PRIJEM	VKLAD	22722	63942	\N	\N	\N
799417	2726	1995-12-10	PRIJEM	VKLAD	34083	77308	\N	\N	\N
799418	2726	1996-01-10	PRIJEM	VKLAD	22722	54126	\N	\N	\N
799419	2726	1996-02-10	PRIJEM	VKLAD	22722	60481	\N	\N	\N
799420	2726	1996-03-10	PRIJEM	VKLAD	22722	62767	\N	\N	\N
799421	2726	1996-04-10	PRIJEM	VKLAD	22722	58229	\N	\N	\N
799422	2726	1996-05-10	PRIJEM	VKLAD	22722	62109	\N	\N	\N
799423	2726	1996-06-10	PRIJEM	VKLAD	34083	69488	\N	\N	\N
799424	2726	1996-07-10	PRIJEM	VKLAD	22722	63314	\N	\N	\N
799425	2726	1996-08-10	PRIJEM	VKLAD	22722	67513	\N	\N	\N
799426	2726	1996-09-10	PRIJEM	VKLAD	22722	67113	\N	\N	\N
799427	2726	1996-10-10	PRIJEM	VKLAD	22722	69216	\N	\N	\N
799428	2726	1996-11-10	PRIJEM	VKLAD	22722	68723	\N	\N	\N
799429	2726	1996-12-10	PRIJEM	VKLAD	34083	74815	\N	\N	\N
799430	2726	1997-01-10	PRIJEM	VKLAD	22722	62819	\N	\N	\N
799431	2726	1997-02-10	PRIJEM	VKLAD	22722	62221	\N	\N	\N
799432	2726	1997-03-10	PRIJEM	VKLAD	22722	78046	\N	\N	\N
799433	2726	1997-04-10	PRIJEM	VKLAD	22722	58600	\N	\N	\N
799434	2726	1997-05-10	PRIJEM	VKLAD	22722	65038	\N	\N	\N
799435	2726	1997-06-10	PRIJEM	VKLAD	34083	81968	\N	\N	\N
799436	2726	1997-07-10	PRIJEM	VKLAD	22722	79575	\N	\N	\N
799437	2726	1997-08-10	PRIJEM	VKLAD	22722	73855	\N	\N	\N
799438	2726	1997-09-10	PRIJEM	VKLAD	22722	74157	\N	\N	\N
799439	2726	1997-10-10	PRIJEM	VKLAD	22722	77253	\N	\N	\N
799440	2726	1997-11-10	PRIJEM	VKLAD	22722	75658	\N	\N	\N
799441	2726	1997-12-10	PRIJEM	VKLAD	34083	88439	\N	\N	\N
799442	2726	1998-01-10	PRIJEM	VKLAD	22722	83586	\N	\N	\N
799443	2726	1998-02-10	PRIJEM	VKLAD	22722	78706	\N	\N	\N
799444	2726	1998-03-10	PRIJEM	VKLAD	22722	83413	\N	\N	\N
799445	2726	1998-04-10	PRIJEM	VKLAD	22722	89656	\N	\N	\N
799446	2726	1998-05-10	PRIJEM	VKLAD	22722	89709	\N	\N	\N
799447	2726	1998-06-10	PRIJEM	VKLAD	34083	100430	\N	\N	\N
799448	2726	1998-07-10	PRIJEM	VKLAD	22722	92505	\N	\N	\N
799449	2726	1998-08-10	PRIJEM	VKLAD	22722	97459	\N	\N	\N
799450	2726	1998-09-10	PRIJEM	VKLAD	22722	98541	\N	\N	\N
799451	2726	1998-10-10	PRIJEM	VKLAD	22722	97951	\N	\N	\N
799452	2726	1998-11-10	PRIJEM	VKLAD	22722	99044	\N	\N	\N
799453	2726	1998-12-10	PRIJEM	VKLAD	34083	114178	\N	\N	\N
799462	2726	1995-09-10	VYDAJ	PREVOD NA UCET	5297	63835	SIPO	EF	2342153
799463	2726	1995-10-10	VYDAJ	PREVOD NA UCET	5297	59246	SIPO	EF	2342153
799464	2726	1995-11-10	VYDAJ	PREVOD NA UCET	5297	58645	SIPO	EF	2342153
799465	2726	1995-12-10	VYDAJ	PREVOD NA UCET	5297	72011	SIPO	EF	2342153
799466	2726	1996-01-10	VYDAJ	PREVOD NA UCET	5297	48829	SIPO	EF	2342153
799467	2726	1996-02-10	VYDAJ	PREVOD NA UCET	5297	55184	SIPO	EF	2342153
799468	2726	1996-03-10	VYDAJ	PREVOD NA UCET	5297	57470	SIPO	EF	2342153
799469	2726	1996-04-10	VYDAJ	PREVOD NA UCET	5297	52932	SIPO	EF	2342153
799470	2726	1996-05-10	VYDAJ	PREVOD NA UCET	5297	56812	SIPO	EF	2342153
799471	2726	1996-06-10	VYDAJ	PREVOD NA UCET	5297	64191	SIPO	EF	2342153
799472	2726	1996-07-10	VYDAJ	PREVOD NA UCET	5297	58017	SIPO	EF	2342153
799473	2726	1996-08-10	VYDAJ	PREVOD NA UCET	5297	62216	SIPO	EF	2342153
799474	2726	1996-09-10	VYDAJ	PREVOD NA UCET	5297	61816	SIPO	EF	2342153
799475	2726	1996-10-10	VYDAJ	PREVOD NA UCET	5297	63919	SIPO	EF	2342153
799476	2726	1996-11-10	VYDAJ	PREVOD NA UCET	5297	50626	SIPO	EF	2342153
799477	2726	1996-12-10	VYDAJ	PREVOD NA UCET	5297	69518	SIPO	EF	2342153
799478	2726	1997-01-10	VYDAJ	PREVOD NA UCET	5297	55602	SIPO	EF	2342153
799479	2726	1997-02-10	VYDAJ	PREVOD NA UCET	5297	56924	SIPO	EF	2342153
799480	2726	1997-03-10	VYDAJ	PREVOD NA UCET	5297	72749	SIPO	EF	2342153
799481	2726	1997-04-10	VYDAJ	PREVOD NA UCET	5297	53303	SIPO	EF	2342153
799482	2726	1997-05-10	VYDAJ	PREVOD NA UCET	5297	59741	SIPO	EF	2342153
799483	2726	1997-06-10	VYDAJ	PREVOD NA UCET	5297	76671	SIPO	EF	2342153
799484	2726	1997-07-10	VYDAJ	PREVOD NA UCET	5297	74278	SIPO	EF	2342153
799485	2726	1997-08-10	VYDAJ	PREVOD NA UCET	5297	68558	SIPO	EF	2342153
799486	2726	1997-09-10	VYDAJ	PREVOD NA UCET	5297	68860	SIPO	EF	2342153
799487	2726	1997-10-10	VYDAJ	PREVOD NA UCET	5297	71956	SIPO	EF	2342153
799488	2726	1997-11-10	VYDAJ	PREVOD NA UCET	5297	70361	SIPO	EF	2342153
799489	2726	1997-12-10	VYDAJ	PREVOD NA UCET	5297	83142	SIPO	EF	2342153
799490	2726	1998-01-10	VYDAJ	PREVOD NA UCET	5297	78289	SIPO	EF	2342153
799491	2726	1998-02-10	VYDAJ	PREVOD NA UCET	5297	73409	SIPO	EF	2342153
799492	2726	1998-03-10	VYDAJ	PREVOD NA UCET	5297	78116	SIPO	EF	2342153
799493	2726	1998-04-10	VYDAJ	PREVOD NA UCET	5297	84359	SIPO	EF	2342153
799494	2726	1998-05-10	VYDAJ	PREVOD NA UCET	5297	84412	SIPO	EF	2342153
799495	2726	1998-06-10	VYDAJ	PREVOD NA UCET	5297	95133	SIPO	EF	2342153
799496	2726	1998-07-10	VYDAJ	PREVOD NA UCET	5297	87208	SIPO	EF	2342153
799497	2726	1998-08-10	VYDAJ	PREVOD NA UCET	5297	92162	SIPO	EF	2342153
799498	2726	1998-09-10	VYDAJ	PREVOD NA UCET	5297	93244	SIPO	EF	2342153
799499	2726	1998-10-10	VYDAJ	PREVOD NA UCET	5297	92654	SIPO	EF	2342153
799500	2726	1998-11-10	VYDAJ	PREVOD NA UCET	5297	93747	SIPO	EF	2342153
799501	2726	1998-12-10	VYDAJ	PREVOD NA UCET	5297	108881	SIPO	EF	2342153
799502	2726	1995-12-11	VYDAJ	VYBER	3840	68171	\N	\N	\N
799503	2726	1996-12-27	VYDAJ	VYBER	1280	47138	\N	\N	\N
799504	2726	1997-12-23	VYDAJ	VYBER	1440	81702	\N	\N	\N
799505	2726	1998-12-17	VYDAJ	VYBER KARTOU	1100	76881	\N	\N	0
799512	2726	1996-01-07	VYDAJ	VYBER	3120	31404	\N	\N	\N
799513	2726	1996-01-03	VYDAJ	VYBER	3480	38724	\N	\N	\N
799514	2726	1996-01-24	VYDAJ	VYBER	600	37609	\N	\N	\N
799515	2726	1996-01-05	VYDAJ	VYBER	1440	37284	\N	\N	\N
799516	2726	1996-01-05	VYDAJ	VYBER	2760	34524	\N	\N	\N
799517	2726	1996-01-23	VYDAJ	VYBER	720	38209	\N	\N	\N
799518	2726	1997-01-23	VYDAJ	VYBER	2880	48642	\N	\N	\N
799519	2726	1997-01-10	VYDAJ	VYBER	1920	60899	\N	\N	\N
799520	2726	1997-01-30	VYDAJ	VYBER	3360	42402	\N	\N	\N
799521	2726	1997-01-20	VYDAJ	VYBER	2640	51522	\N	\N	\N
799522	2726	1997-01-30	VYDAJ	VYBER	2880	45762	\N	\N	\N
799523	2726	1997-01-19	VYDAJ	VYBER	1440	54162	\N	\N	\N
799524	2726	1998-01-30	VYDAJ	VYBER	3120	67489	\N	\N	\N
799525	2726	1998-01-01	VYDAJ	VYBER	2760	79264	\N	\N	\N
799526	2726	1998-01-24	VYDAJ	VYBER	3120	71929	\N	\N	\N
799527	2726	1998-01-22	VYDAJ	VYBER	2040	75049	\N	\N	\N
799528	2726	1998-01-19	VYDAJ	VYBER	1200	77089	\N	\N	\N
799529	2726	1998-01-29	VYDAJ	VYBER	1320	70609	\N	\N	\N
799531	2726	1995-12-30	VYDAJ	VYBER	3120	42011	\N	\N	\N
799535	2726	1995-12-26	VYDAJ	VYBER	2640	45131	\N	\N	\N
799537	2726	1996-11-23	VYDAJ	VYBER	5640	40546	\N	\N	\N
799538	2726	1996-12-12	VYDAJ	VYBER	3600	48418	\N	\N	\N
799539	2726	1996-05-25	VYDAJ	VYBER	2760	35252	\N	\N	\N
799540	2726	1996-12-28	VYDAJ	VYBER	5520	41618	\N	\N	\N
799541	2726	1996-10-13	VYDAJ	VYBER	5400	45819	\N	\N	\N
799542	2726	1996-11-15	VYDAJ	VYBER	4440	46186	\N	\N	\N
799543	2726	1996-06-23	VYDAJ	VYBER	1560	40431	\N	\N	\N
799544	2726	1996-03-16	VYDAJ	VYBER	5520	35350	\N	\N	\N
799545	2726	1997-07-11	VYDAJ	VYBER	840	73438	\N	\N	\N
799546	2726	1997-02-18	VYDAJ	VYBER	1800	55124	\N	\N	\N
799547	2726	1997-05-12	VYDAJ	VYBER	1080	58661	\N	\N	\N
799548	2726	1997-03-15	VYDAJ	VYBER	3480	45869	\N	\N	\N
799549	2726	1998-06-13	VYDAJ	VYBER KARTOU	4200	90933	\N	\N	0
799550	2726	1998-11-18	VYDAJ	VYBER KARTOU	1900	91847	\N	\N	0
799551	2726	1998-11-23	VYDAJ	VYBER KARTOU	3600	88247	\N	\N	0
799552	2726	1998-06-09	VYDAJ	VYBER KARTOU	3600	66347	\N	\N	0
799553	2726	1998-06-22	VYDAJ	VYBER KARTOU	5000	85933	\N	\N	0
799554	2726	1998-07-07	VYDAJ	VYBER KARTOU	2200	69783	\N	\N	0
799555	2726	1998-07-15	VYDAJ	VYBER KARTOU	4100	83108	\N	\N	0
799565	2726	1995-09-30	VYDAJ	VYBER	15	41821	SLUZBY	\N	\N
799566	2726	1995-10-31	VYDAJ	VYBER	15	41220	SLUZBY	\N	\N
799567	2726	1995-11-30	VYDAJ	VYBER	15	43225	SLUZBY	\N	\N
799568	2726	1995-12-31	VYDAJ	VYBER	15	42204	SLUZBY	\N	\N
799569	2726	1996-01-31	VYDAJ	VYBER	15	37759	SLUZBY	\N	\N
799570	2726	1996-02-29	VYDAJ	VYBER	15	40045	SLUZBY	\N	\N
799571	2726	1996-03-31	VYDAJ	VYBER	15	35507	SLUZBY	\N	\N
799572	2726	1996-04-30	VYDAJ	VYBER	15	39387	SLUZBY	\N	\N
799573	2726	1996-05-31	VYDAJ	VYBER	15	35405	SLUZBY	\N	\N
799574	2726	1996-06-30	VYDAJ	VYBER	15	40592	SLUZBY	\N	\N
799575	2726	1996-07-31	VYDAJ	VYBER	15	44791	SLUZBY	\N	\N
799576	2726	1996-08-31	VYDAJ	VYBER	15	44391	SLUZBY	\N	\N
799577	2726	1996-09-30	VYDAJ	VYBER	15	46494	SLUZBY	\N	\N
799578	2726	1996-10-31	VYDAJ	VYBER	15	46001	SLUZBY	\N	\N
799579	2726	1996-11-30	VYDAJ	VYBER	15	40732	SLUZBY	\N	\N
799580	2726	1996-12-31	VYDAJ	VYBER	15	41797	SLUZBY	\N	\N
799581	2726	1997-01-31	VYDAJ	VYBER	15	42599	SLUZBY	\N	\N
799582	2726	1997-02-28	VYDAJ	VYBER	15	55324	SLUZBY	\N	\N
799583	2726	1997-03-31	VYDAJ	VYBER	15	46078	SLUZBY	\N	\N
799584	2726	1997-04-30	VYDAJ	VYBER	15	53516	SLUZBY	\N	\N
799585	2726	1997-05-31	VYDAJ	VYBER	15	58885	SLUZBY	\N	\N
799586	2726	1997-06-30	VYDAJ	VYBER	15	76953	SLUZBY	\N	\N
799587	2726	1997-07-31	VYDAJ	VYBER	15	73733	SLUZBY	\N	\N
799588	2726	1997-08-31	VYDAJ	VYBER	15	68835	SLUZBY	\N	\N
799589	2726	1997-09-30	VYDAJ	VYBER	15	69131	SLUZBY	\N	\N
799590	2726	1997-10-31	VYDAJ	VYBER	15	72236	SLUZBY	\N	\N
799591	2726	1997-11-30	VYDAJ	VYBER	15	70656	SLUZBY	\N	\N
799592	2726	1997-12-31	VYDAJ	VYBER	15	82024	SLUZBY	\N	\N
799593	2726	1998-01-31	VYDAJ	VYBER	15	67784	SLUZBY	\N	\N
799594	2726	1998-02-28	VYDAJ	VYBER	15	73691	SLUZBY	\N	\N
799595	2726	1998-03-31	VYDAJ	VYBER	15	78434	SLUZBY	\N	\N
799596	2726	1998-04-30	VYDAJ	VYBER	15	84687	SLUZBY	\N	\N
799597	2726	1998-05-31	VYDAJ	VYBER	15	84747	SLUZBY	\N	\N
799598	2726	1998-06-30	VYDAJ	VYBER	15	86283	SLUZBY	\N	\N
799599	2726	1998-07-31	VYDAJ	VYBER	15	83437	SLUZBY	\N	\N
799600	2726	1998-08-31	VYDAJ	VYBER	15	92519	SLUZBY	\N	\N
799601	2726	1998-09-30	VYDAJ	VYBER	15	93629	SLUZBY	\N	\N
799602	2726	1998-10-31	VYDAJ	VYBER	15	76322	SLUZBY	\N	\N
799603	2726	1998-11-30	VYDAJ	VYBER	15	80095	SLUZBY	\N	\N
799604	2726	1995-05-20	PRIJEM	VKLAD	2500	25422	\N	\N	\N
799605	2726	1995-06-19	VYDAJ	VYBER	16200	43346	\N	\N	\N
799606	2726	1995-07-19	VYDAJ	VYBER	18600	47604	\N	\N	\N
799607	2726	1995-08-18	VYDAJ	VYBER	24300	46214	\N	\N	\N
799608	2726	1995-09-17	VYDAJ	VYBER	22200	41635	\N	\N	\N
799609	2726	1995-10-17	VYDAJ	VYBER	18200	41046	\N	\N	\N
799610	2726	1995-11-16	VYDAJ	VYBER	15600	43045	\N	\N	\N
799611	2726	1995-12-16	VYDAJ	VYBER	20400	47771	\N	\N	\N
799612	2726	1996-01-15	VYDAJ	VYBER	9900	38929	\N	\N	\N
799613	2726	1996-02-14	VYDAJ	VYBER	15300	39884	\N	\N	\N
799614	2726	1996-03-15	VYDAJ	VYBER	16600	40870	\N	\N	\N
799615	2726	1996-04-14	VYDAJ	VYBER	13700	39232	\N	\N	\N
799616	2726	1996-05-14	VYDAJ	VYBER	18800	38012	\N	\N	\N
799617	2726	1996-06-13	VYDAJ	VYBER	22200	41991	\N	\N	\N
799618	2726	1996-07-13	VYDAJ	VYBER	13400	44617	\N	\N	\N
799619	2726	1996-08-12	VYDAJ	VYBER	18000	44216	\N	\N	\N
799620	2726	1996-09-11	VYDAJ	VYBER	15500	46316	\N	\N	\N
799621	2726	1996-10-11	VYDAJ	VYBER	12700	51219	\N	\N	\N
799622	2726	1996-11-10	VYDAJ	VYBER	12800	55923	\N	\N	\N
799623	2726	1996-12-10	VYDAJ	VYBER	17500	52018	\N	\N	\N
799624	2726	1997-01-09	VYDAJ	VYBER	1700	40097	\N	\N	\N
799625	2726	1997-02-08	VYDAJ	VYBER	3100	39499	\N	\N	\N
799626	2726	1997-03-10	VYDAJ	VYBER	23400	49349	\N	\N	\N
799627	2726	1997-04-09	VYDAJ	VYBER	10200	35878	\N	\N	\N
799628	2726	1997-05-09	VYDAJ	VYBER	11200	42316	\N	\N	\N
799629	2726	1997-06-08	VYDAJ	VYBER	11000	47885	\N	\N	\N
799630	2726	1997-07-08	VYDAJ	VYBER	20100	56853	\N	\N	\N
799631	2726	1997-08-07	VYDAJ	VYBER	22600	51133	\N	\N	\N
799632	2726	1997-09-06	VYDAJ	VYBER	17400	51435	\N	\N	\N
799633	2726	1997-10-06	VYDAJ	VYBER	14600	54531	\N	\N	\N
799634	2726	1997-11-05	VYDAJ	VYBER	19300	52936	\N	\N	\N
799635	2726	1997-12-05	VYDAJ	VYBER	16300	54356	\N	\N	\N
799636	2726	1998-01-04	VYDAJ	VYBER	18400	60864	\N	\N	\N
799637	2726	1998-02-03	VYDAJ	VYBER	11800	55984	\N	\N	\N
799638	2726	1998-03-05	VYDAJ	VYBER	13000	60691	\N	\N	\N
799639	2726	1998-04-04	VYDAJ	VYBER	11500	66934	\N	\N	\N
799640	2726	1998-05-04	VYDAJ	VYBER	17700	66987	\N	\N	\N
799641	2726	1998-06-03	VYDAJ	VYBER	14800	69947	\N	\N	\N
799642	2726	1998-07-03	VYDAJ	VYBER	14300	71983	\N	\N	\N
799643	2726	1998-08-02	VYDAJ	VYBER	8700	74737	\N	\N	\N
799644	2726	1998-09-01	VYDAJ	VYBER	16700	75819	\N	\N	\N
799645	2726	1998-10-01	VYDAJ	VYBER	18400	75229	\N	\N	\N
799646	2726	1998-10-31	VYDAJ	VYBER	16700	76336	\N	\N	\N
799647	2726	1998-11-30	VYDAJ	VYBER	8500	80110	\N	\N	\N
799648	2726	1998-12-10	VYDAJ	VYBER	30900	77981	\N	\N	\N
799693	2727	1995-10-25	PRIJEM	VKLAD	300	300	\N	\N	\N
799704	2727	1995-11-06	PRIJEM	VKLAD	14075	14375	\N	\N	\N
799705	2727	1995-12-06	PRIJEM	VKLAD	21112	43609	\N	\N	\N
799706	2727	1996-01-06	PRIJEM	VKLAD	14075	49992	\N	\N	\N
799707	2727	1996-02-06	PRIJEM	VKLAD	14075	48114	\N	\N	\N
799708	2727	1996-03-06	PRIJEM	VKLAD	14075	46628	\N	\N	\N
799709	2727	1996-04-06	PRIJEM	VKLAD	14075	47425	\N	\N	\N
799710	2727	1996-05-06	PRIJEM	VKLAD	14075	49026	\N	\N	\N
799711	2727	1996-06-06	PRIJEM	VKLAD	21112	53666	\N	\N	\N
799712	2727	1996-07-06	PRIJEM	VKLAD	14075	50454	\N	\N	\N
799713	2727	1996-08-06	PRIJEM	VKLAD	14075	52769	\N	\N	\N
799714	2727	1996-09-06	PRIJEM	VKLAD	14075	52190	\N	\N	\N
799715	2727	1996-10-06	PRIJEM	VKLAD	14075	47867	\N	\N	\N
799716	2727	1996-11-06	PRIJEM	VKLAD	14075	50699	\N	\N	\N
799717	2727	1996-12-06	PRIJEM	VKLAD	21112	57248	\N	\N	\N
799718	2727	1997-01-06	PRIJEM	VKLAD	14075	39432	\N	\N	\N
799719	2727	1997-02-06	PRIJEM	VKLAD	14075	29276	\N	\N	\N
799720	2727	1997-03-06	PRIJEM	VKLAD	14075	39118	\N	\N	\N
799721	2727	1997-04-06	PRIJEM	VKLAD	14075	38810	\N	\N	\N
799722	2727	1997-05-06	PRIJEM	VKLAD	14075	44885	\N	\N	\N
799723	2727	1997-06-06	PRIJEM	VKLAD	21112	54556	\N	\N	\N
799724	2727	1997-07-06	PRIJEM	VKLAD	14075	50155	\N	\N	\N
799725	2727	1997-08-06	PRIJEM	VKLAD	14075	53171	\N	\N	\N
799726	2727	1997-09-06	PRIJEM	VKLAD	14075	51555	\N	\N	\N
799727	2727	1997-10-06	PRIJEM	VKLAD	14075	51216	\N	\N	\N
799728	2727	1997-11-06	PRIJEM	VKLAD	14075	52438	\N	\N	\N
799729	2727	1997-12-06	PRIJEM	VKLAD	21112	62803	\N	\N	\N
799730	2727	1998-01-06	PRIJEM	VKLAD	14075	40451	\N	\N	\N
799731	2727	1998-02-06	PRIJEM	VKLAD	14075	38459	\N	\N	\N
799732	2727	1998-03-06	PRIJEM	VKLAD	14075	42130	\N	\N	\N
799733	2727	1998-04-06	PRIJEM	VKLAD	14075	45013	\N	\N	\N
799734	2727	1998-05-06	PRIJEM	VKLAD	14075	45403	\N	\N	\N
799735	2727	1998-06-06	PRIJEM	VKLAD	21112	54735	\N	\N	\N
799736	2727	1998-07-06	PRIJEM	VKLAD	14075	29434	\N	\N	\N
799737	2727	1998-08-06	PRIJEM	VKLAD	14075	34311	\N	\N	\N
799738	2727	1998-09-06	PRIJEM	VKLAD	14075	33299	\N	\N	\N
799739	2727	1998-10-06	PRIJEM	VKLAD	14075	32002	\N	\N	\N
799740	2727	1998-11-06	PRIJEM	VKLAD	14075	37453	\N	\N	\N
799741	2727	1998-12-06	PRIJEM	VKLAD	21112	44546	\N	\N	\N
799743	2727	1996-06-21	VYDAJ	VYBER	5920	36246	\N	\N	\N
799744	2727	1997-06-11	VYDAJ	VYBER	6240	48316	\N	\N	\N
799745	2727	1998-06-17	VYDAJ	VYBER	18720	15255	\N	\N	\N
799748	2727	1997-01-12	VYDAJ	VYBER	14720	24712	\N	\N	\N
799749	2727	1998-01-05	VYDAJ	VYBER	12800	26376	\N	\N	\N
799751	2727	1996-12-07	VYDAJ	VYBER	3840	53408	\N	\N	\N
799752	2727	1997-12-07	VYDAJ	VYBER	3680	59123	\N	\N	\N
799753	2727	1998-12-17	VYDAJ	VYBER	2880	20566	\N	\N	\N
799766	2727	1997-01-29	VYDAJ	VYBER	3240	15112	\N	\N	\N
799767	2727	1997-01-14	VYDAJ	VYBER	3120	21592	\N	\N	\N
799768	2727	1997-01-02	VYDAJ	VYBER	1320	25357	\N	\N	\N
799769	2727	1997-01-25	VYDAJ	VYBER	1560	18352	\N	\N	\N
799770	2727	1997-01-01	VYDAJ	VYBER	3240	26677	\N	\N	\N
799771	2727	1997-01-20	VYDAJ	VYBER	2880	19912	\N	\N	\N
799772	2727	1998-01-12	VYDAJ	VYBER	960	37571	\N	\N	\N
799773	2727	1998-01-13	VYDAJ	VYBER	2520	25831	\N	\N	\N
799774	2727	1998-01-30	VYDAJ	VYBER	960	24271	\N	\N	\N
799775	2727	1998-01-09	VYDAJ	VYBER	1920	38531	\N	\N	\N
799776	2727	1998-01-04	VYDAJ	VYBER	3120	39176	\N	\N	\N
799777	2727	1998-01-13	VYDAJ	VYBER	1920	28351	\N	\N	\N
799783	2727	1996-12-10	VYDAJ	VYBER	2760	50648	\N	\N	\N
799784	2727	1996-12-19	VYDAJ	VYBER	3600	32048	\N	\N	\N
799785	2727	1996-09-24	VYDAJ	VYBER	1560	36530	\N	\N	\N
799787	2727	1996-10-05	VYDAJ	VYBER	2880	33792	\N	\N	\N
799788	2727	1996-12-25	VYDAJ	VYBER	2280	29768	\N	\N	\N
799789	2727	1997-08-12	VYDAJ	VYBER	2640	50531	\N	\N	\N
799790	2727	1997-03-29	VYDAJ	VYBER	5880	24638	\N	\N	\N
799791	2727	1997-06-22	VYDAJ	VYBER	4680	35936	\N	\N	\N
799792	2727	1997-09-30	VYDAJ	VYBER	2760	37141	\N	\N	\N
799793	2727	1997-05-18	VYDAJ	VYBER	3360	33325	\N	\N	\N
799794	2727	1998-07-12	VYDAJ	VYBER	960	20174	\N	\N	\N
799796	2727	1998-12-21	VYDAJ	VYBER	2880	17686	\N	\N	\N
799797	2727	1998-06-06	VYDAJ	VYBER	1560	53175	\N	\N	\N
799798	2727	1998-09-25	VYDAJ	VYBER	3840	17859	\N	\N	\N
799799	2727	1998-08-24	VYDAJ	VYBER	3960	19151	\N	\N	\N
799800	2727	1998-01-17	VYDAJ	VYBER	600	25231	\N	\N	\N
799816	2727	1996-03-31	VYDAJ	VYBER	15	33350	SLUZBY	\N	\N
799817	2727	1996-04-30	VYDAJ	VYBER	15	34951	SLUZBY	\N	\N
799818	2727	1996-05-31	VYDAJ	VYBER	15	32554	SLUZBY	\N	\N
799819	2727	1996-06-30	VYDAJ	VYBER	15	36379	SLUZBY	\N	\N
799820	2727	1996-07-31	VYDAJ	VYBER	15	38694	SLUZBY	\N	\N
799821	2727	1996-08-31	VYDAJ	VYBER	15	38115	SLUZBY	\N	\N
799822	2727	1996-09-30	VYDAJ	VYBER	15	36672	SLUZBY	\N	\N
799823	2727	1996-10-31	VYDAJ	VYBER	15	36624	SLUZBY	\N	\N
799824	2727	1996-11-30	VYDAJ	VYBER	15	36136	SLUZBY	\N	\N
799825	2727	1996-12-31	VYDAJ	VYBER	15	29917	SLUZBY	\N	\N
799826	2727	1997-01-31	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
799827	2727	1997-02-28	VYDAJ	VYBER	15	25043	SLUZBY	\N	\N
799828	2727	1997-03-31	VYDAJ	VYBER	15	24735	SLUZBY	\N	\N
799829	2727	1997-04-30	VYDAJ	VYBER	15	30810	SLUZBY	\N	\N
799830	2727	1997-05-31	VYDAJ	VYBER	15	33444	SLUZBY	\N	\N
799831	2727	1997-06-30	VYDAJ	VYBER	15	36080	SLUZBY	\N	\N
799832	2727	1997-07-31	VYDAJ	VYBER	15	39096	SLUZBY	\N	\N
799833	2727	1997-08-31	VYDAJ	VYBER	15	37480	SLUZBY	\N	\N
799834	2727	1997-09-30	VYDAJ	VYBER	15	39901	SLUZBY	\N	\N
799835	2727	1997-10-31	VYDAJ	VYBER	15	38363	SLUZBY	\N	\N
799836	2727	1997-11-30	VYDAJ	VYBER	15	41691	SLUZBY	\N	\N
799837	2727	1997-12-31	VYDAJ	VYBER	15	42296	SLUZBY	\N	\N
799838	2727	1998-01-31	VYDAJ	VYBER	15	24384	SLUZBY	\N	\N
799839	2727	1998-02-28	VYDAJ	VYBER	15	28055	SLUZBY	\N	\N
799840	2727	1998-03-31	VYDAJ	VYBER	15	30938	SLUZBY	\N	\N
799841	2727	1998-04-30	VYDAJ	VYBER	15	31328	SLUZBY	\N	\N
799842	2727	1998-05-31	VYDAJ	VYBER	15	33623	SLUZBY	\N	\N
799843	2727	1998-06-30	VYDAJ	VYBER	15	15359	SLUZBY	\N	\N
799844	2727	1998-07-31	VYDAJ	VYBER	15	20236	SLUZBY	\N	\N
799845	2727	1998-08-31	VYDAJ	VYBER	15	19224	SLUZBY	\N	\N
799846	2727	1998-09-30	VYDAJ	VYBER	15	17927	SLUZBY	\N	\N
799847	2727	1998-10-31	VYDAJ	VYBER	15	23378	SLUZBY	\N	\N
799848	2727	1998-11-30	VYDAJ	VYBER	15	23434	SLUZBY	\N	\N
799849	2727	1995-11-24	PRIJEM	VKLAD	8100	22475	\N	\N	\N
799850	2727	1995-12-24	VYDAJ	VYBER	7800	35809	\N	\N	\N
799851	2727	1996-01-23	VYDAJ	VYBER	16100	33892	\N	\N	\N
799852	2727	1996-02-22	VYDAJ	VYBER	15700	32414	\N	\N	\N
799853	2727	1996-03-23	VYDAJ	VYBER	13400	33228	\N	\N	\N
799854	2727	1996-04-22	VYDAJ	VYBER	12600	34825	\N	\N	\N
799855	2727	1996-05-22	VYDAJ	VYBER	16600	32426	\N	\N	\N
799856	2727	1996-06-21	VYDAJ	VYBER	11500	42166	\N	\N	\N
799857	2727	1996-07-21	VYDAJ	VYBER	11900	38554	\N	\N	\N
799858	2727	1996-08-20	VYDAJ	VYBER	14800	37969	\N	\N	\N
799859	2727	1996-09-19	VYDAJ	VYBER	14100	38090	\N	\N	\N
799860	2727	1996-10-19	VYDAJ	VYBER	11400	36467	\N	\N	\N
799861	2727	1996-11-18	VYDAJ	VYBER	14700	35999	\N	\N	\N
799862	2727	1996-12-18	VYDAJ	VYBER	15000	35648	\N	\N	\N
799863	2727	1997-01-17	PRIJEM	VKLAD	1200	22792	\N	\N	\N
799864	2727	1997-02-16	VYDAJ	VYBER	4300	24976	\N	\N	\N
799865	2727	1997-03-18	VYDAJ	VYBER	8600	30518	\N	\N	\N
799866	2727	1997-04-17	VYDAJ	VYBER	8100	30710	\N	\N	\N
799867	2727	1997-05-17	VYDAJ	VYBER	8200	36685	\N	\N	\N
799868	2727	1997-06-16	VYDAJ	VYBER	7700	40616	\N	\N	\N
799869	2727	1997-07-16	VYDAJ	VYBER	11200	38955	\N	\N	\N
799870	2727	1997-08-15	VYDAJ	VYBER	13200	37331	\N	\N	\N
799871	2727	1997-09-14	VYDAJ	VYBER	11800	39755	\N	\N	\N
799872	2727	1997-10-14	VYDAJ	VYBER	13000	38216	\N	\N	\N
799873	2727	1997-11-13	VYDAJ	VYBER	10900	41538	\N	\N	\N
799874	2727	1997-12-13	VYDAJ	VYBER	17000	42123	\N	\N	\N
799875	2727	1998-01-12	VYDAJ	VYBER	7300	30271	\N	\N	\N
799876	2727	1998-02-11	VYDAJ	VYBER	10500	27959	\N	\N	\N
799877	2727	1998-03-13	VYDAJ	VYBER	11300	30830	\N	\N	\N
799878	2727	1998-04-12	VYDAJ	VYBER	13800	31213	\N	\N	\N
799879	2727	1998-05-12	VYDAJ	VYBER	11900	33503	\N	\N	\N
799880	2727	1998-06-11	VYDAJ	VYBER	19200	33975	\N	\N	\N
799881	2727	1998-07-11	VYDAJ	VYBER	8300	21134	\N	\N	\N
799882	2727	1998-08-10	VYDAJ	VYBER	11200	23111	\N	\N	\N
799883	2727	1998-09-09	VYDAJ	VYBER	11600	21699	\N	\N	\N
799884	2727	1998-10-09	VYDAJ	VYBER	8700	23302	\N	\N	\N
799885	2727	1998-11-08	VYDAJ	VYBER	14100	23353	\N	\N	\N
799886	2727	1998-12-08	VYDAJ	VYBER	21100	23446	\N	\N	\N
799925	2728	1997-07-06	PRIJEM	VKLAD	400	400	\N	\N	\N
799927	2728	1997-08-03	PRIJEM	VKLAD	43935	71467	\N	\N	\N
799928	2728	1997-11-29	PRIJEM	VKLAD	18887	65275	\N	\N	\N
799929	2728	1997-07-06	PRIJEM	VKLAD	27131	27531	\N	\N	\N
799932	2728	1997-12-19	PRIJEM	VKLAD	37875	68426	\N	\N	\N
799936	2728	1997-08-30	PRIJEM	VKLAD	26820	77987	\N	\N	\N
799940	2728	1997-09-29	PRIJEM	VKLAD	42084	94365	\N	\N	\N
799941	2728	1998-04-05	PRIJEM	VKLAD	19063	61956	\N	\N	\N
799942	2728	1998-06-21	PRIJEM	VKLAD	25265	45105	\N	\N	\N
799943	2728	1998-01-06	PRIJEM	VKLAD	30297	73633	\N	\N	\N
799944	2728	1998-02-22	PRIJEM	VKLAD	45976	68519	\N	\N	\N
799945	2728	1998-10-27	PRIJEM	VKLAD	33113	83984	\N	\N	\N
799946	2728	1998-01-20	PRIJEM	VKLAD	39082	64893	\N	\N	\N
799947	2728	1998-11-04	PRIJEM	VKLAD	40959	97017	\N	\N	\N
799948	2728	1998-10-24	PRIJEM	VKLAD	18758	50871	\N	\N	\N
799949	2728	1998-10-06	PRIJEM	VKLAD	29538	59742	\N	\N	\N
799950	2728	1998-09-11	PRIJEM	VKLAD	19437	47599	\N	\N	\N
799962	2728	1997-12-17	VYDAJ	VYBER	3700	30551	\N	\N	0
799963	2728	1998-01-01	VYDAJ	VYBER	3200	62736	\N	\N	0
799964	2728	1998-02-02	VYDAJ	VYBER	3100	33765	\N	\N	0
799965	2728	1998-03-07	VYDAJ	VYBER	3100	52346	\N	\N	0
799966	2728	1998-04-01	VYDAJ	VYBER	2700	38593	\N	\N	0
799967	2728	1998-05-12	VYDAJ	VYBER	3800	35697	\N	\N	0
799968	2728	1998-06-15	VYDAJ	VYBER	2200	19840	\N	\N	0
799969	2728	1998-07-12	VYDAJ	PREVOD NA UCET	2607	34083	UVER	OP	99268948
799970	2728	1998-08-12	VYDAJ	PREVOD NA UCET	2607	25882	UVER	OP	99268948
799971	2728	1998-09-12	VYDAJ	PREVOD NA UCET	2607	31492	UVER	OP	99268948
799972	2728	1998-10-12	VYDAJ	PREVOD NA UCET	2607	45913	UVER	OP	99268948
799973	2728	1998-11-12	VYDAJ	PREVOD NA UCET	2607	83188	UVER	OP	99268948
799974	2728	1998-12-12	VYDAJ	PREVOD NA UCET	2607	52677	UVER	OP	99268948
799986	2728	1997-12-10	VYDAJ	PREVOD NA UCET	11222	37209	SIPO	EF	96346175
799987	2728	1998-01-10	VYDAJ	PREVOD NA UCET	11222	62411	SIPO	EF	96346175
799988	2728	1998-02-10	VYDAJ	PREVOD NA UCET	11222	22543	SIPO	EF	96346175
799989	2728	1998-03-10	VYDAJ	PREVOD NA UCET	11222	41124	SIPO	EF	96346175
799990	2728	1998-04-10	VYDAJ	PREVOD NA UCET	11222	50734	SIPO	EF	96346175
799991	2728	1998-05-10	VYDAJ	PREVOD NA UCET	11222	39497	SIPO	EF	96346175
799992	2728	1998-06-10	VYDAJ	PREVOD NA UCET	11222	22040	SIPO	EF	96346175
799993	2728	1998-07-10	VYDAJ	PREVOD NA UCET	11222	36690	SIPO	EF	96346175
799994	2728	1998-08-10	VYDAJ	PREVOD NA UCET	11222	28489	SIPO	EF	96346175
799995	2728	1998-09-10	VYDAJ	PREVOD NA UCET	11222	28162	SIPO	EF	96346175
799996	2728	1998-10-10	VYDAJ	PREVOD NA UCET	11222	48520	SIPO	EF	96346175
799997	2728	1998-11-10	VYDAJ	PREVOD NA UCET	11222	85795	SIPO	EF	96346175
799998	2728	1998-12-10	VYDAJ	PREVOD NA UCET	11222	55284	SIPO	EF	96346175
800012	2728	1997-12-15	VYBER	VYBER	2958	34251	\N	\N	\N
800014	2728	1998-06-03	VYBER	VYBER	6774	33262	\N	\N	\N
800018	2728	1998-01-13	VYDAJ	VYBER	29700	32711	\N	\N	\N
800019	2728	1997-12-26	VYDAJ	VYBER	2700	65726	\N	\N	\N
800020	2728	1998-12-02	VYDAJ	VYBER	4500	66506	\N	\N	\N
800027	2728	1998-01-29	VYDAJ	VYBER	8700	34293	\N	\N	\N
800028	2728	1998-01-20	VYDAJ	VYBER	7200	57693	\N	\N	\N
800029	2728	1998-01-04	VYDAJ	VYBER	5700	43336	\N	\N	\N
800030	2728	1998-01-17	VYDAJ	VYBER	6900	25811	\N	\N	\N
800031	2728	1998-01-26	VYDAJ	VYBER	6000	42993	\N	\N	\N
800032	2728	1998-01-24	VYDAJ	VYBER	8700	48993	\N	\N	\N
800034	2728	1998-10-18	VYDAJ	VYBER	13800	32113	\N	\N	\N
800035	2728	1998-11-03	VYDAJ	VYBER	12900	56058	\N	\N	\N
800036	2728	1998-09-12	VYDAJ	VYBER	13500	34099	\N	\N	\N
800037	2728	1998-09-24	VYDAJ	VYBER	12900	18592	\N	\N	\N
800038	2728	1998-10-04	VYDAJ	VYBER	6600	30204	\N	\N	\N
800050	2728	1997-11-30	VYDAJ	VYBER	30	65631	SLUZBY	\N	\N
800051	2728	1997-12-31	VYDAJ	VYBER	30	65936	SLUZBY	\N	\N
800052	2728	1998-01-31	VYDAJ	VYBER	30	34465	SLUZBY	\N	\N
800053	2728	1998-02-28	VYDAJ	VYBER	30	68646	SLUZBY	\N	\N
800054	2728	1998-03-31	VYDAJ	VYBER	30	41293	SLUZBY	\N	\N
800055	2728	1998-04-30	VYDAJ	VYBER	30	50919	SLUZBY	\N	\N
800056	2728	1998-05-31	VYDAJ	VYBER	30	35836	SLUZBY	\N	\N
800057	2728	1998-06-30	VYDAJ	VYBER	30	45212	SLUZBY	\N	\N
800058	2728	1998-07-31	VYDAJ	VYBER	30	39711	SLUZBY	\N	\N
800059	2728	1998-08-31	VYDAJ	VYBER	30	39384	SLUZBY	\N	\N
800060	2728	1998-09-30	VYDAJ	VYBER	30	36804	SLUZBY	\N	\N
800061	2728	1998-10-31	VYDAJ	VYBER	30	68958	SLUZBY	\N	\N
800062	2728	1998-11-30	VYDAJ	VYBER	30	71006	SLUZBY	\N	\N
800063	2728	1997-08-05	VYDAJ	VYBER	20300	51167	\N	\N	\N
800064	2728	1997-09-04	VYDAJ	VYBER	25900	52281	\N	\N	\N
800065	2728	1997-10-04	VYDAJ	VYBER	33800	60895	\N	\N	\N
800066	2728	1997-11-03	VYDAJ	VYBER	14900	46388	\N	\N	\N
800067	2728	1997-12-03	VYDAJ	VYBER	17200	48431	\N	\N	\N
800068	2728	1998-01-02	VYDAJ	VYBER	13700	49036	\N	\N	\N
800069	2728	1998-02-01	PRIJEM	VKLAD	2400	36865	\N	\N	\N
800070	2728	1998-03-03	VYDAJ	VYBER	13200	55446	\N	\N	\N
800071	2728	1998-04-02	PRIJEM	VKLAD	4300	42893	\N	\N	\N
800072	2728	1998-05-02	VYDAJ	VYBER	200	50719	\N	\N	\N
800073	2728	1998-06-01	PRIJEM	VKLAD	4200	40036	\N	\N	\N
800074	2728	1998-07-01	PRIJEM	VKLAD	2700	47912	\N	\N	\N
800075	2728	1998-07-31	PRIJEM	VKLAD	5500	39583	\N	\N	\N
800076	2728	1998-08-30	PRIJEM	VKLAD	13400	39282	\N	\N	\N
800077	2728	1998-09-29	PRIJEM	VKLAD	18100	36692	\N	\N	\N
800078	2728	1998-10-29	VYDAJ	VYBER	15200	68784	\N	\N	\N
800079	2728	1998-11-28	VYDAJ	VYBER	12500	70688	\N	\N	\N
800098	2729	1995-01-16	PRIJEM	VKLAD	700	700	\N	\N	\N
800100	2729	1995-02-14	PRIJEM	VKLAD	13100	13800	\N	\N	\N
800101	2729	1995-03-14	PRIJEM	VKLAD	13100	31338	\N	\N	\N
800102	2729	1995-04-14	PRIJEM	VKLAD	13100	42035	\N	\N	\N
800103	2729	1995-05-14	PRIJEM	VKLAD	13100	48268	\N	\N	\N
800104	2729	1995-06-14	PRIJEM	VKLAD	19650	57871	\N	\N	\N
800105	2729	1995-07-14	PRIJEM	VKLAD	13100	45288	\N	\N	\N
800106	2729	1995-08-14	PRIJEM	VKLAD	13100	37293	\N	\N	\N
800107	2729	1995-09-14	PRIJEM	VKLAD	13100	34574	\N	\N	\N
800108	2729	1995-10-14	PRIJEM	VKLAD	13100	37560	\N	\N	\N
800109	2729	1995-11-14	PRIJEM	VKLAD	13100	39394	\N	\N	\N
800110	2729	1995-12-14	PRIJEM	VKLAD	19650	39708	\N	\N	\N
800111	2729	1996-01-14	PRIJEM	VKLAD	13100	37370	\N	\N	\N
800112	2729	1996-02-14	PRIJEM	VKLAD	13100	33454	\N	\N	\N
800113	2729	1996-03-14	PRIJEM	VKLAD	13100	39727	\N	\N	\N
800114	2729	1996-04-14	PRIJEM	VKLAD	13100	43832	\N	\N	\N
800115	2729	1996-05-14	PRIJEM	VKLAD	13100	46454	\N	\N	\N
800116	2729	1996-06-14	PRIJEM	VKLAD	19650	52000	\N	\N	\N
800117	2729	1996-07-14	PRIJEM	VKLAD	13100	36077	\N	\N	\N
800118	2729	1996-08-14	PRIJEM	VKLAD	13100	38422	\N	\N	\N
800119	2729	1996-09-14	PRIJEM	VKLAD	13100	39681	\N	\N	\N
800120	2729	1996-10-14	PRIJEM	VKLAD	13100	39127	\N	\N	\N
800121	2729	1996-11-14	PRIJEM	VKLAD	13100	41929	\N	\N	\N
800122	2729	1996-12-14	PRIJEM	VKLAD	19650	52383	\N	\N	\N
800123	2729	1997-01-14	PRIJEM	VKLAD	13100	48108	\N	\N	\N
800124	2729	1997-02-14	PRIJEM	VKLAD	13100	41141	\N	\N	\N
800125	2729	1997-03-14	PRIJEM	VKLAD	13100	46152	\N	\N	\N
800126	2729	1997-04-14	PRIJEM	VKLAD	13100	47562	\N	\N	\N
800127	2729	1997-05-14	PRIJEM	VKLAD	13100	51400	\N	\N	\N
800128	2729	1997-06-14	PRIJEM	VKLAD	19650	59703	\N	\N	\N
800129	2729	1997-07-14	PRIJEM	VKLAD	13100	58180	\N	\N	\N
800130	2729	1997-08-14	PRIJEM	VKLAD	13100	59067	\N	\N	\N
800131	2729	1997-09-14	PRIJEM	VKLAD	13100	60355	\N	\N	\N
800132	2729	1997-10-14	PRIJEM	VKLAD	13100	64248	\N	\N	\N
800133	2729	1997-11-14	PRIJEM	VKLAD	13100	60994	\N	\N	\N
800134	2729	1997-12-14	PRIJEM	VKLAD	19650	73720	\N	\N	\N
800135	2729	1998-01-14	PRIJEM	VKLAD	13100	69790	\N	\N	\N
800136	2729	1998-02-14	PRIJEM	VKLAD	13100	71738	\N	\N	\N
800137	2729	1998-03-14	PRIJEM	VKLAD	13100	74979	\N	\N	\N
800138	2729	1998-04-14	PRIJEM	VKLAD	13100	73629	\N	\N	\N
800139	2729	1998-05-14	PRIJEM	VKLAD	13100	76379	\N	\N	\N
800140	2729	1998-06-14	PRIJEM	VKLAD	19650	81138	\N	\N	\N
800141	2729	1998-07-14	PRIJEM	VKLAD	13100	75462	\N	\N	\N
800142	2729	1998-08-14	PRIJEM	VKLAD	13100	79596	\N	\N	\N
800143	2729	1998-09-14	PRIJEM	VKLAD	13100	79167	\N	\N	\N
800144	2729	1998-10-14	PRIJEM	VKLAD	13100	79937	\N	\N	\N
800145	2729	1998-11-14	PRIJEM	VKLAD	13100	78308	\N	\N	\N
800146	2729	1998-12-14	PRIJEM	VKLAD	19650	85624	\N	\N	\N
800153	2729	1995-07-09	VYDAJ	PREVOD NA UCET	8733	32188	SIPO	AB	18292260
800154	2729	1995-08-09	VYDAJ	PREVOD NA UCET	8733	24193	SIPO	AB	18292260
800155	2729	1995-09-09	VYDAJ	PREVOD NA UCET	8733	20674	SIPO	AB	18292260
800156	2729	1995-10-09	VYDAJ	PREVOD NA UCET	8733	25960	SIPO	AB	18292260
800157	2729	1995-11-09	VYDAJ	PREVOD NA UCET	8733	24994	SIPO	AB	18292260
800158	2729	1995-12-09	VYDAJ	PREVOD NA UCET	8733	21558	SIPO	AB	18292260
800159	2729	1996-01-09	VYDAJ	PREVOD NA UCET	8733	25470	SIPO	AB	18292260
800160	2729	1996-02-09	VYDAJ	PREVOD NA UCET	8733	16754	SIPO	AB	18292260
800161	2729	1996-03-09	VYDAJ	PREVOD NA UCET	8733	24827	SIPO	AB	18292260
800162	2729	1996-04-09	VYDAJ	PREVOD NA UCET	8733	31132	SIPO	AB	18292260
800163	2729	1996-05-09	VYDAJ	PREVOD NA UCET	8733	35254	SIPO	AB	18292260
800164	2729	1996-06-09	VYDAJ	PREVOD NA UCET	8733	35250	SIPO	AB	18292260
800165	2729	1996-07-09	VYDAJ	PREVOD NA UCET	8733	22977	SIPO	AB	18292260
800166	2729	1996-08-09	VYDAJ	PREVOD NA UCET	8733	29162	SIPO	AB	18292260
800167	2729	1996-09-09	VYDAJ	PREVOD NA UCET	8733	26581	SIPO	AB	18292260
800168	2729	1996-10-09	VYDAJ	PREVOD NA UCET	8733	28427	SIPO	AB	18292260
800169	2729	1996-11-09	VYDAJ	PREVOD NA UCET	8733	28829	SIPO	AB	18292260
800170	2729	1996-12-09	VYDAJ	PREVOD NA UCET	8733	32733	SIPO	AB	18292260
800171	2729	1997-01-09	VYDAJ	PREVOD NA UCET	8733	35008	SIPO	AB	18292260
800172	2729	1997-02-09	VYDAJ	PREVOD NA UCET	8733	28041	SIPO	AB	18292260
800173	2729	1997-03-09	VYDAJ	PREVOD NA UCET	8733	33052	SIPO	AB	18292260
800174	2729	1997-04-09	VYDAJ	PREVOD NA UCET	8733	34462	SIPO	AB	18292260
800175	2729	1997-05-09	VYDAJ	PREVOD NA UCET	8733	38300	SIPO	AB	18292260
800176	2729	1997-06-09	VYDAJ	PREVOD NA UCET	8733	40053	SIPO	AB	18292260
800177	2729	1997-07-09	VYDAJ	PREVOD NA UCET	8733	45080	SIPO	AB	18292260
800178	2729	1997-08-09	VYDAJ	PREVOD NA UCET	8733	45967	SIPO	AB	18292260
800179	2729	1997-09-09	VYDAJ	PREVOD NA UCET	8733	47255	SIPO	AB	18292260
800180	2729	1997-10-09	VYDAJ	PREVOD NA UCET	8733	51148	SIPO	AB	18292260
800181	2729	1997-11-09	VYDAJ	PREVOD NA UCET	8733	47894	SIPO	AB	18292260
800182	2729	1997-12-09	VYDAJ	PREVOD NA UCET	8733	54070	SIPO	AB	18292260
800183	2729	1998-01-09	VYDAJ	PREVOD NA UCET	8733	60650	SIPO	AB	18292260
800184	2729	1998-02-09	VYDAJ	PREVOD NA UCET	8733	58638	SIPO	AB	18292260
800185	2729	1998-03-09	VYDAJ	PREVOD NA UCET	8733	61879	SIPO	AB	18292260
800186	2729	1998-04-09	VYDAJ	PREVOD NA UCET	8733	60529	SIPO	AB	18292260
800187	2729	1998-05-09	VYDAJ	PREVOD NA UCET	8733	63279	SIPO	AB	18292260
800188	2729	1998-06-09	VYDAJ	PREVOD NA UCET	8733	61488	SIPO	AB	18292260
800189	2729	1998-07-09	VYDAJ	PREVOD NA UCET	8733	62362	SIPO	AB	18292260
800190	2729	1998-08-09	VYDAJ	PREVOD NA UCET	8733	66496	SIPO	AB	18292260
800191	2729	1998-09-09	VYDAJ	PREVOD NA UCET	8733	66067	SIPO	AB	18292260
800192	2729	1998-10-09	VYDAJ	PREVOD NA UCET	8733	66837	SIPO	AB	18292260
800193	2729	1998-11-09	VYDAJ	PREVOD NA UCET	8733	65208	SIPO	AB	18292260
800194	2729	1998-12-09	VYDAJ	PREVOD NA UCET	8733	65974	SIPO	AB	18292260
800196	2729	1996-06-23	VYDAJ	VYBER	30240	21760	\N	\N	\N
800198	2729	1998-06-28	VYDAJ	VYBER	11040	70098	\N	\N	\N
800199	2729	1995-12-09	VYDAJ	VYBER	3840	30291	\N	\N	\N
800200	2729	1996-12-19	VYDAJ	VYBER	800	51583	\N	\N	\N
800201	2729	1997-12-29	VYDAJ	VYBER	1280	70760	\N	\N	\N
800202	2729	1998-12-25	VYDAJ	VYBER	4160	81464	\N	\N	\N
800209	2729	1996-01-01	VYDAJ	VYBER	1920	34203	\N	\N	\N
800210	2729	1996-01-27	VYDAJ	VYBER	720	28130	\N	\N	\N
800211	2729	1996-01-26	VYDAJ	VYBER	3240	28850	\N	\N	\N
800212	2729	1996-01-20	VYDAJ	VYBER	2280	32090	\N	\N	\N
800213	2729	1996-01-15	VYDAJ	VYBER	3000	34370	\N	\N	\N
800214	2729	1996-01-30	VYDAJ	VYBER	2760	25370	\N	\N	\N
800215	2729	1997-01-03	VYDAJ	VYBER	1800	49001	\N	\N	\N
800216	2729	1997-01-22	VYDAJ	VYBER	2880	41028	\N	\N	\N
800217	2729	1997-01-06	VYDAJ	VYBER	1080	46021	\N	\N	\N
800218	2729	1997-01-07	VYDAJ	VYBER	2280	43741	\N	\N	\N
800219	2729	1997-01-22	VYDAJ	VYBER	720	43908	\N	\N	\N
800220	2729	1997-01-15	VYDAJ	VYBER	3480	44628	\N	\N	\N
800221	2729	1998-01-07	VYDAJ	VYBER	840	69383	\N	\N	\N
800222	2729	1998-01-17	VYDAJ	VYBER	2640	65710	\N	\N	\N
800223	2729	1998-01-17	VYDAJ	VYBER	1440	68350	\N	\N	\N
800224	2729	1998-01-04	VYDAJ	VYBER	600	70223	\N	\N	\N
800225	2729	1998-01-13	VYDAJ	VYBER	2760	56690	\N	\N	\N
800226	2729	1998-01-11	VYDAJ	VYBER	1200	59450	\N	\N	\N
800227	2729	1995-10-17	VYDAJ	VYBER	3960	33600	\N	\N	\N
800228	2729	1995-12-01	VYDAJ	VYBER	5400	34131	\N	\N	\N
800229	2729	1995-12-25	VYDAJ	VYBER	840	35988	\N	\N	\N
800230	2729	1995-12-14	VYDAJ	VYBER	2880	36828	\N	\N	\N
800231	2729	1996-06-08	VYDAJ	VYBER	2640	43983	\N	\N	\N
800232	2729	1996-10-12	VYDAJ	VYBER	2400	26027	\N	\N	\N
800233	2729	1996-10-01	VYDAJ	VYBER	2640	37180	\N	\N	\N
800234	2729	1996-08-18	VYDAJ	VYBER	1440	36982	\N	\N	\N
800235	2729	1996-10-22	VYDAJ	VYBER	3120	36007	\N	\N	\N
800236	2729	1996-10-09	VYDAJ	VYBER	720	37160	\N	\N	\N
800237	2729	1996-08-12	VYDAJ	VYBER	3840	25322	\N	\N	\N
800238	2729	1996-10-26	VYDAJ	VYBER	5880	30127	\N	\N	\N
800239	2729	1997-11-01	VYDAJ	VYBER	5760	56627	\N	\N	\N
800240	2729	1997-04-01	VYDAJ	VYBER	720	45595	\N	\N	\N
800241	2729	1997-01-03	VYDAJ	VYBER	960	50801	\N	\N	\N
800242	2729	1997-12-29	VYDAJ	VYBER	1680	72040	\N	\N	\N
800243	2729	1997-11-22	VYDAJ	VYBER	720	60274	\N	\N	\N
800244	2729	1997-02-05	VYDAJ	VYBER	3120	36774	\N	\N	\N
800245	2729	1998-05-20	VYDAJ	VYBER	3000	70139	\N	\N	\N
800246	2729	1998-07-23	VYDAJ	VYBER	3720	71742	\N	\N	\N
800247	2729	1998-05-16	VYDAJ	VYBER	3240	73139	\N	\N	\N
800254	2729	1995-06-30	VYDAJ	VYBER	15	40921	SLUZBY	\N	\N
800255	2729	1995-07-31	VYDAJ	VYBER	15	32926	SLUZBY	\N	\N
800256	2729	1995-08-31	VYDAJ	VYBER	15	29407	SLUZBY	\N	\N
800257	2729	1995-09-30	VYDAJ	VYBER	15	34693	SLUZBY	\N	\N
800258	2729	1995-10-31	VYDAJ	VYBER	15	33727	SLUZBY	\N	\N
800259	2729	1995-11-30	VYDAJ	VYBER	15	39531	SLUZBY	\N	\N
800260	2729	1995-12-31	VYDAJ	VYBER	15	36123	SLUZBY	\N	\N
800261	2729	1996-01-31	VYDAJ	VYBER	15	25487	SLUZBY	\N	\N
800262	2729	1996-02-29	VYDAJ	VYBER	15	33560	SLUZBY	\N	\N
800263	2729	1996-03-31	VYDAJ	VYBER	15	39865	SLUZBY	\N	\N
800264	2729	1996-04-30	VYDAJ	VYBER	15	43987	SLUZBY	\N	\N
800265	2729	1996-05-31	VYDAJ	VYBER	15	46623	SLUZBY	\N	\N
800266	2729	1996-06-30	VYDAJ	VYBER	15	21910	SLUZBY	\N	\N
800267	2729	1996-07-31	VYDAJ	VYBER	15	36195	SLUZBY	\N	\N
800268	2729	1996-08-31	VYDAJ	VYBER	15	37114	SLUZBY	\N	\N
800269	2729	1996-09-30	VYDAJ	VYBER	15	39820	SLUZBY	\N	\N
800270	2729	1996-10-31	VYDAJ	VYBER	15	30262	SLUZBY	\N	\N
800271	2729	1996-11-30	VYDAJ	VYBER	15	42066	SLUZBY	\N	\N
800272	2729	1996-12-31	VYDAJ	VYBER	15	51761	SLUZBY	\N	\N
800273	2729	1997-01-31	VYDAJ	VYBER	15	41194	SLUZBY	\N	\N
800274	2729	1997-02-28	VYDAJ	VYBER	15	41285	SLUZBY	\N	\N
800275	2729	1997-03-31	VYDAJ	VYBER	15	46315	SLUZBY	\N	\N
800276	2729	1997-04-30	VYDAJ	VYBER	15	47733	SLUZBY	\N	\N
800277	2729	1997-05-31	VYDAJ	VYBER	15	51586	SLUZBY	\N	\N
800278	2729	1997-06-30	VYDAJ	VYBER	15	59913	SLUZBY	\N	\N
800279	2729	1997-07-31	VYDAJ	VYBER	15	58400	SLUZBY	\N	\N
800280	2729	1997-08-31	VYDAJ	VYBER	15	59288	SLUZBY	\N	\N
800281	2729	1997-09-30	VYDAJ	VYBER	15	60581	SLUZBY	\N	\N
800282	2729	1997-10-31	VYDAJ	VYBER	15	64487	SLUZBY	\N	\N
800283	2729	1997-11-30	VYDAJ	VYBER	15	60503	SLUZBY	\N	\N
800284	2729	1997-12-31	VYDAJ	VYBER	15	71023	SLUZBY	\N	\N
800285	2729	1998-01-31	VYDAJ	VYBER	15	67371	SLUZBY	\N	\N
800286	2729	1998-02-28	VYDAJ	VYBER	15	72012	SLUZBY	\N	\N
800287	2729	1998-03-31	VYDAJ	VYBER	15	69262	SLUZBY	\N	\N
800288	2729	1998-04-30	VYDAJ	VYBER	15	73912	SLUZBY	\N	\N
800289	2729	1998-05-31	VYDAJ	VYBER	15	70221	SLUZBY	\N	\N
800290	2729	1998-06-30	VYDAJ	VYBER	15	71095	SLUZBY	\N	\N
800291	2729	1998-07-31	VYDAJ	VYBER	15	75229	SLUZBY	\N	\N
800292	2729	1998-08-31	VYDAJ	VYBER	15	74800	SLUZBY	\N	\N
800293	2729	1998-09-30	VYDAJ	VYBER	15	75570	SLUZBY	\N	\N
800294	2729	1998-10-31	VYDAJ	VYBER	15	73941	SLUZBY	\N	\N
800295	2729	1998-11-30	VYDAJ	VYBER	15	74707	SLUZBY	\N	\N
800296	2729	1995-02-15	PRIJEM	VKLAD	4400	18200	\N	\N	\N
800297	2729	1995-03-17	VYDAJ	VYBER	2500	28838	\N	\N	\N
800298	2729	1995-04-16	VYDAJ	VYBER	7000	35035	\N	\N	\N
800299	2729	1995-05-16	VYDAJ	VYBER	10200	38068	\N	\N	\N
800300	2729	1995-06-15	VYDAJ	VYBER	17100	40771	\N	\N	\N
800301	2729	1995-07-15	VYDAJ	VYBER	12500	32788	\N	\N	\N
800302	2729	1995-08-14	VYDAJ	VYBER	8000	29293	\N	\N	\N
800303	2729	1995-09-13	PRIJEM	VKLAD	800	21474	\N	\N	\N
800304	2729	1995-10-13	VYDAJ	VYBER	1500	24460	\N	\N	\N
800305	2729	1995-11-12	PRIJEM	VKLAD	1300	26294	\N	\N	\N
800306	2729	1995-12-12	VYDAJ	VYBER	1500	20058	\N	\N	\N
800307	2729	1996-01-11	VYDAJ	VYBER	1200	24270	\N	\N	\N
800308	2729	1996-02-10	PRIJEM	VKLAD	3600	20354	\N	\N	\N
800309	2729	1996-03-11	PRIJEM	VKLAD	1800	26627	\N	\N	\N
800310	2729	1996-04-10	VYDAJ	VYBER	400	30732	\N	\N	\N
800311	2729	1996-05-10	VYDAJ	VYBER	1900	33354	\N	\N	\N
800312	2729	1996-06-09	VYDAJ	VYBER	2900	32350	\N	\N	\N
800313	2729	1996-07-09	PRIJEM	VKLAD	9800	31710	\N	\N	\N
800314	2729	1996-08-08	PRIJEM	VKLAD	1700	37895	\N	\N	\N
800315	2729	1996-09-07	VYDAJ	VYBER	1800	35314	\N	\N	\N
800316	2729	1996-10-07	PRIJEM	VKLAD	700	37880	\N	\N	\N
800317	2729	1996-11-06	PRIJEM	VKLAD	7300	37562	\N	\N	\N
800318	2729	1996-12-06	VYDAJ	VYBER	600	41466	\N	\N	\N
800319	2729	1997-01-05	VYDAJ	VYBER	1900	47101	\N	\N	\N
800320	2729	1997-02-04	VYDAJ	VYBER	1300	39894	\N	\N	\N
800321	2729	1997-03-06	PRIJEM	VKLAD	500	41785	\N	\N	\N
800322	2729	1997-04-05	VYDAJ	VYBER	2400	43195	\N	\N	\N
800323	2729	1997-05-05	VYDAJ	VYBER	700	47033	\N	\N	\N
800324	2729	1997-06-04	VYDAJ	VYBER	2800	48786	\N	\N	\N
800325	2729	1997-07-04	VYDAJ	VYBER	6100	53813	\N	\N	\N
800326	2729	1997-08-03	VYDAJ	VYBER	3700	54700	\N	\N	\N
800327	2729	1997-09-02	VYDAJ	VYBER	3300	55988	\N	\N	\N
800328	2729	1997-10-02	VYDAJ	VYBER	700	59881	\N	\N	\N
800329	2729	1997-11-01	VYDAJ	VYBER	2100	62387	\N	\N	\N
800330	2729	1997-12-01	PRIJEM	VKLAD	2300	62803	\N	\N	\N
800331	2729	1997-12-31	VYDAJ	VYBER	200	70823	\N	\N	\N
800332	2729	1998-01-30	PRIJEM	VKLAD	1400	67110	\N	\N	\N
800333	2729	1998-03-01	VYDAJ	VYBER	1400	70612	\N	\N	\N
800334	2729	1998-03-31	VYDAJ	VYBER	6000	69277	\N	\N	\N
800335	2729	1998-04-30	VYDAJ	VYBER	1900	72012	\N	\N	\N
800336	2729	1998-05-30	VYDAJ	VYBER	200	69939	\N	\N	\N
800337	2729	1998-06-29	PRIJEM	VKLAD	700	70798	\N	\N	\N
800338	2729	1998-07-29	PRIJEM	VKLAD	3200	74942	\N	\N	\N
800339	2729	1998-08-28	VYDAJ	VYBER	5100	74496	\N	\N	\N
800340	2729	1998-09-27	VYDAJ	VYBER	3900	75267	\N	\N	\N
800341	2729	1998-10-27	VYDAJ	VYBER	6300	73637	\N	\N	\N
800342	2729	1998-11-26	VYDAJ	VYBER	3900	74408	\N	\N	\N
800390	2730	1996-05-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
800395	2730	1996-05-07	PRIJEM	PREVOD Z UCTU	3427	4427	\N	WX	18213719
800396	2730	1996-06-07	PRIJEM	PREVOD Z UCTU	3427	7869	\N	WX	18213719
800397	2730	1996-07-07	PRIJEM	PREVOD Z UCTU	3427	11314	\N	WX	18213719
800398	2730	1996-08-07	PRIJEM	PREVOD Z UCTU	3427	14760	\N	WX	18213719
800399	2730	1996-09-07	PRIJEM	PREVOD Z UCTU	3427	18205	\N	WX	18213719
800400	2730	1996-10-07	PRIJEM	PREVOD Z UCTU	3427	18615	\N	WX	18213719
800401	2730	1996-11-07	PRIJEM	PREVOD Z UCTU	3427	19811	\N	WX	18213719
800402	2730	1996-12-07	PRIJEM	PREVOD Z UCTU	3427	20681	\N	WX	18213719
800403	2730	1997-01-07	PRIJEM	PREVOD Z UCTU	3427	20810	\N	WX	18213719
800404	2730	1997-02-07	PRIJEM	PREVOD Z UCTU	3427	18018	\N	WX	18213719
800405	2730	1997-03-07	PRIJEM	PREVOD Z UCTU	3427	19218	\N	WX	18213719
800406	2730	1997-04-07	PRIJEM	PREVOD Z UCTU	3427	19493	\N	WX	18213719
800407	2730	1997-05-07	PRIJEM	PREVOD Z UCTU	3427	20242	\N	WX	18213719
800408	2730	1997-06-07	PRIJEM	PREVOD Z UCTU	3427	21451	\N	WX	18213719
800409	2730	1997-07-07	PRIJEM	PREVOD Z UCTU	3427	22509	\N	WX	18213719
800410	2730	1997-08-07	PRIJEM	PREVOD Z UCTU	3427	23721	\N	WX	18213719
800411	2730	1997-09-07	PRIJEM	PREVOD Z UCTU	3427	23587	\N	WX	18213719
800412	2730	1997-10-07	PRIJEM	PREVOD Z UCTU	3427	23517	\N	WX	18213719
800413	2730	1997-11-07	PRIJEM	PREVOD Z UCTU	3427	24733	\N	WX	18213719
800414	2730	1997-12-07	PRIJEM	PREVOD Z UCTU	3427	24901	\N	WX	18213719
800415	2730	1998-01-07	PRIJEM	PREVOD Z UCTU	3427	24322	\N	WX	18213719
800416	2730	1998-02-07	PRIJEM	PREVOD Z UCTU	3427	20550	\N	WX	18213719
800417	2730	1998-03-07	PRIJEM	PREVOD Z UCTU	3427	20489	\N	WX	18213719
800418	2730	1998-04-07	PRIJEM	PREVOD Z UCTU	3427	21037	\N	WX	18213719
800419	2730	1998-05-07	PRIJEM	PREVOD Z UCTU	3427	21917	\N	WX	18213719
800420	2730	1998-06-07	PRIJEM	PREVOD Z UCTU	3427	21776	\N	WX	18213719
800421	2730	1998-07-07	PRIJEM	PREVOD Z UCTU	3427	22265	\N	WX	18213719
800422	2730	1998-08-07	PRIJEM	PREVOD Z UCTU	3427	23475	\N	WX	18213719
800423	2730	1998-09-07	PRIJEM	PREVOD Z UCTU	3427	24690	\N	WX	18213719
800424	2730	1998-10-07	PRIJEM	PREVOD Z UCTU	3427	25911	\N	WX	18213719
800425	2730	1998-11-07	PRIJEM	PREVOD Z UCTU	3427	26784	\N	WX	18213719
800426	2730	1998-12-07	PRIJEM	PREVOD Z UCTU	3427	28013	\N	WX	18213719
800435	2730	1996-09-07	VYDAJ	PREVOD NA UCET	2284	15921	SIPO	YZ	36823308
800436	2730	1996-10-07	VYDAJ	PREVOD NA UCET	2284	16331	SIPO	YZ	36823308
800437	2730	1996-11-07	VYDAJ	PREVOD NA UCET	2284	17527	SIPO	YZ	36823308
800438	2730	1996-12-07	VYDAJ	PREVOD NA UCET	2284	18397	SIPO	YZ	36823308
800439	2730	1997-01-07	VYDAJ	PREVOD NA UCET	2284	18526	SIPO	YZ	36823308
800440	2730	1997-02-07	VYDAJ	PREVOD NA UCET	2284	15734	SIPO	YZ	36823308
800441	2730	1997-03-07	VYDAJ	PREVOD NA UCET	2284	16934	SIPO	YZ	36823308
800442	2730	1997-04-07	VYDAJ	PREVOD NA UCET	2284	17209	SIPO	YZ	36823308
800443	2730	1997-05-07	VYDAJ	PREVOD NA UCET	2284	17958	SIPO	YZ	36823308
800444	2730	1997-06-07	VYDAJ	PREVOD NA UCET	2284	19167	SIPO	YZ	36823308
800445	2730	1997-07-07	VYDAJ	PREVOD NA UCET	2284	20225	SIPO	YZ	36823308
800446	2730	1997-08-07	VYDAJ	PREVOD NA UCET	2284	21437	SIPO	YZ	36823308
800447	2730	1997-09-07	VYDAJ	PREVOD NA UCET	2284	21303	SIPO	YZ	36823308
800448	2730	1997-10-07	VYDAJ	PREVOD NA UCET	2284	21233	SIPO	YZ	36823308
800449	2730	1997-11-07	VYDAJ	PREVOD NA UCET	2284	22449	SIPO	YZ	36823308
800450	2730	1997-12-07	VYDAJ	PREVOD NA UCET	2284	22617	SIPO	YZ	36823308
800451	2730	1998-01-07	VYDAJ	PREVOD NA UCET	2284	22038	SIPO	YZ	36823308
800452	2730	1998-02-07	VYDAJ	PREVOD NA UCET	2284	18266	SIPO	YZ	36823308
800453	2730	1998-03-07	VYDAJ	PREVOD NA UCET	2284	18205	SIPO	YZ	36823308
800454	2730	1998-04-07	VYDAJ	PREVOD NA UCET	2284	18753	SIPO	YZ	36823308
800455	2730	1998-05-07	VYDAJ	PREVOD NA UCET	2284	19633	SIPO	YZ	36823308
800456	2730	1998-06-07	VYDAJ	PREVOD NA UCET	2284	19492	SIPO	YZ	36823308
800457	2730	1998-07-07	VYDAJ	PREVOD NA UCET	2284	19981	SIPO	YZ	36823308
800458	2730	1998-08-07	VYDAJ	PREVOD NA UCET	2284	21191	SIPO	YZ	36823308
800459	2730	1998-09-07	VYDAJ	PREVOD NA UCET	2284	22406	SIPO	YZ	36823308
800460	2730	1998-10-07	VYDAJ	PREVOD NA UCET	2284	23627	SIPO	YZ	36823308
800461	2730	1998-11-07	VYDAJ	PREVOD NA UCET	2284	24500	SIPO	YZ	36823308
800462	2730	1998-12-07	VYDAJ	PREVOD NA UCET	2284	25729	SIPO	YZ	36823308
800467	2730	1997-01-30	VYDAJ	VYBER	1170	14536	\N	\N	\N
800468	2730	1998-01-13	VYDAJ	VYBER	2430	17778	\N	\N	\N
800469	2730	1996-12-23	VYDAJ	VYBER	810	17587	\N	\N	\N
800470	2730	1997-12-29	VYDAJ	VYBER	660	21657	\N	\N	\N
800471	2730	1998-12-23	VYDAJ	VYBER	870	24859	\N	\N	\N
800478	2730	1997-01-12	VYDAJ	VYBER	690	16816	\N	\N	\N
800479	2730	1997-01-27	VYDAJ	VYBER	270	15706	\N	\N	\N
800480	2730	1997-01-04	VYDAJ	VYBER	270	17383	\N	\N	\N
800481	2730	1997-01-08	VYDAJ	VYBER	810	17716	\N	\N	\N
800482	2730	1997-01-21	VYDAJ	VYBER	840	15976	\N	\N	\N
800483	2730	1997-01-11	VYDAJ	VYBER	210	17506	\N	\N	\N
800484	2730	1998-01-29	VYDAJ	VYBER	720	17058	\N	\N	\N
800485	2730	1998-01-05	VYDAJ	VYBER	180	20895	\N	\N	\N
800486	2730	1998-01-10	VYDAJ	VYBER	420	20808	\N	\N	\N
800487	2730	1998-01-07	VYDAJ	VYBER	810	21228	\N	\N	\N
800488	2730	1998-01-03	VYDAJ	VYBER	660	21075	\N	\N	\N
800489	2730	1998-01-11	VYDAJ	VYBER	600	20208	\N	\N	\N
800492	2730	1996-09-25	VYDAJ	VYBER	780	15141	\N	\N	\N
800493	2730	1996-12-04	VYDAJ	VYBER	330	17254	\N	\N	\N
800494	2730	1997-06-10	VYDAJ	VYBER	150	19017	\N	\N	\N
800495	2730	1997-04-02	VYDAJ	VYBER	930	16066	\N	\N	\N
800496	2730	1997-09-23	VYDAJ	VYBER	1290	20013	\N	\N	\N
800497	2730	1997-08-16	VYDAJ	VYBER	1350	20087	\N	\N	\N
800498	2730	1997-12-12	VYDAJ	VYBER	300	22317	\N	\N	\N
800499	2730	1997-04-15	VYDAJ	VYBER	450	16759	\N	\N	\N
800500	2730	1997-11-15	VYDAJ	VYBER	1050	21399	\N	\N	\N
800501	2730	1998-04-24	VYDAJ	VYBER	330	18423	\N	\N	\N
800502	2730	1998-03-24	VYDAJ	VYBER	660	17545	\N	\N	\N
800503	2730	1998-06-01	VYDAJ	VYBER	1350	18349	\N	\N	\N
800504	2730	1998-06-23	VYDAJ	VYBER	720	18772	\N	\N	\N
800505	2730	1998-02-09	VYDAJ	VYBER	1260	17006	\N	\N	\N
800506	2730	1998-10-31	VYDAJ	VYBER	360	23357	\N	\N	\N
800507	2730	1998-12-25	VYDAJ	VYBER	1020	23839	\N	\N	\N
800517	2730	1996-09-30	VYDAJ	VYBER	15	15188	SLUZBY	\N	\N
800518	2730	1996-10-31	VYDAJ	VYBER	15	16384	SLUZBY	\N	\N
800519	2730	1996-11-30	VYDAJ	VYBER	15	17584	SLUZBY	\N	\N
800520	2730	1996-12-31	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
800521	2730	1997-01-31	VYDAJ	VYBER	15	14591	SLUZBY	\N	\N
800522	2730	1997-02-28	VYDAJ	VYBER	15	15791	SLUZBY	\N	\N
800523	2730	1997-03-31	VYDAJ	VYBER	15	16996	SLUZBY	\N	\N
800524	2730	1997-04-30	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
800525	2730	1997-05-31	VYDAJ	VYBER	15	18024	SLUZBY	\N	\N
800526	2730	1997-06-30	VYDAJ	VYBER	15	19082	SLUZBY	\N	\N
800527	2730	1997-07-31	VYDAJ	VYBER	15	20294	SLUZBY	\N	\N
800528	2730	1997-08-31	VYDAJ	VYBER	15	20160	SLUZBY	\N	\N
800529	2730	1997-09-30	VYDAJ	VYBER	15	20090	SLUZBY	\N	\N
800530	2730	1997-10-31	VYDAJ	VYBER	15	21306	SLUZBY	\N	\N
800531	2730	1997-11-30	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
800532	2730	1997-12-31	VYDAJ	VYBER	15	21735	SLUZBY	\N	\N
800533	2730	1998-01-31	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
800534	2730	1998-02-28	VYDAJ	VYBER	15	17062	SLUZBY	\N	\N
800535	2730	1998-03-31	VYDAJ	VYBER	15	17610	SLUZBY	\N	\N
800536	2730	1998-04-30	VYDAJ	VYBER	15	18490	SLUZBY	\N	\N
800537	2730	1998-05-31	VYDAJ	VYBER	15	19699	SLUZBY	\N	\N
800538	2730	1998-06-30	VYDAJ	VYBER	15	18838	SLUZBY	\N	\N
800539	2730	1998-07-31	VYDAJ	VYBER	15	20048	SLUZBY	\N	\N
800540	2730	1998-08-31	VYDAJ	VYBER	15	21263	SLUZBY	\N	\N
800541	2730	1998-09-30	VYDAJ	VYBER	15	22484	SLUZBY	\N	\N
800542	2730	1998-10-31	VYDAJ	VYBER	15	23717	SLUZBY	\N	\N
800543	2730	1998-11-30	VYDAJ	VYBER	15	24586	SLUZBY	\N	\N
800576	2731	1995-09-26	PRIJEM	VKLAD	300	300	\N	\N	\N
800586	2731	1995-10-13	PRIJEM	VKLAD	22852	23152	\N	\N	\N
800587	2731	1995-11-13	PRIJEM	VKLAD	22852	45923	\N	\N	\N
800588	2731	1995-12-13	PRIJEM	VKLAD	34278	67905	\N	\N	\N
800589	2731	1996-01-13	PRIJEM	VKLAD	22852	67507	\N	\N	\N
800590	2731	1996-02-13	PRIJEM	VKLAD	22852	70949	\N	\N	\N
800591	2731	1996-03-13	PRIJEM	VKLAD	22852	68365	\N	\N	\N
800592	2731	1996-04-13	PRIJEM	VKLAD	22852	66169	\N	\N	\N
800593	2731	1996-05-13	PRIJEM	VKLAD	22852	69579	\N	\N	\N
800594	2731	1996-06-13	PRIJEM	VKLAD	34278	75622	\N	\N	\N
800595	2731	1996-07-13	PRIJEM	VKLAD	22852	70645	\N	\N	\N
800596	2731	1996-08-13	PRIJEM	VKLAD	22852	73162	\N	\N	\N
800597	2731	1996-09-13	PRIJEM	VKLAD	22852	71988	\N	\N	\N
800598	2731	1996-10-13	PRIJEM	VKLAD	22852	69407	\N	\N	\N
800599	2731	1996-11-13	PRIJEM	VKLAD	22852	66810	\N	\N	\N
800600	2731	1996-12-13	PRIJEM	VKLAD	34278	74127	\N	\N	\N
800601	2731	1997-01-13	PRIJEM	VKLAD	22852	61928	\N	\N	\N
800602	2731	1997-02-13	PRIJEM	VKLAD	22852	57505	\N	\N	\N
800603	2731	1997-03-13	PRIJEM	VKLAD	22852	61660	\N	\N	\N
800604	2731	1997-04-13	PRIJEM	VKLAD	22852	64442	\N	\N	\N
800605	2731	1997-05-13	PRIJEM	VKLAD	22852	58916	\N	\N	\N
800606	2731	1997-06-13	PRIJEM	VKLAD	34278	71803	\N	\N	\N
800607	2731	1997-07-13	PRIJEM	VKLAD	22852	68687	\N	\N	\N
800608	2731	1997-08-13	PRIJEM	VKLAD	22852	66881	\N	\N	\N
800609	2731	1997-09-13	PRIJEM	VKLAD	22852	67765	\N	\N	\N
800610	2731	1997-10-13	PRIJEM	VKLAD	22852	64043	\N	\N	\N
800611	2731	1997-11-13	PRIJEM	VKLAD	22852	66819	\N	\N	\N
800612	2731	1997-12-13	PRIJEM	VKLAD	34278	77021	\N	\N	\N
800613	2731	1998-01-13	PRIJEM	VKLAD	22852	63300	\N	\N	\N
800614	2731	1998-02-13	PRIJEM	VKLAD	22852	48857	\N	\N	\N
800615	2731	1998-03-13	PRIJEM	VKLAD	22852	60427	\N	\N	\N
800616	2731	1998-04-13	PRIJEM	VKLAD	22852	61191	\N	\N	\N
800617	2731	1998-05-13	PRIJEM	VKLAD	22852	60596	\N	\N	\N
800618	2731	1998-06-13	PRIJEM	VKLAD	34278	56626	\N	\N	\N
800619	2731	1998-07-13	PRIJEM	VKLAD	22852	53195	\N	\N	\N
800620	2731	1998-08-13	PRIJEM	VKLAD	22852	55282	\N	\N	\N
800621	2731	1998-09-13	PRIJEM	VKLAD	22852	58380	\N	\N	\N
800622	2731	1998-10-13	PRIJEM	VKLAD	22852	57700	\N	\N	\N
800623	2731	1998-11-13	PRIJEM	VKLAD	22852	61825	\N	\N	\N
800624	2731	1998-12-13	PRIJEM	VKLAD	34278	72983	\N	\N	\N
800638	2731	1996-02-13	VYDAJ	PREVOD NA UCET	5044	65905	SIPO	CD	94928621
800639	2731	1996-03-13	VYDAJ	PREVOD NA UCET	5044	63321	SIPO	CD	94928621
800640	2731	1996-04-13	VYDAJ	PREVOD NA UCET	5044	61125	SIPO	CD	94928621
800641	2731	1996-05-13	VYDAJ	PREVOD NA UCET	5044	64535	SIPO	CD	94928621
800642	2731	1996-06-13	VYDAJ	PREVOD NA UCET	5044	70578	SIPO	CD	94928621
800643	2731	1996-07-13	VYDAJ	PREVOD NA UCET	5044	65601	SIPO	CD	94928621
800644	2731	1996-08-13	VYDAJ	PREVOD NA UCET	5044	68118	SIPO	CD	94928621
800645	2731	1996-09-13	VYDAJ	PREVOD NA UCET	5044	66944	SIPO	CD	94928621
800646	2731	1996-10-13	VYDAJ	PREVOD NA UCET	5044	64363	SIPO	CD	94928621
800647	2731	1996-11-13	VYDAJ	PREVOD NA UCET	5044	61766	SIPO	CD	94928621
800648	2731	1996-12-13	VYDAJ	PREVOD NA UCET	5044	69083	SIPO	CD	94928621
800649	2731	1997-01-13	VYDAJ	PREVOD NA UCET	5044	56884	SIPO	CD	94928621
800650	2731	1997-02-13	VYDAJ	PREVOD NA UCET	5044	52461	SIPO	CD	94928621
800651	2731	1997-03-13	VYDAJ	PREVOD NA UCET	5044	56616	SIPO	CD	94928621
800652	2731	1997-04-13	VYDAJ	PREVOD NA UCET	5044	59398	SIPO	CD	94928621
800653	2731	1997-05-13	VYDAJ	PREVOD NA UCET	5044	53872	SIPO	CD	94928621
800654	2731	1997-06-13	VYDAJ	PREVOD NA UCET	5044	66759	SIPO	CD	94928621
800655	2731	1997-07-13	VYDAJ	PREVOD NA UCET	5044	63643	SIPO	CD	94928621
800656	2731	1997-08-13	VYDAJ	PREVOD NA UCET	5044	61837	SIPO	CD	94928621
800657	2731	1997-09-13	VYDAJ	PREVOD NA UCET	5044	62721	SIPO	CD	94928621
800658	2731	1997-10-13	VYDAJ	PREVOD NA UCET	5044	58999	SIPO	CD	94928621
800659	2731	1997-11-13	VYDAJ	PREVOD NA UCET	5044	61775	SIPO	CD	94928621
800660	2731	1997-12-13	VYDAJ	PREVOD NA UCET	5044	71977	SIPO	CD	94928621
800661	2731	1998-01-13	VYDAJ	PREVOD NA UCET	5044	40956	SIPO	CD	94928621
800662	2731	1998-02-13	VYDAJ	PREVOD NA UCET	5044	43813	SIPO	CD	94928621
800663	2731	1998-03-13	VYDAJ	PREVOD NA UCET	5044	55383	SIPO	CD	94928621
800664	2731	1998-04-13	VYDAJ	PREVOD NA UCET	5044	37547	SIPO	CD	94928621
800665	2731	1998-05-13	VYDAJ	PREVOD NA UCET	5044	55552	SIPO	CD	94928621
800666	2731	1998-06-13	VYDAJ	PREVOD NA UCET	5044	51582	SIPO	CD	94928621
800667	2731	1998-07-13	VYDAJ	PREVOD NA UCET	5044	48151	SIPO	CD	94928621
800668	2731	1998-08-13	VYDAJ	PREVOD NA UCET	5044	50238	SIPO	CD	94928621
800669	2731	1998-09-13	VYDAJ	PREVOD NA UCET	5044	53336	SIPO	CD	94928621
800670	2731	1998-10-13	VYDAJ	PREVOD NA UCET	5044	52656	SIPO	CD	94928621
800671	2731	1998-11-13	VYDAJ	PREVOD NA UCET	5044	56781	SIPO	CD	94928621
800672	2731	1998-12-13	VYDAJ	PREVOD NA UCET	5044	67939	SIPO	CD	94928621
800685	2731	1997-01-24	VYDAJ	VYBER	2800	37184	\N	\N	\N
800686	2731	1997-01-07	VYDAJ	VYBER	1800	46776	\N	\N	\N
800687	2731	1997-01-16	VYDAJ	VYBER	2100	54784	\N	\N	\N
800688	2731	1997-01-27	VYDAJ	VYBER	2700	34484	\N	\N	\N
800689	2731	1997-01-12	VYDAJ	VYBER	2700	39076	\N	\N	\N
800690	2731	1997-01-10	VYDAJ	VYBER	700	41776	\N	\N	\N
800691	2731	1998-01-23	VYDAJ	VYBER	2300	35356	\N	\N	\N
800692	2731	1998-01-03	VYDAJ	VYBER	1500	42548	\N	\N	\N
800693	2731	1998-01-21	VYDAJ	VYBER	1600	37656	\N	\N	\N
800694	2731	1998-01-16	VYDAJ	VYBER	1700	39256	\N	\N	\N
800695	2731	1998-01-27	VYDAJ	VYBER	800	34556	\N	\N	\N
800696	2731	1998-01-05	VYDAJ	VYBER	2100	40448	\N	\N	\N
800705	2731	1996-12-02	VYDAJ	VYBER	2000	39849	\N	\N	\N
800706	2731	1996-03-14	VYDAJ	VYBER	1700	61621	\N	\N	\N
800707	2731	1996-10-04	VYDAJ	VYBER	2100	46555	\N	\N	\N
800708	2731	1996-06-05	VYDAJ	VYBER	4300	41344	\N	\N	\N
800709	2731	1997-12-30	VYDAJ	VYBER	800	43877	\N	\N	\N
800710	2731	1997-07-26	VYDAJ	VYBER	1300	43843	\N	\N	\N
800711	2731	1997-04-15	VYDAJ	VYBER	2100	57298	\N	\N	\N
800712	2731	1997-01-08	VYDAJ	VYBER	4300	42476	\N	\N	\N
800713	2731	1997-04-10	VYDAJ	VYBER	2300	41590	\N	\N	\N
800714	2731	1997-04-22	VYDAJ	VYBER	4300	35898	\N	\N	\N
800715	2731	1998-06-26	VYDAJ	VYBER	3700	44482	\N	\N	\N
800716	2731	1998-03-03	VYDAJ	VYBER	4800	39175	\N	\N	\N
800717	2731	1998-03-19	VYDAJ	VYBER	1600	38183	\N	\N	\N
800718	2731	1998-03-12	VYDAJ	VYBER	1600	37575	\N	\N	\N
800719	2731	1998-10-31	VYDAJ	VYBER KARTOU	600	52288	\N	\N	0
800720	2731	1998-06-21	VYDAJ	VYBER	3400	48182	\N	\N	\N
800735	2731	1996-02-29	VYDAJ	VYBER	15	45513	SLUZBY	\N	\N
800736	2731	1996-03-31	VYDAJ	VYBER	15	43317	SLUZBY	\N	\N
800737	2731	1996-04-30	VYDAJ	VYBER	15	46727	SLUZBY	\N	\N
800738	2731	1996-05-31	VYDAJ	VYBER	15	45644	SLUZBY	\N	\N
800739	2731	1996-06-30	VYDAJ	VYBER	15	47793	SLUZBY	\N	\N
800740	2731	1996-07-31	VYDAJ	VYBER	15	50310	SLUZBY	\N	\N
800741	2731	1996-08-31	VYDAJ	VYBER	15	49136	SLUZBY	\N	\N
800742	2731	1996-09-30	VYDAJ	VYBER	15	48655	SLUZBY	\N	\N
800743	2731	1996-10-31	VYDAJ	VYBER	15	43958	SLUZBY	\N	\N
800744	2731	1996-11-30	VYDAJ	VYBER	15	41849	SLUZBY	\N	\N
800745	2731	1996-12-31	VYDAJ	VYBER	15	48576	SLUZBY	\N	\N
800746	2731	1997-01-31	VYDAJ	VYBER	15	34653	SLUZBY	\N	\N
800747	2731	1997-02-28	VYDAJ	VYBER	15	38808	SLUZBY	\N	\N
800748	2731	1997-03-31	VYDAJ	VYBER	15	43890	SLUZBY	\N	\N
800749	2731	1997-04-30	VYDAJ	VYBER	15	36064	SLUZBY	\N	\N
800750	2731	1997-05-31	VYDAJ	VYBER	15	37525	SLUZBY	\N	\N
800751	2731	1997-06-30	VYDAJ	VYBER	15	45835	SLUZBY	\N	\N
800752	2731	1997-07-31	VYDAJ	VYBER	15	44029	SLUZBY	\N	\N
800753	2731	1997-08-31	VYDAJ	VYBER	15	44913	SLUZBY	\N	\N
800754	2731	1997-09-30	VYDAJ	VYBER	15	41191	SLUZBY	\N	\N
800755	2731	1997-10-31	VYDAJ	VYBER	15	43967	SLUZBY	\N	\N
800756	2731	1997-11-30	VYDAJ	VYBER	15	42743	SLUZBY	\N	\N
800757	2731	1997-12-31	VYDAJ	VYBER	15	44048	SLUZBY	\N	\N
800758	2731	1998-01-31	VYDAJ	VYBER	15	34705	SLUZBY	\N	\N
800759	2731	1998-02-28	VYDAJ	VYBER	15	43975	SLUZBY	\N	\N
800760	2731	1998-03-31	VYDAJ	VYBER	15	38339	SLUZBY	\N	\N
800761	2731	1998-04-30	VYDAJ	VYBER	15	37744	SLUZBY	\N	\N
800762	2731	1998-05-31	VYDAJ	VYBER	15	32948	SLUZBY	\N	\N
800763	2731	1998-06-30	VYDAJ	VYBER	15	44643	SLUZBY	\N	\N
800764	2731	1998-07-31	VYDAJ	VYBER	15	48330	SLUZBY	\N	\N
800765	2731	1998-08-31	VYDAJ	VYBER	15	50428	SLUZBY	\N	\N
800766	2731	1998-09-30	VYDAJ	VYBER	15	53548	SLUZBY	\N	\N
800767	2731	1998-10-31	VYDAJ	VYBER	15	52273	SLUZBY	\N	\N
800768	2731	1998-11-30	VYDAJ	VYBER	15	57005	SLUZBY	\N	\N
800769	2731	1995-10-26	VYDAJ	VYBER	100	23052	\N	\N	\N
800770	2731	1995-11-25	VYDAJ	VYBER	12400	33523	\N	\N	\N
800771	2731	1995-12-25	VYDAJ	VYBER	23400	44505	\N	\N	\N
800772	2731	1996-01-24	VYDAJ	VYBER	19600	47907	\N	\N	\N
800773	2731	1996-02-23	VYDAJ	VYBER	20600	45305	\N	\N	\N
800774	2731	1996-03-24	VYDAJ	VYBER	18500	43121	\N	\N	\N
800775	2731	1996-04-23	VYDAJ	VYBER	14600	46525	\N	\N	\N
800776	2731	1996-05-23	VYDAJ	VYBER	19100	45435	\N	\N	\N
800777	2731	1996-06-22	VYDAJ	VYBER	23000	47578	\N	\N	\N
800778	2731	1996-07-22	VYDAJ	VYBER	15500	50101	\N	\N	\N
800779	2731	1996-08-21	VYDAJ	VYBER	19200	48918	\N	\N	\N
800780	2731	1996-09-20	VYDAJ	VYBER	18500	48444	\N	\N	\N
800781	2731	1996-10-20	VYDAJ	VYBER	20600	43763	\N	\N	\N
800782	2731	1996-11-19	VYDAJ	VYBER	20100	41666	\N	\N	\N
800783	2731	1996-12-19	VYDAJ	VYBER	20700	48383	\N	\N	\N
800784	2731	1997-01-18	VYDAJ	VYBER	14800	39984	\N	\N	\N
800785	2731	1997-02-17	VYDAJ	VYBER	13800	38661	\N	\N	\N
800786	2731	1997-03-19	VYDAJ	VYBER	12900	43716	\N	\N	\N
800787	2731	1997-04-18	VYDAJ	VYBER	17100	40198	\N	\N	\N
800788	2731	1997-05-18	VYDAJ	VYBER	16500	37372	\N	\N	\N
800789	2731	1997-06-17	VYDAJ	VYBER	21100	45659	\N	\N	\N
800790	2731	1997-07-17	VYDAJ	VYBER	18500	45143	\N	\N	\N
800791	2731	1997-08-16	VYDAJ	VYBER	17100	44737	\N	\N	\N
800792	2731	1997-09-15	VYDAJ	VYBER	21700	41021	\N	\N	\N
800793	2731	1997-10-15	VYDAJ	VYBER	15200	43799	\N	\N	\N
800794	2731	1997-11-14	VYDAJ	VYBER	19200	42575	\N	\N	\N
800795	2731	1997-12-14	VYDAJ	VYBER	27300	44677	\N	\N	\N
800796	2731	1998-01-13	VYDAJ	VYBER	17300	46000	\N	\N	\N
800797	2731	1998-02-12	VYDAJ	VYBER	8700	26005	\N	\N	\N
800798	2731	1998-03-14	VYDAJ	VYBER	15600	39783	\N	\N	\N
800799	2731	1998-04-13	VYDAJ	VYBER	18600	42591	\N	\N	\N
800800	2731	1998-05-13	VYDAJ	VYBER	22800	32752	\N	\N	\N
800801	2731	1998-06-12	VYDAJ	VYBER	10600	22348	\N	\N	\N
800802	2731	1998-07-12	VYDAJ	VYBER	14300	30343	\N	\N	\N
800803	2731	1998-08-11	VYDAJ	VYBER	15900	32430	\N	\N	\N
800804	2731	1998-09-10	VYDAJ	VYBER	14900	35528	\N	\N	\N
800805	2731	1998-10-10	VYDAJ	VYBER	18700	34848	\N	\N	\N
800806	2731	1998-11-09	VYDAJ	VYBER	13300	38973	\N	\N	\N
800807	2731	1998-12-09	VYDAJ	VYBER	18300	38705	\N	\N	\N
800847	2732	1993-07-27	PRIJEM	VKLAD	800	800	\N	\N	\N
800849	2732	1993-08-07	PRIJEM	VKLAD	5011	11613	\N	\N	\N
800851	2732	1993-11-02	PRIJEM	VKLAD	13278	33327	\N	\N	\N
800852	2732	1993-09-13	PRIJEM	VKLAD	33098	96929	\N	\N	\N
800854	2732	1993-12-25	PRIJEM	VKLAD	33787	64820	\N	\N	\N
800856	2732	1993-10-01	PRIJEM	VKLAD	46241	107433	\N	\N	\N
800857	2732	1993-10-12	PRIJEM	VKLAD	35559	92400	\N	\N	\N
800859	2732	1993-11-13	PRIJEM	VKLAD	24812	73400	\N	\N	\N
800862	2732	1993-11-07	PRIJEM	VKLAD	15261	48588	\N	\N	\N
800863	2732	1993-08-03	PRIJEM	VKLAD	5802	6602	\N	\N	\N
800868	2732	1993-08-31	PRIJEM	VKLAD	43766	63831	\N	\N	\N
800869	2732	1993-12-13	PRIJEM	VKLAD	13949	64653	\N	\N	\N
800873	2732	1994-07-04	PRIJEM	VKLAD	42055	107081	\N	\N	\N
800874	2732	1994-04-21	PRIJEM	VKLAD	18728	53272	\N	\N	\N
800875	2732	1994-09-19	PRIJEM	VKLAD	18982	47594	\N	\N	\N
800876	2732	1994-01-27	PRIJEM	VKLAD	45581	67994	\N	\N	\N
800877	2732	1994-06-02	PRIJEM	VKLAD	31286	80764	\N	\N	\N
800878	2732	1994-07-01	PRIJEM	VKLAD	26964	65026	\N	\N	\N
800879	2732	1994-05-19	PRIJEM	VKLAD	49560	75439	\N	\N	\N
800880	2732	1994-03-03	PRIJEM	VKLAD	18834	53541	\N	\N	\N
800881	2732	1995-05-01	PRIJEM	VKLAD	26129	88915	\N	\N	\N
800882	2732	1995-01-05	PRIJEM	VKLAD	26670	86307	\N	\N	\N
800883	2732	1995-06-17	PRIJEM	VKLAD	45701	88607	\N	\N	\N
800884	2732	1995-09-25	PRIJEM	VKLAD	6924	75440	\N	\N	\N
800885	2732	1995-12-23	PRIJEM	VKLAD	40009	79278	\N	\N	\N
800886	2732	1995-09-13	PRIJEM	VKLAD	18920	86060	\N	\N	\N
800887	2732	1995-04-07	PRIJEM	VKLAD	41908	89793	\N	\N	\N
800888	2732	1995-05-24	PRIJEM	VKLAD	26449	76456	\N	\N	\N
800889	2732	1995-09-21	PRIJEM	VKLAD	23648	68516	\N	\N	\N
800890	2732	1995-08-24	PRIJEM	VKLAD	32898	61232	\N	\N	\N
800891	2732	1995-01-06	PRIJEM	VKLAD	43832	130139	\N	\N	\N
800892	2732	1995-06-25	PRIJEM	VKLAD	8827	63434	\N	\N	\N
800893	2732	1995-06-28	PRIJEM	VKLAD	45620	109054	\N	\N	\N
800894	2732	1995-03-14	PRIJEM	VKLAD	10796	66916	\N	\N	\N
800895	2732	1995-11-24	PRIJEM	VKLAD	26182	60764	\N	\N	\N
800896	2732	1995-09-04	PRIJEM	VKLAD	41443	90415	\N	\N	\N
800897	2732	1995-05-07	PRIJEM	VKLAD	37395	126310	\N	\N	\N
800898	2732	1995-12-23	PRIJEM	VKLAD	10817	39269	\N	\N	\N
800899	2732	1995-06-29	PRIJEM	VKLAD	17807	126861	\N	\N	\N
800900	2732	1995-03-01	PRIJEM	VKLAD	23949	56120	\N	\N	\N
800901	2732	1995-01-03	PRIJEM	VKLAD	40830	65037	\N	\N	\N
800902	2732	1995-05-16	PRIJEM	VKLAD	49684	114907	\N	\N	\N
800903	2732	1995-04-07	PRIJEM	VKLAD	34199	123992	\N	\N	\N
800904	2732	1995-02-24	PRIJEM	VKLAD	5761	35684	\N	\N	\N
800905	2732	1995-04-25	PRIJEM	VKLAD	5673	62465	\N	\N	\N
800906	2732	1996-02-10	PRIJEM	VKLAD	6347	64184	\N	\N	\N
800907	2732	1996-07-10	PRIJEM	VKLAD	8157	35157	\N	\N	\N
800908	2732	1996-09-17	PRIJEM	VKLAD	21071	79017	\N	\N	\N
800909	2732	1996-03-09	PRIJEM	VKLAD	39443	125035	\N	\N	\N
800910	2732	1996-12-02	PRIJEM	VKLAD	21594	100339	\N	\N	\N
800911	2732	1996-03-12	PRIJEM	VKLAD	34678	125613	\N	\N	\N
800912	2732	1996-03-06	PRIJEM	VKLAD	28474	121992	\N	\N	\N
800913	2732	1996-02-25	PRIJEM	VKLAD	49509	96952	\N	\N	\N
800914	2732	1996-07-13	PRIJEM	VKLAD	8172	35229	\N	\N	\N
800915	2732	1996-02-12	PRIJEM	VKLAD	12716	76900	\N	\N	\N
800916	2732	1996-02-26	PRIJEM	VKLAD	45320	142272	\N	\N	\N
800917	2732	1996-03-30	PRIJEM	VKLAD	16598	65311	\N	\N	\N
800918	2732	1996-02-07	PRIJEM	VKLAD	31231	57837	\N	\N	\N
800919	2732	1996-09-10	PRIJEM	VKLAD	33613	57946	\N	\N	\N
800920	2732	1996-05-03	PRIJEM	VKLAD	38672	80001	\N	\N	\N
800921	2732	1996-09-24	PRIJEM	VKLAD	49275	128292	\N	\N	\N
800922	2732	1996-12-28	PRIJEM	VKLAD	32873	105589	\N	\N	\N
800923	2732	1996-03-02	PRIJEM	VKLAD	26287	112418	\N	\N	\N
800924	2732	1996-11-16	PRIJEM	VKLAD	43797	78509	\N	\N	\N
800925	2732	1996-12-14	PRIJEM	VKLAD	14937	72716	\N	\N	\N
800926	2732	1997-12-28	PRIJEM	VKLAD	16850	54082	\N	\N	\N
800927	2732	1997-01-14	PRIJEM	VKLAD	9844	73230	\N	\N	\N
800928	2732	1997-03-01	PRIJEM	VKLAD	44447	85033	\N	\N	\N
800929	2732	1997-06-12	PRIJEM	VKLAD	42293	70398	\N	\N	\N
800930	2732	1997-11-24	PRIJEM	VKLAD	13161	94045	\N	\N	\N
800931	2732	1997-08-02	PRIJEM	VKLAD	45771	115370	\N	\N	\N
800932	2732	1997-08-23	PRIJEM	VKLAD	44921	121551	\N	\N	\N
800933	2732	1997-06-28	PRIJEM	VKLAD	20763	91161	\N	\N	\N
800934	2732	1997-10-13	PRIJEM	VKLAD	37227	118422	\N	\N	\N
800935	2732	1997-11-04	PRIJEM	VKLAD	17898	61137	\N	\N	\N
800936	2732	1997-08-21	PRIJEM	VKLAD	23855	76630	\N	\N	\N
800937	2732	1997-07-27	PRIJEM	VKLAD	9272	69252	\N	\N	\N
800938	2732	1997-08-18	PRIJEM	VKLAD	6805	52775	\N	\N	\N
800939	2732	1997-08-27	PRIJEM	VKLAD	41032	100583	\N	\N	\N
800940	2732	1997-10-05	PRIJEM	VKLAD	24511	76249	\N	\N	\N
800941	2732	1997-03-23	PRIJEM	VKLAD	37199	93132	\N	\N	\N
800942	2732	1997-04-23	PRIJEM	VKLAD	6290	35912	\N	\N	\N
800943	2732	1997-11-16	PRIJEM	VKLAD	19747	80884	\N	\N	\N
800944	2732	1997-10-09	PRIJEM	VKLAD	43046	119295	\N	\N	\N
800945	2732	1998-10-04	PRIJEM	VKLAD	16774	80712	\N	\N	\N
800946	2732	1998-07-29	PRIJEM	VKLAD	8921	38750	\N	\N	\N
800947	2732	1998-01-09	PRIJEM	VKLAD	45267	97865	\N	\N	\N
800948	2732	1998-08-02	PRIJEM	VKLAD	8037	51317	\N	\N	\N
800949	2732	1998-01-07	PRIJEM	VKLAD	16416	52598	\N	\N	\N
800950	2732	1998-07-30	PRIJEM	VKLAD	10312	49062	\N	\N	\N
800951	2732	1998-04-14	PRIJEM	VKLAD	9313	61275	\N	\N	\N
800952	2732	1998-01-13	PRIJEM	VKLAD	13211	104776	\N	\N	\N
800953	2732	1998-10-13	PRIJEM	VKLAD	6769	87481	\N	\N	\N
800954	2732	1998-03-15	PRIJEM	VKLAD	47640	78031	\N	\N	\N
800955	2732	1998-05-29	PRIJEM	VKLAD	22574	65070	\N	\N	\N
800956	2732	1998-09-30	PRIJEM	VKLAD	18341	48938	\N	\N	\N
800957	2732	1998-09-30	PRIJEM	VKLAD	15015	63953	\N	\N	\N
801034	2732	1993-12-19	VYBER	VYBER	5627	38433	\N	\N	\N
801035	2732	1993-10-30	VYBER	VYBER	14059	38476	\N	\N	\N
801036	2732	1993-10-02	VYBER	VYBER	6192	56841	\N	\N	\N
801038	2732	1993-10-30	VYBER	VYBER	18706	19770	\N	\N	\N
801040	2732	1993-12-14	VYBER	VYBER	20593	44060	\N	\N	\N
801041	2732	1993-10-25	VYBER	VYBER	13665	78735	\N	\N	\N
801044	2732	1994-06-16	VYBER	VYBER	21238	47226	\N	\N	\N
801050	2732	1994-07-27	VYBER	VYBER	13522	33259	\N	\N	\N
801053	2732	1994-04-26	VYBER	VYBER	12018	25754	\N	\N	\N
801055	2732	1994-02-20	VYBER	VYBER	19402	42492	\N	\N	\N
801056	2732	1994-03-15	VYBER	VYBER	6042	47499	\N	\N	\N
801057	2732	1995-09-08	VYBER	VYBER	23275	67140	\N	\N	\N
801058	2732	1995-09-19	VYBER	VYBER	8792	44868	\N	\N	\N
801059	2732	1995-05-25	VYBER	VYBER	22897	53559	\N	\N	\N
801060	2732	1995-08-30	VYBER	VYBER	12412	48820	\N	\N	\N
801061	2732	1995-02-28	VYBER	VYBER	3648	32185	\N	\N	\N
801062	2732	1995-11-24	VYBER	VYBER	16707	44057	\N	\N	\N
801063	2732	1995-05-14	VYBER	VYBER	7187	65223	\N	\N	\N
801064	2732	1995-06-16	VYBER	VYBER	8500	42906	\N	\N	\N
801065	2732	1995-11-29	VYBER	VYBER	9792	34265	\N	\N	\N
801066	2732	1996-02-12	VYBER	VYBER	4857	72043	\N	\N	\N
801067	2732	1996-12-03	VYBER	VYBER	13660	86679	\N	\N	\N
801068	2732	1996-10-27	VYBER	VYBER	21104	42453	\N	\N	\N
801069	2732	1997-04-18	VYBER	VYBER	23060	39522	\N	\N	\N
801070	2732	1997-12-11	VYBER	VYBER	10500	41732	\N	\N	\N
801072	2732	1998-09-20	VYBER	VYBER	3228	31047	\N	\N	\N
801073	2732	1998-01-17	VYBER	VYBER	22532	73844	\N	\N	\N
801076	2732	1998-04-14	VYBER	VYBER	7144	54131	\N	\N	\N
801084	2732	1993-12-20	VYDAJ	VYBER	3000	35433	\N	\N	\N
801086	2732	1995-12-29	VYDAJ	VYBER	4200	75078	\N	\N	\N
801087	2732	1996-12-04	VYDAJ	VYBER	7800	78879	\N	\N	\N
801088	2732	1997-12-13	VYDAJ	VYBER	4500	37232	\N	\N	\N
801089	2732	1998-12-03	VYDAJ	VYBER	3000	34889	\N	\N	\N
801096	2732	1994-01-17	VYDAJ	VYBER	6000	45213	\N	\N	\N
801097	2732	1994-01-03	VYDAJ	VYBER	2400	62613	\N	\N	\N
801098	2732	1994-01-20	VYDAJ	VYBER	2700	42513	\N	\N	\N
801099	2732	1994-01-26	VYDAJ	VYBER	5700	27813	\N	\N	\N
801100	2732	1994-01-08	VYDAJ	VYBER	2400	51213	\N	\N	\N
801101	2732	1994-01-26	VYDAJ	VYBER	5400	22413	\N	\N	\N
801102	2732	1995-01-03	VYDAJ	VYBER	5400	59637	\N	\N	\N
801103	2732	1995-01-17	VYDAJ	VYBER	4200	64539	\N	\N	\N
801104	2732	1995-01-17	VYDAJ	VYBER	2400	68739	\N	\N	\N
801105	2732	1995-01-24	VYDAJ	VYBER	5400	35939	\N	\N	\N
801107	2732	1995-01-16	VYDAJ	VYBER	2700	71139	\N	\N	\N
801108	2732	1996-01-02	VYDAJ	VYBER	5100	70125	\N	\N	\N
801111	2732	1996-01-17	VYDAJ	VYBER	8100	26425	\N	\N	\N
801113	2732	1996-01-16	VYDAJ	VYBER	8700	34525	\N	\N	\N
801114	2732	1997-01-25	VYDAJ	VYBER	4200	64530	\N	\N	\N
801115	2732	1997-01-13	VYDAJ	VYBER	2100	63386	\N	\N	\N
801116	2732	1997-01-26	VYDAJ	VYBER	1500	63030	\N	\N	\N
801117	2732	1997-01-04	VYDAJ	VYBER	2100	101386	\N	\N	\N
801118	2732	1997-01-26	VYDAJ	VYBER	1500	61530	\N	\N	\N
801119	2732	1997-01-18	VYDAJ	VYBER	4500	68730	\N	\N	\N
801120	2732	1998-01-16	VYDAJ	VYBER	4500	96376	\N	\N	\N
801121	2732	1998-01-15	VYDAJ	VYBER	3900	100876	\N	\N	\N
801122	2732	1998-01-27	VYDAJ	VYBER	4500	59144	\N	\N	\N
801123	2732	1998-01-17	VYDAJ	VYBER	3300	70544	\N	\N	\N
801124	2732	1998-01-02	VYDAJ	VYBER	6000	48282	\N	\N	\N
801125	2732	1998-01-25	VYDAJ	VYBER	6900	63644	\N	\N	\N
801131	2732	1994-10-15	VYDAJ	VYBER	10200	26310	\N	\N	\N
801132	2732	1994-05-20	VYDAJ	VYBER	4800	70639	\N	\N	\N
801133	2732	1994-06-02	VYDAJ	VYBER	12300	68464	\N	\N	\N
801134	2732	1994-01-27	VYDAJ	VYBER	6300	61694	\N	\N	\N
801135	2732	1994-01-05	VYDAJ	VYBER	9000	53613	\N	\N	\N
801136	2732	1995-07-29	VYDAJ	VYBER	2100	34021	\N	\N	\N
801137	2732	1995-06-04	VYDAJ	VYBER	2400	51406	\N	\N	\N
801138	2732	1995-05-17	VYDAJ	VYBER	8400	72707	\N	\N	\N
801139	2732	1995-07-22	VYDAJ	VYBER	9900	36121	\N	\N	\N
801140	2732	1996-04-24	VYDAJ	VYBER	2100	41096	\N	\N	\N
801141	2732	1996-07-17	VYDAJ	VYBER	6900	28329	\N	\N	\N
801143	2732	1996-03-10	VYDAJ	VYBER	11700	90935	\N	\N	\N
801144	2732	1996-06-01	VYDAJ	VYBER	11100	37275	\N	\N	\N
801145	2732	1997-04-20	VYDAJ	VYBER	9900	29622	\N	\N	\N
801147	2732	1997-03-12	VYDAJ	VYBER	7200	55933	\N	\N	\N
801148	2732	1997-02-01	VYDAJ	VYBER	12900	48920	\N	\N	\N
801149	2732	1997-12-07	VYDAJ	VYBER	12000	52232	\N	\N	\N
801150	2732	1997-01-01	VYDAJ	VYBER	2400	103486	\N	\N	\N
801151	2732	1997-05-28	VYDAJ	VYBER	9300	27578	\N	\N	\N
801152	2732	1998-01-09	VYDAJ	VYBER	6300	91565	\N	\N	\N
801154	2732	1998-09-10	VYDAJ	VYBER	5400	34275	\N	\N	\N
801156	2732	1998-07-04	VYDAJ	VYBER	14100	29829	\N	\N	\N
801157	2732	1998-01-30	VYDAJ	VYBER	9300	49844	\N	\N	\N
801169	2732	1993-10-31	VYDAJ	VYBER	15	20049	SLUZBY	\N	\N
801170	2732	1993-11-30	VYDAJ	VYBER	15	50704	SLUZBY	\N	\N
801171	2732	1993-12-31	VYDAJ	VYBER	15	65013	SLUZBY	\N	\N
801172	2732	1994-01-31	VYDAJ	VYBER	15	61894	SLUZBY	\N	\N
801173	2732	1994-02-28	VYDAJ	VYBER	15	34707	SLUZBY	\N	\N
801174	2732	1994-03-31	VYDAJ	VYBER	15	34544	SLUZBY	\N	\N
801175	2732	1994-04-30	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
801176	2732	1994-05-31	VYDAJ	VYBER	15	49478	SLUZBY	\N	\N
801177	2732	1994-06-30	VYDAJ	VYBER	15	38062	SLUZBY	\N	\N
801178	2732	1994-07-31	VYDAJ	VYBER	15	33487	SLUZBY	\N	\N
801179	2732	1994-08-31	VYDAJ	VYBER	15	28612	SLUZBY	\N	\N
801180	2732	1994-09-30	VYDAJ	VYBER	15	36510	SLUZBY	\N	\N
801181	2732	1994-10-31	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
801182	2732	1994-11-30	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
801183	2732	1994-12-31	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
801184	2732	1995-01-31	VYDAJ	VYBER	15	36223	SLUZBY	\N	\N
801185	2732	1995-02-28	VYDAJ	VYBER	15	32171	SLUZBY	\N	\N
801186	2732	1995-03-31	VYDAJ	VYBER	15	47885	SLUZBY	\N	\N
801187	2732	1995-04-30	VYDAJ	VYBER	15	62786	SLUZBY	\N	\N
801188	2732	1995-05-31	VYDAJ	VYBER	15	53806	SLUZBY	\N	\N
801189	2732	1995-06-30	VYDAJ	VYBER	15	63821	SLUZBY	\N	\N
801190	2732	1995-07-31	VYDAJ	VYBER	15	34234	SLUZBY	\N	\N
801191	2732	1995-08-31	VYDAJ	VYBER	15	48972	SLUZBY	\N	\N
801192	2732	1995-09-30	VYDAJ	VYBER	15	75686	SLUZBY	\N	\N
801193	2732	1995-10-31	VYDAJ	VYBER	15	50882	SLUZBY	\N	\N
801194	2732	1995-11-30	VYDAJ	VYBER	15	34452	SLUZBY	\N	\N
801195	2732	1995-12-31	VYDAJ	VYBER	15	75225	SLUZBY	\N	\N
801196	2732	1996-01-31	VYDAJ	VYBER	15	26606	SLUZBY	\N	\N
801197	2732	1996-02-29	VYDAJ	VYBER	15	86131	SLUZBY	\N	\N
801198	2732	1996-03-31	VYDAJ	VYBER	15	65596	SLUZBY	\N	\N
801199	2732	1996-04-30	VYDAJ	VYBER	15	41329	SLUZBY	\N	\N
801200	2732	1996-05-31	VYDAJ	VYBER	15	48375	SLUZBY	\N	\N
801201	2732	1996-06-30	VYDAJ	VYBER	15	27000	SLUZBY	\N	\N
801202	2732	1996-07-31	VYDAJ	VYBER	15	28432	SLUZBY	\N	\N
801203	2732	1996-08-31	VYDAJ	VYBER	15	22833	SLUZBY	\N	\N
801204	2732	1996-09-30	VYDAJ	VYBER	15	99557	SLUZBY	\N	\N
801205	2732	1996-10-31	VYDAJ	VYBER	15	42812	SLUZBY	\N	\N
801206	2732	1996-11-30	VYDAJ	VYBER	15	78745	SLUZBY	\N	\N
801207	2732	1996-12-31	VYDAJ	VYBER	15	105886	SLUZBY	\N	\N
801208	2732	1997-01-31	VYDAJ	VYBER	15	61820	SLUZBY	\N	\N
801209	2732	1997-02-28	VYDAJ	VYBER	15	40586	SLUZBY	\N	\N
801210	2732	1997-03-31	VYDAJ	VYBER	15	93382	SLUZBY	\N	\N
801211	2732	1997-04-30	VYDAJ	VYBER	15	36178	SLUZBY	\N	\N
801212	2732	1997-05-31	VYDAJ	VYBER	15	27705	SLUZBY	\N	\N
801213	2732	1997-06-30	VYDAJ	VYBER	15	91380	SLUZBY	\N	\N
801214	2732	1997-07-31	VYDAJ	VYBER	15	69599	SLUZBY	\N	\N
801215	2732	1997-08-31	VYDAJ	VYBER	15	100842	SLUZBY	\N	\N
801216	2732	1997-09-30	VYDAJ	VYBER	15	68438	SLUZBY	\N	\N
801217	2732	1997-10-31	VYDAJ	VYBER	15	54839	SLUZBY	\N	\N
801218	2732	1997-11-30	VYDAJ	VYBER	15	94332	SLUZBY	\N	\N
801219	2732	1997-12-31	VYDAJ	VYBER	15	54282	SLUZBY	\N	\N
801220	2732	1998-01-31	VYDAJ	VYBER	15	50104	SLUZBY	\N	\N
801221	2732	1998-02-28	VYDAJ	VYBER	15	38591	SLUZBY	\N	\N
801222	2732	1998-03-31	VYDAJ	VYBER	15	78262	SLUZBY	\N	\N
801223	2732	1998-04-30	VYDAJ	VYBER	15	54396	SLUZBY	\N	\N
801224	2732	1998-05-31	VYDAJ	VYBER	15	65280	SLUZBY	\N	\N
801225	2732	1998-06-30	VYDAJ	VYBER	15	51829	SLUZBY	\N	\N
801226	2732	1998-07-31	VYDAJ	VYBER	15	43280	SLUZBY	\N	\N
801227	2732	1998-08-31	VYDAJ	VYBER	15	39675	SLUZBY	\N	\N
801228	2732	1998-09-30	VYDAJ	VYBER	15	63938	SLUZBY	\N	\N
801229	2732	1998-10-31	VYDAJ	VYBER	15	57574	SLUZBY	\N	\N
801230	2732	1998-11-30	VYDAJ	VYBER	15	37889	SLUZBY	\N	\N
801231	2732	1993-08-26	PRIJEM	VKLAD	8400	20013	\N	\N	\N
801232	2732	1993-09-25	VYDAJ	VYBER	36000	60929	\N	\N	\N
801233	2732	1993-10-01	VYDAJ	VYBER	44400	63033	\N	\N	\N
801234	2732	1993-10-25	VYDAJ	VYBER	26200	52535	\N	\N	\N
801235	2732	1993-11-24	VYDAJ	VYBER	22900	50500	\N	\N	\N
801236	2732	1993-12-24	VYDAJ	VYBER	4400	31033	\N	\N	\N
801237	2732	1994-01-23	VYDAJ	VYBER	9000	33513	\N	\N	\N
801238	2732	1994-02-22	VYDAJ	VYBER	8000	34492	\N	\N	\N
801239	2732	1994-03-24	VYDAJ	VYBER	13100	34399	\N	\N	\N
801240	2732	1994-04-23	VYDAJ	VYBER	15500	37772	\N	\N	\N
801241	2732	1994-05-23	VYDAJ	VYBER	21300	49339	\N	\N	\N
801242	2732	1994-06-22	VYDAJ	VYBER	9400	37826	\N	\N	\N
801243	2732	1994-07-04	VYDAJ	VYBER	35300	71781	\N	\N	\N
801244	2732	1994-07-22	VYDAJ	VYBER	25000	46781	\N	\N	\N
801245	2732	1994-08-21	VYDAJ	VYBER	5000	28487	\N	\N	\N
801246	2732	1994-09-20	VYDAJ	VYBER	11200	36394	\N	\N	\N
801247	2732	1994-10-20	VYDAJ	VYBER	700	25610	\N	\N	\N
801248	2732	1994-11-19	VYDAJ	VYBER	1800	23930	\N	\N	\N
801249	2732	1994-12-19	PRIJEM	VKLAD	100	24122	\N	\N	\N
801250	2732	1995-01-06	VYDAJ	VYBER	56300	73839	\N	\N	\N
801251	2732	1995-01-18	VYDAJ	VYBER	23200	41339	\N	\N	\N
801252	2732	1995-02-17	VYDAJ	VYBER	6300	29923	\N	\N	\N
801253	2732	1995-03-19	VYDAJ	VYBER	19200	47716	\N	\N	\N
801254	2732	1995-04-07	VYDAJ	VYBER	32000	91992	\N	\N	\N
801255	2732	1995-04-18	VYDAJ	VYBER	35200	56792	\N	\N	\N
801256	2732	1995-05-07	VYDAJ	VYBER	53900	72410	\N	\N	\N
801257	2732	1995-05-16	VYDAJ	VYBER	33800	81107	\N	\N	\N
801258	2732	1995-05-18	VYDAJ	VYBER	22700	50007	\N	\N	\N
801259	2732	1995-06-17	VYDAJ	VYBER	34000	54607	\N	\N	\N
801260	2732	1995-06-29	VYDAJ	VYBER	63300	63561	\N	\N	\N
801261	2732	1995-07-17	VYDAJ	VYBER	17800	46021	\N	\N	\N
801262	2732	1995-08-16	VYDAJ	VYBER	5900	28334	\N	\N	\N
801263	2732	1995-09-15	VYDAJ	VYBER	32400	53660	\N	\N	\N
801264	2732	1995-10-15	VYDAJ	VYBER	25100	50586	\N	\N	\N
801265	2732	1995-11-14	VYDAJ	VYBER	16300	34582	\N	\N	\N
801266	2732	1995-12-14	VYDAJ	VYBER	6000	28452	\N	\N	\N
801267	2732	1996-01-13	VYDAJ	VYBER	26900	43225	\N	\N	\N
801268	2732	1996-02-12	VYDAJ	VYBER	24600	47443	\N	\N	\N
801269	2732	1996-02-26	VYDAJ	VYBER	56400	85872	\N	\N	\N
801270	2732	1996-03-02	VYDAJ	VYBER	18900	93518	\N	\N	\N
801271	2732	1996-03-06	VYDAJ	VYBER	36400	85592	\N	\N	\N
801272	2732	1996-03-09	VYDAJ	VYBER	22400	102635	\N	\N	\N
801273	2732	1996-03-12	VYDAJ	VYBER	47600	78013	\N	\N	\N
801274	2732	1996-03-13	VYDAJ	VYBER	29300	48713	\N	\N	\N
801275	2732	1996-04-12	VYDAJ	VYBER	22400	43196	\N	\N	\N
801276	2732	1996-05-12	VYDAJ	VYBER	31800	48201	\N	\N	\N
801277	2732	1996-06-11	VYDAJ	VYBER	10400	26875	\N	\N	\N
801278	2732	1996-07-11	VYDAJ	VYBER	8100	27057	\N	\N	\N
801279	2732	1996-08-10	VYDAJ	VYBER	5700	22732	\N	\N	\N
801280	2732	1996-09-09	PRIJEM	VKLAD	1500	24333	\N	\N	\N
801281	2732	1996-09-24	VYDAJ	VYBER	29000	99292	\N	\N	\N
801282	2732	1996-10-09	VYDAJ	VYBER	36000	63557	\N	\N	\N
801283	2732	1996-11-08	VYDAJ	VYBER	8100	34712	\N	\N	\N
801284	2732	1996-12-08	VYDAJ	VYBER	21100	57779	\N	\N	\N
801285	2732	1997-01-07	VYDAJ	VYBER	35900	65486	\N	\N	\N
801286	2732	1997-02-06	VYDAJ	VYBER	8500	40420	\N	\N	\N
801287	2732	1997-03-08	VYDAJ	VYBER	21900	63133	\N	\N	\N
801288	2732	1997-04-07	VYDAJ	VYBER	30800	62582	\N	\N	\N
801289	2732	1997-05-07	PRIJEM	VKLAD	700	36878	\N	\N	\N
801290	2732	1997-06-06	PRIJEM	VKLAD	400	28105	\N	\N	\N
801291	2732	1997-07-06	VYDAJ	VYBER	31400	59980	\N	\N	\N
801292	2732	1997-08-02	VYDAJ	VYBER	55400	59970	\N	\N	\N
801293	2732	1997-08-05	VYDAJ	VYBER	14000	45970	\N	\N	\N
801294	2732	1997-08-23	VYDAJ	VYBER	62000	59551	\N	\N	\N
801295	2732	1997-09-04	VYDAJ	VYBER	32800	68042	\N	\N	\N
801296	2732	1997-10-04	VYDAJ	VYBER	16700	51738	\N	\N	\N
801297	2732	1997-10-09	VYDAJ	VYBER	38100	81195	\N	\N	\N
801298	2732	1997-10-13	VYDAJ	VYBER	64000	54422	\N	\N	\N
801299	2732	1997-11-03	VYDAJ	VYBER	11600	43239	\N	\N	\N
801300	2732	1997-12-03	VYDAJ	VYBER	30100	64232	\N	\N	\N
801301	2732	1998-01-02	VYDAJ	VYBER	12100	36182	\N	\N	\N
801302	2732	1998-02-01	VYDAJ	VYBER	11700	38404	\N	\N	\N
801303	2732	1998-03-03	VYDAJ	VYBER	8200	30391	\N	\N	\N
801304	2732	1998-04-02	VYDAJ	VYBER	26300	51962	\N	\N	\N
801305	2732	1998-05-02	VYDAJ	VYBER	11900	42496	\N	\N	\N
801306	2732	1998-06-01	VYDAJ	VYBER	13700	51580	\N	\N	\N
801307	2732	1998-07-01	VYDAJ	VYBER	7900	43929	\N	\N	\N
801308	2732	1998-07-31	VYDAJ	VYBER	5900	43295	\N	\N	\N
801309	2732	1998-08-30	VYDAJ	VYBER	11800	39517	\N	\N	\N
801310	2732	1998-09-29	VYDAJ	VYBER	600	30447	\N	\N	\N
801311	2732	1998-10-29	VYDAJ	VYBER	30200	57281	\N	\N	\N
801312	2732	1998-11-28	VYDAJ	VYBER	19900	37674	\N	\N	\N
801377	2733	1993-12-22	PRIJEM	VKLAD	700	700	\N	\N	\N
801390	2733	1994-01-08	PRIJEM	PREVOD Z UCTU	3488	4188	\N	CD	1785916
801391	2733	1994-02-08	PRIJEM	PREVOD Z UCTU	3488	7676	\N	CD	1785916
801392	2733	1994-03-08	PRIJEM	PREVOD Z UCTU	3488	11164	\N	CD	1785916
801393	2733	1994-04-08	PRIJEM	PREVOD Z UCTU	3488	14652	\N	CD	1785916
801394	2733	1994-05-08	PRIJEM	PREVOD Z UCTU	3488	18140	\N	CD	1785916
801395	2733	1994-06-08	PRIJEM	PREVOD Z UCTU	3488	19330	\N	CD	1785916
801396	2733	1994-07-08	PRIJEM	PREVOD Z UCTU	3488	20556	\N	CD	1785916
801397	2733	1994-08-08	PRIJEM	PREVOD Z UCTU	3488	21305	\N	CD	1785916
801398	2733	1994-09-08	PRIJEM	PREVOD Z UCTU	3488	22338	\N	CD	1785916
801399	2733	1994-10-08	PRIJEM	PREVOD Z UCTU	3488	22165	\N	CD	1785916
801400	2733	1994-11-08	PRIJEM	PREVOD Z UCTU	3488	23402	\N	CD	1785916
801401	2733	1994-12-08	PRIJEM	PREVOD Z UCTU	3488	22902	\N	CD	1785916
801402	2733	1995-01-08	PRIJEM	PREVOD Z UCTU	3488	21472	\N	CD	1785916
801403	2733	1995-02-08	PRIJEM	PREVOD Z UCTU	3488	20211	\N	CD	1785916
801404	2733	1995-03-08	PRIJEM	PREVOD Z UCTU	3488	20659	\N	CD	1785916
801405	2733	1995-04-08	PRIJEM	PREVOD Z UCTU	3488	21890	\N	CD	1785916
801406	2733	1995-05-08	PRIJEM	PREVOD Z UCTU	3488	23126	\N	CD	1785916
801407	2733	1995-06-08	PRIJEM	PREVOD Z UCTU	3488	24367	\N	CD	1785916
801408	2733	1995-07-08	PRIJEM	PREVOD Z UCTU	3488	23719	\N	CD	1785916
801409	2733	1995-08-08	PRIJEM	PREVOD Z UCTU	3488	24722	\N	CD	1785916
801410	2733	1995-09-08	PRIJEM	PREVOD Z UCTU	3488	24950	\N	CD	1785916
801411	2733	1995-10-08	PRIJEM	PREVOD Z UCTU	3488	26199	\N	CD	1785916
801412	2733	1995-11-08	PRIJEM	PREVOD Z UCTU	3488	27452	\N	CD	1785916
801413	2733	1995-12-08	PRIJEM	PREVOD Z UCTU	3488	28711	\N	CD	1785916
801414	2733	1996-01-08	PRIJEM	PREVOD Z UCTU	3488	27960	\N	CD	1785916
801415	2733	1996-02-08	PRIJEM	PREVOD Z UCTU	3488	27116	\N	CD	1785916
801416	2733	1996-03-08	PRIJEM	PREVOD Z UCTU	3488	28374	\N	CD	1785916
801417	2733	1996-04-08	PRIJEM	PREVOD Z UCTU	3488	28405	\N	CD	1785916
801418	2733	1996-05-08	PRIJEM	PREVOD Z UCTU	3488	29097	\N	CD	1785916
801419	2733	1996-06-08	PRIJEM	PREVOD Z UCTU	3488	30362	\N	CD	1785916
801420	2733	1996-07-08	PRIJEM	PREVOD Z UCTU	3488	30491	\N	CD	1785916
801421	2733	1996-08-08	PRIJEM	PREVOD Z UCTU	3488	31763	\N	CD	1785916
801422	2733	1996-09-08	PRIJEM	PREVOD Z UCTU	3488	32198	\N	CD	1785916
801423	2733	1996-10-08	PRIJEM	PREVOD Z UCTU	3488	33476	\N	CD	1785916
801424	2733	1996-11-08	PRIJEM	PREVOD Z UCTU	3488	34759	\N	CD	1785916
801425	2733	1996-12-08	PRIJEM	PREVOD Z UCTU	3488	33885	\N	CD	1785916
801426	2733	1997-01-08	PRIJEM	PREVOD Z UCTU	3488	32769	\N	CD	1785916
801427	2733	1997-02-08	PRIJEM	PREVOD Z UCTU	3488	33358	\N	CD	1785916
801428	2733	1997-03-08	PRIJEM	PREVOD Z UCTU	3488	34431	\N	CD	1785916
801429	2733	1997-04-08	PRIJEM	PREVOD Z UCTU	3488	35058	\N	CD	1785916
801430	2733	1997-05-08	PRIJEM	PREVOD Z UCTU	3488	36348	\N	CD	1785916
801431	2733	1997-06-08	PRIJEM	PREVOD Z UCTU	3488	32363	\N	CD	1785916
801432	2733	1997-07-08	PRIJEM	PREVOD Z UCTU	3488	33434	\N	CD	1785916
801433	2733	1997-08-08	PRIJEM	PREVOD Z UCTU	3488	33723	\N	CD	1785916
801434	2733	1997-09-08	PRIJEM	PREVOD Z UCTU	3488	35007	\N	CD	1785916
801435	2733	1997-10-08	PRIJEM	PREVOD Z UCTU	3488	35576	\N	CD	1785916
801436	2733	1997-11-08	PRIJEM	PREVOD Z UCTU	3488	35727	\N	CD	1785916
801437	2733	1997-12-08	PRIJEM	PREVOD Z UCTU	3488	36180	\N	CD	1785916
801438	2733	1998-01-08	PRIJEM	PREVOD Z UCTU	3488	37084	\N	CD	1785916
801439	2733	1998-02-08	PRIJEM	PREVOD Z UCTU	3488	35048	\N	CD	1785916
801440	2733	1998-03-08	PRIJEM	PREVOD Z UCTU	3488	36156	\N	CD	1785916
801441	2733	1998-04-08	PRIJEM	PREVOD Z UCTU	3488	37450	\N	CD	1785916
801442	2733	1998-05-08	PRIJEM	PREVOD Z UCTU	3488	38749	\N	CD	1785916
801443	2733	1998-06-08	PRIJEM	PREVOD Z UCTU	3488	38941	\N	CD	1785916
801444	2733	1998-07-08	PRIJEM	PREVOD Z UCTU	3488	30786	\N	CD	1785916
801445	2733	1998-08-08	PRIJEM	PREVOD Z UCTU	3488	31096	\N	CD	1785916
801446	2733	1998-09-08	PRIJEM	PREVOD Z UCTU	3488	32368	\N	CD	1785916
801447	2733	1998-10-08	PRIJEM	PREVOD Z UCTU	3488	33645	\N	CD	1785916
801448	2733	1998-11-08	PRIJEM	PREVOD Z UCTU	3488	34928	\N	CD	1785916
801449	2733	1998-12-08	PRIJEM	PREVOD Z UCTU	3488	36216	\N	CD	1785916
801466	2733	1994-05-14	VYDAJ	PREVOD NA UCET	780	17360	SIPO	QR	12963968
801467	2733	1994-06-14	VYDAJ	PREVOD NA UCET	780	18550	SIPO	QR	12963968
801468	2733	1994-07-14	VYDAJ	PREVOD NA UCET	780	19776	SIPO	QR	12963968
801469	2733	1994-08-14	VYDAJ	PREVOD NA UCET	780	20525	SIPO	QR	12963968
801470	2733	1994-09-14	VYDAJ	PREVOD NA UCET	780	21558	SIPO	QR	12963968
801471	2733	1994-10-14	VYDAJ	PREVOD NA UCET	780	21385	SIPO	QR	12963968
801472	2733	1994-11-14	VYDAJ	PREVOD NA UCET	780	21932	SIPO	QR	12963968
801473	2733	1994-12-14	VYDAJ	PREVOD NA UCET	780	22122	SIPO	QR	12963968
801474	2733	1995-01-14	VYDAJ	PREVOD NA UCET	780	19852	SIPO	QR	12963968
801475	2733	1995-02-14	VYDAJ	PREVOD NA UCET	780	19431	SIPO	QR	12963968
801476	2733	1995-03-14	VYDAJ	PREVOD NA UCET	780	19879	SIPO	QR	12963968
801477	2733	1995-04-14	VYDAJ	PREVOD NA UCET	780	21110	SIPO	QR	12963968
801478	2733	1995-05-14	VYDAJ	PREVOD NA UCET	780	22346	SIPO	QR	12963968
801479	2733	1995-06-14	VYDAJ	PREVOD NA UCET	780	23587	SIPO	QR	12963968
801480	2733	1995-07-14	VYDAJ	PREVOD NA UCET	780	22939	SIPO	QR	12963968
801481	2733	1995-08-14	VYDAJ	PREVOD NA UCET	780	23942	SIPO	QR	12963968
801482	2733	1995-09-14	VYDAJ	PREVOD NA UCET	780	24170	SIPO	QR	12963968
801483	2733	1995-10-14	VYDAJ	PREVOD NA UCET	780	25419	SIPO	QR	12963968
801484	2733	1995-11-14	VYDAJ	PREVOD NA UCET	780	26672	SIPO	QR	12963968
801485	2733	1995-12-14	VYDAJ	PREVOD NA UCET	780	26461	SIPO	QR	12963968
801486	2733	1996-01-14	VYDAJ	PREVOD NA UCET	780	25770	SIPO	QR	12963968
801487	2733	1996-02-14	VYDAJ	PREVOD NA UCET	780	26336	SIPO	QR	12963968
801488	2733	1996-03-14	VYDAJ	PREVOD NA UCET	780	27594	SIPO	QR	12963968
801489	2733	1996-04-14	VYDAJ	PREVOD NA UCET	780	27625	SIPO	QR	12963968
801490	2733	1996-05-14	VYDAJ	PREVOD NA UCET	780	28317	SIPO	QR	12963968
801491	2733	1996-06-14	VYDAJ	PREVOD NA UCET	780	29582	SIPO	QR	12963968
801492	2733	1996-07-14	VYDAJ	PREVOD NA UCET	780	29711	SIPO	QR	12963968
801493	2733	1996-08-14	VYDAJ	PREVOD NA UCET	780	30503	SIPO	QR	12963968
801494	2733	1996-09-14	VYDAJ	PREVOD NA UCET	780	31418	SIPO	QR	12963968
801495	2733	1996-10-14	VYDAJ	PREVOD NA UCET	780	32696	SIPO	QR	12963968
801496	2733	1996-11-14	VYDAJ	PREVOD NA UCET	780	33979	SIPO	QR	12963968
801497	2733	1996-12-14	VYDAJ	PREVOD NA UCET	780	33105	SIPO	QR	12963968
801498	2733	1997-01-14	VYDAJ	PREVOD NA UCET	780	31719	SIPO	QR	12963968
801499	2733	1997-02-14	VYDAJ	PREVOD NA UCET	780	32578	SIPO	QR	12963968
801500	2733	1997-03-14	VYDAJ	PREVOD NA UCET	780	33651	SIPO	QR	12963968
801501	2733	1997-04-14	VYDAJ	PREVOD NA UCET	780	34278	SIPO	QR	12963968
801502	2733	1997-05-14	VYDAJ	PREVOD NA UCET	780	35568	SIPO	QR	12963968
801503	2733	1997-06-14	VYDAJ	PREVOD NA UCET	780	31583	SIPO	QR	12963968
801504	2733	1997-07-14	VYDAJ	PREVOD NA UCET	780	31664	SIPO	QR	12963968
801505	2733	1997-08-14	VYDAJ	PREVOD NA UCET	780	32943	SIPO	QR	12963968
801506	2733	1997-09-14	VYDAJ	PREVOD NA UCET	780	34227	SIPO	QR	12963968
801507	2733	1997-10-14	VYDAJ	PREVOD NA UCET	780	34796	SIPO	QR	12963968
801508	2733	1997-11-14	VYDAJ	PREVOD NA UCET	780	34947	SIPO	QR	12963968
801509	2733	1997-12-14	VYDAJ	PREVOD NA UCET	780	35400	SIPO	QR	12963968
801510	2733	1998-01-14	VYDAJ	PREVOD NA UCET	780	35494	SIPO	QR	12963968
801511	2733	1998-02-14	VYDAJ	PREVOD NA UCET	780	34088	SIPO	QR	12963968
801512	2733	1998-03-14	VYDAJ	PREVOD NA UCET	780	35376	SIPO	QR	12963968
801513	2733	1998-04-14	VYDAJ	PREVOD NA UCET	780	36670	SIPO	QR	12963968
801514	2733	1998-05-14	VYDAJ	PREVOD NA UCET	780	37969	SIPO	QR	12963968
801515	2733	1998-06-14	VYDAJ	PREVOD NA UCET	780	38161	SIPO	QR	12963968
801516	2733	1998-07-14	VYDAJ	PREVOD NA UCET	780	30006	SIPO	QR	12963968
801517	2733	1998-08-14	VYDAJ	PREVOD NA UCET	780	30316	SIPO	QR	12963968
801518	2733	1998-09-14	VYDAJ	PREVOD NA UCET	780	31588	SIPO	QR	12963968
801519	2733	1998-10-14	VYDAJ	PREVOD NA UCET	780	32865	SIPO	QR	12963968
801520	2733	1998-11-14	VYDAJ	PREVOD NA UCET	780	34148	SIPO	QR	12963968
801521	2733	1998-12-14	VYDAJ	PREVOD NA UCET	780	35436	SIPO	QR	12963968
801539	2733	1994-06-06	VYDAJ	PREVOD NA UCET	1545	15842	 	EF	39144194
801540	2733	1994-07-06	VYDAJ	PREVOD NA UCET	1545	17068	 	EF	39144194
801541	2733	1994-08-06	VYDAJ	PREVOD NA UCET	1545	17817	 	EF	39144194
801542	2733	1994-09-06	VYDAJ	PREVOD NA UCET	1545	18850	 	EF	39144194
801543	2733	1994-10-06	VYDAJ	PREVOD NA UCET	1545	18677	 	EF	39144194
801544	2733	1994-11-06	VYDAJ	PREVOD NA UCET	1545	19914	 	EF	39144194
801545	2733	1994-12-06	VYDAJ	PREVOD NA UCET	1545	19414	 	EF	39144194
801546	2733	1995-01-06	VYDAJ	PREVOD NA UCET	1545	17984	 	EF	39144194
801547	2733	1995-02-06	VYDAJ	PREVOD NA UCET	1545	16723	 	EF	39144194
801548	2733	1995-03-06	VYDAJ	PREVOD NA UCET	1545	17171	 	EF	39144194
801549	2733	1995-04-06	VYDAJ	PREVOD NA UCET	1545	18402	 	EF	39144194
801550	2733	1995-05-06	VYDAJ	PREVOD NA UCET	1545	19638	 	EF	39144194
801551	2733	1995-06-06	VYDAJ	PREVOD NA UCET	1545	20879	 	EF	39144194
801552	2733	1995-07-06	VYDAJ	PREVOD NA UCET	1545	20231	 	EF	39144194
801553	2733	1995-08-06	VYDAJ	PREVOD NA UCET	1545	21234	 	EF	39144194
801554	2733	1995-09-06	VYDAJ	PREVOD NA UCET	1545	21462	 	EF	39144194
801555	2733	1995-10-06	VYDAJ	PREVOD NA UCET	1545	22711	 	EF	39144194
801556	2733	1995-11-06	VYDAJ	PREVOD NA UCET	1545	23964	 	EF	39144194
801557	2733	1995-12-06	VYDAJ	PREVOD NA UCET	1545	25223	 	EF	39144194
801558	2733	1996-01-06	VYDAJ	PREVOD NA UCET	1545	24472	 	EF	39144194
801559	2733	1996-02-06	VYDAJ	PREVOD NA UCET	1545	23628	 	EF	39144194
801560	2733	1996-03-06	VYDAJ	PREVOD NA UCET	1545	24886	 	EF	39144194
801561	2733	1996-04-06	VYDAJ	PREVOD NA UCET	1545	24917	 	EF	39144194
801562	2733	1996-05-06	VYDAJ	PREVOD NA UCET	1545	25609	 	EF	39144194
801563	2733	1996-06-06	VYDAJ	PREVOD NA UCET	1545	26874	 	EF	39144194
801564	2733	1996-07-06	VYDAJ	PREVOD NA UCET	1545	27003	 	EF	39144194
801565	2733	1996-08-06	VYDAJ	PREVOD NA UCET	1545	28275	 	EF	39144194
801566	2733	1996-09-06	VYDAJ	PREVOD NA UCET	1545	28710	 	EF	39144194
801567	2733	1996-10-06	VYDAJ	PREVOD NA UCET	1545	29988	 	EF	39144194
801568	2733	1996-11-06	VYDAJ	PREVOD NA UCET	1545	31271	 	EF	39144194
801569	2733	1996-12-06	VYDAJ	PREVOD NA UCET	1545	31207	 	EF	39144194
801570	2733	1997-01-06	VYDAJ	PREVOD NA UCET	1545	29281	 	EF	39144194
801571	2733	1997-02-06	VYDAJ	PREVOD NA UCET	1545	29870	 	EF	39144194
801572	2733	1997-03-06	VYDAJ	PREVOD NA UCET	1545	30943	 	EF	39144194
801573	2733	1997-04-06	VYDAJ	PREVOD NA UCET	1545	31570	 	EF	39144194
801574	2733	1997-05-06	VYDAJ	PREVOD NA UCET	1545	32860	 	EF	39144194
801575	2733	1997-06-06	VYDAJ	PREVOD NA UCET	1545	28875	 	EF	39144194
801576	2733	1997-07-06	VYDAJ	PREVOD NA UCET	1545	29946	 	EF	39144194
801577	2733	1997-08-06	VYDAJ	PREVOD NA UCET	1545	30235	 	EF	39144194
801578	2733	1997-09-06	VYDAJ	PREVOD NA UCET	1545	31519	 	EF	39144194
801579	2733	1997-10-06	VYDAJ	PREVOD NA UCET	1545	32088	 	EF	39144194
801580	2733	1997-11-06	VYDAJ	PREVOD NA UCET	1545	32239	 	EF	39144194
801581	2733	1997-12-06	VYDAJ	PREVOD NA UCET	1545	32692	 	EF	39144194
801582	2733	1998-01-06	VYDAJ	PREVOD NA UCET	1545	33596	 	EF	39144194
801583	2733	1998-02-06	VYDAJ	PREVOD NA UCET	1545	31560	 	EF	39144194
801584	2733	1998-03-06	VYDAJ	PREVOD NA UCET	1545	32668	 	EF	39144194
801585	2733	1998-04-06	VYDAJ	PREVOD NA UCET	1545	33962	 	EF	39144194
801586	2733	1998-05-06	VYDAJ	PREVOD NA UCET	1545	35261	 	EF	39144194
801587	2733	1998-06-06	VYDAJ	PREVOD NA UCET	1545	35453	 	EF	39144194
801588	2733	1998-07-06	VYDAJ	PREVOD NA UCET	1545	27298	 	EF	39144194
801589	2733	1998-08-06	VYDAJ	PREVOD NA UCET	1545	27608	 	EF	39144194
801590	2733	1998-09-06	VYDAJ	PREVOD NA UCET	1545	28880	 	EF	39144194
801591	2733	1998-10-06	VYDAJ	PREVOD NA UCET	1545	30157	 	EF	39144194
801592	2733	1998-11-06	VYDAJ	PREVOD NA UCET	1545	31440	 	EF	39144194
801593	2733	1998-12-06	VYDAJ	PREVOD NA UCET	1545	32728	 	EF	39144194
801596	2733	1995-06-17	VYDAJ	VYBER	1890	21697	\N	\N	\N
801597	2733	1996-06-20	VYDAJ	VYBER	1140	28442	\N	\N	\N
801598	2733	1997-06-01	VYDAJ	VYBER	4440	30420	\N	\N	\N
801599	2733	1998-06-24	VYDAJ	VYBER	8280	28711	\N	\N	\N
801601	2733	1994-12-18	VYDAJ	VYBER	150	21972	\N	\N	\N
801602	2733	1995-12-27	VYDAJ	VYBER	540	25921	\N	\N	\N
801603	2733	1996-12-07	VYDAJ	VYBER	810	30397	\N	\N	\N
801604	2733	1997-12-05	VYDAJ	VYBER	840	34237	\N	\N	\N
801605	2733	1998-12-14	VYDAJ	VYBER	750	34686	\N	\N	\N
801618	2733	1995-01-21	VYDAJ	VYBER	270	18202	\N	\N	\N
801619	2733	1995-01-18	VYDAJ	VYBER	750	18472	\N	\N	\N
801620	2733	1995-01-08	VYDAJ	VYBER	840	20632	\N	\N	\N
801621	2733	1995-01-01	VYDAJ	VYBER	810	21239	\N	\N	\N
801622	2733	1995-01-05	VYDAJ	VYBER	510	19529	\N	\N	\N
801623	2733	1995-01-18	VYDAJ	VYBER	630	19222	\N	\N	\N
801624	2733	1996-01-13	VYDAJ	VYBER	480	26550	\N	\N	\N
801625	2733	1996-01-08	VYDAJ	VYBER	540	27420	\N	\N	\N
801626	2733	1996-01-11	VYDAJ	VYBER	150	27270	\N	\N	\N
801627	2733	1996-01-11	VYDAJ	VYBER	240	27030	\N	\N	\N
801628	2733	1996-01-17	VYDAJ	VYBER	300	25470	\N	\N	\N
801629	2733	1996-01-21	VYDAJ	VYBER	390	25080	\N	\N	\N
801630	2733	1997-01-04	VYDAJ	VYBER	630	31096	\N	\N	\N
801631	2733	1997-01-01	VYDAJ	VYBER	360	31726	\N	\N	\N
801632	2733	1997-01-08	VYDAJ	VYBER	270	32499	\N	\N	\N
801633	2733	1997-01-18	VYDAJ	VYBER	210	31509	\N	\N	\N
801634	2733	1997-01-28	VYDAJ	VYBER	210	31299	\N	\N	\N
801635	2733	1997-01-04	VYDAJ	VYBER	270	30826	\N	\N	\N
801636	2733	1998-01-01	VYDAJ	VYBER	390	35141	\N	\N	\N
801637	2733	1998-01-25	VYDAJ	VYBER	600	34894	\N	\N	\N
801638	2733	1998-01-14	VYDAJ	VYBER	300	36274	\N	\N	\N
801639	2733	1998-01-29	VYDAJ	VYBER	240	32974	\N	\N	\N
801640	2733	1998-01-26	VYDAJ	VYBER	270	34624	\N	\N	\N
801641	2733	1998-01-10	VYDAJ	VYBER	510	36574	\N	\N	\N
801647	2733	1994-11-14	VYDAJ	VYBER	690	22712	\N	\N	\N
801648	2733	1994-07-22	VYDAJ	VYBER	480	19296	\N	\N	\N
801652	2733	1994-09-27	VYDAJ	VYBER	1410	20148	\N	\N	\N
801653	2733	1994-11-23	VYDAJ	VYBER	1050	20882	\N	\N	\N
801654	2733	1995-01-03	VYDAJ	VYBER	1200	20039	\N	\N	\N
801655	2733	1995-12-09	VYDAJ	VYBER	1470	27241	\N	\N	\N
801656	2733	1995-07-31	VYDAJ	VYBER	240	22794	\N	\N	\N
801657	2733	1995-02-25	VYDAJ	VYBER	780	18651	\N	\N	\N
801658	2733	1995-09-04	VYDAJ	VYBER	1020	23007	\N	\N	\N
801659	2733	1996-08-31	VYDAJ	VYBER	360	30255	\N	\N	\N
801660	2733	1996-03-27	VYDAJ	VYBER	1230	26364	\N	\N	\N
801661	2733	1996-04-15	VYDAJ	VYBER	570	27055	\N	\N	\N
801662	2733	1996-08-09	VYDAJ	VYBER	480	31283	\N	\N	\N
801663	2733	1996-11-15	VYDAJ	VYBER	1350	32629	\N	\N	\N
801664	2733	1996-12-17	VYDAJ	VYBER	1140	31965	\N	\N	\N
801665	2733	1997-07-05	VYDAJ	VYBER	210	31491	\N	\N	\N
801666	2733	1997-05-30	VYDAJ	VYBER	840	34728	\N	\N	\N
801667	2733	1997-07-09	VYDAJ	VYBER	990	32444	\N	\N	\N
801668	2733	1997-04-05	VYDAJ	VYBER	660	33115	\N	\N	\N
801669	2733	1997-11-01	VYDAJ	VYBER	1140	33784	\N	\N	\N
801670	2733	1997-03-05	VYDAJ	VYBER	210	32488	\N	\N	\N
801671	2733	1997-09-19	VYDAJ	VYBER	720	33507	\N	\N	\N
801672	2733	1998-05-17	VYDAJ	VYBER	1110	36859	\N	\N	\N
801673	2733	1998-02-09	VYDAJ	VYBER	180	34868	\N	\N	\N
801674	2733	1998-06-23	VYDAJ	VYBER	1170	36991	\N	\N	\N
801675	2733	1998-01-28	VYDAJ	VYBER	1410	33214	\N	\N	\N
801676	2733	1998-07-20	VYDAJ	VYBER	960	29046	\N	\N	\N
801694	2733	1994-05-31	VYDAJ	VYBER	15	17387	SLUZBY	\N	\N
801695	2733	1994-06-30	VYDAJ	VYBER	15	18613	SLUZBY	\N	\N
801696	2733	1994-07-31	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
801697	2733	1994-08-31	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
801698	2733	1994-09-30	VYDAJ	VYBER	15	20222	SLUZBY	\N	\N
801699	2733	1994-10-31	VYDAJ	VYBER	15	21459	SLUZBY	\N	\N
801700	2733	1994-11-30	VYDAJ	VYBER	15	20959	SLUZBY	\N	\N
801701	2733	1994-12-31	VYDAJ	VYBER	15	22049	SLUZBY	\N	\N
801702	2733	1995-01-31	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
801703	2733	1995-02-28	VYDAJ	VYBER	15	18716	SLUZBY	\N	\N
801704	2733	1995-03-31	VYDAJ	VYBER	15	19947	SLUZBY	\N	\N
801705	2733	1995-04-30	VYDAJ	VYBER	15	21183	SLUZBY	\N	\N
801706	2733	1995-05-31	VYDAJ	VYBER	15	22424	SLUZBY	\N	\N
801707	2733	1995-06-30	VYDAJ	VYBER	15	21776	SLUZBY	\N	\N
801708	2733	1995-07-31	VYDAJ	VYBER	15	22779	SLUZBY	\N	\N
801709	2733	1995-08-31	VYDAJ	VYBER	15	24027	SLUZBY	\N	\N
801710	2733	1995-09-30	VYDAJ	VYBER	15	24256	SLUZBY	\N	\N
801711	2733	1995-10-31	VYDAJ	VYBER	15	25509	SLUZBY	\N	\N
801712	2733	1995-11-30	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
801713	2733	1995-12-31	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
801714	2733	1996-01-31	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
801715	2733	1996-02-29	VYDAJ	VYBER	15	26431	SLUZBY	\N	\N
801716	2733	1996-03-31	VYDAJ	VYBER	15	26462	SLUZBY	\N	\N
801717	2733	1996-04-30	VYDAJ	VYBER	15	27154	SLUZBY	\N	\N
801718	2733	1996-05-31	VYDAJ	VYBER	15	28419	SLUZBY	\N	\N
801719	2733	1996-06-30	VYDAJ	VYBER	15	28548	SLUZBY	\N	\N
801720	2733	1996-07-31	VYDAJ	VYBER	15	29820	SLUZBY	\N	\N
801721	2733	1996-08-31	VYDAJ	VYBER	15	30615	SLUZBY	\N	\N
801722	2733	1996-09-30	VYDAJ	VYBER	15	31533	SLUZBY	\N	\N
801723	2733	1996-10-31	VYDAJ	VYBER	15	32816	SLUZBY	\N	\N
801724	2733	1996-11-30	VYDAJ	VYBER	15	32752	SLUZBY	\N	\N
801725	2733	1996-12-31	VYDAJ	VYBER	15	32086	SLUZBY	\N	\N
801726	2733	1997-01-31	VYDAJ	VYBER	15	31415	SLUZBY	\N	\N
801727	2733	1997-02-28	VYDAJ	VYBER	15	32698	SLUZBY	\N	\N
801728	2733	1997-03-31	VYDAJ	VYBER	15	33775	SLUZBY	\N	\N
801729	2733	1997-04-30	VYDAJ	VYBER	15	34405	SLUZBY	\N	\N
801730	2733	1997-05-31	VYDAJ	VYBER	15	34860	SLUZBY	\N	\N
801731	2733	1997-06-30	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
801732	2733	1997-07-31	VYDAJ	VYBER	15	31780	SLUZBY	\N	\N
801733	2733	1997-08-31	VYDAJ	VYBER	15	33064	SLUZBY	\N	\N
801734	2733	1997-09-30	VYDAJ	VYBER	15	33633	SLUZBY	\N	\N
801735	2733	1997-10-31	VYDAJ	VYBER	15	34924	SLUZBY	\N	\N
801736	2733	1997-11-30	VYDAJ	VYBER	15	35077	SLUZBY	\N	\N
801737	2733	1997-12-31	VYDAJ	VYBER	15	35531	SLUZBY	\N	\N
801738	2733	1998-01-31	VYDAJ	VYBER	15	33105	SLUZBY	\N	\N
801739	2733	1998-02-28	VYDAJ	VYBER	15	34213	SLUZBY	\N	\N
801740	2733	1998-03-31	VYDAJ	VYBER	15	35507	SLUZBY	\N	\N
801741	2733	1998-04-30	VYDAJ	VYBER	15	36806	SLUZBY	\N	\N
801742	2733	1998-05-31	VYDAJ	VYBER	15	36998	SLUZBY	\N	\N
801743	2733	1998-06-30	VYDAJ	VYBER	15	28843	SLUZBY	\N	\N
801744	2733	1998-07-31	VYDAJ	VYBER	15	29153	SLUZBY	\N	\N
801745	2733	1998-08-31	VYDAJ	VYBER	15	30425	SLUZBY	\N	\N
801746	2733	1998-09-30	VYDAJ	VYBER	15	31702	SLUZBY	\N	\N
801747	2733	1998-10-31	VYDAJ	VYBER	15	32985	SLUZBY	\N	\N
801748	2733	1998-11-30	VYDAJ	VYBER	15	34273	SLUZBY	\N	\N
801749	2733	1994-08-19	VYDAJ	VYBER	200	20325	\N	\N	\N
801806	2734	1996-12-16	PRIJEM	VKLAD	500	500	\N	\N	\N
801819	2734	1997-01-08	PRIJEM	VKLAD	8229	8729	\N	\N	\N
801820	2734	1997-02-08	PRIJEM	VKLAD	8229	28204	\N	\N	\N
801821	2734	1997-03-08	PRIJEM	VKLAD	8229	36033	\N	\N	\N
801822	2734	1997-04-08	PRIJEM	VKLAD	8229	37280	\N	\N	\N
801823	2734	1997-05-08	PRIJEM	VKLAD	8229	38933	\N	\N	\N
801824	2734	1997-06-08	PRIJEM	VKLAD	12344	40302	\N	\N	\N
801825	2734	1997-07-08	PRIJEM	VKLAD	8229	28644	\N	\N	\N
801826	2734	1997-08-08	PRIJEM	VKLAD	8229	27963	\N	\N	\N
801827	2734	1997-09-08	PRIJEM	VKLAD	8229	29185	\N	\N	\N
801828	2734	1997-10-08	PRIJEM	VKLAD	8229	22631	\N	\N	\N
801829	2734	1997-11-08	PRIJEM	VKLAD	8229	25804	\N	\N	\N
801830	2734	1997-12-08	PRIJEM	VKLAD	12344	37964	\N	\N	\N
801831	2734	1998-01-08	PRIJEM	VKLAD	8229	26116	\N	\N	\N
801832	2734	1998-02-08	PRIJEM	VKLAD	8229	20762	\N	\N	\N
801833	2734	1998-03-08	PRIJEM	VKLAD	8229	23768	\N	\N	\N
801834	2734	1998-04-08	PRIJEM	VKLAD	8229	26342	\N	\N	\N
801835	2734	1998-05-08	PRIJEM	VKLAD	8229	29562	\N	\N	\N
801836	2734	1998-06-08	PRIJEM	VKLAD	12344	33508	\N	\N	\N
801837	2734	1998-07-08	PRIJEM	VKLAD	8229	32844	\N	\N	\N
801838	2734	1998-08-08	PRIJEM	VKLAD	8229	33683	\N	\N	\N
801839	2734	1998-09-08	PRIJEM	VKLAD	8229	36241	\N	\N	\N
801840	2734	1998-10-08	PRIJEM	VKLAD	8229	37589	\N	\N	\N
801841	2734	1998-11-08	PRIJEM	VKLAD	8229	46457	\N	\N	\N
801842	2734	1998-12-08	PRIJEM	VKLAD	12344	53969	\N	\N	\N
801860	2734	1997-06-05	VYDAJ	PREVOD NA UCET	883	27958	SIPO	YZ	90248888
801861	2734	1997-07-05	VYDAJ	PREVOD NA UCET	883	20415	SIPO	YZ	90248888
801862	2734	1997-08-05	VYDAJ	PREVOD NA UCET	883	19734	SIPO	YZ	90248888
801863	2734	1997-09-05	VYDAJ	PREVOD NA UCET	883	20956	SIPO	YZ	90248888
801864	2734	1997-10-05	VYDAJ	PREVOD NA UCET	883	14402	SIPO	YZ	90248888
801865	2734	1997-11-05	VYDAJ	PREVOD NA UCET	883	20815	SIPO	YZ	90248888
801866	2734	1997-12-05	VYDAJ	PREVOD NA UCET	883	25620	SIPO	YZ	90248888
801867	2734	1998-01-05	VYDAJ	PREVOD NA UCET	883	18847	SIPO	YZ	90248888
801868	2734	1998-02-05	VYDAJ	PREVOD NA UCET	883	12533	SIPO	YZ	90248888
801869	2734	1998-03-05	VYDAJ	PREVOD NA UCET	883	15539	SIPO	YZ	90248888
801870	2734	1998-04-05	VYDAJ	PREVOD NA UCET	883	18113	SIPO	YZ	90248888
801871	2734	1998-05-05	VYDAJ	PREVOD NA UCET	883	21333	SIPO	YZ	90248888
801872	2734	1998-06-05	VYDAJ	PREVOD NA UCET	883	21164	SIPO	YZ	90248888
801873	2734	1998-07-05	VYDAJ	PREVOD NA UCET	883	24615	SIPO	YZ	90248888
801874	2734	1998-08-05	VYDAJ	PREVOD NA UCET	883	25454	SIPO	YZ	90248888
801875	2734	1998-09-05	VYDAJ	PREVOD NA UCET	883	28512	SIPO	YZ	90248888
801876	2734	1998-10-05	VYDAJ	PREVOD NA UCET	883	30880	SIPO	YZ	90248888
801877	2734	1998-11-05	VYDAJ	PREVOD NA UCET	883	32228	SIPO	YZ	90248888
801878	2734	1998-12-05	VYDAJ	PREVOD NA UCET	883	41125	SIPO	YZ	90248888
801895	2734	1997-05-11	VYDAJ	PREVOD NA UCET	3310	35623	 	UV	86357444
801896	2734	1997-06-11	VYDAJ	PREVOD NA UCET	3310	35699	 	UV	86357444
801897	2734	1997-07-11	VYDAJ	PREVOD NA UCET	3310	24041	 	UV	86357444
801898	2734	1997-08-11	VYDAJ	PREVOD NA UCET	3310	23360	 	UV	86357444
801899	2734	1997-09-11	VYDAJ	PREVOD NA UCET	3310	25875	 	UV	86357444
801900	2734	1997-10-11	VYDAJ	PREVOD NA UCET	3310	19321	 	UV	86357444
801901	2734	1997-11-11	VYDAJ	PREVOD NA UCET	3310	27694	 	UV	86357444
801902	2734	1997-12-11	VYDAJ	PREVOD NA UCET	3310	28861	 	UV	86357444
801903	2734	1998-01-11	VYDAJ	PREVOD NA UCET	3310	22806	 	UV	86357444
801904	2734	1998-02-11	VYDAJ	PREVOD NA UCET	3310	17559	 	UV	86357444
801905	2734	1998-03-11	VYDAJ	PREVOD NA UCET	3310	22858	 	UV	86357444
801906	2734	1998-04-11	VYDAJ	PREVOD NA UCET	3310	22139	 	UV	86357444
801907	2734	1998-05-11	VYDAJ	PREVOD NA UCET	3310	21959	 	UV	86357444
801908	2734	1998-06-11	VYDAJ	PREVOD NA UCET	3310	26698	 	UV	86357444
801909	2734	1998-07-11	VYDAJ	PREVOD NA UCET	3310	26241	 	UV	86357444
801910	2734	1998-08-11	VYDAJ	PREVOD NA UCET	3310	29280	 	UV	86357444
801911	2734	1998-09-11	VYDAJ	PREVOD NA UCET	3310	31638	 	UV	86357444
801912	2734	1998-10-11	VYDAJ	PREVOD NA UCET	3310	34279	 	UV	86357444
801913	2734	1998-11-11	VYDAJ	PREVOD NA UCET	3310	43147	 	UV	86357444
801914	2734	1998-12-11	VYDAJ	PREVOD NA UCET	3310	50659	 	UV	86357444
801931	2734	1997-05-11	VYDAJ	PREVOD NA UCET	1293	34330	POJISTNE	UV	25696611
801932	2734	1997-06-11	VYDAJ	PREVOD NA UCET	1293	39009	POJISTNE	UV	25696611
801933	2734	1997-07-11	VYDAJ	PREVOD NA UCET	1293	27351	POJISTNE	UV	25696611
801934	2734	1997-08-11	VYDAJ	PREVOD NA UCET	1293	26670	POJISTNE	UV	25696611
801935	2734	1997-09-11	VYDAJ	PREVOD NA UCET	1293	24582	POJISTNE	UV	25696611
801936	2734	1997-10-11	VYDAJ	PREVOD NA UCET	1293	18028	POJISTNE	UV	25696611
801937	2734	1997-11-11	VYDAJ	PREVOD NA UCET	1293	26401	POJISTNE	UV	25696611
801938	2734	1997-12-11	VYDAJ	PREVOD NA UCET	1293	32171	POJISTNE	UV	25696611
801939	2734	1998-01-11	VYDAJ	PREVOD NA UCET	1293	21513	POJISTNE	UV	25696611
801940	2734	1998-02-11	VYDAJ	PREVOD NA UCET	1293	20869	POJISTNE	UV	25696611
801941	2734	1998-03-11	VYDAJ	PREVOD NA UCET	1293	21565	POJISTNE	UV	25696611
801942	2734	1998-04-11	VYDAJ	PREVOD NA UCET	1293	25449	POJISTNE	UV	25696611
801943	2734	1998-05-11	VYDAJ	PREVOD NA UCET	1293	25269	POJISTNE	UV	25696611
801944	2734	1998-06-11	VYDAJ	PREVOD NA UCET	1293	25405	POJISTNE	UV	25696611
801945	2734	1998-07-11	VYDAJ	PREVOD NA UCET	1293	29551	POJISTNE	UV	25696611
801946	2734	1998-08-11	VYDAJ	PREVOD NA UCET	1293	32590	POJISTNE	UV	25696611
801947	2734	1998-09-11	VYDAJ	PREVOD NA UCET	1293	34948	POJISTNE	UV	25696611
801948	2734	1998-10-11	VYDAJ	PREVOD NA UCET	1293	32986	POJISTNE	UV	25696611
801949	2734	1998-11-11	VYDAJ	PREVOD NA UCET	1293	41854	POJISTNE	UV	25696611
801950	2734	1998-12-11	VYDAJ	PREVOD NA UCET	1293	49366	POJISTNE	UV	25696611
801952	2734	1997-12-23	VYDAJ	VYBER	4320	24541	\N	\N	\N
801953	2734	1998-12-26	VYDAJ	VYBER	1600	47766	\N	\N	\N
801966	2734	1998-01-02	VYDAJ	VYBER	2280	22370	\N	\N	\N
801967	2734	1998-01-22	VYDAJ	VYBER	2160	15873	\N	\N	\N
801968	2734	1998-01-04	VYDAJ	VYBER	2640	19730	\N	\N	\N
801969	2734	1998-01-17	VYDAJ	VYBER	3480	18033	\N	\N	\N
801970	2734	1998-01-06	VYDAJ	VYBER	960	17887	\N	\N	\N
801976	2734	1997-09-13	VYDAJ	VYBER	5760	15222	\N	\N	\N
801978	2734	1997-06-15	VYDAJ	VYBER	4560	22639	\N	\N	\N
801980	2734	1997-06-29	VYDAJ	VYBER	1440	21199	\N	\N	\N
801981	2734	1997-11-07	VYDAJ	VYBER	3240	17575	\N	\N	\N
801982	2734	1998-01-23	VYDAJ	VYBER	2520	13353	\N	\N	\N
801983	2734	1998-10-05	VYDAJ	VYBER	2520	28360	\N	\N	\N
801984	2734	1998-03-26	VYDAJ	VYBER	2640	18925	\N	\N	\N
801985	2734	1998-02-26	VYDAJ	VYBER	1200	16359	\N	\N	\N
802003	2734	1997-05-31	VYDAJ	VYBER	15	28841	SLUZBY	\N	\N
802004	2734	1997-06-30	VYDAJ	VYBER	15	21298	SLUZBY	\N	\N
802005	2734	1997-07-31	VYDAJ	VYBER	15	20617	SLUZBY	\N	\N
802006	2734	1997-08-31	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
802007	2734	1997-09-30	VYDAJ	VYBER	15	15285	SLUZBY	\N	\N
802008	2734	1997-10-31	VYDAJ	VYBER	15	21698	SLUZBY	\N	\N
802009	2734	1997-11-30	VYDAJ	VYBER	15	26503	SLUZBY	\N	\N
802010	2734	1997-12-31	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
802011	2734	1998-01-31	VYDAJ	VYBER	15	13416	SLUZBY	\N	\N
802012	2734	1998-02-28	VYDAJ	VYBER	15	16422	SLUZBY	\N	\N
802013	2734	1998-03-31	VYDAJ	VYBER	15	18996	SLUZBY	\N	\N
802014	2734	1998-04-30	VYDAJ	VYBER	15	22216	SLUZBY	\N	\N
802015	2734	1998-05-31	VYDAJ	VYBER	15	22047	SLUZBY	\N	\N
802016	2734	1998-06-30	VYDAJ	VYBER	15	25498	SLUZBY	\N	\N
802017	2734	1998-07-31	VYDAJ	VYBER	15	26337	SLUZBY	\N	\N
802018	2734	1998-08-31	VYDAJ	VYBER	15	29395	SLUZBY	\N	\N
802019	2734	1998-09-30	VYDAJ	VYBER	15	31763	SLUZBY	\N	\N
802020	2734	1998-10-31	VYDAJ	VYBER	15	33111	SLUZBY	\N	\N
802021	2734	1998-11-30	VYDAJ	VYBER	15	42008	SLUZBY	\N	\N
802022	2734	1997-01-15	PRIJEM	VKLAD	11200	19929	\N	\N	\N
802023	2734	1997-02-14	VYDAJ	VYBER	500	27704	\N	\N	\N
802024	2734	1997-03-16	VYDAJ	VYBER	7100	28933	\N	\N	\N
802025	2734	1997-04-15	VYDAJ	VYBER	6700	30580	\N	\N	\N
802026	2734	1997-05-15	VYDAJ	VYBER	5600	28730	\N	\N	\N
802027	2734	1997-06-14	VYDAJ	VYBER	8500	27199	\N	\N	\N
802028	2734	1997-07-14	VYDAJ	VYBER	3500	20541	\N	\N	\N
802029	2734	1997-08-13	VYDAJ	VYBER	1600	21760	\N	\N	\N
802030	2734	1997-09-12	VYDAJ	VYBER	3600	20982	\N	\N	\N
802031	2734	1997-10-12	PRIJEM	VKLAD	3600	21628	\N	\N	\N
802032	2734	1997-11-11	PRIJEM	VKLAD	5200	31004	\N	\N	\N
802033	2734	1997-12-11	VYDAJ	VYBER	4500	33464	\N	\N	\N
802034	2734	1998-02-09	PRIJEM	VKLAD	1400	22162	\N	\N	\N
802035	2734	1998-03-11	PRIJEM	VKLAD	2400	26168	\N	\N	\N
802036	2734	1998-04-10	PRIJEM	VKLAD	400	26742	\N	\N	\N
802037	2734	1998-05-10	VYDAJ	VYBER	3000	26562	\N	\N	\N
802038	2734	1998-06-09	VYDAJ	VYBER	3500	30008	\N	\N	\N
802039	2734	1998-07-09	VYDAJ	VYBER	2000	30844	\N	\N	\N
802040	2734	1998-08-08	PRIJEM	VKLAD	200	33883	\N	\N	\N
802041	2734	1998-09-07	VYDAJ	VYBER	500	28012	\N	\N	\N
802042	2734	1998-10-07	PRIJEM	VKLAD	1000	29360	\N	\N	\N
802043	2734	1998-11-06	PRIJEM	VKLAD	6000	38228	\N	\N	\N
802044	2734	1998-12-06	PRIJEM	VKLAD	500	41625	\N	\N	\N
802554	2736	1993-07-02	PRIJEM	VKLAD	500	500	\N	\N	\N
802561	2736	1993-07-07	PRIJEM	VKLAD	9408	9908	\N	\N	\N
802562	2736	1993-08-07	PRIJEM	VKLAD	9408	24749	\N	\N	\N
802563	2736	1993-09-07	PRIJEM	VKLAD	9408	35949	\N	\N	\N
802564	2736	1993-10-07	PRIJEM	VKLAD	9408	41268	\N	\N	\N
802565	2736	1993-11-07	PRIJEM	VKLAD	9408	41409	\N	\N	\N
802566	2736	1993-12-07	PRIJEM	VKLAD	14112	43747	\N	\N	\N
802567	2736	1994-01-07	PRIJEM	VKLAD	9408	41759	\N	\N	\N
802568	2736	1994-02-07	PRIJEM	VKLAD	9408	27533	\N	\N	\N
802569	2736	1994-03-07	PRIJEM	VKLAD	9408	32020	\N	\N	\N
802570	2736	1994-04-07	PRIJEM	VKLAD	9408	37317	\N	\N	\N
802571	2736	1994-05-07	PRIJEM	VKLAD	9408	34981	\N	\N	\N
802572	2736	1994-06-07	PRIJEM	VKLAD	14112	42793	\N	\N	\N
802573	2736	1994-07-07	PRIJEM	VKLAD	9408	41825	\N	\N	\N
802574	2736	1994-08-07	PRIJEM	VKLAD	9408	39158	\N	\N	\N
802575	2736	1994-09-07	PRIJEM	VKLAD	9408	38580	\N	\N	\N
802576	2736	1994-10-07	PRIJEM	VKLAD	9408	37421	\N	\N	\N
802577	2736	1994-11-07	PRIJEM	VKLAD	9408	36742	\N	\N	\N
802578	2736	1994-12-07	PRIJEM	VKLAD	14112	36938	\N	\N	\N
802579	2736	1995-01-07	PRIJEM	VKLAD	9408	37162	\N	\N	\N
802580	2736	1995-02-07	PRIJEM	VKLAD	9408	23666	\N	\N	\N
802581	2736	1995-03-07	PRIJEM	VKLAD	9408	26733	\N	\N	\N
802582	2736	1995-04-07	PRIJEM	VKLAD	9408	27203	\N	\N	\N
802583	2736	1995-05-07	PRIJEM	VKLAD	9408	30477	\N	\N	\N
802584	2736	1995-06-07	PRIJEM	VKLAD	14112	29023	\N	\N	\N
802585	2736	1995-07-07	PRIJEM	VKLAD	9408	30775	\N	\N	\N
802586	2736	1995-08-07	PRIJEM	VKLAD	9408	31095	\N	\N	\N
802587	2736	1995-09-07	PRIJEM	VKLAD	9408	28276	\N	\N	\N
802588	2736	1995-10-07	PRIJEM	VKLAD	9408	26143	\N	\N	\N
802589	2736	1995-11-07	PRIJEM	VKLAD	9408	27208	\N	\N	\N
802590	2736	1995-12-07	PRIJEM	VKLAD	14112	31680	\N	\N	\N
802591	2736	1996-01-07	PRIJEM	VKLAD	9408	24168	\N	\N	\N
802592	2736	1996-02-07	PRIJEM	VKLAD	9408	24523	\N	\N	\N
802593	2736	1996-03-07	PRIJEM	VKLAD	9408	23577	\N	\N	\N
802594	2736	1996-04-07	PRIJEM	VKLAD	9408	22427	\N	\N	\N
802595	2736	1996-05-07	PRIJEM	VKLAD	9408	23803	\N	\N	\N
802596	2736	1996-06-07	PRIJEM	VKLAD	14112	26417	\N	\N	\N
802597	2736	1996-07-07	PRIJEM	VKLAD	9408	23266	\N	\N	\N
802598	2736	1996-08-07	PRIJEM	VKLAD	9408	28125	\N	\N	\N
802599	2736	1996-09-07	PRIJEM	VKLAD	9408	24285	\N	\N	\N
802600	2736	1996-10-07	PRIJEM	VKLAD	9408	23335	\N	\N	\N
802601	2736	1996-11-07	PRIJEM	VKLAD	9408	28195	\N	\N	\N
802602	2736	1996-12-07	PRIJEM	VKLAD	14112	28355	\N	\N	\N
802603	2736	1997-01-07	PRIJEM	VKLAD	9408	23304	\N	\N	\N
802604	2736	1997-02-07	PRIJEM	VKLAD	9408	28163	\N	\N	\N
802605	2736	1997-03-07	PRIJEM	VKLAD	9408	22325	\N	\N	\N
802606	2736	1997-04-07	PRIJEM	VKLAD	9408	27180	\N	\N	\N
802607	2736	1997-05-07	PRIJEM	VKLAD	9408	32055	\N	\N	\N
802608	2736	1997-06-07	PRIJEM	VKLAD	14112	31527	\N	\N	\N
802609	2736	1997-07-07	PRIJEM	VKLAD	9408	23779	\N	\N	\N
802610	2736	1997-08-07	PRIJEM	VKLAD	9408	26133	\N	\N	\N
802611	2736	1997-09-07	PRIJEM	VKLAD	9408	23282	\N	\N	\N
802612	2736	1997-10-07	PRIJEM	VKLAD	9408	22827	\N	\N	\N
802613	2736	1997-11-07	PRIJEM	VKLAD	9408	21667	\N	\N	\N
802614	2736	1997-12-07	PRIJEM	VKLAD	14112	23502	\N	\N	\N
802615	2736	1998-01-07	PRIJEM	VKLAD	9408	21037	\N	\N	\N
802616	2736	1998-02-07	PRIJEM	VKLAD	9408	22283	\N	\N	\N
802617	2736	1998-03-07	PRIJEM	VKLAD	9408	24013	\N	\N	\N
802618	2736	1998-04-07	PRIJEM	VKLAD	9408	27172	\N	\N	\N
802619	2736	1998-05-07	PRIJEM	VKLAD	9408	24928	\N	\N	\N
802620	2736	1998-06-07	PRIJEM	VKLAD	14112	31775	\N	\N	\N
802621	2736	1998-07-07	PRIJEM	VKLAD	9408	30769	\N	\N	\N
802622	2736	1998-08-07	PRIJEM	VKLAD	9408	24879	\N	\N	\N
802623	2736	1998-09-07	PRIJEM	VKLAD	9408	23061	\N	\N	\N
802624	2736	1998-10-07	PRIJEM	VKLAD	9408	23525	\N	\N	\N
802625	2736	1998-11-07	PRIJEM	VKLAD	9408	27193	\N	\N	\N
802626	2736	1998-12-07	PRIJEM	VKLAD	14112	36377	\N	\N	\N
802637	2736	1993-11-11	VYDAJ	PREVOD NA UCET	4604	36805	SIPO	ST	28956604
802638	2736	1993-12-11	VYDAJ	PREVOD NA UCET	4604	39143	SIPO	ST	28956604
802639	2736	1994-01-11	VYDAJ	PREVOD NA UCET	4604	37155	SIPO	ST	28956604
802640	2736	1994-02-11	VYDAJ	PREVOD NA UCET	4604	22929	SIPO	ST	28956604
802641	2736	1994-03-11	VYDAJ	PREVOD NA UCET	4604	27416	SIPO	ST	28956604
802642	2736	1994-04-11	VYDAJ	PREVOD NA UCET	4604	27073	SIPO	ST	28956604
802643	2736	1994-05-11	VYDAJ	PREVOD NA UCET	4604	30377	SIPO	ST	28956604
802644	2736	1994-06-11	VYDAJ	PREVOD NA UCET	4604	38189	SIPO	ST	28956604
802645	2736	1994-07-11	VYDAJ	PREVOD NA UCET	4604	37221	SIPO	ST	28956604
802646	2736	1994-08-11	VYDAJ	PREVOD NA UCET	4604	34554	SIPO	ST	28956604
802647	2736	1994-09-11	VYDAJ	PREVOD NA UCET	4604	33976	SIPO	ST	28956604
802648	2736	1994-10-11	VYDAJ	PREVOD NA UCET	4604	32817	SIPO	ST	28956604
802649	2736	1994-11-11	VYDAJ	PREVOD NA UCET	4604	30218	SIPO	ST	28956604
802650	2736	1994-12-11	VYDAJ	PREVOD NA UCET	4604	32334	SIPO	ST	28956604
802651	2736	1995-01-11	VYDAJ	PREVOD NA UCET	4604	32558	SIPO	ST	28956604
802652	2736	1995-02-11	VYDAJ	PREVOD NA UCET	4604	19062	SIPO	ST	28956604
802653	2736	1995-03-11	VYDAJ	PREVOD NA UCET	4604	22129	SIPO	ST	28956604
802654	2736	1995-04-11	VYDAJ	PREVOD NA UCET	4604	22599	SIPO	ST	28956604
802655	2736	1995-05-11	VYDAJ	PREVOD NA UCET	4604	25873	SIPO	ST	28956604
802656	2736	1995-06-11	VYDAJ	PREVOD NA UCET	4604	22499	SIPO	ST	28956604
802657	2736	1995-07-11	VYDAJ	PREVOD NA UCET	4604	21611	SIPO	ST	28956604
802658	2736	1995-08-11	VYDAJ	PREVOD NA UCET	4604	26491	SIPO	ST	28956604
802659	2736	1995-09-11	VYDAJ	PREVOD NA UCET	4604	23672	SIPO	ST	28956604
802660	2736	1995-10-11	VYDAJ	PREVOD NA UCET	4604	21539	SIPO	ST	28956604
802661	2736	1995-11-11	VYDAJ	PREVOD NA UCET	4604	22604	SIPO	ST	28956604
802662	2736	1995-12-11	VYDAJ	PREVOD NA UCET	4604	27076	SIPO	ST	28956604
802663	2736	1996-01-11	VYDAJ	PREVOD NA UCET	4604	19564	SIPO	ST	28956604
802664	2736	1996-02-11	VYDAJ	PREVOD NA UCET	4604	19919	SIPO	ST	28956604
802665	2736	1996-03-11	VYDAJ	PREVOD NA UCET	4604	18973	SIPO	ST	28956604
802666	2736	1996-04-11	VYDAJ	PREVOD NA UCET	4604	17823	SIPO	ST	28956604
802667	2736	1996-05-11	VYDAJ	PREVOD NA UCET	4604	14159	SIPO	ST	28956604
802668	2736	1996-06-11	VYDAJ	PREVOD NA UCET	4604	21813	SIPO	ST	28956604
802669	2736	1996-07-11	VYDAJ	PREVOD NA UCET	4604	18662	SIPO	ST	28956604
802670	2736	1996-08-11	VYDAJ	PREVOD NA UCET	4604	23521	SIPO	ST	28956604
802671	2736	1996-09-11	VYDAJ	PREVOD NA UCET	4604	19681	SIPO	ST	28956604
802672	2736	1996-10-11	VYDAJ	PREVOD NA UCET	4604	18731	SIPO	ST	28956604
802673	2736	1996-11-11	VYDAJ	PREVOD NA UCET	4604	23591	SIPO	ST	28956604
802674	2736	1996-12-11	VYDAJ	PREVOD NA UCET	4604	23751	SIPO	ST	28956604
802675	2736	1997-01-11	VYDAJ	PREVOD NA UCET	4604	18700	SIPO	ST	28956604
802676	2736	1997-02-11	VYDAJ	PREVOD NA UCET	4604	12859	SIPO	ST	28956604
802677	2736	1997-03-11	VYDAJ	PREVOD NA UCET	4604	17721	SIPO	ST	28956604
802678	2736	1997-04-11	VYDAJ	PREVOD NA UCET	4604	22576	SIPO	ST	28956604
802679	2736	1997-05-11	VYDAJ	PREVOD NA UCET	4604	27451	SIPO	ST	28956604
802680	2736	1997-06-11	VYDAJ	PREVOD NA UCET	4604	14323	SIPO	ST	28956604
802681	2736	1997-07-11	VYDAJ	PREVOD NA UCET	4604	16675	SIPO	ST	28956604
802682	2736	1997-08-11	VYDAJ	PREVOD NA UCET	4604	13829	SIPO	ST	28956604
802683	2736	1997-09-11	VYDAJ	PREVOD NA UCET	4604	13378	SIPO	ST	28956604
802684	2736	1997-10-11	VYDAJ	PREVOD NA UCET	4604	12223	SIPO	ST	28956604
802685	2736	1997-11-11	VYDAJ	PREVOD NA UCET	4604	9363	SIPO	ST	28956604
802686	2736	1997-12-11	VYDAJ	PREVOD NA UCET	4604	11598	SIPO	ST	28956604
802687	2736	1998-01-11	VYDAJ	PREVOD NA UCET	4604	13433	SIPO	ST	28956604
802688	2736	1998-02-11	VYDAJ	PREVOD NA UCET	4604	14559	SIPO	ST	28956604
802689	2736	1998-03-11	VYDAJ	PREVOD NA UCET	4604	17709	SIPO	ST	28956604
802690	2736	1998-04-11	VYDAJ	PREVOD NA UCET	4604	15468	SIPO	ST	28956604
802691	2736	1998-05-11	VYDAJ	PREVOD NA UCET	4604	18724	SIPO	ST	28956604
802692	2736	1998-06-11	VYDAJ	PREVOD NA UCET	4604	27171	SIPO	ST	28956604
802693	2736	1998-07-11	VYDAJ	PREVOD NA UCET	4604	26165	SIPO	ST	28956604
802694	2736	1998-08-11	VYDAJ	PREVOD NA UCET	4604	20275	SIPO	ST	28956604
802695	2736	1998-09-11	VYDAJ	PREVOD NA UCET	4604	18457	SIPO	ST	28956604
802696	2736	1998-10-11	VYDAJ	PREVOD NA UCET	4604	18921	SIPO	ST	28956604
802697	2736	1998-11-11	VYDAJ	PREVOD NA UCET	4604	22589	SIPO	ST	28956604
802698	2736	1998-12-11	VYDAJ	PREVOD NA UCET	4604	31773	SIPO	ST	28956604
802706	2736	1994-01-17	VYDAJ	VYBER	11040	26115	\N	\N	\N
802707	2736	1995-01-14	VYDAJ	VYBER	15200	17358	\N	\N	\N
802711	2736	1993-12-13	VYDAJ	VYBER	1920	37223	\N	\N	\N
802712	2736	1994-12-12	VYDAJ	VYBER	1280	31054	\N	\N	\N
802713	2736	1995-12-23	VYDAJ	VYBER	2080	14696	\N	\N	\N
802714	2736	1996-12-12	VYDAJ	VYBER	800	22951	\N	\N	\N
802716	2736	1998-12-17	VYDAJ	VYBER	2560	29213	\N	\N	\N
802722	2736	1994-10-04	VYDAJ	VYBER	2280	28013	\N	\N	\N
802723	2736	1994-11-11	VYDAJ	VYBER	1920	34822	\N	\N	\N
802724	2736	1994-02-02	VYDAJ	VYBER	3840	18125	\N	\N	\N
802725	2736	1994-01-29	VYDAJ	VYBER	5760	21855	\N	\N	\N
802726	2736	1994-04-10	VYDAJ	VYBER	5640	31677	\N	\N	\N
802728	2736	1995-07-09	VYDAJ	VYBER	4560	26215	\N	\N	\N
802729	2736	1995-02-04	VYDAJ	VYBER	840	14258	\N	\N	\N
802730	2736	1995-06-10	VYDAJ	VYBER	1920	27103	\N	\N	\N
802731	2736	1995-02-02	VYDAJ	VYBER	3840	15098	\N	\N	\N
802732	2736	1995-09-14	VYDAJ	VYBER	4200	19472	\N	\N	\N
802733	2736	1995-05-30	VYDAJ	VYBER	4440	14833	\N	\N	\N
802736	2736	1996-05-08	VYDAJ	VYBER	5040	18763	\N	\N	\N
802737	2736	1996-05-03	VYDAJ	VYBER	3480	14395	\N	\N	\N
802746	2736	1998-08-11	VYDAJ	VYBER	4080	16195	\N	\N	\N
802747	2736	1998-08-06	VYDAJ	VYBER	840	15471	\N	\N	\N
802748	2736	1998-05-25	VYDAJ	VYBER	2520	16204	\N	\N	\N
802749	2736	1998-02-08	VYDAJ	VYBER	3120	19163	\N	\N	\N
802751	2736	1998-07-17	VYDAJ	VYBER	4440	21725	\N	\N	\N
802763	2736	1993-11-30	VYDAJ	VYBER	15	29635	SLUZBY	\N	\N
802764	2736	1993-12-31	VYDAJ	VYBER	15	32351	SLUZBY	\N	\N
802765	2736	1994-01-31	VYDAJ	VYBER	15	21965	SLUZBY	\N	\N
802766	2736	1994-02-28	VYDAJ	VYBER	15	22612	SLUZBY	\N	\N
802767	2736	1994-03-31	VYDAJ	VYBER	15	27909	SLUZBY	\N	\N
802768	2736	1994-04-30	VYDAJ	VYBER	15	25573	SLUZBY	\N	\N
802769	2736	1994-05-31	VYDAJ	VYBER	15	28681	SLUZBY	\N	\N
802770	2736	1994-06-30	VYDAJ	VYBER	15	32417	SLUZBY	\N	\N
802771	2736	1994-07-31	VYDAJ	VYBER	15	29750	SLUZBY	\N	\N
802772	2736	1994-08-31	VYDAJ	VYBER	15	29172	SLUZBY	\N	\N
802773	2736	1994-09-30	VYDAJ	VYBER	15	30293	SLUZBY	\N	\N
802774	2736	1994-10-31	VYDAJ	VYBER	15	27334	SLUZBY	\N	\N
802775	2736	1994-11-30	VYDAJ	VYBER	15	22826	SLUZBY	\N	\N
802776	2736	1994-12-31	VYDAJ	VYBER	15	27754	SLUZBY	\N	\N
802777	2736	1995-01-31	VYDAJ	VYBER	15	18938	SLUZBY	\N	\N
802778	2736	1995-02-28	VYDAJ	VYBER	15	17325	SLUZBY	\N	\N
802779	2736	1995-03-31	VYDAJ	VYBER	15	17795	SLUZBY	\N	\N
802780	2736	1995-04-30	VYDAJ	VYBER	15	21069	SLUZBY	\N	\N
802781	2736	1995-05-31	VYDAJ	VYBER	15	14911	SLUZBY	\N	\N
802782	2736	1995-06-30	VYDAJ	VYBER	15	21367	SLUZBY	\N	\N
802783	2736	1995-07-31	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
802784	2736	1995-08-31	VYDAJ	VYBER	15	18868	SLUZBY	\N	\N
802785	2736	1995-09-30	VYDAJ	VYBER	15	16735	SLUZBY	\N	\N
802786	2736	1995-10-31	VYDAJ	VYBER	15	17800	SLUZBY	\N	\N
802787	2736	1995-11-30	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
802788	2736	1995-12-31	VYDAJ	VYBER	15	14760	SLUZBY	\N	\N
802789	2736	1996-01-31	VYDAJ	VYBER	15	15115	SLUZBY	\N	\N
802790	2736	1996-02-29	VYDAJ	VYBER	15	14169	SLUZBY	\N	\N
802791	2736	1996-03-31	VYDAJ	VYBER	15	13019	SLUZBY	\N	\N
802792	2736	1996-04-30	VYDAJ	VYBER	15	17875	SLUZBY	\N	\N
802793	2736	1996-05-31	VYDAJ	VYBER	15	12305	SLUZBY	\N	\N
802794	2736	1996-06-30	VYDAJ	VYBER	15	13858	SLUZBY	\N	\N
802795	2736	1996-07-31	VYDAJ	VYBER	15	18717	SLUZBY	\N	\N
802796	2736	1996-08-31	VYDAJ	VYBER	15	14877	SLUZBY	\N	\N
802797	2736	1996-09-30	VYDAJ	VYBER	15	13927	SLUZBY	\N	\N
802798	2736	1996-10-31	VYDAJ	VYBER	15	18787	SLUZBY	\N	\N
802799	2736	1996-11-30	VYDAJ	VYBER	15	14243	SLUZBY	\N	\N
802800	2736	1996-12-31	VYDAJ	VYBER	15	13896	SLUZBY	\N	\N
802801	2736	1997-01-31	VYDAJ	VYBER	15	18755	SLUZBY	\N	\N
802802	2736	1997-02-28	VYDAJ	VYBER	15	12917	SLUZBY	\N	\N
802803	2736	1997-03-31	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
802804	2736	1997-04-30	VYDAJ	VYBER	15	22647	SLUZBY	\N	\N
802805	2736	1997-05-31	VYDAJ	VYBER	15	17415	SLUZBY	\N	\N
802806	2736	1997-06-30	VYDAJ	VYBER	15	14371	SLUZBY	\N	\N
802807	2736	1997-07-31	VYDAJ	VYBER	15	16725	SLUZBY	\N	\N
802808	2736	1997-08-31	VYDAJ	VYBER	15	13874	SLUZBY	\N	\N
802809	2736	1997-09-30	VYDAJ	VYBER	15	13419	SLUZBY	\N	\N
802810	2736	1997-10-31	VYDAJ	VYBER	15	12259	SLUZBY	\N	\N
802811	2736	1997-11-30	VYDAJ	VYBER	15	9390	SLUZBY	\N	\N
802812	2736	1997-12-31	VYDAJ	VYBER	15	11629	SLUZBY	\N	\N
802813	2736	1998-01-31	VYDAJ	VYBER	15	13475	SLUZBY	\N	\N
802814	2736	1998-02-28	VYDAJ	VYBER	15	14605	SLUZBY	\N	\N
802815	2736	1998-03-31	VYDAJ	VYBER	15	17764	SLUZBY	\N	\N
802816	2736	1998-04-30	VYDAJ	VYBER	15	15520	SLUZBY	\N	\N
802817	2736	1998-05-31	VYDAJ	VYBER	15	16263	SLUZBY	\N	\N
802818	2736	1998-06-30	VYDAJ	VYBER	15	27261	SLUZBY	\N	\N
802819	2736	1998-07-31	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
802820	2736	1998-08-31	VYDAJ	VYBER	15	16253	SLUZBY	\N	\N
802821	2736	1998-09-30	VYDAJ	VYBER	15	18517	SLUZBY	\N	\N
802822	2736	1998-10-31	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
802823	2736	1998-11-30	VYDAJ	VYBER	15	22665	SLUZBY	\N	\N
802824	2736	1993-08-01	PRIJEM	VKLAD	5400	15341	\N	\N	\N
802825	2736	1993-08-31	PRIJEM	VKLAD	1700	26541	\N	\N	\N
802826	2736	1993-09-30	VYDAJ	VYBER	4200	31860	\N	\N	\N
802827	2736	1993-10-30	VYDAJ	VYBER	9400	31868	\N	\N	\N
802828	2736	1993-11-29	VYDAJ	VYBER	7300	29505	\N	\N	\N
802829	2736	1993-12-29	VYDAJ	VYBER	5000	32223	\N	\N	\N
802830	2736	1994-01-28	PRIJEM	VKLAD	1500	27615	\N	\N	\N
802831	2736	1994-02-27	VYDAJ	VYBER	400	22529	\N	\N	\N
802832	2736	1994-03-29	PRIJEM	VKLAD	400	27816	\N	\N	\N
802833	2736	1994-04-28	VYDAJ	VYBER	1600	25473	\N	\N	\N
802834	2736	1994-05-28	VYDAJ	VYBER	1800	28577	\N	\N	\N
802835	2736	1994-06-27	VYDAJ	VYBER	5900	32289	\N	\N	\N
802836	2736	1994-07-27	VYDAJ	VYBER	7600	29621	\N	\N	\N
802837	2736	1994-08-26	VYDAJ	VYBER	5500	29054	\N	\N	\N
802838	2736	1994-09-25	VYDAJ	VYBER	3800	30176	\N	\N	\N
802839	2736	1994-10-25	VYDAJ	VYBER	5600	27217	\N	\N	\N
802840	2736	1994-11-24	VYDAJ	VYBER	7500	22718	\N	\N	\N
802841	2736	1994-12-24	VYDAJ	VYBER	3400	27654	\N	\N	\N
802842	2736	1995-01-23	PRIJEM	VKLAD	1500	18858	\N	\N	\N
802843	2736	1995-02-22	VYDAJ	VYBER	1800	17262	\N	\N	\N
802844	2736	1995-03-24	VYDAJ	VYBER	4400	17729	\N	\N	\N
802845	2736	1995-04-23	VYDAJ	VYBER	1600	20999	\N	\N	\N
802846	2736	1995-05-23	VYDAJ	VYBER	6600	19273	\N	\N	\N
802847	2736	1995-06-22	VYDAJ	VYBER	1200	21299	\N	\N	\N
802848	2736	1995-08-21	VYDAJ	VYBER	7700	18791	\N	\N	\N
802849	2736	1995-09-20	VYDAJ	VYBER	2800	16672	\N	\N	\N
802850	2736	1995-10-20	VYDAJ	VYBER	3800	17739	\N	\N	\N
802851	2736	1995-11-19	VYDAJ	VYBER	5100	17504	\N	\N	\N
802852	2736	1995-12-19	VYDAJ	VYBER	10300	16776	\N	\N	\N
802853	2736	1996-01-18	VYDAJ	VYBER	4500	15064	\N	\N	\N
802854	2736	1996-02-17	VYDAJ	VYBER	5800	14119	\N	\N	\N
802855	2736	1996-03-18	VYDAJ	VYBER	6000	12973	\N	\N	\N
802856	2736	1996-05-17	VYDAJ	VYBER	1900	12259	\N	\N	\N
802857	2736	1996-06-16	VYDAJ	VYBER	8000	13813	\N	\N	\N
802858	2736	1996-08-15	VYDAJ	VYBER	8700	14821	\N	\N	\N
802859	2736	1996-09-14	VYDAJ	VYBER	5800	13881	\N	\N	\N
802860	2736	1996-11-13	VYDAJ	VYBER	9400	14191	\N	\N	\N
802861	2736	1996-12-13	VYDAJ	VYBER	9100	13851	\N	\N	\N
802862	2736	1997-02-11	VYDAJ	VYBER	10700	17463	\N	\N	\N
802863	2736	1997-05-12	VYDAJ	VYBER	10100	17351	\N	\N	\N
802864	2736	1997-06-11	VYDAJ	VYBER	12600	18927	\N	\N	\N
802865	2736	1997-07-11	VYDAJ	VYBER	2500	21279	\N	\N	\N
802866	2736	1997-08-10	VYDAJ	VYBER	7700	18433	\N	\N	\N
802867	2736	1997-09-09	VYDAJ	VYBER	5300	17982	\N	\N	\N
802868	2736	1997-10-09	VYDAJ	VYBER	6000	16827	\N	\N	\N
802869	2736	1997-11-08	VYDAJ	VYBER	7700	13967	\N	\N	\N
802870	2736	1997-12-08	VYDAJ	VYBER	7300	16202	\N	\N	\N
802871	2736	1998-01-07	VYDAJ	VYBER	3000	18037	\N	\N	\N
802872	2736	1998-02-06	VYDAJ	VYBER	600	12875	\N	\N	\N
802873	2736	1998-03-08	VYDAJ	VYBER	1700	22313	\N	\N	\N
802874	2736	1998-04-07	VYDAJ	VYBER	7100	20072	\N	\N	\N
802875	2736	1998-05-07	VYDAJ	VYBER	1600	23328	\N	\N	\N
802876	2736	1998-06-06	PRIJEM	VKLAD	1400	17663	\N	\N	\N
802877	2736	1998-07-06	VYDAJ	VYBER	5900	21361	\N	\N	\N
802878	2736	1998-08-05	VYDAJ	VYBER	5500	16311	\N	\N	\N
802879	2736	1998-09-04	VYDAJ	VYBER	2600	13653	\N	\N	\N
802880	2736	1998-10-04	VYDAJ	VYBER	4400	14117	\N	\N	\N
802881	2736	1998-11-03	VYDAJ	VYBER	1200	17785	\N	\N	\N
802882	2736	1998-12-03	VYDAJ	VYBER	400	22265	\N	\N	\N
802949	2737	1996-07-06	PRIJEM	VKLAD	800	800	\N	\N	\N
802956	2737	1996-07-07	PRIJEM	VKLAD	19187	19987	\N	\N	\N
802957	2737	1996-08-07	PRIJEM	VKLAD	19187	40741	\N	\N	\N
802958	2737	1996-09-07	PRIJEM	VKLAD	19187	56181	\N	\N	\N
802959	2737	1996-10-07	PRIJEM	VKLAD	19187	59889	\N	\N	\N
802960	2737	1996-11-07	PRIJEM	VKLAD	19187	62623	\N	\N	\N
802961	2737	1996-12-07	PRIJEM	VKLAD	28781	69781	\N	\N	\N
802962	2737	1997-01-07	PRIJEM	VKLAD	19187	63578	\N	\N	\N
802963	2737	1997-02-07	PRIJEM	VKLAD	19187	57311	\N	\N	\N
802964	2737	1997-03-07	PRIJEM	VKLAD	19187	62646	\N	\N	\N
802965	2737	1997-04-07	PRIJEM	VKLAD	19187	64705	\N	\N	\N
802966	2737	1997-05-07	PRIJEM	VKLAD	19187	69275	\N	\N	\N
802967	2737	1997-06-07	PRIJEM	VKLAD	28781	82656	\N	\N	\N
802968	2737	1997-07-07	PRIJEM	VKLAD	19187	71659	\N	\N	\N
802969	2737	1997-08-07	PRIJEM	VKLAD	19187	69120	\N	\N	\N
802970	2737	1997-09-07	PRIJEM	VKLAD	19187	71802	\N	\N	\N
802971	2737	1997-10-07	PRIJEM	VKLAD	19187	74769	\N	\N	\N
802972	2737	1997-11-07	PRIJEM	VKLAD	19187	74261	\N	\N	\N
802973	2737	1997-12-07	PRIJEM	VKLAD	28781	76907	\N	\N	\N
802974	2737	1998-01-07	PRIJEM	VKLAD	19187	70701	\N	\N	\N
802975	2737	1998-02-07	PRIJEM	VKLAD	19187	56211	\N	\N	\N
802976	2737	1998-03-07	PRIJEM	VKLAD	19187	66346	\N	\N	\N
802977	2737	1998-04-07	PRIJEM	VKLAD	19187	70788	\N	\N	\N
802978	2737	1998-05-07	PRIJEM	VKLAD	19187	73447	\N	\N	\N
802979	2737	1998-06-07	PRIJEM	VKLAD	28781	81940	\N	\N	\N
802980	2737	1998-07-07	PRIJEM	VKLAD	19187	59215	\N	\N	\N
802981	2737	1998-08-07	PRIJEM	VKLAD	19187	63407	\N	\N	\N
802982	2737	1998-09-07	PRIJEM	VKLAD	19187	66652	\N	\N	\N
802983	2737	1998-10-07	PRIJEM	VKLAD	19187	72991	\N	\N	\N
802984	2737	1998-11-07	PRIJEM	VKLAD	19187	67588	\N	\N	\N
802985	2737	1998-12-07	PRIJEM	VKLAD	28781	81922	\N	\N	\N
802996	2737	1996-11-14	VYDAJ	PREVOD NA UCET	4456	58167	SIPO	WX	2289492
802997	2737	1996-12-14	VYDAJ	PREVOD NA UCET	4456	65325	SIPO	WX	2289492
802998	2737	1997-01-14	VYDAJ	PREVOD NA UCET	4456	53602	SIPO	WX	2289492
802999	2737	1997-02-14	VYDAJ	PREVOD NA UCET	4456	52855	SIPO	WX	2289492
803000	2737	1997-03-14	VYDAJ	PREVOD NA UCET	4456	58190	SIPO	WX	2289492
803001	2737	1997-04-14	VYDAJ	PREVOD NA UCET	4456	60249	SIPO	WX	2289492
803002	2737	1997-05-14	VYDAJ	PREVOD NA UCET	4456	64819	SIPO	WX	2289492
803003	2737	1997-06-14	VYDAJ	PREVOD NA UCET	4456	68600	SIPO	WX	2289492
803004	2737	1997-07-14	VYDAJ	PREVOD NA UCET	4456	67203	SIPO	WX	2289492
803005	2737	1997-08-14	VYDAJ	PREVOD NA UCET	4456	64664	SIPO	WX	2289492
803006	2737	1997-09-14	VYDAJ	PREVOD NA UCET	4456	67346	SIPO	WX	2289492
803007	2737	1997-10-14	VYDAJ	PREVOD NA UCET	4456	70313	SIPO	WX	2289492
803008	2737	1997-11-14	VYDAJ	PREVOD NA UCET	4456	69805	SIPO	WX	2289492
803009	2737	1997-12-14	VYDAJ	PREVOD NA UCET	4456	72451	SIPO	WX	2289492
803010	2737	1998-01-14	VYDAJ	PREVOD NA UCET	4456	48405	SIPO	WX	2289492
803011	2737	1998-02-14	VYDAJ	PREVOD NA UCET	4456	50675	SIPO	WX	2289492
803012	2737	1998-03-14	VYDAJ	PREVOD NA UCET	4456	61890	SIPO	WX	2289492
803013	2737	1998-04-14	VYDAJ	PREVOD NA UCET	4456	66332	SIPO	WX	2289492
803014	2737	1998-05-14	VYDAJ	PREVOD NA UCET	4456	68991	SIPO	WX	2289492
803015	2737	1998-06-14	VYDAJ	PREVOD NA UCET	4456	77484	SIPO	WX	2289492
803016	2737	1998-07-14	VYDAJ	PREVOD NA UCET	4456	49839	SIPO	WX	2289492
803017	2737	1998-08-14	VYDAJ	PREVOD NA UCET	4456	58951	SIPO	WX	2289492
803018	2737	1998-09-14	VYDAJ	PREVOD NA UCET	4456	62196	SIPO	WX	2289492
803019	2737	1998-10-14	VYDAJ	PREVOD NA UCET	4456	68535	SIPO	WX	2289492
803020	2737	1998-11-14	VYDAJ	PREVOD NA UCET	4456	63132	SIPO	WX	2289492
803021	2737	1998-12-14	VYDAJ	PREVOD NA UCET	4456	77466	SIPO	WX	2289492
803023	2737	1997-06-07	VYDAJ	VYBER	9600	73056	\N	\N	\N
803024	2737	1998-06-28	VYDAJ	VYBER	22400	39784	\N	\N	\N
803026	2737	1997-01-20	VYDAJ	VYBER	4320	46522	\N	\N	\N
803027	2737	1998-01-07	VYDAJ	VYBER	15200	55501	\N	\N	\N
803028	2737	1996-12-28	VYDAJ	VYBER	1920	63405	\N	\N	\N
803029	2737	1997-12-01	VYDAJ	VYBER	4320	48127	\N	\N	\N
803030	2737	1998-12-24	VYDAJ	VYBER	800	60566	\N	\N	\N
803037	2737	1997-01-15	VYDAJ	VYBER	1680	51922	\N	\N	\N
803038	2737	1997-01-13	VYDAJ	VYBER	960	59258	\N	\N	\N
803039	2737	1997-01-20	VYDAJ	VYBER	1080	50842	\N	\N	\N
803040	2737	1997-01-03	VYDAJ	VYBER	3360	44391	\N	\N	\N
803041	2737	1997-01-11	VYDAJ	VYBER	3360	60218	\N	\N	\N
803042	2737	1997-01-14	VYDAJ	VYBER	1200	58058	\N	\N	\N
803043	2737	1998-01-30	VYDAJ	VYBER	2520	36845	\N	\N	\N
803044	2737	1998-01-15	VYDAJ	VYBER	3360	45045	\N	\N	\N
803045	2737	1998-01-19	VYDAJ	VYBER	1200	42765	\N	\N	\N
803046	2737	1998-01-09	VYDAJ	VYBER	1920	53581	\N	\N	\N
803047	2737	1998-01-14	VYDAJ	VYBER	720	52861	\N	\N	\N
803048	2737	1998-01-16	VYDAJ	VYBER	1080	43965	\N	\N	\N
803053	2737	1996-12-02	VYDAJ	VYBER	3000	55401	\N	\N	\N
803055	2737	1997-07-28	VYDAJ	VYBER	2640	64563	\N	\N	\N
803056	2737	1997-12-24	VYDAJ	VYBER	1200	71251	\N	\N	\N
803057	2737	1997-10-20	VYDAJ	VYBER	4080	66233	\N	\N	\N
803058	2737	1998-05-19	VYDAJ	VYBER	5760	63231	\N	\N	\N
803059	2737	1998-07-08	VYDAJ	VYBER	4920	54295	\N	\N	\N
803060	2737	1998-10-30	VYDAJ	VYBER	5760	48175	\N	\N	\N
803061	2737	1998-08-14	VYDAJ	VYBER	4680	54271	\N	\N	\N
803062	2737	1998-02-08	VYDAJ	VYBER	1080	55131	\N	\N	\N
803074	2737	1996-11-30	VYDAJ	VYBER	15	58401	SLUZBY	\N	\N
803075	2737	1996-12-31	VYDAJ	VYBER	15	63651	SLUZBY	\N	\N
803076	2737	1997-01-31	VYDAJ	VYBER	15	46724	SLUZBY	\N	\N
803077	2737	1997-02-28	VYDAJ	VYBER	15	53059	SLUZBY	\N	\N
803078	2737	1997-03-31	VYDAJ	VYBER	15	58418	SLUZBY	\N	\N
803079	2737	1997-04-30	VYDAJ	VYBER	15	60488	SLUZBY	\N	\N
803080	2737	1997-05-31	VYDAJ	VYBER	15	65076	SLUZBY	\N	\N
803081	2737	1997-06-30	VYDAJ	VYBER	15	68872	SLUZBY	\N	\N
803082	2737	1997-07-31	VYDAJ	VYBER	15	64833	SLUZBY	\N	\N
803083	2737	1997-08-31	VYDAJ	VYBER	15	52615	SLUZBY	\N	\N
803084	2737	1997-09-30	VYDAJ	VYBER	15	55582	SLUZBY	\N	\N
803085	2737	1997-10-31	VYDAJ	VYBER	15	55074	SLUZBY	\N	\N
803086	2737	1997-11-30	VYDAJ	VYBER	15	52447	SLUZBY	\N	\N
803087	2737	1997-12-31	VYDAJ	VYBER	15	51514	SLUZBY	\N	\N
803088	2737	1998-01-31	VYDAJ	VYBER	15	37024	SLUZBY	\N	\N
803089	2737	1998-02-28	VYDAJ	VYBER	15	47159	SLUZBY	\N	\N
803090	2737	1998-03-31	VYDAJ	VYBER	15	51601	SLUZBY	\N	\N
803091	2737	1998-04-30	VYDAJ	VYBER	15	54260	SLUZBY	\N	\N
803092	2737	1998-05-31	VYDAJ	VYBER	15	53160	SLUZBY	\N	\N
803093	2737	1998-06-30	VYDAJ	VYBER	15	40028	SLUZBY	\N	\N
803094	2737	1998-07-31	VYDAJ	VYBER	15	44220	SLUZBY	\N	\N
803095	2737	1998-08-31	VYDAJ	VYBER	15	47465	SLUZBY	\N	\N
803096	2737	1998-09-30	VYDAJ	VYBER	15	53804	SLUZBY	\N	\N
803097	2737	1998-10-31	VYDAJ	VYBER	15	48401	SLUZBY	\N	\N
803098	2737	1998-11-30	VYDAJ	VYBER	15	53141	SLUZBY	\N	\N
803099	2737	1996-08-05	PRIJEM	VKLAD	1500	21554	\N	\N	\N
803100	2737	1996-09-04	VYDAJ	VYBER	3900	36994	\N	\N	\N
803101	2737	1996-10-04	VYDAJ	VYBER	15700	40702	\N	\N	\N
803102	2737	1996-11-03	VYDAJ	VYBER	16700	43436	\N	\N	\N
803103	2737	1996-12-03	VYDAJ	VYBER	14400	41001	\N	\N	\N
803104	2737	1997-01-02	VYDAJ	VYBER	15900	47751	\N	\N	\N
803105	2737	1997-02-01	VYDAJ	VYBER	8600	38124	\N	\N	\N
803106	2737	1997-03-03	VYDAJ	VYBER	9600	43459	\N	\N	\N
803107	2737	1997-04-02	VYDAJ	VYBER	12900	45518	\N	\N	\N
803108	2737	1997-05-02	VYDAJ	VYBER	10400	50088	\N	\N	\N
803109	2737	1997-06-01	VYDAJ	VYBER	11200	53876	\N	\N	\N
803110	2737	1997-07-01	VYDAJ	VYBER	16400	52472	\N	\N	\N
803111	2737	1997-07-31	VYDAJ	VYBER	14900	49933	\N	\N	\N
803112	2737	1997-08-30	VYDAJ	VYBER	12300	52364	\N	\N	\N
803113	2737	1997-09-29	VYDAJ	VYBER	12000	55346	\N	\N	\N
803114	2737	1997-10-29	VYDAJ	VYBER	11400	54833	\N	\N	\N
803115	2737	1997-11-28	VYDAJ	VYBER	17600	52205	\N	\N	\N
803116	2737	1997-12-28	VYDAJ	VYBER	20000	51251	\N	\N	\N
803117	2737	1998-01-27	VYDAJ	VYBER	3400	39365	\N	\N	\N
803118	2737	1998-02-26	VYDAJ	VYBER	3700	46975	\N	\N	\N
803119	2737	1998-03-28	VYDAJ	VYBER	10500	51390	\N	\N	\N
803120	2737	1998-04-27	VYDAJ	VYBER	12300	54032	\N	\N	\N
803121	2737	1998-05-27	VYDAJ	VYBER	10300	52931	\N	\N	\N
803122	2737	1998-06-26	VYDAJ	VYBER	15300	62184	\N	\N	\N
803123	2737	1998-07-26	VYDAJ	VYBER	5800	44039	\N	\N	\N
803124	2737	1998-08-25	VYDAJ	VYBER	7000	47271	\N	\N	\N
803125	2737	1998-09-24	VYDAJ	VYBER	8600	53596	\N	\N	\N
803126	2737	1998-10-24	VYDAJ	VYBER	14600	53935	\N	\N	\N
803127	2737	1998-11-23	VYDAJ	VYBER	10200	52932	\N	\N	\N
803128	2737	1998-12-23	VYDAJ	VYBER	16100	61366	\N	\N	\N
803159	2738	1993-11-12	PRIJEM	VKLAD	800	800	\N	\N	\N
803171	2738	1993-12-05	PRIJEM	VKLAD	21495	22295	\N	\N	\N
803172	2738	1994-01-05	PRIJEM	VKLAD	14330	38490	\N	\N	\N
803173	2738	1994-02-05	PRIJEM	VKLAD	14330	47144	\N	\N	\N
803174	2738	1994-03-05	PRIJEM	VKLAD	14330	51022	\N	\N	\N
803175	2738	1994-04-05	PRIJEM	VKLAD	14330	50603	\N	\N	\N
803176	2738	1994-05-05	PRIJEM	VKLAD	14330	48352	\N	\N	\N
803177	2738	1994-06-05	PRIJEM	VKLAD	21495	52676	\N	\N	\N
803178	2738	1994-07-05	PRIJEM	VKLAD	14330	45309	\N	\N	\N
803179	2738	1994-08-05	PRIJEM	VKLAD	14330	43534	\N	\N	\N
803180	2738	1994-09-05	PRIJEM	VKLAD	14330	42053	\N	\N	\N
803181	2738	1994-10-05	PRIJEM	VKLAD	14330	34655	\N	\N	\N
803182	2738	1994-11-05	PRIJEM	VKLAD	14330	33439	\N	\N	\N
803183	2738	1994-12-05	PRIJEM	VKLAD	21495	37088	\N	\N	\N
803184	2738	1995-01-05	PRIJEM	VKLAD	14330	31275	\N	\N	\N
803185	2738	1995-02-05	PRIJEM	VKLAD	14330	28854	\N	\N	\N
803186	2738	1995-03-05	PRIJEM	VKLAD	14330	30829	\N	\N	\N
803187	2738	1995-04-05	PRIJEM	VKLAD	14330	31209	\N	\N	\N
803188	2738	1995-05-05	PRIJEM	VKLAD	14330	28783	\N	\N	\N
803189	2738	1995-06-05	PRIJEM	VKLAD	21495	37721	\N	\N	\N
803190	2738	1995-07-05	PRIJEM	VKLAD	14330	34610	\N	\N	\N
803191	2738	1995-08-05	PRIJEM	VKLAD	14330	35902	\N	\N	\N
803192	2738	1995-09-05	PRIJEM	VKLAD	14330	39018	\N	\N	\N
803193	2738	1995-10-05	PRIJEM	VKLAD	14330	41049	\N	\N	\N
803194	2738	1995-11-05	PRIJEM	VKLAD	14330	38889	\N	\N	\N
803195	2738	1995-12-05	PRIJEM	VKLAD	21495	43474	\N	\N	\N
803196	2738	1996-01-05	PRIJEM	VKLAD	14330	40015	\N	\N	\N
803197	2738	1996-02-05	PRIJEM	VKLAD	14330	35427	\N	\N	\N
803198	2738	1996-03-05	PRIJEM	VKLAD	14330	38632	\N	\N	\N
803199	2738	1996-04-05	PRIJEM	VKLAD	14330	42760	\N	\N	\N
803200	2738	1996-05-05	PRIJEM	VKLAD	14330	38692	\N	\N	\N
803201	2738	1996-06-05	PRIJEM	VKLAD	21495	44273	\N	\N	\N
803202	2738	1996-07-05	PRIJEM	VKLAD	14330	38096	\N	\N	\N
803203	2738	1996-08-05	PRIJEM	VKLAD	14330	38807	\N	\N	\N
803204	2738	1996-09-05	PRIJEM	VKLAD	14330	37221	\N	\N	\N
803205	2738	1996-10-05	PRIJEM	VKLAD	14330	38232	\N	\N	\N
803206	2738	1996-11-05	PRIJEM	VKLAD	14330	36841	\N	\N	\N
803207	2738	1996-12-05	PRIJEM	VKLAD	21495	43714	\N	\N	\N
803208	2738	1997-01-05	PRIJEM	VKLAD	14330	38753	\N	\N	\N
803209	2738	1997-02-05	PRIJEM	VKLAD	14330	28955	\N	\N	\N
803210	2738	1997-03-05	PRIJEM	VKLAD	14330	31531	\N	\N	\N
803211	2738	1997-04-05	PRIJEM	VKLAD	14330	32315	\N	\N	\N
803212	2738	1997-05-05	PRIJEM	VKLAD	14330	36805	\N	\N	\N
803213	2738	1997-06-05	PRIJEM	VKLAD	21495	46977	\N	\N	\N
803214	2738	1997-07-05	PRIJEM	VKLAD	14330	29744	\N	\N	\N
803215	2738	1997-08-05	PRIJEM	VKLAD	14330	30521	\N	\N	\N
803216	2738	1997-09-05	PRIJEM	VKLAD	14330	39008	\N	\N	\N
803217	2738	1997-10-05	PRIJEM	VKLAD	14330	43025	\N	\N	\N
803218	2738	1997-11-05	PRIJEM	VKLAD	14330	41247	\N	\N	\N
803219	2738	1997-12-05	PRIJEM	VKLAD	21495	52649	\N	\N	\N
803220	2738	1998-01-05	PRIJEM	VKLAD	14330	55620	\N	\N	\N
803221	2738	1998-02-05	PRIJEM	VKLAD	14330	50794	\N	\N	\N
803222	2738	1998-03-05	PRIJEM	VKLAD	14330	52955	\N	\N	\N
803223	2738	1998-04-05	PRIJEM	VKLAD	14330	58028	\N	\N	\N
803224	2738	1998-05-05	PRIJEM	VKLAD	14330	57115	\N	\N	\N
803225	2738	1998-06-05	PRIJEM	VKLAD	21495	65567	\N	\N	\N
803226	2738	1998-07-05	PRIJEM	VKLAD	14330	46061	\N	\N	\N
803227	2738	1998-08-05	PRIJEM	VKLAD	14330	49707	\N	\N	\N
803228	2738	1998-09-05	PRIJEM	VKLAD	14330	53365	\N	\N	\N
803229	2738	1998-10-05	PRIJEM	VKLAD	14330	52430	\N	\N	\N
803230	2738	1998-11-05	PRIJEM	VKLAD	14330	55398	\N	\N	\N
803231	2738	1998-12-05	PRIJEM	VKLAD	21495	63338	\N	\N	\N
803247	2738	1994-04-10	VYDAJ	PREVOD NA UCET	7762	42841	SIPO	CD	1114500
803248	2738	1994-05-10	VYDAJ	PREVOD NA UCET	7762	40590	SIPO	CD	1114500
803249	2738	1994-06-10	VYDAJ	PREVOD NA UCET	7762	40314	SIPO	CD	1114500
803250	2738	1994-07-10	VYDAJ	PREVOD NA UCET	7762	30247	SIPO	CD	1114500
803251	2738	1994-08-10	VYDAJ	PREVOD NA UCET	7762	28772	SIPO	CD	1114500
803252	2738	1994-09-10	VYDAJ	PREVOD NA UCET	7762	25891	SIPO	CD	1114500
803253	2738	1994-10-10	VYDAJ	PREVOD NA UCET	7762	20193	SIPO	CD	1114500
803254	2738	1994-11-10	VYDAJ	PREVOD NA UCET	7762	20877	SIPO	CD	1114500
803255	2738	1994-12-10	VYDAJ	PREVOD NA UCET	7762	20326	SIPO	CD	1114500
803256	2738	1995-01-10	VYDAJ	PREVOD NA UCET	7762	20013	SIPO	CD	1114500
803257	2738	1995-02-10	VYDAJ	PREVOD NA UCET	7762	17592	SIPO	CD	1114500
803258	2738	1995-03-10	VYDAJ	PREVOD NA UCET	7762	20967	SIPO	CD	1114500
803259	2738	1995-04-10	VYDAJ	PREVOD NA UCET	7762	18347	SIPO	CD	1114500
803260	2738	1995-05-10	VYDAJ	PREVOD NA UCET	7762	17321	SIPO	CD	1114500
803261	2738	1995-06-10	VYDAJ	PREVOD NA UCET	7762	21359	SIPO	CD	1114500
803262	2738	1995-07-10	VYDAJ	PREVOD NA UCET	7762	21648	SIPO	CD	1114500
803263	2738	1995-08-10	VYDAJ	PREVOD NA UCET	7762	28140	SIPO	CD	1114500
803264	2738	1995-09-10	VYDAJ	PREVOD NA UCET	7762	31256	SIPO	CD	1114500
803265	2738	1995-10-10	VYDAJ	PREVOD NA UCET	7762	33287	SIPO	CD	1114500
803266	2738	1995-11-10	VYDAJ	PREVOD NA UCET	7762	26927	SIPO	CD	1114500
803267	2738	1995-12-10	VYDAJ	PREVOD NA UCET	7762	35712	SIPO	CD	1114500
803268	2738	1996-01-10	VYDAJ	PREVOD NA UCET	7762	28053	SIPO	CD	1114500
803269	2738	1996-02-10	VYDAJ	PREVOD NA UCET	7762	27665	SIPO	CD	1114500
803270	2738	1996-03-10	VYDAJ	PREVOD NA UCET	7762	30870	SIPO	CD	1114500
803271	2738	1996-04-10	VYDAJ	PREVOD NA UCET	7762	34998	SIPO	CD	1114500
803272	2738	1996-05-10	VYDAJ	PREVOD NA UCET	7762	30930	SIPO	CD	1114500
803273	2738	1996-06-10	VYDAJ	PREVOD NA UCET	7762	32511	SIPO	CD	1114500
803274	2738	1996-07-10	VYDAJ	PREVOD NA UCET	7762	30334	SIPO	CD	1114500
803275	2738	1996-08-10	VYDAJ	PREVOD NA UCET	7762	31045	SIPO	CD	1114500
803276	2738	1996-09-10	VYDAJ	PREVOD NA UCET	7762	26959	SIPO	CD	1114500
803277	2738	1996-10-10	VYDAJ	PREVOD NA UCET	7762	30470	SIPO	CD	1114500
803278	2738	1996-11-10	VYDAJ	PREVOD NA UCET	7762	29079	SIPO	CD	1114500
803279	2738	1996-12-10	VYDAJ	PREVOD NA UCET	7762	35952	SIPO	CD	1114500
803280	2738	1997-01-10	VYDAJ	PREVOD NA UCET	7762	27391	SIPO	CD	1114500
803281	2738	1997-02-10	VYDAJ	PREVOD NA UCET	7762	17493	SIPO	CD	1114500
803282	2738	1997-03-10	VYDAJ	PREVOD NA UCET	7762	23769	SIPO	CD	1114500
803283	2738	1997-04-10	VYDAJ	PREVOD NA UCET	7762	24553	SIPO	CD	1114500
803284	2738	1997-05-10	VYDAJ	PREVOD NA UCET	7762	29043	SIPO	CD	1114500
803285	2738	1997-06-10	VYDAJ	PREVOD NA UCET	7762	12015	SIPO	CD	1114500
803286	2738	1997-07-10	VYDAJ	PREVOD NA UCET	7762	21982	SIPO	CD	1114500
803287	2738	1997-08-10	VYDAJ	PREVOD NA UCET	7762	22759	SIPO	CD	1114500
803288	2738	1997-09-10	VYDAJ	PREVOD NA UCET	7762	31246	SIPO	CD	1114500
803289	2738	1997-10-10	VYDAJ	PREVOD NA UCET	7762	30363	SIPO	CD	1114500
803290	2738	1997-11-10	VYDAJ	PREVOD NA UCET	7762	33485	SIPO	CD	1114500
803291	2738	1997-12-10	VYDAJ	PREVOD NA UCET	7762	42087	SIPO	CD	1114500
803292	2738	1998-01-10	VYDAJ	PREVOD NA UCET	7762	45858	SIPO	CD	1114500
803293	2738	1998-02-10	VYDAJ	PREVOD NA UCET	7762	43032	SIPO	CD	1114500
803294	2738	1998-03-10	VYDAJ	PREVOD NA UCET	7762	45193	SIPO	CD	1114500
803295	2738	1998-04-10	VYDAJ	PREVOD NA UCET	7762	50266	SIPO	CD	1114500
803296	2738	1998-05-10	VYDAJ	PREVOD NA UCET	7762	49353	SIPO	CD	1114500
803297	2738	1998-06-10	VYDAJ	PREVOD NA UCET	7762	57805	SIPO	CD	1114500
803298	2738	1998-07-10	VYDAJ	PREVOD NA UCET	7762	38299	SIPO	CD	1114500
803299	2738	1998-08-10	VYDAJ	PREVOD NA UCET	7762	41945	SIPO	CD	1114500
803300	2738	1998-09-10	VYDAJ	PREVOD NA UCET	7762	45603	SIPO	CD	1114500
803301	2738	1998-10-10	VYDAJ	PREVOD NA UCET	7762	44668	SIPO	CD	1114500
803302	2738	1998-11-10	VYDAJ	PREVOD NA UCET	7762	47636	SIPO	CD	1114500
803303	2738	1998-12-10	VYDAJ	PREVOD NA UCET	7762	55576	SIPO	CD	1114500
803319	2738	1994-04-11	VYDAJ	PREVOD NA UCET	1152	33889	 	YZ	48380392
803320	2738	1994-05-11	VYDAJ	PREVOD NA UCET	1152	39438	 	YZ	48380392
803321	2738	1994-06-11	VYDAJ	PREVOD NA UCET	1152	32362	 	YZ	48380392
803322	2738	1994-07-11	VYDAJ	PREVOD NA UCET	1152	29095	 	YZ	48380392
803323	2738	1994-08-11	VYDAJ	PREVOD NA UCET	1152	27620	 	YZ	48380392
803324	2738	1994-09-11	VYDAJ	PREVOD NA UCET	1152	24739	 	YZ	48380392
803325	2738	1994-10-11	VYDAJ	PREVOD NA UCET	1152	19041	 	YZ	48380392
803326	2738	1994-11-11	VYDAJ	PREVOD NA UCET	1152	19725	 	YZ	48380392
803327	2738	1994-12-11	VYDAJ	PREVOD NA UCET	1152	19174	 	YZ	48380392
803328	2738	1995-01-11	VYDAJ	PREVOD NA UCET	1152	18861	 	YZ	48380392
803329	2738	1995-02-11	VYDAJ	PREVOD NA UCET	1152	16440	 	YZ	48380392
803330	2738	1995-03-11	VYDAJ	PREVOD NA UCET	1152	19815	 	YZ	48380392
803331	2738	1995-04-11	VYDAJ	PREVOD NA UCET	1152	17195	 	YZ	48380392
803332	2738	1995-05-11	VYDAJ	PREVOD NA UCET	1152	16169	 	YZ	48380392
803333	2738	1995-06-11	VYDAJ	PREVOD NA UCET	1152	20207	 	YZ	48380392
803334	2738	1995-07-11	VYDAJ	PREVOD NA UCET	1152	20496	 	YZ	48380392
803335	2738	1995-08-11	VYDAJ	PREVOD NA UCET	1152	26988	 	YZ	48380392
803336	2738	1995-09-11	VYDAJ	PREVOD NA UCET	1152	30104	 	YZ	48380392
803337	2738	1995-10-11	VYDAJ	PREVOD NA UCET	1152	32135	 	YZ	48380392
803338	2738	1995-11-11	VYDAJ	PREVOD NA UCET	1152	25775	 	YZ	48380392
803339	2738	1995-12-11	VYDAJ	PREVOD NA UCET	1152	34560	 	YZ	48380392
803340	2738	1996-01-11	VYDAJ	PREVOD NA UCET	1152	24001	 	YZ	48380392
803341	2738	1996-02-11	VYDAJ	PREVOD NA UCET	1152	26513	 	YZ	48380392
803342	2738	1996-03-11	VYDAJ	PREVOD NA UCET	1152	29718	 	YZ	48380392
803343	2738	1996-04-11	VYDAJ	PREVOD NA UCET	1152	33846	 	YZ	48380392
803344	2738	1996-05-11	VYDAJ	PREVOD NA UCET	1152	29778	 	YZ	48380392
803345	2738	1996-06-11	VYDAJ	PREVOD NA UCET	1152	31359	 	YZ	48380392
803346	2738	1996-07-11	VYDAJ	PREVOD NA UCET	1152	29182	 	YZ	48380392
803347	2738	1996-08-11	VYDAJ	PREVOD NA UCET	1152	29893	 	YZ	48380392
803348	2738	1996-09-11	VYDAJ	PREVOD NA UCET	1152	25807	 	YZ	48380392
803349	2738	1996-10-11	VYDAJ	PREVOD NA UCET	1152	29318	 	YZ	48380392
803350	2738	1996-11-11	VYDAJ	PREVOD NA UCET	1152	27927	 	YZ	48380392
803351	2738	1996-12-11	VYDAJ	PREVOD NA UCET	1152	34800	 	YZ	48380392
803352	2738	1997-01-11	VYDAJ	PREVOD NA UCET	1152	24839	 	YZ	48380392
803353	2738	1997-02-11	VYDAJ	PREVOD NA UCET	1152	16341	 	YZ	48380392
803354	2738	1997-03-11	VYDAJ	PREVOD NA UCET	1152	22617	 	YZ	48380392
803355	2738	1997-04-11	VYDAJ	PREVOD NA UCET	1152	23401	 	YZ	48380392
803356	2738	1997-05-11	VYDAJ	PREVOD NA UCET	1152	27891	 	YZ	48380392
803357	2738	1997-06-11	VYDAJ	PREVOD NA UCET	1152	10863	 	YZ	48380392
803358	2738	1997-07-11	VYDAJ	PREVOD NA UCET	1152	20830	 	YZ	48380392
803359	2738	1997-08-11	VYDAJ	PREVOD NA UCET	1152	21607	 	YZ	48380392
803360	2738	1997-09-11	VYDAJ	PREVOD NA UCET	1152	30094	 	YZ	48380392
803361	2738	1997-10-11	VYDAJ	PREVOD NA UCET	1152	29211	 	YZ	48380392
803362	2738	1997-11-11	VYDAJ	PREVOD NA UCET	1152	32333	 	YZ	48380392
803363	2738	1997-12-11	VYDAJ	PREVOD NA UCET	1152	40935	 	YZ	48380392
803364	2738	1998-01-11	VYDAJ	PREVOD NA UCET	1152	44706	 	YZ	48380392
803365	2738	1998-02-11	VYDAJ	PREVOD NA UCET	1152	41880	 	YZ	48380392
803366	2738	1998-03-11	VYDAJ	PREVOD NA UCET	1152	44041	 	YZ	48380392
803367	2738	1998-04-11	VYDAJ	PREVOD NA UCET	1152	49114	 	YZ	48380392
803368	2738	1998-05-11	VYDAJ	PREVOD NA UCET	1152	48201	 	YZ	48380392
803369	2738	1998-06-11	VYDAJ	PREVOD NA UCET	1152	56653	 	YZ	48380392
803370	2738	1998-07-11	VYDAJ	PREVOD NA UCET	1152	37147	 	YZ	48380392
803371	2738	1998-08-11	VYDAJ	PREVOD NA UCET	1152	40793	 	YZ	48380392
803372	2738	1998-09-11	VYDAJ	PREVOD NA UCET	1152	44451	 	YZ	48380392
803373	2738	1998-10-11	VYDAJ	PREVOD NA UCET	1152	43516	 	YZ	48380392
803374	2738	1998-11-11	VYDAJ	PREVOD NA UCET	1152	46484	 	YZ	48380392
803375	2738	1998-12-11	VYDAJ	PREVOD NA UCET	1152	54424	 	YZ	48380392
803377	2738	1994-06-10	VYDAJ	VYBER	4600	48076	\N	\N	\N
803379	2738	1996-06-08	VYDAJ	VYBER	4000	40273	\N	\N	\N
803380	2738	1997-06-09	VYDAJ	VYBER	27200	19777	\N	\N	\N
803381	2738	1998-06-28	VYDAJ	VYBER	13100	31553	\N	\N	\N
803383	2738	1994-12-05	VYDAJ	VYBER	600	36488	\N	\N	\N
803384	2738	1995-12-16	VYDAJ	VYBER	2500	32060	\N	\N	\N
803385	2738	1996-12-04	VYDAJ	VYBER	2900	22219	\N	\N	\N
803386	2738	1997-12-06	VYDAJ	VYBER	1300	49849	\N	\N	\N
803387	2738	1998-12-22	VYDAJ	VYBER	2300	46424	\N	\N	\N
803400	2738	1995-01-16	VYDAJ	VYBER	1100	15361	\N	\N	\N
803402	2738	1995-01-16	VYDAJ	VYBER	900	14461	\N	\N	\N
803403	2738	1995-01-05	VYDAJ	VYBER	500	30775	\N	\N	\N
803404	2738	1995-01-01	VYDAJ	VYBER	1600	17645	\N	\N	\N
803405	2738	1995-01-11	VYDAJ	VYBER	2400	16461	\N	\N	\N
803406	2738	1996-01-24	VYDAJ	VYBER	1400	22601	\N	\N	\N
803407	2738	1996-01-25	VYDAJ	VYBER	700	21901	\N	\N	\N
803408	2738	1996-01-10	VYDAJ	VYBER	2900	25153	\N	\N	\N
803409	2738	1996-01-06	VYDAJ	VYBER	2400	35815	\N	\N	\N
803410	2738	1996-01-25	VYDAJ	VYBER	500	21401	\N	\N	\N
803411	2738	1996-01-05	VYDAJ	VYBER	1800	38215	\N	\N	\N
803412	2738	1997-01-10	VYDAJ	VYBER	1400	25991	\N	\N	\N
803413	2738	1997-01-06	VYDAJ	VYBER	2100	36653	\N	\N	\N
803414	2738	1997-01-06	VYDAJ	VYBER	1500	35153	\N	\N	\N
803415	2738	1997-01-18	VYDAJ	VYBER	1400	23439	\N	\N	\N
803416	2738	1997-01-23	VYDAJ	VYBER	2700	20739	\N	\N	\N
803417	2738	1997-01-01	VYDAJ	VYBER	2400	24423	\N	\N	\N
803418	2738	1998-01-14	VYDAJ	VYBER	2600	42106	\N	\N	\N
803419	2738	1998-01-24	VYDAJ	VYBER	900	38406	\N	\N	\N
803420	2738	1998-01-24	VYDAJ	VYBER	500	37906	\N	\N	\N
803421	2738	1998-01-29	VYDAJ	VYBER	900	36306	\N	\N	\N
803422	2738	1998-01-28	VYDAJ	VYBER	700	37206	\N	\N	\N
803423	2738	1998-01-07	VYDAJ	VYBER	2000	53620	\N	\N	\N
803430	2738	1994-06-15	VYDAJ	VYBER	1500	30862	\N	\N	\N
803433	2738	1994-09-18	VYDAJ	VYBER	4500	20239	\N	\N	\N
803434	2738	1994-11-25	VYDAJ	VYBER	4200	15525	\N	\N	\N
803436	2738	1995-11-08	VYDAJ	VYBER	4200	34689	\N	\N	\N
803437	2738	1995-04-22	VYDAJ	VYBER	2800	14395	\N	\N	\N
803439	2738	1995-03-22	VYDAJ	VYBER	3000	16815	\N	\N	\N
803440	2738	1995-01-03	VYDAJ	VYBER	700	16945	\N	\N	\N
803441	2738	1996-04-26	VYDAJ	VYBER	4200	29646	\N	\N	\N
803442	2738	1996-10-17	VYDAJ	VYBER	1600	27718	\N	\N	\N
803443	2738	1996-09-27	VYDAJ	VYBER	1300	24507	\N	\N	\N
803444	2738	1996-09-06	VYDAJ	VYBER	2500	34721	\N	\N	\N
803445	2738	1996-07-13	VYDAJ	VYBER	1600	27582	\N	\N	\N
803446	2738	1997-02-06	VYDAJ	VYBER	3700	25255	\N	\N	\N
803447	2738	1997-02-04	VYDAJ	VYBER	600	14625	\N	\N	\N
803448	2738	1997-11-03	VYDAJ	VYBER	3300	26917	\N	\N	\N
803449	2738	1997-07-26	VYDAJ	VYBER	1500	17930	\N	\N	\N
803450	2738	1997-12-05	VYDAJ	VYBER	1500	51149	\N	\N	\N
803451	2738	1997-07-31	VYDAJ	VYBER	1800	16191	\N	\N	\N
803453	2738	1997-10-10	VYDAJ	VYBER	4900	38125	\N	\N	\N
803454	2738	1998-03-15	VYDAJ	VYBER	2900	41141	\N	\N	\N
803455	2738	1998-07-25	VYDAJ	VYBER	3000	35247	\N	\N	\N
803472	2738	1994-04-30	VYDAJ	VYBER	15	34022	SLUZBY	\N	\N
803473	2738	1994-05-31	VYDAJ	VYBER	15	31181	SLUZBY	\N	\N
803474	2738	1994-06-30	VYDAJ	VYBER	15	30979	SLUZBY	\N	\N
803475	2738	1994-07-31	VYDAJ	VYBER	15	29204	SLUZBY	\N	\N
803476	2738	1994-08-31	VYDAJ	VYBER	15	27723	SLUZBY	\N	\N
803477	2738	1994-09-30	VYDAJ	VYBER	15	20325	SLUZBY	\N	\N
803478	2738	1994-10-31	VYDAJ	VYBER	15	19109	SLUZBY	\N	\N
803479	2738	1994-11-30	VYDAJ	VYBER	15	15593	SLUZBY	\N	\N
803480	2738	1994-12-31	VYDAJ	VYBER	15	19245	SLUZBY	\N	\N
803481	2738	1995-01-31	VYDAJ	VYBER	15	14524	SLUZBY	\N	\N
803482	2738	1995-02-28	VYDAJ	VYBER	15	16499	SLUZBY	\N	\N
803483	2738	1995-03-31	VYDAJ	VYBER	15	16879	SLUZBY	\N	\N
803484	2738	1995-04-30	VYDAJ	VYBER	15	14453	SLUZBY	\N	\N
803485	2738	1995-05-31	VYDAJ	VYBER	15	16226	SLUZBY	\N	\N
803486	2738	1995-06-30	VYDAJ	VYBER	15	20280	SLUZBY	\N	\N
803487	2738	1995-07-31	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
803488	2738	1995-08-31	VYDAJ	VYBER	15	27088	SLUZBY	\N	\N
803489	2738	1995-09-30	VYDAJ	VYBER	15	30219	SLUZBY	\N	\N
803490	2738	1995-10-31	VYDAJ	VYBER	15	32259	SLUZBY	\N	\N
803491	2738	1995-11-30	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
803492	2738	1995-12-31	VYDAJ	VYBER	15	32185	SLUZBY	\N	\N
803493	2738	1996-01-31	VYDAJ	VYBER	15	21497	SLUZBY	\N	\N
803494	2738	1996-02-29	VYDAJ	VYBER	15	26602	SLUZBY	\N	\N
803495	2738	1996-03-31	VYDAJ	VYBER	15	28430	SLUZBY	\N	\N
803496	2738	1996-04-30	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
803497	2738	1996-05-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
803498	2738	1996-06-30	VYDAJ	VYBER	15	23766	SLUZBY	\N	\N
803499	2738	1996-07-31	VYDAJ	VYBER	15	24477	SLUZBY	\N	\N
803500	2738	1996-08-31	VYDAJ	VYBER	15	22891	SLUZBY	\N	\N
803501	2738	1996-09-30	VYDAJ	VYBER	15	23902	SLUZBY	\N	\N
803502	2738	1996-10-31	VYDAJ	VYBER	15	22511	SLUZBY	\N	\N
803503	2738	1996-11-30	VYDAJ	VYBER	15	25119	SLUZBY	\N	\N
803504	2738	1996-12-31	VYDAJ	VYBER	15	26823	SLUZBY	\N	\N
803505	2738	1997-01-31	VYDAJ	VYBER	15	15225	SLUZBY	\N	\N
803506	2738	1997-02-28	VYDAJ	VYBER	15	17201	SLUZBY	\N	\N
803507	2738	1997-03-31	VYDAJ	VYBER	15	17985	SLUZBY	\N	\N
803508	2738	1997-04-30	VYDAJ	VYBER	15	22475	SLUZBY	\N	\N
803509	2738	1997-05-31	VYDAJ	VYBER	15	25482	SLUZBY	\N	\N
803510	2738	1997-06-30	VYDAJ	VYBER	15	15414	SLUZBY	\N	\N
803511	2738	1997-07-31	VYDAJ	VYBER	15	17991	SLUZBY	\N	\N
803512	2738	1997-08-31	VYDAJ	VYBER	15	24678	SLUZBY	\N	\N
803513	2738	1997-09-30	VYDAJ	VYBER	15	28695	SLUZBY	\N	\N
803514	2738	1997-10-31	VYDAJ	VYBER	15	30217	SLUZBY	\N	\N
803515	2738	1997-11-30	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
803516	2738	1997-12-31	VYDAJ	VYBER	15	41290	SLUZBY	\N	\N
803517	2738	1998-01-31	VYDAJ	VYBER	15	36464	SLUZBY	\N	\N
803518	2738	1998-02-28	VYDAJ	VYBER	15	38625	SLUZBY	\N	\N
803519	2738	1998-03-31	VYDAJ	VYBER	15	43698	SLUZBY	\N	\N
803520	2738	1998-04-30	VYDAJ	VYBER	15	42785	SLUZBY	\N	\N
803521	2738	1998-05-31	VYDAJ	VYBER	15	44072	SLUZBY	\N	\N
803522	2738	1998-06-30	VYDAJ	VYBER	15	31731	SLUZBY	\N	\N
803523	2738	1998-07-31	VYDAJ	VYBER	15	35377	SLUZBY	\N	\N
803524	2738	1998-08-31	VYDAJ	VYBER	15	39035	SLUZBY	\N	\N
803525	2738	1998-09-30	VYDAJ	VYBER	15	38100	SLUZBY	\N	\N
803526	2738	1998-10-31	VYDAJ	VYBER	15	41068	SLUZBY	\N	\N
803527	2738	1998-11-30	VYDAJ	VYBER	15	41843	SLUZBY	\N	\N
803528	2738	1993-12-12	PRIJEM	VKLAD	1800	24095	\N	\N	\N
803529	2738	1994-01-11	VYDAJ	VYBER	5800	32690	\N	\N	\N
803530	2738	1994-02-10	VYDAJ	VYBER	10600	36544	\N	\N	\N
803531	2738	1994-03-12	VYDAJ	VYBER	14900	36122	\N	\N	\N
803532	2738	1994-04-11	VYDAJ	VYBER	7800	35041	\N	\N	\N
803533	2738	1994-05-11	VYDAJ	VYBER	8400	31038	\N	\N	\N
803534	2738	1994-06-10	VYDAJ	VYBER	6800	33514	\N	\N	\N
803535	2738	1994-07-10	VYDAJ	VYBER	7300	38009	\N	\N	\N
803536	2738	1994-08-09	VYDAJ	VYBER	7000	36534	\N	\N	\N
803537	2738	1994-09-08	VYDAJ	VYBER	8400	33653	\N	\N	\N
803538	2738	1994-10-08	VYDAJ	VYBER	6700	27955	\N	\N	\N
803539	2738	1994-11-07	VYDAJ	VYBER	4800	28639	\N	\N	\N
803540	2738	1994-12-07	VYDAJ	VYBER	8400	28088	\N	\N	\N
803541	2738	1995-01-06	VYDAJ	VYBER	3000	27775	\N	\N	\N
803542	2738	1995-02-05	VYDAJ	VYBER	3500	25354	\N	\N	\N
803543	2738	1995-03-07	VYDAJ	VYBER	2100	28729	\N	\N	\N
803544	2738	1995-04-06	VYDAJ	VYBER	5100	26109	\N	\N	\N
803545	2738	1995-05-06	VYDAJ	VYBER	3700	25083	\N	\N	\N
803546	2738	1995-06-05	VYDAJ	VYBER	8600	29121	\N	\N	\N
803547	2738	1995-07-05	VYDAJ	VYBER	5200	29410	\N	\N	\N
803548	2738	1995-08-04	PRIJEM	VKLAD	1000	21572	\N	\N	\N
803549	2738	1995-09-03	VYDAJ	VYBER	2400	24688	\N	\N	\N
803550	2738	1995-10-03	VYDAJ	VYBER	3500	26719	\N	\N	\N
803551	2738	1995-11-02	VYDAJ	VYBER	7700	24559	\N	\N	\N
803552	2738	1995-12-02	VYDAJ	VYBER	3900	21979	\N	\N	\N
803553	2738	1996-01-01	VYDAJ	VYBER	6500	25685	\N	\N	\N
803554	2738	1996-01-31	VYDAJ	VYBER	400	21097	\N	\N	\N
803555	2738	1996-03-01	VYDAJ	VYBER	2300	24302	\N	\N	\N
803556	2738	1996-03-31	VYDAJ	VYBER	1400	28445	\N	\N	\N
803557	2738	1996-04-30	VYDAJ	VYBER	5400	24376	\N	\N	\N
803558	2738	1996-05-30	VYDAJ	VYBER	7100	22678	\N	\N	\N
803559	2738	1996-06-29	VYDAJ	VYBER	7700	23659	\N	\N	\N
803560	2738	1996-07-29	VYDAJ	VYBER	3200	24382	\N	\N	\N
803561	2738	1996-08-28	VYDAJ	VYBER	7100	22793	\N	\N	\N
803562	2738	1996-09-27	VYDAJ	VYBER	700	23807	\N	\N	\N
803563	2738	1996-10-27	VYDAJ	VYBER	5300	22418	\N	\N	\N
803564	2738	1996-11-26	VYDAJ	VYBER	2900	25027	\N	\N	\N
803565	2738	1996-12-26	VYDAJ	VYBER	8100	26700	\N	\N	\N
803566	2738	1997-01-25	VYDAJ	VYBER	5600	15139	\N	\N	\N
803567	2738	1997-02-24	PRIJEM	VKLAD	800	17141	\N	\N	\N
803568	2738	1997-03-26	VYDAJ	VYBER	4700	17917	\N	\N	\N
803569	2738	1997-04-25	VYDAJ	VYBER	1000	22401	\N	\N	\N
803570	2738	1997-05-25	VYDAJ	VYBER	2500	25391	\N	\N	\N
803571	2738	1997-06-24	PRIJEM	VKLAD	4500	15363	\N	\N	\N
803572	2738	1997-07-24	VYDAJ	VYBER	1400	19430	\N	\N	\N
803573	2738	1997-08-23	PRIJEM	VKLAD	3000	24607	\N	\N	\N
803574	2738	1997-09-22	VYDAJ	VYBER	1500	28594	\N	\N	\N
803575	2738	1997-10-22	PRIJEM	VKLAD	900	30111	\N	\N	\N
803576	2738	1997-11-21	VYDAJ	VYBER	1300	31033	\N	\N	\N
803577	2738	1997-12-21	PRIJEM	VKLAD	200	41135	\N	\N	\N
803578	2738	1998-01-20	VYDAJ	VYBER	2800	39306	\N	\N	\N
803579	2738	1998-02-19	VYDAJ	VYBER	3400	38480	\N	\N	\N
803580	2738	1998-03-21	PRIJEM	VKLAD	2400	43541	\N	\N	\N
803581	2738	1998-04-20	VYDAJ	VYBER	6500	42614	\N	\N	\N
803582	2738	1998-05-20	VYDAJ	VYBER	4300	43901	\N	\N	\N
803583	2738	1998-06-19	VYDAJ	VYBER	12000	44653	\N	\N	\N
803584	2738	1998-07-19	PRIJEM	VKLAD	1100	38247	\N	\N	\N
803585	2738	1998-08-18	VYDAJ	VYBER	1900	38893	\N	\N	\N
803586	2738	1998-09-17	VYDAJ	VYBER	6500	37951	\N	\N	\N
803587	2738	1998-10-17	VYDAJ	VYBER	2600	40916	\N	\N	\N
803588	2738	1998-11-16	VYDAJ	VYBER	4800	41684	\N	\N	\N
803589	2738	1998-12-16	VYDAJ	VYBER	5700	48724	\N	\N	\N
803651	2739	1993-11-29	PRIJEM	VKLAD	600	600	\N	\N	\N
803663	2739	1993-12-05	PRIJEM	VKLAD	10322	10922	\N	\N	\N
803664	2739	1994-01-05	PRIJEM	VKLAD	6881	24810	\N	\N	\N
803665	2739	1994-02-05	PRIJEM	VKLAD	6881	29268	\N	\N	\N
803666	2739	1994-03-05	PRIJEM	VKLAD	6881	33443	\N	\N	\N
803667	2739	1994-04-05	PRIJEM	VKLAD	6881	37436	\N	\N	\N
803668	2739	1994-05-05	PRIJEM	VKLAD	6881	35508	\N	\N	\N
803669	2739	1994-06-05	PRIJEM	VKLAD	10322	28506	\N	\N	\N
803670	2739	1994-07-05	PRIJEM	VKLAD	6881	29632	\N	\N	\N
803671	2739	1994-08-05	PRIJEM	VKLAD	6881	32716	\N	\N	\N
803672	2739	1994-09-05	PRIJEM	VKLAD	6881	35412	\N	\N	\N
803673	2739	1994-10-05	PRIJEM	VKLAD	6881	36318	\N	\N	\N
803674	2739	1994-11-05	PRIJEM	VKLAD	6881	31692	\N	\N	\N
803675	2739	1994-12-05	PRIJEM	VKLAD	10322	36523	\N	\N	\N
803676	2739	1995-01-05	PRIJEM	VKLAD	6881	25722	\N	\N	\N
803677	2739	1995-02-05	PRIJEM	VKLAD	6881	26391	\N	\N	\N
803678	2739	1995-03-05	PRIJEM	VKLAD	6881	29561	\N	\N	\N
803679	2739	1995-04-05	PRIJEM	VKLAD	6881	31043	\N	\N	\N
803680	2739	1995-05-05	PRIJEM	VKLAD	6881	29928	\N	\N	\N
803681	2739	1995-06-05	PRIJEM	VKLAD	10322	32307	\N	\N	\N
803682	2739	1995-07-05	PRIJEM	VKLAD	6881	26926	\N	\N	\N
803683	2739	1995-08-05	PRIJEM	VKLAD	6881	25170	\N	\N	\N
803684	2739	1995-09-05	PRIJEM	VKLAD	6881	25331	\N	\N	\N
803685	2739	1995-10-05	PRIJEM	VKLAD	6881	25292	\N	\N	\N
803686	2739	1995-11-05	PRIJEM	VKLAD	6881	21880	\N	\N	\N
803687	2739	1995-12-05	PRIJEM	VKLAD	10322	27170	\N	\N	\N
803688	2739	1996-01-05	PRIJEM	VKLAD	6881	22806	\N	\N	\N
803689	2739	1996-02-05	PRIJEM	VKLAD	6881	20151	\N	\N	\N
803690	2739	1996-03-05	PRIJEM	VKLAD	6881	18286	\N	\N	\N
803691	2739	1996-04-05	PRIJEM	VKLAD	6881	20521	\N	\N	\N
803692	2739	1996-05-05	PRIJEM	VKLAD	6881	18056	\N	\N	\N
803693	2739	1996-06-05	PRIJEM	VKLAD	10322	23831	\N	\N	\N
803694	2739	1996-07-05	PRIJEM	VKLAD	6881	20274	\N	\N	\N
803695	2739	1996-08-05	PRIJEM	VKLAD	6881	19711	\N	\N	\N
803696	2739	1996-09-05	PRIJEM	VKLAD	6881	22052	\N	\N	\N
803697	2739	1996-10-05	PRIJEM	VKLAD	6881	21154	\N	\N	\N
803698	2739	1996-11-05	PRIJEM	VKLAD	6881	23500	\N	\N	\N
803699	2739	1996-12-05	PRIJEM	VKLAD	10322	21678	\N	\N	\N
803700	2739	1997-01-05	PRIJEM	VKLAD	6881	21624	\N	\N	\N
803701	2739	1997-02-05	PRIJEM	VKLAD	6881	23973	\N	\N	\N
803702	2739	1997-03-05	PRIJEM	VKLAD	6881	26331	\N	\N	\N
803703	2739	1997-04-05	PRIJEM	VKLAD	6881	28699	\N	\N	\N
803704	2739	1997-05-05	PRIJEM	VKLAD	6881	25299	\N	\N	\N
803705	2739	1997-06-05	PRIJEM	VKLAD	10322	31103	\N	\N	\N
803706	2739	1997-07-05	PRIJEM	VKLAD	6881	21054	\N	\N	\N
803707	2739	1997-08-05	PRIJEM	VKLAD	6881	23400	\N	\N	\N
803708	2739	1997-09-05	PRIJEM	VKLAD	6881	25755	\N	\N	\N
803709	2739	1997-10-05	PRIJEM	VKLAD	6881	23788	\N	\N	\N
803710	2739	1997-11-05	PRIJEM	VKLAD	6881	20968	\N	\N	\N
803711	2739	1997-12-05	PRIJEM	VKLAD	10322	26754	\N	\N	\N
803712	2739	1998-01-05	PRIJEM	VKLAD	6881	24953	\N	\N	\N
803713	2739	1998-02-05	PRIJEM	VKLAD	6881	24599	\N	\N	\N
803714	2739	1998-03-05	PRIJEM	VKLAD	6881	26959	\N	\N	\N
803715	2739	1998-04-05	PRIJEM	VKLAD	6881	26081	\N	\N	\N
803716	2739	1998-05-05	PRIJEM	VKLAD	6881	28447	\N	\N	\N
803717	2739	1998-06-05	PRIJEM	VKLAD	10322	34264	\N	\N	\N
803718	2739	1998-07-05	PRIJEM	VKLAD	6881	36661	\N	\N	\N
803719	2739	1998-08-05	PRIJEM	VKLAD	6881	39071	\N	\N	\N
803720	2739	1998-09-05	PRIJEM	VKLAD	6881	41491	\N	\N	\N
803721	2739	1998-10-05	PRIJEM	VKLAD	6881	43921	\N	\N	\N
803722	2739	1998-11-05	PRIJEM	VKLAD	6881	40602	\N	\N	\N
803723	2739	1998-12-05	PRIJEM	VKLAD	10322	46473	\N	\N	\N
803739	2739	1994-04-07	VYDAJ	PREVOD NA UCET	414	37022	SIPO	WX	92235922
803740	2739	1994-05-07	VYDAJ	PREVOD NA UCET	414	35094	SIPO	WX	92235922
803741	2739	1994-06-07	VYDAJ	PREVOD NA UCET	414	28092	SIPO	WX	92235922
803742	2739	1994-07-07	VYDAJ	PREVOD NA UCET	414	29218	SIPO	WX	92235922
803743	2739	1994-08-07	VYDAJ	PREVOD NA UCET	414	32302	SIPO	WX	92235922
803744	2739	1994-09-07	VYDAJ	PREVOD NA UCET	414	34998	SIPO	WX	92235922
803745	2739	1994-10-07	VYDAJ	PREVOD NA UCET	414	31584	SIPO	WX	92235922
803746	2739	1994-11-07	VYDAJ	PREVOD NA UCET	414	31278	SIPO	WX	92235922
803747	2739	1994-12-07	VYDAJ	PREVOD NA UCET	414	36109	SIPO	WX	92235922
803748	2739	1995-01-07	VYDAJ	PREVOD NA UCET	414	25308	SIPO	WX	92235922
803749	2739	1995-02-07	VYDAJ	PREVOD NA UCET	414	25977	SIPO	WX	92235922
803750	2739	1995-03-07	VYDAJ	PREVOD NA UCET	414	29147	SIPO	WX	92235922
803751	2739	1995-04-07	VYDAJ	PREVOD NA UCET	414	30629	SIPO	WX	92235922
803752	2739	1995-05-07	VYDAJ	PREVOD NA UCET	414	29514	SIPO	WX	92235922
803753	2739	1995-06-07	VYDAJ	PREVOD NA UCET	414	31893	SIPO	WX	92235922
803754	2739	1995-07-07	VYDAJ	PREVOD NA UCET	414	26512	SIPO	WX	92235922
803755	2739	1995-08-07	VYDAJ	PREVOD NA UCET	414	24756	SIPO	WX	92235922
803756	2739	1995-09-07	VYDAJ	PREVOD NA UCET	414	24917	SIPO	WX	92235922
803757	2739	1995-10-07	VYDAJ	PREVOD NA UCET	414	24878	SIPO	WX	92235922
803758	2739	1995-11-07	VYDAJ	PREVOD NA UCET	414	21466	SIPO	WX	92235922
803759	2739	1995-12-07	VYDAJ	PREVOD NA UCET	414	24836	SIPO	WX	92235922
803760	2739	1996-01-07	VYDAJ	PREVOD NA UCET	414	22392	SIPO	WX	92235922
803761	2739	1996-02-07	VYDAJ	PREVOD NA UCET	414	19737	SIPO	WX	92235922
803762	2739	1996-03-07	VYDAJ	PREVOD NA UCET	414	17872	SIPO	WX	92235922
803763	2739	1996-04-07	VYDAJ	PREVOD NA UCET	414	20107	SIPO	WX	92235922
803764	2739	1996-05-07	VYDAJ	PREVOD NA UCET	414	17642	SIPO	WX	92235922
803765	2739	1996-06-07	VYDAJ	PREVOD NA UCET	414	23417	SIPO	WX	92235922
803766	2739	1996-07-07	VYDAJ	PREVOD NA UCET	414	19860	SIPO	WX	92235922
803767	2739	1996-08-07	VYDAJ	PREVOD NA UCET	414	19297	SIPO	WX	92235922
803768	2739	1996-09-07	VYDAJ	PREVOD NA UCET	414	21638	SIPO	WX	92235922
803769	2739	1996-10-07	VYDAJ	PREVOD NA UCET	414	20740	SIPO	WX	92235922
803770	2739	1996-11-07	VYDAJ	PREVOD NA UCET	414	23086	SIPO	WX	92235922
803771	2739	1996-12-07	VYDAJ	PREVOD NA UCET	414	21264	SIPO	WX	92235922
803772	2739	1997-01-07	VYDAJ	PREVOD NA UCET	414	21210	SIPO	WX	92235922
803773	2739	1997-02-07	VYDAJ	PREVOD NA UCET	414	23559	SIPO	WX	92235922
803774	2739	1997-03-07	VYDAJ	PREVOD NA UCET	414	25917	SIPO	WX	92235922
803775	2739	1997-04-07	VYDAJ	PREVOD NA UCET	414	23365	SIPO	WX	92235922
803776	2739	1997-05-07	VYDAJ	PREVOD NA UCET	414	24885	SIPO	WX	92235922
803777	2739	1997-06-07	VYDAJ	PREVOD NA UCET	414	30689	SIPO	WX	92235922
803778	2739	1997-07-07	VYDAJ	PREVOD NA UCET	414	20640	SIPO	WX	92235922
803779	2739	1997-08-07	VYDAJ	PREVOD NA UCET	414	22986	SIPO	WX	92235922
803780	2739	1997-09-07	VYDAJ	PREVOD NA UCET	414	25341	SIPO	WX	92235922
803781	2739	1997-10-07	VYDAJ	PREVOD NA UCET	414	18214	SIPO	WX	92235922
803782	2739	1997-11-07	VYDAJ	PREVOD NA UCET	414	20554	SIPO	WX	92235922
803783	2739	1997-12-07	VYDAJ	PREVOD NA UCET	414	26340	SIPO	WX	92235922
803784	2739	1998-01-07	VYDAJ	PREVOD NA UCET	414	24539	SIPO	WX	92235922
803785	2739	1998-02-07	VYDAJ	PREVOD NA UCET	414	24185	SIPO	WX	92235922
803786	2739	1998-03-07	VYDAJ	PREVOD NA UCET	414	26545	SIPO	WX	92235922
803787	2739	1998-04-07	VYDAJ	PREVOD NA UCET	414	25667	SIPO	WX	92235922
803788	2739	1998-05-07	VYDAJ	PREVOD NA UCET	414	28033	SIPO	WX	92235922
803789	2739	1998-06-07	VYDAJ	PREVOD NA UCET	414	33850	SIPO	WX	92235922
803790	2739	1998-07-07	VYDAJ	PREVOD NA UCET	414	36247	SIPO	WX	92235922
803791	2739	1998-08-07	VYDAJ	PREVOD NA UCET	414	38657	SIPO	WX	92235922
803792	2739	1998-09-07	VYDAJ	PREVOD NA UCET	414	41077	SIPO	WX	92235922
803793	2739	1998-10-07	VYDAJ	PREVOD NA UCET	414	43507	SIPO	WX	92235922
803794	2739	1998-11-07	VYDAJ	PREVOD NA UCET	414	40188	SIPO	WX	92235922
803795	2739	1998-12-07	VYDAJ	PREVOD NA UCET	414	46059	SIPO	WX	92235922
803811	2739	1994-04-09	VYDAJ	PREVOD NA UCET	4173	32849	 	AB	56375890
803812	2739	1994-05-09	VYDAJ	PREVOD NA UCET	4173	30921	 	AB	56375890
803813	2739	1994-06-09	VYDAJ	PREVOD NA UCET	4173	23919	 	AB	56375890
803814	2739	1994-07-09	VYDAJ	PREVOD NA UCET	4173	25045	 	AB	56375890
803815	2739	1994-08-09	VYDAJ	PREVOD NA UCET	4173	28129	 	AB	56375890
803816	2739	1994-09-09	VYDAJ	PREVOD NA UCET	4173	30825	 	AB	56375890
803817	2739	1994-10-09	VYDAJ	PREVOD NA UCET	4173	27411	 	AB	56375890
803818	2739	1994-11-09	VYDAJ	PREVOD NA UCET	4173	27105	 	AB	56375890
803819	2739	1994-12-09	VYDAJ	PREVOD NA UCET	4173	31936	 	AB	56375890
803820	2739	1995-01-09	VYDAJ	PREVOD NA UCET	4173	21135	 	AB	56375890
803821	2739	1995-02-09	VYDAJ	PREVOD NA UCET	4173	21804	 	AB	56375890
803822	2739	1995-03-09	VYDAJ	PREVOD NA UCET	4173	24974	 	AB	56375890
803823	2739	1995-04-09	VYDAJ	PREVOD NA UCET	4173	26456	 	AB	56375890
803824	2739	1995-05-09	VYDAJ	PREVOD NA UCET	4173	25341	 	AB	56375890
803825	2739	1995-06-09	VYDAJ	PREVOD NA UCET	4173	27720	 	AB	56375890
803826	2739	1995-07-09	VYDAJ	PREVOD NA UCET	4173	22339	 	AB	56375890
803827	2739	1995-08-09	VYDAJ	PREVOD NA UCET	4173	20583	 	AB	56375890
803828	2739	1995-09-09	VYDAJ	PREVOD NA UCET	4173	20744	 	AB	56375890
803829	2739	1995-10-09	VYDAJ	PREVOD NA UCET	4173	16745	 	AB	56375890
803830	2739	1995-11-09	VYDAJ	PREVOD NA UCET	4173	17293	 	AB	56375890
803831	2739	1995-12-09	VYDAJ	PREVOD NA UCET	4173	20663	 	AB	56375890
803832	2739	1996-01-09	VYDAJ	PREVOD NA UCET	4173	18219	 	AB	56375890
803833	2739	1996-02-09	VYDAJ	PREVOD NA UCET	4173	15564	 	AB	56375890
803834	2739	1996-03-09	VYDAJ	PREVOD NA UCET	4173	13699	 	AB	56375890
803835	2739	1996-04-09	VYDAJ	PREVOD NA UCET	4173	15934	 	AB	56375890
803836	2739	1996-05-09	VYDAJ	PREVOD NA UCET	4173	13469	 	AB	56375890
803837	2739	1996-06-09	VYDAJ	PREVOD NA UCET	4173	19244	 	AB	56375890
803838	2739	1996-07-09	VYDAJ	PREVOD NA UCET	4173	15687	 	AB	56375890
803839	2739	1996-08-09	VYDAJ	PREVOD NA UCET	4173	15124	 	AB	56375890
803840	2739	1996-09-09	VYDAJ	PREVOD NA UCET	4173	17465	 	AB	56375890
803841	2739	1996-10-09	VYDAJ	PREVOD NA UCET	4173	16567	 	AB	56375890
803842	2739	1996-11-09	VYDAJ	PREVOD NA UCET	4173	18913	 	AB	56375890
803843	2739	1996-12-09	VYDAJ	PREVOD NA UCET	4173	17091	 	AB	56375890
803844	2739	1997-01-09	VYDAJ	PREVOD NA UCET	4173	17037	 	AB	56375890
803845	2739	1997-02-09	VYDAJ	PREVOD NA UCET	4173	19386	 	AB	56375890
803846	2739	1997-03-09	VYDAJ	PREVOD NA UCET	4173	21744	 	AB	56375890
803847	2739	1997-04-09	VYDAJ	PREVOD NA UCET	4173	19192	 	AB	56375890
803848	2739	1997-05-09	VYDAJ	PREVOD NA UCET	4173	20712	 	AB	56375890
803849	2739	1997-06-09	VYDAJ	PREVOD NA UCET	4173	26516	 	AB	56375890
803850	2739	1997-07-09	VYDAJ	PREVOD NA UCET	4173	16467	 	AB	56375890
803851	2739	1997-08-09	VYDAJ	PREVOD NA UCET	4173	18813	 	AB	56375890
803852	2739	1997-09-09	VYDAJ	PREVOD NA UCET	4173	21168	 	AB	56375890
803853	2739	1997-10-09	VYDAJ	PREVOD NA UCET	4173	14041	 	AB	56375890
803854	2739	1997-11-09	VYDAJ	PREVOD NA UCET	4173	16381	 	AB	56375890
803855	2739	1997-12-09	VYDAJ	PREVOD NA UCET	4173	22167	 	AB	56375890
803856	2739	1998-01-09	VYDAJ	PREVOD NA UCET	4173	17646	 	AB	56375890
803857	2739	1998-02-09	VYDAJ	PREVOD NA UCET	4173	20012	 	AB	56375890
803858	2739	1998-03-09	VYDAJ	PREVOD NA UCET	4173	22372	 	AB	56375890
803859	2739	1998-04-09	VYDAJ	PREVOD NA UCET	4173	21494	 	AB	56375890
803860	2739	1998-05-09	VYDAJ	PREVOD NA UCET	4173	23860	 	AB	56375890
803861	2739	1998-06-09	VYDAJ	PREVOD NA UCET	4173	29677	 	AB	56375890
803862	2739	1998-07-09	VYDAJ	PREVOD NA UCET	4173	32074	 	AB	56375890
803863	2739	1998-08-09	VYDAJ	PREVOD NA UCET	4173	34484	 	AB	56375890
803864	2739	1998-09-09	VYDAJ	PREVOD NA UCET	4173	36904	 	AB	56375890
803865	2739	1998-10-09	VYDAJ	PREVOD NA UCET	4173	39334	 	AB	56375890
803866	2739	1998-11-09	VYDAJ	PREVOD NA UCET	4173	36015	 	AB	56375890
803867	2739	1998-12-09	VYDAJ	PREVOD NA UCET	4173	41886	 	AB	56375890
803879	2739	1998-01-09	VYDAJ	VYBER	2720	21819	\N	\N	\N
803881	2739	1994-12-11	VYDAJ	VYBER	960	30976	\N	\N	\N
803882	2739	1995-12-06	VYDAJ	VYBER	1920	25250	\N	\N	\N
803883	2739	1996-12-09	VYDAJ	VYBER	2400	14691	\N	\N	\N
803884	2739	1997-12-18	VYDAJ	VYBER	4160	18007	\N	\N	\N
803885	2739	1998-12-22	VYDAJ	VYBER	1280	40006	\N	\N	\N
803892	2739	1994-10-06	VYDAJ	VYBER	4320	31998	\N	\N	\N
803893	2739	1994-06-14	VYDAJ	VYBER	4440	19479	\N	\N	\N
803894	2739	1994-04-21	VYDAJ	VYBER	2040	30809	\N	\N	\N
803895	2739	1994-05-29	VYDAJ	VYBER	3960	18081	\N	\N	\N
803896	2739	1994-05-09	VYDAJ	VYBER	1440	29481	\N	\N	\N
803897	2739	1994-05-24	VYDAJ	VYBER	5040	24441	\N	\N	\N
803899	2739	1995-05-19	VYDAJ	VYBER	2040	23301	\N	\N	\N
803900	2739	1995-07-10	VYDAJ	VYBER	1320	21019	\N	\N	\N
803901	2739	1995-10-07	VYDAJ	VYBER	3960	20918	\N	\N	\N
803902	2739	1995-01-02	VYDAJ	VYBER	5640	18841	\N	\N	\N
803903	2739	1995-06-19	VYDAJ	VYBER	5160	22560	\N	\N	\N
803904	2739	1996-09-12	VYDAJ	VYBER	3240	14225	\N	\N	\N
803909	2739	1997-10-06	VYDAJ	VYBER	5160	18628	\N	\N	\N
803910	2739	1997-04-16	VYDAJ	VYBER	840	18352	\N	\N	\N
803912	2739	1997-04-07	VYDAJ	VYBER	4920	23779	\N	\N	\N
803913	2739	1997-09-10	VYDAJ	VYBER	4320	16848	\N	\N	\N
803914	2739	1998-11-04	VYDAJ	VYBER	5760	33721	\N	\N	\N
803915	2739	1998-12-21	VYDAJ	VYBER	600	41286	\N	\N	\N
803916	2739	1998-03-14	VYDAJ	VYBER	3240	19132	\N	\N	\N
803917	2739	1998-12-26	VYDAJ	VYBER	4680	35326	\N	\N	\N
803934	2739	1994-04-30	VYDAJ	VYBER	15	28627	SLUZBY	\N	\N
803935	2739	1994-05-31	VYDAJ	VYBER	15	18184	SLUZBY	\N	\N
803936	2739	1994-06-30	VYDAJ	VYBER	15	22751	SLUZBY	\N	\N
803937	2739	1994-07-31	VYDAJ	VYBER	15	25835	SLUZBY	\N	\N
803938	2739	1994-08-31	VYDAJ	VYBER	15	28531	SLUZBY	\N	\N
803939	2739	1994-09-30	VYDAJ	VYBER	15	29437	SLUZBY	\N	\N
803940	2739	1994-10-31	VYDAJ	VYBER	15	24811	SLUZBY	\N	\N
803941	2739	1994-11-30	VYDAJ	VYBER	15	26201	SLUZBY	\N	\N
803942	2739	1994-12-31	VYDAJ	VYBER	15	24481	SLUZBY	\N	\N
803943	2739	1995-01-31	VYDAJ	VYBER	15	19510	SLUZBY	\N	\N
803944	2739	1995-02-28	VYDAJ	VYBER	15	22680	SLUZBY	\N	\N
803945	2739	1995-03-31	VYDAJ	VYBER	15	24162	SLUZBY	\N	\N
803946	2739	1995-04-30	VYDAJ	VYBER	15	23047	SLUZBY	\N	\N
803947	2739	1995-05-31	VYDAJ	VYBER	15	21986	SLUZBY	\N	\N
803948	2739	1995-06-30	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
803949	2739	1995-07-31	VYDAJ	VYBER	15	18289	SLUZBY	\N	\N
803950	2739	1995-08-31	VYDAJ	VYBER	15	18450	SLUZBY	\N	\N
803951	2739	1995-09-30	VYDAJ	VYBER	15	18411	SLUZBY	\N	\N
803952	2739	1995-10-31	VYDAJ	VYBER	15	14999	SLUZBY	\N	\N
803953	2739	1995-11-30	VYDAJ	VYBER	15	16849	SLUZBY	\N	\N
803954	2739	1995-12-31	VYDAJ	VYBER	15	15925	SLUZBY	\N	\N
803955	2739	1996-01-31	VYDAJ	VYBER	15	13270	SLUZBY	\N	\N
803956	2739	1996-02-29	VYDAJ	VYBER	15	11405	SLUZBY	\N	\N
803957	2739	1996-03-31	VYDAJ	VYBER	15	13640	SLUZBY	\N	\N
803958	2739	1996-04-30	VYDAJ	VYBER	15	11175	SLUZBY	\N	\N
803959	2739	1996-05-31	VYDAJ	VYBER	15	13509	SLUZBY	\N	\N
803960	2739	1996-06-30	VYDAJ	VYBER	15	13393	SLUZBY	\N	\N
803961	2739	1996-07-31	VYDAJ	VYBER	15	12830	SLUZBY	\N	\N
803962	2739	1996-08-31	VYDAJ	VYBER	15	15171	SLUZBY	\N	\N
803963	2739	1996-09-30	VYDAJ	VYBER	15	14273	SLUZBY	\N	\N
803964	2739	1996-10-31	VYDAJ	VYBER	15	16619	SLUZBY	\N	\N
803965	2739	1996-11-30	VYDAJ	VYBER	15	11357	SLUZBY	\N	\N
803966	2739	1996-12-31	VYDAJ	VYBER	15	14743	SLUZBY	\N	\N
803967	2739	1997-01-31	VYDAJ	VYBER	15	17092	SLUZBY	\N	\N
803968	2739	1997-02-28	VYDAJ	VYBER	15	19450	SLUZBY	\N	\N
803969	2739	1997-03-31	VYDAJ	VYBER	15	21818	SLUZBY	\N	\N
803970	2739	1997-04-30	VYDAJ	VYBER	15	18418	SLUZBY	\N	\N
803971	2739	1997-05-31	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
803972	2739	1997-06-30	VYDAJ	VYBER	15	14173	SLUZBY	\N	\N
803973	2739	1997-07-31	VYDAJ	VYBER	15	16519	SLUZBY	\N	\N
803974	2739	1997-08-31	VYDAJ	VYBER	15	18874	SLUZBY	\N	\N
803975	2739	1997-09-30	VYDAJ	VYBER	15	16907	SLUZBY	\N	\N
803976	2739	1997-10-31	VYDAJ	VYBER	15	14087	SLUZBY	\N	\N
803977	2739	1997-11-30	VYDAJ	VYBER	15	16433	SLUZBY	\N	\N
803978	2739	1997-12-31	VYDAJ	VYBER	15	18072	SLUZBY	\N	\N
803979	2739	1998-01-31	VYDAJ	VYBER	15	17718	SLUZBY	\N	\N
803980	2739	1998-02-28	VYDAJ	VYBER	15	20078	SLUZBY	\N	\N
803981	2739	1998-03-31	VYDAJ	VYBER	15	19200	SLUZBY	\N	\N
803982	2739	1998-04-30	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
803983	2739	1998-05-31	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
803984	2739	1998-06-30	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
803985	2739	1998-07-31	VYDAJ	VYBER	15	32190	SLUZBY	\N	\N
803986	2739	1998-08-31	VYDAJ	VYBER	15	34610	SLUZBY	\N	\N
803987	2739	1998-09-30	VYDAJ	VYBER	15	37040	SLUZBY	\N	\N
803988	2739	1998-10-31	VYDAJ	VYBER	15	39481	SLUZBY	\N	\N
803989	2739	1998-11-30	VYDAJ	VYBER	15	36152	SLUZBY	\N	\N
803990	2739	1993-12-29	PRIJEM	VKLAD	7000	17922	\N	\N	\N
803991	2739	1994-01-28	VYDAJ	VYBER	2500	22310	\N	\N	\N
803992	2739	1994-02-27	VYDAJ	VYBER	2800	26468	\N	\N	\N
803993	2739	1994-03-29	VYDAJ	VYBER	3000	30443	\N	\N	\N
803994	2739	1994-04-28	VYDAJ	VYBER	2300	28509	\N	\N	\N
803995	2739	1994-05-28	VYDAJ	VYBER	2400	22041	\N	\N	\N
803996	2739	1994-06-27	PRIJEM	VKLAD	3200	22679	\N	\N	\N
803997	2739	1994-07-27	PRIJEM	VKLAD	700	25745	\N	\N	\N
803998	2739	1994-08-26	PRIJEM	VKLAD	300	28429	\N	\N	\N
803999	2739	1994-09-25	VYDAJ	VYBER	1500	29325	\N	\N	\N
804000	2739	1994-10-25	VYDAJ	VYBER	2700	24711	\N	\N	\N
804001	2739	1994-11-24	VYDAJ	VYBER	1000	26105	\N	\N	\N
804002	2739	1994-12-24	VYDAJ	VYBER	6600	24376	\N	\N	\N
804003	2739	1995-01-23	VYDAJ	VYBER	1700	19435	\N	\N	\N
804004	2739	1995-02-22	PRIJEM	VKLAD	800	22604	\N	\N	\N
804005	2739	1995-03-24	VYDAJ	VYBER	900	24074	\N	\N	\N
804006	2739	1995-04-23	VYDAJ	VYBER	3500	22956	\N	\N	\N
804007	2739	1995-05-23	VYDAJ	VYBER	1400	21901	\N	\N	\N
804008	2739	1995-06-22	VYDAJ	VYBER	2600	19960	\N	\N	\N
804009	2739	1995-07-22	VYDAJ	VYBER	2800	18219	\N	\N	\N
804010	2739	1995-08-21	VYDAJ	VYBER	2200	18383	\N	\N	\N
804011	2739	1995-09-20	VYDAJ	VYBER	2400	18344	\N	\N	\N
804012	2739	1995-10-20	VYDAJ	VYBER	1800	14945	\N	\N	\N
804013	2739	1995-11-19	VYDAJ	VYBER	500	16793	\N	\N	\N
804014	2739	1995-12-19	VYDAJ	VYBER	4800	15863	\N	\N	\N
804015	2739	1996-01-18	VYDAJ	VYBER	5000	13219	\N	\N	\N
804016	2739	1996-02-17	VYDAJ	VYBER	4200	11364	\N	\N	\N
804017	2739	1996-03-18	VYDAJ	VYBER	100	13599	\N	\N	\N
804018	2739	1996-04-17	VYDAJ	VYBER	4800	11134	\N	\N	\N
804019	2739	1996-06-16	VYDAJ	VYBER	5900	13344	\N	\N	\N
804020	2739	1996-07-16	VYDAJ	VYBER	2900	12787	\N	\N	\N
804021	2739	1996-11-13	VYDAJ	VYBER	7600	11313	\N	\N	\N
804022	2739	1997-06-11	VYDAJ	VYBER	12400	14116	\N	\N	\N
804084	2740	1994-05-08	PRIJEM	VKLAD	400	400	\N	\N	\N
804089	2740	1994-05-11	PRIJEM	VKLAD	22126	22526	\N	\N	\N
804090	2740	1994-06-11	PRIJEM	VKLAD	33189	56179	\N	\N	\N
804091	2740	1994-07-11	PRIJEM	VKLAD	22126	61492	\N	\N	\N
804092	2740	1994-08-11	PRIJEM	VKLAD	22126	64267	\N	\N	\N
804093	2740	1994-09-11	PRIJEM	VKLAD	22126	67657	\N	\N	\N
804094	2740	1994-10-11	PRIJEM	VKLAD	22126	67246	\N	\N	\N
804095	2740	1994-11-11	PRIJEM	VKLAD	22126	66738	\N	\N	\N
804096	2740	1994-12-11	PRIJEM	VKLAD	33189	80191	\N	\N	\N
804097	2740	1995-01-11	PRIJEM	VKLAD	22126	68900	\N	\N	\N
804098	2740	1995-02-11	PRIJEM	VKLAD	22126	64981	\N	\N	\N
804099	2740	1995-03-11	PRIJEM	VKLAD	22126	67460	\N	\N	\N
804100	2740	1995-04-11	PRIJEM	VKLAD	22126	67350	\N	\N	\N
804101	2740	1995-05-11	PRIJEM	VKLAD	22126	64642	\N	\N	\N
804102	2740	1995-06-11	PRIJEM	VKLAD	33189	72590	\N	\N	\N
804103	2740	1995-07-11	PRIJEM	VKLAD	22126	46641	\N	\N	\N
804104	2740	1995-08-11	PRIJEM	VKLAD	22126	55633	\N	\N	\N
804105	2740	1995-09-11	PRIJEM	VKLAD	22126	57752	\N	\N	\N
804106	2740	1995-10-11	PRIJEM	VKLAD	22126	59111	\N	\N	\N
804107	2740	1995-11-11	PRIJEM	VKLAD	22126	61677	\N	\N	\N
804108	2740	1995-12-11	PRIJEM	VKLAD	33189	69615	\N	\N	\N
804109	2740	1996-01-11	PRIJEM	VKLAD	22126	63379	\N	\N	\N
804110	2740	1996-02-11	PRIJEM	VKLAD	22126	54574	\N	\N	\N
804111	2740	1996-03-11	PRIJEM	VKLAD	22126	53520	\N	\N	\N
804112	2740	1996-04-11	PRIJEM	VKLAD	22126	51760	\N	\N	\N
804113	2740	1996-05-11	PRIJEM	VKLAD	22126	51345	\N	\N	\N
804114	2740	1996-06-11	PRIJEM	VKLAD	33189	60639	\N	\N	\N
804115	2740	1996-07-11	PRIJEM	VKLAD	22126	40368	\N	\N	\N
804116	2740	1996-08-11	PRIJEM	VKLAD	22126	41555	\N	\N	\N
804117	2740	1996-09-11	PRIJEM	VKLAD	22126	40845	\N	\N	\N
804118	2740	1996-10-11	PRIJEM	VKLAD	22126	38531	\N	\N	\N
804119	2740	1996-11-11	PRIJEM	VKLAD	22126	38509	\N	\N	\N
804120	2740	1996-12-11	PRIJEM	VKLAD	33189	47670	\N	\N	\N
804121	2740	1997-01-11	PRIJEM	VKLAD	22126	38998	\N	\N	\N
804122	2740	1997-02-11	PRIJEM	VKLAD	22126	37710	\N	\N	\N
804123	2740	1997-03-11	PRIJEM	VKLAD	22126	39587	\N	\N	\N
804124	2740	1997-04-11	PRIJEM	VKLAD	22126	42173	\N	\N	\N
804125	2740	1997-05-11	PRIJEM	VKLAD	22126	43367	\N	\N	\N
804126	2740	1997-06-11	PRIJEM	VKLAD	33189	51241	\N	\N	\N
804127	2740	1997-07-11	PRIJEM	VKLAD	22126	41741	\N	\N	\N
804128	2740	1997-08-11	PRIJEM	VKLAD	22126	41333	\N	\N	\N
804129	2740	1997-09-11	PRIJEM	VKLAD	22126	44055	\N	\N	\N
804130	2740	1997-10-11	PRIJEM	VKLAD	22126	46159	\N	\N	\N
804131	2740	1997-11-11	PRIJEM	VKLAD	22126	48071	\N	\N	\N
804132	2740	1997-12-11	PRIJEM	VKLAD	33189	56947	\N	\N	\N
804133	2740	1998-01-11	PRIJEM	VKLAD	22126	50491	\N	\N	\N
804134	2740	1998-02-11	PRIJEM	VKLAD	22126	39429	\N	\N	\N
804135	2740	1998-03-11	PRIJEM	VKLAD	22126	41523	\N	\N	\N
804136	2740	1998-04-11	PRIJEM	VKLAD	22126	41037	\N	\N	\N
804137	2740	1998-05-11	PRIJEM	VKLAD	22126	38017	\N	\N	\N
804138	2740	1998-06-11	PRIJEM	VKLAD	33189	71258	\N	\N	\N
804139	2740	1998-07-11	PRIJEM	VKLAD	22126	57122	\N	\N	\N
804140	2740	1998-08-11	PRIJEM	VKLAD	22126	40850	\N	\N	\N
804141	2740	1998-09-11	PRIJEM	VKLAD	22126	37646	\N	\N	\N
804142	2740	1998-10-11	PRIJEM	VKLAD	22126	41828	\N	\N	\N
804143	2740	1998-11-11	PRIJEM	VKLAD	22126	42017	\N	\N	\N
804144	2740	1998-12-11	PRIJEM	VKLAD	33189	54273	\N	\N	\N
804146	2740	1995-06-19	VYDAJ	VYBER	25100	42590	\N	\N	\N
804147	2740	1996-06-19	VYDAJ	VYBER	22100	38539	\N	\N	\N
804148	2740	1997-06-17	VYDAJ	VYBER	8700	42541	\N	\N	\N
804150	2740	1994-12-04	VYDAJ	VYBER	1000	65502	\N	\N	\N
804151	2740	1995-12-30	VYDAJ	VYBER	800	41115	\N	\N	\N
804152	2740	1996-12-12	VYDAJ	VYBER	600	47070	\N	\N	\N
804153	2740	1997-12-13	VYDAJ	VYBER	1400	55547	\N	\N	\N
804154	2740	1998-12-29	VYDAJ	VYBER	1700	23573	\N	\N	\N
804161	2740	1995-01-25	VYDAJ	VYBER	1700	64900	\N	\N	\N
804162	2740	1995-01-08	VYDAJ	VYBER	1700	46774	\N	\N	\N
804163	2740	1995-01-27	VYDAJ	VYBER	1400	63500	\N	\N	\N
804164	2740	1995-01-30	VYDAJ	VYBER	800	62700	\N	\N	\N
804165	2740	1995-01-19	VYDAJ	VYBER	2300	66600	\N	\N	\N
804166	2740	1995-01-05	VYDAJ	VYBER	2700	50374	\N	\N	\N
804167	2740	1996-01-23	VYDAJ	VYBER	2900	57479	\N	\N	\N
804168	2740	1996-01-26	VYDAJ	VYBER	1200	54179	\N	\N	\N
804169	2740	1996-01-20	VYDAJ	VYBER	1300	62079	\N	\N	\N
804170	2740	1996-01-27	VYDAJ	VYBER	2800	51379	\N	\N	\N
804171	2740	1996-01-24	VYDAJ	VYBER	2100	55379	\N	\N	\N
804172	2740	1996-01-23	VYDAJ	VYBER	1700	60379	\N	\N	\N
804173	2740	1997-01-01	VYDAJ	VYBER	2200	16872	\N	\N	\N
804175	2740	1997-01-20	VYDAJ	VYBER	1400	36098	\N	\N	\N
804177	2740	1997-01-15	VYDAJ	VYBER	1500	37498	\N	\N	\N
804178	2740	1997-01-21	VYDAJ	VYBER	700	35398	\N	\N	\N
804179	2740	1998-01-30	VYDAJ	VYBER	1500	22191	\N	\N	\N
804180	2740	1998-01-06	VYDAJ	VYBER	1500	28365	\N	\N	\N
804181	2740	1998-01-05	VYDAJ	VYBER	2100	29865	\N	\N	\N
804182	2740	1998-01-30	VYDAJ	VYBER	1600	23691	\N	\N	\N
804183	2740	1998-01-30	VYDAJ	VYBER	2700	19491	\N	\N	\N
804184	2740	1998-01-30	VYDAJ	VYBER	2300	17191	\N	\N	\N
804188	2740	1994-11-27	VYDAJ	VYBER	500	66238	\N	\N	\N
804189	2740	1995-01-07	VYDAJ	VYBER	1900	48474	\N	\N	\N
804190	2740	1995-06-16	VYDAJ	VYBER	4900	67690	\N	\N	\N
804191	2740	1995-08-12	VYDAJ	VYBER	3900	51733	\N	\N	\N
804192	2740	1995-07-08	VYDAJ	VYBER	3700	24515	\N	\N	\N
804194	2740	1996-12-30	VYDAJ	VYBER	4700	18970	\N	\N	\N
804195	2740	1996-04-03	VYDAJ	VYBER	1200	29634	\N	\N	\N
804196	2740	1996-11-14	VYDAJ	VYBER	4300	34209	\N	\N	\N
804198	2740	1997-08-07	VYDAJ	VYBER	1400	19207	\N	\N	\N
804200	2740	1997-05-15	VYDAJ	VYBER	3000	40367	\N	\N	\N
804201	2740	1997-03-28	VYDAJ	VYBER	1300	19987	\N	\N	\N
804202	2740	1998-03-02	VYDAJ	VYBER	500	23797	\N	\N	\N
804203	2740	1998-08-06	VYDAJ	VYBER	4400	18724	\N	\N	\N
804204	2740	1998-03-08	VYDAJ	VYBER	4400	19397	\N	\N	\N
804205	2740	1998-06-15	VYDAJ	VYBER	500	70758	\N	\N	\N
804206	2740	1998-03-19	VYDAJ	VYBER	2400	18823	\N	\N	\N
804216	2740	1994-09-30	VYDAJ	VYBER	15	67920	SLUZBY	\N	\N
804217	2740	1994-10-31	VYDAJ	VYBER	15	67512	SLUZBY	\N	\N
804218	2740	1994-11-30	VYDAJ	VYBER	15	66502	SLUZBY	\N	\N
804219	2740	1994-12-31	VYDAJ	VYBER	15	80474	SLUZBY	\N	\N
804220	2740	1995-01-31	VYDAJ	VYBER	15	62955	SLUZBY	\N	\N
804221	2740	1995-02-28	VYDAJ	VYBER	15	65234	SLUZBY	\N	\N
804222	2740	1995-03-31	VYDAJ	VYBER	15	67724	SLUZBY	\N	\N
804223	2740	1995-04-30	VYDAJ	VYBER	15	67616	SLUZBY	\N	\N
804224	2740	1995-05-31	VYDAJ	VYBER	15	64901	SLUZBY	\N	\N
804225	2740	1995-06-30	VYDAJ	VYBER	15	42815	SLUZBY	\N	\N
804226	2740	1995-07-31	VYDAJ	VYBER	15	46807	SLUZBY	\N	\N
804227	2740	1995-08-31	VYDAJ	VYBER	15	35626	SLUZBY	\N	\N
804228	2740	1995-09-30	VYDAJ	VYBER	15	36985	SLUZBY	\N	\N
804229	2740	1995-10-31	VYDAJ	VYBER	15	39551	SLUZBY	\N	\N
804230	2740	1995-11-30	VYDAJ	VYBER	15	36426	SLUZBY	\N	\N
804231	2740	1995-12-31	VYDAJ	VYBER	15	41253	SLUZBY	\N	\N
804232	2740	1996-01-31	VYDAJ	VYBER	15	32448	SLUZBY	\N	\N
804233	2740	1996-02-29	VYDAJ	VYBER	15	31394	SLUZBY	\N	\N
804234	2740	1996-03-31	VYDAJ	VYBER	15	30834	SLUZBY	\N	\N
804235	2740	1996-04-30	VYDAJ	VYBER	15	29219	SLUZBY	\N	\N
804236	2740	1996-05-31	VYDAJ	VYBER	15	27450	SLUZBY	\N	\N
804237	2740	1996-06-30	VYDAJ	VYBER	15	18242	SLUZBY	\N	\N
804238	2740	1996-07-31	VYDAJ	VYBER	15	19429	SLUZBY	\N	\N
804239	2740	1996-08-31	VYDAJ	VYBER	15	18719	SLUZBY	\N	\N
804240	2740	1996-09-30	VYDAJ	VYBER	15	16405	SLUZBY	\N	\N
804241	2740	1996-10-31	VYDAJ	VYBER	15	16383	SLUZBY	\N	\N
804242	2740	1996-11-30	VYDAJ	VYBER	15	14481	SLUZBY	\N	\N
804243	2740	1996-12-31	VYDAJ	VYBER	15	19072	SLUZBY	\N	\N
804244	2740	1997-01-31	VYDAJ	VYBER	15	15584	SLUZBY	\N	\N
804245	2740	1997-02-28	VYDAJ	VYBER	15	17461	SLUZBY	\N	\N
804246	2740	1997-03-31	VYDAJ	VYBER	15	20047	SLUZBY	\N	\N
804247	2740	1997-04-30	VYDAJ	VYBER	15	21241	SLUZBY	\N	\N
804248	2740	1997-05-31	VYDAJ	VYBER	15	18052	SLUZBY	\N	\N
804249	2740	1997-06-30	VYDAJ	VYBER	15	19615	SLUZBY	\N	\N
804250	2740	1997-07-31	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
804251	2740	1997-08-31	VYDAJ	VYBER	15	21929	SLUZBY	\N	\N
804252	2740	1997-09-30	VYDAJ	VYBER	15	24033	SLUZBY	\N	\N
804253	2740	1997-10-31	VYDAJ	VYBER	15	25945	SLUZBY	\N	\N
804254	2740	1997-11-30	VYDAJ	VYBER	15	23758	SLUZBY	\N	\N
804255	2740	1997-12-31	VYDAJ	VYBER	15	31965	SLUZBY	\N	\N
804256	2740	1998-01-31	VYDAJ	VYBER	15	17303	SLUZBY	\N	\N
804257	2740	1998-02-28	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
804258	2740	1998-03-31	VYDAJ	VYBER	15	18911	SLUZBY	\N	\N
804259	2740	1998-04-30	VYDAJ	VYBER	15	15891	SLUZBY	\N	\N
804260	2740	1998-05-31	VYDAJ	VYBER	15	38069	SLUZBY	\N	\N
804261	2740	1998-06-30	VYDAJ	VYBER	15	34996	SLUZBY	\N	\N
804262	2740	1998-07-31	VYDAJ	VYBER	15	23124	SLUZBY	\N	\N
804263	2740	1998-08-31	VYDAJ	VYBER	15	15520	SLUZBY	\N	\N
804264	2740	1998-09-30	VYDAJ	VYBER	15	19702	SLUZBY	\N	\N
804265	2740	1998-10-31	VYDAJ	VYBER	15	19891	SLUZBY	\N	\N
804266	2740	1998-11-30	VYDAJ	VYBER	15	21084	SLUZBY	\N	\N
804267	2740	1994-06-07	PRIJEM	VKLAD	400	22990	\N	\N	\N
804268	2740	1994-07-07	VYDAJ	VYBER	17000	39366	\N	\N	\N
804269	2740	1994-08-06	VYDAJ	VYBER	19600	42141	\N	\N	\N
804270	2740	1994-09-05	VYDAJ	VYBER	19000	45531	\N	\N	\N
804271	2740	1994-10-05	VYDAJ	VYBER	22800	45120	\N	\N	\N
804272	2740	1994-11-04	VYDAJ	VYBER	22900	44612	\N	\N	\N
804273	2740	1994-12-04	VYDAJ	VYBER	18500	47002	\N	\N	\N
804274	2740	1995-01-03	VYDAJ	VYBER	27400	53074	\N	\N	\N
804275	2740	1995-02-02	VYDAJ	VYBER	20100	42855	\N	\N	\N
804276	2740	1995-03-04	VYDAJ	VYBER	19900	45334	\N	\N	\N
804277	2740	1995-04-03	VYDAJ	VYBER	22500	45224	\N	\N	\N
804278	2740	1995-05-03	VYDAJ	VYBER	25100	42516	\N	\N	\N
804279	2740	1995-06-02	VYDAJ	VYBER	25500	39401	\N	\N	\N
804280	2740	1995-07-02	VYDAJ	VYBER	14600	28215	\N	\N	\N
804281	2740	1995-08-01	VYDAJ	VYBER	13300	33507	\N	\N	\N
804282	2740	1995-08-31	VYDAJ	VYBER	16300	35640	\N	\N	\N
804283	2740	1995-09-30	VYDAJ	VYBER	20900	37000	\N	\N	\N
804284	2740	1995-10-30	VYDAJ	VYBER	19700	39411	\N	\N	\N
804285	2740	1995-11-29	VYDAJ	VYBER	25400	36277	\N	\N	\N
804286	2740	1995-12-29	VYDAJ	VYBER	27700	41915	\N	\N	\N
804287	2740	1996-01-28	VYDAJ	VYBER	19100	32279	\N	\N	\N
804288	2740	1996-02-27	VYDAJ	VYBER	23300	31274	\N	\N	\N
804289	2740	1996-03-28	VYDAJ	VYBER	22800	30720	\N	\N	\N
804290	2740	1996-04-27	VYDAJ	VYBER	22700	29060	\N	\N	\N
804291	2740	1996-05-27	VYDAJ	VYBER	24000	27345	\N	\N	\N
804292	2740	1996-06-26	VYDAJ	VYBER	20400	18139	\N	\N	\N
804293	2740	1996-07-26	VYDAJ	VYBER	21000	19368	\N	\N	\N
804294	2740	1996-08-25	VYDAJ	VYBER	22900	18655	\N	\N	\N
804295	2740	1996-09-24	VYDAJ	VYBER	24500	16345	\N	\N	\N
804296	2740	1996-10-24	VYDAJ	VYBER	22200	16331	\N	\N	\N
804297	2740	1996-11-23	VYDAJ	VYBER	19800	14409	\N	\N	\N
804298	2740	1996-12-23	VYDAJ	VYBER	23400	23670	\N	\N	\N
804299	2740	1997-01-22	VYDAJ	VYBER	19900	15498	\N	\N	\N
804300	2740	1997-02-21	VYDAJ	VYBER	20300	17410	\N	\N	\N
804301	2740	1997-03-23	VYDAJ	VYBER	18300	21287	\N	\N	\N
804302	2740	1997-04-22	VYDAJ	VYBER	21000	21173	\N	\N	\N
804303	2740	1997-05-22	VYDAJ	VYBER	22400	17967	\N	\N	\N
804304	2740	1997-06-21	VYDAJ	VYBER	23000	19541	\N	\N	\N
804305	2740	1997-07-21	VYDAJ	VYBER	21200	20541	\N	\N	\N
804306	2740	1997-08-20	VYDAJ	VYBER	19500	21833	\N	\N	\N
804307	2740	1997-09-19	VYDAJ	VYBER	20100	23955	\N	\N	\N
804308	2740	1997-10-19	VYDAJ	VYBER	20300	25859	\N	\N	\N
804309	2740	1997-11-18	VYDAJ	VYBER	24400	23671	\N	\N	\N
804310	2740	1997-12-18	VYDAJ	VYBER	23700	31847	\N	\N	\N
804311	2740	1998-01-17	VYDAJ	VYBER	25200	25291	\N	\N	\N
804312	2740	1998-02-16	VYDAJ	VYBER	15200	24229	\N	\N	\N
804313	2740	1998-03-18	VYDAJ	VYBER	20300	21223	\N	\N	\N
804314	2740	1998-04-17	VYDAJ	VYBER	25200	15837	\N	\N	\N
804315	2740	1998-06-16	VYDAJ	VYBER	35900	34858	\N	\N	\N
804316	2740	1998-07-16	VYDAJ	VYBER	34100	23022	\N	\N	\N
804317	2740	1998-08-15	VYDAJ	VYBER	25400	15450	\N	\N	\N
804318	2740	1998-09-14	VYDAJ	VYBER	18000	19646	\N	\N	\N
804319	2740	1998-10-14	VYDAJ	VYBER	22000	19828	\N	\N	\N
804320	2740	1998-11-13	VYDAJ	VYBER	21000	21017	\N	\N	\N
804321	2740	1998-12-13	VYDAJ	VYBER	29000	25273	\N	\N	\N
804378	2741	1993-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
804381	2741	1993-12-07	PRIJEM	VKLAD	30312	59496	\N	\N	\N
804382	2741	1993-12-21	PRIJEM	VKLAD	22726	82222	\N	\N	\N
804384	2741	1993-09-19	PRIJEM	VKLAD	38457	74582	\N	\N	\N
804386	2741	1993-07-10	PRIJEM	VKLAD	45130	56530	\N	\N	\N
804387	2741	1993-07-18	PRIJEM	VKLAD	5857	62387	\N	\N	\N
804388	2741	1994-01-08	PRIJEM	VKLAD	20180	76081	\N	\N	\N
804389	2741	1994-01-30	PRIJEM	VKLAD	25968	59037	\N	\N	\N
804390	2741	1994-06-25	PRIJEM	VKLAD	8678	75293	\N	\N	\N
804391	2741	1994-06-26	PRIJEM	VKLAD	16158	91451	\N	\N	\N
804392	2741	1994-05-27	PRIJEM	VKLAD	43812	72052	\N	\N	\N
804393	2741	1994-03-15	PRIJEM	VKLAD	48153	72387	\N	\N	\N
804394	2741	1994-11-15	PRIJEM	VKLAD	23821	48457	\N	\N	\N
804395	2741	1994-09-21	PRIJEM	VKLAD	21705	42493	\N	\N	\N
804396	2741	1994-12-26	PRIJEM	VKLAD	42100	95446	\N	\N	\N
804397	2741	1994-06-14	PRIJEM	VKLAD	18017	66615	\N	\N	\N
804398	2741	1994-12-14	PRIJEM	VKLAD	25099	59346	\N	\N	\N
804399	2741	1995-02-22	PRIJEM	VKLAD	47824	71254	\N	\N	\N
804400	2741	1995-09-27	PRIJEM	VKLAD	28228	66340	\N	\N	\N
804401	2741	1995-09-20	PRIJEM	VKLAD	26522	48512	\N	\N	\N
804402	2741	1996-09-24	PRIJEM	VKLAD	27369	97460	\N	\N	\N
804403	2741	1996-01-21	PRIJEM	VKLAD	33392	91867	\N	\N	\N
804404	2741	1996-11-19	PRIJEM	VKLAD	32547	88189	\N	\N	\N
804405	2741	1996-02-16	PRIJEM	VKLAD	46973	70038	\N	\N	\N
804406	2741	1996-10-31	PRIJEM	VKLAD	37549	104414	\N	\N	\N
804407	2741	1996-07-02	PRIJEM	VKLAD	26968	57264	\N	\N	\N
804408	2741	1996-09-22	PRIJEM	VKLAD	37355	130991	\N	\N	\N
804409	2741	1996-02-18	PRIJEM	VKLAD	23842	93880	\N	\N	\N
804410	2741	1996-09-21	PRIJEM	VKLAD	41758	99881	\N	\N	\N
804411	2741	1996-01-29	PRIJEM	VKLAD	41342	109021	\N	\N	\N
804412	2741	1996-01-05	PRIJEM	VKLAD	45124	68898	\N	\N	\N
804413	2741	1996-08-28	PRIJEM	VKLAD	34395	74952	\N	\N	\N
804414	2741	1996-01-28	PRIJEM	VKLAD	7412	67679	\N	\N	\N
804415	2741	1996-10-31	PRIJEM	VKLAD	8245	66539	\N	\N	\N
804416	2741	1996-03-14	PRIJEM	VKLAD	26434	87539	\N	\N	\N
804417	2741	1996-11-08	PRIJEM	VKLAD	38842	143242	\N	\N	\N
804418	2741	1996-04-05	PRIJEM	VKLAD	26377	86452	\N	\N	\N
804419	2741	1997-10-31	PRIJEM	VKLAD	11735	74818	\N	\N	\N
804420	2741	1997-12-20	PRIJEM	VKLAD	37028	86855	\N	\N	\N
804421	2741	1997-05-22	PRIJEM	VKLAD	25613	92685	\N	\N	\N
804422	2741	1997-04-27	PRIJEM	VKLAD	43915	107179	\N	\N	\N
804423	2741	1997-11-04	PRIJEM	VKLAD	15463	83273	\N	\N	\N
804424	2741	1997-03-17	PRIJEM	VKLAD	23343	61185	\N	\N	\N
804425	2741	1997-11-12	PRIJEM	VKLAD	17280	65380	\N	\N	\N
804426	2741	1997-09-21	PRIJEM	VKLAD	12382	58602	\N	\N	\N
804427	2741	1997-05-26	PRIJEM	VKLAD	32824	164580	\N	\N	\N
804428	2741	1997-07-02	PRIJEM	VKLAD	10002	62032	\N	\N	\N
804429	2741	1997-03-31	PRIJEM	VKLAD	35949	80378	\N	\N	\N
804430	2741	1997-11-28	PRIJEM	VKLAD	34026	120792	\N	\N	\N
804431	2741	1997-11-26	PRIJEM	VKLAD	35186	86766	\N	\N	\N
804432	2741	1997-07-11	PRIJEM	VKLAD	9332	71364	\N	\N	\N
804433	2741	1997-08-20	PRIJEM	VKLAD	12561	51720	\N	\N	\N
804434	2741	1997-10-25	PRIJEM	VKLAD	27307	63083	\N	\N	\N
804435	2741	1997-10-15	PRIJEM	VKLAD	8685	48076	\N	\N	\N
804436	2741	1997-02-07	PRIJEM	VKLAD	31550	74879	\N	\N	\N
804437	2741	1997-05-26	PRIJEM	VKLAD	39071	131756	\N	\N	\N
804438	2741	1998-05-16	PRIJEM	VKLAD	39543	78103	\N	\N	\N
804439	2741	1998-04-10	PRIJEM	VKLAD	49629	77085	\N	\N	\N
804440	2741	1998-07-29	PRIJEM	VKLAD	36221	70734	\N	\N	\N
804448	2741	1994-07-20	VYBER	VYBER	5088	33769	\N	\N	\N
804449	2741	1994-04-22	VYBER	VYBER	7455	31983	\N	\N	\N
804450	2741	1994-02-03	VYBER	VYBER	22987	19854	\N	\N	\N
804451	2741	1994-09-13	VYBER	VYBER	7379	20788	\N	\N	\N
804454	2741	1994-06-26	VYBER	VYBER	11228	80223	\N	\N	\N
804456	2741	1994-01-16	VYBER	VYBER	19274	33069	\N	\N	\N
804458	2741	1994-04-01	VYBER	VYBER	3437	69138	\N	\N	\N
804459	2741	1994-01-10	VYBER	VYBER	23738	52343	\N	\N	\N
804460	2741	1994-07-07	VYBER	VYBER	12813	38857	\N	\N	\N
804462	2741	1995-03-05	VYBER	VYBER	6610	44434	\N	\N	\N
804465	2741	1995-01-31	VYBER	VYBER	10839	23444	\N	\N	\N
804467	2741	1995-12-22	VYBER	VYBER	2069	24665	\N	\N	\N
804469	2741	1995-03-14	VYBER	VYBER	20381	24053	\N	\N	\N
804474	2741	1996-02-08	VYBER	VYBER	23913	23065	\N	\N	\N
804475	2741	1996-02-08	VYBER	VYBER	23109	46978	\N	\N	\N
804476	2741	1996-01-20	VYBER	VYBER	10423	58475	\N	\N	\N
804477	2741	1996-09-25	VYBER	VYBER	19669	77791	\N	\N	\N
804478	2741	1996-09-21	VYBER	VYBER	6245	93636	\N	\N	\N
804479	2741	1997-02-16	VYBER	VYBER	21535	55614	\N	\N	\N
804480	2741	1997-01-26	VYBER	VYBER	8324	43118	\N	\N	\N
804481	2741	1997-11-06	VYBER	VYBER	11660	71613	\N	\N	\N
804482	2741	1997-02-15	VYBER	VYBER	3330	71549	\N	\N	\N
804483	2741	1997-05-21	VYBER	VYBER	8639	67072	\N	\N	\N
804484	2741	1997-03-24	VYBER	VYBER	8450	44235	\N	\N	\N
804485	2741	1997-11-08	VYBER	VYBER	23513	48100	\N	\N	\N
804486	2741	1997-08-06	VYBER	VYBER	22428	35459	\N	\N	\N
804487	2741	1997-06-04	VYBER	VYBER	13349	63081	\N	\N	\N
804488	2741	1998-01-06	VYBER	VYBER	20956	66192	\N	\N	\N
804492	2741	1998-02-05	VYBER	VYBER	7017	44021	\N	\N	\N
804494	2741	1998-04-01	VYBER	VYBER	3446	27456	\N	\N	\N
804496	2741	1998-10-27	VYBER	VYBER	2637	29212	\N	\N	\N
804497	2741	1998-08-24	VYBER	VYBER	20717	32102	\N	\N	\N
804499	2741	1994-12-17	VYDAJ	VYBER	6000	53346	\N	\N	\N
804500	2741	1995-12-12	VYDAJ	VYBER	5400	29434	\N	\N	\N
804501	2741	1996-12-23	VYDAJ	VYBER	4800	57328	\N	\N	\N
804502	2741	1997-12-18	VYDAJ	VYBER	1800	49827	\N	\N	\N
804505	2741	1994-06-03	VYDAJ	VYBER	2700	48598	\N	\N	\N
804506	2741	1994-04-10	VYDAJ	VYBER	7500	39438	\N	\N	\N
804507	2741	1994-10-06	VYDAJ	VYBER	9300	24114	\N	\N	\N
804510	2741	1995-10-04	VYDAJ	VYBER	12000	54445	\N	\N	\N
804512	2741	1995-08-28	VYDAJ	VYBER	2100	21908	\N	\N	\N
804513	2741	1995-01-30	VYDAJ	VYBER	11700	34033	\N	\N	\N
804514	2741	1995-12-17	VYDAJ	VYBER	2700	26734	\N	\N	\N
804515	2741	1996-05-31	VYDAJ	VYBER	3300	28081	\N	\N	\N
804516	2741	1996-07-02	VYDAJ	VYBER	7200	50064	\N	\N	\N
804517	2741	1996-05-25	VYDAJ	VYBER	11700	31183	\N	\N	\N
804518	2741	1996-11-09	VYDAJ	VYBER	11100	71042	\N	\N	\N
804519	2741	1997-09-22	VYDAJ	VYBER	13500	45102	\N	\N	\N
804520	2741	1997-10-15	VYDAJ	VYBER	12300	35776	\N	\N	\N
804521	2741	1997-03-13	VYDAJ	VYBER	6300	37842	\N	\N	\N
804522	2741	1997-02-16	VYDAJ	VYBER	11700	43914	\N	\N	\N
804523	2741	1997-10-31	VYDAJ	VYBER	7200	67810	\N	\N	\N
804524	2741	1998-03-09	VYDAJ	VYBER	7500	31280	\N	\N	\N
804525	2741	1998-10-15	VYDAJ	VYBER KARTOU	3300	31849	\N	\N	0
804526	2741	1998-03-14	VYDAJ	VYBER	2400	30780	\N	\N	\N
804527	2741	1998-06-20	VYDAJ	VYBER	4200	47055	\N	\N	\N
804530	2741	1998-12-21	VYDAJ	VYBER KARTOU	3600	32426	\N	\N	0
804543	2741	1993-12-31	VYDAJ	VYBER	15	82501	SLUZBY	\N	\N
804544	2741	1994-01-31	VYDAJ	VYBER	15	59241	SLUZBY	\N	\N
804545	2741	1994-02-28	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
804546	2741	1994-03-31	VYDAJ	VYBER	15	72575	SLUZBY	\N	\N
804547	2741	1994-04-30	VYDAJ	VYBER	15	32140	SLUZBY	\N	\N
804548	2741	1994-05-31	VYDAJ	VYBER	15	72198	SLUZBY	\N	\N
804549	2741	1994-06-30	VYDAJ	VYBER	15	80470	SLUZBY	\N	\N
804550	2741	1994-07-31	VYDAJ	VYBER	15	33941	SLUZBY	\N	\N
804551	2741	1994-08-31	VYDAJ	VYBER	15	32067	SLUZBY	\N	\N
804552	2741	1994-09-30	VYDAJ	VYBER	15	33414	SLUZBY	\N	\N
804553	2741	1994-10-31	VYDAJ	VYBER	15	24636	SLUZBY	\N	\N
804554	2741	1994-11-30	VYDAJ	VYBER	15	34247	SLUZBY	\N	\N
804555	2741	1994-12-31	VYDAJ	VYBER	15	62333	SLUZBY	\N	\N
804556	2741	1995-01-31	VYDAJ	VYBER	15	23430	SLUZBY	\N	\N
804557	2741	1995-02-28	VYDAJ	VYBER	15	51044	SLUZBY	\N	\N
804558	2741	1995-03-31	VYDAJ	VYBER	15	23485	SLUZBY	\N	\N
804559	2741	1995-04-30	VYDAJ	VYBER	15	23668	SLUZBY	\N	\N
804560	2741	1995-05-31	VYDAJ	VYBER	15	23251	SLUZBY	\N	\N
804561	2741	1995-06-30	VYDAJ	VYBER	15	21932	SLUZBY	\N	\N
804562	2741	1995-07-31	VYDAJ	VYBER	15	23608	SLUZBY	\N	\N
804563	2741	1995-08-31	VYDAJ	VYBER	15	21990	SLUZBY	\N	\N
804564	2741	1995-09-30	VYDAJ	VYBER	15	66445	SLUZBY	\N	\N
804565	2741	1995-10-31	VYDAJ	VYBER	15	40582	SLUZBY	\N	\N
804566	2741	1995-11-30	VYDAJ	VYBER	15	34834	SLUZBY	\N	\N
804567	2741	1995-12-31	VYDAJ	VYBER	15	23774	SLUZBY	\N	\N
804568	2741	1996-01-31	VYDAJ	VYBER	15	109187	SLUZBY	\N	\N
804569	2741	1996-02-29	VYDAJ	VYBER	15	61105	SLUZBY	\N	\N
804570	2741	1996-03-31	VYDAJ	VYBER	15	60075	SLUZBY	\N	\N
804571	2741	1996-04-30	VYDAJ	VYBER	15	57483	SLUZBY	\N	\N
804572	2741	1996-05-31	VYDAJ	VYBER	15	31381	SLUZBY	\N	\N
804573	2741	1996-06-30	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
804574	2741	1996-07-31	VYDAJ	VYBER	15	40657	SLUZBY	\N	\N
804575	2741	1996-08-31	VYDAJ	VYBER	15	75123	SLUZBY	\N	\N
804576	2741	1996-09-30	VYDAJ	VYBER	15	78094	SLUZBY	\N	\N
804577	2741	1996-10-31	VYDAJ	VYBER	15	104400	SLUZBY	\N	\N
804578	2741	1996-11-30	VYDAJ	VYBER	15	88528	SLUZBY	\N	\N
804579	2741	1996-12-31	VYDAJ	VYBER	15	57642	SLUZBY	\N	\N
804580	2741	1997-01-31	VYDAJ	VYBER	15	43329	SLUZBY	\N	\N
804581	2741	1997-02-28	VYDAJ	VYBER	15	44142	SLUZBY	\N	\N
804582	2741	1997-03-31	VYDAJ	VYBER	15	80364	SLUZBY	\N	\N
804583	2741	1997-04-30	VYDAJ	VYBER	15	107511	SLUZBY	\N	\N
804584	2741	1997-05-31	VYDAJ	VYBER	15	76430	SLUZBY	\N	\N
804585	2741	1997-06-30	VYDAJ	VYBER	15	52030	SLUZBY	\N	\N
804586	2741	1997-07-31	VYDAJ	VYBER	15	57887	SLUZBY	\N	\N
804587	2741	1997-08-31	VYDAJ	VYBER	15	51920	SLUZBY	\N	\N
804588	2741	1997-09-30	VYDAJ	VYBER	15	45291	SLUZBY	\N	\N
804589	2741	1997-10-31	VYDAJ	VYBER	15	75010	SLUZBY	\N	\N
804590	2741	1997-11-30	VYDAJ	VYBER	15	69827	SLUZBY	\N	\N
804591	2741	1997-12-31	VYDAJ	VYBER	15	87148	SLUZBY	\N	\N
804592	2741	1998-01-31	VYDAJ	VYBER	15	51038	SLUZBY	\N	\N
804593	2741	1998-02-28	VYDAJ	VYBER	15	38780	SLUZBY	\N	\N
804594	2741	1998-03-31	VYDAJ	VYBER	15	30902	SLUZBY	\N	\N
804595	2741	1998-04-30	VYDAJ	VYBER	15	51560	SLUZBY	\N	\N
804596	2741	1998-05-31	VYDAJ	VYBER	15	78355	SLUZBY	\N	\N
804597	2741	1998-06-30	VYDAJ	VYBER	15	47313	SLUZBY	\N	\N
804598	2741	1998-07-31	VYDAJ	VYBER	15	70919	SLUZBY	\N	\N
804599	2741	1998-08-31	VYDAJ	VYBER	15	32335	SLUZBY	\N	\N
804600	2741	1998-09-30	VYDAJ	VYBER	15	33649	SLUZBY	\N	\N
804601	2741	1998-10-31	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
804602	2741	1998-11-30	VYDAJ	VYBER	15	34726	SLUZBY	\N	\N
804603	2741	1993-07-07	PRIJEM	VKLAD	10300	11400	\N	\N	\N
804604	2741	1993-08-06	VYDAJ	VYBER	19200	43365	\N	\N	\N
804605	2741	1993-09-05	VYDAJ	VYBER	7500	36125	\N	\N	\N
804606	2741	1993-10-05	VYDAJ	VYBER	26000	48862	\N	\N	\N
804607	2741	1993-11-04	VYDAJ	VYBER	12200	36973	\N	\N	\N
804608	2741	1993-12-04	VYDAJ	VYBER	8100	29184	\N	\N	\N
804609	2741	1994-01-03	VYDAJ	VYBER	26600	55901	\N	\N	\N
804610	2741	1994-02-02	VYDAJ	VYBER	16400	42841	\N	\N	\N
804611	2741	1994-03-04	PRIJEM	VKLAD	4300	24234	\N	\N	\N
804612	2741	1994-04-03	VYDAJ	VYBER	22200	46938	\N	\N	\N
804613	2741	1994-05-03	VYDAJ	VYBER	3900	28240	\N	\N	\N
804614	2741	1994-06-02	VYDAJ	VYBER	20900	51298	\N	\N	\N
804615	2741	1994-07-02	VYDAJ	VYBER	28800	51670	\N	\N	\N
804616	2741	1994-08-01	VYDAJ	VYBER	2000	31941	\N	\N	\N
804617	2741	1994-08-31	VYDAJ	VYBER	3900	28167	\N	\N	\N
804618	2741	1994-09-30	VYDAJ	VYBER	9200	33429	\N	\N	\N
804619	2741	1994-10-30	PRIJEM	VKLAD	400	24514	\N	\N	\N
804620	2741	1994-11-29	VYDAJ	VYBER	14300	34157	\N	\N	\N
804621	2741	1994-12-29	VYDAJ	VYBER	33300	62146	\N	\N	\N
804622	2741	1995-01-28	VYDAJ	VYBER	16600	45733	\N	\N	\N
804623	2741	1995-02-27	VYDAJ	VYBER	20300	50954	\N	\N	\N
804624	2741	1995-03-29	VYDAJ	VYBER	700	23353	\N	\N	\N
804625	2741	1995-04-28	PRIJEM	VKLAD	100	23585	\N	\N	\N
804626	2741	1995-05-28	VYDAJ	VYBER	500	23168	\N	\N	\N
804627	2741	1995-06-27	VYDAJ	VYBER	1400	21851	\N	\N	\N
804628	2741	1995-07-27	PRIJEM	VKLAD	1600	23532	\N	\N	\N
804629	2741	1995-08-26	PRIJEM	VKLAD	400	24008	\N	\N	\N
804630	2741	1995-09-25	VYDAJ	VYBER	10400	38112	\N	\N	\N
804631	2741	1995-10-25	VYDAJ	VYBER	14100	40345	\N	\N	\N
804632	2741	1995-11-24	VYDAJ	VYBER	5900	34682	\N	\N	\N
804633	2741	1995-12-24	VYDAJ	VYBER	1000	23665	\N	\N	\N
804634	2741	1996-01-23	VYDAJ	VYBER	31600	60267	\N	\N	\N
804635	2741	1996-01-31	VYDAJ	VYBER	39100	70087	\N	\N	\N
804636	2741	1996-02-22	VYDAJ	VYBER	33000	60880	\N	\N	\N
804637	2741	1996-03-23	VYDAJ	VYBER	27700	59839	\N	\N	\N
804638	2741	1996-04-22	VYDAJ	VYBER	29200	57252	\N	\N	\N
804639	2741	1996-05-22	VYDAJ	VYBER	14600	42883	\N	\N	\N
804640	2741	1996-06-21	PRIJEM	VKLAD	2100	30181	\N	\N	\N
804641	2741	1996-07-21	VYDAJ	VYBER	9600	40464	\N	\N	\N
804642	2741	1996-08-20	VYDAJ	VYBER	100	40557	\N	\N	\N
804643	2741	1996-09-19	VYDAJ	VYBER	17000	58123	\N	\N	\N
804644	2741	1996-09-22	VYDAJ	VYBER	60900	70091	\N	\N	\N
804645	2741	1996-10-19	VYDAJ	VYBER	19800	58294	\N	\N	\N
804646	2741	1996-11-08	VYDAJ	VYBER	61100	82142	\N	\N	\N
804647	2741	1996-11-18	VYDAJ	VYBER	15400	55642	\N	\N	\N
804648	2741	1996-12-18	VYDAJ	VYBER	26400	62128	\N	\N	\N
804649	2741	1997-01-17	VYDAJ	VYBER	6200	51442	\N	\N	\N
804650	2741	1997-02-16	PRIJEM	VKLAD	5600	77149	\N	\N	\N
804651	2741	1997-03-18	VYDAJ	VYBER	8500	52685	\N	\N	\N
804652	2741	1997-04-17	VYDAJ	VYBER	17100	63264	\N	\N	\N
804653	2741	1997-05-17	VYDAJ	VYBER	31800	75711	\N	\N	\N
804654	2741	1997-05-26	VYDAJ	VYBER	25700	75980	\N	\N	\N
804655	2741	1997-05-26	VYDAJ	VYBER	62900	101680	\N	\N	\N
804656	2741	1997-06-16	VYDAJ	VYBER	11300	51781	\N	\N	\N
804657	2741	1997-07-16	VYDAJ	VYBER	13700	57664	\N	\N	\N
804658	2741	1997-08-15	PRIJEM	VKLAD	3700	39159	\N	\N	\N
804659	2741	1997-09-14	VYDAJ	VYBER	5700	46220	\N	\N	\N
804660	2741	1997-10-14	VYDAJ	VYBER	5900	39391	\N	\N	\N
804661	2741	1997-11-13	VYDAJ	VYBER	13800	51580	\N	\N	\N
804662	2741	1997-11-28	VYDAJ	VYBER	51200	69592	\N	\N	\N
804663	2741	1997-12-13	VYDAJ	VYBER	18200	51627	\N	\N	\N
804664	2741	1998-01-12	VYDAJ	VYBER	15400	50792	\N	\N	\N
804665	2741	1998-02-11	VYDAJ	VYBER	5400	38621	\N	\N	\N
804666	2741	1998-03-13	PRIJEM	VKLAD	1900	33180	\N	\N	\N
804667	2741	1998-04-12	VYDAJ	VYBER	25700	51385	\N	\N	\N
804668	2741	1998-05-12	VYDAJ	VYBER	13000	38560	\N	\N	\N
804669	2741	1998-06-11	VYDAJ	VYBER	27100	51255	\N	\N	\N
804670	2741	1998-07-11	VYDAJ	VYBER	12800	34513	\N	\N	\N
804671	2741	1998-08-10	VYDAJ	VYBER	18100	52819	\N	\N	\N
804672	2741	1998-09-09	PRIJEM	VKLAD	1200	33535	\N	\N	\N
804673	2741	1998-10-09	PRIJEM	VKLAD	1500	35149	\N	\N	\N
804674	2741	1998-11-08	PRIJEM	VKLAD	5300	34625	\N	\N	\N
804675	2741	1998-12-08	PRIJEM	VKLAD	1300	36026	\N	\N	\N
804742	2742	1994-10-15	PRIJEM	VKLAD	700	700	\N	\N	\N
804753	2742	1994-11-05	PRIJEM	VKLAD	15541	16241	\N	\N	\N
804754	2742	1994-12-05	PRIJEM	VKLAD	23312	45806	\N	\N	\N
804755	2742	1995-01-05	PRIJEM	VKLAD	15541	51573	\N	\N	\N
804756	2742	1995-02-05	PRIJEM	VKLAD	15541	52064	\N	\N	\N
804757	2742	1995-03-05	PRIJEM	VKLAD	15541	52759	\N	\N	\N
804758	2742	1995-04-05	PRIJEM	VKLAD	15541	49733	\N	\N	\N
804759	2742	1995-05-05	PRIJEM	VKLAD	15541	43920	\N	\N	\N
804760	2742	1995-06-05	PRIJEM	VKLAD	23312	48983	\N	\N	\N
804761	2742	1995-07-05	PRIJEM	VKLAD	15541	49739	\N	\N	\N
804762	2742	1995-08-05	PRIJEM	VKLAD	15541	53013	\N	\N	\N
804763	2742	1995-09-05	PRIJEM	VKLAD	15541	53092	\N	\N	\N
804764	2742	1995-10-05	PRIJEM	VKLAD	15541	52668	\N	\N	\N
804765	2742	1995-11-05	PRIJEM	VKLAD	15541	42499	\N	\N	\N
804766	2742	1995-12-05	PRIJEM	VKLAD	23312	47297	\N	\N	\N
804767	2742	1996-01-05	PRIJEM	VKLAD	15541	41251	\N	\N	\N
804768	2742	1996-02-05	PRIJEM	VKLAD	15541	42274	\N	\N	\N
804769	2742	1996-03-05	PRIJEM	VKLAD	15541	45619	\N	\N	\N
804770	2742	1996-04-05	PRIJEM	VKLAD	15541	51084	\N	\N	\N
804771	2742	1996-05-05	PRIJEM	VKLAD	15541	46737	\N	\N	\N
804772	2742	1996-06-05	PRIJEM	VKLAD	23312	56893	\N	\N	\N
804773	2742	1996-07-05	PRIJEM	VKLAD	15541	35043	\N	\N	\N
804774	2742	1996-08-05	PRIJEM	VKLAD	15541	45785	\N	\N	\N
804775	2742	1996-09-05	PRIJEM	VKLAD	15541	49958	\N	\N	\N
804776	2742	1996-10-05	PRIJEM	VKLAD	15541	50941	\N	\N	\N
804777	2742	1996-11-05	PRIJEM	VKLAD	15541	57554	\N	\N	\N
804778	2742	1996-12-05	PRIJEM	VKLAD	23312	64464	\N	\N	\N
804779	2742	1997-01-05	PRIJEM	VKLAD	15541	55148	\N	\N	\N
804780	2742	1997-02-05	PRIJEM	VKLAD	15541	49550	\N	\N	\N
804781	2742	1997-03-05	PRIJEM	VKLAD	15541	52056	\N	\N	\N
804782	2742	1997-04-05	PRIJEM	VKLAD	15541	48449	\N	\N	\N
804783	2742	1997-05-05	PRIJEM	VKLAD	15541	49853	\N	\N	\N
804784	2742	1997-06-05	PRIJEM	VKLAD	23312	48334	\N	\N	\N
804785	2742	1997-07-05	PRIJEM	VKLAD	15541	51722	\N	\N	\N
804786	2742	1997-08-05	PRIJEM	VKLAD	15541	58435	\N	\N	\N
804787	2742	1997-09-05	PRIJEM	VKLAD	15541	60340	\N	\N	\N
804788	2742	1997-10-05	PRIJEM	VKLAD	15541	57592	\N	\N	\N
804789	2742	1997-11-05	PRIJEM	VKLAD	15541	63716	\N	\N	\N
804790	2742	1997-12-05	PRIJEM	VKLAD	23312	72233	\N	\N	\N
804791	2742	1998-01-05	PRIJEM	VKLAD	15541	61602	\N	\N	\N
804792	2742	1998-02-05	PRIJEM	VKLAD	15541	58623	\N	\N	\N
804793	2742	1998-03-05	PRIJEM	VKLAD	15541	59946	\N	\N	\N
804794	2742	1998-04-05	PRIJEM	VKLAD	15541	61777	\N	\N	\N
804795	2742	1998-05-05	PRIJEM	VKLAD	15541	61914	\N	\N	\N
804796	2742	1998-06-05	PRIJEM	VKLAD	23312	64217	\N	\N	\N
804797	2742	1998-07-05	PRIJEM	VKLAD	15541	44512	\N	\N	\N
804798	2742	1998-08-05	PRIJEM	VKLAD	15541	48477	\N	\N	\N
804799	2742	1998-09-05	PRIJEM	VKLAD	15541	49455	\N	\N	\N
804800	2742	1998-10-05	PRIJEM	VKLAD	15541	47333	\N	\N	\N
804801	2742	1998-11-05	PRIJEM	VKLAD	15541	44001	\N	\N	\N
804802	2742	1998-12-05	PRIJEM	VKLAD	23312	50622	\N	\N	\N
804817	2742	1995-03-10	VYDAJ	PREVOD NA UCET	128	52631	SIPO	KL	76674633
804818	2742	1995-04-10	VYDAJ	PREVOD NA UCET	128	49605	SIPO	KL	76674633
804819	2742	1995-05-10	VYDAJ	PREVOD NA UCET	128	43792	SIPO	KL	76674633
804820	2742	1995-06-10	VYDAJ	PREVOD NA UCET	128	48855	SIPO	KL	76674633
804821	2742	1995-07-10	VYDAJ	PREVOD NA UCET	128	49611	SIPO	KL	76674633
804822	2742	1995-08-10	VYDAJ	PREVOD NA UCET	128	52885	SIPO	KL	76674633
804823	2742	1995-09-10	VYDAJ	PREVOD NA UCET	128	41864	SIPO	KL	76674633
804824	2742	1995-10-10	VYDAJ	PREVOD NA UCET	128	34960	SIPO	KL	76674633
804825	2742	1995-11-10	VYDAJ	PREVOD NA UCET	128	37071	SIPO	KL	76674633
804826	2742	1995-12-10	VYDAJ	PREVOD NA UCET	128	34669	SIPO	KL	76674633
804827	2742	1996-01-10	VYDAJ	PREVOD NA UCET	128	33423	SIPO	KL	76674633
804828	2742	1996-02-10	VYDAJ	PREVOD NA UCET	128	34846	SIPO	KL	76674633
804829	2742	1996-03-10	VYDAJ	PREVOD NA UCET	128	40291	SIPO	KL	76674633
804830	2742	1996-04-10	VYDAJ	PREVOD NA UCET	128	43856	SIPO	KL	76674633
804831	2742	1996-05-10	VYDAJ	PREVOD NA UCET	128	40609	SIPO	KL	76674633
804832	2742	1996-06-10	VYDAJ	PREVOD NA UCET	128	44265	SIPO	KL	76674633
804833	2742	1996-07-10	VYDAJ	PREVOD NA UCET	128	35015	SIPO	KL	76674633
804834	2742	1996-08-10	VYDAJ	PREVOD NA UCET	128	41457	SIPO	KL	76674633
804835	2742	1996-09-10	VYDAJ	PREVOD NA UCET	128	49830	SIPO	KL	76674633
804836	2742	1996-10-10	VYDAJ	PREVOD NA UCET	128	50813	SIPO	KL	76674633
804837	2742	1996-11-10	VYDAJ	PREVOD NA UCET	128	57426	SIPO	KL	76674633
804838	2742	1996-12-10	VYDAJ	PREVOD NA UCET	128	64336	SIPO	KL	76674633
804839	2742	1997-01-10	VYDAJ	PREVOD NA UCET	128	49980	SIPO	KL	76674633
804840	2742	1997-02-10	VYDAJ	PREVOD NA UCET	128	49422	SIPO	KL	76674633
804841	2742	1997-03-10	VYDAJ	PREVOD NA UCET	128	51928	SIPO	KL	76674633
804842	2742	1997-04-10	VYDAJ	PREVOD NA UCET	128	48321	SIPO	KL	76674633
804843	2742	1997-05-10	VYDAJ	PREVOD NA UCET	128	49725	SIPO	KL	76674633
804844	2742	1997-06-10	VYDAJ	PREVOD NA UCET	128	48206	SIPO	KL	76674633
804845	2742	1997-07-10	VYDAJ	PREVOD NA UCET	128	51594	SIPO	KL	76674633
804846	2742	1997-08-10	VYDAJ	PREVOD NA UCET	128	58307	SIPO	KL	76674633
804847	2742	1997-09-10	VYDAJ	PREVOD NA UCET	128	60212	SIPO	KL	76674633
804848	2742	1997-10-10	VYDAJ	PREVOD NA UCET	128	57464	SIPO	KL	76674633
804849	2742	1997-11-10	VYDAJ	PREVOD NA UCET	128	63588	SIPO	KL	76674633
804850	2742	1997-12-10	VYDAJ	PREVOD NA UCET	128	72105	SIPO	KL	76674633
804851	2742	1998-01-10	VYDAJ	PREVOD NA UCET	128	58074	SIPO	KL	76674633
804852	2742	1998-02-10	VYDAJ	PREVOD NA UCET	128	58495	SIPO	KL	76674633
804853	2742	1998-03-10	VYDAJ	PREVOD NA UCET	128	59818	SIPO	KL	76674633
804854	2742	1998-04-10	VYDAJ	PREVOD NA UCET	128	61649	SIPO	KL	76674633
804855	2742	1998-05-10	VYDAJ	PREVOD NA UCET	128	61786	SIPO	KL	76674633
804856	2742	1998-06-10	VYDAJ	PREVOD NA UCET	128	34329	SIPO	KL	76674633
804857	2742	1998-07-10	VYDAJ	PREVOD NA UCET	128	44384	SIPO	KL	76674633
804858	2742	1998-08-10	VYDAJ	PREVOD NA UCET	128	48349	SIPO	KL	76674633
804859	2742	1998-09-10	VYDAJ	PREVOD NA UCET	128	49327	SIPO	KL	76674633
804860	2742	1998-10-10	VYDAJ	PREVOD NA UCET	128	47205	SIPO	KL	76674633
804861	2742	1998-11-10	VYDAJ	PREVOD NA UCET	128	39073	SIPO	KL	76674633
804862	2742	1998-12-10	VYDAJ	PREVOD NA UCET	128	50494	SIPO	KL	76674633
804877	2742	1995-03-11	VYDAJ	PREVOD NA UCET	4878	47753	 	ST	59019696
804878	2742	1995-04-11	VYDAJ	PREVOD NA UCET	4878	44727	 	ST	59019696
804879	2742	1995-05-11	VYDAJ	PREVOD NA UCET	4878	38914	 	ST	59019696
804880	2742	1995-06-11	VYDAJ	PREVOD NA UCET	4878	43977	 	ST	59019696
804881	2742	1995-07-11	VYDAJ	PREVOD NA UCET	4878	44733	 	ST	59019696
804882	2742	1995-08-11	VYDAJ	PREVOD NA UCET	4878	37407	 	ST	59019696
804883	2742	1995-09-11	VYDAJ	PREVOD NA UCET	4878	36986	 	ST	59019696
804884	2742	1995-10-11	VYDAJ	PREVOD NA UCET	4878	30082	 	ST	59019696
804885	2742	1995-11-11	VYDAJ	PREVOD NA UCET	4878	32193	 	ST	59019696
804886	2742	1995-12-11	VYDAJ	PREVOD NA UCET	4878	29791	 	ST	59019696
804887	2742	1996-01-11	VYDAJ	PREVOD NA UCET	4878	28545	 	ST	59019696
804888	2742	1996-02-11	VYDAJ	PREVOD NA UCET	4878	29968	 	ST	59019696
804889	2742	1996-03-11	VYDAJ	PREVOD NA UCET	4878	35413	 	ST	59019696
804890	2742	1996-04-11	VYDAJ	PREVOD NA UCET	4878	38978	 	ST	59019696
804891	2742	1996-05-11	VYDAJ	PREVOD NA UCET	4878	35731	 	ST	59019696
804892	2742	1996-06-11	VYDAJ	PREVOD NA UCET	4878	39387	 	ST	59019696
804893	2742	1996-07-11	VYDAJ	PREVOD NA UCET	4878	30137	 	ST	59019696
804894	2742	1996-08-11	VYDAJ	PREVOD NA UCET	4878	36579	 	ST	59019696
804895	2742	1996-09-11	VYDAJ	PREVOD NA UCET	4878	44952	 	ST	59019696
804896	2742	1996-10-11	VYDAJ	PREVOD NA UCET	4878	45935	 	ST	59019696
804897	2742	1996-11-11	VYDAJ	PREVOD NA UCET	4878	52548	 	ST	59019696
804898	2742	1996-12-11	VYDAJ	PREVOD NA UCET	4878	59458	 	ST	59019696
804899	2742	1997-01-11	VYDAJ	PREVOD NA UCET	4878	45102	 	ST	59019696
804900	2742	1997-02-11	VYDAJ	PREVOD NA UCET	4878	44544	 	ST	59019696
804901	2742	1997-03-11	VYDAJ	PREVOD NA UCET	4878	47050	 	ST	59019696
804902	2742	1997-04-11	VYDAJ	PREVOD NA UCET	4878	43443	 	ST	59019696
804903	2742	1997-05-11	VYDAJ	PREVOD NA UCET	4878	44847	 	ST	59019696
804904	2742	1997-06-11	VYDAJ	PREVOD NA UCET	4878	43328	 	ST	59019696
804905	2742	1997-07-11	VYDAJ	PREVOD NA UCET	4878	46716	 	ST	59019696
804906	2742	1997-08-11	VYDAJ	PREVOD NA UCET	4878	53429	 	ST	59019696
804907	2742	1997-09-11	VYDAJ	PREVOD NA UCET	4878	55334	 	ST	59019696
804908	2742	1997-10-11	VYDAJ	PREVOD NA UCET	4878	52586	 	ST	59019696
804909	2742	1997-11-11	VYDAJ	PREVOD NA UCET	4878	58710	 	ST	59019696
804910	2742	1997-12-11	VYDAJ	PREVOD NA UCET	4878	67227	 	ST	59019696
804911	2742	1998-01-11	VYDAJ	PREVOD NA UCET	4878	50796	 	ST	59019696
804912	2742	1998-02-11	VYDAJ	PREVOD NA UCET	4878	53617	 	ST	59019696
804913	2742	1998-03-11	VYDAJ	PREVOD NA UCET	4878	54940	 	ST	59019696
804914	2742	1998-04-11	VYDAJ	PREVOD NA UCET	4878	56771	 	ST	59019696
804915	2742	1998-05-11	VYDAJ	PREVOD NA UCET	4878	56908	 	ST	59019696
804916	2742	1998-06-11	VYDAJ	PREVOD NA UCET	4878	29451	 	ST	59019696
804917	2742	1998-07-11	VYDAJ	PREVOD NA UCET	4878	39506	 	ST	59019696
804918	2742	1998-08-11	VYDAJ	PREVOD NA UCET	4878	43471	 	ST	59019696
804919	2742	1998-09-11	VYDAJ	PREVOD NA UCET	4878	44449	 	ST	59019696
804920	2742	1998-10-11	VYDAJ	PREVOD NA UCET	4878	42327	 	ST	59019696
804921	2742	1998-11-11	VYDAJ	PREVOD NA UCET	4878	34195	 	ST	59019696
804922	2742	1998-12-11	VYDAJ	PREVOD NA UCET	4878	45616	 	ST	59019696
804925	2742	1996-06-19	VYDAJ	VYBER	20000	19387	\N	\N	\N
804926	2742	1997-06-01	VYDAJ	VYBER	23200	25022	\N	\N	\N
804927	2742	1998-06-09	VYDAJ	VYBER	29760	34457	\N	\N	\N
804929	2742	1995-12-02	VYDAJ	VYBER	4480	23985	\N	\N	\N
804930	2742	1996-12-18	VYDAJ	VYBER	2080	57378	\N	\N	\N
804931	2742	1997-12-29	VYDAJ	VYBER KARTOU	4000	49327	\N	\N	0
804932	2742	1998-12-24	VYDAJ	VYBER KARTOU	800	36016	\N	\N	0
804945	2742	1996-01-27	VYDAJ	VYBER	960	26625	\N	\N	\N
804946	2742	1996-01-03	VYDAJ	VYBER	1680	25710	\N	\N	\N
804947	2742	1996-01-19	VYDAJ	VYBER	960	27585	\N	\N	\N
804948	2742	1996-01-05	VYDAJ	VYBER	2040	39211	\N	\N	\N
804949	2742	1996-01-07	VYDAJ	VYBER	3360	35851	\N	\N	\N
804950	2742	1996-01-02	VYDAJ	VYBER	2520	27390	\N	\N	\N
804951	2742	1997-01-21	VYDAJ	VYBER	1800	38142	\N	\N	\N
804952	2742	1997-01-08	VYDAJ	VYBER	3480	50108	\N	\N	\N
804953	2742	1997-01-03	VYDAJ	VYBER	2280	39607	\N	\N	\N
804954	2742	1997-01-01	VYDAJ	VYBER	1560	56047	\N	\N	\N
804955	2742	1997-01-06	VYDAJ	VYBER	1560	53588	\N	\N	\N
804956	2742	1997-01-02	VYDAJ	VYBER	1560	54487	\N	\N	\N
804957	2742	1998-01-13	VYDAJ	VYBER KARTOU	3200	47596	\N	\N	0
804958	2742	1998-01-22	VYDAJ	VYBER KARTOU	3400	44196	\N	\N	0
804959	2742	1998-01-29	VYDAJ	VYBER KARTOU	700	42896	\N	\N	0
804960	2742	1998-01-01	VYDAJ	VYBER KARTOU	2500	47061	\N	\N	0
804961	2742	1998-01-02	VYDAJ	VYBER KARTOU	1000	46061	\N	\N	0
804962	2742	1998-01-11	VYDAJ	VYBER KARTOU	2400	55674	\N	\N	0
804969	2742	1995-10-18	VYDAJ	VYBER	3240	26842	\N	\N	\N
804970	2742	1995-10-08	VYDAJ	VYBER	4680	47988	\N	\N	\N
804971	2742	1995-11-26	VYDAJ	VYBER	3840	28353	\N	\N	\N
804972	2742	1995-05-01	VYDAJ	VYBER	5880	28379	\N	\N	\N
804973	2742	1995-05-17	VYDAJ	VYBER	4560	25554	\N	\N	\N
804975	2742	1996-05-25	VYDAJ	VYBER	2280	33451	\N	\N	\N
804976	2742	1996-04-11	VYDAJ	VYBER	2040	36938	\N	\N	\N
804977	2742	1996-10-03	VYDAJ	VYBER	2760	40800	\N	\N	\N
804978	2742	1996-09-14	VYDAJ	VYBER	1560	43392	\N	\N	\N
804979	2742	1996-04-30	VYDAJ	VYBER	2520	31196	\N	\N	\N
804980	2742	1996-04-23	VYDAJ	VYBER	3360	33578	\N	\N	\N
804981	2742	1997-01-18	VYDAJ	VYBER	5160	39942	\N	\N	\N
804982	2742	1997-09-26	VYDAJ	VYBER	2880	52454	\N	\N	\N
804983	2742	1997-03-23	VYDAJ	VYBER	4320	42730	\N	\N	\N
804984	2742	1997-08-26	VYDAJ	VYBER	5520	47909	\N	\N	\N
804985	2742	1997-06-20	VYDAJ	VYBER	2520	40808	\N	\N	\N
804986	2742	1997-06-23	VYDAJ	VYBER	1680	39128	\N	\N	\N
804987	2742	1998-01-05	VYDAJ	VYBER KARTOU	2800	58802	\N	\N	0
804988	2742	1998-12-25	VYDAJ	VYBER KARTOU	3600	32416	\N	\N	0
804989	2742	1998-01-07	VYDAJ	VYBER KARTOU	600	58202	\N	\N	0
804990	2742	1998-02-20	VYDAJ	VYBER KARTOU	1800	51817	\N	\N	0
804991	2742	1998-11-09	VYDAJ	VYBER	4800	39201	\N	\N	\N
804992	2742	1998-12-03	VYDAJ	VYBER KARTOU	3000	27310	\N	\N	0
805008	2742	1995-03-31	VYDAJ	VYBER	15	34192	SLUZBY	\N	\N
805009	2742	1995-04-30	VYDAJ	VYBER	15	34259	SLUZBY	\N	\N
805010	2742	1995-05-31	VYDAJ	VYBER	15	25672	SLUZBY	\N	\N
805011	2742	1995-06-30	VYDAJ	VYBER	15	34198	SLUZBY	\N	\N
805012	2742	1995-07-31	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
805013	2742	1995-08-31	VYDAJ	VYBER	15	37551	SLUZBY	\N	\N
805014	2742	1995-09-30	VYDAJ	VYBER	15	37127	SLUZBY	\N	\N
805015	2742	1995-10-31	VYDAJ	VYBER	15	26958	SLUZBY	\N	\N
805016	2742	1995-11-30	VYDAJ	VYBER	15	28465	SLUZBY	\N	\N
805017	2742	1995-12-31	VYDAJ	VYBER	15	29910	SLUZBY	\N	\N
805018	2742	1996-01-31	VYDAJ	VYBER	15	26733	SLUZBY	\N	\N
805019	2742	1996-02-29	VYDAJ	VYBER	15	30078	SLUZBY	\N	\N
805020	2742	1996-03-31	VYDAJ	VYBER	15	35543	SLUZBY	\N	\N
805021	2742	1996-04-30	VYDAJ	VYBER	15	33716	SLUZBY	\N	\N
805022	2742	1996-05-31	VYDAJ	VYBER	15	33581	SLUZBY	\N	\N
805023	2742	1996-06-30	VYDAJ	VYBER	15	19502	SLUZBY	\N	\N
805024	2742	1996-07-31	VYDAJ	VYBER	15	30244	SLUZBY	\N	\N
805025	2742	1996-08-31	VYDAJ	VYBER	15	36717	SLUZBY	\N	\N
805026	2742	1996-09-30	VYDAJ	VYBER	15	43560	SLUZBY	\N	\N
805027	2742	1996-10-31	VYDAJ	VYBER	15	46113	SLUZBY	\N	\N
805028	2742	1996-11-30	VYDAJ	VYBER	15	52752	SLUZBY	\N	\N
805029	2742	1996-12-31	VYDAJ	VYBER	15	57607	SLUZBY	\N	\N
805030	2742	1997-01-31	VYDAJ	VYBER	15	38309	SLUZBY	\N	\N
805031	2742	1997-02-28	VYDAJ	VYBER	15	44715	SLUZBY	\N	\N
805032	2742	1997-03-31	VYDAJ	VYBER	15	42908	SLUZBY	\N	\N
805033	2742	1997-04-30	VYDAJ	VYBER	15	43612	SLUZBY	\N	\N
805034	2742	1997-05-31	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
805035	2742	1997-06-30	VYDAJ	VYBER	15	39281	SLUZBY	\N	\N
805036	2742	1997-07-31	VYDAJ	VYBER	15	46894	SLUZBY	\N	\N
805037	2742	1997-08-31	VYDAJ	VYBER	15	44799	SLUZBY	\N	\N
805038	2742	1997-09-30	VYDAJ	VYBER	15	42051	SLUZBY	\N	\N
805039	2742	1997-10-31	VYDAJ	VYBER	15	48175	SLUZBY	\N	\N
805040	2742	1997-11-30	VYDAJ	VYBER	15	48922	SLUZBY	\N	\N
805041	2742	1997-12-31	VYDAJ	VYBER	15	49561	SLUZBY	\N	\N
805042	2742	1998-01-31	VYDAJ	VYBER	15	43082	SLUZBY	\N	\N
805043	2742	1998-02-28	VYDAJ	VYBER	15	44405	SLUZBY	\N	\N
805044	2742	1998-03-31	VYDAJ	VYBER	15	46236	SLUZBY	\N	\N
805045	2742	1998-04-30	VYDAJ	VYBER	15	46373	SLUZBY	\N	\N
805046	2742	1998-05-31	VYDAJ	VYBER	15	40905	SLUZBY	\N	\N
805047	2742	1998-06-30	VYDAJ	VYBER	15	28971	SLUZBY	\N	\N
805048	2742	1998-07-31	VYDAJ	VYBER	15	32936	SLUZBY	\N	\N
805049	2742	1998-08-31	VYDAJ	VYBER	15	33914	SLUZBY	\N	\N
805050	2742	1998-09-30	VYDAJ	VYBER	15	31792	SLUZBY	\N	\N
805051	2742	1998-10-31	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
805052	2742	1998-11-30	VYDAJ	VYBER	15	30310	SLUZBY	\N	\N
805053	2742	1994-11-14	PRIJEM	VKLAD	6200	22441	\N	\N	\N
805054	2742	1994-12-14	VYDAJ	VYBER	9900	35906	\N	\N	\N
805055	2742	1995-01-13	VYDAJ	VYBER	15200	36373	\N	\N	\N
805056	2742	1995-02-12	VYDAJ	VYBER	15000	37064	\N	\N	\N
805057	2742	1995-03-14	VYDAJ	VYBER	13700	34053	\N	\N	\N
805058	2742	1995-04-13	VYDAJ	VYBER	10600	34127	\N	\N	\N
805059	2742	1995-05-13	VYDAJ	VYBER	8800	30114	\N	\N	\N
805060	2742	1995-06-12	VYDAJ	VYBER	9900	34077	\N	\N	\N
805061	2742	1995-07-12	VYDAJ	VYBER	7400	37333	\N	\N	\N
805062	2742	1995-08-11	VYDAJ	VYBER	10600	42285	\N	\N	\N
805063	2742	1995-09-10	VYDAJ	VYBER	11100	41992	\N	\N	\N
805064	2742	1995-10-10	VYDAJ	VYBER	12900	35088	\N	\N	\N
805065	2742	1995-11-09	VYDAJ	VYBER	5300	37199	\N	\N	\N
805066	2742	1995-12-09	VYDAJ	VYBER	12500	34797	\N	\N	\N
805067	2742	1996-01-08	VYDAJ	VYBER	2300	33551	\N	\N	\N
805068	2742	1996-02-07	VYDAJ	VYBER	7300	34974	\N	\N	\N
805069	2742	1996-03-08	VYDAJ	VYBER	5200	40419	\N	\N	\N
805070	2742	1996-04-07	VYDAJ	VYBER	7100	43984	\N	\N	\N
805071	2742	1996-05-07	VYDAJ	VYBER	6000	40737	\N	\N	\N
805072	2742	1996-06-06	VYDAJ	VYBER	12500	44393	\N	\N	\N
805073	2742	1996-07-06	PRIJEM	VKLAD	100	35143	\N	\N	\N
805074	2742	1996-08-05	VYDAJ	VYBER	4200	41585	\N	\N	\N
805075	2742	1996-09-04	VYDAJ	VYBER	2300	34417	\N	\N	\N
805076	2742	1996-10-04	VYDAJ	VYBER	5400	35400	\N	\N	\N
805077	2742	1996-11-03	VYDAJ	VYBER	4100	42013	\N	\N	\N
805078	2742	1996-12-03	VYDAJ	VYBER	11600	41152	\N	\N	\N
805079	2742	1997-01-02	VYDAJ	VYBER	12600	41887	\N	\N	\N
805080	2742	1997-02-01	VYDAJ	VYBER	4300	34009	\N	\N	\N
805081	2742	1997-03-03	VYDAJ	VYBER	8200	36515	\N	\N	\N
805082	2742	1997-04-02	VYDAJ	VYBER	10000	32908	\N	\N	\N
805083	2742	1997-05-02	VYDAJ	VYBER	9300	34312	\N	\N	\N
805084	2742	1997-06-01	PRIJEM	VKLAD	3200	48222	\N	\N	\N
805085	2742	1997-07-01	VYDAJ	VYBER	3100	36181	\N	\N	\N
805086	2742	1997-07-31	VYDAJ	VYBER	4000	42894	\N	\N	\N
805087	2742	1997-08-30	VYDAJ	VYBER	3300	44609	\N	\N	\N
805088	2742	1997-09-29	VYDAJ	VYBER	10600	41854	\N	\N	\N
805089	2742	1997-10-29	VYDAJ	VYBER	4600	47986	\N	\N	\N
805090	2742	1997-11-28	VYDAJ	VYBER	10000	48710	\N	\N	\N
805091	2742	1997-12-28	VYDAJ	VYBER	13900	53327	\N	\N	\N
805092	2742	1998-01-27	VYDAJ	VYBER KARTOU	600	43596	\N	\N	0
805093	2742	1998-02-26	VYDAJ	VYBER	7600	44217	\N	\N	\N
805094	2742	1998-03-28	VYDAJ	VYBER	8900	46040	\N	\N	\N
805095	2742	1998-04-27	VYDAJ	VYBER	10600	46171	\N	\N	\N
805096	2742	1998-05-27	VYDAJ	VYBER	16200	40708	\N	\N	\N
805097	2742	1998-06-26	VYDAJ	VYBER KARTOU	600	28851	\N	\N	0
805098	2742	1998-07-26	VYDAJ	VYBER	6700	32806	\N	\N	\N
805099	2742	1998-08-25	VYDAJ	VYBER	9700	33771	\N	\N	\N
805100	2742	1998-09-24	VYDAJ	VYBER	12800	31649	\N	\N	\N
805101	2742	1998-10-24	VYDAJ	VYBER	14000	28327	\N	\N	\N
805102	2742	1998-11-23	VYDAJ	VYBER KARTOU	4000	30195	\N	\N	0
805103	2742	1998-12-23	VYDAJ	VYBER	8800	36816	\N	\N	\N
805154	2743	1997-05-22	PRIJEM	VKLAD	200	200	\N	\N	\N
805160	2743	1997-06-12	PRIJEM	VKLAD	30399	30599	\N	\N	\N
805161	2743	1997-07-12	PRIJEM	VKLAD	20266	47102	\N	\N	\N
805162	2743	1997-08-12	PRIJEM	VKLAD	20266	54891	\N	\N	\N
805163	2743	1997-09-12	PRIJEM	VKLAD	20266	61812	\N	\N	\N
805164	2743	1997-10-12	PRIJEM	VKLAD	20266	66158	\N	\N	\N
805165	2743	1997-11-12	PRIJEM	VKLAD	20266	56992	\N	\N	\N
805166	2743	1997-12-12	PRIJEM	VKLAD	30399	63664	\N	\N	\N
805167	2743	1998-01-12	PRIJEM	VKLAD	20266	51825	\N	\N	\N
805168	2743	1998-02-12	PRIJEM	VKLAD	20266	39504	\N	\N	\N
805169	2743	1998-03-12	PRIJEM	VKLAD	20266	45161	\N	\N	\N
805170	2743	1998-04-12	PRIJEM	VKLAD	20266	47839	\N	\N	\N
805171	2743	1998-05-12	PRIJEM	VKLAD	20266	42876	\N	\N	\N
805172	2743	1998-06-12	PRIJEM	VKLAD	30399	51568	\N	\N	\N
805173	2743	1998-07-12	PRIJEM	VKLAD	20266	43673	\N	\N	\N
805174	2743	1998-08-12	PRIJEM	VKLAD	20266	40630	\N	\N	\N
805175	2743	1998-09-12	PRIJEM	VKLAD	20266	37672	\N	\N	\N
805176	2743	1998-10-12	PRIJEM	VKLAD	20266	39292	\N	\N	\N
805177	2743	1998-11-12	PRIJEM	VKLAD	20266	32158	\N	\N	\N
805178	2743	1998-12-12	PRIJEM	VKLAD	30399	40344	\N	\N	\N
805188	2743	1997-10-14	VYDAJ	PREVOD NA UCET	3330	62828	SIPO	ST	1417857
805189	2743	1997-11-14	VYDAJ	PREVOD NA UCET	3330	53662	SIPO	ST	1417857
805190	2743	1997-12-14	VYDAJ	PREVOD NA UCET	3330	60334	SIPO	ST	1417857
805191	2743	1998-01-14	VYDAJ	PREVOD NA UCET	3330	45495	SIPO	ST	1417857
805192	2743	1998-02-14	VYDAJ	PREVOD NA UCET	3330	36174	SIPO	ST	1417857
805193	2743	1998-03-14	VYDAJ	PREVOD NA UCET	3330	41831	SIPO	ST	1417857
805194	2743	1998-04-14	VYDAJ	PREVOD NA UCET	3330	44509	SIPO	ST	1417857
805195	2743	1998-05-14	VYDAJ	PREVOD NA UCET	3330	39546	SIPO	ST	1417857
805196	2743	1998-06-14	VYDAJ	PREVOD NA UCET	3330	48238	SIPO	ST	1417857
805197	2743	1998-07-14	VYDAJ	PREVOD NA UCET	3330	40343	SIPO	ST	1417857
805198	2743	1998-08-14	VYDAJ	PREVOD NA UCET	3330	37300	SIPO	ST	1417857
805199	2743	1998-09-14	VYDAJ	PREVOD NA UCET	3330	34342	SIPO	ST	1417857
805200	2743	1998-10-14	VYDAJ	PREVOD NA UCET	3330	22362	SIPO	ST	1417857
805201	2743	1998-11-14	VYDAJ	PREVOD NA UCET	3330	15528	SIPO	ST	1417857
805202	2743	1998-12-14	VYDAJ	PREVOD NA UCET	3330	23314	SIPO	ST	1417857
805213	2743	1997-11-05	VYDAJ	PREVOD NA UCET	2811	38596	 	GH	18241173
805214	2743	1997-12-05	VYDAJ	PREVOD NA UCET	2811	36415	 	GH	18241173
805215	2743	1998-01-05	VYDAJ	PREVOD NA UCET	2811	36789	 	GH	18241173
805216	2743	1998-02-05	VYDAJ	PREVOD NA UCET	2811	21108	 	GH	18241173
805217	2743	1998-03-05	VYDAJ	PREVOD NA UCET	2811	26765	 	GH	18241173
805218	2743	1998-04-05	VYDAJ	PREVOD NA UCET	2811	29443	 	GH	18241173
805219	2743	1998-05-05	VYDAJ	PREVOD NA UCET	2811	24480	 	GH	18241173
805220	2743	1998-06-05	VYDAJ	PREVOD NA UCET	2811	23039	 	GH	18241173
805221	2743	1998-07-05	VYDAJ	PREVOD NA UCET	2811	25277	 	GH	18241173
805222	2743	1998-08-05	VYDAJ	PREVOD NA UCET	2811	22234	 	GH	18241173
805223	2743	1998-09-05	VYDAJ	PREVOD NA UCET	2811	19276	 	GH	18241173
805224	2743	1998-10-05	VYDAJ	PREVOD NA UCET	2811	20896	 	GH	18241173
805225	2743	1998-11-05	VYDAJ	PREVOD NA UCET	2811	19642	 	GH	18241173
805226	2743	1998-12-05	VYDAJ	PREVOD NA UCET	2811	11815	 	GH	18241173
805237	2743	1997-11-10	VYDAJ	PREVOD NA UCET	1870	36726	POJISTNE	QR	20341313
805238	2743	1997-12-10	VYDAJ	PREVOD NA UCET	1870	34545	POJISTNE	QR	20341313
805239	2743	1998-01-10	VYDAJ	PREVOD NA UCET	1870	32519	POJISTNE	QR	20341313
805240	2743	1998-02-10	VYDAJ	PREVOD NA UCET	1870	19238	POJISTNE	QR	20341313
805241	2743	1998-03-10	VYDAJ	PREVOD NA UCET	1870	24895	POJISTNE	QR	20341313
805242	2743	1998-04-10	VYDAJ	PREVOD NA UCET	1870	27573	POJISTNE	QR	20341313
805243	2743	1998-05-10	VYDAJ	PREVOD NA UCET	1870	22610	POJISTNE	QR	20341313
805244	2743	1998-06-10	VYDAJ	PREVOD NA UCET	1870	21169	POJISTNE	QR	20341313
805245	2743	1998-07-10	VYDAJ	PREVOD NA UCET	1870	23407	POJISTNE	QR	20341313
805246	2743	1998-08-10	VYDAJ	PREVOD NA UCET	1870	20364	POJISTNE	QR	20341313
805247	2743	1998-09-10	VYDAJ	PREVOD NA UCET	1870	17406	POJISTNE	QR	20341313
805248	2743	1998-10-10	VYDAJ	PREVOD NA UCET	1870	19026	POJISTNE	QR	20341313
805249	2743	1998-11-10	VYDAJ	PREVOD NA UCET	1870	11892	POJISTNE	QR	20341313
805250	2743	1998-12-10	VYDAJ	PREVOD NA UCET	1870	9945	POJISTNE	QR	20341313
805254	2743	1998-01-18	VYDAJ	VYBER	4160	26795	\N	\N	\N
805255	2743	1997-12-11	VYDAJ	VYBER	1280	33265	\N	\N	\N
805256	2743	1998-12-05	VYDAJ	VYBER	960	14626	\N	\N	\N
805263	2743	1998-01-06	VYDAJ	VYBER	2400	34389	\N	\N	\N
805264	2743	1998-01-13	VYDAJ	VYBER	3000	48825	\N	\N	\N
805265	2743	1998-01-17	VYDAJ	VYBER	2640	30955	\N	\N	\N
805266	2743	1998-01-11	VYDAJ	VYBER	960	31559	\N	\N	\N
805267	2743	1998-01-29	VYDAJ	VYBER	1920	23795	\N	\N	\N
805268	2743	1998-01-24	VYDAJ	VYBER	1080	25715	\N	\N	\N
805273	2743	1998-06-19	VYDAJ	VYBER	2760	27978	\N	\N	\N
805274	2743	1998-04-28	VYDAJ	VYBER	2640	27169	\N	\N	\N
805275	2743	1998-11-08	VYDAJ	VYBER	5880	13762	\N	\N	\N
805276	2743	1998-09-18	VYDAJ	VYBER	720	23622	\N	\N	\N
805287	2743	1997-10-31	VYDAJ	VYBER	15	41407	SLUZBY	\N	\N
805288	2743	1997-11-30	VYDAJ	VYBER	15	39226	SLUZBY	\N	\N
805289	2743	1997-12-31	VYDAJ	VYBER	15	39600	SLUZBY	\N	\N
805290	2743	1998-01-31	VYDAJ	VYBER	15	23919	SLUZBY	\N	\N
805291	2743	1998-02-28	VYDAJ	VYBER	15	29576	SLUZBY	\N	\N
805292	2743	1998-03-31	VYDAJ	VYBER	15	32254	SLUZBY	\N	\N
805293	2743	1998-04-30	VYDAJ	VYBER	15	27291	SLUZBY	\N	\N
805294	2743	1998-05-31	VYDAJ	VYBER	15	25850	SLUZBY	\N	\N
805295	2743	1998-06-30	VYDAJ	VYBER	15	28088	SLUZBY	\N	\N
805296	2743	1998-07-31	VYDAJ	VYBER	15	25045	SLUZBY	\N	\N
805297	2743	1998-08-31	VYDAJ	VYBER	15	22087	SLUZBY	\N	\N
805298	2743	1998-09-30	VYDAJ	VYBER	15	23707	SLUZBY	\N	\N
805299	2743	1998-10-31	VYDAJ	VYBER	15	22453	SLUZBY	\N	\N
805300	2743	1998-11-30	VYDAJ	VYBER	15	15586	SLUZBY	\N	\N
805301	2743	1997-06-21	VYDAJ	VYBER	3800	26799	\N	\N	\N
805302	2743	1997-07-21	VYDAJ	VYBER	12600	34502	\N	\N	\N
805303	2743	1997-08-20	VYDAJ	VYBER	13500	41391	\N	\N	\N
805304	2743	1997-09-19	VYDAJ	VYBER	16100	45712	\N	\N	\N
805305	2743	1997-10-19	VYDAJ	VYBER	21600	41228	\N	\N	\N
805306	2743	1997-11-18	VYDAJ	VYBER	14600	39062	\N	\N	\N
805307	2743	1997-12-18	VYDAJ	VYBER	20900	39434	\N	\N	\N
805308	2743	1998-01-17	VYDAJ	VYBER	11900	33595	\N	\N	\N
805309	2743	1998-02-16	VYDAJ	VYBER	6700	29474	\N	\N	\N
805310	2743	1998-03-18	VYDAJ	VYBER	9700	32131	\N	\N	\N
805311	2743	1998-04-17	VYDAJ	VYBER	14700	29809	\N	\N	\N
805312	2743	1998-05-17	VYDAJ	VYBER	13800	25746	\N	\N	\N
805313	2743	1998-06-16	VYDAJ	VYBER	17500	30738	\N	\N	\N
805314	2743	1998-07-16	VYDAJ	VYBER	15400	24943	\N	\N	\N
805315	2743	1998-08-15	VYDAJ	VYBER	15300	22000	\N	\N	\N
805316	2743	1998-09-14	VYDAJ	VYBER	10000	24342	\N	\N	\N
805317	2743	1998-10-14	VYDAJ	VYBER	13600	25692	\N	\N	\N
805318	2743	1998-11-13	VYDAJ	VYBER	13300	18858	\N	\N	\N
805319	2743	1998-12-13	VYDAJ	VYBER	13700	26644	\N	\N	\N
805339	2744	1997-04-19	PRIJEM	VKLAD	900	900	\N	\N	\N
805344	2744	1997-05-09	PRIJEM	PREVOD Z UCTU	15802	16702	\N	IJ	75457590
805345	2744	1997-06-09	PRIJEM	PREVOD Z UCTU	23703	43640	\N	IJ	75457590
805346	2744	1997-07-09	PRIJEM	PREVOD Z UCTU	15802	50151	\N	IJ	75457590
805347	2744	1997-08-09	PRIJEM	PREVOD Z UCTU	15802	50095	\N	IJ	75457590
805348	2744	1997-09-09	PRIJEM	PREVOD Z UCTU	15802	49137	\N	IJ	75457590
805349	2744	1997-10-09	PRIJEM	PREVOD Z UCTU	15802	39846	\N	IJ	75457590
805350	2744	1997-11-09	PRIJEM	PREVOD Z UCTU	15802	30616	\N	IJ	75457590
805351	2744	1997-12-09	PRIJEM	PREVOD Z UCTU	23703	40013	\N	IJ	75457590
805352	2744	1998-01-09	PRIJEM	PREVOD Z UCTU	15802	34846	\N	IJ	75457590
805353	2744	1998-02-09	PRIJEM	PREVOD Z UCTU	15802	36368	\N	IJ	75457590
805354	2744	1998-03-09	PRIJEM	PREVOD Z UCTU	15802	37886	\N	IJ	75457590
805355	2744	1998-04-09	PRIJEM	PREVOD Z UCTU	15802	39413	\N	IJ	75457590
805356	2744	1998-05-09	PRIJEM	PREVOD Z UCTU	15802	35500	\N	IJ	75457590
805357	2744	1998-06-09	PRIJEM	PREVOD Z UCTU	23703	44923	\N	IJ	75457590
805358	2744	1998-07-09	PRIJEM	PREVOD Z UCTU	15802	37264	\N	IJ	75457590
805359	2744	1998-08-09	PRIJEM	PREVOD Z UCTU	15802	38745	\N	IJ	75457590
805360	2744	1998-09-09	PRIJEM	PREVOD Z UCTU	15802	40232	\N	IJ	75457590
805361	2744	1998-10-09	PRIJEM	PREVOD Z UCTU	15802	41726	\N	IJ	75457590
805362	2744	1998-11-09	PRIJEM	PREVOD Z UCTU	15802	43268	\N	IJ	75457590
805363	2744	1998-12-09	PRIJEM	PREVOD Z UCTU	23703	44917	\N	IJ	75457590
805372	2744	1997-09-09	VYDAJ	PREVOD NA UCET	14384	34753	SIPO	ST	49756062
805373	2744	1997-10-09	VYDAJ	PREVOD NA UCET	14384	25462	SIPO	ST	49756062
805374	2744	1997-11-09	VYDAJ	PREVOD NA UCET	14384	16232	SIPO	ST	49756062
805375	2744	1997-12-09	VYDAJ	PREVOD NA UCET	14384	25629	SIPO	ST	49756062
805376	2744	1998-01-09	VYDAJ	PREVOD NA UCET	14384	20462	SIPO	ST	49756062
805377	2744	1998-02-09	VYDAJ	PREVOD NA UCET	14384	21984	SIPO	ST	49756062
805378	2744	1998-03-09	VYDAJ	PREVOD NA UCET	14384	23502	SIPO	ST	49756062
805379	2744	1998-04-09	VYDAJ	PREVOD NA UCET	14384	25029	SIPO	ST	49756062
805380	2744	1998-05-09	VYDAJ	PREVOD NA UCET	14384	21116	SIPO	ST	49756062
805381	2744	1998-06-09	VYDAJ	PREVOD NA UCET	14384	30539	SIPO	ST	49756062
805382	2744	1998-07-09	VYDAJ	PREVOD NA UCET	14384	22880	SIPO	ST	49756062
805383	2744	1998-08-09	VYDAJ	PREVOD NA UCET	14384	24361	SIPO	ST	49756062
805384	2744	1998-09-09	VYDAJ	PREVOD NA UCET	14384	25848	SIPO	ST	49756062
805385	2744	1998-10-09	VYDAJ	PREVOD NA UCET	14384	27342	SIPO	ST	49756062
805386	2744	1998-11-09	VYDAJ	PREVOD NA UCET	14384	28884	SIPO	ST	49756062
805387	2744	1998-12-09	VYDAJ	PREVOD NA UCET	14384	30533	SIPO	ST	49756062
805398	2744	1998-05-03	VYBER	VYBER	5445	19698	\N	\N	\N
805399	2744	1998-01-03	VYBER	VYBER	6694	19044	\N	\N	\N
805400	2744	1998-06-13	VYBER	VYBER	9141	21398	\N	\N	\N
805409	2744	1998-12-05	VYDAJ	VYBER	7800	21214	\N	\N	\N
805437	2744	1997-09-30	VYDAJ	VYBER	30	24044	SLUZBY	\N	\N
805438	2744	1997-10-31	VYDAJ	VYBER	30	14814	SLUZBY	\N	\N
805439	2744	1997-11-30	VYDAJ	VYBER	30	16310	SLUZBY	\N	\N
805440	2744	1997-12-31	VYDAJ	VYBER	30	25738	SLUZBY	\N	\N
805441	2744	1998-01-31	VYDAJ	VYBER	30	20566	SLUZBY	\N	\N
805442	2744	1998-02-28	VYDAJ	VYBER	30	22084	SLUZBY	\N	\N
805443	2744	1998-03-31	VYDAJ	VYBER	30	23611	SLUZBY	\N	\N
805444	2744	1998-04-30	VYDAJ	VYBER	30	25143	SLUZBY	\N	\N
805445	2744	1998-05-31	VYDAJ	VYBER	30	21220	SLUZBY	\N	\N
805446	2744	1998-06-30	VYDAJ	VYBER	30	21462	SLUZBY	\N	\N
805447	2744	1998-07-31	VYDAJ	VYBER	30	22943	SLUZBY	\N	\N
805448	2744	1998-08-31	VYDAJ	VYBER	30	24430	SLUZBY	\N	\N
805449	2744	1998-09-30	VYDAJ	VYBER	30	25924	SLUZBY	\N	\N
805450	2744	1998-10-31	VYDAJ	VYBER	30	27466	SLUZBY	\N	\N
805451	2744	1998-11-30	VYDAJ	VYBER	30	29014	SLUZBY	\N	\N
805452	2744	1997-05-19	PRIJEM	VKLAD	3200	19902	\N	\N	\N
805453	2744	1997-06-18	VYDAJ	VYBER	9400	34240	\N	\N	\N
805454	2744	1997-07-18	VYDAJ	VYBER	16000	34151	\N	\N	\N
805455	2744	1997-08-17	VYDAJ	VYBER	16900	33195	\N	\N	\N
805456	2744	1997-09-16	VYDAJ	VYBER	10800	23953	\N	\N	\N
805457	2744	1997-10-16	VYDAJ	VYBER	10700	14762	\N	\N	\N
805478	2745	1997-09-28	PRIJEM	VKLAD	700	700	\N	\N	\N
805488	2745	1997-10-13	PRIJEM	VKLAD	19781	20481	\N	\N	\N
805489	2745	1997-11-13	PRIJEM	VKLAD	19781	41574	\N	\N	\N
805490	2745	1997-12-13	PRIJEM	VKLAD	29672	62042	\N	\N	\N
805491	2745	1998-01-13	PRIJEM	VKLAD	19781	63665	\N	\N	\N
805492	2745	1998-02-13	PRIJEM	VKLAD	19781	67631	\N	\N	\N
805493	2745	1998-03-13	PRIJEM	VKLAD	19781	61799	\N	\N	\N
805494	2745	1998-04-13	PRIJEM	VKLAD	19781	59321	\N	\N	\N
805495	2745	1998-05-13	PRIJEM	VKLAD	19781	60476	\N	\N	\N
805496	2745	1998-06-13	PRIJEM	VKLAD	29672	71993	\N	\N	\N
805497	2745	1998-07-13	PRIJEM	VKLAD	19781	33150	\N	\N	\N
805498	2745	1998-08-13	PRIJEM	VKLAD	19781	45659	\N	\N	\N
805499	2745	1998-09-13	PRIJEM	VKLAD	19781	54658	\N	\N	\N
805500	2745	1998-10-13	PRIJEM	VKLAD	19781	60590	\N	\N	\N
805501	2745	1998-11-13	PRIJEM	VKLAD	19781	62263	\N	\N	\N
805502	2745	1998-12-13	PRIJEM	VKLAD	29672	70439	\N	\N	\N
805517	2745	1998-03-12	VYDAJ	PREVOD NA UCET	1076	42018	SIPO	AB	76602530
805518	2745	1998-04-12	VYDAJ	PREVOD NA UCET	1076	39540	SIPO	AB	76602530
805519	2745	1998-05-12	VYDAJ	PREVOD NA UCET	1076	40695	SIPO	AB	76602530
805520	2745	1998-06-12	VYDAJ	PREVOD NA UCET	1076	42321	SIPO	AB	76602530
805521	2745	1998-07-12	VYDAJ	PREVOD NA UCET	1076	13369	SIPO	AB	76602530
805522	2745	1998-08-12	VYDAJ	PREVOD NA UCET	1076	25878	SIPO	AB	76602530
805523	2745	1998-09-12	VYDAJ	PREVOD NA UCET	1076	34877	SIPO	AB	76602530
805524	2745	1998-10-12	VYDAJ	PREVOD NA UCET	1076	40809	SIPO	AB	76602530
805525	2745	1998-11-12	VYDAJ	PREVOD NA UCET	1076	42482	SIPO	AB	76602530
805526	2745	1998-12-12	VYDAJ	PREVOD NA UCET	1076	40768	SIPO	AB	76602530
805540	2745	1998-02-13	VYDAJ	PREVOD NA UCET	3461	64170	 	UV	59444808
805541	2745	1998-03-13	VYDAJ	PREVOD NA UCET	3461	58338	 	UV	59444808
805542	2745	1998-04-13	VYDAJ	PREVOD NA UCET	3461	55860	 	UV	59444808
805543	2745	1998-05-13	VYDAJ	PREVOD NA UCET	3461	57015	 	UV	59444808
805544	2745	1998-06-13	VYDAJ	PREVOD NA UCET	3461	68532	 	UV	59444808
805545	2745	1998-07-13	VYDAJ	PREVOD NA UCET	3461	29689	 	UV	59444808
805546	2745	1998-08-13	VYDAJ	PREVOD NA UCET	3461	42198	 	UV	59444808
805547	2745	1998-09-13	VYDAJ	PREVOD NA UCET	3461	51197	 	UV	59444808
805548	2745	1998-10-13	VYDAJ	PREVOD NA UCET	3461	57129	 	UV	59444808
805549	2745	1998-11-13	VYDAJ	PREVOD NA UCET	3461	58802	 	UV	59444808
805550	2745	1998-12-13	VYDAJ	PREVOD NA UCET	3461	66978	 	UV	59444808
805565	2745	1998-03-05	VYDAJ	PREVOD NA UCET	1465	46619	POJISTNE	KL	40470147
805566	2745	1998-04-05	VYDAJ	PREVOD NA UCET	1465	46781	POJISTNE	KL	40470147
805567	2745	1998-05-05	VYDAJ	PREVOD NA UCET	1465	45296	POJISTNE	KL	40470147
805568	2745	1998-06-05	VYDAJ	PREVOD NA UCET	1465	46922	POJISTNE	KL	40470147
805569	2745	1998-07-05	VYDAJ	PREVOD NA UCET	1465	17970	POJISTNE	KL	40470147
805570	2745	1998-08-05	VYDAJ	PREVOD NA UCET	1465	30479	POJISTNE	KL	40470147
805571	2745	1998-09-05	VYDAJ	PREVOD NA UCET	1465	39478	POJISTNE	KL	40470147
805572	2745	1998-10-05	VYDAJ	PREVOD NA UCET	1465	45410	POJISTNE	KL	40470147
805573	2745	1998-11-05	VYDAJ	PREVOD NA UCET	1465	47083	POJISTNE	KL	40470147
805574	2745	1998-12-05	VYDAJ	PREVOD NA UCET	1465	46489	POJISTNE	KL	40470147
805589	2745	1998-03-08	VYDAJ	PREVOD NA UCET	3525	43094	 	GH	33104568
805590	2745	1998-04-08	VYDAJ	PREVOD NA UCET	3525	43256	 	GH	33104568
805591	2745	1998-05-08	VYDAJ	PREVOD NA UCET	3525	41771	 	GH	33104568
805592	2745	1998-06-08	VYDAJ	PREVOD NA UCET	3525	43397	 	GH	33104568
805593	2745	1998-07-08	VYDAJ	PREVOD NA UCET	3525	14445	 	GH	33104568
805594	2745	1998-08-08	VYDAJ	PREVOD NA UCET	3525	26954	 	GH	33104568
805595	2745	1998-09-08	VYDAJ	PREVOD NA UCET	3525	35953	 	GH	33104568
805596	2745	1998-10-08	VYDAJ	PREVOD NA UCET	3525	41885	 	GH	33104568
805597	2745	1998-11-08	VYDAJ	PREVOD NA UCET	3525	43558	 	GH	33104568
805598	2745	1998-12-08	VYDAJ	PREVOD NA UCET	3525	42964	 	GH	33104568
805600	2745	1998-06-26	VYDAJ	VYBER	34400	19232	\N	\N	\N
805602	2745	1998-12-09	VYDAJ	VYBER	1120	41844	\N	\N	\N
805620	2745	1998-10-31	VYDAJ	VYBER	2280	48563	\N	\N	\N
805621	2745	1998-07-23	VYDAJ	VYBER	1440	28249	\N	\N	\N
805623	2745	1998-12-18	VYDAJ	VYBER	4440	62538	\N	\N	\N
805624	2745	1998-04-11	VYDAJ	VYBER	2640	40616	\N	\N	\N
805625	2745	1998-11-15	VYDAJ	VYBER	5040	53762	\N	\N	\N
805626	2745	1998-05-20	VYDAJ	VYBER	4320	52695	\N	\N	\N
805641	2745	1998-02-28	VYDAJ	VYBER	15	48084	SLUZBY	\N	\N
805642	2745	1998-03-31	VYDAJ	VYBER	15	48246	SLUZBY	\N	\N
805643	2745	1998-04-30	VYDAJ	VYBER	15	46761	SLUZBY	\N	\N
805644	2745	1998-05-31	VYDAJ	VYBER	15	48387	SLUZBY	\N	\N
805645	2745	1998-06-30	VYDAJ	VYBER	15	19435	SLUZBY	\N	\N
805646	2745	1998-07-31	VYDAJ	VYBER	15	31944	SLUZBY	\N	\N
805647	2745	1998-08-31	VYDAJ	VYBER	15	40943	SLUZBY	\N	\N
805648	2745	1998-09-30	VYDAJ	VYBER	15	46875	SLUZBY	\N	\N
805649	2745	1998-10-31	VYDAJ	VYBER	15	48548	SLUZBY	\N	\N
805650	2745	1998-11-30	VYDAJ	VYBER	15	47954	SLUZBY	\N	\N
805651	2745	1997-10-28	PRIJEM	VKLAD	1300	21781	\N	\N	\N
805652	2745	1997-11-27	VYDAJ	VYBER	9300	32274	\N	\N	\N
805653	2745	1997-12-27	VYDAJ	VYBER	18300	43742	\N	\N	\N
805654	2745	1998-01-26	VYDAJ	VYBER	16000	47665	\N	\N	\N
805655	2745	1998-02-25	VYDAJ	VYBER	16300	47870	\N	\N	\N
805656	2745	1998-03-27	VYDAJ	VYBER	10300	48038	\N	\N	\N
805657	2745	1998-04-26	VYDAJ	VYBER	9300	46560	\N	\N	\N
805658	2745	1998-05-26	VYDAJ	VYBER	4500	48195	\N	\N	\N
805659	2745	1998-06-25	VYDAJ	VYBER	14900	53632	\N	\N	\N
805660	2745	1998-07-25	PRIJEM	VKLAD	3600	31849	\N	\N	\N
805661	2745	1998-08-24	VYDAJ	VYBER	1400	40798	\N	\N	\N
805662	2745	1998-09-23	VYDAJ	VYBER	4500	46697	\N	\N	\N
805663	2745	1998-10-23	VYDAJ	VYBER	6500	50629	\N	\N	\N
805664	2745	1998-11-22	VYDAJ	VYBER	6000	47762	\N	\N	\N
805680	2746	1996-08-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
805689	2746	1996-09-09	PRIJEM	PREVOD Z UCTU	6556	7656	DUCHOD	EF	49268311
805690	2746	1996-10-09	PRIJEM	PREVOD Z UCTU	6556	14212	DUCHOD	EF	49268311
805691	2746	1996-11-09	PRIJEM	PREVOD Z UCTU	6556	20768	DUCHOD	EF	49268311
805692	2746	1996-12-09	PRIJEM	PREVOD Z UCTU	6556	27324	DUCHOD	EF	49268311
805693	2746	1997-01-09	PRIJEM	PREVOD Z UCTU	6556	31116	DUCHOD	EF	49268311
805694	2746	1997-02-09	PRIJEM	PREVOD Z UCTU	6556	21748	DUCHOD	EF	49268311
805695	2746	1997-03-09	PRIJEM	PREVOD Z UCTU	6556	25960	DUCHOD	EF	49268311
805696	2746	1997-04-09	PRIJEM	PREVOD Z UCTU	6556	28588	DUCHOD	EF	49268311
805697	2746	1997-05-09	PRIJEM	PREVOD Z UCTU	6556	32829	DUCHOD	EF	49268311
805698	2746	1997-06-09	PRIJEM	PREVOD Z UCTU	6556	28418	DUCHOD	EF	49268311
805699	2746	1997-07-09	PRIJEM	PREVOD Z UCTU	6556	25066	DUCHOD	EF	49268311
805700	2746	1997-08-09	PRIJEM	PREVOD Z UCTU	6556	27534	DUCHOD	EF	49268311
805701	2746	1997-09-09	PRIJEM	PREVOD Z UCTU	6556	31771	DUCHOD	EF	49268311
805702	2746	1997-10-09	PRIJEM	PREVOD Z UCTU	6556	32418	DUCHOD	EF	49268311
805703	2746	1997-11-09	PRIJEM	PREVOD Z UCTU	6556	35273	DUCHOD	EF	49268311
805704	2746	1997-12-09	PRIJEM	PREVOD Z UCTU	6556	38440	DUCHOD	EF	49268311
805705	2746	1998-01-09	PRIJEM	PREVOD Z UCTU	6556	34252	DUCHOD	EF	49268311
805706	2746	1998-02-09	PRIJEM	PREVOD Z UCTU	6556	30325	DUCHOD	EF	49268311
805707	2746	1998-03-09	PRIJEM	PREVOD Z UCTU	6556	31366	DUCHOD	EF	49268311
805708	2746	1998-04-09	PRIJEM	PREVOD Z UCTU	6556	31210	DUCHOD	EF	49268311
805709	2746	1998-05-09	PRIJEM	PREVOD Z UCTU	6556	31052	DUCHOD	EF	49268311
805710	2746	1998-06-09	PRIJEM	PREVOD Z UCTU	6556	35303	DUCHOD	EF	49268311
805711	2746	1998-07-09	PRIJEM	PREVOD Z UCTU	6556	37216	DUCHOD	EF	49268311
805712	2746	1998-08-09	PRIJEM	PREVOD Z UCTU	6556	35999	DUCHOD	EF	49268311
805713	2746	1998-09-09	PRIJEM	PREVOD Z UCTU	6556	40071	DUCHOD	EF	49268311
805714	2746	1998-10-09	PRIJEM	PREVOD Z UCTU	6556	42755	DUCHOD	EF	49268311
805715	2746	1998-11-09	PRIJEM	PREVOD Z UCTU	6556	39034	DUCHOD	EF	49268311
805716	2746	1998-12-09	PRIJEM	PREVOD Z UCTU	6556	38707	DUCHOD	EF	49268311
805729	2746	1997-01-10	VYDAJ	PREVOD NA UCET	2404	26392	SIPO	QR	11944139
805730	2746	1997-02-10	VYDAJ	PREVOD NA UCET	2404	19344	SIPO	QR	11944139
805731	2746	1997-03-10	VYDAJ	PREVOD NA UCET	2404	23556	SIPO	QR	11944139
805732	2746	1997-04-10	VYDAJ	PREVOD NA UCET	2404	26184	SIPO	QR	11944139
805733	2746	1997-05-10	VYDAJ	PREVOD NA UCET	2404	30425	SIPO	QR	11944139
805734	2746	1997-06-10	VYDAJ	PREVOD NA UCET	2404	26014	SIPO	QR	11944139
805735	2746	1997-07-10	VYDAJ	PREVOD NA UCET	2404	22662	SIPO	QR	11944139
805736	2746	1997-08-10	VYDAJ	PREVOD NA UCET	2404	25130	SIPO	QR	11944139
805737	2746	1997-09-10	VYDAJ	PREVOD NA UCET	2404	29367	SIPO	QR	11944139
805738	2746	1997-10-10	VYDAJ	PREVOD NA UCET	2404	30014	SIPO	QR	11944139
805739	2746	1997-11-10	VYDAJ	PREVOD NA UCET	2404	32869	SIPO	QR	11944139
805740	2746	1997-12-10	VYDAJ	PREVOD NA UCET	2404	36036	SIPO	QR	11944139
805741	2746	1998-01-10	VYDAJ	PREVOD NA UCET	2404	31848	SIPO	QR	11944139
805742	2746	1998-02-10	VYDAJ	PREVOD NA UCET	2404	27921	SIPO	QR	11944139
805743	2746	1998-03-10	VYDAJ	PREVOD NA UCET	2404	26962	SIPO	QR	11944139
805744	2746	1998-04-10	VYDAJ	PREVOD NA UCET	2404	28806	SIPO	QR	11944139
805745	2746	1998-05-10	VYDAJ	PREVOD NA UCET	2404	28648	SIPO	QR	11944139
805746	2746	1998-06-10	VYDAJ	PREVOD NA UCET	2404	32899	SIPO	QR	11944139
805747	2746	1998-07-10	VYDAJ	PREVOD NA UCET	2404	34812	SIPO	QR	11944139
805748	2746	1998-08-10	VYDAJ	PREVOD NA UCET	2404	33595	SIPO	QR	11944139
805749	2746	1998-09-10	VYDAJ	PREVOD NA UCET	2404	37667	SIPO	QR	11944139
805750	2746	1998-10-10	VYDAJ	PREVOD NA UCET	2404	40351	SIPO	QR	11944139
805751	2746	1998-11-10	VYDAJ	PREVOD NA UCET	2404	36630	SIPO	QR	11944139
805752	2746	1998-12-10	VYDAJ	PREVOD NA UCET	2404	36303	SIPO	QR	11944139
805754	2746	1997-06-06	VYDAJ	VYBER	7550	21862	\N	\N	\N
805755	2746	1998-06-10	VYDAJ	VYBER	1650	31249	\N	\N	\N
805758	2746	1998-01-18	VYDAJ	VYBER	1100	26388	\N	\N	\N
805760	2746	1997-12-13	VYDAJ	VYBER	1000	35036	\N	\N	\N
805761	2746	1998-12-06	VYDAJ	VYBER	300	32151	\N	\N	\N
805768	2746	1997-01-26	VYDAJ	VYBER	1920	17192	\N	\N	\N
805769	2746	1997-01-18	VYDAJ	VYBER	2160	22152	\N	\N	\N
805770	2746	1997-01-29	VYDAJ	VYBER	2080	15112	\N	\N	\N
805771	2746	1997-01-09	VYDAJ	VYBER	2320	28796	\N	\N	\N
805772	2746	1997-01-18	VYDAJ	VYBER	2080	24312	\N	\N	\N
805773	2746	1997-01-25	VYDAJ	VYBER	640	19112	\N	\N	\N
805774	2746	1998-01-02	VYDAJ	VYBER	1440	30416	\N	\N	\N
805775	2746	1998-01-06	VYDAJ	VYBER	1600	27696	\N	\N	\N
805776	2746	1998-01-05	VYDAJ	VYBER	1120	29296	\N	\N	\N
805777	2746	1998-01-20	VYDAJ	VYBER	2240	24148	\N	\N	\N
805778	2746	1998-01-30	VYDAJ	VYBER	480	23668	\N	\N	\N
805779	2746	1998-01-16	VYDAJ	VYBER	2160	27488	\N	\N	\N
805785	2746	1997-07-15	VYDAJ	VYBER	1760	20902	\N	\N	\N
805786	2746	1997-07-01	VYDAJ	VYBER	3760	22350	\N	\N	\N
805787	2746	1997-06-01	VYDAJ	VYBER	1120	29412	\N	\N	\N
805788	2746	1997-03-19	VYDAJ	VYBER	1600	21956	\N	\N	\N
805789	2746	1997-07-05	VYDAJ	VYBER	3840	18510	\N	\N	\N
805790	2746	1998-01-11	VYDAJ	VYBER	400	31448	\N	\N	\N
805791	2746	1998-03-10	VYDAJ	VYBER	2000	29366	\N	\N	\N
805792	2746	1998-12-22	VYDAJ	VYBER	3040	27663	\N	\N	\N
805793	2746	1998-07-13	VYDAJ	VYBER	3280	31532	\N	\N	\N
805807	2746	1997-01-31	VYDAJ	VYBER	15	15192	SLUZBY	\N	\N
805808	2746	1997-02-28	VYDAJ	VYBER	15	19404	SLUZBY	\N	\N
805809	2746	1997-03-31	VYDAJ	VYBER	15	22032	SLUZBY	\N	\N
805810	2746	1997-04-30	VYDAJ	VYBER	15	26273	SLUZBY	\N	\N
805811	2746	1997-05-31	VYDAJ	VYBER	15	30532	SLUZBY	\N	\N
805812	2746	1997-06-30	VYDAJ	VYBER	15	26110	SLUZBY	\N	\N
805813	2746	1997-07-31	VYDAJ	VYBER	15	20978	SLUZBY	\N	\N
805814	2746	1997-08-31	VYDAJ	VYBER	15	25215	SLUZBY	\N	\N
805815	2746	1997-09-30	VYDAJ	VYBER	15	25862	SLUZBY	\N	\N
805816	2746	1997-10-31	VYDAJ	VYBER	15	28717	SLUZBY	\N	\N
805817	2746	1997-11-30	VYDAJ	VYBER	15	31884	SLUZBY	\N	\N
805818	2746	1997-12-31	VYDAJ	VYBER	15	31856	SLUZBY	\N	\N
805819	2746	1998-01-31	VYDAJ	VYBER	15	23769	SLUZBY	\N	\N
805820	2746	1998-02-28	VYDAJ	VYBER	15	24810	SLUZBY	\N	\N
805821	2746	1998-03-31	VYDAJ	VYBER	15	24654	SLUZBY	\N	\N
805822	2746	1998-04-30	VYDAJ	VYBER	15	24496	SLUZBY	\N	\N
805823	2746	1998-05-31	VYDAJ	VYBER	15	28747	SLUZBY	\N	\N
805824	2746	1998-06-30	VYDAJ	VYBER	15	30660	SLUZBY	\N	\N
805825	2746	1998-07-31	VYDAJ	VYBER	15	29443	SLUZBY	\N	\N
805826	2746	1998-08-31	VYDAJ	VYBER	15	33515	SLUZBY	\N	\N
805827	2746	1998-09-30	VYDAJ	VYBER	15	36199	SLUZBY	\N	\N
805828	2746	1998-10-31	VYDAJ	VYBER	15	32478	SLUZBY	\N	\N
805829	2746	1998-11-30	VYDAJ	VYBER	15	32451	SLUZBY	\N	\N
805830	2746	1996-12-21	VYDAJ	VYBER	2800	24524	\N	\N	\N
805831	2746	1997-01-20	VYDAJ	VYBER	2400	19752	\N	\N	\N
805832	2746	1997-09-17	VYDAJ	VYBER	3600	25767	\N	\N	\N
805833	2746	1997-10-17	VYDAJ	VYBER	1400	28614	\N	\N	\N
805834	2746	1997-11-16	VYDAJ	VYBER	1100	31769	\N	\N	\N
805835	2746	1997-12-16	VYDAJ	VYBER	3300	31736	\N	\N	\N
805836	2746	1998-01-15	VYDAJ	VYBER	1800	29648	\N	\N	\N
805837	2746	1998-02-14	VYDAJ	VYBER	3200	24721	\N	\N	\N
805838	2746	1998-03-16	VYDAJ	VYBER	2400	24562	\N	\N	\N
805839	2746	1998-04-15	VYDAJ	VYBER	4400	24406	\N	\N	\N
805840	2746	1998-06-14	VYDAJ	VYBER	700	30549	\N	\N	\N
805841	2746	1998-07-14	VYDAJ	VYBER	2200	29332	\N	\N	\N
805842	2746	1998-08-13	VYDAJ	VYBER	200	33395	\N	\N	\N
805843	2746	1998-09-12	VYDAJ	VYBER	1600	36067	\N	\N	\N
805844	2746	1998-10-12	VYDAJ	VYBER	8000	32351	\N	\N	\N
805845	2746	1998-11-11	VYDAJ	VYBER	4300	32330	\N	\N	\N
805846	2746	1998-12-11	VYDAJ	VYBER	5600	30703	\N	\N	\N
805872	2747	1994-08-14	PRIJEM	VKLAD	200	200	\N	\N	\N
805881	2747	1994-09-10	PRIJEM	VKLAD	5740	5940	\N	\N	\N
805882	2747	1994-10-10	PRIJEM	VKLAD	5740	19113	\N	\N	\N
805883	2747	1994-11-10	PRIJEM	VKLAD	5740	30739	\N	\N	\N
805884	2747	1994-12-10	PRIJEM	VKLAD	8610	35056	\N	\N	\N
805885	2747	1995-01-10	PRIJEM	VKLAD	5740	35715	\N	\N	\N
805886	2747	1995-02-10	PRIJEM	VKLAD	5740	32331	\N	\N	\N
805887	2747	1995-03-10	PRIJEM	VKLAD	5740	29919	\N	\N	\N
805888	2747	1995-04-10	PRIJEM	VKLAD	5740	27814	\N	\N	\N
805889	2747	1995-05-10	PRIJEM	VKLAD	5740	29712	\N	\N	\N
805890	2747	1995-06-10	PRIJEM	VKLAD	8610	36895	\N	\N	\N
805891	2747	1995-07-10	PRIJEM	VKLAD	5740	34381	\N	\N	\N
805892	2747	1995-08-10	PRIJEM	VKLAD	5740	32992	\N	\N	\N
805893	2747	1995-09-10	PRIJEM	VKLAD	5740	36111	\N	\N	\N
805894	2747	1995-10-10	PRIJEM	VKLAD	5740	38043	\N	\N	\N
805895	2747	1995-11-10	PRIJEM	VKLAD	5740	37221	\N	\N	\N
805896	2747	1995-12-10	PRIJEM	VKLAD	8610	40329	\N	\N	\N
805897	2747	1996-01-10	PRIJEM	VKLAD	5740	34488	\N	\N	\N
805898	2747	1996-02-10	PRIJEM	VKLAD	5740	31315	\N	\N	\N
805899	2747	1996-03-10	PRIJEM	VKLAD	5740	29731	\N	\N	\N
805900	2747	1996-04-10	PRIJEM	VKLAD	5740	28740	\N	\N	\N
805901	2747	1996-05-10	PRIJEM	VKLAD	5740	24747	\N	\N	\N
805902	2747	1996-06-10	PRIJEM	VKLAD	8610	24210	\N	\N	\N
805903	2747	1996-07-10	PRIJEM	VKLAD	5740	20113	\N	\N	\N
805904	2747	1996-08-10	PRIJEM	VKLAD	5740	20582	\N	\N	\N
805905	2747	1996-09-10	PRIJEM	VKLAD	5740	22552	\N	\N	\N
805906	2747	1996-10-10	PRIJEM	VKLAD	5740	17026	\N	\N	\N
805907	2747	1996-11-10	PRIJEM	VKLAD	5740	18988	\N	\N	\N
805908	2747	1996-12-10	PRIJEM	VKLAD	8610	21117	\N	\N	\N
805909	2747	1997-01-10	PRIJEM	VKLAD	5740	20043	\N	\N	\N
805910	2747	1997-02-10	PRIJEM	VKLAD	5740	20403	\N	\N	\N
805911	2747	1997-03-10	PRIJEM	VKLAD	5740	20202	\N	\N	\N
805912	2747	1997-04-10	PRIJEM	VKLAD	5740	22166	\N	\N	\N
805913	2747	1997-05-10	PRIJEM	VKLAD	5740	24138	\N	\N	\N
805914	2747	1997-06-10	PRIJEM	VKLAD	8610	22686	\N	\N	\N
805915	2747	1997-07-10	PRIJEM	VKLAD	5740	19006	\N	\N	\N
805916	2747	1997-08-10	PRIJEM	VKLAD	5740	20964	\N	\N	\N
805917	2747	1997-09-10	PRIJEM	VKLAD	5740	22930	\N	\N	\N
805918	2747	1997-10-10	PRIJEM	VKLAD	5740	24905	\N	\N	\N
805919	2747	1997-11-10	PRIJEM	VKLAD	5740	22439	\N	\N	\N
805920	2747	1997-12-10	PRIJEM	VKLAD	8610	22717	\N	\N	\N
805921	2747	1998-01-10	PRIJEM	VKLAD	5740	24686	\N	\N	\N
805922	2747	1998-02-10	PRIJEM	VKLAD	5740	21224	\N	\N	\N
805923	2747	1998-03-10	PRIJEM	VKLAD	5740	21389	\N	\N	\N
805924	2747	1998-04-10	PRIJEM	VKLAD	5740	23357	\N	\N	\N
805925	2747	1998-05-10	PRIJEM	VKLAD	5740	23770	\N	\N	\N
805926	2747	1998-06-10	PRIJEM	VKLAD	8610	25854	\N	\N	\N
805927	2747	1998-07-10	PRIJEM	VKLAD	5740	27835	\N	\N	\N
805928	2747	1998-08-10	PRIJEM	VKLAD	5740	29829	\N	\N	\N
805929	2747	1998-09-10	PRIJEM	VKLAD	5740	31832	\N	\N	\N
805930	2747	1998-10-10	PRIJEM	VKLAD	5740	33843	\N	\N	\N
805931	2747	1998-11-10	PRIJEM	VKLAD	5740	35862	\N	\N	\N
805932	2747	1998-12-10	PRIJEM	VKLAD	8610	40760	\N	\N	\N
805945	2747	1995-01-14	VYDAJ	PREVOD NA UCET	3826	26489	SIPO	IJ	7507563
805946	2747	1995-02-14	VYDAJ	PREVOD NA UCET	3826	26005	SIPO	IJ	7507563
805947	2747	1995-03-14	VYDAJ	PREVOD NA UCET	3826	21993	SIPO	IJ	7507563
805948	2747	1995-04-14	VYDAJ	PREVOD NA UCET	3826	23888	SIPO	IJ	7507563
805949	2747	1995-05-14	VYDAJ	PREVOD NA UCET	3826	28186	SIPO	IJ	7507563
805950	2747	1995-06-14	VYDAJ	PREVOD NA UCET	3826	30569	SIPO	IJ	7507563
805951	2747	1995-07-14	VYDAJ	PREVOD NA UCET	3826	25355	SIPO	IJ	7507563
805952	2747	1995-08-14	VYDAJ	PREVOD NA UCET	3826	29166	SIPO	IJ	7507563
805953	2747	1995-09-14	VYDAJ	PREVOD NA UCET	3826	32285	SIPO	IJ	7507563
805954	2747	1995-10-14	VYDAJ	PREVOD NA UCET	3826	33257	SIPO	IJ	7507563
805955	2747	1995-11-14	VYDAJ	PREVOD NA UCET	3826	33395	SIPO	IJ	7507563
805956	2747	1995-12-14	VYDAJ	PREVOD NA UCET	3826	32823	SIPO	IJ	7507563
805957	2747	1996-01-14	VYDAJ	PREVOD NA UCET	3826	30662	SIPO	IJ	7507563
805958	2747	1996-02-14	VYDAJ	PREVOD NA UCET	3826	27489	SIPO	IJ	7507563
805959	2747	1996-03-14	VYDAJ	PREVOD NA UCET	3826	25905	SIPO	IJ	7507563
805960	2747	1996-04-14	VYDAJ	PREVOD NA UCET	3826	24914	SIPO	IJ	7507563
805961	2747	1996-05-14	VYDAJ	PREVOD NA UCET	3826	20921	SIPO	IJ	7507563
805962	2747	1996-06-14	VYDAJ	PREVOD NA UCET	3826	20384	SIPO	IJ	7507563
805963	2747	1996-07-14	VYDAJ	PREVOD NA UCET	3826	16287	SIPO	IJ	7507563
805964	2747	1996-08-14	VYDAJ	PREVOD NA UCET	3826	16756	SIPO	IJ	7507563
805965	2747	1996-09-14	VYDAJ	PREVOD NA UCET	3826	18726	SIPO	IJ	7507563
805966	2747	1996-10-14	VYDAJ	PREVOD NA UCET	3826	13200	SIPO	IJ	7507563
805967	2747	1996-11-14	VYDAJ	PREVOD NA UCET	3826	15162	SIPO	IJ	7507563
805968	2747	1996-12-14	VYDAJ	PREVOD NA UCET	3826	17291	SIPO	IJ	7507563
805969	2747	1997-01-14	VYDAJ	PREVOD NA UCET	3826	14617	SIPO	IJ	7507563
805970	2747	1997-02-14	VYDAJ	PREVOD NA UCET	3826	16577	SIPO	IJ	7507563
805971	2747	1997-03-14	VYDAJ	PREVOD NA UCET	3826	16376	SIPO	IJ	7507563
805972	2747	1997-04-14	VYDAJ	PREVOD NA UCET	3826	18340	SIPO	IJ	7507563
805973	2747	1997-05-14	VYDAJ	PREVOD NA UCET	3826	20312	SIPO	IJ	7507563
805974	2747	1997-06-14	VYDAJ	PREVOD NA UCET	3826	13220	SIPO	IJ	7507563
805975	2747	1997-07-14	VYDAJ	PREVOD NA UCET	3826	15180	SIPO	IJ	7507563
805976	2747	1997-08-14	VYDAJ	PREVOD NA UCET	3826	17138	SIPO	IJ	7507563
805977	2747	1997-09-14	VYDAJ	PREVOD NA UCET	3826	19104	SIPO	IJ	7507563
805978	2747	1997-10-14	VYDAJ	PREVOD NA UCET	3826	21079	SIPO	IJ	7507563
805979	2747	1997-11-14	VYDAJ	PREVOD NA UCET	3826	18613	SIPO	IJ	7507563
805980	2747	1997-12-14	VYDAJ	PREVOD NA UCET	3826	18891	SIPO	IJ	7507563
805981	2747	1998-01-14	VYDAJ	PREVOD NA UCET	3826	20860	SIPO	IJ	7507563
805982	2747	1998-02-14	VYDAJ	PREVOD NA UCET	3826	17398	SIPO	IJ	7507563
805983	2747	1998-03-14	VYDAJ	PREVOD NA UCET	3826	17563	SIPO	IJ	7507563
805984	2747	1998-04-14	VYDAJ	PREVOD NA UCET	3826	19531	SIPO	IJ	7507563
805985	2747	1998-05-14	VYDAJ	PREVOD NA UCET	3826	19944	SIPO	IJ	7507563
805986	2747	1998-06-14	VYDAJ	PREVOD NA UCET	3826	22028	SIPO	IJ	7507563
805987	2747	1998-07-14	VYDAJ	PREVOD NA UCET	3826	24009	SIPO	IJ	7507563
805988	2747	1998-08-14	VYDAJ	PREVOD NA UCET	3826	26003	SIPO	IJ	7507563
805989	2747	1998-09-14	VYDAJ	PREVOD NA UCET	3826	28006	SIPO	IJ	7507563
805990	2747	1998-10-14	VYDAJ	PREVOD NA UCET	3826	30017	SIPO	IJ	7507563
805991	2747	1998-11-14	VYDAJ	PREVOD NA UCET	3826	32036	SIPO	IJ	7507563
805992	2747	1998-12-14	VYDAJ	PREVOD NA UCET	3826	36934	SIPO	IJ	7507563
806001	2747	1997-01-13	VYDAJ	VYBER	1600	18443	\N	\N	\N
806002	2747	1998-01-27	VYDAJ	VYBER	5440	15420	\N	\N	\N
806004	2747	1995-12-11	VYDAJ	VYBER	3680	36649	\N	\N	\N
806005	2747	1996-12-22	VYDAJ	VYBER	3040	14251	\N	\N	\N
806007	2747	1998-12-28	VYDAJ	VYBER	2720	34214	\N	\N	\N
806011	2747	1995-10-29	VYDAJ	VYBER	2400	30857	\N	\N	\N
806012	2747	1995-06-27	VYDAJ	VYBER	2040	28529	\N	\N	\N
806013	2747	1995-02-14	VYDAJ	VYBER	1920	24085	\N	\N	\N
806014	2747	1995-10-12	VYDAJ	VYBER	960	37083	\N	\N	\N
806015	2747	1996-01-20	VYDAJ	VYBER	3000	27662	\N	\N	\N
806018	2747	1996-06-24	VYDAJ	VYBER	4080	16304	\N	\N	\N
806019	2747	1996-02-28	VYDAJ	VYBER	1800	25689	\N	\N	\N
806021	2747	1997-06-10	VYDAJ	VYBER	5640	17046	\N	\N	\N
806022	2747	1997-10-18	VYDAJ	VYBER	4440	16639	\N	\N	\N
806023	2747	1997-11-24	VYDAJ	VYBER	4560	14053	\N	\N	\N
806024	2747	1997-02-15	VYDAJ	VYBER	2160	14417	\N	\N	\N
806025	2747	1998-02-23	VYDAJ	VYBER	1800	15598	\N	\N	\N
806026	2747	1998-05-21	VYDAJ	VYBER	2760	17184	\N	\N	\N
806027	2747	1998-04-18	VYDAJ	VYBER	1560	17971	\N	\N	\N
806041	2747	1995-01-31	VYDAJ	VYBER	15	26591	SLUZBY	\N	\N
806042	2747	1995-02-28	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
806043	2747	1995-03-31	VYDAJ	VYBER	15	22074	SLUZBY	\N	\N
806044	2747	1995-04-30	VYDAJ	VYBER	15	23972	SLUZBY	\N	\N
806045	2747	1995-05-31	VYDAJ	VYBER	15	28285	SLUZBY	\N	\N
806046	2747	1995-06-30	VYDAJ	VYBER	15	28641	SLUZBY	\N	\N
806047	2747	1995-07-31	VYDAJ	VYBER	15	25452	SLUZBY	\N	\N
806048	2747	1995-08-31	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
806049	2747	1995-09-30	VYDAJ	VYBER	15	32403	SLUZBY	\N	\N
806050	2747	1995-10-31	VYDAJ	VYBER	15	30981	SLUZBY	\N	\N
806051	2747	1995-11-30	VYDAJ	VYBER	15	33519	SLUZBY	\N	\N
806052	2747	1995-12-31	VYDAJ	VYBER	15	32948	SLUZBY	\N	\N
806053	2747	1996-01-31	VYDAJ	VYBER	15	27775	SLUZBY	\N	\N
806054	2747	1996-02-29	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
806055	2747	1996-03-31	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
806056	2747	1996-04-30	VYDAJ	VYBER	15	25007	SLUZBY	\N	\N
806057	2747	1996-05-31	VYDAJ	VYBER	15	21000	SLUZBY	\N	\N
806058	2747	1996-06-30	VYDAJ	VYBER	15	16373	SLUZBY	\N	\N
806059	2747	1996-07-31	VYDAJ	VYBER	15	16342	SLUZBY	\N	\N
806060	2747	1996-08-31	VYDAJ	VYBER	15	16812	SLUZBY	\N	\N
806061	2747	1996-09-30	VYDAJ	VYBER	15	18786	SLUZBY	\N	\N
806062	2747	1996-10-31	VYDAJ	VYBER	15	13248	SLUZBY	\N	\N
806063	2747	1996-11-30	VYDAJ	VYBER	15	15207	SLUZBY	\N	\N
806064	2747	1996-12-31	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
806065	2747	1997-01-31	VYDAJ	VYBER	15	14663	SLUZBY	\N	\N
806066	2747	1997-02-28	VYDAJ	VYBER	15	14462	SLUZBY	\N	\N
806067	2747	1997-03-31	VYDAJ	VYBER	15	16426	SLUZBY	\N	\N
806068	2747	1997-04-30	VYDAJ	VYBER	15	18398	SLUZBY	\N	\N
806069	2747	1997-05-31	VYDAJ	VYBER	15	14076	SLUZBY	\N	\N
806070	2747	1997-06-30	VYDAJ	VYBER	15	13266	SLUZBY	\N	\N
806071	2747	1997-07-31	VYDAJ	VYBER	15	15224	SLUZBY	\N	\N
806072	2747	1997-08-31	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
806073	2747	1997-09-30	VYDAJ	VYBER	15	19165	SLUZBY	\N	\N
806074	2747	1997-10-31	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
806075	2747	1997-11-30	VYDAJ	VYBER	15	14107	SLUZBY	\N	\N
806076	2747	1997-12-31	VYDAJ	VYBER	15	18946	SLUZBY	\N	\N
806077	2747	1998-01-31	VYDAJ	VYBER	15	15484	SLUZBY	\N	\N
806078	2747	1998-02-28	VYDAJ	VYBER	15	15649	SLUZBY	\N	\N
806079	2747	1998-03-31	VYDAJ	VYBER	15	17617	SLUZBY	\N	\N
806080	2747	1998-04-30	VYDAJ	VYBER	15	18030	SLUZBY	\N	\N
806081	2747	1998-05-31	VYDAJ	VYBER	15	17244	SLUZBY	\N	\N
806082	2747	1998-06-30	VYDAJ	VYBER	15	22095	SLUZBY	\N	\N
806083	2747	1998-07-31	VYDAJ	VYBER	15	24089	SLUZBY	\N	\N
806084	2747	1998-08-31	VYDAJ	VYBER	15	26092	SLUZBY	\N	\N
806085	2747	1998-09-30	VYDAJ	VYBER	15	28103	SLUZBY	\N	\N
806086	2747	1998-10-31	VYDAJ	VYBER	15	30122	SLUZBY	\N	\N
806087	2747	1998-11-30	VYDAJ	VYBER	15	32150	SLUZBY	\N	\N
806088	2747	1994-09-13	PRIJEM	VKLAD	7400	13340	\N	\N	\N
806089	2747	1994-10-13	PRIJEM	VKLAD	5800	24913	\N	\N	\N
806090	2747	1994-11-12	VYDAJ	VYBER	4400	26339	\N	\N	\N
806091	2747	1994-12-12	VYDAJ	VYBER	5200	29856	\N	\N	\N
806092	2747	1995-01-11	VYDAJ	VYBER	5400	30315	\N	\N	\N
806093	2747	1995-02-10	VYDAJ	VYBER	2500	29831	\N	\N	\N
806094	2747	1995-03-12	VYDAJ	VYBER	4100	25819	\N	\N	\N
806095	2747	1995-04-11	VYDAJ	VYBER	100	27714	\N	\N	\N
806096	2747	1995-05-11	PRIJEM	VKLAD	2300	32012	\N	\N	\N
806097	2747	1995-06-10	VYDAJ	VYBER	2500	34395	\N	\N	\N
806098	2747	1995-07-10	VYDAJ	VYBER	5200	29181	\N	\N	\N
806099	2747	1995-08-09	PRIJEM	VKLAD	1800	27252	\N	\N	\N
806100	2747	1995-09-08	PRIJEM	VKLAD	1100	30371	\N	\N	\N
806101	2747	1995-10-08	VYDAJ	VYBER	100	32303	\N	\N	\N
806102	2747	1995-11-07	PRIJEM	VKLAD	500	31481	\N	\N	\N
806103	2747	1995-12-07	VYDAJ	VYBER	1800	31719	\N	\N	\N
806104	2747	1996-01-06	VYDAJ	VYBER	4200	28748	\N	\N	\N
806105	2747	1996-02-05	VYDAJ	VYBER	2200	25575	\N	\N	\N
806106	2747	1996-03-06	VYDAJ	VYBER	1800	23991	\N	\N	\N
806107	2747	1996-04-05	VYDAJ	VYBER	3000	23000	\N	\N	\N
806108	2747	1996-05-05	VYDAJ	VYBER	6000	19007	\N	\N	\N
806109	2747	1996-06-04	VYDAJ	VYBER	5400	15600	\N	\N	\N
806110	2747	1996-07-04	VYDAJ	VYBER	2000	14373	\N	\N	\N
806111	2747	1996-08-03	VYDAJ	VYBER	1500	14842	\N	\N	\N
806112	2747	1996-10-02	VYDAJ	VYBER	7500	11286	\N	\N	\N
806113	2747	1996-12-01	VYDAJ	VYBER	2700	12507	\N	\N	\N
806114	2747	1997-05-30	VYDAJ	VYBER	6300	14012	\N	\N	\N
806644	2749	1994-05-23	PRIJEM	VKLAD	400	400	\N	\N	\N
806646	2749	1994-09-23	PRIJEM	VKLAD	45013	64658	\N	\N	\N
806647	2749	1994-06-23	PRIJEM	VKLAD	39011	71734	\N	\N	\N
806649	2749	1994-06-07	PRIJEM	VKLAD	9089	36923	\N	\N	\N
806650	2749	1994-12-29	PRIJEM	VKLAD	9151	72257	\N	\N	\N
806653	2749	1994-06-05	PRIJEM	VKLAD	19000	27834	\N	\N	\N
806655	2749	1994-11-08	PRIJEM	VKLAD	47346	59621	\N	\N	\N
806656	2749	1994-07-19	PRIJEM	VKLAD	34661	106564	\N	\N	\N
806657	2749	1994-12-03	PRIJEM	VKLAD	12218	73656	\N	\N	\N
806659	2749	1994-11-13	PRIJEM	VKLAD	42278	101899	\N	\N	\N
806660	2749	1994-05-26	PRIJEM	VKLAD	8427	8827	\N	\N	\N
806661	2749	1994-12-21	PRIJEM	VKLAD	40532	81868	\N	\N	\N
806662	2749	1994-10-22	PRIJEM	VKLAD	7850	34616	\N	\N	\N
806663	2749	1995-07-11	PRIJEM	VKLAD	8086	46625	\N	\N	\N
806664	2749	1995-02-11	PRIJEM	VKLAD	24018	69212	\N	\N	\N
806665	2749	1995-07-14	PRIJEM	VKLAD	19503	86744	\N	\N	\N
806666	2749	1995-10-18	PRIJEM	VKLAD	20187	59991	\N	\N	\N
806667	2749	1995-02-20	PRIJEM	VKLAD	15717	54550	\N	\N	\N
806668	2749	1995-04-27	PRIJEM	VKLAD	37369	62125	\N	\N	\N
806669	2749	1995-07-26	PRIJEM	VKLAD	46716	106260	\N	\N	\N
806670	2749	1995-11-13	PRIJEM	VKLAD	13605	98433	\N	\N	\N
806671	2749	1995-09-07	PRIJEM	VKLAD	32986	52094	\N	\N	\N
806672	2749	1995-05-08	PRIJEM	VKLAD	26372	56075	\N	\N	\N
806673	2749	1995-09-10	PRIJEM	VKLAD	24956	94716	\N	\N	\N
806674	2749	1995-09-07	PRIJEM	VKLAD	17666	69760	\N	\N	\N
806675	2749	1995-01-31	PRIJEM	VKLAD	23705	65781	\N	\N	\N
806676	2749	1995-06-02	PRIJEM	VKLAD	25327	68084	\N	\N	\N
806677	2749	1995-11-01	PRIJEM	VKLAD	37915	106458	\N	\N	\N
806678	2749	1995-07-12	PRIJEM	VKLAD	20616	67241	\N	\N	\N
806679	2749	1995-11-17	PRIJEM	VKLAD	17075	71871	\N	\N	\N
806680	2749	1995-07-05	PRIJEM	VKLAD	27048	53059	\N	\N	\N
806681	2749	1995-10-19	PRIJEM	VKLAD	20930	80921	\N	\N	\N
806682	2749	1995-09-12	PRIJEM	VKLAD	25465	120181	\N	\N	\N
806683	2749	1995-10-09	PRIJEM	VKLAD	40188	53004	\N	\N	\N
806684	2749	1997-10-16	PRIJEM	VKLAD	8474	34593	\N	\N	\N
806685	2749	1997-01-04	PRIJEM	VKLAD	27488	46758	\N	\N	\N
806686	2749	1997-02-05	PRIJEM	VKLAD	5528	71115	\N	\N	\N
806687	2749	1997-06-27	PRIJEM	VKLAD	27628	53467	\N	\N	\N
806688	2749	1997-11-24	PRIJEM	VKLAD	21663	59049	\N	\N	\N
806689	2749	1997-04-17	PRIJEM	VKLAD	36726	68498	\N	\N	\N
806690	2749	1997-04-29	PRIJEM	VKLAD	48467	133078	\N	\N	\N
806691	2749	1997-08-30	PRIJEM	VKLAD	7194	78867	\N	\N	\N
806692	2749	1997-08-11	PRIJEM	VKLAD	45755	88458	\N	\N	\N
806693	2749	1997-11-22	PRIJEM	VKLAD	10488	37386	\N	\N	\N
806694	2749	1997-07-28	PRIJEM	VKLAD	9771	49275	\N	\N	\N
806695	2749	1997-06-05	PRIJEM	VKLAD	40943	79659	\N	\N	\N
806696	2749	1997-04-19	PRIJEM	VKLAD	7645	76143	\N	\N	\N
806697	2749	1997-03-05	PRIJEM	VKLAD	10846	66042	\N	\N	\N
806698	2749	1997-02-05	PRIJEM	VKLAD	43093	114208	\N	\N	\N
806699	2749	1997-02-03	PRIJEM	VKLAD	26768	65587	\N	\N	\N
806700	2749	1997-09-20	PRIJEM	VKLAD	23372	116139	\N	\N	\N
806701	2749	1997-01-06	PRIJEM	VKLAD	47138	62876	\N	\N	\N
806702	2749	1997-10-18	PRIJEM	VKLAD	7480	35473	\N	\N	\N
806703	2749	1997-09-22	PRIJEM	VKLAD	46076	123715	\N	\N	\N
806704	2749	1997-07-16	PRIJEM	VKLAD	15613	39504	\N	\N	\N
806705	2749	1997-04-21	PRIJEM	VKLAD	8468	84611	\N	\N	\N
806706	2749	1997-09-15	PRIJEM	VKLAD	29867	92767	\N	\N	\N
806707	2749	1997-09-02	PRIJEM	VKLAD	26294	105420	\N	\N	\N
806708	2749	1997-10-18	PRIJEM	VKLAD	6188	41661	\N	\N	\N
806709	2749	1998-08-12	PRIJEM	VKLAD	25349	105989	\N	\N	\N
806710	2749	1998-08-18	PRIJEM	VKLAD	27845	105106	\N	\N	\N
806711	2749	1998-12-19	PRIJEM	VKLAD	6331	101281	\N	\N	\N
806712	2749	1998-02-22	PRIJEM	VKLAD	24402	82236	\N	\N	\N
806713	2749	1998-06-18	PRIJEM	VKLAD	44801	120543	\N	\N	\N
806714	2749	1998-06-05	PRIJEM	VKLAD	5729	77613	\N	\N	\N
806715	2749	1998-06-14	PRIJEM	VKLAD	12649	75742	\N	\N	\N
806716	2749	1998-04-13	PRIJEM	VKLAD	39473	158864	\N	\N	\N
806717	2749	1998-10-13	PRIJEM	VKLAD	29311	112286	\N	\N	\N
806718	2749	1998-12-25	PRIJEM	VKLAD	36173	137454	\N	\N	\N
806719	2749	1998-07-27	PRIJEM	VKLAD	15282	106000	\N	\N	\N
806720	2749	1998-03-07	PRIJEM	VKLAD	5908	70670	\N	\N	\N
806721	2749	1998-03-17	PRIJEM	VKLAD	21881	92551	\N	\N	\N
806722	2749	1998-01-03	PRIJEM	VKLAD	11181	82661	\N	\N	\N
806723	2749	1998-08-16	PRIJEM	VKLAD	32269	127461	\N	\N	\N
806724	2749	1998-07-05	PRIJEM	VKLAD	41063	105238	\N	\N	\N
806725	2749	1998-10-26	PRIJEM	VKLAD	43713	106099	\N	\N	\N
806726	2749	1998-04-07	PRIJEM	VKLAD	31585	102618	\N	\N	\N
806727	2749	1998-08-12	PRIJEM	VKLAD	26103	132092	\N	\N	\N
806728	2749	1998-04-12	PRIJEM	VKLAD	32373	134991	\N	\N	\N
806729	2749	1998-08-30	PRIJEM	VKLAD	26715	131821	\N	\N	\N
806730	2749	1998-02-13	PRIJEM	VKLAD	24545	70734	\N	\N	\N
806731	2749	1998-09-26	PRIJEM	VKLAD	16230	90839	\N	\N	\N
806732	2749	1998-04-27	PRIJEM	VKLAD	19849	131913	\N	\N	\N
806733	2749	1998-03-24	PRIJEM	VKLAD	15997	92035	\N	\N	\N
806734	2749	1998-01-02	PRIJEM	VKLAD	36051	79280	\N	\N	\N
806735	2749	1998-11-27	PRIJEM	VKLAD	11549	105436	\N	\N	\N
806743	2749	1994-08-05	VYDAJ	PREVOD NA UCET	14520	41721	SIPO	QR	23250580
806744	2749	1994-09-05	VYDAJ	PREVOD NA UCET	14520	14245	SIPO	QR	23250580
806745	2749	1994-10-05	VYDAJ	PREVOD NA UCET	14520	30466	SIPO	QR	23250580
806746	2749	1994-11-05	VYDAJ	PREVOD NA UCET	14520	12275	SIPO	QR	23250580
806747	2749	1994-12-05	VYDAJ	PREVOD NA UCET	14520	59136	SIPO	QR	23250580
806748	2749	1995-01-05	VYDAJ	PREVOD NA UCET	14520	57976	SIPO	QR	23250580
806749	2749	1995-02-05	VYDAJ	PREVOD NA UCET	14520	51494	SIPO	QR	23250580
806750	2749	1995-03-05	VYDAJ	PREVOD NA UCET	14520	33344	SIPO	QR	23250580
806751	2749	1995-04-05	VYDAJ	PREVOD NA UCET	14520	16756	SIPO	QR	23250580
806752	2749	1995-05-05	VYDAJ	PREVOD NA UCET	14520	29703	SIPO	QR	23250580
806753	2749	1995-06-05	VYDAJ	PREVOD NA UCET	14520	53564	SIPO	QR	23250580
806754	2749	1995-07-05	VYDAJ	PREVOD NA UCET	14520	38539	SIPO	QR	23250580
806755	2749	1995-08-05	VYDAJ	PREVOD NA UCET	14520	30979	SIPO	QR	23250580
806756	2749	1995-09-05	VYDAJ	PREVOD NA UCET	14520	19108	SIPO	QR	23250580
806757	2749	1995-10-05	VYDAJ	PREVOD NA UCET	14520	12816	SIPO	QR	23250580
806758	2749	1995-11-05	VYDAJ	PREVOD NA UCET	14520	91938	SIPO	QR	23250580
806759	2749	1995-12-05	VYDAJ	PREVOD NA UCET	14520	46878	SIPO	QR	23250580
806760	2749	1996-01-05	VYDAJ	PREVOD NA UCET	14520	14527	SIPO	QR	23250580
806761	2749	1996-02-05	VYDAJ	PREVOD NA UCET	14520	6391	SIPO	QR	23250580
806762	2749	1996-03-05	VYDAJ	PREVOD NA UCET	14520	3436	SIPO	QR	23250580
806763	2749	1996-04-05	VYDAJ	PREVOD NA UCET	14520	4879	SIPO	QR	23250580
806764	2749	1996-05-05	VYDAJ	PREVOD NA UCET	14520	6328	SIPO	QR	23250580
806765	2749	1996-06-05	VYDAJ	PREVOD NA UCET	14520	1566	SIPO	QR	23250580
806766	2749	1996-07-05	VYDAJ	PREVOD NA UCET	14520	3302	SIPO	QR	23250580
806767	2749	1996-08-05	VYDAJ	PREVOD NA UCET	14520	6249	SIPO	QR	23250580
806768	2749	1996-09-05	VYDAJ	PREVOD NA UCET	14520	3391	SIPO	QR	23250580
806769	2749	1996-10-05	VYDAJ	PREVOD NA UCET	14520	1424	SIPO	QR	23250580
806770	2749	1996-11-05	VYDAJ	PREVOD NA UCET	14520	3260	SIPO	QR	23250580
806771	2749	1996-12-05	VYDAJ	PREVOD NA UCET	14520	5405	SIPO	QR	23250580
806772	2749	1997-01-05	VYDAJ	PREVOD NA UCET	14520	15738	SIPO	QR	23250580
806773	2749	1997-02-05	VYDAJ	PREVOD NA UCET	14520	71088	SIPO	QR	23250580
806774	2749	1997-03-05	VYDAJ	PREVOD NA UCET	14520	51522	SIPO	QR	23250580
806775	2749	1997-04-05	VYDAJ	PREVOD NA UCET	14520	27872	SIPO	QR	23250580
806776	2749	1997-05-05	VYDAJ	PREVOD NA UCET	14520	76887	SIPO	QR	23250580
806777	2749	1997-06-05	VYDAJ	PREVOD NA UCET	14520	65139	SIPO	QR	23250580
806778	2749	1997-07-05	VYDAJ	PREVOD NA UCET	14520	39098	SIPO	QR	23250580
806779	2749	1997-08-05	VYDAJ	PREVOD NA UCET	14520	42703	SIPO	QR	23250580
806780	2749	1997-09-05	VYDAJ	PREVOD NA UCET	14520	62900	SIPO	QR	23250580
806781	2749	1997-10-05	VYDAJ	PREVOD NA UCET	14520	41912	SIPO	QR	23250580
806782	2749	1997-11-05	VYDAJ	PREVOD NA UCET	14520	26898	SIPO	QR	23250580
806783	2749	1997-12-05	VYDAJ	PREVOD NA UCET	14520	43058	SIPO	QR	23250580
806784	2749	1998-01-05	VYDAJ	PREVOD NA UCET	14520	68141	SIPO	QR	23250580
806785	2749	1998-02-05	VYDAJ	PREVOD NA UCET	14520	46189	SIPO	QR	23250580
806786	2749	1998-03-05	VYDAJ	PREVOD NA UCET	14520	64762	SIPO	QR	23250580
806787	2749	1998-04-05	VYDAJ	PREVOD NA UCET	14520	71033	SIPO	QR	23250580
806788	2749	1998-05-05	VYDAJ	PREVOD NA UCET	14520	62520	SIPO	QR	23250580
806789	2749	1998-06-05	VYDAJ	PREVOD NA UCET	14520	63093	SIPO	QR	23250580
806790	2749	1998-07-05	VYDAJ	PREVOD NA UCET	14520	90718	SIPO	QR	23250580
806791	2749	1998-08-05	VYDAJ	PREVOD NA UCET	14520	80640	SIPO	QR	23250580
806792	2749	1998-09-05	VYDAJ	PREVOD NA UCET	14520	74609	SIPO	QR	23250580
806793	2749	1998-10-05	VYDAJ	PREVOD NA UCET	14520	82975	SIPO	QR	23250580
806794	2749	1998-11-05	VYDAJ	PREVOD NA UCET	14520	93887	SIPO	QR	23250580
806795	2749	1998-12-05	VYDAJ	PREVOD NA UCET	14520	94950	SIPO	QR	23250580
806796	2749	1994-10-04	VYBER	VYBER	19813	44986	\N	\N	\N
806797	2749	1994-12-26	VYBER	VYBER	18762	63106	\N	\N	\N
806801	2749	1994-11-04	VYBER	VYBER	7956	26795	\N	\N	\N
806806	2749	1995-02-15	VYBER	VYBER	19879	49333	\N	\N	\N
806807	2749	1995-04-29	VYBER	VYBER	18022	44103	\N	\N	\N
806808	2749	1995-10-05	VYBER	VYBER	21396	27336	\N	\N	\N
806809	2749	1995-11-14	VYBER	VYBER	14037	84396	\N	\N	\N
806810	2749	1995-11-18	VYBER	VYBER	10748	61123	\N	\N	\N
806811	2749	1995-11-06	VYBER	VYBER	7110	84828	\N	\N	\N
806812	2749	1995-10-29	VYBER	VYBER	12607	68314	\N	\N	\N
806813	2749	1995-06-27	VYBER	VYBER	3688	25876	\N	\N	\N
806814	2749	1995-09-19	VYBER	VYBER	7379	48502	\N	\N	\N
806817	2749	1997-08-22	VYBER	VYBER	5832	71673	\N	\N	\N
806818	2749	1997-10-23	VYBER	VYBER	15566	26095	\N	\N	\N
806819	2749	1997-08-12	VYBER	VYBER	10953	77505	\N	\N	\N
806824	2749	1997-07-07	VYBER	VYBER	3607	35591	\N	\N	\N
806825	2749	1997-10-09	VYBER	VYBER	15793	26119	\N	\N	\N
806826	2749	1997-09-29	VYBER	VYBER	22783	53032	\N	\N	\N
806828	2749	1997-05-18	VYBER	VYBER	20588	38499	\N	\N	\N
806829	2749	1998-03-21	VYBER	VYBER	12613	76038	\N	\N	\N
806830	2749	1998-01-28	VYBER	VYBER	5976	51665	\N	\N	\N
806831	2749	1998-07-04	VYBER	VYBER	19312	64175	\N	\N	\N
806832	2749	1998-05-16	VYBER	VYBER	3472	59048	\N	\N	\N
806834	2749	1995-06-11	VYDAJ	VYBER	22500	31064	\N	\N	\N
806836	2749	1997-06-14	VYDAJ	VYBER	28200	25839	\N	\N	\N
806841	2749	1997-01-04	VYDAJ	VYBER	16500	30258	\N	\N	\N
806842	2749	1998-01-17	VYDAJ	VYBER	10500	57641	\N	\N	\N
806843	2749	1994-12-06	VYDAJ	VYBER	6900	52236	\N	\N	\N
806844	2749	1995-12-20	VYDAJ	VYBER	7800	28878	\N	\N	\N
806846	2749	1997-12-01	VYDAJ	VYBER	3000	56178	\N	\N	\N
806847	2749	1998-12-29	VYDAJ	VYBER	6600	98054	\N	\N	\N
806848	2749	1994-11-21	VYDAJ	VYBER	2700	61199	\N	\N	\N
806849	2749	1994-08-12	VYDAJ	VYBER	14400	27321	\N	\N	\N
806853	2749	1995-02-06	VYDAJ	VYBER	6300	45194	\N	\N	\N
806854	2749	1995-03-02	VYDAJ	VYBER	6900	47864	\N	\N	\N
806862	2749	1997-07-10	VYDAJ	VYBER	11700	23891	\N	\N	\N
806863	2749	1997-10-17	VYDAJ	VYBER	6600	27993	\N	\N	\N
806864	2749	1997-01-10	VYDAJ	VYBER	10800	38676	\N	\N	\N
806865	2749	1998-05-28	VYDAJ	VYBER	9300	49748	\N	\N	\N
806866	2749	1998-10-24	VYDAJ	VYBER	12300	62386	\N	\N	\N
806867	2749	1998-02-20	VYDAJ	VYBER	12900	57834	\N	\N	\N
806868	2749	1998-03-20	VYDAJ	VYBER	3900	88651	\N	\N	\N
806869	2749	1998-07-29	VYDAJ	VYBER	8100	97900	\N	\N	\N
806877	2749	1994-07-31	VYDAJ	VYBER	15	56241	SLUZBY	\N	\N
806878	2749	1994-08-31	VYDAJ	VYBER	15	28765	SLUZBY	\N	\N
806879	2749	1994-09-30	VYDAJ	VYBER	15	64799	SLUZBY	\N	\N
806880	2749	1994-10-31	VYDAJ	VYBER	15	34751	SLUZBY	\N	\N
806881	2749	1994-11-30	VYDAJ	VYBER	15	61438	SLUZBY	\N	\N
806882	2749	1994-12-31	VYDAJ	VYBER	15	72496	SLUZBY	\N	\N
806883	2749	1995-01-31	VYDAJ	VYBER	15	66014	SLUZBY	\N	\N
806884	2749	1995-02-28	VYDAJ	VYBER	15	54764	SLUZBY	\N	\N
806885	2749	1995-03-31	VYDAJ	VYBER	15	31276	SLUZBY	\N	\N
806886	2749	1995-04-30	VYDAJ	VYBER	15	44223	SLUZBY	\N	\N
806887	2749	1995-05-31	VYDAJ	VYBER	15	42757	SLUZBY	\N	\N
806888	2749	1995-06-30	VYDAJ	VYBER	15	26011	SLUZBY	\N	\N
806889	2749	1995-07-31	VYDAJ	VYBER	15	45499	SLUZBY	\N	\N
806890	2749	1995-08-31	VYDAJ	VYBER	15	33628	SLUZBY	\N	\N
806891	2749	1995-09-30	VYDAJ	VYBER	15	48732	SLUZBY	\N	\N
806892	2749	1995-10-31	VYDAJ	VYBER	15	68543	SLUZBY	\N	\N
806893	2749	1995-11-30	VYDAJ	VYBER	15	61398	SLUZBY	\N	\N
806894	2749	1995-12-31	VYDAJ	VYBER	15	29047	SLUZBY	\N	\N
806895	2749	1996-01-31	VYDAJ	VYBER	15	20911	SLUZBY	\N	\N
806896	2749	1996-02-29	VYDAJ	VYBER	15	17956	SLUZBY	\N	\N
806897	2749	1996-03-31	VYDAJ	VYBER	15	19399	SLUZBY	\N	\N
806898	2749	1996-04-30	VYDAJ	VYBER	15	20848	SLUZBY	\N	\N
806899	2749	1996-05-31	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
806900	2749	1996-06-30	VYDAJ	VYBER	15	17822	SLUZBY	\N	\N
806901	2749	1996-07-31	VYDAJ	VYBER	15	20769	SLUZBY	\N	\N
806902	2749	1996-08-31	VYDAJ	VYBER	15	17911	SLUZBY	\N	\N
806903	2749	1996-09-30	VYDAJ	VYBER	15	15944	SLUZBY	\N	\N
806904	2749	1996-10-31	VYDAJ	VYBER	15	17780	SLUZBY	\N	\N
806905	2749	1996-11-30	VYDAJ	VYBER	15	19925	SLUZBY	\N	\N
806906	2749	1996-12-31	VYDAJ	VYBER	15	19270	SLUZBY	\N	\N
806907	2749	1997-01-31	VYDAJ	VYBER	15	38819	SLUZBY	\N	\N
806908	2749	1997-02-28	VYDAJ	VYBER	15	55196	SLUZBY	\N	\N
806909	2749	1997-03-31	VYDAJ	VYBER	15	42392	SLUZBY	\N	\N
806910	2749	1997-04-30	VYDAJ	VYBER	15	91407	SLUZBY	\N	\N
806911	2749	1997-05-31	VYDAJ	VYBER	15	38716	SLUZBY	\N	\N
806912	2749	1997-06-30	VYDAJ	VYBER	15	53618	SLUZBY	\N	\N
806913	2749	1997-07-31	VYDAJ	VYBER	15	49423	SLUZBY	\N	\N
806914	2749	1997-08-31	VYDAJ	VYBER	15	79126	SLUZBY	\N	\N
806915	2749	1997-09-30	VYDAJ	VYBER	15	53332	SLUZBY	\N	\N
806916	2749	1997-10-31	VYDAJ	VYBER	15	26218	SLUZBY	\N	\N
806917	2749	1997-11-30	VYDAJ	VYBER	15	59178	SLUZBY	\N	\N
806918	2749	1997-12-31	VYDAJ	VYBER	15	43229	SLUZBY	\N	\N
806919	2749	1998-01-31	VYDAJ	VYBER	15	51909	SLUZBY	\N	\N
806920	2749	1998-02-28	VYDAJ	VYBER	15	82482	SLUZBY	\N	\N
806921	2749	1998-03-31	VYDAJ	VYBER	15	92353	SLUZBY	\N	\N
806922	2749	1998-04-30	VYDAJ	VYBER	15	73140	SLUZBY	\N	\N
806923	2749	1998-05-31	VYDAJ	VYBER	15	49984	SLUZBY	\N	\N
806924	2749	1998-06-30	VYDAJ	VYBER	15	81287	SLUZBY	\N	\N
806925	2749	1998-07-31	VYDAJ	VYBER	15	95160	SLUZBY	\N	\N
806926	2749	1998-08-31	VYDAJ	VYBER	15	89129	SLUZBY	\N	\N
806927	2749	1998-09-30	VYDAJ	VYBER	15	97495	SLUZBY	\N	\N
806928	2749	1998-10-31	VYDAJ	VYBER	15	108407	SLUZBY	\N	\N
806929	2749	1998-11-30	VYDAJ	VYBER	15	109470	SLUZBY	\N	\N
806930	2749	1994-06-22	VYDAJ	VYBER	4200	32723	\N	\N	\N
806931	2749	1994-07-19	VYDAJ	VYBER	16000	90564	\N	\N	\N
806932	2749	1994-07-22	VYDAJ	VYBER	34600	55964	\N	\N	\N
806933	2749	1994-08-21	PRIJEM	VKLAD	1300	28621	\N	\N	\N
806934	2749	1994-09-20	PRIJEM	VKLAD	5400	19645	\N	\N	\N
806935	2749	1994-10-20	VYDAJ	VYBER	3700	26766	\N	\N	\N
806936	2749	1994-11-19	VYDAJ	VYBER	38000	63899	\N	\N	\N
806937	2749	1994-12-19	VYDAJ	VYBER	10900	41336	\N	\N	\N
806938	2749	1995-01-18	VYDAJ	VYBER	15900	42076	\N	\N	\N
806939	2749	1995-02-17	VYDAJ	VYBER	10500	38833	\N	\N	\N
806940	2749	1995-03-19	VYDAJ	VYBER	2200	31144	\N	\N	\N
806941	2749	1995-04-18	PRIJEM	VKLAD	8000	24756	\N	\N	\N
806942	2749	1995-05-18	VYDAJ	VYBER	13500	42575	\N	\N	\N
806943	2749	1995-06-17	VYDAJ	VYBER	1500	29564	\N	\N	\N
806944	2749	1995-07-17	VYDAJ	VYBER	27200	59544	\N	\N	\N
806945	2749	1995-07-26	VYDAJ	VYBER	61000	45260	\N	\N	\N
806946	2749	1995-08-16	PRIJEM	VKLAD	2500	33479	\N	\N	\N
806947	2749	1995-09-12	VYDAJ	VYBER	38600	81581	\N	\N	\N
806948	2749	1995-09-15	VYDAJ	VYBER	25700	55881	\N	\N	\N
806949	2749	1995-10-15	VYDAJ	VYBER	13200	39804	\N	\N	\N
806950	2749	1995-11-14	VYDAJ	VYBER	29600	54796	\N	\N	\N
806951	2749	1995-12-14	VYDAJ	VYBER	10200	36678	\N	\N	\N
806952	2749	1996-01-13	PRIJEM	VKLAD	6300	20827	\N	\N	\N
806953	2749	1996-02-12	PRIJEM	VKLAD	11500	17891	\N	\N	\N
806954	2749	1996-03-13	PRIJEM	VKLAD	15900	19336	\N	\N	\N
806955	2749	1996-04-12	PRIJEM	VKLAD	15900	20779	\N	\N	\N
806956	2749	1996-05-12	PRIJEM	VKLAD	9700	16028	\N	\N	\N
806957	2749	1996-06-11	PRIJEM	VKLAD	16200	17766	\N	\N	\N
806958	2749	1996-07-11	PRIJEM	VKLAD	17400	20702	\N	\N	\N
806959	2749	1996-08-10	PRIJEM	VKLAD	11600	17849	\N	\N	\N
806960	2749	1996-09-09	PRIJEM	VKLAD	12500	15891	\N	\N	\N
806961	2749	1996-10-09	PRIJEM	VKLAD	16300	17724	\N	\N	\N
806962	2749	1996-11-08	PRIJEM	VKLAD	16600	19860	\N	\N	\N
806963	2749	1996-12-08	PRIJEM	VKLAD	13800	19205	\N	\N	\N
806964	2749	1997-01-07	VYDAJ	VYBER	13400	49476	\N	\N	\N
806965	2749	1997-02-05	VYDAJ	VYBER	28600	85608	\N	\N	\N
806966	2749	1997-02-06	VYDAJ	VYBER	16100	54988	\N	\N	\N
806967	2749	1997-03-08	VYDAJ	VYBER	9300	42222	\N	\N	\N
806968	2749	1997-04-07	PRIJEM	VKLAD	3900	31772	\N	\N	\N
806969	2749	1997-04-29	VYDAJ	VYBER	24200	108878	\N	\N	\N
806970	2749	1997-04-30	VYDAJ	VYBER	17700	91422	\N	\N	\N
806971	2749	1997-05-07	VYDAJ	VYBER	17800	59087	\N	\N	\N
806972	2749	1997-06-06	VYDAJ	VYBER	11100	54039	\N	\N	\N
806973	2749	1997-07-06	PRIJEM	VKLAD	100	39198	\N	\N	\N
806974	2749	1997-08-05	PRIJEM	VKLAD	7800	57223	\N	\N	\N
806975	2749	1997-09-04	VYDAJ	VYBER	28000	77420	\N	\N	\N
806976	2749	1997-09-20	VYDAJ	VYBER	38500	77639	\N	\N	\N
806977	2749	1997-09-22	VYDAJ	VYBER	47900	75815	\N	\N	\N
806978	2749	1997-10-04	PRIJEM	VKLAD	3100	56432	\N	\N	\N
806979	2749	1997-11-03	PRIJEM	VKLAD	15200	41418	\N	\N	\N
806980	2749	1997-12-03	PRIJEM	VKLAD	1400	57578	\N	\N	\N
806981	2749	1998-01-02	VYDAJ	VYBER	7800	71480	\N	\N	\N
806982	2749	1998-02-01	PRIJEM	VKLAD	8800	60709	\N	\N	\N
806983	2749	1998-03-03	VYDAJ	VYBER	3200	79282	\N	\N	\N
806984	2749	1998-04-02	VYDAJ	VYBER	6800	85553	\N	\N	\N
806985	2749	1998-04-12	VYDAJ	VYBER	15600	119391	\N	\N	\N
806986	2749	1998-04-13	VYDAJ	VYBER	46800	112064	\N	\N	\N
806987	2749	1998-04-27	VYDAJ	VYBER	59200	72713	\N	\N	\N
806988	2749	1998-05-02	PRIJEM	VKLAD	3900	77040	\N	\N	\N
806989	2749	1998-06-01	PRIJEM	VKLAD	21900	71884	\N	\N	\N
806990	2749	1998-06-18	VYDAJ	VYBER	39600	80943	\N	\N	\N
806991	2749	1998-07-01	PRIJEM	VKLAD	2200	83487	\N	\N	\N
806992	2749	1998-07-31	VYDAJ	VYBER	3100	95174	\N	\N	\N
806993	2749	1998-08-12	VYDAJ	VYBER	36900	95192	\N	\N	\N
806994	2749	1998-08-16	VYDAJ	VYBER	50200	77261	\N	\N	\N
806995	2749	1998-08-30	VYDAJ	VYBER	53000	88721	\N	\N	\N
806996	2749	1998-08-30	PRIJEM	VKLAD	9900	141721	\N	\N	\N
806997	2749	1998-09-29	PRIJEM	VKLAD	6300	97139	\N	\N	\N
806998	2749	1998-10-13	VYDAJ	VYBER	37600	74686	\N	\N	\N
806999	2749	1998-10-29	PRIJEM	VKLAD	1900	107999	\N	\N	\N
807000	2749	1998-11-28	PRIJEM	VKLAD	3600	109036	\N	\N	\N
807001	2749	1998-12-25	VYDAJ	VYBER	46800	90654	\N	\N	\N
807002	2749	1998-12-28	PRIJEM	VKLAD	14000	104654	\N	\N	\N
807059	2750	1995-04-13	PRIJEM	VKLAD	500	500	\N	\N	\N
807064	2750	1995-05-07	PRIJEM	VKLAD	6376	6876	\N	\N	\N
807065	2750	1995-06-07	PRIJEM	VKLAD	9564	23275	\N	\N	\N
807066	2750	1995-07-07	PRIJEM	VKLAD	6376	29633	\N	\N	\N
807067	2750	1995-08-07	PRIJEM	VKLAD	6376	35822	\N	\N	\N
807068	2750	1995-09-07	PRIJEM	VKLAD	6376	40433	\N	\N	\N
807069	2750	1995-10-07	PRIJEM	VKLAD	6376	37249	\N	\N	\N
807070	2750	1995-11-07	PRIJEM	VKLAD	6376	34152	\N	\N	\N
807071	2750	1995-12-07	PRIJEM	VKLAD	9564	36639	\N	\N	\N
807072	2750	1996-01-07	PRIJEM	VKLAD	6376	26933	\N	\N	\N
807073	2750	1996-02-07	PRIJEM	VKLAD	6376	24602	\N	\N	\N
807074	2750	1996-03-07	PRIJEM	VKLAD	6376	27068	\N	\N	\N
807075	2750	1996-04-07	PRIJEM	VKLAD	6376	30659	\N	\N	\N
807076	2750	1996-05-07	PRIJEM	VKLAD	6376	33156	\N	\N	\N
807077	2750	1996-06-07	PRIJEM	VKLAD	9564	37746	\N	\N	\N
807078	2750	1996-07-07	PRIJEM	VKLAD	6376	34460	\N	\N	\N
807079	2750	1996-08-07	PRIJEM	VKLAD	6376	34471	\N	\N	\N
807080	2750	1996-09-07	PRIJEM	VKLAD	6376	33778	\N	\N	\N
807081	2750	1996-10-07	PRIJEM	VKLAD	6376	29485	\N	\N	\N
807082	2750	1996-11-07	PRIJEM	VKLAD	6376	34078	\N	\N	\N
807083	2750	1996-12-07	PRIJEM	VKLAD	9564	38369	\N	\N	\N
807084	2750	1997-01-07	PRIJEM	VKLAD	6376	38787	\N	\N	\N
807085	2750	1997-02-07	PRIJEM	VKLAD	6376	34695	\N	\N	\N
807086	2750	1997-03-07	PRIJEM	VKLAD	6376	36500	\N	\N	\N
807087	2750	1997-04-07	PRIJEM	VKLAD	6376	37919	\N	\N	\N
807088	2750	1997-05-07	PRIJEM	VKLAD	6376	39942	\N	\N	\N
807089	2750	1997-06-07	PRIJEM	VKLAD	9564	46359	\N	\N	\N
807090	2750	1997-07-07	PRIJEM	VKLAD	6376	44410	\N	\N	\N
807091	2750	1997-08-07	PRIJEM	VKLAD	6376	40035	\N	\N	\N
807092	2750	1997-09-07	PRIJEM	VKLAD	6376	39561	\N	\N	\N
807093	2750	1997-10-07	PRIJEM	VKLAD	6376	40089	\N	\N	\N
807094	2750	1997-11-07	PRIJEM	VKLAD	6376	44220	\N	\N	\N
807095	2750	1997-12-07	PRIJEM	VKLAD	9564	48755	\N	\N	\N
807096	2750	1998-01-07	PRIJEM	VKLAD	6376	44614	\N	\N	\N
807097	2750	1998-02-07	PRIJEM	VKLAD	6376	38544	\N	\N	\N
807098	2750	1998-03-07	PRIJEM	VKLAD	6376	44871	\N	\N	\N
807099	2750	1998-04-07	PRIJEM	VKLAD	6376	48926	\N	\N	\N
807100	2750	1998-05-07	PRIJEM	VKLAD	6376	47291	\N	\N	\N
807101	2750	1998-06-07	PRIJEM	VKLAD	9564	49741	\N	\N	\N
807102	2750	1998-07-07	PRIJEM	VKLAD	6376	38158	\N	\N	\N
807103	2750	1998-08-07	PRIJEM	VKLAD	6376	44883	\N	\N	\N
807104	2750	1998-09-07	PRIJEM	VKLAD	6376	46432	\N	\N	\N
807105	2750	1998-10-07	PRIJEM	VKLAD	6376	48188	\N	\N	\N
807106	2750	1998-11-07	PRIJEM	VKLAD	6376	52353	\N	\N	\N
807107	2750	1998-12-07	PRIJEM	VKLAD	9564	50316	\N	\N	\N
807116	2750	1995-09-14	VYDAJ	PREVOD NA UCET	1750	30754	SIPO	UV	35031116
807117	2750	1995-10-14	VYDAJ	PREVOD NA UCET	1750	27670	SIPO	UV	35031116
807118	2750	1995-11-14	VYDAJ	PREVOD NA UCET	1750	28873	SIPO	UV	35031116
807119	2750	1995-12-14	VYDAJ	PREVOD NA UCET	1750	28160	SIPO	UV	35031116
807120	2750	1996-01-14	VYDAJ	PREVOD NA UCET	1750	21954	SIPO	UV	35031116
807121	2750	1996-02-14	VYDAJ	PREVOD NA UCET	1750	20623	SIPO	UV	35031116
807122	2750	1996-03-14	VYDAJ	PREVOD NA UCET	1750	27289	SIPO	UV	35031116
807123	2750	1996-04-14	VYDAJ	PREVOD NA UCET	1750	26680	SIPO	UV	35031116
807124	2750	1996-05-14	VYDAJ	PREVOD NA UCET	1750	28577	SIPO	UV	35031116
807125	2750	1996-06-14	VYDAJ	PREVOD NA UCET	1750	30767	SIPO	UV	35031116
807126	2750	1996-07-14	VYDAJ	PREVOD NA UCET	1750	30481	SIPO	UV	35031116
807127	2750	1996-08-14	VYDAJ	PREVOD NA UCET	1750	30492	SIPO	UV	35031116
807128	2750	1996-09-14	VYDAJ	PREVOD NA UCET	1750	29799	SIPO	UV	35031116
807129	2750	1996-10-14	VYDAJ	PREVOD NA UCET	1750	25506	SIPO	UV	35031116
807130	2750	1996-11-14	VYDAJ	PREVOD NA UCET	1750	30099	SIPO	UV	35031116
807131	2750	1996-12-14	VYDAJ	PREVOD NA UCET	1750	31490	SIPO	UV	35031116
807132	2750	1997-01-14	VYDAJ	PREVOD NA UCET	1750	32108	SIPO	UV	35031116
807133	2750	1997-02-14	VYDAJ	PREVOD NA UCET	1750	30716	SIPO	UV	35031116
807134	2750	1997-03-14	VYDAJ	PREVOD NA UCET	1750	32521	SIPO	UV	35031116
807135	2750	1997-04-14	VYDAJ	PREVOD NA UCET	1750	33440	SIPO	UV	35031116
807136	2750	1997-05-14	VYDAJ	PREVOD NA UCET	1750	35963	SIPO	UV	35031116
807137	2750	1997-06-14	VYDAJ	PREVOD NA UCET	1750	42380	SIPO	UV	35031116
807138	2750	1997-07-14	VYDAJ	PREVOD NA UCET	1750	32331	SIPO	UV	35031116
807139	2750	1997-08-14	VYDAJ	PREVOD NA UCET	1750	36056	SIPO	UV	35031116
807140	2750	1997-09-14	VYDAJ	PREVOD NA UCET	1750	35582	SIPO	UV	35031116
807141	2750	1997-10-14	VYDAJ	PREVOD NA UCET	1750	36110	SIPO	UV	35031116
807142	2750	1997-11-14	VYDAJ	PREVOD NA UCET	1750	40241	SIPO	UV	35031116
807143	2750	1997-12-14	VYDAJ	PREVOD NA UCET	1750	44776	SIPO	UV	35031116
807144	2750	1998-01-14	VYDAJ	PREVOD NA UCET	1750	39335	SIPO	UV	35031116
807145	2750	1998-02-14	VYDAJ	PREVOD NA UCET	1750	34565	SIPO	UV	35031116
807146	2750	1998-03-14	VYDAJ	PREVOD NA UCET	1750	40892	SIPO	UV	35031116
807147	2750	1998-04-14	VYDAJ	PREVOD NA UCET	1750	44947	SIPO	UV	35031116
807148	2750	1998-05-14	VYDAJ	PREVOD NA UCET	1750	43312	SIPO	UV	35031116
807149	2750	1998-06-14	VYDAJ	PREVOD NA UCET	1750	29562	SIPO	UV	35031116
807150	2750	1998-07-14	VYDAJ	PREVOD NA UCET	1750	34179	SIPO	UV	35031116
807151	2750	1998-08-14	VYDAJ	PREVOD NA UCET	1750	40904	SIPO	UV	35031116
807152	2750	1998-09-14	VYDAJ	PREVOD NA UCET	1750	42453	SIPO	UV	35031116
807153	2750	1998-10-14	VYDAJ	PREVOD NA UCET	1750	44209	SIPO	UV	35031116
807154	2750	1998-11-14	VYDAJ	PREVOD NA UCET	1750	48374	SIPO	UV	35031116
807155	2750	1998-12-14	VYDAJ	PREVOD NA UCET	1750	43537	SIPO	UV	35031116
807164	2750	1995-09-09	VYDAJ	PREVOD NA UCET	2229	38204	 	YZ	25649327
807165	2750	1995-10-09	VYDAJ	PREVOD NA UCET	2229	35020	 	YZ	25649327
807166	2750	1995-11-09	VYDAJ	PREVOD NA UCET	2229	30623	 	YZ	25649327
807167	2750	1995-12-09	VYDAJ	PREVOD NA UCET	2229	29910	 	YZ	25649327
807168	2750	1996-01-09	VYDAJ	PREVOD NA UCET	2229	23704	 	YZ	25649327
807169	2750	1996-02-09	VYDAJ	PREVOD NA UCET	2229	22373	 	YZ	25649327
807170	2750	1996-03-09	VYDAJ	PREVOD NA UCET	2229	29039	 	YZ	25649327
807171	2750	1996-04-09	VYDAJ	PREVOD NA UCET	2229	28430	 	YZ	25649327
807172	2750	1996-05-09	VYDAJ	PREVOD NA UCET	2229	30327	 	YZ	25649327
807173	2750	1996-06-09	VYDAJ	PREVOD NA UCET	2229	35517	 	YZ	25649327
807174	2750	1996-07-09	VYDAJ	PREVOD NA UCET	2229	32231	 	YZ	25649327
807175	2750	1996-08-09	VYDAJ	PREVOD NA UCET	2229	32242	 	YZ	25649327
807176	2750	1996-09-09	VYDAJ	PREVOD NA UCET	2229	31549	 	YZ	25649327
807177	2750	1996-10-09	VYDAJ	PREVOD NA UCET	2229	27256	 	YZ	25649327
807178	2750	1996-11-09	VYDAJ	PREVOD NA UCET	2229	31849	 	YZ	25649327
807179	2750	1996-12-09	VYDAJ	PREVOD NA UCET	2229	36140	 	YZ	25649327
807180	2750	1997-01-09	VYDAJ	PREVOD NA UCET	2229	36558	 	YZ	25649327
807181	2750	1997-02-09	VYDAJ	PREVOD NA UCET	2229	32466	 	YZ	25649327
807182	2750	1997-03-09	VYDAJ	PREVOD NA UCET	2229	34271	 	YZ	25649327
807183	2750	1997-04-09	VYDAJ	PREVOD NA UCET	2229	35690	 	YZ	25649327
807184	2750	1997-05-09	VYDAJ	PREVOD NA UCET	2229	37713	 	YZ	25649327
807185	2750	1997-06-09	VYDAJ	PREVOD NA UCET	2229	44130	 	YZ	25649327
807186	2750	1997-07-09	VYDAJ	PREVOD NA UCET	2229	37481	 	YZ	25649327
807187	2750	1997-08-09	VYDAJ	PREVOD NA UCET	2229	37806	 	YZ	25649327
807188	2750	1997-09-09	VYDAJ	PREVOD NA UCET	2229	37332	 	YZ	25649327
807189	2750	1997-10-09	VYDAJ	PREVOD NA UCET	2229	37860	 	YZ	25649327
807190	2750	1997-11-09	VYDAJ	PREVOD NA UCET	2229	41991	 	YZ	25649327
807191	2750	1997-12-09	VYDAJ	PREVOD NA UCET	2229	46526	 	YZ	25649327
807192	2750	1998-01-09	VYDAJ	PREVOD NA UCET	2229	42385	 	YZ	25649327
807193	2750	1998-02-09	VYDAJ	PREVOD NA UCET	2229	36315	 	YZ	25649327
807194	2750	1998-03-09	VYDAJ	PREVOD NA UCET	2229	42642	 	YZ	25649327
807195	2750	1998-04-09	VYDAJ	PREVOD NA UCET	2229	46697	 	YZ	25649327
807196	2750	1998-05-09	VYDAJ	PREVOD NA UCET	2229	45062	 	YZ	25649327
807197	2750	1998-06-09	VYDAJ	PREVOD NA UCET	2229	31312	 	YZ	25649327
807198	2750	1998-07-09	VYDAJ	PREVOD NA UCET	2229	35929	 	YZ	25649327
807199	2750	1998-08-09	VYDAJ	PREVOD NA UCET	2229	42654	 	YZ	25649327
807200	2750	1998-09-09	VYDAJ	PREVOD NA UCET	2229	44203	 	YZ	25649327
807201	2750	1998-10-09	VYDAJ	PREVOD NA UCET	2229	45959	 	YZ	25649327
807202	2750	1998-11-09	VYDAJ	PREVOD NA UCET	2229	50124	 	YZ	25649327
807203	2750	1998-12-09	VYDAJ	PREVOD NA UCET	2229	48087	 	YZ	25649327
807205	2750	1996-06-09	VYDAJ	VYBER	3000	32517	\N	\N	\N
807206	2750	1997-06-27	VYDAJ	VYBER	5000	37380	\N	\N	\N
807207	2750	1998-06-07	VYDAJ	VYBER	16200	33541	\N	\N	\N
807208	2750	1995-12-15	VYDAJ	VYBER	2900	25260	\N	\N	\N
807209	2750	1996-12-14	VYDAJ	VYBER	2900	33240	\N	\N	\N
807210	2750	1997-12-19	VYDAJ	VYBER	1000	43776	\N	\N	\N
807211	2750	1998-12-05	VYDAJ	VYBER	2900	40752	\N	\N	\N
807218	2750	1996-01-08	VYDAJ	VYBER	2200	25933	\N	\N	\N
807219	2750	1996-01-05	VYDAJ	VYBER	2300	21557	\N	\N	\N
807220	2750	1996-01-15	VYDAJ	VYBER	2100	19254	\N	\N	\N
807221	2750	1996-01-15	VYDAJ	VYBER	600	21354	\N	\N	\N
807222	2750	1996-01-17	VYDAJ	VYBER	700	18554	\N	\N	\N
807223	2750	1996-01-06	VYDAJ	VYBER	1000	20557	\N	\N	\N
807224	2750	1997-01-28	VYDAJ	VYBER	2100	23008	\N	\N	\N
807225	2750	1997-01-14	VYDAJ	VYBER	900	31208	\N	\N	\N
807226	2750	1997-01-21	VYDAJ	VYBER	2600	28608	\N	\N	\N
807227	2750	1997-01-10	VYDAJ	VYBER	2700	33858	\N	\N	\N
807228	2750	1997-01-25	VYDAJ	VYBER	1000	25108	\N	\N	\N
807229	2750	1997-01-22	VYDAJ	VYBER	2500	26108	\N	\N	\N
807230	2750	1998-01-20	VYDAJ	VYBER	2600	30635	\N	\N	\N
807231	2750	1998-01-13	VYDAJ	VYBER	1300	41085	\N	\N	\N
807232	2750	1998-01-15	VYDAJ	VYBER	900	38435	\N	\N	\N
807233	2750	1998-01-16	VYDAJ	VYBER	2400	36035	\N	\N	\N
807234	2750	1998-01-19	VYDAJ	VYBER	2800	33235	\N	\N	\N
807235	2750	1998-01-23	VYDAJ	VYBER	1900	28735	\N	\N	\N
807237	2750	1995-11-17	VYDAJ	VYBER	1900	26973	\N	\N	\N
807241	2750	1995-12-28	VYDAJ	VYBER	1500	23760	\N	\N	\N
807243	2750	1996-04-04	VYDAJ	VYBER	3300	24083	\N	\N	\N
807244	2750	1996-10-04	VYDAJ	VYBER	3300	26609	\N	\N	\N
807245	2750	1996-11-25	VYDAJ	VYBER	4300	25799	\N	\N	\N
807246	2750	1996-08-19	VYDAJ	VYBER	2700	27792	\N	\N	\N
807247	2750	1996-01-20	VYDAJ	VYBER	1200	17354	\N	\N	\N
807248	2750	1997-07-08	VYDAJ	VYBER	4700	39710	\N	\N	\N
807249	2750	1997-08-22	VYDAJ	VYBER	3800	32256	\N	\N	\N
807250	2750	1997-09-28	VYDAJ	VYBER	1700	33882	\N	\N	\N
807251	2750	1997-05-20	VYDAJ	VYBER	1200	34763	\N	\N	\N
807252	2750	1997-04-14	VYDAJ	VYBER	500	35190	\N	\N	\N
807253	2750	1997-07-10	VYDAJ	VYBER	3400	34081	\N	\N	\N
807254	2750	1998-12-12	VYDAJ	VYBER	2800	45287	\N	\N	\N
807255	2750	1998-01-28	VYDAJ	VYBER	3100	32035	\N	\N	\N
807256	2750	1998-05-01	VYDAJ	VYBER	2800	40915	\N	\N	\N
807257	2750	1998-06-17	VYDAJ	VYBER	3400	26162	\N	\N	\N
807258	2750	1998-03-02	VYDAJ	VYBER	2900	38495	\N	\N	\N
807259	2750	1998-04-21	VYDAJ	VYBER	1500	43447	\N	\N	\N
807269	2750	1995-09-30	VYDAJ	VYBER	15	30873	SLUZBY	\N	\N
807270	2750	1995-10-31	VYDAJ	VYBER	15	27776	SLUZBY	\N	\N
807271	2750	1995-11-30	VYDAJ	VYBER	15	27075	SLUZBY	\N	\N
807272	2750	1995-12-31	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
807273	2750	1996-01-31	VYDAJ	VYBER	15	17426	SLUZBY	\N	\N
807274	2750	1996-02-29	VYDAJ	VYBER	15	20692	SLUZBY	\N	\N
807275	2750	1996-03-31	VYDAJ	VYBER	15	27383	SLUZBY	\N	\N
807276	2750	1996-04-30	VYDAJ	VYBER	15	26780	SLUZBY	\N	\N
807277	2750	1996-05-31	VYDAJ	VYBER	15	28682	SLUZBY	\N	\N
807278	2750	1996-06-30	VYDAJ	VYBER	15	30884	SLUZBY	\N	\N
807279	2750	1996-07-31	VYDAJ	VYBER	15	30595	SLUZBY	\N	\N
807280	2750	1996-08-31	VYDAJ	VYBER	15	27902	SLUZBY	\N	\N
807281	2750	1996-09-30	VYDAJ	VYBER	15	29909	SLUZBY	\N	\N
807282	2750	1996-10-31	VYDAJ	VYBER	15	25602	SLUZBY	\N	\N
807283	2750	1996-11-30	VYDAJ	VYBER	15	25905	SLUZBY	\N	\N
807284	2750	1996-12-31	VYDAJ	VYBER	15	31611	SLUZBY	\N	\N
807285	2750	1997-01-31	VYDAJ	VYBER	15	23119	SLUZBY	\N	\N
807286	2750	1997-02-28	VYDAJ	VYBER	15	30824	SLUZBY	\N	\N
807287	2750	1997-03-31	VYDAJ	VYBER	15	32643	SLUZBY	\N	\N
807288	2750	1997-04-30	VYDAJ	VYBER	15	33566	SLUZBY	\N	\N
807289	2750	1997-05-31	VYDAJ	VYBER	15	34895	SLUZBY	\N	\N
807290	2750	1997-06-30	VYDAJ	VYBER	15	37534	SLUZBY	\N	\N
807291	2750	1997-07-31	VYDAJ	VYBER	15	33659	SLUZBY	\N	\N
807292	2750	1997-08-31	VYDAJ	VYBER	15	33185	SLUZBY	\N	\N
807293	2750	1997-09-30	VYDAJ	VYBER	15	33713	SLUZBY	\N	\N
807294	2750	1997-10-31	VYDAJ	VYBER	15	37844	SLUZBY	\N	\N
807295	2750	1997-11-30	VYDAJ	VYBER	15	39191	SLUZBY	\N	\N
807296	2750	1997-12-31	VYDAJ	VYBER	15	38238	SLUZBY	\N	\N
807297	2750	1998-01-31	VYDAJ	VYBER	15	32168	SLUZBY	\N	\N
807298	2750	1998-02-28	VYDAJ	VYBER	15	41395	SLUZBY	\N	\N
807299	2750	1998-03-31	VYDAJ	VYBER	15	42550	SLUZBY	\N	\N
807300	2750	1998-04-30	VYDAJ	VYBER	15	43715	SLUZBY	\N	\N
807301	2750	1998-05-31	VYDAJ	VYBER	15	40177	SLUZBY	\N	\N
807302	2750	1998-06-30	VYDAJ	VYBER	15	31782	SLUZBY	\N	\N
807303	2750	1998-07-31	VYDAJ	VYBER	15	38507	SLUZBY	\N	\N
807304	2750	1998-08-31	VYDAJ	VYBER	15	40056	SLUZBY	\N	\N
807305	2750	1998-09-30	VYDAJ	VYBER	15	41812	SLUZBY	\N	\N
807306	2750	1998-10-31	VYDAJ	VYBER	15	45977	SLUZBY	\N	\N
807307	2750	1998-11-30	VYDAJ	VYBER	15	43652	SLUZBY	\N	\N
807308	2750	1995-05-13	PRIJEM	VKLAD	6800	13676	\N	\N	\N
807309	2750	1995-06-12	VYDAJ	VYBER	100	23175	\N	\N	\N
807310	2750	1995-07-12	VYDAJ	VYBER	300	29333	\N	\N	\N
807311	2750	1995-08-11	VYDAJ	VYBER	1900	33922	\N	\N	\N
807312	2750	1995-09-10	VYDAJ	VYBER	5700	32504	\N	\N	\N
807313	2750	1995-10-10	VYDAJ	VYBER	5600	29420	\N	\N	\N
807314	2750	1995-11-09	VYDAJ	VYBER	1300	32852	\N	\N	\N
807315	2750	1995-12-09	VYDAJ	VYBER	4500	32139	\N	\N	\N
807316	2750	1996-01-08	PRIJEM	VKLAD	1200	28133	\N	\N	\N
807317	2750	1996-02-07	PRIJEM	VKLAD	800	18226	\N	\N	\N
807318	2750	1996-03-08	PRIJEM	VKLAD	4200	31268	\N	\N	\N
807319	2750	1996-04-07	PRIJEM	VKLAD	200	24283	\N	\N	\N
807320	2750	1996-05-07	VYDAJ	VYBER	600	32556	\N	\N	\N
807321	2750	1996-06-06	VYDAJ	VYBER	500	28182	\N	\N	\N
807322	2750	1996-07-06	VYDAJ	VYBER	2800	28084	\N	\N	\N
807323	2750	1996-08-05	VYDAJ	VYBER	2500	28095	\N	\N	\N
807324	2750	1996-09-04	VYDAJ	VYBER	500	27402	\N	\N	\N
807325	2750	1996-10-04	VYDAJ	VYBER	3500	23109	\N	\N	\N
807326	2750	1996-11-03	PRIJEM	VKLAD	2100	27702	\N	\N	\N
807327	2750	1996-12-03	PRIJEM	VKLAD	2900	28805	\N	\N	\N
807328	2750	1997-01-02	PRIJEM	VKLAD	800	32411	\N	\N	\N
807329	2750	1997-02-01	PRIJEM	VKLAD	5200	28319	\N	\N	\N
807330	2750	1997-03-03	VYDAJ	VYBER	700	30124	\N	\N	\N
807331	2750	1997-04-02	VYDAJ	VYBER	1100	31543	\N	\N	\N
807332	2750	1997-06-01	PRIJEM	VKLAD	1900	36795	\N	\N	\N
807333	2750	1997-07-01	PRIJEM	VKLAD	500	38034	\N	\N	\N
807334	2750	1997-07-31	PRIJEM	VKLAD	1200	33531	\N	\N	\N
807335	2750	1997-08-30	PRIJEM	VKLAD	800	33056	\N	\N	\N
807336	2750	1997-09-29	VYDAJ	VYBER	300	33582	\N	\N	\N
807337	2750	1997-10-29	PRIJEM	VKLAD	1600	37710	\N	\N	\N
807338	2750	1997-11-28	VYDAJ	VYBER	1200	39041	\N	\N	\N
807339	2750	1997-12-28	VYDAJ	VYBER	5700	38076	\N	\N	\N
807340	2750	1998-01-27	PRIJEM	VKLAD	6400	35135	\N	\N	\N
807341	2750	1998-02-26	PRIJEM	VKLAD	6700	41265	\N	\N	\N
807342	2750	1998-03-28	PRIJEM	VKLAD	1500	42392	\N	\N	\N
807343	2750	1998-04-27	PRIJEM	VKLAD	100	43547	\N	\N	\N
807344	2750	1998-05-27	VYDAJ	VYBER	3300	40012	\N	\N	\N
807345	2750	1998-06-26	PRIJEM	VKLAD	5500	31662	\N	\N	\N
807346	2750	1998-07-26	PRIJEM	VKLAD	4200	38379	\N	\N	\N
807347	2750	1998-08-25	VYDAJ	VYBER	1000	39904	\N	\N	\N
807348	2750	1998-09-24	VYDAJ	VYBER	800	41653	\N	\N	\N
807349	2750	1998-10-24	PRIJEM	VKLAD	1600	45809	\N	\N	\N
807350	2750	1998-11-23	VYDAJ	VYBER	4900	43474	\N	\N	\N
807395	2751	1995-04-28	PRIJEM	VKLAD	600	600	\N	\N	\N
807400	2751	1995-05-05	PRIJEM	VKLAD	6588	7188	\N	\N	\N
807401	2751	1995-06-05	PRIJEM	VKLAD	9882	25478	\N	\N	\N
807402	2751	1995-07-05	PRIJEM	VKLAD	6588	33137	\N	\N	\N
807403	2751	1995-08-05	PRIJEM	VKLAD	6588	34136	\N	\N	\N
807404	2751	1995-09-05	PRIJEM	VKLAD	6588	37041	\N	\N	\N
807405	2751	1995-10-05	PRIJEM	VKLAD	6588	35965	\N	\N	\N
807406	2751	1995-11-05	PRIJEM	VKLAD	6588	37087	\N	\N	\N
807407	2751	1995-12-05	PRIJEM	VKLAD	9882	39224	\N	\N	\N
807408	2751	1996-01-05	PRIJEM	VKLAD	6588	38132	\N	\N	\N
807409	2751	1996-02-05	PRIJEM	VKLAD	6588	34367	\N	\N	\N
807410	2751	1996-03-05	PRIJEM	VKLAD	6588	36165	\N	\N	\N
807411	2751	1996-04-05	PRIJEM	VKLAD	6588	38088	\N	\N	\N
807412	2751	1996-05-05	PRIJEM	VKLAD	6588	37215	\N	\N	\N
807413	2751	1996-06-05	PRIJEM	VKLAD	9882	43919	\N	\N	\N
807414	2751	1996-07-05	PRIJEM	VKLAD	6588	47434	\N	\N	\N
807415	2751	1996-08-05	PRIJEM	VKLAD	6588	48803	\N	\N	\N
807416	2751	1996-09-05	PRIJEM	VKLAD	6588	47974	\N	\N	\N
807417	2751	1996-10-05	PRIJEM	VKLAD	6588	47741	\N	\N	\N
807418	2751	1996-11-05	PRIJEM	VKLAD	6588	46408	\N	\N	\N
807419	2751	1996-12-05	PRIJEM	VKLAD	9882	48761	\N	\N	\N
807420	2751	1997-01-05	PRIJEM	VKLAD	6588	42281	\N	\N	\N
807421	2751	1997-02-05	PRIJEM	VKLAD	6588	34734	\N	\N	\N
807422	2751	1997-03-05	PRIJEM	VKLAD	6588	39255	\N	\N	\N
807423	2751	1997-04-05	PRIJEM	VKLAD	6588	38492	\N	\N	\N
807424	2751	1997-05-05	PRIJEM	VKLAD	6588	40925	\N	\N	\N
807425	2751	1997-06-05	PRIJEM	VKLAD	9882	46261	\N	\N	\N
807426	2751	1997-07-05	PRIJEM	VKLAD	6588	46518	\N	\N	\N
807427	2751	1997-08-05	PRIJEM	VKLAD	6588	44374	\N	\N	\N
807428	2751	1997-09-05	PRIJEM	VKLAD	6588	45928	\N	\N	\N
807429	2751	1997-10-05	PRIJEM	VKLAD	6588	45084	\N	\N	\N
807430	2751	1997-11-05	PRIJEM	VKLAD	6588	47142	\N	\N	\N
807431	2751	1997-12-05	PRIJEM	VKLAD	9882	49204	\N	\N	\N
807432	2751	1998-01-05	PRIJEM	VKLAD	6588	38278	\N	\N	\N
807433	2751	1998-02-05	PRIJEM	VKLAD	6588	33074	\N	\N	\N
807434	2751	1998-03-05	PRIJEM	VKLAD	6588	34991	\N	\N	\N
807435	2751	1998-04-05	PRIJEM	VKLAD	6588	39945	\N	\N	\N
807436	2751	1998-05-05	PRIJEM	VKLAD	6588	43686	\N	\N	\N
807437	2751	1998-06-05	PRIJEM	VKLAD	9882	48129	\N	\N	\N
807438	2751	1998-07-05	PRIJEM	VKLAD	6588	51902	\N	\N	\N
807439	2751	1998-08-05	PRIJEM	VKLAD	6588	48238	\N	\N	\N
807440	2751	1998-09-05	PRIJEM	VKLAD	6588	52917	\N	\N	\N
807441	2751	1998-10-05	PRIJEM	VKLAD	6588	54304	\N	\N	\N
807442	2751	1998-11-05	PRIJEM	VKLAD	6588	59710	\N	\N	\N
807443	2751	1998-12-05	PRIJEM	VKLAD	9882	60807	\N	\N	\N
807452	2751	1995-09-13	VYDAJ	PREVOD NA UCET	826	33258	SIPO	MN	89055364
807453	2751	1995-10-13	VYDAJ	PREVOD NA UCET	826	32182	SIPO	MN	89055364
807454	2751	1995-11-13	VYDAJ	PREVOD NA UCET	826	33304	SIPO	MN	89055364
807455	2751	1995-12-13	VYDAJ	PREVOD NA UCET	826	33201	SIPO	MN	89055364
807456	2751	1996-01-13	VYDAJ	PREVOD NA UCET	826	30029	SIPO	MN	89055364
807457	2751	1996-02-13	VYDAJ	PREVOD NA UCET	826	30584	SIPO	MN	89055364
807458	2751	1996-03-13	VYDAJ	PREVOD NA UCET	826	32382	SIPO	MN	89055364
807459	2751	1996-04-13	VYDAJ	PREVOD NA UCET	826	34305	SIPO	MN	89055364
807460	2751	1996-05-13	VYDAJ	PREVOD NA UCET	826	33432	SIPO	MN	89055364
807461	2751	1996-06-13	VYDAJ	PREVOD NA UCET	826	40136	SIPO	MN	89055364
807462	2751	1996-07-13	VYDAJ	PREVOD NA UCET	826	43651	SIPO	MN	89055364
807463	2751	1996-08-13	VYDAJ	PREVOD NA UCET	826	45020	SIPO	MN	89055364
807464	2751	1996-09-13	VYDAJ	PREVOD NA UCET	826	44191	SIPO	MN	89055364
807465	2751	1996-10-13	VYDAJ	PREVOD NA UCET	826	43958	SIPO	MN	89055364
807466	2751	1996-11-13	VYDAJ	PREVOD NA UCET	826	42625	SIPO	MN	89055364
807467	2751	1996-12-13	VYDAJ	PREVOD NA UCET	826	41378	SIPO	MN	89055364
807468	2751	1997-01-13	VYDAJ	PREVOD NA UCET	826	36578	SIPO	MN	89055364
807469	2751	1997-02-13	VYDAJ	PREVOD NA UCET	826	30951	SIPO	MN	89055364
807470	2751	1997-03-13	VYDAJ	PREVOD NA UCET	826	35472	SIPO	MN	89055364
807471	2751	1997-04-13	VYDAJ	PREVOD NA UCET	826	34709	SIPO	MN	89055364
807472	2751	1997-05-13	VYDAJ	PREVOD NA UCET	826	37142	SIPO	MN	89055364
807473	2751	1997-06-13	VYDAJ	PREVOD NA UCET	826	42478	SIPO	MN	89055364
807474	2751	1997-07-13	VYDAJ	PREVOD NA UCET	826	42735	SIPO	MN	89055364
807475	2751	1997-08-13	VYDAJ	PREVOD NA UCET	826	40591	SIPO	MN	89055364
807476	2751	1997-09-13	VYDAJ	PREVOD NA UCET	826	42145	SIPO	MN	89055364
807477	2751	1997-10-13	VYDAJ	PREVOD NA UCET	826	41301	SIPO	MN	89055364
807478	2751	1997-11-13	VYDAJ	PREVOD NA UCET	826	43359	SIPO	MN	89055364
807479	2751	1997-12-13	VYDAJ	PREVOD NA UCET	826	42021	SIPO	MN	89055364
807480	2751	1998-01-13	VYDAJ	PREVOD NA UCET	826	30575	SIPO	MN	89055364
807583	2751	1998-08-04	VYDAJ	VYBER	1200	41650	\N	\N	\N
807481	2751	1998-02-13	VYDAJ	PREVOD NA UCET	826	31891	SIPO	MN	89055364
807482	2751	1998-03-13	VYDAJ	PREVOD NA UCET	826	37908	SIPO	MN	89055364
807483	2751	1998-04-13	VYDAJ	PREVOD NA UCET	826	36962	SIPO	MN	89055364
807484	2751	1998-05-13	VYDAJ	PREVOD NA UCET	826	38103	SIPO	MN	89055364
807485	2751	1998-06-13	VYDAJ	PREVOD NA UCET	826	45146	SIPO	MN	89055364
807486	2751	1998-07-13	VYDAJ	PREVOD NA UCET	826	45919	SIPO	MN	89055364
807487	2751	1998-08-13	VYDAJ	PREVOD NA UCET	826	46155	SIPO	MN	89055364
807488	2751	1998-09-13	VYDAJ	PREVOD NA UCET	826	47534	SIPO	MN	89055364
807489	2751	1998-10-13	VYDAJ	PREVOD NA UCET	826	52921	SIPO	MN	89055364
807490	2751	1998-11-13	VYDAJ	PREVOD NA UCET	826	50727	SIPO	MN	89055364
807491	2751	1998-12-13	VYDAJ	PREVOD NA UCET	826	55944	SIPO	MN	89055364
807500	2751	1995-09-06	VYDAJ	PREVOD NA UCET	2957	34084	 	WX	57857632
807501	2751	1995-10-06	VYDAJ	PREVOD NA UCET	2957	33008	 	WX	57857632
807502	2751	1995-11-06	VYDAJ	PREVOD NA UCET	2957	34130	 	WX	57857632
807503	2751	1995-12-06	VYDAJ	PREVOD NA UCET	2957	36267	 	WX	57857632
807504	2751	1996-01-06	VYDAJ	PREVOD NA UCET	2957	35175	 	WX	57857632
807505	2751	1996-02-06	VYDAJ	PREVOD NA UCET	2957	31410	 	WX	57857632
807506	2751	1996-03-06	VYDAJ	PREVOD NA UCET	2957	33208	 	WX	57857632
807507	2751	1996-04-06	VYDAJ	PREVOD NA UCET	2957	35131	 	WX	57857632
807508	2751	1996-05-06	VYDAJ	PREVOD NA UCET	2957	34258	 	WX	57857632
807509	2751	1996-06-06	VYDAJ	PREVOD NA UCET	2957	40962	 	WX	57857632
807510	2751	1996-07-06	VYDAJ	PREVOD NA UCET	2957	44477	 	WX	57857632
807511	2751	1996-08-06	VYDAJ	PREVOD NA UCET	2957	45846	 	WX	57857632
807512	2751	1996-09-06	VYDAJ	PREVOD NA UCET	2957	45017	 	WX	57857632
807513	2751	1996-10-06	VYDAJ	PREVOD NA UCET	2957	44784	 	WX	57857632
807514	2751	1996-11-06	VYDAJ	PREVOD NA UCET	2957	43451	 	WX	57857632
807515	2751	1996-12-06	VYDAJ	PREVOD NA UCET	2957	45804	 	WX	57857632
807516	2751	1997-01-06	VYDAJ	PREVOD NA UCET	2957	39324	 	WX	57857632
807517	2751	1997-02-06	VYDAJ	PREVOD NA UCET	2957	31777	 	WX	57857632
807518	2751	1997-03-06	VYDAJ	PREVOD NA UCET	2957	36298	 	WX	57857632
807519	2751	1997-04-06	VYDAJ	PREVOD NA UCET	2957	35535	 	WX	57857632
807520	2751	1997-05-06	VYDAJ	PREVOD NA UCET	2957	37968	 	WX	57857632
807521	2751	1997-06-06	VYDAJ	PREVOD NA UCET	2957	43304	 	WX	57857632
807522	2751	1997-07-06	VYDAJ	PREVOD NA UCET	2957	43561	 	WX	57857632
807523	2751	1997-08-06	VYDAJ	PREVOD NA UCET	2957	41417	 	WX	57857632
807524	2751	1997-09-06	VYDAJ	PREVOD NA UCET	2957	42971	 	WX	57857632
807525	2751	1997-10-06	VYDAJ	PREVOD NA UCET	2957	42127	 	WX	57857632
807526	2751	1997-11-06	VYDAJ	PREVOD NA UCET	2957	44185	 	WX	57857632
807527	2751	1997-12-06	VYDAJ	PREVOD NA UCET	2957	46247	 	WX	57857632
807528	2751	1998-01-06	VYDAJ	PREVOD NA UCET	2957	32081	 	WX	57857632
807529	2751	1998-02-06	VYDAJ	PREVOD NA UCET	2957	30117	 	WX	57857632
807530	2751	1998-03-06	VYDAJ	PREVOD NA UCET	2957	32034	 	WX	57857632
807531	2751	1998-04-06	VYDAJ	PREVOD NA UCET	2957	36988	 	WX	57857632
807532	2751	1998-05-06	VYDAJ	PREVOD NA UCET	2957	40729	 	WX	57857632
807533	2751	1998-06-06	VYDAJ	PREVOD NA UCET	2957	45172	 	WX	57857632
807534	2751	1998-07-06	VYDAJ	PREVOD NA UCET	2957	48945	 	WX	57857632
807535	2751	1998-08-06	VYDAJ	PREVOD NA UCET	2957	45281	 	WX	57857632
807536	2751	1998-09-06	VYDAJ	PREVOD NA UCET	2957	49960	 	WX	57857632
807537	2751	1998-10-06	VYDAJ	PREVOD NA UCET	2957	51347	 	WX	57857632
807538	2751	1998-11-06	VYDAJ	PREVOD NA UCET	2957	56753	 	WX	57857632
807539	2751	1998-12-06	VYDAJ	PREVOD NA UCET	2957	57850	 	WX	57857632
807544	2751	1995-12-12	VYDAJ	VYBER	2240	34027	\N	\N	\N
807545	2751	1996-12-28	VYDAJ	VYBER	4640	35538	\N	\N	\N
807546	2751	1997-12-22	VYDAJ	VYBER	3520	34901	\N	\N	\N
807547	2751	1998-12-13	VYDAJ	VYBER	1280	56770	\N	\N	\N
807554	2751	1996-01-01	VYDAJ	VYBER	1080	31544	\N	\N	\N
807555	2751	1996-01-19	VYDAJ	VYBER	2880	25829	\N	\N	\N
807556	2751	1996-01-27	VYDAJ	VYBER	2760	27669	\N	\N	\N
807557	2751	1996-01-08	VYDAJ	VYBER	2280	30855	\N	\N	\N
807558	2751	1996-01-16	VYDAJ	VYBER	1320	28709	\N	\N	\N
807559	2751	1996-01-06	VYDAJ	VYBER	2040	33135	\N	\N	\N
807560	2751	1997-01-24	VYDAJ	VYBER	1560	31378	\N	\N	\N
807561	2751	1997-01-09	VYDAJ	VYBER	1920	37404	\N	\N	\N
807562	2751	1997-01-18	VYDAJ	VYBER	2400	33778	\N	\N	\N
807563	2751	1997-01-26	VYDAJ	VYBER	1680	29698	\N	\N	\N
807564	2751	1997-01-22	VYDAJ	VYBER	840	32938	\N	\N	\N
807565	2751	1997-01-29	VYDAJ	VYBER	1680	28018	\N	\N	\N
807566	2751	1998-01-08	VYDAJ	VYBER	2760	29321	\N	\N	\N
807567	2751	1998-01-22	VYDAJ	VYBER	3120	27455	\N	\N	\N
807568	2751	1998-01-29	VYDAJ	VYBER	1080	26375	\N	\N	\N
807569	2751	1998-01-01	VYDAJ	VYBER	3360	31690	\N	\N	\N
807570	2751	1998-01-06	VYDAJ	VYBER	3240	35038	\N	\N	\N
807571	2751	1998-01-10	VYDAJ	VYBER	1320	28001	\N	\N	\N
807572	2751	1995-11-19	VYDAJ	VYBER	2280	31024	\N	\N	\N
807575	2751	1996-02-26	VYDAJ	VYBER	4320	29464	\N	\N	\N
807576	2751	1996-05-23	VYDAJ	VYBER	2520	33912	\N	\N	\N
807577	2751	1996-06-25	VYDAJ	VYBER	840	40696	\N	\N	\N
807578	2751	1996-12-12	VYDAJ	VYBER	3600	42204	\N	\N	\N
807579	2751	1996-10-24	VYDAJ	VYBER	2400	39658	\N	\N	\N
807580	2751	1997-03-28	VYDAJ	VYBER	5400	31772	\N	\N	\N
807581	2751	1997-12-15	VYDAJ	VYBER	3600	38421	\N	\N	\N
807582	2751	1997-04-23	VYDAJ	VYBER	600	34209	\N	\N	\N
807584	2751	1998-05-12	VYDAJ	VYBER	3000	38929	\N	\N	\N
807585	2751	1998-03-26	VYDAJ	VYBER	4680	33228	\N	\N	\N
807586	2751	1998-07-18	VYDAJ	VYBER	3240	42679	\N	\N	\N
807587	2751	1998-03-03	VYDAJ	VYBER	3600	28403	\N	\N	\N
807588	2751	1998-12-23	VYDAJ	VYBER	5640	50304	\N	\N	\N
807598	2751	1995-09-30	VYDAJ	VYBER	15	29377	SLUZBY	\N	\N
807599	2751	1995-10-31	VYDAJ	VYBER	15	30499	SLUZBY	\N	\N
807600	2751	1995-11-30	VYDAJ	VYBER	15	29342	SLUZBY	\N	\N
807601	2751	1995-12-31	VYDAJ	VYBER	15	32624	SLUZBY	\N	\N
807602	2751	1996-01-31	VYDAJ	VYBER	15	27779	SLUZBY	\N	\N
807603	2751	1996-02-29	VYDAJ	VYBER	15	29577	SLUZBY	\N	\N
807604	2751	1996-03-31	VYDAJ	VYBER	15	31500	SLUZBY	\N	\N
807605	2751	1996-04-30	VYDAJ	VYBER	15	30627	SLUZBY	\N	\N
807606	2751	1996-05-31	VYDAJ	VYBER	15	34037	SLUZBY	\N	\N
807607	2751	1996-06-30	VYDAJ	VYBER	15	40846	SLUZBY	\N	\N
807608	2751	1996-07-31	VYDAJ	VYBER	15	42215	SLUZBY	\N	\N
807609	2751	1996-08-31	VYDAJ	VYBER	15	41386	SLUZBY	\N	\N
807610	2751	1996-09-30	VYDAJ	VYBER	15	41153	SLUZBY	\N	\N
807611	2751	1996-10-31	VYDAJ	VYBER	15	39820	SLUZBY	\N	\N
807612	2751	1996-11-30	VYDAJ	VYBER	15	38879	SLUZBY	\N	\N
807613	2751	1996-12-31	VYDAJ	VYBER	15	35693	SLUZBY	\N	\N
807614	2751	1997-01-31	VYDAJ	VYBER	15	28146	SLUZBY	\N	\N
807615	2751	1997-02-28	VYDAJ	VYBER	15	32667	SLUZBY	\N	\N
807616	2751	1997-03-31	VYDAJ	VYBER	15	31904	SLUZBY	\N	\N
807617	2751	1997-04-30	VYDAJ	VYBER	15	34337	SLUZBY	\N	\N
807618	2751	1997-05-31	VYDAJ	VYBER	15	36379	SLUZBY	\N	\N
807619	2751	1997-06-30	VYDAJ	VYBER	15	39930	SLUZBY	\N	\N
807620	2751	1997-07-31	VYDAJ	VYBER	15	37786	SLUZBY	\N	\N
807621	2751	1997-08-31	VYDAJ	VYBER	15	39340	SLUZBY	\N	\N
807622	2751	1997-09-30	VYDAJ	VYBER	15	38496	SLUZBY	\N	\N
807623	2751	1997-10-31	VYDAJ	VYBER	15	40554	SLUZBY	\N	\N
807624	2751	1997-11-30	VYDAJ	VYBER	15	39322	SLUZBY	\N	\N
807625	2751	1997-12-31	VYDAJ	VYBER	15	35050	SLUZBY	\N	\N
807626	2751	1998-01-31	VYDAJ	VYBER	15	26486	SLUZBY	\N	\N
807627	2751	1998-02-28	VYDAJ	VYBER	15	32003	SLUZBY	\N	\N
807628	2751	1998-03-31	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
807629	2751	1998-04-30	VYDAJ	VYBER	15	37098	SLUZBY	\N	\N
807630	2751	1998-05-31	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
807631	2751	1998-06-30	VYDAJ	VYBER	15	45314	SLUZBY	\N	\N
807632	2751	1998-07-31	VYDAJ	VYBER	15	42850	SLUZBY	\N	\N
807633	2751	1998-08-31	VYDAJ	VYBER	15	46329	SLUZBY	\N	\N
807634	2751	1998-09-30	VYDAJ	VYBER	15	47716	SLUZBY	\N	\N
807635	2751	1998-10-31	VYDAJ	VYBER	15	53122	SLUZBY	\N	\N
807636	2751	1998-11-30	VYDAJ	VYBER	15	50925	SLUZBY	\N	\N
807637	2751	1995-05-28	PRIJEM	VKLAD	8400	15588	\N	\N	\N
807638	2751	1995-06-27	PRIJEM	VKLAD	1000	26478	\N	\N	\N
807639	2751	1995-07-27	VYDAJ	VYBER	5700	27437	\N	\N	\N
807640	2751	1995-08-26	VYDAJ	VYBER	3800	30336	\N	\N	\N
807641	2751	1995-09-25	VYDAJ	VYBER	4000	29258	\N	\N	\N
807642	2751	1995-10-25	VYDAJ	VYBER	1800	30382	\N	\N	\N
807643	2751	1995-11-24	VYDAJ	VYBER	1800	29224	\N	\N	\N
807644	2751	1995-12-24	VYDAJ	VYBER	700	32501	\N	\N	\N
807645	2751	1996-01-23	PRIJEM	VKLAD	4600	30429	\N	\N	\N
807646	2751	1996-02-22	PRIJEM	VKLAD	3200	33784	\N	\N	\N
807647	2751	1996-03-23	VYDAJ	VYBER	1000	31382	\N	\N	\N
807648	2751	1996-04-22	VYDAJ	VYBER	3800	30505	\N	\N	\N
807649	2751	1996-05-22	PRIJEM	VKLAD	3000	36432	\N	\N	\N
807650	2751	1996-06-21	PRIJEM	VKLAD	1400	41536	\N	\N	\N
807651	2751	1996-07-21	VYDAJ	VYBER	1600	42051	\N	\N	\N
807652	2751	1996-08-20	VYDAJ	VYBER	3800	41220	\N	\N	\N
807653	2751	1996-09-19	VYDAJ	VYBER	3200	40991	\N	\N	\N
807654	2751	1996-10-19	VYDAJ	VYBER	1900	42058	\N	\N	\N
807655	2751	1996-11-18	VYDAJ	VYBER	3900	38725	\N	\N	\N
807656	2751	1996-12-18	VYDAJ	VYBER	1200	40178	\N	\N	\N
807657	2751	1997-01-17	VYDAJ	VYBER	400	36178	\N	\N	\N
807658	2751	1997-02-16	PRIJEM	VKLAD	1600	32551	\N	\N	\N
807659	2751	1997-03-18	PRIJEM	VKLAD	1700	37172	\N	\N	\N
807660	2751	1997-04-17	PRIJEM	VKLAD	100	34809	\N	\N	\N
807661	2751	1997-05-17	VYDAJ	VYBER	900	36242	\N	\N	\N
807662	2751	1997-06-16	VYDAJ	VYBER	2700	39778	\N	\N	\N
807663	2751	1997-07-16	VYDAJ	VYBER	5100	37635	\N	\N	\N
807664	2751	1997-08-15	VYDAJ	VYBER	1400	39191	\N	\N	\N
807665	2751	1997-09-14	VYDAJ	VYBER	3800	38345	\N	\N	\N
807666	2751	1997-10-14	VYDAJ	VYBER	900	40401	\N	\N	\N
807667	2751	1997-11-13	VYDAJ	VYBER	4200	39159	\N	\N	\N
807668	2751	1997-12-13	VYDAJ	VYBER	3400	42847	\N	\N	\N
807669	2751	1998-01-12	PRIJEM	VKLAD	3400	31401	\N	\N	\N
807670	2751	1998-02-11	PRIJEM	VKLAD	2600	32717	\N	\N	\N
807671	2751	1998-03-13	PRIJEM	VKLAD	6700	38734	\N	\N	\N
807672	2751	1998-04-12	PRIJEM	VKLAD	800	37788	\N	\N	\N
807673	2751	1998-05-12	PRIJEM	VKLAD	1200	41929	\N	\N	\N
807674	2751	1998-06-11	PRIJEM	VKLAD	800	45972	\N	\N	\N
807675	2751	1998-07-11	VYDAJ	VYBER	2200	46745	\N	\N	\N
807676	2751	1998-08-10	PRIJEM	VKLAD	1700	46981	\N	\N	\N
807677	2751	1998-09-09	VYDAJ	VYBER	1600	48360	\N	\N	\N
807678	2751	1998-10-09	PRIJEM	VKLAD	2400	53747	\N	\N	\N
807679	2751	1998-11-08	VYDAJ	VYBER	5200	51553	\N	\N	\N
807680	2751	1998-12-08	PRIJEM	VKLAD	200	58050	\N	\N	\N
807725	2752	1996-05-15	PRIJEM	VKLAD	500	1000	\N	\N	\N
807726	2752	1996-08-12	PRIJEM	VKLAD	34937	52044	\N	\N	\N
807727	2752	1996-12-25	PRIJEM	VKLAD	48848	73223	\N	\N	\N
807728	2752	1997-01-10	PRIJEM	VKLAD	38308	108069	\N	\N	\N
807729	2752	1997-02-11	PRIJEM	VKLAD	41803	86762	\N	\N	\N
807730	2752	1998-01-04	PRIJEM	VKLAD	22459	55484	\N	\N	\N
807731	2752	1998-06-29	PRIJEM	VKLAD	39159	61601	\N	\N	\N
807736	2752	1996-05-15	PRIJEM	VKLAD	500	500	\N	\N	\N
807737	2752	1996-06-14	PRIJEM	VKLAD	500	15701	\N	\N	\N
807738	2752	1996-07-17	PRIJEM	VKLAD	500	17039	\N	\N	\N
807739	2752	1996-08-15	PRIJEM	VKLAD	500	36544	\N	\N	\N
807740	2752	1996-09-14	PRIJEM	VKLAD	500	30850	\N	\N	\N
807741	2752	1996-10-13	PRIJEM	VKLAD	500	26775	\N	\N	\N
807742	2752	1996-11-13	PRIJEM	VKLAD	500	26479	\N	\N	\N
807743	2752	1996-12-17	PRIJEM	VKLAD	500	25675	\N	\N	\N
807744	2752	1997-01-14	PRIJEM	VKLAD	500	67469	\N	\N	\N
807745	2752	1997-02-14	PRIJEM	VKLAD	500	87262	\N	\N	\N
807746	2752	1997-03-13	PRIJEM	VKLAD	500	56575	\N	\N	\N
807747	2752	1997-04-15	PRIJEM	VKLAD	500	42346	\N	\N	\N
807748	2752	1997-05-13	PRIJEM	VKLAD	500	39236	\N	\N	\N
807749	2752	1997-06-17	PRIJEM	VKLAD	500	30590	\N	\N	\N
807750	2752	1997-07-16	PRIJEM	VKLAD	500	26403	\N	\N	\N
807751	2752	1997-08-17	PRIJEM	VKLAD	500	28640	\N	\N	\N
807752	2752	1997-09-13	PRIJEM	VKLAD	500	30942	\N	\N	\N
807753	2752	1997-10-17	PRIJEM	VKLAD	500	33253	\N	\N	\N
807754	2752	1997-11-14	PRIJEM	VKLAD	500	34172	\N	\N	\N
807755	2752	1997-12-16	PRIJEM	VKLAD	500	34198	\N	\N	\N
807756	2752	1998-01-17	PRIJEM	VKLAD	500	43284	\N	\N	\N
807757	2752	1998-02-17	PRIJEM	VKLAD	500	36895	\N	\N	\N
807758	2752	1998-03-16	PRIJEM	VKLAD	500	35839	\N	\N	\N
807759	2752	1998-04-15	PRIJEM	VKLAD	500	33681	\N	\N	\N
807760	2752	1998-05-13	PRIJEM	VKLAD	500	33364	\N	\N	\N
807761	2752	1998-06-16	PRIJEM	VKLAD	500	23092	\N	\N	\N
807762	2752	1998-07-14	PRIJEM	VKLAD	500	49399	\N	\N	\N
807763	2752	1998-08-17	PRIJEM	VKLAD	500	45813	\N	\N	\N
807764	2752	1998-09-15	PRIJEM	VKLAD	500	40002	\N	\N	\N
807765	2752	1998-10-16	PRIJEM	VKLAD	500	37714	\N	\N	\N
807766	2752	1998-11-17	PRIJEM	VKLAD	500	40458	\N	\N	\N
807767	2752	1998-12-15	PRIJEM	VKLAD	500	38206	\N	\N	\N
807768	2752	1998-01-18	PRIJEM	VKLAD	1300	44584	\N	\N	\N
807769	2752	1998-02-18	PRIJEM	VKLAD	1300	38195	\N	\N	\N
807770	2752	1998-03-18	PRIJEM	VKLAD	1300	37139	\N	\N	\N
807771	2752	1998-04-18	PRIJEM	VKLAD	1300	34331	\N	\N	\N
807772	2752	1998-05-18	PRIJEM	VKLAD	1300	34664	\N	\N	\N
807773	2752	1998-06-18	PRIJEM	VKLAD	1300	24392	\N	\N	\N
807774	2752	1998-07-18	PRIJEM	VKLAD	1300	50699	\N	\N	\N
807775	2752	1998-08-18	PRIJEM	VKLAD	1300	47113	\N	\N	\N
807776	2752	1998-09-18	PRIJEM	VKLAD	1300	41302	\N	\N	\N
807777	2752	1998-10-18	PRIJEM	VKLAD	1300	37014	\N	\N	\N
807778	2752	1998-11-18	PRIJEM	VKLAD	1300	41758	\N	\N	\N
807779	2752	1998-12-18	PRIJEM	VKLAD	1300	39506	\N	\N	\N
807781	2752	1997-06-03	VYDAJ	VYBER	10300	29090	\N	\N	\N
807782	2752	1998-06-05	VYDAJ	VYBER	9500	22592	\N	\N	\N
807784	2752	1997-06-24	VYDAJ	VYBER	8500	22090	\N	\N	\N
807785	2752	1998-06-02	VYDAJ	VYBER	4600	30192	\N	\N	\N
807787	2752	1997-01-29	VYDAJ	VYBER	2300	62469	\N	\N	\N
807788	2752	1998-01-21	VYDAJ	VYBER	1500	43084	\N	\N	\N
807789	2752	1996-12-23	VYDAJ	VYBER	1300	24375	\N	\N	\N
807790	2752	1997-12-05	VYDAJ	VYBER	1600	32698	\N	\N	\N
807791	2752	1998-12-02	VYDAJ	VYBER	1800	37706	\N	\N	\N
807798	2752	1997-01-08	VYDAJ	VYBER	800	69761	\N	\N	\N
807799	2752	1997-01-05	VYDAJ	VYBER	1450	71911	\N	\N	\N
807800	2752	1997-01-06	VYDAJ	VYBER	500	71411	\N	\N	\N
807801	2752	1997-01-29	VYDAJ	VYBER	1450	64769	\N	\N	\N
807802	2752	1997-01-07	VYDAJ	VYBER	850	70561	\N	\N	\N
807803	2752	1997-01-15	VYDAJ	VYBER	450	67019	\N	\N	\N
807804	2752	1998-01-28	VYDAJ	VYBER	1050	40984	\N	\N	\N
807805	2752	1998-01-06	VYDAJ	VYBER	300	43184	\N	\N	\N
807806	2752	1998-01-04	VYDAJ	VYBER	1200	54284	\N	\N	\N
807807	2752	1998-01-09	VYDAJ	VYBER	400	42784	\N	\N	\N
807808	2752	1998-01-03	VYDAJ	VYBER	1300	33025	\N	\N	\N
807809	2752	1998-01-26	VYDAJ	VYBER	1050	42034	\N	\N	\N
807813	2752	1996-12-09	VYDAJ	VYBER	400	26175	\N	\N	\N
807814	2752	1997-01-22	VYDAJ	VYBER	800	66219	\N	\N	\N
807815	2752	1997-09-03	VYDAJ	VYBER	2300	26442	\N	\N	\N
807816	2752	1997-08-02	VYDAJ	VYBER	1050	25440	\N	\N	\N
807817	2752	1998-10-16	VYDAJ	VYBER	2000	35714	\N	\N	\N
807818	2752	1998-02-10	VYDAJ	VYBER	2150	36395	\N	\N	\N
807819	2752	1998-01-30	VYDAJ	VYBER	1400	39584	\N	\N	\N
807820	2752	1998-06-26	VYDAJ	VYBER	1950	22442	\N	\N	\N
807821	2752	1998-09-10	VYDAJ	VYBER	2100	39502	\N	\N	\N
807822	2752	1998-10-11	VYDAJ	VYBER	2450	37214	\N	\N	\N
807823	2752	1998-04-15	VYDAJ	VYBER	650	33031	\N	\N	\N
807824	2752	1998-10-08	VYDAJ	VYBER	1100	39664	\N	\N	\N
807833	2752	1996-08-31	VYDAJ	VYBER	15	36650	SLUZBY	\N	\N
807834	2752	1996-09-30	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
807835	2752	1996-10-31	VYDAJ	VYBER	15	26879	SLUZBY	\N	\N
807836	2752	1996-11-30	VYDAJ	VYBER	15	26575	SLUZBY	\N	\N
807837	2752	1996-12-31	VYDAJ	VYBER	15	73361	SLUZBY	\N	\N
807838	2752	1997-01-31	VYDAJ	VYBER	15	62759	SLUZBY	\N	\N
807839	2752	1997-02-28	VYDAJ	VYBER	15	87575	SLUZBY	\N	\N
807840	2752	1997-03-31	VYDAJ	VYBER	15	56846	SLUZBY	\N	\N
807841	2752	1997-04-30	VYDAJ	VYBER	15	42536	SLUZBY	\N	\N
807842	2752	1997-05-31	VYDAJ	VYBER	15	39390	SLUZBY	\N	\N
807843	2752	1997-06-30	VYDAJ	VYBER	15	22203	SLUZBY	\N	\N
807844	2752	1997-07-31	VYDAJ	VYBER	15	26490	SLUZBY	\N	\N
807845	2752	1997-08-31	VYDAJ	VYBER	15	28742	SLUZBY	\N	\N
807846	2752	1997-09-30	VYDAJ	VYBER	15	31053	SLUZBY	\N	\N
807847	2752	1997-10-31	VYDAJ	VYBER	15	33372	SLUZBY	\N	\N
807848	2752	1997-11-30	VYDAJ	VYBER	15	34298	SLUZBY	\N	\N
807849	2752	1997-12-31	VYDAJ	VYBER	15	34325	SLUZBY	\N	\N
807850	2752	1998-01-31	VYDAJ	VYBER	15	39745	SLUZBY	\N	\N
807851	2752	1998-02-28	VYDAJ	VYBER	15	38339	SLUZBY	\N	\N
807852	2752	1998-03-31	VYDAJ	VYBER	15	37281	SLUZBY	\N	\N
807853	2752	1998-04-30	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
807854	2752	1998-05-31	VYDAJ	VYBER	15	34792	SLUZBY	\N	\N
807855	2752	1998-06-30	VYDAJ	VYBER	15	61699	SLUZBY	\N	\N
807856	2752	1998-07-31	VYDAJ	VYBER	15	50913	SLUZBY	\N	\N
807857	2752	1998-08-31	VYDAJ	VYBER	15	47302	SLUZBY	\N	\N
807858	2752	1998-09-30	VYDAJ	VYBER	15	41464	SLUZBY	\N	\N
807859	2752	1998-10-31	VYDAJ	VYBER	15	37158	SLUZBY	\N	\N
807860	2752	1998-11-30	VYDAJ	VYBER	15	41906	SLUZBY	\N	\N
807861	2752	1996-06-14	PRIJEM	VKLAD	14200	15201	\N	\N	\N
807862	2752	1996-07-14	PRIJEM	VKLAD	800	16539	\N	\N	\N
807863	2752	1996-08-13	VYDAJ	VYBER	16000	36044	\N	\N	\N
807864	2752	1996-09-12	VYDAJ	VYBER	6300	30350	\N	\N	\N
807865	2752	1996-10-12	VYDAJ	VYBER	4700	26275	\N	\N	\N
807866	2752	1996-11-11	VYDAJ	VYBER	900	25979	\N	\N	\N
807867	2752	1996-12-11	VYDAJ	VYBER	1000	25175	\N	\N	\N
807868	2752	1997-01-10	VYDAJ	VYBER	41100	66969	\N	\N	\N
807869	2752	1997-02-09	VYDAJ	VYBER	17800	44959	\N	\N	\N
807870	2752	1997-03-11	VYDAJ	VYBER	31500	56075	\N	\N	\N
807871	2752	1997-04-10	VYDAJ	VYBER	15000	41846	\N	\N	\N
807872	2752	1997-05-10	VYDAJ	VYBER	3800	38736	\N	\N	\N
807873	2752	1997-06-09	PRIJEM	VKLAD	1000	30090	\N	\N	\N
807874	2752	1997-07-09	PRIJEM	VKLAD	3700	25903	\N	\N	\N
807875	2752	1997-08-08	PRIJEM	VKLAD	2700	28140	\N	\N	\N
807876	2752	1997-09-07	PRIJEM	VKLAD	4000	30442	\N	\N	\N
807877	2752	1997-10-07	PRIJEM	VKLAD	1700	32753	\N	\N	\N
807878	2752	1997-11-06	PRIJEM	VKLAD	300	33672	\N	\N	\N
807879	2752	1997-12-06	PRIJEM	VKLAD	1000	33698	\N	\N	\N
807880	2752	1998-01-05	VYDAJ	VYBER	10800	43484	\N	\N	\N
807881	2752	1998-02-04	VYDAJ	VYBER	1200	38545	\N	\N	\N
807882	2752	1998-03-06	VYDAJ	VYBER	3000	35339	\N	\N	\N
807883	2752	1998-04-05	VYDAJ	VYBER	4100	33181	\N	\N	\N
807884	2752	1998-05-05	VYDAJ	VYBER	1600	32864	\N	\N	\N
807885	2752	1998-06-04	PRIJEM	VKLAD	1900	32092	\N	\N	\N
807886	2752	1998-07-04	VYDAJ	VYBER	12800	48899	\N	\N	\N
807887	2752	1998-08-03	VYDAJ	VYBER	5600	45313	\N	\N	\N
807888	2752	1998-09-02	VYDAJ	VYBER	5700	41602	\N	\N	\N
807889	2752	1998-10-02	VYDAJ	VYBER	700	40764	\N	\N	\N
807890	2752	1998-11-01	PRIJEM	VKLAD	2800	39958	\N	\N	\N
807891	2752	1998-12-01	VYDAJ	VYBER	2400	39506	\N	\N	\N
807924	2753	1996-02-13	PRIJEM	VKLAD	700	700	\N	\N	\N
807927	2753	1996-03-05	PRIJEM	PREVOD Z UCTU	22021	22721	\N	ST	54977714
807928	2753	1996-04-05	PRIJEM	PREVOD Z UCTU	22021	46401	\N	ST	54977714
807929	2753	1996-05-05	PRIJEM	PREVOD Z UCTU	22021	57651	\N	ST	54977714
807930	2753	1996-06-05	PRIJEM	PREVOD Z UCTU	33032	69032	\N	ST	54977714
807931	2753	1996-07-05	PRIJEM	PREVOD Z UCTU	22021	67026	\N	ST	54977714
807932	2753	1996-08-05	PRIJEM	PREVOD Z UCTU	22021	58938	\N	ST	54977714
807933	2753	1996-09-05	PRIJEM	PREVOD Z UCTU	22021	55629	\N	ST	54977714
807934	2753	1996-10-05	PRIJEM	PREVOD Z UCTU	22021	43396	\N	ST	54977714
807935	2753	1996-11-05	PRIJEM	PREVOD Z UCTU	22021	44238	\N	ST	54977714
807936	2753	1996-12-05	PRIJEM	PREVOD Z UCTU	33032	56987	\N	ST	54977714
807937	2753	1997-01-05	PRIJEM	PREVOD Z UCTU	22021	42461	\N	ST	54977714
807938	2753	1997-02-05	PRIJEM	PREVOD Z UCTU	22021	40091	\N	ST	54977714
807939	2753	1997-03-05	PRIJEM	PREVOD Z UCTU	22021	46941	\N	ST	54977714
807940	2753	1997-04-05	PRIJEM	PREVOD Z UCTU	22021	46494	\N	ST	54977714
807941	2753	1997-05-05	PRIJEM	PREVOD Z UCTU	22021	51558	\N	ST	54977714
807942	2753	1997-06-05	PRIJEM	PREVOD Z UCTU	33032	59527	\N	ST	54977714
807943	2753	1997-07-05	PRIJEM	PREVOD Z UCTU	22021	41576	\N	ST	54977714
807944	2753	1997-08-05	PRIJEM	PREVOD Z UCTU	22021	41595	\N	ST	54977714
807945	2753	1997-09-05	PRIJEM	PREVOD Z UCTU	22021	39114	\N	ST	54977714
807946	2753	1997-10-05	PRIJEM	PREVOD Z UCTU	22021	39831	\N	ST	54977714
807947	2753	1997-11-05	PRIJEM	PREVOD Z UCTU	22021	34468	\N	ST	54977714
807948	2753	1997-12-05	PRIJEM	PREVOD Z UCTU	33032	50151	\N	ST	54977714
807949	2753	1998-01-05	PRIJEM	PREVOD Z UCTU	22021	41506	\N	ST	54977714
807950	2753	1998-02-05	PRIJEM	PREVOD Z UCTU	22021	39243	\N	ST	54977714
807951	2753	1998-03-05	PRIJEM	PREVOD Z UCTU	22021	46934	\N	ST	54977714
807952	2753	1998-04-05	PRIJEM	PREVOD Z UCTU	22021	49058	\N	ST	54977714
807953	2753	1998-05-05	PRIJEM	PREVOD Z UCTU	22021	45780	\N	ST	54977714
807954	2753	1998-06-05	PRIJEM	PREVOD Z UCTU	33032	58913	\N	ST	54977714
807955	2753	1998-07-05	PRIJEM	PREVOD Z UCTU	22021	53784	\N	ST	54977714
807956	2753	1998-08-05	PRIJEM	PREVOD Z UCTU	22021	49219	\N	ST	54977714
807957	2753	1998-09-05	PRIJEM	PREVOD Z UCTU	22021	43097	\N	ST	54977714
807958	2753	1998-10-05	PRIJEM	PREVOD Z UCTU	22021	42380	\N	ST	54977714
807959	2753	1998-11-05	PRIJEM	PREVOD Z UCTU	22021	39943	\N	ST	54977714
807960	2753	1998-12-05	PRIJEM	PREVOD Z UCTU	33032	55539	\N	ST	54977714
807967	2753	1996-07-11	VYDAJ	VYBER	2900	57257	\N	\N	0
807968	2753	1996-08-15	VYDAJ	VYBER	1800	33469	\N	\N	0
807969	2753	1996-09-16	VYDAJ	VYBER	3300	29660	\N	\N	0
807970	2753	1996-10-07	VYDAJ	VYBER	3900	39496	\N	\N	0
807971	2753	1996-11-08	VYDAJ	VYBER	3200	34169	\N	\N	0
807972	2753	1996-12-21	VYDAJ	VYBER	2400	32918	\N	\N	0
807973	2753	1997-01-10	VYDAJ	VYBER	2700	25192	\N	\N	0
807974	2753	1997-02-18	VYDAJ	VYBER	2200	24822	\N	\N	0
807975	2753	1997-03-22	VYDAJ	VYBER	2400	26072	\N	\N	0
807976	2753	1997-04-03	VYDAJ	VYBER	1700	24473	\N	\N	0
807977	2753	1997-05-20	VYDAJ	VYBER	3600	26389	\N	\N	0
807978	2753	1997-06-11	VYDAJ	VYBER	1600	31558	\N	\N	0
807979	2753	1997-06-29	VYDAJ	VYBER	3100	19458	\N	\N	0
807980	2753	1997-08-10	VYDAJ	VYBER	3000	19826	\N	\N	0
807981	2753	1997-08-25	VYDAJ	VYBER	2800	17026	\N	\N	0
807982	2753	1997-10-12	VYDAJ	PREVOD NA UCET	2768	14994	UVER	GH	41750717
807983	2753	1997-11-12	VYDAJ	PREVOD NA UCET	2768	24831	UVER	GH	41750717
807984	2753	1997-12-12	VYDAJ	PREVOD NA UCET	2768	27283	UVER	GH	41750717
807985	2753	1998-01-12	VYDAJ	PREVOD NA UCET	2768	19244	UVER	GH	41750717
807986	2753	1998-02-12	VYDAJ	PREVOD NA UCET	2768	29606	UVER	GH	41750717
807987	2753	1998-03-12	VYDAJ	PREVOD NA UCET	2768	37297	UVER	GH	41750717
807988	2753	1998-04-12	VYDAJ	PREVOD NA UCET	2768	39421	UVER	GH	41750717
807989	2753	1998-05-12	VYDAJ	PREVOD NA UCET	2768	36143	UVER	GH	41750717
807990	2753	1998-06-12	VYDAJ	PREVOD NA UCET	2768	49276	UVER	GH	41750717
807991	2753	1998-07-12	VYDAJ	PREVOD NA UCET	2768	44147	UVER	GH	41750717
807992	2753	1998-08-12	VYDAJ	PREVOD NA UCET	2768	39582	UVER	GH	41750717
807993	2753	1998-09-12	VYDAJ	PREVOD NA UCET	2768	33460	UVER	GH	41750717
807994	2753	1998-10-12	VYDAJ	PREVOD NA UCET	2768	29023	UVER	GH	41750717
807995	2753	1998-11-12	VYDAJ	PREVOD NA UCET	2768	30306	UVER	GH	41750717
807996	2753	1998-12-12	VYDAJ	PREVOD NA UCET	2768	45902	UVER	GH	41750717
808003	2753	1996-07-07	VYDAJ	PREVOD NA UCET	6869	60157	SIPO	MN	97449540
808004	2753	1996-08-07	VYDAJ	PREVOD NA UCET	6869	52069	SIPO	MN	97449540
808005	2753	1996-09-07	VYDAJ	PREVOD NA UCET	6869	48760	SIPO	MN	97449540
808006	2753	1996-10-07	VYDAJ	PREVOD NA UCET	6869	32627	SIPO	MN	97449540
808007	2753	1996-11-07	VYDAJ	PREVOD NA UCET	6869	37369	SIPO	MN	97449540
808008	2753	1996-12-07	VYDAJ	PREVOD NA UCET	6869	50118	SIPO	MN	97449540
808009	2753	1997-01-07	VYDAJ	PREVOD NA UCET	6869	35592	SIPO	MN	97449540
808010	2753	1997-02-07	VYDAJ	PREVOD NA UCET	6869	27022	SIPO	MN	97449540
808011	2753	1997-03-07	VYDAJ	PREVOD NA UCET	6869	40072	SIPO	MN	97449540
808012	2753	1997-04-07	VYDAJ	PREVOD NA UCET	6869	39625	SIPO	MN	97449540
808013	2753	1997-05-07	VYDAJ	PREVOD NA UCET	6869	44689	SIPO	MN	97449540
808014	2753	1997-06-07	VYDAJ	PREVOD NA UCET	6869	52658	SIPO	MN	97449540
808015	2753	1997-07-07	VYDAJ	PREVOD NA UCET	6869	34707	SIPO	MN	97449540
808016	2753	1997-08-07	VYDAJ	PREVOD NA UCET	6869	22826	SIPO	MN	97449540
808017	2753	1997-09-07	VYDAJ	PREVOD NA UCET	6869	17745	SIPO	MN	97449540
808018	2753	1997-10-07	VYDAJ	PREVOD NA UCET	6869	17762	SIPO	MN	97449540
808019	2753	1997-11-07	VYDAJ	PREVOD NA UCET	6869	27599	SIPO	MN	97449540
808020	2753	1997-12-07	VYDAJ	PREVOD NA UCET	6869	38451	SIPO	MN	97449540
808021	2753	1998-01-07	VYDAJ	PREVOD NA UCET	6869	31312	SIPO	MN	97449540
808022	2753	1998-02-07	VYDAJ	PREVOD NA UCET	6869	32374	SIPO	MN	97449540
808023	2753	1998-03-07	VYDAJ	PREVOD NA UCET	6869	40065	SIPO	MN	97449540
808024	2753	1998-04-07	VYDAJ	PREVOD NA UCET	6869	42189	SIPO	MN	97449540
808025	2753	1998-05-07	VYDAJ	PREVOD NA UCET	6869	38911	SIPO	MN	97449540
808026	2753	1998-06-07	VYDAJ	PREVOD NA UCET	6869	52044	SIPO	MN	97449540
808027	2753	1998-07-07	VYDAJ	PREVOD NA UCET	6869	46915	SIPO	MN	97449540
808028	2753	1998-08-07	VYDAJ	PREVOD NA UCET	6869	42350	SIPO	MN	97449540
808029	2753	1998-09-07	VYDAJ	PREVOD NA UCET	6869	36228	SIPO	MN	97449540
808030	2753	1998-10-07	VYDAJ	PREVOD NA UCET	6869	31791	SIPO	MN	97449540
808031	2753	1998-11-07	VYDAJ	PREVOD NA UCET	6869	33074	SIPO	MN	97449540
808032	2753	1998-12-07	VYDAJ	PREVOD NA UCET	6869	48670	SIPO	MN	97449540
808036	2753	1997-12-06	VYBER	VYBER	4831	45320	\N	\N	\N
808038	2753	1998-09-04	VYBER	VYBER	5554	21076	\N	\N	\N
808039	2753	1998-01-05	VYBER	VYBER	3325	38181	\N	\N	\N
808040	2753	1998-09-20	VYBER	VYBER	2921	30539	\N	\N	\N
808041	2753	1998-10-06	VYBER	VYBER	3720	38660	\N	\N	\N
808049	2753	1996-12-28	VYDAJ	VYBER	4500	28418	\N	\N	\N
808050	2753	1997-12-08	VYDAJ	VYBER	8400	30051	\N	\N	\N
808051	2753	1998-12-01	VYDAJ	VYBER	4200	22507	\N	\N	\N
808059	2753	1997-01-02	VYDAJ	VYBER	8100	20440	\N	\N	\N
808063	2753	1997-01-11	VYDAJ	VYBER	7200	17992	\N	\N	\N
808068	2753	1998-01-08	VYDAJ	VYBER	1800	29512	\N	\N	\N
808069	2753	1998-01-09	VYDAJ	VYBER	7500	22012	\N	\N	\N
808070	2753	1996-09-18	VYDAJ	VYBER	4200	25460	\N	\N	\N
808072	2753	1996-10-04	VYDAJ	VYBER	4200	21375	\N	\N	\N
808074	2753	1997-12-19	VYDAJ	VYBER	2100	25183	\N	\N	\N
808076	2753	1997-06-19	VYDAJ	VYBER	9000	22558	\N	\N	\N
808080	2753	1998-12-17	VYDAJ	VYBER	6000	32102	\N	\N	\N
808081	2753	1998-10-23	VYDAJ	VYBER	7200	21823	\N	\N	\N
808082	2753	1998-12-16	VYDAJ	VYBER	7800	38102	\N	\N	\N
808083	2753	1998-04-17	VYDAJ	VYBER	7500	31921	\N	\N	\N
808084	2753	1998-07-18	VYDAJ	VYBER	12900	31247	\N	\N	\N
808092	2753	1996-07-31	VYDAJ	VYBER	15	36917	SLUZBY	\N	\N
808093	2753	1996-08-31	VYDAJ	VYBER	15	33608	SLUZBY	\N	\N
808094	2753	1996-09-30	VYDAJ	VYBER	15	25575	SLUZBY	\N	\N
808095	2753	1996-10-31	VYDAJ	VYBER	15	22217	SLUZBY	\N	\N
808096	2753	1996-11-30	VYDAJ	VYBER	15	23955	SLUZBY	\N	\N
808097	2753	1996-12-31	VYDAJ	VYBER	15	28540	SLUZBY	\N	\N
808098	2753	1997-01-31	VYDAJ	VYBER	15	18070	SLUZBY	\N	\N
808099	2753	1997-02-28	VYDAJ	VYBER	15	24920	SLUZBY	\N	\N
808100	2753	1997-03-31	VYDAJ	VYBER	15	26173	SLUZBY	\N	\N
808101	2753	1997-04-30	VYDAJ	VYBER	15	29537	SLUZBY	\N	\N
808102	2753	1997-05-31	VYDAJ	VYBER	15	26495	SLUZBY	\N	\N
808103	2753	1997-06-30	VYDAJ	VYBER	15	19555	SLUZBY	\N	\N
808104	2753	1997-07-31	VYDAJ	VYBER	15	19574	SLUZBY	\N	\N
808105	2753	1997-08-31	VYDAJ	VYBER	15	17093	SLUZBY	\N	\N
808106	2753	1997-09-30	VYDAJ	VYBER	15	17810	SLUZBY	\N	\N
808107	2753	1997-10-31	VYDAJ	VYBER	15	15047	SLUZBY	\N	\N
808108	2753	1997-11-30	VYDAJ	VYBER	15	24919	SLUZBY	\N	\N
808109	2753	1997-12-31	VYDAJ	VYBER	15	25285	SLUZBY	\N	\N
808110	2753	1998-01-31	VYDAJ	VYBER	15	19322	SLUZBY	\N	\N
808111	2753	1998-02-28	VYDAJ	VYBER	15	29713	SLUZBY	\N	\N
808112	2753	1998-03-31	VYDAJ	VYBER	15	37437	SLUZBY	\N	\N
808113	2753	1998-04-30	VYDAJ	VYBER	15	32059	SLUZBY	\N	\N
808114	2753	1998-05-31	VYDAJ	VYBER	15	36281	SLUZBY	\N	\N
808115	2753	1998-06-30	VYDAJ	VYBER	15	49463	SLUZBY	\N	\N
808116	2753	1998-07-31	VYDAJ	VYBER	15	31398	SLUZBY	\N	\N
808117	2753	1998-08-31	VYDAJ	VYBER	15	26630	SLUZBY	\N	\N
808118	2753	1998-09-30	VYDAJ	VYBER	15	30659	SLUZBY	\N	\N
808119	2753	1998-10-31	VYDAJ	VYBER	15	17922	SLUZBY	\N	\N
808120	2753	1998-11-30	VYDAJ	VYBER	15	26707	SLUZBY	\N	\N
808121	2753	1996-03-14	PRIJEM	VKLAD	1600	24321	\N	\N	\N
808122	2753	1996-04-13	VYDAJ	VYBER	10900	35501	\N	\N	\N
808123	2753	1996-05-13	VYDAJ	VYBER	21800	35851	\N	\N	\N
808124	2753	1996-06-12	VYDAJ	VYBER	24200	44832	\N	\N	\N
808125	2753	1996-07-12	VYDAJ	VYBER	20500	36757	\N	\N	\N
808126	2753	1996-08-11	VYDAJ	VYBER	16800	35269	\N	\N	\N
808127	2753	1996-09-10	VYDAJ	VYBER	15800	32960	\N	\N	\N
808128	2753	1996-10-10	VYDAJ	VYBER	10500	22127	\N	\N	\N
808129	2753	1996-11-09	VYDAJ	VYBER	10300	23869	\N	\N	\N
808130	2753	1996-12-09	VYDAJ	VYBER	14800	35318	\N	\N	\N
808131	2753	1997-01-08	VYDAJ	VYBER	7700	27892	\N	\N	\N
808132	2753	1997-02-07	VYDAJ	VYBER	6200	33891	\N	\N	\N
808133	2753	1997-03-09	VYDAJ	VYBER	11600	28472	\N	\N	\N
808134	2753	1997-04-08	VYDAJ	VYBER	10200	29425	\N	\N	\N
808135	2753	1997-05-08	VYDAJ	VYBER	14700	29989	\N	\N	\N
808136	2753	1997-06-07	VYDAJ	VYBER	19500	33158	\N	\N	\N
808137	2753	1997-07-07	VYDAJ	VYBER	15200	19507	\N	\N	\N
808138	2753	1997-08-06	VYDAJ	VYBER	11900	29695	\N	\N	\N
808139	2753	1997-09-05	VYDAJ	VYBER	14500	24614	\N	\N	\N
808140	2753	1997-10-05	VYDAJ	VYBER	15200	24631	\N	\N	\N
808141	2753	1997-11-04	VYDAJ	VYBER	2600	12447	\N	\N	\N
808142	2753	1997-12-04	VYDAJ	VYBER	7800	17119	\N	\N	\N
808143	2753	1998-01-03	VYDAJ	VYBER	5800	19485	\N	\N	\N
808144	2753	1998-02-02	VYDAJ	VYBER	2100	17222	\N	\N	\N
808145	2753	1998-03-04	VYDAJ	VYBER	4800	24913	\N	\N	\N
808146	2753	1998-04-03	VYDAJ	VYBER	10400	27037	\N	\N	\N
808147	2753	1998-05-03	VYDAJ	VYBER	8300	23759	\N	\N	\N
808148	2753	1998-06-02	VYDAJ	VYBER	10400	25881	\N	\N	\N
808149	2753	1998-07-02	VYDAJ	VYBER	17700	31763	\N	\N	\N
808150	2753	1998-08-01	VYDAJ	VYBER	4200	27198	\N	\N	\N
808151	2753	1998-08-31	VYDAJ	VYBER	13100	26644	\N	\N	\N
808152	2753	1998-09-30	VYDAJ	VYBER	10300	20359	\N	\N	\N
808153	2753	1998-10-30	VYDAJ	VYBER	4000	17823	\N	\N	\N
808154	2753	1998-11-29	VYDAJ	VYBER	3700	26606	\N	\N	\N
808189	2754	1996-01-26	PRIJEM	VKLAD	500	500	\N	\N	\N
808191	2754	1996-02-12	PRIJEM	PREVOD Z UCTU	41912	42412	\N	KL	61082714
808192	2754	1996-03-12	PRIJEM	PREVOD Z UCTU	41912	74147	\N	KL	61082714
808193	2754	1996-04-12	PRIJEM	PREVOD Z UCTU	41912	90306	\N	KL	61082714
808194	2754	1996-05-12	PRIJEM	PREVOD Z UCTU	41912	99127	\N	KL	61082714
808195	2754	1996-06-12	PRIJEM	PREVOD Z UCTU	62868	123335	\N	KL	61082714
808196	2754	1996-07-12	PRIJEM	PREVOD Z UCTU	41912	87020	\N	KL	61082714
808197	2754	1996-08-12	PRIJEM	PREVOD Z UCTU	41912	75144	\N	KL	61082714
808198	2754	1996-09-12	PRIJEM	PREVOD Z UCTU	41912	57024	\N	KL	61082714
808199	2754	1996-10-12	PRIJEM	PREVOD Z UCTU	41912	60352	\N	KL	61082714
808200	2754	1996-11-12	PRIJEM	PREVOD Z UCTU	41912	61670	\N	KL	61082714
808201	2754	1996-12-12	PRIJEM	PREVOD Z UCTU	62868	82156	\N	KL	61082714
808202	2754	1997-01-12	PRIJEM	PREVOD Z UCTU	41912	73026	\N	KL	61082714
808203	2754	1997-02-12	PRIJEM	PREVOD Z UCTU	41912	60672	\N	KL	61082714
808204	2754	1997-03-12	PRIJEM	PREVOD Z UCTU	41912	69795	\N	KL	61082714
808205	2754	1997-04-12	PRIJEM	PREVOD Z UCTU	41912	63526	\N	KL	61082714
808206	2754	1997-05-12	PRIJEM	PREVOD Z UCTU	41912	68655	\N	KL	61082714
808207	2754	1997-06-12	PRIJEM	PREVOD Z UCTU	62868	86756	\N	KL	61082714
808208	2754	1997-07-12	PRIJEM	PREVOD Z UCTU	41912	61552	\N	KL	61082714
808209	2754	1997-08-12	PRIJEM	PREVOD Z UCTU	41912	56355	\N	KL	61082714
808210	2754	1997-09-12	PRIJEM	PREVOD Z UCTU	41912	56447	\N	KL	61082714
808211	2754	1997-10-12	PRIJEM	PREVOD Z UCTU	41912	80900	\N	KL	61082714
808212	2754	1997-11-12	PRIJEM	PREVOD Z UCTU	41912	70964	\N	KL	61082714
808213	2754	1997-12-12	PRIJEM	PREVOD Z UCTU	62868	86953	\N	KL	61082714
808214	2754	1998-01-12	PRIJEM	PREVOD Z UCTU	41912	74203	\N	KL	61082714
808215	2754	1998-02-12	PRIJEM	PREVOD Z UCTU	41912	65330	\N	KL	61082714
808216	2754	1998-03-12	PRIJEM	PREVOD Z UCTU	41912	59125	\N	KL	61082714
808217	2754	1998-04-12	PRIJEM	PREVOD Z UCTU	41912	57715	\N	KL	61082714
808218	2754	1998-05-12	PRIJEM	PREVOD Z UCTU	41912	56491	\N	KL	61082714
808219	2754	1998-06-12	PRIJEM	PREVOD Z UCTU	62868	97855	\N	KL	61082714
808220	2754	1998-07-12	PRIJEM	PREVOD Z UCTU	41912	75311	\N	KL	61082714
808221	2754	1998-08-12	PRIJEM	PREVOD Z UCTU	41912	62828	\N	KL	61082714
808222	2754	1998-09-12	PRIJEM	PREVOD Z UCTU	41912	53897	\N	KL	61082714
808223	2754	1998-10-12	PRIJEM	PREVOD Z UCTU	41912	72048	\N	KL	61082714
808224	2754	1998-11-12	PRIJEM	PREVOD Z UCTU	41912	60180	\N	KL	61082714
808225	2754	1998-12-12	PRIJEM	PREVOD Z UCTU	62868	84012	\N	KL	61082714
808231	2754	1996-06-20	VYDAJ	VYBER	6000	85132	\N	\N	0
808232	2754	1996-07-13	VYDAJ	VYBER	6300	80720	\N	\N	0
808233	2754	1996-08-11	VYDAJ	VYBER	9400	33232	\N	\N	0
808234	2754	1996-09-08	VYDAJ	VYBER	8200	30212	\N	\N	0
808235	2754	1996-10-13	VYDAJ	VYBER	9900	50452	\N	\N	0
808236	2754	1996-11-03	VYDAJ	VYBER	4700	22866	\N	\N	0
808237	2754	1996-12-11	VYDAJ	VYBER	7600	19288	\N	\N	0
808238	2754	1996-12-30	VYDAJ	VYBER	5100	34056	\N	\N	0
808239	2754	1997-02-05	VYDAJ	VYBER	5500	21868	\N	\N	0
808240	2754	1997-03-16	VYDAJ	VYBER	7700	62095	\N	\N	0
808241	2754	1997-04-23	VYDAJ	VYBER	4800	29726	\N	\N	0
808242	2754	1997-05-12	VYDAJ	PREVOD NA UCET	6985	61670	UVER	WX	6736475
808243	2754	1997-06-12	VYDAJ	PREVOD NA UCET	6985	79771	UVER	WX	6736475
808244	2754	1997-07-12	VYDAJ	PREVOD NA UCET	6985	54567	UVER	WX	6736475
808245	2754	1997-08-12	VYDAJ	PREVOD NA UCET	6985	49370	UVER	WX	6736475
808246	2754	1997-09-12	VYDAJ	PREVOD NA UCET	6985	49462	UVER	WX	6736475
808247	2754	1997-10-12	VYDAJ	PREVOD NA UCET	6985	73915	UVER	WX	6736475
808248	2754	1997-11-12	VYDAJ	PREVOD NA UCET	6985	63979	UVER	WX	6736475
808249	2754	1997-12-12	VYDAJ	PREVOD NA UCET	6985	79967	UVER	WX	6736475
808250	2754	1998-01-12	VYDAJ	PREVOD NA UCET	6985	67217	UVER	WX	6736475
808251	2754	1998-02-12	VYDAJ	PREVOD NA UCET	6985	58345	UVER	WX	6736475
808252	2754	1998-03-12	VYDAJ	PREVOD NA UCET	6985	52140	UVER	WX	6736475
808253	2754	1998-04-12	VYDAJ	PREVOD NA UCET	6985	50729	UVER	WX	6736475
808254	2754	1998-05-12	VYDAJ	PREVOD NA UCET	6985	49506	UVER	WX	6736475
808255	2754	1998-06-12	VYDAJ	PREVOD NA UCET	6985	90870	UVER	WX	6736475
808256	2754	1998-07-12	VYDAJ	PREVOD NA UCET	6985	68326	UVER	WX	6736475
808257	2754	1998-08-12	VYDAJ	PREVOD NA UCET	6985	55843	UVER	WX	6736475
808258	2754	1998-09-12	VYDAJ	PREVOD NA UCET	6985	46912	UVER	WX	6736475
808259	2754	1998-10-12	VYDAJ	PREVOD NA UCET	6985	65063	UVER	WX	6736475
808260	2754	1998-11-12	VYDAJ	PREVOD NA UCET	6985	53194	UVER	WX	6736475
808261	2754	1998-12-12	VYDAJ	PREVOD NA UCET	6985	77026	UVER	WX	6736475
808268	2754	1996-07-10	VYDAJ	PREVOD NA UCET	2882	45108	SIPO	MN	10118246
808269	2754	1996-08-10	VYDAJ	PREVOD NA UCET	2882	42632	SIPO	MN	10118246
808270	2754	1996-09-10	VYDAJ	PREVOD NA UCET	2882	15112	SIPO	MN	10118246
808271	2754	1996-10-10	VYDAJ	PREVOD NA UCET	2882	18440	SIPO	MN	10118246
808272	2754	1996-11-10	VYDAJ	PREVOD NA UCET	2882	19758	SIPO	MN	10118246
808273	2754	1996-12-10	VYDAJ	PREVOD NA UCET	2882	26888	SIPO	MN	10118246
808274	2754	1997-01-10	VYDAJ	PREVOD NA UCET	2882	31114	SIPO	MN	10118246
808275	2754	1997-02-10	VYDAJ	PREVOD NA UCET	2882	18760	SIPO	MN	10118246
808276	2754	1997-03-10	VYDAJ	PREVOD NA UCET	2882	27883	SIPO	MN	10118246
808277	2754	1997-04-10	VYDAJ	PREVOD NA UCET	2882	21614	SIPO	MN	10118246
808278	2754	1997-05-10	VYDAJ	PREVOD NA UCET	2882	26743	SIPO	MN	10118246
808279	2754	1997-06-10	VYDAJ	PREVOD NA UCET	2882	23888	SIPO	MN	10118246
808280	2754	1997-07-10	VYDAJ	PREVOD NA UCET	2882	19640	SIPO	MN	10118246
808281	2754	1997-08-10	VYDAJ	PREVOD NA UCET	2882	14443	SIPO	MN	10118246
808282	2754	1997-09-10	VYDAJ	PREVOD NA UCET	2882	14535	SIPO	MN	10118246
808283	2754	1997-10-10	VYDAJ	PREVOD NA UCET	2882	38988	SIPO	MN	10118246
808284	2754	1997-11-10	VYDAJ	PREVOD NA UCET	2882	29052	SIPO	MN	10118246
808285	2754	1997-12-10	VYDAJ	PREVOD NA UCET	2882	24085	SIPO	MN	10118246
808286	2754	1998-01-10	VYDAJ	PREVOD NA UCET	2882	32291	SIPO	MN	10118246
808287	2754	1998-02-10	VYDAJ	PREVOD NA UCET	2882	23418	SIPO	MN	10118246
808288	2754	1998-03-10	VYDAJ	PREVOD NA UCET	2882	17213	SIPO	MN	10118246
808289	2754	1998-04-10	VYDAJ	PREVOD NA UCET	2882	15803	SIPO	MN	10118246
808290	2754	1998-05-10	VYDAJ	PREVOD NA UCET	2882	14579	SIPO	MN	10118246
808291	2754	1998-06-10	VYDAJ	PREVOD NA UCET	2882	34987	SIPO	MN	10118246
808292	2754	1998-07-10	VYDAJ	PREVOD NA UCET	2882	33399	SIPO	MN	10118246
808293	2754	1998-08-10	VYDAJ	PREVOD NA UCET	2882	20916	SIPO	MN	10118246
808294	2754	1998-09-10	VYDAJ	PREVOD NA UCET	2882	11985	SIPO	MN	10118246
808295	2754	1998-10-10	VYDAJ	PREVOD NA UCET	2882	30136	SIPO	MN	10118246
808296	2754	1998-11-10	VYDAJ	PREVOD NA UCET	2882	18268	SIPO	MN	10118246
808297	2754	1998-12-10	VYDAJ	PREVOD NA UCET	2882	21144	SIPO	MN	10118246
808304	2754	1996-07-06	VYDAJ	PREVOD NA UCET	226	47990	 	QR	77635740
808305	2754	1996-08-06	VYDAJ	PREVOD NA UCET	226	45514	 	QR	77635740
808306	2754	1996-09-06	VYDAJ	PREVOD NA UCET	226	38412	 	QR	77635740
808307	2754	1996-10-06	VYDAJ	PREVOD NA UCET	226	21322	 	QR	77635740
808308	2754	1996-11-06	VYDAJ	PREVOD NA UCET	226	22640	 	QR	77635740
808309	2754	1996-12-06	VYDAJ	PREVOD NA UCET	226	29770	 	QR	77635740
808310	2754	1997-01-06	VYDAJ	PREVOD NA UCET	226	33996	 	QR	77635740
808311	2754	1997-02-06	VYDAJ	PREVOD NA UCET	226	21642	 	QR	77635740
808312	2754	1997-03-06	VYDAJ	PREVOD NA UCET	226	30765	 	QR	77635740
808313	2754	1997-04-06	VYDAJ	PREVOD NA UCET	226	24496	 	QR	77635740
808314	2754	1997-05-06	VYDAJ	PREVOD NA UCET	226	29625	 	QR	77635740
808315	2754	1997-06-06	VYDAJ	PREVOD NA UCET	226	26770	 	QR	77635740
808316	2754	1997-07-06	VYDAJ	PREVOD NA UCET	226	22522	 	QR	77635740
808317	2754	1997-08-06	VYDAJ	PREVOD NA UCET	226	17325	 	QR	77635740
808318	2754	1997-09-06	VYDAJ	PREVOD NA UCET	226	17417	 	QR	77635740
808319	2754	1997-10-06	VYDAJ	PREVOD NA UCET	226	41870	 	QR	77635740
808320	2754	1997-11-06	VYDAJ	PREVOD NA UCET	226	31934	 	QR	77635740
808321	2754	1997-12-06	VYDAJ	PREVOD NA UCET	226	26967	 	QR	77635740
808322	2754	1998-01-06	VYDAJ	PREVOD NA UCET	226	35173	 	QR	77635740
808323	2754	1998-02-06	VYDAJ	PREVOD NA UCET	226	26300	 	QR	77635740
808324	2754	1998-03-06	VYDAJ	PREVOD NA UCET	226	20095	 	QR	77635740
808325	2754	1998-04-06	VYDAJ	PREVOD NA UCET	226	18685	 	QR	77635740
808326	2754	1998-05-06	VYDAJ	PREVOD NA UCET	226	17461	 	QR	77635740
808327	2754	1998-06-06	VYDAJ	PREVOD NA UCET	226	37869	 	QR	77635740
808328	2754	1998-07-06	VYDAJ	PREVOD NA UCET	226	36281	 	QR	77635740
808329	2754	1998-08-06	VYDAJ	PREVOD NA UCET	226	23798	 	QR	77635740
808330	2754	1998-09-06	VYDAJ	PREVOD NA UCET	226	14867	 	QR	77635740
808331	2754	1998-10-06	VYDAJ	PREVOD NA UCET	226	33018	 	QR	77635740
808332	2754	1998-11-06	VYDAJ	PREVOD NA UCET	226	21150	 	QR	77635740
808333	2754	1998-12-06	VYDAJ	PREVOD NA UCET	226	24026	 	QR	77635740
808335	2754	1996-10-04	VYBER	VYBER	9712	21548	\N	\N	\N
808338	2754	1996-06-20	VYBER	VYBER	4603	91132	\N	\N	\N
808340	2754	1996-09-09	VYBER	VYBER	12218	17994	\N	\N	\N
808342	2754	1997-09-17	VYBER	VYBER	7483	41979	\N	\N	\N
808346	2754	1997-06-26	VYBER	VYBER	10567	22604	\N	\N	\N
808347	2754	1997-03-19	VYBER	VYBER	6002	56093	\N	\N	\N
808350	2754	1998-05-18	VYBER	VYBER	11522	37984	\N	\N	\N
808355	2754	1997-01-20	VYDAJ	VYBER	23700	49326	\N	\N	\N
808357	2754	1996-12-17	VYDAJ	VYBER	4200	77956	\N	\N	\N
808359	2754	1998-12-21	VYDAJ	VYBER	1800	75226	\N	\N	\N
808360	2754	1996-08-12	VYDAJ	VYBER	10500	64644	\N	\N	\N
808362	2754	1996-06-24	VYDAJ	VYBER	11400	73732	\N	\N	\N
808366	2754	1997-06-02	VYDAJ	VYBER	2100	26996	\N	\N	\N
808367	2754	1998-12-06	VYDAJ	VYBER	14400	24252	\N	\N	\N
808368	2754	1998-10-04	VYDAJ	VYBER	13800	33244	\N	\N	\N
808371	2754	1998-12-04	VYDAJ	VYBER	14700	38652	\N	\N	\N
808379	2754	1996-06-30	VYDAJ	VYBER	30	48216	SLUZBY	\N	\N
808380	2754	1996-07-31	VYDAJ	VYBER	30	45740	SLUZBY	\N	\N
808381	2754	1996-08-31	VYDAJ	VYBER	30	38638	SLUZBY	\N	\N
808382	2754	1996-09-30	VYDAJ	VYBER	30	31260	SLUZBY	\N	\N
808383	2754	1996-10-31	VYDAJ	VYBER	30	27566	SLUZBY	\N	\N
808384	2754	1996-11-30	VYDAJ	VYBER	30	29996	SLUZBY	\N	\N
808385	2754	1996-12-31	VYDAJ	VYBER	30	34222	SLUZBY	\N	\N
808386	2754	1997-01-31	VYDAJ	VYBER	30	27368	SLUZBY	\N	\N
808387	2754	1997-02-28	VYDAJ	VYBER	30	30991	SLUZBY	\N	\N
808388	2754	1997-03-31	VYDAJ	VYBER	30	24722	SLUZBY	\N	\N
808389	2754	1997-04-30	VYDAJ	VYBER	30	29851	SLUZBY	\N	\N
808390	2754	1997-05-31	VYDAJ	VYBER	30	29096	SLUZBY	\N	\N
808391	2754	1997-06-30	VYDAJ	VYBER	30	22748	SLUZBY	\N	\N
808392	2754	1997-07-31	VYDAJ	VYBER	30	17551	SLUZBY	\N	\N
808393	2754	1997-08-31	VYDAJ	VYBER	30	17643	SLUZBY	\N	\N
808394	2754	1997-09-30	VYDAJ	VYBER	30	42096	SLUZBY	\N	\N
808395	2754	1997-10-31	VYDAJ	VYBER	30	32160	SLUZBY	\N	\N
808396	2754	1997-11-30	VYDAJ	VYBER	30	27193	SLUZBY	\N	\N
808397	2754	1997-12-31	VYDAJ	VYBER	30	35399	SLUZBY	\N	\N
808398	2754	1998-01-31	VYDAJ	VYBER	30	26526	SLUZBY	\N	\N
808399	2754	1998-02-28	VYDAJ	VYBER	30	20321	SLUZBY	\N	\N
808400	2754	1998-03-31	VYDAJ	VYBER	30	18911	SLUZBY	\N	\N
808401	2754	1998-04-30	VYDAJ	VYBER	30	17687	SLUZBY	\N	\N
808402	2754	1998-05-31	VYDAJ	VYBER	30	38095	SLUZBY	\N	\N
808403	2754	1998-06-30	VYDAJ	VYBER	30	36507	SLUZBY	\N	\N
808404	2754	1998-07-31	VYDAJ	VYBER	30	24024	SLUZBY	\N	\N
808405	2754	1998-08-31	VYDAJ	VYBER	30	15093	SLUZBY	\N	\N
808406	2754	1998-09-30	VYDAJ	VYBER	30	47044	SLUZBY	\N	\N
808407	2754	1998-10-31	VYDAJ	VYBER	30	21376	SLUZBY	\N	\N
808408	2754	1998-11-30	VYDAJ	VYBER	30	53352	SLUZBY	\N	\N
808409	2754	1996-02-25	VYDAJ	VYBER	10200	32212	\N	\N	\N
808410	2754	1996-03-26	VYDAJ	VYBER	25900	48247	\N	\N	\N
808411	2754	1996-04-25	VYDAJ	VYBER	33300	57006	\N	\N	\N
808412	2754	1996-05-25	VYDAJ	VYBER	38900	60227	\N	\N	\N
808413	2754	1996-06-12	VYDAJ	VYBER	27600	95735	\N	\N	\N
808414	2754	1996-06-24	VYDAJ	VYBER	25800	47932	\N	\N	\N
808415	2754	1996-07-24	VYDAJ	VYBER	35200	45520	\N	\N	\N
808416	2754	1996-08-23	VYDAJ	VYBER	26200	38444	\N	\N	\N
808417	2754	1996-09-22	VYDAJ	VYBER	25900	31124	\N	\N	\N
808418	2754	1996-10-22	VYDAJ	VYBER	23000	27452	\N	\N	\N
808419	2754	1996-11-21	VYDAJ	VYBER	31800	29870	\N	\N	\N
808420	2754	1996-12-21	VYDAJ	VYBER	38800	39156	\N	\N	\N
808421	2754	1997-01-20	VYDAJ	VYBER	22100	27226	\N	\N	\N
808422	2754	1997-02-19	VYDAJ	VYBER	29800	30872	\N	\N	\N
808423	2754	1997-03-21	VYDAJ	VYBER	31500	24593	\N	\N	\N
808424	2754	1997-04-20	VYDAJ	VYBER	29000	34526	\N	\N	\N
808425	2754	1997-05-20	VYDAJ	VYBER	32700	28970	\N	\N	\N
808426	2754	1997-06-19	VYDAJ	VYBER	46600	33171	\N	\N	\N
808427	2754	1997-07-19	VYDAJ	VYBER	37100	17467	\N	\N	\N
808428	2754	1997-08-18	VYDAJ	VYBER	31800	17570	\N	\N	\N
808429	2754	1997-10-17	VYDAJ	VYBER	41900	32015	\N	\N	\N
808430	2754	1997-11-16	VYDAJ	VYBER	36900	27079	\N	\N	\N
808431	2754	1997-12-16	VYDAJ	VYBER	44700	35267	\N	\N	\N
808432	2754	1998-01-15	VYDAJ	VYBER	40800	26417	\N	\N	\N
808433	2754	1998-02-14	VYDAJ	VYBER	38100	20245	\N	\N	\N
808434	2754	1998-03-16	VYDAJ	VYBER	33300	18840	\N	\N	\N
808435	2754	1998-04-15	VYDAJ	VYBER	33100	17629	\N	\N	\N
808436	2754	1998-06-14	VYDAJ	VYBER	54500	36370	\N	\N	\N
808437	2754	1998-07-14	VYDAJ	VYBER	44400	23926	\N	\N	\N
808438	2754	1998-08-13	VYDAJ	VYBER	40800	15043	\N	\N	\N
808439	2754	1998-10-12	VYDAJ	VYBER	43900	21163	\N	\N	\N
808475	2755	1995-01-26	PRIJEM	VKLAD	400	400	\N	\N	\N
808477	2755	1995-02-06	PRIJEM	PREVOD Z UCTU	5651	6051	DUCHOD	CD	43067145
808478	2755	1995-03-06	PRIJEM	PREVOD Z UCTU	5651	11702	DUCHOD	CD	43067145
808479	2755	1995-04-06	PRIJEM	PREVOD Z UCTU	5651	17353	DUCHOD	CD	43067145
808480	2755	1995-05-06	PRIJEM	PREVOD Z UCTU	5651	23004	DUCHOD	CD	43067145
808481	2755	1995-06-06	PRIJEM	PREVOD Z UCTU	5651	28655	DUCHOD	CD	43067145
808482	2755	1995-07-06	PRIJEM	PREVOD Z UCTU	5651	25369	DUCHOD	CD	43067145
808483	2755	1995-08-06	PRIJEM	PREVOD Z UCTU	5651	23803	DUCHOD	CD	43067145
808484	2755	1995-09-06	PRIJEM	PREVOD Z UCTU	5651	25753	DUCHOD	CD	43067145
808485	2755	1995-10-06	PRIJEM	PREVOD Z UCTU	5651	23862	DUCHOD	CD	43067145
808486	2755	1995-11-06	PRIJEM	PREVOD Z UCTU	5651	25813	DUCHOD	CD	43067145
808487	2755	1995-12-06	PRIJEM	PREVOD Z UCTU	5651	27771	DUCHOD	CD	43067145
808488	2755	1996-01-06	PRIJEM	PREVOD Z UCTU	5651	27217	DUCHOD	CD	43067145
808489	2755	1996-02-06	PRIJEM	PREVOD Z UCTU	5651	22774	DUCHOD	CD	43067145
808490	2755	1996-03-06	PRIJEM	PREVOD Z UCTU	5651	24720	DUCHOD	CD	43067145
808491	2755	1996-04-06	PRIJEM	PREVOD Z UCTU	5651	25793	DUCHOD	CD	43067145
808492	2755	1996-05-06	PRIJEM	PREVOD Z UCTU	5651	27752	DUCHOD	CD	43067145
808493	2755	1996-06-06	PRIJEM	PREVOD Z UCTU	5651	27402	DUCHOD	CD	43067145
808494	2755	1996-07-06	PRIJEM	PREVOD Z UCTU	5651	29373	DUCHOD	CD	43067145
808495	2755	1996-08-06	PRIJEM	PREVOD Z UCTU	5651	30947	DUCHOD	CD	43067145
808496	2755	1996-09-06	PRIJEM	PREVOD Z UCTU	5651	30043	DUCHOD	CD	43067145
808497	2755	1996-10-06	PRIJEM	PREVOD Z UCTU	5651	32019	DUCHOD	CD	43067145
808498	2755	1996-11-06	PRIJEM	PREVOD Z UCTU	5651	32400	DUCHOD	CD	43067145
808499	2755	1996-12-06	PRIJEM	PREVOD Z UCTU	5651	32986	DUCHOD	CD	43067145
808500	2755	1997-01-06	PRIJEM	PREVOD Z UCTU	5651	34981	DUCHOD	CD	43067145
808501	2755	1997-02-06	PRIJEM	PREVOD Z UCTU	5651	27862	DUCHOD	CD	43067145
808502	2755	1997-03-06	PRIJEM	PREVOD Z UCTU	5651	29829	DUCHOD	CD	43067145
808503	2755	1997-04-06	PRIJEM	PREVOD Z UCTU	5651	31804	DUCHOD	CD	43067145
808504	2755	1997-05-06	PRIJEM	PREVOD Z UCTU	5651	32484	DUCHOD	CD	43067145
808505	2755	1997-06-06	PRIJEM	PREVOD Z UCTU	5651	32020	DUCHOD	CD	43067145
808506	2755	1997-07-06	PRIJEM	PREVOD Z UCTU	5651	27350	DUCHOD	CD	43067145
808507	2755	1997-08-06	PRIJEM	PREVOD Z UCTU	5651	29315	DUCHOD	CD	43067145
808508	2755	1997-09-06	PRIJEM	PREVOD Z UCTU	5651	25754	DUCHOD	CD	43067145
808509	2755	1997-10-06	PRIJEM	PREVOD Z UCTU	5651	24829	DUCHOD	CD	43067145
808510	2755	1997-11-06	PRIJEM	PREVOD Z UCTU	5651	24883	DUCHOD	CD	43067145
808511	2755	1997-12-06	PRIJEM	PREVOD Z UCTU	5651	23031	DUCHOD	CD	43067145
808512	2755	1998-01-06	PRIJEM	PREVOD Z UCTU	5651	20296	DUCHOD	CD	43067145
808513	2755	1998-02-06	PRIJEM	PREVOD Z UCTU	5651	20070	DUCHOD	CD	43067145
808514	2755	1998-03-06	PRIJEM	PREVOD Z UCTU	5651	21124	DUCHOD	CD	43067145
808515	2755	1998-04-06	PRIJEM	PREVOD Z UCTU	5651	20498	DUCHOD	CD	43067145
808516	2755	1998-05-06	PRIJEM	PREVOD Z UCTU	5651	22433	DUCHOD	CD	43067145
808517	2755	1998-06-06	PRIJEM	PREVOD Z UCTU	5651	21737	DUCHOD	CD	43067145
808518	2755	1998-07-06	PRIJEM	PREVOD Z UCTU	5651	23685	DUCHOD	CD	43067145
808519	2755	1998-08-06	PRIJEM	PREVOD Z UCTU	5651	25634	DUCHOD	CD	43067145
808520	2755	1998-09-06	PRIJEM	PREVOD Z UCTU	5651	24885	DUCHOD	CD	43067145
808521	2755	1998-10-06	PRIJEM	PREVOD Z UCTU	5651	26839	DUCHOD	CD	43067145
808522	2755	1998-11-06	PRIJEM	PREVOD Z UCTU	5651	27902	DUCHOD	CD	43067145
808523	2755	1998-12-06	PRIJEM	PREVOD Z UCTU	5651	26714	DUCHOD	CD	43067145
808529	2755	1995-06-13	VYDAJ	PREVOD NA UCET	504	28151	SIPO	MN	81284296
808530	2755	1995-07-13	VYDAJ	PREVOD NA UCET	504	21345	SIPO	MN	81284296
808531	2755	1995-08-13	VYDAJ	PREVOD NA UCET	504	23299	SIPO	MN	81284296
808532	2755	1995-09-13	VYDAJ	PREVOD NA UCET	504	21409	SIPO	MN	81284296
808533	2755	1995-10-13	VYDAJ	PREVOD NA UCET	504	23358	SIPO	MN	81284296
808534	2755	1995-11-13	VYDAJ	PREVOD NA UCET	504	25309	SIPO	MN	81284296
808535	2755	1995-12-13	VYDAJ	PREVOD NA UCET	504	27267	SIPO	MN	81284296
808536	2755	1996-01-13	VYDAJ	PREVOD NA UCET	504	22233	SIPO	MN	81284296
808537	2755	1996-02-13	VYDAJ	PREVOD NA UCET	504	22270	SIPO	MN	81284296
808538	2755	1996-03-13	VYDAJ	PREVOD NA UCET	504	24216	SIPO	MN	81284296
808539	2755	1996-04-13	VYDAJ	PREVOD NA UCET	504	25289	SIPO	MN	81284296
808540	2755	1996-05-13	VYDAJ	PREVOD NA UCET	504	27248	SIPO	MN	81284296
808541	2755	1996-06-13	VYDAJ	PREVOD NA UCET	504	26898	SIPO	MN	81284296
808542	2755	1996-07-13	VYDAJ	PREVOD NA UCET	504	28469	SIPO	MN	81284296
808543	2755	1996-08-13	VYDAJ	PREVOD NA UCET	504	30443	SIPO	MN	81284296
808544	2755	1996-09-13	VYDAJ	PREVOD NA UCET	504	29539	SIPO	MN	81284296
808545	2755	1996-10-13	VYDAJ	PREVOD NA UCET	504	31515	SIPO	MN	81284296
808546	2755	1996-11-13	VYDAJ	PREVOD NA UCET	504	31896	SIPO	MN	81284296
808547	2755	1996-12-13	VYDAJ	PREVOD NA UCET	504	32482	SIPO	MN	81284296
808548	2755	1997-01-13	VYDAJ	PREVOD NA UCET	504	30557	SIPO	MN	81284296
808549	2755	1997-02-13	VYDAJ	PREVOD NA UCET	504	27358	SIPO	MN	81284296
808550	2755	1997-03-13	VYDAJ	PREVOD NA UCET	504	29325	SIPO	MN	81284296
808551	2755	1997-04-13	VYDAJ	PREVOD NA UCET	504	31300	SIPO	MN	81284296
808552	2755	1997-05-13	VYDAJ	PREVOD NA UCET	504	31980	SIPO	MN	81284296
808553	2755	1997-06-13	VYDAJ	PREVOD NA UCET	504	24876	SIPO	MN	81284296
808554	2755	1997-07-13	VYDAJ	PREVOD NA UCET	504	26846	SIPO	MN	81284296
808555	2755	1997-08-13	VYDAJ	PREVOD NA UCET	504	23291	SIPO	MN	81284296
808556	2755	1997-09-13	VYDAJ	PREVOD NA UCET	504	25250	SIPO	MN	81284296
808557	2755	1997-10-13	VYDAJ	PREVOD NA UCET	504	22425	SIPO	MN	81284296
808558	2755	1997-11-13	VYDAJ	PREVOD NA UCET	504	21579	SIPO	MN	81284296
808559	2755	1997-12-13	VYDAJ	PREVOD NA UCET	504	19927	SIPO	MN	81284296
808560	2755	1998-01-13	VYDAJ	PREVOD NA UCET	504	17632	SIPO	MN	81284296
808561	2755	1998-02-13	VYDAJ	PREVOD NA UCET	504	19566	SIPO	MN	81284296
808562	2755	1998-03-13	VYDAJ	PREVOD NA UCET	504	18060	SIPO	MN	81284296
808563	2755	1998-04-13	VYDAJ	PREVOD NA UCET	504	19994	SIPO	MN	81284296
808564	2755	1998-05-13	VYDAJ	PREVOD NA UCET	504	21929	SIPO	MN	81284296
808565	2755	1998-06-13	VYDAJ	PREVOD NA UCET	504	21233	SIPO	MN	81284296
808566	2755	1998-07-13	VYDAJ	PREVOD NA UCET	504	23181	SIPO	MN	81284296
808567	2755	1998-08-13	VYDAJ	PREVOD NA UCET	504	22430	SIPO	MN	81284296
808568	2755	1998-09-13	VYDAJ	PREVOD NA UCET	504	24381	SIPO	MN	81284296
808569	2755	1998-10-13	VYDAJ	PREVOD NA UCET	504	25435	SIPO	MN	81284296
808570	2755	1998-11-13	VYDAJ	PREVOD NA UCET	504	24598	SIPO	MN	81284296
808571	2755	1998-12-13	VYDAJ	PREVOD NA UCET	504	19910	SIPO	MN	81284296
808577	2755	1995-06-14	VYDAJ	PREVOD NA UCET	3263	24888	 	AB	13263649
808578	2755	1995-07-14	VYDAJ	PREVOD NA UCET	3263	18082	 	AB	13263649
808579	2755	1995-08-14	VYDAJ	PREVOD NA UCET	3263	20036	 	AB	13263649
808580	2755	1995-09-14	VYDAJ	PREVOD NA UCET	3263	18146	 	AB	13263649
808581	2755	1995-10-14	VYDAJ	PREVOD NA UCET	3263	20095	 	AB	13263649
808582	2755	1995-11-14	VYDAJ	PREVOD NA UCET	3263	22046	 	AB	13263649
808583	2755	1995-12-14	VYDAJ	PREVOD NA UCET	3263	23404	 	AB	13263649
808584	2755	1996-01-14	VYDAJ	PREVOD NA UCET	3263	18970	 	AB	13263649
808585	2755	1996-02-14	VYDAJ	PREVOD NA UCET	3263	19007	 	AB	13263649
808586	2755	1996-03-14	VYDAJ	PREVOD NA UCET	3263	20953	 	AB	13263649
808587	2755	1996-04-14	VYDAJ	PREVOD NA UCET	3263	22026	 	AB	13263649
808588	2755	1996-05-14	VYDAJ	PREVOD NA UCET	3263	22465	 	AB	13263649
808589	2755	1996-06-14	VYDAJ	PREVOD NA UCET	3263	23635	 	AB	13263649
808590	2755	1996-07-14	VYDAJ	PREVOD NA UCET	3263	25206	 	AB	13263649
808591	2755	1996-08-14	VYDAJ	PREVOD NA UCET	3263	27180	 	AB	13263649
808592	2755	1996-09-14	VYDAJ	PREVOD NA UCET	3263	26276	 	AB	13263649
808593	2755	1996-10-14	VYDAJ	PREVOD NA UCET	3263	28252	 	AB	13263649
808594	2755	1996-11-14	VYDAJ	PREVOD NA UCET	3263	28633	 	AB	13263649
808595	2755	1996-12-14	VYDAJ	PREVOD NA UCET	3263	29219	 	AB	13263649
808596	2755	1997-01-14	VYDAJ	PREVOD NA UCET	3263	27294	 	AB	13263649
808597	2755	1997-02-14	VYDAJ	PREVOD NA UCET	3263	24095	 	AB	13263649
808598	2755	1997-03-14	VYDAJ	PREVOD NA UCET	3263	26062	 	AB	13263649
808599	2755	1997-04-14	VYDAJ	PREVOD NA UCET	3263	28037	 	AB	13263649
808600	2755	1997-05-14	VYDAJ	PREVOD NA UCET	3263	28717	 	AB	13263649
808601	2755	1997-06-14	VYDAJ	PREVOD NA UCET	3263	21613	 	AB	13263649
808602	2755	1997-07-14	VYDAJ	PREVOD NA UCET	3263	23583	 	AB	13263649
808603	2755	1997-08-14	VYDAJ	PREVOD NA UCET	3263	20028	 	AB	13263649
808604	2755	1997-09-14	VYDAJ	PREVOD NA UCET	3263	21987	 	AB	13263649
808605	2755	1997-10-14	VYDAJ	PREVOD NA UCET	3263	19162	 	AB	13263649
808606	2755	1997-11-14	VYDAJ	PREVOD NA UCET	3263	18316	 	AB	13263649
808607	2755	1997-12-14	VYDAJ	PREVOD NA UCET	3263	16664	 	AB	13263649
808608	2755	1998-01-14	VYDAJ	PREVOD NA UCET	3263	14369	 	AB	13263649
808609	2755	1998-02-14	VYDAJ	PREVOD NA UCET	3263	16303	 	AB	13263649
808610	2755	1998-03-14	VYDAJ	PREVOD NA UCET	3263	14797	 	AB	13263649
808611	2755	1998-04-14	VYDAJ	PREVOD NA UCET	3263	16731	 	AB	13263649
808612	2755	1998-05-14	VYDAJ	PREVOD NA UCET	3263	18666	 	AB	13263649
808613	2755	1998-06-14	VYDAJ	PREVOD NA UCET	3263	17970	 	AB	13263649
808614	2755	1998-07-14	VYDAJ	PREVOD NA UCET	3263	19918	 	AB	13263649
808615	2755	1998-08-14	VYDAJ	PREVOD NA UCET	3263	19167	 	AB	13263649
808616	2755	1998-09-14	VYDAJ	PREVOD NA UCET	3263	21118	 	AB	13263649
808617	2755	1998-10-14	VYDAJ	PREVOD NA UCET	3263	22172	 	AB	13263649
808618	2755	1998-11-14	VYDAJ	PREVOD NA UCET	3263	21335	 	AB	13263649
808619	2755	1998-12-14	VYDAJ	PREVOD NA UCET	3263	16647	 	AB	13263649
808620	2755	1995-06-18	VYDAJ	VYBER	4250	20638	\N	\N	\N
808622	2755	1997-06-01	VYDAJ	VYBER	2450	26369	\N	\N	\N
808624	2755	1995-12-14	VYDAJ	VYBER	600	26667	\N	\N	\N
808625	2755	1996-12-02	VYDAJ	VYBER	1400	27335	\N	\N	\N
808626	2755	1997-12-04	VYDAJ	VYBER	1000	17380	\N	\N	\N
808627	2755	1998-12-03	VYDAJ	VYBER	350	21063	\N	\N	\N
808634	2755	1996-01-04	VYDAJ	VYBER	480	23006	\N	\N	\N
808635	2755	1996-01-05	VYDAJ	VYBER	1440	21566	\N	\N	\N
808636	2755	1996-01-12	VYDAJ	VYBER	1280	22737	\N	\N	\N
808637	2755	1996-01-08	VYDAJ	VYBER	1360	25857	\N	\N	\N
808638	2755	1996-01-10	VYDAJ	VYBER	1840	24017	\N	\N	\N
808639	2755	1996-01-14	VYDAJ	VYBER	1920	17050	\N	\N	\N
808640	2755	1997-01-06	VYDAJ	VYBER	640	33461	\N	\N	\N
808641	2755	1997-01-13	VYDAJ	VYBER	1120	31061	\N	\N	\N
808642	2755	1997-01-06	VYDAJ	VYBER	880	34101	\N	\N	\N
808643	2755	1997-01-07	VYDAJ	VYBER	1280	32181	\N	\N	\N
808644	2755	1997-01-25	VYDAJ	VYBER	2320	22114	\N	\N	\N
808645	2755	1997-01-18	VYDAJ	VYBER	960	24434	\N	\N	\N
808648	2755	1998-01-08	VYDAJ	VYBER	2160	18136	\N	\N	\N
808651	2755	1998-01-04	VYDAJ	VYBER	2080	14645	\N	\N	\N
808653	2755	1995-07-04	VYDAJ	VYBER	960	19718	\N	\N	\N
808656	2755	1995-07-12	VYDAJ	VYBER	3520	21849	\N	\N	\N
808657	2755	1995-09-11	VYDAJ	VYBER	3840	21913	\N	\N	\N
808658	2755	1996-05-14	VYDAJ	VYBER	1520	25728	\N	\N	\N
808659	2755	1996-03-29	VYDAJ	VYBER	880	20073	\N	\N	\N
808660	2755	1996-08-27	VYDAJ	VYBER	1440	24300	\N	\N	\N
808661	2755	1996-08-18	VYDAJ	VYBER	1440	25740	\N	\N	\N
808662	2755	1996-07-11	VYDAJ	VYBER	400	28973	\N	\N	\N
808663	2755	1996-06-01	VYDAJ	VYBER	800	21751	\N	\N	\N
808664	2755	1997-06-06	VYDAJ	VYBER	2080	29940	\N	\N	\N
808665	2755	1997-06-08	VYDAJ	VYBER	3120	26820	\N	\N	\N
808666	2755	1997-09-21	VYDAJ	VYBER	2400	19587	\N	\N	\N
808667	2755	1997-10-03	VYDAJ	VYBER	480	19178	\N	\N	\N
808668	2755	1997-06-09	VYDAJ	VYBER	1440	25380	\N	\N	\N
808669	2755	1997-08-11	VYDAJ	VYBER	3120	26195	\N	\N	\N
808670	2755	1998-06-04	VYDAJ	VYBER	2640	16086	\N	\N	\N
808671	2755	1998-02-28	VYDAJ	VYBER	880	15473	\N	\N	\N
808673	2755	1998-03-08	VYDAJ	VYBER	2560	18564	\N	\N	\N
808681	2755	1995-06-30	VYDAJ	VYBER	15	20678	SLUZBY	\N	\N
808682	2755	1995-07-31	VYDAJ	VYBER	15	18152	SLUZBY	\N	\N
808683	2755	1995-08-31	VYDAJ	VYBER	15	20102	SLUZBY	\N	\N
808684	2755	1995-09-30	VYDAJ	VYBER	15	18211	SLUZBY	\N	\N
808685	2755	1995-10-31	VYDAJ	VYBER	15	20162	SLUZBY	\N	\N
808686	2755	1995-11-30	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
808687	2755	1995-12-31	VYDAJ	VYBER	15	23486	SLUZBY	\N	\N
808688	2755	1996-01-31	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
808689	2755	1996-02-29	VYDAJ	VYBER	15	19069	SLUZBY	\N	\N
808690	2755	1996-03-31	VYDAJ	VYBER	15	20142	SLUZBY	\N	\N
808691	2755	1996-04-30	VYDAJ	VYBER	15	22101	SLUZBY	\N	\N
808692	2755	1996-05-31	VYDAJ	VYBER	15	22551	SLUZBY	\N	\N
808693	2755	1996-06-30	VYDAJ	VYBER	15	23722	SLUZBY	\N	\N
808694	2755	1996-07-31	VYDAJ	VYBER	15	25296	SLUZBY	\N	\N
808695	2755	1996-08-31	VYDAJ	VYBER	15	24392	SLUZBY	\N	\N
808696	2755	1996-09-30	VYDAJ	VYBER	15	26368	SLUZBY	\N	\N
808697	2755	1996-10-31	VYDAJ	VYBER	15	26749	SLUZBY	\N	\N
808698	2755	1996-11-30	VYDAJ	VYBER	15	28735	SLUZBY	\N	\N
808699	2755	1996-12-31	VYDAJ	VYBER	15	29330	SLUZBY	\N	\N
808700	2755	1997-01-31	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
808701	2755	1997-02-28	VYDAJ	VYBER	15	24178	SLUZBY	\N	\N
808702	2755	1997-03-31	VYDAJ	VYBER	15	26153	SLUZBY	\N	\N
808703	2755	1997-04-30	VYDAJ	VYBER	15	26833	SLUZBY	\N	\N
808704	2755	1997-05-31	VYDAJ	VYBER	15	28819	SLUZBY	\N	\N
808705	2755	1997-06-30	VYDAJ	VYBER	15	21699	SLUZBY	\N	\N
808706	2755	1997-07-31	VYDAJ	VYBER	15	23664	SLUZBY	\N	\N
808707	2755	1997-08-31	VYDAJ	VYBER	15	20103	SLUZBY	\N	\N
808708	2755	1997-09-30	VYDAJ	VYBER	15	19658	SLUZBY	\N	\N
808709	2755	1997-10-31	VYDAJ	VYBER	15	19232	SLUZBY	\N	\N
808710	2755	1997-11-30	VYDAJ	VYBER	15	18380	SLUZBY	\N	\N
808711	2755	1997-12-31	VYDAJ	VYBER	15	16725	SLUZBY	\N	\N
808712	2755	1998-01-31	VYDAJ	VYBER	15	14419	SLUZBY	\N	\N
808713	2755	1998-02-28	VYDAJ	VYBER	15	16353	SLUZBY	\N	\N
808714	2755	1998-03-31	VYDAJ	VYBER	15	14847	SLUZBY	\N	\N
808715	2755	1998-04-30	VYDAJ	VYBER	15	16782	SLUZBY	\N	\N
808716	2755	1998-05-31	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
808717	2755	1998-06-30	VYDAJ	VYBER	15	18034	SLUZBY	\N	\N
808718	2755	1998-07-31	VYDAJ	VYBER	15	19983	SLUZBY	\N	\N
808719	2755	1998-08-31	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
808720	2755	1998-09-30	VYDAJ	VYBER	15	21188	SLUZBY	\N	\N
808721	2755	1998-10-31	VYDAJ	VYBER	15	22251	SLUZBY	\N	\N
808722	2755	1998-11-30	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
808723	2755	1996-10-17	VYDAJ	VYBER	1600	26652	\N	\N	\N
808724	2755	1997-01-15	VYDAJ	VYBER	1900	25394	\N	\N	\N
808725	2755	1997-04-15	VYDAJ	VYBER	1300	26737	\N	\N	\N
808726	2755	1997-08-13	VYDAJ	VYBER	2400	23795	\N	\N	\N
808727	2755	1997-10-12	VYDAJ	VYBER	1900	22929	\N	\N	\N
808728	2755	1997-11-11	VYDAJ	VYBER	2800	22083	\N	\N	\N
808729	2755	1997-12-11	VYDAJ	VYBER	2600	20431	\N	\N	\N
808730	2755	1998-08-08	VYDAJ	VYBER	2700	22934	\N	\N	\N
808731	2755	1998-10-07	VYDAJ	VYBER	900	25939	\N	\N	\N
808732	2755	1998-11-06	VYDAJ	VYBER	2800	25102	\N	\N	\N
808733	2755	1998-12-06	VYDAJ	VYBER	6300	20414	\N	\N	\N
808777	2756	1997-10-21	PRIJEM	VKLAD	700	700	\N	\N	\N
808788	2756	1997-11-06	PRIJEM	VKLAD	20396	21096	\N	\N	\N
808789	2756	1997-12-06	PRIJEM	VKLAD	30594	54727	\N	\N	\N
808790	2756	1998-01-06	PRIJEM	VKLAD	20396	61851	\N	\N	\N
808791	2756	1998-02-06	PRIJEM	VKLAD	20396	66127	\N	\N	\N
808792	2756	1998-03-06	PRIJEM	VKLAD	20396	63708	\N	\N	\N
808793	2756	1998-04-06	PRIJEM	VKLAD	20396	54367	\N	\N	\N
808794	2756	1998-05-06	PRIJEM	VKLAD	20396	44529	\N	\N	\N
808795	2756	1998-06-06	PRIJEM	VKLAD	30594	45448	\N	\N	\N
808796	2756	1998-07-06	PRIJEM	VKLAD	20396	32244	\N	\N	\N
808797	2756	1998-08-06	PRIJEM	VKLAD	20396	28328	\N	\N	\N
808798	2756	1998-09-06	PRIJEM	VKLAD	20396	33204	\N	\N	\N
808799	2756	1998-10-06	PRIJEM	VKLAD	20396	32588	\N	\N	\N
808800	2756	1998-11-06	PRIJEM	VKLAD	20396	35176	\N	\N	\N
808801	2756	1998-12-06	PRIJEM	VKLAD	30594	43962	\N	\N	\N
808817	2756	1998-04-05	VYDAJ	PREVOD NA UCET	8702	33971	SIPO	YZ	94753807
808818	2756	1998-05-05	VYDAJ	PREVOD NA UCET	8702	24133	SIPO	YZ	94753807
808819	2756	1998-06-05	VYDAJ	PREVOD NA UCET	8702	14854	SIPO	YZ	94753807
808820	2756	1998-07-05	VYDAJ	PREVOD NA UCET	8702	11848	SIPO	YZ	94753807
808821	2756	1998-08-05	VYDAJ	PREVOD NA UCET	8702	7932	SIPO	YZ	94753807
808822	2756	1998-09-05	VYDAJ	PREVOD NA UCET	8702	12808	SIPO	YZ	94753807
808823	2756	1998-10-05	VYDAJ	PREVOD NA UCET	8702	12192	SIPO	YZ	94753807
808824	2756	1998-11-05	VYDAJ	PREVOD NA UCET	8702	14780	SIPO	YZ	94753807
808825	2756	1998-12-05	VYDAJ	PREVOD NA UCET	8702	13368	SIPO	YZ	94753807
808827	2756	1998-06-13	VYDAJ	VYBER	18800	26648	\N	\N	\N
808831	2756	1998-12-17	VYDAJ	VYBER	2600	24462	\N	\N	\N
808849	2756	1998-05-22	VYDAJ	VYBER	3300	23429	\N	\N	\N
808850	2756	1998-08-03	VYDAJ	VYBER	4200	16634	\N	\N	\N
808851	2756	1998-03-24	VYDAJ	VYBER	900	42508	\N	\N	\N
808868	2756	1998-03-31	VYDAJ	VYBER	15	42673	SLUZBY	\N	\N
808869	2756	1998-04-30	VYDAJ	VYBER	15	32835	SLUZBY	\N	\N
808870	2756	1998-05-31	VYDAJ	VYBER	15	23556	SLUZBY	\N	\N
808871	2756	1998-06-30	VYDAJ	VYBER	15	20550	SLUZBY	\N	\N
808872	2756	1998-07-31	VYDAJ	VYBER	15	20834	SLUZBY	\N	\N
808873	2756	1998-08-31	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
808874	2756	1998-09-30	VYDAJ	VYBER	15	20894	SLUZBY	\N	\N
808875	2756	1998-10-31	VYDAJ	VYBER	15	23482	SLUZBY	\N	\N
808876	2756	1998-11-30	VYDAJ	VYBER	15	22070	SLUZBY	\N	\N
808877	2756	1997-11-20	PRIJEM	VKLAD	3000	24096	\N	\N	\N
808878	2756	1997-12-20	VYDAJ	VYBER	13400	41327	\N	\N	\N
808879	2756	1998-01-19	VYDAJ	VYBER	16300	45551	\N	\N	\N
808880	2756	1998-02-18	VYDAJ	VYBER	23000	43127	\N	\N	\N
808881	2756	1998-03-20	VYDAJ	VYBER	20300	43408	\N	\N	\N
808882	2756	1998-04-19	VYDAJ	VYBER	21700	32667	\N	\N	\N
808883	2756	1998-05-19	VYDAJ	VYBER	17800	26729	\N	\N	\N
808884	2756	1998-06-18	VYDAJ	VYBER	6200	20448	\N	\N	\N
808885	2756	1998-07-18	VYDAJ	VYBER	11500	20744	\N	\N	\N
808886	2756	1998-08-17	VYDAJ	VYBER	6900	21428	\N	\N	\N
808887	2756	1998-09-16	VYDAJ	VYBER	12400	20804	\N	\N	\N
808888	2756	1998-10-16	VYDAJ	VYBER	9200	23388	\N	\N	\N
808889	2756	1998-11-15	VYDAJ	VYBER	13200	21976	\N	\N	\N
808890	2756	1998-12-15	VYDAJ	VYBER	16900	27062	\N	\N	\N
808905	2757	1996-05-14	PRIJEM	VKLAD	300	300	\N	\N	\N
808911	2757	1996-06-10	PRIJEM	PREVOD Z UCTU	3116	3416	\N	UV	74053579
808912	2757	1996-07-10	PRIJEM	PREVOD Z UCTU	3116	6532	\N	UV	74053579
808913	2757	1996-08-10	PRIJEM	PREVOD Z UCTU	3116	9648	\N	UV	74053579
808914	2757	1996-09-10	PRIJEM	PREVOD Z UCTU	3116	12764	\N	UV	74053579
808915	2757	1996-10-10	PRIJEM	PREVOD Z UCTU	3116	15880	\N	UV	74053579
808916	2757	1996-11-10	PRIJEM	PREVOD Z UCTU	3116	15956	\N	UV	74053579
808917	2757	1996-12-10	PRIJEM	PREVOD Z UCTU	3116	16018	\N	UV	74053579
808918	2757	1997-01-10	PRIJEM	PREVOD Z UCTU	3116	15420	\N	UV	74053579
808919	2757	1997-02-10	PRIJEM	PREVOD Z UCTU	3116	15687	\N	UV	74053579
808920	2757	1997-03-10	PRIJEM	PREVOD Z UCTU	3116	16767	\N	UV	74053579
808921	2757	1997-04-10	PRIJEM	PREVOD Z UCTU	3116	17857	\N	UV	74053579
808922	2757	1997-05-10	PRIJEM	PREVOD Z UCTU	3116	18315	\N	UV	74053579
808923	2757	1997-06-10	PRIJEM	PREVOD Z UCTU	3116	19411	\N	UV	74053579
808924	2757	1997-07-10	PRIJEM	PREVOD Z UCTU	3116	15977	\N	UV	74053579
808925	2757	1997-08-10	PRIJEM	PREVOD Z UCTU	3116	17058	\N	UV	74053579
808926	2757	1997-09-10	PRIJEM	PREVOD Z UCTU	3116	18144	\N	UV	74053579
808927	2757	1997-10-10	PRIJEM	PREVOD Z UCTU	3116	19240	\N	UV	74053579
808928	2757	1997-11-10	PRIJEM	PREVOD Z UCTU	3116	20130	\N	UV	74053579
808929	2757	1997-12-10	PRIJEM	PREVOD Z UCTU	3116	21234	\N	UV	74053579
808930	2757	1998-01-10	PRIJEM	PREVOD Z UCTU	3116	20538	\N	UV	74053579
808931	2757	1998-02-10	PRIJEM	PREVOD Z UCTU	3116	18637	\N	UV	74053579
808932	2757	1998-03-10	PRIJEM	PREVOD Z UCTU	3116	19731	\N	UV	74053579
808933	2757	1998-04-10	PRIJEM	PREVOD Z UCTU	3116	20833	\N	UV	74053579
808934	2757	1998-05-10	PRIJEM	PREVOD Z UCTU	3116	20702	\N	UV	74053579
808935	2757	1998-06-10	PRIJEM	PREVOD Z UCTU	3116	21809	\N	UV	74053579
808936	2757	1998-07-10	PRIJEM	PREVOD Z UCTU	3116	19190	\N	UV	74053579
809052	2757	1998-08-31	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
808937	2757	1998-08-10	PRIJEM	PREVOD Z UCTU	3116	20284	\N	UV	74053579
808938	2757	1998-09-10	PRIJEM	PREVOD Z UCTU	3116	21383	\N	UV	74053579
808939	2757	1998-10-10	PRIJEM	PREVOD Z UCTU	3116	21765	\N	UV	74053579
808940	2757	1998-11-10	PRIJEM	PREVOD Z UCTU	3116	22870	\N	UV	74053579
808941	2757	1998-12-10	PRIJEM	PREVOD Z UCTU	3116	21187	\N	UV	74053579
808951	2757	1996-10-10	VYDAJ	PREVOD NA UCET	2077	13803	\N	QR	31494546
808952	2757	1996-11-10	VYDAJ	PREVOD NA UCET	2077	13879	\N	QR	31494546
808953	2757	1996-12-10	VYDAJ	PREVOD NA UCET	2077	13941	\N	QR	31494546
808954	2757	1997-01-10	VYDAJ	PREVOD NA UCET	2077	13343	\N	QR	31494546
808955	2757	1997-02-10	VYDAJ	PREVOD NA UCET	2077	13610	\N	QR	31494546
808956	2757	1997-03-10	VYDAJ	PREVOD NA UCET	2077	14690	\N	QR	31494546
808957	2757	1997-04-10	VYDAJ	PREVOD NA UCET	2077	15780	\N	QR	31494546
808958	2757	1997-05-10	VYDAJ	PREVOD NA UCET	2077	16238	\N	QR	31494546
808959	2757	1997-06-10	VYDAJ	PREVOD NA UCET	2077	17334	\N	QR	31494546
808960	2757	1997-07-10	VYDAJ	PREVOD NA UCET	2077	13900	\N	QR	31494546
808961	2757	1997-08-10	VYDAJ	PREVOD NA UCET	2077	14981	\N	QR	31494546
808962	2757	1997-09-10	VYDAJ	PREVOD NA UCET	2077	16067	\N	QR	31494546
808963	2757	1997-10-10	VYDAJ	PREVOD NA UCET	2077	17163	\N	QR	31494546
808964	2757	1997-11-10	VYDAJ	PREVOD NA UCET	2077	18053	\N	QR	31494546
808965	2757	1997-12-10	VYDAJ	PREVOD NA UCET	2077	19157	\N	QR	31494546
808966	2757	1998-01-10	VYDAJ	PREVOD NA UCET	2077	18461	\N	QR	31494546
808967	2757	1998-02-10	VYDAJ	PREVOD NA UCET	2077	16560	\N	QR	31494546
808968	2757	1998-03-10	VYDAJ	PREVOD NA UCET	2077	17654	\N	QR	31494546
808969	2757	1998-04-10	VYDAJ	PREVOD NA UCET	2077	18756	\N	QR	31494546
808970	2757	1998-05-10	VYDAJ	PREVOD NA UCET	2077	18625	\N	QR	31494546
808971	2757	1998-06-10	VYDAJ	PREVOD NA UCET	2077	19732	\N	QR	31494546
808972	2757	1998-07-10	VYDAJ	PREVOD NA UCET	2077	17113	\N	QR	31494546
808973	2757	1998-08-10	VYDAJ	PREVOD NA UCET	2077	18207	\N	QR	31494546
808974	2757	1998-09-10	VYDAJ	PREVOD NA UCET	2077	19306	\N	QR	31494546
808975	2757	1998-10-10	VYDAJ	PREVOD NA UCET	2077	19688	\N	QR	31494546
808976	2757	1998-11-10	VYDAJ	PREVOD NA UCET	2077	20793	\N	QR	31494546
808977	2757	1998-12-10	VYDAJ	PREVOD NA UCET	2077	19110	\N	QR	31494546
808979	2757	1997-06-25	VYDAJ	VYBER	3780	12804	\N	\N	\N
808980	2757	1998-06-19	VYDAJ	VYBER	3240	16492	\N	\N	\N
808981	2757	1996-12-14	VYDAJ	VYBER	210	13731	\N	\N	\N
808982	2757	1997-12-18	VYDAJ	VYBER	540	18617	\N	\N	\N
808983	2757	1998-12-05	VYDAJ	VYBER	480	18071	\N	\N	\N
808991	2757	1997-01-04	VYDAJ	VYBER	390	12664	\N	\N	\N
808993	2757	1997-01-02	VYDAJ	VYBER	720	13054	\N	\N	\N
808994	2757	1997-01-05	VYDAJ	VYBER	360	12304	\N	\N	\N
808995	2757	1997-01-11	VYDAJ	VYBER	810	12533	\N	\N	\N
808996	2757	1998-01-09	VYDAJ	VYBER	690	17422	\N	\N	\N
808997	2757	1998-01-07	VYDAJ	VYBER	570	18112	\N	\N	\N
808998	2757	1998-01-29	VYDAJ	VYBER	510	16781	\N	\N	\N
808999	2757	1998-01-25	VYDAJ	VYBER	180	17291	\N	\N	\N
809000	2757	1998-01-16	VYDAJ	VYBER	810	17651	\N	\N	\N
809001	2757	1998-01-24	VYDAJ	VYBER	180	17471	\N	\N	\N
809004	2757	1996-10-15	VYDAJ	VYBER	300	13503	\N	\N	\N
809007	2757	1996-11-04	VYDAJ	VYBER	690	12840	\N	\N	\N
809009	2757	1996-12-08	VYDAJ	VYBER	1020	12902	\N	\N	\N
809010	2757	1997-11-01	VYDAJ	VYBER	210	17014	\N	\N	\N
809011	2757	1997-06-10	VYDAJ	VYBER	750	16584	\N	\N	\N
809012	2757	1997-04-17	VYDAJ	VYBER	630	15150	\N	\N	\N
809013	2757	1998-11-17	VYDAJ	VYBER	1050	19743	\N	\N	\N
809014	2757	1998-11-29	VYDAJ	VYBER	1260	18483	\N	\N	\N
809015	2757	1998-04-18	VYDAJ	VYBER	1230	17526	\N	\N	\N
809016	2757	1998-02-08	VYDAJ	VYBER	1320	15521	\N	\N	\N
809017	2757	1998-06-21	VYDAJ	VYBER	480	16012	\N	\N	\N
809018	2757	1998-09-18	VYDAJ	VYBER	720	18586	\N	\N	\N
809019	2757	1998-12-13	VYDAJ	VYBER	570	18540	\N	\N	\N
809030	2757	1996-10-31	VYDAJ	VYBER	15	13530	SLUZBY	\N	\N
809031	2757	1996-11-30	VYDAJ	VYBER	15	13922	SLUZBY	\N	\N
809032	2757	1996-12-31	VYDAJ	VYBER	15	13774	SLUZBY	\N	\N
809033	2757	1997-01-31	VYDAJ	VYBER	15	12571	SLUZBY	\N	\N
809034	2757	1997-02-28	VYDAJ	VYBER	15	13651	SLUZBY	\N	\N
809035	2757	1997-03-31	VYDAJ	VYBER	15	14741	SLUZBY	\N	\N
809036	2757	1997-04-30	VYDAJ	VYBER	15	15199	SLUZBY	\N	\N
809037	2757	1997-05-31	VYDAJ	VYBER	15	16295	SLUZBY	\N	\N
809038	2757	1997-06-30	VYDAJ	VYBER	15	12861	SLUZBY	\N	\N
809039	2757	1997-07-31	VYDAJ	VYBER	15	13942	SLUZBY	\N	\N
809040	2757	1997-08-31	VYDAJ	VYBER	15	15028	SLUZBY	\N	\N
809041	2757	1997-09-30	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
809042	2757	1997-10-31	VYDAJ	VYBER	15	17224	SLUZBY	\N	\N
809043	2757	1997-11-30	VYDAJ	VYBER	15	18118	SLUZBY	\N	\N
809044	2757	1997-12-31	VYDAJ	VYBER	15	18682	SLUZBY	\N	\N
809045	2757	1998-01-31	VYDAJ	VYBER	15	16841	SLUZBY	\N	\N
809046	2757	1998-02-28	VYDAJ	VYBER	15	16615	SLUZBY	\N	\N
809047	2757	1998-03-31	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
809048	2757	1998-04-30	VYDAJ	VYBER	15	17586	SLUZBY	\N	\N
809049	2757	1998-05-31	VYDAJ	VYBER	15	18693	SLUZBY	\N	\N
809050	2757	1998-06-30	VYDAJ	VYBER	15	16074	SLUZBY	\N	\N
809051	2757	1998-07-31	VYDAJ	VYBER	15	17168	SLUZBY	\N	\N
809053	2757	1998-09-30	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
809054	2757	1998-10-31	VYDAJ	VYBER	15	19754	SLUZBY	\N	\N
809055	2757	1998-11-30	VYDAJ	VYBER	15	18551	SLUZBY	\N	\N
809083	2758	1993-05-19	PRIJEM	VKLAD	900	900	\N	\N	\N
809089	2758	1993-06-12	PRIJEM	VKLAD	10558	11458	\N	\N	\N
809090	2758	1993-07-12	PRIJEM	VKLAD	7039	24128	\N	\N	\N
809091	2758	1993-08-12	PRIJEM	VKLAD	7039	29849	\N	\N	\N
809092	2758	1993-09-12	PRIJEM	VKLAD	7039	35594	\N	\N	\N
809093	2758	1993-10-12	PRIJEM	VKLAD	7039	36954	\N	\N	\N
809094	2758	1993-11-12	PRIJEM	VKLAD	7039	31494	\N	\N	\N
809095	2758	1993-12-12	PRIJEM	VKLAD	10558	31323	\N	\N	\N
809096	2758	1994-01-12	PRIJEM	VKLAD	7039	24144	\N	\N	\N
809097	2758	1994-02-12	PRIJEM	VKLAD	7039	16941	\N	\N	\N
809098	2758	1994-03-12	PRIJEM	VKLAD	7039	25054	\N	\N	\N
809099	2758	1994-04-12	PRIJEM	VKLAD	7039	27007	\N	\N	\N
809100	2758	1994-05-12	PRIJEM	VKLAD	7039	26241	\N	\N	\N
809101	2758	1994-06-12	PRIJEM	VKLAD	10558	32599	\N	\N	\N
809102	2758	1994-07-12	PRIJEM	VKLAD	7039	22523	\N	\N	\N
809103	2758	1994-08-12	PRIJEM	VKLAD	7039	27615	\N	\N	\N
809104	2758	1994-09-12	PRIJEM	VKLAD	7039	26186	\N	\N	\N
809105	2758	1994-10-12	PRIJEM	VKLAD	7039	31018	\N	\N	\N
809106	2758	1994-11-12	PRIJEM	VKLAD	7039	33072	\N	\N	\N
809107	2758	1994-12-12	PRIJEM	VKLAD	10558	35657	\N	\N	\N
809108	2758	1995-01-12	PRIJEM	VKLAD	7039	22122	\N	\N	\N
809109	2758	1995-02-12	PRIJEM	VKLAD	7039	28954	\N	\N	\N
809110	2758	1995-03-12	PRIJEM	VKLAD	7039	31793	\N	\N	\N
809111	2758	1995-04-12	PRIJEM	VKLAD	7039	31723	\N	\N	\N
809112	2758	1995-05-12	PRIJEM	VKLAD	7039	32409	\N	\N	\N
809113	2758	1995-06-12	PRIJEM	VKLAD	10558	36987	\N	\N	\N
809114	2758	1995-07-12	PRIJEM	VKLAD	7039	29847	\N	\N	\N
809115	2758	1995-08-12	PRIJEM	VKLAD	7039	35996	\N	\N	\N
809116	2758	1995-09-12	PRIJEM	VKLAD	7039	34089	\N	\N	\N
809117	2758	1995-10-12	PRIJEM	VKLAD	7039	37058	\N	\N	\N
809118	2758	1995-11-12	PRIJEM	VKLAD	7039	41437	\N	\N	\N
809119	2758	1995-12-12	PRIJEM	VKLAD	10558	40751	\N	\N	\N
809120	2758	1996-01-12	PRIJEM	VKLAD	7039	37907	\N	\N	\N
809121	2758	1996-02-12	PRIJEM	VKLAD	7039	33682	\N	\N	\N
809122	2758	1996-03-12	PRIJEM	VKLAD	7039	37742	\N	\N	\N
809123	2758	1996-04-12	PRIJEM	VKLAD	7039	37822	\N	\N	\N
809124	2758	1996-05-12	PRIJEM	VKLAD	7039	38004	\N	\N	\N
809125	2758	1996-06-12	PRIJEM	VKLAD	10558	43622	\N	\N	\N
809126	2758	1996-07-12	PRIJEM	VKLAD	7039	40020	\N	\N	\N
809127	2758	1996-08-12	PRIJEM	VKLAD	7039	43311	\N	\N	\N
809128	2758	1996-09-12	PRIJEM	VKLAD	7039	46165	\N	\N	\N
809129	2758	1996-10-12	PRIJEM	VKLAD	7039	45461	\N	\N	\N
809130	2758	1996-11-12	PRIJEM	VKLAD	7039	46078	\N	\N	\N
809131	2758	1996-12-12	PRIJEM	VKLAD	10558	48176	\N	\N	\N
809132	2758	1997-01-12	PRIJEM	VKLAD	7039	38174	\N	\N	\N
809133	2758	1997-02-12	PRIJEM	VKLAD	7039	40418	\N	\N	\N
809134	2758	1997-03-12	PRIJEM	VKLAD	7039	46915	\N	\N	\N
809135	2758	1997-04-12	PRIJEM	VKLAD	7039	50838	\N	\N	\N
809136	2758	1997-05-12	PRIJEM	VKLAD	7039	47214	\N	\N	\N
809137	2758	1997-06-12	PRIJEM	VKLAD	10558	48676	\N	\N	\N
809138	2758	1997-07-12	PRIJEM	VKLAD	7039	52201	\N	\N	\N
809139	2758	1997-08-12	PRIJEM	VKLAD	7039	50035	\N	\N	\N
809140	2758	1997-09-12	PRIJEM	VKLAD	7039	46619	\N	\N	\N
809141	2758	1997-10-12	PRIJEM	VKLAD	7039	42648	\N	\N	\N
809142	2758	1997-11-12	PRIJEM	VKLAD	7039	46153	\N	\N	\N
809143	2758	1997-12-12	PRIJEM	VKLAD	10558	52390	\N	\N	\N
809144	2758	1998-01-12	PRIJEM	VKLAD	7039	51891	\N	\N	\N
809145	2758	1998-02-12	PRIJEM	VKLAD	7039	43637	\N	\N	\N
809146	2758	1998-03-12	PRIJEM	VKLAD	7039	52551	\N	\N	\N
809147	2758	1998-04-12	PRIJEM	VKLAD	7039	58700	\N	\N	\N
809148	2758	1998-05-12	PRIJEM	VKLAD	7039	59487	\N	\N	\N
809149	2758	1998-06-12	PRIJEM	VKLAD	10558	65880	\N	\N	\N
809150	2758	1998-07-12	PRIJEM	VKLAD	7039	37342	\N	\N	\N
809151	2758	1998-08-12	PRIJEM	VKLAD	7039	47056	\N	\N	\N
809152	2758	1998-09-12	PRIJEM	VKLAD	7039	59492	\N	\N	\N
809153	2758	1998-10-12	PRIJEM	VKLAD	7039	64569	\N	\N	\N
809154	2758	1998-11-12	PRIJEM	VKLAD	7039	66662	\N	\N	\N
809155	2758	1998-12-12	PRIJEM	VKLAD	10558	70179	\N	\N	\N
809166	2758	1993-11-05	VYDAJ	PREVOD NA UCET	4692	24455	SIPO	QR	46158099
809167	2758	1993-12-05	VYDAJ	PREVOD NA UCET	4692	20765	SIPO	QR	46158099
809168	2758	1994-01-05	VYDAJ	PREVOD NA UCET	4692	20465	SIPO	QR	46158099
809169	2758	1994-02-05	VYDAJ	PREVOD NA UCET	4692	9902	SIPO	QR	46158099
809170	2758	1994-03-05	VYDAJ	PREVOD NA UCET	4692	18015	SIPO	QR	46158099
809171	2758	1994-04-05	VYDAJ	PREVOD NA UCET	4692	19968	SIPO	QR	46158099
809172	2758	1994-05-05	VYDAJ	PREVOD NA UCET	4692	19202	SIPO	QR	46158099
809173	2758	1994-06-05	VYDAJ	PREVOD NA UCET	4692	22041	SIPO	QR	46158099
809174	2758	1994-07-05	VYDAJ	PREVOD NA UCET	4692	15484	SIPO	QR	46158099
809175	2758	1994-08-05	VYDAJ	PREVOD NA UCET	4692	20576	SIPO	QR	46158099
809176	2758	1994-09-05	VYDAJ	PREVOD NA UCET	4692	15647	SIPO	QR	46158099
809177	2758	1994-10-05	VYDAJ	PREVOD NA UCET	4692	21579	SIPO	QR	46158099
809178	2758	1994-11-05	VYDAJ	PREVOD NA UCET	4692	26433	SIPO	QR	46158099
809179	2758	1994-12-05	VYDAJ	PREVOD NA UCET	4692	28499	SIPO	QR	46158099
809180	2758	1995-01-05	VYDAJ	PREVOD NA UCET	4692	13043	SIPO	QR	46158099
809181	2758	1995-02-05	VYDAJ	PREVOD NA UCET	4692	14615	SIPO	QR	46158099
809182	2758	1995-03-05	VYDAJ	PREVOD NA UCET	4692	24354	SIPO	QR	46158099
809183	2758	1995-04-05	VYDAJ	PREVOD NA UCET	4692	21684	SIPO	QR	46158099
809184	2758	1995-05-05	VYDAJ	PREVOD NA UCET	4692	23170	SIPO	QR	46158099
809185	2758	1995-06-05	VYDAJ	PREVOD NA UCET	4692	23029	SIPO	QR	46158099
809186	2758	1995-07-05	VYDAJ	PREVOD NA UCET	4692	21608	SIPO	QR	46158099
809187	2758	1995-08-05	VYDAJ	PREVOD NA UCET	4692	25257	SIPO	QR	46158099
809188	2758	1995-09-05	VYDAJ	PREVOD NA UCET	4692	27350	SIPO	QR	46158099
809189	2758	1995-10-05	VYDAJ	PREVOD NA UCET	4692	29519	SIPO	QR	46158099
809190	2758	1995-11-05	VYDAJ	PREVOD NA UCET	4692	34398	SIPO	QR	46158099
809191	2758	1995-12-05	VYDAJ	PREVOD NA UCET	4692	34193	SIPO	QR	46158099
809192	2758	1996-01-05	VYDAJ	PREVOD NA UCET	4692	30868	SIPO	QR	46158099
809193	2758	1996-02-05	VYDAJ	PREVOD NA UCET	4692	26643	SIPO	QR	46158099
809194	2758	1996-03-05	VYDAJ	PREVOD NA UCET	4692	30703	SIPO	QR	46158099
809195	2758	1996-04-05	VYDAJ	PREVOD NA UCET	4692	30783	SIPO	QR	46158099
809196	2758	1996-05-05	VYDAJ	PREVOD NA UCET	4692	30965	SIPO	QR	46158099
809197	2758	1996-06-05	VYDAJ	PREVOD NA UCET	4692	33064	SIPO	QR	46158099
809198	2758	1996-07-05	VYDAJ	PREVOD NA UCET	4692	32981	SIPO	QR	46158099
809199	2758	1996-08-05	VYDAJ	PREVOD NA UCET	4692	36272	SIPO	QR	46158099
809200	2758	1996-09-05	VYDAJ	PREVOD NA UCET	4692	39126	SIPO	QR	46158099
809201	2758	1996-10-05	VYDAJ	PREVOD NA UCET	4692	38422	SIPO	QR	46158099
809202	2758	1996-11-05	VYDAJ	PREVOD NA UCET	4692	39039	SIPO	QR	46158099
809203	2758	1996-12-05	VYDAJ	PREVOD NA UCET	4692	37618	SIPO	QR	46158099
809204	2758	1997-01-05	VYDAJ	PREVOD NA UCET	4692	36295	SIPO	QR	46158099
809205	2758	1997-02-05	VYDAJ	PREVOD NA UCET	4692	33379	SIPO	QR	46158099
809206	2758	1997-03-05	VYDAJ	PREVOD NA UCET	4692	39876	SIPO	QR	46158099
809207	2758	1997-04-05	VYDAJ	PREVOD NA UCET	4692	43799	SIPO	QR	46158099
809208	2758	1997-05-05	VYDAJ	PREVOD NA UCET	4692	41135	SIPO	QR	46158099
809209	2758	1997-06-05	VYDAJ	PREVOD NA UCET	4692	38118	SIPO	QR	46158099
809210	2758	1997-07-05	VYDAJ	PREVOD NA UCET	4692	45162	SIPO	QR	46158099
809211	2758	1997-08-05	VYDAJ	PREVOD NA UCET	4692	42996	SIPO	QR	46158099
809212	2758	1997-09-05	VYDAJ	PREVOD NA UCET	4692	39580	SIPO	QR	46158099
809213	2758	1997-10-05	VYDAJ	PREVOD NA UCET	4692	35609	SIPO	QR	46158099
809214	2758	1997-11-05	VYDAJ	PREVOD NA UCET	4692	39114	SIPO	QR	46158099
809215	2758	1997-12-05	VYDAJ	PREVOD NA UCET	4692	41832	SIPO	QR	46158099
809216	2758	1998-01-05	VYDAJ	PREVOD NA UCET	4692	46052	SIPO	QR	46158099
809217	2758	1998-02-05	VYDAJ	PREVOD NA UCET	4692	36598	SIPO	QR	46158099
809218	2758	1998-03-05	VYDAJ	PREVOD NA UCET	4692	45512	SIPO	QR	46158099
809219	2758	1998-04-05	VYDAJ	PREVOD NA UCET	4692	51661	SIPO	QR	46158099
809220	2758	1998-05-05	VYDAJ	PREVOD NA UCET	4692	52448	SIPO	QR	46158099
809221	2758	1998-06-05	VYDAJ	PREVOD NA UCET	4692	55322	SIPO	QR	46158099
809222	2758	1998-07-05	VYDAJ	PREVOD NA UCET	4692	30303	SIPO	QR	46158099
809223	2758	1998-08-05	VYDAJ	PREVOD NA UCET	4692	42897	SIPO	QR	46158099
809224	2758	1998-09-05	VYDAJ	PREVOD NA UCET	4692	52453	SIPO	QR	46158099
809225	2758	1998-10-05	VYDAJ	PREVOD NA UCET	4692	57530	SIPO	QR	46158099
809226	2758	1998-11-05	VYDAJ	PREVOD NA UCET	4692	59623	SIPO	QR	46158099
809227	2758	1998-12-05	VYDAJ	PREVOD NA UCET	4692	59621	SIPO	QR	46158099
809229	2758	1994-06-27	VYDAJ	VYBER	8320	20079	\N	\N	\N
809230	2758	1995-06-21	VYDAJ	VYBER	7200	29787	\N	\N	\N
809233	2758	1998-06-28	VYDAJ	VYBER	27360	34760	\N	\N	\N
809236	2758	1995-01-02	VYDAJ	VYBER	10240	21215	\N	\N	\N
809237	2758	1996-01-27	VYDAJ	VYBER	7040	25107	\N	\N	\N
809238	2758	1997-01-04	VYDAJ	VYBER	9280	40987	\N	\N	\N
809239	2758	1998-01-13	VYDAJ	VYBER	14560	37331	\N	\N	\N
809240	2758	1993-12-03	VYDAJ	VYBER	1440	25457	\N	\N	\N
809241	2758	1994-12-16	VYDAJ	VYBER	4320	31337	\N	\N	\N
809242	2758	1995-12-11	VYDAJ	VYBER	2560	30193	\N	\N	\N
809243	2758	1996-12-02	VYDAJ	VYBER	4640	42310	\N	\N	\N
809244	2758	1997-12-18	VYDAJ	VYBER	800	51590	\N	\N	\N
809245	2758	1998-12-23	VYDAJ	VYBER	3520	67059	\N	\N	\N
809252	2758	1994-01-20	VYDAJ	VYBER	1320	19564	\N	\N	\N
809253	2758	1994-01-27	VYDAJ	VYBER	3240	16324	\N	\N	\N
809254	2758	1994-01-08	VYDAJ	VYBER	3360	17105	\N	\N	\N
809255	2758	1994-01-03	VYDAJ	VYBER	2160	25157	\N	\N	\N
809256	2758	1994-01-28	VYDAJ	VYBER	1800	14524	\N	\N	\N
809257	2758	1994-01-17	VYDAJ	VYBER	1920	21724	\N	\N	\N
809258	2758	1995-01-21	VYDAJ	VYBER	1440	19242	\N	\N	\N
809259	2758	1995-01-03	VYDAJ	VYBER	1320	17735	\N	\N	\N
809261	2758	1995-01-02	VYDAJ	VYBER	2160	19055	\N	\N	\N
809262	2758	1995-01-16	VYDAJ	VYBER	1440	20682	\N	\N	\N
809263	2758	1995-01-11	VYDAJ	VYBER	2760	15083	\N	\N	\N
809264	2758	1996-01-01	VYDAJ	VYBER	3000	35980	\N	\N	\N
809265	2758	1996-01-13	VYDAJ	VYBER	1200	36707	\N	\N	\N
809266	2758	1996-01-24	VYDAJ	VYBER	1920	33227	\N	\N	\N
809267	2758	1996-01-25	VYDAJ	VYBER	1080	32147	\N	\N	\N
809268	2758	1996-01-05	VYDAJ	VYBER	2520	35560	\N	\N	\N
809269	2758	1996-01-22	VYDAJ	VYBER	1560	35147	\N	\N	\N
809270	2758	1997-01-11	VYDAJ	VYBER	3480	31135	\N	\N	\N
809271	2758	1997-01-26	VYDAJ	VYBER	2280	29534	\N	\N	\N
809272	2758	1997-01-17	VYDAJ	VYBER	1440	36734	\N	\N	\N
809273	2758	1997-01-20	VYDAJ	VYBER	3120	31814	\N	\N	\N
809274	2758	1997-01-07	VYDAJ	VYBER	1680	34615	\N	\N	\N
809275	2758	1997-01-18	VYDAJ	VYBER	1800	34934	\N	\N	\N
809276	2758	1998-01-15	VYDAJ	VYBER	2880	34451	\N	\N	\N
809277	2758	1998-01-29	VYDAJ	VYBER	1560	41131	\N	\N	\N
809278	2758	1998-01-03	VYDAJ	VYBER	3240	50744	\N	\N	\N
809279	2758	1998-01-16	VYDAJ	VYBER	720	33731	\N	\N	\N
809280	2758	1998-01-07	VYDAJ	VYBER	1200	44852	\N	\N	\N
809281	2758	1998-01-27	VYDAJ	VYBER	2040	42691	\N	\N	\N
809285	2758	1993-10-31	VYDAJ	VYBER	2520	29162	\N	\N	\N
809288	2758	1994-03-18	VYDAJ	VYBER	2280	24574	\N	\N	\N
809289	2758	1994-08-23	VYDAJ	VYBER	4560	20255	\N	\N	\N
809290	2758	1994-01-18	VYDAJ	VYBER	840	20884	\N	\N	\N
809291	2758	1994-08-02	VYDAJ	VYBER	840	25268	\N	\N	\N
809292	2758	1995-04-14	VYDAJ	VYBER	3960	27763	\N	\N	\N
809293	2758	1995-06-01	VYDAJ	VYBER	4800	27721	\N	\N	\N
809294	2758	1995-08-31	VYDAJ	VYBER	4080	32042	\N	\N	\N
809295	2758	1995-12-09	VYDAJ	VYBER	1440	32753	\N	\N	\N
809296	2758	1995-06-28	VYDAJ	VYBER	3600	26187	\N	\N	\N
809297	2758	1995-03-19	VYDAJ	VYBER	5520	26273	\N	\N	\N
809298	2758	1995-12-27	VYDAJ	VYBER	1920	38831	\N	\N	\N
809299	2758	1996-05-23	VYDAJ	VYBER	2880	35124	\N	\N	\N
809300	2758	1996-08-13	VYDAJ	VYBER	3840	39471	\N	\N	\N
809301	2758	1996-09-23	VYDAJ	VYBER	3120	43045	\N	\N	\N
809302	2758	1996-12-18	VYDAJ	VYBER	2880	45296	\N	\N	\N
809303	2758	1996-06-30	VYDAJ	VYBER	4200	39573	\N	\N	\N
809304	2758	1997-09-23	VYDAJ	VYBER	4920	36539	\N	\N	\N
809305	2758	1997-07-22	VYDAJ	VYBER	5400	46801	\N	\N	\N
809306	2758	1997-07-23	VYDAJ	VYBER	5400	41401	\N	\N	\N
809307	2758	1997-09-18	VYDAJ	VYBER	5160	41459	\N	\N	\N
809308	2758	1997-05-30	VYDAJ	VYBER	5880	42634	\N	\N	\N
809309	2758	1997-08-15	VYDAJ	VYBER	4440	45595	\N	\N	\N
809310	2758	1997-05-10	VYDAJ	VYBER	960	40175	\N	\N	\N
809311	2758	1998-06-27	VYDAJ	VYBER	5160	62120	\N	\N	\N
809312	2758	1998-08-08	VYDAJ	VYBER	2880	40017	\N	\N	\N
809313	2758	1998-04-23	VYDAJ	VYBER	600	56920	\N	\N	\N
809314	2758	1998-04-13	VYDAJ	VYBER	1080	57620	\N	\N	\N
809325	2758	1993-10-31	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
809326	2758	1993-11-30	VYDAJ	VYBER	15	26897	SLUZBY	\N	\N
809327	2758	1993-12-31	VYDAJ	VYBER	15	27317	SLUZBY	\N	\N
809328	2758	1994-01-31	VYDAJ	VYBER	15	14594	SLUZBY	\N	\N
809329	2758	1994-02-28	VYDAJ	VYBER	15	22707	SLUZBY	\N	\N
809330	2758	1994-03-31	VYDAJ	VYBER	15	24660	SLUZBY	\N	\N
809331	2758	1994-04-30	VYDAJ	VYBER	15	23894	SLUZBY	\N	\N
809332	2758	1994-05-31	VYDAJ	VYBER	15	26733	SLUZBY	\N	\N
809333	2758	1994-06-30	VYDAJ	VYBER	15	20176	SLUZBY	\N	\N
809334	2758	1994-07-31	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
809335	2758	1994-08-31	VYDAJ	VYBER	15	20339	SLUZBY	\N	\N
809336	2758	1994-09-30	VYDAJ	VYBER	15	26271	SLUZBY	\N	\N
809337	2758	1994-10-31	VYDAJ	VYBER	15	31125	SLUZBY	\N	\N
809338	2758	1994-11-30	VYDAJ	VYBER	15	33191	SLUZBY	\N	\N
809339	2758	1994-12-31	VYDAJ	VYBER	15	31455	SLUZBY	\N	\N
809340	2758	1995-01-31	VYDAJ	VYBER	15	19307	SLUZBY	\N	\N
809341	2758	1995-02-28	VYDAJ	VYBER	15	29046	SLUZBY	\N	\N
809342	2758	1995-03-31	VYDAJ	VYBER	15	26376	SLUZBY	\N	\N
809343	2758	1995-04-30	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
809344	2758	1995-05-31	VYDAJ	VYBER	15	32521	SLUZBY	\N	\N
809345	2758	1995-06-30	VYDAJ	VYBER	15	26300	SLUZBY	\N	\N
809346	2758	1995-07-31	VYDAJ	VYBER	15	29949	SLUZBY	\N	\N
809347	2758	1995-08-31	VYDAJ	VYBER	15	36122	SLUZBY	\N	\N
809348	2758	1995-09-30	VYDAJ	VYBER	15	34211	SLUZBY	\N	\N
809349	2758	1995-10-31	VYDAJ	VYBER	15	37190	SLUZBY	\N	\N
809350	2758	1995-11-30	VYDAJ	VYBER	15	41585	SLUZBY	\N	\N
809351	2758	1995-12-31	VYDAJ	VYBER	15	38980	SLUZBY	\N	\N
809352	2758	1996-01-31	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
809353	2758	1996-02-29	VYDAJ	VYBER	15	33795	SLUZBY	\N	\N
809354	2758	1996-03-31	VYDAJ	VYBER	15	37875	SLUZBY	\N	\N
809355	2758	1996-04-30	VYDAJ	VYBER	15	37957	SLUZBY	\N	\N
809356	2758	1996-05-31	VYDAJ	VYBER	15	35256	SLUZBY	\N	\N
809357	2758	1996-06-30	VYDAJ	VYBER	15	43773	SLUZBY	\N	\N
809358	2758	1996-07-31	VYDAJ	VYBER	15	40164	SLUZBY	\N	\N
809359	2758	1996-08-31	VYDAJ	VYBER	15	43818	SLUZBY	\N	\N
809360	2758	1996-09-30	VYDAJ	VYBER	15	43114	SLUZBY	\N	\N
809361	2758	1996-10-31	VYDAJ	VYBER	15	43731	SLUZBY	\N	\N
809362	2758	1996-11-30	VYDAJ	VYBER	15	46950	SLUZBY	\N	\N
809363	2758	1996-12-31	VYDAJ	VYBER	15	50267	SLUZBY	\N	\N
809364	2758	1997-01-31	VYDAJ	VYBER	15	38071	SLUZBY	\N	\N
809365	2758	1997-02-28	VYDAJ	VYBER	15	44568	SLUZBY	\N	\N
809366	2758	1997-03-31	VYDAJ	VYBER	15	48491	SLUZBY	\N	\N
809367	2758	1997-04-30	VYDAJ	VYBER	15	45827	SLUZBY	\N	\N
809368	2758	1997-05-31	VYDAJ	VYBER	15	42810	SLUZBY	\N	\N
809369	2758	1997-06-30	VYDAJ	VYBER	15	49854	SLUZBY	\N	\N
809370	2758	1997-07-31	VYDAJ	VYBER	15	47688	SLUZBY	\N	\N
809371	2758	1997-08-31	VYDAJ	VYBER	15	44272	SLUZBY	\N	\N
809372	2758	1997-09-30	VYDAJ	VYBER	15	40301	SLUZBY	\N	\N
809373	2758	1997-10-31	VYDAJ	VYBER	15	43806	SLUZBY	\N	\N
809374	2758	1997-11-30	VYDAJ	VYBER	15	46524	SLUZBY	\N	\N
809375	2758	1997-12-31	VYDAJ	VYBER	15	53984	SLUZBY	\N	\N
809376	2758	1998-01-31	VYDAJ	VYBER	15	41290	SLUZBY	\N	\N
809377	2758	1998-02-28	VYDAJ	VYBER	15	50204	SLUZBY	\N	\N
809378	2758	1998-03-31	VYDAJ	VYBER	15	56353	SLUZBY	\N	\N
809379	2758	1998-04-30	VYDAJ	VYBER	15	57140	SLUZBY	\N	\N
809380	2758	1998-05-31	VYDAJ	VYBER	15	60014	SLUZBY	\N	\N
809381	2758	1998-06-30	VYDAJ	VYBER	15	34995	SLUZBY	\N	\N
809382	2758	1998-07-31	VYDAJ	VYBER	15	47589	SLUZBY	\N	\N
809383	2758	1998-08-31	VYDAJ	VYBER	15	57145	SLUZBY	\N	\N
809384	2758	1998-09-30	VYDAJ	VYBER	15	62222	SLUZBY	\N	\N
809385	2758	1998-10-31	VYDAJ	VYBER	15	64315	SLUZBY	\N	\N
809386	2758	1998-11-30	VYDAJ	VYBER	15	64313	SLUZBY	\N	\N
809387	2758	1993-06-18	PRIJEM	VKLAD	5600	17058	\N	\N	\N
809388	2758	1993-07-18	VYDAJ	VYBER	1400	22728	\N	\N	\N
809389	2758	1993-08-17	VYDAJ	VYBER	1400	28449	\N	\N	\N
809390	2758	1993-09-16	VYDAJ	VYBER	5800	29794	\N	\N	\N
809391	2758	1993-10-16	VYDAJ	VYBER	5400	31554	\N	\N	\N
809392	2758	1993-11-15	VYDAJ	VYBER	4700	26794	\N	\N	\N
809393	2758	1993-12-15	VYDAJ	VYBER	4100	27223	\N	\N	\N
809394	2758	1994-01-14	VYDAJ	VYBER	500	23644	\N	\N	\N
809395	2758	1994-02-13	PRIJEM	VKLAD	5700	22641	\N	\N	\N
809396	2758	1994-03-15	PRIJEM	VKLAD	1800	26854	\N	\N	\N
809397	2758	1994-04-14	VYDAJ	VYBER	3200	23807	\N	\N	\N
809398	2758	1994-05-14	PRIJEM	VKLAD	400	26641	\N	\N	\N
809399	2758	1994-06-13	VYDAJ	VYBER	4200	28399	\N	\N	\N
809400	2758	1994-07-13	PRIJEM	VKLAD	3500	26023	\N	\N	\N
809401	2758	1994-08-12	VYDAJ	VYBER	2800	24815	\N	\N	\N
809402	2758	1994-09-11	PRIJEM	VKLAD	3500	19147	\N	\N	\N
809403	2758	1994-10-11	PRIJEM	VKLAD	2400	23979	\N	\N	\N
809404	2758	1994-11-10	VYDAJ	VYBER	400	26033	\N	\N	\N
809405	2758	1994-12-10	VYDAJ	VYBER	3400	25099	\N	\N	\N
809406	2758	1995-01-09	PRIJEM	VKLAD	4800	17843	\N	\N	\N
809407	2758	1995-02-08	PRIJEM	VKLAD	7300	21915	\N	\N	\N
809408	2758	1995-03-10	PRIJEM	VKLAD	400	24754	\N	\N	\N
809409	2758	1995-04-09	PRIJEM	VKLAD	3000	24684	\N	\N	\N
809410	2758	1995-05-09	PRIJEM	VKLAD	2200	25370	\N	\N	\N
809411	2758	1995-06-08	PRIJEM	VKLAD	3400	26429	\N	\N	\N
809412	2758	1995-07-08	PRIJEM	VKLAD	1200	22808	\N	\N	\N
809413	2758	1995-08-07	PRIJEM	VKLAD	3700	28957	\N	\N	\N
809414	2758	1995-09-06	VYDAJ	VYBER	300	27050	\N	\N	\N
809415	2758	1995-10-06	PRIJEM	VKLAD	500	30019	\N	\N	\N
809416	2758	1995-11-05	PRIJEM	VKLAD	1900	39090	\N	\N	\N
809417	2758	1995-12-05	VYDAJ	VYBER	2700	38885	\N	\N	\N
809418	2758	1996-01-04	PRIJEM	VKLAD	2100	38080	\N	\N	\N
809419	2758	1996-02-03	PRIJEM	VKLAD	6100	31335	\N	\N	\N
809420	2758	1996-03-04	PRIJEM	VKLAD	1600	35395	\N	\N	\N
809421	2758	1996-04-03	VYDAJ	VYBER	2400	35475	\N	\N	\N
809422	2758	1996-05-03	VYDAJ	VYBER	2300	35657	\N	\N	\N
809423	2758	1996-06-02	PRIJEM	VKLAD	2500	37756	\N	\N	\N
809424	2758	1996-07-02	VYDAJ	VYBER	1900	37673	\N	\N	\N
809425	2758	1996-08-01	PRIJEM	VKLAD	800	40964	\N	\N	\N
809426	2758	1996-08-31	PRIJEM	VKLAD	4200	43833	\N	\N	\N
809427	2758	1996-09-30	VYDAJ	VYBER	100	43129	\N	\N	\N
809428	2758	1996-10-30	VYDAJ	VYBER	1900	43561	\N	\N	\N
809429	2758	1996-11-29	PRIJEM	VKLAD	700	46778	\N	\N	\N
809430	2758	1996-12-29	PRIJEM	VKLAD	4800	50096	\N	\N	\N
809431	2758	1997-01-28	PRIJEM	VKLAD	8400	37934	\N	\N	\N
809432	2758	1997-02-27	PRIJEM	VKLAD	4000	44418	\N	\N	\N
809433	2758	1997-03-29	PRIJEM	VKLAD	1400	48315	\N	\N	\N
809434	2758	1997-04-28	VYDAJ	VYBER	5200	45638	\N	\N	\N
809435	2758	1997-05-28	PRIJEM	VKLAD	1300	48514	\N	\N	\N
809436	2758	1997-06-27	PRIJEM	VKLAD	1000	49676	\N	\N	\N
809437	2758	1997-07-27	PRIJEM	VKLAD	6100	47501	\N	\N	\N
809438	2758	1997-08-26	VYDAJ	VYBER	1500	44095	\N	\N	\N
809439	2758	1997-09-25	PRIJEM	VKLAD	3600	40139	\N	\N	\N
809440	2758	1997-10-25	PRIJEM	VKLAD	1000	43648	\N	\N	\N
809441	2758	1997-11-24	PRIJEM	VKLAD	200	46353	\N	\N	\N
809442	2758	1997-12-24	PRIJEM	VKLAD	2200	53790	\N	\N	\N
809443	2758	1998-01-23	PRIJEM	VKLAD	11000	44731	\N	\N	\N
809444	2758	1998-02-22	PRIJEM	VKLAD	6400	50037	\N	\N	\N
809445	2758	1998-03-24	PRIJEM	VKLAD	3600	56151	\N	\N	\N
809446	2758	1998-04-23	VYDAJ	VYBER	100	57520	\N	\N	\N
809447	2758	1998-05-23	PRIJEM	VKLAD	300	59787	\N	\N	\N
809448	2758	1998-06-22	PRIJEM	VKLAD	1400	67280	\N	\N	\N
809449	2758	1998-07-22	PRIJEM	VKLAD	10100	47442	\N	\N	\N
809450	2758	1998-08-21	PRIJEM	VKLAD	9900	56956	\N	\N	\N
809451	2758	1998-09-20	PRIJEM	VKLAD	2500	61992	\N	\N	\N
809452	2758	1998-10-20	VYDAJ	VYBER	500	64069	\N	\N	\N
809453	2758	1998-11-19	VYDAJ	VYBER	2600	64062	\N	\N	\N
809454	2758	1998-12-19	PRIJEM	VKLAD	400	70579	\N	\N	\N
809522	2759	1996-10-23	PRIJEM	VKLAD	900	900	\N	\N	\N
809525	2759	1996-12-28	PRIJEM	VKLAD	24178	71438	\N	\N	\N
809534	2759	1996-12-21	PRIJEM	VKLAD	43693	69160	\N	\N	\N
809548	2759	1996-11-21	PRIJEM	VKLAD	33035	33935	\N	\N	\N
809552	2759	1997-01-24	PRIJEM	VKLAD	40045	83931	\N	\N	\N
809553	2759	1997-10-03	PRIJEM	VKLAD	7224	25139	\N	\N	\N
809554	2759	1997-06-22	PRIJEM	VKLAD	8472	32913	\N	\N	\N
809555	2759	1997-09-07	PRIJEM	VKLAD	11984	26051	\N	\N	\N
809556	2759	1997-12-18	PRIJEM	VKLAD	41579	45138	\N	\N	\N
809557	2759	1998-05-13	PRIJEM	VKLAD	25517	42277	\N	\N	\N
809558	2759	1998-02-04	PRIJEM	VKLAD	48693	73747	\N	\N	\N
809559	2759	1998-07-22	PRIJEM	VKLAD	7990	37142	\N	\N	\N
809560	2759	1998-01-10	PRIJEM	VKLAD	30548	52629	\N	\N	\N
809561	2759	1998-09-07	PRIJEM	VKLAD	21013	109464	\N	\N	\N
809562	2759	1998-11-21	PRIJEM	VKLAD	24727	62136	\N	\N	\N
809563	2759	1998-10-10	PRIJEM	VKLAD	31398	138753	\N	\N	\N
809564	2759	1998-07-15	PRIJEM	VKLAD	8172	65848	\N	\N	\N
809565	2759	1998-02-06	PRIJEM	VKLAD	17251	90998	\N	\N	\N
809566	2759	1998-01-14	PRIJEM	VKLAD	14472	54409	\N	\N	\N
809567	2759	1998-12-09	PRIJEM	VKLAD	16491	73719	\N	\N	\N
809568	2759	1998-07-31	PRIJEM	VKLAD	30500	67642	\N	\N	\N
809569	2759	1998-08-11	PRIJEM	VKLAD	6608	73828	\N	\N	\N
809570	2759	1998-08-11	PRIJEM	VKLAD	39308	113136	\N	\N	\N
809571	2759	1998-09-20	PRIJEM	VKLAD	20684	64956	\N	\N	\N
809572	2759	1998-03-19	PRIJEM	VKLAD	29263	59809	\N	\N	\N
809573	2759	1998-09-07	PRIJEM	VKLAD	49660	88451	\N	\N	\N
809574	2759	1998-10-06	PRIJEM	VKLAD	14442	107355	\N	\N	\N
809575	2759	1998-06-30	PRIJEM	VKLAD	45846	70383	\N	\N	\N
809576	2759	1998-10-23	PRIJEM	VKLAD	21270	74731	\N	\N	\N
809577	2759	1998-09-25	PRIJEM	VKLAD	27691	92647	\N	\N	\N
809578	2759	1998-03-24	PRIJEM	VKLAD	41411	101220	\N	\N	\N
809579	2759	1998-11-03	PRIJEM	VKLAD	15797	63401	\N	\N	\N
809580	2759	1998-08-01	PRIJEM	VKLAD	40909	108755	\N	\N	\N
809599	2759	1997-07-12	VYDAJ	PREVOD NA UCET	12692	20492	SIPO	MN	6377709
809600	2759	1997-08-12	VYDAJ	PREVOD NA UCET	12692	8805	SIPO	MN	6377709
809601	2759	1997-09-12	VYDAJ	PREVOD NA UCET	12692	10959	SIPO	MN	6377709
809602	2759	1997-10-12	VYDAJ	PREVOD NA UCET	12692	12447	SIPO	MN	6377709
809603	2759	1997-11-12	VYDAJ	PREVOD NA UCET	12692	3508	SIPO	MN	6377709
809605	2759	1998-01-12	VYDAJ	PREVOD NA UCET	12692	39937	SIPO	MN	6377709
809606	2759	1998-02-12	VYDAJ	PREVOD NA UCET	12692	78306	SIPO	MN	6377709
809607	2759	1998-03-12	VYDAJ	PREVOD NA UCET	12692	36246	SIPO	MN	6377709
809608	2759	1998-04-12	VYDAJ	PREVOD NA UCET	12692	49838	SIPO	MN	6377709
809609	2759	1998-05-12	VYDAJ	PREVOD NA UCET	12692	16760	SIPO	MN	6377709
809610	2759	1998-06-12	VYDAJ	PREVOD NA UCET	12692	22009	SIPO	MN	6377709
809611	2759	1998-07-12	VYDAJ	PREVOD NA UCET	12692	57676	SIPO	MN	6377709
809612	2759	1998-08-12	VYDAJ	PREVOD NA UCET	12692	50344	SIPO	MN	6377709
809613	2759	1998-09-12	VYDAJ	PREVOD NA UCET	12692	56372	SIPO	MN	6377709
809614	2759	1998-10-12	VYDAJ	PREVOD NA UCET	12692	73961	SIPO	MN	6377709
809615	2759	1998-11-12	VYDAJ	PREVOD NA UCET	12692	37409	SIPO	MN	6377709
809616	2759	1998-12-12	VYDAJ	PREVOD NA UCET	12692	47327	SIPO	MN	6377709
809626	2759	1998-07-16	VYBER	VYBER	16696	29152	\N	\N	\N
809627	2759	1998-11-02	VYBER	VYBER	5371	47604	\N	\N	\N
809628	2759	1998-03-29	VYBER	VYBER	22692	78528	\N	\N	\N
809629	2759	1998-08-10	VYBER	VYBER	21335	67220	\N	\N	\N
809630	2759	1998-04-11	VYBER	VYBER	8436	62530	\N	\N	\N
809631	2759	1998-10-27	VYBER	VYBER	12624	52684	\N	\N	\N
809632	2759	1998-04-15	VYBER	VYBER	17375	32463	\N	\N	\N
809633	2759	1998-11-28	VYBER	VYBER	5131	57005	\N	\N	\N
809634	2759	1998-10-26	VYBER	VYBER	9423	65308	\N	\N	\N
809640	2759	1998-01-08	VYDAJ	VYBER	18600	22081	\N	\N	\N
809642	2759	1997-12-24	VYDAJ	VYBER	1500	43638	\N	\N	\N
809643	2759	1998-12-19	VYDAJ	VYBER	4800	31727	\N	\N	\N
809657	2759	1998-01-22	VYDAJ	VYBER	3600	34809	\N	\N	\N
809658	2759	1998-01-30	VYDAJ	VYBER	4800	28509	\N	\N	\N
809659	2759	1998-01-03	VYDAJ	VYBER	3000	40681	\N	\N	\N
809660	2759	1998-01-30	VYDAJ	VYBER	3600	24909	\N	\N	\N
809661	2759	1998-01-23	VYDAJ	VYBER	1500	33309	\N	\N	\N
809670	2759	1997-09-07	VYDAJ	VYBER	2400	23651	\N	\N	\N
809671	2759	1998-12-15	VYDAJ	VYBER	10800	36527	\N	\N	\N
809673	2759	1998-11-10	VYDAJ	VYBER	7500	55901	\N	\N	\N
809674	2759	1998-04-06	VYDAJ	VYBER	7800	70966	\N	\N	\N
809675	2759	1998-03-01	VYDAJ	VYBER	5100	48938	\N	\N	\N
809694	2759	1997-06-30	VYDAJ	VYBER	15	33184	SLUZBY	\N	\N
809695	2759	1997-07-31	VYDAJ	VYBER	15	21497	SLUZBY	\N	\N
809696	2759	1997-08-31	VYDAJ	VYBER	15	14067	SLUZBY	\N	\N
809697	2759	1997-09-30	VYDAJ	VYBER	15	17915	SLUZBY	\N	\N
809698	2759	1997-10-31	VYDAJ	VYBER	15	16200	SLUZBY	\N	\N
809699	2759	1997-11-30	VYDAJ	VYBER	15	3559	SLUZBY	\N	\N
809700	2759	1997-12-31	VYDAJ	VYBER	15	43681	SLUZBY	\N	\N
809701	2759	1998-01-31	VYDAJ	VYBER	15	25054	SLUZBY	\N	\N
809702	2759	1998-02-28	VYDAJ	VYBER	15	54038	SLUZBY	\N	\N
809703	2759	1998-03-31	VYDAJ	VYBER	15	78766	SLUZBY	\N	\N
809704	2759	1998-04-30	VYDAJ	VYBER	15	29452	SLUZBY	\N	\N
809705	2759	1998-05-31	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
809706	2759	1998-06-30	VYDAJ	VYBER	15	70368	SLUZBY	\N	\N
809707	2759	1998-07-31	VYDAJ	VYBER	15	67846	SLUZBY	\N	\N
809708	2759	1998-08-31	VYDAJ	VYBER	15	38791	SLUZBY	\N	\N
809709	2759	1998-09-30	VYDAJ	VYBER	15	92913	SLUZBY	\N	\N
809710	2759	1998-10-31	VYDAJ	VYBER	15	52975	SLUZBY	\N	\N
809711	2759	1998-11-30	VYDAJ	VYBER	15	57228	SLUZBY	\N	\N
809712	2759	1996-11-22	VYDAJ	VYBER	8500	25435	\N	\N	\N
809713	2759	1996-12-22	VYDAJ	VYBER	21900	47260	\N	\N	\N
809714	2759	1997-01-21	VYDAJ	VYBER	27700	43886	\N	\N	\N
809715	2759	1997-02-20	VYDAJ	VYBER	31000	53242	\N	\N	\N
809716	2759	1997-03-22	VYDAJ	VYBER	17900	35692	\N	\N	\N
809717	2759	1997-04-21	VYDAJ	VYBER	9300	26742	\N	\N	\N
809718	2759	1997-05-21	VYDAJ	VYBER	3700	23391	\N	\N	\N
809719	2759	1997-06-20	PRIJEM	VKLAD	700	24441	\N	\N	\N
809720	2759	1997-07-20	PRIJEM	VKLAD	900	21392	\N	\N	\N
809721	2759	1997-08-19	PRIJEM	VKLAD	5200	14005	\N	\N	\N
809722	2759	1997-09-18	PRIJEM	VKLAD	6900	17859	\N	\N	\N
809723	2759	1997-10-18	PRIJEM	VKLAD	3700	16147	\N	\N	\N
809724	2759	1998-01-16	VYDAJ	VYBER	16000	38409	\N	\N	\N
809725	2759	1998-02-15	VYDAJ	VYBER	24500	53806	\N	\N	\N
809726	2759	1998-03-17	VYDAJ	VYBER	5700	30546	\N	\N	\N
809727	2759	1998-04-16	VYDAJ	VYBER	3200	29263	\N	\N	\N
809728	2759	1998-05-16	VYDAJ	VYBER	7700	34577	\N	\N	\N
809729	2759	1998-06-15	PRIJEM	VKLAD	2400	24409	\N	\N	\N
809730	2759	1998-07-15	VYDAJ	VYBER	20000	45848	\N	\N	\N
809731	2759	1998-08-01	VYDAJ	VYBER	20200	88555	\N	\N	\N
809732	2759	1998-08-11	VYDAJ	VYBER	50100	63036	\N	\N	\N
809733	2759	1998-08-14	VYDAJ	VYBER	11800	38544	\N	\N	\N
809734	2759	1998-09-07	VYDAJ	VYBER	40400	69064	\N	\N	\N
809735	2759	1998-09-13	VYDAJ	VYBER	12100	44272	\N	\N	\N
809736	2759	1998-10-10	VYDAJ	VYBER	52100	86653	\N	\N	\N
809737	2759	1998-10-13	VYDAJ	VYBER	20500	53461	\N	\N	\N
809738	2759	1998-11-12	VYDAJ	VYBER	5800	50101	\N	\N	\N
809739	2759	1998-12-12	VYDAJ	VYBER	13700	60019	\N	\N	\N
809766	2760	1997-03-14	PRIJEM	VKLAD	900	900	\N	\N	\N
809770	2760	1997-04-07	PRIJEM	VKLAD	14920	15820	\N	\N	\N
809771	2760	1997-05-07	PRIJEM	VKLAD	14920	37496	\N	\N	\N
809772	2760	1997-06-07	PRIJEM	VKLAD	22380	56800	\N	\N	\N
809773	2760	1997-07-07	PRIJEM	VKLAD	14920	55379	\N	\N	\N
809774	2760	1997-08-07	PRIJEM	VKLAD	14920	56169	\N	\N	\N
809775	2760	1997-09-07	PRIJEM	VKLAD	14920	51302	\N	\N	\N
809776	2760	1997-10-07	PRIJEM	VKLAD	14920	46021	\N	\N	\N
809777	2760	1997-11-07	PRIJEM	VKLAD	14920	38223	\N	\N	\N
809778	2760	1997-12-07	PRIJEM	VKLAD	22380	44936	\N	\N	\N
809779	2760	1998-01-07	PRIJEM	VKLAD	14920	49591	\N	\N	\N
809780	2760	1998-02-07	PRIJEM	VKLAD	14920	35238	\N	\N	\N
809781	2760	1998-03-07	PRIJEM	VKLAD	14920	34048	\N	\N	\N
809782	2760	1998-04-07	PRIJEM	VKLAD	14920	44383	\N	\N	\N
809783	2760	1998-05-07	PRIJEM	VKLAD	14920	45891	\N	\N	\N
809784	2760	1998-06-07	PRIJEM	VKLAD	22380	41676	\N	\N	\N
809785	2760	1998-07-07	PRIJEM	VKLAD	14920	42470	\N	\N	\N
809786	2760	1998-08-07	PRIJEM	VKLAD	14920	53376	\N	\N	\N
809787	2760	1998-09-07	PRIJEM	VKLAD	14920	59427	\N	\N	\N
809788	2760	1998-10-07	PRIJEM	VKLAD	14920	59909	\N	\N	\N
809789	2760	1998-11-07	PRIJEM	VKLAD	14920	59096	\N	\N	\N
809790	2760	1998-12-07	PRIJEM	VKLAD	22380	68441	\N	\N	\N
809798	2760	1997-08-09	VYDAJ	PREVOD NA UCET	5369	50800	SIPO	OP	87346362
809799	2760	1997-09-09	VYDAJ	PREVOD NA UCET	5369	45933	SIPO	OP	87346362
809800	2760	1997-10-09	VYDAJ	PREVOD NA UCET	5369	40652	SIPO	OP	87346362
809801	2760	1997-11-09	VYDAJ	PREVOD NA UCET	5369	30954	SIPO	OP	87346362
809802	2760	1997-12-09	VYDAJ	PREVOD NA UCET	5369	40067	SIPO	OP	87346362
809803	2760	1998-01-09	VYDAJ	PREVOD NA UCET	5369	34902	SIPO	OP	87346362
809804	2760	1998-02-09	VYDAJ	PREVOD NA UCET	5369	29869	SIPO	OP	87346362
809805	2760	1998-03-09	VYDAJ	PREVOD NA UCET	5369	34879	SIPO	OP	87346362
809806	2760	1998-04-09	VYDAJ	PREVOD NA UCET	5369	35314	SIPO	OP	87346362
809807	2760	1998-05-09	VYDAJ	PREVOD NA UCET	5369	37322	SIPO	OP	87346362
809808	2760	1998-06-09	VYDAJ	PREVOD NA UCET	5369	31907	SIPO	OP	87346362
809809	2760	1998-07-09	VYDAJ	PREVOD NA UCET	5369	35301	SIPO	OP	87346362
809810	2760	1998-08-09	VYDAJ	PREVOD NA UCET	5369	48007	SIPO	OP	87346362
809811	2760	1998-09-09	VYDAJ	PREVOD NA UCET	5369	54058	SIPO	OP	87346362
809812	2760	1998-10-09	VYDAJ	PREVOD NA UCET	5369	54540	SIPO	OP	87346362
809813	2760	1998-11-09	VYDAJ	PREVOD NA UCET	5369	53727	SIPO	OP	87346362
809814	2760	1998-12-09	VYDAJ	PREVOD NA UCET	5369	63072	SIPO	OP	87346362
809823	2760	1997-09-06	VYDAJ	PREVOD NA UCET	4476	36382	 	IJ	9268027
809824	2760	1997-10-06	VYDAJ	PREVOD NA UCET	4476	31101	 	IJ	9268027
809825	2760	1997-11-06	VYDAJ	PREVOD NA UCET	4476	23303	 	IJ	9268027
809826	2760	1997-12-06	VYDAJ	PREVOD NA UCET	4476	22556	 	IJ	9268027
809827	2760	1998-01-06	VYDAJ	PREVOD NA UCET	4476	34671	 	IJ	9268027
809828	2760	1998-02-06	VYDAJ	PREVOD NA UCET	4476	11718	 	IJ	9268027
809829	2760	1998-03-06	VYDAJ	PREVOD NA UCET	4476	19128	 	IJ	9268027
809830	2760	1998-04-06	VYDAJ	PREVOD NA UCET	4476	29463	 	IJ	9268027
809831	2760	1998-05-06	VYDAJ	PREVOD NA UCET	4476	30971	 	IJ	9268027
809832	2760	1998-06-06	VYDAJ	PREVOD NA UCET	4476	19296	 	IJ	9268027
809833	2760	1998-07-06	VYDAJ	PREVOD NA UCET	4476	27550	 	IJ	9268027
809834	2760	1998-08-06	VYDAJ	PREVOD NA UCET	4476	38456	 	IJ	9268027
809835	2760	1998-09-06	VYDAJ	PREVOD NA UCET	4476	44507	 	IJ	9268027
809836	2760	1998-10-06	VYDAJ	PREVOD NA UCET	4476	44989	 	IJ	9268027
809837	2760	1998-11-06	VYDAJ	PREVOD NA UCET	4476	44176	 	IJ	9268027
809838	2760	1998-12-06	VYDAJ	PREVOD NA UCET	4476	46061	 	IJ	9268027
809840	2760	1998-06-01	VYDAJ	VYBER	9120	23772	\N	\N	\N
809842	2760	1998-01-11	VYDAJ	VYBER	13760	21142	\N	\N	\N
809843	2760	1997-12-02	VYDAJ	VYBER	2720	27032	\N	\N	\N
809844	2760	1998-12-21	VYDAJ	VYBER KARTOU	2400	60672	\N	\N	0
809851	2760	1998-01-09	VYDAJ	VYBER	1080	40271	\N	\N	\N
809852	2760	1998-01-24	VYDAJ	VYBER	960	16102	\N	\N	\N
809853	2760	1998-01-03	VYDAJ	VYBER	1080	39147	\N	\N	\N
809854	2760	1998-01-21	VYDAJ	VYBER	2040	17062	\N	\N	\N
809855	2760	1998-01-08	VYDAJ	VYBER	3240	46351	\N	\N	\N
809856	2760	1998-01-15	VYDAJ	VYBER	2040	19102	\N	\N	\N
809860	2760	1997-11-29	VYDAJ	VYBER	1320	29634	\N	\N	\N
809861	2760	1997-10-31	VYDAJ	VYBER	4800	27779	\N	\N	\N
809862	2760	1998-02-15	VYDAJ	VYBER	1680	28189	\N	\N	\N
809863	2760	1998-06-08	VYDAJ	VYBER	3600	37276	\N	\N	\N
809864	2760	1998-05-13	VYDAJ	VYBER	4560	32762	\N	\N	\N
809865	2760	1998-03-03	VYDAJ	VYBER	4680	23604	\N	\N	\N
809866	2760	1998-04-02	VYDAJ	VYBER	1080	33939	\N	\N	\N
809875	2760	1997-08-31	VYDAJ	VYBER	15	40858	SLUZBY	\N	\N
809876	2760	1997-09-30	VYDAJ	VYBER	15	35577	SLUZBY	\N	\N
809877	2760	1997-10-31	VYDAJ	VYBER	15	32579	SLUZBY	\N	\N
809878	2760	1997-11-30	VYDAJ	VYBER	15	29752	SLUZBY	\N	\N
809879	2760	1997-12-31	VYDAJ	VYBER	15	40227	SLUZBY	\N	\N
809880	2760	1998-01-31	VYDAJ	VYBER	15	16194	SLUZBY	\N	\N
809881	2760	1998-02-28	VYDAJ	VYBER	15	28284	SLUZBY	\N	\N
809882	2760	1998-03-31	VYDAJ	VYBER	15	35019	SLUZBY	\N	\N
809883	2760	1998-04-30	VYDAJ	VYBER	15	35447	SLUZBY	\N	\N
809884	2760	1998-05-31	VYDAJ	VYBER	15	32892	SLUZBY	\N	\N
809885	2760	1998-06-30	VYDAJ	VYBER	15	32026	SLUZBY	\N	\N
809886	2760	1998-07-31	VYDAJ	VYBER	15	35432	SLUZBY	\N	\N
809887	2760	1998-08-31	VYDAJ	VYBER	15	48183	SLUZBY	\N	\N
809888	2760	1998-09-30	VYDAJ	VYBER	15	54265	SLUZBY	\N	\N
809889	2760	1998-10-31	VYDAJ	VYBER	15	54752	SLUZBY	\N	\N
809890	2760	1998-11-30	VYDAJ	VYBER	15	53937	SLUZBY	\N	\N
809891	2760	1997-04-13	PRIJEM	VKLAD	6700	22520	\N	\N	\N
809892	2760	1997-05-13	VYDAJ	VYBER	3200	34296	\N	\N	\N
809893	2760	1997-06-12	VYDAJ	VYBER	16500	40300	\N	\N	\N
809894	2760	1997-07-12	VYDAJ	VYBER	14300	41079	\N	\N	\N
809895	2760	1997-08-11	VYDAJ	VYBER	10100	40700	\N	\N	\N
809896	2760	1997-09-10	VYDAJ	VYBER	10500	35433	\N	\N	\N
809897	2760	1997-10-10	VYDAJ	VYBER	8200	32452	\N	\N	\N
809898	2760	1997-11-09	VYDAJ	VYBER	1900	36323	\N	\N	\N
809899	2760	1997-12-09	PRIJEM	VKLAD	500	45436	\N	\N	\N
809900	2760	1998-01-08	VYDAJ	VYBER	5000	41351	\N	\N	\N
809901	2760	1998-02-07	PRIJEM	VKLAD	8600	20318	\N	\N	\N
809902	2760	1998-03-09	PRIJEM	VKLAD	6200	40248	\N	\N	\N
809903	2760	1998-04-08	VYDAJ	VYBER	3700	40683	\N	\N	\N
809904	2760	1998-05-08	VYDAJ	VYBER	3200	42691	\N	\N	\N
809905	2760	1998-06-07	VYDAJ	VYBER	800	40876	\N	\N	\N
809906	2760	1998-07-07	VYDAJ	VYBER	1800	40670	\N	\N	\N
809907	2760	1998-08-06	PRIJEM	VKLAD	7500	42932	\N	\N	\N
809908	2760	1998-09-05	PRIJEM	VKLAD	800	48983	\N	\N	\N
809909	2760	1998-10-05	VYDAJ	VYBER	4800	49465	\N	\N	\N
809910	2760	1998-11-04	VYDAJ	VYBER	6100	48652	\N	\N	\N
809911	2760	1998-12-04	VYDAJ	VYBER KARTOU	3400	50537	\N	\N	0
809933	2761	1996-12-26	PRIJEM	VKLAD	900	900	\N	\N	\N
809946	2761	1997-01-12	PRIJEM	VKLAD	18101	19001	\N	\N	\N
809947	2761	1997-02-12	PRIJEM	VKLAD	18101	36720	\N	\N	\N
809948	2761	1997-03-12	PRIJEM	VKLAD	18101	44103	\N	\N	\N
809949	2761	1997-04-12	PRIJEM	VKLAD	18101	49417	\N	\N	\N
809950	2761	1997-05-12	PRIJEM	VKLAD	18101	49748	\N	\N	\N
809951	2761	1997-06-12	PRIJEM	VKLAD	27152	53880	\N	\N	\N
809952	2761	1997-07-12	PRIJEM	VKLAD	18101	48804	\N	\N	\N
809953	2761	1997-08-12	PRIJEM	VKLAD	18101	45721	\N	\N	\N
809954	2761	1997-09-12	PRIJEM	VKLAD	18101	41323	\N	\N	\N
809955	2761	1997-10-12	PRIJEM	VKLAD	18101	42312	\N	\N	\N
809956	2761	1997-11-12	PRIJEM	VKLAD	18101	40798	\N	\N	\N
809957	2761	1997-12-12	PRIJEM	VKLAD	27152	48831	\N	\N	\N
809958	2761	1998-01-12	PRIJEM	VKLAD	18101	33416	\N	\N	\N
809959	2761	1998-02-12	PRIJEM	VKLAD	18101	26954	\N	\N	\N
809960	2761	1998-03-12	PRIJEM	VKLAD	18101	23470	\N	\N	\N
809961	2761	1998-04-12	PRIJEM	VKLAD	18101	25284	\N	\N	\N
809962	2761	1998-05-12	PRIJEM	VKLAD	18101	23598	\N	\N	\N
809963	2761	1998-06-12	PRIJEM	VKLAD	27152	44578	\N	\N	\N
809964	2761	1998-07-12	PRIJEM	VKLAD	18101	32741	\N	\N	\N
809965	2761	1998-08-12	PRIJEM	VKLAD	18101	26175	\N	\N	\N
809966	2761	1998-09-12	PRIJEM	VKLAD	18101	23487	\N	\N	\N
809967	2761	1998-10-12	PRIJEM	VKLAD	18101	32509	\N	\N	\N
809968	2761	1998-11-12	PRIJEM	VKLAD	18101	42175	\N	\N	\N
809969	2761	1998-12-12	PRIJEM	VKLAD	27152	37174	\N	\N	\N
809987	2761	1997-06-06	VYDAJ	PREVOD NA UCET	6238	26728	SIPO	IJ	99762063
809988	2761	1997-07-06	VYDAJ	PREVOD NA UCET	6238	30703	SIPO	IJ	99762063
809989	2761	1997-08-06	VYDAJ	PREVOD NA UCET	6238	27620	SIPO	IJ	99762063
809990	2761	1997-09-06	VYDAJ	PREVOD NA UCET	6238	23222	SIPO	IJ	99762063
809991	2761	1997-10-06	VYDAJ	PREVOD NA UCET	6238	24211	SIPO	IJ	99762063
809992	2761	1997-11-06	VYDAJ	PREVOD NA UCET	6238	22697	SIPO	IJ	99762063
809993	2761	1997-12-06	VYDAJ	PREVOD NA UCET	6238	21679	SIPO	IJ	99762063
809994	2761	1998-01-06	VYDAJ	PREVOD NA UCET	6238	19215	SIPO	IJ	99762063
809995	2761	1998-02-06	VYDAJ	PREVOD NA UCET	6238	8853	SIPO	IJ	99762063
809996	2761	1998-03-06	VYDAJ	PREVOD NA UCET	6238	5369	SIPO	IJ	99762063
809997	2761	1998-04-06	VYDAJ	PREVOD NA UCET	6238	7183	SIPO	IJ	99762063
809998	2761	1998-05-06	VYDAJ	PREVOD NA UCET	6238	5497	SIPO	IJ	99762063
809999	2761	1998-06-06	VYDAJ	PREVOD NA UCET	6238	17426	SIPO	IJ	99762063
810000	2761	1998-07-06	VYDAJ	PREVOD NA UCET	6238	14640	SIPO	IJ	99762063
810001	2761	1998-08-06	VYDAJ	PREVOD NA UCET	6238	8074	SIPO	IJ	99762063
810002	2761	1998-09-06	VYDAJ	PREVOD NA UCET	6238	5386	SIPO	IJ	99762063
810003	2761	1998-10-06	VYDAJ	PREVOD NA UCET	6238	14408	SIPO	IJ	99762063
810004	2761	1998-11-06	VYDAJ	PREVOD NA UCET	6238	24074	SIPO	IJ	99762063
810005	2761	1998-12-06	VYDAJ	PREVOD NA UCET	6238	10022	SIPO	IJ	99762063
810010	2761	1997-12-20	VYDAJ	VYBER	1300	43631	\N	\N	\N
810024	2761	1998-01-22	VYDAJ	VYBER	1500	15916	\N	\N	\N
810025	2761	1998-01-01	VYDAJ	VYBER	600	25453	\N	\N	\N
810026	2761	1998-01-23	VYDAJ	VYBER	900	15016	\N	\N	\N
810027	2761	1998-01-15	VYDAJ	VYBER	1200	32216	\N	\N	\N
810028	2761	1998-01-18	VYDAJ	VYBER	900	31316	\N	\N	\N
810029	2761	1998-01-07	VYDAJ	VYBER	1600	15315	\N	\N	\N
810034	2761	1997-10-16	VYDAJ	VYBER	2800	39512	\N	\N	\N
810036	2761	1997-12-16	VYDAJ	VYBER	3900	44931	\N	\N	\N
810038	2761	1997-07-18	VYDAJ	VYBER	1100	47704	\N	\N	\N
810040	2761	1998-11-03	VYDAJ	VYBER	2300	30312	\N	\N	\N
810041	2761	1998-02-15	VYDAJ	VYBER	3600	23354	\N	\N	\N
810045	2761	1998-01-07	VYDAJ	VYBER	2300	16915	\N	\N	\N
810046	2761	1998-09-16	VYDAJ	VYBER	2900	20587	\N	\N	\N
810065	2761	1997-05-31	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
810066	2761	1997-06-30	VYDAJ	VYBER	15	36941	SLUZBY	\N	\N
810067	2761	1997-07-31	VYDAJ	VYBER	15	33858	SLUZBY	\N	\N
810068	2761	1997-08-31	VYDAJ	VYBER	15	29460	SLUZBY	\N	\N
810069	2761	1997-09-30	VYDAJ	VYBER	15	30449	SLUZBY	\N	\N
810070	2761	1997-10-31	VYDAJ	VYBER	15	28935	SLUZBY	\N	\N
810071	2761	1997-11-30	VYDAJ	VYBER	15	27917	SLUZBY	\N	\N
810072	2761	1997-12-31	VYDAJ	VYBER	15	26053	SLUZBY	\N	\N
810073	2761	1998-01-31	VYDAJ	VYBER	15	15091	SLUZBY	\N	\N
810074	2761	1998-02-28	VYDAJ	VYBER	15	11607	SLUZBY	\N	\N
810075	2761	1998-03-31	VYDAJ	VYBER	15	13421	SLUZBY	\N	\N
810076	2761	1998-04-30	VYDAJ	VYBER	15	11735	SLUZBY	\N	\N
810077	2761	1998-05-31	VYDAJ	VYBER	15	23664	SLUZBY	\N	\N
810078	2761	1998-06-30	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
810079	2761	1998-07-31	VYDAJ	VYBER	15	14312	SLUZBY	\N	\N
810080	2761	1998-08-31	VYDAJ	VYBER	15	11624	SLUZBY	\N	\N
810081	2761	1998-09-30	VYDAJ	VYBER	15	20646	SLUZBY	\N	\N
810082	2761	1998-10-31	VYDAJ	VYBER	15	32612	SLUZBY	\N	\N
810083	2761	1998-11-30	VYDAJ	VYBER	15	16260	SLUZBY	\N	\N
810084	2761	1997-01-25	VYDAJ	VYBER	400	18601	\N	\N	\N
810085	2761	1997-02-24	VYDAJ	VYBER	10800	25920	\N	\N	\N
810086	2761	1997-03-26	VYDAJ	VYBER	12900	31203	\N	\N	\N
810087	2761	1997-04-25	VYDAJ	VYBER	17900	31517	\N	\N	\N
810088	2761	1997-05-25	VYDAJ	VYBER	16900	32848	\N	\N	\N
810089	2761	1997-06-24	VYDAJ	VYBER	17100	36780	\N	\N	\N
810090	2761	1997-07-24	VYDAJ	VYBER	14000	33704	\N	\N	\N
810091	2761	1997-08-23	VYDAJ	VYBER	16400	29321	\N	\N	\N
810092	2761	1997-09-22	VYDAJ	VYBER	11000	30323	\N	\N	\N
810093	2761	1997-10-22	VYDAJ	VYBER	10700	28812	\N	\N	\N
810094	2761	1997-11-21	VYDAJ	VYBER	13000	27798	\N	\N	\N
810095	2761	1997-12-21	VYDAJ	VYBER	17700	25931	\N	\N	\N
810096	2761	1998-01-20	VYDAJ	VYBER	13900	17416	\N	\N	\N
810097	2761	1998-02-19	VYDAJ	VYBER	11800	11554	\N	\N	\N
810098	2761	1998-03-21	VYDAJ	VYBER	10100	13370	\N	\N	\N
810099	2761	1998-04-20	VYDAJ	VYBER	13600	11684	\N	\N	\N
810100	2761	1998-06-19	VYDAJ	VYBER	23800	20778	\N	\N	\N
810101	2761	1998-07-19	VYDAJ	VYBER	18500	14241	\N	\N	\N
810102	2761	1998-08-18	VYDAJ	VYBER	14600	11575	\N	\N	\N
810103	2761	1998-11-16	VYDAJ	VYBER	26000	16175	\N	\N	\N
810128	2762	1993-03-20	PRIJEM	VKLAD	500	500	\N	\N	\N
810130	2762	1993-10-30	PRIJEM	VKLAD	24477	51585	\N	\N	\N
810131	2762	1993-09-29	PRIJEM	VKLAD	10310	58758	\N	\N	\N
810132	2762	1993-05-02	PRIJEM	VKLAD	31307	95756	\N	\N	\N
810133	2762	1993-04-09	PRIJEM	VKLAD	49303	103464	\N	\N	\N
810135	2762	1993-07-15	PRIJEM	VKLAD	16297	49221	\N	\N	\N
810136	2762	1993-05-15	PRIJEM	VKLAD	11409	97146	\N	\N	\N
810137	2762	1993-11-12	PRIJEM	VKLAD	16160	93033	\N	\N	\N
810138	2762	1993-10-30	PRIJEM	VKLAD	25137	76722	\N	\N	\N
810139	2762	1993-07-15	PRIJEM	VKLAD	49388	98609	\N	\N	\N
810140	2762	1993-07-26	PRIJEM	VKLAD	6227	70036	\N	\N	\N
810141	2762	1993-06-05	PRIJEM	VKLAD	32500	71960	\N	\N	\N
810143	2762	1993-11-26	PRIJEM	VKLAD	9674	59982	\N	\N	\N
810144	2762	1993-05-14	PRIJEM	VKLAD	16576	91537	\N	\N	\N
810145	2762	1993-12-19	PRIJEM	VKLAD	15640	104255	\N	\N	\N
810146	2762	1993-12-17	PRIJEM	VKLAD	47268	88615	\N	\N	\N
810147	2762	1993-08-19	PRIJEM	VKLAD	39822	95974	\N	\N	\N
810148	2762	1993-09-02	PRIJEM	VKLAD	21470	82873	\N	\N	\N
810149	2762	1993-07-30	PRIJEM	VKLAD	46726	116762	\N	\N	\N
810150	2762	1993-03-25	PRIJEM	VKLAD	30360	30860	\N	\N	\N
810152	2762	1993-05-02	PRIJEM	VKLAD	45630	141386	\N	\N	\N
810153	2762	1993-12-04	PRIJEM	VKLAD	33229	128972	\N	\N	\N
810154	2762	1993-11-30	PRIJEM	VKLAD	35497	95479	\N	\N	\N
810155	2762	1993-04-04	PRIJEM	VKLAD	23272	54161	\N	\N	\N
810156	2762	1993-08-27	PRIJEM	VKLAD	46977	107849	\N	\N	\N
810157	2762	1994-07-17	PRIJEM	VKLAD	39106	148016	\N	\N	\N
810158	2762	1994-03-01	PRIJEM	VKLAD	38484	112149	\N	\N	\N
810159	2762	1994-07-15	PRIJEM	VKLAD	39751	135210	\N	\N	\N
810160	2762	1994-07-14	PRIJEM	VKLAD	45452	95459	\N	\N	\N
810161	2762	1994-09-06	PRIJEM	VKLAD	22946	100803	\N	\N	\N
810162	2762	1994-01-22	PRIJEM	VKLAD	33538	59038	\N	\N	\N
810163	2762	1994-04-23	PRIJEM	VKLAD	44681	81704	\N	\N	\N
810164	2762	1994-10-30	PRIJEM	VKLAD	39769	109764	\N	\N	\N
810165	2762	1994-05-23	PRIJEM	VKLAD	16320	86200	\N	\N	\N
810166	2762	1994-09-19	PRIJEM	VKLAD	14556	55362	\N	\N	\N
810167	2762	1994-11-11	PRIJEM	VKLAD	14683	76952	\N	\N	\N
810168	2762	1994-04-27	PRIJEM	VKLAD	47395	129099	\N	\N	\N
810169	2762	1994-03-23	PRIJEM	VKLAD	18372	47596	\N	\N	\N
810170	2762	1994-02-27	PRIJEM	VKLAD	18824	73466	\N	\N	\N
810171	2762	1994-04-30	PRIJEM	VKLAD	15347	115555	\N	\N	\N
810172	2762	1994-02-22	PRIJEM	VKLAD	28624	54642	\N	\N	\N
810173	2762	1994-07-02	PRIJEM	VKLAD	31759	52319	\N	\N	\N
810174	2762	1994-04-12	PRIJEM	VKLAD	25271	58648	\N	\N	\N
810175	2762	1994-11-04	PRIJEM	VKLAD	37025	102891	\N	\N	\N
810176	2762	1994-08-06	PRIJEM	VKLAD	31642	124956	\N	\N	\N
810177	2762	1994-10-25	PRIJEM	VKLAD	40156	69995	\N	\N	\N
810178	2762	1994-05-19	PRIJEM	VKLAD	21965	69880	\N	\N	\N
810179	2762	1994-01-27	PRIJEM	VKLAD	17337	57936	\N	\N	\N
810180	2762	1994-08-08	PRIJEM	VKLAD	35025	95381	\N	\N	\N
810181	2762	1994-07-10	PRIJEM	VKLAD	30754	83073	\N	\N	\N
810182	2762	1994-08-23	PRIJEM	VKLAD	28616	77531	\N	\N	\N
810183	2762	1994-09-07	PRIJEM	VKLAD	43669	144472	\N	\N	\N
810184	2762	1995-04-06	PRIJEM	VKLAD	15369	113985	\N	\N	\N
810185	2762	1995-07-14	PRIJEM	VKLAD	15732	20735	\N	\N	\N
810186	2762	1995-03-28	PRIJEM	VKLAD	34176	98462	\N	\N	\N
810187	2762	1995-03-16	PRIJEM	VKLAD	44221	50718	\N	\N	\N
810188	2762	1995-03-21	PRIJEM	VKLAD	13568	64286	\N	\N	\N
810189	2762	1995-10-01	PRIJEM	VKLAD	20661	27093	\N	\N	\N
810190	2762	1996-11-02	PRIJEM	VKLAD	27762	58736	\N	\N	\N
810191	2762	1996-05-01	PRIJEM	VKLAD	26499	94352	\N	\N	\N
810192	2762	1996-07-02	PRIJEM	VKLAD	22880	63834	\N	\N	\N
810193	2762	1996-02-21	PRIJEM	VKLAD	37517	92777	\N	\N	\N
810194	2762	1996-04-22	PRIJEM	VKLAD	31621	107288	\N	\N	\N
810195	2762	1996-02-23	PRIJEM	VKLAD	22426	115203	\N	\N	\N
810196	2762	1996-02-13	PRIJEM	VKLAD	41990	62885	\N	\N	\N
810197	2762	1996-03-26	PRIJEM	VKLAD	36404	70365	\N	\N	\N
810198	2762	1996-01-07	PRIJEM	VKLAD	38697	55299	\N	\N	\N
810199	2762	1996-04-07	PRIJEM	VKLAD	14962	77029	\N	\N	\N
810200	2762	1996-11-17	PRIJEM	VKLAD	9484	60595	\N	\N	\N
810201	2762	1996-04-13	PRIJEM	VKLAD	10904	83292	\N	\N	\N
810202	2762	1996-03-20	PRIJEM	VKLAD	7703	58353	\N	\N	\N
810203	2762	1996-12-17	PRIJEM	VKLAD	37527	90517	\N	\N	\N
810204	2762	1996-03-26	PRIJEM	VKLAD	46146	116511	\N	\N	\N
810205	2762	1996-04-25	PRIJEM	VKLAD	13072	67560	\N	\N	\N
810206	2762	1996-03-05	PRIJEM	VKLAD	47119	107616	\N	\N	\N
810207	2762	1996-08-23	PRIJEM	VKLAD	31432	72817	\N	\N	\N
810208	2762	1996-11-22	PRIJEM	VKLAD	28774	89369	\N	\N	\N
810209	2762	1996-10-01	PRIJEM	VKLAD	14100	71288	\N	\N	\N
810210	2762	1996-09-04	PRIJEM	VKLAD	32688	84434	\N	\N	\N
810211	2762	1996-05-15	PRIJEM	VKLAD	48378	84150	\N	\N	\N
810212	2762	1996-05-02	PRIJEM	VKLAD	17686	112038	\N	\N	\N
810213	2762	1996-11-25	PRIJEM	VKLAD	16824	106193	\N	\N	\N
810214	2762	1996-07-09	PRIJEM	VKLAD	34922	84256	\N	\N	\N
810215	2762	1997-02-04	PRIJEM	VKLAD	20053	49064	\N	\N	\N
810216	2762	1997-08-17	PRIJEM	VKLAD	18863	71279	\N	\N	\N
810217	2762	1997-06-24	PRIJEM	VKLAD	26141	94889	\N	\N	\N
810218	2762	1997-02-11	PRIJEM	VKLAD	6002	51666	\N	\N	\N
810219	2762	1997-12-16	PRIJEM	VKLAD	21509	70883	\N	\N	\N
810220	2762	1997-04-07	PRIJEM	VKLAD	19359	65830	\N	\N	\N
810221	2762	1997-10-13	PRIJEM	VKLAD	7094	66302	\N	\N	\N
810222	2762	1997-12-13	PRIJEM	VKLAD	27988	84415	\N	\N	\N
810223	2762	1997-06-15	PRIJEM	VKLAD	25010	111808	\N	\N	\N
810224	2762	1997-05-07	PRIJEM	VKLAD	11534	79216	\N	\N	\N
810225	2762	1997-02-16	PRIJEM	VKLAD	32686	76727	\N	\N	\N
810226	2762	1997-06-06	PRIJEM	VKLAD	42498	143323	\N	\N	\N
810227	2762	1997-03-26	PRIJEM	VKLAD	13262	51479	\N	\N	\N
810228	2762	1997-10-01	PRIJEM	VKLAD	19754	67533	\N	\N	\N
810229	2762	1997-05-22	PRIJEM	VKLAD	7225	78816	\N	\N	\N
810230	2762	1997-06-16	PRIJEM	VKLAD	43314	155122	\N	\N	\N
810231	2762	1997-07-10	PRIJEM	VKLAD	20302	91215	\N	\N	\N
810232	2762	1997-07-21	PRIJEM	VKLAD	35342	140403	\N	\N	\N
810233	2762	1997-04-12	PRIJEM	VKLAD	32598	98428	\N	\N	\N
810234	2762	1997-05-30	PRIJEM	VKLAD	47422	108938	\N	\N	\N
810235	2762	1997-08-21	PRIJEM	VKLAD	18992	90271	\N	\N	\N
810236	2762	1997-07-15	PRIJEM	VKLAD	39071	108261	\N	\N	\N
810237	2762	1997-10-29	PRIJEM	VKLAD	25771	89113	\N	\N	\N
810238	2762	1997-08-08	PRIJEM	VKLAD	27508	80949	\N	\N	\N
810239	2762	1997-06-17	PRIJEM	VKLAD	33526	166548	\N	\N	\N
810240	2762	1997-09-08	PRIJEM	VKLAD	23668	96016	\N	\N	\N
810241	2762	1997-11-27	PRIJEM	VKLAD	11288	57663	\N	\N	\N
810242	2762	1997-10-23	PRIJEM	VKLAD	24465	72042	\N	\N	\N
810243	2762	1998-04-02	PRIJEM	VKLAD	48079	79327	\N	\N	\N
810244	2762	1998-01-31	PRIJEM	VKLAD	36189	76573	\N	\N	\N
810245	2762	1998-08-30	PRIJEM	VKLAD	36589	89059	\N	\N	\N
810246	2762	1998-03-11	PRIJEM	VKLAD	39410	118649	\N	\N	\N
810247	2762	1998-02-19	PRIJEM	VKLAD	35280	136076	\N	\N	\N
810248	2762	1998-02-13	PRIJEM	VKLAD	24925	101483	\N	\N	\N
810249	2762	1998-08-20	PRIJEM	VKLAD	15590	49970	\N	\N	\N
810250	2762	1998-09-13	PRIJEM	VKLAD	33803	117044	\N	\N	\N
810251	2762	1998-09-14	PRIJEM	VKLAD	15271	124690	\N	\N	\N
810252	2762	1998-12-18	PRIJEM	VKLAD	28936	75263	\N	\N	\N
810253	2762	1998-10-19	PRIJEM	VKLAD	43467	140986	\N	\N	\N
810254	2762	1998-02-13	PRIJEM	VKLAD	30738	132221	\N	\N	\N
810255	2762	1998-11-09	PRIJEM	VKLAD	42041	96388	\N	\N	\N
810256	2762	1998-09-24	PRIJEM	VKLAD	39102	117192	\N	\N	\N
810261	2762	1993-05-14	VYDAJ	VYBER	5800	85737	\N	\N	0
810262	2762	1993-06-05	VYDAJ	VYBER	4700	67260	\N	\N	0
810263	2762	1993-06-29	VYDAJ	VYBER	4000	40335	\N	\N	0
810264	2762	1993-08-15	VYDAJ	VYBER	3700	90352	\N	\N	0
810265	2762	1993-09-02	VYDAJ	VYBER	4500	78373	\N	\N	0
810266	2762	1993-10-09	VYDAJ	VYBER	3800	46213	\N	\N	0
810267	2762	1993-11-12	VYDAJ	VYBER	6500	86533	\N	\N	0
810268	2762	1993-12-19	VYDAJ	VYBER	3400	80988	\N	\N	0
810269	2762	1994-01-02	VYDAJ	VYBER	5300	74525	\N	\N	0
810270	2762	1994-02-07	VYDAJ	VYBER	4500	48843	\N	\N	0
810271	2762	1994-03-04	VYDAJ	VYBER	5000	43649	\N	\N	0
810272	2762	1994-04-15	VYDAJ	VYBER	5000	37023	\N	\N	0
810273	2762	1994-05-01	VYDAJ	VYBER	5700	77240	\N	\N	0
810274	2762	1994-06-14	VYDAJ	VYBER	6200	20378	\N	\N	0
810275	2762	1994-07-12	VYDAJ	PREVOD NA UCET	4641	78432	UVER	EF	73534762
810276	2762	1994-08-12	VYDAJ	PREVOD NA UCET	4641	56540	UVER	EF	73534762
810277	2762	1994-09-12	VYDAJ	PREVOD NA UCET	4641	48431	UVER	EF	73534762
810278	2762	1994-10-12	VYDAJ	PREVOD NA UCET	4641	37464	UVER	EF	73534762
810279	2762	1994-11-12	VYDAJ	PREVOD NA UCET	4641	72311	UVER	EF	73534762
810280	2762	1994-12-12	VYDAJ	PREVOD NA UCET	4641	32395	UVER	EF	73534762
810281	2762	1995-01-12	VYDAJ	PREVOD NA UCET	4641	21051	UVER	EF	73534762
810282	2762	1995-02-12	VYDAJ	PREVOD NA UCET	4641	16941	UVER	EF	73534762
810283	2762	1995-03-12	VYDAJ	PREVOD NA UCET	4641	14122	UVER	EF	73534762
810284	2762	1995-04-12	VYDAJ	PREVOD NA UCET	4641	33644	UVER	EF	73534762
810285	2762	1995-05-12	VYDAJ	PREVOD NA UCET	4641	24638	UVER	EF	73534762
810286	2762	1995-06-12	VYDAJ	PREVOD NA UCET	4641	16359	UVER	EF	73534762
810287	2762	1995-07-12	VYDAJ	PREVOD NA UCET	4641	12628	UVER	EF	73534762
810288	2762	1995-08-12	VYDAJ	PREVOD NA UCET	4641	21545	UVER	EF	73534762
810289	2762	1995-09-12	VYDAJ	PREVOD NA UCET	4641	14033	UVER	EF	73534762
810290	2762	1995-10-12	VYDAJ	PREVOD NA UCET	4641	22552	UVER	EF	73534762
810291	2762	1995-11-12	VYDAJ	PREVOD NA UCET	4641	14455	UVER	EF	73534762
810292	2762	1995-12-12	VYDAJ	PREVOD NA UCET	4641	13117	UVER	EF	73534762
810293	2762	1996-01-12	VYDAJ	PREVOD NA UCET	4641	23893	UVER	EF	73534762
810294	2762	1996-02-12	VYDAJ	PREVOD NA UCET	4641	20895	UVER	EF	73534762
810295	2762	1996-03-12	VYDAJ	PREVOD NA UCET	4641	58275	UVER	EF	73534762
810296	2762	1996-04-12	VYDAJ	PREVOD NA UCET	4641	72388	UVER	EF	73534762
810297	2762	1996-05-12	VYDAJ	PREVOD NA UCET	4641	43397	UVER	EF	73534762
810298	2762	1996-06-12	VYDAJ	PREVOD NA UCET	4641	48372	UVER	EF	73534762
810299	2762	1996-07-22	VYDAJ	VYBER	4800	71831	\N	\N	0
810300	2762	1996-08-09	VYDAJ	VYBER	4000	49010	\N	\N	0
810301	2762	1996-08-29	VYDAJ	VYBER	3800	69017	\N	\N	0
810302	2762	1996-10-08	VYDAJ	VYBER	4400	45339	\N	\N	0
810303	2762	1996-10-28	VYDAJ	VYBER	5400	32314	\N	\N	0
810304	2762	1996-12-24	VYDAJ	VYBER	5200	85317	\N	\N	0
810305	2762	1997-01-07	VYDAJ	VYBER	3500	35110	\N	\N	0
810306	2762	1997-02-08	VYDAJ	VYBER	3400	45664	\N	\N	0
810307	2762	1997-03-14	VYDAJ	VYBER	4300	44517	\N	\N	0
810308	2762	1997-04-12	VYDAJ	VYBER	3400	95028	\N	\N	0
810309	2762	1997-05-26	VYDAJ	VYBER	4100	74716	\N	\N	0
810310	2762	1997-06-20	VYDAJ	VYBER	5500	68748	\N	\N	0
810311	2762	1997-07-15	VYDAJ	VYBER	3200	105061	\N	\N	0
810312	2762	1997-08-08	VYDAJ	VYBER	5400	75549	\N	\N	0
810313	2762	1997-09-19	VYDAJ	VYBER	5100	83291	\N	\N	0
810314	2762	1997-09-30	VYDAJ	VYBER	5000	47779	\N	\N	0
810315	2762	1997-11-06	VYDAJ	VYBER	6500	82856	\N	\N	0
810316	2762	1997-12-15	VYDAJ	VYBER	3100	49374	\N	\N	0
810317	2762	1997-12-31	VYDAJ	VYBER	3800	58431	\N	\N	0
810318	2762	1998-02-13	VYDAJ	VYBER	3300	128921	\N	\N	0
810319	2762	1998-02-28	VYDAJ	VYBER	4200	79239	\N	\N	0
810320	2762	1998-04-06	VYDAJ	VYBER	4100	52430	\N	\N	0
810321	2762	1998-05-11	VYDAJ	VYBER	5200	36383	\N	\N	0
810322	2762	1998-06-16	VYDAJ	VYBER	5500	31278	\N	\N	0
810323	2762	1998-07-17	VYDAJ	VYBER	3800	30304	\N	\N	0
810324	2762	1998-08-24	VYDAJ	VYBER	4100	52470	\N	\N	0
810325	2762	1998-09-06	VYDAJ	VYBER	6000	83241	\N	\N	0
810326	2762	1998-10-24	VYDAJ	VYBER	3400	58289	\N	\N	0
810327	2762	1998-10-27	VYDAJ	VYBER	4300	53989	\N	\N	0
810328	2762	1998-12-18	VYDAJ	VYBER	6200	69063	\N	\N	0
810333	2762	1993-05-13	VYDAJ	PREVOD NA UCET	6892	74961	SIPO	UV	85078340
810334	2762	1993-06-13	VYDAJ	PREVOD NA UCET	6892	59635	SIPO	UV	85078340
810335	2762	1993-07-13	VYDAJ	PREVOD NA UCET	6892	33657	SIPO	UV	85078340
810336	2762	1993-08-13	VYDAJ	PREVOD NA UCET	6892	94052	SIPO	UV	85078340
810337	2762	1993-09-13	VYDAJ	PREVOD NA UCET	6892	70748	SIPO	UV	85078340
810338	2762	1993-10-13	VYDAJ	PREVOD NA UCET	6892	39321	SIPO	UV	85078340
810339	2762	1993-11-13	VYDAJ	PREVOD NA UCET	6892	78908	SIPO	UV	85078340
810340	2762	1993-12-13	VYDAJ	PREVOD NA UCET	6892	53780	SIPO	UV	85078340
810341	2762	1994-01-13	VYDAJ	PREVOD NA UCET	6892	40800	SIPO	UV	85078340
810342	2762	1994-02-13	VYDAJ	PREVOD NA UCET	6892	41951	SIPO	UV	85078340
810343	2762	1994-03-13	VYDAJ	PREVOD NA UCET	6892	36024	SIPO	UV	85078340
810344	2762	1994-04-13	VYDAJ	PREVOD NA UCET	6892	51023	SIPO	UV	85078340
810345	2762	1994-05-13	VYDAJ	PREVOD NA UCET	6892	70348	SIPO	UV	85078340
810346	2762	1994-06-13	VYDAJ	PREVOD NA UCET	6892	26578	SIPO	UV	85078340
810347	2762	1994-07-13	VYDAJ	PREVOD NA UCET	6892	71540	SIPO	UV	85078340
810348	2762	1994-08-13	VYDAJ	PREVOD NA UCET	6892	49648	SIPO	UV	85078340
810349	2762	1994-09-13	VYDAJ	PREVOD NA UCET	6892	40806	SIPO	UV	85078340
810350	2762	1994-10-13	VYDAJ	PREVOD NA UCET	6892	29839	SIPO	UV	85078340
810351	2762	1994-11-13	VYDAJ	PREVOD NA UCET	6892	64686	SIPO	UV	85078340
810352	2762	1994-12-13	VYDAJ	PREVOD NA UCET	6892	24770	SIPO	UV	85078340
810353	2762	1995-01-13	VYDAJ	PREVOD NA UCET	6892	14159	SIPO	UV	85078340
810354	2762	1995-02-13	VYDAJ	PREVOD NA UCET	6892	9316	SIPO	UV	85078340
810355	2762	1995-03-13	VYDAJ	PREVOD NA UCET	6892	6497	SIPO	UV	85078340
810356	2762	1995-04-13	VYDAJ	PREVOD NA UCET	6892	26019	SIPO	UV	85078340
810357	2762	1995-05-13	VYDAJ	PREVOD NA UCET	6892	17013	SIPO	UV	85078340
810358	2762	1995-06-13	VYDAJ	PREVOD NA UCET	6892	9467	SIPO	UV	85078340
810359	2762	1995-07-13	VYDAJ	PREVOD NA UCET	6892	5736	SIPO	UV	85078340
810360	2762	1995-08-13	VYDAJ	PREVOD NA UCET	6892	13920	SIPO	UV	85078340
810361	2762	1995-09-13	VYDAJ	PREVOD NA UCET	6892	7141	SIPO	UV	85078340
810362	2762	1995-10-13	VYDAJ	PREVOD NA UCET	6892	14927	SIPO	UV	85078340
810363	2762	1995-11-13	VYDAJ	PREVOD NA UCET	6892	7563	SIPO	UV	85078340
810364	2762	1995-12-13	VYDAJ	PREVOD NA UCET	6892	5492	SIPO	UV	85078340
810365	2762	1996-01-13	VYDAJ	PREVOD NA UCET	6892	16268	SIPO	UV	85078340
810366	2762	1996-02-13	VYDAJ	PREVOD NA UCET	6892	55260	SIPO	UV	85078340
810367	2762	1996-03-13	VYDAJ	PREVOD NA UCET	6892	50650	SIPO	UV	85078340
810368	2762	1996-04-13	VYDAJ	PREVOD NA UCET	6892	76400	SIPO	UV	85078340
810369	2762	1996-05-13	VYDAJ	PREVOD NA UCET	6892	36505	SIPO	UV	85078340
810370	2762	1996-06-13	VYDAJ	PREVOD NA UCET	6892	41480	SIPO	UV	85078340
810371	2762	1996-07-13	VYDAJ	PREVOD NA UCET	6892	76631	SIPO	UV	85078340
810372	2762	1996-08-13	VYDAJ	PREVOD NA UCET	6892	42118	SIPO	UV	85078340
810373	2762	1996-09-13	VYDAJ	PREVOD NA UCET	6892	76809	SIPO	UV	85078340
810374	2762	1996-10-13	VYDAJ	PREVOD NA UCET	6892	38447	SIPO	UV	85078340
810375	2762	1996-11-13	VYDAJ	PREVOD NA UCET	6892	51844	SIPO	UV	85078340
810376	2762	1996-12-13	VYDAJ	PREVOD NA UCET	6892	52990	SIPO	UV	85078340
810377	2762	1997-01-13	VYDAJ	PREVOD NA UCET	6892	28218	SIPO	UV	85078340
810378	2762	1997-02-13	VYDAJ	PREVOD NA UCET	6892	44041	SIPO	UV	85078340
810379	2762	1997-03-13	VYDAJ	PREVOD NA UCET	6892	49550	SIPO	UV	85078340
810380	2762	1997-04-13	VYDAJ	PREVOD NA UCET	6892	87403	SIPO	UV	85078340
810381	2762	1997-05-13	VYDAJ	PREVOD NA UCET	6892	72324	SIPO	UV	85078340
810382	2762	1997-06-13	VYDAJ	PREVOD NA UCET	6892	87531	SIPO	UV	85078340
810383	2762	1997-07-13	VYDAJ	PREVOD NA UCET	6892	84323	SIPO	UV	85078340
810384	2762	1997-08-13	VYDAJ	PREVOD NA UCET	6892	53149	SIPO	UV	85078340
810385	2762	1997-09-13	VYDAJ	PREVOD NA UCET	6892	88391	SIPO	UV	85078340
810386	2762	1997-10-13	VYDAJ	PREVOD NA UCET	6892	59410	SIPO	UV	85078340
810387	2762	1997-11-13	VYDAJ	PREVOD NA UCET	6892	75231	SIPO	UV	85078340
810388	2762	1997-12-13	VYDAJ	PREVOD NA UCET	6892	77523	SIPO	UV	85078340
810389	2762	1998-01-13	VYDAJ	PREVOD NA UCET	6892	30406	SIPO	UV	85078340
810390	2762	1998-02-13	VYDAJ	PREVOD NA UCET	6892	100796	SIPO	UV	85078340
810391	2762	1998-03-13	VYDAJ	PREVOD NA UCET	6892	33420	SIPO	UV	85078340
810392	2762	1998-04-13	VYDAJ	PREVOD NA UCET	6892	31605	SIPO	UV	85078340
810393	2762	1998-05-13	VYDAJ	PREVOD NA UCET	6892	28758	SIPO	UV	85078340
810394	2762	1998-06-13	VYDAJ	PREVOD NA UCET	6892	36778	SIPO	UV	85078340
810395	2762	1998-07-13	VYDAJ	PREVOD NA UCET	6892	34104	SIPO	UV	85078340
810396	2762	1998-08-13	VYDAJ	PREVOD NA UCET	6892	34380	SIPO	UV	85078340
810397	2762	1998-09-13	VYDAJ	PREVOD NA UCET	6892	109419	SIPO	UV	85078340
810398	2762	1998-10-13	VYDAJ	PREVOD NA UCET	6892	110705	SIPO	UV	85078340
810399	2762	1998-11-13	VYDAJ	PREVOD NA UCET	6892	88763	SIPO	UV	85078340
810400	2762	1998-12-13	VYDAJ	PREVOD NA UCET	6892	47060	SIPO	UV	85078340
810405	2762	1993-05-13	VYDAJ	PREVOD NA UCET	733	81853	 	CD	75502043
810406	2762	1993-06-13	VYDAJ	PREVOD NA UCET	733	66527	 	CD	75502043
810407	2762	1993-07-13	VYDAJ	PREVOD NA UCET	733	32924	 	CD	75502043
810408	2762	1993-08-13	VYDAJ	PREVOD NA UCET	733	100944	 	CD	75502043
810409	2762	1993-09-13	VYDAJ	PREVOD NA UCET	733	77640	 	CD	75502043
810410	2762	1993-10-13	VYDAJ	PREVOD NA UCET	733	38588	 	CD	75502043
810411	2762	1993-11-13	VYDAJ	PREVOD NA UCET	733	85800	 	CD	75502043
810412	2762	1993-12-13	VYDAJ	PREVOD NA UCET	733	53047	 	CD	75502043
810413	2762	1994-01-13	VYDAJ	PREVOD NA UCET	733	47692	 	CD	75502043
810414	2762	1994-02-13	VYDAJ	PREVOD NA UCET	733	41218	 	CD	75502043
810415	2762	1994-03-13	VYDAJ	PREVOD NA UCET	733	42916	 	CD	75502043
810416	2762	1994-04-13	VYDAJ	PREVOD NA UCET	733	57915	 	CD	75502043
810417	2762	1994-05-13	VYDAJ	PREVOD NA UCET	733	69615	 	CD	75502043
810418	2762	1994-06-13	VYDAJ	PREVOD NA UCET	733	33470	 	CD	75502043
810419	2762	1994-07-13	VYDAJ	PREVOD NA UCET	733	50007	 	CD	75502043
810420	2762	1994-08-13	VYDAJ	PREVOD NA UCET	733	48915	 	CD	75502043
810421	2762	1994-09-13	VYDAJ	PREVOD NA UCET	733	47698	 	CD	75502043
810422	2762	1994-10-13	VYDAJ	PREVOD NA UCET	733	36731	 	CD	75502043
810423	2762	1994-11-13	VYDAJ	PREVOD NA UCET	733	71578	 	CD	75502043
810424	2762	1994-12-13	VYDAJ	PREVOD NA UCET	733	31662	 	CD	75502043
810425	2762	1995-01-13	VYDAJ	PREVOD NA UCET	733	13426	 	CD	75502043
810426	2762	1995-02-13	VYDAJ	PREVOD NA UCET	733	16208	 	CD	75502043
810427	2762	1995-03-13	VYDAJ	PREVOD NA UCET	733	13389	 	CD	75502043
810428	2762	1995-04-13	VYDAJ	PREVOD NA UCET	733	32911	 	CD	75502043
810429	2762	1995-05-13	VYDAJ	PREVOD NA UCET	733	23905	 	CD	75502043
810430	2762	1995-06-13	VYDAJ	PREVOD NA UCET	733	8734	 	CD	75502043
810431	2762	1995-07-13	VYDAJ	PREVOD NA UCET	733	5003	 	CD	75502043
810432	2762	1995-08-13	VYDAJ	PREVOD NA UCET	733	20812	 	CD	75502043
810433	2762	1995-09-13	VYDAJ	PREVOD NA UCET	733	6408	 	CD	75502043
810434	2762	1995-10-13	VYDAJ	PREVOD NA UCET	733	21819	 	CD	75502043
810435	2762	1995-11-13	VYDAJ	PREVOD NA UCET	733	6830	 	CD	75502043
810436	2762	1995-12-13	VYDAJ	PREVOD NA UCET	733	12384	 	CD	75502043
810437	2762	1996-01-13	VYDAJ	PREVOD NA UCET	733	23160	 	CD	75502043
810438	2762	1996-02-13	VYDAJ	PREVOD NA UCET	733	62152	 	CD	75502043
810439	2762	1996-03-13	VYDAJ	PREVOD NA UCET	733	57542	 	CD	75502043
810440	2762	1996-04-13	VYDAJ	PREVOD NA UCET	733	75667	 	CD	75502043
810441	2762	1996-05-13	VYDAJ	PREVOD NA UCET	733	35772	 	CD	75502043
810442	2762	1996-06-13	VYDAJ	PREVOD NA UCET	733	40747	 	CD	75502043
810443	2762	1996-07-13	VYDAJ	PREVOD NA UCET	733	83523	 	CD	75502043
810444	2762	1996-08-13	VYDAJ	PREVOD NA UCET	733	41385	 	CD	75502043
810445	2762	1996-09-13	VYDAJ	PREVOD NA UCET	733	83701	 	CD	75502043
810446	2762	1996-10-13	VYDAJ	PREVOD NA UCET	733	37714	 	CD	75502043
810447	2762	1996-11-13	VYDAJ	PREVOD NA UCET	733	51111	 	CD	75502043
810448	2762	1996-12-13	VYDAJ	PREVOD NA UCET	733	59882	 	CD	75502043
810449	2762	1997-01-13	VYDAJ	PREVOD NA UCET	733	27485	 	CD	75502043
810450	2762	1997-02-13	VYDAJ	PREVOD NA UCET	733	50933	 	CD	75502043
810451	2762	1997-03-13	VYDAJ	PREVOD NA UCET	733	48817	 	CD	75502043
810452	2762	1997-04-13	VYDAJ	PREVOD NA UCET	733	94295	 	CD	75502043
810453	2762	1997-05-13	VYDAJ	PREVOD NA UCET	733	71591	 	CD	75502043
810454	2762	1997-06-13	VYDAJ	PREVOD NA UCET	733	86798	 	CD	75502043
810455	2762	1997-07-13	VYDAJ	PREVOD NA UCET	733	69190	 	CD	75502043
810456	2762	1997-08-13	VYDAJ	PREVOD NA UCET	733	52416	 	CD	75502043
810457	2762	1997-09-13	VYDAJ	PREVOD NA UCET	733	95283	 	CD	75502043
810458	2762	1997-10-13	VYDAJ	PREVOD NA UCET	733	58677	 	CD	75502043
810459	2762	1997-11-13	VYDAJ	PREVOD NA UCET	733	82123	 	CD	75502043
810460	2762	1997-12-13	VYDAJ	PREVOD NA UCET	733	76790	 	CD	75502043
810461	2762	1998-01-13	VYDAJ	PREVOD NA UCET	733	37298	 	CD	75502043
810462	2762	1998-02-13	VYDAJ	PREVOD NA UCET	733	128188	 	CD	75502043
810463	2762	1998-03-13	VYDAJ	PREVOD NA UCET	733	40312	 	CD	75502043
810464	2762	1998-04-13	VYDAJ	PREVOD NA UCET	733	38497	 	CD	75502043
810465	2762	1998-05-13	VYDAJ	PREVOD NA UCET	733	35650	 	CD	75502043
810466	2762	1998-06-13	VYDAJ	PREVOD NA UCET	733	43670	 	CD	75502043
810467	2762	1998-07-13	VYDAJ	PREVOD NA UCET	733	40996	 	CD	75502043
810468	2762	1998-08-13	VYDAJ	PREVOD NA UCET	733	41272	 	CD	75502043
810469	2762	1998-09-13	VYDAJ	PREVOD NA UCET	733	116311	 	CD	75502043
810470	2762	1998-10-13	VYDAJ	PREVOD NA UCET	733	109972	 	CD	75502043
810471	2762	1998-11-13	VYDAJ	PREVOD NA UCET	733	95655	 	CD	75502043
810472	2762	1998-12-13	VYDAJ	PREVOD NA UCET	733	46327	 	CD	75502043
810474	2762	1993-12-19	VYBER	VYBER	19867	84388	\N	\N	\N
810477	2762	1993-08-19	VYBER	VYBER	21002	74972	\N	\N	\N
810478	2762	1993-10-17	VYBER	VYBER	3980	27108	\N	\N	\N
810480	2762	1994-11-05	VYBER	VYBER	6522	96369	\N	\N	\N
810481	2762	1994-01-24	VYBER	VYBER	13939	45099	\N	\N	\N
810483	2762	1994-11-27	VYBER	VYBER	10338	54348	\N	\N	\N
810484	2762	1996-03-25	VYBER	VYBER	24392	33961	\N	\N	\N
810485	2762	1996-10-02	VYBER	VYBER	21549	49739	\N	\N	\N
810486	2762	1996-01-11	VYBER	VYBER	24065	31234	\N	\N	\N
810487	2762	1997-10-03	VYBER	VYBER	8325	59208	\N	\N	\N
810488	2762	1997-11-14	VYBER	VYBER	20498	54733	\N	\N	\N
810489	2762	1997-12-15	VYBER	VYBER	24316	52474	\N	\N	\N
810490	2762	1997-08-10	VYBER	VYBER	15508	60041	\N	\N	\N
810491	2762	1997-11-22	VYBER	VYBER	19258	35475	\N	\N	\N
810492	2762	1997-09-26	VYBER	VYBER	6706	64185	\N	\N	\N
810493	2762	1998-10-16	VYBER	VYBER	12453	97519	\N	\N	\N
810495	2762	1998-07-23	VYBER	VYBER	6042	41862	\N	\N	\N
810496	2762	1998-12-26	VYBER	VYBER	15132	49531	\N	\N	\N
810497	2762	1998-10-21	VYBER	VYBER	14897	61689	\N	\N	\N
810498	2762	1998-03-29	VYBER	VYBER	21886	31034	\N	\N	\N
810499	2762	1998-03-12	VYBER	VYBER	17204	41045	\N	\N	\N
810500	2762	1998-11-16	VYBER	VYBER	22356	66407	\N	\N	\N
810501	2762	1998-04-02	VYBER	VYBER	22797	56530	\N	\N	\N
810503	2762	1993-06-03	VYDAJ	VYBER	20700	39460	\N	\N	\N
810504	2762	1994-06-04	VYDAJ	VYBER	59400	27103	\N	\N	\N
810510	2762	1994-01-12	VYDAJ	VYBER	8400	48425	\N	\N	\N
810513	2762	1997-01-05	VYDAJ	VYBER	20100	43110	\N	\N	\N
810514	2762	1998-01-03	VYDAJ	VYBER	4800	46131	\N	\N	\N
810515	2762	1993-12-09	VYDAJ	VYBER	8100	60672	\N	\N	\N
810516	2762	1994-12-17	VYDAJ	VYBER	3300	21470	\N	\N	\N
810518	2762	1996-12-10	VYDAJ	VYBER	6900	60615	\N	\N	\N
810519	2762	1997-12-12	VYDAJ	VYBER	1500	56427	\N	\N	\N
810520	2762	1998-12-08	VYDAJ	VYBER	3000	63552	\N	\N	\N
810527	2762	1994-01-29	VYDAJ	VYBER	4800	53136	\N	\N	\N
810528	2762	1994-01-25	VYDAJ	VYBER	4500	40599	\N	\N	\N
810529	2762	1994-01-11	VYDAJ	VYBER	1500	56825	\N	\N	\N
810530	2762	1994-01-10	VYDAJ	VYBER	8100	58325	\N	\N	\N
810531	2762	1994-01-20	VYDAJ	VYBER	6900	25500	\N	\N	\N
810532	2762	1994-01-02	VYDAJ	VYBER	8100	66425	\N	\N	\N
810540	2762	1996-01-12	VYDAJ	VYBER	2700	28534	\N	\N	\N
810547	2762	1997-01-23	VYDAJ	VYBER	1800	25685	\N	\N	\N
810548	2762	1997-01-05	VYDAJ	VYBER	4500	38610	\N	\N	\N
810551	2762	1998-01-27	VYDAJ	VYBER	3900	43806	\N	\N	\N
810552	2762	1998-01-01	VYDAJ	VYBER	7500	50931	\N	\N	\N
810553	2762	1998-01-28	VYDAJ	VYBER	3600	40206	\N	\N	\N
810554	2762	1998-01-13	VYDAJ	VYBER	3000	38031	\N	\N	\N
810555	2762	1998-01-06	VYDAJ	VYBER	5100	41031	\N	\N	\N
810557	2762	1993-08-20	VYDAJ	VYBER	14100	60872	\N	\N	\N
810558	2762	1993-12-28	VYDAJ	VYBER	1500	79488	\N	\N	\N
810561	2762	1993-09-29	VYDAJ	VYBER	9000	49758	\N	\N	\N
810563	2762	1994-03-31	VYDAJ	VYBER	14400	33391	\N	\N	\N
810564	2762	1994-12-08	VYDAJ	VYBER	5700	48936	\N	\N	\N
810565	2762	1994-03-01	VYDAJ	VYBER	1800	110349	\N	\N	\N
810566	2762	1994-02-13	VYDAJ	VYBER	12600	26018	\N	\N	\N
810574	2762	1996-05-03	VYDAJ	VYBER	5100	56338	\N	\N	\N
810575	2762	1996-05-24	VYDAJ	VYBER	11100	73050	\N	\N	\N
810576	2762	1996-12-06	VYDAJ	VYBER	2400	67515	\N	\N	\N
810577	2762	1997-07-13	VYDAJ	VYBER	14400	69923	\N	\N	\N
810578	2762	1997-09-27	VYDAJ	VYBER	11700	52485	\N	\N	\N
810579	2762	1997-06-19	VYDAJ	VYBER	9900	74248	\N	\N	\N
810580	2762	1997-03-14	VYDAJ	VYBER	6300	38217	\N	\N	\N
810581	2762	1997-07-28	VYDAJ	VYBER	14700	67803	\N	\N	\N
810582	2762	1997-08-01	VYDAJ	VYBER	14700	53441	\N	\N	\N
810583	2762	1997-10-22	VYDAJ	VYBER	11100	47577	\N	\N	\N
810584	2762	1997-05-30	VYDAJ	VYBER	8400	100538	\N	\N	\N
810586	2762	1998-06-23	VYDAJ	VYBER	4500	41578	\N	\N	\N
810587	2762	1998-12-10	VYDAJ	VYBER	9600	53952	\N	\N	\N
810588	2762	1998-04-09	VYDAJ	VYBER	13200	39230	\N	\N	\N
810589	2762	1998-05-09	VYDAJ	VYBER	4800	41583	\N	\N	\N
810595	2762	1993-05-31	VYDAJ	VYBER	15	60160	SLUZBY	\N	\N
810596	2762	1993-06-30	VYDAJ	VYBER	15	40549	SLUZBY	\N	\N
810597	2762	1993-07-31	VYDAJ	VYBER	15	101677	SLUZBY	\N	\N
810598	2762	1993-08-31	VYDAJ	VYBER	15	108203	SLUZBY	\N	\N
810599	2762	1993-09-30	VYDAJ	VYBER	15	50013	SLUZBY	\N	\N
810600	2762	1993-10-31	VYDAJ	VYBER	15	76873	SLUZBY	\N	\N
810601	2762	1993-11-30	VYDAJ	VYBER	15	95743	SLUZBY	\N	\N
810602	2762	1993-12-31	VYDAJ	VYBER	15	79825	SLUZBY	\N	\N
810603	2762	1994-01-31	VYDAJ	VYBER	15	53343	SLUZBY	\N	\N
810604	2762	1994-02-28	VYDAJ	VYBER	15	73665	SLUZBY	\N	\N
810605	2762	1994-03-31	VYDAJ	VYBER	15	33377	SLUZBY	\N	\N
810606	2762	1994-04-30	VYDAJ	VYBER	15	82940	SLUZBY	\N	\N
810607	2762	1994-05-31	VYDAJ	VYBER	15	86503	SLUZBY	\N	\N
810608	2762	1994-06-30	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
810609	2762	1994-07-31	VYDAJ	VYBER	15	129914	SLUZBY	\N	\N
810610	2762	1994-08-31	VYDAJ	VYBER	15	77857	SLUZBY	\N	\N
810611	2762	1994-09-30	VYDAJ	VYBER	15	55605	SLUZBY	\N	\N
810612	2762	1994-10-31	VYDAJ	VYBER	15	65866	SLUZBY	\N	\N
810613	2762	1994-11-30	VYDAJ	VYBER	15	54636	SLUZBY	\N	\N
810614	2762	1994-12-31	VYDAJ	VYBER	15	21592	SLUZBY	\N	\N
810615	2762	1995-01-31	VYDAJ	VYBER	15	13482	SLUZBY	\N	\N
810616	2762	1995-02-28	VYDAJ	VYBER	15	9363	SLUZBY	\N	\N
810617	2762	1995-03-31	VYDAJ	VYBER	15	98616	SLUZBY	\N	\N
810618	2762	1995-04-30	VYDAJ	VYBER	15	26179	SLUZBY	\N	\N
810619	2762	1995-05-31	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
810620	2762	1995-06-30	VYDAJ	VYBER	15	8769	SLUZBY	\N	\N
810621	2762	1995-07-31	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
810622	2762	1995-08-31	VYDAJ	VYBER	15	13974	SLUZBY	\N	\N
810623	2762	1995-09-30	VYDAJ	VYBER	15	6432	SLUZBY	\N	\N
810624	2762	1995-10-31	VYDAJ	VYBER	15	14996	SLUZBY	\N	\N
810625	2762	1995-11-30	VYDAJ	VYBER	15	6858	SLUZBY	\N	\N
810626	2762	1995-12-31	VYDAJ	VYBER	15	5502	SLUZBY	\N	\N
810627	2762	1996-01-31	VYDAJ	VYBER	15	16336	SLUZBY	\N	\N
810628	2762	1996-02-29	VYDAJ	VYBER	15	81597	SLUZBY	\N	\N
810629	2762	1996-03-31	VYDAJ	VYBER	15	85767	SLUZBY	\N	\N
810630	2762	1996-04-30	VYDAJ	VYBER	15	67853	SLUZBY	\N	\N
810631	2762	1996-05-31	VYDAJ	VYBER	15	73313	SLUZBY	\N	\N
810632	2762	1996-06-30	VYDAJ	VYBER	15	40954	SLUZBY	\N	\N
810633	2762	1996-07-31	VYDAJ	VYBER	15	72110	SLUZBY	\N	\N
810634	2762	1996-08-31	VYDAJ	VYBER	15	51746	SLUZBY	\N	\N
810635	2762	1996-09-30	VYDAJ	VYBER	15	77088	SLUZBY	\N	\N
810636	2762	1996-10-31	VYDAJ	VYBER	15	30974	SLUZBY	\N	\N
810637	2762	1996-11-30	VYDAJ	VYBER	15	69915	SLUZBY	\N	\N
810638	2762	1996-12-31	VYDAJ	VYBER	15	63210	SLUZBY	\N	\N
810639	2762	1997-01-31	VYDAJ	VYBER	15	29011	SLUZBY	\N	\N
810640	2762	1997-02-28	VYDAJ	VYBER	15	56442	SLUZBY	\N	\N
810641	2762	1997-03-31	VYDAJ	VYBER	15	46471	SLUZBY	\N	\N
810642	2762	1997-04-30	VYDAJ	VYBER	15	67682	SLUZBY	\N	\N
810643	2762	1997-05-31	VYDAJ	VYBER	15	100825	SLUZBY	\N	\N
810644	2762	1997-06-30	VYDAJ	VYBER	15	70913	SLUZBY	\N	\N
810645	2762	1997-07-31	VYDAJ	VYBER	15	68141	SLUZBY	\N	\N
810646	2762	1997-08-31	VYDAJ	VYBER	15	72348	SLUZBY	\N	\N
810647	2762	1997-09-30	VYDAJ	VYBER	15	52779	SLUZBY	\N	\N
810648	2762	1997-10-31	VYDAJ	VYBER	15	89356	SLUZBY	\N	\N
810649	2762	1997-11-30	VYDAJ	VYBER	15	57927	SLUZBY	\N	\N
810650	2762	1997-12-31	VYDAJ	VYBER	15	62231	SLUZBY	\N	\N
810651	2762	1998-01-31	VYDAJ	VYBER	15	76558	SLUZBY	\N	\N
810652	2762	1998-02-28	VYDAJ	VYBER	15	83439	SLUZBY	\N	\N
810653	2762	1998-03-31	VYDAJ	VYBER	15	31248	SLUZBY	\N	\N
810654	2762	1998-04-30	VYDAJ	VYBER	15	46383	SLUZBY	\N	\N
810655	2762	1998-05-31	VYDAJ	VYBER	15	44403	SLUZBY	\N	\N
810656	2762	1998-06-30	VYDAJ	VYBER	15	41729	SLUZBY	\N	\N
810657	2762	1998-07-31	VYDAJ	VYBER	15	42005	SLUZBY	\N	\N
810658	2762	1998-08-31	VYDAJ	VYBER	15	89241	SLUZBY	\N	\N
810659	2762	1998-09-30	VYDAJ	VYBER	15	117597	SLUZBY	\N	\N
810660	2762	1998-10-31	VYDAJ	VYBER	15	54347	SLUZBY	\N	\N
810661	2762	1998-11-30	VYDAJ	VYBER	15	66552	SLUZBY	\N	\N
810662	2762	1993-04-19	VYDAJ	VYBER	39300	64164	\N	\N	\N
810663	2762	1993-05-02	VYDAJ	VYBER	58800	82586	\N	\N	\N
810664	2762	1993-05-19	VYDAJ	VYBER	37300	59846	\N	\N	\N
810665	2762	1993-06-18	VYDAJ	VYBER	15300	44335	\N	\N	\N
810666	2762	1993-07-18	VYDAJ	VYBER	34800	63809	\N	\N	\N
810667	2762	1993-07-30	VYDAJ	VYBER	15300	101462	\N	\N	\N
810668	2762	1993-08-17	VYDAJ	VYBER	34200	56152	\N	\N	\N
810669	2762	1993-08-31	VYDAJ	VYBER	46800	61403	\N	\N	\N
810670	2762	1993-09-16	VYDAJ	VYBER	22300	48448	\N	\N	\N
810671	2762	1993-10-16	VYDAJ	VYBER	7500	31088	\N	\N	\N
810672	2762	1993-11-15	VYDAJ	VYBER	28600	50308	\N	\N	\N
810673	2762	1993-12-04	VYDAJ	VYBER	60200	68772	\N	\N	\N
810674	2762	1993-12-15	VYDAJ	VYBER	11700	41347	\N	\N	\N
810675	2762	1994-01-14	VYDAJ	VYBER	8400	32400	\N	\N	\N
810676	2762	1994-02-13	VYDAJ	VYBER	2600	38618	\N	\N	\N
810677	2762	1994-03-01	VYDAJ	VYBER	61700	48649	\N	\N	\N
810678	2762	1994-03-15	VYDAJ	VYBER	6800	29224	\N	\N	\N
810679	2762	1994-04-14	VYDAJ	VYBER	9000	42023	\N	\N	\N
810680	2762	1994-04-27	VYDAJ	VYBER	29100	99999	\N	\N	\N
810681	2762	1994-04-30	VYDAJ	VYBER	32600	82955	\N	\N	\N
810682	2762	1994-05-14	VYDAJ	VYBER	21700	47915	\N	\N	\N
810683	2762	1994-06-13	PRIJEM	VKLAD	7100	34203	\N	\N	\N
810684	2762	1994-07-13	VYDAJ	VYBER	20800	50740	\N	\N	\N
810685	2762	1994-07-15	VYDAJ	VYBER	26300	108910	\N	\N	\N
810686	2762	1994-07-17	VYDAJ	VYBER	18500	129516	\N	\N	\N
810687	2762	1994-07-31	VYDAJ	VYBER	36600	93314	\N	\N	\N
810688	2762	1994-08-06	VYDAJ	VYBER	64600	60356	\N	\N	\N
810689	2762	1994-08-12	VYDAJ	VYBER	34200	61181	\N	\N	\N
810690	2762	1994-09-07	VYDAJ	VYBER	60100	84372	\N	\N	\N
810691	2762	1994-09-11	VYDAJ	VYBER	31300	53072	\N	\N	\N
810692	2762	1994-10-11	VYDAJ	VYBER	13500	42105	\N	\N	\N
810693	2762	1994-10-31	VYDAJ	VYBER	44100	65881	\N	\N	\N
810694	2762	1994-11-10	VYDAJ	VYBER	34100	62269	\N	\N	\N
810695	2762	1994-12-10	VYDAJ	VYBER	11900	37036	\N	\N	\N
810696	2762	1995-01-09	PRIJEM	VKLAD	4100	25692	\N	\N	\N
810697	2762	1995-02-08	PRIJEM	VKLAD	8100	21582	\N	\N	\N
810698	2762	1995-03-10	PRIJEM	VKLAD	9400	18763	\N	\N	\N
810699	2762	1995-04-06	VYDAJ	VYBER	62300	51685	\N	\N	\N
810700	2762	1995-04-09	VYDAJ	VYBER	13400	38285	\N	\N	\N
810701	2762	1995-05-09	PRIJEM	VKLAD	3100	29279	\N	\N	\N
810702	2762	1995-06-08	PRIJEM	VKLAD	3900	21000	\N	\N	\N
810703	2762	1995-07-08	PRIJEM	VKLAD	8500	17269	\N	\N	\N
810704	2762	1995-08-07	PRIJEM	VKLAD	5400	26186	\N	\N	\N
810705	2762	1995-09-06	PRIJEM	VKLAD	4700	18674	\N	\N	\N
810706	2762	1995-10-06	PRIJEM	VKLAD	100	27193	\N	\N	\N
810707	2762	1995-11-05	PRIJEM	VKLAD	4100	19096	\N	\N	\N
810708	2762	1995-12-05	PRIJEM	VKLAD	10900	17758	\N	\N	\N
810709	2762	1996-01-04	PRIJEM	VKLAD	11100	16602	\N	\N	\N
810710	2762	1996-02-03	PRIJEM	VKLAD	9200	25536	\N	\N	\N
810711	2762	1996-02-23	VYDAJ	VYBER	33800	81403	\N	\N	\N
810712	2762	1996-03-04	VYDAJ	VYBER	21100	60497	\N	\N	\N
810713	2762	1996-03-05	VYDAJ	VYBER	44700	62916	\N	\N	\N
810714	2762	1996-03-26	VYDAJ	VYBER	31000	85511	\N	\N	\N
810715	2762	1996-04-03	VYDAJ	VYBER	23700	62067	\N	\N	\N
810716	2762	1996-04-22	VYDAJ	VYBER	52800	54488	\N	\N	\N
810717	2762	1996-05-02	VYDAJ	VYBER	50600	61438	\N	\N	\N
810718	2762	1996-05-03	VYDAJ	VYBER	8300	48038	\N	\N	\N
810719	2762	1996-06-02	VYDAJ	VYBER	20300	53013	\N	\N	\N
810720	2762	1996-07-02	VYDAJ	VYBER	14500	49334	\N	\N	\N
810721	2762	1996-08-01	VYDAJ	VYBER	19100	53010	\N	\N	\N
810722	2762	1996-08-31	VYDAJ	VYBER	17500	51761	\N	\N	\N
810723	2762	1996-09-30	VYDAJ	VYBER	19900	57188	\N	\N	\N
810724	2762	1996-10-30	VYDAJ	VYBER	1500	30814	\N	\N	\N
810725	2762	1996-11-29	VYDAJ	VYBER	36500	69693	\N	\N	\N
810726	2762	1996-12-29	VYDAJ	VYBER	22400	62917	\N	\N	\N
810727	2762	1997-01-28	PRIJEM	VKLAD	3200	28885	\N	\N	\N
810728	2762	1997-02-27	VYDAJ	VYBER	20500	56227	\N	\N	\N
810729	2762	1997-03-29	VYDAJ	VYBER	5200	46279	\N	\N	\N
810730	2762	1997-04-28	VYDAJ	VYBER	20000	67403	\N	\N	\N
810731	2762	1997-05-28	VYDAJ	VYBER	13200	61516	\N	\N	\N
810732	2762	1997-06-06	VYDAJ	VYBER	48900	94423	\N	\N	\N
810733	2762	1997-06-16	VYDAJ	VYBER	22100	133022	\N	\N	\N
810734	2762	1997-06-17	VYDAJ	VYBER	20500	146048	\N	\N	\N
810735	2762	1997-06-19	VYDAJ	VYBER	61900	84148	\N	\N	\N
810736	2762	1997-06-27	VYDAJ	VYBER	24400	70489	\N	\N	\N
810737	2762	1997-07-21	VYDAJ	VYBER	27700	112703	\N	\N	\N
810738	2762	1997-07-27	VYDAJ	VYBER	30200	82503	\N	\N	\N
810739	2762	1997-08-26	VYDAJ	VYBER	18200	72071	\N	\N	\N
810740	2762	1997-09-25	VYDAJ	VYBER	12400	70891	\N	\N	\N
810741	2762	1997-10-25	VYDAJ	VYBER	8700	63342	\N	\N	\N
810742	2762	1997-11-24	PRIJEM	VKLAD	10900	46375	\N	\N	\N
810743	2762	1997-12-24	VYDAJ	VYBER	8900	61983	\N	\N	\N
810744	2762	1998-01-23	PRIJEM	VKLAD	17300	47706	\N	\N	\N
810745	2762	1998-02-13	VYDAJ	VYBER	20500	107688	\N	\N	\N
810746	2762	1998-02-19	VYDAJ	VYBER	38300	97776	\N	\N	\N
810747	2762	1998-02-22	VYDAJ	VYBER	14700	83076	\N	\N	\N
810748	2762	1998-03-11	VYDAJ	VYBER	60400	58249	\N	\N	\N
810749	2762	1998-03-24	PRIJEM	VKLAD	19500	52920	\N	\N	\N
810750	2762	1998-04-23	PRIJEM	VKLAD	14600	46205	\N	\N	\N
810751	2762	1998-05-23	PRIJEM	VKLAD	15500	44258	\N	\N	\N
810752	2762	1998-06-22	PRIJEM	VKLAD	14800	46078	\N	\N	\N
810753	2762	1998-07-22	PRIJEM	VKLAD	17600	47904	\N	\N	\N
810754	2762	1998-08-21	PRIJEM	VKLAD	6600	56570	\N	\N	\N
810755	2762	1998-09-14	VYDAJ	VYBER	26000	98690	\N	\N	\N
810756	2762	1998-09-20	VYDAJ	VYBER	20600	78090	\N	\N	\N
810757	2762	1998-10-19	VYDAJ	VYBER	56200	84786	\N	\N	\N
810758	2762	1998-10-20	VYDAJ	VYBER	8200	76586	\N	\N	\N
810759	2762	1998-11-19	VYDAJ	VYBER	100	66307	\N	\N	\N
810760	2762	1998-12-19	VYDAJ	VYBER	4400	64663	\N	\N	\N
810831	2763	1993-02-11	PRIJEM	VKLAD	200	200	\N	\N	\N
810832	2763	1993-09-07	PRIJEM	VKLAD	31495	56544	\N	\N	\N
810833	2763	1993-03-09	PRIJEM	VKLAD	31986	65221	\N	\N	\N
810834	2763	1993-03-02	PRIJEM	VKLAD	33035	33235	\N	\N	\N
810835	2763	1993-10-04	PRIJEM	VKLAD	34620	67702	\N	\N	\N
810836	2763	1993-07-25	PRIJEM	VKLAD	45687	104091	\N	\N	\N
810837	2763	1993-06-28	PRIJEM	VKLAD	49015	91652	\N	\N	\N
810838	2763	1993-04-29	PRIJEM	VKLAD	45008	83484	\N	\N	\N
810839	2763	1994-10-31	PRIJEM	VKLAD	49127	106515	\N	\N	\N
810840	2763	1994-07-12	PRIJEM	VKLAD	27377	48330	\N	\N	\N
810841	2763	1994-08-12	PRIJEM	VKLAD	18144	78153	\N	\N	\N
810842	2763	1994-03-25	PRIJEM	VKLAD	16184	51529	\N	\N	\N
810843	2763	1994-10-27	PRIJEM	VKLAD	31252	57229	\N	\N	\N
810844	2763	1994-04-13	PRIJEM	VKLAD	33719	95785	\N	\N	\N
810845	2763	1994-01-26	PRIJEM	VKLAD	5133	44141	\N	\N	\N
810846	2763	1994-05-15	PRIJEM	VKLAD	33248	76880	\N	\N	\N
810847	2763	1994-08-01	PRIJEM	VKLAD	42314	81283	\N	\N	\N
810848	2763	1994-08-28	PRIJEM	VKLAD	20641	81941	\N	\N	\N
810849	2763	1994-01-13	PRIJEM	VKLAD	43744	53708	\N	\N	\N
810850	2763	1994-04-09	PRIJEM	VKLAD	32573	71546	\N	\N	\N
810851	2763	1994-08-07	PRIJEM	VKLAD	7626	60009	\N	\N	\N
810852	2763	1994-12-19	PRIJEM	VKLAD	35977	63741	\N	\N	\N
810853	2763	1994-04-24	PRIJEM	VKLAD	24489	120274	\N	\N	\N
810854	2763	1994-02-15	PRIJEM	VKLAD	18750	51693	\N	\N	\N
810855	2763	1994-08-12	PRIJEM	VKLAD	13520	91673	\N	\N	\N
810856	2763	1994-11-29	PRIJEM	VKLAD	46703	68824	\N	\N	\N
810857	2763	1994-03-19	PRIJEM	VKLAD	10142	35345	\N	\N	\N
810858	2763	1994-10-08	PRIJEM	VKLAD	16763	48657	\N	\N	\N
810859	2763	1994-02-19	PRIJEM	VKLAD	14841	66534	\N	\N	\N
810860	2763	1994-02-02	PRIJEM	VKLAD	6433	83961	\N	\N	\N
810861	2763	1994-01-27	PRIJEM	VKLAD	33246	77387	\N	\N	\N
810862	2763	1995-09-20	PRIJEM	VKLAD	13055	85695	\N	\N	\N
810863	2763	1995-03-06	PRIJEM	VKLAD	47381	130382	\N	\N	\N
810864	2763	1995-07-10	PRIJEM	VKLAD	26247	62017	\N	\N	\N
810865	2763	1995-06-13	PRIJEM	VKLAD	37981	50881	\N	\N	\N
810866	2763	1995-05-08	PRIJEM	VKLAD	48549	108756	\N	\N	\N
810867	2763	1995-03-27	PRIJEM	VKLAD	30772	69573	\N	\N	\N
810868	2763	1995-09-07	PRIJEM	VKLAD	47324	96998	\N	\N	\N
810869	2763	1995-07-22	PRIJEM	VKLAD	7640	65792	\N	\N	\N
810870	2763	1995-05-02	PRIJEM	VKLAD	45173	116907	\N	\N	\N
810871	2763	1995-04-15	PRIJEM	VKLAD	42625	75067	\N	\N	\N
810872	2763	1995-10-24	PRIJEM	VKLAD	39079	91571	\N	\N	\N
810873	2763	1995-09-04	PRIJEM	VKLAD	24184	49674	\N	\N	\N
810874	2763	1995-12-25	PRIJEM	VKLAD	20793	100281	\N	\N	\N
810875	2763	1995-02-11	PRIJEM	VKLAD	18712	115500	\N	\N	\N
810876	2763	1995-12-13	PRIJEM	VKLAD	8478	60125	\N	\N	\N
810877	2763	1995-02-19	PRIJEM	VKLAD	15301	83621	\N	\N	\N
810878	2763	1995-03-11	PRIJEM	VKLAD	44599	111781	\N	\N	\N
810879	2763	1995-09-13	PRIJEM	VKLAD	41761	134458	\N	\N	\N
810880	2763	1995-12-15	PRIJEM	VKLAD	25063	85188	\N	\N	\N
810881	2763	1995-09-14	PRIJEM	VKLAD	21882	136040	\N	\N	\N
810882	2763	1995-11-29	PRIJEM	VKLAD	34612	60958	\N	\N	\N
810883	2763	1995-09-25	PRIJEM	VKLAD	48952	134647	\N	\N	\N
810884	2763	1995-01-10	PRIJEM	VKLAD	18458	55775	\N	\N	\N
810885	2763	1995-02-09	PRIJEM	VKLAD	40521	96788	\N	\N	\N
810886	2763	1995-09-12	PRIJEM	VKLAD	5179	102177	\N	\N	\N
810887	2763	1995-02-09	PRIJEM	VKLAD	34418	56267	\N	\N	\N
810888	2763	1995-03-05	PRIJEM	VKLAD	25860	83001	\N	\N	\N
810889	2763	1995-07-12	PRIJEM	VKLAD	46015	108032	\N	\N	\N
810890	2763	1995-03-02	PRIJEM	VKLAD	44478	128341	\N	\N	\N
810891	2763	1996-08-27	PRIJEM	VKLAD	23743	48672	\N	\N	\N
810892	2763	1996-03-12	PRIJEM	VKLAD	38923	71205	\N	\N	\N
810893	2763	1996-05-17	PRIJEM	VKLAD	9527	103025	\N	\N	\N
810894	2763	1996-05-13	PRIJEM	VKLAD	28334	123298	\N	\N	\N
810895	2763	1996-12-25	PRIJEM	VKLAD	25428	42829	\N	\N	\N
810896	2763	1996-08-13	PRIJEM	VKLAD	47275	63922	\N	\N	\N
810897	2763	1996-03-31	PRIJEM	VKLAD	23395	69485	\N	\N	\N
810898	2763	1996-12-19	PRIJEM	VKLAD	6410	15201	\N	\N	\N
810899	2763	1996-06-13	PRIJEM	VKLAD	37510	109509	\N	\N	\N
810900	2763	1996-02-28	PRIJEM	VKLAD	15603	32192	\N	\N	\N
810901	2763	1996-05-13	PRIJEM	VKLAD	49691	94964	\N	\N	\N
810902	2763	1996-03-22	PRIJEM	VKLAD	30252	72182	\N	\N	\N
810903	2763	1996-06-09	PRIJEM	VKLAD	46650	81479	\N	\N	\N
810904	2763	1996-04-28	PRIJEM	VKLAD	48868	68851	\N	\N	\N
810905	2763	1997-01-16	PRIJEM	VKLAD	16495	41198	\N	\N	\N
810906	2763	1997-06-21	PRIJEM	VKLAD	42261	55411	\N	\N	\N
810907	2763	1997-10-25	PRIJEM	VKLAD	15455	57608	\N	\N	\N
810908	2763	1997-11-29	PRIJEM	VKLAD	33447	89412	\N	\N	\N
810909	2763	1997-12-26	PRIJEM	VKLAD	31078	103983	\N	\N	\N
810910	2763	1997-12-18	PRIJEM	VKLAD	38552	89364	\N	\N	\N
810911	2763	1997-04-03	PRIJEM	VKLAD	27476	113000	\N	\N	\N
810912	2763	1997-08-05	PRIJEM	VKLAD	10195	33245	\N	\N	\N
810913	2763	1997-12-25	PRIJEM	VKLAD	33841	123205	\N	\N	\N
810914	2763	1997-09-22	PRIJEM	VKLAD	36740	68020	\N	\N	\N
810915	2763	1997-02-05	PRIJEM	VKLAD	41090	92215	\N	\N	\N
810916	2763	1997-03-30	PRIJEM	VKLAD	42067	85334	\N	\N	\N
810917	2763	1997-03-16	PRIJEM	VKLAD	44756	74367	\N	\N	\N
810918	2763	1997-04-07	PRIJEM	VKLAD	36581	149581	\N	\N	\N
810919	2763	1997-12-29	PRIJEM	VKLAD	9123	105306	\N	\N	\N
810920	2763	1997-08-29	PRIJEM	VKLAD	19485	42127	\N	\N	\N
810921	2763	1997-11-22	PRIJEM	VKLAD	22625	55965	\N	\N	\N
810922	2763	1997-10-21	PRIJEM	VKLAD	27289	62144	\N	\N	\N
810923	2763	1997-12-03	PRIJEM	VKLAD	14477	104092	\N	\N	\N
810924	2763	1997-08-10	PRIJEM	VKLAD	13577	46822	\N	\N	\N
810925	2763	1997-11-15	PRIJEM	VKLAD	22577	59340	\N	\N	\N
810926	2763	1997-10-07	PRIJEM	VKLAD	10026	73435	\N	\N	\N
810927	2763	1997-09-05	PRIJEM	VKLAD	22634	64860	\N	\N	\N
810928	2763	1997-04-18	PRIJEM	VKLAD	28669	129480	\N	\N	\N
810929	2763	1997-01-20	PRIJEM	VKLAD	38569	76467	\N	\N	\N
810930	2763	1998-10-04	PRIJEM	VKLAD	17478	40883	\N	\N	\N
810931	2763	1998-06-10	PRIJEM	VKLAD	22697	41835	\N	\N	\N
810932	2763	1998-06-18	PRIJEM	VKLAD	44988	77343	\N	\N	\N
810933	2763	1998-03-31	PRIJEM	VKLAD	45930	60783	\N	\N	\N
810934	2763	1998-10-28	PRIJEM	VKLAD	34819	66222	\N	\N	\N
810935	2763	1998-07-23	PRIJEM	VKLAD	6024	44328	\N	\N	\N
810936	2763	1998-03-11	PRIJEM	VKLAD	5189	24333	\N	\N	\N
810937	2763	1998-08-22	PRIJEM	VKLAD	5067	40122	\N	\N	\N
810938	2763	1998-12-30	PRIJEM	VKLAD	48012	66442	\N	\N	\N
810939	2763	1998-07-12	PRIJEM	VKLAD	43413	96617	\N	\N	\N
811019	2763	1993-08-12	VYDAJ	PREVOD NA UCET	9480	41988	SIPO	AB	90810441
811020	2763	1993-09-12	VYDAJ	PREVOD NA UCET	9480	32964	SIPO	AB	90810441
811021	2763	1993-10-12	VYDAJ	PREVOD NA UCET	9480	31968	SIPO	AB	90810441
811022	2763	1993-11-12	VYDAJ	PREVOD NA UCET	9480	18503	SIPO	AB	90810441
811023	2763	1993-12-12	VYDAJ	PREVOD NA UCET	9480	11201	SIPO	AB	90810441
811024	2763	1994-01-12	VYDAJ	PREVOD NA UCET	9480	9964	SIPO	AB	90810441
811025	2763	1994-02-12	VYDAJ	PREVOD NA UCET	9480	35043	SIPO	AB	90810441
811026	2763	1994-03-12	VYDAJ	PREVOD NA UCET	9480	25203	SIPO	AB	90810441
811027	2763	1994-04-12	VYDAJ	PREVOD NA UCET	9480	62066	SIPO	AB	90810441
811028	2763	1994-05-12	VYDAJ	PREVOD NA UCET	9480	43632	SIPO	AB	90810441
811029	2763	1994-06-12	VYDAJ	PREVOD NA UCET	9480	19838	SIPO	AB	90810441
811030	2763	1994-07-12	VYDAJ	PREVOD NA UCET	9480	38850	SIPO	AB	90810441
811031	2763	1994-08-12	VYDAJ	PREVOD NA UCET	9480	82193	SIPO	AB	90810441
811032	2763	1994-09-12	VYDAJ	PREVOD NA UCET	9480	38406	SIPO	AB	90810441
811033	2763	1994-10-12	VYDAJ	PREVOD NA UCET	9480	39177	SIPO	AB	90810441
811034	2763	1994-11-12	VYDAJ	PREVOD NA UCET	9480	24821	SIPO	AB	90810441
811035	2763	1994-12-12	VYDAJ	PREVOD NA UCET	9480	27764	SIPO	AB	90810441
811036	2763	1995-01-12	VYDAJ	PREVOD NA UCET	9480	46295	SIPO	AB	90810441
811037	2763	1995-02-12	VYDAJ	PREVOD NA UCET	9480	68320	SIPO	AB	90810441
811038	2763	1995-03-12	VYDAJ	PREVOD NA UCET	9480	38801	SIPO	AB	90810441
811039	2763	1995-04-12	VYDAJ	PREVOD NA UCET	9480	38309	SIPO	AB	90810441
811040	2763	1995-05-12	VYDAJ	PREVOD NA UCET	9480	61376	SIPO	AB	90810441
811041	2763	1995-06-12	VYDAJ	PREVOD NA UCET	9480	12900	SIPO	AB	90810441
811042	2763	1995-07-12	VYDAJ	PREVOD NA UCET	9480	98552	SIPO	AB	90810441
811043	2763	1995-08-12	VYDAJ	PREVOD NA UCET	9480	31838	SIPO	AB	90810441
811044	2763	1995-09-12	VYDAJ	PREVOD NA UCET	9480	92697	SIPO	AB	90810441
811045	2763	1995-10-12	VYDAJ	PREVOD NA UCET	9480	52492	SIPO	AB	90810441
811046	2763	1995-11-12	VYDAJ	PREVOD NA UCET	9480	34346	SIPO	AB	90810441
811047	2763	1995-12-12	VYDAJ	PREVOD NA UCET	9480	51647	SIPO	AB	90810441
811048	2763	1996-01-12	VYDAJ	PREVOD NA UCET	9480	52684	SIPO	AB	90810441
811049	2763	1996-02-12	VYDAJ	PREVOD NA UCET	9480	16089	SIPO	AB	90810441
811050	2763	1996-03-12	VYDAJ	PREVOD NA UCET	9480	61725	SIPO	AB	90810441
811051	2763	1996-04-12	VYDAJ	PREVOD NA UCET	9480	20783	SIPO	AB	90810441
811052	2763	1996-05-12	VYDAJ	PREVOD NA UCET	9480	45273	SIPO	AB	90810441
811053	2763	1996-06-12	VYDAJ	PREVOD NA UCET	9480	71999	SIPO	AB	90810441
811054	2763	1996-07-12	VYDAJ	PREVOD NA UCET	9480	29497	SIPO	AB	90810441
811055	2763	1996-08-12	VYDAJ	PREVOD NA UCET	9480	16647	SIPO	AB	90810441
811056	2763	1996-09-12	VYDAJ	PREVOD NA UCET	9480	39346	SIPO	AB	90810441
811057	2763	1996-10-12	VYDAJ	PREVOD NA UCET	9480	18428	SIPO	AB	90810441
811058	2763	1996-11-12	VYDAJ	PREVOD NA UCET	9480	8734	SIPO	AB	90810441
811060	2763	1997-01-12	VYDAJ	PREVOD NA UCET	9480	24703	SIPO	AB	90810441
811061	2763	1997-02-12	VYDAJ	PREVOD NA UCET	9480	80035	SIPO	AB	90810441
811062	2763	1997-03-12	VYDAJ	PREVOD NA UCET	9480	29611	SIPO	AB	90810441
811063	2763	1997-04-12	VYDAJ	PREVOD NA UCET	9480	100811	SIPO	AB	90810441
811064	2763	1997-05-12	VYDAJ	PREVOD NA UCET	9480	29810	SIPO	AB	90810441
811065	2763	1997-06-12	VYDAJ	PREVOD NA UCET	9480	13150	SIPO	AB	90810441
811066	2763	1997-07-12	VYDAJ	PREVOD NA UCET	9480	31017	SIPO	AB	90810441
811067	2763	1997-08-12	VYDAJ	PREVOD NA UCET	9480	32842	SIPO	AB	90810441
811068	2763	1997-09-12	VYDAJ	PREVOD NA UCET	9480	55380	SIPO	AB	90810441
811069	2763	1997-10-12	VYDAJ	PREVOD NA UCET	9480	63955	SIPO	AB	90810441
811070	2763	1997-11-12	VYDAJ	PREVOD NA UCET	9480	36763	SIPO	AB	90810441
811071	2763	1997-12-12	VYDAJ	PREVOD NA UCET	9480	94612	SIPO	AB	90810441
811072	2763	1998-01-12	VYDAJ	PREVOD NA UCET	9480	76399	SIPO	AB	90810441
811073	2763	1998-02-12	VYDAJ	PREVOD NA UCET	9480	19047	SIPO	AB	90810441
811074	2763	1998-03-12	VYDAJ	PREVOD NA UCET	9480	14853	SIPO	AB	90810441
811075	2763	1998-04-12	VYDAJ	PREVOD NA UCET	9480	51357	SIPO	AB	90810441
811076	2763	1998-05-12	VYDAJ	PREVOD NA UCET	9480	19042	SIPO	AB	90810441
811077	2763	1998-06-12	VYDAJ	PREVOD NA UCET	9480	32355	SIPO	AB	90810441
811078	2763	1998-07-12	VYDAJ	PREVOD NA UCET	9480	87137	SIPO	AB	90810441
811079	2763	1998-08-12	VYDAJ	PREVOD NA UCET	9480	35055	SIPO	AB	90810441
811080	2763	1998-09-12	VYDAJ	PREVOD NA UCET	9480	23292	SIPO	AB	90810441
811081	2763	1998-10-12	VYDAJ	PREVOD NA UCET	9480	31403	SIPO	AB	90810441
811082	2763	1998-11-12	VYDAJ	PREVOD NA UCET	9480	56858	SIPO	AB	90810441
811083	2763	1998-12-12	VYDAJ	PREVOD NA UCET	9480	18430	SIPO	AB	90810441
811086	2763	1993-08-24	VYBER	VYBER	2199	24835	\N	\N	\N
811087	2763	1993-10-31	VYBER	VYBER	3122	28998	\N	\N	\N
811089	2763	1993-08-24	VYBER	VYBER	14954	27034	\N	\N	\N
811092	2763	1993-10-05	VYBER	VYBER	8954	58748	\N	\N	\N
811098	2763	1994-02-11	VYBER	VYBER	5438	44523	\N	\N	\N
811099	2763	1994-02-25	VYBER	VYBER	11369	38675	\N	\N	\N
811100	2763	1994-06-09	VYBER	VYBER	13318	29318	\N	\N	\N
811101	2763	1994-02-24	VYBER	VYBER	16490	50044	\N	\N	\N
811103	2763	1994-05-19	VYBER	VYBER	6792	70088	\N	\N	\N
811104	2763	1994-05-30	VYBER	VYBER	11229	58859	\N	\N	\N
811105	2763	1994-12-29	VYBER	VYBER	4625	59116	\N	\N	\N
811106	2763	1994-08-15	VYBER	VYBER	20893	61300	\N	\N	\N
811107	2763	1995-04-13	VYBER	VYBER	5867	32442	\N	\N	\N
811111	2763	1996-05-22	VYBER	VYBER	20077	79048	\N	\N	\N
811112	2763	1996-03-21	VYBER	VYBER	19795	41930	\N	\N	\N
811113	2763	1996-04-29	VYBER	VYBER	14253	54598	\N	\N	\N
811115	2763	1996-08-23	VYBER	VYBER	13787	34429	\N	\N	\N
811118	2763	1996-04-11	VYBER	VYBER	23411	30263	\N	\N	\N
811119	2763	1996-08-22	VYBER	VYBER	13906	48216	\N	\N	\N
811121	2763	1996-04-10	VYBER	VYBER	15796	53674	\N	\N	\N
811122	2763	1997-10-22	VYBER	VYBER	19991	42153	\N	\N	\N
811123	2763	1997-04-08	VYBER	VYBER	21690	110291	\N	\N	\N
811124	2763	1997-07-03	VYBER	VYBER	15035	40497	\N	\N	\N
811125	2763	1997-02-19	VYBER	VYBER	22193	57842	\N	\N	\N
811126	2763	1997-11-06	VYBER	VYBER	11584	46243	\N	\N	\N
811127	2763	1998-01-09	VYBER	VYBER	4795	85879	\N	\N	\N
811130	2763	1998-07-16	VYBER	VYBER	3233	38304	\N	\N	\N
811135	2763	1995-06-10	VYDAJ	VYBER	20100	22380	\N	\N	\N
811136	2763	1996-06-13	VYDAJ	VYBER	38100	71409	\N	\N	\N
811140	2763	1994-12-07	VYDAJ	VYBER	7800	37244	\N	\N	\N
811141	2763	1995-12-20	VYDAJ	VYBER	5700	79488	\N	\N	\N
811143	2763	1997-12-26	VYDAJ	VYBER	7800	96183	\N	\N	\N
811153	2763	1994-01-25	VYDAJ	VYBER	7500	39008	\N	\N	\N
811154	2763	1994-01-13	VYDAJ	VYBER	7200	46508	\N	\N	\N
811157	2763	1995-01-20	VYDAJ	VYBER	1800	44495	\N	\N	\N
811158	2763	1995-01-26	VYDAJ	VYBER	7500	29195	\N	\N	\N
811159	2763	1995-01-01	VYDAJ	VYBER	8700	50617	\N	\N	\N
811160	2763	1995-01-25	VYDAJ	VYBER	7800	36695	\N	\N	\N
811161	2763	1995-01-06	VYDAJ	VYBER	1500	37317	\N	\N	\N
811162	2763	1995-01-29	VYDAJ	VYBER	6000	23195	\N	\N	\N
811165	2763	1996-01-24	VYDAJ	VYBER	6600	31084	\N	\N	\N
811166	2763	1996-01-21	VYDAJ	VYBER	3900	43984	\N	\N	\N
811167	2763	1996-01-15	VYDAJ	VYBER	4800	47884	\N	\N	\N
811168	2763	1996-01-23	VYDAJ	VYBER	6300	37684	\N	\N	\N
811169	2763	1997-01-16	VYDAJ	VYBER	3300	37898	\N	\N	\N
811170	2763	1997-01-05	VYDAJ	VYBER	4500	35983	\N	\N	\N
811172	2763	1997-01-06	VYDAJ	VYBER	1800	34183	\N	\N	\N
811174	2763	1997-01-04	VYDAJ	VYBER	2400	40483	\N	\N	\N
811175	2763	1998-01-07	VYDAJ	VYBER	5400	90674	\N	\N	\N
811176	2763	1998-01-04	VYDAJ	VYBER	5100	100574	\N	\N	\N
811177	2763	1998-01-06	VYDAJ	VYBER	4500	96074	\N	\N	\N
811178	2763	1998-01-19	VYDAJ	VYBER	8700	28299	\N	\N	\N
811182	2763	1993-08-04	VYDAJ	VYBER	12900	75568	\N	\N	\N
811185	2763	1994-02-02	VYDAJ	VYBER	14400	69561	\N	\N	\N
811186	2763	1994-02-13	VYDAJ	VYBER	2100	32943	\N	\N	\N
811187	2763	1994-11-13	VYDAJ	VYBER	2700	22121	\N	\N	\N
811188	2763	1994-10-17	VYDAJ	VYBER	13200	25977	\N	\N	\N
811189	2763	1994-09-07	VYDAJ	VYBER	3600	47886	\N	\N	\N
811191	2763	1995-09-15	VYDAJ	VYBER	9300	72640	\N	\N	\N
811192	2763	1995-10-31	VYDAJ	VYBER	9000	43841	\N	\N	\N
811193	2763	1995-05-21	VYDAJ	VYBER	5700	55676	\N	\N	\N
811194	2763	1995-08-30	VYDAJ	VYBER	2400	25338	\N	\N	\N
811195	2763	1995-10-27	VYDAJ	VYBER	7200	84371	\N	\N	\N
811196	2763	1995-04-20	VYDAJ	VYBER	3600	71467	\N	\N	\N
811198	2763	1996-07-05	VYDAJ	VYBER	9000	38977	\N	\N	\N
811200	2763	1996-05-29	VYDAJ	VYBER	12300	34548	\N	\N	\N
811201	2763	1996-05-19	VYDAJ	VYBER	3900	99125	\N	\N	\N
811202	2763	1996-08-15	VYDAJ	VYBER	1800	62122	\N	\N	\N
811203	2763	1997-04-21	VYDAJ	VYBER	1800	76780	\N	\N	\N
811204	2763	1997-08-10	VYDAJ	VYBER	4500	42322	\N	\N	\N
811206	2763	1997-02-05	VYDAJ	VYBER	2700	89515	\N	\N	\N
811207	2763	1997-04-26	VYDAJ	VYBER	11100	38980	\N	\N	\N
811208	2763	1997-09-25	VYDAJ	VYBER	4800	63220	\N	\N	\N
811210	2763	1998-06-24	VYDAJ	VYBER	14100	63243	\N	\N	\N
811211	2763	1998-08-24	VYDAJ	VYBER	7500	32622	\N	\N	\N
811213	2763	1998-07-09	VYDAJ	VYBER	10200	53204	\N	\N	\N
811221	2763	1993-07-31	VYDAJ	VYBER	15	88468	SLUZBY	\N	\N
811222	2763	1993-08-31	VYDAJ	VYBER	15	25049	SLUZBY	\N	\N
811223	2763	1993-09-30	VYDAJ	VYBER	15	33082	SLUZBY	\N	\N
811224	2763	1993-10-31	VYDAJ	VYBER	15	28983	SLUZBY	\N	\N
811225	2763	1993-11-30	VYDAJ	VYBER	15	18581	SLUZBY	\N	\N
811226	2763	1993-12-31	VYDAJ	VYBER	15	11244	SLUZBY	\N	\N
811227	2763	1994-01-31	VYDAJ	VYBER	15	77528	SLUZBY	\N	\N
811228	2763	1994-02-28	VYDAJ	VYBER	15	38883	SLUZBY	\N	\N
811229	2763	1994-03-31	VYDAJ	VYBER	15	51673	SLUZBY	\N	\N
811230	2763	1994-04-30	VYDAJ	VYBER	15	77212	SLUZBY	\N	\N
811231	2763	1994-05-31	VYDAJ	VYBER	15	59136	SLUZBY	\N	\N
811232	2763	1994-06-30	VYDAJ	VYBER	15	19953	SLUZBY	\N	\N
811233	2763	1994-07-31	VYDAJ	VYBER	15	38969	SLUZBY	\N	\N
811234	2763	1994-08-31	VYDAJ	VYBER	15	82186	SLUZBY	\N	\N
811235	2763	1994-09-30	VYDAJ	VYBER	15	38594	SLUZBY	\N	\N
811236	2763	1994-10-31	VYDAJ	VYBER	15	106501	SLUZBY	\N	\N
811237	2763	1994-11-30	VYDAJ	VYBER	15	68944	SLUZBY	\N	\N
811238	2763	1994-12-31	VYDAJ	VYBER	15	59317	SLUZBY	\N	\N
811239	2763	1995-01-31	VYDAJ	VYBER	15	23349	SLUZBY	\N	\N
811240	2763	1995-02-28	VYDAJ	VYBER	15	83863	SLUZBY	\N	\N
811241	2763	1995-03-31	VYDAJ	VYBER	15	69789	SLUZBY	\N	\N
811242	2763	1995-04-30	VYDAJ	VYBER	15	71734	SLUZBY	\N	\N
811243	2763	1995-05-31	VYDAJ	VYBER	15	55980	SLUZBY	\N	\N
811244	2763	1995-06-30	VYDAJ	VYBER	15	51070	SLUZBY	\N	\N
811245	2763	1995-07-31	VYDAJ	VYBER	15	41318	SLUZBY	\N	\N
811246	2763	1995-08-31	VYDAJ	VYBER	15	25490	SLUZBY	\N	\N
811247	2763	1995-09-30	VYDAJ	VYBER	15	61972	SLUZBY	\N	\N
811248	2763	1995-10-31	VYDAJ	VYBER	15	43826	SLUZBY	\N	\N
811249	2763	1995-11-30	VYDAJ	VYBER	15	61127	SLUZBY	\N	\N
811250	2763	1995-12-31	VYDAJ	VYBER	15	62164	SLUZBY	\N	\N
811251	2763	1996-01-31	VYDAJ	VYBER	15	25569	SLUZBY	\N	\N
811252	2763	1996-02-29	VYDAJ	VYBER	15	32282	SLUZBY	\N	\N
811253	2763	1996-03-31	VYDAJ	VYBER	15	69470	SLUZBY	\N	\N
811254	2763	1996-04-30	VYDAJ	VYBER	15	54753	SLUZBY	\N	\N
811255	2763	1996-05-31	VYDAJ	VYBER	15	34829	SLUZBY	\N	\N
811256	2763	1996-06-30	VYDAJ	VYBER	15	47977	SLUZBY	\N	\N
811257	2763	1996-07-31	VYDAJ	VYBER	15	26127	SLUZBY	\N	\N
811258	2763	1996-08-31	VYDAJ	VYBER	15	48826	SLUZBY	\N	\N
811259	2763	1996-09-30	VYDAJ	VYBER	15	27908	SLUZBY	\N	\N
811260	2763	1996-10-31	VYDAJ	VYBER	15	18214	SLUZBY	\N	\N
811261	2763	1996-11-30	VYDAJ	VYBER	15	8791	SLUZBY	\N	\N
811262	2763	1996-12-31	VYDAJ	VYBER	15	42883	SLUZBY	\N	\N
811263	2763	1997-01-31	VYDAJ	VYBER	15	51125	SLUZBY	\N	\N
811264	2763	1997-02-28	VYDAJ	VYBER	15	39091	SLUZBY	\N	\N
811265	2763	1997-03-31	VYDAJ	VYBER	15	85524	SLUZBY	\N	\N
811266	2763	1997-04-30	VYDAJ	VYBER	15	39290	SLUZBY	\N	\N
811267	2763	1997-05-31	VYDAJ	VYBER	15	22630	SLUZBY	\N	\N
811268	2763	1997-06-30	VYDAJ	VYBER	15	55532	SLUZBY	\N	\N
811269	2763	1997-07-31	VYDAJ	VYBER	15	23050	SLUZBY	\N	\N
811270	2763	1997-08-31	VYDAJ	VYBER	15	42226	SLUZBY	\N	\N
811271	2763	1997-09-30	VYDAJ	VYBER	15	63409	SLUZBY	\N	\N
811272	2763	1997-10-31	VYDAJ	VYBER	15	57827	SLUZBY	\N	\N
811273	2763	1997-11-30	VYDAJ	VYBER	15	89615	SLUZBY	\N	\N
811274	2763	1997-12-31	VYDAJ	VYBER	15	105674	SLUZBY	\N	\N
811275	2763	1998-01-31	VYDAJ	VYBER	15	28527	SLUZBY	\N	\N
811276	2763	1998-02-28	VYDAJ	VYBER	15	19144	SLUZBY	\N	\N
811277	2763	1998-03-31	VYDAJ	VYBER	15	60837	SLUZBY	\N	\N
811278	2763	1998-04-30	VYDAJ	VYBER	15	28522	SLUZBY	\N	\N
811279	2763	1998-05-31	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
811280	2763	1998-06-30	VYDAJ	VYBER	15	63404	SLUZBY	\N	\N
811281	2763	1998-07-31	VYDAJ	VYBER	15	44535	SLUZBY	\N	\N
811282	2763	1998-08-31	VYDAJ	VYBER	15	32772	SLUZBY	\N	\N
811283	2763	1998-09-30	VYDAJ	VYBER	15	23405	SLUZBY	\N	\N
811284	2763	1998-10-31	VYDAJ	VYBER	15	66338	SLUZBY	\N	\N
811285	2763	1998-11-30	VYDAJ	VYBER	15	27910	SLUZBY	\N	\N
811286	2763	1993-03-13	VYDAJ	VYBER	18300	46921	\N	\N	\N
811287	2763	1993-04-12	VYDAJ	VYBER	8600	38476	\N	\N	\N
811288	2763	1993-05-12	VYDAJ	VYBER	29200	54490	\N	\N	\N
811289	2763	1993-06-11	VYDAJ	VYBER	12200	42637	\N	\N	\N
811290	2763	1993-07-11	VYDAJ	VYBER	33600	58404	\N	\N	\N
811291	2763	1993-07-25	VYDAJ	VYBER	16000	88091	\N	\N	\N
811292	2763	1993-08-10	VYDAJ	VYBER	24100	51468	\N	\N	\N
811293	2763	1993-09-09	VYDAJ	VYBER	14100	42444	\N	\N	\N
811294	2763	1993-10-09	VYDAJ	VYBER	17300	41448	\N	\N	\N
811295	2763	1993-11-08	VYDAJ	VYBER	1000	27983	\N	\N	\N
811296	2763	1993-12-08	PRIJEM	VKLAD	2100	20681	\N	\N	\N
811297	2763	1994-01-07	PRIJEM	VKLAD	8200	19444	\N	\N	\N
811298	2763	1994-02-06	VYDAJ	VYBER	19600	49961	\N	\N	\N
811299	2763	1994-03-08	VYDAJ	VYBER	4200	34683	\N	\N	\N
811300	2763	1994-04-07	VYDAJ	VYBER	12700	38973	\N	\N	\N
811301	2763	1994-04-24	VYDAJ	VYBER	43400	76874	\N	\N	\N
811302	2763	1994-05-07	VYDAJ	VYBER	24100	53112	\N	\N	\N
811303	2763	1994-06-06	VYDAJ	VYBER	16500	42636	\N	\N	\N
811304	2763	1994-07-06	PRIJEM	VKLAD	1000	20953	\N	\N	\N
811305	2763	1994-08-05	VYDAJ	VYBER	28900	52383	\N	\N	\N
811306	2763	1994-09-04	VYDAJ	VYBER	30700	51486	\N	\N	\N
811307	2763	1994-10-04	VYDAJ	VYBER	6700	31894	\N	\N	\N
811308	2763	1994-10-31	VYDAJ	VYBER	64500	42001	\N	\N	\N
811309	2763	1994-11-03	VYDAJ	VYBER	7700	34301	\N	\N	\N
811310	2763	1994-12-03	VYDAJ	VYBER	23900	45044	\N	\N	\N
811311	2763	1995-01-02	VYDAJ	VYBER	11800	38817	\N	\N	\N
811312	2763	1995-02-01	VYDAJ	VYBER	1500	21849	\N	\N	\N
811313	2763	1995-02-11	VYDAJ	VYBER	37700	77800	\N	\N	\N
811314	2763	1995-03-02	VYDAJ	VYBER	34000	94341	\N	\N	\N
811315	2763	1995-03-03	VYDAJ	VYBER	37200	57141	\N	\N	\N
811316	2763	1995-03-06	VYDAJ	VYBER	63200	67182	\N	\N	\N
811317	2763	1995-03-11	VYDAJ	VYBER	63500	48281	\N	\N	\N
811318	2763	1995-04-02	VYDAJ	VYBER	22000	47789	\N	\N	\N
811319	2763	1995-05-02	VYDAJ	VYBER	16600	60207	\N	\N	\N
811320	2763	1995-05-02	VYDAJ	VYBER	40100	76807	\N	\N	\N
811321	2763	1995-05-08	VYDAJ	VYBER	37900	70856	\N	\N	\N
811322	2763	1995-06-01	VYDAJ	VYBER	13500	42480	\N	\N	\N
811323	2763	1995-07-01	VYDAJ	VYBER	15300	35770	\N	\N	\N
811324	2763	1995-07-12	VYDAJ	VYBER	40400	58152	\N	\N	\N
811325	2763	1995-07-31	VYDAJ	VYBER	24700	41333	\N	\N	\N
811326	2763	1995-08-30	VYDAJ	VYBER	4100	27738	\N	\N	\N
811327	2763	1995-09-13	VYDAJ	VYBER	20300	114158	\N	\N	\N
811328	2763	1995-09-14	VYDAJ	VYBER	54100	81940	\N	\N	\N
811329	2763	1995-09-25	VYDAJ	VYBER	31300	103347	\N	\N	\N
811330	2763	1995-09-29	VYDAJ	VYBER	41700	61647	\N	\N	\N
811331	2763	1995-10-29	VYDAJ	VYBER	31800	52571	\N	\N	\N
811332	2763	1995-11-28	VYDAJ	VYBER	8000	26346	\N	\N	\N
811333	2763	1995-12-28	VYDAJ	VYBER	38400	61881	\N	\N	\N
811334	2763	1996-01-27	VYDAJ	VYBER	5700	25384	\N	\N	\N
811335	2763	1996-02-26	PRIJEM	VKLAD	500	16589	\N	\N	\N
811336	2763	1996-03-27	VYDAJ	VYBER	26300	45882	\N	\N	\N
811337	2763	1996-04-26	VYDAJ	VYBER	800	19983	\N	\N	\N
811338	2763	1996-05-13	VYDAJ	VYBER	29800	93498	\N	\N	\N
811339	2763	1996-05-26	VYDAJ	VYBER	32200	46848	\N	\N	\N
811340	2763	1996-06-25	VYDAJ	VYBER	23700	47709	\N	\N	\N
811341	2763	1996-07-25	VYDAJ	VYBER	3500	25997	\N	\N	\N
811342	2763	1996-08-24	VYDAJ	VYBER	9500	24929	\N	\N	\N
811343	2763	1996-09-23	VYDAJ	VYBER	11600	27746	\N	\N	\N
811344	2763	1996-10-23	VYDAJ	VYBER	300	18128	\N	\N	\N
811345	2763	1996-12-22	PRIJEM	VKLAD	2200	17401	\N	\N	\N
811346	2763	1997-01-21	VYDAJ	VYBER	25500	50967	\N	\N	\N
811347	2763	1997-02-20	VYDAJ	VYBER	19000	38842	\N	\N	\N
811348	2763	1997-03-22	VYDAJ	VYBER	31100	43267	\N	\N	\N
811349	2763	1997-04-07	VYDAJ	VYBER	17600	131981	\N	\N	\N
811350	2763	1997-04-18	VYDAJ	VYBER	50900	78580	\N	\N	\N
811351	2763	1997-04-21	VYDAJ	VYBER	26700	50080	\N	\N	\N
811352	2763	1997-05-21	VYDAJ	VYBER	7300	22510	\N	\N	\N
811353	2763	1997-07-20	VYDAJ	VYBER	8100	22917	\N	\N	\N
811354	2763	1997-08-19	VYDAJ	VYBER	10200	22642	\N	\N	\N
811355	2763	1997-09-18	VYDAJ	VYBER	24100	31280	\N	\N	\N
811356	2763	1997-10-18	VYDAJ	VYBER	29100	34855	\N	\N	\N
811357	2763	1997-11-17	VYDAJ	VYBER	26000	33340	\N	\N	\N
811358	2763	1997-12-17	VYDAJ	VYBER	43800	50812	\N	\N	\N
811359	2763	1997-12-25	VYDAJ	VYBER	50300	72905	\N	\N	\N
811360	2763	1998-01-16	VYDAJ	VYBER	39400	36999	\N	\N	\N
811361	2763	1998-04-16	VYDAJ	VYBER	23000	28357	\N	\N	\N
811362	2763	1998-07-15	VYDAJ	VYBER	45600	41537	\N	\N	\N
811363	2763	1998-11-12	VYDAJ	VYBER	29100	27758	\N	\N	\N
811436	2764	1996-08-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
811445	2764	1996-09-06	PRIJEM	VKLAD	16571	17671	\N	\N	\N
811446	2764	1996-10-06	PRIJEM	VKLAD	16571	39897	\N	\N	\N
811447	2764	1996-11-06	PRIJEM	VKLAD	16571	49087	\N	\N	\N
811448	2764	1996-12-06	PRIJEM	VKLAD	24856	65999	\N	\N	\N
811449	2764	1997-01-06	PRIJEM	VKLAD	16571	66564	\N	\N	\N
811450	2764	1997-02-06	PRIJEM	VKLAD	16571	41126	\N	\N	\N
811451	2764	1997-03-06	PRIJEM	VKLAD	16571	49091	\N	\N	\N
811452	2764	1997-04-06	PRIJEM	VKLAD	16571	53302	\N	\N	\N
811453	2764	1997-05-06	PRIJEM	VKLAD	16571	55497	\N	\N	\N
811454	2764	1997-06-06	PRIJEM	VKLAD	24856	70737	\N	\N	\N
811455	2764	1997-07-06	PRIJEM	VKLAD	16571	58452	\N	\N	\N
811456	2764	1997-08-06	PRIJEM	VKLAD	16571	60387	\N	\N	\N
811457	2764	1997-09-06	PRIJEM	VKLAD	16571	62594	\N	\N	\N
811458	2764	1997-10-06	PRIJEM	VKLAD	16571	67352	\N	\N	\N
811459	2764	1997-11-06	PRIJEM	VKLAD	16571	63714	\N	\N	\N
811460	2764	1997-12-06	PRIJEM	VKLAD	24856	75758	\N	\N	\N
811461	2764	1998-01-06	PRIJEM	VKLAD	16571	64309	\N	\N	\N
811462	2764	1998-02-06	PRIJEM	VKLAD	16571	51156	\N	\N	\N
811463	2764	1998-03-06	PRIJEM	VKLAD	16571	59680	\N	\N	\N
811464	2764	1998-04-06	PRIJEM	VKLAD	16571	67836	\N	\N	\N
811465	2764	1998-05-06	PRIJEM	VKLAD	16571	73017	\N	\N	\N
811466	2764	1998-06-06	PRIJEM	VKLAD	24856	47867	\N	\N	\N
811467	2764	1998-07-06	PRIJEM	VKLAD	16571	59197	\N	\N	\N
811468	2764	1998-08-06	PRIJEM	VKLAD	16571	66351	\N	\N	\N
811469	2764	1998-09-06	PRIJEM	VKLAD	16571	73275	\N	\N	\N
811470	2764	1998-10-06	PRIJEM	VKLAD	16571	76511	\N	\N	\N
811471	2764	1998-11-06	PRIJEM	VKLAD	16571	82465	\N	\N	\N
811472	2764	1998-12-06	PRIJEM	VKLAD	24856	93926	\N	\N	\N
811485	2764	1997-01-12	VYDAJ	PREVOD NA UCET	1024	63158	SIPO	ST	22728401
811486	2764	1997-02-12	VYDAJ	PREVOD NA UCET	1024	34320	SIPO	ST	22728401
811487	2764	1997-03-12	VYDAJ	PREVOD NA UCET	1024	45685	SIPO	ST	22728401
811488	2764	1997-04-12	VYDAJ	PREVOD NA UCET	1024	49896	SIPO	ST	22728401
811489	2764	1997-05-12	VYDAJ	PREVOD NA UCET	1024	52091	SIPO	ST	22728401
811490	2764	1997-06-12	VYDAJ	PREVOD NA UCET	1024	54331	SIPO	ST	22728401
811491	2764	1997-07-12	VYDAJ	PREVOD NA UCET	1024	43646	SIPO	ST	22728401
811492	2764	1997-08-12	VYDAJ	PREVOD NA UCET	1024	47281	SIPO	ST	22728401
811493	2764	1997-09-12	VYDAJ	PREVOD NA UCET	1024	50588	SIPO	ST	22728401
811494	2764	1997-10-12	VYDAJ	PREVOD NA UCET	1024	51746	SIPO	ST	22728401
811495	2764	1997-11-12	VYDAJ	PREVOD NA UCET	1024	50708	SIPO	ST	22728401
811496	2764	1997-12-12	VYDAJ	PREVOD NA UCET	1024	53052	SIPO	ST	22728401
811497	2764	1998-01-12	VYDAJ	PREVOD NA UCET	1024	41383	SIPO	ST	22728401
811498	2764	1998-02-12	VYDAJ	PREVOD NA UCET	1024	42950	SIPO	ST	22728401
811499	2764	1998-03-12	VYDAJ	PREVOD NA UCET	1024	51074	SIPO	ST	22728401
811500	2764	1998-04-12	VYDAJ	PREVOD NA UCET	1024	56230	SIPO	ST	22728401
811501	2764	1998-05-12	VYDAJ	PREVOD NA UCET	1024	53811	SIPO	ST	22728401
811502	2764	1998-06-12	VYDAJ	PREVOD NA UCET	1024	42461	SIPO	ST	22728401
811503	2764	1998-07-12	VYDAJ	PREVOD NA UCET	1024	49491	SIPO	ST	22728401
811504	2764	1998-08-12	VYDAJ	PREVOD NA UCET	1024	62945	SIPO	ST	22728401
811505	2764	1998-09-12	VYDAJ	PREVOD NA UCET	1024	69869	SIPO	ST	22728401
811506	2764	1998-10-12	VYDAJ	PREVOD NA UCET	1024	73105	SIPO	ST	22728401
811507	2764	1998-11-12	VYDAJ	PREVOD NA UCET	1024	79059	SIPO	ST	22728401
811508	2764	1998-12-12	VYDAJ	PREVOD NA UCET	1024	90520	SIPO	ST	22728401
811521	2764	1997-01-08	VYDAJ	PREVOD NA UCET	2382	64182	 	ST	93326770
811522	2764	1997-02-08	VYDAJ	PREVOD NA UCET	2382	38744	 	ST	93326770
811523	2764	1997-03-08	VYDAJ	PREVOD NA UCET	2382	46709	 	ST	93326770
811524	2764	1997-04-08	VYDAJ	PREVOD NA UCET	2382	50920	 	ST	93326770
811525	2764	1997-05-08	VYDAJ	PREVOD NA UCET	2382	53115	 	ST	93326770
811526	2764	1997-06-08	VYDAJ	PREVOD NA UCET	2382	68355	 	ST	93326770
811527	2764	1997-07-08	VYDAJ	PREVOD NA UCET	2382	56070	 	ST	93326770
811528	2764	1997-08-08	VYDAJ	PREVOD NA UCET	2382	58005	 	ST	93326770
811529	2764	1997-09-08	VYDAJ	PREVOD NA UCET	2382	60212	 	ST	93326770
811530	2764	1997-10-08	VYDAJ	PREVOD NA UCET	2382	64970	 	ST	93326770
811531	2764	1997-11-08	VYDAJ	PREVOD NA UCET	2382	61332	 	ST	93326770
811532	2764	1997-12-08	VYDAJ	PREVOD NA UCET	2382	54076	 	ST	93326770
811533	2764	1998-01-08	VYDAJ	PREVOD NA UCET	2382	49927	 	ST	93326770
811534	2764	1998-02-08	VYDAJ	PREVOD NA UCET	2382	43974	 	ST	93326770
811535	2764	1998-03-08	VYDAJ	PREVOD NA UCET	2382	52098	 	ST	93326770
811536	2764	1998-04-08	VYDAJ	PREVOD NA UCET	2382	57254	 	ST	93326770
811537	2764	1998-05-08	VYDAJ	PREVOD NA UCET	2382	54835	 	ST	93326770
811538	2764	1998-06-08	VYDAJ	PREVOD NA UCET	2382	43485	 	ST	93326770
811539	2764	1998-07-08	VYDAJ	PREVOD NA UCET	2382	50515	 	ST	93326770
811540	2764	1998-08-08	VYDAJ	PREVOD NA UCET	2382	63969	 	ST	93326770
811541	2764	1998-09-08	VYDAJ	PREVOD NA UCET	2382	70893	 	ST	93326770
811542	2764	1998-10-08	VYDAJ	PREVOD NA UCET	2382	74129	 	ST	93326770
811543	2764	1998-11-08	VYDAJ	PREVOD NA UCET	2382	80083	 	ST	93326770
811544	2764	1998-12-08	VYDAJ	PREVOD NA UCET	2382	91544	 	ST	93326770
811546	2764	1997-06-20	VYDAJ	VYBER	12640	41691	\N	\N	\N
811547	2764	1998-06-01	VYDAJ	VYBER	22240	23011	\N	\N	\N
811549	2764	1997-01-28	VYDAJ	VYBER	14240	24378	\N	\N	\N
811550	2764	1998-01-12	VYDAJ	VYBER	3680	46247	\N	\N	\N
811557	2764	1997-01-14	VYDAJ	VYBER	2640	48218	\N	\N	\N
811558	2764	1997-01-18	VYDAJ	VYBER	2160	46058	\N	\N	\N
811559	2764	1997-01-23	VYDAJ	VYBER	1320	41858	\N	\N	\N
811560	2764	1997-01-22	VYDAJ	VYBER	2880	43178	\N	\N	\N
811562	2764	1997-01-27	VYDAJ	VYBER	3240	38618	\N	\N	\N
811563	2764	1998-01-03	VYDAJ	VYBER	600	47738	\N	\N	\N
811564	2764	1998-01-20	VYDAJ	VYBER	2280	36463	\N	\N	\N
811565	2764	1998-01-01	VYDAJ	VYBER	1920	51338	\N	\N	\N
811566	2764	1998-01-27	VYDAJ	VYBER	2040	34423	\N	\N	\N
811567	2764	1998-01-15	VYDAJ	VYBER	2640	38743	\N	\N	\N
811568	2764	1998-01-03	VYDAJ	VYBER	3000	48338	\N	\N	\N
811575	2764	1997-02-18	VYDAJ	VYBER	600	33720	\N	\N	\N
811576	2764	1997-03-01	VYDAJ	VYBER	1320	32520	\N	\N	\N
811577	2764	1997-10-24	VYDAJ	VYBER	4800	46946	\N	\N	\N
811578	2764	1997-04-24	VYDAJ	VYBER	4440	38756	\N	\N	\N
811579	2764	1997-08-31	VYDAJ	VYBER	1440	46038	\N	\N	\N
811580	2764	1998-09-04	VYDAJ	VYBER	5280	56704	\N	\N	\N
811581	2764	1998-01-12	VYDAJ	VYBER	3840	42407	\N	\N	\N
811582	2764	1998-05-24	VYDAJ	VYBER	5280	45051	\N	\N	\N
811583	2764	1998-05-18	VYDAJ	VYBER	3480	50331	\N	\N	\N
811597	2764	1997-01-31	VYDAJ	VYBER	15	24555	SLUZBY	\N	\N
811598	2764	1997-02-28	VYDAJ	VYBER	15	33840	SLUZBY	\N	\N
811599	2764	1997-03-31	VYDAJ	VYBER	15	36731	SLUZBY	\N	\N
811600	2764	1997-04-30	VYDAJ	VYBER	15	38926	SLUZBY	\N	\N
811601	2764	1997-05-31	VYDAJ	VYBER	15	45881	SLUZBY	\N	\N
811602	2764	1997-06-30	VYDAJ	VYBER	15	41881	SLUZBY	\N	\N
811603	2764	1997-07-31	VYDAJ	VYBER	15	43816	SLUZBY	\N	\N
811604	2764	1997-08-31	VYDAJ	VYBER	15	46023	SLUZBY	\N	\N
811605	2764	1997-09-30	VYDAJ	VYBER	15	50781	SLUZBY	\N	\N
811606	2764	1997-10-31	VYDAJ	VYBER	15	47143	SLUZBY	\N	\N
811607	2764	1997-11-30	VYDAJ	VYBER	15	50902	SLUZBY	\N	\N
811608	2764	1997-12-31	VYDAJ	VYBER	15	53258	SLUZBY	\N	\N
811609	2764	1998-01-31	VYDAJ	VYBER	15	34585	SLUZBY	\N	\N
811610	2764	1998-02-28	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
811611	2764	1998-03-31	VYDAJ	VYBER	15	51265	SLUZBY	\N	\N
811612	2764	1998-04-30	VYDAJ	VYBER	15	56446	SLUZBY	\N	\N
811613	2764	1998-05-31	VYDAJ	VYBER	15	45251	SLUZBY	\N	\N
811614	2764	1998-06-30	VYDAJ	VYBER	15	42626	SLUZBY	\N	\N
811615	2764	1998-07-31	VYDAJ	VYBER	15	49680	SLUZBY	\N	\N
811616	2764	1998-08-31	VYDAJ	VYBER	15	63184	SLUZBY	\N	\N
811617	2764	1998-09-30	VYDAJ	VYBER	15	70140	SLUZBY	\N	\N
811618	2764	1998-10-31	VYDAJ	VYBER	15	73394	SLUZBY	\N	\N
811619	2764	1998-11-30	VYDAJ	VYBER	15	79370	SLUZBY	\N	\N
811620	2764	1996-09-14	PRIJEM	VKLAD	5600	23271	\N	\N	\N
811621	2764	1996-10-14	VYDAJ	VYBER	7500	32397	\N	\N	\N
811622	2764	1996-11-13	VYDAJ	VYBER	8100	40987	\N	\N	\N
811623	2764	1996-12-13	VYDAJ	VYBER	16200	49799	\N	\N	\N
811624	2764	1997-01-12	VYDAJ	VYBER	12300	50858	\N	\N	\N
811625	2764	1997-02-11	VYDAJ	VYBER	3400	35344	\N	\N	\N
811626	2764	1997-03-13	VYDAJ	VYBER	9100	36585	\N	\N	\N
811627	2764	1997-04-12	VYDAJ	VYBER	6700	43196	\N	\N	\N
811628	2764	1997-05-12	VYDAJ	VYBER	6400	45691	\N	\N	\N
811629	2764	1997-06-11	VYDAJ	VYBER	13000	55355	\N	\N	\N
811630	2764	1997-07-11	VYDAJ	VYBER	11400	44670	\N	\N	\N
811631	2764	1997-08-10	VYDAJ	VYBER	9700	48305	\N	\N	\N
811632	2764	1997-09-09	VYDAJ	VYBER	8600	51612	\N	\N	\N
811633	2764	1997-10-09	VYDAJ	VYBER	12200	52770	\N	\N	\N
811634	2764	1997-11-08	VYDAJ	VYBER	9600	51732	\N	\N	\N
811635	2764	1997-12-08	VYDAJ	VYBER	19300	56458	\N	\N	\N
811636	2764	1998-01-07	VYDAJ	VYBER	12000	52309	\N	\N	\N
811637	2764	1998-02-06	VYDAJ	VYBER	4800	46356	\N	\N	\N
811638	2764	1998-03-08	VYDAJ	VYBER	5200	54480	\N	\N	\N
811639	2764	1998-04-07	VYDAJ	VYBER	8200	59636	\N	\N	\N
811640	2764	1998-05-07	VYDAJ	VYBER	15800	57217	\N	\N	\N
811641	2764	1998-06-06	VYDAJ	VYBER	2000	45867	\N	\N	\N
811642	2764	1998-07-06	VYDAJ	VYBER	6300	52897	\N	\N	\N
811643	2764	1998-08-05	PRIJEM	VKLAD	100	49780	\N	\N	\N
811644	2764	1998-09-04	VYDAJ	VYBER KARTOU	1200	61984	\N	\N	0
811645	2764	1998-10-04	VYDAJ	VYBER	10200	59940	\N	\N	\N
811646	2764	1998-11-03	VYDAJ	VYBER	7500	65894	\N	\N	\N
811647	2764	1998-12-03	VYDAJ	VYBER	10300	69070	\N	\N	\N
811676	2765	1997-09-20	PRIJEM	VKLAD	400	400	\N	\N	\N
811686	2765	1997-10-08	PRIJEM	VKLAD	7881	8281	\N	\N	\N
811687	2765	1997-11-08	PRIJEM	VKLAD	7881	28495	\N	\N	\N
811688	2765	1997-12-08	PRIJEM	VKLAD	11822	37811	\N	\N	\N
811689	2765	1998-01-08	PRIJEM	VKLAD	7881	38208	\N	\N	\N
811690	2765	1998-02-08	PRIJEM	VKLAD	7881	34808	\N	\N	\N
811691	2765	1998-03-08	PRIJEM	VKLAD	7881	28422	\N	\N	\N
811692	2765	1998-04-08	PRIJEM	VKLAD	7881	23714	\N	\N	\N
811693	2765	1998-05-08	PRIJEM	VKLAD	7881	19086	\N	\N	\N
811694	2765	1998-06-08	PRIJEM	VKLAD	11822	24252	\N	\N	\N
811695	2765	1998-07-08	PRIJEM	VKLAD	7881	26932	\N	\N	\N
811696	2765	1998-08-08	PRIJEM	VKLAD	7881	19509	\N	\N	\N
811697	2765	1998-09-08	PRIJEM	VKLAD	7881	22176	\N	\N	\N
811698	2765	1998-10-08	PRIJEM	VKLAD	7881	24854	\N	\N	\N
811699	2765	1998-11-08	PRIJEM	VKLAD	7881	27544	\N	\N	\N
811700	2765	1998-12-08	PRIJEM	VKLAD	11822	32745	\N	\N	\N
811714	2765	1998-02-14	VYDAJ	PREVOD NA UCET	5254	29554	SIPO	CD	33376592
811715	2765	1998-03-14	VYDAJ	PREVOD NA UCET	5254	23168	SIPO	CD	33376592
811716	2765	1998-04-14	VYDAJ	PREVOD NA UCET	5254	14860	SIPO	CD	33376592
811717	2765	1998-05-14	VYDAJ	PREVOD NA UCET	5254	12392	SIPO	CD	33376592
811718	2765	1998-06-14	VYDAJ	PREVOD NA UCET	5254	18998	SIPO	CD	33376592
811719	2765	1998-07-14	VYDAJ	PREVOD NA UCET	5254	21678	SIPO	CD	33376592
811720	2765	1998-08-14	VYDAJ	PREVOD NA UCET	5254	14255	SIPO	CD	33376592
811721	2765	1998-09-14	VYDAJ	PREVOD NA UCET	5254	16922	SIPO	CD	33376592
811722	2765	1998-10-14	VYDAJ	PREVOD NA UCET	5254	19600	SIPO	CD	33376592
811723	2765	1998-11-14	VYDAJ	PREVOD NA UCET	5254	22290	SIPO	CD	33376592
811724	2765	1998-12-14	VYDAJ	PREVOD NA UCET	5254	10791	SIPO	CD	33376592
811748	2765	1998-04-09	VYDAJ	VYBER	3600	20114	\N	\N	\N
811750	2765	1998-05-10	VYDAJ	VYBER	1440	17646	\N	\N	\N
811751	2765	1998-12-06	VYDAJ	VYBER	1440	20923	\N	\N	\N
811766	2765	1998-02-28	VYDAJ	VYBER	15	20541	SLUZBY	\N	\N
811767	2765	1998-03-31	VYDAJ	VYBER	15	15833	SLUZBY	\N	\N
811768	2765	1998-04-30	VYDAJ	VYBER	15	11205	SLUZBY	\N	\N
811769	2765	1998-05-31	VYDAJ	VYBER	15	12430	SLUZBY	\N	\N
811770	2765	1998-06-30	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
811771	2765	1998-07-31	VYDAJ	VYBER	15	11628	SLUZBY	\N	\N
811772	2765	1998-08-31	VYDAJ	VYBER	15	14295	SLUZBY	\N	\N
811773	2765	1998-09-30	VYDAJ	VYBER	15	16973	SLUZBY	\N	\N
811774	2765	1998-10-31	VYDAJ	VYBER	15	19663	SLUZBY	\N	\N
811775	2765	1998-11-30	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
811776	2765	1997-10-20	PRIJEM	VKLAD	12300	20581	\N	\N	\N
811777	2765	1997-11-19	VYDAJ	VYBER	2600	25895	\N	\N	\N
811778	2765	1997-12-19	VYDAJ	VYBER	7600	30211	\N	\N	\N
811779	2765	1998-01-18	VYDAJ	VYBER	11400	26808	\N	\N	\N
811780	2765	1998-02-17	VYDAJ	VYBER	9100	20454	\N	\N	\N
811781	2765	1998-03-19	VYDAJ	VYBER	7400	15768	\N	\N	\N
811782	2765	1998-04-18	VYDAJ	VYBER	3700	11160	\N	\N	\N
811783	2765	1998-07-17	VYDAJ	VYBER	10100	11578	\N	\N	\N
811784	2765	1998-12-14	VYDAJ	VYBER	16700	16045	\N	\N	\N
811800	2766	1997-02-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
811803	2766	1997-03-11	PRIJEM	VKLAD	5247	6347	\N	\N	\N
811804	2766	1997-04-11	PRIJEM	VKLAD	5247	24420	\N	\N	\N
811805	2766	1997-05-11	PRIJEM	VKLAD	5247	31657	\N	\N	\N
811806	2766	1997-06-11	PRIJEM	VKLAD	7871	38843	\N	\N	\N
811807	2766	1997-07-11	PRIJEM	VKLAD	5247	36119	\N	\N	\N
811808	2766	1997-08-11	PRIJEM	VKLAD	5247	21315	\N	\N	\N
811809	2766	1997-09-11	PRIJEM	VKLAD	5247	24806	\N	\N	\N
811810	2766	1997-10-11	PRIJEM	VKLAD	5247	24386	\N	\N	\N
811811	2766	1997-11-11	PRIJEM	VKLAD	5247	31935	\N	\N	\N
811812	2766	1997-12-11	PRIJEM	VKLAD	7871	36925	\N	\N	\N
811813	2766	1998-01-11	PRIJEM	VKLAD	5247	32044	\N	\N	\N
811814	2766	1998-02-11	PRIJEM	VKLAD	5247	39726	\N	\N	\N
811815	2766	1998-03-11	PRIJEM	VKLAD	5247	41623	\N	\N	\N
811816	2766	1998-04-11	PRIJEM	VKLAD	5247	44731	\N	\N	\N
811817	2766	1998-05-11	PRIJEM	VKLAD	5247	40921	\N	\N	\N
811818	2766	1998-06-11	PRIJEM	VKLAD	7871	46349	\N	\N	\N
811819	2766	1998-07-11	PRIJEM	VKLAD	5247	48771	\N	\N	\N
811820	2766	1998-08-11	PRIJEM	VKLAD	5247	54014	\N	\N	\N
811821	2766	1998-09-11	PRIJEM	VKLAD	5247	58577	\N	\N	\N
811822	2766	1998-10-11	PRIJEM	VKLAD	5247	64663	\N	\N	\N
811823	2766	1998-11-11	PRIJEM	VKLAD	5247	68569	\N	\N	\N
811824	2766	1998-12-11	PRIJEM	VKLAD	7871	69906	\N	\N	\N
811832	2766	1997-08-08	VYDAJ	PREVOD NA UCET	3498	16068	SIPO	QR	91327929
811833	2766	1997-09-08	VYDAJ	PREVOD NA UCET	3498	19559	SIPO	QR	91327929
811834	2766	1997-10-08	VYDAJ	PREVOD NA UCET	3498	23699	SIPO	QR	91327929
811835	2766	1997-11-08	VYDAJ	PREVOD NA UCET	3498	26688	SIPO	QR	91327929
811836	2766	1997-12-08	VYDAJ	PREVOD NA UCET	3498	29054	SIPO	QR	91327929
811837	2766	1998-01-08	VYDAJ	PREVOD NA UCET	3498	30797	SIPO	QR	91327929
811838	2766	1998-02-08	VYDAJ	PREVOD NA UCET	3498	34479	SIPO	QR	91327929
811839	2766	1998-03-08	VYDAJ	PREVOD NA UCET	3498	36376	SIPO	QR	91327929
811840	2766	1998-04-08	VYDAJ	PREVOD NA UCET	3498	39484	SIPO	QR	91327929
811841	2766	1998-05-08	VYDAJ	PREVOD NA UCET	3498	35674	SIPO	QR	91327929
811842	2766	1998-06-08	VYDAJ	PREVOD NA UCET	3498	38479	SIPO	QR	91327929
811843	2766	1998-07-08	VYDAJ	PREVOD NA UCET	3498	43524	SIPO	QR	91327929
811844	2766	1998-08-08	VYDAJ	PREVOD NA UCET	3498	48767	SIPO	QR	91327929
811845	2766	1998-09-08	VYDAJ	PREVOD NA UCET	3498	53330	SIPO	QR	91327929
811846	2766	1998-10-08	VYDAJ	PREVOD NA UCET	3498	59416	SIPO	QR	91327929
811847	2766	1998-11-08	VYDAJ	PREVOD NA UCET	3498	63322	SIPO	QR	91327929
811848	2766	1998-12-08	VYDAJ	PREVOD NA UCET	3498	62035	SIPO	QR	91327929
811852	2766	1998-01-09	VYDAJ	VYBER	4000	26797	\N	\N	\N
811853	2766	1997-12-26	VYDAJ	VYBER	2560	34165	\N	\N	\N
811854	2766	1998-12-19	VYDAJ	VYBER	4320	65086	\N	\N	\N
811855	2766	1997-10-10	VYDAJ	VYBER	4560	19139	\N	\N	\N
811856	2766	1997-08-07	VYDAJ	VYBER	5880	19566	\N	\N	\N
811858	2766	1997-07-24	VYDAJ	VYBER	4680	25339	\N	\N	\N
811860	2766	1997-08-28	VYDAJ	VYBER	2640	22975	\N	\N	\N
811862	2766	1998-05-14	VYDAJ	VYBER	1200	39721	\N	\N	\N
811863	2766	1998-05-05	VYDAJ	VYBER	1920	39172	\N	\N	\N
811864	2766	1998-11-28	VYDAJ	VYBER KARTOU	1900	65269	\N	\N	0
811872	2766	1997-07-31	VYDAJ	VYBER	15	25446	SLUZBY	\N	\N
811873	2766	1997-08-31	VYDAJ	VYBER	15	23057	SLUZBY	\N	\N
811874	2766	1997-09-30	VYDAJ	VYBER	15	27197	SLUZBY	\N	\N
811875	2766	1997-10-31	VYDAJ	VYBER	15	30186	SLUZBY	\N	\N
811876	2766	1997-11-30	VYDAJ	VYBER	15	32552	SLUZBY	\N	\N
811877	2766	1997-12-31	VYDAJ	VYBER	15	34295	SLUZBY	\N	\N
811878	2766	1998-01-31	VYDAJ	VYBER	15	37977	SLUZBY	\N	\N
811879	2766	1998-02-28	VYDAJ	VYBER	15	39874	SLUZBY	\N	\N
811880	2766	1998-03-31	VYDAJ	VYBER	15	42982	SLUZBY	\N	\N
811881	2766	1998-04-30	VYDAJ	VYBER	15	41092	SLUZBY	\N	\N
811882	2766	1998-05-31	VYDAJ	VYBER	15	41977	SLUZBY	\N	\N
811883	2766	1998-06-30	VYDAJ	VYBER	15	47022	SLUZBY	\N	\N
811884	2766	1998-07-31	VYDAJ	VYBER	15	52265	SLUZBY	\N	\N
811885	2766	1998-08-31	VYDAJ	VYBER	15	56828	SLUZBY	\N	\N
811886	2766	1998-09-30	VYDAJ	VYBER	15	62914	SLUZBY	\N	\N
811887	2766	1998-10-31	VYDAJ	VYBER	15	66820	SLUZBY	\N	\N
811888	2766	1998-11-30	VYDAJ	VYBER	15	65533	SLUZBY	\N	\N
811889	2766	1997-03-22	PRIJEM	VKLAD	12800	19147	\N	\N	\N
811890	2766	1997-04-21	PRIJEM	VKLAD	1900	26320	\N	\N	\N
811891	2766	1997-05-21	VYDAJ	VYBER	800	30857	\N	\N	\N
811892	2766	1997-06-20	VYDAJ	VYBER	8100	30743	\N	\N	\N
811893	2766	1997-07-20	VYDAJ	VYBER	6100	30019	\N	\N	\N
811894	2766	1997-08-19	PRIJEM	VKLAD	4300	25615	\N	\N	\N
811895	2766	1997-09-18	PRIJEM	VKLAD	2300	27106	\N	\N	\N
811896	2766	1997-10-18	PRIJEM	VKLAD	5700	30086	\N	\N	\N
811897	2766	1997-11-17	PRIJEM	VKLAD	500	32435	\N	\N	\N
811898	2766	1997-12-17	VYDAJ	VYBER	200	36725	\N	\N	\N
811899	2766	1998-01-16	PRIJEM	VKLAD	5800	37844	\N	\N	\N
811900	2766	1998-03-17	PRIJEM	VKLAD	1200	42823	\N	\N	\N
811901	2766	1998-04-16	VYDAJ	VYBER	3800	40931	\N	\N	\N
811902	2766	1998-05-16	PRIJEM	VKLAD	2100	41821	\N	\N	\N
811903	2766	1998-06-15	PRIJEM	VKLAD	500	46849	\N	\N	\N
811904	2766	1998-07-15	PRIJEM	VKLAD	3300	52071	\N	\N	\N
811905	2766	1998-08-14	PRIJEM	VKLAD	2600	56614	\N	\N	\N
811906	2766	1998-09-13	PRIJEM	VKLAD	4100	62677	\N	\N	\N
811907	2766	1998-10-13	PRIJEM	VKLAD	1900	66563	\N	\N	\N
811908	2766	1998-11-12	VYDAJ	VYBER KARTOU	1400	67169	\N	\N	0
811909	2766	1998-12-12	VYDAJ	VYBER KARTOU	500	69406	\N	\N	0
811932	2767	1996-03-23	PRIJEM	VKLAD	600	600	\N	\N	\N
811936	2767	1996-04-12	PRIJEM	VKLAD	19309	19909	\N	\N	\N
811937	2767	1996-05-12	PRIJEM	VKLAD	19309	43548	\N	\N	\N
811938	2767	1996-06-12	PRIJEM	VKLAD	28964	62626	\N	\N	\N
811939	2767	1996-07-12	PRIJEM	VKLAD	19309	62988	\N	\N	\N
811940	2767	1996-08-12	PRIJEM	VKLAD	19309	63379	\N	\N	\N
811941	2767	1996-09-12	PRIJEM	VKLAD	19309	54595	\N	\N	\N
811942	2767	1996-10-12	PRIJEM	VKLAD	19309	54497	\N	\N	\N
811943	2767	1996-11-12	PRIJEM	VKLAD	19309	50158	\N	\N	\N
811944	2767	1996-12-12	PRIJEM	VKLAD	28964	61244	\N	\N	\N
811945	2767	1997-01-12	PRIJEM	VKLAD	19309	61358	\N	\N	\N
811946	2767	1997-02-12	PRIJEM	VKLAD	19309	58580	\N	\N	\N
811947	2767	1997-03-12	PRIJEM	VKLAD	19309	56590	\N	\N	\N
811948	2767	1997-04-12	PRIJEM	VKLAD	19309	53153	\N	\N	\N
811949	2767	1997-05-12	PRIJEM	VKLAD	19309	48337	\N	\N	\N
811950	2767	1997-06-12	PRIJEM	VKLAD	28964	57964	\N	\N	\N
811951	2767	1997-07-12	PRIJEM	VKLAD	19309	30632	\N	\N	\N
811952	2767	1997-08-12	PRIJEM	VKLAD	19309	35941	\N	\N	\N
811953	2767	1997-09-12	PRIJEM	VKLAD	19309	41293	\N	\N	\N
811954	2767	1997-10-12	PRIJEM	VKLAD	19309	45842	\N	\N	\N
811955	2767	1997-11-12	PRIJEM	VKLAD	19309	46000	\N	\N	\N
811956	2767	1997-12-12	PRIJEM	VKLAD	28964	57115	\N	\N	\N
811957	2767	1998-01-12	PRIJEM	VKLAD	19309	54678	\N	\N	\N
811958	2767	1998-02-12	PRIJEM	VKLAD	19309	48358	\N	\N	\N
811959	2767	1998-03-12	PRIJEM	VKLAD	19309	60557	\N	\N	\N
811960	2767	1998-04-12	PRIJEM	VKLAD	19309	58970	\N	\N	\N
811961	2767	1998-05-12	PRIJEM	VKLAD	19309	56052	\N	\N	\N
811962	2767	1998-06-12	PRIJEM	VKLAD	28964	66204	\N	\N	\N
811963	2767	1998-07-12	PRIJEM	VKLAD	19309	50766	\N	\N	\N
811964	2767	1998-08-12	PRIJEM	VKLAD	19309	63069	\N	\N	\N
811965	2767	1998-09-12	PRIJEM	VKLAD	19309	65763	\N	\N	\N
811966	2767	1998-10-12	PRIJEM	VKLAD	19309	67217	\N	\N	\N
811967	2767	1998-11-12	PRIJEM	VKLAD	19309	72302	\N	\N	\N
811968	2767	1998-12-12	PRIJEM	VKLAD	28964	81820	\N	\N	\N
811977	2767	1996-09-06	VYDAJ	PREVOD NA UCET	4664	36561	SIPO	UV	37215685
811978	2767	1996-10-06	VYDAJ	PREVOD NA UCET	4664	36463	SIPO	UV	37215685
811979	2767	1996-11-06	VYDAJ	PREVOD NA UCET	4664	35964	SIPO	UV	37215685
811980	2767	1996-12-06	VYDAJ	PREVOD NA UCET	4664	33555	SIPO	UV	37215685
811981	2767	1997-01-06	VYDAJ	PREVOD NA UCET	4664	43324	SIPO	UV	37215685
811982	2767	1997-02-06	VYDAJ	PREVOD NA UCET	4664	40546	SIPO	UV	37215685
811983	2767	1997-03-06	VYDAJ	PREVOD NA UCET	4664	38556	SIPO	UV	37215685
811984	2767	1997-04-06	VYDAJ	PREVOD NA UCET	4664	35119	SIPO	UV	37215685
811985	2767	1997-05-06	VYDAJ	PREVOD NA UCET	4664	30303	SIPO	UV	37215685
811986	2767	1997-06-06	VYDAJ	PREVOD NA UCET	4664	30275	SIPO	UV	37215685
811987	2767	1997-07-06	VYDAJ	PREVOD NA UCET	4664	12598	SIPO	UV	37215685
811988	2767	1997-08-06	VYDAJ	PREVOD NA UCET	4664	17907	SIPO	UV	37215685
811989	2767	1997-09-06	VYDAJ	PREVOD NA UCET	4664	23259	SIPO	UV	37215685
811990	2767	1997-10-06	VYDAJ	PREVOD NA UCET	4664	27808	SIPO	UV	37215685
811991	2767	1997-11-06	VYDAJ	PREVOD NA UCET	4664	27966	SIPO	UV	37215685
811992	2767	1997-12-06	VYDAJ	PREVOD NA UCET	4664	29426	SIPO	UV	37215685
811993	2767	1998-01-06	VYDAJ	PREVOD NA UCET	4664	36644	SIPO	UV	37215685
811994	2767	1998-02-06	VYDAJ	PREVOD NA UCET	4664	32824	SIPO	UV	37215685
811995	2767	1998-03-06	VYDAJ	PREVOD NA UCET	4664	42523	SIPO	UV	37215685
811996	2767	1998-04-06	VYDAJ	PREVOD NA UCET	4664	40936	SIPO	UV	37215685
811997	2767	1998-05-06	VYDAJ	PREVOD NA UCET	4664	38018	SIPO	UV	37215685
811998	2767	1998-06-06	VYDAJ	PREVOD NA UCET	4664	37215	SIPO	UV	37215685
811999	2767	1998-07-06	VYDAJ	PREVOD NA UCET	4664	29332	SIPO	UV	37215685
812000	2767	1998-08-06	VYDAJ	PREVOD NA UCET	4664	44935	SIPO	UV	37215685
812001	2767	1998-09-06	VYDAJ	PREVOD NA UCET	4664	52129	SIPO	UV	37215685
812002	2767	1998-10-06	VYDAJ	PREVOD NA UCET	4664	58683	SIPO	UV	37215685
812003	2767	1998-11-06	VYDAJ	PREVOD NA UCET	4664	61468	SIPO	UV	37215685
812004	2767	1998-12-06	VYDAJ	PREVOD NA UCET	4664	61331	SIPO	UV	37215685
812012	2767	1996-08-14	VYDAJ	PREVOD NA UCET	1333	62046	 	OP	32782268
812013	2767	1996-09-14	VYDAJ	PREVOD NA UCET	1333	53262	 	OP	32782268
812014	2767	1996-10-14	VYDAJ	PREVOD NA UCET	1333	53164	 	OP	32782268
812015	2767	1996-11-14	VYDAJ	PREVOD NA UCET	1333	48825	 	OP	32782268
812016	2767	1996-12-14	VYDAJ	PREVOD NA UCET	1333	59911	 	OP	32782268
812017	2767	1997-01-14	VYDAJ	PREVOD NA UCET	1333	60025	 	OP	32782268
812018	2767	1997-02-14	VYDAJ	PREVOD NA UCET	1333	57247	 	OP	32782268
812019	2767	1997-03-14	VYDAJ	PREVOD NA UCET	1333	55257	 	OP	32782268
812020	2767	1997-04-14	VYDAJ	PREVOD NA UCET	1333	51820	 	OP	32782268
812021	2767	1997-05-14	VYDAJ	PREVOD NA UCET	1333	47004	 	OP	32782268
812022	2767	1997-06-14	VYDAJ	PREVOD NA UCET	1333	56631	 	OP	32782268
812023	2767	1997-07-14	VYDAJ	PREVOD NA UCET	1333	29299	 	OP	32782268
812024	2767	1997-08-14	VYDAJ	PREVOD NA UCET	1333	34608	 	OP	32782268
812025	2767	1997-09-14	VYDAJ	PREVOD NA UCET	1333	32360	 	OP	32782268
812026	2767	1997-10-14	VYDAJ	PREVOD NA UCET	1333	44509	 	OP	32782268
812027	2767	1997-11-14	VYDAJ	PREVOD NA UCET	1333	33967	 	OP	32782268
812028	2767	1997-12-14	VYDAJ	PREVOD NA UCET	1333	42282	 	OP	32782268
812029	2767	1998-01-14	VYDAJ	PREVOD NA UCET	1333	37345	 	OP	32782268
812030	2767	1998-02-14	VYDAJ	PREVOD NA UCET	1333	47025	 	OP	32782268
812031	2767	1998-03-14	VYDAJ	PREVOD NA UCET	1333	45424	 	OP	32782268
812032	2767	1998-04-14	VYDAJ	PREVOD NA UCET	1333	43237	 	OP	32782268
812033	2767	1998-05-14	VYDAJ	PREVOD NA UCET	1333	41719	 	OP	32782268
812034	2767	1998-06-14	VYDAJ	PREVOD NA UCET	1333	64871	 	OP	32782268
812035	2767	1998-07-14	VYDAJ	PREVOD NA UCET	1333	49433	 	OP	32782268
812036	2767	1998-08-14	VYDAJ	PREVOD NA UCET	1333	61736	 	OP	32782268
812037	2767	1998-09-14	VYDAJ	PREVOD NA UCET	1333	64430	 	OP	32782268
812038	2767	1998-10-14	VYDAJ	PREVOD NA UCET	1333	65884	 	OP	32782268
812039	2767	1998-11-14	VYDAJ	PREVOD NA UCET	1333	70969	 	OP	32782268
812040	2767	1998-12-14	VYDAJ	PREVOD NA UCET	1333	80487	 	OP	32782268
812049	2767	1996-09-08	VYDAJ	PREVOD NA UCET	1275	35286	POJISTNE	GH	97537642
812050	2767	1996-10-08	VYDAJ	PREVOD NA UCET	1275	35188	POJISTNE	GH	97537642
812051	2767	1996-11-08	VYDAJ	PREVOD NA UCET	1275	30849	POJISTNE	GH	97537642
812052	2767	1996-12-08	VYDAJ	PREVOD NA UCET	1275	32280	POJISTNE	GH	97537642
812053	2767	1997-01-08	VYDAJ	PREVOD NA UCET	1275	42049	POJISTNE	GH	97537642
812054	2767	1997-02-08	VYDAJ	PREVOD NA UCET	1275	39271	POJISTNE	GH	97537642
812055	2767	1997-03-08	VYDAJ	PREVOD NA UCET	1275	37281	POJISTNE	GH	97537642
812056	2767	1997-04-08	VYDAJ	PREVOD NA UCET	1275	33844	POJISTNE	GH	97537642
812057	2767	1997-05-08	VYDAJ	PREVOD NA UCET	1275	29028	POJISTNE	GH	97537642
812058	2767	1997-06-08	VYDAJ	PREVOD NA UCET	1275	29000	POJISTNE	GH	97537642
812059	2767	1997-07-08	VYDAJ	PREVOD NA UCET	1275	11323	POJISTNE	GH	97537642
812060	2767	1997-08-08	VYDAJ	PREVOD NA UCET	1275	16632	POJISTNE	GH	97537642
812061	2767	1997-09-08	VYDAJ	PREVOD NA UCET	1275	21984	POJISTNE	GH	97537642
812062	2767	1997-10-08	VYDAJ	PREVOD NA UCET	1275	26533	POJISTNE	GH	97537642
812063	2767	1997-11-08	VYDAJ	PREVOD NA UCET	1275	26691	POJISTNE	GH	97537642
812064	2767	1997-12-08	VYDAJ	PREVOD NA UCET	1275	28151	POJISTNE	GH	97537642
812065	2767	1998-01-08	VYDAJ	PREVOD NA UCET	1275	35369	POJISTNE	GH	97537642
812066	2767	1998-02-08	VYDAJ	PREVOD NA UCET	1275	31549	POJISTNE	GH	97537642
812067	2767	1998-03-08	VYDAJ	PREVOD NA UCET	1275	41248	POJISTNE	GH	97537642
812068	2767	1998-04-08	VYDAJ	PREVOD NA UCET	1275	39661	POJISTNE	GH	97537642
812069	2767	1998-05-08	VYDAJ	PREVOD NA UCET	1275	36743	POJISTNE	GH	97537642
812070	2767	1998-06-08	VYDAJ	PREVOD NA UCET	1275	35940	POJISTNE	GH	97537642
812071	2767	1998-07-08	VYDAJ	PREVOD NA UCET	1275	28057	POJISTNE	GH	97537642
812072	2767	1998-08-08	VYDAJ	PREVOD NA UCET	1275	43660	POJISTNE	GH	97537642
812073	2767	1998-09-08	VYDAJ	PREVOD NA UCET	1275	50854	POJISTNE	GH	97537642
812074	2767	1998-10-08	VYDAJ	PREVOD NA UCET	1275	57408	POJISTNE	GH	97537642
812075	2767	1998-11-08	VYDAJ	PREVOD NA UCET	1275	52993	POJISTNE	GH	97537642
812076	2767	1998-12-08	VYDAJ	PREVOD NA UCET	1275	52856	POJISTNE	GH	97537642
812078	2767	1997-06-18	VYDAJ	VYBER	13440	19191	\N	\N	\N
812079	2767	1998-06-19	VYDAJ	VYBER	31040	33831	\N	\N	\N
812080	2767	1996-12-03	VYDAJ	VYBER	1760	38219	\N	\N	\N
812081	2767	1997-12-18	VYDAJ	VYBER	1120	41162	\N	\N	\N
812082	2767	1998-12-03	VYDAJ	VYBER	4160	65995	\N	\N	\N
812083	2767	1996-11-07	VYDAJ	VYBER	3840	32124	\N	\N	\N
812087	2767	1997-06-27	VYDAJ	VYBER	2040	17151	\N	\N	\N
812088	2767	1997-03-18	VYDAJ	VYBER	5040	39617	\N	\N	\N
812089	2767	1997-06-17	VYDAJ	VYBER	4800	32631	\N	\N	\N
812090	2767	1997-08-21	VYDAJ	VYBER	2280	27828	\N	\N	\N
812091	2767	1998-08-19	VYDAJ	VYBER	2280	59456	\N	\N	\N
812092	2767	1998-10-01	VYDAJ	VYBER	1320	63347	\N	\N	\N
812093	2767	1998-09-02	VYDAJ	VYBER	2880	56793	\N	\N	\N
812094	2767	1998-11-29	VYDAJ	VYBER	1080	69889	\N	\N	\N
812095	2767	1998-05-03	VYDAJ	VYBER	720	42682	\N	\N	\N
812104	2767	1996-08-31	VYDAJ	VYBER	15	41225	SLUZBY	\N	\N
812105	2767	1996-09-30	VYDAJ	VYBER	15	41127	SLUZBY	\N	\N
812106	2767	1996-10-31	VYDAJ	VYBER	15	40628	SLUZBY	\N	\N
812107	2767	1996-11-30	VYDAJ	VYBER	15	39979	SLUZBY	\N	\N
812108	2767	1996-12-31	VYDAJ	VYBER	15	47988	SLUZBY	\N	\N
812109	2767	1997-01-31	VYDAJ	VYBER	15	45210	SLUZBY	\N	\N
812110	2767	1997-02-28	VYDAJ	VYBER	15	43220	SLUZBY	\N	\N
812111	2767	1997-03-31	VYDAJ	VYBER	15	39783	SLUZBY	\N	\N
812112	2767	1997-04-30	VYDAJ	VYBER	15	34967	SLUZBY	\N	\N
812113	2767	1997-05-31	VYDAJ	VYBER	15	34939	SLUZBY	\N	\N
812114	2767	1997-06-30	VYDAJ	VYBER	15	17262	SLUZBY	\N	\N
812115	2767	1997-07-31	VYDAJ	VYBER	15	22571	SLUZBY	\N	\N
812116	2767	1997-08-31	VYDAJ	VYBER	15	27923	SLUZBY	\N	\N
812117	2767	1997-09-30	VYDAJ	VYBER	15	32472	SLUZBY	\N	\N
812118	2767	1997-10-31	VYDAJ	VYBER	15	32630	SLUZBY	\N	\N
812119	2767	1997-11-30	VYDAJ	VYBER	15	34090	SLUZBY	\N	\N
812120	2767	1997-12-31	VYDAJ	VYBER	15	41308	SLUZBY	\N	\N
812121	2767	1998-01-31	VYDAJ	VYBER	15	37488	SLUZBY	\N	\N
812122	2767	1998-02-28	VYDAJ	VYBER	15	47187	SLUZBY	\N	\N
812123	2767	1998-03-31	VYDAJ	VYBER	15	45600	SLUZBY	\N	\N
812124	2767	1998-04-30	VYDAJ	VYBER	15	43402	SLUZBY	\N	\N
812125	2767	1998-05-31	VYDAJ	VYBER	15	41879	SLUZBY	\N	\N
812126	2767	1998-06-30	VYDAJ	VYBER	15	33996	SLUZBY	\N	\N
812127	2767	1998-07-31	VYDAJ	VYBER	15	49599	SLUZBY	\N	\N
812128	2767	1998-08-31	VYDAJ	VYBER	15	59673	SLUZBY	\N	\N
812129	2767	1998-09-30	VYDAJ	VYBER	15	64667	SLUZBY	\N	\N
812130	2767	1998-10-31	VYDAJ	VYBER	15	66132	SLUZBY	\N	\N
812131	2767	1998-11-30	VYDAJ	VYBER	15	70155	SLUZBY	\N	\N
812132	2767	1996-04-22	PRIJEM	VKLAD	4300	24209	\N	\N	\N
812133	2767	1996-05-22	VYDAJ	VYBER	10000	33548	\N	\N	\N
812134	2767	1996-06-21	VYDAJ	VYBER	19100	43526	\N	\N	\N
812135	2767	1996-07-21	VYDAJ	VYBER	19100	43888	\N	\N	\N
812136	2767	1996-08-20	VYDAJ	VYBER	21000	41046	\N	\N	\N
812137	2767	1996-09-19	VYDAJ	VYBER	12300	40962	\N	\N	\N
812138	2767	1996-10-19	VYDAJ	VYBER	12700	40464	\N	\N	\N
812139	2767	1996-11-18	VYDAJ	VYBER	9000	39825	\N	\N	\N
812140	2767	1996-12-18	VYDAJ	VYBER	12100	47811	\N	\N	\N
812141	2767	1997-01-17	VYDAJ	VYBER	15000	45025	\N	\N	\N
812142	2767	1997-02-16	VYDAJ	VYBER	14200	43047	\N	\N	\N
812143	2767	1997-03-18	VYDAJ	VYBER	10600	44657	\N	\N	\N
812144	2767	1997-04-17	VYDAJ	VYBER	17000	34820	\N	\N	\N
812145	2767	1997-05-17	VYDAJ	VYBER	12200	34804	\N	\N	\N
812146	2767	1997-06-16	VYDAJ	VYBER	19200	37431	\N	\N	\N
812147	2767	1997-07-16	VYDAJ	VYBER	6800	22499	\N	\N	\N
812148	2767	1997-08-15	VYDAJ	VYBER	4500	30108	\N	\N	\N
812149	2767	1997-09-14	VYDAJ	VYBER	7600	33693	\N	\N	\N
812150	2767	1997-10-14	VYDAJ	VYBER	12000	32509	\N	\N	\N
812151	2767	1997-11-13	VYDAJ	VYBER	10700	35300	\N	\N	\N
812152	2767	1997-12-13	VYDAJ	VYBER	13500	43615	\N	\N	\N
812153	2767	1998-01-12	VYDAJ	VYBER	16000	38678	\N	\N	\N
812154	2767	1998-02-11	VYDAJ	VYBER	2500	29049	\N	\N	\N
812155	2767	1998-03-13	VYDAJ	VYBER	13800	46757	\N	\N	\N
812156	2767	1998-04-12	VYDAJ	VYBER	14400	44570	\N	\N	\N
812157	2767	1998-05-12	VYDAJ	VYBER	13000	43052	\N	\N	\N
812158	2767	1998-06-11	PRIJEM	VKLAD	1300	37240	\N	\N	\N
812159	2767	1998-07-11	PRIJEM	VKLAD	3400	31457	\N	\N	\N
812160	2767	1998-08-10	PRIJEM	VKLAD	100	43760	\N	\N	\N
812161	2767	1998-09-09	VYDAJ	VYBER	4400	46454	\N	\N	\N
812162	2767	1998-10-09	VYDAJ	VYBER	9500	47908	\N	\N	\N
812163	2767	1998-11-08	VYDAJ	VYBER	7200	54268	\N	\N	\N
812164	2767	1998-12-08	VYDAJ	VYBER	7200	54131	\N	\N	\N
812198	2768	1993-12-20	PRIJEM	VKLAD	900	900	\N	\N	\N
812211	2768	1994-01-14	PRIJEM	PREVOD Z UCTU	3849	4749	\N	AB	83222299
812212	2768	1994-02-14	PRIJEM	PREVOD Z UCTU	3849	19726	\N	AB	83222299
812213	2768	1994-03-14	PRIJEM	PREVOD Z UCTU	3849	27353	\N	AB	83222299
812214	2768	1994-04-14	PRIJEM	PREVOD Z UCTU	3849	32208	\N	AB	83222299
812215	2768	1994-05-14	PRIJEM	PREVOD Z UCTU	3849	30972	\N	AB	83222299
812216	2768	1994-06-14	PRIJEM	PREVOD Z UCTU	3849	29666	\N	AB	83222299
812217	2768	1994-07-14	PRIJEM	PREVOD Z UCTU	3849	24977	\N	AB	83222299
812218	2768	1994-08-14	PRIJEM	PREVOD Z UCTU	3849	23952	\N	AB	83222299
812219	2768	1994-09-14	PRIJEM	PREVOD Z UCTU	3849	24737	\N	AB	83222299
812220	2768	1994-10-14	PRIJEM	PREVOD Z UCTU	3849	26015	\N	AB	83222299
812221	2768	1994-11-14	PRIJEM	PREVOD Z UCTU	3849	29103	\N	AB	83222299
812222	2768	1994-12-14	PRIJEM	PREVOD Z UCTU	3849	28817	\N	AB	83222299
812223	2768	1995-01-14	PRIJEM	PREVOD Z UCTU	3849	31517	\N	AB	83222299
812224	2768	1995-02-14	PRIJEM	PREVOD Z UCTU	3849	27769	\N	AB	83222299
812225	2768	1995-03-14	PRIJEM	PREVOD Z UCTU	3849	29347	\N	AB	83222299
812226	2768	1995-04-14	PRIJEM	PREVOD Z UCTU	3849	30411	\N	AB	83222299
812227	2768	1995-05-14	PRIJEM	PREVOD Z UCTU	3849	31281	\N	AB	83222299
812228	2768	1995-06-14	PRIJEM	PREVOD Z UCTU	3849	27199	\N	AB	83222299
812229	2768	1995-07-14	PRIJEM	PREVOD Z UCTU	3849	31096	\N	AB	83222299
812230	2768	1995-08-14	PRIJEM	PREVOD Z UCTU	3849	31686	\N	AB	83222299
812231	2768	1995-09-14	PRIJEM	PREVOD Z UCTU	3849	30394	\N	AB	83222299
812232	2768	1995-10-14	PRIJEM	PREVOD Z UCTU	3849	27601	\N	AB	83222299
812233	2768	1995-11-14	PRIJEM	PREVOD Z UCTU	3849	31100	\N	AB	83222299
812234	2768	1995-12-14	PRIJEM	PREVOD Z UCTU	3849	31992	\N	AB	83222299
812235	2768	1996-01-14	PRIJEM	PREVOD Z UCTU	3849	30302	\N	AB	83222299
812236	2768	1996-02-14	PRIJEM	PREVOD Z UCTU	3849	31369	\N	AB	83222299
812237	2768	1996-03-14	PRIJEM	PREVOD Z UCTU	3849	29395	\N	AB	83222299
812238	2768	1996-04-14	PRIJEM	PREVOD Z UCTU	3849	29198	\N	AB	83222299
812239	2768	1996-05-14	PRIJEM	PREVOD Z UCTU	3849	30399	\N	AB	83222299
812240	2768	1996-06-14	PRIJEM	PREVOD Z UCTU	3849	26982	\N	AB	83222299
812241	2768	1996-07-14	PRIJEM	PREVOD Z UCTU	3849	30114	\N	AB	83222299
812242	2768	1996-08-14	PRIJEM	PREVOD Z UCTU	3849	30214	\N	AB	83222299
812243	2768	1996-09-14	PRIJEM	PREVOD Z UCTU	3849	31028	\N	AB	83222299
812244	2768	1996-10-14	PRIJEM	PREVOD Z UCTU	3849	34534	\N	AB	83222299
812245	2768	1996-11-14	PRIJEM	PREVOD Z UCTU	3849	32810	\N	AB	83222299
812246	2768	1996-12-14	PRIJEM	PREVOD Z UCTU	3849	31683	\N	AB	83222299
812247	2768	1997-01-14	PRIJEM	PREVOD Z UCTU	3849	28800	\N	AB	83222299
812248	2768	1997-02-14	PRIJEM	PREVOD Z UCTU	3849	27601	\N	AB	83222299
812249	2768	1997-03-14	PRIJEM	PREVOD Z UCTU	3849	26515	\N	AB	83222299
812250	2768	1997-04-14	PRIJEM	PREVOD Z UCTU	3849	27554	\N	AB	83222299
812251	2768	1997-05-14	PRIJEM	PREVOD Z UCTU	3849	30344	\N	AB	83222299
812252	2768	1997-06-14	PRIJEM	PREVOD Z UCTU	3849	34004	\N	AB	83222299
812253	2768	1997-07-14	PRIJEM	PREVOD Z UCTU	3849	35163	\N	AB	83222299
812254	2768	1997-08-14	PRIJEM	PREVOD Z UCTU	3849	39239	\N	AB	83222299
812255	2768	1997-09-14	PRIJEM	PREVOD Z UCTU	3849	40472	\N	AB	83222299
812256	2768	1997-10-14	PRIJEM	PREVOD Z UCTU	3849	38223	\N	AB	83222299
812257	2768	1997-11-14	PRIJEM	PREVOD Z UCTU	3849	37456	\N	AB	83222299
812258	2768	1997-12-14	PRIJEM	PREVOD Z UCTU	3849	37434	\N	AB	83222299
812259	2768	1998-01-14	PRIJEM	PREVOD Z UCTU	3849	41366	\N	AB	83222299
812260	2768	1998-02-14	PRIJEM	PREVOD Z UCTU	3849	38591	\N	AB	83222299
812261	2768	1998-03-14	PRIJEM	PREVOD Z UCTU	3849	38825	\N	AB	83222299
812262	2768	1998-04-14	PRIJEM	PREVOD Z UCTU	3849	42662	\N	AB	83222299
812263	2768	1998-05-14	PRIJEM	PREVOD Z UCTU	3849	39712	\N	AB	83222299
812264	2768	1998-06-14	PRIJEM	PREVOD Z UCTU	3849	38750	\N	AB	83222299
812265	2768	1998-07-14	PRIJEM	PREVOD Z UCTU	3849	30070	\N	AB	83222299
812266	2768	1998-08-14	PRIJEM	PREVOD Z UCTU	3849	32970	\N	AB	83222299
812267	2768	1998-09-14	PRIJEM	PREVOD Z UCTU	3849	39224	\N	AB	83222299
812268	2768	1998-10-14	PRIJEM	PREVOD Z UCTU	3849	42694	\N	AB	83222299
812269	2768	1998-11-14	PRIJEM	PREVOD Z UCTU	3849	41154	\N	AB	83222299
812270	2768	1998-12-14	PRIJEM	PREVOD Z UCTU	3849	44803	\N	AB	83222299
812288	2768	1994-06-13	VYDAJ	PREVOD NA UCET	2155	25817	SIPO	MN	62968182
812289	2768	1994-07-13	VYDAJ	PREVOD NA UCET	2155	21128	SIPO	MN	62968182
812290	2768	1994-08-13	VYDAJ	PREVOD NA UCET	2155	20103	SIPO	MN	62968182
812291	2768	1994-09-13	VYDAJ	PREVOD NA UCET	2155	20888	SIPO	MN	62968182
812292	2768	1994-10-13	VYDAJ	PREVOD NA UCET	2155	22166	SIPO	MN	62968182
812293	2768	1994-11-13	VYDAJ	PREVOD NA UCET	2155	25254	SIPO	MN	62968182
812294	2768	1994-12-13	VYDAJ	PREVOD NA UCET	2155	24968	SIPO	MN	62968182
812295	2768	1995-01-13	VYDAJ	PREVOD NA UCET	2155	27668	SIPO	MN	62968182
812296	2768	1995-02-13	VYDAJ	PREVOD NA UCET	2155	23920	SIPO	MN	62968182
812297	2768	1995-03-13	VYDAJ	PREVOD NA UCET	2155	25498	SIPO	MN	62968182
812298	2768	1995-04-13	VYDAJ	PREVOD NA UCET	2155	24262	SIPO	MN	62968182
812299	2768	1995-05-13	VYDAJ	PREVOD NA UCET	2155	27432	SIPO	MN	62968182
812300	2768	1995-06-13	VYDAJ	PREVOD NA UCET	2155	23350	SIPO	MN	62968182
812301	2768	1995-07-13	VYDAJ	PREVOD NA UCET	2155	27247	SIPO	MN	62968182
812302	2768	1995-08-13	VYDAJ	PREVOD NA UCET	2155	27837	SIPO	MN	62968182
812303	2768	1995-09-13	VYDAJ	PREVOD NA UCET	2155	26545	SIPO	MN	62968182
812304	2768	1995-10-13	VYDAJ	PREVOD NA UCET	2155	23752	SIPO	MN	62968182
812305	2768	1995-11-13	VYDAJ	PREVOD NA UCET	2155	27251	SIPO	MN	62968182
812306	2768	1995-12-13	VYDAJ	PREVOD NA UCET	2155	28143	SIPO	MN	62968182
812307	2768	1996-01-13	VYDAJ	PREVOD NA UCET	2155	26453	SIPO	MN	62968182
812308	2768	1996-02-13	VYDAJ	PREVOD NA UCET	2155	27520	SIPO	MN	62968182
812309	2768	1996-03-13	VYDAJ	PREVOD NA UCET	2155	25546	SIPO	MN	62968182
812310	2768	1996-04-13	VYDAJ	PREVOD NA UCET	2155	25349	SIPO	MN	62968182
812311	2768	1996-05-13	VYDAJ	PREVOD NA UCET	2155	26550	SIPO	MN	62968182
812312	2768	1996-06-13	VYDAJ	PREVOD NA UCET	2155	23133	SIPO	MN	62968182
812313	2768	1996-07-13	VYDAJ	PREVOD NA UCET	2155	26265	SIPO	MN	62968182
812314	2768	1996-08-13	VYDAJ	PREVOD NA UCET	2155	26365	SIPO	MN	62968182
812315	2768	1996-09-13	VYDAJ	PREVOD NA UCET	2155	28169	SIPO	MN	62968182
812316	2768	1996-10-13	VYDAJ	PREVOD NA UCET	2155	30685	SIPO	MN	62968182
812317	2768	1996-11-13	VYDAJ	PREVOD NA UCET	2155	28961	SIPO	MN	62968182
812318	2768	1996-12-13	VYDAJ	PREVOD NA UCET	2155	27834	SIPO	MN	62968182
812319	2768	1997-01-13	VYDAJ	PREVOD NA UCET	2155	24951	SIPO	MN	62968182
812320	2768	1997-02-13	VYDAJ	PREVOD NA UCET	2155	23752	SIPO	MN	62968182
812321	2768	1997-03-13	VYDAJ	PREVOD NA UCET	2155	22666	SIPO	MN	62968182
812322	2768	1997-04-13	VYDAJ	PREVOD NA UCET	2155	23705	SIPO	MN	62968182
812323	2768	1997-05-13	VYDAJ	PREVOD NA UCET	2155	26495	SIPO	MN	62968182
812324	2768	1997-06-13	VYDAJ	PREVOD NA UCET	2155	30155	SIPO	MN	62968182
812325	2768	1997-07-13	VYDAJ	PREVOD NA UCET	2155	31314	SIPO	MN	62968182
812326	2768	1997-08-13	VYDAJ	PREVOD NA UCET	2155	35390	SIPO	MN	62968182
812327	2768	1997-09-13	VYDAJ	PREVOD NA UCET	2155	36623	SIPO	MN	62968182
812328	2768	1997-10-13	VYDAJ	PREVOD NA UCET	2155	34374	SIPO	MN	62968182
812329	2768	1997-11-13	VYDAJ	PREVOD NA UCET	2155	33607	SIPO	MN	62968182
812330	2768	1997-12-13	VYDAJ	PREVOD NA UCET	2155	33585	SIPO	MN	62968182
812331	2768	1998-01-13	VYDAJ	PREVOD NA UCET	2155	37517	SIPO	MN	62968182
812332	2768	1998-02-13	VYDAJ	PREVOD NA UCET	2155	34742	SIPO	MN	62968182
812333	2768	1998-03-13	VYDAJ	PREVOD NA UCET	2155	34976	SIPO	MN	62968182
812334	2768	1998-04-13	VYDAJ	PREVOD NA UCET	2155	38813	SIPO	MN	62968182
812335	2768	1998-05-13	VYDAJ	PREVOD NA UCET	2155	35863	SIPO	MN	62968182
812336	2768	1998-06-13	VYDAJ	PREVOD NA UCET	2155	34901	SIPO	MN	62968182
812337	2768	1998-07-13	VYDAJ	PREVOD NA UCET	2155	26221	SIPO	MN	62968182
812338	2768	1998-08-13	VYDAJ	PREVOD NA UCET	2155	29121	SIPO	MN	62968182
812339	2768	1998-09-13	VYDAJ	PREVOD NA UCET	2155	35375	SIPO	MN	62968182
812340	2768	1998-10-13	VYDAJ	PREVOD NA UCET	2155	38845	SIPO	MN	62968182
812341	2768	1998-11-13	VYDAJ	PREVOD NA UCET	2155	37305	SIPO	MN	62968182
812342	2768	1998-12-13	VYDAJ	PREVOD NA UCET	2155	40954	SIPO	MN	62968182
812344	2768	1994-06-23	VYDAJ	VYBER	3780	23186	\N	\N	\N
812345	2768	1995-06-07	VYDAJ	VYBER	7590	22605	\N	\N	\N
812346	2768	1996-06-01	VYDAJ	VYBER	8520	21988	\N	\N	\N
812347	2768	1997-06-28	VYDAJ	VYBER	4050	29954	\N	\N	\N
812348	2768	1998-06-28	VYDAJ	VYBER	6810	28240	\N	\N	\N
812351	2768	1995-01-22	VYDAJ	VYBER	2640	24077	\N	\N	\N
812352	2768	1996-01-30	VYDAJ	VYBER	1140	29162	\N	\N	\N
812353	2768	1997-01-09	VYDAJ	VYBER	2490	27106	\N	\N	\N
812354	2768	1998-01-29	VYDAJ	VYBER	2220	36746	\N	\N	\N
812356	2768	1994-12-08	VYDAJ	VYBER	780	27123	\N	\N	\N
812357	2768	1995-12-03	VYDAJ	VYBER	510	30698	\N	\N	\N
812358	2768	1996-12-01	VYDAJ	VYBER	210	31789	\N	\N	\N
812359	2768	1997-12-04	VYDAJ	VYBER	810	35740	\N	\N	\N
812360	2768	1998-12-24	VYDAJ	VYBER	750	44053	\N	\N	\N
812369	2768	1994-07-20	VYDAJ	VYBER	900	22177	\N	\N	\N
812371	2768	1994-08-21	VYDAJ	VYBER	1290	22962	\N	\N	\N
812372	2768	1995-04-04	VYDAJ	VYBER	930	26417	\N	\N	\N
812373	2768	1995-07-18	VYDAJ	VYBER	1110	29986	\N	\N	\N
812374	2768	1995-02-24	VYDAJ	VYBER	210	27559	\N	\N	\N
812375	2768	1995-05-06	VYDAJ	VYBER	930	29587	\N	\N	\N
812376	2768	1996-02-23	VYDAJ	VYBER	180	31189	\N	\N	\N
812377	2768	1996-07-01	VYDAJ	VYBER	1260	25820	\N	\N	\N
812378	2768	1996-11-16	VYDAJ	VYBER	780	32030	\N	\N	\N
812379	2768	1996-11-05	VYDAJ	VYBER	1440	31116	\N	\N	\N
812380	2768	1996-11-30	VYDAJ	VYBER	150	32013	\N	\N	\N
812381	2768	1996-09-13	VYDAJ	VYBER	990	27179	\N	\N	\N
812382	2768	1997-04-09	VYDAJ	VYBER	1350	25860	\N	\N	\N
812383	2768	1997-09-20	VYDAJ	VYBER	990	39482	\N	\N	\N
812384	2768	1997-07-29	VYDAJ	VYBER	840	34323	\N	\N	\N
812385	2768	1997-11-14	VYDAJ	VYBER	1140	36316	\N	\N	\N
812386	2768	1997-02-27	VYDAJ	VYBER	780	26821	\N	\N	\N
812387	2768	1997-05-31	VYDAJ	VYBER	1140	29324	\N	\N	\N
812388	2768	1998-10-02	VYDAJ	VYBER	1170	41000	\N	\N	\N
812389	2768	1998-08-20	VYDAJ	VYBER	360	32610	\N	\N	\N
812390	2768	1998-11-12	VYDAJ	VYBER	240	39460	\N	\N	\N
812391	2768	1998-11-09	VYDAJ	VYBER	1050	39700	\N	\N	\N
812409	2768	1994-05-31	VYDAJ	VYBER	15	27972	SLUZBY	\N	\N
812410	2768	1994-06-30	VYDAJ	VYBER	15	23283	SLUZBY	\N	\N
812411	2768	1994-07-31	VYDAJ	VYBER	15	22258	SLUZBY	\N	\N
812412	2768	1994-08-31	VYDAJ	VYBER	15	23043	SLUZBY	\N	\N
812413	2768	1994-09-30	VYDAJ	VYBER	15	24321	SLUZBY	\N	\N
812414	2768	1994-10-31	VYDAJ	VYBER	15	27409	SLUZBY	\N	\N
812415	2768	1994-11-30	VYDAJ	VYBER	15	27903	SLUZBY	\N	\N
812416	2768	1994-12-31	VYDAJ	VYBER	15	29823	SLUZBY	\N	\N
812417	2768	1995-01-31	VYDAJ	VYBER	15	24175	SLUZBY	\N	\N
812418	2768	1995-02-28	VYDAJ	VYBER	15	27653	SLUZBY	\N	\N
812419	2768	1995-03-31	VYDAJ	VYBER	15	27347	SLUZBY	\N	\N
812420	2768	1995-04-30	VYDAJ	VYBER	15	30517	SLUZBY	\N	\N
812421	2768	1995-05-31	VYDAJ	VYBER	15	30195	SLUZBY	\N	\N
812422	2768	1995-06-30	VYDAJ	VYBER	15	27302	SLUZBY	\N	\N
812423	2768	1995-07-31	VYDAJ	VYBER	15	30092	SLUZBY	\N	\N
812424	2768	1995-08-31	VYDAJ	VYBER	15	31800	SLUZBY	\N	\N
812425	2768	1995-09-30	VYDAJ	VYBER	15	30507	SLUZBY	\N	\N
812426	2768	1995-10-31	VYDAJ	VYBER	15	27706	SLUZBY	\N	\N
812427	2768	1995-11-30	VYDAJ	VYBER	15	31208	SLUZBY	\N	\N
812428	2768	1995-12-31	VYDAJ	VYBER	15	32108	SLUZBY	\N	\N
812429	2768	1996-01-31	VYDAJ	VYBER	15	29275	SLUZBY	\N	\N
812430	2768	1996-02-29	VYDAJ	VYBER	15	31301	SLUZBY	\N	\N
812431	2768	1996-03-31	VYDAJ	VYBER	15	29504	SLUZBY	\N	\N
812432	2768	1996-04-30	VYDAJ	VYBER	15	29305	SLUZBY	\N	\N
812433	2768	1996-05-31	VYDAJ	VYBER	15	30508	SLUZBY	\N	\N
812434	2768	1996-06-30	VYDAJ	VYBER	15	27080	SLUZBY	\N	\N
812435	2768	1996-07-31	VYDAJ	VYBER	15	30220	SLUZBY	\N	\N
812436	2768	1996-08-31	VYDAJ	VYBER	15	30324	SLUZBY	\N	\N
812437	2768	1996-09-30	VYDAJ	VYBER	15	31140	SLUZBY	\N	\N
812438	2768	1996-10-31	VYDAJ	VYBER	15	34656	SLUZBY	\N	\N
812439	2768	1996-11-30	VYDAJ	VYBER	15	31999	SLUZBY	\N	\N
812440	2768	1996-12-31	VYDAJ	VYBER	15	31796	SLUZBY	\N	\N
812441	2768	1997-01-31	VYDAJ	VYBER	15	28907	SLUZBY	\N	\N
812442	2768	1997-02-28	VYDAJ	VYBER	15	26921	SLUZBY	\N	\N
812443	2768	1997-03-31	VYDAJ	VYBER	15	26610	SLUZBY	\N	\N
812444	2768	1997-04-30	VYDAJ	VYBER	15	27650	SLUZBY	\N	\N
812445	2768	1997-05-31	VYDAJ	VYBER	15	29310	SLUZBY	\N	\N
812446	2768	1997-06-30	VYDAJ	VYBER	15	30069	SLUZBY	\N	\N
812447	2768	1997-07-31	VYDAJ	VYBER	15	34445	SLUZBY	\N	\N
812448	2768	1997-08-31	VYDAJ	VYBER	15	39378	SLUZBY	\N	\N
812449	2768	1997-09-30	VYDAJ	VYBER	15	36529	SLUZBY	\N	\N
812450	2768	1997-10-31	VYDAJ	VYBER	15	35762	SLUZBY	\N	\N
812451	2768	1997-11-30	VYDAJ	VYBER	15	36550	SLUZBY	\N	\N
812452	2768	1997-12-31	VYDAJ	VYBER	15	39672	SLUZBY	\N	\N
812453	2768	1998-01-31	VYDAJ	VYBER	15	36897	SLUZBY	\N	\N
812454	2768	1998-02-28	VYDAJ	VYBER	15	37131	SLUZBY	\N	\N
812455	2768	1998-03-31	VYDAJ	VYBER	15	40968	SLUZBY	\N	\N
812456	2768	1998-04-30	VYDAJ	VYBER	15	38018	SLUZBY	\N	\N
812457	2768	1998-05-31	VYDAJ	VYBER	15	37056	SLUZBY	\N	\N
812458	2768	1998-06-30	VYDAJ	VYBER	15	28376	SLUZBY	\N	\N
812459	2768	1998-07-31	VYDAJ	VYBER	15	31276	SLUZBY	\N	\N
812460	2768	1998-08-31	VYDAJ	VYBER	15	37530	SLUZBY	\N	\N
812461	2768	1998-09-30	VYDAJ	VYBER	15	42170	SLUZBY	\N	\N
812462	2768	1998-10-31	VYDAJ	VYBER	15	40750	SLUZBY	\N	\N
812463	2768	1998-11-30	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
812464	2768	1994-01-19	PRIJEM	VKLAD	11100	15849	\N	\N	\N
812465	2768	1994-02-18	PRIJEM	VKLAD	3700	23426	\N	\N	\N
812466	2768	1994-03-20	PRIJEM	VKLAD	900	28253	\N	\N	\N
812467	2768	1994-04-19	VYDAJ	VYBER	5200	27008	\N	\N	\N
812468	2768	1994-05-19	VYDAJ	VYBER	3100	27872	\N	\N	\N
812469	2768	1994-06-18	VYDAJ	VYBER	2700	26966	\N	\N	\N
812470	2768	1994-07-18	VYDAJ	VYBER	1900	23077	\N	\N	\N
812471	2768	1994-08-17	PRIJEM	VKLAD	300	24252	\N	\N	\N
812472	2768	1994-09-16	VYDAJ	VYBER	500	24237	\N	\N	\N
812473	2768	1994-10-16	PRIJEM	VKLAD	1300	27315	\N	\N	\N
812474	2768	1994-11-15	VYDAJ	VYBER	1300	27803	\N	\N	\N
812475	2768	1994-12-15	PRIJEM	VKLAD	900	29717	\N	\N	\N
812476	2768	1995-01-14	VYDAJ	VYBER	4800	26717	\N	\N	\N
812477	2768	1995-02-13	PRIJEM	VKLAD	1900	26075	\N	\N	\N
812478	2768	1995-03-15	VYDAJ	VYBER	2100	27247	\N	\N	\N
812479	2768	1995-04-14	PRIJEM	VKLAD	2300	26562	\N	\N	\N
812480	2768	1995-05-14	VYDAJ	VYBER	1200	30081	\N	\N	\N
812481	2768	1995-06-13	PRIJEM	VKLAD	2900	25505	\N	\N	\N
812482	2768	1995-07-13	PRIJEM	VKLAD	2100	29402	\N	\N	\N
812483	2768	1995-08-12	VYDAJ	VYBER	100	29992	\N	\N	\N
812484	2768	1995-09-11	VYDAJ	VYBER	3100	28700	\N	\N	\N
812485	2768	1995-10-11	VYDAJ	VYBER	4600	25907	\N	\N	\N
812486	2768	1995-11-10	PRIJEM	VKLAD	1700	29406	\N	\N	\N
812487	2768	1995-12-10	VYDAJ	VYBER	400	30298	\N	\N	\N
812488	2768	1996-01-09	VYDAJ	VYBER	3500	28608	\N	\N	\N
812489	2768	1996-02-08	PRIJEM	VKLAD	400	29675	\N	\N	\N
812490	2768	1996-03-09	VYDAJ	VYBER	3600	27701	\N	\N	\N
812491	2768	1996-04-08	VYDAJ	VYBER	2000	27504	\N	\N	\N
812492	2768	1996-05-08	VYDAJ	VYBER	600	28705	\N	\N	\N
812493	2768	1996-06-07	PRIJEM	VKLAD	3300	25288	\N	\N	\N
812494	2768	1996-07-07	PRIJEM	VKLAD	2600	28420	\N	\N	\N
812495	2768	1996-08-06	VYDAJ	VYBER	1700	28520	\N	\N	\N
812496	2768	1996-10-05	PRIJEM	VKLAD	1700	32840	\N	\N	\N
812497	2768	1996-11-04	VYDAJ	VYBER	2100	32556	\N	\N	\N
812498	2768	1996-12-04	VYDAJ	VYBER	1800	29989	\N	\N	\N
812499	2768	1997-01-03	VYDAJ	VYBER	2200	29596	\N	\N	\N
812500	2768	1997-02-02	VYDAJ	VYBER	3000	25907	\N	\N	\N
812501	2768	1997-03-04	VYDAJ	VYBER	2100	24821	\N	\N	\N
812502	2768	1997-04-03	PRIJEM	VKLAD	600	27210	\N	\N	\N
812503	2768	1997-05-03	PRIJEM	VKLAD	1000	28650	\N	\N	\N
812504	2768	1997-06-02	PRIJEM	VKLAD	3000	32310	\N	\N	\N
812505	2768	1997-07-02	PRIJEM	VKLAD	3400	33469	\N	\N	\N
812506	2768	1997-08-01	PRIJEM	VKLAD	3100	37545	\N	\N	\N
812507	2768	1997-08-31	VYDAJ	VYBER	600	38778	\N	\N	\N
812508	2768	1997-09-30	VYDAJ	VYBER	3100	36544	\N	\N	\N
812509	2768	1997-10-30	VYDAJ	VYBER	2600	35623	\N	\N	\N
812510	2768	1997-11-29	PRIJEM	VKLAD	100	36416	\N	\N	\N
812511	2768	1997-12-29	PRIJEM	VKLAD	2100	39534	\N	\N	\N
812512	2768	1998-01-28	VYDAJ	VYBER	2400	38966	\N	\N	\N
812513	2768	1998-02-27	VYDAJ	VYBER	1600	36991	\N	\N	\N
812514	2768	1998-03-29	PRIJEM	VKLAD	2000	40825	\N	\N	\N
812515	2768	1998-04-28	VYDAJ	VYBER	4800	37862	\N	\N	\N
812516	2768	1998-05-28	VYDAJ	VYBER	2800	36912	\N	\N	\N
812517	2768	1998-06-27	VYDAJ	VYBER	3700	35050	\N	\N	\N
812518	2768	1998-07-27	PRIJEM	VKLAD	1100	31170	\N	\N	\N
812519	2768	1998-08-26	PRIJEM	VKLAD	4800	37410	\N	\N	\N
812520	2768	1998-09-25	PRIJEM	VKLAD	2800	42024	\N	\N	\N
812521	2768	1998-10-25	VYDAJ	VYBER	2100	40594	\N	\N	\N
812522	2768	1998-11-24	PRIJEM	VKLAD	1800	42954	\N	\N	\N
813230	2770	1993-12-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
813243	2770	1994-01-05	PRIJEM	PREVOD Z UCTU	3855	4955	\N	WX	11620170
813244	2770	1994-02-05	PRIJEM	PREVOD Z UCTU	3855	17325	\N	WX	11620170
813245	2770	1994-03-05	PRIJEM	PREVOD Z UCTU	3855	27044	\N	WX	11620170
813246	2770	1994-04-05	PRIJEM	PREVOD Z UCTU	3855	29097	\N	WX	11620170
813247	2770	1994-05-05	PRIJEM	PREVOD Z UCTU	3855	29257	\N	WX	11620170
813248	2770	1994-06-05	PRIJEM	PREVOD Z UCTU	3855	31940	\N	WX	11620170
813249	2770	1994-07-05	PRIJEM	PREVOD Z UCTU	3855	20201	\N	WX	11620170
813250	2770	1994-08-05	PRIJEM	PREVOD Z UCTU	3855	25190	\N	WX	11620170
813251	2770	1994-09-05	PRIJEM	PREVOD Z UCTU	3855	27356	\N	WX	11620170
813252	2770	1994-10-05	PRIJEM	PREVOD Z UCTU	3855	28529	\N	WX	11620170
813253	2770	1994-11-05	PRIJEM	PREVOD Z UCTU	3855	28606	\N	WX	11620170
813254	2770	1994-12-05	PRIJEM	PREVOD Z UCTU	3855	29283	\N	WX	11620170
813255	2770	1995-01-05	PRIJEM	PREVOD Z UCTU	3855	30476	\N	WX	11620170
813256	2770	1995-02-05	PRIJEM	PREVOD Z UCTU	3855	28629	\N	WX	11620170
813257	2770	1995-03-05	PRIJEM	PREVOD Z UCTU	3855	27606	\N	WX	11620170
813258	2770	1995-04-05	PRIJEM	PREVOD Z UCTU	3855	28579	\N	WX	11620170
813259	2770	1995-05-05	PRIJEM	PREVOD Z UCTU	3855	31449	\N	WX	11620170
813260	2770	1995-06-05	PRIJEM	PREVOD Z UCTU	3855	33040	\N	WX	11620170
813261	2770	1995-07-05	PRIJEM	PREVOD Z UCTU	3855	26608	\N	WX	11620170
813262	2770	1995-08-05	PRIJEM	PREVOD Z UCTU	3855	31385	\N	WX	11620170
813263	2770	1995-09-05	PRIJEM	PREVOD Z UCTU	3855	31045	\N	WX	11620170
813264	2770	1995-10-05	PRIJEM	PREVOD Z UCTU	3855	29529	\N	WX	11620170
813265	2770	1995-11-05	PRIJEM	PREVOD Z UCTU	3855	32114	\N	WX	11620170
813266	2770	1995-12-05	PRIJEM	PREVOD Z UCTU	3855	30500	\N	WX	11620170
813267	2770	1996-01-05	PRIJEM	PREVOD Z UCTU	3855	31308	\N	WX	11620170
813268	2770	1996-02-05	PRIJEM	PREVOD Z UCTU	3855	29561	\N	WX	11620170
813269	2770	1996-03-05	PRIJEM	PREVOD Z UCTU	3855	28137	\N	WX	11620170
813270	2770	1996-04-05	PRIJEM	PREVOD Z UCTU	3855	28260	\N	WX	11620170
813271	2770	1996-05-05	PRIJEM	PREVOD Z UCTU	3855	27141	\N	WX	11620170
813272	2770	1996-06-05	PRIJEM	PREVOD Z UCTU	3855	28012	\N	WX	11620170
813273	2770	1996-07-05	PRIJEM	PREVOD Z UCTU	3855	21356	\N	WX	11620170
813274	2770	1996-08-05	PRIJEM	PREVOD Z UCTU	3855	28519	\N	WX	11620170
813275	2770	1996-09-05	PRIJEM	PREVOD Z UCTU	3855	28593	\N	WX	11620170
813276	2770	1996-10-05	PRIJEM	PREVOD Z UCTU	3855	28347	\N	WX	11620170
813277	2770	1996-11-05	PRIJEM	PREVOD Z UCTU	3855	33535	\N	WX	11620170
813278	2770	1996-12-05	PRIJEM	PREVOD Z UCTU	3855	30065	\N	WX	11620170
813279	2770	1997-01-05	PRIJEM	PREVOD Z UCTU	3855	33388	\N	WX	11620170
813280	2770	1997-02-05	PRIJEM	PREVOD Z UCTU	3855	28833	\N	WX	11620170
813281	2770	1997-03-05	PRIJEM	PREVOD Z UCTU	3855	29910	\N	WX	11620170
813282	2770	1997-04-05	PRIJEM	PREVOD Z UCTU	3855	29688	\N	WX	11620170
813283	2770	1997-05-05	PRIJEM	PREVOD Z UCTU	3855	32174	\N	WX	11620170
813284	2770	1997-06-05	PRIJEM	PREVOD Z UCTU	3855	33453	\N	WX	11620170
813285	2770	1997-07-05	PRIJEM	PREVOD Z UCTU	3855	34562	\N	WX	11620170
813286	2770	1997-08-05	PRIJEM	PREVOD Z UCTU	3855	32251	\N	WX	11620170
813287	2770	1997-09-05	PRIJEM	PREVOD Z UCTU	3855	34439	\N	WX	11620170
813288	2770	1997-10-05	PRIJEM	PREVOD Z UCTU	3855	33333	\N	WX	11620170
813289	2770	1997-11-05	PRIJEM	PREVOD Z UCTU	3855	37536	\N	WX	11620170
813290	2770	1997-12-05	PRIJEM	PREVOD Z UCTU	3855	39850	\N	WX	11620170
813291	2770	1998-01-05	PRIJEM	PREVOD Z UCTU	3855	36661	\N	WX	11620170
813292	2770	1998-02-05	PRIJEM	PREVOD Z UCTU	3855	37633	\N	WX	11620170
813293	2770	1998-03-05	PRIJEM	PREVOD Z UCTU	3855	42945	\N	WX	11620170
813294	2770	1998-04-05	PRIJEM	PREVOD Z UCTU	3855	43480	\N	WX	11620170
813295	2770	1998-05-05	PRIJEM	PREVOD Z UCTU	3855	43690	\N	WX	11620170
813296	2770	1998-06-05	PRIJEM	PREVOD Z UCTU	3855	47030	\N	WX	11620170
813297	2770	1998-07-05	PRIJEM	PREVOD Z UCTU	3855	46796	\N	WX	11620170
813298	2770	1998-08-05	PRIJEM	PREVOD Z UCTU	3855	45947	\N	WX	11620170
813299	2770	1998-09-05	PRIJEM	PREVOD Z UCTU	3855	40296	\N	WX	11620170
813300	2770	1998-10-05	PRIJEM	PREVOD Z UCTU	3855	43479	\N	WX	11620170
813301	2770	1998-11-05	PRIJEM	PREVOD Z UCTU	3855	43906	\N	WX	11620170
813302	2770	1998-12-05	PRIJEM	PREVOD Z UCTU	3855	42964	\N	WX	11620170
813319	2770	1994-05-08	VYDAJ	PREVOD NA UCET	494	28269	SIPO	YZ	10137910
813320	2770	1994-06-08	VYDAJ	PREVOD NA UCET	494	30952	SIPO	YZ	10137910
813321	2770	1994-07-08	VYDAJ	PREVOD NA UCET	494	19213	SIPO	YZ	10137910
813322	2770	1994-08-08	VYDAJ	PREVOD NA UCET	494	24202	SIPO	YZ	10137910
813323	2770	1994-09-08	VYDAJ	PREVOD NA UCET	494	26368	SIPO	YZ	10137910
813324	2770	1994-10-08	VYDAJ	PREVOD NA UCET	494	27541	SIPO	YZ	10137910
813325	2770	1994-11-08	VYDAJ	PREVOD NA UCET	494	27618	SIPO	YZ	10137910
813326	2770	1994-12-08	VYDAJ	PREVOD NA UCET	494	28295	SIPO	YZ	10137910
813327	2770	1995-01-08	VYDAJ	PREVOD NA UCET	494	29488	SIPO	YZ	10137910
813328	2770	1995-02-08	VYDAJ	PREVOD NA UCET	494	27641	SIPO	YZ	10137910
813329	2770	1995-03-08	VYDAJ	PREVOD NA UCET	494	26618	SIPO	YZ	10137910
813330	2770	1995-04-08	VYDAJ	PREVOD NA UCET	494	27591	SIPO	YZ	10137910
813331	2770	1995-05-08	VYDAJ	PREVOD NA UCET	494	30461	SIPO	YZ	10137910
813332	2770	1995-06-08	VYDAJ	PREVOD NA UCET	494	32052	SIPO	YZ	10137910
813333	2770	1995-07-08	VYDAJ	PREVOD NA UCET	494	25620	SIPO	YZ	10137910
813334	2770	1995-08-08	VYDAJ	PREVOD NA UCET	494	30397	SIPO	YZ	10137910
813335	2770	1995-09-08	VYDAJ	PREVOD NA UCET	494	30057	SIPO	YZ	10137910
813336	2770	1995-10-08	VYDAJ	PREVOD NA UCET	494	28541	SIPO	YZ	10137910
813337	2770	1995-11-08	VYDAJ	PREVOD NA UCET	494	31126	SIPO	YZ	10137910
813338	2770	1995-12-08	VYDAJ	PREVOD NA UCET	494	29512	SIPO	YZ	10137910
813339	2770	1996-01-08	VYDAJ	PREVOD NA UCET	494	29510	SIPO	YZ	10137910
813340	2770	1996-02-08	VYDAJ	PREVOD NA UCET	494	28573	SIPO	YZ	10137910
813341	2770	1996-03-08	VYDAJ	PREVOD NA UCET	494	25829	SIPO	YZ	10137910
813342	2770	1996-04-08	VYDAJ	PREVOD NA UCET	494	27272	SIPO	YZ	10137910
813343	2770	1996-05-08	VYDAJ	PREVOD NA UCET	494	26153	SIPO	YZ	10137910
813344	2770	1996-06-08	VYDAJ	PREVOD NA UCET	494	27024	SIPO	YZ	10137910
813345	2770	1996-07-08	VYDAJ	PREVOD NA UCET	494	20368	SIPO	YZ	10137910
813346	2770	1996-08-08	VYDAJ	PREVOD NA UCET	494	27531	SIPO	YZ	10137910
813347	2770	1996-09-08	VYDAJ	PREVOD NA UCET	494	27605	SIPO	YZ	10137910
813348	2770	1996-10-08	VYDAJ	PREVOD NA UCET	494	27359	SIPO	YZ	10137910
813349	2770	1996-11-08	VYDAJ	PREVOD NA UCET	494	32547	SIPO	YZ	10137910
813350	2770	1996-12-08	VYDAJ	PREVOD NA UCET	494	29077	SIPO	YZ	10137910
813351	2770	1997-01-08	VYDAJ	PREVOD NA UCET	494	32400	SIPO	YZ	10137910
813352	2770	1997-02-08	VYDAJ	PREVOD NA UCET	494	27545	SIPO	YZ	10137910
813353	2770	1997-03-08	VYDAJ	PREVOD NA UCET	494	28922	SIPO	YZ	10137910
813354	2770	1997-04-08	VYDAJ	PREVOD NA UCET	494	29800	SIPO	YZ	10137910
813355	2770	1997-05-08	VYDAJ	PREVOD NA UCET	494	33286	SIPO	YZ	10137910
813356	2770	1997-06-08	VYDAJ	PREVOD NA UCET	494	32175	SIPO	YZ	10137910
813357	2770	1997-07-08	VYDAJ	PREVOD NA UCET	494	29874	SIPO	YZ	10137910
813358	2770	1997-08-08	VYDAJ	PREVOD NA UCET	494	32863	SIPO	YZ	10137910
813359	2770	1997-09-08	VYDAJ	PREVOD NA UCET	494	30951	SIPO	YZ	10137910
813360	2770	1997-10-08	VYDAJ	PREVOD NA UCET	494	34045	SIPO	YZ	10137910
813361	2770	1997-11-08	VYDAJ	PREVOD NA UCET	494	36548	SIPO	YZ	10137910
813362	2770	1997-12-08	VYDAJ	PREVOD NA UCET	494	38862	SIPO	YZ	10137910
813363	2770	1998-01-08	VYDAJ	PREVOD NA UCET	494	34323	SIPO	YZ	10137910
813364	2770	1998-02-08	VYDAJ	PREVOD NA UCET	494	36645	SIPO	YZ	10137910
813365	2770	1998-03-08	VYDAJ	PREVOD NA UCET	494	41957	SIPO	YZ	10137910
813366	2770	1998-04-08	VYDAJ	PREVOD NA UCET	494	42492	SIPO	YZ	10137910
813367	2770	1998-05-08	VYDAJ	PREVOD NA UCET	494	42702	SIPO	YZ	10137910
813368	2770	1998-06-08	VYDAJ	PREVOD NA UCET	494	46042	SIPO	YZ	10137910
813369	2770	1998-07-08	VYDAJ	PREVOD NA UCET	494	45808	SIPO	YZ	10137910
813370	2770	1998-08-08	VYDAJ	PREVOD NA UCET	494	44959	SIPO	YZ	10137910
813371	2770	1998-09-08	VYDAJ	PREVOD NA UCET	494	39308	SIPO	YZ	10137910
813372	2770	1998-10-08	VYDAJ	PREVOD NA UCET	494	42491	SIPO	YZ	10137910
813373	2770	1998-11-08	VYDAJ	PREVOD NA UCET	494	42918	SIPO	YZ	10137910
813374	2770	1998-12-08	VYDAJ	PREVOD NA UCET	494	41976	SIPO	YZ	10137910
813391	2770	1994-05-09	VYDAJ	PREVOD NA UCET	1582	26687	 	OP	52641576
813392	2770	1994-06-09	VYDAJ	PREVOD NA UCET	1582	29370	 	OP	52641576
813393	2770	1994-07-09	VYDAJ	PREVOD NA UCET	1582	17631	 	OP	52641576
813394	2770	1994-08-09	VYDAJ	PREVOD NA UCET	1582	22620	 	OP	52641576
813395	2770	1994-09-09	VYDAJ	PREVOD NA UCET	1582	24786	 	OP	52641576
813396	2770	1994-10-09	VYDAJ	PREVOD NA UCET	1582	25959	 	OP	52641576
813397	2770	1994-11-09	VYDAJ	PREVOD NA UCET	1582	26036	 	OP	52641576
813398	2770	1994-12-09	VYDAJ	PREVOD NA UCET	1582	26713	 	OP	52641576
813399	2770	1995-01-09	VYDAJ	PREVOD NA UCET	1582	27906	 	OP	52641576
813400	2770	1995-02-09	VYDAJ	PREVOD NA UCET	1582	26059	 	OP	52641576
813401	2770	1995-03-09	VYDAJ	PREVOD NA UCET	1582	25036	 	OP	52641576
813402	2770	1995-04-09	VYDAJ	PREVOD NA UCET	1582	26009	 	OP	52641576
813403	2770	1995-05-09	VYDAJ	PREVOD NA UCET	1582	28879	 	OP	52641576
813404	2770	1995-06-09	VYDAJ	PREVOD NA UCET	1582	30470	 	OP	52641576
813405	2770	1995-07-09	VYDAJ	PREVOD NA UCET	1582	24038	 	OP	52641576
813406	2770	1995-08-09	VYDAJ	PREVOD NA UCET	1582	28815	 	OP	52641576
813407	2770	1995-09-09	VYDAJ	PREVOD NA UCET	1582	28475	 	OP	52641576
813408	2770	1995-10-09	VYDAJ	PREVOD NA UCET	1582	26959	 	OP	52641576
813409	2770	1995-11-09	VYDAJ	PREVOD NA UCET	1582	29544	 	OP	52641576
813410	2770	1995-12-09	VYDAJ	PREVOD NA UCET	1582	27930	 	OP	52641576
813411	2770	1996-01-09	VYDAJ	PREVOD NA UCET	1582	27478	 	OP	52641576
813412	2770	1996-02-09	VYDAJ	PREVOD NA UCET	1582	26991	 	OP	52641576
813413	2770	1996-03-09	VYDAJ	PREVOD NA UCET	1582	24247	 	OP	52641576
813414	2770	1996-04-09	VYDAJ	PREVOD NA UCET	1582	24400	 	OP	52641576
813415	2770	1996-05-09	VYDAJ	PREVOD NA UCET	1582	24571	 	OP	52641576
813416	2770	1996-06-09	VYDAJ	PREVOD NA UCET	1582	25442	 	OP	52641576
813417	2770	1996-07-09	VYDAJ	PREVOD NA UCET	1582	18786	 	OP	52641576
813418	2770	1996-08-09	VYDAJ	PREVOD NA UCET	1582	25949	 	OP	52641576
813419	2770	1996-09-09	VYDAJ	PREVOD NA UCET	1582	26023	 	OP	52641576
813420	2770	1996-10-09	VYDAJ	PREVOD NA UCET	1582	25777	 	OP	52641576
813421	2770	1996-11-09	VYDAJ	PREVOD NA UCET	1582	26765	 	OP	52641576
813422	2770	1996-12-09	VYDAJ	PREVOD NA UCET	1582	30295	 	OP	52641576
813423	2770	1997-01-09	VYDAJ	PREVOD NA UCET	1582	29018	 	OP	52641576
813424	2770	1997-02-09	VYDAJ	PREVOD NA UCET	1582	25963	 	OP	52641576
813425	2770	1997-03-09	VYDAJ	PREVOD NA UCET	1582	25740	 	OP	52641576
813426	2770	1997-04-09	VYDAJ	PREVOD NA UCET	1582	28218	 	OP	52641576
813427	2770	1997-05-09	VYDAJ	PREVOD NA UCET	1582	31704	 	OP	52641576
813428	2770	1997-06-09	VYDAJ	PREVOD NA UCET	1582	30593	 	OP	52641576
813429	2770	1997-07-09	VYDAJ	PREVOD NA UCET	1582	28292	 	OP	52641576
813430	2770	1997-08-09	VYDAJ	PREVOD NA UCET	1582	31281	 	OP	52641576
813431	2770	1997-09-09	VYDAJ	PREVOD NA UCET	1582	29369	 	OP	52641576
813432	2770	1997-10-09	VYDAJ	PREVOD NA UCET	1582	32463	 	OP	52641576
813433	2770	1997-11-09	VYDAJ	PREVOD NA UCET	1582	34966	 	OP	52641576
813434	2770	1997-12-09	VYDAJ	PREVOD NA UCET	1582	37280	 	OP	52641576
813435	2770	1998-01-09	VYDAJ	PREVOD NA UCET	1582	32741	 	OP	52641576
813436	2770	1998-02-09	VYDAJ	PREVOD NA UCET	1582	35063	 	OP	52641576
813437	2770	1998-03-09	VYDAJ	PREVOD NA UCET	1582	40375	 	OP	52641576
813438	2770	1998-04-09	VYDAJ	PREVOD NA UCET	1582	40910	 	OP	52641576
813439	2770	1998-05-09	VYDAJ	PREVOD NA UCET	1582	41120	 	OP	52641576
813440	2770	1998-06-09	VYDAJ	PREVOD NA UCET	1582	44460	 	OP	52641576
813441	2770	1998-07-09	VYDAJ	PREVOD NA UCET	1582	44226	 	OP	52641576
813442	2770	1998-08-09	VYDAJ	PREVOD NA UCET	1582	43377	 	OP	52641576
813443	2770	1998-09-09	VYDAJ	PREVOD NA UCET	1582	37726	 	OP	52641576
813444	2770	1998-10-09	VYDAJ	PREVOD NA UCET	1582	40909	 	OP	52641576
813445	2770	1998-11-09	VYDAJ	PREVOD NA UCET	1582	41336	 	OP	52641576
813446	2770	1998-12-09	VYDAJ	PREVOD NA UCET	1582	40394	 	OP	52641576
813463	2770	1994-05-06	VYDAJ	PREVOD NA UCET	494	28763	POJISTNE	GH	41737938
813464	2770	1994-06-06	VYDAJ	PREVOD NA UCET	494	31446	POJISTNE	GH	41737938
813465	2770	1994-07-06	VYDAJ	PREVOD NA UCET	494	19707	POJISTNE	GH	41737938
813466	2770	1994-08-06	VYDAJ	PREVOD NA UCET	494	24696	POJISTNE	GH	41737938
813467	2770	1994-09-06	VYDAJ	PREVOD NA UCET	494	26862	POJISTNE	GH	41737938
813468	2770	1994-10-06	VYDAJ	PREVOD NA UCET	494	28035	POJISTNE	GH	41737938
813469	2770	1994-11-06	VYDAJ	PREVOD NA UCET	494	28112	POJISTNE	GH	41737938
813470	2770	1994-12-06	VYDAJ	PREVOD NA UCET	494	28789	POJISTNE	GH	41737938
813471	2770	1995-01-06	VYDAJ	PREVOD NA UCET	494	29982	POJISTNE	GH	41737938
813472	2770	1995-02-06	VYDAJ	PREVOD NA UCET	494	28135	POJISTNE	GH	41737938
813473	2770	1995-03-06	VYDAJ	PREVOD NA UCET	494	27112	POJISTNE	GH	41737938
813474	2770	1995-04-06	VYDAJ	PREVOD NA UCET	494	28085	POJISTNE	GH	41737938
813475	2770	1995-05-06	VYDAJ	PREVOD NA UCET	494	30955	POJISTNE	GH	41737938
813476	2770	1995-06-06	VYDAJ	PREVOD NA UCET	494	32546	POJISTNE	GH	41737938
813477	2770	1995-07-06	VYDAJ	PREVOD NA UCET	494	26114	POJISTNE	GH	41737938
813478	2770	1995-08-06	VYDAJ	PREVOD NA UCET	494	30891	POJISTNE	GH	41737938
813479	2770	1995-09-06	VYDAJ	PREVOD NA UCET	494	30551	POJISTNE	GH	41737938
813480	2770	1995-10-06	VYDAJ	PREVOD NA UCET	494	29035	POJISTNE	GH	41737938
813481	2770	1995-11-06	VYDAJ	PREVOD NA UCET	494	31620	POJISTNE	GH	41737938
813482	2770	1995-12-06	VYDAJ	PREVOD NA UCET	494	30006	POJISTNE	GH	41737938
813483	2770	1996-01-06	VYDAJ	PREVOD NA UCET	494	30004	POJISTNE	GH	41737938
813484	2770	1996-02-06	VYDAJ	PREVOD NA UCET	494	29067	POJISTNE	GH	41737938
813485	2770	1996-03-06	VYDAJ	PREVOD NA UCET	494	27643	POJISTNE	GH	41737938
813486	2770	1996-04-06	VYDAJ	PREVOD NA UCET	494	27766	POJISTNE	GH	41737938
813487	2770	1996-05-06	VYDAJ	PREVOD NA UCET	494	26647	POJISTNE	GH	41737938
813488	2770	1996-06-06	VYDAJ	PREVOD NA UCET	494	27518	POJISTNE	GH	41737938
813489	2770	1996-07-06	VYDAJ	PREVOD NA UCET	494	20862	POJISTNE	GH	41737938
813490	2770	1996-08-06	VYDAJ	PREVOD NA UCET	494	28025	POJISTNE	GH	41737938
813491	2770	1996-09-06	VYDAJ	PREVOD NA UCET	494	28099	POJISTNE	GH	41737938
813492	2770	1996-10-06	VYDAJ	PREVOD NA UCET	494	27853	POJISTNE	GH	41737938
813493	2770	1996-11-06	VYDAJ	PREVOD NA UCET	494	33041	POJISTNE	GH	41737938
813494	2770	1996-12-06	VYDAJ	PREVOD NA UCET	494	29571	POJISTNE	GH	41737938
813495	2770	1997-01-06	VYDAJ	PREVOD NA UCET	494	32894	POJISTNE	GH	41737938
813496	2770	1997-02-06	VYDAJ	PREVOD NA UCET	494	28339	POJISTNE	GH	41737938
813497	2770	1997-03-06	VYDAJ	PREVOD NA UCET	494	29416	POJISTNE	GH	41737938
813498	2770	1997-04-06	VYDAJ	PREVOD NA UCET	494	29194	POJISTNE	GH	41737938
813499	2770	1997-05-06	VYDAJ	PREVOD NA UCET	494	31680	POJISTNE	GH	41737938
813500	2770	1997-06-06	VYDAJ	PREVOD NA UCET	494	32959	POJISTNE	GH	41737938
813501	2770	1997-07-06	VYDAJ	PREVOD NA UCET	494	34068	POJISTNE	GH	41737938
813502	2770	1997-08-06	VYDAJ	PREVOD NA UCET	494	33357	POJISTNE	GH	41737938
813503	2770	1997-09-06	VYDAJ	PREVOD NA UCET	494	31445	POJISTNE	GH	41737938
813504	2770	1997-10-06	VYDAJ	PREVOD NA UCET	494	34539	POJISTNE	GH	41737938
813505	2770	1997-11-06	VYDAJ	PREVOD NA UCET	494	37042	POJISTNE	GH	41737938
813506	2770	1997-12-06	VYDAJ	PREVOD NA UCET	494	39356	POJISTNE	GH	41737938
813507	2770	1998-01-06	VYDAJ	PREVOD NA UCET	494	36167	POJISTNE	GH	41737938
813508	2770	1998-02-06	VYDAJ	PREVOD NA UCET	494	37139	POJISTNE	GH	41737938
813509	2770	1998-03-06	VYDAJ	PREVOD NA UCET	494	42451	POJISTNE	GH	41737938
813510	2770	1998-04-06	VYDAJ	PREVOD NA UCET	494	42986	POJISTNE	GH	41737938
813511	2770	1998-05-06	VYDAJ	PREVOD NA UCET	494	43196	POJISTNE	GH	41737938
813512	2770	1998-06-06	VYDAJ	PREVOD NA UCET	494	46536	POJISTNE	GH	41737938
813513	2770	1998-07-06	VYDAJ	PREVOD NA UCET	494	46302	POJISTNE	GH	41737938
813514	2770	1998-08-06	VYDAJ	PREVOD NA UCET	494	45453	POJISTNE	GH	41737938
813515	2770	1998-09-06	VYDAJ	PREVOD NA UCET	494	39802	POJISTNE	GH	41737938
813516	2770	1998-10-06	VYDAJ	PREVOD NA UCET	494	42985	POJISTNE	GH	41737938
813517	2770	1998-11-06	VYDAJ	PREVOD NA UCET	494	43412	POJISTNE	GH	41737938
813518	2770	1998-12-06	VYDAJ	PREVOD NA UCET	494	42470	POJISTNE	GH	41737938
813520	2770	1994-06-24	VYDAJ	VYBER	7320	17450	\N	\N	\N
813521	2770	1995-06-27	VYDAJ	VYBER	4620	22650	\N	\N	\N
813522	2770	1996-06-20	VYDAJ	VYBER	8520	17422	\N	\N	\N
813523	2770	1997-06-04	VYDAJ	VYBER	2220	29598	\N	\N	\N
813524	2770	1998-06-20	VYDAJ	VYBER	4680	39780	\N	\N	\N
813527	2770	1995-01-23	VYDAJ	VYBER	1380	26056	\N	\N	\N
813528	2770	1996-01-01	VYDAJ	VYBER	480	27453	\N	\N	\N
813529	2770	1997-01-13	VYDAJ	VYBER	2250	26768	\N	\N	\N
813530	2770	1998-01-07	VYDAJ	VYBER	1350	34817	\N	\N	\N
813532	2770	1994-12-14	VYDAJ	VYBER	390	26323	\N	\N	\N
813533	2770	1995-12-30	VYDAJ	VYBER	510	28220	\N	\N	\N
813534	2770	1996-12-03	VYDAJ	VYBER	660	26210	\N	\N	\N
813535	2770	1997-12-11	VYDAJ	VYBER	780	35570	\N	\N	\N
813536	2770	1998-12-20	VYDAJ	VYBER	330	40064	\N	\N	\N
813549	2770	1995-01-18	VYDAJ	VYBER	690	26046	\N	\N	\N
813550	2770	1995-01-21	VYDAJ	VYBER	210	27436	\N	\N	\N
813551	2770	1995-01-11	VYDAJ	VYBER	210	27396	\N	\N	\N
813552	2770	1995-01-10	VYDAJ	VYBER	300	27606	\N	\N	\N
813553	2770	1995-01-15	VYDAJ	VYBER	660	26736	\N	\N	\N
813554	2770	1995-01-01	VYDAJ	VYBER	480	26621	\N	\N	\N
813555	2770	1996-01-24	VYDAJ	VYBER	600	26028	\N	\N	\N
813556	2770	1996-01-29	VYDAJ	VYBER	420	25608	\N	\N	\N
813557	2770	1996-01-11	VYDAJ	VYBER	150	27328	\N	\N	\N
813558	2770	1996-01-05	VYDAJ	VYBER	810	30498	\N	\N	\N
813559	2770	1996-01-01	VYDAJ	VYBER	390	27933	\N	\N	\N
813560	2770	1996-01-08	VYDAJ	VYBER	450	29060	\N	\N	\N
813561	2770	1997-01-13	VYDAJ	VYBER	210	26558	\N	\N	\N
813562	2770	1997-01-20	VYDAJ	VYBER	210	25568	\N	\N	\N
813563	2770	1997-01-04	VYDAJ	VYBER	870	29533	\N	\N	\N
813564	2770	1997-01-16	VYDAJ	VYBER	480	26078	\N	\N	\N
813565	2770	1997-01-26	VYDAJ	VYBER	690	24878	\N	\N	\N
813566	2770	1997-01-17	VYDAJ	VYBER	300	25778	\N	\N	\N
813567	2770	1998-01-11	VYDAJ	VYBER	870	31871	\N	\N	\N
813568	2770	1998-01-19	VYDAJ	VYBER	390	30611	\N	\N	\N
813569	2770	1998-01-03	VYDAJ	VYBER	600	32806	\N	\N	\N
813570	2770	1998-01-25	VYDAJ	VYBER	450	29861	\N	\N	\N
813571	2770	1998-01-15	VYDAJ	VYBER	870	31001	\N	\N	\N
813572	2770	1998-01-22	VYDAJ	VYBER	300	30311	\N	\N	\N
813579	2770	1994-07-01	VYDAJ	VYBER	180	16346	\N	\N	\N
813580	2770	1994-08-02	VYDAJ	VYBER	360	21335	\N	\N	\N
813582	2770	1994-12-24	VYDAJ	VYBER	720	27003	\N	\N	\N
813583	2770	1994-06-24	VYDAJ	VYBER	1020	16430	\N	\N	\N
813585	2770	1995-09-02	VYDAJ	VYBER	1230	27790	\N	\N	\N
813586	2770	1995-04-09	VYDAJ	VYBER	1110	24899	\N	\N	\N
813587	2770	1995-02-03	VYDAJ	VYBER	1380	24774	\N	\N	\N
813588	2770	1995-09-03	VYDAJ	VYBER	600	27190	\N	\N	\N
813589	2770	1996-04-03	VYDAJ	VYBER	630	24405	\N	\N	\N
813590	2770	1996-03-07	VYDAJ	VYBER	1320	26323	\N	\N	\N
813591	2770	1996-09-12	VYDAJ	VYBER	1320	24403	\N	\N	\N
813592	2770	1996-04-09	VYDAJ	VYBER	1290	25982	\N	\N	\N
813593	2770	1997-08-30	VYDAJ	VYBER	810	30471	\N	\N	\N
813594	2770	1997-12-11	VYDAJ	VYBER	930	36350	\N	\N	\N
813595	2770	1997-06-08	VYDAJ	VYBER	1290	32669	\N	\N	\N
813596	2770	1998-11-23	VYDAJ	VYBER	1380	39956	\N	\N	\N
813597	2770	1998-04-30	VYDAJ	VYBER	630	40449	\N	\N	\N
813598	2770	1998-09-14	VYDAJ	VYBER	1140	36586	\N	\N	\N
813599	2770	1998-10-31	VYDAJ	VYBER	210	40051	\N	\N	\N
813617	2770	1994-05-31	VYDAJ	VYBER	15	28085	SLUZBY	\N	\N
813618	2770	1994-06-30	VYDAJ	VYBER	15	16526	SLUZBY	\N	\N
813619	2770	1994-07-31	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
813620	2770	1994-08-31	VYDAJ	VYBER	15	23501	SLUZBY	\N	\N
813621	2770	1994-09-30	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
813622	2770	1994-10-31	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
813623	2770	1994-11-30	VYDAJ	VYBER	15	25428	SLUZBY	\N	\N
813624	2770	1994-12-31	VYDAJ	VYBER	15	27101	SLUZBY	\N	\N
813625	2770	1995-01-31	VYDAJ	VYBER	15	26154	SLUZBY	\N	\N
813626	2770	1995-02-28	VYDAJ	VYBER	15	23751	SLUZBY	\N	\N
813627	2770	1995-03-31	VYDAJ	VYBER	15	24724	SLUZBY	\N	\N
813628	2770	1995-04-30	VYDAJ	VYBER	15	27594	SLUZBY	\N	\N
813629	2770	1995-05-31	VYDAJ	VYBER	15	29185	SLUZBY	\N	\N
813630	2770	1995-06-30	VYDAJ	VYBER	15	22753	SLUZBY	\N	\N
813631	2770	1995-07-31	VYDAJ	VYBER	15	27530	SLUZBY	\N	\N
813632	2770	1995-08-31	VYDAJ	VYBER	15	29020	SLUZBY	\N	\N
813633	2770	1995-09-30	VYDAJ	VYBER	15	25674	SLUZBY	\N	\N
813634	2770	1995-10-31	VYDAJ	VYBER	15	28259	SLUZBY	\N	\N
813635	2770	1995-11-30	VYDAJ	VYBER	15	26645	SLUZBY	\N	\N
813636	2770	1995-12-31	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
813637	2770	1996-01-31	VYDAJ	VYBER	15	25706	SLUZBY	\N	\N
813638	2770	1996-02-29	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
813639	2770	1996-03-31	VYDAJ	VYBER	15	25035	SLUZBY	\N	\N
813640	2770	1996-04-30	VYDAJ	VYBER	15	23286	SLUZBY	\N	\N
813641	2770	1996-05-31	VYDAJ	VYBER	15	24157	SLUZBY	\N	\N
813642	2770	1996-06-30	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
813643	2770	1996-07-31	VYDAJ	VYBER	15	24664	SLUZBY	\N	\N
813644	2770	1996-08-31	VYDAJ	VYBER	15	24738	SLUZBY	\N	\N
813645	2770	1996-09-30	VYDAJ	VYBER	15	24492	SLUZBY	\N	\N
813646	2770	1996-10-31	VYDAJ	VYBER	15	29680	SLUZBY	\N	\N
813647	2770	1996-11-30	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
813648	2770	1996-12-31	VYDAJ	VYBER	15	30403	SLUZBY	\N	\N
813649	2770	1997-01-31	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
813650	2770	1997-02-28	VYDAJ	VYBER	15	26055	SLUZBY	\N	\N
813651	2770	1997-03-31	VYDAJ	VYBER	15	25833	SLUZBY	\N	\N
813652	2770	1997-04-30	VYDAJ	VYBER	15	28319	SLUZBY	\N	\N
813653	2770	1997-05-31	VYDAJ	VYBER	15	31818	SLUZBY	\N	\N
813654	2770	1997-06-30	VYDAJ	VYBER	15	30707	SLUZBY	\N	\N
813655	2770	1997-07-31	VYDAJ	VYBER	15	28396	SLUZBY	\N	\N
813656	2770	1997-08-31	VYDAJ	VYBER	15	30584	SLUZBY	\N	\N
813657	2770	1997-09-30	VYDAJ	VYBER	15	29478	SLUZBY	\N	\N
813658	2770	1997-10-31	VYDAJ	VYBER	15	32581	SLUZBY	\N	\N
813659	2770	1997-11-30	VYDAJ	VYBER	15	35095	SLUZBY	\N	\N
813660	2770	1997-12-31	VYDAJ	VYBER	15	35706	SLUZBY	\N	\N
813661	2770	1998-01-31	VYDAJ	VYBER	15	29978	SLUZBY	\N	\N
813662	2770	1998-02-28	VYDAJ	VYBER	15	35190	SLUZBY	\N	\N
813663	2770	1998-03-31	VYDAJ	VYBER	15	40525	SLUZBY	\N	\N
813664	2770	1998-04-30	VYDAJ	VYBER	15	40435	SLUZBY	\N	\N
813665	2770	1998-05-31	VYDAJ	VYBER	15	41275	SLUZBY	\N	\N
813666	2770	1998-06-30	VYDAJ	VYBER	15	39941	SLUZBY	\N	\N
813667	2770	1998-07-31	VYDAJ	VYBER	15	44392	SLUZBY	\N	\N
813668	2770	1998-08-31	VYDAJ	VYBER	15	36441	SLUZBY	\N	\N
813669	2770	1998-09-30	VYDAJ	VYBER	15	39624	SLUZBY	\N	\N
813670	2770	1998-10-31	VYDAJ	VYBER	15	40261	SLUZBY	\N	\N
813671	2770	1998-11-30	VYDAJ	VYBER	15	39109	SLUZBY	\N	\N
813672	2770	1994-01-24	PRIJEM	VKLAD	8500	13455	\N	\N	\N
813673	2770	1994-02-23	PRIJEM	VKLAD	5800	23125	\N	\N	\N
813674	2770	1994-03-25	VYDAJ	VYBER	1900	25144	\N	\N	\N
813675	2770	1994-04-24	VYDAJ	VYBER	3800	25297	\N	\N	\N
813676	2770	1994-05-24	PRIJEM	VKLAD	1300	27987	\N	\N	\N
813677	2770	1994-06-23	VYDAJ	VYBER	4600	24770	\N	\N	\N
813678	2770	1994-07-23	PRIJEM	VKLAD	4000	21631	\N	\N	\N
813679	2770	1994-08-22	PRIJEM	VKLAD	800	23420	\N	\N	\N
813680	2770	1994-09-21	VYDAJ	VYBER	200	24586	\N	\N	\N
813681	2770	1994-10-21	VYDAJ	VYBER	1300	24659	\N	\N	\N
813682	2770	1994-11-20	VYDAJ	VYBER	700	25336	\N	\N	\N
813683	2770	1994-12-20	PRIJEM	VKLAD	1400	27723	\N	\N	\N
813684	2770	1995-01-19	PRIJEM	VKLAD	1600	27646	\N	\N	\N
813685	2770	1995-02-18	VYDAJ	VYBER	2400	23659	\N	\N	\N
813686	2770	1995-03-20	VYDAJ	VYBER	400	24636	\N	\N	\N
813687	2770	1995-04-19	PRIJEM	VKLAD	2600	27499	\N	\N	\N
813688	2770	1995-05-19	PRIJEM	VKLAD	200	29079	\N	\N	\N
813689	2770	1995-06-18	VYDAJ	VYBER	3200	27270	\N	\N	\N
813690	2770	1995-07-18	PRIJEM	VKLAD	3400	27438	\N	\N	\N
813691	2770	1995-08-17	PRIJEM	VKLAD	100	28915	\N	\N	\N
813692	2770	1995-09-16	VYDAJ	VYBER	2900	25575	\N	\N	\N
813693	2770	1995-10-16	PRIJEM	VKLAD	1200	28159	\N	\N	\N
813694	2770	1995-11-15	VYDAJ	VYBER	3000	26544	\N	\N	\N
813695	2770	1995-12-15	PRIJEM	VKLAD	800	28730	\N	\N	\N
813696	2770	1996-01-14	VYDAJ	VYBER	700	26628	\N	\N	\N
813697	2770	1996-02-13	VYDAJ	VYBER	2800	24191	\N	\N	\N
813698	2770	1996-03-14	PRIJEM	VKLAD	700	24947	\N	\N	\N
813699	2770	1996-04-13	VYDAJ	VYBER	1200	23200	\N	\N	\N
813700	2770	1996-05-13	VYDAJ	VYBER	500	24071	\N	\N	\N
813701	2770	1996-06-12	PRIJEM	VKLAD	500	25942	\N	\N	\N
813702	2770	1996-07-12	PRIJEM	VKLAD	5800	24586	\N	\N	\N
813703	2770	1996-08-11	VYDAJ	VYBER	1300	24649	\N	\N	\N
813704	2770	1996-09-10	VYDAJ	VYBER	300	25723	\N	\N	\N
813705	2770	1996-10-10	PRIJEM	VKLAD	3800	29577	\N	\N	\N
813706	2770	1996-11-09	VYDAJ	VYBER	4200	28347	\N	\N	\N
813707	2770	1996-12-09	PRIJEM	VKLAD	2800	31877	\N	\N	\N
813708	2770	1997-01-08	VYDAJ	VYBER	1800	30600	\N	\N	\N
813709	2770	1997-02-07	VYDAJ	VYBER	300	28039	\N	\N	\N
813710	2770	1997-03-09	VYDAJ	VYBER	1600	27322	\N	\N	\N
813711	2770	1997-04-08	PRIJEM	VKLAD	1100	30294	\N	\N	\N
813712	2770	1997-05-08	PRIJEM	VKLAD	2100	33780	\N	\N	\N
813713	2770	1997-06-07	PRIJEM	VKLAD	1000	33959	\N	\N	\N
813714	2770	1997-07-07	VYDAJ	VYBER	3700	30368	\N	\N	\N
813715	2770	1997-08-06	PRIJEM	VKLAD	1600	33851	\N	\N	\N
813716	2770	1997-09-05	VYDAJ	VYBER	2500	31939	\N	\N	\N
813717	2770	1997-10-05	PRIJEM	VKLAD	1700	35033	\N	\N	\N
813718	2770	1997-11-04	PRIJEM	VKLAD	1100	33681	\N	\N	\N
813719	2770	1997-12-04	PRIJEM	VKLAD	900	35995	\N	\N	\N
813720	2770	1998-01-03	VYDAJ	VYBER	2300	33406	\N	\N	\N
813721	2770	1998-02-02	PRIJEM	VKLAD	3800	33778	\N	\N	\N
813722	2770	1998-03-04	PRIJEM	VKLAD	3900	39090	\N	\N	\N
813723	2770	1998-04-03	VYDAJ	VYBER	900	39625	\N	\N	\N
813724	2770	1998-05-03	VYDAJ	VYBER	600	39835	\N	\N	\N
813725	2770	1998-06-02	PRIJEM	VKLAD	1900	43175	\N	\N	\N
813726	2770	1998-07-02	PRIJEM	VKLAD	3000	42941	\N	\N	\N
813727	2770	1998-08-01	VYDAJ	VYBER	2300	42092	\N	\N	\N
813728	2770	1998-08-31	VYDAJ	VYBER	7100	36456	\N	\N	\N
813729	2770	1998-09-30	PRIJEM	VKLAD	2900	39638	\N	\N	\N
813730	2770	1998-10-30	VYDAJ	VYBER	800	40109	\N	\N	\N
813731	2770	1998-11-29	VYDAJ	VYBER	1000	38956	\N	\N	\N
813792	2771	1993-08-18	PRIJEM	VKLAD	400	400	\N	\N	\N
813801	2771	1993-09-07	PRIJEM	VKLAD	19562	19962	\N	\N	\N
813802	2771	1993-10-07	PRIJEM	VKLAD	19562	43671	\N	\N	\N
813803	2771	1993-11-07	PRIJEM	VKLAD	19562	51649	\N	\N	\N
813804	2771	1993-12-07	PRIJEM	VKLAD	29343	68841	\N	\N	\N
813805	2771	1994-01-07	PRIJEM	VKLAD	19562	64679	\N	\N	\N
813806	2771	1994-02-07	PRIJEM	VKLAD	19562	34009	\N	\N	\N
813807	2771	1994-03-07	PRIJEM	VKLAD	19562	41519	\N	\N	\N
813808	2771	1994-04-07	PRIJEM	VKLAD	19562	48096	\N	\N	\N
813809	2771	1994-05-07	PRIJEM	VKLAD	19562	45275	\N	\N	\N
813810	2771	1994-06-07	PRIJEM	VKLAD	29343	61355	\N	\N	\N
813811	2771	1994-07-07	PRIJEM	VKLAD	19562	38881	\N	\N	\N
813812	2771	1994-08-07	PRIJEM	VKLAD	19562	49154	\N	\N	\N
813813	2771	1994-09-07	PRIJEM	VKLAD	19562	50989	\N	\N	\N
813814	2771	1994-10-07	PRIJEM	VKLAD	19562	52788	\N	\N	\N
813815	2771	1994-11-07	PRIJEM	VKLAD	19562	56400	\N	\N	\N
813816	2771	1994-12-07	PRIJEM	VKLAD	29343	64676	\N	\N	\N
813817	2771	1995-01-07	PRIJEM	VKLAD	19562	56613	\N	\N	\N
813818	2771	1995-02-07	PRIJEM	VKLAD	19562	53358	\N	\N	\N
813819	2771	1995-03-07	PRIJEM	VKLAD	19562	55393	\N	\N	\N
813820	2771	1995-04-07	PRIJEM	VKLAD	19562	55705	\N	\N	\N
813821	2771	1995-05-07	PRIJEM	VKLAD	19562	52651	\N	\N	\N
813822	2771	1995-06-07	PRIJEM	VKLAD	29343	67545	\N	\N	\N
813823	2771	1995-07-07	PRIJEM	VKLAD	19562	53431	\N	\N	\N
813824	2771	1995-08-07	PRIJEM	VKLAD	19562	56841	\N	\N	\N
813825	2771	1995-09-07	PRIJEM	VKLAD	19562	54047	\N	\N	\N
813826	2771	1995-10-07	PRIJEM	VKLAD	19562	50014	\N	\N	\N
813827	2771	1995-11-07	PRIJEM	VKLAD	19562	48501	\N	\N	\N
813828	2771	1995-12-07	PRIJEM	VKLAD	29343	61165	\N	\N	\N
813829	2771	1996-01-07	PRIJEM	VKLAD	19562	52634	\N	\N	\N
813830	2771	1996-02-07	PRIJEM	VKLAD	19562	46901	\N	\N	\N
813831	2771	1996-03-07	PRIJEM	VKLAD	19562	46775	\N	\N	\N
813832	2771	1996-04-07	PRIJEM	VKLAD	19562	52452	\N	\N	\N
813833	2771	1996-05-07	PRIJEM	VKLAD	19562	54394	\N	\N	\N
813834	2771	1996-06-07	PRIJEM	VKLAD	29343	65030	\N	\N	\N
813835	2771	1996-07-07	PRIJEM	VKLAD	19562	52019	\N	\N	\N
813836	2771	1996-08-07	PRIJEM	VKLAD	19562	52574	\N	\N	\N
813837	2771	1996-09-07	PRIJEM	VKLAD	19562	51320	\N	\N	\N
813838	2771	1996-10-07	PRIJEM	VKLAD	19562	51165	\N	\N	\N
813839	2771	1996-11-07	PRIJEM	VKLAD	19562	51007	\N	\N	\N
813840	2771	1996-12-07	PRIJEM	VKLAD	29343	62828	\N	\N	\N
813841	2771	1997-01-07	PRIJEM	VKLAD	19562	50228	\N	\N	\N
813842	2771	1997-02-07	PRIJEM	VKLAD	19562	40089	\N	\N	\N
813843	2771	1997-03-07	PRIJEM	VKLAD	19562	48268	\N	\N	\N
813844	2771	1997-04-07	PRIJEM	VKLAD	19562	49679	\N	\N	\N
813845	2771	1997-05-07	PRIJEM	VKLAD	19562	51696	\N	\N	\N
813846	2771	1997-06-07	PRIJEM	VKLAD	29343	61419	\N	\N	\N
813847	2771	1997-07-07	PRIJEM	VKLAD	19562	56169	\N	\N	\N
813848	2771	1997-08-07	PRIJEM	VKLAD	19562	52525	\N	\N	\N
813849	2771	1997-09-07	PRIJEM	VKLAD	19562	50846	\N	\N	\N
813850	2771	1997-10-07	PRIJEM	VKLAD	19562	45351	\N	\N	\N
813851	2771	1997-11-07	PRIJEM	VKLAD	19562	48545	\N	\N	\N
813852	2771	1997-12-07	PRIJEM	VKLAD	29343	52467	\N	\N	\N
813853	2771	1998-01-07	PRIJEM	VKLAD	19562	41399	\N	\N	\N
813854	2771	1998-02-07	PRIJEM	VKLAD	19562	38184	\N	\N	\N
813855	2771	1998-03-07	PRIJEM	VKLAD	19562	42747	\N	\N	\N
813856	2771	1998-04-07	PRIJEM	VKLAD	19562	37024	\N	\N	\N
813857	2771	1998-05-07	PRIJEM	VKLAD	19562	37478	\N	\N	\N
813858	2771	1998-06-07	PRIJEM	VKLAD	29343	46213	\N	\N	\N
813859	2771	1998-07-07	PRIJEM	VKLAD	19562	42889	\N	\N	\N
813860	2771	1998-08-07	PRIJEM	VKLAD	19562	38665	\N	\N	\N
813861	2771	1998-09-07	PRIJEM	VKLAD	19562	35897	\N	\N	\N
813862	2771	1998-10-07	PRIJEM	VKLAD	19562	37743	\N	\N	\N
813863	2771	1998-11-07	PRIJEM	VKLAD	19562	38995	\N	\N	\N
813864	2771	1998-12-07	PRIJEM	VKLAD	29343	49103	\N	\N	\N
813877	2771	1994-01-09	VYDAJ	PREVOD NA UCET	7288	52711	SIPO	IJ	67174297
813878	2771	1994-02-09	VYDAJ	PREVOD NA UCET	7288	26721	SIPO	IJ	67174297
813879	2771	1994-03-09	VYDAJ	PREVOD NA UCET	7288	34231	SIPO	IJ	67174297
813880	2771	1994-04-09	VYDAJ	PREVOD NA UCET	7288	40808	SIPO	IJ	67174297
813881	2771	1994-05-09	VYDAJ	PREVOD NA UCET	7288	37987	SIPO	IJ	67174297
813882	2771	1994-06-09	VYDAJ	PREVOD NA UCET	7288	54067	SIPO	IJ	67174297
813883	2771	1994-07-09	VYDAJ	PREVOD NA UCET	7288	31593	SIPO	IJ	67174297
813884	2771	1994-08-09	VYDAJ	PREVOD NA UCET	7288	41866	SIPO	IJ	67174297
813885	2771	1994-09-09	VYDAJ	PREVOD NA UCET	7288	43701	SIPO	IJ	67174297
813886	2771	1994-10-09	VYDAJ	PREVOD NA UCET	7288	45500	SIPO	IJ	67174297
813887	2771	1994-11-09	VYDAJ	PREVOD NA UCET	7288	49112	SIPO	IJ	67174297
813888	2771	1994-12-09	VYDAJ	PREVOD NA UCET	7288	57388	SIPO	IJ	67174297
813889	2771	1995-01-09	VYDAJ	PREVOD NA UCET	7288	49325	SIPO	IJ	67174297
813890	2771	1995-02-09	VYDAJ	PREVOD NA UCET	7288	46070	SIPO	IJ	67174297
813891	2771	1995-03-09	VYDAJ	PREVOD NA UCET	7288	48105	SIPO	IJ	67174297
813892	2771	1995-04-09	VYDAJ	PREVOD NA UCET	7288	48417	SIPO	IJ	67174297
813893	2771	1995-05-09	VYDAJ	PREVOD NA UCET	7288	45363	SIPO	IJ	67174297
813894	2771	1995-06-09	VYDAJ	PREVOD NA UCET	7288	60257	SIPO	IJ	67174297
813895	2771	1995-07-09	VYDAJ	PREVOD NA UCET	7288	37143	SIPO	IJ	67174297
813896	2771	1995-08-09	VYDAJ	PREVOD NA UCET	7288	34353	SIPO	IJ	67174297
813897	2771	1995-09-09	VYDAJ	PREVOD NA UCET	7288	34759	SIPO	IJ	67174297
813898	2771	1995-10-09	VYDAJ	PREVOD NA UCET	7288	30126	SIPO	IJ	67174297
813899	2771	1995-11-09	VYDAJ	PREVOD NA UCET	7288	41213	SIPO	IJ	67174297
813900	2771	1995-12-09	VYDAJ	PREVOD NA UCET	7288	53877	SIPO	IJ	67174297
813901	2771	1996-01-09	VYDAJ	PREVOD NA UCET	7288	43066	SIPO	IJ	67174297
813902	2771	1996-02-09	VYDAJ	PREVOD NA UCET	7288	39613	SIPO	IJ	67174297
813903	2771	1996-03-09	VYDAJ	PREVOD NA UCET	7288	39487	SIPO	IJ	67174297
813904	2771	1996-04-09	VYDAJ	PREVOD NA UCET	7288	45164	SIPO	IJ	67174297
813905	2771	1996-05-09	VYDAJ	PREVOD NA UCET	7288	47106	SIPO	IJ	67174297
813906	2771	1996-06-09	VYDAJ	PREVOD NA UCET	7288	37102	SIPO	IJ	67174297
813907	2771	1996-07-09	VYDAJ	PREVOD NA UCET	7288	44731	SIPO	IJ	67174297
813908	2771	1996-08-09	VYDAJ	PREVOD NA UCET	7288	45286	SIPO	IJ	67174297
813909	2771	1996-09-09	VYDAJ	PREVOD NA UCET	7288	44032	SIPO	IJ	67174297
813910	2771	1996-10-09	VYDAJ	PREVOD NA UCET	7288	43877	SIPO	IJ	67174297
813911	2771	1996-11-09	VYDAJ	PREVOD NA UCET	7288	43719	SIPO	IJ	67174297
813912	2771	1996-12-09	VYDAJ	PREVOD NA UCET	7288	55540	SIPO	IJ	67174297
813913	2771	1997-01-09	VYDAJ	PREVOD NA UCET	7288	40540	SIPO	IJ	67174297
813914	2771	1997-02-09	VYDAJ	PREVOD NA UCET	7288	32801	SIPO	IJ	67174297
813915	2771	1997-03-09	VYDAJ	PREVOD NA UCET	7288	40980	SIPO	IJ	67174297
813916	2771	1997-04-09	VYDAJ	PREVOD NA UCET	7288	42391	SIPO	IJ	67174297
813917	2771	1997-05-09	VYDAJ	PREVOD NA UCET	7288	44408	SIPO	IJ	67174297
813918	2771	1997-06-09	VYDAJ	PREVOD NA UCET	7288	54131	SIPO	IJ	67174297
813919	2771	1997-07-09	VYDAJ	PREVOD NA UCET	7288	48881	SIPO	IJ	67174297
813920	2771	1997-08-09	VYDAJ	PREVOD NA UCET	7288	45237	SIPO	IJ	67174297
813921	2771	1997-09-09	VYDAJ	PREVOD NA UCET	7288	43558	SIPO	IJ	67174297
813922	2771	1997-10-09	VYDAJ	PREVOD NA UCET	7288	38063	SIPO	IJ	67174297
813923	2771	1997-11-09	VYDAJ	PREVOD NA UCET	7288	41257	SIPO	IJ	67174297
813924	2771	1997-12-09	VYDAJ	PREVOD NA UCET	7288	45179	SIPO	IJ	67174297
813925	2771	1998-01-09	VYDAJ	PREVOD NA UCET	7288	18551	SIPO	IJ	67174297
813926	2771	1998-02-09	VYDAJ	PREVOD NA UCET	7288	30896	SIPO	IJ	67174297
813927	2771	1998-03-09	VYDAJ	PREVOD NA UCET	7288	35459	SIPO	IJ	67174297
813928	2771	1998-04-09	VYDAJ	PREVOD NA UCET	7288	29736	SIPO	IJ	67174297
813929	2771	1998-05-09	VYDAJ	PREVOD NA UCET	7288	30190	SIPO	IJ	67174297
813930	2771	1998-06-09	VYDAJ	PREVOD NA UCET	7288	38925	SIPO	IJ	67174297
813931	2771	1998-07-09	VYDAJ	PREVOD NA UCET	7288	35601	SIPO	IJ	67174297
813932	2771	1998-08-09	VYDAJ	PREVOD NA UCET	7288	31377	SIPO	IJ	67174297
813933	2771	1998-09-09	VYDAJ	PREVOD NA UCET	7288	28609	SIPO	IJ	67174297
813934	2771	1998-10-09	VYDAJ	PREVOD NA UCET	7288	30455	SIPO	IJ	67174297
813935	2771	1998-11-09	VYDAJ	PREVOD NA UCET	7288	26787	SIPO	IJ	67174297
813936	2771	1998-12-09	VYDAJ	PREVOD NA UCET	7288	41815	SIPO	IJ	67174297
814010	2771	1994-06-24	VYDAJ	VYBER	20480	19187	\N	\N	\N
814011	2771	1995-06-11	VYDAJ	VYBER	8320	33737	\N	\N	\N
814012	2771	1996-06-07	VYDAJ	VYBER	20640	44390	\N	\N	\N
814016	2771	1994-01-24	VYDAJ	VYBER	6560	24751	\N	\N	\N
814017	2771	1995-01-04	VYDAJ	VYBER	3360	37051	\N	\N	\N
814018	2771	1996-01-22	VYDAJ	VYBER	5760	37306	\N	\N	\N
814019	2771	1997-01-22	VYDAJ	VYBER	6560	29660	\N	\N	\N
814020	2771	1998-01-07	VYDAJ	VYBER	13760	27639	\N	\N	\N
814022	2771	1994-12-03	VYDAJ	VYBER	1120	35333	\N	\N	\N
814023	2771	1995-12-27	VYDAJ	VYBER	3040	50837	\N	\N	\N
814024	2771	1996-12-19	VYDAJ	VYBER	4320	51220	\N	\N	\N
814025	2771	1997-12-04	VYDAJ	VYBER	1760	23124	\N	\N	\N
814033	2771	1994-01-25	VYDAJ	VYBER	2400	22351	\N	\N	\N
814034	2771	1994-01-25	VYDAJ	VYBER	3000	19351	\N	\N	\N
814035	2771	1994-01-10	VYDAJ	VYBER	600	52111	\N	\N	\N
814036	2771	1994-01-18	VYDAJ	VYBER	2040	31311	\N	\N	\N
814037	2771	1994-01-26	VYDAJ	VYBER	2520	16831	\N	\N	\N
814038	2771	1994-01-16	VYDAJ	VYBER	3360	33351	\N	\N	\N
814039	2771	1995-01-26	VYDAJ	VYBER	1440	34965	\N	\N	\N
814040	2771	1995-01-20	VYDAJ	VYBER	1320	36405	\N	\N	\N
814041	2771	1995-01-10	VYDAJ	VYBER	3240	37725	\N	\N	\N
814042	2771	1995-01-28	VYDAJ	VYBER	1320	33645	\N	\N	\N
814043	2771	1995-01-10	VYDAJ	VYBER	2760	40965	\N	\N	\N
814044	2771	1995-01-02	VYDAJ	VYBER	840	40411	\N	\N	\N
814045	2771	1996-01-07	VYDAJ	VYBER	2280	50354	\N	\N	\N
814046	2771	1996-01-23	VYDAJ	VYBER	1440	35866	\N	\N	\N
814047	2771	1996-01-26	VYDAJ	VYBER	1800	34066	\N	\N	\N
814048	2771	1996-01-03	VYDAJ	VYBER	720	43472	\N	\N	\N
814049	2771	1996-01-01	VYDAJ	VYBER	1440	44192	\N	\N	\N
814050	2771	1996-01-30	VYDAJ	VYBER	1680	32386	\N	\N	\N
814051	2771	1997-01-09	VYDAJ	VYBER	1440	39100	\N	\N	\N
814052	2771	1997-01-10	VYDAJ	VYBER	840	38260	\N	\N	\N
814053	2771	1997-01-02	VYDAJ	VYBER	3120	30666	\N	\N	\N
814054	2771	1997-01-30	VYDAJ	VYBER	2760	20400	\N	\N	\N
814055	2771	1997-01-21	VYDAJ	VYBER	2040	36220	\N	\N	\N
814056	2771	1997-01-07	VYDAJ	VYBER	2400	47828	\N	\N	\N
814057	2771	1998-01-05	VYDAJ	VYBER	1800	21837	\N	\N	\N
814058	2771	1998-01-09	VYDAJ	VYBER	1800	25839	\N	\N	\N
814061	2771	1998-01-05	VYDAJ	VYBER	1320	23637	\N	\N	\N
814062	2771	1998-01-02	VYDAJ	VYBER	2160	24957	\N	\N	\N
814065	2771	1994-08-19	VYDAJ	VYBER	1560	31306	\N	\N	\N
814066	2771	1994-05-05	VYDAJ	VYBER	4440	25713	\N	\N	\N
814067	2771	1994-02-25	VYDAJ	VYBER	3240	21881	\N	\N	\N
814068	2771	1994-01-30	VYDAJ	VYBER	2520	14311	\N	\N	\N
814069	2771	1994-01-08	VYDAJ	VYBER	4680	59999	\N	\N	\N
814070	2771	1994-04-15	VYDAJ	VYBER	3480	30028	\N	\N	\N
814071	2771	1995-11-30	VYDAJ	VYBER	3240	38122	\N	\N	\N
814072	2771	1995-09-29	VYDAJ	VYBER	1560	30319	\N	\N	\N
814073	2771	1995-12-28	VYDAJ	VYBER	5400	45437	\N	\N	\N
814074	2771	1995-04-15	VYDAJ	VYBER	5760	32957	\N	\N	\N
814075	2771	1995-09-29	VYDAJ	VYBER	2880	31879	\N	\N	\N
814076	2771	1996-12-22	VYDAJ	VYBER	4320	46900	\N	\N	\N
814077	2771	1996-02-22	VYDAJ	VYBER	4440	35173	\N	\N	\N
814078	2771	1996-03-20	VYDAJ	VYBER	2640	36847	\N	\N	\N
814079	2771	1996-07-20	VYDAJ	VYBER	2880	41851	\N	\N	\N
814080	2771	1997-09-17	VYDAJ	VYBER	5400	38158	\N	\N	\N
814081	2771	1997-07-21	VYDAJ	VYBER	2880	46001	\N	\N	\N
814082	2771	1997-05-12	VYDAJ	VYBER	1080	43328	\N	\N	\N
814083	2771	1997-08-17	VYDAJ	VYBER	1200	44037	\N	\N	\N
814084	2771	1998-07-03	VYDAJ	VYBER	600	23327	\N	\N	\N
814085	2771	1998-08-20	VYDAJ	VYBER	2520	28857	\N	\N	\N
814086	2771	1998-12-12	VYDAJ	VYBER	1920	36415	\N	\N	\N
814087	2771	1998-12-11	VYDAJ	VYBER	3480	38335	\N	\N	\N
814088	2771	1998-11-09	VYDAJ	VYBER	4920	34075	\N	\N	\N
814089	2771	1998-03-30	VYDAJ	VYBER	5400	17359	\N	\N	\N
814105	2771	1994-01-31	VYDAJ	VYBER	15	14447	SLUZBY	\N	\N
814106	2771	1994-02-28	VYDAJ	VYBER	15	21957	SLUZBY	\N	\N
814107	2771	1994-03-31	VYDAJ	VYBER	15	28534	SLUZBY	\N	\N
814108	2771	1994-04-30	VYDAJ	VYBER	15	30153	SLUZBY	\N	\N
814109	2771	1994-05-31	VYDAJ	VYBER	15	32012	SLUZBY	\N	\N
814110	2771	1994-06-30	VYDAJ	VYBER	15	19319	SLUZBY	\N	\N
814111	2771	1994-07-31	VYDAJ	VYBER	15	29592	SLUZBY	\N	\N
814112	2771	1994-08-31	VYDAJ	VYBER	15	31427	SLUZBY	\N	\N
814113	2771	1994-09-30	VYDAJ	VYBER	15	33226	SLUZBY	\N	\N
814114	2771	1994-10-31	VYDAJ	VYBER	15	36838	SLUZBY	\N	\N
814115	2771	1994-11-30	VYDAJ	VYBER	15	36453	SLUZBY	\N	\N
814116	2771	1994-12-31	VYDAJ	VYBER	15	41251	SLUZBY	\N	\N
814117	2771	1995-01-31	VYDAJ	VYBER	15	33796	SLUZBY	\N	\N
814118	2771	1995-02-28	VYDAJ	VYBER	15	35831	SLUZBY	\N	\N
814119	2771	1995-03-31	VYDAJ	VYBER	15	36143	SLUZBY	\N	\N
814120	2771	1995-04-30	VYDAJ	VYBER	15	33089	SLUZBY	\N	\N
814121	2771	1995-05-31	VYDAJ	VYBER	15	38202	SLUZBY	\N	\N
814122	2771	1995-06-30	VYDAJ	VYBER	15	33869	SLUZBY	\N	\N
814123	2771	1995-07-31	VYDAJ	VYBER	15	37279	SLUZBY	\N	\N
814124	2771	1995-08-31	VYDAJ	VYBER	15	34485	SLUZBY	\N	\N
814125	2771	1995-09-30	VYDAJ	VYBER	15	30452	SLUZBY	\N	\N
814126	2771	1995-10-31	VYDAJ	VYBER	15	30239	SLUZBY	\N	\N
814127	2771	1995-11-30	VYDAJ	VYBER	15	41362	SLUZBY	\N	\N
814128	2771	1995-12-31	VYDAJ	VYBER	15	45632	SLUZBY	\N	\N
814129	2771	1996-01-31	VYDAJ	VYBER	15	32539	SLUZBY	\N	\N
814130	2771	1996-02-29	VYDAJ	VYBER	15	35313	SLUZBY	\N	\N
814131	2771	1996-03-31	VYDAJ	VYBER	15	36990	SLUZBY	\N	\N
814132	2771	1996-04-30	VYDAJ	VYBER	15	45332	SLUZBY	\N	\N
814133	2771	1996-05-31	VYDAJ	VYBER	15	47287	SLUZBY	\N	\N
814134	2771	1996-06-30	VYDAJ	VYBER	15	37257	SLUZBY	\N	\N
814135	2771	1996-07-31	VYDAJ	VYBER	15	42012	SLUZBY	\N	\N
814136	2771	1996-08-31	VYDAJ	VYBER	15	45458	SLUZBY	\N	\N
814137	2771	1996-09-30	VYDAJ	VYBER	15	44203	SLUZBY	\N	\N
814138	2771	1996-10-31	VYDAJ	VYBER	15	44045	SLUZBY	\N	\N
814139	2771	1996-11-30	VYDAJ	VYBER	15	43885	SLUZBY	\N	\N
814140	2771	1996-12-31	VYDAJ	VYBER	15	33786	SLUZBY	\N	\N
814141	2771	1997-01-31	VYDAJ	VYBER	15	20527	SLUZBY	\N	\N
814142	2771	1997-02-28	VYDAJ	VYBER	15	28706	SLUZBY	\N	\N
814143	2771	1997-03-31	VYDAJ	VYBER	15	30117	SLUZBY	\N	\N
814144	2771	1997-04-30	VYDAJ	VYBER	15	32134	SLUZBY	\N	\N
814145	2771	1997-05-31	VYDAJ	VYBER	15	32076	SLUZBY	\N	\N
814146	2771	1997-06-30	VYDAJ	VYBER	15	36607	SLUZBY	\N	\N
814147	2771	1997-07-31	VYDAJ	VYBER	15	32963	SLUZBY	\N	\N
814148	2771	1997-08-31	VYDAJ	VYBER	15	31284	SLUZBY	\N	\N
814149	2771	1997-09-30	VYDAJ	VYBER	15	25789	SLUZBY	\N	\N
814150	2771	1997-10-31	VYDAJ	VYBER	15	28983	SLUZBY	\N	\N
814151	2771	1997-11-30	VYDAJ	VYBER	15	24884	SLUZBY	\N	\N
814152	2771	1997-12-31	VYDAJ	VYBER	15	27117	SLUZBY	\N	\N
814153	2771	1998-01-31	VYDAJ	VYBER	15	18622	SLUZBY	\N	\N
814154	2771	1998-02-28	VYDAJ	VYBER	15	23185	SLUZBY	\N	\N
814155	2771	1998-03-31	VYDAJ	VYBER	15	17462	SLUZBY	\N	\N
814156	2771	1998-04-30	VYDAJ	VYBER	15	17916	SLUZBY	\N	\N
814157	2771	1998-05-31	VYDAJ	VYBER	15	16870	SLUZBY	\N	\N
814158	2771	1998-06-30	VYDAJ	VYBER	15	23927	SLUZBY	\N	\N
814159	2771	1998-07-31	VYDAJ	VYBER	15	19103	SLUZBY	\N	\N
814160	2771	1998-08-31	VYDAJ	VYBER	15	16335	SLUZBY	\N	\N
814161	2771	1998-09-30	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
814162	2771	1998-10-31	VYDAJ	VYBER	15	19433	SLUZBY	\N	\N
814163	2771	1998-11-30	VYDAJ	VYBER	15	19760	SLUZBY	\N	\N
814164	2771	1993-09-17	PRIJEM	VKLAD	4100	24062	\N	\N	\N
814165	2771	1993-10-17	VYDAJ	VYBER	11700	31971	\N	\N	\N
814166	2771	1993-11-16	VYDAJ	VYBER	12300	39349	\N	\N	\N
814167	2771	1993-12-16	VYDAJ	VYBER	23900	44941	\N	\N	\N
814168	2771	1994-01-15	VYDAJ	VYBER	15400	36711	\N	\N	\N
814169	2771	1994-02-14	VYDAJ	VYBER	1600	25121	\N	\N	\N
814170	2771	1994-03-16	VYDAJ	VYBER	5800	28431	\N	\N	\N
814171	2771	1994-04-15	VYDAJ	VYBER	7300	33508	\N	\N	\N
814172	2771	1994-05-15	VYDAJ	VYBER	6100	31887	\N	\N	\N
814173	2771	1994-06-14	VYDAJ	VYBER	14400	39667	\N	\N	\N
814174	2771	1994-07-14	VYDAJ	VYBER	2100	29493	\N	\N	\N
814175	2771	1994-08-13	VYDAJ	VYBER	9000	32866	\N	\N	\N
814176	2771	1994-09-12	VYDAJ	VYBER	10600	33101	\N	\N	\N
814177	2771	1994-10-12	VYDAJ	VYBER	8800	36700	\N	\N	\N
814178	2771	1994-11-11	VYDAJ	VYBER	12800	36312	\N	\N	\N
814179	2771	1994-12-11	VYDAJ	VYBER	16300	41088	\N	\N	\N
814180	2771	1995-01-10	VYDAJ	VYBER	5600	43725	\N	\N	\N
814181	2771	1995-02-09	VYDAJ	VYBER	10400	35670	\N	\N	\N
814182	2771	1995-03-11	VYDAJ	VYBER	12100	36005	\N	\N	\N
814183	2771	1995-04-10	VYDAJ	VYBER	9700	38717	\N	\N	\N
814184	2771	1995-05-10	VYDAJ	VYBER	7300	38063	\N	\N	\N
814185	2771	1995-06-09	VYDAJ	VYBER	18200	42057	\N	\N	\N
814186	2771	1995-07-09	VYDAJ	VYBER	9000	44431	\N	\N	\N
814187	2771	1995-08-08	VYDAJ	VYBER	15200	41641	\N	\N	\N
814188	2771	1995-09-07	VYDAJ	VYBER	12000	42047	\N	\N	\N
814189	2771	1995-10-07	VYDAJ	VYBER	12600	37414	\N	\N	\N
814190	2771	1995-11-06	VYDAJ	VYBER	1300	28939	\N	\N	\N
814191	2771	1995-12-06	VYDAJ	VYBER	6300	31822	\N	\N	\N
814192	2771	1996-01-05	VYDAJ	VYBER	10400	33072	\N	\N	\N
814193	2771	1996-02-04	VYDAJ	VYBER	5200	27339	\N	\N	\N
814194	2771	1996-03-05	VYDAJ	VYBER	8100	27213	\N	\N	\N
814195	2771	1996-04-04	VYDAJ	VYBER	4100	32890	\N	\N	\N
814196	2771	1996-05-04	VYDAJ	VYBER	10500	34832	\N	\N	\N
814197	2771	1996-06-03	VYDAJ	VYBER	11600	35687	\N	\N	\N
814198	2771	1996-07-03	VYDAJ	VYBER	4800	32457	\N	\N	\N
814199	2771	1996-08-02	VYDAJ	VYBER	9000	33012	\N	\N	\N
814200	2771	1996-09-01	VYDAJ	VYBER	13700	31758	\N	\N	\N
814201	2771	1996-10-01	VYDAJ	VYBER	12600	31603	\N	\N	\N
814202	2771	1996-10-31	VYDAJ	VYBER	12600	31445	\N	\N	\N
814203	2771	1996-11-30	VYDAJ	VYBER	10400	33485	\N	\N	\N
814204	2771	1996-12-30	VYDAJ	VYBER	13300	33600	\N	\N	\N
814205	2771	1997-01-29	VYDAJ	VYBER	6500	23160	\N	\N	\N
814206	2771	1997-02-28	VYDAJ	VYBER	4200	28720	\N	\N	\N
814207	2771	1997-03-30	VYDAJ	VYBER	11000	29980	\N	\N	\N
814208	2771	1997-04-29	VYDAJ	VYBER	10400	31991	\N	\N	\N
814209	2771	1997-05-29	VYDAJ	VYBER	11400	31928	\N	\N	\N
814210	2771	1997-06-28	VYDAJ	VYBER	17700	36431	\N	\N	\N
814211	2771	1997-07-28	VYDAJ	VYBER	13200	32801	\N	\N	\N
814212	2771	1997-08-27	VYDAJ	VYBER	12900	31137	\N	\N	\N
814213	2771	1997-09-26	VYDAJ	VYBER	12500	25658	\N	\N	\N
814214	2771	1997-10-26	VYDAJ	VYBER	9200	28863	\N	\N	\N
814215	2771	1997-11-25	VYDAJ	VYBER	16500	24757	\N	\N	\N
814216	2771	1997-12-25	VYDAJ	VYBER	18200	26979	\N	\N	\N
814217	2771	1998-02-23	VYDAJ	VYBER	7800	23096	\N	\N	\N
814218	2771	1998-03-25	VYDAJ	VYBER	12700	22759	\N	\N	\N
814219	2771	1998-04-24	VYDAJ	VYBER	11900	17836	\N	\N	\N
814220	2771	1998-05-24	VYDAJ	VYBER	13400	16790	\N	\N	\N
814221	2771	1998-06-23	VYDAJ	VYBER	15100	23825	\N	\N	\N
814222	2771	1998-07-23	VYDAJ	VYBER	16600	19001	\N	\N	\N
814223	2771	1998-08-22	VYDAJ	VYBER	12600	16257	\N	\N	\N
814224	2771	1998-09-21	VYDAJ	VYBER	10500	18109	\N	\N	\N
814225	2771	1998-10-21	VYDAJ	VYBER	11100	19355	\N	\N	\N
814226	2771	1998-11-20	VYDAJ	VYBER	7100	19687	\N	\N	\N
814291	2772	1996-02-24	PRIJEM	VKLAD	300	300	\N	\N	\N
814294	2772	1996-03-12	PRIJEM	VKLAD	11392	11692	\N	\N	\N
814295	2772	1996-04-12	PRIJEM	VKLAD	11392	27799	\N	\N	\N
814296	2772	1996-05-12	PRIJEM	VKLAD	11392	36668	\N	\N	\N
814297	2772	1996-06-12	PRIJEM	VKLAD	17088	49669	\N	\N	\N
814298	2772	1996-07-12	PRIJEM	VKLAD	11392	50504	\N	\N	\N
814299	2772	1996-08-12	PRIJEM	VKLAD	11392	43550	\N	\N	\N
814300	2772	1996-09-12	PRIJEM	VKLAD	11392	36500	\N	\N	\N
814301	2772	1996-10-12	PRIJEM	VKLAD	11392	36823	\N	\N	\N
814302	2772	1996-11-12	PRIJEM	VKLAD	11392	36548	\N	\N	\N
814303	2772	1996-12-12	PRIJEM	VKLAD	17088	45373	\N	\N	\N
814304	2772	1997-01-12	PRIJEM	VKLAD	11392	33818	\N	\N	\N
814305	2772	1997-02-12	PRIJEM	VKLAD	11392	28323	\N	\N	\N
814306	2772	1997-03-12	PRIJEM	VKLAD	11392	35023	\N	\N	\N
814307	2772	1997-04-12	PRIJEM	VKLAD	11392	28736	\N	\N	\N
814308	2772	1997-05-12	PRIJEM	VKLAD	11392	32633	\N	\N	\N
814309	2772	1997-06-12	PRIJEM	VKLAD	17088	45148	\N	\N	\N
814310	2772	1997-07-12	PRIJEM	VKLAD	11392	24263	\N	\N	\N
814311	2772	1997-08-12	PRIJEM	VKLAD	11392	36757	\N	\N	\N
814312	2772	1997-09-12	PRIJEM	VKLAD	11392	39987	\N	\N	\N
814313	2772	1997-10-12	PRIJEM	VKLAD	11392	41024	\N	\N	\N
814314	2772	1997-11-12	PRIJEM	VKLAD	11392	44271	\N	\N	\N
814315	2772	1997-12-12	PRIJEM	VKLAD	17088	51724	\N	\N	\N
814316	2772	1998-01-12	PRIJEM	VKLAD	11392	33888	\N	\N	\N
814317	2772	1998-02-12	PRIJEM	VKLAD	11392	38813	\N	\N	\N
814318	2772	1998-03-12	PRIJEM	VKLAD	11392	44255	\N	\N	\N
814319	2772	1998-04-12	PRIJEM	VKLAD	11392	46117	\N	\N	\N
814320	2772	1998-05-12	PRIJEM	VKLAD	11392	50582	\N	\N	\N
814321	2772	1998-06-12	PRIJEM	VKLAD	17088	62070	\N	\N	\N
814322	2772	1998-07-12	PRIJEM	VKLAD	11392	35468	\N	\N	\N
814323	2772	1998-08-12	PRIJEM	VKLAD	11392	49418	\N	\N	\N
814324	2772	1998-09-12	PRIJEM	VKLAD	11392	64901	\N	\N	\N
814325	2772	1998-10-12	PRIJEM	VKLAD	11392	63227	\N	\N	\N
814326	2772	1998-11-12	PRIJEM	VKLAD	11392	67261	\N	\N	\N
814327	2772	1998-12-12	PRIJEM	VKLAD	17088	76814	\N	\N	\N
814335	2772	1996-08-06	VYDAJ	PREVOD NA UCET	7594	32158	SIPO	ST	65062320
814336	2772	1996-09-06	VYDAJ	PREVOD NA UCET	7594	29408	SIPO	ST	65062320
814337	2772	1996-10-06	VYDAJ	PREVOD NA UCET	7594	25431	SIPO	ST	65062320
814338	2772	1996-11-06	VYDAJ	PREVOD NA UCET	7594	25156	SIPO	ST	65062320
814339	2772	1996-12-06	VYDAJ	PREVOD NA UCET	7594	28285	SIPO	ST	65062320
814340	2772	1997-01-06	VYDAJ	PREVOD NA UCET	7594	26926	SIPO	ST	65062320
814341	2772	1997-02-06	VYDAJ	PREVOD NA UCET	7594	16931	SIPO	ST	65062320
814342	2772	1997-03-06	VYDAJ	PREVOD NA UCET	7594	23631	SIPO	ST	65062320
814343	2772	1997-04-06	VYDAJ	PREVOD NA UCET	7594	17344	SIPO	ST	65062320
814344	2772	1997-05-06	VYDAJ	PREVOD NA UCET	7594	21241	SIPO	ST	65062320
814345	2772	1997-06-06	VYDAJ	PREVOD NA UCET	7594	28060	SIPO	ST	65062320
814346	2772	1997-07-06	VYDAJ	PREVOD NA UCET	7594	12871	SIPO	ST	65062320
814347	2772	1997-08-06	VYDAJ	PREVOD NA UCET	7594	25365	SIPO	ST	65062320
814348	2772	1997-09-06	VYDAJ	PREVOD NA UCET	7594	28595	SIPO	ST	65062320
814349	2772	1997-10-06	VYDAJ	PREVOD NA UCET	7594	29632	SIPO	ST	65062320
814350	2772	1997-11-06	VYDAJ	PREVOD NA UCET	7594	32879	SIPO	ST	65062320
814351	2772	1997-12-06	VYDAJ	PREVOD NA UCET	7594	34636	SIPO	ST	65062320
814352	2772	1998-01-06	VYDAJ	PREVOD NA UCET	7594	25496	SIPO	ST	65062320
814353	2772	1998-02-06	VYDAJ	PREVOD NA UCET	7594	27421	SIPO	ST	65062320
814354	2772	1998-03-06	VYDAJ	PREVOD NA UCET	7594	32863	SIPO	ST	65062320
814355	2772	1998-04-06	VYDAJ	PREVOD NA UCET	7594	34725	SIPO	ST	65062320
814356	2772	1998-05-06	VYDAJ	PREVOD NA UCET	7594	39190	SIPO	ST	65062320
814357	2772	1998-06-06	VYDAJ	PREVOD NA UCET	7594	44982	SIPO	ST	65062320
814358	2772	1998-07-06	VYDAJ	PREVOD NA UCET	7594	24076	SIPO	ST	65062320
814359	2772	1998-08-06	VYDAJ	PREVOD NA UCET	7594	38026	SIPO	ST	65062320
814360	2772	1998-09-06	VYDAJ	PREVOD NA UCET	7594	45309	SIPO	ST	65062320
814361	2772	1998-10-06	VYDAJ	PREVOD NA UCET	7594	48335	SIPO	ST	65062320
814362	2772	1998-11-06	VYDAJ	PREVOD NA UCET	7594	55869	SIPO	ST	65062320
814363	2772	1998-12-06	VYDAJ	PREVOD NA UCET	7594	59926	SIPO	ST	65062320
814365	2772	1997-06-19	VYDAJ	VYBER	18900	20348	\N	\N	\N
814366	2772	1998-06-27	VYDAJ	VYBER	24200	31470	\N	\N	\N
814367	2772	1996-12-16	VYDAJ	VYBER	800	44573	\N	\N	\N
814368	2772	1997-12-17	VYDAJ	VYBER	1400	42624	\N	\N	\N
814369	2772	1998-12-16	VYDAJ	VYBER	2100	73214	\N	\N	\N
814376	2772	1997-01-28	VYDAJ	VYBER	2900	24418	\N	\N	\N
814377	2772	1997-01-01	VYDAJ	VYBER	2700	34520	\N	\N	\N
814378	2772	1997-01-18	VYDAJ	VYBER	700	30918	\N	\N	\N
814379	2772	1997-01-10	VYDAJ	VYBER	1000	22426	\N	\N	\N
814380	2772	1997-01-14	VYDAJ	VYBER	2200	31618	\N	\N	\N
814381	2772	1997-01-22	VYDAJ	VYBER	2400	27318	\N	\N	\N
814382	2772	1998-01-11	VYDAJ	VYBER	2100	22496	\N	\N	\N
814383	2772	1998-01-02	VYDAJ	VYBER	2600	40190	\N	\N	\N
814384	2772	1998-01-16	VYDAJ	VYBER	500	35388	\N	\N	\N
814385	2772	1998-01-06	VYDAJ	VYBER	900	24596	\N	\N	\N
814386	2772	1998-01-04	VYDAJ	VYBER	2400	33090	\N	\N	\N
814387	2772	1998-01-30	VYDAJ	VYBER	500	34888	\N	\N	\N
814389	2772	1996-09-07	VYDAJ	VYBER	4300	25108	\N	\N	\N
814392	2772	1997-01-09	VYDAJ	VYBER	3500	23426	\N	\N	\N
814393	2772	1997-03-31	VYDAJ	VYBER	3900	24953	\N	\N	\N
814394	2772	1998-09-22	VYDAJ	VYBER	2800	58201	\N	\N	\N
814395	2772	1998-01-04	VYDAJ	VYBER	4700	35490	\N	\N	\N
814396	2772	1998-12-13	VYDAJ	VYBER	1500	75314	\N	\N	\N
814397	2772	1998-04-04	VYDAJ	VYBER	2200	42319	\N	\N	\N
814398	2772	1998-09-12	VYDAJ	VYBER	3900	61001	\N	\N	\N
814399	2772	1998-09-28	VYDAJ	VYBER	2500	55701	\N	\N	\N
814407	2772	1996-07-31	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
814408	2772	1996-08-31	VYDAJ	VYBER	15	37002	SLUZBY	\N	\N
814409	2772	1996-09-30	VYDAJ	VYBER	15	33025	SLUZBY	\N	\N
814410	2772	1996-10-31	VYDAJ	VYBER	15	32750	SLUZBY	\N	\N
814411	2772	1996-11-30	VYDAJ	VYBER	15	35879	SLUZBY	\N	\N
814412	2772	1996-12-31	VYDAJ	VYBER	15	37220	SLUZBY	\N	\N
814413	2772	1997-01-31	VYDAJ	VYBER	15	24525	SLUZBY	\N	\N
814414	2772	1997-02-28	VYDAJ	VYBER	15	31225	SLUZBY	\N	\N
814415	2772	1997-03-31	VYDAJ	VYBER	15	24938	SLUZBY	\N	\N
814416	2772	1997-04-30	VYDAJ	VYBER	15	28835	SLUZBY	\N	\N
814417	2772	1997-05-31	VYDAJ	VYBER	15	35654	SLUZBY	\N	\N
814418	2772	1997-06-30	VYDAJ	VYBER	15	20465	SLUZBY	\N	\N
814419	2772	1997-07-31	VYDAJ	VYBER	15	32959	SLUZBY	\N	\N
814420	2772	1997-08-31	VYDAJ	VYBER	15	36189	SLUZBY	\N	\N
814421	2772	1997-09-30	VYDAJ	VYBER	15	37226	SLUZBY	\N	\N
814422	2772	1997-10-31	VYDAJ	VYBER	15	40473	SLUZBY	\N	\N
814423	2772	1997-11-30	VYDAJ	VYBER	15	42230	SLUZBY	\N	\N
814424	2772	1997-12-31	VYDAJ	VYBER	15	42790	SLUZBY	\N	\N
814425	2772	1998-01-31	VYDAJ	VYBER	15	35015	SLUZBY	\N	\N
814426	2772	1998-02-28	VYDAJ	VYBER	15	40457	SLUZBY	\N	\N
814427	2772	1998-03-31	VYDAJ	VYBER	15	44519	SLUZBY	\N	\N
814428	2772	1998-04-30	VYDAJ	VYBER	15	46784	SLUZBY	\N	\N
814429	2772	1998-05-31	VYDAJ	VYBER	15	52576	SLUZBY	\N	\N
814430	2772	1998-06-30	VYDAJ	VYBER	15	31670	SLUZBY	\N	\N
814431	2772	1998-07-31	VYDAJ	VYBER	15	45620	SLUZBY	\N	\N
814432	2772	1998-08-31	VYDAJ	VYBER	15	52903	SLUZBY	\N	\N
814433	2772	1998-09-30	VYDAJ	VYBER	15	55929	SLUZBY	\N	\N
814434	2772	1998-10-31	VYDAJ	VYBER	15	63463	SLUZBY	\N	\N
814435	2772	1998-11-30	VYDAJ	VYBER	15	67520	SLUZBY	\N	\N
814436	2772	1996-03-25	PRIJEM	VKLAD	4700	16392	\N	\N	\N
814437	2772	1996-04-24	VYDAJ	VYBER	2600	25199	\N	\N	\N
814438	2772	1996-05-24	VYDAJ	VYBER	4200	32468	\N	\N	\N
814439	2772	1996-06-23	VYDAJ	VYBER	10700	38969	\N	\N	\N
814440	2772	1996-07-23	VYDAJ	VYBER	10900	39604	\N	\N	\N
814441	2772	1996-08-22	VYDAJ	VYBER	6700	36850	\N	\N	\N
814442	2772	1996-09-21	VYDAJ	VYBER	3600	32900	\N	\N	\N
814443	2772	1996-10-21	VYDAJ	VYBER	4200	32623	\N	\N	\N
814444	2772	1996-11-20	VYDAJ	VYBER	800	35748	\N	\N	\N
814445	2772	1996-12-20	VYDAJ	VYBER	7500	37073	\N	\N	\N
814446	2772	1997-01-19	VYDAJ	VYBER	1200	29718	\N	\N	\N
814447	2772	1997-02-18	PRIJEM	VKLAD	2800	31123	\N	\N	\N
814448	2772	1997-03-20	VYDAJ	VYBER	6300	28723	\N	\N	\N
814449	2772	1997-05-19	PRIJEM	VKLAD	2900	35533	\N	\N	\N
814450	2772	1997-06-18	VYDAJ	VYBER	5900	39248	\N	\N	\N
814451	2772	1997-07-18	PRIJEM	VKLAD	8600	32863	\N	\N	\N
814452	2772	1997-08-17	VYDAJ	VYBER	700	36057	\N	\N	\N
814453	2772	1997-09-16	VYDAJ	VYBER	2900	37087	\N	\N	\N
814454	2772	1997-10-16	VYDAJ	VYBER	700	40324	\N	\N	\N
814455	2772	1997-11-15	VYDAJ	VYBER	2200	42071	\N	\N	\N
814456	2772	1997-12-15	VYDAJ	VYBER	7700	44024	\N	\N	\N
814457	2772	1998-01-14	PRIJEM	VKLAD	2000	35888	\N	\N	\N
814458	2772	1998-02-13	PRIJEM	VKLAD	1500	40313	\N	\N	\N
814459	2772	1998-03-15	PRIJEM	VKLAD	100	44355	\N	\N	\N
814460	2772	1998-04-14	PRIJEM	VKLAD	500	46617	\N	\N	\N
814461	2772	1998-05-14	PRIJEM	VKLAD	1800	52382	\N	\N	\N
814462	2772	1998-06-13	VYDAJ	VYBER	6400	55670	\N	\N	\N
814463	2772	1998-07-13	PRIJEM	VKLAD	10000	45468	\N	\N	\N
814464	2772	1998-08-12	PRIJEM	VKLAD	3300	52718	\N	\N	\N
814465	2772	1998-09-11	PRIJEM	VKLAD	8200	53509	\N	\N	\N
814466	2772	1998-10-11	PRIJEM	VKLAD	3500	51835	\N	\N	\N
814467	2772	1998-12-10	VYDAJ	VYBER	200	59726	\N	\N	\N
814502	2773	1996-06-23	PRIJEM	VKLAD	800	800	\N	\N	\N
814509	2773	1996-07-14	PRIJEM	VKLAD	17174	17974	\N	\N	\N
814510	2773	1996-08-14	PRIJEM	VKLAD	17174	36171	\N	\N	\N
814511	2773	1996-09-14	PRIJEM	VKLAD	17174	45236	\N	\N	\N
814512	2773	1996-10-14	PRIJEM	VKLAD	17174	53138	\N	\N	\N
814513	2773	1996-11-14	PRIJEM	VKLAD	17174	51659	\N	\N	\N
814514	2773	1996-12-14	PRIJEM	VKLAD	25761	58548	\N	\N	\N
814515	2773	1997-01-14	PRIJEM	VKLAD	17174	47780	\N	\N	\N
814516	2773	1997-02-14	PRIJEM	VKLAD	17174	46673	\N	\N	\N
814517	2773	1997-03-14	PRIJEM	VKLAD	17174	45356	\N	\N	\N
814518	2773	1997-04-14	PRIJEM	VKLAD	17174	47859	\N	\N	\N
814519	2773	1997-05-14	PRIJEM	VKLAD	17174	51271	\N	\N	\N
814520	2773	1997-06-14	PRIJEM	VKLAD	25761	51652	\N	\N	\N
814521	2773	1997-07-14	PRIJEM	VKLAD	17174	51363	\N	\N	\N
814522	2773	1997-08-14	PRIJEM	VKLAD	17174	49678	\N	\N	\N
814523	2773	1997-09-14	PRIJEM	VKLAD	17174	47584	\N	\N	\N
814524	2773	1997-10-14	PRIJEM	VKLAD	17174	40774	\N	\N	\N
814525	2773	1997-11-14	PRIJEM	VKLAD	17174	40112	\N	\N	\N
814526	2773	1997-12-14	PRIJEM	VKLAD	25761	49066	\N	\N	\N
814527	2773	1998-01-14	PRIJEM	VKLAD	17174	40088	\N	\N	\N
814528	2773	1998-02-14	PRIJEM	VKLAD	17174	36738	\N	\N	\N
814529	2773	1998-03-14	PRIJEM	VKLAD	17174	50420	\N	\N	\N
814530	2773	1998-04-14	PRIJEM	VKLAD	17174	52233	\N	\N	\N
814531	2773	1998-05-14	PRIJEM	VKLAD	17174	49345	\N	\N	\N
814532	2773	1998-06-14	PRIJEM	VKLAD	25761	58344	\N	\N	\N
814533	2773	1998-07-14	PRIJEM	VKLAD	17174	56246	\N	\N	\N
814534	2773	1998-08-14	PRIJEM	VKLAD	17174	57574	\N	\N	\N
814535	2773	1998-09-14	PRIJEM	VKLAD	17174	59961	\N	\N	\N
814536	2773	1998-10-14	PRIJEM	VKLAD	17174	59756	\N	\N	\N
814537	2773	1998-11-14	PRIJEM	VKLAD	17174	56174	\N	\N	\N
814538	2773	1998-12-14	PRIJEM	VKLAD	25761	68730	\N	\N	\N
814550	2773	1996-12-07	VYDAJ	PREVOD NA UCET	3354	33036	SIPO	WX	54261672
814551	2773	1997-01-07	VYDAJ	PREVOD NA UCET	3354	33855	SIPO	WX	54261672
814552	2773	1997-02-07	VYDAJ	PREVOD NA UCET	3354	29748	SIPO	WX	54261672
814553	2773	1997-03-07	VYDAJ	PREVOD NA UCET	3354	28431	SIPO	WX	54261672
814554	2773	1997-04-07	VYDAJ	PREVOD NA UCET	3354	30934	SIPO	WX	54261672
814555	2773	1997-05-07	VYDAJ	PREVOD NA UCET	3354	34346	SIPO	WX	54261672
814556	2773	1997-06-07	VYDAJ	PREVOD NA UCET	3354	30460	SIPO	WX	54261672
814557	2773	1997-07-07	VYDAJ	PREVOD NA UCET	3354	34438	SIPO	WX	54261672
814558	2773	1997-08-07	VYDAJ	PREVOD NA UCET	3354	32753	SIPO	WX	54261672
814559	2773	1997-09-07	VYDAJ	PREVOD NA UCET	3354	30659	SIPO	WX	54261672
814560	2773	1997-10-07	VYDAJ	PREVOD NA UCET	3354	23849	SIPO	WX	54261672
814561	2773	1997-11-07	VYDAJ	PREVOD NA UCET	3354	23187	SIPO	WX	54261672
814562	2773	1997-12-07	VYDAJ	PREVOD NA UCET	3354	23554	SIPO	WX	54261672
814563	2773	1998-01-07	VYDAJ	PREVOD NA UCET	3354	27603	SIPO	WX	54261672
814564	2773	1998-02-07	VYDAJ	PREVOD NA UCET	3354	20313	SIPO	WX	54261672
814565	2773	1998-03-07	VYDAJ	PREVOD NA UCET	3354	33495	SIPO	WX	54261672
814566	2773	1998-04-07	VYDAJ	PREVOD NA UCET	3354	35308	SIPO	WX	54261672
814567	2773	1998-05-07	VYDAJ	PREVOD NA UCET	3354	32420	SIPO	WX	54261672
814568	2773	1998-06-07	VYDAJ	PREVOD NA UCET	3354	36032	SIPO	WX	54261672
814569	2773	1998-07-07	VYDAJ	PREVOD NA UCET	3354	49421	SIPO	WX	54261672
814570	2773	1998-08-07	VYDAJ	PREVOD NA UCET	3354	51549	SIPO	WX	54261672
814571	2773	1998-09-07	VYDAJ	PREVOD NA UCET	3354	54436	SIPO	WX	54261672
814572	2773	1998-10-07	VYDAJ	PREVOD NA UCET	3354	56831	SIPO	WX	54261672
814573	2773	1998-11-07	VYDAJ	PREVOD NA UCET	3354	56629	SIPO	WX	54261672
814574	2773	1998-12-07	VYDAJ	PREVOD NA UCET	3354	50518	SIPO	WX	54261672
814586	2773	1996-12-10	VYDAJ	PREVOD NA UCET	154	32882	 	UV	95782577
814587	2773	1997-01-10	VYDAJ	PREVOD NA UCET	154	33701	 	UV	95782577
814588	2773	1997-02-10	VYDAJ	PREVOD NA UCET	154	29594	 	UV	95782577
814589	2773	1997-03-10	VYDAJ	PREVOD NA UCET	154	28277	 	UV	95782577
814590	2773	1997-04-10	VYDAJ	PREVOD NA UCET	154	30780	 	UV	95782577
814591	2773	1997-05-10	VYDAJ	PREVOD NA UCET	154	34192	 	UV	95782577
814592	2773	1997-06-10	VYDAJ	PREVOD NA UCET	154	30306	 	UV	95782577
814593	2773	1997-07-10	VYDAJ	PREVOD NA UCET	154	34284	 	UV	95782577
814594	2773	1997-08-10	VYDAJ	PREVOD NA UCET	154	32599	 	UV	95782577
814595	2773	1997-09-10	VYDAJ	PREVOD NA UCET	154	30505	 	UV	95782577
814596	2773	1997-10-10	VYDAJ	PREVOD NA UCET	154	23695	 	UV	95782577
814597	2773	1997-11-10	VYDAJ	PREVOD NA UCET	154	23033	 	UV	95782577
814598	2773	1997-12-10	VYDAJ	PREVOD NA UCET	154	23400	 	UV	95782577
814599	2773	1998-01-10	VYDAJ	PREVOD NA UCET	154	27449	 	UV	95782577
814600	2773	1998-02-10	VYDAJ	PREVOD NA UCET	154	20159	 	UV	95782577
814601	2773	1998-03-10	VYDAJ	PREVOD NA UCET	154	33341	 	UV	95782577
814602	2773	1998-04-10	VYDAJ	PREVOD NA UCET	154	35154	 	UV	95782577
814603	2773	1998-05-10	VYDAJ	PREVOD NA UCET	154	32266	 	UV	95782577
814604	2773	1998-06-10	VYDAJ	PREVOD NA UCET	154	35878	 	UV	95782577
814605	2773	1998-07-10	VYDAJ	PREVOD NA UCET	154	49267	 	UV	95782577
814606	2773	1998-08-10	VYDAJ	PREVOD NA UCET	154	51395	 	UV	95782577
814607	2773	1998-09-10	VYDAJ	PREVOD NA UCET	154	54282	 	UV	95782577
814608	2773	1998-10-10	VYDAJ	PREVOD NA UCET	154	56677	 	UV	95782577
814609	2773	1998-11-10	VYDAJ	PREVOD NA UCET	154	39095	 	UV	95782577
814610	2773	1998-12-10	VYDAJ	PREVOD NA UCET	154	43064	 	UV	95782577
814622	2773	1996-12-12	VYDAJ	PREVOD NA UCET	36	32787	POJISTNE	WX	5557954
814623	2773	1997-01-12	VYDAJ	PREVOD NA UCET	36	33606	POJISTNE	WX	5557954
814624	2773	1997-02-12	VYDAJ	PREVOD NA UCET	36	29499	POJISTNE	WX	5557954
814625	2773	1997-03-12	VYDAJ	PREVOD NA UCET	36	28241	POJISTNE	WX	5557954
814626	2773	1997-04-12	VYDAJ	PREVOD NA UCET	36	30685	POJISTNE	WX	5557954
814627	2773	1997-05-12	VYDAJ	PREVOD NA UCET	36	34097	POJISTNE	WX	5557954
814628	2773	1997-06-12	VYDAJ	PREVOD NA UCET	36	25950	POJISTNE	WX	5557954
814629	2773	1997-07-12	VYDAJ	PREVOD NA UCET	36	34189	POJISTNE	WX	5557954
814630	2773	1997-08-12	VYDAJ	PREVOD NA UCET	36	32504	POJISTNE	WX	5557954
814631	2773	1997-09-12	VYDAJ	PREVOD NA UCET	36	30469	POJISTNE	WX	5557954
814632	2773	1997-10-12	VYDAJ	PREVOD NA UCET	36	23600	POJISTNE	WX	5557954
814633	2773	1997-11-12	VYDAJ	PREVOD NA UCET	36	22997	POJISTNE	WX	5557954
814634	2773	1997-12-12	VYDAJ	PREVOD NA UCET	36	23364	POJISTNE	WX	5557954
814635	2773	1998-01-12	VYDAJ	PREVOD NA UCET	36	22914	POJISTNE	WX	5557954
814636	2773	1998-02-12	VYDAJ	PREVOD NA UCET	36	20064	POJISTNE	WX	5557954
814637	2773	1998-03-12	VYDAJ	PREVOD NA UCET	36	33246	POJISTNE	WX	5557954
814638	2773	1998-04-12	VYDAJ	PREVOD NA UCET	36	35059	POJISTNE	WX	5557954
814639	2773	1998-05-12	VYDAJ	PREVOD NA UCET	36	32230	POJISTNE	WX	5557954
814640	2773	1998-06-12	VYDAJ	PREVOD NA UCET	36	35842	POJISTNE	WX	5557954
814641	2773	1998-07-12	VYDAJ	PREVOD NA UCET	36	49231	POJISTNE	WX	5557954
814642	2773	1998-08-12	VYDAJ	PREVOD NA UCET	36	51359	POJISTNE	WX	5557954
814643	2773	1998-09-12	VYDAJ	PREVOD NA UCET	36	42846	POJISTNE	WX	5557954
814644	2773	1998-10-12	VYDAJ	PREVOD NA UCET	36	42641	POJISTNE	WX	5557954
814645	2773	1998-11-12	VYDAJ	PREVOD NA UCET	36	39059	POJISTNE	WX	5557954
814646	2773	1998-12-12	VYDAJ	PREVOD NA UCET	36	42969	POJISTNE	WX	5557954
814658	2773	1996-12-12	VYDAJ	PREVOD NA UCET	59	32823	 	IJ	16981333
814659	2773	1997-01-12	VYDAJ	PREVOD NA UCET	59	33642	 	IJ	16981333
814660	2773	1997-02-12	VYDAJ	PREVOD NA UCET	59	29535	 	IJ	16981333
814661	2773	1997-03-12	VYDAJ	PREVOD NA UCET	59	28182	 	IJ	16981333
814662	2773	1997-04-12	VYDAJ	PREVOD NA UCET	59	30721	 	IJ	16981333
814663	2773	1997-05-12	VYDAJ	PREVOD NA UCET	59	34133	 	IJ	16981333
814664	2773	1997-06-12	VYDAJ	PREVOD NA UCET	59	25891	 	IJ	16981333
814665	2773	1997-07-12	VYDAJ	PREVOD NA UCET	59	34225	 	IJ	16981333
814666	2773	1997-08-12	VYDAJ	PREVOD NA UCET	59	32540	 	IJ	16981333
814667	2773	1997-09-12	VYDAJ	PREVOD NA UCET	59	30410	 	IJ	16981333
814668	2773	1997-10-12	VYDAJ	PREVOD NA UCET	59	23636	 	IJ	16981333
814669	2773	1997-11-12	VYDAJ	PREVOD NA UCET	59	22938	 	IJ	16981333
814670	2773	1997-12-12	VYDAJ	PREVOD NA UCET	59	23305	 	IJ	16981333
814671	2773	1998-01-12	VYDAJ	PREVOD NA UCET	59	22950	 	IJ	16981333
814672	2773	1998-02-12	VYDAJ	PREVOD NA UCET	59	20100	 	IJ	16981333
814673	2773	1998-03-12	VYDAJ	PREVOD NA UCET	59	33282	 	IJ	16981333
814674	2773	1998-04-12	VYDAJ	PREVOD NA UCET	59	35095	 	IJ	16981333
814675	2773	1998-05-12	VYDAJ	PREVOD NA UCET	59	32171	 	IJ	16981333
814676	2773	1998-06-12	VYDAJ	PREVOD NA UCET	59	35783	 	IJ	16981333
814677	2773	1998-07-12	VYDAJ	PREVOD NA UCET	59	49172	 	IJ	16981333
814678	2773	1998-08-12	VYDAJ	PREVOD NA UCET	59	40400	 	IJ	16981333
814679	2773	1998-09-12	VYDAJ	PREVOD NA UCET	59	42787	 	IJ	16981333
814680	2773	1998-10-12	VYDAJ	PREVOD NA UCET	59	42582	 	IJ	16981333
814681	2773	1998-11-12	VYDAJ	PREVOD NA UCET	59	39000	 	IJ	16981333
814682	2773	1998-12-12	VYDAJ	PREVOD NA UCET	59	43005	 	IJ	16981333
814683	2773	1996-12-25	VYDAJ	VYBER	2720	39928	\N	\N	\N
814684	2773	1997-12-29	VYDAJ	VYBER	1440	30846	\N	\N	\N
814685	2773	1998-12-14	VYDAJ	VYBER	1440	67290	\N	\N	\N
814692	2773	1997-01-04	VYDAJ	VYBER	960	37209	\N	\N	\N
814693	2773	1997-01-15	VYDAJ	VYBER	1200	46580	\N	\N	\N
814694	2773	1997-01-30	VYDAJ	VYBER	2760	32960	\N	\N	\N
814695	2773	1997-01-12	VYDAJ	VYBER	3000	30606	\N	\N	\N
814696	2773	1997-01-02	VYDAJ	VYBER	1920	38169	\N	\N	\N
814697	2773	1997-01-28	VYDAJ	VYBER	960	35720	\N	\N	\N
814698	2773	1998-01-11	VYDAJ	VYBER	1440	25169	\N	\N	\N
814699	2773	1998-01-19	VYDAJ	VYBER	3480	23568	\N	\N	\N
814700	2773	1998-01-16	VYDAJ	VYBER	840	27048	\N	\N	\N
814701	2773	1998-01-11	VYDAJ	VYBER	840	26609	\N	\N	\N
814702	2773	1998-01-12	VYDAJ	VYBER	2160	23009	\N	\N	\N
814703	2773	1998-01-16	VYDAJ	VYBER	600	27888	\N	\N	\N
814708	2773	1997-03-02	VYDAJ	VYBER	3120	31785	\N	\N	\N
814709	2773	1997-12-19	VYDAJ	VYBER	1680	32286	\N	\N	\N
814710	2773	1997-06-12	VYDAJ	VYBER	4320	25986	\N	\N	\N
814711	2773	1997-09-23	VYDAJ	VYBER	4800	27084	\N	\N	\N
814712	2773	1997-10-30	VYDAJ	VYBER	4440	26434	\N	\N	\N
814713	2773	1998-05-03	VYDAJ	VYBER	1800	35774	\N	\N	\N
814714	2773	1998-08-02	VYDAJ	VYBER	1560	54903	\N	\N	\N
814715	2773	1998-06-30	VYDAJ	VYBER	5760	52775	\N	\N	\N
814716	2773	1998-11-10	VYDAJ	VYBER	1080	55549	\N	\N	\N
814717	2773	1998-12-06	VYDAJ	VYBER	2520	53872	\N	\N	\N
814729	2773	1996-11-30	VYDAJ	VYBER	15	36390	SLUZBY	\N	\N
814730	2773	1996-12-31	VYDAJ	VYBER	15	40089	SLUZBY	\N	\N
814731	2773	1997-01-31	VYDAJ	VYBER	15	33102	SLUZBY	\N	\N
814732	2773	1997-02-28	VYDAJ	VYBER	15	34905	SLUZBY	\N	\N
814733	2773	1997-03-31	VYDAJ	VYBER	15	34288	SLUZBY	\N	\N
814734	2773	1997-04-30	VYDAJ	VYBER	15	37700	SLUZBY	\N	\N
814735	2773	1997-05-31	VYDAJ	VYBER	15	33814	SLUZBY	\N	\N
814736	2773	1997-06-30	VYDAJ	VYBER	15	37792	SLUZBY	\N	\N
814737	2773	1997-07-31	VYDAJ	VYBER	15	36107	SLUZBY	\N	\N
814738	2773	1997-08-31	VYDAJ	VYBER	15	34013	SLUZBY	\N	\N
814739	2773	1997-09-30	VYDAJ	VYBER	15	27203	SLUZBY	\N	\N
814740	2773	1997-10-31	VYDAJ	VYBER	15	26541	SLUZBY	\N	\N
814741	2773	1997-11-30	VYDAJ	VYBER	15	26908	SLUZBY	\N	\N
814742	2773	1997-12-31	VYDAJ	VYBER	15	30957	SLUZBY	\N	\N
814743	2773	1998-01-31	VYDAJ	VYBER	15	23667	SLUZBY	\N	\N
814744	2773	1998-02-28	VYDAJ	VYBER	15	36849	SLUZBY	\N	\N
814745	2773	1998-03-31	VYDAJ	VYBER	15	38662	SLUZBY	\N	\N
814746	2773	1998-04-30	VYDAJ	VYBER	15	37574	SLUZBY	\N	\N
814747	2773	1998-05-31	VYDAJ	VYBER	15	39386	SLUZBY	\N	\N
814748	2773	1998-06-30	VYDAJ	VYBER	15	58535	SLUZBY	\N	\N
814749	2773	1998-07-31	VYDAJ	VYBER	15	56463	SLUZBY	\N	\N
814750	2773	1998-08-31	VYDAJ	VYBER	15	57790	SLUZBY	\N	\N
814751	2773	1998-09-30	VYDAJ	VYBER	15	60185	SLUZBY	\N	\N
814752	2773	1998-10-31	VYDAJ	VYBER	15	59983	SLUZBY	\N	\N
814753	2773	1998-11-30	VYDAJ	VYBER	15	56392	SLUZBY	\N	\N
814754	2773	1996-07-23	PRIJEM	VKLAD	1000	18974	\N	\N	\N
814755	2773	1996-08-22	VYDAJ	VYBER	8200	27971	\N	\N	\N
814756	2773	1996-09-21	VYDAJ	VYBER	9400	35836	\N	\N	\N
814757	2773	1996-10-21	VYDAJ	VYBER	18800	34338	\N	\N	\N
814758	2773	1996-11-20	VYDAJ	VYBER	15400	36259	\N	\N	\N
814759	2773	1996-12-20	VYDAJ	VYBER	15900	42648	\N	\N	\N
814760	2773	1997-01-19	VYDAJ	VYBER	9900	36680	\N	\N	\N
814761	2773	1997-02-18	VYDAJ	VYBER	11900	34773	\N	\N	\N
814762	2773	1997-03-20	VYDAJ	VYBER	11200	34156	\N	\N	\N
814763	2773	1997-04-19	VYDAJ	VYBER	10300	37559	\N	\N	\N
814764	2773	1997-05-19	VYDAJ	VYBER	17600	33671	\N	\N	\N
814765	2773	1997-06-18	VYDAJ	VYBER	14000	37652	\N	\N	\N
814766	2773	1997-07-18	VYDAJ	VYBER	15400	35963	\N	\N	\N
814767	2773	1997-08-17	VYDAJ	VYBER	15800	33878	\N	\N	\N
814768	2773	1997-09-16	VYDAJ	VYBER	15700	31884	\N	\N	\N
814769	2773	1997-10-16	VYDAJ	VYBER	9900	30874	\N	\N	\N
814770	2773	1997-11-15	VYDAJ	VYBER	13300	26812	\N	\N	\N
814771	2773	1997-12-15	VYDAJ	VYBER	15100	33966	\N	\N	\N
814772	2773	1998-01-14	VYDAJ	VYBER	11600	28488	\N	\N	\N
814773	2773	1998-02-13	VYDAJ	VYBER	500	19564	\N	\N	\N
814774	2773	1998-03-15	VYDAJ	VYBER	11900	38520	\N	\N	\N
814775	2773	1998-04-14	VYDAJ	VYBER	14800	37433	\N	\N	\N
814776	2773	1998-05-14	VYDAJ	VYBER	10100	39245	\N	\N	\N
814777	2773	1998-06-13	VYDAJ	VYBER	3200	32583	\N	\N	\N
814778	2773	1998-07-13	VYDAJ	VYBER	10100	39072	\N	\N	\N
814779	2773	1998-08-12	VYDAJ	VYBER	10900	40459	\N	\N	\N
814780	2773	1998-09-11	VYDAJ	VYBER	11400	42882	\N	\N	\N
814781	2773	1998-10-11	VYDAJ	VYBER	14000	42677	\N	\N	\N
814782	2773	1998-11-10	VYDAJ	VYBER	16300	39249	\N	\N	\N
814783	2773	1998-12-10	VYDAJ	VYBER	7300	43218	\N	\N	\N
814814	2774	1996-02-05	PRIJEM	VKLAD	300	300	\N	\N	\N
814816	2774	1996-02-07	PRIJEM	VKLAD	5442	5742	\N	\N	\N
814817	2774	1996-03-07	PRIJEM	VKLAD	5442	21103	\N	\N	\N
814818	2774	1996-04-07	PRIJEM	VKLAD	5442	25321	\N	\N	\N
814819	2774	1996-05-07	PRIJEM	VKLAD	5442	28765	\N	\N	\N
814820	2774	1996-06-07	PRIJEM	VKLAD	8163	35345	\N	\N	\N
814821	2774	1996-07-07	PRIJEM	VKLAD	5442	23583	\N	\N	\N
814822	2774	1996-08-07	PRIJEM	VKLAD	5442	30863	\N	\N	\N
814823	2774	1996-09-07	PRIJEM	VKLAD	5442	24132	\N	\N	\N
814824	2774	1996-10-07	PRIJEM	VKLAD	5442	27422	\N	\N	\N
814825	2774	1996-11-07	PRIJEM	VKLAD	5442	27820	\N	\N	\N
814826	2774	1996-12-07	PRIJEM	VKLAD	8163	29541	\N	\N	\N
814827	2774	1997-01-07	PRIJEM	VKLAD	5442	24262	\N	\N	\N
814828	2774	1997-02-07	PRIJEM	VKLAD	5442	23639	\N	\N	\N
814829	2774	1997-03-07	PRIJEM	VKLAD	5442	21519	\N	\N	\N
814830	2774	1997-04-07	PRIJEM	VKLAD	5442	22296	\N	\N	\N
814831	2774	1997-05-07	PRIJEM	VKLAD	5442	18970	\N	\N	\N
814832	2774	1997-06-07	PRIJEM	VKLAD	8163	24452	\N	\N	\N
814833	2774	1997-07-07	PRIJEM	VKLAD	5442	23436	\N	\N	\N
814834	2774	1997-08-07	PRIJEM	VKLAD	5442	20626	\N	\N	\N
814835	2774	1997-09-07	PRIJEM	VKLAD	5442	22493	\N	\N	\N
814836	2774	1997-10-07	PRIJEM	VKLAD	5442	16564	\N	\N	\N
814837	2774	1997-11-07	PRIJEM	VKLAD	5442	18415	\N	\N	\N
814838	2774	1997-12-07	PRIJEM	VKLAD	8163	21772	\N	\N	\N
814839	2774	1998-01-07	PRIJEM	VKLAD	5442	23217	\N	\N	\N
814840	2774	1998-02-07	PRIJEM	VKLAD	5442	21651	\N	\N	\N
814841	2774	1998-03-07	PRIJEM	VKLAD	5442	20020	\N	\N	\N
814842	2774	1998-04-07	PRIJEM	VKLAD	5442	20322	\N	\N	\N
814843	2774	1998-05-07	PRIJEM	VKLAD	5442	22188	\N	\N	\N
814844	2774	1998-06-07	PRIJEM	VKLAD	8163	26783	\N	\N	\N
814845	2774	1998-07-07	PRIJEM	VKLAD	5442	28672	\N	\N	\N
814846	2774	1998-08-07	PRIJEM	VKLAD	5442	28649	\N	\N	\N
814847	2774	1998-09-07	PRIJEM	VKLAD	5442	28025	\N	\N	\N
814848	2774	1998-10-07	PRIJEM	VKLAD	5442	29922	\N	\N	\N
814849	2774	1998-11-07	PRIJEM	VKLAD	5442	31828	\N	\N	\N
814850	2774	1998-12-07	PRIJEM	VKLAD	8163	36463	\N	\N	\N
814856	2774	1996-06-11	VYDAJ	PREVOD NA UCET	3628	31717	SIPO	WX	60773050
814857	2774	1996-07-11	VYDAJ	PREVOD NA UCET	3628	19955	SIPO	WX	60773050
814858	2774	1996-08-11	VYDAJ	PREVOD NA UCET	3628	27235	SIPO	WX	60773050
814859	2774	1996-09-11	VYDAJ	PREVOD NA UCET	3628	20504	SIPO	WX	60773050
814860	2774	1996-10-11	VYDAJ	PREVOD NA UCET	3628	23794	SIPO	WX	60773050
814861	2774	1996-11-11	VYDAJ	PREVOD NA UCET	3628	24192	SIPO	WX	60773050
814862	2774	1996-12-11	VYDAJ	PREVOD NA UCET	3628	25913	SIPO	WX	60773050
814863	2774	1997-01-11	VYDAJ	PREVOD NA UCET	3628	17034	SIPO	WX	60773050
814864	2774	1997-02-11	VYDAJ	PREVOD NA UCET	3628	20011	SIPO	WX	60773050
814865	2774	1997-03-11	VYDAJ	PREVOD NA UCET	3628	17891	SIPO	WX	60773050
814866	2774	1997-04-11	VYDAJ	PREVOD NA UCET	3628	18668	SIPO	WX	60773050
814867	2774	1997-05-11	VYDAJ	PREVOD NA UCET	3628	15342	SIPO	WX	60773050
814868	2774	1997-06-11	VYDAJ	PREVOD NA UCET	3628	20824	SIPO	WX	60773050
814869	2774	1997-07-11	VYDAJ	PREVOD NA UCET	3628	16448	SIPO	WX	60773050
814870	2774	1997-08-11	VYDAJ	PREVOD NA UCET	3628	16998	SIPO	WX	60773050
814871	2774	1997-09-11	VYDAJ	PREVOD NA UCET	3628	18865	SIPO	WX	60773050
814872	2774	1997-10-11	VYDAJ	PREVOD NA UCET	3628	12936	SIPO	WX	60773050
814873	2774	1997-11-11	VYDAJ	PREVOD NA UCET	3628	14787	SIPO	WX	60773050
814874	2774	1997-12-11	VYDAJ	PREVOD NA UCET	3628	18144	SIPO	WX	60773050
814875	2774	1998-01-11	VYDAJ	PREVOD NA UCET	3628	19589	SIPO	WX	60773050
814876	2774	1998-02-11	VYDAJ	PREVOD NA UCET	3628	18023	SIPO	WX	60773050
814877	2774	1998-03-11	VYDAJ	PREVOD NA UCET	3628	16392	SIPO	WX	60773050
814878	2774	1998-04-11	VYDAJ	PREVOD NA UCET	3628	16694	SIPO	WX	60773050
814879	2774	1998-05-11	VYDAJ	PREVOD NA UCET	3628	18560	SIPO	WX	60773050
814880	2774	1998-06-11	VYDAJ	PREVOD NA UCET	3628	23155	SIPO	WX	60773050
814881	2774	1998-07-11	VYDAJ	PREVOD NA UCET	3628	23124	SIPO	WX	60773050
814882	2774	1998-08-11	VYDAJ	PREVOD NA UCET	3628	25021	SIPO	WX	60773050
814883	2774	1998-09-11	VYDAJ	PREVOD NA UCET	3628	24397	SIPO	WX	60773050
814884	2774	1998-10-11	VYDAJ	PREVOD NA UCET	3628	26294	SIPO	WX	60773050
814885	2774	1998-11-11	VYDAJ	PREVOD NA UCET	3628	28200	SIPO	WX	60773050
814886	2774	1998-12-11	VYDAJ	PREVOD NA UCET	3628	32835	SIPO	WX	60773050
814887	2774	1996-06-17	VYDAJ	VYBER	16960	14757	\N	\N	\N
814890	2774	1996-12-23	VYDAJ	VYBER	4480	21433	\N	\N	\N
814891	2774	1997-12-11	VYDAJ	VYBER	1920	16224	\N	\N	\N
814892	2774	1998-12-14	VYDAJ	VYBER	4320	28515	\N	\N	\N
814895	2774	1996-09-05	VYDAJ	VYBER	5640	18690	\N	\N	\N
814898	2774	1996-11-17	VYDAJ	VYBER	1200	22992	\N	\N	\N
814899	2774	1997-11-17	VYDAJ	VYBER	720	14067	\N	\N	\N
814900	2774	1997-07-07	VYDAJ	VYBER	3360	20076	\N	\N	\N
814901	2774	1997-07-16	VYDAJ	VYBER	1320	15128	\N	\N	\N
814903	2774	1997-01-10	VYDAJ	VYBER	3600	20662	\N	\N	\N
814904	2774	1997-06-02	VYDAJ	VYBER	600	16289	\N	\N	\N
814906	2774	1998-08-17	VYDAJ	VYBER	1560	22501	\N	\N	\N
814907	2774	1998-12-16	VYDAJ	VYBER	4560	23955	\N	\N	\N
814908	2774	1998-07-08	VYDAJ	VYBER	1920	26752	\N	\N	\N
814909	2774	1998-08-11	VYDAJ	VYBER	960	24061	\N	\N	\N
814910	2774	1998-03-23	VYDAJ	VYBER	1560	14832	\N	\N	\N
814911	2774	1998-01-21	VYDAJ	VYBER	1440	18149	\N	\N	\N
814918	2774	1996-06-30	VYDAJ	VYBER	15	14841	SLUZBY	\N	\N
814919	2774	1996-07-31	VYDAJ	VYBER	15	20021	SLUZBY	\N	\N
814920	2774	1996-08-31	VYDAJ	VYBER	15	27330	SLUZBY	\N	\N
814921	2774	1996-09-30	VYDAJ	VYBER	15	20580	SLUZBY	\N	\N
814922	2774	1996-10-31	VYDAJ	VYBER	15	23878	SLUZBY	\N	\N
814923	2774	1996-11-30	VYDAJ	VYBER	15	23078	SLUZBY	\N	\N
814924	2774	1996-12-31	VYDAJ	VYBER	15	21520	SLUZBY	\N	\N
814925	2774	1997-01-31	VYDAJ	VYBER	15	18197	SLUZBY	\N	\N
814926	2774	1997-02-28	VYDAJ	VYBER	15	20077	SLUZBY	\N	\N
814927	2774	1997-03-31	VYDAJ	VYBER	15	17954	SLUZBY	\N	\N
814928	2774	1997-04-30	VYDAJ	VYBER	15	13528	SLUZBY	\N	\N
814929	2774	1997-05-31	VYDAJ	VYBER	15	16889	SLUZBY	\N	\N
814930	2774	1997-06-30	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
814931	2774	1997-07-31	VYDAJ	VYBER	15	15184	SLUZBY	\N	\N
814932	2774	1997-08-31	VYDAJ	VYBER	15	17051	SLUZBY	\N	\N
814933	2774	1997-09-30	VYDAJ	VYBER	15	11122	SLUZBY	\N	\N
814934	2774	1997-10-31	VYDAJ	VYBER	15	12973	SLUZBY	\N	\N
814935	2774	1997-11-30	VYDAJ	VYBER	15	13609	SLUZBY	\N	\N
814936	2774	1997-12-31	VYDAJ	VYBER	15	17775	SLUZBY	\N	\N
814937	2774	1998-01-31	VYDAJ	VYBER	15	16209	SLUZBY	\N	\N
814938	2774	1998-02-28	VYDAJ	VYBER	15	14578	SLUZBY	\N	\N
814939	2774	1998-03-31	VYDAJ	VYBER	15	14880	SLUZBY	\N	\N
814940	2774	1998-04-30	VYDAJ	VYBER	15	16746	SLUZBY	\N	\N
814941	2774	1998-05-31	VYDAJ	VYBER	15	18620	SLUZBY	\N	\N
814942	2774	1998-06-30	VYDAJ	VYBER	15	23230	SLUZBY	\N	\N
814943	2774	1998-07-31	VYDAJ	VYBER	15	23207	SLUZBY	\N	\N
814944	2774	1998-08-31	VYDAJ	VYBER	15	22583	SLUZBY	\N	\N
814945	2774	1998-09-30	VYDAJ	VYBER	15	24480	SLUZBY	\N	\N
814946	2774	1998-10-31	VYDAJ	VYBER	15	26386	SLUZBY	\N	\N
814947	2774	1998-11-30	VYDAJ	VYBER	15	28300	SLUZBY	\N	\N
814948	2774	1996-03-06	PRIJEM	VKLAD	9900	15661	\N	\N	\N
814949	2774	1996-04-05	VYDAJ	VYBER	1300	19879	\N	\N	\N
814950	2774	1996-05-05	VYDAJ	VYBER	2100	23323	\N	\N	\N
814951	2774	1996-06-04	VYDAJ	VYBER	1700	27182	\N	\N	\N
814952	2774	1996-07-04	PRIJEM	VKLAD	3300	18141	\N	\N	\N
814953	2774	1996-08-03	PRIJEM	VKLAD	5400	25421	\N	\N	\N
814954	2774	1996-09-02	VYDAJ	VYBER	3000	24330	\N	\N	\N
814955	2774	1996-10-02	PRIJEM	VKLAD	1400	21980	\N	\N	\N
814956	2774	1996-11-01	VYDAJ	VYBER	1500	22378	\N	\N	\N
814957	2774	1996-12-01	VYDAJ	VYBER	1700	21378	\N	\N	\N
814958	2774	1996-12-31	VYDAJ	VYBER	2700	18820	\N	\N	\N
814959	2774	1997-01-30	PRIJEM	VKLAD	1100	18134	\N	\N	\N
814960	2774	1997-03-01	VYDAJ	VYBER	4000	16077	\N	\N	\N
814961	2774	1997-03-31	VYDAJ	VYBER	1100	16854	\N	\N	\N
814962	2774	1997-04-30	VYDAJ	VYBER	5200	13542	\N	\N	\N
814963	2774	1997-05-30	PRIJEM	VKLAD	1500	16842	\N	\N	\N
814964	2774	1997-06-29	VYDAJ	VYBER	2900	17924	\N	\N	\N
814965	2774	1997-09-27	VYDAJ	VYBER	7800	11065	\N	\N	\N
814966	2774	1997-11-26	VYDAJ	VYBER	500	13567	\N	\N	\N
814967	2774	1997-12-26	PRIJEM	VKLAD	1500	17724	\N	\N	\N
814968	2774	1998-01-25	VYDAJ	VYBER	2000	16149	\N	\N	\N
814969	2774	1998-02-24	VYDAJ	VYBER	3500	14523	\N	\N	\N
815005	2775	1997-12-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
815018	2775	1998-01-05	PRIJEM	PREVOD Z UCTU	34555	35555	\N	CD	94299029
815019	2775	1998-02-05	PRIJEM	PREVOD Z UCTU	34555	64410	\N	CD	94299029
815020	2775	1998-03-05	PRIJEM	PREVOD Z UCTU	34555	85059	\N	CD	94299029
815021	2775	1998-04-05	PRIJEM	PREVOD Z UCTU	34555	93752	\N	CD	94299029
815022	2775	1998-05-05	PRIJEM	PREVOD Z UCTU	34555	94957	\N	CD	94299029
815023	2775	1998-06-05	PRIJEM	PREVOD Z UCTU	51832	88750	\N	CD	94299029
815024	2775	1998-07-05	PRIJEM	PREVOD Z UCTU	34555	73493	\N	CD	94299029
815025	2775	1998-08-05	PRIJEM	PREVOD Z UCTU	34555	76418	\N	CD	94299029
815026	2775	1998-09-05	PRIJEM	PREVOD Z UCTU	34555	57089	\N	CD	94299029
815027	2775	1998-10-05	PRIJEM	PREVOD Z UCTU	34555	71898	\N	CD	94299029
815028	2775	1998-11-05	PRIJEM	PREVOD Z UCTU	34555	75879	\N	CD	94299029
815029	2775	1998-12-05	PRIJEM	PREVOD Z UCTU	51832	99583	\N	CD	94299029
815070	2775	1998-05-09	VYDAJ	PREVOD NA UCET	8691	50166	SIPO	AB	56198441
815071	2775	1998-06-09	VYDAJ	PREVOD NA UCET	8691	50759	SIPO	AB	56198441
815072	2775	1998-07-09	VYDAJ	PREVOD NA UCET	8691	41702	SIPO	AB	56198441
815073	2775	1998-08-09	VYDAJ	PREVOD NA UCET	8691	47827	SIPO	AB	56198441
815074	2775	1998-09-09	VYDAJ	PREVOD NA UCET	8691	48398	SIPO	AB	56198441
815075	2775	1998-10-09	VYDAJ	PREVOD NA UCET	8691	63207	SIPO	AB	56198441
815076	2775	1998-11-09	VYDAJ	PREVOD NA UCET	8691	67188	SIPO	AB	56198441
815077	2775	1998-12-09	VYDAJ	PREVOD NA UCET	8691	90892	SIPO	AB	56198441
815084	2775	1998-08-18	VYBER	VYBER	5911	41916	\N	\N	\N
815094	2775	1998-05-15	VYBER	VYBER	13422	36744	\N	\N	\N
815095	2775	1998-08-24	VYBER	VYBER	22243	19673	\N	\N	\N
815101	2775	1998-12-17	VYDAJ	VYBER	8100	82792	\N	\N	\N
815119	2775	1998-10-14	VYDAJ	VYBER	9000	54207	\N	\N	\N
815120	2775	1998-06-24	VYDAJ	VYBER	12000	38759	\N	\N	\N
815123	2775	1998-09-13	VYDAJ	VYBER	12600	35798	\N	\N	\N
815141	2775	1998-05-31	VYDAJ	VYBER	15	36918	SLUZBY	\N	\N
815142	2775	1998-06-30	VYDAJ	VYBER	15	38938	SLUZBY	\N	\N
815143	2775	1998-07-31	VYDAJ	VYBER	15	41863	SLUZBY	\N	\N
815144	2775	1998-08-31	VYDAJ	VYBER	15	19834	SLUZBY	\N	\N
815145	2775	1998-09-30	VYDAJ	VYBER	15	35943	SLUZBY	\N	\N
815146	2775	1998-10-31	VYDAJ	VYBER	15	54424	SLUZBY	\N	\N
815147	2775	1998-11-30	VYDAJ	VYBER	15	67451	SLUZBY	\N	\N
815148	2775	1998-01-07	VYDAJ	VYBER	5800	29755	\N	\N	\N
815149	2775	1998-02-06	VYDAJ	VYBER	14100	50310	\N	\N	\N
815150	2775	1998-03-08	VYDAJ	VYBER	26100	58959	\N	\N	\N
815151	2775	1998-04-07	VYDAJ	VYBER	33600	60152	\N	\N	\N
815152	2775	1998-05-07	VYDAJ	VYBER	36100	58857	\N	\N	\N
815153	2775	1998-06-06	VYDAJ	VYBER	29300	59450	\N	\N	\N
815154	2775	1998-07-06	VYDAJ	VYBER	23100	50393	\N	\N	\N
815155	2775	1998-08-05	VYDAJ	VYBER	19900	56518	\N	\N	\N
815156	2775	1998-09-04	PRIJEM	VKLAD	2700	22534	\N	\N	\N
815157	2775	1998-10-04	PRIJEM	VKLAD	1400	37343	\N	\N	\N
815158	2775	1998-11-03	VYDAJ	VYBER	13100	41324	\N	\N	\N
815159	2775	1998-12-03	VYDAJ	VYBER	19700	47751	\N	\N	\N
815172	2776	1997-08-10	PRIJEM	VKLAD	500	500	\N	\N	\N
815181	2776	1997-09-07	PRIJEM	PREVOD Z UCTU	4760	5260	DUCHOD	CD	26803970
815182	2776	1997-10-07	PRIJEM	PREVOD Z UCTU	4760	10020	DUCHOD	CD	26803970
815183	2776	1997-11-07	PRIJEM	PREVOD Z UCTU	4760	14780	DUCHOD	CD	26803970
815184	2776	1997-12-07	PRIJEM	PREVOD Z UCTU	4760	19540	DUCHOD	CD	26803970
815185	2776	1998-01-07	PRIJEM	PREVOD Z UCTU	4760	24300	DUCHOD	CD	26803970
815186	2776	1998-02-07	PRIJEM	PREVOD Z UCTU	4760	16553	DUCHOD	CD	26803970
815187	2776	1998-03-07	PRIJEM	PREVOD Z UCTU	4760	19718	DUCHOD	CD	26803970
815188	2776	1998-04-07	PRIJEM	PREVOD Z UCTU	4760	22896	DUCHOD	CD	26803970
815189	2776	1998-05-07	PRIJEM	PREVOD Z UCTU	4760	26087	DUCHOD	CD	26803970
815190	2776	1998-06-07	PRIJEM	PREVOD Z UCTU	4760	25391	DUCHOD	CD	26803970
815191	2776	1998-07-07	PRIJEM	PREVOD Z UCTU	4760	19277	DUCHOD	CD	26803970
815192	2776	1998-08-07	PRIJEM	PREVOD Z UCTU	4760	17289	DUCHOD	CD	26803970
815193	2776	1998-09-07	PRIJEM	PREVOD Z UCTU	4760	17569	DUCHOD	CD	26803970
815194	2776	1998-10-07	PRIJEM	PREVOD Z UCTU	4760	20738	DUCHOD	CD	26803970
815195	2776	1998-11-07	PRIJEM	PREVOD Z UCTU	4760	14157	DUCHOD	CD	26803970
815196	2776	1998-12-07	PRIJEM	PREVOD Z UCTU	4760	15717	DUCHOD	CD	26803970
815210	2776	1998-02-06	VYDAJ	PREVOD NA UCET	1647	11793	SIPO	QR	40267509
815211	2776	1998-03-06	VYDAJ	PREVOD NA UCET	1647	14958	SIPO	QR	40267509
815212	2776	1998-04-06	VYDAJ	PREVOD NA UCET	1647	18136	SIPO	QR	40267509
815213	2776	1998-05-06	VYDAJ	PREVOD NA UCET	1647	21327	SIPO	QR	40267509
815214	2776	1998-06-06	VYDAJ	PREVOD NA UCET	1647	20631	SIPO	QR	40267509
815215	2776	1998-07-06	VYDAJ	PREVOD NA UCET	1647	14517	SIPO	QR	40267509
815216	2776	1998-08-06	VYDAJ	PREVOD NA UCET	1647	12529	SIPO	QR	40267509
815217	2776	1998-09-06	VYDAJ	PREVOD NA UCET	1647	12809	SIPO	QR	40267509
815218	2776	1998-10-06	VYDAJ	PREVOD NA UCET	1647	15978	SIPO	QR	40267509
815219	2776	1998-11-06	VYDAJ	PREVOD NA UCET	1647	9397	SIPO	QR	40267509
815220	2776	1998-12-06	VYDAJ	PREVOD NA UCET	1647	10957	SIPO	QR	40267509
815222	2776	1998-06-19	VYDAJ	VYBER	9300	16091	\N	\N	\N
815224	2776	1998-01-08	VYDAJ	VYBER	3500	19240	\N	\N	\N
815233	2776	1998-01-12	VYDAJ	VYBER	2080	17160	\N	\N	\N
815235	2776	1998-01-07	VYDAJ	VYBER	560	23740	\N	\N	\N
815236	2776	1998-01-25	VYDAJ	VYBER	1200	14360	\N	\N	\N
815237	2776	1998-01-17	VYDAJ	VYBER	1600	15560	\N	\N	\N
815238	2776	1998-01-29	VYDAJ	VYBER	960	13400	\N	\N	\N
815246	2776	1998-10-13	VYDAJ	VYBER	1360	19378	\N	\N	\N
815247	2776	1998-07-19	VYDAJ	VYBER	2560	16717	\N	\N	\N
815249	2776	1998-08-08	VYDAJ	VYBER	2880	14409	\N	\N	\N
815263	2776	1998-01-31	VYDAJ	VYBER	15	13440	SLUZBY	\N	\N
815264	2776	1998-02-28	VYDAJ	VYBER	15	16605	SLUZBY	\N	\N
815265	2776	1998-03-31	VYDAJ	VYBER	15	19783	SLUZBY	\N	\N
815266	2776	1998-04-30	VYDAJ	VYBER	15	22974	SLUZBY	\N	\N
815267	2776	1998-05-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
815268	2776	1998-06-30	VYDAJ	VYBER	15	16164	SLUZBY	\N	\N
815269	2776	1998-07-31	VYDAJ	VYBER	15	16776	SLUZBY	\N	\N
815270	2776	1998-08-31	VYDAJ	VYBER	15	14456	SLUZBY	\N	\N
815271	2776	1998-09-30	VYDAJ	VYBER	15	17625	SLUZBY	\N	\N
815272	2776	1998-10-31	VYDAJ	VYBER	15	19444	SLUZBY	\N	\N
815273	2776	1998-11-30	VYDAJ	VYBER	15	14204	SLUZBY	\N	\N
815274	2776	1998-01-07	VYDAJ	VYBER	1000	22740	\N	\N	\N
815275	2776	1998-05-07	VYDAJ	VYBER	3400	22687	\N	\N	\N
815276	2776	1998-06-06	VYDAJ	VYBER	500	22278	\N	\N	\N
815277	2776	1998-08-05	VYDAJ	VYBER	2600	14176	\N	\N	\N
815278	2776	1998-11-03	VYDAJ	VYBER	8400	11044	\N	\N	\N
815279	2776	1998-12-03	VYDAJ	VYBER	1600	12604	\N	\N	\N
815292	2777	1996-12-25	PRIJEM	VKLAD	700	700	\N	\N	\N
815346	2777	1997-01-24	PRIJEM	VKLAD	10100	10800	\N	\N	\N
815347	2777	1997-02-23	PRIJEM	VKLAD	5500	16300	\N	\N	\N
815348	2777	1997-03-25	PRIJEM	VKLAD	1300	17600	\N	\N	\N
815349	2777	1997-04-24	VYDAJ	VYBER	900	16700	\N	\N	\N
815350	2777	1997-05-24	PRIJEM	VKLAD	500	17200	\N	\N	\N
815351	2777	1997-06-23	PRIJEM	VKLAD	4300	21500	\N	\N	\N
815352	2777	1997-07-23	PRIJEM	VKLAD	3000	24500	\N	\N	\N
815353	2777	1997-09-21	VYDAJ	VYBER	300	24200	\N	\N	\N
815354	2777	1997-10-21	PRIJEM	VKLAD	500	24700	\N	\N	\N
815355	2777	1997-11-20	PRIJEM	VKLAD	4900	29600	\N	\N	\N
815356	2777	1997-12-20	VYDAJ	VYBER	1000	28600	\N	\N	\N
815357	2777	1998-01-19	VYDAJ	VYBER	3700	24900	\N	\N	\N
815358	2777	1998-02-18	VYDAJ	VYBER	1000	23900	\N	\N	\N
815359	2777	1998-03-20	PRIJEM	VKLAD	1300	25200	\N	\N	\N
815360	2777	1998-04-19	PRIJEM	VKLAD	2300	27500	\N	\N	\N
815361	2777	1998-05-19	PRIJEM	VKLAD	3100	30600	\N	\N	\N
815362	2777	1998-06-18	VYDAJ	VYBER	1600	29000	\N	\N	\N
815363	2777	1998-07-18	VYDAJ	VYBER	6800	22200	\N	\N	\N
815364	2777	1998-08-17	VYDAJ	VYBER	800	21400	\N	\N	\N
815365	2777	1998-09-16	PRIJEM	VKLAD	2800	24200	\N	\N	\N
815366	2777	1998-10-16	VYDAJ	VYBER	1400	22800	\N	\N	\N
815367	2777	1998-11-15	PRIJEM	VKLAD	3800	26600	\N	\N	\N
815368	2778	1993-12-30	PRIJEM	VKLAD	500	500	\N	\N	\N
815381	2778	1994-01-09	PRIJEM	VKLAD	13042	13542	\N	\N	\N
815382	2778	1994-02-09	PRIJEM	VKLAD	13042	30691	\N	\N	\N
815383	2778	1994-03-09	PRIJEM	VKLAD	13042	42208	\N	\N	\N
815384	2778	1994-04-09	PRIJEM	VKLAD	13042	47873	\N	\N	\N
815385	2778	1994-05-09	PRIJEM	VKLAD	13042	49560	\N	\N	\N
815386	2778	1994-06-09	PRIJEM	VKLAD	19563	50658	\N	\N	\N
815387	2778	1994-07-09	PRIJEM	VKLAD	13042	47435	\N	\N	\N
815388	2778	1994-08-09	PRIJEM	VKLAD	13042	39327	\N	\N	\N
815389	2778	1994-09-09	PRIJEM	VKLAD	13042	38572	\N	\N	\N
815390	2778	1994-10-09	PRIJEM	VKLAD	13042	38207	\N	\N	\N
815391	2778	1994-11-09	PRIJEM	VKLAD	13042	34120	\N	\N	\N
815392	2778	1994-12-09	PRIJEM	VKLAD	19563	43659	\N	\N	\N
815393	2778	1995-01-09	PRIJEM	VKLAD	13042	39800	\N	\N	\N
815394	2778	1995-02-09	PRIJEM	VKLAD	13042	42140	\N	\N	\N
815395	2778	1995-03-09	PRIJEM	VKLAD	13042	41588	\N	\N	\N
815396	2778	1995-04-09	PRIJEM	VKLAD	13042	37731	\N	\N	\N
815397	2778	1995-05-09	PRIJEM	VKLAD	13042	35458	\N	\N	\N
815398	2778	1995-06-09	PRIJEM	VKLAD	19563	41298	\N	\N	\N
815399	2778	1995-07-09	PRIJEM	VKLAD	13042	36096	\N	\N	\N
815400	2778	1995-08-09	PRIJEM	VKLAD	13042	33756	\N	\N	\N
815401	2778	1995-09-09	PRIJEM	VKLAD	13042	36270	\N	\N	\N
815402	2778	1995-10-09	PRIJEM	VKLAD	13042	37392	\N	\N	\N
815403	2778	1995-11-09	PRIJEM	VKLAD	13042	33611	\N	\N	\N
815404	2778	1995-12-09	PRIJEM	VKLAD	19563	37699	\N	\N	\N
815405	2778	1996-01-09	PRIJEM	VKLAD	13042	33015	\N	\N	\N
815406	2778	1996-02-09	PRIJEM	VKLAD	13042	29814	\N	\N	\N
815407	2778	1996-03-09	PRIJEM	VKLAD	13042	27764	\N	\N	\N
815408	2778	1996-04-09	PRIJEM	VKLAD	13042	28154	\N	\N	\N
815409	2778	1996-05-09	PRIJEM	VKLAD	13042	27436	\N	\N	\N
815410	2778	1996-06-09	PRIJEM	VKLAD	19563	36743	\N	\N	\N
815411	2778	1996-07-09	PRIJEM	VKLAD	13042	34147	\N	\N	\N
815412	2778	1996-08-09	PRIJEM	VKLAD	13042	31749	\N	\N	\N
815413	2778	1996-09-09	PRIJEM	VKLAD	13042	31787	\N	\N	\N
815414	2778	1996-10-09	PRIJEM	VKLAD	13042	30680	\N	\N	\N
815415	2778	1996-11-09	PRIJEM	VKLAD	13042	27664	\N	\N	\N
815416	2778	1996-12-09	PRIJEM	VKLAD	19563	33077	\N	\N	\N
815417	2778	1997-01-09	PRIJEM	VKLAD	13042	30261	\N	\N	\N
815418	2778	1997-02-09	PRIJEM	VKLAD	13042	28784	\N	\N	\N
815419	2778	1997-03-09	PRIJEM	VKLAD	13042	26057	\N	\N	\N
815420	2778	1997-04-09	PRIJEM	VKLAD	13042	33144	\N	\N	\N
815421	2778	1997-05-09	PRIJEM	VKLAD	13042	31439	\N	\N	\N
815422	2778	1997-06-09	PRIJEM	VKLAD	19563	38252	\N	\N	\N
815423	2778	1997-07-09	PRIJEM	VKLAD	13042	29661	\N	\N	\N
815424	2778	1997-08-09	PRIJEM	VKLAD	13042	29644	\N	\N	\N
815425	2778	1997-09-09	PRIJEM	VKLAD	13042	29427	\N	\N	\N
815426	2778	1997-10-09	PRIJEM	VKLAD	13042	23492	\N	\N	\N
815427	2778	1997-11-09	PRIJEM	VKLAD	13042	28764	\N	\N	\N
815428	2778	1997-12-09	PRIJEM	VKLAD	19563	26743	\N	\N	\N
815429	2778	1998-01-09	PRIJEM	VKLAD	13042	20391	\N	\N	\N
815430	2778	1998-02-09	PRIJEM	VKLAD	13042	27454	\N	\N	\N
815431	2778	1998-03-09	PRIJEM	VKLAD	13042	29138	\N	\N	\N
815432	2778	1998-04-09	PRIJEM	VKLAD	13042	19589	\N	\N	\N
815433	2778	1998-05-09	PRIJEM	VKLAD	13042	26648	\N	\N	\N
815434	2778	1998-06-09	PRIJEM	VKLAD	19563	40258	\N	\N	\N
815435	2778	1998-07-09	PRIJEM	VKLAD	13042	44511	\N	\N	\N
815436	2778	1998-08-09	PRIJEM	VKLAD	13042	30933	\N	\N	\N
815437	2778	1998-09-09	PRIJEM	VKLAD	13042	37341	\N	\N	\N
815438	2778	1998-10-09	PRIJEM	VKLAD	13042	29474	\N	\N	\N
815439	2778	1998-11-09	PRIJEM	VKLAD	13042	27294	\N	\N	\N
815440	2778	1998-12-09	PRIJEM	VKLAD	19563	35719	\N	\N	\N
815457	2778	1994-05-14	VYDAJ	PREVOD NA UCET	192	43547	SIPO	OP	72472995
815458	2778	1994-06-14	VYDAJ	PREVOD NA UCET	192	44645	SIPO	OP	72472995
815459	2778	1994-07-14	VYDAJ	PREVOD NA UCET	192	41422	SIPO	OP	72472995
815460	2778	1994-08-14	VYDAJ	PREVOD NA UCET	192	33314	SIPO	OP	72472995
815461	2778	1994-09-14	VYDAJ	PREVOD NA UCET	192	32559	SIPO	OP	72472995
815462	2778	1994-10-14	VYDAJ	PREVOD NA UCET	192	32194	SIPO	OP	72472995
815463	2778	1994-11-14	VYDAJ	PREVOD NA UCET	192	28107	SIPO	OP	72472995
815464	2778	1994-12-14	VYDAJ	PREVOD NA UCET	192	35246	SIPO	OP	72472995
815465	2778	1995-01-14	VYDAJ	PREVOD NA UCET	192	33787	SIPO	OP	72472995
815466	2778	1995-02-14	VYDAJ	PREVOD NA UCET	192	36127	SIPO	OP	72472995
815467	2778	1995-03-14	VYDAJ	PREVOD NA UCET	192	35575	SIPO	OP	72472995
815468	2778	1995-04-14	VYDAJ	PREVOD NA UCET	192	31718	SIPO	OP	72472995
815469	2778	1995-05-14	VYDAJ	PREVOD NA UCET	192	29445	SIPO	OP	72472995
815470	2778	1995-06-14	VYDAJ	PREVOD NA UCET	192	27765	SIPO	OP	72472995
815471	2778	1995-07-14	VYDAJ	PREVOD NA UCET	192	30083	SIPO	OP	72472995
815472	2778	1995-08-14	VYDAJ	PREVOD NA UCET	192	27743	SIPO	OP	72472995
815473	2778	1995-09-14	VYDAJ	PREVOD NA UCET	192	30257	SIPO	OP	72472995
815474	2778	1995-10-14	VYDAJ	PREVOD NA UCET	192	31379	SIPO	OP	72472995
815475	2778	1995-11-14	VYDAJ	PREVOD NA UCET	192	27598	SIPO	OP	72472995
815476	2778	1995-12-14	VYDAJ	PREVOD NA UCET	192	31686	SIPO	OP	72472995
815477	2778	1996-01-14	VYDAJ	PREVOD NA UCET	192	27002	SIPO	OP	72472995
815478	2778	1996-02-14	VYDAJ	PREVOD NA UCET	192	22001	SIPO	OP	72472995
815479	2778	1996-03-14	VYDAJ	PREVOD NA UCET	192	21751	SIPO	OP	72472995
815480	2778	1996-04-14	VYDAJ	PREVOD NA UCET	192	22141	SIPO	OP	72472995
815481	2778	1996-05-14	VYDAJ	PREVOD NA UCET	192	21423	SIPO	OP	72472995
815482	2778	1996-06-14	VYDAJ	PREVOD NA UCET	192	30730	SIPO	OP	72472995
815483	2778	1996-07-14	VYDAJ	PREVOD NA UCET	192	28134	SIPO	OP	72472995
815484	2778	1996-08-14	VYDAJ	PREVOD NA UCET	192	25736	SIPO	OP	72472995
815485	2778	1996-09-14	VYDAJ	PREVOD NA UCET	192	25774	SIPO	OP	72472995
815486	2778	1996-10-14	VYDAJ	PREVOD NA UCET	192	24667	SIPO	OP	72472995
815487	2778	1996-11-14	VYDAJ	PREVOD NA UCET	192	21651	SIPO	OP	72472995
815488	2778	1996-12-14	VYDAJ	PREVOD NA UCET	192	27064	SIPO	OP	72472995
815489	2778	1997-01-14	VYDAJ	PREVOD NA UCET	192	15688	SIPO	OP	72472995
815490	2778	1997-02-14	VYDAJ	PREVOD NA UCET	192	12971	SIPO	OP	72472995
815491	2778	1997-03-14	VYDAJ	PREVOD NA UCET	192	20044	SIPO	OP	72472995
815492	2778	1997-04-14	VYDAJ	PREVOD NA UCET	192	18331	SIPO	OP	72472995
815493	2778	1997-05-14	VYDAJ	PREVOD NA UCET	192	18626	SIPO	OP	72472995
815494	2778	1997-06-14	VYDAJ	PREVOD NA UCET	192	20639	SIPO	OP	72472995
815495	2778	1997-07-14	VYDAJ	PREVOD NA UCET	192	16548	SIPO	OP	72472995
815496	2778	1997-08-14	VYDAJ	PREVOD NA UCET	192	16331	SIPO	OP	72472995
815497	2778	1997-09-14	VYDAJ	PREVOD NA UCET	192	10414	SIPO	OP	72472995
815498	2778	1997-10-14	VYDAJ	PREVOD NA UCET	192	17479	SIPO	OP	72472995
815499	2778	1997-11-14	VYDAJ	PREVOD NA UCET	192	7151	SIPO	OP	72472995
815500	2778	1997-12-14	VYDAJ	PREVOD NA UCET	192	7330	SIPO	OP	72472995
815501	2778	1998-01-14	VYDAJ	PREVOD NA UCET	192	14378	SIPO	OP	72472995
815502	2778	1998-02-14	VYDAJ	PREVOD NA UCET	192	21441	SIPO	OP	72472995
815503	2778	1998-03-14	VYDAJ	PREVOD NA UCET	192	6525	SIPO	OP	72472995
815504	2778	1998-04-14	VYDAJ	PREVOD NA UCET	192	13576	SIPO	OP	72472995
815505	2778	1998-05-14	VYDAJ	PREVOD NA UCET	192	20635	SIPO	OP	72472995
815506	2778	1998-06-14	VYDAJ	PREVOD NA UCET	192	34245	SIPO	OP	72472995
815507	2778	1998-07-14	VYDAJ	PREVOD NA UCET	192	38498	SIPO	OP	72472995
815508	2778	1998-08-14	VYDAJ	PREVOD NA UCET	192	24920	SIPO	OP	72472995
815509	2778	1998-09-14	VYDAJ	PREVOD NA UCET	192	31328	SIPO	OP	72472995
815510	2778	1998-10-14	VYDAJ	PREVOD NA UCET	192	23461	SIPO	OP	72472995
815511	2778	1998-11-14	VYDAJ	PREVOD NA UCET	192	21281	SIPO	OP	72472995
815512	2778	1998-12-14	VYDAJ	PREVOD NA UCET	192	27626	SIPO	OP	72472995
815529	2778	1994-05-11	VYDAJ	PREVOD NA UCET	5821	43739	 	YZ	18643141
815530	2778	1994-06-11	VYDAJ	PREVOD NA UCET	5821	44837	 	YZ	18643141
815531	2778	1994-07-11	VYDAJ	PREVOD NA UCET	5821	41614	 	YZ	18643141
815532	2778	1994-08-11	VYDAJ	PREVOD NA UCET	5821	33506	 	YZ	18643141
815533	2778	1994-09-11	VYDAJ	PREVOD NA UCET	5821	32751	 	YZ	18643141
815534	2778	1994-10-11	VYDAJ	PREVOD NA UCET	5821	32386	 	YZ	18643141
815535	2778	1994-11-11	VYDAJ	PREVOD NA UCET	5821	28299	 	YZ	18643141
815536	2778	1994-12-11	VYDAJ	PREVOD NA UCET	5821	35438	 	YZ	18643141
815537	2778	1995-01-11	VYDAJ	PREVOD NA UCET	5821	33979	 	YZ	18643141
815538	2778	1995-02-11	VYDAJ	PREVOD NA UCET	5821	36319	 	YZ	18643141
815539	2778	1995-03-11	VYDAJ	PREVOD NA UCET	5821	35767	 	YZ	18643141
815540	2778	1995-04-11	VYDAJ	PREVOD NA UCET	5821	31910	 	YZ	18643141
815541	2778	1995-05-11	VYDAJ	PREVOD NA UCET	5821	29637	 	YZ	18643141
815542	2778	1995-06-11	VYDAJ	PREVOD NA UCET	5821	27957	 	YZ	18643141
815543	2778	1995-07-11	VYDAJ	PREVOD NA UCET	5821	30275	 	YZ	18643141
815544	2778	1995-08-11	VYDAJ	PREVOD NA UCET	5821	27935	 	YZ	18643141
815545	2778	1995-09-11	VYDAJ	PREVOD NA UCET	5821	30449	 	YZ	18643141
815546	2778	1995-10-11	VYDAJ	PREVOD NA UCET	5821	31571	 	YZ	18643141
815547	2778	1995-11-11	VYDAJ	PREVOD NA UCET	5821	27790	 	YZ	18643141
815548	2778	1995-12-11	VYDAJ	PREVOD NA UCET	5821	31878	 	YZ	18643141
815549	2778	1996-01-11	VYDAJ	PREVOD NA UCET	5821	27194	 	YZ	18643141
815550	2778	1996-02-11	VYDAJ	PREVOD NA UCET	5821	23993	 	YZ	18643141
815551	2778	1996-03-11	VYDAJ	PREVOD NA UCET	5821	21943	 	YZ	18643141
815552	2778	1996-04-11	VYDAJ	PREVOD NA UCET	5821	22333	 	YZ	18643141
815553	2778	1996-05-11	VYDAJ	PREVOD NA UCET	5821	21615	 	YZ	18643141
815554	2778	1996-06-11	VYDAJ	PREVOD NA UCET	5821	30922	 	YZ	18643141
815555	2778	1996-07-11	VYDAJ	PREVOD NA UCET	5821	28326	 	YZ	18643141
815556	2778	1996-08-11	VYDAJ	PREVOD NA UCET	5821	25928	 	YZ	18643141
815557	2778	1996-09-11	VYDAJ	PREVOD NA UCET	5821	25966	 	YZ	18643141
815558	2778	1996-10-11	VYDAJ	PREVOD NA UCET	5821	24859	 	YZ	18643141
815559	2778	1996-11-11	VYDAJ	PREVOD NA UCET	5821	21843	 	YZ	18643141
815560	2778	1996-12-11	VYDAJ	PREVOD NA UCET	5821	27256	 	YZ	18643141
815561	2778	1997-01-11	VYDAJ	PREVOD NA UCET	5821	24440	 	YZ	18643141
815562	2778	1997-02-11	VYDAJ	PREVOD NA UCET	5821	22963	 	YZ	18643141
815563	2778	1997-03-11	VYDAJ	PREVOD NA UCET	5821	20236	 	YZ	18643141
815564	2778	1997-04-11	VYDAJ	PREVOD NA UCET	5821	27323	 	YZ	18643141
815565	2778	1997-05-11	VYDAJ	PREVOD NA UCET	5821	25618	 	YZ	18643141
815566	2778	1997-06-11	VYDAJ	PREVOD NA UCET	5821	32431	 	YZ	18643141
815567	2778	1997-07-11	VYDAJ	PREVOD NA UCET	5821	23840	 	YZ	18643141
815568	2778	1997-08-11	VYDAJ	PREVOD NA UCET	5821	16523	 	YZ	18643141
815569	2778	1997-09-11	VYDAJ	PREVOD NA UCET	5821	10606	 	YZ	18643141
815570	2778	1997-10-11	VYDAJ	PREVOD NA UCET	5821	17671	 	YZ	18643141
815571	2778	1997-11-11	VYDAJ	PREVOD NA UCET	5821	7343	 	YZ	18643141
815572	2778	1997-12-11	VYDAJ	PREVOD NA UCET	5821	7522	 	YZ	18643141
815573	2778	1998-01-11	VYDAJ	PREVOD NA UCET	5821	14570	 	YZ	18643141
815574	2778	1998-02-11	VYDAJ	PREVOD NA UCET	5821	21633	 	YZ	18643141
815575	2778	1998-03-11	VYDAJ	PREVOD NA UCET	5821	6717	 	YZ	18643141
815576	2778	1998-04-11	VYDAJ	PREVOD NA UCET	5821	13768	 	YZ	18643141
815577	2778	1998-05-11	VYDAJ	PREVOD NA UCET	5821	20827	 	YZ	18643141
815578	2778	1998-06-11	VYDAJ	PREVOD NA UCET	5821	34437	 	YZ	18643141
815579	2778	1998-07-11	VYDAJ	PREVOD NA UCET	5821	38690	 	YZ	18643141
815580	2778	1998-08-11	VYDAJ	PREVOD NA UCET	5821	25112	 	YZ	18643141
815581	2778	1998-09-11	VYDAJ	PREVOD NA UCET	5821	31520	 	YZ	18643141
815582	2778	1998-10-11	VYDAJ	PREVOD NA UCET	5821	23653	 	YZ	18643141
815583	2778	1998-11-11	VYDAJ	PREVOD NA UCET	5821	21473	 	YZ	18643141
815584	2778	1998-12-11	VYDAJ	PREVOD NA UCET	5821	27818	 	YZ	18643141
815587	2778	1995-06-10	VYDAJ	VYBER	7520	33778	\N	\N	\N
815592	2778	1994-12-10	VYDAJ	VYBER	2400	41259	\N	\N	\N
815593	2778	1995-12-05	VYDAJ	VYBER	1440	18136	\N	\N	\N
815596	2778	1998-12-11	VYDAJ	VYBER	2080	33639	\N	\N	\N
815604	2778	1994-05-26	VYDAJ	VYBER	1680	37547	\N	\N	\N
815605	2778	1994-10-31	VYDAJ	VYBER	4320	21078	\N	\N	\N
815606	2778	1994-05-22	VYDAJ	VYBER	4320	39227	\N	\N	\N
815608	2778	1994-08-18	VYDAJ	VYBER	1200	32114	\N	\N	\N
815610	2778	1994-08-01	VYDAJ	VYBER	4080	26285	\N	\N	\N
815611	2778	1995-08-21	VYDAJ	VYBER	1800	25943	\N	\N	\N
815612	2778	1995-07-26	VYDAJ	VYBER	2760	20623	\N	\N	\N
815613	2778	1996-03-03	VYDAJ	VYBER	2640	14722	\N	\N	\N
815615	2778	1996-08-30	VYDAJ	VYBER	960	18676	\N	\N	\N
815616	2778	1996-02-14	VYDAJ	VYBER	1800	22193	\N	\N	\N
815620	2778	1997-06-16	VYDAJ	VYBER	4080	16559	\N	\N	\N
815621	2778	1997-01-12	VYDAJ	VYBER	960	23480	\N	\N	\N
815623	2778	1997-10-15	VYDAJ	VYBER	1800	15679	\N	\N	\N
815624	2778	1998-02-20	VYDAJ	VYBER	5400	16041	\N	\N	\N
815626	2778	1998-06-23	VYDAJ	VYBER	2880	31365	\N	\N	\N
815627	2778	1998-07-30	VYDAJ	VYBER	3240	35258	\N	\N	\N
815628	2778	1998-08-14	VYDAJ	VYBER	720	24200	\N	\N	\N
815646	2778	1994-05-31	VYDAJ	VYBER	15	31095	SLUZBY	\N	\N
815647	2778	1994-06-30	VYDAJ	VYBER	15	34393	SLUZBY	\N	\N
815648	2778	1994-07-31	VYDAJ	VYBER	15	30365	SLUZBY	\N	\N
815649	2778	1994-08-31	VYDAJ	VYBER	15	25530	SLUZBY	\N	\N
815650	2778	1994-09-30	VYDAJ	VYBER	15	25165	SLUZBY	\N	\N
815651	2778	1994-10-31	VYDAJ	VYBER	15	25398	SLUZBY	\N	\N
815652	2778	1994-11-30	VYDAJ	VYBER	15	24096	SLUZBY	\N	\N
815653	2778	1994-12-31	VYDAJ	VYBER	15	26758	SLUZBY	\N	\N
815654	2778	1995-01-31	VYDAJ	VYBER	15	29098	SLUZBY	\N	\N
815655	2778	1995-02-28	VYDAJ	VYBER	15	28546	SLUZBY	\N	\N
815656	2778	1995-03-31	VYDAJ	VYBER	15	24689	SLUZBY	\N	\N
815657	2778	1995-04-30	VYDAJ	VYBER	15	22416	SLUZBY	\N	\N
815658	2778	1995-05-31	VYDAJ	VYBER	15	21735	SLUZBY	\N	\N
815659	2778	1995-06-30	VYDAJ	VYBER	15	23054	SLUZBY	\N	\N
815660	2778	1995-07-31	VYDAJ	VYBER	15	20714	SLUZBY	\N	\N
815661	2778	1995-08-31	VYDAJ	VYBER	15	23228	SLUZBY	\N	\N
815662	2778	1995-09-30	VYDAJ	VYBER	15	24350	SLUZBY	\N	\N
815663	2778	1995-10-31	VYDAJ	VYBER	15	20569	SLUZBY	\N	\N
815664	2778	1995-11-30	VYDAJ	VYBER	15	19576	SLUZBY	\N	\N
815665	2778	1995-12-31	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
815666	2778	1996-01-31	VYDAJ	VYBER	15	16772	SLUZBY	\N	\N
815667	2778	1996-02-29	VYDAJ	VYBER	15	17362	SLUZBY	\N	\N
815668	2778	1996-03-31	VYDAJ	VYBER	15	15112	SLUZBY	\N	\N
815669	2778	1996-04-30	VYDAJ	VYBER	15	14394	SLUZBY	\N	\N
815670	2778	1996-05-31	VYDAJ	VYBER	15	17180	SLUZBY	\N	\N
815671	2778	1996-06-30	VYDAJ	VYBER	15	21105	SLUZBY	\N	\N
815672	2778	1996-07-31	VYDAJ	VYBER	15	18707	SLUZBY	\N	\N
815673	2778	1996-08-31	VYDAJ	VYBER	15	18745	SLUZBY	\N	\N
815674	2778	1996-09-30	VYDAJ	VYBER	15	17638	SLUZBY	\N	\N
815675	2778	1996-10-31	VYDAJ	VYBER	15	14622	SLUZBY	\N	\N
815676	2778	1996-11-30	VYDAJ	VYBER	15	13514	SLUZBY	\N	\N
815677	2778	1996-12-31	VYDAJ	VYBER	15	17219	SLUZBY	\N	\N
815678	2778	1997-01-31	VYDAJ	VYBER	15	15742	SLUZBY	\N	\N
815679	2778	1997-02-28	VYDAJ	VYBER	15	13015	SLUZBY	\N	\N
815680	2778	1997-03-31	VYDAJ	VYBER	15	20102	SLUZBY	\N	\N
815681	2778	1997-04-30	VYDAJ	VYBER	15	18397	SLUZBY	\N	\N
815682	2778	1997-05-31	VYDAJ	VYBER	15	18689	SLUZBY	\N	\N
815683	2778	1997-06-30	VYDAJ	VYBER	15	16619	SLUZBY	\N	\N
815684	2778	1997-07-31	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
815685	2778	1997-08-31	VYDAJ	VYBER	15	16385	SLUZBY	\N	\N
815686	2778	1997-09-30	VYDAJ	VYBER	15	10450	SLUZBY	\N	\N
815687	2778	1997-10-31	VYDAJ	VYBER	15	15722	SLUZBY	\N	\N
815688	2778	1997-11-30	VYDAJ	VYBER	15	7180	SLUZBY	\N	\N
815689	2778	1997-12-31	VYDAJ	VYBER	15	7349	SLUZBY	\N	\N
815690	2778	1998-01-31	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
815691	2778	1998-02-28	VYDAJ	VYBER	15	16096	SLUZBY	\N	\N
815692	2778	1998-03-31	VYDAJ	VYBER	15	6547	SLUZBY	\N	\N
815693	2778	1998-04-30	VYDAJ	VYBER	15	13606	SLUZBY	\N	\N
815694	2778	1998-05-31	VYDAJ	VYBER	15	20695	SLUZBY	\N	\N
815695	2778	1998-06-30	VYDAJ	VYBER	15	31469	SLUZBY	\N	\N
815696	2778	1998-07-31	VYDAJ	VYBER	15	35391	SLUZBY	\N	\N
815697	2778	1998-08-31	VYDAJ	VYBER	15	24299	SLUZBY	\N	\N
815698	2778	1998-09-30	VYDAJ	VYBER	15	31432	SLUZBY	\N	\N
815699	2778	1998-10-31	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
815700	2778	1998-11-30	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
815701	2778	1994-01-29	PRIJEM	VKLAD	4100	17642	\N	\N	\N
815702	2778	1994-02-28	VYDAJ	VYBER	1600	29166	\N	\N	\N
815703	2778	1994-03-30	VYDAJ	VYBER	7500	34708	\N	\N	\N
815704	2778	1994-04-29	VYDAJ	VYBER	11500	36373	\N	\N	\N
815705	2778	1994-05-29	VYDAJ	VYBER	6600	30947	\N	\N	\N
815706	2778	1994-06-28	VYDAJ	VYBER	10400	34245	\N	\N	\N
815707	2778	1994-07-28	VYDAJ	VYBER	11200	30222	\N	\N	\N
815708	2778	1994-08-27	VYDAJ	VYBER	6700	25414	\N	\N	\N
815709	2778	1994-09-26	VYDAJ	VYBER	7500	25059	\N	\N	\N
815710	2778	1994-10-26	VYDAJ	VYBER	6900	25294	\N	\N	\N
815711	2778	1994-11-25	VYDAJ	VYBER	4100	24007	\N	\N	\N
815712	2778	1994-12-25	VYDAJ	VYBER	8600	26646	\N	\N	\N
815713	2778	1995-01-24	VYDAJ	VYBER	4800	28987	\N	\N	\N
815714	2778	1995-02-23	VYDAJ	VYBER	7700	28427	\N	\N	\N
815715	2778	1995-03-25	VYDAJ	VYBER	11000	24575	\N	\N	\N
815716	2778	1995-04-24	VYDAJ	VYBER	9400	22318	\N	\N	\N
815717	2778	1995-05-24	VYDAJ	VYBER	7800	21645	\N	\N	\N
815718	2778	1995-06-23	VYDAJ	VYBER	4800	22965	\N	\N	\N
815719	2778	1995-07-23	VYDAJ	VYBER	6700	23383	\N	\N	\N
815720	2778	1995-08-22	VYDAJ	VYBER	2800	23143	\N	\N	\N
815721	2778	1995-09-21	VYDAJ	VYBER	6000	24257	\N	\N	\N
815722	2778	1995-10-21	VYDAJ	VYBER	10900	20479	\N	\N	\N
815723	2778	1995-11-20	VYDAJ	VYBER	8100	19498	\N	\N	\N
815724	2778	1995-12-20	VYDAJ	VYBER	11800	19886	\N	\N	\N
815725	2778	1996-01-19	VYDAJ	VYBER	10300	16702	\N	\N	\N
815726	2778	1996-02-18	VYDAJ	VYBER	4700	17301	\N	\N	\N
815727	2778	1996-03-19	VYDAJ	VYBER	6700	15051	\N	\N	\N
815728	2778	1996-04-18	VYDAJ	VYBER	7800	14341	\N	\N	\N
815729	2778	1996-05-18	VYDAJ	VYBER	4300	17123	\N	\N	\N
815730	2778	1996-06-17	VYDAJ	VYBER	9700	21030	\N	\N	\N
815731	2778	1996-07-17	VYDAJ	VYBER	9500	18634	\N	\N	\N
815732	2778	1996-08-16	VYDAJ	VYBER	6100	19636	\N	\N	\N
815733	2778	1996-09-15	VYDAJ	VYBER	8200	17574	\N	\N	\N
815734	2778	1996-10-15	VYDAJ	VYBER	10100	14567	\N	\N	\N
815735	2778	1996-11-14	VYDAJ	VYBER	8200	13451	\N	\N	\N
815736	2778	1996-12-14	VYDAJ	VYBER	9900	17164	\N	\N	\N
815737	2778	1997-01-13	VYDAJ	VYBER	7600	15880	\N	\N	\N
815738	2778	1997-02-12	VYDAJ	VYBER	9800	13163	\N	\N	\N
815739	2778	1997-04-13	VYDAJ	VYBER	8800	18523	\N	\N	\N
815740	2778	1997-05-13	VYDAJ	VYBER	6800	18818	\N	\N	\N
815741	2778	1997-06-12	VYDAJ	VYBER	11600	20831	\N	\N	\N
815742	2778	1997-07-12	VYDAJ	VYBER	7100	16740	\N	\N	\N
815743	2778	1997-08-11	VYDAJ	VYBER	7300	22344	\N	\N	\N
815744	2778	1997-09-10	VYDAJ	VYBER	13000	16427	\N	\N	\N
815745	2778	1997-11-09	VYDAJ	VYBER	15600	13164	\N	\N	\N
815746	2778	1997-12-09	VYDAJ	VYBER	13400	13343	\N	\N	\N
815747	2778	1998-03-09	VYDAJ	VYBER	16600	12538	\N	\N	\N
815748	2778	1998-08-06	VYDAJ	VYBER	17500	17891	\N	\N	\N
815749	2778	1998-10-05	VYDAJ	VYBER	15000	16432	\N	\N	\N
815750	2778	1998-11-04	VYDAJ	VYBER	9300	14252	\N	\N	\N
815751	2778	1998-12-04	VYDAJ	VYBER	5200	16156	\N	\N	\N
815812	2779	1993-06-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
815819	2779	1993-07-11	PRIJEM	VKLAD	17308	18408	\N	\N	\N
815820	2779	1993-08-11	PRIJEM	VKLAD	17308	38564	\N	\N	\N
815821	2779	1993-09-11	PRIJEM	VKLAD	17308	48084	\N	\N	\N
815822	2779	1993-10-11	PRIJEM	VKLAD	17308	55839	\N	\N	\N
815823	2779	1993-11-11	PRIJEM	VKLAD	17308	57711	\N	\N	\N
815824	2779	1993-12-11	PRIJEM	VKLAD	25962	59723	\N	\N	\N
815825	2779	1994-01-11	PRIJEM	VKLAD	17308	53083	\N	\N	\N
815826	2779	1994-02-11	PRIJEM	VKLAD	17308	43986	\N	\N	\N
815827	2779	1994-03-11	PRIJEM	VKLAD	17308	49653	\N	\N	\N
815828	2779	1994-04-11	PRIJEM	VKLAD	17308	48397	\N	\N	\N
815829	2779	1994-05-11	PRIJEM	VKLAD	17308	38625	\N	\N	\N
815830	2779	1994-06-11	PRIJEM	VKLAD	25962	53506	\N	\N	\N
815831	2779	1994-07-11	PRIJEM	VKLAD	17308	54578	\N	\N	\N
815832	2779	1994-08-11	PRIJEM	VKLAD	17308	55180	\N	\N	\N
815833	2779	1994-09-11	PRIJEM	VKLAD	17308	53818	\N	\N	\N
815834	2779	1994-10-11	PRIJEM	VKLAD	17308	53710	\N	\N	\N
815835	2779	1994-11-11	PRIJEM	VKLAD	17308	55906	\N	\N	\N
815836	2779	1994-12-11	PRIJEM	VKLAD	25962	63167	\N	\N	\N
815837	2779	1995-01-11	PRIJEM	VKLAD	17308	58033	\N	\N	\N
815838	2779	1995-02-11	PRIJEM	VKLAD	17308	54145	\N	\N	\N
815839	2779	1995-03-11	PRIJEM	VKLAD	17308	57401	\N	\N	\N
815840	2779	1995-04-11	PRIJEM	VKLAD	17308	62108	\N	\N	\N
815841	2779	1995-05-11	PRIJEM	VKLAD	17308	61434	\N	\N	\N
815842	2779	1995-06-11	PRIJEM	VKLAD	25962	63773	\N	\N	\N
815843	2779	1995-07-11	PRIJEM	VKLAD	17308	58353	\N	\N	\N
815844	2779	1995-08-11	PRIJEM	VKLAD	17308	56565	\N	\N	\N
815845	2779	1995-09-11	PRIJEM	VKLAD	17308	58071	\N	\N	\N
815846	2779	1995-10-11	PRIJEM	VKLAD	17308	59280	\N	\N	\N
815847	2779	1995-11-11	PRIJEM	VKLAD	17308	57795	\N	\N	\N
815848	2779	1995-12-11	PRIJEM	VKLAD	25962	63338	\N	\N	\N
815849	2779	1996-01-11	PRIJEM	VKLAD	17308	61360	\N	\N	\N
815850	2779	1996-02-11	PRIJEM	VKLAD	17308	58984	\N	\N	\N
815851	2779	1996-03-11	PRIJEM	VKLAD	17308	61591	\N	\N	\N
815852	2779	1996-04-11	PRIJEM	VKLAD	17308	60472	\N	\N	\N
815853	2779	1996-05-11	PRIJEM	VKLAD	17308	64190	\N	\N	\N
815854	2779	1996-06-11	PRIJEM	VKLAD	25962	75172	\N	\N	\N
815855	2779	1996-07-11	PRIJEM	VKLAD	17308	70632	\N	\N	\N
815856	2779	1996-08-11	PRIJEM	VKLAD	17308	64883	\N	\N	\N
815857	2779	1996-09-11	PRIJEM	VKLAD	17308	66111	\N	\N	\N
815858	2779	1996-10-11	PRIJEM	VKLAD	17308	59162	\N	\N	\N
815859	2779	1996-11-11	PRIJEM	VKLAD	17308	64874	\N	\N	\N
815860	2779	1996-12-11	PRIJEM	VKLAD	25962	74355	\N	\N	\N
815861	2779	1997-01-11	PRIJEM	VKLAD	17308	72306	\N	\N	\N
815862	2779	1997-02-11	PRIJEM	VKLAD	17308	72861	\N	\N	\N
815863	2779	1997-03-11	PRIJEM	VKLAD	17308	71316	\N	\N	\N
815864	2779	1997-04-11	PRIJEM	VKLAD	17308	68568	\N	\N	\N
815865	2779	1997-05-11	PRIJEM	VKLAD	17308	70608	\N	\N	\N
815866	2779	1997-06-11	PRIJEM	VKLAD	25962	85014	\N	\N	\N
815867	2779	1997-07-11	PRIJEM	VKLAD	17308	80002	\N	\N	\N
815868	2779	1997-08-11	PRIJEM	VKLAD	17308	80886	\N	\N	\N
815869	2779	1997-09-11	PRIJEM	VKLAD	17308	83175	\N	\N	\N
815870	2779	1997-10-11	PRIJEM	VKLAD	17308	79666	\N	\N	\N
815871	2779	1997-11-11	PRIJEM	VKLAD	17308	79545	\N	\N	\N
815872	2779	1997-12-11	PRIJEM	VKLAD	25962	89077	\N	\N	\N
815873	2779	1998-01-11	PRIJEM	VKLAD	17308	85078	\N	\N	\N
815874	2779	1998-02-11	PRIJEM	VKLAD	17308	78809	\N	\N	\N
815875	2779	1998-03-11	PRIJEM	VKLAD	17308	81685	\N	\N	\N
815876	2779	1998-04-11	PRIJEM	VKLAD	17308	81972	\N	\N	\N
815877	2779	1998-05-11	PRIJEM	VKLAD	17308	80356	\N	\N	\N
815878	2779	1998-06-11	PRIJEM	VKLAD	25962	90289	\N	\N	\N
815879	2779	1998-07-11	PRIJEM	VKLAD	17308	85187	\N	\N	\N
815880	2779	1998-08-11	PRIJEM	VKLAD	17308	82379	\N	\N	\N
815881	2779	1998-09-11	PRIJEM	VKLAD	17308	82463	\N	\N	\N
815882	2779	1998-10-11	PRIJEM	VKLAD	17308	88457	\N	\N	\N
815883	2779	1998-11-11	PRIJEM	VKLAD	17308	90668	\N	\N	\N
815884	2779	1998-12-11	PRIJEM	VKLAD	25962	97934	\N	\N	\N
815896	2779	1993-12-06	VYDAJ	PREVOD NA UCET	8262	33805	SIPO	UV	95626550
815897	2779	1994-01-06	VYDAJ	PREVOD NA UCET	8262	35819	SIPO	UV	95626550
815898	2779	1994-02-06	VYDAJ	PREVOD NA UCET	8262	29602	SIPO	UV	95626550
815899	2779	1994-03-06	VYDAJ	PREVOD NA UCET	8262	32389	SIPO	UV	95626550
815900	2779	1994-04-06	VYDAJ	PREVOD NA UCET	8262	31133	SIPO	UV	95626550
815901	2779	1994-05-06	VYDAJ	PREVOD NA UCET	8262	21361	SIPO	UV	95626550
815902	2779	1994-06-06	VYDAJ	PREVOD NA UCET	8262	25288	SIPO	UV	95626550
815903	2779	1994-07-06	VYDAJ	PREVOD NA UCET	8262	45414	SIPO	UV	95626550
815904	2779	1994-08-06	VYDAJ	PREVOD NA UCET	8262	46516	SIPO	UV	95626550
815905	2779	1994-09-06	VYDAJ	PREVOD NA UCET	8262	39554	SIPO	UV	95626550
815906	2779	1994-10-06	VYDAJ	PREVOD NA UCET	8262	45746	SIPO	UV	95626550
815907	2779	1994-11-06	VYDAJ	PREVOD NA UCET	8262	45642	SIPO	UV	95626550
815908	2779	1994-12-06	VYDAJ	PREVOD NA UCET	8262	47849	SIPO	UV	95626550
815909	2779	1995-01-06	VYDAJ	PREVOD NA UCET	8262	51169	SIPO	UV	95626550
815910	2779	1995-02-06	VYDAJ	PREVOD NA UCET	8262	36881	SIPO	UV	95626550
815911	2779	1995-03-06	VYDAJ	PREVOD NA UCET	8262	46077	SIPO	UV	95626550
815912	2779	1995-04-06	VYDAJ	PREVOD NA UCET	8262	44844	SIPO	UV	95626550
815913	2779	1995-05-06	VYDAJ	PREVOD NA UCET	8262	54070	SIPO	UV	95626550
815914	2779	1995-06-06	VYDAJ	PREVOD NA UCET	8262	37855	SIPO	UV	95626550
815915	2779	1995-07-06	VYDAJ	PREVOD NA UCET	8262	41089	SIPO	UV	95626550
815916	2779	1995-08-06	VYDAJ	PREVOD NA UCET	8262	39301	SIPO	UV	95626550
815917	2779	1995-09-06	VYDAJ	PREVOD NA UCET	8262	40807	SIPO	UV	95626550
815918	2779	1995-10-06	VYDAJ	PREVOD NA UCET	8262	42016	SIPO	UV	95626550
815919	2779	1995-11-06	VYDAJ	PREVOD NA UCET	8262	40531	SIPO	UV	95626550
815920	2779	1995-12-06	VYDAJ	PREVOD NA UCET	8262	37420	SIPO	UV	95626550
815921	2779	1996-01-06	VYDAJ	PREVOD NA UCET	8262	44096	SIPO	UV	95626550
815922	2779	1996-02-06	VYDAJ	PREVOD NA UCET	8262	41720	SIPO	UV	95626550
815923	2779	1996-03-06	VYDAJ	PREVOD NA UCET	8262	44327	SIPO	UV	95626550
815924	2779	1996-04-06	VYDAJ	PREVOD NA UCET	8262	43208	SIPO	UV	95626550
815925	2779	1996-05-06	VYDAJ	PREVOD NA UCET	8262	46926	SIPO	UV	95626550
815926	2779	1996-06-06	VYDAJ	PREVOD NA UCET	8262	49254	SIPO	UV	95626550
815927	2779	1996-07-06	VYDAJ	PREVOD NA UCET	8262	53368	SIPO	UV	95626550
815928	2779	1996-08-06	VYDAJ	PREVOD NA UCET	8262	47619	SIPO	UV	95626550
815929	2779	1996-09-06	VYDAJ	PREVOD NA UCET	8262	48847	SIPO	UV	95626550
815930	2779	1996-10-06	VYDAJ	PREVOD NA UCET	8262	46578	SIPO	UV	95626550
815931	2779	1996-11-06	VYDAJ	PREVOD NA UCET	8262	47610	SIPO	UV	95626550
815932	2779	1996-12-06	VYDAJ	PREVOD NA UCET	8262	48437	SIPO	UV	95626550
815933	2779	1997-01-06	VYDAJ	PREVOD NA UCET	8262	55042	SIPO	UV	95626550
815934	2779	1997-02-06	VYDAJ	PREVOD NA UCET	8262	55597	SIPO	UV	95626550
815935	2779	1997-03-06	VYDAJ	PREVOD NA UCET	8262	54052	SIPO	UV	95626550
815936	2779	1997-04-06	VYDAJ	PREVOD NA UCET	8262	51304	SIPO	UV	95626550
815937	2779	1997-05-06	VYDAJ	PREVOD NA UCET	8262	53344	SIPO	UV	95626550
815938	2779	1997-06-06	VYDAJ	PREVOD NA UCET	8262	59096	SIPO	UV	95626550
815939	2779	1997-07-06	VYDAJ	PREVOD NA UCET	8262	62738	SIPO	UV	95626550
815940	2779	1997-08-06	VYDAJ	PREVOD NA UCET	8262	63622	SIPO	UV	95626550
815941	2779	1997-09-06	VYDAJ	PREVOD NA UCET	8262	65911	SIPO	UV	95626550
815942	2779	1997-10-06	VYDAJ	PREVOD NA UCET	8262	62402	SIPO	UV	95626550
815943	2779	1997-11-06	VYDAJ	PREVOD NA UCET	8262	62281	SIPO	UV	95626550
815944	2779	1997-12-06	VYDAJ	PREVOD NA UCET	8262	63159	SIPO	UV	95626550
815945	2779	1998-01-06	VYDAJ	PREVOD NA UCET	8262	67814	SIPO	UV	95626550
815946	2779	1998-02-06	VYDAJ	PREVOD NA UCET	8262	61545	SIPO	UV	95626550
815947	2779	1998-03-06	VYDAJ	PREVOD NA UCET	8262	64421	SIPO	UV	95626550
815948	2779	1998-04-06	VYDAJ	PREVOD NA UCET	8262	64708	SIPO	UV	95626550
815949	2779	1998-05-06	VYDAJ	PREVOD NA UCET	8262	63092	SIPO	UV	95626550
815950	2779	1998-06-06	VYDAJ	PREVOD NA UCET	8262	64371	SIPO	UV	95626550
815951	2779	1998-07-06	VYDAJ	PREVOD NA UCET	8262	67923	SIPO	UV	95626550
815952	2779	1998-08-06	VYDAJ	PREVOD NA UCET	8262	65115	SIPO	UV	95626550
815953	2779	1998-09-06	VYDAJ	PREVOD NA UCET	8262	65199	SIPO	UV	95626550
815954	2779	1998-10-06	VYDAJ	PREVOD NA UCET	8262	71193	SIPO	UV	95626550
815955	2779	1998-11-06	VYDAJ	PREVOD NA UCET	8262	73404	SIPO	UV	95626550
815956	2779	1998-12-06	VYDAJ	PREVOD NA UCET	8262	72016	SIPO	UV	95626550
815968	2779	1993-12-07	VYDAJ	PREVOD NA UCET	34	33771	 	QR	69750815
815969	2779	1994-01-07	VYDAJ	PREVOD NA UCET	34	35785	 	QR	69750815
815970	2779	1994-02-07	VYDAJ	PREVOD NA UCET	34	29558	 	QR	69750815
815971	2779	1994-03-07	VYDAJ	PREVOD NA UCET	34	32355	 	QR	69750815
815972	2779	1994-04-07	VYDAJ	PREVOD NA UCET	34	31089	 	QR	69750815
815973	2779	1994-05-07	VYDAJ	PREVOD NA UCET	34	21327	 	QR	69750815
815974	2779	1994-06-07	VYDAJ	PREVOD NA UCET	34	25254	 	QR	69750815
815975	2779	1994-07-07	VYDAJ	PREVOD NA UCET	34	45380	 	QR	69750815
815976	2779	1994-08-07	VYDAJ	PREVOD NA UCET	34	46472	 	QR	69750815
815977	2779	1994-09-07	VYDAJ	PREVOD NA UCET	34	39510	 	QR	69750815
815978	2779	1994-10-07	VYDAJ	PREVOD NA UCET	34	45702	 	QR	69750815
815979	2779	1994-11-07	VYDAJ	PREVOD NA UCET	34	38598	 	QR	69750815
815980	2779	1994-12-07	VYDAJ	PREVOD NA UCET	34	47805	 	QR	69750815
815981	2779	1995-01-07	VYDAJ	PREVOD NA UCET	34	40735	 	QR	69750815
815982	2779	1995-02-07	VYDAJ	PREVOD NA UCET	34	36847	 	QR	69750815
815983	2779	1995-03-07	VYDAJ	PREVOD NA UCET	34	40093	 	QR	69750815
815984	2779	1995-04-07	VYDAJ	PREVOD NA UCET	34	44810	 	QR	69750815
815985	2779	1995-05-07	VYDAJ	PREVOD NA UCET	34	44126	 	QR	69750815
815986	2779	1995-06-07	VYDAJ	PREVOD NA UCET	34	37821	 	QR	69750815
815987	2779	1995-07-07	VYDAJ	PREVOD NA UCET	34	41045	 	QR	69750815
815988	2779	1995-08-07	VYDAJ	PREVOD NA UCET	34	39267	 	QR	69750815
815989	2779	1995-09-07	VYDAJ	PREVOD NA UCET	34	40763	 	QR	69750815
815990	2779	1995-10-07	VYDAJ	PREVOD NA UCET	34	41972	 	QR	69750815
815991	2779	1995-11-07	VYDAJ	PREVOD NA UCET	34	40487	 	QR	69750815
815992	2779	1995-12-07	VYDAJ	PREVOD NA UCET	34	37376	 	QR	69750815
815993	2779	1996-01-07	VYDAJ	PREVOD NA UCET	34	44062	 	QR	69750815
815994	2779	1996-02-07	VYDAJ	PREVOD NA UCET	34	41676	 	QR	69750815
815995	2779	1996-03-07	VYDAJ	PREVOD NA UCET	34	44283	 	QR	69750815
815996	2779	1996-04-07	VYDAJ	PREVOD NA UCET	34	43174	 	QR	69750815
815997	2779	1996-05-07	VYDAJ	PREVOD NA UCET	34	46882	 	QR	69750815
815998	2779	1996-06-07	VYDAJ	PREVOD NA UCET	34	49220	 	QR	69750815
815999	2779	1996-07-07	VYDAJ	PREVOD NA UCET	34	53334	 	QR	69750815
816000	2779	1996-08-07	VYDAJ	PREVOD NA UCET	34	47585	 	QR	69750815
816001	2779	1996-09-07	VYDAJ	PREVOD NA UCET	34	48803	 	QR	69750815
816002	2779	1996-10-07	VYDAJ	PREVOD NA UCET	34	46544	 	QR	69750815
816003	2779	1996-11-07	VYDAJ	PREVOD NA UCET	34	47576	 	QR	69750815
816004	2779	1996-12-07	VYDAJ	PREVOD NA UCET	34	48393	 	QR	69750815
816005	2779	1997-01-07	VYDAJ	PREVOD NA UCET	34	54998	 	QR	69750815
816006	2779	1997-02-07	VYDAJ	PREVOD NA UCET	34	55553	 	QR	69750815
816007	2779	1997-03-07	VYDAJ	PREVOD NA UCET	34	54018	 	QR	69750815
816008	2779	1997-04-07	VYDAJ	PREVOD NA UCET	34	51270	 	QR	69750815
816009	2779	1997-05-07	VYDAJ	PREVOD NA UCET	34	53300	 	QR	69750815
816010	2779	1997-06-07	VYDAJ	PREVOD NA UCET	34	59062	 	QR	69750815
816011	2779	1997-07-07	VYDAJ	PREVOD NA UCET	34	62694	 	QR	69750815
816012	2779	1997-08-07	VYDAJ	PREVOD NA UCET	34	63578	 	QR	69750815
816013	2779	1997-09-07	VYDAJ	PREVOD NA UCET	34	65877	 	QR	69750815
816014	2779	1997-10-07	VYDAJ	PREVOD NA UCET	34	62358	 	QR	69750815
816015	2779	1997-11-07	VYDAJ	PREVOD NA UCET	34	62237	 	QR	69750815
816016	2779	1997-12-07	VYDAJ	PREVOD NA UCET	34	63125	 	QR	69750815
816017	2779	1998-01-07	VYDAJ	PREVOD NA UCET	34	67770	 	QR	69750815
816018	2779	1998-02-07	VYDAJ	PREVOD NA UCET	34	61501	 	QR	69750815
816019	2779	1998-03-07	VYDAJ	PREVOD NA UCET	34	64377	 	QR	69750815
816020	2779	1998-04-07	VYDAJ	PREVOD NA UCET	34	64664	 	QR	69750815
816021	2779	1998-05-07	VYDAJ	PREVOD NA UCET	34	63048	 	QR	69750815
816022	2779	1998-06-07	VYDAJ	PREVOD NA UCET	34	64327	 	QR	69750815
816023	2779	1998-07-07	VYDAJ	PREVOD NA UCET	34	67879	 	QR	69750815
816024	2779	1998-08-07	VYDAJ	PREVOD NA UCET	34	65071	 	QR	69750815
816025	2779	1998-09-07	VYDAJ	PREVOD NA UCET	34	65155	 	QR	69750815
816026	2779	1998-10-07	VYDAJ	PREVOD NA UCET	34	71159	 	QR	69750815
816027	2779	1998-11-07	VYDAJ	PREVOD NA UCET	34	73370	 	QR	69750815
816028	2779	1998-12-07	VYDAJ	PREVOD NA UCET	34	71972	 	QR	69750815
816040	2779	1993-12-07	VYDAJ	PREVOD NA UCET	10	33761	POJISTNE	YZ	93445163
816041	2779	1994-01-07	VYDAJ	PREVOD NA UCET	10	35775	POJISTNE	YZ	93445163
816042	2779	1994-02-07	VYDAJ	PREVOD NA UCET	10	29592	POJISTNE	YZ	93445163
816043	2779	1994-03-07	VYDAJ	PREVOD NA UCET	10	32345	POJISTNE	YZ	93445163
816044	2779	1994-04-07	VYDAJ	PREVOD NA UCET	10	31123	POJISTNE	YZ	93445163
816045	2779	1994-05-07	VYDAJ	PREVOD NA UCET	10	21317	POJISTNE	YZ	93445163
816046	2779	1994-06-07	VYDAJ	PREVOD NA UCET	10	25244	POJISTNE	YZ	93445163
816047	2779	1994-07-07	VYDAJ	PREVOD NA UCET	10	45370	POJISTNE	YZ	93445163
816048	2779	1994-08-07	VYDAJ	PREVOD NA UCET	10	46506	POJISTNE	YZ	93445163
816049	2779	1994-09-07	VYDAJ	PREVOD NA UCET	10	39544	POJISTNE	YZ	93445163
816050	2779	1994-10-07	VYDAJ	PREVOD NA UCET	10	45736	POJISTNE	YZ	93445163
816051	2779	1994-11-07	VYDAJ	PREVOD NA UCET	10	45632	POJISTNE	YZ	93445163
816052	2779	1994-12-07	VYDAJ	PREVOD NA UCET	10	47839	POJISTNE	YZ	93445163
816053	2779	1995-01-07	VYDAJ	PREVOD NA UCET	10	40725	POJISTNE	YZ	93445163
816054	2779	1995-02-07	VYDAJ	PREVOD NA UCET	10	36837	POJISTNE	YZ	93445163
816055	2779	1995-03-07	VYDAJ	PREVOD NA UCET	10	42827	POJISTNE	YZ	93445163
816056	2779	1995-04-07	VYDAJ	PREVOD NA UCET	10	44800	POJISTNE	YZ	93445163
816057	2779	1995-05-07	VYDAJ	PREVOD NA UCET	10	44160	POJISTNE	YZ	93445163
816058	2779	1995-06-07	VYDAJ	PREVOD NA UCET	10	37811	POJISTNE	YZ	93445163
816059	2779	1995-07-07	VYDAJ	PREVOD NA UCET	10	41079	POJISTNE	YZ	93445163
816060	2779	1995-08-07	VYDAJ	PREVOD NA UCET	10	39257	POJISTNE	YZ	93445163
816061	2779	1995-09-07	VYDAJ	PREVOD NA UCET	10	40797	POJISTNE	YZ	93445163
816062	2779	1995-10-07	VYDAJ	PREVOD NA UCET	10	42006	POJISTNE	YZ	93445163
816063	2779	1995-11-07	VYDAJ	PREVOD NA UCET	10	40521	POJISTNE	YZ	93445163
816064	2779	1995-12-07	VYDAJ	PREVOD NA UCET	10	37410	POJISTNE	YZ	93445163
816065	2779	1996-01-07	VYDAJ	PREVOD NA UCET	10	44052	POJISTNE	YZ	93445163
816066	2779	1996-02-07	VYDAJ	PREVOD NA UCET	10	41710	POJISTNE	YZ	93445163
816067	2779	1996-03-07	VYDAJ	PREVOD NA UCET	10	44317	POJISTNE	YZ	93445163
816068	2779	1996-04-07	VYDAJ	PREVOD NA UCET	10	43164	POJISTNE	YZ	93445163
816069	2779	1996-05-07	VYDAJ	PREVOD NA UCET	10	46916	POJISTNE	YZ	93445163
816070	2779	1996-06-07	VYDAJ	PREVOD NA UCET	10	49210	POJISTNE	YZ	93445163
816071	2779	1996-07-07	VYDAJ	PREVOD NA UCET	10	53324	POJISTNE	YZ	93445163
816072	2779	1996-08-07	VYDAJ	PREVOD NA UCET	10	47575	POJISTNE	YZ	93445163
816073	2779	1996-09-07	VYDAJ	PREVOD NA UCET	10	48837	POJISTNE	YZ	93445163
816074	2779	1996-10-07	VYDAJ	PREVOD NA UCET	10	46534	POJISTNE	YZ	93445163
816075	2779	1996-11-07	VYDAJ	PREVOD NA UCET	10	47566	POJISTNE	YZ	93445163
816076	2779	1996-12-07	VYDAJ	PREVOD NA UCET	10	48427	POJISTNE	YZ	93445163
816077	2779	1997-01-07	VYDAJ	PREVOD NA UCET	10	55032	POJISTNE	YZ	93445163
816078	2779	1997-02-07	VYDAJ	PREVOD NA UCET	10	55587	POJISTNE	YZ	93445163
816079	2779	1997-03-07	VYDAJ	PREVOD NA UCET	10	54008	POJISTNE	YZ	93445163
816080	2779	1997-04-07	VYDAJ	PREVOD NA UCET	10	51260	POJISTNE	YZ	93445163
816081	2779	1997-05-07	VYDAJ	PREVOD NA UCET	10	53334	POJISTNE	YZ	93445163
816082	2779	1997-06-07	VYDAJ	PREVOD NA UCET	10	59052	POJISTNE	YZ	93445163
816083	2779	1997-07-07	VYDAJ	PREVOD NA UCET	10	62728	POJISTNE	YZ	93445163
816084	2779	1997-08-07	VYDAJ	PREVOD NA UCET	10	63612	POJISTNE	YZ	93445163
816085	2779	1997-09-07	VYDAJ	PREVOD NA UCET	10	65867	POJISTNE	YZ	93445163
816086	2779	1997-10-07	VYDAJ	PREVOD NA UCET	10	62392	POJISTNE	YZ	93445163
816087	2779	1997-11-07	VYDAJ	PREVOD NA UCET	10	62271	POJISTNE	YZ	93445163
816088	2779	1997-12-07	VYDAJ	PREVOD NA UCET	10	63115	POJISTNE	YZ	93445163
816089	2779	1998-01-07	VYDAJ	PREVOD NA UCET	10	67804	POJISTNE	YZ	93445163
816090	2779	1998-02-07	VYDAJ	PREVOD NA UCET	10	61535	POJISTNE	YZ	93445163
816091	2779	1998-03-07	VYDAJ	PREVOD NA UCET	10	64411	POJISTNE	YZ	93445163
816092	2779	1998-04-07	VYDAJ	PREVOD NA UCET	10	64698	POJISTNE	YZ	93445163
816093	2779	1998-05-07	VYDAJ	PREVOD NA UCET	10	63082	POJISTNE	YZ	93445163
816094	2779	1998-06-07	VYDAJ	PREVOD NA UCET	10	64361	POJISTNE	YZ	93445163
816095	2779	1998-07-07	VYDAJ	PREVOD NA UCET	10	67913	POJISTNE	YZ	93445163
816096	2779	1998-08-07	VYDAJ	PREVOD NA UCET	10	65105	POJISTNE	YZ	93445163
816097	2779	1998-09-07	VYDAJ	PREVOD NA UCET	10	65189	POJISTNE	YZ	93445163
816098	2779	1998-10-07	VYDAJ	PREVOD NA UCET	10	71149	POJISTNE	YZ	93445163
816099	2779	1998-11-07	VYDAJ	PREVOD NA UCET	10	73360	POJISTNE	YZ	93445163
816100	2779	1998-12-07	VYDAJ	PREVOD NA UCET	10	72006	POJISTNE	YZ	93445163
816112	2779	1993-12-05	VYDAJ	PREVOD NA UCET	5	42067	 	ST	87464
816113	2779	1994-01-05	VYDAJ	PREVOD NA UCET	5	44081	 	ST	87464
816114	2779	1994-02-05	VYDAJ	PREVOD NA UCET	5	37864	 	ST	87464
816115	2779	1994-03-05	VYDAJ	PREVOD NA UCET	5	40651	 	ST	87464
816116	2779	1994-04-05	VYDAJ	PREVOD NA UCET	5	39395	 	ST	87464
816117	2779	1994-05-05	VYDAJ	PREVOD NA UCET	5	29623	 	ST	87464
816118	2779	1994-06-05	VYDAJ	PREVOD NA UCET	5	33550	 	ST	87464
816119	2779	1994-07-05	VYDAJ	PREVOD NA UCET	5	53676	 	ST	87464
816120	2779	1994-08-05	VYDAJ	PREVOD NA UCET	5	54778	 	ST	87464
816121	2779	1994-09-05	VYDAJ	PREVOD NA UCET	5	47816	 	ST	87464
816122	2779	1994-10-05	VYDAJ	PREVOD NA UCET	5	54008	 	ST	87464
816123	2779	1994-11-05	VYDAJ	PREVOD NA UCET	5	53904	 	ST	87464
816124	2779	1994-12-05	VYDAJ	PREVOD NA UCET	5	56111	 	ST	87464
816125	2779	1995-01-05	VYDAJ	PREVOD NA UCET	5	59431	 	ST	87464
816126	2779	1995-02-05	VYDAJ	PREVOD NA UCET	5	45143	 	ST	87464
816127	2779	1995-03-05	VYDAJ	PREVOD NA UCET	5	54339	 	ST	87464
816128	2779	1995-04-05	VYDAJ	PREVOD NA UCET	5	57606	 	ST	87464
816129	2779	1995-05-05	VYDAJ	PREVOD NA UCET	5	62332	 	ST	87464
816130	2779	1995-06-05	VYDAJ	PREVOD NA UCET	5	59017	 	ST	87464
816131	2779	1995-07-05	VYDAJ	PREVOD NA UCET	5	49351	 	ST	87464
816132	2779	1995-08-05	VYDAJ	PREVOD NA UCET	5	47563	 	ST	87464
816133	2779	1995-09-05	VYDAJ	PREVOD NA UCET	5	49069	 	ST	87464
816134	2779	1995-10-05	VYDAJ	PREVOD NA UCET	5	50278	 	ST	87464
816135	2779	1995-11-05	VYDAJ	PREVOD NA UCET	5	48793	 	ST	87464
816136	2779	1995-12-05	VYDAJ	PREVOD NA UCET	5	50002	 	ST	87464
816137	2779	1996-01-05	VYDAJ	PREVOD NA UCET	5	52358	 	ST	87464
816138	2779	1996-02-05	VYDAJ	PREVOD NA UCET	5	49982	 	ST	87464
816139	2779	1996-03-05	VYDAJ	PREVOD NA UCET	5	52589	 	ST	87464
816140	2779	1996-04-05	VYDAJ	PREVOD NA UCET	5	51470	 	ST	87464
816141	2779	1996-05-05	VYDAJ	PREVOD NA UCET	5	55188	 	ST	87464
816142	2779	1996-06-05	VYDAJ	PREVOD NA UCET	5	57516	 	ST	87464
816143	2779	1996-07-05	VYDAJ	PREVOD NA UCET	5	61630	 	ST	87464
816144	2779	1996-08-05	VYDAJ	PREVOD NA UCET	5	55881	 	ST	87464
816145	2779	1996-09-05	VYDAJ	PREVOD NA UCET	5	57109	 	ST	87464
816146	2779	1996-10-05	VYDAJ	PREVOD NA UCET	5	54840	 	ST	87464
816147	2779	1996-11-05	VYDAJ	PREVOD NA UCET	5	55872	 	ST	87464
816148	2779	1996-12-05	VYDAJ	PREVOD NA UCET	5	56699	 	ST	87464
816149	2779	1997-01-05	VYDAJ	PREVOD NA UCET	5	63304	 	ST	87464
816150	2779	1997-02-05	VYDAJ	PREVOD NA UCET	5	63859	 	ST	87464
816151	2779	1997-03-05	VYDAJ	PREVOD NA UCET	5	62314	 	ST	87464
816152	2779	1997-04-05	VYDAJ	PREVOD NA UCET	5	59566	 	ST	87464
816153	2779	1997-05-05	VYDAJ	PREVOD NA UCET	5	61606	 	ST	87464
816154	2779	1997-06-05	VYDAJ	PREVOD NA UCET	5	67358	 	ST	87464
816155	2779	1997-07-05	VYDAJ	PREVOD NA UCET	5	71000	 	ST	87464
816156	2779	1997-08-05	VYDAJ	PREVOD NA UCET	5	71884	 	ST	87464
816157	2779	1997-09-05	VYDAJ	PREVOD NA UCET	5	74173	 	ST	87464
816158	2779	1997-10-05	VYDAJ	PREVOD NA UCET	5	70664	 	ST	87464
816159	2779	1997-11-05	VYDAJ	PREVOD NA UCET	5	70543	 	ST	87464
816160	2779	1997-12-05	VYDAJ	PREVOD NA UCET	5	71421	 	ST	87464
816161	2779	1998-01-05	VYDAJ	PREVOD NA UCET	5	76076	 	ST	87464
816162	2779	1998-02-05	VYDAJ	PREVOD NA UCET	5	69807	 	ST	87464
816163	2779	1998-03-05	VYDAJ	PREVOD NA UCET	5	72683	 	ST	87464
816164	2779	1998-04-05	VYDAJ	PREVOD NA UCET	5	72970	 	ST	87464
816165	2779	1998-05-05	VYDAJ	PREVOD NA UCET	5	71354	 	ST	87464
816166	2779	1998-06-05	VYDAJ	PREVOD NA UCET	5	72633	 	ST	87464
816167	2779	1998-07-05	VYDAJ	PREVOD NA UCET	5	76185	 	ST	87464
816168	2779	1998-08-05	VYDAJ	PREVOD NA UCET	5	73377	 	ST	87464
816169	2779	1998-09-05	VYDAJ	PREVOD NA UCET	5	73461	 	ST	87464
816170	2779	1998-10-05	VYDAJ	PREVOD NA UCET	5	79455	 	ST	87464
816171	2779	1998-11-05	VYDAJ	PREVOD NA UCET	5	81666	 	ST	87464
816172	2779	1998-12-05	VYDAJ	PREVOD NA UCET	5	80278	 	ST	87464
816173	2779	1993-12-02	VYDAJ	VYBER	800	42072	\N	\N	\N
816174	2779	1994-12-29	VYDAJ	VYBER	2400	59207	\N	\N	\N
816175	2779	1995-12-05	VYDAJ	VYBER	4320	45682	\N	\N	\N
816176	2779	1996-12-01	VYDAJ	VYBER KARTOU	1400	56704	\N	\N	0
816177	2779	1997-12-29	VYDAJ	VYBER KARTOU	1600	75777	\N	\N	0
816178	2779	1998-12-23	VYDAJ	VYBER KARTOU	3700	77834	\N	\N	0
816181	2779	1993-11-20	VYDAJ	VYBER	600	42711	\N	\N	\N
816185	2779	1994-02-24	VYDAJ	VYBER	3480	40506	\N	\N	\N
816186	2779	1994-12-17	VYDAJ	VYBER	1560	61607	\N	\N	\N
816187	2779	1994-09-01	VYDAJ	VYBER	1440	47821	\N	\N	\N
816188	2779	1994-08-28	VYDAJ	VYBER	4680	49060	\N	\N	\N
816189	2779	1994-08-17	VYDAJ	VYBER	1440	53740	\N	\N	\N
816190	2779	1994-02-09	VYDAJ	VYBER	2880	26678	\N	\N	\N
816191	2779	1994-05-03	VYDAJ	VYBER	5400	29628	\N	\N	\N
816192	2779	1995-05-26	VYDAJ	VYBER	2640	58794	\N	\N	\N
816193	2779	1995-06-25	VYDAJ	VYBER	5040	58733	\N	\N	\N
816194	2779	1995-03-06	VYDAJ	VYBER	3240	42837	\N	\N	\N
816195	2779	1996-03-25	VYDAJ	VYBER	3240	58351	\N	\N	\N
816196	2779	1996-10-10	VYDAJ	VYBER	4680	41854	\N	\N	\N
816197	2779	1997-07-19	VYDAJ	VYBER KARTOU	700	79302	\N	\N	0
816198	2779	1997-09-27	VYDAJ	VYBER KARTOU	1400	70375	\N	\N	0
816199	2779	1997-10-20	VYDAJ	VYBER KARTOU	1900	77766	\N	\N	0
816200	2779	1997-03-26	VYDAJ	VYBER KARTOU	3800	59316	\N	\N	0
816201	2779	1998-03-26	VYDAJ	VYBER KARTOU	2200	72685	\N	\N	0
816202	2779	1998-05-11	VYDAJ	VYBER KARTOU	800	79556	\N	\N	0
816203	2779	1998-01-24	VYDAJ	VYBER	4560	69518	\N	\N	\N
816204	2779	1998-01-19	VYDAJ	VYBER KARTOU	4000	81078	\N	\N	0
816216	2779	1993-11-30	VYDAJ	VYBER	15	42872	SLUZBY	\N	\N
816217	2779	1993-12-31	VYDAJ	VYBER	15	44086	SLUZBY	\N	\N
816218	2779	1994-01-31	VYDAJ	VYBER	15	37869	SLUZBY	\N	\N
816219	2779	1994-02-28	VYDAJ	VYBER	15	40656	SLUZBY	\N	\N
816220	2779	1994-03-31	VYDAJ	VYBER	15	39400	SLUZBY	\N	\N
816221	2779	1994-04-30	VYDAJ	VYBER	15	35028	SLUZBY	\N	\N
816222	2779	1994-05-31	VYDAJ	VYBER	15	33555	SLUZBY	\N	\N
816223	2779	1994-06-30	VYDAJ	VYBER	15	53681	SLUZBY	\N	\N
816224	2779	1994-07-31	VYDAJ	VYBER	15	54783	SLUZBY	\N	\N
816225	2779	1994-08-31	VYDAJ	VYBER	15	49261	SLUZBY	\N	\N
816226	2779	1994-09-30	VYDAJ	VYBER	15	54013	SLUZBY	\N	\N
816227	2779	1994-10-31	VYDAJ	VYBER	15	53909	SLUZBY	\N	\N
816228	2779	1994-11-30	VYDAJ	VYBER	15	56116	SLUZBY	\N	\N
816229	2779	1994-12-31	VYDAJ	VYBER	15	59436	SLUZBY	\N	\N
816230	2779	1995-01-31	VYDAJ	VYBER	15	58248	SLUZBY	\N	\N
816231	2779	1995-02-28	VYDAJ	VYBER	15	54344	SLUZBY	\N	\N
816232	2779	1995-03-31	VYDAJ	VYBER	15	57611	SLUZBY	\N	\N
816233	2779	1995-04-30	VYDAJ	VYBER	15	62337	SLUZBY	\N	\N
816234	2779	1995-05-31	VYDAJ	VYBER	15	59022	SLUZBY	\N	\N
816235	2779	1995-06-30	VYDAJ	VYBER	15	58956	SLUZBY	\N	\N
816236	2779	1995-07-31	VYDAJ	VYBER	15	58568	SLUZBY	\N	\N
816237	2779	1995-08-31	VYDAJ	VYBER	15	56774	SLUZBY	\N	\N
816238	2779	1995-09-30	VYDAJ	VYBER	15	58283	SLUZBY	\N	\N
816239	2779	1995-10-31	VYDAJ	VYBER	15	59498	SLUZBY	\N	\N
816240	2779	1995-11-30	VYDAJ	VYBER	15	58007	SLUZBY	\N	\N
816241	2779	1995-12-31	VYDAJ	VYBER	15	63563	SLUZBY	\N	\N
816242	2779	1996-01-31	VYDAJ	VYBER	15	49987	SLUZBY	\N	\N
816243	2779	1996-02-29	VYDAJ	VYBER	15	59194	SLUZBY	\N	\N
816244	2779	1996-03-31	VYDAJ	VYBER	15	58575	SLUZBY	\N	\N
816245	2779	1996-04-30	VYDAJ	VYBER	15	60693	SLUZBY	\N	\N
816246	2779	1996-05-31	VYDAJ	VYBER	15	57521	SLUZBY	\N	\N
816247	2779	1996-06-30	VYDAJ	VYBER	15	61635	SLUZBY	\N	\N
816248	2779	1996-07-31	VYDAJ	VYBER	15	55886	SLUZBY	\N	\N
816249	2779	1996-08-31	VYDAJ	VYBER	15	57114	SLUZBY	\N	\N
816250	2779	1996-09-30	VYDAJ	VYBER	15	54845	SLUZBY	\N	\N
816251	2779	1996-10-31	VYDAJ	VYBER	15	55877	SLUZBY	\N	\N
816252	2779	1996-11-30	VYDAJ	VYBER	15	58104	SLUZBY	\N	\N
816253	2779	1996-12-31	VYDAJ	VYBER	15	63309	SLUZBY	\N	\N
816254	2779	1997-01-31	VYDAJ	VYBER	15	63864	SLUZBY	\N	\N
816255	2779	1997-02-28	VYDAJ	VYBER	15	62319	SLUZBY	\N	\N
816256	2779	1997-03-31	VYDAJ	VYBER	15	59571	SLUZBY	\N	\N
816257	2779	1997-04-30	VYDAJ	VYBER	15	61611	SLUZBY	\N	\N
816258	2779	1997-05-31	VYDAJ	VYBER	15	67363	SLUZBY	\N	\N
816259	2779	1997-06-30	VYDAJ	VYBER	15	71005	SLUZBY	\N	\N
816260	2779	1997-07-31	VYDAJ	VYBER	15	71889	SLUZBY	\N	\N
816261	2779	1997-08-31	VYDAJ	VYBER	15	74178	SLUZBY	\N	\N
816262	2779	1997-09-30	VYDAJ	VYBER	15	70669	SLUZBY	\N	\N
816263	2779	1997-10-31	VYDAJ	VYBER	15	70548	SLUZBY	\N	\N
816264	2779	1997-11-30	VYDAJ	VYBER	15	71426	SLUZBY	\N	\N
816265	2779	1997-12-31	VYDAJ	VYBER	15	76081	SLUZBY	\N	\N
816266	2779	1998-01-31	VYDAJ	VYBER	15	69812	SLUZBY	\N	\N
816267	2779	1998-02-28	VYDAJ	VYBER	15	72688	SLUZBY	\N	\N
816268	2779	1998-03-31	VYDAJ	VYBER	15	72975	SLUZBY	\N	\N
816269	2779	1998-04-30	VYDAJ	VYBER	15	71359	SLUZBY	\N	\N
816270	2779	1998-05-31	VYDAJ	VYBER	15	72638	SLUZBY	\N	\N
816271	2779	1998-06-30	VYDAJ	VYBER	15	76190	SLUZBY	\N	\N
816272	2779	1998-07-31	VYDAJ	VYBER	15	73382	SLUZBY	\N	\N
816273	2779	1998-08-31	VYDAJ	VYBER	15	73466	SLUZBY	\N	\N
816274	2779	1998-09-30	VYDAJ	VYBER	15	79460	SLUZBY	\N	\N
816275	2779	1998-10-31	VYDAJ	VYBER	15	81671	SLUZBY	\N	\N
816276	2779	1998-11-30	VYDAJ	VYBER	15	80283	SLUZBY	\N	\N
816277	2779	1993-07-15	PRIJEM	VKLAD	2800	21208	\N	\N	\N
816278	2779	1993-08-14	VYDAJ	VYBER	7900	30664	\N	\N	\N
816279	2779	1993-09-13	VYDAJ	VYBER	9700	38384	\N	\N	\N
816280	2779	1993-10-13	VYDAJ	VYBER	15600	40239	\N	\N	\N
816281	2779	1993-11-12	VYDAJ	VYBER	14400	43311	\N	\N	\N
816282	2779	1993-12-12	VYDAJ	VYBER	15800	43923	\N	\N	\N
816283	2779	1994-01-11	VYDAJ	VYBER	15400	37683	\N	\N	\N
816284	2779	1994-03-12	VYDAJ	VYBER	10400	39253	\N	\N	\N
816285	2779	1994-04-11	VYDAJ	VYBER	13500	34897	\N	\N	\N
816286	2779	1994-05-11	VYDAJ	VYBER	5200	33425	\N	\N	\N
816287	2779	1994-06-10	PRIJEM	VKLAD	2300	27544	\N	\N	\N
816288	2779	1994-07-10	VYDAJ	VYBER	8100	37270	\N	\N	\N
816289	2779	1994-08-09	VYDAJ	VYBER	8600	37872	\N	\N	\N
816290	2779	1994-09-08	VYDAJ	VYBER	3000	36510	\N	\N	\N
816291	2779	1994-10-08	VYDAJ	VYBER	9300	36402	\N	\N	\N
816292	2779	1994-11-07	VYDAJ	VYBER	7000	38632	\N	\N	\N
816293	2779	1994-12-07	VYDAJ	VYBER	10600	37205	\N	\N	\N
816294	2779	1995-01-06	VYDAJ	VYBER	10400	40769	\N	\N	\N
816295	2779	1995-02-05	VYDAJ	VYBER	13100	45148	\N	\N	\N
816296	2779	1995-03-07	VYDAJ	VYBER	2700	40127	\N	\N	\N
816297	2779	1995-04-06	VYDAJ	VYBER	4500	53106	\N	\N	\N
816298	2779	1995-05-06	VYDAJ	VYBER	9900	44170	\N	\N	\N
816299	2779	1995-06-05	VYDAJ	VYBER	12900	46117	\N	\N	\N
816300	2779	1995-07-05	VYDAJ	VYBER	9600	49356	\N	\N	\N
816301	2779	1995-08-04	VYDAJ	VYBER	11000	47568	\N	\N	\N
816302	2779	1995-09-03	VYDAJ	VYBER	7700	49074	\N	\N	\N
816303	2779	1995-10-03	VYDAJ	VYBER	8000	50283	\N	\N	\N
816304	2779	1995-11-02	VYDAJ	VYBER	10700	48798	\N	\N	\N
816305	2779	1995-12-02	VYDAJ	VYBER	8000	50007	\N	\N	\N
816306	2779	1996-01-01	VYDAJ	VYBER	11200	52363	\N	\N	\N
816307	2779	1996-01-31	VYDAJ	VYBER	11600	50001	\N	\N	\N
816308	2779	1996-03-01	VYDAJ	VYBER	6600	52594	\N	\N	\N
816309	2779	1996-03-31	VYDAJ	VYBER	7100	51475	\N	\N	\N
816310	2779	1996-04-30	VYDAJ	VYBER	5500	55193	\N	\N	\N
816311	2779	1996-05-30	VYDAJ	VYBER	6900	57290	\N	\N	\N
816312	2779	1996-06-29	VYDAJ	VYBER	13800	61372	\N	\N	\N
816313	2779	1996-07-29	VYDAJ	VYBER	15000	55632	\N	\N	\N
816314	2779	1996-08-28	VYDAJ	VYBER	8000	56883	\N	\N	\N
816315	2779	1996-09-27	VYDAJ	VYBER	11500	54611	\N	\N	\N
816316	2779	1996-10-27	VYDAJ	VYBER	3500	55662	\N	\N	\N
816317	2779	1996-11-26	VYDAJ	VYBER	7000	57874	\N	\N	\N
816318	2779	1996-12-26	VYDAJ	VYBER	11300	63055	\N	\N	\N
816319	2779	1997-01-25	VYDAJ	VYBER	8700	63606	\N	\N	\N
816320	2779	1997-02-24	VYDAJ	VYBER	10800	62061	\N	\N	\N
816321	2779	1997-03-26	VYDAJ	VYBER	8200	63116	\N	\N	\N
816322	2779	1997-04-25	VYDAJ	VYBER	7200	61368	\N	\N	\N
816323	2779	1997-05-25	VYDAJ	VYBER KARTOU	3500	67108	\N	\N	0
816324	2779	1997-06-24	VYDAJ	VYBER	14300	70714	\N	\N	\N
816325	2779	1997-07-24	VYDAJ	VYBER	7700	71602	\N	\N	\N
816326	2779	1997-08-23	VYDAJ	VYBER	7000	73886	\N	\N	\N
816327	2779	1997-09-22	VYDAJ	VYBER	11400	71775	\N	\N	\N
816328	2779	1997-10-22	VYDAJ	VYBER	7500	70266	\N	\N	\N
816329	2779	1997-11-21	VYDAJ	VYBER	8400	71145	\N	\N	\N
816330	2779	1997-12-21	VYDAJ	VYBER	11700	77377	\N	\N	\N
816331	2779	1998-01-20	VYDAJ	VYBER	7000	74078	\N	\N	\N
816332	2779	1998-02-19	VYDAJ	VYBER	6400	72409	\N	\N	\N
816333	2779	1998-03-21	VYDAJ	VYBER	6800	74885	\N	\N	\N
816334	2779	1998-04-20	VYDAJ	VYBER	10900	71072	\N	\N	\N
816335	2779	1998-05-20	VYDAJ	VYBER	7200	72356	\N	\N	\N
816336	2779	1998-06-19	VYDAJ	VYBER	14400	75889	\N	\N	\N
816337	2779	1998-07-19	VYDAJ	VYBER	12100	73087	\N	\N	\N
816338	2779	1998-08-18	VYDAJ	VYBER	9200	73179	\N	\N	\N
816339	2779	1998-09-17	VYDAJ	VYBER KARTOU	3300	79163	\N	\N	0
816340	2779	1998-10-17	VYDAJ	VYBER	7100	81357	\N	\N	\N
816341	2779	1998-11-16	VYDAJ	VYBER	10700	79968	\N	\N	\N
816342	2779	1998-12-16	VYDAJ	VYBER	16400	81534	\N	\N	\N
816409	2780	1995-12-29	PRIJEM	VKLAD	600	600	\N	\N	\N
816422	2780	1996-01-13	PRIJEM	VKLAD	14005	14605	\N	\N	\N
816423	2780	1996-02-13	PRIJEM	VKLAD	14005	32420	\N	\N	\N
816424	2780	1996-03-13	PRIJEM	VKLAD	14005	39104	\N	\N	\N
816425	2780	1996-04-13	PRIJEM	VKLAD	14005	42916	\N	\N	\N
816426	2780	1996-05-13	PRIJEM	VKLAD	14005	48944	\N	\N	\N
816427	2780	1996-06-13	PRIJEM	VKLAD	21008	58885	\N	\N	\N
816428	2780	1996-07-13	PRIJEM	VKLAD	14005	46033	\N	\N	\N
816429	2780	1996-08-13	PRIJEM	VKLAD	14005	52091	\N	\N	\N
816430	2780	1996-09-13	PRIJEM	VKLAD	14005	52240	\N	\N	\N
816431	2780	1996-10-13	PRIJEM	VKLAD	14005	52089	\N	\N	\N
816432	2780	1996-11-13	PRIJEM	VKLAD	14005	41538	\N	\N	\N
816433	2780	1996-12-13	PRIJEM	VKLAD	21008	50979	\N	\N	\N
816434	2780	1997-01-13	PRIJEM	VKLAD	14005	47108	\N	\N	\N
816435	2780	1997-02-13	PRIJEM	VKLAD	14005	43743	\N	\N	\N
816436	2780	1997-03-13	PRIJEM	VKLAD	14005	48465	\N	\N	\N
816437	2780	1997-04-13	PRIJEM	VKLAD	14005	51502	\N	\N	\N
816438	2780	1997-05-13	PRIJEM	VKLAD	14005	58257	\N	\N	\N
816439	2780	1997-06-13	PRIJEM	VKLAD	21008	67741	\N	\N	\N
816440	2780	1997-07-13	PRIJEM	VKLAD	14005	54548	\N	\N	\N
816441	2780	1997-08-13	PRIJEM	VKLAD	14005	58827	\N	\N	\N
816442	2780	1997-09-13	PRIJEM	VKLAD	14005	64814	\N	\N	\N
816443	2780	1997-10-13	PRIJEM	VKLAD	14005	64321	\N	\N	\N
816444	2780	1997-11-13	PRIJEM	VKLAD	14005	66142	\N	\N	\N
816445	2780	1997-12-13	PRIJEM	VKLAD	21008	73556	\N	\N	\N
816446	2780	1998-01-13	PRIJEM	VKLAD	14005	67683	\N	\N	\N
816447	2780	1998-02-13	PRIJEM	VKLAD	14005	58182	\N	\N	\N
816448	2780	1998-03-13	PRIJEM	VKLAD	14005	58656	\N	\N	\N
816449	2780	1998-04-13	PRIJEM	VKLAD	14005	58932	\N	\N	\N
816450	2780	1998-05-13	PRIJEM	VKLAD	14005	51800	\N	\N	\N
816451	2780	1998-06-13	PRIJEM	VKLAD	21008	55544	\N	\N	\N
816452	2780	1998-07-13	PRIJEM	VKLAD	14005	54291	\N	\N	\N
816453	2780	1998-08-13	PRIJEM	VKLAD	14005	55851	\N	\N	\N
816454	2780	1998-09-13	PRIJEM	VKLAD	14005	51207	\N	\N	\N
816455	2780	1998-10-13	PRIJEM	VKLAD	14005	51757	\N	\N	\N
816456	2780	1998-11-13	PRIJEM	VKLAD	14005	54017	\N	\N	\N
816457	2780	1998-12-13	PRIJEM	VKLAD	21008	59811	\N	\N	\N
816459	2780	1996-06-25	VYDAJ	VYBER	8800	50085	\N	\N	\N
816460	2780	1997-06-22	VYDAJ	VYBER	11900	41741	\N	\N	\N
816464	2780	1997-01-22	VYDAJ	VYBER	7700	39408	\N	\N	\N
816465	2780	1998-01-21	VYDAJ	VYBER	8800	43983	\N	\N	\N
816467	2780	1996-12-19	VYDAJ	VYBER	2900	48079	\N	\N	\N
816468	2780	1997-12-10	VYDAJ	VYBER	1900	52548	\N	\N	\N
816469	2780	1998-12-22	VYDAJ	VYBER KARTOU	2500	44611	\N	\N	0
816476	2780	1996-11-06	VYDAJ	VYBER	4300	30333	\N	\N	\N
816478	2780	1996-07-10	VYDAJ	VYBER	3200	32028	\N	\N	\N
816479	2780	1996-11-08	VYDAJ	VYBER	2800	27533	\N	\N	\N
816481	2780	1996-10-31	VYDAJ	VYBER	3700	34633	\N	\N	\N
816482	2780	1997-07-11	VYDAJ	VYBER	1400	40543	\N	\N	\N
816483	2780	1997-10-09	VYDAJ	VYBER	4300	50316	\N	\N	\N
816484	2780	1997-02-28	VYDAJ	VYBER	2300	34475	\N	\N	\N
816485	2780	1997-06-06	VYDAJ	VYBER	2600	46733	\N	\N	\N
816486	2780	1997-07-14	VYDAJ	VYBER	3300	51248	\N	\N	\N
816487	2780	1997-01-31	VYDAJ	VYBER	2600	29752	\N	\N	\N
816488	2780	1998-04-29	VYDAJ	VYBER KARTOU	3300	37632	\N	\N	0
816489	2780	1998-08-24	VYDAJ	VYBER KARTOU	3100	37051	\N	\N	0
816490	2780	1998-05-18	VYDAJ	VYBER KARTOU	3400	34400	\N	\N	0
816491	2780	1998-10-09	VYDAJ	VYBER KARTOU	1900	37752	\N	\N	0
816492	2780	1998-11-03	VYDAJ	VYBER KARTOU	1600	40012	\N	\N	0
816493	2780	1998-06-22	VYDAJ	VYBER KARTOU	2300	40144	\N	\N	0
816511	2780	1996-05-31	VYDAJ	VYBER	15	37877	SLUZBY	\N	\N
816512	2780	1996-06-30	VYDAJ	VYBER	15	35228	SLUZBY	\N	\N
816513	2780	1996-07-31	VYDAJ	VYBER	15	38086	SLUZBY	\N	\N
816514	2780	1996-08-31	VYDAJ	VYBER	15	38235	SLUZBY	\N	\N
816515	2780	1996-09-30	VYDAJ	VYBER	15	38084	SLUZBY	\N	\N
816516	2780	1996-10-31	VYDAJ	VYBER	15	38333	SLUZBY	\N	\N
816517	2780	1996-11-30	VYDAJ	VYBER	15	29971	SLUZBY	\N	\N
816518	2780	1996-12-31	VYDAJ	VYBER	15	33103	SLUZBY	\N	\N
816519	2780	1997-01-31	VYDAJ	VYBER	15	29738	SLUZBY	\N	\N
816520	2780	1997-02-28	VYDAJ	VYBER	15	34460	SLUZBY	\N	\N
816521	2780	1997-03-31	VYDAJ	VYBER	15	37497	SLUZBY	\N	\N
816522	2780	1997-04-30	VYDAJ	VYBER	15	44252	SLUZBY	\N	\N
816523	2780	1997-05-31	VYDAJ	VYBER	15	49333	SLUZBY	\N	\N
816524	2780	1997-06-30	VYDAJ	VYBER	15	41943	SLUZBY	\N	\N
816525	2780	1997-07-31	VYDAJ	VYBER	15	44822	SLUZBY	\N	\N
816526	2780	1997-08-31	VYDAJ	VYBER	15	50809	SLUZBY	\N	\N
816527	2780	1997-09-30	VYDAJ	VYBER	15	54616	SLUZBY	\N	\N
816528	2780	1997-10-31	VYDAJ	VYBER	15	52137	SLUZBY	\N	\N
816529	2780	1997-11-30	VYDAJ	VYBER	15	54448	SLUZBY	\N	\N
816530	2780	1997-12-31	VYDAJ	VYBER	15	53678	SLUZBY	\N	\N
816531	2780	1998-01-31	VYDAJ	VYBER	15	44177	SLUZBY	\N	\N
816532	2780	1998-02-28	VYDAJ	VYBER	15	44651	SLUZBY	\N	\N
816533	2780	1998-03-31	VYDAJ	VYBER	15	44927	SLUZBY	\N	\N
816534	2780	1998-04-30	VYDAJ	VYBER	15	37795	SLUZBY	\N	\N
816535	2780	1998-05-31	VYDAJ	VYBER	15	34536	SLUZBY	\N	\N
816536	2780	1998-06-30	VYDAJ	VYBER	15	40286	SLUZBY	\N	\N
816537	2780	1998-07-31	VYDAJ	VYBER	15	41846	SLUZBY	\N	\N
816538	2780	1998-08-31	VYDAJ	VYBER	15	37202	SLUZBY	\N	\N
816539	2780	1998-09-30	VYDAJ	VYBER	15	39652	SLUZBY	\N	\N
816540	2780	1998-10-31	VYDAJ	VYBER	15	41612	SLUZBY	\N	\N
816541	2780	1998-11-30	VYDAJ	VYBER	15	38803	SLUZBY	\N	\N
816542	2780	1996-01-28	PRIJEM	VKLAD	3800	18405	\N	\N	\N
816543	2780	1996-02-27	VYDAJ	VYBER	7400	25020	\N	\N	\N
816544	2780	1996-03-28	VYDAJ	VYBER	10300	28804	\N	\N	\N
816545	2780	1996-04-27	VYDAJ	VYBER	8100	34816	\N	\N	\N
816546	2780	1996-05-27	VYDAJ	VYBER	11200	37744	\N	\N	\N
816547	2780	1996-06-26	VYDAJ	VYBER	15000	35085	\N	\N	\N
816548	2780	1996-07-26	VYDAJ	VYBER	8100	37933	\N	\N	\N
816549	2780	1996-08-25	VYDAJ	VYBER	14000	38091	\N	\N	\N
816550	2780	1996-09-24	VYDAJ	VYBER	14300	37940	\N	\N	\N
816551	2780	1996-10-24	VYDAJ	VYBER	13900	38189	\N	\N	\N
816552	2780	1996-11-23	VYDAJ	VYBER	11700	29838	\N	\N	\N
816553	2780	1996-12-23	VYDAJ	VYBER	15100	32979	\N	\N	\N
816554	2780	1997-01-22	VYDAJ	VYBER	7200	32208	\N	\N	\N
816555	2780	1997-02-21	VYDAJ	VYBER	7100	36643	\N	\N	\N
816556	2780	1997-03-23	VYDAJ	VYBER	11100	37365	\N	\N	\N
816557	2780	1997-04-22	VYDAJ	VYBER	7400	44102	\N	\N	\N
816558	2780	1997-05-22	VYDAJ	VYBER	9100	49157	\N	\N	\N
816559	2780	1997-06-21	VYDAJ	VYBER	14100	53641	\N	\N	\N
816560	2780	1997-07-21	VYDAJ	VYBER	6600	44648	\N	\N	\N
816561	2780	1997-08-20	VYDAJ	VYBER	8200	50627	\N	\N	\N
816562	2780	1997-09-19	VYDAJ	VYBER	10400	54414	\N	\N	\N
816563	2780	1997-10-19	VYDAJ	VYBER	12400	51921	\N	\N	\N
816564	2780	1997-11-18	VYDAJ	VYBER	11900	54242	\N	\N	\N
816565	2780	1997-12-18	VYDAJ	VYBER	20100	53456	\N	\N	\N
816566	2780	1998-01-17	VYDAJ	VYBER	14900	52783	\N	\N	\N
816567	2780	1998-02-16	VYDAJ	VYBER	13700	44482	\N	\N	\N
816568	2780	1998-03-18	VYDAJ	VYBER	13900	44756	\N	\N	\N
816569	2780	1998-04-17	VYDAJ	VYBER	18000	40932	\N	\N	\N
816570	2780	1998-05-17	VYDAJ	VYBER	14000	37800	\N	\N	\N
816571	2780	1998-06-16	VYDAJ	VYBER	13100	42444	\N	\N	\N
816572	2780	1998-07-16	VYDAJ	VYBER	12600	41691	\N	\N	\N
816573	2780	1998-08-15	VYDAJ	VYBER	15700	40151	\N	\N	\N
816574	2780	1998-09-14	VYDAJ	VYBER	11700	39507	\N	\N	\N
816575	2780	1998-10-14	VYDAJ	VYBER	10300	41457	\N	\N	\N
816576	2780	1998-11-13	VYDAJ	VYBER	15400	38617	\N	\N	\N
816577	2780	1998-12-13	VYDAJ	VYBER	12700	47111	\N	\N	\N
816614	2781	1995-06-20	PRIJEM	VKLAD	200	200	\N	\N	\N
816615	2781	1995-10-19	PRIJEM	VKLAD	18324	45061	\N	\N	\N
816616	2781	1995-07-01	PRIJEM	VKLAD	32752	32952	\N	\N	\N
816617	2781	1996-07-19	PRIJEM	VKLAD	14208	51185	\N	\N	\N
816618	2781	1996-07-13	PRIJEM	VKLAD	23764	38377	\N	\N	\N
816619	2781	1997-08-10	PRIJEM	VKLAD	41810	87108	\N	\N	\N
816620	2781	1997-10-16	PRIJEM	VKLAD	48611	113230	\N	\N	\N
816621	2781	1998-06-02	PRIJEM	VKLAD	29297	93894	\N	\N	\N
816622	2781	1998-04-30	PRIJEM	VKLAD	18795	73245	\N	\N	\N
816629	2781	1995-07-15	PRIJEM	VKLAD	1200	34152	\N	\N	\N
816630	2781	1995-08-14	PRIJEM	VKLAD	1200	31123	\N	\N	\N
816631	2781	1995-09-15	PRIJEM	VKLAD	1200	29530	\N	\N	\N
816632	2781	1995-10-13	PRIJEM	VKLAD	1200	28937	\N	\N	\N
816633	2781	1995-11-17	PRIJEM	VKLAD	1200	44642	\N	\N	\N
816634	2781	1995-12-16	PRIJEM	VKLAD	1200	33894	\N	\N	\N
816635	2781	1996-01-17	PRIJEM	VKLAD	1200	20060	\N	\N	\N
816636	2781	1996-02-13	PRIJEM	VKLAD	1200	18873	\N	\N	\N
816637	2781	1996-03-13	PRIJEM	VKLAD	1200	20787	\N	\N	\N
816638	2781	1996-04-16	PRIJEM	VKLAD	1200	23213	\N	\N	\N
816639	2781	1996-05-16	PRIJEM	VKLAD	1200	24643	\N	\N	\N
816640	2781	1996-06-15	PRIJEM	VKLAD	1200	26830	\N	\N	\N
816641	2781	1996-07-16	PRIJEM	VKLAD	1200	36477	\N	\N	\N
816642	2781	1996-08-17	PRIJEM	VKLAD	1200	43809	\N	\N	\N
816643	2781	1996-09-14	PRIJEM	VKLAD	1200	40789	\N	\N	\N
816644	2781	1996-10-17	PRIJEM	VKLAD	1200	38852	\N	\N	\N
816645	2781	1996-11-14	PRIJEM	VKLAD	1200	41406	\N	\N	\N
816646	2781	1996-12-13	PRIJEM	VKLAD	1200	45561	\N	\N	\N
816647	2781	1997-01-17	PRIJEM	VKLAD	1200	41280	\N	\N	\N
816648	2781	1997-02-17	PRIJEM	VKLAD	1200	40929	\N	\N	\N
816649	2781	1997-03-14	PRIJEM	VKLAD	1200	45020	\N	\N	\N
816650	2781	1997-04-14	PRIJEM	VKLAD	1200	51285	\N	\N	\N
816651	2781	1997-05-16	PRIJEM	VKLAD	1200	49274	\N	\N	\N
816652	2781	1997-06-17	PRIJEM	VKLAD	1200	39221	\N	\N	\N
816653	2781	1997-07-16	PRIJEM	VKLAD	1200	39874	\N	\N	\N
816654	2781	1997-08-17	PRIJEM	VKLAD	1200	88308	\N	\N	\N
816655	2781	1997-09-15	PRIJEM	VKLAD	1200	70703	\N	\N	\N
816656	2781	1997-10-15	PRIJEM	VKLAD	1200	64619	\N	\N	\N
816657	2781	1997-11-16	PRIJEM	VKLAD	1200	63018	\N	\N	\N
816658	2781	1997-12-17	PRIJEM	VKLAD	1200	59385	\N	\N	\N
816659	2781	1998-01-16	PRIJEM	VKLAD	1200	55667	\N	\N	\N
816660	2781	1998-02-15	PRIJEM	VKLAD	1200	47361	\N	\N	\N
816661	2781	1998-03-16	PRIJEM	VKLAD	1200	52032	\N	\N	\N
816662	2781	1998-04-17	PRIJEM	VKLAD	1200	53726	\N	\N	\N
816663	2781	1998-05-13	PRIJEM	VKLAD	1200	63831	\N	\N	\N
816664	2781	1998-06-16	PRIJEM	VKLAD	1200	68244	\N	\N	\N
816665	2781	1998-07-15	PRIJEM	VKLAD	1200	55989	\N	\N	\N
816666	2781	1998-08-16	PRIJEM	VKLAD	1200	62102	\N	\N	\N
816667	2781	1998-09-15	PRIJEM	VKLAD	1200	60634	\N	\N	\N
816668	2781	1998-10-17	PRIJEM	VKLAD	1200	56026	\N	\N	\N
816669	2781	1998-11-14	PRIJEM	VKLAD	1200	56953	\N	\N	\N
816670	2781	1998-12-13	PRIJEM	VKLAD	1200	57423	\N	\N	\N
816677	2781	1995-07-18	PRIJEM	VKLAD	500	34652	\N	\N	\N
816678	2781	1995-08-18	PRIJEM	VKLAD	500	31623	\N	\N	\N
816679	2781	1995-09-18	PRIJEM	VKLAD	500	30030	\N	\N	\N
816680	2781	1995-10-18	PRIJEM	VKLAD	500	29437	\N	\N	\N
816681	2781	1995-11-18	PRIJEM	VKLAD	500	33142	\N	\N	\N
816682	2781	1995-12-18	PRIJEM	VKLAD	500	29494	\N	\N	\N
816683	2781	1996-01-18	PRIJEM	VKLAD	500	20560	\N	\N	\N
816684	2781	1996-02-18	PRIJEM	VKLAD	500	20073	\N	\N	\N
816685	2781	1996-03-18	PRIJEM	VKLAD	500	23687	\N	\N	\N
816686	2781	1996-04-18	PRIJEM	VKLAD	500	23713	\N	\N	\N
816687	2781	1996-05-18	PRIJEM	VKLAD	500	25143	\N	\N	\N
816688	2781	1996-06-18	PRIJEM	VKLAD	500	27330	\N	\N	\N
816689	2781	1996-07-18	PRIJEM	VKLAD	500	36977	\N	\N	\N
816690	2781	1996-08-18	PRIJEM	VKLAD	500	44309	\N	\N	\N
816691	2781	1996-09-18	PRIJEM	VKLAD	500	41289	\N	\N	\N
816692	2781	1996-10-18	PRIJEM	VKLAD	500	39352	\N	\N	\N
816693	2781	1996-11-18	PRIJEM	VKLAD	500	41906	\N	\N	\N
816694	2781	1996-12-18	PRIJEM	VKLAD	500	46061	\N	\N	\N
816695	2781	1997-01-18	PRIJEM	VKLAD	500	41780	\N	\N	\N
816696	2781	1997-02-18	PRIJEM	VKLAD	500	41429	\N	\N	\N
816697	2781	1997-03-18	PRIJEM	VKLAD	500	45520	\N	\N	\N
816698	2781	1997-04-18	PRIJEM	VKLAD	500	51785	\N	\N	\N
816699	2781	1997-05-18	PRIJEM	VKLAD	500	49774	\N	\N	\N
816700	2781	1997-06-18	PRIJEM	VKLAD	500	39721	\N	\N	\N
816701	2781	1997-07-18	PRIJEM	VKLAD	500	40374	\N	\N	\N
816702	2781	1997-08-18	PRIJEM	VKLAD	500	88808	\N	\N	\N
816703	2781	1997-09-18	PRIJEM	VKLAD	500	71203	\N	\N	\N
816704	2781	1997-10-18	PRIJEM	VKLAD	500	74530	\N	\N	\N
816705	2781	1997-11-18	PRIJEM	VKLAD	500	63518	\N	\N	\N
816706	2781	1997-12-18	PRIJEM	VKLAD	500	59885	\N	\N	\N
816707	2781	1998-01-18	PRIJEM	VKLAD	500	56167	\N	\N	\N
816708	2781	1998-02-18	PRIJEM	VKLAD	500	47861	\N	\N	\N
816709	2781	1998-03-18	PRIJEM	VKLAD	500	52532	\N	\N	\N
816710	2781	1998-04-18	PRIJEM	VKLAD	500	54226	\N	\N	\N
816711	2781	1998-05-18	PRIJEM	VKLAD	500	64331	\N	\N	\N
816712	2781	1998-06-18	PRIJEM	VKLAD	500	50944	\N	\N	\N
816713	2781	1998-07-18	PRIJEM	VKLAD	500	56489	\N	\N	\N
816714	2781	1998-08-18	PRIJEM	VKLAD	500	62602	\N	\N	\N
816715	2781	1998-09-18	PRIJEM	VKLAD	500	61134	\N	\N	\N
816716	2781	1998-10-18	PRIJEM	VKLAD	500	56526	\N	\N	\N
816717	2781	1998-11-18	PRIJEM	VKLAD	500	56903	\N	\N	\N
816718	2781	1998-12-18	PRIJEM	VKLAD	500	57923	\N	\N	\N
816720	2781	1996-06-20	VYDAJ	VYBER	3900	23430	\N	\N	\N
816721	2781	1997-06-16	VYDAJ	VYBER	8300	38021	\N	\N	\N
816722	2781	1998-06-11	VYDAJ	VYBER	5700	67044	\N	\N	\N
816724	2781	1996-01-02	VYDAJ	VYBER	2100	26160	\N	\N	\N
816725	2781	1997-01-02	VYDAJ	VYBER	4800	40830	\N	\N	\N
816726	2781	1998-01-21	VYDAJ	VYBER	4000	43617	\N	\N	\N
816728	2781	1996-06-26	VYDAJ	VYBER	8900	14530	\N	\N	\N
816729	2781	1997-06-22	VYDAJ	VYBER	13900	25821	\N	\N	\N
816730	2781	1998-06-17	VYDAJ	VYBER	17800	50444	\N	\N	\N
816732	2781	1996-01-04	VYDAJ	VYBER	8100	16860	\N	\N	\N
816733	2781	1997-01-19	VYDAJ	VYBER	3800	35880	\N	\N	\N
816734	2781	1998-01-18	VYDAJ	VYBER	7100	49067	\N	\N	\N
816735	2781	1995-12-10	VYDAJ	VYBER	600	32694	\N	\N	\N
816736	2781	1996-12-18	VYDAJ	VYBER	600	45461	\N	\N	\N
816737	2781	1997-12-01	VYDAJ	VYBER	700	63085	\N	\N	\N
816738	2781	1998-12-06	VYDAJ	VYBER	2400	56223	\N	\N	\N
816745	2781	1996-01-20	VYDAJ	VYBER	950	18610	\N	\N	\N
816746	2781	1996-01-19	VYDAJ	VYBER	1000	19560	\N	\N	\N
816747	2781	1996-01-20	VYDAJ	VYBER	1000	17610	\N	\N	\N
816748	2781	1996-01-03	VYDAJ	VYBER	1200	24960	\N	\N	\N
816749	2781	1996-01-09	VYDAJ	VYBER	1300	15560	\N	\N	\N
816750	2781	1996-01-01	VYDAJ	VYBER	1350	28260	\N	\N	\N
816751	2781	1997-01-18	VYDAJ	VYBER	800	40980	\N	\N	\N
816752	2781	1997-01-18	VYDAJ	VYBER	1300	39680	\N	\N	\N
816753	2781	1997-01-28	VYDAJ	VYBER	750	34580	\N	\N	\N
816754	2781	1997-01-11	VYDAJ	VYBER	1200	41380	\N	\N	\N
816755	2781	1997-01-07	VYDAJ	VYBER	1200	39630	\N	\N	\N
816756	2781	1997-01-16	VYDAJ	VYBER	1300	40080	\N	\N	\N
816757	2781	1998-01-22	VYDAJ	VYBER	600	43017	\N	\N	\N
816758	2781	1998-01-01	VYDAJ	VYBER	700	57317	\N	\N	\N
816759	2781	1998-01-27	VYDAJ	VYBER	1350	41667	\N	\N	\N
816760	2781	1998-01-08	VYDAJ	VYBER	400	55717	\N	\N	\N
816761	2781	1998-01-13	VYDAJ	VYBER	1250	54467	\N	\N	\N
816762	2781	1998-01-18	VYDAJ	VYBER	1450	47617	\N	\N	\N
816765	2781	1995-11-04	VYDAJ	VYBER	1750	43442	\N	\N	\N
816766	2781	1996-05-08	VYDAJ	VYBER	2450	21343	\N	\N	\N
816767	2781	1996-03-28	VYDAJ	VYBER	1250	22437	\N	\N	\N
816768	2781	1996-03-31	VYDAJ	VYBER	800	21713	\N	\N	\N
816769	2781	1996-03-01	VYDAJ	VYBER	550	19587	\N	\N	\N
816770	2781	1996-06-01	VYDAJ	VYBER	1100	24130	\N	\N	\N
816771	2781	1996-08-04	VYDAJ	VYBER	1400	49909	\N	\N	\N
816772	2781	1997-01-08	VYDAJ	VYBER	1850	37780	\N	\N	\N
816773	2781	1997-06-14	VYDAJ	VYBER	250	46321	\N	\N	\N
816774	2781	1997-01-19	VYDAJ	VYBER	550	35330	\N	\N	\N
816775	2781	1997-11-13	VYDAJ	VYBER	1100	61818	\N	\N	\N
816776	2781	1997-02-25	VYDAJ	VYBER	1550	39879	\N	\N	\N
816777	2781	1997-12-23	VYDAJ	VYBER	2100	57785	\N	\N	\N
816778	2781	1998-11-16	VYDAJ	VYBER	550	56403	\N	\N	\N
816779	2781	1998-07-07	VYDAJ	VYBER	2300	54789	\N	\N	\N
816780	2781	1998-10-14	VYDAJ	VYBER	2450	54826	\N	\N	\N
816781	2781	1998-06-02	VYDAJ	VYBER	350	93544	\N	\N	\N
816790	2781	1995-08-31	VYDAJ	VYBER	15	28330	SLUZBY	\N	\N
816791	2781	1995-09-30	VYDAJ	VYBER	15	27737	SLUZBY	\N	\N
816792	2781	1995-10-31	VYDAJ	VYBER	15	45192	SLUZBY	\N	\N
816793	2781	1995-11-30	VYDAJ	VYBER	15	33294	SLUZBY	\N	\N
816794	2781	1995-12-31	VYDAJ	VYBER	15	29610	SLUZBY	\N	\N
816795	2781	1996-01-31	VYDAJ	VYBER	15	17673	SLUZBY	\N	\N
816796	2781	1996-02-29	VYDAJ	VYBER	15	20137	SLUZBY	\N	\N
816797	2781	1996-03-31	VYDAJ	VYBER	15	22513	SLUZBY	\N	\N
816798	2781	1996-04-30	VYDAJ	VYBER	15	23793	SLUZBY	\N	\N
816799	2781	1996-05-31	VYDAJ	VYBER	15	25230	SLUZBY	\N	\N
816800	2781	1996-06-30	VYDAJ	VYBER	15	14613	SLUZBY	\N	\N
816801	2781	1996-07-31	VYDAJ	VYBER	15	51309	SLUZBY	\N	\N
816802	2781	1996-08-31	VYDAJ	VYBER	15	44489	SLUZBY	\N	\N
816803	2781	1996-09-30	VYDAJ	VYBER	15	41452	SLUZBY	\N	\N
816804	2781	1996-10-31	VYDAJ	VYBER	15	39506	SLUZBY	\N	\N
816805	2781	1996-11-30	VYDAJ	VYBER	15	42061	SLUZBY	\N	\N
816806	2781	1996-12-31	VYDAJ	VYBER	15	45630	SLUZBY	\N	\N
816807	2781	1997-01-31	VYDAJ	VYBER	15	34729	SLUZBY	\N	\N
816808	2781	1997-02-28	VYDAJ	VYBER	15	40020	SLUZBY	\N	\N
816809	2781	1997-03-31	VYDAJ	VYBER	15	45685	SLUZBY	\N	\N
816810	2781	1997-04-30	VYDAJ	VYBER	15	51974	SLUZBY	\N	\N
816811	2781	1997-05-31	VYDAJ	VYBER	15	49971	SLUZBY	\N	\N
816812	2781	1997-06-30	VYDAJ	VYBER	15	25974	SLUZBY	\N	\N
816813	2781	1997-07-31	VYDAJ	VYBER	15	40498	SLUZBY	\N	\N
816814	2781	1997-08-31	VYDAJ	VYBER	15	89103	SLUZBY	\N	\N
816815	2781	1997-09-30	VYDAJ	VYBER	15	71519	SLUZBY	\N	\N
816816	2781	1997-10-31	VYDAJ	VYBER	15	74818	SLUZBY	\N	\N
816817	2781	1997-11-30	VYDAJ	VYBER	15	63785	SLUZBY	\N	\N
816818	2781	1997-12-31	VYDAJ	VYBER	15	58017	SLUZBY	\N	\N
816819	2781	1998-01-31	VYDAJ	VYBER	15	41861	SLUZBY	\N	\N
816820	2781	1998-02-28	VYDAJ	VYBER	15	48032	SLUZBY	\N	\N
816821	2781	1998-03-31	VYDAJ	VYBER	15	52726	SLUZBY	\N	\N
816822	2781	1998-04-30	VYDAJ	VYBER	15	73231	SLUZBY	\N	\N
816823	2781	1998-05-31	VYDAJ	VYBER	15	64597	SLUZBY	\N	\N
816824	2781	1998-06-30	VYDAJ	VYBER	15	51189	SLUZBY	\N	\N
816825	2781	1998-07-31	VYDAJ	VYBER	15	56702	SLUZBY	\N	\N
816826	2781	1998-08-31	VYDAJ	VYBER	15	62834	SLUZBY	\N	\N
816827	2781	1998-09-30	VYDAJ	VYBER	15	61376	SLUZBY	\N	\N
816828	2781	1998-10-31	VYDAJ	VYBER	15	56753	SLUZBY	\N	\N
816829	2781	1998-11-30	VYDAJ	VYBER	15	57123	SLUZBY	\N	\N
816830	2781	1995-07-20	VYDAJ	VYBER	4800	29852	\N	\N	\N
816831	2781	1995-08-19	VYDAJ	VYBER	3400	28223	\N	\N	\N
816832	2781	1995-09-18	VYDAJ	VYBER	2400	27630	\N	\N	\N
816833	2781	1995-10-18	VYDAJ	VYBER	2700	26737	\N	\N	\N
816834	2781	1995-11-17	VYDAJ	VYBER	12000	32642	\N	\N	\N
816835	2781	1995-12-17	VYDAJ	VYBER	4900	28994	\N	\N	\N
816836	2781	1996-01-16	PRIJEM	VKLAD	3300	18860	\N	\N	\N
816837	2781	1996-02-15	PRIJEM	VKLAD	700	19573	\N	\N	\N
816838	2781	1996-03-16	PRIJEM	VKLAD	2400	23187	\N	\N	\N
816839	2781	1996-04-15	PRIJEM	VKLAD	300	22013	\N	\N	\N
816840	2781	1996-05-15	PRIJEM	VKLAD	2100	23443	\N	\N	\N
816841	2781	1996-06-14	PRIJEM	VKLAD	1500	25630	\N	\N	\N
816842	2781	1996-07-14	VYDAJ	VYBER	3100	35277	\N	\N	\N
816843	2781	1996-08-13	VYDAJ	VYBER	7300	42609	\N	\N	\N
816844	2781	1996-09-12	VYDAJ	VYBER	4900	39589	\N	\N	\N
816845	2781	1996-10-12	VYDAJ	VYBER	3800	37652	\N	\N	\N
816846	2781	1996-11-11	PRIJEM	VKLAD	700	40206	\N	\N	\N
816847	2781	1996-12-11	PRIJEM	VKLAD	2300	44361	\N	\N	\N
816848	2781	1997-01-10	PRIJEM	VKLAD	4800	42580	\N	\N	\N
816849	2781	1997-02-09	PRIJEM	VKLAD	5000	39729	\N	\N	\N
816850	2781	1997-03-11	PRIJEM	VKLAD	3800	43820	\N	\N	\N
816851	2781	1997-04-10	PRIJEM	VKLAD	4400	50085	\N	\N	\N
816852	2781	1997-05-10	VYDAJ	VYBER	3900	48074	\N	\N	\N
816853	2781	1997-06-09	VYDAJ	VYBER	3400	46571	\N	\N	\N
816854	2781	1997-07-09	PRIJEM	VKLAD	12700	38674	\N	\N	\N
816855	2781	1997-08-08	PRIJEM	VKLAD	4800	45298	\N	\N	\N
816856	2781	1997-09-07	VYDAJ	VYBER	19600	69503	\N	\N	\N
816857	2781	1997-10-07	VYDAJ	VYBER	8100	63419	\N	\N	\N
816858	2781	1997-10-16	VYDAJ	VYBER	39200	74030	\N	\N	\N
816859	2781	1997-11-06	VYDAJ	VYBER	11900	62918	\N	\N	\N
816860	2781	1997-12-06	VYDAJ	VYBER	4900	58185	\N	\N	\N
816861	2781	1998-01-05	VYDAJ	VYBER	1200	56117	\N	\N	\N
816862	2781	1998-02-04	PRIJEM	VKLAD	4300	46161	\N	\N	\N
816863	2781	1998-03-06	PRIJEM	VKLAD	2800	50832	\N	\N	\N
816864	2781	1998-04-05	VYDAJ	VYBER	200	52526	\N	\N	\N
816865	2781	1998-05-05	VYDAJ	VYBER	10600	62631	\N	\N	\N
816866	2781	1998-06-04	VYDAJ	VYBER	20800	72744	\N	\N	\N
816867	2781	1998-07-04	PRIJEM	VKLAD	5900	57089	\N	\N	\N
816868	2781	1998-08-03	PRIJEM	VKLAD	4200	60902	\N	\N	\N
816869	2781	1998-09-02	VYDAJ	VYBER	3400	59434	\N	\N	\N
816870	2781	1998-10-02	VYDAJ	VYBER	4100	57276	\N	\N	\N
816871	2781	1998-11-01	VYDAJ	VYBER	1000	55753	\N	\N	\N
816872	2781	1998-12-01	PRIJEM	VKLAD	1500	58623	\N	\N	\N
816915	2782	1997-02-27	PRIJEM	VKLAD	700	700	\N	\N	\N
816918	2782	1997-03-13	PRIJEM	PREVOD Z UCTU	26028	26728	\N	AB	34248846
816919	2782	1997-04-13	PRIJEM	PREVOD Z UCTU	26028	54468	\N	AB	34248846
816920	2782	1997-05-13	PRIJEM	PREVOD Z UCTU	26028	67419	\N	AB	34248846
816921	2782	1997-06-13	PRIJEM	PREVOD Z UCTU	39042	85036	\N	AB	34248846
816922	2782	1997-07-13	PRIJEM	PREVOD Z UCTU	26028	85862	\N	AB	34248846
816923	2782	1997-08-13	PRIJEM	PREVOD Z UCTU	26028	78190	\N	AB	34248846
816924	2782	1997-09-13	PRIJEM	PREVOD Z UCTU	26028	68564	\N	AB	34248846
816925	2782	1997-10-13	PRIJEM	PREVOD Z UCTU	26028	76261	\N	AB	34248846
816926	2782	1997-11-13	PRIJEM	PREVOD Z UCTU	26028	63910	\N	AB	34248846
816927	2782	1997-12-13	PRIJEM	PREVOD Z UCTU	39042	53476	\N	AB	34248846
816928	2782	1998-01-13	PRIJEM	PREVOD Z UCTU	26028	58685	\N	AB	34248846
816929	2782	1998-02-13	PRIJEM	PREVOD Z UCTU	26028	49058	\N	AB	34248846
816930	2782	1998-03-13	PRIJEM	PREVOD Z UCTU	26028	54878	\N	AB	34248846
816931	2782	1998-04-13	PRIJEM	PREVOD Z UCTU	26028	71972	\N	AB	34248846
816932	2782	1998-05-13	PRIJEM	PREVOD Z UCTU	26028	80786	\N	AB	34248846
816933	2782	1998-06-13	PRIJEM	PREVOD Z UCTU	39042	87046	\N	AB	34248846
816934	2782	1998-07-13	PRIJEM	PREVOD Z UCTU	26028	49970	\N	AB	34248846
816935	2782	1998-08-13	PRIJEM	PREVOD Z UCTU	26028	60405	\N	AB	34248846
816936	2782	1998-09-13	PRIJEM	PREVOD Z UCTU	26028	65101	\N	AB	34248846
816937	2782	1998-10-13	PRIJEM	PREVOD Z UCTU	26028	70484	\N	AB	34248846
816938	2782	1998-11-13	PRIJEM	PREVOD Z UCTU	26028	77794	\N	AB	34248846
816939	2782	1998-12-13	PRIJEM	PREVOD Z UCTU	39042	90998	\N	AB	34248846
816964	2782	1997-12-10	VYBER	VYBER	7545	39677	\N	\N	\N
816965	2782	1997-07-28	VYBER	VYBER	2916	51909	\N	\N	\N
816966	2782	1997-07-18	VYBER	VYBER	6737	79125	\N	\N	\N
816967	2782	1997-08-24	VYBER	VYBER	2027	53938	\N	\N	\N
816969	2782	1997-08-18	VYBER	VYBER	22225	55965	\N	\N	\N
816970	2782	1997-12-12	VYBER	VYBER	20443	14434	\N	\N	\N
816972	2782	1998-11-19	VYBER	VYBER	9464	68330	\N	\N	\N
816974	2782	1998-06-21	VYDAJ	VYBER	76800	10246	\N	\N	\N
816976	2782	1998-01-25	VYDAJ	VYBER	9900	28285	\N	\N	\N
816977	2782	1997-12-11	VYDAJ	VYBER	4800	34877	\N	\N	\N
816978	2782	1998-12-24	VYDAJ	VYBER	6000	55798	\N	\N	\N
816985	2782	1998-01-09	VYDAJ	VYBER	7200	32657	\N	\N	\N
816986	2782	1998-01-18	VYDAJ	VYBER	2100	43385	\N	\N	\N
816987	2782	1998-01-28	VYDAJ	VYBER	5400	22885	\N	\N	\N
816988	2782	1998-01-13	VYDAJ	VYBER	6600	52085	\N	\N	\N
816989	2782	1998-01-06	VYDAJ	VYBER	3600	39857	\N	\N	\N
816990	2782	1998-01-15	VYDAJ	VYBER	6600	45485	\N	\N	\N
816992	2782	1997-10-14	VYDAJ	VYBER	7200	69061	\N	\N	\N
816994	2782	1997-11-06	VYDAJ	VYBER	12300	37882	\N	\N	\N
816995	2782	1997-10-24	VYDAJ	VYBER	10800	58261	\N	\N	\N
816998	2782	1998-03-10	VYDAJ	VYBER	2400	28850	\N	\N	\N
816999	2782	1998-06-02	VYDAJ	VYBER	4200	54604	\N	\N	\N
817000	2782	1998-06-03	VYDAJ	VYBER	6600	48004	\N	\N	\N
817001	2782	1998-08-08	VYDAJ	VYBER	6000	34377	\N	\N	\N
817002	2782	1998-02-23	VYDAJ	VYBER	13500	31158	\N	\N	\N
817003	2782	1998-08-17	VYDAJ	VYBER	9600	50805	\N	\N	\N
817011	2782	1997-07-31	VYDAJ	VYBER	15	52162	SLUZBY	\N	\N
817012	2782	1997-08-31	VYDAJ	VYBER	15	42536	SLUZBY	\N	\N
817013	2782	1997-09-30	VYDAJ	VYBER	15	50233	SLUZBY	\N	\N
817014	2782	1997-10-31	VYDAJ	VYBER	15	50182	SLUZBY	\N	\N
817015	2782	1997-11-30	VYDAJ	VYBER	15	47222	SLUZBY	\N	\N
817016	2782	1997-12-31	VYDAJ	VYBER	15	43457	SLUZBY	\N	\N
817017	2782	1998-01-31	VYDAJ	VYBER	15	23030	SLUZBY	\N	\N
817018	2782	1998-02-28	VYDAJ	VYBER	15	31250	SLUZBY	\N	\N
817019	2782	1998-03-31	VYDAJ	VYBER	15	45944	SLUZBY	\N	\N
817020	2782	1998-04-30	VYDAJ	VYBER	15	54758	SLUZBY	\N	\N
817021	2782	1998-05-31	VYDAJ	VYBER	15	58804	SLUZBY	\N	\N
817022	2782	1998-06-30	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
817023	2782	1998-07-31	VYDAJ	VYBER	15	40377	SLUZBY	\N	\N
817024	2782	1998-08-31	VYDAJ	VYBER	15	39073	SLUZBY	\N	\N
817025	2782	1998-09-30	VYDAJ	VYBER	15	44456	SLUZBY	\N	\N
817026	2782	1998-10-31	VYDAJ	VYBER	15	51766	SLUZBY	\N	\N
817027	2782	1998-11-30	VYDAJ	VYBER	15	51956	SLUZBY	\N	\N
817028	2782	1997-03-29	PRIJEM	VKLAD	1700	28428	\N	\N	\N
817029	2782	1997-04-28	VYDAJ	VYBER	13200	41268	\N	\N	\N
817030	2782	1997-05-28	VYDAJ	VYBER	21600	45819	\N	\N	\N
817031	2782	1997-06-27	VYDAJ	VYBER	25400	59636	\N	\N	\N
817032	2782	1997-07-27	VYDAJ	VYBER	24300	54825	\N	\N	\N
817033	2782	1997-08-26	VYDAJ	VYBER	11600	42338	\N	\N	\N
817034	2782	1997-09-25	VYDAJ	VYBER	18500	50064	\N	\N	\N
817035	2782	1997-10-25	VYDAJ	VYBER	8300	49961	\N	\N	\N
817036	2782	1997-11-24	VYDAJ	VYBER	16900	47010	\N	\N	\N
817037	2782	1997-12-24	VYDAJ	VYBER	10200	43276	\N	\N	\N
817038	2782	1998-01-23	VYDAJ	VYBER	5200	38185	\N	\N	\N
817039	2782	1998-02-22	VYDAJ	VYBER	4400	44658	\N	\N	\N
817040	2782	1998-03-24	VYDAJ	VYBER	9100	45778	\N	\N	\N
817041	2782	1998-04-23	VYDAJ	VYBER	17400	54572	\N	\N	\N
817042	2782	1998-05-23	VYDAJ	VYBER	22200	58586	\N	\N	\N
817043	2782	1998-06-22	PRIJEM	VKLAD	13500	23746	\N	\N	\N
817044	2782	1998-07-22	VYDAJ	VYBER	9700	40270	\N	\N	\N
817045	2782	1998-08-21	VYDAJ	VYBER	11900	38905	\N	\N	\N
817046	2782	1998-09-20	VYDAJ	VYBER	20800	44301	\N	\N	\N
817047	2782	1998-10-20	VYDAJ	VYBER	18900	51584	\N	\N	\N
817048	2782	1998-11-19	VYDAJ	VYBER	16600	51730	\N	\N	\N
817049	2782	1998-12-19	VYDAJ	VYBER	29200	61798	\N	\N	\N
817072	2783	1995-11-23	PRIJEM	VKLAD	300	300	\N	\N	\N
817074	2783	1995-12-02	PRIJEM	VKLAD	5821	6121	\N	\N	\N
817075	2783	1996-05-09	PRIJEM	VKLAD	36599	57734	\N	\N	\N
817076	2783	1996-09-25	PRIJEM	VKLAD	16238	42247	\N	\N	\N
817077	2783	1997-12-26	PRIJEM	VKLAD	12720	55543	\N	\N	\N
817078	2783	1997-04-12	PRIJEM	VKLAD	38637	74689	\N	\N	\N
817079	2783	1998-07-18	PRIJEM	VKLAD	46054	88802	\N	\N	\N
817080	2783	1998-04-30	PRIJEM	VKLAD	24317	72648	\N	\N	\N
817092	2783	1995-12-17	PRIJEM	VKLAD	400	6521	\N	\N	\N
817093	2783	1996-01-15	PRIJEM	VKLAD	400	14043	\N	\N	\N
817094	2783	1996-02-17	PRIJEM	VKLAD	400	19493	\N	\N	\N
817095	2783	1996-03-15	PRIJEM	VKLAD	400	22763	\N	\N	\N
817096	2783	1996-04-14	PRIJEM	VKLAD	400	25846	\N	\N	\N
817097	2783	1996-05-15	PRIJEM	VKLAD	400	58134	\N	\N	\N
817098	2783	1996-06-17	PRIJEM	VKLAD	400	40000	\N	\N	\N
817099	2783	1996-07-14	PRIJEM	VKLAD	400	18507	\N	\N	\N
817100	2783	1996-08-16	PRIJEM	VKLAD	400	23777	\N	\N	\N
817101	2783	1996-09-13	PRIJEM	VKLAD	400	22809	\N	\N	\N
817102	2783	1996-10-16	PRIJEM	VKLAD	400	42746	\N	\N	\N
817103	2783	1996-11-13	PRIJEM	VKLAD	400	37197	\N	\N	\N
817104	2783	1996-12-13	PRIJEM	VKLAD	400	33230	\N	\N	\N
817105	2783	1997-01-16	PRIJEM	VKLAD	400	36356	\N	\N	\N
817106	2783	1997-02-13	PRIJEM	VKLAD	400	31888	\N	\N	\N
817107	2783	1997-03-17	PRIJEM	VKLAD	400	37215	\N	\N	\N
817108	2783	1997-04-17	PRIJEM	VKLAD	400	53389	\N	\N	\N
817109	2783	1997-05-13	PRIJEM	VKLAD	400	54762	\N	\N	\N
817110	2783	1997-06-14	PRIJEM	VKLAD	400	24358	\N	\N	\N
817111	2783	1997-07-14	PRIJEM	VKLAD	400	23374	\N	\N	\N
817112	2783	1997-08-16	PRIJEM	VKLAD	400	35273	\N	\N	\N
817113	2783	1997-09-17	PRIJEM	VKLAD	400	33596	\N	\N	\N
817114	2783	1997-10-14	PRIJEM	VKLAD	400	39027	\N	\N	\N
817115	2783	1997-11-15	PRIJEM	VKLAD	400	43017	\N	\N	\N
817116	2783	1997-12-17	PRIJEM	VKLAD	400	42023	\N	\N	\N
817117	2783	1998-01-16	PRIJEM	VKLAD	400	49416	\N	\N	\N
817118	2783	1998-02-17	PRIJEM	VKLAD	400	46270	\N	\N	\N
817119	2783	1998-03-17	PRIJEM	VKLAD	400	45851	\N	\N	\N
817120	2783	1998-04-14	PRIJEM	VKLAD	400	47531	\N	\N	\N
817121	2783	1998-05-13	PRIJEM	VKLAD	400	60584	\N	\N	\N
817122	2783	1998-06-17	PRIJEM	VKLAD	400	28289	\N	\N	\N
817123	2783	1998-07-13	PRIJEM	VKLAD	400	41948	\N	\N	\N
817124	2783	1998-08-17	PRIJEM	VKLAD	400	73349	\N	\N	\N
817125	2783	1998-09-16	PRIJEM	VKLAD	400	63774	\N	\N	\N
817126	2783	1998-10-13	PRIJEM	VKLAD	400	58845	\N	\N	\N
817127	2783	1998-11-16	PRIJEM	VKLAD	400	55784	\N	\N	\N
817128	2783	1998-12-15	PRIJEM	VKLAD	400	54505	\N	\N	\N
817140	2783	1995-12-18	PRIJEM	VKLAD	800	7321	\N	\N	\N
817141	2783	1996-01-18	PRIJEM	VKLAD	800	14843	\N	\N	\N
817142	2783	1996-02-18	PRIJEM	VKLAD	800	20293	\N	\N	\N
817143	2783	1996-03-18	PRIJEM	VKLAD	800	23563	\N	\N	\N
817144	2783	1996-04-18	PRIJEM	VKLAD	800	26646	\N	\N	\N
817145	2783	1996-05-18	PRIJEM	VKLAD	800	58934	\N	\N	\N
817146	2783	1996-06-18	PRIJEM	VKLAD	800	15600	\N	\N	\N
817147	2783	1996-07-18	PRIJEM	VKLAD	800	19307	\N	\N	\N
817148	2783	1996-08-18	PRIJEM	VKLAD	800	24577	\N	\N	\N
817149	2783	1996-09-18	PRIJEM	VKLAD	800	23609	\N	\N	\N
817150	2783	1996-10-18	PRIJEM	VKLAD	800	43546	\N	\N	\N
817151	2783	1996-11-18	PRIJEM	VKLAD	800	33897	\N	\N	\N
817152	2783	1996-12-18	PRIJEM	VKLAD	800	33930	\N	\N	\N
817153	2783	1997-01-18	PRIJEM	VKLAD	800	37156	\N	\N	\N
817154	2783	1997-02-18	PRIJEM	VKLAD	800	36688	\N	\N	\N
817155	2783	1997-03-18	PRIJEM	VKLAD	800	35915	\N	\N	\N
817156	2783	1997-04-18	PRIJEM	VKLAD	800	54189	\N	\N	\N
817157	2783	1997-05-18	PRIJEM	VKLAD	800	47062	\N	\N	\N
817158	2783	1997-06-18	PRIJEM	VKLAD	800	30458	\N	\N	\N
817159	2783	1997-07-18	PRIJEM	VKLAD	800	29874	\N	\N	\N
817160	2783	1997-08-18	PRIJEM	VKLAD	800	36073	\N	\N	\N
817161	2783	1997-09-18	PRIJEM	VKLAD	800	34396	\N	\N	\N
817162	2783	1997-10-18	PRIJEM	VKLAD	800	39827	\N	\N	\N
817163	2783	1997-11-18	PRIJEM	VKLAD	800	43817	\N	\N	\N
817164	2783	1997-12-18	PRIJEM	VKLAD	800	42823	\N	\N	\N
817165	2783	1998-01-18	PRIJEM	VKLAD	800	50216	\N	\N	\N
817166	2783	1998-02-18	PRIJEM	VKLAD	800	47070	\N	\N	\N
817167	2783	1998-03-18	PRIJEM	VKLAD	800	46651	\N	\N	\N
817168	2783	1998-04-18	PRIJEM	VKLAD	800	48331	\N	\N	\N
817169	2783	1998-05-18	PRIJEM	VKLAD	800	61384	\N	\N	\N
817170	2783	1998-06-18	PRIJEM	VKLAD	800	29089	\N	\N	\N
817171	2783	1998-07-18	PRIJEM	VKLAD	800	42748	\N	\N	\N
817172	2783	1998-08-18	PRIJEM	VKLAD	800	74149	\N	\N	\N
817173	2783	1998-09-18	PRIJEM	VKLAD	800	64574	\N	\N	\N
817174	2783	1998-10-18	PRIJEM	VKLAD	800	59645	\N	\N	\N
817175	2783	1998-11-18	PRIJEM	VKLAD	800	56584	\N	\N	\N
817176	2783	1998-12-18	PRIJEM	VKLAD	800	55305	\N	\N	\N
817179	2783	1997-06-02	VYDAJ	VYBER	21300	25958	\N	\N	\N
817180	2783	1998-06-14	VYDAJ	VYBER	25300	27889	\N	\N	\N
817183	2783	1997-01-30	VYDAJ	VYBER	5800	31356	\N	\N	\N
817184	2783	1998-01-28	VYDAJ	VYBER	2200	48016	\N	\N	\N
817186	2783	1996-06-17	VYDAJ	VYBER	25200	14800	\N	\N	\N
817187	2783	1997-06-23	VYDAJ	VYBER	5000	25458	\N	\N	\N
817190	2783	1996-12-09	VYDAJ	VYBER	1200	32830	\N	\N	\N
817191	2783	1997-12-02	VYDAJ	VYBER	1700	41423	\N	\N	\N
817192	2783	1998-12-30	VYDAJ	VYBER KARTOU	2200	53105	\N	\N	0
817196	2783	1996-08-24	VYDAJ	VYBER	1650	22327	\N	\N	\N
817197	2783	1996-05-05	VYDAJ	VYBER	2400	21135	\N	\N	\N
817198	2783	1996-05-30	VYDAJ	VYBER	2100	39434	\N	\N	\N
817199	2783	1997-06-30	VYDAJ	VYBER	1100	24489	\N	\N	\N
817200	2783	1997-07-04	VYDAJ	VYBER	1500	22974	\N	\N	\N
817201	2783	1997-06-08	VYDAJ	VYBER	2000	23958	\N	\N	\N
817202	2783	1997-10-25	VYDAJ	VYBER	1350	38477	\N	\N	\N
817203	2783	1997-11-21	VYDAJ	VYBER	850	42967	\N	\N	\N
817204	2783	1997-09-08	VYDAJ	VYBER	1500	34696	\N	\N	\N
817205	2783	1998-10-26	VYDAJ	VYBER KARTOU	1500	58145	\N	\N	0
817206	2783	1998-05-02	VYDAJ	VYBER	750	72084	\N	\N	\N
817207	2783	1998-08-29	VYDAJ	VYBER KARTOU	1600	72549	\N	\N	0
817208	2783	1998-06-02	VYDAJ	VYBER	1650	59989	\N	\N	\N
817209	2783	1998-11-04	VYDAJ	VYBER KARTOU	1900	56484	\N	\N	0
817210	2783	1998-02-05	VYDAJ	VYBER	2450	45770	\N	\N	\N
817224	2783	1996-01-31	VYDAJ	VYBER	15	19093	SLUZBY	\N	\N
817225	2783	1996-02-29	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
817226	2783	1996-03-31	VYDAJ	VYBER	15	25446	SLUZBY	\N	\N
817227	2783	1996-04-30	VYDAJ	VYBER	15	23535	SLUZBY	\N	\N
817228	2783	1996-05-31	VYDAJ	VYBER	15	39600	SLUZBY	\N	\N
817229	2783	1996-06-30	VYDAJ	VYBER	15	18107	SLUZBY	\N	\N
817230	2783	1996-07-31	VYDAJ	VYBER	15	23377	SLUZBY	\N	\N
817231	2783	1996-08-31	VYDAJ	VYBER	15	22409	SLUZBY	\N	\N
817232	2783	1996-09-30	VYDAJ	VYBER	15	42346	SLUZBY	\N	\N
817233	2783	1996-10-31	VYDAJ	VYBER	15	36797	SLUZBY	\N	\N
817234	2783	1996-11-30	VYDAJ	VYBER	15	34030	SLUZBY	\N	\N
817235	2783	1996-12-31	VYDAJ	VYBER	15	34056	SLUZBY	\N	\N
817236	2783	1997-01-31	VYDAJ	VYBER	15	31488	SLUZBY	\N	\N
817237	2783	1997-02-28	VYDAJ	VYBER	15	36815	SLUZBY	\N	\N
817238	2783	1997-03-31	VYDAJ	VYBER	15	36052	SLUZBY	\N	\N
817239	2783	1997-04-30	VYDAJ	VYBER	15	54362	SLUZBY	\N	\N
817240	2783	1997-05-31	VYDAJ	VYBER	15	47258	SLUZBY	\N	\N
817241	2783	1997-06-30	VYDAJ	VYBER	15	24474	SLUZBY	\N	\N
817242	2783	1997-07-31	VYDAJ	VYBER	15	29973	SLUZBY	\N	\N
817243	2783	1997-08-31	VYDAJ	VYBER	15	36196	SLUZBY	\N	\N
817244	2783	1997-09-30	VYDAJ	VYBER	15	34527	SLUZBY	\N	\N
817245	2783	1997-10-31	VYDAJ	VYBER	15	38617	SLUZBY	\N	\N
817246	2783	1997-11-30	VYDAJ	VYBER	15	43123	SLUZBY	\N	\N
817247	2783	1997-12-31	VYDAJ	VYBER	15	55716	SLUZBY	\N	\N
817248	2783	1998-01-31	VYDAJ	VYBER	15	48220	SLUZBY	\N	\N
817249	2783	1998-02-28	VYDAJ	VYBER	15	47251	SLUZBY	\N	\N
817250	2783	1998-03-31	VYDAJ	VYBER	15	46831	SLUZBY	\N	\N
817251	2783	1998-04-30	VYDAJ	VYBER	15	72834	SLUZBY	\N	\N
817252	2783	1998-05-31	VYDAJ	VYBER	15	61639	SLUZBY	\N	\N
817253	2783	1998-06-30	VYDAJ	VYBER	15	29248	SLUZBY	\N	\N
817254	2783	1998-07-31	VYDAJ	VYBER	15	88949	SLUZBY	\N	\N
817255	2783	1998-08-31	VYDAJ	VYBER	15	72874	SLUZBY	\N	\N
817256	2783	1998-09-30	VYDAJ	VYBER	15	64845	SLUZBY	\N	\N
817257	2783	1998-10-31	VYDAJ	VYBER	15	58384	SLUZBY	\N	\N
817258	2783	1998-11-30	VYDAJ	VYBER	15	56805	SLUZBY	\N	\N
817259	2783	1995-12-23	PRIJEM	VKLAD	6300	13621	\N	\N	\N
817260	2783	1996-01-22	PRIJEM	VKLAD	4200	19043	\N	\N	\N
817261	2783	1996-02-21	PRIJEM	VKLAD	2000	22293	\N	\N	\N
817262	2783	1996-03-22	PRIJEM	VKLAD	1800	25363	\N	\N	\N
817263	2783	1996-04-21	VYDAJ	VYBER	3200	23446	\N	\N	\N
817264	2783	1996-05-21	VYDAJ	VYBER	17400	41534	\N	\N	\N
817265	2783	1996-06-20	PRIJEM	VKLAD	2400	18000	\N	\N	\N
817266	2783	1996-07-20	PRIJEM	VKLAD	4000	23307	\N	\N	\N
817267	2783	1996-08-19	VYDAJ	VYBER	600	23977	\N	\N	\N
817268	2783	1996-09-18	PRIJEM	VKLAD	2400	26009	\N	\N	\N
817269	2783	1996-10-18	VYDAJ	VYBER	6900	36646	\N	\N	\N
817270	2783	1996-11-17	VYDAJ	VYBER	4100	33097	\N	\N	\N
817271	2783	1996-12-17	VYDAJ	VYBER	100	33130	\N	\N	\N
817272	2783	1997-01-16	PRIJEM	VKLAD	1900	35956	\N	\N	\N
817273	2783	1997-02-15	PRIJEM	VKLAD	4000	35888	\N	\N	\N
817274	2783	1997-03-17	VYDAJ	VYBER	2100	35115	\N	\N	\N
817275	2783	1997-04-16	VYDAJ	VYBER	21700	52989	\N	\N	\N
817276	2783	1997-05-16	VYDAJ	VYBER	8500	46262	\N	\N	\N
817277	2783	1997-06-15	PRIJEM	VKLAD	5300	29658	\N	\N	\N
817278	2783	1997-07-15	PRIJEM	VKLAD	5700	29074	\N	\N	\N
817279	2783	1997-08-14	PRIJEM	VKLAD	4900	34873	\N	\N	\N
817280	2783	1997-09-13	VYDAJ	VYBER	1500	33196	\N	\N	\N
817281	2783	1997-10-13	PRIJEM	VKLAD	4100	38627	\N	\N	\N
817282	2783	1997-11-12	PRIJEM	VKLAD	4000	42617	\N	\N	\N
817283	2783	1997-12-12	PRIJEM	VKLAD	200	41623	\N	\N	\N
817284	2783	1998-01-11	VYDAJ	VYBER	6700	49016	\N	\N	\N
817285	2783	1998-02-10	PRIJEM	VKLAD	100	45870	\N	\N	\N
817286	2783	1998-03-12	VYDAJ	VYBER	1800	45451	\N	\N	\N
817287	2783	1998-04-11	PRIJEM	VKLAD	300	47131	\N	\N	\N
817288	2783	1998-05-11	VYDAJ	VYBER	11900	60184	\N	\N	\N
817289	2783	1998-06-10	VYDAJ	VYBER	6800	53189	\N	\N	\N
817290	2783	1998-07-10	PRIJEM	VKLAD	12300	41548	\N	\N	\N
817291	2783	1998-08-09	VYDAJ	VYBER	16000	72949	\N	\N	\N
817292	2783	1998-09-08	VYDAJ	VYBER	9500	63374	\N	\N	\N
817293	2783	1998-10-08	VYDAJ	VYBER	6400	58445	\N	\N	\N
817294	2783	1998-11-07	VYDAJ	VYBER KARTOU	1100	55384	\N	\N	0
817295	2783	1998-12-07	VYDAJ	VYBER KARTOU	2700	54105	\N	\N	0
817333	2784	1997-10-30	PRIJEM	VKLAD	300	300	\N	\N	\N
817344	2784	1997-11-13	PRIJEM	PREVOD Z UCTU	6778	7078	DUCHOD	GH	51259678
817345	2784	1997-12-13	PRIJEM	PREVOD Z UCTU	6778	13856	DUCHOD	GH	51259678
817346	2784	1998-01-13	PRIJEM	PREVOD Z UCTU	6778	20634	DUCHOD	GH	51259678
817347	2784	1998-02-13	PRIJEM	PREVOD Z UCTU	6778	27412	DUCHOD	GH	51259678
817348	2784	1998-03-13	PRIJEM	PREVOD Z UCTU	6778	34190	DUCHOD	GH	51259678
817349	2784	1998-04-13	PRIJEM	PREVOD Z UCTU	6778	32749	DUCHOD	GH	51259678
817350	2784	1998-05-13	PRIJEM	PREVOD Z UCTU	6778	31372	DUCHOD	GH	51259678
817351	2784	1998-06-13	PRIJEM	PREVOD Z UCTU	6778	29553	DUCHOD	GH	51259678
817352	2784	1998-07-13	PRIJEM	PREVOD Z UCTU	6778	30326	DUCHOD	GH	51259678
817353	2784	1998-08-13	PRIJEM	PREVOD Z UCTU	6778	33342	DUCHOD	GH	51259678
817354	2784	1998-09-13	PRIJEM	PREVOD Z UCTU	6778	36932	DUCHOD	GH	51259678
817355	2784	1998-10-13	PRIJEM	PREVOD Z UCTU	6778	40536	DUCHOD	GH	51259678
817356	2784	1998-11-13	PRIJEM	PREVOD Z UCTU	6778	37650	DUCHOD	GH	51259678
817357	2784	1998-12-13	PRIJEM	PREVOD Z UCTU	6778	36904	DUCHOD	GH	51259678
817373	2784	1998-04-06	VYDAJ	PREVOD NA UCET	3307	25971	SIPO	MN	51967656
817374	2784	1998-05-06	VYDAJ	PREVOD NA UCET	3307	24594	SIPO	MN	51967656
817375	2784	1998-06-06	VYDAJ	PREVOD NA UCET	3307	24975	SIPO	MN	51967656
817376	2784	1998-07-06	VYDAJ	PREVOD NA UCET	3307	23548	SIPO	MN	51967656
817377	2784	1998-08-06	VYDAJ	PREVOD NA UCET	3307	26564	SIPO	MN	51967656
817378	2784	1998-09-06	VYDAJ	PREVOD NA UCET	3307	30154	SIPO	MN	51967656
817379	2784	1998-10-06	VYDAJ	PREVOD NA UCET	3307	33758	SIPO	MN	51967656
817380	2784	1998-11-06	VYDAJ	PREVOD NA UCET	3307	30872	SIPO	MN	51967656
817381	2784	1998-12-06	VYDAJ	PREVOD NA UCET	3307	31076	SIPO	MN	51967656
817383	2784	1998-06-08	VYDAJ	VYBER	2200	22775	\N	\N	\N
817387	2784	1998-12-10	VYDAJ	VYBER	950	30126	\N	\N	\N
817407	2784	1998-07-25	VYDAJ	VYBER	560	29766	\N	\N	\N
817408	2784	1998-06-29	VYDAJ	VYBER	2800	26753	\N	\N	\N
817409	2784	1998-04-24	VYDAJ	VYBER	3360	29389	\N	\N	\N
817410	2784	1998-03-22	VYDAJ	VYBER	1440	32750	\N	\N	\N
817411	2784	1998-05-30	VYDAJ	VYBER	2800	28172	\N	\N	\N
817427	2784	1998-03-31	VYDAJ	VYBER	15	29278	SLUZBY	\N	\N
817428	2784	1998-04-30	VYDAJ	VYBER	15	27901	SLUZBY	\N	\N
817429	2784	1998-05-31	VYDAJ	VYBER	15	28282	SLUZBY	\N	\N
817430	2784	1998-06-30	VYDAJ	VYBER	15	26855	SLUZBY	\N	\N
817431	2784	1998-07-31	VYDAJ	VYBER	15	29871	SLUZBY	\N	\N
817432	2784	1998-08-31	VYDAJ	VYBER	15	33461	SLUZBY	\N	\N
817433	2784	1998-09-30	VYDAJ	VYBER	15	37065	SLUZBY	\N	\N
817434	2784	1998-10-31	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
817435	2784	1998-11-30	VYDAJ	VYBER	15	34383	SLUZBY	\N	\N
817436	2784	1998-03-29	VYDAJ	VYBER	3500	29250	\N	\N	\N
817437	2784	1998-04-28	VYDAJ	VYBER	1600	27789	\N	\N	\N
817438	2784	1998-05-28	VYDAJ	VYBER	400	30972	\N	\N	\N
817439	2784	1998-10-25	VYDAJ	VYBER	6500	34036	\N	\N	\N
817440	2784	1998-11-24	VYDAJ	VYBER	3400	34250	\N	\N	\N
818580	2787	1997-12-07	PRIJEM	VKLAD	900	900	\N	\N	\N
818592	2787	1997-12-08	PRIJEM	VKLAD	29704	30604	\N	\N	\N
818593	2787	1998-01-08	PRIJEM	VKLAD	19803	49106	\N	\N	\N
818594	2787	1998-02-08	PRIJEM	VKLAD	19803	54396	\N	\N	\N
818595	2787	1998-03-08	PRIJEM	VKLAD	19803	63720	\N	\N	\N
818596	2787	1998-04-08	PRIJEM	VKLAD	19803	66180	\N	\N	\N
818597	2787	1998-05-08	PRIJEM	VKLAD	19803	59560	\N	\N	\N
818598	2787	1998-06-08	PRIJEM	VKLAD	29704	62709	\N	\N	\N
818599	2787	1998-07-08	PRIJEM	VKLAD	19803	38247	\N	\N	\N
818600	2787	1998-08-08	PRIJEM	VKLAD	19803	38897	\N	\N	\N
818601	2787	1998-09-08	PRIJEM	VKLAD	19803	40457	\N	\N	\N
818602	2787	1998-10-08	PRIJEM	VKLAD	19803	45423	\N	\N	\N
818603	2787	1998-11-08	PRIJEM	VKLAD	19803	43597	\N	\N	\N
818604	2787	1998-12-08	PRIJEM	VKLAD	29704	49578	\N	\N	\N
818620	2787	1998-04-09	VYDAJ	PREVOD NA UCET	8356	57824	SIPO	QR	19312352
818621	2787	1998-05-09	VYDAJ	PREVOD NA UCET	8356	51204	SIPO	QR	19312352
818622	2787	1998-06-09	VYDAJ	PREVOD NA UCET	8356	54353	SIPO	QR	19312352
818623	2787	1998-07-09	VYDAJ	PREVOD NA UCET	8356	29891	SIPO	QR	19312352
818624	2787	1998-08-09	VYDAJ	PREVOD NA UCET	8356	30541	SIPO	QR	19312352
818625	2787	1998-09-09	VYDAJ	PREVOD NA UCET	8356	32101	SIPO	QR	19312352
818626	2787	1998-10-09	VYDAJ	PREVOD NA UCET	8356	37067	SIPO	QR	19312352
818627	2787	1998-11-09	VYDAJ	PREVOD NA UCET	8356	35241	SIPO	QR	19312352
818628	2787	1998-12-09	VYDAJ	PREVOD NA UCET	8356	41222	SIPO	QR	19312352
818630	2787	1998-06-27	VYDAJ	VYBER	29500	21153	\N	\N	\N
818632	2787	1998-12-20	VYDAJ	VYBER	1700	39522	\N	\N	\N
818639	2787	1998-06-24	VYDAJ	VYBER	3700	50653	\N	\N	\N
818640	2787	1998-05-05	VYDAJ	VYBER	2500	55557	\N	\N	\N
818643	2787	1998-10-12	VYDAJ	VYBER	3100	33967	\N	\N	\N
818661	2787	1998-04-30	VYDAJ	VYBER	15	58057	SLUZBY	\N	\N
818662	2787	1998-05-31	VYDAJ	VYBER	15	51405	SLUZBY	\N	\N
818663	2787	1998-06-30	VYDAJ	VYBER	15	21344	SLUZBY	\N	\N
818664	2787	1998-07-31	VYDAJ	VYBER	15	29994	SLUZBY	\N	\N
818665	2787	1998-08-31	VYDAJ	VYBER	15	30654	SLUZBY	\N	\N
818666	2787	1998-09-30	VYDAJ	VYBER	15	32220	SLUZBY	\N	\N
818667	2787	1998-10-31	VYDAJ	VYBER	15	34094	SLUZBY	\N	\N
818668	2787	1998-11-30	VYDAJ	VYBER	15	35374	SLUZBY	\N	\N
818669	2787	1998-01-06	VYDAJ	VYBER	1400	29303	\N	\N	\N
818670	2787	1998-02-05	VYDAJ	VYBER	14700	34593	\N	\N	\N
818671	2787	1998-03-07	VYDAJ	VYBER	10700	43917	\N	\N	\N
818672	2787	1998-04-06	VYDAJ	VYBER	17600	46377	\N	\N	\N
818673	2787	1998-05-06	VYDAJ	VYBER	15800	39757	\N	\N	\N
818674	2787	1998-06-05	VYDAJ	VYBER	18400	33005	\N	\N	\N
818675	2787	1998-07-05	VYDAJ	VYBER	2900	18444	\N	\N	\N
818676	2787	1998-08-04	VYDAJ	VYBER	10900	19094	\N	\N	\N
818677	2787	1998-09-03	VYDAJ	VYBER	10000	20654	\N	\N	\N
818678	2787	1998-10-03	VYDAJ	VYBER	6600	25620	\N	\N	\N
818679	2787	1998-11-02	VYDAJ	VYBER	10300	23794	\N	\N	\N
818680	2787	1998-12-02	VYDAJ	VYBER	15500	19874	\N	\N	\N
818694	2788	1994-10-12	PRIJEM	VKLAD	300	300	\N	\N	\N
818704	2788	1994-10-13	PRIJEM	VKLAD	13776	14076	\N	\N	\N
818705	2788	1994-11-13	PRIJEM	VKLAD	13776	35088	\N	\N	\N
818706	2788	1994-12-13	PRIJEM	VKLAD	20664	49463	\N	\N	\N
818707	2788	1995-01-13	PRIJEM	VKLAD	13776	51422	\N	\N	\N
818708	2788	1995-02-13	PRIJEM	VKLAD	13776	51609	\N	\N	\N
818709	2788	1995-03-13	PRIJEM	VKLAD	13776	47082	\N	\N	\N
818710	2788	1995-04-13	PRIJEM	VKLAD	13776	46942	\N	\N	\N
818711	2788	1995-05-13	PRIJEM	VKLAD	13776	44495	\N	\N	\N
818712	2788	1995-06-13	PRIJEM	VKLAD	20664	46128	\N	\N	\N
818713	2788	1995-07-13	PRIJEM	VKLAD	13776	46566	\N	\N	\N
818714	2788	1995-08-13	PRIJEM	VKLAD	13776	38410	\N	\N	\N
818715	2788	1995-09-13	PRIJEM	VKLAD	13776	42526	\N	\N	\N
818716	2788	1995-10-13	PRIJEM	VKLAD	13776	45153	\N	\N	\N
818717	2788	1995-11-13	PRIJEM	VKLAD	13776	44794	\N	\N	\N
818718	2788	1995-12-13	PRIJEM	VKLAD	20664	51226	\N	\N	\N
818719	2788	1996-01-13	PRIJEM	VKLAD	13776	43439	\N	\N	\N
818720	2788	1996-02-13	PRIJEM	VKLAD	13776	38877	\N	\N	\N
818721	2788	1996-03-13	PRIJEM	VKLAD	13776	42491	\N	\N	\N
818722	2788	1996-04-13	PRIJEM	VKLAD	13776	41319	\N	\N	\N
818723	2788	1996-05-13	PRIJEM	VKLAD	13776	41550	\N	\N	\N
818724	2788	1996-06-13	PRIJEM	VKLAD	20664	47567	\N	\N	\N
818725	2788	1996-07-13	PRIJEM	VKLAD	13776	39451	\N	\N	\N
818726	2788	1996-08-13	PRIJEM	VKLAD	13776	38435	\N	\N	\N
818727	2788	1996-09-13	PRIJEM	VKLAD	13776	36022	\N	\N	\N
818728	2788	1996-10-13	PRIJEM	VKLAD	13776	32824	\N	\N	\N
818729	2788	1996-11-13	PRIJEM	VKLAD	13776	32556	\N	\N	\N
818730	2788	1996-12-13	PRIJEM	VKLAD	20664	42419	\N	\N	\N
818731	2788	1997-01-13	PRIJEM	VKLAD	13776	27680	\N	\N	\N
818732	2788	1997-02-13	PRIJEM	VKLAD	13776	27658	\N	\N	\N
818733	2788	1997-03-13	PRIJEM	VKLAD	13776	28532	\N	\N	\N
818734	2788	1997-04-13	PRIJEM	VKLAD	13776	31596	\N	\N	\N
818735	2788	1997-05-13	PRIJEM	VKLAD	13776	32466	\N	\N	\N
818736	2788	1997-06-13	PRIJEM	VKLAD	20664	35303	\N	\N	\N
818737	2788	1997-07-13	PRIJEM	VKLAD	13776	26333	\N	\N	\N
818738	2788	1997-08-13	PRIJEM	VKLAD	13776	25384	\N	\N	\N
818739	2788	1997-09-13	PRIJEM	VKLAD	13776	35431	\N	\N	\N
818740	2788	1997-10-13	PRIJEM	VKLAD	13776	24804	\N	\N	\N
818741	2788	1997-11-13	PRIJEM	VKLAD	13776	34848	\N	\N	\N
818742	2788	1997-12-13	PRIJEM	VKLAD	20664	33006	\N	\N	\N
818743	2788	1998-01-13	PRIJEM	VKLAD	13776	24255	\N	\N	\N
818744	2788	1998-02-13	PRIJEM	VKLAD	13776	27203	\N	\N	\N
818745	2788	1998-03-13	PRIJEM	VKLAD	13776	31615	\N	\N	\N
818746	2788	1998-04-13	PRIJEM	VKLAD	13776	26180	\N	\N	\N
818747	2788	1998-05-13	PRIJEM	VKLAD	13776	35389	\N	\N	\N
818748	2788	1998-06-13	PRIJEM	VKLAD	20664	52365	\N	\N	\N
818749	2788	1998-07-13	PRIJEM	VKLAD	13776	30375	\N	\N	\N
818750	2788	1998-08-13	PRIJEM	VKLAD	13776	40441	\N	\N	\N
818751	2788	1998-09-13	PRIJEM	VKLAD	13776	24715	\N	\N	\N
818752	2788	1998-10-13	PRIJEM	VKLAD	13776	29233	\N	\N	\N
818753	2788	1998-11-13	PRIJEM	VKLAD	13776	39294	\N	\N	\N
818754	2788	1998-12-13	PRIJEM	VKLAD	20664	56285	\N	\N	\N
818769	2788	1995-03-12	VYDAJ	PREVOD NA UCET	3803	33306	SIPO	OP	74001586
818770	2788	1995-04-12	VYDAJ	PREVOD NA UCET	3803	33166	SIPO	OP	74001586
818771	2788	1995-05-12	VYDAJ	PREVOD NA UCET	3803	30719	SIPO	OP	74001586
818772	2788	1995-06-12	VYDAJ	PREVOD NA UCET	3803	25464	SIPO	OP	74001586
818773	2788	1995-07-12	VYDAJ	PREVOD NA UCET	3803	32790	SIPO	OP	74001586
818774	2788	1995-08-12	VYDAJ	PREVOD NA UCET	3803	24634	SIPO	OP	74001586
818775	2788	1995-09-12	VYDAJ	PREVOD NA UCET	3803	28750	SIPO	OP	74001586
818776	2788	1995-10-12	VYDAJ	PREVOD NA UCET	3803	31377	SIPO	OP	74001586
818777	2788	1995-11-12	VYDAJ	PREVOD NA UCET	3803	31018	SIPO	OP	74001586
818778	2788	1995-12-12	VYDAJ	PREVOD NA UCET	3803	30562	SIPO	OP	74001586
818779	2788	1996-01-12	VYDAJ	PREVOD NA UCET	3803	29663	SIPO	OP	74001586
818780	2788	1996-02-12	VYDAJ	PREVOD NA UCET	3803	25101	SIPO	OP	74001586
818781	2788	1996-03-12	VYDAJ	PREVOD NA UCET	3803	28715	SIPO	OP	74001586
818782	2788	1996-04-12	VYDAJ	PREVOD NA UCET	3803	27543	SIPO	OP	74001586
818783	2788	1996-05-12	VYDAJ	PREVOD NA UCET	3803	27774	SIPO	OP	74001586
818784	2788	1996-06-12	VYDAJ	PREVOD NA UCET	3803	26903	SIPO	OP	74001586
818785	2788	1996-07-12	VYDAJ	PREVOD NA UCET	3803	25675	SIPO	OP	74001586
818786	2788	1996-08-12	VYDAJ	PREVOD NA UCET	3803	24659	SIPO	OP	74001586
818787	2788	1996-09-12	VYDAJ	PREVOD NA UCET	3803	22246	SIPO	OP	74001586
818788	2788	1996-10-12	VYDAJ	PREVOD NA UCET	3803	19048	SIPO	OP	74001586
818789	2788	1996-11-12	VYDAJ	PREVOD NA UCET	3803	18780	SIPO	OP	74001586
818790	2788	1996-12-12	VYDAJ	PREVOD NA UCET	3803	21755	SIPO	OP	74001586
818791	2788	1997-01-12	VYDAJ	PREVOD NA UCET	3803	13904	SIPO	OP	74001586
818792	2788	1997-02-12	VYDAJ	PREVOD NA UCET	3803	13882	SIPO	OP	74001586
818793	2788	1997-03-12	VYDAJ	PREVOD NA UCET	3803	18836	SIPO	OP	74001586
818794	2788	1997-04-12	VYDAJ	PREVOD NA UCET	3803	17820	SIPO	OP	74001586
818795	2788	1997-05-12	VYDAJ	PREVOD NA UCET	3803	18690	SIPO	OP	74001586
818796	2788	1997-06-12	VYDAJ	PREVOD NA UCET	3803	14639	SIPO	OP	74001586
818797	2788	1997-07-12	VYDAJ	PREVOD NA UCET	3803	12557	SIPO	OP	74001586
818798	2788	1997-08-12	VYDAJ	PREVOD NA UCET	3803	11608	SIPO	OP	74001586
818799	2788	1997-09-12	VYDAJ	PREVOD NA UCET	3803	21655	SIPO	OP	74001586
818800	2788	1997-10-12	VYDAJ	PREVOD NA UCET	3803	11028	SIPO	OP	74001586
818801	2788	1997-11-12	VYDAJ	PREVOD NA UCET	3803	21072	SIPO	OP	74001586
818802	2788	1997-12-12	VYDAJ	PREVOD NA UCET	3803	12342	SIPO	OP	74001586
818803	2788	1998-01-12	VYDAJ	PREVOD NA UCET	3803	10479	SIPO	OP	74001586
818804	2788	1998-02-12	VYDAJ	PREVOD NA UCET	3803	13427	SIPO	OP	74001586
818805	2788	1998-03-12	VYDAJ	PREVOD NA UCET	3803	17839	SIPO	OP	74001586
818806	2788	1998-04-12	VYDAJ	PREVOD NA UCET	3803	12404	SIPO	OP	74001586
818807	2788	1998-05-12	VYDAJ	PREVOD NA UCET	3803	21613	SIPO	OP	74001586
818808	2788	1998-06-12	VYDAJ	PREVOD NA UCET	3803	31701	SIPO	OP	74001586
818809	2788	1998-07-12	VYDAJ	PREVOD NA UCET	3803	16599	SIPO	OP	74001586
818810	2788	1998-08-12	VYDAJ	PREVOD NA UCET	3803	26665	SIPO	OP	74001586
818811	2788	1998-09-12	VYDAJ	PREVOD NA UCET	3803	10939	SIPO	OP	74001586
818812	2788	1998-10-12	VYDAJ	PREVOD NA UCET	3803	15457	SIPO	OP	74001586
818813	2788	1998-11-12	VYDAJ	PREVOD NA UCET	3803	25518	SIPO	OP	74001586
818814	2788	1998-12-12	VYDAJ	PREVOD NA UCET	3803	35621	SIPO	OP	74001586
818816	2788	1995-12-27	VYDAJ	VYBER	3360	45466	\N	\N	\N
818817	2788	1996-12-15	VYDAJ	VYBER	1120	41299	\N	\N	\N
818832	2788	1996-01-14	VYDAJ	VYBER	1440	41999	\N	\N	\N
818833	2788	1996-01-30	VYDAJ	VYBER	2040	36359	\N	\N	\N
818834	2788	1996-01-19	VYDAJ	VYBER	3000	38399	\N	\N	\N
818835	2788	1996-01-16	VYDAJ	VYBER	600	41399	\N	\N	\N
818836	2788	1996-01-01	VYDAJ	VYBER	600	45046	\N	\N	\N
818837	2788	1996-01-02	VYDAJ	VYBER	1680	43366	\N	\N	\N
818838	2788	1997-01-09	VYDAJ	VYBER	3120	19507	\N	\N	\N
818839	2788	1997-01-29	VYDAJ	VYBER	1080	23000	\N	\N	\N
818840	2788	1997-01-09	VYDAJ	VYBER	1800	17707	\N	\N	\N
818841	2788	1997-01-19	VYDAJ	VYBER	1920	25760	\N	\N	\N
818842	2788	1997-01-20	VYDAJ	VYBER	1680	24080	\N	\N	\N
818843	2788	1997-01-08	VYDAJ	VYBER	3000	22627	\N	\N	\N
818844	2788	1998-01-16	VYDAJ	VYBER	1560	19335	\N	\N	\N
818845	2788	1998-01-20	VYDAJ	VYBER	2160	17175	\N	\N	\N
818846	2788	1998-01-16	VYDAJ	VYBER	3360	20895	\N	\N	\N
818855	2788	1995-12-20	VYDAJ	VYBER	2400	48826	\N	\N	\N
818856	2788	1995-07-21	VYDAJ	VYBER	3720	42846	\N	\N	\N
818858	2788	1995-08-01	VYDAJ	VYBER	5880	37137	\N	\N	\N
818859	2788	1995-05-31	VYDAJ	VYBER	4800	39867	\N	\N	\N
818860	2788	1996-07-25	VYDAJ	VYBER	5520	33931	\N	\N	\N
818861	2788	1996-07-03	VYDAJ	VYBER	2640	41378	\N	\N	\N
818862	2788	1996-10-24	VYDAJ	VYBER	4560	28264	\N	\N	\N
818863	2788	1996-08-28	VYDAJ	VYBER	4920	33515	\N	\N	\N
818864	2788	1996-06-13	VYDAJ	VYBER	3720	43847	\N	\N	\N
818865	2788	1997-05-26	VYDAJ	VYBER	2520	29946	\N	\N	\N
818866	2788	1997-07-06	VYDAJ	VYBER	4440	16360	\N	\N	\N
818867	2788	1997-03-12	VYDAJ	VYBER	4080	14756	\N	\N	\N
818870	2788	1998-03-07	VYDAJ	VYBER	5640	21642	\N	\N	\N
818871	2788	1998-12-20	VYDAJ	VYBER	2400	16485	\N	\N	\N
818873	2788	1998-05-11	VYDAJ	VYBER	840	25416	\N	\N	\N
818875	2788	1998-09-26	VYDAJ	VYBER	5520	19195	\N	\N	\N
818891	2788	1995-02-28	VYDAJ	VYBER	15	51809	SLUZBY	\N	\N
818892	2788	1995-03-31	VYDAJ	VYBER	15	47269	SLUZBY	\N	\N
818893	2788	1995-04-30	VYDAJ	VYBER	15	47122	SLUZBY	\N	\N
818894	2788	1995-05-31	VYDAJ	VYBER	15	44667	SLUZBY	\N	\N
818895	2788	1995-06-30	VYDAJ	VYBER	15	46293	SLUZBY	\N	\N
818896	2788	1995-07-31	VYDAJ	VYBER	15	43017	SLUZBY	\N	\N
818897	2788	1995-08-31	VYDAJ	VYBER	15	38553	SLUZBY	\N	\N
818898	2788	1995-09-30	VYDAJ	VYBER	15	42680	SLUZBY	\N	\N
818899	2788	1995-10-31	VYDAJ	VYBER	15	45321	SLUZBY	\N	\N
818900	2788	1995-11-30	VYDAJ	VYBER	15	44965	SLUZBY	\N	\N
818901	2788	1995-12-31	VYDAJ	VYBER	15	45646	SLUZBY	\N	\N
818902	2788	1996-01-31	VYDAJ	VYBER	15	36504	SLUZBY	\N	\N
818903	2788	1996-02-29	VYDAJ	VYBER	15	39018	SLUZBY	\N	\N
818904	2788	1996-03-31	VYDAJ	VYBER	15	42646	SLUZBY	\N	\N
818905	2788	1996-04-30	VYDAJ	VYBER	15	41477	SLUZBY	\N	\N
818906	2788	1996-05-31	VYDAJ	VYBER	15	41706	SLUZBY	\N	\N
818907	2788	1996-06-30	VYDAJ	VYBER	15	44018	SLUZBY	\N	\N
818908	2788	1996-07-31	VYDAJ	VYBER	15	34062	SLUZBY	\N	\N
818909	2788	1996-08-31	VYDAJ	VYBER	15	33649	SLUZBY	\N	\N
818910	2788	1996-09-30	VYDAJ	VYBER	15	36151	SLUZBY	\N	\N
818911	2788	1996-10-31	VYDAJ	VYBER	15	22583	SLUZBY	\N	\N
818912	2788	1996-11-30	VYDAJ	VYBER	15	25558	SLUZBY	\N	\N
818913	2788	1996-12-31	VYDAJ	VYBER	15	25627	SLUZBY	\N	\N
818914	2788	1997-01-31	VYDAJ	VYBER	15	17685	SLUZBY	\N	\N
818915	2788	1997-02-28	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
818916	2788	1997-03-31	VYDAJ	VYBER	15	21623	SLUZBY	\N	\N
818917	2788	1997-04-30	VYDAJ	VYBER	15	22493	SLUZBY	\N	\N
818918	2788	1997-05-31	VYDAJ	VYBER	15	18442	SLUZBY	\N	\N
818919	2788	1997-06-30	VYDAJ	VYBER	15	20800	SLUZBY	\N	\N
818920	2788	1997-07-31	VYDAJ	VYBER	15	15411	SLUZBY	\N	\N
818921	2788	1997-08-31	VYDAJ	VYBER	15	25458	SLUZBY	\N	\N
818922	2788	1997-09-30	VYDAJ	VYBER	15	14831	SLUZBY	\N	\N
818923	2788	1997-10-31	VYDAJ	VYBER	15	24875	SLUZBY	\N	\N
818924	2788	1997-11-30	VYDAJ	VYBER	15	16145	SLUZBY	\N	\N
818925	2788	1997-12-31	VYDAJ	VYBER	15	14282	SLUZBY	\N	\N
818926	2788	1998-01-31	VYDAJ	VYBER	15	17230	SLUZBY	\N	\N
818927	2788	1998-02-28	VYDAJ	VYBER	15	27282	SLUZBY	\N	\N
818928	2788	1998-03-31	VYDAJ	VYBER	15	16207	SLUZBY	\N	\N
818929	2788	1998-04-30	VYDAJ	VYBER	15	26256	SLUZBY	\N	\N
818930	2788	1998-05-31	VYDAJ	VYBER	15	35504	SLUZBY	\N	\N
818931	2788	1998-06-30	VYDAJ	VYBER	15	20402	SLUZBY	\N	\N
818932	2788	1998-07-31	VYDAJ	VYBER	15	30468	SLUZBY	\N	\N
818933	2788	1998-08-31	VYDAJ	VYBER	15	14742	SLUZBY	\N	\N
818934	2788	1998-09-30	VYDAJ	VYBER	15	19260	SLUZBY	\N	\N
818935	2788	1998-10-31	VYDAJ	VYBER	15	29321	SLUZBY	\N	\N
818936	2788	1998-11-30	VYDAJ	VYBER	15	39424	SLUZBY	\N	\N
818937	2788	1994-11-11	PRIJEM	VKLAD	7200	21312	\N	\N	\N
818938	2788	1994-12-11	VYDAJ	VYBER	6400	28799	\N	\N	\N
818939	2788	1995-01-10	VYDAJ	VYBER	12000	37646	\N	\N	\N
818940	2788	1995-02-09	VYDAJ	VYBER	13800	37833	\N	\N	\N
818941	2788	1995-03-11	VYDAJ	VYBER	14700	37109	\N	\N	\N
818942	2788	1995-04-10	VYDAJ	VYBER	10300	36969	\N	\N	\N
818943	2788	1995-05-10	VYDAJ	VYBER	12600	34522	\N	\N	\N
818944	2788	1995-06-09	VYDAJ	VYBER	10600	29267	\N	\N	\N
818945	2788	1995-07-09	VYDAJ	VYBER	9700	36593	\N	\N	\N
818946	2788	1995-08-08	VYDAJ	VYBER	8700	28437	\N	\N	\N
818947	2788	1995-09-07	VYDAJ	VYBER	6000	32553	\N	\N	\N
818948	2788	1995-10-07	VYDAJ	VYBER	7500	35180	\N	\N	\N
818949	2788	1995-11-06	VYDAJ	VYBER	10500	34821	\N	\N	\N
818950	2788	1995-12-06	VYDAJ	VYBER	10600	34365	\N	\N	\N
818951	2788	1996-01-05	VYDAJ	VYBER	9900	33466	\N	\N	\N
818952	2788	1996-02-04	VYDAJ	VYBER	7600	28904	\N	\N	\N
818953	2788	1996-03-05	VYDAJ	VYBER	6500	32518	\N	\N	\N
818954	2788	1996-04-04	VYDAJ	VYBER	11300	31346	\N	\N	\N
818955	2788	1996-05-04	VYDAJ	VYBER	9900	31577	\N	\N	\N
818956	2788	1996-06-03	VYDAJ	VYBER	11000	30706	\N	\N	\N
818957	2788	1996-07-03	VYDAJ	VYBER	11900	29478	\N	\N	\N
818958	2788	1996-08-02	VYDAJ	VYBER	5600	28462	\N	\N	\N
818959	2788	1996-09-01	VYDAJ	VYBER	7600	26049	\N	\N	\N
818960	2788	1996-10-01	VYDAJ	VYBER	13300	22851	\N	\N	\N
818961	2788	1996-10-31	VYDAJ	VYBER	5800	22597	\N	\N	\N
818962	2788	1996-11-30	VYDAJ	VYBER	7100	25573	\N	\N	\N
818963	2788	1996-12-30	VYDAJ	VYBER	15800	25499	\N	\N	\N
818964	2788	1997-01-29	VYDAJ	VYBER	5400	17600	\N	\N	\N
818965	2788	1997-02-28	VYDAJ	VYBER	5100	22654	\N	\N	\N
818966	2788	1997-03-30	VYDAJ	VYBER	7000	21532	\N	\N	\N
818967	2788	1997-04-29	VYDAJ	VYBER	9200	22396	\N	\N	\N
818968	2788	1997-05-29	VYDAJ	VYBER	11600	18346	\N	\N	\N
818969	2788	1997-06-28	VYDAJ	VYBER	14600	20703	\N	\N	\N
818970	2788	1997-07-28	VYDAJ	VYBER	11000	15333	\N	\N	\N
818971	2788	1997-09-26	VYDAJ	VYBER	20700	14731	\N	\N	\N
818972	2788	1997-11-25	VYDAJ	VYBER	18800	16048	\N	\N	\N
818973	2788	1997-12-25	VYDAJ	VYBER	18800	14206	\N	\N	\N
818974	2788	1998-03-25	VYDAJ	VYBER	15500	16115	\N	\N	\N
818975	2788	1998-06-23	VYDAJ	VYBER	32100	20265	\N	\N	\N
818976	2788	1998-08-22	VYDAJ	VYBER	25800	14641	\N	\N	\N
818977	2788	1998-12-20	VYDAJ	VYBER	37400	18885	\N	\N	\N
819029	2789	1994-01-01	PRIJEM	VKLAD	600	600	\N	\N	\N
819030	2789	1994-01-07	PRIJEM	VKLAD	12750	13350	\N	\N	\N
819031	2789	1994-02-07	PRIJEM	VKLAD	12750	32946	\N	\N	\N
819032	2789	1994-03-07	PRIJEM	VKLAD	12750	42680	\N	\N	\N
819033	2789	1994-04-07	PRIJEM	VKLAD	12750	44189	\N	\N	\N
819034	2789	1994-05-07	PRIJEM	VKLAD	12750	46622	\N	\N	\N
819035	2789	1994-06-07	PRIJEM	VKLAD	19125	53057	\N	\N	\N
819036	2789	1994-07-07	PRIJEM	VKLAD	12750	41589	\N	\N	\N
819037	2789	1994-08-07	PRIJEM	VKLAD	12750	44110	\N	\N	\N
819038	2789	1994-09-07	PRIJEM	VKLAD	12750	45441	\N	\N	\N
819039	2789	1994-10-07	PRIJEM	VKLAD	12750	48577	\N	\N	\N
819040	2789	1994-11-07	PRIJEM	VKLAD	12750	50525	\N	\N	\N
819041	2789	1994-12-07	PRIJEM	VKLAD	19125	55956	\N	\N	\N
819042	2789	1995-01-07	PRIJEM	VKLAD	12750	47125	\N	\N	\N
819043	2789	1995-02-07	PRIJEM	VKLAD	12750	44959	\N	\N	\N
819044	2789	1995-03-07	PRIJEM	VKLAD	12750	49992	\N	\N	\N
819045	2789	1995-04-07	PRIJEM	VKLAD	12750	48844	\N	\N	\N
819046	2789	1995-05-07	PRIJEM	VKLAD	12750	47790	\N	\N	\N
819047	2789	1995-06-07	PRIJEM	VKLAD	19125	53906	\N	\N	\N
819048	2789	1995-07-07	PRIJEM	VKLAD	12750	42758	\N	\N	\N
819049	2789	1995-08-07	PRIJEM	VKLAD	12750	47082	\N	\N	\N
819050	2789	1995-09-07	PRIJEM	VKLAD	12750	46122	\N	\N	\N
819051	2789	1995-10-07	PRIJEM	VKLAD	12750	51172	\N	\N	\N
819052	2789	1995-11-07	PRIJEM	VKLAD	12750	52134	\N	\N	\N
819053	2789	1995-12-07	PRIJEM	VKLAD	19125	60166	\N	\N	\N
819054	2789	1996-01-07	PRIJEM	VKLAD	12750	51937	\N	\N	\N
819055	2789	1996-02-07	PRIJEM	VKLAD	12750	47677	\N	\N	\N
819056	2789	1996-03-07	PRIJEM	VKLAD	12750	52420	\N	\N	\N
819057	2789	1996-04-07	PRIJEM	VKLAD	12750	51871	\N	\N	\N
819058	2789	1996-05-07	PRIJEM	VKLAD	12750	57030	\N	\N	\N
819059	2789	1996-06-07	PRIJEM	VKLAD	19125	37676	\N	\N	\N
819060	2789	1996-07-07	PRIJEM	VKLAD	12750	43804	\N	\N	\N
819061	2789	1996-08-07	PRIJEM	VKLAD	12750	49330	\N	\N	\N
819062	2789	1996-09-07	PRIJEM	VKLAD	12750	52077	\N	\N	\N
819063	2789	1996-10-07	PRIJEM	VKLAD	12750	56133	\N	\N	\N
819064	2789	1996-11-07	PRIJEM	VKLAD	12750	59604	\N	\N	\N
819065	2789	1996-12-07	PRIJEM	VKLAD	19125	67460	\N	\N	\N
819066	2789	1997-01-07	PRIJEM	VKLAD	12750	65258	\N	\N	\N
819067	2789	1997-02-07	PRIJEM	VKLAD	12750	53348	\N	\N	\N
819068	2789	1997-03-07	PRIJEM	VKLAD	12750	59711	\N	\N	\N
819069	2789	1997-04-07	PRIJEM	VKLAD	12750	67606	\N	\N	\N
819070	2789	1997-05-07	PRIJEM	VKLAD	12750	70922	\N	\N	\N
819071	2789	1997-06-07	PRIJEM	VKLAD	19125	80127	\N	\N	\N
819072	2789	1997-07-07	PRIJEM	VKLAD	12750	53963	\N	\N	\N
819073	2789	1997-08-07	PRIJEM	VKLAD	12750	64640	\N	\N	\N
819074	2789	1997-09-07	PRIJEM	VKLAD	12750	68649	\N	\N	\N
819075	2789	1997-10-07	PRIJEM	VKLAD	12750	72468	\N	\N	\N
819076	2789	1997-11-07	PRIJEM	VKLAD	12750	69097	\N	\N	\N
819077	2789	1997-12-07	PRIJEM	VKLAD	19125	70587	\N	\N	\N
819078	2789	1998-01-07	PRIJEM	VKLAD	12750	65488	\N	\N	\N
819079	2789	1998-02-07	PRIJEM	VKLAD	12750	57074	\N	\N	\N
819080	2789	1998-03-07	PRIJEM	VKLAD	12750	55143	\N	\N	\N
819081	2789	1998-04-07	PRIJEM	VKLAD	12750	55100	\N	\N	\N
819082	2789	1998-05-07	PRIJEM	VKLAD	12750	59266	\N	\N	\N
819083	2789	1998-06-07	PRIJEM	VKLAD	19125	62001	\N	\N	\N
819084	2789	1998-07-07	PRIJEM	VKLAD	12750	32045	\N	\N	\N
819085	2789	1998-08-07	PRIJEM	VKLAD	12750	51868	\N	\N	\N
819086	2789	1998-09-07	PRIJEM	VKLAD	12750	62143	\N	\N	\N
819087	2789	1998-10-07	PRIJEM	VKLAD	12750	70154	\N	\N	\N
819088	2789	1998-11-07	PRIJEM	VKLAD	12750	80705	\N	\N	\N
819089	2789	1998-12-07	PRIJEM	VKLAD	19125	93470	\N	\N	\N
819094	2789	1994-05-12	VYDAJ	PREVOD NA UCET	2965	43657	SIPO	WX	94019633
819095	2789	1994-06-12	VYDAJ	PREVOD NA UCET	2965	50092	SIPO	WX	94019633
819096	2789	1994-07-12	VYDAJ	PREVOD NA UCET	2965	38624	SIPO	WX	94019633
819097	2789	1994-08-12	VYDAJ	PREVOD NA UCET	2965	41145	SIPO	WX	94019633
819098	2789	1994-09-12	VYDAJ	PREVOD NA UCET	2965	42476	SIPO	WX	94019633
819099	2789	1994-10-12	VYDAJ	PREVOD NA UCET	2965	45612	SIPO	WX	94019633
819100	2789	1994-11-12	VYDAJ	PREVOD NA UCET	2965	47560	SIPO	WX	94019633
819101	2789	1994-12-12	VYDAJ	PREVOD NA UCET	2965	52991	SIPO	WX	94019633
819102	2789	1995-01-12	VYDAJ	PREVOD NA UCET	2965	44160	SIPO	WX	94019633
819103	2789	1995-02-12	VYDAJ	PREVOD NA UCET	2965	41994	SIPO	WX	94019633
819104	2789	1995-03-12	VYDAJ	PREVOD NA UCET	2965	47027	SIPO	WX	94019633
819105	2789	1995-04-12	VYDAJ	PREVOD NA UCET	2965	45879	SIPO	WX	94019633
819106	2789	1995-05-12	VYDAJ	PREVOD NA UCET	2965	44825	SIPO	WX	94019633
819107	2789	1995-06-12	VYDAJ	PREVOD NA UCET	2965	50941	SIPO	WX	94019633
819108	2789	1995-07-12	VYDAJ	PREVOD NA UCET	2965	39793	SIPO	WX	94019633
819109	2789	1995-08-12	VYDAJ	PREVOD NA UCET	2965	44117	SIPO	WX	94019633
819110	2789	1995-09-12	VYDAJ	PREVOD NA UCET	2965	43157	SIPO	WX	94019633
819111	2789	1995-10-12	VYDAJ	PREVOD NA UCET	2965	48207	SIPO	WX	94019633
819112	2789	1995-11-12	VYDAJ	PREVOD NA UCET	2965	49169	SIPO	WX	94019633
819113	2789	1995-12-12	VYDAJ	PREVOD NA UCET	2965	54901	SIPO	WX	94019633
819114	2789	1996-01-12	VYDAJ	PREVOD NA UCET	2965	44472	SIPO	WX	94019633
819115	2789	1996-02-12	VYDAJ	PREVOD NA UCET	2965	44712	SIPO	WX	94019633
819116	2789	1996-03-12	VYDAJ	PREVOD NA UCET	2965	44555	SIPO	WX	94019633
819117	2789	1996-04-12	VYDAJ	PREVOD NA UCET	2965	48906	SIPO	WX	94019633
819118	2789	1996-05-12	VYDAJ	PREVOD NA UCET	2965	54065	SIPO	WX	94019633
819119	2789	1996-06-12	VYDAJ	PREVOD NA UCET	2965	34711	SIPO	WX	94019633
819120	2789	1996-07-12	VYDAJ	PREVOD NA UCET	2965	40839	SIPO	WX	94019633
819121	2789	1996-08-12	VYDAJ	PREVOD NA UCET	2965	46365	SIPO	WX	94019633
819122	2789	1996-09-12	VYDAJ	PREVOD NA UCET	2965	49112	SIPO	WX	94019633
819123	2789	1996-10-12	VYDAJ	PREVOD NA UCET	2965	53168	SIPO	WX	94019633
819124	2789	1996-11-12	VYDAJ	PREVOD NA UCET	2965	56639	SIPO	WX	94019633
819125	2789	1996-12-12	VYDAJ	PREVOD NA UCET	2965	64495	SIPO	WX	94019633
819126	2789	1997-01-12	VYDAJ	PREVOD NA UCET	2965	62293	SIPO	WX	94019633
819127	2789	1997-02-12	VYDAJ	PREVOD NA UCET	2965	50383	SIPO	WX	94019633
819128	2789	1997-03-12	VYDAJ	PREVOD NA UCET	2965	56746	SIPO	WX	94019633
819129	2789	1997-04-12	VYDAJ	PREVOD NA UCET	2965	64641	SIPO	WX	94019633
819130	2789	1997-05-12	VYDAJ	PREVOD NA UCET	2965	67957	SIPO	WX	94019633
819131	2789	1997-06-12	VYDAJ	PREVOD NA UCET	2965	77162	SIPO	WX	94019633
819132	2789	1997-07-12	VYDAJ	PREVOD NA UCET	2965	50998	SIPO	WX	94019633
819133	2789	1997-08-12	VYDAJ	PREVOD NA UCET	2965	61675	SIPO	WX	94019633
819134	2789	1997-09-12	VYDAJ	PREVOD NA UCET	2965	65684	SIPO	WX	94019633
819135	2789	1997-10-12	VYDAJ	PREVOD NA UCET	2965	69503	SIPO	WX	94019633
819136	2789	1997-11-12	VYDAJ	PREVOD NA UCET	2965	56932	SIPO	WX	94019633
819137	2789	1997-12-12	VYDAJ	PREVOD NA UCET	2965	55722	SIPO	WX	94019633
819138	2789	1998-01-12	VYDAJ	PREVOD NA UCET	2965	52523	SIPO	WX	94019633
819139	2789	1998-02-12	VYDAJ	PREVOD NA UCET	2965	47709	SIPO	WX	94019633
819140	2789	1998-03-12	VYDAJ	PREVOD NA UCET	2965	46078	SIPO	WX	94019633
819141	2789	1998-04-12	VYDAJ	PREVOD NA UCET	2965	47335	SIPO	WX	94019633
819142	2789	1998-05-12	VYDAJ	PREVOD NA UCET	2965	43701	SIPO	WX	94019633
819143	2789	1998-06-12	VYDAJ	PREVOD NA UCET	2965	51236	SIPO	WX	94019633
819144	2789	1998-07-12	VYDAJ	PREVOD NA UCET	2965	41580	SIPO	WX	94019633
819145	2789	1998-08-12	VYDAJ	PREVOD NA UCET	2965	50203	SIPO	WX	94019633
819146	2789	1998-09-12	VYDAJ	PREVOD NA UCET	2965	58178	SIPO	WX	94019633
819147	2789	1998-10-12	VYDAJ	PREVOD NA UCET	2965	68489	SIPO	WX	94019633
819148	2789	1998-11-12	VYDAJ	PREVOD NA UCET	2965	77740	SIPO	WX	94019633
819149	2789	1998-12-12	VYDAJ	PREVOD NA UCET	2965	89605	SIPO	WX	94019633
819154	2789	1994-05-14	VYDAJ	PREVOD NA UCET	229	42666	 	YZ	53360038
819155	2789	1994-06-14	VYDAJ	PREVOD NA UCET	229	33601	 	YZ	53360038
819156	2789	1994-07-14	VYDAJ	PREVOD NA UCET	229	37633	 	YZ	53360038
819157	2789	1994-08-14	VYDAJ	PREVOD NA UCET	229	40154	 	YZ	53360038
819158	2789	1994-09-14	VYDAJ	PREVOD NA UCET	229	41485	 	YZ	53360038
819159	2789	1994-10-14	VYDAJ	PREVOD NA UCET	229	44621	 	YZ	53360038
819160	2789	1994-11-14	VYDAJ	PREVOD NA UCET	229	46569	 	YZ	53360038
819161	2789	1994-12-14	VYDAJ	PREVOD NA UCET	229	52000	 	YZ	53360038
819162	2789	1995-01-14	VYDAJ	PREVOD NA UCET	229	43169	 	YZ	53360038
819163	2789	1995-02-14	VYDAJ	PREVOD NA UCET	229	41003	 	YZ	53360038
819164	2789	1995-03-14	VYDAJ	PREVOD NA UCET	229	46036	 	YZ	53360038
819165	2789	1995-04-14	VYDAJ	PREVOD NA UCET	229	44888	 	YZ	53360038
819166	2789	1995-05-14	VYDAJ	PREVOD NA UCET	229	43834	 	YZ	53360038
819167	2789	1995-06-14	VYDAJ	PREVOD NA UCET	229	49950	 	YZ	53360038
819168	2789	1995-07-14	VYDAJ	PREVOD NA UCET	229	38802	 	YZ	53360038
819169	2789	1995-08-14	VYDAJ	PREVOD NA UCET	229	43126	 	YZ	53360038
819170	2789	1995-09-14	VYDAJ	PREVOD NA UCET	229	42166	 	YZ	53360038
819171	2789	1995-10-14	VYDAJ	PREVOD NA UCET	229	47216	 	YZ	53360038
819172	2789	1995-11-14	VYDAJ	PREVOD NA UCET	229	48178	 	YZ	53360038
819173	2789	1995-12-14	VYDAJ	PREVOD NA UCET	229	51110	 	YZ	53360038
819174	2789	1996-01-14	VYDAJ	PREVOD NA UCET	229	43481	 	YZ	53360038
819175	2789	1996-02-14	VYDAJ	PREVOD NA UCET	229	43721	 	YZ	53360038
819176	2789	1996-03-14	VYDAJ	PREVOD NA UCET	229	43564	 	YZ	53360038
819177	2789	1996-04-14	VYDAJ	PREVOD NA UCET	229	47915	 	YZ	53360038
819178	2789	1996-05-14	VYDAJ	PREVOD NA UCET	229	53074	 	YZ	53360038
819179	2789	1996-06-14	VYDAJ	PREVOD NA UCET	229	33720	 	YZ	53360038
819180	2789	1996-07-14	VYDAJ	PREVOD NA UCET	229	39848	 	YZ	53360038
819181	2789	1996-08-14	VYDAJ	PREVOD NA UCET	229	45374	 	YZ	53360038
819182	2789	1996-09-14	VYDAJ	PREVOD NA UCET	229	48121	 	YZ	53360038
819183	2789	1996-10-14	VYDAJ	PREVOD NA UCET	229	52177	 	YZ	53360038
819184	2789	1996-11-14	VYDAJ	PREVOD NA UCET	229	55648	 	YZ	53360038
819185	2789	1996-12-14	VYDAJ	PREVOD NA UCET	229	63504	 	YZ	53360038
819186	2789	1997-01-14	VYDAJ	PREVOD NA UCET	229	61302	 	YZ	53360038
819187	2789	1997-02-14	VYDAJ	PREVOD NA UCET	229	49392	 	YZ	53360038
819188	2789	1997-03-14	VYDAJ	PREVOD NA UCET	229	55755	 	YZ	53360038
819189	2789	1997-04-14	VYDAJ	PREVOD NA UCET	229	63650	 	YZ	53360038
819190	2789	1997-05-14	VYDAJ	PREVOD NA UCET	229	66966	 	YZ	53360038
819191	2789	1997-06-14	VYDAJ	PREVOD NA UCET	229	63871	 	YZ	53360038
819192	2789	1997-07-14	VYDAJ	PREVOD NA UCET	229	51707	 	YZ	53360038
819193	2789	1997-08-14	VYDAJ	PREVOD NA UCET	229	60384	 	YZ	53360038
819194	2789	1997-09-14	VYDAJ	PREVOD NA UCET	229	59493	 	YZ	53360038
819195	2789	1997-10-14	VYDAJ	PREVOD NA UCET	229	60812	 	YZ	53360038
819196	2789	1997-11-14	VYDAJ	PREVOD NA UCET	229	55941	 	YZ	53360038
819197	2789	1997-12-14	VYDAJ	PREVOD NA UCET	229	54731	 	YZ	53360038
819198	2789	1998-01-14	VYDAJ	PREVOD NA UCET	229	45832	 	YZ	53360038
819199	2789	1998-02-14	VYDAJ	PREVOD NA UCET	229	46718	 	YZ	53360038
819200	2789	1998-03-14	VYDAJ	PREVOD NA UCET	229	45087	 	YZ	53360038
819201	2789	1998-04-14	VYDAJ	PREVOD NA UCET	229	46344	 	YZ	53360038
819202	2789	1998-05-14	VYDAJ	PREVOD NA UCET	229	42710	 	YZ	53360038
819203	2789	1998-06-14	VYDAJ	PREVOD NA UCET	229	50245	 	YZ	53360038
819204	2789	1998-07-14	VYDAJ	PREVOD NA UCET	229	40589	 	YZ	53360038
819205	2789	1998-08-14	VYDAJ	PREVOD NA UCET	229	49212	 	YZ	53360038
819206	2789	1998-09-14	VYDAJ	PREVOD NA UCET	229	57187	 	YZ	53360038
819207	2789	1998-10-14	VYDAJ	PREVOD NA UCET	229	67498	 	YZ	53360038
819208	2789	1998-11-14	VYDAJ	PREVOD NA UCET	229	76749	 	YZ	53360038
819209	2789	1998-12-14	VYDAJ	PREVOD NA UCET	229	88614	 	YZ	53360038
819214	2789	1994-05-13	VYDAJ	PREVOD NA UCET	762	42895	POJISTNE	WX	51038181
819215	2789	1994-06-13	VYDAJ	PREVOD NA UCET	762	33830	POJISTNE	WX	51038181
819216	2789	1994-07-13	VYDAJ	PREVOD NA UCET	762	37862	POJISTNE	WX	51038181
819217	2789	1994-08-13	VYDAJ	PREVOD NA UCET	762	40383	POJISTNE	WX	51038181
819218	2789	1994-09-13	VYDAJ	PREVOD NA UCET	762	41714	POJISTNE	WX	51038181
819219	2789	1994-10-13	VYDAJ	PREVOD NA UCET	762	44850	POJISTNE	WX	51038181
819220	2789	1994-11-13	VYDAJ	PREVOD NA UCET	762	46798	POJISTNE	WX	51038181
819221	2789	1994-12-13	VYDAJ	PREVOD NA UCET	762	52229	POJISTNE	WX	51038181
819222	2789	1995-01-13	VYDAJ	PREVOD NA UCET	762	43398	POJISTNE	WX	51038181
819223	2789	1995-02-13	VYDAJ	PREVOD NA UCET	762	41232	POJISTNE	WX	51038181
819224	2789	1995-03-13	VYDAJ	PREVOD NA UCET	762	46265	POJISTNE	WX	51038181
819225	2789	1995-04-13	VYDAJ	PREVOD NA UCET	762	45117	POJISTNE	WX	51038181
819226	2789	1995-05-13	VYDAJ	PREVOD NA UCET	762	44063	POJISTNE	WX	51038181
819227	2789	1995-06-13	VYDAJ	PREVOD NA UCET	762	50179	POJISTNE	WX	51038181
819228	2789	1995-07-13	VYDAJ	PREVOD NA UCET	762	39031	POJISTNE	WX	51038181
819229	2789	1995-08-13	VYDAJ	PREVOD NA UCET	762	43355	POJISTNE	WX	51038181
819230	2789	1995-09-13	VYDAJ	PREVOD NA UCET	762	42395	POJISTNE	WX	51038181
819231	2789	1995-10-13	VYDAJ	PREVOD NA UCET	762	47445	POJISTNE	WX	51038181
819232	2789	1995-11-13	VYDAJ	PREVOD NA UCET	762	48407	POJISTNE	WX	51038181
819233	2789	1995-12-13	VYDAJ	PREVOD NA UCET	762	51339	POJISTNE	WX	51038181
819234	2789	1996-01-13	VYDAJ	PREVOD NA UCET	762	43710	POJISTNE	WX	51038181
819235	2789	1996-02-13	VYDAJ	PREVOD NA UCET	762	43950	POJISTNE	WX	51038181
819236	2789	1996-03-13	VYDAJ	PREVOD NA UCET	762	43793	POJISTNE	WX	51038181
819237	2789	1996-04-13	VYDAJ	PREVOD NA UCET	762	48144	POJISTNE	WX	51038181
819238	2789	1996-05-13	VYDAJ	PREVOD NA UCET	762	53303	POJISTNE	WX	51038181
819239	2789	1996-06-13	VYDAJ	PREVOD NA UCET	762	33949	POJISTNE	WX	51038181
819240	2789	1996-07-13	VYDAJ	PREVOD NA UCET	762	40077	POJISTNE	WX	51038181
819241	2789	1996-08-13	VYDAJ	PREVOD NA UCET	762	45603	POJISTNE	WX	51038181
819242	2789	1996-09-13	VYDAJ	PREVOD NA UCET	762	48350	POJISTNE	WX	51038181
819243	2789	1996-10-13	VYDAJ	PREVOD NA UCET	762	52406	POJISTNE	WX	51038181
819244	2789	1996-11-13	VYDAJ	PREVOD NA UCET	762	55877	POJISTNE	WX	51038181
819245	2789	1996-12-13	VYDAJ	PREVOD NA UCET	762	63733	POJISTNE	WX	51038181
819246	2789	1997-01-13	VYDAJ	PREVOD NA UCET	762	61531	POJISTNE	WX	51038181
819247	2789	1997-02-13	VYDAJ	PREVOD NA UCET	762	49621	POJISTNE	WX	51038181
819248	2789	1997-03-13	VYDAJ	PREVOD NA UCET	762	55984	POJISTNE	WX	51038181
819249	2789	1997-04-13	VYDAJ	PREVOD NA UCET	762	63879	POJISTNE	WX	51038181
819250	2789	1997-05-13	VYDAJ	PREVOD NA UCET	762	67195	POJISTNE	WX	51038181
819251	2789	1997-06-13	VYDAJ	PREVOD NA UCET	762	76400	POJISTNE	WX	51038181
819252	2789	1997-07-13	VYDAJ	PREVOD NA UCET	762	50236	POJISTNE	WX	51038181
819253	2789	1997-08-13	VYDAJ	PREVOD NA UCET	762	60613	POJISTNE	WX	51038181
819254	2789	1997-09-13	VYDAJ	PREVOD NA UCET	762	59722	POJISTNE	WX	51038181
819255	2789	1997-10-13	VYDAJ	PREVOD NA UCET	762	61041	POJISTNE	WX	51038181
819256	2789	1997-11-13	VYDAJ	PREVOD NA UCET	762	56170	POJISTNE	WX	51038181
819257	2789	1997-12-13	VYDAJ	PREVOD NA UCET	762	54960	POJISTNE	WX	51038181
819258	2789	1998-01-13	VYDAJ	PREVOD NA UCET	762	51761	POJISTNE	WX	51038181
819259	2789	1998-02-13	VYDAJ	PREVOD NA UCET	762	46947	POJISTNE	WX	51038181
819260	2789	1998-03-13	VYDAJ	PREVOD NA UCET	762	45316	POJISTNE	WX	51038181
819261	2789	1998-04-13	VYDAJ	PREVOD NA UCET	762	46573	POJISTNE	WX	51038181
819262	2789	1998-05-13	VYDAJ	PREVOD NA UCET	762	42939	POJISTNE	WX	51038181
819360	2789	1997-09-30	VYDAJ	VYBER	15	59718	SLUZBY	\N	\N
819263	2789	1998-06-13	VYDAJ	PREVOD NA UCET	762	50474	POJISTNE	WX	51038181
819264	2789	1998-07-13	VYDAJ	PREVOD NA UCET	762	40818	POJISTNE	WX	51038181
819265	2789	1998-08-13	VYDAJ	PREVOD NA UCET	762	49441	POJISTNE	WX	51038181
819266	2789	1998-09-13	VYDAJ	PREVOD NA UCET	762	57416	POJISTNE	WX	51038181
819267	2789	1998-10-13	VYDAJ	PREVOD NA UCET	762	67727	POJISTNE	WX	51038181
819268	2789	1998-11-13	VYDAJ	PREVOD NA UCET	762	76978	POJISTNE	WX	51038181
819269	2789	1998-12-13	VYDAJ	PREVOD NA UCET	762	88843	POJISTNE	WX	51038181
819270	2789	1994-06-12	VYDAJ	VYBER	15500	34592	\N	\N	\N
819271	2789	1995-06-21	VYDAJ	VYBER	14900	35050	\N	\N	\N
819272	2789	1996-06-06	VYDAJ	VYBER	24900	18551	\N	\N	\N
819273	2789	1997-06-29	VYDAJ	VYBER	22900	40971	\N	\N	\N
819274	2789	1998-06-23	VYDAJ	VYBER	26700	19145	\N	\N	\N
819276	2789	1995-01-22	VYDAJ	VYBER	7400	35769	\N	\N	\N
819277	2789	1996-01-19	VYDAJ	VYBER	9200	34281	\N	\N	\N
819278	2789	1997-01-28	VYDAJ	VYBER	9900	40402	\N	\N	\N
819279	2789	1998-01-13	VYDAJ	VYBER	5700	46061	\N	\N	\N
819280	2789	1994-12-28	VYDAJ	VYBER	2600	34200	\N	\N	\N
819281	2789	1995-12-24	VYDAJ	VYBER	600	39010	\N	\N	\N
819282	2789	1996-12-23	VYDAJ	VYBER	1600	52304	\N	\N	\N
819283	2789	1997-12-12	VYDAJ	VYBER	2300	58687	\N	\N	\N
819284	2789	1998-12-12	VYDAJ	VYBER	900	92570	\N	\N	\N
819285	2789	1994-12-02	VYDAJ	VYBER	1000	36831	\N	\N	\N
819286	2789	1994-09-24	VYDAJ	VYBER	1500	39985	\N	\N	\N
819287	2789	1994-05-24	VYDAJ	VYBER	1000	41666	\N	\N	\N
819289	2789	1994-12-14	VYDAJ	VYBER	3300	48700	\N	\N	\N
819290	2789	1995-12-08	VYDAJ	VYBER	2300	57866	\N	\N	\N
819291	2789	1995-05-20	VYDAJ	VYBER	1000	42834	\N	\N	\N
819292	2789	1995-10-02	VYDAJ	VYBER	500	38422	\N	\N	\N
819293	2789	1995-09-06	VYDAJ	VYBER	4800	33372	\N	\N	\N
819294	2789	1995-06-03	VYDAJ	VYBER	600	34781	\N	\N	\N
819295	2789	1995-12-13	VYDAJ	VYBER	2800	52101	\N	\N	\N
819296	2789	1995-06-21	VYDAJ	VYBER	1000	34050	\N	\N	\N
819297	2789	1996-03-09	VYDAJ	VYBER	4900	47520	\N	\N	\N
819298	2789	1996-06-23	VYDAJ	VYBER	4900	30920	\N	\N	\N
819299	2789	1996-08-30	VYDAJ	VYBER	2600	39174	\N	\N	\N
819300	2789	1996-02-23	VYDAJ	VYBER	2700	39521	\N	\N	\N
819301	2789	1996-05-22	VYDAJ	VYBER	2100	43274	\N	\N	\N
819302	2789	1996-03-26	VYDAJ	VYBER	800	38964	\N	\N	\N
819303	2789	1996-01-10	VYDAJ	VYBER	4500	47437	\N	\N	\N
819304	2789	1997-11-20	VYDAJ	VYBER	4700	51241	\N	\N	\N
819305	2789	1997-08-20	VYDAJ	VYBER	4700	55684	\N	\N	\N
819306	2789	1997-11-04	VYDAJ	VYBER	4700	56347	\N	\N	\N
819307	2789	1998-07-24	VYDAJ	VYBER	900	39689	\N	\N	\N
819308	2789	1998-02-03	VYDAJ	VYBER	1700	44324	\N	\N	\N
819309	2789	1998-02-19	VYDAJ	VYBER	4500	42218	\N	\N	\N
819310	2789	1998-06-14	VYDAJ	VYBER	4400	45845	\N	\N	\N
819311	2789	1998-03-22	VYDAJ	VYBER	2900	42187	\N	\N	\N
819312	2789	1998-01-03	VYDAJ	VYBER	2200	52738	\N	\N	\N
819313	2789	1998-08-04	VYDAJ	VYBER	700	39118	\N	\N	\N
819314	2789	1998-05-09	VYDAJ	VYBER	4200	55066	\N	\N	\N
819320	2789	1994-05-31	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
819321	2789	1994-06-30	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
819322	2789	1994-07-31	VYDAJ	VYBER	15	31360	SLUZBY	\N	\N
819323	2789	1994-08-31	VYDAJ	VYBER	15	32691	SLUZBY	\N	\N
819324	2789	1994-09-30	VYDAJ	VYBER	15	35827	SLUZBY	\N	\N
819325	2789	1994-10-31	VYDAJ	VYBER	15	37775	SLUZBY	\N	\N
819326	2789	1994-11-30	VYDAJ	VYBER	15	37831	SLUZBY	\N	\N
819327	2789	1994-12-31	VYDAJ	VYBER	15	34375	SLUZBY	\N	\N
819328	2789	1995-01-31	VYDAJ	VYBER	15	32209	SLUZBY	\N	\N
819329	2789	1995-02-28	VYDAJ	VYBER	15	37242	SLUZBY	\N	\N
819330	2789	1995-03-31	VYDAJ	VYBER	15	36094	SLUZBY	\N	\N
819331	2789	1995-04-30	VYDAJ	VYBER	15	35040	SLUZBY	\N	\N
819332	2789	1995-05-31	VYDAJ	VYBER	15	35381	SLUZBY	\N	\N
819333	2789	1995-06-30	VYDAJ	VYBER	15	30008	SLUZBY	\N	\N
819334	2789	1995-07-31	VYDAJ	VYBER	15	34332	SLUZBY	\N	\N
819335	2789	1995-08-31	VYDAJ	VYBER	15	38172	SLUZBY	\N	\N
819336	2789	1995-09-30	VYDAJ	VYBER	15	38922	SLUZBY	\N	\N
819337	2789	1995-10-31	VYDAJ	VYBER	15	39384	SLUZBY	\N	\N
819338	2789	1995-11-30	VYDAJ	VYBER	15	41041	SLUZBY	\N	\N
819339	2789	1995-12-31	VYDAJ	VYBER	15	39187	SLUZBY	\N	\N
819340	2789	1996-01-31	VYDAJ	VYBER	15	34927	SLUZBY	\N	\N
819341	2789	1996-02-29	VYDAJ	VYBER	15	39670	SLUZBY	\N	\N
819342	2789	1996-03-31	VYDAJ	VYBER	15	39121	SLUZBY	\N	\N
819343	2789	1996-04-30	VYDAJ	VYBER	15	44280	SLUZBY	\N	\N
819344	2789	1996-05-31	VYDAJ	VYBER	15	43451	SLUZBY	\N	\N
819345	2789	1996-06-30	VYDAJ	VYBER	15	31054	SLUZBY	\N	\N
819346	2789	1996-07-31	VYDAJ	VYBER	15	36580	SLUZBY	\N	\N
819347	2789	1996-08-31	VYDAJ	VYBER	15	39327	SLUZBY	\N	\N
819348	2789	1996-09-30	VYDAJ	VYBER	15	43383	SLUZBY	\N	\N
819349	2789	1996-10-31	VYDAJ	VYBER	15	46854	SLUZBY	\N	\N
819350	2789	1996-11-30	VYDAJ	VYBER	15	48335	SLUZBY	\N	\N
819351	2789	1996-12-31	VYDAJ	VYBER	15	52508	SLUZBY	\N	\N
819352	2789	1997-01-31	VYDAJ	VYBER	15	40598	SLUZBY	\N	\N
819353	2789	1997-02-28	VYDAJ	VYBER	15	46961	SLUZBY	\N	\N
819354	2789	1997-03-31	VYDAJ	VYBER	15	54856	SLUZBY	\N	\N
819355	2789	1997-04-30	VYDAJ	VYBER	15	58172	SLUZBY	\N	\N
819356	2789	1997-05-31	VYDAJ	VYBER	15	61002	SLUZBY	\N	\N
819357	2789	1997-06-30	VYDAJ	VYBER	15	41213	SLUZBY	\N	\N
819358	2789	1997-07-31	VYDAJ	VYBER	15	51890	SLUZBY	\N	\N
819359	2789	1997-08-31	VYDAJ	VYBER	15	55899	SLUZBY	\N	\N
819361	2789	1997-10-31	VYDAJ	VYBER	15	61047	SLUZBY	\N	\N
819362	2789	1997-11-30	VYDAJ	VYBER	15	51462	SLUZBY	\N	\N
819363	2789	1997-12-31	VYDAJ	VYBER	15	54938	SLUZBY	\N	\N
819364	2789	1998-01-31	VYDAJ	VYBER	15	46024	SLUZBY	\N	\N
819365	2789	1998-02-28	VYDAJ	VYBER	15	42393	SLUZBY	\N	\N
819366	2789	1998-03-31	VYDAJ	VYBER	15	42350	SLUZBY	\N	\N
819367	2789	1998-04-30	VYDAJ	VYBER	15	46516	SLUZBY	\N	\N
819368	2789	1998-05-31	VYDAJ	VYBER	15	42876	SLUZBY	\N	\N
819369	2789	1998-06-30	VYDAJ	VYBER	15	19295	SLUZBY	\N	\N
819370	2789	1998-07-31	VYDAJ	VYBER	15	39818	SLUZBY	\N	\N
819371	2789	1998-08-31	VYDAJ	VYBER	15	49393	SLUZBY	\N	\N
819372	2789	1998-09-30	VYDAJ	VYBER	15	57404	SLUZBY	\N	\N
819373	2789	1998-10-31	VYDAJ	VYBER	15	67755	SLUZBY	\N	\N
819374	2789	1998-11-30	VYDAJ	VYBER	15	77045	SLUZBY	\N	\N
819375	2789	1994-01-31	PRIJEM	VKLAD	6800	20150	\N	\N	\N
819376	2789	1994-03-02	VYDAJ	VYBER	3100	29930	\N	\N	\N
819377	2789	1994-04-01	VYDAJ	VYBER	11400	31439	\N	\N	\N
819378	2789	1994-05-01	VYDAJ	VYBER	10500	33872	\N	\N	\N
819379	2789	1994-05-31	VYDAJ	VYBER	7900	33932	\N	\N	\N
819380	2789	1994-06-30	VYDAJ	VYBER	4900	28854	\N	\N	\N
819381	2789	1994-07-30	VYDAJ	VYBER	6400	31233	\N	\N	\N
819382	2789	1994-08-29	VYDAJ	VYBER	7600	32554	\N	\N	\N
819383	2789	1994-09-28	VYDAJ	VYBER	4300	35685	\N	\N	\N
819384	2789	1994-10-28	VYDAJ	VYBER	7000	37621	\N	\N	\N
819385	2789	1994-11-27	VYDAJ	VYBER	8900	37669	\N	\N	\N
819386	2789	1994-12-27	VYDAJ	VYBER	11900	36800	\N	\N	\N
819387	2789	1995-01-26	VYDAJ	VYBER	3700	32069	\N	\N	\N
819388	2789	1995-02-25	VYDAJ	VYBER	3900	37103	\N	\N	\N
819389	2789	1995-03-27	VYDAJ	VYBER	10100	35936	\N	\N	\N
819390	2789	1995-04-26	VYDAJ	VYBER	10000	34888	\N	\N	\N
819391	2789	1995-05-26	VYDAJ	VYBER	7600	35234	\N	\N	\N
819392	2789	1995-06-25	VYDAJ	VYBER	4200	29850	\N	\N	\N
819393	2789	1995-07-25	VYDAJ	VYBER	4600	34202	\N	\N	\N
819394	2789	1995-08-24	VYDAJ	VYBER	5100	38026	\N	\N	\N
819395	2789	1995-09-23	VYDAJ	VYBER	3400	38766	\N	\N	\N
819396	2789	1995-10-23	VYDAJ	VYBER	8000	39216	\N	\N	\N
819397	2789	1995-11-22	VYDAJ	VYBER	7300	40878	\N	\N	\N
819398	2789	1995-12-22	VYDAJ	VYBER	11500	39610	\N	\N	\N
819399	2789	1996-01-21	PRIJEM	VKLAD	500	34781	\N	\N	\N
819400	2789	1996-02-20	VYDAJ	VYBER	1500	42221	\N	\N	\N
819401	2789	1996-03-21	VYDAJ	VYBER	3800	39764	\N	\N	\N
819402	2789	1996-04-20	VYDAJ	VYBER	3800	44115	\N	\N	\N
819403	2789	1996-05-20	VYDAJ	VYBER	7700	45374	\N	\N	\N
819404	2789	1996-06-19	PRIJEM	VKLAD	2100	35820	\N	\N	\N
819405	2789	1996-07-19	VYDAJ	VYBER	3400	36448	\N	\N	\N
819406	2789	1996-08-18	VYDAJ	VYBER	3600	41774	\N	\N	\N
819407	2789	1996-09-17	VYDAJ	VYBER	4900	43221	\N	\N	\N
819408	2789	1996-10-17	VYDAJ	VYBER	5500	46677	\N	\N	\N
819409	2789	1996-11-16	VYDAJ	VYBER	7500	48148	\N	\N	\N
819410	2789	1996-12-16	VYDAJ	VYBER	9600	53904	\N	\N	\N
819411	2789	1997-01-15	VYDAJ	VYBER	11000	50302	\N	\N	\N
819412	2789	1997-02-14	VYDAJ	VYBER	2600	46792	\N	\N	\N
819413	2789	1997-03-16	VYDAJ	VYBER	1100	54655	\N	\N	\N
819414	2789	1997-04-15	VYDAJ	VYBER	5700	57950	\N	\N	\N
819415	2789	1997-05-15	VYDAJ	VYBER	6200	60766	\N	\N	\N
819416	2789	1997-06-14	VYDAJ	VYBER	12300	64100	\N	\N	\N
819417	2789	1997-07-14	PRIJEM	VKLAD	1700	51936	\N	\N	\N
819418	2789	1997-08-13	VYDAJ	VYBER	300	61375	\N	\N	\N
819419	2789	1997-09-12	VYDAJ	VYBER	5200	60484	\N	\N	\N
819420	2789	1997-10-12	VYDAJ	VYBER	7700	61803	\N	\N	\N
819421	2789	1997-11-11	VYDAJ	VYBER	9200	59897	\N	\N	\N
819422	2789	1997-12-11	VYDAJ	VYBER	9600	60987	\N	\N	\N
819423	2789	1998-01-10	VYDAJ	VYBER	10000	55488	\N	\N	\N
819424	2789	1998-02-09	VYDAJ	VYBER	6400	50674	\N	\N	\N
819425	2789	1998-03-11	VYDAJ	VYBER	6100	49043	\N	\N	\N
819426	2789	1998-04-10	VYDAJ	VYBER	4800	50300	\N	\N	\N
819427	2789	1998-05-10	VYDAJ	VYBER	8400	46666	\N	\N	\N
819428	2789	1998-06-09	VYDAJ	VYBER	7800	54201	\N	\N	\N
819429	2789	1998-07-09	PRIJEM	VKLAD	12500	44545	\N	\N	\N
819430	2789	1998-08-08	PRIJEM	VKLAD	1300	53168	\N	\N	\N
819431	2789	1998-09-07	VYDAJ	VYBER	1000	61143	\N	\N	\N
819432	2789	1998-10-07	PRIJEM	VKLAD	1300	71454	\N	\N	\N
819433	2789	1998-11-06	PRIJEM	VKLAD	200	67955	\N	\N	\N
819434	2789	1998-12-06	VYDAJ	VYBER	2700	74345	\N	\N	\N
819495	2790	1994-10-18	PRIJEM	VKLAD	200	200	\N	\N	\N
819506	2790	1994-11-07	PRIJEM	VKLAD	15681	15881	\N	\N	\N
819507	2790	1994-12-07	PRIJEM	VKLAD	23522	45846	\N	\N	\N
819508	2790	1995-01-07	PRIJEM	VKLAD	15681	49143	\N	\N	\N
819509	2790	1995-02-07	PRIJEM	VKLAD	15681	51467	\N	\N	\N
819510	2790	1995-03-07	PRIJEM	VKLAD	15681	57209	\N	\N	\N
819511	2790	1995-04-07	PRIJEM	VKLAD	15681	51181	\N	\N	\N
819512	2790	1995-05-07	PRIJEM	VKLAD	15681	48233	\N	\N	\N
819513	2790	1995-06-07	PRIJEM	VKLAD	23522	52623	\N	\N	\N
819514	2790	1995-07-07	PRIJEM	VKLAD	15681	54993	\N	\N	\N
819515	2790	1995-08-07	PRIJEM	VKLAD	15681	54566	\N	\N	\N
819516	2790	1995-09-07	PRIJEM	VKLAD	15681	51832	\N	\N	\N
819517	2790	1995-10-07	PRIJEM	VKLAD	15681	54998	\N	\N	\N
819518	2790	1995-11-07	PRIJEM	VKLAD	15681	52770	\N	\N	\N
819519	2790	1995-12-07	PRIJEM	VKLAD	23522	64388	\N	\N	\N
819520	2790	1996-01-07	PRIJEM	VKLAD	15681	57483	\N	\N	\N
819521	2790	1996-02-07	PRIJEM	VKLAD	15681	45859	\N	\N	\N
819522	2790	1996-03-07	PRIJEM	VKLAD	15681	58125	\N	\N	\N
819523	2790	1996-04-07	PRIJEM	VKLAD	15681	59212	\N	\N	\N
819524	2790	1996-05-07	PRIJEM	VKLAD	15681	58397	\N	\N	\N
819525	2790	1996-06-07	PRIJEM	VKLAD	23522	73040	\N	\N	\N
819526	2790	1996-07-07	PRIJEM	VKLAD	15681	47119	\N	\N	\N
819527	2790	1996-08-07	PRIJEM	VKLAD	15681	58704	\N	\N	\N
819528	2790	1996-09-07	PRIJEM	VKLAD	15681	63704	\N	\N	\N
819529	2790	1996-10-07	PRIJEM	VKLAD	15681	62307	\N	\N	\N
819530	2790	1996-11-07	PRIJEM	VKLAD	15681	65413	\N	\N	\N
819531	2790	1996-12-07	PRIJEM	VKLAD	23522	79278	\N	\N	\N
819532	2790	1997-01-07	PRIJEM	VKLAD	15681	75359	\N	\N	\N
819533	2790	1997-02-07	PRIJEM	VKLAD	15681	68024	\N	\N	\N
819534	2790	1997-03-07	PRIJEM	VKLAD	15681	72172	\N	\N	\N
819535	2790	1997-04-07	PRIJEM	VKLAD	15681	73335	\N	\N	\N
819536	2790	1997-05-07	PRIJEM	VKLAD	15681	75506	\N	\N	\N
819537	2790	1997-06-07	PRIJEM	VKLAD	23522	89028	\N	\N	\N
819538	2790	1997-07-07	PRIJEM	VKLAD	15681	83052	\N	\N	\N
819539	2790	1997-08-07	PRIJEM	VKLAD	15681	85767	\N	\N	\N
819540	2790	1997-09-07	PRIJEM	VKLAD	15681	94191	\N	\N	\N
819541	2790	1997-10-07	PRIJEM	VKLAD	15681	97545	\N	\N	\N
819542	2790	1997-11-07	PRIJEM	VKLAD	15681	102009	\N	\N	\N
819543	2790	1997-12-07	PRIJEM	VKLAD	23522	113236	\N	\N	\N
819544	2790	1998-01-07	PRIJEM	VKLAD	15681	88659	\N	\N	\N
819545	2790	1998-02-07	PRIJEM	VKLAD	15681	86451	\N	\N	\N
819546	2790	1998-03-07	PRIJEM	VKLAD	15681	94160	\N	\N	\N
819547	2790	1998-04-07	PRIJEM	VKLAD	15681	98809	\N	\N	\N
819548	2790	1998-05-07	PRIJEM	VKLAD	15681	102378	\N	\N	\N
819549	2790	1998-06-07	PRIJEM	VKLAD	23522	118207	\N	\N	\N
819550	2790	1998-07-07	PRIJEM	VKLAD	15681	99969	\N	\N	\N
819551	2790	1998-08-07	PRIJEM	VKLAD	15681	112545	\N	\N	\N
819552	2790	1998-09-07	PRIJEM	VKLAD	15681	114269	\N	\N	\N
819553	2790	1998-10-07	PRIJEM	VKLAD	15681	121001	\N	\N	\N
819554	2790	1998-11-07	PRIJEM	VKLAD	15681	106997	\N	\N	\N
819555	2790	1998-12-07	PRIJEM	VKLAD	23522	120939	\N	\N	\N
819570	2790	1995-03-09	VYDAJ	PREVOD NA UCET	8862	48347	SIPO	WX	30340635
819571	2790	1995-04-09	VYDAJ	PREVOD NA UCET	8862	42319	SIPO	WX	30340635
819572	2790	1995-05-09	VYDAJ	PREVOD NA UCET	8862	39371	SIPO	WX	30340635
819573	2790	1995-06-09	VYDAJ	PREVOD NA UCET	8862	43761	SIPO	WX	30340635
819574	2790	1995-07-09	VYDAJ	PREVOD NA UCET	8862	46131	SIPO	WX	30340635
819575	2790	1995-08-09	VYDAJ	PREVOD NA UCET	8862	45704	SIPO	WX	30340635
819576	2790	1995-09-09	VYDAJ	PREVOD NA UCET	8862	42970	SIPO	WX	30340635
819577	2790	1995-10-09	VYDAJ	PREVOD NA UCET	8862	46136	SIPO	WX	30340635
819578	2790	1995-11-09	VYDAJ	PREVOD NA UCET	8862	43908	SIPO	WX	30340635
819579	2790	1995-12-09	VYDAJ	PREVOD NA UCET	8862	55526	SIPO	WX	30340635
819580	2790	1996-01-09	VYDAJ	PREVOD NA UCET	8862	48621	SIPO	WX	30340635
819581	2790	1996-02-09	VYDAJ	PREVOD NA UCET	8862	36997	SIPO	WX	30340635
819582	2790	1996-03-09	VYDAJ	PREVOD NA UCET	8862	47263	SIPO	WX	30340635
819583	2790	1996-04-09	VYDAJ	PREVOD NA UCET	8862	50350	SIPO	WX	30340635
819584	2790	1996-05-09	VYDAJ	PREVOD NA UCET	8862	49535	SIPO	WX	30340635
819585	2790	1996-06-09	VYDAJ	PREVOD NA UCET	8862	57878	SIPO	WX	30340635
819586	2790	1996-07-09	VYDAJ	PREVOD NA UCET	8862	47657	SIPO	WX	30340635
819587	2790	1996-08-09	VYDAJ	PREVOD NA UCET	8862	47842	SIPO	WX	30340635
819588	2790	1996-09-09	VYDAJ	PREVOD NA UCET	8862	47342	SIPO	WX	30340635
819589	2790	1996-10-09	VYDAJ	PREVOD NA UCET	8862	48445	SIPO	WX	30340635
819590	2790	1996-11-09	VYDAJ	PREVOD NA UCET	8862	52851	SIPO	WX	30340635
819591	2790	1996-12-09	VYDAJ	PREVOD NA UCET	8862	70416	SIPO	WX	30340635
819592	2790	1997-01-09	VYDAJ	PREVOD NA UCET	8862	66497	SIPO	WX	30340635
819593	2790	1997-02-09	VYDAJ	PREVOD NA UCET	8862	59162	SIPO	WX	30340635
819594	2790	1997-03-09	VYDAJ	PREVOD NA UCET	8862	63310	SIPO	WX	30340635
819595	2790	1997-04-09	VYDAJ	PREVOD NA UCET	8862	64473	SIPO	WX	30340635
819596	2790	1997-05-09	VYDAJ	PREVOD NA UCET	8862	66644	SIPO	WX	30340635
819597	2790	1997-06-09	VYDAJ	PREVOD NA UCET	8862	80166	SIPO	WX	30340635
819598	2790	1997-07-09	VYDAJ	PREVOD NA UCET	8862	74190	SIPO	WX	30340635
819599	2790	1997-08-09	VYDAJ	PREVOD NA UCET	8862	76905	SIPO	WX	30340635
819600	2790	1997-09-09	VYDAJ	PREVOD NA UCET	8862	85329	SIPO	WX	30340635
819601	2790	1997-10-09	VYDAJ	PREVOD NA UCET	8862	88683	SIPO	WX	30340635
819602	2790	1997-11-09	VYDAJ	PREVOD NA UCET	8862	93147	SIPO	WX	30340635
819603	2790	1997-12-09	VYDAJ	PREVOD NA UCET	8862	70574	SIPO	WX	30340635
819604	2790	1998-01-09	VYDAJ	PREVOD NA UCET	8862	79797	SIPO	WX	30340635
819605	2790	1998-02-09	VYDAJ	PREVOD NA UCET	8862	73089	SIPO	WX	30340635
819606	2790	1998-03-09	VYDAJ	PREVOD NA UCET	8862	85298	SIPO	WX	30340635
819607	2790	1998-04-09	VYDAJ	PREVOD NA UCET	8862	89947	SIPO	WX	30340635
819608	2790	1998-05-09	VYDAJ	PREVOD NA UCET	8862	93516	SIPO	WX	30340635
819609	2790	1998-06-09	VYDAJ	PREVOD NA UCET	8862	92045	SIPO	WX	30340635
819610	2790	1998-07-09	VYDAJ	PREVOD NA UCET	8862	91107	SIPO	WX	30340635
819611	2790	1998-08-09	VYDAJ	PREVOD NA UCET	8862	103683	SIPO	WX	30340635
819612	2790	1998-09-09	VYDAJ	PREVOD NA UCET	8862	105407	SIPO	WX	30340635
819613	2790	1998-10-09	VYDAJ	PREVOD NA UCET	8862	89339	SIPO	WX	30340635
819614	2790	1998-11-09	VYDAJ	PREVOD NA UCET	8862	98135	SIPO	WX	30340635
819615	2790	1998-12-09	VYDAJ	PREVOD NA UCET	8862	64777	SIPO	WX	30340635
819617	2790	1995-06-02	VYDAJ	VYBER	4500	29101	\N	\N	\N
819618	2790	1996-06-14	VYDAJ	VYBER	26600	31278	\N	\N	\N
819619	2790	1997-06-26	VYDAJ	VYBER	5900	74266	\N	\N	\N
819620	2790	1998-06-18	VYDAJ	VYBER	20200	71845	\N	\N	\N
819623	2790	1996-01-28	VYDAJ	VYBER	5600	30021	\N	\N	\N
819624	2790	1997-01-25	VYDAJ	VYBER	3700	53897	\N	\N	\N
819625	2790	1998-01-15	VYDAJ	VYBER	9500	66697	\N	\N	\N
819627	2790	1995-12-24	VYDAJ	VYBER	2700	44526	\N	\N	\N
819628	2790	1996-12-10	VYDAJ	VYBER	1500	68916	\N	\N	\N
819629	2790	1997-12-27	VYDAJ	VYBER	1100	67774	\N	\N	\N
819630	2790	1998-12-24	VYDAJ	VYBER	2700	62077	\N	\N	\N
819643	2790	1996-01-21	VYDAJ	VYBER	1600	37121	\N	\N	\N
819644	2790	1996-01-15	VYDAJ	VYBER	2200	43121	\N	\N	\N
819645	2790	1996-01-20	VYDAJ	VYBER	2300	38721	\N	\N	\N
819646	2790	1996-01-17	VYDAJ	VYBER	2100	41021	\N	\N	\N
819647	2790	1996-01-12	VYDAJ	VYBER	1100	45321	\N	\N	\N
819648	2790	1996-01-04	VYDAJ	VYBER	2900	41802	\N	\N	\N
819649	2790	1997-01-01	VYDAJ	VYBER	900	68278	\N	\N	\N
819650	2790	1997-01-24	VYDAJ	VYBER	2800	57597	\N	\N	\N
819651	2790	1997-01-22	VYDAJ	VYBER	2400	60397	\N	\N	\N
819652	2790	1997-01-17	VYDAJ	VYBER	2000	62797	\N	\N	\N
819653	2790	1997-01-06	VYDAJ	VYBER	600	59678	\N	\N	\N
819654	2790	1997-01-16	VYDAJ	VYBER	1700	64797	\N	\N	\N
819655	2790	1998-01-15	VYDAJ	VYBER	2900	76197	\N	\N	\N
819656	2790	1998-01-18	VYDAJ	VYBER	2800	63397	\N	\N	\N
819657	2790	1998-01-28	VYDAJ	VYBER	2100	57997	\N	\N	\N
819658	2790	1998-01-26	VYDAJ	VYBER	1500	60097	\N	\N	\N
819659	2790	1998-01-17	VYDAJ	VYBER	500	66197	\N	\N	\N
819660	2790	1998-01-24	VYDAJ	VYBER	1800	61597	\N	\N	\N
819663	2790	1995-08-16	VYDAJ	VYBER	1300	37104	\N	\N	\N
819664	2790	1995-11-04	VYDAJ	VYBER	2300	37089	\N	\N	\N
819665	2790	1995-08-27	VYDAJ	VYBER	1100	36004	\N	\N	\N
819666	2790	1996-04-12	VYDAJ	VYBER	4700	42550	\N	\N	\N
819667	2790	1996-01-22	VYDAJ	VYBER	1500	35621	\N	\N	\N
819668	2790	1996-11-08	VYDAJ	VYBER	3700	61713	\N	\N	\N
819669	2790	1996-09-20	VYDAJ	VYBER	900	46442	\N	\N	\N
819670	2790	1996-07-17	VYDAJ	VYBER	4800	42857	\N	\N	\N
819671	2790	1996-03-08	VYDAJ	VYBER	2000	56125	\N	\N	\N
819672	2790	1997-03-24	VYDAJ	VYBER	3600	59710	\N	\N	\N
819673	2790	1997-06-03	VYDAJ	VYBER	3900	63006	\N	\N	\N
819674	2790	1997-12-13	VYDAJ	VYBER	1700	68874	\N	\N	\N
819675	2790	1997-10-04	VYDAJ	VYBER	2800	81864	\N	\N	\N
819676	2790	1997-10-19	VYDAJ	VYBER	4000	84683	\N	\N	\N
819677	2790	1998-01-14	VYDAJ	VYBER	700	79097	\N	\N	\N
819678	2790	1998-08-31	VYDAJ	VYBER	2700	98588	\N	\N	\N
819679	2790	1998-02-07	VYDAJ	VYBER	4500	81951	\N	\N	\N
819680	2790	1998-03-15	VYDAJ	VYBER	600	84698	\N	\N	\N
819696	2790	1995-03-31	VYDAJ	VYBER	15	35500	SLUZBY	\N	\N
819697	2790	1995-04-30	VYDAJ	VYBER	15	32552	SLUZBY	\N	\N
819698	2790	1995-05-31	VYDAJ	VYBER	15	33601	SLUZBY	\N	\N
819699	2790	1995-06-30	VYDAJ	VYBER	15	39312	SLUZBY	\N	\N
819700	2790	1995-07-31	VYDAJ	VYBER	15	38885	SLUZBY	\N	\N
819701	2790	1995-08-31	VYDAJ	VYBER	15	36151	SLUZBY	\N	\N
819702	2790	1995-09-30	VYDAJ	VYBER	15	39317	SLUZBY	\N	\N
819703	2790	1995-10-31	VYDAJ	VYBER	15	39389	SLUZBY	\N	\N
819704	2790	1995-11-30	VYDAJ	VYBER	15	40866	SLUZBY	\N	\N
819705	2790	1995-12-31	VYDAJ	VYBER	15	44702	SLUZBY	\N	\N
819706	2790	1996-01-31	VYDAJ	VYBER	15	30178	SLUZBY	\N	\N
819707	2790	1996-02-29	VYDAJ	VYBER	15	42444	SLUZBY	\N	\N
819708	2790	1996-03-31	VYDAJ	VYBER	15	43531	SLUZBY	\N	\N
819709	2790	1996-04-30	VYDAJ	VYBER	15	42716	SLUZBY	\N	\N
819710	2790	1996-05-31	VYDAJ	VYBER	15	49518	SLUZBY	\N	\N
819711	2790	1996-06-30	VYDAJ	VYBER	15	31438	SLUZBY	\N	\N
819712	2790	1996-07-31	VYDAJ	VYBER	15	43023	SLUZBY	\N	\N
819713	2790	1996-08-31	VYDAJ	VYBER	15	48023	SLUZBY	\N	\N
819714	2790	1996-09-30	VYDAJ	VYBER	15	46626	SLUZBY	\N	\N
819715	2790	1996-10-31	VYDAJ	VYBER	15	48632	SLUZBY	\N	\N
819716	2790	1996-11-30	VYDAJ	VYBER	15	53056	SLUZBY	\N	\N
819717	2790	1996-12-31	VYDAJ	VYBER	15	69178	SLUZBY	\N	\N
819718	2790	1997-01-31	VYDAJ	VYBER	15	54143	SLUZBY	\N	\N
819719	2790	1997-02-28	VYDAJ	VYBER	15	59391	SLUZBY	\N	\N
819720	2790	1997-03-31	VYDAJ	VYBER	15	59954	SLUZBY	\N	\N
819721	2790	1997-04-30	VYDAJ	VYBER	15	64725	SLUZBY	\N	\N
819722	2790	1997-05-31	VYDAJ	VYBER	15	66906	SLUZBY	\N	\N
819723	2790	1997-06-30	VYDAJ	VYBER	15	74571	SLUZBY	\N	\N
819724	2790	1997-07-31	VYDAJ	VYBER	15	74486	SLUZBY	\N	\N
819725	2790	1997-08-31	VYDAJ	VYBER	15	77210	SLUZBY	\N	\N
819726	2790	1997-09-30	VYDAJ	VYBER	15	85664	SLUZBY	\N	\N
819727	2790	1997-10-31	VYDAJ	VYBER	15	85028	SLUZBY	\N	\N
819728	2790	1997-11-30	VYDAJ	VYBER	15	93514	SLUZBY	\N	\N
819729	2790	1997-12-31	VYDAJ	VYBER	15	72978	SLUZBY	\N	\N
819730	2790	1998-01-31	VYDAJ	VYBER	15	70770	SLUZBY	\N	\N
819731	2790	1998-02-28	VYDAJ	VYBER	15	73379	SLUZBY	\N	\N
819732	2790	1998-03-31	VYDAJ	VYBER	15	83128	SLUZBY	\N	\N
819733	2790	1998-04-30	VYDAJ	VYBER	15	90297	SLUZBY	\N	\N
819734	2790	1998-05-31	VYDAJ	VYBER	15	94685	SLUZBY	\N	\N
819735	2790	1998-06-30	VYDAJ	VYBER	15	84288	SLUZBY	\N	\N
819736	2790	1998-07-31	VYDAJ	VYBER	15	96864	SLUZBY	\N	\N
819737	2790	1998-08-31	VYDAJ	VYBER	15	101288	SLUZBY	\N	\N
819738	2790	1998-09-30	VYDAJ	VYBER	15	105320	SLUZBY	\N	\N
819739	2790	1998-10-31	VYDAJ	VYBER	15	91316	SLUZBY	\N	\N
819740	2790	1998-11-30	VYDAJ	VYBER	15	97417	SLUZBY	\N	\N
819741	2790	1994-11-17	PRIJEM	VKLAD	6400	22281	\N	\N	\N
819742	2790	1994-12-17	VYDAJ	VYBER	12500	33346	\N	\N	\N
819743	2790	1995-01-16	VYDAJ	VYBER	13500	35643	\N	\N	\N
819744	2790	1995-02-15	VYDAJ	VYBER	10100	41367	\N	\N	\N
819745	2790	1995-03-17	VYDAJ	VYBER	13000	35347	\N	\N	\N
819746	2790	1995-04-16	VYDAJ	VYBER	9900	32419	\N	\N	\N
819747	2790	1995-05-16	VYDAJ	VYBER	5900	33471	\N	\N	\N
819748	2790	1995-06-15	VYDAJ	VYBER	4600	39161	\N	\N	\N
819749	2790	1995-07-15	VYDAJ	VYBER	7400	38731	\N	\N	\N
819750	2790	1995-08-14	VYDAJ	VYBER	7300	38404	\N	\N	\N
819751	2790	1995-09-13	VYDAJ	VYBER	3800	39170	\N	\N	\N
819752	2790	1995-10-13	VYDAJ	VYBER	6900	39236	\N	\N	\N
819753	2790	1995-11-12	VYDAJ	VYBER	3200	40708	\N	\N	\N
819754	2790	1995-12-12	VYDAJ	VYBER	8300	47226	\N	\N	\N
819755	2790	1996-01-11	VYDAJ	VYBER	2200	46421	\N	\N	\N
819756	2790	1996-02-10	PRIJEM	VKLAD	5300	42297	\N	\N	\N
819757	2790	1996-03-11	VYDAJ	VYBER	3900	43363	\N	\N	\N
819758	2790	1996-04-10	VYDAJ	VYBER	3100	47250	\N	\N	\N
819759	2790	1996-05-10	VYDAJ	VYBER	200	49335	\N	\N	\N
819760	2790	1996-06-09	VYDAJ	VYBER	6300	66740	\N	\N	\N
819761	2790	1996-07-09	PRIJEM	VKLAD	9400	56519	\N	\N	\N
819762	2790	1996-08-08	VYDAJ	VYBER	2000	56704	\N	\N	\N
819763	2790	1996-09-07	VYDAJ	VYBER	7500	56204	\N	\N	\N
819764	2790	1996-10-07	VYDAJ	VYBER	5000	57307	\N	\N	\N
819765	2790	1996-11-06	PRIJEM	VKLAD	1100	49732	\N	\N	\N
819766	2790	1996-12-06	PRIJEM	VKLAD	2700	55756	\N	\N	\N
819767	2790	1997-01-05	VYDAJ	VYBER	8000	60278	\N	\N	\N
819768	2790	1997-02-04	VYDAJ	VYBER	1800	52343	\N	\N	\N
819769	2790	1997-03-06	VYDAJ	VYBER	2900	56491	\N	\N	\N
819770	2790	1997-04-05	VYDAJ	VYBER	2300	57654	\N	\N	\N
819771	2790	1997-05-05	VYDAJ	VYBER	4900	59825	\N	\N	\N
819772	2790	1997-06-04	PRIJEM	VKLAD	2500	65506	\N	\N	\N
819773	2790	1997-07-04	VYDAJ	VYBER	7200	67371	\N	\N	\N
819774	2790	1997-08-03	VYDAJ	VYBER	4400	70086	\N	\N	\N
819775	2790	1997-09-02	PRIJEM	VKLAD	1300	78510	\N	\N	\N
819776	2790	1997-10-02	VYDAJ	VYBER	1000	84664	\N	\N	\N
819777	2790	1997-11-01	PRIJEM	VKLAD	1300	86328	\N	\N	\N
819778	2790	1997-12-01	VYDAJ	VYBER	3800	89714	\N	\N	\N
819779	2790	1997-12-07	VYDAJ	VYBER	33800	79436	\N	\N	\N
819780	2790	1997-12-31	PRIJEM	VKLAD	4900	72992	\N	\N	\N
819781	2790	1998-01-30	PRIJEM	VKLAD	12500	70497	\N	\N	\N
819782	2790	1998-03-01	PRIJEM	VKLAD	5100	78479	\N	\N	\N
819783	2790	1998-03-31	VYDAJ	VYBER	1900	83142	\N	\N	\N
819784	2790	1998-04-30	VYDAJ	VYBER	3600	86697	\N	\N	\N
819785	2790	1998-05-30	PRIJEM	VKLAD	800	94316	\N	\N	\N
819786	2790	1998-06-07	VYDAJ	VYBER	17300	100907	\N	\N	\N
819787	2790	1998-06-29	PRIJEM	VKLAD	12100	83945	\N	\N	\N
819788	2790	1998-07-29	PRIJEM	VKLAD	5400	96507	\N	\N	\N
819789	2790	1998-08-28	VYDAJ	VYBER	2800	100883	\N	\N	\N
819790	2790	1998-09-27	VYDAJ	VYBER	500	104907	\N	\N	\N
819791	2790	1998-10-07	VYDAJ	VYBER	22800	98201	\N	\N	\N
819792	2790	1998-10-27	PRIJEM	VKLAD	1600	90939	\N	\N	\N
819793	2790	1998-11-26	VYDAJ	VYBER	1100	97035	\N	\N	\N
819794	2790	1998-12-07	VYDAJ	VYBER	47300	73639	\N	\N	\N
819845	2791	1997-12-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
819858	2791	1998-01-12	PRIJEM	PREVOD Z UCTU	5372	6472	DUCHOD	ST	38686323
819859	2791	1998-02-12	PRIJEM	PREVOD Z UCTU	5372	11844	DUCHOD	ST	38686323
819860	2791	1998-03-12	PRIJEM	PREVOD Z UCTU	5372	17216	DUCHOD	ST	38686323
819861	2791	1998-04-12	PRIJEM	PREVOD Z UCTU	5372	22588	DUCHOD	ST	38686323
819862	2791	1998-05-12	PRIJEM	PREVOD Z UCTU	5372	26198	DUCHOD	ST	38686323
819863	2791	1998-06-12	PRIJEM	PREVOD Z UCTU	5372	23513	DUCHOD	ST	38686323
819864	2791	1998-07-12	PRIJEM	PREVOD Z UCTU	5372	15846	DUCHOD	ST	38686323
819865	2791	1998-08-12	PRIJEM	PREVOD Z UCTU	5372	18051	DUCHOD	ST	38686323
819866	2791	1998-09-12	PRIJEM	PREVOD Z UCTU	5372	16905	DUCHOD	ST	38686323
819867	2791	1998-10-12	PRIJEM	PREVOD Z UCTU	5372	19116	DUCHOD	ST	38686323
819868	2791	1998-11-12	PRIJEM	PREVOD Z UCTU	5372	21335	DUCHOD	ST	38686323
819869	2791	1998-12-12	PRIJEM	PREVOD Z UCTU	5372	19562	DUCHOD	ST	38686323
819887	2791	1998-06-08	VYDAJ	PREVOD NA UCET	3215	18141	SIPO	GH	13939756
819888	2791	1998-07-08	VYDAJ	PREVOD NA UCET	3215	10474	SIPO	GH	13939756
819889	2791	1998-08-08	VYDAJ	PREVOD NA UCET	3215	12679	SIPO	GH	13939756
819890	2791	1998-09-08	VYDAJ	PREVOD NA UCET	3215	11533	SIPO	GH	13939756
819891	2791	1998-10-08	VYDAJ	PREVOD NA UCET	3215	13744	SIPO	GH	13939756
819892	2791	1998-11-08	VYDAJ	PREVOD NA UCET	3215	15963	SIPO	GH	13939756
819893	2791	1998-12-08	VYDAJ	PREVOD NA UCET	3215	14190	SIPO	GH	13939756
819895	2791	1998-06-28	VYDAJ	VYBER	9900	13613	\N	\N	\N
819897	2791	1998-12-27	VYDAJ	VYBER	750	18512	\N	\N	\N
819915	2791	1998-09-06	VYDAJ	VYBER	3360	14748	\N	\N	\N
819917	2791	1998-05-28	VYDAJ	VYBER	3920	21278	\N	\N	\N
819918	2791	1998-12-05	VYDAJ	VYBER	3600	17405	\N	\N	\N
819936	2791	1998-05-31	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
819937	2791	1998-06-30	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
819938	2791	1998-07-31	VYDAJ	VYBER	15	15894	SLUZBY	\N	\N
819939	2791	1998-08-31	VYDAJ	VYBER	15	18108	SLUZBY	\N	\N
819940	2791	1998-09-30	VYDAJ	VYBER	15	16959	SLUZBY	\N	\N
819941	2791	1998-10-31	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
819942	2791	1998-11-30	VYDAJ	VYBER	15	21005	SLUZBY	\N	\N
819943	2791	1998-04-18	VYDAJ	VYBER	1800	20788	\N	\N	\N
819944	2791	1998-05-18	VYDAJ	VYBER	1000	25198	\N	\N	\N
819945	2791	1998-11-14	VYDAJ	VYBER	400	20935	\N	\N	\N
819946	2791	1998-12-14	VYDAJ	VYBER	300	19262	\N	\N	\N
819956	2792	1996-08-26	PRIJEM	VKLAD	300	300	\N	\N	\N
819965	2792	1996-09-08	PRIJEM	PREVOD Z UCTU	3491	3791	\N	UV	11683065
819966	2792	1996-10-08	PRIJEM	PREVOD Z UCTU	3491	19595	\N	UV	11683065
819967	2792	1996-11-08	PRIJEM	PREVOD Z UCTU	3491	29263	\N	UV	11683065
819968	2792	1996-12-08	PRIJEM	PREVOD Z UCTU	3491	28660	\N	UV	11683065
819969	2792	1997-01-08	PRIJEM	PREVOD Z UCTU	3491	31158	\N	UV	11683065
819970	2792	1997-02-08	PRIJEM	PREVOD Z UCTU	3491	33014	\N	UV	11683065
819971	2792	1997-03-08	PRIJEM	PREVOD Z UCTU	3491	33790	\N	UV	11683065
819972	2792	1997-04-08	PRIJEM	PREVOD Z UCTU	3491	33166	\N	UV	11683065
819973	2792	1997-05-08	PRIJEM	PREVOD Z UCTU	3491	32339	\N	UV	11683065
819974	2792	1997-06-08	PRIJEM	PREVOD Z UCTU	3491	29907	\N	UV	11683065
819975	2792	1997-07-08	PRIJEM	PREVOD Z UCTU	3491	28266	\N	UV	11683065
819976	2792	1997-08-08	PRIJEM	PREVOD Z UCTU	3491	27519	\N	UV	11683065
819977	2792	1997-09-08	PRIJEM	PREVOD Z UCTU	3491	21653	\N	UV	11683065
819978	2792	1997-10-08	PRIJEM	PREVOD Z UCTU	3491	23553	\N	UV	11683065
819979	2792	1997-11-08	PRIJEM	PREVOD Z UCTU	3491	25693	\N	UV	11683065
819980	2792	1997-12-08	PRIJEM	PREVOD Z UCTU	3491	28491	\N	UV	11683065
819981	2792	1998-01-08	PRIJEM	PREVOD Z UCTU	3491	28158	\N	UV	11683065
819982	2792	1998-02-08	PRIJEM	PREVOD Z UCTU	3491	33574	\N	UV	11683065
819983	2792	1998-03-08	PRIJEM	PREVOD Z UCTU	3491	34351	\N	UV	11683065
819984	2792	1998-04-08	PRIJEM	PREVOD Z UCTU	3491	36934	\N	UV	11683065
819985	2792	1998-05-08	PRIJEM	PREVOD Z UCTU	3491	37754	\N	UV	11683065
819986	2792	1998-06-08	PRIJEM	PREVOD Z UCTU	3491	42837	\N	UV	11683065
819987	2792	1998-07-08	PRIJEM	PREVOD Z UCTU	3491	45656	\N	UV	11683065
819988	2792	1998-08-08	PRIJEM	PREVOD Z UCTU	3491	47084	\N	UV	11683065
819989	2792	1998-09-08	PRIJEM	PREVOD Z UCTU	3491	45311	\N	UV	11683065
819990	2792	1998-10-08	PRIJEM	PREVOD Z UCTU	3491	40346	\N	UV	11683065
819991	2792	1998-11-08	PRIJEM	PREVOD Z UCTU	3491	43957	\N	UV	11683065
819992	2792	1998-12-08	PRIJEM	PREVOD Z UCTU	3491	43375	\N	UV	11683065
820005	2792	1997-01-11	VYDAJ	PREVOD NA UCET	2327	27691	SIPO	QR	24712276
820006	2792	1997-02-11	VYDAJ	PREVOD NA UCET	2327	30687	SIPO	QR	24712276
820007	2792	1997-03-11	VYDAJ	PREVOD NA UCET	2327	31463	SIPO	QR	24712276
820008	2792	1997-04-11	VYDAJ	PREVOD NA UCET	2327	30839	SIPO	QR	24712276
820009	2792	1997-05-11	VYDAJ	PREVOD NA UCET	2327	30012	SIPO	QR	24712276
820010	2792	1997-06-11	VYDAJ	PREVOD NA UCET	2327	27580	SIPO	QR	24712276
820011	2792	1997-07-11	VYDAJ	PREVOD NA UCET	2327	25939	SIPO	QR	24712276
820012	2792	1997-08-11	VYDAJ	PREVOD NA UCET	2327	25192	SIPO	QR	24712276
820013	2792	1997-09-11	VYDAJ	PREVOD NA UCET	2327	19326	SIPO	QR	24712276
820014	2792	1997-10-11	VYDAJ	PREVOD NA UCET	2327	21226	SIPO	QR	24712276
820015	2792	1997-11-11	VYDAJ	PREVOD NA UCET	2327	23366	SIPO	QR	24712276
820016	2792	1997-12-11	VYDAJ	PREVOD NA UCET	2327	26164	SIPO	QR	24712276
820017	2792	1998-01-11	VYDAJ	PREVOD NA UCET	2327	25831	SIPO	QR	24712276
820018	2792	1998-02-11	VYDAJ	PREVOD NA UCET	2327	31247	SIPO	QR	24712276
820019	2792	1998-03-11	VYDAJ	PREVOD NA UCET	2327	32024	SIPO	QR	24712276
820020	2792	1998-04-11	VYDAJ	PREVOD NA UCET	2327	34607	SIPO	QR	24712276
820021	2792	1998-05-11	VYDAJ	PREVOD NA UCET	2327	35427	SIPO	QR	24712276
820022	2792	1998-06-11	VYDAJ	PREVOD NA UCET	2327	40510	SIPO	QR	24712276
820023	2792	1998-07-11	VYDAJ	PREVOD NA UCET	2327	43329	SIPO	QR	24712276
820024	2792	1998-08-11	VYDAJ	PREVOD NA UCET	2327	44757	SIPO	QR	24712276
820025	2792	1998-09-11	VYDAJ	PREVOD NA UCET	2327	42984	SIPO	QR	24712276
820026	2792	1998-10-11	VYDAJ	PREVOD NA UCET	2327	38019	SIPO	QR	24712276
820027	2792	1998-11-11	VYDAJ	PREVOD NA UCET	2327	41630	SIPO	QR	24712276
820028	2792	1998-12-11	VYDAJ	PREVOD NA UCET	2327	41048	SIPO	QR	24712276
820030	2792	1997-12-02	VYDAJ	VYBER	150	25000	\N	\N	\N
820031	2792	1998-12-04	VYDAJ	VYBER	240	39884	\N	\N	\N
820038	2792	1997-01-14	VYDAJ	VYBER	210	26611	\N	\N	\N
820039	2792	1997-01-12	VYDAJ	VYBER	870	26821	\N	\N	\N
820041	2792	1997-01-09	VYDAJ	VYBER	330	30018	\N	\N	\N
820042	2792	1997-01-08	VYDAJ	VYBER	810	30348	\N	\N	\N
820043	2792	1997-01-25	VYDAJ	VYBER	390	29421	\N	\N	\N
820044	2792	1998-01-04	VYDAJ	VYBER	270	24667	\N	\N	\N
820045	2792	1998-01-27	VYDAJ	VYBER	150	29981	\N	\N	\N
820046	2792	1998-01-14	VYDAJ	VYBER	690	24721	\N	\N	\N
820047	2792	1998-01-14	VYDAJ	VYBER	240	25411	\N	\N	\N
820048	2792	1998-01-27	VYDAJ	VYBER	630	30131	\N	\N	\N
820049	2792	1998-01-25	VYDAJ	VYBER	360	30761	\N	\N	\N
820053	2792	1997-12-30	VYDAJ	VYBER	1020	24844	\N	\N	\N
820054	2792	1997-04-13	VYDAJ	VYBER	1200	29639	\N	\N	\N
820055	2792	1997-10-03	VYDAJ	VYBER	630	20062	\N	\N	\N
820056	2792	1997-08-24	VYDAJ	VYBER	360	19432	\N	\N	\N
820057	2792	1997-08-29	VYDAJ	VYBER	1350	18082	\N	\N	\N
820058	2792	1998-09-18	VYDAJ	VYBER	1320	36704	\N	\N	\N
820059	2792	1998-09-15	VYDAJ	VYBER	660	42324	\N	\N	\N
820060	2792	1998-12-21	VYDAJ	VYBER	690	43958	\N	\N	\N
820061	2792	1998-01-12	VYDAJ	VYBER	180	25651	\N	\N	\N
820062	2792	1998-05-19	VYDAJ	VYBER	420	39207	\N	\N	\N
820063	2792	1998-04-16	VYDAJ	VYBER	1170	33437	\N	\N	\N
820064	2792	1998-11-20	VYDAJ	VYBER	960	39970	\N	\N	\N
820078	2792	1997-01-31	VYDAJ	VYBER	15	29523	SLUZBY	\N	\N
820079	2792	1997-02-28	VYDAJ	VYBER	15	30299	SLUZBY	\N	\N
820080	2792	1997-03-31	VYDAJ	VYBER	15	29675	SLUZBY	\N	\N
820081	2792	1997-04-30	VYDAJ	VYBER	15	28848	SLUZBY	\N	\N
820082	2792	1997-05-31	VYDAJ	VYBER	15	26416	SLUZBY	\N	\N
820083	2792	1997-06-30	VYDAJ	VYBER	15	24775	SLUZBY	\N	\N
820084	2792	1997-07-31	VYDAJ	VYBER	15	24028	SLUZBY	\N	\N
820085	2792	1997-08-31	VYDAJ	VYBER	15	18162	SLUZBY	\N	\N
820086	2792	1997-09-30	VYDAJ	VYBER	15	20692	SLUZBY	\N	\N
820087	2792	1997-10-31	VYDAJ	VYBER	15	22202	SLUZBY	\N	\N
820088	2792	1997-11-30	VYDAJ	VYBER	15	25150	SLUZBY	\N	\N
820089	2792	1997-12-31	VYDAJ	VYBER	15	24937	SLUZBY	\N	\N
820090	2792	1998-01-31	VYDAJ	VYBER	15	30083	SLUZBY	\N	\N
820091	2792	1998-02-28	VYDAJ	VYBER	15	30860	SLUZBY	\N	\N
820092	2792	1998-03-31	VYDAJ	VYBER	15	33443	SLUZBY	\N	\N
820093	2792	1998-04-30	VYDAJ	VYBER	15	34263	SLUZBY	\N	\N
820094	2792	1998-05-31	VYDAJ	VYBER	15	39346	SLUZBY	\N	\N
820095	2792	1998-06-30	VYDAJ	VYBER	15	42165	SLUZBY	\N	\N
820096	2792	1998-07-31	VYDAJ	VYBER	15	43593	SLUZBY	\N	\N
820097	2792	1998-08-31	VYDAJ	VYBER	15	41820	SLUZBY	\N	\N
820098	2792	1998-09-30	VYDAJ	VYBER	15	36855	SLUZBY	\N	\N
820099	2792	1998-10-31	VYDAJ	VYBER	15	40466	SLUZBY	\N	\N
820100	2792	1998-11-30	VYDAJ	VYBER	15	40124	SLUZBY	\N	\N
820101	2792	1996-09-25	PRIJEM	VKLAD	12300	16091	\N	\N	\N
820102	2792	1996-10-25	PRIJEM	VKLAD	6100	25695	\N	\N	\N
820103	2792	1996-11-24	VYDAJ	VYBER	4200	25063	\N	\N	\N
820104	2792	1996-12-24	VYDAJ	VYBER	1100	27560	\N	\N	\N
820105	2792	1997-01-23	PRIJEM	VKLAD	3200	29811	\N	\N	\N
820106	2792	1997-02-22	VYDAJ	VYBER	500	30187	\N	\N	\N
820107	2792	1997-03-24	VYDAJ	VYBER	1900	29563	\N	\N	\N
820108	2792	1997-04-23	VYDAJ	VYBER	900	28739	\N	\N	\N
820109	2792	1997-05-23	VYDAJ	VYBER	3700	26312	\N	\N	\N
820110	2792	1997-06-22	VYDAJ	VYBER	2900	24680	\N	\N	\N
820111	2792	1997-07-22	VYDAJ	VYBER	2000	23939	\N	\N	\N
820112	2792	1997-08-21	VYDAJ	VYBER	5400	19792	\N	\N	\N
820113	2792	1997-09-20	PRIJEM	VKLAD	1300	20626	\N	\N	\N
820114	2792	1997-10-20	PRIJEM	VKLAD	900	22126	\N	\N	\N
820115	2792	1997-11-19	PRIJEM	VKLAD	1700	25066	\N	\N	\N
820116	2792	1997-12-19	VYDAJ	VYBER	300	25864	\N	\N	\N
820117	2792	1998-01-18	PRIJEM	VKLAD	6400	31121	\N	\N	\N
820118	2792	1998-02-17	VYDAJ	VYBER	500	30747	\N	\N	\N
820119	2792	1998-03-19	PRIJEM	VKLAD	1300	33324	\N	\N	\N
820120	2792	1998-04-18	PRIJEM	VKLAD	700	34137	\N	\N	\N
820121	2792	1998-05-18	PRIJEM	VKLAD	4200	39627	\N	\N	\N
820122	2792	1998-06-17	PRIJEM	VKLAD	1500	42010	\N	\N	\N
820123	2792	1998-07-17	PRIJEM	VKLAD	100	43429	\N	\N	\N
820124	2792	1998-08-16	VYDAJ	VYBER	3100	41657	\N	\N	\N
820125	2792	1998-09-15	VYDAJ	VYBER	4300	38024	\N	\N	\N
820126	2792	1998-10-15	PRIJEM	VKLAD	2300	40319	\N	\N	\N
820127	2792	1998-11-14	VYDAJ	VYBER	700	40930	\N	\N	\N
820128	2792	1998-12-14	PRIJEM	VKLAD	3600	44648	\N	\N	\N
820157	2793	1993-10-09	PRIJEM	VKLAD	800	800	\N	\N	\N
820168	2793	1993-11-08	PRIJEM	PREVOD Z UCTU	3452	4252	\N	CD	61004811
820169	2793	1993-12-08	PRIJEM	PREVOD Z UCTU	3452	7704	\N	CD	61004811
820170	2793	1994-01-08	PRIJEM	PREVOD Z UCTU	3452	11156	\N	CD	61004811
820171	2793	1994-02-08	PRIJEM	PREVOD Z UCTU	3452	14608	\N	CD	61004811
820172	2793	1994-03-08	PRIJEM	PREVOD Z UCTU	3452	18060	\N	CD	61004811
820173	2793	1994-04-08	PRIJEM	PREVOD Z UCTU	3452	18524	\N	CD	61004811
820174	2793	1994-05-08	PRIJEM	PREVOD Z UCTU	3452	19726	\N	CD	61004811
820175	2793	1994-06-08	PRIJEM	PREVOD Z UCTU	3452	20933	\N	CD	61004811
820176	2793	1994-07-08	PRIJEM	PREVOD Z UCTU	3452	21125	\N	CD	61004811
820177	2793	1994-08-08	PRIJEM	PREVOD Z UCTU	3452	22339	\N	CD	61004811
820178	2793	1994-09-08	PRIJEM	PREVOD Z UCTU	3452	23557	\N	CD	61004811
820179	2793	1994-10-08	PRIJEM	PREVOD Z UCTU	3452	23309	\N	CD	61004811
820180	2793	1994-11-08	PRIJEM	PREVOD Z UCTU	3452	24531	\N	CD	61004811
820181	2793	1994-12-08	PRIJEM	PREVOD Z UCTU	3452	24168	\N	CD	61004811
820182	2793	1995-01-08	PRIJEM	PREVOD Z UCTU	3452	22576	\N	CD	61004811
820183	2793	1995-02-08	PRIJEM	PREVOD Z UCTU	3452	20912	\N	CD	61004811
820184	2793	1995-03-08	PRIJEM	PREVOD Z UCTU	3452	21014	\N	CD	61004811
820185	2793	1995-04-08	PRIJEM	PREVOD Z UCTU	3452	22229	\N	CD	61004811
820186	2793	1995-05-08	PRIJEM	PREVOD Z UCTU	3452	23447	\N	CD	61004811
820187	2793	1995-06-08	PRIJEM	PREVOD Z UCTU	3452	24399	\N	CD	61004811
820188	2793	1995-07-08	PRIJEM	PREVOD Z UCTU	3452	18016	\N	CD	61004811
820189	2793	1995-08-08	PRIJEM	PREVOD Z UCTU	3452	19216	\N	CD	61004811
820190	2793	1995-09-08	PRIJEM	PREVOD Z UCTU	3452	20421	\N	CD	61004811
820191	2793	1995-10-08	PRIJEM	PREVOD Z UCTU	3452	20849	\N	CD	61004811
820192	2793	1995-11-08	PRIJEM	PREVOD Z UCTU	3452	22061	\N	CD	61004811
820193	2793	1995-12-08	PRIJEM	PREVOD Z UCTU	3452	23278	\N	CD	61004811
820194	2793	1996-01-08	PRIJEM	PREVOD Z UCTU	3452	23869	\N	CD	61004811
820195	2793	1996-02-08	PRIJEM	PREVOD Z UCTU	3452	20191	\N	CD	61004811
820196	2793	1996-03-08	PRIJEM	PREVOD Z UCTU	3452	21400	\N	CD	61004811
820197	2793	1996-04-08	PRIJEM	PREVOD Z UCTU	3452	22405	\N	CD	61004811
820198	2793	1996-05-08	PRIJEM	PREVOD Z UCTU	3452	23624	\N	CD	61004811
820199	2793	1996-06-08	PRIJEM	PREVOD Z UCTU	3452	24188	\N	CD	61004811
820200	2793	1996-07-08	PRIJEM	PREVOD Z UCTU	3452	18267	\N	CD	61004811
820201	2793	1996-08-08	PRIJEM	PREVOD Z UCTU	3452	19468	\N	CD	61004811
820202	2793	1996-09-08	PRIJEM	PREVOD Z UCTU	3452	20344	\N	CD	61004811
820203	2793	1996-10-08	PRIJEM	PREVOD Z UCTU	3452	21555	\N	CD	61004811
820204	2793	1996-11-08	PRIJEM	PREVOD Z UCTU	3452	22769	\N	CD	61004811
820205	2793	1996-12-08	PRIJEM	PREVOD Z UCTU	3452	23149	\N	CD	61004811
820206	2793	1997-01-08	PRIJEM	PREVOD Z UCTU	3452	20802	\N	CD	61004811
820207	2793	1997-02-08	PRIJEM	PREVOD Z UCTU	3452	20514	\N	CD	61004811
820208	2793	1997-03-08	PRIJEM	PREVOD Z UCTU	3452	20732	\N	CD	61004811
820209	2793	1997-04-08	PRIJEM	PREVOD Z UCTU	3452	21102	\N	CD	61004811
820210	2793	1997-05-08	PRIJEM	PREVOD Z UCTU	3452	22314	\N	CD	61004811
820211	2793	1997-06-08	PRIJEM	PREVOD Z UCTU	3452	23262	\N	CD	61004811
820212	2793	1997-07-08	PRIJEM	PREVOD Z UCTU	3452	22529	\N	CD	61004811
820213	2793	1997-08-08	PRIJEM	PREVOD Z UCTU	3452	22665	\N	CD	61004811
820214	2793	1997-09-08	PRIJEM	PREVOD Z UCTU	3452	23883	\N	CD	61004811
820215	2793	1997-10-08	PRIJEM	PREVOD Z UCTU	3452	25107	\N	CD	61004811
820216	2793	1997-11-08	PRIJEM	PREVOD Z UCTU	3452	25734	\N	CD	61004811
820217	2793	1997-12-08	PRIJEM	PREVOD Z UCTU	3452	26966	\N	CD	61004811
820218	2793	1998-01-08	PRIJEM	PREVOD Z UCTU	3452	26462	\N	CD	61004811
820219	2793	1998-02-08	PRIJEM	PREVOD Z UCTU	3452	22894	\N	CD	61004811
820220	2793	1998-03-08	PRIJEM	PREVOD Z UCTU	3452	24113	\N	CD	61004811
820221	2793	1998-04-08	PRIJEM	PREVOD Z UCTU	3452	25337	\N	CD	61004811
820222	2793	1998-05-08	PRIJEM	PREVOD Z UCTU	3452	26567	\N	CD	61004811
820223	2793	1998-06-08	PRIJEM	PREVOD Z UCTU	3452	19671	\N	CD	61004811
820224	2793	1998-07-08	PRIJEM	PREVOD Z UCTU	3452	20886	\N	CD	61004811
820225	2793	1998-08-08	PRIJEM	PREVOD Z UCTU	3452	21737	\N	CD	61004811
820226	2793	1998-09-08	PRIJEM	PREVOD Z UCTU	3452	22953	\N	CD	61004811
820227	2793	1998-10-08	PRIJEM	PREVOD Z UCTU	3452	24172	\N	CD	61004811
820228	2793	1998-11-08	PRIJEM	PREVOD Z UCTU	3452	25396	\N	CD	61004811
820229	2793	1998-12-08	PRIJEM	PREVOD Z UCTU	3452	25875	\N	CD	61004811
820244	2793	1994-03-11	VYDAJ	PREVOD NA UCET	2301	15039	SIPO	EF	41871547
820245	2793	1994-04-11	VYDAJ	PREVOD NA UCET	2301	16223	SIPO	EF	41871547
820246	2793	1994-05-11	VYDAJ	PREVOD NA UCET	2301	17425	SIPO	EF	41871547
820247	2793	1994-06-11	VYDAJ	PREVOD NA UCET	2301	18632	SIPO	EF	41871547
820248	2793	1994-07-11	VYDAJ	PREVOD NA UCET	2301	18824	SIPO	EF	41871547
820249	2793	1994-08-11	VYDAJ	PREVOD NA UCET	2301	20038	SIPO	EF	41871547
820250	2793	1994-09-11	VYDAJ	PREVOD NA UCET	2301	21256	SIPO	EF	41871547
820251	2793	1994-10-11	VYDAJ	PREVOD NA UCET	2301	21008	SIPO	EF	41871547
820252	2793	1994-11-11	VYDAJ	PREVOD NA UCET	2301	22230	SIPO	EF	41871547
820253	2793	1994-12-11	VYDAJ	PREVOD NA UCET	2301	21867	SIPO	EF	41871547
820254	2793	1995-01-11	VYDAJ	PREVOD NA UCET	2301	18385	SIPO	EF	41871547
820255	2793	1995-02-11	VYDAJ	PREVOD NA UCET	2301	18611	SIPO	EF	41871547
820256	2793	1995-03-11	VYDAJ	PREVOD NA UCET	2301	18713	SIPO	EF	41871547
820257	2793	1995-04-11	VYDAJ	PREVOD NA UCET	2301	19928	SIPO	EF	41871547
820258	2793	1995-05-11	VYDAJ	PREVOD NA UCET	2301	21146	SIPO	EF	41871547
820259	2793	1995-06-11	VYDAJ	PREVOD NA UCET	2301	22098	SIPO	EF	41871547
820260	2793	1995-07-11	VYDAJ	PREVOD NA UCET	2301	15715	SIPO	EF	41871547
820261	2793	1995-08-11	VYDAJ	PREVOD NA UCET	2301	16915	SIPO	EF	41871547
820262	2793	1995-09-11	VYDAJ	PREVOD NA UCET	2301	18120	SIPO	EF	41871547
820263	2793	1995-10-11	VYDAJ	PREVOD NA UCET	2301	18548	SIPO	EF	41871547
820264	2793	1995-11-11	VYDAJ	PREVOD NA UCET	2301	19760	SIPO	EF	41871547
820265	2793	1995-12-11	VYDAJ	PREVOD NA UCET	2301	20977	SIPO	EF	41871547
820266	2793	1996-01-11	VYDAJ	PREVOD NA UCET	2301	20698	SIPO	EF	41871547
820267	2793	1996-02-11	VYDAJ	PREVOD NA UCET	2301	17890	SIPO	EF	41871547
820268	2793	1996-03-11	VYDAJ	PREVOD NA UCET	2301	19099	SIPO	EF	41871547
820269	2793	1996-04-11	VYDAJ	PREVOD NA UCET	2301	20104	SIPO	EF	41871547
820270	2793	1996-05-11	VYDAJ	PREVOD NA UCET	2301	21323	SIPO	EF	41871547
820271	2793	1996-06-11	VYDAJ	PREVOD NA UCET	2301	21887	SIPO	EF	41871547
820272	2793	1996-07-11	VYDAJ	PREVOD NA UCET	2301	15966	SIPO	EF	41871547
820273	2793	1996-08-11	VYDAJ	PREVOD NA UCET	2301	17167	SIPO	EF	41871547
820274	2793	1996-09-11	VYDAJ	PREVOD NA UCET	2301	18043	SIPO	EF	41871547
820275	2793	1996-10-11	VYDAJ	PREVOD NA UCET	2301	19254	SIPO	EF	41871547
820276	2793	1996-11-11	VYDAJ	PREVOD NA UCET	2301	20468	SIPO	EF	41871547
820277	2793	1996-12-11	VYDAJ	PREVOD NA UCET	2301	20848	SIPO	EF	41871547
820278	2793	1997-01-11	VYDAJ	PREVOD NA UCET	2301	18021	SIPO	EF	41871547
820279	2793	1997-02-11	VYDAJ	PREVOD NA UCET	2301	17223	SIPO	EF	41871547
820280	2793	1997-03-11	VYDAJ	PREVOD NA UCET	2301	18431	SIPO	EF	41871547
820281	2793	1997-04-11	VYDAJ	PREVOD NA UCET	2301	18801	SIPO	EF	41871547
820282	2793	1997-05-11	VYDAJ	PREVOD NA UCET	2301	20013	SIPO	EF	41871547
820283	2793	1997-06-11	VYDAJ	PREVOD NA UCET	2301	20961	SIPO	EF	41871547
820284	2793	1997-07-11	VYDAJ	PREVOD NA UCET	2301	20228	SIPO	EF	41871547
820285	2793	1997-08-11	VYDAJ	PREVOD NA UCET	2301	20364	SIPO	EF	41871547
820286	2793	1997-09-11	VYDAJ	PREVOD NA UCET	2301	21582	SIPO	EF	41871547
820287	2793	1997-10-11	VYDAJ	PREVOD NA UCET	2301	22806	SIPO	EF	41871547
820288	2793	1997-11-11	VYDAJ	PREVOD NA UCET	2301	23433	SIPO	EF	41871547
820289	2793	1997-12-11	VYDAJ	PREVOD NA UCET	2301	24665	SIPO	EF	41871547
820290	2793	1998-01-11	VYDAJ	PREVOD NA UCET	2301	24161	SIPO	EF	41871547
820291	2793	1998-02-11	VYDAJ	PREVOD NA UCET	2301	20593	SIPO	EF	41871547
820292	2793	1998-03-11	VYDAJ	PREVOD NA UCET	2301	21812	SIPO	EF	41871547
820293	2793	1998-04-11	VYDAJ	PREVOD NA UCET	2301	23036	SIPO	EF	41871547
820294	2793	1998-05-11	VYDAJ	PREVOD NA UCET	2301	24266	SIPO	EF	41871547
820295	2793	1998-06-11	VYDAJ	PREVOD NA UCET	2301	17370	SIPO	EF	41871547
820296	2793	1998-07-11	VYDAJ	PREVOD NA UCET	2301	18585	SIPO	EF	41871547
820297	2793	1998-08-11	VYDAJ	PREVOD NA UCET	2301	19436	SIPO	EF	41871547
820298	2793	1998-09-11	VYDAJ	PREVOD NA UCET	2301	20652	SIPO	EF	41871547
820299	2793	1998-10-11	VYDAJ	PREVOD NA UCET	2301	21871	SIPO	EF	41871547
820300	2793	1998-11-11	VYDAJ	PREVOD NA UCET	2301	23095	SIPO	EF	41871547
820301	2793	1998-12-11	VYDAJ	PREVOD NA UCET	2301	23574	SIPO	EF	41871547
820304	2793	1995-06-12	VYDAJ	VYBER	7590	14508	\N	\N	\N
820305	2793	1996-06-22	VYDAJ	VYBER	6510	15377	\N	\N	\N
820306	2793	1997-06-14	VYDAJ	VYBER	930	20031	\N	\N	\N
820307	2793	1998-06-03	VYDAJ	VYBER	8130	16219	\N	\N	\N
820310	2793	1995-01-06	VYDAJ	VYBER	2010	19124	\N	\N	\N
820311	2793	1996-01-12	VYDAJ	VYBER	1260	19438	\N	\N	\N
820312	2793	1997-01-03	VYDAJ	VYBER	2700	17350	\N	\N	\N
820313	2793	1998-01-30	VYDAJ	VYBER	2820	19361	\N	\N	\N
820315	2793	1994-12-02	VYDAJ	VYBER	420	20716	\N	\N	\N
820316	2793	1995-12-22	VYDAJ	VYBER	630	20347	\N	\N	\N
820317	2793	1996-12-02	VYDAJ	VYBER	840	19697	\N	\N	\N
820318	2793	1997-12-28	VYDAJ	VYBER	630	24035	\N	\N	\N
820319	2793	1998-12-02	VYDAJ	VYBER	750	22423	\N	\N	\N
820332	2793	1995-01-20	VYDAJ	VYBER	540	17845	\N	\N	\N
820333	2793	1995-01-03	VYDAJ	VYBER	330	21134	\N	\N	\N
820334	2793	1995-01-25	VYDAJ	VYBER	450	17395	\N	\N	\N
820335	2793	1995-01-09	VYDAJ	VYBER	510	21706	\N	\N	\N
820336	2793	1995-01-08	VYDAJ	VYBER	360	22216	\N	\N	\N
820337	2793	1995-01-03	VYDAJ	VYBER	480	21464	\N	\N	\N
820338	2793	1996-01-15	VYDAJ	VYBER	180	17248	\N	\N	\N
820339	2793	1996-01-12	VYDAJ	VYBER	450	18208	\N	\N	\N
820340	2793	1996-01-12	VYDAJ	VYBER	780	18658	\N	\N	\N
820341	2793	1996-01-10	VYDAJ	VYBER	870	22999	\N	\N	\N
820342	2793	1996-01-22	VYDAJ	VYBER	570	16678	\N	\N	\N
820343	2793	1996-01-13	VYDAJ	VYBER	780	17428	\N	\N	\N
820344	2793	1997-01-01	VYDAJ	VYBER	480	20050	\N	\N	\N
820345	2793	1997-01-08	VYDAJ	VYBER	480	20322	\N	\N	\N
820346	2793	1997-01-24	VYDAJ	VYBER	210	17811	\N	\N	\N
820347	2793	1997-01-01	VYDAJ	VYBER	390	20530	\N	\N	\N
820348	2793	1997-01-27	VYDAJ	VYBER	600	17001	\N	\N	\N
820349	2793	1997-01-26	VYDAJ	VYBER	210	17601	\N	\N	\N
820350	2793	1998-01-04	VYDAJ	VYBER	330	23790	\N	\N	\N
820351	2793	1998-01-18	VYDAJ	VYBER	390	23771	\N	\N	\N
820352	2793	1998-01-05	VYDAJ	VYBER	780	23010	\N	\N	\N
820353	2793	1998-01-28	VYDAJ	VYBER	240	22181	\N	\N	\N
820354	2793	1998-01-20	VYDAJ	VYBER	840	22421	\N	\N	\N
820355	2793	1998-01-19	VYDAJ	VYBER	510	23261	\N	\N	\N
820361	2793	1994-09-25	VYDAJ	VYBER	1470	19786	\N	\N	\N
820362	2793	1994-06-27	VYDAJ	VYBER	1020	17612	\N	\N	\N
820363	2793	1994-03-09	VYDAJ	VYBER	720	17340	\N	\N	\N
820364	2793	1994-11-29	VYDAJ	VYBER	1170	21060	\N	\N	\N
820365	2793	1995-01-10	VYDAJ	VYBER	1020	20686	\N	\N	\N
820366	2793	1995-03-02	VYDAJ	VYBER	1110	17562	\N	\N	\N
820367	2793	1995-05-17	VYDAJ	VYBER	270	20876	\N	\N	\N
820368	2793	1995-09-12	VYDAJ	VYBER	780	17340	\N	\N	\N
820369	2793	1996-09-03	VYDAJ	VYBER	330	16892	\N	\N	\N
820370	2793	1996-06-30	VYDAJ	VYBER	630	14830	\N	\N	\N
820371	2793	1996-04-02	VYDAJ	VYBER	210	18953	\N	\N	\N
820372	2793	1996-06-02	VYDAJ	VYBER	660	20736	\N	\N	\N
820373	2793	1997-05-26	VYDAJ	VYBER	270	19743	\N	\N	\N
820374	2793	1997-06-17	VYDAJ	VYBER	1020	19011	\N	\N	\N
820375	2793	1997-02-08	VYDAJ	VYBER	990	19524	\N	\N	\N
820376	2793	1997-07-18	VYDAJ	VYBER	1080	19148	\N	\N	\N
820377	2793	1997-10-14	VYDAJ	VYBER	600	22206	\N	\N	\N
820378	2793	1997-03-24	VYDAJ	VYBER	840	17591	\N	\N	\N
820379	2793	1998-08-07	VYDAJ	VYBER	360	18285	\N	\N	\N
820395	2793	1994-03-31	VYDAJ	VYBER	15	15072	SLUZBY	\N	\N
820396	2793	1994-04-30	VYDAJ	VYBER	15	16274	SLUZBY	\N	\N
820397	2793	1994-05-31	VYDAJ	VYBER	15	17481	SLUZBY	\N	\N
820398	2793	1994-06-30	VYDAJ	VYBER	15	17673	SLUZBY	\N	\N
820399	2793	1994-07-31	VYDAJ	VYBER	15	18887	SLUZBY	\N	\N
820400	2793	1994-08-31	VYDAJ	VYBER	15	20105	SLUZBY	\N	\N
820401	2793	1994-09-30	VYDAJ	VYBER	15	19857	SLUZBY	\N	\N
820402	2793	1994-10-31	VYDAJ	VYBER	15	21079	SLUZBY	\N	\N
820403	2793	1994-11-30	VYDAJ	VYBER	15	21136	SLUZBY	\N	\N
820404	2793	1994-12-31	VYDAJ	VYBER	15	21944	SLUZBY	\N	\N
820405	2793	1995-01-31	VYDAJ	VYBER	15	17460	SLUZBY	\N	\N
820406	2793	1995-02-28	VYDAJ	VYBER	15	18672	SLUZBY	\N	\N
820407	2793	1995-03-31	VYDAJ	VYBER	15	18777	SLUZBY	\N	\N
820408	2793	1995-04-30	VYDAJ	VYBER	15	19995	SLUZBY	\N	\N
820409	2793	1995-05-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
820410	2793	1995-06-30	VYDAJ	VYBER	15	14564	SLUZBY	\N	\N
820411	2793	1995-07-31	VYDAJ	VYBER	15	15764	SLUZBY	\N	\N
820412	2793	1995-08-31	VYDAJ	VYBER	15	16969	SLUZBY	\N	\N
820413	2793	1995-09-30	VYDAJ	VYBER	15	17397	SLUZBY	\N	\N
820414	2793	1995-10-31	VYDAJ	VYBER	15	18609	SLUZBY	\N	\N
820415	2793	1995-11-30	VYDAJ	VYBER	15	19826	SLUZBY	\N	\N
820416	2793	1995-12-31	VYDAJ	VYBER	15	20417	SLUZBY	\N	\N
820417	2793	1996-01-31	VYDAJ	VYBER	15	16739	SLUZBY	\N	\N
820418	2793	1996-02-29	VYDAJ	VYBER	15	17948	SLUZBY	\N	\N
820419	2793	1996-03-31	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
820420	2793	1996-04-30	VYDAJ	VYBER	15	20172	SLUZBY	\N	\N
820421	2793	1996-05-31	VYDAJ	VYBER	15	21396	SLUZBY	\N	\N
820422	2793	1996-06-30	VYDAJ	VYBER	15	14815	SLUZBY	\N	\N
820423	2793	1996-07-31	VYDAJ	VYBER	15	16016	SLUZBY	\N	\N
820424	2793	1996-08-31	VYDAJ	VYBER	15	17222	SLUZBY	\N	\N
820425	2793	1996-09-30	VYDAJ	VYBER	15	18103	SLUZBY	\N	\N
820426	2793	1996-10-31	VYDAJ	VYBER	15	19317	SLUZBY	\N	\N
820427	2793	1996-11-30	VYDAJ	VYBER	15	20537	SLUZBY	\N	\N
820428	2793	1996-12-31	VYDAJ	VYBER	15	20920	SLUZBY	\N	\N
820429	2793	1997-01-31	VYDAJ	VYBER	15	17062	SLUZBY	\N	\N
820430	2793	1997-02-28	VYDAJ	VYBER	15	17280	SLUZBY	\N	\N
820431	2793	1997-03-31	VYDAJ	VYBER	15	17650	SLUZBY	\N	\N
820432	2793	1997-04-30	VYDAJ	VYBER	15	18862	SLUZBY	\N	\N
820433	2793	1997-05-31	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
820434	2793	1997-06-30	VYDAJ	VYBER	15	19077	SLUZBY	\N	\N
820435	2793	1997-07-31	VYDAJ	VYBER	15	19213	SLUZBY	\N	\N
820436	2793	1997-08-31	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
820437	2793	1997-09-30	VYDAJ	VYBER	15	21655	SLUZBY	\N	\N
820438	2793	1997-10-31	VYDAJ	VYBER	15	22282	SLUZBY	\N	\N
820439	2793	1997-11-30	VYDAJ	VYBER	15	23514	SLUZBY	\N	\N
820440	2793	1997-12-31	VYDAJ	VYBER	15	24120	SLUZBY	\N	\N
820441	2793	1998-01-31	VYDAJ	VYBER	15	19442	SLUZBY	\N	\N
820442	2793	1998-02-28	VYDAJ	VYBER	15	20661	SLUZBY	\N	\N
820443	2793	1998-03-31	VYDAJ	VYBER	15	21885	SLUZBY	\N	\N
820444	2793	1998-04-30	VYDAJ	VYBER	15	23115	SLUZBY	\N	\N
820445	2793	1998-05-31	VYDAJ	VYBER	15	24349	SLUZBY	\N	\N
820446	2793	1998-06-30	VYDAJ	VYBER	15	17434	SLUZBY	\N	\N
820447	2793	1998-07-31	VYDAJ	VYBER	15	18645	SLUZBY	\N	\N
820448	2793	1998-08-31	VYDAJ	VYBER	15	19501	SLUZBY	\N	\N
820449	2793	1998-09-30	VYDAJ	VYBER	15	20720	SLUZBY	\N	\N
820450	2793	1998-10-31	VYDAJ	VYBER	15	21944	SLUZBY	\N	\N
820451	2793	1998-11-30	VYDAJ	VYBER	15	23173	SLUZBY	\N	\N
820510	2794	1996-08-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
820519	2794	1996-09-08	PRIJEM	VKLAD	12189	20889	\N	\N	\N
820520	2794	1996-10-08	PRIJEM	VKLAD	12189	31845	\N	\N	\N
820521	2794	1996-11-08	PRIJEM	VKLAD	12189	34756	\N	\N	\N
820522	2794	1996-12-08	PRIJEM	VKLAD	18284	43482	\N	\N	\N
820523	2794	1997-01-08	PRIJEM	VKLAD	12189	42244	\N	\N	\N
820524	2794	1997-02-08	PRIJEM	VKLAD	12189	38468	\N	\N	\N
820525	2794	1997-03-08	PRIJEM	VKLAD	12189	35801	\N	\N	\N
820526	2794	1997-04-08	PRIJEM	VKLAD	12189	34127	\N	\N	\N
820527	2794	1997-05-08	PRIJEM	VKLAD	12189	34445	\N	\N	\N
820528	2794	1997-06-08	PRIJEM	VKLAD	18284	41958	\N	\N	\N
820529	2794	1997-07-08	PRIJEM	VKLAD	12189	23677	\N	\N	\N
820530	2794	1997-08-08	PRIJEM	VKLAD	12189	32035	\N	\N	\N
820531	2794	1997-09-08	PRIJEM	VKLAD	12189	31835	\N	\N	\N
820532	2794	1997-10-08	PRIJEM	VKLAD	12189	32641	\N	\N	\N
820533	2794	1997-11-08	PRIJEM	VKLAD	12189	30851	\N	\N	\N
820534	2794	1997-12-08	PRIJEM	VKLAD	18284	30604	\N	\N	\N
820535	2794	1998-01-08	PRIJEM	VKLAD	12189	26820	\N	\N	\N
820536	2794	1998-02-08	PRIJEM	VKLAD	12189	13291	\N	\N	\N
820537	2794	1998-03-08	PRIJEM	VKLAD	12189	13524	\N	\N	\N
820538	2794	1998-04-08	PRIJEM	VKLAD	12189	14550	\N	\N	\N
820539	2794	1998-05-08	PRIJEM	VKLAD	12189	9777	\N	\N	\N
820540	2794	1998-06-08	PRIJEM	VKLAD	18284	16321	\N	\N	\N
820541	2794	1998-07-08	PRIJEM	VKLAD	12189	12214	\N	\N	\N
820542	2794	1998-08-08	PRIJEM	VKLAD	12189	14025	\N	\N	\N
820543	2794	1998-09-08	PRIJEM	VKLAD	12189	9602	\N	\N	\N
820544	2794	1998-10-08	PRIJEM	VKLAD	12189	9749	\N	\N	\N
820545	2794	1998-11-08	PRIJEM	VKLAD	12189	9310	\N	\N	\N
820546	2794	1998-12-08	PRIJEM	VKLAD	18284	9954	\N	\N	\N
820548	2794	1997-06-22	VYDAJ	VYBER	34080	7878	\N	\N	\N
820551	2794	1997-12-06	VYDAJ	VYBER	4160	12320	\N	\N	\N
820552	2794	1998-12-12	VYDAJ	VYBER	3200	6754	\N	\N	\N
820559	2794	1997-01-15	VYDAJ	VYBER	2400	39124	\N	\N	\N
820560	2794	1997-01-08	VYDAJ	VYBER	720	41524	\N	\N	\N
820565	2794	1998-01-28	VYDAJ	VYBER	1800	11340	\N	\N	\N
820566	2794	1998-01-26	VYDAJ	VYBER	1440	13140	\N	\N	\N
820567	2794	1998-01-13	VYDAJ	VYBER	2760	17700	\N	\N	\N
820568	2794	1998-01-01	VYDAJ	VYBER	1680	14631	\N	\N	\N
820569	2794	1998-01-25	VYDAJ	VYBER	960	14580	\N	\N	\N
820570	2794	1998-01-08	VYDAJ	VYBER	3000	23820	\N	\N	\N
820576	2794	1997-01-31	VYDAJ	VYBER	3000	36294	\N	\N	\N
820577	2794	1997-11-11	VYDAJ	VYBER	2280	28571	\N	\N	\N
820578	2794	1997-08-26	VYDAJ	VYBER	600	31435	\N	\N	\N
820579	2794	1998-10-20	VYDAJ	VYBER	1200	8549	\N	\N	\N
820580	2794	1998-06-13	VYDAJ	VYBER	4680	11641	\N	\N	\N
820581	2794	1998-07-03	VYDAJ	VYBER	3120	25	\N	\N	\N
820582	2794	1998-01-14	VYDAJ	VYBER	2160	15540	\N	\N	\N
820583	2794	1998-01-09	VYDAJ	VYBER	3360	20460	\N	\N	\N
820585	2794	1998-02-15	VYDAJ	VYBER	5160	8131	\N	\N	\N
820599	2794	1997-01-31	VYDAJ	VYBER	15	36279	SLUZBY	\N	\N
820600	2794	1997-02-28	VYDAJ	VYBER	15	38612	SLUZBY	\N	\N
820601	2794	1997-03-31	VYDAJ	VYBER	15	35938	SLUZBY	\N	\N
820602	2794	1997-04-30	VYDAJ	VYBER	15	34256	SLUZBY	\N	\N
820603	2794	1997-05-31	VYDAJ	VYBER	15	34574	SLUZBY	\N	\N
820604	2794	1997-06-30	VYDAJ	VYBER	15	7988	SLUZBY	\N	\N
820605	2794	1997-07-31	VYDAJ	VYBER	15	23746	SLUZBY	\N	\N
820606	2794	1997-08-31	VYDAJ	VYBER	15	31546	SLUZBY	\N	\N
820607	2794	1997-09-30	VYDAJ	VYBER	15	31952	SLUZBY	\N	\N
820608	2794	1997-10-31	VYDAJ	VYBER	15	32762	SLUZBY	\N	\N
820609	2794	1997-11-30	VYDAJ	VYBER	15	28680	SLUZBY	\N	\N
820610	2794	1997-12-31	VYDAJ	VYBER	15	30711	SLUZBY	\N	\N
820611	2794	1998-01-31	VYDAJ	VYBER	15	1102	SLUZBY	\N	\N
820612	2794	1998-02-28	VYDAJ	VYBER	15	8135	SLUZBY	\N	\N
820613	2794	1998-03-31	VYDAJ	VYBER	15	2361	SLUZBY	\N	\N
820614	2794	1998-04-30	VYDAJ	VYBER	15	-2412	SLUZBY	\N	\N
820615	2794	1998-05-31	VYDAJ	VYBER	15	-1937	SLUZBY	\N	\N
820616	2794	1998-06-30	VYDAJ	VYBER	15	3145	SLUZBY	\N	\N
820617	2794	1998-07-31	VYDAJ	VYBER	15	1836	SLUZBY	\N	\N
820618	2794	1998-08-31	VYDAJ	VYBER	15	-2584	SLUZBY	\N	\N
820619	2794	1998-09-30	VYDAJ	VYBER	15	-2413	SLUZBY	\N	\N
820620	2794	1998-10-31	VYDAJ	VYBER	15	-2858	SLUZBY	\N	\N
820622	2794	1996-09-07	PRIJEM	VKLAD	7700	8700	\N	\N	\N
820623	2794	1996-10-07	VYDAJ	VYBER	1300	19656	\N	\N	\N
820624	2794	1996-11-06	VYDAJ	VYBER	9400	22567	\N	\N	\N
820625	2794	1996-12-06	VYDAJ	VYBER	9700	25198	\N	\N	\N
820626	2794	1997-01-05	VYDAJ	VYBER	13600	30055	\N	\N	\N
820627	2794	1997-02-04	VYDAJ	VYBER	10000	26279	\N	\N	\N
820628	2794	1997-03-06	VYDAJ	VYBER	15000	23612	\N	\N	\N
820629	2794	1997-04-05	VYDAJ	VYBER	14000	21938	\N	\N	\N
820630	2794	1997-05-05	VYDAJ	VYBER	12000	22256	\N	\N	\N
820631	2794	1997-06-04	VYDAJ	VYBER	10900	23674	\N	\N	\N
820632	2794	1997-07-04	PRIJEM	VKLAD	3500	11488	\N	\N	\N
820633	2794	1997-08-03	VYDAJ	VYBER	3900	19846	\N	\N	\N
820634	2794	1997-09-02	VYDAJ	VYBER	11900	19646	\N	\N	\N
820635	2794	1997-10-02	VYDAJ	VYBER	11500	20452	\N	\N	\N
820636	2794	1997-11-01	VYDAJ	VYBER	14100	18662	\N	\N	\N
820637	2794	1997-12-01	VYDAJ	VYBER	12200	16480	\N	\N	\N
820638	2794	1997-12-31	VYDAJ	VYBER	14400	16311	\N	\N	\N
820639	2794	1998-01-30	VYDAJ	VYBER	10300	1040	\N	\N	\N
820640	2794	1998-03-01	VYDAJ	VYBER	6800	1335	\N	\N	\N
820641	2794	1998-03-31	VYDAJ	VYBER	11200	2375	\N	\N	\N
820642	2794	1998-04-30	VYDAJ	VYBER	17000	-2397	\N	\N	\N
820643	2794	1998-05-30	VYDAJ	VYBER	11700	-1923	\N	\N	\N
820644	2794	1998-06-29	VYDAJ	VYBER	8500	3141	\N	\N	\N
820645	2794	1998-07-29	VYDAJ	VYBER	10400	1814	\N	\N	\N
820646	2794	1998-08-28	VYDAJ	VYBER	16600	-2575	\N	\N	\N
820647	2794	1998-09-27	VYDAJ	VYBER	12000	-2398	\N	\N	\N
820648	2794	1998-10-27	VYDAJ	VYBER	11400	-2851	\N	\N	\N
820649	2794	1998-11-26	VYDAJ	VYBER	17600	-8290	\N	\N	\N
820685	2795	1996-08-20	PRIJEM	VKLAD	300	300	\N	\N	\N
820694	2795	1996-09-12	PRIJEM	VKLAD	19613	19913	\N	\N	\N
820695	2795	1996-10-12	PRIJEM	VKLAD	19613	40461	\N	\N	\N
820696	2795	1996-11-12	PRIJEM	VKLAD	19613	49276	\N	\N	\N
820697	2795	1996-12-12	PRIJEM	VKLAD	29420	64228	\N	\N	\N
820698	2795	1997-01-12	PRIJEM	VKLAD	19613	60897	\N	\N	\N
820699	2795	1997-02-12	PRIJEM	VKLAD	19613	43906	\N	\N	\N
820700	2795	1997-03-12	PRIJEM	VKLAD	19613	42485	\N	\N	\N
820701	2795	1997-04-12	PRIJEM	VKLAD	19613	39577	\N	\N	\N
820702	2795	1997-05-12	PRIJEM	VKLAD	19613	43651	\N	\N	\N
820703	2795	1997-06-12	PRIJEM	VKLAD	29420	52684	\N	\N	\N
820704	2795	1997-07-12	PRIJEM	VKLAD	19613	48704	\N	\N	\N
820705	2795	1997-08-12	PRIJEM	VKLAD	19613	45801	\N	\N	\N
820706	2795	1997-09-12	PRIJEM	VKLAD	19613	43686	\N	\N	\N
820707	2795	1997-10-12	PRIJEM	VKLAD	19613	44427	\N	\N	\N
820708	2795	1997-11-12	PRIJEM	VKLAD	19613	47616	\N	\N	\N
820709	2795	1997-12-12	PRIJEM	VKLAD	29420	53772	\N	\N	\N
820710	2795	1998-01-12	PRIJEM	VKLAD	19613	41706	\N	\N	\N
820711	2795	1998-02-12	PRIJEM	VKLAD	19613	40924	\N	\N	\N
820712	2795	1998-03-12	PRIJEM	VKLAD	19613	50701	\N	\N	\N
820713	2795	1998-04-12	PRIJEM	VKLAD	19613	49404	\N	\N	\N
820714	2795	1998-05-12	PRIJEM	VKLAD	19613	43092	\N	\N	\N
820715	2795	1998-06-12	PRIJEM	VKLAD	29420	55481	\N	\N	\N
820716	2795	1998-07-12	PRIJEM	VKLAD	19613	59317	\N	\N	\N
820717	2795	1998-08-12	PRIJEM	VKLAD	19613	58092	\N	\N	\N
820718	2795	1998-09-12	PRIJEM	VKLAD	19613	58368	\N	\N	\N
820719	2795	1998-10-12	PRIJEM	VKLAD	19613	56542	\N	\N	\N
820720	2795	1998-11-12	PRIJEM	VKLAD	19613	54869	\N	\N	\N
820721	2795	1998-12-12	PRIJEM	VKLAD	29420	68018	\N	\N	\N
820735	2795	1997-02-08	VYDAJ	PREVOD NA UCET	1722	24293	SIPO	AB	62608569
820736	2795	1997-03-08	VYDAJ	PREVOD NA UCET	1722	22872	SIPO	AB	62608569
820737	2795	1997-04-08	VYDAJ	PREVOD NA UCET	1722	19964	SIPO	AB	62608569
820738	2795	1997-05-08	VYDAJ	PREVOD NA UCET	1722	24038	SIPO	AB	62608569
820739	2795	1997-06-08	VYDAJ	PREVOD NA UCET	1722	23264	SIPO	AB	62608569
820740	2795	1997-07-08	VYDAJ	PREVOD NA UCET	1722	29091	SIPO	AB	62608569
820741	2795	1997-08-08	VYDAJ	PREVOD NA UCET	1722	26188	SIPO	AB	62608569
820742	2795	1997-09-08	VYDAJ	PREVOD NA UCET	1722	24073	SIPO	AB	62608569
820743	2795	1997-10-08	VYDAJ	PREVOD NA UCET	1722	24814	SIPO	AB	62608569
820744	2795	1997-11-08	VYDAJ	PREVOD NA UCET	1722	28003	SIPO	AB	62608569
820745	2795	1997-12-08	VYDAJ	PREVOD NA UCET	1722	24353	SIPO	AB	62608569
820865	2795	1998-11-27	VYDAJ	VYBER	720	54149	\N	\N	\N
820746	2795	1998-01-08	VYDAJ	PREVOD NA UCET	1722	22093	SIPO	AB	62608569
820747	2795	1998-02-08	VYDAJ	PREVOD NA UCET	1722	13311	SIPO	AB	62608569
820748	2795	1998-03-08	VYDAJ	PREVOD NA UCET	1722	31088	SIPO	AB	62608569
820749	2795	1998-04-08	VYDAJ	PREVOD NA UCET	1722	29791	SIPO	AB	62608569
820750	2795	1998-05-08	VYDAJ	PREVOD NA UCET	1722	25279	SIPO	AB	62608569
820751	2795	1998-06-08	VYDAJ	PREVOD NA UCET	1722	25862	SIPO	AB	62608569
820752	2795	1998-07-08	VYDAJ	PREVOD NA UCET	1722	45704	SIPO	AB	62608569
820753	2795	1998-08-08	VYDAJ	PREVOD NA UCET	1722	49579	SIPO	AB	62608569
820754	2795	1998-09-08	VYDAJ	PREVOD NA UCET	1722	48355	SIPO	AB	62608569
820755	2795	1998-10-08	VYDAJ	PREVOD NA UCET	1722	48629	SIPO	AB	62608569
820756	2795	1998-11-08	VYDAJ	PREVOD NA UCET	1722	44756	SIPO	AB	62608569
820757	2795	1998-12-08	VYDAJ	PREVOD NA UCET	1722	44399	SIPO	AB	62608569
820771	2795	1997-02-06	VYDAJ	PREVOD NA UCET	6366	27884	 	EF	22198647
820772	2795	1997-03-06	VYDAJ	PREVOD NA UCET	6366	26463	 	EF	22198647
820773	2795	1997-04-06	VYDAJ	PREVOD NA UCET	6366	23555	 	EF	22198647
820774	2795	1997-05-06	VYDAJ	PREVOD NA UCET	6366	27629	 	EF	22198647
820775	2795	1997-06-06	VYDAJ	PREVOD NA UCET	6366	26855	 	EF	22198647
820776	2795	1997-07-06	VYDAJ	PREVOD NA UCET	6366	32682	 	EF	22198647
820777	2795	1997-08-06	VYDAJ	PREVOD NA UCET	6366	29779	 	EF	22198647
820778	2795	1997-09-06	VYDAJ	PREVOD NA UCET	6366	27664	 	EF	22198647
820779	2795	1997-10-06	VYDAJ	PREVOD NA UCET	6366	28405	 	EF	22198647
820780	2795	1997-11-06	VYDAJ	PREVOD NA UCET	6366	31594	 	EF	22198647
820781	2795	1997-12-06	VYDAJ	PREVOD NA UCET	6366	27944	 	EF	22198647
820782	2795	1998-01-06	VYDAJ	PREVOD NA UCET	6366	25684	 	EF	22198647
820783	2795	1998-02-06	VYDAJ	PREVOD NA UCET	6366	16902	 	EF	22198647
820784	2795	1998-03-06	VYDAJ	PREVOD NA UCET	6366	34679	 	EF	22198647
820785	2795	1998-04-06	VYDAJ	PREVOD NA UCET	6366	33382	 	EF	22198647
820786	2795	1998-05-06	VYDAJ	PREVOD NA UCET	6366	28870	 	EF	22198647
820787	2795	1998-06-06	VYDAJ	PREVOD NA UCET	6366	29453	 	EF	22198647
820788	2795	1998-07-06	VYDAJ	PREVOD NA UCET	6366	49295	 	EF	22198647
820789	2795	1998-08-06	VYDAJ	PREVOD NA UCET	6366	53170	 	EF	22198647
820790	2795	1998-09-06	VYDAJ	PREVOD NA UCET	6366	51946	 	EF	22198647
820791	2795	1998-10-06	VYDAJ	PREVOD NA UCET	6366	52220	 	EF	22198647
820792	2795	1998-11-06	VYDAJ	PREVOD NA UCET	6366	48347	 	EF	22198647
820793	2795	1998-12-06	VYDAJ	PREVOD NA UCET	6366	47990	 	EF	22198647
820807	2795	1997-02-07	VYDAJ	PREVOD NA UCET	1869	26015	POJISTNE	WX	57666754
820808	2795	1997-03-07	VYDAJ	PREVOD NA UCET	1869	24594	POJISTNE	WX	57666754
820809	2795	1997-04-07	VYDAJ	PREVOD NA UCET	1869	21686	POJISTNE	WX	57666754
820810	2795	1997-05-07	VYDAJ	PREVOD NA UCET	1869	25760	POJISTNE	WX	57666754
820811	2795	1997-06-07	VYDAJ	PREVOD NA UCET	1869	24986	POJISTNE	WX	57666754
820812	2795	1997-07-07	VYDAJ	PREVOD NA UCET	1869	30813	POJISTNE	WX	57666754
820813	2795	1997-08-07	VYDAJ	PREVOD NA UCET	1869	27910	POJISTNE	WX	57666754
820814	2795	1997-09-07	VYDAJ	PREVOD NA UCET	1869	25795	POJISTNE	WX	57666754
820815	2795	1997-10-07	VYDAJ	PREVOD NA UCET	1869	26536	POJISTNE	WX	57666754
820816	2795	1997-11-07	VYDAJ	PREVOD NA UCET	1869	29725	POJISTNE	WX	57666754
820817	2795	1997-12-07	VYDAJ	PREVOD NA UCET	1869	26075	POJISTNE	WX	57666754
820818	2795	1998-01-07	VYDAJ	PREVOD NA UCET	1869	23815	POJISTNE	WX	57666754
820819	2795	1998-02-07	VYDAJ	PREVOD NA UCET	1869	15033	POJISTNE	WX	57666754
820820	2795	1998-03-07	VYDAJ	PREVOD NA UCET	1869	32810	POJISTNE	WX	57666754
820821	2795	1998-04-07	VYDAJ	PREVOD NA UCET	1869	31513	POJISTNE	WX	57666754
820822	2795	1998-05-07	VYDAJ	PREVOD NA UCET	1869	27001	POJISTNE	WX	57666754
820823	2795	1998-06-07	VYDAJ	PREVOD NA UCET	1869	27584	POJISTNE	WX	57666754
820824	2795	1998-07-07	VYDAJ	PREVOD NA UCET	1869	47426	POJISTNE	WX	57666754
820825	2795	1998-08-07	VYDAJ	PREVOD NA UCET	1869	51301	POJISTNE	WX	57666754
820826	2795	1998-09-07	VYDAJ	PREVOD NA UCET	1869	50077	POJISTNE	WX	57666754
820827	2795	1998-10-07	VYDAJ	PREVOD NA UCET	1869	50351	POJISTNE	WX	57666754
820828	2795	1998-11-07	VYDAJ	PREVOD NA UCET	1869	46478	POJISTNE	WX	57666754
820829	2795	1998-12-07	VYDAJ	PREVOD NA UCET	1869	46121	POJISTNE	WX	57666754
820831	2795	1997-12-30	VYDAJ	VYBER	4480	35392	\N	\N	\N
820832	2795	1998-12-15	VYDAJ	VYBER	4000	64018	\N	\N	\N
820839	2795	1997-01-24	VYDAJ	VYBER	2280	39257	\N	\N	\N
820840	2795	1997-01-26	VYDAJ	VYBER	2520	35537	\N	\N	\N
820841	2795	1997-01-28	VYDAJ	VYBER	1440	34097	\N	\N	\N
820842	2795	1997-01-17	VYDAJ	VYBER	1680	42617	\N	\N	\N
820843	2795	1997-01-21	VYDAJ	VYBER	1080	41537	\N	\N	\N
820844	2795	1997-01-24	VYDAJ	VYBER	1200	38057	\N	\N	\N
820845	2795	1998-01-26	VYDAJ	VYBER	1560	23166	\N	\N	\N
820846	2795	1998-01-05	VYDAJ	VYBER	3480	32050	\N	\N	\N
820847	2795	1998-01-13	VYDAJ	VYBER	2280	31326	\N	\N	\N
820848	2795	1998-01-25	VYDAJ	VYBER	2160	24726	\N	\N	\N
820849	2795	1998-01-21	VYDAJ	VYBER	3240	26886	\N	\N	\N
820850	2795	1998-01-17	VYDAJ	VYBER	1200	30126	\N	\N	\N
820859	2795	1997-09-19	VYDAJ	VYBER	840	34646	\N	\N	\N
820860	2795	1997-08-16	VYDAJ	VYBER	2400	33901	\N	\N	\N
820861	2795	1997-07-01	VYDAJ	VYBER	2280	39048	\N	\N	\N
820862	2795	1997-11-22	VYDAJ	VYBER	3840	34176	\N	\N	\N
820863	2795	1997-03-12	VYDAJ	VYBER	2280	40205	\N	\N	\N
820864	2795	1997-05-30	VYDAJ	VYBER	2760	33091	\N	\N	\N
820866	2795	1998-10-30	VYDAJ	VYBER	2040	54502	\N	\N	\N
820867	2795	1998-12-20	VYDAJ	VYBER	4800	59218	\N	\N	\N
820868	2795	1998-05-08	VYDAJ	VYBER	1800	23479	\N	\N	\N
820882	2795	1997-01-31	VYDAJ	VYBER	15	34250	SLUZBY	\N	\N
820883	2795	1997-02-28	VYDAJ	VYBER	15	32829	SLUZBY	\N	\N
820884	2795	1997-03-31	VYDAJ	VYBER	15	29921	SLUZBY	\N	\N
820885	2795	1997-04-30	VYDAJ	VYBER	15	33995	SLUZBY	\N	\N
820886	2795	1997-05-31	VYDAJ	VYBER	15	33221	SLUZBY	\N	\N
820887	2795	1997-06-30	VYDAJ	VYBER	15	41328	SLUZBY	\N	\N
820888	2795	1997-07-31	VYDAJ	VYBER	15	36145	SLUZBY	\N	\N
820889	2795	1997-08-31	VYDAJ	VYBER	15	34030	SLUZBY	\N	\N
820890	2795	1997-09-30	VYDAJ	VYBER	15	34771	SLUZBY	\N	\N
820891	2795	1997-10-31	VYDAJ	VYBER	15	37960	SLUZBY	\N	\N
820892	2795	1997-11-30	VYDAJ	VYBER	15	34310	SLUZBY	\N	\N
820893	2795	1997-12-31	VYDAJ	VYBER	15	35530	SLUZBY	\N	\N
820894	2795	1998-01-31	VYDAJ	VYBER	15	23268	SLUZBY	\N	\N
820895	2795	1998-02-28	VYDAJ	VYBER	15	41045	SLUZBY	\N	\N
820896	2795	1998-03-31	VYDAJ	VYBER	15	39748	SLUZBY	\N	\N
820897	2795	1998-04-30	VYDAJ	VYBER	15	35236	SLUZBY	\N	\N
820898	2795	1998-05-31	VYDAJ	VYBER	15	35819	SLUZBY	\N	\N
820899	2795	1998-06-30	VYDAJ	VYBER	15	55661	SLUZBY	\N	\N
820900	2795	1998-07-31	VYDAJ	VYBER	15	59536	SLUZBY	\N	\N
820901	2795	1998-08-31	VYDAJ	VYBER	15	58312	SLUZBY	\N	\N
820902	2795	1998-09-30	VYDAJ	VYBER	15	58586	SLUZBY	\N	\N
820903	2795	1998-10-31	VYDAJ	VYBER	15	54713	SLUZBY	\N	\N
820904	2795	1998-11-30	VYDAJ	VYBER	15	54356	SLUZBY	\N	\N
820905	2795	1996-09-19	PRIJEM	VKLAD	900	20813	\N	\N	\N
820906	2795	1996-10-19	VYDAJ	VYBER	10900	29561	\N	\N	\N
820907	2795	1996-11-18	VYDAJ	VYBER	14600	34676	\N	\N	\N
820908	2795	1996-12-18	VYDAJ	VYBER	23100	41128	\N	\N	\N
820909	2795	1997-01-17	VYDAJ	VYBER	16600	44297	\N	\N	\N
820910	2795	1997-02-16	VYDAJ	VYBER	11200	32706	\N	\N	\N
820911	2795	1997-03-18	VYDAJ	VYBER	10400	29805	\N	\N	\N
820912	2795	1997-04-17	VYDAJ	VYBER	5700	33877	\N	\N	\N
820913	2795	1997-05-17	VYDAJ	VYBER	7800	35851	\N	\N	\N
820914	2795	1997-06-16	VYDAJ	VYBER	11500	41184	\N	\N	\N
820915	2795	1997-07-16	VYDAJ	VYBER	12700	36004	\N	\N	\N
820916	2795	1997-08-15	VYDAJ	VYBER	9500	36301	\N	\N	\N
820917	2795	1997-09-14	VYDAJ	VYBER	8200	35486	\N	\N	\N
820918	2795	1997-10-14	VYDAJ	VYBER	6600	37827	\N	\N	\N
820919	2795	1997-11-13	VYDAJ	VYBER	9600	38016	\N	\N	\N
820920	2795	1997-12-13	VYDAJ	VYBER	13900	39872	\N	\N	\N
820921	2795	1998-01-12	VYDAJ	VYBER	8100	33606	\N	\N	\N
820922	2795	1998-02-11	PRIJEM	VKLAD	8000	21311	\N	\N	\N
820923	2795	1998-03-13	VYDAJ	VYBER	11100	39601	\N	\N	\N
820924	2795	1998-04-12	VYDAJ	VYBER	14300	35104	\N	\N	\N
820925	2795	1998-05-12	VYDAJ	VYBER	7400	35692	\N	\N	\N
820926	2795	1998-06-11	PRIJEM	VKLAD	200	26062	\N	\N	\N
820927	2795	1998-07-11	VYDAJ	VYBER	6000	39704	\N	\N	\N
820928	2795	1998-08-10	VYDAJ	VYBER	11100	38479	\N	\N	\N
820929	2795	1998-09-09	VYDAJ	VYBER	9600	38755	\N	\N	\N
820930	2795	1998-10-09	VYDAJ	VYBER	11700	36929	\N	\N	\N
820931	2795	1998-11-08	VYDAJ	VYBER	9500	35256	\N	\N	\N
820932	2795	1998-12-08	VYDAJ	VYBER	5800	38599	\N	\N	\N
820961	2796	1997-12-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
820973	2796	1997-12-10	PRIJEM	PREVOD Z UCTU	60954	61954	\N	AB	79264974
820974	2796	1998-01-10	PRIJEM	PREVOD Z UCTU	40636	84673	\N	AB	79264974
820975	2796	1998-02-10	PRIJEM	PREVOD Z UCTU	40636	98435	\N	AB	79264974
820976	2796	1998-03-10	PRIJEM	PREVOD Z UCTU	40636	108562	\N	AB	79264974
820977	2796	1998-04-10	PRIJEM	PREVOD Z UCTU	40636	86187	\N	AB	79264974
820978	2796	1998-05-10	PRIJEM	PREVOD Z UCTU	40636	98831	\N	AB	79264974
820979	2796	1998-06-10	PRIJEM	PREVOD Z UCTU	60954	118688	\N	AB	79264974
820980	2796	1998-07-10	PRIJEM	PREVOD Z UCTU	40636	96758	\N	AB	79264974
820981	2796	1998-08-10	PRIJEM	PREVOD Z UCTU	40636	107550	\N	AB	79264974
820982	2796	1998-09-10	PRIJEM	PREVOD Z UCTU	40636	107366	\N	AB	79264974
820983	2796	1998-10-10	PRIJEM	PREVOD Z UCTU	40636	90279	\N	AB	79264974
820984	2796	1998-11-10	PRIJEM	PREVOD Z UCTU	40636	84386	\N	AB	79264974
820985	2796	1998-12-10	PRIJEM	PREVOD Z UCTU	60954	120739	\N	AB	79264974
821002	2796	1998-05-08	VYDAJ	PREVOD NA UCET	3381	58195	SIPO	ST	33603441
821003	2796	1998-06-08	VYDAJ	PREVOD NA UCET	3381	57734	SIPO	ST	33603441
821004	2796	1998-07-08	VYDAJ	PREVOD NA UCET	3381	56122	SIPO	ST	33603441
821005	2796	1998-08-08	VYDAJ	PREVOD NA UCET	3381	66914	SIPO	ST	33603441
821006	2796	1998-09-08	VYDAJ	PREVOD NA UCET	3381	66730	SIPO	ST	33603441
821007	2796	1998-10-08	VYDAJ	PREVOD NA UCET	3381	49643	SIPO	ST	33603441
821008	2796	1998-11-08	VYDAJ	PREVOD NA UCET	3381	43750	SIPO	ST	33603441
821009	2796	1998-12-08	VYDAJ	PREVOD NA UCET	3381	59785	SIPO	ST	33603441
821025	2796	1998-04-12	VYDAJ	PREVOD NA UCET	5291	80896	 	MN	37211978
821026	2796	1998-05-12	VYDAJ	PREVOD NA UCET	5291	80212	 	MN	37211978
821027	2796	1998-06-12	VYDAJ	PREVOD NA UCET	5291	85197	 	MN	37211978
821028	2796	1998-07-12	VYDAJ	PREVOD NA UCET	5291	91467	 	MN	37211978
821029	2796	1998-08-12	VYDAJ	PREVOD NA UCET	5291	102259	 	MN	37211978
821030	2796	1998-09-12	VYDAJ	PREVOD NA UCET	5291	59275	 	MN	37211978
821031	2796	1998-10-12	VYDAJ	PREVOD NA UCET	5291	76888	 	MN	37211978
821032	2796	1998-11-12	VYDAJ	PREVOD NA UCET	5291	79095	 	MN	37211978
821033	2796	1998-12-12	VYDAJ	PREVOD NA UCET	5291	55548	 	MN	37211978
821045	2796	1998-08-24	VYBER	VYBER	6018	96241	\N	\N	\N
821046	2796	1998-05-11	VYBER	VYBER	13328	85503	\N	\N	\N
821049	2796	1998-06-25	VYDAJ	VYBER	10800	74397	\N	\N	\N
821053	2796	1998-12-12	VYDAJ	VYBER KARTOU	7200	48348	\N	\N	0
821073	2796	1998-08-28	VYDAJ	VYBER KARTOU	5100	91141	\N	\N	0
821074	2796	1998-10-11	VYDAJ	VYBER	8100	82179	\N	\N	\N
821075	2796	1998-09-18	VYDAJ	VYBER KARTOU	2100	57175	\N	\N	0
821077	2796	1998-10-21	VYDAJ	VYBER KARTOU	6300	70588	\N	\N	0
821078	2796	1998-10-23	VYDAJ	VYBER	12900	57688	\N	\N	\N
821095	2796	1998-04-30	VYDAJ	VYBER	30	81176	SLUZBY	\N	\N
821096	2796	1998-05-31	VYDAJ	VYBER	30	80515	SLUZBY	\N	\N
821097	2796	1998-06-30	VYDAJ	VYBER	30	74703	SLUZBY	\N	\N
821098	2796	1998-07-31	VYDAJ	VYBER	30	91795	SLUZBY	\N	\N
821099	2796	1998-08-31	VYDAJ	VYBER	30	91511	SLUZBY	\N	\N
821100	2796	1998-09-30	VYDAJ	VYBER	30	57424	SLUZBY	\N	\N
821101	2796	1998-10-31	VYDAJ	VYBER	30	57931	SLUZBY	\N	\N
821102	2796	1998-11-30	VYDAJ	VYBER	30	79366	SLUZBY	\N	\N
821103	2796	1998-01-07	VYDAJ	VYBER	18100	44037	\N	\N	\N
821104	2796	1998-02-06	VYDAJ	VYBER	27200	57799	\N	\N	\N
821105	2796	1998-03-08	VYDAJ	VYBER	30900	67926	\N	\N	\N
821106	2796	1998-03-10	VYDAJ	VYBER	51200	57362	\N	\N	\N
821107	2796	1998-04-07	VYDAJ	VYBER	12100	45551	\N	\N	\N
821108	2796	1998-05-07	VYDAJ	VYBER	19600	61576	\N	\N	\N
821109	2796	1998-06-06	VYDAJ	VYBER	19400	61115	\N	\N	\N
821110	2796	1998-06-10	VYDAJ	VYBER	28200	90488	\N	\N	\N
821111	2796	1998-07-06	VYDAJ	VYBER	15200	59503	\N	\N	\N
821112	2796	1998-08-05	VYDAJ	VYBER	21500	70295	\N	\N	\N
821113	2796	1998-09-04	VYDAJ	VYBER	21400	70111	\N	\N	\N
821114	2796	1998-09-10	VYDAJ	VYBER	42800	64566	\N	\N	\N
821115	2796	1998-10-04	VYDAJ	VYBER KARTOU	4400	53024	\N	\N	0
821116	2796	1998-11-03	VYDAJ	VYBER	10800	47131	\N	\N	\N
821117	2796	1998-12-03	VYDAJ	VYBER	16200	63166	\N	\N	\N
821118	2796	1998-12-10	VYDAJ	VYBER	59900	60839	\N	\N	\N
821132	2797	1997-02-26	PRIJEM	VKLAD	500	500	\N	\N	\N
821135	2797	1997-03-06	PRIJEM	VKLAD	18523	19023	\N	\N	\N
821136	2797	1997-04-06	PRIJEM	VKLAD	18523	40558	\N	\N	\N
821137	2797	1997-05-06	PRIJEM	VKLAD	18523	46676	\N	\N	\N
821138	2797	1997-06-06	PRIJEM	VKLAD	27784	63582	\N	\N	\N
821139	2797	1997-07-06	PRIJEM	VKLAD	18523	63560	\N	\N	\N
821140	2797	1997-08-06	PRIJEM	VKLAD	18523	59953	\N	\N	\N
821141	2797	1997-09-06	PRIJEM	VKLAD	18523	57932	\N	\N	\N
821142	2797	1997-10-06	PRIJEM	VKLAD	18523	55402	\N	\N	\N
821143	2797	1997-11-06	PRIJEM	VKLAD	18523	50232	\N	\N	\N
821144	2797	1997-12-06	PRIJEM	VKLAD	27784	58733	\N	\N	\N
821145	2797	1998-01-06	PRIJEM	VKLAD	18523	43515	\N	\N	\N
821146	2797	1998-02-06	PRIJEM	VKLAD	18523	38049	\N	\N	\N
821147	2797	1998-03-06	PRIJEM	VKLAD	18523	41542	\N	\N	\N
821148	2797	1998-04-06	PRIJEM	VKLAD	18523	43148	\N	\N	\N
821149	2797	1998-05-06	PRIJEM	VKLAD	18523	37752	\N	\N	\N
821150	2797	1998-06-06	PRIJEM	VKLAD	27784	40113	\N	\N	\N
821151	2797	1998-07-06	PRIJEM	VKLAD	18523	19867	\N	\N	\N
821152	2797	1998-08-06	PRIJEM	VKLAD	18523	23374	\N	\N	\N
821153	2797	1998-09-06	PRIJEM	VKLAD	18523	26746	\N	\N	\N
821154	2797	1998-10-06	PRIJEM	VKLAD	18523	32498	\N	\N	\N
821155	2797	1998-11-06	PRIJEM	VKLAD	18523	33748	\N	\N	\N
821156	2797	1998-12-06	PRIJEM	VKLAD	27784	42128	\N	\N	\N
821158	2797	1998-06-14	VYDAJ	VYBER	38880	1233	\N	\N	\N
821160	2797	1998-01-12	VYDAJ	VYBER	10720	32795	\N	\N	\N
821161	2797	1997-12-06	VYDAJ	VYBER	4160	54573	\N	\N	\N
821162	2797	1998-12-08	VYDAJ	VYBER	2880	39248	\N	\N	\N
821169	2797	1998-01-05	VYDAJ	VYBER	1560	24992	\N	\N	\N
821170	2797	1998-01-28	VYDAJ	VYBER	840	20255	\N	\N	\N
821171	2797	1998-01-23	VYDAJ	VYBER	2280	21095	\N	\N	\N
821172	2797	1998-01-20	VYDAJ	VYBER	1920	30875	\N	\N	\N
821173	2797	1998-01-03	VYDAJ	VYBER	1440	26552	\N	\N	\N
821174	2797	1998-01-29	VYDAJ	VYBER	840	19415	\N	\N	\N
821177	2797	1997-10-16	VYDAJ	VYBER	5040	50362	\N	\N	\N
821178	2797	1998-10-22	VYDAJ	VYBER	4920	15178	\N	\N	\N
821179	2797	1998-08-04	VYDAJ	VYBER	5520	4851	\N	\N	\N
821180	2797	1998-01-02	VYDAJ	VYBER	3960	27992	\N	\N	\N
821181	2797	1998-11-30	VYDAJ	VYBER	5160	14344	\N	\N	\N
821182	2797	1998-05-24	VYDAJ	VYBER	4080	12272	\N	\N	\N
821183	2797	1998-12-12	VYDAJ	VYBER	2160	37088	\N	\N	\N
821191	2797	1997-07-31	VYDAJ	VYBER	15	41430	SLUZBY	\N	\N
821192	2797	1997-08-31	VYDAJ	VYBER	15	39409	SLUZBY	\N	\N
821193	2797	1997-09-30	VYDAJ	VYBER	15	36879	SLUZBY	\N	\N
821194	2797	1997-10-31	VYDAJ	VYBER	15	31709	SLUZBY	\N	\N
821195	2797	1997-11-30	VYDAJ	VYBER	15	30949	SLUZBY	\N	\N
821196	2797	1997-12-31	VYDAJ	VYBER	15	31952	SLUZBY	\N	\N
821197	2797	1998-01-31	VYDAJ	VYBER	15	19526	SLUZBY	\N	\N
821198	2797	1998-02-28	VYDAJ	VYBER	15	23019	SLUZBY	\N	\N
821199	2797	1998-03-31	VYDAJ	VYBER	15	24625	SLUZBY	\N	\N
821200	2797	1998-04-30	VYDAJ	VYBER	15	19229	SLUZBY	\N	\N
821201	2797	1998-05-31	VYDAJ	VYBER	15	12329	SLUZBY	\N	\N
821202	2797	1998-06-30	VYDAJ	VYBER	15	1344	SLUZBY	\N	\N
821203	2797	1998-07-31	VYDAJ	VYBER	15	10371	SLUZBY	\N	\N
821204	2797	1998-08-31	VYDAJ	VYBER	15	8223	SLUZBY	\N	\N
821205	2797	1998-09-30	VYDAJ	VYBER	15	13975	SLUZBY	\N	\N
821206	2797	1998-10-31	VYDAJ	VYBER	15	15225	SLUZBY	\N	\N
821207	2797	1998-11-30	VYDAJ	VYBER	15	19504	SLUZBY	\N	\N
821208	2797	1997-03-28	PRIJEM	VKLAD	3000	22023	\N	\N	\N
821209	2797	1997-04-27	VYDAJ	VYBER	12500	28058	\N	\N	\N
821210	2797	1997-05-27	VYDAJ	VYBER	11000	35676	\N	\N	\N
821211	2797	1997-06-26	VYDAJ	VYBER	18700	44882	\N	\N	\N
821212	2797	1997-07-26	VYDAJ	VYBER	22300	41260	\N	\N	\N
821213	2797	1997-08-25	VYDAJ	VYBER	20700	39253	\N	\N	\N
821214	2797	1997-09-24	VYDAJ	VYBER	21200	36732	\N	\N	\N
821215	2797	1997-10-24	VYDAJ	VYBER	18800	31562	\N	\N	\N
821216	2797	1997-11-23	VYDAJ	VYBER	19400	30832	\N	\N	\N
821217	2797	1997-12-23	VYDAJ	VYBER	22800	31773	\N	\N	\N
821218	2797	1998-01-22	VYDAJ	VYBER	7500	23375	\N	\N	\N
821219	2797	1998-02-21	VYDAJ	VYBER	15100	22949	\N	\N	\N
821220	2797	1998-03-23	VYDAJ	VYBER	17000	24542	\N	\N	\N
821221	2797	1998-04-22	VYDAJ	VYBER	24000	19148	\N	\N	\N
821222	2797	1998-05-22	VYDAJ	VYBER	21400	16352	\N	\N	\N
821223	2797	1998-06-21	PRIJEM	VKLAD	100	1333	\N	\N	\N
821224	2797	1998-07-21	VYDAJ	VYBER	9500	10367	\N	\N	\N
821225	2797	1998-08-20	VYDAJ	VYBER	15200	8174	\N	\N	\N
821226	2797	1998-09-19	VYDAJ	VYBER	12800	13946	\N	\N	\N
821227	2797	1998-10-19	VYDAJ	VYBER	12400	20098	\N	\N	\N
821228	2797	1998-11-18	VYDAJ	VYBER	14300	19448	\N	\N	\N
821253	2798	1994-08-24	PRIJEM	VKLAD	200	200	\N	\N	\N
821262	2798	1994-09-05	PRIJEM	PREVOD Z UCTU	19809	20009	\N	OP	97866516
821263	2798	1994-10-05	PRIJEM	PREVOD Z UCTU	19809	41342	\N	OP	97866516
821264	2798	1994-11-05	PRIJEM	PREVOD Z UCTU	19809	49751	\N	OP	97866516
821265	2798	1994-12-05	PRIJEM	PREVOD Z UCTU	29714	65296	\N	OP	97866516
821266	2798	1995-01-05	PRIJEM	PREVOD Z UCTU	19809	62562	\N	OP	97866516
821267	2798	1995-02-05	PRIJEM	PREVOD Z UCTU	19809	43528	\N	OP	97866516
821268	2798	1995-03-05	PRIJEM	PREVOD Z UCTU	19809	46852	\N	OP	97866516
821269	2798	1995-04-05	PRIJEM	PREVOD Z UCTU	19809	39601	\N	OP	97866516
821270	2798	1995-05-05	PRIJEM	PREVOD Z UCTU	19809	46514	\N	OP	97866516
821271	2798	1995-06-05	PRIJEM	PREVOD Z UCTU	29714	57453	\N	OP	97866516
821272	2798	1995-07-05	PRIJEM	PREVOD Z UCTU	19809	40559	\N	OP	97866516
821273	2798	1995-08-05	PRIJEM	PREVOD Z UCTU	19809	45672	\N	OP	97866516
821274	2798	1995-09-05	PRIJEM	PREVOD Z UCTU	19809	46900	\N	OP	97866516
821275	2798	1995-10-05	PRIJEM	PREVOD Z UCTU	19809	51937	\N	OP	97866516
821276	2798	1995-11-05	PRIJEM	PREVOD Z UCTU	19809	54590	\N	OP	97866516
821277	2798	1995-12-05	PRIJEM	PREVOD Z UCTU	29714	51621	\N	OP	97866516
821278	2798	1996-01-05	PRIJEM	PREVOD Z UCTU	19809	47592	\N	OP	97866516
821279	2798	1996-02-05	PRIJEM	PREVOD Z UCTU	19809	40895	\N	OP	97866516
821280	2798	1996-03-05	PRIJEM	PREVOD Z UCTU	19809	43518	\N	OP	97866516
821281	2798	1996-04-05	PRIJEM	PREVOD Z UCTU	19809	50344	\N	OP	97866516
821282	2798	1996-05-05	PRIJEM	PREVOD Z UCTU	19809	56494	\N	OP	97866516
821283	2798	1996-06-05	PRIJEM	PREVOD Z UCTU	29714	66517	\N	OP	97866516
821284	2798	1996-07-05	PRIJEM	PREVOD Z UCTU	19809	48677	\N	OP	97866516
821285	2798	1996-08-05	PRIJEM	PREVOD Z UCTU	19809	52679	\N	OP	97866516
821286	2798	1996-09-05	PRIJEM	PREVOD Z UCTU	19809	40834	\N	OP	97866516
821287	2798	1996-10-05	PRIJEM	PREVOD Z UCTU	19809	50454	\N	OP	97866516
821288	2798	1996-11-05	PRIJEM	PREVOD Z UCTU	19809	61615	\N	OP	97866516
821289	2798	1996-12-05	PRIJEM	PREVOD Z UCTU	29714	63986	\N	OP	97866516
821290	2798	1997-01-05	PRIJEM	PREVOD Z UCTU	19809	63376	\N	OP	97866516
821291	2798	1997-02-05	PRIJEM	PREVOD Z UCTU	19809	43202	\N	OP	97866516
821292	2798	1997-03-05	PRIJEM	PREVOD Z UCTU	19809	43531	\N	OP	97866516
821293	2798	1997-04-05	PRIJEM	PREVOD Z UCTU	19809	47559	\N	OP	97866516
821294	2798	1997-05-05	PRIJEM	PREVOD Z UCTU	19809	42028	\N	OP	97866516
821295	2798	1997-06-05	PRIJEM	PREVOD Z UCTU	29714	51453	\N	OP	97866516
821296	2798	1997-07-05	PRIJEM	PREVOD Z UCTU	19809	55587	\N	OP	97866516
821297	2798	1997-08-05	PRIJEM	PREVOD Z UCTU	19809	43781	\N	OP	97866516
821298	2798	1997-09-05	PRIJEM	PREVOD Z UCTU	19809	52209	\N	OP	97866516
821299	2798	1997-10-05	PRIJEM	PREVOD Z UCTU	19809	55255	\N	OP	97866516
821300	2798	1997-11-05	PRIJEM	PREVOD Z UCTU	19809	48380	\N	OP	97866516
821301	2798	1997-12-05	PRIJEM	PREVOD Z UCTU	29714	57304	\N	OP	97866516
821302	2798	1998-01-05	PRIJEM	PREVOD Z UCTU	19809	42419	\N	OP	97866516
821303	2798	1998-02-05	PRIJEM	PREVOD Z UCTU	19809	36500	\N	OP	97866516
821304	2798	1998-03-05	PRIJEM	PREVOD Z UCTU	19809	50307	\N	OP	97866516
821305	2798	1998-04-05	PRIJEM	PREVOD Z UCTU	19809	48328	\N	OP	97866516
821306	2798	1998-05-05	PRIJEM	PREVOD Z UCTU	19809	42228	\N	OP	97866516
821307	2798	1998-06-05	PRIJEM	PREVOD Z UCTU	29714	45125	\N	OP	97866516
821308	2798	1998-07-05	PRIJEM	PREVOD Z UCTU	19809	43379	\N	OP	97866516
821309	2798	1998-08-05	PRIJEM	PREVOD Z UCTU	19809	37708	\N	OP	97866516
821310	2798	1998-09-05	PRIJEM	PREVOD Z UCTU	19809	40640	\N	OP	97866516
821311	2798	1998-10-05	PRIJEM	PREVOD Z UCTU	19809	44484	\N	OP	97866516
821312	2798	1998-11-05	PRIJEM	PREVOD Z UCTU	19809	50044	\N	OP	97866516
821313	2798	1998-12-05	PRIJEM	PREVOD Z UCTU	29714	60029	\N	OP	97866516
821326	2798	1995-01-10	VYDAJ	PREVOD NA UCET	6094	56468	SIPO	WX	61733460
821327	2798	1995-02-10	VYDAJ	PREVOD NA UCET	6094	37434	SIPO	WX	61733460
821328	2798	1995-03-10	VYDAJ	PREVOD NA UCET	6094	40758	SIPO	WX	61733460
821329	2798	1995-04-10	VYDAJ	PREVOD NA UCET	6094	33507	SIPO	WX	61733460
821330	2798	1995-05-10	VYDAJ	PREVOD NA UCET	6094	40420	SIPO	WX	61733460
821331	2798	1995-06-10	VYDAJ	PREVOD NA UCET	6094	34559	SIPO	WX	61733460
821332	2798	1995-07-10	VYDAJ	PREVOD NA UCET	6094	34465	SIPO	WX	61733460
821333	2798	1995-08-10	VYDAJ	PREVOD NA UCET	6094	39578	SIPO	WX	61733460
821334	2798	1995-09-10	VYDAJ	PREVOD NA UCET	6094	40806	SIPO	WX	61733460
821335	2798	1995-10-10	VYDAJ	PREVOD NA UCET	6094	45843	SIPO	WX	61733460
821336	2798	1995-11-10	VYDAJ	PREVOD NA UCET	6094	48496	SIPO	WX	61733460
821337	2798	1995-12-10	VYDAJ	PREVOD NA UCET	6094	39557	SIPO	WX	61733460
821338	2798	1996-01-10	VYDAJ	PREVOD NA UCET	6094	22898	SIPO	WX	61733460
821339	2798	1996-02-10	VYDAJ	PREVOD NA UCET	6094	34801	SIPO	WX	61733460
821340	2798	1996-03-10	VYDAJ	PREVOD NA UCET	6094	37424	SIPO	WX	61733460
821341	2798	1996-04-10	VYDAJ	PREVOD NA UCET	6094	44250	SIPO	WX	61733460
821342	2798	1996-05-10	VYDAJ	PREVOD NA UCET	6094	43653	SIPO	WX	61733460
821343	2798	1996-06-10	VYDAJ	PREVOD NA UCET	6094	60423	SIPO	WX	61733460
821344	2798	1996-07-10	VYDAJ	PREVOD NA UCET	6094	42583	SIPO	WX	61733460
821345	2798	1996-08-10	VYDAJ	PREVOD NA UCET	6094	46585	SIPO	WX	61733460
821346	2798	1996-09-10	VYDAJ	PREVOD NA UCET	6094	34740	SIPO	WX	61733460
821347	2798	1996-10-10	VYDAJ	PREVOD NA UCET	6094	44360	SIPO	WX	61733460
821348	2798	1996-11-10	VYDAJ	PREVOD NA UCET	6094	41421	SIPO	WX	61733460
821349	2798	1996-12-10	VYDAJ	PREVOD NA UCET	6094	57892	SIPO	WX	61733460
821350	2798	1997-01-10	VYDAJ	PREVOD NA UCET	6094	36167	SIPO	WX	61733460
821351	2798	1997-02-10	VYDAJ	PREVOD NA UCET	6094	34408	SIPO	WX	61733460
821352	2798	1997-03-10	VYDAJ	PREVOD NA UCET	6094	24780	SIPO	WX	61733460
821353	2798	1997-04-10	VYDAJ	PREVOD NA UCET	6094	41465	SIPO	WX	61733460
821354	2798	1997-05-10	VYDAJ	PREVOD NA UCET	6094	38834	SIPO	WX	61733460
821355	2798	1997-06-10	VYDAJ	PREVOD NA UCET	6094	35659	SIPO	WX	61733460
821356	2798	1997-07-10	VYDAJ	PREVOD NA UCET	6094	35993	SIPO	WX	61733460
821357	2798	1997-08-10	VYDAJ	PREVOD NA UCET	6094	32287	SIPO	WX	61733460
821358	2798	1997-09-10	VYDAJ	PREVOD NA UCET	6094	35315	SIPO	WX	61733460
821359	2798	1997-10-10	VYDAJ	PREVOD NA UCET	6094	32461	SIPO	WX	61733460
821360	2798	1997-11-10	VYDAJ	PREVOD NA UCET	6094	27486	SIPO	WX	61733460
821361	2798	1997-12-10	VYDAJ	PREVOD NA UCET	6094	29710	SIPO	WX	61733460
821362	2798	1998-01-10	VYDAJ	PREVOD NA UCET	6094	16625	SIPO	WX	61733460
821363	2798	1998-02-10	VYDAJ	PREVOD NA UCET	6094	30406	SIPO	WX	61733460
821364	2798	1998-03-10	VYDAJ	PREVOD NA UCET	6094	28413	SIPO	WX	61733460
821365	2798	1998-04-10	VYDAJ	PREVOD NA UCET	6094	22334	SIPO	WX	61733460
821366	2798	1998-05-10	VYDAJ	PREVOD NA UCET	6094	18034	SIPO	WX	61733460
821367	2798	1998-06-10	VYDAJ	PREVOD NA UCET	6094	39031	SIPO	WX	61733460
821368	2798	1998-07-10	VYDAJ	PREVOD NA UCET	6094	27685	SIPO	WX	61733460
821369	2798	1998-08-10	VYDAJ	PREVOD NA UCET	6094	31614	SIPO	WX	61733460
821370	2798	1998-09-10	VYDAJ	PREVOD NA UCET	6094	34546	SIPO	WX	61733460
821371	2798	1998-10-10	VYDAJ	PREVOD NA UCET	6094	38390	SIPO	WX	61733460
821372	2798	1998-11-10	VYDAJ	PREVOD NA UCET	6094	43950	SIPO	WX	61733460
821373	2798	1998-12-10	VYDAJ	PREVOD NA UCET	6094	53935	SIPO	WX	61733460
821378	2798	1995-11-19	VYBER	VYBER	12611	21785	\N	\N	\N
821380	2798	1995-03-14	VYBER	VYBER	9856	23702	\N	\N	\N
821382	2798	1995-12-05	VYBER	VYBER	5970	45651	\N	\N	\N
821387	2798	1996-05-06	VYBER	VYBER	6747	49747	\N	\N	\N
821389	2798	1996-02-11	VYBER	VYBER	14472	20329	\N	\N	\N
821392	2798	1996-07-19	VYBER	VYBER	4038	32745	\N	\N	\N
821395	2798	1996-08-20	VYBER	VYBER	21277	20908	\N	\N	\N
821396	2798	1997-10-12	VYBER	VYBER	4003	28458	\N	\N	\N
821397	2798	1997-05-23	VYBER	VYBER	9993	28841	\N	\N	\N
821400	2798	1997-04-24	VYBER	VYBER	9990	31275	\N	\N	\N
821401	2798	1997-04-25	VYBER	VYBER	9178	22097	\N	\N	\N
821403	2798	1997-03-05	VYBER	VYBER	12657	30874	\N	\N	\N
821405	2798	1997-07-28	VYBER	VYBER	12149	23844	\N	\N	\N
821406	2798	1997-03-28	VYBER	VYBER	2945	27635	\N	\N	\N
821407	2798	1997-01-05	VYBER	VYBER	8115	55261	\N	\N	\N
821408	2798	1997-05-30	VYBER	VYBER	7214	21627	\N	\N	\N
821414	2798	1998-12-26	VYBER	VYBER	10325	41210	\N	\N	\N
821418	2798	1998-12-30	VYBER	VYBER	10274	30936	\N	\N	\N
821422	2798	1995-06-09	VYDAJ	VYBER	16800	40653	\N	\N	\N
821423	2798	1996-06-19	VYDAJ	VYBER	18600	28723	\N	\N	\N
821428	2798	1996-01-09	VYDAJ	VYBER	10800	36792	\N	\N	\N
821429	2798	1997-01-08	VYDAJ	VYBER	7200	42061	\N	\N	\N
821432	2798	1995-12-22	VYDAJ	VYBER	2400	27657	\N	\N	\N
821433	2798	1996-12-30	VYDAJ	VYBER	5100	43392	\N	\N	\N
821434	2798	1997-12-22	VYDAJ	VYBER	7200	22510	\N	\N	\N
821435	2798	1998-12-15	VYDAJ	VYBER	2400	51535	\N	\N	\N
821442	2798	1995-01-21	VYDAJ	VYBER	5100	33968	\N	\N	\N
821443	2798	1995-01-16	VYDAJ	VYBER	2400	46268	\N	\N	\N
821444	2798	1995-01-18	VYDAJ	VYBER	3300	39068	\N	\N	\N
821445	2798	1995-01-18	VYDAJ	VYBER	3900	42368	\N	\N	\N
821446	2798	1995-01-11	VYDAJ	VYBER	3000	48668	\N	\N	\N
821447	2798	1995-01-10	VYDAJ	VYBER	4800	51668	\N	\N	\N
821448	2798	1996-01-28	VYDAJ	VYBER	1800	20998	\N	\N	\N
821449	2798	1996-01-10	VYDAJ	VYBER	4800	28992	\N	\N	\N
821450	2798	1996-01-09	VYDAJ	VYBER	3000	33792	\N	\N	\N
821451	2798	1996-01-13	VYDAJ	VYBER	3300	19598	\N	\N	\N
821454	2798	1997-01-15	VYDAJ	VYBER	6600	29567	\N	\N	\N
821455	2798	1997-01-22	VYDAJ	VYBER	2400	23267	\N	\N	\N
821456	2798	1997-01-18	VYDAJ	VYBER	3900	25667	\N	\N	\N
821457	2798	1997-01-05	VYDAJ	VYBER	2700	49261	\N	\N	\N
821459	2798	1997-01-05	VYDAJ	VYBER	3300	51961	\N	\N	\N
821464	2798	1998-01-07	VYDAJ	VYBER	5400	22719	\N	\N	\N
821473	2798	1995-03-12	VYDAJ	VYBER	7200	33558	\N	\N	\N
821474	2798	1995-06-15	VYDAJ	VYBER	14400	20159	\N	\N	\N
821475	2798	1995-08-22	VYDAJ	VYBER	1500	26978	\N	\N	\N
821476	2798	1995-01-29	VYDAJ	VYBER	6300	23568	\N	\N	\N
821477	2798	1996-03-24	VYDAJ	VYBER	1500	30424	\N	\N	\N
821478	2798	1996-11-30	VYDAJ	VYBER	4500	34272	\N	\N	\N
821479	2798	1996-11-08	VYDAJ	VYBER	14100	47515	\N	\N	\N
821480	2798	1996-09-19	VYDAJ	VYBER	3900	30540	\N	\N	\N
821481	2798	1997-11-09	VYDAJ	VYBER	2100	33580	\N	\N	\N
821483	2798	1997-02-28	VYDAJ	VYBER	10800	23722	\N	\N	\N
821485	2798	1998-07-09	VYDAJ	VYBER	9600	33779	\N	\N	\N
821486	2798	1998-11-27	VYDAJ	VYBER	4500	39450	\N	\N	\N
821500	2798	1995-01-31	VYDAJ	VYBER	15	23719	SLUZBY	\N	\N
821501	2798	1995-02-28	VYDAJ	VYBER	15	27043	SLUZBY	\N	\N
821502	2798	1995-03-31	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
821503	2798	1995-04-30	VYDAJ	VYBER	15	26705	SLUZBY	\N	\N
821504	2798	1995-05-31	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
821505	2798	1995-06-30	VYDAJ	VYBER	15	20750	SLUZBY	\N	\N
821506	2798	1995-07-31	VYDAJ	VYBER	15	25863	SLUZBY	\N	\N
821507	2798	1995-08-31	VYDAJ	VYBER	15	27091	SLUZBY	\N	\N
821508	2798	1995-09-30	VYDAJ	VYBER	15	32128	SLUZBY	\N	\N
821509	2798	1995-10-31	VYDAJ	VYBER	15	34781	SLUZBY	\N	\N
821510	2798	1995-11-30	VYDAJ	VYBER	15	21907	SLUZBY	\N	\N
821511	2798	1995-12-31	VYDAJ	VYBER	15	27783	SLUZBY	\N	\N
821512	2798	1996-01-31	VYDAJ	VYBER	15	21086	SLUZBY	\N	\N
821513	2798	1996-02-29	VYDAJ	VYBER	15	23709	SLUZBY	\N	\N
821514	2798	1996-03-31	VYDAJ	VYBER	15	30535	SLUZBY	\N	\N
821515	2798	1996-04-30	VYDAJ	VYBER	15	36685	SLUZBY	\N	\N
821516	2798	1996-05-31	VYDAJ	VYBER	15	36803	SLUZBY	\N	\N
821517	2798	1996-06-30	VYDAJ	VYBER	15	28868	SLUZBY	\N	\N
821518	2798	1996-07-31	VYDAJ	VYBER	15	32870	SLUZBY	\N	\N
821519	2798	1996-08-31	VYDAJ	VYBER	15	21025	SLUZBY	\N	\N
821520	2798	1996-09-30	VYDAJ	VYBER	15	30645	SLUZBY	\N	\N
821521	2798	1996-10-31	VYDAJ	VYBER	15	41806	SLUZBY	\N	\N
821522	2798	1996-11-30	VYDAJ	VYBER	15	38772	SLUZBY	\N	\N
821523	2798	1996-12-31	VYDAJ	VYBER	15	43567	SLUZBY	\N	\N
821524	2798	1997-01-31	VYDAJ	VYBER	15	23393	SLUZBY	\N	\N
821525	2798	1997-02-28	VYDAJ	VYBER	15	34522	SLUZBY	\N	\N
821526	2798	1997-03-31	VYDAJ	VYBER	15	27750	SLUZBY	\N	\N
821527	2798	1997-04-30	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
821528	2798	1997-05-31	VYDAJ	VYBER	15	21739	SLUZBY	\N	\N
821529	2798	1997-06-30	VYDAJ	VYBER	15	35778	SLUZBY	\N	\N
821530	2798	1997-07-31	VYDAJ	VYBER	15	23972	SLUZBY	\N	\N
821531	2798	1997-08-31	VYDAJ	VYBER	15	32400	SLUZBY	\N	\N
821532	2798	1997-09-30	VYDAJ	VYBER	15	35446	SLUZBY	\N	\N
821533	2798	1997-10-31	VYDAJ	VYBER	15	28571	SLUZBY	\N	\N
821534	2798	1997-11-30	VYDAJ	VYBER	15	27590	SLUZBY	\N	\N
821535	2798	1997-12-31	VYDAJ	VYBER	15	22610	SLUZBY	\N	\N
821536	2798	1998-01-31	VYDAJ	VYBER	15	16691	SLUZBY	\N	\N
821537	2798	1998-02-28	VYDAJ	VYBER	15	30498	SLUZBY	\N	\N
821538	2798	1998-03-31	VYDAJ	VYBER	15	28519	SLUZBY	\N	\N
821539	2798	1998-04-30	VYDAJ	VYBER	15	22419	SLUZBY	\N	\N
821540	2798	1998-05-31	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
821541	2798	1998-06-30	VYDAJ	VYBER	15	39170	SLUZBY	\N	\N
821542	2798	1998-07-31	VYDAJ	VYBER	15	27799	SLUZBY	\N	\N
821543	2798	1998-08-31	VYDAJ	VYBER	15	31731	SLUZBY	\N	\N
821544	2798	1998-09-30	VYDAJ	VYBER	15	34675	SLUZBY	\N	\N
821545	2798	1998-10-31	VYDAJ	VYBER	15	38535	SLUZBY	\N	\N
821546	2798	1998-11-30	VYDAJ	VYBER	15	39615	SLUZBY	\N	\N
821547	2798	1994-09-23	PRIJEM	VKLAD	1500	21509	\N	\N	\N
821548	2798	1994-10-23	VYDAJ	VYBER	11500	29842	\N	\N	\N
821549	2798	1994-11-22	VYDAJ	VYBER	14300	35451	\N	\N	\N
821550	2798	1994-12-22	VYDAJ	VYBER	22700	42596	\N	\N	\N
821551	2798	1995-01-21	VYDAJ	VYBER	4100	29868	\N	\N	\N
821552	2798	1995-02-20	VYDAJ	VYBER	10500	26934	\N	\N	\N
821553	2798	1995-03-22	VYDAJ	VYBER	4000	19702	\N	\N	\N
821554	2798	1995-04-21	VYDAJ	VYBER	6900	26607	\N	\N	\N
821555	2798	1995-05-21	VYDAJ	VYBER	12800	27620	\N	\N	\N
821556	2798	1995-06-20	PRIJEM	VKLAD	500	20659	\N	\N	\N
821557	2798	1995-07-20	VYDAJ	VYBER	8700	25765	\N	\N	\N
821558	2798	1995-08-19	VYDAJ	VYBER	11100	28478	\N	\N	\N
821559	2798	1995-09-18	VYDAJ	VYBER	8800	32006	\N	\N	\N
821560	2798	1995-10-18	VYDAJ	VYBER	11200	34643	\N	\N	\N
821561	2798	1995-11-17	VYDAJ	VYBER	14100	34396	\N	\N	\N
821562	2798	1995-12-17	VYDAJ	VYBER	9500	30057	\N	\N	\N
821563	2798	1996-01-16	PRIJEM	VKLAD	3200	22798	\N	\N	\N
821564	2798	1996-02-15	PRIJEM	VKLAD	3300	23629	\N	\N	\N
821565	2798	1996-03-16	VYDAJ	VYBER	5500	31924	\N	\N	\N
821566	2798	1996-04-15	VYDAJ	VYBER	7700	36550	\N	\N	\N
821567	2798	1996-05-15	VYDAJ	VYBER	7000	36653	\N	\N	\N
821568	2798	1996-06-14	VYDAJ	VYBER	13100	47323	\N	\N	\N
821569	2798	1996-07-14	VYDAJ	VYBER	5800	36783	\N	\N	\N
821570	2798	1996-08-13	VYDAJ	VYBER	4400	42185	\N	\N	\N
821571	2798	1996-09-12	VYDAJ	VYBER	300	34440	\N	\N	\N
821572	2798	1996-10-12	VYDAJ	VYBER	2700	41660	\N	\N	\N
821573	2798	1996-11-11	VYDAJ	VYBER	2800	38621	\N	\N	\N
821574	2798	1996-12-11	VYDAJ	VYBER	9400	48492	\N	\N	\N
821575	2798	1997-01-10	PRIJEM	VKLAD	200	42261	\N	\N	\N
821576	2798	1997-02-09	VYDAJ	VYBER	2700	40502	\N	\N	\N
821577	2798	1997-03-11	PRIJEM	VKLAD	5800	30580	\N	\N	\N
821578	2798	1997-04-10	VYDAJ	VYBER	200	41265	\N	\N	\N
821579	2798	1997-05-10	PRIJEM	VKLAD	2900	44928	\N	\N	\N
821580	2798	1997-06-09	VYDAJ	VYBER	9700	41753	\N	\N	\N
821581	2798	1997-07-09	VYDAJ	VYBER	13500	42087	\N	\N	\N
821582	2798	1997-08-08	VYDAJ	VYBER	5400	38381	\N	\N	\N
821583	2798	1997-09-07	VYDAJ	VYBER	10800	41409	\N	\N	\N
821584	2798	1997-10-07	VYDAJ	VYBER	16700	38555	\N	\N	\N
821585	2798	1997-11-06	VYDAJ	VYBER	12700	35680	\N	\N	\N
821586	2798	1997-12-06	VYDAJ	VYBER	21500	35804	\N	\N	\N
821587	2798	1998-01-05	VYDAJ	VYBER	14300	28119	\N	\N	\N
821588	2798	1998-03-06	VYDAJ	VYBER	15800	34507	\N	\N	\N
821589	2798	1998-04-05	VYDAJ	VYBER	19900	28428	\N	\N	\N
821590	2798	1998-05-05	VYDAJ	VYBER	18100	24128	\N	\N	\N
821591	2798	1998-06-04	VYDAJ	VYBER	2700	15411	\N	\N	\N
821592	2798	1998-07-04	VYDAJ	VYBER	15600	23570	\N	\N	\N
821593	2798	1998-08-03	VYDAJ	VYBER	9900	17899	\N	\N	\N
821594	2798	1998-09-02	VYDAJ	VYBER	10900	20831	\N	\N	\N
821595	2798	1998-10-02	VYDAJ	VYBER	10000	24675	\N	\N	\N
821596	2798	1998-11-01	VYDAJ	VYBER	8300	30235	\N	\N	\N
821597	2798	1998-12-01	VYDAJ	VYBER	9300	30315	\N	\N	\N
821650	2799	1994-04-03	PRIJEM	VKLAD	200	200	\N	\N	\N
821651	2799	1994-06-12	PRIJEM	VKLAD	9035	54367	\N	\N	\N
821652	2799	1994-08-01	PRIJEM	VKLAD	14676	88946	\N	\N	\N
821653	2799	1994-06-27	PRIJEM	VKLAD	44447	98814	\N	\N	\N
821654	2799	1994-12-15	PRIJEM	VKLAD	10935	60449	\N	\N	\N
821655	2799	1994-10-22	PRIJEM	VKLAD	33745	119001	\N	\N	\N
821656	2799	1994-08-03	PRIJEM	VKLAD	31268	90214	\N	\N	\N
821657	2799	1994-12-30	PRIJEM	VKLAD	6616	46465	\N	\N	\N
821658	2799	1994-11-07	PRIJEM	VKLAD	10990	108056	\N	\N	\N
821659	2799	1994-07-19	PRIJEM	VKLAD	39023	121566	\N	\N	\N
821660	2799	1994-05-11	PRIJEM	VKLAD	31884	43984	\N	\N	\N
821662	2799	1994-10-13	PRIJEM	VKLAD	24786	85256	\N	\N	\N
821663	2799	1994-10-10	PRIJEM	VKLAD	45634	102583	\N	\N	\N
821664	2799	1994-12-09	PRIJEM	VKLAD	23402	55427	\N	\N	\N
821667	2799	1994-09-30	PRIJEM	VKLAD	27233	95072	\N	\N	\N
821668	2799	1994-08-21	PRIJEM	VKLAD	38714	107022	\N	\N	\N
821669	2799	1994-11-01	PRIJEM	VKLAD	38076	97066	\N	\N	\N
821670	2799	1994-09-21	PRIJEM	VKLAD	19160	67599	\N	\N	\N
821671	2799	1994-05-13	PRIJEM	VKLAD	22865	66849	\N	\N	\N
821672	2799	1994-07-12	PRIJEM	VKLAD	24229	87413	\N	\N	\N
821673	2799	1995-08-16	PRIJEM	VKLAD	46863	93511	\N	\N	\N
821674	2799	1995-06-07	PRIJEM	VKLAD	27490	90251	\N	\N	\N
821675	2799	1995-10-30	PRIJEM	VKLAD	34765	56329	\N	\N	\N
821676	2799	1995-03-07	PRIJEM	VKLAD	47478	78343	\N	\N	\N
821677	2799	1995-09-23	PRIJEM	VKLAD	24491	61145	\N	\N	\N
821678	2799	1995-11-15	PRIJEM	VKLAD	43453	106337	\N	\N	\N
821679	2799	1995-06-04	PRIJEM	VKLAD	19219	62761	\N	\N	\N
821680	2799	1995-01-19	PRIJEM	VKLAD	49638	87823	\N	\N	\N
821681	2799	1995-04-26	PRIJEM	VKLAD	17600	60011	\N	\N	\N
821682	2799	1995-12-12	PRIJEM	VKLAD	14521	116010	\N	\N	\N
821683	2799	1995-04-02	PRIJEM	VKLAD	11650	54673	\N	\N	\N
821684	2799	1995-10-21	PRIJEM	VKLAD	6869	56385	\N	\N	\N
821685	2799	1995-11-27	PRIJEM	VKLAD	40889	104726	\N	\N	\N
821686	2799	1995-05-04	PRIJEM	VKLAD	27991	76464	\N	\N	\N
821687	2799	1995-06-08	PRIJEM	VKLAD	32733	122984	\N	\N	\N
821688	2799	1995-07-17	PRIJEM	VKLAD	15258	56540	\N	\N	\N
821689	2799	1995-05-08	PRIJEM	VKLAD	14135	90599	\N	\N	\N
821690	2799	1995-09-04	PRIJEM	VKLAD	36865	116000	\N	\N	\N
821691	2799	1995-09-02	PRIJEM	VKLAD	19474	79135	\N	\N	\N
821692	2799	1995-07-22	PRIJEM	VKLAD	47846	104386	\N	\N	\N
821693	2799	1995-04-27	PRIJEM	VKLAD	9696	69707	\N	\N	\N
821694	2799	1995-01-18	PRIJEM	VKLAD	17345	38185	\N	\N	\N
821695	2799	1995-09-28	PRIJEM	VKLAD	27705	72550	\N	\N	\N
821696	2799	1995-11-05	PRIJEM	VKLAD	22125	71290	\N	\N	\N
821697	2799	1997-06-28	PRIJEM	VKLAD	36338	86220	\N	\N	\N
821698	2799	1997-01-02	PRIJEM	VKLAD	29587	30791	\N	\N	\N
821699	2799	1997-08-14	PRIJEM	VKLAD	47540	96631	\N	\N	\N
821700	2799	1997-09-09	PRIJEM	VKLAD	40073	109569	\N	\N	\N
821701	2799	1997-07-01	PRIJEM	VKLAD	48954	135410	\N	\N	\N
821702	2799	1997-11-19	PRIJEM	VKLAD	26107	44237	\N	\N	\N
821703	2799	1997-10-12	PRIJEM	VKLAD	42990	76572	\N	\N	\N
821704	2799	1997-01-31	PRIJEM	VKLAD	14993	99275	\N	\N	\N
821705	2799	1997-07-09	PRIJEM	VKLAD	11007	94525	\N	\N	\N
821706	2799	1997-05-27	PRIJEM	VKLAD	24585	42783	\N	\N	\N
821707	2799	1997-06-10	PRIJEM	VKLAD	29329	86554	\N	\N	\N
821708	2799	1997-12-27	PRIJEM	VKLAD	27431	62959	\N	\N	\N
821709	2799	1997-06-14	PRIJEM	VKLAD	36512	130582	\N	\N	\N
821710	2799	1997-08-24	PRIJEM	VKLAD	16163	71794	\N	\N	\N
821711	2799	1997-05-30	PRIJEM	VKLAD	16859	59642	\N	\N	\N
821712	2799	1997-09-23	PRIJEM	VKLAD	35135	111907	\N	\N	\N
821713	2799	1997-02-22	PRIJEM	VKLAD	15188	57662	\N	\N	\N
821714	2799	1997-04-14	PRIJEM	VKLAD	43316	68495	\N	\N	\N
821715	2799	1997-09-15	PRIJEM	VKLAD	27841	76772	\N	\N	\N
821716	2799	1997-06-11	PRIJEM	VKLAD	13429	99983	\N	\N	\N
821717	2799	1997-11-26	PRIJEM	VKLAD	39958	84195	\N	\N	\N
821718	2799	1997-01-23	PRIJEM	VKLAD	42344	87714	\N	\N	\N
821719	2799	1997-01-20	PRIJEM	VKLAD	28985	45370	\N	\N	\N
821720	2799	1997-08-10	PRIJEM	VKLAD	22716	55004	\N	\N	\N
821721	2799	1998-11-27	PRIJEM	VKLAD	49678	107012	\N	\N	\N
821722	2799	1998-11-12	PRIJEM	VKLAD	18789	40167	\N	\N	\N
821723	2799	1998-01-08	PRIJEM	VKLAD	21438	60347	\N	\N	\N
821724	2799	1998-10-15	PRIJEM	VKLAD	28593	46245	\N	\N	\N
821725	2799	1998-06-14	PRIJEM	VKLAD	10289	36780	\N	\N	\N
821726	2799	1998-10-18	PRIJEM	VKLAD	23809	70054	\N	\N	\N
821727	2799	1998-09-10	PRIJEM	VKLAD	17265	35925	\N	\N	\N
821728	2799	1998-06-16	PRIJEM	VKLAD	41881	78661	\N	\N	\N
821729	2799	1998-12-19	PRIJEM	VKLAD	47490	80425	\N	\N	\N
821730	2799	1998-11-18	PRIJEM	VKLAD	22037	57334	\N	\N	\N
821731	2799	1998-06-05	PRIJEM	VKLAD	32124	34897	\N	\N	\N
821732	2799	1998-07-26	PRIJEM	VKLAD	47862	84178	\N	\N	\N
821740	2799	1994-08-11	VYDAJ	PREVOD NA UCET	1043	73178	SIPO	GH	12735343
821741	2799	1994-09-11	VYDAJ	PREVOD NA UCET	1043	53309	SIPO	GH	12735343
821742	2799	1994-10-11	VYDAJ	PREVOD NA UCET	1043	65340	SIPO	GH	12735343
821743	2799	1994-11-11	VYDAJ	PREVOD NA UCET	1043	46420	SIPO	GH	12735343
821744	2799	1994-12-11	VYDAJ	PREVOD NA UCET	1043	54384	SIPO	GH	12735343
821745	2799	1995-01-11	VYDAJ	PREVOD NA UCET	1043	35310	SIPO	GH	12735343
821746	2799	1995-02-11	VYDAJ	PREVOD NA UCET	1043	49276	SIPO	GH	12735343
821747	2799	1995-03-11	VYDAJ	PREVOD NA UCET	1043	74807	SIPO	GH	12735343
821748	2799	1995-04-11	VYDAJ	PREVOD NA UCET	1043	51137	SIPO	GH	12735343
821749	2799	1995-05-11	VYDAJ	PREVOD NA UCET	1043	87063	SIPO	GH	12735343
821750	2799	1995-06-11	VYDAJ	PREVOD NA UCET	1043	88848	SIPO	GH	12735343
821751	2799	1995-07-11	VYDAJ	PREVOD NA UCET	1043	48252	SIPO	GH	12735343
821752	2799	1995-08-11	VYDAJ	PREVOD NA UCET	1043	51518	SIPO	GH	12735343
821753	2799	1995-09-11	VYDAJ	PREVOD NA UCET	1043	59639	SIPO	GH	12735343
821754	2799	1995-10-11	VYDAJ	PREVOD NA UCET	1043	54386	SIPO	GH	12735343
821755	2799	1995-11-11	VYDAJ	PREVOD NA UCET	1043	67754	SIPO	GH	12735343
821756	2799	1995-12-11	VYDAJ	PREVOD NA UCET	1043	101489	SIPO	GH	12735343
821757	2799	1996-01-11	VYDAJ	PREVOD NA UCET	1043	18947	SIPO	GH	12735343
821758	2799	1996-02-11	VYDAJ	PREVOD NA UCET	1043	17095	SIPO	GH	12735343
821759	2799	1996-03-11	VYDAJ	PREVOD NA UCET	1043	14729	SIPO	GH	12735343
821760	2799	1996-04-11	VYDAJ	PREVOD NA UCET	1043	15956	SIPO	GH	12735343
821761	2799	1996-05-11	VYDAJ	PREVOD NA UCET	1043	17290	SIPO	GH	12735343
821762	2799	1996-06-11	VYDAJ	PREVOD NA UCET	1043	12221	SIPO	GH	12735343
821763	2799	1996-07-11	VYDAJ	PREVOD NA UCET	1043	3827	SIPO	GH	12735343
821769	2799	1997-01-11	VYDAJ	PREVOD NA UCET	1043	21255	SIPO	GH	12735343
821770	2799	1997-02-11	VYDAJ	PREVOD NA UCET	1043	83844	SIPO	GH	12735343
821771	2799	1997-03-11	VYDAJ	PREVOD NA UCET	1043	54399	SIPO	GH	12735343
821772	2799	1997-04-11	VYDAJ	PREVOD NA UCET	1043	30049	SIPO	GH	12735343
821773	2799	1997-05-11	VYDAJ	PREVOD NA UCET	1043	23068	SIPO	GH	12735343
821774	2799	1997-06-11	VYDAJ	PREVOD NA UCET	1043	98940	SIPO	GH	12735343
821775	2799	1997-07-11	VYDAJ	PREVOD NA UCET	1043	78782	SIPO	GH	12735343
821776	2799	1997-08-11	VYDAJ	PREVOD NA UCET	1043	53961	SIPO	GH	12735343
821777	2799	1997-09-11	VYDAJ	PREVOD NA UCET	1043	87601	SIPO	GH	12735343
821778	2799	1997-10-11	VYDAJ	PREVOD NA UCET	1043	33582	SIPO	GH	12735343
821779	2799	1997-11-11	VYDAJ	PREVOD NA UCET	1043	23000	SIPO	GH	12735343
821780	2799	1997-12-11	VYDAJ	PREVOD NA UCET	1043	74798	SIPO	GH	12735343
821781	2799	1998-01-11	VYDAJ	PREVOD NA UCET	1043	56811	SIPO	GH	12735343
821782	2799	1998-02-11	VYDAJ	PREVOD NA UCET	1043	20605	SIPO	GH	12735343
821783	2799	1998-03-11	VYDAJ	PREVOD NA UCET	1043	12244	SIPO	GH	12735343
821784	2799	1998-04-11	VYDAJ	PREVOD NA UCET	1043	3847	SIPO	GH	12735343
821785	2799	1998-05-11	VYDAJ	PREVOD NA UCET	1043	2791	SIPO	GH	12735343
821786	2799	1998-06-11	VYDAJ	PREVOD NA UCET	1043	31361	SIPO	GH	12735343
821787	2799	1998-07-11	VYDAJ	PREVOD NA UCET	1043	41186	SIPO	GH	12735343
821788	2799	1998-08-11	VYDAJ	PREVOD NA UCET	1043	25905	SIPO	GH	12735343
821789	2799	1998-09-11	VYDAJ	PREVOD NA UCET	1043	34882	SIPO	GH	12735343
821790	2799	1998-10-11	VYDAJ	PREVOD NA UCET	1043	22522	SIPO	GH	12735343
821791	2799	1998-11-11	VYDAJ	PREVOD NA UCET	1043	21378	SIPO	GH	12735343
821792	2799	1998-12-11	VYDAJ	PREVOD NA UCET	1043	37805	SIPO	GH	12735343
821799	2799	1994-07-12	VYDAJ	PREVOD NA UCET	4870	82543	 	WX	8040637
821800	2799	1994-08-12	VYDAJ	PREVOD NA UCET	4870	68308	 	WX	8040637
821801	2799	1994-09-12	VYDAJ	PREVOD NA UCET	4870	48439	 	WX	8040637
821802	2799	1994-10-12	VYDAJ	PREVOD NA UCET	4870	60470	 	WX	8040637
821803	2799	1994-11-12	VYDAJ	PREVOD NA UCET	4870	41550	 	WX	8040637
821804	2799	1994-12-12	VYDAJ	PREVOD NA UCET	4870	49514	 	WX	8040637
821805	2799	1995-01-12	VYDAJ	PREVOD NA UCET	4870	30440	 	WX	8040637
821806	2799	1995-02-12	VYDAJ	PREVOD NA UCET	4870	44406	 	WX	8040637
821807	2799	1995-03-12	VYDAJ	PREVOD NA UCET	4870	69937	 	WX	8040637
821808	2799	1995-04-12	VYDAJ	PREVOD NA UCET	4870	46267	 	WX	8040637
821809	2799	1995-05-12	VYDAJ	PREVOD NA UCET	4870	82193	 	WX	8040637
821810	2799	1995-06-12	VYDAJ	PREVOD NA UCET	4870	83978	 	WX	8040637
821811	2799	1995-07-12	VYDAJ	PREVOD NA UCET	4870	43382	 	WX	8040637
821812	2799	1995-08-12	VYDAJ	PREVOD NA UCET	4870	46648	 	WX	8040637
821813	2799	1995-09-12	VYDAJ	PREVOD NA UCET	4870	54769	 	WX	8040637
821814	2799	1995-10-12	VYDAJ	PREVOD NA UCET	4870	49516	 	WX	8040637
821815	2799	1995-11-12	VYDAJ	PREVOD NA UCET	4870	62884	 	WX	8040637
821816	2799	1995-12-12	VYDAJ	PREVOD NA UCET	4870	58640	 	WX	8040637
821817	2799	1996-01-12	VYDAJ	PREVOD NA UCET	4870	14077	 	WX	8040637
821818	2799	1996-02-12	VYDAJ	PREVOD NA UCET	4870	12225	 	WX	8040637
821819	2799	1996-03-12	VYDAJ	PREVOD NA UCET	4870	9859	 	WX	8040637
821820	2799	1996-04-12	VYDAJ	PREVOD NA UCET	4870	11086	 	WX	8040637
821821	2799	1996-05-12	VYDAJ	PREVOD NA UCET	4870	12420	 	WX	8040637
821822	2799	1996-06-12	VYDAJ	PREVOD NA UCET	4870	7351	 	WX	8040637
821829	2799	1997-01-12	VYDAJ	PREVOD NA UCET	4870	16385	 	WX	8040637
821830	2799	1997-02-12	VYDAJ	PREVOD NA UCET	4870	78974	 	WX	8040637
821831	2799	1997-03-12	VYDAJ	PREVOD NA UCET	4870	49529	 	WX	8040637
821832	2799	1997-04-12	VYDAJ	PREVOD NA UCET	4870	25179	 	WX	8040637
821833	2799	1997-05-12	VYDAJ	PREVOD NA UCET	4870	18198	 	WX	8040637
821834	2799	1997-06-12	VYDAJ	PREVOD NA UCET	4870	94070	 	WX	8040637
821835	2799	1997-07-12	VYDAJ	PREVOD NA UCET	4870	73912	 	WX	8040637
821836	2799	1997-08-12	VYDAJ	PREVOD NA UCET	4870	49091	 	WX	8040637
821837	2799	1997-09-12	VYDAJ	PREVOD NA UCET	4870	82731	 	WX	8040637
821838	2799	1997-10-12	VYDAJ	PREVOD NA UCET	4870	71702	 	WX	8040637
821839	2799	1997-11-12	VYDAJ	PREVOD NA UCET	4870	18130	 	WX	8040637
821840	2799	1997-12-12	VYDAJ	PREVOD NA UCET	4870	69928	 	WX	8040637
821841	2799	1998-01-12	VYDAJ	PREVOD NA UCET	4870	24041	 	WX	8040637
821842	2799	1998-02-12	VYDAJ	PREVOD NA UCET	4870	15735	 	WX	8040637
821843	2799	1998-03-12	VYDAJ	PREVOD NA UCET	4870	7374	 	WX	8040637
821846	2799	1998-06-12	VYDAJ	PREVOD NA UCET	4870	26491	 	WX	8040637
821847	2799	1998-07-12	VYDAJ	PREVOD NA UCET	4870	36316	 	WX	8040637
821848	2799	1998-08-12	VYDAJ	PREVOD NA UCET	4870	21035	 	WX	8040637
821849	2799	1998-09-12	VYDAJ	PREVOD NA UCET	4870	30012	 	WX	8040637
821850	2799	1998-10-12	VYDAJ	PREVOD NA UCET	4870	17652	 	WX	8040637
821851	2799	1998-11-12	VYDAJ	PREVOD NA UCET	4870	35297	 	WX	8040637
821852	2799	1998-12-12	VYDAJ	PREVOD NA UCET	4870	32935	 	WX	8040637
821860	2799	1994-08-08	VYDAJ	PREVOD NA UCET	2493	74221	POJISTNE	CD	2489036
821861	2799	1994-09-08	VYDAJ	PREVOD NA UCET	2493	54352	POJISTNE	CD	2489036
821862	2799	1994-10-08	VYDAJ	PREVOD NA UCET	2493	56949	POJISTNE	CD	2489036
821863	2799	1994-11-08	VYDAJ	PREVOD NA UCET	2493	47463	POJISTNE	CD	2489036
821864	2799	1994-12-08	VYDAJ	PREVOD NA UCET	2493	32025	POJISTNE	CD	2489036
821865	2799	1995-01-08	VYDAJ	PREVOD NA UCET	2493	40553	POJISTNE	CD	2489036
821866	2799	1995-02-08	VYDAJ	PREVOD NA UCET	2493	50319	POJISTNE	CD	2489036
821867	2799	1995-03-08	VYDAJ	PREVOD NA UCET	2493	75850	POJISTNE	CD	2489036
821868	2799	1995-04-08	VYDAJ	PREVOD NA UCET	2493	52180	POJISTNE	CD	2489036
821869	2799	1995-05-08	VYDAJ	PREVOD NA UCET	2493	88106	POJISTNE	CD	2489036
821870	2799	1995-06-08	VYDAJ	PREVOD NA UCET	2493	120491	POJISTNE	CD	2489036
821871	2799	1995-07-08	VYDAJ	PREVOD NA UCET	2493	49295	POJISTNE	CD	2489036
821872	2799	1995-08-08	VYDAJ	PREVOD NA UCET	2493	52561	POJISTNE	CD	2489036
821873	2799	1995-09-08	VYDAJ	PREVOD NA UCET	2493	60682	POJISTNE	CD	2489036
821874	2799	1995-10-08	VYDAJ	PREVOD NA UCET	2493	55429	POJISTNE	CD	2489036
821875	2799	1995-11-08	VYDAJ	PREVOD NA UCET	2493	68797	POJISTNE	CD	2489036
821876	2799	1995-12-08	VYDAJ	PREVOD NA UCET	2493	102532	POJISTNE	CD	2489036
821877	2799	1996-01-08	VYDAJ	PREVOD NA UCET	2493	19990	POJISTNE	CD	2489036
821878	2799	1996-02-08	VYDAJ	PREVOD NA UCET	2493	18138	POJISTNE	CD	2489036
821879	2799	1996-03-08	VYDAJ	PREVOD NA UCET	2493	15772	POJISTNE	CD	2489036
821880	2799	1996-04-08	VYDAJ	PREVOD NA UCET	2493	16999	POJISTNE	CD	2489036
821881	2799	1996-05-08	VYDAJ	PREVOD NA UCET	2493	18333	POJISTNE	CD	2489036
821882	2799	1996-06-08	VYDAJ	PREVOD NA UCET	2493	13264	POJISTNE	CD	2489036
821883	2799	1996-07-08	VYDAJ	PREVOD NA UCET	2493	4870	POJISTNE	CD	2489036
821884	2799	1996-08-08	VYDAJ	PREVOD NA UCET	2493	1324	POJISTNE	CD	2489036
821889	2799	1997-01-08	VYDAJ	PREVOD NA UCET	2493	22298	POJISTNE	CD	2489036
821890	2799	1997-02-08	VYDAJ	PREVOD NA UCET	2493	96752	POJISTNE	CD	2489036
821891	2799	1997-03-08	VYDAJ	PREVOD NA UCET	2493	55442	POJISTNE	CD	2489036
821892	2799	1997-04-08	VYDAJ	PREVOD NA UCET	2493	31092	POJISTNE	CD	2489036
821893	2799	1997-05-08	VYDAJ	PREVOD NA UCET	2493	24111	POJISTNE	CD	2489036
821894	2799	1997-06-08	VYDAJ	PREVOD NA UCET	2493	57225	POJISTNE	CD	2489036
821895	2799	1997-07-08	VYDAJ	PREVOD NA UCET	2493	83518	POJISTNE	CD	2489036
821896	2799	1997-08-08	VYDAJ	PREVOD NA UCET	2493	32288	POJISTNE	CD	2489036
821897	2799	1997-09-08	VYDAJ	PREVOD NA UCET	2493	69496	POJISTNE	CD	2489036
821898	2799	1997-10-08	VYDAJ	PREVOD NA UCET	2493	34625	POJISTNE	CD	2489036
821899	2799	1997-11-08	VYDAJ	PREVOD NA UCET	2493	24043	POJISTNE	CD	2489036
821900	2799	1997-12-08	VYDAJ	PREVOD NA UCET	2493	75841	POJISTNE	CD	2489036
821901	2799	1998-01-08	VYDAJ	PREVOD NA UCET	2493	57854	POJISTNE	CD	2489036
821902	2799	1998-02-08	VYDAJ	PREVOD NA UCET	2493	21648	POJISTNE	CD	2489036
821903	2799	1998-03-08	VYDAJ	PREVOD NA UCET	2493	13287	POJISTNE	CD	2489036
821904	2799	1998-04-08	VYDAJ	PREVOD NA UCET	2493	4890	POJISTNE	CD	2489036
821906	2799	1998-06-08	VYDAJ	PREVOD NA UCET	2493	32404	POJISTNE	CD	2489036
821907	2799	1998-07-08	VYDAJ	PREVOD NA UCET	2493	42229	POJISTNE	CD	2489036
821908	2799	1998-08-08	VYDAJ	PREVOD NA UCET	2493	70748	POJISTNE	CD	2489036
821909	2799	1998-09-08	VYDAJ	PREVOD NA UCET	2493	18660	POJISTNE	CD	2489036
821910	2799	1998-10-08	VYDAJ	PREVOD NA UCET	2493	23565	POJISTNE	CD	2489036
821911	2799	1998-11-08	VYDAJ	PREVOD NA UCET	2493	67721	POJISTNE	CD	2489036
821912	2799	1998-12-08	VYDAJ	PREVOD NA UCET	2493	38848	POJISTNE	CD	2489036
821915	2799	1995-07-25	VYBER	VYBER	20541	83845	\N	\N	\N
821916	2799	1995-10-31	VYBER	VYBER	7345	49195	\N	\N	\N
821918	2799	1995-08-02	VYBER	VYBER	2107	55054	\N	\N	\N
821919	2799	1995-09-20	VYBER	VYBER	18115	36654	\N	\N	\N
821920	2799	1995-10-25	VYBER	VYBER	19321	22664	\N	\N	\N
821922	2799	1995-12-14	VYBER	VYBER	8310	50330	\N	\N	\N
821923	2799	1995-10-01	VYBER	VYBER	14848	57922	\N	\N	\N
821924	2799	1995-06-17	VYBER	VYBER	10062	73916	\N	\N	\N
821925	2799	1995-04-21	VYBER	VYBER	3856	42411	\N	\N	\N
821926	2799	1995-05-13	VYBER	VYBER	15275	66918	\N	\N	\N
821927	2799	1995-09-06	VYBER	VYBER	22025	63175	\N	\N	\N
821934	2799	1997-10-05	VYBER	VYBER	2533	37118	\N	\N	\N
821937	2799	1997-07-04	VYBER	VYBER	4999	86011	\N	\N	\N
821938	2799	1997-11-07	VYBER	VYBER	14608	26536	\N	\N	\N
821939	2799	1997-09-11	VYBER	VYBER	20925	88644	\N	\N	\N
821940	2799	1997-02-11	VYBER	VYBER	11865	84887	\N	\N	\N
821942	2799	1997-09-27	VYBER	VYBER	22617	39390	\N	\N	\N
821944	2799	1997-12-30	VYBER	VYBER	24254	38705	\N	\N	\N
821945	2799	1997-07-13	VYBER	VYBER	23229	50683	\N	\N	\N
821949	2799	1998-06-24	VYBER	VYBER	16476	52585	\N	\N	\N
821951	2799	1998-09-24	VYBER	VYBER	4031	25981	\N	\N	\N
821952	2799	1998-06-26	VYBER	VYBER	7998	44587	\N	\N	\N
821957	2799	1998-06-23	VYDAJ	VYBER	9600	69061	\N	\N	\N
821958	2799	1994-12-15	VYDAJ	VYBER	3900	56549	\N	\N	\N
821959	2799	1995-12-16	VYDAJ	VYBER	6000	44330	\N	\N	\N
821961	2799	1997-12-20	VYDAJ	VYBER	5100	35528	\N	\N	\N
821962	2799	1998-12-26	VYDAJ	VYBER	7800	72625	\N	\N	\N
821969	2799	1995-01-06	VYDAJ	VYBER	1500	43046	\N	\N	\N
821970	2799	1995-01-15	VYDAJ	VYBER	7200	20840	\N	\N	\N
821971	2799	1995-01-15	VYDAJ	VYBER	2400	28040	\N	\N	\N
821972	2799	1995-01-04	VYDAJ	VYBER	2100	44546	\N	\N	\N
821973	2799	1995-01-20	VYDAJ	VYBER	6600	81223	\N	\N	\N
821974	2799	1995-01-11	VYDAJ	VYBER	4200	36353	\N	\N	\N
821975	2799	1996-01-07	VYDAJ	VYBER	2100	22483	\N	\N	\N
821978	2799	1996-01-05	VYDAJ	VYBER	3900	24583	\N	\N	\N
821980	2799	1996-01-04	VYDAJ	VYBER	4500	30883	\N	\N	\N
821982	2799	1997-01-05	VYDAJ	VYBER	4200	24791	\N	\N	\N
821983	2799	1997-01-25	VYDAJ	VYBER	3600	84114	\N	\N	\N
821984	2799	1997-01-03	VYDAJ	VYBER	1800	28991	\N	\N	\N
821987	2799	1998-01-12	VYDAJ	VYBER	8700	48111	\N	\N	\N
821997	2799	1994-08-05	VYDAJ	VYBER	13500	76714	\N	\N	\N
821999	2799	1995-03-13	VYDAJ	VYBER	14400	55537	\N	\N	\N
822000	2799	1995-05-22	VYDAJ	VYBER	10500	56418	\N	\N	\N
822001	2799	1995-07-15	VYDAJ	VYBER	2100	41282	\N	\N	\N
822002	2799	1995-10-22	VYDAJ	VYBER	14400	41985	\N	\N	\N
822003	2799	1995-02-22	VYDAJ	VYBER	6900	37506	\N	\N	\N
822004	2799	1996-01-04	VYDAJ	VYBER	2400	28483	\N	\N	\N
822008	2799	1997-12-02	VYDAJ	VYBER	6000	78334	\N	\N	\N
822009	2799	1997-07-09	VYDAJ	VYBER	14700	79825	\N	\N	\N
822010	2799	1997-04-19	VYDAJ	VYBER	13200	26495	\N	\N	\N
822016	2799	1998-07-29	VYDAJ	VYBER	11100	73078	\N	\N	\N
822024	2799	1994-07-31	VYDAJ	VYBER	30	74270	SLUZBY	\N	\N
822025	2799	1994-08-31	VYDAJ	VYBER	30	56845	SLUZBY	\N	\N
822026	2799	1994-09-30	VYDAJ	VYBER	30	59442	SLUZBY	\N	\N
822027	2799	1994-10-31	VYDAJ	VYBER	30	58990	SLUZBY	\N	\N
822028	2799	1994-11-30	VYDAJ	VYBER	30	34518	SLUZBY	\N	\N
822029	2799	1994-12-31	VYDAJ	VYBER	30	46646	SLUZBY	\N	\N
822030	2799	1995-01-31	VYDAJ	VYBER	30	52812	SLUZBY	\N	\N
822031	2799	1995-02-28	VYDAJ	VYBER	30	30865	SLUZBY	\N	\N
822032	2799	1995-03-31	VYDAJ	VYBER	30	43023	SLUZBY	\N	\N
822033	2799	1995-04-30	VYDAJ	VYBER	30	48473	SLUZBY	\N	\N
822034	2799	1995-05-31	VYDAJ	VYBER	30	43542	SLUZBY	\N	\N
822035	2799	1995-06-30	VYDAJ	VYBER	30	51788	SLUZBY	\N	\N
822036	2799	1995-07-31	VYDAJ	VYBER	30	57161	SLUZBY	\N	\N
822037	2799	1995-08-31	VYDAJ	VYBER	30	59661	SLUZBY	\N	\N
822038	2799	1995-09-30	VYDAJ	VYBER	30	72770	SLUZBY	\N	\N
822039	2799	1995-10-31	VYDAJ	VYBER	30	49165	SLUZBY	\N	\N
822040	2799	1995-11-30	VYDAJ	VYBER	30	105025	SLUZBY	\N	\N
822041	2799	1995-12-31	VYDAJ	VYBER	30	35383	SLUZBY	\N	\N
822042	2799	1996-01-31	VYDAJ	VYBER	30	20631	SLUZBY	\N	\N
822043	2799	1996-02-29	VYDAJ	VYBER	30	18265	SLUZBY	\N	\N
822044	2799	1996-03-31	VYDAJ	VYBER	30	19492	SLUZBY	\N	\N
822045	2799	1996-04-30	VYDAJ	VYBER	30	20826	SLUZBY	\N	\N
822046	2799	1996-05-31	VYDAJ	VYBER	30	15757	SLUZBY	\N	\N
822047	2799	1996-06-30	VYDAJ	VYBER	30	7363	SLUZBY	\N	\N
822048	2799	1996-07-31	VYDAJ	VYBER	30	3817	SLUZBY	\N	\N
822049	2799	1996-08-31	VYDAJ	VYBER	30	1308	SLUZBY	\N	\N
822050	2799	1996-09-30	VYDAJ	VYBER	30	1282	SLUZBY	\N	\N
822051	2799	1996-10-31	VYDAJ	VYBER	30	1252	SLUZBY	\N	\N
822052	2799	1996-11-30	VYDAJ	VYBER	30	1230	SLUZBY	\N	\N
822053	2799	1996-12-31	VYDAJ	VYBER	30	1204	SLUZBY	\N	\N
822054	2799	1997-01-31	VYDAJ	VYBER	30	99245	SLUZBY	\N	\N
822055	2799	1997-02-28	VYDAJ	VYBER	30	57935	SLUZBY	\N	\N
822056	2799	1997-03-31	VYDAJ	VYBER	30	33585	SLUZBY	\N	\N
822057	2799	1997-04-30	VYDAJ	VYBER	30	26604	SLUZBY	\N	\N
822058	2799	1997-05-31	VYDAJ	VYBER	30	59718	SLUZBY	\N	\N
822059	2799	1997-06-30	VYDAJ	VYBER	30	86456	SLUZBY	\N	\N
822060	2799	1997-07-31	VYDAJ	VYBER	30	34781	SLUZBY	\N	\N
822061	2799	1997-08-31	VYDAJ	VYBER	30	71989	SLUZBY	\N	\N
822062	2799	1997-09-30	VYDAJ	VYBER	30	39651	SLUZBY	\N	\N
822063	2799	1997-10-31	VYDAJ	VYBER	30	41144	SLUZBY	\N	\N
822064	2799	1997-11-30	VYDAJ	VYBER	30	84334	SLUZBY	\N	\N
822065	2799	1997-12-31	VYDAJ	VYBER	30	38909	SLUZBY	\N	\N
822066	2799	1998-01-31	VYDAJ	VYBER	30	24141	SLUZBY	\N	\N
822067	2799	1998-02-28	VYDAJ	VYBER	30	15780	SLUZBY	\N	\N
822068	2799	1998-03-31	VYDAJ	VYBER	30	7383	SLUZBY	\N	\N
822069	2799	1998-04-30	VYDAJ	VYBER	30	3834	SLUZBY	\N	\N
822070	2799	1998-05-31	VYDAJ	VYBER	30	2773	SLUZBY	\N	\N
822071	2799	1998-06-30	VYDAJ	VYBER	30	44722	SLUZBY	\N	\N
822072	2799	1998-07-31	VYDAJ	VYBER	30	73241	SLUZBY	\N	\N
822073	2799	1998-08-31	VYDAJ	VYBER	30	21153	SLUZBY	\N	\N
822074	2799	1998-09-30	VYDAJ	VYBER	30	26058	SLUZBY	\N	\N
822075	2799	1998-10-31	VYDAJ	VYBER	30	70214	SLUZBY	\N	\N
822076	2799	1998-11-30	VYDAJ	VYBER	30	107241	SLUZBY	\N	\N
822077	2799	1994-05-03	PRIJEM	VKLAD	11900	12100	\N	\N	\N
822078	2799	1994-06-02	VYDAJ	VYBER	21700	45332	\N	\N	\N
822079	2799	1994-07-02	VYDAJ	VYBER	35900	63184	\N	\N	\N
822080	2799	1994-07-19	VYDAJ	VYBER	47700	73866	\N	\N	\N
822081	2799	1994-08-01	VYDAJ	VYBER	30000	58946	\N	\N	\N
822082	2799	1994-08-21	VYDAJ	VYBER	21000	86022	\N	\N	\N
822083	2799	1994-08-31	VYDAJ	VYBER	29500	56875	\N	\N	\N
822084	2799	1994-09-30	VYDAJ	VYBER	35600	59472	\N	\N	\N
822085	2799	1994-10-10	VYDAJ	VYBER	36200	66383	\N	\N	\N
822086	2799	1994-10-22	VYDAJ	VYBER	24000	95001	\N	\N	\N
822087	2799	1994-10-30	VYDAJ	VYBER	36300	58701	\N	\N	\N
822088	2799	1994-11-07	VYDAJ	VYBER	58100	49956	\N	\N	\N
822089	2799	1994-11-29	VYDAJ	VYBER	7200	34350	\N	\N	\N
822090	2799	1994-12-29	VYDAJ	VYBER	16700	39849	\N	\N	\N
822091	2799	1995-01-28	VYDAJ	VYBER	28600	52623	\N	\N	\N
822092	2799	1995-02-27	VYDAJ	VYBER	6800	30706	\N	\N	\N
822093	2799	1995-03-29	VYDAJ	VYBER	12700	42837	\N	\N	\N
822094	2799	1995-04-28	VYDAJ	VYBER	21400	48307	\N	\N	\N
822095	2799	1995-05-28	VYDAJ	VYBER	13100	43318	\N	\N	\N
822096	2799	1995-06-08	VYDAJ	VYBER	30600	89891	\N	\N	\N
822097	2799	1995-06-27	VYDAJ	VYBER	22400	51516	\N	\N	\N
822098	2799	1995-07-27	VYDAJ	VYBER	26900	56945	\N	\N	\N
822099	2799	1995-08-26	VYDAJ	VYBER	34100	59411	\N	\N	\N
822100	2799	1995-09-04	VYDAJ	VYBER	30800	85200	\N	\N	\N
822101	2799	1995-09-25	VYDAJ	VYBER	16300	44845	\N	\N	\N
822102	2799	1995-10-25	VYDAJ	VYBER	1100	21564	\N	\N	\N
822103	2799	1995-11-24	VYDAJ	VYBER	42500	63837	\N	\N	\N
822104	2799	1995-12-12	VYDAJ	VYBER	52500	63510	\N	\N	\N
822105	2799	1995-12-24	VYDAJ	VYBER	9200	35130	\N	\N	\N
822106	2799	1996-01-23	PRIJEM	VKLAD	6500	20577	\N	\N	\N
822107	2799	1996-02-22	PRIJEM	VKLAD	6000	18225	\N	\N	\N
822108	2799	1996-03-23	PRIJEM	VKLAD	9600	19459	\N	\N	\N
822109	2799	1996-04-22	PRIJEM	VKLAD	9700	20786	\N	\N	\N
822110	2799	1996-05-22	PRIJEM	VKLAD	3300	15720	\N	\N	\N
822111	2799	1997-02-16	VYDAJ	VYBER	36500	42474	\N	\N	\N
822112	2799	1997-03-18	VYDAJ	VYBER	16100	33429	\N	\N	\N
822113	2799	1997-04-17	VYDAJ	VYBER	28800	39695	\N	\N	\N
822114	2799	1997-06-14	VYDAJ	VYBER	48000	82582	\N	\N	\N
822115	2799	1997-06-16	VYDAJ	VYBER	32700	49882	\N	\N	\N
822116	2799	1997-07-01	VYDAJ	VYBER	44400	91010	\N	\N	\N
822117	2799	1997-07-16	VYDAJ	VYBER	16100	34583	\N	\N	\N
822118	2799	1997-08-15	VYDAJ	VYBER	41000	55631	\N	\N	\N
822119	2799	1997-09-14	VYDAJ	VYBER	33800	48931	\N	\N	\N
822120	2799	1997-09-23	VYDAJ	VYBER	49900	62007	\N	\N	\N
822121	2799	1997-10-14	VYDAJ	VYBER	30700	41002	\N	\N	\N
822122	2799	1997-12-13	VYDAJ	VYBER	29300	40628	\N	\N	\N
822123	2799	1998-01-12	VYDAJ	VYBER	19200	28911	\N	\N	\N
822124	2799	1998-08-10	VYDAJ	VYBER	43800	26948	\N	\N	\N
822125	2799	1998-11-08	VYDAJ	VYBER	45300	22421	\N	\N	\N
822126	2799	1998-12-08	VYDAJ	VYBER	65900	41341	\N	\N	\N
822187	2800	1997-05-08	PRIJEM	VKLAD	900	900	\N	\N	\N
822192	2800	1997-05-11	PRIJEM	VKLAD	19341	20241	\N	\N	\N
822193	2800	1997-06-11	PRIJEM	VKLAD	29012	51010	\N	\N	\N
822194	2800	1997-07-11	PRIJEM	VKLAD	19341	57821	\N	\N	\N
822195	2800	1997-08-11	PRIJEM	VKLAD	19341	60594	\N	\N	\N
822196	2800	1997-09-11	PRIJEM	VKLAD	19341	67283	\N	\N	\N
822197	2800	1997-10-11	PRIJEM	VKLAD	19341	64119	\N	\N	\N
822198	2800	1997-11-11	PRIJEM	VKLAD	19341	59943	\N	\N	\N
822199	2800	1997-12-11	PRIJEM	VKLAD	29012	64822	\N	\N	\N
822200	2800	1998-01-11	PRIJEM	VKLAD	19341	60825	\N	\N	\N
822201	2800	1998-02-11	PRIJEM	VKLAD	19341	49506	\N	\N	\N
822202	2800	1998-03-11	PRIJEM	VKLAD	19341	52952	\N	\N	\N
822203	2800	1998-04-11	PRIJEM	VKLAD	19341	52111	\N	\N	\N
822204	2800	1998-05-11	PRIJEM	VKLAD	19341	53477	\N	\N	\N
822205	2800	1998-06-11	PRIJEM	VKLAD	29012	51822	\N	\N	\N
822206	2800	1998-07-11	PRIJEM	VKLAD	19341	50490	\N	\N	\N
822207	2800	1998-08-11	PRIJEM	VKLAD	19341	50955	\N	\N	\N
822208	2800	1998-09-11	PRIJEM	VKLAD	19341	55014	\N	\N	\N
822209	2800	1998-10-11	PRIJEM	VKLAD	19341	54574	\N	\N	\N
822210	2800	1998-11-11	PRIJEM	VKLAD	19341	54528	\N	\N	\N
822211	2800	1998-12-11	PRIJEM	VKLAD	29012	65156	\N	\N	\N
822220	2800	1997-09-13	VYDAJ	PREVOD NA UCET	8740	58543	SIPO	OP	95347153
822221	2800	1997-10-13	VYDAJ	PREVOD NA UCET	8740	55379	SIPO	OP	95347153
822222	2800	1997-11-13	VYDAJ	PREVOD NA UCET	8740	51203	SIPO	OP	95347153
822223	2800	1997-12-13	VYDAJ	PREVOD NA UCET	8740	56082	SIPO	OP	95347153
822224	2800	1998-01-13	VYDAJ	PREVOD NA UCET	8740	52085	SIPO	OP	95347153
822225	2800	1998-02-13	VYDAJ	PREVOD NA UCET	8740	40766	SIPO	OP	95347153
822226	2800	1998-03-13	VYDAJ	PREVOD NA UCET	8740	44212	SIPO	OP	95347153
822227	2800	1998-04-13	VYDAJ	PREVOD NA UCET	8740	43371	SIPO	OP	95347153
822228	2800	1998-05-13	VYDAJ	PREVOD NA UCET	8740	44737	SIPO	OP	95347153
822229	2800	1998-06-13	VYDAJ	PREVOD NA UCET	8740	43082	SIPO	OP	95347153
822230	2800	1998-07-13	VYDAJ	PREVOD NA UCET	8740	41750	SIPO	OP	95347153
822231	2800	1998-08-13	VYDAJ	PREVOD NA UCET	8740	42215	SIPO	OP	95347153
822232	2800	1998-09-13	VYDAJ	PREVOD NA UCET	8740	46274	SIPO	OP	95347153
822233	2800	1998-10-13	VYDAJ	PREVOD NA UCET	8740	45834	SIPO	OP	95347153
822234	2800	1998-11-13	VYDAJ	PREVOD NA UCET	8740	45788	SIPO	OP	95347153
822235	2800	1998-12-13	VYDAJ	PREVOD NA UCET	8740	56416	SIPO	OP	95347153
822237	2800	1998-06-09	VYDAJ	VYBER	14800	22810	\N	\N	\N
822239	2800	1998-01-25	VYDAJ	VYBER	8400	41385	\N	\N	\N
822240	2800	1997-12-06	VYDAJ	VYBER	2900	35810	\N	\N	\N
822241	2800	1998-12-03	VYDAJ	VYBER KARTOU	2200	36144	\N	\N	0
822248	2800	1998-01-02	VYDAJ	VYBER	1900	54384	\N	\N	\N
822249	2800	1998-01-29	VYDAJ	VYBER	1300	37985	\N	\N	\N
822250	2800	1998-01-28	VYDAJ	VYBER	1100	40285	\N	\N	\N
822251	2800	1998-01-28	VYDAJ	VYBER	1000	39285	\N	\N	\N
822252	2800	1998-01-18	VYDAJ	VYBER	2300	49785	\N	\N	\N
822253	2800	1998-01-02	VYDAJ	VYBER	1500	52884	\N	\N	\N
822258	2800	1997-12-02	VYDAJ	VYBER	4100	47310	\N	\N	\N
822260	2800	1998-12-30	VYDAJ	VYBER KARTOU	1000	39216	\N	\N	0
822261	2800	1998-02-04	VYDAJ	VYBER	4300	30165	\N	\N	\N
822262	2800	1998-08-20	VYDAJ	VYBER	2500	39715	\N	\N	\N
822263	2800	1998-06-09	VYDAJ	VYBER	700	37610	\N	\N	\N
822264	2800	1998-03-02	VYDAJ	VYBER	1200	39711	\N	\N	\N
822265	2800	1998-10-23	VYDAJ	VYBER KARTOU	2600	43234	\N	\N	0
822266	2800	1998-03-24	VYDAJ	VYBER	3000	41212	\N	\N	\N
822276	2800	1997-09-30	VYDAJ	VYBER	15	58778	SLUZBY	\N	\N
822277	2800	1997-10-31	VYDAJ	VYBER	15	55602	SLUZBY	\N	\N
822278	2800	1997-11-30	VYDAJ	VYBER	15	51410	SLUZBY	\N	\N
822279	2800	1997-12-31	VYDAJ	VYBER	15	56284	SLUZBY	\N	\N
822280	2800	1998-01-31	VYDAJ	VYBER	15	38165	SLUZBY	\N	\N
822281	2800	1998-02-28	VYDAJ	VYBER	15	40911	SLUZBY	\N	\N
822282	2800	1998-03-31	VYDAJ	VYBER	15	41370	SLUZBY	\N	\N
822283	2800	1998-04-30	VYDAJ	VYBER	15	43536	SLUZBY	\N	\N
822284	2800	1998-05-31	VYDAJ	VYBER	15	44910	SLUZBY	\N	\N
822285	2800	1998-06-30	VYDAJ	VYBER	15	43249	SLUZBY	\N	\N
822286	2800	1998-07-31	VYDAJ	VYBER	15	41914	SLUZBY	\N	\N
822287	2800	1998-08-31	VYDAJ	VYBER	15	35673	SLUZBY	\N	\N
822288	2800	1998-09-30	VYDAJ	VYBER	15	35233	SLUZBY	\N	\N
822289	2800	1998-10-31	VYDAJ	VYBER	15	35187	SLUZBY	\N	\N
822290	2800	1998-11-30	VYDAJ	VYBER	15	38344	SLUZBY	\N	\N
822291	2800	1997-06-07	PRIJEM	VKLAD	1700	21998	\N	\N	\N
822292	2800	1997-07-07	VYDAJ	VYBER	12700	38480	\N	\N	\N
822293	2800	1997-08-06	VYDAJ	VYBER	16800	41253	\N	\N	\N
822294	2800	1997-09-05	VYDAJ	VYBER	12900	47942	\N	\N	\N
822295	2800	1997-10-05	VYDAJ	VYBER	14000	44778	\N	\N	\N
822296	2800	1997-11-04	VYDAJ	VYBER	15000	40602	\N	\N	\N
822297	2800	1997-12-04	VYDAJ	VYBER	8600	38710	\N	\N	\N
822298	2800	1998-01-03	VYDAJ	VYBER	11400	41484	\N	\N	\N
822299	2800	1998-02-02	VYDAJ	VYBER	3700	34465	\N	\N	\N
822300	2800	1998-03-04	VYDAJ	VYBER	6100	33611	\N	\N	\N
822301	2800	1998-04-03	VYDAJ	VYBER	8600	32770	\N	\N	\N
822302	2800	1998-05-03	VYDAJ	VYBER	9400	34136	\N	\N	\N
822303	2800	1998-06-02	VYDAJ	VYBER	6600	38310	\N	\N	\N
822304	2800	1998-07-02	VYDAJ	VYBER	12100	31149	\N	\N	\N
822305	2800	1998-08-01	VYDAJ	VYBER	10300	31614	\N	\N	\N
822306	2800	1998-08-31	VYDAJ	VYBER	4200	35688	\N	\N	\N
822307	2800	1998-09-30	VYDAJ	VYBER	11200	35247	\N	\N	\N
822308	2800	1998-10-30	VYDAJ	VYBER	8200	35034	\N	\N	\N
822309	2800	1998-11-29	VYDAJ	VYBER	7600	38188	\N	\N	\N
822310	2800	1998-12-29	VYDAJ	VYBER	16200	40216	\N	\N	\N
822331	2801	1996-09-23	PRIJEM	VKLAD	900	900	\N	\N	\N
822341	2801	1996-10-13	PRIJEM	PREVOD Z UCTU	5962	6862	DUCHOD	GH	93212657
822342	2801	1996-11-13	PRIJEM	PREVOD Z UCTU	5962	12824	DUCHOD	GH	93212657
822343	2801	1996-12-13	PRIJEM	PREVOD Z UCTU	5962	18786	DUCHOD	GH	93212657
822344	2801	1997-01-13	PRIJEM	PREVOD Z UCTU	5962	24748	DUCHOD	GH	93212657
822345	2801	1997-02-13	PRIJEM	PREVOD Z UCTU	5962	30710	DUCHOD	GH	93212657
822346	2801	1997-03-13	PRIJEM	PREVOD Z UCTU	5962	29778	DUCHOD	GH	93212657
822347	2801	1997-04-13	PRIJEM	PREVOD Z UCTU	5962	32322	DUCHOD	GH	93212657
822348	2801	1997-05-13	PRIJEM	PREVOD Z UCTU	5962	34876	DUCHOD	GH	93212657
822349	2801	1997-06-13	PRIJEM	PREVOD Z UCTU	5962	34480	DUCHOD	GH	93212657
822350	2801	1997-07-13	PRIJEM	PREVOD Z UCTU	5962	35642	DUCHOD	GH	93212657
822351	2801	1997-08-13	PRIJEM	PREVOD Z UCTU	5962	38210	DUCHOD	GH	93212657
822352	2801	1997-09-13	PRIJEM	PREVOD Z UCTU	5962	39887	DUCHOD	GH	93212657
822353	2801	1997-10-13	PRIJEM	PREVOD Z UCTU	5962	42473	DUCHOD	GH	93212657
822354	2801	1997-11-13	PRIJEM	PREVOD Z UCTU	5962	41785	DUCHOD	GH	93212657
822355	2801	1997-12-13	PRIJEM	PREVOD Z UCTU	5962	41055	DUCHOD	GH	93212657
822356	2801	1998-01-13	PRIJEM	PREVOD Z UCTU	5962	34098	DUCHOD	GH	93212657
822357	2801	1998-02-13	PRIJEM	PREVOD Z UCTU	5962	33535	DUCHOD	GH	93212657
822358	2801	1998-03-13	PRIJEM	PREVOD Z UCTU	5962	33370	DUCHOD	GH	93212657
822359	2801	1998-04-13	PRIJEM	PREVOD Z UCTU	5962	35929	DUCHOD	GH	93212657
822360	2801	1998-05-13	PRIJEM	PREVOD Z UCTU	5962	30894	DUCHOD	GH	93212657
822361	2801	1998-06-13	PRIJEM	PREVOD Z UCTU	5962	33441	DUCHOD	GH	93212657
822362	2801	1998-07-13	PRIJEM	PREVOD Z UCTU	5962	36000	DUCHOD	GH	93212657
822363	2801	1998-08-13	PRIJEM	PREVOD Z UCTU	5962	38569	DUCHOD	GH	93212657
822364	2801	1998-09-13	PRIJEM	PREVOD Z UCTU	5962	39868	DUCHOD	GH	93212657
822365	2801	1998-10-13	PRIJEM	PREVOD Z UCTU	5962	42453	DUCHOD	GH	93212657
822366	2801	1998-11-13	PRIJEM	PREVOD Z UCTU	5962	45049	DUCHOD	GH	93212657
822367	2801	1998-12-13	PRIJEM	PREVOD Z UCTU	5962	46205	DUCHOD	GH	93212657
822382	2801	1997-03-06	VYDAJ	PREVOD NA UCET	3524	27176	SIPO	OP	87508368
822383	2801	1997-04-06	VYDAJ	PREVOD NA UCET	3524	26360	SIPO	OP	87508368
822384	2801	1997-05-06	VYDAJ	PREVOD NA UCET	3524	28914	SIPO	OP	87508368
822385	2801	1997-06-06	VYDAJ	PREVOD NA UCET	3524	30758	SIPO	OP	87508368
822386	2801	1997-07-06	VYDAJ	PREVOD NA UCET	3524	29680	SIPO	OP	87508368
822387	2801	1997-08-06	VYDAJ	PREVOD NA UCET	3524	32248	SIPO	OP	87508368
822388	2801	1997-09-06	VYDAJ	PREVOD NA UCET	3524	33925	SIPO	OP	87508368
822389	2801	1997-10-06	VYDAJ	PREVOD NA UCET	3524	36511	SIPO	OP	87508368
822390	2801	1997-11-06	VYDAJ	PREVOD NA UCET	3524	35823	SIPO	OP	87508368
822391	2801	1997-12-06	VYDAJ	PREVOD NA UCET	3524	35793	SIPO	OP	87508368
822392	2801	1998-01-06	VYDAJ	PREVOD NA UCET	3524	30936	SIPO	OP	87508368
822393	2801	1998-02-06	VYDAJ	PREVOD NA UCET	3524	27573	SIPO	OP	87508368
822394	2801	1998-03-06	VYDAJ	PREVOD NA UCET	3524	27408	SIPO	OP	87508368
822395	2801	1998-04-06	VYDAJ	PREVOD NA UCET	3524	29967	SIPO	OP	87508368
822396	2801	1998-05-06	VYDAJ	PREVOD NA UCET	3524	24932	SIPO	OP	87508368
822397	2801	1998-06-06	VYDAJ	PREVOD NA UCET	3524	27479	SIPO	OP	87508368
822398	2801	1998-07-06	VYDAJ	PREVOD NA UCET	3524	30038	SIPO	OP	87508368
822399	2801	1998-08-06	VYDAJ	PREVOD NA UCET	3524	32607	SIPO	OP	87508368
822400	2801	1998-09-06	VYDAJ	PREVOD NA UCET	3524	33906	SIPO	OP	87508368
822401	2801	1998-10-06	VYDAJ	PREVOD NA UCET	3524	36491	SIPO	OP	87508368
822402	2801	1998-11-06	VYDAJ	PREVOD NA UCET	3524	39087	SIPO	OP	87508368
822403	2801	1998-12-06	VYDAJ	PREVOD NA UCET	3524	41693	SIPO	OP	87508368
822405	2801	1997-12-11	VYDAJ	VYBER	700	35093	\N	\N	\N
822406	2801	1998-12-07	VYDAJ	VYBER	1450	40243	\N	\N	\N
822419	2801	1998-01-10	VYDAJ	VYBER	880	28136	\N	\N	\N
822420	2801	1998-01-10	VYDAJ	VYBER	1920	29016	\N	\N	\N
822421	2801	1998-01-05	VYDAJ	VYBER	880	36460	\N	\N	\N
822422	2801	1998-01-15	VYDAJ	VYBER	2160	31938	\N	\N	\N
822423	2801	1998-01-21	VYDAJ	VYBER	960	30978	\N	\N	\N
822424	2801	1998-01-06	VYDAJ	VYBER	2000	34460	\N	\N	\N
822426	2801	1997-05-22	VYDAJ	VYBER	720	34156	\N	\N	\N
822427	2801	1997-03-08	VYDAJ	VYBER	3360	23816	\N	\N	\N
822428	2801	1997-06-10	VYDAJ	VYBER	2240	28518	\N	\N	\N
822429	2801	1997-12-25	VYDAJ	VYBER	1760	37195	\N	\N	\N
822430	2801	1997-10-23	VYDAJ	VYBER	3280	39193	\N	\N	\N
822431	2801	1997-12-05	VYDAJ	VYBER	720	39317	\N	\N	\N
822432	2801	1998-08-26	VYDAJ	VYBER	1280	37289	\N	\N	\N
822433	2801	1998-04-25	VYDAJ	VYBER	3920	32009	\N	\N	\N
822434	2801	1998-02-19	VYDAJ	VYBER	2000	31535	\N	\N	\N
822435	2801	1998-02-22	VYDAJ	VYBER	720	30815	\N	\N	\N
822436	2801	1998-05-03	VYDAJ	VYBER	3680	28456	\N	\N	\N
822451	2801	1997-02-28	VYDAJ	VYBER	15	30700	SLUZBY	\N	\N
822452	2801	1997-03-31	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
822453	2801	1997-04-30	VYDAJ	VYBER	15	32438	SLUZBY	\N	\N
822454	2801	1997-05-31	VYDAJ	VYBER	15	34282	SLUZBY	\N	\N
822455	2801	1997-06-30	VYDAJ	VYBER	15	33204	SLUZBY	\N	\N
822456	2801	1997-07-31	VYDAJ	VYBER	15	35772	SLUZBY	\N	\N
822457	2801	1997-08-31	VYDAJ	VYBER	15	37449	SLUZBY	\N	\N
822458	2801	1997-09-30	VYDAJ	VYBER	15	40035	SLUZBY	\N	\N
822459	2801	1997-10-31	VYDAJ	VYBER	15	39347	SLUZBY	\N	\N
822460	2801	1997-11-30	VYDAJ	VYBER	15	40037	SLUZBY	\N	\N
822461	2801	1997-12-31	VYDAJ	VYBER	15	37340	SLUZBY	\N	\N
822462	2801	1998-01-31	VYDAJ	VYBER	15	31097	SLUZBY	\N	\N
822463	2801	1998-02-28	VYDAJ	VYBER	15	30932	SLUZBY	\N	\N
822464	2801	1998-03-31	VYDAJ	VYBER	15	33491	SLUZBY	\N	\N
822465	2801	1998-04-30	VYDAJ	VYBER	15	32136	SLUZBY	\N	\N
822466	2801	1998-05-31	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
822467	2801	1998-06-30	VYDAJ	VYBER	15	33562	SLUZBY	\N	\N
822468	2801	1998-07-31	VYDAJ	VYBER	15	36131	SLUZBY	\N	\N
822469	2801	1998-08-31	VYDAJ	VYBER	15	37430	SLUZBY	\N	\N
822470	2801	1998-09-30	VYDAJ	VYBER	15	40015	SLUZBY	\N	\N
822471	2801	1998-10-31	VYDAJ	VYBER	15	42611	SLUZBY	\N	\N
822472	2801	1998-11-30	VYDAJ	VYBER	15	45217	SLUZBY	\N	\N
822473	2801	1997-06-20	VYDAJ	VYBER	1400	33080	\N	\N	\N
822474	2801	1997-08-19	VYDAJ	VYBER	900	37310	\N	\N	\N
822475	2801	1997-11-17	VYDAJ	VYBER	1900	39885	\N	\N	\N
822476	2801	1997-12-17	VYDAJ	VYBER	2100	38955	\N	\N	\N
822500	2802	1993-09-16	PRIJEM	VKLAD	900	900	\N	\N	\N
822510	2802	1993-10-12	PRIJEM	PREVOD Z UCTU	3619	4519	\N	EF	50530976
822511	2802	1993-11-12	PRIJEM	PREVOD Z UCTU	3619	17368	\N	EF	50530976
822512	2802	1993-12-12	PRIJEM	PREVOD Z UCTU	3619	26364	\N	EF	50530976
822513	2802	1994-01-12	PRIJEM	PREVOD Z UCTU	3619	28883	\N	EF	50530976
822514	2802	1994-02-12	PRIJEM	PREVOD Z UCTU	3619	31112	\N	EF	50530976
822515	2802	1994-03-12	PRIJEM	PREVOD Z UCTU	3619	28719	\N	EF	50530976
822516	2802	1994-04-12	PRIJEM	PREVOD Z UCTU	3619	26020	\N	EF	50530976
822517	2802	1994-05-12	PRIJEM	PREVOD Z UCTU	3619	24602	\N	EF	50530976
822518	2802	1994-06-12	PRIJEM	PREVOD Z UCTU	3619	23120	\N	EF	50530976
822519	2802	1994-07-12	PRIJEM	PREVOD Z UCTU	3619	19962	\N	EF	50530976
822520	2802	1994-08-12	PRIJEM	PREVOD Z UCTU	3619	23442	\N	EF	50530976
822521	2802	1994-09-12	PRIJEM	PREVOD Z UCTU	3619	28330	\N	EF	50530976
822522	2802	1994-10-12	PRIJEM	PREVOD Z UCTU	3619	28233	\N	EF	50530976
822523	2802	1994-11-12	PRIJEM	PREVOD Z UCTU	3619	28443	\N	EF	50530976
822524	2802	1994-12-12	PRIJEM	PREVOD Z UCTU	3619	27153	\N	EF	50530976
822525	2802	1995-01-12	PRIJEM	PREVOD Z UCTU	3619	26337	\N	EF	50530976
822526	2802	1995-02-12	PRIJEM	PREVOD Z UCTU	3619	27586	\N	EF	50530976
822527	2802	1995-03-12	PRIJEM	PREVOD Z UCTU	3619	26588	\N	EF	50530976
822528	2802	1995-04-12	PRIJEM	PREVOD Z UCTU	3619	31092	\N	EF	50530976
822529	2802	1995-05-12	PRIJEM	PREVOD Z UCTU	3619	28124	\N	EF	50530976
822530	2802	1995-06-12	PRIJEM	PREVOD Z UCTU	3619	28525	\N	EF	50530976
822531	2802	1995-07-12	PRIJEM	PREVOD Z UCTU	3619	25412	\N	EF	50530976
822532	2802	1995-08-12	PRIJEM	PREVOD Z UCTU	3619	28506	\N	EF	50530976
822533	2802	1995-09-12	PRIJEM	PREVOD Z UCTU	3619	29812	\N	EF	50530976
822534	2802	1995-10-12	PRIJEM	PREVOD Z UCTU	3619	29726	\N	EF	50530976
822535	2802	1995-11-12	PRIJEM	PREVOD Z UCTU	3619	32241	\N	EF	50530976
822536	2802	1995-12-12	PRIJEM	PREVOD Z UCTU	3619	29863	\N	EF	50530976
822537	2802	1996-01-12	PRIJEM	PREVOD Z UCTU	3619	26850	\N	EF	50530976
822538	2802	1996-02-12	PRIJEM	PREVOD Z UCTU	3619	27916	\N	EF	50530976
822539	2802	1996-03-12	PRIJEM	PREVOD Z UCTU	3619	26517	\N	EF	50530976
822540	2802	1996-04-12	PRIJEM	PREVOD Z UCTU	3619	29419	\N	EF	50530976
822541	2802	1996-05-12	PRIJEM	PREVOD Z UCTU	3619	28629	\N	EF	50530976
822542	2802	1996-06-12	PRIJEM	PREVOD Z UCTU	3619	26409	\N	EF	50530976
822543	2802	1996-07-12	PRIJEM	PREVOD Z UCTU	3619	27690	\N	EF	50530976
822544	2802	1996-08-12	PRIJEM	PREVOD Z UCTU	3619	28293	\N	EF	50530976
822545	2802	1996-09-12	PRIJEM	PREVOD Z UCTU	3619	29301	\N	EF	50530976
822546	2802	1996-10-12	PRIJEM	PREVOD Z UCTU	3619	30562	\N	EF	50530976
822547	2802	1996-11-12	PRIJEM	PREVOD Z UCTU	3619	32280	\N	EF	50530976
822548	2802	1996-12-12	PRIJEM	PREVOD Z UCTU	3619	33503	\N	EF	50530976
822549	2802	1997-01-12	PRIJEM	PREVOD Z UCTU	3619	35322	\N	EF	50530976
822550	2802	1997-02-12	PRIJEM	PREVOD Z UCTU	3619	31675	\N	EF	50530976
822551	2802	1997-03-12	PRIJEM	PREVOD Z UCTU	3619	31856	\N	EF	50530976
822552	2802	1997-04-12	PRIJEM	PREVOD Z UCTU	3619	30776	\N	EF	50530976
822553	2802	1997-05-12	PRIJEM	PREVOD Z UCTU	3619	31594	\N	EF	50530976
822554	2802	1997-06-12	PRIJEM	PREVOD Z UCTU	3619	34315	\N	EF	50530976
822555	2802	1997-07-12	PRIJEM	PREVOD Z UCTU	3619	27454	\N	EF	50530976
822556	2802	1997-08-12	PRIJEM	PREVOD Z UCTU	3619	25683	\N	EF	50530976
822557	2802	1997-09-12	PRIJEM	PREVOD Z UCTU	3619	23976	\N	EF	50530976
822558	2802	1997-10-12	PRIJEM	PREVOD Z UCTU	3619	21892	\N	EF	50530976
822559	2802	1997-11-12	PRIJEM	PREVOD Z UCTU	3619	20611	\N	EF	50530976
822560	2802	1997-12-12	PRIJEM	PREVOD Z UCTU	3619	22356	\N	EF	50530976
822561	2802	1998-01-12	PRIJEM	PREVOD Z UCTU	3619	24468	\N	EF	50530976
822562	2802	1998-02-12	PRIJEM	PREVOD Z UCTU	3619	21309	\N	EF	50530976
822563	2802	1998-03-12	PRIJEM	PREVOD Z UCTU	3619	21535	\N	EF	50530976
822564	2802	1998-04-12	PRIJEM	PREVOD Z UCTU	3619	21411	\N	EF	50530976
822565	2802	1998-05-12	PRIJEM	PREVOD Z UCTU	3619	18884	\N	EF	50530976
822566	2802	1998-06-12	PRIJEM	PREVOD Z UCTU	3619	23755	\N	EF	50530976
822567	2802	1998-07-12	PRIJEM	PREVOD Z UCTU	3619	20730	\N	EF	50530976
822568	2802	1998-08-12	PRIJEM	PREVOD Z UCTU	3619	25709	\N	EF	50530976
822569	2802	1998-09-12	PRIJEM	PREVOD Z UCTU	3619	28606	\N	EF	50530976
822570	2802	1998-10-12	PRIJEM	PREVOD Z UCTU	3619	29995	\N	EF	50530976
822571	2802	1998-11-12	PRIJEM	PREVOD Z UCTU	3619	32810	\N	EF	50530976
822572	2802	1998-12-12	PRIJEM	PREVOD Z UCTU	3619	36178	\N	EF	50530976
822587	2802	1994-03-09	VYDAJ	PREVOD NA UCET	2412	25100	SIPO	ST	44960343
822588	2802	1994-04-09	VYDAJ	PREVOD NA UCET	2412	22401	SIPO	ST	44960343
822589	2802	1994-05-09	VYDAJ	PREVOD NA UCET	2412	20983	SIPO	ST	44960343
822590	2802	1994-06-09	VYDAJ	PREVOD NA UCET	2412	19501	SIPO	ST	44960343
822591	2802	1994-07-09	VYDAJ	PREVOD NA UCET	2412	16343	SIPO	ST	44960343
822592	2802	1994-08-09	VYDAJ	PREVOD NA UCET	2412	19823	SIPO	ST	44960343
822593	2802	1994-09-09	VYDAJ	PREVOD NA UCET	2412	20811	SIPO	ST	44960343
822594	2802	1994-10-09	VYDAJ	PREVOD NA UCET	2412	26014	SIPO	ST	44960343
822595	2802	1994-11-09	VYDAJ	PREVOD NA UCET	2412	25924	SIPO	ST	44960343
822596	2802	1994-12-09	VYDAJ	PREVOD NA UCET	2412	26134	SIPO	ST	44960343
822597	2802	1995-01-09	VYDAJ	PREVOD NA UCET	2412	23588	SIPO	ST	44960343
822598	2802	1995-02-09	VYDAJ	PREVOD NA UCET	2412	23967	SIPO	ST	44960343
822599	2802	1995-03-09	VYDAJ	PREVOD NA UCET	2412	25269	SIPO	ST	44960343
822600	2802	1995-04-09	VYDAJ	PREVOD NA UCET	2412	27473	SIPO	ST	44960343
822601	2802	1995-05-09	VYDAJ	PREVOD NA UCET	2412	27405	SIPO	ST	44960343
822602	2802	1995-06-09	VYDAJ	PREVOD NA UCET	2412	24906	SIPO	ST	44960343
822603	2802	1995-07-09	VYDAJ	PREVOD NA UCET	2412	21793	SIPO	ST	44960343
822604	2802	1995-08-09	VYDAJ	PREVOD NA UCET	2412	24887	SIPO	ST	44960343
822605	2802	1995-09-09	VYDAJ	PREVOD NA UCET	2412	26193	SIPO	ST	44960343
822606	2802	1995-10-09	VYDAJ	PREVOD NA UCET	2412	26107	SIPO	ST	44960343
822607	2802	1995-11-09	VYDAJ	PREVOD NA UCET	2412	28622	SIPO	ST	44960343
822608	2802	1995-12-09	VYDAJ	PREVOD NA UCET	2412	26244	SIPO	ST	44960343
822609	2802	1996-01-09	VYDAJ	PREVOD NA UCET	2412	23231	SIPO	ST	44960343
822610	2802	1996-02-09	VYDAJ	PREVOD NA UCET	2412	24297	SIPO	ST	44960343
822611	2802	1996-03-09	VYDAJ	PREVOD NA UCET	2412	22898	SIPO	ST	44960343
822612	2802	1996-04-09	VYDAJ	PREVOD NA UCET	2412	25800	SIPO	ST	44960343
822613	2802	1996-05-09	VYDAJ	PREVOD NA UCET	2412	25010	SIPO	ST	44960343
822614	2802	1996-06-09	VYDAJ	PREVOD NA UCET	2412	22790	SIPO	ST	44960343
822615	2802	1996-07-09	VYDAJ	PREVOD NA UCET	2412	24071	SIPO	ST	44960343
822616	2802	1996-08-09	VYDAJ	PREVOD NA UCET	2412	24674	SIPO	ST	44960343
822617	2802	1996-09-09	VYDAJ	PREVOD NA UCET	2412	25682	SIPO	ST	44960343
822618	2802	1996-10-09	VYDAJ	PREVOD NA UCET	2412	26943	SIPO	ST	44960343
822619	2802	1996-11-09	VYDAJ	PREVOD NA UCET	2412	28661	SIPO	ST	44960343
822620	2802	1996-12-09	VYDAJ	PREVOD NA UCET	2412	29884	SIPO	ST	44960343
822621	2802	1997-01-09	VYDAJ	PREVOD NA UCET	2412	31703	SIPO	ST	44960343
822622	2802	1997-02-09	VYDAJ	PREVOD NA UCET	2412	28056	SIPO	ST	44960343
822623	2802	1997-03-09	VYDAJ	PREVOD NA UCET	2412	28237	SIPO	ST	44960343
822624	2802	1997-04-09	VYDAJ	PREVOD NA UCET	2412	27157	SIPO	ST	44960343
822625	2802	1997-05-09	VYDAJ	PREVOD NA UCET	2412	27975	SIPO	ST	44960343
822626	2802	1997-06-09	VYDAJ	PREVOD NA UCET	2412	30696	SIPO	ST	44960343
822627	2802	1997-07-09	VYDAJ	PREVOD NA UCET	2412	23835	SIPO	ST	44960343
822628	2802	1997-08-09	VYDAJ	PREVOD NA UCET	2412	22064	SIPO	ST	44960343
822629	2802	1997-09-09	VYDAJ	PREVOD NA UCET	2412	20357	SIPO	ST	44960343
822630	2802	1997-10-09	VYDAJ	PREVOD NA UCET	2412	18273	SIPO	ST	44960343
822631	2802	1997-11-09	VYDAJ	PREVOD NA UCET	2412	16992	SIPO	ST	44960343
822632	2802	1997-12-09	VYDAJ	PREVOD NA UCET	2412	18737	SIPO	ST	44960343
822633	2802	1998-01-09	VYDAJ	PREVOD NA UCET	2412	20849	SIPO	ST	44960343
822634	2802	1998-02-09	VYDAJ	PREVOD NA UCET	2412	17690	SIPO	ST	44960343
822635	2802	1998-03-09	VYDAJ	PREVOD NA UCET	2412	17916	SIPO	ST	44960343
822636	2802	1998-04-09	VYDAJ	PREVOD NA UCET	2412	17792	SIPO	ST	44960343
822637	2802	1998-05-09	VYDAJ	PREVOD NA UCET	2412	15265	SIPO	ST	44960343
822638	2802	1998-06-09	VYDAJ	PREVOD NA UCET	2412	20136	SIPO	ST	44960343
822639	2802	1998-07-09	VYDAJ	PREVOD NA UCET	2412	17111	SIPO	ST	44960343
822640	2802	1998-08-09	VYDAJ	PREVOD NA UCET	2412	22090	SIPO	ST	44960343
822641	2802	1998-09-09	VYDAJ	PREVOD NA UCET	2412	24987	SIPO	ST	44960343
822642	2802	1998-10-09	VYDAJ	PREVOD NA UCET	2412	26376	SIPO	ST	44960343
822643	2802	1998-11-09	VYDAJ	PREVOD NA UCET	2412	29191	SIPO	ST	44960343
822644	2802	1998-12-09	VYDAJ	PREVOD NA UCET	2412	32559	SIPO	ST	44960343
822646	2802	1994-06-25	VYDAJ	VYBER	4140	18680	\N	\N	\N
822647	2802	1995-06-29	VYDAJ	VYBER	5820	22705	\N	\N	\N
822648	2802	1996-06-22	VYDAJ	VYBER	1320	25089	\N	\N	\N
822649	2802	1997-06-15	VYDAJ	VYBER	5280	29035	\N	\N	\N
822650	2802	1998-06-25	VYDAJ	VYBER	7410	19445	\N	\N	\N
822653	2802	1995-01-03	VYDAJ	VYBER	1830	24700	\N	\N	\N
822654	2802	1996-01-15	VYDAJ	VYBER	1290	24720	\N	\N	\N
822655	2802	1997-01-30	VYDAJ	VYBER	2880	30342	\N	\N	\N
822656	2802	1998-01-12	VYDAJ	VYBER	2880	21348	\N	\N	\N
822658	2802	1994-12-19	VYDAJ	VYBER	720	26433	\N	\N	\N
822659	2802	1995-12-29	VYDAJ	VYBER	810	29053	\N	\N	\N
822660	2802	1996-12-18	VYDAJ	VYBER	630	32873	\N	\N	\N
822661	2802	1997-12-17	VYDAJ	VYBER	570	21786	\N	\N	\N
822662	2802	1998-12-25	VYDAJ	VYBER	210	38558	\N	\N	\N
822675	2802	1995-01-22	VYDAJ	VYBER	810	24837	\N	\N	\N
822676	2802	1995-01-09	VYDAJ	VYBER	660	22928	\N	\N	\N
822677	2802	1995-01-11	VYDAJ	VYBER	210	22718	\N	\N	\N
822678	2802	1995-01-21	VYDAJ	VYBER	300	25647	\N	\N	\N
822679	2802	1995-01-17	VYDAJ	VYBER	390	25947	\N	\N	\N
822680	2802	1995-01-29	VYDAJ	VYBER	180	24657	\N	\N	\N
822681	2802	1996-01-19	VYDAJ	VYBER	240	24480	\N	\N	\N
822682	2802	1996-01-14	VYDAJ	VYBER	840	26010	\N	\N	\N
822683	2802	1996-01-06	VYDAJ	VYBER	510	25643	\N	\N	\N
822684	2802	1996-01-22	VYDAJ	VYBER	450	24030	\N	\N	\N
822685	2802	1996-01-24	VYDAJ	VYBER	810	23220	\N	\N	\N
822686	2802	1996-01-04	VYDAJ	VYBER	510	28653	\N	\N	\N
822687	2802	1997-01-19	VYDAJ	VYBER	270	34692	\N	\N	\N
822688	2802	1997-01-25	VYDAJ	VYBER	270	33822	\N	\N	\N
822689	2802	1997-01-15	VYDAJ	VYBER	150	34962	\N	\N	\N
822690	2802	1997-01-25	VYDAJ	VYBER	600	34092	\N	\N	\N
822691	2802	1997-01-03	VYDAJ	VYBER	480	34115	\N	\N	\N
822692	2802	1997-01-12	VYDAJ	VYBER	210	35112	\N	\N	\N
822693	2802	1998-01-21	VYDAJ	VYBER	690	20178	\N	\N	\N
822694	2802	1998-01-23	VYDAJ	VYBER	690	20838	\N	\N	\N
822695	2802	1998-01-17	VYDAJ	VYBER	330	20868	\N	\N	\N
822696	2802	1998-01-27	VYDAJ	VYBER	810	20028	\N	\N	\N
822697	2802	1998-01-12	VYDAJ	VYBER	240	24228	\N	\N	\N
822698	2802	1998-01-22	VYDAJ	VYBER	450	19728	\N	\N	\N
822704	2802	1994-04-13	VYDAJ	VYBER	210	25810	\N	\N	\N
822706	2802	1994-07-27	VYDAJ	VYBER	300	22162	\N	\N	\N
822708	2802	1994-06-06	VYDAJ	VYBER	570	21913	\N	\N	\N
822709	2802	1995-02-04	VYDAJ	VYBER	870	23879	\N	\N	\N
822710	2802	1995-04-16	VYDAJ	VYBER	1380	29712	\N	\N	\N
822711	2802	1995-06-05	VYDAJ	VYBER	1410	26818	\N	\N	\N
822712	2802	1996-09-25	VYDAJ	VYBER	750	28551	\N	\N	\N
822713	2802	1996-05-31	VYDAJ	VYBER	1230	27502	\N	\N	\N
822714	2802	1996-10-01	VYDAJ	VYBER	1200	29355	\N	\N	\N
822715	2802	1997-11-06	VYDAJ	VYBER	1260	19404	\N	\N	\N
822716	2802	1997-07-14	VYDAJ	VYBER	1170	26284	\N	\N	\N
822717	2802	1997-11-19	VYDAJ	VYBER	330	20281	\N	\N	\N
822718	2802	1997-02-23	VYDAJ	VYBER	240	31435	\N	\N	\N
822719	2802	1997-09-27	VYDAJ	VYBER	870	20606	\N	\N	\N
822720	2802	1998-09-26	VYDAJ	VYBER	870	29436	\N	\N	\N
822721	2802	1998-12-17	VYDAJ	VYBER	1170	34048	\N	\N	\N
822722	2802	1998-12-13	VYDAJ	VYBER	960	35218	\N	\N	\N
822723	2802	1998-02-21	VYDAJ	VYBER	1050	20259	\N	\N	\N
822724	2802	1998-01-15	VYDAJ	VYBER	150	21198	\N	\N	\N
822725	2802	1998-11-26	VYDAJ	VYBER	660	34850	\N	\N	\N
822726	2802	1998-10-03	VYDAJ	VYBER	750	28788	\N	\N	\N
822727	2802	1998-12-23	VYDAJ	VYBER	180	38768	\N	\N	\N
822742	2802	1994-02-28	VYDAJ	VYBER	15	27512	SLUZBY	\N	\N
822743	2802	1994-03-31	VYDAJ	VYBER	15	24813	SLUZBY	\N	\N
822744	2802	1994-04-30	VYDAJ	VYBER	15	23395	SLUZBY	\N	\N
822745	2802	1994-05-31	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
822746	2802	1994-06-30	VYDAJ	VYBER	15	18755	SLUZBY	\N	\N
822747	2802	1994-07-31	VYDAJ	VYBER	15	22235	SLUZBY	\N	\N
822748	2802	1994-08-31	VYDAJ	VYBER	15	23223	SLUZBY	\N	\N
822749	2802	1994-09-30	VYDAJ	VYBER	15	28426	SLUZBY	\N	\N
822750	2802	1994-10-31	VYDAJ	VYBER	15	28336	SLUZBY	\N	\N
822751	2802	1994-11-30	VYDAJ	VYBER	15	28546	SLUZBY	\N	\N
822752	2802	1994-12-31	VYDAJ	VYBER	15	26530	SLUZBY	\N	\N
822753	2802	1995-01-31	VYDAJ	VYBER	15	24749	SLUZBY	\N	\N
822754	2802	1995-02-28	VYDAJ	VYBER	15	27681	SLUZBY	\N	\N
822755	2802	1995-03-31	VYDAJ	VYBER	15	26685	SLUZBY	\N	\N
822756	2802	1995-04-30	VYDAJ	VYBER	15	29817	SLUZBY	\N	\N
822757	2802	1995-05-31	VYDAJ	VYBER	15	28228	SLUZBY	\N	\N
822758	2802	1995-06-30	VYDAJ	VYBER	15	22805	SLUZBY	\N	\N
822759	2802	1995-07-31	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
822760	2802	1995-08-31	VYDAJ	VYBER	15	28605	SLUZBY	\N	\N
822761	2802	1995-09-30	VYDAJ	VYBER	15	29919	SLUZBY	\N	\N
822762	2802	1995-10-31	VYDAJ	VYBER	15	29834	SLUZBY	\N	\N
822763	2802	1995-11-30	VYDAJ	VYBER	15	32356	SLUZBY	\N	\N
822764	2802	1995-12-31	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
822765	2802	1996-01-31	VYDAJ	VYBER	15	23309	SLUZBY	\N	\N
822766	2802	1996-02-29	VYDAJ	VYBER	15	28010	SLUZBY	\N	\N
822767	2802	1996-03-31	VYDAJ	VYBER	15	26612	SLUZBY	\N	\N
822768	2802	1996-04-30	VYDAJ	VYBER	15	29522	SLUZBY	\N	\N
822769	2802	1996-05-31	VYDAJ	VYBER	15	28732	SLUZBY	\N	\N
822770	2802	1996-06-30	VYDAJ	VYBER	15	25183	SLUZBY	\N	\N
822771	2802	1996-07-31	VYDAJ	VYBER	15	27786	SLUZBY	\N	\N
822772	2802	1996-08-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
822773	2802	1996-09-30	VYDAJ	VYBER	15	30555	SLUZBY	\N	\N
822774	2802	1996-10-31	VYDAJ	VYBER	15	31073	SLUZBY	\N	\N
822775	2802	1996-11-30	VYDAJ	VYBER	15	32296	SLUZBY	\N	\N
822776	2802	1996-12-31	VYDAJ	VYBER	15	34595	SLUZBY	\N	\N
822777	2802	1997-01-31	VYDAJ	VYBER	15	30468	SLUZBY	\N	\N
822778	2802	1997-02-28	VYDAJ	VYBER	15	30649	SLUZBY	\N	\N
822779	2802	1997-03-31	VYDAJ	VYBER	15	29569	SLUZBY	\N	\N
822780	2802	1997-04-30	VYDAJ	VYBER	15	30387	SLUZBY	\N	\N
822781	2802	1997-05-31	VYDAJ	VYBER	15	33108	SLUZBY	\N	\N
822782	2802	1997-06-30	VYDAJ	VYBER	15	26247	SLUZBY	\N	\N
822783	2802	1997-07-31	VYDAJ	VYBER	15	24476	SLUZBY	\N	\N
822784	2802	1997-08-31	VYDAJ	VYBER	15	22769	SLUZBY	\N	\N
822785	2802	1997-09-30	VYDAJ	VYBER	15	20685	SLUZBY	\N	\N
822786	2802	1997-10-31	VYDAJ	VYBER	15	20664	SLUZBY	\N	\N
822787	2802	1997-11-30	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
822788	2802	1997-12-31	VYDAJ	VYBER	15	23261	SLUZBY	\N	\N
822789	2802	1998-01-31	VYDAJ	VYBER	15	20102	SLUZBY	\N	\N
822790	2802	1998-02-28	VYDAJ	VYBER	15	20328	SLUZBY	\N	\N
822791	2802	1998-03-31	VYDAJ	VYBER	15	20204	SLUZBY	\N	\N
822792	2802	1998-04-30	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
822793	2802	1998-05-31	VYDAJ	VYBER	15	22548	SLUZBY	\N	\N
822794	2802	1998-06-30	VYDAJ	VYBER	15	19523	SLUZBY	\N	\N
822795	2802	1998-07-31	VYDAJ	VYBER	15	24502	SLUZBY	\N	\N
822796	2802	1998-08-31	VYDAJ	VYBER	15	27399	SLUZBY	\N	\N
822797	2802	1998-09-30	VYDAJ	VYBER	15	29538	SLUZBY	\N	\N
822798	2802	1998-10-31	VYDAJ	VYBER	15	31603	SLUZBY	\N	\N
822799	2802	1998-11-30	VYDAJ	VYBER	15	34971	SLUZBY	\N	\N
822800	2802	1993-10-16	PRIJEM	VKLAD	9200	13719	\N	\N	\N
822801	2802	1993-11-15	PRIJEM	VKLAD	5300	22668	\N	\N	\N
822802	2802	1993-12-15	VYDAJ	VYBER	1200	25164	\N	\N	\N
822803	2802	1994-01-14	VYDAJ	VYBER	1500	27383	\N	\N	\N
822804	2802	1994-02-13	VYDAJ	VYBER	3700	27412	\N	\N	\N
822805	2802	1994-03-15	VYDAJ	VYBER	4000	24719	\N	\N	\N
822806	2802	1994-04-14	VYDAJ	VYBER	2500	23310	\N	\N	\N
822807	2802	1994-05-14	VYDAJ	VYBER	2200	22402	\N	\N	\N
822808	2802	1994-06-13	VYDAJ	VYBER	300	22820	\N	\N	\N
822809	2802	1994-07-13	PRIJEM	VKLAD	2500	22462	\N	\N	\N
822810	2802	1994-08-12	VYDAJ	VYBER	300	23142	\N	\N	\N
822811	2802	1994-09-11	PRIJEM	VKLAD	3900	24711	\N	\N	\N
822812	2802	1994-10-11	VYDAJ	VYBER	1400	24614	\N	\N	\N
822813	2802	1994-11-10	VYDAJ	VYBER	1100	24824	\N	\N	\N
822814	2802	1994-12-10	VYDAJ	VYBER	2600	23534	\N	\N	\N
822815	2802	1995-01-09	PRIJEM	VKLAD	1300	26000	\N	\N	\N
822816	2802	1995-02-08	PRIJEM	VKLAD	2500	26379	\N	\N	\N
822817	2802	1995-03-10	VYDAJ	VYBER	2300	22969	\N	\N	\N
822818	2802	1995-04-09	PRIJEM	VKLAD	3200	29885	\N	\N	\N
822819	2802	1995-05-09	VYDAJ	VYBER	2900	24505	\N	\N	\N
822820	2802	1995-06-08	PRIJEM	VKLAD	500	27318	\N	\N	\N
822821	2802	1995-07-08	PRIJEM	VKLAD	1400	24205	\N	\N	\N
822822	2802	1995-08-07	PRIJEM	VKLAD	1800	27299	\N	\N	\N
822823	2802	1995-10-06	VYDAJ	VYBER	1400	28519	\N	\N	\N
822824	2802	1995-11-05	PRIJEM	VKLAD	1200	31034	\N	\N	\N
822825	2802	1995-12-05	VYDAJ	VYBER	3700	28656	\N	\N	\N
822826	2802	1996-01-04	VYDAJ	VYBER	2500	26153	\N	\N	\N
822827	2802	1996-02-03	PRIJEM	VKLAD	3400	26709	\N	\N	\N
822828	2802	1996-03-04	VYDAJ	VYBER	2700	25310	\N	\N	\N
822829	2802	1996-04-03	PRIJEM	VKLAD	1600	28212	\N	\N	\N
822830	2802	1996-05-03	VYDAJ	VYBER	2100	27422	\N	\N	\N
822831	2802	1996-06-02	VYDAJ	VYBER	2300	25202	\N	\N	\N
822832	2802	1996-07-02	PRIJEM	VKLAD	1300	26483	\N	\N	\N
822833	2802	1996-08-01	VYDAJ	VYBER	700	27086	\N	\N	\N
822834	2802	1996-08-31	VYDAJ	VYBER	300	28094	\N	\N	\N
822835	2802	1996-09-30	PRIJEM	VKLAD	1900	30570	\N	\N	\N
822836	2802	1996-10-30	PRIJEM	VKLAD	400	30962	\N	\N	\N
822837	2802	1996-11-29	VYDAJ	VYBER	100	32180	\N	\N	\N
822838	2802	1996-12-29	PRIJEM	VKLAD	1600	34473	\N	\N	\N
822839	2802	1997-01-28	VYDAJ	VYBER	600	33222	\N	\N	\N
822840	2802	1997-02-27	VYDAJ	VYBER	900	30535	\N	\N	\N
822841	2802	1997-03-29	VYDAJ	VYBER	2400	29456	\N	\N	\N
822842	2802	1997-04-28	VYDAJ	VYBER	500	30276	\N	\N	\N
822843	2802	1997-05-28	PRIJEM	VKLAD	1400	32994	\N	\N	\N
822844	2802	1997-06-27	VYDAJ	VYBER	2900	26135	\N	\N	\N
822845	2802	1997-07-27	VYDAJ	VYBER	1900	24384	\N	\N	\N
822846	2802	1997-08-26	VYDAJ	VYBER	3000	22683	\N	\N	\N
822847	2802	1997-09-25	VYDAJ	VYBER	2500	21476	\N	\N	\N
822848	2802	1997-10-25	VYDAJ	VYBER	1300	20592	\N	\N	\N
822849	2802	1997-11-24	PRIJEM	VKLAD	800	21081	\N	\N	\N
822850	2802	1997-12-24	PRIJEM	VKLAD	1400	23186	\N	\N	\N
822851	2802	1998-01-23	PRIJEM	VKLAD	1800	21528	\N	\N	\N
822852	2802	1998-03-24	VYDAJ	VYBER	1400	20135	\N	\N	\N
822853	2802	1998-04-23	VYDAJ	VYBER	3800	17611	\N	\N	\N
822854	2802	1998-05-23	PRIJEM	VKLAD	3600	22484	\N	\N	\N
822855	2802	1998-06-22	PRIJEM	VKLAD	3100	26855	\N	\N	\N
822856	2802	1998-07-22	PRIJEM	VKLAD	3700	24430	\N	\N	\N
822857	2802	1998-08-21	PRIJEM	VKLAD	1600	27309	\N	\N	\N
822858	2802	1998-09-20	PRIJEM	VKLAD	1700	30306	\N	\N	\N
822859	2802	1998-10-20	PRIJEM	VKLAD	1500	31495	\N	\N	\N
822860	2802	1998-11-19	PRIJEM	VKLAD	2700	35510	\N	\N	\N
822861	2802	1998-12-19	PRIJEM	VKLAD	4900	38948	\N	\N	\N
822925	2803	1995-12-01	PRIJEM	VKLAD	300	300	\N	\N	\N
822933	2803	1995-12-20	PRIJEM	VKLAD	44028	44328	\N	\N	\N
822947	2803	1996-05-08	PRIJEM	VKLAD	32831	93266	\N	\N	\N
822948	2803	1996-12-08	PRIJEM	VKLAD	14075	91321	\N	\N	\N
822949	2803	1996-03-02	PRIJEM	VKLAD	29892	75452	\N	\N	\N
822950	2803	1996-03-15	PRIJEM	VKLAD	11374	79374	\N	\N	\N
822951	2803	1996-10-14	PRIJEM	VKLAD	39359	104528	\N	\N	\N
822952	2803	1996-01-01	PRIJEM	VKLAD	40527	74825	\N	\N	\N
822953	2803	1996-02-12	PRIJEM	VKLAD	22267	102131	\N	\N	\N
822954	2803	1996-02-26	PRIJEM	VKLAD	26467	125875	\N	\N	\N
822955	2803	1996-02-19	PRIJEM	VKLAD	28639	130770	\N	\N	\N
822956	2803	1996-02-01	PRIJEM	VKLAD	20030	66954	\N	\N	\N
822957	2803	1996-04-12	PRIJEM	VKLAD	26629	73660	\N	\N	\N
822958	2803	1996-05-03	PRIJEM	VKLAD	10222	64465	\N	\N	\N
822959	2803	1996-02-01	PRIJEM	VKLAD	12910	79864	\N	\N	\N
822960	2803	1996-05-06	PRIJEM	VKLAD	17733	82198	\N	\N	\N
822961	2803	1996-01-27	PRIJEM	VKLAD	44318	119143	\N	\N	\N
822962	2803	1996-06-12	PRIJEM	VKLAD	19703	75696	\N	\N	\N
822963	2803	1996-11-23	PRIJEM	VKLAD	10739	71584	\N	\N	\N
822964	2803	1996-02-23	PRIJEM	VKLAD	20738	99408	\N	\N	\N
822965	2803	1996-09-23	PRIJEM	VKLAD	49253	101956	\N	\N	\N
822966	2803	1996-08-18	PRIJEM	VKLAD	45175	75607	\N	\N	\N
822967	2803	1996-11-28	PRIJEM	VKLAD	24521	77005	\N	\N	\N
822968	2803	1996-07-17	PRIJEM	VKLAD	5599	58312	\N	\N	\N
822969	2803	1997-08-12	PRIJEM	VKLAD	41978	66543	\N	\N	\N
822970	2803	1997-04-15	PRIJEM	VKLAD	49588	77121	\N	\N	\N
822971	2803	1997-01-07	PRIJEM	VKLAD	6993	66706	\N	\N	\N
822972	2803	1998-09-27	PRIJEM	VKLAD	49423	126647	\N	\N	\N
822973	2803	1998-01-31	PRIJEM	VKLAD	41172	66021	\N	\N	\N
822974	2803	1998-04-18	PRIJEM	VKLAD	28664	79156	\N	\N	\N
822975	2803	1998-11-27	PRIJEM	VKLAD	44378	77840	\N	\N	\N
822976	2803	1998-03-18	PRIJEM	VKLAD	12887	76864	\N	\N	\N
822977	2803	1998-05-31	PRIJEM	VKLAD	40746	124531	\N	\N	\N
822978	2803	1998-03-28	PRIJEM	VKLAD	10456	50255	\N	\N	\N
822979	2803	1998-01-07	PRIJEM	VKLAD	21171	50376	\N	\N	\N
822980	2803	1998-10-12	PRIJEM	VKLAD	35051	137364	\N	\N	\N
822981	2803	1998-12-11	PRIJEM	VKLAD	24406	94630	\N	\N	\N
822982	2803	1998-07-11	PRIJEM	VKLAD	36061	86445	\N	\N	\N
822983	2803	1998-01-04	PRIJEM	VKLAD	5574	29205	\N	\N	\N
822984	2803	1998-05-02	PRIJEM	VKLAD	20225	50833	\N	\N	\N
822985	2803	1998-08-06	PRIJEM	VKLAD	30935	123285	\N	\N	\N
822986	2803	1998-05-22	PRIJEM	VKLAD	49517	83536	\N	\N	\N
822987	2803	1998-12-17	PRIJEM	VKLAD	33906	97436	\N	\N	\N
822988	2803	1998-07-30	PRIJEM	VKLAD	25295	92068	\N	\N	\N
822989	2803	1998-09-23	PRIJEM	VKLAD	32318	77224	\N	\N	\N
822990	2803	1998-02-19	PRIJEM	VKLAD	23686	70258	\N	\N	\N
822991	2803	1998-08-28	PRIJEM	VKLAD	41941	105126	\N	\N	\N
822992	2803	1998-07-18	PRIJEM	VKLAD	12228	98673	\N	\N	\N
822993	2803	1998-08-31	PRIJEM	VKLAD	46243	151369	\N	\N	\N
822994	2803	1998-08-28	PRIJEM	VKLAD	27761	63185	\N	\N	\N
822995	2803	1998-01-31	PRIJEM	VKLAD	22407	88428	\N	\N	\N
823050	2803	1996-03-27	VYBER	VYBER	4981	61793	\N	\N	\N
823051	2803	1996-05-07	VYBER	VYBER	21763	60435	\N	\N	\N
823052	2803	1996-03-09	VYBER	VYBER	7452	68000	\N	\N	\N
823053	2803	1996-08-02	VYBER	VYBER	11982	35832	\N	\N	\N
823054	2803	1997-06-20	VYBER	VYBER	11753	22941	\N	\N	\N
823061	2803	1997-09-07	VYBER	VYBER	9693	23573	\N	\N	\N
823068	2803	1998-02-13	VYBER	VYBER	21576	66972	\N	\N	\N
823069	2803	1998-04-23	VYBER	VYBER	23522	30434	\N	\N	\N
823070	2803	1998-05-02	VYBER	VYBER	17414	33419	\N	\N	\N
823071	2803	1998-01-15	VYBER	VYBER	14327	32449	\N	\N	\N
823072	2803	1998-03-24	VYBER	VYBER	5065	39799	\N	\N	\N
823073	2803	1998-12-08	VYBER	VYBER	7827	70224	\N	\N	\N
823074	2803	1998-12-25	VYBER	VYBER	14271	83165	\N	\N	\N
823075	2803	1998-10-12	VYBER	VYBER	10053	127311	\N	\N	\N
823076	2803	1998-09-18	VYBER	VYBER	21695	44906	\N	\N	\N
823077	2803	1998-08-25	VYBER	VYBER	9361	35424	\N	\N	\N
823081	2803	1998-06-17	VYDAJ	VYBER	31800	74517	\N	\N	\N
823084	2803	1997-01-24	VYDAJ	VYBER	6600	35106	\N	\N	\N
823085	2803	1998-01-15	VYDAJ	VYBER	4800	27649	\N	\N	\N
823087	2803	1996-12-27	VYDAJ	VYBER	5400	59421	\N	\N	\N
823089	2803	1998-12-25	VYDAJ	VYBER KARTOU	2100	81065	\N	\N	0
823102	2803	1997-01-25	VYDAJ	VYBER	5100	26106	\N	\N	\N
823103	2803	1997-01-24	VYDAJ	VYBER	2100	41706	\N	\N	\N
823104	2803	1997-01-11	VYDAJ	VYBER	7800	41806	\N	\N	\N
823105	2803	1997-01-09	VYDAJ	VYBER	6900	59806	\N	\N	\N
823106	2803	1997-01-16	VYDAJ	VYBER	3300	38506	\N	\N	\N
823107	2803	1997-01-24	VYDAJ	VYBER	3900	31206	\N	\N	\N
823112	2803	1998-01-17	VYDAJ	VYBER	5700	21949	\N	\N	\N
823113	2803	1998-01-10	VYDAJ	VYBER KARTOU	3600	46776	\N	\N	0
823119	2803	1996-08-07	VYDAJ	VYBER	5400	30432	\N	\N	\N
823120	2803	1996-03-17	VYDAJ	VYBER	12600	66774	\N	\N	\N
823121	2803	1996-02-22	VYDAJ	VYBER	7800	78670	\N	\N	\N
823122	2803	1996-05-29	VYDAJ	VYBER	10800	55666	\N	\N	\N
823123	2803	1997-01-09	VYDAJ	VYBER	10200	49606	\N	\N	\N
823125	2803	1997-07-31	VYDAJ	VYBER KARTOU	3600	24565	\N	\N	0
823126	2803	1997-08-28	VYDAJ	VYBER	5100	33143	\N	\N	\N
823127	2803	1997-08-17	VYDAJ	VYBER	11100	55443	\N	\N	\N
823128	2803	1997-05-08	VYDAJ	VYBER	12900	32049	\N	\N	\N
823129	2803	1997-05-01	VYDAJ	VYBER	12300	44949	\N	\N	\N
823130	2803	1997-01-29	VYDAJ	VYBER	4500	21606	\N	\N	\N
823131	2803	1998-03-15	VYDAJ	VYBER	6600	63977	\N	\N	\N
823132	2803	1998-10-31	VYDAJ	VYBER	7800	56577	\N	\N	\N
823133	2803	1998-11-21	VYDAJ	VYBER	9300	33462	\N	\N	\N
823134	2803	1998-10-11	VYDAJ	VYBER	5100	102313	\N	\N	\N
823135	2803	1998-03-19	VYDAJ	VYBER	9600	67264	\N	\N	\N
823136	2803	1998-08-21	VYDAJ	VYBER	6300	44785	\N	\N	\N
823151	2803	1996-02-29	VYDAJ	VYBER	15	66960	SLUZBY	\N	\N
823152	2803	1996-03-31	VYDAJ	VYBER	15	47031	SLUZBY	\N	\N
823153	2803	1996-04-30	VYDAJ	VYBER	15	54243	SLUZBY	\N	\N
823154	2803	1996-05-31	VYDAJ	VYBER	15	55993	SLUZBY	\N	\N
823155	2803	1996-06-30	VYDAJ	VYBER	15	52713	SLUZBY	\N	\N
823156	2803	1996-07-31	VYDAJ	VYBER	15	47814	SLUZBY	\N	\N
823157	2803	1996-08-31	VYDAJ	VYBER	15	52703	SLUZBY	\N	\N
823158	2803	1996-09-30	VYDAJ	VYBER	15	65169	SLUZBY	\N	\N
823159	2803	1996-10-31	VYDAJ	VYBER	15	60845	SLUZBY	\N	\N
823160	2803	1996-11-30	VYDAJ	VYBER	15	77246	SLUZBY	\N	\N
823161	2803	1996-12-31	VYDAJ	VYBER	15	59713	SLUZBY	\N	\N
823162	2803	1997-01-31	VYDAJ	VYBER	15	21769	SLUZBY	\N	\N
823163	2803	1997-02-28	VYDAJ	VYBER	15	24745	SLUZBY	\N	\N
823164	2803	1997-03-31	VYDAJ	VYBER	15	27533	SLUZBY	\N	\N
823165	2803	1997-04-30	VYDAJ	VYBER	15	57249	SLUZBY	\N	\N
823166	2803	1997-05-31	VYDAJ	VYBER	15	34694	SLUZBY	\N	\N
823167	2803	1997-06-30	VYDAJ	VYBER	15	28263	SLUZBY	\N	\N
823168	2803	1997-07-31	VYDAJ	VYBER	15	28165	SLUZBY	\N	\N
823169	2803	1997-08-31	VYDAJ	VYBER	15	33266	SLUZBY	\N	\N
823170	2803	1997-09-30	VYDAJ	VYBER	15	23482	SLUZBY	\N	\N
823171	2803	1997-10-31	VYDAJ	VYBER	15	25165	SLUZBY	\N	\N
823172	2803	1997-11-30	VYDAJ	VYBER	15	22353	SLUZBY	\N	\N
823173	2803	1997-12-31	VYDAJ	VYBER	15	23631	SLUZBY	\N	\N
823174	2803	1998-01-31	VYDAJ	VYBER	15	88548	SLUZBY	\N	\N
823175	2803	1998-02-28	VYDAJ	VYBER	15	70577	SLUZBY	\N	\N
823176	2803	1998-03-31	VYDAJ	VYBER	15	50492	SLUZBY	\N	\N
823177	2803	1998-04-30	VYDAJ	VYBER	15	30608	SLUZBY	\N	\N
823178	2803	1998-05-31	VYDAJ	VYBER	15	124517	SLUZBY	\N	\N
823179	2803	1998-06-30	VYDAJ	VYBER	15	50384	SLUZBY	\N	\N
823180	2803	1998-07-31	VYDAJ	VYBER	15	92350	SLUZBY	\N	\N
823181	2803	1998-08-31	VYDAJ	VYBER	15	102601	SLUZBY	\N	\N
823182	2803	1998-09-30	VYDAJ	VYBER	15	107413	SLUZBY	\N	\N
823183	2803	1998-10-31	VYDAJ	VYBER	15	56562	SLUZBY	\N	\N
823184	2803	1998-11-30	VYDAJ	VYBER	15	78051	SLUZBY	\N	\N
823185	2803	1995-12-31	VYDAJ	VYBER	10100	34298	\N	\N	\N
823186	2803	1996-01-27	VYDAJ	VYBER	52300	66843	\N	\N	\N
823187	2803	1996-01-30	VYDAJ	VYBER	20100	46743	\N	\N	\N
823188	2803	1996-02-19	VYDAJ	VYBER	44300	86470	\N	\N	\N
823189	2803	1996-02-26	VYDAJ	VYBER	59300	66575	\N	\N	\N
823190	2803	1996-02-29	VYDAJ	VYBER	21400	45560	\N	\N	\N
823191	2803	1996-03-30	VYDAJ	VYBER	15000	46793	\N	\N	\N
823192	2803	1996-04-29	VYDAJ	VYBER	19600	54060	\N	\N	\N
823193	2803	1996-05-29	VYDAJ	VYBER	26800	66466	\N	\N	\N
823194	2803	1996-06-28	VYDAJ	VYBER	23200	52496	\N	\N	\N
823195	2803	1996-07-28	VYDAJ	VYBER	10700	47612	\N	\N	\N
823196	2803	1996-08-27	VYDAJ	VYBER	23100	52507	\N	\N	\N
823197	2803	1996-09-26	VYDAJ	VYBER	37000	64956	\N	\N	\N
823198	2803	1996-10-14	VYDAJ	VYBER	16300	88228	\N	\N	\N
823199	2803	1996-10-26	VYDAJ	VYBER	27700	60528	\N	\N	\N
823200	2803	1996-11-25	VYDAJ	VYBER	19100	52484	\N	\N	\N
823201	2803	1996-12-25	VYDAJ	VYBER	26500	64821	\N	\N	\N
823202	2803	1997-01-24	PRIJEM	VKLAD	5300	43806	\N	\N	\N
823203	2803	1997-02-23	PRIJEM	VKLAD	2900	24669	\N	\N	\N
823204	2803	1997-03-25	PRIJEM	VKLAD	2700	27445	\N	\N	\N
823205	2803	1997-04-24	VYDAJ	VYBER	20000	57121	\N	\N	\N
823206	2803	1997-05-24	PRIJEM	VKLAD	2500	34549	\N	\N	\N
823207	2803	1997-06-23	PRIJEM	VKLAD	5200	28141	\N	\N	\N
823208	2803	1997-07-23	VYDAJ	VYBER KARTOU	200	28063	\N	\N	0
823209	2803	1997-08-22	VYDAJ	VYBER	17200	38243	\N	\N	\N
823210	2803	1997-09-21	VYDAJ	VYBER KARTOU	200	23373	\N	\N	0
823211	2803	1997-10-21	PRIJEM	VKLAD	1600	25082	\N	\N	\N
823212	2803	1997-11-20	VYDAJ	VYBER KARTOU	2900	22265	\N	\N	0
823213	2803	1997-12-20	PRIJEM	VKLAD	1200	23553	\N	\N	\N
823214	2803	1998-01-19	PRIJEM	VKLAD	2900	24849	\N	\N	\N
823215	2803	1998-02-18	VYDAJ	VYBER	20400	46572	\N	\N	\N
823216	2803	1998-03-20	VYDAJ	VYBER	22400	44864	\N	\N	\N
823217	2803	1998-04-19	VYDAJ	VYBER	25200	53956	\N	\N	\N
823218	2803	1998-05-19	PRIJEM	VKLAD	600	34019	\N	\N	\N
823219	2803	1998-05-31	VYDAJ	VYBER	18200	106317	\N	\N	\N
823220	2803	1998-06-18	VYDAJ	VYBER	24500	50017	\N	\N	\N
823221	2803	1998-07-18	VYDAJ	VYBER	31900	66773	\N	\N	\N
823222	2803	1998-08-06	VYDAJ	VYBER	49500	73785	\N	\N	\N
823223	2803	1998-08-17	VYDAJ	VYBER	22700	51085	\N	\N	\N
823224	2803	1998-08-31	VYDAJ	VYBER	49100	102616	\N	\N	\N
823225	2803	1998-09-16	VYDAJ	VYBER	36000	66601	\N	\N	\N
823226	2803	1998-09-27	VYDAJ	VYBER	19600	107047	\N	\N	\N
823227	2803	1998-10-12	VYDAJ	VYBER	28300	99011	\N	\N	\N
823228	2803	1998-10-16	VYDAJ	VYBER	35000	64011	\N	\N	\N
823229	2803	1998-11-15	VYDAJ	VYBER	13800	42762	\N	\N	\N
823230	2803	1998-12-15	VYDAJ	VYBER	31100	63530	\N	\N	\N
823268	2804	1996-02-22	PRIJEM	VKLAD	900	900	\N	\N	\N
823271	2804	1996-03-12	PRIJEM	VKLAD	6263	7163	\N	\N	\N
823272	2804	1996-04-12	PRIJEM	VKLAD	6263	21144	\N	\N	\N
823273	2804	1996-05-12	PRIJEM	VKLAD	6263	31882	\N	\N	\N
823274	2804	1996-06-12	PRIJEM	VKLAD	9394	38688	\N	\N	\N
823275	2804	1996-07-12	PRIJEM	VKLAD	6263	36273	\N	\N	\N
823276	2804	1996-08-12	PRIJEM	VKLAD	6263	37851	\N	\N	\N
823277	2804	1996-09-12	PRIJEM	VKLAD	6263	39234	\N	\N	\N
823278	2804	1996-10-12	PRIJEM	VKLAD	6263	39219	\N	\N	\N
823279	2804	1996-11-12	PRIJEM	VKLAD	6263	37902	\N	\N	\N
823280	2804	1996-12-12	PRIJEM	VKLAD	9394	39913	\N	\N	\N
823281	2804	1997-01-12	PRIJEM	VKLAD	6263	42109	\N	\N	\N
823282	2804	1997-02-12	PRIJEM	VKLAD	6263	34498	\N	\N	\N
823283	2804	1997-03-12	PRIJEM	VKLAD	6263	37471	\N	\N	\N
823284	2804	1997-04-12	PRIJEM	VKLAD	6263	39158	\N	\N	\N
823285	2804	1997-05-12	PRIJEM	VKLAD	6263	41949	\N	\N	\N
823286	2804	1997-06-12	PRIJEM	VKLAD	9394	42983	\N	\N	\N
823287	2804	1997-07-12	PRIJEM	VKLAD	6263	42691	\N	\N	\N
823288	2804	1997-08-12	PRIJEM	VKLAD	6263	44795	\N	\N	\N
823289	2804	1997-09-12	PRIJEM	VKLAD	6263	48011	\N	\N	\N
823290	2804	1997-10-12	PRIJEM	VKLAD	6263	41831	\N	\N	\N
823291	2804	1997-11-12	PRIJEM	VKLAD	6263	44741	\N	\N	\N
823292	2804	1997-12-12	PRIJEM	VKLAD	9394	48585	\N	\N	\N
823293	2804	1998-01-12	PRIJEM	VKLAD	6263	42704	\N	\N	\N
823294	2804	1998-02-12	PRIJEM	VKLAD	6263	41103	\N	\N	\N
823295	2804	1998-03-12	PRIJEM	VKLAD	6263	47508	\N	\N	\N
823296	2804	1998-04-12	PRIJEM	VKLAD	6263	51237	\N	\N	\N
823297	2804	1998-05-12	PRIJEM	VKLAD	6263	53688	\N	\N	\N
823298	2804	1998-06-12	PRIJEM	VKLAD	9394	47667	\N	\N	\N
823299	2804	1998-07-12	PRIJEM	VKLAD	6263	55814	\N	\N	\N
823300	2804	1998-08-12	PRIJEM	VKLAD	6263	53482	\N	\N	\N
823301	2804	1998-09-12	PRIJEM	VKLAD	6263	51756	\N	\N	\N
823302	2804	1998-10-12	PRIJEM	VKLAD	6263	50122	\N	\N	\N
823303	2804	1998-11-12	PRIJEM	VKLAD	6263	52981	\N	\N	\N
823304	2804	1998-12-12	PRIJEM	VKLAD	9394	57876	\N	\N	\N
823306	2804	1997-06-09	VYDAJ	VYBER	5500	33589	\N	\N	\N
823307	2804	1998-06-10	VYDAJ	VYBER	25100	23473	\N	\N	\N
823309	2804	1997-01-14	VYDAJ	VYBER	4700	32609	\N	\N	\N
823310	2804	1998-01-12	VYDAJ	VYBER	4500	38204	\N	\N	\N
823311	2804	1996-12-11	VYDAJ	VYBER	1200	30519	\N	\N	\N
823312	2804	1997-12-06	VYDAJ	VYBER	1200	39191	\N	\N	\N
823313	2804	1998-12-17	VYDAJ	VYBER	2600	55276	\N	\N	\N
823320	2804	1997-01-17	VYDAJ	VYBER	1800	30309	\N	\N	\N
823321	2804	1997-01-25	VYDAJ	VYBER	700	29609	\N	\N	\N
823322	2804	1997-01-13	VYDAJ	VYBER	2100	37309	\N	\N	\N
823323	2804	1997-01-02	VYDAJ	VYBER	700	35846	\N	\N	\N
823324	2804	1997-01-30	VYDAJ	VYBER	1500	28109	\N	\N	\N
823325	2804	1997-01-13	VYDAJ	VYBER	2700	39409	\N	\N	\N
823326	2804	1998-01-26	VYDAJ	VYBER	1200	37004	\N	\N	\N
823327	2804	1998-01-02	VYDAJ	VYBER	1000	39741	\N	\N	\N
823328	2804	1998-01-02	VYDAJ	VYBER	2500	37241	\N	\N	\N
823329	2804	1998-01-03	VYDAJ	VYBER	1600	35641	\N	\N	\N
823330	2804	1998-01-26	VYDAJ	VYBER	2700	34304	\N	\N	\N
823331	2804	1998-01-10	VYDAJ	VYBER	1500	34141	\N	\N	\N
823332	2804	1996-07-14	VYDAJ	VYBER	3200	33073	\N	\N	\N
823336	2804	1997-10-03	VYDAJ	VYBER	4000	35568	\N	\N	\N
823337	2804	1997-09-23	VYDAJ	VYBER	2600	39411	\N	\N	\N
823338	2804	1997-12-29	VYDAJ	VYBER	500	40585	\N	\N	\N
823339	2804	1997-03-03	VYDAJ	VYBER	900	31208	\N	\N	\N
823340	2804	1998-02-04	VYDAJ	VYBER	3200	31240	\N	\N	\N
823341	2804	1998-02-06	VYDAJ	VYBER	1200	30040	\N	\N	\N
823342	2804	1998-12-05	VYDAJ	VYBER	2500	50682	\N	\N	\N
823343	2804	1998-09-30	VYDAJ	VYBER	3600	48359	\N	\N	\N
823351	2804	1996-07-31	VYDAJ	VYBER	15	31588	SLUZBY	\N	\N
823352	2804	1996-08-31	VYDAJ	VYBER	15	32971	SLUZBY	\N	\N
823353	2804	1996-09-30	VYDAJ	VYBER	15	32956	SLUZBY	\N	\N
823354	2804	1996-10-31	VYDAJ	VYBER	15	31639	SLUZBY	\N	\N
823355	2804	1996-11-30	VYDAJ	VYBER	15	31719	SLUZBY	\N	\N
823356	2804	1996-12-31	VYDAJ	VYBER	15	36546	SLUZBY	\N	\N
823357	2804	1997-01-31	VYDAJ	VYBER	15	28235	SLUZBY	\N	\N
823358	2804	1997-02-28	VYDAJ	VYBER	15	32108	SLUZBY	\N	\N
823359	2804	1997-03-31	VYDAJ	VYBER	15	32895	SLUZBY	\N	\N
823360	2804	1997-04-30	VYDAJ	VYBER	15	35686	SLUZBY	\N	\N
823361	2804	1997-05-31	VYDAJ	VYBER	15	39089	SLUZBY	\N	\N
823362	2804	1997-06-30	VYDAJ	VYBER	15	36428	SLUZBY	\N	\N
823363	2804	1997-07-31	VYDAJ	VYBER	15	38532	SLUZBY	\N	\N
823364	2804	1997-08-31	VYDAJ	VYBER	15	41748	SLUZBY	\N	\N
823365	2804	1997-09-30	VYDAJ	VYBER	15	39568	SLUZBY	\N	\N
823366	2804	1997-10-31	VYDAJ	VYBER	15	38478	SLUZBY	\N	\N
823367	2804	1997-11-30	VYDAJ	VYBER	15	40391	SLUZBY	\N	\N
823368	2804	1997-12-31	VYDAJ	VYBER	15	40741	SLUZBY	\N	\N
823369	2804	1998-01-31	VYDAJ	VYBER	15	34440	SLUZBY	\N	\N
823370	2804	1998-02-28	VYDAJ	VYBER	15	41245	SLUZBY	\N	\N
823371	2804	1998-03-31	VYDAJ	VYBER	15	44974	SLUZBY	\N	\N
823372	2804	1998-04-30	VYDAJ	VYBER	15	47425	SLUZBY	\N	\N
823373	2804	1998-05-31	VYDAJ	VYBER	15	48573	SLUZBY	\N	\N
823374	2804	1998-06-30	VYDAJ	VYBER	15	47851	SLUZBY	\N	\N
823375	2804	1998-07-31	VYDAJ	VYBER	15	56019	SLUZBY	\N	\N
823376	2804	1998-08-31	VYDAJ	VYBER	15	53693	SLUZBY	\N	\N
823377	2804	1998-09-30	VYDAJ	VYBER	15	51959	SLUZBY	\N	\N
823378	2804	1998-10-31	VYDAJ	VYBER	15	50318	SLUZBY	\N	\N
823379	2804	1998-11-30	VYDAJ	VYBER	15	53182	SLUZBY	\N	\N
823380	2804	1996-03-23	PRIJEM	VKLAD	7700	14863	\N	\N	\N
823381	2804	1996-04-22	PRIJEM	VKLAD	4400	25544	\N	\N	\N
823382	2804	1996-05-22	VYDAJ	VYBER	2700	29182	\N	\N	\N
823383	2804	1996-06-21	VYDAJ	VYBER	8800	29888	\N	\N	\N
823384	2804	1996-07-21	VYDAJ	VYBER	1600	31473	\N	\N	\N
823385	2804	1996-08-20	VYDAJ	VYBER	5000	32851	\N	\N	\N
823386	2804	1996-09-19	VYDAJ	VYBER	6400	32834	\N	\N	\N
823387	2804	1996-10-19	VYDAJ	VYBER	7700	31519	\N	\N	\N
823388	2804	1996-11-18	VYDAJ	VYBER	6300	31602	\N	\N	\N
823389	2804	1996-12-18	VYDAJ	VYBER	3500	36413	\N	\N	\N
823390	2804	1997-01-17	VYDAJ	VYBER	500	32109	\N	\N	\N
823391	2804	1997-02-16	VYDAJ	VYBER	2500	31998	\N	\N	\N
823392	2804	1997-03-18	VYDAJ	VYBER	4700	32771	\N	\N	\N
823393	2804	1997-04-17	VYDAJ	VYBER	3600	35558	\N	\N	\N
823394	2804	1997-05-17	VYDAJ	VYBER	3000	38949	\N	\N	\N
823395	2804	1997-06-16	VYDAJ	VYBER	6700	36283	\N	\N	\N
823396	2804	1997-07-16	VYDAJ	VYBER	4300	38391	\N	\N	\N
823397	2804	1997-08-15	VYDAJ	VYBER	3200	41595	\N	\N	\N
823398	2804	1997-09-14	VYDAJ	VYBER	6000	42011	\N	\N	\N
823399	2804	1997-10-14	VYDAJ	VYBER	3500	38331	\N	\N	\N
823400	2804	1997-11-13	VYDAJ	VYBER	4500	40241	\N	\N	\N
823401	2804	1997-12-13	VYDAJ	VYBER	7500	41085	\N	\N	\N
823402	2804	1998-01-12	PRIJEM	VKLAD	2300	36441	\N	\N	\N
823403	2804	1998-02-11	PRIJEM	VKLAD	4800	34840	\N	\N	\N
823404	2804	1998-03-13	VYDAJ	VYBER	2700	44808	\N	\N	\N
823405	2804	1998-04-12	VYDAJ	VYBER	4000	47237	\N	\N	\N
823406	2804	1998-05-12	VYDAJ	VYBER	5300	48388	\N	\N	\N
823407	2804	1998-06-11	PRIJEM	VKLAD	14800	38273	\N	\N	\N
823408	2804	1998-07-11	PRIJEM	VKLAD	1700	49551	\N	\N	\N
823409	2804	1998-08-10	VYDAJ	VYBER	8800	47219	\N	\N	\N
823410	2804	1998-09-09	VYDAJ	VYBER	8200	45493	\N	\N	\N
823411	2804	1998-10-09	VYDAJ	VYBER	4500	43859	\N	\N	\N
823412	2804	1998-11-08	VYDAJ	VYBER	3600	46718	\N	\N	\N
823413	2804	1998-12-08	VYDAJ	VYBER	2200	48482	\N	\N	\N
823448	2805	1996-05-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
823454	2805	1996-06-09	PRIJEM	PREVOD Z UCTU	3026	4026	\N	ST	1941556
823455	2805	1996-07-09	PRIJEM	PREVOD Z UCTU	3026	7052	\N	ST	1941556
823456	2805	1996-08-09	PRIJEM	PREVOD Z UCTU	3026	10078	\N	ST	1941556
823457	2805	1996-09-09	PRIJEM	PREVOD Z UCTU	3026	13104	\N	ST	1941556
823458	2805	1996-10-09	PRIJEM	PREVOD Z UCTU	3026	16130	\N	ST	1941556
823459	2805	1996-11-09	PRIJEM	PREVOD Z UCTU	3026	17166	\N	ST	1941556
823460	2805	1996-12-09	PRIJEM	PREVOD Z UCTU	3026	18222	\N	ST	1941556
823461	2805	1997-01-09	PRIJEM	PREVOD Z UCTU	3026	18142	\N	ST	1941556
823462	2805	1997-02-09	PRIJEM	PREVOD Z UCTU	3026	16588	\N	ST	1941556
823463	2805	1997-03-09	PRIJEM	PREVOD Z UCTU	3026	17642	\N	ST	1941556
823464	2805	1997-04-09	PRIJEM	PREVOD Z UCTU	3026	18700	\N	ST	1941556
823465	2805	1997-05-09	PRIJEM	PREVOD Z UCTU	3026	18982	\N	ST	1941556
823466	2805	1997-06-09	PRIJEM	PREVOD Z UCTU	3026	20046	\N	ST	1941556
823467	2805	1997-07-09	PRIJEM	PREVOD Z UCTU	3026	21114	\N	ST	1941556
823468	2805	1997-08-09	PRIJEM	PREVOD Z UCTU	3026	22187	\N	ST	1941556
823469	2805	1997-09-09	PRIJEM	PREVOD Z UCTU	3026	21643	\N	ST	1941556
823470	2805	1997-10-09	PRIJEM	PREVOD Z UCTU	3026	20204	\N	ST	1941556
823471	2805	1997-11-09	PRIJEM	PREVOD Z UCTU	3026	21273	\N	ST	1941556
823472	2805	1997-12-09	PRIJEM	PREVOD Z UCTU	3026	22346	\N	ST	1941556
823473	2805	1998-01-09	PRIJEM	PREVOD Z UCTU	3026	20333	\N	ST	1941556
823474	2805	1998-02-09	PRIJEM	PREVOD Z UCTU	3026	19210	\N	ST	1941556
823475	2805	1998-03-09	PRIJEM	PREVOD Z UCTU	3026	19344	\N	ST	1941556
823476	2805	1998-04-09	PRIJEM	PREVOD Z UCTU	3026	19750	\N	ST	1941556
823477	2805	1998-05-09	PRIJEM	PREVOD Z UCTU	3026	20118	\N	ST	1941556
823478	2805	1998-06-09	PRIJEM	PREVOD Z UCTU	3026	19824	\N	ST	1941556
823479	2805	1998-07-09	PRIJEM	PREVOD Z UCTU	3026	19087	\N	ST	1941556
823480	2805	1998-08-09	PRIJEM	PREVOD Z UCTU	3026	14936	\N	ST	1941556
823481	2805	1998-09-09	PRIJEM	PREVOD Z UCTU	3026	15982	\N	ST	1941556
823482	2805	1998-10-09	PRIJEM	PREVOD Z UCTU	3026	17033	\N	ST	1941556
823483	2805	1998-11-09	PRIJEM	PREVOD Z UCTU	3026	17758	\N	ST	1941556
823484	2805	1998-12-09	PRIJEM	PREVOD Z UCTU	3026	18516	\N	ST	1941556
823494	2805	1996-10-10	VYDAJ	PREVOD NA UCET	2017	14113	SIPO	IJ	21232450
823495	2805	1996-11-10	VYDAJ	PREVOD NA UCET	2017	15149	SIPO	IJ	21232450
823496	2805	1996-12-10	VYDAJ	PREVOD NA UCET	2017	15605	SIPO	IJ	21232450
823497	2805	1997-01-10	VYDAJ	PREVOD NA UCET	2017	15585	SIPO	IJ	21232450
823498	2805	1997-02-10	VYDAJ	PREVOD NA UCET	2017	14571	SIPO	IJ	21232450
823499	2805	1997-03-10	VYDAJ	PREVOD NA UCET	2017	15625	SIPO	IJ	21232450
823500	2805	1997-04-10	VYDAJ	PREVOD NA UCET	2017	16683	SIPO	IJ	21232450
823501	2805	1997-05-10	VYDAJ	PREVOD NA UCET	2017	16965	SIPO	IJ	21232450
823502	2805	1997-06-10	VYDAJ	PREVOD NA UCET	2017	18029	SIPO	IJ	21232450
823503	2805	1997-07-10	VYDAJ	PREVOD NA UCET	2017	19097	SIPO	IJ	21232450
823504	2805	1997-08-10	VYDAJ	PREVOD NA UCET	2017	20170	SIPO	IJ	21232450
823505	2805	1997-09-10	VYDAJ	PREVOD NA UCET	2017	19626	SIPO	IJ	21232450
823506	2805	1997-10-10	VYDAJ	PREVOD NA UCET	2017	18187	SIPO	IJ	21232450
823507	2805	1997-11-10	VYDAJ	PREVOD NA UCET	2017	19256	SIPO	IJ	21232450
823508	2805	1997-12-10	VYDAJ	PREVOD NA UCET	2017	20329	SIPO	IJ	21232450
823509	2805	1998-01-10	VYDAJ	PREVOD NA UCET	2017	18316	SIPO	IJ	21232450
823510	2805	1998-02-10	VYDAJ	PREVOD NA UCET	2017	17193	SIPO	IJ	21232450
823511	2805	1998-03-10	VYDAJ	PREVOD NA UCET	2017	17327	SIPO	IJ	21232450
823512	2805	1998-04-10	VYDAJ	PREVOD NA UCET	2017	17733	SIPO	IJ	21232450
823513	2805	1998-05-10	VYDAJ	PREVOD NA UCET	2017	18101	SIPO	IJ	21232450
823514	2805	1998-06-10	VYDAJ	PREVOD NA UCET	2017	16007	SIPO	IJ	21232450
823515	2805	1998-07-10	VYDAJ	PREVOD NA UCET	2017	11870	SIPO	IJ	21232450
823516	2805	1998-08-10	VYDAJ	PREVOD NA UCET	2017	12919	SIPO	IJ	21232450
823517	2805	1998-09-10	VYDAJ	PREVOD NA UCET	2017	13965	SIPO	IJ	21232450
823518	2805	1998-10-10	VYDAJ	PREVOD NA UCET	2017	14686	SIPO	IJ	21232450
823519	2805	1998-11-10	VYDAJ	PREVOD NA UCET	2017	15741	SIPO	IJ	21232450
823520	2805	1998-12-10	VYDAJ	PREVOD NA UCET	2017	16499	SIPO	IJ	21232450
823521	2805	1996-12-09	VYDAJ	VYBER	600	17622	\N	\N	\N
823522	2805	1997-12-30	VYDAJ	VYBER	480	18619	\N	\N	\N
823523	2805	1998-12-04	VYDAJ	VYBER	300	15490	\N	\N	\N
823530	2805	1997-01-22	VYDAJ	VYBER	450	14205	\N	\N	\N
823531	2805	1997-01-09	VYDAJ	VYBER	540	17602	\N	\N	\N
823532	2805	1997-01-10	VYDAJ	VYBER	210	15375	\N	\N	\N
823533	2805	1997-01-28	VYDAJ	VYBER	690	13515	\N	\N	\N
823534	2805	1997-01-02	VYDAJ	VYBER	540	15116	\N	\N	\N
823535	2805	1997-01-12	VYDAJ	VYBER	720	14655	\N	\N	\N
823536	2805	1998-01-02	VYDAJ	VYBER	690	17997	\N	\N	\N
823537	2805	1998-01-16	VYDAJ	VYBER	360	17176	\N	\N	\N
823538	2805	1998-01-25	VYDAJ	VYBER	600	16576	\N	\N	\N
823539	2805	1998-01-10	VYDAJ	VYBER	780	17536	\N	\N	\N
823540	2805	1998-01-02	VYDAJ	VYBER	690	17307	\N	\N	\N
823541	2805	1998-01-29	VYDAJ	VYBER	450	16126	\N	\N	\N
823548	2805	1997-09-20	VYDAJ	VYBER	810	17116	\N	\N	\N
823549	2805	1997-04-28	VYDAJ	VYBER	330	15903	\N	\N	\N
823550	2805	1997-04-20	VYDAJ	VYBER	450	16233	\N	\N	\N
823551	2805	1997-09-01	VYDAJ	VYBER	1320	18617	\N	\N	\N
823552	2805	1997-12-27	VYDAJ	VYBER	1230	19099	\N	\N	\N
823553	2805	1998-05-22	VYDAJ	VYBER	360	16741	\N	\N	\N
823555	2805	1998-04-02	VYDAJ	VYBER	360	16724	\N	\N	\N
823556	2805	1998-12-18	VYDAJ	VYBER	360	16139	\N	\N	\N
823557	2805	1998-03-04	VYDAJ	VYBER	930	16318	\N	\N	\N
823558	2805	1998-10-10	VYDAJ	VYBER	330	16703	\N	\N	\N
823569	2805	1996-10-31	VYDAJ	VYBER	15	14140	SLUZBY	\N	\N
823570	2805	1996-11-30	VYDAJ	VYBER	15	15196	SLUZBY	\N	\N
823571	2805	1996-12-31	VYDAJ	VYBER	15	15656	SLUZBY	\N	\N
823572	2805	1997-01-31	VYDAJ	VYBER	15	13562	SLUZBY	\N	\N
823573	2805	1997-02-28	VYDAJ	VYBER	15	14616	SLUZBY	\N	\N
823574	2805	1997-03-31	VYDAJ	VYBER	15	15674	SLUZBY	\N	\N
823575	2805	1997-04-30	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
823576	2805	1997-05-31	VYDAJ	VYBER	15	17020	SLUZBY	\N	\N
823577	2805	1997-06-30	VYDAJ	VYBER	15	18088	SLUZBY	\N	\N
823578	2805	1997-07-31	VYDAJ	VYBER	15	19161	SLUZBY	\N	\N
823579	2805	1997-08-31	VYDAJ	VYBER	15	19937	SLUZBY	\N	\N
823580	2805	1997-09-30	VYDAJ	VYBER	15	17178	SLUZBY	\N	\N
823581	2805	1997-10-31	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
823582	2805	1997-11-30	VYDAJ	VYBER	15	19320	SLUZBY	\N	\N
823583	2805	1997-12-31	VYDAJ	VYBER	15	18687	SLUZBY	\N	\N
823584	2805	1998-01-31	VYDAJ	VYBER	15	16184	SLUZBY	\N	\N
823585	2805	1998-02-28	VYDAJ	VYBER	15	17248	SLUZBY	\N	\N
823586	2805	1998-03-31	VYDAJ	VYBER	15	17084	SLUZBY	\N	\N
823587	2805	1998-04-30	VYDAJ	VYBER	15	17092	SLUZBY	\N	\N
823588	2805	1998-05-31	VYDAJ	VYBER	15	16798	SLUZBY	\N	\N
823589	2805	1998-06-30	VYDAJ	VYBER	15	16061	SLUZBY	\N	\N
823590	2805	1998-07-31	VYDAJ	VYBER	15	11910	SLUZBY	\N	\N
823591	2805	1998-08-31	VYDAJ	VYBER	15	12956	SLUZBY	\N	\N
823592	2805	1998-09-30	VYDAJ	VYBER	15	14007	SLUZBY	\N	\N
823593	2805	1998-10-31	VYDAJ	VYBER	15	14732	SLUZBY	\N	\N
823594	2805	1998-11-30	VYDAJ	VYBER	15	15790	SLUZBY	\N	\N
823595	2805	1997-08-13	VYDAJ	VYBER	300	19870	\N	\N	\N
823596	2805	1997-09-12	VYDAJ	VYBER	1700	17926	\N	\N	\N
823597	2805	1998-03-11	VYDAJ	VYBER	300	17027	\N	\N	\N
823598	2805	1998-04-10	VYDAJ	VYBER	700	17033	\N	\N	\N
823599	2805	1998-05-10	VYDAJ	VYBER	1000	17101	\N	\N	\N
823600	2805	1998-06-09	VYDAJ	VYBER	1800	18024	\N	\N	\N
823601	2805	1998-07-09	VYDAJ	VYBER	5200	13887	\N	\N	\N
823629	2806	1997-06-26	PRIJEM	VKLAD	500	500	\N	\N	\N
823636	2806	1997-07-05	PRIJEM	VKLAD	9568	10068	\N	\N	\N
823637	2806	1997-08-05	PRIJEM	VKLAD	9568	24148	\N	\N	\N
823638	2806	1997-09-05	PRIJEM	VKLAD	9568	35988	\N	\N	\N
823639	2806	1997-10-05	PRIJEM	VKLAD	9568	39969	\N	\N	\N
823640	2806	1997-11-05	PRIJEM	VKLAD	9568	41265	\N	\N	\N
823641	2806	1997-12-05	PRIJEM	VKLAD	14352	48176	\N	\N	\N
823642	2806	1998-01-05	PRIJEM	VKLAD	9568	39717	\N	\N	\N
823643	2806	1998-02-05	PRIJEM	VKLAD	9568	32940	\N	\N	\N
823644	2806	1998-03-05	PRIJEM	VKLAD	9568	33430	\N	\N	\N
823645	2806	1998-04-05	PRIJEM	VKLAD	9568	38228	\N	\N	\N
823646	2806	1998-05-05	PRIJEM	VKLAD	9568	38940	\N	\N	\N
823647	2806	1998-06-05	PRIJEM	VKLAD	14352	44639	\N	\N	\N
823648	2806	1998-07-05	PRIJEM	VKLAD	9568	42668	\N	\N	\N
823649	2806	1998-08-05	PRIJEM	VKLAD	9568	42496	\N	\N	\N
823650	2806	1998-09-05	PRIJEM	VKLAD	9568	39820	\N	\N	\N
823651	2806	1998-10-05	PRIJEM	VKLAD	9568	39836	\N	\N	\N
823652	2806	1998-11-05	PRIJEM	VKLAD	9568	37894	\N	\N	\N
823653	2806	1998-12-05	PRIJEM	VKLAD	14352	47995	\N	\N	\N
823664	2806	1997-11-11	VYDAJ	PREVOD NA UCET	5068	36197	SIPO	MN	74175697
823665	2806	1997-12-11	VYDAJ	PREVOD NA UCET	5068	39988	SIPO	MN	74175697
823666	2806	1998-01-11	VYDAJ	PREVOD NA UCET	5068	33089	SIPO	MN	74175697
823667	2806	1998-02-11	VYDAJ	PREVOD NA UCET	5068	27872	SIPO	MN	74175697
823668	2806	1998-03-11	VYDAJ	PREVOD NA UCET	5068	28362	SIPO	MN	74175697
823669	2806	1998-04-11	VYDAJ	PREVOD NA UCET	5068	33160	SIPO	MN	74175697
823670	2806	1998-05-11	VYDAJ	PREVOD NA UCET	5068	33872	SIPO	MN	74175697
823671	2806	1998-06-11	VYDAJ	PREVOD NA UCET	5068	39571	SIPO	MN	74175697
823672	2806	1998-07-11	VYDAJ	PREVOD NA UCET	5068	37600	SIPO	MN	74175697
823673	2806	1998-08-11	VYDAJ	PREVOD NA UCET	5068	37428	SIPO	MN	74175697
823674	2806	1998-09-11	VYDAJ	PREVOD NA UCET	5068	34752	SIPO	MN	74175697
823675	2806	1998-10-11	VYDAJ	PREVOD NA UCET	5068	34768	SIPO	MN	74175697
823676	2806	1998-11-11	VYDAJ	PREVOD NA UCET	5068	32826	SIPO	MN	74175697
823677	2806	1998-12-11	VYDAJ	PREVOD NA UCET	5068	42927	SIPO	MN	74175697
823678	2806	1997-12-10	VYDAJ	VYBER	960	45056	\N	\N	\N
823679	2806	1998-12-21	VYDAJ	VYBER	1760	31667	\N	\N	\N
823686	2806	1998-01-04	VYDAJ	VYBER	720	30149	\N	\N	\N
823687	2806	1998-01-26	VYDAJ	VYBER	600	23249	\N	\N	\N
823688	2806	1998-01-21	VYDAJ	VYBER	2400	30689	\N	\N	\N
823689	2806	1998-01-24	VYDAJ	VYBER	3240	23849	\N	\N	\N
823690	2806	1998-01-11	VYDAJ	VYBER	1560	38157	\N	\N	\N
823691	2806	1998-01-01	VYDAJ	VYBER	2160	30869	\N	\N	\N
823692	2806	1997-12-07	VYDAJ	VYBER	2160	46016	\N	\N	\N
823698	2806	1998-10-30	VYDAJ	VYBER	3960	28208	\N	\N	\N
823710	2806	1997-11-30	VYDAJ	VYBER	15	33824	SLUZBY	\N	\N
823711	2806	1997-12-31	VYDAJ	VYBER	15	33029	SLUZBY	\N	\N
823712	2806	1998-01-31	VYDAJ	VYBER	15	23372	SLUZBY	\N	\N
823713	2806	1998-02-28	VYDAJ	VYBER	15	23862	SLUZBY	\N	\N
823714	2806	1998-03-31	VYDAJ	VYBER	15	28660	SLUZBY	\N	\N
823715	2806	1998-04-30	VYDAJ	VYBER	15	29372	SLUZBY	\N	\N
823716	2806	1998-05-31	VYDAJ	VYBER	15	30287	SLUZBY	\N	\N
823717	2806	1998-06-30	VYDAJ	VYBER	15	33100	SLUZBY	\N	\N
823718	2806	1998-07-31	VYDAJ	VYBER	15	32928	SLUZBY	\N	\N
823719	2806	1998-08-31	VYDAJ	VYBER	15	30252	SLUZBY	\N	\N
823720	2806	1998-09-30	VYDAJ	VYBER	15	30268	SLUZBY	\N	\N
823721	2806	1998-10-31	VYDAJ	VYBER	15	28326	SLUZBY	\N	\N
823722	2806	1998-11-30	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
823723	2806	1997-07-26	PRIJEM	VKLAD	4500	14568	\N	\N	\N
823724	2806	1997-08-25	PRIJEM	VKLAD	2200	26348	\N	\N	\N
823725	2806	1997-09-24	VYDAJ	VYBER	5700	30288	\N	\N	\N
823726	2806	1997-10-24	VYDAJ	VYBER	8400	31569	\N	\N	\N
823727	2806	1997-11-23	VYDAJ	VYBER	2500	33697	\N	\N	\N
823728	2806	1997-12-23	VYDAJ	VYBER	7100	32888	\N	\N	\N
823729	2806	1998-01-22	VYDAJ	VYBER	3600	27089	\N	\N	\N
823730	2806	1998-02-21	VYDAJ	VYBER	4100	23772	\N	\N	\N
823731	2806	1998-03-23	PRIJEM	VKLAD	200	28562	\N	\N	\N
823732	2806	1998-04-22	VYDAJ	VYBER	3900	29260	\N	\N	\N
823733	2806	1998-05-22	VYDAJ	VYBER	3700	30172	\N	\N	\N
823734	2806	1998-06-21	VYDAJ	VYBER	6600	32971	\N	\N	\N
823735	2806	1998-07-21	VYDAJ	VYBER	4800	32800	\N	\N	\N
823736	2806	1998-08-20	VYDAJ	VYBER	7300	30128	\N	\N	\N
823737	2806	1998-09-19	VYDAJ	VYBER	4600	30152	\N	\N	\N
823738	2806	1998-10-19	VYDAJ	VYBER	2600	32168	\N	\N	\N
823739	2806	1998-11-18	PRIJEM	VKLAD	700	33526	\N	\N	\N
823740	2806	1998-12-18	VYDAJ	VYBER	9500	33427	\N	\N	\N
823759	2807	1996-10-04	PRIJEM	VKLAD	400	37211	\N	\N	\N
823763	2807	1996-11-28	PRIJEM	VKLAD	5437	60888	\N	\N	\N
823764	2807	1996-10-04	PRIJEM	VKLAD	36811	36811	\N	\N	\N
823772	2807	1996-11-16	PRIJEM	VKLAD	23400	55451	\N	\N	\N
823776	2807	1997-08-14	PRIJEM	VKLAD	18753	50025	\N	\N	\N
823777	2807	1997-04-27	PRIJEM	VKLAD	43347	69874	\N	\N	\N
823778	2807	1997-02-17	PRIJEM	VKLAD	20902	58047	\N	\N	\N
823779	2807	1997-06-14	PRIJEM	VKLAD	32218	86047	\N	\N	\N
823780	2807	1997-02-10	PRIJEM	VKLAD	6454	37145	\N	\N	\N
823781	2807	1997-05-09	PRIJEM	VKLAD	43620	85522	\N	\N	\N
823782	2807	1997-11-06	PRIJEM	VKLAD	32012	48727	\N	\N	\N
823783	2807	1997-09-29	PRIJEM	VKLAD	30116	66458	\N	\N	\N
823784	2807	1998-07-27	PRIJEM	VKLAD	49947	70200	\N	\N	\N
823785	2807	1998-03-23	PRIJEM	VKLAD	31945	68035	\N	\N	\N
823786	2807	1998-03-11	PRIJEM	VKLAD	22647	36090	\N	\N	\N
823787	2807	1998-01-04	PRIJEM	VKLAD	30952	45005	\N	\N	\N
823788	2807	1998-12-03	PRIJEM	VKLAD	11094	29719	\N	\N	\N
823798	2807	1997-10-04	VYBER	VYBER	8636	32560	\N	\N	\N
823800	2807	1997-10-26	VYBER	VYBER	8169	22591	\N	\N	\N
823801	2807	1997-02-21	VYBER	VYBER	3159	54888	\N	\N	\N
823804	2807	1997-11-07	VYBER	VYBER	16604	32123	\N	\N	\N
823805	2807	1997-05-23	VYBER	VYBER	2914	82608	\N	\N	\N
823806	2807	1998-09-19	VYBER	VYBER	16194	23259	\N	\N	\N
823818	2807	1998-12-17	VYDAJ	VYBER	3000	26719	\N	\N	\N
823831	2807	1998-01-17	VYDAJ	VYBER	2400	31805	\N	\N	\N
823832	2807	1998-01-20	VYDAJ	VYBER	8700	23105	\N	\N	\N
823835	2807	1998-01-16	VYDAJ	VYBER	5700	34205	\N	\N	\N
823836	2807	1998-01-09	VYDAJ	VYBER	5100	39905	\N	\N	\N
823843	2807	1997-07-22	VYDAJ	VYBER	9900	43586	\N	\N	\N
823844	2807	1997-03-04	VYDAJ	VYBER	5400	33493	\N	\N	\N
823847	2807	1997-10-15	VYDAJ	VYBER	1800	30760	\N	\N	\N
823848	2807	1997-11-12	VYDAJ	VYBER	6600	25523	\N	\N	\N
823850	2807	1997-04-09	VYDAJ	VYBER	2700	26527	\N	\N	\N
823852	2807	1998-04-18	VYDAJ	VYBER	11100	25925	\N	\N	\N
823854	2807	1998-08-27	VYDAJ	VYBER	9000	39196	\N	\N	\N
823869	2807	1997-02-28	VYDAJ	VYBER	15	55093	SLUZBY	\N	\N
823870	2807	1997-03-31	VYDAJ	VYBER	15	33627	SLUZBY	\N	\N
823871	2807	1997-04-30	VYDAJ	VYBER	15	70002	SLUZBY	\N	\N
823872	2807	1997-05-31	VYDAJ	VYBER	15	82929	SLUZBY	\N	\N
823873	2807	1997-06-30	VYDAJ	VYBER	15	86386	SLUZBY	\N	\N
823874	2807	1997-07-31	VYDAJ	VYBER	15	43872	SLUZBY	\N	\N
823875	2807	1997-08-31	VYDAJ	VYBER	15	36342	SLUZBY	\N	\N
823876	2807	1997-09-30	VYDAJ	VYBER	15	41196	SLUZBY	\N	\N
823877	2807	1997-10-31	VYDAJ	VYBER	15	16715	SLUZBY	\N	\N
823878	2807	1997-11-30	VYDAJ	VYBER	15	14807	SLUZBY	\N	\N
823879	2807	1997-12-31	VYDAJ	VYBER	15	14053	SLUZBY	\N	\N
823880	2807	1998-01-31	VYDAJ	VYBER	15	15693	SLUZBY	\N	\N
823881	2807	1998-02-28	VYDAJ	VYBER	15	13443	SLUZBY	\N	\N
823882	2807	1998-03-31	VYDAJ	VYBER	15	37025	SLUZBY	\N	\N
823883	2807	1998-04-30	VYDAJ	VYBER	15	15552	SLUZBY	\N	\N
823884	2807	1998-05-31	VYDAJ	VYBER	15	15702	SLUZBY	\N	\N
823885	2807	1998-06-30	VYDAJ	VYBER	15	18553	SLUZBY	\N	\N
823886	2807	1998-07-31	VYDAJ	VYBER	15	70296	SLUZBY	\N	\N
823887	2807	1998-08-31	VYDAJ	VYBER	15	39453	SLUZBY	\N	\N
823888	2807	1998-09-30	VYDAJ	VYBER	15	21390	SLUZBY	\N	\N
823889	2807	1998-10-31	VYDAJ	VYBER	15	18564	SLUZBY	\N	\N
823890	2807	1998-11-30	VYDAJ	VYBER	15	18625	SLUZBY	\N	\N
823891	2807	1996-11-03	VYDAJ	VYBER	5300	32051	\N	\N	\N
823892	2807	1996-12-03	VYDAJ	VYBER	19300	41783	\N	\N	\N
823893	2807	1997-01-02	VYDAJ	VYBER	7300	34737	\N	\N	\N
823894	2807	1997-02-01	VYDAJ	VYBER	4300	30691	\N	\N	\N
823895	2807	1997-03-03	VYDAJ	VYBER	16200	38893	\N	\N	\N
823896	2807	1997-04-02	VYDAJ	VYBER	4400	29227	\N	\N	\N
823897	2807	1997-05-02	VYDAJ	VYBER	28100	41902	\N	\N	\N
823898	2807	1997-06-01	VYDAJ	VYBER	29100	53829	\N	\N	\N
823899	2807	1997-07-01	VYDAJ	VYBER	32900	53486	\N	\N	\N
823900	2807	1997-07-31	VYDAJ	VYBER	12600	31272	\N	\N	\N
823901	2807	1997-08-30	VYDAJ	VYBER	13800	36225	\N	\N	\N
823902	2807	1997-09-29	VYDAJ	VYBER	25400	41058	\N	\N	\N
823903	2807	1997-10-29	VYDAJ	VYBER	6000	16591	\N	\N	\N
823904	2807	1997-11-28	VYDAJ	VYBER	10800	14723	\N	\N	\N
823905	2807	1997-12-28	VYDAJ	VYBER	800	14007	\N	\N	\N
823906	2807	1998-01-27	VYDAJ	VYBER	7500	15605	\N	\N	\N
823907	2807	1998-02-26	VYDAJ	VYBER	2300	13393	\N	\N	\N
823908	2807	1998-03-28	VYDAJ	VYBER	31100	36935	\N	\N	\N
823909	2807	1998-04-27	VYDAJ	VYBER	10500	15425	\N	\N	\N
823910	2807	1998-05-27	PRIJEM	VKLAD	100	15652	\N	\N	\N
823911	2807	1998-06-26	PRIJEM	VKLAD	2800	18502	\N	\N	\N
823912	2807	1998-07-26	PRIJEM	VKLAD	1700	20253	\N	\N	\N
823913	2807	1998-08-25	VYDAJ	VYBER	22100	48196	\N	\N	\N
823914	2807	1998-09-24	VYDAJ	VYBER	2000	21259	\N	\N	\N
823915	2807	1998-10-24	VYDAJ	VYBER	2900	18490	\N	\N	\N
823943	2808	1994-12-18	PRIJEM	VKLAD	700	700	\N	\N	\N
823946	2808	1995-02-25	PRIJEM	VKLAD	26981	70018	\N	\N	\N
823947	2808	1995-02-22	PRIJEM	VKLAD	26837	43037	\N	\N	\N
823948	2808	1996-05-08	PRIJEM	VKLAD	46553	87195	\N	\N	\N
823949	2808	1996-02-24	PRIJEM	VKLAD	5109	44997	\N	\N	\N
823950	2808	1997-04-08	PRIJEM	VKLAD	38059	94920	\N	\N	\N
823951	2808	1997-03-18	PRIJEM	VKLAD	28154	70597	\N	\N	\N
823952	2808	1998-02-04	PRIJEM	VKLAD	36892	79593	\N	\N	\N
823953	2808	1998-03-06	PRIJEM	VKLAD	12513	77580	\N	\N	\N
823957	2808	1997-06-21	VYDAJ	VYBER	9100	50105	\N	\N	\N
823958	2808	1998-06-28	VYDAJ	VYBER	19900	35003	\N	\N	\N
823963	2808	1998-01-28	VYDAJ	VYBER	3200	39656	\N	\N	\N
823967	2808	1997-12-09	VYDAJ	VYBER	2800	38610	\N	\N	\N
823968	2808	1998-12-14	VYDAJ	VYBER	2400	60472	\N	\N	\N
823984	2808	1997-09-15	VYDAJ	VYBER	2350	42939	\N	\N	\N
823985	2808	1997-10-24	VYDAJ	VYBER	1900	38705	\N	\N	\N
823986	2808	1997-07-26	VYDAJ	VYBER	1700	43933	\N	\N	\N
823987	2808	1997-06-08	VYDAJ	VYBER	650	59205	\N	\N	\N
823988	2808	1998-12-11	VYDAJ	VYBER	400	62872	\N	\N	\N
823989	2808	1998-12-03	VYDAJ	VYBER	1850	63272	\N	\N	\N
823990	2808	1998-02-08	VYDAJ	VYBER	800	78793	\N	\N	\N
823991	2808	1998-03-09	VYDAJ	VYBER	2150	75430	\N	\N	\N
823992	2808	1998-08-05	VYDAJ	VYBER	1500	49180	\N	\N	\N
823993	2808	1998-04-23	VYDAJ	VYBER	1950	61481	\N	\N	\N
824033	2808	1997-03-31	VYDAJ	VYBER	15	70861	SLUZBY	\N	\N
824034	2808	1997-04-30	VYDAJ	VYBER	15	95277	SLUZBY	\N	\N
824035	2808	1997-05-31	VYDAJ	VYBER	15	68855	SLUZBY	\N	\N
824036	2808	1997-06-30	VYDAJ	VYBER	15	50333	SLUZBY	\N	\N
824037	2808	1997-07-31	VYDAJ	VYBER	15	44121	SLUZBY	\N	\N
824038	2808	1997-08-31	VYDAJ	VYBER	15	44589	SLUZBY	\N	\N
824039	2808	1997-09-30	VYDAJ	VYBER	15	43105	SLUZBY	\N	\N
824040	2808	1997-10-31	VYDAJ	VYBER	15	38864	SLUZBY	\N	\N
824041	2808	1997-11-30	VYDAJ	VYBER	15	40210	SLUZBY	\N	\N
824042	2808	1997-12-31	VYDAJ	VYBER	15	38756	SLUZBY	\N	\N
824043	2808	1998-01-31	VYDAJ	VYBER	15	42701	SLUZBY	\N	\N
824044	2808	1998-02-28	VYDAJ	VYBER	15	79067	SLUZBY	\N	\N
824045	2808	1998-03-31	VYDAJ	VYBER	15	75731	SLUZBY	\N	\N
824046	2808	1998-04-30	VYDAJ	VYBER	15	61764	SLUZBY	\N	\N
824047	2808	1998-05-31	VYDAJ	VYBER	15	54903	SLUZBY	\N	\N
824048	2808	1998-06-30	VYDAJ	VYBER	15	44113	SLUZBY	\N	\N
824049	2808	1998-07-31	VYDAJ	VYBER	15	50680	SLUZBY	\N	\N
824050	2808	1998-08-31	VYDAJ	VYBER	15	51874	SLUZBY	\N	\N
824051	2808	1998-09-30	VYDAJ	VYBER	15	58173	SLUZBY	\N	\N
824052	2808	1998-10-31	VYDAJ	VYBER	15	58197	SLUZBY	\N	\N
824053	2808	1998-11-30	VYDAJ	VYBER	15	65122	SLUZBY	\N	\N
824054	2808	1995-01-17	PRIJEM	VKLAD	10200	10900	\N	\N	\N
824055	2808	1995-02-16	PRIJEM	VKLAD	5300	16200	\N	\N	\N
824056	2808	1995-03-18	VYDAJ	VYBER	25300	44779	\N	\N	\N
824057	2808	1995-04-17	VYDAJ	VYBER	8200	36871	\N	\N	\N
824058	2808	1995-05-17	VYDAJ	VYBER	3600	33562	\N	\N	\N
824059	2808	1995-06-16	VYDAJ	VYBER	2200	31654	\N	\N	\N
824060	2808	1995-07-16	VYDAJ	VYBER	100	31846	\N	\N	\N
824061	2808	1995-08-15	VYDAJ	VYBER	1100	31038	\N	\N	\N
824062	2808	1995-09-14	PRIJEM	VKLAD	600	31929	\N	\N	\N
824063	2808	1995-10-14	PRIJEM	VKLAD	2400	34621	\N	\N	\N
824064	2808	1995-11-13	PRIJEM	VKLAD	300	35213	\N	\N	\N
824065	2808	1995-12-13	PRIJEM	VKLAD	1000	36505	\N	\N	\N
824066	2808	1996-01-12	VYDAJ	VYBER	1200	35596	\N	\N	\N
824067	2808	1996-02-11	PRIJEM	VKLAD	4000	39888	\N	\N	\N
824068	2808	1996-03-12	VYDAJ	VYBER	3500	41767	\N	\N	\N
824069	2808	1996-04-11	VYDAJ	VYBER	1500	40455	\N	\N	\N
824070	2808	1996-05-11	VYDAJ	VYBER	23000	64195	\N	\N	\N
824071	2808	1996-06-10	VYDAJ	VYBER	14300	50137	\N	\N	\N
824072	2808	1996-07-10	VYDAJ	VYBER	5500	44904	\N	\N	\N
824073	2808	1996-08-09	VYDAJ	VYBER	5700	39471	\N	\N	\N
824074	2808	1996-09-08	VYDAJ	VYBER	700	39039	\N	\N	\N
824075	2808	1996-10-08	VYDAJ	VYBER	2600	36706	\N	\N	\N
824076	2808	1996-11-07	PRIJEM	VKLAD	1200	38174	\N	\N	\N
824077	2808	1996-12-07	PRIJEM	VKLAD	4300	42741	\N	\N	\N
824078	2808	1997-01-06	PRIJEM	VKLAD	1100	44108	\N	\N	\N
824079	2808	1997-02-05	PRIJEM	VKLAD	800	45176	\N	\N	\N
824080	2808	1997-03-07	VYDAJ	VYBER	3000	42443	\N	\N	\N
824081	2808	1997-04-06	VYDAJ	VYBER	14000	56861	\N	\N	\N
824082	2808	1997-05-06	VYDAJ	VYBER	26800	68477	\N	\N	\N
824083	2808	1997-06-05	VYDAJ	VYBER	9000	59855	\N	\N	\N
824084	2808	1997-07-05	VYDAJ	VYBER	4700	45633	\N	\N	\N
824085	2808	1997-08-04	PRIJEM	VKLAD	300	44421	\N	\N	\N
824086	2808	1997-09-03	PRIJEM	VKLAD	700	45289	\N	\N	\N
824087	2808	1997-10-03	VYDAJ	VYBER	2500	40605	\N	\N	\N
824088	2808	1997-11-02	PRIJEM	VKLAD	1200	40064	\N	\N	\N
824089	2808	1997-12-02	PRIJEM	VKLAD	1200	41410	\N	\N	\N
824090	2808	1998-01-01	PRIJEM	VKLAD	4100	42856	\N	\N	\N
824091	2808	1998-01-31	PRIJEM	VKLAD	2900	42556	\N	\N	\N
824092	2808	1998-03-02	VYDAJ	VYBER	14000	65067	\N	\N	\N
824093	2808	1998-04-01	VYDAJ	VYBER	12300	63431	\N	\N	\N
824094	2808	1998-05-01	VYDAJ	VYBER	5700	56064	\N	\N	\N
824095	2808	1998-05-31	VYDAJ	VYBER	1400	54917	\N	\N	\N
824096	2808	1998-06-30	PRIJEM	VKLAD	8900	44127	\N	\N	\N
824097	2808	1998-07-30	PRIJEM	VKLAD	6400	50513	\N	\N	\N
824098	2808	1998-08-29	PRIJEM	VKLAD	2500	51680	\N	\N	\N
824099	2808	1998-09-28	PRIJEM	VKLAD	6100	57974	\N	\N	\N
824100	2808	1998-10-28	VYDAJ	VYBER	200	57973	\N	\N	\N
824101	2808	1998-11-27	PRIJEM	VKLAD	6700	64897	\N	\N	\N
824149	2809	1994-12-08	PRIJEM	VKLAD	700	700	\N	\N	\N
824161	2809	1994-12-09	PRIJEM	VKLAD	21986	22686	\N	\N	\N
824162	2809	1995-01-09	PRIJEM	VKLAD	14657	38213	\N	\N	\N
824163	2809	1995-02-09	PRIJEM	VKLAD	14657	47813	\N	\N	\N
824164	2809	1995-03-09	PRIJEM	VKLAD	14657	51457	\N	\N	\N
824165	2809	1995-04-09	PRIJEM	VKLAD	14657	52825	\N	\N	\N
824166	2809	1995-05-09	PRIJEM	VKLAD	14657	45571	\N	\N	\N
824167	2809	1995-06-09	PRIJEM	VKLAD	21986	49625	\N	\N	\N
824168	2809	1995-07-09	PRIJEM	VKLAD	14657	35597	\N	\N	\N
824169	2809	1995-08-09	PRIJEM	VKLAD	14657	34370	\N	\N	\N
824170	2809	1995-09-09	PRIJEM	VKLAD	14657	34645	\N	\N	\N
824171	2809	1995-10-09	PRIJEM	VKLAD	14657	32512	\N	\N	\N
824172	2809	1995-11-09	PRIJEM	VKLAD	14657	33478	\N	\N	\N
824173	2809	1995-12-09	PRIJEM	VKLAD	21986	39575	\N	\N	\N
824174	2809	1996-01-09	PRIJEM	VKLAD	14657	34757	\N	\N	\N
824175	2809	1996-02-09	PRIJEM	VKLAD	14657	33034	\N	\N	\N
824176	2809	1996-03-09	PRIJEM	VKLAD	14657	32603	\N	\N	\N
824177	2809	1996-04-09	PRIJEM	VKLAD	14657	29667	\N	\N	\N
824178	2809	1996-05-09	PRIJEM	VKLAD	14657	29421	\N	\N	\N
824179	2809	1996-06-09	PRIJEM	VKLAD	21986	37100	\N	\N	\N
824180	2809	1996-07-09	PRIJEM	VKLAD	14657	34471	\N	\N	\N
824181	2809	1996-08-09	PRIJEM	VKLAD	14657	33141	\N	\N	\N
824182	2809	1996-09-09	PRIJEM	VKLAD	14657	36503	\N	\N	\N
824183	2809	1996-10-09	PRIJEM	VKLAD	14657	41079	\N	\N	\N
824184	2809	1996-11-09	PRIJEM	VKLAD	14657	37672	\N	\N	\N
824185	2809	1996-12-09	PRIJEM	VKLAD	21986	46883	\N	\N	\N
824186	2809	1997-01-09	PRIJEM	VKLAD	14657	47490	\N	\N	\N
824187	2809	1997-02-09	PRIJEM	VKLAD	14657	44201	\N	\N	\N
824188	2809	1997-03-09	PRIJEM	VKLAD	14657	48007	\N	\N	\N
824189	2809	1997-04-09	PRIJEM	VKLAD	14657	44526	\N	\N	\N
824190	2809	1997-05-09	PRIJEM	VKLAD	14657	45333	\N	\N	\N
824191	2809	1997-06-09	PRIJEM	VKLAD	21986	48667	\N	\N	\N
824192	2809	1997-07-09	PRIJEM	VKLAD	14657	31958	\N	\N	\N
824193	2809	1997-08-09	PRIJEM	VKLAD	14657	34610	\N	\N	\N
824194	2809	1997-09-09	PRIJEM	VKLAD	14657	38376	\N	\N	\N
824195	2809	1997-10-09	PRIJEM	VKLAD	14657	39053	\N	\N	\N
824196	2809	1997-11-09	PRIJEM	VKLAD	14657	41034	\N	\N	\N
824197	2809	1997-12-09	PRIJEM	VKLAD	21986	45947	\N	\N	\N
824198	2809	1998-01-09	PRIJEM	VKLAD	14657	39037	\N	\N	\N
824199	2809	1998-02-09	PRIJEM	VKLAD	14657	38312	\N	\N	\N
824200	2809	1998-03-09	PRIJEM	VKLAD	14657	38085	\N	\N	\N
824201	2809	1998-04-09	PRIJEM	VKLAD	14657	35057	\N	\N	\N
824202	2809	1998-05-09	PRIJEM	VKLAD	14657	34517	\N	\N	\N
824203	2809	1998-06-09	PRIJEM	VKLAD	21986	43606	\N	\N	\N
824204	2809	1998-07-09	PRIJEM	VKLAD	14657	37286	\N	\N	\N
824205	2809	1998-08-09	PRIJEM	VKLAD	14657	36052	\N	\N	\N
824206	2809	1998-09-09	PRIJEM	VKLAD	14657	37316	\N	\N	\N
824207	2809	1998-10-09	PRIJEM	VKLAD	14657	36881	\N	\N	\N
824208	2809	1998-11-09	PRIJEM	VKLAD	14657	39450	\N	\N	\N
824209	2809	1998-12-09	PRIJEM	VKLAD	21986	42545	\N	\N	\N
824225	2809	1995-04-11	VYDAJ	PREVOD NA UCET	1764	51061	SIPO	OP	88213985
824226	2809	1995-05-11	VYDAJ	PREVOD NA UCET	1764	43807	SIPO	OP	88213985
824227	2809	1995-06-11	VYDAJ	PREVOD NA UCET	1764	27261	SIPO	OP	88213985
824228	2809	1995-07-11	VYDAJ	PREVOD NA UCET	1764	33833	SIPO	OP	88213985
824229	2809	1995-08-11	VYDAJ	PREVOD NA UCET	1764	32606	SIPO	OP	88213985
824230	2809	1995-09-11	VYDAJ	PREVOD NA UCET	1764	32881	SIPO	OP	88213985
824231	2809	1995-10-11	VYDAJ	PREVOD NA UCET	1764	30748	SIPO	OP	88213985
824232	2809	1995-11-11	VYDAJ	PREVOD NA UCET	1764	31714	SIPO	OP	88213985
824233	2809	1995-12-11	VYDAJ	PREVOD NA UCET	1764	35711	SIPO	OP	88213985
824234	2809	1996-01-11	VYDAJ	PREVOD NA UCET	1764	32993	SIPO	OP	88213985
824235	2809	1996-02-11	VYDAJ	PREVOD NA UCET	1764	31270	SIPO	OP	88213985
824236	2809	1996-03-11	VYDAJ	PREVOD NA UCET	1764	30839	SIPO	OP	88213985
824237	2809	1996-04-11	VYDAJ	PREVOD NA UCET	1764	27903	SIPO	OP	88213985
824238	2809	1996-05-11	VYDAJ	PREVOD NA UCET	1764	27657	SIPO	OP	88213985
824239	2809	1996-06-11	VYDAJ	PREVOD NA UCET	1764	35336	SIPO	OP	88213985
824240	2809	1996-07-11	VYDAJ	PREVOD NA UCET	1764	32707	SIPO	OP	88213985
824241	2809	1996-08-11	VYDAJ	PREVOD NA UCET	1764	31377	SIPO	OP	88213985
824242	2809	1996-09-11	VYDAJ	PREVOD NA UCET	1764	34739	SIPO	OP	88213985
824243	2809	1996-10-11	VYDAJ	PREVOD NA UCET	1764	39315	SIPO	OP	88213985
824244	2809	1996-11-11	VYDAJ	PREVOD NA UCET	1764	35908	SIPO	OP	88213985
824245	2809	1996-12-11	VYDAJ	PREVOD NA UCET	1764	45119	SIPO	OP	88213985
824246	2809	1997-01-11	VYDAJ	PREVOD NA UCET	1764	45726	SIPO	OP	88213985
824247	2809	1997-02-11	VYDAJ	PREVOD NA UCET	1764	42437	SIPO	OP	88213985
824248	2809	1997-03-11	VYDAJ	PREVOD NA UCET	1764	46243	SIPO	OP	88213985
824249	2809	1997-04-11	VYDAJ	PREVOD NA UCET	1764	42762	SIPO	OP	88213985
824250	2809	1997-05-11	VYDAJ	PREVOD NA UCET	1764	43569	SIPO	OP	88213985
824251	2809	1997-06-11	VYDAJ	PREVOD NA UCET	1764	46903	SIPO	OP	88213985
824252	2809	1997-07-11	VYDAJ	PREVOD NA UCET	1764	30194	SIPO	OP	88213985
824253	2809	1997-08-11	VYDAJ	PREVOD NA UCET	1764	32846	SIPO	OP	88213985
824254	2809	1997-09-11	VYDAJ	PREVOD NA UCET	1764	36612	SIPO	OP	88213985
824255	2809	1997-10-11	VYDAJ	PREVOD NA UCET	1764	37289	SIPO	OP	88213985
824256	2809	1997-11-11	VYDAJ	PREVOD NA UCET	1764	39270	SIPO	OP	88213985
824257	2809	1997-12-11	VYDAJ	PREVOD NA UCET	1764	44183	SIPO	OP	88213985
824258	2809	1998-01-11	VYDAJ	PREVOD NA UCET	1764	37273	SIPO	OP	88213985
824259	2809	1998-02-11	VYDAJ	PREVOD NA UCET	1764	36548	SIPO	OP	88213985
824260	2809	1998-03-11	VYDAJ	PREVOD NA UCET	1764	36321	SIPO	OP	88213985
824261	2809	1998-04-11	VYDAJ	PREVOD NA UCET	1764	33293	SIPO	OP	88213985
824262	2809	1998-05-11	VYDAJ	PREVOD NA UCET	1764	32753	SIPO	OP	88213985
824263	2809	1998-06-11	VYDAJ	PREVOD NA UCET	1764	41842	SIPO	OP	88213985
824264	2809	1998-07-11	VYDAJ	PREVOD NA UCET	1764	35522	SIPO	OP	88213985
824265	2809	1998-08-11	VYDAJ	PREVOD NA UCET	1764	34288	SIPO	OP	88213985
824266	2809	1998-09-11	VYDAJ	PREVOD NA UCET	1764	35552	SIPO	OP	88213985
824267	2809	1998-10-11	VYDAJ	PREVOD NA UCET	1764	35117	SIPO	OP	88213985
824268	2809	1998-11-11	VYDAJ	PREVOD NA UCET	1764	37686	SIPO	OP	88213985
824269	2809	1998-12-11	VYDAJ	PREVOD NA UCET	1764	39281	SIPO	OP	88213985
824286	2809	1995-05-08	VYDAJ	PREVOD NA UCET	6339	30914	 	ST	59529948
824287	2809	1995-06-08	VYDAJ	PREVOD NA UCET	6339	27639	 	ST	59529948
824288	2809	1995-07-08	VYDAJ	PREVOD NA UCET	6339	20940	 	ST	59529948
824289	2809	1995-08-08	VYDAJ	PREVOD NA UCET	6339	19713	 	ST	59529948
824290	2809	1995-09-08	VYDAJ	PREVOD NA UCET	6339	19988	 	ST	59529948
824291	2809	1995-10-08	VYDAJ	PREVOD NA UCET	6339	17855	 	ST	59529948
824292	2809	1995-11-08	VYDAJ	PREVOD NA UCET	6339	18821	 	ST	59529948
824293	2809	1995-12-08	VYDAJ	PREVOD NA UCET	6339	17589	 	ST	59529948
824294	2809	1996-01-08	VYDAJ	PREVOD NA UCET	6339	20100	 	ST	59529948
824295	2809	1996-02-08	VYDAJ	PREVOD NA UCET	6339	18377	 	ST	59529948
824296	2809	1996-03-08	VYDAJ	PREVOD NA UCET	6339	17946	 	ST	59529948
824297	2809	1996-04-08	VYDAJ	PREVOD NA UCET	6339	15010	 	ST	59529948
824298	2809	1996-05-08	VYDAJ	PREVOD NA UCET	6339	14764	 	ST	59529948
824299	2809	1996-06-08	VYDAJ	PREVOD NA UCET	6339	15114	 	ST	59529948
824300	2809	1996-07-08	VYDAJ	PREVOD NA UCET	6339	19814	 	ST	59529948
824301	2809	1996-08-08	VYDAJ	PREVOD NA UCET	6339	18484	 	ST	59529948
824302	2809	1996-09-08	VYDAJ	PREVOD NA UCET	6339	21846	 	ST	59529948
824303	2809	1996-10-08	VYDAJ	PREVOD NA UCET	6339	26422	 	ST	59529948
824304	2809	1996-11-08	VYDAJ	PREVOD NA UCET	6339	23015	 	ST	59529948
824305	2809	1996-12-08	VYDAJ	PREVOD NA UCET	6339	24897	 	ST	59529948
824306	2809	1997-01-08	VYDAJ	PREVOD NA UCET	6339	32833	 	ST	59529948
824307	2809	1997-02-08	VYDAJ	PREVOD NA UCET	6339	29544	 	ST	59529948
824308	2809	1997-03-08	VYDAJ	PREVOD NA UCET	6339	33350	 	ST	59529948
824309	2809	1997-04-08	VYDAJ	PREVOD NA UCET	6339	29869	 	ST	59529948
824310	2809	1997-05-08	VYDAJ	PREVOD NA UCET	6339	30676	 	ST	59529948
824311	2809	1997-06-08	VYDAJ	PREVOD NA UCET	6339	26681	 	ST	59529948
824312	2809	1997-07-08	VYDAJ	PREVOD NA UCET	6339	17301	 	ST	59529948
824313	2809	1997-08-08	VYDAJ	PREVOD NA UCET	6339	19953	 	ST	59529948
824314	2809	1997-09-08	VYDAJ	PREVOD NA UCET	6339	23719	 	ST	59529948
824315	2809	1997-10-08	VYDAJ	PREVOD NA UCET	6339	24396	 	ST	59529948
824316	2809	1997-11-08	VYDAJ	PREVOD NA UCET	6339	26377	 	ST	59529948
824317	2809	1997-12-08	VYDAJ	PREVOD NA UCET	6339	23961	 	ST	59529948
824318	2809	1998-01-08	VYDAJ	PREVOD NA UCET	6339	24380	 	ST	59529948
824319	2809	1998-02-08	VYDAJ	PREVOD NA UCET	6339	23655	 	ST	59529948
824320	2809	1998-03-08	VYDAJ	PREVOD NA UCET	6339	23428	 	ST	59529948
824321	2809	1998-04-08	VYDAJ	PREVOD NA UCET	6339	20400	 	ST	59529948
824322	2809	1998-05-08	VYDAJ	PREVOD NA UCET	6339	19860	 	ST	59529948
824323	2809	1998-06-08	VYDAJ	PREVOD NA UCET	6339	21620	 	ST	59529948
824324	2809	1998-07-08	VYDAJ	PREVOD NA UCET	6339	22629	 	ST	59529948
824325	2809	1998-08-08	VYDAJ	PREVOD NA UCET	6339	21395	 	ST	59529948
824326	2809	1998-09-08	VYDAJ	PREVOD NA UCET	6339	22659	 	ST	59529948
824327	2809	1998-10-08	VYDAJ	PREVOD NA UCET	6339	22224	 	ST	59529948
824328	2809	1998-11-08	VYDAJ	PREVOD NA UCET	6339	24793	 	ST	59529948
824329	2809	1998-12-08	VYDAJ	PREVOD NA UCET	6339	20559	 	ST	59529948
824331	2809	1995-06-10	VYDAJ	VYBER	20600	29025	\N	\N	\N
824333	2809	1997-06-22	VYDAJ	VYBER	20900	26003	\N	\N	\N
824334	2809	1998-06-23	VYDAJ	VYBER	8000	28842	\N	\N	\N
824338	2809	1997-01-17	VYDAJ	VYBER	2800	42926	\N	\N	\N
824339	2809	1998-01-14	VYDAJ	VYBER	1200	36073	\N	\N	\N
824341	2809	1995-12-10	VYDAJ	VYBER	2100	37475	\N	\N	\N
824342	2809	1996-12-22	VYDAJ	VYBER	1700	43419	\N	\N	\N
824343	2809	1997-12-30	VYDAJ	VYBER	1000	30583	\N	\N	\N
824344	2809	1998-12-15	VYDAJ	VYBER	2800	36481	\N	\N	\N
824350	2809	1995-04-18	VYDAJ	VYBER	3700	47361	\N	\N	\N
824352	2809	1995-09-11	VYDAJ	VYBER	2800	30081	\N	\N	\N
824354	2809	1995-11-17	VYDAJ	VYBER	800	30914	\N	\N	\N
824355	2809	1996-07-02	VYDAJ	VYBER	4300	26153	\N	\N	\N
824356	2809	1996-04-07	VYDAJ	VYBER	1500	21349	\N	\N	\N
824357	2809	1996-08-02	VYDAJ	VYBER	1500	24823	\N	\N	\N
824358	2809	1996-11-07	VYDAJ	VYBER	3900	29354	\N	\N	\N
824359	2809	1996-03-14	VYDAJ	VYBER	1400	29439	\N	\N	\N
824360	2809	1996-05-05	VYDAJ	VYBER	500	21103	\N	\N	\N
824361	2809	1996-01-19	VYDAJ	VYBER	600	32393	\N	\N	\N
824362	2809	1997-07-20	VYDAJ	VYBER	2800	27394	\N	\N	\N
824363	2809	1997-06-04	VYDAJ	VYBER	1000	33020	\N	\N	\N
824364	2809	1997-04-02	VYDAJ	VYBER	1700	36208	\N	\N	\N
824365	2809	1997-08-29	VYDAJ	VYBER	900	29946	\N	\N	\N
824366	2809	1998-07-14	VYDAJ	VYBER	700	34822	\N	\N	\N
824367	2809	1998-12-09	VYDAJ	VYBER	1500	41045	\N	\N	\N
824368	2809	1998-11-16	VYDAJ	VYBER	1600	36086	\N	\N	\N
824369	2809	1998-12-29	VYDAJ	VYBER	3300	26581	\N	\N	\N
824370	2809	1998-03-24	VYDAJ	VYBER	4900	27721	\N	\N	\N
824371	2809	1998-04-01	VYDAJ	VYBER	1100	26739	\N	\N	\N
824388	2809	1995-04-30	VYDAJ	VYBER	15	47553	SLUZBY	\N	\N
824389	2809	1995-05-31	VYDAJ	VYBER	15	43978	SLUZBY	\N	\N
824390	2809	1995-06-30	VYDAJ	VYBER	15	27379	SLUZBY	\N	\N
824391	2809	1995-07-31	VYDAJ	VYBER	15	33952	SLUZBY	\N	\N
824392	2809	1995-08-31	VYDAJ	VYBER	15	32727	SLUZBY	\N	\N
824393	2809	1995-09-30	VYDAJ	VYBER	15	30194	SLUZBY	\N	\N
824394	2809	1995-10-31	VYDAJ	VYBER	15	30860	SLUZBY	\N	\N
824395	2809	1995-11-30	VYDAJ	VYBER	15	31028	SLUZBY	\N	\N
824396	2809	1995-12-31	VYDAJ	VYBER	15	35839	SLUZBY	\N	\N
824397	2809	1996-01-31	VYDAJ	VYBER	15	32516	SLUZBY	\N	\N
824398	2809	1996-02-29	VYDAJ	VYBER	15	31385	SLUZBY	\N	\N
824399	2809	1996-03-31	VYDAJ	VYBER	15	29549	SLUZBY	\N	\N
824400	2809	1996-04-30	VYDAJ	VYBER	15	28003	SLUZBY	\N	\N
824401	2809	1996-05-31	VYDAJ	VYBER	15	21453	SLUZBY	\N	\N
824402	2809	1996-06-30	VYDAJ	VYBER	15	35453	SLUZBY	\N	\N
824403	2809	1996-07-31	VYDAJ	VYBER	15	26323	SLUZBY	\N	\N
824404	2809	1996-08-31	VYDAJ	VYBER	15	28185	SLUZBY	\N	\N
824405	2809	1996-09-30	VYDAJ	VYBER	15	32761	SLUZBY	\N	\N
824406	2809	1996-10-31	VYDAJ	VYBER	15	33254	SLUZBY	\N	\N
824407	2809	1996-11-30	VYDAJ	VYBER	15	31236	SLUZBY	\N	\N
824408	2809	1996-12-31	VYDAJ	VYBER	15	39172	SLUZBY	\N	\N
824409	2809	1997-01-31	VYDAJ	VYBER	15	35883	SLUZBY	\N	\N
824410	2809	1997-02-28	VYDAJ	VYBER	15	39689	SLUZBY	\N	\N
824411	2809	1997-03-31	VYDAJ	VYBER	15	37908	SLUZBY	\N	\N
824412	2809	1997-04-30	VYDAJ	VYBER	15	37015	SLUZBY	\N	\N
824413	2809	1997-05-31	VYDAJ	VYBER	15	34020	SLUZBY	\N	\N
824414	2809	1997-06-30	VYDAJ	VYBER	15	23640	SLUZBY	\N	\N
824415	2809	1997-07-31	VYDAJ	VYBER	15	26292	SLUZBY	\N	\N
824416	2809	1997-08-31	VYDAJ	VYBER	15	30058	SLUZBY	\N	\N
824417	2809	1997-09-30	VYDAJ	VYBER	15	30735	SLUZBY	\N	\N
824418	2809	1997-10-31	VYDAJ	VYBER	15	32716	SLUZBY	\N	\N
824419	2809	1997-11-30	VYDAJ	VYBER	15	30300	SLUZBY	\N	\N
824420	2809	1997-12-31	VYDAJ	VYBER	15	30719	SLUZBY	\N	\N
824421	2809	1998-01-31	VYDAJ	VYBER	15	29994	SLUZBY	\N	\N
824422	2809	1998-02-28	VYDAJ	VYBER	15	29767	SLUZBY	\N	\N
824423	2809	1998-03-31	VYDAJ	VYBER	15	27839	SLUZBY	\N	\N
824424	2809	1998-04-30	VYDAJ	VYBER	15	26199	SLUZBY	\N	\N
824425	2809	1998-05-31	VYDAJ	VYBER	15	27959	SLUZBY	\N	\N
824426	2809	1998-06-30	VYDAJ	VYBER	15	28968	SLUZBY	\N	\N
824427	2809	1998-07-31	VYDAJ	VYBER	15	27734	SLUZBY	\N	\N
824428	2809	1998-08-31	VYDAJ	VYBER	15	28998	SLUZBY	\N	\N
824429	2809	1998-09-30	VYDAJ	VYBER	15	28563	SLUZBY	\N	\N
824430	2809	1998-10-31	VYDAJ	VYBER	15	31132	SLUZBY	\N	\N
824431	2809	1998-11-30	VYDAJ	VYBER	15	26898	SLUZBY	\N	\N
824432	2809	1995-01-07	PRIJEM	VKLAD	800	23556	\N	\N	\N
824433	2809	1995-02-06	VYDAJ	VYBER	5200	33156	\N	\N	\N
824434	2809	1995-03-08	VYDAJ	VYBER	11200	36800	\N	\N	\N
824435	2809	1995-04-07	VYDAJ	VYBER	13500	38168	\N	\N	\N
824436	2809	1995-05-07	VYDAJ	VYBER	10300	37253	\N	\N	\N
824437	2809	1995-06-06	VYDAJ	VYBER	10000	33978	\N	\N	\N
824438	2809	1995-07-06	VYDAJ	VYBER	100	27279	\N	\N	\N
824439	2809	1995-08-05	VYDAJ	VYBER	7900	26052	\N	\N	\N
824440	2809	1995-09-04	VYDAJ	VYBER	6400	26327	\N	\N	\N
824441	2809	1995-10-04	VYDAJ	VYBER	6000	24194	\N	\N	\N
824442	2809	1995-11-03	VYDAJ	VYBER	5700	25160	\N	\N	\N
824443	2809	1995-12-03	VYDAJ	VYBER	7100	23928	\N	\N	\N
824444	2809	1996-01-02	VYDAJ	VYBER	9400	26439	\N	\N	\N
824445	2809	1996-02-01	VYDAJ	VYBER	7800	24716	\N	\N	\N
824446	2809	1996-03-02	VYDAJ	VYBER	7100	24285	\N	\N	\N
824447	2809	1996-04-01	VYDAJ	VYBER	6700	22849	\N	\N	\N
824448	2809	1996-05-01	VYDAJ	VYBER	6400	21603	\N	\N	\N
824449	2809	1996-05-31	VYDAJ	VYBER	6300	21468	\N	\N	\N
824450	2809	1996-06-30	VYDAJ	VYBER	5000	30453	\N	\N	\N
824451	2809	1996-07-30	VYDAJ	VYBER	6500	26207	\N	\N	\N
824452	2809	1996-08-29	VYDAJ	VYBER	3300	28077	\N	\N	\N
824453	2809	1996-09-28	VYDAJ	VYBER	2100	32639	\N	\N	\N
824454	2809	1996-10-28	VYDAJ	VYBER	6200	33115	\N	\N	\N
824455	2809	1996-11-27	VYDAJ	VYBER	4800	31108	\N	\N	\N
824456	2809	1996-12-27	VYDAJ	VYBER	4400	39019	\N	\N	\N
824457	2809	1997-01-26	VYDAJ	VYBER	7200	35726	\N	\N	\N
824458	2809	1997-02-25	VYDAJ	VYBER	2900	39537	\N	\N	\N
824459	2809	1997-03-27	VYDAJ	VYBER	8500	37743	\N	\N	\N
824460	2809	1997-04-26	VYDAJ	VYBER	5900	36862	\N	\N	\N
824461	2809	1997-05-26	VYDAJ	VYBER	9700	33869	\N	\N	\N
824462	2809	1997-06-25	VYDAJ	VYBER	2500	23503	\N	\N	\N
824463	2809	1997-07-25	VYDAJ	VYBER	1200	26194	\N	\N	\N
824464	2809	1997-08-24	VYDAJ	VYBER	2000	30846	\N	\N	\N
824465	2809	1997-09-23	VYDAJ	VYBER	6000	30612	\N	\N	\N
824466	2809	1997-10-23	VYDAJ	VYBER	4700	32589	\N	\N	\N
824467	2809	1997-11-22	VYDAJ	VYBER	9100	30170	\N	\N	\N
824468	2809	1997-12-22	VYDAJ	VYBER	12600	31583	\N	\N	\N
824469	2809	1998-01-21	VYDAJ	VYBER	6200	29873	\N	\N	\N
824470	2809	1998-02-20	VYDAJ	VYBER	6900	29648	\N	\N	\N
824471	2809	1998-03-22	VYDAJ	VYBER	3700	32621	\N	\N	\N
824472	2809	1998-04-21	VYDAJ	VYBER	7200	26093	\N	\N	\N
824473	2809	1998-05-21	VYDAJ	VYBER	4900	27853	\N	\N	\N
824474	2809	1998-06-20	VYDAJ	VYBER	5000	36842	\N	\N	\N
824475	2809	1998-07-20	VYDAJ	VYBER	7200	27622	\N	\N	\N
824476	2809	1998-08-19	VYDAJ	VYBER	5400	28888	\N	\N	\N
824477	2809	1998-09-18	VYDAJ	VYBER	7100	28452	\N	\N	\N
824478	2809	1998-10-18	VYDAJ	VYBER	4100	31017	\N	\N	\N
824479	2809	1998-11-17	VYDAJ	VYBER	9300	26786	\N	\N	\N
824480	2809	1998-12-17	VYDAJ	VYBER	6600	29881	\N	\N	\N
824530	2810	1995-03-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
824534	2810	1995-04-09	PRIJEM	VKLAD	11412	12412	\N	\N	\N
824535	2810	1995-05-09	PRIJEM	VKLAD	11412	31469	\N	\N	\N
824536	2810	1995-06-09	PRIJEM	VKLAD	17118	42783	\N	\N	\N
824537	2810	1995-07-09	PRIJEM	VKLAD	11412	44719	\N	\N	\N
824538	2810	1995-08-09	PRIJEM	VKLAD	11412	48178	\N	\N	\N
824539	2810	1995-09-09	PRIJEM	VKLAD	11412	39617	\N	\N	\N
824540	2810	1995-10-09	PRIJEM	VKLAD	11412	37549	\N	\N	\N
824541	2810	1995-11-09	PRIJEM	VKLAD	11412	33066	\N	\N	\N
824542	2810	1995-12-09	PRIJEM	VKLAD	17118	36275	\N	\N	\N
824543	2810	1996-01-09	PRIJEM	VKLAD	11412	31379	\N	\N	\N
824544	2810	1996-02-09	PRIJEM	VKLAD	11412	25668	\N	\N	\N
824545	2810	1996-03-09	PRIJEM	VKLAD	11412	29550	\N	\N	\N
824546	2810	1996-04-09	PRIJEM	VKLAD	11412	25738	\N	\N	\N
824547	2810	1996-05-09	PRIJEM	VKLAD	11412	31735	\N	\N	\N
824548	2810	1996-06-09	PRIJEM	VKLAD	17118	42044	\N	\N	\N
824549	2810	1996-07-09	PRIJEM	VKLAD	11412	35883	\N	\N	\N
824550	2810	1996-08-09	PRIJEM	VKLAD	11412	29417	\N	\N	\N
824551	2810	1996-09-09	PRIJEM	VKLAD	11412	26124	\N	\N	\N
824552	2810	1996-10-09	PRIJEM	VKLAD	11412	24018	\N	\N	\N
824553	2810	1996-11-09	PRIJEM	VKLAD	11412	26405	\N	\N	\N
824554	2810	1996-12-09	PRIJEM	VKLAD	17118	34204	\N	\N	\N
824555	2810	1997-01-09	PRIJEM	VKLAD	11412	32418	\N	\N	\N
824556	2810	1997-02-09	PRIJEM	VKLAD	11412	29631	\N	\N	\N
824557	2810	1997-03-09	PRIJEM	VKLAD	11412	28737	\N	\N	\N
824558	2810	1997-04-09	PRIJEM	VKLAD	11412	31941	\N	\N	\N
824559	2810	1997-05-09	PRIJEM	VKLAD	11412	29357	\N	\N	\N
824560	2810	1997-06-09	PRIJEM	VKLAD	17118	32871	\N	\N	\N
824561	2810	1997-07-09	PRIJEM	VKLAD	11412	25570	\N	\N	\N
824562	2810	1997-08-09	PRIJEM	VKLAD	11412	26756	\N	\N	\N
824563	2810	1997-09-09	PRIJEM	VKLAD	11412	31650	\N	\N	\N
824564	2810	1997-10-09	PRIJEM	VKLAD	11412	34063	\N	\N	\N
824565	2810	1997-11-09	PRIJEM	VKLAD	11412	28981	\N	\N	\N
824566	2810	1997-12-09	PRIJEM	VKLAD	17118	35889	\N	\N	\N
824567	2810	1998-01-09	PRIJEM	VKLAD	11412	30313	\N	\N	\N
824568	2810	1998-02-09	PRIJEM	VKLAD	11412	31215	\N	\N	\N
824569	2810	1998-03-09	PRIJEM	VKLAD	11412	29426	\N	\N	\N
824570	2810	1998-04-09	PRIJEM	VKLAD	11412	25424	\N	\N	\N
824571	2810	1998-05-09	PRIJEM	VKLAD	11412	25611	\N	\N	\N
824572	2810	1998-06-09	PRIJEM	VKLAD	17118	25604	\N	\N	\N
824573	2810	1998-07-09	PRIJEM	VKLAD	11412	27089	\N	\N	\N
824574	2810	1998-08-09	PRIJEM	VKLAD	11412	26375	\N	\N	\N
824575	2810	1998-09-09	PRIJEM	VKLAD	11412	30967	\N	\N	\N
824576	2810	1998-10-09	PRIJEM	VKLAD	11412	31368	\N	\N	\N
824577	2810	1998-11-09	PRIJEM	VKLAD	11412	32079	\N	\N	\N
824578	2810	1998-12-09	PRIJEM	VKLAD	17118	35298	\N	\N	\N
824586	2810	1995-08-13	VYDAJ	PREVOD NA UCET	392	35286	SIPO	ST	38680678
824587	2810	1995-09-13	VYDAJ	PREVOD NA UCET	392	33225	SIPO	ST	38680678
824588	2810	1995-10-13	VYDAJ	PREVOD NA UCET	392	28757	SIPO	ST	38680678
824589	2810	1995-11-13	VYDAJ	PREVOD NA UCET	392	26974	SIPO	ST	38680678
824590	2810	1995-12-13	VYDAJ	PREVOD NA UCET	392	29183	SIPO	ST	38680678
824591	2810	1996-01-13	VYDAJ	PREVOD NA UCET	392	26287	SIPO	ST	38680678
824592	2810	1996-02-13	VYDAJ	PREVOD NA UCET	392	25276	SIPO	ST	38680678
824593	2810	1996-03-13	VYDAJ	PREVOD NA UCET	392	25058	SIPO	ST	38680678
824594	2810	1996-04-13	VYDAJ	PREVOD NA UCET	392	27446	SIPO	ST	38680678
824595	2810	1996-05-13	VYDAJ	PREVOD NA UCET	392	28543	SIPO	ST	38680678
824596	2810	1996-06-13	VYDAJ	PREVOD NA UCET	392	41652	SIPO	ST	38680678
824597	2810	1996-07-13	VYDAJ	PREVOD NA UCET	392	35491	SIPO	ST	38680678
824598	2810	1996-08-13	VYDAJ	PREVOD NA UCET	392	29025	SIPO	ST	38680678
824599	2810	1996-09-13	VYDAJ	PREVOD NA UCET	392	25732	SIPO	ST	38680678
824600	2810	1996-10-13	VYDAJ	PREVOD NA UCET	392	23626	SIPO	ST	38680678
824601	2810	1996-11-13	VYDAJ	PREVOD NA UCET	392	26013	SIPO	ST	38680678
824602	2810	1996-12-13	VYDAJ	PREVOD NA UCET	392	33812	SIPO	ST	38680678
824603	2810	1997-01-13	VYDAJ	PREVOD NA UCET	392	32026	SIPO	ST	38680678
824604	2810	1997-02-13	VYDAJ	PREVOD NA UCET	392	29239	SIPO	ST	38680678
824605	2810	1997-03-13	VYDAJ	PREVOD NA UCET	392	28345	SIPO	ST	38680678
824606	2810	1997-04-13	VYDAJ	PREVOD NA UCET	392	31549	SIPO	ST	38680678
824607	2810	1997-05-13	VYDAJ	PREVOD NA UCET	392	28965	SIPO	ST	38680678
824608	2810	1997-06-13	VYDAJ	PREVOD NA UCET	392	32479	SIPO	ST	38680678
824609	2810	1997-07-13	VYDAJ	PREVOD NA UCET	392	25178	SIPO	ST	38680678
824610	2810	1997-08-13	VYDAJ	PREVOD NA UCET	392	26364	SIPO	ST	38680678
824611	2810	1997-09-13	VYDAJ	PREVOD NA UCET	392	31258	SIPO	ST	38680678
824612	2810	1997-10-13	VYDAJ	PREVOD NA UCET	392	33671	SIPO	ST	38680678
824613	2810	1997-11-13	VYDAJ	PREVOD NA UCET	392	28589	SIPO	ST	38680678
824614	2810	1997-12-13	VYDAJ	PREVOD NA UCET	392	35497	SIPO	ST	38680678
824615	2810	1998-01-13	VYDAJ	PREVOD NA UCET	392	29921	SIPO	ST	38680678
824616	2810	1998-02-13	VYDAJ	PREVOD NA UCET	392	30823	SIPO	ST	38680678
824617	2810	1998-03-13	VYDAJ	PREVOD NA UCET	392	29034	SIPO	ST	38680678
824618	2810	1998-04-13	VYDAJ	PREVOD NA UCET	392	25032	SIPO	ST	38680678
824619	2810	1998-05-13	VYDAJ	PREVOD NA UCET	392	25219	SIPO	ST	38680678
824620	2810	1998-06-13	VYDAJ	PREVOD NA UCET	392	25212	SIPO	ST	38680678
824621	2810	1998-07-13	VYDAJ	PREVOD NA UCET	392	26697	SIPO	ST	38680678
824622	2810	1998-08-13	VYDAJ	PREVOD NA UCET	392	25983	SIPO	ST	38680678
824623	2810	1998-09-13	VYDAJ	PREVOD NA UCET	392	27975	SIPO	ST	38680678
824624	2810	1998-10-13	VYDAJ	PREVOD NA UCET	392	30976	SIPO	ST	38680678
824625	2810	1998-11-13	VYDAJ	PREVOD NA UCET	392	31687	SIPO	ST	38680678
824626	2810	1998-12-13	VYDAJ	PREVOD NA UCET	392	34906	SIPO	ST	38680678
824635	2810	1995-09-08	VYDAJ	PREVOD NA UCET	5828	28205	 	WX	72857814
824636	2810	1995-10-08	VYDAJ	PREVOD NA UCET	5828	26137	 	WX	72857814
824637	2810	1995-11-08	VYDAJ	PREVOD NA UCET	5828	21654	 	WX	72857814
824638	2810	1995-12-08	VYDAJ	PREVOD NA UCET	5828	19157	 	WX	72857814
824639	2810	1996-01-08	VYDAJ	PREVOD NA UCET	5828	19967	 	WX	72857814
824640	2810	1996-02-08	VYDAJ	PREVOD NA UCET	5828	13956	 	WX	72857814
824641	2810	1996-03-08	VYDAJ	PREVOD NA UCET	5828	18138	 	WX	72857814
824642	2810	1996-04-08	VYDAJ	PREVOD NA UCET	5828	14326	 	WX	72857814
824643	2810	1996-05-08	VYDAJ	PREVOD NA UCET	5828	20323	 	WX	72857814
824644	2810	1996-06-08	VYDAJ	PREVOD NA UCET	5828	24926	 	WX	72857814
824645	2810	1996-07-08	VYDAJ	PREVOD NA UCET	5828	27571	 	WX	72857814
824646	2810	1996-08-08	VYDAJ	PREVOD NA UCET	5828	18005	 	WX	72857814
824647	2810	1996-09-08	VYDAJ	PREVOD NA UCET	5828	14712	 	WX	72857814
824648	2810	1996-10-08	VYDAJ	PREVOD NA UCET	5828	12606	 	WX	72857814
824649	2810	1996-11-08	VYDAJ	PREVOD NA UCET	5828	14993	 	WX	72857814
824650	2810	1996-12-08	VYDAJ	PREVOD NA UCET	5828	17086	 	WX	72857814
824651	2810	1997-01-08	VYDAJ	PREVOD NA UCET	5828	21006	 	WX	72857814
824652	2810	1997-02-08	VYDAJ	PREVOD NA UCET	5828	18219	 	WX	72857814
824653	2810	1997-03-08	VYDAJ	PREVOD NA UCET	5828	17325	 	WX	72857814
824654	2810	1997-04-08	VYDAJ	PREVOD NA UCET	5828	20529	 	WX	72857814
824655	2810	1997-05-08	VYDAJ	PREVOD NA UCET	5828	17945	 	WX	72857814
824656	2810	1997-06-08	VYDAJ	PREVOD NA UCET	5828	15753	 	WX	72857814
824657	2810	1997-07-08	VYDAJ	PREVOD NA UCET	5828	14158	 	WX	72857814
824658	2810	1997-08-08	VYDAJ	PREVOD NA UCET	5828	15344	 	WX	72857814
824659	2810	1997-09-08	VYDAJ	PREVOD NA UCET	5828	20238	 	WX	72857814
824660	2810	1997-10-08	VYDAJ	PREVOD NA UCET	5828	22651	 	WX	72857814
824661	2810	1997-11-08	VYDAJ	PREVOD NA UCET	5828	17569	 	WX	72857814
824662	2810	1997-12-08	VYDAJ	PREVOD NA UCET	5828	18771	 	WX	72857814
824663	2810	1998-01-08	VYDAJ	PREVOD NA UCET	5828	18901	 	WX	72857814
824664	2810	1998-02-08	VYDAJ	PREVOD NA UCET	5828	19803	 	WX	72857814
824665	2810	1998-03-08	VYDAJ	PREVOD NA UCET	5828	18014	 	WX	72857814
824666	2810	1998-04-08	VYDAJ	PREVOD NA UCET	5828	14012	 	WX	72857814
824667	2810	1998-05-08	VYDAJ	PREVOD NA UCET	5828	14199	 	WX	72857814
824668	2810	1998-06-08	VYDAJ	PREVOD NA UCET	5828	8486	 	WX	72857814
824669	2810	1998-07-08	VYDAJ	PREVOD NA UCET	5828	15677	 	WX	72857814
824670	2810	1998-08-08	VYDAJ	PREVOD NA UCET	5828	14963	 	WX	72857814
824671	2810	1998-09-08	VYDAJ	PREVOD NA UCET	5828	19555	 	WX	72857814
824672	2810	1998-10-08	VYDAJ	PREVOD NA UCET	5828	19956	 	WX	72857814
824673	2810	1998-11-08	VYDAJ	PREVOD NA UCET	5828	20667	 	WX	72857814
824674	2810	1998-12-08	VYDAJ	PREVOD NA UCET	5828	18180	 	WX	72857814
824683	2810	1995-09-07	VYDAJ	PREVOD NA UCET	977	34033	POJISTNE	WX	18647271
824684	2810	1995-10-07	VYDAJ	PREVOD NA UCET	977	31965	POJISTNE	WX	18647271
824685	2810	1995-11-07	VYDAJ	PREVOD NA UCET	977	27482	POJISTNE	WX	18647271
824686	2810	1995-12-07	VYDAJ	PREVOD NA UCET	977	24985	POJISTNE	WX	18647271
824687	2810	1996-01-07	VYDAJ	PREVOD NA UCET	977	25795	POJISTNE	WX	18647271
824688	2810	1996-02-07	VYDAJ	PREVOD NA UCET	977	19784	POJISTNE	WX	18647271
824689	2810	1996-03-07	VYDAJ	PREVOD NA UCET	977	23966	POJISTNE	WX	18647271
824690	2810	1996-04-07	VYDAJ	PREVOD NA UCET	977	20154	POJISTNE	WX	18647271
824691	2810	1996-05-07	VYDAJ	PREVOD NA UCET	977	26151	POJISTNE	WX	18647271
824692	2810	1996-06-07	VYDAJ	PREVOD NA UCET	977	24854	POJISTNE	WX	18647271
824693	2810	1996-07-07	VYDAJ	PREVOD NA UCET	977	33399	POJISTNE	WX	18647271
824694	2810	1996-08-07	VYDAJ	PREVOD NA UCET	977	30533	POJISTNE	WX	18647271
824695	2810	1996-09-07	VYDAJ	PREVOD NA UCET	977	20540	POJISTNE	WX	18647271
824696	2810	1996-10-07	VYDAJ	PREVOD NA UCET	977	18434	POJISTNE	WX	18647271
824697	2810	1996-11-07	VYDAJ	PREVOD NA UCET	977	20821	POJISTNE	WX	18647271
824698	2810	1996-12-07	VYDAJ	PREVOD NA UCET	977	22914	POJISTNE	WX	18647271
824699	2810	1997-01-07	VYDAJ	PREVOD NA UCET	977	26834	POJISTNE	WX	18647271
824700	2810	1997-02-07	VYDAJ	PREVOD NA UCET	977	24047	POJISTNE	WX	18647271
824701	2810	1997-03-07	VYDAJ	PREVOD NA UCET	977	23153	POJISTNE	WX	18647271
824702	2810	1997-04-07	VYDAJ	PREVOD NA UCET	977	26357	POJISTNE	WX	18647271
824703	2810	1997-05-07	VYDAJ	PREVOD NA UCET	977	23773	POJISTNE	WX	18647271
824704	2810	1997-06-07	VYDAJ	PREVOD NA UCET	977	21581	POJISTNE	WX	18647271
824798	2810	1997-07-25	VYDAJ	VYBER	3100	22078	\N	\N	\N
824705	2810	1997-07-07	VYDAJ	PREVOD NA UCET	977	19986	POJISTNE	WX	18647271
824706	2810	1997-08-07	VYDAJ	PREVOD NA UCET	977	21172	POJISTNE	WX	18647271
824707	2810	1997-09-07	VYDAJ	PREVOD NA UCET	977	26066	POJISTNE	WX	18647271
824708	2810	1997-10-07	VYDAJ	PREVOD NA UCET	977	28479	POJISTNE	WX	18647271
824709	2810	1997-11-07	VYDAJ	PREVOD NA UCET	977	23397	POJISTNE	WX	18647271
824710	2810	1997-12-07	VYDAJ	PREVOD NA UCET	977	24599	POJISTNE	WX	18647271
824711	2810	1998-01-07	VYDAJ	PREVOD NA UCET	977	24729	POJISTNE	WX	18647271
824712	2810	1998-02-07	VYDAJ	PREVOD NA UCET	977	25631	POJISTNE	WX	18647271
824713	2810	1998-03-07	VYDAJ	PREVOD NA UCET	977	23842	POJISTNE	WX	18647271
824714	2810	1998-04-07	VYDAJ	PREVOD NA UCET	977	19840	POJISTNE	WX	18647271
824715	2810	1998-05-07	VYDAJ	PREVOD NA UCET	977	20027	POJISTNE	WX	18647271
824716	2810	1998-06-07	VYDAJ	PREVOD NA UCET	977	14314	POJISTNE	WX	18647271
824717	2810	1998-07-07	VYDAJ	PREVOD NA UCET	977	21505	POJISTNE	WX	18647271
824718	2810	1998-08-07	VYDAJ	PREVOD NA UCET	977	20791	POJISTNE	WX	18647271
824719	2810	1998-09-07	VYDAJ	PREVOD NA UCET	977	25383	POJISTNE	WX	18647271
824720	2810	1998-10-07	VYDAJ	PREVOD NA UCET	977	25784	POJISTNE	WX	18647271
824721	2810	1998-11-07	VYDAJ	PREVOD NA UCET	977	26495	POJISTNE	WX	18647271
824722	2810	1998-12-07	VYDAJ	PREVOD NA UCET	977	24008	POJISTNE	WX	18647271
824731	2810	1995-09-05	VYDAJ	PREVOD NA UCET	411	35010	 	IJ	18043649
824732	2810	1995-10-05	VYDAJ	PREVOD NA UCET	411	32942	 	IJ	18043649
824733	2810	1995-11-05	VYDAJ	PREVOD NA UCET	411	28459	 	IJ	18043649
824734	2810	1995-12-05	VYDAJ	PREVOD NA UCET	411	25962	 	IJ	18043649
824735	2810	1996-01-05	VYDAJ	PREVOD NA UCET	411	26772	 	IJ	18043649
824736	2810	1996-02-05	VYDAJ	PREVOD NA UCET	411	20761	 	IJ	18043649
824737	2810	1996-03-05	VYDAJ	PREVOD NA UCET	411	24943	 	IJ	18043649
824738	2810	1996-04-05	VYDAJ	PREVOD NA UCET	411	21131	 	IJ	18043649
824739	2810	1996-05-05	VYDAJ	PREVOD NA UCET	411	27128	 	IJ	18043649
824740	2810	1996-06-05	VYDAJ	PREVOD NA UCET	411	25831	 	IJ	18043649
824741	2810	1996-07-05	VYDAJ	PREVOD NA UCET	411	34376	 	IJ	18043649
824742	2810	1996-08-05	VYDAJ	PREVOD NA UCET	411	31510	 	IJ	18043649
824743	2810	1996-09-05	VYDAJ	PREVOD NA UCET	411	24617	 	IJ	18043649
824744	2810	1996-10-05	VYDAJ	PREVOD NA UCET	411	25411	 	IJ	18043649
824745	2810	1996-11-05	VYDAJ	PREVOD NA UCET	411	23298	 	IJ	18043649
824746	2810	1996-12-05	VYDAJ	PREVOD NA UCET	411	23891	 	IJ	18043649
824747	2810	1997-01-05	VYDAJ	PREVOD NA UCET	411	27811	 	IJ	18043649
824748	2810	1997-02-05	VYDAJ	PREVOD NA UCET	411	25024	 	IJ	18043649
824749	2810	1997-03-05	VYDAJ	PREVOD NA UCET	411	28930	 	IJ	18043649
824750	2810	1997-04-05	VYDAJ	PREVOD NA UCET	411	27334	 	IJ	18043649
824751	2810	1997-05-05	VYDAJ	PREVOD NA UCET	411	24750	 	IJ	18043649
824752	2810	1997-06-05	VYDAJ	PREVOD NA UCET	411	22558	 	IJ	18043649
824753	2810	1997-07-05	VYDAJ	PREVOD NA UCET	411	20963	 	IJ	18043649
824754	2810	1997-08-05	VYDAJ	PREVOD NA UCET	411	22149	 	IJ	18043649
824755	2810	1997-09-05	VYDAJ	PREVOD NA UCET	411	27043	 	IJ	18043649
824756	2810	1997-10-05	VYDAJ	PREVOD NA UCET	411	29456	 	IJ	18043649
824757	2810	1997-11-05	VYDAJ	PREVOD NA UCET	411	24374	 	IJ	18043649
824758	2810	1997-12-05	VYDAJ	PREVOD NA UCET	411	25576	 	IJ	18043649
824759	2810	1998-01-05	VYDAJ	PREVOD NA UCET	411	25706	 	IJ	18043649
824760	2810	1998-02-05	VYDAJ	PREVOD NA UCET	411	26608	 	IJ	18043649
824761	2810	1998-03-05	VYDAJ	PREVOD NA UCET	411	24819	 	IJ	18043649
824762	2810	1998-04-05	VYDAJ	PREVOD NA UCET	411	20817	 	IJ	18043649
824763	2810	1998-05-05	VYDAJ	PREVOD NA UCET	411	21004	 	IJ	18043649
824764	2810	1998-06-05	VYDAJ	PREVOD NA UCET	411	23291	 	IJ	18043649
824765	2810	1998-07-05	VYDAJ	PREVOD NA UCET	411	22482	 	IJ	18043649
824766	2810	1998-08-05	VYDAJ	PREVOD NA UCET	411	21768	 	IJ	18043649
824767	2810	1998-09-05	VYDAJ	PREVOD NA UCET	411	26360	 	IJ	18043649
824768	2810	1998-10-05	VYDAJ	PREVOD NA UCET	411	26761	 	IJ	18043649
824769	2810	1998-11-05	VYDAJ	PREVOD NA UCET	411	27472	 	IJ	18043649
824770	2810	1998-12-05	VYDAJ	PREVOD NA UCET	411	24985	 	IJ	18043649
824772	2810	1996-06-26	VYDAJ	VYBER	5500	34652	\N	\N	\N
824773	2810	1997-06-17	VYDAJ	VYBER	8500	23979	\N	\N	\N
824774	2810	1998-06-05	VYDAJ	VYBER	8000	15291	\N	\N	\N
824776	2810	1996-01-17	VYDAJ	VYBER	5200	21087	\N	\N	\N
824777	2810	1997-01-30	VYDAJ	VYBER	2800	26426	\N	\N	\N
824778	2810	1998-01-16	VYDAJ	VYBER	3400	26521	\N	\N	\N
824779	2810	1995-12-13	VYDAJ	VYBER	2100	27083	\N	\N	\N
824780	2810	1996-12-20	VYDAJ	VYBER	2500	31312	\N	\N	\N
824781	2810	1997-12-28	VYDAJ	VYBER	1600	33897	\N	\N	\N
824782	2810	1998-12-29	VYDAJ	VYBER	2200	31706	\N	\N	\N
824787	2810	1995-11-21	VYDAJ	VYBER	700	26274	\N	\N	\N
824789	2810	1996-05-17	VYDAJ	VYBER	2400	26143	\N	\N	\N
824790	2810	1996-08-24	VYDAJ	VYBER	4100	24925	\N	\N	\N
824791	2810	1996-10-07	VYDAJ	VYBER	3600	19411	\N	\N	\N
824792	2810	1996-04-04	VYDAJ	VYBER	1200	21542	\N	\N	\N
824793	2810	1996-03-15	VYDAJ	VYBER	2400	22658	\N	\N	\N
824794	2810	1996-06-19	VYDAJ	VYBER	1500	40152	\N	\N	\N
824795	2810	1996-12-22	VYDAJ	VYBER	1100	30212	\N	\N	\N
824796	2810	1996-07-31	VYDAJ	VYBER	3700	31936	\N	\N	\N
824797	2810	1997-10-22	VYDAJ	VYBER	3700	29971	\N	\N	\N
824799	2810	1997-01-19	VYDAJ	VYBER	2800	29226	\N	\N	\N
824800	2810	1997-07-02	VYDAJ	VYBER	4700	19374	\N	\N	\N
824801	2810	1998-09-09	VYDAJ	VYBER	2600	28367	\N	\N	\N
824802	2810	1998-07-16	VYDAJ	VYBER	3500	23197	\N	\N	\N
824803	2810	1998-10-29	VYDAJ	VYBER	3700	27776	\N	\N	\N
824804	2810	1998-10-21	VYDAJ	VYBER	800	30176	\N	\N	\N
824805	2810	1998-01-03	VYDAJ	VYBER	3300	26117	\N	\N	\N
824806	2810	1998-03-23	VYDAJ	VYBER	3500	25534	\N	\N	\N
824807	2810	1998-12-04	VYDAJ	VYBER	4800	25396	\N	\N	\N
824816	2810	1995-08-31	VYDAJ	VYBER	15	35421	SLUZBY	\N	\N
824817	2810	1995-09-30	VYDAJ	VYBER	15	33353	SLUZBY	\N	\N
824818	2810	1995-10-31	VYDAJ	VYBER	15	28870	SLUZBY	\N	\N
824819	2810	1995-11-30	VYDAJ	VYBER	15	26373	SLUZBY	\N	\N
824820	2810	1995-12-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
824821	2810	1996-01-31	VYDAJ	VYBER	15	21172	SLUZBY	\N	\N
824822	2810	1996-02-29	VYDAJ	VYBER	15	25354	SLUZBY	\N	\N
824823	2810	1996-03-31	VYDAJ	VYBER	15	22742	SLUZBY	\N	\N
824824	2810	1996-04-30	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
824825	2810	1996-05-31	VYDAJ	VYBER	15	26242	SLUZBY	\N	\N
824826	2810	1996-06-30	VYDAJ	VYBER	15	34787	SLUZBY	\N	\N
824827	2810	1996-07-31	VYDAJ	VYBER	15	31921	SLUZBY	\N	\N
824828	2810	1996-08-31	VYDAJ	VYBER	15	25028	SLUZBY	\N	\N
824829	2810	1996-09-30	VYDAJ	VYBER	15	25822	SLUZBY	\N	\N
824830	2810	1996-10-31	VYDAJ	VYBER	15	23709	SLUZBY	\N	\N
824831	2810	1996-11-30	VYDAJ	VYBER	15	26102	SLUZBY	\N	\N
824832	2810	1996-12-31	VYDAJ	VYBER	15	30322	SLUZBY	\N	\N
824833	2810	1997-01-31	VYDAJ	VYBER	15	26535	SLUZBY	\N	\N
824834	2810	1997-02-28	VYDAJ	VYBER	15	29341	SLUZBY	\N	\N
824835	2810	1997-03-31	VYDAJ	VYBER	15	28445	SLUZBY	\N	\N
824836	2810	1997-04-30	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
824837	2810	1997-05-31	VYDAJ	VYBER	15	29069	SLUZBY	\N	\N
824838	2810	1997-06-30	VYDAJ	VYBER	15	24074	SLUZBY	\N	\N
824839	2810	1997-07-31	VYDAJ	VYBER	15	22160	SLUZBY	\N	\N
824840	2810	1997-08-31	VYDAJ	VYBER	15	26454	SLUZBY	\N	\N
824841	2810	1997-09-30	VYDAJ	VYBER	15	31367	SLUZBY	\N	\N
824842	2810	1997-10-31	VYDAJ	VYBER	15	24785	SLUZBY	\N	\N
824843	2810	1997-11-30	VYDAJ	VYBER	15	25987	SLUZBY	\N	\N
824844	2810	1997-12-31	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
824845	2810	1998-01-31	VYDAJ	VYBER	15	27019	SLUZBY	\N	\N
824846	2810	1998-02-28	VYDAJ	VYBER	15	25230	SLUZBY	\N	\N
824847	2810	1998-03-31	VYDAJ	VYBER	15	21228	SLUZBY	\N	\N
824848	2810	1998-04-30	VYDAJ	VYBER	15	21415	SLUZBY	\N	\N
824849	2810	1998-05-31	VYDAJ	VYBER	15	23702	SLUZBY	\N	\N
824850	2810	1998-06-30	VYDAJ	VYBER	15	22893	SLUZBY	\N	\N
824851	2810	1998-07-31	VYDAJ	VYBER	15	22179	SLUZBY	\N	\N
824852	2810	1998-08-31	VYDAJ	VYBER	15	26771	SLUZBY	\N	\N
824853	2810	1998-09-30	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
824854	2810	1998-10-31	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
824855	2810	1998-11-30	VYDAJ	VYBER	15	30196	SLUZBY	\N	\N
824856	2810	1995-04-15	PRIJEM	VKLAD	7600	20012	\N	\N	\N
824857	2810	1995-05-15	VYDAJ	VYBER	5900	25569	\N	\N	\N
824858	2810	1995-06-14	VYDAJ	VYBER	9600	33183	\N	\N	\N
824859	2810	1995-07-14	VYDAJ	VYBER	8100	36619	\N	\N	\N
824860	2810	1995-08-13	VYDAJ	VYBER	12500	35678	\N	\N	\N
824861	2810	1995-09-12	VYDAJ	VYBER	6000	33617	\N	\N	\N
824862	2810	1995-10-12	VYDAJ	VYBER	8400	29149	\N	\N	\N
824863	2810	1995-11-11	VYDAJ	VYBER	5700	27366	\N	\N	\N
824864	2810	1995-12-11	VYDAJ	VYBER	6700	29575	\N	\N	\N
824865	2810	1996-01-10	VYDAJ	VYBER	4700	26679	\N	\N	\N
824866	2810	1996-02-09	PRIJEM	VKLAD	300	14256	\N	\N	\N
824867	2810	1996-03-10	VYDAJ	VYBER	4100	25450	\N	\N	\N
824868	2810	1996-04-09	PRIJEM	VKLAD	2100	27838	\N	\N	\N
824869	2810	1996-05-09	VYDAJ	VYBER	2800	28935	\N	\N	\N
824870	2810	1996-06-08	PRIJEM	VKLAD	5900	30754	\N	\N	\N
824871	2810	1996-07-08	VYDAJ	VYBER	3100	24471	\N	\N	\N
824872	2810	1996-08-07	VYDAJ	VYBER	6700	23833	\N	\N	\N
824873	2810	1996-09-06	VYDAJ	VYBER	3100	21517	\N	\N	\N
824874	2810	1996-10-06	VYDAJ	VYBER	2400	23011	\N	\N	\N
824875	2810	1996-11-05	VYDAJ	VYBER	1500	21798	\N	\N	\N
824876	2810	1996-12-05	VYDAJ	VYBER	1800	24302	\N	\N	\N
824877	2810	1997-01-04	VYDAJ	VYBER	2100	28222	\N	\N	\N
824878	2810	1997-02-03	VYDAJ	VYBER	1100	25435	\N	\N	\N
824879	2810	1997-03-05	VYDAJ	VYBER	4800	24130	\N	\N	\N
824880	2810	1997-04-04	VYDAJ	VYBER	700	27745	\N	\N	\N
824881	2810	1997-05-04	VYDAJ	VYBER	6500	25161	\N	\N	\N
824882	2810	1997-06-03	VYDAJ	VYBER	6100	22969	\N	\N	\N
824883	2810	1997-07-03	PRIJEM	VKLAD	2000	21374	\N	\N	\N
824884	2810	1997-08-02	PRIJEM	VKLAD	400	22560	\N	\N	\N
824885	2810	1997-09-01	PRIJEM	VKLAD	1000	27454	\N	\N	\N
824886	2810	1997-10-01	VYDAJ	VYBER	1500	29867	\N	\N	\N
824887	2810	1997-10-31	VYDAJ	VYBER	5300	24800	\N	\N	\N
824888	2810	1997-11-30	VYDAJ	VYBER	2700	26002	\N	\N	\N
824889	2810	1997-12-30	VYDAJ	VYBER	4600	29297	\N	\N	\N
824890	2810	1998-01-29	PRIJEM	VKLAD	400	26921	\N	\N	\N
824891	2810	1998-02-28	VYDAJ	VYBER	5700	25244	\N	\N	\N
824892	2810	1998-03-30	VYDAJ	VYBER	4400	21134	\N	\N	\N
824893	2810	1998-04-29	VYDAJ	VYBER	3700	21332	\N	\N	\N
824894	2810	1998-05-29	VYDAJ	VYBER	1600	23619	\N	\N	\N
824895	2810	1998-06-28	VYDAJ	VYBER	2400	22812	\N	\N	\N
824896	2810	1998-07-28	VYDAJ	VYBER	1100	22097	\N	\N	\N
824897	2810	1998-08-27	PRIJEM	VKLAD	700	26683	\N	\N	\N
824898	2810	1998-09-26	VYDAJ	VYBER	900	27075	\N	\N	\N
824899	2810	1998-10-26	PRIJEM	VKLAD	1300	31476	\N	\N	\N
824900	2810	1998-11-25	VYDAJ	VYBER	1600	30087	\N	\N	\N
824901	2810	1998-12-25	VYDAJ	VYBER	1000	33906	\N	\N	\N
824947	2811	1996-01-02	PRIJEM	VKLAD	600	26104	\N	\N	\N
824948	2811	1996-11-20	PRIJEM	VKLAD	45161	62846	\N	\N	\N
824949	2811	1996-07-24	PRIJEM	VKLAD	36397	101587	\N	\N	\N
824950	2811	1996-08-01	PRIJEM	VKLAD	6751	62443	\N	\N	\N
824951	2811	1996-01-02	PRIJEM	VKLAD	25504	25504	\N	\N	\N
824952	2811	1996-03-06	PRIJEM	VKLAD	41894	68807	\N	\N	\N
824953	2811	1996-12-06	PRIJEM	VKLAD	10377	81264	\N	\N	\N
824954	2811	1996-11-25	PRIJEM	VKLAD	28029	129862	\N	\N	\N
824955	2811	1996-07-29	PRIJEM	VKLAD	41094	142681	\N	\N	\N
824956	2811	1996-11-23	PRIJEM	VKLAD	38987	101833	\N	\N	\N
824957	2811	1996-04-28	PRIJEM	VKLAD	45258	92123	\N	\N	\N
824958	2811	1996-10-14	PRIJEM	VKLAD	36319	38066	\N	\N	\N
824959	2811	1996-12-05	PRIJEM	VKLAD	19949	70887	\N	\N	\N
824960	2811	1996-07-06	PRIJEM	VKLAD	21873	65137	\N	\N	\N
824961	2811	1996-12-21	PRIJEM	VKLAD	9929	67640	\N	\N	\N
824962	2811	1996-05-28	PRIJEM	VKLAD	21624	84943	\N	\N	\N
824963	2811	1996-07-22	PRIJEM	VKLAD	7092	65190	\N	\N	\N
824964	2811	1996-07-08	PRIJEM	VKLAD	35749	100886	\N	\N	\N
824965	2811	1997-11-20	PRIJEM	VKLAD	16778	83225	\N	\N	\N
824966	2811	1997-02-24	PRIJEM	VKLAD	13824	51357	\N	\N	\N
824967	2811	1997-07-06	PRIJEM	VKLAD	20695	80006	\N	\N	\N
824968	2811	1997-06-21	PRIJEM	VKLAD	46110	92340	\N	\N	\N
824969	2811	1997-09-07	PRIJEM	VKLAD	14573	107269	\N	\N	\N
824970	2811	1997-07-18	PRIJEM	VKLAD	20745	97473	\N	\N	\N
824971	2811	1997-01-09	PRIJEM	VKLAD	8842	45613	\N	\N	\N
824972	2811	1997-07-21	PRIJEM	VKLAD	37211	134684	\N	\N	\N
824973	2811	1997-10-10	PRIJEM	VKLAD	49481	129724	\N	\N	\N
824974	2811	1997-05-06	PRIJEM	VKLAD	19959	53646	\N	\N	\N
824975	2811	1997-03-17	PRIJEM	VKLAD	47164	73361	\N	\N	\N
824976	2811	1997-12-14	PRIJEM	VKLAD	25669	65106	\N	\N	\N
824977	2811	1997-03-31	PRIJEM	VKLAD	22646	71207	\N	\N	\N
824978	2811	1997-05-13	PRIJEM	VKLAD	21772	106739	\N	\N	\N
824979	2811	1997-05-17	PRIJEM	VKLAD	48408	155147	\N	\N	\N
824980	2811	1997-07-10	PRIJEM	VKLAD	36206	116212	\N	\N	\N
824981	2811	1997-10-07	PRIJEM	VKLAD	21542	80243	\N	\N	\N
824982	2811	1997-08-13	PRIJEM	VKLAD	48442	124574	\N	\N	\N
824983	2811	1997-09-04	PRIJEM	VKLAD	32898	92696	\N	\N	\N
824984	2811	1997-07-26	PRIJEM	VKLAD	26743	98527	\N	\N	\N
824985	2811	1997-02-01	PRIJEM	VKLAD	27470	52117	\N	\N	\N
824986	2811	1997-10-26	PRIJEM	VKLAD	21681	80721	\N	\N	\N
824987	2811	1997-08-02	PRIJEM	VKLAD	16038	114916	\N	\N	\N
824988	2811	1997-05-06	PRIJEM	VKLAD	45905	99551	\N	\N	\N
824989	2811	1998-02-11	PRIJEM	VKLAD	28651	103680	\N	\N	\N
824990	2811	1998-07-28	PRIJEM	VKLAD	45505	105246	\N	\N	\N
824991	2811	1998-07-26	PRIJEM	VKLAD	23008	59741	\N	\N	\N
824992	2811	1998-10-09	PRIJEM	VKLAD	30335	79852	\N	\N	\N
824993	2811	1998-06-27	PRIJEM	VKLAD	27035	55691	\N	\N	\N
824994	2811	1998-03-25	PRIJEM	VKLAD	26611	77770	\N	\N	\N
824995	2811	1998-01-26	PRIJEM	VKLAD	38801	86550	\N	\N	\N
824996	2811	1998-10-14	PRIJEM	VKLAD	45079	110347	\N	\N	\N
824997	2811	1998-01-18	PRIJEM	VKLAD	48158	64149	\N	\N	\N
824998	2811	1998-03-23	PRIJEM	VKLAD	22529	51159	\N	\N	\N
824999	2811	1998-07-17	PRIJEM	VKLAD	9318	36433	\N	\N	\N
825000	2811	1998-09-12	PRIJEM	VKLAD	24990	78885	\N	\N	\N
825001	2811	1998-02-13	PRIJEM	VKLAD	49680	138776	\N	\N	\N
825002	2811	1998-06-18	PRIJEM	VKLAD	12189	22356	\N	\N	\N
825003	2811	1998-02-17	PRIJEM	VKLAD	14912	123288	\N	\N	\N
825046	2811	1996-07-12	VYDAJ	PREVOD NA UCET	14584	86302	SIPO	WX	92551469
825047	2811	1996-08-12	VYDAJ	PREVOD NA UCET	14584	47859	SIPO	WX	92551469
825048	2811	1996-09-12	VYDAJ	PREVOD NA UCET	14584	5268	SIPO	WX	92551469
825049	2811	1996-10-12	VYDAJ	PREVOD NA UCET	14584	1747	SIPO	WX	92551469
825050	2811	1996-11-12	VYDAJ	PREVOD NA UCET	14584	17685	SIPO	WX	92551469
825051	2811	1996-12-12	VYDAJ	PREVOD NA UCET	14584	57711	SIPO	WX	92551469
825052	2811	1997-01-12	VYDAJ	PREVOD NA UCET	14584	25929	SIPO	WX	92551469
825053	2811	1997-02-12	VYDAJ	PREVOD NA UCET	14584	37533	SIPO	WX	92551469
825054	2811	1997-03-12	VYDAJ	PREVOD NA UCET	14584	26197	SIPO	WX	92551469
825055	2811	1997-04-12	VYDAJ	PREVOD NA UCET	14584	56831	SIPO	WX	92551469
825056	2811	1997-05-12	VYDAJ	PREVOD NA UCET	14584	84967	SIPO	WX	92551469
825057	2811	1997-06-12	VYDAJ	PREVOD NA UCET	14584	57330	SIPO	WX	92551469
825058	2811	1997-07-12	VYDAJ	PREVOD NA UCET	14584	76728	SIPO	WX	92551469
825059	2811	1997-08-12	VYDAJ	PREVOD NA UCET	14584	76132	SIPO	WX	92551469
825060	2811	1997-09-12	VYDAJ	PREVOD NA UCET	14584	92685	SIPO	WX	92551469
825061	2811	1997-10-12	VYDAJ	PREVOD NA UCET	14584	92140	SIPO	WX	92551469
825062	2811	1997-11-12	VYDAJ	PREVOD NA UCET	14584	66447	SIPO	WX	92551469
825063	2811	1997-12-12	VYDAJ	PREVOD NA UCET	14584	42137	SIPO	WX	92551469
825064	2811	1998-01-12	VYDAJ	PREVOD NA UCET	14584	15991	SIPO	WX	92551469
825065	2811	1998-02-12	VYDAJ	PREVOD NA UCET	14584	89096	SIPO	WX	92551469
825066	2811	1998-03-12	VYDAJ	PREVOD NA UCET	14584	12030	SIPO	WX	92551469
825067	2811	1998-04-12	VYDAJ	PREVOD NA UCET	14584	43008	SIPO	WX	92551469
825068	2811	1998-05-12	VYDAJ	PREVOD NA UCET	14584	20827	SIPO	WX	92551469
825069	2811	1998-06-12	VYDAJ	PREVOD NA UCET	14584	10167	SIPO	WX	92551469
825070	2811	1998-07-12	VYDAJ	PREVOD NA UCET	14584	27115	SIPO	WX	92551469
825071	2811	1998-08-12	VYDAJ	PREVOD NA UCET	14584	90864	SIPO	WX	92551469
825072	2811	1998-09-12	VYDAJ	PREVOD NA UCET	14584	64301	SIPO	WX	92551469
825073	2811	1998-10-12	VYDAJ	PREVOD NA UCET	14584	65268	SIPO	WX	92551469
825074	2811	1998-11-12	VYDAJ	PREVOD NA UCET	14584	62756	SIPO	WX	92551469
825075	2811	1998-12-12	VYDAJ	PREVOD NA UCET	14584	38931	SIPO	WX	92551469
825076	2811	1996-12-06	VYBER	VYBER	8969	72295	\N	\N	\N
825079	2811	1996-07-19	VYBER	VYBER	15004	58098	\N	\N	\N
825081	2811	1996-09-08	VYBER	VYBER	18599	19852	\N	\N	\N
825084	2811	1998-03-01	VYBER	VYBER	19577	26614	\N	\N	\N
825085	2811	1998-10-02	VYBER	VYBER	2309	49517	\N	\N	\N
825086	2811	1998-01-01	VYBER	VYBER	10258	44975	\N	\N	\N
825089	2811	1998-03-26	VYBER	VYBER	20321	57449	\N	\N	\N
825090	2811	1996-12-21	VYDAJ	VYBER	1800	65840	\N	\N	\N
825091	2811	1997-12-13	VYDAJ	VYBER	2700	39437	\N	\N	\N
825092	2811	1998-12-30	VYDAJ	VYBER	7200	32731	\N	\N	\N
825100	2811	1997-01-10	VYDAJ	VYBER	2100	43513	\N	\N	\N
825102	2811	1997-01-23	VYDAJ	VYBER	3300	22629	\N	\N	\N
825103	2811	1997-01-10	VYDAJ	VYBER	3000	40513	\N	\N	\N
825104	2811	1997-01-07	VYDAJ	VYBER	8400	36771	\N	\N	\N
825105	2811	1998-01-30	VYDAJ	VYBER	7200	74850	\N	\N	\N
825106	2811	1998-01-30	VYDAJ	VYBER	2700	82050	\N	\N	\N
825107	2811	1998-01-23	VYDAJ	VYBER	3000	47749	\N	\N	\N
825108	2811	1998-01-03	VYDAJ	VYBER	7800	37175	\N	\N	\N
825109	2811	1998-01-07	VYDAJ	VYBER	6600	30575	\N	\N	\N
825110	2811	1998-01-26	VYDAJ	VYBER	1800	84750	\N	\N	\N
825111	2811	1996-07-14	VYDAJ	VYBER	13200	73102	\N	\N	\N
825116	2811	1997-06-20	VYDAJ	VYBER	11100	46230	\N	\N	\N
825117	2811	1997-12-03	VYDAJ	VYBER	2400	56721	\N	\N	\N
825118	2811	1997-04-26	VYDAJ	VYBER	11700	45131	\N	\N	\N
825119	2811	1997-06-11	VYDAJ	VYBER	3000	71914	\N	\N	\N
825121	2811	1998-05-31	VYDAJ	VYBER	6300	24766	\N	\N	\N
825122	2811	1998-02-21	VYDAJ	VYBER	8100	45888	\N	\N	\N
825123	2811	1998-08-16	VYDAJ	VYBER	12000	78864	\N	\N	\N
825124	2811	1998-07-02	VYDAJ	VYBER	14100	41699	\N	\N	\N
825125	2811	1998-08-28	VYDAJ	VYBER	7200	53564	\N	\N	\N
825126	2811	1998-04-30	VYDAJ	VYBER	7200	35411	\N	\N	\N
825127	2811	1998-02-20	VYDAJ	VYBER	9300	68688	\N	\N	\N
825135	2811	1996-07-31	VYDAJ	VYBER	15	55692	SLUZBY	\N	\N
825136	2811	1996-08-31	VYDAJ	VYBER	15	38451	SLUZBY	\N	\N
825137	2811	1996-09-30	VYDAJ	VYBER	15	16331	SLUZBY	\N	\N
825138	2811	1996-10-31	VYDAJ	VYBER	15	32269	SLUZBY	\N	\N
825139	2811	1996-11-30	VYDAJ	VYBER	15	50938	SLUZBY	\N	\N
825140	2811	1996-12-31	VYDAJ	VYBER	15	45171	SLUZBY	\N	\N
825141	2811	1997-01-31	VYDAJ	VYBER	15	24647	SLUZBY	\N	\N
825142	2811	1997-02-28	VYDAJ	VYBER	15	40781	SLUZBY	\N	\N
825143	2811	1997-03-31	VYDAJ	VYBER	15	71415	SLUZBY	\N	\N
825144	2811	1997-04-30	VYDAJ	VYBER	15	33687	SLUZBY	\N	\N
825145	2811	1997-05-31	VYDAJ	VYBER	15	74914	SLUZBY	\N	\N
825146	2811	1997-06-30	VYDAJ	VYBER	15	59311	SLUZBY	\N	\N
825147	2811	1997-07-31	VYDAJ	VYBER	15	98878	SLUZBY	\N	\N
825148	2811	1997-08-31	VYDAJ	VYBER	15	59798	SLUZBY	\N	\N
825149	2811	1997-09-30	VYDAJ	VYBER	15	58701	SLUZBY	\N	\N
825150	2811	1997-10-31	VYDAJ	VYBER	15	81031	SLUZBY	\N	\N
825151	2811	1997-11-30	VYDAJ	VYBER	15	59121	SLUZBY	\N	\N
825152	2811	1997-12-31	VYDAJ	VYBER	15	55233	SLUZBY	\N	\N
825153	2811	1998-01-31	VYDAJ	VYBER	15	75029	SLUZBY	\N	\N
825154	2811	1998-02-28	VYDAJ	VYBER	15	46191	SLUZBY	\N	\N
825155	2811	1998-03-31	VYDAJ	VYBER	15	57592	SLUZBY	\N	\N
825156	2811	1998-04-30	VYDAJ	VYBER	15	42611	SLUZBY	\N	\N
825157	2811	1998-05-31	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
825158	2811	1998-06-30	VYDAJ	VYBER	15	55799	SLUZBY	\N	\N
825159	2811	1998-07-31	VYDAJ	VYBER	15	105448	SLUZBY	\N	\N
825160	2811	1998-08-31	VYDAJ	VYBER	15	53895	SLUZBY	\N	\N
825161	2811	1998-09-30	VYDAJ	VYBER	15	51826	SLUZBY	\N	\N
825162	2811	1998-10-31	VYDAJ	VYBER	15	77340	SLUZBY	\N	\N
825163	2811	1998-11-30	VYDAJ	VYBER	15	53515	SLUZBY	\N	\N
825164	2811	1996-02-01	PRIJEM	VKLAD	900	27107	\N	\N	\N
825165	2811	1996-03-02	VYDAJ	VYBER	300	26913	\N	\N	\N
825166	2811	1996-04-01	VYDAJ	VYBER	22200	46865	\N	\N	\N
825167	2811	1996-05-01	VYDAJ	VYBER	29100	63319	\N	\N	\N
825168	2811	1996-05-31	VYDAJ	VYBER	26600	58720	\N	\N	\N
825169	2811	1996-06-30	VYDAJ	VYBER	15700	43264	\N	\N	\N
825170	2811	1996-07-29	VYDAJ	VYBER	56900	85781	\N	\N	\N
825171	2811	1996-07-30	VYDAJ	VYBER	30400	55381	\N	\N	\N
825172	2811	1996-08-29	VYDAJ	VYBER	9600	38259	\N	\N	\N
825173	2811	1996-09-28	PRIJEM	VKLAD	11000	16268	\N	\N	\N
825174	2811	1996-10-28	VYDAJ	VYBER	5900	32166	\N	\N	\N
825175	2811	1996-11-25	VYDAJ	VYBER	46800	83062	\N	\N	\N
825176	2811	1996-11-27	VYDAJ	VYBER	32300	50762	\N	\N	\N
825177	2811	1996-12-27	VYDAJ	VYBER	20900	44940	\N	\N	\N
825178	2811	1997-01-26	PRIJEM	VKLAD	1900	24529	\N	\N	\N
825179	2811	1997-02-25	VYDAJ	VYBER	10700	40657	\N	\N	\N
825180	2811	1997-03-27	VYDAJ	VYBER	24800	48561	\N	\N	\N
825181	2811	1997-04-26	VYDAJ	VYBER	11700	33431	\N	\N	\N
825182	2811	1997-05-17	VYDAJ	VYBER	30100	125047	\N	\N	\N
825183	2811	1997-05-26	VYDAJ	VYBER	50500	74547	\N	\N	\N
825184	2811	1997-06-25	VYDAJ	VYBER	33300	59040	\N	\N	\N
825185	2811	1997-07-10	VYDAJ	VYBER	24900	91312	\N	\N	\N
825186	2811	1997-07-21	VYDAJ	VYBER	22700	111984	\N	\N	\N
825187	2811	1997-07-25	VYDAJ	VYBER	40200	71784	\N	\N	\N
825188	2811	1997-08-02	VYDAJ	VYBER	24200	90716	\N	\N	\N
825189	2811	1997-08-13	VYDAJ	VYBER	36500	88074	\N	\N	\N
825190	2811	1997-08-24	VYDAJ	VYBER	28600	59474	\N	\N	\N
825191	2811	1997-09-23	VYDAJ	VYBER	34300	58385	\N	\N	\N
825192	2811	1997-10-10	VYDAJ	VYBER	23000	106724	\N	\N	\N
825193	2811	1997-10-23	VYDAJ	VYBER	33100	59040	\N	\N	\N
825194	2811	1997-11-22	VYDAJ	VYBER	24400	58825	\N	\N	\N
825195	2811	1997-12-22	VYDAJ	VYBER	10100	55006	\N	\N	\N
825196	2811	1998-01-21	VYDAJ	VYBER	13400	50749	\N	\N	\N
825197	2811	1998-02-13	VYDAJ	VYBER	30400	108376	\N	\N	\N
825198	2811	1998-02-17	VYDAJ	VYBER	45300	77988	\N	\N	\N
825199	2811	1998-02-20	VYDAJ	VYBER	14700	53988	\N	\N	\N
825200	2811	1998-03-22	PRIJEM	VKLAD	16600	28630	\N	\N	\N
825201	2811	1998-04-21	VYDAJ	VYBER KARTOU	600	42408	\N	\N	0
825202	2811	1998-05-21	PRIJEM	VKLAD	10100	30927	\N	\N	\N
825203	2811	1998-06-20	PRIJEM	VKLAD	6300	28656	\N	\N	\N
825204	2811	1998-07-20	PRIJEM	VKLAD	300	36733	\N	\N	\N
825205	2811	1998-08-19	VYDAJ	VYBER	18100	60764	\N	\N	\N
825206	2811	1998-09-18	VYDAJ	VYBER	12700	51601	\N	\N	\N
825207	2811	1998-10-18	VYDAJ	VYBER	33300	77047	\N	\N	\N
825208	2811	1998-11-17	VYDAJ	VYBER	9500	53256	\N	\N	\N
825209	2811	1998-12-17	PRIJEM	VKLAD	1000	39931	\N	\N	\N
825246	2812	1996-07-05	PRIJEM	VKLAD	200	200	\N	\N	\N
825253	2812	1996-07-14	PRIJEM	VKLAD	24510	24710	\N	\N	\N
825254	2812	1996-08-14	PRIJEM	VKLAD	24510	46280	\N	\N	\N
825255	2812	1996-09-14	PRIJEM	VKLAD	24510	59445	\N	\N	\N
825256	2812	1996-10-14	PRIJEM	VKLAD	24510	68179	\N	\N	\N
825257	2812	1996-11-14	PRIJEM	VKLAD	24510	70558	\N	\N	\N
825258	2812	1996-12-14	PRIJEM	VKLAD	36765	69887	\N	\N	\N
825259	2812	1997-01-14	PRIJEM	VKLAD	24510	40357	\N	\N	\N
825260	2812	1997-02-14	PRIJEM	VKLAD	24510	38486	\N	\N	\N
825261	2812	1997-03-14	PRIJEM	VKLAD	24510	42799	\N	\N	\N
825262	2812	1997-04-14	PRIJEM	VKLAD	24510	41241	\N	\N	\N
825263	2812	1997-05-14	PRIJEM	VKLAD	24510	36262	\N	\N	\N
825264	2812	1997-06-14	PRIJEM	VKLAD	36765	42275	\N	\N	\N
825265	2812	1997-07-14	PRIJEM	VKLAD	24510	28537	\N	\N	\N
825266	2812	1997-08-14	PRIJEM	VKLAD	24510	28407	\N	\N	\N
825267	2812	1997-09-14	PRIJEM	VKLAD	24510	33076	\N	\N	\N
825268	2812	1997-10-14	PRIJEM	VKLAD	24510	31661	\N	\N	\N
825269	2812	1997-11-14	PRIJEM	VKLAD	24510	30179	\N	\N	\N
825270	2812	1997-12-14	PRIJEM	VKLAD	36765	42505	\N	\N	\N
825271	2812	1998-01-14	PRIJEM	VKLAD	24510	31156	\N	\N	\N
825272	2812	1998-02-14	PRIJEM	VKLAD	24510	39364	\N	\N	\N
825273	2812	1998-03-14	PRIJEM	VKLAD	24510	30465	\N	\N	\N
825274	2812	1998-04-14	PRIJEM	VKLAD	24510	46847	\N	\N	\N
825275	2812	1998-05-14	PRIJEM	VKLAD	24510	34577	\N	\N	\N
825276	2812	1998-06-14	PRIJEM	VKLAD	36765	43615	\N	\N	\N
825277	2812	1998-07-14	PRIJEM	VKLAD	24510	30882	\N	\N	\N
825278	2812	1998-08-14	PRIJEM	VKLAD	24510	47266	\N	\N	\N
825279	2812	1998-09-14	PRIJEM	VKLAD	24510	32184	\N	\N	\N
825280	2812	1998-10-14	PRIJEM	VKLAD	24510	48572	\N	\N	\N
825281	2812	1998-11-14	PRIJEM	VKLAD	24510	30988	\N	\N	\N
825282	2812	1998-12-14	PRIJEM	VKLAD	36765	55146	\N	\N	\N
825294	2812	1996-12-09	VYDAJ	PREVOD NA UCET	8211	33122	SIPO	MN	76939731
825295	2812	1997-01-09	VYDAJ	PREVOD NA UCET	8211	16447	SIPO	MN	76939731
825296	2812	1997-02-09	VYDAJ	PREVOD NA UCET	8211	13976	SIPO	MN	76939731
825297	2812	1997-03-09	VYDAJ	PREVOD NA UCET	8211	18289	SIPO	MN	76939731
825298	2812	1997-04-09	VYDAJ	PREVOD NA UCET	8211	16731	SIPO	MN	76939731
825299	2812	1997-05-09	VYDAJ	PREVOD NA UCET	8211	11752	SIPO	MN	76939731
825300	2812	1997-06-09	VYDAJ	PREVOD NA UCET	8211	10670	SIPO	MN	76939731
825301	2812	1997-07-09	VYDAJ	PREVOD NA UCET	8211	4027	SIPO	MN	76939731
825302	2812	1997-08-09	VYDAJ	PREVOD NA UCET	8211	3897	SIPO	MN	76939731
825303	2812	1997-09-09	VYDAJ	PREVOD NA UCET	8211	8566	SIPO	MN	76939731
825304	2812	1997-10-09	VYDAJ	PREVOD NA UCET	8211	7151	SIPO	MN	76939731
825305	2812	1997-11-09	VYDAJ	PREVOD NA UCET	8211	5669	SIPO	MN	76939731
825306	2812	1997-12-09	VYDAJ	PREVOD NA UCET	8211	5740	SIPO	MN	76939731
825307	2812	1998-01-09	VYDAJ	PREVOD NA UCET	8211	6646	SIPO	MN	76939731
825308	2812	1998-02-09	VYDAJ	PREVOD NA UCET	8211	14854	SIPO	MN	76939731
825309	2812	1998-03-09	VYDAJ	PREVOD NA UCET	8211	5955	SIPO	MN	76939731
825310	2812	1998-04-09	VYDAJ	PREVOD NA UCET	8211	22337	SIPO	MN	76939731
825311	2812	1998-05-09	VYDAJ	PREVOD NA UCET	8211	10067	SIPO	MN	76939731
825312	2812	1998-06-09	VYDAJ	PREVOD NA UCET	8211	6850	SIPO	MN	76939731
825313	2812	1998-07-09	VYDAJ	PREVOD NA UCET	8211	6372	SIPO	MN	76939731
825314	2812	1998-08-09	VYDAJ	PREVOD NA UCET	8211	22756	SIPO	MN	76939731
825315	2812	1998-09-09	VYDAJ	PREVOD NA UCET	8211	7674	SIPO	MN	76939731
825316	2812	1998-10-09	VYDAJ	PREVOD NA UCET	8211	24062	SIPO	MN	76939731
825317	2812	1998-11-09	VYDAJ	PREVOD NA UCET	8211	6478	SIPO	MN	76939731
825318	2812	1998-12-09	VYDAJ	PREVOD NA UCET	8211	22861	SIPO	MN	76939731
825320	2812	1997-06-23	VYDAJ	VYBER	23040	19235	\N	\N	\N
825323	2812	1997-01-04	VYDAJ	VYBER	10080	27058	\N	\N	\N
825324	2812	1998-01-14	VYDAJ	VYBER	3840	27316	\N	\N	\N
825325	2812	1996-12-28	VYDAJ	VYBER	2400	67487	\N	\N	\N
825326	2812	1997-12-16	VYDAJ	VYBER	2400	40105	\N	\N	\N
825327	2812	1998-12-11	VYDAJ	VYBER	4480	18381	\N	\N	\N
825334	2812	1997-01-04	VYDAJ	VYBER	2400	24658	\N	\N	\N
825335	2812	1997-01-23	VYDAJ	VYBER	1680	36157	\N	\N	\N
825336	2812	1997-01-16	VYDAJ	VYBER	2520	37837	\N	\N	\N
825337	2812	1997-01-09	VYDAJ	VYBER	600	15847	\N	\N	\N
825338	2812	1997-01-29	VYDAJ	VYBER	2400	33757	\N	\N	\N
825339	2812	1997-01-04	VYDAJ	VYBER	3000	37138	\N	\N	\N
825340	2812	1998-01-05	VYDAJ	VYBER	3240	14857	\N	\N	\N
825342	2812	1998-01-15	VYDAJ	VYBER	840	26476	\N	\N	\N
825345	2812	1998-01-21	VYDAJ	VYBER	1200	25276	\N	\N	\N
825349	2812	1997-06-09	VYDAJ	VYBER	5160	5510	\N	\N	\N
825350	2812	1997-10-27	VYDAJ	VYBER	3360	28301	\N	\N	\N
825353	2812	1997-05-07	VYDAJ	VYBER	3720	19963	\N	\N	\N
825354	2812	1998-06-21	VYDAJ	VYBER	4920	38695	\N	\N	\N
825355	2812	1998-01-21	VYDAJ	VYBER	2280	22996	\N	\N	\N
825369	2812	1996-11-30	VYDAJ	VYBER	15	70833	SLUZBY	\N	\N
825370	2812	1996-12-31	VYDAJ	VYBER	15	67738	SLUZBY	\N	\N
825371	2812	1997-01-31	VYDAJ	VYBER	15	33887	SLUZBY	\N	\N
825372	2812	1997-02-28	VYDAJ	VYBER	15	38600	SLUZBY	\N	\N
825373	2812	1997-03-31	VYDAJ	VYBER	15	42942	SLUZBY	\N	\N
825374	2812	1997-04-30	VYDAJ	VYBER	15	41383	SLUZBY	\N	\N
825375	2812	1997-05-31	VYDAJ	VYBER	15	36381	SLUZBY	\N	\N
825376	2812	1997-06-30	VYDAJ	VYBER	15	19338	SLUZBY	\N	\N
825377	2812	1997-07-31	VYDAJ	VYBER	15	12108	SLUZBY	\N	\N
825378	2812	1997-08-31	VYDAJ	VYBER	15	16777	SLUZBY	\N	\N
825379	2812	1997-09-30	VYDAJ	VYBER	15	15362	SLUZBY	\N	\N
825380	2812	1997-10-31	VYDAJ	VYBER	15	13880	SLUZBY	\N	\N
825381	2812	1997-11-30	VYDAJ	VYBER	15	13951	SLUZBY	\N	\N
825382	2812	1997-12-31	VYDAJ	VYBER	15	18097	SLUZBY	\N	\N
825383	2812	1998-01-31	VYDAJ	VYBER	15	23065	SLUZBY	\N	\N
825384	2812	1998-02-28	VYDAJ	VYBER	15	14166	SLUZBY	\N	\N
825385	2812	1998-03-31	VYDAJ	VYBER	15	30548	SLUZBY	\N	\N
825386	2812	1998-04-30	VYDAJ	VYBER	15	18278	SLUZBY	\N	\N
825387	2812	1998-05-31	VYDAJ	VYBER	15	15061	SLUZBY	\N	\N
825388	2812	1998-06-30	VYDAJ	VYBER	15	14583	SLUZBY	\N	\N
825389	2812	1998-07-31	VYDAJ	VYBER	15	30967	SLUZBY	\N	\N
825390	2812	1998-08-31	VYDAJ	VYBER	15	15885	SLUZBY	\N	\N
825391	2812	1998-09-30	VYDAJ	VYBER	15	32273	SLUZBY	\N	\N
825392	2812	1998-10-31	VYDAJ	VYBER	15	14689	SLUZBY	\N	\N
825393	2812	1998-11-30	VYDAJ	VYBER	15	31072	SLUZBY	\N	\N
825394	2812	1996-08-04	VYDAJ	VYBER	3000	21770	\N	\N	\N
825395	2812	1996-09-03	VYDAJ	VYBER	11500	34935	\N	\N	\N
825396	2812	1996-10-03	VYDAJ	VYBER	16000	43669	\N	\N	\N
825397	2812	1996-11-02	VYDAJ	VYBER	22400	46048	\N	\N	\N
825398	2812	1996-12-02	VYDAJ	VYBER	29500	41333	\N	\N	\N
825399	2812	1997-01-01	VYDAJ	VYBER	27600	40138	\N	\N	\N
825400	2812	1997-01-31	VYDAJ	VYBER	11700	22187	\N	\N	\N
825401	2812	1997-03-02	VYDAJ	VYBER	12100	26500	\N	\N	\N
825402	2812	1997-04-01	VYDAJ	VYBER	18000	24942	\N	\N	\N
825403	2812	1997-05-01	VYDAJ	VYBER	17700	23683	\N	\N	\N
825404	2812	1997-05-31	VYDAJ	VYBER	17500	18881	\N	\N	\N
825405	2812	1997-06-30	VYDAJ	VYBER	7100	12238	\N	\N	\N
825406	2812	1997-07-30	VYDAJ	VYBER	16500	12037	\N	\N	\N
825407	2812	1997-08-29	VYDAJ	VYBER	11700	16707	\N	\N	\N
825408	2812	1997-09-28	VYDAJ	VYBER	17800	15276	\N	\N	\N
825409	2812	1997-10-28	VYDAJ	VYBER	14500	13801	\N	\N	\N
825410	2812	1997-11-27	VYDAJ	VYBER	16300	13879	\N	\N	\N
825411	2812	1997-12-27	VYDAJ	VYBER	22100	18005	\N	\N	\N
825412	2812	1998-02-25	VYDAJ	VYBER	25300	14064	\N	\N	\N
825413	2812	1998-04-26	VYDAJ	VYBER	28700	18147	\N	\N	\N
825414	2812	1998-05-26	VYDAJ	VYBER	19600	14977	\N	\N	\N
825415	2812	1998-06-25	VYDAJ	VYBER	24200	14495	\N	\N	\N
825416	2812	1998-08-24	VYDAJ	VYBER	31500	15766	\N	\N	\N
825417	2812	1998-10-23	VYDAJ	VYBER	34000	14572	\N	\N	\N
825448	2813	1993-12-15	PRIJEM	VKLAD	800	800	\N	\N	\N
825461	2813	1994-01-08	PRIJEM	VKLAD	14422	15222	\N	\N	\N
825462	2813	1994-02-08	PRIJEM	VKLAD	14422	32488	\N	\N	\N
825463	2813	1994-03-08	PRIJEM	VKLAD	14422	44112	\N	\N	\N
825464	2813	1994-04-08	PRIJEM	VKLAD	14422	47465	\N	\N	\N
825465	2813	1994-05-08	PRIJEM	VKLAD	14422	49429	\N	\N	\N
825466	2813	1994-06-08	PRIJEM	VKLAD	21633	48569	\N	\N	\N
825467	2813	1994-07-08	PRIJEM	VKLAD	14422	39615	\N	\N	\N
825468	2813	1994-08-08	PRIJEM	VKLAD	14422	36781	\N	\N	\N
825469	2813	1994-09-08	PRIJEM	VKLAD	14422	38145	\N	\N	\N
825470	2813	1994-10-08	PRIJEM	VKLAD	14422	34285	\N	\N	\N
825471	2813	1994-11-08	PRIJEM	VKLAD	14422	33932	\N	\N	\N
825472	2813	1994-12-08	PRIJEM	VKLAD	21633	38387	\N	\N	\N
825473	2813	1995-01-08	PRIJEM	VKLAD	14422	22245	\N	\N	\N
825474	2813	1995-02-08	PRIJEM	VKLAD	14422	22054	\N	\N	\N
825475	2813	1995-03-08	PRIJEM	VKLAD	14422	30073	\N	\N	\N
825476	2813	1995-04-08	PRIJEM	VKLAD	14422	30403	\N	\N	\N
825477	2813	1995-05-08	PRIJEM	VKLAD	14422	34647	\N	\N	\N
825478	2813	1995-06-08	PRIJEM	VKLAD	21633	39699	\N	\N	\N
825479	2813	1995-07-08	PRIJEM	VKLAD	14422	37051	\N	\N	\N
825480	2813	1995-08-08	PRIJEM	VKLAD	14422	32704	\N	\N	\N
825481	2813	1995-09-08	PRIJEM	VKLAD	14422	35471	\N	\N	\N
825482	2813	1995-10-08	PRIJEM	VKLAD	14422	39751	\N	\N	\N
825483	2813	1995-11-08	PRIJEM	VKLAD	14422	33065	\N	\N	\N
825484	2813	1995-12-08	PRIJEM	VKLAD	21633	41646	\N	\N	\N
825485	2813	1996-01-08	PRIJEM	VKLAD	14422	37322	\N	\N	\N
825486	2813	1996-02-08	PRIJEM	VKLAD	14422	28481	\N	\N	\N
825487	2813	1996-03-08	PRIJEM	VKLAD	14422	32505	\N	\N	\N
825488	2813	1996-04-08	PRIJEM	VKLAD	14422	33904	\N	\N	\N
825489	2813	1996-05-08	PRIJEM	VKLAD	14422	31371	\N	\N	\N
825490	2813	1996-06-08	PRIJEM	VKLAD	21633	40145	\N	\N	\N
825491	2813	1996-07-08	PRIJEM	VKLAD	14422	36736	\N	\N	\N
825492	2813	1996-08-08	PRIJEM	VKLAD	14422	32622	\N	\N	\N
825493	2813	1996-09-08	PRIJEM	VKLAD	14422	31490	\N	\N	\N
825494	2813	1996-10-08	PRIJEM	VKLAD	14422	30759	\N	\N	\N
825495	2813	1996-11-08	PRIJEM	VKLAD	14422	35913	\N	\N	\N
825496	2813	1996-12-08	PRIJEM	VKLAD	21633	40995	\N	\N	\N
825497	2813	1997-01-08	PRIJEM	VKLAD	14422	39763	\N	\N	\N
825498	2813	1997-02-08	PRIJEM	VKLAD	14422	30019	\N	\N	\N
825499	2813	1997-03-08	PRIJEM	VKLAD	14422	31567	\N	\N	\N
825500	2813	1997-04-08	PRIJEM	VKLAD	14422	30321	\N	\N	\N
825501	2813	1997-05-08	PRIJEM	VKLAD	14422	29771	\N	\N	\N
825502	2813	1997-06-08	PRIJEM	VKLAD	21633	39129	\N	\N	\N
825503	2813	1997-07-08	PRIJEM	VKLAD	14422	30177	\N	\N	\N
825504	2813	1997-08-08	PRIJEM	VKLAD	14422	28024	\N	\N	\N
825505	2813	1997-09-08	PRIJEM	VKLAD	14422	27160	\N	\N	\N
825506	2813	1997-10-08	PRIJEM	VKLAD	14422	27393	\N	\N	\N
825507	2813	1997-11-08	PRIJEM	VKLAD	14422	26525	\N	\N	\N
825508	2813	1997-12-08	PRIJEM	VKLAD	21633	30461	\N	\N	\N
825509	2813	1998-01-08	PRIJEM	VKLAD	14422	34638	\N	\N	\N
825510	2813	1998-02-08	PRIJEM	VKLAD	14422	30742	\N	\N	\N
825511	2813	1998-03-08	PRIJEM	VKLAD	14422	38495	\N	\N	\N
825512	2813	1998-04-08	PRIJEM	VKLAD	14422	24857	\N	\N	\N
825513	2813	1998-05-08	PRIJEM	VKLAD	14422	32586	\N	\N	\N
825514	2813	1998-06-08	PRIJEM	VKLAD	21633	47558	\N	\N	\N
825515	2813	1998-07-08	PRIJEM	VKLAD	14422	23034	\N	\N	\N
825516	2813	1998-08-08	PRIJEM	VKLAD	14422	30755	\N	\N	\N
825517	2813	1998-09-08	PRIJEM	VKLAD	14422	34422	\N	\N	\N
825518	2813	1998-10-08	PRIJEM	VKLAD	14422	42190	\N	\N	\N
825519	2813	1998-11-08	PRIJEM	VKLAD	14422	48787	\N	\N	\N
825520	2813	1998-12-08	PRIJEM	VKLAD	21633	63825	\N	\N	\N
825538	2813	1994-06-07	VYDAJ	PREVOD NA UCET	798	26936	SIPO	OP	75464439
825539	2813	1994-07-07	VYDAJ	PREVOD NA UCET	798	25193	SIPO	OP	75464439
825540	2813	1994-08-07	VYDAJ	PREVOD NA UCET	798	22359	SIPO	OP	75464439
825541	2813	1994-09-07	VYDAJ	PREVOD NA UCET	798	23723	SIPO	OP	75464439
825542	2813	1994-10-07	VYDAJ	PREVOD NA UCET	798	19863	SIPO	OP	75464439
825543	2813	1994-11-07	VYDAJ	PREVOD NA UCET	798	19510	SIPO	OP	75464439
825544	2813	1994-12-07	VYDAJ	PREVOD NA UCET	798	16754	SIPO	OP	75464439
825545	2813	1995-01-07	VYDAJ	PREVOD NA UCET	798	7823	SIPO	OP	75464439
825546	2813	1995-02-07	VYDAJ	PREVOD NA UCET	798	7632	SIPO	OP	75464439
825547	2813	1995-03-07	VYDAJ	PREVOD NA UCET	798	15651	SIPO	OP	75464439
825548	2813	1995-04-07	VYDAJ	PREVOD NA UCET	798	15981	SIPO	OP	75464439
825549	2813	1995-05-07	VYDAJ	PREVOD NA UCET	798	20225	SIPO	OP	75464439
825550	2813	1995-06-07	VYDAJ	PREVOD NA UCET	798	18066	SIPO	OP	75464439
825551	2813	1995-07-07	VYDAJ	PREVOD NA UCET	798	22629	SIPO	OP	75464439
825552	2813	1995-08-07	VYDAJ	PREVOD NA UCET	798	18282	SIPO	OP	75464439
825553	2813	1995-09-07	VYDAJ	PREVOD NA UCET	798	21049	SIPO	OP	75464439
825554	2813	1995-10-07	VYDAJ	PREVOD NA UCET	798	25329	SIPO	OP	75464439
825555	2813	1995-11-07	VYDAJ	PREVOD NA UCET	798	18643	SIPO	OP	75464439
825556	2813	1995-12-07	VYDAJ	PREVOD NA UCET	798	20013	SIPO	OP	75464439
825557	2813	1996-01-07	VYDAJ	PREVOD NA UCET	798	22900	SIPO	OP	75464439
825558	2813	1996-02-07	VYDAJ	PREVOD NA UCET	798	14059	SIPO	OP	75464439
825559	2813	1996-03-07	VYDAJ	PREVOD NA UCET	798	18083	SIPO	OP	75464439
825560	2813	1996-04-07	VYDAJ	PREVOD NA UCET	798	19482	SIPO	OP	75464439
825561	2813	1996-05-07	VYDAJ	PREVOD NA UCET	798	16949	SIPO	OP	75464439
825562	2813	1996-06-07	VYDAJ	PREVOD NA UCET	798	18512	SIPO	OP	75464439
825563	2813	1996-07-07	VYDAJ	PREVOD NA UCET	798	22314	SIPO	OP	75464439
825564	2813	1996-08-07	VYDAJ	PREVOD NA UCET	798	18200	SIPO	OP	75464439
825565	2813	1996-09-07	VYDAJ	PREVOD NA UCET	798	17068	SIPO	OP	75464439
825566	2813	1996-10-07	VYDAJ	PREVOD NA UCET	798	16337	SIPO	OP	75464439
825567	2813	1996-11-07	VYDAJ	PREVOD NA UCET	798	21491	SIPO	OP	75464439
825568	2813	1996-12-07	VYDAJ	PREVOD NA UCET	798	19362	SIPO	OP	75464439
825569	2813	1997-01-07	VYDAJ	PREVOD NA UCET	798	25341	SIPO	OP	75464439
825570	2813	1997-02-07	VYDAJ	PREVOD NA UCET	798	15597	SIPO	OP	75464439
825571	2813	1997-03-07	VYDAJ	PREVOD NA UCET	798	17145	SIPO	OP	75464439
825572	2813	1997-04-07	VYDAJ	PREVOD NA UCET	798	15899	SIPO	OP	75464439
825573	2813	1997-05-07	VYDAJ	PREVOD NA UCET	798	15349	SIPO	OP	75464439
825574	2813	1997-06-07	VYDAJ	PREVOD NA UCET	798	17496	SIPO	OP	75464439
825575	2813	1997-07-07	VYDAJ	PREVOD NA UCET	798	15755	SIPO	OP	75464439
825576	2813	1997-08-07	VYDAJ	PREVOD NA UCET	798	13602	SIPO	OP	75464439
825577	2813	1997-09-07	VYDAJ	PREVOD NA UCET	798	12738	SIPO	OP	75464439
825578	2813	1997-10-07	VYDAJ	PREVOD NA UCET	798	12971	SIPO	OP	75464439
825579	2813	1997-11-07	VYDAJ	PREVOD NA UCET	798	12103	SIPO	OP	75464439
825580	2813	1997-12-07	VYDAJ	PREVOD NA UCET	798	8828	SIPO	OP	75464439
825581	2813	1998-01-07	VYDAJ	PREVOD NA UCET	798	20216	SIPO	OP	75464439
825582	2813	1998-02-07	VYDAJ	PREVOD NA UCET	798	16320	SIPO	OP	75464439
825583	2813	1998-03-07	VYDAJ	PREVOD NA UCET	798	24073	SIPO	OP	75464439
825584	2813	1998-04-07	VYDAJ	PREVOD NA UCET	798	10435	SIPO	OP	75464439
825585	2813	1998-05-07	VYDAJ	PREVOD NA UCET	798	18164	SIPO	OP	75464439
825586	2813	1998-06-07	VYDAJ	PREVOD NA UCET	798	25925	SIPO	OP	75464439
825587	2813	1998-07-07	VYDAJ	PREVOD NA UCET	798	8612	SIPO	OP	75464439
825588	2813	1998-08-07	VYDAJ	PREVOD NA UCET	798	16333	SIPO	OP	75464439
825589	2813	1998-09-07	VYDAJ	PREVOD NA UCET	798	20000	SIPO	OP	75464439
825590	2813	1998-10-07	VYDAJ	PREVOD NA UCET	798	27768	SIPO	OP	75464439
825591	2813	1998-11-07	VYDAJ	PREVOD NA UCET	798	34365	SIPO	OP	75464439
825592	2813	1998-12-07	VYDAJ	PREVOD NA UCET	798	42192	SIPO	OP	75464439
825610	2813	1994-06-06	VYDAJ	PREVOD NA UCET	4789	27734	 	GH	57591462
825611	2813	1994-07-06	VYDAJ	PREVOD NA UCET	4789	26948	 	GH	57591462
825612	2813	1994-08-06	VYDAJ	PREVOD NA UCET	4789	23157	 	GH	57591462
825613	2813	1994-09-06	VYDAJ	PREVOD NA UCET	4789	24521	 	GH	57591462
825614	2813	1994-10-06	VYDAJ	PREVOD NA UCET	4789	21618	 	GH	57591462
825615	2813	1994-11-06	VYDAJ	PREVOD NA UCET	4789	21265	 	GH	57591462
825616	2813	1994-12-06	VYDAJ	PREVOD NA UCET	4789	17552	 	GH	57591462
825617	2813	1995-01-06	VYDAJ	PREVOD NA UCET	4789	8621	 	GH	57591462
825618	2813	1995-02-06	VYDAJ	PREVOD NA UCET	4789	8430	 	GH	57591462
825619	2813	1995-03-06	VYDAJ	PREVOD NA UCET	4789	16449	 	GH	57591462
825620	2813	1995-04-06	VYDAJ	PREVOD NA UCET	4789	16779	 	GH	57591462
825621	2813	1995-05-06	VYDAJ	PREVOD NA UCET	4789	21023	 	GH	57591462
825622	2813	1995-06-06	VYDAJ	PREVOD NA UCET	4789	19821	 	GH	57591462
825623	2813	1995-07-06	VYDAJ	PREVOD NA UCET	4789	24384	 	GH	57591462
825624	2813	1995-08-06	VYDAJ	PREVOD NA UCET	4789	22280	 	GH	57591462
825625	2813	1995-09-06	VYDAJ	PREVOD NA UCET	4789	21847	 	GH	57591462
825626	2813	1995-10-06	VYDAJ	PREVOD NA UCET	4789	26127	 	GH	57591462
825627	2813	1995-11-06	VYDAJ	PREVOD NA UCET	4789	19441	 	GH	57591462
825628	2813	1995-12-06	VYDAJ	PREVOD NA UCET	4789	21768	 	GH	57591462
825629	2813	1996-01-06	VYDAJ	PREVOD NA UCET	4789	23698	 	GH	57591462
825630	2813	1996-02-06	VYDAJ	PREVOD NA UCET	4789	15814	 	GH	57591462
825631	2813	1996-03-06	VYDAJ	PREVOD NA UCET	4789	18881	 	GH	57591462
825632	2813	1996-04-06	VYDAJ	PREVOD NA UCET	4789	21237	 	GH	57591462
825633	2813	1996-05-06	VYDAJ	PREVOD NA UCET	4789	19307	 	GH	57591462
825634	2813	1996-06-06	VYDAJ	PREVOD NA UCET	4789	19310	 	GH	57591462
825635	2813	1996-07-06	VYDAJ	PREVOD NA UCET	4789	24069	 	GH	57591462
825636	2813	1996-08-06	VYDAJ	PREVOD NA UCET	4789	19955	 	GH	57591462
825637	2813	1996-09-06	VYDAJ	PREVOD NA UCET	4789	18823	 	GH	57591462
825638	2813	1996-10-06	VYDAJ	PREVOD NA UCET	4789	17135	 	GH	57591462
825639	2813	1996-11-06	VYDAJ	PREVOD NA UCET	4789	23246	 	GH	57591462
825640	2813	1996-12-06	VYDAJ	PREVOD NA UCET	4789	20160	 	GH	57591462
825641	2813	1997-01-06	VYDAJ	PREVOD NA UCET	4789	26139	 	GH	57591462
825642	2813	1997-02-06	VYDAJ	PREVOD NA UCET	4789	17352	 	GH	57591462
825643	2813	1997-03-06	VYDAJ	PREVOD NA UCET	4789	18900	 	GH	57591462
825644	2813	1997-04-06	VYDAJ	PREVOD NA UCET	4789	16697	 	GH	57591462
825645	2813	1997-05-06	VYDAJ	PREVOD NA UCET	4789	17104	 	GH	57591462
825646	2813	1997-06-06	VYDAJ	PREVOD NA UCET	4789	19251	 	GH	57591462
825647	2813	1997-07-06	VYDAJ	PREVOD NA UCET	4789	17510	 	GH	57591462
825648	2813	1997-08-06	VYDAJ	PREVOD NA UCET	4789	14400	 	GH	57591462
825649	2813	1997-09-06	VYDAJ	PREVOD NA UCET	4789	13536	 	GH	57591462
825650	2813	1997-10-06	VYDAJ	PREVOD NA UCET	4789	14726	 	GH	57591462
825651	2813	1997-11-06	VYDAJ	PREVOD NA UCET	4789	13858	 	GH	57591462
825652	2813	1997-12-06	VYDAJ	PREVOD NA UCET	4789	10583	 	GH	57591462
825653	2813	1998-01-06	VYDAJ	PREVOD NA UCET	4789	21971	 	GH	57591462
825654	2813	1998-02-06	VYDAJ	PREVOD NA UCET	4789	18075	 	GH	57591462
825655	2813	1998-03-06	VYDAJ	PREVOD NA UCET	4789	24871	 	GH	57591462
825656	2813	1998-04-06	VYDAJ	PREVOD NA UCET	4789	11233	 	GH	57591462
825657	2813	1998-05-06	VYDAJ	PREVOD NA UCET	4789	18962	 	GH	57591462
825658	2813	1998-06-06	VYDAJ	PREVOD NA UCET	4789	27680	 	GH	57591462
825659	2813	1998-07-06	VYDAJ	PREVOD NA UCET	4789	9410	 	GH	57591462
825660	2813	1998-08-06	VYDAJ	PREVOD NA UCET	4789	17131	 	GH	57591462
825661	2813	1998-09-06	VYDAJ	PREVOD NA UCET	4789	20798	 	GH	57591462
825662	2813	1998-10-06	VYDAJ	PREVOD NA UCET	4789	28566	 	GH	57591462
825663	2813	1998-11-06	VYDAJ	PREVOD NA UCET	4789	35163	 	GH	57591462
825664	2813	1998-12-06	VYDAJ	PREVOD NA UCET	4789	42990	 	GH	57591462
825682	2813	1994-06-05	VYDAJ	PREVOD NA UCET	227	33480	POJISTNE	AB	7243586
825683	2813	1994-07-05	VYDAJ	PREVOD NA UCET	227	31737	POJISTNE	AB	7243586
825684	2813	1994-08-05	VYDAJ	PREVOD NA UCET	227	28903	POJISTNE	AB	7243586
825685	2813	1994-09-05	VYDAJ	PREVOD NA UCET	227	30267	POJISTNE	AB	7243586
825686	2813	1994-10-05	VYDAJ	PREVOD NA UCET	227	26407	POJISTNE	AB	7243586
825687	2813	1994-11-05	VYDAJ	PREVOD NA UCET	227	26054	POJISTNE	AB	7243586
825688	2813	1994-12-05	VYDAJ	PREVOD NA UCET	227	23298	POJISTNE	AB	7243586
825689	2813	1995-01-05	VYDAJ	PREVOD NA UCET	227	14367	POJISTNE	AB	7243586
825690	2813	1995-02-05	VYDAJ	PREVOD NA UCET	227	14176	POJISTNE	AB	7243586
825691	2813	1995-03-05	VYDAJ	PREVOD NA UCET	227	22195	POJISTNE	AB	7243586
825692	2813	1995-04-05	VYDAJ	PREVOD NA UCET	227	22525	POJISTNE	AB	7243586
825693	2813	1995-05-05	VYDAJ	PREVOD NA UCET	227	26769	POJISTNE	AB	7243586
825694	2813	1995-06-05	VYDAJ	PREVOD NA UCET	227	24610	POJISTNE	AB	7243586
825695	2813	1995-07-05	VYDAJ	PREVOD NA UCET	227	29173	POJISTNE	AB	7243586
825696	2813	1995-08-05	VYDAJ	PREVOD NA UCET	227	28026	POJISTNE	AB	7243586
825697	2813	1995-09-05	VYDAJ	PREVOD NA UCET	227	32593	POJISTNE	AB	7243586
825698	2813	1995-10-05	VYDAJ	PREVOD NA UCET	227	35373	POJISTNE	AB	7243586
825699	2813	1995-11-05	VYDAJ	PREVOD NA UCET	227	25187	POJISTNE	AB	7243586
825700	2813	1995-12-05	VYDAJ	PREVOD NA UCET	227	26557	POJISTNE	AB	7243586
825701	2813	1996-01-05	VYDAJ	PREVOD NA UCET	227	29444	POJISTNE	AB	7243586
825702	2813	1996-02-05	VYDAJ	PREVOD NA UCET	227	20603	POJISTNE	AB	7243586
825703	2813	1996-03-05	VYDAJ	PREVOD NA UCET	227	24627	POJISTNE	AB	7243586
825704	2813	1996-04-05	VYDAJ	PREVOD NA UCET	227	26026	POJISTNE	AB	7243586
825705	2813	1996-05-05	VYDAJ	PREVOD NA UCET	227	25053	POJISTNE	AB	7243586
825706	2813	1996-06-05	VYDAJ	PREVOD NA UCET	227	25056	POJISTNE	AB	7243586
825707	2813	1996-07-05	VYDAJ	PREVOD NA UCET	227	28858	POJISTNE	AB	7243586
825708	2813	1996-08-05	VYDAJ	PREVOD NA UCET	227	24744	POJISTNE	AB	7243586
825709	2813	1996-09-05	VYDAJ	PREVOD NA UCET	227	23612	POJISTNE	AB	7243586
825710	2813	1996-10-05	VYDAJ	PREVOD NA UCET	227	22881	POJISTNE	AB	7243586
825711	2813	1996-11-05	VYDAJ	PREVOD NA UCET	227	28035	POJISTNE	AB	7243586
825712	2813	1996-12-05	VYDAJ	PREVOD NA UCET	227	25906	POJISTNE	AB	7243586
825713	2813	1997-01-05	VYDAJ	PREVOD NA UCET	227	31885	POJISTNE	AB	7243586
825714	2813	1997-02-05	VYDAJ	PREVOD NA UCET	227	22141	POJISTNE	AB	7243586
825715	2813	1997-03-05	VYDAJ	PREVOD NA UCET	227	23689	POJISTNE	AB	7243586
825716	2813	1997-04-05	VYDAJ	PREVOD NA UCET	227	22443	POJISTNE	AB	7243586
825717	2813	1997-05-05	VYDAJ	PREVOD NA UCET	227	21893	POJISTNE	AB	7243586
825718	2813	1997-06-05	VYDAJ	PREVOD NA UCET	227	24040	POJISTNE	AB	7243586
825719	2813	1997-07-05	VYDAJ	PREVOD NA UCET	227	24459	POJISTNE	AB	7243586
825720	2813	1997-08-05	VYDAJ	PREVOD NA UCET	227	20146	POJISTNE	AB	7243586
825721	2813	1997-09-05	VYDAJ	PREVOD NA UCET	227	19282	POJISTNE	AB	7243586
825722	2813	1997-10-05	VYDAJ	PREVOD NA UCET	227	19515	POJISTNE	AB	7243586
825723	2813	1997-11-05	VYDAJ	PREVOD NA UCET	227	18647	POJISTNE	AB	7243586
825724	2813	1997-12-05	VYDAJ	PREVOD NA UCET	227	15372	POJISTNE	AB	7243586
825725	2813	1998-01-05	VYDAJ	PREVOD NA UCET	227	26760	POJISTNE	AB	7243586
825726	2813	1998-02-05	VYDAJ	PREVOD NA UCET	227	22864	POJISTNE	AB	7243586
825727	2813	1998-03-05	VYDAJ	PREVOD NA UCET	227	30617	POJISTNE	AB	7243586
825728	2813	1998-04-05	VYDAJ	PREVOD NA UCET	227	16979	POJISTNE	AB	7243586
825729	2813	1998-05-05	VYDAJ	PREVOD NA UCET	227	24708	POJISTNE	AB	7243586
825730	2813	1998-06-05	VYDAJ	PREVOD NA UCET	227	32469	POJISTNE	AB	7243586
825731	2813	1998-07-05	VYDAJ	PREVOD NA UCET	227	15156	POJISTNE	AB	7243586
825732	2813	1998-08-05	VYDAJ	PREVOD NA UCET	227	22877	POJISTNE	AB	7243586
825733	2813	1998-09-05	VYDAJ	PREVOD NA UCET	227	26544	POJISTNE	AB	7243586
825734	2813	1998-10-05	VYDAJ	PREVOD NA UCET	227	34312	POJISTNE	AB	7243586
825735	2813	1998-11-05	VYDAJ	PREVOD NA UCET	227	40909	POJISTNE	AB	7243586
825736	2813	1998-12-05	VYDAJ	PREVOD NA UCET	227	48736	POJISTNE	AB	7243586
825754	2813	1994-06-06	VYDAJ	PREVOD NA UCET	957	32523	 	OP	607473
825755	2813	1994-07-06	VYDAJ	PREVOD NA UCET	957	25991	 	OP	607473
825756	2813	1994-08-06	VYDAJ	PREVOD NA UCET	957	27946	 	OP	607473
825757	2813	1994-09-06	VYDAJ	PREVOD NA UCET	957	29310	 	OP	607473
825758	2813	1994-10-06	VYDAJ	PREVOD NA UCET	957	20661	 	OP	607473
825759	2813	1994-11-06	VYDAJ	PREVOD NA UCET	957	20308	 	OP	607473
825760	2813	1994-12-06	VYDAJ	PREVOD NA UCET	957	22341	 	OP	607473
825761	2813	1995-01-06	VYDAJ	PREVOD NA UCET	957	13410	 	OP	607473
825762	2813	1995-02-06	VYDAJ	PREVOD NA UCET	957	13219	 	OP	607473
825763	2813	1995-03-06	VYDAJ	PREVOD NA UCET	957	21238	 	OP	607473
825764	2813	1995-04-06	VYDAJ	PREVOD NA UCET	957	21568	 	OP	607473
825765	2813	1995-05-06	VYDAJ	PREVOD NA UCET	957	25812	 	OP	607473
825766	2813	1995-06-06	VYDAJ	PREVOD NA UCET	957	18864	 	OP	607473
825767	2813	1995-07-06	VYDAJ	PREVOD NA UCET	957	23427	 	OP	607473
825768	2813	1995-08-06	VYDAJ	PREVOD NA UCET	957	27069	 	OP	607473
825769	2813	1995-09-06	VYDAJ	PREVOD NA UCET	957	31636	 	OP	607473
825770	2813	1995-10-06	VYDAJ	PREVOD NA UCET	957	34416	 	OP	607473
825771	2813	1995-11-06	VYDAJ	PREVOD NA UCET	957	24230	 	OP	607473
825772	2813	1995-12-06	VYDAJ	PREVOD NA UCET	957	20811	 	OP	607473
825773	2813	1996-01-06	VYDAJ	PREVOD NA UCET	957	28487	 	OP	607473
825774	2813	1996-02-06	VYDAJ	PREVOD NA UCET	957	14857	 	OP	607473
825775	2813	1996-03-06	VYDAJ	PREVOD NA UCET	957	23670	 	OP	607473
825776	2813	1996-04-06	VYDAJ	PREVOD NA UCET	957	20280	 	OP	607473
825777	2813	1996-05-06	VYDAJ	PREVOD NA UCET	957	24096	 	OP	607473
825778	2813	1996-06-06	VYDAJ	PREVOD NA UCET	957	24099	 	OP	607473
825779	2813	1996-07-06	VYDAJ	PREVOD NA UCET	957	23112	 	OP	607473
825780	2813	1996-08-06	VYDAJ	PREVOD NA UCET	957	18998	 	OP	607473
825781	2813	1996-09-06	VYDAJ	PREVOD NA UCET	957	17866	 	OP	607473
825782	2813	1996-10-06	VYDAJ	PREVOD NA UCET	957	21924	 	OP	607473
825783	2813	1996-11-06	VYDAJ	PREVOD NA UCET	957	22289	 	OP	607473
825784	2813	1996-12-06	VYDAJ	PREVOD NA UCET	957	24949	 	OP	607473
825785	2813	1997-01-06	VYDAJ	PREVOD NA UCET	957	30928	 	OP	607473
825786	2813	1997-02-06	VYDAJ	PREVOD NA UCET	957	16395	 	OP	607473
825787	2813	1997-03-06	VYDAJ	PREVOD NA UCET	957	17943	 	OP	607473
825788	2813	1997-04-06	VYDAJ	PREVOD NA UCET	957	21486	 	OP	607473
825789	2813	1997-05-06	VYDAJ	PREVOD NA UCET	957	16147	 	OP	607473
825790	2813	1997-06-06	VYDAJ	PREVOD NA UCET	957	18294	 	OP	607473
825791	2813	1997-07-06	VYDAJ	PREVOD NA UCET	957	16553	 	OP	607473
825792	2813	1997-08-06	VYDAJ	PREVOD NA UCET	957	19189	 	OP	607473
825793	2813	1997-09-06	VYDAJ	PREVOD NA UCET	957	18325	 	OP	607473
825794	2813	1997-10-06	VYDAJ	PREVOD NA UCET	957	13769	 	OP	607473
825795	2813	1997-11-06	VYDAJ	PREVOD NA UCET	957	12901	 	OP	607473
825796	2813	1997-12-06	VYDAJ	PREVOD NA UCET	957	9626	 	OP	607473
825797	2813	1998-01-06	VYDAJ	PREVOD NA UCET	957	21014	 	OP	607473
825798	2813	1998-02-06	VYDAJ	PREVOD NA UCET	957	17118	 	OP	607473
825799	2813	1998-03-06	VYDAJ	PREVOD NA UCET	957	29660	 	OP	607473
825800	2813	1998-04-06	VYDAJ	PREVOD NA UCET	957	16022	 	OP	607473
825801	2813	1998-05-06	VYDAJ	PREVOD NA UCET	957	23751	 	OP	607473
825802	2813	1998-06-06	VYDAJ	PREVOD NA UCET	957	26723	 	OP	607473
825803	2813	1998-07-06	VYDAJ	PREVOD NA UCET	957	14199	 	OP	607473
825804	2813	1998-08-06	VYDAJ	PREVOD NA UCET	957	21920	 	OP	607473
825805	2813	1998-09-06	VYDAJ	PREVOD NA UCET	957	25587	 	OP	607473
825806	2813	1998-10-06	VYDAJ	PREVOD NA UCET	957	33355	 	OP	607473
825807	2813	1998-11-06	VYDAJ	PREVOD NA UCET	957	39952	 	OP	607473
825808	2813	1998-12-06	VYDAJ	PREVOD NA UCET	957	47779	 	OP	607473
825810	2813	1994-12-24	VYDAJ	VYBER	2400	22427	\N	\N	\N
825811	2813	1995-12-30	VYDAJ	VYBER	4320	37326	\N	\N	\N
825812	2813	1996-12-29	VYDAJ	VYBER	2720	38275	\N	\N	\N
825813	2813	1997-12-14	VYDAJ	VYBER	2240	26901	\N	\N	\N
825827	2813	1995-01-10	VYDAJ	VYBER	960	18185	\N	\N	\N
825828	2813	1995-01-28	VYDAJ	VYBER	2880	14345	\N	\N	\N
825830	2813	1995-01-05	VYDAJ	VYBER	1440	14594	\N	\N	\N
825831	2813	1995-01-02	VYDAJ	VYBER	3240	19274	\N	\N	\N
825832	2813	1995-01-05	VYDAJ	VYBER	3240	16034	\N	\N	\N
825833	2813	1996-01-23	VYDAJ	VYBER	600	24722	\N	\N	\N
825834	2813	1996-01-14	VYDAJ	VYBER	3120	31922	\N	\N	\N
825835	2813	1996-01-22	VYDAJ	VYBER	2880	25322	\N	\N	\N
825836	2813	1996-01-15	VYDAJ	VYBER	2280	28202	\N	\N	\N
825837	2813	1996-01-14	VYDAJ	VYBER	1440	30482	\N	\N	\N
825838	2813	1996-01-10	VYDAJ	VYBER	2280	35042	\N	\N	\N
825839	2813	1997-01-27	VYDAJ	VYBER	2640	24763	\N	\N	\N
825840	2813	1997-01-30	VYDAJ	VYBER	2520	22243	\N	\N	\N
825841	2813	1997-01-14	VYDAJ	VYBER	960	38803	\N	\N	\N
825842	2813	1997-01-27	VYDAJ	VYBER	2280	30163	\N	\N	\N
825843	2813	1997-01-27	VYDAJ	VYBER	2760	27403	\N	\N	\N
825844	2813	1997-01-16	VYDAJ	VYBER	2520	36283	\N	\N	\N
825845	2813	1998-01-26	VYDAJ	VYBER	1560	24078	\N	\N	\N
825846	2813	1998-01-14	VYDAJ	VYBER	3360	27078	\N	\N	\N
825847	2813	1998-01-09	VYDAJ	VYBER	2280	32358	\N	\N	\N
825848	2813	1998-01-14	VYDAJ	VYBER	1440	25638	\N	\N	\N
825849	2813	1998-01-11	VYDAJ	VYBER	1920	30438	\N	\N	\N
825850	2813	1998-01-29	VYDAJ	VYBER	1080	22998	\N	\N	\N
825855	2813	1994-06-04	VYDAJ	VYBER	4560	33707	\N	\N	\N
825857	2813	1994-06-16	VYDAJ	VYBER	5040	31829	\N	\N	\N
825858	2813	1994-12-05	VYDAJ	VYBER	1800	23525	\N	\N	\N
825859	2813	1994-12-09	VYDAJ	VYBER	5760	32627	\N	\N	\N
825860	2813	1994-09-22	VYDAJ	VYBER	4320	26525	\N	\N	\N
825861	2813	1995-10-29	VYDAJ	VYBER	4680	35071	\N	\N	\N
825862	2813	1995-01-17	VYDAJ	VYBER	960	17225	\N	\N	\N
825863	2813	1995-11-03	VYDAJ	VYBER	4200	31014	\N	\N	\N
825864	2813	1996-11-26	VYDAJ	VYBER	4800	31113	\N	\N	\N
825865	2813	1996-03-08	VYDAJ	VYBER	1560	30945	\N	\N	\N
825866	2813	1996-02-11	VYDAJ	VYBER	1320	27161	\N	\N	\N
825867	2813	1996-05-07	VYDAJ	VYBER	1560	17747	\N	\N	\N
825868	2813	1996-04-23	VYDAJ	VYBER	2640	31264	\N	\N	\N
825869	2813	1996-09-16	VYDAJ	VYBER	3480	28010	\N	\N	\N
825870	2813	1997-07-06	VYDAJ	VYBER	2160	22299	\N	\N	\N
825871	2813	1997-01-21	VYDAJ	VYBER	3840	32443	\N	\N	\N
825872	2813	1997-12-13	VYDAJ	VYBER	1320	29141	\N	\N	\N
825873	2813	1997-06-18	VYDAJ	VYBER	3960	35169	\N	\N	\N
825876	2813	1998-10-14	VYDAJ	VYBER	1200	40990	\N	\N	\N
825879	2813	1998-08-21	VYDAJ	VYBER	4080	26675	\N	\N	\N
825897	2813	1994-05-31	VYDAJ	VYBER	15	38267	SLUZBY	\N	\N
825898	2813	1994-06-30	VYDAJ	VYBER	15	31964	SLUZBY	\N	\N
825899	2813	1994-07-31	VYDAJ	VYBER	15	29130	SLUZBY	\N	\N
825900	2813	1994-08-31	VYDAJ	VYBER	15	30494	SLUZBY	\N	\N
825901	2813	1994-09-30	VYDAJ	VYBER	15	26634	SLUZBY	\N	\N
825902	2813	1994-10-31	VYDAJ	VYBER	15	26281	SLUZBY	\N	\N
825903	2813	1994-11-30	VYDAJ	VYBER	15	25325	SLUZBY	\N	\N
825904	2813	1994-12-31	VYDAJ	VYBER	15	22514	SLUZBY	\N	\N
825905	2813	1995-01-31	VYDAJ	VYBER	15	14403	SLUZBY	\N	\N
825906	2813	1995-02-28	VYDAJ	VYBER	15	22422	SLUZBY	\N	\N
825907	2813	1995-03-31	VYDAJ	VYBER	15	22752	SLUZBY	\N	\N
825908	2813	1995-04-30	VYDAJ	VYBER	15	26996	SLUZBY	\N	\N
825909	2813	1995-05-31	VYDAJ	VYBER	15	24837	SLUZBY	\N	\N
825910	2813	1995-06-30	VYDAJ	VYBER	15	29400	SLUZBY	\N	\N
825911	2813	1995-07-31	VYDAJ	VYBER	15	28253	SLUZBY	\N	\N
825912	2813	1995-08-31	VYDAJ	VYBER	15	32820	SLUZBY	\N	\N
825913	2813	1995-09-30	VYDAJ	VYBER	15	35600	SLUZBY	\N	\N
825914	2813	1995-10-31	VYDAJ	VYBER	15	35214	SLUZBY	\N	\N
825915	2813	1995-11-30	VYDAJ	VYBER	15	33184	SLUZBY	\N	\N
825916	2813	1995-12-31	VYDAJ	VYBER	15	37471	SLUZBY	\N	\N
825917	2813	1996-01-31	VYDAJ	VYBER	15	24830	SLUZBY	\N	\N
825918	2813	1996-02-29	VYDAJ	VYBER	15	27254	SLUZBY	\N	\N
825919	2813	1996-03-31	VYDAJ	VYBER	15	31053	SLUZBY	\N	\N
825920	2813	1996-04-30	VYDAJ	VYBER	15	31380	SLUZBY	\N	\N
825921	2813	1996-05-31	VYDAJ	VYBER	15	31483	SLUZBY	\N	\N
825922	2813	1996-06-30	VYDAJ	VYBER	15	40285	SLUZBY	\N	\N
825923	2813	1996-07-31	VYDAJ	VYBER	15	36871	SLUZBY	\N	\N
825924	2813	1996-08-31	VYDAJ	VYBER	15	23839	SLUZBY	\N	\N
825925	2813	1996-09-30	VYDAJ	VYBER	15	28108	SLUZBY	\N	\N
825926	2813	1996-10-31	VYDAJ	VYBER	15	28262	SLUZBY	\N	\N
825927	2813	1996-11-30	VYDAJ	VYBER	15	26133	SLUZBY	\N	\N
825928	2813	1996-12-31	VYDAJ	VYBER	15	32112	SLUZBY	\N	\N
825929	2813	1997-01-31	VYDAJ	VYBER	15	22368	SLUZBY	\N	\N
825930	2813	1997-02-28	VYDAJ	VYBER	15	23916	SLUZBY	\N	\N
825931	2813	1997-03-31	VYDAJ	VYBER	15	22670	SLUZBY	\N	\N
825932	2813	1997-04-30	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
825933	2813	1997-05-31	VYDAJ	VYBER	15	24267	SLUZBY	\N	\N
825934	2813	1997-06-30	VYDAJ	VYBER	15	24686	SLUZBY	\N	\N
825935	2813	1997-07-31	VYDAJ	VYBER	15	20373	SLUZBY	\N	\N
825936	2813	1997-08-31	VYDAJ	VYBER	15	19509	SLUZBY	\N	\N
825937	2813	1997-09-30	VYDAJ	VYBER	15	19742	SLUZBY	\N	\N
825938	2813	1997-10-31	VYDAJ	VYBER	15	18874	SLUZBY	\N	\N
825939	2813	1997-11-30	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
825940	2813	1997-12-31	VYDAJ	VYBER	15	26987	SLUZBY	\N	\N
825941	2813	1998-01-31	VYDAJ	VYBER	15	23091	SLUZBY	\N	\N
825942	2813	1998-02-28	VYDAJ	VYBER	15	30844	SLUZBY	\N	\N
825943	2813	1998-03-31	VYDAJ	VYBER	15	17206	SLUZBY	\N	\N
825944	2813	1998-04-30	VYDAJ	VYBER	15	24935	SLUZBY	\N	\N
825945	2813	1998-05-31	VYDAJ	VYBER	15	32696	SLUZBY	\N	\N
825946	2813	1998-06-30	VYDAJ	VYBER	15	15383	SLUZBY	\N	\N
825947	2813	1998-07-31	VYDAJ	VYBER	15	23104	SLUZBY	\N	\N
825948	2813	1998-08-31	VYDAJ	VYBER	15	26771	SLUZBY	\N	\N
825949	2813	1998-09-30	VYDAJ	VYBER	15	34539	SLUZBY	\N	\N
825950	2813	1998-10-31	VYDAJ	VYBER	15	41136	SLUZBY	\N	\N
825951	2813	1998-11-30	VYDAJ	VYBER	15	48963	SLUZBY	\N	\N
825952	2813	1994-01-14	PRIJEM	VKLAD	2800	18022	\N	\N	\N
825953	2813	1994-02-13	VYDAJ	VYBER	2900	29588	\N	\N	\N
825954	2813	1994-03-15	VYDAJ	VYBER	11200	32912	\N	\N	\N
825955	2813	1994-04-14	VYDAJ	VYBER	12600	34865	\N	\N	\N
825956	2813	1994-05-14	VYDAJ	VYBER	11300	38129	\N	\N	\N
825957	2813	1994-06-13	VYDAJ	VYBER	11700	36869	\N	\N	\N
825958	2813	1994-07-13	VYDAJ	VYBER	10600	29015	\N	\N	\N
825959	2813	1994-08-12	VYDAJ	VYBER	6400	30381	\N	\N	\N
825960	2813	1994-09-11	VYDAJ	VYBER	7300	30845	\N	\N	\N
825961	2813	1994-10-11	VYDAJ	VYBER	8100	26185	\N	\N	\N
825962	2813	1994-11-10	VYDAJ	VYBER	8700	25232	\N	\N	\N
825963	2813	1994-12-10	VYDAJ	VYBER	7800	24827	\N	\N	\N
825964	2813	1995-01-09	VYDAJ	VYBER	3100	19145	\N	\N	\N
825965	2813	1995-02-08	PRIJEM	VKLAD	300	22354	\N	\N	\N
825966	2813	1995-03-10	VYDAJ	VYBER	7400	22673	\N	\N	\N
825967	2813	1995-04-09	VYDAJ	VYBER	3500	26903	\N	\N	\N
825968	2813	1995-05-09	VYDAJ	VYBER	9900	24747	\N	\N	\N
825969	2813	1995-06-08	VYDAJ	VYBER	10400	29299	\N	\N	\N
825970	2813	1995-07-08	VYDAJ	VYBER	8900	28151	\N	\N	\N
825971	2813	1995-08-07	VYDAJ	VYBER	3200	19080	\N	\N	\N
825972	2813	1995-09-06	VYDAJ	VYBER	5000	26636	\N	\N	\N
825973	2813	1995-10-06	VYDAJ	VYBER	3500	30916	\N	\N	\N
825974	2813	1995-11-05	VYDAJ	VYBER	5600	25414	\N	\N	\N
825975	2813	1995-12-05	VYDAJ	VYBER	6400	26784	\N	\N	\N
825976	2813	1996-01-04	VYDAJ	VYBER	7800	29671	\N	\N	\N
825977	2813	1996-02-03	VYDAJ	VYBER	4000	20830	\N	\N	\N
825978	2813	1996-03-04	VYDAJ	VYBER	2400	24854	\N	\N	\N
825979	2813	1996-04-03	VYDAJ	VYBER	4800	26253	\N	\N	\N
825980	2813	1996-05-03	VYDAJ	VYBER	6100	25280	\N	\N	\N
825981	2813	1996-06-02	VYDAJ	VYBER	6200	25283	\N	\N	\N
825982	2813	1996-07-02	VYDAJ	VYBER	11200	29085	\N	\N	\N
825983	2813	1996-08-01	VYDAJ	VYBER	11900	24971	\N	\N	\N
825984	2813	1996-08-31	VYDAJ	VYBER	8900	23853	\N	\N	\N
825985	2813	1996-09-30	VYDAJ	VYBER	5000	23108	\N	\N	\N
825986	2813	1996-10-30	VYDAJ	VYBER	2600	28159	\N	\N	\N
825987	2813	1996-11-29	VYDAJ	VYBER	5100	26013	\N	\N	\N
825988	2813	1996-12-29	VYDAJ	VYBER	6300	31975	\N	\N	\N
825989	2813	1997-02-27	VYDAJ	VYBER	6200	23819	\N	\N	\N
825990	2813	1997-03-29	VYDAJ	VYBER	9000	22567	\N	\N	\N
825991	2813	1997-04-28	VYDAJ	VYBER	8300	22021	\N	\N	\N
825992	2813	1997-05-28	VYDAJ	VYBER	5600	24171	\N	\N	\N
825993	2813	1997-06-27	VYDAJ	VYBER	10600	24569	\N	\N	\N
825994	2813	1997-07-27	VYDAJ	VYBER	9900	20277	\N	\N	\N
825995	2813	1997-08-26	VYDAJ	VYBER	8600	19424	\N	\N	\N
825996	2813	1997-09-25	VYDAJ	VYBER	7500	19660	\N	\N	\N
825997	2813	1997-10-25	VYDAJ	VYBER	8600	18793	\N	\N	\N
825998	2813	1997-11-24	VYDAJ	VYBER	11000	15525	\N	\N	\N
825999	2813	1998-03-24	VYDAJ	VYBER	21400	17095	\N	\N	\N
826000	2813	1998-06-22	VYDAJ	VYBER	32300	15258	\N	\N	\N
826001	2813	1998-12-19	VYDAJ	VYBER	45900	17925	\N	\N	\N
826062	2814	1993-04-25	PRIJEM	VKLAD	500	500	\N	\N	\N
826067	2814	1993-05-13	PRIJEM	PREVOD Z UCTU	4544	5044	DUCHOD	OP	35497665
826068	2814	1993-06-13	PRIJEM	PREVOD Z UCTU	4544	9588	DUCHOD	OP	35497665
826069	2814	1993-07-13	PRIJEM	PREVOD Z UCTU	4544	14132	DUCHOD	OP	35497665
826070	2814	1993-08-13	PRIJEM	PREVOD Z UCTU	4544	18676	DUCHOD	OP	35497665
826071	2814	1993-09-13	PRIJEM	PREVOD Z UCTU	4544	23220	DUCHOD	OP	35497665
826072	2814	1993-10-13	PRIJEM	PREVOD Z UCTU	4544	24350	DUCHOD	OP	35497665
826073	2814	1993-11-13	PRIJEM	PREVOD Z UCTU	4544	26351	DUCHOD	OP	35497665
826074	2814	1993-12-13	PRIJEM	PREVOD Z UCTU	4544	28360	DUCHOD	OP	35497665
826075	2814	1994-01-13	PRIJEM	PREVOD Z UCTU	4544	20179	DUCHOD	OP	35497665
826076	2814	1994-02-13	PRIJEM	PREVOD Z UCTU	4544	14641	DUCHOD	OP	35497665
826077	2814	1994-03-13	PRIJEM	PREVOD Z UCTU	4544	16601	DUCHOD	OP	35497665
826078	2814	1994-04-13	PRIJEM	PREVOD Z UCTU	4544	18570	DUCHOD	OP	35497665
826079	2814	1994-05-13	PRIJEM	PREVOD Z UCTU	4544	19346	DUCHOD	OP	35497665
826080	2814	1994-06-13	PRIJEM	PREVOD Z UCTU	4544	21327	DUCHOD	OP	35497665
826081	2814	1994-07-13	PRIJEM	PREVOD Z UCTU	4544	22515	DUCHOD	OP	35497665
826082	2814	1994-08-13	PRIJEM	PREVOD Z UCTU	4544	24508	DUCHOD	OP	35497665
826083	2814	1994-09-13	PRIJEM	PREVOD Z UCTU	4544	22968	DUCHOD	OP	35497665
826084	2814	1994-10-13	PRIJEM	PREVOD Z UCTU	4544	24963	DUCHOD	OP	35497665
826085	2814	1994-11-13	PRIJEM	PREVOD Z UCTU	4544	26565	DUCHOD	OP	35497665
826086	2814	1994-12-13	PRIJEM	PREVOD Z UCTU	4544	28575	DUCHOD	OP	35497665
826087	2814	1995-01-13	PRIJEM	PREVOD Z UCTU	4544	22173	DUCHOD	OP	35497665
826088	2814	1995-02-13	PRIJEM	PREVOD Z UCTU	4544	21048	DUCHOD	OP	35497665
826089	2814	1995-03-13	PRIJEM	PREVOD Z UCTU	4544	23035	DUCHOD	OP	35497665
826090	2814	1995-04-13	PRIJEM	PREVOD Z UCTU	4544	25030	DUCHOD	OP	35497665
826091	2814	1995-05-13	PRIJEM	PREVOD Z UCTU	4544	27033	DUCHOD	OP	35497665
826092	2814	1995-06-13	PRIJEM	PREVOD Z UCTU	4544	29044	DUCHOD	OP	35497665
826093	2814	1995-07-13	PRIJEM	PREVOD Z UCTU	4544	17597	DUCHOD	OP	35497665
826094	2814	1995-08-13	PRIJEM	PREVOD Z UCTU	4544	19570	DUCHOD	OP	35497665
826095	2814	1995-09-13	PRIJEM	PREVOD Z UCTU	4544	16829	DUCHOD	OP	35497665
826096	2814	1995-10-13	PRIJEM	PREVOD Z UCTU	4544	18802	DUCHOD	OP	35497665
826097	2814	1995-11-13	PRIJEM	PREVOD Z UCTU	4544	20779	DUCHOD	OP	35497665
826098	2814	1995-12-13	PRIJEM	PREVOD Z UCTU	4544	22764	DUCHOD	OP	35497665
826099	2814	1996-01-13	PRIJEM	PREVOD Z UCTU	4544	20377	DUCHOD	OP	35497665
826100	2814	1996-02-13	PRIJEM	PREVOD Z UCTU	4544	16220	DUCHOD	OP	35497665
826101	2814	1996-03-13	PRIJEM	PREVOD Z UCTU	4544	18186	DUCHOD	OP	35497665
826102	2814	1996-04-13	PRIJEM	PREVOD Z UCTU	4544	16480	DUCHOD	OP	35497665
826103	2814	1996-05-13	PRIJEM	PREVOD Z UCTU	4544	16451	DUCHOD	OP	35497665
826104	2814	1996-06-13	PRIJEM	PREVOD Z UCTU	4544	18418	DUCHOD	OP	35497665
826105	2814	1996-07-13	PRIJEM	PREVOD Z UCTU	4544	20393	DUCHOD	OP	35497665
826106	2814	1996-08-13	PRIJEM	PREVOD Z UCTU	4544	21015	DUCHOD	OP	35497665
826107	2814	1996-09-13	PRIJEM	PREVOD Z UCTU	4544	19475	DUCHOD	OP	35497665
826108	2814	1996-10-13	PRIJEM	PREVOD Z UCTU	4544	21454	DUCHOD	OP	35497665
826109	2814	1996-11-13	PRIJEM	PREVOD Z UCTU	4544	23442	DUCHOD	OP	35497665
826110	2814	1996-12-13	PRIJEM	PREVOD Z UCTU	4544	25438	DUCHOD	OP	35497665
826111	2814	1997-01-13	PRIJEM	PREVOD Z UCTU	4544	23000	DUCHOD	OP	35497665
826112	2814	1997-02-13	PRIJEM	PREVOD Z UCTU	4544	17786	DUCHOD	OP	35497665
826113	2814	1997-03-13	PRIJEM	PREVOD Z UCTU	4544	19758	DUCHOD	OP	35497665
826114	2814	1997-04-13	PRIJEM	PREVOD Z UCTU	4544	21738	DUCHOD	OP	35497665
826115	2814	1997-05-13	PRIJEM	PREVOD Z UCTU	4544	23727	DUCHOD	OP	35497665
826116	2814	1997-06-13	PRIJEM	PREVOD Z UCTU	4544	24364	DUCHOD	OP	35497665
826117	2814	1997-07-13	PRIJEM	PREVOD Z UCTU	4544	19901	DUCHOD	OP	35497665
826118	2814	1997-08-13	PRIJEM	PREVOD Z UCTU	4544	19642	DUCHOD	OP	35497665
826119	2814	1997-09-13	PRIJEM	PREVOD Z UCTU	4544	21624	DUCHOD	OP	35497665
826120	2814	1997-10-13	PRIJEM	PREVOD Z UCTU	4544	23612	DUCHOD	OP	35497665
826121	2814	1997-11-13	PRIJEM	PREVOD Z UCTU	4544	25608	DUCHOD	OP	35497665
826122	2814	1997-12-13	PRIJEM	PREVOD Z UCTU	4544	27612	DUCHOD	OP	35497665
826123	2814	1998-01-13	PRIJEM	PREVOD Z UCTU	4544	25524	DUCHOD	OP	35497665
826124	2814	1998-02-13	PRIJEM	PREVOD Z UCTU	4544	23442	DUCHOD	OP	35497665
826125	2814	1998-03-13	PRIJEM	PREVOD Z UCTU	4544	25437	DUCHOD	OP	35497665
826126	2814	1998-04-13	PRIJEM	PREVOD Z UCTU	4544	27440	DUCHOD	OP	35497665
826127	2814	1998-05-13	PRIJEM	PREVOD Z UCTU	4544	29452	DUCHOD	OP	35497665
826128	2814	1998-06-13	PRIJEM	PREVOD Z UCTU	4544	28472	DUCHOD	OP	35497665
826129	2814	1998-07-13	PRIJEM	PREVOD Z UCTU	4544	30491	DUCHOD	OP	35497665
826130	2814	1998-08-13	PRIJEM	PREVOD Z UCTU	4544	32515	DUCHOD	OP	35497665
826131	2814	1998-09-13	PRIJEM	PREVOD Z UCTU	4544	34547	DUCHOD	OP	35497665
826132	2814	1998-10-13	PRIJEM	PREVOD Z UCTU	4544	32748	DUCHOD	OP	35497665
826133	2814	1998-11-13	PRIJEM	PREVOD Z UCTU	4544	31180	DUCHOD	OP	35497665
826134	2814	1998-12-13	PRIJEM	PREVOD Z UCTU	4544	30242	DUCHOD	OP	35497665
826144	2814	1993-10-11	VYDAJ	PREVOD NA UCET	2627	19806	SIPO	QR	14418357
826145	2814	1993-11-11	VYDAJ	PREVOD NA UCET	2627	21807	SIPO	QR	14418357
826146	2814	1993-12-11	VYDAJ	PREVOD NA UCET	2627	23816	SIPO	QR	14418357
826147	2814	1994-01-11	VYDAJ	PREVOD NA UCET	2627	15635	SIPO	QR	14418357
826148	2814	1994-02-11	VYDAJ	PREVOD NA UCET	2627	10097	SIPO	QR	14418357
826149	2814	1994-03-11	VYDAJ	PREVOD NA UCET	2627	12057	SIPO	QR	14418357
826150	2814	1994-04-11	VYDAJ	PREVOD NA UCET	2627	14026	SIPO	QR	14418357
826151	2814	1994-05-11	VYDAJ	PREVOD NA UCET	2627	14802	SIPO	QR	14418357
826152	2814	1994-06-11	VYDAJ	PREVOD NA UCET	2627	16783	SIPO	QR	14418357
826153	2814	1994-07-11	VYDAJ	PREVOD NA UCET	2627	17971	SIPO	QR	14418357
826154	2814	1994-08-11	VYDAJ	PREVOD NA UCET	2627	19964	SIPO	QR	14418357
826155	2814	1994-09-11	VYDAJ	PREVOD NA UCET	2627	18424	SIPO	QR	14418357
826156	2814	1994-10-11	VYDAJ	PREVOD NA UCET	2627	20419	SIPO	QR	14418357
826157	2814	1994-11-11	VYDAJ	PREVOD NA UCET	2627	22021	SIPO	QR	14418357
826158	2814	1994-12-11	VYDAJ	PREVOD NA UCET	2627	24031	SIPO	QR	14418357
826159	2814	1995-01-11	VYDAJ	PREVOD NA UCET	2627	17629	SIPO	QR	14418357
826160	2814	1995-02-11	VYDAJ	PREVOD NA UCET	2627	16504	SIPO	QR	14418357
826161	2814	1995-03-11	VYDAJ	PREVOD NA UCET	2627	18491	SIPO	QR	14418357
826162	2814	1995-04-11	VYDAJ	PREVOD NA UCET	2627	20486	SIPO	QR	14418357
826163	2814	1995-05-11	VYDAJ	PREVOD NA UCET	2627	22489	SIPO	QR	14418357
826164	2814	1995-06-11	VYDAJ	PREVOD NA UCET	2627	24500	SIPO	QR	14418357
826165	2814	1995-07-11	VYDAJ	PREVOD NA UCET	2627	13053	SIPO	QR	14418357
826166	2814	1995-08-11	VYDAJ	PREVOD NA UCET	2627	15026	SIPO	QR	14418357
826167	2814	1995-09-11	VYDAJ	PREVOD NA UCET	2627	12285	SIPO	QR	14418357
826168	2814	1995-10-11	VYDAJ	PREVOD NA UCET	2627	14258	SIPO	QR	14418357
826169	2814	1995-11-11	VYDAJ	PREVOD NA UCET	2627	16235	SIPO	QR	14418357
826170	2814	1995-12-11	VYDAJ	PREVOD NA UCET	2627	18220	SIPO	QR	14418357
826171	2814	1996-01-11	VYDAJ	PREVOD NA UCET	2627	15833	SIPO	QR	14418357
826172	2814	1996-02-11	VYDAJ	PREVOD NA UCET	2627	11676	SIPO	QR	14418357
826173	2814	1996-03-11	VYDAJ	PREVOD NA UCET	2627	13642	SIPO	QR	14418357
826174	2814	1996-04-11	VYDAJ	PREVOD NA UCET	2627	11936	SIPO	QR	14418357
826175	2814	1996-05-11	VYDAJ	PREVOD NA UCET	2627	11907	SIPO	QR	14418357
826176	2814	1996-06-11	VYDAJ	PREVOD NA UCET	2627	13874	SIPO	QR	14418357
826177	2814	1996-07-11	VYDAJ	PREVOD NA UCET	2627	15849	SIPO	QR	14418357
826178	2814	1996-08-11	VYDAJ	PREVOD NA UCET	2627	16471	SIPO	QR	14418357
826179	2814	1996-09-11	VYDAJ	PREVOD NA UCET	2627	14931	SIPO	QR	14418357
826180	2814	1996-10-11	VYDAJ	PREVOD NA UCET	2627	16910	SIPO	QR	14418357
826181	2814	1996-11-11	VYDAJ	PREVOD NA UCET	2627	18898	SIPO	QR	14418357
826182	2814	1996-12-11	VYDAJ	PREVOD NA UCET	2627	20894	SIPO	QR	14418357
826183	2814	1997-01-11	VYDAJ	PREVOD NA UCET	2627	20206	SIPO	QR	14418357
826184	2814	1997-02-11	VYDAJ	PREVOD NA UCET	2627	13242	SIPO	QR	14418357
826185	2814	1997-03-11	VYDAJ	PREVOD NA UCET	2627	15214	SIPO	QR	14418357
826186	2814	1997-04-11	VYDAJ	PREVOD NA UCET	2627	17194	SIPO	QR	14418357
826187	2814	1997-05-11	VYDAJ	PREVOD NA UCET	2627	19183	SIPO	QR	14418357
826188	2814	1997-06-11	VYDAJ	PREVOD NA UCET	2627	19820	SIPO	QR	14418357
826189	2814	1997-07-11	VYDAJ	PREVOD NA UCET	2627	15357	SIPO	QR	14418357
826190	2814	1997-08-11	VYDAJ	PREVOD NA UCET	2627	15098	SIPO	QR	14418357
826191	2814	1997-09-11	VYDAJ	PREVOD NA UCET	2627	17080	SIPO	QR	14418357
826192	2814	1997-10-11	VYDAJ	PREVOD NA UCET	2627	19068	SIPO	QR	14418357
826193	2814	1997-11-11	VYDAJ	PREVOD NA UCET	2627	21064	SIPO	QR	14418357
826194	2814	1997-12-11	VYDAJ	PREVOD NA UCET	2627	23068	SIPO	QR	14418357
826195	2814	1998-01-11	VYDAJ	PREVOD NA UCET	2627	20980	SIPO	QR	14418357
826196	2814	1998-02-11	VYDAJ	PREVOD NA UCET	2627	18898	SIPO	QR	14418357
826197	2814	1998-03-11	VYDAJ	PREVOD NA UCET	2627	20893	SIPO	QR	14418357
826198	2814	1998-04-11	VYDAJ	PREVOD NA UCET	2627	22896	SIPO	QR	14418357
826199	2814	1998-05-11	VYDAJ	PREVOD NA UCET	2627	24908	SIPO	QR	14418357
826200	2814	1998-06-11	VYDAJ	PREVOD NA UCET	2627	23928	SIPO	QR	14418357
826201	2814	1998-07-11	VYDAJ	PREVOD NA UCET	2627	25947	SIPO	QR	14418357
826202	2814	1998-08-11	VYDAJ	PREVOD NA UCET	2627	27971	SIPO	QR	14418357
826203	2814	1998-09-11	VYDAJ	PREVOD NA UCET	2627	30003	SIPO	QR	14418357
826204	2814	1998-10-11	VYDAJ	PREVOD NA UCET	2627	28204	SIPO	QR	14418357
826205	2814	1998-11-11	VYDAJ	PREVOD NA UCET	2627	26636	SIPO	QR	14418357
826206	2814	1998-12-11	VYDAJ	PREVOD NA UCET	2627	25698	SIPO	QR	14418357
826209	2814	1995-06-22	VYDAJ	VYBER	13250	15594	\N	\N	\N
826211	2814	1997-06-17	VYDAJ	VYBER	6450	17914	\N	\N	\N
826212	2814	1998-06-06	VYDAJ	VYBER	3000	26555	\N	\N	\N
826214	2814	1994-01-06	VYDAJ	VYBER	4600	18262	\N	\N	\N
826215	2814	1995-01-09	VYDAJ	VYBER	2350	22176	\N	\N	\N
826216	2814	1996-01-19	VYDAJ	VYBER	4450	14247	\N	\N	\N
826217	2814	1997-01-11	VYDAJ	VYBER	1750	18456	\N	\N	\N
826218	2814	1998-01-13	VYDAJ	VYBER	800	24164	\N	\N	\N
826219	2814	1993-12-28	VYDAJ	VYBER	550	23330	\N	\N	\N
826220	2814	1994-12-21	VYDAJ	VYBER	550	28025	\N	\N	\N
826221	2814	1995-12-28	VYDAJ	VYBER	1100	21664	\N	\N	\N
826222	2814	1996-12-26	VYDAJ	VYBER	1250	24188	\N	\N	\N
826223	2814	1997-12-14	VYDAJ	VYBER	500	27112	\N	\N	\N
826224	2814	1998-12-29	VYDAJ	VYBER	1250	28992	\N	\N	\N
826231	2814	1994-01-24	VYDAJ	VYBER	1760	16579	\N	\N	\N
826232	2814	1994-01-27	VYDAJ	VYBER	2320	12659	\N	\N	\N
826234	2814	1994-01-15	VYDAJ	VYBER	560	19619	\N	\N	\N
826235	2814	1994-01-06	VYDAJ	VYBER	560	22862	\N	\N	\N
826236	2814	1994-01-27	VYDAJ	VYBER	1600	14979	\N	\N	\N
826237	2814	1995-01-29	VYDAJ	VYBER	1120	19053	\N	\N	\N
826238	2814	1995-01-08	VYDAJ	VYBER	1600	24526	\N	\N	\N
826239	2814	1995-01-20	VYDAJ	VYBER	880	21293	\N	\N	\N
826240	2814	1995-01-10	VYDAJ	VYBER	1920	20256	\N	\N	\N
826241	2814	1995-01-04	VYDAJ	VYBER	2000	26126	\N	\N	\N
826242	2814	1995-01-20	VYDAJ	VYBER	1120	20173	\N	\N	\N
826243	2814	1996-01-14	VYDAJ	VYBER	1680	18697	\N	\N	\N
826244	2814	1996-01-01	VYDAJ	VYBER	480	19500	\N	\N	\N
826245	2814	1996-01-01	VYDAJ	VYBER	1760	19980	\N	\N	\N
826246	2814	1996-01-07	VYDAJ	VYBER	1040	18460	\N	\N	\N
826249	2814	1997-01-13	VYDAJ	VYBER	1680	21320	\N	\N	\N
826252	2814	1997-01-22	VYDAJ	VYBER	1200	16840	\N	\N	\N
826254	2814	1997-01-24	VYDAJ	VYBER	1040	15800	\N	\N	\N
826255	2814	1998-01-09	VYDAJ	VYBER	2160	23607	\N	\N	\N
826256	2814	1998-01-03	VYDAJ	VYBER	1040	26167	\N	\N	\N
826257	2814	1998-01-05	VYDAJ	VYBER	400	25767	\N	\N	\N
826258	2814	1998-01-28	VYDAJ	VYBER	880	21444	\N	\N	\N
826259	2814	1998-01-13	VYDAJ	VYBER	560	24964	\N	\N	\N
826260	2814	1998-01-14	VYDAJ	VYBER	720	23444	\N	\N	\N
826262	2814	1993-12-14	VYDAJ	VYBER	1680	26680	\N	\N	\N
826266	2814	1994-08-31	VYDAJ	VYBER	3040	21066	\N	\N	\N
826267	2814	1994-07-11	VYDAJ	VYBER	800	20598	\N	\N	\N
826268	2814	1994-05-01	VYDAJ	VYBER	1200	17429	\N	\N	\N
826269	2814	1994-01-16	VYDAJ	VYBER	1280	18339	\N	\N	\N
826271	2814	1995-08-27	VYDAJ	VYBER	1520	18050	\N	\N	\N
826272	2814	1995-09-09	VYDAJ	VYBER	3200	14912	\N	\N	\N
826274	2814	1996-04-01	VYDAJ	VYBER	3680	14563	\N	\N	\N
826275	2814	1996-07-25	VYDAJ	VYBER	1360	19033	\N	\N	\N
826276	2814	1996-12-30	VYDAJ	VYBER	1440	22748	\N	\N	\N
826277	2814	1996-08-18	VYDAJ	VYBER	3520	17495	\N	\N	\N
826279	2814	1996-04-27	VYDAJ	VYBER	2000	14480	\N	\N	\N
826280	2814	1997-01-19	VYDAJ	VYBER	2880	18040	\N	\N	\N
826281	2814	1997-06-02	VYDAJ	VYBER	1360	22447	\N	\N	\N
826282	2814	1997-01-19	VYDAJ	VYBER	400	20920	\N	\N	\N
826283	2814	1997-08-06	VYDAJ	VYBER	2240	17725	\N	\N	\N
826286	2814	1998-11-20	VYDAJ	VYBER	560	30620	\N	\N	\N
826287	2814	1998-11-20	VYDAJ	VYBER	2400	28220	\N	\N	\N
826288	2814	1998-10-20	VYDAJ	VYBER	3600	29148	\N	\N	\N
826289	2814	1998-10-07	VYDAJ	VYBER	3840	30831	\N	\N	\N
826290	2814	1998-01-19	VYDAJ	VYBER	1120	22324	\N	\N	\N
826300	2814	1993-09-30	VYDAJ	VYBER	15	22433	SLUZBY	\N	\N
826301	2814	1993-10-31	VYDAJ	VYBER	15	24434	SLUZBY	\N	\N
826302	2814	1993-11-30	VYDAJ	VYBER	15	26443	SLUZBY	\N	\N
826303	2814	1993-12-31	VYDAJ	VYBER	15	23422	SLUZBY	\N	\N
826304	2814	1994-01-31	VYDAJ	VYBER	15	12724	SLUZBY	\N	\N
826305	2814	1994-02-28	VYDAJ	VYBER	15	14684	SLUZBY	\N	\N
826306	2814	1994-03-31	VYDAJ	VYBER	15	16653	SLUZBY	\N	\N
826307	2814	1994-04-30	VYDAJ	VYBER	15	18629	SLUZBY	\N	\N
826308	2814	1994-05-31	VYDAJ	VYBER	15	19410	SLUZBY	\N	\N
826309	2814	1994-06-30	VYDAJ	VYBER	15	21398	SLUZBY	\N	\N
826310	2814	1994-07-31	VYDAJ	VYBER	15	22591	SLUZBY	\N	\N
826311	2814	1994-08-31	VYDAJ	VYBER	15	21051	SLUZBY	\N	\N
826312	2814	1994-09-30	VYDAJ	VYBER	15	23046	SLUZBY	\N	\N
826313	2814	1994-10-31	VYDAJ	VYBER	15	24648	SLUZBY	\N	\N
826314	2814	1994-11-30	VYDAJ	VYBER	15	26658	SLUZBY	\N	\N
826315	2814	1994-12-31	VYDAJ	VYBER	15	28126	SLUZBY	\N	\N
826316	2814	1995-01-31	VYDAJ	VYBER	15	19131	SLUZBY	\N	\N
826317	2814	1995-02-28	VYDAJ	VYBER	15	21118	SLUZBY	\N	\N
826318	2814	1995-03-31	VYDAJ	VYBER	15	23113	SLUZBY	\N	\N
826319	2814	1995-04-30	VYDAJ	VYBER	15	25116	SLUZBY	\N	\N
826320	2814	1995-05-31	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
826321	2814	1995-06-30	VYDAJ	VYBER	15	15680	SLUZBY	\N	\N
826322	2814	1995-07-31	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
826323	2814	1995-08-31	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
826324	2814	1995-09-30	VYDAJ	VYBER	15	16885	SLUZBY	\N	\N
826325	2814	1995-10-31	VYDAJ	VYBER	15	18862	SLUZBY	\N	\N
826326	2814	1995-11-30	VYDAJ	VYBER	15	20847	SLUZBY	\N	\N
826327	2814	1995-12-31	VYDAJ	VYBER	15	21740	SLUZBY	\N	\N
826328	2814	1996-01-31	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
826329	2814	1996-02-29	VYDAJ	VYBER	15	16269	SLUZBY	\N	\N
826330	2814	1996-03-31	VYDAJ	VYBER	15	18243	SLUZBY	\N	\N
826331	2814	1996-04-30	VYDAJ	VYBER	15	14534	SLUZBY	\N	\N
826332	2814	1996-05-31	VYDAJ	VYBER	15	16501	SLUZBY	\N	\N
826333	2814	1996-06-30	VYDAJ	VYBER	15	18476	SLUZBY	\N	\N
826334	2814	1996-07-31	VYDAJ	VYBER	15	19098	SLUZBY	\N	\N
826335	2814	1996-08-31	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
826336	2814	1996-09-30	VYDAJ	VYBER	15	19537	SLUZBY	\N	\N
826337	2814	1996-10-31	VYDAJ	VYBER	15	21525	SLUZBY	\N	\N
826338	2814	1996-11-30	VYDAJ	VYBER	15	23521	SLUZBY	\N	\N
826339	2814	1996-12-31	VYDAJ	VYBER	15	22833	SLUZBY	\N	\N
826340	2814	1997-01-31	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
826341	2814	1997-02-28	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
826342	2814	1997-03-31	VYDAJ	VYBER	15	19821	SLUZBY	\N	\N
826343	2814	1997-04-30	VYDAJ	VYBER	15	21810	SLUZBY	\N	\N
826344	2814	1997-05-31	VYDAJ	VYBER	15	23807	SLUZBY	\N	\N
826345	2814	1997-06-30	VYDAJ	VYBER	15	17984	SLUZBY	\N	\N
826346	2814	1997-07-31	VYDAJ	VYBER	15	19965	SLUZBY	\N	\N
826347	2814	1997-08-31	VYDAJ	VYBER	15	19707	SLUZBY	\N	\N
826348	2814	1997-09-30	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
826349	2814	1997-10-31	VYDAJ	VYBER	15	23691	SLUZBY	\N	\N
826350	2814	1997-11-30	VYDAJ	VYBER	15	25695	SLUZBY	\N	\N
826351	2814	1997-12-31	VYDAJ	VYBER	15	27207	SLUZBY	\N	\N
826352	2814	1998-01-31	VYDAJ	VYBER	15	21525	SLUZBY	\N	\N
826353	2814	1998-02-28	VYDAJ	VYBER	15	23520	SLUZBY	\N	\N
826354	2814	1998-03-31	VYDAJ	VYBER	15	25523	SLUZBY	\N	\N
826355	2814	1998-04-30	VYDAJ	VYBER	15	27535	SLUZBY	\N	\N
826356	2814	1998-05-31	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
826357	2814	1998-06-30	VYDAJ	VYBER	15	28574	SLUZBY	\N	\N
826358	2814	1998-07-31	VYDAJ	VYBER	15	30598	SLUZBY	\N	\N
826359	2814	1998-08-31	VYDAJ	VYBER	15	32630	SLUZBY	\N	\N
826360	2814	1998-09-30	VYDAJ	VYBER	15	34671	SLUZBY	\N	\N
826361	2814	1998-10-31	VYDAJ	VYBER	15	29263	SLUZBY	\N	\N
826362	2814	1998-11-30	VYDAJ	VYBER	15	28325	SLUZBY	\N	\N
826363	2814	1993-09-22	VYDAJ	VYBER	800	22420	\N	\N	\N
826364	2814	1993-12-21	VYDAJ	VYBER	2800	23880	\N	\N	\N
826365	2814	1994-08-18	VYDAJ	VYBER	500	24008	\N	\N	\N
826366	2814	1994-10-17	VYDAJ	VYBER	400	24563	\N	\N	\N
826367	2814	1995-06-14	VYDAJ	VYBER	200	28844	\N	\N	\N
826645	2816	1997-05-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
826650	2816	1997-05-10	PRIJEM	VKLAD	17737	18837	\N	\N	\N
826651	2816	1997-06-10	PRIJEM	VKLAD	26606	45999	\N	\N	\N
826652	2816	1997-07-10	PRIJEM	VKLAD	17737	55693	\N	\N	\N
826653	2816	1997-08-10	PRIJEM	VKLAD	17737	60051	\N	\N	\N
826654	2816	1997-09-10	PRIJEM	VKLAD	17737	61233	\N	\N	\N
826655	2816	1997-10-10	PRIJEM	VKLAD	17737	56041	\N	\N	\N
826656	2816	1997-11-10	PRIJEM	VKLAD	17737	54410	\N	\N	\N
826657	2816	1997-12-10	PRIJEM	VKLAD	26606	59894	\N	\N	\N
826658	2816	1998-01-10	PRIJEM	VKLAD	17737	38386	\N	\N	\N
826659	2816	1998-02-10	PRIJEM	VKLAD	17737	40481	\N	\N	\N
826660	2816	1998-03-10	PRIJEM	VKLAD	17737	51463	\N	\N	\N
826661	2816	1998-04-10	PRIJEM	VKLAD	17737	51254	\N	\N	\N
826662	2816	1998-05-10	PRIJEM	VKLAD	17737	53996	\N	\N	\N
826663	2816	1998-06-10	PRIJEM	VKLAD	26606	64590	\N	\N	\N
826664	2816	1998-07-10	PRIJEM	VKLAD	17737	63943	\N	\N	\N
826665	2816	1998-08-10	PRIJEM	VKLAD	17737	64708	\N	\N	\N
826666	2816	1998-09-10	PRIJEM	VKLAD	17737	59834	\N	\N	\N
826667	2816	1998-10-10	PRIJEM	VKLAD	17737	59683	\N	\N	\N
826668	2816	1998-11-10	PRIJEM	VKLAD	17737	60126	\N	\N	\N
826669	2816	1998-12-10	PRIJEM	VKLAD	26606	61735	\N	\N	\N
826678	2816	1997-09-14	VYDAJ	PREVOD NA UCET	3933	56656	SIPO	IJ	98916184
826679	2816	1997-10-14	VYDAJ	PREVOD NA UCET	3933	51464	SIPO	IJ	98916184
826680	2816	1997-11-14	VYDAJ	PREVOD NA UCET	3933	49833	SIPO	IJ	98916184
826681	2816	1997-12-14	VYDAJ	PREVOD NA UCET	3933	55317	SIPO	IJ	98916184
826682	2816	1998-01-14	VYDAJ	PREVOD NA UCET	3933	24809	SIPO	IJ	98916184
826683	2816	1998-02-14	VYDAJ	PREVOD NA UCET	3933	35904	SIPO	IJ	98916184
826684	2816	1998-03-14	VYDAJ	PREVOD NA UCET	3933	46886	SIPO	IJ	98916184
826685	2816	1998-04-14	VYDAJ	PREVOD NA UCET	3933	46677	SIPO	IJ	98916184
826686	2816	1998-05-14	VYDAJ	PREVOD NA UCET	3933	49419	SIPO	IJ	98916184
826687	2816	1998-06-14	VYDAJ	PREVOD NA UCET	3933	60013	SIPO	IJ	98916184
826688	2816	1998-07-14	VYDAJ	PREVOD NA UCET	3933	59366	SIPO	IJ	98916184
826689	2816	1998-08-14	VYDAJ	PREVOD NA UCET	3933	60131	SIPO	IJ	98916184
826690	2816	1998-09-14	VYDAJ	PREVOD NA UCET	3933	51057	SIPO	IJ	98916184
826691	2816	1998-10-14	VYDAJ	PREVOD NA UCET	3933	55106	SIPO	IJ	98916184
826692	2816	1998-11-14	VYDAJ	PREVOD NA UCET	3933	48469	SIPO	IJ	98916184
826693	2816	1998-12-14	VYDAJ	PREVOD NA UCET	3933	57158	SIPO	IJ	98916184
826702	2816	1997-09-13	VYDAJ	PREVOD NA UCET	644	60589	 	KL	33418482
826703	2816	1997-10-13	VYDAJ	PREVOD NA UCET	644	55397	 	KL	33418482
826704	2816	1997-11-13	VYDAJ	PREVOD NA UCET	644	53766	 	KL	33418482
826705	2816	1997-12-13	VYDAJ	PREVOD NA UCET	644	59250	 	KL	33418482
826706	2816	1998-01-13	VYDAJ	PREVOD NA UCET	644	34502	 	KL	33418482
826707	2816	1998-02-13	VYDAJ	PREVOD NA UCET	644	39837	 	KL	33418482
826708	2816	1998-03-13	VYDAJ	PREVOD NA UCET	644	50819	 	KL	33418482
826709	2816	1998-04-13	VYDAJ	PREVOD NA UCET	644	50610	 	KL	33418482
826710	2816	1998-05-13	VYDAJ	PREVOD NA UCET	644	53352	 	KL	33418482
826711	2816	1998-06-13	VYDAJ	PREVOD NA UCET	644	63946	 	KL	33418482
826712	2816	1998-07-13	VYDAJ	PREVOD NA UCET	644	63299	 	KL	33418482
826713	2816	1998-08-13	VYDAJ	PREVOD NA UCET	644	64064	 	KL	33418482
826714	2816	1998-09-13	VYDAJ	PREVOD NA UCET	644	54990	 	KL	33418482
826715	2816	1998-10-13	VYDAJ	PREVOD NA UCET	644	59039	 	KL	33418482
826716	2816	1998-11-13	VYDAJ	PREVOD NA UCET	644	54562	 	KL	33418482
826717	2816	1998-12-13	VYDAJ	PREVOD NA UCET	644	61091	 	KL	33418482
826721	2816	1998-01-04	VYDAJ	VYBER	10880	22449	\N	\N	\N
826722	2816	1997-12-02	VYDAJ	VYBER	4640	33288	\N	\N	\N
826723	2816	1998-12-02	VYDAJ	VYBER	4320	35129	\N	\N	\N
826730	2816	1998-01-19	VYDAJ	VYBER	1680	23129	\N	\N	\N
826731	2816	1998-01-12	VYDAJ	VYBER	3240	35146	\N	\N	\N
826732	2816	1998-01-27	VYDAJ	VYBER	1560	21569	\N	\N	\N
826733	2816	1998-01-13	VYDAJ	VYBER	3120	31382	\N	\N	\N
826734	2816	1998-01-13	VYDAJ	VYBER	2640	28742	\N	\N	\N
826735	2816	1998-01-08	VYDAJ	VYBER	1800	20649	\N	\N	\N
826738	2816	1997-09-30	VYDAJ	VYBER	1680	55204	\N	\N	\N
826740	2816	1998-03-23	VYDAJ	VYBER	5520	41366	\N	\N	\N
826741	2816	1998-09-12	VYDAJ	VYBER	4200	55634	\N	\N	\N
826742	2816	1998-02-06	VYDAJ	VYBER	1920	22744	\N	\N	\N
826743	2816	1998-04-17	VYDAJ	VYBER	5760	39117	\N	\N	\N
826744	2816	1998-09-07	VYDAJ	VYBER	4440	42097	\N	\N	\N
826745	2816	1998-11-14	VYDAJ	VYBER	2160	52402	\N	\N	\N
826746	2816	1998-11-11	VYDAJ	VYBER	4920	55206	\N	\N	\N
826747	2816	1998-01-01	VYDAJ	VYBER	5280	33329	\N	\N	\N
826748	2816	1998-04-14	VYDAJ	VYBER	1800	44877	\N	\N	\N
826758	2816	1997-09-30	VYDAJ	VYBER	15	56884	SLUZBY	\N	\N
826759	2816	1997-10-31	VYDAJ	VYBER	15	51673	SLUZBY	\N	\N
826760	2816	1997-11-30	VYDAJ	VYBER	15	50028	SLUZBY	\N	\N
826761	2816	1997-12-31	VYDAJ	VYBER	15	38609	SLUZBY	\N	\N
826762	2816	1998-01-31	VYDAJ	VYBER	15	24664	SLUZBY	\N	\N
826763	2816	1998-02-28	VYDAJ	VYBER	15	33726	SLUZBY	\N	\N
826764	2816	1998-03-31	VYDAJ	VYBER	15	33517	SLUZBY	\N	\N
826765	2816	1998-04-30	VYDAJ	VYBER	15	36259	SLUZBY	\N	\N
826766	2816	1998-05-31	VYDAJ	VYBER	15	37984	SLUZBY	\N	\N
826767	2816	1998-06-30	VYDAJ	VYBER	15	46206	SLUZBY	\N	\N
826768	2816	1998-07-31	VYDAJ	VYBER	15	46971	SLUZBY	\N	\N
826769	2816	1998-08-31	VYDAJ	VYBER	15	46537	SLUZBY	\N	\N
826770	2816	1998-09-30	VYDAJ	VYBER	15	41946	SLUZBY	\N	\N
826771	2816	1998-10-31	VYDAJ	VYBER	15	42389	SLUZBY	\N	\N
826772	2816	1998-11-30	VYDAJ	VYBER	15	39449	SLUZBY	\N	\N
826773	2816	1997-06-03	PRIJEM	VKLAD	500	19393	\N	\N	\N
826774	2816	1997-07-03	VYDAJ	VYBER	8200	37956	\N	\N	\N
826775	2816	1997-08-02	VYDAJ	VYBER	13600	42314	\N	\N	\N
826776	2816	1997-09-01	VYDAJ	VYBER	16800	43496	\N	\N	\N
826777	2816	1997-10-01	VYDAJ	VYBER	16900	38304	\N	\N	\N
826778	2816	1997-10-31	VYDAJ	VYBER	15000	36673	\N	\N	\N
826779	2816	1997-11-30	VYDAJ	VYBER	12100	37928	\N	\N	\N
826780	2816	1997-12-30	VYDAJ	VYBER	16900	38417	\N	\N	\N
826781	2816	1998-01-29	PRIJEM	VKLAD	3000	24569	\N	\N	\N
826782	2816	1998-02-28	VYDAJ	VYBER	2300	33740	\N	\N	\N
826783	2816	1998-03-30	VYDAJ	VYBER	8000	33366	\N	\N	\N
826784	2816	1998-04-29	VYDAJ	VYBER	3000	36117	\N	\N	\N
826785	2816	1998-05-29	VYDAJ	VYBER	11600	37819	\N	\N	\N
826786	2816	1998-06-28	VYDAJ	VYBER	14000	46013	\N	\N	\N
826787	2816	1998-07-28	VYDAJ	VYBER	12600	46766	\N	\N	\N
826788	2816	1998-08-27	VYDAJ	VYBER	13800	46331	\N	\N	\N
826789	2816	1998-09-26	VYDAJ	VYBER	9300	41757	\N	\N	\N
826790	2816	1998-10-26	VYDAJ	VYBER	12900	42206	\N	\N	\N
826791	2816	1998-11-25	VYDAJ	VYBER	9200	39269	\N	\N	\N
826812	2817	1993-04-07	PRIJEM	VKLAD	200	13872	\N	\N	\N
826816	2817	1993-04-07	PRIJEM	VKLAD	13672	13672	\N	\N	\N
826817	2817	1993-05-07	PRIJEM	VKLAD	13672	27590	\N	\N	\N
826818	2817	1993-06-07	PRIJEM	VKLAD	20508	48501	\N	\N	\N
826819	2817	1993-07-07	PRIJEM	VKLAD	13672	48357	\N	\N	\N
826820	2817	1993-08-07	PRIJEM	VKLAD	13672	52731	\N	\N	\N
826821	2817	1993-09-07	PRIJEM	VKLAD	13672	53204	\N	\N	\N
826822	2817	1993-10-07	PRIJEM	VKLAD	13672	50783	\N	\N	\N
826823	2817	1993-11-07	PRIJEM	VKLAD	13672	53054	\N	\N	\N
826824	2817	1993-12-07	PRIJEM	VKLAD	20508	55154	\N	\N	\N
826825	2817	1994-01-07	PRIJEM	VKLAD	13672	53528	\N	\N	\N
826826	2817	1994-02-07	PRIJEM	VKLAD	13672	45962	\N	\N	\N
826827	2817	1994-03-07	PRIJEM	VKLAD	13672	49103	\N	\N	\N
826828	2817	1994-04-07	PRIJEM	VKLAD	13672	48858	\N	\N	\N
826829	2817	1994-05-07	PRIJEM	VKLAD	13672	53918	\N	\N	\N
826830	2817	1994-06-07	PRIJEM	VKLAD	20508	62432	\N	\N	\N
826831	2817	1994-07-07	PRIJEM	VKLAD	13672	49793	\N	\N	\N
826832	2817	1994-08-07	PRIJEM	VKLAD	13672	52350	\N	\N	\N
826833	2817	1994-09-07	PRIJEM	VKLAD	13672	53293	\N	\N	\N
826834	2817	1994-10-07	PRIJEM	VKLAD	13672	58216	\N	\N	\N
826835	2817	1994-11-07	PRIJEM	VKLAD	13672	59867	\N	\N	\N
826836	2817	1994-12-07	PRIJEM	VKLAD	20508	65278	\N	\N	\N
826837	2817	1995-01-07	PRIJEM	VKLAD	13672	63144	\N	\N	\N
826838	2817	1995-02-07	PRIJEM	VKLAD	13672	48223	\N	\N	\N
826839	2817	1995-03-07	PRIJEM	VKLAD	13672	55141	\N	\N	\N
826840	2817	1995-04-07	PRIJEM	VKLAD	13672	54372	\N	\N	\N
826841	2817	1995-05-07	PRIJEM	VKLAD	13672	56940	\N	\N	\N
826842	2817	1995-06-07	PRIJEM	VKLAD	20508	67416	\N	\N	\N
826843	2817	1995-07-07	PRIJEM	VKLAD	13672	57403	\N	\N	\N
826844	2817	1995-08-07	PRIJEM	VKLAD	13672	63347	\N	\N	\N
826845	2817	1995-09-07	PRIJEM	VKLAD	13672	65912	\N	\N	\N
826846	2817	1995-10-07	PRIJEM	VKLAD	13672	65185	\N	\N	\N
826847	2817	1995-11-07	PRIJEM	VKLAD	13672	66857	\N	\N	\N
826848	2817	1995-12-07	PRIJEM	VKLAD	20508	72669	\N	\N	\N
826849	2817	1996-01-07	PRIJEM	VKLAD	13672	69647	\N	\N	\N
826850	2817	1996-02-07	PRIJEM	VKLAD	13672	59840	\N	\N	\N
826851	2817	1996-03-07	PRIJEM	VKLAD	13672	63392	\N	\N	\N
826852	2817	1996-04-07	PRIJEM	VKLAD	13672	66559	\N	\N	\N
826853	2817	1996-05-07	PRIJEM	VKLAD	13672	67536	\N	\N	\N
826854	2817	1996-06-07	PRIJEM	VKLAD	20508	57056	\N	\N	\N
826855	2817	1996-07-07	PRIJEM	VKLAD	13672	60224	\N	\N	\N
826856	2817	1996-08-07	PRIJEM	VKLAD	13672	58486	\N	\N	\N
826857	2817	1996-09-07	PRIJEM	VKLAD	13672	57827	\N	\N	\N
826858	2817	1996-10-07	PRIJEM	VKLAD	13672	57865	\N	\N	\N
826859	2817	1996-11-07	PRIJEM	VKLAD	13672	57608	\N	\N	\N
826860	2817	1996-12-07	PRIJEM	VKLAD	20508	66686	\N	\N	\N
826861	2817	1997-01-07	PRIJEM	VKLAD	13672	56642	\N	\N	\N
826862	2817	1997-02-07	PRIJEM	VKLAD	13672	48880	\N	\N	\N
826863	2817	1997-03-07	PRIJEM	VKLAD	13672	58801	\N	\N	\N
826864	2817	1997-04-07	PRIJEM	VKLAD	13672	61950	\N	\N	\N
826865	2817	1997-05-07	PRIJEM	VKLAD	13672	56121	\N	\N	\N
826866	2817	1997-06-07	PRIJEM	VKLAD	20508	64999	\N	\N	\N
826867	2817	1997-07-07	PRIJEM	VKLAD	13672	47358	\N	\N	\N
826868	2817	1997-08-07	PRIJEM	VKLAD	13672	55370	\N	\N	\N
826869	2817	1997-09-07	PRIJEM	VKLAD	13672	61110	\N	\N	\N
826870	2817	1997-10-07	PRIJEM	VKLAD	13672	64569	\N	\N	\N
826871	2817	1997-11-07	PRIJEM	VKLAD	13672	66563	\N	\N	\N
826872	2817	1997-12-07	PRIJEM	VKLAD	20508	75377	\N	\N	\N
826873	2817	1998-01-07	PRIJEM	VKLAD	13672	66571	\N	\N	\N
826874	2817	1998-02-07	PRIJEM	VKLAD	13672	63054	\N	\N	\N
826875	2817	1998-03-07	PRIJEM	VKLAD	13672	69332	\N	\N	\N
826876	2817	1998-04-07	PRIJEM	VKLAD	13672	73631	\N	\N	\N
826877	2817	1998-05-07	PRIJEM	VKLAD	13672	82657	\N	\N	\N
826878	2817	1998-06-07	PRIJEM	VKLAD	20508	91442	\N	\N	\N
826879	2817	1998-07-07	PRIJEM	VKLAD	13672	73756	\N	\N	\N
826880	2817	1998-08-07	PRIJEM	VKLAD	13672	81079	\N	\N	\N
826881	2817	1998-09-07	PRIJEM	VKLAD	13672	82313	\N	\N	\N
826882	2817	1998-10-07	PRIJEM	VKLAD	13672	82560	\N	\N	\N
826883	2817	1998-11-07	PRIJEM	VKLAD	13672	84302	\N	\N	\N
826884	2817	1998-12-07	PRIJEM	VKLAD	20508	88105	\N	\N	\N
826886	2817	1994-06-14	VYDAJ	VYBER	20800	41632	\N	\N	\N
826887	2817	1995-06-13	VYDAJ	VYBER	10300	57116	\N	\N	\N
826888	2817	1996-06-04	VYDAJ	VYBER	17700	36548	\N	\N	\N
826889	2817	1997-06-22	VYDAJ	VYBER	19300	33499	\N	\N	\N
826890	2817	1998-06-09	VYDAJ	VYBER	28100	63342	\N	\N	\N
826892	2817	1994-01-08	VYDAJ	VYBER	6200	47328	\N	\N	\N
826893	2817	1995-01-29	VYDAJ	VYBER	9400	37044	\N	\N	\N
826894	2817	1996-01-21	VYDAJ	VYBER	2100	55847	\N	\N	\N
826895	2817	1997-01-16	VYDAJ	VYBER	7800	41642	\N	\N	\N
826896	2817	1998-01-04	VYDAJ	VYBER	6100	52899	\N	\N	\N
826897	2817	1993-12-02	VYDAJ	VYBER	600	48346	\N	\N	\N
826898	2817	1994-12-20	VYDAJ	VYBER	2300	62978	\N	\N	\N
826899	2817	1995-12-25	VYDAJ	VYBER	600	55769	\N	\N	\N
826900	2817	1996-12-25	VYDAJ	VYBER	1000	50886	\N	\N	\N
826901	2817	1997-12-20	VYDAJ	VYBER KARTOU	2700	58777	\N	\N	0
826902	2817	1998-12-26	VYDAJ	VYBER KARTOU	600	75905	\N	\N	0
826909	2817	1994-01-15	VYDAJ	VYBER	2700	40428	\N	\N	\N
826910	2817	1994-01-02	VYDAJ	VYBER	2400	52956	\N	\N	\N
826911	2817	1994-01-05	VYDAJ	VYBER	1100	40456	\N	\N	\N
826912	2817	1994-01-21	VYDAJ	VYBER	700	39728	\N	\N	\N
826913	2817	1994-01-06	VYDAJ	VYBER	600	39856	\N	\N	\N
826914	2817	1994-01-25	VYDAJ	VYBER	2600	37128	\N	\N	\N
826915	2817	1995-01-30	VYDAJ	VYBER	1400	35644	\N	\N	\N
826916	2817	1995-01-19	VYDAJ	VYBER	1500	55244	\N	\N	\N
826917	2817	1995-01-07	VYDAJ	VYBER	2600	60544	\N	\N	\N
826918	2817	1995-01-13	VYDAJ	VYBER	2900	56744	\N	\N	\N
826919	2817	1995-01-12	VYDAJ	VYBER	900	59644	\N	\N	\N
826920	2817	1995-01-30	VYDAJ	VYBER	1300	34344	\N	\N	\N
826921	2817	1996-01-17	VYDAJ	VYBER	2500	62347	\N	\N	\N
826922	2817	1996-01-25	VYDAJ	VYBER	2100	45947	\N	\N	\N
826923	2817	1996-01-07	VYDAJ	VYBER	900	68747	\N	\N	\N
826924	2817	1996-01-21	VYDAJ	VYBER	2200	57947	\N	\N	\N
826925	2817	1996-01-18	VYDAJ	VYBER	2200	60147	\N	\N	\N
826926	2817	1996-01-16	VYDAJ	VYBER	1000	64847	\N	\N	\N
826927	2817	1997-01-01	VYDAJ	VYBER	1500	44970	\N	\N	\N
826928	2817	1997-01-14	VYDAJ	VYBER	1700	52542	\N	\N	\N
826929	2817	1997-01-19	VYDAJ	VYBER	2500	39142	\N	\N	\N
826930	2817	1997-01-03	VYDAJ	VYBER	1200	43770	\N	\N	\N
826931	2817	1997-01-13	VYDAJ	VYBER	2400	54242	\N	\N	\N
826932	2817	1997-01-06	VYDAJ	VYBER	800	42970	\N	\N	\N
826933	2817	1998-01-10	VYDAJ	VYBER KARTOU	2500	63471	\N	\N	0
826934	2817	1998-01-15	VYDAJ	VYBER KARTOU	1600	54071	\N	\N	0
826935	2817	1998-01-23	VYDAJ	VYBER KARTOU	2200	50671	\N	\N	0
826936	2817	1998-01-20	VYDAJ	VYBER KARTOU	1200	52871	\N	\N	0
826937	2817	1998-01-08	VYDAJ	VYBER KARTOU	600	65971	\N	\N	0
826938	2817	1998-01-24	VYDAJ	VYBER KARTOU	1500	49171	\N	\N	0
826939	2817	1993-11-08	VYDAJ	VYBER	1000	52054	\N	\N	\N
826941	2817	1993-11-09	VYDAJ	VYBER	3300	48754	\N	\N	\N
826944	2817	1994-01-08	VYDAJ	VYBER	4200	43128	\N	\N	\N
826945	2817	1994-11-09	VYDAJ	VYBER	3800	56067	\N	\N	\N
826946	2817	1994-10-24	VYDAJ	VYBER	1500	56716	\N	\N	\N
826947	2817	1994-08-11	VYDAJ	VYBER	4000	48350	\N	\N	\N
826948	2817	1994-03-17	VYDAJ	VYBER	2000	47103	\N	\N	\N
826949	2817	1995-06-28	VYDAJ	VYBER	4600	43516	\N	\N	\N
826950	2817	1995-02-16	VYDAJ	VYBER	3700	44523	\N	\N	\N
826951	2817	1995-04-02	VYDAJ	VYBER	3100	40700	\N	\N	\N
826952	2817	1995-06-02	VYDAJ	VYBER	1300	46908	\N	\N	\N
826953	2817	1995-06-27	VYDAJ	VYBER	1100	48116	\N	\N	\N
826954	2817	1995-11-23	VYDAJ	VYBER	3000	51957	\N	\N	\N
826955	2817	1996-06-01	VYDAJ	VYBER	1500	54248	\N	\N	\N
826956	2817	1996-07-09	VYDAJ	VYBER	2400	57824	\N	\N	\N
826957	2817	1996-01-08	VYDAJ	VYBER	2900	65847	\N	\N	\N
826958	2817	1996-10-14	VYDAJ	VYBER	4900	52965	\N	\N	\N
826959	2817	1996-12-30	VYDAJ	VYBER	4600	46286	\N	\N	\N
826960	2817	1996-05-20	VYDAJ	VYBER	1200	66336	\N	\N	\N
826961	2817	1996-05-28	VYDAJ	VYBER	600	55536	\N	\N	\N
826962	2817	1997-01-24	VYDAJ	VYBER	4100	35042	\N	\N	\N
826963	2817	1997-06-05	VYDAJ	VYBER	3500	44491	\N	\N	\N
826964	2817	1997-04-02	VYDAJ	VYBER	600	48278	\N	\N	\N
826965	2817	1997-10-13	VYDAJ	VYBER	2000	62569	\N	\N	\N
826966	2817	1997-04-23	VYDAJ	VYBER	4100	45650	\N	\N	\N
826967	2817	1997-04-30	VYDAJ	VYBER	3400	42449	\N	\N	\N
826968	2817	1998-05-27	VYDAJ	VYBER KARTOU	2600	70657	\N	\N	0
826969	2817	1998-02-21	VYDAJ	VYBER KARTOU	2000	55454	\N	\N	0
826970	2817	1998-03-27	VYDAJ	VYBER KARTOU	2100	59732	\N	\N	0
826971	2817	1998-11-21	VYDAJ	VYBER KARTOU	1300	67302	\N	\N	0
826972	2817	1998-09-29	VYDAJ	VYBER KARTOU	3200	68613	\N	\N	0
826981	2817	1993-08-31	VYDAJ	VYBER	15	52932	SLUZBY	\N	\N
826982	2817	1993-09-30	VYDAJ	VYBER	15	53411	SLUZBY	\N	\N
826983	2817	1993-10-31	VYDAJ	VYBER	15	50982	SLUZBY	\N	\N
826984	2817	1993-11-30	VYDAJ	VYBER	15	48946	SLUZBY	\N	\N
826985	2817	1993-12-31	VYDAJ	VYBER	15	55356	SLUZBY	\N	\N
826986	2817	1994-01-31	VYDAJ	VYBER	15	37290	SLUZBY	\N	\N
826987	2817	1994-02-28	VYDAJ	VYBER	15	46131	SLUZBY	\N	\N
826988	2817	1994-03-31	VYDAJ	VYBER	15	47286	SLUZBY	\N	\N
826989	2817	1994-04-30	VYDAJ	VYBER	15	49046	SLUZBY	\N	\N
826990	2817	1994-05-31	VYDAJ	VYBER	15	54124	SLUZBY	\N	\N
826991	2817	1994-06-30	VYDAJ	VYBER	15	41821	SLUZBY	\N	\N
826992	2817	1994-07-31	VYDAJ	VYBER	15	38678	SLUZBY	\N	\N
826993	2817	1994-08-31	VYDAJ	VYBER	15	39621	SLUZBY	\N	\N
826994	2817	1994-09-30	VYDAJ	VYBER	15	44544	SLUZBY	\N	\N
826995	2817	1994-10-31	VYDAJ	VYBER	15	46195	SLUZBY	\N	\N
826996	2817	1994-11-30	VYDAJ	VYBER	15	44770	SLUZBY	\N	\N
826997	2817	1994-12-31	VYDAJ	VYBER	15	49472	SLUZBY	\N	\N
826998	2817	1995-01-31	VYDAJ	VYBER	15	34551	SLUZBY	\N	\N
826999	2817	1995-02-28	VYDAJ	VYBER	15	41469	SLUZBY	\N	\N
827000	2817	1995-03-31	VYDAJ	VYBER	15	43800	SLUZBY	\N	\N
827001	2817	1995-04-30	VYDAJ	VYBER	15	43268	SLUZBY	\N	\N
827002	2817	1995-05-31	VYDAJ	VYBER	15	48208	SLUZBY	\N	\N
827003	2817	1995-06-30	VYDAJ	VYBER	15	43731	SLUZBY	\N	\N
827004	2817	1995-07-31	VYDAJ	VYBER	15	49675	SLUZBY	\N	\N
827005	2817	1995-08-31	VYDAJ	VYBER	15	52240	SLUZBY	\N	\N
827006	2817	1995-09-30	VYDAJ	VYBER	15	51513	SLUZBY	\N	\N
827007	2817	1995-10-31	VYDAJ	VYBER	15	53185	SLUZBY	\N	\N
827008	2817	1995-11-30	VYDAJ	VYBER	15	52161	SLUZBY	\N	\N
827009	2817	1995-12-31	VYDAJ	VYBER	15	55975	SLUZBY	\N	\N
827010	2817	1996-01-31	VYDAJ	VYBER	15	46168	SLUZBY	\N	\N
827011	2817	1996-02-29	VYDAJ	VYBER	15	49720	SLUZBY	\N	\N
827012	2817	1996-03-31	VYDAJ	VYBER	15	52887	SLUZBY	\N	\N
827013	2817	1996-04-30	VYDAJ	VYBER	15	53864	SLUZBY	\N	\N
827014	2817	1996-05-31	VYDAJ	VYBER	15	55748	SLUZBY	\N	\N
827015	2817	1996-06-30	VYDAJ	VYBER	15	46552	SLUZBY	\N	\N
827016	2817	1996-07-31	VYDAJ	VYBER	15	44814	SLUZBY	\N	\N
827017	2817	1996-08-31	VYDAJ	VYBER	15	44155	SLUZBY	\N	\N
827018	2817	1996-09-30	VYDAJ	VYBER	15	44193	SLUZBY	\N	\N
827019	2817	1996-10-31	VYDAJ	VYBER	15	43936	SLUZBY	\N	\N
827020	2817	1996-11-30	VYDAJ	VYBER	15	46178	SLUZBY	\N	\N
827021	2817	1996-12-31	VYDAJ	VYBER	15	46470	SLUZBY	\N	\N
827022	2817	1997-01-31	VYDAJ	VYBER	15	35208	SLUZBY	\N	\N
827023	2817	1997-02-28	VYDAJ	VYBER	15	45129	SLUZBY	\N	\N
827024	2817	1997-03-31	VYDAJ	VYBER	15	48878	SLUZBY	\N	\N
827025	2817	1997-04-30	VYDAJ	VYBER	15	45849	SLUZBY	\N	\N
827026	2817	1997-05-31	VYDAJ	VYBER	15	47991	SLUZBY	\N	\N
827027	2817	1997-06-30	VYDAJ	VYBER	15	33686	SLUZBY	\N	\N
827028	2817	1997-07-31	VYDAJ	VYBER	15	41698	SLUZBY	\N	\N
827029	2817	1997-08-31	VYDAJ	VYBER	15	47438	SLUZBY	\N	\N
827030	2817	1997-09-30	VYDAJ	VYBER	15	50897	SLUZBY	\N	\N
827031	2817	1997-10-31	VYDAJ	VYBER	15	52891	SLUZBY	\N	\N
827032	2817	1997-11-30	VYDAJ	VYBER	15	54869	SLUZBY	\N	\N
827033	2817	1997-12-31	VYDAJ	VYBER	15	58999	SLUZBY	\N	\N
827034	2817	1998-01-31	VYDAJ	VYBER	15	49382	SLUZBY	\N	\N
827035	2817	1998-02-28	VYDAJ	VYBER	15	55660	SLUZBY	\N	\N
827036	2817	1998-03-31	VYDAJ	VYBER	15	59959	SLUZBY	\N	\N
827037	2817	1998-04-30	VYDAJ	VYBER	15	68985	SLUZBY	\N	\N
827038	2817	1998-05-31	VYDAJ	VYBER	15	70934	SLUZBY	\N	\N
827039	2817	1998-06-30	VYDAJ	VYBER	15	60084	SLUZBY	\N	\N
827040	2817	1998-07-31	VYDAJ	VYBER	15	67407	SLUZBY	\N	\N
827041	2817	1998-08-31	VYDAJ	VYBER	15	68641	SLUZBY	\N	\N
827042	2817	1998-09-30	VYDAJ	VYBER	15	68888	SLUZBY	\N	\N
827043	2817	1998-10-31	VYDAJ	VYBER	15	70630	SLUZBY	\N	\N
827044	2817	1998-11-30	VYDAJ	VYBER	15	67597	SLUZBY	\N	\N
827045	2817	1993-05-07	VYDAJ	VYBER	200	27390	\N	\N	\N
827046	2817	1993-06-06	PRIJEM	VKLAD	500	27993	\N	\N	\N
827047	2817	1993-07-06	VYDAJ	VYBER	14000	34685	\N	\N	\N
827048	2817	1993-08-05	VYDAJ	VYBER	9500	39059	\N	\N	\N
827049	2817	1993-09-04	VYDAJ	VYBER	13400	39532	\N	\N	\N
827050	2817	1993-10-04	VYDAJ	VYBER	16300	37111	\N	\N	\N
827051	2817	1993-11-03	VYDAJ	VYBER	11600	39382	\N	\N	\N
827052	2817	1993-12-03	VYDAJ	VYBER	13700	34646	\N	\N	\N
827053	2817	1994-01-02	VYDAJ	VYBER	11400	41556	\N	\N	\N
827054	2817	1994-02-01	VYDAJ	VYBER	5000	32290	\N	\N	\N
827055	2817	1994-03-03	VYDAJ	VYBER	10700	35431	\N	\N	\N
827056	2817	1994-04-02	VYDAJ	VYBER	12100	35186	\N	\N	\N
827057	2817	1994-05-02	VYDAJ	VYBER	8800	40246	\N	\N	\N
827058	2817	1994-06-01	VYDAJ	VYBER	12200	41924	\N	\N	\N
827059	2817	1994-07-01	VYDAJ	VYBER	5700	36121	\N	\N	\N
827060	2817	1994-07-31	VYDAJ	VYBER	11300	38692	\N	\N	\N
827061	2817	1994-08-30	VYDAJ	VYBER	8900	39450	\N	\N	\N
827062	2817	1994-09-29	VYDAJ	VYBER	8900	44393	\N	\N	\N
827063	2817	1994-10-29	VYDAJ	VYBER	10700	46016	\N	\N	\N
827064	2817	1994-11-28	VYDAJ	VYBER	11500	44567	\N	\N	\N
827065	2817	1994-12-28	VYDAJ	VYBER	13700	49278	\N	\N	\N
827066	2817	1995-01-27	VYDAJ	VYBER	8800	46444	\N	\N	\N
827067	2817	1995-02-26	VYDAJ	VYBER	3200	41323	\N	\N	\N
827068	2817	1995-03-28	VYDAJ	VYBER	11500	43641	\N	\N	\N
827069	2817	1995-04-27	VYDAJ	VYBER	11300	43072	\N	\N	\N
827070	2817	1995-05-27	VYDAJ	VYBER	8900	48040	\N	\N	\N
827071	2817	1995-06-26	VYDAJ	VYBER	7900	49216	\N	\N	\N
827072	2817	1995-07-26	VYDAJ	VYBER	7900	49503	\N	\N	\N
827073	2817	1995-08-25	VYDAJ	VYBER	11300	52047	\N	\N	\N
827074	2817	1995-09-24	VYDAJ	VYBER	14600	51312	\N	\N	\N
827075	2817	1995-10-24	VYDAJ	VYBER	12200	52985	\N	\N	\N
827076	2817	1995-11-23	VYDAJ	VYBER	11900	54957	\N	\N	\N
827077	2817	1995-12-23	VYDAJ	VYBER	16300	56369	\N	\N	\N
827078	2817	1996-01-22	VYDAJ	VYBER	7800	48047	\N	\N	\N
827079	2817	1996-02-21	VYDAJ	VYBER	10300	49540	\N	\N	\N
827080	2817	1996-03-22	VYDAJ	VYBER	10700	52692	\N	\N	\N
827081	2817	1996-04-21	VYDAJ	VYBER	12900	53659	\N	\N	\N
827082	2817	1996-05-21	VYDAJ	VYBER	10200	56136	\N	\N	\N
827083	2817	1996-06-20	VYDAJ	VYBER	10700	46356	\N	\N	\N
827084	2817	1996-07-20	VYDAJ	VYBER	13200	44624	\N	\N	\N
827085	2817	1996-08-19	VYDAJ	VYBER	14500	43986	\N	\N	\N
827086	2817	1996-09-18	VYDAJ	VYBER	13800	44027	\N	\N	\N
827087	2817	1996-10-18	VYDAJ	VYBER	9200	43765	\N	\N	\N
827088	2817	1996-11-17	VYDAJ	VYBER	11600	46008	\N	\N	\N
827089	2817	1996-12-17	VYDAJ	VYBER	14800	51886	\N	\N	\N
827090	2817	1997-01-16	VYDAJ	VYBER	3100	49442	\N	\N	\N
827091	2817	1997-02-15	VYDAJ	VYBER	3900	44980	\N	\N	\N
827092	2817	1997-03-17	VYDAJ	VYBER	10100	48701	\N	\N	\N
827093	2817	1997-04-16	VYDAJ	VYBER	12200	49750	\N	\N	\N
827094	2817	1997-05-16	VYDAJ	VYBER	8300	47821	\N	\N	\N
827095	2817	1997-06-15	VYDAJ	VYBER	12200	52799	\N	\N	\N
827096	2817	1997-07-15	VYDAJ	VYBER	5800	41558	\N	\N	\N
827097	2817	1997-08-14	VYDAJ	VYBER	8100	47270	\N	\N	\N
827098	2817	1997-09-13	VYDAJ	VYBER	10400	50710	\N	\N	\N
827099	2817	1997-10-13	VYDAJ	VYBER	9900	52669	\N	\N	\N
827100	2817	1997-11-12	VYDAJ	VYBER	11900	54663	\N	\N	\N
827101	2817	1997-12-12	VYDAJ	VYBER	13900	61477	\N	\N	\N
827102	2817	1998-01-11	VYDAJ	VYBER	7800	55671	\N	\N	\N
827103	2817	1998-02-10	VYDAJ	VYBER	5600	57454	\N	\N	\N
827104	2817	1998-03-12	VYDAJ	VYBER	7500	61832	\N	\N	\N
827105	2817	1998-04-11	VYDAJ	VYBER	4900	68731	\N	\N	\N
827106	2817	1998-05-11	VYDAJ	VYBER	9400	73257	\N	\N	\N
827107	2817	1998-06-10	VYDAJ	VYBER KARTOU	3500	59842	\N	\N	0
827108	2817	1998-07-10	VYDAJ	VYBER	6600	67156	\N	\N	\N
827109	2817	1998-08-09	VYDAJ	VYBER	12700	68379	\N	\N	\N
827110	2817	1998-09-08	VYDAJ	VYBER	10500	71813	\N	\N	\N
827111	2817	1998-10-08	VYDAJ	VYBER	12200	70360	\N	\N	\N
827112	2817	1998-11-07	VYDAJ	VYBER	15700	68602	\N	\N	\N
827113	2817	1998-12-07	VYDAJ	VYBER	11600	76505	\N	\N	\N
827183	2818	1993-07-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
827191	2818	1993-08-08	PRIJEM	PREVOD Z UCTU	41022	42022	\N	GH	4648572
827192	2818	1993-09-08	PRIJEM	PREVOD Z UCTU	41022	72996	\N	GH	4648572
827193	2818	1993-10-08	PRIJEM	PREVOD Z UCTU	41022	89678	\N	GH	4648572
827194	2818	1993-11-08	PRIJEM	PREVOD Z UCTU	41022	100621	\N	GH	4648572
827195	2818	1993-12-08	PRIJEM	PREVOD Z UCTU	61533	122103	\N	GH	4648572
827196	2818	1994-01-08	PRIJEM	PREVOD Z UCTU	41022	69629	\N	GH	4648572
827197	2818	1994-02-08	PRIJEM	PREVOD Z UCTU	41022	60660	\N	GH	4648572
827198	2818	1994-03-08	PRIJEM	PREVOD Z UCTU	41022	71306	\N	GH	4648572
827199	2818	1994-04-08	PRIJEM	PREVOD Z UCTU	41022	84876	\N	GH	4648572
827200	2818	1994-05-08	PRIJEM	PREVOD Z UCTU	41022	78843	\N	GH	4648572
827201	2818	1994-06-08	PRIJEM	PREVOD Z UCTU	61533	94941	\N	GH	4648572
827202	2818	1994-07-08	PRIJEM	PREVOD Z UCTU	41022	91019	\N	GH	4648572
827203	2818	1994-08-08	PRIJEM	PREVOD Z UCTU	41022	77127	\N	GH	4648572
827204	2818	1994-09-08	PRIJEM	PREVOD Z UCTU	41022	81064	\N	GH	4648572
827205	2818	1994-10-08	PRIJEM	PREVOD Z UCTU	41022	88513	\N	GH	4648572
827206	2818	1994-11-08	PRIJEM	PREVOD Z UCTU	41022	92285	\N	GH	4648572
827207	2818	1994-12-08	PRIJEM	PREVOD Z UCTU	61533	114172	\N	GH	4648572
827208	2818	1995-01-08	PRIJEM	PREVOD Z UCTU	41022	66936	\N	GH	4648572
827209	2818	1995-02-08	PRIJEM	PREVOD Z UCTU	41022	62705	\N	GH	4648572
827210	2818	1995-03-08	PRIJEM	PREVOD Z UCTU	41022	75091	\N	GH	4648572
827211	2818	1995-04-08	PRIJEM	PREVOD Z UCTU	41022	79265	\N	GH	4648572
827212	2818	1995-05-08	PRIJEM	PREVOD Z UCTU	41022	83821	\N	GH	4648572
827213	2818	1995-06-08	PRIJEM	PREVOD Z UCTU	61533	94700	\N	GH	4648572
827214	2818	1995-07-08	PRIJEM	PREVOD Z UCTU	41022	93854	\N	GH	4648572
827215	2818	1995-08-08	PRIJEM	PREVOD Z UCTU	41022	71851	\N	GH	4648572
827216	2818	1995-09-08	PRIJEM	PREVOD Z UCTU	41022	78163	\N	GH	4648572
827217	2818	1995-10-08	PRIJEM	PREVOD Z UCTU	41022	78188	\N	GH	4648572
827218	2818	1995-11-08	PRIJEM	PREVOD Z UCTU	41022	86632	\N	GH	4648572
827219	2818	1995-12-08	PRIJEM	PREVOD Z UCTU	61533	74655	\N	GH	4648572
827220	2818	1996-01-08	PRIJEM	PREVOD Z UCTU	41022	67269	\N	GH	4648572
827221	2818	1996-02-08	PRIJEM	PREVOD Z UCTU	41022	67649	\N	GH	4648572
827222	2818	1996-03-08	PRIJEM	PREVOD Z UCTU	41022	85427	\N	GH	4648572
827223	2818	1996-04-08	PRIJEM	PREVOD Z UCTU	41022	91793	\N	GH	4648572
827224	2818	1996-05-08	PRIJEM	PREVOD Z UCTU	41022	98698	\N	GH	4648572
827225	2818	1996-06-08	PRIJEM	PREVOD Z UCTU	61533	111166	\N	GH	4648572
827226	2818	1996-07-08	PRIJEM	PREVOD Z UCTU	41022	95857	\N	GH	4648572
827227	2818	1996-08-08	PRIJEM	PREVOD Z UCTU	41022	92672	\N	GH	4648572
827228	2818	1996-09-08	PRIJEM	PREVOD Z UCTU	41022	94080	\N	GH	4648572
827229	2818	1996-10-08	PRIJEM	PREVOD Z UCTU	41022	80566	\N	GH	4648572
827230	2818	1996-11-08	PRIJEM	PREVOD Z UCTU	41022	70800	\N	GH	4648572
827231	2818	1996-12-08	PRIJEM	PREVOD Z UCTU	61533	100493	\N	GH	4648572
827232	2818	1997-01-08	PRIJEM	PREVOD Z UCTU	41022	70074	\N	GH	4648572
827233	2818	1997-02-08	PRIJEM	PREVOD Z UCTU	41022	74943	\N	GH	4648572
827234	2818	1997-03-08	PRIJEM	PREVOD Z UCTU	41022	75851	\N	GH	4648572
827235	2818	1997-04-08	PRIJEM	PREVOD Z UCTU	41022	89022	\N	GH	4648572
827236	2818	1997-05-08	PRIJEM	PREVOD Z UCTU	41022	104388	\N	GH	4648572
827237	2818	1997-06-08	PRIJEM	PREVOD Z UCTU	61533	104841	\N	GH	4648572
827238	2818	1997-07-08	PRIJEM	PREVOD Z UCTU	41022	103214	\N	GH	4648572
827239	2818	1997-08-08	PRIJEM	PREVOD Z UCTU	41022	108305	\N	GH	4648572
827240	2818	1997-09-08	PRIJEM	PREVOD Z UCTU	41022	107863	\N	GH	4648572
827241	2818	1997-10-08	PRIJEM	PREVOD Z UCTU	41022	106509	\N	GH	4648572
827242	2818	1997-11-08	PRIJEM	PREVOD Z UCTU	41022	105092	\N	GH	4648572
827243	2818	1997-12-08	PRIJEM	PREVOD Z UCTU	61533	123292	\N	GH	4648572
827244	2818	1998-01-08	PRIJEM	PREVOD Z UCTU	41022	102999	\N	GH	4648572
827245	2818	1998-02-08	PRIJEM	PREVOD Z UCTU	41022	100166	\N	GH	4648572
827246	2818	1998-03-08	PRIJEM	PREVOD Z UCTU	41022	112833	\N	GH	4648572
827247	2818	1998-04-08	PRIJEM	PREVOD Z UCTU	41022	122854	\N	GH	4648572
827248	2818	1998-05-08	PRIJEM	PREVOD Z UCTU	41022	115682	\N	GH	4648572
827249	2818	1998-06-08	PRIJEM	PREVOD Z UCTU	61533	133514	\N	GH	4648572
827250	2818	1998-07-08	PRIJEM	PREVOD Z UCTU	41022	82631	\N	GH	4648572
827251	2818	1998-08-08	PRIJEM	PREVOD Z UCTU	41022	95045	\N	GH	4648572
827252	2818	1998-09-08	PRIJEM	PREVOD Z UCTU	41022	113823	\N	GH	4648572
827253	2818	1998-10-08	PRIJEM	PREVOD Z UCTU	41022	90853	\N	GH	4648572
827254	2818	1998-11-08	PRIJEM	PREVOD Z UCTU	41022	108475	\N	GH	4648572
827255	2818	1998-12-08	PRIJEM	PREVOD Z UCTU	61533	104390	\N	GH	4648572
827339	2818	1993-12-13	VYDAJ	PREVOD NA UCET	8947	79356	SIPO	OP	17903107
827340	2818	1994-01-13	VYDAJ	PREVOD NA UCET	8947	58882	SIPO	OP	17903107
827341	2818	1994-02-13	VYDAJ	PREVOD NA UCET	8947	51713	SIPO	OP	17903107
827342	2818	1994-03-13	VYDAJ	PREVOD NA UCET	8947	62359	SIPO	OP	17903107
827343	2818	1994-04-13	VYDAJ	PREVOD NA UCET	8947	75929	SIPO	OP	17903107
827344	2818	1994-05-13	VYDAJ	PREVOD NA UCET	8947	69896	SIPO	OP	17903107
827345	2818	1994-06-13	VYDAJ	PREVOD NA UCET	8947	85994	SIPO	OP	17903107
827346	2818	1994-07-13	VYDAJ	PREVOD NA UCET	8947	82072	SIPO	OP	17903107
827347	2818	1994-08-13	VYDAJ	PREVOD NA UCET	8947	68180	SIPO	OP	17903107
827348	2818	1994-09-13	VYDAJ	PREVOD NA UCET	8947	72117	SIPO	OP	17903107
827349	2818	1994-10-13	VYDAJ	PREVOD NA UCET	8947	73963	SIPO	OP	17903107
827350	2818	1994-11-13	VYDAJ	PREVOD NA UCET	8947	83338	SIPO	OP	17903107
827351	2818	1994-12-13	VYDAJ	PREVOD NA UCET	8947	76625	SIPO	OP	17903107
827352	2818	1995-01-13	VYDAJ	PREVOD NA UCET	8947	37189	SIPO	OP	17903107
827353	2818	1995-02-13	VYDAJ	PREVOD NA UCET	8947	33958	SIPO	OP	17903107
827354	2818	1995-03-13	VYDAJ	PREVOD NA UCET	8947	54744	SIPO	OP	17903107
827355	2818	1995-04-13	VYDAJ	PREVOD NA UCET	8947	42618	SIPO	OP	17903107
827356	2818	1995-05-13	VYDAJ	PREVOD NA UCET	8947	37722	SIPO	OP	17903107
827357	2818	1995-06-13	VYDAJ	PREVOD NA UCET	8947	52653	SIPO	OP	17903107
827358	2818	1995-07-13	VYDAJ	PREVOD NA UCET	8947	51707	SIPO	OP	17903107
827359	2818	1995-08-13	VYDAJ	PREVOD NA UCET	8947	37004	SIPO	OP	17903107
827360	2818	1995-09-13	VYDAJ	PREVOD NA UCET	8947	37016	SIPO	OP	17903107
827361	2818	1995-10-13	VYDAJ	PREVOD NA UCET	8947	45441	SIPO	OP	17903107
827362	2818	1995-11-13	VYDAJ	PREVOD NA UCET	8947	13007	SIPO	OP	17903107
827363	2818	1995-12-13	VYDAJ	PREVOD NA UCET	8947	42808	SIPO	OP	17903107
827364	2818	1996-01-13	VYDAJ	PREVOD NA UCET	8947	38403	SIPO	OP	17903107
827365	2818	1996-02-13	VYDAJ	PREVOD NA UCET	8947	58702	SIPO	OP	17903107
827366	2818	1996-03-13	VYDAJ	PREVOD NA UCET	8947	76480	SIPO	OP	17903107
827367	2818	1996-04-13	VYDAJ	PREVOD NA UCET	8947	82846	SIPO	OP	17903107
827368	2818	1996-05-13	VYDAJ	PREVOD NA UCET	8947	81059	SIPO	OP	17903107
827369	2818	1996-06-13	VYDAJ	PREVOD NA UCET	8947	80519	SIPO	OP	17903107
827370	2818	1996-07-13	VYDAJ	PREVOD NA UCET	8947	86910	SIPO	OP	17903107
827371	2818	1996-08-13	VYDAJ	PREVOD NA UCET	8947	83725	SIPO	OP	17903107
827372	2818	1996-09-13	VYDAJ	PREVOD NA UCET	8947	85133	SIPO	OP	17903107
827373	2818	1996-10-13	VYDAJ	PREVOD NA UCET	8947	71619	SIPO	OP	17903107
827374	2818	1996-11-13	VYDAJ	PREVOD NA UCET	8947	61853	SIPO	OP	17903107
827375	2818	1996-12-13	VYDAJ	PREVOD NA UCET	8947	72387	SIPO	OP	17903107
827376	2818	1997-01-13	VYDAJ	PREVOD NA UCET	8947	61127	SIPO	OP	17903107
827377	2818	1997-02-13	VYDAJ	PREVOD NA UCET	8947	43444	SIPO	OP	17903107
827378	2818	1997-03-13	VYDAJ	PREVOD NA UCET	8947	66904	SIPO	OP	17903107
827379	2818	1997-04-13	VYDAJ	PREVOD NA UCET	8947	80075	SIPO	OP	17903107
827380	2818	1997-05-13	VYDAJ	PREVOD NA UCET	8947	95441	SIPO	OP	17903107
827381	2818	1997-06-13	VYDAJ	PREVOD NA UCET	8947	95894	SIPO	OP	17903107
827382	2818	1997-07-13	VYDAJ	PREVOD NA UCET	8947	94267	SIPO	OP	17903107
827383	2818	1997-08-13	VYDAJ	PREVOD NA UCET	8947	99358	SIPO	OP	17903107
827384	2818	1997-09-13	VYDAJ	PREVOD NA UCET	8947	98916	SIPO	OP	17903107
827385	2818	1997-10-13	VYDAJ	PREVOD NA UCET	8947	97562	SIPO	OP	17903107
827386	2818	1997-11-13	VYDAJ	PREVOD NA UCET	8947	96145	SIPO	OP	17903107
827387	2818	1997-12-13	VYDAJ	PREVOD NA UCET	8947	90845	SIPO	OP	17903107
827388	2818	1998-01-13	VYDAJ	PREVOD NA UCET	8947	94052	SIPO	OP	17903107
827389	2818	1998-02-13	VYDAJ	PREVOD NA UCET	8947	91219	SIPO	OP	17903107
827390	2818	1998-03-13	VYDAJ	PREVOD NA UCET	8947	103886	SIPO	OP	17903107
827391	2818	1998-04-13	VYDAJ	PREVOD NA UCET	8947	94007	SIPO	OP	17903107
827392	2818	1998-05-13	VYDAJ	PREVOD NA UCET	8947	88565	SIPO	OP	17903107
827393	2818	1998-06-13	VYDAJ	PREVOD NA UCET	8947	63467	SIPO	OP	17903107
827394	2818	1998-07-13	VYDAJ	PREVOD NA UCET	8947	73684	SIPO	OP	17903107
827395	2818	1998-08-13	VYDAJ	PREVOD NA UCET	8947	86098	SIPO	OP	17903107
827396	2818	1998-09-13	VYDAJ	PREVOD NA UCET	8947	48476	SIPO	OP	17903107
827397	2818	1998-10-13	VYDAJ	PREVOD NA UCET	8947	81906	SIPO	OP	17903107
827398	2818	1998-11-13	VYDAJ	PREVOD NA UCET	8947	99528	SIPO	OP	17903107
827399	2818	1998-12-13	VYDAJ	PREVOD NA UCET	8947	95443	SIPO	OP	17903107
827413	2818	1994-10-12	VYBER	VYBER	5603	82910	\N	\N	\N
827414	2818	1994-12-16	VYBER	VYBER	11407	41618	\N	\N	\N
827415	2818	1994-04-14	VYBER	VYBER	6394	69535	\N	\N	\N
827416	2818	1994-03-01	VYBER	VYBER	9549	30284	\N	\N	\N
827419	2818	1994-01-04	VYBER	VYBER	21002	31007	\N	\N	\N
827420	2818	1994-07-23	VYBER	VYBER	19395	35877	\N	\N	\N
827421	2818	1994-07-02	VYBER	VYBER	6892	49997	\N	\N	\N
827422	2818	1994-05-31	VYBER	VYBER	15503	33423	\N	\N	\N
827426	2818	1995-05-09	VYBER	VYBER	20752	63069	\N	\N	\N
827427	2818	1995-05-19	VYBER	VYBER	4706	33016	\N	\N	\N
827428	2818	1995-11-13	VYBER	VYBER	21478	21954	\N	\N	\N
827434	2818	1995-07-24	VYBER	VYBER	21059	30648	\N	\N	\N
827435	2818	1996-10-27	VYBER	VYBER	20329	29862	\N	\N	\N
827436	2818	1996-10-16	VYBER	VYBER	8204	50191	\N	\N	\N
827437	2818	1996-05-15	VYBER	VYBER	9436	71623	\N	\N	\N
827438	2818	1996-10-15	VYBER	VYBER	13224	58395	\N	\N	\N
827439	2818	1996-11-15	VYBER	VYBER	16173	45680	\N	\N	\N
827440	2818	1996-12-12	VYBER	VYBER	3880	81334	\N	\N	\N
827441	2818	1996-12-09	VYBER	VYBER	15279	85214	\N	\N	\N
827442	2818	1996-05-10	VYBER	VYBER	8692	90006	\N	\N	\N
827443	2818	1996-01-09	VYBER	VYBER	13319	47350	\N	\N	\N
827444	2818	1996-09-29	VYBER	VYBER	20626	64507	\N	\N	\N
827445	2818	1997-02-11	VYBER	VYBER	9352	52391	\N	\N	\N
827446	2818	1997-09-17	VYBER	VYBER	13535	85381	\N	\N	\N
827449	2818	1997-08-14	VYBER	VYBER	4837	94521	\N	\N	\N
827450	2818	1997-03-16	VYBER	VYBER	19196	47708	\N	\N	\N
827451	2818	1997-02-18	VYBER	VYBER	7371	36073	\N	\N	\N
827452	2818	1997-10-27	VYBER	VYBER	23006	74556	\N	\N	\N
827453	2818	1997-06-23	VYBER	VYBER	8750	87144	\N	\N	\N
827454	2818	1997-01-15	VYBER	VYBER	15171	45956	\N	\N	\N
827455	2818	1998-05-12	VYBER	VYBER	18170	97512	\N	\N	\N
827456	2818	1998-08-07	VYBER	VYBER	13890	54023	\N	\N	\N
827457	2818	1998-11-27	VYBER	VYBER	22163	48265	\N	\N	\N
827458	2818	1998-06-27	VYBER	VYBER	23246	41321	\N	\N	\N
827463	2818	1997-06-02	VYDAJ	VYBER	25200	43308	\N	\N	\N
827466	2818	1994-01-29	VYDAJ	VYBER	4800	19482	\N	\N	\N
827467	2818	1995-01-15	VYDAJ	VYBER	13500	23689	\N	\N	\N
827469	2818	1997-01-03	VYDAJ	VYBER	18000	36552	\N	\N	\N
827470	2818	1998-01-14	VYDAJ	VYBER	5700	82952	\N	\N	\N
827471	2818	1993-12-18	VYDAJ	VYBER	2100	77256	\N	\N	\N
827472	2818	1994-12-24	VYDAJ	VYBER	7200	25718	\N	\N	\N
827473	2818	1995-12-16	VYDAJ	VYBER	5700	37108	\N	\N	\N
827474	2818	1996-12-03	VYDAJ	VYBER	1500	38960	\N	\N	\N
827475	2818	1997-12-03	VYDAJ	VYBER	8100	61759	\N	\N	\N
827476	2818	1998-12-15	VYDAJ	VYBER	7200	88243	\N	\N	\N
827483	2818	1994-01-05	VYDAJ	VYBER	2400	28607	\N	\N	\N
827484	2818	1994-01-20	VYDAJ	VYBER	7200	27882	\N	\N	\N
827485	2818	1994-01-15	VYDAJ	VYBER	5700	53182	\N	\N	\N
827486	2818	1994-01-23	VYDAJ	VYBER	3600	24282	\N	\N	\N
827487	2818	1994-01-19	VYDAJ	VYBER	6300	35082	\N	\N	\N
827488	2818	1994-01-12	VYDAJ	VYBER	1800	67829	\N	\N	\N
827492	2818	1995-01-26	VYDAJ	VYBER	2100	21589	\N	\N	\N
827494	2818	1995-01-13	VYDAJ	VYBER	2700	46136	\N	\N	\N
827495	2818	1996-01-08	VYDAJ	VYBER	6600	60669	\N	\N	\N
827496	2818	1996-01-21	VYDAJ	VYBER	7800	30603	\N	\N	\N
827497	2818	1996-01-04	VYDAJ	VYBER	2700	22847	\N	\N	\N
827500	2818	1996-01-21	VYDAJ	VYBER	3600	27003	\N	\N	\N
827502	2818	1997-01-25	VYDAJ	VYBER	8400	24956	\N	\N	\N
827503	2818	1997-01-03	VYDAJ	VYBER	5700	30852	\N	\N	\N
827506	2818	1997-01-07	VYDAJ	VYBER	1800	29052	\N	\N	\N
827507	2818	1998-01-14	VYDAJ	VYBER	5400	88652	\N	\N	\N
827508	2818	1998-01-24	VYDAJ	VYBER	5100	62852	\N	\N	\N
827509	2818	1998-01-02	VYDAJ	VYBER	4800	66177	\N	\N	\N
827510	2818	1998-01-20	VYDAJ	VYBER	8700	67952	\N	\N	\N
827511	2818	1998-01-05	VYDAJ	VYBER	4200	61977	\N	\N	\N
827512	2818	1998-01-20	VYDAJ	VYBER	4200	76652	\N	\N	\N
827519	2818	1994-08-22	VYDAJ	VYBER	9300	39880	\N	\N	\N
827520	2818	1994-05-06	VYDAJ	VYBER	7800	37821	\N	\N	\N
827521	2818	1994-12-16	VYDAJ	VYBER	8700	32918	\N	\N	\N
827522	2818	1995-09-08	VYDAJ	VYBER	10200	67963	\N	\N	\N
827523	2818	1995-04-04	VYDAJ	VYBER	1500	38243	\N	\N	\N
827524	2818	1995-08-10	VYDAJ	VYBER	6600	45951	\N	\N	\N
827525	2818	1995-11-12	VYDAJ	VYBER	13800	43432	\N	\N	\N
827526	2818	1995-12-29	VYDAJ	VYBER	11700	25408	\N	\N	\N
827527	2818	1995-03-13	VYDAJ	VYBER	11400	63691	\N	\N	\N
827528	2818	1996-10-07	VYDAJ	VYBER	6600	39544	\N	\N	\N
827530	2818	1996-07-27	VYDAJ	VYBER	9300	77610	\N	\N	\N
827532	2818	1997-02-25	VYDAJ	VYBER	5100	30973	\N	\N	\N
827533	2818	1997-02-08	VYDAJ	VYBER	13200	61743	\N	\N	\N
827534	2818	1997-01-19	VYDAJ	VYBER	12600	33356	\N	\N	\N
827535	2818	1998-11-24	VYDAJ	VYBER	13200	70428	\N	\N	\N
827536	2818	1998-08-16	VYDAJ	VYBER	8400	77698	\N	\N	\N
827537	2818	1998-05-13	VYDAJ	VYBER	8700	79865	\N	\N	\N
827538	2818	1998-10-21	VYDAJ	VYBER	13500	68406	\N	\N	\N
827539	2818	1998-01-17	VYDAJ	VYBER KARTOU	2100	80852	\N	\N	0
827540	2818	1998-11-28	VYDAJ	VYBER	5700	42565	\N	\N	\N
827541	2818	1998-09-27	VYDAJ	VYBER	7500	49576	\N	\N	\N
827554	2818	1993-12-31	VYDAJ	VYBER	15	52009	SLUZBY	\N	\N
827555	2818	1994-01-31	VYDAJ	VYBER	15	19638	SLUZBY	\N	\N
827556	2818	1994-02-28	VYDAJ	VYBER	15	39833	SLUZBY	\N	\N
827557	2818	1994-03-31	VYDAJ	VYBER	15	43854	SLUZBY	\N	\N
827558	2818	1994-04-30	VYDAJ	VYBER	15	45621	SLUZBY	\N	\N
827559	2818	1994-05-31	VYDAJ	VYBER	15	33408	SLUZBY	\N	\N
827560	2818	1994-06-30	VYDAJ	VYBER	15	56889	SLUZBY	\N	\N
827561	2818	1994-07-31	VYDAJ	VYBER	15	36105	SLUZBY	\N	\N
827562	2818	1994-08-31	VYDAJ	VYBER	15	40042	SLUZBY	\N	\N
827563	2818	1994-09-30	VYDAJ	VYBER	15	47491	SLUZBY	\N	\N
827564	2818	1994-10-31	VYDAJ	VYBER	15	51263	SLUZBY	\N	\N
827565	2818	1994-11-30	VYDAJ	VYBER	15	52639	SLUZBY	\N	\N
827566	2818	1994-12-31	VYDAJ	VYBER	15	25914	SLUZBY	\N	\N
827567	2818	1995-01-31	VYDAJ	VYBER	15	21683	SLUZBY	\N	\N
827568	2818	1995-02-28	VYDAJ	VYBER	15	34069	SLUZBY	\N	\N
827569	2818	1995-03-31	VYDAJ	VYBER	15	39743	SLUZBY	\N	\N
827570	2818	1995-04-30	VYDAJ	VYBER	15	42799	SLUZBY	\N	\N
827571	2818	1995-05-31	VYDAJ	VYBER	15	33167	SLUZBY	\N	\N
827572	2818	1995-06-30	VYDAJ	VYBER	15	52832	SLUZBY	\N	\N
827573	2818	1995-07-31	VYDAJ	VYBER	15	30829	SLUZBY	\N	\N
827574	2818	1995-08-31	VYDAJ	VYBER	15	37141	SLUZBY	\N	\N
827575	2818	1995-09-30	VYDAJ	VYBER	15	37166	SLUZBY	\N	\N
827576	2818	1995-10-31	VYDAJ	VYBER	15	45610	SLUZBY	\N	\N
827577	2818	1995-11-30	VYDAJ	VYBER	15	13122	SLUZBY	\N	\N
827578	2818	1995-12-31	VYDAJ	VYBER	15	25547	SLUZBY	\N	\N
827579	2818	1996-01-31	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
827580	2818	1996-02-29	VYDAJ	VYBER	15	58905	SLUZBY	\N	\N
827581	2818	1996-03-31	VYDAJ	VYBER	15	76771	SLUZBY	\N	\N
827582	2818	1996-04-30	VYDAJ	VYBER	15	83176	SLUZBY	\N	\N
827583	2818	1996-05-31	VYDAJ	VYBER	15	71933	SLUZBY	\N	\N
827584	2818	1996-06-30	VYDAJ	VYBER	15	80835	SLUZBY	\N	\N
827585	2818	1996-07-31	VYDAJ	VYBER	15	77950	SLUZBY	\N	\N
827586	2818	1996-08-31	VYDAJ	VYBER	15	84058	SLUZBY	\N	\N
827587	2818	1996-09-30	VYDAJ	VYBER	15	64844	SLUZBY	\N	\N
827588	2818	1996-10-31	VYDAJ	VYBER	15	30078	SLUZBY	\N	\N
827589	2818	1996-11-30	VYDAJ	VYBER	15	45860	SLUZBY	\N	\N
827590	2818	1996-12-31	VYDAJ	VYBER	15	72652	SLUZBY	\N	\N
827591	2818	1997-01-31	VYDAJ	VYBER	15	33921	SLUZBY	\N	\N
827592	2818	1997-02-28	VYDAJ	VYBER	15	31129	SLUZBY	\N	\N
827593	2818	1997-03-31	VYDAJ	VYBER	15	47900	SLUZBY	\N	\N
827594	2818	1997-04-30	VYDAJ	VYBER	15	80366	SLUZBY	\N	\N
827595	2818	1997-05-31	VYDAJ	VYBER	15	68508	SLUZBY	\N	\N
827596	2818	1997-06-30	VYDAJ	VYBER	15	62192	SLUZBY	\N	\N
827597	2818	1997-07-31	VYDAJ	VYBER	15	67283	SLUZBY	\N	\N
827598	2818	1997-08-31	VYDAJ	VYBER	15	66841	SLUZBY	\N	\N
827599	2818	1997-09-30	VYDAJ	VYBER	15	65487	SLUZBY	\N	\N
827600	2818	1997-10-31	VYDAJ	VYBER	15	64070	SLUZBY	\N	\N
827601	2818	1997-11-30	VYDAJ	VYBER	15	69859	SLUZBY	\N	\N
827602	2818	1997-12-31	VYDAJ	VYBER	15	70977	SLUZBY	\N	\N
827603	2818	1998-01-31	VYDAJ	VYBER	15	59144	SLUZBY	\N	\N
827604	2818	1998-02-28	VYDAJ	VYBER	15	71811	SLUZBY	\N	\N
827605	2818	1998-03-31	VYDAJ	VYBER	15	81832	SLUZBY	\N	\N
827606	2818	1998-04-30	VYDAJ	VYBER	15	74660	SLUZBY	\N	\N
827607	2818	1998-05-31	VYDAJ	VYBER	15	71981	SLUZBY	\N	\N
827608	2818	1998-06-30	VYDAJ	VYBER	15	41609	SLUZBY	\N	\N
827609	2818	1998-07-31	VYDAJ	VYBER	15	67913	SLUZBY	\N	\N
827610	2818	1998-08-31	VYDAJ	VYBER	15	72801	SLUZBY	\N	\N
827611	2818	1998-09-30	VYDAJ	VYBER	15	49831	SLUZBY	\N	\N
827612	2818	1998-10-31	VYDAJ	VYBER	15	67453	SLUZBY	\N	\N
827613	2818	1998-11-30	VYDAJ	VYBER	15	42857	SLUZBY	\N	\N
827614	2818	1993-08-20	VYDAJ	VYBER	10100	31922	\N	\N	\N
827615	2818	1993-09-19	VYDAJ	VYBER	24500	48496	\N	\N	\N
827616	2818	1993-10-19	VYDAJ	VYBER	30300	59378	\N	\N	\N
827617	2818	1993-11-18	VYDAJ	VYBER	40300	60321	\N	\N	\N
827618	2818	1993-12-08	VYDAJ	VYBER	33800	88303	\N	\N	\N
827619	2818	1993-12-18	VYDAJ	VYBER	25500	51756	\N	\N	\N
827620	2818	1994-01-17	VYDAJ	VYBER	11800	41382	\N	\N	\N
827621	2818	1994-02-16	VYDAJ	VYBER	12000	39713	\N	\N	\N
827622	2818	1994-03-18	VYDAJ	VYBER	18700	43659	\N	\N	\N
827623	2818	1994-04-17	VYDAJ	VYBER	24100	45435	\N	\N	\N
827624	2818	1994-05-17	VYDAJ	VYBER	21200	48696	\N	\N	\N
827625	2818	1994-06-16	VYDAJ	VYBER	29300	56694	\N	\N	\N
827626	2818	1994-07-16	VYDAJ	VYBER	26800	55272	\N	\N	\N
827627	2818	1994-08-15	VYDAJ	VYBER	19000	49180	\N	\N	\N
827628	2818	1994-09-14	VYDAJ	VYBER	24800	47317	\N	\N	\N
827629	2818	1994-10-14	VYDAJ	VYBER	22900	51063	\N	\N	\N
827630	2818	1994-11-13	VYDAJ	VYBER	30900	52438	\N	\N	\N
827631	2818	1994-12-08	VYDAJ	VYBER	28600	85572	\N	\N	\N
827632	2818	1994-12-13	VYDAJ	VYBER	23600	53025	\N	\N	\N
827633	2818	1995-01-12	VYDAJ	VYBER	18100	48836	\N	\N	\N
827634	2818	1995-02-11	VYDAJ	VYBER	19800	42905	\N	\N	\N
827635	2818	1995-03-13	VYDAJ	VYBER	15200	39544	\N	\N	\N
827636	2818	1995-04-12	VYDAJ	VYBER	27700	51565	\N	\N	\N
827637	2818	1995-05-12	VYDAJ	VYBER	16400	46669	\N	\N	\N
827638	2818	1995-06-11	VYDAJ	VYBER	33100	61600	\N	\N	\N
827639	2818	1995-07-11	VYDAJ	VYBER	33200	60654	\N	\N	\N
827640	2818	1995-08-10	VYDAJ	VYBER	19300	52551	\N	\N	\N
827641	2818	1995-09-09	VYDAJ	VYBER	22000	45963	\N	\N	\N
827642	2818	1995-10-09	VYDAJ	VYBER	23800	54388	\N	\N	\N
827643	2818	1995-11-08	VYDAJ	VYBER	29400	57232	\N	\N	\N
827644	2818	1995-12-08	VYDAJ	VYBER	22900	51755	\N	\N	\N
827645	2818	1996-01-07	PRIJEM	VKLAD	3400	26247	\N	\N	\N
827646	2818	1996-02-06	VYDAJ	VYBER	500	26627	\N	\N	\N
827647	2818	1996-03-07	VYDAJ	VYBER	14500	44405	\N	\N	\N
827648	2818	1996-04-06	VYDAJ	VYBER	26000	50771	\N	\N	\N
827649	2818	1996-05-06	VYDAJ	VYBER	25500	57676	\N	\N	\N
827650	2818	1996-06-05	VYDAJ	VYBER	22300	49633	\N	\N	\N
827651	2818	1996-06-08	VYDAJ	VYBER	21700	89466	\N	\N	\N
827652	2818	1996-07-05	VYDAJ	VYBER	26000	54835	\N	\N	\N
827653	2818	1996-08-04	VYDAJ	VYBER	26300	51650	\N	\N	\N
827654	2818	1996-09-03	VYDAJ	VYBER	31000	53058	\N	\N	\N
827655	2818	1996-10-03	VYDAJ	VYBER	18700	46144	\N	\N	\N
827656	2818	1996-11-02	VYDAJ	VYBER	300	29778	\N	\N	\N
827657	2818	1996-12-02	VYDAJ	VYBER	5400	40460	\N	\N	\N
827658	2818	1997-01-01	VYDAJ	VYBER	18100	54552	\N	\N	\N
827659	2818	1997-01-31	PRIJEM	VKLAD	8800	33936	\N	\N	\N
827660	2818	1997-03-02	PRIJEM	VKLAD	3700	34829	\N	\N	\N
827661	2818	1997-04-01	PRIJEM	VKLAD	100	48000	\N	\N	\N
827662	2818	1997-05-01	VYDAJ	VYBER	17000	63366	\N	\N	\N
827663	2818	1997-05-31	VYDAJ	VYBER	27300	68523	\N	\N	\N
827664	2818	1997-06-30	VYDAJ	VYBER	25300	62207	\N	\N	\N
827665	2818	1997-07-30	VYDAJ	VYBER	27300	66967	\N	\N	\N
827666	2818	1997-08-29	VYDAJ	VYBER	28000	66521	\N	\N	\N
827667	2818	1997-09-28	VYDAJ	VYBER	20200	65181	\N	\N	\N
827668	2818	1997-10-28	VYDAJ	VYBER	10800	63756	\N	\N	\N
827669	2818	1997-11-27	VYDAJ	VYBER	26600	69545	\N	\N	\N
827670	2818	1997-12-08	VYDAJ	VYBER	23500	99792	\N	\N	\N
827671	2818	1997-12-27	VYDAJ	VYBER	20200	70645	\N	\N	\N
827672	2818	1998-01-26	VYDAJ	VYBER KARTOU	4000	58852	\N	\N	0
827673	2818	1998-02-25	VYDAJ	VYBER	19700	71519	\N	\N	\N
827674	2818	1998-03-27	VYDAJ	VYBER	22400	81486	\N	\N	\N
827675	2818	1998-04-08	VYDAJ	VYBER	19900	102954	\N	\N	\N
827676	2818	1998-04-26	VYDAJ	VYBER	19700	74307	\N	\N	\N
827677	2818	1998-05-26	VYDAJ	VYBER	8200	71665	\N	\N	\N
827678	2818	1998-06-08	VYDAJ	VYBER	61100	72414	\N	\N	\N
827679	2818	1998-06-25	PRIJEM	VKLAD	1100	64567	\N	\N	\N
827680	2818	1998-07-25	VYDAJ	VYBER	6000	67684	\N	\N	\N
827681	2818	1998-08-24	VYDAJ	VYBER	5200	72498	\N	\N	\N
827682	2818	1998-09-08	VYDAJ	VYBER	56400	57423	\N	\N	\N
827683	2818	1998-09-23	PRIJEM	VKLAD	8600	57076	\N	\N	\N
827684	2818	1998-10-23	VYDAJ	VYBER KARTOU	1200	67206	\N	\N	0
827685	2818	1998-11-22	VYDAJ	VYBER	15900	83628	\N	\N	\N
827751	2819	1994-07-16	PRIJEM	VKLAD	900	900	\N	\N	\N
827759	2819	1994-08-09	PRIJEM	VKLAD	17765	18665	\N	\N	\N
827760	2819	1994-09-09	PRIJEM	VKLAD	17765	38477	\N	\N	\N
827761	2819	1994-10-09	PRIJEM	VKLAD	17765	47048	\N	\N	\N
827762	2819	1994-11-09	PRIJEM	VKLAD	17765	51847	\N	\N	\N
827763	2819	1994-12-09	PRIJEM	VKLAD	26648	63944	\N	\N	\N
827764	2819	1995-01-09	PRIJEM	VKLAD	17765	44004	\N	\N	\N
827765	2819	1995-02-09	PRIJEM	VKLAD	17765	40569	\N	\N	\N
827766	2819	1995-03-09	PRIJEM	VKLAD	17765	46976	\N	\N	\N
827767	2819	1995-04-09	PRIJEM	VKLAD	17765	49805	\N	\N	\N
827768	2819	1995-05-09	PRIJEM	VKLAD	17765	43114	\N	\N	\N
827769	2819	1995-06-09	PRIJEM	VKLAD	26648	55794	\N	\N	\N
827770	2819	1995-07-09	PRIJEM	VKLAD	17765	34197	\N	\N	\N
827771	2819	1995-08-09	PRIJEM	VKLAD	17765	41882	\N	\N	\N
827772	2819	1995-09-09	PRIJEM	VKLAD	17765	46888	\N	\N	\N
827773	2819	1995-10-09	PRIJEM	VKLAD	17765	50317	\N	\N	\N
827774	2819	1995-11-09	PRIJEM	VKLAD	17765	48650	\N	\N	\N
827775	2819	1995-12-09	PRIJEM	VKLAD	26648	59879	\N	\N	\N
827776	2819	1996-01-09	PRIJEM	VKLAD	17765	57184	\N	\N	\N
827777	2819	1996-02-09	PRIJEM	VKLAD	17765	49430	\N	\N	\N
827778	2819	1996-03-09	PRIJEM	VKLAD	17765	55877	\N	\N	\N
827779	2819	1996-04-09	PRIJEM	VKLAD	17765	54386	\N	\N	\N
827780	2819	1996-05-09	PRIJEM	VKLAD	17765	59463	\N	\N	\N
827781	2819	1996-06-09	PRIJEM	VKLAD	26648	71743	\N	\N	\N
827782	2819	1996-07-09	PRIJEM	VKLAD	17765	45160	\N	\N	\N
827783	2819	1996-08-09	PRIJEM	VKLAD	17765	56756	\N	\N	\N
827784	2819	1996-09-09	PRIJEM	VKLAD	17765	58634	\N	\N	\N
827785	2819	1996-10-09	PRIJEM	VKLAD	17765	59583	\N	\N	\N
827786	2819	1996-11-09	PRIJEM	VKLAD	17765	65279	\N	\N	\N
827787	2819	1996-12-09	PRIJEM	VKLAD	26648	74077	\N	\N	\N
827788	2819	1997-01-09	PRIJEM	VKLAD	17765	56809	\N	\N	\N
827789	2819	1997-02-09	PRIJEM	VKLAD	17765	61233	\N	\N	\N
827790	2819	1997-03-09	PRIJEM	VKLAD	17765	64633	\N	\N	\N
827791	2819	1997-04-09	PRIJEM	VKLAD	17765	70093	\N	\N	\N
827792	2819	1997-05-09	PRIJEM	VKLAD	17765	69935	\N	\N	\N
827793	2819	1997-06-09	PRIJEM	VKLAD	26648	80038	\N	\N	\N
827794	2819	1997-07-09	PRIJEM	VKLAD	17765	67858	\N	\N	\N
827795	2819	1997-08-09	PRIJEM	VKLAD	17765	73785	\N	\N	\N
827796	2819	1997-09-09	PRIJEM	VKLAD	17765	73866	\N	\N	\N
827797	2819	1997-10-09	PRIJEM	VKLAD	17765	76111	\N	\N	\N
827798	2819	1997-11-09	PRIJEM	VKLAD	17765	82366	\N	\N	\N
827799	2819	1997-12-09	PRIJEM	VKLAD	26648	91120	\N	\N	\N
827800	2819	1998-01-09	PRIJEM	VKLAD	17765	82535	\N	\N	\N
827801	2819	1998-02-09	PRIJEM	VKLAD	17765	78353	\N	\N	\N
827802	2819	1998-03-09	PRIJEM	VKLAD	17765	81320	\N	\N	\N
827803	2819	1998-04-09	PRIJEM	VKLAD	17765	76930	\N	\N	\N
827804	2819	1998-05-09	PRIJEM	VKLAD	17765	80391	\N	\N	\N
827805	2819	1998-06-09	PRIJEM	VKLAD	26648	90779	\N	\N	\N
827806	2819	1998-07-09	PRIJEM	VKLAD	17765	82519	\N	\N	\N
827807	2819	1998-08-09	PRIJEM	VKLAD	17765	84372	\N	\N	\N
827808	2819	1998-09-09	PRIJEM	VKLAD	17765	85192	\N	\N	\N
827809	2819	1998-10-09	PRIJEM	VKLAD	17765	79392	\N	\N	\N
827810	2819	1998-11-09	PRIJEM	VKLAD	17765	77148	\N	\N	\N
827811	2819	1998-12-09	PRIJEM	VKLAD	26648	84787	\N	\N	\N
827823	2819	1994-12-09	VYDAJ	PREVOD NA UCET	8713	55231	SIPO	AB	7996678
827824	2819	1995-01-09	VYDAJ	PREVOD NA UCET	8713	35291	SIPO	AB	7996678
827825	2819	1995-02-09	VYDAJ	PREVOD NA UCET	8713	31856	SIPO	AB	7996678
827826	2819	1995-03-09	VYDAJ	PREVOD NA UCET	8713	38263	SIPO	AB	7996678
827827	2819	1995-04-09	VYDAJ	PREVOD NA UCET	8713	41092	SIPO	AB	7996678
827828	2819	1995-05-09	VYDAJ	PREVOD NA UCET	8713	34401	SIPO	AB	7996678
827829	2819	1995-06-09	VYDAJ	PREVOD NA UCET	8713	47081	SIPO	AB	7996678
827830	2819	1995-07-09	VYDAJ	PREVOD NA UCET	8713	25484	SIPO	AB	7996678
827831	2819	1995-08-09	VYDAJ	PREVOD NA UCET	8713	33169	SIPO	AB	7996678
827832	2819	1995-09-09	VYDAJ	PREVOD NA UCET	8713	33175	SIPO	AB	7996678
827833	2819	1995-10-09	VYDAJ	PREVOD NA UCET	8713	41604	SIPO	AB	7996678
827834	2819	1995-11-09	VYDAJ	PREVOD NA UCET	8713	39937	SIPO	AB	7996678
827835	2819	1995-12-09	VYDAJ	PREVOD NA UCET	8713	51166	SIPO	AB	7996678
827836	2819	1996-01-09	VYDAJ	PREVOD NA UCET	8713	48471	SIPO	AB	7996678
827837	2819	1996-02-09	VYDAJ	PREVOD NA UCET	8713	40717	SIPO	AB	7996678
827838	2819	1996-03-09	VYDAJ	PREVOD NA UCET	8713	47164	SIPO	AB	7996678
827839	2819	1996-04-09	VYDAJ	PREVOD NA UCET	8713	45673	SIPO	AB	7996678
827840	2819	1996-05-09	VYDAJ	PREVOD NA UCET	8713	50750	SIPO	AB	7996678
827841	2819	1996-06-09	VYDAJ	PREVOD NA UCET	8713	63030	SIPO	AB	7996678
827842	2819	1996-07-09	VYDAJ	PREVOD NA UCET	8713	36447	SIPO	AB	7996678
827843	2819	1996-08-09	VYDAJ	PREVOD NA UCET	8713	48043	SIPO	AB	7996678
827844	2819	1996-09-09	VYDAJ	PREVOD NA UCET	8713	49921	SIPO	AB	7996678
827845	2819	1996-10-09	VYDAJ	PREVOD NA UCET	8713	50870	SIPO	AB	7996678
827846	2819	1996-11-09	VYDAJ	PREVOD NA UCET	8713	56566	SIPO	AB	7996678
827847	2819	1996-12-09	VYDAJ	PREVOD NA UCET	8713	65364	SIPO	AB	7996678
827848	2819	1997-01-09	VYDAJ	PREVOD NA UCET	8713	45816	SIPO	AB	7996678
827849	2819	1997-02-09	VYDAJ	PREVOD NA UCET	8713	52520	SIPO	AB	7996678
827850	2819	1997-03-09	VYDAJ	PREVOD NA UCET	8713	55920	SIPO	AB	7996678
827851	2819	1997-04-09	VYDAJ	PREVOD NA UCET	8713	61380	SIPO	AB	7996678
827852	2819	1997-05-09	VYDAJ	PREVOD NA UCET	8713	61222	SIPO	AB	7996678
827853	2819	1997-06-09	VYDAJ	PREVOD NA UCET	8713	71325	SIPO	AB	7996678
827854	2819	1997-07-09	VYDAJ	PREVOD NA UCET	8713	59145	SIPO	AB	7996678
827855	2819	1997-08-09	VYDAJ	PREVOD NA UCET	8713	65072	SIPO	AB	7996678
827856	2819	1997-09-09	VYDAJ	PREVOD NA UCET	8713	65153	SIPO	AB	7996678
827857	2819	1997-10-09	VYDAJ	PREVOD NA UCET	8713	67398	SIPO	AB	7996678
827858	2819	1997-11-09	VYDAJ	PREVOD NA UCET	8713	73653	SIPO	AB	7996678
827859	2819	1997-12-09	VYDAJ	PREVOD NA UCET	8713	82407	SIPO	AB	7996678
827860	2819	1998-01-09	VYDAJ	PREVOD NA UCET	8713	73822	SIPO	AB	7996678
827861	2819	1998-02-09	VYDAJ	PREVOD NA UCET	8713	69640	SIPO	AB	7996678
827862	2819	1998-03-09	VYDAJ	PREVOD NA UCET	8713	72607	SIPO	AB	7996678
827863	2819	1998-04-09	VYDAJ	PREVOD NA UCET	8713	68217	SIPO	AB	7996678
827864	2819	1998-05-09	VYDAJ	PREVOD NA UCET	8713	71678	SIPO	AB	7996678
827865	2819	1998-06-09	VYDAJ	PREVOD NA UCET	8713	76626	SIPO	AB	7996678
827866	2819	1998-07-09	VYDAJ	PREVOD NA UCET	8713	73806	SIPO	AB	7996678
827867	2819	1998-08-09	VYDAJ	PREVOD NA UCET	8713	72899	SIPO	AB	7996678
827868	2819	1998-09-09	VYDAJ	PREVOD NA UCET	8713	76479	SIPO	AB	7996678
827869	2819	1998-10-09	VYDAJ	PREVOD NA UCET	8713	70679	SIPO	AB	7996678
827870	2819	1998-11-09	VYDAJ	PREVOD NA UCET	8713	68435	SIPO	AB	7996678
827871	2819	1998-12-09	VYDAJ	PREVOD NA UCET	8713	76074	SIPO	AB	7996678
827883	2819	1994-12-13	VYDAJ	PREVOD NA UCET	748	41283	 	OP	41235882
827884	2819	1995-01-13	VYDAJ	PREVOD NA UCET	748	30143	 	OP	41235882
827885	2819	1995-02-13	VYDAJ	PREVOD NA UCET	748	29108	 	OP	41235882
827886	2819	1995-03-13	VYDAJ	PREVOD NA UCET	748	31915	 	OP	41235882
827887	2819	1995-04-13	VYDAJ	PREVOD NA UCET	748	34344	 	OP	41235882
827888	2819	1995-05-13	VYDAJ	PREVOD NA UCET	748	31553	 	OP	41235882
827889	2819	1995-06-13	VYDAJ	PREVOD NA UCET	748	34633	 	OP	41235882
827890	2819	1995-07-13	VYDAJ	PREVOD NA UCET	748	24036	 	OP	41235882
827891	2819	1995-08-13	VYDAJ	PREVOD NA UCET	748	29021	 	OP	41235882
827892	2819	1995-09-13	VYDAJ	PREVOD NA UCET	748	32427	 	OP	41235882
827893	2819	1995-10-13	VYDAJ	PREVOD NA UCET	748	33856	 	OP	41235882
827894	2819	1995-11-13	VYDAJ	PREVOD NA UCET	748	39189	 	OP	41235882
827895	2819	1995-12-13	VYDAJ	PREVOD NA UCET	748	50418	 	OP	41235882
827896	2819	1996-01-13	VYDAJ	PREVOD NA UCET	748	42603	 	OP	41235882
827897	2819	1996-02-13	VYDAJ	PREVOD NA UCET	748	39969	 	OP	41235882
827898	2819	1996-03-13	VYDAJ	PREVOD NA UCET	748	46416	 	OP	41235882
827899	2819	1996-04-13	VYDAJ	PREVOD NA UCET	748	44925	 	OP	41235882
827900	2819	1996-05-13	VYDAJ	PREVOD NA UCET	748	50002	 	OP	41235882
827901	2819	1996-06-13	VYDAJ	PREVOD NA UCET	748	62282	 	OP	41235882
827902	2819	1996-07-13	VYDAJ	PREVOD NA UCET	748	35699	 	OP	41235882
827903	2819	1996-08-13	VYDAJ	PREVOD NA UCET	748	47295	 	OP	41235882
827904	2819	1996-09-13	VYDAJ	PREVOD NA UCET	748	49173	 	OP	41235882
827905	2819	1996-10-13	VYDAJ	PREVOD NA UCET	748	50122	 	OP	41235882
827906	2819	1996-11-13	VYDAJ	PREVOD NA UCET	748	55818	 	OP	41235882
827907	2819	1996-12-13	VYDAJ	PREVOD NA UCET	748	64616	 	OP	41235882
827908	2819	1997-01-13	VYDAJ	PREVOD NA UCET	748	45068	 	OP	41235882
827909	2819	1997-02-13	VYDAJ	PREVOD NA UCET	748	51772	 	OP	41235882
827910	2819	1997-03-13	VYDAJ	PREVOD NA UCET	748	55172	 	OP	41235882
827911	2819	1997-04-13	VYDAJ	PREVOD NA UCET	748	60632	 	OP	41235882
827912	2819	1997-05-13	VYDAJ	PREVOD NA UCET	748	60474	 	OP	41235882
827913	2819	1997-06-13	VYDAJ	PREVOD NA UCET	748	70577	 	OP	41235882
827914	2819	1997-07-13	VYDAJ	PREVOD NA UCET	748	58397	 	OP	41235882
827915	2819	1997-08-13	VYDAJ	PREVOD NA UCET	748	64324	 	OP	41235882
827916	2819	1997-09-13	VYDAJ	PREVOD NA UCET	748	64405	 	OP	41235882
827917	2819	1997-10-13	VYDAJ	PREVOD NA UCET	748	66650	 	OP	41235882
827918	2819	1997-11-13	VYDAJ	PREVOD NA UCET	748	72905	 	OP	41235882
827919	2819	1997-12-13	VYDAJ	PREVOD NA UCET	748	81659	 	OP	41235882
827920	2819	1998-01-13	VYDAJ	PREVOD NA UCET	748	73074	 	OP	41235882
827921	2819	1998-02-13	VYDAJ	PREVOD NA UCET	748	68892	 	OP	41235882
827922	2819	1998-03-13	VYDAJ	PREVOD NA UCET	748	71859	 	OP	41235882
827923	2819	1998-04-13	VYDAJ	PREVOD NA UCET	748	67469	 	OP	41235882
827924	2819	1998-05-13	VYDAJ	PREVOD NA UCET	748	69370	 	OP	41235882
827925	2819	1998-06-13	VYDAJ	PREVOD NA UCET	748	75878	 	OP	41235882
827926	2819	1998-07-13	VYDAJ	PREVOD NA UCET	748	73058	 	OP	41235882
827927	2819	1998-08-13	VYDAJ	PREVOD NA UCET	748	72151	 	OP	41235882
827928	2819	1998-09-13	VYDAJ	PREVOD NA UCET	748	75731	 	OP	41235882
827929	2819	1998-10-13	VYDAJ	PREVOD NA UCET	748	69931	 	OP	41235882
827930	2819	1998-11-13	VYDAJ	PREVOD NA UCET	748	67687	 	OP	41235882
827931	2819	1998-12-13	VYDAJ	PREVOD NA UCET	748	75326	 	OP	41235882
827933	2819	1995-06-28	VYDAJ	VYBER	12800	20033	\N	\N	\N
827934	2819	1996-06-19	VYDAJ	VYBER	47040	15242	\N	\N	\N
827935	2819	1997-06-13	VYDAJ	VYBER	19040	49137	\N	\N	\N
827936	2819	1998-06-09	VYDAJ	VYBER	5440	85339	\N	\N	\N
827938	2819	1995-01-03	VYDAJ	VYBER	4320	27079	\N	\N	\N
827939	2819	1996-01-13	VYDAJ	VYBER	5120	43351	\N	\N	\N
827940	2819	1997-01-02	VYDAJ	VYBER	6240	41684	\N	\N	\N
827941	2819	1998-01-26	VYDAJ	VYBER	7680	61034	\N	\N	\N
827942	2819	1994-12-27	VYDAJ	VYBER	3200	35203	\N	\N	\N
827943	2819	1995-12-14	VYDAJ	VYBER	1440	48978	\N	\N	\N
827944	2819	1996-12-16	VYDAJ	VYBER	4480	60136	\N	\N	\N
827945	2819	1997-12-18	VYDAJ	VYBER	4480	77179	\N	\N	\N
827946	2819	1998-12-23	VYDAJ	VYBER	3200	59826	\N	\N	\N
827953	2819	1995-01-21	VYDAJ	VYBER	2160	24863	\N	\N	\N
827954	2819	1995-01-30	VYDAJ	VYBER	2160	22703	\N	\N	\N
827955	2819	1995-01-08	VYDAJ	VYBER	840	26239	\N	\N	\N
827956	2819	1995-01-02	VYDAJ	VYBER	1200	31399	\N	\N	\N
827957	2819	1995-01-14	VYDAJ	VYBER	3120	27023	\N	\N	\N
827958	2819	1995-01-10	VYDAJ	VYBER	2400	32891	\N	\N	\N
827959	2819	1996-01-25	VYDAJ	VYBER	840	37083	\N	\N	\N
827960	2819	1996-01-22	VYDAJ	VYBER	1800	37923	\N	\N	\N
827961	2819	1996-01-28	VYDAJ	VYBER	3120	33963	\N	\N	\N
827962	2819	1996-01-29	VYDAJ	VYBER	720	33243	\N	\N	\N
827963	2819	1996-01-15	VYDAJ	VYBER	2880	39723	\N	\N	\N
827964	2819	1996-01-06	VYDAJ	VYBER	3240	45919	\N	\N	\N
827965	2819	1997-01-13	VYDAJ	VYBER	1560	43508	\N	\N	\N
827966	2819	1997-01-19	VYDAJ	VYBER	1920	41588	\N	\N	\N
827967	2819	1997-01-09	VYDAJ	VYBER	2280	54529	\N	\N	\N
827968	2819	1997-01-25	VYDAJ	VYBER	1680	39908	\N	\N	\N
827969	2819	1997-01-03	VYDAJ	VYBER	2640	39044	\N	\N	\N
827970	2819	1997-01-28	VYDAJ	VYBER	3000	36908	\N	\N	\N
827971	2819	1998-01-06	VYDAJ	VYBER	720	65730	\N	\N	\N
827972	2819	1998-01-08	VYDAJ	VYBER	960	64770	\N	\N	\N
827973	2819	1998-01-16	VYDAJ	VYBER	2160	70914	\N	\N	\N
827974	2819	1998-01-03	VYDAJ	VYBER	3240	66450	\N	\N	\N
827975	2819	1998-01-30	VYDAJ	VYBER	720	60314	\N	\N	\N
827976	2819	1998-01-26	VYDAJ	VYBER	2400	68714	\N	\N	\N
827979	2819	1994-12-30	VYDAJ	VYBER	2760	32443	\N	\N	\N
827981	2819	1994-12-17	VYDAJ	VYBER	2880	38403	\N	\N	\N
827984	2819	1995-06-17	VYDAJ	VYBER	1800	32833	\N	\N	\N
827985	2819	1995-05-28	VYDAJ	VYBER	2520	29033	\N	\N	\N
827986	2819	1995-04-18	VYDAJ	VYBER	3480	30864	\N	\N	\N
827987	2819	1995-07-05	VYDAJ	VYBER	3720	16432	\N	\N	\N
827988	2819	1995-04-30	VYDAJ	VYBER	5640	25364	\N	\N	\N
827989	2819	1996-03-15	VYDAJ	VYBER	2280	44136	\N	\N	\N
827990	2819	1996-10-01	VYDAJ	VYBER	3840	45518	\N	\N	\N
827991	2819	1996-08-02	VYDAJ	VYBER	3120	32691	\N	\N	\N
827992	2819	1996-01-30	VYDAJ	VYBER	1440	31803	\N	\N	\N
827993	2819	1996-03-21	VYDAJ	VYBER	1200	42936	\N	\N	\N
827994	2819	1996-12-22	VYDAJ	VYBER	5640	54496	\N	\N	\N
827995	2819	1996-04-06	VYDAJ	VYBER	2280	40821	\N	\N	\N
827996	2819	1996-08-24	VYDAJ	VYBER	2400	44895	\N	\N	\N
827997	2819	1997-08-20	VYDAJ	VYBER	5760	58564	\N	\N	\N
827998	2819	1997-06-13	VYDAJ	VYBER	2400	68177	\N	\N	\N
827999	2819	1997-04-01	VYDAJ	VYBER	5160	52328	\N	\N	\N
828000	2819	1997-05-13	VYDAJ	VYBER	1920	58554	\N	\N	\N
828001	2819	1997-12-24	VYDAJ	VYBER	1680	75499	\N	\N	\N
828002	2819	1997-11-16	VYDAJ	VYBER	4200	68705	\N	\N	\N
828003	2819	1998-09-20	VYDAJ	VYBER	3480	72251	\N	\N	\N
828004	2819	1998-12-07	VYDAJ	VYBER	2400	58139	\N	\N	\N
828005	2819	1998-08-09	VYDAJ	VYBER	2760	81612	\N	\N	\N
828006	2819	1998-07-16	VYDAJ	VYBER	3120	69938	\N	\N	\N
828007	2819	1998-12-03	VYDAJ	VYBER	1200	60539	\N	\N	\N
828008	2819	1998-03-29	VYDAJ	VYBER	4560	58899	\N	\N	\N
828009	2819	1998-05-10	VYDAJ	VYBER	1560	70118	\N	\N	\N
828022	2819	1994-12-31	VYDAJ	VYBER	15	32599	SLUZBY	\N	\N
828023	2819	1995-01-31	VYDAJ	VYBER	15	22804	SLUZBY	\N	\N
828024	2819	1995-02-28	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
828025	2819	1995-03-31	VYDAJ	VYBER	15	32040	SLUZBY	\N	\N
828026	2819	1995-04-30	VYDAJ	VYBER	15	25349	SLUZBY	\N	\N
828027	2819	1995-05-31	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
828028	2819	1995-06-30	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
828029	2819	1995-07-31	VYDAJ	VYBER	15	24117	SLUZBY	\N	\N
828030	2819	1995-08-31	VYDAJ	VYBER	15	29123	SLUZBY	\N	\N
828031	2819	1995-09-30	VYDAJ	VYBER	15	32552	SLUZBY	\N	\N
828032	2819	1995-10-31	VYDAJ	VYBER	15	33985	SLUZBY	\N	\N
828033	2819	1995-11-30	VYDAJ	VYBER	15	39332	SLUZBY	\N	\N
828034	2819	1995-12-31	VYDAJ	VYBER	15	49159	SLUZBY	\N	\N
828035	2819	1996-01-31	VYDAJ	VYBER	15	31965	SLUZBY	\N	\N
828036	2819	1996-02-29	VYDAJ	VYBER	15	40112	SLUZBY	\N	\N
828037	2819	1996-03-31	VYDAJ	VYBER	15	43101	SLUZBY	\N	\N
828038	2819	1996-04-30	VYDAJ	VYBER	15	45098	SLUZBY	\N	\N
828039	2819	1996-05-31	VYDAJ	VYBER	15	50195	SLUZBY	\N	\N
828040	2819	1996-06-30	VYDAJ	VYBER	15	15395	SLUZBY	\N	\N
828041	2819	1996-07-31	VYDAJ	VYBER	15	35811	SLUZBY	\N	\N
828042	2819	1996-08-31	VYDAJ	VYBER	15	45069	SLUZBY	\N	\N
828043	2819	1996-09-30	VYDAJ	VYBER	15	49358	SLUZBY	\N	\N
828044	2819	1996-10-31	VYDAJ	VYBER	15	50314	SLUZBY	\N	\N
828045	2819	1996-11-30	VYDAJ	VYBER	15	56030	SLUZBY	\N	\N
828046	2819	1996-12-31	VYDAJ	VYBER	15	54724	SLUZBY	\N	\N
828047	2819	1997-01-31	VYDAJ	VYBER	15	43468	SLUZBY	\N	\N
828048	2819	1997-02-28	VYDAJ	VYBER	15	51968	SLUZBY	\N	\N
828049	2819	1997-03-31	VYDAJ	VYBER	15	55388	SLUZBY	\N	\N
828050	2819	1997-04-30	VYDAJ	VYBER	15	60870	SLUZBY	\N	\N
828051	2819	1997-05-31	VYDAJ	VYBER	15	58790	SLUZBY	\N	\N
828052	2819	1997-06-30	VYDAJ	VYBER	15	50093	SLUZBY	\N	\N
828053	2819	1997-07-31	VYDAJ	VYBER	15	56020	SLUZBY	\N	\N
828054	2819	1997-08-31	VYDAJ	VYBER	15	56101	SLUZBY	\N	\N
828055	2819	1997-09-30	VYDAJ	VYBER	15	58346	SLUZBY	\N	\N
828056	2819	1997-10-31	VYDAJ	VYBER	15	64601	SLUZBY	\N	\N
828057	2819	1997-11-30	VYDAJ	VYBER	15	64472	SLUZBY	\N	\N
828058	2819	1997-12-31	VYDAJ	VYBER	15	69690	SLUZBY	\N	\N
828059	2819	1998-01-31	VYDAJ	VYBER	15	60588	SLUZBY	\N	\N
828060	2819	1998-02-28	VYDAJ	VYBER	15	63555	SLUZBY	\N	\N
828061	2819	1998-03-31	VYDAJ	VYBER	15	59165	SLUZBY	\N	\N
828062	2819	1998-04-30	VYDAJ	VYBER	15	62626	SLUZBY	\N	\N
828063	2819	1998-05-31	VYDAJ	VYBER	15	64131	SLUZBY	\N	\N
828064	2819	1998-06-30	VYDAJ	VYBER	15	64754	SLUZBY	\N	\N
828065	2819	1998-07-31	VYDAJ	VYBER	15	66607	SLUZBY	\N	\N
828066	2819	1998-08-31	VYDAJ	VYBER	15	67427	SLUZBY	\N	\N
828067	2819	1998-09-30	VYDAJ	VYBER	15	61627	SLUZBY	\N	\N
828068	2819	1998-10-31	VYDAJ	VYBER	15	59383	SLUZBY	\N	\N
828069	2819	1998-11-30	VYDAJ	VYBER	15	61739	SLUZBY	\N	\N
828070	2819	1994-08-15	PRIJEM	VKLAD	2000	20665	\N	\N	\N
828071	2819	1994-09-14	VYDAJ	VYBER	9300	29177	\N	\N	\N
828072	2819	1994-10-14	VYDAJ	VYBER	13100	33948	\N	\N	\N
828073	2819	1994-11-13	VYDAJ	VYBER	14700	37147	\N	\N	\N
828074	2819	1994-12-13	VYDAJ	VYBER	13200	42031	\N	\N	\N
828075	2819	1995-01-12	VYDAJ	VYBER	2000	30891	\N	\N	\N
828076	2819	1995-02-11	VYDAJ	VYBER	2000	29856	\N	\N	\N
828077	2819	1995-03-13	VYDAJ	VYBER	5600	32663	\N	\N	\N
828078	2819	1995-04-12	VYDAJ	VYBER	6000	35092	\N	\N	\N
828079	2819	1995-05-12	VYDAJ	VYBER	2100	32301	\N	\N	\N
828080	2819	1995-06-11	VYDAJ	VYBER	11700	35381	\N	\N	\N
828081	2819	1995-07-11	VYDAJ	VYBER	700	24784	\N	\N	\N
828082	2819	1995-08-10	VYDAJ	VYBER	3400	29769	\N	\N	\N
828083	2819	1995-09-09	VYDAJ	VYBER	5000	41888	\N	\N	\N
828084	2819	1995-10-09	VYDAJ	VYBER	7000	34604	\N	\N	\N
828085	2819	1995-11-08	VYDAJ	VYBER	3100	30885	\N	\N	\N
828086	2819	1995-12-08	VYDAJ	VYBER	6100	33232	\N	\N	\N
828087	2819	1996-01-07	VYDAJ	VYBER	6500	39419	\N	\N	\N
828088	2819	1996-02-06	VYDAJ	VYBER	300	31665	\N	\N	\N
828089	2819	1996-03-07	VYDAJ	VYBER	2000	38112	\N	\N	\N
828090	2819	1996-04-06	VYDAJ	VYBER	4200	36621	\N	\N	\N
828091	2819	1996-05-06	VYDAJ	VYBER	3400	41698	\N	\N	\N
828092	2819	1996-06-05	VYDAJ	VYBER	5100	45095	\N	\N	\N
828093	2819	1996-07-05	PRIJEM	VKLAD	12000	27395	\N	\N	\N
828094	2819	1996-08-04	PRIJEM	VKLAD	6300	38991	\N	\N	\N
828095	2819	1996-09-03	VYDAJ	VYBER	4200	40869	\N	\N	\N
828096	2819	1996-10-03	VYDAJ	VYBER	3700	41818	\N	\N	\N
828097	2819	1996-11-02	VYDAJ	VYBER	2800	47514	\N	\N	\N
828098	2819	1996-12-02	VYDAJ	VYBER	8600	47430	\N	\N	\N
828099	2819	1997-01-01	VYDAJ	VYBER	6800	47924	\N	\N	\N
828100	2819	1997-01-31	PRIJEM	VKLAD	6400	43308	\N	\N	\N
828101	2819	1997-03-02	VYDAJ	VYBER	5100	46868	\N	\N	\N
828102	2819	1997-04-01	PRIJEM	VKLAD	2100	57488	\N	\N	\N
828103	2819	1997-05-01	VYDAJ	VYBER	8700	52170	\N	\N	\N
828104	2819	1997-05-31	VYDAJ	VYBER	5400	53390	\N	\N	\N
828105	2819	1997-06-30	PRIJEM	VKLAD	700	50108	\N	\N	\N
828106	2819	1997-07-30	VYDAJ	VYBER	2600	55797	\N	\N	\N
828107	2819	1997-08-29	VYDAJ	VYBER	2700	55864	\N	\N	\N
828108	2819	1997-09-28	VYDAJ	VYBER	6300	58105	\N	\N	\N
828109	2819	1997-10-28	VYDAJ	VYBER	2300	64350	\N	\N	\N
828110	2819	1997-11-27	VYDAJ	VYBER	4500	64205	\N	\N	\N
828111	2819	1997-12-27	VYDAJ	VYBER	6100	69399	\N	\N	\N
828112	2819	1998-01-26	PRIJEM	VKLAD	200	71114	\N	\N	\N
828113	2819	1998-02-25	VYDAJ	VYBER	5600	63292	\N	\N	\N
828114	2819	1998-03-27	VYDAJ	VYBER	8400	63459	\N	\N	\N
828115	2819	1998-04-26	VYDAJ	VYBER	5100	62369	\N	\N	\N
828116	2819	1998-05-26	VYDAJ	VYBER	5500	63870	\N	\N	\N
828117	2819	1998-06-25	VYDAJ	VYBER	11400	64478	\N	\N	\N
828118	2819	1998-07-25	VYDAJ	VYBER	3600	66338	\N	\N	\N
828119	2819	1998-08-24	VYDAJ	VYBER	5000	67151	\N	\N	\N
828120	2819	1998-09-23	VYDAJ	VYBER	10900	61351	\N	\N	\N
828121	2819	1998-10-23	VYDAJ	VYBER	10800	59131	\N	\N	\N
828122	2819	1998-11-22	VYDAJ	VYBER	6200	61487	\N	\N	\N
828123	2819	1998-12-22	VYDAJ	VYBER	12300	63026	\N	\N	\N
828177	2820	1997-12-11	PRIJEM	VKLAD	300	300	\N	\N	\N
828190	2820	1998-01-06	PRIJEM	PREVOD Z UCTU	5175	5475	DUCHOD	YZ	94793974
828191	2820	1998-02-06	PRIJEM	PREVOD Z UCTU	5175	10650	DUCHOD	YZ	94793974
828192	2820	1998-03-06	PRIJEM	PREVOD Z UCTU	5175	15825	DUCHOD	YZ	94793974
828193	2820	1998-04-06	PRIJEM	PREVOD Z UCTU	5175	18738	DUCHOD	YZ	94793974
828194	2820	1998-05-06	PRIJEM	PREVOD Z UCTU	5175	22781	DUCHOD	YZ	94793974
828195	2820	1998-06-06	PRIJEM	PREVOD Z UCTU	5175	22249	DUCHOD	YZ	94793974
828196	2820	1998-07-06	PRIJEM	PREVOD Z UCTU	5175	24522	DUCHOD	YZ	94793974
828197	2820	1998-08-06	PRIJEM	PREVOD Z UCTU	5175	24164	DUCHOD	YZ	94793974
828198	2820	1998-09-06	PRIJEM	PREVOD Z UCTU	5175	25165	DUCHOD	YZ	94793974
828199	2820	1998-10-06	PRIJEM	PREVOD Z UCTU	5175	24481	DUCHOD	YZ	94793974
828200	2820	1998-11-06	PRIJEM	PREVOD Z UCTU	5175	24123	DUCHOD	YZ	94793974
828201	2820	1998-12-06	PRIJEM	PREVOD Z UCTU	5175	26406	DUCHOD	YZ	94793974
828218	2820	1998-05-09	VYDAJ	PREVOD NA UCET	1645	19814	SIPO	WX	69806456
828219	2820	1998-06-09	VYDAJ	PREVOD NA UCET	1645	19282	SIPO	WX	69806456
828220	2820	1998-07-09	VYDAJ	PREVOD NA UCET	1645	21555	SIPO	WX	69806456
828221	2820	1998-08-09	VYDAJ	PREVOD NA UCET	1645	21197	SIPO	WX	69806456
828222	2820	1998-09-09	VYDAJ	PREVOD NA UCET	1645	19238	SIPO	WX	69806456
828223	2820	1998-10-09	VYDAJ	PREVOD NA UCET	1645	21514	SIPO	WX	69806456
828224	2820	1998-11-09	VYDAJ	PREVOD NA UCET	1645	21156	SIPO	WX	69806456
828225	2820	1998-12-09	VYDAJ	PREVOD NA UCET	1645	23439	SIPO	WX	69806456
828242	2820	1998-05-06	VYDAJ	PREVOD NA UCET	1322	21459	 	KL	91463666
828243	2820	1998-06-06	VYDAJ	PREVOD NA UCET	1322	20927	 	KL	91463666
828244	2820	1998-07-06	VYDAJ	PREVOD NA UCET	1322	23200	 	KL	91463666
828245	2820	1998-08-06	VYDAJ	PREVOD NA UCET	1322	22842	 	KL	91463666
828246	2820	1998-09-06	VYDAJ	PREVOD NA UCET	1322	23843	 	KL	91463666
828247	2820	1998-10-06	VYDAJ	PREVOD NA UCET	1322	23159	 	KL	91463666
828248	2820	1998-11-06	VYDAJ	PREVOD NA UCET	1322	22801	 	KL	91463666
828249	2820	1998-12-06	VYDAJ	PREVOD NA UCET	1322	25084	 	KL	91463666
828255	2820	1998-12-21	VYDAJ	VYBER	1350	22089	\N	\N	\N
828274	2820	1998-11-02	VYDAJ	VYBER	2640	18948	\N	\N	\N
828276	2820	1998-09-07	VYDAJ	VYBER	2960	20883	\N	\N	\N
828277	2820	1998-09-01	VYDAJ	VYBER	1280	19990	\N	\N	\N
828279	2820	1998-07-31	VYDAJ	VYBER	2640	19003	\N	\N	\N
828297	2820	1998-05-31	VYDAJ	VYBER	15	17074	SLUZBY	\N	\N
828298	2820	1998-06-30	VYDAJ	VYBER	15	19347	SLUZBY	\N	\N
828299	2820	1998-07-31	VYDAJ	VYBER	15	18989	SLUZBY	\N	\N
828300	2820	1998-08-31	VYDAJ	VYBER	15	21270	SLUZBY	\N	\N
828301	2820	1998-09-30	VYDAJ	VYBER	15	19306	SLUZBY	\N	\N
828302	2820	1998-10-31	VYDAJ	VYBER	15	21588	SLUZBY	\N	\N
828303	2820	1998-11-30	VYDAJ	VYBER	15	21231	SLUZBY	\N	\N
828304	2820	1998-03-11	VYDAJ	VYBER	2300	13525	\N	\N	\N
828305	2820	1998-04-10	VYDAJ	VYBER	1200	17538	\N	\N	\N
828306	2820	1998-05-10	VYDAJ	VYBER	2800	17014	\N	\N	\N
828317	2821	1996-07-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
828325	2821	1996-08-10	PRIJEM	VKLAD	9083	10083	\N	\N	\N
828326	2821	1996-09-10	PRIJEM	VKLAD	9083	24409	\N	\N	\N
828327	2821	1996-10-10	PRIJEM	VKLAD	9083	32479	\N	\N	\N
828328	2821	1996-11-10	PRIJEM	VKLAD	9083	35678	\N	\N	\N
828329	2821	1996-12-10	PRIJEM	VKLAD	13624	40243	\N	\N	\N
828330	2821	1997-01-10	PRIJEM	VKLAD	9083	33008	\N	\N	\N
828331	2821	1997-02-10	PRIJEM	VKLAD	9083	20834	\N	\N	\N
828332	2821	1997-03-10	PRIJEM	VKLAD	9083	27419	\N	\N	\N
828333	2821	1997-04-10	PRIJEM	VKLAD	9083	26736	\N	\N	\N
828334	2821	1997-05-10	PRIJEM	VKLAD	9083	29957	\N	\N	\N
828335	2821	1997-06-10	PRIJEM	VKLAD	13624	33417	\N	\N	\N
828336	2821	1997-07-10	PRIJEM	VKLAD	9083	21627	\N	\N	\N
828337	2821	1997-08-10	PRIJEM	VKLAD	9083	22321	\N	\N	\N
828338	2821	1997-09-10	PRIJEM	VKLAD	9083	22821	\N	\N	\N
828339	2821	1997-10-10	PRIJEM	VKLAD	9083	21023	\N	\N	\N
828340	2821	1997-11-10	PRIJEM	VKLAD	9083	21610	\N	\N	\N
828341	2821	1997-12-10	PRIJEM	VKLAD	13624	22132	\N	\N	\N
828342	2821	1998-01-10	PRIJEM	VKLAD	9083	22223	\N	\N	\N
828343	2821	1998-02-10	PRIJEM	VKLAD	9083	16806	\N	\N	\N
828344	2821	1998-03-10	PRIJEM	VKLAD	9083	18781	\N	\N	\N
828345	2821	1998-04-10	PRIJEM	VKLAD	9083	16065	\N	\N	\N
828346	2821	1998-05-10	PRIJEM	VKLAD	9083	19133	\N	\N	\N
828347	2821	1998-06-10	PRIJEM	VKLAD	13624	26760	\N	\N	\N
828348	2821	1998-07-10	PRIJEM	VKLAD	9083	18572	\N	\N	\N
828349	2821	1998-08-10	PRIJEM	VKLAD	9083	21664	\N	\N	\N
828350	2821	1998-09-10	PRIJEM	VKLAD	9083	16954	\N	\N	\N
828351	2821	1998-10-10	PRIJEM	VKLAD	9083	20041	\N	\N	\N
828352	2821	1998-11-10	PRIJEM	VKLAD	9083	18618	\N	\N	\N
828353	2821	1998-12-10	PRIJEM	VKLAD	13624	26243	\N	\N	\N
828366	2821	1997-01-07	VYDAJ	PREVOD NA UCET	3933	28225	SIPO	EF	85205876
828367	2821	1997-02-07	VYDAJ	PREVOD NA UCET	3933	11751	SIPO	EF	85205876
828368	2821	1997-03-07	VYDAJ	PREVOD NA UCET	3933	14836	SIPO	EF	85205876
828369	2821	1997-04-07	VYDAJ	PREVOD NA UCET	3933	21453	SIPO	EF	85205876
828370	2821	1997-05-07	VYDAJ	PREVOD NA UCET	3933	20774	SIPO	EF	85205876
828371	2821	1997-06-07	VYDAJ	PREVOD NA UCET	3933	19793	SIPO	EF	85205876
828372	2821	1997-07-07	VYDAJ	PREVOD NA UCET	3933	12544	SIPO	EF	85205876
828373	2821	1997-08-07	VYDAJ	PREVOD NA UCET	3933	13238	SIPO	EF	85205876
828374	2821	1997-09-07	VYDAJ	PREVOD NA UCET	3933	13738	SIPO	EF	85205876
828375	2821	1997-10-07	VYDAJ	PREVOD NA UCET	3933	11940	SIPO	EF	85205876
828376	2821	1997-11-07	VYDAJ	PREVOD NA UCET	3933	12527	SIPO	EF	85205876
828377	2821	1997-12-07	VYDAJ	PREVOD NA UCET	3933	8508	SIPO	EF	85205876
828378	2821	1998-01-07	VYDAJ	PREVOD NA UCET	3933	14140	SIPO	EF	85205876
828379	2821	1998-02-07	VYDAJ	PREVOD NA UCET	3933	7723	SIPO	EF	85205876
828380	2821	1998-03-07	VYDAJ	PREVOD NA UCET	3933	9698	SIPO	EF	85205876
828381	2821	1998-04-07	VYDAJ	PREVOD NA UCET	3933	6982	SIPO	EF	85205876
828382	2821	1998-05-07	VYDAJ	PREVOD NA UCET	3933	10050	SIPO	EF	85205876
828383	2821	1998-06-07	VYDAJ	PREVOD NA UCET	3933	13136	SIPO	EF	85205876
828384	2821	1998-07-07	VYDAJ	PREVOD NA UCET	3933	9489	SIPO	EF	85205876
828385	2821	1998-08-07	VYDAJ	PREVOD NA UCET	3933	12581	SIPO	EF	85205876
828386	2821	1998-09-07	VYDAJ	PREVOD NA UCET	3933	7871	SIPO	EF	85205876
828387	2821	1998-10-07	VYDAJ	PREVOD NA UCET	3933	10958	SIPO	EF	85205876
828388	2821	1998-11-07	VYDAJ	PREVOD NA UCET	3933	9535	SIPO	EF	85205876
828389	2821	1998-12-07	VYDAJ	PREVOD NA UCET	3933	12619	SIPO	EF	85205876
828401	2821	1996-12-10	VYDAJ	PREVOD NA UCET	2122	38121	 	YZ	58186644
828402	2821	1997-01-10	VYDAJ	PREVOD NA UCET	2122	30886	 	YZ	58186644
828403	2821	1997-02-10	VYDAJ	PREVOD NA UCET	2122	18712	 	YZ	58186644
828404	2821	1997-03-10	VYDAJ	PREVOD NA UCET	2122	25297	 	YZ	58186644
828405	2821	1997-04-10	VYDAJ	PREVOD NA UCET	2122	24614	 	YZ	58186644
828406	2821	1997-05-10	VYDAJ	PREVOD NA UCET	2122	27835	 	YZ	58186644
828407	2821	1997-06-10	VYDAJ	PREVOD NA UCET	2122	31295	 	YZ	58186644
828408	2821	1997-07-10	VYDAJ	PREVOD NA UCET	2122	19505	 	YZ	58186644
828409	2821	1997-08-10	VYDAJ	PREVOD NA UCET	2122	20199	 	YZ	58186644
828410	2821	1997-09-10	VYDAJ	PREVOD NA UCET	2122	20699	 	YZ	58186644
828411	2821	1997-10-10	VYDAJ	PREVOD NA UCET	2122	18901	 	YZ	58186644
828412	2821	1997-11-10	VYDAJ	PREVOD NA UCET	2122	19488	 	YZ	58186644
828413	2821	1997-12-10	VYDAJ	PREVOD NA UCET	2122	20010	 	YZ	58186644
828414	2821	1998-01-10	VYDAJ	PREVOD NA UCET	2122	20101	 	YZ	58186644
828415	2821	1998-02-10	VYDAJ	PREVOD NA UCET	2122	14684	 	YZ	58186644
828416	2821	1998-03-10	VYDAJ	PREVOD NA UCET	2122	16659	 	YZ	58186644
828417	2821	1998-04-10	VYDAJ	PREVOD NA UCET	2122	13943	 	YZ	58186644
828418	2821	1998-05-10	VYDAJ	PREVOD NA UCET	2122	17011	 	YZ	58186644
828419	2821	1998-06-10	VYDAJ	PREVOD NA UCET	2122	24638	 	YZ	58186644
828420	2821	1998-07-10	VYDAJ	PREVOD NA UCET	2122	16450	 	YZ	58186644
828421	2821	1998-08-10	VYDAJ	PREVOD NA UCET	2122	19542	 	YZ	58186644
828422	2821	1998-09-10	VYDAJ	PREVOD NA UCET	2122	14832	 	YZ	58186644
828423	2821	1998-10-10	VYDAJ	PREVOD NA UCET	2122	17919	 	YZ	58186644
828424	2821	1998-11-10	VYDAJ	PREVOD NA UCET	2122	16496	 	YZ	58186644
828425	2821	1998-12-10	VYDAJ	PREVOD NA UCET	2122	24121	 	YZ	58186644
828427	2821	1997-06-11	VYDAJ	VYBER	9500	21795	\N	\N	\N
828430	2821	1997-01-17	VYDAJ	VYBER	1900	26686	\N	\N	\N
828431	2821	1998-01-30	VYDAJ	VYBER	1000	13101	\N	\N	\N
828432	2821	1996-12-20	VYDAJ	VYBER	2600	35521	\N	\N	\N
828433	2821	1997-12-23	VYDAJ	VYBER	1900	18110	\N	\N	\N
828434	2821	1998-12-21	VYDAJ	VYBER	2300	21821	\N	\N	\N
828441	2821	1997-01-25	VYDAJ	VYBER	2900	21086	\N	\N	\N
828442	2821	1997-01-02	VYDAJ	VYBER	900	34758	\N	\N	\N
828443	2821	1997-01-27	VYDAJ	VYBER	1900	19186	\N	\N	\N
828444	2821	1997-01-16	VYDAJ	VYBER	2300	28586	\N	\N	\N
828445	2821	1997-01-23	VYDAJ	VYBER	2700	23986	\N	\N	\N
828446	2821	1997-01-06	VYDAJ	VYBER	2600	32158	\N	\N	\N
828447	2821	1998-01-09	VYDAJ	VYBER	500	13140	\N	\N	\N
828448	2821	1998-01-24	VYDAJ	VYBER	2500	14101	\N	\N	\N
828449	2821	1998-01-07	VYDAJ	VYBER	500	13640	\N	\N	\N
828450	2821	1998-01-01	VYDAJ	VYBER	1100	17073	\N	\N	\N
828451	2821	1998-01-16	VYDAJ	VYBER	2900	17201	\N	\N	\N
828452	2821	1998-01-21	VYDAJ	VYBER	600	16601	\N	\N	\N
828457	2821	1997-05-12	VYDAJ	VYBER	1900	25935	\N	\N	\N
828458	2821	1997-10-19	VYDAJ	VYBER	600	16501	\N	\N	\N
828459	2821	1997-01-28	VYDAJ	VYBER	4400	14786	\N	\N	\N
828460	2821	1997-02-06	VYDAJ	VYBER	2300	12584	\N	\N	\N
828461	2821	1997-11-13	VYDAJ	VYBER	2900	16588	\N	\N	\N
828462	2821	1997-10-14	VYDAJ	VYBER	1800	17101	\N	\N	\N
828463	2821	1998-10-21	VYDAJ	VYBER	4500	13419	\N	\N	\N
828464	2821	1998-04-03	VYDAJ	VYBER	900	10915	\N	\N	\N
828477	2821	1996-12-31	VYDAJ	VYBER	15	35658	SLUZBY	\N	\N
828478	2821	1997-01-31	VYDAJ	VYBER	15	14884	SLUZBY	\N	\N
828479	2821	1997-02-28	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
828480	2821	1997-03-31	VYDAJ	VYBER	15	25386	SLUZBY	\N	\N
828481	2821	1997-04-30	VYDAJ	VYBER	15	24707	SLUZBY	\N	\N
828482	2821	1997-05-31	VYDAJ	VYBER	15	26026	SLUZBY	\N	\N
828483	2821	1997-06-30	VYDAJ	VYBER	15	21877	SLUZBY	\N	\N
828484	2821	1997-07-31	VYDAJ	VYBER	15	19571	SLUZBY	\N	\N
828485	2821	1997-08-31	VYDAJ	VYBER	15	20271	SLUZBY	\N	\N
828486	2821	1997-09-30	VYDAJ	VYBER	15	20773	SLUZBY	\N	\N
828487	2821	1997-10-31	VYDAJ	VYBER	15	16560	SLUZBY	\N	\N
828488	2821	1997-11-30	VYDAJ	VYBER	15	16641	SLUZBY	\N	\N
828489	2821	1997-12-31	VYDAJ	VYBER	15	18173	SLUZBY	\N	\N
828490	2821	1998-01-31	VYDAJ	VYBER	15	13156	SLUZBY	\N	\N
828491	2821	1998-02-28	VYDAJ	VYBER	15	14731	SLUZBY	\N	\N
828492	2821	1998-03-31	VYDAJ	VYBER	15	16715	SLUZBY	\N	\N
828493	2821	1998-04-30	VYDAJ	VYBER	15	13983	SLUZBY	\N	\N
828494	2821	1998-05-31	VYDAJ	VYBER	15	17069	SLUZBY	\N	\N
828495	2821	1998-06-30	VYDAJ	VYBER	15	24722	SLUZBY	\N	\N
828496	2821	1998-07-31	VYDAJ	VYBER	15	16514	SLUZBY	\N	\N
828497	2821	1998-08-31	VYDAJ	VYBER	15	19604	SLUZBY	\N	\N
828498	2821	1998-09-30	VYDAJ	VYBER	15	14891	SLUZBY	\N	\N
828499	2821	1998-10-31	VYDAJ	VYBER	15	13468	SLUZBY	\N	\N
828500	2821	1998-11-30	VYDAJ	VYBER	15	16552	SLUZBY	\N	\N
828501	2821	1996-08-11	PRIJEM	VKLAD	5200	15283	\N	\N	\N
828502	2821	1996-09-10	VYDAJ	VYBER	1100	23309	\N	\N	\N
828503	2821	1996-10-10	VYDAJ	VYBER	3000	29479	\N	\N	\N
828504	2821	1996-11-09	VYDAJ	VYBER	3000	26595	\N	\N	\N
828505	2821	1996-12-09	VYDAJ	VYBER	9200	26619	\N	\N	\N
828506	2821	1997-01-08	VYDAJ	VYBER	4300	23925	\N	\N	\N
828507	2821	1997-02-07	PRIJEM	VKLAD	3100	15684	\N	\N	\N
828508	2821	1997-03-09	PRIJEM	VKLAD	3500	18336	\N	\N	\N
828509	2821	1997-04-08	VYDAJ	VYBER	3800	17653	\N	\N	\N
828510	2821	1997-05-08	PRIJEM	VKLAD	100	20874	\N	\N	\N
828511	2821	1997-06-07	VYDAJ	VYBER	2300	23726	\N	\N	\N
828512	2821	1997-07-07	VYDAJ	VYBER	5400	16477	\N	\N	\N
828513	2821	1997-08-06	VYDAJ	VYBER	2400	17171	\N	\N	\N
828514	2821	1997-09-05	VYDAJ	VYBER	2600	17671	\N	\N	\N
828515	2821	1997-10-05	VYDAJ	VYBER	4900	15873	\N	\N	\N
828516	2821	1997-11-04	VYDAJ	VYBER	100	16460	\N	\N	\N
828517	2821	1997-12-04	VYDAJ	VYBER	4200	12441	\N	\N	\N
828518	2821	1998-01-03	PRIJEM	VKLAD	1000	18073	\N	\N	\N
828519	2821	1998-02-02	VYDAJ	VYBER	1500	11656	\N	\N	\N
828520	2821	1998-03-04	VYDAJ	VYBER	1100	13631	\N	\N	\N
828521	2821	1998-04-03	VYDAJ	VYBER	4900	11815	\N	\N	\N
828522	2821	1998-07-02	VYDAJ	VYBER	11300	13422	\N	\N	\N
828523	2821	1998-08-31	VYDAJ	VYBER	7800	11804	\N	\N	\N
828854	2823	1993-04-18	PRIJEM	VKLAD	300	300	\N	\N	\N
828859	2823	1993-05-06	PRIJEM	PREVOD Z UCTU	3316	3616	\N	CD	57925736
828860	2823	1993-06-06	PRIJEM	PREVOD Z UCTU	3316	6932	\N	CD	57925736
828861	2823	1993-07-06	PRIJEM	PREVOD Z UCTU	3316	10248	\N	CD	57925736
828862	2823	1993-08-06	PRIJEM	PREVOD Z UCTU	3316	13564	\N	CD	57925736
828863	2823	1993-09-06	PRIJEM	PREVOD Z UCTU	3316	16880	\N	CD	57925736
828864	2823	1993-10-06	PRIJEM	PREVOD Z UCTU	3316	18014	\N	CD	57925736
828865	2823	1993-11-06	PRIJEM	PREVOD Z UCTU	3316	19170	\N	CD	57925736
828866	2823	1993-12-06	PRIJEM	PREVOD Z UCTU	3316	20331	\N	CD	57925736
828867	2823	1994-01-06	PRIJEM	PREVOD Z UCTU	3316	20926	\N	CD	57925736
828868	2823	1994-02-06	PRIJEM	PREVOD Z UCTU	3316	18641	\N	CD	57925736
828869	2823	1994-03-06	PRIJEM	PREVOD Z UCTU	3316	19799	\N	CD	57925736
828870	2823	1994-04-06	PRIJEM	PREVOD Z UCTU	3316	20271	\N	CD	57925736
828871	2823	1994-05-06	PRIJEM	PREVOD Z UCTU	3316	21436	\N	CD	57925736
828872	2823	1994-06-06	PRIJEM	PREVOD Z UCTU	3316	21375	\N	CD	57925736
828873	2823	1994-07-06	PRIJEM	PREVOD Z UCTU	3316	19962	\N	CD	57925736
828874	2823	1994-08-06	PRIJEM	PREVOD Z UCTU	3316	20886	\N	CD	57925736
828875	2823	1994-09-06	PRIJEM	PREVOD Z UCTU	3316	21155	\N	CD	57925736
828876	2823	1994-10-06	PRIJEM	PREVOD Z UCTU	3316	22324	\N	CD	57925736
828877	2823	1994-11-06	PRIJEM	PREVOD Z UCTU	3316	23497	\N	CD	57925736
828878	2823	1994-12-06	PRIJEM	PREVOD Z UCTU	3316	23673	\N	CD	57925736
828879	2823	1995-01-06	PRIJEM	PREVOD Z UCTU	3316	22961	\N	CD	57925736
828880	2823	1995-02-06	PRIJEM	PREVOD Z UCTU	3316	21347	\N	CD	57925736
828881	2823	1995-03-06	PRIJEM	PREVOD Z UCTU	3316	22517	\N	CD	57925736
828882	2823	1995-04-06	PRIJEM	PREVOD Z UCTU	3316	23691	\N	CD	57925736
828883	2823	1995-05-06	PRIJEM	PREVOD Z UCTU	3316	24871	\N	CD	57925736
828884	2823	1995-06-06	PRIJEM	PREVOD Z UCTU	3316	26055	\N	CD	57925736
828885	2823	1995-07-06	PRIJEM	PREVOD Z UCTU	3316	19547	\N	CD	57925736
828886	2823	1995-08-06	PRIJEM	PREVOD Z UCTU	3316	19957	\N	CD	57925736
828887	2823	1995-09-06	PRIJEM	PREVOD Z UCTU	3316	21121	\N	CD	57925736
828888	2823	1995-10-06	PRIJEM	PREVOD Z UCTU	3316	20849	\N	CD	57925736
828889	2823	1995-11-06	PRIJEM	PREVOD Z UCTU	3316	19434	\N	CD	57925736
828890	2823	1995-12-06	PRIJEM	PREVOD Z UCTU	3316	19799	\N	CD	57925736
828891	2823	1996-01-06	PRIJEM	PREVOD Z UCTU	3316	20003	\N	CD	57925736
828892	2823	1996-02-06	PRIJEM	PREVOD Z UCTU	3316	18345	\N	CD	57925736
828893	2823	1996-03-06	PRIJEM	PREVOD Z UCTU	3316	19501	\N	CD	57925736
828894	2823	1996-04-06	PRIJEM	PREVOD Z UCTU	3316	20663	\N	CD	57925736
828895	2823	1996-05-06	PRIJEM	PREVOD Z UCTU	3316	21199	\N	CD	57925736
828896	2823	1996-06-06	PRIJEM	PREVOD Z UCTU	3316	22367	\N	CD	57925736
828897	2823	1996-07-06	PRIJEM	PREVOD Z UCTU	3316	19364	\N	CD	57925736
828898	2823	1996-08-06	PRIJEM	PREVOD Z UCTU	3316	20104	\N	CD	57925736
828899	2823	1996-09-06	PRIJEM	PREVOD Z UCTU	3316	20096	\N	CD	57925736
828900	2823	1996-10-06	PRIJEM	PREVOD Z UCTU	3316	21259	\N	CD	57925736
828901	2823	1996-11-06	PRIJEM	PREVOD Z UCTU	3316	22428	\N	CD	57925736
828902	2823	1996-12-06	PRIJEM	PREVOD Z UCTU	3316	22398	\N	CD	57925736
828903	2823	1997-01-06	PRIJEM	PREVOD Z UCTU	3316	20271	\N	CD	57925736
828904	2823	1997-02-06	PRIJEM	PREVOD Z UCTU	3316	19814	\N	CD	57925736
828905	2823	1997-03-06	PRIJEM	PREVOD Z UCTU	3316	20977	\N	CD	57925736
828906	2823	1997-04-06	PRIJEM	PREVOD Z UCTU	3316	22144	\N	CD	57925736
828907	2823	1997-05-06	PRIJEM	PREVOD Z UCTU	3316	22203	\N	CD	57925736
828908	2823	1997-06-06	PRIJEM	PREVOD Z UCTU	3316	22895	\N	CD	57925736
828909	2823	1997-07-06	PRIJEM	PREVOD Z UCTU	3316	24070	\N	CD	57925736
828910	2823	1997-08-06	PRIJEM	PREVOD Z UCTU	3316	25250	\N	CD	57925736
828911	2823	1997-09-06	PRIJEM	PREVOD Z UCTU	3316	26435	\N	CD	57925736
828912	2823	1997-10-06	PRIJEM	PREVOD Z UCTU	3316	26154	\N	CD	57925736
828913	2823	1997-11-06	PRIJEM	PREVOD Z UCTU	3316	27343	\N	CD	57925736
828914	2823	1997-12-06	PRIJEM	PREVOD Z UCTU	3316	28536	\N	CD	57925736
828915	2823	1998-01-06	PRIJEM	PREVOD Z UCTU	3316	26881	\N	CD	57925736
828916	2823	1998-02-06	PRIJEM	PREVOD Z UCTU	3316	23869	\N	CD	57925736
828917	2823	1998-03-06	PRIJEM	PREVOD Z UCTU	3316	25051	\N	CD	57925736
828918	2823	1998-04-06	PRIJEM	PREVOD Z UCTU	3316	25834	\N	CD	57925736
828919	2823	1998-05-06	PRIJEM	PREVOD Z UCTU	3316	22214	\N	CD	57925736
828920	2823	1998-06-06	PRIJEM	PREVOD Z UCTU	3316	21583	\N	CD	57925736
828921	2823	1998-07-06	PRIJEM	PREVOD Z UCTU	3316	21911	\N	CD	57925736
828922	2823	1998-08-06	PRIJEM	PREVOD Z UCTU	3316	23081	\N	CD	57925736
828923	2823	1998-09-06	PRIJEM	PREVOD Z UCTU	3316	23746	\N	CD	57925736
828924	2823	1998-10-06	PRIJEM	PREVOD Z UCTU	3316	22018	\N	CD	57925736
828925	2823	1998-11-06	PRIJEM	PREVOD Z UCTU	3316	19883	\N	CD	57925736
828926	2823	1998-12-06	PRIJEM	PREVOD Z UCTU	3316	21044	\N	CD	57925736
828935	2823	1993-09-10	VYDAJ	PREVOD NA UCET	2210	14670	\N	GH	22294932
828936	2823	1993-10-10	VYDAJ	PREVOD NA UCET	2210	15804	\N	GH	22294932
828937	2823	1993-11-10	VYDAJ	PREVOD NA UCET	2210	16960	\N	GH	22294932
828938	2823	1993-12-10	VYDAJ	PREVOD NA UCET	2210	18121	\N	GH	22294932
828939	2823	1994-01-10	VYDAJ	PREVOD NA UCET	2210	18716	\N	GH	22294932
828940	2823	1994-02-10	VYDAJ	PREVOD NA UCET	2210	16431	\N	GH	22294932
828941	2823	1994-03-10	VYDAJ	PREVOD NA UCET	2210	17589	\N	GH	22294932
828942	2823	1994-04-10	VYDAJ	PREVOD NA UCET	2210	18061	\N	GH	22294932
828943	2823	1994-05-10	VYDAJ	PREVOD NA UCET	2210	17996	\N	GH	22294932
828944	2823	1994-06-10	VYDAJ	PREVOD NA UCET	2210	19165	\N	GH	22294932
828945	2823	1994-07-10	VYDAJ	PREVOD NA UCET	2210	17752	\N	GH	22294932
828946	2823	1994-08-10	VYDAJ	PREVOD NA UCET	2210	18676	\N	GH	22294932
828947	2823	1994-09-10	VYDAJ	PREVOD NA UCET	2210	18945	\N	GH	22294932
828948	2823	1994-10-10	VYDAJ	PREVOD NA UCET	2210	20114	\N	GH	22294932
828949	2823	1994-11-10	VYDAJ	PREVOD NA UCET	2210	20287	\N	GH	22294932
828950	2823	1994-12-10	VYDAJ	PREVOD NA UCET	2210	20713	\N	GH	22294932
828951	2823	1995-01-10	VYDAJ	PREVOD NA UCET	2210	20361	\N	GH	22294932
828952	2823	1995-02-10	VYDAJ	PREVOD NA UCET	2210	19137	\N	GH	22294932
828953	2823	1995-03-10	VYDAJ	PREVOD NA UCET	2210	20307	\N	GH	22294932
828954	2823	1995-04-10	VYDAJ	PREVOD NA UCET	2210	21481	\N	GH	22294932
828955	2823	1995-05-10	VYDAJ	PREVOD NA UCET	2210	22661	\N	GH	22294932
828956	2823	1995-06-10	VYDAJ	PREVOD NA UCET	2210	23845	\N	GH	22294932
828957	2823	1995-07-10	VYDAJ	PREVOD NA UCET	2210	17337	\N	GH	22294932
828958	2823	1995-08-10	VYDAJ	PREVOD NA UCET	2210	17747	\N	GH	22294932
828959	2823	1995-09-10	VYDAJ	PREVOD NA UCET	2210	18911	\N	GH	22294932
828960	2823	1995-10-10	VYDAJ	PREVOD NA UCET	2210	18639	\N	GH	22294932
828961	2823	1995-11-10	VYDAJ	PREVOD NA UCET	2210	17224	\N	GH	22294932
828962	2823	1995-12-10	VYDAJ	PREVOD NA UCET	2210	17589	\N	GH	22294932
828963	2823	1996-01-10	VYDAJ	PREVOD NA UCET	2210	17103	\N	GH	22294932
828964	2823	1996-02-10	VYDAJ	PREVOD NA UCET	2210	16135	\N	GH	22294932
828965	2823	1996-03-10	VYDAJ	PREVOD NA UCET	2210	17291	\N	GH	22294932
828966	2823	1996-04-10	VYDAJ	PREVOD NA UCET	2210	18453	\N	GH	22294932
828967	2823	1996-05-10	VYDAJ	PREVOD NA UCET	2210	18989	\N	GH	22294932
828968	2823	1996-06-10	VYDAJ	PREVOD NA UCET	2210	20157	\N	GH	22294932
828969	2823	1996-07-10	VYDAJ	PREVOD NA UCET	2210	16734	\N	GH	22294932
828970	2823	1996-08-10	VYDAJ	PREVOD NA UCET	2210	17894	\N	GH	22294932
828971	2823	1996-09-10	VYDAJ	PREVOD NA UCET	2210	17886	\N	GH	22294932
828972	2823	1996-10-10	VYDAJ	PREVOD NA UCET	2210	19049	\N	GH	22294932
828973	2823	1996-11-10	VYDAJ	PREVOD NA UCET	2210	20218	\N	GH	22294932
828974	2823	1996-12-10	VYDAJ	PREVOD NA UCET	2210	20188	\N	GH	22294932
828975	2823	1997-01-10	VYDAJ	PREVOD NA UCET	2210	17221	\N	GH	22294932
828976	2823	1997-02-10	VYDAJ	PREVOD NA UCET	2210	17604	\N	GH	22294932
828977	2823	1997-03-10	VYDAJ	PREVOD NA UCET	2210	18767	\N	GH	22294932
828978	2823	1997-04-10	VYDAJ	PREVOD NA UCET	2210	19934	\N	GH	22294932
828979	2823	1997-05-10	VYDAJ	PREVOD NA UCET	2210	19513	\N	GH	22294932
828980	2823	1997-06-10	VYDAJ	PREVOD NA UCET	2210	20685	\N	GH	22294932
828981	2823	1997-07-10	VYDAJ	PREVOD NA UCET	2210	21860	\N	GH	22294932
828982	2823	1997-08-10	VYDAJ	PREVOD NA UCET	2210	23040	\N	GH	22294932
828983	2823	1997-09-10	VYDAJ	PREVOD NA UCET	2210	24225	\N	GH	22294932
828984	2823	1997-10-10	VYDAJ	PREVOD NA UCET	2210	23944	\N	GH	22294932
828985	2823	1997-11-10	VYDAJ	PREVOD NA UCET	2210	25133	\N	GH	22294932
828986	2823	1997-12-10	VYDAJ	PREVOD NA UCET	2210	26326	\N	GH	22294932
828987	2823	1998-01-10	VYDAJ	PREVOD NA UCET	2210	24101	\N	GH	22294932
828988	2823	1998-02-10	VYDAJ	PREVOD NA UCET	2210	21659	\N	GH	22294932
828989	2823	1998-03-10	VYDAJ	PREVOD NA UCET	2210	22841	\N	GH	22294932
828990	2823	1998-04-10	VYDAJ	PREVOD NA UCET	2210	23624	\N	GH	22294932
828991	2823	1998-05-10	VYDAJ	PREVOD NA UCET	2210	20004	\N	GH	22294932
828992	2823	1998-06-10	VYDAJ	PREVOD NA UCET	2210	19373	\N	GH	22294932
828993	2823	1998-07-10	VYDAJ	PREVOD NA UCET	2210	19701	\N	GH	22294932
828994	2823	1998-08-10	VYDAJ	PREVOD NA UCET	2210	20871	\N	GH	22294932
828995	2823	1998-09-10	VYDAJ	PREVOD NA UCET	2210	21536	\N	GH	22294932
828996	2823	1998-10-10	VYDAJ	PREVOD NA UCET	2210	19808	\N	GH	22294932
828997	2823	1998-11-10	VYDAJ	PREVOD NA UCET	2210	17673	\N	GH	22294932
828998	2823	1998-12-10	VYDAJ	PREVOD NA UCET	2210	18834	\N	GH	22294932
829000	2823	1994-06-23	VYDAJ	VYBER	2580	16585	\N	\N	\N
829001	2823	1995-06-15	VYDAJ	VYBER	7680	16165	\N	\N	\N
829002	2823	1996-06-20	VYDAJ	VYBER	4170	15987	\N	\N	\N
829005	2823	1993-12-21	VYDAJ	VYBER	180	17941	\N	\N	\N
829006	2823	1994-12-08	VYDAJ	VYBER	750	22923	\N	\N	\N
829007	2823	1995-12-21	VYDAJ	VYBER	630	16959	\N	\N	\N
829008	2823	1996-12-25	VYDAJ	VYBER	450	19738	\N	\N	\N
829009	2823	1997-12-26	VYDAJ	VYBER	750	24346	\N	\N	\N
829010	2823	1998-12-30	VYDAJ	VYBER	420	17334	\N	\N	\N
829017	2823	1994-01-03	VYDAJ	VYBER	390	17610	\N	\N	\N
829018	2823	1994-01-12	VYDAJ	VYBER	840	17876	\N	\N	\N
829019	2823	1994-01-26	VYDAJ	VYBER	480	15266	\N	\N	\N
829020	2823	1994-01-18	VYDAJ	VYBER	750	17126	\N	\N	\N
829021	2823	1994-01-24	VYDAJ	VYBER	810	16316	\N	\N	\N
829022	2823	1994-01-26	VYDAJ	VYBER	570	15746	\N	\N	\N
829023	2823	1995-01-30	VYDAJ	VYBER	510	17961	\N	\N	\N
829024	2823	1995-01-11	VYDAJ	VYBER	330	20031	\N	\N	\N
829025	2823	1995-01-29	VYDAJ	VYBER	600	19011	\N	\N	\N
829026	2823	1995-01-30	VYDAJ	VYBER	540	18471	\N	\N	\N
829027	2823	1995-01-27	VYDAJ	VYBER	420	19611	\N	\N	\N
829028	2823	1995-01-07	VYDAJ	VYBER	390	22571	\N	\N	\N
829029	2823	1996-01-29	VYDAJ	VYBER	330	14973	\N	\N	\N
829030	2823	1996-01-04	VYDAJ	VYBER	330	16687	\N	\N	\N
829031	2823	1996-01-06	VYDAJ	VYBER	690	19313	\N	\N	\N
829032	2823	1996-01-23	VYDAJ	VYBER	660	15963	\N	\N	\N
829033	2823	1996-01-10	VYDAJ	VYBER	480	16623	\N	\N	\N
829034	2823	1996-01-23	VYDAJ	VYBER	660	15303	\N	\N	\N
829035	2823	1997-01-29	VYDAJ	VYBER	420	16441	\N	\N	\N
829036	2823	1997-01-04	VYDAJ	VYBER	690	17375	\N	\N	\N
829037	2823	1997-01-05	VYDAJ	VYBER	420	16955	\N	\N	\N
829038	2823	1997-01-08	VYDAJ	VYBER	840	19431	\N	\N	\N
829039	2823	1997-01-02	VYDAJ	VYBER	780	18065	\N	\N	\N
829040	2823	1997-01-13	VYDAJ	VYBER	360	16861	\N	\N	\N
829041	2823	1998-01-24	VYDAJ	VYBER	150	22001	\N	\N	\N
829042	2823	1998-01-06	VYDAJ	VYBER	570	26311	\N	\N	\N
829043	2823	1998-01-24	VYDAJ	VYBER	810	22151	\N	\N	\N
829044	2823	1998-01-11	VYDAJ	VYBER	840	23261	\N	\N	\N
829045	2823	1998-01-05	VYDAJ	VYBER	870	23565	\N	\N	\N
829046	2823	1998-01-28	VYDAJ	VYBER	420	21581	\N	\N	\N
829052	2823	1994-05-06	VYDAJ	VYBER	1230	20206	\N	\N	\N
829053	2823	1994-08-26	VYDAJ	VYBER	900	17776	\N	\N	\N
829054	2823	1994-08-05	VYDAJ	VYBER	240	17570	\N	\N	\N
829055	2823	1994-03-18	VYDAJ	VYBER	690	16899	\N	\N	\N
829056	2823	1995-09-30	VYDAJ	VYBER	1440	17548	\N	\N	\N
829057	2823	1995-10-18	VYDAJ	VYBER	1230	17409	\N	\N	\N
829058	2823	1995-07-16	VYDAJ	VYBER	750	16587	\N	\N	\N
829059	2823	1995-01-03	VYDAJ	VYBER	1140	19645	\N	\N	\N
829060	2823	1995-11-03	VYDAJ	VYBER	1350	16118	\N	\N	\N
829061	2823	1996-07-09	VYDAJ	VYBER	420	18944	\N	\N	\N
829062	2823	1996-08-15	VYDAJ	VYBER	300	17594	\N	\N	\N
829063	2823	1996-08-17	VYDAJ	VYBER	870	16724	\N	\N	\N
829064	2823	1996-04-24	VYDAJ	VYBER	630	17823	\N	\N	\N
829065	2823	1996-11-12	VYDAJ	VYBER	1200	19018	\N	\N	\N
829066	2823	1997-09-28	VYDAJ	VYBER	1080	23145	\N	\N	\N
829067	2823	1997-01-01	VYDAJ	VYBER	960	18845	\N	\N	\N
829068	2823	1997-04-16	VYDAJ	VYBER	1110	18824	\N	\N	\N
829069	2823	1997-05-08	VYDAJ	VYBER	480	21723	\N	\N	\N
829070	2823	1997-12-20	VYDAJ	VYBER	1230	25096	\N	\N	\N
829071	2823	1997-09-30	VYDAJ	VYBER	390	22838	\N	\N	\N
829072	2823	1998-06-19	VYDAJ	VYBER	840	18533	\N	\N	\N
829073	2823	1998-12-20	VYDAJ	VYBER	1080	17754	\N	\N	\N
829074	2823	1998-08-28	VYDAJ	VYBER	510	20361	\N	\N	\N
829075	2823	1998-02-01	VYDAJ	VYBER	1110	20553	\N	\N	\N
829085	2823	1993-09-30	VYDAJ	VYBER	15	14698	SLUZBY	\N	\N
829086	2823	1993-10-31	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
829087	2823	1993-11-30	VYDAJ	VYBER	15	17015	SLUZBY	\N	\N
829088	2823	1993-12-31	VYDAJ	VYBER	15	18000	SLUZBY	\N	\N
829089	2823	1994-01-31	VYDAJ	VYBER	15	15325	SLUZBY	\N	\N
829090	2823	1994-02-28	VYDAJ	VYBER	15	16483	SLUZBY	\N	\N
829091	2823	1994-03-31	VYDAJ	VYBER	15	16955	SLUZBY	\N	\N
829092	2823	1994-04-30	VYDAJ	VYBER	15	18120	SLUZBY	\N	\N
829093	2823	1994-05-31	VYDAJ	VYBER	15	18059	SLUZBY	\N	\N
829094	2823	1994-06-30	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
829095	2823	1994-07-31	VYDAJ	VYBER	15	17810	SLUZBY	\N	\N
829096	2823	1994-08-31	VYDAJ	VYBER	15	17839	SLUZBY	\N	\N
829097	2823	1994-09-30	VYDAJ	VYBER	15	19008	SLUZBY	\N	\N
829098	2823	1994-10-31	VYDAJ	VYBER	15	20181	SLUZBY	\N	\N
829099	2823	1994-11-30	VYDAJ	VYBER	15	20357	SLUZBY	\N	\N
829100	2823	1994-12-31	VYDAJ	VYBER	15	20785	SLUZBY	\N	\N
829101	2823	1995-01-31	VYDAJ	VYBER	15	18031	SLUZBY	\N	\N
829102	2823	1995-02-28	VYDAJ	VYBER	15	19201	SLUZBY	\N	\N
829103	2823	1995-03-31	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
829104	2823	1995-04-30	VYDAJ	VYBER	15	21555	SLUZBY	\N	\N
829105	2823	1995-05-31	VYDAJ	VYBER	15	22739	SLUZBY	\N	\N
829106	2823	1995-06-30	VYDAJ	VYBER	15	16231	SLUZBY	\N	\N
829107	2823	1995-07-31	VYDAJ	VYBER	15	16641	SLUZBY	\N	\N
829108	2823	1995-08-31	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
829109	2823	1995-09-30	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
829110	2823	1995-10-31	VYDAJ	VYBER	15	17468	SLUZBY	\N	\N
829111	2823	1995-11-30	VYDAJ	VYBER	15	17283	SLUZBY	\N	\N
829112	2823	1995-12-31	VYDAJ	VYBER	15	17017	SLUZBY	\N	\N
829113	2823	1996-01-31	VYDAJ	VYBER	15	15029	SLUZBY	\N	\N
829114	2823	1996-02-29	VYDAJ	VYBER	15	16185	SLUZBY	\N	\N
829115	2823	1996-03-31	VYDAJ	VYBER	15	17347	SLUZBY	\N	\N
829116	2823	1996-04-30	VYDAJ	VYBER	15	17883	SLUZBY	\N	\N
829117	2823	1996-05-31	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
829118	2823	1996-06-30	VYDAJ	VYBER	15	16048	SLUZBY	\N	\N
829119	2823	1996-07-31	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
829120	2823	1996-08-31	VYDAJ	VYBER	15	16780	SLUZBY	\N	\N
829121	2823	1996-09-30	VYDAJ	VYBER	15	17943	SLUZBY	\N	\N
829122	2823	1996-10-31	VYDAJ	VYBER	15	19112	SLUZBY	\N	\N
829123	2823	1996-11-30	VYDAJ	VYBER	15	19082	SLUZBY	\N	\N
829124	2823	1996-12-31	VYDAJ	VYBER	15	19805	SLUZBY	\N	\N
829125	2823	1997-01-31	VYDAJ	VYBER	15	16498	SLUZBY	\N	\N
829126	2823	1997-02-28	VYDAJ	VYBER	15	17661	SLUZBY	\N	\N
829127	2823	1997-03-31	VYDAJ	VYBER	15	18828	SLUZBY	\N	\N
829128	2823	1997-04-30	VYDAJ	VYBER	15	18887	SLUZBY	\N	\N
829129	2823	1997-05-31	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
829130	2823	1997-06-30	VYDAJ	VYBER	15	20754	SLUZBY	\N	\N
829131	2823	1997-07-31	VYDAJ	VYBER	15	21934	SLUZBY	\N	\N
829132	2823	1997-08-31	VYDAJ	VYBER	15	23119	SLUZBY	\N	\N
829133	2823	1997-09-30	VYDAJ	VYBER	15	23228	SLUZBY	\N	\N
829134	2823	1997-10-31	VYDAJ	VYBER	15	24027	SLUZBY	\N	\N
829135	2823	1997-11-30	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
829136	2823	1997-12-31	VYDAJ	VYBER	15	24435	SLUZBY	\N	\N
829137	2823	1998-01-31	VYDAJ	VYBER	15	21663	SLUZBY	\N	\N
829138	2823	1998-02-28	VYDAJ	VYBER	15	21735	SLUZBY	\N	\N
829139	2823	1998-03-31	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
829140	2823	1998-04-30	VYDAJ	VYBER	15	18898	SLUZBY	\N	\N
829141	2823	1998-05-31	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
829142	2823	1998-06-30	VYDAJ	VYBER	15	18595	SLUZBY	\N	\N
829143	2823	1998-07-31	VYDAJ	VYBER	15	19765	SLUZBY	\N	\N
829144	2823	1998-08-31	VYDAJ	VYBER	15	20430	SLUZBY	\N	\N
829145	2823	1998-09-30	VYDAJ	VYBER	15	18702	SLUZBY	\N	\N
829146	2823	1998-10-31	VYDAJ	VYBER	15	16567	SLUZBY	\N	\N
829147	2823	1998-11-30	VYDAJ	VYBER	15	17728	SLUZBY	\N	\N
829148	2823	1994-11-09	VYDAJ	VYBER	1000	22497	\N	\N	\N
829149	2823	1995-12-04	VYDAJ	VYBER	800	16483	\N	\N	\N
829150	2823	1998-01-22	VYDAJ	VYBER	300	22961	\N	\N	\N
829151	2823	1998-03-23	VYDAJ	VYBER	400	22441	\N	\N	\N
829152	2823	1998-04-22	VYDAJ	VYBER	4800	18824	\N	\N	\N
829153	2823	1998-05-22	VYDAJ	VYBER	1800	18204	\N	\N	\N
829154	2823	1998-09-19	VYDAJ	VYBER	2900	18636	\N	\N	\N
829155	2823	1998-10-19	VYDAJ	VYBER	3300	16508	\N	\N	\N
829220	2824	1993-10-20	PRIJEM	VKLAD	800	800	\N	\N	\N
829231	2824	1993-11-07	PRIJEM	VKLAD	15285	16085	\N	\N	\N
829232	2824	1993-12-07	PRIJEM	VKLAD	22928	42545	\N	\N	\N
829233	2824	1994-01-07	PRIJEM	VKLAD	15285	50138	\N	\N	\N
829234	2824	1994-02-07	PRIJEM	VKLAD	15285	51971	\N	\N	\N
829235	2824	1994-03-07	PRIJEM	VKLAD	15285	51609	\N	\N	\N
829236	2824	1994-04-07	PRIJEM	VKLAD	15285	51252	\N	\N	\N
829237	2824	1994-05-07	PRIJEM	VKLAD	15285	49893	\N	\N	\N
829238	2824	1994-06-07	PRIJEM	VKLAD	22928	51826	\N	\N	\N
829239	2824	1994-07-07	PRIJEM	VKLAD	15285	49420	\N	\N	\N
829240	2824	1994-08-07	PRIJEM	VKLAD	15285	44309	\N	\N	\N
829241	2824	1994-09-07	PRIJEM	VKLAD	15285	44585	\N	\N	\N
829242	2824	1994-10-07	PRIJEM	VKLAD	15285	48662	\N	\N	\N
829243	2824	1994-11-07	PRIJEM	VKLAD	15285	46943	\N	\N	\N
829244	2824	1994-12-07	PRIJEM	VKLAD	22928	47256	\N	\N	\N
829245	2824	1995-01-07	PRIJEM	VKLAD	15285	49242	\N	\N	\N
829246	2824	1995-02-07	PRIJEM	VKLAD	15285	41433	\N	\N	\N
829247	2824	1995-03-07	PRIJEM	VKLAD	15285	49406	\N	\N	\N
829248	2824	1995-04-07	PRIJEM	VKLAD	15285	54004	\N	\N	\N
829249	2824	1995-05-07	PRIJEM	VKLAD	15285	49222	\N	\N	\N
829250	2824	1995-06-07	PRIJEM	VKLAD	22928	59255	\N	\N	\N
829251	2824	1995-07-07	PRIJEM	VKLAD	15285	45674	\N	\N	\N
829252	2824	1995-08-07	PRIJEM	VKLAD	15285	40992	\N	\N	\N
829253	2824	1995-09-07	PRIJEM	VKLAD	15285	47566	\N	\N	\N
829254	2824	1995-10-07	PRIJEM	VKLAD	15285	49647	\N	\N	\N
829255	2824	1995-11-07	PRIJEM	VKLAD	15285	53041	\N	\N	\N
829256	2824	1995-12-07	PRIJEM	VKLAD	22928	55090	\N	\N	\N
829257	2824	1996-01-07	PRIJEM	VKLAD	15285	45127	\N	\N	\N
829258	2824	1996-02-07	PRIJEM	VKLAD	15285	48811	\N	\N	\N
829259	2824	1996-03-07	PRIJEM	VKLAD	15285	49646	\N	\N	\N
829260	2824	1996-04-07	PRIJEM	VKLAD	15285	53643	\N	\N	\N
829261	2824	1996-05-07	PRIJEM	VKLAD	15285	57557	\N	\N	\N
829262	2824	1996-06-07	PRIJEM	VKLAD	22928	64712	\N	\N	\N
829263	2824	1996-07-07	PRIJEM	VKLAD	15285	66676	\N	\N	\N
829264	2824	1996-08-07	PRIJEM	VKLAD	15285	69060	\N	\N	\N
829265	2824	1996-09-07	PRIJEM	VKLAD	15285	68174	\N	\N	\N
829266	2824	1996-10-07	PRIJEM	VKLAD	15285	68763	\N	\N	\N
829267	2824	1996-11-07	PRIJEM	VKLAD	15285	69893	\N	\N	\N
829268	2824	1996-12-07	PRIJEM	VKLAD	22928	81232	\N	\N	\N
829269	2824	1997-01-07	PRIJEM	VKLAD	15285	76125	\N	\N	\N
829270	2824	1997-02-07	PRIJEM	VKLAD	15285	69549	\N	\N	\N
829271	2824	1997-03-07	PRIJEM	VKLAD	15285	75341	\N	\N	\N
829272	2824	1997-04-07	PRIJEM	VKLAD	15285	73657	\N	\N	\N
829273	2824	1997-05-07	PRIJEM	VKLAD	15285	76387	\N	\N	\N
829274	2824	1997-06-07	PRIJEM	VKLAD	22928	87252	\N	\N	\N
829275	2824	1997-07-07	PRIJEM	VKLAD	15285	82953	\N	\N	\N
829276	2824	1997-08-07	PRIJEM	VKLAD	15285	83102	\N	\N	\N
829277	2824	1997-09-07	PRIJEM	VKLAD	15285	81150	\N	\N	\N
829278	2824	1997-10-07	PRIJEM	VKLAD	15285	82783	\N	\N	\N
829279	2824	1997-11-07	PRIJEM	VKLAD	15285	78319	\N	\N	\N
829280	2824	1997-12-07	PRIJEM	VKLAD	22928	90183	\N	\N	\N
829281	2824	1998-01-07	PRIJEM	VKLAD	15285	81799	\N	\N	\N
829282	2824	1998-02-07	PRIJEM	VKLAD	15285	77992	\N	\N	\N
829283	2824	1998-03-07	PRIJEM	VKLAD	15285	86212	\N	\N	\N
829284	2824	1998-04-07	PRIJEM	VKLAD	15285	91866	\N	\N	\N
829285	2824	1998-05-07	PRIJEM	VKLAD	15285	95502	\N	\N	\N
829286	2824	1998-06-07	PRIJEM	VKLAD	22928	107435	\N	\N	\N
829287	2824	1998-07-07	PRIJEM	VKLAD	15285	87834	\N	\N	\N
829288	2824	1998-08-07	PRIJEM	VKLAD	15285	99578	\N	\N	\N
829289	2824	1998-09-07	PRIJEM	VKLAD	15285	107393	\N	\N	\N
829290	2824	1998-10-07	PRIJEM	VKLAD	15285	110230	\N	\N	\N
829291	2824	1998-11-07	PRIJEM	VKLAD	15285	114881	\N	\N	\N
829292	2824	1998-12-07	PRIJEM	VKLAD	22928	122482	\N	\N	\N
829307	2824	1994-03-09	VYDAJ	PREVOD NA UCET	7289	44320	SIPO	EF	94259202
829308	2824	1994-04-09	VYDAJ	PREVOD NA UCET	7289	42763	SIPO	EF	94259202
829309	2824	1994-05-09	VYDAJ	PREVOD NA UCET	7289	40204	SIPO	EF	94259202
829310	2824	1994-06-09	VYDAJ	PREVOD NA UCET	7289	44537	SIPO	EF	94259202
829311	2824	1994-07-09	VYDAJ	PREVOD NA UCET	7289	42131	SIPO	EF	94259202
829312	2824	1994-08-09	VYDAJ	PREVOD NA UCET	7289	37020	SIPO	EF	94259202
829313	2824	1994-09-09	VYDAJ	PREVOD NA UCET	7289	37296	SIPO	EF	94259202
829314	2824	1994-10-09	VYDAJ	PREVOD NA UCET	7289	41373	SIPO	EF	94259202
829315	2824	1994-11-09	VYDAJ	PREVOD NA UCET	7289	34014	SIPO	EF	94259202
829316	2824	1994-12-09	VYDAJ	PREVOD NA UCET	7289	39967	SIPO	EF	94259202
829317	2824	1995-01-09	VYDAJ	PREVOD NA UCET	7289	40393	SIPO	EF	94259202
829318	2824	1995-02-09	VYDAJ	PREVOD NA UCET	7289	34144	SIPO	EF	94259202
829319	2824	1995-03-09	VYDAJ	PREVOD NA UCET	7289	42117	SIPO	EF	94259202
829320	2824	1995-04-09	VYDAJ	PREVOD NA UCET	7289	46715	SIPO	EF	94259202
829321	2824	1995-05-09	VYDAJ	PREVOD NA UCET	7289	41933	SIPO	EF	94259202
829322	2824	1995-06-09	VYDAJ	PREVOD NA UCET	7289	51966	SIPO	EF	94259202
829323	2824	1995-07-09	VYDAJ	PREVOD NA UCET	7289	38385	SIPO	EF	94259202
829324	2824	1995-08-09	VYDAJ	PREVOD NA UCET	7289	33703	SIPO	EF	94259202
829325	2824	1995-09-09	VYDAJ	PREVOD NA UCET	7289	40277	SIPO	EF	94259202
829326	2824	1995-10-09	VYDAJ	PREVOD NA UCET	7289	42358	SIPO	EF	94259202
829327	2824	1995-11-09	VYDAJ	PREVOD NA UCET	7289	37552	SIPO	EF	94259202
829328	2824	1995-12-09	VYDAJ	PREVOD NA UCET	7289	47801	SIPO	EF	94259202
829329	2824	1996-01-09	VYDAJ	PREVOD NA UCET	7289	36038	SIPO	EF	94259202
829330	2824	1996-02-09	VYDAJ	PREVOD NA UCET	7289	39022	SIPO	EF	94259202
829331	2824	1996-03-09	VYDAJ	PREVOD NA UCET	7289	39057	SIPO	EF	94259202
829332	2824	1996-04-09	VYDAJ	PREVOD NA UCET	7289	42954	SIPO	EF	94259202
829333	2824	1996-05-09	VYDAJ	PREVOD NA UCET	7289	41268	SIPO	EF	94259202
829334	2824	1996-06-09	VYDAJ	PREVOD NA UCET	7289	57423	SIPO	EF	94259202
829335	2824	1996-07-09	VYDAJ	PREVOD NA UCET	7289	59387	SIPO	EF	94259202
829336	2824	1996-08-09	VYDAJ	PREVOD NA UCET	7289	61771	SIPO	EF	94259202
829337	2824	1996-09-09	VYDAJ	PREVOD NA UCET	7289	60885	SIPO	EF	94259202
829338	2824	1996-10-09	VYDAJ	PREVOD NA UCET	7289	61474	SIPO	EF	94259202
829339	2824	1996-11-09	VYDAJ	PREVOD NA UCET	7289	62604	SIPO	EF	94259202
829340	2824	1996-12-09	VYDAJ	PREVOD NA UCET	7289	73943	SIPO	EF	94259202
829341	2824	1997-01-09	VYDAJ	PREVOD NA UCET	7289	68836	SIPO	EF	94259202
829342	2824	1997-02-09	VYDAJ	PREVOD NA UCET	7289	62260	SIPO	EF	94259202
829343	2824	1997-03-09	VYDAJ	PREVOD NA UCET	7289	68052	SIPO	EF	94259202
829344	2824	1997-04-09	VYDAJ	PREVOD NA UCET	7289	66368	SIPO	EF	94259202
829345	2824	1997-05-09	VYDAJ	PREVOD NA UCET	7289	69098	SIPO	EF	94259202
829346	2824	1997-06-09	VYDAJ	PREVOD NA UCET	7289	79963	SIPO	EF	94259202
829347	2824	1997-07-09	VYDAJ	PREVOD NA UCET	7289	75664	SIPO	EF	94259202
829348	2824	1997-08-09	VYDAJ	PREVOD NA UCET	7289	75813	SIPO	EF	94259202
829349	2824	1997-09-09	VYDAJ	PREVOD NA UCET	7289	73861	SIPO	EF	94259202
829350	2824	1997-10-09	VYDAJ	PREVOD NA UCET	7289	75494	SIPO	EF	94259202
829351	2824	1997-11-09	VYDAJ	PREVOD NA UCET	7289	71030	SIPO	EF	94259202
829352	2824	1997-12-09	VYDAJ	PREVOD NA UCET	7289	82894	SIPO	EF	94259202
829353	2824	1998-01-09	VYDAJ	PREVOD NA UCET	7289	73790	SIPO	EF	94259202
829354	2824	1998-02-09	VYDAJ	PREVOD NA UCET	7289	70703	SIPO	EF	94259202
829355	2824	1998-03-09	VYDAJ	PREVOD NA UCET	7289	78923	SIPO	EF	94259202
829356	2824	1998-04-09	VYDAJ	PREVOD NA UCET	7289	84577	SIPO	EF	94259202
829357	2824	1998-05-09	VYDAJ	PREVOD NA UCET	7289	88213	SIPO	EF	94259202
829358	2824	1998-06-09	VYDAJ	PREVOD NA UCET	7289	100146	SIPO	EF	94259202
829359	2824	1998-07-09	VYDAJ	PREVOD NA UCET	7289	80545	SIPO	EF	94259202
829360	2824	1998-08-09	VYDAJ	PREVOD NA UCET	7289	92289	SIPO	EF	94259202
829361	2824	1998-09-09	VYDAJ	PREVOD NA UCET	7289	100104	SIPO	EF	94259202
829362	2824	1998-10-09	VYDAJ	PREVOD NA UCET	7289	102941	SIPO	EF	94259202
829363	2824	1998-11-09	VYDAJ	PREVOD NA UCET	7289	107592	SIPO	EF	94259202
829364	2824	1998-12-09	VYDAJ	PREVOD NA UCET	7289	98493	SIPO	EF	94259202
829379	2824	1994-02-27	VYDAJ	VYBER	800	36171	\N	\N	0
829380	2824	1994-04-07	VYDAJ	VYBER	1200	50052	\N	\N	0
829381	2824	1994-05-16	VYDAJ	VYBER	700	39504	\N	\N	0
829382	2824	1994-06-11	VYDAJ	VYBER	800	43737	\N	\N	0
829383	2824	1994-07-10	VYDAJ	VYBER	600	41531	\N	\N	0
829384	2824	1994-08-12	VYDAJ	PREVOD NA UCET	841	36179	UVER	YZ	96265625
829385	2824	1994-09-12	VYDAJ	PREVOD NA UCET	841	36455	UVER	YZ	96265625
829386	2824	1994-10-12	VYDAJ	PREVOD NA UCET	841	40532	UVER	YZ	96265625
829387	2824	1994-11-12	VYDAJ	PREVOD NA UCET	841	33173	UVER	YZ	96265625
829388	2824	1994-12-12	VYDAJ	PREVOD NA UCET	841	39126	UVER	YZ	96265625
829389	2824	1995-01-12	VYDAJ	PREVOD NA UCET	841	33432	UVER	YZ	96265625
829390	2824	1995-02-12	VYDAJ	PREVOD NA UCET	841	34003	UVER	YZ	96265625
829391	2824	1995-03-12	VYDAJ	PREVOD NA UCET	841	41276	UVER	YZ	96265625
829392	2824	1995-04-12	VYDAJ	PREVOD NA UCET	841	45874	UVER	YZ	96265625
829393	2824	1995-05-12	VYDAJ	PREVOD NA UCET	841	41092	UVER	YZ	96265625
829394	2824	1995-06-12	VYDAJ	PREVOD NA UCET	841	30265	UVER	YZ	96265625
829395	2824	1995-07-12	VYDAJ	PREVOD NA UCET	841	37944	UVER	YZ	96265625
829396	2824	1995-08-12	VYDAJ	PREVOD NA UCET	841	32162	UVER	YZ	96265625
829397	2824	1995-09-12	VYDAJ	PREVOD NA UCET	841	34236	UVER	YZ	96265625
829398	2824	1995-10-12	VYDAJ	PREVOD NA UCET	841	37617	UVER	YZ	96265625
829399	2824	1995-11-12	VYDAJ	PREVOD NA UCET	841	36711	UVER	YZ	96265625
829400	2824	1995-12-12	VYDAJ	PREVOD NA UCET	841	40260	UVER	YZ	96265625
829401	2824	1996-01-12	VYDAJ	PREVOD NA UCET	841	35197	UVER	YZ	96265625
829402	2824	1996-02-12	VYDAJ	PREVOD NA UCET	841	38181	UVER	YZ	96265625
829403	2824	1996-03-12	VYDAJ	PREVOD NA UCET	841	38216	UVER	YZ	96265625
829404	2824	1996-04-12	VYDAJ	PREVOD NA UCET	841	42113	UVER	YZ	96265625
829405	2824	1996-05-12	VYDAJ	PREVOD NA UCET	841	40427	UVER	YZ	96265625
829406	2824	1996-06-12	VYDAJ	PREVOD NA UCET	841	56582	UVER	YZ	96265625
829407	2824	1996-07-12	VYDAJ	PREVOD NA UCET	841	58546	UVER	YZ	96265625
829408	2824	1996-08-12	VYDAJ	PREVOD NA UCET	841	60930	UVER	YZ	96265625
829409	2824	1996-09-12	VYDAJ	PREVOD NA UCET	841	60044	UVER	YZ	96265625
829410	2824	1996-10-12	VYDAJ	PREVOD NA UCET	841	60633	UVER	YZ	96265625
829411	2824	1996-11-12	VYDAJ	PREVOD NA UCET	841	61763	UVER	YZ	96265625
829412	2824	1996-12-12	VYDAJ	PREVOD NA UCET	841	73102	UVER	YZ	96265625
829413	2824	1997-01-12	VYDAJ	PREVOD NA UCET	841	66195	UVER	YZ	96265625
829414	2824	1997-02-12	VYDAJ	PREVOD NA UCET	841	61419	UVER	YZ	96265625
829415	2824	1997-03-12	VYDAJ	PREVOD NA UCET	841	67211	UVER	YZ	96265625
829416	2824	1997-04-12	VYDAJ	PREVOD NA UCET	841	65527	UVER	YZ	96265625
829417	2824	1997-05-12	VYDAJ	PREVOD NA UCET	841	68257	UVER	YZ	96265625
829418	2824	1997-06-12	VYDAJ	PREVOD NA UCET	841	79122	UVER	YZ	96265625
829419	2824	1997-07-12	VYDAJ	PREVOD NA UCET	841	74823	UVER	YZ	96265625
829420	2824	1997-08-12	VYDAJ	PREVOD NA UCET	841	74972	UVER	YZ	96265625
829421	2824	1997-09-12	VYDAJ	PREVOD NA UCET	841	73020	UVER	YZ	96265625
829422	2824	1997-10-12	VYDAJ	PREVOD NA UCET	841	74653	UVER	YZ	96265625
829423	2824	1997-11-12	VYDAJ	PREVOD NA UCET	841	70189	UVER	YZ	96265625
829424	2824	1997-12-12	VYDAJ	PREVOD NA UCET	841	82053	UVER	YZ	96265625
829425	2824	1998-01-12	VYDAJ	PREVOD NA UCET	841	72949	UVER	YZ	96265625
829426	2824	1998-02-12	VYDAJ	PREVOD NA UCET	841	69862	UVER	YZ	96265625
829427	2824	1998-03-12	VYDAJ	PREVOD NA UCET	841	78082	UVER	YZ	96265625
829428	2824	1998-04-12	VYDAJ	PREVOD NA UCET	841	83736	UVER	YZ	96265625
829429	2824	1998-05-12	VYDAJ	PREVOD NA UCET	841	87372	UVER	YZ	96265625
829430	2824	1998-06-12	VYDAJ	PREVOD NA UCET	841	66665	UVER	YZ	96265625
829431	2824	1998-07-12	VYDAJ	PREVOD NA UCET	841	79704	UVER	YZ	96265625
829432	2824	1998-08-12	VYDAJ	PREVOD NA UCET	841	91448	UVER	YZ	96265625
829433	2824	1998-09-12	VYDAJ	PREVOD NA UCET	841	99263	UVER	YZ	96265625
829434	2824	1998-10-12	VYDAJ	PREVOD NA UCET	841	102100	UVER	YZ	96265625
829435	2824	1998-11-12	VYDAJ	PREVOD NA UCET	841	101451	UVER	YZ	96265625
829436	2824	1998-12-12	VYDAJ	PREVOD NA UCET	841	97652	UVER	YZ	96265625
829439	2824	1995-06-11	VYDAJ	VYBER	26560	25406	\N	\N	\N
829441	2824	1997-06-16	VYDAJ	VYBER	9440	69682	\N	\N	\N
829442	2824	1998-06-09	VYDAJ	VYBER	32640	67506	\N	\N	\N
829444	2824	1994-12-02	VYDAJ	VYBER	4160	24328	\N	\N	\N
829445	2824	1995-12-16	VYDAJ	VYBER	2400	37860	\N	\N	\N
829446	2824	1996-12-24	VYDAJ	VYBER	3840	69262	\N	\N	\N
829447	2824	1997-12-14	VYDAJ	VYBER	960	81093	\N	\N	\N
829448	2824	1998-12-01	VYDAJ	VYBER KARTOU	3500	99555	\N	\N	0
829461	2824	1995-01-07	VYDAJ	VYBER	1560	47682	\N	\N	\N
829462	2824	1995-01-20	VYDAJ	VYBER	3120	26032	\N	\N	\N
829463	2824	1995-01-03	VYDAJ	VYBER	600	33957	\N	\N	\N
829464	2824	1995-01-12	VYDAJ	VYBER	3000	37393	\N	\N	\N
829465	2824	1995-01-16	VYDAJ	VYBER	1080	29152	\N	\N	\N
829466	2824	1995-01-12	VYDAJ	VYBER	3120	34273	\N	\N	\N
829467	2824	1996-01-05	VYDAJ	VYBER	1560	29842	\N	\N	\N
829468	2824	1996-01-23	VYDAJ	VYBER	840	34357	\N	\N	\N
829469	2824	1996-01-29	VYDAJ	VYBER	960	33397	\N	\N	\N
829470	2824	1996-01-01	VYDAJ	VYBER	1200	31402	\N	\N	\N
829471	2824	1996-01-01	VYDAJ	VYBER	2400	35602	\N	\N	\N
829472	2824	1996-01-01	VYDAJ	VYBER	3000	32602	\N	\N	\N
829473	2824	1997-01-10	VYDAJ	VYBER	1800	67036	\N	\N	\N
829474	2824	1997-01-16	VYDAJ	VYBER	3000	63195	\N	\N	\N
829475	2824	1997-01-23	VYDAJ	VYBER	2520	58395	\N	\N	\N
829476	2824	1997-01-26	VYDAJ	VYBER	1440	56955	\N	\N	\N
829477	2824	1997-01-17	VYDAJ	VYBER	2280	60915	\N	\N	\N
829478	2824	1997-01-27	VYDAJ	VYBER	2040	54915	\N	\N	\N
829479	2824	1998-01-22	VYDAJ	VYBER	3240	69709	\N	\N	\N
829480	2824	1998-01-08	VYDAJ	VYBER	720	81079	\N	\N	\N
829481	2824	1998-01-01	VYDAJ	VYBER	3480	67714	\N	\N	\N
829482	2824	1998-01-24	VYDAJ	VYBER	2160	67549	\N	\N	\N
829483	2824	1998-01-30	VYDAJ	VYBER	2760	62429	\N	\N	\N
829484	2824	1998-01-06	VYDAJ	VYBER	1200	66514	\N	\N	\N
829493	2824	1994-06-14	VYDAJ	VYBER	5040	38697	\N	\N	\N
829496	2824	1994-06-03	VYDAJ	VYBER	1440	28899	\N	\N	\N
829497	2824	1994-11-07	VYDAJ	VYBER	5640	41303	\N	\N	\N
829498	2824	1994-05-09	VYDAJ	VYBER	2400	47493	\N	\N	\N
829499	2824	1994-08-06	VYDAJ	VYBER	3840	29024	\N	\N	\N
829500	2824	1995-04-18	VYDAJ	VYBER	5880	33794	\N	\N	\N
829501	2824	1995-07-13	VYDAJ	VYBER	4560	33384	\N	\N	\N
829502	2824	1995-11-15	VYDAJ	VYBER	4680	32031	\N	\N	\N
829503	2824	1995-08-03	VYDAJ	VYBER	1920	25707	\N	\N	\N
829504	2824	1995-08-02	VYDAJ	VYBER	5880	27627	\N	\N	\N
829505	2824	1996-02-25	VYDAJ	VYBER	3960	34221	\N	\N	\N
829506	2824	1996-09-02	VYDAJ	VYBER	5880	55289	\N	\N	\N
829507	2824	1996-10-19	VYDAJ	VYBER	2160	58473	\N	\N	\N
829508	2824	1997-04-03	VYDAJ	VYBER	2400	58372	\N	\N	\N
829509	2824	1997-04-29	VYDAJ	VYBER	1680	63847	\N	\N	\N
829510	2824	1998-08-02	VYDAJ	VYBER	720	84293	\N	\N	\N
829511	2824	1998-11-11	VYDAJ	VYBER KARTOU	5300	102292	\N	\N	0
829512	2824	1998-11-22	VYDAJ	VYBER KARTOU	1000	100451	\N	\N	0
829513	2824	1998-04-29	VYDAJ	VYBER	840	79896	\N	\N	\N
829514	2824	1998-01-30	VYDAJ	VYBER	960	65189	\N	\N	\N
829530	2824	1994-03-31	VYDAJ	VYBER	15	35967	SLUZBY	\N	\N
829531	2824	1994-04-30	VYDAJ	VYBER	15	34608	SLUZBY	\N	\N
829532	2824	1994-05-31	VYDAJ	VYBER	15	30339	SLUZBY	\N	\N
829533	2824	1994-06-30	VYDAJ	VYBER	15	34135	SLUZBY	\N	\N
829534	2824	1994-07-31	VYDAJ	VYBER	15	32864	SLUZBY	\N	\N
829535	2824	1994-08-31	VYDAJ	VYBER	15	29300	SLUZBY	\N	\N
829536	2824	1994-09-30	VYDAJ	VYBER	15	33377	SLUZBY	\N	\N
829537	2824	1994-10-31	VYDAJ	VYBER	15	31658	SLUZBY	\N	\N
829538	2824	1994-11-30	VYDAJ	VYBER	15	28488	SLUZBY	\N	\N
829539	2824	1994-12-31	VYDAJ	VYBER	15	34557	SLUZBY	\N	\N
829540	2824	1995-01-31	VYDAJ	VYBER	15	26148	SLUZBY	\N	\N
829541	2824	1995-02-28	VYDAJ	VYBER	15	34121	SLUZBY	\N	\N
829542	2824	1995-03-31	VYDAJ	VYBER	15	38719	SLUZBY	\N	\N
829543	2824	1995-04-30	VYDAJ	VYBER	15	33937	SLUZBY	\N	\N
829544	2824	1995-05-31	VYDAJ	VYBER	15	36328	SLUZBY	\N	\N
829545	2824	1995-06-30	VYDAJ	VYBER	15	30389	SLUZBY	\N	\N
829546	2824	1995-07-31	VYDAJ	VYBER	15	33507	SLUZBY	\N	\N
829547	2824	1995-08-31	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
829548	2824	1995-09-30	VYDAJ	VYBER	15	34362	SLUZBY	\N	\N
829549	2824	1995-10-31	VYDAJ	VYBER	15	37756	SLUZBY	\N	\N
829550	2824	1995-11-30	VYDAJ	VYBER	15	32163	SLUZBY	\N	\N
829551	2824	1995-12-31	VYDAJ	VYBER	15	38002	SLUZBY	\N	\N
829552	2824	1996-01-31	VYDAJ	VYBER	15	33526	SLUZBY	\N	\N
829553	2824	1996-02-29	VYDAJ	VYBER	15	34361	SLUZBY	\N	\N
829554	2824	1996-03-31	VYDAJ	VYBER	15	38358	SLUZBY	\N	\N
829555	2824	1996-04-30	VYDAJ	VYBER	15	42272	SLUZBY	\N	\N
829556	2824	1996-05-31	VYDAJ	VYBER	15	40584	SLUZBY	\N	\N
829557	2824	1996-06-30	VYDAJ	VYBER	15	56791	SLUZBY	\N	\N
829558	2824	1996-07-31	VYDAJ	VYBER	15	58775	SLUZBY	\N	\N
829559	2824	1996-08-31	VYDAJ	VYBER	15	61169	SLUZBY	\N	\N
829560	2824	1996-09-30	VYDAJ	VYBER	15	60278	SLUZBY	\N	\N
829561	2824	1996-10-31	VYDAJ	VYBER	15	58708	SLUZBY	\N	\N
829562	2824	1996-11-30	VYDAJ	VYBER	15	62005	SLUZBY	\N	\N
829563	2824	1996-12-31	VYDAJ	VYBER	15	69540	SLUZBY	\N	\N
829564	2824	1997-01-31	VYDAJ	VYBER	15	55164	SLUZBY	\N	\N
829565	2824	1997-02-28	VYDAJ	VYBER	15	61656	SLUZBY	\N	\N
829566	2824	1997-03-31	VYDAJ	VYBER	15	67472	SLUZBY	\N	\N
829567	2824	1997-04-30	VYDAJ	VYBER	15	64102	SLUZBY	\N	\N
829568	2824	1997-05-31	VYDAJ	VYBER	15	68524	SLUZBY	\N	\N
829569	2824	1997-06-30	VYDAJ	VYBER	15	69968	SLUZBY	\N	\N
829570	2824	1997-07-31	VYDAJ	VYBER	15	75117	SLUZBY	\N	\N
829571	2824	1997-08-31	VYDAJ	VYBER	15	65865	SLUZBY	\N	\N
829572	2824	1997-09-30	VYDAJ	VYBER	15	67498	SLUZBY	\N	\N
829573	2824	1997-10-31	VYDAJ	VYBER	15	63034	SLUZBY	\N	\N
829574	2824	1997-11-30	VYDAJ	VYBER	15	67255	SLUZBY	\N	\N
829575	2824	1997-12-31	VYDAJ	VYBER	15	71194	SLUZBY	\N	\N
829576	2824	1998-01-31	VYDAJ	VYBER	15	62707	SLUZBY	\N	\N
829577	2824	1998-02-28	VYDAJ	VYBER	15	70927	SLUZBY	\N	\N
829578	2824	1998-03-31	VYDAJ	VYBER	15	76581	SLUZBY	\N	\N
829579	2824	1998-04-30	VYDAJ	VYBER	15	80217	SLUZBY	\N	\N
829580	2824	1998-05-31	VYDAJ	VYBER	15	84508	SLUZBY	\N	\N
829581	2824	1998-06-30	VYDAJ	VYBER	15	72549	SLUZBY	\N	\N
829582	2824	1998-07-31	VYDAJ	VYBER	15	85013	SLUZBY	\N	\N
829583	2824	1998-08-31	VYDAJ	VYBER	15	92108	SLUZBY	\N	\N
829584	2824	1998-09-30	VYDAJ	VYBER	15	94945	SLUZBY	\N	\N
829585	2824	1998-10-31	VYDAJ	VYBER	15	99596	SLUZBY	\N	\N
829586	2824	1998-11-30	VYDAJ	VYBER	15	103055	SLUZBY	\N	\N
829587	2824	1993-11-19	PRIJEM	VKLAD	3500	19585	\N	\N	\N
829588	2824	1993-12-19	VYDAJ	VYBER	7800	34745	\N	\N	\N
829589	2824	1994-01-18	VYDAJ	VYBER	13600	36538	\N	\N	\N
829590	2824	1994-02-17	VYDAJ	VYBER	15000	36971	\N	\N	\N
829591	2824	1994-03-19	VYDAJ	VYBER	8500	35820	\N	\N	\N
829592	2824	1994-04-18	VYDAJ	VYBER	8300	34463	\N	\N	\N
829593	2824	1994-05-18	VYDAJ	VYBER	9300	30204	\N	\N	\N
829594	2824	1994-06-17	VYDAJ	VYBER	4700	33997	\N	\N	\N
829595	2824	1994-07-17	VYDAJ	VYBER	8800	32731	\N	\N	\N
829596	2824	1994-08-16	VYDAJ	VYBER	7000	29179	\N	\N	\N
829597	2824	1994-09-15	VYDAJ	VYBER	3200	33255	\N	\N	\N
829598	2824	1994-10-15	VYDAJ	VYBER	9000	31532	\N	\N	\N
829599	2824	1994-11-14	VYDAJ	VYBER	4800	28373	\N	\N	\N
829600	2824	1994-12-14	VYDAJ	VYBER	4700	34426	\N	\N	\N
829601	2824	1995-01-13	VYDAJ	VYBER	3200	30232	\N	\N	\N
829602	2824	1995-02-12	PRIJEM	VKLAD	700	34844	\N	\N	\N
829603	2824	1995-03-14	VYDAJ	VYBER	2700	38576	\N	\N	\N
829604	2824	1995-04-13	VYDAJ	VYBER	6200	39674	\N	\N	\N
829605	2824	1995-05-13	VYDAJ	VYBER	4900	36192	\N	\N	\N
829606	2824	1995-06-12	PRIJEM	VKLAD	5700	31106	\N	\N	\N
829607	2824	1995-07-12	PRIJEM	VKLAD	400	38785	\N	\N	\N
829608	2824	1995-08-11	VYDAJ	VYBER	700	33003	\N	\N	\N
829609	2824	1995-09-10	VYDAJ	VYBER	5200	35077	\N	\N	\N
829610	2824	1995-10-10	VYDAJ	VYBER	3900	38458	\N	\N	\N
829611	2824	1995-11-09	VYDAJ	VYBER	8200	44841	\N	\N	\N
829612	2824	1995-12-09	VYDAJ	VYBER	6700	41101	\N	\N	\N
829613	2824	1996-01-08	VYDAJ	VYBER	1800	43327	\N	\N	\N
829614	2824	1996-02-07	VYDAJ	VYBER	2500	46311	\N	\N	\N
829615	2824	1996-03-08	VYDAJ	VYBER	3300	46346	\N	\N	\N
829616	2824	1996-04-07	VYDAJ	VYBER	3400	50243	\N	\N	\N
829617	2824	1996-05-07	VYDAJ	VYBER	9000	48557	\N	\N	\N
829618	2824	1996-06-06	PRIJEM	VKLAD	1200	41784	\N	\N	\N
829619	2824	1996-07-06	VYDAJ	VYBER	5400	51391	\N	\N	\N
829620	2824	1996-08-05	VYDAJ	VYBER	5000	53775	\N	\N	\N
829621	2824	1996-09-04	VYDAJ	VYBER	2400	52889	\N	\N	\N
829622	2824	1996-10-04	VYDAJ	VYBER	6800	53478	\N	\N	\N
829623	2824	1996-11-03	VYDAJ	VYBER	4100	54608	\N	\N	\N
829624	2824	1996-12-03	VYDAJ	VYBER	3700	58305	\N	\N	\N
829625	2824	1997-01-02	VYDAJ	VYBER	8700	60840	\N	\N	\N
829626	2824	1997-02-01	VYDAJ	VYBER	900	54264	\N	\N	\N
829627	2824	1997-03-03	VYDAJ	VYBER	1600	60056	\N	\N	\N
829628	2824	1997-04-02	VYDAJ	VYBER	6700	60772	\N	\N	\N
829629	2824	1997-05-02	VYDAJ	VYBER	3000	61102	\N	\N	\N
829630	2824	1997-06-01	VYDAJ	VYBER	4200	64324	\N	\N	\N
829631	2824	1997-07-01	VYDAJ	VYBER	2300	67668	\N	\N	\N
829632	2824	1997-07-31	VYDAJ	VYBER	7300	67817	\N	\N	\N
829633	2824	1997-08-30	VYDAJ	VYBER	9400	65572	\N	\N	\N
829634	2824	1997-09-29	VYDAJ	VYBER	5800	67220	\N	\N	\N
829635	2824	1997-10-29	VYDAJ	VYBER	11900	62753	\N	\N	\N
829636	2824	1997-11-28	VYDAJ	VYBER	3200	66989	\N	\N	\N
829637	2824	1997-12-28	VYDAJ	VYBER	10200	70893	\N	\N	\N
829638	2824	1998-01-27	VYDAJ	VYBER	1400	66149	\N	\N	\N
829639	2824	1998-02-26	PRIJEM	VKLAD	800	70662	\N	\N	\N
829640	2824	1998-03-28	VYDAJ	VYBER	1800	76282	\N	\N	\N
829641	2824	1998-04-27	VYDAJ	VYBER	3000	80736	\N	\N	\N
829642	2824	1998-05-27	VYDAJ	VYBER	3200	84172	\N	\N	\N
829643	2824	1998-06-26	PRIJEM	VKLAD	5600	72265	\N	\N	\N
829644	2824	1998-07-26	PRIJEM	VKLAD	5000	84704	\N	\N	\N
829645	2824	1998-08-25	PRIJEM	VKLAD	300	91748	\N	\N	\N
829646	2824	1998-09-24	VYDAJ	VYBER KARTOU	4700	94563	\N	\N	0
829647	2824	1998-10-24	VYDAJ	VYBER KARTOU	2900	99200	\N	\N	0
829648	2824	1998-11-23	PRIJEM	VKLAD	2200	102651	\N	\N	\N
829649	2824	1998-12-07	VYDAJ	VYBER	16700	105782	\N	\N	\N
829712	2825	1996-07-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
829719	2825	1996-07-11	PRIJEM	VKLAD	23860	24860	\N	\N	\N
829720	2825	1996-08-11	PRIJEM	VKLAD	23860	50290	\N	\N	\N
829721	2825	1996-09-11	PRIJEM	VKLAD	23860	61926	\N	\N	\N
829722	2825	1996-10-11	PRIJEM	VKLAD	23860	66727	\N	\N	\N
829723	2825	1996-11-11	PRIJEM	VKLAD	23860	71059	\N	\N	\N
829724	2825	1996-12-11	PRIJEM	VKLAD	35790	77540	\N	\N	\N
829725	2825	1997-01-11	PRIJEM	VKLAD	23860	65905	\N	\N	\N
829726	2825	1997-02-11	PRIJEM	VKLAD	23860	62637	\N	\N	\N
829727	2825	1997-03-11	PRIJEM	VKLAD	23860	60753	\N	\N	\N
829728	2825	1997-04-11	PRIJEM	VKLAD	23860	53449	\N	\N	\N
829729	2825	1997-05-11	PRIJEM	VKLAD	23860	52122	\N	\N	\N
829730	2825	1997-06-11	PRIJEM	VKLAD	35790	52020	\N	\N	\N
829731	2825	1997-07-11	PRIJEM	VKLAD	23860	46579	\N	\N	\N
829732	2825	1997-08-11	PRIJEM	VKLAD	23860	46229	\N	\N	\N
829733	2825	1997-09-11	PRIJEM	VKLAD	23860	47271	\N	\N	\N
829734	2825	1997-10-11	PRIJEM	VKLAD	23860	45219	\N	\N	\N
829735	2825	1997-11-11	PRIJEM	VKLAD	23860	48056	\N	\N	\N
829736	2825	1997-12-11	PRIJEM	VKLAD	35790	60131	\N	\N	\N
829737	2825	1998-01-11	PRIJEM	VKLAD	23860	52214	\N	\N	\N
829738	2825	1998-02-11	PRIJEM	VKLAD	23860	48678	\N	\N	\N
829739	2825	1998-03-11	PRIJEM	VKLAD	23860	45911	\N	\N	\N
829740	2825	1998-04-11	PRIJEM	VKLAD	23860	46454	\N	\N	\N
829741	2825	1998-05-11	PRIJEM	VKLAD	23860	48798	\N	\N	\N
829742	2825	1998-06-11	PRIJEM	VKLAD	35790	63181	\N	\N	\N
829743	2825	1998-07-11	PRIJEM	VKLAD	23860	49133	\N	\N	\N
829744	2825	1998-08-11	PRIJEM	VKLAD	23860	53479	\N	\N	\N
829745	2825	1998-09-11	PRIJEM	VKLAD	23860	55631	\N	\N	\N
829746	2825	1998-10-11	PRIJEM	VKLAD	23860	57590	\N	\N	\N
829747	2825	1998-11-11	PRIJEM	VKLAD	23860	56650	\N	\N	\N
829748	2825	1998-12-11	PRIJEM	VKLAD	35790	65640	\N	\N	\N
829760	2825	1996-12-08	VYDAJ	PREVOD NA UCET	5284	41750	SIPO	OP	31306642
829761	2825	1997-01-08	VYDAJ	PREVOD NA UCET	5284	42045	SIPO	OP	31306642
829762	2825	1997-02-08	VYDAJ	PREVOD NA UCET	5284	38777	SIPO	OP	31306642
829763	2825	1997-03-08	VYDAJ	PREVOD NA UCET	5284	36893	SIPO	OP	31306642
829764	2825	1997-04-08	VYDAJ	PREVOD NA UCET	5284	29589	SIPO	OP	31306642
829765	2825	1997-05-08	VYDAJ	PREVOD NA UCET	5284	28262	SIPO	OP	31306642
829766	2825	1997-06-08	VYDAJ	PREVOD NA UCET	5284	16230	SIPO	OP	31306642
829767	2825	1997-07-08	VYDAJ	PREVOD NA UCET	5284	22719	SIPO	OP	31306642
829768	2825	1997-08-08	VYDAJ	PREVOD NA UCET	5284	22369	SIPO	OP	31306642
829769	2825	1997-09-08	VYDAJ	PREVOD NA UCET	5284	23411	SIPO	OP	31306642
829770	2825	1997-10-08	VYDAJ	PREVOD NA UCET	5284	25059	SIPO	OP	31306642
829771	2825	1997-11-08	VYDAJ	PREVOD NA UCET	5284	24196	SIPO	OP	31306642
829772	2825	1997-12-08	VYDAJ	PREVOD NA UCET	5284	24341	SIPO	OP	31306642
829773	2825	1998-01-08	VYDAJ	PREVOD NA UCET	5284	28354	SIPO	OP	31306642
829774	2825	1998-02-08	VYDAJ	PREVOD NA UCET	5284	24818	SIPO	OP	31306642
829775	2825	1998-03-08	VYDAJ	PREVOD NA UCET	5284	22051	SIPO	OP	31306642
829776	2825	1998-04-08	VYDAJ	PREVOD NA UCET	5284	22594	SIPO	OP	31306642
829777	2825	1998-05-08	VYDAJ	PREVOD NA UCET	5284	24938	SIPO	OP	31306642
829778	2825	1998-06-08	VYDAJ	PREVOD NA UCET	5284	27391	SIPO	OP	31306642
829779	2825	1998-07-08	VYDAJ	PREVOD NA UCET	5284	25273	SIPO	OP	31306642
829780	2825	1998-08-08	VYDAJ	PREVOD NA UCET	5284	29619	SIPO	OP	31306642
829781	2825	1998-09-08	VYDAJ	PREVOD NA UCET	5284	31771	SIPO	OP	31306642
829782	2825	1998-10-08	VYDAJ	PREVOD NA UCET	5284	33730	SIPO	OP	31306642
829783	2825	1998-11-08	VYDAJ	PREVOD NA UCET	5284	32790	SIPO	OP	31306642
829784	2825	1998-12-08	VYDAJ	PREVOD NA UCET	5284	29850	SIPO	OP	31306642
829786	2825	1997-06-07	VYDAJ	VYBER	9100	21514	\N	\N	\N
829787	2825	1998-06-16	VYDAJ	VYBER	24900	38281	\N	\N	\N
829789	2825	1997-01-07	VYDAJ	VYBER	1000	47329	\N	\N	\N
829790	2825	1998-01-24	VYDAJ	VYBER	6900	44514	\N	\N	\N
829791	2825	1996-12-11	VYDAJ	VYBER	800	76740	\N	\N	\N
829792	2825	1997-12-23	VYDAJ	VYBER KARTOU	2100	58031	\N	\N	0
829793	2825	1998-12-04	VYDAJ	VYBER KARTOU	2100	35134	\N	\N	0
829801	2825	1997-10-10	VYDAJ	VYBER KARTOU	3700	21359	\N	\N	0
829802	2825	1997-03-20	VYDAJ	VYBER	4900	54653	\N	\N	\N
829803	2825	1997-03-12	VYDAJ	VYBER	1200	59553	\N	\N	\N
829804	2825	1997-10-21	VYDAJ	VYBER KARTOU	3900	41319	\N	\N	0
829805	2825	1997-07-27	VYDAJ	VYBER KARTOU	2100	44479	\N	\N	0
829806	2825	1997-04-25	VYDAJ	VYBER KARTOU	2200	51249	\N	\N	0
829807	2825	1998-02-08	VYDAJ	VYBER KARTOU	1400	30102	\N	\N	0
829808	2825	1998-10-14	VYDAJ	VYBER KARTOU	2000	55590	\N	\N	0
829809	2825	1998-01-20	VYDAJ	VYBER KARTOU	800	51414	\N	\N	0
829810	2825	1998-02-17	VYDAJ	VYBER KARTOU	2200	46478	\N	\N	0
829822	2825	1996-11-30	VYDAJ	VYBER	15	71334	SLUZBY	\N	\N
829823	2825	1996-12-31	VYDAJ	VYBER	15	77029	SLUZBY	\N	\N
829824	2825	1997-01-31	VYDAJ	VYBER	15	66161	SLUZBY	\N	\N
829825	2825	1997-02-28	VYDAJ	VYBER	15	62877	SLUZBY	\N	\N
829826	2825	1997-03-31	VYDAJ	VYBER	15	54873	SLUZBY	\N	\N
829827	2825	1997-04-30	VYDAJ	VYBER	15	51446	SLUZBY	\N	\N
829828	2825	1997-05-31	VYDAJ	VYBER	15	52314	SLUZBY	\N	\N
829829	2825	1997-06-30	VYDAJ	VYBER	15	52203	SLUZBY	\N	\N
829830	2825	1997-07-31	VYDAJ	VYBER	15	44653	SLUZBY	\N	\N
829831	2825	1997-08-31	VYDAJ	VYBER	15	46395	SLUZBY	\N	\N
829832	2825	1997-09-30	VYDAJ	VYBER	15	47443	SLUZBY	\N	\N
829833	2825	1997-10-31	VYDAJ	VYBER	15	41480	SLUZBY	\N	\N
829834	2825	1997-11-30	VYDAJ	VYBER	15	48225	SLUZBY	\N	\N
829835	2825	1997-12-31	VYDAJ	VYBER	15	58238	SLUZBY	\N	\N
829836	2825	1998-01-31	VYDAJ	VYBER	15	44702	SLUZBY	\N	\N
829837	2825	1998-02-28	VYDAJ	VYBER	15	46635	SLUZBY	\N	\N
829838	2825	1998-03-31	VYDAJ	VYBER	15	46078	SLUZBY	\N	\N
829839	2825	1998-04-30	VYDAJ	VYBER	15	46622	SLUZBY	\N	\N
829840	2825	1998-05-31	VYDAJ	VYBER	15	48975	SLUZBY	\N	\N
829841	2825	1998-06-30	VYDAJ	VYBER	15	38457	SLUZBY	\N	\N
829842	2825	1998-07-31	VYDAJ	VYBER	15	34903	SLUZBY	\N	\N
829843	2825	1998-08-31	VYDAJ	VYBER	15	37055	SLUZBY	\N	\N
829844	2825	1998-09-30	VYDAJ	VYBER	15	39014	SLUZBY	\N	\N
829845	2825	1998-10-31	VYDAJ	VYBER	15	38074	SLUZBY	\N	\N
829846	2825	1998-11-30	VYDAJ	VYBER	15	37234	SLUZBY	\N	\N
829847	2825	1996-08-09	PRIJEM	VKLAD	1500	26430	\N	\N	\N
829848	2825	1996-09-08	VYDAJ	VYBER	12400	38066	\N	\N	\N
829849	2825	1996-10-08	VYDAJ	VYBER	19300	42867	\N	\N	\N
829850	2825	1996-11-07	VYDAJ	VYBER	19800	47199	\N	\N	\N
829851	2825	1996-12-07	VYDAJ	VYBER	24300	47034	\N	\N	\N
829852	2825	1997-01-06	VYDAJ	VYBER	28700	48329	\N	\N	\N
829853	2825	1997-02-05	VYDAJ	VYBER	22100	44061	\N	\N	\N
829854	2825	1997-03-07	VYDAJ	VYBER	20700	42177	\N	\N	\N
829855	2825	1997-04-06	VYDAJ	VYBER	20000	34873	\N	\N	\N
829856	2825	1997-05-06	VYDAJ	VYBER	17900	33546	\N	\N	\N
829857	2825	1997-06-05	VYDAJ	VYBER	21700	30614	\N	\N	\N
829858	2825	1997-07-05	VYDAJ	VYBER	24200	28003	\N	\N	\N
829859	2825	1997-08-04	VYDAJ	VYBER	17000	27653	\N	\N	\N
829860	2825	1997-09-03	VYDAJ	VYBER	17700	28695	\N	\N	\N
829861	2825	1997-10-03	VYDAJ	VYBER	17100	30343	\N	\N	\N
829862	2825	1997-11-02	VYDAJ	VYBER	12000	29480	\N	\N	\N
829863	2825	1997-12-02	VYDAJ	VYBER	18600	29625	\N	\N	\N
829864	2825	1998-01-01	VYDAJ	VYBER	24600	33638	\N	\N	\N
829865	2825	1998-01-31	VYDAJ	VYBER	13200	31502	\N	\N	\N
829866	2825	1998-03-02	VYDAJ	VYBER	19300	27335	\N	\N	\N
829867	2825	1998-04-01	VYDAJ	VYBER	18200	27878	\N	\N	\N
829868	2825	1998-05-01	VYDAJ	VYBER	16400	30222	\N	\N	\N
829869	2825	1998-05-31	VYDAJ	VYBER	16300	32675	\N	\N	\N
829870	2825	1998-06-30	VYDAJ	VYBER	7900	30557	\N	\N	\N
829871	2825	1998-07-30	VYDAJ	VYBER	14400	34733	\N	\N	\N
829872	2825	1998-08-29	VYDAJ	VYBER	16600	36879	\N	\N	\N
829873	2825	1998-09-28	VYDAJ	VYBER	16800	38831	\N	\N	\N
829874	2825	1998-10-28	VYDAJ	VYBER	17700	37890	\N	\N	\N
829875	2825	1998-11-27	VYDAJ	VYBER	19600	37050	\N	\N	\N
829906	2826	1996-11-20	PRIJEM	VKLAD	300	300	\N	\N	\N
829918	2826	1996-12-08	PRIJEM	VKLAD	21934	22234	\N	\N	\N
829919	2826	1997-01-08	PRIJEM	VKLAD	14623	40098	\N	\N	\N
829920	2826	1997-02-08	PRIJEM	VKLAD	14623	48642	\N	\N	\N
829921	2826	1997-03-08	PRIJEM	VKLAD	14623	52012	\N	\N	\N
829922	2826	1997-04-08	PRIJEM	VKLAD	14623	54594	\N	\N	\N
829923	2826	1997-05-08	PRIJEM	VKLAD	14623	52834	\N	\N	\N
829924	2826	1997-06-08	PRIJEM	VKLAD	21934	58705	\N	\N	\N
829925	2826	1997-07-08	PRIJEM	VKLAD	14623	39920	\N	\N	\N
829926	2826	1997-08-08	PRIJEM	VKLAD	14623	41967	\N	\N	\N
829927	2826	1997-09-08	PRIJEM	VKLAD	14623	39628	\N	\N	\N
829928	2826	1997-10-08	PRIJEM	VKLAD	14623	46848	\N	\N	\N
829929	2826	1997-11-08	PRIJEM	VKLAD	14623	47184	\N	\N	\N
829930	2826	1997-12-08	PRIJEM	VKLAD	21934	54296	\N	\N	\N
829931	2826	1998-01-08	PRIJEM	VKLAD	14623	43478	\N	\N	\N
829932	2826	1998-02-08	PRIJEM	VKLAD	14623	32865	\N	\N	\N
829933	2826	1998-03-08	PRIJEM	VKLAD	14623	37950	\N	\N	\N
829934	2826	1998-04-08	PRIJEM	VKLAD	14623	36643	\N	\N	\N
829935	2826	1998-05-08	PRIJEM	VKLAD	14623	40140	\N	\N	\N
829936	2826	1998-06-08	PRIJEM	VKLAD	21934	45355	\N	\N	\N
829937	2826	1998-07-08	PRIJEM	VKLAD	14623	31024	\N	\N	\N
829938	2826	1998-08-08	PRIJEM	VKLAD	14623	35400	\N	\N	\N
829939	2826	1998-09-08	PRIJEM	VKLAD	14623	37247	\N	\N	\N
829940	2826	1998-10-08	PRIJEM	VKLAD	14623	29785	\N	\N	\N
829941	2826	1998-11-08	PRIJEM	VKLAD	14623	32650	\N	\N	\N
829942	2826	1998-12-08	PRIJEM	VKLAD	21934	35479	\N	\N	\N
829959	2826	1997-05-06	VYDAJ	PREVOD NA UCET	5240	38211	SIPO	EF	23213660
829960	2826	1997-06-06	VYDAJ	PREVOD NA UCET	5240	36771	SIPO	EF	23213660
829961	2826	1997-07-06	VYDAJ	PREVOD NA UCET	5240	25297	SIPO	EF	23213660
829962	2826	1997-08-06	VYDAJ	PREVOD NA UCET	5240	27344	SIPO	EF	23213660
829963	2826	1997-09-06	VYDAJ	PREVOD NA UCET	5240	25005	SIPO	EF	23213660
829964	2826	1997-10-06	VYDAJ	PREVOD NA UCET	5240	32225	SIPO	EF	23213660
829965	2826	1997-11-06	VYDAJ	PREVOD NA UCET	5240	32561	SIPO	EF	23213660
829966	2826	1997-12-06	VYDAJ	PREVOD NA UCET	5240	32362	SIPO	EF	23213660
829967	2826	1998-01-06	VYDAJ	PREVOD NA UCET	5240	28855	SIPO	EF	23213660
829968	2826	1998-02-06	VYDAJ	PREVOD NA UCET	5240	18242	SIPO	EF	23213660
829969	2826	1998-03-06	VYDAJ	PREVOD NA UCET	5240	23327	SIPO	EF	23213660
829970	2826	1998-04-06	VYDAJ	PREVOD NA UCET	5240	22020	SIPO	EF	23213660
829971	2826	1998-05-06	VYDAJ	PREVOD NA UCET	5240	25517	SIPO	EF	23213660
829972	2826	1998-06-06	VYDAJ	PREVOD NA UCET	5240	23421	SIPO	EF	23213660
829973	2826	1998-07-06	VYDAJ	PREVOD NA UCET	5240	16401	SIPO	EF	23213660
829974	2826	1998-08-06	VYDAJ	PREVOD NA UCET	5240	20777	SIPO	EF	23213660
829975	2826	1998-09-06	VYDAJ	PREVOD NA UCET	5240	22624	SIPO	EF	23213660
829976	2826	1998-10-06	VYDAJ	PREVOD NA UCET	5240	15162	SIPO	EF	23213660
829977	2826	1998-11-06	VYDAJ	PREVOD NA UCET	5240	18027	SIPO	EF	23213660
829978	2826	1998-12-06	VYDAJ	PREVOD NA UCET	5240	13545	SIPO	EF	23213660
829980	2826	1997-06-22	VYDAJ	VYBER	15840	30365	\N	\N	\N
829981	2826	1998-06-17	VYDAJ	VYBER	13120	21535	\N	\N	\N
829983	2826	1997-12-05	VYDAJ	VYBER	3040	37602	\N	\N	\N
829984	2826	1998-12-01	VYDAJ	VYBER	800	18785	\N	\N	\N
829997	2826	1998-01-15	VYDAJ	VYBER	600	34518	\N	\N	\N
829998	2826	1998-01-08	VYDAJ	VYBER	960	42518	\N	\N	\N
829999	2826	1998-01-21	VYDAJ	VYBER	1680	28998	\N	\N	\N
830000	2826	1998-01-15	VYDAJ	VYBER	3120	31398	\N	\N	\N
830001	2826	1998-01-04	VYDAJ	VYBER	3480	34095	\N	\N	\N
830002	2826	1998-01-18	VYDAJ	VYBER	720	30678	\N	\N	\N
830008	2826	1997-07-09	VYDAJ	VYBER	4200	35720	\N	\N	\N
830009	2826	1997-08-23	VYDAJ	VYBER	3840	30107	\N	\N	\N
830012	2826	1997-08-23	VYDAJ	VYBER	4920	33947	\N	\N	\N
830014	2826	1997-12-18	VYDAJ	VYBER	2880	37416	\N	\N	\N
830016	2826	1997-07-18	VYDAJ	VYBER	960	32460	\N	\N	\N
830017	2826	1997-10-25	VYDAJ	VYBER	1200	37648	\N	\N	\N
830018	2826	1998-06-02	VYDAJ	VYBER	2400	28661	\N	\N	\N
830019	2826	1998-09-23	VYDAJ	VYBER	5160	20307	\N	\N	\N
830020	2826	1998-11-13	VYDAJ	VYBER	5640	19510	\N	\N	\N
830021	2826	1998-08-21	VYDAJ	VYBER	1440	27760	\N	\N	\N
830022	2826	1998-09-18	VYDAJ	VYBER	2280	25467	\N	\N	\N
830023	2826	1998-01-28	VYDAJ	VYBER	5640	23358	\N	\N	\N
830040	2826	1997-04-30	VYDAJ	VYBER	15	43451	SLUZBY	\N	\N
830041	2826	1997-05-31	VYDAJ	VYBER	15	42011	SLUZBY	\N	\N
830042	2826	1997-06-30	VYDAJ	VYBER	15	30537	SLUZBY	\N	\N
830043	2826	1997-07-31	VYDAJ	VYBER	15	32584	SLUZBY	\N	\N
830044	2826	1997-08-31	VYDAJ	VYBER	15	30245	SLUZBY	\N	\N
830045	2826	1997-09-30	VYDAJ	VYBER	15	37465	SLUZBY	\N	\N
830046	2826	1997-10-31	VYDAJ	VYBER	15	37801	SLUZBY	\N	\N
830047	2826	1997-11-30	VYDAJ	VYBER	15	40642	SLUZBY	\N	\N
830048	2826	1997-12-31	VYDAJ	VYBER	15	37575	SLUZBY	\N	\N
830049	2826	1998-01-31	VYDAJ	VYBER	15	23482	SLUZBY	\N	\N
830050	2826	1998-02-28	VYDAJ	VYBER	15	28567	SLUZBY	\N	\N
830051	2826	1998-03-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
830052	2826	1998-04-30	VYDAJ	VYBER	15	30757	SLUZBY	\N	\N
830053	2826	1998-05-31	VYDAJ	VYBER	15	31061	SLUZBY	\N	\N
830054	2826	1998-06-30	VYDAJ	VYBER	15	21641	SLUZBY	\N	\N
830055	2826	1998-07-31	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
830056	2826	1998-08-31	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
830057	2826	1998-09-30	VYDAJ	VYBER	15	20402	SLUZBY	\N	\N
830058	2826	1998-10-31	VYDAJ	VYBER	15	23267	SLUZBY	\N	\N
830059	2826	1998-11-30	VYDAJ	VYBER	15	19585	SLUZBY	\N	\N
830060	2826	1996-12-20	PRIJEM	VKLAD	3200	25434	\N	\N	\N
830061	2826	1997-01-19	VYDAJ	VYBER	6200	33898	\N	\N	\N
830062	2826	1997-02-18	VYDAJ	VYBER	11400	37242	\N	\N	\N
830063	2826	1997-03-20	VYDAJ	VYBER	12200	39812	\N	\N	\N
830064	2826	1997-04-19	VYDAJ	VYBER	11300	43294	\N	\N	\N
830065	2826	1997-05-19	VYDAJ	VYBER	11000	41834	\N	\N	\N
830066	2826	1997-06-18	VYDAJ	VYBER	12500	46205	\N	\N	\N
830067	2826	1997-07-18	VYDAJ	VYBER	2300	33420	\N	\N	\N
830068	2826	1997-08-17	VYDAJ	VYBER	3100	38867	\N	\N	\N
830069	2826	1997-09-16	VYDAJ	VYBER	2300	37328	\N	\N	\N
830070	2826	1997-10-16	VYDAJ	VYBER	8000	38848	\N	\N	\N
830071	2826	1997-11-15	VYDAJ	VYBER	6700	40484	\N	\N	\N
830072	2826	1997-12-15	VYDAJ	VYBER	14000	40296	\N	\N	\N
830073	2826	1998-01-14	VYDAJ	VYBER	7400	35118	\N	\N	\N
830074	2826	1998-02-13	VYDAJ	VYBER	4400	28465	\N	\N	\N
830075	2826	1998-03-15	VYDAJ	VYBER	10800	27150	\N	\N	\N
830076	2826	1998-04-14	VYDAJ	VYBER	6000	30643	\N	\N	\N
830077	2826	1998-05-14	VYDAJ	VYBER	9200	30940	\N	\N	\N
830078	2826	1998-06-13	VYDAJ	VYBER	10700	34655	\N	\N	\N
830079	2826	1998-07-13	VYDAJ	VYBER	5100	25924	\N	\N	\N
830080	2826	1998-08-12	VYDAJ	VYBER	6200	29200	\N	\N	\N
830081	2826	1998-09-11	VYDAJ	VYBER	9500	27747	\N	\N	\N
830082	2826	1998-10-11	VYDAJ	VYBER	6600	23185	\N	\N	\N
830083	2826	1998-11-10	VYDAJ	VYBER	7500	25150	\N	\N	\N
830109	2827	1996-12-18	PRIJEM	VKLAD	300	300	\N	\N	\N
830122	2827	1997-01-06	PRIJEM	VKLAD	20935	21235	\N	\N	\N
830123	2827	1997-02-06	PRIJEM	VKLAD	20935	46121	\N	\N	\N
830124	2827	1997-03-06	PRIJEM	VKLAD	20935	58484	\N	\N	\N
830125	2827	1997-04-06	PRIJEM	VKLAD	20935	68394	\N	\N	\N
830126	2827	1997-05-06	PRIJEM	VKLAD	20935	73435	\N	\N	\N
830127	2827	1997-06-06	PRIJEM	VKLAD	31402	86406	\N	\N	\N
830128	2827	1997-07-06	PRIJEM	VKLAD	20935	62405	\N	\N	\N
830129	2827	1997-08-06	PRIJEM	VKLAD	20935	73021	\N	\N	\N
830130	2827	1997-09-06	PRIJEM	VKLAD	20935	82078	\N	\N	\N
830131	2827	1997-10-06	PRIJEM	VKLAD	20935	85561	\N	\N	\N
830132	2827	1997-11-06	PRIJEM	VKLAD	20935	88056	\N	\N	\N
830133	2827	1997-12-06	PRIJEM	VKLAD	31402	94643	\N	\N	\N
830134	2827	1998-01-06	PRIJEM	VKLAD	20935	89655	\N	\N	\N
830135	2827	1998-02-06	PRIJEM	VKLAD	20935	84597	\N	\N	\N
830136	2827	1998-03-06	PRIJEM	VKLAD	20935	93204	\N	\N	\N
830137	2827	1998-04-06	PRIJEM	VKLAD	20935	97135	\N	\N	\N
830138	2827	1998-05-06	PRIJEM	VKLAD	20935	99077	\N	\N	\N
830139	2827	1998-06-06	PRIJEM	VKLAD	31402	111440	\N	\N	\N
830140	2827	1998-07-06	PRIJEM	VKLAD	20935	74029	\N	\N	\N
830141	2827	1998-08-06	PRIJEM	VKLAD	20935	86505	\N	\N	\N
830142	2827	1998-09-06	PRIJEM	VKLAD	20935	87248	\N	\N	\N
830143	2827	1998-10-06	PRIJEM	VKLAD	20935	95468	\N	\N	\N
830144	2827	1998-11-06	PRIJEM	VKLAD	20935	95641	\N	\N	\N
830145	2827	1998-12-06	PRIJEM	VKLAD	31402	111656	\N	\N	\N
830183	2827	1997-06-15	VYDAJ	VYBER	47520	38886	\N	\N	\N
830184	2827	1998-06-14	VYDAJ	VYBER	18400	52840	\N	\N	\N
830187	2827	1998-01-28	VYDAJ	VYBER	2080	65295	\N	\N	\N
830200	2827	1998-01-22	VYDAJ	VYBER	1920	67375	\N	\N	\N
830201	2827	1998-01-01	VYDAJ	VYBER	3360	71360	\N	\N	\N
830202	2827	1998-01-04	VYDAJ	VYBER	2640	68720	\N	\N	\N
830203	2827	1998-01-11	VYDAJ	VYBER	2520	85695	\N	\N	\N
830204	2827	1998-01-29	VYDAJ	VYBER	1920	63375	\N	\N	\N
830205	2827	1998-01-07	VYDAJ	VYBER	1440	88215	\N	\N	\N
830209	2827	1997-11-25	VYDAJ	VYBER	5880	62976	\N	\N	\N
830210	2827	1997-05-19	VYDAJ	VYBER	2640	54795	\N	\N	\N
830211	2827	1998-06-04	VYDAJ	VYBER	2160	80038	\N	\N	\N
830212	2827	1998-08-25	VYDAJ	VYBER	3960	66045	\N	\N	\N
830213	2827	1998-10-13	VYDAJ	VYBER	5760	74408	\N	\N	\N
830231	2827	1997-05-31	VYDAJ	VYBER	15	55004	SLUZBY	\N	\N
830232	2827	1997-06-30	VYDAJ	VYBER	15	41470	SLUZBY	\N	\N
830233	2827	1997-07-31	VYDAJ	VYBER	15	52086	SLUZBY	\N	\N
830234	2827	1997-08-31	VYDAJ	VYBER	15	61143	SLUZBY	\N	\N
830235	2827	1997-09-30	VYDAJ	VYBER	15	64626	SLUZBY	\N	\N
830236	2827	1997-10-31	VYDAJ	VYBER	15	67121	SLUZBY	\N	\N
830237	2827	1997-11-30	VYDAJ	VYBER	15	63241	SLUZBY	\N	\N
830238	2827	1997-12-31	VYDAJ	VYBER	15	74720	SLUZBY	\N	\N
830239	2827	1998-01-31	VYDAJ	VYBER	15	63662	SLUZBY	\N	\N
830240	2827	1998-02-28	VYDAJ	VYBER	15	72269	SLUZBY	\N	\N
830241	2827	1998-03-31	VYDAJ	VYBER	15	76200	SLUZBY	\N	\N
830242	2827	1998-04-30	VYDAJ	VYBER	15	78142	SLUZBY	\N	\N
830243	2827	1998-05-31	VYDAJ	VYBER	15	82198	SLUZBY	\N	\N
830244	2827	1998-06-30	VYDAJ	VYBER	15	53094	SLUZBY	\N	\N
830245	2827	1998-07-31	VYDAJ	VYBER	15	65570	SLUZBY	\N	\N
830246	2827	1998-08-31	VYDAJ	VYBER	15	66313	SLUZBY	\N	\N
830247	2827	1998-09-30	VYDAJ	VYBER	15	74533	SLUZBY	\N	\N
830248	2827	1998-10-31	VYDAJ	VYBER	15	74706	SLUZBY	\N	\N
830249	2827	1998-11-30	VYDAJ	VYBER	15	80254	SLUZBY	\N	\N
830250	2827	1997-01-17	PRIJEM	VKLAD	3900	25135	\N	\N	\N
830251	2827	1997-02-16	VYDAJ	VYBER	8700	37421	\N	\N	\N
830252	2827	1997-03-18	VYDAJ	VYBER	11200	47284	\N	\N	\N
830253	2827	1997-04-17	VYDAJ	VYBER	16100	52294	\N	\N	\N
830254	2827	1997-05-17	VYDAJ	VYBER	16000	57435	\N	\N	\N
830255	2827	1997-06-16	PRIJEM	VKLAD	2400	41286	\N	\N	\N
830256	2827	1997-07-16	VYDAJ	VYBER	10500	51905	\N	\N	\N
830257	2827	1997-08-15	VYDAJ	VYBER	12100	60921	\N	\N	\N
830258	2827	1997-09-14	VYDAJ	VYBER	17700	64378	\N	\N	\N
830259	2827	1997-10-14	VYDAJ	VYBER	18700	66861	\N	\N	\N
830260	2827	1997-11-13	VYDAJ	VYBER	19200	68856	\N	\N	\N
830261	2827	1997-12-13	VYDAJ	VYBER	20200	74443	\N	\N	\N
830262	2827	1998-01-12	VYDAJ	VYBER	16400	69295	\N	\N	\N
830263	2827	1998-02-11	VYDAJ	VYBER	12600	71997	\N	\N	\N
830264	2827	1998-03-13	VYDAJ	VYBER	17300	75904	\N	\N	\N
830265	2827	1998-04-12	VYDAJ	VYBER	19300	77835	\N	\N	\N
830266	2827	1998-05-12	VYDAJ	VYBER	17200	81877	\N	\N	\N
830267	2827	1998-06-06	VYDAJ	VYBER	27600	83840	\N	\N	\N
830268	2827	1998-06-11	VYDAJ	VYBER	12600	71240	\N	\N	\N
830269	2827	1998-07-11	VYDAJ	VYBER	8700	65329	\N	\N	\N
830270	2827	1998-08-10	VYDAJ	VYBER	16500	70005	\N	\N	\N
830271	2827	1998-09-09	VYDAJ	VYBER	13000	74248	\N	\N	\N
830272	2827	1998-10-09	VYDAJ	VYBER	15300	80168	\N	\N	\N
830273	2827	1998-11-08	VYDAJ	VYBER	15700	79941	\N	\N	\N
830274	2827	1998-12-06	VYDAJ	VYBER	44000	67656	\N	\N	\N
830275	2827	1998-12-08	PRIJEM	VKLAD	2700	70356	\N	\N	\N
831082	2829	1997-08-18	PRIJEM	VKLAD	500	500	\N	\N	\N
831083	2829	1997-10-15	PRIJEM	VKLAD	7233	20156	\N	\N	\N
831085	2829	1998-01-31	PRIJEM	VKLAD	31163	47013	\N	\N	\N
831086	2829	1998-03-27	PRIJEM	VKLAD	11229	34457	\N	\N	\N
831095	2829	1997-09-17	PRIJEM	VKLAD	1000	1500	\N	\N	\N
831096	2829	1997-10-14	PRIJEM	VKLAD	1000	12923	\N	\N	\N
831097	2829	1997-11-16	PRIJEM	VKLAD	1000	23329	\N	\N	\N
831098	2829	1997-12-17	PRIJEM	VKLAD	1000	23920	\N	\N	\N
831099	2829	1998-01-15	PRIJEM	VKLAD	1000	14850	\N	\N	\N
831100	2829	1998-02-13	PRIJEM	VKLAD	1000	46081	\N	\N	\N
831101	2829	1998-03-13	PRIJEM	VKLAD	1000	33028	\N	\N	\N
831102	2829	1998-04-14	PRIJEM	VKLAD	1000	33714	\N	\N	\N
831103	2829	1998-05-15	PRIJEM	VKLAD	1000	27221	\N	\N	\N
831104	2829	1998-06-13	PRIJEM	VKLAD	1000	25211	\N	\N	\N
831105	2829	1998-07-13	PRIJEM	VKLAD	1000	23894	\N	\N	\N
831106	2829	1998-08-17	PRIJEM	VKLAD	1000	19168	\N	\N	\N
831107	2829	1998-09-13	PRIJEM	VKLAD	1000	16932	\N	\N	\N
831108	2829	1998-10-15	PRIJEM	VKLAD	1000	18192	\N	\N	\N
831109	2829	1998-11-15	PRIJEM	VKLAD	1000	20155	\N	\N	\N
831110	2829	1998-12-15	PRIJEM	VKLAD	1000	18525	\N	\N	\N
831117	2829	1998-07-18	PRIJEM	VKLAD	1100	21694	\N	\N	\N
831118	2829	1998-08-18	PRIJEM	VKLAD	1100	20268	\N	\N	\N
831119	2829	1998-09-18	PRIJEM	VKLAD	1100	18032	\N	\N	\N
831120	2829	1998-10-18	PRIJEM	VKLAD	1100	19292	\N	\N	\N
831121	2829	1998-11-18	PRIJEM	VKLAD	1100	21255	\N	\N	\N
831122	2829	1998-12-18	PRIJEM	VKLAD	1100	19625	\N	\N	\N
831126	2829	1998-01-09	VYDAJ	VYBER	8000	16000	\N	\N	\N
831130	2829	1998-12-25	VYDAJ	VYBER	1200	18425	\N	\N	\N
831137	2829	1998-01-18	VYDAJ	VYBER	1100	18550	\N	\N	\N
831138	2829	1998-01-28	VYDAJ	VYBER	300	15850	\N	\N	\N
831139	2829	1998-01-20	VYDAJ	VYBER	1150	16650	\N	\N	\N
831140	2829	1998-01-19	VYDAJ	VYBER	750	17800	\N	\N	\N
831141	2829	1998-01-14	VYDAJ	VYBER	950	13850	\N	\N	\N
831142	2829	1998-01-27	VYDAJ	VYBER	500	16150	\N	\N	\N
831149	2829	1998-08-31	VYDAJ	VYBER	400	17947	\N	\N	\N
831150	2829	1998-02-10	VYDAJ	VYBER	2000	45081	\N	\N	\N
831151	2829	1998-08-19	VYDAJ	VYBER	2000	18268	\N	\N	\N
831152	2829	1998-03-28	VYDAJ	VYBER	1850	32607	\N	\N	\N
831153	2829	1998-07-20	VYDAJ	VYBER	2100	19594	\N	\N	\N
831154	2829	1998-01-12	VYDAJ	VYBER	1200	14800	\N	\N	\N
831167	2829	1997-12-31	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
831168	2829	1998-01-31	VYDAJ	VYBER	15	47081	SLUZBY	\N	\N
831169	2829	1998-02-28	VYDAJ	VYBER	15	32028	SLUZBY	\N	\N
831170	2829	1998-03-31	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
831171	2829	1998-04-30	VYDAJ	VYBER	15	26221	SLUZBY	\N	\N
831172	2829	1998-05-31	VYDAJ	VYBER	15	24211	SLUZBY	\N	\N
831173	2829	1998-06-30	VYDAJ	VYBER	15	22894	SLUZBY	\N	\N
831174	2829	1998-07-31	VYDAJ	VYBER	15	19668	SLUZBY	\N	\N
831175	2829	1998-08-31	VYDAJ	VYBER	15	17932	SLUZBY	\N	\N
831176	2829	1998-09-30	VYDAJ	VYBER	15	18092	SLUZBY	\N	\N
831177	2829	1998-10-31	VYDAJ	VYBER	15	19355	SLUZBY	\N	\N
831178	2829	1998-11-30	VYDAJ	VYBER	15	21325	SLUZBY	\N	\N
831179	2829	1997-09-17	PRIJEM	VKLAD	10400	11900	\N	\N	\N
831180	2829	1997-10-17	PRIJEM	VKLAD	2100	22256	\N	\N	\N
831181	2829	1997-11-16	VYDAJ	VYBER	1900	21429	\N	\N	\N
831182	2829	1997-12-16	PRIJEM	VKLAD	1400	22920	\N	\N	\N
831183	2829	1998-01-15	PRIJEM	VKLAD	4800	19650	\N	\N	\N
831184	2829	1998-02-14	VYDAJ	VYBER	14200	31881	\N	\N	\N
831185	2829	1998-03-16	VYDAJ	VYBER	9800	23228	\N	\N	\N
831186	2829	1998-04-15	VYDAJ	VYBER	7600	26114	\N	\N	\N
831187	2829	1998-05-15	VYDAJ	VYBER	3100	24121	\N	\N	\N
831188	2829	1998-06-14	VYDAJ	VYBER	2400	22811	\N	\N	\N
831189	2829	1998-07-14	VYDAJ	VYBER	3300	20594	\N	\N	\N
831190	2829	1998-08-13	VYDAJ	VYBER	1500	18168	\N	\N	\N
831191	2829	1998-09-12	VYDAJ	VYBER	2000	15932	\N	\N	\N
831192	2829	1998-10-12	VYDAJ	VYBER	900	17192	\N	\N	\N
831193	2829	1998-11-11	VYDAJ	VYBER	200	19155	\N	\N	\N
831194	2829	1998-12-11	VYDAJ	VYBER	3800	17525	\N	\N	\N
831211	2830	1995-08-04	PRIJEM	VKLAD	900	900	\N	\N	\N
831219	2830	1995-08-08	PRIJEM	VKLAD	13713	14613	\N	\N	\N
831220	2830	1995-09-08	PRIJEM	VKLAD	13713	30973	\N	\N	\N
831221	2830	1995-10-08	PRIJEM	VKLAD	13713	38799	\N	\N	\N
831222	2830	1995-11-08	PRIJEM	VKLAD	13713	43367	\N	\N	\N
831223	2830	1995-12-08	PRIJEM	VKLAD	20570	53213	\N	\N	\N
831224	2830	1996-01-08	PRIJEM	VKLAD	13713	43056	\N	\N	\N
831225	2830	1996-02-08	PRIJEM	VKLAD	13713	30644	\N	\N	\N
831226	2830	1996-03-08	PRIJEM	VKLAD	13713	33697	\N	\N	\N
831227	2830	1996-04-08	PRIJEM	VKLAD	13713	33066	\N	\N	\N
831228	2830	1996-05-08	PRIJEM	VKLAD	13713	33729	\N	\N	\N
831229	2830	1996-06-08	PRIJEM	VKLAD	20570	40255	\N	\N	\N
831230	2830	1996-07-08	PRIJEM	VKLAD	13713	34741	\N	\N	\N
831231	2830	1996-08-08	PRIJEM	VKLAD	13713	35410	\N	\N	\N
831232	2830	1996-09-08	PRIJEM	VKLAD	13713	35480	\N	\N	\N
831233	2830	1996-10-08	PRIJEM	VKLAD	13713	32144	\N	\N	\N
831234	2830	1996-11-08	PRIJEM	VKLAD	13713	30200	\N	\N	\N
831235	2830	1996-12-08	PRIJEM	VKLAD	20570	36302	\N	\N	\N
831236	2830	1997-01-08	PRIJEM	VKLAD	13713	28264	\N	\N	\N
831237	2830	1997-02-08	PRIJEM	VKLAD	13713	28197	\N	\N	\N
831238	2830	1997-03-08	PRIJEM	VKLAD	13713	33740	\N	\N	\N
831239	2830	1997-04-08	PRIJEM	VKLAD	13713	32901	\N	\N	\N
831240	2830	1997-05-08	PRIJEM	VKLAD	13713	35662	\N	\N	\N
831241	2830	1997-06-08	PRIJEM	VKLAD	20570	39490	\N	\N	\N
831242	2830	1997-07-08	PRIJEM	VKLAD	13713	34769	\N	\N	\N
831243	2830	1997-08-08	PRIJEM	VKLAD	13713	36837	\N	\N	\N
831244	2830	1997-09-08	PRIJEM	VKLAD	13713	40011	\N	\N	\N
831245	2830	1997-10-08	PRIJEM	VKLAD	13713	41999	\N	\N	\N
831246	2830	1997-11-08	PRIJEM	VKLAD	13713	42300	\N	\N	\N
831247	2830	1997-12-08	PRIJEM	VKLAD	20570	50761	\N	\N	\N
831248	2830	1998-01-08	PRIJEM	VKLAD	13713	47487	\N	\N	\N
831249	2830	1998-02-08	PRIJEM	VKLAD	13713	36798	\N	\N	\N
831250	2830	1998-03-08	PRIJEM	VKLAD	13713	48586	\N	\N	\N
831251	2830	1998-04-08	PRIJEM	VKLAD	13713	55017	\N	\N	\N
831252	2830	1998-05-08	PRIJEM	VKLAD	13713	55367	\N	\N	\N
831253	2830	1998-06-08	PRIJEM	VKLAD	20570	36171	\N	\N	\N
831254	2830	1998-07-08	PRIJEM	VKLAD	13713	45875	\N	\N	\N
831255	2830	1998-08-08	PRIJEM	VKLAD	13713	46179	\N	\N	\N
831256	2830	1998-09-08	PRIJEM	VKLAD	13713	47289	\N	\N	\N
831257	2830	1998-10-08	PRIJEM	VKLAD	13713	45898	\N	\N	\N
831258	2830	1998-11-08	PRIJEM	VKLAD	13713	46004	\N	\N	\N
831259	2830	1998-12-08	PRIJEM	VKLAD	20570	55773	\N	\N	\N
831271	2830	1995-12-09	VYDAJ	PREVOD NA UCET	6981	46232	SIPO	AB	33658105
831272	2830	1996-01-09	VYDAJ	PREVOD NA UCET	6981	36075	SIPO	AB	33658105
831273	2830	1996-02-09	VYDAJ	PREVOD NA UCET	6981	23663	SIPO	AB	33658105
831274	2830	1996-03-09	VYDAJ	PREVOD NA UCET	6981	26716	SIPO	AB	33658105
831275	2830	1996-04-09	VYDAJ	PREVOD NA UCET	6981	26085	SIPO	AB	33658105
831276	2830	1996-05-09	VYDAJ	PREVOD NA UCET	6981	26748	SIPO	AB	33658105
831277	2830	1996-06-09	VYDAJ	PREVOD NA UCET	6981	33274	SIPO	AB	33658105
831278	2830	1996-07-09	VYDAJ	PREVOD NA UCET	6981	27760	SIPO	AB	33658105
831279	2830	1996-08-09	VYDAJ	PREVOD NA UCET	6981	28429	SIPO	AB	33658105
831280	2830	1996-09-09	VYDAJ	PREVOD NA UCET	6981	28499	SIPO	AB	33658105
831281	2830	1996-10-09	VYDAJ	PREVOD NA UCET	6981	25163	SIPO	AB	33658105
831282	2830	1996-11-09	VYDAJ	PREVOD NA UCET	6981	23219	SIPO	AB	33658105
831283	2830	1996-12-09	VYDAJ	PREVOD NA UCET	6981	29321	SIPO	AB	33658105
831284	2830	1997-01-09	VYDAJ	PREVOD NA UCET	6981	17183	SIPO	AB	33658105
831285	2830	1997-02-09	VYDAJ	PREVOD NA UCET	6981	21216	SIPO	AB	33658105
831286	2830	1997-03-09	VYDAJ	PREVOD NA UCET	6981	26759	SIPO	AB	33658105
831287	2830	1997-04-09	VYDAJ	PREVOD NA UCET	6981	25920	SIPO	AB	33658105
831288	2830	1997-05-09	VYDAJ	PREVOD NA UCET	6981	28681	SIPO	AB	33658105
831289	2830	1997-06-09	VYDAJ	PREVOD NA UCET	6981	32509	SIPO	AB	33658105
831290	2830	1997-07-09	VYDAJ	PREVOD NA UCET	6981	27788	SIPO	AB	33658105
831291	2830	1997-08-09	VYDAJ	PREVOD NA UCET	6981	29856	SIPO	AB	33658105
831292	2830	1997-09-09	VYDAJ	PREVOD NA UCET	6981	33030	SIPO	AB	33658105
831293	2830	1997-10-09	VYDAJ	PREVOD NA UCET	6981	35018	SIPO	AB	33658105
831294	2830	1997-11-09	VYDAJ	PREVOD NA UCET	6981	35319	SIPO	AB	33658105
831295	2830	1997-12-09	VYDAJ	PREVOD NA UCET	6981	43780	SIPO	AB	33658105
831296	2830	1998-01-09	VYDAJ	PREVOD NA UCET	6981	40506	SIPO	AB	33658105
831297	2830	1998-02-09	VYDAJ	PREVOD NA UCET	6981	29817	SIPO	AB	33658105
831298	2830	1998-03-09	VYDAJ	PREVOD NA UCET	6981	41605	SIPO	AB	33658105
831299	2830	1998-04-09	VYDAJ	PREVOD NA UCET	6981	48036	SIPO	AB	33658105
831300	2830	1998-05-09	VYDAJ	PREVOD NA UCET	6981	48386	SIPO	AB	33658105
831301	2830	1998-06-09	VYDAJ	PREVOD NA UCET	6981	29190	SIPO	AB	33658105
831302	2830	1998-07-09	VYDAJ	PREVOD NA UCET	6981	38894	SIPO	AB	33658105
831303	2830	1998-08-09	VYDAJ	PREVOD NA UCET	6981	39198	SIPO	AB	33658105
831304	2830	1998-09-09	VYDAJ	PREVOD NA UCET	6981	40308	SIPO	AB	33658105
831305	2830	1998-10-09	VYDAJ	PREVOD NA UCET	6981	38917	SIPO	AB	33658105
831306	2830	1998-11-09	VYDAJ	PREVOD NA UCET	6981	39023	SIPO	AB	33658105
831307	2830	1998-12-09	VYDAJ	PREVOD NA UCET	6981	48792	SIPO	AB	33658105
831319	2830	1995-12-13	VYDAJ	PREVOD NA UCET	2150	44082	 	CD	94782387
831320	2830	1996-01-13	VYDAJ	PREVOD NA UCET	2150	27125	 	CD	94782387
831321	2830	1996-02-13	VYDAJ	PREVOD NA UCET	2150	21513	 	CD	94782387
831322	2830	1996-03-13	VYDAJ	PREVOD NA UCET	2150	24566	 	CD	94782387
831323	2830	1996-04-13	VYDAJ	PREVOD NA UCET	2150	23935	 	CD	94782387
831324	2830	1996-05-13	VYDAJ	PREVOD NA UCET	2150	24598	 	CD	94782387
831325	2830	1996-06-13	VYDAJ	PREVOD NA UCET	2150	31124	 	CD	94782387
831326	2830	1996-07-13	VYDAJ	PREVOD NA UCET	2150	25610	 	CD	94782387
831327	2830	1996-08-13	VYDAJ	PREVOD NA UCET	2150	26279	 	CD	94782387
831328	2830	1996-09-13	VYDAJ	PREVOD NA UCET	2150	24249	 	CD	94782387
831329	2830	1996-10-13	VYDAJ	PREVOD NA UCET	2150	23013	 	CD	94782387
831330	2830	1996-11-13	VYDAJ	PREVOD NA UCET	2150	21069	 	CD	94782387
831331	2830	1996-12-13	VYDAJ	PREVOD NA UCET	2150	26571	 	CD	94782387
831332	2830	1997-01-13	VYDAJ	PREVOD NA UCET	2150	15033	 	CD	94782387
831333	2830	1997-02-13	VYDAJ	PREVOD NA UCET	2150	19066	 	CD	94782387
831334	2830	1997-03-13	VYDAJ	PREVOD NA UCET	2150	24609	 	CD	94782387
831335	2830	1997-04-13	VYDAJ	PREVOD NA UCET	2150	23770	 	CD	94782387
831336	2830	1997-05-13	VYDAJ	PREVOD NA UCET	2150	26531	 	CD	94782387
831337	2830	1997-06-13	VYDAJ	PREVOD NA UCET	2150	30359	 	CD	94782387
831338	2830	1997-07-13	VYDAJ	PREVOD NA UCET	2150	25638	 	CD	94782387
831339	2830	1997-08-13	VYDAJ	PREVOD NA UCET	2150	26306	 	CD	94782387
831340	2830	1997-09-13	VYDAJ	PREVOD NA UCET	2150	30880	 	CD	94782387
831341	2830	1997-10-13	VYDAJ	PREVOD NA UCET	2150	32868	 	CD	94782387
831342	2830	1997-11-13	VYDAJ	PREVOD NA UCET	2150	33169	 	CD	94782387
831343	2830	1997-12-13	VYDAJ	PREVOD NA UCET	2150	41630	 	CD	94782387
831344	2830	1998-01-13	VYDAJ	PREVOD NA UCET	2150	38356	 	CD	94782387
831345	2830	1998-02-13	VYDAJ	PREVOD NA UCET	2150	27667	 	CD	94782387
831346	2830	1998-03-13	VYDAJ	PREVOD NA UCET	2150	39455	 	CD	94782387
831347	2830	1998-04-13	VYDAJ	PREVOD NA UCET	2150	45886	 	CD	94782387
831348	2830	1998-05-13	VYDAJ	PREVOD NA UCET	2150	46236	 	CD	94782387
831349	2830	1998-06-13	VYDAJ	PREVOD NA UCET	2150	27040	 	CD	94782387
831350	2830	1998-07-13	VYDAJ	PREVOD NA UCET	2150	33844	 	CD	94782387
831351	2830	1998-08-13	VYDAJ	PREVOD NA UCET	2150	37048	 	CD	94782387
831352	2830	1998-09-13	VYDAJ	PREVOD NA UCET	2150	35258	 	CD	94782387
831353	2830	1998-10-13	VYDAJ	PREVOD NA UCET	2150	36767	 	CD	94782387
831354	2830	1998-11-13	VYDAJ	PREVOD NA UCET	2150	36873	 	CD	94782387
831355	2830	1998-12-13	VYDAJ	PREVOD NA UCET	2150	46642	 	CD	94782387
831358	2830	1997-06-05	VYDAJ	VYBER	5300	18920	\N	\N	\N
831359	2830	1998-06-02	VYDAJ	VYBER	25900	15601	\N	\N	\N
831361	2830	1996-01-25	VYDAJ	VYBER	3800	20325	\N	\N	\N
831362	2830	1997-01-07	VYDAJ	VYBER	2000	14551	\N	\N	\N
831363	2830	1998-01-29	VYDAJ	VYBER	7100	22956	\N	\N	\N
831364	2830	1995-12-16	VYDAJ	VYBER	700	39682	\N	\N	\N
831365	2830	1996-12-11	VYDAJ	VYBER	600	28721	\N	\N	\N
831366	2830	1997-12-02	VYDAJ	VYBER	600	30191	\N	\N	\N
831367	2830	1998-12-18	VYDAJ	VYBER	2400	34442	\N	\N	\N
831374	2830	1996-01-11	VYDAJ	VYBER	2000	31675	\N	\N	\N
831375	2830	1996-01-09	VYDAJ	VYBER	2400	33675	\N	\N	\N
831376	2830	1996-01-06	VYDAJ	VYBER	900	29343	\N	\N	\N
831377	2830	1996-01-20	VYDAJ	VYBER	800	24125	\N	\N	\N
831378	2830	1996-01-13	VYDAJ	VYBER	2400	29275	\N	\N	\N
831379	2830	1996-01-19	VYDAJ	VYBER	2200	24925	\N	\N	\N
831380	2830	1997-01-17	VYDAJ	VYBER	1300	13733	\N	\N	\N
831382	2830	1997-01-04	VYDAJ	VYBER	900	16551	\N	\N	\N
831383	2830	1997-01-27	VYDAJ	VYBER	900	14433	\N	\N	\N
831385	2830	1997-01-01	VYDAJ	VYBER	2300	17451	\N	\N	\N
831386	2830	1998-01-21	VYDAJ	VYBER	1300	30556	\N	\N	\N
831387	2830	1998-01-07	VYDAJ	VYBER	500	33774	\N	\N	\N
831388	2830	1998-01-06	VYDAJ	VYBER	2100	34274	\N	\N	\N
831389	2830	1998-01-03	VYDAJ	VYBER	900	36374	\N	\N	\N
831390	2830	1998-01-21	VYDAJ	VYBER	1700	31856	\N	\N	\N
831391	2830	1998-01-23	VYDAJ	VYBER	500	30056	\N	\N	\N
831392	2830	1995-12-13	VYDAJ	VYBER	3700	40382	\N	\N	\N
831396	2830	1996-09-10	VYDAJ	VYBER	2100	26399	\N	\N	\N
831397	2830	1996-06-07	VYDAJ	VYBER	700	19685	\N	\N	\N
831398	2830	1996-11-03	VYDAJ	VYBER	1200	16487	\N	\N	\N
831399	2830	1996-11-18	VYDAJ	VYBER	4800	16269	\N	\N	\N
831400	2830	1997-11-03	VYDAJ	VYBER	1600	32287	\N	\N	\N
831401	2830	1997-11-03	VYDAJ	VYBER	3700	28587	\N	\N	\N
831402	2830	1997-06-18	VYDAJ	VYBER	2000	28359	\N	\N	\N
831403	2830	1997-08-11	VYDAJ	VYBER	1400	28456	\N	\N	\N
831404	2830	1997-01-08	VYDAJ	VYBER	4100	24164	\N	\N	\N
831405	2830	1998-09-19	VYDAJ	VYBER	2000	32058	\N	\N	\N
831406	2830	1998-09-09	VYDAJ	VYBER	2900	37408	\N	\N	\N
831407	2830	1998-07-10	VYDAJ	VYBER	2900	35994	\N	\N	\N
831408	2830	1998-04-20	VYDAJ	VYBER	2500	43386	\N	\N	\N
831409	2830	1998-03-26	VYDAJ	VYBER	1500	41155	\N	\N	\N
831422	2830	1995-12-31	VYDAJ	VYBER	15	39843	SLUZBY	\N	\N
831423	2830	1996-01-31	VYDAJ	VYBER	15	16931	SLUZBY	\N	\N
831424	2830	1996-02-29	VYDAJ	VYBER	15	21584	SLUZBY	\N	\N
831425	2830	1996-03-31	VYDAJ	VYBER	15	19353	SLUZBY	\N	\N
831426	2830	1996-04-30	VYDAJ	VYBER	15	24016	SLUZBY	\N	\N
831427	2830	1996-05-31	VYDAJ	VYBER	15	20385	SLUZBY	\N	\N
831428	2830	1996-06-30	VYDAJ	VYBER	15	21028	SLUZBY	\N	\N
831429	2830	1996-07-31	VYDAJ	VYBER	15	21697	SLUZBY	\N	\N
831430	2830	1996-08-31	VYDAJ	VYBER	15	21767	SLUZBY	\N	\N
831431	2830	1996-09-30	VYDAJ	VYBER	15	18431	SLUZBY	\N	\N
831432	2830	1996-10-31	VYDAJ	VYBER	15	17687	SLUZBY	\N	\N
831433	2830	1996-11-30	VYDAJ	VYBER	15	15732	SLUZBY	\N	\N
831434	2830	1996-12-31	VYDAJ	VYBER	15	19751	SLUZBY	\N	\N
831435	2830	1997-01-31	VYDAJ	VYBER	15	14484	SLUZBY	\N	\N
831436	2830	1997-02-28	VYDAJ	VYBER	15	20027	SLUZBY	\N	\N
831437	2830	1997-03-31	VYDAJ	VYBER	15	19188	SLUZBY	\N	\N
831438	2830	1997-04-30	VYDAJ	VYBER	15	21949	SLUZBY	\N	\N
831439	2830	1997-05-31	VYDAJ	VYBER	15	24220	SLUZBY	\N	\N
831440	2830	1997-06-30	VYDAJ	VYBER	15	21056	SLUZBY	\N	\N
831441	2830	1997-07-31	VYDAJ	VYBER	15	23124	SLUZBY	\N	\N
831442	2830	1997-08-31	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
831443	2830	1997-09-30	VYDAJ	VYBER	15	28286	SLUZBY	\N	\N
831444	2830	1997-10-31	VYDAJ	VYBER	15	33887	SLUZBY	\N	\N
831445	2830	1997-11-30	VYDAJ	VYBER	15	30791	SLUZBY	\N	\N
831446	2830	1997-12-31	VYDAJ	VYBER	15	37274	SLUZBY	\N	\N
831447	2830	1998-01-31	VYDAJ	VYBER	15	23085	SLUZBY	\N	\N
831448	2830	1998-02-28	VYDAJ	VYBER	15	34873	SLUZBY	\N	\N
831449	2830	1998-03-31	VYDAJ	VYBER	15	41304	SLUZBY	\N	\N
831450	2830	1998-04-30	VYDAJ	VYBER	15	41654	SLUZBY	\N	\N
831451	2830	1998-05-31	VYDAJ	VYBER	15	41501	SLUZBY	\N	\N
831452	2830	1998-06-30	VYDAJ	VYBER	15	32162	SLUZBY	\N	\N
831453	2830	1998-07-31	VYDAJ	VYBER	15	32466	SLUZBY	\N	\N
831454	2830	1998-08-31	VYDAJ	VYBER	15	33576	SLUZBY	\N	\N
831455	2830	1998-09-30	VYDAJ	VYBER	15	32185	SLUZBY	\N	\N
831456	2830	1998-10-31	VYDAJ	VYBER	15	32291	SLUZBY	\N	\N
831457	2830	1998-11-30	VYDAJ	VYBER	15	35203	SLUZBY	\N	\N
831458	2830	1995-09-03	PRIJEM	VKLAD	2600	17260	\N	\N	\N
831459	2830	1995-10-03	VYDAJ	VYBER	6000	25086	\N	\N	\N
831460	2830	1995-11-02	VYDAJ	VYBER	9300	29654	\N	\N	\N
831461	2830	1995-12-02	VYDAJ	VYBER	10900	32643	\N	\N	\N
831462	2830	1996-01-01	VYDAJ	VYBER	9600	30243	\N	\N	\N
831463	2830	1996-01-31	VYDAJ	VYBER	3500	16946	\N	\N	\N
831464	2830	1996-03-01	VYDAJ	VYBER	1600	19984	\N	\N	\N
831465	2830	1996-03-31	VYDAJ	VYBER	5300	19367	\N	\N	\N
831466	2830	1996-04-30	VYDAJ	VYBER	4000	20016	\N	\N	\N
831467	2830	1996-05-30	VYDAJ	VYBER	4300	20298	\N	\N	\N
831468	2830	1996-06-29	VYDAJ	VYBER	10200	20924	\N	\N	\N
831469	2830	1996-07-29	VYDAJ	VYBER	4000	21610	\N	\N	\N
831470	2830	1996-08-28	VYDAJ	VYBER	4600	21679	\N	\N	\N
831471	2830	1996-09-27	VYDAJ	VYBER	5900	18349	\N	\N	\N
831472	2830	1996-10-27	VYDAJ	VYBER	5400	17613	\N	\N	\N
831473	2830	1996-11-26	VYDAJ	VYBER	600	15669	\N	\N	\N
831474	2830	1996-12-26	VYDAJ	VYBER	6900	19671	\N	\N	\N
831475	2830	1997-01-25	PRIJEM	VKLAD	1600	15333	\N	\N	\N
831476	2830	1997-02-24	PRIJEM	VKLAD	900	19966	\N	\N	\N
831477	2830	1997-03-26	VYDAJ	VYBER	5500	19109	\N	\N	\N
831478	2830	1997-04-25	VYDAJ	VYBER	1900	21870	\N	\N	\N
831479	2830	1997-05-25	VYDAJ	VYBER	2400	24131	\N	\N	\N
831480	2830	1997-06-24	VYDAJ	VYBER	7400	20959	\N	\N	\N
831481	2830	1997-07-24	VYDAJ	VYBER	2600	23038	\N	\N	\N
831482	2830	1997-08-23	VYDAJ	VYBER	100	26206	\N	\N	\N
831483	2830	1997-09-22	VYDAJ	VYBER	2700	28180	\N	\N	\N
831484	2830	1997-10-22	PRIJEM	VKLAD	900	33768	\N	\N	\N
831485	2830	1997-11-21	VYDAJ	VYBER	2500	30669	\N	\N	\N
831486	2830	1997-12-21	VYDAJ	VYBER	4500	37130	\N	\N	\N
831487	2830	1998-01-20	VYDAJ	VYBER	4800	33556	\N	\N	\N
831488	2830	1998-02-19	PRIJEM	VKLAD	7100	34767	\N	\N	\N
831489	2830	1998-03-21	PRIJEM	VKLAD	3200	42655	\N	\N	\N
831490	2830	1998-04-20	VYDAJ	VYBER	1900	41486	\N	\N	\N
831491	2830	1998-05-20	VYDAJ	VYBER	4900	41336	\N	\N	\N
831492	2830	1998-06-19	PRIJEM	VKLAD	5000	32040	\N	\N	\N
831493	2830	1998-07-19	VYDAJ	VYBER	1500	32344	\N	\N	\N
831494	2830	1998-08-18	VYDAJ	VYBER	3600	33448	\N	\N	\N
831495	2830	1998-09-17	VYDAJ	VYBER	1200	34058	\N	\N	\N
831496	2830	1998-10-17	VYDAJ	VYBER	4600	32167	\N	\N	\N
831497	2830	1998-11-16	VYDAJ	VYBER	1800	35073	\N	\N	\N
831498	2830	1998-12-16	VYDAJ	VYBER	9800	36842	\N	\N	\N
831540	2831	1997-11-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
831551	2831	1997-11-12	PRIJEM	VKLAD	23274	24374	\N	\N	\N
831552	2831	1997-12-12	PRIJEM	VKLAD	34911	59349	\N	\N	\N
831553	2831	1998-01-12	PRIJEM	VKLAD	23274	71325	\N	\N	\N
831554	2831	1998-02-12	PRIJEM	VKLAD	23274	73327	\N	\N	\N
831555	2831	1998-03-12	PRIJEM	VKLAD	23274	77803	\N	\N	\N
831556	2831	1998-04-12	PRIJEM	VKLAD	23274	78024	\N	\N	\N
831557	2831	1998-05-12	PRIJEM	VKLAD	23274	75449	\N	\N	\N
831558	2831	1998-06-12	PRIJEM	VKLAD	34911	79423	\N	\N	\N
831559	2831	1998-07-12	PRIJEM	VKLAD	23274	72635	\N	\N	\N
831560	2831	1998-08-12	PRIJEM	VKLAD	23274	71133	\N	\N	\N
831561	2831	1998-09-12	PRIJEM	VKLAD	23274	67824	\N	\N	\N
831562	2831	1998-10-12	PRIJEM	VKLAD	23274	64900	\N	\N	\N
831563	2831	1998-11-12	PRIJEM	VKLAD	23274	66556	\N	\N	\N
831564	2831	1998-12-12	PRIJEM	VKLAD	34911	75535	\N	\N	\N
831580	2831	1998-04-07	VYDAJ	PREVOD NA UCET	3586	74106	SIPO	MN	83744406
831581	2831	1998-05-07	VYDAJ	PREVOD NA UCET	3586	74331	SIPO	MN	83744406
831582	2831	1998-06-07	VYDAJ	PREVOD NA UCET	3586	71148	SIPO	MN	83744406
831583	2831	1998-07-07	VYDAJ	PREVOD NA UCET	3586	75717	SIPO	MN	83744406
831584	2831	1998-08-07	VYDAJ	PREVOD NA UCET	3586	68915	SIPO	MN	83744406
831585	2831	1998-09-07	VYDAJ	PREVOD NA UCET	3586	45706	SIPO	MN	83744406
831586	2831	1998-10-07	VYDAJ	PREVOD NA UCET	3586	42782	SIPO	MN	83744406
831587	2831	1998-11-07	VYDAJ	PREVOD NA UCET	3586	44438	SIPO	MN	83744406
831588	2831	1998-12-07	VYDAJ	PREVOD NA UCET	3586	41780	SIPO	MN	83744406
831604	2831	1998-04-09	VYDAJ	PREVOD NA UCET	793	72950	 	IJ	53561782
831605	2831	1998-05-09	VYDAJ	PREVOD NA UCET	793	73175	 	IJ	53561782
831606	2831	1998-06-09	VYDAJ	PREVOD NA UCET	793	50392	 	IJ	53561782
831607	2831	1998-07-09	VYDAJ	PREVOD NA UCET	793	49361	 	IJ	53561782
831608	2831	1998-08-09	VYDAJ	PREVOD NA UCET	793	47859	 	IJ	53561782
831609	2831	1998-09-09	VYDAJ	PREVOD NA UCET	793	44550	 	IJ	53561782
831610	2831	1998-10-09	VYDAJ	PREVOD NA UCET	793	41626	 	IJ	53561782
831611	2831	1998-11-09	VYDAJ	PREVOD NA UCET	793	43282	 	IJ	53561782
831612	2831	1998-12-09	VYDAJ	PREVOD NA UCET	793	40624	 	IJ	53561782
831628	2831	1998-04-08	VYDAJ	PREVOD NA UCET	363	73743	POJISTNE	IJ	29570031
831629	2831	1998-05-08	VYDAJ	PREVOD NA UCET	363	73968	POJISTNE	IJ	29570031
831630	2831	1998-06-08	VYDAJ	PREVOD NA UCET	363	70785	POJISTNE	IJ	29570031
831631	2831	1998-07-08	VYDAJ	PREVOD NA UCET	363	50154	POJISTNE	IJ	29570031
831632	2831	1998-08-08	VYDAJ	PREVOD NA UCET	363	48652	POJISTNE	IJ	29570031
831633	2831	1998-09-08	VYDAJ	PREVOD NA UCET	363	45343	POJISTNE	IJ	29570031
831634	2831	1998-10-08	VYDAJ	PREVOD NA UCET	363	42419	POJISTNE	IJ	29570031
831635	2831	1998-11-08	VYDAJ	PREVOD NA UCET	363	44075	POJISTNE	IJ	29570031
831636	2831	1998-12-08	VYDAJ	PREVOD NA UCET	363	41417	POJISTNE	IJ	29570031
831651	2831	1998-03-12	VYDAJ	PREVOD NA UCET	414	77389	 	GH	48501449
831652	2831	1998-04-12	VYDAJ	PREVOD NA UCET	414	77610	 	GH	48501449
831653	2831	1998-05-12	VYDAJ	PREVOD NA UCET	414	75035	 	GH	48501449
831654	2831	1998-06-12	VYDAJ	PREVOD NA UCET	414	79009	 	GH	48501449
831655	2831	1998-07-12	VYDAJ	PREVOD NA UCET	414	72221	 	GH	48501449
831656	2831	1998-08-12	VYDAJ	PREVOD NA UCET	414	70719	 	GH	48501449
831657	2831	1998-09-12	VYDAJ	PREVOD NA UCET	414	67410	 	GH	48501449
831658	2831	1998-10-12	VYDAJ	PREVOD NA UCET	414	64486	 	GH	48501449
831659	2831	1998-11-12	VYDAJ	PREVOD NA UCET	414	66142	 	GH	48501449
831660	2831	1998-12-12	VYDAJ	PREVOD NA UCET	414	75121	 	GH	48501449
831662	2831	1998-12-22	VYDAJ	VYBER	3200	71921	\N	\N	\N
831679	2831	1998-12-03	VYDAJ	VYBER	5520	60866	\N	\N	\N
831680	2831	1998-09-16	VYDAJ	VYBER	5280	62130	\N	\N	\N
831681	2831	1998-06-10	VYDAJ	VYBER	5880	44512	\N	\N	\N
831682	2831	1998-08-15	VYDAJ	VYBER	5880	64839	\N	\N	\N
831684	2831	1998-05-15	VYDAJ	VYBER	600	74435	\N	\N	\N
831700	2831	1998-03-31	VYDAJ	VYBER	15	77692	SLUZBY	\N	\N
831701	2831	1998-04-30	VYDAJ	VYBER	15	77917	SLUZBY	\N	\N
831702	2831	1998-05-31	VYDAJ	VYBER	15	74734	SLUZBY	\N	\N
831703	2831	1998-06-30	VYDAJ	VYBER	15	79303	SLUZBY	\N	\N
831704	2831	1998-07-31	VYDAJ	VYBER	15	72501	SLUZBY	\N	\N
831705	2831	1998-08-31	VYDAJ	VYBER	15	65092	SLUZBY	\N	\N
831706	2831	1998-09-30	VYDAJ	VYBER	15	62368	SLUZBY	\N	\N
831707	2831	1998-10-31	VYDAJ	VYBER	15	64724	SLUZBY	\N	\N
831708	2831	1998-11-30	VYDAJ	VYBER	15	66386	SLUZBY	\N	\N
831709	2831	1998-01-09	VYDAJ	VYBER	11400	48051	\N	\N	\N
831710	2831	1998-02-08	VYDAJ	VYBER	21500	50053	\N	\N	\N
831711	2831	1998-03-10	VYDAJ	VYBER	19100	54529	\N	\N	\N
831712	2831	1998-04-09	VYDAJ	VYBER	18200	54750	\N	\N	\N
831713	2831	1998-05-09	VYDAJ	VYBER	21000	52175	\N	\N	\N
831714	2831	1998-06-08	VYDAJ	VYBER	19600	51185	\N	\N	\N
831715	2831	1998-07-08	VYDAJ	VYBER	25200	50517	\N	\N	\N
831716	2831	1998-08-07	VYDAJ	VYBER	19900	49015	\N	\N	\N
831717	2831	1998-09-06	VYDAJ	VYBER	15800	49292	\N	\N	\N
831718	2831	1998-10-06	VYDAJ	VYBER	16000	46368	\N	\N	\N
831719	2831	1998-11-05	VYDAJ	VYBER	16700	48024	\N	\N	\N
831720	2831	1998-12-05	VYDAJ	VYBER	15500	45366	\N	\N	\N
831735	2832	1997-11-22	PRIJEM	VKLAD	700	700	\N	\N	\N
831747	2832	1997-12-07	PRIJEM	PREVOD Z UCTU	3244	3944	\N	EF	29651010
831748	2832	1998-01-07	PRIJEM	PREVOD Z UCTU	3244	7188	\N	EF	29651010
831749	2832	1998-02-07	PRIJEM	PREVOD Z UCTU	3244	10432	\N	EF	29651010
831750	2832	1998-03-07	PRIJEM	PREVOD Z UCTU	3244	13676	\N	EF	29651010
831751	2832	1998-04-07	PRIJEM	PREVOD Z UCTU	3244	16920	\N	EF	29651010
831752	2832	1998-05-07	PRIJEM	PREVOD Z UCTU	3244	18069	\N	EF	29651010
831753	2832	1998-06-07	PRIJEM	PREVOD Z UCTU	3244	18549	\N	EF	29651010
831754	2832	1998-07-07	PRIJEM	PREVOD Z UCTU	3244	17591	\N	EF	29651010
831755	2832	1998-08-07	PRIJEM	PREVOD Z UCTU	3244	18313	\N	EF	29651010
831756	2832	1998-09-07	PRIJEM	PREVOD Z UCTU	3244	19486	\N	EF	29651010
831757	2832	1998-10-07	PRIJEM	PREVOD Z UCTU	3244	19462	\N	EF	29651010
831758	2832	1998-11-07	PRIJEM	PREVOD Z UCTU	3244	19679	\N	EF	29651010
831759	2832	1998-12-07	PRIJEM	PREVOD Z UCTU	3244	20858	\N	EF	29651010
831775	2832	1998-04-11	VYDAJ	PREVOD NA UCET	2122	14798	\N	WX	70201998
831776	2832	1998-05-11	VYDAJ	PREVOD NA UCET	2122	15947	\N	WX	70201998
831777	2832	1998-06-11	VYDAJ	PREVOD NA UCET	2122	16427	\N	WX	70201998
831778	2832	1998-07-11	VYDAJ	PREVOD NA UCET	2122	15469	\N	WX	70201998
831779	2832	1998-08-11	VYDAJ	PREVOD NA UCET	2122	16191	\N	WX	70201998
831780	2832	1998-09-11	VYDAJ	PREVOD NA UCET	2122	17364	\N	WX	70201998
831781	2832	1998-10-11	VYDAJ	PREVOD NA UCET	2122	17340	\N	WX	70201998
831782	2832	1998-11-11	VYDAJ	PREVOD NA UCET	2122	17557	\N	WX	70201998
831783	2832	1998-12-11	VYDAJ	PREVOD NA UCET	2122	18736	\N	WX	70201998
831801	2832	1998-07-19	VYDAJ	VYBER	450	15019	\N	\N	\N
831803	2832	1998-06-15	VYDAJ	VYBER	1200	15227	\N	\N	\N
831804	2832	1998-07-02	VYDAJ	VYBER	930	14347	\N	\N	\N
831805	2832	1998-05-14	VYDAJ	VYBER	690	15257	\N	\N	\N
831806	2832	1998-09-16	VYDAJ	VYBER	1200	16164	\N	\N	\N
831807	2832	1998-10-24	VYDAJ	VYBER	960	16380	\N	\N	\N
831824	2832	1998-04-30	VYDAJ	VYBER	15	14825	SLUZBY	\N	\N
831825	2832	1998-05-31	VYDAJ	VYBER	15	15305	SLUZBY	\N	\N
831826	2832	1998-06-30	VYDAJ	VYBER	15	15277	SLUZBY	\N	\N
831827	2832	1998-07-31	VYDAJ	VYBER	15	15069	SLUZBY	\N	\N
831828	2832	1998-08-31	VYDAJ	VYBER	15	16242	SLUZBY	\N	\N
831829	2832	1998-09-30	VYDAJ	VYBER	15	16218	SLUZBY	\N	\N
831830	2832	1998-10-31	VYDAJ	VYBER	15	16435	SLUZBY	\N	\N
831831	2832	1998-11-30	VYDAJ	VYBER	15	17614	SLUZBY	\N	\N
831841	2833	1995-08-30	PRIJEM	VKLAD	400	400	\N	\N	\N
831850	2833	1995-09-12	PRIJEM	PREVOD Z UCTU	4455	4855	DUCHOD	AB	93659126
831851	2833	1995-10-12	PRIJEM	PREVOD Z UCTU	4455	9310	DUCHOD	AB	93659126
831852	2833	1995-11-12	PRIJEM	PREVOD Z UCTU	4455	13765	DUCHOD	AB	93659126
831853	2833	1995-12-12	PRIJEM	PREVOD Z UCTU	4455	18220	DUCHOD	AB	93659126
831854	2833	1996-01-12	PRIJEM	PREVOD Z UCTU	4455	22675	DUCHOD	AB	93659126
831855	2833	1996-02-12	PRIJEM	PREVOD Z UCTU	4455	22228	DUCHOD	AB	93659126
831856	2833	1996-03-12	PRIJEM	PREVOD Z UCTU	4455	23790	DUCHOD	AB	93659126
831857	2833	1996-04-12	PRIJEM	PREVOD Z UCTU	4455	21991	DUCHOD	AB	93659126
831858	2833	1996-05-12	PRIJEM	PREVOD Z UCTU	4455	23550	DUCHOD	AB	93659126
831859	2833	1996-06-12	PRIJEM	PREVOD Z UCTU	4455	18777	DUCHOD	AB	93659126
831860	2833	1996-07-12	PRIJEM	PREVOD Z UCTU	4455	19768	DUCHOD	AB	93659126
831861	2833	1996-08-12	PRIJEM	PREVOD Z UCTU	4455	19639	DUCHOD	AB	93659126
831862	2833	1996-09-12	PRIJEM	PREVOD Z UCTU	4455	21189	DUCHOD	AB	93659126
831863	2833	1996-10-12	PRIJEM	PREVOD Z UCTU	4455	22344	DUCHOD	AB	93659126
831864	2833	1996-11-12	PRIJEM	PREVOD Z UCTU	4455	21259	DUCHOD	AB	93659126
831865	2833	1996-12-12	PRIJEM	PREVOD Z UCTU	4455	22816	DUCHOD	AB	93659126
831866	2833	1997-01-12	PRIJEM	PREVOD Z UCTU	4455	24029	DUCHOD	AB	93659126
831867	2833	1997-02-12	PRIJEM	PREVOD Z UCTU	4455	25597	DUCHOD	AB	93659126
831868	2833	1997-03-12	PRIJEM	PREVOD Z UCTU	4455	23968	DUCHOD	AB	93659126
831869	2833	1997-04-12	PRIJEM	PREVOD Z UCTU	4455	22031	DUCHOD	AB	93659126
831870	2833	1997-05-12	PRIJEM	PREVOD Z UCTU	4455	21910	DUCHOD	AB	93659126
831871	2833	1997-06-12	PRIJEM	PREVOD Z UCTU	4455	20868	DUCHOD	AB	93659126
831872	2833	1997-07-12	PRIJEM	PREVOD Z UCTU	4455	17317	DUCHOD	AB	93659126
831873	2833	1997-08-12	PRIJEM	PREVOD Z UCTU	4455	18857	DUCHOD	AB	93659126
831874	2833	1997-09-12	PRIJEM	PREVOD Z UCTU	4455	18701	DUCHOD	AB	93659126
831875	2833	1997-10-12	PRIJEM	PREVOD Z UCTU	4455	14837	DUCHOD	AB	93659126
831876	2833	1997-11-12	PRIJEM	PREVOD Z UCTU	4455	15565	DUCHOD	AB	93659126
831877	2833	1997-12-12	PRIJEM	PREVOD Z UCTU	4455	16248	DUCHOD	AB	93659126
831878	2833	1998-01-12	PRIJEM	PREVOD Z UCTU	4455	14777	DUCHOD	AB	93659126
831879	2833	1998-02-12	PRIJEM	PREVOD Z UCTU	4455	16306	DUCHOD	AB	93659126
831880	2833	1998-03-12	PRIJEM	PREVOD Z UCTU	4455	17842	DUCHOD	AB	93659126
831881	2833	1998-04-12	PRIJEM	PREVOD Z UCTU	4455	19384	DUCHOD	AB	93659126
831882	2833	1998-05-12	PRIJEM	PREVOD Z UCTU	4455	20932	DUCHOD	AB	93659126
831883	2833	1998-06-12	PRIJEM	PREVOD Z UCTU	4455	17041	DUCHOD	AB	93659126
831884	2833	1998-07-12	PRIJEM	PREVOD Z UCTU	4455	16341	DUCHOD	AB	93659126
831885	2833	1998-08-12	PRIJEM	PREVOD Z UCTU	4455	17877	DUCHOD	AB	93659126
832007	2833	1998-04-30	VYDAJ	VYBER	15	19447	SLUZBY	\N	\N
831886	2833	1998-09-12	PRIJEM	PREVOD Z UCTU	4455	19419	DUCHOD	AB	93659126
831887	2833	1998-10-12	PRIJEM	PREVOD Z UCTU	4455	20967	DUCHOD	AB	93659126
831888	2833	1998-11-12	PRIJEM	PREVOD Z UCTU	4455	22522	DUCHOD	AB	93659126
831889	2833	1998-12-12	PRIJEM	PREVOD Z UCTU	4455	22162	DUCHOD	AB	93659126
831903	2833	1996-02-08	VYDAJ	PREVOD NA UCET	2970	19693	SIPO	CD	87006002
831904	2833	1996-03-08	VYDAJ	PREVOD NA UCET	2970	19335	SIPO	CD	87006002
831905	2833	1996-04-08	VYDAJ	PREVOD NA UCET	2970	17536	SIPO	CD	87006002
831906	2833	1996-05-08	VYDAJ	PREVOD NA UCET	2970	19095	SIPO	CD	87006002
831907	2833	1996-06-08	VYDAJ	PREVOD NA UCET	2970	15762	SIPO	CD	87006002
831908	2833	1996-07-08	VYDAJ	PREVOD NA UCET	2970	15873	SIPO	CD	87006002
831909	2833	1996-08-08	VYDAJ	PREVOD NA UCET	2970	15184	SIPO	CD	87006002
831910	2833	1996-09-08	VYDAJ	PREVOD NA UCET	2970	16734	SIPO	CD	87006002
831911	2833	1996-10-08	VYDAJ	PREVOD NA UCET	2970	17889	SIPO	CD	87006002
831912	2833	1996-11-08	VYDAJ	PREVOD NA UCET	2970	16804	SIPO	CD	87006002
831913	2833	1996-12-08	VYDAJ	PREVOD NA UCET	2970	18361	SIPO	CD	87006002
831914	2833	1997-01-08	VYDAJ	PREVOD NA UCET	2970	19574	SIPO	CD	87006002
831915	2833	1997-02-08	VYDAJ	PREVOD NA UCET	2970	21142	SIPO	CD	87006002
831916	2833	1997-03-08	VYDAJ	PREVOD NA UCET	2970	19513	SIPO	CD	87006002
831917	2833	1997-04-08	VYDAJ	PREVOD NA UCET	2970	17576	SIPO	CD	87006002
831918	2833	1997-05-08	VYDAJ	PREVOD NA UCET	2970	18655	SIPO	CD	87006002
831919	2833	1997-06-08	VYDAJ	PREVOD NA UCET	2970	18013	SIPO	CD	87006002
831920	2833	1997-07-08	VYDAJ	PREVOD NA UCET	2970	12862	SIPO	CD	87006002
831921	2833	1997-08-08	VYDAJ	PREVOD NA UCET	2970	14402	SIPO	CD	87006002
831922	2833	1997-09-08	VYDAJ	PREVOD NA UCET	2970	14246	SIPO	CD	87006002
831923	2833	1997-10-08	VYDAJ	PREVOD NA UCET	2970	10382	SIPO	CD	87006002
831924	2833	1997-11-08	VYDAJ	PREVOD NA UCET	2970	11110	SIPO	CD	87006002
831925	2833	1997-12-08	VYDAJ	PREVOD NA UCET	2970	11793	SIPO	CD	87006002
831926	2833	1998-01-08	VYDAJ	PREVOD NA UCET	2970	10322	SIPO	CD	87006002
831927	2833	1998-02-08	VYDAJ	PREVOD NA UCET	2970	11851	SIPO	CD	87006002
831928	2833	1998-03-08	VYDAJ	PREVOD NA UCET	2970	13387	SIPO	CD	87006002
831929	2833	1998-04-08	VYDAJ	PREVOD NA UCET	2970	14929	SIPO	CD	87006002
831930	2833	1998-05-08	VYDAJ	PREVOD NA UCET	2970	16477	SIPO	CD	87006002
831931	2833	1998-06-08	VYDAJ	PREVOD NA UCET	2970	12586	SIPO	CD	87006002
831932	2833	1998-07-08	VYDAJ	PREVOD NA UCET	2970	11886	SIPO	CD	87006002
831933	2833	1998-08-08	VYDAJ	PREVOD NA UCET	2970	13422	SIPO	CD	87006002
831934	2833	1998-09-08	VYDAJ	PREVOD NA UCET	2970	14964	SIPO	CD	87006002
831935	2833	1998-10-08	VYDAJ	PREVOD NA UCET	2970	16512	SIPO	CD	87006002
831936	2833	1998-11-08	VYDAJ	PREVOD NA UCET	2970	18067	SIPO	CD	87006002
831937	2833	1998-12-08	VYDAJ	PREVOD NA UCET	2970	17707	SIPO	CD	87006002
831939	2833	1996-06-04	VYDAJ	VYBER	4900	18732	\N	\N	\N
831943	2833	1996-12-28	VYDAJ	VYBER	350	22466	\N	\N	\N
831944	2833	1997-12-05	VYDAJ	VYBER	850	14763	\N	\N	\N
831945	2833	1998-12-12	VYDAJ	VYBER	900	21262	\N	\N	\N
831950	2833	1996-10-14	VYDAJ	VYBER	2640	19704	\N	\N	\N
831951	2833	1996-06-09	VYDAJ	VYBER	1440	14322	\N	\N	\N
831952	2833	1996-03-17	VYDAJ	VYBER	3360	20430	\N	\N	\N
831953	2833	1996-02-09	VYDAJ	VYBER	1920	17773	\N	\N	\N
831954	2833	1996-07-11	VYDAJ	VYBER	560	15313	\N	\N	\N
831955	2833	1996-07-12	VYDAJ	VYBER	1680	18088	\N	\N	\N
831956	2833	1997-04-19	VYDAJ	VYBER	480	21551	\N	\N	\N
831957	2833	1997-06-11	VYDAJ	VYBER	1600	16413	\N	\N	\N
831961	2833	1997-05-10	VYDAJ	VYBER	1200	17455	\N	\N	\N
831963	2833	1998-11-27	VYDAJ	VYBER	1920	20602	\N	\N	\N
831964	2833	1998-07-01	VYDAJ	VYBER	2240	14856	\N	\N	\N
831965	2833	1998-05-17	VYDAJ	VYBER	2880	18052	\N	\N	\N
831966	2833	1998-06-05	VYDAJ	VYBER	2560	15556	\N	\N	\N
831980	2833	1996-01-31	VYDAJ	VYBER	15	22663	SLUZBY	\N	\N
831981	2833	1996-02-29	VYDAJ	VYBER	15	22305	SLUZBY	\N	\N
831982	2833	1996-03-31	VYDAJ	VYBER	15	20506	SLUZBY	\N	\N
831983	2833	1996-04-30	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
831984	2833	1996-05-31	VYDAJ	VYBER	15	23632	SLUZBY	\N	\N
831985	2833	1996-06-30	VYDAJ	VYBER	15	18843	SLUZBY	\N	\N
831986	2833	1996-07-31	VYDAJ	VYBER	15	18154	SLUZBY	\N	\N
831987	2833	1996-08-31	VYDAJ	VYBER	15	19704	SLUZBY	\N	\N
831988	2833	1996-09-30	VYDAJ	VYBER	15	20859	SLUZBY	\N	\N
831989	2833	1996-10-31	VYDAJ	VYBER	15	19774	SLUZBY	\N	\N
831990	2833	1996-11-30	VYDAJ	VYBER	15	21331	SLUZBY	\N	\N
831991	2833	1996-12-31	VYDAJ	VYBER	15	22544	SLUZBY	\N	\N
831992	2833	1997-01-31	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
831993	2833	1997-02-28	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
831994	2833	1997-03-31	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
831995	2833	1997-04-30	VYDAJ	VYBER	15	21625	SLUZBY	\N	\N
831996	2833	1997-05-31	VYDAJ	VYBER	15	20983	SLUZBY	\N	\N
831997	2833	1997-06-30	VYDAJ	VYBER	15	15832	SLUZBY	\N	\N
831998	2833	1997-07-31	VYDAJ	VYBER	15	17372	SLUZBY	\N	\N
831999	2833	1997-08-31	VYDAJ	VYBER	15	17216	SLUZBY	\N	\N
832000	2833	1997-09-30	VYDAJ	VYBER	15	13352	SLUZBY	\N	\N
832001	2833	1997-10-31	VYDAJ	VYBER	15	14080	SLUZBY	\N	\N
832002	2833	1997-11-30	VYDAJ	VYBER	15	15613	SLUZBY	\N	\N
832003	2833	1997-12-31	VYDAJ	VYBER	15	13292	SLUZBY	\N	\N
832004	2833	1998-01-31	VYDAJ	VYBER	15	14821	SLUZBY	\N	\N
832005	2833	1998-02-28	VYDAJ	VYBER	15	16357	SLUZBY	\N	\N
832006	2833	1998-03-31	VYDAJ	VYBER	15	17899	SLUZBY	\N	\N
832008	2833	1998-05-31	VYDAJ	VYBER	15	18116	SLUZBY	\N	\N
832009	2833	1998-06-30	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
832010	2833	1998-07-31	VYDAJ	VYBER	15	16392	SLUZBY	\N	\N
832011	2833	1998-08-31	VYDAJ	VYBER	15	17934	SLUZBY	\N	\N
832012	2833	1998-09-30	VYDAJ	VYBER	15	19482	SLUZBY	\N	\N
832013	2833	1998-10-31	VYDAJ	VYBER	15	21037	SLUZBY	\N	\N
832014	2833	1998-11-30	VYDAJ	VYBER	15	20677	SLUZBY	\N	\N
832015	2833	1996-09-23	VYDAJ	VYBER	400	20789	\N	\N	\N
832016	2833	1997-02-20	VYDAJ	VYBER	3200	22397	\N	\N	\N
832017	2833	1997-03-22	VYDAJ	VYBER	3500	20468	\N	\N	\N
832018	2833	1997-05-21	VYDAJ	VYBER	1000	20910	\N	\N	\N
832019	2833	1997-06-20	VYDAJ	VYBER	5100	15768	\N	\N	\N
832020	2833	1997-08-19	VYDAJ	VYBER	1700	17157	\N	\N	\N
832021	2833	1997-09-18	VYDAJ	VYBER	5400	13301	\N	\N	\N
832022	2833	1997-10-18	VYDAJ	VYBER	800	14037	\N	\N	\N
832023	2833	1997-12-17	VYDAJ	VYBER	3000	13248	\N	\N	\N
832060	2834	1995-10-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
832071	2834	1995-11-11	PRIJEM	VKLAD	19119	20119	\N	\N	\N
832072	2834	1995-12-11	PRIJEM	VKLAD	28678	50451	\N	\N	\N
832073	2834	1996-01-11	PRIJEM	VKLAD	19119	58806	\N	\N	\N
832074	2834	1996-02-11	PRIJEM	VKLAD	19119	62099	\N	\N	\N
832075	2834	1996-03-11	PRIJEM	VKLAD	19119	62549	\N	\N	\N
832076	2834	1996-04-11	PRIJEM	VKLAD	19119	55784	\N	\N	\N
832077	2834	1996-05-11	PRIJEM	VKLAD	19119	54877	\N	\N	\N
832078	2834	1996-06-11	PRIJEM	VKLAD	28678	64232	\N	\N	\N
832079	2834	1996-07-11	PRIJEM	VKLAD	19119	53448	\N	\N	\N
832080	2834	1996-08-11	PRIJEM	VKLAD	19119	59573	\N	\N	\N
832081	2834	1996-09-11	PRIJEM	VKLAD	19119	63323	\N	\N	\N
832082	2834	1996-10-11	PRIJEM	VKLAD	19119	64478	\N	\N	\N
832083	2834	1996-11-11	PRIJEM	VKLAD	19119	66548	\N	\N	\N
832084	2834	1996-12-11	PRIJEM	VKLAD	28678	77388	\N	\N	\N
832085	2834	1997-01-11	PRIJEM	VKLAD	19119	74702	\N	\N	\N
832086	2834	1997-02-11	PRIJEM	VKLAD	19119	62106	\N	\N	\N
832087	2834	1997-03-11	PRIJEM	VKLAD	19119	62365	\N	\N	\N
832088	2834	1997-04-11	PRIJEM	VKLAD	19119	67629	\N	\N	\N
832089	2834	1997-05-11	PRIJEM	VKLAD	19119	70811	\N	\N	\N
832090	2834	1997-06-11	PRIJEM	VKLAD	28678	81066	\N	\N	\N
832091	2834	1997-07-11	PRIJEM	VKLAD	19119	61568	\N	\N	\N
832092	2834	1997-08-11	PRIJEM	VKLAD	19119	66227	\N	\N	\N
832093	2834	1997-09-11	PRIJEM	VKLAD	19119	62201	\N	\N	\N
832094	2834	1997-10-11	PRIJEM	VKLAD	19119	61964	\N	\N	\N
832095	2834	1997-11-11	PRIJEM	VKLAD	19119	63423	\N	\N	\N
832096	2834	1997-12-11	PRIJEM	VKLAD	28678	73847	\N	\N	\N
832097	2834	1998-01-11	PRIJEM	VKLAD	19119	68742	\N	\N	\N
832098	2834	1998-02-11	PRIJEM	VKLAD	19119	61223	\N	\N	\N
832099	2834	1998-03-11	PRIJEM	VKLAD	19119	64671	\N	\N	\N
832100	2834	1998-04-11	PRIJEM	VKLAD	19119	63434	\N	\N	\N
832101	2834	1998-05-11	PRIJEM	VKLAD	19119	64697	\N	\N	\N
832102	2834	1998-06-11	PRIJEM	VKLAD	28678	74424	\N	\N	\N
832103	2834	1998-07-11	PRIJEM	VKLAD	19119	64191	\N	\N	\N
832104	2834	1998-08-11	PRIJEM	VKLAD	19119	61950	\N	\N	\N
832105	2834	1998-09-11	PRIJEM	VKLAD	19119	57796	\N	\N	\N
832106	2834	1998-10-11	PRIJEM	VKLAD	19119	57828	\N	\N	\N
832107	2834	1998-11-11	PRIJEM	VKLAD	19119	59558	\N	\N	\N
832108	2834	1998-12-11	PRIJEM	VKLAD	28678	68752	\N	\N	\N
832123	2834	1996-03-12	VYDAJ	PREVOD NA UCET	2515	41534	SIPO	OP	24967217
832124	2834	1996-04-12	VYDAJ	PREVOD NA UCET	2515	40669	SIPO	OP	24967217
832125	2834	1996-05-12	VYDAJ	PREVOD NA UCET	2515	42362	SIPO	OP	24967217
832126	2834	1996-06-12	VYDAJ	PREVOD NA UCET	2515	61717	SIPO	OP	24967217
832127	2834	1996-07-12	VYDAJ	PREVOD NA UCET	2515	50933	SIPO	OP	24967217
832128	2834	1996-08-12	VYDAJ	PREVOD NA UCET	2515	57058	SIPO	OP	24967217
832129	2834	1996-09-12	VYDAJ	PREVOD NA UCET	2515	60808	SIPO	OP	24967217
832130	2834	1996-10-12	VYDAJ	PREVOD NA UCET	2515	61963	SIPO	OP	24967217
832131	2834	1996-11-12	VYDAJ	PREVOD NA UCET	2515	64033	SIPO	OP	24967217
832132	2834	1996-12-12	VYDAJ	PREVOD NA UCET	2515	74873	SIPO	OP	24967217
832133	2834	1997-01-12	VYDAJ	PREVOD NA UCET	2515	72187	SIPO	OP	24967217
832134	2834	1997-02-12	VYDAJ	PREVOD NA UCET	2515	59591	SIPO	OP	24967217
832135	2834	1997-03-12	VYDAJ	PREVOD NA UCET	2515	59850	SIPO	OP	24967217
832136	2834	1997-04-12	VYDAJ	PREVOD NA UCET	2515	65114	SIPO	OP	24967217
832137	2834	1997-05-12	VYDAJ	PREVOD NA UCET	2515	68296	SIPO	OP	24967217
832138	2834	1997-06-12	VYDAJ	PREVOD NA UCET	2515	76851	SIPO	OP	24967217
832139	2834	1997-07-12	VYDAJ	PREVOD NA UCET	2515	59053	SIPO	OP	24967217
832140	2834	1997-08-12	VYDAJ	PREVOD NA UCET	2515	63712	SIPO	OP	24967217
832141	2834	1997-09-12	VYDAJ	PREVOD NA UCET	2515	59686	SIPO	OP	24967217
832142	2834	1997-10-12	VYDAJ	PREVOD NA UCET	2515	59449	SIPO	OP	24967217
832143	2834	1997-11-12	VYDAJ	PREVOD NA UCET	2515	60908	SIPO	OP	24967217
832144	2834	1997-12-12	VYDAJ	PREVOD NA UCET	2515	71332	SIPO	OP	24967217
832145	2834	1998-01-12	VYDAJ	PREVOD NA UCET	2515	66227	SIPO	OP	24967217
832146	2834	1998-02-12	VYDAJ	PREVOD NA UCET	2515	58708	SIPO	OP	24967217
832147	2834	1998-03-12	VYDAJ	PREVOD NA UCET	2515	62156	SIPO	OP	24967217
832148	2834	1998-04-12	VYDAJ	PREVOD NA UCET	2515	60919	SIPO	OP	24967217
832149	2834	1998-05-12	VYDAJ	PREVOD NA UCET	2515	62182	SIPO	OP	24967217
832150	2834	1998-06-12	VYDAJ	PREVOD NA UCET	2515	71909	SIPO	OP	24967217
832151	2834	1998-07-12	VYDAJ	PREVOD NA UCET	2515	61676	SIPO	OP	24967217
832152	2834	1998-08-12	VYDAJ	PREVOD NA UCET	2515	59435	SIPO	OP	24967217
832153	2834	1998-09-12	VYDAJ	PREVOD NA UCET	2515	55281	SIPO	OP	24967217
832154	2834	1998-10-12	VYDAJ	PREVOD NA UCET	2515	55313	SIPO	OP	24967217
832155	2834	1998-11-12	VYDAJ	PREVOD NA UCET	2515	57043	SIPO	OP	24967217
832156	2834	1998-12-12	VYDAJ	PREVOD NA UCET	2515	66237	SIPO	OP	24967217
832172	2834	1996-04-06	VYDAJ	PREVOD NA UCET	1907	37096	 	GH	82648515
832173	2834	1996-05-06	VYDAJ	PREVOD NA UCET	1907	36189	 	GH	82648515
832174	2834	1996-06-06	VYDAJ	PREVOD NA UCET	1907	34985	 	GH	82648515
832175	2834	1996-07-06	VYDAJ	PREVOD NA UCET	1907	40060	 	GH	82648515
832176	2834	1996-08-06	VYDAJ	PREVOD NA UCET	1907	46485	 	GH	82648515
832177	2834	1996-09-06	VYDAJ	PREVOD NA UCET	1907	52635	 	GH	82648515
832178	2834	1996-10-06	VYDAJ	PREVOD NA UCET	1907	51490	 	GH	82648515
832179	2834	1996-11-06	VYDAJ	PREVOD NA UCET	1907	57560	 	GH	82648515
832180	2834	1996-12-06	VYDAJ	PREVOD NA UCET	1907	59641	 	GH	82648515
832181	2834	1997-01-06	VYDAJ	PREVOD NA UCET	1907	70514	 	GH	82648515
832182	2834	1997-02-06	VYDAJ	PREVOD NA UCET	1907	47418	 	GH	82648515
832183	2834	1997-03-06	VYDAJ	PREVOD NA UCET	1907	53677	 	GH	82648515
832184	2834	1997-04-06	VYDAJ	PREVOD NA UCET	1907	48941	 	GH	82648515
832185	2834	1997-05-06	VYDAJ	PREVOD NA UCET	1907	52123	 	GH	82648515
832186	2834	1997-06-06	VYDAJ	PREVOD NA UCET	1907	52819	 	GH	82648515
832187	2834	1997-07-06	VYDAJ	PREVOD NA UCET	1907	42880	 	GH	82648515
832188	2834	1997-08-06	VYDAJ	PREVOD NA UCET	1907	47539	 	GH	82648515
832189	2834	1997-09-06	VYDAJ	PREVOD NA UCET	1907	43513	 	GH	82648515
832190	2834	1997-10-06	VYDAJ	PREVOD NA UCET	1907	43276	 	GH	82648515
832191	2834	1997-11-06	VYDAJ	PREVOD NA UCET	1907	44735	 	GH	82648515
832192	2834	1997-12-06	VYDAJ	PREVOD NA UCET	1907	45600	 	GH	82648515
832193	2834	1998-01-06	VYDAJ	PREVOD NA UCET	1907	52854	 	GH	82648515
832194	2834	1998-02-06	VYDAJ	PREVOD NA UCET	1907	42535	 	GH	82648515
832195	2834	1998-03-06	VYDAJ	PREVOD NA UCET	1907	45983	 	GH	82648515
832196	2834	1998-04-06	VYDAJ	PREVOD NA UCET	1907	44746	 	GH	82648515
832197	2834	1998-05-06	VYDAJ	PREVOD NA UCET	1907	46009	 	GH	82648515
832198	2834	1998-06-06	VYDAJ	PREVOD NA UCET	1907	46177	 	GH	82648515
832199	2834	1998-07-06	VYDAJ	PREVOD NA UCET	1907	45503	 	GH	82648515
832200	2834	1998-08-06	VYDAJ	PREVOD NA UCET	1907	43262	 	GH	82648515
832201	2834	1998-09-06	VYDAJ	PREVOD NA UCET	1907	39108	 	GH	82648515
832202	2834	1998-10-06	VYDAJ	PREVOD NA UCET	1907	39140	 	GH	82648515
832203	2834	1998-11-06	VYDAJ	PREVOD NA UCET	1907	40870	 	GH	82648515
832204	2834	1998-12-06	VYDAJ	PREVOD NA UCET	1907	40505	 	GH	82648515
832220	2834	1996-04-09	VYDAJ	PREVOD NA UCET	431	36665	POJISTNE	MN	78759455
832221	2834	1996-05-09	VYDAJ	PREVOD NA UCET	431	35758	POJISTNE	MN	78759455
832222	2834	1996-06-09	VYDAJ	PREVOD NA UCET	431	34554	POJISTNE	MN	78759455
832223	2834	1996-07-09	VYDAJ	PREVOD NA UCET	431	39629	POJISTNE	MN	78759455
832224	2834	1996-08-09	VYDAJ	PREVOD NA UCET	431	46054	POJISTNE	MN	78759455
832225	2834	1996-09-09	VYDAJ	PREVOD NA UCET	431	44204	POJISTNE	MN	78759455
832226	2834	1996-10-09	VYDAJ	PREVOD NA UCET	431	45359	POJISTNE	MN	78759455
832227	2834	1996-11-09	VYDAJ	PREVOD NA UCET	431	47429	POJISTNE	MN	78759455
832228	2834	1996-12-09	VYDAJ	PREVOD NA UCET	431	48710	POJISTNE	MN	78759455
832229	2834	1997-01-09	VYDAJ	PREVOD NA UCET	431	55583	POJISTNE	MN	78759455
832230	2834	1997-02-09	VYDAJ	PREVOD NA UCET	431	42987	POJISTNE	MN	78759455
832231	2834	1997-03-09	VYDAJ	PREVOD NA UCET	431	43246	POJISTNE	MN	78759455
832232	2834	1997-04-09	VYDAJ	PREVOD NA UCET	431	48510	POJISTNE	MN	78759455
832233	2834	1997-05-09	VYDAJ	PREVOD NA UCET	431	51692	POJISTNE	MN	78759455
832234	2834	1997-06-09	VYDAJ	PREVOD NA UCET	431	52388	POJISTNE	MN	78759455
832235	2834	1997-07-09	VYDAJ	PREVOD NA UCET	431	42449	POJISTNE	MN	78759455
832236	2834	1997-08-09	VYDAJ	PREVOD NA UCET	431	47108	POJISTNE	MN	78759455
832237	2834	1997-09-09	VYDAJ	PREVOD NA UCET	431	43082	POJISTNE	MN	78759455
832238	2834	1997-10-09	VYDAJ	PREVOD NA UCET	431	42845	POJISTNE	MN	78759455
832239	2834	1997-11-09	VYDAJ	PREVOD NA UCET	431	44304	POJISTNE	MN	78759455
832240	2834	1997-12-09	VYDAJ	PREVOD NA UCET	431	45169	POJISTNE	MN	78759455
832241	2834	1998-01-09	VYDAJ	PREVOD NA UCET	431	49623	POJISTNE	MN	78759455
832242	2834	1998-02-09	VYDAJ	PREVOD NA UCET	431	42104	POJISTNE	MN	78759455
832243	2834	1998-03-09	VYDAJ	PREVOD NA UCET	431	45552	POJISTNE	MN	78759455
832244	2834	1998-04-09	VYDAJ	PREVOD NA UCET	431	44315	POJISTNE	MN	78759455
832245	2834	1998-05-09	VYDAJ	PREVOD NA UCET	431	45578	POJISTNE	MN	78759455
832246	2834	1998-06-09	VYDAJ	PREVOD NA UCET	431	45746	POJISTNE	MN	78759455
832247	2834	1998-07-09	VYDAJ	PREVOD NA UCET	431	45072	POJISTNE	MN	78759455
832248	2834	1998-08-09	VYDAJ	PREVOD NA UCET	431	42831	POJISTNE	MN	78759455
832249	2834	1998-09-09	VYDAJ	PREVOD NA UCET	431	38677	POJISTNE	MN	78759455
832250	2834	1998-10-09	VYDAJ	PREVOD NA UCET	431	38709	POJISTNE	MN	78759455
832251	2834	1998-11-09	VYDAJ	PREVOD NA UCET	431	40439	POJISTNE	MN	78759455
832252	2834	1998-12-09	VYDAJ	PREVOD NA UCET	431	40074	POJISTNE	MN	78759455
832268	2834	1996-04-05	VYDAJ	PREVOD NA UCET	2726	39003	 	WX	58814722
832269	2834	1996-05-05	VYDAJ	PREVOD NA UCET	2726	38096	 	WX	58814722
832270	2834	1996-06-05	VYDAJ	PREVOD NA UCET	2726	36892	 	WX	58814722
832271	2834	1996-07-05	VYDAJ	PREVOD NA UCET	2726	41967	 	WX	58814722
832272	2834	1996-08-05	VYDAJ	PREVOD NA UCET	2726	48392	 	WX	58814722
832273	2834	1996-09-05	VYDAJ	PREVOD NA UCET	2726	54542	 	WX	58814722
832274	2834	1996-10-05	VYDAJ	PREVOD NA UCET	2726	53397	 	WX	58814722
832275	2834	1996-11-05	VYDAJ	PREVOD NA UCET	2726	59467	 	WX	58814722
832276	2834	1996-12-05	VYDAJ	PREVOD NA UCET	2726	61548	 	WX	58814722
832277	2834	1997-01-05	VYDAJ	PREVOD NA UCET	2726	72421	 	WX	58814722
832278	2834	1997-02-05	VYDAJ	PREVOD NA UCET	2726	56125	 	WX	58814722
832279	2834	1997-03-05	VYDAJ	PREVOD NA UCET	2726	55584	 	WX	58814722
832280	2834	1997-04-05	VYDAJ	PREVOD NA UCET	2726	57348	 	WX	58814722
832281	2834	1997-05-05	VYDAJ	PREVOD NA UCET	2726	62630	 	WX	58814722
832282	2834	1997-06-05	VYDAJ	PREVOD NA UCET	2726	54726	 	WX	58814722
832283	2834	1997-07-05	VYDAJ	PREVOD NA UCET	2726	55987	 	WX	58814722
832284	2834	1997-08-05	VYDAJ	PREVOD NA UCET	2726	49446	 	WX	58814722
832285	2834	1997-09-05	VYDAJ	PREVOD NA UCET	2726	45420	 	WX	58814722
832286	2834	1997-10-05	VYDAJ	PREVOD NA UCET	2726	45183	 	WX	58814722
832287	2834	1997-11-05	VYDAJ	PREVOD NA UCET	2726	46642	 	WX	58814722
832288	2834	1997-12-05	VYDAJ	PREVOD NA UCET	2726	47507	 	WX	58814722
832289	2834	1998-01-05	VYDAJ	PREVOD NA UCET	2726	56061	 	WX	58814722
832290	2834	1998-02-05	VYDAJ	PREVOD NA UCET	2726	44442	 	WX	58814722
832291	2834	1998-03-05	VYDAJ	PREVOD NA UCET	2726	47890	 	WX	58814722
832292	2834	1998-04-05	VYDAJ	PREVOD NA UCET	2726	46653	 	WX	58814722
832293	2834	1998-05-05	VYDAJ	PREVOD NA UCET	2726	47916	 	WX	58814722
832294	2834	1998-06-05	VYDAJ	PREVOD NA UCET	2726	48084	 	WX	58814722
832295	2834	1998-07-05	VYDAJ	PREVOD NA UCET	2726	47410	 	WX	58814722
832296	2834	1998-08-05	VYDAJ	PREVOD NA UCET	2726	45169	 	WX	58814722
832297	2834	1998-09-05	VYDAJ	PREVOD NA UCET	2726	41015	 	WX	58814722
832298	2834	1998-10-05	VYDAJ	PREVOD NA UCET	2726	41047	 	WX	58814722
832299	2834	1998-11-05	VYDAJ	PREVOD NA UCET	2726	42777	 	WX	58814722
832300	2834	1998-12-05	VYDAJ	PREVOD NA UCET	2726	42412	 	WX	58814722
832302	2834	1996-06-17	VYDAJ	VYBER	17200	44517	\N	\N	\N
832303	2834	1997-06-24	VYDAJ	VYBER	18400	58451	\N	\N	\N
832304	2834	1998-06-20	VYDAJ	VYBER	14900	57009	\N	\N	\N
832317	2834	1997-01-26	VYDAJ	VYBER	700	64787	\N	\N	\N
832318	2834	1997-01-17	VYDAJ	VYBER	2700	68887	\N	\N	\N
832319	2834	1997-01-14	VYDAJ	VYBER	600	71587	\N	\N	\N
832320	2834	1997-01-28	VYDAJ	VYBER	2400	62387	\N	\N	\N
832321	2834	1997-01-24	VYDAJ	VYBER	2800	65487	\N	\N	\N
832322	2834	1997-01-19	VYDAJ	VYBER	600	68287	\N	\N	\N
832323	2834	1998-01-23	VYDAJ	VYBER KARTOU	2500	63727	\N	\N	0
832324	2834	1998-01-29	VYDAJ	VYBER KARTOU	2300	55027	\N	\N	0
832325	2834	1998-01-25	VYDAJ	VYBER KARTOU	2600	58727	\N	\N	0
832326	2834	1998-01-29	VYDAJ	VYBER KARTOU	1400	57327	\N	\N	0
832327	2834	1998-01-06	VYDAJ	VYBER KARTOU	1300	54761	\N	\N	0
832328	2834	1998-01-07	VYDAJ	VYBER KARTOU	2800	50054	\N	\N	0
832334	2834	1996-06-03	VYDAJ	VYBER	1400	39618	\N	\N	\N
832335	2834	1996-09-13	VYDAJ	VYBER	4900	55908	\N	\N	\N
832336	2834	1996-05-22	VYDAJ	VYBER	1500	40862	\N	\N	\N
832337	2834	1997-05-25	VYDAJ	VYBER	1800	66496	\N	\N	\N
832338	2834	1997-08-01	VYDAJ	VYBER	800	58472	\N	\N	\N
832339	2834	1997-01-31	VYDAJ	VYBER	3800	58851	\N	\N	\N
832340	2834	1997-02-08	VYDAJ	VYBER	4000	43418	\N	\N	\N
832341	2834	1997-02-13	VYDAJ	VYBER	1500	58091	\N	\N	\N
832342	2834	1997-06-12	VYDAJ	VYBER	1700	79366	\N	\N	\N
832343	2834	1998-09-28	VYDAJ	VYBER KARTOU	1400	53881	\N	\N	0
832344	2834	1998-01-24	VYDAJ	VYBER KARTOU	2400	61327	\N	\N	0
832345	2834	1998-03-23	VYDAJ	VYBER KARTOU	4000	58156	\N	\N	0
832346	2834	1998-12-28	VYDAJ	VYBER KARTOU	2200	42037	\N	\N	0
832362	2834	1996-03-31	VYDAJ	VYBER	15	41729	SLUZBY	\N	\N
832363	2834	1996-04-30	VYDAJ	VYBER	15	40822	SLUZBY	\N	\N
832364	2834	1996-05-31	VYDAJ	VYBER	15	41018	SLUZBY	\N	\N
832365	2834	1996-06-30	VYDAJ	VYBER	15	44693	SLUZBY	\N	\N
832366	2834	1996-07-31	VYDAJ	VYBER	15	51118	SLUZBY	\N	\N
832367	2834	1996-08-31	VYDAJ	VYBER	15	57268	SLUZBY	\N	\N
832368	2834	1996-09-30	VYDAJ	VYBER	15	56123	SLUZBY	\N	\N
832369	2834	1996-10-31	VYDAJ	VYBER	15	62193	SLUZBY	\N	\N
832370	2834	1996-11-30	VYDAJ	VYBER	15	64274	SLUZBY	\N	\N
832371	2834	1996-12-31	VYDAJ	VYBER	15	75147	SLUZBY	\N	\N
832372	2834	1997-01-31	VYDAJ	VYBER	15	62651	SLUZBY	\N	\N
832373	2834	1997-02-28	VYDAJ	VYBER	15	58310	SLUZBY	\N	\N
832374	2834	1997-03-31	VYDAJ	VYBER	15	60074	SLUZBY	\N	\N
832375	2834	1997-04-30	VYDAJ	VYBER	15	65356	SLUZBY	\N	\N
832376	2834	1997-05-31	VYDAJ	VYBER	15	66752	SLUZBY	\N	\N
832377	2834	1997-06-30	VYDAJ	VYBER	15	58713	SLUZBY	\N	\N
832378	2834	1997-07-31	VYDAJ	VYBER	15	59272	SLUZBY	\N	\N
832379	2834	1997-08-31	VYDAJ	VYBER	15	63946	SLUZBY	\N	\N
832380	2834	1997-09-30	VYDAJ	VYBER	15	59909	SLUZBY	\N	\N
832381	2834	1997-10-31	VYDAJ	VYBER	15	59668	SLUZBY	\N	\N
832382	2834	1997-11-30	VYDAJ	VYBER	15	61133	SLUZBY	\N	\N
832383	2834	1997-12-31	VYDAJ	VYBER	15	71587	SLUZBY	\N	\N
832384	2834	1998-01-31	VYDAJ	VYBER	15	47168	SLUZBY	\N	\N
832385	2834	1998-02-28	VYDAJ	VYBER	15	58916	SLUZBY	\N	\N
832386	2834	1998-03-31	VYDAJ	VYBER	15	58379	SLUZBY	\N	\N
832387	2834	1998-04-30	VYDAJ	VYBER	15	61142	SLUZBY	\N	\N
832388	2834	1998-05-31	VYDAJ	VYBER	15	50810	SLUZBY	\N	\N
832389	2834	1998-06-30	VYDAJ	VYBER	15	57236	SLUZBY	\N	\N
832390	2834	1998-07-31	VYDAJ	VYBER	15	47895	SLUZBY	\N	\N
832391	2834	1998-08-31	VYDAJ	VYBER	15	43741	SLUZBY	\N	\N
832392	2834	1998-09-30	VYDAJ	VYBER	15	43773	SLUZBY	\N	\N
832393	2834	1998-10-31	VYDAJ	VYBER	15	45503	SLUZBY	\N	\N
832394	2834	1998-11-30	VYDAJ	VYBER	15	45138	SLUZBY	\N	\N
832395	2834	1995-11-13	PRIJEM	VKLAD	1600	21719	\N	\N	\N
832396	2834	1995-12-13	VYDAJ	VYBER	10900	39551	\N	\N	\N
832397	2834	1996-01-12	VYDAJ	VYBER	16000	42806	\N	\N	\N
832398	2834	1996-02-11	VYDAJ	VYBER	18900	43199	\N	\N	\N
832399	2834	1996-03-12	VYDAJ	VYBER	18500	44049	\N	\N	\N
832400	2834	1996-04-11	VYDAJ	VYBER	12600	43184	\N	\N	\N
832401	2834	1996-05-11	VYDAJ	VYBER	10000	44877	\N	\N	\N
832402	2834	1996-06-10	PRIJEM	VKLAD	1000	35554	\N	\N	\N
832403	2834	1996-07-10	VYDAJ	VYBER	5300	34329	\N	\N	\N
832404	2834	1996-08-09	VYDAJ	VYBER	5600	40454	\N	\N	\N
832405	2834	1996-09-08	VYDAJ	VYBER	8000	44635	\N	\N	\N
832406	2834	1996-10-08	VYDAJ	VYBER	5700	45790	\N	\N	\N
832407	2834	1996-11-07	VYDAJ	VYBER	9700	47860	\N	\N	\N
832408	2834	1996-12-07	VYDAJ	VYBER	10500	49141	\N	\N	\N
832409	2834	1997-01-06	VYDAJ	VYBER	14500	56014	\N	\N	\N
832410	2834	1997-02-05	VYDAJ	VYBER	6800	49325	\N	\N	\N
832411	2834	1997-03-07	VYDAJ	VYBER	10000	43677	\N	\N	\N
832412	2834	1997-04-06	VYDAJ	VYBER	6500	50848	\N	\N	\N
832413	2834	1997-05-06	VYDAJ	VYBER	8600	54030	\N	\N	\N
832414	2834	1997-06-05	VYDAJ	VYBER	9300	57452	\N	\N	\N
832415	2834	1997-07-05	VYDAJ	VYBER	11200	44787	\N	\N	\N
832416	2834	1997-08-04	VYDAJ	VYBER	6300	52172	\N	\N	\N
832417	2834	1997-09-03	VYDAJ	VYBER	15800	48146	\N	\N	\N
832418	2834	1997-10-03	VYDAJ	VYBER	12000	47909	\N	\N	\N
832419	2834	1997-11-02	VYDAJ	VYBER	10300	49368	\N	\N	\N
832420	2834	1997-12-02	VYDAJ	VYBER	10900	50233	\N	\N	\N
832421	2834	1998-01-01	VYDAJ	VYBER	12800	58787	\N	\N	\N
832422	2834	1998-01-31	VYDAJ	VYBER	8100	47182	\N	\N	\N
832423	2834	1998-03-02	VYDAJ	VYBER	8300	50616	\N	\N	\N
832424	2834	1998-04-01	VYDAJ	VYBER	9000	49379	\N	\N	\N
832425	2834	1998-05-01	VYDAJ	VYBER	10500	50642	\N	\N	\N
832426	2834	1998-05-31	VYDAJ	VYBER	11600	50825	\N	\N	\N
832427	2834	1998-06-30	VYDAJ	VYBER	7100	50136	\N	\N	\N
832428	2834	1998-07-30	VYDAJ	VYBER	14000	47676	\N	\N	\N
832429	2834	1998-08-29	VYDAJ	VYBER	15900	43535	\N	\N	\N
832430	2834	1998-09-28	VYDAJ	VYBER	10300	43581	\N	\N	\N
832431	2834	1998-10-28	VYDAJ	VYBER	10000	45313	\N	\N	\N
832432	2834	1998-11-27	VYDAJ	VYBER	12100	44943	\N	\N	\N
832433	2834	1998-12-27	VYDAJ	VYBER	22000	44237	\N	\N	\N
832472	2835	1995-10-03	PRIJEM	VKLAD	200	200	\N	\N	\N
832474	2835	1995-11-20	PRIJEM	VKLAD	6194	6995	\N	\N	\N
832475	2835	1996-04-18	PRIJEM	VKLAD	46542	80767	\N	\N	\N
832476	2835	1996-03-09	PRIJEM	VKLAD	8946	36998	\N	\N	\N
832477	2835	1997-07-01	PRIJEM	VKLAD	24084	53337	\N	\N	\N
832478	2835	1997-06-11	PRIJEM	VKLAD	5791	26646	\N	\N	\N
832479	2835	1998-11-07	PRIJEM	VKLAD	10334	25789	\N	\N	\N
832480	2835	1998-03-22	PRIJEM	VKLAD	13875	43420	\N	\N	\N
832490	2835	1995-10-13	PRIJEM	VKLAD	300	500	\N	\N	\N
832491	2835	1995-11-16	PRIJEM	VKLAD	300	801	\N	\N	\N
832492	2835	1995-12-14	PRIJEM	VKLAD	300	14807	\N	\N	\N
832493	2835	1996-01-15	PRIJEM	VKLAD	300	21455	\N	\N	\N
832494	2835	1996-02-14	PRIJEM	VKLAD	300	24466	\N	\N	\N
832495	2835	1996-03-17	PRIJEM	VKLAD	300	37298	\N	\N	\N
832496	2835	1996-04-13	PRIJEM	VKLAD	300	34225	\N	\N	\N
832497	2835	1996-05-16	PRIJEM	VKLAD	300	53882	\N	\N	\N
832498	2835	1996-06-16	PRIJEM	VKLAD	300	20038	\N	\N	\N
832499	2835	1996-07-15	PRIJEM	VKLAD	300	24500	\N	\N	\N
832500	2835	1996-08-15	PRIJEM	VKLAD	300	25937	\N	\N	\N
832501	2835	1996-09-17	PRIJEM	VKLAD	300	29331	\N	\N	\N
832502	2835	1996-10-17	PRIJEM	VKLAD	300	34340	\N	\N	\N
832503	2835	1996-11-13	PRIJEM	VKLAD	300	34617	\N	\N	\N
832504	2835	1996-12-15	PRIJEM	VKLAD	300	31896	\N	\N	\N
832505	2835	1997-01-17	PRIJEM	VKLAD	300	26319	\N	\N	\N
832506	2835	1997-02-13	PRIJEM	VKLAD	300	28110	\N	\N	\N
832507	2835	1997-03-16	PRIJEM	VKLAD	300	29211	\N	\N	\N
832508	2835	1997-04-16	PRIJEM	VKLAD	300	32119	\N	\N	\N
832509	2835	1997-05-13	PRIJEM	VKLAD	300	32336	\N	\N	\N
832510	2835	1997-06-16	PRIJEM	VKLAD	300	26946	\N	\N	\N
832511	2835	1997-07-15	PRIJEM	VKLAD	300	53637	\N	\N	\N
832512	2835	1997-08-17	PRIJEM	VKLAD	300	43739	\N	\N	\N
832513	2835	1997-09-17	PRIJEM	VKLAD	300	37400	\N	\N	\N
832514	2835	1997-10-17	PRIJEM	VKLAD	300	29233	\N	\N	\N
832515	2835	1997-11-15	PRIJEM	VKLAD	300	24935	\N	\N	\N
832516	2835	1997-12-17	PRIJEM	VKLAD	300	23522	\N	\N	\N
832517	2835	1998-01-14	PRIJEM	VKLAD	300	20307	\N	\N	\N
832518	2835	1998-02-16	PRIJEM	VKLAD	300	17173	\N	\N	\N
832519	2835	1998-03-15	PRIJEM	VKLAD	300	25945	\N	\N	\N
832520	2835	1998-04-15	PRIJEM	VKLAD	300	41636	\N	\N	\N
832521	2835	1998-05-16	PRIJEM	VKLAD	300	34836	\N	\N	\N
832522	2835	1998-06-13	PRIJEM	VKLAD	300	19559	\N	\N	\N
832523	2835	1998-07-16	PRIJEM	VKLAD	300	21948	\N	\N	\N
832524	2835	1998-08-17	PRIJEM	VKLAD	300	20720	\N	\N	\N
832525	2835	1998-09-13	PRIJEM	VKLAD	300	21190	\N	\N	\N
832526	2835	1998-10-14	PRIJEM	VKLAD	300	16804	\N	\N	\N
832527	2835	1998-11-13	PRIJEM	VKLAD	300	26089	\N	\N	\N
832528	2835	1998-12-15	PRIJEM	VKLAD	300	16747	\N	\N	\N
832532	2835	1998-06-07	VYDAJ	VYBER	12000	19259	\N	\N	\N
832534	2835	1996-06-15	VYDAJ	VYBER	20600	19738	\N	\N	\N
832535	2835	1997-06-07	VYDAJ	VYBER	11900	20855	\N	\N	\N
832538	2835	1996-01-23	VYDAJ	VYBER	1200	20255	\N	\N	\N
832539	2835	1997-01-19	VYDAJ	VYBER	7800	17319	\N	\N	\N
832540	2835	1998-01-17	VYDAJ	VYBER	3600	15857	\N	\N	\N
832542	2835	1996-12-14	VYDAJ	VYBER	2800	31596	\N	\N	\N
832543	2835	1997-12-06	VYDAJ	VYBER	1300	23222	\N	\N	\N
832544	2835	1998-12-07	VYDAJ	VYBER	1100	16447	\N	\N	\N
832551	2835	1996-01-30	VYDAJ	VYBER	1200	17505	\N	\N	\N
832555	2835	1996-01-28	VYDAJ	VYBER	450	18705	\N	\N	\N
832556	2835	1996-01-26	VYDAJ	VYBER	1100	19155	\N	\N	\N
832557	2835	1997-01-04	VYDAJ	VYBER	650	29119	\N	\N	\N
832558	2835	1997-01-06	VYDAJ	VYBER	750	26919	\N	\N	\N
832559	2835	1997-01-09	VYDAJ	VYBER	900	26019	\N	\N	\N
832560	2835	1997-01-18	VYDAJ	VYBER	1200	25119	\N	\N	\N
832561	2835	1997-01-05	VYDAJ	VYBER	1450	27669	\N	\N	\N
832562	2835	1997-01-01	VYDAJ	VYBER	1250	29769	\N	\N	\N
832563	2835	1998-01-17	VYDAJ	VYBER	850	19457	\N	\N	\N
832564	2835	1998-01-03	VYDAJ	VYBER	1300	20807	\N	\N	\N
832565	2835	1998-01-01	VYDAJ	VYBER	1100	22107	\N	\N	\N
832566	2835	1998-01-21	VYDAJ	VYBER	1000	18557	\N	\N	\N
832567	2835	1998-01-07	VYDAJ	VYBER	800	20007	\N	\N	\N
832568	2835	1998-01-24	VYDAJ	VYBER	250	18307	\N	\N	\N
832573	2835	1996-06-26	VYDAJ	VYBER	2150	17888	\N	\N	\N
832575	2835	1996-12-03	VYDAJ	VYBER	550	34396	\N	\N	\N
832576	2835	1996-11-12	VYDAJ	VYBER	650	34317	\N	\N	\N
832577	2835	1996-11-20	VYDAJ	VYBER	1800	32817	\N	\N	\N
832578	2835	1996-07-28	VYDAJ	VYBER	350	24150	\N	\N	\N
832579	2835	1996-06-07	VYDAJ	VYBER	1850	40338	\N	\N	\N
832580	2835	1997-09-15	VYDAJ	VYBER	1000	37100	\N	\N	\N
832581	2835	1997-04-18	VYDAJ	VYBER	1700	30419	\N	\N	\N
832582	2835	1997-08-08	VYDAJ	VYBER	550	43439	\N	\N	\N
832583	2835	1997-10-14	VYDAJ	VYBER	1100	28933	\N	\N	\N
832584	2835	1998-02-13	VYDAJ	VYBER	1500	16873	\N	\N	\N
832585	2835	1998-12-05	VYDAJ	VYBER	400	17547	\N	\N	\N
832586	2835	1998-04-20	VYDAJ	VYBER	350	41286	\N	\N	\N
832587	2835	1998-09-18	VYDAJ	VYBER	400	17890	\N	\N	\N
832588	2835	1998-04-06	VYDAJ	VYBER	2200	41336	\N	\N	\N
832589	2835	1998-09-21	VYDAJ	VYBER	1450	16440	\N	\N	\N
832603	2835	1996-01-31	VYDAJ	VYBER	15	24166	SLUZBY	\N	\N
832604	2835	1996-02-29	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
832605	2835	1996-03-31	VYDAJ	VYBER	15	37425	SLUZBY	\N	\N
832606	2835	1996-04-30	VYDAJ	VYBER	15	80982	SLUZBY	\N	\N
832607	2835	1996-05-31	VYDAJ	VYBER	15	42188	SLUZBY	\N	\N
832608	2835	1996-06-30	VYDAJ	VYBER	15	24200	SLUZBY	\N	\N
832609	2835	1996-07-31	VYDAJ	VYBER	15	25637	SLUZBY	\N	\N
832610	2835	1996-08-31	VYDAJ	VYBER	15	29031	SLUZBY	\N	\N
832611	2835	1996-09-30	VYDAJ	VYBER	15	34040	SLUZBY	\N	\N
832612	2835	1996-10-31	VYDAJ	VYBER	15	34967	SLUZBY	\N	\N
832613	2835	1996-11-30	VYDAJ	VYBER	15	34946	SLUZBY	\N	\N
832614	2835	1996-12-31	VYDAJ	VYBER	15	31019	SLUZBY	\N	\N
832615	2835	1997-01-31	VYDAJ	VYBER	15	27810	SLUZBY	\N	\N
832616	2835	1997-02-28	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
832617	2835	1997-03-31	VYDAJ	VYBER	15	31819	SLUZBY	\N	\N
832618	2835	1997-04-30	VYDAJ	VYBER	15	32036	SLUZBY	\N	\N
832619	2835	1997-05-31	VYDAJ	VYBER	15	32755	SLUZBY	\N	\N
832620	2835	1997-06-30	VYDAJ	VYBER	15	29253	SLUZBY	\N	\N
832621	2835	1997-07-31	VYDAJ	VYBER	15	43989	SLUZBY	\N	\N
832622	2835	1997-08-31	VYDAJ	VYBER	15	38100	SLUZBY	\N	\N
832623	2835	1997-09-30	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
832624	2835	1997-10-31	VYDAJ	VYBER	15	24635	SLUZBY	\N	\N
832625	2835	1997-11-30	VYDAJ	VYBER	15	24522	SLUZBY	\N	\N
832626	2835	1997-12-31	VYDAJ	VYBER	15	23207	SLUZBY	\N	\N
832627	2835	1998-01-31	VYDAJ	VYBER	15	18373	SLUZBY	\N	\N
832628	2835	1998-02-28	VYDAJ	VYBER	15	25645	SLUZBY	\N	\N
832629	2835	1998-03-31	VYDAJ	VYBER	15	43536	SLUZBY	\N	\N
832630	2835	1998-04-30	VYDAJ	VYBER	15	34536	SLUZBY	\N	\N
832631	2835	1998-05-31	VYDAJ	VYBER	15	31259	SLUZBY	\N	\N
832632	2835	1998-06-30	VYDAJ	VYBER	15	21648	SLUZBY	\N	\N
832633	2835	1998-07-31	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
832634	2835	1998-08-31	VYDAJ	VYBER	15	20890	SLUZBY	\N	\N
832635	2835	1998-09-30	VYDAJ	VYBER	15	16504	SLUZBY	\N	\N
832636	2835	1998-10-31	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
832637	2835	1998-11-30	VYDAJ	VYBER	15	17947	SLUZBY	\N	\N
832638	2835	1995-12-02	PRIJEM	VKLAD	7500	14507	\N	\N	\N
832639	2835	1996-01-01	PRIJEM	VKLAD	6300	21155	\N	\N	\N
832640	2835	1996-01-31	PRIJEM	VKLAD	6600	24105	\N	\N	\N
832641	2835	1996-03-01	PRIJEM	VKLAD	3500	28052	\N	\N	\N
832642	2835	1996-03-31	VYDAJ	VYBER	3500	33925	\N	\N	\N
832643	2835	1996-04-30	VYDAJ	VYBER	27400	53582	\N	\N	\N
832644	2835	1996-05-30	VYDAJ	VYBER	11900	41982	\N	\N	\N
832645	2835	1996-06-29	PRIJEM	VKLAD	6200	24088	\N	\N	\N
832646	2835	1996-07-29	PRIJEM	VKLAD	1400	25550	\N	\N	\N
832647	2835	1996-08-28	PRIJEM	VKLAD	3000	28937	\N	\N	\N
832648	2835	1996-09-27	PRIJEM	VKLAD	4600	33931	\N	\N	\N
832649	2835	1996-10-27	PRIJEM	VKLAD	500	34840	\N	\N	\N
832650	2835	1996-11-26	PRIJEM	VKLAD	2000	34817	\N	\N	\N
832651	2835	1996-12-26	VYDAJ	VYBER	1000	30896	\N	\N	\N
832652	2835	1997-01-25	PRIJEM	VKLAD	10400	27719	\N	\N	\N
832653	2835	1997-02-24	PRIJEM	VKLAD	700	28810	\N	\N	\N
832654	2835	1997-03-26	PRIJEM	VKLAD	2500	31711	\N	\N	\N
832655	2835	1997-04-25	PRIJEM	VKLAD	1500	31919	\N	\N	\N
832656	2835	1997-05-25	PRIJEM	VKLAD	300	32636	\N	\N	\N
832657	2835	1997-06-24	PRIJEM	VKLAD	2200	29146	\N	\N	\N
832658	2835	1997-07-24	VYDAJ	VYBER	9800	43837	\N	\N	\N
832659	2835	1997-08-23	VYDAJ	VYBER	5800	37939	\N	\N	\N
832660	2835	1997-09-22	VYDAJ	VYBER	7500	29900	\N	\N	\N
832661	2835	1997-10-22	VYDAJ	VYBER	4700	24533	\N	\N	\N
832662	2835	1997-11-21	VYDAJ	VYBER	500	24435	\N	\N	\N
832663	2835	1997-12-21	VYDAJ	VYBER	400	23122	\N	\N	\N
832664	2835	1998-01-20	PRIJEM	VKLAD	3700	19557	\N	\N	\N
832665	2835	1998-02-19	PRIJEM	VKLAD	8400	25573	\N	\N	\N
832666	2835	1998-03-21	PRIJEM	VKLAD	3600	29545	\N	\N	\N
832667	2835	1998-04-20	VYDAJ	VYBER	6900	34386	\N	\N	\N
832668	2835	1998-05-20	VYDAJ	VYBER	3700	31136	\N	\N	\N
832669	2835	1998-06-19	PRIJEM	VKLAD	2000	21559	\N	\N	\N
832670	2835	1998-07-19	VYDAJ	VYBER	1600	20348	\N	\N	\N
832671	2835	1998-08-18	PRIJEM	VKLAD	100	20820	\N	\N	\N
832672	2835	1998-09-17	VYDAJ	VYBER	2900	18290	\N	\N	\N
832673	2835	1998-10-17	VYDAJ	VYBER	1400	15404	\N	\N	\N
832674	2835	1998-11-16	VYDAJ	VYBER	8200	17889	\N	\N	\N
832714	2836	1995-11-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
832726	2836	1995-12-06	PRIJEM	VKLAD	28152	29252	\N	\N	\N
832727	2836	1996-01-06	PRIJEM	VKLAD	18768	48776	\N	\N	\N
832728	2836	1996-02-06	PRIJEM	VKLAD	18768	60693	\N	\N	\N
832729	2836	1996-03-06	PRIJEM	VKLAD	18768	63841	\N	\N	\N
832730	2836	1996-04-06	PRIJEM	VKLAD	18768	67404	\N	\N	\N
832731	2836	1996-05-06	PRIJEM	VKLAD	18768	64994	\N	\N	\N
832732	2836	1996-06-06	PRIJEM	VKLAD	28152	67414	\N	\N	\N
832733	2836	1996-07-06	PRIJEM	VKLAD	18768	56009	\N	\N	\N
832734	2836	1996-08-06	PRIJEM	VKLAD	18768	59763	\N	\N	\N
832735	2836	1996-09-06	PRIJEM	VKLAD	18768	60526	\N	\N	\N
832736	2836	1996-10-06	PRIJEM	VKLAD	18768	62092	\N	\N	\N
832737	2836	1996-11-06	PRIJEM	VKLAD	18768	54004	\N	\N	\N
832738	2836	1996-12-06	PRIJEM	VKLAD	28152	60457	\N	\N	\N
832739	2836	1997-01-06	PRIJEM	VKLAD	18768	58613	\N	\N	\N
832740	2836	1997-02-06	PRIJEM	VKLAD	18768	44245	\N	\N	\N
832741	2836	1997-03-06	PRIJEM	VKLAD	18768	59479	\N	\N	\N
832742	2836	1997-04-06	PRIJEM	VKLAD	18768	63647	\N	\N	\N
832743	2836	1997-05-06	PRIJEM	VKLAD	18768	67733	\N	\N	\N
832744	2836	1997-06-06	PRIJEM	VKLAD	28152	76407	\N	\N	\N
832745	2836	1997-07-06	PRIJEM	VKLAD	18768	47745	\N	\N	\N
832746	2836	1997-08-06	PRIJEM	VKLAD	18768	54973	\N	\N	\N
832747	2836	1997-09-06	PRIJEM	VKLAD	18768	65339	\N	\N	\N
832748	2836	1997-10-06	PRIJEM	VKLAD	18768	67220	\N	\N	\N
832749	2836	1997-11-06	PRIJEM	VKLAD	18768	60794	\N	\N	\N
832750	2836	1997-12-06	PRIJEM	VKLAD	28152	72476	\N	\N	\N
832751	2836	1998-01-06	PRIJEM	VKLAD	18768	61284	\N	\N	\N
832752	2836	1998-02-06	PRIJEM	VKLAD	18768	45191	\N	\N	\N
832753	2836	1998-03-06	PRIJEM	VKLAD	18768	54612	\N	\N	\N
832754	2836	1998-04-06	PRIJEM	VKLAD	18768	57581	\N	\N	\N
832755	2836	1998-05-06	PRIJEM	VKLAD	18768	51806	\N	\N	\N
832756	2836	1998-06-06	PRIJEM	VKLAD	28152	57796	\N	\N	\N
832757	2836	1998-07-06	PRIJEM	VKLAD	18768	42627	\N	\N	\N
832758	2836	1998-08-06	PRIJEM	VKLAD	18768	46237	\N	\N	\N
832759	2836	1998-09-06	PRIJEM	VKLAD	18768	42569	\N	\N	\N
832760	2836	1998-10-06	PRIJEM	VKLAD	18768	41008	\N	\N	\N
832761	2836	1998-11-06	PRIJEM	VKLAD	18768	32769	\N	\N	\N
832762	2836	1998-12-06	PRIJEM	VKLAD	28152	47727	\N	\N	\N
832778	2836	1996-04-07	VYDAJ	PREVOD NA UCET	9472	57932	SIPO	CD	56261038
832779	2836	1996-05-07	VYDAJ	PREVOD NA UCET	9472	55522	SIPO	CD	56261038
832780	2836	1996-06-07	VYDAJ	PREVOD NA UCET	9472	57942	SIPO	CD	56261038
832781	2836	1996-07-07	VYDAJ	PREVOD NA UCET	9472	46537	SIPO	CD	56261038
832782	2836	1996-08-07	VYDAJ	PREVOD NA UCET	9472	50291	SIPO	CD	56261038
832783	2836	1996-09-07	VYDAJ	PREVOD NA UCET	9472	51054	SIPO	CD	56261038
832784	2836	1996-10-07	VYDAJ	PREVOD NA UCET	9472	52620	SIPO	CD	56261038
832785	2836	1996-11-07	VYDAJ	PREVOD NA UCET	9472	44532	SIPO	CD	56261038
832786	2836	1996-12-07	VYDAJ	PREVOD NA UCET	9472	49385	SIPO	CD	56261038
832787	2836	1997-01-07	VYDAJ	PREVOD NA UCET	9472	46541	SIPO	CD	56261038
832788	2836	1997-02-07	VYDAJ	PREVOD NA UCET	9472	34773	SIPO	CD	56261038
832789	2836	1997-03-07	VYDAJ	PREVOD NA UCET	9472	50007	SIPO	CD	56261038
832790	2836	1997-04-07	VYDAJ	PREVOD NA UCET	9472	54175	SIPO	CD	56261038
832791	2836	1997-05-07	VYDAJ	PREVOD NA UCET	9472	58261	SIPO	CD	56261038
832792	2836	1997-06-07	VYDAJ	PREVOD NA UCET	9472	21655	SIPO	CD	56261038
832793	2836	1997-07-07	VYDAJ	PREVOD NA UCET	9472	38273	SIPO	CD	56261038
832794	2836	1997-08-07	VYDAJ	PREVOD NA UCET	9472	45501	SIPO	CD	56261038
832795	2836	1997-09-07	VYDAJ	PREVOD NA UCET	9472	55867	SIPO	CD	56261038
832796	2836	1997-10-07	VYDAJ	PREVOD NA UCET	9472	57748	SIPO	CD	56261038
832797	2836	1997-11-07	VYDAJ	PREVOD NA UCET	9472	44122	SIPO	CD	56261038
832798	2836	1997-12-07	VYDAJ	PREVOD NA UCET	9472	46504	SIPO	CD	56261038
832799	2836	1998-01-07	VYDAJ	PREVOD NA UCET	9472	34312	SIPO	CD	56261038
832800	2836	1998-02-07	VYDAJ	PREVOD NA UCET	9472	35719	SIPO	CD	56261038
832801	2836	1998-03-07	VYDAJ	PREVOD NA UCET	9472	38640	SIPO	CD	56261038
832802	2836	1998-04-07	VYDAJ	PREVOD NA UCET	9472	32909	SIPO	CD	56261038
832803	2836	1998-05-07	VYDAJ	PREVOD NA UCET	9472	28934	SIPO	CD	56261038
832804	2836	1998-06-07	VYDAJ	PREVOD NA UCET	9472	48324	SIPO	CD	56261038
832805	2836	1998-07-07	VYDAJ	PREVOD NA UCET	9472	33155	SIPO	CD	56261038
832806	2836	1998-08-07	VYDAJ	PREVOD NA UCET	9472	36765	SIPO	CD	56261038
832807	2836	1998-09-07	VYDAJ	PREVOD NA UCET	9472	33097	SIPO	CD	56261038
832808	2836	1998-10-07	VYDAJ	PREVOD NA UCET	9472	31536	SIPO	CD	56261038
832809	2836	1998-11-07	VYDAJ	PREVOD NA UCET	9472	23297	SIPO	CD	56261038
832810	2836	1998-12-07	VYDAJ	PREVOD NA UCET	9472	38255	SIPO	CD	56261038
832812	2836	1996-06-27	VYDAJ	VYBER	8480	37062	\N	\N	\N
832813	2836	1997-06-07	VYDAJ	VYBER	45280	31127	\N	\N	\N
832814	2836	1998-06-16	VYDAJ	VYBER	27680	20644	\N	\N	\N
832817	2836	1997-01-19	VYDAJ	VYBER	8800	30241	\N	\N	\N
832820	2836	1996-12-06	VYDAJ	VYBER KARTOU	1600	58857	\N	\N	0
832821	2836	1997-12-12	VYDAJ	VYBER	4160	42344	\N	\N	\N
832822	2836	1998-12-01	VYDAJ	VYBER KARTOU	3400	19975	\N	\N	0
832835	2836	1997-01-04	VYDAJ	VYBER KARTOU	2000	39845	\N	\N	0
832836	2836	1997-01-26	VYDAJ	VYBER KARTOU	3100	25341	\N	\N	0
832837	2836	1997-01-21	VYDAJ	VYBER KARTOU	1800	28441	\N	\N	0
832838	2836	1997-01-06	VYDAJ	VYBER KARTOU	2600	56013	\N	\N	0
832839	2836	1997-01-13	VYDAJ	VYBER KARTOU	1100	39041	\N	\N	0
832840	2836	1997-01-10	VYDAJ	VYBER KARTOU	2900	43641	\N	\N	0
832841	2836	1998-01-09	VYDAJ	VYBER KARTOU	700	33612	\N	\N	0
832842	2836	1998-01-10	VYDAJ	VYBER KARTOU	3000	30612	\N	\N	0
832843	2836	1998-01-29	VYDAJ	VYBER KARTOU	2900	23312	\N	\N	0
832844	2836	1998-01-16	VYDAJ	VYBER KARTOU	2000	26212	\N	\N	0
832845	2836	1998-01-14	VYDAJ	VYBER KARTOU	2400	28212	\N	\N	0
832846	2836	1998-01-06	VYDAJ	VYBER KARTOU	1100	43784	\N	\N	0
832851	2836	1996-11-14	VYDAJ	VYBER	4320	34812	\N	\N	\N
832852	2836	1996-05-28	VYDAJ	VYBER	3840	39082	\N	\N	\N
832853	2836	1996-11-16	VYDAJ	VYBER	2640	32172	\N	\N	\N
832854	2836	1996-10-19	VYDAJ	VYBER	4440	35080	\N	\N	\N
832856	2836	1997-06-21	VYDAJ	VYBER KARTOU	2600	28855	\N	\N	0
832857	2836	1997-11-02	VYDAJ	VYBER KARTOU	3700	42026	\N	\N	0
832858	2836	1997-03-14	VYDAJ	VYBER KARTOU	2000	44707	\N	\N	0
832859	2836	1997-05-01	VYDAJ	VYBER KARTOU	1000	48965	\N	\N	0
832860	2836	1997-07-13	VYDAJ	VYBER KARTOU	4000	36073	\N	\N	0
832861	2836	1998-10-24	VYDAJ	VYBER	4680	26856	\N	\N	\N
832862	2836	1998-09-29	VYDAJ	VYBER	5280	27817	\N	\N	\N
832863	2836	1998-10-30	VYDAJ	VYBER	4560	18296	\N	\N	\N
832864	2836	1998-10-28	VYDAJ	VYBER KARTOU	4000	22856	\N	\N	0
832881	2836	1996-04-30	VYDAJ	VYBER	15	46226	SLUZBY	\N	\N
832882	2836	1996-05-31	VYDAJ	VYBER	15	39262	SLUZBY	\N	\N
832883	2836	1996-06-30	VYDAJ	VYBER	15	37241	SLUZBY	\N	\N
832884	2836	1996-07-31	VYDAJ	VYBER	15	40995	SLUZBY	\N	\N
832885	2836	1996-08-31	VYDAJ	VYBER	15	41758	SLUZBY	\N	\N
832886	2836	1996-09-30	VYDAJ	VYBER	15	43324	SLUZBY	\N	\N
832887	2836	1996-10-31	VYDAJ	VYBER	15	35236	SLUZBY	\N	\N
832888	2836	1996-11-30	VYDAJ	VYBER	15	32305	SLUZBY	\N	\N
832889	2836	1996-12-31	VYDAJ	VYBER	15	41845	SLUZBY	\N	\N
832890	2836	1997-01-31	VYDAJ	VYBER	15	25477	SLUZBY	\N	\N
832891	2836	1997-02-28	VYDAJ	VYBER	15	40711	SLUZBY	\N	\N
832892	2836	1997-03-31	VYDAJ	VYBER	15	44879	SLUZBY	\N	\N
832893	2836	1997-04-30	VYDAJ	VYBER	15	49965	SLUZBY	\N	\N
832894	2836	1997-05-31	VYDAJ	VYBER	15	48255	SLUZBY	\N	\N
832895	2836	1997-06-30	VYDAJ	VYBER	15	28977	SLUZBY	\N	\N
832896	2836	1997-07-31	VYDAJ	VYBER	15	36205	SLUZBY	\N	\N
832897	2836	1997-08-31	VYDAJ	VYBER	15	46571	SLUZBY	\N	\N
832898	2836	1997-09-30	VYDAJ	VYBER	15	48452	SLUZBY	\N	\N
832899	2836	1997-10-31	VYDAJ	VYBER	15	45726	SLUZBY	\N	\N
832900	2836	1997-11-30	VYDAJ	VYBER	15	44324	SLUZBY	\N	\N
832901	2836	1997-12-31	VYDAJ	VYBER	15	42516	SLUZBY	\N	\N
832902	2836	1998-01-31	VYDAJ	VYBER	15	23423	SLUZBY	\N	\N
832903	2836	1998-02-28	VYDAJ	VYBER	15	35844	SLUZBY	\N	\N
832904	2836	1998-03-31	VYDAJ	VYBER	15	38813	SLUZBY	\N	\N
832905	2836	1998-04-30	VYDAJ	VYBER	15	33038	SLUZBY	\N	\N
832906	2836	1998-05-31	VYDAJ	VYBER	15	29044	SLUZBY	\N	\N
832907	2836	1998-06-30	VYDAJ	VYBER	15	20759	SLUZBY	\N	\N
832908	2836	1998-07-31	VYDAJ	VYBER	15	33269	SLUZBY	\N	\N
832909	2836	1998-08-31	VYDAJ	VYBER	15	36901	SLUZBY	\N	\N
832910	2836	1998-09-30	VYDAJ	VYBER	15	27940	SLUZBY	\N	\N
832911	2836	1998-10-31	VYDAJ	VYBER	15	18401	SLUZBY	\N	\N
832912	2836	1998-11-30	VYDAJ	VYBER	15	23375	SLUZBY	\N	\N
832913	2836	1995-12-18	PRIJEM	VKLAD	700	29952	\N	\N	\N
832914	2836	1996-01-17	VYDAJ	VYBER	7000	41776	\N	\N	\N
832915	2836	1996-02-16	VYDAJ	VYBER	15800	44893	\N	\N	\N
832916	2836	1996-03-17	VYDAJ	VYBER	15400	48441	\N	\N	\N
832917	2836	1996-04-16	VYDAJ	VYBER	11900	46032	\N	\N	\N
832918	2836	1996-05-16	VYDAJ	VYBER	12600	42922	\N	\N	\N
832919	2836	1996-06-15	VYDAJ	VYBER	12400	45542	\N	\N	\N
832920	2836	1996-07-15	VYDAJ	VYBER	5700	40837	\N	\N	\N
832921	2836	1996-08-14	VYDAJ	VYBER	8700	41591	\N	\N	\N
832922	2836	1996-09-13	VYDAJ	VYBER	7900	43154	\N	\N	\N
832923	2836	1996-10-13	VYDAJ	VYBER	13100	39520	\N	\N	\N
832924	2836	1996-11-12	VYDAJ	VYBER	5400	39132	\N	\N	\N
832925	2836	1996-12-12	VYDAJ	VYBER	7700	41685	\N	\N	\N
832926	2836	1997-01-11	VYDAJ	VYBER KARTOU	3500	40141	\N	\N	0
832927	2836	1997-02-10	PRIJEM	VKLAD	5800	40573	\N	\N	\N
832928	2836	1997-03-12	VYDAJ	VYBER KARTOU	3300	46707	\N	\N	0
832929	2836	1997-04-11	VYDAJ	VYBER	4400	49775	\N	\N	\N
832930	2836	1997-05-11	VYDAJ	VYBER	10200	48061	\N	\N	\N
832931	2836	1997-06-10	PRIJEM	VKLAD	9800	31455	\N	\N	\N
832932	2836	1997-07-10	PRIJEM	VKLAD	1800	40073	\N	\N	\N
832933	2836	1997-08-09	PRIJEM	VKLAD	900	46401	\N	\N	\N
832934	2836	1997-09-08	VYDAJ	VYBER	7600	48267	\N	\N	\N
832935	2836	1997-10-08	VYDAJ	VYBER	12200	45548	\N	\N	\N
832936	2836	1997-11-07	VYDAJ	VYBER	7200	53594	\N	\N	\N
832937	2836	1997-12-07	VYDAJ	VYBER	16500	55976	\N	\N	\N
832938	2836	1998-01-06	VYDAJ	VYBER	16400	44884	\N	\N	\N
832939	2836	1998-02-05	PRIJEM	VKLAD	3000	26423	\N	\N	\N
832940	2836	1998-03-07	VYDAJ	VYBER	6500	48112	\N	\N	\N
832941	2836	1998-04-06	VYDAJ	VYBER	15200	42381	\N	\N	\N
832942	2836	1998-05-06	VYDAJ	VYBER	13400	38406	\N	\N	\N
832943	2836	1998-06-05	PRIJEM	VKLAD	600	29644	\N	\N	\N
832944	2836	1998-07-05	PRIJEM	VKLAD	3100	23859	\N	\N	\N
832945	2836	1998-08-04	VYDAJ	VYBER	5800	27469	\N	\N	\N
832946	2836	1998-09-03	VYDAJ	VYBER	13100	23801	\N	\N	\N
832947	2836	1998-10-03	VYDAJ	VYBER	5700	22240	\N	\N	\N
832948	2836	1998-11-02	VYDAJ	VYBER	4400	14001	\N	\N	\N
832949	2836	1998-12-02	VYDAJ	VYBER KARTOU	400	19575	\N	\N	0
832987	2837	1996-06-02	PRIJEM	VKLAD	500	500	\N	\N	\N
832993	2837	1996-06-07	PRIJEM	VKLAD	31725	32225	\N	\N	\N
832994	2837	1996-07-07	PRIJEM	VKLAD	21150	49182	\N	\N	\N
832995	2837	1996-08-07	PRIJEM	VKLAD	21150	52824	\N	\N	\N
832996	2837	1996-09-07	PRIJEM	VKLAD	21150	55888	\N	\N	\N
832997	2837	1996-10-07	PRIJEM	VKLAD	21150	57083	\N	\N	\N
832998	2837	1996-11-07	PRIJEM	VKLAD	21150	56668	\N	\N	\N
832999	2837	1996-12-07	PRIJEM	VKLAD	31725	62166	\N	\N	\N
833000	2837	1997-01-07	PRIJEM	VKLAD	21150	47276	\N	\N	\N
833001	2837	1997-02-07	PRIJEM	VKLAD	21150	36104	\N	\N	\N
833002	2837	1997-03-07	PRIJEM	VKLAD	21150	43204	\N	\N	\N
833003	2837	1997-04-07	PRIJEM	VKLAD	21150	46132	\N	\N	\N
833004	2837	1997-05-07	PRIJEM	VKLAD	21150	48973	\N	\N	\N
833005	2837	1997-06-07	PRIJEM	VKLAD	31725	57794	\N	\N	\N
833006	2837	1997-07-07	PRIJEM	VKLAD	21150	32578	\N	\N	\N
833007	2837	1997-08-07	PRIJEM	VKLAD	21150	43668	\N	\N	\N
833008	2837	1997-09-07	PRIJEM	VKLAD	21150	49702	\N	\N	\N
833009	2837	1997-10-07	PRIJEM	VKLAD	21150	49202	\N	\N	\N
833010	2837	1997-11-07	PRIJEM	VKLAD	21150	35007	\N	\N	\N
833011	2837	1997-12-07	PRIJEM	VKLAD	31725	49314	\N	\N	\N
833012	2837	1998-01-07	PRIJEM	VKLAD	21150	44484	\N	\N	\N
833013	2837	1998-02-07	PRIJEM	VKLAD	21150	40150	\N	\N	\N
833014	2837	1998-03-07	PRIJEM	VKLAD	21150	40865	\N	\N	\N
833015	2837	1998-04-07	PRIJEM	VKLAD	21150	39301	\N	\N	\N
833016	2837	1998-05-07	PRIJEM	VKLAD	21150	37552	\N	\N	\N
833017	2837	1998-06-07	PRIJEM	VKLAD	31725	47676	\N	\N	\N
833018	2837	1998-07-07	PRIJEM	VKLAD	21150	38053	\N	\N	\N
833019	2837	1998-08-07	PRIJEM	VKLAD	21150	38960	\N	\N	\N
833020	2837	1998-09-07	PRIJEM	VKLAD	21150	37700	\N	\N	\N
833021	2837	1998-10-07	PRIJEM	VKLAD	21150	36557	\N	\N	\N
833022	2837	1998-11-07	PRIJEM	VKLAD	21150	38960	\N	\N	\N
833023	2837	1998-12-07	PRIJEM	VKLAD	31725	48516	\N	\N	\N
833025	2837	1997-06-18	VYDAJ	VYBER	40640	17154	\N	\N	\N
833026	2837	1998-06-16	VYDAJ	VYBER	14240	33436	\N	\N	\N
833028	2837	1997-01-27	VYDAJ	VYBER	6240	28436	\N	\N	\N
833030	2837	1996-12-22	VYDAJ	VYBER	3840	56286	\N	\N	\N
833031	2837	1997-12-04	VYDAJ	VYBER	1120	17589	\N	\N	\N
833032	2837	1998-12-15	VYDAJ	VYBER	2560	45956	\N	\N	\N
833039	2837	1997-01-03	VYDAJ	VYBER	2040	27086	\N	\N	\N
833040	2837	1997-01-08	VYDAJ	VYBER	840	46436	\N	\N	\N
833041	2837	1997-01-10	VYDAJ	VYBER	3360	37436	\N	\N	\N
833042	2837	1997-01-03	VYDAJ	VYBER	960	26126	\N	\N	\N
833043	2837	1997-01-11	VYDAJ	VYBER	2760	34676	\N	\N	\N
833045	2837	1998-01-22	VYDAJ	VYBER	3120	34884	\N	\N	\N
833046	2837	1998-01-15	VYDAJ	VYBER	840	41964	\N	\N	\N
833047	2837	1998-01-12	VYDAJ	VYBER	1680	42804	\N	\N	\N
833048	2837	1998-01-05	VYDAJ	VYBER	1920	23334	\N	\N	\N
833049	2837	1998-01-16	VYDAJ	VYBER	600	38004	\N	\N	\N
833050	2837	1998-01-16	VYDAJ	VYBER	3360	38604	\N	\N	\N
833051	2837	1996-12-15	VYDAJ	VYBER	2040	60126	\N	\N	\N
833052	2837	1996-12-05	VYDAJ	VYBER	3360	30441	\N	\N	\N
833056	2837	1996-12-26	VYDAJ	VYBER	960	55326	\N	\N	\N
833060	2837	1997-09-15	VYDAJ	VYBER	2280	47422	\N	\N	\N
833061	2837	1997-10-28	VYDAJ	VYBER	5520	19262	\N	\N	\N
833062	2837	1997-10-16	VYDAJ	VYBER	5520	43682	\N	\N	\N
833063	2837	1997-05-12	VYDAJ	VYBER	4440	44533	\N	\N	\N
833064	2837	1997-01-10	VYDAJ	VYBER	5640	40796	\N	\N	\N
833065	2837	1997-11-05	VYDAJ	VYBER	5520	13857	\N	\N	\N
833066	2837	1998-08-09	VYDAJ	VYBER	600	38360	\N	\N	\N
833067	2837	1998-03-29	VYDAJ	VYBER	1080	18085	\N	\N	\N
833068	2837	1998-09-13	VYDAJ	VYBER	4560	33140	\N	\N	\N
833069	2837	1998-05-03	VYDAJ	VYBER	2160	16402	\N	\N	\N
833070	2837	1998-12-28	VYDAJ	VYBER	2040	23216	\N	\N	\N
833071	2837	1998-12-03	VYDAJ	VYBER	3960	16791	\N	\N	\N
833072	2837	1998-11-19	VYDAJ	VYBER	600	38360	\N	\N	\N
833083	2837	1996-10-31	VYDAJ	VYBER	15	35518	SLUZBY	\N	\N
833084	2837	1996-11-30	VYDAJ	VYBER	15	33801	SLUZBY	\N	\N
833085	2837	1996-12-31	VYDAJ	VYBER	15	29126	SLUZBY	\N	\N
833086	2837	1997-01-31	VYDAJ	VYBER	15	14954	SLUZBY	\N	\N
833087	2837	1997-02-28	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
833088	2837	1997-03-31	VYDAJ	VYBER	15	24982	SLUZBY	\N	\N
833089	2837	1997-04-30	VYDAJ	VYBER	15	27823	SLUZBY	\N	\N
833090	2837	1997-05-31	VYDAJ	VYBER	15	26069	SLUZBY	\N	\N
833091	2837	1997-06-30	VYDAJ	VYBER	15	11428	SLUZBY	\N	\N
833092	2837	1997-07-31	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
833093	2837	1997-08-31	VYDAJ	VYBER	15	28552	SLUZBY	\N	\N
833094	2837	1997-09-30	VYDAJ	VYBER	15	28052	SLUZBY	\N	\N
833095	2837	1997-10-31	VYDAJ	VYBER	15	19377	SLUZBY	\N	\N
833096	2837	1997-11-30	VYDAJ	VYBER	15	18709	SLUZBY	\N	\N
833097	2837	1997-12-31	VYDAJ	VYBER	15	25254	SLUZBY	\N	\N
833098	2837	1998-01-31	VYDAJ	VYBER	15	19000	SLUZBY	\N	\N
833099	2837	1998-02-28	VYDAJ	VYBER	15	19715	SLUZBY	\N	\N
833100	2837	1998-03-31	VYDAJ	VYBER	15	18151	SLUZBY	\N	\N
833101	2837	1998-04-30	VYDAJ	VYBER	15	18562	SLUZBY	\N	\N
833102	2837	1998-05-31	VYDAJ	VYBER	15	15951	SLUZBY	\N	\N
833103	2837	1998-06-30	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
833104	2837	1998-07-31	VYDAJ	VYBER	15	17810	SLUZBY	\N	\N
833105	2837	1998-08-31	VYDAJ	VYBER	15	16550	SLUZBY	\N	\N
833106	2837	1998-09-30	VYDAJ	VYBER	15	15407	SLUZBY	\N	\N
833107	2837	1998-10-31	VYDAJ	VYBER	15	17810	SLUZBY	\N	\N
833108	2837	1998-11-30	VYDAJ	VYBER	15	20751	SLUZBY	\N	\N
833109	2837	1996-07-02	VYDAJ	VYBER	4300	28032	\N	\N	\N
833110	2837	1996-08-01	VYDAJ	VYBER	17700	31674	\N	\N	\N
833111	2837	1996-08-31	VYDAJ	VYBER	18300	34738	\N	\N	\N
833112	2837	1996-09-30	VYDAJ	VYBER	20100	35933	\N	\N	\N
833113	2837	1996-10-30	VYDAJ	VYBER	21700	35383	\N	\N	\N
833114	2837	1996-11-29	VYDAJ	VYBER	23000	33668	\N	\N	\N
833115	2837	1996-12-29	VYDAJ	VYBER	26400	28926	\N	\N	\N
833116	2837	1997-01-28	VYDAJ	VYBER	13600	14836	\N	\N	\N
833117	2837	1997-02-27	VYDAJ	VYBER	14100	22004	\N	\N	\N
833118	2837	1997-03-29	VYDAJ	VYBER	18300	24904	\N	\N	\N
833119	2837	1997-04-28	VYDAJ	VYBER	18400	27732	\N	\N	\N
833120	2837	1997-05-28	VYDAJ	VYBER	18600	25933	\N	\N	\N
833121	2837	1997-06-27	VYDAJ	VYBER	5800	11354	\N	\N	\N
833122	2837	1997-07-27	VYDAJ	VYBER	10100	22478	\N	\N	\N
833123	2837	1997-08-26	VYDAJ	VYBER	15200	28468	\N	\N	\N
833124	2837	1997-09-25	VYDAJ	VYBER	19500	27922	\N	\N	\N
833125	2837	1997-10-25	VYDAJ	VYBER	18900	24782	\N	\N	\N
833126	2837	1997-11-24	VYDAJ	VYBER	16400	18607	\N	\N	\N
833127	2837	1997-12-24	VYDAJ	VYBER	24200	25114	\N	\N	\N
833128	2837	1998-01-23	VYDAJ	VYBER	16000	18884	\N	\N	\N
833129	2837	1998-02-22	VYDAJ	VYBER	20500	19650	\N	\N	\N
833130	2837	1998-03-24	VYDAJ	VYBER	21700	19165	\N	\N	\N
833131	2837	1998-04-23	VYDAJ	VYBER	20800	18501	\N	\N	\N
833132	2837	1998-05-23	VYDAJ	VYBER	21700	15852	\N	\N	\N
833133	2837	1998-06-22	VYDAJ	VYBER	16600	16836	\N	\N	\N
833134	2837	1998-07-22	VYDAJ	VYBER	20300	17753	\N	\N	\N
833135	2837	1998-08-21	VYDAJ	VYBER	21900	16460	\N	\N	\N
833136	2837	1998-09-20	VYDAJ	VYBER	17800	15340	\N	\N	\N
833137	2837	1998-10-20	VYDAJ	VYBER	18800	17757	\N	\N	\N
833138	2837	1998-11-19	VYDAJ	VYBER	17700	20660	\N	\N	\N
833139	2837	1998-12-19	VYDAJ	VYBER	20700	25256	\N	\N	\N
833171	2838	1993-04-13	PRIJEM	VKLAD	900	900	\N	\N	\N
833172	2838	1993-05-30	PRIJEM	VKLAD	28180	63255	\N	\N	\N
833174	2838	1993-12-28	PRIJEM	VKLAD	15536	82924	\N	\N	\N
833175	2838	1993-05-26	PRIJEM	VKLAD	22275	35075	\N	\N	\N
833176	2838	1993-11-14	PRIJEM	VKLAD	14648	73548	\N	\N	\N
833177	2838	1993-11-01	PRIJEM	VKLAD	28986	91518	\N	\N	\N
833178	2838	1993-06-28	PRIJEM	VKLAD	27344	69135	\N	\N	\N
833179	2838	1993-07-12	PRIJEM	VKLAD	28918	98319	\N	\N	\N
833180	2838	1993-10-18	PRIJEM	VKLAD	32816	62221	\N	\N	\N
833182	2838	1993-12-14	PRIJEM	VKLAD	22082	67388	\N	\N	\N
833184	2838	1994-03-23	PRIJEM	VKLAD	17989	68030	\N	\N	\N
833185	2838	1994-09-05	PRIJEM	VKLAD	47136	119828	\N	\N	\N
833186	2838	1994-11-08	PRIJEM	VKLAD	27206	61501	\N	\N	\N
833187	2838	1994-07-11	PRIJEM	VKLAD	30092	70069	\N	\N	\N
833188	2838	1994-12-14	PRIJEM	VKLAD	8839	50139	\N	\N	\N
833189	2838	1994-11-24	PRIJEM	VKLAD	44991	111280	\N	\N	\N
833190	2838	1994-09-17	PRIJEM	VKLAD	9705	111338	\N	\N	\N
833191	2838	1994-02-26	PRIJEM	VKLAD	23795	73768	\N	\N	\N
833192	2838	1994-11-20	PRIJEM	VKLAD	8106	66289	\N	\N	\N
833193	2838	1994-09-28	PRIJEM	VKLAD	46873	133073	\N	\N	\N
833194	2838	1994-03-14	PRIJEM	VKLAD	12979	50041	\N	\N	\N
833195	2838	1994-09-27	PRIJEM	VKLAD	20262	86200	\N	\N	\N
833196	2838	1994-12-16	PRIJEM	VKLAD	39278	89417	\N	\N	\N
833197	2838	1994-08-12	PRIJEM	VKLAD	39182	99541	\N	\N	\N
833198	2838	1994-12-22	PRIJEM	VKLAD	49620	135737	\N	\N	\N
833199	2838	1994-03-24	PRIJEM	VKLAD	42805	110835	\N	\N	\N
833200	2838	1994-09-07	PRIJEM	VKLAD	42172	108500	\N	\N	\N
833201	2838	1994-02-14	PRIJEM	VKLAD	20268	49973	\N	\N	\N
833202	2838	1994-07-15	PRIJEM	VKLAD	14795	84864	\N	\N	\N
833203	2838	1994-01-07	PRIJEM	VKLAD	47941	108015	\N	\N	\N
833204	2838	1994-08-25	PRIJEM	VKLAD	30432	129973	\N	\N	\N
833205	2838	1994-08-01	PRIJEM	VKLAD	22938	108077	\N	\N	\N
833206	2838	1994-09-09	PRIJEM	VKLAD	23751	103003	\N	\N	\N
833207	2838	1994-06-17	PRIJEM	VKLAD	37889	63538	\N	\N	\N
833208	2838	1994-01-09	PRIJEM	VKLAD	24033	63100	\N	\N	\N
833209	2838	1995-07-16	PRIJEM	VKLAD	28059	80621	\N	\N	\N
833210	2838	1995-09-25	PRIJEM	VKLAD	8992	86278	\N	\N	\N
833211	2838	1995-06-26	PRIJEM	VKLAD	21175	86619	\N	\N	\N
833212	2838	1995-09-12	PRIJEM	VKLAD	7434	81037	\N	\N	\N
833213	2838	1995-06-06	PRIJEM	VKLAD	10784	68762	\N	\N	\N
833214	2838	1995-07-19	PRIJEM	VKLAD	36545	117166	\N	\N	\N
833215	2838	1995-12-21	PRIJEM	VKLAD	26442	82915	\N	\N	\N
833216	2838	1995-09-23	PRIJEM	VKLAD	30452	111489	\N	\N	\N
833217	2838	1995-04-27	PRIJEM	VKLAD	43434	114386	\N	\N	\N
833218	2838	1995-04-06	PRIJEM	VKLAD	19832	62555	\N	\N	\N
833219	2838	1995-10-03	PRIJEM	VKLAD	5972	66729	\N	\N	\N
833220	2838	1995-10-22	PRIJEM	VKLAD	25738	89149	\N	\N	\N
833221	2838	1995-05-02	PRIJEM	VKLAD	41656	107391	\N	\N	\N
833222	2838	1995-12-29	PRIJEM	VKLAD	9676	112829	\N	\N	\N
833223	2838	1995-11-02	PRIJEM	VKLAD	12169	72273	\N	\N	\N
833224	2838	1995-12-30	PRIJEM	VKLAD	14935	61264	\N	\N	\N
833225	2838	1995-12-25	PRIJEM	VKLAD	20238	103153	\N	\N	\N
833226	2838	1995-05-16	PRIJEM	VKLAD	49165	113838	\N	\N	\N
833227	2838	1995-11-13	PRIJEM	VKLAD	27829	96784	\N	\N	\N
833228	2838	1995-02-13	PRIJEM	VKLAD	23203	52789	\N	\N	\N
833229	2838	1995-09-05	PRIJEM	VKLAD	25608	76921	\N	\N	\N
833230	2838	1995-01-13	PRIJEM	VKLAD	16153	49647	\N	\N	\N
833231	2838	1995-08-20	PRIJEM	VKLAD	33638	93795	\N	\N	\N
833232	2838	1995-04-06	PRIJEM	VKLAD	11715	74270	\N	\N	\N
833233	2838	1995-03-18	PRIJEM	VKLAD	23335	66323	\N	\N	\N
833234	2838	1995-02-21	PRIJEM	VKLAD	5760	58549	\N	\N	\N
833235	2838	1995-07-25	PRIJEM	VKLAD	30671	126437	\N	\N	\N
833236	2838	1996-02-15	PRIJEM	VKLAD	17450	66348	\N	\N	\N
833237	2838	1996-09-23	PRIJEM	VKLAD	16896	118787	\N	\N	\N
833238	2838	1996-04-14	PRIJEM	VKLAD	44049	109517	\N	\N	\N
833239	2838	1996-10-04	PRIJEM	VKLAD	15137	92930	\N	\N	\N
833240	2838	1996-10-01	PRIJEM	VKLAD	17868	115693	\N	\N	\N
833241	2838	1996-08-28	PRIJEM	VKLAD	46370	104351	\N	\N	\N
833242	2838	1996-03-19	PRIJEM	VKLAD	45687	101223	\N	\N	\N
833243	2838	1996-04-17	PRIJEM	VKLAD	42230	120847	\N	\N	\N
833244	2838	1996-02-18	PRIJEM	VKLAD	12844	76233	\N	\N	\N
833245	2838	1996-05-25	PRIJEM	VKLAD	11388	108444	\N	\N	\N
833246	2838	1996-09-26	PRIJEM	VKLAD	48002	97489	\N	\N	\N
833247	2838	1996-09-18	PRIJEM	VKLAD	37442	101891	\N	\N	\N
833248	2838	1996-04-24	PRIJEM	VKLAD	9166	80213	\N	\N	\N
833249	2838	1996-05-18	PRIJEM	VKLAD	18056	97056	\N	\N	\N
833250	2838	1996-09-10	PRIJEM	VKLAD	15946	117249	\N	\N	\N
833251	2838	1996-07-22	PRIJEM	VKLAD	45354	92987	\N	\N	\N
833252	2838	1996-01-17	PRIJEM	VKLAD	48077	84091	\N	\N	\N
833253	2838	1996-05-08	PRIJEM	VKLAD	32558	84118	\N	\N	\N
833254	2838	1996-11-14	PRIJEM	VKLAD	5178	66496	\N	\N	\N
833255	2838	1996-12-03	PRIJEM	VKLAD	26878	75083	\N	\N	\N
833256	2838	1997-09-30	PRIJEM	VKLAD	17767	135808	\N	\N	\N
833257	2838	1997-12-27	PRIJEM	VKLAD	45564	150715	\N	\N	\N
833258	2838	1997-04-06	PRIJEM	VKLAD	28119	121410	\N	\N	\N
833259	2838	1997-01-08	PRIJEM	VKLAD	5070	66881	\N	\N	\N
833260	2838	1997-03-24	PRIJEM	VKLAD	35733	102118	\N	\N	\N
833261	2838	1997-12-20	PRIJEM	VKLAD	47165	105151	\N	\N	\N
833262	2838	1997-02-18	PRIJEM	VKLAD	41689	114498	\N	\N	\N
833263	2838	1997-05-19	PRIJEM	VKLAD	29688	121056	\N	\N	\N
833264	2838	1997-12-19	PRIJEM	VKLAD	9669	57986	\N	\N	\N
833265	2838	1997-03-24	PRIJEM	VKLAD	13904	116022	\N	\N	\N
833266	2838	1997-08-28	PRIJEM	VKLAD	24161	116013	\N	\N	\N
833267	2838	1997-01-03	PRIJEM	VKLAD	23324	77411	\N	\N	\N
833268	2838	1997-10-13	PRIJEM	VKLAD	9910	120373	\N	\N	\N
833269	2838	1997-01-22	PRIJEM	VKLAD	38791	70854	\N	\N	\N
833270	2838	1997-07-12	PRIJEM	VKLAD	47626	94424	\N	\N	\N
833271	2838	1997-02-24	PRIJEM	VKLAD	49806	98404	\N	\N	\N
833272	2838	1997-11-16	PRIJEM	VKLAD	25931	123446	\N	\N	\N
833273	2838	1997-04-14	PRIJEM	VKLAD	27103	94007	\N	\N	\N
833274	2838	1997-01-29	PRIJEM	VKLAD	24567	75921	\N	\N	\N
833275	2838	1997-10-24	PRIJEM	VKLAD	41481	100454	\N	\N	\N
833276	2838	1997-05-04	PRIJEM	VKLAD	33847	100086	\N	\N	\N
833277	2838	1997-09-24	PRIJEM	VKLAD	33881	101609	\N	\N	\N
833278	2838	1997-10-12	PRIJEM	VKLAD	45358	147063	\N	\N	\N
833279	2838	1997-04-12	PRIJEM	VKLAD	46712	124704	\N	\N	\N
833280	2838	1997-08-25	PRIJEM	VKLAD	18915	91852	\N	\N	\N
833281	2838	1997-09-30	PRIJEM	VKLAD	16432	118041	\N	\N	\N
833282	2838	1997-10-03	PRIJEM	VKLAD	40763	139723	\N	\N	\N
833283	2838	1997-08-01	PRIJEM	VKLAD	27375	98955	\N	\N	\N
833284	2838	1998-09-15	PRIJEM	VKLAD	13464	102183	\N	\N	\N
833285	2838	1998-07-17	PRIJEM	VKLAD	36189	114242	\N	\N	\N
833286	2838	1998-04-02	PRIJEM	VKLAD	16642	104984	\N	\N	\N
833287	2838	1998-10-29	PRIJEM	VKLAD	6629	101291	\N	\N	\N
833288	2838	1998-03-18	PRIJEM	VKLAD	37146	114335	\N	\N	\N
833289	2838	1998-01-04	PRIJEM	VKLAD	25069	95625	\N	\N	\N
833290	2838	1998-01-01	PRIJEM	VKLAD	13290	114084	\N	\N	\N
833291	2838	1998-07-15	PRIJEM	VKLAD	36966	93153	\N	\N	\N
833292	2838	1998-04-18	PRIJEM	VKLAD	44799	132442	\N	\N	\N
833293	2838	1998-01-06	PRIJEM	VKLAD	45476	141101	\N	\N	\N
833294	2838	1998-02-18	PRIJEM	VKLAD	30702	80292	\N	\N	\N
833295	2838	1998-06-17	PRIJEM	VKLAD	47469	124018	\N	\N	\N
833296	2838	1998-04-30	PRIJEM	VKLAD	38467	141809	\N	\N	\N
833297	2838	1998-10-31	PRIJEM	VKLAD	25799	127498	\N	\N	\N
833298	2838	1998-02-10	PRIJEM	VKLAD	9399	53190	\N	\N	\N
833299	2838	1998-10-13	PRIJEM	VKLAD	42816	142062	\N	\N	\N
833300	2838	1998-01-02	PRIJEM	VKLAD	15272	129356	\N	\N	\N
833301	2838	1998-09-09	PRIJEM	VKLAD	30134	137789	\N	\N	\N
833302	2838	1998-12-22	PRIJEM	VKLAD	31229	98373	\N	\N	\N
833303	2838	1998-11-25	PRIJEM	VKLAD	39642	106373	\N	\N	\N
833304	2838	1998-11-01	PRIJEM	VKLAD	34913	111281	\N	\N	\N
833305	2838	1998-04-08	PRIJEM	VKLAD	10777	115761	\N	\N	\N
833306	2838	1998-11-08	PRIJEM	VKLAD	26868	138149	\N	\N	\N
833307	2838	1998-11-26	PRIJEM	VKLAD	44033	150406	\N	\N	\N
833308	2838	1998-09-04	PRIJEM	VKLAD	17169	109603	\N	\N	\N
833391	2838	1993-11-08	VYDAJ	PREVOD NA UCET	1948	89570	SIPO	YZ	46153497
833392	2838	1993-12-08	VYDAJ	PREVOD NA UCET	1948	71876	SIPO	YZ	46153497
833393	2838	1994-01-08	VYDAJ	PREVOD NA UCET	1948	58567	SIPO	YZ	46153497
833394	2838	1994-02-08	VYDAJ	PREVOD NA UCET	1948	31075	SIPO	YZ	46153497
833395	2838	1994-03-08	VYDAJ	PREVOD NA UCET	1948	71980	SIPO	YZ	46153497
833396	2838	1994-04-08	VYDAJ	PREVOD NA UCET	1948	66350	SIPO	YZ	46153497
833397	2838	1994-05-08	VYDAJ	PREVOD NA UCET	1948	44015	SIPO	YZ	46153497
833398	2838	1994-06-08	VYDAJ	PREVOD NA UCET	1948	27019	SIPO	YZ	46153497
833399	2838	1994-07-08	VYDAJ	PREVOD NA UCET	1948	41347	SIPO	YZ	46153497
833400	2838	1994-08-08	VYDAJ	PREVOD NA UCET	1948	61729	SIPO	YZ	46153497
833401	2838	1994-09-08	VYDAJ	PREVOD NA UCET	1948	79252	SIPO	YZ	46153497
833402	2838	1994-10-08	VYDAJ	PREVOD NA UCET	1948	38623	SIPO	YZ	46153497
833403	2838	1994-11-08	VYDAJ	PREVOD NA UCET	1948	59553	SIPO	YZ	46153497
833404	2838	1994-12-08	VYDAJ	PREVOD NA UCET	1948	42670	SIPO	YZ	46153497
833405	2838	1995-01-08	VYDAJ	PREVOD NA UCET	1948	34864	SIPO	YZ	46153497
833406	2838	1995-02-08	VYDAJ	PREVOD NA UCET	1948	30956	SIPO	YZ	46153497
833407	2838	1995-03-08	VYDAJ	PREVOD NA UCET	1948	44358	SIPO	YZ	46153497
833408	2838	1995-04-08	VYDAJ	PREVOD NA UCET	1948	72322	SIPO	YZ	46153497
833409	2838	1995-05-08	VYDAJ	PREVOD NA UCET	1948	66043	SIPO	YZ	46153497
833410	2838	1995-06-08	VYDAJ	PREVOD NA UCET	1948	66814	SIPO	YZ	46153497
833411	2838	1995-07-08	VYDAJ	PREVOD NA UCET	1948	53932	SIPO	YZ	46153497
833412	2838	1995-08-08	VYDAJ	PREVOD NA UCET	1948	61527	SIPO	YZ	46153497
833413	2838	1995-09-08	VYDAJ	PREVOD NA UCET	1948	74973	SIPO	YZ	46153497
833414	2838	1995-10-08	VYDAJ	PREVOD NA UCET	1948	64781	SIPO	YZ	46153497
833415	2838	1995-11-08	VYDAJ	PREVOD NA UCET	1948	70325	SIPO	YZ	46153497
833416	2838	1995-12-08	VYDAJ	PREVOD NA UCET	1948	65943	SIPO	YZ	46153497
833417	2838	1996-01-08	VYDAJ	PREVOD NA UCET	1948	55684	SIPO	YZ	46153497
833418	2838	1996-02-08	VYDAJ	PREVOD NA UCET	1948	50268	SIPO	YZ	46153497
833419	2838	1996-03-08	VYDAJ	PREVOD NA UCET	1948	56906	SIPO	YZ	46153497
833420	2838	1996-04-08	VYDAJ	PREVOD NA UCET	1948	66838	SIPO	YZ	46153497
833421	2838	1996-05-08	VYDAJ	PREVOD NA UCET	1948	82170	SIPO	YZ	46153497
833422	2838	1996-06-08	VYDAJ	PREVOD NA UCET	1948	64289	SIPO	YZ	46153497
833423	2838	1996-07-08	VYDAJ	PREVOD NA UCET	1948	49003	SIPO	YZ	46153497
833424	2838	1996-08-08	VYDAJ	PREVOD NA UCET	1948	70251	SIPO	YZ	46153497
833425	2838	1996-09-08	VYDAJ	PREVOD NA UCET	1948	102673	SIPO	YZ	46153497
833426	2838	1996-10-08	VYDAJ	PREVOD NA UCET	1948	90982	SIPO	YZ	46153497
833427	2838	1996-11-08	VYDAJ	PREVOD NA UCET	1948	62688	SIPO	YZ	46153497
833428	2838	1996-12-08	VYDAJ	PREVOD NA UCET	1948	70735	SIPO	YZ	46153497
833429	2838	1997-01-08	VYDAJ	PREVOD NA UCET	1948	64933	SIPO	YZ	46153497
833430	2838	1997-02-08	VYDAJ	PREVOD NA UCET	1948	74179	SIPO	YZ	46153497
833431	2838	1997-03-08	VYDAJ	PREVOD NA UCET	1948	96755	SIPO	YZ	46153497
833432	2838	1997-04-08	VYDAJ	PREVOD NA UCET	1948	79362	SIPO	YZ	46153497
833433	2838	1997-05-08	VYDAJ	PREVOD NA UCET	1948	98138	SIPO	YZ	46153497
833434	2838	1997-06-08	VYDAJ	PREVOD NA UCET	1948	55001	SIPO	YZ	46153497
833435	2838	1997-07-08	VYDAJ	PREVOD NA UCET	1948	48168	SIPO	YZ	46153497
833436	2838	1997-08-08	VYDAJ	PREVOD NA UCET	1948	97007	SIPO	YZ	46153497
833437	2838	1997-09-08	VYDAJ	PREVOD NA UCET	1948	84998	SIPO	YZ	46153497
833438	2838	1997-10-08	VYDAJ	PREVOD NA UCET	1948	103075	SIPO	YZ	46153497
833439	2838	1997-11-08	VYDAJ	PREVOD NA UCET	1948	98885	SIPO	YZ	46153497
833440	2838	1997-12-08	VYDAJ	PREVOD NA UCET	1948	45087	SIPO	YZ	46153497
833441	2838	1998-01-08	VYDAJ	PREVOD NA UCET	1948	108953	SIPO	YZ	46153497
833442	2838	1998-02-08	VYDAJ	PREVOD NA UCET	1948	45161	SIPO	YZ	46153497
833443	2838	1998-03-08	VYDAJ	PREVOD NA UCET	1948	78559	SIPO	YZ	46153497
833444	2838	1998-04-08	VYDAJ	PREVOD NA UCET	1948	113813	SIPO	YZ	46153497
833445	2838	1998-05-08	VYDAJ	PREVOD NA UCET	1948	114450	SIPO	YZ	46153497
833446	2838	1998-06-08	VYDAJ	PREVOD NA UCET	1948	87219	SIPO	YZ	46153497
833447	2838	1998-07-08	VYDAJ	PREVOD NA UCET	1948	57557	SIPO	YZ	46153497
833448	2838	1998-08-08	VYDAJ	PREVOD NA UCET	1948	112621	SIPO	YZ	46153497
833449	2838	1998-09-08	VYDAJ	PREVOD NA UCET	1948	107655	SIPO	YZ	46153497
833450	2838	1998-10-08	VYDAJ	PREVOD NA UCET	1948	100616	SIPO	YZ	46153497
833451	2838	1998-11-08	VYDAJ	PREVOD NA UCET	1948	84501	SIPO	YZ	46153497
833452	2838	1998-12-08	VYDAJ	PREVOD NA UCET	1948	68814	SIPO	YZ	46153497
833463	2838	1993-11-09	VYDAJ	PREVOD NA UCET	1370	88200	 	IJ	42194247
833464	2838	1993-12-09	VYDAJ	PREVOD NA UCET	1370	50106	 	IJ	42194247
833465	2838	1994-01-09	VYDAJ	PREVOD NA UCET	1370	61730	 	IJ	42194247
833466	2838	1994-02-09	VYDAJ	PREVOD NA UCET	1370	29705	 	IJ	42194247
833467	2838	1994-03-09	VYDAJ	PREVOD NA UCET	1370	70610	 	IJ	42194247
833468	2838	1994-04-09	VYDAJ	PREVOD NA UCET	1370	45780	 	IJ	42194247
833469	2838	1994-05-09	VYDAJ	PREVOD NA UCET	1370	34045	 	IJ	42194247
833470	2838	1994-06-09	VYDAJ	PREVOD NA UCET	1370	25649	 	IJ	42194247
833471	2838	1994-07-09	VYDAJ	PREVOD NA UCET	1370	39977	 	IJ	42194247
833472	2838	1994-08-09	VYDAJ	PREVOD NA UCET	1370	60359	 	IJ	42194247
833473	2838	1994-09-09	VYDAJ	PREVOD NA UCET	1370	101633	 	IJ	42194247
833474	2838	1994-10-09	VYDAJ	PREVOD NA UCET	1370	37253	 	IJ	42194247
833475	2838	1994-11-09	VYDAJ	PREVOD NA UCET	1370	58183	 	IJ	42194247
833476	2838	1994-12-09	VYDAJ	PREVOD NA UCET	1370	41300	 	IJ	42194247
833477	2838	1995-01-09	VYDAJ	PREVOD NA UCET	1370	33494	 	IJ	42194247
833478	2838	1995-02-09	VYDAJ	PREVOD NA UCET	1370	29586	 	IJ	42194247
833479	2838	1995-03-09	VYDAJ	PREVOD NA UCET	1370	42988	 	IJ	42194247
833480	2838	1995-04-09	VYDAJ	PREVOD NA UCET	1370	70952	 	IJ	42194247
833481	2838	1995-05-09	VYDAJ	PREVOD NA UCET	1370	64673	 	IJ	42194247
833482	2838	1995-06-09	VYDAJ	PREVOD NA UCET	1370	65444	 	IJ	42194247
833483	2838	1995-07-09	VYDAJ	PREVOD NA UCET	1370	52562	 	IJ	42194247
833484	2838	1995-08-09	VYDAJ	PREVOD NA UCET	1370	60157	 	IJ	42194247
833485	2838	1995-09-09	VYDAJ	PREVOD NA UCET	1370	73603	 	IJ	42194247
833486	2838	1995-10-09	VYDAJ	PREVOD NA UCET	1370	63411	 	IJ	42194247
833487	2838	1995-11-09	VYDAJ	PREVOD NA UCET	1370	68955	 	IJ	42194247
833488	2838	1995-12-09	VYDAJ	PREVOD NA UCET	1370	64573	 	IJ	42194247
833489	2838	1996-01-09	VYDAJ	PREVOD NA UCET	1370	47114	 	IJ	42194247
833490	2838	1996-02-09	VYDAJ	PREVOD NA UCET	1370	48898	 	IJ	42194247
833491	2838	1996-03-09	VYDAJ	PREVOD NA UCET	1370	55536	 	IJ	42194247
833492	2838	1996-04-09	VYDAJ	PREVOD NA UCET	1370	65468	 	IJ	42194247
833493	2838	1996-05-09	VYDAJ	PREVOD NA UCET	1370	80800	 	IJ	42194247
833494	2838	1996-06-09	VYDAJ	PREVOD NA UCET	1370	62919	 	IJ	42194247
833495	2838	1996-07-09	VYDAJ	PREVOD NA UCET	1370	47633	 	IJ	42194247
833496	2838	1996-08-09	VYDAJ	PREVOD NA UCET	1370	68881	 	IJ	42194247
833497	2838	1996-09-09	VYDAJ	PREVOD NA UCET	1370	101303	 	IJ	42194247
833498	2838	1996-10-09	VYDAJ	PREVOD NA UCET	1370	89612	 	IJ	42194247
833499	2838	1996-11-09	VYDAJ	PREVOD NA UCET	1370	61318	 	IJ	42194247
833500	2838	1996-12-09	VYDAJ	PREVOD NA UCET	1370	69365	 	IJ	42194247
833501	2838	1997-01-09	VYDAJ	PREVOD NA UCET	1370	63563	 	IJ	42194247
833502	2838	1997-02-09	VYDAJ	PREVOD NA UCET	1370	72809	 	IJ	42194247
833503	2838	1997-03-09	VYDAJ	PREVOD NA UCET	1370	95385	 	IJ	42194247
833504	2838	1997-04-09	VYDAJ	PREVOD NA UCET	1370	77992	 	IJ	42194247
833505	2838	1997-05-09	VYDAJ	PREVOD NA UCET	1370	96768	 	IJ	42194247
833506	2838	1997-06-09	VYDAJ	PREVOD NA UCET	1370	53631	 	IJ	42194247
833507	2838	1997-07-09	VYDAJ	PREVOD NA UCET	1370	46798	 	IJ	42194247
833508	2838	1997-08-09	VYDAJ	PREVOD NA UCET	1370	95637	 	IJ	42194247
833509	2838	1997-09-09	VYDAJ	PREVOD NA UCET	1370	83628	 	IJ	42194247
833510	2838	1997-10-09	VYDAJ	PREVOD NA UCET	1370	101705	 	IJ	42194247
833511	2838	1997-11-09	VYDAJ	PREVOD NA UCET	1370	97515	 	IJ	42194247
833512	2838	1997-12-09	VYDAJ	PREVOD NA UCET	1370	43717	 	IJ	42194247
833513	2838	1998-01-09	VYDAJ	PREVOD NA UCET	1370	107583	 	IJ	42194247
833514	2838	1998-02-09	VYDAJ	PREVOD NA UCET	1370	43791	 	IJ	42194247
833515	2838	1998-03-09	VYDAJ	PREVOD NA UCET	1370	77189	 	IJ	42194247
833516	2838	1998-04-09	VYDAJ	PREVOD NA UCET	1370	112443	 	IJ	42194247
833517	2838	1998-05-09	VYDAJ	PREVOD NA UCET	1370	113080	 	IJ	42194247
833518	2838	1998-06-09	VYDAJ	PREVOD NA UCET	1370	85849	 	IJ	42194247
833519	2838	1998-07-09	VYDAJ	PREVOD NA UCET	1370	56187	 	IJ	42194247
833520	2838	1998-08-09	VYDAJ	PREVOD NA UCET	1370	111251	 	IJ	42194247
833521	2838	1998-09-09	VYDAJ	PREVOD NA UCET	1370	111219	 	IJ	42194247
833522	2838	1998-10-09	VYDAJ	PREVOD NA UCET	1370	99246	 	IJ	42194247
833523	2838	1998-11-09	VYDAJ	PREVOD NA UCET	1370	83131	 	IJ	42194247
833524	2838	1998-12-09	VYDAJ	PREVOD NA UCET	1370	67444	 	IJ	42194247
833531	2838	1994-03-13	VYBER	VYBER	13148	37062	\N	\N	\N
833532	2838	1995-09-23	VYBER	VYBER	6703	104786	\N	\N	\N
833533	2838	1995-08-29	VYBER	VYBER	20069	73726	\N	\N	\N
833534	2838	1996-02-17	VYBER	VYBER	2959	63389	\N	\N	\N
833542	2838	1994-01-06	VYDAJ	VYBER	18600	60074	\N	\N	\N
833543	2838	1995-01-23	VYDAJ	VYBER	7800	37047	\N	\N	\N
833544	2838	1996-01-27	VYDAJ	VYBER	13500	64591	\N	\N	\N
833545	2838	1997-01-16	VYDAJ	VYBER	25800	32063	\N	\N	\N
833546	2838	1998-01-28	VYDAJ	VYBER	6000	53083	\N	\N	\N
833547	2838	1993-12-10	VYDAJ	VYBER	4800	45306	\N	\N	\N
833548	2838	1994-12-20	VYDAJ	VYBER	3300	86117	\N	\N	\N
833549	2838	1995-12-09	VYDAJ	VYBER	8100	56473	\N	\N	\N
833550	2838	1996-12-07	VYDAJ	VYBER	2400	72683	\N	\N	\N
833551	2838	1997-12-04	VYDAJ	VYBER	6900	47035	\N	\N	\N
833552	2838	1998-12-06	VYDAJ	VYBER	6900	70762	\N	\N	\N
833559	2838	1994-01-15	VYDAJ	VYBER	6900	45230	\N	\N	\N
833560	2838	1994-01-26	VYDAJ	VYBER	3300	41930	\N	\N	\N
833561	2838	1994-01-05	VYDAJ	VYBER	4500	78674	\N	\N	\N
833562	2838	1994-01-14	VYDAJ	VYBER	3900	52130	\N	\N	\N
833563	2838	1994-01-10	VYDAJ	VYBER	4200	57530	\N	\N	\N
833564	2838	1994-01-13	VYDAJ	VYBER	1500	56030	\N	\N	\N
833565	2838	1995-01-07	VYDAJ	VYBER	7500	44912	\N	\N	\N
833566	2838	1995-01-07	VYDAJ	VYBER	8100	36812	\N	\N	\N
833567	2838	1995-01-13	VYDAJ	VYBER	4800	44847	\N	\N	\N
833568	2838	1995-01-06	VYDAJ	VYBER	8400	52412	\N	\N	\N
833569	2838	1995-01-29	VYDAJ	VYBER	3600	33447	\N	\N	\N
833570	2838	1995-01-02	VYDAJ	VYBER	6900	91712	\N	\N	\N
833571	2838	1996-01-24	VYDAJ	VYBER	3000	78091	\N	\N	\N
833572	2838	1996-01-16	VYDAJ	VYBER	7200	36014	\N	\N	\N
833573	2838	1996-01-21	VYDAJ	VYBER	3000	81091	\N	\N	\N
833574	2838	1996-01-04	VYDAJ	VYBER	3900	57632	\N	\N	\N
833575	2838	1996-01-08	VYDAJ	VYBER	7200	48484	\N	\N	\N
833576	2838	1996-01-13	VYDAJ	VYBER	3900	43214	\N	\N	\N
833577	2838	1997-01-01	VYDAJ	VYBER	3300	54087	\N	\N	\N
833578	2838	1997-01-10	VYDAJ	VYBER	5700	57863	\N	\N	\N
833579	2838	1997-01-05	VYDAJ	VYBER	8100	61811	\N	\N	\N
833580	2838	1997-01-26	VYDAJ	VYBER	2400	54354	\N	\N	\N
833581	2838	1997-01-05	VYDAJ	VYBER	7500	69911	\N	\N	\N
833582	2838	1997-01-28	VYDAJ	VYBER	3000	51354	\N	\N	\N
833583	2838	1998-01-25	VYDAJ	VYBER	3900	69283	\N	\N	\N
833584	2838	1998-01-14	VYDAJ	VYBER	7500	100083	\N	\N	\N
833585	2838	1998-01-17	VYDAJ	VYBER	5700	94383	\N	\N	\N
833586	2838	1998-01-29	VYDAJ	VYBER	3900	49183	\N	\N	\N
833587	2838	1998-01-28	VYDAJ	VYBER	3900	65383	\N	\N	\N
833588	2838	1998-01-28	VYDAJ	VYBER	6300	59083	\N	\N	\N
833592	2838	1994-08-05	VYDAJ	VYBER	7800	100277	\N	\N	\N
833593	2838	1994-10-01	VYDAJ	VYBER	13800	56171	\N	\N	\N
833595	2838	1994-01-08	VYDAJ	VYBER	10200	39067	\N	\N	\N
833596	2838	1995-06-26	VYDAJ	VYBER	8400	78219	\N	\N	\N
833597	2838	1995-03-25	VYDAJ	VYBER	6300	60023	\N	\N	\N
833598	2838	1995-01-04	VYDAJ	VYBER	1500	60812	\N	\N	\N
833599	2838	1995-08-29	VYDAJ	VYBER	6600	67126	\N	\N	\N
833600	2838	1995-04-04	VYDAJ	VYBER	3900	42723	\N	\N	\N
833601	2838	1996-11-18	VYDAJ	VYBER	9900	56596	\N	\N	\N
833602	2838	1996-05-15	VYDAJ	VYBER	1800	79000	\N	\N	\N
833603	2838	1996-06-01	VYDAJ	VYBER	9600	66237	\N	\N	\N
833604	2838	1996-04-24	VYDAJ	VYBER	10800	69413	\N	\N	\N
833605	2838	1997-11-23	VYDAJ	VYBER	6300	53646	\N	\N	\N
833606	2838	1997-03-14	VYDAJ	VYBER	9300	86085	\N	\N	\N
833607	2838	1997-04-29	VYDAJ	VYBER	4500	65907	\N	\N	\N
833608	2838	1997-05-17	VYDAJ	VYBER	5400	91368	\N	\N	\N
833609	2838	1998-02-13	VYDAJ	VYBER	6000	47190	\N	\N	\N
833610	2838	1998-07-04	VYDAJ	VYBER	4500	59505	\N	\N	\N
833611	2838	1998-11-20	VYDAJ	VYBER	11700	66731	\N	\N	\N
833612	2838	1998-01-29	VYDAJ	VYBER	2400	46783	\N	\N	\N
833623	2838	1993-10-31	VYDAJ	VYBER	30	62532	SLUZBY	\N	\N
833624	2838	1993-11-30	VYDAJ	VYBER	30	73824	SLUZBY	\N	\N
833625	2838	1993-12-31	VYDAJ	VYBER	30	83174	SLUZBY	\N	\N
833626	2838	1994-01-31	VYDAJ	VYBER	30	42123	SLUZBY	\N	\N
833627	2838	1994-02-28	VYDAJ	VYBER	30	73928	SLUZBY	\N	\N
833628	2838	1994-03-31	VYDAJ	VYBER	30	68298	SLUZBY	\N	\N
833629	2838	1994-04-30	VYDAJ	VYBER	30	45963	SLUZBY	\N	\N
833630	2838	1994-05-31	VYDAJ	VYBER	30	34167	SLUZBY	\N	\N
833631	2838	1994-06-30	VYDAJ	VYBER	30	63695	SLUZBY	\N	\N
833632	2838	1994-07-31	VYDAJ	VYBER	30	85139	SLUZBY	\N	\N
833633	2838	1994-08-31	VYDAJ	VYBER	30	72692	SLUZBY	\N	\N
833634	2838	1994-09-30	VYDAJ	VYBER	30	69971	SLUZBY	\N	\N
833635	2838	1994-10-31	VYDAJ	VYBER	30	37395	SLUZBY	\N	\N
833636	2838	1994-11-30	VYDAJ	VYBER	30	60118	SLUZBY	\N	\N
833637	2838	1994-12-31	VYDAJ	VYBER	30	98612	SLUZBY	\N	\N
833638	2838	1995-01-31	VYDAJ	VYBER	30	33604	SLUZBY	\N	\N
833639	2838	1995-02-28	VYDAJ	VYBER	30	58706	SLUZBY	\N	\N
833640	2838	1995-03-31	VYDAJ	VYBER	30	60223	SLUZBY	\N	\N
833641	2838	1995-04-30	VYDAJ	VYBER	30	65735	SLUZBY	\N	\N
833642	2838	1995-05-31	VYDAJ	VYBER	30	80778	SLUZBY	\N	\N
833643	2838	1995-06-30	VYDAJ	VYBER	30	78480	SLUZBY	\N	\N
833644	2838	1995-07-31	VYDAJ	VYBER	30	89275	SLUZBY	\N	\N
833645	2838	1995-08-31	VYDAJ	VYBER	30	51313	SLUZBY	\N	\N
833646	2838	1995-09-30	VYDAJ	VYBER	30	60757	SLUZBY	\N	\N
833647	2838	1995-10-31	VYDAJ	VYBER	30	60104	SLUZBY	\N	\N
833648	2838	1995-11-30	VYDAJ	VYBER	30	67891	SLUZBY	\N	\N
833649	2838	1995-12-31	VYDAJ	VYBER	30	61532	SLUZBY	\N	\N
833650	2838	1996-01-31	VYDAJ	VYBER	30	52216	SLUZBY	\N	\N
833651	2838	1996-02-29	VYDAJ	VYBER	30	58854	SLUZBY	\N	\N
833652	2838	1996-03-31	VYDAJ	VYBER	30	68786	SLUZBY	\N	\N
833653	2838	1996-04-30	VYDAJ	VYBER	30	51560	SLUZBY	\N	\N
833654	2838	1996-05-31	VYDAJ	VYBER	30	75837	SLUZBY	\N	\N
833655	2838	1996-06-30	VYDAJ	VYBER	30	50951	SLUZBY	\N	\N
833656	2838	1996-07-31	VYDAJ	VYBER	30	72199	SLUZBY	\N	\N
833657	2838	1996-08-31	VYDAJ	VYBER	30	104621	SLUZBY	\N	\N
833658	2838	1996-09-30	VYDAJ	VYBER	30	97825	SLUZBY	\N	\N
833659	2838	1996-10-31	VYDAJ	VYBER	30	64636	SLUZBY	\N	\N
833660	2838	1996-11-30	VYDAJ	VYBER	30	48205	SLUZBY	\N	\N
833661	2838	1996-12-31	VYDAJ	VYBER	30	57387	SLUZBY	\N	\N
833662	2838	1997-01-31	VYDAJ	VYBER	30	76127	SLUZBY	\N	\N
833663	2838	1997-02-28	VYDAJ	VYBER	30	98703	SLUZBY	\N	\N
833664	2838	1997-03-31	VYDAJ	VYBER	30	93291	SLUZBY	\N	\N
833665	2838	1997-04-30	VYDAJ	VYBER	30	66239	SLUZBY	\N	\N
833666	2838	1997-05-31	VYDAJ	VYBER	30	56949	SLUZBY	\N	\N
833667	2838	1997-06-30	VYDAJ	VYBER	30	50116	SLUZBY	\N	\N
833668	2838	1997-07-31	VYDAJ	VYBER	30	71580	SLUZBY	\N	\N
833669	2838	1997-08-31	VYDAJ	VYBER	30	116346	SLUZBY	\N	\N
833670	2838	1997-09-30	VYDAJ	VYBER	30	136160	SLUZBY	\N	\N
833671	2838	1997-10-31	VYDAJ	VYBER	30	100833	SLUZBY	\N	\N
833672	2838	1997-11-30	VYDAJ	VYBER	30	53935	SLUZBY	\N	\N
833673	2838	1997-12-31	VYDAJ	VYBER	30	100794	SLUZBY	\N	\N
833674	2838	1998-01-31	VYDAJ	VYBER	30	47109	SLUZBY	\N	\N
833675	2838	1998-02-28	VYDAJ	VYBER	30	80507	SLUZBY	\N	\N
833676	2838	1998-03-31	VYDAJ	VYBER	30	88342	SLUZBY	\N	\N
833677	2838	1998-04-30	VYDAJ	VYBER	30	116398	SLUZBY	\N	\N
833678	2838	1998-05-31	VYDAJ	VYBER	30	89167	SLUZBY	\N	\N
833679	2838	1998-06-30	VYDAJ	VYBER	30	64005	SLUZBY	\N	\N
833680	2838	1998-07-31	VYDAJ	VYBER	30	114569	SLUZBY	\N	\N
833681	2838	1998-08-31	VYDAJ	VYBER	30	92434	SLUZBY	\N	\N
833682	2838	1998-09-30	VYDAJ	VYBER	30	102564	SLUZBY	\N	\N
833683	2838	1998-10-31	VYDAJ	VYBER	30	127468	SLUZBY	\N	\N
833684	2838	1998-11-30	VYDAJ	VYBER	30	121962	SLUZBY	\N	\N
833685	2838	1993-05-13	PRIJEM	VKLAD	11900	12800	\N	\N	\N
833686	2838	1993-06-12	VYDAJ	VYBER	21500	41791	\N	\N	\N
833687	2838	1993-07-12	VYDAJ	VYBER	37300	61019	\N	\N	\N
833688	2838	1993-08-11	VYDAJ	VYBER	17500	43885	\N	\N	\N
833689	2838	1993-09-10	VYDAJ	VYBER	7400	36895	\N	\N	\N
833690	2838	1993-10-10	VYDAJ	VYBER	7900	29405	\N	\N	\N
833691	2838	1993-11-09	VYDAJ	VYBER	29300	58900	\N	\N	\N
833692	2838	1993-12-09	VYDAJ	VYBER	20400	51476	\N	\N	\N
833693	2838	1994-01-07	VYDAJ	VYBER	47500	60515	\N	\N	\N
833694	2838	1994-01-08	VYDAJ	VYBER	9300	49267	\N	\N	\N
833695	2838	1994-02-07	VYDAJ	VYBER	9100	33023	\N	\N	\N
833696	2838	1994-03-09	VYDAJ	VYBER	20400	50210	\N	\N	\N
833697	2838	1994-03-31	VYDAJ	VYBER	42800	68328	\N	\N	\N
833698	2838	1994-04-08	VYDAJ	VYBER	19200	47150	\N	\N	\N
833699	2838	1994-05-08	VYDAJ	VYBER	8600	35415	\N	\N	\N
833700	2838	1994-06-07	VYDAJ	VYBER	5200	28967	\N	\N	\N
833701	2838	1994-07-07	VYDAJ	VYBER	20400	43295	\N	\N	\N
833702	2838	1994-08-06	VYDAJ	VYBER	36600	63677	\N	\N	\N
833703	2838	1994-08-25	VYDAJ	VYBER	57600	72373	\N	\N	\N
833704	2838	1994-09-05	VYDAJ	VYBER	18600	66328	\N	\N	\N
833705	2838	1994-09-05	VYDAJ	VYBER	34900	84928	\N	\N	\N
833706	2838	1994-09-07	VYDAJ	VYBER	27300	81200	\N	\N	\N
833707	2838	1994-09-17	VYDAJ	VYBER	45400	65938	\N	\N	\N
833708	2838	1994-09-28	VYDAJ	VYBER	63400	69673	\N	\N	\N
833709	2838	1994-10-05	VYDAJ	VYBER	15600	40571	\N	\N	\N
833710	2838	1994-11-04	VYDAJ	VYBER	3100	34295	\N	\N	\N
833711	2838	1994-11-30	VYDAJ	VYBER	51400	60148	\N	\N	\N
833712	2838	1994-12-04	VYDAJ	VYBER	15500	44618	\N	\N	\N
833713	2838	1994-12-22	VYDAJ	VYBER	37400	98337	\N	\N	\N
833714	2838	1995-01-03	VYDAJ	VYBER	29400	62312	\N	\N	\N
833715	2838	1995-02-02	VYDAJ	VYBER	700	32904	\N	\N	\N
833716	2838	1995-03-04	VYDAJ	VYBER	12400	46306	\N	\N	\N
833717	2838	1995-04-03	VYDAJ	VYBER	13600	46623	\N	\N	\N
833718	2838	1995-04-27	VYDAJ	VYBER	48900	65486	\N	\N	\N
833719	2838	1995-05-03	VYDAJ	VYBER	39400	67991	\N	\N	\N
833720	2838	1995-05-16	VYDAJ	VYBER	33400	80438	\N	\N	\N
833721	2838	1995-06-02	VYDAJ	VYBER	22800	57978	\N	\N	\N
833722	2838	1995-07-02	VYDAJ	VYBER	22600	55880	\N	\N	\N
833723	2838	1995-07-19	VYDAJ	VYBER	21400	95766	\N	\N	\N
833724	2838	1995-07-25	VYDAJ	VYBER	17000	109437	\N	\N	\N
833725	2838	1995-07-31	VYDAJ	VYBER	20500	89305	\N	\N	\N
833726	2838	1995-08-01	VYDAJ	VYBER	25800	63475	\N	\N	\N
833727	2838	1995-08-31	VYDAJ	VYBER	16100	51343	\N	\N	\N
833728	2838	1995-09-23	VYDAJ	VYBER	27500	77286	\N	\N	\N
833729	2838	1995-09-30	VYDAJ	VYBER	25800	60787	\N	\N	\N
833730	2838	1995-10-30	VYDAJ	VYBER	29300	59849	\N	\N	\N
833731	2838	1995-11-29	VYDAJ	VYBER	29200	67584	\N	\N	\N
833732	2838	1995-12-29	VYDAJ	VYBER	55900	56929	\N	\N	\N
833733	2838	1995-12-29	VYDAJ	VYBER	10600	46329	\N	\N	\N
833734	2838	1996-01-28	VYDAJ	VYBER	12600	51991	\N	\N	\N
833735	2838	1996-02-27	VYDAJ	VYBER	17600	58633	\N	\N	\N
833736	2838	1996-03-28	VYDAJ	VYBER	32700	68523	\N	\N	\N
833737	2838	1996-04-14	VYDAJ	VYBER	30900	78617	\N	\N	\N
833738	2838	1996-04-17	VYDAJ	VYBER	49800	71047	\N	\N	\N
833739	2838	1996-04-27	VYDAJ	VYBER	18100	51313	\N	\N	\N
833740	2838	1996-05-27	VYDAJ	VYBER	32900	75544	\N	\N	\N
833741	2838	1996-06-26	VYDAJ	VYBER	12200	50719	\N	\N	\N
833742	2838	1996-07-26	VYDAJ	VYBER	21000	71987	\N	\N	\N
833743	2838	1996-08-25	VYDAJ	VYBER	10900	57981	\N	\N	\N
833744	2838	1996-09-10	VYDAJ	VYBER	52800	64449	\N	\N	\N
833745	2838	1996-09-23	VYDAJ	VYBER	58000	60787	\N	\N	\N
833746	2838	1996-09-24	VYDAJ	VYBER	11300	49487	\N	\N	\N
833747	2838	1996-10-01	VYDAJ	VYBER	37900	77793	\N	\N	\N
833748	2838	1996-10-24	VYDAJ	VYBER	25300	64312	\N	\N	\N
833749	2838	1996-11-23	VYDAJ	VYBER	8600	47996	\N	\N	\N
833750	2838	1996-12-23	VYDAJ	VYBER	12200	57165	\N	\N	\N
833751	2838	1997-01-22	VYDAJ	VYBER	14100	56754	\N	\N	\N
833752	2838	1997-02-18	VYDAJ	VYBER	63000	51498	\N	\N	\N
833753	2838	1997-02-21	VYDAJ	VYBER	2900	48598	\N	\N	\N
833754	2838	1997-03-23	VYDAJ	VYBER	19700	66385	\N	\N	\N
833755	2838	1997-03-24	VYDAJ	VYBER	23100	92922	\N	\N	\N
833756	2838	1997-04-06	VYDAJ	VYBER	40100	81310	\N	\N	\N
833757	2838	1997-04-12	VYDAJ	VYBER	57800	66904	\N	\N	\N
833758	2838	1997-04-22	VYDAJ	VYBER	23600	70407	\N	\N	\N
833759	2838	1997-05-19	VYDAJ	VYBER	55200	65856	\N	\N	\N
833760	2838	1997-05-22	VYDAJ	VYBER	9200	56656	\N	\N	\N
833761	2838	1997-06-21	VYDAJ	VYBER	3700	49931	\N	\N	\N
833762	2838	1997-07-21	VYDAJ	VYBER	23100	71324	\N	\N	\N
833763	2838	1997-08-20	VYDAJ	VYBER	22700	72937	\N	\N	\N
833764	2838	1997-09-08	VYDAJ	VYBER	29400	86946	\N	\N	\N
833765	2838	1997-09-19	VYDAJ	VYBER	15900	67728	\N	\N	\N
833766	2838	1997-09-30	VYDAJ	VYBER	37200	98960	\N	\N	\N
833767	2838	1997-10-03	VYDAJ	VYBER	34700	105023	\N	\N	\N
833768	2838	1997-10-12	VYDAJ	VYBER	36600	110463	\N	\N	\N
833769	2838	1997-10-13	VYDAJ	VYBER	58300	62073	\N	\N	\N
833770	2838	1997-10-19	VYDAJ	VYBER	3100	58973	\N	\N	\N
833771	2838	1997-11-16	VYDAJ	VYBER	57900	65546	\N	\N	\N
833772	2838	1997-11-18	VYDAJ	VYBER	5600	59946	\N	\N	\N
833773	2838	1997-12-18	PRIJEM	VKLAD	4600	48317	\N	\N	\N
833774	2838	1997-12-27	VYDAJ	VYBER	50200	100515	\N	\N	\N
833775	2838	1998-01-02	VYDAJ	VYBER	58800	70556	\N	\N	\N
833776	2838	1998-01-06	VYDAJ	VYBER	30200	110901	\N	\N	\N
833777	2838	1998-01-17	VYDAJ	VYBER	21200	73183	\N	\N	\N
833778	2838	1998-02-16	PRIJEM	VKLAD	2400	49590	\N	\N	\N
833779	2838	1998-03-18	VYDAJ	VYBER	26300	88035	\N	\N	\N
833780	2838	1998-04-17	VYDAJ	VYBER	24800	87643	\N	\N	\N
833781	2838	1998-04-18	VYDAJ	VYBER	29100	103342	\N	\N	\N
833782	2838	1998-04-30	VYDAJ	VYBER	25800	116428	\N	\N	\N
833783	2838	1998-05-17	VYDAJ	VYBER	24300	88780	\N	\N	\N
833784	2838	1998-06-16	VYDAJ	VYBER	9300	76549	\N	\N	\N
833785	2838	1998-06-17	VYDAJ	VYBER	60400	63618	\N	\N	\N
833786	2838	1998-07-16	VYDAJ	VYBER	15100	78053	\N	\N	\N
833787	2838	1998-08-15	VYDAJ	VYBER	19200	92051	\N	\N	\N
833788	2838	1998-09-09	VYDAJ	VYBER	25200	112589	\N	\N	\N
833789	2838	1998-09-14	VYDAJ	VYBER	22500	88719	\N	\N	\N
833790	2838	1998-10-13	VYDAJ	VYBER	28500	113562	\N	\N	\N
833791	2838	1998-10-14	VYDAJ	VYBER	18900	94662	\N	\N	\N
833792	2838	1998-10-31	VYDAJ	VYBER	51100	76368	\N	\N	\N
833793	2838	1998-11-08	VYDAJ	VYBER	51700	86449	\N	\N	\N
833794	2838	1998-11-13	VYDAJ	VYBER	4700	78431	\N	\N	\N
833795	2838	1998-11-26	VYDAJ	VYBER	28800	121606	\N	\N	\N
833796	2838	1998-11-30	VYDAJ	VYBER	44300	77662	\N	\N	\N
833797	2838	1998-12-13	VYDAJ	VYBER	300	67144	\N	\N	\N
833866	2839	1995-04-04	PRIJEM	VKLAD	800	800	\N	\N	\N
833870	2839	1995-04-07	PRIJEM	VKLAD	20029	20829	\N	\N	\N
833871	2839	1995-05-07	PRIJEM	VKLAD	20029	44627	\N	\N	\N
833872	2839	1995-06-07	PRIJEM	VKLAD	30044	63238	\N	\N	\N
833873	2839	1995-07-07	PRIJEM	VKLAD	20029	64215	\N	\N	\N
833874	2839	1995-08-07	PRIJEM	VKLAD	20029	64010	\N	\N	\N
833875	2839	1995-09-07	PRIJEM	VKLAD	20029	56822	\N	\N	\N
833876	2839	1995-10-07	PRIJEM	VKLAD	20029	53865	\N	\N	\N
833877	2839	1995-11-07	PRIJEM	VKLAD	20029	53994	\N	\N	\N
833878	2839	1995-12-07	PRIJEM	VKLAD	30044	63990	\N	\N	\N
833879	2839	1996-01-07	PRIJEM	VKLAD	20029	53632	\N	\N	\N
833880	2839	1996-02-07	PRIJEM	VKLAD	20029	48211	\N	\N	\N
833881	2839	1996-03-07	PRIJEM	VKLAD	20029	53209	\N	\N	\N
833882	2839	1996-04-07	PRIJEM	VKLAD	20029	52466	\N	\N	\N
833883	2839	1996-05-07	PRIJEM	VKLAD	20029	50339	\N	\N	\N
833884	2839	1996-06-07	PRIJEM	VKLAD	30044	63057	\N	\N	\N
833885	2839	1996-07-07	PRIJEM	VKLAD	20029	51353	\N	\N	\N
833886	2839	1996-08-07	PRIJEM	VKLAD	20029	56861	\N	\N	\N
833887	2839	1996-09-07	PRIJEM	VKLAD	20029	59185	\N	\N	\N
833888	2839	1996-10-07	PRIJEM	VKLAD	20029	61394	\N	\N	\N
833889	2839	1996-11-07	PRIJEM	VKLAD	20029	60638	\N	\N	\N
833890	2839	1996-12-07	PRIJEM	VKLAD	30044	73396	\N	\N	\N
833891	2839	1997-01-07	PRIJEM	VKLAD	20029	59199	\N	\N	\N
833892	2839	1997-02-07	PRIJEM	VKLAD	20029	46712	\N	\N	\N
833893	2839	1997-03-07	PRIJEM	VKLAD	20029	50696	\N	\N	\N
833894	2839	1997-04-07	PRIJEM	VKLAD	20029	50592	\N	\N	\N
833895	2839	1997-05-07	PRIJEM	VKLAD	20029	51347	\N	\N	\N
833896	2839	1997-06-07	PRIJEM	VKLAD	30044	59115	\N	\N	\N
833897	2839	1997-07-07	PRIJEM	VKLAD	20029	40374	\N	\N	\N
833898	2839	1997-08-07	PRIJEM	VKLAD	20029	49135	\N	\N	\N
833899	2839	1997-09-07	PRIJEM	VKLAD	20029	51924	\N	\N	\N
833900	2839	1997-10-07	PRIJEM	VKLAD	20029	47313	\N	\N	\N
833901	2839	1997-11-07	PRIJEM	VKLAD	20029	45285	\N	\N	\N
833902	2839	1997-12-07	PRIJEM	VKLAD	30044	46920	\N	\N	\N
833903	2839	1998-01-07	PRIJEM	VKLAD	20029	38599	\N	\N	\N
833904	2839	1998-02-07	PRIJEM	VKLAD	20029	38979	\N	\N	\N
833905	2839	1998-03-07	PRIJEM	VKLAD	20029	38015	\N	\N	\N
833906	2839	1998-04-07	PRIJEM	VKLAD	20029	35585	\N	\N	\N
833907	2839	1998-05-07	PRIJEM	VKLAD	20029	36511	\N	\N	\N
833908	2839	1998-06-07	PRIJEM	VKLAD	30044	49257	\N	\N	\N
833909	2839	1998-07-07	PRIJEM	VKLAD	20029	48126	\N	\N	\N
833910	2839	1998-08-07	PRIJEM	VKLAD	20029	44191	\N	\N	\N
833911	2839	1998-09-07	PRIJEM	VKLAD	20029	47654	\N	\N	\N
833912	2839	1998-10-07	PRIJEM	VKLAD	20029	49328	\N	\N	\N
833913	2839	1998-11-07	PRIJEM	VKLAD	20029	56319	\N	\N	\N
833914	2839	1998-12-07	PRIJEM	VKLAD	30044	65278	\N	\N	\N
833922	2839	1995-08-13	VYDAJ	PREVOD NA UCET	3157	55599	SIPO	CD	85834467
833923	2839	1995-09-13	VYDAJ	PREVOD NA UCET	3157	48411	SIPO	CD	85834467
833924	2839	1995-10-13	VYDAJ	PREVOD NA UCET	3157	45454	SIPO	CD	85834467
833925	2839	1995-11-13	VYDAJ	PREVOD NA UCET	3157	45583	SIPO	CD	85834467
833926	2839	1995-12-13	VYDAJ	PREVOD NA UCET	3157	50939	SIPO	CD	85834467
833927	2839	1996-01-13	VYDAJ	PREVOD NA UCET	3157	40541	SIPO	CD	85834467
833928	2839	1996-02-13	VYDAJ	PREVOD NA UCET	3157	39800	SIPO	CD	85834467
833929	2839	1996-03-13	VYDAJ	PREVOD NA UCET	3157	44798	SIPO	CD	85834467
833930	2839	1996-04-13	VYDAJ	PREVOD NA UCET	3157	44055	SIPO	CD	85834467
833931	2839	1996-05-13	VYDAJ	PREVOD NA UCET	3157	41928	SIPO	CD	85834467
833932	2839	1996-06-13	VYDAJ	PREVOD NA UCET	3157	54646	SIPO	CD	85834467
833933	2839	1996-07-13	VYDAJ	PREVOD NA UCET	3157	42942	SIPO	CD	85834467
833934	2839	1996-08-13	VYDAJ	PREVOD NA UCET	3157	48450	SIPO	CD	85834467
833935	2839	1996-09-13	VYDAJ	PREVOD NA UCET	3157	47054	SIPO	CD	85834467
833936	2839	1996-10-13	VYDAJ	PREVOD NA UCET	3157	52983	SIPO	CD	85834467
833937	2839	1996-11-13	VYDAJ	PREVOD NA UCET	3157	52227	SIPO	CD	85834467
833938	2839	1996-12-13	VYDAJ	PREVOD NA UCET	3157	60425	SIPO	CD	85834467
833939	2839	1997-01-13	VYDAJ	PREVOD NA UCET	3157	44188	SIPO	CD	85834467
833940	2839	1997-02-13	VYDAJ	PREVOD NA UCET	3157	38301	SIPO	CD	85834467
833941	2839	1997-03-13	VYDAJ	PREVOD NA UCET	3157	42285	SIPO	CD	85834467
833942	2839	1997-04-13	VYDAJ	PREVOD NA UCET	3157	42181	SIPO	CD	85834467
833943	2839	1997-05-13	VYDAJ	PREVOD NA UCET	3157	42936	SIPO	CD	85834467
833944	2839	1997-06-13	VYDAJ	PREVOD NA UCET	3157	19824	SIPO	CD	85834467
833945	2839	1997-07-13	VYDAJ	PREVOD NA UCET	3157	31963	SIPO	CD	85834467
833946	2839	1997-08-13	VYDAJ	PREVOD NA UCET	3157	39524	SIPO	CD	85834467
833947	2839	1997-09-13	VYDAJ	PREVOD NA UCET	3157	43513	SIPO	CD	85834467
833948	2839	1997-10-13	VYDAJ	PREVOD NA UCET	3157	38902	SIPO	CD	85834467
833949	2839	1997-11-13	VYDAJ	PREVOD NA UCET	3157	36874	SIPO	CD	85834467
833950	2839	1997-12-13	VYDAJ	PREVOD NA UCET	3157	38509	SIPO	CD	85834467
833951	2839	1998-01-13	VYDAJ	PREVOD NA UCET	3157	27548	SIPO	CD	85834467
833952	2839	1998-02-13	VYDAJ	PREVOD NA UCET	3157	30568	SIPO	CD	85834467
833953	2839	1998-03-13	VYDAJ	PREVOD NA UCET	3157	29604	SIPO	CD	85834467
833954	2839	1998-04-13	VYDAJ	PREVOD NA UCET	3157	27174	SIPO	CD	85834467
833955	2839	1998-05-13	VYDAJ	PREVOD NA UCET	3157	28100	SIPO	CD	85834467
833956	2839	1998-06-13	VYDAJ	PREVOD NA UCET	3157	40846	SIPO	CD	85834467
833957	2839	1998-07-13	VYDAJ	PREVOD NA UCET	3157	39715	SIPO	CD	85834467
833958	2839	1998-08-13	VYDAJ	PREVOD NA UCET	3157	35780	SIPO	CD	85834467
833959	2839	1998-09-13	VYDAJ	PREVOD NA UCET	3157	39243	SIPO	CD	85834467
833960	2839	1998-10-13	VYDAJ	PREVOD NA UCET	3157	40917	SIPO	CD	85834467
833961	2839	1998-11-13	VYDAJ	PREVOD NA UCET	3157	47908	SIPO	CD	85834467
833962	2839	1998-12-13	VYDAJ	PREVOD NA UCET	3157	56867	SIPO	CD	85834467
833970	2839	1995-08-11	VYDAJ	PREVOD NA UCET	4885	59125	 	KL	46831309
833971	2839	1995-09-11	VYDAJ	PREVOD NA UCET	4885	51568	 	KL	46831309
833972	2839	1995-10-11	VYDAJ	PREVOD NA UCET	4885	48980	 	KL	46831309
833973	2839	1995-11-11	VYDAJ	PREVOD NA UCET	4885	49109	 	KL	46831309
833974	2839	1995-12-11	VYDAJ	PREVOD NA UCET	4885	58736	 	KL	46831309
833975	2839	1996-01-11	VYDAJ	PREVOD NA UCET	4885	45507	 	KL	46831309
833976	2839	1996-02-11	VYDAJ	PREVOD NA UCET	4885	42957	 	KL	46831309
833977	2839	1996-03-11	VYDAJ	PREVOD NA UCET	4885	47955	 	KL	46831309
833978	2839	1996-04-11	VYDAJ	PREVOD NA UCET	4885	47581	 	KL	46831309
833979	2839	1996-05-11	VYDAJ	PREVOD NA UCET	4885	45454	 	KL	46831309
833980	2839	1996-06-11	VYDAJ	PREVOD NA UCET	4885	58172	 	KL	46831309
833981	2839	1996-07-11	VYDAJ	PREVOD NA UCET	4885	46099	 	KL	46831309
833982	2839	1996-08-11	VYDAJ	PREVOD NA UCET	4885	51607	 	KL	46831309
833983	2839	1996-09-11	VYDAJ	PREVOD NA UCET	4885	50211	 	KL	46831309
833984	2839	1996-10-11	VYDAJ	PREVOD NA UCET	4885	56140	 	KL	46831309
833985	2839	1996-11-11	VYDAJ	PREVOD NA UCET	4885	55384	 	KL	46831309
833986	2839	1996-12-11	VYDAJ	PREVOD NA UCET	4885	63582	 	KL	46831309
833987	2839	1997-01-11	VYDAJ	PREVOD NA UCET	4885	50825	 	KL	46831309
833988	2839	1997-02-11	VYDAJ	PREVOD NA UCET	4885	41827	 	KL	46831309
833989	2839	1997-03-11	VYDAJ	PREVOD NA UCET	4885	45811	 	KL	46831309
833990	2839	1997-04-11	VYDAJ	PREVOD NA UCET	4885	45338	 	KL	46831309
833991	2839	1997-05-11	VYDAJ	PREVOD NA UCET	4885	46093	 	KL	46831309
833992	2839	1997-06-11	VYDAJ	PREVOD NA UCET	4885	22981	 	KL	46831309
833993	2839	1997-07-11	VYDAJ	PREVOD NA UCET	4885	35120	 	KL	46831309
833994	2839	1997-08-11	VYDAJ	PREVOD NA UCET	4885	42681	 	KL	46831309
833995	2839	1997-09-11	VYDAJ	PREVOD NA UCET	4885	46670	 	KL	46831309
833996	2839	1997-10-11	VYDAJ	PREVOD NA UCET	4885	42428	 	KL	46831309
833997	2839	1997-11-11	VYDAJ	PREVOD NA UCET	4885	40031	 	KL	46831309
833998	2839	1997-12-11	VYDAJ	PREVOD NA UCET	4885	41666	 	KL	46831309
833999	2839	1998-01-11	VYDAJ	PREVOD NA UCET	4885	30705	 	KL	46831309
834000	2839	1998-02-11	VYDAJ	PREVOD NA UCET	4885	34094	 	KL	46831309
834001	2839	1998-03-11	VYDAJ	PREVOD NA UCET	4885	33130	 	KL	46831309
834002	2839	1998-04-11	VYDAJ	PREVOD NA UCET	4885	30700	 	KL	46831309
834003	2839	1998-05-11	VYDAJ	PREVOD NA UCET	4885	31626	 	KL	46831309
834004	2839	1998-06-11	VYDAJ	PREVOD NA UCET	4885	44372	 	KL	46831309
834005	2839	1998-07-11	VYDAJ	PREVOD NA UCET	4885	42872	 	KL	46831309
834006	2839	1998-08-11	VYDAJ	PREVOD NA UCET	4885	38937	 	KL	46831309
834007	2839	1998-09-11	VYDAJ	PREVOD NA UCET	4885	42400	 	KL	46831309
834008	2839	1998-10-11	VYDAJ	PREVOD NA UCET	4885	44443	 	KL	46831309
834009	2839	1998-11-11	VYDAJ	PREVOD NA UCET	4885	51434	 	KL	46831309
834010	2839	1998-12-11	VYDAJ	PREVOD NA UCET	4885	60024	 	KL	46831309
834018	2839	1995-08-11	VYDAJ	PREVOD NA UCET	369	58756	POJISTNE	MN	26345074
834019	2839	1995-09-11	VYDAJ	PREVOD NA UCET	369	56453	POJISTNE	MN	26345074
834020	2839	1995-10-11	VYDAJ	PREVOD NA UCET	369	48611	POJISTNE	MN	26345074
834021	2839	1995-11-11	VYDAJ	PREVOD NA UCET	369	48740	POJISTNE	MN	26345074
834022	2839	1995-12-11	VYDAJ	PREVOD NA UCET	369	63621	POJISTNE	MN	26345074
834023	2839	1996-01-11	VYDAJ	PREVOD NA UCET	369	45138	POJISTNE	MN	26345074
834024	2839	1996-02-11	VYDAJ	PREVOD NA UCET	369	47842	POJISTNE	MN	26345074
834025	2839	1996-03-11	VYDAJ	PREVOD NA UCET	369	52840	POJISTNE	MN	26345074
834026	2839	1996-04-11	VYDAJ	PREVOD NA UCET	369	47212	POJISTNE	MN	26345074
834027	2839	1996-05-11	VYDAJ	PREVOD NA UCET	369	45085	POJISTNE	MN	26345074
834028	2839	1996-06-11	VYDAJ	PREVOD NA UCET	369	57803	POJISTNE	MN	26345074
834029	2839	1996-07-11	VYDAJ	PREVOD NA UCET	369	50984	POJISTNE	MN	26345074
834030	2839	1996-08-11	VYDAJ	PREVOD NA UCET	369	56492	POJISTNE	MN	26345074
834031	2839	1996-09-11	VYDAJ	PREVOD NA UCET	369	55096	POJISTNE	MN	26345074
834032	2839	1996-10-11	VYDAJ	PREVOD NA UCET	369	61025	POJISTNE	MN	26345074
834033	2839	1996-11-11	VYDAJ	PREVOD NA UCET	369	60269	POJISTNE	MN	26345074
834034	2839	1996-12-11	VYDAJ	PREVOD NA UCET	369	68467	POJISTNE	MN	26345074
834035	2839	1997-01-11	VYDAJ	PREVOD NA UCET	369	55710	POJISTNE	MN	26345074
834036	2839	1997-02-11	VYDAJ	PREVOD NA UCET	369	41458	POJISTNE	MN	26345074
834037	2839	1997-03-11	VYDAJ	PREVOD NA UCET	369	45442	POJISTNE	MN	26345074
834038	2839	1997-04-11	VYDAJ	PREVOD NA UCET	369	50223	POJISTNE	MN	26345074
834039	2839	1997-05-11	VYDAJ	PREVOD NA UCET	369	50978	POJISTNE	MN	26345074
834040	2839	1997-06-11	VYDAJ	PREVOD NA UCET	369	27866	POJISTNE	MN	26345074
834041	2839	1997-07-11	VYDAJ	PREVOD NA UCET	369	40005	POJISTNE	MN	26345074
834042	2839	1997-08-11	VYDAJ	PREVOD NA UCET	369	47566	POJISTNE	MN	26345074
834043	2839	1997-09-11	VYDAJ	PREVOD NA UCET	369	51555	POJISTNE	MN	26345074
834044	2839	1997-10-11	VYDAJ	PREVOD NA UCET	369	42059	POJISTNE	MN	26345074
834045	2839	1997-11-11	VYDAJ	PREVOD NA UCET	369	44916	POJISTNE	MN	26345074
834046	2839	1997-12-11	VYDAJ	PREVOD NA UCET	369	46551	POJISTNE	MN	26345074
834047	2839	1998-01-11	VYDAJ	PREVOD NA UCET	369	35590	POJISTNE	MN	26345074
834048	2839	1998-02-11	VYDAJ	PREVOD NA UCET	369	33725	POJISTNE	MN	26345074
834049	2839	1998-03-11	VYDAJ	PREVOD NA UCET	369	32761	POJISTNE	MN	26345074
834050	2839	1998-04-11	VYDAJ	PREVOD NA UCET	369	30331	POJISTNE	MN	26345074
834051	2839	1998-05-11	VYDAJ	PREVOD NA UCET	369	31257	POJISTNE	MN	26345074
834052	2839	1998-06-11	VYDAJ	PREVOD NA UCET	369	44003	POJISTNE	MN	26345074
834053	2839	1998-07-11	VYDAJ	PREVOD NA UCET	369	47757	POJISTNE	MN	26345074
834054	2839	1998-08-11	VYDAJ	PREVOD NA UCET	369	43822	POJISTNE	MN	26345074
834055	2839	1998-09-11	VYDAJ	PREVOD NA UCET	369	47285	POJISTNE	MN	26345074
834056	2839	1998-10-11	VYDAJ	PREVOD NA UCET	369	44074	POJISTNE	MN	26345074
834057	2839	1998-11-11	VYDAJ	PREVOD NA UCET	369	51065	POJISTNE	MN	26345074
834058	2839	1998-12-11	VYDAJ	PREVOD NA UCET	369	64909	POJISTNE	MN	26345074
834067	2839	1995-09-05	VYDAJ	PREVOD NA UCET	166	36793	 	CD	79972260
834068	2839	1995-10-05	VYDAJ	PREVOD NA UCET	166	33836	 	CD	79972260
834069	2839	1995-11-05	VYDAJ	PREVOD NA UCET	166	33965	 	CD	79972260
834070	2839	1995-12-05	VYDAJ	PREVOD NA UCET	166	33946	 	CD	79972260
834071	2839	1996-01-05	VYDAJ	PREVOD NA UCET	166	33603	 	CD	79972260
834072	2839	1996-02-05	VYDAJ	PREVOD NA UCET	166	28182	 	CD	79972260
834073	2839	1996-03-05	VYDAJ	PREVOD NA UCET	166	33180	 	CD	79972260
834074	2839	1996-04-05	VYDAJ	PREVOD NA UCET	166	33997	 	CD	79972260
834075	2839	1996-05-05	VYDAJ	PREVOD NA UCET	166	30310	 	CD	79972260
834076	2839	1996-06-05	VYDAJ	PREVOD NA UCET	166	33013	 	CD	79972260
834077	2839	1996-07-05	VYDAJ	PREVOD NA UCET	166	31324	 	CD	79972260
834078	2839	1996-08-05	VYDAJ	PREVOD NA UCET	166	36832	 	CD	79972260
834079	2839	1996-09-05	VYDAJ	PREVOD NA UCET	166	39156	 	CD	79972260
834080	2839	1996-10-05	VYDAJ	PREVOD NA UCET	166	41365	 	CD	79972260
834081	2839	1996-11-05	VYDAJ	PREVOD NA UCET	166	40609	 	CD	79972260
834082	2839	1996-12-05	VYDAJ	PREVOD NA UCET	166	43352	 	CD	79972260
834083	2839	1997-01-05	VYDAJ	PREVOD NA UCET	166	39170	 	CD	79972260
834084	2839	1997-02-05	VYDAJ	PREVOD NA UCET	166	26683	 	CD	79972260
834085	2839	1997-03-05	VYDAJ	PREVOD NA UCET	166	30667	 	CD	79972260
834086	2839	1997-04-05	VYDAJ	PREVOD NA UCET	166	30563	 	CD	79972260
834087	2839	1997-05-05	VYDAJ	PREVOD NA UCET	166	31318	 	CD	79972260
834088	2839	1997-06-05	VYDAJ	PREVOD NA UCET	166	29071	 	CD	79972260
834089	2839	1997-07-05	VYDAJ	PREVOD NA UCET	166	20345	 	CD	79972260
834090	2839	1997-08-05	VYDAJ	PREVOD NA UCET	166	29106	 	CD	79972260
834091	2839	1997-09-05	VYDAJ	PREVOD NA UCET	166	31895	 	CD	79972260
834092	2839	1997-10-05	VYDAJ	PREVOD NA UCET	166	27284	 	CD	79972260
834093	2839	1997-11-05	VYDAJ	PREVOD NA UCET	166	25256	 	CD	79972260
834094	2839	1997-12-05	VYDAJ	PREVOD NA UCET	166	16877	 	CD	79972260
834095	2839	1998-01-05	VYDAJ	PREVOD NA UCET	166	18570	 	CD	79972260
834096	2839	1998-02-05	VYDAJ	PREVOD NA UCET	166	18950	 	CD	79972260
834097	2839	1998-03-05	VYDAJ	PREVOD NA UCET	166	17986	 	CD	79972260
834098	2839	1998-04-05	VYDAJ	PREVOD NA UCET	166	15556	 	CD	79972260
834099	2839	1998-05-05	VYDAJ	PREVOD NA UCET	166	16482	 	CD	79972260
834100	2839	1998-06-05	VYDAJ	PREVOD NA UCET	166	19214	 	CD	79972260
834101	2839	1998-07-05	VYDAJ	PREVOD NA UCET	166	28097	 	CD	79972260
834102	2839	1998-08-05	VYDAJ	PREVOD NA UCET	166	24162	 	CD	79972260
834103	2839	1998-09-05	VYDAJ	PREVOD NA UCET	166	27625	 	CD	79972260
834104	2839	1998-10-05	VYDAJ	PREVOD NA UCET	166	29299	 	CD	79972260
834105	2839	1998-11-05	VYDAJ	PREVOD NA UCET	166	36290	 	CD	79972260
834106	2839	1998-12-05	VYDAJ	PREVOD NA UCET	166	35234	 	CD	79972260
834108	2839	1996-06-18	VYDAJ	VYBER	18720	35926	\N	\N	\N
834109	2839	1997-06-08	VYDAJ	VYBER	30880	28235	\N	\N	\N
834112	2839	1996-01-26	VYDAJ	VYBER	3200	33381	\N	\N	\N
834113	2839	1997-01-14	VYDAJ	VYBER	10880	33308	\N	\N	\N
834115	2839	1995-12-13	VYDAJ	VYBER	4640	54096	\N	\N	\N
834116	2839	1996-12-26	VYDAJ	VYBER	1120	42605	\N	\N	\N
834117	2839	1997-12-30	VYDAJ	VYBER	2240	21269	\N	\N	\N
834118	2839	1998-12-05	VYDAJ	VYBER	1760	35400	\N	\N	\N
834125	2839	1996-01-07	VYDAJ	VYBER	3240	50392	\N	\N	\N
834126	2839	1996-01-02	VYDAJ	VYBER	3360	33769	\N	\N	\N
834127	2839	1996-01-12	VYDAJ	VYBER	1440	43698	\N	\N	\N
834128	2839	1996-01-29	VYDAJ	VYBER	2280	31101	\N	\N	\N
834129	2839	1996-01-23	VYDAJ	VYBER	1920	36581	\N	\N	\N
834130	2839	1996-01-17	VYDAJ	VYBER	2040	38501	\N	\N	\N
834131	2839	1997-01-09	VYDAJ	VYBER	3120	56079	\N	\N	\N
834132	2839	1997-01-02	VYDAJ	VYBER	3480	39336	\N	\N	\N
834133	2839	1997-01-27	VYDAJ	VYBER	2640	26708	\N	\N	\N
834134	2839	1997-01-22	VYDAJ	VYBER	2520	28748	\N	\N	\N
834135	2839	1997-01-12	VYDAJ	VYBER	3480	47345	\N	\N	\N
834136	2839	1997-01-17	VYDAJ	VYBER	2040	31268	\N	\N	\N
834137	2839	1998-01-16	VYDAJ	VYBER	2400	25148	\N	\N	\N
834138	2839	1998-01-30	VYDAJ	VYBER	1800	19028	\N	\N	\N
834139	2839	1998-01-20	VYDAJ	VYBER	3360	21788	\N	\N	\N
834140	2839	1998-01-04	VYDAJ	VYBER	2640	18736	\N	\N	\N
834141	2839	1998-01-10	VYDAJ	VYBER	2640	35959	\N	\N	\N
834142	2839	1998-01-26	VYDAJ	VYBER	960	20828	\N	\N	\N
834143	2839	1995-08-18	VYDAJ	VYBER	5160	50439	\N	\N	\N
834148	2839	1995-11-27	VYDAJ	VYBER	2040	43543	\N	\N	\N
834149	2839	1996-04-05	VYDAJ	VYBER	1560	32437	\N	\N	\N
834150	2839	1996-12-10	VYDAJ	VYBER	4560	68836	\N	\N	\N
834151	2839	1996-09-08	VYDAJ	VYBER	3720	55465	\N	\N	\N
834152	2839	1996-08-21	VYDAJ	VYBER	4800	43650	\N	\N	\N
834153	2839	1996-04-29	VYDAJ	VYBER	3840	30315	\N	\N	\N
834154	2839	1997-05-19	VYDAJ	VYBER	3240	39696	\N	\N	\N
834155	2839	1997-11-30	VYDAJ	VYBER	5640	17058	\N	\N	\N
834156	2839	1997-04-14	VYDAJ	VYBER	2040	40141	\N	\N	\N
834157	2839	1997-08-10	VYDAJ	VYBER	1200	47935	\N	\N	\N
834158	2839	1998-12-19	VYDAJ	VYBER	3720	37387	\N	\N	\N
834160	2839	1998-12-17	VYDAJ	VYBER	3360	41107	\N	\N	\N
834161	2839	1998-03-18	VYDAJ	VYBER	5760	23844	\N	\N	\N
834170	2839	1995-08-31	VYDAJ	VYBER	15	50659	SLUZBY	\N	\N
834171	2839	1995-09-30	VYDAJ	VYBER	15	48602	SLUZBY	\N	\N
834172	2839	1995-10-31	VYDAJ	VYBER	15	34131	SLUZBY	\N	\N
834173	2839	1995-11-30	VYDAJ	VYBER	15	34112	SLUZBY	\N	\N
834174	2839	1995-12-31	VYDAJ	VYBER	15	37129	SLUZBY	\N	\N
834175	2839	1996-01-31	VYDAJ	VYBER	15	28348	SLUZBY	\N	\N
834176	2839	1996-02-29	VYDAJ	VYBER	15	33346	SLUZBY	\N	\N
834177	2839	1996-03-31	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
834178	2839	1996-04-30	VYDAJ	VYBER	15	30476	SLUZBY	\N	\N
834179	2839	1996-05-31	VYDAJ	VYBER	15	33179	SLUZBY	\N	\N
834180	2839	1996-06-30	VYDAJ	VYBER	15	31490	SLUZBY	\N	\N
834181	2839	1996-07-31	VYDAJ	VYBER	15	36998	SLUZBY	\N	\N
834182	2839	1996-08-31	VYDAJ	VYBER	15	39322	SLUZBY	\N	\N
834183	2839	1996-09-30	VYDAJ	VYBER	15	41531	SLUZBY	\N	\N
834184	2839	1996-10-31	VYDAJ	VYBER	15	40775	SLUZBY	\N	\N
834185	2839	1996-11-30	VYDAJ	VYBER	15	43518	SLUZBY	\N	\N
834186	2839	1996-12-31	VYDAJ	VYBER	15	42816	SLUZBY	\N	\N
834187	2839	1997-01-31	VYDAJ	VYBER	15	26849	SLUZBY	\N	\N
834188	2839	1997-02-28	VYDAJ	VYBER	15	30833	SLUZBY	\N	\N
834189	2839	1997-03-31	VYDAJ	VYBER	15	30729	SLUZBY	\N	\N
834190	2839	1997-04-30	VYDAJ	VYBER	15	31484	SLUZBY	\N	\N
834191	2839	1997-05-31	VYDAJ	VYBER	15	29237	SLUZBY	\N	\N
834192	2839	1997-06-30	VYDAJ	VYBER	15	20511	SLUZBY	\N	\N
834193	2839	1997-07-31	VYDAJ	VYBER	15	29272	SLUZBY	\N	\N
834194	2839	1997-08-31	VYDAJ	VYBER	15	32061	SLUZBY	\N	\N
834195	2839	1997-09-30	VYDAJ	VYBER	15	27450	SLUZBY	\N	\N
834196	2839	1997-10-31	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
834197	2839	1997-11-30	VYDAJ	VYBER	15	17043	SLUZBY	\N	\N
834198	2839	1997-12-31	VYDAJ	VYBER	15	21376	SLUZBY	\N	\N
834199	2839	1998-01-31	VYDAJ	VYBER	15	19116	SLUZBY	\N	\N
834200	2839	1998-02-28	VYDAJ	VYBER	15	18152	SLUZBY	\N	\N
834201	2839	1998-03-31	VYDAJ	VYBER	15	15722	SLUZBY	\N	\N
834202	2839	1998-04-30	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
834203	2839	1998-05-31	VYDAJ	VYBER	15	19380	SLUZBY	\N	\N
834204	2839	1998-06-30	VYDAJ	VYBER	15	28263	SLUZBY	\N	\N
834205	2839	1998-07-31	VYDAJ	VYBER	15	24328	SLUZBY	\N	\N
834206	2839	1998-08-31	VYDAJ	VYBER	15	27791	SLUZBY	\N	\N
834207	2839	1998-09-30	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
834208	2839	1998-10-31	VYDAJ	VYBER	15	36456	SLUZBY	\N	\N
834209	2839	1998-11-30	VYDAJ	VYBER	15	37160	SLUZBY	\N	\N
834210	2839	1995-05-04	PRIJEM	VKLAD	3700	24598	\N	\N	\N
834211	2839	1995-06-03	VYDAJ	VYBER	11600	33194	\N	\N	\N
834212	2839	1995-07-03	VYDAJ	VYBER	19300	44186	\N	\N	\N
834213	2839	1995-08-02	VYDAJ	VYBER	20500	43981	\N	\N	\N
834214	2839	1995-09-01	VYDAJ	VYBER	13700	36959	\N	\N	\N
834215	2839	1995-10-01	VYDAJ	VYBER	14600	34002	\N	\N	\N
834216	2839	1995-10-31	VYDAJ	VYBER	11500	34146	\N	\N	\N
834217	2839	1995-11-30	VYDAJ	VYBER	9600	34127	\N	\N	\N
834218	2839	1995-12-30	VYDAJ	VYBER	14000	36939	\N	\N	\N
834219	2839	1996-01-29	VYDAJ	VYBER	2900	28201	\N	\N	\N
834220	2839	1996-02-28	VYDAJ	VYBER	6600	33200	\N	\N	\N
834221	2839	1996-03-29	VYDAJ	VYBER	10800	33998	\N	\N	\N
834222	2839	1996-04-28	VYDAJ	VYBER	9900	34155	\N	\N	\N
834223	2839	1996-05-28	VYDAJ	VYBER	8900	33028	\N	\N	\N
834224	2839	1996-06-27	VYDAJ	VYBER	4600	31326	\N	\N	\N
834225	2839	1996-07-27	VYDAJ	VYBER	6100	36842	\N	\N	\N
834226	2839	1996-08-26	VYDAJ	VYBER	4500	39150	\N	\N	\N
834227	2839	1996-09-25	VYDAJ	VYBER	5700	41354	\N	\N	\N
834228	2839	1996-10-25	VYDAJ	VYBER	12400	40583	\N	\N	\N
834229	2839	1996-11-24	VYDAJ	VYBER	8900	43327	\N	\N	\N
834230	2839	1996-12-24	VYDAJ	VYBER	16700	43725	\N	\N	\N
834231	2839	1997-01-23	PRIJEM	VKLAD	600	29348	\N	\N	\N
834232	2839	1997-02-22	VYDAJ	VYBER	7600	30701	\N	\N	\N
834233	2839	1997-03-24	VYDAJ	VYBER	11700	30585	\N	\N	\N
834234	2839	1997-04-23	VYDAJ	VYBER	8800	31341	\N	\N	\N
834235	2839	1997-05-23	VYDAJ	VYBER	10600	29096	\N	\N	\N
834236	2839	1997-06-22	PRIJEM	VKLAD	600	20424	\N	\N	\N
834237	2839	1997-07-22	VYDAJ	VYBER	2800	29163	\N	\N	\N
834238	2839	1997-08-21	VYDAJ	VYBER	7600	31924	\N	\N	\N
834239	2839	1997-09-20	VYDAJ	VYBER	16200	27313	\N	\N	\N
834240	2839	1997-10-20	VYDAJ	VYBER	13600	25302	\N	\N	\N
834241	2839	1997-11-19	VYDAJ	VYBER	14300	22574	\N	\N	\N
834242	2839	1997-12-19	VYDAJ	VYBER	15000	23509	\N	\N	\N
834243	2839	1998-02-17	VYDAJ	VYBER	12500	18068	\N	\N	\N
834244	2839	1998-03-19	VYDAJ	VYBER	8200	15644	\N	\N	\N
834245	2839	1998-04-18	VYDAJ	VYBER	10600	16574	\N	\N	\N
834246	2839	1998-05-18	VYDAJ	VYBER	8800	19300	\N	\N	\N
834247	2839	1998-06-17	VYDAJ	VYBER	12700	28146	\N	\N	\N
834248	2839	1998-07-17	VYDAJ	VYBER	15500	24215	\N	\N	\N
834249	2839	1998-08-16	VYDAJ	VYBER	8100	27680	\N	\N	\N
834250	2839	1998-09-15	VYDAJ	VYBER	9900	29343	\N	\N	\N
834251	2839	1998-10-15	VYDAJ	VYBER	4600	36317	\N	\N	\N
834252	2839	1998-11-14	VYDAJ	VYBER	10900	37008	\N	\N	\N
834253	2839	1998-12-14	VYDAJ	VYBER	12400	44467	\N	\N	\N
834299	2840	1994-10-09	PRIJEM	VKLAD	400	400	\N	\N	\N
834300	2840	1994-12-29	PRIJEM	VKLAD	31484	71930	\N	\N	\N
834305	2840	1994-11-30	PRIJEM	VKLAD	38232	57978	\N	\N	\N
834308	2840	1994-11-02	PRIJEM	VKLAD	18846	19246	\N	\N	\N
834318	2840	1995-05-13	PRIJEM	VKLAD	47842	123644	\N	\N	\N
834319	2840	1995-08-22	PRIJEM	VKLAD	38972	77310	\N	\N	\N
834320	2840	1995-05-08	PRIJEM	VKLAD	49631	75802	\N	\N	\N
834321	2840	1995-03-14	PRIJEM	VKLAD	37511	60678	\N	\N	\N
834322	2840	1995-05-27	PRIJEM	VKLAD	13482	114815	\N	\N	\N
834323	2840	1995-12-19	PRIJEM	VKLAD	45126	62290	\N	\N	\N
834324	2840	1995-01-20	PRIJEM	VKLAD	18578	104584	\N	\N	\N
834325	2840	1995-05-17	PRIJEM	VKLAD	15071	109133	\N	\N	\N
834326	2840	1995-10-13	PRIJEM	VKLAD	9846	65046	\N	\N	\N
834327	2840	1995-05-28	PRIJEM	VKLAD	42327	132742	\N	\N	\N
834328	2840	1995-01-18	PRIJEM	VKLAD	37728	86006	\N	\N	\N
834329	2840	1995-09-23	PRIJEM	VKLAD	46487	84548	\N	\N	\N
834330	2840	1995-07-10	PRIJEM	VKLAD	14192	42976	\N	\N	\N
834331	2840	1995-02-07	PRIJEM	VKLAD	5899	58032	\N	\N	\N
834332	2840	1995-08-22	PRIJEM	VKLAD	20002	38338	\N	\N	\N
834333	2840	1996-09-26	PRIJEM	VKLAD	5221	18443	\N	\N	\N
834334	2840	1996-10-21	PRIJEM	VKLAD	20397	35227	\N	\N	\N
834335	2840	1996-03-14	PRIJEM	VKLAD	28849	45571	\N	\N	\N
834336	2840	1996-05-21	PRIJEM	VKLAD	9216	34342	\N	\N	\N
834337	2840	1996-03-27	PRIJEM	VKLAD	28700	74271	\N	\N	\N
834338	2840	1996-12-01	PRIJEM	VKLAD	12200	39865	\N	\N	\N
834339	2840	1996-12-03	PRIJEM	VKLAD	49512	84577	\N	\N	\N
834340	2840	1996-03-30	PRIJEM	VKLAD	10126	84397	\N	\N	\N
834341	2840	1996-12-26	PRIJEM	VKLAD	36400	141848	\N	\N	\N
834342	2840	1996-12-25	PRIJEM	VKLAD	32153	105448	\N	\N	\N
834343	2840	1996-02-13	PRIJEM	VKLAD	9935	36383	\N	\N	\N
834344	2840	1996-06-24	PRIJEM	VKLAD	21530	39922	\N	\N	\N
834345	2840	1997-07-02	PRIJEM	VKLAD	29924	109587	\N	\N	\N
834346	2840	1997-05-08	PRIJEM	VKLAD	5633	55405	\N	\N	\N
834347	2840	1997-12-20	PRIJEM	VKLAD	45909	89226	\N	\N	\N
834348	2840	1997-12-27	PRIJEM	VKLAD	15928	115008	\N	\N	\N
834349	2840	1997-05-20	PRIJEM	VKLAD	16415	60538	\N	\N	\N
834350	2840	1997-06-29	PRIJEM	VKLAD	46169	79503	\N	\N	\N
834351	2840	1997-12-30	PRIJEM	VKLAD	24754	139762	\N	\N	\N
834352	2840	1997-10-21	PRIJEM	VKLAD	41789	72307	\N	\N	\N
834353	2840	1997-12-26	PRIJEM	VKLAD	35454	99080	\N	\N	\N
834354	2840	1997-02-26	PRIJEM	VKLAD	49164	79385	\N	\N	\N
834355	2840	1997-12-19	PRIJEM	VKLAD	21524	43317	\N	\N	\N
834356	2840	1997-08-31	PRIJEM	VKLAD	11004	35390	\N	\N	\N
834357	2840	1997-10-01	PRIJEM	VKLAD	12971	41800	\N	\N	\N
834358	2840	1997-04-11	PRIJEM	VKLAD	22992	76927	\N	\N	\N
834359	2840	1998-04-05	PRIJEM	VKLAD	21370	59556	\N	\N	\N
834360	2840	1998-05-17	PRIJEM	VKLAD	43780	97300	\N	\N	\N
834361	2840	1998-09-29	PRIJEM	VKLAD	19162	98932	\N	\N	\N
834362	2840	1998-08-18	PRIJEM	VKLAD	33335	88980	\N	\N	\N
834363	2840	1998-11-26	PRIJEM	VKLAD	9996	72321	\N	\N	\N
834364	2840	1998-08-27	PRIJEM	VKLAD	39361	83795	\N	\N	\N
834365	2840	1998-06-28	PRIJEM	VKLAD	5979	83452	\N	\N	\N
834366	2840	1998-05-13	PRIJEM	VKLAD	18970	64802	\N	\N	\N
834367	2840	1998-12-01	PRIJEM	VKLAD	9248	81837	\N	\N	\N
834368	2840	1998-08-31	PRIJEM	VKLAD	19494	103567	\N	\N	\N
834369	2840	1998-06-26	PRIJEM	VKLAD	23913	77473	\N	\N	\N
834443	2840	1995-02-13	VYDAJ	PREVOD NA UCET	11282	46750	SIPO	EF	9861410
834444	2840	1995-03-13	VYDAJ	PREVOD NA UCET	11282	23167	SIPO	EF	9861410
834445	2840	1995-04-13	VYDAJ	PREVOD NA UCET	11282	30197	SIPO	EF	9861410
834446	2840	1995-05-13	VYDAJ	PREVOD NA UCET	11282	112362	SIPO	EF	9861410
834447	2840	1995-06-13	VYDAJ	PREVOD NA UCET	11282	35414	SIPO	EF	9861410
834448	2840	1995-07-13	VYDAJ	PREVOD NA UCET	11282	31694	SIPO	EF	9861410
834449	2840	1995-08-13	VYDAJ	PREVOD NA UCET	11282	18336	SIPO	EF	9861410
834450	2840	1995-09-13	VYDAJ	PREVOD NA UCET	11282	38061	SIPO	EF	9861410
834451	2840	1995-10-13	VYDAJ	PREVOD NA UCET	11282	53764	SIPO	EF	9861410
834452	2840	1995-11-13	VYDAJ	PREVOD NA UCET	11282	26026	SIPO	EF	9861410
834453	2840	1995-12-13	VYDAJ	PREVOD NA UCET	11282	17164	SIPO	EF	9861410
834454	2840	1996-01-13	VYDAJ	PREVOD NA UCET	11282	17356	SIPO	EF	9861410
834455	2840	1996-02-13	VYDAJ	PREVOD NA UCET	11282	25101	SIPO	EF	9861410
834456	2840	1996-03-13	VYDAJ	PREVOD NA UCET	11282	16722	SIPO	EF	9861410
834457	2840	1996-04-13	VYDAJ	PREVOD NA UCET	11282	43175	SIPO	EF	9861410
834458	2840	1996-05-13	VYDAJ	PREVOD NA UCET	11282	25126	SIPO	EF	9861410
834459	2840	1996-06-13	VYDAJ	PREVOD NA UCET	11282	18392	SIPO	EF	9861410
834460	2840	1996-07-13	VYDAJ	PREVOD NA UCET	11282	23274	SIPO	EF	9861410
834461	2840	1996-08-13	VYDAJ	PREVOD NA UCET	11282	17799	SIPO	EF	9861410
834462	2840	1996-09-13	VYDAJ	PREVOD NA UCET	11282	13222	SIPO	EF	9861410
834463	2840	1996-10-13	VYDAJ	PREVOD NA UCET	11282	14830	SIPO	EF	9861410
834464	2840	1996-11-13	VYDAJ	PREVOD NA UCET	11282	20750	SIPO	EF	9861410
834465	2840	1996-12-13	VYDAJ	PREVOD NA UCET	11282	73295	SIPO	EF	9861410
834466	2840	1997-01-13	VYDAJ	PREVOD NA UCET	11282	25268	SIPO	EF	9861410
834467	2840	1997-02-13	VYDAJ	PREVOD NA UCET	11282	22721	SIPO	EF	9861410
834468	2840	1997-03-13	VYDAJ	PREVOD NA UCET	11282	65248	SIPO	EF	9861410
834469	2840	1997-04-13	VYDAJ	PREVOD NA UCET	11282	65645	SIPO	EF	9861410
834470	2840	1997-05-13	VYDAJ	PREVOD NA UCET	11282	44123	SIPO	EF	9861410
834471	2840	1997-06-13	VYDAJ	PREVOD NA UCET	11282	29434	SIPO	EF	9861410
834472	2840	1997-07-13	VYDAJ	PREVOD NA UCET	11282	43305	SIPO	EF	9861410
834473	2840	1997-08-13	VYDAJ	PREVOD NA UCET	11282	15786	SIPO	EF	9861410
834474	2840	1997-09-13	VYDAJ	PREVOD NA UCET	11282	24205	SIPO	EF	9861410
834475	2840	1997-10-13	VYDAJ	PREVOD NA UCET	11282	30518	SIPO	EF	9861410
834476	2840	1997-11-13	VYDAJ	PREVOD NA UCET	11282	45676	SIPO	EF	9861410
834477	2840	1997-12-13	VYDAJ	PREVOD NA UCET	11282	21793	SIPO	EF	9861410
834478	2840	1998-01-13	VYDAJ	PREVOD NA UCET	11282	63494	SIPO	EF	9861410
834479	2840	1998-02-13	VYDAJ	PREVOD NA UCET	11282	12546	SIPO	EF	9861410
834480	2840	1998-03-13	VYDAJ	PREVOD NA UCET	11282	21659	SIPO	EF	9861410
834481	2840	1998-04-13	VYDAJ	PREVOD NA UCET	11282	48274	SIPO	EF	9861410
834482	2840	1998-05-13	VYDAJ	PREVOD NA UCET	11282	53520	SIPO	EF	9861410
834483	2840	1998-06-13	VYDAJ	PREVOD NA UCET	11282	61560	SIPO	EF	9861410
834484	2840	1998-07-13	VYDAJ	PREVOD NA UCET	11282	69431	SIPO	EF	9861410
834485	2840	1998-08-13	VYDAJ	PREVOD NA UCET	11282	55645	SIPO	EF	9861410
834486	2840	1998-09-13	VYDAJ	PREVOD NA UCET	11282	92270	SIPO	EF	9861410
834487	2840	1998-10-13	VYDAJ	PREVOD NA UCET	11282	88026	SIPO	EF	9861410
834488	2840	1998-11-13	VYDAJ	PREVOD NA UCET	11282	60125	SIPO	EF	9861410
834489	2840	1998-12-13	VYDAJ	PREVOD NA UCET	11282	65299	SIPO	EF	9861410
834498	2840	1995-05-01	VYBER	VYBER	2988	27371	\N	\N	\N
834499	2840	1995-02-20	VYBER	VYBER	6324	40426	\N	\N	\N
834500	2840	1995-02-06	VYBER	VYBER	17489	83233	\N	\N	\N
834501	2840	1995-08-23	VYBER	VYBER	5717	71593	\N	\N	\N
834502	2840	1996-07-06	VYBER	VYBER	3484	34556	\N	\N	\N
834504	2840	1998-06-02	VYBER	VYBER	3207	72842	\N	\N	\N
834505	2840	1998-12-10	VYBER	VYBER	5256	76581	\N	\N	\N
834506	2840	1998-10-19	VYBER	VYBER	9263	71063	\N	\N	\N
834508	2840	1998-08-20	VYBER	VYBER	17146	57334	\N	\N	\N
834509	2840	1998-12-27	VYBER	VYBER	22558	39841	\N	\N	\N
834520	2840	1997-01-08	VYDAJ	VYBER	16200	36550	\N	\N	\N
834521	2840	1998-01-27	VYDAJ	VYBER	21900	23594	\N	\N	\N
834523	2840	1995-12-22	VYDAJ	VYBER	1800	60490	\N	\N	\N
834524	2840	1996-12-26	VYDAJ	VYBER	7500	94448	\N	\N	\N
834525	2840	1997-12-03	VYDAJ	VYBER	3900	35775	\N	\N	\N
834526	2840	1998-12-20	VYDAJ	VYBER	5100	62399	\N	\N	\N
834536	2840	1995-01-27	VYDAJ	VYBER	4200	100384	\N	\N	\N
834539	2840	1996-01-02	VYDAJ	VYBER	6900	53738	\N	\N	\N
834540	2840	1996-01-06	VYDAJ	VYBER	1500	35838	\N	\N	\N
834541	2840	1996-01-08	VYDAJ	VYBER	3900	31938	\N	\N	\N
834542	2840	1996-01-02	VYDAJ	VYBER	7200	46538	\N	\N	\N
834544	2840	1996-01-10	VYDAJ	VYBER	3300	28638	\N	\N	\N
834545	2840	1997-01-06	VYDAJ	VYBER	1800	52750	\N	\N	\N
834546	2840	1997-01-19	VYDAJ	VYBER	1500	23768	\N	\N	\N
834548	2840	1997-01-05	VYDAJ	VYBER	5700	54550	\N	\N	\N
834549	2840	1997-01-01	VYDAJ	VYBER	4500	60250	\N	\N	\N
834551	2840	1998-01-13	VYDAJ	VYBER	8100	55394	\N	\N	\N
834552	2840	1998-01-08	VYDAJ	VYBER	1800	78376	\N	\N	\N
834553	2840	1998-01-12	VYDAJ	VYBER	3600	74776	\N	\N	\N
834554	2840	1998-01-17	VYDAJ	VYBER	6900	48494	\N	\N	\N
834555	2840	1998-01-08	VYDAJ	VYBER	5700	85876	\N	\N	\N
834556	2840	1998-01-08	VYDAJ	VYBER	5700	80176	\N	\N	\N
834561	2840	1995-10-18	VYDAJ	VYBER	12000	41764	\N	\N	\N
834562	2840	1995-06-14	VYDAJ	VYBER	2700	32714	\N	\N	\N
834563	2840	1995-05-26	VYDAJ	VYBER	7800	101333	\N	\N	\N
834564	2840	1995-06-02	VYDAJ	VYBER	13200	69996	\N	\N	\N
834566	2840	1996-12-01	VYDAJ	VYBER	4800	35065	\N	\N	\N
834567	2840	1996-09-04	VYDAJ	VYBER	2400	24504	\N	\N	\N
834568	2840	1997-05-21	VYDAJ	VYBER	13800	46738	\N	\N	\N
834570	2840	1997-08-01	VYDAJ	VYBER	12000	27068	\N	\N	\N
834571	2840	1997-12-10	VYDAJ	VYBER	2700	33075	\N	\N	\N
834572	2840	1997-02-26	VYDAJ	VYBER	3000	76385	\N	\N	\N
834574	2840	1998-06-16	VYDAJ	VYBER	14700	46860	\N	\N	\N
834575	2840	1998-08-23	VYDAJ	VYBER	12900	44434	\N	\N	\N
834576	2840	1998-06-28	VYDAJ	VYBER	3000	80452	\N	\N	\N
834577	2840	1998-04-16	VYDAJ	VYBER	7500	40774	\N	\N	\N
834591	2840	1995-01-31	VYDAJ	VYBER	15	100722	SLUZBY	\N	\N
834592	2840	1995-02-28	VYDAJ	VYBER	15	40649	SLUZBY	\N	\N
834593	2840	1995-03-31	VYDAJ	VYBER	15	60879	SLUZBY	\N	\N
834594	2840	1995-04-30	VYDAJ	VYBER	15	30359	SLUZBY	\N	\N
834595	2840	1995-05-31	VYDAJ	VYBER	15	83196	SLUZBY	\N	\N
834596	2840	1995-06-30	VYDAJ	VYBER	15	32884	SLUZBY	\N	\N
834597	2840	1995-07-31	VYDAJ	VYBER	15	31818	SLUZBY	\N	\N
834598	2840	1995-08-31	VYDAJ	VYBER	15	71743	SLUZBY	\N	\N
834599	2840	1995-09-30	VYDAJ	VYBER	15	84800	SLUZBY	\N	\N
834600	2840	1995-10-31	VYDAJ	VYBER	15	42008	SLUZBY	\N	\N
834601	2840	1995-11-30	VYDAJ	VYBER	15	26146	SLUZBY	\N	\N
834602	2840	1995-12-31	VYDAJ	VYBER	15	60638	SLUZBY	\N	\N
834603	2840	1996-01-31	VYDAJ	VYBER	15	17448	SLUZBY	\N	\N
834604	2840	1996-02-29	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
834605	2840	1996-03-31	VYDAJ	VYBER	15	84557	SLUZBY	\N	\N
834606	2840	1996-04-30	VYDAJ	VYBER	15	43408	SLUZBY	\N	\N
834607	2840	1996-05-31	VYDAJ	VYBER	15	29674	SLUZBY	\N	\N
834608	2840	1996-06-30	VYDAJ	VYBER	15	40040	SLUZBY	\N	\N
834609	2840	1996-07-31	VYDAJ	VYBER	15	29081	SLUZBY	\N	\N
834610	2840	1996-08-31	VYDAJ	VYBER	15	26904	SLUZBY	\N	\N
834611	2840	1996-09-30	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
834612	2840	1996-10-31	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
834613	2840	1996-11-30	VYDAJ	VYBER	15	27665	SLUZBY	\N	\N
834614	2840	1996-12-31	VYDAJ	VYBER	15	64750	SLUZBY	\N	\N
834615	2840	1997-01-31	VYDAJ	VYBER	15	34003	SLUZBY	\N	\N
834616	2840	1997-02-28	VYDAJ	VYBER	15	76530	SLUZBY	\N	\N
834617	2840	1997-03-31	VYDAJ	VYBER	15	53935	SLUZBY	\N	\N
834618	2840	1997-04-30	VYDAJ	VYBER	15	49772	SLUZBY	\N	\N
834619	2840	1997-05-31	VYDAJ	VYBER	15	40716	SLUZBY	\N	\N
834620	2840	1997-06-30	VYDAJ	VYBER	15	79663	SLUZBY	\N	\N
834621	2840	1997-07-31	VYDAJ	VYBER	15	39068	SLUZBY	\N	\N
834622	2840	1997-08-31	VYDAJ	VYBER	15	35487	SLUZBY	\N	\N
834623	2840	1997-09-30	VYDAJ	VYBER	15	28829	SLUZBY	\N	\N
834624	2840	1997-10-31	VYDAJ	VYBER	15	56958	SLUZBY	\N	\N
834625	2840	1997-11-30	VYDAJ	VYBER	15	39675	SLUZBY	\N	\N
834626	2840	1997-12-31	VYDAJ	VYBER	15	91576	SLUZBY	\N	\N
834627	2840	1998-01-31	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
834628	2840	1998-02-28	VYDAJ	VYBER	15	32941	SLUZBY	\N	\N
834629	2840	1998-03-31	VYDAJ	VYBER	15	38186	SLUZBY	\N	\N
834630	2840	1998-04-30	VYDAJ	VYBER	15	45832	SLUZBY	\N	\N
834631	2840	1998-05-31	VYDAJ	VYBER	15	76049	SLUZBY	\N	\N
834632	2840	1998-06-30	VYDAJ	VYBER	15	80713	SLUZBY	\N	\N
834633	2840	1998-07-31	VYDAJ	VYBER	15	66927	SLUZBY	\N	\N
834634	2840	1998-08-31	VYDAJ	VYBER	15	103552	SLUZBY	\N	\N
834635	2840	1998-09-30	VYDAJ	VYBER	15	99308	SLUZBY	\N	\N
834636	2840	1998-10-31	VYDAJ	VYBER	15	71407	SLUZBY	\N	\N
834637	2840	1998-11-30	VYDAJ	VYBER	15	72589	SLUZBY	\N	\N
834638	2840	1994-11-08	PRIJEM	VKLAD	500	19746	\N	\N	\N
834639	2840	1994-12-08	VYDAJ	VYBER	17600	40446	\N	\N	\N
834640	2840	1995-01-07	VYDAJ	VYBER	23900	48278	\N	\N	\N
834641	2840	1995-02-06	VYDAJ	VYBER	31100	52133	\N	\N	\N
834642	2840	1995-03-08	VYDAJ	VYBER	6200	34449	\N	\N	\N
834643	2840	1995-04-07	VYDAJ	VYBER	19400	41479	\N	\N	\N
834644	2840	1995-05-07	VYDAJ	VYBER	1200	26171	\N	\N	\N
834645	2840	1995-05-13	VYDAJ	VYBER	18300	94062	\N	\N	\N
834646	2840	1995-05-27	VYDAJ	VYBER	24400	90415	\N	\N	\N
834647	2840	1995-05-28	VYDAJ	VYBER	49900	82842	\N	\N	\N
834648	2840	1995-06-06	VYDAJ	VYBER	23300	46696	\N	\N	\N
834649	2840	1995-07-06	VYDAJ	VYBER	4100	28784	\N	\N	\N
834650	2840	1995-08-05	VYDAJ	VYBER	2200	29618	\N	\N	\N
834651	2840	1995-09-04	VYDAJ	VYBER	22400	49343	\N	\N	\N
834652	2840	1995-10-04	VYDAJ	VYBER	29600	55200	\N	\N	\N
834653	2840	1995-11-03	VYDAJ	VYBER	4700	37308	\N	\N	\N
834654	2840	1995-12-03	PRIJEM	VKLAD	2300	28446	\N	\N	\N
834655	2840	1996-01-02	VYDAJ	VYBER	9200	37338	\N	\N	\N
834656	2840	1996-02-01	PRIJEM	VKLAD	9000	26448	\N	\N	\N
834657	2840	1996-03-02	PRIJEM	VKLAD	2800	28004	\N	\N	\N
834658	2840	1996-04-01	VYDAJ	VYBER	30100	54457	\N	\N	\N
834659	2840	1996-05-01	VYDAJ	VYBER	7000	36408	\N	\N	\N
834660	2840	1996-05-31	VYDAJ	VYBER	4800	29689	\N	\N	\N
834661	2840	1996-06-30	VYDAJ	VYBER	2000	38040	\N	\N	\N
834662	2840	1996-07-30	PRIJEM	VKLAD	5700	28974	\N	\N	\N
834663	2840	1996-08-29	PRIJEM	VKLAD	9000	26799	\N	\N	\N
834664	2840	1996-09-28	PRIJEM	VKLAD	7600	26043	\N	\N	\N
834665	2840	1996-10-28	VYDAJ	VYBER	3300	31927	\N	\N	\N
834666	2840	1996-11-27	PRIJEM	VKLAD	6800	27550	\N	\N	\N
834667	2840	1996-12-26	VYDAJ	VYBER	39900	101948	\N	\N	\N
834668	2840	1996-12-27	VYDAJ	VYBER	30000	64448	\N	\N	\N
834669	2840	1997-01-26	PRIJEM	VKLAD	10100	33868	\N	\N	\N
834670	2840	1997-02-25	PRIJEM	VKLAD	7500	30221	\N	\N	\N
834671	2840	1997-03-27	VYDAJ	VYBER	11600	53648	\N	\N	\N
834672	2840	1997-04-26	VYDAJ	VYBER	16100	49545	\N	\N	\N
834673	2840	1997-05-26	VYDAJ	VYBER	6200	40538	\N	\N	\N
834674	2840	1997-06-25	PRIJEM	VKLAD	3900	33334	\N	\N	\N
834675	2840	1997-07-02	VYDAJ	VYBER	55000	54587	\N	\N	\N
834676	2840	1997-07-25	VYDAJ	VYBER	4500	38805	\N	\N	\N
834677	2840	1997-08-24	PRIJEM	VKLAD	8600	24386	\N	\N	\N
834678	2840	1997-09-23	PRIJEM	VKLAD	4500	28705	\N	\N	\N
834679	2840	1997-10-23	VYDAJ	VYBER	15500	56807	\N	\N	\N
834680	2840	1997-11-22	VYDAJ	VYBER	6200	39476	\N	\N	\N
834681	2840	1997-12-22	VYDAJ	VYBER	25600	63626	\N	\N	\N
834682	2840	1997-12-30	VYDAJ	VYBER	15500	124262	\N	\N	\N
834683	2840	1997-12-31	VYDAJ	VYBER	32900	91591	\N	\N	\N
834684	2840	1998-01-21	VYDAJ	VYBER	3000	45494	\N	\N	\N
834685	2840	1998-02-20	PRIJEM	VKLAD	20300	32846	\N	\N	\N
834686	2840	1998-03-22	PRIJEM	VKLAD	16400	38059	\N	\N	\N
834687	2840	1998-04-21	PRIJEM	VKLAD	4900	45674	\N	\N	\N
834688	2840	1998-05-21	VYDAJ	VYBER	21500	75800	\N	\N	\N
834689	2840	1998-06-20	PRIJEM	VKLAD	6700	53560	\N	\N	\N
834690	2840	1998-07-20	VYDAJ	VYBER	2800	66631	\N	\N	\N
834691	2840	1998-08-19	VYDAJ	VYBER	14500	74480	\N	\N	\N
834692	2840	1998-09-18	VYDAJ	VYBER	12500	79770	\N	\N	\N
834693	2840	1998-10-18	VYDAJ	VYBER	7700	80326	\N	\N	\N
834694	2840	1998-11-17	PRIJEM	VKLAD	2200	62325	\N	\N	\N
834695	2840	1998-12-17	PRIJEM	VKLAD	2200	67499	\N	\N	\N
834746	2841	1993-07-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
834754	2841	1993-08-11	PRIJEM	VKLAD	9010	10110	\N	\N	\N
834755	2841	1993-09-11	PRIJEM	VKLAD	9010	24933	\N	\N	\N
834756	2841	1993-10-11	PRIJEM	VKLAD	9010	31815	\N	\N	\N
834757	2841	1993-11-11	PRIJEM	VKLAD	9010	35823	\N	\N	\N
834758	2841	1993-12-11	PRIJEM	VKLAD	13515	42352	\N	\N	\N
834759	2841	1994-01-11	PRIJEM	VKLAD	9010	36851	\N	\N	\N
834760	2841	1994-02-11	PRIJEM	VKLAD	9010	24460	\N	\N	\N
834761	2841	1994-03-11	PRIJEM	VKLAD	9010	29698	\N	\N	\N
834762	2841	1994-04-11	PRIJEM	VKLAD	9010	30201	\N	\N	\N
834763	2841	1994-05-11	PRIJEM	VKLAD	9010	34284	\N	\N	\N
834764	2841	1994-06-11	PRIJEM	VKLAD	13515	39764	\N	\N	\N
834765	2841	1994-07-11	PRIJEM	VKLAD	9010	37693	\N	\N	\N
834766	2841	1994-08-11	PRIJEM	VKLAD	9010	37588	\N	\N	\N
834767	2841	1994-09-11	PRIJEM	VKLAD	9010	33677	\N	\N	\N
834768	2841	1994-10-11	PRIJEM	VKLAD	9010	36053	\N	\N	\N
834769	2841	1994-11-11	PRIJEM	VKLAD	9010	33297	\N	\N	\N
834770	2841	1994-12-11	PRIJEM	VKLAD	13515	42035	\N	\N	\N
834771	2841	1995-01-11	PRIJEM	VKLAD	9010	39574	\N	\N	\N
834772	2841	1995-02-11	PRIJEM	VKLAD	9010	24842	\N	\N	\N
834773	2841	1995-03-11	PRIJEM	VKLAD	9010	31908	\N	\N	\N
834774	2841	1995-04-11	PRIJEM	VKLAD	9010	32769	\N	\N	\N
834775	2841	1995-05-11	PRIJEM	VKLAD	9010	28379	\N	\N	\N
834776	2841	1995-06-11	PRIJEM	VKLAD	13515	36340	\N	\N	\N
834777	2841	1995-07-11	PRIJEM	VKLAD	9010	24051	\N	\N	\N
834778	2841	1995-08-11	PRIJEM	VKLAD	9010	27988	\N	\N	\N
834779	2841	1995-09-11	PRIJEM	VKLAD	9010	30337	\N	\N	\N
834780	2841	1995-10-11	PRIJEM	VKLAD	9010	32594	\N	\N	\N
834781	2841	1995-11-11	PRIJEM	VKLAD	9010	33520	\N	\N	\N
834782	2841	1995-12-11	PRIJEM	VKLAD	13515	33861	\N	\N	\N
834783	2841	1996-01-11	PRIJEM	VKLAD	9010	30054	\N	\N	\N
834784	2841	1996-02-11	PRIJEM	VKLAD	9010	23465	\N	\N	\N
834785	2841	1996-03-11	PRIJEM	VKLAD	9010	25781	\N	\N	\N
834786	2841	1996-04-11	PRIJEM	VKLAD	9010	25411	\N	\N	\N
834787	2841	1996-05-11	PRIJEM	VKLAD	9010	24837	\N	\N	\N
834788	2841	1996-06-11	PRIJEM	VKLAD	13515	29969	\N	\N	\N
834789	2841	1996-07-11	PRIJEM	VKLAD	9010	24648	\N	\N	\N
834790	2841	1996-08-11	PRIJEM	VKLAD	9010	25896	\N	\N	\N
834791	2841	1996-09-11	PRIJEM	VKLAD	9010	26655	\N	\N	\N
834792	2841	1996-10-11	PRIJEM	VKLAD	9010	24809	\N	\N	\N
834793	2841	1996-11-11	PRIJEM	VKLAD	9010	23458	\N	\N	\N
834794	2841	1996-12-11	PRIJEM	VKLAD	13515	29415	\N	\N	\N
834795	2841	1997-01-11	PRIJEM	VKLAD	9010	21783	\N	\N	\N
834796	2841	1997-02-11	PRIJEM	VKLAD	9010	21797	\N	\N	\N
834797	2841	1997-03-11	PRIJEM	VKLAD	9010	26535	\N	\N	\N
834798	2841	1997-04-11	PRIJEM	VKLAD	9010	27391	\N	\N	\N
834799	2841	1997-05-11	PRIJEM	VKLAD	9010	24447	\N	\N	\N
834800	2841	1997-06-11	PRIJEM	VKLAD	13515	27511	\N	\N	\N
834801	2841	1997-07-11	PRIJEM	VKLAD	9010	25852	\N	\N	\N
834802	2841	1997-08-11	PRIJEM	VKLAD	9010	22810	\N	\N	\N
834803	2841	1997-09-11	PRIJEM	VKLAD	9010	24142	\N	\N	\N
834804	2841	1997-10-11	PRIJEM	VKLAD	9010	24454	\N	\N	\N
834805	2841	1997-11-11	PRIJEM	VKLAD	9010	25794	\N	\N	\N
834806	2841	1997-12-11	PRIJEM	VKLAD	13515	31625	\N	\N	\N
834807	2841	1998-01-11	PRIJEM	VKLAD	9010	28416	\N	\N	\N
834808	2841	1998-02-11	PRIJEM	VKLAD	9010	27426	\N	\N	\N
834809	2841	1998-03-11	PRIJEM	VKLAD	9010	28471	\N	\N	\N
834810	2841	1998-04-11	PRIJEM	VKLAD	9010	29240	\N	\N	\N
834811	2841	1998-05-11	PRIJEM	VKLAD	9010	29912	\N	\N	\N
834812	2841	1998-06-11	PRIJEM	VKLAD	13515	32218	\N	\N	\N
834813	2841	1998-07-11	PRIJEM	VKLAD	9010	31095	\N	\N	\N
834814	2841	1998-08-11	PRIJEM	VKLAD	9010	34969	\N	\N	\N
834815	2841	1998-09-11	PRIJEM	VKLAD	9010	31968	\N	\N	\N
834816	2841	1998-10-11	PRIJEM	VKLAD	9010	28435	\N	\N	\N
834817	2841	1998-11-11	PRIJEM	VKLAD	9010	24684	\N	\N	\N
834818	2841	1998-12-11	PRIJEM	VKLAD	13515	30204	\N	\N	\N
834830	2841	1993-12-11	VYDAJ	PREVOD NA UCET	3536	38816	SIPO	AB	5304688
834831	2841	1994-01-11	VYDAJ	PREVOD NA UCET	3536	33315	SIPO	AB	5304688
834832	2841	1994-02-11	VYDAJ	PREVOD NA UCET	3536	20924	SIPO	AB	5304688
834833	2841	1994-03-11	VYDAJ	PREVOD NA UCET	3536	26162	SIPO	AB	5304688
834834	2841	1994-04-11	VYDAJ	PREVOD NA UCET	3536	26665	SIPO	AB	5304688
834835	2841	1994-05-11	VYDAJ	PREVOD NA UCET	3536	30748	SIPO	AB	5304688
834836	2841	1994-06-11	VYDAJ	PREVOD NA UCET	3536	36228	SIPO	AB	5304688
834837	2841	1994-07-11	VYDAJ	PREVOD NA UCET	3536	34157	SIPO	AB	5304688
834838	2841	1994-08-11	VYDAJ	PREVOD NA UCET	3536	34052	SIPO	AB	5304688
834839	2841	1994-09-11	VYDAJ	PREVOD NA UCET	3536	30141	SIPO	AB	5304688
834840	2841	1994-10-11	VYDAJ	PREVOD NA UCET	3536	32517	SIPO	AB	5304688
834841	2841	1994-11-11	VYDAJ	PREVOD NA UCET	3536	29761	SIPO	AB	5304688
834842	2841	1994-12-11	VYDAJ	PREVOD NA UCET	3536	38499	SIPO	AB	5304688
834843	2841	1995-01-11	VYDAJ	PREVOD NA UCET	3536	36038	SIPO	AB	5304688
834844	2841	1995-02-11	VYDAJ	PREVOD NA UCET	3536	21306	SIPO	AB	5304688
834845	2841	1995-03-11	VYDAJ	PREVOD NA UCET	3536	28372	SIPO	AB	5304688
834846	2841	1995-04-11	VYDAJ	PREVOD NA UCET	3536	29233	SIPO	AB	5304688
834847	2841	1995-05-11	VYDAJ	PREVOD NA UCET	3536	24843	SIPO	AB	5304688
834848	2841	1995-06-11	VYDAJ	PREVOD NA UCET	3536	32804	SIPO	AB	5304688
834849	2841	1995-07-11	VYDAJ	PREVOD NA UCET	3536	20515	SIPO	AB	5304688
834850	2841	1995-08-11	VYDAJ	PREVOD NA UCET	3536	24452	SIPO	AB	5304688
834851	2841	1995-09-11	VYDAJ	PREVOD NA UCET	3536	26801	SIPO	AB	5304688
834852	2841	1995-10-11	VYDAJ	PREVOD NA UCET	3536	29058	SIPO	AB	5304688
834853	2841	1995-11-11	VYDAJ	PREVOD NA UCET	3536	29984	SIPO	AB	5304688
834854	2841	1995-12-11	VYDAJ	PREVOD NA UCET	3536	30325	SIPO	AB	5304688
834855	2841	1996-01-11	VYDAJ	PREVOD NA UCET	3536	26518	SIPO	AB	5304688
834856	2841	1996-02-11	VYDAJ	PREVOD NA UCET	3536	19929	SIPO	AB	5304688
834857	2841	1996-03-11	VYDAJ	PREVOD NA UCET	3536	22245	SIPO	AB	5304688
834858	2841	1996-04-11	VYDAJ	PREVOD NA UCET	3536	21875	SIPO	AB	5304688
834859	2841	1996-05-11	VYDAJ	PREVOD NA UCET	3536	21301	SIPO	AB	5304688
834860	2841	1996-06-11	VYDAJ	PREVOD NA UCET	3536	18433	SIPO	AB	5304688
834861	2841	1996-07-11	VYDAJ	PREVOD NA UCET	3536	21112	SIPO	AB	5304688
834862	2841	1996-08-11	VYDAJ	PREVOD NA UCET	3536	22360	SIPO	AB	5304688
834863	2841	1996-09-11	VYDAJ	PREVOD NA UCET	3536	23119	SIPO	AB	5304688
834864	2841	1996-10-11	VYDAJ	PREVOD NA UCET	3536	21273	SIPO	AB	5304688
834865	2841	1996-11-11	VYDAJ	PREVOD NA UCET	3536	19922	SIPO	AB	5304688
834866	2841	1996-12-11	VYDAJ	PREVOD NA UCET	3536	25879	SIPO	AB	5304688
834867	2841	1997-01-11	VYDAJ	PREVOD NA UCET	3536	18247	SIPO	AB	5304688
834868	2841	1997-02-11	VYDAJ	PREVOD NA UCET	3536	18261	SIPO	AB	5304688
834869	2841	1997-03-11	VYDAJ	PREVOD NA UCET	3536	22999	SIPO	AB	5304688
834870	2841	1997-04-11	VYDAJ	PREVOD NA UCET	3536	23855	SIPO	AB	5304688
834871	2841	1997-05-11	VYDAJ	PREVOD NA UCET	3536	20911	SIPO	AB	5304688
834872	2841	1997-06-11	VYDAJ	PREVOD NA UCET	3536	23975	SIPO	AB	5304688
834873	2841	1997-07-11	VYDAJ	PREVOD NA UCET	3536	22316	SIPO	AB	5304688
834874	2841	1997-08-11	VYDAJ	PREVOD NA UCET	3536	19274	SIPO	AB	5304688
834875	2841	1997-09-11	VYDAJ	PREVOD NA UCET	3536	20606	SIPO	AB	5304688
834876	2841	1997-10-11	VYDAJ	PREVOD NA UCET	3536	20918	SIPO	AB	5304688
834877	2841	1997-11-11	VYDAJ	PREVOD NA UCET	3536	22258	SIPO	AB	5304688
834878	2841	1997-12-11	VYDAJ	PREVOD NA UCET	3536	28089	SIPO	AB	5304688
834879	2841	1998-01-11	VYDAJ	PREVOD NA UCET	3536	24880	SIPO	AB	5304688
834880	2841	1998-02-11	VYDAJ	PREVOD NA UCET	3536	23890	SIPO	AB	5304688
834881	2841	1998-03-11	VYDAJ	PREVOD NA UCET	3536	24935	SIPO	AB	5304688
834882	2841	1998-04-11	VYDAJ	PREVOD NA UCET	3536	25704	SIPO	AB	5304688
834883	2841	1998-05-11	VYDAJ	PREVOD NA UCET	3536	26376	SIPO	AB	5304688
834884	2841	1998-06-11	VYDAJ	PREVOD NA UCET	3536	28682	SIPO	AB	5304688
834885	2841	1998-07-11	VYDAJ	PREVOD NA UCET	3536	27559	SIPO	AB	5304688
834886	2841	1998-08-11	VYDAJ	PREVOD NA UCET	3536	31433	SIPO	AB	5304688
834887	2841	1998-09-11	VYDAJ	PREVOD NA UCET	3536	28432	SIPO	AB	5304688
834888	2841	1998-10-11	VYDAJ	PREVOD NA UCET	3536	24899	SIPO	AB	5304688
834889	2841	1998-11-11	VYDAJ	PREVOD NA UCET	3536	21148	SIPO	AB	5304688
834890	2841	1998-12-11	VYDAJ	PREVOD NA UCET	3536	26668	SIPO	AB	5304688
834893	2841	1995-06-29	VYDAJ	VYBER	12960	14944	\N	\N	\N
834895	2841	1997-06-19	VYDAJ	VYBER	7200	16775	\N	\N	\N
834898	2841	1994-01-21	VYDAJ	VYBER	11680	17795	\N	\N	\N
834899	2841	1995-01-30	VYDAJ	VYBER	6080	19078	\N	\N	\N
834900	2841	1996-01-11	VYDAJ	VYBER	10720	15798	\N	\N	\N
834902	2841	1998-01-28	VYDAJ	VYBER	4320	17200	\N	\N	\N
834909	2841	1994-01-18	VYDAJ	VYBER	1560	31755	\N	\N	\N
834910	2841	1994-01-20	VYDAJ	VYBER	2280	29475	\N	\N	\N
834911	2841	1994-01-02	VYDAJ	VYBER	2280	29161	\N	\N	\N
834912	2841	1994-01-23	VYDAJ	VYBER	3240	18355	\N	\N	\N
834913	2841	1994-01-08	VYDAJ	VYBER	1320	27841	\N	\N	\N
834914	2841	1994-01-27	VYDAJ	VYBER	3000	15355	\N	\N	\N
834915	2841	1995-01-27	VYDAJ	VYBER	2640	25158	\N	\N	\N
834916	2841	1995-01-24	VYDAJ	VYBER	1680	27798	\N	\N	\N
834917	2841	1995-01-01	VYDAJ	VYBER	1560	30564	\N	\N	\N
834918	2841	1995-01-18	VYDAJ	VYBER	3360	29678	\N	\N	\N
834919	2841	1995-01-17	VYDAJ	VYBER	3000	33038	\N	\N	\N
834920	2841	1995-01-30	VYDAJ	VYBER	3360	15718	\N	\N	\N
834923	2841	1996-01-15	VYDAJ	VYBER	2280	14398	\N	\N	\N
834925	2841	1996-01-14	VYDAJ	VYBER	1920	16678	\N	\N	\N
834926	2841	1996-01-06	VYDAJ	VYBER	1560	21044	\N	\N	\N
834927	2841	1997-01-03	VYDAJ	VYBER	1800	24173	\N	\N	\N
834928	2841	1997-01-07	VYDAJ	VYBER	3360	12773	\N	\N	\N
834929	2841	1997-01-15	VYDAJ	VYBER	1680	16567	\N	\N	\N
834930	2841	1997-01-15	VYDAJ	VYBER	2040	14527	\N	\N	\N
834931	2841	1997-01-04	VYDAJ	VYBER	3240	20933	\N	\N	\N
834933	2841	1998-01-12	VYDAJ	VYBER	1080	23800	\N	\N	\N
834934	2841	1998-01-28	VYDAJ	VYBER	1560	15640	\N	\N	\N
834935	2841	1998-01-08	VYDAJ	VYBER	1440	19406	\N	\N	\N
834936	2841	1998-01-15	VYDAJ	VYBER	1080	22720	\N	\N	\N
834937	2841	1998-01-06	VYDAJ	VYBER	2640	20846	\N	\N	\N
834938	2841	1998-01-27	VYDAJ	VYBER	1200	21520	\N	\N	\N
834945	2841	1994-04-19	VYDAJ	VYBER	3480	23185	\N	\N	\N
834946	2841	1994-11-18	VYDAJ	VYBER	840	28921	\N	\N	\N
834947	2841	1994-09-03	VYDAJ	VYBER	3000	24667	\N	\N	\N
834948	2841	1994-03-27	VYDAJ	VYBER	2160	21102	\N	\N	\N
834949	2841	1994-10-29	VYDAJ	VYBER	4440	24177	\N	\N	\N
834950	2841	1994-07-07	VYDAJ	VYBER	2160	28683	\N	\N	\N
834951	2841	1995-07-22	VYDAJ	VYBER	4200	18915	\N	\N	\N
834952	2841	1995-05-06	VYDAJ	VYBER	840	19369	\N	\N	\N
834953	2841	1995-11-20	VYDAJ	VYBER	1920	20264	\N	\N	\N
834954	2841	1995-04-14	VYDAJ	VYBER	3720	19633	\N	\N	\N
834955	2841	1995-11-10	VYDAJ	VYBER	1440	24510	\N	\N	\N
834956	2841	1995-02-11	VYDAJ	VYBER	3480	17826	\N	\N	\N
834957	2841	1995-04-12	VYDAJ	VYBER	5880	23353	\N	\N	\N
834959	2841	1996-02-12	VYDAJ	VYBER	4320	16709	\N	\N	\N
834960	2841	1996-06-28	VYDAJ	VYBER	2880	15553	\N	\N	\N
834963	2841	1997-07-26	VYDAJ	VYBER	5880	16436	\N	\N	\N
834964	2841	1997-08-29	VYDAJ	VYBER	4200	15074	\N	\N	\N
834965	2841	1997-11-27	VYDAJ	VYBER	3720	18538	\N	\N	\N
834966	2841	1997-09-21	VYDAJ	VYBER	3120	17486	\N	\N	\N
834968	2841	1998-11-26	VYDAJ	VYBER	1920	19228	\N	\N	\N
834970	2841	1998-05-20	VYDAJ	VYBER	3360	23016	\N	\N	\N
834971	2841	1998-08-30	VYDAJ	VYBER	1080	24893	\N	\N	\N
834972	2841	1998-08-28	VYDAJ	VYBER	5760	25673	\N	\N	\N
834973	2841	1998-09-03	VYDAJ	VYBER	2040	22958	\N	\N	\N
834986	2841	1993-12-31	VYDAJ	VYBER	15	31441	SLUZBY	\N	\N
834987	2841	1994-01-31	VYDAJ	VYBER	15	15450	SLUZBY	\N	\N
834988	2841	1994-02-28	VYDAJ	VYBER	15	20688	SLUZBY	\N	\N
834989	2841	1994-03-31	VYDAJ	VYBER	15	21191	SLUZBY	\N	\N
834990	2841	1994-04-30	VYDAJ	VYBER	15	25274	SLUZBY	\N	\N
834991	2841	1994-05-31	VYDAJ	VYBER	15	26249	SLUZBY	\N	\N
834992	2841	1994-06-30	VYDAJ	VYBER	15	30843	SLUZBY	\N	\N
834993	2841	1994-07-31	VYDAJ	VYBER	15	28578	SLUZBY	\N	\N
834994	2841	1994-08-31	VYDAJ	VYBER	15	27667	SLUZBY	\N	\N
834995	2841	1994-09-30	VYDAJ	VYBER	15	27043	SLUZBY	\N	\N
834996	2841	1994-10-31	VYDAJ	VYBER	15	24287	SLUZBY	\N	\N
834997	2841	1994-11-30	VYDAJ	VYBER	15	28520	SLUZBY	\N	\N
834998	2841	1994-12-31	VYDAJ	VYBER	15	32124	SLUZBY	\N	\N
834999	2841	1995-01-31	VYDAJ	VYBER	15	15832	SLUZBY	\N	\N
835000	2841	1995-02-28	VYDAJ	VYBER	15	22898	SLUZBY	\N	\N
835001	2841	1995-03-31	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
835002	2841	1995-04-30	VYDAJ	VYBER	15	20209	SLUZBY	\N	\N
835003	2841	1995-05-31	VYDAJ	VYBER	15	22825	SLUZBY	\N	\N
835004	2841	1995-06-30	VYDAJ	VYBER	15	15041	SLUZBY	\N	\N
835005	2841	1995-07-31	VYDAJ	VYBER	15	18978	SLUZBY	\N	\N
835006	2841	1995-08-31	VYDAJ	VYBER	15	21327	SLUZBY	\N	\N
835007	2841	1995-09-30	VYDAJ	VYBER	15	23584	SLUZBY	\N	\N
835008	2841	1995-10-31	VYDAJ	VYBER	15	25950	SLUZBY	\N	\N
835009	2841	1995-11-30	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
835010	2841	1995-12-31	VYDAJ	VYBER	15	22604	SLUZBY	\N	\N
835011	2841	1996-01-31	VYDAJ	VYBER	15	14455	SLUZBY	\N	\N
835012	2841	1996-02-29	VYDAJ	VYBER	15	16771	SLUZBY	\N	\N
835013	2841	1996-03-31	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
835014	2841	1996-04-30	VYDAJ	VYBER	15	15827	SLUZBY	\N	\N
835015	2841	1996-05-31	VYDAJ	VYBER	15	16454	SLUZBY	\N	\N
835016	2841	1996-06-30	VYDAJ	VYBER	15	15638	SLUZBY	\N	\N
835017	2841	1996-07-31	VYDAJ	VYBER	15	21186	SLUZBY	\N	\N
835018	2841	1996-08-31	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
835019	2841	1996-09-30	VYDAJ	VYBER	15	23199	SLUZBY	\N	\N
835020	2841	1996-10-31	VYDAJ	VYBER	15	21348	SLUZBY	\N	\N
835021	2841	1996-11-30	VYDAJ	VYBER	15	20000	SLUZBY	\N	\N
835022	2841	1996-12-31	VYDAJ	VYBER	15	25973	SLUZBY	\N	\N
835023	2841	1997-01-31	VYDAJ	VYBER	15	14587	SLUZBY	\N	\N
835024	2841	1997-02-28	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
835025	2841	1997-03-31	VYDAJ	VYBER	15	23081	SLUZBY	\N	\N
835026	2841	1997-04-30	VYDAJ	VYBER	15	23937	SLUZBY	\N	\N
835027	2841	1997-05-31	VYDAJ	VYBER	15	20996	SLUZBY	\N	\N
835028	2841	1997-06-30	VYDAJ	VYBER	15	16842	SLUZBY	\N	\N
835029	2841	1997-07-31	VYDAJ	VYBER	15	16500	SLUZBY	\N	\N
835030	2841	1997-08-31	VYDAJ	VYBER	15	15132	SLUZBY	\N	\N
835031	2841	1997-09-30	VYDAJ	VYBER	15	17544	SLUZBY	\N	\N
835032	2841	1997-10-31	VYDAJ	VYBER	15	20984	SLUZBY	\N	\N
835033	2841	1997-11-30	VYDAJ	VYBER	15	18610	SLUZBY	\N	\N
835034	2841	1997-12-31	VYDAJ	VYBER	15	28186	SLUZBY	\N	\N
835035	2841	1998-01-31	VYDAJ	VYBER	15	15716	SLUZBY	\N	\N
835036	2841	1998-02-28	VYDAJ	VYBER	15	23961	SLUZBY	\N	\N
835037	2841	1998-03-31	VYDAJ	VYBER	15	25030	SLUZBY	\N	\N
835038	2841	1998-04-30	VYDAJ	VYBER	15	25802	SLUZBY	\N	\N
835039	2841	1998-05-31	VYDAJ	VYBER	15	23103	SLUZBY	\N	\N
835040	2841	1998-06-30	VYDAJ	VYBER	15	28785	SLUZBY	\N	\N
835041	2841	1998-07-31	VYDAJ	VYBER	15	27659	SLUZBY	\N	\N
835042	2841	1998-08-31	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
835043	2841	1998-09-30	VYDAJ	VYBER	15	19425	SLUZBY	\N	\N
835044	2841	1998-10-31	VYDAJ	VYBER	15	15674	SLUZBY	\N	\N
835045	2841	1998-11-30	VYDAJ	VYBER	15	16689	SLUZBY	\N	\N
835046	2841	1993-08-26	PRIJEM	VKLAD	5800	15910	\N	\N	\N
835047	2841	1993-09-25	VYDAJ	VYBER	2200	22733	\N	\N	\N
835048	2841	1993-10-25	VYDAJ	VYBER	5100	26715	\N	\N	\N
835049	2841	1993-11-24	VYDAJ	VYBER	7100	28723	\N	\N	\N
835050	2841	1993-12-24	VYDAJ	VYBER	7500	31316	\N	\N	\N
835051	2841	1994-01-23	PRIJEM	VKLAD	3800	21595	\N	\N	\N
835052	2841	1994-02-22	VYDAJ	VYBER	300	20624	\N	\N	\N
835053	2841	1994-03-24	VYDAJ	VYBER	2900	23262	\N	\N	\N
835054	2841	1994-04-23	PRIJEM	VKLAD	2000	25185	\N	\N	\N
835055	2841	1994-05-23	VYDAJ	VYBER	4600	26148	\N	\N	\N
835056	2841	1994-06-22	VYDAJ	VYBER	5500	30728	\N	\N	\N
835057	2841	1994-07-22	VYDAJ	VYBER	5700	28457	\N	\N	\N
835058	2841	1994-08-21	VYDAJ	VYBER	6500	27552	\N	\N	\N
835059	2841	1994-09-20	VYDAJ	VYBER	3200	26941	\N	\N	\N
835060	2841	1994-10-20	VYDAJ	VYBER	3900	28617	\N	\N	\N
835061	2841	1994-11-19	VYDAJ	VYBER	500	28421	\N	\N	\N
835062	2841	1994-12-19	VYDAJ	VYBER	6500	31999	\N	\N	\N
835063	2841	1995-01-18	VYDAJ	VYBER	200	29478	\N	\N	\N
835064	2841	1995-02-17	PRIJEM	VKLAD	5000	22826	\N	\N	\N
835065	2841	1995-03-19	VYDAJ	VYBER	4700	23672	\N	\N	\N
835066	2841	1995-04-18	PRIJEM	VKLAD	500	20133	\N	\N	\N
835067	2841	1995-05-18	VYDAJ	VYBER	2100	22743	\N	\N	\N
835068	2841	1995-06-17	VYDAJ	VYBER	4900	27904	\N	\N	\N
835069	2841	1995-07-17	PRIJEM	VKLAD	2600	23115	\N	\N	\N
835070	2841	1995-08-16	VYDAJ	VYBER	3200	21252	\N	\N	\N
835071	2841	1995-09-15	VYDAJ	VYBER	3300	23501	\N	\N	\N
835072	2841	1995-10-15	VYDAJ	VYBER	3200	25858	\N	\N	\N
835073	2841	1995-11-14	VYDAJ	VYBER	7800	22184	\N	\N	\N
835074	2841	1995-12-14	VYDAJ	VYBER	7800	22525	\N	\N	\N
835075	2841	1996-01-13	PRIJEM	VKLAD	2800	18598	\N	\N	\N
835076	2841	1996-02-12	PRIJEM	VKLAD	1100	21029	\N	\N	\N
835077	2841	1996-03-13	VYDAJ	VYBER	5900	16345	\N	\N	\N
835078	2841	1996-04-12	VYDAJ	VYBER	6100	15775	\N	\N	\N
835079	2841	1996-05-12	VYDAJ	VYBER	4900	16401	\N	\N	\N
835080	2841	1996-06-11	VYDAJ	VYBER	8000	21969	\N	\N	\N
835081	2841	1996-08-10	VYDAJ	VYBER	4300	16886	\N	\N	\N
835082	2841	1996-09-09	VYDAJ	VYBER	4800	17645	\N	\N	\N
835083	2841	1996-10-09	VYDAJ	VYBER	7400	15799	\N	\N	\N
835084	2841	1996-11-08	VYDAJ	VYBER	6900	14448	\N	\N	\N
835085	2841	1996-12-08	VYDAJ	VYBER	4100	15900	\N	\N	\N
835086	2841	1997-01-07	VYDAJ	VYBER	4800	16133	\N	\N	\N
835087	2841	1997-02-06	VYDAJ	VYBER	1800	12787	\N	\N	\N
835088	2841	1997-03-08	VYDAJ	VYBER	800	17525	\N	\N	\N
835089	2841	1997-04-07	VYDAJ	VYBER	4700	18381	\N	\N	\N
835090	2841	1997-05-07	VYDAJ	VYBER	8500	15437	\N	\N	\N
835091	2841	1997-06-06	VYDAJ	VYBER	7000	13996	\N	\N	\N
835092	2841	1997-08-05	VYDAJ	VYBER	2700	13800	\N	\N	\N
835093	2841	1997-10-04	VYDAJ	VYBER	2100	15444	\N	\N	\N
835094	2841	1997-11-03	VYDAJ	VYBER	4200	16784	\N	\N	\N
835095	2841	1997-12-03	VYDAJ	VYBER	500	18110	\N	\N	\N
835096	2841	1998-01-02	VYDAJ	VYBER	4700	23486	\N	\N	\N
835097	2841	1998-02-01	PRIJEM	VKLAD	2700	18416	\N	\N	\N
835098	2841	1998-03-03	VYDAJ	VYBER	4500	19461	\N	\N	\N
835099	2841	1998-04-02	VYDAJ	VYBER	4800	20230	\N	\N	\N
835100	2841	1998-05-02	VYDAJ	VYBER	4900	20902	\N	\N	\N
835101	2841	1998-06-01	VYDAJ	VYBER	4400	18703	\N	\N	\N
835102	2841	1998-07-01	VYDAJ	VYBER	6700	22085	\N	\N	\N
835103	2841	1998-07-31	VYDAJ	VYBER	1700	25959	\N	\N	\N
835104	2841	1998-08-30	PRIJEM	VKLAD	300	25973	\N	\N	\N
835105	2841	1998-09-29	VYDAJ	VYBER	9100	19332	\N	\N	\N
835106	2841	1998-10-29	VYDAJ	VYBER	9300	15599	\N	\N	\N
835107	2841	1998-11-28	VYDAJ	VYBER	2600	16628	\N	\N	\N
835173	2842	1993-12-29	PRIJEM	VKLAD	200	200	\N	\N	\N
835186	2842	1994-01-10	PRIJEM	PREVOD Z UCTU	3225	3425	\N	CD	89962917
835187	2842	1994-02-10	PRIJEM	PREVOD Z UCTU	3225	6650	\N	CD	89962917
835188	2842	1994-03-10	PRIJEM	PREVOD Z UCTU	3225	9875	\N	CD	89962917
835189	2842	1994-04-10	PRIJEM	PREVOD Z UCTU	3225	13100	\N	CD	89962917
835190	2842	1994-05-10	PRIJEM	PREVOD Z UCTU	3225	16325	\N	CD	89962917
835191	2842	1994-06-10	PRIJEM	PREVOD Z UCTU	3225	17424	\N	CD	89962917
835192	2842	1994-07-10	PRIJEM	PREVOD Z UCTU	3225	17834	\N	CD	89962917
835193	2842	1994-08-10	PRIJEM	PREVOD Z UCTU	3225	18965	\N	CD	89962917
835194	2842	1994-09-10	PRIJEM	PREVOD Z UCTU	3225	20101	\N	CD	89962917
835195	2842	1994-10-10	PRIJEM	PREVOD Z UCTU	3225	21242	\N	CD	89962917
835196	2842	1994-11-10	PRIJEM	PREVOD Z UCTU	3225	22388	\N	CD	89962917
835197	2842	1994-12-10	PRIJEM	PREVOD Z UCTU	3225	22446	\N	CD	89962917
835198	2842	1995-01-10	PRIJEM	PREVOD Z UCTU	3225	21765	\N	CD	89962917
835199	2842	1995-02-10	PRIJEM	PREVOD Z UCTU	3225	20900	\N	CD	89962917
835200	2842	1995-03-10	PRIJEM	PREVOD Z UCTU	3225	22044	\N	CD	89962917
835201	2842	1995-04-10	PRIJEM	PREVOD Z UCTU	3225	22993	\N	CD	89962917
835202	2842	1995-05-10	PRIJEM	PREVOD Z UCTU	3225	24146	\N	CD	89962917
835203	2842	1995-06-10	PRIJEM	PREVOD Z UCTU	3225	22411	\N	CD	89962917
835204	2842	1995-07-10	PRIJEM	PREVOD Z UCTU	3225	23561	\N	CD	89962917
835205	2842	1995-08-10	PRIJEM	PREVOD Z UCTU	3225	21211	\N	CD	89962917
835206	2842	1995-09-10	PRIJEM	PREVOD Z UCTU	3225	22357	\N	CD	89962917
835207	2842	1995-10-10	PRIJEM	PREVOD Z UCTU	3225	21153	\N	CD	89962917
835208	2842	1995-11-10	PRIJEM	PREVOD Z UCTU	3225	22298	\N	CD	89962917
835209	2842	1995-12-10	PRIJEM	PREVOD Z UCTU	3225	23247	\N	CD	89962917
835210	2842	1996-01-10	PRIJEM	PREVOD Z UCTU	3225	21788	\N	CD	89962917
835211	2842	1996-02-10	PRIJEM	PREVOD Z UCTU	3225	20381	\N	CD	89962917
835212	2842	1996-03-10	PRIJEM	PREVOD Z UCTU	3225	21523	\N	CD	89962917
835213	2842	1996-04-10	PRIJEM	PREVOD Z UCTU	3225	18962	\N	CD	89962917
835214	2842	1996-05-10	PRIJEM	PREVOD Z UCTU	3225	18634	\N	CD	89962917
835215	2842	1996-06-10	PRIJEM	PREVOD Z UCTU	3225	15845	\N	CD	89962917
835216	2842	1996-07-10	PRIJEM	PREVOD Z UCTU	3225	16868	\N	CD	89962917
835217	2842	1996-08-10	PRIJEM	PREVOD Z UCTU	3225	17995	\N	CD	89962917
835218	2842	1996-09-10	PRIJEM	PREVOD Z UCTU	3225	17924	\N	CD	89962917
835219	2842	1996-10-10	PRIJEM	PREVOD Z UCTU	3225	15167	\N	CD	89962917
835220	2842	1996-11-10	PRIJEM	PREVOD Z UCTU	3225	16287	\N	CD	89962917
835221	2842	1996-12-10	PRIJEM	PREVOD Z UCTU	3225	15880	\N	CD	89962917
835222	2842	1997-01-10	PRIJEM	PREVOD Z UCTU	3225	16672	\N	CD	89962917
835223	2842	1997-02-10	PRIJEM	PREVOD Z UCTU	3225	12986	\N	CD	89962917
835224	2842	1997-03-10	PRIJEM	PREVOD Z UCTU	3225	12993	\N	CD	89962917
835225	2842	1997-04-10	PRIJEM	PREVOD Z UCTU	3225	14103	\N	CD	89962917
835226	2842	1997-05-10	PRIJEM	PREVOD Z UCTU	3225	15218	\N	CD	89962917
835227	2842	1997-06-10	PRIJEM	PREVOD Z UCTU	3225	16338	\N	CD	89962917
835228	2842	1997-07-10	PRIJEM	PREVOD Z UCTU	3225	16229	\N	CD	89962917
835229	2842	1997-08-10	PRIJEM	PREVOD Z UCTU	3225	16693	\N	CD	89962917
835230	2842	1997-09-10	PRIJEM	PREVOD Z UCTU	3225	16438	\N	CD	89962917
835231	2842	1997-10-10	PRIJEM	PREVOD Z UCTU	3225	17562	\N	CD	89962917
835232	2842	1997-11-10	PRIJEM	PREVOD Z UCTU	3225	18692	\N	CD	89962917
835233	2842	1997-12-10	PRIJEM	PREVOD Z UCTU	3225	18535	\N	CD	89962917
835234	2842	1998-01-10	PRIJEM	PREVOD Z UCTU	3225	18228	\N	CD	89962917
835235	2842	1998-02-10	PRIJEM	PREVOD Z UCTU	3225	17466	\N	CD	89962917
835236	2842	1998-03-10	PRIJEM	PREVOD Z UCTU	3225	18595	\N	CD	89962917
835237	2842	1998-04-10	PRIJEM	PREVOD Z UCTU	3225	19368	\N	CD	89962917
835238	2842	1998-05-10	PRIJEM	PREVOD Z UCTU	3225	20504	\N	CD	89962917
835239	2842	1998-06-10	PRIJEM	PREVOD Z UCTU	3225	21645	\N	CD	89962917
835240	2842	1998-07-10	PRIJEM	PREVOD Z UCTU	3225	20239	\N	CD	89962917
835241	2842	1998-08-10	PRIJEM	PREVOD Z UCTU	3225	21379	\N	CD	89962917
835242	2842	1998-09-10	PRIJEM	PREVOD Z UCTU	3225	22523	\N	CD	89962917
835243	2842	1998-10-10	PRIJEM	PREVOD Z UCTU	3225	23672	\N	CD	89962917
835244	2842	1998-11-10	PRIJEM	PREVOD Z UCTU	3225	24826	\N	CD	89962917
835245	2842	1998-12-10	PRIJEM	PREVOD Z UCTU	3225	25625	\N	CD	89962917
835262	2842	1994-05-14	VYDAJ	PREVOD NA UCET	358	15967	SIPO	MN	19413084
835263	2842	1994-06-14	VYDAJ	PREVOD NA UCET	358	17066	SIPO	MN	19413084
835264	2842	1994-07-14	VYDAJ	PREVOD NA UCET	358	17476	SIPO	MN	19413084
835265	2842	1994-08-14	VYDAJ	PREVOD NA UCET	358	18607	SIPO	MN	19413084
835266	2842	1994-09-14	VYDAJ	PREVOD NA UCET	358	19743	SIPO	MN	19413084
835267	2842	1994-10-14	VYDAJ	PREVOD NA UCET	358	20884	SIPO	MN	19413084
835268	2842	1994-11-14	VYDAJ	PREVOD NA UCET	358	21640	SIPO	MN	19413084
835269	2842	1994-12-14	VYDAJ	PREVOD NA UCET	358	22088	SIPO	MN	19413084
835270	2842	1995-01-14	VYDAJ	PREVOD NA UCET	358	21407	SIPO	MN	19413084
835271	2842	1995-02-14	VYDAJ	PREVOD NA UCET	358	20542	SIPO	MN	19413084
835272	2842	1995-03-14	VYDAJ	PREVOD NA UCET	358	21686	SIPO	MN	19413084
835273	2842	1995-04-14	VYDAJ	PREVOD NA UCET	358	22635	SIPO	MN	19413084
835274	2842	1995-05-14	VYDAJ	PREVOD NA UCET	358	23788	SIPO	MN	19413084
835275	2842	1995-06-14	VYDAJ	PREVOD NA UCET	358	22053	SIPO	MN	19413084
835276	2842	1995-07-14	VYDAJ	PREVOD NA UCET	358	23203	SIPO	MN	19413084
835277	2842	1995-08-14	VYDAJ	PREVOD NA UCET	358	20853	SIPO	MN	19413084
835278	2842	1995-09-14	VYDAJ	PREVOD NA UCET	358	21999	SIPO	MN	19413084
835279	2842	1995-10-14	VYDAJ	PREVOD NA UCET	358	20795	SIPO	MN	19413084
835280	2842	1995-11-14	VYDAJ	PREVOD NA UCET	358	21940	SIPO	MN	19413084
835281	2842	1995-12-14	VYDAJ	PREVOD NA UCET	358	22889	SIPO	MN	19413084
835282	2842	1996-01-14	VYDAJ	PREVOD NA UCET	358	20740	SIPO	MN	19413084
835283	2842	1996-02-14	VYDAJ	PREVOD NA UCET	358	20023	SIPO	MN	19413084
835284	2842	1996-03-14	VYDAJ	PREVOD NA UCET	358	21165	SIPO	MN	19413084
835285	2842	1996-04-14	VYDAJ	PREVOD NA UCET	358	17644	SIPO	MN	19413084
835286	2842	1996-05-14	VYDAJ	PREVOD NA UCET	358	18276	SIPO	MN	19413084
835287	2842	1996-06-14	VYDAJ	PREVOD NA UCET	358	15487	SIPO	MN	19413084
835288	2842	1996-07-14	VYDAJ	PREVOD NA UCET	358	16510	SIPO	MN	19413084
835289	2842	1996-08-14	VYDAJ	PREVOD NA UCET	358	17637	SIPO	MN	19413084
835290	2842	1996-09-14	VYDAJ	PREVOD NA UCET	358	17566	SIPO	MN	19413084
835291	2842	1996-10-14	VYDAJ	PREVOD NA UCET	358	14809	SIPO	MN	19413084
835292	2842	1996-11-14	VYDAJ	PREVOD NA UCET	358	15929	SIPO	MN	19413084
835293	2842	1996-12-14	VYDAJ	PREVOD NA UCET	358	15522	SIPO	MN	19413084
835294	2842	1997-01-14	VYDAJ	PREVOD NA UCET	358	11514	SIPO	MN	19413084
835295	2842	1997-02-14	VYDAJ	PREVOD NA UCET	358	11528	SIPO	MN	19413084
835296	2842	1997-03-14	VYDAJ	PREVOD NA UCET	358	12635	SIPO	MN	19413084
835297	2842	1997-04-14	VYDAJ	PREVOD NA UCET	358	13745	SIPO	MN	19413084
835298	2842	1997-05-14	VYDAJ	PREVOD NA UCET	358	14860	SIPO	MN	19413084
835299	2842	1997-06-14	VYDAJ	PREVOD NA UCET	358	14750	SIPO	MN	19413084
835300	2842	1997-07-14	VYDAJ	PREVOD NA UCET	358	15871	SIPO	MN	19413084
835301	2842	1997-08-14	VYDAJ	PREVOD NA UCET	358	16335	SIPO	MN	19413084
835302	2842	1997-09-14	VYDAJ	PREVOD NA UCET	358	16080	SIPO	MN	19413084
835303	2842	1997-10-14	VYDAJ	PREVOD NA UCET	358	17204	SIPO	MN	19413084
835304	2842	1997-11-14	VYDAJ	PREVOD NA UCET	358	18334	SIPO	MN	19413084
835305	2842	1997-12-14	VYDAJ	PREVOD NA UCET	358	18177	SIPO	MN	19413084
835306	2842	1998-01-14	VYDAJ	PREVOD NA UCET	358	17120	SIPO	MN	19413084
835307	2842	1998-02-14	VYDAJ	PREVOD NA UCET	358	17108	SIPO	MN	19413084
835308	2842	1998-03-14	VYDAJ	PREVOD NA UCET	358	18237	SIPO	MN	19413084
835309	2842	1998-04-14	VYDAJ	PREVOD NA UCET	358	19010	SIPO	MN	19413084
835310	2842	1998-05-14	VYDAJ	PREVOD NA UCET	358	20146	SIPO	MN	19413084
835311	2842	1998-06-14	VYDAJ	PREVOD NA UCET	358	21287	SIPO	MN	19413084
835312	2842	1998-07-14	VYDAJ	PREVOD NA UCET	358	19881	SIPO	MN	19413084
835313	2842	1998-08-14	VYDAJ	PREVOD NA UCET	358	21021	SIPO	MN	19413084
835314	2842	1998-09-14	VYDAJ	PREVOD NA UCET	358	22165	SIPO	MN	19413084
835315	2842	1998-10-14	VYDAJ	PREVOD NA UCET	358	23314	SIPO	MN	19413084
835316	2842	1998-11-14	VYDAJ	PREVOD NA UCET	358	24468	SIPO	MN	19413084
835317	2842	1998-12-14	VYDAJ	PREVOD NA UCET	358	24997	SIPO	MN	19413084
835335	2842	1994-06-05	VYDAJ	PREVOD NA UCET	930	15061	 	UV	64184588
835336	2842	1994-07-05	VYDAJ	PREVOD NA UCET	930	15471	 	UV	64184588
835337	2842	1994-08-05	VYDAJ	PREVOD NA UCET	930	16602	 	UV	64184588
835338	2842	1994-09-05	VYDAJ	PREVOD NA UCET	930	17738	 	UV	64184588
835339	2842	1994-10-05	VYDAJ	PREVOD NA UCET	930	18879	 	UV	64184588
835340	2842	1994-11-05	VYDAJ	PREVOD NA UCET	930	20025	 	UV	64184588
835341	2842	1994-12-05	VYDAJ	PREVOD NA UCET	930	20083	 	UV	64184588
835342	2842	1995-01-05	VYDAJ	PREVOD NA UCET	930	19582	 	UV	64184588
835343	2842	1995-02-05	VYDAJ	PREVOD NA UCET	930	18537	 	UV	64184588
835344	2842	1995-03-05	VYDAJ	PREVOD NA UCET	930	19681	 	UV	64184588
835345	2842	1995-04-05	VYDAJ	PREVOD NA UCET	930	20630	 	UV	64184588
835346	2842	1995-05-05	VYDAJ	PREVOD NA UCET	930	21783	 	UV	64184588
835347	2842	1995-06-05	VYDAJ	PREVOD NA UCET	930	20048	 	UV	64184588
835348	2842	1995-07-05	VYDAJ	PREVOD NA UCET	930	21198	 	UV	64184588
835349	2842	1995-08-05	VYDAJ	PREVOD NA UCET	930	18848	 	UV	64184588
835350	2842	1995-09-05	VYDAJ	PREVOD NA UCET	930	19994	 	UV	64184588
835351	2842	1995-10-05	VYDAJ	PREVOD NA UCET	930	18790	 	UV	64184588
835352	2842	1995-11-05	VYDAJ	PREVOD NA UCET	930	19935	 	UV	64184588
835353	2842	1995-12-05	VYDAJ	PREVOD NA UCET	930	20884	 	UV	64184588
835354	2842	1996-01-05	VYDAJ	PREVOD NA UCET	930	19425	 	UV	64184588
835355	2842	1996-02-05	VYDAJ	PREVOD NA UCET	930	18018	 	UV	64184588
835356	2842	1996-03-05	VYDAJ	PREVOD NA UCET	930	19160	 	UV	64184588
835357	2842	1996-04-05	VYDAJ	PREVOD NA UCET	930	16599	 	UV	64184588
835358	2842	1996-05-05	VYDAJ	PREVOD NA UCET	930	16271	 	UV	64184588
835359	2842	1996-06-05	VYDAJ	PREVOD NA UCET	930	13482	 	UV	64184588
835360	2842	1996-07-05	VYDAJ	PREVOD NA UCET	930	14505	 	UV	64184588
835361	2842	1996-08-05	VYDAJ	PREVOD NA UCET	930	15632	 	UV	64184588
835362	2842	1996-09-05	VYDAJ	PREVOD NA UCET	930	15561	 	UV	64184588
835363	2842	1996-10-05	VYDAJ	PREVOD NA UCET	930	12804	 	UV	64184588
835364	2842	1996-11-05	VYDAJ	PREVOD NA UCET	930	13924	 	UV	64184588
835365	2842	1996-12-05	VYDAJ	PREVOD NA UCET	930	13517	 	UV	64184588
835366	2842	1997-01-05	VYDAJ	PREVOD NA UCET	930	14309	 	UV	64184588
835367	2842	1997-02-05	VYDAJ	PREVOD NA UCET	930	10623	 	UV	64184588
835368	2842	1997-03-05	VYDAJ	PREVOD NA UCET	930	10630	 	UV	64184588
835369	2842	1997-04-05	VYDAJ	PREVOD NA UCET	930	11740	 	UV	64184588
835370	2842	1997-05-05	VYDAJ	PREVOD NA UCET	930	12855	 	UV	64184588
835371	2842	1997-06-05	VYDAJ	PREVOD NA UCET	930	13975	 	UV	64184588
835372	2842	1997-07-05	VYDAJ	PREVOD NA UCET	930	13866	 	UV	64184588
835373	2842	1997-08-05	VYDAJ	PREVOD NA UCET	930	14330	 	UV	64184588
835374	2842	1997-09-05	VYDAJ	PREVOD NA UCET	930	14075	 	UV	64184588
835375	2842	1997-10-05	VYDAJ	PREVOD NA UCET	930	15199	 	UV	64184588
835376	2842	1997-11-05	VYDAJ	PREVOD NA UCET	930	16329	 	UV	64184588
835377	2842	1997-12-05	VYDAJ	PREVOD NA UCET	930	16172	 	UV	64184588
835378	2842	1998-01-05	VYDAJ	PREVOD NA UCET	930	15865	 	UV	64184588
835379	2842	1998-02-05	VYDAJ	PREVOD NA UCET	930	15103	 	UV	64184588
835380	2842	1998-03-05	VYDAJ	PREVOD NA UCET	930	16232	 	UV	64184588
835381	2842	1998-04-05	VYDAJ	PREVOD NA UCET	930	17005	 	UV	64184588
835382	2842	1998-05-05	VYDAJ	PREVOD NA UCET	930	18141	 	UV	64184588
835383	2842	1998-06-05	VYDAJ	PREVOD NA UCET	930	19282	 	UV	64184588
835384	2842	1998-07-05	VYDAJ	PREVOD NA UCET	930	18266	 	UV	64184588
835385	2842	1998-08-05	VYDAJ	PREVOD NA UCET	930	19016	 	UV	64184588
835386	2842	1998-09-05	VYDAJ	PREVOD NA UCET	930	20160	 	UV	64184588
835387	2842	1998-10-05	VYDAJ	PREVOD NA UCET	930	21309	 	UV	64184588
835388	2842	1998-11-05	VYDAJ	PREVOD NA UCET	930	22463	 	UV	64184588
835389	2842	1998-12-05	VYDAJ	PREVOD NA UCET	930	23262	 	UV	64184588
835407	2842	1994-06-07	VYDAJ	PREVOD NA UCET	862	14199	POJISTNE	AB	97435020
835408	2842	1994-07-07	VYDAJ	PREVOD NA UCET	862	14609	POJISTNE	AB	97435020
835409	2842	1994-08-07	VYDAJ	PREVOD NA UCET	862	15740	POJISTNE	AB	97435020
835410	2842	1994-09-07	VYDAJ	PREVOD NA UCET	862	16876	POJISTNE	AB	97435020
835411	2842	1994-10-07	VYDAJ	PREVOD NA UCET	862	18017	POJISTNE	AB	97435020
835412	2842	1994-11-07	VYDAJ	PREVOD NA UCET	862	19163	POJISTNE	AB	97435020
835413	2842	1994-12-07	VYDAJ	PREVOD NA UCET	862	19221	POJISTNE	AB	97435020
835414	2842	1995-01-07	VYDAJ	PREVOD NA UCET	862	18540	POJISTNE	AB	97435020
835415	2842	1995-02-07	VYDAJ	PREVOD NA UCET	862	17675	POJISTNE	AB	97435020
835416	2842	1995-03-07	VYDAJ	PREVOD NA UCET	862	18819	POJISTNE	AB	97435020
835417	2842	1995-04-07	VYDAJ	PREVOD NA UCET	862	19768	POJISTNE	AB	97435020
835418	2842	1995-05-07	VYDAJ	PREVOD NA UCET	862	20921	POJISTNE	AB	97435020
835419	2842	1995-06-07	VYDAJ	PREVOD NA UCET	862	19186	POJISTNE	AB	97435020
835420	2842	1995-07-07	VYDAJ	PREVOD NA UCET	862	20336	POJISTNE	AB	97435020
835421	2842	1995-08-07	VYDAJ	PREVOD NA UCET	862	17986	POJISTNE	AB	97435020
835422	2842	1995-09-07	VYDAJ	PREVOD NA UCET	862	19132	POJISTNE	AB	97435020
835423	2842	1995-10-07	VYDAJ	PREVOD NA UCET	862	17928	POJISTNE	AB	97435020
835424	2842	1995-11-07	VYDAJ	PREVOD NA UCET	862	19073	POJISTNE	AB	97435020
835425	2842	1995-12-07	VYDAJ	PREVOD NA UCET	862	20022	POJISTNE	AB	97435020
835426	2842	1996-01-07	VYDAJ	PREVOD NA UCET	862	18563	POJISTNE	AB	97435020
835427	2842	1996-02-07	VYDAJ	PREVOD NA UCET	862	17156	POJISTNE	AB	97435020
835428	2842	1996-03-07	VYDAJ	PREVOD NA UCET	862	18298	POJISTNE	AB	97435020
835429	2842	1996-04-07	VYDAJ	PREVOD NA UCET	862	15737	POJISTNE	AB	97435020
835430	2842	1996-05-07	VYDAJ	PREVOD NA UCET	862	15409	POJISTNE	AB	97435020
835431	2842	1996-06-07	VYDAJ	PREVOD NA UCET	862	12620	POJISTNE	AB	97435020
835432	2842	1996-07-07	VYDAJ	PREVOD NA UCET	862	13643	POJISTNE	AB	97435020
835433	2842	1996-08-07	VYDAJ	PREVOD NA UCET	862	14770	POJISTNE	AB	97435020
835434	2842	1996-09-07	VYDAJ	PREVOD NA UCET	862	14699	POJISTNE	AB	97435020
835435	2842	1996-10-07	VYDAJ	PREVOD NA UCET	862	11942	POJISTNE	AB	97435020
835436	2842	1996-11-07	VYDAJ	PREVOD NA UCET	862	13062	POJISTNE	AB	97435020
835437	2842	1996-12-07	VYDAJ	PREVOD NA UCET	862	12655	POJISTNE	AB	97435020
835438	2842	1997-01-07	VYDAJ	PREVOD NA UCET	862	13447	POJISTNE	AB	97435020
835439	2842	1997-02-07	VYDAJ	PREVOD NA UCET	862	9761	POJISTNE	AB	97435020
835440	2842	1997-03-07	VYDAJ	PREVOD NA UCET	862	9768	POJISTNE	AB	97435020
835441	2842	1997-04-07	VYDAJ	PREVOD NA UCET	862	10878	POJISTNE	AB	97435020
835442	2842	1997-05-07	VYDAJ	PREVOD NA UCET	862	11993	POJISTNE	AB	97435020
835443	2842	1997-06-07	VYDAJ	PREVOD NA UCET	862	13113	POJISTNE	AB	97435020
835444	2842	1997-07-07	VYDAJ	PREVOD NA UCET	862	13004	POJISTNE	AB	97435020
835445	2842	1997-08-07	VYDAJ	PREVOD NA UCET	862	13468	POJISTNE	AB	97435020
835446	2842	1997-09-07	VYDAJ	PREVOD NA UCET	862	13213	POJISTNE	AB	97435020
835447	2842	1997-10-07	VYDAJ	PREVOD NA UCET	862	14337	POJISTNE	AB	97435020
835448	2842	1997-11-07	VYDAJ	PREVOD NA UCET	862	15467	POJISTNE	AB	97435020
835449	2842	1997-12-07	VYDAJ	PREVOD NA UCET	862	15310	POJISTNE	AB	97435020
835450	2842	1998-01-07	VYDAJ	PREVOD NA UCET	862	15003	POJISTNE	AB	97435020
835451	2842	1998-02-07	VYDAJ	PREVOD NA UCET	862	14241	POJISTNE	AB	97435020
835452	2842	1998-03-07	VYDAJ	PREVOD NA UCET	862	15370	POJISTNE	AB	97435020
835453	2842	1998-04-07	VYDAJ	PREVOD NA UCET	862	16143	POJISTNE	AB	97435020
835454	2842	1998-05-07	VYDAJ	PREVOD NA UCET	862	17279	POJISTNE	AB	97435020
835455	2842	1998-06-07	VYDAJ	PREVOD NA UCET	862	18420	POJISTNE	AB	97435020
835456	2842	1998-07-07	VYDAJ	PREVOD NA UCET	862	17014	POJISTNE	AB	97435020
835457	2842	1998-08-07	VYDAJ	PREVOD NA UCET	862	18154	POJISTNE	AB	97435020
835458	2842	1998-09-07	VYDAJ	PREVOD NA UCET	862	19298	POJISTNE	AB	97435020
835459	2842	1998-10-07	VYDAJ	PREVOD NA UCET	862	20447	POJISTNE	AB	97435020
835460	2842	1998-11-07	VYDAJ	PREVOD NA UCET	862	21601	POJISTNE	AB	97435020
835461	2842	1998-12-07	VYDAJ	PREVOD NA UCET	862	22400	POJISTNE	AB	97435020
835465	2842	1996-06-01	VYDAJ	VYBER	1920	14412	\N	\N	\N
835467	2842	1998-06-23	VYDAJ	VYBER	2160	19127	\N	\N	\N
835469	2842	1994-12-19	VYDAJ	VYBER	450	21638	\N	\N	\N
835470	2842	1995-12-27	VYDAJ	VYBER	240	21149	\N	\N	\N
835471	2842	1996-12-02	VYDAJ	VYBER	720	14447	\N	\N	\N
835472	2842	1997-12-02	VYDAJ	VYBER	660	17102	\N	\N	\N
835473	2842	1998-12-12	VYDAJ	VYBER	270	25355	\N	\N	\N
835486	2842	1995-01-26	VYDAJ	VYBER	480	19667	\N	\N	\N
835487	2842	1995-01-22	VYDAJ	VYBER	450	20357	\N	\N	\N
835488	2842	1995-01-16	VYDAJ	VYBER	600	20807	\N	\N	\N
835489	2842	1995-01-07	VYDAJ	VYBER	180	19402	\N	\N	\N
835490	2842	1995-01-27	VYDAJ	VYBER	270	19397	\N	\N	\N
835491	2842	1995-01-24	VYDAJ	VYBER	210	20147	\N	\N	\N
835492	2842	1996-01-03	VYDAJ	VYBER	510	20715	\N	\N	\N
835493	2842	1996-01-03	VYDAJ	VYBER	360	20355	\N	\N	\N
835494	2842	1996-01-24	VYDAJ	VYBER	240	19540	\N	\N	\N
835495	2842	1996-01-24	VYDAJ	VYBER	660	18880	\N	\N	\N
835496	2842	1996-01-10	VYDAJ	VYBER	690	21098	\N	\N	\N
835497	2842	1996-01-21	VYDAJ	VYBER	360	19780	\N	\N	\N
835498	2842	1997-01-05	VYDAJ	VYBER	330	15239	\N	\N	\N
835504	2842	1998-01-10	VYDAJ	VYBER	750	17478	\N	\N	\N
835505	2842	1998-01-04	VYDAJ	VYBER	690	16795	\N	\N	\N
835506	2842	1998-01-03	VYDAJ	VYBER	750	17485	\N	\N	\N
835507	2842	1998-01-14	VYDAJ	VYBER	300	16820	\N	\N	\N
835508	2842	1998-01-25	VYDAJ	VYBER	690	15980	\N	\N	\N
835509	2842	1998-01-15	VYDAJ	VYBER	150	16670	\N	\N	\N
835514	2842	1994-07-02	VYDAJ	VYBER	720	16401	\N	\N	\N
835515	2842	1994-11-11	VYDAJ	VYBER	390	21998	\N	\N	\N
835516	2842	1995-05-30	VYDAJ	VYBER	990	20898	\N	\N	\N
835517	2842	1995-09-16	VYDAJ	VYBER	450	21549	\N	\N	\N
835518	2842	1996-11-20	VYDAJ	VYBER	810	15119	\N	\N	\N
835519	2842	1996-04-11	VYDAJ	VYBER	960	18002	\N	\N	\N
835520	2842	1996-09-20	VYDAJ	VYBER	1380	13686	\N	\N	\N
835521	2842	1997-08-29	VYDAJ	VYBER	1380	14955	\N	\N	\N
835522	2842	1997-11-23	VYDAJ	VYBER	330	18004	\N	\N	\N
835524	2842	1997-07-31	VYDAJ	VYBER	660	15274	\N	\N	\N
835525	2842	1997-12-01	VYDAJ	VYBER	300	17762	\N	\N	\N
835526	2842	1997-06-13	VYDAJ	VYBER	1230	15108	\N	\N	\N
835527	2842	1998-03-22	VYDAJ	VYBER	150	18087	\N	\N	\N
835528	2842	1998-07-06	VYDAJ	VYBER	390	17876	\N	\N	\N
835529	2842	1998-03-30	VYDAJ	VYBER	210	17877	\N	\N	\N
835530	2842	1998-11-18	VYDAJ	VYBER	360	24108	\N	\N	\N
835548	2842	1994-05-31	VYDAJ	VYBER	15	15991	SLUZBY	\N	\N
835549	2842	1994-06-30	VYDAJ	VYBER	15	17121	SLUZBY	\N	\N
835550	2842	1994-07-31	VYDAJ	VYBER	15	17532	SLUZBY	\N	\N
835551	2842	1994-08-31	VYDAJ	VYBER	15	18668	SLUZBY	\N	\N
835552	2842	1994-09-30	VYDAJ	VYBER	15	19809	SLUZBY	\N	\N
835553	2842	1994-10-31	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
835554	2842	1994-11-30	VYDAJ	VYBER	15	21013	SLUZBY	\N	\N
835555	2842	1994-12-31	VYDAJ	VYBER	15	20512	SLUZBY	\N	\N
835556	2842	1995-01-31	VYDAJ	VYBER	15	19467	SLUZBY	\N	\N
835557	2842	1995-02-28	VYDAJ	VYBER	15	20611	SLUZBY	\N	\N
835558	2842	1995-03-31	VYDAJ	VYBER	15	21560	SLUZBY	\N	\N
835559	2842	1995-04-30	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
835560	2842	1995-05-31	VYDAJ	VYBER	15	20978	SLUZBY	\N	\N
835561	2842	1995-06-30	VYDAJ	VYBER	15	22128	SLUZBY	\N	\N
835562	2842	1995-07-31	VYDAJ	VYBER	15	19778	SLUZBY	\N	\N
835563	2842	1995-08-31	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
835564	2842	1995-09-30	VYDAJ	VYBER	15	19720	SLUZBY	\N	\N
835565	2842	1995-10-31	VYDAJ	VYBER	15	20865	SLUZBY	\N	\N
835566	2842	1995-11-30	VYDAJ	VYBER	15	21814	SLUZBY	\N	\N
835567	2842	1995-12-31	VYDAJ	VYBER	15	21225	SLUZBY	\N	\N
835568	2842	1996-01-31	VYDAJ	VYBER	15	18948	SLUZBY	\N	\N
835569	2842	1996-02-29	VYDAJ	VYBER	15	20090	SLUZBY	\N	\N
835570	2842	1996-03-31	VYDAJ	VYBER	15	17529	SLUZBY	\N	\N
835571	2842	1996-04-30	VYDAJ	VYBER	15	17201	SLUZBY	\N	\N
835572	2842	1996-05-31	VYDAJ	VYBER	15	16332	SLUZBY	\N	\N
835573	2842	1996-06-30	VYDAJ	VYBER	15	15435	SLUZBY	\N	\N
835574	2842	1996-07-31	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
835575	2842	1996-08-31	VYDAJ	VYBER	15	16491	SLUZBY	\N	\N
835576	2842	1996-09-30	VYDAJ	VYBER	15	13734	SLUZBY	\N	\N
835577	2842	1996-10-31	VYDAJ	VYBER	15	14854	SLUZBY	\N	\N
835578	2842	1996-11-30	VYDAJ	VYBER	15	15167	SLUZBY	\N	\N
835579	2842	1996-12-31	VYDAJ	VYBER	15	15569	SLUZBY	\N	\N
835580	2842	1997-01-31	VYDAJ	VYBER	15	11553	SLUZBY	\N	\N
835581	2842	1997-02-28	VYDAJ	VYBER	15	11560	SLUZBY	\N	\N
835582	2842	1997-03-31	VYDAJ	VYBER	15	12670	SLUZBY	\N	\N
835583	2842	1997-04-30	VYDAJ	VYBER	15	13785	SLUZBY	\N	\N
835584	2842	1997-05-31	VYDAJ	VYBER	15	14905	SLUZBY	\N	\N
835585	2842	1997-06-30	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
835586	2842	1997-07-31	VYDAJ	VYBER	15	15260	SLUZBY	\N	\N
835587	2842	1997-08-31	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
835588	2842	1997-09-30	VYDAJ	VYBER	15	16129	SLUZBY	\N	\N
835589	2842	1997-10-31	VYDAJ	VYBER	15	17259	SLUZBY	\N	\N
835590	2842	1997-11-30	VYDAJ	VYBER	15	18062	SLUZBY	\N	\N
835591	2842	1997-12-31	VYDAJ	VYBER	15	18235	SLUZBY	\N	\N
835592	2842	1998-01-31	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
835593	2842	1998-02-28	VYDAJ	VYBER	15	17162	SLUZBY	\N	\N
835594	2842	1998-03-31	VYDAJ	VYBER	15	17935	SLUZBY	\N	\N
835595	2842	1998-04-30	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
835596	2842	1998-05-31	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
835597	2842	1998-06-30	VYDAJ	VYBER	15	19196	SLUZBY	\N	\N
835598	2842	1998-07-31	VYDAJ	VYBER	15	19946	SLUZBY	\N	\N
835599	2842	1998-08-31	VYDAJ	VYBER	15	21090	SLUZBY	\N	\N
835600	2842	1998-09-30	VYDAJ	VYBER	15	22239	SLUZBY	\N	\N
835601	2842	1998-10-31	VYDAJ	VYBER	15	23393	SLUZBY	\N	\N
835602	2842	1998-11-30	VYDAJ	VYBER	15	24192	SLUZBY	\N	\N
835603	2842	1994-11-24	VYDAJ	VYBER	700	20940	\N	\N	\N
835604	2842	1994-12-24	VYDAJ	VYBER	1200	20438	\N	\N	\N
835605	2842	1995-03-24	VYDAJ	VYBER	200	21486	\N	\N	\N
835606	2842	1995-05-23	VYDAJ	VYBER	1900	21888	\N	\N	\N
835607	2842	1995-07-22	VYDAJ	VYBER	3500	19703	\N	\N	\N
835608	2842	1995-09-20	VYDAJ	VYBER	1900	19649	\N	\N	\N
835609	2842	1995-11-19	VYDAJ	VYBER	200	21740	\N	\N	\N
835610	2842	1995-12-19	VYDAJ	VYBER	1500	21389	\N	\N	\N
835611	2842	1996-01-18	VYDAJ	VYBER	600	20140	\N	\N	\N
835612	2842	1996-03-18	VYDAJ	VYBER	3700	17465	\N	\N	\N
835613	2842	1996-04-17	VYDAJ	VYBER	500	17144	\N	\N	\N
835614	2842	1996-05-17	VYDAJ	VYBER	2000	16276	\N	\N	\N
835615	2842	1996-06-16	VYDAJ	VYBER	100	15387	\N	\N	\N
835616	2842	1996-08-15	VYDAJ	VYBER	1200	16437	\N	\N	\N
835617	2842	1996-09-14	VYDAJ	VYBER	2500	15066	\N	\N	\N
835618	2842	1997-01-12	VYDAJ	VYBER	4800	11872	\N	\N	\N
835619	2842	1997-02-11	VYDAJ	VYBER	1100	11886	\N	\N	\N
835676	2843	1997-03-29	PRIJEM	VKLAD	600	600	\N	\N	\N
835680	2843	1997-04-05	PRIJEM	VKLAD	17571	18171	\N	\N	\N
835681	2843	1997-05-05	PRIJEM	VKLAD	17571	40752	\N	\N	\N
835682	2843	1997-06-05	PRIJEM	VKLAD	26357	57709	\N	\N	\N
835683	2843	1997-07-05	PRIJEM	VKLAD	17571	55814	\N	\N	\N
835684	2843	1997-08-05	PRIJEM	VKLAD	17571	55544	\N	\N	\N
835685	2843	1997-09-05	PRIJEM	VKLAD	17571	48123	\N	\N	\N
835686	2843	1997-10-05	PRIJEM	VKLAD	17571	44674	\N	\N	\N
835687	2843	1997-11-05	PRIJEM	VKLAD	17571	39609	\N	\N	\N
835688	2843	1997-12-05	PRIJEM	VKLAD	26357	48353	\N	\N	\N
835689	2843	1998-01-05	PRIJEM	VKLAD	17571	47019	\N	\N	\N
835690	2843	1998-02-05	PRIJEM	VKLAD	17571	34031	\N	\N	\N
835691	2843	1998-03-05	PRIJEM	VKLAD	17571	37050	\N	\N	\N
835692	2843	1998-04-05	PRIJEM	VKLAD	17571	34014	\N	\N	\N
835693	2843	1998-05-05	PRIJEM	VKLAD	17571	38612	\N	\N	\N
835694	2843	1998-06-05	PRIJEM	VKLAD	26357	46507	\N	\N	\N
835695	2843	1998-07-05	PRIJEM	VKLAD	17571	29339	\N	\N	\N
835696	2843	1998-08-05	PRIJEM	VKLAD	17571	33331	\N	\N	\N
835697	2843	1998-09-05	PRIJEM	VKLAD	17571	33117	\N	\N	\N
835698	2843	1998-10-05	PRIJEM	VKLAD	17571	33101	\N	\N	\N
835699	2843	1998-11-05	PRIJEM	VKLAD	17571	31483	\N	\N	\N
835700	2843	1998-12-05	PRIJEM	VKLAD	26357	41646	\N	\N	\N
835708	2843	1997-08-13	VYDAJ	PREVOD NA UCET	7746	47798	SIPO	KL	70247077
835709	2843	1997-09-13	VYDAJ	PREVOD NA UCET	7746	40377	SIPO	KL	70247077
835710	2843	1997-10-13	VYDAJ	PREVOD NA UCET	7746	36928	SIPO	KL	70247077
835711	2843	1997-11-13	VYDAJ	PREVOD NA UCET	7746	31863	SIPO	KL	70247077
835712	2843	1997-12-13	VYDAJ	PREVOD NA UCET	7746	40607	SIPO	KL	70247077
835713	2843	1998-01-13	VYDAJ	PREVOD NA UCET	7746	39273	SIPO	KL	70247077
835714	2843	1998-02-13	VYDAJ	PREVOD NA UCET	7746	26285	SIPO	KL	70247077
835715	2843	1998-03-13	VYDAJ	PREVOD NA UCET	7746	28224	SIPO	KL	70247077
835716	2843	1998-04-13	VYDAJ	PREVOD NA UCET	7746	26268	SIPO	KL	70247077
835717	2843	1998-05-13	VYDAJ	PREVOD NA UCET	7746	30866	SIPO	KL	70247077
835718	2843	1998-06-13	VYDAJ	PREVOD NA UCET	7746	38761	SIPO	KL	70247077
835719	2843	1998-07-13	VYDAJ	PREVOD NA UCET	7746	20393	SIPO	KL	70247077
835720	2843	1998-08-13	VYDAJ	PREVOD NA UCET	7746	25585	SIPO	KL	70247077
835721	2843	1998-09-13	VYDAJ	PREVOD NA UCET	7746	25371	SIPO	KL	70247077
835722	2843	1998-10-13	VYDAJ	PREVOD NA UCET	7746	25355	SIPO	KL	70247077
835723	2843	1998-11-13	VYDAJ	PREVOD NA UCET	7746	23737	SIPO	KL	70247077
835724	2843	1998-12-13	VYDAJ	PREVOD NA UCET	7746	30220	SIPO	KL	70247077
835726	2843	1998-06-22	VYDAJ	VYBER	22400	11661	\N	\N	\N
835728	2843	1998-01-20	VYDAJ	VYBER	11520	27753	\N	\N	\N
835729	2843	1997-12-01	VYDAJ	VYBER	1760	21996	\N	\N	\N
835730	2843	1998-12-11	VYDAJ	VYBER	3680	37966	\N	\N	\N
835734	2843	1998-07-05	VYDAJ	VYBER	1200	28139	\N	\N	\N
835735	2843	1998-03-10	VYDAJ	VYBER	1080	35970	\N	\N	\N
835736	2843	1998-02-01	VYDAJ	VYBER	4800	16460	\N	\N	\N
835737	2843	1998-03-17	VYDAJ	VYBER	3360	24864	\N	\N	\N
835738	2843	1998-03-23	VYDAJ	VYBER	3000	21864	\N	\N	\N
835748	2843	1997-08-31	VYDAJ	VYBER	15	30552	SLUZBY	\N	\N
835749	2843	1997-09-30	VYDAJ	VYBER	15	27103	SLUZBY	\N	\N
835750	2843	1997-10-31	VYDAJ	VYBER	15	22038	SLUZBY	\N	\N
835751	2843	1997-11-30	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
835752	2843	1997-12-31	VYDAJ	VYBER	15	29448	SLUZBY	\N	\N
835753	2843	1998-01-31	VYDAJ	VYBER	15	21260	SLUZBY	\N	\N
835754	2843	1998-02-28	VYDAJ	VYBER	15	19479	SLUZBY	\N	\N
835755	2843	1998-03-31	VYDAJ	VYBER	15	16443	SLUZBY	\N	\N
835756	2843	1998-04-30	VYDAJ	VYBER	15	21041	SLUZBY	\N	\N
835757	2843	1998-05-31	VYDAJ	VYBER	15	20151	SLUZBY	\N	\N
835758	2843	1998-06-30	VYDAJ	VYBER	15	11768	SLUZBY	\N	\N
835759	2843	1998-07-31	VYDAJ	VYBER	15	15760	SLUZBY	\N	\N
835760	2843	1998-08-31	VYDAJ	VYBER	15	15546	SLUZBY	\N	\N
835761	2843	1998-09-30	VYDAJ	VYBER	15	15530	SLUZBY	\N	\N
835762	2843	1998-10-31	VYDAJ	VYBER	15	13912	SLUZBY	\N	\N
835763	2843	1998-11-30	VYDAJ	VYBER	15	15290	SLUZBY	\N	\N
835764	2843	1997-04-28	PRIJEM	VKLAD	5000	23171	\N	\N	\N
835765	2843	1997-05-28	VYDAJ	VYBER	9500	31252	\N	\N	\N
835766	2843	1997-06-27	VYDAJ	VYBER	19600	38109	\N	\N	\N
835767	2843	1997-07-27	VYDAJ	VYBER	18000	37814	\N	\N	\N
835768	2843	1997-08-26	VYDAJ	VYBER	17400	30398	\N	\N	\N
835769	2843	1997-09-25	VYDAJ	VYBER	13400	26977	\N	\N	\N
835770	2843	1997-10-25	VYDAJ	VYBER	15000	21928	\N	\N	\N
835771	2843	1997-11-24	VYDAJ	VYBER	8200	23663	\N	\N	\N
835772	2843	1997-12-24	VYDAJ	VYBER	11300	29307	\N	\N	\N
835773	2843	1998-01-23	VYDAJ	VYBER	6600	21153	\N	\N	\N
835774	2843	1998-02-22	VYDAJ	VYBER	6900	19385	\N	\N	\N
835775	2843	1998-03-24	VYDAJ	VYBER	5500	16364	\N	\N	\N
835776	2843	1998-04-23	VYDAJ	VYBER	5300	20968	\N	\N	\N
835777	2843	1998-05-23	VYDAJ	VYBER	10800	20066	\N	\N	\N
835778	2843	1998-06-22	VYDAJ	VYBER	4700	34061	\N	\N	\N
835779	2843	1998-07-22	VYDAJ	VYBER	4700	15693	\N	\N	\N
835780	2843	1998-08-21	VYDAJ	VYBER	10100	15485	\N	\N	\N
835781	2843	1998-09-20	VYDAJ	VYBER	9900	15471	\N	\N	\N
835782	2843	1998-10-20	VYDAJ	VYBER	11500	13855	\N	\N	\N
835783	2843	1998-11-19	VYDAJ	VYBER	8500	15237	\N	\N	\N
835805	2844	1996-01-19	PRIJEM	VKLAD	400	400	\N	\N	\N
835807	2844	1996-02-12	PRIJEM	VKLAD	21141	21541	\N	\N	\N
835808	2844	1996-03-12	PRIJEM	VKLAD	21141	43220	\N	\N	\N
835809	2844	1996-04-12	PRIJEM	VKLAD	21141	53972	\N	\N	\N
835810	2844	1996-05-12	PRIJEM	VKLAD	21141	60360	\N	\N	\N
835811	2844	1996-06-12	PRIJEM	VKLAD	31712	76946	\N	\N	\N
835812	2844	1996-07-12	PRIJEM	VKLAD	21141	75378	\N	\N	\N
835813	2844	1996-08-12	PRIJEM	VKLAD	21141	59871	\N	\N	\N
835814	2844	1996-09-12	PRIJEM	VKLAD	21141	65384	\N	\N	\N
835815	2844	1996-10-12	PRIJEM	VKLAD	21141	68501	\N	\N	\N
835816	2844	1996-11-12	PRIJEM	VKLAD	21141	66305	\N	\N	\N
835817	2844	1996-12-12	PRIJEM	VKLAD	31712	80298	\N	\N	\N
835818	2844	1997-01-12	PRIJEM	VKLAD	21141	65291	\N	\N	\N
835819	2844	1997-02-12	PRIJEM	VKLAD	21141	57440	\N	\N	\N
835820	2844	1997-03-12	PRIJEM	VKLAD	21141	66174	\N	\N	\N
835821	2844	1997-04-12	PRIJEM	VKLAD	21141	71825	\N	\N	\N
835822	2844	1997-05-12	PRIJEM	VKLAD	21141	76579	\N	\N	\N
835823	2844	1997-06-12	PRIJEM	VKLAD	31712	87708	\N	\N	\N
835824	2844	1997-07-12	PRIJEM	VKLAD	21141	70591	\N	\N	\N
835825	2844	1997-08-12	PRIJEM	VKLAD	21141	65145	\N	\N	\N
835826	2844	1997-09-12	PRIJEM	VKLAD	21141	70820	\N	\N	\N
835827	2844	1997-10-12	PRIJEM	VKLAD	21141	75433	\N	\N	\N
835828	2844	1997-11-12	PRIJEM	VKLAD	21141	72866	\N	\N	\N
835829	2844	1997-12-12	PRIJEM	VKLAD	31712	84209	\N	\N	\N
835830	2844	1998-01-12	PRIJEM	VKLAD	21141	74744	\N	\N	\N
835831	2844	1998-02-12	PRIJEM	VKLAD	21141	72284	\N	\N	\N
835832	2844	1998-03-12	PRIJEM	VKLAD	21141	74511	\N	\N	\N
835833	2844	1998-04-12	PRIJEM	VKLAD	21141	75344	\N	\N	\N
835834	2844	1998-05-12	PRIJEM	VKLAD	21141	78882	\N	\N	\N
835835	2844	1998-06-12	PRIJEM	VKLAD	31712	90402	\N	\N	\N
835836	2844	1998-07-12	PRIJEM	VKLAD	21141	59155	\N	\N	\N
835837	2844	1998-08-12	PRIJEM	VKLAD	21141	71604	\N	\N	\N
835838	2844	1998-09-12	PRIJEM	VKLAD	21141	76309	\N	\N	\N
835839	2844	1998-10-12	PRIJEM	VKLAD	21141	77943	\N	\N	\N
835840	2844	1998-11-12	PRIJEM	VKLAD	21141	79688	\N	\N	\N
835841	2844	1998-12-12	PRIJEM	VKLAD	31712	89913	\N	\N	\N
835843	2844	1997-06-16	VYDAJ	VYBER	14080	49228	\N	\N	\N
835844	2844	1998-06-20	VYDAJ	VYBER	46400	44002	\N	\N	\N
835845	2844	1996-12-13	VYDAJ	VYBER	3200	77098	\N	\N	\N
835846	2844	1997-12-30	VYDAJ	VYBER	3680	80529	\N	\N	\N
835847	2844	1998-12-24	VYDAJ	VYBER	2080	87833	\N	\N	\N
835854	2844	1997-01-07	VYDAJ	VYBER	960	48230	\N	\N	\N
835855	2844	1997-01-12	VYDAJ	VYBER	3240	62051	\N	\N	\N
835856	2844	1997-01-10	VYDAJ	VYBER	3240	44150	\N	\N	\N
835857	2844	1997-01-16	VYDAJ	VYBER	3360	41771	\N	\N	\N
835858	2844	1997-01-14	VYDAJ	VYBER	3120	45131	\N	\N	\N
835859	2844	1997-01-20	VYDAJ	VYBER	2880	38891	\N	\N	\N
835860	2844	1998-01-02	VYDAJ	VYBER	2760	78083	\N	\N	\N
835861	2844	1998-01-04	VYDAJ	VYBER	1560	73403	\N	\N	\N
835862	2844	1998-01-06	VYDAJ	VYBER	1800	71603	\N	\N	\N
835863	2844	1998-01-03	VYDAJ	VYBER	3120	74963	\N	\N	\N
835864	2844	1998-01-17	VYDAJ	VYBER	960	71864	\N	\N	\N
835865	2844	1998-01-12	VYDAJ	VYBER	1920	72824	\N	\N	\N
835866	2844	1996-08-02	VYDAJ	VYBER	1200	44370	\N	\N	\N
835869	2844	1996-08-03	VYDAJ	VYBER	5640	38730	\N	\N	\N
835870	2844	1996-07-13	VYDAJ	VYBER	1560	73818	\N	\N	\N
835871	2844	1996-10-23	VYDAJ	VYBER	5520	44981	\N	\N	\N
835872	2844	1996-07-28	VYDAJ	VYBER	5760	45358	\N	\N	\N
835873	2844	1997-01-07	VYDAJ	VYBER	840	47390	\N	\N	\N
835874	2844	1997-11-26	VYDAJ	VYBER	2760	70106	\N	\N	\N
835875	2844	1997-02-03	VYDAJ	VYBER	2760	36299	\N	\N	\N
835876	2844	1997-04-01	VYDAJ	VYBER	1680	50684	\N	\N	\N
835877	2844	1997-07-16	VYDAJ	VYBER	5280	49411	\N	\N	\N
835878	2844	1998-11-30	VYDAJ	VYBER	960	79041	\N	\N	\N
835879	2844	1998-09-22	VYDAJ	VYBER	1800	74509	\N	\N	\N
835880	2844	1998-07-11	VYDAJ	VYBER	4560	38014	\N	\N	\N
835881	2844	1998-12-03	VYDAJ	VYBER	2040	77001	\N	\N	\N
835888	2844	1996-06-30	VYDAJ	VYBER	15	54237	SLUZBY	\N	\N
835889	2844	1996-07-31	VYDAJ	VYBER	15	45570	SLUZBY	\N	\N
835890	2844	1996-08-31	VYDAJ	VYBER	15	44243	SLUZBY	\N	\N
835891	2844	1996-09-30	VYDAJ	VYBER	15	47360	SLUZBY	\N	\N
835892	2844	1996-10-31	VYDAJ	VYBER	15	45164	SLUZBY	\N	\N
835893	2844	1996-11-30	VYDAJ	VYBER	15	48586	SLUZBY	\N	\N
835894	2844	1996-12-31	VYDAJ	VYBER	15	49190	SLUZBY	\N	\N
835895	2844	1997-01-31	VYDAJ	VYBER	15	39059	SLUZBY	\N	\N
835896	2844	1997-02-28	VYDAJ	VYBER	15	45033	SLUZBY	\N	\N
835897	2844	1997-03-31	VYDAJ	VYBER	15	52364	SLUZBY	\N	\N
835898	2844	1997-04-30	VYDAJ	VYBER	15	55438	SLUZBY	\N	\N
835899	2844	1997-05-31	VYDAJ	VYBER	15	55996	SLUZBY	\N	\N
835900	2844	1997-06-30	VYDAJ	VYBER	15	49450	SLUZBY	\N	\N
835901	2844	1997-07-31	VYDAJ	VYBER	15	49604	SLUZBY	\N	\N
835902	2844	1997-08-31	VYDAJ	VYBER	15	65379	SLUZBY	\N	\N
835903	2844	1997-09-30	VYDAJ	VYBER	15	71092	SLUZBY	\N	\N
835904	2844	1997-10-31	VYDAJ	VYBER	15	75725	SLUZBY	\N	\N
835905	2844	1997-11-30	VYDAJ	VYBER	15	70397	SLUZBY	\N	\N
835906	2844	1997-12-31	VYDAJ	VYBER	15	80843	SLUZBY	\N	\N
835907	2844	1998-01-31	VYDAJ	VYBER	15	72143	SLUZBY	\N	\N
835908	2844	1998-02-28	VYDAJ	VYBER	15	72570	SLUZBY	\N	\N
835909	2844	1998-03-31	VYDAJ	VYBER	15	74803	SLUZBY	\N	\N
835910	2844	1998-04-30	VYDAJ	VYBER	15	75641	SLUZBY	\N	\N
835911	2844	1998-05-31	VYDAJ	VYBER	15	79190	SLUZBY	\N	\N
835912	2844	1998-06-30	VYDAJ	VYBER	15	44274	SLUZBY	\N	\N
835913	2844	1998-07-31	VYDAJ	VYBER	15	59363	SLUZBY	\N	\N
835914	2844	1998-08-31	VYDAJ	VYBER	15	71868	SLUZBY	\N	\N
835915	2844	1998-09-30	VYDAJ	VYBER	15	74802	SLUZBY	\N	\N
835916	2844	1998-10-31	VYDAJ	VYBER	15	78247	SLUZBY	\N	\N
835917	2844	1998-11-30	VYDAJ	VYBER	15	80001	SLUZBY	\N	\N
835918	2844	1996-02-18	PRIJEM	VKLAD	500	22041	\N	\N	\N
835919	2844	1996-03-19	VYDAJ	VYBER	10500	32720	\N	\N	\N
835920	2844	1996-04-18	VYDAJ	VYBER	14900	39072	\N	\N	\N
835921	2844	1996-05-18	VYDAJ	VYBER	15300	45060	\N	\N	\N
835922	2844	1996-06-17	VYDAJ	VYBER	22900	54046	\N	\N	\N
835923	2844	1996-07-17	VYDAJ	VYBER	22700	51118	\N	\N	\N
835924	2844	1996-08-16	VYDAJ	VYBER	15800	44071	\N	\N	\N
835925	2844	1996-09-15	VYDAJ	VYBER	18200	47184	\N	\N	\N
835926	2844	1996-10-15	VYDAJ	VYBER	18000	50501	\N	\N	\N
835927	2844	1996-11-14	VYDAJ	VYBER	17900	48405	\N	\N	\N
835928	2844	1996-12-14	VYDAJ	VYBER	28100	48998	\N	\N	\N
835929	2844	1997-01-13	VYDAJ	VYBER	13800	48251	\N	\N	\N
835930	2844	1997-02-12	VYDAJ	VYBER	12600	44840	\N	\N	\N
835931	2844	1997-03-14	VYDAJ	VYBER	14000	52174	\N	\N	\N
835932	2844	1997-04-13	VYDAJ	VYBER	16600	55225	\N	\N	\N
835933	2844	1997-05-13	VYDAJ	VYBER	20800	55779	\N	\N	\N
835934	2844	1997-06-12	VYDAJ	VYBER	24400	63308	\N	\N	\N
835935	2844	1997-07-12	VYDAJ	VYBER	15900	54691	\N	\N	\N
835936	2844	1997-08-11	VYDAJ	VYBER	5600	44004	\N	\N	\N
835937	2844	1997-09-10	VYDAJ	VYBER	15700	49679	\N	\N	\N
835938	2844	1997-10-10	VYDAJ	VYBER	16800	54292	\N	\N	\N
835939	2844	1997-11-09	VYDAJ	VYBER	24000	51725	\N	\N	\N
835940	2844	1997-12-09	VYDAJ	VYBER	17900	52497	\N	\N	\N
835941	2844	1998-01-08	VYDAJ	VYBER	18000	53603	\N	\N	\N
835942	2844	1998-02-07	VYDAJ	VYBER	21000	51143	\N	\N	\N
835943	2844	1998-03-09	VYDAJ	VYBER	19200	53370	\N	\N	\N
835944	2844	1998-04-08	VYDAJ	VYBER	20600	54203	\N	\N	\N
835945	2844	1998-05-08	VYDAJ	VYBER	17900	57741	\N	\N	\N
835946	2844	1998-06-07	VYDAJ	VYBER	20500	58690	\N	\N	\N
835947	2844	1998-07-07	VYDAJ	VYBER	1700	42574	\N	\N	\N
835948	2844	1998-08-06	VYDAJ	VYBER	8900	50463	\N	\N	\N
835949	2844	1998-09-05	VYDAJ	VYBER	16700	55168	\N	\N	\N
835950	2844	1998-10-05	VYDAJ	VYBER	18000	56802	\N	\N	\N
835951	2844	1998-11-04	VYDAJ	VYBER	19700	58547	\N	\N	\N
835952	2844	1998-12-04	VYDAJ	VYBER	18800	58201	\N	\N	\N
835988	2845	1997-08-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
835997	2845	1997-09-05	PRIJEM	VKLAD	21535	22535	\N	\N	\N
835998	2845	1997-10-05	PRIJEM	VKLAD	21535	48711	\N	\N	\N
835999	2845	1997-11-05	PRIJEM	VKLAD	21535	60378	\N	\N	\N
836000	2845	1997-12-05	PRIJEM	VKLAD	32302	76951	\N	\N	\N
836001	2845	1998-01-05	PRIJEM	VKLAD	21535	72683	\N	\N	\N
836002	2845	1998-02-05	PRIJEM	VKLAD	21535	65770	\N	\N	\N
836003	2845	1998-03-05	PRIJEM	VKLAD	21535	67150	\N	\N	\N
836004	2845	1998-04-05	PRIJEM	VKLAD	21535	67320	\N	\N	\N
836005	2845	1998-05-05	PRIJEM	VKLAD	21535	67694	\N	\N	\N
836006	2845	1998-06-05	PRIJEM	VKLAD	32302	81740	\N	\N	\N
836007	2845	1998-07-05	PRIJEM	VKLAD	21535	53421	\N	\N	\N
836008	2845	1998-08-05	PRIJEM	VKLAD	21535	62059	\N	\N	\N
836009	2845	1998-09-05	PRIJEM	VKLAD	21535	68417	\N	\N	\N
836010	2845	1998-10-05	PRIJEM	VKLAD	21535	73199	\N	\N	\N
836011	2845	1998-11-05	PRIJEM	VKLAD	21535	74993	\N	\N	\N
836012	2845	1998-12-05	PRIJEM	VKLAD	32302	85756	\N	\N	\N
836025	2845	1998-01-08	VYDAJ	PREVOD NA UCET	6559	66124	SIPO	EF	94221847
836026	2845	1998-02-08	VYDAJ	PREVOD NA UCET	6559	59211	SIPO	EF	94221847
836027	2845	1998-03-08	VYDAJ	PREVOD NA UCET	6559	60591	SIPO	EF	94221847
836028	2845	1998-04-08	VYDAJ	PREVOD NA UCET	6559	60761	SIPO	EF	94221847
836029	2845	1998-05-08	VYDAJ	PREVOD NA UCET	6559	61135	SIPO	EF	94221847
836030	2845	1998-06-08	VYDAJ	PREVOD NA UCET	6559	75181	SIPO	EF	94221847
836031	2845	1998-07-08	VYDAJ	PREVOD NA UCET	6559	46862	SIPO	EF	94221847
836032	2845	1998-08-08	VYDAJ	PREVOD NA UCET	6559	55500	SIPO	EF	94221847
836033	2845	1998-09-08	VYDAJ	PREVOD NA UCET	6559	61858	SIPO	EF	94221847
836034	2845	1998-10-08	VYDAJ	PREVOD NA UCET	6559	66640	SIPO	EF	94221847
836035	2845	1998-11-08	VYDAJ	PREVOD NA UCET	6559	68434	SIPO	EF	94221847
836036	2845	1998-12-08	VYDAJ	PREVOD NA UCET	6559	79197	SIPO	EF	94221847
836038	2845	1998-06-20	VYDAJ	VYBER	19300	35481	\N	\N	\N
836040	2845	1998-12-22	VYDAJ	VYBER KARTOU	1100	54897	\N	\N	0
836044	2845	1998-08-13	VYDAJ	VYBER	1800	53700	\N	\N	\N
836045	2845	1998-12-24	VYDAJ	VYBER	4400	50497	\N	\N	\N
836046	2845	1998-07-11	VYDAJ	VYBER	2700	44162	\N	\N	\N
836047	2845	1998-12-19	VYDAJ	VYBER KARTOU	3400	55997	\N	\N	0
836048	2845	1998-02-01	VYDAJ	VYBER	3500	44235	\N	\N	\N
836049	2845	1998-07-03	VYDAJ	VYBER	3800	31886	\N	\N	\N
836050	2845	1998-03-12	VYDAJ	VYBER	3400	57191	\N	\N	\N
836064	2845	1998-01-31	VYDAJ	VYBER	15	47735	SLUZBY	\N	\N
836065	2845	1998-02-28	VYDAJ	VYBER	15	45615	SLUZBY	\N	\N
836066	2845	1998-03-31	VYDAJ	VYBER	15	45785	SLUZBY	\N	\N
836067	2845	1998-04-30	VYDAJ	VYBER	15	46159	SLUZBY	\N	\N
836068	2845	1998-05-31	VYDAJ	VYBER	15	49438	SLUZBY	\N	\N
836069	2845	1998-06-30	VYDAJ	VYBER	15	35686	SLUZBY	\N	\N
836070	2845	1998-07-31	VYDAJ	VYBER	15	40524	SLUZBY	\N	\N
836071	2845	1998-08-31	VYDAJ	VYBER	15	46882	SLUZBY	\N	\N
836072	2845	1998-09-30	VYDAJ	VYBER	15	51664	SLUZBY	\N	\N
836073	2845	1998-10-31	VYDAJ	VYBER	15	53458	SLUZBY	\N	\N
836074	2845	1998-11-30	VYDAJ	VYBER	15	53454	SLUZBY	\N	\N
836075	2845	1997-09-20	PRIJEM	VKLAD	4600	27135	\N	\N	\N
836076	2845	1997-10-20	VYDAJ	VYBER	10000	38711	\N	\N	\N
836077	2845	1997-11-19	VYDAJ	VYBER	15900	44478	\N	\N	\N
836078	2845	1997-12-19	VYDAJ	VYBER	26000	50951	\N	\N	\N
836079	2845	1998-01-18	VYDAJ	VYBER	18600	47524	\N	\N	\N
836080	2845	1998-02-17	VYDAJ	VYBER	13800	45411	\N	\N	\N
836081	2845	1998-03-19	VYDAJ	VYBER	11600	45591	\N	\N	\N
836082	2845	1998-04-18	VYDAJ	VYBER	14800	45961	\N	\N	\N
836083	2845	1998-05-18	VYDAJ	VYBER	11900	49235	\N	\N	\N
836084	2845	1998-06-17	VYDAJ	VYBER	20400	54781	\N	\N	\N
836085	2845	1998-07-17	VYDAJ	VYBER	3800	40362	\N	\N	\N
836086	2845	1998-08-16	VYDAJ	VYBER	7000	46700	\N	\N	\N
836087	2845	1998-09-15	VYDAJ	VYBER	10400	51458	\N	\N	\N
836088	2845	1998-10-15	VYDAJ	VYBER	13400	53240	\N	\N	\N
836089	2845	1998-11-14	VYDAJ	VYBER	15200	53234	\N	\N	\N
836090	2845	1998-12-14	VYDAJ	VYBER	19800	59397	\N	\N	\N
836107	2846	1997-09-27	PRIJEM	VKLAD	800	800	\N	\N	\N
836117	2846	1997-10-07	PRIJEM	PREVOD Z UCTU	6134	6934	DUCHOD	YZ	48636186
836118	2846	1997-11-07	PRIJEM	PREVOD Z UCTU	6134	13068	DUCHOD	YZ	48636186
836119	2846	1997-12-07	PRIJEM	PREVOD Z UCTU	6134	19202	DUCHOD	YZ	48636186
836120	2846	1998-01-07	PRIJEM	PREVOD Z UCTU	6134	25336	DUCHOD	YZ	48636186
836121	2846	1998-02-07	PRIJEM	PREVOD Z UCTU	6134	25989	DUCHOD	YZ	48636186
836122	2846	1998-03-07	PRIJEM	PREVOD Z UCTU	6134	26278	DUCHOD	YZ	48636186
836123	2846	1998-04-07	PRIJEM	PREVOD Z UCTU	6134	28747	DUCHOD	YZ	48636186
836124	2846	1998-05-07	PRIJEM	PREVOD Z UCTU	6134	30024	DUCHOD	YZ	48636186
836125	2846	1998-06-07	PRIJEM	PREVOD Z UCTU	6134	25457	DUCHOD	YZ	48636186
836126	2846	1998-07-07	PRIJEM	PREVOD Z UCTU	6134	20004	DUCHOD	YZ	48636186
836127	2846	1998-08-07	PRIJEM	PREVOD Z UCTU	6134	20862	DUCHOD	YZ	48636186
836128	2846	1998-09-07	PRIJEM	PREVOD Z UCTU	6134	19399	DUCHOD	YZ	48636186
836129	2846	1998-10-07	PRIJEM	PREVOD Z UCTU	6134	21377	DUCHOD	YZ	48636186
836130	2846	1998-11-07	PRIJEM	PREVOD Z UCTU	6134	25126	DUCHOD	YZ	48636186
836131	2846	1998-12-07	PRIJEM	PREVOD Z UCTU	6134	26386	DUCHOD	YZ	48636186
836146	2846	1998-03-06	VYDAJ	PREVOD NA UCET	2457	20144	SIPO	GH	17155772
836147	2846	1998-04-06	VYDAJ	PREVOD NA UCET	2457	22613	SIPO	GH	17155772
836148	2846	1998-05-06	VYDAJ	PREVOD NA UCET	2457	23890	SIPO	GH	17155772
836149	2846	1998-06-06	VYDAJ	PREVOD NA UCET	2457	19323	SIPO	GH	17155772
836150	2846	1998-07-06	VYDAJ	PREVOD NA UCET	2457	13870	SIPO	GH	17155772
836151	2846	1998-08-06	VYDAJ	PREVOD NA UCET	2457	14728	SIPO	GH	17155772
836152	2846	1998-09-06	VYDAJ	PREVOD NA UCET	2457	13265	SIPO	GH	17155772
836153	2846	1998-10-06	VYDAJ	PREVOD NA UCET	2457	15243	SIPO	GH	17155772
836154	2846	1998-11-06	VYDAJ	PREVOD NA UCET	2457	18992	SIPO	GH	17155772
836155	2846	1998-12-06	VYDAJ	PREVOD NA UCET	2457	20252	SIPO	GH	17155772
836157	2846	1998-06-17	VYDAJ	VYBER	9200	16257	\N	\N	\N
836178	2846	1998-09-22	VYDAJ	VYBER	1760	17639	\N	\N	\N
836179	2846	1998-05-13	VYDAJ	VYBER	2640	27384	\N	\N	\N
836180	2846	1998-05-29	VYDAJ	VYBER	800	21684	\N	\N	\N
836181	2846	1998-07-18	VYDAJ	VYBER	2880	17124	\N	\N	\N
836183	2846	1998-03-02	VYDAJ	VYBER	2560	22601	\N	\N	\N
836184	2846	1998-08-20	VYDAJ	VYBER	2240	15662	\N	\N	\N
836185	2846	1998-08-19	VYDAJ	VYBER	2960	17902	\N	\N	\N
836186	2846	1998-12-28	VYDAJ	VYBER	3440	21146	\N	\N	\N
836201	2846	1998-02-28	VYDAJ	VYBER	15	25161	SLUZBY	\N	\N
836202	2846	1998-03-31	VYDAJ	VYBER	15	25070	SLUZBY	\N	\N
836203	2846	1998-04-30	VYDAJ	VYBER	15	26347	SLUZBY	\N	\N
836204	2846	1998-05-31	VYDAJ	VYBER	15	21780	SLUZBY	\N	\N
836205	2846	1998-06-30	VYDAJ	VYBER	15	16327	SLUZBY	\N	\N
836206	2846	1998-07-31	VYDAJ	VYBER	15	17185	SLUZBY	\N	\N
836207	2846	1998-08-31	VYDAJ	VYBER	15	15722	SLUZBY	\N	\N
836208	2846	1998-09-30	VYDAJ	VYBER	15	17700	SLUZBY	\N	\N
836209	2846	1998-10-31	VYDAJ	VYBER	15	21449	SLUZBY	\N	\N
836210	2846	1998-11-30	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
836211	2846	1998-01-25	VYDAJ	VYBER	5500	19836	\N	\N	\N
836212	2846	1998-02-24	VYDAJ	VYBER	900	25089	\N	\N	\N
836213	2846	1998-03-26	VYDAJ	VYBER	1300	24978	\N	\N	\N
836214	2846	1998-04-25	VYDAJ	VYBER	2500	26247	\N	\N	\N
836215	2846	1998-05-25	VYDAJ	VYBER	4900	22484	\N	\N	\N
836216	2846	1998-11-21	VYDAJ	VYBER	2500	22626	\N	\N	\N
836217	2846	1998-12-21	VYDAJ	VYBER	1800	24586	\N	\N	\N
836230	2847	1994-05-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
836236	2847	1994-06-05	PRIJEM	VKLAD	11667	12767	\N	\N	\N
836237	2847	1994-07-05	PRIJEM	VKLAD	7778	28414	\N	\N	\N
836238	2847	1994-08-05	PRIJEM	VKLAD	7778	34899	\N	\N	\N
836239	2847	1994-09-05	PRIJEM	VKLAD	7778	38101	\N	\N	\N
836240	2847	1994-10-05	PRIJEM	VKLAD	7778	39309	\N	\N	\N
836241	2847	1994-11-05	PRIJEM	VKLAD	7778	34313	\N	\N	\N
836242	2847	1994-12-05	PRIJEM	VKLAD	11667	35694	\N	\N	\N
836243	2847	1995-01-05	PRIJEM	VKLAD	7778	32594	\N	\N	\N
836244	2847	1995-02-05	PRIJEM	VKLAD	7778	27374	\N	\N	\N
836245	2847	1995-03-05	PRIJEM	VKLAD	7778	29035	\N	\N	\N
836246	2847	1995-04-05	PRIJEM	VKLAD	7778	30611	\N	\N	\N
836247	2847	1995-05-05	PRIJEM	VKLAD	7778	33788	\N	\N	\N
836248	2847	1995-06-05	PRIJEM	VKLAD	11667	39972	\N	\N	\N
836249	2847	1995-07-05	PRIJEM	VKLAD	7778	37893	\N	\N	\N
836250	2847	1995-08-05	PRIJEM	VKLAD	7778	38509	\N	\N	\N
836251	2847	1995-09-05	PRIJEM	VKLAD	7778	40428	\N	\N	\N
836252	2847	1995-10-05	PRIJEM	VKLAD	7778	39850	\N	\N	\N
836253	2847	1995-11-05	PRIJEM	VKLAD	7778	38265	\N	\N	\N
836254	2847	1995-12-05	PRIJEM	VKLAD	11667	37765	\N	\N	\N
836255	2847	1996-01-05	PRIJEM	VKLAD	7778	32568	\N	\N	\N
836256	2847	1996-02-05	PRIJEM	VKLAD	7778	25140	\N	\N	\N
836257	2847	1996-03-05	PRIJEM	VKLAD	7778	30599	\N	\N	\N
836258	2847	1996-04-05	PRIJEM	VKLAD	7778	31879	\N	\N	\N
836259	2847	1996-05-05	PRIJEM	VKLAD	7778	29765	\N	\N	\N
836260	2847	1996-06-05	PRIJEM	VKLAD	11667	27137	\N	\N	\N
836261	2847	1996-07-05	PRIJEM	VKLAD	7778	36716	\N	\N	\N
836262	2847	1996-08-05	PRIJEM	VKLAD	7778	41824	\N	\N	\N
836263	2847	1996-09-05	PRIJEM	VKLAD	7778	42339	\N	\N	\N
836264	2847	1996-10-05	PRIJEM	VKLAD	7778	47971	\N	\N	\N
836265	2847	1996-11-05	PRIJEM	VKLAD	7778	46320	\N	\N	\N
836266	2847	1996-12-05	PRIJEM	VKLAD	11667	46654	\N	\N	\N
836267	2847	1997-01-05	PRIJEM	VKLAD	7778	52508	\N	\N	\N
836268	2847	1997-02-05	PRIJEM	VKLAD	7778	45460	\N	\N	\N
836269	2847	1997-03-05	PRIJEM	VKLAD	7778	54710	\N	\N	\N
836270	2847	1997-04-05	PRIJEM	VKLAD	7778	53993	\N	\N	\N
836271	2847	1997-05-05	PRIJEM	VKLAD	7778	54676	\N	\N	\N
836272	2847	1997-06-05	PRIJEM	VKLAD	11667	60845	\N	\N	\N
836273	2847	1997-07-05	PRIJEM	VKLAD	7778	54235	\N	\N	\N
836274	2847	1997-08-05	PRIJEM	VKLAD	7778	50210	\N	\N	\N
836275	2847	1997-09-05	PRIJEM	VKLAD	7778	54580	\N	\N	\N
836276	2847	1997-10-05	PRIJEM	VKLAD	7778	53854	\N	\N	\N
836277	2847	1997-11-05	PRIJEM	VKLAD	7778	52125	\N	\N	\N
836278	2847	1997-12-05	PRIJEM	VKLAD	11667	56179	\N	\N	\N
836279	2847	1998-01-05	PRIJEM	VKLAD	7778	53955	\N	\N	\N
836280	2847	1998-02-05	PRIJEM	VKLAD	7778	40910	\N	\N	\N
836281	2847	1998-03-05	PRIJEM	VKLAD	7778	47946	\N	\N	\N
836282	2847	1998-04-05	PRIJEM	VKLAD	7778	50293	\N	\N	\N
836283	2847	1998-05-05	PRIJEM	VKLAD	7778	50453	\N	\N	\N
836284	2847	1998-06-05	PRIJEM	VKLAD	11667	51914	\N	\N	\N
836285	2847	1998-07-05	PRIJEM	VKLAD	7778	54989	\N	\N	\N
836286	2847	1998-08-05	PRIJEM	VKLAD	7778	50453	\N	\N	\N
836287	2847	1998-09-05	PRIJEM	VKLAD	7778	51410	\N	\N	\N
836288	2847	1998-10-05	PRIJEM	VKLAD	7778	47961	\N	\N	\N
836289	2847	1998-11-05	PRIJEM	VKLAD	7778	50111	\N	\N	\N
836290	2847	1998-12-05	PRIJEM	VKLAD	11667	55758	\N	\N	\N
836300	2847	1994-10-08	VYDAJ	PREVOD NA UCET	5185	29324	SIPO	QR	9167498
836301	2847	1994-11-08	VYDAJ	PREVOD NA UCET	5185	29128	SIPO	QR	9167498
836302	2847	1994-12-08	VYDAJ	PREVOD NA UCET	5185	30509	SIPO	QR	9167498
836303	2847	1995-01-08	VYDAJ	PREVOD NA UCET	5185	24209	SIPO	QR	9167498
836304	2847	1995-02-08	VYDAJ	PREVOD NA UCET	5185	22189	SIPO	QR	9167498
836305	2847	1995-03-08	VYDAJ	PREVOD NA UCET	5185	23850	SIPO	QR	9167498
836306	2847	1995-04-08	VYDAJ	PREVOD NA UCET	5185	25426	SIPO	QR	9167498
836307	2847	1995-05-08	VYDAJ	PREVOD NA UCET	5185	28603	SIPO	QR	9167498
836308	2847	1995-06-08	VYDAJ	PREVOD NA UCET	5185	34787	SIPO	QR	9167498
836309	2847	1995-07-08	VYDAJ	PREVOD NA UCET	5185	32708	SIPO	QR	9167498
836310	2847	1995-08-08	VYDAJ	PREVOD NA UCET	5185	33324	SIPO	QR	9167498
836311	2847	1995-09-08	VYDAJ	PREVOD NA UCET	5185	35243	SIPO	QR	9167498
836312	2847	1995-10-08	VYDAJ	PREVOD NA UCET	5185	34665	SIPO	QR	9167498
836313	2847	1995-11-08	VYDAJ	PREVOD NA UCET	5185	33080	SIPO	QR	9167498
836314	2847	1995-12-08	VYDAJ	PREVOD NA UCET	5185	32580	SIPO	QR	9167498
836315	2847	1996-01-08	VYDAJ	PREVOD NA UCET	5185	24383	SIPO	QR	9167498
836316	2847	1996-02-08	VYDAJ	PREVOD NA UCET	5185	19955	SIPO	QR	9167498
836317	2847	1996-03-08	VYDAJ	PREVOD NA UCET	5185	24614	SIPO	QR	9167498
836318	2847	1996-04-08	VYDAJ	PREVOD NA UCET	5185	26694	SIPO	QR	9167498
836319	2847	1996-05-08	VYDAJ	PREVOD NA UCET	5185	24580	SIPO	QR	9167498
836320	2847	1996-06-08	VYDAJ	PREVOD NA UCET	5185	21952	SIPO	QR	9167498
836321	2847	1996-07-08	VYDAJ	PREVOD NA UCET	5185	31531	SIPO	QR	9167498
836322	2847	1996-08-08	VYDAJ	PREVOD NA UCET	5185	31739	SIPO	QR	9167498
836323	2847	1996-09-08	VYDAJ	PREVOD NA UCET	5185	37154	SIPO	QR	9167498
836324	2847	1996-10-08	VYDAJ	PREVOD NA UCET	5185	42786	SIPO	QR	9167498
836325	2847	1996-11-08	VYDAJ	PREVOD NA UCET	5185	41135	SIPO	QR	9167498
836326	2847	1996-12-08	VYDAJ	PREVOD NA UCET	5185	41469	SIPO	QR	9167498
836327	2847	1997-01-08	VYDAJ	PREVOD NA UCET	5185	47323	SIPO	QR	9167498
836328	2847	1997-02-08	VYDAJ	PREVOD NA UCET	5185	40275	SIPO	QR	9167498
836329	2847	1997-03-08	VYDAJ	PREVOD NA UCET	5185	49525	SIPO	QR	9167498
836330	2847	1997-04-08	VYDAJ	PREVOD NA UCET	5185	48808	SIPO	QR	9167498
836331	2847	1997-05-08	VYDAJ	PREVOD NA UCET	5185	49491	SIPO	QR	9167498
836332	2847	1997-06-08	VYDAJ	PREVOD NA UCET	5185	55660	SIPO	QR	9167498
836333	2847	1997-07-08	VYDAJ	PREVOD NA UCET	5185	49050	SIPO	QR	9167498
836334	2847	1997-08-08	VYDAJ	PREVOD NA UCET	5185	45025	SIPO	QR	9167498
836335	2847	1997-09-08	VYDAJ	PREVOD NA UCET	5185	49395	SIPO	QR	9167498
836336	2847	1997-10-08	VYDAJ	PREVOD NA UCET	5185	48669	SIPO	QR	9167498
836337	2847	1997-11-08	VYDAJ	PREVOD NA UCET	5185	46940	SIPO	QR	9167498
836338	2847	1997-12-08	VYDAJ	PREVOD NA UCET	5185	50994	SIPO	QR	9167498
836339	2847	1998-01-08	VYDAJ	PREVOD NA UCET	5185	43570	SIPO	QR	9167498
836340	2847	1998-02-08	VYDAJ	PREVOD NA UCET	5185	35725	SIPO	QR	9167498
836341	2847	1998-03-08	VYDAJ	PREVOD NA UCET	5185	42761	SIPO	QR	9167498
836342	2847	1998-04-08	VYDAJ	PREVOD NA UCET	5185	45108	SIPO	QR	9167498
836343	2847	1998-05-08	VYDAJ	PREVOD NA UCET	5185	45268	SIPO	QR	9167498
836344	2847	1998-06-08	VYDAJ	PREVOD NA UCET	5185	46729	SIPO	QR	9167498
836345	2847	1998-07-08	VYDAJ	PREVOD NA UCET	5185	49804	SIPO	QR	9167498
836346	2847	1998-08-08	VYDAJ	PREVOD NA UCET	5185	45268	SIPO	QR	9167498
836347	2847	1998-09-08	VYDAJ	PREVOD NA UCET	5185	46225	SIPO	QR	9167498
836348	2847	1998-10-08	VYDAJ	PREVOD NA UCET	5185	42776	SIPO	QR	9167498
836349	2847	1998-11-08	VYDAJ	PREVOD NA UCET	5185	44926	SIPO	QR	9167498
836350	2847	1998-12-08	VYDAJ	PREVOD NA UCET	5185	48573	SIPO	QR	9167498
836352	2847	1995-06-29	VYDAJ	VYBER	3800	30987	\N	\N	\N
836353	2847	1996-06-01	VYDAJ	VYBER	11100	15470	\N	\N	\N
836354	2847	1997-06-08	VYDAJ	VYBER	8700	46960	\N	\N	\N
836355	2847	1998-06-01	VYDAJ	VYBER	10000	40247	\N	\N	\N
836357	2847	1995-01-23	VYDAJ	VYBER	9200	14109	\N	\N	\N
836359	2847	1997-01-12	VYDAJ	VYBER	3000	42123	\N	\N	\N
836360	2847	1998-01-26	VYDAJ	VYBER	5800	35370	\N	\N	\N
836361	2847	1994-12-18	VYDAJ	VYBER	2900	27609	\N	\N	\N
836362	2847	1995-12-19	VYDAJ	VYBER	1600	30980	\N	\N	\N
836363	2847	1996-12-03	VYDAJ	VYBER	700	38987	\N	\N	\N
836364	2847	1997-12-09	VYDAJ	VYBER	2000	48994	\N	\N	\N
836365	2847	1998-12-06	VYDAJ	VYBER	2000	53758	\N	\N	\N
836372	2847	1995-01-23	VYDAJ	VYBER	900	23309	\N	\N	\N
836373	2847	1995-01-05	VYDAJ	VYBER	1500	31094	\N	\N	\N
836375	2847	1995-01-06	VYDAJ	VYBER	500	30594	\N	\N	\N
836376	2847	1995-01-07	VYDAJ	VYBER	1200	29394	\N	\N	\N
836377	2847	1995-01-01	VYDAJ	VYBER	2800	24916	\N	\N	\N
836378	2847	1996-01-28	VYDAJ	VYBER	2800	19883	\N	\N	\N
836379	2847	1996-01-05	VYDAJ	VYBER	1100	31468	\N	\N	\N
836380	2847	1996-01-06	VYDAJ	VYBER	1900	29568	\N	\N	\N
836381	2847	1996-01-15	VYDAJ	VYBER	900	20983	\N	\N	\N
836382	2847	1996-01-09	VYDAJ	VYBER	2500	21883	\N	\N	\N
836383	2847	1996-01-30	VYDAJ	VYBER	2600	17283	\N	\N	\N
836384	2847	1997-01-22	VYDAJ	VYBER	2500	40623	\N	\N	\N
836385	2847	1997-01-27	VYDAJ	VYBER	1500	39123	\N	\N	\N
836386	2847	1997-01-30	VYDAJ	VYBER	1600	37523	\N	\N	\N
836387	2847	1997-01-19	VYDAJ	VYBER	1100	39323	\N	\N	\N
836388	2847	1997-01-10	VYDAJ	VYBER	2200	45123	\N	\N	\N
836389	2847	1997-01-13	VYDAJ	VYBER	1700	40423	\N	\N	\N
836390	2847	1998-01-24	VYDAJ	VYBER	800	41170	\N	\N	\N
836391	2847	1998-01-28	VYDAJ	VYBER	2400	32970	\N	\N	\N
836392	2847	1998-01-19	VYDAJ	VYBER	800	44170	\N	\N	\N
836393	2847	1998-01-07	VYDAJ	VYBER	900	48755	\N	\N	\N
836394	2847	1998-01-22	VYDAJ	VYBER	2200	41970	\N	\N	\N
836395	2847	1998-01-02	VYDAJ	VYBER	2300	46177	\N	\N	\N
836399	2847	1994-11-15	VYDAJ	VYBER	4200	24928	\N	\N	\N
836402	2847	1995-10-18	VYDAJ	VYBER	2500	32165	\N	\N	\N
836403	2847	1995-02-18	VYDAJ	VYBER	4600	17589	\N	\N	\N
836404	2847	1995-04-13	VYDAJ	VYBER	3800	21626	\N	\N	\N
836405	2847	1996-03-07	VYDAJ	VYBER	800	29799	\N	\N	\N
836406	2847	1996-12-03	VYDAJ	VYBER	4000	34987	\N	\N	\N
836407	2847	1996-08-08	VYDAJ	VYBER	4900	36924	\N	\N	\N
836408	2847	1996-05-01	VYDAJ	VYBER	4200	21987	\N	\N	\N
836409	2847	1996-03-26	VYDAJ	VYBER	900	23714	\N	\N	\N
836410	2847	1996-05-09	VYDAJ	VYBER	700	23880	\N	\N	\N
836411	2847	1996-07-23	VYDAJ	VYBER	700	30831	\N	\N	\N
836412	2847	1997-04-22	VYDAJ	VYBER	4900	48208	\N	\N	\N
836413	2847	1997-08-04	VYDAJ	VYBER	4100	42432	\N	\N	\N
836414	2847	1997-10-24	VYDAJ	VYBER	800	45169	\N	\N	\N
836415	2847	1997-04-03	VYDAJ	VYBER	4700	46215	\N	\N	\N
836416	2847	1997-04-30	VYDAJ	VYBER	1500	46912	\N	\N	\N
836417	2847	1997-10-29	VYDAJ	VYBER	1000	44169	\N	\N	\N
836418	2847	1998-01-07	VYDAJ	VYBER	4300	49655	\N	\N	\N
836419	2847	1998-07-11	VYDAJ	VYBER	2600	47204	\N	\N	\N
836420	2847	1998-03-09	VYDAJ	VYBER	3300	39461	\N	\N	\N
836421	2847	1998-02-25	VYDAJ	VYBER	3500	40025	\N	\N	\N
836422	2847	1998-04-24	VYDAJ	VYBER	3000	42508	\N	\N	\N
836433	2847	1994-10-31	VYDAJ	VYBER	15	29435	SLUZBY	\N	\N
836434	2847	1994-11-30	VYDAJ	VYBER	15	25027	SLUZBY	\N	\N
836435	2847	1994-12-31	VYDAJ	VYBER	15	27716	SLUZBY	\N	\N
836436	2847	1995-01-31	VYDAJ	VYBER	15	14196	SLUZBY	\N	\N
836437	2847	1995-02-28	VYDAJ	VYBER	15	17657	SLUZBY	\N	\N
836438	2847	1995-03-31	VYDAJ	VYBER	15	23933	SLUZBY	\N	\N
836439	2847	1995-04-30	VYDAJ	VYBER	15	21710	SLUZBY	\N	\N
836440	2847	1995-05-31	VYDAJ	VYBER	15	28705	SLUZBY	\N	\N
836441	2847	1995-06-30	VYDAJ	VYBER	15	31115	SLUZBY	\N	\N
836442	2847	1995-07-31	VYDAJ	VYBER	15	32831	SLUZBY	\N	\N
836443	2847	1995-08-31	VYDAJ	VYBER	15	33450	SLUZBY	\N	\N
836444	2847	1995-09-30	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
836445	2847	1995-10-31	VYDAJ	VYBER	15	30487	SLUZBY	\N	\N
836446	2847	1995-11-30	VYDAJ	VYBER	15	26098	SLUZBY	\N	\N
836447	2847	1995-12-31	VYDAJ	VYBER	15	24790	SLUZBY	\N	\N
836448	2847	1996-01-31	VYDAJ	VYBER	15	17362	SLUZBY	\N	\N
836449	2847	1996-02-29	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
836450	2847	1996-03-31	VYDAJ	VYBER	15	24101	SLUZBY	\N	\N
836451	2847	1996-04-30	VYDAJ	VYBER	15	26187	SLUZBY	\N	\N
836452	2847	1996-05-31	VYDAJ	VYBER	15	26570	SLUZBY	\N	\N
836453	2847	1996-06-30	VYDAJ	VYBER	15	28938	SLUZBY	\N	\N
836454	2847	1996-07-31	VYDAJ	VYBER	15	34046	SLUZBY	\N	\N
836455	2847	1996-08-31	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
836456	2847	1996-09-30	VYDAJ	VYBER	15	40193	SLUZBY	\N	\N
836457	2847	1996-10-31	VYDAJ	VYBER	15	38542	SLUZBY	\N	\N
836458	2847	1996-11-30	VYDAJ	VYBER	15	39687	SLUZBY	\N	\N
836459	2847	1996-12-31	VYDAJ	VYBER	15	44730	SLUZBY	\N	\N
836460	2847	1997-01-31	VYDAJ	VYBER	15	37682	SLUZBY	\N	\N
836461	2847	1997-02-28	VYDAJ	VYBER	15	46932	SLUZBY	\N	\N
836462	2847	1997-03-31	VYDAJ	VYBER	15	50915	SLUZBY	\N	\N
836463	2847	1997-04-30	VYDAJ	VYBER	15	46898	SLUZBY	\N	\N
836464	2847	1997-05-31	VYDAJ	VYBER	15	49178	SLUZBY	\N	\N
836465	2847	1997-06-30	VYDAJ	VYBER	15	46457	SLUZBY	\N	\N
836466	2847	1997-07-31	VYDAJ	VYBER	15	46532	SLUZBY	\N	\N
836467	2847	1997-08-31	VYDAJ	VYBER	15	46802	SLUZBY	\N	\N
836468	2847	1997-09-30	VYDAJ	VYBER	15	46076	SLUZBY	\N	\N
836469	2847	1997-10-31	VYDAJ	VYBER	15	44347	SLUZBY	\N	\N
836470	2847	1997-11-30	VYDAJ	VYBER	15	44512	SLUZBY	\N	\N
836471	2847	1997-12-31	VYDAJ	VYBER	15	48477	SLUZBY	\N	\N
836472	2847	1998-01-31	VYDAJ	VYBER	15	33132	SLUZBY	\N	\N
836473	2847	1998-02-28	VYDAJ	VYBER	15	40168	SLUZBY	\N	\N
836474	2847	1998-03-31	VYDAJ	VYBER	15	42515	SLUZBY	\N	\N
836475	2847	1998-04-30	VYDAJ	VYBER	15	42675	SLUZBY	\N	\N
836476	2847	1998-05-31	VYDAJ	VYBER	15	50247	SLUZBY	\N	\N
836477	2847	1998-06-30	VYDAJ	VYBER	15	47211	SLUZBY	\N	\N
836478	2847	1998-07-31	VYDAJ	VYBER	15	42675	SLUZBY	\N	\N
836479	2847	1998-08-31	VYDAJ	VYBER	15	43632	SLUZBY	\N	\N
836480	2847	1998-09-30	VYDAJ	VYBER	15	40183	SLUZBY	\N	\N
836481	2847	1998-10-31	VYDAJ	VYBER	15	42333	SLUZBY	\N	\N
836482	2847	1998-11-30	VYDAJ	VYBER	15	44091	SLUZBY	\N	\N
836483	2847	1994-06-07	PRIJEM	VKLAD	7800	20567	\N	\N	\N
836484	2847	1994-07-07	VYDAJ	VYBER	1400	27014	\N	\N	\N
836485	2847	1994-08-06	VYDAJ	VYBER	4700	30199	\N	\N	\N
836486	2847	1994-09-05	VYDAJ	VYBER	6700	31401	\N	\N	\N
836487	2847	1994-10-05	VYDAJ	VYBER	4800	34509	\N	\N	\N
836488	2847	1994-11-04	VYDAJ	VYBER	2900	26535	\N	\N	\N
836489	2847	1994-12-04	VYDAJ	VYBER	1000	24027	\N	\N	\N
836490	2847	1995-01-03	VYDAJ	VYBER	100	24816	\N	\N	\N
836491	2847	1995-02-02	PRIJEM	VKLAD	5400	19596	\N	\N	\N
836492	2847	1995-03-04	PRIJEM	VKLAD	3600	21257	\N	\N	\N
836493	2847	1995-04-03	VYDAJ	VYBER	1100	22833	\N	\N	\N
836494	2847	1995-05-03	PRIJEM	VKLAD	4300	26010	\N	\N	\N
836495	2847	1995-06-02	VYDAJ	VYBER	400	28305	\N	\N	\N
836496	2847	1995-07-02	VYDAJ	VYBER	1000	30115	\N	\N	\N
836497	2847	1995-08-01	VYDAJ	VYBER	2100	30731	\N	\N	\N
836498	2847	1995-08-31	VYDAJ	VYBER	800	32650	\N	\N	\N
836499	2847	1995-09-30	VYDAJ	VYBER	3300	32072	\N	\N	\N
836500	2847	1995-10-30	VYDAJ	VYBER	1800	30365	\N	\N	\N
836501	2847	1995-11-29	VYDAJ	VYBER	7100	25980	\N	\N	\N
836502	2847	1995-12-29	VYDAJ	VYBER	6300	24680	\N	\N	\N
836503	2847	1996-01-28	PRIJEM	VKLAD	1700	22683	\N	\N	\N
836504	2847	1996-02-27	PRIJEM	VKLAD	2800	22755	\N	\N	\N
836505	2847	1996-03-28	PRIJEM	VKLAD	300	24014	\N	\N	\N
836506	2847	1996-04-27	VYDAJ	VYBER	600	26094	\N	\N	\N
836507	2847	1996-05-27	PRIJEM	VKLAD	2600	26480	\N	\N	\N
836508	2847	1996-06-26	PRIJEM	VKLAD	6900	28852	\N	\N	\N
836509	2847	1996-07-26	PRIJEM	VKLAD	3100	33931	\N	\N	\N
836510	2847	1996-08-25	PRIJEM	VKLAD	2700	34439	\N	\N	\N
836511	2847	1996-09-24	PRIJEM	VKLAD	2900	40054	\N	\N	\N
836512	2847	1996-10-24	VYDAJ	VYBER	4400	38386	\N	\N	\N
836513	2847	1996-11-23	VYDAJ	VYBER	1600	39535	\N	\N	\N
836514	2847	1996-12-23	PRIJEM	VKLAD	3100	44569	\N	\N	\N
836515	2847	1997-01-22	PRIJEM	VKLAD	3800	43123	\N	\N	\N
836516	2847	1997-02-21	PRIJEM	VKLAD	6500	46775	\N	\N	\N
836517	2847	1997-03-23	PRIJEM	VKLAD	1200	50725	\N	\N	\N
836518	2847	1997-04-22	PRIJEM	VKLAD	4300	53108	\N	\N	\N
836519	2847	1997-05-22	VYDAJ	VYBER	500	48991	\N	\N	\N
836520	2847	1997-06-21	VYDAJ	VYBER	700	46260	\N	\N	\N
836521	2847	1997-07-21	VYDAJ	VYBER	2700	46350	\N	\N	\N
836522	2847	1997-08-20	PRIJEM	VKLAD	1600	46625	\N	\N	\N
836523	2847	1997-09-19	VYDAJ	VYBER	3500	45895	\N	\N	\N
836524	2847	1997-10-19	VYDAJ	VYBER	2700	45969	\N	\N	\N
836525	2847	1997-11-18	VYDAJ	VYBER	2600	44340	\N	\N	\N
836526	2847	1997-12-18	VYDAJ	VYBER	700	48294	\N	\N	\N
836527	2847	1998-01-17	PRIJEM	VKLAD	1400	44970	\N	\N	\N
836528	2847	1998-02-16	PRIJEM	VKLAD	7800	43525	\N	\N	\N
836529	2847	1998-03-18	PRIJEM	VKLAD	2900	42361	\N	\N	\N
836530	2847	1998-04-17	PRIJEM	VKLAD	400	45508	\N	\N	\N
836531	2847	1998-05-17	PRIJEM	VKLAD	4800	50068	\N	\N	\N
836532	2847	1998-06-16	PRIJEM	VKLAD	300	47029	\N	\N	\N
836533	2847	1998-07-16	VYDAJ	VYBER	4700	42504	\N	\N	\N
836534	2847	1998-08-15	VYDAJ	VYBER	1800	43468	\N	\N	\N
836535	2847	1998-09-14	VYDAJ	VYBER	6200	40025	\N	\N	\N
836536	2847	1998-10-14	VYDAJ	VYBER	600	42176	\N	\N	\N
836537	2847	1998-11-13	VYDAJ	VYBER	1000	43926	\N	\N	\N
837244	2849	1993-09-16	PRIJEM	VKLAD	900	900	\N	\N	\N
837254	2849	1993-10-11	PRIJEM	PREVOD Z UCTU	6677	7577	DUCHOD	AB	15285545
837255	2849	1993-11-11	PRIJEM	PREVOD Z UCTU	6677	14254	DUCHOD	AB	15285545
837256	2849	1993-12-11	PRIJEM	PREVOD Z UCTU	6677	20931	DUCHOD	AB	15285545
837257	2849	1994-01-11	PRIJEM	PREVOD Z UCTU	6677	27608	DUCHOD	AB	15285545
837258	2849	1994-02-11	PRIJEM	PREVOD Z UCTU	6677	33951	DUCHOD	AB	15285545
837259	2849	1994-03-11	PRIJEM	PREVOD Z UCTU	6677	32905	DUCHOD	AB	15285545
837260	2849	1994-04-11	PRIJEM	PREVOD Z UCTU	6677	29872	DUCHOD	AB	15285545
837261	2849	1994-05-11	PRIJEM	PREVOD Z UCTU	6677	33938	DUCHOD	AB	15285545
837262	2849	1994-06-11	PRIJEM	PREVOD Z UCTU	6677	26162	DUCHOD	AB	15285545
837263	2849	1994-07-11	PRIJEM	PREVOD Z UCTU	6677	20993	DUCHOD	AB	15285545
837264	2849	1994-08-11	PRIJEM	PREVOD Z UCTU	6677	25030	DUCHOD	AB	15285545
837265	2849	1994-09-11	PRIJEM	PREVOD Z UCTU	6677	25953	DUCHOD	AB	15285545
837266	2849	1994-10-11	PRIJEM	PREVOD Z UCTU	6677	27696	DUCHOD	AB	15285545
837267	2849	1994-11-11	PRIJEM	PREVOD Z UCTU	6677	28152	DUCHOD	AB	15285545
837268	2849	1994-12-11	PRIJEM	PREVOD Z UCTU	6677	31918	DUCHOD	AB	15285545
837269	2849	1995-01-11	PRIJEM	PREVOD Z UCTU	6677	25745	DUCHOD	AB	15285545
837270	2849	1995-02-11	PRIJEM	PREVOD Z UCTU	6677	24198	DUCHOD	AB	15285545
837271	2849	1995-03-11	PRIJEM	PREVOD Z UCTU	6677	21431	DUCHOD	AB	15285545
837272	2849	1995-04-11	PRIJEM	PREVOD Z UCTU	6677	24074	DUCHOD	AB	15285545
837273	2849	1995-05-11	PRIJEM	PREVOD Z UCTU	6677	26225	DUCHOD	AB	15285545
837274	2849	1995-06-11	PRIJEM	PREVOD Z UCTU	6677	26478	DUCHOD	AB	15285545
837275	2849	1995-07-11	PRIJEM	PREVOD Z UCTU	6677	25971	DUCHOD	AB	15285545
837276	2849	1995-08-11	PRIJEM	PREVOD Z UCTU	6677	24129	DUCHOD	AB	15285545
837277	2849	1995-09-11	PRIJEM	PREVOD Z UCTU	6677	23106	DUCHOD	AB	15285545
837278	2849	1995-10-11	PRIJEM	PREVOD Z UCTU	6677	25054	DUCHOD	AB	15285545
837279	2849	1995-11-11	PRIJEM	PREVOD Z UCTU	6677	26042	DUCHOD	AB	15285545
837280	2849	1995-12-11	PRIJEM	PREVOD Z UCTU	6677	26059	DUCHOD	AB	15285545
837281	2849	1996-01-11	PRIJEM	PREVOD Z UCTU	6677	23570	DUCHOD	AB	15285545
837282	2849	1996-02-11	PRIJEM	PREVOD Z UCTU	6677	20319	DUCHOD	AB	15285545
837283	2849	1996-03-11	PRIJEM	PREVOD Z UCTU	6677	24345	DUCHOD	AB	15285545
837284	2849	1996-04-11	PRIJEM	PREVOD Z UCTU	6677	23223	DUCHOD	AB	15285545
837285	2849	1996-05-11	PRIJEM	PREVOD Z UCTU	6677	25071	DUCHOD	AB	15285545
837286	2849	1996-06-11	PRIJEM	PREVOD Z UCTU	6677	23200	DUCHOD	AB	15285545
837287	2849	1996-07-11	PRIJEM	PREVOD Z UCTU	6677	22141	DUCHOD	AB	15285545
837288	2849	1996-08-11	PRIJEM	PREVOD Z UCTU	6677	19881	DUCHOD	AB	15285545
837289	2849	1996-09-11	PRIJEM	PREVOD Z UCTU	6677	23521	DUCHOD	AB	15285545
837290	2849	1996-10-11	PRIJEM	PREVOD Z UCTU	6677	23259	DUCHOD	AB	15285545
837291	2849	1996-11-11	PRIJEM	PREVOD Z UCTU	6677	22896	DUCHOD	AB	15285545
837292	2849	1996-12-11	PRIJEM	PREVOD Z UCTU	6677	26940	DUCHOD	AB	15285545
837293	2849	1997-01-11	PRIJEM	PREVOD Z UCTU	6677	25153	DUCHOD	AB	15285545
837294	2849	1997-02-11	PRIJEM	PREVOD Z UCTU	6677	21807	DUCHOD	AB	15285545
837295	2849	1997-03-11	PRIJEM	PREVOD Z UCTU	6677	25845	DUCHOD	AB	15285545
837296	2849	1997-04-11	PRIJEM	PREVOD Z UCTU	6677	29593	DUCHOD	AB	15285545
837297	2849	1997-05-11	PRIJEM	PREVOD Z UCTU	6677	31656	DUCHOD	AB	15285545
837298	2849	1997-06-11	PRIJEM	PREVOD Z UCTU	6677	33089	DUCHOD	AB	15285545
837299	2849	1997-07-11	PRIJEM	PREVOD Z UCTU	6677	31556	DUCHOD	AB	15285545
837300	2849	1997-08-11	PRIJEM	PREVOD Z UCTU	6677	32185	DUCHOD	AB	15285545
837301	2849	1997-09-11	PRIJEM	PREVOD Z UCTU	6677	32513	DUCHOD	AB	15285545
837302	2849	1997-10-11	PRIJEM	PREVOD Z UCTU	6677	31490	DUCHOD	AB	15285545
837303	2849	1997-11-11	PRIJEM	PREVOD Z UCTU	6677	33365	DUCHOD	AB	15285545
837304	2849	1997-12-11	PRIJEM	PREVOD Z UCTU	6677	30283	DUCHOD	AB	15285545
837305	2849	1998-01-11	PRIJEM	PREVOD Z UCTU	6677	28105	DUCHOD	AB	15285545
837306	2849	1998-02-11	PRIJEM	PREVOD Z UCTU	6677	21534	DUCHOD	AB	15285545
837307	2849	1998-03-11	PRIJEM	PREVOD Z UCTU	6677	22118	DUCHOD	AB	15285545
837308	2849	1998-04-11	PRIJEM	PREVOD Z UCTU	6677	26150	DUCHOD	AB	15285545
837309	2849	1998-05-11	PRIJEM	PREVOD Z UCTU	6677	29006	DUCHOD	AB	15285545
837310	2849	1998-06-11	PRIJEM	PREVOD Z UCTU	6677	33068	DUCHOD	AB	15285545
837311	2849	1998-07-11	PRIJEM	PREVOD Z UCTU	6677	23483	DUCHOD	AB	15285545
837312	2849	1998-08-11	PRIJEM	PREVOD Z UCTU	6677	24392	DUCHOD	AB	15285545
837313	2849	1998-09-11	PRIJEM	PREVOD Z UCTU	6677	24584	DUCHOD	AB	15285545
837314	2849	1998-10-11	PRIJEM	PREVOD Z UCTU	6677	28632	DUCHOD	AB	15285545
837315	2849	1998-11-11	PRIJEM	PREVOD Z UCTU	6677	32698	DUCHOD	AB	15285545
837316	2849	1998-12-11	PRIJEM	PREVOD Z UCTU	6677	35172	DUCHOD	AB	15285545
837330	2849	1994-02-11	VYDAJ	PREVOD NA UCET	2704	31247	SIPO	UV	46355319
837331	2849	1994-03-11	VYDAJ	PREVOD NA UCET	2704	30201	SIPO	UV	46355319
837332	2849	1994-04-11	VYDAJ	PREVOD NA UCET	2704	27168	SIPO	UV	46355319
837333	2849	1994-05-11	VYDAJ	PREVOD NA UCET	2704	31234	SIPO	UV	46355319
837334	2849	1994-06-11	VYDAJ	PREVOD NA UCET	2704	23458	SIPO	UV	46355319
837335	2849	1994-07-11	VYDAJ	PREVOD NA UCET	2704	18289	SIPO	UV	46355319
837336	2849	1994-08-11	VYDAJ	PREVOD NA UCET	2704	22326	SIPO	UV	46355319
837337	2849	1994-09-11	VYDAJ	PREVOD NA UCET	2704	20949	SIPO	UV	46355319
837338	2849	1994-10-11	VYDAJ	PREVOD NA UCET	2704	23092	SIPO	UV	46355319
837339	2849	1994-11-11	VYDAJ	PREVOD NA UCET	2704	25448	SIPO	UV	46355319
837340	2849	1994-12-11	VYDAJ	PREVOD NA UCET	2704	29214	SIPO	UV	46355319
837341	2849	1995-01-11	VYDAJ	PREVOD NA UCET	2704	23041	SIPO	UV	46355319
837342	2849	1995-02-11	VYDAJ	PREVOD NA UCET	2704	21494	SIPO	UV	46355319
837343	2849	1995-03-11	VYDAJ	PREVOD NA UCET	2704	18727	SIPO	UV	46355319
837344	2849	1995-04-11	VYDAJ	PREVOD NA UCET	2704	21370	SIPO	UV	46355319
837345	2849	1995-05-11	VYDAJ	PREVOD NA UCET	2704	23521	SIPO	UV	46355319
837346	2849	1995-06-11	VYDAJ	PREVOD NA UCET	2704	23774	SIPO	UV	46355319
837347	2849	1995-07-11	VYDAJ	PREVOD NA UCET	2704	23267	SIPO	UV	46355319
837348	2849	1995-08-11	VYDAJ	PREVOD NA UCET	2704	21425	SIPO	UV	46355319
837349	2849	1995-09-11	VYDAJ	PREVOD NA UCET	2704	20402	SIPO	UV	46355319
837350	2849	1995-10-11	VYDAJ	PREVOD NA UCET	2704	22350	SIPO	UV	46355319
837351	2849	1995-11-11	VYDAJ	PREVOD NA UCET	2704	23338	SIPO	UV	46355319
837352	2849	1995-12-11	VYDAJ	PREVOD NA UCET	2704	23355	SIPO	UV	46355319
837353	2849	1996-01-11	VYDAJ	PREVOD NA UCET	2704	20866	SIPO	UV	46355319
837354	2849	1996-02-11	VYDAJ	PREVOD NA UCET	2704	17615	SIPO	UV	46355319
837355	2849	1996-03-11	VYDAJ	PREVOD NA UCET	2704	21641	SIPO	UV	46355319
837356	2849	1996-04-11	VYDAJ	PREVOD NA UCET	2704	20519	SIPO	UV	46355319
837357	2849	1996-05-11	VYDAJ	PREVOD NA UCET	2704	22367	SIPO	UV	46355319
837358	2849	1996-06-11	VYDAJ	PREVOD NA UCET	2704	20496	SIPO	UV	46355319
837359	2849	1996-07-11	VYDAJ	PREVOD NA UCET	2704	19437	SIPO	UV	46355319
837360	2849	1996-08-11	VYDAJ	PREVOD NA UCET	2704	17177	SIPO	UV	46355319
837361	2849	1996-09-11	VYDAJ	PREVOD NA UCET	2704	20817	SIPO	UV	46355319
837362	2849	1996-10-11	VYDAJ	PREVOD NA UCET	2704	20555	SIPO	UV	46355319
837363	2849	1996-11-11	VYDAJ	PREVOD NA UCET	2704	20192	SIPO	UV	46355319
837364	2849	1996-12-11	VYDAJ	PREVOD NA UCET	2704	24236	SIPO	UV	46355319
837365	2849	1997-01-11	VYDAJ	PREVOD NA UCET	2704	22449	SIPO	UV	46355319
837366	2849	1997-02-11	VYDAJ	PREVOD NA UCET	2704	19103	SIPO	UV	46355319
837367	2849	1997-03-11	VYDAJ	PREVOD NA UCET	2704	23141	SIPO	UV	46355319
837368	2849	1997-04-11	VYDAJ	PREVOD NA UCET	2704	26889	SIPO	UV	46355319
837369	2849	1997-05-11	VYDAJ	PREVOD NA UCET	2704	27112	SIPO	UV	46355319
837370	2849	1997-06-11	VYDAJ	PREVOD NA UCET	2704	30385	SIPO	UV	46355319
837371	2849	1997-07-11	VYDAJ	PREVOD NA UCET	2704	28852	SIPO	UV	46355319
837372	2849	1997-08-11	VYDAJ	PREVOD NA UCET	2704	29481	SIPO	UV	46355319
837373	2849	1997-09-11	VYDAJ	PREVOD NA UCET	2704	29809	SIPO	UV	46355319
837374	2849	1997-10-11	VYDAJ	PREVOD NA UCET	2704	28786	SIPO	UV	46355319
837375	2849	1997-11-11	VYDAJ	PREVOD NA UCET	2704	30661	SIPO	UV	46355319
837376	2849	1997-12-11	VYDAJ	PREVOD NA UCET	2704	27579	SIPO	UV	46355319
837377	2849	1998-01-11	VYDAJ	PREVOD NA UCET	2704	25401	SIPO	UV	46355319
837378	2849	1998-02-11	VYDAJ	PREVOD NA UCET	2704	18830	SIPO	UV	46355319
837379	2849	1998-03-11	VYDAJ	PREVOD NA UCET	2704	19414	SIPO	UV	46355319
837380	2849	1998-04-11	VYDAJ	PREVOD NA UCET	2704	23446	SIPO	UV	46355319
837381	2849	1998-05-11	VYDAJ	PREVOD NA UCET	2704	26302	SIPO	UV	46355319
837382	2849	1998-06-11	VYDAJ	PREVOD NA UCET	2704	30364	SIPO	UV	46355319
837383	2849	1998-07-11	VYDAJ	PREVOD NA UCET	2704	20779	SIPO	UV	46355319
837384	2849	1998-08-11	VYDAJ	PREVOD NA UCET	2704	21688	SIPO	UV	46355319
837385	2849	1998-09-11	VYDAJ	PREVOD NA UCET	2704	21880	SIPO	UV	46355319
837386	2849	1998-10-11	VYDAJ	PREVOD NA UCET	2704	25928	SIPO	UV	46355319
837387	2849	1998-11-11	VYDAJ	PREVOD NA UCET	2704	29994	SIPO	UV	46355319
837388	2849	1998-12-11	VYDAJ	PREVOD NA UCET	2704	32468	SIPO	UV	46355319
837390	2849	1994-06-16	VYDAJ	VYBER	9200	14258	\N	\N	\N
837393	2849	1997-06-14	VYDAJ	VYBER	5600	24785	\N	\N	\N
837394	2849	1998-06-22	VYDAJ	VYBER	13650	16714	\N	\N	\N
837397	2849	1995-01-10	VYDAJ	VYBER	3950	19068	\N	\N	\N
837398	2849	1996-01-08	VYDAJ	VYBER	1100	16893	\N	\N	\N
837399	2849	1997-01-17	VYDAJ	VYBER	1700	18509	\N	\N	\N
837400	2849	1998-01-17	VYDAJ	VYBER	2450	18791	\N	\N	\N
837402	2849	1994-12-21	VYDAJ	VYBER	1300	27914	\N	\N	\N
837403	2849	1995-12-02	VYDAJ	VYBER	350	20582	\N	\N	\N
837404	2849	1996-12-20	VYDAJ	VYBER	1000	23236	\N	\N	\N
837405	2849	1997-12-30	VYDAJ	VYBER	1300	21979	\N	\N	\N
837406	2849	1998-12-26	VYDAJ	VYBER	500	31968	\N	\N	\N
837419	2849	1995-01-19	VYDAJ	VYBER	1440	21601	\N	\N	\N
837420	2849	1995-01-30	VYDAJ	VYBER	880	17441	\N	\N	\N
837421	2849	1995-01-28	VYDAJ	VYBER	1360	20241	\N	\N	\N
837422	2849	1995-01-01	VYDAJ	VYBER	400	27618	\N	\N	\N
837423	2849	1995-01-01	VYDAJ	VYBER	2000	25618	\N	\N	\N
837424	2849	1995-01-29	VYDAJ	VYBER	1920	18321	\N	\N	\N
837425	2849	1996-01-20	VYDAJ	VYBER	1760	13586	\N	\N	\N
837426	2849	1996-01-07	VYDAJ	VYBER	1040	19993	\N	\N	\N
837427	2849	1996-01-14	VYDAJ	VYBER	1120	18866	\N	\N	\N
837428	2849	1996-01-07	VYDAJ	VYBER	2000	17993	\N	\N	\N
837429	2849	1996-01-12	VYDAJ	VYBER	880	19986	\N	\N	\N
837431	2849	1997-01-06	VYDAJ	VYBER	1440	18476	\N	\N	\N
837432	2849	1997-01-24	VYDAJ	VYBER	800	15069	\N	\N	\N
837433	2849	1997-01-17	VYDAJ	VYBER	2000	16509	\N	\N	\N
837434	2849	1997-01-16	VYDAJ	VYBER	2240	20209	\N	\N	\N
837436	2849	1997-01-22	VYDAJ	VYBER	640	15869	\N	\N	\N
837437	2849	1998-01-13	VYDAJ	VYBER	1360	24041	\N	\N	\N
837438	2849	1998-01-02	VYDAJ	VYBER	640	21428	\N	\N	\N
837440	2849	1998-01-29	VYDAJ	VYBER	1200	14791	\N	\N	\N
837441	2849	1998-01-19	VYDAJ	VYBER	800	17991	\N	\N	\N
837442	2849	1998-01-20	VYDAJ	VYBER	2000	15991	\N	\N	\N
837447	2849	1994-05-23	VYDAJ	VYBER	2400	23234	\N	\N	\N
837448	2849	1994-08-25	VYDAJ	VYBER	3120	19206	\N	\N	\N
837449	2849	1994-10-24	VYDAJ	VYBER	1200	21892	\N	\N	\N
837450	2849	1994-05-25	VYDAJ	VYBER	3840	19394	\N	\N	\N
837452	2849	1994-02-21	VYDAJ	VYBER	2320	26127	\N	\N	\N
837453	2849	1994-03-21	VYDAJ	VYBER	3200	23101	\N	\N	\N
837454	2849	1995-06-22	VYDAJ	VYBER	1760	22014	\N	\N	\N
837455	2849	1995-10-26	VYDAJ	VYBER	1360	20990	\N	\N	\N
837456	2849	1995-02-12	VYDAJ	VYBER	3360	18134	\N	\N	\N
837457	2849	1995-11-15	VYDAJ	VYBER	2480	20858	\N	\N	\N
837458	2849	1995-03-04	VYDAJ	VYBER	3440	14754	\N	\N	\N
837459	2849	1995-06-24	VYDAJ	VYBER	2400	19614	\N	\N	\N
837460	2849	1995-09-04	VYDAJ	VYBER	2880	18629	\N	\N	\N
837461	2849	1996-01-16	VYDAJ	VYBER	3520	15346	\N	\N	\N
837462	2849	1996-06-05	VYDAJ	VYBER	1120	16523	\N	\N	\N
837463	2849	1996-03-16	VYDAJ	VYBER	2960	18681	\N	\N	\N
837464	2849	1997-05-11	VYDAJ	VYBER	1840	29816	\N	\N	\N
837465	2849	1997-08-18	VYDAJ	VYBER	3440	26041	\N	\N	\N
837466	2849	1997-12-10	VYDAJ	VYBER	960	23606	\N	\N	\N
837467	2849	1997-07-20	VYDAJ	VYBER	3440	25412	\N	\N	\N
837469	2849	1998-11-15	VYDAJ	VYBER	1600	28394	\N	\N	\N
837470	2849	1998-01-16	VYDAJ	VYBER	2800	21241	\N	\N	\N
837472	2849	1998-02-15	VYDAJ	VYBER	3440	15390	\N	\N	\N
837474	2849	1998-07-12	VYDAJ	VYBER	3120	17659	\N	\N	\N
837475	2849	1998-08-13	VYDAJ	VYBER	3840	17848	\N	\N	\N
837476	2849	1998-05-09	VYDAJ	VYBER	1200	22329	\N	\N	\N
837491	2849	1994-02-28	VYDAJ	VYBER	15	26228	SLUZBY	\N	\N
837492	2849	1994-03-31	VYDAJ	VYBER	15	23195	SLUZBY	\N	\N
837493	2849	1994-04-30	VYDAJ	VYBER	15	27261	SLUZBY	\N	\N
837494	2849	1994-05-31	VYDAJ	VYBER	15	19485	SLUZBY	\N	\N
837495	2849	1994-06-30	VYDAJ	VYBER	15	14316	SLUZBY	\N	\N
837496	2849	1994-07-31	VYDAJ	VYBER	15	18353	SLUZBY	\N	\N
837497	2849	1994-08-31	VYDAJ	VYBER	15	19276	SLUZBY	\N	\N
837498	2849	1994-09-30	VYDAJ	VYBER	15	21019	SLUZBY	\N	\N
837499	2849	1994-10-31	VYDAJ	VYBER	15	21975	SLUZBY	\N	\N
837500	2849	1994-11-30	VYDAJ	VYBER	15	25541	SLUZBY	\N	\N
837501	2849	1994-12-31	VYDAJ	VYBER	15	28018	SLUZBY	\N	\N
837502	2849	1995-01-31	VYDAJ	VYBER	15	17521	SLUZBY	\N	\N
837503	2849	1995-02-28	VYDAJ	VYBER	15	18194	SLUZBY	\N	\N
837504	2849	1995-03-31	VYDAJ	VYBER	15	18797	SLUZBY	\N	\N
837505	2849	1995-04-30	VYDAJ	VYBER	15	21448	SLUZBY	\N	\N
837506	2849	1995-05-31	VYDAJ	VYBER	15	23601	SLUZBY	\N	\N
837507	2849	1995-06-30	VYDAJ	VYBER	15	19694	SLUZBY	\N	\N
837508	2849	1995-07-31	VYDAJ	VYBER	15	23352	SLUZBY	\N	\N
837509	2849	1995-08-31	VYDAJ	VYBER	15	21509	SLUZBY	\N	\N
837510	2849	1995-09-30	VYDAJ	VYBER	15	20477	SLUZBY	\N	\N
837511	2849	1995-10-31	VYDAJ	VYBER	15	21065	SLUZBY	\N	\N
837512	2849	1995-11-30	VYDAJ	VYBER	15	20932	SLUZBY	\N	\N
837513	2849	1995-12-31	VYDAJ	VYBER	15	23433	SLUZBY	\N	\N
837514	2849	1996-01-31	VYDAJ	VYBER	15	13642	SLUZBY	\N	\N
837515	2849	1996-02-29	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
837516	2849	1996-03-31	VYDAJ	VYBER	15	18746	SLUZBY	\N	\N
837517	2849	1996-04-30	VYDAJ	VYBER	15	20594	SLUZBY	\N	\N
837518	2849	1996-05-31	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
837519	2849	1996-06-30	VYDAJ	VYBER	15	20564	SLUZBY	\N	\N
837520	2849	1996-07-31	VYDAJ	VYBER	15	19504	SLUZBY	\N	\N
837521	2849	1996-08-31	VYDAJ	VYBER	15	16844	SLUZBY	\N	\N
837522	2849	1996-09-30	VYDAJ	VYBER	15	16582	SLUZBY	\N	\N
837523	2849	1996-10-31	VYDAJ	VYBER	15	16219	SLUZBY	\N	\N
837524	2849	1996-11-30	VYDAJ	VYBER	15	20263	SLUZBY	\N	\N
837525	2849	1996-12-31	VYDAJ	VYBER	15	19916	SLUZBY	\N	\N
837526	2849	1997-01-31	VYDAJ	VYBER	15	15130	SLUZBY	\N	\N
837527	2849	1997-02-28	VYDAJ	VYBER	15	19168	SLUZBY	\N	\N
837528	2849	1997-03-31	VYDAJ	VYBER	15	22916	SLUZBY	\N	\N
837529	2849	1997-04-30	VYDAJ	VYBER	15	24979	SLUZBY	\N	\N
837530	2849	1997-05-31	VYDAJ	VYBER	15	26412	SLUZBY	\N	\N
837531	2849	1997-06-30	VYDAJ	VYBER	15	24879	SLUZBY	\N	\N
837532	2849	1997-07-31	VYDAJ	VYBER	15	25508	SLUZBY	\N	\N
837533	2849	1997-08-31	VYDAJ	VYBER	15	25836	SLUZBY	\N	\N
837534	2849	1997-09-30	VYDAJ	VYBER	15	24813	SLUZBY	\N	\N
837535	2849	1997-10-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
837536	2849	1997-11-30	VYDAJ	VYBER	15	24566	SLUZBY	\N	\N
837537	2849	1997-12-31	VYDAJ	VYBER	15	22068	SLUZBY	\N	\N
837538	2849	1998-01-31	VYDAJ	VYBER	15	14857	SLUZBY	\N	\N
837539	2849	1998-02-28	VYDAJ	VYBER	15	15441	SLUZBY	\N	\N
837540	2849	1998-03-31	VYDAJ	VYBER	15	19473	SLUZBY	\N	\N
837541	2849	1998-04-30	VYDAJ	VYBER	15	23529	SLUZBY	\N	\N
837542	2849	1998-05-31	VYDAJ	VYBER	15	26391	SLUZBY	\N	\N
837543	2849	1998-06-30	VYDAJ	VYBER	15	16806	SLUZBY	\N	\N
837544	2849	1998-07-31	VYDAJ	VYBER	15	17715	SLUZBY	\N	\N
837545	2849	1998-08-31	VYDAJ	VYBER	15	17907	SLUZBY	\N	\N
837546	2849	1998-09-30	VYDAJ	VYBER	15	21955	SLUZBY	\N	\N
837547	2849	1998-10-31	VYDAJ	VYBER	15	26021	SLUZBY	\N	\N
837548	2849	1998-11-30	VYDAJ	VYBER	15	28495	SLUZBY	\N	\N
837549	2849	1994-01-14	VYDAJ	VYBER	400	27208	\N	\N	\N
837550	2849	1994-02-13	VYDAJ	VYBER	2800	28447	\N	\N	\N
837551	2849	1994-03-15	VYDAJ	VYBER	3900	26301	\N	\N	\N
837552	2849	1994-05-14	VYDAJ	VYBER	5600	25634	\N	\N	\N
837553	2849	1994-09-11	VYDAJ	VYBER	2300	23653	\N	\N	\N
837554	2849	1994-10-11	VYDAJ	VYBER	1900	25796	\N	\N	\N
837555	2849	1994-11-10	VYDAJ	VYBER	500	21475	\N	\N	\N
837556	2849	1994-12-10	VYDAJ	VYBER	300	25241	\N	\N	\N
837557	2849	1995-01-09	VYDAJ	VYBER	2600	23018	\N	\N	\N
837558	2849	1995-04-09	VYDAJ	VYBER	1400	17397	\N	\N	\N
837559	2849	1995-05-09	VYDAJ	VYBER	1900	19548	\N	\N	\N
837560	2849	1995-06-08	VYDAJ	VYBER	3800	19801	\N	\N	\N
837561	2849	1995-07-08	VYDAJ	VYBER	400	19294	\N	\N	\N
837562	2849	1995-08-07	VYDAJ	VYBER	5900	17452	\N	\N	\N
837563	2849	1995-09-06	VYDAJ	VYBER	2200	16429	\N	\N	\N
837564	2849	1995-10-06	VYDAJ	VYBER	2100	18377	\N	\N	\N
837565	2849	1995-11-05	VYDAJ	VYBER	1700	19365	\N	\N	\N
837566	2849	1995-12-05	VYDAJ	VYBER	1200	19382	\N	\N	\N
837567	2849	1996-01-04	VYDAJ	VYBER	2400	21033	\N	\N	\N
837568	2849	1996-04-03	VYDAJ	VYBER	2200	16546	\N	\N	\N
837569	2849	1996-05-03	VYDAJ	VYBER	2200	18394	\N	\N	\N
837570	2849	1996-06-02	VYDAJ	VYBER	4800	17643	\N	\N	\N
837571	2849	1996-07-02	VYDAJ	VYBER	5100	15464	\N	\N	\N
837572	2849	1996-08-01	VYDAJ	VYBER	6300	13204	\N	\N	\N
837573	2849	1996-08-31	VYDAJ	VYBER	400	16859	\N	\N	\N
837574	2849	1996-09-30	VYDAJ	VYBER	4300	16597	\N	\N	\N
837575	2849	1996-10-30	VYDAJ	VYBER	4400	16155	\N	\N	\N
837576	2849	1996-12-29	VYDAJ	VYBER	3400	19836	\N	\N	\N
837577	2849	1997-03-29	VYDAJ	VYBER	300	22841	\N	\N	\N
837578	2849	1997-04-28	VYDAJ	VYBER	2000	24889	\N	\N	\N
837579	2849	1997-05-28	VYDAJ	VYBER	800	26312	\N	\N	\N
837580	2849	1997-08-26	VYDAJ	VYBER	300	25741	\N	\N	\N
837581	2849	1997-09-25	VYDAJ	VYBER	5100	24709	\N	\N	\N
837582	2849	1997-10-25	VYDAJ	VYBER	2200	26586	\N	\N	\N
837583	2849	1997-11-24	VYDAJ	VYBER	6200	24461	\N	\N	\N
837584	2849	1997-12-24	VYDAJ	VYBER	4300	23279	\N	\N	\N
837645	2850	1997-11-22	PRIJEM	VKLAD	400	400	\N	\N	\N
837657	2850	1997-12-10	PRIJEM	PREVOD Z UCTU	3057	3457	\N	UV	48384350
837658	2850	1998-01-10	PRIJEM	PREVOD Z UCTU	3057	6514	\N	UV	48384350
837659	2850	1998-02-10	PRIJEM	PREVOD Z UCTU	3057	9571	\N	UV	48384350
837660	2850	1998-03-10	PRIJEM	PREVOD Z UCTU	3057	12628	\N	UV	48384350
837661	2850	1998-04-10	PRIJEM	PREVOD Z UCTU	3057	15685	\N	UV	48384350
837662	2850	1998-05-10	PRIJEM	PREVOD Z UCTU	3057	16108	\N	UV	48384350
837663	2850	1998-06-10	PRIJEM	PREVOD Z UCTU	3057	16698	\N	UV	48384350
837664	2850	1998-07-10	PRIJEM	PREVOD Z UCTU	3057	17051	\N	UV	48384350
837665	2850	1998-08-10	PRIJEM	PREVOD Z UCTU	3057	17824	\N	UV	48384350
837666	2850	1998-09-10	PRIJEM	PREVOD Z UCTU	3057	18901	\N	UV	48384350
837667	2850	1998-10-10	PRIJEM	PREVOD Z UCTU	3057	19983	\N	UV	48384350
837668	2850	1998-11-10	PRIJEM	PREVOD Z UCTU	3057	19930	\N	UV	48384350
837669	2850	1998-12-10	PRIJEM	PREVOD Z UCTU	3057	19695	\N	UV	48384350
837686	2850	1998-05-05	VYDAJ	PREVOD NA UCET	2038	13051	SIPO	QR	60242688
837687	2850	1998-06-05	VYDAJ	PREVOD NA UCET	2038	13641	SIPO	QR	60242688
837688	2850	1998-07-05	VYDAJ	PREVOD NA UCET	2038	13994	SIPO	QR	60242688
837689	2850	1998-08-05	VYDAJ	PREVOD NA UCET	2038	14767	SIPO	QR	60242688
837690	2850	1998-09-05	VYDAJ	PREVOD NA UCET	2038	15844	SIPO	QR	60242688
837691	2850	1998-10-05	VYDAJ	PREVOD NA UCET	2038	16926	SIPO	QR	60242688
837692	2850	1998-11-05	VYDAJ	PREVOD NA UCET	2038	18013	SIPO	QR	60242688
837693	2850	1998-12-05	VYDAJ	PREVOD NA UCET	2038	16638	SIPO	QR	60242688
837699	2850	1998-12-29	VYDAJ	VYBER	630	19065	\N	\N	\N
837719	2850	1998-11-08	VYDAJ	VYBER	1140	16873	\N	\N	\N
837720	2850	1998-07-02	VYDAJ	VYBER	720	16032	\N	\N	\N
837723	2850	1998-04-22	VYDAJ	VYBER	600	15085	\N	\N	\N
837724	2850	1998-05-29	VYDAJ	VYBER	480	15628	\N	\N	\N
837725	2850	1998-11-25	VYDAJ	VYBER	1320	18610	\N	\N	\N
837742	2850	1998-04-30	VYDAJ	VYBER	15	15089	SLUZBY	\N	\N
837743	2850	1998-05-31	VYDAJ	VYBER	15	15679	SLUZBY	\N	\N
837744	2850	1998-06-30	VYDAJ	VYBER	15	16752	SLUZBY	\N	\N
837745	2850	1998-07-31	VYDAJ	VYBER	15	16805	SLUZBY	\N	\N
837746	2850	1998-08-31	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
837747	2850	1998-09-30	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
837748	2850	1998-10-31	VYDAJ	VYBER	15	20051	SLUZBY	\N	\N
837749	2850	1998-11-30	VYDAJ	VYBER	15	18676	SLUZBY	\N	\N
837750	2850	1998-07-20	VYDAJ	VYBER	300	16751	\N	\N	\N
837760	2851	1995-12-02	PRIJEM	VKLAD	700	700	\N	\N	\N
837761	2851	1995-12-21	PRIJEM	VKLAD	48037	51137	\N	\N	\N
837763	2851	1996-03-12	PRIJEM	VKLAD	47688	83560	\N	\N	\N
837764	2851	1996-01-09	PRIJEM	VKLAD	37315	77730	\N	\N	\N
837765	2851	1997-01-02	PRIJEM	VKLAD	21875	46585	\N	\N	\N
837766	2851	1997-03-23	PRIJEM	VKLAD	32175	59508	\N	\N	\N
837767	2851	1998-02-07	PRIJEM	VKLAD	4233	37052	\N	\N	\N
837768	2851	1998-10-21	PRIJEM	VKLAD	34956	52894	\N	\N	\N
837780	2851	1995-12-15	PRIJEM	VKLAD	1500	2200	\N	\N	\N
837781	2851	1996-01-13	PRIJEM	VKLAD	1500	79230	\N	\N	\N
837782	2851	1996-02-17	PRIJEM	VKLAD	1500	49714	\N	\N	\N
837783	2851	1996-03-17	PRIJEM	VKLAD	1500	85060	\N	\N	\N
837784	2851	1996-04-16	PRIJEM	VKLAD	1500	55847	\N	\N	\N
837785	2851	1996-05-13	PRIJEM	VKLAD	1500	39929	\N	\N	\N
837786	2851	1996-06-13	PRIJEM	VKLAD	1500	31275	\N	\N	\N
837787	2851	1996-07-13	PRIJEM	VKLAD	1500	21682	\N	\N	\N
837788	2851	1996-08-13	PRIJEM	VKLAD	1500	24706	\N	\N	\N
837789	2851	1996-09-17	PRIJEM	VKLAD	1500	29996	\N	\N	\N
837790	2851	1996-10-14	PRIJEM	VKLAD	1500	31803	\N	\N	\N
837791	2851	1996-11-13	PRIJEM	VKLAD	1500	30716	\N	\N	\N
837792	2851	1996-12-15	PRIJEM	VKLAD	1500	23622	\N	\N	\N
837793	2851	1997-01-15	PRIJEM	VKLAD	1500	40235	\N	\N	\N
837794	2851	1997-02-13	PRIJEM	VKLAD	1500	32023	\N	\N	\N
837795	2851	1997-03-17	PRIJEM	VKLAD	1500	26433	\N	\N	\N
837796	2851	1997-04-16	PRIJEM	VKLAD	1500	37821	\N	\N	\N
837797	2851	1997-05-14	PRIJEM	VKLAD	1500	27450	\N	\N	\N
837798	2851	1997-06-16	PRIJEM	VKLAD	1500	28045	\N	\N	\N
837799	2851	1997-07-16	PRIJEM	VKLAD	1500	26541	\N	\N	\N
837800	2851	1997-08-13	PRIJEM	VKLAD	1500	24028	\N	\N	\N
837801	2851	1997-09-14	PRIJEM	VKLAD	1500	24509	\N	\N	\N
837802	2851	1997-10-15	PRIJEM	VKLAD	1500	30348	\N	\N	\N
837803	2851	1997-11-13	PRIJEM	VKLAD	1500	25649	\N	\N	\N
837804	2851	1997-12-16	PRIJEM	VKLAD	1500	29744	\N	\N	\N
837805	2851	1998-01-14	PRIJEM	VKLAD	1500	31150	\N	\N	\N
837806	2851	1998-02-13	PRIJEM	VKLAD	1500	38552	\N	\N	\N
837807	2851	1998-03-14	PRIJEM	VKLAD	1500	42090	\N	\N	\N
837808	2851	1998-04-14	PRIJEM	VKLAD	1500	40641	\N	\N	\N
837809	2851	1998-05-17	PRIJEM	VKLAD	1500	36081	\N	\N	\N
837810	2851	1998-06-13	PRIJEM	VKLAD	1500	35408	\N	\N	\N
837811	2851	1998-07-16	PRIJEM	VKLAD	1500	35233	\N	\N	\N
837812	2851	1998-08-13	PRIJEM	VKLAD	1500	29049	\N	\N	\N
837813	2851	1998-09-13	PRIJEM	VKLAD	1500	28752	\N	\N	\N
837814	2851	1998-10-16	PRIJEM	VKLAD	1500	23438	\N	\N	\N
837815	2851	1998-11-16	PRIJEM	VKLAD	1500	53112	\N	\N	\N
837816	2851	1998-12-14	PRIJEM	VKLAD	1500	31271	\N	\N	\N
837828	2851	1995-12-18	PRIJEM	VKLAD	900	3100	\N	\N	\N
837829	2851	1996-01-18	PRIJEM	VKLAD	900	80130	\N	\N	\N
837830	2851	1996-02-18	PRIJEM	VKLAD	900	50614	\N	\N	\N
837831	2851	1996-03-18	PRIJEM	VKLAD	900	85960	\N	\N	\N
837832	2851	1996-04-18	PRIJEM	VKLAD	900	56747	\N	\N	\N
837833	2851	1996-05-18	PRIJEM	VKLAD	900	40829	\N	\N	\N
837834	2851	1996-06-18	PRIJEM	VKLAD	900	32175	\N	\N	\N
837835	2851	1996-07-18	PRIJEM	VKLAD	900	22582	\N	\N	\N
837836	2851	1996-08-18	PRIJEM	VKLAD	900	25606	\N	\N	\N
837837	2851	1996-09-18	PRIJEM	VKLAD	900	30896	\N	\N	\N
837838	2851	1996-10-18	PRIJEM	VKLAD	900	32703	\N	\N	\N
837839	2851	1996-11-18	PRIJEM	VKLAD	900	31616	\N	\N	\N
837840	2851	1996-12-18	PRIJEM	VKLAD	900	24522	\N	\N	\N
837841	2851	1997-01-18	PRIJEM	VKLAD	900	40585	\N	\N	\N
837842	2851	1997-02-18	PRIJEM	VKLAD	900	32923	\N	\N	\N
837843	2851	1997-03-18	PRIJEM	VKLAD	900	27333	\N	\N	\N
837844	2851	1997-04-18	PRIJEM	VKLAD	900	38721	\N	\N	\N
837845	2851	1997-05-18	PRIJEM	VKLAD	900	28350	\N	\N	\N
837846	2851	1997-06-18	PRIJEM	VKLAD	900	28945	\N	\N	\N
837847	2851	1997-07-18	PRIJEM	VKLAD	900	27441	\N	\N	\N
837848	2851	1997-08-18	PRIJEM	VKLAD	900	24928	\N	\N	\N
837849	2851	1997-09-18	PRIJEM	VKLAD	900	24659	\N	\N	\N
837850	2851	1997-10-18	PRIJEM	VKLAD	900	31248	\N	\N	\N
837851	2851	1997-11-18	PRIJEM	VKLAD	900	26549	\N	\N	\N
837852	2851	1997-12-18	PRIJEM	VKLAD	900	30644	\N	\N	\N
837853	2851	1998-01-18	PRIJEM	VKLAD	900	32050	\N	\N	\N
837854	2851	1998-02-18	PRIJEM	VKLAD	900	39452	\N	\N	\N
837855	2851	1998-03-18	PRIJEM	VKLAD	900	42990	\N	\N	\N
837856	2851	1998-04-18	PRIJEM	VKLAD	900	41541	\N	\N	\N
837857	2851	1998-05-18	PRIJEM	VKLAD	900	36981	\N	\N	\N
837858	2851	1998-06-18	PRIJEM	VKLAD	900	36308	\N	\N	\N
837859	2851	1998-07-18	PRIJEM	VKLAD	900	36133	\N	\N	\N
837860	2851	1998-08-18	PRIJEM	VKLAD	900	29949	\N	\N	\N
837861	2851	1998-09-18	PRIJEM	VKLAD	900	21852	\N	\N	\N
837862	2851	1998-10-18	PRIJEM	VKLAD	900	17938	\N	\N	\N
837863	2851	1998-11-18	PRIJEM	VKLAD	900	29612	\N	\N	\N
837864	2851	1998-12-18	PRIJEM	VKLAD	900	14671	\N	\N	\N
837871	2851	1997-01-11	VYDAJ	VYBER	4800	38735	\N	\N	\N
837872	2851	1998-01-24	VYDAJ	VYBER	2100	34050	\N	\N	\N
837874	2851	1996-06-27	VYDAJ	VYBER	12300	19875	\N	\N	\N
837878	2851	1996-12-14	VYDAJ	VYBER	2900	22122	\N	\N	\N
837879	2851	1997-12-18	VYDAJ	VYBER	2200	28444	\N	\N	\N
837888	2851	1996-01-27	VYDAJ	VYBER	350	78480	\N	\N	\N
837889	2851	1996-01-28	VYDAJ	VYBER	1050	77430	\N	\N	\N
837890	2851	1996-01-29	VYDAJ	VYBER	900	76530	\N	\N	\N
837891	2851	1996-01-30	VYDAJ	VYBER	1000	75530	\N	\N	\N
837892	2851	1996-01-27	VYDAJ	VYBER	1300	78830	\N	\N	\N
837893	2851	1997-01-10	VYDAJ	VYBER	1100	43535	\N	\N	\N
837894	2851	1997-01-23	VYDAJ	VYBER	500	40085	\N	\N	\N
837895	2851	1997-01-05	VYDAJ	VYBER	600	45985	\N	\N	\N
837896	2851	1997-01-28	VYDAJ	VYBER	450	30385	\N	\N	\N
837897	2851	1997-01-09	VYDAJ	VYBER	1350	44635	\N	\N	\N
837898	2851	1997-01-17	VYDAJ	VYBER	550	39685	\N	\N	\N
837899	2851	1998-01-25	VYDAJ	VYBER	950	33100	\N	\N	\N
837900	2851	1998-01-12	VYDAJ	VYBER	450	29650	\N	\N	\N
837901	2851	1998-01-04	VYDAJ	VYBER	1050	30100	\N	\N	\N
837902	2851	1998-01-23	VYDAJ	VYBER	300	37250	\N	\N	\N
837903	2851	1998-01-23	VYDAJ	VYBER	1100	36150	\N	\N	\N
837904	2851	1998-01-26	VYDAJ	VYBER	400	32700	\N	\N	\N
837910	2851	1996-04-25	VYDAJ	VYBER	1300	55447	\N	\N	\N
837911	2851	1996-08-04	VYDAJ	VYBER	1050	23206	\N	\N	\N
837912	2851	1996-03-24	VYDAJ	VYBER	2300	83660	\N	\N	\N
837913	2851	1997-11-01	VYDAJ	VYBER	1700	24149	\N	\N	\N
837914	2851	1997-09-14	VYDAJ	VYBER	750	23759	\N	\N	\N
837915	2851	1997-01-24	VYDAJ	VYBER	350	39735	\N	\N	\N
837916	2851	1998-04-18	VYDAJ	VYBER	2300	39241	\N	\N	\N
837917	2851	1998-07-31	VYDAJ	VYBER	1800	27564	\N	\N	\N
837918	2851	1998-10-29	VYDAJ	VYBER	1400	51494	\N	\N	\N
837932	2851	1996-01-31	VYDAJ	VYBER	15	75814	SLUZBY	\N	\N
837933	2851	1996-02-29	VYDAJ	VYBER	15	50872	SLUZBY	\N	\N
837934	2851	1996-03-31	VYDAJ	VYBER	15	83947	SLUZBY	\N	\N
837935	2851	1996-04-30	VYDAJ	VYBER	15	38429	SLUZBY	\N	\N
837936	2851	1996-05-31	VYDAJ	VYBER	15	29775	SLUZBY	\N	\N
837937	2851	1996-06-30	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
837938	2851	1996-07-31	VYDAJ	VYBER	15	24256	SLUZBY	\N	\N
837939	2851	1996-08-31	VYDAJ	VYBER	15	28496	SLUZBY	\N	\N
837940	2851	1996-09-30	VYDAJ	VYBER	15	30303	SLUZBY	\N	\N
837941	2851	1996-10-31	VYDAJ	VYBER	15	29216	SLUZBY	\N	\N
837942	2851	1996-11-30	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
837943	2851	1996-12-31	VYDAJ	VYBER	15	24710	SLUZBY	\N	\N
837944	2851	1997-01-31	VYDAJ	VYBER	15	30523	SLUZBY	\N	\N
837945	2851	1997-02-28	VYDAJ	VYBER	15	24933	SLUZBY	\N	\N
837946	2851	1997-03-31	VYDAJ	VYBER	15	36321	SLUZBY	\N	\N
837947	2851	1997-04-30	VYDAJ	VYBER	15	25950	SLUZBY	\N	\N
837948	2851	1997-05-31	VYDAJ	VYBER	15	26545	SLUZBY	\N	\N
837949	2851	1997-06-30	VYDAJ	VYBER	15	25041	SLUZBY	\N	\N
837950	2851	1997-07-31	VYDAJ	VYBER	15	22528	SLUZBY	\N	\N
837951	2851	1997-08-31	VYDAJ	VYBER	15	23009	SLUZBY	\N	\N
837952	2851	1997-09-30	VYDAJ	VYBER	15	28848	SLUZBY	\N	\N
837953	2851	1997-10-31	VYDAJ	VYBER	15	25849	SLUZBY	\N	\N
837954	2851	1997-11-30	VYDAJ	VYBER	15	28244	SLUZBY	\N	\N
837955	2851	1997-12-31	VYDAJ	VYBER	15	31150	SLUZBY	\N	\N
837956	2851	1998-01-31	VYDAJ	VYBER	15	32819	SLUZBY	\N	\N
837957	2851	1998-02-28	VYDAJ	VYBER	15	40590	SLUZBY	\N	\N
837958	2851	1998-03-31	VYDAJ	VYBER	15	39141	SLUZBY	\N	\N
837959	2851	1998-04-30	VYDAJ	VYBER	15	34581	SLUZBY	\N	\N
837960	2851	1998-05-31	VYDAJ	VYBER	15	33908	SLUZBY	\N	\N
837961	2851	1998-06-30	VYDAJ	VYBER	15	33733	SLUZBY	\N	\N
837962	2851	1998-07-31	VYDAJ	VYBER	15	27549	SLUZBY	\N	\N
837963	2851	1998-08-31	VYDAJ	VYBER	15	27252	SLUZBY	\N	\N
837964	2851	1998-09-30	VYDAJ	VYBER	15	21938	SLUZBY	\N	\N
837965	2851	1998-10-31	VYDAJ	VYBER	15	51612	SLUZBY	\N	\N
837966	2851	1998-11-30	VYDAJ	VYBER	15	29771	SLUZBY	\N	\N
837967	2851	1996-01-01	VYDAJ	VYBER	10800	40415	\N	\N	\N
837968	2851	1996-01-31	VYDAJ	VYBER	27600	48214	\N	\N	\N
837969	2851	1996-03-01	VYDAJ	VYBER	15000	35872	\N	\N	\N
837970	2851	1996-03-31	VYDAJ	VYBER	29600	54347	\N	\N	\N
837971	2851	1996-04-30	VYDAJ	VYBER	17300	38444	\N	\N	\N
837972	2851	1996-05-30	VYDAJ	VYBER	11200	29629	\N	\N	\N
837973	2851	1996-06-29	PRIJEM	VKLAD	200	20075	\N	\N	\N
837974	2851	1996-07-29	PRIJEM	VKLAD	1600	24182	\N	\N	\N
837975	2851	1996-08-28	PRIJEM	VKLAD	2800	28406	\N	\N	\N
837976	2851	1996-09-27	VYDAJ	VYBER	700	30196	\N	\N	\N
837977	2851	1996-10-27	VYDAJ	VYBER	3600	29103	\N	\N	\N
837978	2851	1996-11-26	VYDAJ	VYBER	6700	24916	\N	\N	\N
837979	2851	1996-12-26	PRIJEM	VKLAD	100	24622	\N	\N	\N
837980	2851	1997-01-25	VYDAJ	VYBER	8900	30835	\N	\N	\N
837981	2851	1997-02-24	VYDAJ	VYBER	8100	24823	\N	\N	\N
837982	2851	1997-03-26	VYDAJ	VYBER	23300	36208	\N	\N	\N
837983	2851	1997-04-25	VYDAJ	VYBER	12900	25821	\N	\N	\N
837984	2851	1997-05-25	VYDAJ	VYBER	1900	26450	\N	\N	\N
837985	2851	1997-06-24	VYDAJ	VYBER	4000	24945	\N	\N	\N
837986	2851	1997-07-24	VYDAJ	VYBER	5000	22441	\N	\N	\N
837987	2851	1997-08-23	VYDAJ	VYBER	2000	22928	\N	\N	\N
837988	2851	1997-09-22	PRIJEM	VKLAD	4100	28759	\N	\N	\N
837989	2851	1997-10-22	VYDAJ	VYBER	5500	25748	\N	\N	\N
837990	2851	1997-11-21	PRIJEM	VKLAD	1600	28149	\N	\N	\N
837991	2851	1997-12-21	PRIJEM	VKLAD	2600	31044	\N	\N	\N
837992	2851	1998-01-20	PRIJEM	VKLAD	5500	37550	\N	\N	\N
837993	2851	1998-02-19	PRIJEM	VKLAD	1000	40452	\N	\N	\N
837994	2851	1998-03-21	VYDAJ	VYBER	4000	38990	\N	\N	\N
837995	2851	1998-04-20	VYDAJ	VYBER	4800	34441	\N	\N	\N
837996	2851	1998-05-20	VYDAJ	VYBER	3200	33781	\N	\N	\N
837997	2851	1998-06-19	VYDAJ	VYBER	2700	33608	\N	\N	\N
837998	2851	1998-07-19	VYDAJ	VYBER	6900	29233	\N	\N	\N
837999	2851	1998-08-18	VYDAJ	VYBER	2800	27149	\N	\N	\N
838000	2851	1998-09-17	VYDAJ	VYBER	7800	20952	\N	\N	\N
838001	2851	1998-10-17	VYDAJ	VYBER	6400	17038	\N	\N	\N
838002	2851	1998-11-16	VYDAJ	VYBER	24400	28712	\N	\N	\N
838003	2851	1998-12-16	VYDAJ	VYBER	17500	13771	\N	\N	\N
838041	2852	1996-12-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
838122	2852	1997-01-28	PRIJEM	VKLAD	11600	12600	\N	\N	\N
838123	2852	1997-02-27	PRIJEM	VKLAD	8400	21000	\N	\N	\N
838124	2852	1997-03-29	PRIJEM	VKLAD	4900	25900	\N	\N	\N
838125	2852	1997-04-28	PRIJEM	VKLAD	2000	27900	\N	\N	\N
838126	2852	1997-05-28	PRIJEM	VKLAD	2600	30500	\N	\N	\N
838127	2852	1997-06-27	PRIJEM	VKLAD	2700	33200	\N	\N	\N
838128	2852	1997-07-27	PRIJEM	VKLAD	700	33900	\N	\N	\N
838129	2852	1997-08-26	PRIJEM	VKLAD	1800	35700	\N	\N	\N
838130	2852	1997-09-25	PRIJEM	VKLAD	700	36400	\N	\N	\N
838131	2852	1997-10-25	VYDAJ	VYBER	1000	35400	\N	\N	\N
838132	2852	1997-11-24	VYDAJ	VYBER	1000	34400	\N	\N	\N
838133	2852	1997-12-24	VYDAJ	VYBER	3700	30700	\N	\N	\N
838134	2852	1998-01-23	VYDAJ	VYBER	700	30000	\N	\N	\N
838135	2852	1998-02-22	VYDAJ	VYBER	3300	26700	\N	\N	\N
838136	2852	1998-03-24	VYDAJ	VYBER	4600	22100	\N	\N	\N
838137	2852	1998-04-23	PRIJEM	VKLAD	3000	25100	\N	\N	\N
838138	2852	1998-05-23	PRIJEM	VKLAD	1100	26200	\N	\N	\N
838139	2852	1998-06-22	VYDAJ	VYBER	4200	22000	\N	\N	\N
838140	2852	1998-07-22	VYDAJ	VYBER	600	21400	\N	\N	\N
838141	2852	1998-08-21	PRIJEM	VKLAD	2100	23500	\N	\N	\N
838142	2852	1998-09-20	PRIJEM	VKLAD	5800	29300	\N	\N	\N
838143	2852	1998-10-20	PRIJEM	VKLAD	1100	30400	\N	\N	\N
838144	2852	1998-11-19	VYDAJ	VYBER	3200	27200	\N	\N	\N
838145	2852	1998-12-19	VYDAJ	VYBER	600	26600	\N	\N	\N
838146	2853	1995-09-08	PRIJEM	VKLAD	600	600	\N	\N	\N
838155	2853	1995-09-09	PRIJEM	PREVOD Z UCTU	3709	4309	\N	EF	63938832
838156	2853	1995-10-09	PRIJEM	PREVOD Z UCTU	3709	18231	\N	EF	63938832
838157	2853	1995-11-09	PRIJEM	PREVOD Z UCTU	3709	26501	\N	EF	63938832
838158	2853	1995-12-09	PRIJEM	PREVOD Z UCTU	3709	33311	\N	EF	63938832
838159	2853	1996-01-09	PRIJEM	PREVOD Z UCTU	3709	37152	\N	EF	63938832
838160	2853	1996-02-09	PRIJEM	PREVOD Z UCTU	3709	32764	\N	EF	63938832
838161	2853	1996-03-09	PRIJEM	PREVOD Z UCTU	3709	32125	\N	EF	63938832
838162	2853	1996-04-09	PRIJEM	PREVOD Z UCTU	3709	34282	\N	EF	63938832
838163	2853	1996-05-09	PRIJEM	PREVOD Z UCTU	3709	34094	\N	EF	63938832
838164	2853	1996-06-09	PRIJEM	PREVOD Z UCTU	3709	29158	\N	EF	63938832
838165	2853	1996-07-09	PRIJEM	PREVOD Z UCTU	3709	26802	\N	EF	63938832
838166	2853	1996-08-09	PRIJEM	PREVOD Z UCTU	3709	26630	\N	EF	63938832
838167	2853	1996-09-09	PRIJEM	PREVOD Z UCTU	3709	29463	\N	EF	63938832
838168	2853	1996-10-09	PRIJEM	PREVOD Z UCTU	3709	30373	\N	EF	63938832
838169	2853	1996-11-09	PRIJEM	PREVOD Z UCTU	3709	31220	\N	EF	63938832
838170	2853	1996-12-09	PRIJEM	PREVOD Z UCTU	3709	32772	\N	EF	63938832
838171	2853	1997-01-09	PRIJEM	PREVOD Z UCTU	3709	34828	\N	EF	63938832
838172	2853	1997-02-09	PRIJEM	PREVOD Z UCTU	3709	36352	\N	EF	63938832
838173	2853	1997-03-09	PRIJEM	PREVOD Z UCTU	3709	41524	\N	EF	63938832
838174	2853	1997-04-09	PRIJEM	PREVOD Z UCTU	3709	44314	\N	EF	63938832
838175	2853	1997-05-09	PRIJEM	PREVOD Z UCTU	3709	44989	\N	EF	63938832
838176	2853	1997-06-09	PRIJEM	PREVOD Z UCTU	3709	49398	\N	EF	63938832
838177	2853	1997-07-09	PRIJEM	PREVOD Z UCTU	3709	52705	\N	EF	63938832
838178	2853	1997-08-09	PRIJEM	PREVOD Z UCTU	3709	58147	\N	EF	63938832
838179	2853	1997-09-09	PRIJEM	PREVOD Z UCTU	3709	60070	\N	EF	63938832
838180	2853	1997-10-09	PRIJEM	PREVOD Z UCTU	3709	65363	\N	EF	63938832
838181	2853	1997-11-09	PRIJEM	PREVOD Z UCTU	3709	67056	\N	EF	63938832
838182	2853	1997-12-09	PRIJEM	PREVOD Z UCTU	3709	70457	\N	EF	63938832
838183	2853	1998-01-09	PRIJEM	PREVOD Z UCTU	3709	73973	\N	EF	63938832
838184	2853	1998-02-09	PRIJEM	PREVOD Z UCTU	3709	74096	\N	EF	63938832
838185	2853	1998-03-09	PRIJEM	PREVOD Z UCTU	3709	69098	\N	EF	63938832
838186	2853	1998-04-09	PRIJEM	PREVOD Z UCTU	3709	70924	\N	EF	63938832
838187	2853	1998-05-09	PRIJEM	PREVOD Z UCTU	3709	75442	\N	EF	63938832
838188	2853	1998-06-09	PRIJEM	PREVOD Z UCTU	3709	75947	\N	EF	63938832
838189	2853	1998-07-09	PRIJEM	PREVOD Z UCTU	3709	76814	\N	EF	63938832
838190	2853	1998-08-09	PRIJEM	PREVOD Z UCTU	3709	74160	\N	EF	63938832
838191	2853	1998-09-09	PRIJEM	PREVOD Z UCTU	3709	73686	\N	EF	63938832
838192	2853	1998-10-09	PRIJEM	PREVOD Z UCTU	3709	74281	\N	EF	63938832
838193	2853	1998-11-09	PRIJEM	PREVOD Z UCTU	3709	75009	\N	EF	63938832
838194	2853	1998-12-09	PRIJEM	PREVOD Z UCTU	3709	76140	\N	EF	63938832
838208	2853	1996-02-08	VYDAJ	PREVOD NA UCET	2472	29055	SIPO	UV	25895470
838209	2853	1996-03-08	VYDAJ	PREVOD NA UCET	2472	28416	SIPO	UV	25895470
838210	2853	1996-04-08	VYDAJ	PREVOD NA UCET	2472	30573	SIPO	UV	25895470
838211	2853	1996-05-08	VYDAJ	PREVOD NA UCET	2472	30385	SIPO	UV	25895470
838212	2853	1996-06-08	VYDAJ	PREVOD NA UCET	2472	25449	SIPO	UV	25895470
838213	2853	1996-07-08	VYDAJ	PREVOD NA UCET	2472	23093	SIPO	UV	25895470
838214	2853	1996-08-08	VYDAJ	PREVOD NA UCET	2472	22921	SIPO	UV	25895470
838215	2853	1996-09-08	VYDAJ	PREVOD NA UCET	2472	25754	SIPO	UV	25895470
838216	2853	1996-10-08	VYDAJ	PREVOD NA UCET	2472	26664	SIPO	UV	25895470
838217	2853	1996-11-08	VYDAJ	PREVOD NA UCET	2472	27511	SIPO	UV	25895470
838218	2853	1996-12-08	VYDAJ	PREVOD NA UCET	2472	29063	SIPO	UV	25895470
838219	2853	1997-01-08	VYDAJ	PREVOD NA UCET	2472	31119	SIPO	UV	25895470
838220	2853	1997-02-08	VYDAJ	PREVOD NA UCET	2472	32643	SIPO	UV	25895470
838221	2853	1997-03-08	VYDAJ	PREVOD NA UCET	2472	37815	SIPO	UV	25895470
838222	2853	1997-04-08	VYDAJ	PREVOD NA UCET	2472	40605	SIPO	UV	25895470
838223	2853	1997-05-08	VYDAJ	PREVOD NA UCET	2472	41280	SIPO	UV	25895470
838224	2853	1997-06-08	VYDAJ	PREVOD NA UCET	2472	45689	SIPO	UV	25895470
838225	2853	1997-07-08	VYDAJ	PREVOD NA UCET	2472	48996	SIPO	UV	25895470
838226	2853	1997-08-08	VYDAJ	PREVOD NA UCET	2472	54438	SIPO	UV	25895470
838227	2853	1997-09-08	VYDAJ	PREVOD NA UCET	2472	56361	SIPO	UV	25895470
838228	2853	1997-10-08	VYDAJ	PREVOD NA UCET	2472	61654	SIPO	UV	25895470
838229	2853	1997-11-08	VYDAJ	PREVOD NA UCET	2472	63347	SIPO	UV	25895470
838230	2853	1997-12-08	VYDAJ	PREVOD NA UCET	2472	66748	SIPO	UV	25895470
838231	2853	1998-01-08	VYDAJ	PREVOD NA UCET	2472	70264	SIPO	UV	25895470
838232	2853	1998-02-08	VYDAJ	PREVOD NA UCET	2472	70387	SIPO	UV	25895470
838233	2853	1998-03-08	VYDAJ	PREVOD NA UCET	2472	65389	SIPO	UV	25895470
838234	2853	1998-04-08	VYDAJ	PREVOD NA UCET	2472	67215	SIPO	UV	25895470
838235	2853	1998-05-08	VYDAJ	PREVOD NA UCET	2472	71733	SIPO	UV	25895470
838236	2853	1998-06-08	VYDAJ	PREVOD NA UCET	2472	72238	SIPO	UV	25895470
838237	2853	1998-07-08	VYDAJ	PREVOD NA UCET	2472	73105	SIPO	UV	25895470
838238	2853	1998-08-08	VYDAJ	PREVOD NA UCET	2472	70451	SIPO	UV	25895470
838239	2853	1998-09-08	VYDAJ	PREVOD NA UCET	2472	69977	SIPO	UV	25895470
838240	2853	1998-10-08	VYDAJ	PREVOD NA UCET	2472	70572	SIPO	UV	25895470
838241	2853	1998-11-08	VYDAJ	PREVOD NA UCET	2472	71300	SIPO	UV	25895470
838242	2853	1998-12-08	VYDAJ	PREVOD NA UCET	2472	72431	SIPO	UV	25895470
838244	2853	1996-06-10	VYDAJ	VYBER	8280	20878	\N	\N	\N
838245	2853	1997-06-09	VYDAJ	VYBER	1920	47478	\N	\N	\N
838246	2853	1998-06-29	VYDAJ	VYBER	1770	75277	\N	\N	\N
838248	2853	1996-01-29	VYDAJ	VYBER	1380	35202	\N	\N	\N
838249	2853	1997-01-23	VYDAJ	VYBER	1740	33088	\N	\N	\N
838250	2853	1998-01-12	VYDAJ	VYBER	540	72173	\N	\N	\N
838252	2853	1996-12-22	VYDAJ	VYBER	600	32172	\N	\N	\N
838253	2853	1997-12-01	VYDAJ	VYBER	300	69220	\N	\N	\N
838254	2853	1998-12-27	VYDAJ	VYBER	810	77130	\N	\N	\N
838260	2853	1996-05-05	VYDAJ	VYBER	450	32857	\N	\N	\N
838261	2853	1996-01-29	VYDAJ	VYBER	570	36582	\N	\N	\N
838262	2853	1996-09-13	VYDAJ	VYBER	630	28833	\N	\N	\N
838263	2853	1997-08-09	VYDAJ	VYBER	1440	56707	\N	\N	\N
838264	2853	1997-01-08	VYDAJ	VYBER	300	33591	\N	\N	\N
838265	2853	1997-04-22	VYDAJ	VYBER	630	43684	\N	\N	\N
838266	2853	1997-09-22	VYDAJ	VYBER	180	59890	\N	\N	\N
838267	2853	1998-09-20	VYDAJ	VYBER	1230	72456	\N	\N	\N
838268	2853	1998-01-10	VYDAJ	VYBER	1260	72713	\N	\N	\N
838269	2853	1998-06-05	VYDAJ	VYBER	1290	74710	\N	\N	\N
838270	2853	1998-07-27	VYDAJ	VYBER	1290	72624	\N	\N	\N
838271	2853	1998-03-10	VYDAJ	VYBER	1380	67718	\N	\N	\N
838272	2853	1998-02-10	VYDAJ	VYBER	1020	73076	\N	\N	\N
838273	2853	1998-06-01	VYDAJ	VYBER	240	76000	\N	\N	\N
838287	2853	1996-01-31	VYDAJ	VYBER	15	35327	SLUZBY	\N	\N
838288	2853	1996-02-29	VYDAJ	VYBER	15	32888	SLUZBY	\N	\N
838289	2853	1996-03-31	VYDAJ	VYBER	15	32245	SLUZBY	\N	\N
838290	2853	1996-04-30	VYDAJ	VYBER	15	34407	SLUZBY	\N	\N
838291	2853	1996-05-31	VYDAJ	VYBER	15	34221	SLUZBY	\N	\N
838292	2853	1996-06-30	VYDAJ	VYBER	15	20965	SLUZBY	\N	\N
838293	2853	1996-07-31	VYDAJ	VYBER	15	26893	SLUZBY	\N	\N
838294	2853	1996-08-31	VYDAJ	VYBER	15	26726	SLUZBY	\N	\N
838295	2853	1996-09-30	VYDAJ	VYBER	15	28936	SLUZBY	\N	\N
838296	2853	1996-10-31	VYDAJ	VYBER	15	30483	SLUZBY	\N	\N
838297	2853	1996-11-30	VYDAJ	VYBER	15	31335	SLUZBY	\N	\N
838298	2853	1996-12-31	VYDAJ	VYBER	15	33891	SLUZBY	\N	\N
838299	2853	1997-01-31	VYDAJ	VYBER	15	35115	SLUZBY	\N	\N
838300	2853	1997-02-28	VYDAJ	VYBER	15	36487	SLUZBY	\N	\N
838301	2853	1997-03-31	VYDAJ	VYBER	15	43077	SLUZBY	\N	\N
838302	2853	1997-04-30	VYDAJ	VYBER	15	43852	SLUZBY	\N	\N
838303	2853	1997-05-31	VYDAJ	VYBER	15	48161	SLUZBY	\N	\N
838304	2853	1997-06-30	VYDAJ	VYBER	15	51468	SLUZBY	\N	\N
838305	2853	1997-07-31	VYDAJ	VYBER	15	56910	SLUZBY	\N	\N
838306	2853	1997-08-31	VYDAJ	VYBER	15	58833	SLUZBY	\N	\N
838307	2853	1997-09-30	VYDAJ	VYBER	15	64126	SLUZBY	\N	\N
838308	2853	1997-10-31	VYDAJ	VYBER	15	65819	SLUZBY	\N	\N
838309	2853	1997-11-30	VYDAJ	VYBER	15	69520	SLUZBY	\N	\N
838310	2853	1997-12-31	VYDAJ	VYBER	15	72736	SLUZBY	\N	\N
838311	2853	1998-01-31	VYDAJ	VYBER	15	72859	SLUZBY	\N	\N
838312	2853	1998-02-28	VYDAJ	VYBER	15	67861	SLUZBY	\N	\N
838313	2853	1998-03-31	VYDAJ	VYBER	15	69687	SLUZBY	\N	\N
838314	2853	1998-04-30	VYDAJ	VYBER	15	74205	SLUZBY	\N	\N
838315	2853	1998-05-31	VYDAJ	VYBER	15	76240	SLUZBY	\N	\N
838316	2853	1998-06-30	VYDAJ	VYBER	15	75577	SLUZBY	\N	\N
838317	2853	1998-07-31	VYDAJ	VYBER	15	72923	SLUZBY	\N	\N
838318	2853	1998-08-31	VYDAJ	VYBER	15	72449	SLUZBY	\N	\N
838319	2853	1998-09-30	VYDAJ	VYBER	15	73044	SLUZBY	\N	\N
838320	2853	1998-10-31	VYDAJ	VYBER	15	73772	SLUZBY	\N	\N
838321	2853	1998-11-30	VYDAJ	VYBER	15	74903	SLUZBY	\N	\N
838322	2853	1995-10-08	PRIJEM	VKLAD	10200	14522	\N	\N	\N
838323	2853	1995-11-07	PRIJEM	VKLAD	4500	22792	\N	\N	\N
838324	2853	1995-12-07	PRIJEM	VKLAD	3000	29602	\N	\N	\N
838325	2853	1996-02-05	VYDAJ	VYBER	3800	31527	\N	\N	\N
838326	2853	1996-03-06	VYDAJ	VYBER	2000	30888	\N	\N	\N
838327	2853	1996-04-05	PRIJEM	VKLAD	800	33045	\N	\N	\N
838328	2853	1996-05-05	VYDAJ	VYBER	1100	33307	\N	\N	\N
838329	2853	1996-06-04	VYDAJ	VYBER	6300	27921	\N	\N	\N
838330	2853	1996-07-04	PRIJEM	VKLAD	4600	25565	\N	\N	\N
838331	2853	1996-08-03	VYDAJ	VYBER	1500	25393	\N	\N	\N
838332	2853	1996-09-02	PRIJEM	VKLAD	1500	28226	\N	\N	\N
838333	2853	1996-10-02	PRIJEM	VKLAD	200	29136	\N	\N	\N
838334	2853	1996-11-01	VYDAJ	VYBER	500	29983	\N	\N	\N
838335	2853	1996-12-01	PRIJEM	VKLAD	200	31535	\N	\N	\N
838336	2853	1996-12-31	PRIJEM	VKLAD	1600	33772	\N	\N	\N
838337	2853	1997-01-30	PRIJEM	VKLAD	1900	34988	\N	\N	\N
838338	2853	1997-03-01	PRIJEM	VKLAD	3800	40287	\N	\N	\N
838339	2853	1997-03-31	PRIJEM	VKLAD	1400	43092	\N	\N	\N
838340	2853	1997-04-30	VYDAJ	VYBER	100	43752	\N	\N	\N
838341	2853	1997-05-30	PRIJEM	VKLAD	3000	47989	\N	\N	\N
838342	2853	1997-06-29	PRIJEM	VKLAD	3800	51278	\N	\N	\N
838343	2853	1997-07-29	PRIJEM	VKLAD	4000	56705	\N	\N	\N
838344	2853	1997-08-28	PRIJEM	VKLAD	1900	58607	\N	\N	\N
838345	2853	1997-09-27	PRIJEM	VKLAD	4000	63890	\N	\N	\N
838346	2853	1997-10-27	PRIJEM	VKLAD	200	65563	\N	\N	\N
838347	2853	1997-11-26	PRIJEM	VKLAD	2200	69256	\N	\N	\N
838348	2853	1997-12-26	PRIJEM	VKLAD	2000	72457	\N	\N	\N
838349	2853	1998-01-25	PRIJEM	VKLAD	400	72573	\N	\N	\N
838350	2853	1998-02-24	VYDAJ	VYBER	5500	67576	\N	\N	\N
838351	2853	1998-03-26	PRIJEM	VKLAD	1700	69418	\N	\N	\N
838352	2853	1998-04-25	PRIJEM	VKLAD	3000	73924	\N	\N	\N
838353	2853	1998-05-25	PRIJEM	VKLAD	500	75942	\N	\N	\N
838354	2853	1998-06-24	PRIJEM	VKLAD	1100	77047	\N	\N	\N
838355	2853	1998-07-24	VYDAJ	VYBER	2900	73914	\N	\N	\N
838356	2853	1998-08-23	VYDAJ	VYBER	2000	72160	\N	\N	\N
838357	2853	1998-09-22	PRIJEM	VKLAD	300	72756	\N	\N	\N
838358	2853	1998-10-22	VYDAJ	VYBER	800	73481	\N	\N	\N
838359	2853	1998-11-21	VYDAJ	VYBER	400	74609	\N	\N	\N
838360	2853	1998-12-21	PRIJEM	VKLAD	1800	77940	\N	\N	\N
838401	2854	1997-01-18	PRIJEM	VKLAD	500	500	\N	\N	\N
838403	2854	1997-02-05	PRIJEM	VKLAD	20158	20658	\N	\N	\N
838404	2854	1997-03-05	PRIJEM	VKLAD	20158	43558	\N	\N	\N
838405	2854	1997-04-05	PRIJEM	VKLAD	20158	59541	\N	\N	\N
838406	2854	1997-05-05	PRIJEM	VKLAD	20158	67677	\N	\N	\N
838407	2854	1997-06-05	PRIJEM	VKLAD	30237	80516	\N	\N	\N
838408	2854	1997-07-05	PRIJEM	VKLAD	20158	76427	\N	\N	\N
838409	2854	1997-08-05	PRIJEM	VKLAD	20158	73031	\N	\N	\N
838410	2854	1997-09-05	PRIJEM	VKLAD	20158	67514	\N	\N	\N
838411	2854	1997-10-05	PRIJEM	VKLAD	20158	68407	\N	\N	\N
838412	2854	1997-11-05	PRIJEM	VKLAD	20158	70685	\N	\N	\N
838413	2854	1997-12-05	PRIJEM	VKLAD	30237	82248	\N	\N	\N
838414	2854	1998-01-05	PRIJEM	VKLAD	20158	74652	\N	\N	\N
838415	2854	1998-02-05	PRIJEM	VKLAD	20158	64945	\N	\N	\N
838416	2854	1998-03-05	PRIJEM	VKLAD	20158	76638	\N	\N	\N
838417	2854	1998-04-05	PRIJEM	VKLAD	20158	80853	\N	\N	\N
838418	2854	1998-05-05	PRIJEM	VKLAD	20158	84582	\N	\N	\N
838419	2854	1998-06-05	PRIJEM	VKLAD	30237	94597	\N	\N	\N
838420	2854	1998-07-05	PRIJEM	VKLAD	20158	89756	\N	\N	\N
838421	2854	1998-08-05	PRIJEM	VKLAD	20158	86609	\N	\N	\N
838422	2854	1998-09-05	PRIJEM	VKLAD	20158	89056	\N	\N	\N
838423	2854	1998-10-05	PRIJEM	VKLAD	20158	90708	\N	\N	\N
838424	2854	1998-11-05	PRIJEM	VKLAD	20158	96680	\N	\N	\N
838425	2854	1998-12-05	PRIJEM	VKLAD	30237	113359	\N	\N	\N
838431	2854	1997-06-08	VYDAJ	PREVOD NA UCET	4186	76330	SIPO	UV	42156320
838432	2854	1997-07-08	VYDAJ	PREVOD NA UCET	4186	72241	SIPO	UV	42156320
838433	2854	1997-08-08	VYDAJ	PREVOD NA UCET	4186	68845	SIPO	UV	42156320
838434	2854	1997-09-08	VYDAJ	PREVOD NA UCET	4186	63328	SIPO	UV	42156320
838435	2854	1997-10-08	VYDAJ	PREVOD NA UCET	4186	64221	SIPO	UV	42156320
838436	2854	1997-11-08	VYDAJ	PREVOD NA UCET	4186	66499	SIPO	UV	42156320
838437	2854	1997-12-08	VYDAJ	PREVOD NA UCET	4186	78062	SIPO	UV	42156320
838438	2854	1998-01-08	VYDAJ	PREVOD NA UCET	4186	68466	SIPO	UV	42156320
838439	2854	1998-02-08	VYDAJ	PREVOD NA UCET	4186	60759	SIPO	UV	42156320
838440	2854	1998-03-08	VYDAJ	PREVOD NA UCET	4186	72452	SIPO	UV	42156320
838441	2854	1998-04-08	VYDAJ	PREVOD NA UCET	4186	76667	SIPO	UV	42156320
838442	2854	1998-05-08	VYDAJ	PREVOD NA UCET	4186	80396	SIPO	UV	42156320
838443	2854	1998-06-08	VYDAJ	PREVOD NA UCET	4186	88011	SIPO	UV	42156320
838444	2854	1998-07-08	VYDAJ	PREVOD NA UCET	4186	85570	SIPO	UV	42156320
838445	2854	1998-08-08	VYDAJ	PREVOD NA UCET	4186	82423	SIPO	UV	42156320
838446	2854	1998-09-08	VYDAJ	PREVOD NA UCET	4186	84870	SIPO	UV	42156320
838447	2854	1998-10-08	VYDAJ	PREVOD NA UCET	4186	86522	SIPO	UV	42156320
838448	2854	1998-11-08	VYDAJ	PREVOD NA UCET	4186	92494	SIPO	UV	42156320
838449	2854	1998-12-08	VYDAJ	PREVOD NA UCET	4186	72973	SIPO	UV	42156320
838450	2854	1997-12-10	VYDAJ	VYBER	2500	75562	\N	\N	\N
838451	2854	1998-12-01	VYDAJ	VYBER KARTOU	1300	83122	\N	\N	0
838458	2854	1998-01-27	VYDAJ	VYBER	2700	47966	\N	\N	\N
838459	2854	1998-01-30	VYDAJ	VYBER	1500	46466	\N	\N	\N
838460	2854	1998-01-05	VYDAJ	VYBER	2000	72652	\N	\N	\N
838461	2854	1998-01-21	VYDAJ	VYBER	2500	50666	\N	\N	\N
838462	2854	1998-01-11	VYDAJ	VYBER	1500	66966	\N	\N	\N
838463	2854	1998-01-01	VYDAJ	VYBER	2100	54494	\N	\N	\N
838464	2854	1997-09-15	VYDAJ	VYBER	4900	58428	\N	\N	\N
838467	2854	1997-08-14	VYDAJ	VYBER	700	68145	\N	\N	\N
838469	2854	1997-08-17	VYDAJ	VYBER	3300	47145	\N	\N	\N
838470	2854	1998-12-13	VYDAJ	VYBER KARTOU	3100	69573	\N	\N	0
838471	2854	1998-07-31	VYDAJ	VYBER	2800	66466	\N	\N	\N
838472	2854	1998-06-06	VYDAJ	VYBER	2400	92197	\N	\N	\N
838473	2854	1998-02-01	VYDAJ	VYBER	1900	44787	\N	\N	\N
838480	2854	1997-06-30	VYDAJ	VYBER	15	56269	SLUZBY	\N	\N
838481	2854	1997-07-31	VYDAJ	VYBER	15	52873	SLUZBY	\N	\N
838482	2854	1997-08-31	VYDAJ	VYBER	15	47356	SLUZBY	\N	\N
838483	2854	1997-09-30	VYDAJ	VYBER	15	48249	SLUZBY	\N	\N
838484	2854	1997-10-31	VYDAJ	VYBER	15	50527	SLUZBY	\N	\N
838485	2854	1997-11-30	VYDAJ	VYBER	15	52011	SLUZBY	\N	\N
838486	2854	1997-12-31	VYDAJ	VYBER	15	56594	SLUZBY	\N	\N
838487	2854	1998-01-31	VYDAJ	VYBER	15	46687	SLUZBY	\N	\N
838488	2854	1998-02-28	VYDAJ	VYBER	15	56480	SLUZBY	\N	\N
838489	2854	1998-03-31	VYDAJ	VYBER	15	60695	SLUZBY	\N	\N
838490	2854	1998-04-30	VYDAJ	VYBER	15	64424	SLUZBY	\N	\N
838491	2854	1998-05-31	VYDAJ	VYBER	15	64360	SLUZBY	\N	\N
838492	2854	1998-06-30	VYDAJ	VYBER	15	69598	SLUZBY	\N	\N
838493	2854	1998-07-31	VYDAJ	VYBER	15	66451	SLUZBY	\N	\N
838494	2854	1998-08-31	VYDAJ	VYBER	15	68898	SLUZBY	\N	\N
838495	2854	1998-09-30	VYDAJ	VYBER	15	70550	SLUZBY	\N	\N
838496	2854	1998-10-31	VYDAJ	VYBER	15	76522	SLUZBY	\N	\N
838497	2854	1998-11-30	VYDAJ	VYBER	15	84422	SLUZBY	\N	\N
838498	2854	1997-02-17	PRIJEM	VKLAD	2700	23358	\N	\N	\N
838499	2854	1997-03-19	VYDAJ	VYBER	4300	39258	\N	\N	\N
838500	2854	1997-04-18	VYDAJ	VYBER	12200	47341	\N	\N	\N
838501	2854	1997-05-18	VYDAJ	VYBER	17600	50077	\N	\N	\N
838502	2854	1997-06-17	VYDAJ	VYBER	20300	56030	\N	\N	\N
838503	2854	1997-07-17	VYDAJ	VYBER	19600	52641	\N	\N	\N
838504	2854	1997-08-16	VYDAJ	VYBER	17700	50445	\N	\N	\N
838505	2854	1997-09-15	VYDAJ	VYBER	10400	48028	\N	\N	\N
838506	2854	1997-10-15	VYDAJ	VYBER	13900	50321	\N	\N	\N
838507	2854	1997-11-14	VYDAJ	VYBER	14700	51799	\N	\N	\N
838508	2854	1997-12-14	VYDAJ	VYBER	19200	56362	\N	\N	\N
838509	2854	1998-01-13	VYDAJ	VYBER	13800	53166	\N	\N	\N
838510	2854	1998-02-12	VYDAJ	VYBER	4500	56259	\N	\N	\N
838511	2854	1998-03-14	VYDAJ	VYBER	12000	60452	\N	\N	\N
838512	2854	1998-04-13	VYDAJ	VYBER	12500	64167	\N	\N	\N
838513	2854	1998-05-13	VYDAJ	VYBER	16300	64096	\N	\N	\N
838514	2854	1998-06-12	VYDAJ	VYBER	18700	69311	\N	\N	\N
838515	2854	1998-07-12	VYDAJ	VYBER	16600	68970	\N	\N	\N
838516	2854	1998-08-11	VYDAJ	VYBER	13800	68623	\N	\N	\N
838517	2854	1998-09-10	VYDAJ	VYBER	14600	70270	\N	\N	\N
838518	2854	1998-10-10	VYDAJ	VYBER	10300	76222	\N	\N	\N
838519	2854	1998-11-09	VYDAJ	VYBER	8400	84094	\N	\N	\N
838520	2854	1998-12-05	VYDAJ	VYBER	36200	77159	\N	\N	\N
838521	2854	1998-12-09	VYDAJ	VYBER KARTOU	300	72673	\N	\N	0
838545	2855	1995-08-21	PRIJEM	VKLAD	400	400	\N	\N	\N
838554	2855	1995-09-11	PRIJEM	PREVOD Z UCTU	4189	4589	DUCHOD	UV	85405993
838555	2855	1995-10-11	PRIJEM	PREVOD Z UCTU	4189	8778	DUCHOD	UV	85405993
838556	2855	1995-11-11	PRIJEM	PREVOD Z UCTU	4189	12967	DUCHOD	UV	85405993
838557	2855	1995-12-11	PRIJEM	PREVOD Z UCTU	4189	17156	DUCHOD	UV	85405993
838558	2855	1996-01-11	PRIJEM	PREVOD Z UCTU	4189	21345	DUCHOD	UV	85405993
838559	2855	1996-02-11	PRIJEM	PREVOD Z UCTU	4189	19586	DUCHOD	UV	85405993
838560	2855	1996-03-11	PRIJEM	PREVOD Z UCTU	4189	19687	DUCHOD	UV	85405993
838561	2855	1996-04-11	PRIJEM	PREVOD Z UCTU	4189	22351	DUCHOD	UV	85405993
838562	2855	1996-05-11	PRIJEM	PREVOD Z UCTU	4189	23021	DUCHOD	UV	85405993
838563	2855	1996-06-11	PRIJEM	PREVOD Z UCTU	4189	17649	DUCHOD	UV	85405993
838564	2855	1996-07-11	PRIJEM	PREVOD Z UCTU	4189	19428	DUCHOD	UV	85405993
838565	2855	1996-08-11	PRIJEM	PREVOD Z UCTU	4189	22091	DUCHOD	UV	85405993
838566	2855	1996-09-11	PRIJEM	PREVOD Z UCTU	4189	24765	DUCHOD	UV	85405993
838567	2855	1996-10-11	PRIJEM	PREVOD Z UCTU	4189	27450	DUCHOD	UV	85405993
838568	2855	1996-11-11	PRIJEM	PREVOD Z UCTU	4189	30146	DUCHOD	UV	85405993
838569	2855	1996-12-11	PRIJEM	PREVOD Z UCTU	4189	32103	DUCHOD	UV	85405993
838570	2855	1997-01-11	PRIJEM	PREVOD Z UCTU	4189	34819	DUCHOD	UV	85405993
838571	2855	1997-02-11	PRIJEM	PREVOD Z UCTU	4189	29732	DUCHOD	UV	85405993
838572	2855	1997-03-11	PRIJEM	PREVOD Z UCTU	4189	32437	DUCHOD	UV	85405993
838573	2855	1997-04-11	PRIJEM	PREVOD Z UCTU	4189	35154	DUCHOD	UV	85405993
838574	2855	1997-05-11	PRIJEM	PREVOD Z UCTU	4189	37882	DUCHOD	UV	85405993
838575	2855	1997-06-11	PRIJEM	PREVOD Z UCTU	4189	35293	DUCHOD	UV	85405993
838576	2855	1997-07-11	PRIJEM	PREVOD Z UCTU	4189	32664	DUCHOD	UV	85405993
838577	2855	1997-08-11	PRIJEM	PREVOD Z UCTU	4189	35382	DUCHOD	UV	85405993
838578	2855	1997-09-11	PRIJEM	PREVOD Z UCTU	4189	38111	DUCHOD	UV	85405993
838579	2855	1997-10-11	PRIJEM	PREVOD Z UCTU	4189	38451	DUCHOD	UV	85405993
838580	2855	1997-11-11	PRIJEM	PREVOD Z UCTU	4189	39354	DUCHOD	UV	85405993
838581	2855	1997-12-11	PRIJEM	PREVOD Z UCTU	4189	42099	DUCHOD	UV	85405993
838582	2855	1998-01-11	PRIJEM	PREVOD Z UCTU	4189	44056	DUCHOD	UV	85405993
838583	2855	1998-02-11	PRIJEM	PREVOD Z UCTU	4189	42913	DUCHOD	UV	85405993
838584	2855	1998-03-11	PRIJEM	PREVOD Z UCTU	4189	45673	DUCHOD	UV	85405993
838585	2855	1998-04-11	PRIJEM	PREVOD Z UCTU	4189	48445	DUCHOD	UV	85405993
838586	2855	1998-05-11	PRIJEM	PREVOD Z UCTU	4189	51228	DUCHOD	UV	85405993
838587	2855	1998-06-11	PRIJEM	PREVOD Z UCTU	4189	52182	DUCHOD	UV	85405993
838588	2855	1998-07-11	PRIJEM	PREVOD Z UCTU	4189	40096	DUCHOD	UV	85405993
838589	2855	1998-08-11	PRIJEM	PREVOD Z UCTU	4189	42844	DUCHOD	UV	85405993
838590	2855	1998-09-11	PRIJEM	PREVOD Z UCTU	4189	45604	DUCHOD	UV	85405993
838591	2855	1998-10-11	PRIJEM	PREVOD Z UCTU	4189	48374	DUCHOD	UV	85405993
838592	2855	1998-11-11	PRIJEM	PREVOD Z UCTU	4189	48032	DUCHOD	UV	85405993
838593	2855	1998-12-11	PRIJEM	PREVOD Z UCTU	4189	50813	DUCHOD	UV	85405993
838607	2855	1996-02-06	VYDAJ	PREVOD NA UCET	1589	15397	SIPO	ST	19678038
838608	2855	1996-03-06	VYDAJ	PREVOD NA UCET	1589	16778	SIPO	ST	19678038
838609	2855	1996-04-06	VYDAJ	PREVOD NA UCET	1589	18162	SIPO	ST	19678038
838610	2855	1996-05-06	VYDAJ	PREVOD NA UCET	1589	18832	SIPO	ST	19678038
838611	2855	1996-06-06	VYDAJ	PREVOD NA UCET	1589	13460	SIPO	ST	19678038
838612	2855	1996-07-06	VYDAJ	PREVOD NA UCET	1589	15239	SIPO	ST	19678038
838613	2855	1996-08-06	VYDAJ	PREVOD NA UCET	1589	17902	SIPO	ST	19678038
838614	2855	1996-09-06	VYDAJ	PREVOD NA UCET	1589	20576	SIPO	ST	19678038
838615	2855	1996-10-06	VYDAJ	PREVOD NA UCET	1589	23261	SIPO	ST	19678038
838616	2855	1996-11-06	VYDAJ	PREVOD NA UCET	1589	25957	SIPO	ST	19678038
838617	2855	1996-12-06	VYDAJ	PREVOD NA UCET	1589	28664	SIPO	ST	19678038
838618	2855	1997-01-06	VYDAJ	PREVOD NA UCET	1589	30630	SIPO	ST	19678038
838764	2856	1995-06-06	PRIJEM	VKLAD	21390	51657	\N	\N	\N
838619	2855	1997-02-06	VYDAJ	PREVOD NA UCET	1589	25543	SIPO	ST	19678038
838620	2855	1997-03-06	VYDAJ	PREVOD NA UCET	1589	28248	SIPO	ST	19678038
838621	2855	1997-04-06	VYDAJ	PREVOD NA UCET	1589	30965	SIPO	ST	19678038
838622	2855	1997-05-06	VYDAJ	PREVOD NA UCET	1589	33693	SIPO	ST	19678038
838623	2855	1997-06-06	VYDAJ	PREVOD NA UCET	1589	31104	SIPO	ST	19678038
838624	2855	1997-07-06	VYDAJ	PREVOD NA UCET	1589	28475	SIPO	ST	19678038
838625	2855	1997-08-06	VYDAJ	PREVOD NA UCET	1589	31193	SIPO	ST	19678038
838626	2855	1997-09-06	VYDAJ	PREVOD NA UCET	1589	33922	SIPO	ST	19678038
838627	2855	1997-10-06	VYDAJ	PREVOD NA UCET	1589	34262	SIPO	ST	19678038
838628	2855	1997-11-06	VYDAJ	PREVOD NA UCET	1589	35165	SIPO	ST	19678038
838629	2855	1997-12-06	VYDAJ	PREVOD NA UCET	1589	37910	SIPO	ST	19678038
838630	2855	1998-01-06	VYDAJ	PREVOD NA UCET	1589	39867	SIPO	ST	19678038
838631	2855	1998-02-06	VYDAJ	PREVOD NA UCET	1589	38724	SIPO	ST	19678038
838632	2855	1998-03-06	VYDAJ	PREVOD NA UCET	1589	41484	SIPO	ST	19678038
838633	2855	1998-04-06	VYDAJ	PREVOD NA UCET	1589	44256	SIPO	ST	19678038
838634	2855	1998-05-06	VYDAJ	PREVOD NA UCET	1589	47039	SIPO	ST	19678038
838635	2855	1998-06-06	VYDAJ	PREVOD NA UCET	1589	47993	SIPO	ST	19678038
838636	2855	1998-07-06	VYDAJ	PREVOD NA UCET	1589	35907	SIPO	ST	19678038
838637	2855	1998-08-06	VYDAJ	PREVOD NA UCET	1589	38655	SIPO	ST	19678038
838638	2855	1998-09-06	VYDAJ	PREVOD NA UCET	1589	41415	SIPO	ST	19678038
838639	2855	1998-10-06	VYDAJ	PREVOD NA UCET	1589	44185	SIPO	ST	19678038
838640	2855	1998-11-06	VYDAJ	PREVOD NA UCET	1589	43843	SIPO	ST	19678038
838641	2855	1998-12-06	VYDAJ	PREVOD NA UCET	1589	46624	SIPO	ST	19678038
838643	2855	1996-06-01	VYDAJ	VYBER	8050	15049	\N	\N	\N
838644	2855	1997-06-21	VYDAJ	VYBER	4950	30343	\N	\N	\N
838645	2855	1998-06-14	VYDAJ	VYBER	14850	37332	\N	\N	\N
838647	2855	1996-01-20	VYDAJ	VYBER	2300	16965	\N	\N	\N
838648	2855	1997-01-17	VYDAJ	VYBER	3900	30219	\N	\N	\N
838649	2855	1998-01-18	VYDAJ	VYBER	3900	40156	\N	\N	\N
838651	2855	1996-12-06	VYDAJ	VYBER	750	27914	\N	\N	\N
838652	2855	1997-12-27	VYDAJ	VYBER	800	41299	\N	\N	\N
838653	2855	1998-12-22	VYDAJ	VYBER	300	50513	\N	\N	\N
838657	2855	1996-04-12	VYDAJ	VYBER	2000	20351	\N	\N	\N
838658	2855	1996-01-17	VYDAJ	VYBER	2080	19265	\N	\N	\N
838660	2855	1996-07-05	VYDAJ	VYBER	880	16828	\N	\N	\N
838661	2855	1996-02-20	VYDAJ	VYBER	1280	18306	\N	\N	\N
838662	2855	1996-03-07	VYDAJ	VYBER	1280	15498	\N	\N	\N
838663	2855	1997-11-03	VYDAJ	VYBER	1840	36754	\N	\N	\N
838664	2855	1997-01-23	VYDAJ	VYBER	3200	27019	\N	\N	\N
838665	2855	1997-06-22	VYDAJ	VYBER	400	29943	\N	\N	\N
838666	2855	1997-10-02	VYDAJ	VYBER	2400	35851	\N	\N	\N
838667	2855	1997-05-22	VYDAJ	VYBER	3920	32562	\N	\N	\N
838668	2855	1998-10-13	VYDAJ	VYBER	480	46854	\N	\N	\N
838669	2855	1998-10-27	VYDAJ	VYBER	1600	45254	\N	\N	\N
838670	2855	1998-10-11	VYDAJ	VYBER	1040	47334	\N	\N	\N
838671	2855	1998-05-30	VYDAJ	VYBER	1840	49388	\N	\N	\N
838685	2855	1996-01-31	VYDAJ	VYBER	15	16986	SLUZBY	\N	\N
838686	2855	1996-02-29	VYDAJ	VYBER	15	18367	SLUZBY	\N	\N
838687	2855	1996-03-31	VYDAJ	VYBER	15	19751	SLUZBY	\N	\N
838688	2855	1996-04-30	VYDAJ	VYBER	15	20421	SLUZBY	\N	\N
838689	2855	1996-05-31	VYDAJ	VYBER	15	23099	SLUZBY	\N	\N
838690	2855	1996-06-30	VYDAJ	VYBER	15	17708	SLUZBY	\N	\N
838691	2855	1996-07-31	VYDAJ	VYBER	15	19491	SLUZBY	\N	\N
838692	2855	1996-08-31	VYDAJ	VYBER	15	22165	SLUZBY	\N	\N
838693	2855	1996-09-30	VYDAJ	VYBER	15	24850	SLUZBY	\N	\N
838694	2855	1996-10-31	VYDAJ	VYBER	15	27546	SLUZBY	\N	\N
838695	2855	1996-11-30	VYDAJ	VYBER	15	30253	SLUZBY	\N	\N
838696	2855	1996-12-31	VYDAJ	VYBER	15	32219	SLUZBY	\N	\N
838697	2855	1997-01-31	VYDAJ	VYBER	15	27132	SLUZBY	\N	\N
838698	2855	1997-02-28	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
838699	2855	1997-03-31	VYDAJ	VYBER	15	32554	SLUZBY	\N	\N
838700	2855	1997-04-30	VYDAJ	VYBER	15	35282	SLUZBY	\N	\N
838701	2855	1997-05-31	VYDAJ	VYBER	15	32693	SLUZBY	\N	\N
838702	2855	1997-06-30	VYDAJ	VYBER	15	30064	SLUZBY	\N	\N
838703	2855	1997-07-31	VYDAJ	VYBER	15	32782	SLUZBY	\N	\N
838704	2855	1997-08-31	VYDAJ	VYBER	15	35511	SLUZBY	\N	\N
838705	2855	1997-09-30	VYDAJ	VYBER	15	38251	SLUZBY	\N	\N
838706	2855	1997-10-31	VYDAJ	VYBER	15	38594	SLUZBY	\N	\N
838707	2855	1997-11-30	VYDAJ	VYBER	15	39499	SLUZBY	\N	\N
838708	2855	1997-12-31	VYDAJ	VYBER	15	41456	SLUZBY	\N	\N
838709	2855	1998-01-31	VYDAJ	VYBER	15	40313	SLUZBY	\N	\N
838710	2855	1998-02-28	VYDAJ	VYBER	15	43073	SLUZBY	\N	\N
838711	2855	1998-03-31	VYDAJ	VYBER	15	45845	SLUZBY	\N	\N
838712	2855	1998-04-30	VYDAJ	VYBER	15	48628	SLUZBY	\N	\N
838713	2855	1998-05-31	VYDAJ	VYBER	15	49582	SLUZBY	\N	\N
838714	2855	1998-06-30	VYDAJ	VYBER	15	37496	SLUZBY	\N	\N
838715	2855	1998-07-31	VYDAJ	VYBER	15	40244	SLUZBY	\N	\N
838716	2855	1998-08-31	VYDAJ	VYBER	15	43004	SLUZBY	\N	\N
838717	2855	1998-09-30	VYDAJ	VYBER	15	45774	SLUZBY	\N	\N
838718	2855	1998-10-31	VYDAJ	VYBER	15	45432	SLUZBY	\N	\N
838719	2855	1998-11-30	VYDAJ	VYBER	15	48213	SLUZBY	\N	\N
838720	2855	1997-01-12	VYDAJ	VYBER	700	34119	\N	\N	\N
838721	2855	1997-05-12	VYDAJ	VYBER	1400	36482	\N	\N	\N
838758	2856	1995-03-18	PRIJEM	VKLAD	600	600	\N	\N	\N
838762	2856	1995-04-06	PRIJEM	VKLAD	14260	14860	\N	\N	\N
838763	2856	1995-05-06	PRIJEM	VKLAD	14260	35461	\N	\N	\N
838765	2856	1995-07-06	PRIJEM	VKLAD	14260	50756	\N	\N	\N
838766	2856	1995-08-06	PRIJEM	VKLAD	14260	52672	\N	\N	\N
838767	2856	1995-09-06	PRIJEM	VKLAD	14260	49575	\N	\N	\N
838768	2856	1995-10-06	PRIJEM	VKLAD	14260	44058	\N	\N	\N
838769	2856	1995-11-06	PRIJEM	VKLAD	14260	40022	\N	\N	\N
838770	2856	1995-12-06	PRIJEM	VKLAD	21390	44668	\N	\N	\N
838771	2856	1996-01-06	PRIJEM	VKLAD	14260	39146	\N	\N	\N
838772	2856	1996-02-06	PRIJEM	VKLAD	14260	27338	\N	\N	\N
838773	2856	1996-03-06	PRIJEM	VKLAD	14260	34360	\N	\N	\N
838774	2856	1996-04-06	PRIJEM	VKLAD	14260	37900	\N	\N	\N
838775	2856	1996-05-06	PRIJEM	VKLAD	14260	41295	\N	\N	\N
838776	2856	1996-06-06	PRIJEM	VKLAD	21390	51710	\N	\N	\N
838777	2856	1996-07-06	PRIJEM	VKLAD	14260	46289	\N	\N	\N
838778	2856	1996-08-06	PRIJEM	VKLAD	14260	40499	\N	\N	\N
838779	2856	1996-09-06	PRIJEM	VKLAD	14260	40556	\N	\N	\N
838780	2856	1996-10-06	PRIJEM	VKLAD	14260	36219	\N	\N	\N
838781	2856	1996-11-06	PRIJEM	VKLAD	14260	40372	\N	\N	\N
838782	2856	1996-12-06	PRIJEM	VKLAD	21390	46557	\N	\N	\N
838783	2856	1997-01-06	PRIJEM	VKLAD	14260	38411	\N	\N	\N
838784	2856	1997-02-06	PRIJEM	VKLAD	14260	31947	\N	\N	\N
838785	2856	1997-03-06	PRIJEM	VKLAD	14260	29011	\N	\N	\N
838786	2856	1997-04-06	PRIJEM	VKLAD	14260	32437	\N	\N	\N
838787	2856	1997-05-06	PRIJEM	VKLAD	14260	39888	\N	\N	\N
838788	2856	1997-06-06	PRIJEM	VKLAD	21390	42771	\N	\N	\N
838789	2856	1997-07-06	PRIJEM	VKLAD	14260	44364	\N	\N	\N
838790	2856	1997-08-06	PRIJEM	VKLAD	14260	43871	\N	\N	\N
838791	2856	1997-09-06	PRIJEM	VKLAD	14260	45576	\N	\N	\N
838792	2856	1997-10-06	PRIJEM	VKLAD	14260	41862	\N	\N	\N
838793	2856	1997-11-06	PRIJEM	VKLAD	14260	38026	\N	\N	\N
838794	2856	1997-12-06	PRIJEM	VKLAD	21390	42464	\N	\N	\N
838795	2856	1998-01-06	PRIJEM	VKLAD	14260	38355	\N	\N	\N
838796	2856	1998-02-06	PRIJEM	VKLAD	14260	29568	\N	\N	\N
838797	2856	1998-03-06	PRIJEM	VKLAD	14260	27798	\N	\N	\N
838798	2856	1998-04-06	PRIJEM	VKLAD	14260	35537	\N	\N	\N
838799	2856	1998-05-06	PRIJEM	VKLAD	14260	29492	\N	\N	\N
838800	2856	1998-06-06	PRIJEM	VKLAD	21390	34469	\N	\N	\N
838801	2856	1998-07-06	PRIJEM	VKLAD	14260	27310	\N	\N	\N
838802	2856	1998-08-06	PRIJEM	VKLAD	14260	29525	\N	\N	\N
838803	2856	1998-09-06	PRIJEM	VKLAD	14260	37255	\N	\N	\N
838804	2856	1998-10-06	PRIJEM	VKLAD	14260	42614	\N	\N	\N
838805	2856	1998-11-06	PRIJEM	VKLAD	14260	27686	\N	\N	\N
838806	2856	1998-12-06	PRIJEM	VKLAD	21390	42537	\N	\N	\N
838814	2856	1995-08-11	VYDAJ	PREVOD NA UCET	6599	46073	SIPO	YZ	3529602
838815	2856	1995-09-11	VYDAJ	PREVOD NA UCET	6599	42976	SIPO	YZ	3529602
838816	2856	1995-10-11	VYDAJ	PREVOD NA UCET	6599	37459	SIPO	YZ	3529602
838817	2856	1995-11-11	VYDAJ	PREVOD NA UCET	6599	28983	SIPO	YZ	3529602
838818	2856	1995-12-11	VYDAJ	PREVOD NA UCET	6599	38069	SIPO	YZ	3529602
838819	2856	1996-01-11	VYDAJ	PREVOD NA UCET	6599	32547	SIPO	YZ	3529602
838820	2856	1996-02-11	VYDAJ	PREVOD NA UCET	6599	20739	SIPO	YZ	3529602
838821	2856	1996-03-11	VYDAJ	PREVOD NA UCET	6599	27761	SIPO	YZ	3529602
838822	2856	1996-04-11	VYDAJ	PREVOD NA UCET	6599	31301	SIPO	YZ	3529602
838823	2856	1996-05-11	VYDAJ	PREVOD NA UCET	6599	30196	SIPO	YZ	3529602
838824	2856	1996-06-11	VYDAJ	PREVOD NA UCET	6599	31911	SIPO	YZ	3529602
838825	2856	1996-07-11	VYDAJ	PREVOD NA UCET	6599	30690	SIPO	YZ	3529602
838826	2856	1996-08-11	VYDAJ	PREVOD NA UCET	6599	26200	SIPO	YZ	3529602
838827	2856	1996-09-11	VYDAJ	PREVOD NA UCET	6599	21857	SIPO	YZ	3529602
838828	2856	1996-10-11	VYDAJ	PREVOD NA UCET	6599	26020	SIPO	YZ	3529602
838829	2856	1996-11-11	VYDAJ	PREVOD NA UCET	6599	25073	SIPO	YZ	3529602
838830	2856	1996-12-11	VYDAJ	PREVOD NA UCET	6599	24058	SIPO	YZ	3529602
838831	2856	1997-01-11	VYDAJ	PREVOD NA UCET	6599	21492	SIPO	YZ	3529602
838832	2856	1997-02-11	VYDAJ	PREVOD NA UCET	6599	25348	SIPO	YZ	3529602
838833	2856	1997-03-11	VYDAJ	PREVOD NA UCET	6599	18112	SIPO	YZ	3529602
838834	2856	1997-04-11	VYDAJ	PREVOD NA UCET	6599	25538	SIPO	YZ	3529602
838835	2856	1997-05-11	VYDAJ	PREVOD NA UCET	6599	24589	SIPO	YZ	3529602
838836	2856	1997-06-11	VYDAJ	PREVOD NA UCET	6599	36172	SIPO	YZ	3529602
838837	2856	1997-07-11	VYDAJ	PREVOD NA UCET	6599	37765	SIPO	YZ	3529602
838838	2856	1997-08-11	VYDAJ	PREVOD NA UCET	6599	37272	SIPO	YZ	3529602
838839	2856	1997-09-11	VYDAJ	PREVOD NA UCET	6599	38977	SIPO	YZ	3529602
838840	2856	1997-10-11	VYDAJ	PREVOD NA UCET	6599	31543	SIPO	YZ	3529602
838841	2856	1997-11-11	VYDAJ	PREVOD NA UCET	6599	27347	SIPO	YZ	3529602
838842	2856	1997-12-11	VYDAJ	PREVOD NA UCET	6599	35865	SIPO	YZ	3529602
838843	2856	1998-01-11	VYDAJ	PREVOD NA UCET	6599	16436	SIPO	YZ	3529602
838844	2856	1998-02-11	VYDAJ	PREVOD NA UCET	6599	22969	SIPO	YZ	3529602
838845	2856	1998-03-11	VYDAJ	PREVOD NA UCET	6599	21199	SIPO	YZ	3529602
838846	2856	1998-04-11	VYDAJ	PREVOD NA UCET	6599	28938	SIPO	YZ	3529602
838847	2856	1998-05-11	VYDAJ	PREVOD NA UCET	6599	22893	SIPO	YZ	3529602
838848	2856	1998-06-11	VYDAJ	PREVOD NA UCET	6599	27870	SIPO	YZ	3529602
838849	2856	1998-07-11	VYDAJ	PREVOD NA UCET	6599	20711	SIPO	YZ	3529602
838850	2856	1998-08-11	VYDAJ	PREVOD NA UCET	6599	22926	SIPO	YZ	3529602
838851	2856	1998-09-11	VYDAJ	PREVOD NA UCET	6599	30656	SIPO	YZ	3529602
838852	2856	1998-10-11	VYDAJ	PREVOD NA UCET	6599	36015	SIPO	YZ	3529602
838853	2856	1998-11-11	VYDAJ	PREVOD NA UCET	6599	21087	SIPO	YZ	3529602
838854	2856	1998-12-11	VYDAJ	PREVOD NA UCET	6599	35938	SIPO	YZ	3529602
838860	2856	1996-01-22	VYDAJ	VYBER	5440	19347	\N	\N	\N
838862	2856	1998-01-06	VYDAJ	VYBER	7040	29995	\N	\N	\N
838863	2856	1995-12-16	VYDAJ	VYBER	1280	27189	\N	\N	\N
838864	2856	1996-12-06	VYDAJ	VYBER	3200	43357	\N	\N	\N
838865	2856	1997-12-03	VYDAJ	VYBER	2880	21074	\N	\N	\N
838866	2856	1998-12-18	VYDAJ	VYBER	3680	32258	\N	\N	\N
838873	2856	1996-01-24	VYDAJ	VYBER	1800	17547	\N	\N	\N
838874	2856	1996-01-29	VYDAJ	VYBER	1200	12987	\N	\N	\N
838875	2856	1996-01-05	VYDAJ	VYBER	2400	24886	\N	\N	\N
838876	2856	1996-01-15	VYDAJ	VYBER	1320	26227	\N	\N	\N
838877	2856	1996-01-18	VYDAJ	VYBER	1440	24787	\N	\N	\N
838878	2856	1996-01-27	VYDAJ	VYBER	3360	14187	\N	\N	\N
838879	2856	1997-01-28	VYDAJ	VYBER	3000	15012	\N	\N	\N
838880	2856	1997-01-13	VYDAJ	VYBER	1800	19692	\N	\N	\N
838881	2856	1997-01-08	VYDAJ	VYBER	3120	28091	\N	\N	\N
838882	2856	1997-01-28	VYDAJ	VYBER	1080	18012	\N	\N	\N
838883	2856	1997-01-29	VYDAJ	VYBER	600	14412	\N	\N	\N
838884	2856	1997-01-24	VYDAJ	VYBER	600	19092	\N	\N	\N
838888	2856	1998-01-22	VYDAJ	VYBER	1200	15236	\N	\N	\N
838890	2856	1998-01-08	VYDAJ	VYBER	1920	23035	\N	\N	\N
838891	2856	1995-11-09	VYDAJ	VYBER	1920	35582	\N	\N	\N
838896	2856	1995-11-06	VYDAJ	VYBER	2520	37502	\N	\N	\N
838899	2856	1996-09-11	VYDAJ	VYBER	3600	28456	\N	\N	\N
838900	2856	1996-03-13	VYDAJ	VYBER	600	23561	\N	\N	\N
838901	2856	1996-06-11	VYDAJ	VYBER	2400	38510	\N	\N	\N
838902	2856	1996-07-22	VYDAJ	VYBER	4560	26130	\N	\N	\N
838903	2856	1996-04-16	VYDAJ	VYBER	960	26941	\N	\N	\N
838904	2856	1997-09-22	VYDAJ	VYBER	4320	34657	\N	\N	\N
838905	2856	1997-02-23	VYDAJ	VYBER	5760	19588	\N	\N	\N
838906	2856	1997-11-07	VYDAJ	VYBER	4080	33946	\N	\N	\N
838907	2856	1997-10-07	VYDAJ	VYBER	3720	38142	\N	\N	\N
838908	2856	1997-02-28	VYDAJ	VYBER	4920	14751	\N	\N	\N
838911	2856	1998-09-22	VYDAJ	VYBER	2400	28256	\N	\N	\N
838912	2856	1998-07-25	VYDAJ	VYBER	4920	15191	\N	\N	\N
838913	2856	1998-01-08	VYDAJ	VYBER	5040	24955	\N	\N	\N
838914	2856	1998-07-18	VYDAJ	VYBER	600	20111	\N	\N	\N
838915	2856	1998-01-06	VYDAJ	VYBER	1320	37035	\N	\N	\N
838924	2856	1995-08-31	VYDAJ	VYBER	15	35315	SLUZBY	\N	\N
838925	2856	1995-09-30	VYDAJ	VYBER	15	29798	SLUZBY	\N	\N
838926	2856	1995-10-31	VYDAJ	VYBER	15	25762	SLUZBY	\N	\N
838927	2856	1995-11-30	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
838928	2856	1995-12-31	VYDAJ	VYBER	15	27286	SLUZBY	\N	\N
838929	2856	1996-01-31	VYDAJ	VYBER	15	13078	SLUZBY	\N	\N
838930	2856	1996-02-29	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
838931	2856	1996-03-31	VYDAJ	VYBER	15	23640	SLUZBY	\N	\N
838932	2856	1996-04-30	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
838933	2856	1996-05-31	VYDAJ	VYBER	15	30320	SLUZBY	\N	\N
838934	2856	1996-06-30	VYDAJ	VYBER	15	32029	SLUZBY	\N	\N
838935	2856	1996-07-31	VYDAJ	VYBER	15	26239	SLUZBY	\N	\N
838936	2856	1996-08-31	VYDAJ	VYBER	15	26296	SLUZBY	\N	\N
838937	2856	1996-09-30	VYDAJ	VYBER	15	21959	SLUZBY	\N	\N
838938	2856	1996-10-31	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
838939	2856	1996-11-30	VYDAJ	VYBER	15	25167	SLUZBY	\N	\N
838940	2856	1996-12-31	VYDAJ	VYBER	15	24151	SLUZBY	\N	\N
838941	2856	1997-01-31	VYDAJ	VYBER	15	14487	SLUZBY	\N	\N
838942	2856	1997-02-28	VYDAJ	VYBER	15	19671	SLUZBY	\N	\N
838943	2856	1997-03-31	VYDAJ	VYBER	15	18177	SLUZBY	\N	\N
838944	2856	1997-04-30	VYDAJ	VYBER	15	25628	SLUZBY	\N	\N
838945	2856	1997-05-31	VYDAJ	VYBER	15	24681	SLUZBY	\N	\N
838946	2856	1997-06-30	VYDAJ	VYBER	15	36304	SLUZBY	\N	\N
838947	2856	1997-07-31	VYDAJ	VYBER	15	37911	SLUZBY	\N	\N
838948	2856	1997-08-31	VYDAJ	VYBER	15	37416	SLUZBY	\N	\N
838949	2856	1997-09-30	VYDAJ	VYBER	15	34802	SLUZBY	\N	\N
838950	2856	1997-10-31	VYDAJ	VYBER	15	31666	SLUZBY	\N	\N
838951	2856	1997-11-30	VYDAJ	VYBER	15	27454	SLUZBY	\N	\N
838952	2856	1997-12-31	VYDAJ	VYBER	15	35995	SLUZBY	\N	\N
838953	2856	1998-01-31	VYDAJ	VYBER	15	15308	SLUZBY	\N	\N
838954	2856	1998-02-28	VYDAJ	VYBER	15	23038	SLUZBY	\N	\N
838955	2856	1998-03-31	VYDAJ	VYBER	15	21277	SLUZBY	\N	\N
838956	2856	1998-04-30	VYDAJ	VYBER	15	29032	SLUZBY	\N	\N
838957	2856	1998-05-31	VYDAJ	VYBER	15	13079	SLUZBY	\N	\N
838958	2856	1998-06-30	VYDAJ	VYBER	15	27950	SLUZBY	\N	\N
838959	2856	1998-07-31	VYDAJ	VYBER	15	15265	SLUZBY	\N	\N
838960	2856	1998-08-31	VYDAJ	VYBER	15	22995	SLUZBY	\N	\N
838961	2856	1998-09-30	VYDAJ	VYBER	15	28354	SLUZBY	\N	\N
838962	2856	1998-10-31	VYDAJ	VYBER	15	13426	SLUZBY	\N	\N
838963	2856	1998-11-30	VYDAJ	VYBER	15	21147	SLUZBY	\N	\N
838964	2856	1995-04-17	PRIJEM	VKLAD	6300	21160	\N	\N	\N
838965	2856	1995-05-17	VYDAJ	VYBER	5300	30161	\N	\N	\N
838966	2856	1995-06-16	VYDAJ	VYBER	15300	36357	\N	\N	\N
838967	2856	1995-07-16	VYDAJ	VYBER	12500	38256	\N	\N	\N
838968	2856	1995-08-15	VYDAJ	VYBER	10900	35173	\N	\N	\N
838969	2856	1995-09-14	VYDAJ	VYBER	13300	29676	\N	\N	\N
838970	2856	1995-10-14	VYDAJ	VYBER	11800	25659	\N	\N	\N
838971	2856	1995-11-13	VYDAJ	VYBER	5800	23183	\N	\N	\N
838972	2856	1995-12-13	VYDAJ	VYBER	9600	28469	\N	\N	\N
838973	2856	1996-01-12	VYDAJ	VYBER	5000	27547	\N	\N	\N
838974	2856	1996-02-11	VYDAJ	VYBER	700	20039	\N	\N	\N
838975	2856	1996-03-12	VYDAJ	VYBER	3600	24161	\N	\N	\N
838976	2856	1996-04-11	VYDAJ	VYBER	3400	27901	\N	\N	\N
838977	2856	1996-05-11	VYDAJ	VYBER	4500	36795	\N	\N	\N
838978	2856	1996-06-10	VYDAJ	VYBER	10800	40910	\N	\N	\N
838979	2856	1996-07-10	VYDAJ	VYBER	9000	37289	\N	\N	\N
838980	2856	1996-08-09	VYDAJ	VYBER	7700	32799	\N	\N	\N
838981	2856	1996-09-08	VYDAJ	VYBER	8500	32056	\N	\N	\N
838982	2856	1996-10-08	VYDAJ	VYBER	3600	32619	\N	\N	\N
838983	2856	1996-11-07	VYDAJ	VYBER	8700	31672	\N	\N	\N
838984	2856	1996-12-07	VYDAJ	VYBER	12700	30657	\N	\N	\N
838985	2856	1997-01-06	VYDAJ	VYBER	7200	31211	\N	\N	\N
838986	2856	1997-02-05	PRIJEM	VKLAD	3200	17687	\N	\N	\N
838987	2856	1997-03-07	VYDAJ	VYBER	4300	24711	\N	\N	\N
838988	2856	1997-04-06	VYDAJ	VYBER	300	32137	\N	\N	\N
838989	2856	1997-05-06	VYDAJ	VYBER	8700	31188	\N	\N	\N
838990	2856	1997-06-05	VYDAJ	VYBER	3300	21381	\N	\N	\N
838991	2856	1997-07-05	VYDAJ	VYBER	6200	30104	\N	\N	\N
838992	2856	1997-08-04	VYDAJ	VYBER	8300	29611	\N	\N	\N
838993	2856	1997-09-03	VYDAJ	VYBER	6100	31316	\N	\N	\N
838994	2856	1997-10-03	VYDAJ	VYBER	7200	27602	\N	\N	\N
838995	2856	1997-11-02	VYDAJ	VYBER	7900	23766	\N	\N	\N
838996	2856	1997-12-02	VYDAJ	VYBER	3500	23954	\N	\N	\N
838997	2856	1998-01-01	VYDAJ	VYBER	11900	24095	\N	\N	\N
838998	2856	1998-03-02	VYDAJ	VYBER	9500	13538	\N	\N	\N
838999	2856	1998-05-01	VYDAJ	VYBER	13800	15232	\N	\N	\N
839000	2856	1998-05-31	VYDAJ	VYBER	9900	13094	\N	\N	\N
839001	2856	1998-06-30	VYDAJ	VYBER	14900	13050	\N	\N	\N
839002	2856	1998-10-28	VYDAJ	VYBER	22700	13315	\N	\N	\N
839048	2857	1997-04-28	PRIJEM	VKLAD	900	900	\N	\N	\N
839049	2857	1997-09-01	PRIJEM	VKLAD	42950	94414	\N	\N	\N
839051	2857	1997-07-05	PRIJEM	VKLAD	49096	85935	\N	\N	\N
839052	2857	1997-11-30	PRIJEM	VKLAD	19051	78485	\N	\N	\N
839054	2857	1997-06-19	PRIJEM	VKLAD	39719	50519	\N	\N	\N
839055	2857	1997-07-29	PRIJEM	VKLAD	19945	74380	\N	\N	\N
839057	2857	1997-10-29	PRIJEM	VKLAD	46089	92101	\N	\N	\N
839059	2857	1998-05-15	PRIJEM	VKLAD	35125	93108	\N	\N	\N
839060	2857	1998-09-09	PRIJEM	VKLAD	10950	26368	\N	\N	\N
839061	2857	1998-03-11	PRIJEM	VKLAD	12799	48533	\N	\N	\N
839062	2857	1998-10-12	PRIJEM	VKLAD	46812	119765	\N	\N	\N
839063	2857	1998-06-05	PRIJEM	VKLAD	36756	98842	\N	\N	\N
839064	2857	1998-09-15	PRIJEM	VKLAD	48166	74534	\N	\N	\N
839065	2857	1998-10-26	PRIJEM	VKLAD	10637	45073	\N	\N	\N
839066	2857	1998-09-21	PRIJEM	VKLAD	8410	68094	\N	\N	\N
839067	2857	1998-04-07	PRIJEM	VKLAD	15667	55183	\N	\N	\N
839068	2857	1998-07-12	PRIJEM	VKLAD	34191	115265	\N	\N	\N
839069	2857	1998-09-17	PRIJEM	VKLAD	27294	125184	\N	\N	\N
839070	2857	1998-04-17	PRIJEM	VKLAD	45170	94036	\N	\N	\N
839071	2857	1998-04-21	PRIJEM	VKLAD	48082	142118	\N	\N	\N
839072	2857	1998-12-01	PRIJEM	VKLAD	25035	43355	\N	\N	\N
839073	2857	1998-10-04	PRIJEM	VKLAD	26847	79270	\N	\N	\N
839074	2857	1998-07-20	PRIJEM	VKLAD	13767	103517	\N	\N	\N
839075	2857	1998-01-13	PRIJEM	VKLAD	14053	32094	\N	\N	\N
839076	2857	1998-05-07	PRIJEM	VKLAD	21159	81940	\N	\N	\N
839077	2857	1998-03-10	PRIJEM	VKLAD	13448	35734	\N	\N	\N
839078	2857	1998-07-01	PRIJEM	VKLAD	41576	115091	\N	\N	\N
839079	2857	1998-07-15	PRIJEM	VKLAD	24958	101123	\N	\N	\N
839080	2857	1998-06-27	PRIJEM	VKLAD	34976	73301	\N	\N	\N
839081	2857	1998-01-17	PRIJEM	VKLAD	8827	40921	\N	\N	\N
839082	2857	1998-08-08	PRIJEM	VKLAD	9174	74251	\N	\N	\N
839083	2857	1998-12-17	PRIJEM	VKLAD	41006	60044	\N	\N	\N
839084	2857	1998-09-17	PRIJEM	VKLAD	23356	97890	\N	\N	\N
839095	2857	1997-11-08	VYDAJ	PREVOD NA UCET	6317	86034	SIPO	WX	60526561
839096	2857	1997-12-08	VYDAJ	PREVOD NA UCET	6317	64409	SIPO	WX	60526561
839097	2857	1998-01-08	VYDAJ	PREVOD NA UCET	6317	18041	SIPO	WX	60526561
839098	2857	1998-02-08	VYDAJ	PREVOD NA UCET	6317	14119	SIPO	WX	60526561
839099	2857	1998-03-08	VYDAJ	PREVOD NA UCET	6317	22286	SIPO	WX	60526561
839100	2857	1998-04-08	VYDAJ	PREVOD NA UCET	6317	48866	SIPO	WX	60526561
839101	2857	1998-05-08	VYDAJ	PREVOD NA UCET	6317	57983	SIPO	WX	60526561
839102	2857	1998-06-08	VYDAJ	PREVOD NA UCET	6317	92525	SIPO	WX	60526561
839103	2857	1998-07-08	VYDAJ	PREVOD NA UCET	6317	81074	SIPO	WX	60526561
839104	2857	1998-08-08	VYDAJ	PREVOD NA UCET	6317	67934	SIPO	WX	60526561
839105	2857	1998-09-08	VYDAJ	PREVOD NA UCET	6317	15418	SIPO	WX	60526561
839106	2857	1998-10-08	VYDAJ	PREVOD NA UCET	6317	72953	SIPO	WX	60526561
839107	2857	1998-11-08	VYDAJ	PREVOD NA UCET	6317	25426	SIPO	WX	60526561
839108	2857	1998-12-08	VYDAJ	PREVOD NA UCET	6317	19038	SIPO	WX	60526561
839116	2857	1998-10-20	VYBER	VYBER	20129	61636	\N	\N	\N
839117	2857	1998-02-08	VYBER	VYBER	17022	20436	\N	\N	\N
839118	2857	1998-05-08	VYBER	VYBER	17640	64300	\N	\N	\N
839119	2857	1998-09-28	VYBER	VYBER	15878	52216	\N	\N	\N
839120	2857	1998-08-19	VYBER	VYBER	14670	53264	\N	\N	\N
839121	2857	1998-03-11	VYBER	VYBER	9152	39381	\N	\N	\N
839122	2857	1998-09-06	VYBER	VYBER	19150	21735	\N	\N	\N
839123	2857	1998-10-29	VYBER	VYBER	13591	31482	\N	\N	\N
839125	2857	1998-07-16	VYBER	VYBER	11373	89750	\N	\N	\N
839127	2857	1998-06-09	VYDAJ	VYBER	43200	49325	\N	\N	\N
839129	2857	1998-01-01	VYDAJ	VYBER	23100	24358	\N	\N	\N
839130	2857	1997-12-05	VYDAJ	VYBER	8100	70726	\N	\N	\N
839131	2857	1998-12-26	VYDAJ	VYBER	7500	24844	\N	\N	\N
839140	2857	1998-12-05	VYDAJ	VYBER	14100	29255	\N	\N	\N
839141	2857	1998-04-23	VYDAJ	VYBER	9000	91418	\N	\N	\N
839143	2857	1998-12-05	VYDAJ	VYBER	3900	25355	\N	\N	\N
839155	2857	1997-10-31	VYDAJ	VYBER	15	92351	SLUZBY	\N	\N
839156	2857	1997-11-30	VYDAJ	VYBER	15	78826	SLUZBY	\N	\N
839157	2857	1997-12-31	VYDAJ	VYBER	15	47458	SLUZBY	\N	\N
839158	2857	1998-01-31	VYDAJ	VYBER	15	37458	SLUZBY	\N	\N
839159	2857	1998-02-28	VYDAJ	VYBER	15	28603	SLUZBY	\N	\N
839160	2857	1998-03-31	VYDAJ	VYBER	15	39516	SLUZBY	\N	\N
839161	2857	1998-04-30	VYDAJ	VYBER	15	60781	SLUZBY	\N	\N
839162	2857	1998-05-31	VYDAJ	VYBER	15	62086	SLUZBY	\N	\N
839163	2857	1998-06-30	VYDAJ	VYBER	15	73515	SLUZBY	\N	\N
839164	2857	1998-07-31	VYDAJ	VYBER	15	65077	SLUZBY	\N	\N
839165	2857	1998-08-31	VYDAJ	VYBER	15	40885	SLUZBY	\N	\N
839166	2857	1998-09-30	VYDAJ	VYBER	15	52423	SLUZBY	\N	\N
839167	2857	1998-10-31	VYDAJ	VYBER	15	31743	SLUZBY	\N	\N
839168	2857	1998-11-30	VYDAJ	VYBER	15	18320	SLUZBY	\N	\N
839169	2857	1997-05-28	PRIJEM	VKLAD	9900	10800	\N	\N	\N
839170	2857	1997-06-27	VYDAJ	VYBER	13700	36819	\N	\N	\N
839171	2857	1997-07-27	VYDAJ	VYBER	31500	54435	\N	\N	\N
839172	2857	1997-08-26	VYDAJ	VYBER	23400	51154	\N	\N	\N
839173	2857	1997-09-25	VYDAJ	VYBER	34000	60414	\N	\N	\N
839174	2857	1997-10-25	VYDAJ	VYBER	14700	46012	\N	\N	\N
839175	2857	1997-11-24	VYDAJ	VYBER	26600	59434	\N	\N	\N
839176	2857	1997-12-24	VYDAJ	VYBER	17200	47209	\N	\N	\N
839177	2857	1998-01-23	VYDAJ	VYBER	3600	37321	\N	\N	\N
839178	2857	1998-02-22	PRIJEM	VKLAD	14400	28519	\N	\N	\N
839179	2857	1998-04-21	VYDAJ	VYBER	41700	100418	\N	\N	\N
839180	2857	1998-04-23	VYDAJ	VYBER	30900	60518	\N	\N	\N
839181	2857	1998-05-23	VYDAJ	VYBER	31300	61808	\N	\N	\N
839182	2857	1998-06-22	VYDAJ	VYBER	11000	38325	\N	\N	\N
839183	2857	1998-07-01	VYDAJ	VYBER	27700	87391	\N	\N	\N
839184	2857	1998-07-12	VYDAJ	VYBER	39100	76165	\N	\N	\N
839185	2857	1998-07-22	VYDAJ	VYBER	38800	64717	\N	\N	\N
839186	2857	1998-08-21	VYDAJ	VYBER	12600	40664	\N	\N	\N
839187	2857	1998-09-17	VYDAJ	VYBER	23800	101384	\N	\N	\N
839188	2857	1998-09-20	VYDAJ	VYBER	41700	59684	\N	\N	\N
839189	2857	1998-10-12	VYDAJ	VYBER	38000	81765	\N	\N	\N
839190	2857	1998-10-20	VYDAJ	VYBER	27200	34436	\N	\N	\N
839191	2857	1998-11-19	VYDAJ	VYBER	7200	18226	\N	\N	\N
839192	2857	1998-12-19	VYDAJ	VYBER	27700	32344	\N	\N	\N
839212	2858	1995-08-22	PRIJEM	VKLAD	200	200	\N	\N	\N
839221	2858	1995-09-09	PRIJEM	VKLAD	9179	9379	\N	\N	\N
839222	2858	1995-10-09	PRIJEM	VKLAD	9179	28084	\N	\N	\N
839223	2858	1995-11-09	PRIJEM	VKLAD	9179	37342	\N	\N	\N
839224	2858	1995-12-09	PRIJEM	VKLAD	13769	46710	\N	\N	\N
839225	2858	1996-01-09	PRIJEM	VKLAD	9179	43128	\N	\N	\N
839226	2858	1996-02-09	PRIJEM	VKLAD	9179	27176	\N	\N	\N
839227	2858	1996-03-09	PRIJEM	VKLAD	9179	28039	\N	\N	\N
839228	2858	1996-04-09	PRIJEM	VKLAD	9179	33781	\N	\N	\N
839229	2858	1996-05-09	PRIJEM	VKLAD	9179	33230	\N	\N	\N
839230	2858	1996-06-09	PRIJEM	VKLAD	13769	35807	\N	\N	\N
839231	2858	1996-07-09	PRIJEM	VKLAD	9179	34556	\N	\N	\N
839232	2858	1996-08-09	PRIJEM	VKLAD	9179	36817	\N	\N	\N
839233	2858	1996-09-09	PRIJEM	VKLAD	9179	37282	\N	\N	\N
839234	2858	1996-10-09	PRIJEM	VKLAD	9179	35742	\N	\N	\N
839235	2858	1996-11-09	PRIJEM	VKLAD	9179	35900	\N	\N	\N
839236	2858	1996-12-09	PRIJEM	VKLAD	13769	31448	\N	\N	\N
839237	2858	1997-01-09	PRIJEM	VKLAD	9179	36085	\N	\N	\N
839238	2858	1997-02-09	PRIJEM	VKLAD	9179	23267	\N	\N	\N
839239	2858	1997-03-09	PRIJEM	VKLAD	9179	33298	\N	\N	\N
839240	2858	1997-04-09	PRIJEM	VKLAD	9179	40261	\N	\N	\N
839241	2858	1997-05-09	PRIJEM	VKLAD	9179	45750	\N	\N	\N
839242	2858	1997-06-09	PRIJEM	VKLAD	13769	47057	\N	\N	\N
839243	2858	1997-07-09	PRIJEM	VKLAD	9179	47386	\N	\N	\N
839244	2858	1997-08-09	PRIJEM	VKLAD	9179	51701	\N	\N	\N
839245	2858	1997-09-09	PRIJEM	VKLAD	9179	50119	\N	\N	\N
839246	2858	1997-10-09	PRIJEM	VKLAD	9179	39021	\N	\N	\N
839247	2858	1997-11-09	PRIJEM	VKLAD	9179	42107	\N	\N	\N
839248	2858	1997-12-09	PRIJEM	VKLAD	13769	49088	\N	\N	\N
839249	2858	1998-01-09	PRIJEM	VKLAD	9179	45972	\N	\N	\N
839250	2858	1998-02-09	PRIJEM	VKLAD	9179	38413	\N	\N	\N
839251	2858	1998-03-09	PRIJEM	VKLAD	9179	38593	\N	\N	\N
839252	2858	1998-04-09	PRIJEM	VKLAD	9179	41459	\N	\N	\N
839253	2858	1998-05-09	PRIJEM	VKLAD	9179	39494	\N	\N	\N
839254	2858	1998-06-09	PRIJEM	VKLAD	13769	47968	\N	\N	\N
839255	2858	1998-07-09	PRIJEM	VKLAD	9179	38046	\N	\N	\N
839256	2858	1998-08-09	PRIJEM	VKLAD	9179	43715	\N	\N	\N
839257	2858	1998-09-09	PRIJEM	VKLAD	9179	45212	\N	\N	\N
839258	2858	1998-10-09	PRIJEM	VKLAD	9179	47020	\N	\N	\N
839259	2858	1998-11-09	PRIJEM	VKLAD	9179	46695	\N	\N	\N
839260	2858	1998-12-09	PRIJEM	VKLAD	13769	54412	\N	\N	\N
839273	2858	1996-01-12	VYDAJ	PREVOD NA UCET	5333	36169	SIPO	UV	57180392
839274	2858	1996-02-12	VYDAJ	PREVOD NA UCET	5333	21843	SIPO	UV	57180392
839275	2858	1996-03-12	VYDAJ	PREVOD NA UCET	5333	21920	SIPO	UV	57180392
839276	2858	1996-04-12	VYDAJ	PREVOD NA UCET	5333	27662	SIPO	UV	57180392
839277	2858	1996-05-12	VYDAJ	PREVOD NA UCET	5333	27111	SIPO	UV	57180392
839278	2858	1996-06-12	VYDAJ	PREVOD NA UCET	5333	30474	SIPO	UV	57180392
839279	2858	1996-07-12	VYDAJ	PREVOD NA UCET	5333	28437	SIPO	UV	57180392
839280	2858	1996-08-12	VYDAJ	PREVOD NA UCET	5333	30698	SIPO	UV	57180392
839281	2858	1996-09-12	VYDAJ	PREVOD NA UCET	5333	31163	SIPO	UV	57180392
839432	2858	1997-01-02	VYDAJ	VYBER	1320	26906	\N	\N	\N
839282	2858	1996-10-12	VYDAJ	PREVOD NA UCET	5333	30409	SIPO	UV	57180392
839283	2858	1996-11-12	VYDAJ	PREVOD NA UCET	5333	30567	SIPO	UV	57180392
839284	2858	1996-12-12	VYDAJ	PREVOD NA UCET	5333	26115	SIPO	UV	57180392
839285	2858	1997-01-12	VYDAJ	PREVOD NA UCET	5333	27512	SIPO	UV	57180392
839286	2858	1997-02-12	VYDAJ	PREVOD NA UCET	5333	24834	SIPO	UV	57180392
839287	2858	1997-03-12	VYDAJ	PREVOD NA UCET	5333	27965	SIPO	UV	57180392
839288	2858	1997-04-12	VYDAJ	PREVOD NA UCET	5333	34142	SIPO	UV	57180392
839289	2858	1997-05-12	VYDAJ	PREVOD NA UCET	5333	35977	SIPO	UV	57180392
839290	2858	1997-06-12	VYDAJ	PREVOD NA UCET	5333	46038	SIPO	UV	57180392
839291	2858	1997-07-12	VYDAJ	PREVOD NA UCET	5333	43153	SIPO	UV	57180392
839292	2858	1997-08-12	VYDAJ	PREVOD NA UCET	5333	40782	SIPO	UV	57180392
839293	2858	1997-09-12	VYDAJ	PREVOD NA UCET	5333	40686	SIPO	UV	57180392
839294	2858	1997-10-12	VYDAJ	PREVOD NA UCET	5333	33588	SIPO	UV	57180392
839295	2858	1997-11-12	VYDAJ	PREVOD NA UCET	5333	35974	SIPO	UV	57180392
839296	2858	1997-12-12	VYDAJ	PREVOD NA UCET	5333	39469	SIPO	UV	57180392
839297	2858	1998-01-12	VYDAJ	PREVOD NA UCET	5333	36439	SIPO	UV	57180392
839298	2858	1998-02-12	VYDAJ	PREVOD NA UCET	5333	32294	SIPO	UV	57180392
839299	2858	1998-03-12	VYDAJ	PREVOD NA UCET	5333	28460	SIPO	UV	57180392
839300	2858	1998-04-12	VYDAJ	PREVOD NA UCET	5333	35340	SIPO	UV	57180392
839301	2858	1998-05-12	VYDAJ	PREVOD NA UCET	5333	33375	SIPO	UV	57180392
839302	2858	1998-06-12	VYDAJ	PREVOD NA UCET	5333	42635	SIPO	UV	57180392
839303	2858	1998-07-12	VYDAJ	PREVOD NA UCET	5333	32713	SIPO	UV	57180392
839304	2858	1998-08-12	VYDAJ	PREVOD NA UCET	5333	38382	SIPO	UV	57180392
839305	2858	1998-09-12	VYDAJ	PREVOD NA UCET	5333	39879	SIPO	UV	57180392
839306	2858	1998-10-12	VYDAJ	PREVOD NA UCET	5333	40901	SIPO	UV	57180392
839307	2858	1998-11-12	VYDAJ	PREVOD NA UCET	5333	40576	SIPO	UV	57180392
839308	2858	1998-12-12	VYDAJ	PREVOD NA UCET	5333	49079	SIPO	UV	57180392
839321	2858	1996-01-12	VYDAJ	PREVOD NA UCET	786	41502	 	YZ	67071980
839322	2858	1996-02-12	VYDAJ	PREVOD NA UCET	786	21057	 	YZ	67071980
839323	2858	1996-03-12	VYDAJ	PREVOD NA UCET	786	27253	 	YZ	67071980
839324	2858	1996-04-12	VYDAJ	PREVOD NA UCET	786	32995	 	YZ	67071980
839325	2858	1996-05-12	VYDAJ	PREVOD NA UCET	786	32444	 	YZ	67071980
839326	2858	1996-06-12	VYDAJ	PREVOD NA UCET	786	29688	 	YZ	67071980
839327	2858	1996-07-12	VYDAJ	PREVOD NA UCET	786	33770	 	YZ	67071980
839328	2858	1996-08-12	VYDAJ	PREVOD NA UCET	786	36031	 	YZ	67071980
839329	2858	1996-09-12	VYDAJ	PREVOD NA UCET	786	36496	 	YZ	67071980
839330	2858	1996-10-12	VYDAJ	PREVOD NA UCET	786	29623	 	YZ	67071980
839331	2858	1996-11-12	VYDAJ	PREVOD NA UCET	786	29781	 	YZ	67071980
839332	2858	1996-12-12	VYDAJ	PREVOD NA UCET	786	25329	 	YZ	67071980
839333	2858	1997-01-12	VYDAJ	PREVOD NA UCET	786	26726	 	YZ	67071980
839334	2858	1997-02-12	VYDAJ	PREVOD NA UCET	786	24048	 	YZ	67071980
839335	2858	1997-03-12	VYDAJ	PREVOD NA UCET	786	27179	 	YZ	67071980
839336	2858	1997-04-12	VYDAJ	PREVOD NA UCET	786	39475	 	YZ	67071980
839337	2858	1997-05-12	VYDAJ	PREVOD NA UCET	786	35191	 	YZ	67071980
839338	2858	1997-06-12	VYDAJ	PREVOD NA UCET	786	51371	 	YZ	67071980
839339	2858	1997-07-12	VYDAJ	PREVOD NA UCET	786	42367	 	YZ	67071980
839340	2858	1997-08-12	VYDAJ	PREVOD NA UCET	786	46115	 	YZ	67071980
839341	2858	1997-09-12	VYDAJ	PREVOD NA UCET	786	39900	 	YZ	67071980
839342	2858	1997-10-12	VYDAJ	PREVOD NA UCET	786	32802	 	YZ	67071980
839343	2858	1997-11-12	VYDAJ	PREVOD NA UCET	786	35188	 	YZ	67071980
839344	2858	1997-12-12	VYDAJ	PREVOD NA UCET	786	44802	 	YZ	67071980
839345	2858	1998-01-12	VYDAJ	PREVOD NA UCET	786	35653	 	YZ	67071980
839346	2858	1998-02-12	VYDAJ	PREVOD NA UCET	786	37627	 	YZ	67071980
839347	2858	1998-03-12	VYDAJ	PREVOD NA UCET	786	27674	 	YZ	67071980
839348	2858	1998-04-12	VYDAJ	PREVOD NA UCET	786	40673	 	YZ	67071980
839349	2858	1998-05-12	VYDAJ	PREVOD NA UCET	786	38708	 	YZ	67071980
839350	2858	1998-06-12	VYDAJ	PREVOD NA UCET	786	41849	 	YZ	67071980
839351	2858	1998-07-12	VYDAJ	PREVOD NA UCET	786	31927	 	YZ	67071980
839352	2858	1998-08-12	VYDAJ	PREVOD NA UCET	786	37596	 	YZ	67071980
839353	2858	1998-09-12	VYDAJ	PREVOD NA UCET	786	39093	 	YZ	67071980
839354	2858	1998-10-12	VYDAJ	PREVOD NA UCET	786	46234	 	YZ	67071980
839355	2858	1998-11-12	VYDAJ	PREVOD NA UCET	786	45909	 	YZ	67071980
839356	2858	1998-12-12	VYDAJ	PREVOD NA UCET	786	48293	 	YZ	67071980
839407	2858	1997-06-12	VYDAJ	VYBER	8000	38038	\N	\N	\N
839408	2858	1998-06-19	VYDAJ	VYBER	20000	21849	\N	\N	\N
839411	2858	1997-01-13	VYDAJ	VYBER	8640	22286	\N	\N	\N
839412	2858	1998-01-19	VYDAJ	VYBER	3040	29733	\N	\N	\N
839414	2858	1996-12-05	VYDAJ	VYBER	4640	17680	\N	\N	\N
839415	2858	1997-12-18	VYDAJ	VYBER	1120	38349	\N	\N	\N
839416	2858	1998-12-21	VYDAJ	VYBER	4640	43653	\N	\N	\N
839423	2858	1996-01-18	VYDAJ	VYBER	1680	34489	\N	\N	\N
839424	2858	1996-01-27	VYDAJ	VYBER	2520	17889	\N	\N	\N
839425	2858	1996-01-25	VYDAJ	VYBER	1920	20409	\N	\N	\N
839426	2858	1996-01-19	VYDAJ	VYBER	2760	31729	\N	\N	\N
839427	2858	1996-01-20	VYDAJ	VYBER	3000	22329	\N	\N	\N
839428	2858	1996-01-10	VYDAJ	VYBER	840	42288	\N	\N	\N
839429	2858	1997-01-16	VYDAJ	VYBER	2520	19766	\N	\N	\N
839430	2858	1997-01-25	VYDAJ	VYBER	1680	14006	\N	\N	\N
839431	2858	1997-01-18	VYDAJ	VYBER	840	18926	\N	\N	\N
839433	2858	1997-01-25	VYDAJ	VYBER	3240	15686	\N	\N	\N
839434	2858	1997-01-10	VYDAJ	VYBER	3240	32845	\N	\N	\N
839435	2858	1998-01-13	VYDAJ	VYBER	2880	32773	\N	\N	\N
839436	2858	1998-01-24	VYDAJ	VYBER	3120	26613	\N	\N	\N
839437	2858	1998-01-10	VYDAJ	VYBER	3000	42972	\N	\N	\N
839438	2858	1998-01-06	VYDAJ	VYBER	960	33693	\N	\N	\N
839439	2858	1998-01-11	VYDAJ	VYBER	1200	41772	\N	\N	\N
839440	2858	1998-01-01	VYDAJ	VYBER	2040	34653	\N	\N	\N
839447	2858	1996-12-04	VYDAJ	VYBER	5160	22320	\N	\N	\N
839448	2858	1996-04-14	VYDAJ	VYBER	2400	25262	\N	\N	\N
839449	2858	1996-05-27	VYDAJ	VYBER	2760	21951	\N	\N	\N
839450	2858	1996-02-16	VYDAJ	VYBER	5760	15297	\N	\N	\N
839451	2858	1997-12-24	VYDAJ	VYBER	1800	36549	\N	\N	\N
839452	2858	1997-09-16	VYDAJ	VYBER	5760	34140	\N	\N	\N
839453	2858	1997-10-03	VYDAJ	VYBER	4440	29842	\N	\N	\N
839454	2858	1997-05-24	VYDAJ	VYBER	4440	33151	\N	\N	\N
839455	2858	1997-05-09	VYDAJ	VYBER	4440	41310	\N	\N	\N
839456	2858	1998-02-20	VYDAJ	VYBER	1200	31094	\N	\N	\N
839457	2858	1998-03-01	VYDAJ	VYBER	1800	29414	\N	\N	\N
839458	2858	1998-11-02	VYDAJ	VYBER	3840	37216	\N	\N	\N
839459	2858	1998-04-27	VYDAJ	VYBER	3360	31980	\N	\N	\N
839473	2858	1996-01-31	VYDAJ	VYBER	15	17997	SLUZBY	\N	\N
839474	2858	1996-02-29	VYDAJ	VYBER	15	18860	SLUZBY	\N	\N
839475	2858	1996-03-31	VYDAJ	VYBER	15	24602	SLUZBY	\N	\N
839476	2858	1996-04-30	VYDAJ	VYBER	15	24051	SLUZBY	\N	\N
839477	2858	1996-05-31	VYDAJ	VYBER	15	22038	SLUZBY	\N	\N
839478	2858	1996-06-30	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
839479	2858	1996-07-31	VYDAJ	VYBER	15	27638	SLUZBY	\N	\N
839480	2858	1996-08-31	VYDAJ	VYBER	15	28103	SLUZBY	\N	\N
839481	2858	1996-09-30	VYDAJ	VYBER	15	26563	SLUZBY	\N	\N
839482	2858	1996-10-31	VYDAJ	VYBER	15	26721	SLUZBY	\N	\N
839483	2858	1996-11-30	VYDAJ	VYBER	15	27480	SLUZBY	\N	\N
839484	2858	1996-12-31	VYDAJ	VYBER	15	28226	SLUZBY	\N	\N
839485	2858	1997-01-31	VYDAJ	VYBER	15	14088	SLUZBY	\N	\N
839486	2858	1997-02-28	VYDAJ	VYBER	15	24119	SLUZBY	\N	\N
839487	2858	1997-03-31	VYDAJ	VYBER	15	31082	SLUZBY	\N	\N
839488	2858	1997-04-30	VYDAJ	VYBER	15	36571	SLUZBY	\N	\N
839489	2858	1997-05-31	VYDAJ	VYBER	15	33288	SLUZBY	\N	\N
839490	2858	1997-06-30	VYDAJ	VYBER	15	38207	SLUZBY	\N	\N
839491	2858	1997-07-31	VYDAJ	VYBER	15	42522	SLUZBY	\N	\N
839492	2858	1997-08-31	VYDAJ	VYBER	15	40940	SLUZBY	\N	\N
839493	2858	1997-09-30	VYDAJ	VYBER	15	34282	SLUZBY	\N	\N
839494	2858	1997-10-31	VYDAJ	VYBER	15	32928	SLUZBY	\N	\N
839495	2858	1997-11-30	VYDAJ	VYBER	15	35319	SLUZBY	\N	\N
839496	2858	1997-12-31	VYDAJ	VYBER	15	36693	SLUZBY	\N	\N
839497	2858	1998-01-31	VYDAJ	VYBER	15	26734	SLUZBY	\N	\N
839498	2858	1998-02-28	VYDAJ	VYBER	15	31214	SLUZBY	\N	\N
839499	2858	1998-03-31	VYDAJ	VYBER	15	27780	SLUZBY	\N	\N
839500	2858	1998-04-30	VYDAJ	VYBER	15	32115	SLUZBY	\N	\N
839501	2858	1998-05-31	VYDAJ	VYBER	15	33499	SLUZBY	\N	\N
839502	2858	1998-06-30	VYDAJ	VYBER	15	21967	SLUZBY	\N	\N
839503	2858	1998-07-31	VYDAJ	VYBER	15	32036	SLUZBY	\N	\N
839504	2858	1998-08-31	VYDAJ	VYBER	15	37733	SLUZBY	\N	\N
839505	2858	1998-09-30	VYDAJ	VYBER	15	39241	SLUZBY	\N	\N
839506	2858	1998-10-31	VYDAJ	VYBER	15	41056	SLUZBY	\N	\N
839507	2858	1998-11-30	VYDAJ	VYBER	15	40743	SLUZBY	\N	\N
839508	2858	1995-09-21	PRIJEM	VKLAD	9500	18879	\N	\N	\N
839509	2858	1995-11-20	VYDAJ	VYBER	4500	32842	\N	\N	\N
839510	2858	1995-12-20	VYDAJ	VYBER	12900	33810	\N	\N	\N
839511	2858	1996-01-19	VYDAJ	VYBER	6400	25329	\N	\N	\N
839512	2858	1996-02-18	PRIJEM	VKLAD	3500	18797	\N	\N	\N
839513	2858	1996-03-19	PRIJEM	VKLAD	2600	24520	\N	\N	\N
839514	2858	1996-04-18	VYDAJ	VYBER	1300	23962	\N	\N	\N
839515	2858	1996-05-18	VYDAJ	VYBER	2400	24711	\N	\N	\N
839516	2858	1996-06-17	VYDAJ	VYBER	4400	25288	\N	\N	\N
839517	2858	1996-07-17	VYDAJ	VYBER	900	27537	\N	\N	\N
839518	2858	1996-08-16	VYDAJ	VYBER	2700	27998	\N	\N	\N
839519	2858	1996-09-15	VYDAJ	VYBER	4700	26463	\N	\N	\N
839520	2858	1996-10-15	VYDAJ	VYBER	3000	26623	\N	\N	\N
839521	2858	1996-11-14	VYDAJ	VYBER	2400	27381	\N	\N	\N
839522	2858	1996-12-14	PRIJEM	VKLAD	2800	28129	\N	\N	\N
839523	2858	1997-01-13	PRIJEM	VKLAD	4200	30926	\N	\N	\N
839524	2858	1997-02-12	PRIJEM	VKLAD	6900	30167	\N	\N	\N
839525	2858	1997-03-14	PRIJEM	VKLAD	3800	30979	\N	\N	\N
839526	2858	1997-04-13	PRIJEM	VKLAD	2300	36442	\N	\N	\N
839527	2858	1997-05-13	PRIJEM	VKLAD	2400	37591	\N	\N	\N
839528	2858	1997-06-12	PRIJEM	VKLAD	5100	52157	\N	\N	\N
839529	2858	1997-07-12	PRIJEM	VKLAD	1100	48486	\N	\N	\N
839530	2858	1997-08-11	VYDAJ	VYBER	4800	46901	\N	\N	\N
839531	2858	1997-09-10	VYDAJ	VYBER	4100	46019	\N	\N	\N
839532	2858	1997-10-10	VYDAJ	VYBER	100	38921	\N	\N	\N
839533	2858	1997-11-09	VYDAJ	VYBER	800	41307	\N	\N	\N
839534	2858	1997-12-09	VYDAJ	VYBER	3500	45588	\N	\N	\N
839535	2858	1998-01-08	PRIJEM	VKLAD	3100	36793	\N	\N	\N
839536	2858	1998-02-07	PRIJEM	VKLAD	2500	29234	\N	\N	\N
839537	2858	1998-03-09	VYDAJ	VYBER	4800	33793	\N	\N	\N
839538	2858	1998-04-08	PRIJEM	VKLAD	4500	32280	\N	\N	\N
839539	2858	1998-05-08	VYDAJ	VYBER	1800	30315	\N	\N	\N
839540	2858	1998-06-07	PRIJEM	VKLAD	700	34199	\N	\N	\N
839541	2858	1998-07-07	PRIJEM	VKLAD	6900	28867	\N	\N	\N
839542	2858	1998-08-06	PRIJEM	VKLAD	2500	34536	\N	\N	\N
839543	2858	1998-09-05	VYDAJ	VYBER	1700	36033	\N	\N	\N
839544	2858	1998-10-05	VYDAJ	VYBER	1400	37841	\N	\N	\N
839545	2858	1998-11-04	PRIJEM	VKLAD	300	37516	\N	\N	\N
839546	2858	1998-12-04	VYDAJ	VYBER	100	40643	\N	\N	\N
839587	2859	1993-10-23	PRIJEM	VKLAD	500	12623	\N	\N	\N
839597	2859	1993-10-27	PRIJEM	VKLAD	27016	39639	\N	\N	\N
839599	2859	1993-11-18	PRIJEM	VKLAD	38840	112644	\N	\N	\N
839607	2859	1993-10-27	PRIJEM	VKLAD	34109	73748	\N	\N	\N
839609	2859	1993-10-23	PRIJEM	VKLAD	12123	12123	\N	\N	\N
839610	2859	1993-11-21	PRIJEM	VKLAD	14300	69344	\N	\N	\N
839615	2859	1994-06-21	PRIJEM	VKLAD	49156	95342	\N	\N	\N
839616	2859	1994-11-25	PRIJEM	VKLAD	29343	110538	\N	\N	\N
839617	2859	1994-03-20	PRIJEM	VKLAD	28663	119971	\N	\N	\N
839618	2859	1994-03-09	PRIJEM	VKLAD	23786	72771	\N	\N	\N
839619	2859	1994-12-06	PRIJEM	VKLAD	13565	97426	\N	\N	\N
839620	2859	1994-03-13	PRIJEM	VKLAD	22137	91308	\N	\N	\N
839621	2859	1994-12-27	PRIJEM	VKLAD	36802	95528	\N	\N	\N
839622	2859	1994-05-11	PRIJEM	VKLAD	33978	120357	\N	\N	\N
839623	2859	1994-04-28	PRIJEM	VKLAD	32745	106842	\N	\N	\N
839624	2859	1994-03-28	PRIJEM	VKLAD	36770	88378	\N	\N	\N
839625	2859	1994-02-22	PRIJEM	VKLAD	6647	48749	\N	\N	\N
839626	2859	1994-11-12	PRIJEM	VKLAD	15923	50225	\N	\N	\N
839627	2859	1994-11-23	PRIJEM	VKLAD	35349	105795	\N	\N	\N
839628	2859	1994-05-02	PRIJEM	VKLAD	16134	100779	\N	\N	\N
839629	2859	1994-06-12	PRIJEM	VKLAD	9234	86315	\N	\N	\N
839630	2859	1994-08-04	PRIJEM	VKLAD	23958	118651	\N	\N	\N
839631	2859	1994-07-19	PRIJEM	VKLAD	15424	82448	\N	\N	\N
839632	2859	1994-07-21	PRIJEM	VKLAD	41639	94387	\N	\N	\N
839633	2859	1994-07-18	PRIJEM	VKLAD	12242	113924	\N	\N	\N
839634	2859	1994-06-02	PRIJEM	VKLAD	37188	77081	\N	\N	\N
839635	2859	1994-04-27	PRIJEM	VKLAD	9906	74097	\N	\N	\N
839636	2859	1994-03-30	PRIJEM	VKLAD	40709	129087	\N	\N	\N
839637	2859	1994-06-29	PRIJEM	VKLAD	37490	132832	\N	\N	\N
839638	2859	1994-10-06	PRIJEM	VKLAD	26982	44014	\N	\N	\N
839639	2859	1994-11-19	PRIJEM	VKLAD	31121	70446	\N	\N	\N
839640	2859	1994-07-01	PRIJEM	VKLAD	34284	101682	\N	\N	\N
839641	2859	1994-03-22	PRIJEM	VKLAD	48437	120308	\N	\N	\N
839642	2859	1994-01-19	PRIJEM	VKLAD	24475	33889	\N	\N	\N
839643	2859	1994-01-25	PRIJEM	VKLAD	44286	71975	\N	\N	\N
839644	2859	1995-04-13	PRIJEM	VKLAD	36287	97525	\N	\N	\N
839645	2859	1995-01-25	PRIJEM	VKLAD	7531	46270	\N	\N	\N
839646	2859	1995-08-31	PRIJEM	VKLAD	14651	56089	\N	\N	\N
839647	2859	1995-04-02	PRIJEM	VKLAD	19547	61238	\N	\N	\N
839648	2859	1995-10-06	PRIJEM	VKLAD	48456	143332	\N	\N	\N
839649	2859	1995-03-30	PRIJEM	VKLAD	14792	41580	\N	\N	\N
839650	2859	1995-08-05	PRIJEM	VKLAD	14648	25171	\N	\N	\N
839651	2859	1995-10-24	PRIJEM	VKLAD	16395	68361	\N	\N	\N
839652	2859	1995-09-18	PRIJEM	VKLAD	37011	79386	\N	\N	\N
839653	2859	1995-08-19	PRIJEM	VKLAD	19054	41325	\N	\N	\N
839654	2859	1995-09-29	PRIJEM	VKLAD	28438	94624	\N	\N	\N
839655	2859	1995-11-24	PRIJEM	VKLAD	9421	51180	\N	\N	\N
839656	2859	1996-11-02	PRIJEM	VKLAD	10829	33923	\N	\N	\N
839657	2859	1996-08-14	PRIJEM	VKLAD	15942	36923	\N	\N	\N
839658	2859	1997-11-10	PRIJEM	VKLAD	15785	62043	\N	\N	\N
839659	2859	1997-03-19	PRIJEM	VKLAD	30201	65656	\N	\N	\N
839660	2859	1997-11-26	PRIJEM	VKLAD	35896	97939	\N	\N	\N
839661	2859	1997-04-26	PRIJEM	VKLAD	28231	83152	\N	\N	\N
839662	2859	1998-04-17	PRIJEM	VKLAD	10938	97633	\N	\N	\N
839663	2859	1998-08-20	PRIJEM	VKLAD	44252	87914	\N	\N	\N
839664	2859	1998-03-24	PRIJEM	VKLAD	40163	142820	\N	\N	\N
839665	2859	1998-08-22	PRIJEM	VKLAD	35624	123538	\N	\N	\N
839666	2859	1998-10-04	PRIJEM	VKLAD	37677	92017	\N	\N	\N
839667	2859	1998-11-08	PRIJEM	VKLAD	14771	100315	\N	\N	\N
839668	2859	1998-04-13	PRIJEM	VKLAD	43651	116995	\N	\N	\N
839669	2859	1998-11-11	PRIJEM	VKLAD	11339	111654	\N	\N	\N
839670	2859	1998-03-12	PRIJEM	VKLAD	38003	97161	\N	\N	\N
839671	2859	1998-05-29	PRIJEM	VKLAD	7728	91333	\N	\N	\N
839672	2859	1998-03-28	PRIJEM	VKLAD	25483	137503	\N	\N	\N
839673	2859	1998-04-26	PRIJEM	VKLAD	29805	127438	\N	\N	\N
839674	2859	1998-01-31	PRIJEM	VKLAD	41996	75164	\N	\N	\N
839675	2859	1998-09-28	PRIJEM	VKLAD	23848	109903	\N	\N	\N
839676	2859	1998-02-25	PRIJEM	VKLAD	37185	122504	\N	\N	\N
839677	2859	1998-08-01	PRIJEM	VKLAD	14755	63779	\N	\N	\N
839678	2859	1998-09-10	PRIJEM	VKLAD	38253	105355	\N	\N	\N
839679	2859	1998-03-16	PRIJEM	VKLAD	5496	102657	\N	\N	\N
839680	2859	1998-02-10	PRIJEM	VKLAD	10048	85319	\N	\N	\N
839681	2859	1998-05-21	PRIJEM	VKLAD	22813	83605	\N	\N	\N
839697	2859	1994-06-13	VYBER	VYBER	17629	68686	\N	\N	\N
839698	2859	1994-09-08	VYBER	VYBER	19319	5671	\N	\N	\N
839699	2859	1995-05-07	VYBER	VYBER	13240	47406	\N	\N	\N
839700	2859	1995-03-18	VYBER	VYBER	2375	26788	\N	\N	\N
839701	2859	1995-10-23	VYBER	VYBER	7266	51966	\N	\N	\N
839702	2859	1995-06-18	VYBER	VYBER	20854	12437	\N	\N	\N
839703	2859	1996-10-03	VYBER	VYBER	19928	11208	\N	\N	\N
839704	2859	1996-01-19	VYBER	VYBER	10624	15457	\N	\N	\N
839706	2859	1996-05-02	VYBER	VYBER	7875	12177	\N	\N	\N
839708	2859	1996-02-15	VYBER	VYBER	8335	8104	\N	\N	\N
839709	2859	1996-08-01	VYBER	VYBER	21363	7581	\N	\N	\N
839710	2859	1996-12-14	VYBER	VYBER	16071	4094	\N	\N	\N
839711	2859	1996-11-18	VYBER	VYBER	4073	31450	\N	\N	\N
839713	2859	1998-01-02	VYBER	VYBER	14855	52783	\N	\N	\N
839714	2859	1998-11-13	VYBER	VYBER	19653	76501	\N	\N	\N
839715	2859	1998-12-01	VYBER	VYBER	9207	68716	\N	\N	\N
839716	2859	1998-01-21	VYBER	VYBER	19015	3768	\N	\N	\N
839717	2859	1998-03-02	VYBER	VYBER	18163	59158	\N	\N	\N
839718	2859	1998-07-13	VYBER	VYBER	24926	28224	\N	\N	\N
839719	2859	1998-08-17	VYBER	VYBER	20117	43662	\N	\N	\N
839720	2859	1998-05-07	VYBER	VYBER	18307	60792	\N	\N	\N
839726	2859	1998-06-06	VYDAJ	VYBER	39600	38950	\N	\N	\N
839727	2859	1993-12-19	VYDAJ	VYBER	6300	21291	\N	\N	\N
839728	2859	1994-12-20	VYDAJ	VYBER	5400	58726	\N	\N	\N
839729	2859	1995-12-09	VYDAJ	VYBER	1800	49620	\N	\N	\N
839730	2859	1996-12-09	VYDAJ	VYBER	8400	20165	\N	\N	\N
839731	2859	1997-12-25	VYDAJ	VYBER	8100	68076	\N	\N	\N
839732	2859	1998-12-27	VYDAJ	VYBER	5700	70616	\N	\N	\N
839739	2859	1994-01-15	VYDAJ	VYBER	2100	22314	\N	\N	\N
839740	2859	1994-01-29	VYDAJ	VYBER	2700	63875	\N	\N	\N
839741	2859	1994-01-17	VYDAJ	VYBER	6000	9414	\N	\N	\N
839742	2859	1994-01-21	VYDAJ	VYBER	2400	31489	\N	\N	\N
839743	2859	1994-01-16	VYDAJ	VYBER	6900	15414	\N	\N	\N
839744	2859	1994-01-25	VYDAJ	VYBER	5400	66575	\N	\N	\N
839745	2859	1995-01-27	VYDAJ	VYBER	6600	39670	\N	\N	\N
839746	2859	1995-01-11	VYDAJ	VYBER	8700	69739	\N	\N	\N
839747	2859	1995-01-13	VYDAJ	VYBER	1500	68239	\N	\N	\N
839748	2859	1995-01-05	VYDAJ	VYBER	1800	92239	\N	\N	\N
839749	2859	1995-01-21	VYDAJ	VYBER	6000	38739	\N	\N	\N
839750	2859	1995-01-16	VYDAJ	VYBER	3600	64639	\N	\N	\N
839751	2859	1996-01-16	VYDAJ	VYBER	3900	26081	\N	\N	\N
839754	2859	1996-01-16	VYDAJ	VYBER	6000	29981	\N	\N	\N
839755	2859	1996-01-19	VYDAJ	VYBER	3000	12457	\N	\N	\N
839756	2859	1996-01-21	VYDAJ	VYBER	8700	3757	\N	\N	\N
839757	2859	1997-01-21	VYDAJ	VYBER	1800	13333	\N	\N	\N
839759	2859	1997-01-24	VYDAJ	VYBER	7800	5533	\N	\N	\N
839760	2859	1997-01-16	VYDAJ	VYBER	8100	15133	\N	\N	\N
839763	2859	1998-01-15	VYDAJ	VYBER	5700	29683	\N	\N	\N
839764	2859	1998-01-06	VYDAJ	VYBER	7200	43183	\N	\N	\N
839766	2859	1998-01-17	VYDAJ	VYBER	6900	22783	\N	\N	\N
839767	2859	1998-01-12	VYDAJ	VYBER	3600	35383	\N	\N	\N
839768	2859	1998-01-09	VYDAJ	VYBER	4200	38983	\N	\N	\N
839771	2859	1993-11-28	VYDAJ	VYBER	6000	39644	\N	\N	\N
839773	2859	1993-12-08	VYDAJ	VYBER	12300	27591	\N	\N	\N
839775	2859	1994-03-11	VYDAJ	VYBER	3600	69171	\N	\N	\N
839776	2859	1994-01-21	VYDAJ	VYBER	2400	27689	\N	\N	\N
839777	2859	1994-08-24	VYDAJ	VYBER	14100	37851	\N	\N	\N
839778	2859	1994-09-02	VYDAJ	VYBER	13200	24990	\N	\N	\N
839779	2859	1994-05-05	VYDAJ	VYBER	14400	86379	\N	\N	\N
839780	2859	1995-09-23	VYDAJ	VYBER	6900	66186	\N	\N	\N
839781	2859	1995-11-12	VYDAJ	VYBER	8100	60559	\N	\N	\N
839782	2859	1995-08-05	VYDAJ	VYBER	8700	16471	\N	\N	\N
839783	2859	1995-09-21	VYDAJ	VYBER	6300	73086	\N	\N	\N
839784	2859	1995-01-09	VYDAJ	VYBER	13800	78439	\N	\N	\N
839785	2859	1995-06-22	VYDAJ	VYBER	10800	1637	\N	\N	\N
839786	2859	1995-01-04	VYDAJ	VYBER	1800	94039	\N	\N	\N
839787	2859	1995-07-21	VYDAJ	VYBER	6300	10518	\N	\N	\N
839789	2859	1996-06-15	VYDAJ	VYBER	5400	16535	\N	\N	\N
839792	2859	1996-06-04	VYDAJ	VYBER	2700	12435	\N	\N	\N
839793	2859	1996-03-15	VYDAJ	VYBER	11700	8413	\N	\N	\N
839794	2859	1996-08-22	VYDAJ	VYBER	7500	29423	\N	\N	\N
839795	2859	1996-12-07	VYDAJ	VYBER	9300	28565	\N	\N	\N
839796	2859	1996-05-17	VYDAJ	VYBER	6000	15077	\N	\N	\N
839797	2859	1997-08-26	VYDAJ	VYBER	10200	22901	\N	\N	\N
839798	2859	1997-08-28	VYDAJ	VYBER	12300	10601	\N	\N	\N
839799	2859	1997-06-18	VYDAJ	VYBER	6900	27854	\N	\N	\N
839800	2859	1997-09-12	VYDAJ	VYBER	3300	30171	\N	\N	\N
839801	2859	1997-07-16	VYDAJ	VYBER	10500	22514	\N	\N	\N
839802	2859	1997-05-03	VYDAJ	VYBER	10500	72921	\N	\N	\N
839803	2859	1997-06-16	VYDAJ	VYBER	13500	34754	\N	\N	\N
839804	2859	1998-04-09	VYDAJ	VYBER	3300	73344	\N	\N	\N
839805	2859	1998-09-03	VYDAJ	VYBER	2100	67102	\N	\N	\N
839806	2859	1998-01-03	VYDAJ	VYBER	2400	50383	\N	\N	\N
839807	2859	1998-09-20	VYDAJ	VYBER	5100	100255	\N	\N	\N
839808	2859	1998-09-22	VYDAJ	VYBER	11400	88855	\N	\N	\N
839820	2859	1993-11-30	VYDAJ	VYBER	15	39891	SLUZBY	\N	\N
839821	2859	1993-12-31	VYDAJ	VYBER	15	24414	SLUZBY	\N	\N
839822	2859	1994-01-31	VYDAJ	VYBER	15	64002	SLUZBY	\N	\N
839823	2859	1994-02-28	VYDAJ	VYBER	15	48985	SLUZBY	\N	\N
839824	2859	1994-03-31	VYDAJ	VYBER	15	103091	SLUZBY	\N	\N
839825	2859	1994-04-30	VYDAJ	VYBER	15	84645	SLUZBY	\N	\N
839826	2859	1994-05-31	VYDAJ	VYBER	15	39893	SLUZBY	\N	\N
839827	2859	1994-06-30	VYDAJ	VYBER	15	113498	SLUZBY	\N	\N
839828	2859	1994-07-31	VYDAJ	VYBER	15	94693	SLUZBY	\N	\N
839829	2859	1994-08-31	VYDAJ	VYBER	15	38190	SLUZBY	\N	\N
839830	2859	1994-09-30	VYDAJ	VYBER	15	17032	SLUZBY	\N	\N
839831	2859	1994-10-31	VYDAJ	VYBER	15	34302	SLUZBY	\N	\N
839832	2859	1994-11-30	VYDAJ	VYBER	15	83861	SLUZBY	\N	\N
839833	2859	1994-12-31	VYDAJ	VYBER	15	95839	SLUZBY	\N	\N
839834	2859	1995-01-31	VYDAJ	VYBER	15	39913	SLUZBY	\N	\N
839835	2859	1995-02-28	VYDAJ	VYBER	15	31163	SLUZBY	\N	\N
839836	2859	1995-03-31	VYDAJ	VYBER	15	41691	SLUZBY	\N	\N
839837	2859	1995-04-30	VYDAJ	VYBER	15	60646	SLUZBY	\N	\N
839838	2859	1995-05-31	VYDAJ	VYBER	15	36691	SLUZBY	\N	\N
839839	2859	1995-06-30	VYDAJ	VYBER	15	1718	SLUZBY	\N	\N
839840	2859	1995-07-31	VYDAJ	VYBER	15	10523	SLUZBY	\N	\N
839841	2859	1995-08-31	VYDAJ	VYBER	15	56075	SLUZBY	\N	\N
839842	2859	1995-09-30	VYDAJ	VYBER	15	94876	SLUZBY	\N	\N
839843	2859	1995-10-31	VYDAJ	VYBER	15	68659	SLUZBY	\N	\N
839844	2859	1995-11-30	VYDAJ	VYBER	15	51420	SLUZBY	\N	\N
839845	2859	1995-12-31	VYDAJ	VYBER	15	37781	SLUZBY	\N	\N
839846	2859	1996-01-31	VYDAJ	VYBER	15	3839	SLUZBY	\N	\N
839847	2859	1996-02-29	VYDAJ	VYBER	15	8113	SLUZBY	\N	\N
839848	2859	1996-03-31	VYDAJ	VYBER	15	8431	SLUZBY	\N	\N
839849	2859	1996-04-30	VYDAJ	VYBER	15	20052	SLUZBY	\N	\N
839850	2859	1996-05-31	VYDAJ	VYBER	15	15135	SLUZBY	\N	\N
839851	2859	1996-06-30	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
839852	2859	1996-07-31	VYDAJ	VYBER	15	28944	SLUZBY	\N	\N
839853	2859	1996-08-31	VYDAJ	VYBER	15	29530	SLUZBY	\N	\N
839854	2859	1996-09-30	VYDAJ	VYBER	15	31136	SLUZBY	\N	\N
839855	2859	1996-10-31	VYDAJ	VYBER	15	23094	SLUZBY	\N	\N
839856	2859	1996-11-30	VYDAJ	VYBER	15	31565	SLUZBY	\N	\N
839857	2859	1996-12-31	VYDAJ	VYBER	15	4133	SLUZBY	\N	\N
839858	2859	1997-01-31	VYDAJ	VYBER	15	5546	SLUZBY	\N	\N
839859	2859	1997-02-28	VYDAJ	VYBER	15	28055	SLUZBY	\N	\N
839860	2859	1997-03-31	VYDAJ	VYBER	15	65821	SLUZBY	\N	\N
839861	2859	1997-04-30	VYDAJ	VYBER	15	83421	SLUZBY	\N	\N
839862	2859	1997-05-31	VYDAJ	VYBER	15	56954	SLUZBY	\N	\N
839863	2859	1997-06-30	VYDAJ	VYBER	15	28014	SLUZBY	\N	\N
839864	2859	1997-07-31	VYDAJ	VYBER	15	22601	SLUZBY	\N	\N
839865	2859	1997-08-31	VYDAJ	VYBER	15	10671	SLUZBY	\N	\N
839866	2859	1997-09-30	VYDAJ	VYBER	15	30249	SLUZBY	\N	\N
839867	2859	1997-10-31	VYDAJ	VYBER	15	39958	SLUZBY	\N	\N
839868	2859	1997-11-30	VYDAJ	VYBER	15	98176	SLUZBY	\N	\N
839869	2859	1997-12-31	VYDAJ	VYBER	15	67638	SLUZBY	\N	\N
839870	2859	1998-01-31	VYDAJ	VYBER	15	75271	SLUZBY	\N	\N
839871	2859	1998-02-28	VYDAJ	VYBER	15	84621	SLUZBY	\N	\N
839872	2859	1998-03-31	VYDAJ	VYBER	15	76644	SLUZBY	\N	\N
839873	2859	1998-04-30	VYDAJ	VYBER	15	92199	SLUZBY	\N	\N
839874	2859	1998-05-31	VYDAJ	VYBER	15	78550	SLUZBY	\N	\N
839875	2859	1998-06-30	VYDAJ	VYBER	15	53150	SLUZBY	\N	\N
839876	2859	1998-07-31	VYDAJ	VYBER	15	49024	SLUZBY	\N	\N
839877	2859	1998-08-31	VYDAJ	VYBER	15	69202	SLUZBY	\N	\N
839878	2859	1998-09-30	VYDAJ	VYBER	15	54340	SLUZBY	\N	\N
839879	2859	1998-10-31	VYDAJ	VYBER	15	85544	SLUZBY	\N	\N
839880	2859	1998-11-30	VYDAJ	VYBER	15	77923	SLUZBY	\N	\N
839881	2859	1993-11-18	VYDAJ	VYBER	57600	55044	\N	\N	\N
839882	2859	1993-11-22	VYDAJ	VYBER	23700	45644	\N	\N	\N
839883	2859	1993-12-22	PRIJEM	VKLAD	3000	24291	\N	\N	\N
839884	2859	1994-01-21	VYDAJ	VYBER	1400	30089	\N	\N	\N
839885	2859	1994-02-20	VYDAJ	VYBER	21900	42102	\N	\N	\N
839886	2859	1994-03-20	VYDAJ	VYBER	48100	71871	\N	\N	\N
839887	2859	1994-03-22	VYDAJ	VYBER	44500	75808	\N	\N	\N
839888	2859	1994-03-22	VYDAJ	VYBER	24200	51608	\N	\N	\N
839889	2859	1994-03-30	VYDAJ	VYBER	26300	102787	\N	\N	\N
839890	2859	1994-04-21	VYDAJ	VYBER	38900	64191	\N	\N	\N
839891	2859	1994-04-28	VYDAJ	VYBER	22600	84242	\N	\N	\N
839892	2859	1994-05-11	VYDAJ	VYBER	63700	56657	\N	\N	\N
839893	2859	1994-05-21	VYDAJ	VYBER	17000	39657	\N	\N	\N
839894	2859	1994-06-20	VYDAJ	VYBER	22500	46186	\N	\N	\N
839895	2859	1994-06-29	VYDAJ	VYBER	19600	113232	\N	\N	\N
839896	2859	1994-06-30	VYDAJ	VYBER	46100	67398	\N	\N	\N
839897	2859	1994-07-18	VYDAJ	VYBER	46900	67024	\N	\N	\N
839898	2859	1994-07-20	VYDAJ	VYBER	29700	52748	\N	\N	\N
839899	2859	1994-08-04	VYDAJ	VYBER	36300	82351	\N	\N	\N
839900	2859	1994-08-19	VYDAJ	VYBER	30400	51951	\N	\N	\N
839901	2859	1994-09-18	PRIJEM	VKLAD	11300	16971	\N	\N	\N
839902	2859	1994-10-18	VYDAJ	VYBER	9800	34214	\N	\N	\N
839903	2859	1994-11-17	VYDAJ	VYBER	10900	39325	\N	\N	\N
839904	2859	1994-11-23	VYDAJ	VYBER	24600	81195	\N	\N	\N
839905	2859	1994-11-25	VYDAJ	VYBER	26900	83638	\N	\N	\N
839906	2859	1994-12-17	VYDAJ	VYBER	33300	64126	\N	\N	\N
839907	2859	1995-01-16	VYDAJ	VYBER	19900	44739	\N	\N	\N
839908	2859	1995-02-15	VYDAJ	VYBER	8900	31013	\N	\N	\N
839909	2859	1995-03-17	VYDAJ	VYBER	2000	29163	\N	\N	\N
839910	2859	1995-04-16	VYDAJ	VYBER	37100	60425	\N	\N	\N
839911	2859	1995-05-16	VYDAJ	VYBER	10900	36506	\N	\N	\N
839912	2859	1995-06-15	VYDAJ	VYBER	3400	33291	\N	\N	\N
839913	2859	1995-07-15	PRIJEM	VKLAD	15100	16818	\N	\N	\N
839914	2859	1995-08-14	PRIJEM	VKLAD	5800	22271	\N	\N	\N
839915	2859	1995-09-13	VYDAJ	VYBER	13700	42375	\N	\N	\N
839916	2859	1995-10-06	VYDAJ	VYBER	47400	95932	\N	\N	\N
839917	2859	1995-10-13	VYDAJ	VYBER	36700	59232	\N	\N	\N
839918	2859	1995-11-12	VYDAJ	VYBER	18800	41759	\N	\N	\N
839919	2859	1995-12-12	VYDAJ	VYBER	12000	37620	\N	\N	\N
839920	2859	1996-01-11	VYDAJ	VYBER	1800	35981	\N	\N	\N
839921	2859	1996-02-10	PRIJEM	VKLAD	12600	16439	\N	\N	\N
839922	2859	1996-03-11	PRIJEM	VKLAD	12000	20113	\N	\N	\N
839923	2859	1996-04-10	PRIJEM	VKLAD	11600	20031	\N	\N	\N
839924	2859	1996-05-10	PRIJEM	VKLAD	8900	21077	\N	\N	\N
839925	2859	1996-06-09	PRIJEM	VKLAD	9500	21935	\N	\N	\N
839926	2859	1996-07-09	PRIJEM	VKLAD	12300	28890	\N	\N	\N
839927	2859	1996-08-08	PRIJEM	VKLAD	13400	20981	\N	\N	\N
839928	2859	1996-09-07	PRIJEM	VKLAD	1500	31030	\N	\N	\N
839929	2859	1996-10-07	PRIJEM	VKLAD	11800	23008	\N	\N	\N
839930	2859	1996-11-06	PRIJEM	VKLAD	1600	35523	\N	\N	\N
839931	2859	1996-12-06	PRIJEM	VKLAD	6300	37865	\N	\N	\N
839932	2859	1997-01-05	PRIJEM	VKLAD	19100	23233	\N	\N	\N
839933	2859	1997-02-04	PRIJEM	VKLAD	22500	28046	\N	\N	\N
839934	2859	1997-03-06	PRIJEM	VKLAD	7400	35455	\N	\N	\N
839935	2859	1997-04-05	VYDAJ	VYBER	10900	54921	\N	\N	\N
839936	2859	1997-05-05	VYDAJ	VYBER	16200	56721	\N	\N	\N
839937	2859	1997-06-04	VYDAJ	VYBER	8700	48254	\N	\N	\N
839938	2859	1997-07-04	PRIJEM	VKLAD	5000	33014	\N	\N	\N
839939	2859	1997-08-03	PRIJEM	VKLAD	10500	33101	\N	\N	\N
839940	2859	1997-09-02	PRIJEM	VKLAD	22800	33471	\N	\N	\N
839941	2859	1997-10-02	PRIJEM	VKLAD	9600	39849	\N	\N	\N
839942	2859	1997-11-01	PRIJEM	VKLAD	6300	46258	\N	\N	\N
839943	2859	1997-12-01	VYDAJ	VYBER	22000	76176	\N	\N	\N
839944	2859	1997-12-31	VYDAJ	VYBER	800	67653	\N	\N	\N
839945	2859	1998-01-30	PRIJEM	VKLAD	29400	33168	\N	\N	\N
839946	2859	1998-02-25	VYDAJ	VYBER	38200	84304	\N	\N	\N
839947	2859	1998-03-01	VYDAJ	VYBER	7300	77321	\N	\N	\N
839948	2859	1998-03-24	VYDAJ	VYBER	30800	112020	\N	\N	\N
839949	2859	1998-03-28	VYDAJ	VYBER	47100	90403	\N	\N	\N
839950	2859	1998-03-31	VYDAJ	VYBER	14100	76659	\N	\N	\N
839951	2859	1998-04-13	VYDAJ	VYBER	30300	86695	\N	\N	\N
839952	2859	1998-04-26	VYDAJ	VYBER	35600	91838	\N	\N	\N
839953	2859	1998-04-30	VYDAJ	VYBER	13100	79099	\N	\N	\N
839954	2859	1998-05-30	VYDAJ	VYBER	13100	78233	\N	\N	\N
839955	2859	1998-06-29	PRIJEM	VKLAD	13900	52850	\N	\N	\N
839956	2859	1998-07-29	PRIJEM	VKLAD	20600	48824	\N	\N	\N
839957	2859	1998-08-22	VYDAJ	VYBER	64200	59338	\N	\N	\N
839958	2859	1998-08-28	PRIJEM	VKLAD	9600	68938	\N	\N	\N
839959	2859	1998-09-27	VYDAJ	VYBER	2800	86055	\N	\N	\N
839960	2859	1998-09-28	VYDAJ	VYBER	55900	54003	\N	\N	\N
839961	2859	1998-10-27	VYDAJ	VYBER	6700	85317	\N	\N	\N
839962	2859	1998-11-11	VYDAJ	VYBER	15500	96154	\N	\N	\N
839963	2859	1998-11-26	PRIJEM	VKLAD	1100	77601	\N	\N	\N
839964	2859	1998-12-26	PRIJEM	VKLAD	7600	76316	\N	\N	\N
840036	2860	1997-05-30	PRIJEM	VKLAD	600	600	\N	\N	\N
840037	2860	1997-09-12	PRIJEM	VKLAD	9305	106807	\N	\N	\N
840038	2860	1997-08-10	PRIJEM	VKLAD	19296	112728	\N	\N	\N
840041	2860	1997-09-14	PRIJEM	VKLAD	28144	134951	\N	\N	\N
840042	2860	1997-10-31	PRIJEM	VKLAD	6078	53355	\N	\N	\N
840043	2860	1997-09-11	PRIJEM	VKLAD	40627	127202	\N	\N	\N
840048	2860	1997-09-17	PRIJEM	VKLAD	27017	101368	\N	\N	\N
840049	2860	1997-11-11	PRIJEM	VKLAD	8014	61339	\N	\N	\N
840050	2860	1997-12-23	PRIJEM	VKLAD	9213	79046	\N	\N	\N
840051	2860	1997-06-09	PRIJEM	VKLAD	17603	18203	\N	\N	\N
840052	2860	1997-10-03	PRIJEM	VKLAD	48957	83623	\N	\N	\N
840053	2860	1997-11-14	PRIJEM	VKLAD	46256	107595	\N	\N	\N
840054	2860	1997-07-30	PRIJEM	VKLAD	45474	93277	\N	\N	\N
840055	2860	1997-07-25	PRIJEM	VKLAD	47626	80603	\N	\N	\N
840056	2860	1997-09-07	PRIJEM	VKLAD	37252	86575	\N	\N	\N
840059	2860	1997-12-10	PRIJEM	VKLAD	29078	69833	\N	\N	\N
840061	2860	1997-06-17	PRIJEM	VKLAD	21099	39302	\N	\N	\N
840063	2860	1998-09-23	PRIJEM	VKLAD	24149	53224	\N	\N	\N
840064	2860	1998-01-04	PRIJEM	VKLAD	43900	87704	\N	\N	\N
840065	2860	1998-08-19	PRIJEM	VKLAD	43783	57124	\N	\N	\N
840066	2860	1998-09-24	PRIJEM	VKLAD	39311	92535	\N	\N	\N
840067	2860	1998-06-05	PRIJEM	VKLAD	35819	72440	\N	\N	\N
840068	2860	1998-05-21	PRIJEM	VKLAD	42628	57269	\N	\N	\N
840069	2860	1998-10-26	PRIJEM	VKLAD	20606	75914	\N	\N	\N
840075	2860	1998-01-23	VYBER	VYBER	23108	46296	\N	\N	\N
840077	2860	1998-06-22	VYDAJ	VYBER	41400	29240	\N	\N	\N
840078	2860	1997-12-28	VYDAJ	VYBER	1800	43646	\N	\N	\N
840079	2860	1998-12-27	VYDAJ	VYBER	1500	33626	\N	\N	\N
840086	2860	1998-01-24	VYDAJ	VYBER	5100	41196	\N	\N	\N
840087	2860	1998-01-17	VYDAJ	VYBER	8700	76604	\N	\N	\N
840088	2860	1998-01-13	VYDAJ	VYBER	2400	85304	\N	\N	\N
840089	2860	1998-01-18	VYDAJ	VYBER	7200	69404	\N	\N	\N
840090	2860	1998-01-30	VYDAJ	VYBER	1500	28896	\N	\N	\N
840091	2860	1998-01-30	VYDAJ	VYBER	5100	23796	\N	\N	\N
840092	2860	1997-08-10	VYDAJ	VYBER	12300	76828	\N	\N	\N
840094	2860	1997-11-23	VYDAJ	VYBER	11100	74695	\N	\N	\N
840098	2860	1998-09-28	VYDAJ	VYBER	3900	88635	\N	\N	\N
840102	2860	1998-06-11	VYDAJ	VYBER	1800	70640	\N	\N	\N
840103	2860	1998-02-12	VYDAJ	VYBER	3600	20379	\N	\N	\N
840112	2860	1997-08-31	VYDAJ	VYBER	30	49323	SLUZBY	\N	\N
840113	2860	1997-09-30	VYDAJ	VYBER	30	34666	SLUZBY	\N	\N
840114	2860	1997-10-31	VYDAJ	VYBER	30	53325	SLUZBY	\N	\N
840115	2860	1997-11-30	VYDAJ	VYBER	30	40755	SLUZBY	\N	\N
840116	2860	1997-12-31	VYDAJ	VYBER	30	43804	SLUZBY	\N	\N
840117	2860	1998-01-31	VYDAJ	VYBER	30	23979	SLUZBY	\N	\N
840118	2860	1998-02-28	VYDAJ	VYBER	30	20746	SLUZBY	\N	\N
840119	2860	1998-03-31	VYDAJ	VYBER	30	16702	SLUZBY	\N	\N
840120	2860	1998-04-30	VYDAJ	VYBER	30	14641	SLUZBY	\N	\N
840121	2860	1998-05-31	VYDAJ	VYBER	30	36621	SLUZBY	\N	\N
840122	2860	1998-06-30	VYDAJ	VYBER	30	18594	SLUZBY	\N	\N
840123	2860	1998-07-31	VYDAJ	VYBER	30	13341	SLUZBY	\N	\N
840124	2860	1998-08-31	VYDAJ	VYBER	30	35075	SLUZBY	\N	\N
840125	2860	1998-09-30	VYDAJ	VYBER	30	88808	SLUZBY	\N	\N
840126	2860	1998-10-31	VYDAJ	VYBER	30	76243	SLUZBY	\N	\N
840127	2860	1998-11-30	VYDAJ	VYBER	30	47726	SLUZBY	\N	\N
840128	2860	1997-06-29	VYDAJ	VYBER	6400	32902	\N	\N	\N
840129	2860	1997-07-29	VYDAJ	VYBER	32800	47803	\N	\N	\N
840130	2860	1997-08-10	VYDAJ	VYBER	23600	89128	\N	\N	\N
840131	2860	1997-08-28	VYDAJ	VYBER	27800	49028	\N	\N	\N
840132	2860	1997-09-11	VYDAJ	VYBER	29700	97502	\N	\N	\N
840133	2860	1997-09-14	VYDAJ	VYBER	60600	74351	\N	\N	\N
840134	2860	1997-09-17	VYDAJ	VYBER	43700	57668	\N	\N	\N
840135	2860	1997-09-27	VYDAJ	VYBER	23300	34368	\N	\N	\N
840136	2860	1997-10-27	VYDAJ	VYBER	36500	47123	\N	\N	\N
840137	2860	1997-11-14	VYDAJ	VYBER	21800	85795	\N	\N	\N
840138	2860	1997-11-26	VYDAJ	VYBER	34200	40495	\N	\N	\N
840139	2860	1997-12-26	VYDAJ	VYBER	33600	45446	\N	\N	\N
840140	2860	1998-01-25	VYDAJ	VYBER	10800	30396	\N	\N	\N
840141	2860	1998-02-24	PRIJEM	VKLAD	300	20679	\N	\N	\N
840142	2860	1998-03-26	VYDAJ	VYBER	4100	16646	\N	\N	\N
840143	2860	1998-04-25	VYDAJ	VYBER	2100	14602	\N	\N	\N
840144	2860	1998-05-25	VYDAJ	VYBER	20700	36569	\N	\N	\N
840145	2860	1998-06-24	VYDAJ	VYBER	10800	18440	\N	\N	\N
840146	2860	1998-07-24	VYDAJ	VYBER	5300	13294	\N	\N	\N
840147	2860	1998-08-23	VYDAJ	VYBER	22100	35024	\N	\N	\N
840148	2860	1998-09-22	VYDAJ	VYBER	6000	29075	\N	\N	\N
840149	2860	1998-10-22	VYDAJ	VYBER	33500	55308	\N	\N	\N
840150	2860	1998-11-21	VYDAJ	VYBER	28800	47443	\N	\N	\N
840151	2860	1998-12-21	VYDAJ	VYBER	12600	35126	\N	\N	\N
840171	2861	1993-02-10	PRIJEM	VKLAD	300	300	\N	\N	\N
840174	2861	1993-03-06	PRIJEM	PREVOD Z UCTU	5915	6215	DUCHOD	ST	10531437
840175	2861	1993-04-06	PRIJEM	PREVOD Z UCTU	5915	12130	DUCHOD	ST	10531437
840176	2861	1993-05-06	PRIJEM	PREVOD Z UCTU	5915	18045	DUCHOD	ST	10531437
840177	2861	1993-06-06	PRIJEM	PREVOD Z UCTU	5915	23960	DUCHOD	ST	10531437
840178	2861	1993-07-06	PRIJEM	PREVOD Z UCTU	5915	29875	DUCHOD	ST	10531437
840179	2861	1993-08-06	PRIJEM	PREVOD Z UCTU	5915	26606	DUCHOD	ST	10531437
840180	2861	1993-09-06	PRIJEM	PREVOD Z UCTU	5915	29988	DUCHOD	ST	10531437
840181	2861	1993-10-06	PRIJEM	PREVOD Z UCTU	5915	28781	DUCHOD	ST	10531437
840182	2861	1993-11-06	PRIJEM	PREVOD Z UCTU	5915	31073	DUCHOD	ST	10531437
840183	2861	1993-12-06	PRIJEM	PREVOD Z UCTU	5915	31268	DUCHOD	ST	10531437
840184	2861	1994-01-06	PRIJEM	PREVOD Z UCTU	5915	27603	DUCHOD	ST	10531437
840185	2861	1994-02-06	PRIJEM	PREVOD Z UCTU	5915	19755	DUCHOD	ST	10531437
840186	2861	1994-03-06	PRIJEM	PREVOD Z UCTU	5915	23108	DUCHOD	ST	10531437
840187	2861	1994-04-06	PRIJEM	PREVOD Z UCTU	5915	26475	DUCHOD	ST	10531437
840188	2861	1994-05-06	PRIJEM	PREVOD Z UCTU	5915	27456	DUCHOD	ST	10531437
840189	2861	1994-06-06	PRIJEM	PREVOD Z UCTU	5915	24517	DUCHOD	ST	10531437
840190	2861	1994-07-06	PRIJEM	PREVOD Z UCTU	5915	22438	DUCHOD	ST	10531437
840191	2861	1994-08-06	PRIJEM	PREVOD Z UCTU	5915	25803	DUCHOD	ST	10531437
840192	2861	1994-09-06	PRIJEM	PREVOD Z UCTU	5915	29182	DUCHOD	ST	10531437
840193	2861	1994-10-06	PRIJEM	PREVOD Z UCTU	5915	32574	DUCHOD	ST	10531437
840194	2861	1994-11-06	PRIJEM	PREVOD Z UCTU	5915	35281	DUCHOD	ST	10531437
840195	2861	1994-12-06	PRIJEM	PREVOD Z UCTU	5915	38705	DUCHOD	ST	10531437
840196	2861	1995-01-06	PRIJEM	PREVOD Z UCTU	5915	34208	DUCHOD	ST	10531437
840197	2861	1995-02-06	PRIJEM	PREVOD Z UCTU	5915	31144	DUCHOD	ST	10531437
840198	2861	1995-03-06	PRIJEM	PREVOD Z UCTU	5915	30722	DUCHOD	ST	10531437
840199	2861	1995-04-06	PRIJEM	PREVOD Z UCTU	5915	33727	DUCHOD	ST	10531437
840200	2861	1995-05-06	PRIJEM	PREVOD Z UCTU	5915	36744	DUCHOD	ST	10531437
840201	2861	1995-06-06	PRIJEM	PREVOD Z UCTU	5915	35989	DUCHOD	ST	10531437
840202	2861	1995-07-06	PRIJEM	PREVOD Z UCTU	5915	28686	DUCHOD	ST	10531437
840203	2861	1995-08-06	PRIJEM	PREVOD Z UCTU	5915	30476	DUCHOD	ST	10531437
840204	2861	1995-09-06	PRIJEM	PREVOD Z UCTU	5915	32351	DUCHOD	ST	10531437
840205	2861	1995-10-06	PRIJEM	PREVOD Z UCTU	5915	29988	DUCHOD	ST	10531437
840206	2861	1995-11-06	PRIJEM	PREVOD Z UCTU	5915	29723	DUCHOD	ST	10531437
840207	2861	1995-12-06	PRIJEM	PREVOD Z UCTU	5915	29085	DUCHOD	ST	10531437
840208	2861	1996-01-06	PRIJEM	PREVOD Z UCTU	5915	30913	DUCHOD	ST	10531437
840209	2861	1996-02-06	PRIJEM	PREVOD Z UCTU	5915	27343	DUCHOD	ST	10531437
840210	2861	1996-03-06	PRIJEM	PREVOD Z UCTU	5915	30727	DUCHOD	ST	10531437
840211	2861	1996-04-06	PRIJEM	PREVOD Z UCTU	5915	28641	DUCHOD	ST	10531437
840212	2861	1996-05-06	PRIJEM	PREVOD Z UCTU	5915	27227	DUCHOD	ST	10531437
840213	2861	1996-06-06	PRIJEM	PREVOD Z UCTU	5915	30110	DUCHOD	ST	10531437
840214	2861	1996-07-06	PRIJEM	PREVOD Z UCTU	5915	30602	DUCHOD	ST	10531437
840215	2861	1996-08-06	PRIJEM	PREVOD Z UCTU	5915	33999	DUCHOD	ST	10531437
840216	2861	1996-09-06	PRIJEM	PREVOD Z UCTU	5915	35008	DUCHOD	ST	10531437
840217	2861	1996-10-06	PRIJEM	PREVOD Z UCTU	5915	33618	DUCHOD	ST	10531437
840218	2861	1996-11-06	PRIJEM	PREVOD Z UCTU	5915	31201	DUCHOD	ST	10531437
840219	2861	1996-12-06	PRIJEM	PREVOD Z UCTU	5915	32097	DUCHOD	ST	10531437
840220	2861	1997-01-06	PRIJEM	PREVOD Z UCTU	5915	31185	DUCHOD	ST	10531437
840221	2861	1997-02-06	PRIJEM	PREVOD Z UCTU	5915	22567	DUCHOD	ST	10531437
840222	2861	1997-03-06	PRIJEM	PREVOD Z UCTU	5915	25930	DUCHOD	ST	10531437
840223	2861	1997-04-06	PRIJEM	PREVOD Z UCTU	5915	29308	DUCHOD	ST	10531437
840224	2861	1997-05-06	PRIJEM	PREVOD Z UCTU	5915	29494	DUCHOD	ST	10531437
840225	2861	1997-06-06	PRIJEM	PREVOD Z UCTU	5915	27077	DUCHOD	ST	10531437
840226	2861	1997-07-06	PRIJEM	PREVOD Z UCTU	5915	23346	DUCHOD	ST	10531437
840227	2861	1997-08-06	PRIJEM	PREVOD Z UCTU	5915	21503	DUCHOD	ST	10531437
840228	2861	1997-09-06	PRIJEM	PREVOD Z UCTU	5915	23760	DUCHOD	ST	10531437
840229	2861	1997-10-06	PRIJEM	PREVOD Z UCTU	5915	27128	DUCHOD	ST	10531437
840230	2861	1997-11-06	PRIJEM	PREVOD Z UCTU	5915	27068	DUCHOD	ST	10531437
840231	2861	1997-12-06	PRIJEM	PREVOD Z UCTU	5915	25359	DUCHOD	ST	10531437
840232	2861	1998-01-06	PRIJEM	PREVOD Z UCTU	5915	22170	DUCHOD	ST	10531437
840233	2861	1998-02-06	PRIJEM	PREVOD Z UCTU	5915	19719	DUCHOD	ST	10531437
840234	2861	1998-03-06	PRIJEM	PREVOD Z UCTU	5915	19883	DUCHOD	ST	10531437
840235	2861	1998-04-06	PRIJEM	PREVOD Z UCTU	5915	21431	DUCHOD	ST	10531437
840236	2861	1998-05-06	PRIJEM	PREVOD Z UCTU	5915	19577	DUCHOD	ST	10531437
840237	2861	1998-06-06	PRIJEM	PREVOD Z UCTU	5915	21004	DUCHOD	ST	10531437
840238	2861	1998-07-06	PRIJEM	PREVOD Z UCTU	5915	24259	DUCHOD	ST	10531437
840239	2861	1998-08-06	PRIJEM	PREVOD Z UCTU	5915	22197	DUCHOD	ST	10531437
840240	2861	1998-09-06	PRIJEM	PREVOD Z UCTU	5915	22432	DUCHOD	ST	10531437
840241	2861	1998-10-06	PRIJEM	PREVOD Z UCTU	5915	18374	DUCHOD	ST	10531437
840242	2861	1998-11-06	PRIJEM	PREVOD Z UCTU	5915	21218	DUCHOD	ST	10531437
840243	2861	1998-12-06	PRIJEM	PREVOD Z UCTU	5915	23825	DUCHOD	ST	10531437
840250	2861	1993-07-13	VYDAJ	PREVOD NA UCET	2613	20642	SIPO	GH	70139986
840251	2861	1993-08-13	VYDAJ	PREVOD NA UCET	2613	23993	SIPO	GH	70139986
840252	2861	1993-09-13	VYDAJ	PREVOD NA UCET	2613	25975	SIPO	GH	70139986
840253	2861	1993-10-13	VYDAJ	PREVOD NA UCET	2613	25468	SIPO	GH	70139986
840254	2861	1993-11-13	VYDAJ	PREVOD NA UCET	2613	25260	SIPO	GH	70139986
840255	2861	1993-12-13	VYDAJ	PREVOD NA UCET	2613	23055	SIPO	GH	70139986
840256	2861	1994-01-13	VYDAJ	PREVOD NA UCET	2613	19450	SIPO	GH	70139986
840257	2861	1994-02-13	VYDAJ	PREVOD NA UCET	2613	17142	SIPO	GH	70139986
840258	2861	1994-03-13	VYDAJ	PREVOD NA UCET	2613	20495	SIPO	GH	70139986
840259	2861	1994-04-13	VYDAJ	PREVOD NA UCET	2613	21462	SIPO	GH	70139986
840260	2861	1994-05-13	VYDAJ	PREVOD NA UCET	2613	22203	SIPO	GH	70139986
840261	2861	1994-06-13	VYDAJ	PREVOD NA UCET	2613	21904	SIPO	GH	70139986
840262	2861	1994-07-13	VYDAJ	PREVOD NA UCET	2613	19825	SIPO	GH	70139986
840263	2861	1994-08-13	VYDAJ	PREVOD NA UCET	2613	23190	SIPO	GH	70139986
840264	2861	1994-09-13	VYDAJ	PREVOD NA UCET	2613	26569	SIPO	GH	70139986
840265	2861	1994-10-13	VYDAJ	PREVOD NA UCET	2613	29961	SIPO	GH	70139986
840266	2861	1994-11-13	VYDAJ	PREVOD NA UCET	2613	32668	SIPO	GH	70139986
840267	2861	1994-12-13	VYDAJ	PREVOD NA UCET	2613	35742	SIPO	GH	70139986
840268	2861	1995-01-13	VYDAJ	PREVOD NA UCET	2613	31595	SIPO	GH	70139986
840269	2861	1995-02-13	VYDAJ	PREVOD NA UCET	2613	28531	SIPO	GH	70139986
840270	2861	1995-03-13	VYDAJ	PREVOD NA UCET	2613	28109	SIPO	GH	70139986
840271	2861	1995-04-13	VYDAJ	PREVOD NA UCET	2613	31114	SIPO	GH	70139986
840272	2861	1995-05-13	VYDAJ	PREVOD NA UCET	2613	34131	SIPO	GH	70139986
840273	2861	1995-06-13	VYDAJ	PREVOD NA UCET	2613	33376	SIPO	GH	70139986
840274	2861	1995-07-13	VYDAJ	PREVOD NA UCET	2613	26073	SIPO	GH	70139986
840275	2861	1995-08-13	VYDAJ	PREVOD NA UCET	2613	27863	SIPO	GH	70139986
840276	2861	1995-09-13	VYDAJ	PREVOD NA UCET	2613	29738	SIPO	GH	70139986
840277	2861	1995-10-13	VYDAJ	PREVOD NA UCET	2613	27375	SIPO	GH	70139986
840278	2861	1995-11-13	VYDAJ	PREVOD NA UCET	2613	27110	SIPO	GH	70139986
840279	2861	1995-12-13	VYDAJ	PREVOD NA UCET	2613	26472	SIPO	GH	70139986
840280	2861	1996-01-13	VYDAJ	PREVOD NA UCET	2613	25260	SIPO	GH	70139986
840281	2861	1996-02-13	VYDAJ	PREVOD NA UCET	2613	24730	SIPO	GH	70139986
840282	2861	1996-03-13	VYDAJ	PREVOD NA UCET	2613	28114	SIPO	GH	70139986
840283	2861	1996-04-13	VYDAJ	PREVOD NA UCET	2613	26028	SIPO	GH	70139986
840284	2861	1996-05-13	VYDAJ	PREVOD NA UCET	2613	24614	SIPO	GH	70139986
840285	2861	1996-06-13	VYDAJ	PREVOD NA UCET	2613	27497	SIPO	GH	70139986
840286	2861	1996-07-13	VYDAJ	PREVOD NA UCET	2613	27989	SIPO	GH	70139986
840287	2861	1996-08-13	VYDAJ	PREVOD NA UCET	2613	31386	SIPO	GH	70139986
840288	2861	1996-09-13	VYDAJ	PREVOD NA UCET	2613	32395	SIPO	GH	70139986
840289	2861	1996-10-13	VYDAJ	PREVOD NA UCET	2613	31005	SIPO	GH	70139986
840290	2861	1996-11-13	VYDAJ	PREVOD NA UCET	2613	28588	SIPO	GH	70139986
840291	2861	1996-12-13	VYDAJ	PREVOD NA UCET	2613	27724	SIPO	GH	70139986
840292	2861	1997-01-13	VYDAJ	PREVOD NA UCET	2613	25692	SIPO	GH	70139986
840293	2861	1997-02-13	VYDAJ	PREVOD NA UCET	2613	19954	SIPO	GH	70139986
840294	2861	1997-03-13	VYDAJ	PREVOD NA UCET	2613	23317	SIPO	GH	70139986
840295	2861	1997-04-13	VYDAJ	PREVOD NA UCET	2613	26695	SIPO	GH	70139986
840296	2861	1997-05-13	VYDAJ	PREVOD NA UCET	2613	26881	SIPO	GH	70139986
840297	2861	1997-06-13	VYDAJ	PREVOD NA UCET	2613	21864	SIPO	GH	70139986
840298	2861	1997-07-13	VYDAJ	PREVOD NA UCET	2613	20733	SIPO	GH	70139986
840299	2861	1997-08-13	VYDAJ	PREVOD NA UCET	2613	18890	SIPO	GH	70139986
840300	2861	1997-09-13	VYDAJ	PREVOD NA UCET	2613	21147	SIPO	GH	70139986
840301	2861	1997-10-13	VYDAJ	PREVOD NA UCET	2613	24515	SIPO	GH	70139986
840302	2861	1997-11-13	VYDAJ	PREVOD NA UCET	2613	21575	SIPO	GH	70139986
840303	2861	1997-12-13	VYDAJ	PREVOD NA UCET	2613	22746	SIPO	GH	70139986
840304	2861	1998-01-13	VYDAJ	PREVOD NA UCET	2613	15157	SIPO	GH	70139986
840305	2861	1998-02-13	VYDAJ	PREVOD NA UCET	2613	16626	SIPO	GH	70139986
840306	2861	1998-03-13	VYDAJ	PREVOD NA UCET	2613	17270	SIPO	GH	70139986
840307	2861	1998-04-13	VYDAJ	PREVOD NA UCET	2613	18818	SIPO	GH	70139986
840308	2861	1998-05-13	VYDAJ	PREVOD NA UCET	2613	15044	SIPO	GH	70139986
840309	2861	1998-06-13	VYDAJ	PREVOD NA UCET	2613	18391	SIPO	GH	70139986
840310	2861	1998-07-13	VYDAJ	PREVOD NA UCET	2613	20126	SIPO	GH	70139986
840311	2861	1998-08-13	VYDAJ	PREVOD NA UCET	2613	19584	SIPO	GH	70139986
840312	2861	1998-09-13	VYDAJ	PREVOD NA UCET	2613	12419	SIPO	GH	70139986
840313	2861	1998-10-13	VYDAJ	PREVOD NA UCET	2613	15261	SIPO	GH	70139986
840314	2861	1998-11-13	VYDAJ	PREVOD NA UCET	2613	18605	SIPO	GH	70139986
840315	2861	1998-12-13	VYDAJ	PREVOD NA UCET	2613	21012	SIPO	GH	70139986
840317	2861	1994-06-29	VYDAJ	VYBER	5450	16454	\N	\N	\N
840318	2861	1995-06-14	VYDAJ	VYBER	10700	22676	\N	\N	\N
840320	2861	1997-06-12	VYDAJ	VYBER	2600	24477	\N	\N	\N
840322	2861	1993-12-14	VYDAJ	VYBER	650	22405	\N	\N	\N
840323	2861	1994-12-10	VYDAJ	VYBER	350	38355	\N	\N	\N
840324	2861	1995-12-22	VYDAJ	VYBER	850	25622	\N	\N	\N
840325	2861	1996-12-22	VYDAJ	VYBER	650	25174	\N	\N	\N
840326	2861	1997-12-27	VYDAJ	VYBER	350	16196	\N	\N	\N
840327	2861	1998-12-01	VYDAJ	VYBER	750	17910	\N	\N	\N
840334	2861	1994-01-27	VYDAJ	VYBER	2240	13770	\N	\N	\N
840335	2861	1994-01-11	VYDAJ	VYBER	1840	22063	\N	\N	\N
840336	2861	1994-01-27	VYDAJ	VYBER	1280	16010	\N	\N	\N
840337	2861	1994-01-22	VYDAJ	VYBER	720	17290	\N	\N	\N
840338	2861	1994-01-02	VYDAJ	VYBER	800	21688	\N	\N	\N
840339	2861	1994-01-17	VYDAJ	VYBER	1440	18010	\N	\N	\N
840340	2861	1995-01-05	VYDAJ	VYBER	1360	28293	\N	\N	\N
840341	2861	1995-01-30	VYDAJ	VYBER	1760	25915	\N	\N	\N
840342	2861	1995-01-22	VYDAJ	VYBER	1680	29915	\N	\N	\N
840343	2861	1995-01-05	VYDAJ	VYBER	1040	29653	\N	\N	\N
840344	2861	1995-01-02	VYDAJ	VYBER	480	30693	\N	\N	\N
840345	2861	1995-01-23	VYDAJ	VYBER	2240	27675	\N	\N	\N
840346	2861	1996-01-12	VYDAJ	VYBER	1360	27873	\N	\N	\N
840347	2861	1996-01-24	VYDAJ	VYBER	640	21340	\N	\N	\N
840348	2861	1996-01-10	VYDAJ	VYBER	1680	29233	\N	\N	\N
840349	2861	1996-01-24	VYDAJ	VYBER	1280	21980	\N	\N	\N
840350	2861	1996-01-15	VYDAJ	VYBER	2000	23260	\N	\N	\N
840351	2861	1996-01-02	VYDAJ	VYBER	720	24998	\N	\N	\N
840352	2861	1997-01-20	VYDAJ	VYBER	2160	19052	\N	\N	\N
840353	2861	1997-01-08	VYDAJ	VYBER	1280	28305	\N	\N	\N
840354	2861	1997-01-24	VYDAJ	VYBER	2000	17052	\N	\N	\N
840355	2861	1997-01-06	VYDAJ	VYBER	1600	29585	\N	\N	\N
840356	2861	1997-01-17	VYDAJ	VYBER	2080	23612	\N	\N	\N
840357	2861	1997-01-29	VYDAJ	VYBER	480	16572	\N	\N	\N
840359	2861	1998-01-08	VYDAJ	VYBER	2160	17770	\N	\N	\N
840362	2861	1998-01-06	VYDAJ	VYBER	2240	19930	\N	\N	\N
840364	2861	1993-07-13	VYDAJ	VYBER	3520	23255	\N	\N	\N
840367	2861	1993-09-25	VYDAJ	VYBER	3200	22775	\N	\N	\N
840368	2861	1993-10-14	VYDAJ	VYBER	400	25068	\N	\N	\N
840370	2861	1994-05-08	VYDAJ	VYBER	2640	24816	\N	\N	\N
840371	2861	1994-05-31	VYDAJ	VYBER	3680	18616	\N	\N	\N
840372	2861	1995-09-23	VYDAJ	VYBER	3040	23978	\N	\N	\N
840373	2861	1995-05-18	VYDAJ	VYBER	2880	31251	\N	\N	\N
840374	2861	1995-08-17	VYDAJ	VYBER	1520	26343	\N	\N	\N
840375	2861	1995-09-20	VYDAJ	VYBER	2720	27018	\N	\N	\N
840376	2861	1995-02-26	VYDAJ	VYBER	3520	25011	\N	\N	\N
840377	2861	1995-12-04	VYDAJ	VYBER	3040	23170	\N	\N	\N
840378	2861	1995-11-03	VYDAJ	VYBER	2960	23808	\N	\N	\N
840379	2861	1996-12-08	VYDAJ	VYBER	1760	30337	\N	\N	\N
840380	2861	1996-06-19	VYDAJ	VYBER	1600	25897	\N	\N	\N
840381	2861	1996-03-28	VYDAJ	VYBER	880	22634	\N	\N	\N
840382	2861	1996-10-24	VYDAJ	VYBER	3520	25185	\N	\N	\N
840384	2861	1997-11-11	VYDAJ	VYBER	2880	24188	\N	\N	\N
840385	2861	1997-10-17	VYDAJ	VYBER	2640	21075	\N	\N	\N
840386	2861	1997-01-19	VYDAJ	VYBER	2400	21212	\N	\N	\N
840389	2861	1998-02-12	VYDAJ	VYBER	480	19239	\N	\N	\N
840390	2861	1998-08-19	VYDAJ	VYBER	3120	16464	\N	\N	\N
840391	2861	1998-07-11	VYDAJ	VYBER	1520	22739	\N	\N	\N
840392	2861	1998-05-09	VYDAJ	VYBER	1920	17657	\N	\N	\N
840401	2861	1993-07-31	VYDAJ	VYBER	15	20691	SLUZBY	\N	\N
840402	2861	1993-08-31	VYDAJ	VYBER	15	24073	SLUZBY	\N	\N
840403	2861	1993-09-30	VYDAJ	VYBER	15	22866	SLUZBY	\N	\N
840404	2861	1993-10-31	VYDAJ	VYBER	15	25158	SLUZBY	\N	\N
840405	2861	1993-11-30	VYDAJ	VYBER	15	25353	SLUZBY	\N	\N
840406	2861	1993-12-31	VYDAJ	VYBER	15	22488	SLUZBY	\N	\N
840407	2861	1994-01-31	VYDAJ	VYBER	15	13840	SLUZBY	\N	\N
840408	2861	1994-02-28	VYDAJ	VYBER	15	17193	SLUZBY	\N	\N
840409	2861	1994-03-31	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
840410	2861	1994-04-30	VYDAJ	VYBER	15	21541	SLUZBY	\N	\N
840411	2861	1994-05-31	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
840412	2861	1994-06-30	VYDAJ	VYBER	15	16523	SLUZBY	\N	\N
840413	2861	1994-07-31	VYDAJ	VYBER	15	19888	SLUZBY	\N	\N
840414	2861	1994-08-31	VYDAJ	VYBER	15	23267	SLUZBY	\N	\N
840415	2861	1994-09-30	VYDAJ	VYBER	15	26659	SLUZBY	\N	\N
840416	2861	1994-10-31	VYDAJ	VYBER	15	30066	SLUZBY	\N	\N
840417	2861	1994-11-30	VYDAJ	VYBER	15	32790	SLUZBY	\N	\N
840418	2861	1994-12-31	VYDAJ	VYBER	15	35873	SLUZBY	\N	\N
840419	2861	1995-01-31	VYDAJ	VYBER	15	25229	SLUZBY	\N	\N
840420	2861	1995-02-28	VYDAJ	VYBER	15	25107	SLUZBY	\N	\N
840421	2861	1995-03-31	VYDAJ	VYBER	15	28212	SLUZBY	\N	\N
840422	2861	1995-04-30	VYDAJ	VYBER	15	31229	SLUZBY	\N	\N
840423	2861	1995-05-31	VYDAJ	VYBER	15	31374	SLUZBY	\N	\N
840424	2861	1995-06-30	VYDAJ	VYBER	15	22771	SLUZBY	\N	\N
840425	2861	1995-07-31	VYDAJ	VYBER	15	24561	SLUZBY	\N	\N
840426	2861	1995-08-31	VYDAJ	VYBER	15	26436	SLUZBY	\N	\N
840427	2861	1995-09-30	VYDAJ	VYBER	15	24073	SLUZBY	\N	\N
840428	2861	1995-10-31	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
840429	2861	1995-11-30	VYDAJ	VYBER	15	26210	SLUZBY	\N	\N
840430	2861	1995-12-31	VYDAJ	VYBER	15	25718	SLUZBY	\N	\N
840431	2861	1996-01-31	VYDAJ	VYBER	15	21428	SLUZBY	\N	\N
840432	2861	1996-02-29	VYDAJ	VYBER	15	24812	SLUZBY	\N	\N
840433	2861	1996-03-31	VYDAJ	VYBER	15	22726	SLUZBY	\N	\N
840434	2861	1996-04-30	VYDAJ	VYBER	15	21312	SLUZBY	\N	\N
840435	2861	1996-05-31	VYDAJ	VYBER	15	24195	SLUZBY	\N	\N
840436	2861	1996-06-30	VYDAJ	VYBER	15	24687	SLUZBY	\N	\N
840437	2861	1996-07-31	VYDAJ	VYBER	15	28084	SLUZBY	\N	\N
840438	2861	1996-08-31	VYDAJ	VYBER	15	29093	SLUZBY	\N	\N
840439	2861	1996-09-30	VYDAJ	VYBER	15	27703	SLUZBY	\N	\N
840440	2861	1996-10-31	VYDAJ	VYBER	15	25286	SLUZBY	\N	\N
840441	2861	1996-11-30	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
840442	2861	1996-12-31	VYDAJ	VYBER	15	25270	SLUZBY	\N	\N
840443	2861	1997-01-31	VYDAJ	VYBER	15	16652	SLUZBY	\N	\N
840444	2861	1997-02-28	VYDAJ	VYBER	15	20015	SLUZBY	\N	\N
840445	2861	1997-03-31	VYDAJ	VYBER	15	23393	SLUZBY	\N	\N
840446	2861	1997-04-30	VYDAJ	VYBER	15	23579	SLUZBY	\N	\N
840447	2861	1997-05-31	VYDAJ	VYBER	15	21162	SLUZBY	\N	\N
840448	2861	1997-06-30	VYDAJ	VYBER	15	17431	SLUZBY	\N	\N
840449	2861	1997-07-31	VYDAJ	VYBER	15	15588	SLUZBY	\N	\N
840450	2861	1997-08-31	VYDAJ	VYBER	15	17845	SLUZBY	\N	\N
840451	2861	1997-09-30	VYDAJ	VYBER	15	21213	SLUZBY	\N	\N
840452	2861	1997-10-31	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
840453	2861	1997-11-30	VYDAJ	VYBER	15	19444	SLUZBY	\N	\N
840454	2861	1997-12-31	VYDAJ	VYBER	15	16255	SLUZBY	\N	\N
840455	2861	1998-01-31	VYDAJ	VYBER	15	13804	SLUZBY	\N	\N
840456	2861	1998-02-28	VYDAJ	VYBER	15	13968	SLUZBY	\N	\N
840457	2861	1998-03-31	VYDAJ	VYBER	15	15516	SLUZBY	\N	\N
840458	2861	1998-04-30	VYDAJ	VYBER	15	13662	SLUZBY	\N	\N
840459	2861	1998-05-31	VYDAJ	VYBER	15	15089	SLUZBY	\N	\N
840460	2861	1998-06-30	VYDAJ	VYBER	15	18344	SLUZBY	\N	\N
840461	2861	1998-07-31	VYDAJ	VYBER	15	16282	SLUZBY	\N	\N
840462	2861	1998-08-31	VYDAJ	VYBER	15	16517	SLUZBY	\N	\N
840463	2861	1998-09-30	VYDAJ	VYBER	15	12459	SLUZBY	\N	\N
840464	2861	1998-10-31	VYDAJ	VYBER	15	15303	SLUZBY	\N	\N
840465	2861	1998-11-30	VYDAJ	VYBER	15	18660	SLUZBY	\N	\N
840466	2861	1993-07-10	VYDAJ	VYBER	3100	26775	\N	\N	\N
840467	2861	1993-09-08	VYDAJ	VYBER	1400	28588	\N	\N	\N
840468	2861	1993-10-08	VYDAJ	VYBER	700	28081	\N	\N	\N
840469	2861	1993-11-07	VYDAJ	VYBER	3200	27873	\N	\N	\N
840470	2861	1993-12-07	VYDAJ	VYBER	5600	25668	\N	\N	\N
840471	2861	1994-01-06	VYDAJ	VYBER	3700	23903	\N	\N	\N
840472	2861	1994-04-06	VYDAJ	VYBER	2400	24075	\N	\N	\N
840473	2861	1994-11-02	VYDAJ	VYBER	700	29366	\N	\N	\N
840474	2861	1995-01-01	VYDAJ	VYBER	4700	31173	\N	\N	\N
840475	2861	1995-01-31	VYDAJ	VYBER	800	25243	\N	\N	\N
840476	2861	1995-03-02	VYDAJ	VYBER	300	24807	\N	\N	\N
840477	2861	1995-04-01	VYDAJ	VYBER	400	27812	\N	\N	\N
840478	2861	1995-05-01	VYDAJ	VYBER	400	30829	\N	\N	\N
840479	2861	1995-05-31	VYDAJ	VYBER	1300	30074	\N	\N	\N
840480	2861	1995-07-30	VYDAJ	VYBER	1600	24473	\N	\N	\N
840481	2861	1995-10-28	VYDAJ	VYBER	700	26675	\N	\N	\N
840482	2861	1995-11-27	VYDAJ	VYBER	1000	26110	\N	\N	\N
840483	2861	1996-03-26	VYDAJ	VYBER	4600	23514	\N	\N	\N
840484	2861	1996-04-25	VYDAJ	VYBER	4800	21228	\N	\N	\N
840485	2861	1996-05-25	VYDAJ	VYBER	500	24114	\N	\N	\N
840486	2861	1996-06-24	VYDAJ	VYBER	1300	24597	\N	\N	\N
840487	2861	1996-08-23	VYDAJ	VYBER	2400	28986	\N	\N	\N
840488	2861	1996-09-22	VYDAJ	VYBER	4800	27595	\N	\N	\N
840489	2861	1996-10-22	VYDAJ	VYBER	2300	28705	\N	\N	\N
840490	2861	1996-11-21	VYDAJ	VYBER	2500	26088	\N	\N	\N
840491	2861	1996-12-21	VYDAJ	VYBER	1900	25824	\N	\N	\N
840492	2861	1997-04-20	VYDAJ	VYBER	3200	23495	\N	\N	\N
840493	2861	1997-05-20	VYDAJ	VYBER	5800	21081	\N	\N	\N
840494	2861	1997-06-19	VYDAJ	VYBER	4500	17364	\N	\N	\N
840495	2861	1997-07-19	VYDAJ	VYBER	5200	15533	\N	\N	\N
840496	2861	1997-08-18	VYDAJ	VYBER	1100	17790	\N	\N	\N
840497	2861	1997-10-17	VYDAJ	VYBER	800	23715	\N	\N	\N
840498	2861	1997-11-16	VYDAJ	VYBER	2200	19375	\N	\N	\N
840499	2861	1997-12-16	VYDAJ	VYBER	6200	16546	\N	\N	\N
840500	2861	1998-01-15	VYDAJ	VYBER	1400	13757	\N	\N	\N
840501	2861	1998-02-14	VYDAJ	VYBER	2700	13926	\N	\N	\N
840502	2861	1998-03-16	VYDAJ	VYBER	1800	15470	\N	\N	\N
840503	2861	1998-04-15	VYDAJ	VYBER	5200	13618	\N	\N	\N
840504	2861	1998-06-14	VYDAJ	VYBER	100	18291	\N	\N	\N
840505	2861	1998-07-14	VYDAJ	VYBER	3900	16226	\N	\N	\N
840506	2861	1998-09-12	VYDAJ	VYBER	7400	15032	\N	\N	\N
840507	2861	1998-10-12	VYDAJ	VYBER	500	17874	\N	\N	\N
840508	2861	1998-12-11	VYDAJ	VYBER	200	23625	\N	\N	\N
840575	2862	1993-06-07	PRIJEM	VKLAD	500	36570	\N	\N	\N
840581	2862	1993-06-07	PRIJEM	VKLAD	36070	36070	\N	\N	\N
840582	2862	1993-07-07	PRIJEM	VKLAD	24047	60739	\N	\N	\N
840583	2862	1993-08-07	PRIJEM	VKLAD	24047	59520	\N	\N	\N
840584	2862	1993-09-07	PRIJEM	VKLAD	24047	68315	\N	\N	\N
840585	2862	1993-10-07	PRIJEM	VKLAD	24047	71339	\N	\N	\N
840586	2862	1993-11-07	PRIJEM	VKLAD	24047	65037	\N	\N	\N
840587	2862	1993-12-07	PRIJEM	VKLAD	36070	77241	\N	\N	\N
840588	2862	1994-01-07	PRIJEM	VKLAD	24047	71156	\N	\N	\N
840589	2862	1994-02-07	PRIJEM	VKLAD	24047	63347	\N	\N	\N
840590	2862	1994-03-07	PRIJEM	VKLAD	24047	64618	\N	\N	\N
840591	2862	1994-04-07	PRIJEM	VKLAD	24047	60980	\N	\N	\N
840592	2862	1994-05-07	PRIJEM	VKLAD	24047	63641	\N	\N	\N
840593	2862	1994-06-07	PRIJEM	VKLAD	36070	74635	\N	\N	\N
840594	2862	1994-07-07	PRIJEM	VKLAD	24047	63124	\N	\N	\N
840595	2862	1994-08-07	PRIJEM	VKLAD	24047	63896	\N	\N	\N
840596	2862	1994-09-07	PRIJEM	VKLAD	24047	66367	\N	\N	\N
840597	2862	1994-10-07	PRIJEM	VKLAD	24047	66316	\N	\N	\N
840598	2862	1994-11-07	PRIJEM	VKLAD	24047	66068	\N	\N	\N
840599	2862	1994-12-07	PRIJEM	VKLAD	36070	76140	\N	\N	\N
840600	2862	1995-01-07	PRIJEM	VKLAD	24047	61105	\N	\N	\N
840601	2862	1995-02-07	PRIJEM	VKLAD	24047	55411	\N	\N	\N
840602	2862	1995-03-07	PRIJEM	VKLAD	24047	60016	\N	\N	\N
840603	2862	1995-04-07	PRIJEM	VKLAD	24047	65241	\N	\N	\N
840604	2862	1995-05-07	PRIJEM	VKLAD	24047	67386	\N	\N	\N
840605	2862	1995-06-07	PRIJEM	VKLAD	36070	74860	\N	\N	\N
840606	2862	1995-07-07	PRIJEM	VKLAD	24047	68741	\N	\N	\N
840607	2862	1995-08-07	PRIJEM	VKLAD	24047	66294	\N	\N	\N
840608	2862	1995-09-07	PRIJEM	VKLAD	24047	59734	\N	\N	\N
840609	2862	1995-10-07	PRIJEM	VKLAD	24047	61963	\N	\N	\N
840610	2862	1995-11-07	PRIJEM	VKLAD	24047	57668	\N	\N	\N
840611	2862	1995-12-07	PRIJEM	VKLAD	36070	74998	\N	\N	\N
840612	2862	1996-01-07	PRIJEM	VKLAD	24047	67961	\N	\N	\N
840613	2862	1996-02-07	PRIJEM	VKLAD	24047	58276	\N	\N	\N
840614	2862	1996-03-07	PRIJEM	VKLAD	24047	64583	\N	\N	\N
840615	2862	1996-04-07	PRIJEM	VKLAD	24047	66513	\N	\N	\N
840616	2862	1996-05-07	PRIJEM	VKLAD	24047	65045	\N	\N	\N
840617	2862	1996-06-07	PRIJEM	VKLAD	36070	72591	\N	\N	\N
840618	2862	1996-07-07	PRIJEM	VKLAD	24047	62320	\N	\N	\N
840619	2862	1996-08-07	PRIJEM	VKLAD	24047	60029	\N	\N	\N
840620	2862	1996-09-07	PRIJEM	VKLAD	24047	58229	\N	\N	\N
840621	2862	1996-10-07	PRIJEM	VKLAD	24047	61025	\N	\N	\N
840622	2862	1996-11-07	PRIJEM	VKLAD	24047	62730	\N	\N	\N
840623	2862	1996-12-07	PRIJEM	VKLAD	36070	72858	\N	\N	\N
840624	2862	1997-01-07	PRIJEM	VKLAD	24047	62172	\N	\N	\N
840625	2862	1997-02-07	PRIJEM	VKLAD	24047	48167	\N	\N	\N
840626	2862	1997-03-07	PRIJEM	VKLAD	24047	55924	\N	\N	\N
840627	2862	1997-04-07	PRIJEM	VKLAD	24047	53306	\N	\N	\N
840628	2862	1997-05-07	PRIJEM	VKLAD	24047	59601	\N	\N	\N
840629	2862	1997-06-07	PRIJEM	VKLAD	36070	74320	\N	\N	\N
840630	2862	1997-07-07	PRIJEM	VKLAD	24047	63030	\N	\N	\N
840631	2862	1997-08-07	PRIJEM	VKLAD	24047	58029	\N	\N	\N
840632	2862	1997-09-07	PRIJEM	VKLAD	24047	56806	\N	\N	\N
840633	2862	1997-10-07	PRIJEM	VKLAD	24047	56377	\N	\N	\N
840634	2862	1997-11-07	PRIJEM	VKLAD	24047	58754	\N	\N	\N
840635	2862	1997-12-07	PRIJEM	VKLAD	36070	68449	\N	\N	\N
840636	2862	1998-01-07	PRIJEM	VKLAD	24047	50234	\N	\N	\N
840637	2862	1998-02-07	PRIJEM	VKLAD	24047	44978	\N	\N	\N
840638	2862	1998-03-07	PRIJEM	VKLAD	24047	47501	\N	\N	\N
840639	2862	1998-04-07	PRIJEM	VKLAD	24047	47141	\N	\N	\N
840640	2862	1998-05-07	PRIJEM	VKLAD	24047	51098	\N	\N	\N
840641	2862	1998-06-07	PRIJEM	VKLAD	36070	61962	\N	\N	\N
840642	2862	1998-07-07	PRIJEM	VKLAD	24047	52716	\N	\N	\N
840643	2862	1998-08-07	PRIJEM	VKLAD	24047	48669	\N	\N	\N
840644	2862	1998-09-07	PRIJEM	VKLAD	24047	38268	\N	\N	\N
840645	2862	1998-10-07	PRIJEM	VKLAD	24047	55301	\N	\N	\N
840646	2862	1998-11-07	PRIJEM	VKLAD	24047	44125	\N	\N	\N
840647	2862	1998-12-07	PRIJEM	VKLAD	36070	50342	\N	\N	\N
840657	2862	1993-10-12	VYDAJ	PREVOD NA UCET	1371	60540	SIPO	AB	80541097
840658	2862	1993-11-12	VYDAJ	PREVOD NA UCET	1371	57938	SIPO	AB	80541097
840659	2862	1993-12-12	VYDAJ	PREVOD NA UCET	1371	70142	SIPO	AB	80541097
840660	2862	1994-01-12	VYDAJ	PREVOD NA UCET	1371	62157	SIPO	AB	80541097
840661	2862	1994-02-12	VYDAJ	PREVOD NA UCET	1371	56248	SIPO	AB	80541097
840662	2862	1994-03-12	VYDAJ	PREVOD NA UCET	1371	53419	SIPO	AB	80541097
840663	2862	1994-04-12	VYDAJ	PREVOD NA UCET	1371	53881	SIPO	AB	80541097
840664	2862	1994-05-12	VYDAJ	PREVOD NA UCET	1371	56542	SIPO	AB	80541097
840665	2862	1994-06-12	VYDAJ	PREVOD NA UCET	1371	66236	SIPO	AB	80541097
840666	2862	1994-07-12	VYDAJ	PREVOD NA UCET	1371	56025	SIPO	AB	80541097
840667	2862	1994-08-12	VYDAJ	PREVOD NA UCET	1371	56797	SIPO	AB	80541097
840668	2862	1994-09-12	VYDAJ	PREVOD NA UCET	1371	59268	SIPO	AB	80541097
840669	2862	1994-10-12	VYDAJ	PREVOD NA UCET	1371	59217	SIPO	AB	80541097
840670	2862	1994-11-12	VYDAJ	PREVOD NA UCET	1371	58969	SIPO	AB	80541097
840671	2862	1994-12-12	VYDAJ	PREVOD NA UCET	1371	69041	SIPO	AB	80541097
840672	2862	1995-01-12	VYDAJ	PREVOD NA UCET	1371	45106	SIPO	AB	80541097
840673	2862	1995-02-12	VYDAJ	PREVOD NA UCET	1371	48312	SIPO	AB	80541097
840674	2862	1995-03-12	VYDAJ	PREVOD NA UCET	1371	52917	SIPO	AB	80541097
840675	2862	1995-04-12	VYDAJ	PREVOD NA UCET	1371	58142	SIPO	AB	80541097
840676	2862	1995-05-12	VYDAJ	PREVOD NA UCET	1371	60287	SIPO	AB	80541097
840677	2862	1995-06-12	VYDAJ	PREVOD NA UCET	1371	67761	SIPO	AB	80541097
840678	2862	1995-07-12	VYDAJ	PREVOD NA UCET	1371	61642	SIPO	AB	80541097
840679	2862	1995-08-12	VYDAJ	PREVOD NA UCET	1371	59195	SIPO	AB	80541097
840680	2862	1995-09-12	VYDAJ	PREVOD NA UCET	1371	52635	SIPO	AB	80541097
840681	2862	1995-10-12	VYDAJ	PREVOD NA UCET	1371	51364	SIPO	AB	80541097
840682	2862	1995-11-12	VYDAJ	PREVOD NA UCET	1371	50569	SIPO	AB	80541097
840683	2862	1995-12-12	VYDAJ	PREVOD NA UCET	1371	67199	SIPO	AB	80541097
840866	2862	1997-10-24	VYDAJ	VYBER KARTOU	1300	34578	\N	\N	0
840684	2862	1996-01-12	VYDAJ	PREVOD NA UCET	1371	50562	SIPO	AB	80541097
840685	2862	1996-02-12	VYDAJ	PREVOD NA UCET	1371	51177	SIPO	AB	80541097
840686	2862	1996-03-12	VYDAJ	PREVOD NA UCET	1371	57484	SIPO	AB	80541097
840687	2862	1996-04-12	VYDAJ	PREVOD NA UCET	1371	59414	SIPO	AB	80541097
840688	2862	1996-05-12	VYDAJ	PREVOD NA UCET	1371	57946	SIPO	AB	80541097
840689	2862	1996-06-12	VYDAJ	PREVOD NA UCET	1371	65492	SIPO	AB	80541097
840690	2862	1996-07-12	VYDAJ	PREVOD NA UCET	1371	55221	SIPO	AB	80541097
840691	2862	1996-08-12	VYDAJ	PREVOD NA UCET	1371	52930	SIPO	AB	80541097
840692	2862	1996-09-12	VYDAJ	PREVOD NA UCET	1371	51130	SIPO	AB	80541097
840693	2862	1996-10-12	VYDAJ	PREVOD NA UCET	1371	53926	SIPO	AB	80541097
840694	2862	1996-11-12	VYDAJ	PREVOD NA UCET	1371	55631	SIPO	AB	80541097
840695	2862	1996-12-12	VYDAJ	PREVOD NA UCET	1371	65759	SIPO	AB	80541097
840696	2862	1997-01-12	VYDAJ	PREVOD NA UCET	1371	55073	SIPO	AB	80541097
840697	2862	1997-02-12	VYDAJ	PREVOD NA UCET	1371	41068	SIPO	AB	80541097
840698	2862	1997-03-12	VYDAJ	PREVOD NA UCET	1371	48825	SIPO	AB	80541097
840699	2862	1997-04-12	VYDAJ	PREVOD NA UCET	1371	46207	SIPO	AB	80541097
840700	2862	1997-05-12	VYDAJ	PREVOD NA UCET	1371	52502	SIPO	AB	80541097
840701	2862	1997-06-12	VYDAJ	PREVOD NA UCET	1371	67221	SIPO	AB	80541097
840702	2862	1997-07-12	VYDAJ	PREVOD NA UCET	1371	55931	SIPO	AB	80541097
840703	2862	1997-08-12	VYDAJ	PREVOD NA UCET	1371	50930	SIPO	AB	80541097
840704	2862	1997-09-12	VYDAJ	PREVOD NA UCET	1371	49707	SIPO	AB	80541097
840705	2862	1997-10-12	VYDAJ	PREVOD NA UCET	1371	49278	SIPO	AB	80541097
840706	2862	1997-11-12	VYDAJ	PREVOD NA UCET	1371	51655	SIPO	AB	80541097
840707	2862	1997-12-12	VYDAJ	PREVOD NA UCET	1371	61350	SIPO	AB	80541097
840708	2862	1998-01-12	VYDAJ	PREVOD NA UCET	1371	41235	SIPO	AB	80541097
840709	2862	1998-02-12	VYDAJ	PREVOD NA UCET	1371	23379	SIPO	AB	80541097
840710	2862	1998-03-12	VYDAJ	PREVOD NA UCET	1371	40402	SIPO	AB	80541097
840711	2862	1998-04-12	VYDAJ	PREVOD NA UCET	1371	26942	SIPO	AB	80541097
840712	2862	1998-05-12	VYDAJ	PREVOD NA UCET	1371	43999	SIPO	AB	80541097
840713	2862	1998-06-12	VYDAJ	PREVOD NA UCET	1371	31363	SIPO	AB	80541097
840714	2862	1998-07-12	VYDAJ	PREVOD NA UCET	1371	24517	SIPO	AB	80541097
840715	2862	1998-08-12	VYDAJ	PREVOD NA UCET	1371	14170	SIPO	AB	80541097
840716	2862	1998-09-12	VYDAJ	PREVOD NA UCET	1371	31169	SIPO	AB	80541097
840717	2862	1998-10-12	VYDAJ	PREVOD NA UCET	1371	20002	SIPO	AB	80541097
840718	2862	1998-11-12	VYDAJ	PREVOD NA UCET	1371	14226	SIPO	AB	80541097
840719	2862	1998-12-12	VYDAJ	PREVOD NA UCET	1371	16543	SIPO	AB	80541097
840729	2862	1993-10-11	VYDAJ	PREVOD NA UCET	5728	61911	 	CD	24443286
840730	2862	1993-11-11	VYDAJ	PREVOD NA UCET	5728	59309	 	CD	24443286
840731	2862	1993-12-11	VYDAJ	PREVOD NA UCET	5728	71513	 	CD	24443286
840732	2862	1994-01-11	VYDAJ	PREVOD NA UCET	5728	63528	 	CD	24443286
840733	2862	1994-02-11	VYDAJ	PREVOD NA UCET	5728	57619	 	CD	24443286
840734	2862	1994-03-11	VYDAJ	PREVOD NA UCET	5728	54790	 	CD	24443286
840735	2862	1994-04-11	VYDAJ	PREVOD NA UCET	5728	55252	 	CD	24443286
840736	2862	1994-05-11	VYDAJ	PREVOD NA UCET	5728	57913	 	CD	24443286
840737	2862	1994-06-11	VYDAJ	PREVOD NA UCET	5728	67607	 	CD	24443286
840738	2862	1994-07-11	VYDAJ	PREVOD NA UCET	5728	57396	 	CD	24443286
840739	2862	1994-08-11	VYDAJ	PREVOD NA UCET	5728	58168	 	CD	24443286
840740	2862	1994-09-11	VYDAJ	PREVOD NA UCET	5728	60639	 	CD	24443286
840741	2862	1994-10-11	VYDAJ	PREVOD NA UCET	5728	60588	 	CD	24443286
840742	2862	1994-11-11	VYDAJ	PREVOD NA UCET	5728	60340	 	CD	24443286
840743	2862	1994-12-11	VYDAJ	PREVOD NA UCET	5728	70412	 	CD	24443286
840744	2862	1995-01-11	VYDAJ	PREVOD NA UCET	5728	46477	 	CD	24443286
840745	2862	1995-02-11	VYDAJ	PREVOD NA UCET	5728	49683	 	CD	24443286
840746	2862	1995-03-11	VYDAJ	PREVOD NA UCET	5728	54288	 	CD	24443286
840747	2862	1995-04-11	VYDAJ	PREVOD NA UCET	5728	59513	 	CD	24443286
840748	2862	1995-05-11	VYDAJ	PREVOD NA UCET	5728	61658	 	CD	24443286
840749	2862	1995-06-11	VYDAJ	PREVOD NA UCET	5728	69132	 	CD	24443286
840750	2862	1995-07-11	VYDAJ	PREVOD NA UCET	5728	63013	 	CD	24443286
840751	2862	1995-08-11	VYDAJ	PREVOD NA UCET	5728	60566	 	CD	24443286
840752	2862	1995-09-11	VYDAJ	PREVOD NA UCET	5728	54006	 	CD	24443286
840753	2862	1995-10-11	VYDAJ	PREVOD NA UCET	5728	56235	 	CD	24443286
840754	2862	1995-11-11	VYDAJ	PREVOD NA UCET	5728	51940	 	CD	24443286
840755	2862	1995-12-11	VYDAJ	PREVOD NA UCET	5728	68570	 	CD	24443286
840756	2862	1996-01-11	VYDAJ	PREVOD NA UCET	5728	51933	 	CD	24443286
840757	2862	1996-02-11	VYDAJ	PREVOD NA UCET	5728	52548	 	CD	24443286
840758	2862	1996-03-11	VYDAJ	PREVOD NA UCET	5728	58855	 	CD	24443286
840759	2862	1996-04-11	VYDAJ	PREVOD NA UCET	5728	60785	 	CD	24443286
840760	2862	1996-05-11	VYDAJ	PREVOD NA UCET	5728	59317	 	CD	24443286
840761	2862	1996-06-11	VYDAJ	PREVOD NA UCET	5728	66863	 	CD	24443286
840762	2862	1996-07-11	VYDAJ	PREVOD NA UCET	5728	56592	 	CD	24443286
840763	2862	1996-08-11	VYDAJ	PREVOD NA UCET	5728	54301	 	CD	24443286
840764	2862	1996-09-11	VYDAJ	PREVOD NA UCET	5728	52501	 	CD	24443286
840765	2862	1996-10-11	VYDAJ	PREVOD NA UCET	5728	55297	 	CD	24443286
840766	2862	1996-11-11	VYDAJ	PREVOD NA UCET	5728	57002	 	CD	24443286
840767	2862	1996-12-11	VYDAJ	PREVOD NA UCET	5728	67130	 	CD	24443286
840768	2862	1997-01-11	VYDAJ	PREVOD NA UCET	5728	56444	 	CD	24443286
840769	2862	1997-02-11	VYDAJ	PREVOD NA UCET	5728	42439	 	CD	24443286
840770	2862	1997-03-11	VYDAJ	PREVOD NA UCET	5728	50196	 	CD	24443286
840771	2862	1997-04-11	VYDAJ	PREVOD NA UCET	5728	47578	 	CD	24443286
840772	2862	1997-05-11	VYDAJ	PREVOD NA UCET	5728	53873	 	CD	24443286
840773	2862	1997-06-11	VYDAJ	PREVOD NA UCET	5728	68592	 	CD	24443286
840774	2862	1997-07-11	VYDAJ	PREVOD NA UCET	5728	57302	 	CD	24443286
840775	2862	1997-08-11	VYDAJ	PREVOD NA UCET	5728	52301	 	CD	24443286
840776	2862	1997-09-11	VYDAJ	PREVOD NA UCET	5728	51078	 	CD	24443286
840777	2862	1997-10-11	VYDAJ	PREVOD NA UCET	5728	50649	 	CD	24443286
840778	2862	1997-11-11	VYDAJ	PREVOD NA UCET	5728	53026	 	CD	24443286
840779	2862	1997-12-11	VYDAJ	PREVOD NA UCET	5728	62721	 	CD	24443286
840780	2862	1998-01-11	VYDAJ	PREVOD NA UCET	5728	42606	 	CD	24443286
840781	2862	1998-02-11	VYDAJ	PREVOD NA UCET	5728	24750	 	CD	24443286
840782	2862	1998-03-11	VYDAJ	PREVOD NA UCET	5728	41773	 	CD	24443286
840783	2862	1998-04-11	VYDAJ	PREVOD NA UCET	5728	41413	 	CD	24443286
840784	2862	1998-05-11	VYDAJ	PREVOD NA UCET	5728	45370	 	CD	24443286
840785	2862	1998-06-11	VYDAJ	PREVOD NA UCET	5728	56234	 	CD	24443286
840786	2862	1998-07-11	VYDAJ	PREVOD NA UCET	5728	46988	 	CD	24443286
840787	2862	1998-08-11	VYDAJ	PREVOD NA UCET	5728	15541	 	CD	24443286
840788	2862	1998-09-11	VYDAJ	PREVOD NA UCET	5728	32540	 	CD	24443286
840789	2862	1998-10-11	VYDAJ	PREVOD NA UCET	5728	21373	 	CD	24443286
840790	2862	1998-11-11	VYDAJ	PREVOD NA UCET	5728	15597	 	CD	24443286
840791	2862	1998-12-11	VYDAJ	PREVOD NA UCET	5728	17914	 	CD	24443286
840793	2862	1994-06-20	VYDAJ	VYBER	4700	57236	\N	\N	\N
840794	2862	1995-06-20	VYDAJ	VYBER KARTOU	3100	64661	\N	\N	0
840795	2862	1996-06-24	VYDAJ	VYBER	7700	38092	\N	\N	\N
840796	2862	1997-06-16	VYDAJ	VYBER	18300	48921	\N	\N	\N
840799	2862	1994-01-18	VYDAJ	VYBER	1100	61057	\N	\N	\N
840800	2862	1995-01-07	VYDAJ	VYBER	7000	54105	\N	\N	\N
840801	2862	1996-01-13	VYDAJ	VYBER	7700	42862	\N	\N	\N
840802	2862	1997-01-16	VYDAJ	VYBER	4900	50173	\N	\N	\N
840803	2862	1998-01-05	VYDAJ	VYBER	4400	26187	\N	\N	\N
840804	2862	1993-12-05	VYDAJ	VYBER	2000	41171	\N	\N	\N
840805	2862	1994-12-14	VYDAJ	VYBER	2300	66741	\N	\N	\N
840806	2862	1995-12-08	VYDAJ	VYBER KARTOU	700	74298	\N	\N	0
840807	2862	1996-12-25	VYDAJ	VYBER KARTOU	600	39559	\N	\N	0
840808	2862	1997-12-29	VYDAJ	VYBER KARTOU	800	37250	\N	\N	0
840816	2862	1994-01-20	VYDAJ	VYBER	1700	59357	\N	\N	\N
840817	2862	1994-01-25	VYDAJ	VYBER	1000	56657	\N	\N	\N
840818	2862	1994-01-22	VYDAJ	VYBER	1700	57657	\N	\N	\N
840819	2862	1994-01-06	VYDAJ	VYBER	700	47109	\N	\N	\N
840820	2862	1994-01-09	VYDAJ	VYBER	1900	69256	\N	\N	\N
840821	2862	1994-01-26	VYDAJ	VYBER	1300	55357	\N	\N	\N
840822	2862	1995-01-08	VYDAJ	VYBER	1900	52205	\N	\N	\N
840823	2862	1995-01-04	VYDAJ	VYBER	1800	39058	\N	\N	\N
840824	2862	1995-01-04	VYDAJ	VYBER	2000	37058	\N	\N	\N
840825	2862	1995-01-03	VYDAJ	VYBER	2100	40858	\N	\N	\N
840826	2862	1995-01-30	VYDAJ	VYBER	600	31206	\N	\N	\N
840827	2862	1995-01-16	VYDAJ	VYBER	1600	43506	\N	\N	\N
840828	2862	1996-01-10	VYDAJ	VYBER KARTOU	1400	58261	\N	\N	0
840829	2862	1996-01-02	VYDAJ	VYBER KARTOU	700	43914	\N	\N	0
840830	2862	1996-01-10	VYDAJ	VYBER KARTOU	1900	59661	\N	\N	0
840831	2862	1996-01-11	VYDAJ	VYBER KARTOU	600	57661	\N	\N	0
840832	2862	1996-01-07	VYDAJ	VYBER KARTOU	1900	66061	\N	\N	0
840833	2862	1996-01-21	VYDAJ	VYBER KARTOU	1000	41862	\N	\N	0
840834	2862	1997-01-04	VYDAJ	VYBER KARTOU	700	38125	\N	\N	0
840835	2862	1997-01-30	VYDAJ	VYBER KARTOU	1300	23973	\N	\N	0
840836	2862	1997-01-23	VYDAJ	VYBER KARTOU	1600	27573	\N	\N	0
840837	2862	1997-01-19	VYDAJ	VYBER KARTOU	2100	29173	\N	\N	0
840838	2862	1997-01-02	VYDAJ	VYBER KARTOU	900	38825	\N	\N	0
840839	2862	1997-01-28	VYDAJ	VYBER KARTOU	2300	25273	\N	\N	0
840840	2862	1998-01-02	VYDAJ	VYBER KARTOU	700	31787	\N	\N	0
840841	2862	1998-01-21	VYDAJ	VYBER KARTOU	2000	20835	\N	\N	0
840842	2862	1998-01-08	VYDAJ	VYBER KARTOU	1900	48334	\N	\N	0
840843	2862	1998-01-04	VYDAJ	VYBER KARTOU	1200	30587	\N	\N	0
840845	2862	1998-01-20	VYDAJ	VYBER KARTOU	1300	22835	\N	\N	0
840847	2862	1993-10-11	VYDAJ	VYBER	3700	67639	\N	\N	\N
840849	2862	1994-03-07	VYDAJ	VYBER	4100	60518	\N	\N	\N
840850	2862	1994-09-15	VYDAJ	VYBER	2300	56968	\N	\N	\N
840851	2862	1994-06-14	VYDAJ	VYBER	4300	61936	\N	\N	\N
840852	2862	1994-06-11	VYDAJ	VYBER	1300	73335	\N	\N	\N
840853	2862	1994-11-26	VYDAJ	VYBER	1500	57469	\N	\N	\N
840854	2862	1994-12-27	VYDAJ	VYBER	3800	62941	\N	\N	\N
840855	2862	1995-10-15	VYDAJ	VYBER	4500	46864	\N	\N	\N
840856	2862	1995-01-18	VYDAJ	VYBER	4800	38706	\N	\N	\N
840857	2862	1995-10-11	VYDAJ	VYBER KARTOU	3500	52735	\N	\N	0
840858	2862	1995-09-03	VYDAJ	VYBER KARTOU	500	35687	\N	\N	0
840859	2862	1995-06-04	VYDAJ	VYBER KARTOU	3200	38790	\N	\N	0
840860	2862	1995-08-31	VYDAJ	VYBER	4200	36201	\N	\N	\N
840861	2862	1996-08-27	VYDAJ	VYBER KARTOU	1600	34030	\N	\N	0
840862	2862	1996-05-26	VYDAJ	VYBER	4700	36346	\N	\N	\N
840863	2862	1996-01-09	VYDAJ	VYBER	4500	61561	\N	\N	\N
840864	2862	1996-12-13	VYDAJ	VYBER KARTOU	2800	62959	\N	\N	0
840865	2862	1997-12-29	VYDAJ	VYBER	4900	32350	\N	\N	\N
840867	2862	1997-12-21	VYDAJ	VYBER KARTOU	700	38050	\N	\N	0
840868	2862	1997-04-06	VYDAJ	VYBER	4600	29259	\N	\N	\N
840869	2862	1997-07-28	VYDAJ	VYBER	4200	33831	\N	\N	\N
840870	2862	1998-07-01	VYDAJ	VYBER KARTOU	2800	28669	\N	\N	0
840871	2862	1998-05-13	VYDAJ	VYBER KARTOU	700	25799	\N	\N	0
840872	2862	1998-04-02	VYDAJ	VYBER	4400	23094	\N	\N	\N
840885	2862	1993-10-31	VYDAJ	VYBER	15	60790	SLUZBY	\N	\N
840886	2862	1993-11-30	VYDAJ	VYBER	15	58171	SLUZBY	\N	\N
840887	2862	1993-12-31	VYDAJ	VYBER	15	70409	SLUZBY	\N	\N
840888	2862	1994-01-31	VYDAJ	VYBER	15	55600	SLUZBY	\N	\N
840889	2862	1994-02-28	VYDAJ	VYBER	15	56471	SLUZBY	\N	\N
840890	2862	1994-03-31	VYDAJ	VYBER	15	53633	SLUZBY	\N	\N
840891	2862	1994-04-30	VYDAJ	VYBER	15	54094	SLUZBY	\N	\N
840892	2862	1994-05-31	VYDAJ	VYBER	15	56765	SLUZBY	\N	\N
840893	2862	1994-06-30	VYDAJ	VYBER	15	57477	SLUZBY	\N	\N
840894	2862	1994-07-31	VYDAJ	VYBER	15	56249	SLUZBY	\N	\N
840895	2862	1994-08-31	VYDAJ	VYBER	15	42320	SLUZBY	\N	\N
840896	2862	1994-09-30	VYDAJ	VYBER	15	42269	SLUZBY	\N	\N
840897	2862	1994-10-31	VYDAJ	VYBER	15	42021	SLUZBY	\N	\N
840898	2862	1994-11-30	VYDAJ	VYBER	15	40070	SLUZBY	\N	\N
840899	2862	1994-12-31	VYDAJ	VYBER	15	42958	SLUZBY	\N	\N
840900	2862	1995-01-31	VYDAJ	VYBER	15	31364	SLUZBY	\N	\N
840901	2862	1995-02-28	VYDAJ	VYBER	15	35969	SLUZBY	\N	\N
840902	2862	1995-03-31	VYDAJ	VYBER	15	41194	SLUZBY	\N	\N
840903	2862	1995-04-30	VYDAJ	VYBER	15	43339	SLUZBY	\N	\N
840904	2862	1995-05-31	VYDAJ	VYBER	15	41990	SLUZBY	\N	\N
840905	2862	1995-06-30	VYDAJ	VYBER	15	44694	SLUZBY	\N	\N
840906	2862	1995-07-31	VYDAJ	VYBER	15	42247	SLUZBY	\N	\N
840907	2862	1995-08-31	VYDAJ	VYBER	15	36187	SLUZBY	\N	\N
840908	2862	1995-09-30	VYDAJ	VYBER	15	37916	SLUZBY	\N	\N
840909	2862	1995-10-31	VYDAJ	VYBER	15	33621	SLUZBY	\N	\N
840910	2862	1995-11-30	VYDAJ	VYBER	15	38928	SLUZBY	\N	\N
840911	2862	1995-12-31	VYDAJ	VYBER	15	44614	SLUZBY	\N	\N
840912	2862	1996-01-31	VYDAJ	VYBER	15	34229	SLUZBY	\N	\N
840913	2862	1996-02-29	VYDAJ	VYBER	15	40536	SLUZBY	\N	\N
840914	2862	1996-03-31	VYDAJ	VYBER	15	42466	SLUZBY	\N	\N
840915	2862	1996-04-30	VYDAJ	VYBER	15	40998	SLUZBY	\N	\N
840916	2862	1996-05-31	VYDAJ	VYBER	15	36521	SLUZBY	\N	\N
840917	2862	1996-06-30	VYDAJ	VYBER	15	38273	SLUZBY	\N	\N
840918	2862	1996-07-31	VYDAJ	VYBER	15	35982	SLUZBY	\N	\N
840919	2862	1996-08-31	VYDAJ	VYBER	15	34182	SLUZBY	\N	\N
840920	2862	1996-09-30	VYDAJ	VYBER	15	36978	SLUZBY	\N	\N
840921	2862	1996-10-31	VYDAJ	VYBER	15	38683	SLUZBY	\N	\N
840922	2862	1996-11-30	VYDAJ	VYBER	15	36788	SLUZBY	\N	\N
840923	2862	1996-12-31	VYDAJ	VYBER	15	39725	SLUZBY	\N	\N
840924	2862	1997-01-31	VYDAJ	VYBER	15	24120	SLUZBY	\N	\N
840925	2862	1997-02-28	VYDAJ	VYBER	15	31877	SLUZBY	\N	\N
840926	2862	1997-03-31	VYDAJ	VYBER	15	33859	SLUZBY	\N	\N
840927	2862	1997-04-30	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
840928	2862	1997-05-31	VYDAJ	VYBER	15	38250	SLUZBY	\N	\N
840929	2862	1997-06-30	VYDAJ	VYBER	15	38983	SLUZBY	\N	\N
840930	2862	1997-07-31	VYDAJ	VYBER	15	33982	SLUZBY	\N	\N
840931	2862	1997-08-31	VYDAJ	VYBER	15	32759	SLUZBY	\N	\N
840932	2862	1997-09-30	VYDAJ	VYBER	15	32330	SLUZBY	\N	\N
840933	2862	1997-10-31	VYDAJ	VYBER	15	34707	SLUZBY	\N	\N
840934	2862	1997-11-30	VYDAJ	VYBER	15	32379	SLUZBY	\N	\N
840935	2862	1997-12-31	VYDAJ	VYBER	15	32487	SLUZBY	\N	\N
840936	2862	1998-01-31	VYDAJ	VYBER	15	20931	SLUZBY	\N	\N
840937	2862	1998-02-28	VYDAJ	VYBER	15	23454	SLUZBY	\N	\N
840938	2862	1998-03-31	VYDAJ	VYBER	15	27494	SLUZBY	\N	\N
840939	2862	1998-04-30	VYDAJ	VYBER	15	27051	SLUZBY	\N	\N
840940	2862	1998-05-31	VYDAJ	VYBER	15	25892	SLUZBY	\N	\N
840941	2862	1998-06-30	VYDAJ	VYBER	15	31469	SLUZBY	\N	\N
840942	2862	1998-07-31	VYDAJ	VYBER	15	24622	SLUZBY	\N	\N
840943	2862	1998-08-31	VYDAJ	VYBER	15	14221	SLUZBY	\N	\N
840944	2862	1998-09-30	VYDAJ	VYBER	15	31254	SLUZBY	\N	\N
840945	2862	1998-10-31	VYDAJ	VYBER	15	20078	SLUZBY	\N	\N
840946	2862	1998-11-30	VYDAJ	VYBER	15	14272	SLUZBY	\N	\N
840947	2862	1993-07-07	VYDAJ	VYBER	19600	41139	\N	\N	\N
840948	2862	1993-08-06	VYDAJ	VYBER	5900	35473	\N	\N	\N
840949	2862	1993-09-05	VYDAJ	VYBER	15500	44268	\N	\N	\N
840950	2862	1993-10-05	VYDAJ	VYBER	21300	47292	\N	\N	\N
840951	2862	1993-11-04	VYDAJ	VYBER	19800	40990	\N	\N	\N
840952	2862	1993-12-04	VYDAJ	VYBER	15000	43171	\N	\N	\N
840953	2862	1994-01-03	VYDAJ	VYBER	22600	47809	\N	\N	\N
840954	2862	1994-02-02	VYDAJ	VYBER	16300	39300	\N	\N	\N
840955	2862	1994-03-04	VYDAJ	VYBER	15900	40571	\N	\N	\N
840956	2862	1994-04-03	VYDAJ	VYBER	16700	36933	\N	\N	\N
840957	2862	1994-05-03	VYDAJ	VYBER	14500	39594	\N	\N	\N
840958	2862	1994-06-02	VYDAJ	VYBER	18200	38565	\N	\N	\N
840959	2862	1994-07-02	VYDAJ	VYBER	18400	39077	\N	\N	\N
840960	2862	1994-08-01	VYDAJ	VYBER	16400	39849	\N	\N	\N
840961	2862	1994-08-31	VYDAJ	VYBER	14700	42334	\N	\N	\N
840962	2862	1994-09-30	VYDAJ	VYBER	14900	42283	\N	\N	\N
840963	2862	1994-10-30	VYDAJ	VYBER	17400	41817	\N	\N	\N
840964	2862	1994-11-29	VYDAJ	VYBER	17600	39869	\N	\N	\N
840965	2862	1994-12-29	VYDAJ	VYBER	20200	42741	\N	\N	\N
840966	2862	1995-01-28	VYDAJ	VYBER	6900	31806	\N	\N	\N
840967	2862	1995-02-27	VYDAJ	VYBER	12500	35812	\N	\N	\N
840968	2862	1995-03-29	VYDAJ	VYBER	11900	41017	\N	\N	\N
840969	2862	1995-04-28	VYDAJ	VYBER	15000	43142	\N	\N	\N
840970	2862	1995-05-28	VYDAJ	VYBER	18500	41787	\N	\N	\N
840971	2862	1995-06-27	VYDAJ	VYBER	20200	44461	\N	\N	\N
840972	2862	1995-07-27	VYDAJ	VYBER	19600	42042	\N	\N	\N
840973	2862	1995-08-26	VYDAJ	VYBER	19000	40195	\N	\N	\N
840974	2862	1995-09-25	VYDAJ	VYBER	14900	37735	\N	\N	\N
840975	2862	1995-10-25	VYDAJ	VYBER	13400	33464	\N	\N	\N
840976	2862	1995-11-24	VYDAJ	VYBER	11800	38769	\N	\N	\N
840977	2862	1995-12-24	VYDAJ	VYBER	22800	44399	\N	\N	\N
840978	2862	1996-01-23	VYDAJ	VYBER	7800	34062	\N	\N	\N
840979	2862	1996-02-22	VYDAJ	VYBER	10800	40377	\N	\N	\N
840980	2862	1996-03-23	VYDAJ	VYBER	15200	42284	\N	\N	\N
840981	2862	1996-04-22	VYDAJ	VYBER	18600	40814	\N	\N	\N
840982	2862	1996-05-22	VYDAJ	VYBER	16900	41046	\N	\N	\N
840983	2862	1996-06-21	VYDAJ	VYBER	19700	45792	\N	\N	\N
840984	2862	1996-07-21	VYDAJ	VYBER	19400	35821	\N	\N	\N
840985	2862	1996-08-20	VYDAJ	VYBER	17300	35630	\N	\N	\N
840986	2862	1996-09-19	VYDAJ	VYBER	14300	36830	\N	\N	\N
840987	2862	1996-10-19	VYDAJ	VYBER	15400	38526	\N	\N	\N
840988	2862	1996-11-18	VYDAJ	VYBER	19000	36631	\N	\N	\N
840989	2862	1996-12-18	VYDAJ	VYBER	22800	40159	\N	\N	\N
840990	2862	1997-01-17	VYDAJ	VYBER	18900	31273	\N	\N	\N
840991	2862	1997-02-16	VYDAJ	VYBER	9300	31768	\N	\N	\N
840992	2862	1997-03-18	VYDAJ	VYBER	15100	33725	\N	\N	\N
840993	2862	1997-04-17	VYDAJ	VYBER	10800	35407	\N	\N	\N
840994	2862	1997-05-17	VYDAJ	VYBER	14400	38102	\N	\N	\N
840995	2862	1997-06-16	VYDAJ	VYBER	10100	38821	\N	\N	\N
840996	2862	1997-07-16	VYDAJ	VYBER	17900	38031	\N	\N	\N
840997	2862	1997-08-15	VYDAJ	VYBER	18300	32630	\N	\N	\N
840998	2862	1997-09-14	VYDAJ	VYBER	17500	32207	\N	\N	\N
840999	2862	1997-10-14	VYDAJ	VYBER	13400	35878	\N	\N	\N
841000	2862	1997-11-13	VYDAJ	VYBER	19400	32255	\N	\N	\N
841001	2862	1997-12-13	VYDAJ	VYBER	22600	38750	\N	\N	\N
841002	2862	1998-01-12	VYDAJ	VYBER	17100	24135	\N	\N	\N
841003	2862	1998-02-11	VYDAJ	VYBER	14500	30478	\N	\N	\N
841004	2862	1998-03-13	VYDAJ	VYBER	13000	27402	\N	\N	\N
841005	2862	1998-04-12	VYDAJ	VYBER	13100	28313	\N	\N	\N
841006	2862	1998-05-12	VYDAJ	VYBER	17500	26499	\N	\N	\N
841007	2862	1998-06-11	VYDAJ	VYBER	23500	32734	\N	\N	\N
841008	2862	1998-07-11	VYDAJ	VYBER	21100	25888	\N	\N	\N
841009	2862	1998-08-10	VYDAJ	VYBER	27400	21269	\N	\N	\N
841010	2862	1998-10-09	VYDAJ	VYBER	28200	27101	\N	\N	\N
841011	2862	1998-11-08	VYDAJ	VYBER	22800	21325	\N	\N	\N
841012	2862	1998-12-08	VYDAJ	VYBER	26700	23642	\N	\N	\N
841080	2863	1996-01-21	PRIJEM	VKLAD	200	200	\N	\N	\N
841082	2863	1996-02-07	PRIJEM	VKLAD	9252	9452	\N	\N	\N
841083	2863	1996-03-07	PRIJEM	VKLAD	9252	24526	\N	\N	\N
841084	2863	1996-04-07	PRIJEM	VKLAD	9252	32854	\N	\N	\N
841085	2863	1996-05-07	PRIJEM	VKLAD	9252	35908	\N	\N	\N
841086	2863	1996-06-07	PRIJEM	VKLAD	13878	41899	\N	\N	\N
841087	2863	1996-07-07	PRIJEM	VKLAD	9252	36456	\N	\N	\N
841088	2863	1996-08-07	PRIJEM	VKLAD	9252	37145	\N	\N	\N
841089	2863	1996-09-07	PRIJEM	VKLAD	9252	38839	\N	\N	\N
841090	2863	1996-10-07	PRIJEM	VKLAD	9252	41842	\N	\N	\N
841091	2863	1996-11-07	PRIJEM	VKLAD	9252	41451	\N	\N	\N
841092	2863	1996-12-07	PRIJEM	VKLAD	13878	43279	\N	\N	\N
841093	2863	1997-01-07	PRIJEM	VKLAD	9252	28906	\N	\N	\N
841094	2863	1997-02-07	PRIJEM	VKLAD	9252	32408	\N	\N	\N
841095	2863	1997-03-07	PRIJEM	VKLAD	9252	38168	\N	\N	\N
841096	2863	1997-04-07	PRIJEM	VKLAD	9252	41031	\N	\N	\N
841097	2863	1997-05-07	PRIJEM	VKLAD	9252	43943	\N	\N	\N
841098	2863	1997-06-07	PRIJEM	VKLAD	13878	28689	\N	\N	\N
841099	2863	1997-07-07	PRIJEM	VKLAD	9252	38381	\N	\N	\N
841100	2863	1997-08-07	PRIJEM	VKLAD	9252	43888	\N	\N	\N
841101	2863	1997-09-07	PRIJEM	VKLAD	9252	50521	\N	\N	\N
841102	2863	1997-10-07	PRIJEM	VKLAD	9252	49122	\N	\N	\N
841103	2863	1997-11-07	PRIJEM	VKLAD	9252	53371	\N	\N	\N
841104	2863	1997-12-07	PRIJEM	VKLAD	13878	59757	\N	\N	\N
841105	2863	1998-01-07	PRIJEM	VKLAD	9252	56829	\N	\N	\N
841106	2863	1998-02-07	PRIJEM	VKLAD	9252	46212	\N	\N	\N
841107	2863	1998-03-07	PRIJEM	VKLAD	9252	50389	\N	\N	\N
841108	2863	1998-04-07	PRIJEM	VKLAD	9252	53773	\N	\N	\N
841109	2863	1998-05-07	PRIJEM	VKLAD	9252	58442	\N	\N	\N
841110	2863	1998-06-07	PRIJEM	VKLAD	13878	36674	\N	\N	\N
841111	2863	1998-07-07	PRIJEM	VKLAD	9252	39381	\N	\N	\N
841112	2863	1998-08-07	PRIJEM	VKLAD	9252	47300	\N	\N	\N
841113	2863	1998-09-07	PRIJEM	VKLAD	9252	42219	\N	\N	\N
841114	2863	1998-10-07	PRIJEM	VKLAD	9252	48143	\N	\N	\N
841115	2863	1998-11-07	PRIJEM	VKLAD	9252	57383	\N	\N	\N
841116	2863	1998-12-07	PRIJEM	VKLAD	13878	62604	\N	\N	\N
841122	2863	1996-06-09	VYDAJ	PREVOD NA UCET	945	40954	SIPO	YZ	43436944
841123	2863	1996-07-09	VYDAJ	PREVOD NA UCET	945	35511	SIPO	YZ	43436944
841124	2863	1996-08-09	VYDAJ	PREVOD NA UCET	945	36200	SIPO	YZ	43436944
841125	2863	1996-09-09	VYDAJ	PREVOD NA UCET	945	37894	SIPO	YZ	43436944
841126	2863	1996-10-09	VYDAJ	PREVOD NA UCET	945	40897	SIPO	YZ	43436944
841127	2863	1996-11-09	VYDAJ	PREVOD NA UCET	945	40506	SIPO	YZ	43436944
841128	2863	1996-12-09	VYDAJ	PREVOD NA UCET	945	42334	SIPO	YZ	43436944
841129	2863	1997-01-09	VYDAJ	PREVOD NA UCET	945	27961	SIPO	YZ	43436944
841130	2863	1997-02-09	VYDAJ	PREVOD NA UCET	945	31463	SIPO	YZ	43436944
841131	2863	1997-03-09	VYDAJ	PREVOD NA UCET	945	37223	SIPO	YZ	43436944
841132	2863	1997-04-09	VYDAJ	PREVOD NA UCET	945	40086	SIPO	YZ	43436944
841133	2863	1997-05-09	VYDAJ	PREVOD NA UCET	945	42998	SIPO	YZ	43436944
841134	2863	1997-06-09	VYDAJ	PREVOD NA UCET	945	27744	SIPO	YZ	43436944
841135	2863	1997-07-09	VYDAJ	PREVOD NA UCET	945	37436	SIPO	YZ	43436944
841136	2863	1997-08-09	VYDAJ	PREVOD NA UCET	945	42943	SIPO	YZ	43436944
841137	2863	1997-09-09	VYDAJ	PREVOD NA UCET	945	49576	SIPO	YZ	43436944
841138	2863	1997-10-09	VYDAJ	PREVOD NA UCET	945	48177	SIPO	YZ	43436944
841139	2863	1997-11-09	VYDAJ	PREVOD NA UCET	945	52426	SIPO	YZ	43436944
841140	2863	1997-12-09	VYDAJ	PREVOD NA UCET	945	58812	SIPO	YZ	43436944
841141	2863	1998-01-09	VYDAJ	PREVOD NA UCET	945	55884	SIPO	YZ	43436944
841142	2863	1998-02-09	VYDAJ	PREVOD NA UCET	945	47767	SIPO	YZ	43436944
841143	2863	1998-03-09	VYDAJ	PREVOD NA UCET	945	49444	SIPO	YZ	43436944
841144	2863	1998-04-09	VYDAJ	PREVOD NA UCET	945	52828	SIPO	YZ	43436944
841145	2863	1998-05-09	VYDAJ	PREVOD NA UCET	945	57497	SIPO	YZ	43436944
841146	2863	1998-06-09	VYDAJ	PREVOD NA UCET	945	42529	SIPO	YZ	43436944
841147	2863	1998-07-09	VYDAJ	PREVOD NA UCET	945	43136	SIPO	YZ	43436944
841148	2863	1998-08-09	VYDAJ	PREVOD NA UCET	945	43455	SIPO	YZ	43436944
841149	2863	1998-09-09	VYDAJ	PREVOD NA UCET	945	42674	SIPO	YZ	43436944
841150	2863	1998-10-09	VYDAJ	PREVOD NA UCET	945	47198	SIPO	YZ	43436944
841151	2863	1998-11-09	VYDAJ	PREVOD NA UCET	945	56438	SIPO	YZ	43436944
841152	2863	1998-12-09	VYDAJ	PREVOD NA UCET	945	61659	SIPO	YZ	43436944
841158	2863	1996-06-11	VYDAJ	PREVOD NA UCET	5223	35731	 	QR	88193910
841159	2863	1996-07-11	VYDAJ	PREVOD NA UCET	5223	30288	 	QR	88193910
841160	2863	1996-08-11	VYDAJ	PREVOD NA UCET	5223	30977	 	QR	88193910
841161	2863	1996-09-11	VYDAJ	PREVOD NA UCET	5223	32671	 	QR	88193910
841162	2863	1996-10-11	VYDAJ	PREVOD NA UCET	5223	35674	 	QR	88193910
841163	2863	1996-11-11	VYDAJ	PREVOD NA UCET	5223	35283	 	QR	88193910
841164	2863	1996-12-11	VYDAJ	PREVOD NA UCET	5223	37111	 	QR	88193910
841165	2863	1997-01-11	VYDAJ	PREVOD NA UCET	5223	22738	 	QR	88193910
841166	2863	1997-02-11	VYDAJ	PREVOD NA UCET	5223	23120	 	QR	88193910
841167	2863	1997-03-11	VYDAJ	PREVOD NA UCET	5223	32000	 	QR	88193910
841168	2863	1997-04-11	VYDAJ	PREVOD NA UCET	5223	34863	 	QR	88193910
841169	2863	1997-05-11	VYDAJ	PREVOD NA UCET	5223	37775	 	QR	88193910
841170	2863	1997-06-11	VYDAJ	PREVOD NA UCET	5223	22521	 	QR	88193910
841171	2863	1997-07-11	VYDAJ	PREVOD NA UCET	5223	32213	 	QR	88193910
841172	2863	1997-08-11	VYDAJ	PREVOD NA UCET	5223	37720	 	QR	88193910
841173	2863	1997-09-11	VYDAJ	PREVOD NA UCET	5223	40513	 	QR	88193910
841174	2863	1997-10-11	VYDAJ	PREVOD NA UCET	5223	42954	 	QR	88193910
841175	2863	1997-11-11	VYDAJ	PREVOD NA UCET	5223	47203	 	QR	88193910
841176	2863	1997-12-11	VYDAJ	PREVOD NA UCET	5223	53589	 	QR	88193910
841177	2863	1998-01-11	VYDAJ	PREVOD NA UCET	5223	47661	 	QR	88193910
841178	2863	1998-02-11	VYDAJ	PREVOD NA UCET	5223	40984	 	QR	88193910
841179	2863	1998-03-11	VYDAJ	PREVOD NA UCET	5223	48421	 	QR	88193910
841180	2863	1998-04-11	VYDAJ	PREVOD NA UCET	5223	49005	 	QR	88193910
841181	2863	1998-05-11	VYDAJ	PREVOD NA UCET	5223	46774	 	QR	88193910
841182	2863	1998-06-11	VYDAJ	PREVOD NA UCET	5223	37306	 	QR	88193910
841183	2863	1998-07-11	VYDAJ	PREVOD NA UCET	5223	37913	 	QR	88193910
841184	2863	1998-08-11	VYDAJ	PREVOD NA UCET	5223	38232	 	QR	88193910
841185	2863	1998-09-11	VYDAJ	PREVOD NA UCET	5223	37451	 	QR	88193910
841186	2863	1998-10-11	VYDAJ	PREVOD NA UCET	5223	41975	 	QR	88193910
841187	2863	1998-11-11	VYDAJ	PREVOD NA UCET	5223	51215	 	QR	88193910
841188	2863	1998-12-11	VYDAJ	PREVOD NA UCET	5223	55836	 	QR	88193910
841189	2863	1996-06-11	VYDAJ	VYBER	6240	29491	\N	\N	\N
841190	2863	1997-06-04	VYDAJ	VYBER	20640	14811	\N	\N	\N
841191	2863	1998-06-02	VYDAJ	VYBER	22720	22796	\N	\N	\N
841194	2863	1998-01-28	VYDAJ	VYBER	10880	36781	\N	\N	\N
841195	2863	1996-12-20	VYDAJ	VYBER	3680	24591	\N	\N	\N
841196	2863	1997-12-16	VYDAJ	VYBER	4000	47389	\N	\N	\N
841197	2863	1998-12-15	VYDAJ	VYBER	4640	51196	\N	\N	\N
841198	2863	1996-12-17	VYDAJ	VYBER	5640	28271	\N	\N	\N
841200	2863	1996-12-30	VYDAJ	VYBER	1440	19551	\N	\N	\N
841202	2863	1996-12-22	VYDAJ	VYBER	3600	20991	\N	\N	\N
841203	2863	1997-09-11	VYDAJ	VYBER	3840	45736	\N	\N	\N
841204	2863	1997-02-10	VYDAJ	VYBER	3120	28343	\N	\N	\N
841205	2863	1997-05-17	VYDAJ	VYBER	3360	35315	\N	\N	\N
841206	2863	1997-03-31	VYDAJ	VYBER	1440	31794	\N	\N	\N
841207	2863	1997-01-11	VYDAJ	VYBER	2760	19978	\N	\N	\N
841208	2863	1997-09-16	VYDAJ	VYBER	2400	39713	\N	\N	\N
841209	2863	1998-08-16	VYDAJ	VYBER	5400	32832	\N	\N	\N
841210	2863	1998-06-29	VYDAJ	VYBER	3840	29986	\N	\N	\N
841211	2863	1998-11-21	VYDAJ	VYBER	1680	49535	\N	\N	\N
841212	2863	1998-12-10	VYDAJ	VYBER	600	61059	\N	\N	\N
841213	2863	1998-06-23	VYDAJ	VYBER	3480	33826	\N	\N	\N
841214	2863	1998-02-09	VYDAJ	VYBER	1560	46207	\N	\N	\N
841215	2863	1998-03-21	VYDAJ	VYBER	4080	44341	\N	\N	\N
841216	2863	1998-05-16	VYDAJ	VYBER	1440	45334	\N	\N	\N
841223	2863	1996-06-30	VYDAJ	VYBER	15	27204	SLUZBY	\N	\N
841224	2863	1996-07-31	VYDAJ	VYBER	15	27893	SLUZBY	\N	\N
841225	2863	1996-08-31	VYDAJ	VYBER	15	29587	SLUZBY	\N	\N
841226	2863	1996-09-30	VYDAJ	VYBER	15	32590	SLUZBY	\N	\N
841227	2863	1996-10-31	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
841228	2863	1996-11-30	VYDAJ	VYBER	15	29401	SLUZBY	\N	\N
841229	2863	1996-12-31	VYDAJ	VYBER	15	19654	SLUZBY	\N	\N
841230	2863	1997-01-31	VYDAJ	VYBER	15	23156	SLUZBY	\N	\N
841231	2863	1997-02-28	VYDAJ	VYBER	15	28916	SLUZBY	\N	\N
841232	2863	1997-03-31	VYDAJ	VYBER	15	31779	SLUZBY	\N	\N
841233	2863	1997-04-30	VYDAJ	VYBER	15	34691	SLUZBY	\N	\N
841234	2863	1997-05-31	VYDAJ	VYBER	15	35451	SLUZBY	\N	\N
841235	2863	1997-06-30	VYDAJ	VYBER	15	29129	SLUZBY	\N	\N
841236	2863	1997-07-31	VYDAJ	VYBER	15	34636	SLUZBY	\N	\N
841237	2863	1997-08-31	VYDAJ	VYBER	15	41269	SLUZBY	\N	\N
841238	2863	1997-09-30	VYDAJ	VYBER	15	39870	SLUZBY	\N	\N
841239	2863	1997-10-31	VYDAJ	VYBER	15	44119	SLUZBY	\N	\N
841240	2863	1997-11-30	VYDAJ	VYBER	15	45879	SLUZBY	\N	\N
841241	2863	1997-12-31	VYDAJ	VYBER	15	47577	SLUZBY	\N	\N
841242	2863	1998-01-31	VYDAJ	VYBER	15	36960	SLUZBY	\N	\N
841243	2863	1998-02-28	VYDAJ	VYBER	15	41137	SLUZBY	\N	\N
841244	2863	1998-03-31	VYDAJ	VYBER	15	44521	SLUZBY	\N	\N
841245	2863	1998-04-30	VYDAJ	VYBER	15	49190	SLUZBY	\N	\N
841246	2863	1998-05-31	VYDAJ	VYBER	15	45516	SLUZBY	\N	\N
841247	2863	1998-06-30	VYDAJ	VYBER	15	30129	SLUZBY	\N	\N
841248	2863	1998-07-31	VYDAJ	VYBER	15	38048	SLUZBY	\N	\N
841249	2863	1998-08-31	VYDAJ	VYBER	15	32967	SLUZBY	\N	\N
841250	2863	1998-09-30	VYDAJ	VYBER	15	37591	SLUZBY	\N	\N
841251	2863	1998-10-31	VYDAJ	VYBER	15	42131	SLUZBY	\N	\N
841252	2863	1998-11-30	VYDAJ	VYBER	15	49726	SLUZBY	\N	\N
841253	2863	1996-02-20	PRIJEM	VKLAD	5800	15252	\N	\N	\N
841254	2863	1996-03-21	VYDAJ	VYBER	1000	23526	\N	\N	\N
841255	2863	1996-04-20	VYDAJ	VYBER	6300	26554	\N	\N	\N
841256	2863	1996-05-20	VYDAJ	VYBER	8000	27908	\N	\N	\N
841257	2863	1996-06-19	VYDAJ	VYBER	2400	27091	\N	\N	\N
841258	2863	1996-07-19	VYDAJ	VYBER	2500	27788	\N	\N	\N
841259	2863	1996-08-18	VYDAJ	VYBER	1500	29477	\N	\N	\N
841260	2863	1996-09-17	VYDAJ	VYBER	200	32471	\N	\N	\N
841261	2863	1996-10-17	VYDAJ	VYBER	3600	32074	\N	\N	\N
841262	2863	1996-11-16	VYDAJ	VYBER	6000	29283	\N	\N	\N
841263	2863	1996-12-16	VYDAJ	VYBER	3200	33911	\N	\N	\N
841264	2863	1997-01-15	PRIJEM	VKLAD	3100	23078	\N	\N	\N
841265	2863	1997-02-14	PRIJEM	VKLAD	5700	28820	\N	\N	\N
841266	2863	1997-03-16	PRIJEM	VKLAD	1100	33100	\N	\N	\N
841267	2863	1997-04-15	VYDAJ	VYBER	300	34563	\N	\N	\N
841268	2863	1997-05-15	PRIJEM	VKLAD	900	38675	\N	\N	\N
841269	2863	1997-06-14	PRIJEM	VKLAD	6500	29021	\N	\N	\N
841270	2863	1997-07-14	PRIJEM	VKLAD	2300	34513	\N	\N	\N
841271	2863	1997-08-13	PRIJEM	VKLAD	3400	41120	\N	\N	\N
841272	2863	1997-09-12	PRIJEM	VKLAD	1600	42113	\N	\N	\N
841273	2863	1997-10-12	PRIJEM	VKLAD	1000	43954	\N	\N	\N
841274	2863	1997-11-11	VYDAJ	VYBER	1500	45703	\N	\N	\N
841275	2863	1997-12-11	VYDAJ	VYBER	2200	51389	\N	\N	\N
841276	2863	1998-01-10	VYDAJ	VYBER	3000	52884	\N	\N	\N
841277	2863	1998-02-09	PRIJEM	VKLAD	2500	48712	\N	\N	\N
841278	2863	1998-03-11	PRIJEM	VKLAD	4200	53644	\N	\N	\N
841279	2863	1998-04-10	PRIJEM	VKLAD	1400	54228	\N	\N	\N
841280	2863	1998-05-10	VYDAJ	VYBER	5500	51997	\N	\N	\N
841281	2863	1998-06-09	PRIJEM	VKLAD	6800	43474	\N	\N	\N
841282	2863	1998-07-09	PRIJEM	VKLAD	4700	44081	\N	\N	\N
841283	2863	1998-08-08	VYDAJ	VYBER	2900	44400	\N	\N	\N
841284	2863	1998-09-07	PRIJEM	VKLAD	1400	43619	\N	\N	\N
841285	2863	1998-10-07	PRIJEM	VKLAD	1300	38891	\N	\N	\N
841286	2863	1998-11-06	PRIJEM	VKLAD	6000	48131	\N	\N	\N
841287	2863	1998-12-06	VYDAJ	VYBER	1000	48726	\N	\N	\N
841323	2864	1996-03-16	PRIJEM	VKLAD	800	800	\N	\N	\N
841327	2864	1996-04-07	PRIJEM	VKLAD	14659	15459	\N	\N	\N
841328	2864	1996-05-07	PRIJEM	VKLAD	14659	36567	\N	\N	\N
841329	2864	1996-06-07	PRIJEM	VKLAD	21989	53167	\N	\N	\N
841330	2864	1996-07-07	PRIJEM	VKLAD	14659	53875	\N	\N	\N
841331	2864	1996-08-07	PRIJEM	VKLAD	14659	58908	\N	\N	\N
841332	2864	1996-09-07	PRIJEM	VKLAD	14659	55046	\N	\N	\N
841333	2864	1996-10-07	PRIJEM	VKLAD	14659	49686	\N	\N	\N
841334	2864	1996-11-07	PRIJEM	VKLAD	14659	53185	\N	\N	\N
841335	2864	1996-12-07	PRIJEM	VKLAD	21989	61713	\N	\N	\N
841336	2864	1997-01-07	PRIJEM	VKLAD	14659	44511	\N	\N	\N
841337	2864	1997-02-07	PRIJEM	VKLAD	14659	34013	\N	\N	\N
841338	2864	1997-03-07	PRIJEM	VKLAD	14659	37839	\N	\N	\N
841339	2864	1997-04-07	PRIJEM	VKLAD	14659	38234	\N	\N	\N
841340	2864	1997-05-07	PRIJEM	VKLAD	14659	42979	\N	\N	\N
841341	2864	1997-06-07	PRIJEM	VKLAD	21989	52066	\N	\N	\N
841342	2864	1997-07-07	PRIJEM	VKLAD	14659	29171	\N	\N	\N
841343	2864	1997-08-07	PRIJEM	VKLAD	14659	36088	\N	\N	\N
841344	2864	1997-09-07	PRIJEM	VKLAD	14659	36276	\N	\N	\N
841345	2864	1997-10-07	PRIJEM	VKLAD	14659	31286	\N	\N	\N
841346	2864	1997-11-07	PRIJEM	VKLAD	14659	33686	\N	\N	\N
841347	2864	1997-12-07	PRIJEM	VKLAD	21989	46451	\N	\N	\N
841348	2864	1998-01-07	PRIJEM	VKLAD	14659	43558	\N	\N	\N
841349	2864	1998-02-07	PRIJEM	VKLAD	14659	31401	\N	\N	\N
841350	2864	1998-03-07	PRIJEM	VKLAD	14659	40128	\N	\N	\N
841351	2864	1998-04-07	PRIJEM	VKLAD	14659	39483	\N	\N	\N
841352	2864	1998-05-07	PRIJEM	VKLAD	14659	43944	\N	\N	\N
841353	2864	1998-06-07	PRIJEM	VKLAD	21989	52765	\N	\N	\N
841354	2864	1998-07-07	PRIJEM	VKLAD	14659	41079	\N	\N	\N
841355	2864	1998-08-07	PRIJEM	VKLAD	14659	50146	\N	\N	\N
841356	2864	1998-09-07	PRIJEM	VKLAD	14659	53709	\N	\N	\N
841357	2864	1998-10-07	PRIJEM	VKLAD	14659	57033	\N	\N	\N
841358	2864	1998-11-07	PRIJEM	VKLAD	14659	59072	\N	\N	\N
841359	2864	1998-12-07	PRIJEM	VKLAD	21989	64447	\N	\N	\N
841367	2864	1996-08-13	VYDAJ	PREVOD NA UCET	890	51297	SIPO	GH	51518619
841368	2864	1996-09-13	VYDAJ	PREVOD NA UCET	890	38835	SIPO	GH	51518619
841369	2864	1996-10-13	VYDAJ	PREVOD NA UCET	890	38375	SIPO	GH	51518619
841370	2864	1996-11-13	VYDAJ	PREVOD NA UCET	890	39574	SIPO	GH	51518619
841371	2864	1996-12-13	VYDAJ	PREVOD NA UCET	890	46002	SIPO	GH	51518619
841372	2864	1997-01-13	VYDAJ	PREVOD NA UCET	890	31240	SIPO	GH	51518619
841373	2864	1997-02-13	VYDAJ	PREVOD NA UCET	890	23102	SIPO	GH	51518619
841374	2864	1997-03-13	VYDAJ	PREVOD NA UCET	890	27328	SIPO	GH	51518619
841375	2864	1997-04-13	VYDAJ	PREVOD NA UCET	890	28223	SIPO	GH	51518619
841376	2864	1997-05-13	VYDAJ	PREVOD NA UCET	890	29968	SIPO	GH	51518619
841377	2864	1997-06-13	VYDAJ	PREVOD NA UCET	890	30055	SIPO	GH	51518619
841378	2864	1997-07-13	VYDAJ	PREVOD NA UCET	890	21360	SIPO	GH	51518619
841379	2864	1997-08-13	VYDAJ	PREVOD NA UCET	890	23577	SIPO	GH	51518619
841380	2864	1997-09-13	VYDAJ	PREVOD NA UCET	890	16565	SIPO	GH	51518619
841381	2864	1997-10-13	VYDAJ	PREVOD NA UCET	890	14875	SIPO	GH	51518619
841382	2864	1997-11-13	VYDAJ	PREVOD NA UCET	890	26075	SIPO	GH	51518619
841383	2864	1997-12-13	VYDAJ	PREVOD NA UCET	890	38840	SIPO	GH	51518619
841384	2864	1998-01-13	VYDAJ	PREVOD NA UCET	890	33667	SIPO	GH	51518619
841385	2864	1998-02-13	VYDAJ	PREVOD NA UCET	890	23790	SIPO	GH	51518619
841386	2864	1998-03-13	VYDAJ	PREVOD NA UCET	890	32517	SIPO	GH	51518619
841387	2864	1998-04-13	VYDAJ	PREVOD NA UCET	890	31872	SIPO	GH	51518619
841388	2864	1998-05-13	VYDAJ	PREVOD NA UCET	890	31653	SIPO	GH	51518619
841389	2864	1998-06-13	VYDAJ	PREVOD NA UCET	890	45154	SIPO	GH	51518619
841390	2864	1998-07-13	VYDAJ	PREVOD NA UCET	890	33468	SIPO	GH	51518619
841391	2864	1998-08-13	VYDAJ	PREVOD NA UCET	890	42535	SIPO	GH	51518619
841392	2864	1998-09-13	VYDAJ	PREVOD NA UCET	890	46098	SIPO	GH	51518619
841393	2864	1998-10-13	VYDAJ	PREVOD NA UCET	890	49422	SIPO	GH	51518619
841394	2864	1998-11-13	VYDAJ	PREVOD NA UCET	890	51461	SIPO	GH	51518619
841395	2864	1998-12-13	VYDAJ	PREVOD NA UCET	890	56836	SIPO	GH	51518619
841403	2864	1996-08-11	VYDAJ	PREVOD NA UCET	413	52187	 	KL	14610875
841404	2864	1996-09-11	VYDAJ	PREVOD NA UCET	413	48325	 	KL	14610875
841405	2864	1996-10-11	VYDAJ	PREVOD NA UCET	413	42965	 	KL	14610875
841406	2864	1996-11-11	VYDAJ	PREVOD NA UCET	413	40464	 	KL	14610875
841407	2864	1996-12-11	VYDAJ	PREVOD NA UCET	413	54992	 	KL	14610875
841408	2864	1997-01-11	VYDAJ	PREVOD NA UCET	413	36690	 	KL	14610875
841409	2864	1997-02-11	VYDAJ	PREVOD NA UCET	413	23992	 	KL	14610875
841410	2864	1997-03-11	VYDAJ	PREVOD NA UCET	413	28218	 	KL	14610875
841411	2864	1997-04-11	VYDAJ	PREVOD NA UCET	413	29113	 	KL	14610875
841412	2864	1997-05-11	VYDAJ	PREVOD NA UCET	413	30858	 	KL	14610875
841413	2864	1997-06-11	VYDAJ	PREVOD NA UCET	413	30945	 	KL	14610875
841414	2864	1997-07-11	VYDAJ	PREVOD NA UCET	413	22250	 	KL	14610875
841415	2864	1997-08-11	VYDAJ	PREVOD NA UCET	413	24467	 	KL	14610875
841416	2864	1997-09-11	VYDAJ	PREVOD NA UCET	413	17455	 	KL	14610875
841417	2864	1997-10-11	VYDAJ	PREVOD NA UCET	413	15765	 	KL	14610875
841418	2864	1997-11-11	VYDAJ	PREVOD NA UCET	413	26965	 	KL	14610875
841419	2864	1997-12-11	VYDAJ	PREVOD NA UCET	413	39730	 	KL	14610875
841420	2864	1998-01-11	VYDAJ	PREVOD NA UCET	413	34557	 	KL	14610875
841421	2864	1998-02-11	VYDAJ	PREVOD NA UCET	413	24680	 	KL	14610875
841422	2864	1998-03-11	VYDAJ	PREVOD NA UCET	413	33407	 	KL	14610875
841423	2864	1998-04-11	VYDAJ	PREVOD NA UCET	413	32762	 	KL	14610875
841424	2864	1998-05-11	VYDAJ	PREVOD NA UCET	413	37223	 	KL	14610875
841425	2864	1998-06-11	VYDAJ	PREVOD NA UCET	413	46044	 	KL	14610875
841426	2864	1998-07-11	VYDAJ	PREVOD NA UCET	413	34358	 	KL	14610875
841427	2864	1998-08-11	VYDAJ	PREVOD NA UCET	413	43425	 	KL	14610875
841428	2864	1998-09-11	VYDAJ	PREVOD NA UCET	413	46988	 	KL	14610875
841429	2864	1998-10-11	VYDAJ	PREVOD NA UCET	413	50312	 	KL	14610875
841430	2864	1998-11-11	VYDAJ	PREVOD NA UCET	413	52351	 	KL	14610875
841431	2864	1998-12-11	VYDAJ	PREVOD NA UCET	413	57726	 	KL	14610875
841439	2864	1996-08-10	VYDAJ	PREVOD NA UCET	6308	52600	POJISTNE	WX	47772210
841440	2864	1996-09-10	VYDAJ	PREVOD NA UCET	6308	48738	POJISTNE	WX	47772210
841441	2864	1996-10-10	VYDAJ	PREVOD NA UCET	6308	43378	POJISTNE	WX	47772210
841442	2864	1996-11-10	VYDAJ	PREVOD NA UCET	6308	46877	POJISTNE	WX	47772210
841443	2864	1996-12-10	VYDAJ	PREVOD NA UCET	6308	55405	POJISTNE	WX	47772210
841444	2864	1997-01-10	VYDAJ	PREVOD NA UCET	6308	38203	POJISTNE	WX	47772210
841445	2864	1997-02-10	VYDAJ	PREVOD NA UCET	6308	24405	POJISTNE	WX	47772210
841446	2864	1997-03-10	VYDAJ	PREVOD NA UCET	6308	31531	POJISTNE	WX	47772210
841447	2864	1997-04-10	VYDAJ	PREVOD NA UCET	6308	31926	POJISTNE	WX	47772210
841448	2864	1997-05-10	VYDAJ	PREVOD NA UCET	6308	31271	POJISTNE	WX	47772210
841449	2864	1997-06-10	VYDAJ	PREVOD NA UCET	6308	31358	POJISTNE	WX	47772210
841450	2864	1997-07-10	VYDAJ	PREVOD NA UCET	6308	22663	POJISTNE	WX	47772210
841451	2864	1997-08-10	VYDAJ	PREVOD NA UCET	6308	24880	POJISTNE	WX	47772210
841452	2864	1997-09-10	VYDAJ	PREVOD NA UCET	6308	17868	POJISTNE	WX	47772210
841453	2864	1997-10-10	VYDAJ	PREVOD NA UCET	6308	16178	POJISTNE	WX	47772210
841454	2864	1997-11-10	VYDAJ	PREVOD NA UCET	6308	27378	POJISTNE	WX	47772210
841455	2864	1997-12-10	VYDAJ	PREVOD NA UCET	6308	40143	POJISTNE	WX	47772210
841456	2864	1998-01-10	VYDAJ	PREVOD NA UCET	6308	34970	POJISTNE	WX	47772210
841457	2864	1998-02-10	VYDAJ	PREVOD NA UCET	6308	25093	POJISTNE	WX	47772210
841458	2864	1998-03-10	VYDAJ	PREVOD NA UCET	6308	33820	POJISTNE	WX	47772210
841459	2864	1998-04-10	VYDAJ	PREVOD NA UCET	6308	33175	POJISTNE	WX	47772210
841460	2864	1998-05-10	VYDAJ	PREVOD NA UCET	6308	37636	POJISTNE	WX	47772210
841461	2864	1998-06-10	VYDAJ	PREVOD NA UCET	6308	46457	POJISTNE	WX	47772210
841462	2864	1998-07-10	VYDAJ	PREVOD NA UCET	6308	34771	POJISTNE	WX	47772210
841463	2864	1998-08-10	VYDAJ	PREVOD NA UCET	6308	43838	POJISTNE	WX	47772210
841464	2864	1998-09-10	VYDAJ	PREVOD NA UCET	6308	47401	POJISTNE	WX	47772210
841465	2864	1998-10-10	VYDAJ	PREVOD NA UCET	6308	50725	POJISTNE	WX	47772210
841466	2864	1998-11-10	VYDAJ	PREVOD NA UCET	6308	52764	POJISTNE	WX	47772210
841467	2864	1998-12-10	VYDAJ	PREVOD NA UCET	6308	58139	POJISTNE	WX	47772210
841469	2864	1997-06-24	VYDAJ	VYBER	13600	16455	\N	\N	\N
841470	2864	1998-06-18	VYDAJ	VYBER	21760	23394	\N	\N	\N
841472	2864	1997-01-01	VYDAJ	VYBER	14880	29852	\N	\N	\N
841473	2864	1998-01-22	VYDAJ	VYBER	11200	14427	\N	\N	\N
841474	2864	1996-12-27	VYDAJ	VYBER	1440	44562	\N	\N	\N
841475	2864	1997-12-27	VYDAJ	VYBER	800	38040	\N	\N	\N
841476	2864	1998-12-14	VYDAJ	VYBER	3520	53316	\N	\N	\N
841483	2864	1997-01-19	VYDAJ	VYBER	1200	24160	\N	\N	\N
841484	2864	1997-01-14	VYDAJ	VYBER	3120	28120	\N	\N	\N
841485	2864	1997-01-23	VYDAJ	VYBER	2760	21400	\N	\N	\N
841486	2864	1997-01-13	VYDAJ	VYBER	2280	32130	\N	\N	\N
841487	2864	1997-01-16	VYDAJ	VYBER	2760	25360	\N	\N	\N
841488	2864	1997-01-30	VYDAJ	VYBER	2160	19240	\N	\N	\N
841489	2864	1998-01-22	VYDAJ	VYBER	3120	25627	\N	\N	\N
841490	2864	1998-01-15	VYDAJ	VYBER	1080	32587	\N	\N	\N
841491	2864	1998-01-09	VYDAJ	VYBER	2280	41278	\N	\N	\N
841493	2864	1998-01-05	VYDAJ	VYBER	2280	28899	\N	\N	\N
841497	2864	1996-10-03	VYDAJ	VYBER	3960	35027	\N	\N	\N
841499	2864	1997-08-20	VYDAJ	VYBER	2040	21537	\N	\N	\N
841501	2864	1997-03-16	VYDAJ	VYBER	3840	23488	\N	\N	\N
841502	2864	1997-06-27	VYDAJ	VYBER	2040	14415	\N	\N	\N
841503	2864	1997-01-11	VYDAJ	VYBER	2280	34410	\N	\N	\N
841504	2864	1998-05-12	VYDAJ	VYBER	4680	32543	\N	\N	\N
841505	2864	1998-03-29	VYDAJ	VYBER	5400	21717	\N	\N	\N
841506	2864	1998-01-16	VYDAJ	VYBER	3840	28747	\N	\N	\N
841507	2864	1998-08-16	VYDAJ	VYBER	1440	41095	\N	\N	\N
841508	2864	1998-11-02	VYDAJ	VYBER	600	44413	\N	\N	\N
841509	2864	1998-03-21	VYDAJ	VYBER	5400	27117	\N	\N	\N
841518	2864	1996-08-31	VYDAJ	VYBER	15	40387	SLUZBY	\N	\N
841519	2864	1996-09-30	VYDAJ	VYBER	15	38987	SLUZBY	\N	\N
841520	2864	1996-10-31	VYDAJ	VYBER	15	38526	SLUZBY	\N	\N
841521	2864	1996-11-30	VYDAJ	VYBER	15	39724	SLUZBY	\N	\N
841522	2864	1996-12-31	VYDAJ	VYBER	15	44732	SLUZBY	\N	\N
841523	2864	1997-01-31	VYDAJ	VYBER	15	19354	SLUZBY	\N	\N
841524	2864	1997-02-28	VYDAJ	VYBER	15	23180	SLUZBY	\N	\N
841525	2864	1997-03-31	VYDAJ	VYBER	15	23575	SLUZBY	\N	\N
841526	2864	1997-04-30	VYDAJ	VYBER	15	28320	SLUZBY	\N	\N
841527	2864	1997-05-31	VYDAJ	VYBER	15	30077	SLUZBY	\N	\N
841528	2864	1997-06-30	VYDAJ	VYBER	15	14512	SLUZBY	\N	\N
841529	2864	1997-07-31	VYDAJ	VYBER	15	21429	SLUZBY	\N	\N
841530	2864	1997-08-31	VYDAJ	VYBER	15	21617	SLUZBY	\N	\N
841531	2864	1997-09-30	VYDAJ	VYBER	15	16627	SLUZBY	\N	\N
841532	2864	1997-10-31	VYDAJ	VYBER	15	14927	SLUZBY	\N	\N
841533	2864	1997-11-30	VYDAJ	VYBER	15	26162	SLUZBY	\N	\N
841534	2864	1997-12-31	VYDAJ	VYBER	15	38179	SLUZBY	\N	\N
841535	2864	1998-01-31	VYDAJ	VYBER	15	14542	SLUZBY	\N	\N
841536	2864	1998-02-28	VYDAJ	VYBER	15	23869	SLUZBY	\N	\N
841537	2864	1998-03-31	VYDAJ	VYBER	15	21824	SLUZBY	\N	\N
841538	2864	1998-04-30	VYDAJ	VYBER	15	31985	SLUZBY	\N	\N
841539	2864	1998-05-31	VYDAJ	VYBER	15	31776	SLUZBY	\N	\N
841540	2864	1998-06-30	VYDAJ	VYBER	15	23520	SLUZBY	\N	\N
841541	2864	1998-07-31	VYDAJ	VYBER	15	33587	SLUZBY	\N	\N
841542	2864	1998-08-31	VYDAJ	VYBER	15	41250	SLUZBY	\N	\N
841543	2864	1998-09-30	VYDAJ	VYBER	15	46274	SLUZBY	\N	\N
841544	2864	1998-10-31	VYDAJ	VYBER	15	49613	SLUZBY	\N	\N
841545	2864	1998-11-30	VYDAJ	VYBER	15	51658	SLUZBY	\N	\N
841546	2864	1996-04-15	PRIJEM	VKLAD	6400	21859	\N	\N	\N
841547	2864	1996-05-15	VYDAJ	VYBER	5500	31067	\N	\N	\N
841548	2864	1996-06-14	VYDAJ	VYBER	14100	39067	\N	\N	\N
841549	2864	1996-07-14	VYDAJ	VYBER	9800	44075	\N	\N	\N
841550	2864	1996-08-13	VYDAJ	VYBER	11100	40197	\N	\N	\N
841551	2864	1996-09-12	VYDAJ	VYBER	8600	39725	\N	\N	\N
841552	2864	1996-10-12	VYDAJ	VYBER	3700	39265	\N	\N	\N
841553	2864	1996-11-11	VYDAJ	VYBER	6000	40877	\N	\N	\N
841554	2864	1996-12-11	VYDAJ	VYBER	8100	46892	\N	\N	\N
841555	2864	1997-01-10	VYDAJ	VYBER	1100	37103	\N	\N	\N
841556	2864	1997-02-09	VYDAJ	VYBER	3300	30713	\N	\N	\N
841557	2864	1997-03-11	VYDAJ	VYBER	2900	28631	\N	\N	\N
841558	2864	1997-04-10	VYDAJ	VYBER	2400	29526	\N	\N	\N
841559	2864	1997-05-10	VYDAJ	VYBER	5400	37579	\N	\N	\N
841560	2864	1997-06-09	VYDAJ	VYBER	14400	37666	\N	\N	\N
841561	2864	1997-07-09	VYDAJ	VYBER	200	28971	\N	\N	\N
841562	2864	1997-08-08	VYDAJ	VYBER	4900	31188	\N	\N	\N
841563	2864	1997-09-07	VYDAJ	VYBER	12100	24176	\N	\N	\N
841564	2864	1997-10-07	VYDAJ	VYBER	8800	22486	\N	\N	\N
841565	2864	1997-11-06	PRIJEM	VKLAD	4100	19027	\N	\N	\N
841566	2864	1997-12-06	VYDAJ	VYBER	1700	24462	\N	\N	\N
841567	2864	1998-01-05	VYDAJ	VYBER	7000	31179	\N	\N	\N
841568	2864	1998-02-04	PRIJEM	VKLAD	2200	16742	\N	\N	\N
841569	2864	1998-03-06	PRIJEM	VKLAD	1600	25469	\N	\N	\N
841570	2864	1998-04-05	PRIJEM	VKLAD	3000	24824	\N	\N	\N
841571	2864	1998-05-05	VYDAJ	VYBER	2700	29285	\N	\N	\N
841572	2864	1998-06-04	VYDAJ	VYBER	1000	30776	\N	\N	\N
841573	2864	1998-07-04	PRIJEM	VKLAD	2900	26420	\N	\N	\N
841574	2864	1998-08-03	PRIJEM	VKLAD	1900	35487	\N	\N	\N
841575	2864	1998-09-02	VYDAJ	VYBER	2200	39050	\N	\N	\N
841576	2864	1998-10-02	VYDAJ	VYBER	3900	42374	\N	\N	\N
841577	2864	1998-11-01	VYDAJ	VYBER	4600	45013	\N	\N	\N
841578	2864	1998-12-01	VYDAJ	VYBER	9200	42458	\N	\N	\N
841612	2865	1995-03-03	PRIJEM	VKLAD	200	200	\N	\N	\N
841615	2865	1995-03-06	PRIJEM	VKLAD	12068	12268	\N	\N	\N
841616	2865	1995-04-06	PRIJEM	VKLAD	12068	31079	\N	\N	\N
841617	2865	1995-05-06	PRIJEM	VKLAD	12068	38863	\N	\N	\N
841618	2865	1995-06-06	PRIJEM	VKLAD	18102	49322	\N	\N	\N
841619	2865	1995-07-06	PRIJEM	VKLAD	12068	50088	\N	\N	\N
841620	2865	1995-08-06	PRIJEM	VKLAD	12068	47847	\N	\N	\N
841621	2865	1995-09-06	PRIJEM	VKLAD	12068	44369	\N	\N	\N
841622	2865	1995-10-06	PRIJEM	VKLAD	12068	44558	\N	\N	\N
841623	2865	1995-11-06	PRIJEM	VKLAD	12068	46278	\N	\N	\N
841624	2865	1995-12-06	PRIJEM	VKLAD	18102	51538	\N	\N	\N
841625	2865	1996-01-06	PRIJEM	VKLAD	12068	42542	\N	\N	\N
841626	2865	1996-02-06	PRIJEM	VKLAD	12068	41062	\N	\N	\N
841627	2865	1996-03-06	PRIJEM	VKLAD	12068	45175	\N	\N	\N
841628	2865	1996-04-06	PRIJEM	VKLAD	12068	45602	\N	\N	\N
841629	2865	1996-05-06	PRIJEM	VKLAD	12068	44622	\N	\N	\N
841630	2865	1996-06-06	PRIJEM	VKLAD	18102	33952	\N	\N	\N
841631	2865	1996-07-06	PRIJEM	VKLAD	12068	35536	\N	\N	\N
841632	2865	1996-08-06	PRIJEM	VKLAD	12068	37715	\N	\N	\N
841633	2865	1996-09-06	PRIJEM	VKLAD	12068	31662	\N	\N	\N
841634	2865	1996-10-06	PRIJEM	VKLAD	12068	38729	\N	\N	\N
841635	2865	1996-11-06	PRIJEM	VKLAD	12068	39823	\N	\N	\N
841636	2865	1996-12-06	PRIJEM	VKLAD	18102	45095	\N	\N	\N
841637	2865	1997-01-06	PRIJEM	VKLAD	12068	39136	\N	\N	\N
841638	2865	1997-02-06	PRIJEM	VKLAD	12068	34362	\N	\N	\N
841639	2865	1997-03-06	PRIJEM	VKLAD	12068	36137	\N	\N	\N
841640	2865	1997-04-06	PRIJEM	VKLAD	12068	36718	\N	\N	\N
841641	2865	1997-05-06	PRIJEM	VKLAD	12068	36716	\N	\N	\N
841642	2865	1997-06-06	PRIJEM	VKLAD	18102	43127	\N	\N	\N
841643	2865	1997-07-06	PRIJEM	VKLAD	12068	39317	\N	\N	\N
841644	2865	1997-08-06	PRIJEM	VKLAD	12068	30713	\N	\N	\N
841645	2865	1997-09-06	PRIJEM	VKLAD	12068	29764	\N	\N	\N
841646	2865	1997-10-06	PRIJEM	VKLAD	12068	25175	\N	\N	\N
841647	2865	1997-11-06	PRIJEM	VKLAD	12068	27003	\N	\N	\N
841648	2865	1997-12-06	PRIJEM	VKLAD	18102	33670	\N	\N	\N
841649	2865	1998-01-06	PRIJEM	VKLAD	12068	26994	\N	\N	\N
841650	2865	1998-02-06	PRIJEM	VKLAD	12068	25459	\N	\N	\N
841651	2865	1998-03-06	PRIJEM	VKLAD	12068	29174	\N	\N	\N
841652	2865	1998-04-06	PRIJEM	VKLAD	12068	25108	\N	\N	\N
841653	2865	1998-05-06	PRIJEM	VKLAD	12068	33749	\N	\N	\N
841654	2865	1998-06-06	PRIJEM	VKLAD	18102	33811	\N	\N	\N
841655	2865	1998-07-06	PRIJEM	VKLAD	12068	42481	\N	\N	\N
841656	2865	1998-08-06	PRIJEM	VKLAD	12068	51203	\N	\N	\N
841657	2865	1998-09-06	PRIJEM	VKLAD	12068	30982	\N	\N	\N
841658	2865	1998-10-06	PRIJEM	VKLAD	12068	39646	\N	\N	\N
841659	2865	1998-11-06	PRIJEM	VKLAD	12068	48355	\N	\N	\N
841660	2865	1998-12-06	PRIJEM	VKLAD	18102	31944	\N	\N	\N
841667	2865	1995-07-11	VYDAJ	PREVOD NA UCET	3482	46595	SIPO	QR	75203019
841668	2865	1995-08-11	VYDAJ	PREVOD NA UCET	3482	43034	SIPO	QR	75203019
841669	2865	1995-09-11	VYDAJ	PREVOD NA UCET	3482	40877	SIPO	QR	75203019
841670	2865	1995-10-11	VYDAJ	PREVOD NA UCET	3482	41066	SIPO	QR	75203019
841671	2865	1995-11-11	VYDAJ	PREVOD NA UCET	3482	42786	SIPO	QR	75203019
841672	2865	1995-12-11	VYDAJ	PREVOD NA UCET	3482	44685	SIPO	QR	75203019
841673	2865	1996-01-11	VYDAJ	PREVOD NA UCET	3482	36769	SIPO	QR	75203019
841674	2865	1996-02-11	VYDAJ	PREVOD NA UCET	3482	37569	SIPO	QR	75203019
841675	2865	1996-03-11	VYDAJ	PREVOD NA UCET	3482	41682	SIPO	QR	75203019
841676	2865	1996-04-11	VYDAJ	PREVOD NA UCET	3482	42110	SIPO	QR	75203019
841677	2865	1996-05-11	VYDAJ	PREVOD NA UCET	3482	41130	SIPO	QR	75203019
841678	2865	1996-06-11	VYDAJ	PREVOD NA UCET	3482	30459	SIPO	QR	75203019
841679	2865	1996-07-11	VYDAJ	PREVOD NA UCET	3482	32044	SIPO	QR	75203019
841680	2865	1996-08-11	VYDAJ	PREVOD NA UCET	3482	31702	SIPO	QR	75203019
841681	2865	1996-09-11	VYDAJ	PREVOD NA UCET	3482	28170	SIPO	QR	75203019
841682	2865	1996-10-11	VYDAJ	PREVOD NA UCET	3482	35236	SIPO	QR	75203019
841683	2865	1996-11-11	VYDAJ	PREVOD NA UCET	3482	36330	SIPO	QR	75203019
841684	2865	1996-12-11	VYDAJ	PREVOD NA UCET	3482	41603	SIPO	QR	75203019
841685	2865	1997-01-11	VYDAJ	PREVOD NA UCET	3482	35644	SIPO	QR	75203019
841686	2865	1997-02-11	VYDAJ	PREVOD NA UCET	3482	30869	SIPO	QR	75203019
841687	2865	1997-03-11	VYDAJ	PREVOD NA UCET	3482	32644	SIPO	QR	75203019
841854	2865	1996-06-01	VYDAJ	VYBER	15520	15850	\N	\N	\N
841688	2865	1997-04-11	VYDAJ	PREVOD NA UCET	3482	30946	SIPO	QR	75203019
841689	2865	1997-05-11	VYDAJ	PREVOD NA UCET	3482	33224	SIPO	QR	75203019
841690	2865	1997-06-11	VYDAJ	PREVOD NA UCET	3482	39635	SIPO	QR	75203019
841691	2865	1997-07-11	VYDAJ	PREVOD NA UCET	3482	35824	SIPO	QR	75203019
841692	2865	1997-08-11	VYDAJ	PREVOD NA UCET	3482	27220	SIPO	QR	75203019
841693	2865	1997-09-11	VYDAJ	PREVOD NA UCET	3482	21712	SIPO	QR	75203019
841694	2865	1997-10-11	VYDAJ	PREVOD NA UCET	3482	21683	SIPO	QR	75203019
841695	2865	1997-11-11	VYDAJ	PREVOD NA UCET	3482	23511	SIPO	QR	75203019
841696	2865	1997-12-11	VYDAJ	PREVOD NA UCET	3482	30177	SIPO	QR	75203019
841697	2865	1998-01-11	VYDAJ	PREVOD NA UCET	3482	21582	SIPO	QR	75203019
841698	2865	1998-02-11	VYDAJ	PREVOD NA UCET	3482	21967	SIPO	QR	75203019
841699	2865	1998-03-11	VYDAJ	PREVOD NA UCET	3482	25681	SIPO	QR	75203019
841700	2865	1998-04-11	VYDAJ	PREVOD NA UCET	3482	21616	SIPO	QR	75203019
841701	2865	1998-05-11	VYDAJ	PREVOD NA UCET	3482	29537	SIPO	QR	75203019
841702	2865	1998-06-11	VYDAJ	PREVOD NA UCET	3482	30319	SIPO	QR	75203019
841703	2865	1998-07-11	VYDAJ	PREVOD NA UCET	3482	38988	SIPO	QR	75203019
841704	2865	1998-08-11	VYDAJ	PREVOD NA UCET	3482	47710	SIPO	QR	75203019
841705	2865	1998-09-11	VYDAJ	PREVOD NA UCET	3482	27490	SIPO	QR	75203019
841706	2865	1998-10-11	VYDAJ	PREVOD NA UCET	3482	36153	SIPO	QR	75203019
841707	2865	1998-11-11	VYDAJ	PREVOD NA UCET	3482	44862	SIPO	QR	75203019
841708	2865	1998-12-11	VYDAJ	PREVOD NA UCET	3482	28451	SIPO	QR	75203019
841715	2865	1995-07-10	VYDAJ	PREVOD NA UCET	8	50078	 	OP	5581480
841716	2865	1995-08-10	VYDAJ	PREVOD NA UCET	8	46517	 	OP	5581480
841717	2865	1995-09-10	VYDAJ	PREVOD NA UCET	8	44359	 	OP	5581480
841718	2865	1995-10-10	VYDAJ	PREVOD NA UCET	8	44548	 	OP	5581480
841719	2865	1995-11-10	VYDAJ	PREVOD NA UCET	8	46268	 	OP	5581480
841720	2865	1995-12-10	VYDAJ	PREVOD NA UCET	8	48168	 	OP	5581480
841721	2865	1996-01-10	VYDAJ	PREVOD NA UCET	8	41452	 	OP	5581480
841722	2865	1996-02-10	VYDAJ	PREVOD NA UCET	8	41052	 	OP	5581480
841723	2865	1996-03-10	VYDAJ	PREVOD NA UCET	8	45165	 	OP	5581480
841724	2865	1996-04-10	VYDAJ	PREVOD NA UCET	8	45592	 	OP	5581480
841725	2865	1996-05-10	VYDAJ	PREVOD NA UCET	8	44612	 	OP	5581480
841726	2865	1996-06-10	VYDAJ	PREVOD NA UCET	8	33942	 	OP	5581480
841727	2865	1996-07-10	VYDAJ	PREVOD NA UCET	8	35526	 	OP	5581480
841728	2865	1996-08-10	VYDAJ	PREVOD NA UCET	8	35185	 	OP	5581480
841729	2865	1996-09-10	VYDAJ	PREVOD NA UCET	8	31652	 	OP	5581480
841730	2865	1996-10-10	VYDAJ	PREVOD NA UCET	8	38719	 	OP	5581480
841731	2865	1996-11-10	VYDAJ	PREVOD NA UCET	8	39813	 	OP	5581480
841732	2865	1996-12-10	VYDAJ	PREVOD NA UCET	8	45085	 	OP	5581480
841733	2865	1997-01-10	VYDAJ	PREVOD NA UCET	8	39126	 	OP	5581480
841734	2865	1997-02-10	VYDAJ	PREVOD NA UCET	8	34352	 	OP	5581480
841735	2865	1997-03-10	VYDAJ	PREVOD NA UCET	8	36127	 	OP	5581480
841736	2865	1997-04-10	VYDAJ	PREVOD NA UCET	8	34428	 	OP	5581480
841737	2865	1997-05-10	VYDAJ	PREVOD NA UCET	8	36706	 	OP	5581480
841738	2865	1997-06-10	VYDAJ	PREVOD NA UCET	8	43117	 	OP	5581480
841739	2865	1997-07-10	VYDAJ	PREVOD NA UCET	8	39307	 	OP	5581480
841740	2865	1997-08-10	VYDAJ	PREVOD NA UCET	8	30703	 	OP	5581480
841741	2865	1997-09-10	VYDAJ	PREVOD NA UCET	8	25194	 	OP	5581480
841742	2865	1997-10-10	VYDAJ	PREVOD NA UCET	8	25165	 	OP	5581480
841743	2865	1997-11-10	VYDAJ	PREVOD NA UCET	8	26993	 	OP	5581480
841744	2865	1997-12-10	VYDAJ	PREVOD NA UCET	8	33660	 	OP	5581480
841745	2865	1998-01-10	VYDAJ	PREVOD NA UCET	8	25064	 	OP	5581480
841746	2865	1998-02-10	VYDAJ	PREVOD NA UCET	8	25449	 	OP	5581480
841747	2865	1998-03-10	VYDAJ	PREVOD NA UCET	8	29164	 	OP	5581480
841748	2865	1998-04-10	VYDAJ	PREVOD NA UCET	8	25098	 	OP	5581480
841749	2865	1998-05-10	VYDAJ	PREVOD NA UCET	8	33019	 	OP	5581480
841750	2865	1998-06-10	VYDAJ	PREVOD NA UCET	8	33801	 	OP	5581480
841751	2865	1998-07-10	VYDAJ	PREVOD NA UCET	8	42471	 	OP	5581480
841752	2865	1998-08-10	VYDAJ	PREVOD NA UCET	8	51193	 	OP	5581480
841753	2865	1998-09-10	VYDAJ	PREVOD NA UCET	8	30972	 	OP	5581480
841754	2865	1998-10-10	VYDAJ	PREVOD NA UCET	8	39636	 	OP	5581480
841755	2865	1998-11-10	VYDAJ	PREVOD NA UCET	8	48345	 	OP	5581480
841756	2865	1998-12-10	VYDAJ	PREVOD NA UCET	8	31934	 	OP	5581480
841763	2865	1995-07-09	VYDAJ	PREVOD NA UCET	2	50086	POJISTNE	ST	96803217
841764	2865	1995-08-09	VYDAJ	PREVOD NA UCET	2	47845	POJISTNE	ST	96803217
841765	2865	1995-09-09	VYDAJ	PREVOD NA UCET	2	44367	POJISTNE	ST	96803217
841766	2865	1995-10-09	VYDAJ	PREVOD NA UCET	2	44556	POJISTNE	ST	96803217
841767	2865	1995-11-09	VYDAJ	PREVOD NA UCET	2	46276	POJISTNE	ST	96803217
841768	2865	1995-12-09	VYDAJ	PREVOD NA UCET	2	48176	POJISTNE	ST	96803217
841769	2865	1996-01-09	VYDAJ	PREVOD NA UCET	2	41460	POJISTNE	ST	96803217
841770	2865	1996-02-09	VYDAJ	PREVOD NA UCET	2	41060	POJISTNE	ST	96803217
841771	2865	1996-03-09	VYDAJ	PREVOD NA UCET	2	45173	POJISTNE	ST	96803217
841772	2865	1996-04-09	VYDAJ	PREVOD NA UCET	2	45600	POJISTNE	ST	96803217
841773	2865	1996-05-09	VYDAJ	PREVOD NA UCET	2	44620	POJISTNE	ST	96803217
841774	2865	1996-06-09	VYDAJ	PREVOD NA UCET	2	33950	POJISTNE	ST	96803217
841775	2865	1996-07-09	VYDAJ	PREVOD NA UCET	2	35534	POJISTNE	ST	96803217
841776	2865	1996-08-09	VYDAJ	PREVOD NA UCET	2	35193	POJISTNE	ST	96803217
841777	2865	1996-09-09	VYDAJ	PREVOD NA UCET	2	31660	POJISTNE	ST	96803217
841778	2865	1996-10-09	VYDAJ	PREVOD NA UCET	2	38727	POJISTNE	ST	96803217
841779	2865	1996-11-09	VYDAJ	PREVOD NA UCET	2	39821	POJISTNE	ST	96803217
841780	2865	1996-12-09	VYDAJ	PREVOD NA UCET	2	45093	POJISTNE	ST	96803217
841781	2865	1997-01-09	VYDAJ	PREVOD NA UCET	2	39134	POJISTNE	ST	96803217
841782	2865	1997-02-09	VYDAJ	PREVOD NA UCET	2	34360	POJISTNE	ST	96803217
841783	2865	1997-03-09	VYDAJ	PREVOD NA UCET	2	36135	POJISTNE	ST	96803217
841784	2865	1997-04-09	VYDAJ	PREVOD NA UCET	2	34436	POJISTNE	ST	96803217
841785	2865	1997-05-09	VYDAJ	PREVOD NA UCET	2	36714	POJISTNE	ST	96803217
841786	2865	1997-06-09	VYDAJ	PREVOD NA UCET	2	43125	POJISTNE	ST	96803217
841787	2865	1997-07-09	VYDAJ	PREVOD NA UCET	2	39315	POJISTNE	ST	96803217
841788	2865	1997-08-09	VYDAJ	PREVOD NA UCET	2	30711	POJISTNE	ST	96803217
841789	2865	1997-09-09	VYDAJ	PREVOD NA UCET	2	25202	POJISTNE	ST	96803217
841790	2865	1997-10-09	VYDAJ	PREVOD NA UCET	2	25173	POJISTNE	ST	96803217
841791	2865	1997-11-09	VYDAJ	PREVOD NA UCET	2	27001	POJISTNE	ST	96803217
841792	2865	1997-12-09	VYDAJ	PREVOD NA UCET	2	33668	POJISTNE	ST	96803217
841793	2865	1998-01-09	VYDAJ	PREVOD NA UCET	2	25072	POJISTNE	ST	96803217
841794	2865	1998-02-09	VYDAJ	PREVOD NA UCET	2	25457	POJISTNE	ST	96803217
841795	2865	1998-03-09	VYDAJ	PREVOD NA UCET	2	29172	POJISTNE	ST	96803217
841796	2865	1998-04-09	VYDAJ	PREVOD NA UCET	2	25106	POJISTNE	ST	96803217
841797	2865	1998-05-09	VYDAJ	PREVOD NA UCET	2	33027	POJISTNE	ST	96803217
841798	2865	1998-06-09	VYDAJ	PREVOD NA UCET	2	33809	POJISTNE	ST	96803217
841799	2865	1998-07-09	VYDAJ	PREVOD NA UCET	2	42479	POJISTNE	ST	96803217
841800	2865	1998-08-09	VYDAJ	PREVOD NA UCET	2	51201	POJISTNE	ST	96803217
841801	2865	1998-09-09	VYDAJ	PREVOD NA UCET	2	30980	POJISTNE	ST	96803217
841802	2865	1998-10-09	VYDAJ	PREVOD NA UCET	2	39644	POJISTNE	ST	96803217
841803	2865	1998-11-09	VYDAJ	PREVOD NA UCET	2	48353	POJISTNE	ST	96803217
841804	2865	1998-12-09	VYDAJ	PREVOD NA UCET	2	31942	POJISTNE	ST	96803217
841811	2865	1995-07-11	VYDAJ	PREVOD NA UCET	1	50077	 	OP	25167072
841812	2865	1995-08-11	VYDAJ	PREVOD NA UCET	1	46516	 	OP	25167072
841813	2865	1995-09-11	VYDAJ	PREVOD NA UCET	1	40876	 	OP	25167072
841814	2865	1995-10-11	VYDAJ	PREVOD NA UCET	1	41065	 	OP	25167072
841815	2865	1995-11-11	VYDAJ	PREVOD NA UCET	1	42785	 	OP	25167072
841816	2865	1995-12-11	VYDAJ	PREVOD NA UCET	1	48167	 	OP	25167072
841817	2865	1996-01-11	VYDAJ	PREVOD NA UCET	1	41451	 	OP	25167072
841818	2865	1996-02-11	VYDAJ	PREVOD NA UCET	1	41051	 	OP	25167072
841819	2865	1996-03-11	VYDAJ	PREVOD NA UCET	1	45164	 	OP	25167072
841820	2865	1996-04-11	VYDAJ	PREVOD NA UCET	1	42109	 	OP	25167072
841821	2865	1996-05-11	VYDAJ	PREVOD NA UCET	1	41129	 	OP	25167072
841822	2865	1996-06-11	VYDAJ	PREVOD NA UCET	1	33941	 	OP	25167072
841823	2865	1996-07-11	VYDAJ	PREVOD NA UCET	1	32043	 	OP	25167072
841824	2865	1996-08-11	VYDAJ	PREVOD NA UCET	1	35184	 	OP	25167072
841825	2865	1996-09-11	VYDAJ	PREVOD NA UCET	1	28169	 	OP	25167072
841826	2865	1996-10-11	VYDAJ	PREVOD NA UCET	1	38718	 	OP	25167072
841827	2865	1996-11-11	VYDAJ	PREVOD NA UCET	1	39812	 	OP	25167072
841828	2865	1996-12-11	VYDAJ	PREVOD NA UCET	1	41602	 	OP	25167072
841829	2865	1997-01-11	VYDAJ	PREVOD NA UCET	1	35643	 	OP	25167072
841830	2865	1997-02-11	VYDAJ	PREVOD NA UCET	1	34351	 	OP	25167072
841831	2865	1997-03-11	VYDAJ	PREVOD NA UCET	1	36126	 	OP	25167072
841832	2865	1997-04-11	VYDAJ	PREVOD NA UCET	1	30945	 	OP	25167072
841833	2865	1997-05-11	VYDAJ	PREVOD NA UCET	1	33223	 	OP	25167072
841834	2865	1997-06-11	VYDAJ	PREVOD NA UCET	1	39634	 	OP	25167072
841835	2865	1997-07-11	VYDAJ	PREVOD NA UCET	1	39306	 	OP	25167072
841836	2865	1997-08-11	VYDAJ	PREVOD NA UCET	1	30702	 	OP	25167072
841837	2865	1997-09-11	VYDAJ	PREVOD NA UCET	1	21711	 	OP	25167072
841838	2865	1997-10-11	VYDAJ	PREVOD NA UCET	1	21682	 	OP	25167072
841839	2865	1997-11-11	VYDAJ	PREVOD NA UCET	1	23510	 	OP	25167072
841840	2865	1997-12-11	VYDAJ	PREVOD NA UCET	1	33659	 	OP	25167072
841841	2865	1998-01-11	VYDAJ	PREVOD NA UCET	1	21581	 	OP	25167072
841842	2865	1998-02-11	VYDAJ	PREVOD NA UCET	1	21966	 	OP	25167072
841843	2865	1998-03-11	VYDAJ	PREVOD NA UCET	1	29163	 	OP	25167072
841844	2865	1998-04-11	VYDAJ	PREVOD NA UCET	1	21615	 	OP	25167072
841845	2865	1998-05-11	VYDAJ	PREVOD NA UCET	1	29536	 	OP	25167072
841846	2865	1998-06-11	VYDAJ	PREVOD NA UCET	1	30318	 	OP	25167072
841847	2865	1998-07-11	VYDAJ	PREVOD NA UCET	1	42470	 	OP	25167072
841848	2865	1998-08-11	VYDAJ	PREVOD NA UCET	1	51192	 	OP	25167072
841849	2865	1998-09-11	VYDAJ	PREVOD NA UCET	1	27489	 	OP	25167072
841850	2865	1998-10-11	VYDAJ	PREVOD NA UCET	1	39635	 	OP	25167072
841851	2865	1998-11-11	VYDAJ	PREVOD NA UCET	1	48344	 	OP	25167072
841852	2865	1998-12-11	VYDAJ	PREVOD NA UCET	1	31933	 	OP	25167072
841857	2865	1995-12-07	VYDAJ	VYBER	3360	48178	\N	\N	\N
841858	2865	1996-12-14	VYDAJ	VYBER	1440	40162	\N	\N	\N
841859	2865	1997-12-29	VYDAJ	VYBER	2400	14857	\N	\N	\N
841860	2865	1998-12-19	VYDAJ	VYBER	960	27491	\N	\N	\N
841867	2865	1996-01-06	VYDAJ	VYBER	1080	41462	\N	\N	\N
841868	2865	1996-01-03	VYDAJ	VYBER	720	35754	\N	\N	\N
841869	2865	1996-01-30	VYDAJ	VYBER	3000	28849	\N	\N	\N
841870	2865	1996-01-01	VYDAJ	VYBER	2280	36474	\N	\N	\N
841871	2865	1996-01-30	VYDAJ	VYBER	1920	31849	\N	\N	\N
841872	2865	1996-01-11	VYDAJ	VYBER	1200	40251	\N	\N	\N
841873	2865	1997-01-29	VYDAJ	VYBER	1080	24223	\N	\N	\N
841874	2865	1997-01-02	VYDAJ	VYBER	3120	27068	\N	\N	\N
841875	2865	1997-01-29	VYDAJ	VYBER	2040	22183	\N	\N	\N
841876	2865	1997-01-15	VYDAJ	VYBER	1440	34203	\N	\N	\N
841877	2865	1997-01-18	VYDAJ	VYBER	3360	27603	\N	\N	\N
841878	2865	1997-01-17	VYDAJ	VYBER	3240	30963	\N	\N	\N
841879	2865	1998-01-09	VYDAJ	VYBER	1920	25074	\N	\N	\N
841883	2865	1998-01-15	VYDAJ	VYBER	1440	20141	\N	\N	\N
841889	2865	1995-08-10	VYDAJ	VYBER	1320	46525	\N	\N	\N
841890	2865	1995-09-15	VYDAJ	VYBER	5520	35356	\N	\N	\N
841891	2865	1996-08-31	VYDAJ	VYBER	4080	19608	\N	\N	\N
841892	2865	1996-08-07	VYDAJ	VYBER	2520	35195	\N	\N	\N
841893	2865	1996-11-26	VYDAJ	VYBER	3360	26870	\N	\N	\N
841894	2865	1996-01-04	VYDAJ	VYBER	5280	30474	\N	\N	\N
841895	2865	1996-08-24	VYDAJ	VYBER	1440	23562	\N	\N	\N
841897	2865	1997-09-09	VYDAJ	VYBER	4560	25204	\N	\N	\N
841898	2865	1997-07-20	VYDAJ	VYBER	1080	34744	\N	\N	\N
841899	2865	1997-09-18	VYDAJ	VYBER	3960	13051	\N	\N	\N
841900	2865	1997-04-06	VYDAJ	VYBER	2280	34438	\N	\N	\N
841902	2865	1997-12-16	VYDAJ	VYBER	4320	25857	\N	\N	\N
841903	2865	1998-05-06	VYDAJ	VYBER	720	33029	\N	\N	\N
841904	2865	1998-02-21	VYDAJ	VYBER	4920	17046	\N	\N	\N
841912	2865	1995-07-31	VYDAJ	VYBER	15	46779	SLUZBY	\N	\N
841913	2865	1995-08-31	VYDAJ	VYBER	15	32301	SLUZBY	\N	\N
841914	2865	1995-09-30	VYDAJ	VYBER	15	32490	SLUZBY	\N	\N
841915	2865	1995-10-31	VYDAJ	VYBER	15	34210	SLUZBY	\N	\N
841916	2865	1995-11-30	VYDAJ	VYBER	15	33436	SLUZBY	\N	\N
841917	2865	1995-12-31	VYDAJ	VYBER	15	38754	SLUZBY	\N	\N
841918	2865	1996-01-31	VYDAJ	VYBER	15	28994	SLUZBY	\N	\N
841919	2865	1996-02-29	VYDAJ	VYBER	15	33107	SLUZBY	\N	\N
841920	2865	1996-03-31	VYDAJ	VYBER	15	33534	SLUZBY	\N	\N
841921	2865	1996-04-30	VYDAJ	VYBER	15	32554	SLUZBY	\N	\N
841922	2865	1996-05-31	VYDAJ	VYBER	15	31370	SLUZBY	\N	\N
841923	2865	1996-06-30	VYDAJ	VYBER	15	23468	SLUZBY	\N	\N
841924	2865	1996-07-31	VYDAJ	VYBER	15	25647	SLUZBY	\N	\N
841925	2865	1996-08-31	VYDAJ	VYBER	15	19594	SLUZBY	\N	\N
841926	2865	1996-09-30	VYDAJ	VYBER	15	26661	SLUZBY	\N	\N
841927	2865	1996-10-31	VYDAJ	VYBER	15	27755	SLUZBY	\N	\N
841928	2865	1996-11-30	VYDAJ	VYBER	15	26993	SLUZBY	\N	\N
841929	2865	1996-12-31	VYDAJ	VYBER	15	30188	SLUZBY	\N	\N
841930	2865	1997-01-31	VYDAJ	VYBER	15	22294	SLUZBY	\N	\N
841931	2865	1997-02-28	VYDAJ	VYBER	15	24069	SLUZBY	\N	\N
841932	2865	1997-03-31	VYDAJ	VYBER	15	24650	SLUZBY	\N	\N
841933	2865	1997-04-30	VYDAJ	VYBER	15	24648	SLUZBY	\N	\N
841934	2865	1997-05-31	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
841935	2865	1997-06-30	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
841936	2865	1997-07-31	VYDAJ	VYBER	15	18645	SLUZBY	\N	\N
841937	2865	1997-08-31	VYDAJ	VYBER	15	17696	SLUZBY	\N	\N
841938	2865	1997-09-30	VYDAJ	VYBER	15	13107	SLUZBY	\N	\N
841939	2865	1997-10-31	VYDAJ	VYBER	15	14935	SLUZBY	\N	\N
841940	2865	1997-11-30	VYDAJ	VYBER	15	15568	SLUZBY	\N	\N
841941	2865	1997-12-31	VYDAJ	VYBER	15	14926	SLUZBY	\N	\N
841942	2865	1998-01-31	VYDAJ	VYBER	15	13391	SLUZBY	\N	\N
841943	2865	1998-02-28	VYDAJ	VYBER	15	17106	SLUZBY	\N	\N
841944	2865	1998-03-31	VYDAJ	VYBER	15	13040	SLUZBY	\N	\N
841945	2865	1998-04-30	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
841946	2865	1998-05-31	VYDAJ	VYBER	15	15709	SLUZBY	\N	\N
841947	2865	1998-06-30	VYDAJ	VYBER	15	30413	SLUZBY	\N	\N
841948	2865	1998-07-31	VYDAJ	VYBER	15	39135	SLUZBY	\N	\N
841949	2865	1998-08-31	VYDAJ	VYBER	15	18914	SLUZBY	\N	\N
841950	2865	1998-09-30	VYDAJ	VYBER	15	27578	SLUZBY	\N	\N
841951	2865	1998-10-31	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
841952	2865	1998-11-30	VYDAJ	VYBER	15	13842	SLUZBY	\N	\N
841953	2865	1995-04-02	PRIJEM	VKLAD	6700	19011	\N	\N	\N
841954	2865	1995-05-02	VYDAJ	VYBER	4400	26795	\N	\N	\N
841955	2865	1995-06-01	VYDAJ	VYBER	7800	31220	\N	\N	\N
841956	2865	1995-07-01	VYDAJ	VYBER	11500	38020	\N	\N	\N
841957	2865	1995-07-31	VYDAJ	VYBER	11000	35779	\N	\N	\N
841958	2865	1995-08-30	VYDAJ	VYBER	10900	32134	\N	\N	\N
841959	2865	1995-09-29	VYDAJ	VYBER	3000	32356	\N	\N	\N
841960	2865	1995-10-29	VYDAJ	VYBER	7000	34065	\N	\N	\N
841961	2865	1995-11-28	VYDAJ	VYBER	9500	33285	\N	\N	\N
841962	2865	1995-12-28	VYDAJ	VYBER	6100	38585	\N	\N	\N
841963	2865	1996-01-27	VYDAJ	VYBER	3000	33769	\N	\N	\N
841964	2865	1996-02-26	VYDAJ	VYBER	4600	32969	\N	\N	\N
841965	2865	1996-03-27	VYDAJ	VYBER	8300	33382	\N	\N	\N
841966	2865	1996-04-26	VYDAJ	VYBER	9700	32409	\N	\N	\N
841967	2865	1996-05-26	VYDAJ	VYBER	9900	31229	\N	\N	\N
841968	2865	1996-06-25	VYDAJ	VYBER	7100	23359	\N	\N	\N
841969	2865	1996-07-25	VYDAJ	VYBER	6500	25543	\N	\N	\N
841970	2865	1996-08-24	VYDAJ	VYBER	6700	25002	\N	\N	\N
841971	2865	1996-09-23	VYDAJ	VYBER	1600	26569	\N	\N	\N
841972	2865	1996-10-23	VYDAJ	VYBER	7600	27636	\N	\N	\N
841973	2865	1996-11-22	VYDAJ	VYBER	6100	30230	\N	\N	\N
841974	2865	1996-12-22	VYDAJ	VYBER	10100	30062	\N	\N	\N
841975	2865	1997-01-21	VYDAJ	VYBER	2300	25303	\N	\N	\N
841976	2865	1997-02-20	VYDAJ	VYBER	6900	23969	\N	\N	\N
841977	2865	1997-03-22	VYDAJ	VYBER	8100	24544	\N	\N	\N
841978	2865	1997-04-21	VYDAJ	VYBER	6400	24545	\N	\N	\N
841979	2865	1997-05-21	VYDAJ	VYBER	8300	24923	\N	\N	\N
841980	2865	1997-06-20	VYDAJ	VYBER	12500	27134	\N	\N	\N
841981	2865	1997-07-20	VYDAJ	VYBER	16200	18544	\N	\N	\N
841982	2865	1997-08-19	VYDAJ	VYBER	9600	17620	\N	\N	\N
841983	2865	1997-09-18	VYDAJ	VYBER	4700	17011	\N	\N	\N
841984	2865	1997-10-18	VYDAJ	VYBER	6800	14882	\N	\N	\N
841985	2865	1997-11-17	VYDAJ	VYBER	8000	15510	\N	\N	\N
841986	2865	1997-12-17	VYDAJ	VYBER	8600	17257	\N	\N	\N
841987	2865	1998-01-16	VYDAJ	VYBER	6800	13341	\N	\N	\N
841988	2865	1998-03-17	VYDAJ	VYBER	12700	12981	\N	\N	\N
841989	2865	1998-05-16	VYDAJ	VYBER	13900	15636	\N	\N	\N
841990	2865	1998-08-14	VYDAJ	VYBER	28900	18810	\N	\N	\N
841991	2865	1998-11-12	VYDAJ	VYBER	31100	13762	\N	\N	\N
842038	2866	1995-09-13	PRIJEM	VKLAD	900	900	\N	\N	\N
842048	2866	1995-10-07	PRIJEM	VKLAD	17358	18258	\N	\N	\N
842049	2866	1995-11-07	PRIJEM	VKLAD	17358	38570	\N	\N	\N
842050	2866	1995-12-07	PRIJEM	VKLAD	26037	60029	\N	\N	\N
842051	2866	1996-01-07	PRIJEM	VKLAD	17358	60452	\N	\N	\N
842052	2866	1996-02-07	PRIJEM	VKLAD	17358	58885	\N	\N	\N
842053	2866	1996-03-07	PRIJEM	VKLAD	17358	46824	\N	\N	\N
842054	2866	1996-04-07	PRIJEM	VKLAD	17358	50191	\N	\N	\N
842055	2866	1996-05-07	PRIJEM	VKLAD	17358	48585	\N	\N	\N
842056	2866	1996-06-07	PRIJEM	VKLAD	26037	61350	\N	\N	\N
842057	2866	1996-07-07	PRIJEM	VKLAD	17358	44876	\N	\N	\N
842058	2866	1996-08-07	PRIJEM	VKLAD	17358	47635	\N	\N	\N
842059	2866	1996-09-07	PRIJEM	VKLAD	17358	46158	\N	\N	\N
842060	2866	1996-10-07	PRIJEM	VKLAD	17358	47730	\N	\N	\N
842061	2866	1996-11-07	PRIJEM	VKLAD	17358	45416	\N	\N	\N
842062	2866	1996-12-07	PRIJEM	VKLAD	26037	57630	\N	\N	\N
842063	2866	1997-01-07	PRIJEM	VKLAD	17358	51693	\N	\N	\N
842064	2866	1997-02-07	PRIJEM	VKLAD	17358	37916	\N	\N	\N
842065	2866	1997-03-07	PRIJEM	VKLAD	17358	44074	\N	\N	\N
842066	2866	1997-04-07	PRIJEM	VKLAD	17358	48106	\N	\N	\N
842067	2866	1997-05-07	PRIJEM	VKLAD	17358	48716	\N	\N	\N
842068	2866	1997-06-07	PRIJEM	VKLAD	26037	59212	\N	\N	\N
842069	2866	1997-07-07	PRIJEM	VKLAD	17358	48685	\N	\N	\N
842070	2866	1997-08-07	PRIJEM	VKLAD	17358	54300	\N	\N	\N
842071	2866	1997-09-07	PRIJEM	VKLAD	17358	56035	\N	\N	\N
842072	2866	1997-10-07	PRIJEM	VKLAD	17358	60019	\N	\N	\N
842073	2866	1997-11-07	PRIJEM	VKLAD	17358	57747	\N	\N	\N
842074	2866	1997-12-07	PRIJEM	VKLAD	26037	66515	\N	\N	\N
842075	2866	1998-01-07	PRIJEM	VKLAD	17358	60572	\N	\N	\N
842076	2866	1998-02-07	PRIJEM	VKLAD	17358	56732	\N	\N	\N
842077	2866	1998-03-07	PRIJEM	VKLAD	17358	61953	\N	\N	\N
842078	2866	1998-04-07	PRIJEM	VKLAD	17358	62271	\N	\N	\N
842079	2866	1998-05-07	PRIJEM	VKLAD	17358	69717	\N	\N	\N
842080	2866	1998-06-07	PRIJEM	VKLAD	26037	76269	\N	\N	\N
842081	2866	1998-07-07	PRIJEM	VKLAD	17358	61280	\N	\N	\N
842082	2866	1998-08-07	PRIJEM	VKLAD	17358	60737	\N	\N	\N
842083	2866	1998-09-07	PRIJEM	VKLAD	17358	58970	\N	\N	\N
842084	2866	1998-10-07	PRIJEM	VKLAD	17358	52191	\N	\N	\N
842085	2866	1998-11-07	PRIJEM	VKLAD	17358	47284	\N	\N	\N
842086	2866	1998-12-07	PRIJEM	VKLAD	26037	48916	\N	\N	\N
842100	2866	1996-02-14	VYDAJ	PREVOD NA UCET	5711	33174	SIPO	EF	53555941
842101	2866	1996-03-14	VYDAJ	PREVOD NA UCET	5711	32713	SIPO	EF	53555941
842102	2866	1996-04-14	VYDAJ	PREVOD NA UCET	5711	33380	SIPO	EF	53555941
842103	2866	1996-05-14	VYDAJ	PREVOD NA UCET	5711	35174	SIPO	EF	53555941
842104	2866	1996-06-14	VYDAJ	PREVOD NA UCET	5711	27399	SIPO	EF	53555941
842105	2866	1996-07-14	VYDAJ	PREVOD NA UCET	5711	30165	SIPO	EF	53555941
842106	2866	1996-08-14	VYDAJ	PREVOD NA UCET	5711	30724	SIPO	EF	53555941
842107	2866	1996-09-14	VYDAJ	PREVOD NA UCET	5711	30247	SIPO	EF	53555941
842108	2866	1996-10-14	VYDAJ	PREVOD NA UCET	5711	32019	SIPO	EF	53555941
842109	2866	1996-11-14	VYDAJ	PREVOD NA UCET	5711	39705	SIPO	EF	53555941
842110	2866	1996-12-14	VYDAJ	PREVOD NA UCET	5711	51919	SIPO	EF	53555941
842111	2866	1997-01-14	VYDAJ	PREVOD NA UCET	5711	24422	SIPO	EF	53555941
842112	2866	1997-02-14	VYDAJ	PREVOD NA UCET	5711	32205	SIPO	EF	53555941
842113	2866	1997-03-14	VYDAJ	PREVOD NA UCET	5711	38363	SIPO	EF	53555941
842114	2866	1997-04-14	VYDAJ	PREVOD NA UCET	5711	42395	SIPO	EF	53555941
842115	2866	1997-05-14	VYDAJ	PREVOD NA UCET	5711	43005	SIPO	EF	53555941
842116	2866	1997-06-14	VYDAJ	PREVOD NA UCET	5711	40861	SIPO	EF	53555941
842117	2866	1997-07-14	VYDAJ	PREVOD NA UCET	5711	42974	SIPO	EF	53555941
842118	2866	1997-08-14	VYDAJ	PREVOD NA UCET	5711	48589	SIPO	EF	53555941
842119	2866	1997-09-14	VYDAJ	PREVOD NA UCET	5711	50324	SIPO	EF	53555941
842120	2866	1997-10-14	VYDAJ	PREVOD NA UCET	5711	51788	SIPO	EF	53555941
842121	2866	1997-11-14	VYDAJ	PREVOD NA UCET	5711	52036	SIPO	EF	53555941
842122	2866	1997-12-14	VYDAJ	PREVOD NA UCET	5711	60804	SIPO	EF	53555941
842123	2866	1998-01-14	VYDAJ	PREVOD NA UCET	5711	49101	SIPO	EF	53555941
842124	2866	1998-02-14	VYDAJ	PREVOD NA UCET	5711	51021	SIPO	EF	53555941
842125	2866	1998-03-14	VYDAJ	PREVOD NA UCET	5711	53602	SIPO	EF	53555941
842126	2866	1998-04-14	VYDAJ	PREVOD NA UCET	5711	56560	SIPO	EF	53555941
842127	2866	1998-05-14	VYDAJ	PREVOD NA UCET	5711	64006	SIPO	EF	53555941
842128	2866	1998-06-14	VYDAJ	PREVOD NA UCET	5711	70558	SIPO	EF	53555941
842129	2866	1998-07-14	VYDAJ	PREVOD NA UCET	5711	55569	SIPO	EF	53555941
842130	2866	1998-08-14	VYDAJ	PREVOD NA UCET	5711	55026	SIPO	EF	53555941
842131	2866	1998-09-14	VYDAJ	PREVOD NA UCET	5711	53259	SIPO	EF	53555941
842132	2866	1998-10-14	VYDAJ	PREVOD NA UCET	5711	46480	SIPO	EF	53555941
842133	2866	1998-11-14	VYDAJ	PREVOD NA UCET	5711	41573	SIPO	EF	53555941
842134	2866	1998-12-14	VYDAJ	PREVOD NA UCET	5711	36525	SIPO	EF	53555941
842136	2866	1996-06-13	VYDAJ	VYBER	11840	33110	\N	\N	\N
842137	2866	1997-06-09	VYDAJ	VYBER	11680	47532	\N	\N	\N
842138	2866	1998-06-18	VYDAJ	VYBER	7840	62718	\N	\N	\N
842141	2866	1997-01-11	VYDAJ	VYBER	15200	33853	\N	\N	\N
842142	2866	1998-01-27	VYDAJ	VYBER	4640	37981	\N	\N	\N
842144	2866	1996-12-03	VYDAJ	VYBER	3360	36493	\N	\N	\N
842145	2866	1997-12-27	VYDAJ	VYBER	3200	56524	\N	\N	\N
842146	2866	1998-12-12	VYDAJ	VYBER	800	42236	\N	\N	\N
842159	2866	1997-01-27	VYDAJ	VYBER	2640	19502	\N	\N	\N
842160	2866	1997-01-14	VYDAJ	VYBER	2400	30133	\N	\N	\N
842161	2866	1997-01-14	VYDAJ	VYBER	1320	32533	\N	\N	\N
842162	2866	1997-01-09	VYDAJ	VYBER	2640	49053	\N	\N	\N
842163	2866	1997-01-04	VYDAJ	VYBER	2280	49835	\N	\N	\N
842164	2866	1997-01-28	VYDAJ	VYBER	3360	16142	\N	\N	\N
842165	2866	1998-01-13	VYDAJ	VYBER	2880	54812	\N	\N	\N
842166	2866	1998-01-06	VYDAJ	VYBER	2040	43214	\N	\N	\N
842167	2866	1998-01-20	VYDAJ	VYBER	1680	47421	\N	\N	\N
842168	2866	1998-01-24	VYDAJ	VYBER	3360	44061	\N	\N	\N
842169	2866	1998-01-25	VYDAJ	VYBER	1440	42621	\N	\N	\N
842170	2866	1998-01-07	VYDAJ	VYBER	2880	57692	\N	\N	\N
842178	2866	1996-05-01	VYDAJ	VYBER	2280	31227	\N	\N	\N
842179	2866	1996-10-19	VYDAJ	VYBER	2280	29739	\N	\N	\N
842181	2866	1996-02-21	VYDAJ	VYBER	3840	29334	\N	\N	\N
842182	2866	1996-08-27	VYDAJ	VYBER	2040	28684	\N	\N	\N
842183	2866	1997-04-06	VYDAJ	VYBER	960	30748	\N	\N	\N
842184	2866	1997-11-18	VYDAJ	VYBER	2760	49276	\N	\N	\N
842185	2866	1997-09-29	VYDAJ	VYBER	5160	45164	\N	\N	\N
842186	2866	1997-12-18	VYDAJ	VYBER	1080	59724	\N	\N	\N
842187	2866	1997-06-11	VYDAJ	VYBER	960	46572	\N	\N	\N
842188	2866	1997-10-08	VYDAJ	VYBER	2520	57499	\N	\N	\N
842189	2866	1997-01-16	VYDAJ	VYBER	2280	22142	\N	\N	\N
842190	2866	1998-07-01	VYDAJ	VYBER	4920	43922	\N	\N	\N
842191	2866	1998-12-11	VYDAJ	VYBER	5880	43036	\N	\N	\N
842192	2866	1998-03-10	VYDAJ	VYBER	2640	59313	\N	\N	\N
842193	2866	1998-12-03	VYDAJ	VYBER	4920	22879	\N	\N	\N
842208	2866	1996-02-29	VYDAJ	VYBER	15	29466	SLUZBY	\N	\N
842209	2866	1996-03-31	VYDAJ	VYBER	15	32833	SLUZBY	\N	\N
842210	2866	1996-04-30	VYDAJ	VYBER	15	33507	SLUZBY	\N	\N
842211	2866	1996-05-31	VYDAJ	VYBER	15	35313	SLUZBY	\N	\N
842212	2866	1996-06-30	VYDAJ	VYBER	15	27518	SLUZBY	\N	\N
842213	2866	1996-07-31	VYDAJ	VYBER	15	30277	SLUZBY	\N	\N
842214	2866	1996-08-31	VYDAJ	VYBER	15	28800	SLUZBY	\N	\N
842215	2866	1996-09-30	VYDAJ	VYBER	15	30372	SLUZBY	\N	\N
842216	2866	1996-10-31	VYDAJ	VYBER	15	29858	SLUZBY	\N	\N
842217	2866	1996-11-30	VYDAJ	VYBER	15	39853	SLUZBY	\N	\N
842218	2866	1996-12-31	VYDAJ	VYBER	15	52115	SLUZBY	\N	\N
842219	2866	1997-01-31	VYDAJ	VYBER	15	16258	SLUZBY	\N	\N
842220	2866	1997-02-28	VYDAJ	VYBER	15	32316	SLUZBY	\N	\N
842221	2866	1997-03-31	VYDAJ	VYBER	15	38508	SLUZBY	\N	\N
842222	2866	1997-04-30	VYDAJ	VYBER	15	42558	SLUZBY	\N	\N
842223	2866	1997-05-31	VYDAJ	VYBER	15	43175	SLUZBY	\N	\N
842224	2866	1997-06-30	VYDAJ	VYBER	15	41027	SLUZBY	\N	\N
842225	2866	1997-07-31	VYDAJ	VYBER	15	43142	SLUZBY	\N	\N
842226	2866	1997-08-31	VYDAJ	VYBER	15	48777	SLUZBY	\N	\N
842227	2866	1997-09-30	VYDAJ	VYBER	15	45361	SLUZBY	\N	\N
842228	2866	1997-10-31	VYDAJ	VYBER	15	51989	SLUZBY	\N	\N
842229	2866	1997-11-30	VYDAJ	VYBER	15	49478	SLUZBY	\N	\N
842230	2866	1997-12-31	VYDAJ	VYBER	15	56754	SLUZBY	\N	\N
842231	2866	1998-01-31	VYDAJ	VYBER	15	39374	SLUZBY	\N	\N
842232	2866	1998-02-28	VYDAJ	VYBER	15	51195	SLUZBY	\N	\N
842233	2866	1998-03-31	VYDAJ	VYBER	15	44913	SLUZBY	\N	\N
842234	2866	1998-04-30	VYDAJ	VYBER	15	56759	SLUZBY	\N	\N
842235	2866	1998-05-31	VYDAJ	VYBER	15	50232	SLUZBY	\N	\N
842236	2866	1998-06-30	VYDAJ	VYBER	15	48842	SLUZBY	\N	\N
842237	2866	1998-07-31	VYDAJ	VYBER	15	43379	SLUZBY	\N	\N
842238	2866	1998-08-31	VYDAJ	VYBER	15	41612	SLUZBY	\N	\N
842239	2866	1998-09-30	VYDAJ	VYBER	15	34833	SLUZBY	\N	\N
842240	2866	1998-10-31	VYDAJ	VYBER	15	29926	SLUZBY	\N	\N
842241	2866	1998-11-30	VYDAJ	VYBER	15	27799	SLUZBY	\N	\N
842242	2866	1995-10-13	PRIJEM	VKLAD	2900	21158	\N	\N	\N
842243	2866	1995-11-12	VYDAJ	VYBER	4700	33870	\N	\N	\N
842244	2866	1995-12-12	VYDAJ	VYBER	17100	42929	\N	\N	\N
842245	2866	1996-01-11	VYDAJ	VYBER	19100	41352	\N	\N	\N
842246	2866	1996-02-10	VYDAJ	VYBER	20000	38885	\N	\N	\N
842247	2866	1996-03-11	VYDAJ	VYBER	8400	38424	\N	\N	\N
842248	2866	1996-04-10	VYDAJ	VYBER	11100	39091	\N	\N	\N
842249	2866	1996-05-10	VYDAJ	VYBER	7700	40885	\N	\N	\N
842250	2866	1996-06-09	VYDAJ	VYBER	16400	44950	\N	\N	\N
842251	2866	1996-07-09	VYDAJ	VYBER	9000	35876	\N	\N	\N
842252	2866	1996-08-08	VYDAJ	VYBER	11200	36435	\N	\N	\N
842253	2866	1996-09-07	VYDAJ	VYBER	10200	35958	\N	\N	\N
842254	2866	1996-10-07	VYDAJ	VYBER	10000	37730	\N	\N	\N
842255	2866	1996-11-06	VYDAJ	VYBER	1800	28058	\N	\N	\N
842256	2866	1996-12-06	VYDAJ	VYBER	4900	31593	\N	\N	\N
842257	2866	1997-01-05	VYDAJ	VYBER	15500	34335	\N	\N	\N
842258	2866	1997-02-04	PRIJEM	VKLAD	4300	20558	\N	\N	\N
842259	2866	1997-03-06	VYDAJ	VYBER	5600	26716	\N	\N	\N
842260	2866	1997-04-05	VYDAJ	VYBER	6800	31708	\N	\N	\N
842261	2866	1997-05-05	VYDAJ	VYBER	11200	31358	\N	\N	\N
842262	2866	1997-06-04	VYDAJ	VYBER	10000	33175	\N	\N	\N
842263	2866	1997-07-04	VYDAJ	VYBER	9700	31327	\N	\N	\N
842264	2866	1997-08-03	VYDAJ	VYBER	6200	36942	\N	\N	\N
842265	2866	1997-09-02	VYDAJ	VYBER	10100	38677	\N	\N	\N
842266	2866	1997-10-02	VYDAJ	VYBER	2700	42661	\N	\N	\N
842267	2866	1997-11-01	VYDAJ	VYBER	11600	40389	\N	\N	\N
842268	2866	1997-12-01	VYDAJ	VYBER	9000	40478	\N	\N	\N
842269	2866	1997-12-31	VYDAJ	VYBER	11500	45254	\N	\N	\N
842270	2866	1998-01-30	PRIJEM	VKLAD	1200	39181	\N	\N	\N
842271	2866	1998-03-01	VYDAJ	VYBER	6600	44595	\N	\N	\N
842272	2866	1998-03-31	VYDAJ	VYBER	8900	44928	\N	\N	\N
842273	2866	1998-04-30	VYDAJ	VYBER	4400	52359	\N	\N	\N
842274	2866	1998-05-30	VYDAJ	VYBER	14000	50006	\N	\N	\N
842275	2866	1998-06-29	VYDAJ	VYBER	14100	48618	\N	\N	\N
842276	2866	1998-07-29	VYDAJ	VYBER	12400	43169	\N	\N	\N
842277	2866	1998-08-28	VYDAJ	VYBER	13600	41426	\N	\N	\N
842278	2866	1998-09-27	VYDAJ	VYBER	18600	34659	\N	\N	\N
842279	2866	1998-10-27	VYDAJ	VYBER	16700	29780	\N	\N	\N
842280	2866	1998-11-26	VYDAJ	VYBER	13900	27673	\N	\N	\N
842320	2867	1993-11-04	PRIJEM	VKLAD	900	900	\N	\N	\N
842331	2867	1993-11-12	PRIJEM	VKLAD	21312	22212	\N	\N	\N
842332	2867	1993-12-12	PRIJEM	VKLAD	31968	56039	\N	\N	\N
842333	2867	1994-01-12	PRIJEM	VKLAD	21312	60934	\N	\N	\N
842334	2867	1994-02-12	PRIJEM	VKLAD	21312	64493	\N	\N	\N
842335	2867	1994-03-12	PRIJEM	VKLAD	21312	64868	\N	\N	\N
842336	2867	1994-04-12	PRIJEM	VKLAD	21312	58112	\N	\N	\N
842337	2867	1994-05-12	PRIJEM	VKLAD	21312	53435	\N	\N	\N
842338	2867	1994-06-12	PRIJEM	VKLAD	31968	60692	\N	\N	\N
842339	2867	1994-07-12	PRIJEM	VKLAD	21312	50978	\N	\N	\N
842340	2867	1994-08-12	PRIJEM	VKLAD	21312	52164	\N	\N	\N
842341	2867	1994-09-12	PRIJEM	VKLAD	21312	51747	\N	\N	\N
842342	2867	1994-10-12	PRIJEM	VKLAD	21312	54914	\N	\N	\N
842343	2867	1994-11-12	PRIJEM	VKLAD	21312	53093	\N	\N	\N
842344	2867	1994-12-12	PRIJEM	VKLAD	31968	60320	\N	\N	\N
842345	2867	1995-01-12	PRIJEM	VKLAD	21312	55003	\N	\N	\N
842346	2867	1995-02-12	PRIJEM	VKLAD	21312	46768	\N	\N	\N
842347	2867	1995-03-12	PRIJEM	VKLAD	21312	51512	\N	\N	\N
842348	2867	1995-04-12	PRIJEM	VKLAD	21312	52074	\N	\N	\N
842349	2867	1995-05-12	PRIJEM	VKLAD	21312	53533	\N	\N	\N
842350	2867	1995-06-12	PRIJEM	VKLAD	31968	64558	\N	\N	\N
842351	2867	1995-07-12	PRIJEM	VKLAD	21312	48123	\N	\N	\N
842352	2867	1995-08-12	PRIJEM	VKLAD	21312	52262	\N	\N	\N
842353	2867	1995-09-12	PRIJEM	VKLAD	21312	56525	\N	\N	\N
842354	2867	1995-10-12	PRIJEM	VKLAD	21312	59104	\N	\N	\N
842355	2867	1995-11-12	PRIJEM	VKLAD	21312	61993	\N	\N	\N
842356	2867	1995-12-12	PRIJEM	VKLAD	31968	69846	\N	\N	\N
842357	2867	1996-01-12	PRIJEM	VKLAD	21312	61656	\N	\N	\N
842358	2867	1996-02-12	PRIJEM	VKLAD	21312	58543	\N	\N	\N
842359	2867	1996-03-12	PRIJEM	VKLAD	21312	66833	\N	\N	\N
842360	2867	1996-04-12	PRIJEM	VKLAD	21312	66747	\N	\N	\N
842361	2867	1996-05-12	PRIJEM	VKLAD	21312	72267	\N	\N	\N
842362	2867	1996-06-12	PRIJEM	VKLAD	31968	84360	\N	\N	\N
842363	2867	1996-07-12	PRIJEM	VKLAD	21312	68205	\N	\N	\N
842364	2867	1996-08-12	PRIJEM	VKLAD	21312	73328	\N	\N	\N
842365	2867	1996-09-12	PRIJEM	VKLAD	21312	75767	\N	\N	\N
842366	2867	1996-10-12	PRIJEM	VKLAD	21312	79318	\N	\N	\N
842367	2867	1996-11-12	PRIJEM	VKLAD	21312	80980	\N	\N	\N
842368	2867	1996-12-12	PRIJEM	VKLAD	31968	93405	\N	\N	\N
842369	2867	1997-01-12	PRIJEM	VKLAD	21312	71493	\N	\N	\N
842370	2867	1997-02-12	PRIJEM	VKLAD	21312	74543	\N	\N	\N
842371	2867	1997-03-12	PRIJEM	VKLAD	21312	79585	\N	\N	\N
842372	2867	1997-04-12	PRIJEM	VKLAD	21312	81151	\N	\N	\N
842373	2867	1997-05-12	PRIJEM	VKLAD	21312	85622	\N	\N	\N
842374	2867	1997-06-12	PRIJEM	VKLAD	31968	96965	\N	\N	\N
842375	2867	1997-07-12	PRIJEM	VKLAD	21312	77044	\N	\N	\N
842376	2867	1997-08-12	PRIJEM	VKLAD	21312	85208	\N	\N	\N
842377	2867	1997-09-12	PRIJEM	VKLAD	21312	99915	\N	\N	\N
842378	2867	1997-10-12	PRIJEM	VKLAD	21312	99755	\N	\N	\N
842379	2867	1997-11-12	PRIJEM	VKLAD	21312	106202	\N	\N	\N
842380	2867	1997-12-12	PRIJEM	VKLAD	31968	118827	\N	\N	\N
842381	2867	1998-01-12	PRIJEM	VKLAD	21312	82840	\N	\N	\N
842382	2867	1998-02-12	PRIJEM	VKLAD	21312	100417	\N	\N	\N
842383	2867	1998-03-12	PRIJEM	VKLAD	21312	114570	\N	\N	\N
842384	2867	1998-04-12	PRIJEM	VKLAD	21312	121180	\N	\N	\N
842385	2867	1998-05-12	PRIJEM	VKLAD	21312	106256	\N	\N	\N
842386	2867	1998-06-12	PRIJEM	VKLAD	31968	141450	\N	\N	\N
842387	2867	1998-07-12	PRIJEM	VKLAD	21312	108062	\N	\N	\N
842388	2867	1998-08-12	PRIJEM	VKLAD	21312	124516	\N	\N	\N
842389	2867	1998-09-12	PRIJEM	VKLAD	21312	109336	\N	\N	\N
842390	2867	1998-10-12	PRIJEM	VKLAD	21312	127105	\N	\N	\N
842391	2867	1998-11-12	PRIJEM	VKLAD	21312	115866	\N	\N	\N
842392	2867	1998-12-12	PRIJEM	VKLAD	31968	141030	\N	\N	\N
842408	2867	1994-04-11	VYDAJ	PREVOD NA UCET	7523	36800	SIPO	EF	91818844
842409	2867	1994-05-11	VYDAJ	PREVOD NA UCET	7523	32123	SIPO	EF	91818844
842410	2867	1994-06-11	VYDAJ	PREVOD NA UCET	7523	28724	SIPO	EF	91818844
842411	2867	1994-07-11	VYDAJ	PREVOD NA UCET	7523	29666	SIPO	EF	91818844
842412	2867	1994-08-11	VYDAJ	PREVOD NA UCET	7523	30852	SIPO	EF	91818844
842413	2867	1994-09-11	VYDAJ	PREVOD NA UCET	7523	30435	SIPO	EF	91818844
842414	2867	1994-10-11	VYDAJ	PREVOD NA UCET	7523	33602	SIPO	EF	91818844
842415	2867	1994-11-11	VYDAJ	PREVOD NA UCET	7523	31781	SIPO	EF	91818844
842416	2867	1994-12-11	VYDAJ	PREVOD NA UCET	7523	28352	SIPO	EF	91818844
842417	2867	1995-01-11	VYDAJ	PREVOD NA UCET	7523	33691	SIPO	EF	91818844
842418	2867	1995-02-11	VYDAJ	PREVOD NA UCET	7523	25456	SIPO	EF	91818844
842419	2867	1995-03-11	VYDAJ	PREVOD NA UCET	7523	30200	SIPO	EF	91818844
842420	2867	1995-04-11	VYDAJ	PREVOD NA UCET	7523	30762	SIPO	EF	91818844
842421	2867	1995-05-11	VYDAJ	PREVOD NA UCET	7523	32221	SIPO	EF	91818844
842422	2867	1995-06-11	VYDAJ	PREVOD NA UCET	7523	32590	SIPO	EF	91818844
842423	2867	1995-07-11	VYDAJ	PREVOD NA UCET	7523	26811	SIPO	EF	91818844
842424	2867	1995-08-11	VYDAJ	PREVOD NA UCET	7523	30950	SIPO	EF	91818844
842425	2867	1995-09-11	VYDAJ	PREVOD NA UCET	7523	35213	SIPO	EF	91818844
842426	2867	1995-10-11	VYDAJ	PREVOD NA UCET	7523	37792	SIPO	EF	91818844
842427	2867	1995-11-11	VYDAJ	PREVOD NA UCET	7523	40681	SIPO	EF	91818844
842428	2867	1995-12-11	VYDAJ	PREVOD NA UCET	7523	37878	SIPO	EF	91818844
842429	2867	1996-01-11	VYDAJ	PREVOD NA UCET	7523	40344	SIPO	EF	91818844
842430	2867	1996-02-11	VYDAJ	PREVOD NA UCET	7523	38631	SIPO	EF	91818844
842431	2867	1996-03-11	VYDAJ	PREVOD NA UCET	7523	45521	SIPO	EF	91818844
842432	2867	1996-04-11	VYDAJ	PREVOD NA UCET	7523	45435	SIPO	EF	91818844
842433	2867	1996-05-11	VYDAJ	PREVOD NA UCET	7523	50955	SIPO	EF	91818844
842434	2867	1996-06-11	VYDAJ	PREVOD NA UCET	7523	52392	SIPO	EF	91818844
842435	2867	1996-07-11	VYDAJ	PREVOD NA UCET	7523	46893	SIPO	EF	91818844
842436	2867	1996-08-11	VYDAJ	PREVOD NA UCET	7523	52016	SIPO	EF	91818844
842437	2867	1996-09-11	VYDAJ	PREVOD NA UCET	7523	54455	SIPO	EF	91818844
842438	2867	1996-10-11	VYDAJ	PREVOD NA UCET	7523	58006	SIPO	EF	91818844
842439	2867	1996-11-11	VYDAJ	PREVOD NA UCET	7523	59668	SIPO	EF	91818844
842440	2867	1996-12-11	VYDAJ	PREVOD NA UCET	7523	61437	SIPO	EF	91818844
842441	2867	1997-01-11	VYDAJ	PREVOD NA UCET	7523	50181	SIPO	EF	91818844
842442	2867	1997-02-11	VYDAJ	PREVOD NA UCET	7523	53231	SIPO	EF	91818844
842443	2867	1997-03-11	VYDAJ	PREVOD NA UCET	7523	58273	SIPO	EF	91818844
842444	2867	1997-04-11	VYDAJ	PREVOD NA UCET	7523	59839	SIPO	EF	91818844
842445	2867	1997-05-11	VYDAJ	PREVOD NA UCET	7523	64310	SIPO	EF	91818844
842446	2867	1997-06-11	VYDAJ	PREVOD NA UCET	7523	64997	SIPO	EF	91818844
842447	2867	1997-07-11	VYDAJ	PREVOD NA UCET	7523	55732	SIPO	EF	91818844
842448	2867	1997-08-11	VYDAJ	PREVOD NA UCET	7523	63896	SIPO	EF	91818844
842449	2867	1997-09-11	VYDAJ	PREVOD NA UCET	7523	78603	SIPO	EF	91818844
842450	2867	1997-10-11	VYDAJ	PREVOD NA UCET	7523	78443	SIPO	EF	91818844
842451	2867	1997-11-11	VYDAJ	PREVOD NA UCET	7523	84890	SIPO	EF	91818844
842452	2867	1997-12-11	VYDAJ	PREVOD NA UCET	7523	86859	SIPO	EF	91818844
842453	2867	1998-01-11	VYDAJ	PREVOD NA UCET	7523	50128	SIPO	EF	91818844
842454	2867	1998-02-11	VYDAJ	PREVOD NA UCET	7523	79105	SIPO	EF	91818844
842455	2867	1998-03-11	VYDAJ	PREVOD NA UCET	7523	93258	SIPO	EF	91818844
842456	2867	1998-04-11	VYDAJ	PREVOD NA UCET	7523	99868	SIPO	EF	91818844
842457	2867	1998-05-11	VYDAJ	PREVOD NA UCET	7523	84744	SIPO	EF	91818844
842458	2867	1998-06-11	VYDAJ	PREVOD NA UCET	7523	113182	SIPO	EF	91818844
842459	2867	1998-07-11	VYDAJ	PREVOD NA UCET	7523	86750	SIPO	EF	91818844
842460	2867	1998-08-11	VYDAJ	PREVOD NA UCET	7523	103204	SIPO	EF	91818844
842461	2867	1998-09-11	VYDAJ	PREVOD NA UCET	7523	88024	SIPO	EF	91818844
842462	2867	1998-10-11	VYDAJ	PREVOD NA UCET	7523	105793	SIPO	EF	91818844
842463	2867	1998-11-11	VYDAJ	PREVOD NA UCET	7523	94554	SIPO	EF	91818844
842464	2867	1998-12-11	VYDAJ	PREVOD NA UCET	7523	109062	SIPO	EF	91818844
842466	2867	1994-06-18	VYDAJ	VYBER	8400	52292	\N	\N	\N
842467	2867	1995-06-21	VYDAJ	VYBER	28700	35858	\N	\N	\N
842468	2867	1996-06-21	VYDAJ	VYBER	23100	61260	\N	\N	\N
842469	2867	1997-06-19	VYDAJ	VYBER	21400	62965	\N	\N	\N
842470	2867	1998-06-16	VYDAJ	VYBER	22400	63350	\N	\N	\N
842473	2867	1995-01-25	VYDAJ	VYBER	7100	41503	\N	\N	\N
842474	2867	1996-01-04	VYDAJ	VYBER	1900	50567	\N	\N	\N
842475	2867	1997-01-09	VYDAJ	VYBER	7900	60004	\N	\N	\N
842476	2867	1998-01-03	VYDAJ	VYBER	9800	58851	\N	\N	\N
842478	2867	1994-12-04	VYDAJ	VYBER	1200	35875	\N	\N	\N
842479	2867	1995-12-02	VYDAJ	VYBER	2500	45401	\N	\N	\N
842480	2867	1996-12-08	VYDAJ	VYBER	1100	68960	\N	\N	\N
842481	2867	1997-12-06	VYDAJ	VYBER KARTOU	2900	94382	\N	\N	0
842482	2867	1998-12-18	VYDAJ	VYBER KARTOU	1000	92030	\N	\N	0
842495	2867	1995-01-05	VYDAJ	VYBER	2700	41214	\N	\N	\N
842496	2867	1995-01-23	VYDAJ	VYBER	700	48603	\N	\N	\N
842497	2867	1995-01-19	VYDAJ	VYBER	2800	52203	\N	\N	\N
842498	2867	1995-01-19	VYDAJ	VYBER	700	51503	\N	\N	\N
842499	2867	1995-01-22	VYDAJ	VYBER	2200	49303	\N	\N	\N
842500	2867	1995-01-28	VYDAJ	VYBER	700	32803	\N	\N	\N
842501	2867	1996-01-18	VYDAJ	VYBER	1700	57756	\N	\N	\N
842502	2867	1996-01-21	VYDAJ	VYBER	2700	51056	\N	\N	\N
842503	2867	1996-01-18	VYDAJ	VYBER	2200	59456	\N	\N	\N
842504	2867	1996-01-19	VYDAJ	VYBER	1200	56556	\N	\N	\N
842505	2867	1996-01-07	VYDAJ	VYBER	2700	47867	\N	\N	\N
842506	2867	1996-01-21	VYDAJ	VYBER	2600	48456	\N	\N	\N
842507	2867	1997-01-28	VYDAJ	VYBER	2300	60493	\N	\N	\N
842508	2867	1997-01-06	VYDAJ	VYBER	1500	67904	\N	\N	\N
842509	2867	1997-01-05	VYDAJ	VYBER	2500	69404	\N	\N	\N
842510	2867	1997-01-03	VYDAJ	VYBER	2000	71904	\N	\N	\N
842511	2867	1997-01-27	VYDAJ	VYBER	2700	62793	\N	\N	\N
842512	2867	1997-01-11	VYDAJ	VYBER	2300	57704	\N	\N	\N
842513	2867	1998-01-03	VYDAJ	VYBER KARTOU	1600	68651	\N	\N	0
842514	2867	1998-01-01	VYDAJ	VYBER KARTOU	2200	70251	\N	\N	0
842515	2867	1998-01-25	VYDAJ	VYBER KARTOU	1100	81740	\N	\N	0
842516	2867	1998-01-26	VYDAJ	VYBER KARTOU	1700	80040	\N	\N	0
842517	2867	1998-01-07	VYDAJ	VYBER KARTOU	1200	57651	\N	\N	0
842518	2867	1998-01-27	VYDAJ	VYBER KARTOU	2300	77740	\N	\N	0
842526	2867	1994-12-01	VYDAJ	VYBER	3700	37075	\N	\N	\N
842527	2867	1994-06-06	VYDAJ	VYBER	4200	36247	\N	\N	\N
842528	2867	1994-08-25	VYDAJ	VYBER	2400	49764	\N	\N	\N
842529	2867	1995-11-12	VYDAJ	VYBER	900	61093	\N	\N	\N
842530	2867	1995-12-21	VYDAJ	VYBER	4600	65246	\N	\N	\N
842531	2867	1995-04-21	VYDAJ	VYBER	1500	47574	\N	\N	\N
842532	2867	1995-04-17	VYDAJ	VYBER	3000	49074	\N	\N	\N
842533	2867	1995-07-14	VYDAJ	VYBER	4600	43523	\N	\N	\N
842534	2867	1996-02-11	VYDAJ	VYBER	1400	37231	\N	\N	\N
842535	2867	1996-10-31	VYDAJ	VYBER	800	67191	\N	\N	\N
842536	2867	1996-01-20	VYDAJ	VYBER	2800	53756	\N	\N	\N
842537	2867	1996-09-25	VYDAJ	VYBER	1900	65267	\N	\N	\N
842538	2867	1997-09-26	VYDAJ	VYBER KARTOU	4300	85615	\N	\N	0
842539	2867	1997-06-08	VYDAJ	VYBER	2900	72520	\N	\N	\N
842540	2867	1997-04-03	VYDAJ	VYBER	1600	69362	\N	\N	\N
842541	2867	1997-04-05	VYDAJ	VYBER	2000	67362	\N	\N	\N
842542	2867	1997-07-23	VYDAJ	VYBER	4900	71144	\N	\N	\N
842543	2867	1997-09-18	VYDAJ	VYBER KARTOU	2000	89915	\N	\N	0
842544	2867	1998-06-11	VYDAJ	VYBER KARTOU	3700	109482	\N	\N	0
842545	2867	1998-03-30	VYDAJ	VYBER KARTOU	1200	106970	\N	\N	0
842546	2867	1998-12-22	VYDAJ	VYBER KARTOU	1800	90230	\N	\N	0
842547	2867	1998-06-29	VYDAJ	VYBER KARTOU	3200	60150	\N	\N	0
842548	2867	1998-12-01	VYDAJ	VYBER KARTOU	4200	112085	\N	\N	0
842549	2867	1998-06-15	VYDAJ	VYBER KARTOU	2700	85750	\N	\N	0
842550	2867	1998-08-05	VYDAJ	VYBER KARTOU	900	107527	\N	\N	0
842551	2867	1998-08-14	VYDAJ	VYBER KARTOU	2400	71016	\N	\N	0
842567	2867	1994-03-31	VYDAJ	VYBER	15	65123	SLUZBY	\N	\N
842568	2867	1994-04-30	VYDAJ	VYBER	15	58346	SLUZBY	\N	\N
842569	2867	1994-05-31	VYDAJ	VYBER	15	53647	SLUZBY	\N	\N
842570	2867	1994-06-30	VYDAJ	VYBER	15	52489	SLUZBY	\N	\N
842571	2867	1994-07-31	VYDAJ	VYBER	15	51175	SLUZBY	\N	\N
842572	2867	1994-08-31	VYDAJ	VYBER	15	49958	SLUZBY	\N	\N
842573	2867	1994-09-30	VYDAJ	VYBER	15	41125	SLUZBY	\N	\N
842574	2867	1994-10-31	VYDAJ	VYBER	15	39304	SLUZBY	\N	\N
842575	2867	1994-11-30	VYDAJ	VYBER	15	40775	SLUZBY	\N	\N
842576	2867	1994-12-31	VYDAJ	VYBER	15	43914	SLUZBY	\N	\N
842577	2867	1995-01-31	VYDAJ	VYBER	15	32979	SLUZBY	\N	\N
842578	2867	1995-02-28	VYDAJ	VYBER	15	37723	SLUZBY	\N	\N
842579	2867	1995-03-31	VYDAJ	VYBER	15	38285	SLUZBY	\N	\N
842580	2867	1995-04-30	VYDAJ	VYBER	15	39744	SLUZBY	\N	\N
842581	2867	1995-05-31	VYDAJ	VYBER	15	40113	SLUZBY	\N	\N
842582	2867	1995-06-30	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
842583	2867	1995-07-31	VYDAJ	VYBER	15	38473	SLUZBY	\N	\N
842584	2867	1995-08-31	VYDAJ	VYBER	15	42736	SLUZBY	\N	\N
842585	2867	1995-09-30	VYDAJ	VYBER	15	45315	SLUZBY	\N	\N
842586	2867	1995-10-31	VYDAJ	VYBER	15	48204	SLUZBY	\N	\N
842587	2867	1995-11-30	VYDAJ	VYBER	15	47901	SLUZBY	\N	\N
842588	2867	1995-12-31	VYDAJ	VYBER	15	52467	SLUZBY	\N	\N
842589	2867	1996-01-31	VYDAJ	VYBER	15	46154	SLUZBY	\N	\N
842590	2867	1996-02-29	VYDAJ	VYBER	15	53044	SLUZBY	\N	\N
842591	2867	1996-03-31	VYDAJ	VYBER	15	52958	SLUZBY	\N	\N
842592	2867	1996-04-30	VYDAJ	VYBER	15	58478	SLUZBY	\N	\N
842593	2867	1996-05-31	VYDAJ	VYBER	15	59915	SLUZBY	\N	\N
842594	2867	1996-06-30	VYDAJ	VYBER	15	54416	SLUZBY	\N	\N
842595	2867	1996-07-31	VYDAJ	VYBER	15	59539	SLUZBY	\N	\N
842596	2867	1996-08-31	VYDAJ	VYBER	15	61978	SLUZBY	\N	\N
842597	2867	1996-09-30	VYDAJ	VYBER	15	65529	SLUZBY	\N	\N
842598	2867	1996-10-31	VYDAJ	VYBER	15	67991	SLUZBY	\N	\N
842599	2867	1996-11-30	VYDAJ	VYBER	15	70060	SLUZBY	\N	\N
842600	2867	1996-12-31	VYDAJ	VYBER	15	73904	SLUZBY	\N	\N
842601	2867	1997-01-31	VYDAJ	VYBER	15	60754	SLUZBY	\N	\N
842602	2867	1997-02-28	VYDAJ	VYBER	15	65796	SLUZBY	\N	\N
842603	2867	1997-03-31	VYDAJ	VYBER	15	70962	SLUZBY	\N	\N
842604	2867	1997-04-30	VYDAJ	VYBER	15	71833	SLUZBY	\N	\N
842605	2867	1997-05-31	VYDAJ	VYBER	15	75420	SLUZBY	\N	\N
842606	2867	1997-06-30	VYDAJ	VYBER	15	63255	SLUZBY	\N	\N
842607	2867	1997-07-31	VYDAJ	VYBER	15	71419	SLUZBY	\N	\N
842608	2867	1997-08-31	VYDAJ	VYBER	15	86126	SLUZBY	\N	\N
842609	2867	1997-09-30	VYDAJ	VYBER	15	85966	SLUZBY	\N	\N
842610	2867	1997-10-31	VYDAJ	VYBER	15	92413	SLUZBY	\N	\N
842611	2867	1997-11-30	VYDAJ	VYBER	15	97282	SLUZBY	\N	\N
842612	2867	1997-12-31	VYDAJ	VYBER	15	72451	SLUZBY	\N	\N
842613	2867	1998-01-31	VYDAJ	VYBER	15	78028	SLUZBY	\N	\N
842614	2867	1998-02-28	VYDAJ	VYBER	15	100781	SLUZBY	\N	\N
842615	2867	1998-03-31	VYDAJ	VYBER	15	107391	SLUZBY	\N	\N
842616	2867	1998-04-30	VYDAJ	VYBER	15	92267	SLUZBY	\N	\N
842617	2867	1998-05-31	VYDAJ	VYBER	15	106605	SLUZBY	\N	\N
842618	2867	1998-06-30	VYDAJ	VYBER	15	60473	SLUZBY	\N	\N
842619	2867	1998-07-31	VYDAJ	VYBER	15	108427	SLUZBY	\N	\N
842620	2867	1998-08-31	VYDAJ	VYBER	15	71347	SLUZBY	\N	\N
842621	2867	1998-09-30	VYDAJ	VYBER	15	109716	SLUZBY	\N	\N
842622	2867	1998-10-31	VYDAJ	VYBER	15	86477	SLUZBY	\N	\N
842623	2867	1998-11-30	VYDAJ	VYBER	15	116285	SLUZBY	\N	\N
842624	2867	1993-12-04	PRIJEM	VKLAD	1800	24071	\N	\N	\N
842625	2867	1994-01-03	VYDAJ	VYBER	16600	39622	\N	\N	\N
842626	2867	1994-02-02	VYDAJ	VYBER	18000	43181	\N	\N	\N
842627	2867	1994-03-04	VYDAJ	VYBER	21200	43556	\N	\N	\N
842628	2867	1994-04-03	VYDAJ	VYBER	20800	44323	\N	\N	\N
842629	2867	1994-05-03	VYDAJ	VYBER	18700	39646	\N	\N	\N
842630	2867	1994-06-02	VYDAJ	VYBER	13200	40447	\N	\N	\N
842631	2867	1994-07-02	VYDAJ	VYBER	15300	37189	\N	\N	\N
842632	2867	1994-08-01	VYDAJ	VYBER	12800	38375	\N	\N	\N
842633	2867	1994-08-31	VYDAJ	VYBER	12000	37958	\N	\N	\N
842634	2867	1994-09-30	VYDAJ	VYBER	10800	41140	\N	\N	\N
842635	2867	1994-10-30	VYDAJ	VYBER	15800	39114	\N	\N	\N
842636	2867	1994-11-29	VYDAJ	VYBER	12500	40593	\N	\N	\N
842637	2867	1994-12-29	VYDAJ	VYBER	16600	43720	\N	\N	\N
842638	2867	1995-01-28	VYDAJ	VYBER	8000	33503	\N	\N	\N
842639	2867	1995-02-27	VYDAJ	VYBER	9200	37568	\N	\N	\N
842640	2867	1995-03-29	VYDAJ	VYBER	13400	38112	\N	\N	\N
842641	2867	1995-04-28	VYDAJ	VYBER	8000	39574	\N	\N	\N
842642	2867	1995-05-28	VYDAJ	VYBER	13600	39933	\N	\N	\N
842643	2867	1995-06-27	VYDAJ	VYBER	1700	34158	\N	\N	\N
842644	2867	1995-07-27	VYDAJ	VYBER	5200	38323	\N	\N	\N
842645	2867	1995-08-26	VYDAJ	VYBER	9700	42562	\N	\N	\N
842646	2867	1995-09-25	VYDAJ	VYBER	11400	45125	\N	\N	\N
842647	2867	1995-10-25	VYDAJ	VYBER	11100	48004	\N	\N	\N
842648	2867	1995-11-24	VYDAJ	VYBER	13400	47693	\N	\N	\N
842649	2867	1995-12-24	VYDAJ	VYBER	13000	52246	\N	\N	\N
842650	2867	1996-01-23	VYDAJ	VYBER	2500	45956	\N	\N	\N
842651	2867	1996-02-22	VYDAJ	VYBER	5700	52843	\N	\N	\N
842652	2867	1996-03-23	VYDAJ	VYBER	14100	52733	\N	\N	\N
842653	2867	1996-04-22	VYDAJ	VYBER	8500	58247	\N	\N	\N
842654	2867	1996-05-22	VYDAJ	VYBER	12600	59667	\N	\N	\N
842655	2867	1996-06-21	VYDAJ	VYBER	7100	54160	\N	\N	\N
842656	2867	1996-07-21	VYDAJ	VYBER	8900	59305	\N	\N	\N
842657	2867	1996-08-20	VYDAJ	VYBER	11600	61728	\N	\N	\N
842658	2867	1996-09-19	VYDAJ	VYBER	8600	67167	\N	\N	\N
842659	2867	1996-10-19	VYDAJ	VYBER	11600	67718	\N	\N	\N
842660	2867	1996-11-18	VYDAJ	VYBER	11200	69780	\N	\N	\N
842661	2867	1996-12-18	VYDAJ	VYBER	19800	73605	\N	\N	\N
842662	2867	1997-01-17	VYDAJ	VYBER	6000	65493	\N	\N	\N
842663	2867	1997-02-16	VYDAJ	VYBER	9000	65543	\N	\N	\N
842664	2867	1997-03-18	VYDAJ	VYBER	8900	70685	\N	\N	\N
842665	2867	1997-04-17	VYDAJ	VYBER	9600	71551	\N	\N	\N
842666	2867	1997-05-17	VYDAJ	VYBER	10500	75122	\N	\N	\N
842667	2867	1997-06-16	VYDAJ	VYBER	12600	84365	\N	\N	\N
842668	2867	1997-07-16	VYDAJ	VYBER	1000	76044	\N	\N	\N
842669	2867	1997-08-15	PRIJEM	VKLAD	600	85808	\N	\N	\N
842670	2867	1997-09-14	VYDAJ	VYBER KARTOU	8000	91915	\N	\N	0
842671	2867	1997-10-14	VYDAJ	VYBER KARTOU	7700	92055	\N	\N	0
842672	2867	1997-11-13	VYDAJ	VYBER	9300	96902	\N	\N	\N
842673	2867	1997-12-12	VYDAJ	VYBER	61900	56927	\N	\N	\N
842674	2867	1997-12-13	PRIJEM	VKLAD	15200	72127	\N	\N	\N
842675	2867	1998-01-12	PRIJEM	VKLAD	11400	61528	\N	\N	\N
842676	2867	1998-02-11	PRIJEM	VKLAD	8600	86628	\N	\N	\N
842677	2867	1998-03-13	VYDAJ	VYBER KARTOU	6400	108170	\N	\N	0
842678	2867	1998-04-12	VYDAJ	VYBER	46500	91880	\N	\N	\N
842679	2867	1998-04-12	PRIJEM	VKLAD	17200	138380	\N	\N	\N
842680	2867	1998-05-12	PRIJEM	VKLAD	200	84944	\N	\N	\N
842681	2867	1998-06-11	PRIJEM	VKLAD	14100	120705	\N	\N	\N
842682	2867	1998-06-12	VYDAJ	VYBER	53000	88450	\N	\N	\N
842683	2867	1998-07-11	PRIJEM	VKLAD	33800	94273	\N	\N	\N
842684	2867	1998-08-10	PRIJEM	VKLAD	3200	110727	\N	\N	\N
842685	2867	1998-08-12	VYDAJ	VYBER	51100	73416	\N	\N	\N
842686	2867	1998-09-09	PRIJEM	VKLAD	24200	95547	\N	\N	\N
842687	2867	1998-10-09	PRIJEM	VKLAD	3600	113316	\N	\N	\N
842688	2867	1998-10-12	VYDAJ	VYBER	41000	86105	\N	\N	\N
842689	2867	1998-11-08	PRIJEM	VKLAD	15600	102077	\N	\N	\N
842690	2867	1998-12-08	PRIJEM	VKLAD	4500	116585	\N	\N	\N
842691	2867	1998-12-12	VYDAJ	VYBER	48000	93030	\N	\N	\N
842754	2868	1994-06-15	PRIJEM	VKLAD	800	800	\N	\N	\N
842761	2868	1994-07-06	PRIJEM	PREVOD Z UCTU	4960	5760	DUCHOD	MN	69437229
842762	2868	1994-08-06	PRIJEM	PREVOD Z UCTU	4960	10720	DUCHOD	MN	69437229
842763	2868	1994-09-06	PRIJEM	PREVOD Z UCTU	4960	15680	DUCHOD	MN	69437229
842764	2868	1994-10-06	PRIJEM	PREVOD Z UCTU	4960	20640	DUCHOD	MN	69437229
842765	2868	1994-11-06	PRIJEM	PREVOD Z UCTU	4960	25600	DUCHOD	MN	69437229
842766	2868	1994-12-06	PRIJEM	PREVOD Z UCTU	4960	24219	DUCHOD	MN	69437229
842767	2868	1995-01-06	PRIJEM	PREVOD Z UCTU	4960	25946	DUCHOD	MN	69437229
842768	2868	1995-02-06	PRIJEM	PREVOD Z UCTU	4960	18017	DUCHOD	MN	69437229
842769	2868	1995-03-06	PRIJEM	PREVOD Z UCTU	4960	19716	DUCHOD	MN	69437229
842770	2868	1995-04-06	PRIJEM	PREVOD Z UCTU	4960	21423	DUCHOD	MN	69437229
842771	2868	1995-05-06	PRIJEM	PREVOD Z UCTU	4960	19527	DUCHOD	MN	69437229
842772	2868	1995-06-06	PRIJEM	PREVOD Z UCTU	4960	21233	DUCHOD	MN	69437229
842773	2868	1995-07-06	PRIJEM	PREVOD Z UCTU	4960	22946	DUCHOD	MN	69437229
842774	2868	1995-08-06	PRIJEM	PREVOD Z UCTU	4960	24565	DUCHOD	MN	69437229
842775	2868	1995-09-06	PRIJEM	PREVOD Z UCTU	4960	24852	DUCHOD	MN	69437229
842776	2868	1995-10-06	PRIJEM	PREVOD Z UCTU	4960	23772	DUCHOD	MN	69437229
842777	2868	1995-11-06	PRIJEM	PREVOD Z UCTU	4960	23976	DUCHOD	MN	69437229
842778	2868	1995-12-06	PRIJEM	PREVOD Z UCTU	4960	23779	DUCHOD	MN	69437229
842779	2868	1996-01-06	PRIJEM	PREVOD Z UCTU	4960	24752	DUCHOD	MN	69437229
842780	2868	1996-02-06	PRIJEM	PREVOD Z UCTU	4960	18223	DUCHOD	MN	69437229
842781	2868	1996-03-06	PRIJEM	PREVOD Z UCTU	4960	19923	DUCHOD	MN	69437229
842782	2868	1996-04-06	PRIJEM	PREVOD Z UCTU	4960	20928	DUCHOD	MN	69437229
842783	2868	1996-05-06	PRIJEM	PREVOD Z UCTU	4960	20156	DUCHOD	MN	69437229
842784	2868	1996-06-06	PRIJEM	PREVOD Z UCTU	4960	21864	DUCHOD	MN	69437229
842785	2868	1996-07-06	PRIJEM	PREVOD Z UCTU	4960	22938	DUCHOD	MN	69437229
842786	2868	1996-08-06	PRIJEM	PREVOD Z UCTU	4960	22897	DUCHOD	MN	69437229
842787	2868	1996-09-06	PRIJEM	PREVOD Z UCTU	4960	24617	DUCHOD	MN	69437229
842788	2868	1996-10-06	PRIJEM	PREVOD Z UCTU	4960	26343	DUCHOD	MN	69437229
842789	2868	1996-11-06	PRIJEM	PREVOD Z UCTU	4960	28077	DUCHOD	MN	69437229
842790	2868	1996-12-06	PRIJEM	PREVOD Z UCTU	4960	29368	DUCHOD	MN	69437229
842791	2868	1997-01-06	PRIJEM	PREVOD Z UCTU	4960	29115	DUCHOD	MN	69437229
842792	2868	1997-02-06	PRIJEM	PREVOD Z UCTU	4960	24429	DUCHOD	MN	69437229
842793	2868	1997-03-06	PRIJEM	PREVOD Z UCTU	4960	26155	DUCHOD	MN	69437229
842794	2868	1997-04-06	PRIJEM	PREVOD Z UCTU	4960	24847	DUCHOD	MN	69437229
842795	2868	1997-05-06	PRIJEM	PREVOD Z UCTU	4960	26577	DUCHOD	MN	69437229
842796	2868	1997-06-06	PRIJEM	PREVOD Z UCTU	4960	27432	DUCHOD	MN	69437229
842797	2868	1997-07-06	PRIJEM	PREVOD Z UCTU	4960	21556	DUCHOD	MN	69437229
842798	2868	1997-08-06	PRIJEM	PREVOD Z UCTU	4960	23269	DUCHOD	MN	69437229
842799	2868	1997-09-06	PRIJEM	PREVOD Z UCTU	4960	20506	DUCHOD	MN	69437229
842800	2868	1997-10-06	PRIJEM	PREVOD Z UCTU	4960	22217	DUCHOD	MN	69437229
842801	2868	1997-11-06	PRIJEM	PREVOD Z UCTU	4960	23933	DUCHOD	MN	69437229
842802	2868	1997-12-06	PRIJEM	PREVOD Z UCTU	4960	24855	DUCHOD	MN	69437229
842803	2868	1998-01-06	PRIJEM	PREVOD Z UCTU	4960	25851	DUCHOD	MN	69437229
842804	2868	1998-02-06	PRIJEM	PREVOD Z UCTU	4960	21571	DUCHOD	MN	69437229
842805	2868	1998-03-06	PRIJEM	PREVOD Z UCTU	4960	23284	DUCHOD	MN	69437229
842806	2868	1998-04-06	PRIJEM	PREVOD Z UCTU	4960	25004	DUCHOD	MN	69437229
842807	2868	1998-05-06	PRIJEM	PREVOD Z UCTU	4960	24248	DUCHOD	MN	69437229
842808	2868	1998-06-06	PRIJEM	PREVOD Z UCTU	4960	22043	DUCHOD	MN	69437229
842809	2868	1998-07-06	PRIJEM	PREVOD Z UCTU	4960	23758	DUCHOD	MN	69437229
842810	2868	1998-08-06	PRIJEM	PREVOD Z UCTU	4960	25481	DUCHOD	MN	69437229
842811	2868	1998-09-06	PRIJEM	PREVOD Z UCTU	4960	27210	DUCHOD	MN	69437229
842812	2868	1998-10-06	PRIJEM	PREVOD Z UCTU	4960	28946	DUCHOD	MN	69437229
842813	2868	1998-11-06	PRIJEM	PREVOD Z UCTU	4960	30690	DUCHOD	MN	69437229
842814	2868	1998-12-06	PRIJEM	PREVOD Z UCTU	4960	32440	DUCHOD	MN	69437229
842825	2868	1994-11-07	VYDAJ	PREVOD NA UCET	3306	22294	SIPO	IJ	78688722
842826	2868	1994-12-07	VYDAJ	PREVOD NA UCET	3306	20913	SIPO	IJ	78688722
842827	2868	1995-01-07	VYDAJ	PREVOD NA UCET	3306	22640	SIPO	IJ	78688722
842828	2868	1995-02-07	VYDAJ	PREVOD NA UCET	3306	14711	SIPO	IJ	78688722
842829	2868	1995-03-07	VYDAJ	PREVOD NA UCET	3306	16410	SIPO	IJ	78688722
842830	2868	1995-04-07	VYDAJ	PREVOD NA UCET	3306	18117	SIPO	IJ	78688722
842831	2868	1995-05-07	VYDAJ	PREVOD NA UCET	3306	16221	SIPO	IJ	78688722
842832	2868	1995-06-07	VYDAJ	PREVOD NA UCET	3306	17927	SIPO	IJ	78688722
842833	2868	1995-07-07	VYDAJ	PREVOD NA UCET	3306	19640	SIPO	IJ	78688722
842834	2868	1995-08-07	VYDAJ	PREVOD NA UCET	3306	21259	SIPO	IJ	78688722
842835	2868	1995-09-07	VYDAJ	PREVOD NA UCET	3306	21546	SIPO	IJ	78688722
842836	2868	1995-10-07	VYDAJ	PREVOD NA UCET	3306	20466	SIPO	IJ	78688722
842837	2868	1995-11-07	VYDAJ	PREVOD NA UCET	3306	20670	SIPO	IJ	78688722
842838	2868	1995-12-07	VYDAJ	PREVOD NA UCET	3306	20473	SIPO	IJ	78688722
842839	2868	1996-01-07	VYDAJ	PREVOD NA UCET	3306	21446	SIPO	IJ	78688722
842840	2868	1996-02-07	VYDAJ	PREVOD NA UCET	3306	14917	SIPO	IJ	78688722
842841	2868	1996-03-07	VYDAJ	PREVOD NA UCET	3306	15917	SIPO	IJ	78688722
842842	2868	1996-04-07	VYDAJ	PREVOD NA UCET	3306	17622	SIPO	IJ	78688722
842843	2868	1996-05-07	VYDAJ	PREVOD NA UCET	3306	16850	SIPO	IJ	78688722
842844	2868	1996-06-07	VYDAJ	PREVOD NA UCET	3306	18558	SIPO	IJ	78688722
842845	2868	1996-07-07	VYDAJ	PREVOD NA UCET	3306	19632	SIPO	IJ	78688722
842846	2868	1996-08-07	VYDAJ	PREVOD NA UCET	3306	19591	SIPO	IJ	78688722
842847	2868	1996-09-07	VYDAJ	PREVOD NA UCET	3306	21311	SIPO	IJ	78688722
842848	2868	1996-10-07	VYDAJ	PREVOD NA UCET	3306	23037	SIPO	IJ	78688722
842849	2868	1996-11-07	VYDAJ	PREVOD NA UCET	3306	24771	SIPO	IJ	78688722
842850	2868	1996-12-07	VYDAJ	PREVOD NA UCET	3306	26062	SIPO	IJ	78688722
842851	2868	1997-01-07	VYDAJ	PREVOD NA UCET	3306	24109	SIPO	IJ	78688722
842852	2868	1997-02-07	VYDAJ	PREVOD NA UCET	3306	21123	SIPO	IJ	78688722
842853	2868	1997-03-07	VYDAJ	PREVOD NA UCET	3306	22849	SIPO	IJ	78688722
842854	2868	1997-04-07	VYDAJ	PREVOD NA UCET	3306	21541	SIPO	IJ	78688722
842855	2868	1997-05-07	VYDAJ	PREVOD NA UCET	3306	23271	SIPO	IJ	78688722
842856	2868	1997-06-07	VYDAJ	PREVOD NA UCET	3306	24126	SIPO	IJ	78688722
842857	2868	1997-07-07	VYDAJ	PREVOD NA UCET	3306	18250	SIPO	IJ	78688722
842858	2868	1997-08-07	VYDAJ	PREVOD NA UCET	3306	19963	SIPO	IJ	78688722
842859	2868	1997-09-07	VYDAJ	PREVOD NA UCET	3306	17200	SIPO	IJ	78688722
842860	2868	1997-10-07	VYDAJ	PREVOD NA UCET	3306	18911	SIPO	IJ	78688722
842861	2868	1997-11-07	VYDAJ	PREVOD NA UCET	3306	20627	SIPO	IJ	78688722
842862	2868	1997-12-07	VYDAJ	PREVOD NA UCET	3306	21549	SIPO	IJ	78688722
842863	2868	1998-01-07	VYDAJ	PREVOD NA UCET	3306	22545	SIPO	IJ	78688722
842864	2868	1998-02-07	VYDAJ	PREVOD NA UCET	3306	18265	SIPO	IJ	78688722
842865	2868	1998-03-07	VYDAJ	PREVOD NA UCET	3306	19978	SIPO	IJ	78688722
842866	2868	1998-04-07	VYDAJ	PREVOD NA UCET	3306	21698	SIPO	IJ	78688722
842867	2868	1998-05-07	VYDAJ	PREVOD NA UCET	3306	20942	SIPO	IJ	78688722
842868	2868	1998-06-07	VYDAJ	PREVOD NA UCET	3306	18737	SIPO	IJ	78688722
842869	2868	1998-07-07	VYDAJ	PREVOD NA UCET	3306	20452	SIPO	IJ	78688722
842870	2868	1998-08-07	VYDAJ	PREVOD NA UCET	3306	22175	SIPO	IJ	78688722
842871	2868	1998-09-07	VYDAJ	PREVOD NA UCET	3306	23904	SIPO	IJ	78688722
842872	2868	1998-10-07	VYDAJ	PREVOD NA UCET	3306	25640	SIPO	IJ	78688722
842873	2868	1998-11-07	VYDAJ	PREVOD NA UCET	3306	27384	SIPO	IJ	78688722
842874	2868	1998-12-07	VYDAJ	PREVOD NA UCET	3306	29134	SIPO	IJ	78688722
842878	2868	1997-06-18	VYDAJ	VYBER	7600	16526	\N	\N	\N
842881	2868	1995-01-08	VYDAJ	VYBER	3400	19240	\N	\N	\N
842882	2868	1996-01-08	VYDAJ	VYBER	4550	16896	\N	\N	\N
842883	2868	1997-01-07	VYDAJ	VYBER	1700	27415	\N	\N	\N
842885	2868	1994-12-04	VYDAJ	VYBER	1250	19259	\N	\N	\N
842886	2868	1995-12-24	VYDAJ	VYBER	750	19723	\N	\N	\N
842887	2868	1996-12-01	VYDAJ	VYBER	450	24408	\N	\N	\N
842888	2868	1997-12-16	VYDAJ	VYBER	250	21299	\N	\N	\N
842889	2868	1998-12-27	VYDAJ	VYBER	1250	27884	\N	\N	\N
842896	2868	1995-01-15	VYDAJ	VYBER	1520	16840	\N	\N	\N
842897	2868	1995-01-29	VYDAJ	VYBER	560	13000	\N	\N	\N
842899	2868	1995-01-25	VYDAJ	VYBER	1680	13560	\N	\N	\N
842900	2868	1995-01-15	VYDAJ	VYBER	880	18360	\N	\N	\N
842901	2868	1995-01-19	VYDAJ	VYBER	1600	15240	\N	\N	\N
842908	2868	1997-01-24	VYDAJ	VYBER	480	21309	\N	\N	\N
842909	2868	1997-01-25	VYDAJ	VYBER	1920	19389	\N	\N	\N
842910	2868	1997-01-18	VYDAJ	VYBER	1280	21789	\N	\N	\N
842911	2868	1997-01-05	VYDAJ	VYBER	1120	24155	\N	\N	\N
842912	2868	1997-01-15	VYDAJ	VYBER	1040	23069	\N	\N	\N
842913	2868	1997-01-03	VYDAJ	VYBER	880	25275	\N	\N	\N
842914	2868	1998-01-26	VYDAJ	VYBER	880	16545	\N	\N	\N
842915	2868	1998-01-02	VYDAJ	VYBER	480	20891	\N	\N	\N
842916	2868	1998-01-25	VYDAJ	VYBER	720	17425	\N	\N	\N
842917	2868	1998-01-13	VYDAJ	VYBER	960	19265	\N	\N	\N
842918	2868	1998-01-19	VYDAJ	VYBER	1120	18145	\N	\N	\N
842919	2868	1998-01-11	VYDAJ	VYBER	2320	20225	\N	\N	\N
842924	2868	1994-11-12	VYDAJ	VYBER	1840	20454	\N	\N	\N
842926	2868	1995-11-24	VYDAJ	VYBER	1920	18750	\N	\N	\N
842927	2868	1995-04-09	VYDAJ	VYBER	2880	15237	\N	\N	\N
842928	2868	1995-11-04	VYDAJ	VYBER	1520	19016	\N	\N	\N
842930	2868	1995-04-30	VYDAJ	VYBER	720	14582	\N	\N	\N
842931	2868	1995-09-03	VYDAJ	VYBER	1440	19892	\N	\N	\N
842933	2868	1996-06-21	VYDAJ	VYBER	640	17918	\N	\N	\N
842935	2868	1996-01-08	VYDAJ	VYBER	3680	13216	\N	\N	\N
842936	2868	1996-07-29	VYDAJ	VYBER	1760	17872	\N	\N	\N
842937	2868	1996-04-21	VYDAJ	VYBER	2480	15142	\N	\N	\N
842939	2868	1997-04-03	VYDAJ	VYBER	3040	19887	\N	\N	\N
842940	2868	1997-05-28	VYDAJ	VYBER	880	22391	\N	\N	\N
842942	2868	1997-11-12	VYDAJ	VYBER	800	19827	\N	\N	\N
842943	2868	1997-09-01	VYDAJ	VYBER	2800	15546	\N	\N	\N
842944	2868	1997-08-14	VYDAJ	VYBER	1680	18283	\N	\N	\N
842946	2868	1998-05-31	VYDAJ	VYBER	480	17083	\N	\N	\N
842947	2868	1998-04-21	VYDAJ	VYBER	2480	19218	\N	\N	\N
842948	2868	1998-05-12	VYDAJ	VYBER	3440	17502	\N	\N	\N
842960	2868	1994-11-30	VYDAJ	VYBER	15	20509	SLUZBY	\N	\N
842961	2868	1994-12-31	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
842962	2868	1995-01-31	VYDAJ	VYBER	15	13057	SLUZBY	\N	\N
842963	2868	1995-02-28	VYDAJ	VYBER	15	14756	SLUZBY	\N	\N
842964	2868	1995-03-31	VYDAJ	VYBER	15	16463	SLUZBY	\N	\N
842965	2868	1995-04-30	VYDAJ	VYBER	15	14567	SLUZBY	\N	\N
842966	2868	1995-05-31	VYDAJ	VYBER	15	16273	SLUZBY	\N	\N
842967	2868	1995-06-30	VYDAJ	VYBER	15	17986	SLUZBY	\N	\N
842968	2868	1995-07-31	VYDAJ	VYBER	15	19605	SLUZBY	\N	\N
842969	2868	1995-08-31	VYDAJ	VYBER	15	21332	SLUZBY	\N	\N
842970	2868	1995-09-30	VYDAJ	VYBER	15	18812	SLUZBY	\N	\N
842971	2868	1995-10-31	VYDAJ	VYBER	15	20536	SLUZBY	\N	\N
842972	2868	1995-11-30	VYDAJ	VYBER	15	18819	SLUZBY	\N	\N
842973	2868	1995-12-31	VYDAJ	VYBER	15	19792	SLUZBY	\N	\N
842974	2868	1996-01-31	VYDAJ	VYBER	15	13263	SLUZBY	\N	\N
842975	2868	1996-02-29	VYDAJ	VYBER	15	14963	SLUZBY	\N	\N
842976	2868	1996-03-31	VYDAJ	VYBER	15	15968	SLUZBY	\N	\N
842977	2868	1996-04-30	VYDAJ	VYBER	15	15196	SLUZBY	\N	\N
842978	2868	1996-05-31	VYDAJ	VYBER	15	16904	SLUZBY	\N	\N
842979	2868	1996-06-30	VYDAJ	VYBER	15	17978	SLUZBY	\N	\N
842980	2868	1996-07-31	VYDAJ	VYBER	15	17937	SLUZBY	\N	\N
842981	2868	1996-08-31	VYDAJ	VYBER	15	19657	SLUZBY	\N	\N
842982	2868	1996-09-30	VYDAJ	VYBER	15	21383	SLUZBY	\N	\N
842983	2868	1996-10-31	VYDAJ	VYBER	15	23117	SLUZBY	\N	\N
842984	2868	1996-11-30	VYDAJ	VYBER	15	24858	SLUZBY	\N	\N
842985	2868	1996-12-31	VYDAJ	VYBER	15	26155	SLUZBY	\N	\N
842986	2868	1997-01-31	VYDAJ	VYBER	15	19469	SLUZBY	\N	\N
842987	2868	1997-02-28	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
842988	2868	1997-03-31	VYDAJ	VYBER	15	22927	SLUZBY	\N	\N
842989	2868	1997-04-30	VYDAJ	VYBER	15	21617	SLUZBY	\N	\N
842990	2868	1997-05-31	VYDAJ	VYBER	15	22472	SLUZBY	\N	\N
842991	2868	1997-06-30	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
842992	2868	1997-07-31	VYDAJ	VYBER	15	18309	SLUZBY	\N	\N
842993	2868	1997-08-31	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
842994	2868	1997-09-30	VYDAJ	VYBER	15	17257	SLUZBY	\N	\N
842995	2868	1997-10-31	VYDAJ	VYBER	15	18973	SLUZBY	\N	\N
842996	2868	1997-11-30	VYDAJ	VYBER	15	19895	SLUZBY	\N	\N
842997	2868	1997-12-31	VYDAJ	VYBER	15	21371	SLUZBY	\N	\N
842998	2868	1998-01-31	VYDAJ	VYBER	15	16611	SLUZBY	\N	\N
842999	2868	1998-02-28	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
843000	2868	1998-03-31	VYDAJ	VYBER	15	20044	SLUZBY	\N	\N
843001	2868	1998-04-30	VYDAJ	VYBER	15	19288	SLUZBY	\N	\N
843002	2868	1998-05-31	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
843003	2868	1998-06-30	VYDAJ	VYBER	15	18798	SLUZBY	\N	\N
843004	2868	1998-07-31	VYDAJ	VYBER	15	20521	SLUZBY	\N	\N
843005	2868	1998-08-31	VYDAJ	VYBER	15	22250	SLUZBY	\N	\N
843006	2868	1998-09-30	VYDAJ	VYBER	15	23986	SLUZBY	\N	\N
843007	2868	1998-10-31	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
843008	2868	1998-11-30	VYDAJ	VYBER	15	27480	SLUZBY	\N	\N
843009	2868	1995-07-10	VYDAJ	VYBER	100	19540	\N	\N	\N
843010	2868	1995-09-08	VYDAJ	VYBER	2800	18746	\N	\N	\N
843011	2868	1996-03-06	VYDAJ	VYBER	700	19223	\N	\N	\N
843062	2869	1996-09-27	PRIJEM	VKLAD	200	200	\N	\N	\N
843072	2869	1996-10-07	PRIJEM	PREVOD Z UCTU	5289	5489	DUCHOD	KL	2572250
843073	2869	1996-11-07	PRIJEM	PREVOD Z UCTU	5289	10778	DUCHOD	KL	2572250
843074	2869	1996-12-07	PRIJEM	PREVOD Z UCTU	5289	16067	DUCHOD	KL	2572250
843075	2869	1997-01-07	PRIJEM	PREVOD Z UCTU	5289	21356	DUCHOD	KL	2572250
843076	2869	1997-02-07	PRIJEM	PREVOD Z UCTU	5289	25064	DUCHOD	KL	2572250
843077	2869	1997-03-07	PRIJEM	PREVOD Z UCTU	5289	27867	DUCHOD	KL	2572250
843078	2869	1997-04-07	PRIJEM	PREVOD Z UCTU	5289	28019	DUCHOD	KL	2572250
843079	2869	1997-05-07	PRIJEM	PREVOD Z UCTU	5289	27106	DUCHOD	KL	2572250
843080	2869	1997-06-07	PRIJEM	PREVOD Z UCTU	5289	27115	DUCHOD	KL	2572250
843081	2869	1997-07-07	PRIJEM	PREVOD Z UCTU	5289	24868	DUCHOD	KL	2572250
843082	2869	1997-08-07	PRIJEM	PREVOD Z UCTU	5289	27671	DUCHOD	KL	2572250
843083	2869	1997-09-07	PRIJEM	PREVOD Z UCTU	5289	27125	DUCHOD	KL	2572250
843084	2869	1997-10-07	PRIJEM	PREVOD Z UCTU	5289	28138	DUCHOD	KL	2572250
843085	2869	1997-11-07	PRIJEM	PREVOD Z UCTU	5289	30053	DUCHOD	KL	2572250
843086	2869	1997-12-07	PRIJEM	PREVOD Z UCTU	5289	30874	DUCHOD	KL	2572250
843087	2869	1998-01-07	PRIJEM	PREVOD Z UCTU	5289	28694	DUCHOD	KL	2572250
843088	2869	1998-02-07	PRIJEM	PREVOD Z UCTU	5289	23907	DUCHOD	KL	2572250
843089	2869	1998-03-07	PRIJEM	PREVOD Z UCTU	5289	26705	DUCHOD	KL	2572250
843090	2869	1998-04-07	PRIJEM	PREVOD Z UCTU	5289	26711	DUCHOD	KL	2572250
843091	2869	1998-05-07	PRIJEM	PREVOD Z UCTU	5289	29524	DUCHOD	KL	2572250
843092	2869	1998-06-07	PRIJEM	PREVOD Z UCTU	5289	24793	DUCHOD	KL	2572250
843093	2869	1998-07-07	PRIJEM	PREVOD Z UCTU	5289	26500	DUCHOD	KL	2572250
843094	2869	1998-08-07	PRIJEM	PREVOD Z UCTU	5289	25623	DUCHOD	KL	2572250
843095	2869	1998-09-07	PRIJEM	PREVOD Z UCTU	5289	25723	DUCHOD	KL	2572250
843096	2869	1998-10-07	PRIJEM	PREVOD Z UCTU	5289	20898	DUCHOD	KL	2572250
843097	2869	1998-11-07	PRIJEM	PREVOD Z UCTU	5289	17872	DUCHOD	KL	2572250
843098	2869	1998-12-07	PRIJEM	PREVOD Z UCTU	5289	18240	DUCHOD	KL	2572250
843112	2869	1997-02-09	VYDAJ	PREVOD NA UCET	2562	22502	SIPO	UV	37169212
843113	2869	1997-03-09	VYDAJ	PREVOD NA UCET	2562	25305	SIPO	UV	37169212
843114	2869	1997-04-09	VYDAJ	PREVOD NA UCET	2562	25457	SIPO	UV	37169212
843115	2869	1997-05-09	VYDAJ	PREVOD NA UCET	2562	24544	SIPO	UV	37169212
843116	2869	1997-06-09	VYDAJ	PREVOD NA UCET	2562	24553	SIPO	UV	37169212
843117	2869	1997-07-09	VYDAJ	PREVOD NA UCET	2562	22306	SIPO	UV	37169212
843118	2869	1997-08-09	VYDAJ	PREVOD NA UCET	2562	25109	SIPO	UV	37169212
843119	2869	1997-09-09	VYDAJ	PREVOD NA UCET	2562	24563	SIPO	UV	37169212
843120	2869	1997-10-09	VYDAJ	PREVOD NA UCET	2562	25576	SIPO	UV	37169212
843121	2869	1997-11-09	VYDAJ	PREVOD NA UCET	2562	27491	SIPO	UV	37169212
843122	2869	1997-12-09	VYDAJ	PREVOD NA UCET	2562	28312	SIPO	UV	37169212
843123	2869	1998-01-09	VYDAJ	PREVOD NA UCET	2562	26132	SIPO	UV	37169212
843124	2869	1998-02-09	VYDAJ	PREVOD NA UCET	2562	21345	SIPO	UV	37169212
843125	2869	1998-03-09	VYDAJ	PREVOD NA UCET	2562	24143	SIPO	UV	37169212
843126	2869	1998-04-09	VYDAJ	PREVOD NA UCET	2562	24149	SIPO	UV	37169212
843127	2869	1998-05-09	VYDAJ	PREVOD NA UCET	2562	26962	SIPO	UV	37169212
843128	2869	1998-06-09	VYDAJ	PREVOD NA UCET	2562	22231	SIPO	UV	37169212
843129	2869	1998-07-09	VYDAJ	PREVOD NA UCET	2562	23938	SIPO	UV	37169212
843130	2869	1998-08-09	VYDAJ	PREVOD NA UCET	2562	23061	SIPO	UV	37169212
843131	2869	1998-09-09	VYDAJ	PREVOD NA UCET	2562	23161	SIPO	UV	37169212
843132	2869	1998-10-09	VYDAJ	PREVOD NA UCET	2562	18336	SIPO	UV	37169212
843133	2869	1998-11-09	VYDAJ	PREVOD NA UCET	2562	15310	SIPO	UV	37169212
843134	2869	1998-12-09	VYDAJ	PREVOD NA UCET	2562	15678	SIPO	UV	37169212
843136	2869	1997-06-18	VYDAJ	VYBER	4550	20003	\N	\N	\N
843137	2869	1998-06-06	VYDAJ	VYBER	6050	19504	\N	\N	\N
843140	2869	1998-01-25	VYDAJ	VYBER	3200	22132	\N	\N	\N
843142	2869	1997-12-12	VYDAJ	VYBER	1000	27312	\N	\N	\N
843143	2869	1998-12-20	VYDAJ	VYBER	1100	14578	\N	\N	\N
843156	2869	1998-01-11	VYDAJ	VYBER	400	25732	\N	\N	\N
843157	2869	1998-01-27	VYDAJ	VYBER	2080	18532	\N	\N	\N
843158	2869	1998-01-26	VYDAJ	VYBER	1520	20612	\N	\N	\N
843159	2869	1998-01-01	VYDAJ	VYBER	400	25085	\N	\N	\N
843160	2869	1998-01-20	VYDAJ	VYBER	400	25332	\N	\N	\N
843161	2869	1998-01-02	VYDAJ	VYBER	1680	23405	\N	\N	\N
843167	2869	1997-04-12	VYDAJ	VYBER	2720	22737	\N	\N	\N
843168	2869	1997-03-17	VYDAJ	VYBER	560	24745	\N	\N	\N
843169	2869	1997-09-05	VYDAJ	VYBER	3360	21836	\N	\N	\N
843170	2869	1997-12-14	VYDAJ	VYBER	1920	25392	\N	\N	\N
843171	2869	1998-04-05	VYDAJ	VYBER	1440	21422	\N	\N	\N
843172	2869	1998-03-14	VYDAJ	VYBER	1360	22783	\N	\N	\N
843173	2869	1998-07-27	VYDAJ	VYBER	480	20258	\N	\N	\N
843174	2869	1998-09-28	VYDAJ	VYBER	3120	15541	\N	\N	\N
843190	2869	1997-02-28	VYDAJ	VYBER	15	22578	SLUZBY	\N	\N
843191	2869	1997-03-31	VYDAJ	VYBER	15	22730	SLUZBY	\N	\N
843192	2869	1997-04-30	VYDAJ	VYBER	15	21817	SLUZBY	\N	\N
843193	2869	1997-05-31	VYDAJ	VYBER	15	21826	SLUZBY	\N	\N
843194	2869	1997-06-30	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
843195	2869	1997-07-31	VYDAJ	VYBER	15	22382	SLUZBY	\N	\N
843196	2869	1997-08-31	VYDAJ	VYBER	15	25196	SLUZBY	\N	\N
843197	2869	1997-09-30	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
843198	2869	1997-10-31	VYDAJ	VYBER	15	24764	SLUZBY	\N	\N
843199	2869	1997-11-30	VYDAJ	VYBER	15	25585	SLUZBY	\N	\N
843200	2869	1997-12-31	VYDAJ	VYBER	15	25485	SLUZBY	\N	\N
843201	2869	1998-01-31	VYDAJ	VYBER	15	18618	SLUZBY	\N	\N
843202	2869	1998-02-28	VYDAJ	VYBER	15	21416	SLUZBY	\N	\N
843203	2869	1998-03-31	VYDAJ	VYBER	15	22862	SLUZBY	\N	\N
843204	2869	1998-04-30	VYDAJ	VYBER	15	24235	SLUZBY	\N	\N
843205	2869	1998-05-31	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
843206	2869	1998-06-30	VYDAJ	VYBER	15	21211	SLUZBY	\N	\N
843207	2869	1998-07-31	VYDAJ	VYBER	15	20334	SLUZBY	\N	\N
843208	2869	1998-08-31	VYDAJ	VYBER	15	20434	SLUZBY	\N	\N
843209	2869	1998-09-30	VYDAJ	VYBER	15	15609	SLUZBY	\N	\N
843210	2869	1998-10-31	VYDAJ	VYBER	15	12583	SLUZBY	\N	\N
843211	2869	1998-11-30	VYDAJ	VYBER	15	12951	SLUZBY	\N	\N
843212	2869	1997-01-25	VYDAJ	VYBER	1600	19756	\N	\N	\N
843213	2869	1997-03-26	VYDAJ	VYBER	2100	22645	\N	\N	\N
843214	2869	1997-04-25	VYDAJ	VYBER	1000	21737	\N	\N	\N
843215	2869	1997-05-25	VYDAJ	VYBER	2800	21744	\N	\N	\N
843216	2869	1997-06-24	VYDAJ	VYBER	500	19503	\N	\N	\N
843217	2869	1997-09-22	VYDAJ	VYBER	1800	22763	\N	\N	\N
843218	2869	1997-10-22	VYDAJ	VYBER	900	24676	\N	\N	\N
843219	2869	1997-11-21	VYDAJ	VYBER	2000	25491	\N	\N	\N
843220	2869	1998-05-20	VYDAJ	VYBER	1500	25462	\N	\N	\N
843221	2869	1998-06-19	VYDAJ	VYBER	1100	21131	\N	\N	\N
843222	2869	1998-07-19	VYDAJ	VYBER	3200	20738	\N	\N	\N
843223	2869	1998-08-18	VYDAJ	VYBER	2700	20361	\N	\N	\N
843224	2869	1998-09-17	VYDAJ	VYBER	4500	18661	\N	\N	\N
843225	2869	1998-10-17	VYDAJ	VYBER	5800	12536	\N	\N	\N
843226	2869	1998-11-16	VYDAJ	VYBER	2400	12910	\N	\N	\N
843251	2870	1996-06-18	PRIJEM	VKLAD	800	800	\N	\N	\N
843258	2870	1996-07-14	PRIJEM	VKLAD	8777	9577	\N	\N	\N
843259	2870	1996-08-14	PRIJEM	VKLAD	8777	23081	\N	\N	\N
843260	2870	1996-09-14	PRIJEM	VKLAD	8777	31134	\N	\N	\N
843261	2870	1996-10-14	PRIJEM	VKLAD	8777	38018	\N	\N	\N
843262	2870	1996-11-14	PRIJEM	VKLAD	8777	43428	\N	\N	\N
843263	2870	1996-12-14	PRIJEM	VKLAD	13166	50780	\N	\N	\N
843264	2870	1997-01-14	PRIJEM	VKLAD	8777	42219	\N	\N	\N
843265	2870	1997-02-14	PRIJEM	VKLAD	8777	38832	\N	\N	\N
843266	2870	1997-03-14	PRIJEM	VKLAD	8777	41875	\N	\N	\N
843267	2870	1997-04-14	PRIJEM	VKLAD	8777	48039	\N	\N	\N
843268	2870	1997-05-14	PRIJEM	VKLAD	8777	44211	\N	\N	\N
843269	2870	1997-06-14	PRIJEM	VKLAD	13166	46600	\N	\N	\N
843270	2870	1997-07-14	PRIJEM	VKLAD	8777	51021	\N	\N	\N
843271	2870	1997-08-14	PRIJEM	VKLAD	8777	51392	\N	\N	\N
843272	2870	1997-09-14	PRIJEM	VKLAD	8777	51203	\N	\N	\N
843273	2870	1997-10-14	PRIJEM	VKLAD	8777	51421	\N	\N	\N
843274	2870	1997-11-14	PRIJEM	VKLAD	8777	53475	\N	\N	\N
843275	2870	1997-12-14	PRIJEM	VKLAD	13166	62070	\N	\N	\N
843276	2870	1998-01-14	PRIJEM	VKLAD	8777	51943	\N	\N	\N
843277	2870	1998-02-14	PRIJEM	VKLAD	8777	49479	\N	\N	\N
843278	2870	1998-03-14	PRIJEM	VKLAD	8777	52660	\N	\N	\N
843279	2870	1998-04-14	PRIJEM	VKLAD	8777	55074	\N	\N	\N
843280	2870	1998-05-14	PRIJEM	VKLAD	8777	58599	\N	\N	\N
843281	2870	1998-06-14	PRIJEM	VKLAD	13166	60486	\N	\N	\N
843282	2870	1998-07-14	PRIJEM	VKLAD	8777	51488	\N	\N	\N
843283	2870	1998-08-14	PRIJEM	VKLAD	8777	51385	\N	\N	\N
843284	2870	1998-09-14	PRIJEM	VKLAD	8777	48486	\N	\N	\N
843285	2870	1998-10-14	PRIJEM	VKLAD	8777	40507	\N	\N	\N
843286	2870	1998-11-14	PRIJEM	VKLAD	8777	44328	\N	\N	\N
843287	2870	1998-12-14	PRIJEM	VKLAD	13166	50582	\N	\N	\N
843298	2870	1996-11-14	VYDAJ	PREVOD NA UCET	5851	37577	SIPO	WX	9366387
843299	2870	1996-12-14	VYDAJ	PREVOD NA UCET	5851	44929	SIPO	WX	9366387
843300	2870	1997-01-14	VYDAJ	PREVOD NA UCET	5851	36368	SIPO	WX	9366387
843301	2870	1997-02-14	VYDAJ	PREVOD NA UCET	5851	32981	SIPO	WX	9366387
843302	2870	1997-03-14	VYDAJ	PREVOD NA UCET	5851	36024	SIPO	WX	9366387
843303	2870	1997-04-14	VYDAJ	PREVOD NA UCET	5851	42188	SIPO	WX	9366387
843304	2870	1997-05-14	VYDAJ	PREVOD NA UCET	5851	38360	SIPO	WX	9366387
843305	2870	1997-06-14	VYDAJ	PREVOD NA UCET	5851	40749	SIPO	WX	9366387
843306	2870	1997-07-14	VYDAJ	PREVOD NA UCET	5851	45170	SIPO	WX	9366387
843307	2870	1997-08-14	VYDAJ	PREVOD NA UCET	5851	45541	SIPO	WX	9366387
843308	2870	1997-09-14	VYDAJ	PREVOD NA UCET	5851	45352	SIPO	WX	9366387
843309	2870	1997-10-14	VYDAJ	PREVOD NA UCET	5851	45570	SIPO	WX	9366387
843310	2870	1997-11-14	VYDAJ	PREVOD NA UCET	5851	47624	SIPO	WX	9366387
843311	2870	1997-12-14	VYDAJ	PREVOD NA UCET	5851	56219	SIPO	WX	9366387
843312	2870	1998-01-14	VYDAJ	PREVOD NA UCET	5851	46092	SIPO	WX	9366387
843313	2870	1998-02-14	VYDAJ	PREVOD NA UCET	5851	43628	SIPO	WX	9366387
843314	2870	1998-03-14	VYDAJ	PREVOD NA UCET	5851	46809	SIPO	WX	9366387
843315	2870	1998-04-14	VYDAJ	PREVOD NA UCET	5851	49223	SIPO	WX	9366387
843316	2870	1998-05-14	VYDAJ	PREVOD NA UCET	5851	52748	SIPO	WX	9366387
843317	2870	1998-06-14	VYDAJ	PREVOD NA UCET	5851	54635	SIPO	WX	9366387
843318	2870	1998-07-14	VYDAJ	PREVOD NA UCET	5851	45637	SIPO	WX	9366387
843319	2870	1998-08-14	VYDAJ	PREVOD NA UCET	5851	45534	SIPO	WX	9366387
843320	2870	1998-09-14	VYDAJ	PREVOD NA UCET	5851	42635	SIPO	WX	9366387
843321	2870	1998-10-14	VYDAJ	PREVOD NA UCET	5851	34656	SIPO	WX	9366387
843322	2870	1998-11-14	VYDAJ	PREVOD NA UCET	5851	38477	SIPO	WX	9366387
843323	2870	1998-12-14	VYDAJ	PREVOD NA UCET	5851	44731	SIPO	WX	9366387
843326	2870	1998-06-21	VYDAJ	VYBER	19200	35435	\N	\N	\N
843328	2870	1997-01-26	VYDAJ	VYBER	9120	25208	\N	\N	\N
843329	2870	1998-01-23	VYDAJ	VYBER	1920	39972	\N	\N	\N
843330	2870	1996-12-28	VYDAJ	VYBER	4320	38409	\N	\N	\N
843331	2870	1997-12-20	VYDAJ	VYBER	1120	55099	\N	\N	\N
843332	2870	1998-12-14	VYDAJ	VYBER	800	43931	\N	\N	\N
843339	2870	1997-01-30	VYDAJ	VYBER	1680	23528	\N	\N	\N
843340	2870	1997-01-02	VYDAJ	VYBER	600	37962	\N	\N	\N
843341	2870	1997-01-06	VYDAJ	VYBER	1320	36642	\N	\N	\N
843342	2870	1997-01-11	VYDAJ	VYBER	1680	33042	\N	\N	\N
843343	2870	1997-01-11	VYDAJ	VYBER	1920	34722	\N	\N	\N
843344	2870	1997-01-16	VYDAJ	VYBER	2040	34328	\N	\N	\N
843345	2870	1998-01-17	VYDAJ	VYBER	840	45252	\N	\N	\N
843346	2870	1998-01-03	VYDAJ	VYBER	3360	51946	\N	\N	\N
843347	2870	1998-01-05	VYDAJ	VYBER	2520	49426	\N	\N	\N
843348	2870	1998-01-12	VYDAJ	VYBER	2160	43166	\N	\N	\N
843349	2870	1998-01-18	VYDAJ	VYBER	2640	42612	\N	\N	\N
843350	2870	1998-01-23	VYDAJ	VYBER	2640	37332	\N	\N	\N
843357	2870	1997-06-11	VYDAJ	VYBER	4320	29034	\N	\N	\N
843358	2870	1997-07-12	VYDAJ	VYBER	2760	38144	\N	\N	\N
843359	2870	1997-04-21	VYDAJ	VYBER	4440	36048	\N	\N	\N
843360	2870	1997-05-14	VYDAJ	VYBER	5160	33200	\N	\N	\N
843361	2870	1997-11-04	VYDAJ	VYBER	3240	42498	\N	\N	\N
843362	2870	1997-05-11	VYDAJ	VYBER	3360	32834	\N	\N	\N
843363	2870	1997-07-30	VYDAJ	VYBER	1920	43250	\N	\N	\N
843364	2870	1997-09-19	VYDAJ	VYBER	4080	41272	\N	\N	\N
843365	2870	1998-09-27	VYDAJ	VYBER	4440	38195	\N	\N	\N
843366	2870	1998-11-04	VYDAJ	VYBER	1440	33351	\N	\N	\N
843367	2870	1998-01-22	VYDAJ	VYBER	720	41892	\N	\N	\N
843368	2870	1998-10-13	VYDAJ	VYBER	3240	31730	\N	\N	\N
843369	2870	1998-05-14	VYDAJ	VYBER	3840	48908	\N	\N	\N
843381	2870	1996-11-30	VYDAJ	VYBER	15	37614	SLUZBY	\N	\N
843382	2870	1996-12-31	VYDAJ	VYBER	15	38562	SLUZBY	\N	\N
843383	2870	1997-01-31	VYDAJ	VYBER	15	23655	SLUZBY	\N	\N
843384	2870	1997-02-28	VYDAJ	VYBER	15	33098	SLUZBY	\N	\N
843385	2870	1997-03-31	VYDAJ	VYBER	15	39262	SLUZBY	\N	\N
843386	2870	1997-04-30	VYDAJ	VYBER	15	36194	SLUZBY	\N	\N
843387	2870	1997-05-31	VYDAJ	VYBER	15	33354	SLUZBY	\N	\N
843388	2870	1997-06-30	VYDAJ	VYBER	15	40904	SLUZBY	\N	\N
843389	2870	1997-07-31	VYDAJ	VYBER	15	43415	SLUZBY	\N	\N
843390	2870	1997-08-31	VYDAJ	VYBER	15	45726	SLUZBY	\N	\N
843391	2870	1997-09-30	VYDAJ	VYBER	15	41444	SLUZBY	\N	\N
843392	2870	1997-10-31	VYDAJ	VYBER	15	45738	SLUZBY	\N	\N
843393	2870	1997-11-30	VYDAJ	VYBER	15	47804	SLUZBY	\N	\N
843394	2870	1997-12-31	VYDAJ	VYBER	15	55306	SLUZBY	\N	\N
843395	2870	1998-01-31	VYDAJ	VYBER	15	37502	SLUZBY	\N	\N
843396	2870	1998-02-28	VYDAJ	VYBER	15	43783	SLUZBY	\N	\N
843397	2870	1998-03-31	VYDAJ	VYBER	15	46997	SLUZBY	\N	\N
843398	2870	1998-04-30	VYDAJ	VYBER	15	49422	SLUZBY	\N	\N
843399	2870	1998-05-31	VYDAJ	VYBER	15	49120	SLUZBY	\N	\N
843400	2870	1998-06-30	VYDAJ	VYBER	15	35611	SLUZBY	\N	\N
843401	2870	1998-07-31	VYDAJ	VYBER	15	45808	SLUZBY	\N	\N
843402	2870	1998-08-31	VYDAJ	VYBER	15	45709	SLUZBY	\N	\N
843403	2870	1998-09-30	VYDAJ	VYBER	15	38370	SLUZBY	\N	\N
843404	2870	1998-10-31	VYDAJ	VYBER	15	34791	SLUZBY	\N	\N
843405	2870	1998-11-30	VYDAJ	VYBER	15	38616	SLUZBY	\N	\N
843406	2870	1996-07-18	PRIJEM	VKLAD	4700	14277	\N	\N	\N
843407	2870	1996-08-17	VYDAJ	VYBER	800	22281	\N	\N	\N
843408	2870	1996-09-16	VYDAJ	VYBER	2000	29134	\N	\N	\N
843409	2870	1996-10-16	VYDAJ	VYBER	3500	34518	\N	\N	\N
843410	2870	1996-11-15	VYDAJ	VYBER	100	37477	\N	\N	\N
843411	2870	1996-12-15	VYDAJ	VYBER	2200	42729	\N	\N	\N
843412	2870	1997-01-14	PRIJEM	VKLAD	400	33442	\N	\N	\N
843413	2870	1997-02-13	PRIJEM	VKLAD	6400	30055	\N	\N	\N
843414	2870	1997-03-15	PRIJEM	VKLAD	3100	39124	\N	\N	\N
843415	2870	1997-04-14	VYDAJ	VYBER	1700	40488	\N	\N	\N
843416	2870	1997-05-14	PRIJEM	VKLAD	2600	35434	\N	\N	\N
843417	2870	1997-06-13	PRIJEM	VKLAD	4400	33434	\N	\N	\N
843418	2870	1997-07-13	PRIJEM	VKLAD	4100	42244	\N	\N	\N
843419	2870	1997-08-12	VYDAJ	VYBER	800	42615	\N	\N	\N
843420	2870	1997-09-11	VYDAJ	VYBER	3300	42426	\N	\N	\N
843421	2870	1997-10-11	PRIJEM	VKLAD	1200	42644	\N	\N	\N
843422	2870	1997-11-10	PRIJEM	VKLAD	2200	44698	\N	\N	\N
843423	2870	1997-12-10	PRIJEM	VKLAD	1100	48904	\N	\N	\N
843424	2870	1998-01-09	VYDAJ	VYBER	4100	45326	\N	\N	\N
843425	2870	1998-02-08	PRIJEM	VKLAD	3200	40702	\N	\N	\N
843426	2870	1998-03-10	PRIJEM	VKLAD	100	43883	\N	\N	\N
843427	2870	1998-04-09	VYDAJ	VYBER	700	46297	\N	\N	\N
843428	2870	1998-05-09	PRIJEM	VKLAD	400	49822	\N	\N	\N
843429	2870	1998-06-08	VYDAJ	VYBER	1800	47320	\N	\N	\N
843430	2870	1998-07-08	PRIJEM	VKLAD	7100	42711	\N	\N	\N
843431	2870	1998-08-07	VYDAJ	VYBER	3200	42608	\N	\N	\N
843432	2870	1998-09-06	VYDAJ	VYBER	6000	39709	\N	\N	\N
843433	2870	1998-10-06	VYDAJ	VYBER	3400	34970	\N	\N	\N
843434	2870	1998-11-05	PRIJEM	VKLAD	2200	35551	\N	\N	\N
843435	2870	1998-12-05	VYDAJ	VYBER	1200	37416	\N	\N	\N
843466	2871	1995-10-30	PRIJEM	VKLAD	600	600	\N	\N	\N
843477	2871	1995-11-10	PRIJEM	PREVOD Z UCTU	6683	7283	DUCHOD	YZ	64600586
843478	2871	1995-12-10	PRIJEM	PREVOD Z UCTU	6683	13966	DUCHOD	YZ	64600586
843479	2871	1996-01-10	PRIJEM	PREVOD Z UCTU	6683	20649	DUCHOD	YZ	64600586
843480	2871	1996-02-10	PRIJEM	PREVOD Z UCTU	6683	27332	DUCHOD	YZ	64600586
843481	2871	1996-03-10	PRIJEM	PREVOD Z UCTU	6683	34015	DUCHOD	YZ	64600586
843482	2871	1996-04-10	PRIJEM	PREVOD Z UCTU	6683	34872	DUCHOD	YZ	64600586
843483	2871	1996-05-10	PRIJEM	PREVOD Z UCTU	6683	32606	DUCHOD	YZ	64600586
843484	2871	1996-06-10	PRIJEM	PREVOD Z UCTU	6683	35077	DUCHOD	YZ	64600586
843485	2871	1996-07-10	PRIJEM	PREVOD Z UCTU	6683	29303	DUCHOD	YZ	64600586
843486	2871	1996-08-10	PRIJEM	PREVOD Z UCTU	6683	28978	DUCHOD	YZ	64600586
843487	2871	1996-09-10	PRIJEM	PREVOD Z UCTU	6683	31934	DUCHOD	YZ	64600586
843488	2871	1996-10-10	PRIJEM	PREVOD Z UCTU	6683	26216	DUCHOD	YZ	64600586
843489	2871	1996-11-10	PRIJEM	PREVOD Z UCTU	6683	27559	DUCHOD	YZ	64600586
843490	2871	1996-12-10	PRIJEM	PREVOD Z UCTU	6683	29869	DUCHOD	YZ	64600586
843491	2871	1997-01-10	PRIJEM	PREVOD Z UCTU	6683	30899	DUCHOD	YZ	64600586
843492	2871	1997-02-10	PRIJEM	PREVOD Z UCTU	6683	23601	DUCHOD	YZ	64600586
843493	2871	1997-03-10	PRIJEM	PREVOD Z UCTU	6683	23566	DUCHOD	YZ	64600586
843494	2871	1997-04-10	PRIJEM	PREVOD Z UCTU	6683	25618	DUCHOD	YZ	64600586
843495	2871	1997-05-10	PRIJEM	PREVOD Z UCTU	6683	28561	DUCHOD	YZ	64600586
843496	2871	1997-06-10	PRIJEM	PREVOD Z UCTU	6683	28565	DUCHOD	YZ	64600586
843497	2871	1997-07-10	PRIJEM	PREVOD Z UCTU	6683	28399	DUCHOD	YZ	64600586
843498	2871	1997-08-10	PRIJEM	PREVOD Z UCTU	6683	31353	DUCHOD	YZ	64600586
843499	2871	1997-09-10	PRIJEM	PREVOD Z UCTU	6683	34320	DUCHOD	YZ	64600586
843500	2871	1997-10-10	PRIJEM	PREVOD Z UCTU	6683	32591	DUCHOD	YZ	64600586
843501	2871	1997-11-10	PRIJEM	PREVOD Z UCTU	6683	29752	DUCHOD	YZ	64600586
843502	2871	1997-12-10	PRIJEM	PREVOD Z UCTU	6683	27972	DUCHOD	YZ	64600586
843503	2871	1998-01-10	PRIJEM	PREVOD Z UCTU	6683	25371	DUCHOD	YZ	64600586
843504	2871	1998-02-10	PRIJEM	PREVOD Z UCTU	6683	17662	DUCHOD	YZ	64600586
843505	2871	1998-03-10	PRIJEM	PREVOD Z UCTU	6683	20570	DUCHOD	YZ	64600586
843506	2871	1998-04-10	PRIJEM	PREVOD Z UCTU	6683	23491	DUCHOD	YZ	64600586
843507	2871	1998-05-10	PRIJEM	PREVOD Z UCTU	6683	23563	DUCHOD	YZ	64600586
843508	2871	1998-06-10	PRIJEM	PREVOD Z UCTU	6683	24393	DUCHOD	YZ	64600586
843509	2871	1998-07-10	PRIJEM	PREVOD Z UCTU	6683	21869	DUCHOD	YZ	64600586
843510	2871	1998-08-10	PRIJEM	PREVOD Z UCTU	6683	22791	DUCHOD	YZ	64600586
843511	2871	1998-09-10	PRIJEM	PREVOD Z UCTU	6683	25721	DUCHOD	YZ	64600586
843512	2871	1998-10-10	PRIJEM	PREVOD Z UCTU	6683	28663	DUCHOD	YZ	64600586
843513	2871	1998-11-10	PRIJEM	PREVOD Z UCTU	6683	31618	DUCHOD	YZ	64600586
843514	2871	1998-12-10	PRIJEM	PREVOD Z UCTU	6683	28235	DUCHOD	YZ	64600586
843530	2871	1996-04-07	VYDAJ	PREVOD NA UCET	3829	28189	SIPO	ST	62647694
843531	2871	1996-05-07	VYDAJ	PREVOD NA UCET	3829	25923	SIPO	ST	62647694
843532	2871	1996-06-07	VYDAJ	PREVOD NA UCET	3829	28394	SIPO	ST	62647694
843533	2871	1996-07-07	VYDAJ	PREVOD NA UCET	3829	22620	SIPO	ST	62647694
843534	2871	1996-08-07	VYDAJ	PREVOD NA UCET	3829	22295	SIPO	ST	62647694
843535	2871	1996-09-07	VYDAJ	PREVOD NA UCET	3829	25251	SIPO	ST	62647694
843536	2871	1996-10-07	VYDAJ	PREVOD NA UCET	3829	19533	SIPO	ST	62647694
843537	2871	1996-11-07	VYDAJ	PREVOD NA UCET	3829	20876	SIPO	ST	62647694
843538	2871	1996-12-07	VYDAJ	PREVOD NA UCET	3829	23186	SIPO	ST	62647694
843539	2871	1997-01-07	VYDAJ	PREVOD NA UCET	3829	24216	SIPO	ST	62647694
843540	2871	1997-02-07	VYDAJ	PREVOD NA UCET	3829	16918	SIPO	ST	62647694
843541	2871	1997-03-07	VYDAJ	PREVOD NA UCET	3829	16883	SIPO	ST	62647694
843542	2871	1997-04-07	VYDAJ	PREVOD NA UCET	3829	18935	SIPO	ST	62647694
843543	2871	1997-05-07	VYDAJ	PREVOD NA UCET	3829	21878	SIPO	ST	62647694
843544	2871	1997-06-07	VYDAJ	PREVOD NA UCET	3829	24832	SIPO	ST	62647694
843545	2871	1997-07-07	VYDAJ	PREVOD NA UCET	3829	21716	SIPO	ST	62647694
843546	2871	1997-08-07	VYDAJ	PREVOD NA UCET	3829	24670	SIPO	ST	62647694
843547	2871	1997-09-07	VYDAJ	PREVOD NA UCET	3829	27637	SIPO	ST	62647694
843548	2871	1997-10-07	VYDAJ	PREVOD NA UCET	3829	25908	SIPO	ST	62647694
843549	2871	1997-11-07	VYDAJ	PREVOD NA UCET	3829	23069	SIPO	ST	62647694
843550	2871	1997-12-07	VYDAJ	PREVOD NA UCET	3829	22239	SIPO	ST	62647694
843551	2871	1998-01-07	VYDAJ	PREVOD NA UCET	3829	22238	SIPO	ST	62647694
843552	2871	1998-02-07	VYDAJ	PREVOD NA UCET	3829	10979	SIPO	ST	62647694
843553	2871	1998-03-07	VYDAJ	PREVOD NA UCET	3829	13887	SIPO	ST	62647694
843554	2871	1998-04-07	VYDAJ	PREVOD NA UCET	3829	16808	SIPO	ST	62647694
843555	2871	1998-05-07	VYDAJ	PREVOD NA UCET	3829	16880	SIPO	ST	62647694
843556	2871	1998-06-07	VYDAJ	PREVOD NA UCET	3829	17710	SIPO	ST	62647694
843557	2871	1998-07-07	VYDAJ	PREVOD NA UCET	3829	15186	SIPO	ST	62647694
843558	2871	1998-08-07	VYDAJ	PREVOD NA UCET	3829	16108	SIPO	ST	62647694
843559	2871	1998-09-07	VYDAJ	PREVOD NA UCET	3829	19038	SIPO	ST	62647694
843560	2871	1998-10-07	VYDAJ	PREVOD NA UCET	3829	21980	SIPO	ST	62647694
843561	2871	1998-11-07	VYDAJ	PREVOD NA UCET	3829	24935	SIPO	ST	62647694
843562	2871	1998-12-07	VYDAJ	PREVOD NA UCET	3829	21552	SIPO	ST	62647694
843564	2871	1996-06-26	VYDAJ	VYBER	8750	26327	\N	\N	\N
843565	2871	1997-06-09	VYDAJ	VYBER	2950	21882	\N	\N	\N
843566	2871	1998-06-16	VYDAJ	VYBER	3450	18943	\N	\N	\N
843569	2871	1997-01-30	VYDAJ	VYBER	2450	21289	\N	\N	\N
843570	2871	1998-01-09	VYDAJ	VYBER	3150	18688	\N	\N	\N
843572	2871	1996-12-18	VYDAJ	VYBER	350	29519	\N	\N	\N
843573	2871	1997-12-09	VYDAJ	VYBER	950	21289	\N	\N	\N
843574	2871	1998-12-19	VYDAJ	VYBER	500	27735	\N	\N	\N
843587	2871	1997-01-14	VYDAJ	VYBER	640	30259	\N	\N	\N
843588	2871	1997-01-07	VYDAJ	VYBER	1280	28045	\N	\N	\N
843589	2871	1997-01-15	VYDAJ	VYBER	1200	29059	\N	\N	\N
843590	2871	1997-01-16	VYDAJ	VYBER	1840	27219	\N	\N	\N
843591	2871	1997-01-27	VYDAJ	VYBER	1680	25339	\N	\N	\N
843592	2871	1997-01-27	VYDAJ	VYBER	1600	23739	\N	\N	\N
843593	2871	1998-01-20	VYDAJ	VYBER	1360	22411	\N	\N	\N
843594	2871	1998-01-26	VYDAJ	VYBER	2080	15371	\N	\N	\N
843595	2871	1998-01-26	VYDAJ	VYBER	2160	17451	\N	\N	\N
843596	2871	1998-01-07	VYDAJ	VYBER	400	21838	\N	\N	\N
843597	2871	1998-01-16	VYDAJ	VYBER	1600	23771	\N	\N	\N
843598	2871	1998-01-23	VYDAJ	VYBER	2320	19611	\N	\N	\N
843605	2871	1996-11-23	VYDAJ	VYBER	640	26919	\N	\N	\N
843606	2871	1996-09-27	VYDAJ	VYBER	2880	23254	\N	\N	\N
843607	2871	1996-07-24	VYDAJ	VYBER	3280	26023	\N	\N	\N
843608	2871	1996-04-17	VYDAJ	VYBER	3040	31832	\N	\N	\N
843609	2871	1997-02-04	VYDAJ	VYBER	640	20747	\N	\N	\N
843610	2871	1997-06-23	VYDAJ	VYBER	3120	25445	\N	\N	\N
843611	2871	1997-11-11	VYDAJ	VYBER	2080	27672	\N	\N	\N
843612	2871	1997-02-10	VYDAJ	VYBER	2960	20641	\N	\N	\N
843613	2871	1997-03-20	VYDAJ	VYBER	880	22686	\N	\N	\N
843614	2871	1998-05-04	VYDAJ	VYBER	2560	20709	\N	\N	\N
843615	2871	1998-01-21	VYDAJ	VYBER	480	21931	\N	\N	\N
843616	2871	1998-11-29	VYDAJ	VYBER	3040	25278	\N	\N	\N
843617	2871	1998-02-06	VYDAJ	VYBER	640	14808	\N	\N	\N
843633	2871	1996-03-31	VYDAJ	VYBER	15	32018	SLUZBY	\N	\N
843634	2871	1996-04-30	VYDAJ	VYBER	15	29752	SLUZBY	\N	\N
843635	2871	1996-05-31	VYDAJ	VYBER	15	32223	SLUZBY	\N	\N
843636	2871	1996-06-30	VYDAJ	VYBER	15	26449	SLUZBY	\N	\N
843637	2871	1996-07-31	VYDAJ	VYBER	15	26124	SLUZBY	\N	\N
843638	2871	1996-08-31	VYDAJ	VYBER	15	29080	SLUZBY	\N	\N
843639	2871	1996-09-30	VYDAJ	VYBER	15	23362	SLUZBY	\N	\N
843640	2871	1996-10-31	VYDAJ	VYBER	15	24705	SLUZBY	\N	\N
843641	2871	1996-11-30	VYDAJ	VYBER	15	27015	SLUZBY	\N	\N
843642	2871	1996-12-31	VYDAJ	VYBER	15	29325	SLUZBY	\N	\N
843643	2871	1997-01-31	VYDAJ	VYBER	15	21387	SLUZBY	\N	\N
843644	2871	1997-02-28	VYDAJ	VYBER	15	20712	SLUZBY	\N	\N
843645	2871	1997-03-31	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
843646	2871	1997-04-30	VYDAJ	VYBER	15	25707	SLUZBY	\N	\N
843647	2871	1997-05-31	VYDAJ	VYBER	15	28661	SLUZBY	\N	\N
843648	2871	1997-06-30	VYDAJ	VYBER	15	25545	SLUZBY	\N	\N
843649	2871	1997-07-31	VYDAJ	VYBER	15	28499	SLUZBY	\N	\N
843650	2871	1997-08-31	VYDAJ	VYBER	15	31466	SLUZBY	\N	\N
843651	2871	1997-09-30	VYDAJ	VYBER	15	29737	SLUZBY	\N	\N
843652	2871	1997-10-31	VYDAJ	VYBER	15	26898	SLUZBY	\N	\N
843653	2871	1997-11-30	VYDAJ	VYBER	15	26068	SLUZBY	\N	\N
843654	2871	1997-12-31	VYDAJ	VYBER	15	26067	SLUZBY	\N	\N
843655	2871	1998-01-31	VYDAJ	VYBER	15	15448	SLUZBY	\N	\N
843656	2871	1998-02-28	VYDAJ	VYBER	15	17716	SLUZBY	\N	\N
843657	2871	1998-03-31	VYDAJ	VYBER	15	20637	SLUZBY	\N	\N
843658	2871	1998-04-30	VYDAJ	VYBER	15	23269	SLUZBY	\N	\N
843659	2871	1998-05-31	VYDAJ	VYBER	15	21539	SLUZBY	\N	\N
843660	2871	1998-06-30	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
843661	2871	1998-07-31	VYDAJ	VYBER	15	19937	SLUZBY	\N	\N
843662	2871	1998-08-31	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
843663	2871	1998-09-30	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
843664	2871	1998-10-31	VYDAJ	VYBER	15	28764	SLUZBY	\N	\N
843665	2871	1998-11-30	VYDAJ	VYBER	15	25381	SLUZBY	\N	\N
843666	2871	1996-03-28	VYDAJ	VYBER	2000	32015	\N	\N	\N
843667	2871	1996-04-27	VYDAJ	VYBER	2200	29632	\N	\N	\N
843668	2871	1996-05-27	VYDAJ	VYBER	500	32106	\N	\N	\N
843669	2871	1996-09-24	VYDAJ	VYBER	5800	26134	\N	\N	\N
843670	2871	1996-10-24	VYDAJ	VYBER	1600	24616	\N	\N	\N
843671	2871	1996-12-23	VYDAJ	VYBER	300	29219	\N	\N	\N
843672	2871	1997-01-22	VYDAJ	VYBER	200	27019	\N	\N	\N
843673	2871	1997-09-19	VYDAJ	VYBER	4700	29620	\N	\N	\N
843674	2871	1997-10-19	VYDAJ	VYBER	5800	26791	\N	\N	\N
843675	2871	1997-11-18	VYDAJ	VYBER	1700	25972	\N	\N	\N
843676	2871	1997-12-18	VYDAJ	VYBER	2000	25972	\N	\N	\N
843677	2871	1998-04-17	VYDAJ	VYBER	300	23191	\N	\N	\N
843678	2871	1998-05-17	VYDAJ	VYBER	2100	21463	\N	\N	\N
843679	2871	1998-06-16	VYDAJ	VYBER	2000	22393	\N	\N	\N
843680	2871	1998-07-16	VYDAJ	VYBER	2000	19869	\N	\N	\N
843681	2871	1998-11-13	VYDAJ	VYBER	3300	28318	\N	\N	\N
843716	2872	1996-09-04	PRIJEM	VKLAD	200	200	\N	\N	\N
843725	2872	1996-09-05	PRIJEM	VKLAD	12149	12349	\N	\N	\N
843726	2872	1996-10-05	PRIJEM	VKLAD	12149	29443	\N	\N	\N
843727	2872	1996-11-05	PRIJEM	VKLAD	12149	40105	\N	\N	\N
843728	2872	1996-12-05	PRIJEM	VKLAD	18224	48990	\N	\N	\N
843729	2872	1997-01-05	PRIJEM	VKLAD	12149	48139	\N	\N	\N
843730	2872	1997-02-05	PRIJEM	VKLAD	12149	31084	\N	\N	\N
843731	2872	1997-03-05	PRIJEM	VKLAD	12149	32610	\N	\N	\N
843732	2872	1997-04-05	PRIJEM	VKLAD	12149	25141	\N	\N	\N
843733	2872	1997-05-05	PRIJEM	VKLAD	12149	20752	\N	\N	\N
843734	2872	1997-06-05	PRIJEM	VKLAD	18224	30820	\N	\N	\N
843735	2872	1997-07-05	PRIJEM	VKLAD	12149	24565	\N	\N	\N
843736	2872	1997-08-05	PRIJEM	VKLAD	12149	24189	\N	\N	\N
843737	2872	1997-09-05	PRIJEM	VKLAD	12149	23204	\N	\N	\N
843738	2872	1997-10-05	PRIJEM	VKLAD	12149	22815	\N	\N	\N
843739	2872	1997-11-05	PRIJEM	VKLAD	12149	22425	\N	\N	\N
843740	2872	1997-12-05	PRIJEM	VKLAD	18224	28107	\N	\N	\N
843741	2872	1998-01-05	PRIJEM	VKLAD	12149	27733	\N	\N	\N
843742	2872	1998-02-05	PRIJEM	VKLAD	12149	23392	\N	\N	\N
843743	2872	1998-03-05	PRIJEM	VKLAD	12149	23004	\N	\N	\N
843744	2872	1998-04-05	PRIJEM	VKLAD	12149	22614	\N	\N	\N
843745	2872	1998-05-05	PRIJEM	VKLAD	12149	22222	\N	\N	\N
843746	2872	1998-06-05	PRIJEM	VKLAD	18224	27904	\N	\N	\N
843747	2872	1998-07-05	PRIJEM	VKLAD	12149	27528	\N	\N	\N
843748	2872	1998-08-05	PRIJEM	VKLAD	12149	27157	\N	\N	\N
843749	2872	1998-09-05	PRIJEM	VKLAD	12149	24620	\N	\N	\N
843750	2872	1998-10-05	PRIJEM	VKLAD	12149	24237	\N	\N	\N
843751	2872	1998-11-05	PRIJEM	VKLAD	12149	23852	\N	\N	\N
843752	2872	1998-12-05	PRIJEM	VKLAD	18224	29540	\N	\N	\N
843765	2872	1997-01-08	VYDAJ	PREVOD NA UCET	4040	36839	SIPO	CD	99307715
843766	2872	1997-02-08	VYDAJ	PREVOD NA UCET	4040	27044	SIPO	CD	99307715
843767	2872	1997-03-08	VYDAJ	PREVOD NA UCET	4040	28570	SIPO	CD	99307715
843768	2872	1997-04-08	VYDAJ	PREVOD NA UCET	4040	21101	SIPO	CD	99307715
843769	2872	1997-05-08	VYDAJ	PREVOD NA UCET	4040	16712	SIPO	CD	99307715
843770	2872	1997-06-08	VYDAJ	PREVOD NA UCET	4040	26780	SIPO	CD	99307715
843771	2872	1997-07-08	VYDAJ	PREVOD NA UCET	4040	20525	SIPO	CD	99307715
843772	2872	1997-08-08	VYDAJ	PREVOD NA UCET	4040	20149	SIPO	CD	99307715
843773	2872	1997-09-08	VYDAJ	PREVOD NA UCET	4040	19164	SIPO	CD	99307715
843774	2872	1997-10-08	VYDAJ	PREVOD NA UCET	4040	18775	SIPO	CD	99307715
843775	2872	1997-11-08	VYDAJ	PREVOD NA UCET	4040	18385	SIPO	CD	99307715
843776	2872	1997-12-08	VYDAJ	PREVOD NA UCET	4040	24067	SIPO	CD	99307715
843777	2872	1998-01-08	VYDAJ	PREVOD NA UCET	4040	21293	SIPO	CD	99307715
843778	2872	1998-02-08	VYDAJ	PREVOD NA UCET	4040	19352	SIPO	CD	99307715
843779	2872	1998-03-08	VYDAJ	PREVOD NA UCET	4040	18964	SIPO	CD	99307715
843780	2872	1998-04-08	VYDAJ	PREVOD NA UCET	4040	18574	SIPO	CD	99307715
843781	2872	1998-05-08	VYDAJ	PREVOD NA UCET	4040	18182	SIPO	CD	99307715
843782	2872	1998-06-08	VYDAJ	PREVOD NA UCET	4040	23864	SIPO	CD	99307715
843783	2872	1998-07-08	VYDAJ	PREVOD NA UCET	4040	23488	SIPO	CD	99307715
843784	2872	1998-08-08	VYDAJ	PREVOD NA UCET	4040	20957	SIPO	CD	99307715
843785	2872	1998-09-08	VYDAJ	PREVOD NA UCET	4040	20580	SIPO	CD	99307715
843786	2872	1998-10-08	VYDAJ	PREVOD NA UCET	4040	20197	SIPO	CD	99307715
843787	2872	1998-11-08	VYDAJ	PREVOD NA UCET	4040	19812	SIPO	CD	99307715
843788	2872	1998-12-08	VYDAJ	PREVOD NA UCET	4040	25500	SIPO	CD	99307715
843801	2872	1997-01-09	VYDAJ	PREVOD NA UCET	4059	32780	 	ST	89302223
843802	2872	1997-02-09	VYDAJ	PREVOD NA UCET	4059	22985	 	ST	89302223
843803	2872	1997-03-09	VYDAJ	PREVOD NA UCET	4059	24511	 	ST	89302223
843804	2872	1997-04-09	VYDAJ	PREVOD NA UCET	4059	17042	 	ST	89302223
843805	2872	1997-05-09	VYDAJ	PREVOD NA UCET	4059	12653	 	ST	89302223
843806	2872	1997-06-09	VYDAJ	PREVOD NA UCET	4059	22721	 	ST	89302223
843807	2872	1997-07-09	VYDAJ	PREVOD NA UCET	4059	16466	 	ST	89302223
843808	2872	1997-08-09	VYDAJ	PREVOD NA UCET	4059	16090	 	ST	89302223
843809	2872	1997-09-09	VYDAJ	PREVOD NA UCET	4059	15105	 	ST	89302223
843810	2872	1997-10-09	VYDAJ	PREVOD NA UCET	4059	14716	 	ST	89302223
843811	2872	1997-11-09	VYDAJ	PREVOD NA UCET	4059	14326	 	ST	89302223
843812	2872	1997-12-09	VYDAJ	PREVOD NA UCET	4059	20008	 	ST	89302223
843813	2872	1998-01-09	VYDAJ	PREVOD NA UCET	4059	17234	 	ST	89302223
843814	2872	1998-02-09	VYDAJ	PREVOD NA UCET	4059	15293	 	ST	89302223
843815	2872	1998-03-09	VYDAJ	PREVOD NA UCET	4059	14905	 	ST	89302223
843816	2872	1998-04-09	VYDAJ	PREVOD NA UCET	4059	14515	 	ST	89302223
843817	2872	1998-05-09	VYDAJ	PREVOD NA UCET	4059	14123	 	ST	89302223
843818	2872	1998-06-09	VYDAJ	PREVOD NA UCET	4059	19805	 	ST	89302223
843819	2872	1998-07-09	VYDAJ	PREVOD NA UCET	4059	19429	 	ST	89302223
844002	2873	1998-01-08	PRIJEM	VKLAD	15600	49838	\N	\N	\N
843820	2872	1998-08-09	VYDAJ	PREVOD NA UCET	4059	16898	 	ST	89302223
843821	2872	1998-09-09	VYDAJ	PREVOD NA UCET	4059	16521	 	ST	89302223
843822	2872	1998-10-09	VYDAJ	PREVOD NA UCET	4059	16138	 	ST	89302223
843823	2872	1998-11-09	VYDAJ	PREVOD NA UCET	4059	15753	 	ST	89302223
843824	2872	1998-12-09	VYDAJ	PREVOD NA UCET	4059	21441	 	ST	89302223
843837	2872	1997-01-07	VYDAJ	VYBER	4500	40879	\N	\N	0
843838	2872	1997-02-22	VYDAJ	VYBER	4300	18685	\N	\N	0
843839	2872	1997-03-18	VYDAJ	VYBER	4100	20411	\N	\N	0
843840	2872	1997-04-02	VYDAJ	VYBER	5100	12992	\N	\N	0
843841	2872	1997-05-04	VYDAJ	VYBER	4400	8603	\N	\N	0
843842	2872	1997-06-12	VYDAJ	PREVOD NA UCET	4472	18249	UVER	EF	76374816
843843	2872	1997-07-12	VYDAJ	PREVOD NA UCET	4472	11994	UVER	EF	76374816
843844	2872	1997-08-12	VYDAJ	PREVOD NA UCET	4472	11618	UVER	EF	76374816
843845	2872	1997-09-12	VYDAJ	PREVOD NA UCET	4472	10633	UVER	EF	76374816
843846	2872	1997-10-12	VYDAJ	PREVOD NA UCET	4472	10244	UVER	EF	76374816
843847	2872	1997-11-12	VYDAJ	PREVOD NA UCET	4472	9854	UVER	EF	76374816
843848	2872	1997-12-12	VYDAJ	PREVOD NA UCET	4472	15536	UVER	EF	76374816
843849	2872	1998-01-12	VYDAJ	PREVOD NA UCET	4472	11202	UVER	EF	76374816
843850	2872	1998-02-12	VYDAJ	PREVOD NA UCET	4472	10821	UVER	EF	76374816
843851	2872	1998-03-12	VYDAJ	PREVOD NA UCET	4472	10433	UVER	EF	76374816
843852	2872	1998-04-12	VYDAJ	PREVOD NA UCET	4472	10043	UVER	EF	76374816
843853	2872	1998-05-12	VYDAJ	PREVOD NA UCET	4472	9651	UVER	EF	76374816
843854	2872	1998-06-12	VYDAJ	PREVOD NA UCET	4472	15333	UVER	EF	76374816
843855	2872	1998-07-12	VYDAJ	PREVOD NA UCET	4472	14957	UVER	EF	76374816
843856	2872	1998-08-12	VYDAJ	PREVOD NA UCET	4472	12426	UVER	EF	76374816
843857	2872	1998-09-12	VYDAJ	PREVOD NA UCET	4472	12049	UVER	EF	76374816
843858	2872	1998-10-12	VYDAJ	PREVOD NA UCET	4472	11666	UVER	EF	76374816
843859	2872	1998-11-12	VYDAJ	PREVOD NA UCET	4472	11281	UVER	EF	76374816
843860	2872	1998-12-12	VYDAJ	PREVOD NA UCET	4472	16969	UVER	EF	76374816
843865	2872	1997-01-22	VYDAJ	VYBER	8480	21180	\N	\N	\N
843876	2872	1997-01-26	VYDAJ	VYBER	2640	17220	\N	\N	\N
843877	2872	1997-01-05	VYDAJ	VYBER	2760	45379	\N	\N	\N
843878	2872	1997-01-24	VYDAJ	VYBER	1320	19860	\N	\N	\N
843879	2872	1997-01-22	VYDAJ	VYBER	1920	29660	\N	\N	\N
843881	2872	1997-01-13	VYDAJ	VYBER	1200	31580	\N	\N	\N
843883	2872	1998-01-11	VYDAJ	VYBER	1560	15674	\N	\N	\N
843887	2872	1998-01-07	VYDAJ	VYBER	2400	25333	\N	\N	\N
843894	2872	1997-01-31	VYDAJ	VYBER	2400	14950	\N	\N	\N
843899	2872	1998-08-06	VYDAJ	VYBER	2160	24997	\N	\N	\N
843915	2872	1997-01-31	VYDAJ	VYBER	15	14935	SLUZBY	\N	\N
843916	2872	1997-02-28	VYDAJ	VYBER	15	18761	SLUZBY	\N	\N
843917	2872	1997-03-31	VYDAJ	VYBER	15	20492	SLUZBY	\N	\N
843918	2872	1997-04-30	VYDAJ	VYBER	15	17103	SLUZBY	\N	\N
843919	2872	1997-05-31	VYDAJ	VYBER	15	12696	SLUZBY	\N	\N
843920	2872	1997-06-30	VYDAJ	VYBER	15	18316	SLUZBY	\N	\N
843921	2872	1997-07-31	VYDAJ	VYBER	15	12040	SLUZBY	\N	\N
843922	2872	1997-08-31	VYDAJ	VYBER	15	11055	SLUZBY	\N	\N
843923	2872	1997-09-30	VYDAJ	VYBER	15	10666	SLUZBY	\N	\N
843924	2872	1997-10-31	VYDAJ	VYBER	15	10276	SLUZBY	\N	\N
843925	2872	1997-11-30	VYDAJ	VYBER	15	9883	SLUZBY	\N	\N
843926	2872	1997-12-31	VYDAJ	VYBER	15	15584	SLUZBY	\N	\N
843927	2872	1998-01-31	VYDAJ	VYBER	15	11243	SLUZBY	\N	\N
843928	2872	1998-02-28	VYDAJ	VYBER	15	10855	SLUZBY	\N	\N
843929	2872	1998-03-31	VYDAJ	VYBER	15	10465	SLUZBY	\N	\N
843930	2872	1998-04-30	VYDAJ	VYBER	15	10073	SLUZBY	\N	\N
843931	2872	1998-05-31	VYDAJ	VYBER	15	9680	SLUZBY	\N	\N
843932	2872	1998-06-30	VYDAJ	VYBER	15	15379	SLUZBY	\N	\N
843933	2872	1998-07-31	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
843934	2872	1998-08-31	VYDAJ	VYBER	15	12471	SLUZBY	\N	\N
843935	2872	1998-09-30	VYDAJ	VYBER	15	12088	SLUZBY	\N	\N
843936	2872	1998-10-31	VYDAJ	VYBER	15	11703	SLUZBY	\N	\N
843937	2872	1998-11-30	VYDAJ	VYBER	15	11316	SLUZBY	\N	\N
843938	2872	1996-10-04	PRIJEM	VKLAD	4900	17294	\N	\N	\N
843939	2872	1996-11-03	VYDAJ	VYBER	1600	27956	\N	\N	\N
843940	2872	1996-12-03	VYDAJ	VYBER	9500	30766	\N	\N	\N
843941	2872	1997-01-02	VYDAJ	VYBER	13200	35990	\N	\N	\N
843942	2872	1997-02-01	PRIJEM	VKLAD	4000	18935	\N	\N	\N
843943	2872	1997-03-03	PRIJEM	VKLAD	1700	20461	\N	\N	\N
843944	2872	1997-04-02	VYDAJ	VYBER	2400	18092	\N	\N	\N
843945	2872	1997-05-02	VYDAJ	VYBER	4100	13003	\N	\N	\N
843946	2872	1997-06-01	VYDAJ	VYBER	100	12596	\N	\N	\N
843947	2872	1997-07-01	VYDAJ	VYBER	5900	12416	\N	\N	\N
843948	2872	1997-08-30	VYDAJ	VYBER	600	11018	\N	\N	\N
843977	2873	1996-12-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
843990	2873	1997-01-08	PRIJEM	VKLAD	15600	16700	\N	\N	\N
843991	2873	1997-02-08	PRIJEM	VKLAD	15600	39665	\N	\N	\N
843992	2873	1997-03-08	PRIJEM	VKLAD	15600	46082	\N	\N	\N
843993	2873	1997-04-08	PRIJEM	VKLAD	15600	50519	\N	\N	\N
843994	2873	1997-05-08	PRIJEM	VKLAD	15600	54274	\N	\N	\N
843995	2873	1997-06-08	PRIJEM	VKLAD	23400	61642	\N	\N	\N
843996	2873	1997-07-08	PRIJEM	VKLAD	15600	27843	\N	\N	\N
843997	2873	1997-08-08	PRIJEM	VKLAD	15600	38338	\N	\N	\N
843998	2873	1997-09-08	PRIJEM	VKLAD	15600	42458	\N	\N	\N
843999	2873	1997-10-08	PRIJEM	VKLAD	15600	36794	\N	\N	\N
844000	2873	1997-11-08	PRIJEM	VKLAD	15600	40406	\N	\N	\N
844001	2873	1997-12-08	PRIJEM	VKLAD	23400	48222	\N	\N	\N
844003	2873	1998-02-08	PRIJEM	VKLAD	15600	44960	\N	\N	\N
844004	2873	1998-03-08	PRIJEM	VKLAD	15600	48509	\N	\N	\N
844005	2873	1998-04-08	PRIJEM	VKLAD	15600	60719	\N	\N	\N
844006	2873	1998-05-08	PRIJEM	VKLAD	15600	69736	\N	\N	\N
844007	2873	1998-06-08	PRIJEM	VKLAD	23400	83328	\N	\N	\N
844008	2873	1998-07-08	PRIJEM	VKLAD	15600	66220	\N	\N	\N
844009	2873	1998-08-08	PRIJEM	VKLAD	15600	70466	\N	\N	\N
844010	2873	1998-09-08	PRIJEM	VKLAD	15600	66418	\N	\N	\N
844011	2873	1998-10-08	PRIJEM	VKLAD	15600	68768	\N	\N	\N
844012	2873	1998-11-08	PRIJEM	VKLAD	15600	69628	\N	\N	\N
844013	2873	1998-12-08	PRIJEM	VKLAD	23400	82992	\N	\N	\N
844031	2873	1997-06-05	VYDAJ	PREVOD NA UCET	3615	39003	SIPO	WX	11313259
844032	2873	1997-07-05	VYDAJ	PREVOD NA UCET	3615	13004	SIPO	WX	11313259
844033	2873	1997-08-05	VYDAJ	PREVOD NA UCET	3615	24192	SIPO	WX	11313259
844034	2873	1997-09-05	VYDAJ	PREVOD NA UCET	3615	27619	SIPO	WX	11313259
844035	2873	1997-10-05	VYDAJ	PREVOD NA UCET	3615	22648	SIPO	WX	11313259
844036	2873	1997-11-05	VYDAJ	PREVOD NA UCET	3615	25567	SIPO	WX	11313259
844037	2873	1997-12-05	VYDAJ	PREVOD NA UCET	3615	26276	SIPO	WX	11313259
844038	2873	1998-01-05	VYDAJ	PREVOD NA UCET	3615	32692	SIPO	WX	11313259
844039	2873	1998-02-05	VYDAJ	PREVOD NA UCET	3615	20074	SIPO	WX	11313259
844040	2873	1998-03-05	VYDAJ	PREVOD NA UCET	3615	37870	SIPO	WX	11313259
844041	2873	1998-04-05	VYDAJ	PREVOD NA UCET	3615	38880	SIPO	WX	11313259
844042	2873	1998-05-05	VYDAJ	PREVOD NA UCET	3615	54390	SIPO	WX	11313259
844043	2873	1998-06-05	VYDAJ	PREVOD NA UCET	3615	60082	SIPO	WX	11313259
844044	2873	1998-07-05	VYDAJ	PREVOD NA UCET	3615	49674	SIPO	WX	11313259
844045	2873	1998-08-05	VYDAJ	PREVOD NA UCET	3615	59920	SIPO	WX	11313259
844046	2873	1998-09-05	VYDAJ	PREVOD NA UCET	3615	51579	SIPO	WX	11313259
844047	2873	1998-10-05	VYDAJ	PREVOD NA UCET	3615	53929	SIPO	WX	11313259
844048	2873	1998-11-05	VYDAJ	PREVOD NA UCET	3615	55482	SIPO	WX	11313259
844049	2873	1998-12-05	VYDAJ	PREVOD NA UCET	3615	60353	SIPO	WX	11313259
844066	2873	1997-05-10	VYDAJ	PREVOD NA UCET	2925	51349	 	EF	63152539
844067	2873	1997-06-10	VYDAJ	PREVOD NA UCET	2925	58717	 	EF	63152539
844068	2873	1997-07-10	VYDAJ	PREVOD NA UCET	2925	24918	 	EF	63152539
844069	2873	1997-08-10	VYDAJ	PREVOD NA UCET	2925	31813	 	EF	63152539
844070	2873	1997-09-10	VYDAJ	PREVOD NA UCET	2925	29633	 	EF	63152539
844071	2873	1997-10-10	VYDAJ	PREVOD NA UCET	2925	29769	 	EF	63152539
844072	2873	1997-11-10	VYDAJ	PREVOD NA UCET	2925	29781	 	EF	63152539
844073	2873	1997-12-10	VYDAJ	PREVOD NA UCET	2925	36177	 	EF	63152539
844074	2873	1998-01-10	VYDAJ	PREVOD NA UCET	2925	46913	 	EF	63152539
844075	2873	1998-02-10	VYDAJ	PREVOD NA UCET	2925	42035	 	EF	63152539
844076	2873	1998-03-10	VYDAJ	PREVOD NA UCET	2925	44584	 	EF	63152539
844077	2873	1998-04-10	VYDAJ	PREVOD NA UCET	2925	57794	 	EF	63152539
844078	2873	1998-05-10	VYDAJ	PREVOD NA UCET	2925	66811	 	EF	63152539
844079	2873	1998-06-10	VYDAJ	PREVOD NA UCET	2925	80403	 	EF	63152539
844080	2873	1998-07-10	VYDAJ	PREVOD NA UCET	2925	63295	 	EF	63152539
844081	2873	1998-08-10	VYDAJ	PREVOD NA UCET	2925	67541	 	EF	63152539
844082	2873	1998-09-10	VYDAJ	PREVOD NA UCET	2925	63493	 	EF	63152539
844083	2873	1998-10-10	VYDAJ	PREVOD NA UCET	2925	65843	 	EF	63152539
844084	2873	1998-11-10	VYDAJ	PREVOD NA UCET	2925	66703	 	EF	63152539
844085	2873	1998-12-10	VYDAJ	PREVOD NA UCET	2925	77187	 	EF	63152539
844103	2873	1997-06-06	VYDAJ	PREVOD NA UCET	761	38242	POJISTNE	EF	4028761
844104	2873	1997-07-06	VYDAJ	PREVOD NA UCET	761	12243	POJISTNE	EF	4028761
844105	2873	1997-08-06	VYDAJ	PREVOD NA UCET	761	22738	POJISTNE	EF	4028761
844106	2873	1997-09-06	VYDAJ	PREVOD NA UCET	761	26858	POJISTNE	EF	4028761
844107	2873	1997-10-06	VYDAJ	PREVOD NA UCET	761	21194	POJISTNE	EF	4028761
844108	2873	1997-11-06	VYDAJ	PREVOD NA UCET	761	24806	POJISTNE	EF	4028761
844109	2873	1997-12-06	VYDAJ	PREVOD NA UCET	761	24822	POJISTNE	EF	4028761
844110	2873	1998-01-06	VYDAJ	PREVOD NA UCET	761	31238	POJISTNE	EF	4028761
844111	2873	1998-02-06	VYDAJ	PREVOD NA UCET	761	29360	POJISTNE	EF	4028761
844112	2873	1998-03-06	VYDAJ	PREVOD NA UCET	761	32909	POJISTNE	EF	4028761
844113	2873	1998-04-06	VYDAJ	PREVOD NA UCET	761	38119	POJISTNE	EF	4028761
844114	2873	1998-05-06	VYDAJ	PREVOD NA UCET	761	52936	POJISTNE	EF	4028761
844115	2873	1998-06-06	VYDAJ	PREVOD NA UCET	761	59928	POJISTNE	EF	4028761
844116	2873	1998-07-06	VYDAJ	PREVOD NA UCET	761	50620	POJISTNE	EF	4028761
844117	2873	1998-08-06	VYDAJ	PREVOD NA UCET	761	54866	POJISTNE	EF	4028761
844118	2873	1998-09-06	VYDAJ	PREVOD NA UCET	761	50818	POJISTNE	EF	4028761
844119	2873	1998-10-06	VYDAJ	PREVOD NA UCET	761	53168	POJISTNE	EF	4028761
844120	2873	1998-11-06	VYDAJ	PREVOD NA UCET	761	54028	POJISTNE	EF	4028761
844121	2873	1998-12-06	VYDAJ	PREVOD NA UCET	761	59592	POJISTNE	EF	4028761
844139	2873	1997-06-05	VYDAJ	PREVOD NA UCET	693	42618	 	OP	80315440
844140	2873	1997-07-05	VYDAJ	PREVOD NA UCET	693	16619	 	OP	80315440
844141	2873	1997-08-05	VYDAJ	PREVOD NA UCET	693	23499	 	OP	80315440
844142	2873	1997-09-05	VYDAJ	PREVOD NA UCET	693	31234	 	OP	80315440
844143	2873	1997-10-05	VYDAJ	PREVOD NA UCET	693	21955	 	OP	80315440
844144	2873	1997-11-05	VYDAJ	PREVOD NA UCET	693	29182	 	OP	80315440
844145	2873	1997-12-05	VYDAJ	PREVOD NA UCET	693	25583	 	OP	80315440
844146	2873	1998-01-05	VYDAJ	PREVOD NA UCET	693	31999	 	OP	80315440
844147	2873	1998-02-05	VYDAJ	PREVOD NA UCET	693	19381	 	OP	80315440
844148	2873	1998-03-05	VYDAJ	PREVOD NA UCET	693	41485	 	OP	80315440
844149	2873	1998-04-05	VYDAJ	PREVOD NA UCET	693	42495	 	OP	80315440
844150	2873	1998-05-05	VYDAJ	PREVOD NA UCET	693	53697	 	OP	80315440
844151	2873	1998-06-05	VYDAJ	PREVOD NA UCET	693	59389	 	OP	80315440
844152	2873	1998-07-05	VYDAJ	PREVOD NA UCET	693	48981	 	OP	80315440
844153	2873	1998-08-05	VYDAJ	PREVOD NA UCET	693	55627	 	OP	80315440
844154	2873	1998-09-05	VYDAJ	PREVOD NA UCET	693	55194	 	OP	80315440
844155	2873	1998-10-05	VYDAJ	PREVOD NA UCET	693	57544	 	OP	80315440
844156	2873	1998-11-05	VYDAJ	PREVOD NA UCET	693	54789	 	OP	80315440
844157	2873	1998-12-05	VYDAJ	PREVOD NA UCET	693	63968	 	OP	80315440
844159	2873	1997-06-21	VYDAJ	VYBER	24000	17177	\N	\N	\N
844160	2873	1998-06-16	VYDAJ	VYBER	27360	53043	\N	\N	\N
844163	2873	1998-01-25	VYDAJ	VYBER	2720	31833	\N	\N	\N
844165	2873	1997-12-09	VYDAJ	VYBER	3520	39102	\N	\N	\N
844166	2873	1998-12-09	VYDAJ	VYBER	2880	80112	\N	\N	\N
844179	2873	1998-01-30	VYDAJ	VYBER	2640	23553	\N	\N	\N
844180	2873	1998-01-26	VYDAJ	VYBER	2400	26193	\N	\N	\N
844181	2873	1998-01-13	VYDAJ	VYBER	2760	43073	\N	\N	\N
844182	2873	1998-01-25	VYDAJ	VYBER	3240	28593	\N	\N	\N
844183	2873	1998-01-13	VYDAJ	VYBER	3120	39953	\N	\N	\N
844184	2873	1998-01-12	VYDAJ	VYBER	1080	45833	\N	\N	\N
844192	2873	1997-06-18	VYDAJ	VYBER	3240	41177	\N	\N	\N
844193	2873	1997-09-28	VYDAJ	VYBER	3480	26153	\N	\N	\N
844197	2873	1998-01-18	VYDAJ	VYBER	5400	34553	\N	\N	\N
844198	2873	1998-03-06	VYDAJ	VYBER	4200	33670	\N	\N	\N
844199	2873	1998-02-06	VYDAJ	VYBER	3960	30121	\N	\N	\N
844200	2873	1998-08-14	VYDAJ	VYBER	4680	62861	\N	\N	\N
844201	2873	1998-03-16	VYDAJ	VYBER	1560	43024	\N	\N	\N
844202	2873	1998-05-14	VYDAJ	VYBER	3360	63451	\N	\N	\N
844203	2873	1998-08-19	VYDAJ	VYBER	1920	60941	\N	\N	\N
844221	2873	1997-05-31	VYDAJ	VYBER	15	43311	SLUZBY	\N	\N
844222	2873	1997-06-30	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
844223	2873	1997-07-31	VYDAJ	VYBER	15	27807	SLUZBY	\N	\N
844224	2873	1997-08-31	VYDAJ	VYBER	15	31927	SLUZBY	\N	\N
844225	2873	1997-09-30	VYDAJ	VYBER	15	26263	SLUZBY	\N	\N
844226	2873	1997-10-31	VYDAJ	VYBER	15	29875	SLUZBY	\N	\N
844227	2873	1997-11-30	VYDAJ	VYBER	15	29891	SLUZBY	\N	\N
844228	2873	1997-12-31	VYDAJ	VYBER	15	36307	SLUZBY	\N	\N
844229	2873	1998-01-31	VYDAJ	VYBER	15	23689	SLUZBY	\N	\N
844230	2873	1998-02-28	VYDAJ	VYBER	15	42178	SLUZBY	\N	\N
844231	2873	1998-03-31	VYDAJ	VYBER	15	43188	SLUZBY	\N	\N
844232	2873	1998-04-30	VYDAJ	VYBER	15	58005	SLUZBY	\N	\N
844233	2873	1998-05-31	VYDAJ	VYBER	15	63697	SLUZBY	\N	\N
844234	2873	1998-06-30	VYDAJ	VYBER	15	53289	SLUZBY	\N	\N
844235	2873	1998-07-31	VYDAJ	VYBER	15	63535	SLUZBY	\N	\N
844236	2873	1998-08-31	VYDAJ	VYBER	15	61187	SLUZBY	\N	\N
844237	2873	1998-09-30	VYDAJ	VYBER	15	63737	SLUZBY	\N	\N
844238	2873	1998-10-31	VYDAJ	VYBER	15	66097	SLUZBY	\N	\N
844239	2873	1998-11-30	VYDAJ	VYBER	15	66961	SLUZBY	\N	\N
844240	2873	1997-01-12	PRIJEM	VKLAD	7300	24000	\N	\N	\N
844241	2873	1997-02-11	VYDAJ	VYBER	9300	30365	\N	\N	\N
844242	2873	1997-03-13	VYDAJ	VYBER	11300	34782	\N	\N	\N
844243	2873	1997-04-12	VYDAJ	VYBER	12000	38519	\N	\N	\N
844244	2873	1997-05-12	VYDAJ	VYBER	8200	43149	\N	\N	\N
844245	2873	1997-06-11	VYDAJ	VYBER	14300	44417	\N	\N	\N
844246	2873	1997-07-11	PRIJEM	VKLAD	2800	27718	\N	\N	\N
844247	2873	1997-08-10	VYDAJ	VYBER	3600	34738	\N	\N	\N
844248	2873	1997-09-09	VYDAJ	VYBER	9900	32558	\N	\N	\N
844249	2873	1997-10-09	VYDAJ	VYBER	4100	32694	\N	\N	\N
844250	2873	1997-11-08	VYDAJ	VYBER	7700	32706	\N	\N	\N
844251	2873	1997-12-08	VYDAJ	VYBER	5600	42622	\N	\N	\N
844252	2873	1998-01-07	PRIJEM	VKLAD	3000	34238	\N	\N	\N
844253	2873	1998-02-06	PRIJEM	VKLAD	14700	34081	\N	\N	\N
844254	2873	1998-03-08	VYDAJ	VYBER	1000	47509	\N	\N	\N
844255	2873	1998-04-07	PRIJEM	VKLAD	7000	45119	\N	\N	\N
844256	2873	1998-05-07	PRIJEM	VKLAD	1200	54136	\N	\N	\N
844257	2873	1998-06-06	PRIJEM	VKLAD	1300	60689	\N	\N	\N
844258	2873	1998-07-06	PRIJEM	VKLAD	2400	51381	\N	\N	\N
844259	2873	1998-08-05	VYDAJ	VYBER	3600	56320	\N	\N	\N
844260	2873	1998-09-04	VYDAJ	VYBER	5300	55887	\N	\N	\N
844261	2873	1998-10-04	VYDAJ	VYBER	5500	58237	\N	\N	\N
844262	2873	1998-11-03	VYDAJ	VYBER	7000	59097	\N	\N	\N
844263	2873	1998-12-03	VYDAJ	VYBER	2300	64661	\N	\N	\N
844288	2874	1997-04-02	PRIJEM	VKLAD	400	400	\N	\N	\N
844292	2874	1997-04-12	PRIJEM	PREVOD Z UCTU	3100	3500	\N	QR	97805284
844293	2874	1997-05-12	PRIJEM	PREVOD Z UCTU	3100	6609	\N	QR	97805284
844294	2874	1997-06-12	PRIJEM	PREVOD Z UCTU	3100	9724	\N	QR	97805284
844295	2874	1997-07-12	PRIJEM	PREVOD Z UCTU	3100	12838	\N	QR	97805284
844296	2874	1997-08-12	PRIJEM	PREVOD Z UCTU	3100	15953	\N	QR	97805284
844297	2874	1997-09-12	PRIJEM	PREVOD Z UCTU	3100	16089	\N	QR	97805284
844298	2874	1997-10-12	PRIJEM	PREVOD Z UCTU	3100	17174	\N	QR	97805284
844299	2874	1997-11-12	PRIJEM	PREVOD Z UCTU	3100	17363	\N	QR	97805284
844300	2874	1997-12-12	PRIJEM	PREVOD Z UCTU	3100	14992	\N	QR	97805284
844301	2874	1998-01-12	PRIJEM	PREVOD Z UCTU	3100	15650	\N	QR	97805284
844302	2874	1998-02-12	PRIJEM	PREVOD Z UCTU	3100	14058	\N	QR	97805284
844303	2874	1998-03-12	PRIJEM	PREVOD Z UCTU	3100	12331	\N	QR	97805284
844304	2874	1998-04-12	PRIJEM	PREVOD Z UCTU	3100	13401	\N	QR	97805284
844305	2874	1998-05-12	PRIJEM	PREVOD Z UCTU	3100	14264	\N	QR	97805284
844306	2874	1998-06-12	PRIJEM	PREVOD Z UCTU	3100	15341	\N	QR	97805284
844307	2874	1998-07-12	PRIJEM	PREVOD Z UCTU	3100	14759	\N	QR	97805284
844308	2874	1998-08-12	PRIJEM	PREVOD Z UCTU	3100	15328	\N	QR	97805284
844309	2874	1998-09-12	PRIJEM	PREVOD Z UCTU	3100	13406	\N	QR	97805284
844310	2874	1998-10-12	PRIJEM	PREVOD Z UCTU	3100	14480	\N	QR	97805284
844311	2874	1998-11-12	PRIJEM	PREVOD Z UCTU	3100	14537	\N	QR	97805284
844312	2874	1998-12-12	PRIJEM	PREVOD Z UCTU	3100	14655	\N	QR	97805284
844321	2874	1997-09-05	VYDAJ	PREVOD NA UCET	2066	13889	\N	EF	91025083
844322	2874	1997-10-05	VYDAJ	PREVOD NA UCET	2066	14074	\N	EF	91025083
844323	2874	1997-11-05	VYDAJ	PREVOD NA UCET	2066	14263	\N	EF	91025083
844324	2874	1997-12-05	VYDAJ	PREVOD NA UCET	2066	11892	\N	EF	91025083
844325	2874	1998-01-05	VYDAJ	PREVOD NA UCET	2066	12550	\N	EF	91025083
844326	2874	1998-02-05	VYDAJ	PREVOD NA UCET	2066	10958	\N	EF	91025083
844327	2874	1998-03-05	VYDAJ	PREVOD NA UCET	2066	9231	\N	EF	91025083
844328	2874	1998-04-05	VYDAJ	PREVOD NA UCET	2066	10301	\N	EF	91025083
844329	2874	1998-05-05	VYDAJ	PREVOD NA UCET	2066	11164	\N	EF	91025083
844330	2874	1998-06-05	VYDAJ	PREVOD NA UCET	2066	12241	\N	EF	91025083
844331	2874	1998-07-05	VYDAJ	PREVOD NA UCET	2066	11659	\N	EF	91025083
844332	2874	1998-08-05	VYDAJ	PREVOD NA UCET	2066	12228	\N	EF	91025083
844333	2874	1998-09-05	VYDAJ	PREVOD NA UCET	2066	10306	\N	EF	91025083
844334	2874	1998-10-05	VYDAJ	PREVOD NA UCET	2066	11380	\N	EF	91025083
844335	2874	1998-11-05	VYDAJ	PREVOD NA UCET	2066	11437	\N	EF	91025083
844336	2874	1998-12-05	VYDAJ	PREVOD NA UCET	2066	12515	\N	EF	91025083
844338	2874	1998-06-14	VYDAJ	VYBER	1560	13781	\N	\N	\N
844340	2874	1998-01-12	VYDAJ	VYBER	1890	13760	\N	\N	\N
844341	2874	1997-12-23	VYDAJ	VYBER	420	14572	\N	\N	\N
844342	2874	1998-12-20	VYDAJ	VYBER	750	13905	\N	\N	\N
844344	2874	1997-09-10	VYDAJ	VYBER	900	12989	\N	\N	\N
844346	2874	1997-12-04	VYDAJ	VYBER	1290	13958	\N	\N	\N
844347	2874	1997-11-24	VYDAJ	VYBER	1470	15893	\N	\N	\N
844348	2874	1998-02-01	VYDAJ	VYBER	780	13024	\N	\N	\N
844349	2874	1998-10-23	VYDAJ	VYBER	1020	13460	\N	\N	\N
844351	2874	1998-07-21	VYDAJ	VYBER	510	14249	\N	\N	\N
844352	2874	1998-12-05	VYDAJ	VYBER	960	11555	\N	\N	\N
844353	2874	1998-04-14	VYDAJ	VYBER	210	13191	\N	\N	\N
844362	2874	1997-08-31	VYDAJ	VYBER	15	15955	SLUZBY	\N	\N
844363	2874	1997-09-30	VYDAJ	VYBER	15	16140	SLUZBY	\N	\N
844364	2874	1997-10-31	VYDAJ	VYBER	15	16329	SLUZBY	\N	\N
844365	2874	1997-11-30	VYDAJ	VYBER	15	15248	SLUZBY	\N	\N
844366	2874	1997-12-31	VYDAJ	VYBER	15	14616	SLUZBY	\N	\N
844367	2874	1998-01-31	VYDAJ	VYBER	15	13804	SLUZBY	\N	\N
844368	2874	1998-02-28	VYDAJ	VYBER	15	11297	SLUZBY	\N	\N
844369	2874	1998-03-31	VYDAJ	VYBER	15	12367	SLUZBY	\N	\N
844370	2874	1998-04-30	VYDAJ	VYBER	15	13230	SLUZBY	\N	\N
844371	2874	1998-05-31	VYDAJ	VYBER	15	14307	SLUZBY	\N	\N
844372	2874	1998-06-30	VYDAJ	VYBER	15	13725	SLUZBY	\N	\N
844373	2874	1998-07-31	VYDAJ	VYBER	15	14294	SLUZBY	\N	\N
844374	2874	1998-08-31	VYDAJ	VYBER	15	12372	SLUZBY	\N	\N
844375	2874	1998-09-30	VYDAJ	VYBER	15	13446	SLUZBY	\N	\N
844376	2874	1998-10-31	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
844377	2874	1998-11-30	VYDAJ	VYBER	15	14581	SLUZBY	\N	\N
844378	2874	1997-10-29	VYDAJ	VYBER	900	16274	\N	\N	\N
844379	2874	1997-11-28	VYDAJ	VYBER	700	15193	\N	\N	\N
844380	2874	1998-02-26	VYDAJ	VYBER	2800	11258	\N	\N	\N
844381	2874	1998-06-26	VYDAJ	VYBER	100	13681	\N	\N	\N
844382	2874	1998-08-25	VYDAJ	VYBER	3000	12328	\N	\N	\N
844404	2875	1996-12-24	PRIJEM	VKLAD	800	800	\N	\N	\N
844417	2875	1997-01-05	PRIJEM	VKLAD	17354	18154	\N	\N	\N
844418	2875	1997-02-05	PRIJEM	VKLAD	17354	41537	\N	\N	\N
844419	2875	1997-03-05	PRIJEM	VKLAD	17354	51602	\N	\N	\N
844420	2875	1997-04-05	PRIJEM	VKLAD	17354	53701	\N	\N	\N
844421	2875	1997-05-05	PRIJEM	VKLAD	17354	57410	\N	\N	\N
844422	2875	1997-06-05	PRIJEM	VKLAD	26031	66093	\N	\N	\N
844423	2875	1997-07-05	PRIJEM	VKLAD	17354	45886	\N	\N	\N
844424	2875	1997-08-05	PRIJEM	VKLAD	17354	50250	\N	\N	\N
844425	2875	1997-09-05	PRIJEM	VKLAD	17354	51728	\N	\N	\N
844426	2875	1997-10-05	PRIJEM	VKLAD	17354	56017	\N	\N	\N
844427	2875	1997-11-05	PRIJEM	VKLAD	17354	55319	\N	\N	\N
844428	2875	1997-12-05	PRIJEM	VKLAD	26031	67299	\N	\N	\N
844429	2875	1998-01-05	PRIJEM	VKLAD	17354	60540	\N	\N	\N
844430	2875	1998-02-05	PRIJEM	VKLAD	17354	44845	\N	\N	\N
844431	2875	1998-03-05	PRIJEM	VKLAD	17354	57053	\N	\N	\N
844432	2875	1998-04-05	PRIJEM	VKLAD	17354	61665	\N	\N	\N
844433	2875	1998-05-05	PRIJEM	VKLAD	17354	69202	\N	\N	\N
844434	2875	1998-06-05	PRIJEM	VKLAD	26031	78855	\N	\N	\N
844435	2875	1998-07-05	PRIJEM	VKLAD	17354	65509	\N	\N	\N
844436	2875	1998-08-05	PRIJEM	VKLAD	17354	66852	\N	\N	\N
844437	2875	1998-09-05	PRIJEM	VKLAD	17354	61489	\N	\N	\N
844438	2875	1998-10-05	PRIJEM	VKLAD	17354	60810	\N	\N	\N
844439	2875	1998-11-05	PRIJEM	VKLAD	17354	56733	\N	\N	\N
844440	2875	1998-12-05	PRIJEM	VKLAD	26031	68344	\N	\N	\N
844442	2875	1997-06-06	VYDAJ	VYBER	25700	40393	\N	\N	\N
844443	2875	1998-06-14	VYDAJ	VYBER	15200	63655	\N	\N	\N
844446	2875	1998-01-10	VYDAJ	VYBER	9600	44340	\N	\N	\N
844448	2875	1997-12-26	VYDAJ	VYBER	900	42999	\N	\N	\N
844449	2875	1998-12-08	VYDAJ	VYBER	2300	66044	\N	\N	\N
844462	2875	1998-01-07	VYDAJ	VYBER	1500	59040	\N	\N	\N
844463	2875	1998-01-30	VYDAJ	VYBER	600	30240	\N	\N	\N
844464	2875	1998-01-30	VYDAJ	VYBER	1100	30840	\N	\N	\N
844465	2875	1998-01-09	VYDAJ	VYBER	700	53940	\N	\N	\N
844466	2875	1998-01-20	VYDAJ	VYBER	2000	33340	\N	\N	\N
844467	2875	1998-01-22	VYDAJ	VYBER	1400	31940	\N	\N	\N
844473	2875	1997-10-26	VYDAJ	VYBER	4200	37817	\N	\N	\N
844474	2875	1997-06-13	VYDAJ	VYBER	3000	37393	\N	\N	\N
844475	2875	1997-12-11	VYDAJ	VYBER	2600	64699	\N	\N	\N
844476	2875	1997-06-03	VYDAJ	VYBER	500	40062	\N	\N	\N
844477	2875	1998-02-01	VYDAJ	VYBER	2900	27491	\N	\N	\N
844478	2875	1998-11-02	VYDAJ	VYBER	4700	39379	\N	\N	\N
844479	2875	1998-05-08	VYDAJ	VYBER	3000	66202	\N	\N	\N
844480	2875	1998-10-25	VYDAJ	VYBER	1700	43910	\N	\N	\N
844481	2875	1998-01-08	VYDAJ	VYBER	4400	54640	\N	\N	\N
844482	2875	1998-08-14	VYDAJ	VYBER	2600	64252	\N	\N	\N
844500	2875	1997-05-31	VYDAJ	VYBER	15	40562	SLUZBY	\N	\N
844501	2875	1997-06-30	VYDAJ	VYBER	15	28532	SLUZBY	\N	\N
844502	2875	1997-07-31	VYDAJ	VYBER	15	32896	SLUZBY	\N	\N
844503	2875	1997-08-31	VYDAJ	VYBER	15	34374	SLUZBY	\N	\N
844504	2875	1997-09-30	VYDAJ	VYBER	15	38663	SLUZBY	\N	\N
844505	2875	1997-10-31	VYDAJ	VYBER	15	37965	SLUZBY	\N	\N
844506	2875	1997-11-30	VYDAJ	VYBER	15	41268	SLUZBY	\N	\N
844507	2875	1997-12-31	VYDAJ	VYBER	15	43186	SLUZBY	\N	\N
844508	2875	1998-01-31	VYDAJ	VYBER	15	30391	SLUZBY	\N	\N
844509	2875	1998-02-28	VYDAJ	VYBER	15	39699	SLUZBY	\N	\N
844510	2875	1998-03-31	VYDAJ	VYBER	15	44311	SLUZBY	\N	\N
844511	2875	1998-04-30	VYDAJ	VYBER	15	51848	SLUZBY	\N	\N
844512	2875	1998-05-31	VYDAJ	VYBER	15	52824	SLUZBY	\N	\N
844513	2875	1998-06-30	VYDAJ	VYBER	15	48155	SLUZBY	\N	\N
844514	2875	1998-07-31	VYDAJ	VYBER	15	49498	SLUZBY	\N	\N
844515	2875	1998-08-31	VYDAJ	VYBER	15	44135	SLUZBY	\N	\N
844516	2875	1998-09-30	VYDAJ	VYBER	15	43456	SLUZBY	\N	\N
844517	2875	1998-10-31	VYDAJ	VYBER	15	44079	SLUZBY	\N	\N
844518	2875	1998-11-30	VYDAJ	VYBER	15	42313	SLUZBY	\N	\N
844519	2875	1997-01-23	PRIJEM	VKLAD	6000	24154	\N	\N	\N
844520	2875	1997-02-22	VYDAJ	VYBER	7400	34137	\N	\N	\N
844521	2875	1997-03-24	VYDAJ	VYBER	15400	36202	\N	\N	\N
844522	2875	1997-04-23	VYDAJ	VYBER	13800	39901	\N	\N	\N
844523	2875	1997-05-23	VYDAJ	VYBER	17000	40410	\N	\N	\N
844524	2875	1997-06-22	VYDAJ	VYBER	9000	28393	\N	\N	\N
844525	2875	1997-07-22	VYDAJ	VYBER	13100	32786	\N	\N	\N
844526	2875	1997-08-21	VYDAJ	VYBER	16000	34250	\N	\N	\N
844527	2875	1997-09-20	VYDAJ	VYBER	13200	38528	\N	\N	\N
844528	2875	1997-10-20	VYDAJ	VYBER	14000	42017	\N	\N	\N
844529	2875	1997-11-19	VYDAJ	VYBER	14200	41119	\N	\N	\N
844530	2875	1997-12-19	VYDAJ	VYBER	20800	43899	\N	\N	\N
844531	2875	1998-01-18	VYDAJ	VYBER	9000	35340	\N	\N	\N
844532	2875	1998-02-17	VYDAJ	VYBER	5300	39545	\N	\N	\N
844533	2875	1998-03-19	VYDAJ	VYBER	12900	44153	\N	\N	\N
844534	2875	1998-04-18	VYDAJ	VYBER	10000	51665	\N	\N	\N
844535	2875	1998-05-18	VYDAJ	VYBER	13600	52602	\N	\N	\N
844536	2875	1998-06-17	VYDAJ	VYBER	15700	47955	\N	\N	\N
844537	2875	1998-07-17	VYDAJ	VYBER	16200	49309	\N	\N	\N
844538	2875	1998-08-16	VYDAJ	VYBER	20300	43952	\N	\N	\N
844539	2875	1998-09-15	VYDAJ	VYBER	18200	43289	\N	\N	\N
844540	2875	1998-10-15	VYDAJ	VYBER	15200	45610	\N	\N	\N
844541	2875	1998-11-14	VYDAJ	VYBER	14600	42133	\N	\N	\N
844566	2876	1993-04-22	PRIJEM	VKLAD	200	200	\N	\N	\N
844571	2876	1993-05-05	PRIJEM	VKLAD	17385	17585	\N	\N	\N
844572	2876	1993-06-05	PRIJEM	VKLAD	26078	47191	\N	\N	\N
844573	2876	1993-07-05	PRIJEM	VKLAD	17385	54386	\N	\N	\N
844574	2876	1993-08-05	PRIJEM	VKLAD	17385	57029	\N	\N	\N
844575	2876	1993-09-05	PRIJEM	VKLAD	17385	57779	\N	\N	\N
844576	2876	1993-10-05	PRIJEM	VKLAD	17385	57600	\N	\N	\N
844577	2876	1993-11-05	PRIJEM	VKLAD	17385	54815	\N	\N	\N
844578	2876	1993-12-05	PRIJEM	VKLAD	26078	62814	\N	\N	\N
844579	2876	1994-01-05	PRIJEM	VKLAD	17385	55133	\N	\N	\N
844580	2876	1994-02-05	PRIJEM	VKLAD	17385	42332	\N	\N	\N
844581	2876	1994-03-05	PRIJEM	VKLAD	17385	46392	\N	\N	\N
844582	2876	1994-04-05	PRIJEM	VKLAD	17385	48669	\N	\N	\N
844583	2876	1994-05-05	PRIJEM	VKLAD	17385	53658	\N	\N	\N
844584	2876	1994-06-05	PRIJEM	VKLAD	26078	63653	\N	\N	\N
844585	2876	1994-07-05	PRIJEM	VKLAD	17385	43755	\N	\N	\N
844586	2876	1994-08-05	PRIJEM	VKLAD	17385	46120	\N	\N	\N
844587	2876	1994-09-05	PRIJEM	VKLAD	17385	52098	\N	\N	\N
844588	2876	1994-10-05	PRIJEM	VKLAD	17385	53189	\N	\N	\N
844589	2876	1994-11-05	PRIJEM	VKLAD	17385	53884	\N	\N	\N
844590	2876	1994-12-05	PRIJEM	VKLAD	26078	59464	\N	\N	\N
844591	2876	1995-01-05	PRIJEM	VKLAD	17385	50557	\N	\N	\N
844592	2876	1995-02-05	PRIJEM	VKLAD	17385	32719	\N	\N	\N
844593	2876	1995-03-05	PRIJEM	VKLAD	17385	42553	\N	\N	\N
844594	2876	1995-04-05	PRIJEM	VKLAD	17385	46911	\N	\N	\N
844595	2876	1995-05-05	PRIJEM	VKLAD	17385	50695	\N	\N	\N
844596	2876	1995-06-05	PRIJEM	VKLAD	26078	62475	\N	\N	\N
844597	2876	1995-07-05	PRIJEM	VKLAD	17385	51064	\N	\N	\N
844598	2876	1995-08-05	PRIJEM	VKLAD	17385	49552	\N	\N	\N
844599	2876	1995-09-05	PRIJEM	VKLAD	17385	47318	\N	\N	\N
844600	2876	1995-10-05	PRIJEM	VKLAD	17385	39062	\N	\N	\N
844601	2876	1995-11-05	PRIJEM	VKLAD	17385	32585	\N	\N	\N
844602	2876	1995-12-05	PRIJEM	VKLAD	26078	42285	\N	\N	\N
844603	2876	1996-01-05	PRIJEM	VKLAD	17385	37815	\N	\N	\N
844604	2876	1996-02-05	PRIJEM	VKLAD	17385	33337	\N	\N	\N
844605	2876	1996-03-05	PRIJEM	VKLAD	17385	35051	\N	\N	\N
844606	2876	1996-04-05	PRIJEM	VKLAD	17385	33962	\N	\N	\N
844607	2876	1996-05-05	PRIJEM	VKLAD	17385	33771	\N	\N	\N
844608	2876	1996-06-05	PRIJEM	VKLAD	26078	40669	\N	\N	\N
844609	2876	1996-07-05	PRIJEM	VKLAD	17385	30877	\N	\N	\N
844610	2876	1996-08-05	PRIJEM	VKLAD	17385	31086	\N	\N	\N
844611	2876	1996-09-05	PRIJEM	VKLAD	17385	31015	\N	\N	\N
844612	2876	1996-10-05	PRIJEM	VKLAD	17385	31156	\N	\N	\N
844613	2876	1996-11-05	PRIJEM	VKLAD	17385	30604	\N	\N	\N
844614	2876	1996-12-05	PRIJEM	VKLAD	26078	40045	\N	\N	\N
844615	2876	1997-01-05	PRIJEM	VKLAD	17385	31926	\N	\N	\N
844616	2876	1997-02-05	PRIJEM	VKLAD	17385	36863	\N	\N	\N
844617	2876	1997-03-05	PRIJEM	VKLAD	17385	47614	\N	\N	\N
844618	2876	1997-04-05	PRIJEM	VKLAD	17385	34611	\N	\N	\N
844619	2876	1997-05-05	PRIJEM	VKLAD	17385	46882	\N	\N	\N
844620	2876	1997-06-05	PRIJEM	VKLAD	26078	47967	\N	\N	\N
844621	2876	1997-07-05	PRIJEM	VKLAD	17385	35739	\N	\N	\N
844622	2876	1997-08-05	PRIJEM	VKLAD	17385	33683	\N	\N	\N
844623	2876	1997-09-05	PRIJEM	VKLAD	17385	42619	\N	\N	\N
844624	2876	1997-10-05	PRIJEM	VKLAD	17385	35888	\N	\N	\N
844625	2876	1997-11-05	PRIJEM	VKLAD	17385	32728	\N	\N	\N
844626	2876	1997-12-05	PRIJEM	VKLAD	26078	42348	\N	\N	\N
844627	2876	1998-01-05	PRIJEM	VKLAD	17385	37704	\N	\N	\N
844628	2876	1998-02-05	PRIJEM	VKLAD	17385	33138	\N	\N	\N
844629	2876	1998-03-05	PRIJEM	VKLAD	17385	41069	\N	\N	\N
844630	2876	1998-04-05	PRIJEM	VKLAD	17385	41330	\N	\N	\N
844631	2876	1998-05-05	PRIJEM	VKLAD	17385	44288	\N	\N	\N
844632	2876	1998-06-05	PRIJEM	VKLAD	26078	56656	\N	\N	\N
844633	2876	1998-07-05	PRIJEM	VKLAD	17385	47676	\N	\N	\N
844634	2876	1998-08-05	PRIJEM	VKLAD	17385	49858	\N	\N	\N
844635	2876	1998-09-05	PRIJEM	VKLAD	17385	52049	\N	\N	\N
844636	2876	1998-10-05	PRIJEM	VKLAD	17385	57355	\N	\N	\N
844637	2876	1998-11-05	PRIJEM	VKLAD	17385	54876	\N	\N	\N
844638	2876	1998-12-05	PRIJEM	VKLAD	26078	65398	\N	\N	\N
844647	2876	1993-09-11	VYDAJ	PREVOD NA UCET	5231	52548	SIPO	IJ	30939269
844648	2876	1993-10-11	VYDAJ	PREVOD NA UCET	5231	52369	SIPO	IJ	30939269
844649	2876	1993-11-11	VYDAJ	PREVOD NA UCET	5231	49584	SIPO	IJ	30939269
844650	2876	1993-12-11	VYDAJ	PREVOD NA UCET	5231	57583	SIPO	IJ	30939269
844651	2876	1994-01-11	VYDAJ	PREVOD NA UCET	5231	49902	SIPO	IJ	30939269
844652	2876	1994-02-11	VYDAJ	PREVOD NA UCET	5231	37101	SIPO	IJ	30939269
844653	2876	1994-03-11	VYDAJ	PREVOD NA UCET	5231	41161	SIPO	IJ	30939269
844654	2876	1994-04-11	VYDAJ	PREVOD NA UCET	5231	43438	SIPO	IJ	30939269
844655	2876	1994-05-11	VYDAJ	PREVOD NA UCET	5231	48427	SIPO	IJ	30939269
844656	2876	1994-06-11	VYDAJ	PREVOD NA UCET	5231	58422	SIPO	IJ	30939269
844657	2876	1994-07-11	VYDAJ	PREVOD NA UCET	5231	38524	SIPO	IJ	30939269
844658	2876	1994-08-11	VYDAJ	PREVOD NA UCET	5231	40889	SIPO	IJ	30939269
844659	2876	1994-09-11	VYDAJ	PREVOD NA UCET	5231	46867	SIPO	IJ	30939269
844660	2876	1994-10-11	VYDAJ	PREVOD NA UCET	5231	47958	SIPO	IJ	30939269
844661	2876	1994-11-11	VYDAJ	PREVOD NA UCET	5231	48653	SIPO	IJ	30939269
844662	2876	1994-12-11	VYDAJ	PREVOD NA UCET	5231	54233	SIPO	IJ	30939269
844663	2876	1995-01-11	VYDAJ	PREVOD NA UCET	5231	42826	SIPO	IJ	30939269
844664	2876	1995-02-11	VYDAJ	PREVOD NA UCET	5231	28088	SIPO	IJ	30939269
844665	2876	1995-03-11	VYDAJ	PREVOD NA UCET	5231	37322	SIPO	IJ	30939269
844666	2876	1995-04-11	VYDAJ	PREVOD NA UCET	5231	40880	SIPO	IJ	30939269
844667	2876	1995-05-11	VYDAJ	PREVOD NA UCET	5231	45464	SIPO	IJ	30939269
844668	2876	1995-06-11	VYDAJ	PREVOD NA UCET	5231	45144	SIPO	IJ	30939269
844669	2876	1995-07-11	VYDAJ	PREVOD NA UCET	5231	32033	SIPO	IJ	30939269
844670	2876	1995-08-11	VYDAJ	PREVOD NA UCET	5231	29821	SIPO	IJ	30939269
844671	2876	1995-09-11	VYDAJ	PREVOD NA UCET	5231	24587	SIPO	IJ	30939269
844672	2876	1995-10-11	VYDAJ	PREVOD NA UCET	5231	19731	SIPO	IJ	30939269
844673	2876	1995-11-11	VYDAJ	PREVOD NA UCET	5231	16154	SIPO	IJ	30939269
844674	2876	1995-12-11	VYDAJ	PREVOD NA UCET	5231	23854	SIPO	IJ	30939269
844675	2876	1996-01-11	VYDAJ	PREVOD NA UCET	5231	20684	SIPO	IJ	30939269
844676	2876	1996-02-11	VYDAJ	PREVOD NA UCET	5231	17606	SIPO	IJ	30939269
844677	2876	1996-03-11	VYDAJ	PREVOD NA UCET	5231	16520	SIPO	IJ	30939269
844678	2876	1996-04-11	VYDAJ	PREVOD NA UCET	5231	16331	SIPO	IJ	30939269
844679	2876	1996-05-11	VYDAJ	PREVOD NA UCET	5231	14540	SIPO	IJ	30939269
844680	2876	1996-06-11	VYDAJ	PREVOD NA UCET	5231	13438	SIPO	IJ	30939269
844681	2876	1996-07-11	VYDAJ	PREVOD NA UCET	5231	13646	SIPO	IJ	30939269
844682	2876	1996-08-11	VYDAJ	PREVOD NA UCET	5231	25855	SIPO	IJ	30939269
844683	2876	1996-09-11	VYDAJ	PREVOD NA UCET	5231	25784	SIPO	IJ	30939269
844684	2876	1996-10-11	VYDAJ	PREVOD NA UCET	5231	25925	SIPO	IJ	30939269
844685	2876	1996-11-11	VYDAJ	PREVOD NA UCET	5231	25373	SIPO	IJ	30939269
844686	2876	1996-12-11	VYDAJ	PREVOD NA UCET	5231	34814	SIPO	IJ	30939269
844687	2876	1997-01-11	VYDAJ	PREVOD NA UCET	5231	23195	SIPO	IJ	30939269
844688	2876	1997-02-11	VYDAJ	PREVOD NA UCET	5231	31632	SIPO	IJ	30939269
844689	2876	1997-03-11	VYDAJ	PREVOD NA UCET	5231	42383	SIPO	IJ	30939269
844690	2876	1997-04-11	VYDAJ	PREVOD NA UCET	5231	29380	SIPO	IJ	30939269
844691	2876	1997-05-11	VYDAJ	PREVOD NA UCET	5231	41651	SIPO	IJ	30939269
844692	2876	1997-06-11	VYDAJ	PREVOD NA UCET	5231	42736	SIPO	IJ	30939269
844693	2876	1997-07-11	VYDAJ	PREVOD NA UCET	5231	30508	SIPO	IJ	30939269
844694	2876	1997-08-11	VYDAJ	PREVOD NA UCET	5231	28452	SIPO	IJ	30939269
844695	2876	1997-09-11	VYDAJ	PREVOD NA UCET	5231	35188	SIPO	IJ	30939269
844696	2876	1997-10-11	VYDAJ	PREVOD NA UCET	5231	30657	SIPO	IJ	30939269
844697	2876	1997-11-11	VYDAJ	PREVOD NA UCET	5231	27497	SIPO	IJ	30939269
844698	2876	1997-12-11	VYDAJ	PREVOD NA UCET	5231	37117	SIPO	IJ	30939269
844699	2876	1998-01-11	VYDAJ	PREVOD NA UCET	5231	27273	SIPO	IJ	30939269
844700	2876	1998-02-11	VYDAJ	PREVOD NA UCET	5231	27907	SIPO	IJ	30939269
844701	2876	1998-03-11	VYDAJ	PREVOD NA UCET	5231	35838	SIPO	IJ	30939269
844702	2876	1998-04-11	VYDAJ	PREVOD NA UCET	5231	31999	SIPO	IJ	30939269
844703	2876	1998-05-11	VYDAJ	PREVOD NA UCET	5231	39057	SIPO	IJ	30939269
844704	2876	1998-06-11	VYDAJ	PREVOD NA UCET	5231	48125	SIPO	IJ	30939269
844705	2876	1998-07-11	VYDAJ	PREVOD NA UCET	5231	42445	SIPO	IJ	30939269
844706	2876	1998-08-11	VYDAJ	PREVOD NA UCET	5231	44627	SIPO	IJ	30939269
844707	2876	1998-09-11	VYDAJ	PREVOD NA UCET	5231	46818	SIPO	IJ	30939269
844708	2876	1998-10-11	VYDAJ	PREVOD NA UCET	5231	52124	SIPO	IJ	30939269
844709	2876	1998-11-11	VYDAJ	PREVOD NA UCET	5231	49645	SIPO	IJ	30939269
844710	2876	1998-12-11	VYDAJ	PREVOD NA UCET	5231	60167	SIPO	IJ	30939269
844712	2876	1994-06-23	VYDAJ	VYBER	15900	26222	\N	\N	\N
844713	2876	1995-06-08	VYDAJ	VYBER	12100	50375	\N	\N	\N
844715	2876	1997-06-19	VYDAJ	VYBER	3900	38836	\N	\N	\N
844716	2876	1998-06-25	VYDAJ	VYBER	19300	30125	\N	\N	\N
844718	2876	1994-01-21	VYDAJ	VYBER	3200	26902	\N	\N	\N
844719	2876	1995-01-17	VYDAJ	VYBER	7400	20626	\N	\N	\N
844721	2876	1997-01-21	VYDAJ	VYBER	1300	19995	\N	\N	\N
844722	2876	1998-01-15	VYDAJ	VYBER	8600	18673	\N	\N	\N
844723	2876	1993-12-27	VYDAJ	VYBER	700	40383	\N	\N	\N
844724	2876	1994-12-23	VYDAJ	VYBER	2500	36133	\N	\N	\N
844725	2876	1995-12-24	VYDAJ	VYBER	2200	21654	\N	\N	\N
844726	2876	1996-12-26	VYDAJ	VYBER	900	33914	\N	\N	\N
844728	2876	1998-12-28	VYDAJ	VYBER	1900	41967	\N	\N	\N
844735	2876	1994-01-02	VYDAJ	VYBER	2100	37748	\N	\N	\N
844736	2876	1994-01-11	VYDAJ	VYBER	2700	47202	\N	\N	\N
844737	2876	1994-01-02	VYDAJ	VYBER	700	39848	\N	\N	\N
844738	2876	1994-01-14	VYDAJ	VYBER	1100	46102	\N	\N	\N
844739	2876	1994-01-26	VYDAJ	VYBER	2100	24802	\N	\N	\N
844740	2876	1994-01-18	VYDAJ	VYBER	1900	33402	\N	\N	\N
844741	2876	1995-01-20	VYDAJ	VYBER	1100	19526	\N	\N	\N
844742	2876	1995-01-12	VYDAJ	VYBER	2400	40426	\N	\N	\N
844743	2876	1995-01-15	VYDAJ	VYBER	2400	28026	\N	\N	\N
844744	2876	1995-01-27	VYDAJ	VYBER	1200	15226	\N	\N	\N
844745	2876	1995-01-01	VYDAJ	VYBER	1200	33172	\N	\N	\N
844746	2876	1995-01-09	VYDAJ	VYBER	2500	48057	\N	\N	\N
844747	2876	1996-01-13	VYDAJ	VYBER	1300	19384	\N	\N	\N
844748	2876	1996-01-03	VYDAJ	VYBER	1300	20430	\N	\N	\N
844749	2876	1996-01-22	VYDAJ	VYBER	1700	15884	\N	\N	\N
844750	2876	1996-01-13	VYDAJ	VYBER	800	18584	\N	\N	\N
844751	2876	1996-01-14	VYDAJ	VYBER	1000	17584	\N	\N	\N
844754	2876	1997-01-09	VYDAJ	VYBER	1500	28426	\N	\N	\N
844755	2876	1997-01-13	VYDAJ	VYBER	1400	21795	\N	\N	\N
844756	2876	1997-01-23	VYDAJ	VYBER	600	19395	\N	\N	\N
844757	2876	1997-01-17	VYDAJ	VYBER	500	21295	\N	\N	\N
844758	2876	1997-01-08	VYDAJ	VYBER	2000	29926	\N	\N	\N
844759	2876	1998-01-19	VYDAJ	VYBER	800	17873	\N	\N	\N
844760	2876	1998-01-04	VYDAJ	VYBER	1600	20319	\N	\N	\N
844761	2876	1998-01-11	VYDAJ	VYBER	2300	32504	\N	\N	\N
844762	2876	1998-01-01	VYDAJ	VYBER	2300	21919	\N	\N	\N
844763	2876	1998-01-08	VYDAJ	VYBER	2900	34804	\N	\N	\N
844764	2876	1998-01-01	VYDAJ	VYBER	1900	24219	\N	\N	\N
844765	2876	1993-10-22	VYDAJ	VYBER	800	37269	\N	\N	\N
844770	2876	1994-07-21	VYDAJ	VYBER	3300	28624	\N	\N	\N
844771	2876	1994-12-28	VYDAJ	VYBER	1900	34233	\N	\N	\N
844772	2876	1994-03-19	VYDAJ	VYBER	4200	31161	\N	\N	\N
844773	2876	1994-01-20	VYDAJ	VYBER	3300	30102	\N	\N	\N
844774	2876	1994-11-14	VYDAJ	VYBER	4100	33253	\N	\N	\N
844775	2876	1995-02-23	VYDAJ	VYBER	3000	25088	\N	\N	\N
844776	2876	1995-04-06	VYDAJ	VYBER	800	46111	\N	\N	\N
844777	2876	1995-10-30	VYDAJ	VYBER	4600	15131	\N	\N	\N
844778	2876	1995-09-20	VYDAJ	VYBER	3000	21587	\N	\N	\N
844779	2876	1995-01-21	VYDAJ	VYBER	3100	16426	\N	\N	\N
844780	2876	1996-12-26	VYDAJ	VYBER	1400	32514	\N	\N	\N
844781	2876	1996-06-08	VYDAJ	VYBER	3700	18669	\N	\N	\N
844782	2876	1996-09-13	VYDAJ	VYBER	3200	22584	\N	\N	\N
844784	2876	1996-05-05	VYDAJ	VYBER	3200	30571	\N	\N	\N
844785	2876	1996-04-06	VYDAJ	VYBER	2300	21562	\N	\N	\N
844786	2876	1997-09-08	VYDAJ	VYBER	2200	40419	\N	\N	\N
844788	2876	1997-06-24	VYDAJ	VYBER	4800	34036	\N	\N	\N
844789	2876	1997-08-27	VYDAJ	VYBER	3300	25152	\N	\N	\N
844790	2876	1997-02-27	VYDAJ	VYBER	1500	30132	\N	\N	\N
844791	2876	1998-07-14	VYDAJ	VYBER	2700	39745	\N	\N	\N
844792	2876	1998-08-21	VYDAJ	VYBER	2700	39227	\N	\N	\N
844793	2876	1998-06-08	VYDAJ	VYBER	3300	53356	\N	\N	\N
844794	2876	1998-04-09	VYDAJ	VYBER	4100	37230	\N	\N	\N
844795	2876	1998-08-18	VYDAJ	VYBER	2700	41927	\N	\N	\N
844796	2876	1998-10-19	VYDAJ	VYBER	3000	49124	\N	\N	\N
844797	2876	1998-11-02	VYDAJ	VYBER	4300	37491	\N	\N	\N
844807	2876	1993-09-30	VYDAJ	VYBER	15	40215	SLUZBY	\N	\N
844808	2876	1993-10-31	VYDAJ	VYBER	15	37430	SLUZBY	\N	\N
844809	2876	1993-11-30	VYDAJ	VYBER	15	36736	SLUZBY	\N	\N
844810	2876	1993-12-31	VYDAJ	VYBER	15	40548	SLUZBY	\N	\N
844811	2876	1994-01-31	VYDAJ	VYBER	15	24947	SLUZBY	\N	\N
844812	2876	1994-02-28	VYDAJ	VYBER	15	29007	SLUZBY	\N	\N
844813	2876	1994-03-31	VYDAJ	VYBER	15	31284	SLUZBY	\N	\N
844814	2876	1994-04-30	VYDAJ	VYBER	15	36273	SLUZBY	\N	\N
844815	2876	1994-05-31	VYDAJ	VYBER	15	37575	SLUZBY	\N	\N
844816	2876	1994-06-30	VYDAJ	VYBER	15	26370	SLUZBY	\N	\N
844817	2876	1994-07-31	VYDAJ	VYBER	15	28735	SLUZBY	\N	\N
844818	2876	1994-08-31	VYDAJ	VYBER	15	34713	SLUZBY	\N	\N
844819	2876	1994-09-30	VYDAJ	VYBER	15	35804	SLUZBY	\N	\N
844820	2876	1994-10-31	VYDAJ	VYBER	15	36499	SLUZBY	\N	\N
844821	2876	1994-11-30	VYDAJ	VYBER	15	33386	SLUZBY	\N	\N
844822	2876	1994-12-31	VYDAJ	VYBER	15	34372	SLUZBY	\N	\N
844823	2876	1995-01-31	VYDAJ	VYBER	15	15334	SLUZBY	\N	\N
844824	2876	1995-02-28	VYDAJ	VYBER	15	25168	SLUZBY	\N	\N
844825	2876	1995-03-31	VYDAJ	VYBER	15	29526	SLUZBY	\N	\N
844826	2876	1995-04-30	VYDAJ	VYBER	15	33310	SLUZBY	\N	\N
844827	2876	1995-05-31	VYDAJ	VYBER	15	36397	SLUZBY	\N	\N
844828	2876	1995-06-30	VYDAJ	VYBER	15	33679	SLUZBY	\N	\N
844829	2876	1995-07-31	VYDAJ	VYBER	15	32167	SLUZBY	\N	\N
844830	2876	1995-08-31	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
844831	2876	1995-09-30	VYDAJ	VYBER	15	21677	SLUZBY	\N	\N
844832	2876	1995-10-31	VYDAJ	VYBER	15	15200	SLUZBY	\N	\N
844833	2876	1995-11-30	VYDAJ	VYBER	15	16207	SLUZBY	\N	\N
844834	2876	1995-12-31	VYDAJ	VYBER	15	21730	SLUZBY	\N	\N
844835	2876	1996-01-31	VYDAJ	VYBER	15	15952	SLUZBY	\N	\N
844836	2876	1996-02-29	VYDAJ	VYBER	15	17666	SLUZBY	\N	\N
844837	2876	1996-03-31	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
844838	2876	1996-04-30	VYDAJ	VYBER	15	16386	SLUZBY	\N	\N
844839	2876	1996-05-31	VYDAJ	VYBER	15	14591	SLUZBY	\N	\N
844840	2876	1996-06-30	VYDAJ	VYBER	15	13492	SLUZBY	\N	\N
844841	2876	1996-07-31	VYDAJ	VYBER	15	13701	SLUZBY	\N	\N
844842	2876	1996-08-31	VYDAJ	VYBER	15	25930	SLUZBY	\N	\N
844843	2876	1996-09-30	VYDAJ	VYBER	15	22671	SLUZBY	\N	\N
844844	2876	1996-10-31	VYDAJ	VYBER	15	26019	SLUZBY	\N	\N
844845	2876	1996-11-30	VYDAJ	VYBER	15	25467	SLUZBY	\N	\N
844846	2876	1996-12-31	VYDAJ	VYBER	15	32641	SLUZBY	\N	\N
844847	2876	1997-01-31	VYDAJ	VYBER	15	19478	SLUZBY	\N	\N
844848	2876	1997-02-28	VYDAJ	VYBER	15	30229	SLUZBY	\N	\N
844849	2876	1997-03-31	VYDAJ	VYBER	15	42526	SLUZBY	\N	\N
844850	2876	1997-04-30	VYDAJ	VYBER	15	29497	SLUZBY	\N	\N
844851	2876	1997-05-31	VYDAJ	VYBER	15	21889	SLUZBY	\N	\N
844852	2876	1997-06-30	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
844853	2876	1997-07-31	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
844854	2876	1997-08-31	VYDAJ	VYBER	15	25234	SLUZBY	\N	\N
844855	2876	1997-09-30	VYDAJ	VYBER	15	18503	SLUZBY	\N	\N
844856	2876	1997-10-31	VYDAJ	VYBER	15	15343	SLUZBY	\N	\N
844857	2876	1997-11-30	VYDAJ	VYBER	15	16270	SLUZBY	\N	\N
844858	2876	1997-12-31	VYDAJ	VYBER	15	26119	SLUZBY	\N	\N
844859	2876	1998-01-31	VYDAJ	VYBER	15	15753	SLUZBY	\N	\N
844860	2876	1998-02-28	VYDAJ	VYBER	15	23684	SLUZBY	\N	\N
844861	2876	1998-03-31	VYDAJ	VYBER	15	23945	SLUZBY	\N	\N
844862	2876	1998-04-30	VYDAJ	VYBER	15	26903	SLUZBY	\N	\N
844863	2876	1998-05-31	VYDAJ	VYBER	15	30578	SLUZBY	\N	\N
844864	2876	1998-06-30	VYDAJ	VYBER	15	30291	SLUZBY	\N	\N
844865	2876	1998-07-31	VYDAJ	VYBER	15	32473	SLUZBY	\N	\N
844866	2876	1998-08-31	VYDAJ	VYBER	15	34664	SLUZBY	\N	\N
844867	2876	1998-09-30	VYDAJ	VYBER	15	39970	SLUZBY	\N	\N
844868	2876	1998-10-31	VYDAJ	VYBER	15	41791	SLUZBY	\N	\N
844869	2876	1998-11-30	VYDAJ	VYBER	15	39320	SLUZBY	\N	\N
844870	2876	1993-05-22	PRIJEM	VKLAD	3500	21085	\N	\N	\N
844871	2876	1993-06-21	VYDAJ	VYBER	10300	36891	\N	\N	\N
844872	2876	1993-07-21	VYDAJ	VYBER	14900	39486	\N	\N	\N
844873	2876	1993-08-20	VYDAJ	VYBER	16800	40229	\N	\N	\N
844874	2876	1993-09-19	VYDAJ	VYBER	12500	40048	\N	\N	\N
844875	2876	1993-10-19	VYDAJ	VYBER	14300	38069	\N	\N	\N
844876	2876	1993-11-18	VYDAJ	VYBER	13000	36584	\N	\N	\N
844877	2876	1993-12-18	VYDAJ	VYBER	16500	41083	\N	\N	\N
844878	2876	1994-01-17	VYDAJ	VYBER	10800	35302	\N	\N	\N
844879	2876	1994-02-16	VYDAJ	VYBER	8200	28901	\N	\N	\N
844880	2876	1994-03-18	VYDAJ	VYBER	5800	35361	\N	\N	\N
844881	2876	1994-04-17	VYDAJ	VYBER	7300	36138	\N	\N	\N
844882	2876	1994-05-17	VYDAJ	VYBER	11000	37427	\N	\N	\N
844883	2876	1994-06-16	VYDAJ	VYBER	16300	42122	\N	\N	\N
844884	2876	1994-07-16	VYDAJ	VYBER	6600	31924	\N	\N	\N
844885	2876	1994-08-15	VYDAJ	VYBER	6300	34589	\N	\N	\N
844886	2876	1994-09-14	VYDAJ	VYBER	11200	35667	\N	\N	\N
844887	2876	1994-10-14	VYDAJ	VYBER	11600	36358	\N	\N	\N
844888	2876	1994-11-13	VYDAJ	VYBER	11300	37353	\N	\N	\N
844889	2876	1994-12-13	VYDAJ	VYBER	15600	38633	\N	\N	\N
844890	2876	1995-01-12	VYDAJ	VYBER	10000	30426	\N	\N	\N
844891	2876	1995-02-11	PRIJEM	VKLAD	600	33319	\N	\N	\N
844892	2876	1995-03-13	VYDAJ	VYBER	7900	29422	\N	\N	\N
844893	2876	1995-04-12	VYDAJ	VYBER	7700	33180	\N	\N	\N
844894	2876	1995-05-12	VYDAJ	VYBER	9200	36264	\N	\N	\N
844895	2876	1995-06-11	VYDAJ	VYBER	11600	33544	\N	\N	\N
844896	2876	1995-07-11	VYDAJ	VYBER	13800	37264	\N	\N	\N
844897	2876	1995-08-10	VYDAJ	VYBER	14500	35052	\N	\N	\N
844898	2876	1995-09-09	VYDAJ	VYBER	17500	29818	\N	\N	\N
844899	2876	1995-10-09	VYDAJ	VYBER	14100	24962	\N	\N	\N
844900	2876	1995-11-08	VYDAJ	VYBER	11200	21385	\N	\N	\N
844901	2876	1995-12-08	VYDAJ	VYBER	13200	29085	\N	\N	\N
844902	2876	1996-01-07	VYDAJ	VYBER	11900	25915	\N	\N	\N
844903	2876	1996-02-06	VYDAJ	VYBER	10500	22837	\N	\N	\N
844904	2876	1996-03-07	VYDAJ	VYBER	13300	21751	\N	\N	\N
844905	2876	1996-04-06	VYDAJ	VYBER	10100	23862	\N	\N	\N
844906	2876	1996-05-06	VYDAJ	VYBER	10800	19771	\N	\N	\N
844907	2876	1996-06-05	VYDAJ	VYBER	18300	22369	\N	\N	\N
844908	2876	1996-07-05	VYDAJ	VYBER	12000	18877	\N	\N	\N
844909	2876	1996-09-03	VYDAJ	VYBER	12300	13630	\N	\N	\N
844910	2876	1996-10-03	VYDAJ	VYBER	8900	13771	\N	\N	\N
844911	2876	1996-11-02	VYDAJ	VYBER	12800	13219	\N	\N	\N
844912	2876	1996-12-02	VYDAJ	VYBER	11500	13967	\N	\N	\N
844913	2876	1997-01-01	VYDAJ	VYBER	18100	14541	\N	\N	\N
844914	2876	1997-04-01	VYDAJ	VYBER	25300	17226	\N	\N	\N
844915	2876	1997-05-31	VYDAJ	VYBER	19900	21903	\N	\N	\N
844916	2876	1997-06-30	VYDAJ	VYBER	15800	18369	\N	\N	\N
844917	2876	1997-07-30	VYDAJ	VYBER	14300	16208	\N	\N	\N
844918	2876	1997-09-28	VYDAJ	VYBER	16800	18388	\N	\N	\N
844919	2876	1997-10-28	VYDAJ	VYBER	15400	15257	\N	\N	\N
844920	2876	1997-11-27	VYDAJ	VYBER	11300	16197	\N	\N	\N
844921	2876	1997-12-27	VYDAJ	VYBER	11100	26017	\N	\N	\N
844922	2876	1998-01-26	VYDAJ	VYBER	2200	15673	\N	\N	\N
844923	2876	1998-02-25	VYDAJ	VYBER	4300	23607	\N	\N	\N
844924	2876	1998-03-27	VYDAJ	VYBER	12000	23838	\N	\N	\N
844925	2876	1998-04-26	VYDAJ	VYBER	5200	26799	\N	\N	\N
844926	2876	1998-05-26	VYDAJ	VYBER	8600	30457	\N	\N	\N
844927	2876	1998-06-25	PRIJEM	VKLAD	1300	49425	\N	\N	\N
844928	2876	1998-07-25	VYDAJ	VYBER	7400	32345	\N	\N	\N
844929	2876	1998-08-24	VYDAJ	VYBER	4700	34527	\N	\N	\N
844930	2876	1998-09-23	VYDAJ	VYBER	7000	39818	\N	\N	\N
844931	2876	1998-10-23	VYDAJ	VYBER	7500	41624	\N	\N	\N
844932	2876	1998-11-22	VYDAJ	VYBER	10500	39145	\N	\N	\N
844933	2876	1998-12-22	VYDAJ	VYBER	16300	43867	\N	\N	\N
845002	2877	1995-06-04	PRIJEM	VKLAD	800	800	\N	\N	\N
845008	2877	1995-06-10	PRIJEM	PREVOD Z UCTU	66615	67415	\N	UV	87755894
845009	2877	1995-07-10	PRIJEM	PREVOD Z UCTU	44410	90922	\N	UV	87755894
845010	2877	1995-08-10	PRIJEM	PREVOD Z UCTU	44410	101382	\N	UV	87755894
845011	2877	1995-09-10	PRIJEM	PREVOD Z UCTU	44410	109902	\N	UV	87755894
845012	2877	1995-10-10	PRIJEM	PREVOD Z UCTU	44410	85159	\N	UV	87755894
845013	2877	1995-11-10	PRIJEM	PREVOD Z UCTU	44410	93817	\N	UV	87755894
845014	2877	1995-12-10	PRIJEM	PREVOD Z UCTU	66615	122767	\N	UV	87755894
845015	2877	1996-01-10	PRIJEM	PREVOD Z UCTU	44410	72076	\N	UV	87755894
845016	2877	1996-02-10	PRIJEM	PREVOD Z UCTU	44410	86200	\N	UV	87755894
845017	2877	1996-03-10	PRIJEM	PREVOD Z UCTU	44410	97667	\N	UV	87755894
845018	2877	1996-04-10	PRIJEM	PREVOD Z UCTU	44410	105981	\N	UV	87755894
845019	2877	1996-05-10	PRIJEM	PREVOD Z UCTU	44410	111527	\N	UV	87755894
845020	2877	1996-06-10	PRIJEM	PREVOD Z UCTU	66615	96542	\N	UV	87755894
845021	2877	1996-07-10	PRIJEM	PREVOD Z UCTU	44410	108716	\N	UV	87755894
845022	2877	1996-08-10	PRIJEM	PREVOD Z UCTU	44410	104545	\N	UV	87755894
845023	2877	1996-09-10	PRIJEM	PREVOD Z UCTU	44410	70300	\N	UV	87755894
845024	2877	1996-10-10	PRIJEM	PREVOD Z UCTU	44410	93836	\N	UV	87755894
845025	2877	1996-11-10	PRIJEM	PREVOD Z UCTU	44410	95448	\N	UV	87755894
845026	2877	1996-12-10	PRIJEM	PREVOD Z UCTU	66615	125338	\N	UV	87755894
845027	2877	1997-01-10	PRIJEM	PREVOD Z UCTU	44410	69052	\N	UV	87755894
845028	2877	1997-02-10	PRIJEM	PREVOD Z UCTU	44410	81818	\N	UV	87755894
845029	2877	1997-03-10	PRIJEM	PREVOD Z UCTU	44410	77568	\N	UV	87755894
845030	2877	1997-04-10	PRIJEM	PREVOD Z UCTU	44410	96810	\N	UV	87755894
845031	2877	1997-05-10	PRIJEM	PREVOD Z UCTU	44410	76490	\N	UV	87755894
845032	2877	1997-06-10	PRIJEM	PREVOD Z UCTU	66615	120128	\N	UV	87755894
845033	2877	1997-07-10	PRIJEM	PREVOD Z UCTU	44410	103197	\N	UV	87755894
845034	2877	1997-08-10	PRIJEM	PREVOD Z UCTU	44410	95787	\N	UV	87755894
845035	2877	1997-09-10	PRIJEM	PREVOD Z UCTU	44410	94330	\N	UV	87755894
845036	2877	1997-10-10	PRIJEM	PREVOD Z UCTU	44410	97340	\N	UV	87755894
845037	2877	1997-11-10	PRIJEM	PREVOD Z UCTU	44410	106536	\N	UV	87755894
845038	2877	1997-12-10	PRIJEM	PREVOD Z UCTU	66615	126538	\N	UV	87755894
845039	2877	1998-01-10	PRIJEM	PREVOD Z UCTU	44410	105292	\N	UV	87755894
845040	2877	1998-02-10	PRIJEM	PREVOD Z UCTU	44410	85747	\N	UV	87755894
845041	2877	1998-03-10	PRIJEM	PREVOD Z UCTU	44410	100572	\N	UV	87755894
845042	2877	1998-04-10	PRIJEM	PREVOD Z UCTU	44410	104947	\N	UV	87755894
845043	2877	1998-05-10	PRIJEM	PREVOD Z UCTU	44410	104129	\N	UV	87755894
845044	2877	1998-06-10	PRIJEM	PREVOD Z UCTU	66615	120206	\N	UV	87755894
845045	2877	1998-07-10	PRIJEM	PREVOD Z UCTU	44410	100160	\N	UV	87755894
845046	2877	1998-08-10	PRIJEM	PREVOD Z UCTU	44410	105833	\N	UV	87755894
845047	2877	1998-09-10	PRIJEM	PREVOD Z UCTU	44410	108412	\N	UV	87755894
845048	2877	1998-10-10	PRIJEM	PREVOD Z UCTU	44410	111607	\N	UV	87755894
845049	2877	1998-11-10	PRIJEM	PREVOD Z UCTU	44410	104883	\N	UV	87755894
845050	2877	1998-12-10	PRIJEM	PREVOD Z UCTU	66615	132660	\N	UV	87755894
845060	2877	1995-10-11	VYDAJ	PREVOD NA UCET	5305	79854	SIPO	OP	94405835
845061	2877	1995-11-11	VYDAJ	PREVOD NA UCET	5305	88512	SIPO	OP	94405835
845062	2877	1995-12-11	VYDAJ	PREVOD NA UCET	5305	80362	SIPO	OP	94405835
845063	2877	1996-01-11	VYDAJ	PREVOD NA UCET	5305	66771	SIPO	OP	94405835
845064	2877	1996-02-11	VYDAJ	PREVOD NA UCET	5305	80895	SIPO	OP	94405835
845065	2877	1996-03-11	VYDAJ	PREVOD NA UCET	5305	92362	SIPO	OP	94405835
845066	2877	1996-04-11	VYDAJ	PREVOD NA UCET	5305	100676	SIPO	OP	94405835
845067	2877	1996-05-11	VYDAJ	PREVOD NA UCET	5305	57222	SIPO	OP	94405835
845068	2877	1996-06-11	VYDAJ	PREVOD NA UCET	5305	91237	SIPO	OP	94405835
845069	2877	1996-07-11	VYDAJ	PREVOD NA UCET	5305	103411	SIPO	OP	94405835
845070	2877	1996-08-11	VYDAJ	PREVOD NA UCET	5305	82740	SIPO	OP	94405835
845071	2877	1996-09-11	VYDAJ	PREVOD NA UCET	5305	64995	SIPO	OP	94405835
845072	2877	1996-10-11	VYDAJ	PREVOD NA UCET	5305	88531	SIPO	OP	94405835
845073	2877	1996-11-11	VYDAJ	PREVOD NA UCET	5305	90143	SIPO	OP	94405835
845074	2877	1996-12-11	VYDAJ	PREVOD NA UCET	5305	56733	SIPO	OP	94405835
845075	2877	1997-01-11	VYDAJ	PREVOD NA UCET	5305	63747	SIPO	OP	94405835
845076	2877	1997-02-11	VYDAJ	PREVOD NA UCET	5305	76513	SIPO	OP	94405835
845077	2877	1997-03-11	VYDAJ	PREVOD NA UCET	5305	72263	SIPO	OP	94405835
845078	2877	1997-04-11	VYDAJ	PREVOD NA UCET	5305	79181	SIPO	OP	94405835
845079	2877	1997-05-11	VYDAJ	PREVOD NA UCET	5305	71185	SIPO	OP	94405835
845080	2877	1997-06-11	VYDAJ	PREVOD NA UCET	5305	81723	SIPO	OP	94405835
845081	2877	1997-07-11	VYDAJ	PREVOD NA UCET	5305	97892	SIPO	OP	94405835
845082	2877	1997-08-11	VYDAJ	PREVOD NA UCET	5305	90482	SIPO	OP	94405835
845083	2877	1997-09-11	VYDAJ	PREVOD NA UCET	5305	89025	SIPO	OP	94405835
845084	2877	1997-10-11	VYDAJ	PREVOD NA UCET	5305	92035	SIPO	OP	94405835
845085	2877	1997-11-11	VYDAJ	PREVOD NA UCET	5305	101231	SIPO	OP	94405835
845086	2877	1997-12-11	VYDAJ	PREVOD NA UCET	5305	94393	SIPO	OP	94405835
845087	2877	1998-01-11	VYDAJ	PREVOD NA UCET	5305	93687	SIPO	OP	94405835
845088	2877	1998-02-11	VYDAJ	PREVOD NA UCET	5305	80442	SIPO	OP	94405835
845089	2877	1998-03-11	VYDAJ	PREVOD NA UCET	5305	95267	SIPO	OP	94405835
845090	2877	1998-04-11	VYDAJ	PREVOD NA UCET	5305	99642	SIPO	OP	94405835
845091	2877	1998-05-11	VYDAJ	PREVOD NA UCET	5305	98824	SIPO	OP	94405835
845092	2877	1998-06-11	VYDAJ	PREVOD NA UCET	5305	85901	SIPO	OP	94405835
845093	2877	1998-07-11	VYDAJ	PREVOD NA UCET	5305	94855	SIPO	OP	94405835
845094	2877	1998-08-11	VYDAJ	PREVOD NA UCET	5305	100528	SIPO	OP	94405835
845095	2877	1998-09-11	VYDAJ	PREVOD NA UCET	5305	103107	SIPO	OP	94405835
845096	2877	1998-10-11	VYDAJ	PREVOD NA UCET	5305	106302	SIPO	OP	94405835
845097	2877	1998-11-11	VYDAJ	PREVOD NA UCET	5305	99578	SIPO	OP	94405835
845098	2877	1998-12-11	VYDAJ	PREVOD NA UCET	5305	89355	SIPO	OP	94405835
845100	2877	1995-10-18	VYBER	VYBER	3795	76059	\N	\N	\N
845104	2877	1996-09-09	VYBER	VYBER	13915	41011	\N	\N	\N
845105	2877	1996-10-19	VYBER	VYBER	23741	64790	\N	\N	\N
845106	2877	1996-09-09	VYBER	VYBER	15121	25890	\N	\N	\N
845107	2877	1997-04-23	VYBER	VYBER	10890	56291	\N	\N	\N
845108	2877	1997-02-06	VYBER	VYBER	7228	37408	\N	\N	\N
845109	2877	1997-03-05	VYBER	VYBER	14710	33158	\N	\N	\N
845110	2877	1997-02-16	VYBER	VYBER	20459	56054	\N	\N	\N
845111	2877	1997-10-02	VYBER	VYBER	12462	52930	\N	\N	\N
845112	2877	1997-04-10	VYBER	VYBER	12324	84486	\N	\N	\N
845113	2877	1997-05-19	VYBER	VYBER	2104	69081	\N	\N	\N
845114	2877	1997-08-16	VYBER	VYBER	24815	65667	\N	\N	\N
845115	2877	1997-12-11	VYBER	VYBER	7940	99698	\N	\N	\N
845116	2877	1997-05-04	VYBER	VYBER	15046	32080	\N	\N	\N
845117	2877	1995-12-28	VYDAJ	VYBER	3900	65962	\N	\N	\N
845118	2877	1996-12-23	VYDAJ	VYBER	8700	48033	\N	\N	\N
845119	2877	1997-12-06	VYDAJ	VYBER KARTOU	3600	59923	\N	\N	0
845120	2877	1998-12-10	VYDAJ	VYBER KARTOU	1500	131160	\N	\N	0
845127	2877	1996-01-02	VYDAJ	VYBER	5400	37266	\N	\N	\N
845128	2877	1996-01-27	VYDAJ	VYBER	2100	64671	\N	\N	\N
845129	2877	1996-01-05	VYDAJ	VYBER	7500	29766	\N	\N	\N
845130	2877	1996-01-07	VYDAJ	VYBER	2100	27666	\N	\N	\N
845131	2877	1996-01-30	VYDAJ	VYBER	2100	62571	\N	\N	\N
845132	2877	1996-01-01	VYDAJ	VYBER	2100	42666	\N	\N	\N
845133	2877	1997-01-18	VYDAJ	VYBER KARTOU	3600	58347	\N	\N	0
845134	2877	1997-01-04	VYDAJ	VYBER	6900	36042	\N	\N	\N
845135	2877	1997-01-07	VYDAJ	VYBER	4500	24642	\N	\N	\N
845136	2877	1997-01-26	VYDAJ	VYBER KARTOU	1500	44447	\N	\N	0
845137	2877	1997-01-05	VYDAJ	VYBER	6900	29142	\N	\N	\N
845138	2877	1997-01-17	VYDAJ	VYBER KARTOU	1800	61947	\N	\N	0
845139	2877	1998-01-22	VYDAJ	VYBER	4800	47087	\N	\N	\N
845140	2877	1998-01-10	VYDAJ	VYBER	6300	98992	\N	\N	\N
845141	2877	1998-01-18	VYDAJ	VYBER	6300	81987	\N	\N	\N
845142	2877	1998-01-27	VYDAJ	VYBER	4500	41087	\N	\N	\N
845143	2877	1998-01-17	VYDAJ	VYBER	5400	88287	\N	\N	\N
845144	2877	1998-01-26	VYDAJ	VYBER KARTOU	1500	45587	\N	\N	0
845146	2877	1995-12-13	VYDAJ	VYBER	10500	69862	\N	\N	\N
845151	2877	1996-07-27	VYDAJ	VYBER	4500	91711	\N	\N	\N
845152	2877	1996-05-15	VYDAJ	VYBER	14700	42522	\N	\N	\N
845153	2877	1996-05-30	VYDAJ	VYBER	7200	29722	\N	\N	\N
845154	2877	1996-07-12	VYDAJ	VYBER	7200	96211	\N	\N	\N
845155	2877	1997-08-07	VYDAJ	VYBER	10800	51377	\N	\N	\N
845156	2877	1997-07-17	VYDAJ	VYBER	12300	85592	\N	\N	\N
845157	2877	1997-03-23	VYDAJ	VYBER	4200	68063	\N	\N	\N
845159	2877	1997-04-16	VYDAJ	VYBER	12000	67181	\N	\N	\N
845160	2877	1998-08-14	VYDAJ	VYBER	8700	91828	\N	\N	\N
845161	2877	1998-10-15	VYDAJ	VYBER	11100	95202	\N	\N	\N
845162	2877	1998-05-23	VYDAJ	VYBER	9000	53324	\N	\N	\N
845163	2877	1998-07-29	VYDAJ	VYBER KARTOU	3900	61155	\N	\N	0
845164	2877	1998-09-07	VYDAJ	VYBER KARTOU	1800	64002	\N	\N	0
845165	2877	1998-12-20	VYDAJ	VYBER KARTOU	3900	51355	\N	\N	0
845176	2877	1995-10-31	VYDAJ	VYBER	15	76407	SLUZBY	\N	\N
845177	2877	1995-11-30	VYDAJ	VYBER	15	88852	SLUZBY	\N	\N
845178	2877	1995-12-31	VYDAJ	VYBER	15	44766	SLUZBY	\N	\N
845179	2877	1996-01-31	VYDAJ	VYBER	15	41790	SLUZBY	\N	\N
845180	2877	1996-02-29	VYDAJ	VYBER	15	53257	SLUZBY	\N	\N
845181	2877	1996-03-31	VYDAJ	VYBER	15	61571	SLUZBY	\N	\N
845182	2877	1996-04-30	VYDAJ	VYBER	15	67117	SLUZBY	\N	\N
845183	2877	1996-05-31	VYDAJ	VYBER	15	29927	SLUZBY	\N	\N
845184	2877	1996-06-30	VYDAJ	VYBER	15	64306	SLUZBY	\N	\N
845185	2877	1996-07-31	VYDAJ	VYBER	15	60135	SLUZBY	\N	\N
845186	2877	1996-08-31	VYDAJ	VYBER	15	54926	SLUZBY	\N	\N
845187	2877	1996-09-30	VYDAJ	VYBER	15	49426	SLUZBY	\N	\N
845188	2877	1996-10-31	VYDAJ	VYBER	15	51038	SLUZBY	\N	\N
845189	2877	1996-11-30	VYDAJ	VYBER	15	58723	SLUZBY	\N	\N
845190	2877	1996-12-31	VYDAJ	VYBER	15	42942	SLUZBY	\N	\N
845191	2877	1997-01-31	VYDAJ	VYBER	15	44636	SLUZBY	\N	\N
845192	2877	1997-02-28	VYDAJ	VYBER	15	47868	SLUZBY	\N	\N
845193	2877	1997-03-31	VYDAJ	VYBER	15	52400	SLUZBY	\N	\N
845194	2877	1997-04-30	VYDAJ	VYBER	15	47126	SLUZBY	\N	\N
845195	2877	1997-05-31	VYDAJ	VYBER	15	53513	SLUZBY	\N	\N
845196	2877	1997-06-30	VYDAJ	VYBER	15	58787	SLUZBY	\N	\N
845197	2877	1997-07-31	VYDAJ	VYBER	15	62177	SLUZBY	\N	\N
845198	2877	1997-08-31	VYDAJ	VYBER	15	49920	SLUZBY	\N	\N
845199	2877	1997-09-30	VYDAJ	VYBER	15	65392	SLUZBY	\N	\N
845200	2877	1997-10-31	VYDAJ	VYBER	15	62126	SLUZBY	\N	\N
845201	2877	1997-11-30	VYDAJ	VYBER	15	63523	SLUZBY	\N	\N
845202	2877	1997-12-31	VYDAJ	VYBER	15	60882	SLUZBY	\N	\N
845203	2877	1998-01-31	VYDAJ	VYBER	15	41337	SLUZBY	\N	\N
845204	2877	1998-02-28	VYDAJ	VYBER	15	56162	SLUZBY	\N	\N
845205	2877	1998-03-31	VYDAJ	VYBER	15	60537	SLUZBY	\N	\N
845206	2877	1998-04-30	VYDAJ	VYBER	15	59719	SLUZBY	\N	\N
845207	2877	1998-05-31	VYDAJ	VYBER	15	53591	SLUZBY	\N	\N
845208	2877	1998-06-30	VYDAJ	VYBER	15	55750	SLUZBY	\N	\N
845209	2877	1998-07-31	VYDAJ	VYBER	15	61423	SLUZBY	\N	\N
845210	2877	1998-08-31	VYDAJ	VYBER	15	65802	SLUZBY	\N	\N
845211	2877	1998-09-30	VYDAJ	VYBER	15	67197	SLUZBY	\N	\N
845212	2877	1998-10-31	VYDAJ	VYBER	15	60473	SLUZBY	\N	\N
845213	2877	1998-11-30	VYDAJ	VYBER	15	66045	SLUZBY	\N	\N
845214	2877	1995-07-04	VYDAJ	VYBER	21100	46512	\N	\N	\N
845215	2877	1995-08-03	VYDAJ	VYBER	34300	56972	\N	\N	\N
845216	2877	1995-09-02	VYDAJ	VYBER	36300	65492	\N	\N	\N
845217	2877	1995-09-10	VYDAJ	VYBER	57200	52702	\N	\N	\N
845218	2877	1995-10-02	VYDAJ	VYBER	12400	40749	\N	\N	\N
845219	2877	1995-11-01	VYDAJ	VYBER	27000	49407	\N	\N	\N
845220	2877	1995-12-01	VYDAJ	VYBER	32700	56152	\N	\N	\N
845221	2877	1995-12-10	VYDAJ	VYBER	37100	85667	\N	\N	\N
845222	2877	1995-12-31	VYDAJ	VYBER	21500	44781	\N	\N	\N
845223	2877	1996-01-30	VYDAJ	VYBER	21000	41571	\N	\N	\N
845224	2877	1996-02-29	VYDAJ	VYBER	27900	53272	\N	\N	\N
845225	2877	1996-03-30	VYDAJ	VYBER	31100	61262	\N	\N	\N
845226	2877	1996-04-29	VYDAJ	VYBER	33900	66776	\N	\N	\N
845227	2877	1996-05-10	VYDAJ	VYBER	49000	62527	\N	\N	\N
845228	2877	1996-05-29	VYDAJ	VYBER	5600	36922	\N	\N	\N
845229	2877	1996-06-28	VYDAJ	VYBER	27200	64037	\N	\N	\N
845230	2877	1996-07-28	VYDAJ	VYBER	31900	59811	\N	\N	\N
845231	2877	1996-08-10	VYDAJ	VYBER	16500	88045	\N	\N	\N
845232	2877	1996-08-27	VYDAJ	VYBER	28100	54640	\N	\N	\N
845233	2877	1996-09-26	VYDAJ	VYBER	15800	49195	\N	\N	\N
845234	2877	1996-10-26	VYDAJ	VYBER	14000	50790	\N	\N	\N
845235	2877	1996-11-25	VYDAJ	VYBER	31700	58443	\N	\N	\N
845236	2877	1996-12-10	VYDAJ	VYBER	63300	62038	\N	\N	\N
845237	2877	1996-12-25	VYDAJ	VYBER	5300	42733	\N	\N	\N
845238	2877	1997-01-24	VYDAJ	VYBER	12400	45947	\N	\N	\N
845239	2877	1997-02-23	VYDAJ	VYBER	8400	47654	\N	\N	\N
845240	2877	1997-03-25	VYDAJ	VYBER	15900	52163	\N	\N	\N
845241	2877	1997-04-24	VYDAJ	VYBER	9400	46891	\N	\N	\N
845242	2877	1997-05-24	VYDAJ	VYBER	15800	53281	\N	\N	\N
845243	2877	1997-06-10	VYDAJ	VYBER	33100	87028	\N	\N	\N
845244	2877	1997-06-23	VYDAJ	VYBER	23200	58523	\N	\N	\N
845245	2877	1997-07-23	VYDAJ	VYBER	23700	61892	\N	\N	\N
845246	2877	1997-08-22	VYDAJ	VYBER	16000	49667	\N	\N	\N
845247	2877	1997-09-21	VYDAJ	VYBER	23900	65125	\N	\N	\N
845248	2877	1997-10-21	VYDAJ	VYBER	30200	61835	\N	\N	\N
845249	2877	1997-11-20	VYDAJ	VYBER	38000	63231	\N	\N	\N
845250	2877	1997-12-10	VYDAJ	VYBER	18900	107638	\N	\N	\N
845251	2877	1997-12-20	VYDAJ	VYBER	33800	60593	\N	\N	\N
845252	2877	1998-01-19	VYDAJ	VYBER	30100	51887	\N	\N	\N
845253	2877	1998-02-18	VYDAJ	VYBER	24500	55942	\N	\N	\N
845254	2877	1998-03-20	VYDAJ	VYBER	35000	60267	\N	\N	\N
845255	2877	1998-04-19	VYDAJ	VYBER	40200	59442	\N	\N	\N
845256	2877	1998-05-19	VYDAJ	VYBER	36500	62324	\N	\N	\N
845257	2877	1998-06-10	VYDAJ	VYBER	29000	91206	\N	\N	\N
845258	2877	1998-06-18	VYDAJ	VYBER	30400	55501	\N	\N	\N
845259	2877	1998-07-18	VYDAJ	VYBER	29800	65055	\N	\N	\N
845260	2877	1998-08-17	VYDAJ	VYBER	26300	65528	\N	\N	\N
845261	2877	1998-09-16	VYDAJ	VYBER	36200	66907	\N	\N	\N
845262	2877	1998-10-16	VYDAJ	VYBER	35000	60202	\N	\N	\N
845263	2877	1998-11-15	VYDAJ	VYBER	33800	65778	\N	\N	\N
845264	2877	1998-12-10	VYDAJ	VYBER	36500	94660	\N	\N	\N
845265	2877	1998-12-15	VYDAJ	VYBER	34100	55255	\N	\N	\N
845309	2878	1997-06-14	PRIJEM	VKLAD	700	700	\N	\N	\N
845316	2878	1997-07-06	PRIJEM	PREVOD Z UCTU	6863	7563	DUCHOD	AB	16487795
845317	2878	1997-08-06	PRIJEM	PREVOD Z UCTU	6863	14426	DUCHOD	AB	16487795
845318	2878	1997-09-06	PRIJEM	PREVOD Z UCTU	6863	21289	DUCHOD	AB	16487795
845319	2878	1997-10-06	PRIJEM	PREVOD Z UCTU	6863	28152	DUCHOD	AB	16487795
845320	2878	1997-11-06	PRIJEM	PREVOD Z UCTU	6863	27571	DUCHOD	AB	16487795
845321	2878	1997-12-06	PRIJEM	PREVOD Z UCTU	6863	27513	DUCHOD	AB	16487795
845322	2878	1998-01-06	PRIJEM	PREVOD Z UCTU	6863	24047	DUCHOD	AB	16487795
845323	2878	1998-02-06	PRIJEM	PREVOD Z UCTU	6863	19451	DUCHOD	AB	16487795
845324	2878	1998-03-06	PRIJEM	PREVOD Z UCTU	6863	20263	DUCHOD	AB	16487795
845325	2878	1998-04-06	PRIJEM	PREVOD Z UCTU	6863	20777	DUCHOD	AB	16487795
845326	2878	1998-05-06	PRIJEM	PREVOD Z UCTU	6863	23198	DUCHOD	AB	16487795
845327	2878	1998-06-06	PRIJEM	PREVOD Z UCTU	6863	20933	DUCHOD	AB	16487795
845328	2878	1998-07-06	PRIJEM	PREVOD Z UCTU	6863	21252	DUCHOD	AB	16487795
845329	2878	1998-08-06	PRIJEM	PREVOD Z UCTU	6863	18059	DUCHOD	AB	16487795
845330	2878	1998-09-06	PRIJEM	PREVOD Z UCTU	6863	15555	DUCHOD	AB	16487795
845331	2878	1998-10-06	PRIJEM	PREVOD Z UCTU	6863	19258	DUCHOD	AB	16487795
845332	2878	1998-11-06	PRIJEM	PREVOD Z UCTU	6863	19769	DUCHOD	AB	16487795
845333	2878	1998-12-06	PRIJEM	PREVOD Z UCTU	6863	23489	DUCHOD	AB	16487795
845344	2878	1997-11-10	VYDAJ	PREVOD NA UCET	3192	24379	SIPO	IJ	92538761
845345	2878	1997-12-10	VYDAJ	PREVOD NA UCET	3192	24321	SIPO	IJ	92538761
845346	2878	1998-01-10	VYDAJ	PREVOD NA UCET	3192	20375	SIPO	IJ	92538761
845347	2878	1998-02-10	VYDAJ	PREVOD NA UCET	3192	13359	SIPO	IJ	92538761
845348	2878	1998-03-10	VYDAJ	PREVOD NA UCET	3192	13871	SIPO	IJ	92538761
845349	2878	1998-04-10	VYDAJ	PREVOD NA UCET	3192	17585	SIPO	IJ	92538761
845350	2878	1998-05-10	VYDAJ	PREVOD NA UCET	3192	20006	SIPO	IJ	92538761
845351	2878	1998-06-10	VYDAJ	PREVOD NA UCET	3192	16341	SIPO	IJ	92538761
845352	2878	1998-07-10	VYDAJ	PREVOD NA UCET	3192	11160	SIPO	IJ	92538761
845353	2878	1998-08-10	VYDAJ	PREVOD NA UCET	3192	8667	SIPO	IJ	92538761
845354	2878	1998-09-10	VYDAJ	PREVOD NA UCET	3192	12363	SIPO	IJ	92538761
845355	2878	1998-10-10	VYDAJ	PREVOD NA UCET	3192	12866	SIPO	IJ	92538761
845356	2878	1998-11-10	VYDAJ	PREVOD NA UCET	3192	16577	SIPO	IJ	92538761
845357	2878	1998-12-10	VYDAJ	PREVOD NA UCET	3192	14597	SIPO	IJ	92538761
845360	2878	1997-12-21	VYDAJ	VYBER	800	17121	\N	\N	\N
845361	2878	1998-12-14	VYDAJ	VYBER	700	13897	\N	\N	\N
845368	2878	1998-01-16	VYDAJ	VYBER	720	14855	\N	\N	\N
845369	2878	1998-01-08	VYDAJ	VYBER	480	23567	\N	\N	\N
845370	2878	1998-01-20	VYDAJ	VYBER	2320	12535	\N	\N	\N
845381	2878	1998-03-08	VYDAJ	VYBER	3200	17063	\N	\N	\N
845387	2878	1998-06-21	VYDAJ	VYBER	2000	14341	\N	\N	\N
845399	2878	1997-11-30	VYDAJ	VYBER	15	20650	SLUZBY	\N	\N
845400	2878	1997-12-31	VYDAJ	VYBER	15	17184	SLUZBY	\N	\N
845401	2878	1998-01-31	VYDAJ	VYBER	15	12588	SLUZBY	\N	\N
845402	2878	1998-02-28	VYDAJ	VYBER	15	13400	SLUZBY	\N	\N
845403	2878	1998-03-31	VYDAJ	VYBER	15	13914	SLUZBY	\N	\N
845404	2878	1998-04-30	VYDAJ	VYBER	15	16335	SLUZBY	\N	\N
845405	2878	1998-05-31	VYDAJ	VYBER	15	14070	SLUZBY	\N	\N
845406	2878	1998-06-30	VYDAJ	VYBER	15	14389	SLUZBY	\N	\N
845407	2878	1998-07-31	VYDAJ	VYBER	15	11196	SLUZBY	\N	\N
845408	2878	1998-08-31	VYDAJ	VYBER	15	8692	SLUZBY	\N	\N
845409	2878	1998-09-30	VYDAJ	VYBER	15	12395	SLUZBY	\N	\N
845410	2878	1998-10-31	VYDAJ	VYBER	15	12906	SLUZBY	\N	\N
845411	2878	1998-11-30	VYDAJ	VYBER	15	16626	SLUZBY	\N	\N
845412	2878	1997-10-12	VYDAJ	VYBER	7500	20652	\N	\N	\N
845413	2878	1997-11-11	VYDAJ	VYBER	3800	20579	\N	\N	\N
845414	2878	1997-12-11	VYDAJ	VYBER	6400	17921	\N	\N	\N
845415	2878	1998-01-10	VYDAJ	VYBER	4800	15575	\N	\N	\N
845416	2878	1998-02-09	VYDAJ	VYBER	2900	16551	\N	\N	\N
845417	2878	1998-04-10	VYDAJ	VYBER	1300	16285	\N	\N	\N
845418	2878	1998-05-10	VYDAJ	VYBER	6000	14006	\N	\N	\N
845419	2878	1998-06-09	VYDAJ	VYBER	1400	19533	\N	\N	\N
845420	2878	1998-07-09	VYDAJ	VYBER	6900	14352	\N	\N	\N
845421	2878	1998-08-08	VYDAJ	VYBER	6200	11859	\N	\N	\N
845422	2878	1998-10-07	VYDAJ	VYBER	3200	16058	\N	\N	\N
845423	2878	1998-12-06	VYDAJ	VYBER	5700	17789	\N	\N	\N
845439	2879	1997-10-14	PRIJEM	VKLAD	600	600	\N	\N	\N
845450	2879	1997-11-09	PRIJEM	VKLAD	10790	11390	\N	\N	\N
845451	2879	1997-12-09	PRIJEM	VKLAD	16185	32315	\N	\N	\N
845452	2879	1998-01-09	PRIJEM	VKLAD	10790	37399	\N	\N	\N
845453	2879	1998-02-09	PRIJEM	VKLAD	10790	38603	\N	\N	\N
845454	2879	1998-03-09	PRIJEM	VKLAD	10790	40212	\N	\N	\N
845455	2879	1998-04-09	PRIJEM	VKLAD	10790	28675	\N	\N	\N
845456	2879	1998-05-09	PRIJEM	VKLAD	10790	33245	\N	\N	\N
845457	2879	1998-06-09	PRIJEM	VKLAD	16185	40922	\N	\N	\N
845458	2879	1998-07-09	PRIJEM	VKLAD	10790	41425	\N	\N	\N
845459	2879	1998-08-09	PRIJEM	VKLAD	10790	38427	\N	\N	\N
845460	2879	1998-09-09	PRIJEM	VKLAD	10790	33921	\N	\N	\N
845461	2879	1998-10-09	PRIJEM	VKLAD	10790	28485	\N	\N	\N
845462	2879	1998-11-09	PRIJEM	VKLAD	10790	24930	\N	\N	\N
845463	2879	1998-12-09	PRIJEM	VKLAD	16185	27948	\N	\N	\N
845478	2879	1998-03-10	VYDAJ	PREVOD NA UCET	7193	33019	SIPO	WX	51897668
845479	2879	1998-04-10	VYDAJ	PREVOD NA UCET	7193	21482	SIPO	WX	51897668
845480	2879	1998-05-10	VYDAJ	PREVOD NA UCET	7193	26052	SIPO	WX	51897668
845481	2879	1998-06-10	VYDAJ	PREVOD NA UCET	7193	33729	SIPO	WX	51897668
845482	2879	1998-07-10	VYDAJ	PREVOD NA UCET	7193	34232	SIPO	WX	51897668
845483	2879	1998-08-10	VYDAJ	PREVOD NA UCET	7193	24234	SIPO	WX	51897668
845484	2879	1998-09-10	VYDAJ	PREVOD NA UCET	7193	17628	SIPO	WX	51897668
845485	2879	1998-10-10	VYDAJ	PREVOD NA UCET	7193	13392	SIPO	WX	51897668
845486	2879	1998-11-10	VYDAJ	PREVOD NA UCET	7193	16777	SIPO	WX	51897668
845487	2879	1998-12-10	VYDAJ	PREVOD NA UCET	7193	20755	SIPO	WX	51897668
845489	2879	1998-12-24	VYDAJ	VYBER	4320	16435	\N	\N	\N
845511	2879	1998-11-09	VYDAJ	VYBER	960	23970	\N	\N	\N
845512	2879	1998-03-22	VYDAJ	VYBER	4920	17799	\N	\N	\N
845513	2879	1998-11-15	VYDAJ	VYBER	2760	14017	\N	\N	\N
845514	2879	1998-08-19	VYDAJ	VYBER	1200	23034	\N	\N	\N
845530	2879	1998-03-31	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
845531	2879	1998-04-30	VYDAJ	VYBER	15	22455	SLUZBY	\N	\N
845532	2879	1998-05-31	VYDAJ	VYBER	15	24737	SLUZBY	\N	\N
845533	2879	1998-06-30	VYDAJ	VYBER	15	30635	SLUZBY	\N	\N
845534	2879	1998-07-31	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
845535	2879	1998-08-31	VYDAJ	VYBER	15	23131	SLUZBY	\N	\N
845536	2879	1998-09-30	VYDAJ	VYBER	15	17695	SLUZBY	\N	\N
845537	2879	1998-10-31	VYDAJ	VYBER	15	13440	SLUZBY	\N	\N
845538	2879	1998-11-30	VYDAJ	VYBER	15	14063	SLUZBY	\N	\N
845539	2879	1997-11-13	PRIJEM	VKLAD	4700	16090	\N	\N	\N
845540	2879	1997-12-13	VYDAJ	VYBER	5800	26515	\N	\N	\N
845541	2879	1998-01-12	VYDAJ	VYBER	9700	27699	\N	\N	\N
845542	2879	1998-02-11	VYDAJ	VYBER	9300	29303	\N	\N	\N
845543	2879	1998-03-13	VYDAJ	VYBER	10300	22719	\N	\N	\N
845544	2879	1998-04-12	PRIJEM	VKLAD	900	22382	\N	\N	\N
845545	2879	1998-05-12	VYDAJ	VYBER	1400	24652	\N	\N	\N
845546	2879	1998-06-11	VYDAJ	VYBER	3200	30529	\N	\N	\N
845547	2879	1998-07-11	VYDAJ	VYBER	6700	27532	\N	\N	\N
845548	2879	1998-08-10	VYDAJ	VYBER	7000	31427	\N	\N	\N
845549	2879	1998-09-09	VYDAJ	VYBER	9100	24821	\N	\N	\N
845550	2879	1998-10-09	VYDAJ	VYBER	7900	20585	\N	\N	\N
845551	2879	1998-11-08	PRIJEM	VKLAD	700	14140	\N	\N	\N
845552	2879	1998-12-08	VYDAJ	VYBER	2300	11763	\N	\N	\N
845567	2880	1993-06-16	PRIJEM	VKLAD	600	600	\N	\N	\N
845574	2880	1993-07-09	PRIJEM	VKLAD	17287	17887	\N	\N	\N
845575	2880	1993-08-09	PRIJEM	VKLAD	17287	38920	\N	\N	\N
845576	2880	1993-09-09	PRIJEM	VKLAD	17287	49822	\N	\N	\N
845577	2880	1993-10-09	PRIJEM	VKLAD	17287	52150	\N	\N	\N
845578	2880	1993-11-09	PRIJEM	VKLAD	17287	53886	\N	\N	\N
845579	2880	1993-12-09	PRIJEM	VKLAD	25931	60749	\N	\N	\N
845580	2880	1994-01-09	PRIJEM	VKLAD	17287	50975	\N	\N	\N
845581	2880	1994-02-09	PRIJEM	VKLAD	17287	37818	\N	\N	\N
845582	2880	1994-03-09	PRIJEM	VKLAD	17287	38118	\N	\N	\N
845583	2880	1994-04-09	PRIJEM	VKLAD	17287	46498	\N	\N	\N
845584	2880	1994-05-09	PRIJEM	VKLAD	17287	44145	\N	\N	\N
845585	2880	1994-06-09	PRIJEM	VKLAD	25931	54676	\N	\N	\N
845586	2880	1994-07-09	PRIJEM	VKLAD	17287	50180	\N	\N	\N
845587	2880	1994-08-09	PRIJEM	VKLAD	17287	46522	\N	\N	\N
845588	2880	1994-09-09	PRIJEM	VKLAD	17287	47320	\N	\N	\N
845589	2880	1994-10-09	PRIJEM	VKLAD	17287	44711	\N	\N	\N
845590	2880	1994-11-09	PRIJEM	VKLAD	17287	40483	\N	\N	\N
845591	2880	1994-12-09	PRIJEM	VKLAD	25931	55522	\N	\N	\N
845592	2880	1995-01-09	PRIJEM	VKLAD	17287	48195	\N	\N	\N
845593	2880	1995-02-09	PRIJEM	VKLAD	17287	41842	\N	\N	\N
845594	2880	1995-03-09	PRIJEM	VKLAD	17287	47853	\N	\N	\N
845595	2880	1995-04-09	PRIJEM	VKLAD	17287	51889	\N	\N	\N
845596	2880	1995-05-09	PRIJEM	VKLAD	17287	47423	\N	\N	\N
845597	2880	1995-06-09	PRIJEM	VKLAD	25931	45445	\N	\N	\N
845598	2880	1995-07-09	PRIJEM	VKLAD	17287	48971	\N	\N	\N
845599	2880	1995-08-09	PRIJEM	VKLAD	17287	49614	\N	\N	\N
845600	2880	1995-09-09	PRIJEM	VKLAD	17287	48881	\N	\N	\N
845601	2880	1995-10-09	PRIJEM	VKLAD	17287	46959	\N	\N	\N
845602	2880	1995-11-09	PRIJEM	VKLAD	17287	46395	\N	\N	\N
845603	2880	1995-12-09	PRIJEM	VKLAD	25931	52843	\N	\N	\N
845604	2880	1996-01-09	PRIJEM	VKLAD	17287	34027	\N	\N	\N
845605	2880	1996-02-09	PRIJEM	VKLAD	17287	41568	\N	\N	\N
845606	2880	1996-03-09	PRIJEM	VKLAD	17287	49369	\N	\N	\N
845607	2880	1996-04-09	PRIJEM	VKLAD	17287	47787	\N	\N	\N
845608	2880	1996-05-09	PRIJEM	VKLAD	17287	46505	\N	\N	\N
845609	2880	1996-06-09	PRIJEM	VKLAD	25931	57682	\N	\N	\N
845610	2880	1996-07-09	PRIJEM	VKLAD	17287	41249	\N	\N	\N
845611	2880	1996-08-09	PRIJEM	VKLAD	17287	46752	\N	\N	\N
845612	2880	1996-09-09	PRIJEM	VKLAD	17287	50568	\N	\N	\N
845613	2880	1996-10-09	PRIJEM	VKLAD	17287	52399	\N	\N	\N
845614	2880	1996-11-09	PRIJEM	VKLAD	17287	50034	\N	\N	\N
845615	2880	1996-12-09	PRIJEM	VKLAD	25931	54500	\N	\N	\N
845616	2880	1997-01-09	PRIJEM	VKLAD	17287	43666	\N	\N	\N
845617	2880	1997-02-09	PRIJEM	VKLAD	17287	41688	\N	\N	\N
845618	2880	1997-03-09	PRIJEM	VKLAD	17287	44220	\N	\N	\N
845619	2880	1997-04-09	PRIJEM	VKLAD	17287	45130	\N	\N	\N
845620	2880	1997-05-09	PRIJEM	VKLAD	17287	45134	\N	\N	\N
845621	2880	1997-06-09	PRIJEM	VKLAD	25931	55582	\N	\N	\N
845622	2880	1997-07-09	PRIJEM	VKLAD	17287	50052	\N	\N	\N
845623	2880	1997-08-09	PRIJEM	VKLAD	17287	43307	\N	\N	\N
845624	2880	1997-09-09	PRIJEM	VKLAD	17287	48105	\N	\N	\N
845625	2880	1997-10-09	PRIJEM	VKLAD	17287	50318	\N	\N	\N
845626	2880	1997-11-09	PRIJEM	VKLAD	17287	49779	\N	\N	\N
845627	2880	1997-12-09	PRIJEM	VKLAD	25931	56010	\N	\N	\N
845628	2880	1998-01-09	PRIJEM	VKLAD	17287	48894	\N	\N	\N
845629	2880	1998-02-09	PRIJEM	VKLAD	17287	50594	\N	\N	\N
845630	2880	1998-03-09	PRIJEM	VKLAD	17287	53816	\N	\N	\N
845631	2880	1998-04-09	PRIJEM	VKLAD	17287	57955	\N	\N	\N
845632	2880	1998-05-09	PRIJEM	VKLAD	17287	54479	\N	\N	\N
845633	2880	1998-06-09	PRIJEM	VKLAD	25931	65160	\N	\N	\N
845634	2880	1998-07-09	PRIJEM	VKLAD	17287	54461	\N	\N	\N
845635	2880	1998-08-09	PRIJEM	VKLAD	17287	53613	\N	\N	\N
845636	2880	1998-09-09	PRIJEM	VKLAD	17287	57847	\N	\N	\N
845637	2880	1998-10-09	PRIJEM	VKLAD	17287	51809	\N	\N	\N
845638	2880	1998-11-09	PRIJEM	VKLAD	17287	50592	\N	\N	\N
845639	2880	1998-12-09	PRIJEM	VKLAD	25931	64859	\N	\N	\N
845650	2880	1993-11-12	VYDAJ	PREVOD NA UCET	7501	46385	SIPO	AB	74414473
845651	2880	1993-12-12	VYDAJ	PREVOD NA UCET	7501	53248	SIPO	AB	74414473
845652	2880	1994-01-12	VYDAJ	PREVOD NA UCET	7501	43474	SIPO	AB	74414473
845653	2880	1994-02-12	VYDAJ	PREVOD NA UCET	7501	21717	SIPO	AB	74414473
845654	2880	1994-03-12	VYDAJ	PREVOD NA UCET	7501	30617	SIPO	AB	74414473
845655	2880	1994-04-12	VYDAJ	PREVOD NA UCET	7501	38997	SIPO	AB	74414473
845656	2880	1994-05-12	VYDAJ	PREVOD NA UCET	7501	28644	SIPO	AB	74414473
845657	2880	1994-06-12	VYDAJ	PREVOD NA UCET	7501	32775	SIPO	AB	74414473
845658	2880	1994-07-12	VYDAJ	PREVOD NA UCET	7501	32479	SIPO	AB	74414473
845659	2880	1994-08-12	VYDAJ	PREVOD NA UCET	7501	29921	SIPO	AB	74414473
845660	2880	1994-09-12	VYDAJ	PREVOD NA UCET	7501	27319	SIPO	AB	74414473
845661	2880	1994-10-12	VYDAJ	PREVOD NA UCET	7501	25910	SIPO	AB	74414473
845662	2880	1994-11-12	VYDAJ	PREVOD NA UCET	7501	32982	SIPO	AB	74414473
845663	2880	1994-12-12	VYDAJ	PREVOD NA UCET	7501	48021	SIPO	AB	74414473
845664	2880	1995-01-12	VYDAJ	PREVOD NA UCET	7501	40694	SIPO	AB	74414473
845665	2880	1995-02-12	VYDAJ	PREVOD NA UCET	7501	34341	SIPO	AB	74414473
845666	2880	1995-03-12	VYDAJ	PREVOD NA UCET	7501	40352	SIPO	AB	74414473
845667	2880	1995-04-12	VYDAJ	PREVOD NA UCET	7501	44388	SIPO	AB	74414473
845668	2880	1995-05-12	VYDAJ	PREVOD NA UCET	7501	39922	SIPO	AB	74414473
845669	2880	1995-06-12	VYDAJ	PREVOD NA UCET	7501	37944	SIPO	AB	74414473
845670	2880	1995-07-12	VYDAJ	PREVOD NA UCET	7501	41470	SIPO	AB	74414473
845671	2880	1995-08-12	VYDAJ	PREVOD NA UCET	7501	42113	SIPO	AB	74414473
845672	2880	1995-09-12	VYDAJ	PREVOD NA UCET	7501	39460	SIPO	AB	74414473
845673	2880	1995-10-12	VYDAJ	PREVOD NA UCET	7501	39458	SIPO	AB	74414473
845674	2880	1995-11-12	VYDAJ	PREVOD NA UCET	7501	38894	SIPO	AB	74414473
845675	2880	1995-12-12	VYDAJ	PREVOD NA UCET	7501	45342	SIPO	AB	74414473
845676	2880	1996-01-12	VYDAJ	PREVOD NA UCET	7501	26526	SIPO	AB	74414473
845677	2880	1996-02-12	VYDAJ	PREVOD NA UCET	7501	34067	SIPO	AB	74414473
845678	2880	1996-03-12	VYDAJ	PREVOD NA UCET	7501	41868	SIPO	AB	74414473
845679	2880	1996-04-12	VYDAJ	PREVOD NA UCET	7501	40286	SIPO	AB	74414473
845680	2880	1996-05-12	VYDAJ	PREVOD NA UCET	7501	39004	SIPO	AB	74414473
845681	2880	1996-06-12	VYDAJ	PREVOD NA UCET	7501	50181	SIPO	AB	74414473
845682	2880	1996-07-12	VYDAJ	PREVOD NA UCET	7501	33748	SIPO	AB	74414473
845683	2880	1996-08-12	VYDAJ	PREVOD NA UCET	7501	39251	SIPO	AB	74414473
845684	2880	1996-09-12	VYDAJ	PREVOD NA UCET	7501	43067	SIPO	AB	74414473
845685	2880	1996-10-12	VYDAJ	PREVOD NA UCET	7501	44898	SIPO	AB	74414473
845686	2880	1996-11-12	VYDAJ	PREVOD NA UCET	7501	42533	SIPO	AB	74414473
845687	2880	1996-12-12	VYDAJ	PREVOD NA UCET	7501	46999	SIPO	AB	74414473
845688	2880	1997-01-12	VYDAJ	PREVOD NA UCET	7501	34725	SIPO	AB	74414473
845689	2880	1997-02-12	VYDAJ	PREVOD NA UCET	7501	34187	SIPO	AB	74414473
845690	2880	1997-03-12	VYDAJ	PREVOD NA UCET	7501	36719	SIPO	AB	74414473
845691	2880	1997-04-12	VYDAJ	PREVOD NA UCET	7501	37629	SIPO	AB	74414473
845692	2880	1997-05-12	VYDAJ	PREVOD NA UCET	7501	37633	SIPO	AB	74414473
845693	2880	1997-06-12	VYDAJ	PREVOD NA UCET	7501	48081	SIPO	AB	74414473
845694	2880	1997-07-12	VYDAJ	PREVOD NA UCET	7501	37991	SIPO	AB	74414473
845695	2880	1997-08-12	VYDAJ	PREVOD NA UCET	7501	35806	SIPO	AB	74414473
845696	2880	1997-09-12	VYDAJ	PREVOD NA UCET	7501	40604	SIPO	AB	74414473
845697	2880	1997-10-12	VYDAJ	PREVOD NA UCET	7501	42817	SIPO	AB	74414473
845698	2880	1997-11-12	VYDAJ	PREVOD NA UCET	7501	42278	SIPO	AB	74414473
845699	2880	1997-12-12	VYDAJ	PREVOD NA UCET	7501	48509	SIPO	AB	74414473
845700	2880	1998-01-12	VYDAJ	PREVOD NA UCET	7501	34913	SIPO	AB	74414473
845701	2880	1998-02-12	VYDAJ	PREVOD NA UCET	7501	43093	SIPO	AB	74414473
845702	2880	1998-03-12	VYDAJ	PREVOD NA UCET	7501	46315	SIPO	AB	74414473
845703	2880	1998-04-12	VYDAJ	PREVOD NA UCET	7501	50454	SIPO	AB	74414473
845704	2880	1998-05-12	VYDAJ	PREVOD NA UCET	7501	46978	SIPO	AB	74414473
845705	2880	1998-06-12	VYDAJ	PREVOD NA UCET	7501	47419	SIPO	AB	74414473
845706	2880	1998-07-12	VYDAJ	PREVOD NA UCET	7501	45880	SIPO	AB	74414473
845707	2880	1998-08-12	VYDAJ	PREVOD NA UCET	7501	46112	SIPO	AB	74414473
845708	2880	1998-09-12	VYDAJ	PREVOD NA UCET	7501	50346	SIPO	AB	74414473
845709	2880	1998-10-12	VYDAJ	PREVOD NA UCET	7501	41068	SIPO	AB	74414473
845710	2880	1998-11-12	VYDAJ	PREVOD NA UCET	7501	43091	SIPO	AB	74414473
845711	2880	1998-12-12	VYDAJ	PREVOD NA UCET	7501	57358	SIPO	AB	74414473
845714	2880	1995-06-03	VYDAJ	VYBER	22560	17515	\N	\N	\N
845715	2880	1996-06-12	VYDAJ	VYBER	24160	26021	\N	\N	\N
845717	2880	1998-06-10	VYDAJ	VYBER	10240	54920	\N	\N	\N
845719	2880	1994-01-26	VYDAJ	VYBER	3840	20414	\N	\N	\N
845720	2880	1995-01-29	VYDAJ	VYBER	6080	28614	\N	\N	\N
845721	2880	1996-01-07	VYDAJ	VYBER	12960	16740	\N	\N	\N
845723	2880	1998-01-29	VYDAJ	VYBER	4640	33173	\N	\N	\N
845724	2880	1993-12-29	VYDAJ	VYBER	2880	34868	\N	\N	\N
845725	2880	1994-12-20	VYDAJ	VYBER	3040	44981	\N	\N	\N
845726	2880	1995-12-15	VYDAJ	VYBER	1920	43422	\N	\N	\N
845727	2880	1996-12-23	VYDAJ	VYBER	3200	43799	\N	\N	\N
845728	2880	1997-12-07	VYDAJ	VYBER	3040	30079	\N	\N	\N
845729	2880	1998-12-24	VYDAJ	VYBER	960	44898	\N	\N	\N
845736	2880	1994-01-16	VYDAJ	VYBER	600	30014	\N	\N	\N
845737	2880	1994-01-20	VYDAJ	VYBER	2760	26534	\N	\N	\N
845738	2880	1994-01-18	VYDAJ	VYBER	720	29294	\N	\N	\N
845739	2880	1994-01-04	VYDAJ	VYBER	1320	33688	\N	\N	\N
845740	2880	1994-01-14	VYDAJ	VYBER	3360	30614	\N	\N	\N
845741	2880	1994-01-25	VYDAJ	VYBER	2280	24254	\N	\N	\N
845742	2880	1995-01-02	VYDAJ	VYBER	600	44548	\N	\N	\N
845743	2880	1995-01-02	VYDAJ	VYBER	2040	42508	\N	\N	\N
845744	2880	1995-01-16	VYDAJ	VYBER	2400	34694	\N	\N	\N
845745	2880	1995-01-15	VYDAJ	VYBER	2400	37094	\N	\N	\N
845746	2880	1995-01-14	VYDAJ	VYBER	1200	39494	\N	\N	\N
845747	2880	1995-01-05	VYDAJ	VYBER	3000	39508	\N	\N	\N
845748	2880	1996-01-01	VYDAJ	VYBER	2880	40700	\N	\N	\N
845749	2880	1996-01-06	VYDAJ	VYBER	2040	31860	\N	\N	\N
845750	2880	1996-01-24	VYDAJ	VYBER	2040	21486	\N	\N	\N
845752	2880	1996-01-07	VYDAJ	VYBER	2160	29700	\N	\N	\N
845753	2880	1996-01-20	VYDAJ	VYBER	3000	23526	\N	\N	\N
845754	2880	1997-01-09	VYDAJ	VYBER	1440	42226	\N	\N	\N
845755	2880	1997-01-16	VYDAJ	VYBER	600	34125	\N	\N	\N
845756	2880	1997-01-01	VYDAJ	VYBER	2760	29979	\N	\N	\N
845757	2880	1997-01-06	VYDAJ	VYBER	2520	26379	\N	\N	\N
845758	2880	1997-01-29	VYDAJ	VYBER	840	24285	\N	\N	\N
845759	2880	1997-01-02	VYDAJ	VYBER	1080	28899	\N	\N	\N
845760	2880	1998-01-06	VYDAJ	VYBER	2520	31607	\N	\N	\N
845761	2880	1998-01-10	VYDAJ	VYBER	3480	45414	\N	\N	\N
845762	2880	1998-01-03	VYDAJ	VYBER	600	34127	\N	\N	\N
845763	2880	1998-01-11	VYDAJ	VYBER	3000	42414	\N	\N	\N
845764	2880	1998-01-02	VYDAJ	VYBER	1560	36047	\N	\N	\N
845765	2880	1998-01-03	VYDAJ	VYBER	1320	34727	\N	\N	\N
845767	2880	1993-12-13	VYDAJ	VYBER	720	39428	\N	\N	\N
845769	2880	1993-12-16	VYDAJ	VYBER	1680	37748	\N	\N	\N
845772	2880	1994-04-28	VYDAJ	VYBER	5760	26737	\N	\N	\N
845773	2880	1994-10-21	VYDAJ	VYBER	2640	18710	\N	\N	\N
845774	2880	1994-10-19	VYDAJ	VYBER	4560	21350	\N	\N	\N
845775	2880	1994-07-20	VYDAJ	VYBER	3360	29119	\N	\N	\N
845776	2880	1994-02-18	VYDAJ	VYBER	960	20757	\N	\N	\N
845777	2880	1994-04-20	VYDAJ	VYBER	1200	32497	\N	\N	\N
845778	2880	1995-04-12	VYDAJ	VYBER	5520	38868	\N	\N	\N
845779	2880	1995-09-09	VYDAJ	VYBER	1920	46961	\N	\N	\N
845780	2880	1995-12-07	VYDAJ	VYBER	1800	26912	\N	\N	\N
845781	2880	1995-11-16	VYDAJ	VYBER	4920	33974	\N	\N	\N
845782	2880	1995-11-08	VYDAJ	VYBER	4800	29108	\N	\N	\N
845783	2880	1995-10-07	VYDAJ	VYBER	840	29672	\N	\N	\N
845784	2880	1995-08-27	VYDAJ	VYBER	2880	39233	\N	\N	\N
845785	2880	1996-05-07	VYDAJ	VYBER	2520	29218	\N	\N	\N
845786	2880	1996-07-07	VYDAJ	VYBER	720	23962	\N	\N	\N
845787	2880	1996-11-24	VYDAJ	VYBER	3600	38933	\N	\N	\N
845788	2880	1996-03-29	VYDAJ	VYBER	4320	37548	\N	\N	\N
845789	2880	1997-07-04	VYDAJ	VYBER	2160	32765	\N	\N	\N
845790	2880	1997-12-27	VYDAJ	VYBER	4560	37449	\N	\N	\N
845791	2880	1997-09-15	VYDAJ	VYBER	600	40004	\N	\N	\N
845792	2880	1997-11-03	VYDAJ	VYBER	1560	32492	\N	\N	\N
845793	2880	1997-07-09	VYDAJ	VYBER	4560	45492	\N	\N	\N
845794	2880	1997-03-06	VYDAJ	VYBER	1560	26933	\N	\N	\N
845795	2880	1998-10-06	VYDAJ	VYBER	3480	34522	\N	\N	\N
845796	2880	1998-07-11	VYDAJ	VYBER	1080	53381	\N	\N	\N
845797	2880	1998-06-21	VYDAJ	VYBER	1800	37019	\N	\N	\N
845798	2880	1998-04-23	VYDAJ	VYBER	1320	37034	\N	\N	\N
845799	2880	1998-10-11	VYDAJ	VYBER	3240	48569	\N	\N	\N
845800	2880	1998-09-27	VYDAJ	VYBER	1800	37846	\N	\N	\N
845812	2880	1993-11-30	VYDAJ	VYBER	15	34819	SLUZBY	\N	\N
845813	2880	1993-12-31	VYDAJ	VYBER	15	35008	SLUZBY	\N	\N
845814	2880	1994-01-31	VYDAJ	VYBER	15	20531	SLUZBY	\N	\N
845815	2880	1994-02-28	VYDAJ	VYBER	15	20831	SLUZBY	\N	\N
845816	2880	1994-03-31	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
845817	2880	1994-04-30	VYDAJ	VYBER	15	26858	SLUZBY	\N	\N
845818	2880	1994-05-31	VYDAJ	VYBER	15	28746	SLUZBY	\N	\N
845819	2880	1994-06-30	VYDAJ	VYBER	15	32893	SLUZBY	\N	\N
845820	2880	1994-07-31	VYDAJ	VYBER	15	29235	SLUZBY	\N	\N
845821	2880	1994-08-31	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
845822	2880	1994-09-30	VYDAJ	VYBER	15	27424	SLUZBY	\N	\N
845823	2880	1994-10-31	VYDAJ	VYBER	15	18796	SLUZBY	\N	\N
845824	2880	1994-11-30	VYDAJ	VYBER	15	33092	SLUZBY	\N	\N
845825	2880	1994-12-31	VYDAJ	VYBER	15	45148	SLUZBY	\N	\N
845826	2880	1995-01-31	VYDAJ	VYBER	15	28755	SLUZBY	\N	\N
845827	2880	1995-02-28	VYDAJ	VYBER	15	34466	SLUZBY	\N	\N
845828	2880	1995-03-31	VYDAJ	VYBER	15	40502	SLUZBY	\N	\N
845829	2880	1995-04-30	VYDAJ	VYBER	15	39036	SLUZBY	\N	\N
845830	2880	1995-05-31	VYDAJ	VYBER	15	40075	SLUZBY	\N	\N
845831	2880	1995-06-30	VYDAJ	VYBER	15	38084	SLUZBY	\N	\N
845832	2880	1995-07-31	VYDAJ	VYBER	15	41627	SLUZBY	\N	\N
845833	2880	1995-08-31	VYDAJ	VYBER	15	39394	SLUZBY	\N	\N
845834	2880	1995-09-30	VYDAJ	VYBER	15	39612	SLUZBY	\N	\N
845835	2880	1995-10-31	VYDAJ	VYBER	15	39608	SLUZBY	\N	\N
845836	2880	1995-11-30	VYDAJ	VYBER	15	34112	SLUZBY	\N	\N
845837	2880	1995-12-31	VYDAJ	VYBER	15	43580	SLUZBY	\N	\N
845838	2880	1996-01-31	VYDAJ	VYBER	15	21581	SLUZBY	\N	\N
845839	2880	1996-02-29	VYDAJ	VYBER	15	34182	SLUZBY	\N	\N
845840	2880	1996-03-31	VYDAJ	VYBER	15	37700	SLUZBY	\N	\N
845841	2880	1996-04-30	VYDAJ	VYBER	15	40438	SLUZBY	\N	\N
845842	2880	1996-05-31	VYDAJ	VYBER	15	39151	SLUZBY	\N	\N
845843	2880	1996-06-30	VYDAJ	VYBER	15	24682	SLUZBY	\N	\N
845844	2880	1996-07-31	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
845845	2880	1996-08-31	VYDAJ	VYBER	15	33281	SLUZBY	\N	\N
845846	2880	1996-09-30	VYDAJ	VYBER	15	35112	SLUZBY	\N	\N
845847	2880	1996-10-31	VYDAJ	VYBER	15	32747	SLUZBY	\N	\N
845848	2880	1996-11-30	VYDAJ	VYBER	15	28569	SLUZBY	\N	\N
845849	2880	1996-12-31	VYDAJ	VYBER	15	32739	SLUZBY	\N	\N
845850	2880	1997-01-31	VYDAJ	VYBER	15	24401	SLUZBY	\N	\N
845851	2880	1997-02-28	VYDAJ	VYBER	15	28493	SLUZBY	\N	\N
845852	2880	1997-03-31	VYDAJ	VYBER	15	27843	SLUZBY	\N	\N
845853	2880	1997-04-30	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
845854	2880	1997-05-31	VYDAJ	VYBER	15	29652	SLUZBY	\N	\N
845855	2880	1997-06-30	VYDAJ	VYBER	15	34925	SLUZBY	\N	\N
845856	2880	1997-07-31	VYDAJ	VYBER	15	26020	SLUZBY	\N	\N
845857	2880	1997-08-31	VYDAJ	VYBER	15	30818	SLUZBY	\N	\N
845858	2880	1997-09-30	VYDAJ	VYBER	15	33031	SLUZBY	\N	\N
845859	2880	1997-10-31	VYDAJ	VYBER	15	34052	SLUZBY	\N	\N
845860	2880	1997-11-30	VYDAJ	VYBER	15	33119	SLUZBY	\N	\N
845861	2880	1997-12-31	VYDAJ	VYBER	15	37607	SLUZBY	\N	\N
845862	2880	1998-01-31	VYDAJ	VYBER	15	33307	SLUZBY	\N	\N
845863	2880	1998-02-28	VYDAJ	VYBER	15	36529	SLUZBY	\N	\N
845864	2880	1998-03-31	VYDAJ	VYBER	15	40668	SLUZBY	\N	\N
845865	2880	1998-04-30	VYDAJ	VYBER	15	37192	SLUZBY	\N	\N
845866	2880	1998-05-31	VYDAJ	VYBER	15	39229	SLUZBY	\N	\N
845867	2880	1998-06-30	VYDAJ	VYBER	15	37174	SLUZBY	\N	\N
845868	2880	1998-07-31	VYDAJ	VYBER	15	36326	SLUZBY	\N	\N
845869	2880	1998-08-31	VYDAJ	VYBER	15	40560	SLUZBY	\N	\N
845870	2880	1998-09-30	VYDAJ	VYBER	15	38002	SLUZBY	\N	\N
845871	2880	1998-10-31	VYDAJ	VYBER	15	33305	SLUZBY	\N	\N
845872	2880	1998-11-30	VYDAJ	VYBER	15	38928	SLUZBY	\N	\N
845873	2880	1993-07-16	PRIJEM	VKLAD	3700	21587	\N	\N	\N
845874	2880	1993-08-15	VYDAJ	VYBER	6500	32420	\N	\N	\N
845875	2880	1993-09-14	VYDAJ	VYBER	15100	34722	\N	\N	\N
845876	2880	1993-10-14	VYDAJ	VYBER	15700	36450	\N	\N	\N
845877	2880	1993-11-13	VYDAJ	VYBER	11700	34685	\N	\N	\N
845878	2880	1993-12-13	VYDAJ	VYBER	13100	40148	\N	\N	\N
845879	2880	1994-01-12	VYDAJ	VYBER	9500	33974	\N	\N	\N
845880	2880	1994-02-11	VYDAJ	VYBER	8600	29218	\N	\N	\N
845881	2880	1994-03-13	VYDAJ	VYBER	1500	29117	\N	\N	\N
845882	2880	1994-04-12	VYDAJ	VYBER	5300	33697	\N	\N	\N
845883	2880	1994-05-12	VYDAJ	VYBER	8000	36145	\N	\N	\N
845884	2880	1994-06-11	VYDAJ	VYBER	14400	40276	\N	\N	\N
845885	2880	1994-07-11	VYDAJ	VYBER	10200	39980	\N	\N	\N
845886	2880	1994-08-10	VYDAJ	VYBER	9100	37422	\N	\N	\N
845887	2880	1994-09-09	VYDAJ	VYBER	12500	34820	\N	\N	\N
845888	2880	1994-10-09	VYDAJ	VYBER	11300	33411	\N	\N	\N
845889	2880	1994-11-08	PRIJEM	VKLAD	4400	23196	\N	\N	\N
845890	2880	1994-12-08	VYDAJ	VYBER	3500	29592	\N	\N	\N
845891	2880	1995-01-07	VYDAJ	VYBER	8600	30908	\N	\N	\N
845892	2880	1995-02-06	VYDAJ	VYBER	4200	24555	\N	\N	\N
845893	2880	1995-03-08	VYDAJ	VYBER	3900	30566	\N	\N	\N
845894	2880	1995-04-07	VYDAJ	VYBER	5900	34602	\N	\N	\N
845895	2880	1995-05-07	VYDAJ	VYBER	8900	30136	\N	\N	\N
845896	2880	1995-06-06	PRIJEM	VKLAD	2000	19515	\N	\N	\N
845897	2880	1995-07-06	VYDAJ	VYBER	6400	31684	\N	\N	\N
845898	2880	1995-08-05	VYDAJ	VYBER	9300	32327	\N	\N	\N
845899	2880	1995-09-04	VYDAJ	VYBER	7800	31594	\N	\N	\N
845900	2880	1995-10-04	VYDAJ	VYBER	9100	30512	\N	\N	\N
845901	2880	1995-11-03	VYDAJ	VYBER	5700	33908	\N	\N	\N
845902	2880	1995-12-03	VYDAJ	VYBER	5400	28712	\N	\N	\N
845903	2880	1996-01-02	VYDAJ	VYBER	6800	33900	\N	\N	\N
845904	2880	1996-02-01	PRIJEM	VKLAD	2700	24281	\N	\N	\N
845905	2880	1996-03-02	VYDAJ	VYBER	2100	32082	\N	\N	\N
845906	2880	1996-04-01	VYDAJ	VYBER	7200	30500	\N	\N	\N
845907	2880	1996-05-01	VYDAJ	VYBER	8700	31738	\N	\N	\N
845908	2880	1996-05-31	VYDAJ	VYBER	7400	31751	\N	\N	\N
845909	2880	1996-06-30	VYDAJ	VYBER	1500	24697	\N	\N	\N
845910	2880	1996-07-30	VYDAJ	VYBER	4400	29348	\N	\N	\N
845911	2880	1996-08-29	VYDAJ	VYBER	6100	33151	\N	\N	\N
845912	2880	1996-09-28	VYDAJ	VYBER	8100	34967	\N	\N	\N
845913	2880	1996-10-28	VYDAJ	VYBER	12300	32598	\N	\N	\N
845914	2880	1996-11-27	VYDAJ	VYBER	10500	28433	\N	\N	\N
845915	2880	1996-12-27	VYDAJ	VYBER	11200	32599	\N	\N	\N
845916	2880	1997-01-26	VYDAJ	VYBER	9000	25125	\N	\N	\N
845917	2880	1997-02-25	VYDAJ	VYBER	5800	28387	\N	\N	\N
845918	2880	1997-03-27	VYDAJ	VYBER	9000	27719	\N	\N	\N
845919	2880	1997-04-26	VYDAJ	VYBER	9900	27729	\N	\N	\N
845920	2880	1997-05-26	VYDAJ	VYBER	8100	29533	\N	\N	\N
845921	2880	1997-06-25	VYDAJ	VYBER	13300	34781	\N	\N	\N
845922	2880	1997-07-25	VYDAJ	VYBER	12100	25891	\N	\N	\N
845923	2880	1997-08-24	VYDAJ	VYBER	5100	30706	\N	\N	\N
845924	2880	1997-09-23	VYDAJ	VYBER	7100	32904	\N	\N	\N
845925	2880	1997-10-23	VYDAJ	VYBER	8900	33917	\N	\N	\N
845926	2880	1997-11-22	VYDAJ	VYBER	9300	32978	\N	\N	\N
845927	2880	1997-12-22	VYDAJ	VYBER	6500	42009	\N	\N	\N
845928	2880	1998-01-21	PRIJEM	VKLAD	2900	37813	\N	\N	\N
845929	2880	1998-02-20	VYDAJ	VYBER	6700	36393	\N	\N	\N
845930	2880	1998-03-22	VYDAJ	VYBER	5800	40515	\N	\N	\N
845931	2880	1998-04-21	VYDAJ	VYBER	12100	38354	\N	\N	\N
845932	2880	1998-05-21	VYDAJ	VYBER	7900	39078	\N	\N	\N
845933	2880	1998-06-20	VYDAJ	VYBER	8600	38819	\N	\N	\N
845934	2880	1998-07-20	VYDAJ	VYBER	9700	36180	\N	\N	\N
845935	2880	1998-08-19	VYDAJ	VYBER	5700	40412	\N	\N	\N
845936	2880	1998-09-18	VYDAJ	VYBER	10700	39646	\N	\N	\N
845937	2880	1998-10-18	VYDAJ	VYBER	7900	33168	\N	\N	\N
845938	2880	1998-11-17	VYDAJ	VYBER	4300	38791	\N	\N	\N
845939	2880	1998-12-17	VYDAJ	VYBER	11500	45858	\N	\N	\N
846006	2881	1993-01-04	PRIJEM	VKLAD	700	700	\N	\N	\N
846007	2881	1993-01-13	PRIJEM	VKLAD	6959	7659	\N	\N	\N
846008	2881	1993-02-13	PRIJEM	VKLAD	6959	21638	\N	\N	\N
846009	2881	1993-03-13	PRIJEM	VKLAD	6959	31362	\N	\N	\N
846010	2881	1993-04-13	PRIJEM	VKLAD	6959	33336	\N	\N	\N
846011	2881	1993-05-13	PRIJEM	VKLAD	6959	34430	\N	\N	\N
846012	2881	1993-06-13	PRIJEM	VKLAD	10438	34056	\N	\N	\N
846013	2881	1993-07-13	PRIJEM	VKLAD	6959	31299	\N	\N	\N
846014	2881	1993-08-13	PRIJEM	VKLAD	6959	31834	\N	\N	\N
846015	2881	1993-09-13	PRIJEM	VKLAD	6959	32148	\N	\N	\N
846016	2881	1993-10-13	PRIJEM	VKLAD	6959	24721	\N	\N	\N
846017	2881	1993-11-13	PRIJEM	VKLAD	6959	25335	\N	\N	\N
846018	2881	1993-12-13	PRIJEM	VKLAD	10438	27921	\N	\N	\N
846019	2881	1994-01-13	PRIJEM	VKLAD	6959	19751	\N	\N	\N
846020	2881	1994-02-13	PRIJEM	VKLAD	6959	18399	\N	\N	\N
846021	2881	1994-03-13	PRIJEM	VKLAD	6959	23653	\N	\N	\N
846022	2881	1994-04-13	PRIJEM	VKLAD	6959	27454	\N	\N	\N
846023	2881	1994-05-13	PRIJEM	VKLAD	6959	29670	\N	\N	\N
846024	2881	1994-06-13	PRIJEM	VKLAD	10438	36574	\N	\N	\N
846025	2881	1994-07-13	PRIJEM	VKLAD	6959	29800	\N	\N	\N
846026	2881	1994-08-13	PRIJEM	VKLAD	6959	30767	\N	\N	\N
846027	2881	1994-09-13	PRIJEM	VKLAD	6959	33896	\N	\N	\N
846028	2881	1994-10-13	PRIJEM	VKLAD	6959	30438	\N	\N	\N
846029	2881	1994-11-13	PRIJEM	VKLAD	6959	34169	\N	\N	\N
846030	2881	1994-12-13	PRIJEM	VKLAD	10438	40792	\N	\N	\N
846031	2881	1995-01-13	PRIJEM	VKLAD	6959	34133	\N	\N	\N
846032	2881	1995-02-13	PRIJEM	VKLAD	6959	25670	\N	\N	\N
846033	2881	1995-03-13	PRIJEM	VKLAD	6959	29403	\N	\N	\N
846034	2881	1995-04-13	PRIJEM	VKLAD	6959	34929	\N	\N	\N
846035	2881	1995-05-13	PRIJEM	VKLAD	6959	42381	\N	\N	\N
846036	2881	1995-06-13	PRIJEM	VKLAD	10438	30934	\N	\N	\N
846037	2881	1995-07-13	PRIJEM	VKLAD	6959	36275	\N	\N	\N
846038	2881	1995-08-13	PRIJEM	VKLAD	6959	33158	\N	\N	\N
846039	2881	1995-09-13	PRIJEM	VKLAD	6959	42707	\N	\N	\N
846040	2881	1995-10-13	PRIJEM	VKLAD	6959	47789	\N	\N	\N
846041	2881	1995-11-13	PRIJEM	VKLAD	6959	48887	\N	\N	\N
846042	2881	1995-12-13	PRIJEM	VKLAD	10438	42783	\N	\N	\N
846043	2881	1996-01-13	PRIJEM	VKLAD	6959	19981	\N	\N	\N
846044	2881	1996-02-13	PRIJEM	VKLAD	6959	32038	\N	\N	\N
846045	2881	1996-03-13	PRIJEM	VKLAD	6959	40482	\N	\N	\N
846046	2881	1996-04-13	PRIJEM	VKLAD	6959	37716	\N	\N	\N
846047	2881	1996-05-13	PRIJEM	VKLAD	6959	42748	\N	\N	\N
846048	2881	1996-06-13	PRIJEM	VKLAD	10438	48603	\N	\N	\N
846049	2881	1996-07-13	PRIJEM	VKLAD	6959	28281	\N	\N	\N
846050	2881	1996-08-13	PRIJEM	VKLAD	6959	34606	\N	\N	\N
846051	2881	1996-09-13	PRIJEM	VKLAD	6959	40558	\N	\N	\N
846052	2881	1996-10-13	PRIJEM	VKLAD	6959	39220	\N	\N	\N
846053	2881	1996-11-13	PRIJEM	VKLAD	6959	44189	\N	\N	\N
846054	2881	1996-12-13	PRIJEM	VKLAD	10438	49650	\N	\N	\N
846055	2881	1997-01-13	PRIJEM	VKLAD	6959	43648	\N	\N	\N
846056	2881	1997-02-13	PRIJEM	VKLAD	6959	41829	\N	\N	\N
846057	2881	1997-03-13	PRIJEM	VKLAD	6959	41046	\N	\N	\N
846058	2881	1997-04-13	PRIJEM	VKLAD	6959	48426	\N	\N	\N
846059	2881	1997-05-13	PRIJEM	VKLAD	6959	52525	\N	\N	\N
846060	2881	1997-06-13	PRIJEM	VKLAD	10438	58319	\N	\N	\N
846061	2881	1997-07-13	PRIJEM	VKLAD	6959	58007	\N	\N	\N
846062	2881	1997-08-13	PRIJEM	VKLAD	6959	59543	\N	\N	\N
846063	2881	1997-09-13	PRIJEM	VKLAD	6959	60790	\N	\N	\N
846064	2881	1997-10-13	PRIJEM	VKLAD	6959	62541	\N	\N	\N
846065	2881	1997-11-13	PRIJEM	VKLAD	6959	57896	\N	\N	\N
846066	2881	1997-12-13	PRIJEM	VKLAD	10438	62822	\N	\N	\N
846067	2881	1998-01-13	PRIJEM	VKLAD	6959	58387	\N	\N	\N
846068	2881	1998-02-13	PRIJEM	VKLAD	6959	54113	\N	\N	\N
846069	2881	1998-03-13	PRIJEM	VKLAD	6959	61319	\N	\N	\N
846070	2881	1998-04-13	PRIJEM	VKLAD	6959	63267	\N	\N	\N
846071	2881	1998-05-13	PRIJEM	VKLAD	6959	63826	\N	\N	\N
846072	2881	1998-06-13	PRIJEM	VKLAD	10438	66268	\N	\N	\N
846073	2881	1998-07-13	PRIJEM	VKLAD	6959	41963	\N	\N	\N
846074	2881	1998-08-13	PRIJEM	VKLAD	6959	48717	\N	\N	\N
846075	2881	1998-09-13	PRIJEM	VKLAD	6959	52341	\N	\N	\N
846076	2881	1998-10-13	PRIJEM	VKLAD	6959	54643	\N	\N	\N
846077	2881	1998-11-13	PRIJEM	VKLAD	6959	52741	\N	\N	\N
846078	2881	1998-12-13	PRIJEM	VKLAD	10438	56234	\N	\N	\N
846084	2881	1993-06-09	VYDAJ	PREVOD NA UCET	4639	23618	SIPO	YZ	90429490
846085	2881	1993-07-09	VYDAJ	PREVOD NA UCET	4639	24340	SIPO	YZ	90429490
846086	2881	1993-08-09	VYDAJ	PREVOD NA UCET	4639	24875	SIPO	YZ	90429490
846087	2881	1993-09-09	VYDAJ	PREVOD NA UCET	4639	25189	SIPO	YZ	90429490
846088	2881	1993-10-09	VYDAJ	PREVOD NA UCET	4639	23522	SIPO	YZ	90429490
846089	2881	1993-11-09	VYDAJ	PREVOD NA UCET	4639	18376	SIPO	YZ	90429490
846090	2881	1993-12-09	VYDAJ	PREVOD NA UCET	4639	17483	SIPO	YZ	90429490
846091	2881	1994-01-09	VYDAJ	PREVOD NA UCET	4639	12792	SIPO	YZ	90429490
846092	2881	1994-02-09	VYDAJ	PREVOD NA UCET	4639	11440	SIPO	YZ	90429490
846093	2881	1994-03-09	VYDAJ	PREVOD NA UCET	4639	16694	SIPO	YZ	90429490
846094	2881	1994-04-09	VYDAJ	PREVOD NA UCET	4639	20495	SIPO	YZ	90429490
846095	2881	1994-05-09	VYDAJ	PREVOD NA UCET	4639	22711	SIPO	YZ	90429490
846096	2881	1994-06-09	VYDAJ	PREVOD NA UCET	4639	26136	SIPO	YZ	90429490
846097	2881	1994-07-09	VYDAJ	PREVOD NA UCET	4639	22841	SIPO	YZ	90429490
846098	2881	1994-08-09	VYDAJ	PREVOD NA UCET	4639	23808	SIPO	YZ	90429490
846099	2881	1994-09-09	VYDAJ	PREVOD NA UCET	4639	26937	SIPO	YZ	90429490
846100	2881	1994-10-09	VYDAJ	PREVOD NA UCET	4639	23479	SIPO	YZ	90429490
846101	2881	1994-11-09	VYDAJ	PREVOD NA UCET	4639	27210	SIPO	YZ	90429490
846102	2881	1994-12-09	VYDAJ	PREVOD NA UCET	4639	30354	SIPO	YZ	90429490
846103	2881	1995-01-09	VYDAJ	PREVOD NA UCET	4639	28014	SIPO	YZ	90429490
846104	2881	1995-02-09	VYDAJ	PREVOD NA UCET	4639	18711	SIPO	YZ	90429490
846105	2881	1995-03-09	VYDAJ	PREVOD NA UCET	4639	22444	SIPO	YZ	90429490
846106	2881	1995-04-09	VYDAJ	PREVOD NA UCET	4639	27970	SIPO	YZ	90429490
846107	2881	1995-05-09	VYDAJ	PREVOD NA UCET	4639	35422	SIPO	YZ	90429490
846108	2881	1995-06-09	VYDAJ	PREVOD NA UCET	4639	20496	SIPO	YZ	90429490
846109	2881	1995-07-09	VYDAJ	PREVOD NA UCET	4639	29316	SIPO	YZ	90429490
846110	2881	1995-08-09	VYDAJ	PREVOD NA UCET	4639	26199	SIPO	YZ	90429490
846111	2881	1995-09-09	VYDAJ	PREVOD NA UCET	4639	35748	SIPO	YZ	90429490
846112	2881	1995-10-09	VYDAJ	PREVOD NA UCET	4639	40830	SIPO	YZ	90429490
846113	2881	1995-11-09	VYDAJ	PREVOD NA UCET	4639	41928	SIPO	YZ	90429490
846114	2881	1995-12-09	VYDAJ	PREVOD NA UCET	4639	36825	SIPO	YZ	90429490
846115	2881	1996-01-09	VYDAJ	PREVOD NA UCET	4639	13022	SIPO	YZ	90429490
846116	2881	1996-02-09	VYDAJ	PREVOD NA UCET	4639	25079	SIPO	YZ	90429490
846117	2881	1996-03-09	VYDAJ	PREVOD NA UCET	4639	33523	SIPO	YZ	90429490
846118	2881	1996-04-09	VYDAJ	PREVOD NA UCET	4639	35437	SIPO	YZ	90429490
846119	2881	1996-05-09	VYDAJ	PREVOD NA UCET	4639	35789	SIPO	YZ	90429490
846120	2881	1996-06-09	VYDAJ	PREVOD NA UCET	4639	38165	SIPO	YZ	90429490
846121	2881	1996-07-09	VYDAJ	PREVOD NA UCET	4639	21322	SIPO	YZ	90429490
846122	2881	1996-08-09	VYDAJ	PREVOD NA UCET	4639	27647	SIPO	YZ	90429490
846123	2881	1996-09-09	VYDAJ	PREVOD NA UCET	4639	33599	SIPO	YZ	90429490
846124	2881	1996-10-09	VYDAJ	PREVOD NA UCET	4639	32261	SIPO	YZ	90429490
846125	2881	1996-11-09	VYDAJ	PREVOD NA UCET	4639	37230	SIPO	YZ	90429490
846126	2881	1996-12-09	VYDAJ	PREVOD NA UCET	4639	39212	SIPO	YZ	90429490
846127	2881	1997-01-09	VYDAJ	PREVOD NA UCET	4639	36389	SIPO	YZ	90429490
846128	2881	1997-02-09	VYDAJ	PREVOD NA UCET	4639	25470	SIPO	YZ	90429490
846129	2881	1997-03-09	VYDAJ	PREVOD NA UCET	4639	34087	SIPO	YZ	90429490
846130	2881	1997-04-09	VYDAJ	PREVOD NA UCET	4639	40267	SIPO	YZ	90429490
846131	2881	1997-05-09	VYDAJ	PREVOD NA UCET	4639	43966	SIPO	YZ	90429490
846132	2881	1997-06-09	VYDAJ	PREVOD NA UCET	4639	48081	SIPO	YZ	90429490
846133	2881	1997-07-09	VYDAJ	PREVOD NA UCET	4639	48448	SIPO	YZ	90429490
846134	2881	1997-08-09	VYDAJ	PREVOD NA UCET	4639	53584	SIPO	YZ	90429490
846135	2881	1997-09-09	VYDAJ	PREVOD NA UCET	4639	55131	SIPO	YZ	90429490
846136	2881	1997-10-09	VYDAJ	PREVOD NA UCET	4639	56382	SIPO	YZ	90429490
846137	2881	1997-11-09	VYDAJ	PREVOD NA UCET	4639	55737	SIPO	YZ	90429490
846138	2881	1997-12-09	VYDAJ	PREVOD NA UCET	4639	53484	SIPO	YZ	90429490
846139	2881	1998-01-09	VYDAJ	PREVOD NA UCET	4639	52508	SIPO	YZ	90429490
846140	2881	1998-02-09	VYDAJ	PREVOD NA UCET	4639	47154	SIPO	YZ	90429490
846141	2881	1998-03-09	VYDAJ	PREVOD NA UCET	4639	54360	SIPO	YZ	90429490
846142	2881	1998-04-09	VYDAJ	PREVOD NA UCET	4639	56308	SIPO	YZ	90429490
846143	2881	1998-05-09	VYDAJ	PREVOD NA UCET	4639	56867	SIPO	YZ	90429490
846144	2881	1998-06-09	VYDAJ	PREVOD NA UCET	4639	55830	SIPO	YZ	90429490
846145	2881	1998-07-09	VYDAJ	PREVOD NA UCET	4639	35004	SIPO	YZ	90429490
846146	2881	1998-08-09	VYDAJ	PREVOD NA UCET	4639	41758	SIPO	YZ	90429490
846147	2881	1998-09-09	VYDAJ	PREVOD NA UCET	4639	45382	SIPO	YZ	90429490
846148	2881	1998-10-09	VYDAJ	PREVOD NA UCET	4639	47684	SIPO	YZ	90429490
846149	2881	1998-11-09	VYDAJ	PREVOD NA UCET	4639	45782	SIPO	YZ	90429490
846150	2881	1998-12-09	VYDAJ	PREVOD NA UCET	4639	45796	SIPO	YZ	90429490
846153	2881	1995-06-02	VYDAJ	VYBER	14880	25135	\N	\N	\N
846154	2881	1996-06-26	VYDAJ	VYBER	20000	25803	\N	\N	\N
846155	2881	1997-06-20	VYDAJ	VYBER	5440	52879	\N	\N	\N
846156	2881	1998-06-25	VYDAJ	VYBER	38560	27708	\N	\N	\N
846158	2881	1994-01-01	VYDAJ	VYBER	8000	19831	\N	\N	\N
846159	2881	1995-01-15	VYDAJ	VYBER	12160	21973	\N	\N	\N
846160	2881	1996-01-08	VYDAJ	VYBER	14720	17661	\N	\N	\N
846161	2881	1997-01-18	VYDAJ	VYBER	7680	35968	\N	\N	\N
846162	2881	1998-01-29	VYDAJ	VYBER	9600	39187	\N	\N	\N
846163	2881	1993-12-19	VYDAJ	VYBER	2080	25841	\N	\N	\N
846164	2881	1994-12-28	VYDAJ	VYBER	960	35752	\N	\N	\N
846165	2881	1995-12-12	VYDAJ	VYBER	4480	32345	\N	\N	\N
846166	2881	1996-12-29	VYDAJ	VYBER	1120	47330	\N	\N	\N
846167	2881	1997-12-26	VYDAJ	VYBER	3520	54622	\N	\N	\N
846168	2881	1998-12-27	VYDAJ	VYBER	3840	52394	\N	\N	\N
846176	2881	1994-01-08	VYDAJ	VYBER	1680	18151	\N	\N	\N
846177	2881	1994-01-24	VYDAJ	VYBER	2760	16991	\N	\N	\N
846178	2881	1994-01-08	VYDAJ	VYBER	720	17431	\N	\N	\N
846179	2881	1994-01-26	VYDAJ	VYBER	840	16151	\N	\N	\N
846180	2881	1994-01-30	VYDAJ	VYBER	2640	16011	\N	\N	\N
846181	2881	1995-01-26	VYDAJ	VYBER	600	23853	\N	\N	\N
846182	2881	1995-01-18	VYDAJ	VYBER	2520	19453	\N	\N	\N
846183	2881	1995-01-25	VYDAJ	VYBER	600	24453	\N	\N	\N
846184	2881	1995-01-29	VYDAJ	VYBER	600	23253	\N	\N	\N
846185	2881	1995-01-12	VYDAJ	VYBER	840	27174	\N	\N	\N
846186	2881	1995-01-06	VYDAJ	VYBER	1560	32653	\N	\N	\N
846187	2881	1996-01-14	VYDAJ	VYBER	2880	17101	\N	\N	\N
846188	2881	1996-01-04	VYDAJ	VYBER	960	35621	\N	\N	\N
846189	2881	1996-01-19	VYDAJ	VYBER	1680	29621	\N	\N	\N
846190	2881	1996-01-05	VYDAJ	VYBER	3240	32381	\N	\N	\N
846193	2881	1997-01-22	VYDAJ	VYBER	3480	29968	\N	\N	\N
846194	2881	1997-01-19	VYDAJ	VYBER	1800	34168	\N	\N	\N
846195	2881	1997-01-07	VYDAJ	VYBER	2040	44268	\N	\N	\N
846196	2881	1997-01-19	VYDAJ	VYBER	720	33448	\N	\N	\N
846197	2881	1997-01-06	VYDAJ	VYBER	1200	46308	\N	\N	\N
846198	2881	1997-01-07	VYDAJ	VYBER	3240	41028	\N	\N	\N
846199	2881	1998-01-02	VYDAJ	VYBER	1200	53647	\N	\N	\N
846200	2881	1998-01-24	VYDAJ	VYBER	3120	52867	\N	\N	\N
846201	2881	1998-01-12	VYDAJ	VYBER	1080	51428	\N	\N	\N
846202	2881	1998-01-16	VYDAJ	VYBER	2400	55987	\N	\N	\N
846203	2881	1998-01-25	VYDAJ	VYBER	1680	51187	\N	\N	\N
846204	2881	1998-01-29	VYDAJ	VYBER	2400	48787	\N	\N	\N
846205	2881	1993-09-01	VYDAJ	VYBER	1320	30628	\N	\N	\N
846206	2881	1993-10-10	VYDAJ	VYBER	5760	17762	\N	\N	\N
846208	2881	1993-12-08	VYDAJ	VYBER	1800	22122	\N	\N	\N
846210	2881	1994-10-04	VYDAJ	VYBER	4800	28118	\N	\N	\N
846211	2881	1994-12-23	VYDAJ	VYBER	1080	39712	\N	\N	\N
846212	2881	1994-08-02	VYDAJ	VYBER	960	28447	\N	\N	\N
846214	2881	1994-02-19	VYDAJ	VYBER	2520	15879	\N	\N	\N
846215	2881	1994-07-08	VYDAJ	VYBER	4320	27480	\N	\N	\N
846216	2881	1995-01-23	VYDAJ	VYBER	2400	17053	\N	\N	\N
846217	2881	1995-02-23	VYDAJ	VYBER	3600	29270	\N	\N	\N
846218	2881	1995-01-01	VYDAJ	VYBER	1680	34213	\N	\N	\N
846219	2881	1995-07-28	VYDAJ	VYBER	5160	30715	\N	\N	\N
846220	2881	1995-05-22	VYDAJ	VYBER	720	41661	\N	\N	\N
846221	2881	1995-11-27	VYDAJ	VYBER	4200	41287	\N	\N	\N
846222	2881	1995-02-28	VYDAJ	VYBER	2280	27083	\N	\N	\N
846223	2881	1995-07-13	VYDAJ	VYBER	4200	32075	\N	\N	\N
846224	2881	1996-04-01	VYDAJ	VYBER	3360	40076	\N	\N	\N
846225	2881	1996-01-04	VYDAJ	VYBER	5760	36581	\N	\N	\N
846226	2881	1996-04-12	VYDAJ	VYBER	4680	30757	\N	\N	\N
846227	2881	1996-09-19	VYDAJ	VYBER	3000	36758	\N	\N	\N
846228	2881	1996-05-03	VYDAJ	VYBER	840	40428	\N	\N	\N
846229	2881	1997-10-17	VYDAJ	VYBER	1320	61221	\N	\N	\N
846230	2881	1997-11-06	VYDAJ	VYBER	1080	60376	\N	\N	\N
846231	2881	1997-03-06	VYDAJ	VYBER	3240	38726	\N	\N	\N
846232	2881	1997-12-24	VYDAJ	VYBER	4680	58142	\N	\N	\N
846233	2881	1998-10-25	VYDAJ	VYBER	4320	50323	\N	\N	\N
846234	2881	1998-06-28	VYDAJ	VYBER	2880	24828	\N	\N	\N
846235	2881	1998-08-24	VYDAJ	VYBER	5760	41157	\N	\N	\N
846236	2881	1998-08-19	VYDAJ	VYBER	1800	46917	\N	\N	\N
846242	2881	1993-05-31	VYDAJ	VYBER	15	34557	SLUZBY	\N	\N
846243	2881	1993-06-30	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
846244	2881	1993-07-31	VYDAJ	VYBER	15	31414	SLUZBY	\N	\N
846245	2881	1993-08-31	VYDAJ	VYBER	15	31948	SLUZBY	\N	\N
846246	2881	1993-09-30	VYDAJ	VYBER	15	32261	SLUZBY	\N	\N
846247	2881	1993-10-31	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
846248	2881	1993-11-30	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
846249	2881	1993-12-31	VYDAJ	VYBER	15	27831	SLUZBY	\N	\N
846250	2881	1994-01-31	VYDAJ	VYBER	15	16079	SLUZBY	\N	\N
846251	2881	1994-02-28	VYDAJ	VYBER	15	21333	SLUZBY	\N	\N
846252	2881	1994-03-31	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
846253	2881	1994-04-30	VYDAJ	VYBER	15	27350	SLUZBY	\N	\N
846254	2881	1994-05-31	VYDAJ	VYBER	15	30775	SLUZBY	\N	\N
846255	2881	1994-06-30	VYDAJ	VYBER	15	31800	SLUZBY	\N	\N
846256	2881	1994-07-31	VYDAJ	VYBER	15	29407	SLUZBY	\N	\N
846257	2881	1994-08-31	VYDAJ	VYBER	15	31576	SLUZBY	\N	\N
846258	2881	1994-09-30	VYDAJ	VYBER	15	32918	SLUZBY	\N	\N
846259	2881	1994-10-31	VYDAJ	VYBER	15	31849	SLUZBY	\N	\N
846260	2881	1994-11-30	VYDAJ	VYBER	15	34993	SLUZBY	\N	\N
846261	2881	1994-12-31	VYDAJ	VYBER	15	35893	SLUZBY	\N	\N
846262	2881	1995-01-31	VYDAJ	VYBER	15	23350	SLUZBY	\N	\N
846263	2881	1995-02-28	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
846264	2881	1995-03-31	VYDAJ	VYBER	15	32609	SLUZBY	\N	\N
846265	2881	1995-04-30	VYDAJ	VYBER	15	40061	SLUZBY	\N	\N
846266	2881	1995-05-31	VYDAJ	VYBER	15	40015	SLUZBY	\N	\N
846267	2881	1995-06-30	VYDAJ	VYBER	15	33955	SLUZBY	\N	\N
846268	2881	1995-07-31	VYDAJ	VYBER	15	30838	SLUZBY	\N	\N
846269	2881	1995-08-31	VYDAJ	VYBER	15	40387	SLUZBY	\N	\N
846270	2881	1995-09-30	VYDAJ	VYBER	15	45469	SLUZBY	\N	\N
846271	2881	1995-10-31	VYDAJ	VYBER	15	46567	SLUZBY	\N	\N
846272	2881	1995-11-30	VYDAJ	VYBER	15	41464	SLUZBY	\N	\N
846273	2881	1995-12-31	VYDAJ	VYBER	15	42341	SLUZBY	\N	\N
846274	2881	1996-01-31	VYDAJ	VYBER	15	29718	SLUZBY	\N	\N
846275	2881	1996-02-29	VYDAJ	VYBER	15	38162	SLUZBY	\N	\N
846276	2881	1996-03-31	VYDAJ	VYBER	15	43436	SLUZBY	\N	\N
846277	2881	1996-04-30	VYDAJ	VYBER	15	41268	SLUZBY	\N	\N
846278	2881	1996-05-31	VYDAJ	VYBER	15	42804	SLUZBY	\N	\N
846279	2881	1996-06-30	VYDAJ	VYBER	15	25961	SLUZBY	\N	\N
846280	2881	1996-07-31	VYDAJ	VYBER	15	32286	SLUZBY	\N	\N
846281	2881	1996-08-31	VYDAJ	VYBER	15	38238	SLUZBY	\N	\N
846282	2881	1996-09-30	VYDAJ	VYBER	15	36900	SLUZBY	\N	\N
846283	2881	1996-10-31	VYDAJ	VYBER	15	41869	SLUZBY	\N	\N
846284	2881	1996-11-30	VYDAJ	VYBER	15	43851	SLUZBY	\N	\N
846285	2881	1996-12-31	VYDAJ	VYBER	15	47508	SLUZBY	\N	\N
846286	2881	1997-01-31	VYDAJ	VYBER	15	30109	SLUZBY	\N	\N
846287	2881	1997-02-28	VYDAJ	VYBER	15	41966	SLUZBY	\N	\N
846288	2881	1997-03-31	VYDAJ	VYBER	15	44906	SLUZBY	\N	\N
846289	2881	1997-04-30	VYDAJ	VYBER	15	48605	SLUZBY	\N	\N
846290	2881	1997-05-31	VYDAJ	VYBER	15	52720	SLUZBY	\N	\N
846291	2881	1997-06-30	VYDAJ	VYBER	15	53087	SLUZBY	\N	\N
846292	2881	1997-07-31	VYDAJ	VYBER	15	58223	SLUZBY	\N	\N
846293	2881	1997-08-31	VYDAJ	VYBER	15	59770	SLUZBY	\N	\N
846294	2881	1997-09-30	VYDAJ	VYBER	15	61021	SLUZBY	\N	\N
846295	2881	1997-10-31	VYDAJ	VYBER	15	61456	SLUZBY	\N	\N
846296	2881	1997-11-30	VYDAJ	VYBER	15	58123	SLUZBY	\N	\N
846297	2881	1997-12-31	VYDAJ	VYBER	15	54847	SLUZBY	\N	\N
846298	2881	1998-01-31	VYDAJ	VYBER	15	39393	SLUZBY	\N	\N
846299	2881	1998-02-28	VYDAJ	VYBER	15	54299	SLUZBY	\N	\N
846300	2881	1998-03-31	VYDAJ	VYBER	15	61547	SLUZBY	\N	\N
846301	2881	1998-04-30	VYDAJ	VYBER	15	63506	SLUZBY	\N	\N
846302	2881	1998-05-31	VYDAJ	VYBER	15	64069	SLUZBY	\N	\N
846303	2881	1998-06-30	VYDAJ	VYBER	15	25043	SLUZBY	\N	\N
846304	2881	1998-07-31	VYDAJ	VYBER	15	42097	SLUZBY	\N	\N
846305	2881	1998-08-31	VYDAJ	VYBER	15	41321	SLUZBY	\N	\N
846306	2881	1998-09-30	VYDAJ	VYBER	15	52523	SLUZBY	\N	\N
846307	2881	1998-10-31	VYDAJ	VYBER	15	50521	SLUZBY	\N	\N
846308	2881	1998-11-30	VYDAJ	VYBER	15	52935	SLUZBY	\N	\N
846309	2881	1993-02-03	PRIJEM	VKLAD	7000	14679	\N	\N	\N
846310	2881	1993-03-05	PRIJEM	VKLAD	2700	24403	\N	\N	\N
846311	2881	1993-04-04	VYDAJ	VYBER	5100	26377	\N	\N	\N
846312	2881	1993-05-04	VYDAJ	VYBER	6000	27471	\N	\N	\N
846313	2881	1993-06-03	VYDAJ	VYBER	6300	28257	\N	\N	\N
846314	2881	1993-07-03	VYDAJ	VYBER	5200	28979	\N	\N	\N
846315	2881	1993-08-02	VYDAJ	VYBER	1900	29514	\N	\N	\N
846316	2881	1993-09-01	VYDAJ	VYBER	800	29828	\N	\N	\N
846317	2881	1993-10-01	VYDAJ	VYBER	4100	28161	\N	\N	\N
846318	2881	1993-10-31	VYDAJ	VYBER	1800	23029	\N	\N	\N
846319	2881	1993-11-30	VYDAJ	VYBER	1500	23922	\N	\N	\N
846320	2881	1993-12-30	PRIJEM	VKLAD	1900	27741	\N	\N	\N
846321	2881	1994-01-29	PRIJEM	VKLAD	2500	18651	\N	\N	\N
846322	2881	1994-02-28	PRIJEM	VKLAD	5400	21279	\N	\N	\N
846323	2881	1994-03-30	PRIJEM	VKLAD	1400	25053	\N	\N	\N
846324	2881	1994-04-29	VYDAJ	VYBER	200	27254	\N	\N	\N
846325	2881	1994-05-29	PRIJEM	VKLAD	1000	30670	\N	\N	\N
846326	2881	1994-06-28	VYDAJ	VYBER	4900	31674	\N	\N	\N
846327	2881	1994-07-28	VYDAJ	VYBER	500	29300	\N	\N	\N
846328	2881	1994-08-27	PRIJEM	VKLAD	700	31467	\N	\N	\N
846329	2881	1994-09-26	VYDAJ	VYBER	1100	32796	\N	\N	\N
846330	2881	1994-10-26	PRIJEM	VKLAD	1300	31738	\N	\N	\N
846331	2881	1994-11-25	PRIJEM	VKLAD	700	34869	\N	\N	\N
846332	2881	1994-12-25	VYDAJ	VYBER	3000	36712	\N	\N	\N
846333	2881	1995-01-24	PRIJEM	VKLAD	8000	25053	\N	\N	\N
846334	2881	1995-02-23	PRIJEM	VKLAD	7200	32870	\N	\N	\N
846335	2881	1995-03-25	PRIJEM	VKLAD	3100	32503	\N	\N	\N
846336	2881	1995-04-24	PRIJEM	VKLAD	5000	39929	\N	\N	\N
846337	2881	1995-05-24	VYDAJ	VYBER	1800	39861	\N	\N	\N
846338	2881	1995-06-23	PRIJEM	VKLAD	2900	33834	\N	\N	\N
846339	2881	1995-07-23	PRIJEM	VKLAD	3800	35875	\N	\N	\N
846340	2881	1995-08-22	PRIJEM	VKLAD	7100	40258	\N	\N	\N
846341	2881	1995-09-21	PRIJEM	VKLAD	2600	45307	\N	\N	\N
846342	2881	1995-10-21	VYDAJ	VYBER	1400	46389	\N	\N	\N
846343	2881	1995-11-20	VYDAJ	VYBER	3400	45487	\N	\N	\N
846344	2881	1995-12-20	VYDAJ	VYBER	600	42183	\N	\N	\N
846345	2881	1996-01-19	PRIJEM	VKLAD	14200	31301	\N	\N	\N
846346	2881	1996-02-18	PRIJEM	VKLAD	6000	38038	\N	\N	\N
846347	2881	1996-03-19	PRIJEM	VKLAD	2800	43282	\N	\N	\N
846348	2881	1996-04-18	PRIJEM	VKLAD	3400	41116	\N	\N	\N
846349	2881	1996-05-18	VYDAJ	VYBER	100	42648	\N	\N	\N
846350	2881	1996-06-17	VYDAJ	VYBER	2800	45803	\N	\N	\N
846351	2881	1996-07-17	PRIJEM	VKLAD	3900	32181	\N	\N	\N
846352	2881	1996-08-16	PRIJEM	VKLAD	3500	38106	\N	\N	\N
846353	2881	1996-09-15	VYDAJ	VYBER	800	39758	\N	\N	\N
846354	2881	1996-10-15	PRIJEM	VKLAD	2500	41720	\N	\N	\N
846355	2881	1996-11-14	VYDAJ	VYBER	500	43689	\N	\N	\N
846356	2881	1996-12-14	VYDAJ	VYBER	1200	48450	\N	\N	\N
846357	2881	1997-01-13	PRIJEM	VKLAD	300	36689	\N	\N	\N
846358	2881	1997-02-12	PRIJEM	VKLAD	9400	34870	\N	\N	\N
846359	2881	1997-03-14	PRIJEM	VKLAD	3700	44746	\N	\N	\N
846360	2881	1997-04-13	PRIJEM	VKLAD	1200	41467	\N	\N	\N
846361	2881	1997-05-13	PRIJEM	VKLAD	1600	45566	\N	\N	\N
846362	2881	1997-06-12	VYDAJ	VYBER	200	47881	\N	\N	\N
846363	2881	1997-07-12	PRIJEM	VKLAD	2600	51048	\N	\N	\N
846364	2881	1997-08-11	VYDAJ	VYBER	1000	52584	\N	\N	\N
846365	2881	1997-09-10	VYDAJ	VYBER	1300	53831	\N	\N	\N
846366	2881	1997-10-10	VYDAJ	VYBER	800	55582	\N	\N	\N
846367	2881	1997-11-09	VYDAJ	VYBER	4800	50937	\N	\N	\N
846368	2881	1997-12-09	VYDAJ	VYBER	1100	52384	\N	\N	\N
846369	2881	1998-01-08	PRIJEM	VKLAD	3500	57147	\N	\N	\N
846370	2881	1998-02-07	PRIJEM	VKLAD	12400	51793	\N	\N	\N
846371	2881	1998-03-09	PRIJEM	VKLAD	4700	58999	\N	\N	\N
846372	2881	1998-04-08	VYDAJ	VYBER	600	60947	\N	\N	\N
846373	2881	1998-05-08	VYDAJ	VYBER	2000	61506	\N	\N	\N
846374	2881	1998-06-07	VYDAJ	VYBER	3600	60469	\N	\N	\N
846375	2881	1998-07-07	PRIJEM	VKLAD	14600	39643	\N	\N	\N
846376	2881	1998-08-06	PRIJEM	VKLAD	4300	46397	\N	\N	\N
846377	2881	1998-09-05	PRIJEM	VKLAD	8700	50021	\N	\N	\N
846378	2881	1998-10-05	VYDAJ	VYBER	200	52323	\N	\N	\N
846379	2881	1998-11-04	VYDAJ	VYBER	100	50421	\N	\N	\N
846380	2881	1998-12-04	VYDAJ	VYBER	2500	50435	\N	\N	\N
846453	2882	1996-07-20	PRIJEM	VKLAD	600	600	\N	\N	\N
846454	2882	1996-08-05	PRIJEM	VKLAD	49850	50450	\N	\N	\N
846456	2882	1997-03-12	PRIJEM	VKLAD	46411	68771	\N	\N	\N
846457	2882	1997-04-03	PRIJEM	VKLAD	33234	78477	\N	\N	\N
846458	2882	1997-06-15	PRIJEM	VKLAD	28564	61554	\N	\N	\N
846459	2882	1997-09-01	PRIJEM	VKLAD	44290	62027	\N	\N	\N
846460	2882	1997-09-09	PRIJEM	VKLAD	8114	62139	\N	\N	\N
846461	2882	1997-04-08	PRIJEM	VKLAD	40696	119173	\N	\N	\N
846462	2882	1998-12-25	PRIJEM	VKLAD	18862	57136	\N	\N	\N
846463	2882	1998-08-23	PRIJEM	VKLAD	41995	60179	\N	\N	\N
846464	2882	1998-01-27	PRIJEM	VKLAD	21470	21591	\N	\N	\N
846465	2882	1998-12-04	PRIJEM	VKLAD	5726	51321	\N	\N	\N
846466	2882	1998-12-23	PRIJEM	VKLAD	12355	38274	\N	\N	\N
846467	2882	1998-03-13	PRIJEM	VKLAD	34452	41624	\N	\N	\N
846468	2882	1998-06-07	PRIJEM	VKLAD	7767	31114	\N	\N	\N
846469	2882	1998-08-19	PRIJEM	VKLAD	10062	18184	\N	\N	\N
846470	2882	1998-09-24	PRIJEM	VKLAD	30331	59296	\N	\N	\N
846471	2882	1998-08-09	PRIJEM	VKLAD	6794	8122	\N	\N	\N
846472	2882	1998-10-11	PRIJEM	VKLAD	33808	64167	\N	\N	\N
846473	2882	1998-10-15	PRIJEM	VKLAD	19123	83290	\N	\N	\N
846474	2882	1998-04-28	PRIJEM	VKLAD	19113	38650	\N	\N	\N
846529	2882	1997-07-07	VYDAJ	PREVOD NA UCET	8002	31862	SIPO	WX	76007932
846530	2882	1997-08-07	VYDAJ	PREVOD NA UCET	8002	11875	SIPO	WX	76007932
846531	2882	1997-09-07	VYDAJ	PREVOD NA UCET	8002	54025	SIPO	WX	76007932
846532	2882	1997-10-07	VYDAJ	PREVOD NA UCET	8002	25621	SIPO	WX	76007932
846533	2882	1997-11-07	VYDAJ	PREVOD NA UCET	8002	13814	SIPO	WX	76007932
846534	2882	1997-12-07	VYDAJ	PREVOD NA UCET	8002	8072	SIPO	WX	76007932
846535	2882	1998-01-07	VYDAJ	PREVOD NA UCET	8002	121	SIPO	WX	76007932
846536	2882	1998-02-07	VYDAJ	PREVOD NA UCET	8002	13617	SIPO	WX	76007932
846537	2882	1998-03-07	VYDAJ	PREVOD NA UCET	8002	7172	SIPO	WX	76007932
846538	2882	1998-04-07	VYDAJ	PREVOD NA UCET	8002	33737	SIPO	WX	76007932
846539	2882	1998-05-07	VYDAJ	PREVOD NA UCET	8002	30745	SIPO	WX	76007932
846540	2882	1998-06-07	VYDAJ	PREVOD NA UCET	8002	23112	SIPO	WX	76007932
846541	2882	1998-07-07	VYDAJ	PREVOD NA UCET	8002	9274	SIPO	WX	76007932
846542	2882	1998-08-07	VYDAJ	PREVOD NA UCET	8002	1328	SIPO	WX	76007932
846543	2882	1998-09-07	VYDAJ	PREVOD NA UCET	8002	52265	SIPO	WX	76007932
846544	2882	1998-10-07	VYDAJ	PREVOD NA UCET	8002	46959	SIPO	WX	76007932
846545	2882	1998-11-07	VYDAJ	PREVOD NA UCET	8002	45364	SIPO	WX	76007932
846546	2882	1998-12-07	VYDAJ	PREVOD NA UCET	8002	29519	SIPO	WX	76007932
846554	2882	1997-09-25	VYBER	VYBER	8163	33476	\N	\N	\N
846573	2882	1998-12-09	VYDAJ	VYBER	3600	25919	\N	\N	\N
846583	2882	1997-07-26	VYDAJ	VYBER	6600	19762	\N	\N	\N
846588	2882	1998-04-08	VYDAJ	VYBER	12900	20837	\N	\N	\N
846590	2882	1998-10-04	VYDAJ	VYBER	4500	54961	\N	\N	\N
846609	2882	1997-06-30	VYDAJ	VYBER	15	39864	SLUZBY	\N	\N
846610	2882	1997-07-31	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
846611	2882	1997-08-31	VYDAJ	VYBER	15	17737	SLUZBY	\N	\N
846612	2882	1997-09-30	VYDAJ	VYBER	15	33623	SLUZBY	\N	\N
846613	2882	1997-10-31	VYDAJ	VYBER	15	21816	SLUZBY	\N	\N
846614	2882	1997-11-30	VYDAJ	VYBER	15	16074	SLUZBY	\N	\N
846615	2882	1997-12-31	VYDAJ	VYBER	15	8123	SLUZBY	\N	\N
846616	2882	1998-01-31	VYDAJ	VYBER	15	21619	SLUZBY	\N	\N
846617	2882	1998-02-28	VYDAJ	VYBER	15	15174	SLUZBY	\N	\N
846618	2882	1998-03-31	VYDAJ	VYBER	15	41739	SLUZBY	\N	\N
846619	2882	1998-04-30	VYDAJ	VYBER	15	38747	SLUZBY	\N	\N
846620	2882	1998-05-31	VYDAJ	VYBER	15	23347	SLUZBY	\N	\N
846621	2882	1998-06-30	VYDAJ	VYBER	15	17276	SLUZBY	\N	\N
846622	2882	1998-07-31	VYDAJ	VYBER	15	9330	SLUZBY	\N	\N
846623	2882	1998-08-31	VYDAJ	VYBER	15	60267	SLUZBY	\N	\N
846624	2882	1998-09-30	VYDAJ	VYBER	15	59461	SLUZBY	\N	\N
846625	2882	1998-10-31	VYDAJ	VYBER	15	83566	SLUZBY	\N	\N
846626	2882	1998-11-30	VYDAJ	VYBER	15	45595	SLUZBY	\N	\N
846627	2882	1996-08-19	VYDAJ	VYBER	12700	37750	\N	\N	\N
846628	2882	1996-09-18	VYDAJ	VYBER	5200	32616	\N	\N	\N
846629	2882	1996-10-18	VYDAJ	VYBER	1800	30973	\N	\N	\N
846630	2882	1996-11-17	VYDAJ	VYBER	5100	26031	\N	\N	\N
846631	2882	1996-12-17	VYDAJ	VYBER	1300	24888	\N	\N	\N
846632	2882	1997-01-16	VYDAJ	VYBER	200	24845	\N	\N	\N
846633	2882	1997-02-15	VYDAJ	VYBER	2800	22202	\N	\N	\N
846634	2882	1997-03-17	VYDAJ	VYBER	23700	45071	\N	\N	\N
846635	2882	1997-04-08	VYDAJ	VYBER	45100	74073	\N	\N	\N
846636	2882	1997-04-16	VYDAJ	VYBER	27500	46573	\N	\N	\N
846637	2882	1997-05-16	VYDAJ	VYBER	14000	32796	\N	\N	\N
846638	2882	1997-06-15	VYDAJ	VYBER	21900	39654	\N	\N	\N
846639	2882	1997-07-15	VYDAJ	VYBER	5500	26362	\N	\N	\N
846640	2882	1997-08-14	PRIJEM	VKLAD	5800	17675	\N	\N	\N
846641	2882	1997-09-13	VYDAJ	VYBER	20500	41639	\N	\N	\N
846642	2882	1997-10-13	VYDAJ	VYBER	3900	21721	\N	\N	\N
846643	2882	1997-11-12	PRIJEM	VKLAD	2200	16014	\N	\N	\N
846644	2882	1998-02-10	PRIJEM	VKLAD	1500	15117	\N	\N	\N
846645	2882	1998-04-11	VYDAJ	VYBER	1300	19537	\N	\N	\N
846646	2882	1998-05-11	VYDAJ	VYBER	7500	23245	\N	\N	\N
846647	2882	1998-06-10	VYDAJ	VYBER	5900	17212	\N	\N	\N
846648	2882	1998-09-08	VYDAJ	VYBER	23300	28965	\N	\N	\N
846649	2882	1998-10-08	VYDAJ	VYBER	16600	30359	\N	\N	\N
846650	2882	1998-11-07	VYDAJ	VYBER	30200	53366	\N	\N	\N
846651	2882	1998-12-07	VYDAJ	VYBER	13800	37521	\N	\N	\N
846681	2883	1997-06-29	PRIJEM	VKLAD	200	200	\N	\N	\N
846688	2883	1997-07-13	PRIJEM	PREVOD Z UCTU	5237	5437	DUCHOD	MN	7224744
846689	2883	1997-08-13	PRIJEM	PREVOD Z UCTU	5237	10674	DUCHOD	MN	7224744
846690	2883	1997-09-13	PRIJEM	PREVOD Z UCTU	5237	15911	DUCHOD	MN	7224744
846691	2883	1997-10-13	PRIJEM	PREVOD Z UCTU	5237	21148	DUCHOD	MN	7224744
846692	2883	1997-11-13	PRIJEM	PREVOD Z UCTU	5237	24798	DUCHOD	MN	7224744
846693	2883	1997-12-13	PRIJEM	PREVOD Z UCTU	5237	24886	DUCHOD	MN	7224744
846694	2883	1998-01-13	PRIJEM	PREVOD Z UCTU	5237	25501	DUCHOD	MN	7224744
846695	2883	1998-02-13	PRIJEM	PREVOD Z UCTU	5237	26606	DUCHOD	MN	7224744
846696	2883	1998-03-13	PRIJEM	PREVOD Z UCTU	5237	29438	DUCHOD	MN	7224744
846697	2883	1998-04-13	PRIJEM	PREVOD Z UCTU	5237	30078	DUCHOD	MN	7224744
846698	2883	1998-05-13	PRIJEM	PREVOD Z UCTU	5237	26319	DUCHOD	MN	7224744
846699	2883	1998-06-13	PRIJEM	PREVOD Z UCTU	5237	21505	DUCHOD	MN	7224744
846700	2883	1998-07-13	PRIJEM	PREVOD Z UCTU	5237	23916	DUCHOD	MN	7224744
846701	2883	1998-08-13	PRIJEM	PREVOD Z UCTU	5237	22933	DUCHOD	MN	7224744
846702	2883	1998-09-13	PRIJEM	PREVOD Z UCTU	5237	24347	DUCHOD	MN	7224744
846703	2883	1998-10-13	PRIJEM	PREVOD Z UCTU	5237	18559	DUCHOD	MN	7224744
846704	2883	1998-11-13	PRIJEM	PREVOD Z UCTU	5237	19855	DUCHOD	MN	7224744
846705	2883	1998-12-13	PRIJEM	PREVOD Z UCTU	5237	18994	DUCHOD	MN	7224744
846717	2883	1997-12-09	VYDAJ	PREVOD NA UCET	2497	19649	SIPO	IJ	75625574
846718	2883	1998-01-09	VYDAJ	PREVOD NA UCET	2497	20264	SIPO	IJ	75625574
846719	2883	1998-02-09	VYDAJ	PREVOD NA UCET	2497	21369	SIPO	IJ	75625574
846720	2883	1998-03-09	VYDAJ	PREVOD NA UCET	2497	24201	SIPO	IJ	75625574
846721	2883	1998-04-09	VYDAJ	PREVOD NA UCET	2497	24841	SIPO	IJ	75625574
846722	2883	1998-05-09	VYDAJ	PREVOD NA UCET	2497	21082	SIPO	IJ	75625574
846723	2883	1998-06-09	VYDAJ	PREVOD NA UCET	2497	16268	SIPO	IJ	75625574
846724	2883	1998-07-09	VYDAJ	PREVOD NA UCET	2497	18679	SIPO	IJ	75625574
846725	2883	1998-08-09	VYDAJ	PREVOD NA UCET	2497	17696	SIPO	IJ	75625574
846726	2883	1998-09-09	VYDAJ	PREVOD NA UCET	2497	19110	SIPO	IJ	75625574
846727	2883	1998-10-09	VYDAJ	PREVOD NA UCET	2497	13322	SIPO	IJ	75625574
846728	2883	1998-11-09	VYDAJ	PREVOD NA UCET	2497	14618	SIPO	IJ	75625574
846729	2883	1998-12-09	VYDAJ	PREVOD NA UCET	2497	13757	SIPO	IJ	75625574
846730	2883	1997-12-16	VYDAJ	VYBER	1350	23536	\N	\N	\N
846731	2883	1998-12-02	VYDAJ	VYBER	800	16254	\N	\N	\N
846732	2883	1997-12-26	VYDAJ	VYBER	560	22976	\N	\N	\N
846733	2883	1997-11-30	VYDAJ	VYBER	2720	22146	\N	\N	\N
846736	2883	1998-11-16	VYDAJ	VYBER	1360	18495	\N	\N	\N
846737	2883	1998-06-03	VYDAJ	VYBER	2640	18765	\N	\N	\N
846738	2883	1998-09-28	VYDAJ	VYBER	3200	15747	\N	\N	\N
846739	2883	1998-03-19	VYDAJ	VYBER	1600	27838	\N	\N	\N
846740	2883	1998-01-21	VYDAJ	VYBER	720	24781	\N	\N	\N
846741	2883	1998-09-17	VYDAJ	VYBER	3200	21147	\N	\N	\N
846753	2883	1997-11-30	VYDAJ	VYBER	15	24866	SLUZBY	\N	\N
846754	2883	1997-12-31	VYDAJ	VYBER	15	22761	SLUZBY	\N	\N
846755	2883	1998-01-31	VYDAJ	VYBER	15	23866	SLUZBY	\N	\N
846756	2883	1998-02-28	VYDAJ	VYBER	15	26698	SLUZBY	\N	\N
846757	2883	1998-03-31	VYDAJ	VYBER	15	27338	SLUZBY	\N	\N
846758	2883	1998-04-30	VYDAJ	VYBER	15	23579	SLUZBY	\N	\N
846759	2883	1998-05-31	VYDAJ	VYBER	15	21405	SLUZBY	\N	\N
846760	2883	1998-06-30	VYDAJ	VYBER	15	21176	SLUZBY	\N	\N
846761	2883	1998-07-31	VYDAJ	VYBER	15	20193	SLUZBY	\N	\N
846762	2883	1998-08-31	VYDAJ	VYBER	15	21607	SLUZBY	\N	\N
846763	2883	1998-09-30	VYDAJ	VYBER	15	15819	SLUZBY	\N	\N
846764	2883	1998-10-31	VYDAJ	VYBER	15	17115	SLUZBY	\N	\N
846765	2883	1998-11-30	VYDAJ	VYBER	15	17054	SLUZBY	\N	\N
846766	2883	1997-10-27	VYDAJ	VYBER	1600	19548	\N	\N	\N
846767	2883	1997-12-26	VYDAJ	VYBER	300	22676	\N	\N	\N
846768	2883	1998-01-25	VYDAJ	VYBER	1000	23781	\N	\N	\N
846769	2883	1998-03-26	VYDAJ	VYBER	600	27238	\N	\N	\N
846770	2883	1998-04-25	VYDAJ	VYBER	6600	23478	\N	\N	\N
846771	2883	1998-05-25	VYDAJ	VYBER	5000	21319	\N	\N	\N
846772	2883	1998-06-24	VYDAJ	VYBER	400	21105	\N	\N	\N
846773	2883	1998-07-24	VYDAJ	VYBER	3800	20116	\N	\N	\N
846774	2883	1998-08-23	VYDAJ	VYBER	1400	21533	\N	\N	\N
846775	2883	1998-09-22	VYDAJ	VYBER	2200	18947	\N	\N	\N
846776	2883	1998-10-22	VYDAJ	VYBER	1500	17059	\N	\N	\N
846777	2883	1998-11-21	VYDAJ	VYBER	1500	16995	\N	\N	\N
846793	2884	1993-02-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
846795	2884	1993-02-11	PRIJEM	VKLAD	5810	6910	\N	\N	\N
846796	2884	1993-03-11	PRIJEM	VKLAD	5810	21039	\N	\N	\N
846797	2884	1993-04-11	PRIJEM	VKLAD	5810	26217	\N	\N	\N
846798	2884	1993-05-11	PRIJEM	VKLAD	5810	28829	\N	\N	\N
846799	2884	1993-06-11	PRIJEM	VKLAD	8715	33861	\N	\N	\N
846800	2884	1993-07-11	PRIJEM	VKLAD	5810	31336	\N	\N	\N
846801	2884	1993-08-11	PRIJEM	VKLAD	5810	32210	\N	\N	\N
846802	2884	1993-09-11	PRIJEM	VKLAD	5810	29283	\N	\N	\N
846803	2884	1993-10-11	PRIJEM	VKLAD	5810	28348	\N	\N	\N
846804	2884	1993-11-11	PRIJEM	VKLAD	5810	27227	\N	\N	\N
846805	2884	1993-12-11	PRIJEM	VKLAD	8715	28625	\N	\N	\N
846806	2884	1994-01-11	PRIJEM	VKLAD	5810	25920	\N	\N	\N
846807	2884	1994-02-11	PRIJEM	VKLAD	5810	22866	\N	\N	\N
846808	2884	1994-03-11	PRIJEM	VKLAD	5810	25074	\N	\N	\N
846809	2884	1994-04-11	PRIJEM	VKLAD	5810	23224	\N	\N	\N
846810	2884	1994-05-11	PRIJEM	VKLAD	5810	19526	\N	\N	\N
846811	2884	1994-06-11	PRIJEM	VKLAD	8715	24828	\N	\N	\N
846812	2884	1994-07-11	PRIJEM	VKLAD	5810	26563	\N	\N	\N
846813	2884	1994-08-11	PRIJEM	VKLAD	5810	28711	\N	\N	\N
846814	2884	1994-09-11	PRIJEM	VKLAD	5810	28426	\N	\N	\N
846815	2884	1994-10-11	PRIJEM	VKLAD	5810	28583	\N	\N	\N
846816	2884	1994-11-11	PRIJEM	VKLAD	5810	30641	\N	\N	\N
846817	2884	1994-12-11	PRIJEM	VKLAD	8715	33612	\N	\N	\N
846818	2884	1995-01-11	PRIJEM	VKLAD	5810	28989	\N	\N	\N
846819	2884	1995-02-11	PRIJEM	VKLAD	5810	28095	\N	\N	\N
846820	2884	1995-03-11	PRIJEM	VKLAD	5810	29110	\N	\N	\N
846821	2884	1995-04-11	PRIJEM	VKLAD	5810	24509	\N	\N	\N
846822	2884	1995-05-11	PRIJEM	VKLAD	5810	28145	\N	\N	\N
846823	2884	1995-06-11	PRIJEM	VKLAD	8715	38788	\N	\N	\N
846824	2884	1995-07-11	PRIJEM	VKLAD	5810	41084	\N	\N	\N
846825	2884	1995-08-11	PRIJEM	VKLAD	5810	40091	\N	\N	\N
846826	2884	1995-09-11	PRIJEM	VKLAD	5810	41095	\N	\N	\N
846827	2884	1995-10-11	PRIJEM	VKLAD	5810	41203	\N	\N	\N
846828	2884	1995-11-11	PRIJEM	VKLAD	5810	40930	\N	\N	\N
846829	2884	1995-12-11	PRIJEM	VKLAD	8715	45143	\N	\N	\N
846830	2884	1996-01-11	PRIJEM	VKLAD	5810	42305	\N	\N	\N
846831	2884	1996-02-11	PRIJEM	VKLAD	5810	36221	\N	\N	\N
846832	2884	1996-03-11	PRIJEM	VKLAD	5810	41112	\N	\N	\N
846833	2884	1996-04-11	PRIJEM	VKLAD	5810	43205	\N	\N	\N
846834	2884	1996-05-11	PRIJEM	VKLAD	5810	48126	\N	\N	\N
846835	2884	1996-06-11	PRIJEM	VKLAD	8715	54771	\N	\N	\N
846836	2884	1996-07-11	PRIJEM	VKLAD	5810	44178	\N	\N	\N
846837	2884	1996-08-11	PRIJEM	VKLAD	5810	52908	\N	\N	\N
846838	2884	1996-09-11	PRIJEM	VKLAD	5810	56668	\N	\N	\N
846839	2884	1996-10-11	PRIJEM	VKLAD	5810	56638	\N	\N	\N
846840	2884	1996-11-11	PRIJEM	VKLAD	5810	59512	\N	\N	\N
846841	2884	1996-12-11	PRIJEM	VKLAD	8715	60696	\N	\N	\N
846842	2884	1997-01-11	PRIJEM	VKLAD	5810	56871	\N	\N	\N
846843	2884	1997-02-11	PRIJEM	VKLAD	5810	50631	\N	\N	\N
846844	2884	1997-03-11	PRIJEM	VKLAD	5810	55483	\N	\N	\N
846845	2884	1997-04-11	PRIJEM	VKLAD	5810	55447	\N	\N	\N
846846	2884	1997-05-11	PRIJEM	VKLAD	5810	58516	\N	\N	\N
846847	2884	1997-06-11	PRIJEM	VKLAD	8715	43253	\N	\N	\N
846848	2884	1997-07-11	PRIJEM	VKLAD	5810	48190	\N	\N	\N
846849	2884	1997-08-11	PRIJEM	VKLAD	5810	59846	\N	\N	\N
846850	2884	1997-09-11	PRIJEM	VKLAD	5810	65861	\N	\N	\N
846851	2884	1997-10-11	PRIJEM	VKLAD	5810	71779	\N	\N	\N
846852	2884	1997-11-11	PRIJEM	VKLAD	5810	72739	\N	\N	\N
846853	2884	1997-12-11	PRIJEM	VKLAD	8715	80191	\N	\N	\N
846854	2884	1998-01-11	PRIJEM	VKLAD	5810	76661	\N	\N	\N
846855	2884	1998-02-11	PRIJEM	VKLAD	5810	76260	\N	\N	\N
846856	2884	1998-03-11	PRIJEM	VKLAD	5810	77914	\N	\N	\N
846857	2884	1998-04-11	PRIJEM	VKLAD	5810	84384	\N	\N	\N
846858	2884	1998-05-11	PRIJEM	VKLAD	5810	84969	\N	\N	\N
846859	2884	1998-06-11	PRIJEM	VKLAD	8715	93070	\N	\N	\N
846860	2884	1998-07-11	PRIJEM	VKLAD	5810	66992	\N	\N	\N
846861	2884	1998-08-11	PRIJEM	VKLAD	5810	74844	\N	\N	\N
846862	2884	1998-09-11	PRIJEM	VKLAD	5810	91320	\N	\N	\N
846863	2884	1998-10-11	PRIJEM	VKLAD	5810	99129	\N	\N	\N
846864	2884	1998-11-11	PRIJEM	VKLAD	5810	104169	\N	\N	\N
846865	2884	1998-12-11	PRIJEM	VKLAD	8715	104638	\N	\N	\N
846872	2884	1993-07-09	VYDAJ	PREVOD NA UCET	3854	25526	SIPO	UV	41624492
846873	2884	1993-08-09	VYDAJ	PREVOD NA UCET	3854	26400	SIPO	UV	41624492
846874	2884	1993-09-09	VYDAJ	PREVOD NA UCET	3854	23473	SIPO	UV	41624492
846875	2884	1993-10-09	VYDAJ	PREVOD NA UCET	3854	22538	SIPO	UV	41624492
846876	2884	1993-11-09	VYDAJ	PREVOD NA UCET	3854	21417	SIPO	UV	41624492
846877	2884	1993-12-09	VYDAJ	PREVOD NA UCET	3854	19910	SIPO	UV	41624492
846878	2884	1994-01-09	VYDAJ	PREVOD NA UCET	3854	21430	SIPO	UV	41624492
846879	2884	1994-02-09	VYDAJ	PREVOD NA UCET	3854	17056	SIPO	UV	41624492
846880	2884	1994-03-09	VYDAJ	PREVOD NA UCET	3854	19264	SIPO	UV	41624492
846881	2884	1994-04-09	VYDAJ	PREVOD NA UCET	3854	17414	SIPO	UV	41624492
846882	2884	1994-05-09	VYDAJ	PREVOD NA UCET	3854	13716	SIPO	UV	41624492
846883	2884	1994-06-09	VYDAJ	PREVOD NA UCET	3854	16113	SIPO	UV	41624492
846884	2884	1994-07-09	VYDAJ	PREVOD NA UCET	3854	20753	SIPO	UV	41624492
846885	2884	1994-08-09	VYDAJ	PREVOD NA UCET	3854	22901	SIPO	UV	41624492
846886	2884	1994-09-09	VYDAJ	PREVOD NA UCET	3854	22616	SIPO	UV	41624492
846887	2884	1994-10-09	VYDAJ	PREVOD NA UCET	3854	22773	SIPO	UV	41624492
846888	2884	1994-11-09	VYDAJ	PREVOD NA UCET	3854	24831	SIPO	UV	41624492
846889	2884	1994-12-09	VYDAJ	PREVOD NA UCET	3854	24897	SIPO	UV	41624492
846890	2884	1995-01-09	VYDAJ	PREVOD NA UCET	3854	23179	SIPO	UV	41624492
846891	2884	1995-02-09	VYDAJ	PREVOD NA UCET	3854	22285	SIPO	UV	41624492
846892	2884	1995-03-09	VYDAJ	PREVOD NA UCET	3854	23300	SIPO	UV	41624492
846893	2884	1995-04-09	VYDAJ	PREVOD NA UCET	3854	18699	SIPO	UV	41624492
846894	2884	1995-05-09	VYDAJ	PREVOD NA UCET	3854	22335	SIPO	UV	41624492
846895	2884	1995-06-09	VYDAJ	PREVOD NA UCET	3854	30073	SIPO	UV	41624492
846896	2884	1995-07-09	VYDAJ	PREVOD NA UCET	3854	35274	SIPO	UV	41624492
846897	2884	1995-08-09	VYDAJ	PREVOD NA UCET	3854	34281	SIPO	UV	41624492
846898	2884	1995-09-09	VYDAJ	PREVOD NA UCET	3854	35285	SIPO	UV	41624492
846899	2884	1995-10-09	VYDAJ	PREVOD NA UCET	3854	35393	SIPO	UV	41624492
846900	2884	1995-11-09	VYDAJ	PREVOD NA UCET	3854	35120	SIPO	UV	41624492
846901	2884	1995-12-09	VYDAJ	PREVOD NA UCET	3854	36428	SIPO	UV	41624492
846902	2884	1996-01-09	VYDAJ	PREVOD NA UCET	3854	37935	SIPO	UV	41624492
846903	2884	1996-02-09	VYDAJ	PREVOD NA UCET	3854	30411	SIPO	UV	41624492
846904	2884	1996-03-09	VYDAJ	PREVOD NA UCET	3854	35302	SIPO	UV	41624492
846905	2884	1996-04-09	VYDAJ	PREVOD NA UCET	3854	37395	SIPO	UV	41624492
846906	2884	1996-05-09	VYDAJ	PREVOD NA UCET	3854	42316	SIPO	UV	41624492
846907	2884	1996-06-09	VYDAJ	PREVOD NA UCET	3854	46056	SIPO	UV	41624492
846908	2884	1996-07-09	VYDAJ	PREVOD NA UCET	3854	38368	SIPO	UV	41624492
846909	2884	1996-08-09	VYDAJ	PREVOD NA UCET	3854	47098	SIPO	UV	41624492
846910	2884	1996-09-09	VYDAJ	PREVOD NA UCET	3854	50858	SIPO	UV	41624492
846911	2884	1996-10-09	VYDAJ	PREVOD NA UCET	3854	50828	SIPO	UV	41624492
846912	2884	1996-11-09	VYDAJ	PREVOD NA UCET	3854	53702	SIPO	UV	41624492
846913	2884	1996-12-09	VYDAJ	PREVOD NA UCET	3854	51981	SIPO	UV	41624492
846914	2884	1997-01-09	VYDAJ	PREVOD NA UCET	3854	51061	SIPO	UV	41624492
846915	2884	1997-02-09	VYDAJ	PREVOD NA UCET	3854	44821	SIPO	UV	41624492
846916	2884	1997-03-09	VYDAJ	PREVOD NA UCET	3854	49673	SIPO	UV	41624492
846917	2884	1997-04-09	VYDAJ	PREVOD NA UCET	3854	49637	SIPO	UV	41624492
846918	2884	1997-05-09	VYDAJ	PREVOD NA UCET	3854	52706	SIPO	UV	41624492
846919	2884	1997-06-09	VYDAJ	PREVOD NA UCET	3854	34538	SIPO	UV	41624492
846920	2884	1997-07-09	VYDAJ	PREVOD NA UCET	3854	42380	SIPO	UV	41624492
846921	2884	1997-08-09	VYDAJ	PREVOD NA UCET	3854	54036	SIPO	UV	41624492
846922	2884	1997-09-09	VYDAJ	PREVOD NA UCET	3854	60051	SIPO	UV	41624492
846923	2884	1997-10-09	VYDAJ	PREVOD NA UCET	3854	65969	SIPO	UV	41624492
846924	2884	1997-11-09	VYDAJ	PREVOD NA UCET	3854	66929	SIPO	UV	41624492
846925	2884	1997-12-09	VYDAJ	PREVOD NA UCET	3854	71476	SIPO	UV	41624492
846926	2884	1998-01-09	VYDAJ	PREVOD NA UCET	3854	70851	SIPO	UV	41624492
846927	2884	1998-02-09	VYDAJ	PREVOD NA UCET	3854	70450	SIPO	UV	41624492
846928	2884	1998-03-09	VYDAJ	PREVOD NA UCET	3854	72104	SIPO	UV	41624492
846929	2884	1998-04-09	VYDAJ	PREVOD NA UCET	3854	78574	SIPO	UV	41624492
846930	2884	1998-05-09	VYDAJ	PREVOD NA UCET	3854	79159	SIPO	UV	41624492
846931	2884	1998-06-09	VYDAJ	PREVOD NA UCET	3854	84355	SIPO	UV	41624492
846932	2884	1998-07-09	VYDAJ	PREVOD NA UCET	3854	61182	SIPO	UV	41624492
846933	2884	1998-08-09	VYDAJ	PREVOD NA UCET	3854	69034	SIPO	UV	41624492
846934	2884	1998-09-09	VYDAJ	PREVOD NA UCET	3854	81910	SIPO	UV	41624492
846935	2884	1998-10-09	VYDAJ	PREVOD NA UCET	3854	87819	SIPO	UV	41624492
846936	2884	1998-11-09	VYDAJ	PREVOD NA UCET	3854	98359	SIPO	UV	41624492
846937	2884	1998-12-09	VYDAJ	PREVOD NA UCET	3854	95923	SIPO	UV	41624492
846941	2884	1996-06-16	VYDAJ	VYBER	21920	32851	\N	\N	\N
846942	2884	1997-06-07	VYDAJ	VYBER	12960	38392	\N	\N	\N
846943	2884	1998-06-17	VYDAJ	VYBER	23360	66410	\N	\N	\N
846950	2884	1994-01-26	VYDAJ	VYBER	840	25080	\N	\N	\N
846951	2884	1994-01-26	VYDAJ	VYBER	960	24120	\N	\N	\N
846952	2884	1994-01-06	VYDAJ	VYBER	1320	25284	\N	\N	\N
846953	2884	1994-01-29	VYDAJ	VYBER	3000	21120	\N	\N	\N
846954	2884	1994-01-04	VYDAJ	VYBER	3120	26604	\N	\N	\N
846955	2884	1994-01-10	VYDAJ	VYBER	1320	20110	\N	\N	\N
846956	2884	1995-01-11	VYDAJ	VYBER	960	28029	\N	\N	\N
846957	2884	1995-01-13	VYDAJ	VYBER	2400	25629	\N	\N	\N
846958	2884	1995-01-01	VYDAJ	VYBER	2400	27033	\N	\N	\N
846959	2884	1995-01-21	VYDAJ	VYBER	2880	20229	\N	\N	\N
846960	2884	1995-01-13	VYDAJ	VYBER	2520	23109	\N	\N	\N
846961	2884	1995-01-30	VYDAJ	VYBER	1080	26049	\N	\N	\N
846962	2884	1996-01-29	VYDAJ	VYBER	2640	37345	\N	\N	\N
846963	2884	1996-01-30	VYDAJ	VYBER	3240	34105	\N	\N	\N
846964	2884	1996-01-10	VYDAJ	VYBER	1440	36495	\N	\N	\N
846965	2884	1996-01-06	VYDAJ	VYBER	1080	41789	\N	\N	\N
846966	2884	1996-01-01	VYDAJ	VYBER	3240	42869	\N	\N	\N
846967	2884	1996-01-29	VYDAJ	VYBER	3120	39985	\N	\N	\N
846968	2884	1997-01-29	VYDAJ	VYBER	1560	48471	\N	\N	\N
846969	2884	1997-01-21	VYDAJ	VYBER	2160	50031	\N	\N	\N
846970	2884	1997-01-15	VYDAJ	VYBER	600	55311	\N	\N	\N
846971	2884	1997-01-18	VYDAJ	VYBER	2040	52191	\N	\N	\N
846972	2884	1997-01-16	VYDAJ	VYBER	1080	54231	\N	\N	\N
846973	2884	1997-01-15	VYDAJ	VYBER	960	55911	\N	\N	\N
846974	2884	1998-01-05	VYDAJ	VYBER	1440	78065	\N	\N	\N
846975	2884	1998-01-23	VYDAJ	VYBER	2640	75441	\N	\N	\N
846976	2884	1998-01-05	VYDAJ	VYBER	3360	74705	\N	\N	\N
846977	2884	1998-01-23	VYDAJ	VYBER	720	74721	\N	\N	\N
846978	2884	1998-01-03	VYDAJ	VYBER	3000	79505	\N	\N	\N
846979	2884	1998-01-14	VYDAJ	VYBER	3480	78081	\N	\N	\N
846981	2884	1993-11-01	VYDAJ	VYBER	5280	23171	\N	\N	\N
846985	2884	1993-12-02	VYDAJ	VYBER	3360	23964	\N	\N	\N
846986	2884	1994-04-20	VYDAJ	VYBER	5160	18064	\N	\N	\N
846987	2884	1994-05-15	VYDAJ	VYBER	1320	18206	\N	\N	\N
846988	2884	1994-02-16	VYDAJ	VYBER	2520	20346	\N	\N	\N
846989	2884	1994-03-21	VYDAJ	VYBER	5280	19794	\N	\N	\N
846990	2884	1994-05-06	VYDAJ	VYBER	2160	17570	\N	\N	\N
846991	2884	1994-03-28	VYDAJ	VYBER	2400	17394	\N	\N	\N
846992	2884	1994-08-22	VYDAJ	VYBER	1440	27271	\N	\N	\N
846993	2884	1995-04-02	VYDAJ	VYBER	4680	22553	\N	\N	\N
846994	2884	1995-03-20	VYDAJ	VYBER	2280	26830	\N	\N	\N
846995	2884	1995-04-12	VYDAJ	VYBER	1560	22949	\N	\N	\N
846996	2884	1995-10-23	VYDAJ	VYBER	2280	38923	\N	\N	\N
846997	2884	1995-05-29	VYDAJ	VYBER	1320	33825	\N	\N	\N
846998	2884	1995-04-17	VYDAJ	VYBER	3240	19709	\N	\N	\N
846999	2884	1995-03-09	VYDAJ	VYBER	3840	27154	\N	\N	\N
847000	2884	1996-04-07	VYDAJ	VYBER	1440	41249	\N	\N	\N
847001	2884	1996-03-30	VYDAJ	VYBER	2880	42532	\N	\N	\N
847002	2884	1997-05-24	VYDAJ	VYBER	5400	51136	\N	\N	\N
847003	2884	1997-05-23	VYDAJ	VYBER	1680	56536	\N	\N	\N
847004	2884	1997-06-26	VYDAJ	VYBER	4800	46053	\N	\N	\N
847005	2884	1997-11-03	VYDAJ	VYBER	3480	70783	\N	\N	\N
847006	2884	1997-08-24	VYDAJ	VYBER	1080	63666	\N	\N	\N
847007	2884	1998-06-19	VYDAJ	VYBER	1680	64730	\N	\N	\N
847008	2884	1998-05-02	VYDAJ	VYBER	1200	83013	\N	\N	\N
847009	2884	1998-01-25	VYDAJ	VYBER	720	74001	\N	\N	\N
847010	2884	1998-03-09	VYDAJ	VYBER	1200	75958	\N	\N	\N
847011	2884	1998-07-19	VYDAJ	VYBER	4080	72612	\N	\N	\N
847018	2884	1993-06-30	VYDAJ	VYBER	15	33980	SLUZBY	\N	\N
847019	2884	1993-07-31	VYDAJ	VYBER	15	31454	SLUZBY	\N	\N
847020	2884	1993-08-31	VYDAJ	VYBER	15	32327	SLUZBY	\N	\N
847021	2884	1993-09-30	VYDAJ	VYBER	15	29392	SLUZBY	\N	\N
847022	2884	1993-10-31	VYDAJ	VYBER	15	28451	SLUZBY	\N	\N
847023	2884	1993-11-30	VYDAJ	VYBER	15	27324	SLUZBY	\N	\N
847024	2884	1993-12-31	VYDAJ	VYBER	15	28724	SLUZBY	\N	\N
847025	2884	1994-01-31	VYDAJ	VYBER	15	21210	SLUZBY	\N	\N
847026	2884	1994-02-28	VYDAJ	VYBER	15	20418	SLUZBY	\N	\N
847027	2884	1994-03-31	VYDAJ	VYBER	15	17468	SLUZBY	\N	\N
847028	2884	1994-04-30	VYDAJ	VYBER	15	18130	SLUZBY	\N	\N
847029	2884	1994-05-31	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
847030	2884	1994-06-30	VYDAJ	VYBER	15	24907	SLUZBY	\N	\N
847031	2884	1994-07-31	VYDAJ	VYBER	15	26655	SLUZBY	\N	\N
847032	2884	1994-08-31	VYDAJ	VYBER	15	27370	SLUZBY	\N	\N
847033	2884	1994-09-30	VYDAJ	VYBER	15	28527	SLUZBY	\N	\N
847034	2884	1994-10-31	VYDAJ	VYBER	15	28685	SLUZBY	\N	\N
847035	2884	1994-11-30	VYDAJ	VYBER	15	30751	SLUZBY	\N	\N
847036	2884	1994-12-31	VYDAJ	VYBER	15	29433	SLUZBY	\N	\N
847037	2884	1995-01-31	VYDAJ	VYBER	15	26139	SLUZBY	\N	\N
847038	2884	1995-02-28	VYDAJ	VYBER	15	30994	SLUZBY	\N	\N
847039	2884	1995-03-31	VYDAJ	VYBER	15	27233	SLUZBY	\N	\N
847040	2884	1995-04-30	VYDAJ	VYBER	15	26189	SLUZBY	\N	\N
847041	2884	1995-05-31	VYDAJ	VYBER	15	33927	SLUZBY	\N	\N
847042	2884	1995-06-30	VYDAJ	VYBER	15	39128	SLUZBY	\N	\N
847043	2884	1995-07-31	VYDAJ	VYBER	15	38135	SLUZBY	\N	\N
847044	2884	1995-08-31	VYDAJ	VYBER	15	39139	SLUZBY	\N	\N
847045	2884	1995-09-30	VYDAJ	VYBER	15	39247	SLUZBY	\N	\N
847046	2884	1995-10-31	VYDAJ	VYBER	15	38974	SLUZBY	\N	\N
847047	2884	1995-11-30	VYDAJ	VYBER	15	40282	SLUZBY	\N	\N
847048	2884	1995-12-31	VYDAJ	VYBER	15	46109	SLUZBY	\N	\N
847049	2884	1996-01-31	VYDAJ	VYBER	15	34265	SLUZBY	\N	\N
847050	2884	1996-02-29	VYDAJ	VYBER	15	39156	SLUZBY	\N	\N
847051	2884	1996-03-31	VYDAJ	VYBER	15	42689	SLUZBY	\N	\N
847052	2884	1996-04-30	VYDAJ	VYBER	15	46170	SLUZBY	\N	\N
847053	2884	1996-05-31	VYDAJ	VYBER	15	49910	SLUZBY	\N	\N
847054	2884	1996-06-30	VYDAJ	VYBER	15	42222	SLUZBY	\N	\N
847055	2884	1996-07-31	VYDAJ	VYBER	15	50952	SLUZBY	\N	\N
847056	2884	1996-08-31	VYDAJ	VYBER	15	54712	SLUZBY	\N	\N
847057	2884	1996-09-30	VYDAJ	VYBER	15	54682	SLUZBY	\N	\N
847058	2884	1996-10-31	VYDAJ	VYBER	15	57556	SLUZBY	\N	\N
847059	2884	1996-11-30	VYDAJ	VYBER	15	55835	SLUZBY	\N	\N
847060	2884	1996-12-31	VYDAJ	VYBER	15	54915	SLUZBY	\N	\N
847061	2884	1997-01-31	VYDAJ	VYBER	15	48675	SLUZBY	\N	\N
847062	2884	1997-02-28	VYDAJ	VYBER	15	53527	SLUZBY	\N	\N
847063	2884	1997-03-31	VYDAJ	VYBER	15	53491	SLUZBY	\N	\N
847064	2884	1997-04-30	VYDAJ	VYBER	15	56560	SLUZBY	\N	\N
847065	2884	1997-05-31	VYDAJ	VYBER	15	51352	SLUZBY	\N	\N
847066	2884	1997-06-30	VYDAJ	VYBER	15	46234	SLUZBY	\N	\N
847067	2884	1997-07-31	VYDAJ	VYBER	15	57890	SLUZBY	\N	\N
847068	2884	1997-08-31	VYDAJ	VYBER	15	63905	SLUZBY	\N	\N
847069	2884	1997-09-30	VYDAJ	VYBER	15	69823	SLUZBY	\N	\N
847070	2884	1997-10-31	VYDAJ	VYBER	15	74263	SLUZBY	\N	\N
847071	2884	1997-11-30	VYDAJ	VYBER	15	75330	SLUZBY	\N	\N
847072	2884	1997-12-31	VYDAJ	VYBER	15	82505	SLUZBY	\N	\N
847073	2884	1998-01-31	VYDAJ	VYBER	15	74304	SLUZBY	\N	\N
847074	2884	1998-02-28	VYDAJ	VYBER	15	77158	SLUZBY	\N	\N
847075	2884	1998-03-31	VYDAJ	VYBER	15	82428	SLUZBY	\N	\N
847076	2884	1998-04-30	VYDAJ	VYBER	15	84213	SLUZBY	\N	\N
847077	2884	1998-05-31	VYDAJ	VYBER	15	88209	SLUZBY	\N	\N
847078	2884	1998-06-30	VYDAJ	VYBER	15	65036	SLUZBY	\N	\N
847079	2884	1998-07-31	VYDAJ	VYBER	15	72888	SLUZBY	\N	\N
847080	2884	1998-08-31	VYDAJ	VYBER	15	85764	SLUZBY	\N	\N
847081	2884	1998-09-30	VYDAJ	VYBER	15	91673	SLUZBY	\N	\N
847082	2884	1998-10-31	VYDAJ	VYBER	15	99513	SLUZBY	\N	\N
847083	2884	1998-11-30	VYDAJ	VYBER	15	104577	SLUZBY	\N	\N
847084	2884	1993-03-10	PRIJEM	VKLAD	8300	15229	\N	\N	\N
847085	2884	1993-04-09	VYDAJ	VYBER	700	20407	\N	\N	\N
847086	2884	1993-05-09	VYDAJ	VYBER	3300	23019	\N	\N	\N
847087	2884	1993-06-08	VYDAJ	VYBER	3800	25146	\N	\N	\N
847088	2884	1993-07-08	VYDAJ	VYBER	4600	29380	\N	\N	\N
847089	2884	1993-08-07	VYDAJ	VYBER	1200	30254	\N	\N	\N
847090	2884	1993-09-06	VYDAJ	VYBER	5000	27327	\N	\N	\N
847091	2884	1993-10-06	VYDAJ	VYBER	3000	26392	\N	\N	\N
847092	2884	1993-11-05	PRIJEM	VKLAD	2100	25271	\N	\N	\N
847093	2884	1993-12-05	VYDAJ	VYBER	200	23764	\N	\N	\N
847094	2884	1994-01-04	PRIJEM	VKLAD	1000	29724	\N	\N	\N
847095	2884	1994-02-03	VYDAJ	VYBER	300	20910	\N	\N	\N
847096	2884	1994-03-05	PRIJEM	VKLAD	2700	23118	\N	\N	\N
847097	2884	1994-04-04	PRIJEM	VKLAD	3800	21268	\N	\N	\N
847098	2884	1994-05-04	PRIJEM	VKLAD	1600	19730	\N	\N	\N
847099	2884	1994-06-03	PRIJEM	VKLAD	1700	19967	\N	\N	\N
847100	2884	1994-07-03	VYDAJ	VYBER	300	24607	\N	\N	\N
847101	2884	1994-08-02	PRIJEM	VKLAD	100	26755	\N	\N	\N
847102	2884	1994-09-01	VYDAJ	VYBER	900	26470	\N	\N	\N
847103	2884	1994-10-01	VYDAJ	VYBER	1900	26627	\N	\N	\N
847104	2884	1994-11-30	VYDAJ	VYBER	2000	28751	\N	\N	\N
847105	2884	1994-12-30	VYDAJ	VYBER	4300	29312	\N	\N	\N
847106	2884	1995-01-29	PRIJEM	VKLAD	6900	27129	\N	\N	\N
847107	2884	1995-02-28	PRIJEM	VKLAD	2800	30895	\N	\N	\N
847108	2884	1995-03-30	PRIJEM	VKLAD	300	27130	\N	\N	\N
847109	2884	1995-04-29	PRIJEM	VKLAD	6400	26109	\N	\N	\N
847110	2884	1995-05-29	PRIJEM	VKLAD	7000	35145	\N	\N	\N
847111	2884	1995-06-28	PRIJEM	VKLAD	200	38988	\N	\N	\N
847112	2884	1995-07-28	VYDAJ	VYBER	3100	37984	\N	\N	\N
847113	2884	1995-08-27	VYDAJ	VYBER	1100	38991	\N	\N	\N
847114	2884	1995-09-26	VYDAJ	VYBER	2000	39095	\N	\N	\N
847115	2884	1995-10-26	VYDAJ	VYBER	100	38823	\N	\N	\N
847116	2884	1995-11-25	VYDAJ	VYBER	800	40130	\N	\N	\N
847117	2884	1995-12-25	PRIJEM	VKLAD	800	45943	\N	\N	\N
847118	2884	1996-01-24	PRIJEM	VKLAD	800	43105	\N	\N	\N
847119	2884	1996-02-23	PRIJEM	VKLAD	2800	39021	\N	\N	\N
847120	2884	1996-03-24	PRIJEM	VKLAD	4300	45412	\N	\N	\N
847121	2884	1996-04-23	PRIJEM	VKLAD	2800	46005	\N	\N	\N
847122	2884	1996-05-23	PRIJEM	VKLAD	1600	49726	\N	\N	\N
847123	2884	1996-06-22	PRIJEM	VKLAD	9200	42051	\N	\N	\N
847124	2884	1996-07-22	PRIJEM	VKLAD	6600	50778	\N	\N	\N
847125	2884	1996-08-21	PRIJEM	VKLAD	1600	54508	\N	\N	\N
847126	2884	1996-09-20	VYDAJ	VYBER	2200	54468	\N	\N	\N
847127	2884	1996-10-20	PRIJEM	VKLAD	700	57338	\N	\N	\N
847128	2884	1996-11-19	VYDAJ	VYBER	3900	55612	\N	\N	\N
847129	2884	1996-12-19	VYDAJ	VYBER	6000	54696	\N	\N	\N
847130	2884	1997-02-17	PRIJEM	VKLAD	2700	53331	\N	\N	\N
847131	2884	1997-03-19	VYDAJ	VYBER	2200	53283	\N	\N	\N
847132	2884	1997-04-18	PRIJEM	VKLAD	900	56347	\N	\N	\N
847133	2884	1997-05-18	VYDAJ	VYBER	300	58216	\N	\N	\N
847134	2884	1997-06-17	PRIJEM	VKLAD	7600	50853	\N	\N	\N
847135	2884	1997-07-17	PRIJEM	VKLAD	9500	57690	\N	\N	\N
847136	2884	1997-08-16	PRIJEM	VKLAD	4900	64746	\N	\N	\N
847137	2884	1997-09-15	PRIJEM	VKLAD	3700	69561	\N	\N	\N
847138	2884	1997-10-15	PRIJEM	VKLAD	2200	73979	\N	\N	\N
847139	2884	1997-11-14	PRIJEM	VKLAD	2300	75039	\N	\N	\N
847140	2884	1997-12-14	PRIJEM	VKLAD	2000	82191	\N	\N	\N
847141	2884	1998-01-13	PRIJEM	VKLAD	4900	81561	\N	\N	\N
847142	2884	1998-02-12	PRIJEM	VKLAD	600	76860	\N	\N	\N
847143	2884	1998-03-14	PRIJEM	VKLAD	4200	82114	\N	\N	\N
847144	2884	1998-04-13	VYDAJ	VYBER	500	83884	\N	\N	\N
847145	2884	1998-05-13	PRIJEM	VKLAD	2900	87869	\N	\N	\N
847146	2884	1998-06-12	VYDAJ	VYBER	3300	89770	\N	\N	\N
847147	2884	1998-07-12	PRIJEM	VKLAD	9700	76692	\N	\N	\N
847148	2884	1998-08-11	PRIJEM	VKLAD	10600	85444	\N	\N	\N
847149	2884	1998-09-10	PRIJEM	VKLAD	3600	85510	\N	\N	\N
847150	2884	1998-10-10	PRIJEM	VKLAD	5500	93319	\N	\N	\N
847151	2884	1998-11-09	PRIJEM	VKLAD	2700	102213	\N	\N	\N
847152	2884	1998-12-09	VYDAJ	VYBER	4800	99777	\N	\N	\N
847224	2885	1996-09-04	PRIJEM	VKLAD	800	800	\N	\N	\N
847233	2885	1996-09-07	PRIJEM	VKLAD	19486	20286	\N	\N	\N
847234	2885	1996-10-07	PRIJEM	VKLAD	19486	43340	\N	\N	\N
847235	2885	1996-11-07	PRIJEM	VKLAD	19486	54788	\N	\N	\N
847236	2885	1996-12-07	PRIJEM	VKLAD	29229	73135	\N	\N	\N
847237	2885	1997-01-07	PRIJEM	VKLAD	19486	74011	\N	\N	\N
847238	2885	1997-02-07	PRIJEM	VKLAD	19486	58141	\N	\N	\N
847239	2885	1997-03-07	PRIJEM	VKLAD	19486	61925	\N	\N	\N
847240	2885	1997-04-07	PRIJEM	VKLAD	19486	63320	\N	\N	\N
847241	2885	1997-05-07	PRIJEM	VKLAD	19486	62823	\N	\N	\N
847242	2885	1997-06-07	PRIJEM	VKLAD	29229	74269	\N	\N	\N
847243	2885	1997-07-07	PRIJEM	VKLAD	19486	55674	\N	\N	\N
847244	2885	1997-08-07	PRIJEM	VKLAD	19486	60233	\N	\N	\N
847245	2885	1997-09-07	PRIJEM	VKLAD	19486	66696	\N	\N	\N
847246	2885	1997-10-07	PRIJEM	VKLAD	19486	68083	\N	\N	\N
847247	2885	1997-11-07	PRIJEM	VKLAD	19486	66574	\N	\N	\N
847248	2885	1997-12-07	PRIJEM	VKLAD	29229	78103	\N	\N	\N
847249	2885	1998-01-07	PRIJEM	VKLAD	19486	64426	\N	\N	\N
847250	2885	1998-02-07	PRIJEM	VKLAD	19486	63812	\N	\N	\N
847251	2885	1998-03-07	PRIJEM	VKLAD	19486	72587	\N	\N	\N
847252	2885	1998-04-07	PRIJEM	VKLAD	19486	76895	\N	\N	\N
847253	2885	1998-05-07	PRIJEM	VKLAD	19486	82924	\N	\N	\N
847254	2885	1998-06-07	PRIJEM	VKLAD	29229	97320	\N	\N	\N
847255	2885	1998-07-07	PRIJEM	VKLAD	19486	80982	\N	\N	\N
847256	2885	1998-08-07	PRIJEM	VKLAD	19486	77721	\N	\N	\N
847257	2885	1998-09-07	PRIJEM	VKLAD	19486	81270	\N	\N	\N
847258	2885	1998-10-07	PRIJEM	VKLAD	19486	86613	\N	\N	\N
847259	2885	1998-11-07	PRIJEM	VKLAD	19486	90378	\N	\N	\N
847260	2885	1998-12-07	PRIJEM	VKLAD	29229	107103	\N	\N	\N
847273	2885	1997-01-14	VYDAJ	PREVOD NA UCET	7905	63306	SIPO	IJ	81014710
847274	2885	1997-02-14	VYDAJ	PREVOD NA UCET	7905	50236	SIPO	IJ	81014710
847275	2885	1997-03-14	VYDAJ	PREVOD NA UCET	7905	54020	SIPO	IJ	81014710
847276	2885	1997-04-14	VYDAJ	PREVOD NA UCET	7905	55415	SIPO	IJ	81014710
847277	2885	1997-05-14	VYDAJ	PREVOD NA UCET	7905	54918	SIPO	IJ	81014710
847278	2885	1997-06-14	VYDAJ	PREVOD NA UCET	7905	66364	SIPO	IJ	81014710
847279	2885	1997-07-14	VYDAJ	PREVOD NA UCET	7905	45869	SIPO	IJ	81014710
847280	2885	1997-08-14	VYDAJ	PREVOD NA UCET	7905	52328	SIPO	IJ	81014710
847281	2885	1997-09-14	VYDAJ	PREVOD NA UCET	7905	58791	SIPO	IJ	81014710
847282	2885	1997-10-14	VYDAJ	PREVOD NA UCET	7905	60178	SIPO	IJ	81014710
847283	2885	1997-11-14	VYDAJ	PREVOD NA UCET	7905	58669	SIPO	IJ	81014710
847284	2885	1997-12-14	VYDAJ	PREVOD NA UCET	7905	69498	SIPO	IJ	81014710
847285	2885	1998-01-14	VYDAJ	PREVOD NA UCET	7905	53621	SIPO	IJ	81014710
847286	2885	1998-02-14	VYDAJ	PREVOD NA UCET	7905	55907	SIPO	IJ	81014710
847287	2885	1998-03-14	VYDAJ	PREVOD NA UCET	7905	64682	SIPO	IJ	81014710
847288	2885	1998-04-14	VYDAJ	PREVOD NA UCET	7905	68990	SIPO	IJ	81014710
847289	2885	1998-05-14	VYDAJ	PREVOD NA UCET	7905	75019	SIPO	IJ	81014710
847290	2885	1998-06-14	VYDAJ	PREVOD NA UCET	7905	89415	SIPO	IJ	81014710
847291	2885	1998-07-14	VYDAJ	PREVOD NA UCET	7905	73077	SIPO	IJ	81014710
847292	2885	1998-08-14	VYDAJ	PREVOD NA UCET	7905	69816	SIPO	IJ	81014710
847293	2885	1998-09-14	VYDAJ	PREVOD NA UCET	7905	73365	SIPO	IJ	81014710
847294	2885	1998-10-14	VYDAJ	PREVOD NA UCET	7905	78708	SIPO	IJ	81014710
847295	2885	1998-11-14	VYDAJ	PREVOD NA UCET	7905	82473	SIPO	IJ	81014710
847296	2885	1998-12-14	VYDAJ	PREVOD NA UCET	7905	96398	SIPO	IJ	81014710
847298	2885	1997-06-22	VYDAJ	VYBER	28800	37564	\N	\N	\N
847299	2885	1998-06-18	VYDAJ	VYBER	16300	73115	\N	\N	\N
847301	2885	1997-01-08	VYDAJ	VYBER	2100	71911	\N	\N	\N
847302	2885	1998-01-03	VYDAJ	VYBER	9100	44940	\N	\N	\N
847304	2885	1997-12-11	VYDAJ	VYBER	700	77403	\N	\N	\N
847305	2885	1998-12-09	VYDAJ	VYBER	2800	104303	\N	\N	\N
847312	2885	1997-01-12	VYDAJ	VYBER	700	71211	\N	\N	\N
847313	2885	1997-01-16	VYDAJ	VYBER	2600	60706	\N	\N	\N
847314	2885	1997-01-16	VYDAJ	VYBER	2600	58106	\N	\N	\N
847315	2885	1997-01-22	VYDAJ	VYBER	1700	53906	\N	\N	\N
847316	2885	1997-01-28	VYDAJ	VYBER	500	53406	\N	\N	\N
847317	2885	1997-01-19	VYDAJ	VYBER	2500	55606	\N	\N	\N
847318	2885	1998-01-21	VYDAJ	VYBER	700	50421	\N	\N	\N
847319	2885	1998-01-12	VYDAJ	VYBER	2300	61526	\N	\N	\N
847320	2885	1998-01-23	VYDAJ	VYBER	1200	46721	\N	\N	\N
847321	2885	1998-01-16	VYDAJ	VYBER	2500	51121	\N	\N	\N
847322	2885	1998-01-09	VYDAJ	VYBER	600	63826	\N	\N	\N
847323	2885	1998-01-23	VYDAJ	VYBER	2500	47921	\N	\N	\N
847329	2885	1997-02-06	VYDAJ	VYBER	3700	38655	\N	\N	\N
847330	2885	1997-03-29	VYDAJ	VYBER	500	52320	\N	\N	\N
847331	2885	1997-03-26	VYDAJ	VYBER	1200	52820	\N	\N	\N
847332	2885	1997-07-13	VYDAJ	VYBER	1900	53774	\N	\N	\N
847333	2885	1998-06-25	VYDAJ	VYBER	2500	70615	\N	\N	\N
847334	2885	1998-08-05	VYDAJ	VYBER	2100	58235	\N	\N	\N
847335	2885	1998-03-15	VYDAJ	VYBER	1900	62782	\N	\N	\N
847349	2885	1997-01-31	VYDAJ	VYBER	15	53655	SLUZBY	\N	\N
847350	2885	1997-02-28	VYDAJ	VYBER	15	50439	SLUZBY	\N	\N
847351	2885	1997-03-31	VYDAJ	VYBER	15	52534	SLUZBY	\N	\N
847352	2885	1997-04-30	VYDAJ	VYBER	15	55637	SLUZBY	\N	\N
847353	2885	1997-05-31	VYDAJ	VYBER	15	55140	SLUZBY	\N	\N
847354	2885	1997-06-30	VYDAJ	VYBER	15	37788	SLUZBY	\N	\N
847355	2885	1997-07-31	VYDAJ	VYBER	15	46047	SLUZBY	\N	\N
847356	2885	1997-08-31	VYDAJ	VYBER	15	47210	SLUZBY	\N	\N
847357	2885	1997-09-30	VYDAJ	VYBER	15	48597	SLUZBY	\N	\N
847358	2885	1997-10-31	VYDAJ	VYBER	15	47088	SLUZBY	\N	\N
847359	2885	1997-11-30	VYDAJ	VYBER	15	48874	SLUZBY	\N	\N
847360	2885	1997-12-31	VYDAJ	VYBER	15	54040	SLUZBY	\N	\N
847361	2885	1998-01-31	VYDAJ	VYBER	15	44326	SLUZBY	\N	\N
847362	2885	1998-02-28	VYDAJ	VYBER	15	53101	SLUZBY	\N	\N
847363	2885	1998-03-31	VYDAJ	VYBER	15	57409	SLUZBY	\N	\N
847364	2885	1998-04-30	VYDAJ	VYBER	15	63438	SLUZBY	\N	\N
847365	2885	1998-05-31	VYDAJ	VYBER	15	68091	SLUZBY	\N	\N
847366	2885	1998-06-30	VYDAJ	VYBER	15	61496	SLUZBY	\N	\N
847367	2885	1998-07-31	VYDAJ	VYBER	15	60335	SLUZBY	\N	\N
847368	2885	1998-08-31	VYDAJ	VYBER	15	61784	SLUZBY	\N	\N
847369	2885	1998-09-30	VYDAJ	VYBER	15	67127	SLUZBY	\N	\N
847370	2885	1998-10-31	VYDAJ	VYBER	15	70892	SLUZBY	\N	\N
847371	2885	1998-11-30	VYDAJ	VYBER	15	77874	SLUZBY	\N	\N
847372	2885	1996-10-04	PRIJEM	VKLAD	3500	23854	\N	\N	\N
847373	2885	1996-11-03	VYDAJ	VYBER	8200	35302	\N	\N	\N
847374	2885	1996-12-03	VYDAJ	VYBER	11100	43906	\N	\N	\N
847375	2885	1997-01-02	VYDAJ	VYBER	18900	54525	\N	\N	\N
847376	2885	1997-02-01	VYDAJ	VYBER	11300	42355	\N	\N	\N
847377	2885	1997-03-03	VYDAJ	VYBER	8000	42439	\N	\N	\N
847378	2885	1997-04-02	VYDAJ	VYBER	8700	43834	\N	\N	\N
847379	2885	1997-05-02	VYDAJ	VYBER	12300	43337	\N	\N	\N
847380	2885	1997-06-01	VYDAJ	VYBER	10100	45040	\N	\N	\N
847381	2885	1997-07-01	VYDAJ	VYBER	1600	36188	\N	\N	\N
847382	2885	1997-07-31	VYDAJ	VYBER	5300	40747	\N	\N	\N
847383	2885	1997-08-30	VYDAJ	VYBER	5300	47028	\N	\N	\N
847384	2885	1997-09-29	VYDAJ	VYBER	10400	48391	\N	\N	\N
847385	2885	1997-10-29	VYDAJ	VYBER	13300	46878	\N	\N	\N
847386	2885	1997-11-28	VYDAJ	VYBER	10000	48669	\N	\N	\N
847387	2885	1997-12-28	VYDAJ	VYBER	15700	53798	\N	\N	\N
847388	2885	1998-01-27	VYDAJ	VYBER	2600	44121	\N	\N	\N
847389	2885	1998-02-26	VYDAJ	VYBER	3000	52907	\N	\N	\N
847390	2885	1998-03-28	VYDAJ	VYBER	5600	57182	\N	\N	\N
847391	2885	1998-04-27	VYDAJ	VYBER	5800	63190	\N	\N	\N
847392	2885	1998-05-27	VYDAJ	VYBER	7200	67819	\N	\N	\N
847393	2885	1998-06-26	VYDAJ	VYBER	9400	61215	\N	\N	\N
847394	2885	1998-07-26	VYDAJ	VYBER	13000	60077	\N	\N	\N
847395	2885	1998-08-25	VYDAJ	VYBER	8300	61516	\N	\N	\N
847396	2885	1998-09-24	VYDAJ	VYBER	6500	66865	\N	\N	\N
847397	2885	1998-10-24	VYDAJ	VYBER	8100	70608	\N	\N	\N
847398	2885	1998-11-23	VYDAJ	VYBER	4900	77573	\N	\N	\N
847427	2886	1994-04-08	PRIJEM	VKLAD	900	900	\N	\N	\N
847432	2886	1994-05-05	PRIJEM	VKLAD	5209	6109	\N	\N	\N
847433	2886	1994-06-05	PRIJEM	VKLAD	7814	21969	\N	\N	\N
847434	2886	1994-07-05	PRIJEM	VKLAD	5209	30273	\N	\N	\N
847435	2886	1994-08-05	PRIJEM	VKLAD	5209	30687	\N	\N	\N
847436	2886	1994-09-05	PRIJEM	VKLAD	5209	32307	\N	\N	\N
847437	2886	1994-10-05	PRIJEM	VKLAD	5209	29134	\N	\N	\N
847438	2886	1994-11-05	PRIJEM	VKLAD	5209	27556	\N	\N	\N
847439	2886	1994-12-05	PRIJEM	VKLAD	7814	30987	\N	\N	\N
847440	2886	1995-01-05	PRIJEM	VKLAD	5209	30721	\N	\N	\N
847441	2886	1995-02-05	PRIJEM	VKLAD	5209	26849	\N	\N	\N
847442	2886	1995-03-05	PRIJEM	VKLAD	5209	28669	\N	\N	\N
847443	2886	1995-04-05	PRIJEM	VKLAD	5209	28193	\N	\N	\N
847444	2886	1995-05-05	PRIJEM	VKLAD	5209	31322	\N	\N	\N
847445	2886	1995-06-05	PRIJEM	VKLAD	7814	35164	\N	\N	\N
847446	2886	1995-07-05	PRIJEM	VKLAD	5209	32705	\N	\N	\N
847447	2886	1995-08-05	PRIJEM	VKLAD	5209	32149	\N	\N	\N
847448	2886	1995-09-05	PRIJEM	VKLAD	5209	29088	\N	\N	\N
847449	2886	1995-10-05	PRIJEM	VKLAD	5209	28006	\N	\N	\N
847450	2886	1995-11-05	PRIJEM	VKLAD	5209	32034	\N	\N	\N
847451	2886	1995-12-05	PRIJEM	VKLAD	7814	39478	\N	\N	\N
847452	2886	1996-01-05	PRIJEM	VKLAD	5209	36137	\N	\N	\N
847453	2886	1996-02-05	PRIJEM	VKLAD	5209	31078	\N	\N	\N
847454	2886	1996-03-05	PRIJEM	VKLAD	5209	35914	\N	\N	\N
847455	2886	1996-04-05	PRIJEM	VKLAD	5209	38969	\N	\N	\N
847456	2886	1996-05-05	PRIJEM	VKLAD	5209	37235	\N	\N	\N
847457	2886	1996-06-05	PRIJEM	VKLAD	7814	34489	\N	\N	\N
847458	2886	1996-07-05	PRIJEM	VKLAD	5209	30539	\N	\N	\N
847459	2886	1996-08-05	PRIJEM	VKLAD	5209	33071	\N	\N	\N
847460	2886	1996-09-05	PRIJEM	VKLAD	5209	33613	\N	\N	\N
847461	2886	1996-10-05	PRIJEM	VKLAD	5209	29554	\N	\N	\N
847462	2886	1996-11-05	PRIJEM	VKLAD	5209	26782	\N	\N	\N
847463	2886	1996-12-05	PRIJEM	VKLAD	7814	36216	\N	\N	\N
847464	2886	1997-01-05	PRIJEM	VKLAD	5209	39067	\N	\N	\N
847465	2886	1997-02-05	PRIJEM	VKLAD	5209	27909	\N	\N	\N
847466	2886	1997-03-05	PRIJEM	VKLAD	5209	36738	\N	\N	\N
847467	2886	1997-04-05	PRIJEM	VKLAD	5209	40797	\N	\N	\N
847468	2886	1997-05-05	PRIJEM	VKLAD	5209	38669	\N	\N	\N
847469	2886	1997-06-05	PRIJEM	VKLAD	7814	39536	\N	\N	\N
847470	2886	1997-07-05	PRIJEM	VKLAD	5209	25857	\N	\N	\N
847471	2886	1997-08-05	PRIJEM	VKLAD	5209	32075	\N	\N	\N
847472	2886	1997-09-05	PRIJEM	VKLAD	5209	31509	\N	\N	\N
847473	2886	1997-10-05	PRIJEM	VKLAD	5209	31843	\N	\N	\N
847474	2886	1997-11-05	PRIJEM	VKLAD	5209	33385	\N	\N	\N
847475	2886	1997-12-05	PRIJEM	VKLAD	7814	33626	\N	\N	\N
847476	2886	1998-01-05	PRIJEM	VKLAD	5209	25857	\N	\N	\N
847477	2886	1998-02-05	PRIJEM	VKLAD	5209	25171	\N	\N	\N
847478	2886	1998-03-05	PRIJEM	VKLAD	5209	25877	\N	\N	\N
847479	2886	1998-04-05	PRIJEM	VKLAD	5209	21380	\N	\N	\N
847480	2886	1998-05-05	PRIJEM	VKLAD	5209	28483	\N	\N	\N
847481	2886	1998-06-05	PRIJEM	VKLAD	7814	32910	\N	\N	\N
847482	2886	1998-07-05	PRIJEM	VKLAD	5209	31540	\N	\N	\N
847483	2886	1998-08-05	PRIJEM	VKLAD	5209	28363	\N	\N	\N
847484	2886	1998-09-05	PRIJEM	VKLAD	5209	26376	\N	\N	\N
847485	2886	1998-10-05	PRIJEM	VKLAD	5209	20370	\N	\N	\N
847486	2886	1998-11-05	PRIJEM	VKLAD	5209	18750	\N	\N	\N
847487	2886	1998-12-05	PRIJEM	VKLAD	7814	23136	\N	\N	\N
847496	2886	1994-09-12	VYDAJ	PREVOD NA UCET	3472	23835	SIPO	ST	55240148
847497	2886	1994-10-12	VYDAJ	PREVOD NA UCET	3472	22962	SIPO	ST	55240148
847498	2886	1994-11-12	VYDAJ	PREVOD NA UCET	3472	24084	SIPO	ST	55240148
847499	2886	1994-12-12	VYDAJ	PREVOD NA UCET	3472	27515	SIPO	ST	55240148
847500	2886	1995-01-12	VYDAJ	PREVOD NA UCET	3472	27249	SIPO	ST	55240148
847501	2886	1995-02-12	VYDAJ	PREVOD NA UCET	3472	23377	SIPO	ST	55240148
847502	2886	1995-03-12	VYDAJ	PREVOD NA UCET	3472	23997	SIPO	ST	55240148
847503	2886	1995-04-12	VYDAJ	PREVOD NA UCET	3472	24721	SIPO	ST	55240148
847504	2886	1995-05-12	VYDAJ	PREVOD NA UCET	3472	27850	SIPO	ST	55240148
847505	2886	1995-06-12	VYDAJ	PREVOD NA UCET	3472	30092	SIPO	ST	55240148
847506	2886	1995-07-12	VYDAJ	PREVOD NA UCET	3472	29233	SIPO	ST	55240148
847507	2886	1995-08-12	VYDAJ	PREVOD NA UCET	3472	26377	SIPO	ST	55240148
847508	2886	1995-09-12	VYDAJ	PREVOD NA UCET	3472	25616	SIPO	ST	55240148
847509	2886	1995-10-12	VYDAJ	PREVOD NA UCET	3472	24534	SIPO	ST	55240148
847510	2886	1995-11-12	VYDAJ	PREVOD NA UCET	3472	28562	SIPO	ST	55240148
847511	2886	1995-12-12	VYDAJ	PREVOD NA UCET	3472	36006	SIPO	ST	55240148
847512	2886	1996-01-12	VYDAJ	PREVOD NA UCET	3472	30365	SIPO	ST	55240148
847513	2886	1996-02-12	VYDAJ	PREVOD NA UCET	3472	27606	SIPO	ST	55240148
847514	2886	1996-03-12	VYDAJ	PREVOD NA UCET	3472	32442	SIPO	ST	55240148
847515	2886	1996-04-12	VYDAJ	PREVOD NA UCET	3472	35497	SIPO	ST	55240148
847516	2886	1996-05-12	VYDAJ	PREVOD NA UCET	3472	29563	SIPO	ST	55240148
847517	2886	1996-06-12	VYDAJ	PREVOD NA UCET	3472	31017	SIPO	ST	55240148
847518	2886	1996-07-12	VYDAJ	PREVOD NA UCET	3472	27067	SIPO	ST	55240148
847519	2886	1996-08-12	VYDAJ	PREVOD NA UCET	3472	29599	SIPO	ST	55240148
847520	2886	1996-09-12	VYDAJ	PREVOD NA UCET	3472	30141	SIPO	ST	55240148
847521	2886	1996-10-12	VYDAJ	PREVOD NA UCET	3472	24182	SIPO	ST	55240148
847522	2886	1996-11-12	VYDAJ	PREVOD NA UCET	3472	23310	SIPO	ST	55240148
847523	2886	1996-12-12	VYDAJ	PREVOD NA UCET	3472	32744	SIPO	ST	55240148
847524	2886	1997-01-12	VYDAJ	PREVOD NA UCET	3472	29595	SIPO	ST	55240148
847525	2886	1997-02-12	VYDAJ	PREVOD NA UCET	3472	24437	SIPO	ST	55240148
847526	2886	1997-03-12	VYDAJ	PREVOD NA UCET	3472	33266	SIPO	ST	55240148
847527	2886	1997-04-12	VYDAJ	PREVOD NA UCET	3472	36125	SIPO	ST	55240148
847528	2886	1997-05-12	VYDAJ	PREVOD NA UCET	3472	35197	SIPO	ST	55240148
847529	2886	1997-06-12	VYDAJ	PREVOD NA UCET	3472	14564	SIPO	ST	55240148
847530	2886	1997-07-12	VYDAJ	PREVOD NA UCET	3472	22385	SIPO	ST	55240148
847531	2886	1997-08-12	VYDAJ	PREVOD NA UCET	3472	28603	SIPO	ST	55240148
847532	2886	1997-09-12	VYDAJ	PREVOD NA UCET	3472	28037	SIPO	ST	55240148
847533	2886	1997-10-12	VYDAJ	PREVOD NA UCET	3472	28371	SIPO	ST	55240148
847534	2886	1997-11-12	VYDAJ	PREVOD NA UCET	3472	29913	SIPO	ST	55240148
847535	2886	1997-12-12	VYDAJ	PREVOD NA UCET	3472	30154	SIPO	ST	55240148
847536	2886	1998-01-12	VYDAJ	PREVOD NA UCET	3472	20685	SIPO	ST	55240148
847537	2886	1998-02-12	VYDAJ	PREVOD NA UCET	3472	21699	SIPO	ST	55240148
847538	2886	1998-03-12	VYDAJ	PREVOD NA UCET	3472	22405	SIPO	ST	55240148
847539	2886	1998-04-12	VYDAJ	PREVOD NA UCET	3472	17908	SIPO	ST	55240148
847540	2886	1998-05-12	VYDAJ	PREVOD NA UCET	3472	25011	SIPO	ST	55240148
847541	2886	1998-06-12	VYDAJ	PREVOD NA UCET	3472	29438	SIPO	ST	55240148
847542	2886	1998-07-12	VYDAJ	PREVOD NA UCET	3472	28068	SIPO	ST	55240148
847543	2886	1998-08-12	VYDAJ	PREVOD NA UCET	3472	24891	SIPO	ST	55240148
847544	2886	1998-09-12	VYDAJ	PREVOD NA UCET	3472	22904	SIPO	ST	55240148
847545	2886	1998-10-12	VYDAJ	PREVOD NA UCET	3472	16898	SIPO	ST	55240148
847546	2886	1998-11-12	VYDAJ	PREVOD NA UCET	3472	15278	SIPO	ST	55240148
847547	2886	1998-12-12	VYDAJ	PREVOD NA UCET	3472	16764	SIPO	ST	55240148
847549	2886	1995-06-20	VYDAJ	VYBER	6500	23592	\N	\N	\N
847550	2886	1996-06-04	VYDAJ	VYBER	4300	26675	\N	\N	\N
847551	2886	1997-06-12	VYDAJ	VYBER	21500	18036	\N	\N	\N
847555	2886	1996-01-08	VYDAJ	VYBER	1800	33837	\N	\N	\N
847556	2886	1997-01-19	VYDAJ	VYBER	5700	22095	\N	\N	\N
847557	2886	1998-01-03	VYDAJ	VYBER	1800	20648	\N	\N	\N
847558	2886	1994-12-17	VYDAJ	VYBER	1900	25615	\N	\N	\N
847559	2886	1995-12-16	VYDAJ	VYBER	2500	33506	\N	\N	\N
847560	2886	1996-12-19	VYDAJ	VYBER	2800	29944	\N	\N	\N
847561	2886	1997-12-25	VYDAJ	VYBER	1900	24754	\N	\N	\N
847562	2886	1998-12-05	VYDAJ	VYBER	2900	20236	\N	\N	\N
847569	2886	1995-01-20	VYDAJ	VYBER	2400	23649	\N	\N	\N
847570	2886	1995-01-12	VYDAJ	VYBER	1200	26049	\N	\N	\N
847571	2886	1995-01-24	VYDAJ	VYBER	900	20249	\N	\N	\N
847572	2886	1995-01-22	VYDAJ	VYBER	1500	22149	\N	\N	\N
847573	2886	1995-01-22	VYDAJ	VYBER	1000	21149	\N	\N	\N
847574	2886	1995-01-26	VYDAJ	VYBER	1800	18449	\N	\N	\N
847575	2886	1996-01-22	VYDAJ	VYBER	1900	24465	\N	\N	\N
847576	2886	1996-01-13	VYDAJ	VYBER	2000	28365	\N	\N	\N
847577	2886	1996-01-26	VYDAJ	VYBER	1800	21165	\N	\N	\N
847578	2886	1996-01-23	VYDAJ	VYBER	1500	22965	\N	\N	\N
847579	2886	1996-01-20	VYDAJ	VYBER	2000	26365	\N	\N	\N
847580	2886	1996-01-05	VYDAJ	VYBER	500	35637	\N	\N	\N
847581	2886	1997-01-12	VYDAJ	VYBER	700	28895	\N	\N	\N
847582	2886	1997-01-23	VYDAJ	VYBER	1800	27795	\N	\N	\N
847583	2886	1997-01-06	VYDAJ	VYBER	2900	36167	\N	\N	\N
847584	2886	1997-01-12	VYDAJ	VYBER	1100	27795	\N	\N	\N
847585	2886	1997-01-26	VYDAJ	VYBER	2800	22595	\N	\N	\N
847586	2886	1997-01-25	VYDAJ	VYBER	2400	25395	\N	\N	\N
847587	2886	1998-01-14	VYDAJ	VYBER	600	20085	\N	\N	\N
847588	2886	1998-01-08	VYDAJ	VYBER	1700	24157	\N	\N	\N
847589	2886	1998-01-17	VYDAJ	VYBER	700	21785	\N	\N	\N
847590	2886	1998-01-27	VYDAJ	VYBER	1900	19885	\N	\N	\N
847591	2886	1998-01-17	VYDAJ	VYBER	2100	22485	\N	\N	\N
847592	2886	1998-01-02	VYDAJ	VYBER	2400	22448	\N	\N	\N
847593	2886	1994-10-07	VYDAJ	VYBER	1000	26434	\N	\N	\N
847597	2886	1995-12-19	VYDAJ	VYBER	500	33006	\N	\N	\N
847598	2886	1995-08-12	VYDAJ	VYBER	2300	29849	\N	\N	\N
847599	2886	1995-06-05	VYDAJ	VYBER	1600	33564	\N	\N	\N
847600	2886	1995-05-14	VYDAJ	VYBER	1100	26750	\N	\N	\N
847601	2886	1995-09-18	VYDAJ	VYBER	4700	20916	\N	\N	\N
847602	2886	1995-03-07	VYDAJ	VYBER	1200	27469	\N	\N	\N
847603	2886	1995-10-03	VYDAJ	VYBER	900	22797	\N	\N	\N
847604	2886	1996-05-10	VYDAJ	VYBER	4200	33035	\N	\N	\N
847605	2886	1996-10-05	VYDAJ	VYBER	1900	27654	\N	\N	\N
847606	2886	1996-11-03	VYDAJ	VYBER	3600	21573	\N	\N	\N
847607	2886	1996-06-29	VYDAJ	VYBER	3600	25217	\N	\N	\N
847608	2886	1996-10-28	VYDAJ	VYBER	600	25082	\N	\N	\N
847609	2886	1996-09-27	VYDAJ	VYBER	4500	24241	\N	\N	\N
847610	2886	1996-06-19	VYDAJ	VYBER	2800	28217	\N	\N	\N
847611	2886	1997-04-22	VYDAJ	VYBER	3100	33325	\N	\N	\N
847612	2886	1997-10-03	VYDAJ	VYBER	1100	26634	\N	\N	\N
847613	2886	1997-04-05	VYDAJ	VYBER	1200	39597	\N	\N	\N
847614	2886	1997-03-22	VYDAJ	VYBER	4400	28866	\N	\N	\N
847615	2886	1997-05-25	VYDAJ	VYBER	4100	31597	\N	\N	\N
847616	2886	1997-11-26	VYDAJ	VYBER	600	25713	\N	\N	\N
847617	2886	1997-01-09	VYDAJ	VYBER	3100	33067	\N	\N	\N
847618	2886	1998-03-25	VYDAJ	VYBER	2700	16105	\N	\N	\N
847619	2886	1998-03-21	VYDAJ	VYBER	2800	18805	\N	\N	\N
847629	2886	1994-09-30	VYDAJ	VYBER	15	23925	SLUZBY	\N	\N
847630	2886	1994-10-31	VYDAJ	VYBER	15	23047	SLUZBY	\N	\N
847631	2886	1994-11-30	VYDAJ	VYBER	15	24173	SLUZBY	\N	\N
847632	2886	1994-12-31	VYDAJ	VYBER	15	25712	SLUZBY	\N	\N
847633	2886	1995-01-31	VYDAJ	VYBER	15	18540	SLUZBY	\N	\N
847634	2886	1995-02-28	VYDAJ	VYBER	15	23460	SLUZBY	\N	\N
847635	2886	1995-03-31	VYDAJ	VYBER	15	24084	SLUZBY	\N	\N
847636	2886	1995-04-30	VYDAJ	VYBER	15	24813	SLUZBY	\N	\N
847637	2886	1995-05-31	VYDAJ	VYBER	15	26850	SLUZBY	\N	\N
847638	2886	1995-06-30	VYDAJ	VYBER	15	23696	SLUZBY	\N	\N
847639	2886	1995-07-31	VYDAJ	VYBER	15	29340	SLUZBY	\N	\N
847640	2886	1995-08-31	VYDAJ	VYBER	15	26479	SLUZBY	\N	\N
847641	2886	1995-09-30	VYDAJ	VYBER	15	23697	SLUZBY	\N	\N
847642	2886	1995-10-31	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
847643	2886	1995-11-30	VYDAJ	VYBER	15	31664	SLUZBY	\N	\N
847644	2886	1995-12-31	VYDAJ	VYBER	15	30928	SLUZBY	\N	\N
847645	2886	1996-01-31	VYDAJ	VYBER	15	25869	SLUZBY	\N	\N
847646	2886	1996-02-29	VYDAJ	VYBER	15	30705	SLUZBY	\N	\N
847647	2886	1996-03-31	VYDAJ	VYBER	15	33760	SLUZBY	\N	\N
847648	2886	1996-04-30	VYDAJ	VYBER	15	32026	SLUZBY	\N	\N
847649	2886	1996-05-31	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
847650	2886	1996-06-30	VYDAJ	VYBER	15	25330	SLUZBY	\N	\N
847651	2886	1996-07-31	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
847652	2886	1996-08-31	VYDAJ	VYBER	15	28404	SLUZBY	\N	\N
847653	2886	1996-09-30	VYDAJ	VYBER	15	24345	SLUZBY	\N	\N
847654	2886	1996-10-31	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
847655	2886	1996-11-30	VYDAJ	VYBER	15	28402	SLUZBY	\N	\N
847656	2886	1996-12-31	VYDAJ	VYBER	15	33858	SLUZBY	\N	\N
847657	2886	1997-01-31	VYDAJ	VYBER	15	22700	SLUZBY	\N	\N
847658	2886	1997-02-28	VYDAJ	VYBER	15	31529	SLUZBY	\N	\N
847659	2886	1997-03-31	VYDAJ	VYBER	15	35588	SLUZBY	\N	\N
847660	2886	1997-04-30	VYDAJ	VYBER	15	33460	SLUZBY	\N	\N
847661	2886	1997-05-31	VYDAJ	VYBER	15	31722	SLUZBY	\N	\N
847662	2886	1997-06-30	VYDAJ	VYBER	15	20648	SLUZBY	\N	\N
847663	2886	1997-07-31	VYDAJ	VYBER	15	26866	SLUZBY	\N	\N
847664	2886	1997-08-31	VYDAJ	VYBER	15	26300	SLUZBY	\N	\N
847665	2886	1997-09-30	VYDAJ	VYBER	15	27734	SLUZBY	\N	\N
847666	2886	1997-10-31	VYDAJ	VYBER	15	28176	SLUZBY	\N	\N
847667	2886	1997-11-30	VYDAJ	VYBER	15	25812	SLUZBY	\N	\N
847668	2886	1997-12-31	VYDAJ	VYBER	15	24848	SLUZBY	\N	\N
847669	2886	1998-01-31	VYDAJ	VYBER	15	19962	SLUZBY	\N	\N
847670	2886	1998-02-28	VYDAJ	VYBER	15	20668	SLUZBY	\N	\N
847671	2886	1998-03-31	VYDAJ	VYBER	15	16171	SLUZBY	\N	\N
847672	2886	1998-04-30	VYDAJ	VYBER	15	23274	SLUZBY	\N	\N
847673	2886	1998-05-31	VYDAJ	VYBER	15	25096	SLUZBY	\N	\N
847674	2886	1998-06-30	VYDAJ	VYBER	15	26331	SLUZBY	\N	\N
847675	2886	1998-07-31	VYDAJ	VYBER	15	23154	SLUZBY	\N	\N
847676	2886	1998-08-31	VYDAJ	VYBER	15	21167	SLUZBY	\N	\N
847677	2886	1998-09-30	VYDAJ	VYBER	15	15161	SLUZBY	\N	\N
847678	2886	1998-10-31	VYDAJ	VYBER	15	13541	SLUZBY	\N	\N
847679	2886	1998-11-30	VYDAJ	VYBER	15	15322	SLUZBY	\N	\N
847680	2886	1994-05-08	PRIJEM	VKLAD	8000	14109	\N	\N	\N
847681	2886	1994-06-07	PRIJEM	VKLAD	3000	24969	\N	\N	\N
847682	2886	1994-07-07	VYDAJ	VYBER	4900	25373	\N	\N	\N
847683	2886	1994-08-06	VYDAJ	VYBER	3700	26987	\N	\N	\N
847684	2886	1994-09-05	VYDAJ	VYBER	5000	27307	\N	\N	\N
847685	2886	1994-10-05	VYDAJ	VYBER	1700	27434	\N	\N	\N
847686	2886	1994-11-04	VYDAJ	VYBER	700	22347	\N	\N	\N
847687	2886	1994-12-04	VYDAJ	VYBER	1000	23173	\N	\N	\N
847688	2886	1995-01-03	VYDAJ	VYBER	200	25512	\N	\N	\N
847689	2886	1995-02-02	PRIJEM	VKLAD	3100	21640	\N	\N	\N
847690	2886	1995-04-03	VYDAJ	VYBER	1100	22984	\N	\N	\N
847691	2886	1995-05-03	PRIJEM	VKLAD	1300	26113	\N	\N	\N
847692	2886	1995-06-02	PRIJEM	VKLAD	500	27350	\N	\N	\N
847693	2886	1995-07-02	PRIJEM	VKLAD	3800	27496	\N	\N	\N
847694	2886	1995-08-01	VYDAJ	VYBER	2400	26940	\N	\N	\N
847695	2886	1995-08-31	VYDAJ	VYBER	2600	23879	\N	\N	\N
847696	2886	1995-09-30	PRIJEM	VKLAD	2700	23616	\N	\N	\N
847697	2886	1995-10-30	PRIJEM	VKLAD	2200	26734	\N	\N	\N
847698	2886	1995-11-29	PRIJEM	VKLAD	3000	31562	\N	\N	\N
847699	2886	1995-12-29	VYDAJ	VYBER	2200	30806	\N	\N	\N
847700	2886	1996-01-28	PRIJEM	VKLAD	4600	25765	\N	\N	\N
847701	2886	1996-02-27	PRIJEM	VKLAD	3000	30606	\N	\N	\N
847702	2886	1996-03-28	PRIJEM	VKLAD	1200	33642	\N	\N	\N
847703	2886	1996-04-27	VYDAJ	VYBER	3600	31897	\N	\N	\N
847704	2886	1996-05-27	PRIJEM	VKLAD	1300	30863	\N	\N	\N
847705	2886	1996-06-26	PRIJEM	VKLAD	600	28817	\N	\N	\N
847706	2886	1996-07-26	PRIJEM	VKLAD	700	27767	\N	\N	\N
847707	2886	1996-08-25	VYDAJ	VYBER	1300	28299	\N	\N	\N
847708	2886	1996-09-24	VYDAJ	VYBER	1400	28741	\N	\N	\N
847709	2886	1996-10-24	PRIJEM	VKLAD	1500	25682	\N	\N	\N
847710	2886	1996-11-23	PRIJEM	VKLAD	5000	28310	\N	\N	\N
847711	2886	1996-12-23	PRIJEM	VKLAD	3800	33744	\N	\N	\N
847712	2886	1997-01-22	PRIJEM	VKLAD	7500	29595	\N	\N	\N
847713	2886	1997-02-21	PRIJEM	VKLAD	7000	31437	\N	\N	\N
847714	2886	1997-03-23	PRIJEM	VKLAD	6600	35466	\N	\N	\N
847715	2886	1997-04-22	PRIJEM	VKLAD	300	36425	\N	\N	\N
847716	2886	1997-05-22	PRIJEM	VKLAD	500	35697	\N	\N	\N
847717	2886	1997-06-21	PRIJEM	VKLAD	6000	20564	\N	\N	\N
847718	2886	1997-07-21	PRIJEM	VKLAD	4400	26785	\N	\N	\N
847719	2886	1997-08-20	VYDAJ	VYBER	2400	26203	\N	\N	\N
847720	2886	1997-09-19	VYDAJ	VYBER	400	27637	\N	\N	\N
847721	2886	1997-10-19	VYDAJ	VYBER	300	28071	\N	\N	\N
847722	2886	1997-11-18	VYDAJ	VYBER	3600	26313	\N	\N	\N
847723	2886	1997-12-18	VYDAJ	VYBER	3500	26654	\N	\N	\N
847724	2886	1998-01-17	PRIJEM	VKLAD	4500	24585	\N	\N	\N
847725	2886	1998-02-16	VYDAJ	VYBER	1100	20599	\N	\N	\N
847726	2886	1998-03-18	VYDAJ	VYBER	800	21605	\N	\N	\N
847727	2886	1998-04-17	PRIJEM	VKLAD	5300	23208	\N	\N	\N
847728	2886	1998-06-16	VYDAJ	VYBER	3200	26238	\N	\N	\N
847729	2886	1998-07-16	VYDAJ	VYBER	5000	23068	\N	\N	\N
847730	2886	1998-08-15	VYDAJ	VYBER	3800	21091	\N	\N	\N
847731	2886	1998-09-14	VYDAJ	VYBER	7800	15104	\N	\N	\N
847732	2886	1998-10-14	VYDAJ	VYBER	3400	13498	\N	\N	\N
847789	2887	1996-07-13	PRIJEM	VKLAD	900	900	\N	\N	\N
847797	2887	1996-08-12	PRIJEM	VKLAD	22064	22964	\N	\N	\N
847798	2887	1996-09-12	PRIJEM	VKLAD	22064	44898	\N	\N	\N
847799	2887	1996-10-12	PRIJEM	VKLAD	22064	55620	\N	\N	\N
847800	2887	1996-11-12	PRIJEM	VKLAD	22064	61900	\N	\N	\N
847801	2887	1996-12-12	PRIJEM	VKLAD	33096	75645	\N	\N	\N
847802	2887	1997-01-12	PRIJEM	VKLAD	22064	66427	\N	\N	\N
847803	2887	1997-02-12	PRIJEM	VKLAD	22064	56971	\N	\N	\N
847804	2887	1997-03-12	PRIJEM	VKLAD	22064	58086	\N	\N	\N
847805	2887	1997-04-12	PRIJEM	VKLAD	22064	55709	\N	\N	\N
847806	2887	1997-05-12	PRIJEM	VKLAD	22064	50219	\N	\N	\N
847807	2887	1997-06-12	PRIJEM	VKLAD	33096	65045	\N	\N	\N
847808	2887	1997-07-12	PRIJEM	VKLAD	22064	50957	\N	\N	\N
847809	2887	1997-08-12	PRIJEM	VKLAD	22064	53256	\N	\N	\N
847810	2887	1997-09-12	PRIJEM	VKLAD	22064	53757	\N	\N	\N
847811	2887	1997-10-12	PRIJEM	VKLAD	22064	54049	\N	\N	\N
847812	2887	1997-11-12	PRIJEM	VKLAD	22064	56756	\N	\N	\N
847813	2887	1997-12-12	PRIJEM	VKLAD	33096	70603	\N	\N	\N
847814	2887	1998-01-12	PRIJEM	VKLAD	22064	67351	\N	\N	\N
847815	2887	1998-02-12	PRIJEM	VKLAD	22064	60680	\N	\N	\N
847816	2887	1998-03-12	PRIJEM	VKLAD	22064	61604	\N	\N	\N
847817	2887	1998-04-12	PRIJEM	VKLAD	22064	59731	\N	\N	\N
847818	2887	1998-05-12	PRIJEM	VKLAD	22064	58965	\N	\N	\N
847819	2887	1998-06-12	PRIJEM	VKLAD	33096	72426	\N	\N	\N
847820	2887	1998-07-12	PRIJEM	VKLAD	22064	60354	\N	\N	\N
847821	2887	1998-08-12	PRIJEM	VKLAD	22064	62081	\N	\N	\N
847822	2887	1998-09-12	PRIJEM	VKLAD	22064	59608	\N	\N	\N
847823	2887	1998-10-12	PRIJEM	VKLAD	22064	58539	\N	\N	\N
847824	2887	1998-11-12	PRIJEM	VKLAD	22064	58864	\N	\N	\N
847825	2887	1998-12-12	PRIJEM	VKLAD	33096	70189	\N	\N	\N
847837	2887	1996-12-14	VYDAJ	PREVOD NA UCET	5645	70000	SIPO	KL	73852997
847838	2887	1997-01-14	VYDAJ	PREVOD NA UCET	5645	60782	SIPO	KL	73852997
847839	2887	1997-02-14	VYDAJ	PREVOD NA UCET	5645	51326	SIPO	KL	73852997
847840	2887	1997-03-14	VYDAJ	PREVOD NA UCET	5645	52441	SIPO	KL	73852997
847841	2887	1997-04-14	VYDAJ	PREVOD NA UCET	5645	50064	SIPO	KL	73852997
847842	2887	1997-05-14	VYDAJ	PREVOD NA UCET	5645	44574	SIPO	KL	73852997
847843	2887	1997-06-14	VYDAJ	PREVOD NA UCET	5645	51800	SIPO	KL	73852997
847844	2887	1997-07-14	VYDAJ	PREVOD NA UCET	5645	45312	SIPO	KL	73852997
847845	2887	1997-08-14	VYDAJ	PREVOD NA UCET	5645	47611	SIPO	KL	73852997
847846	2887	1997-09-14	VYDAJ	PREVOD NA UCET	5645	48112	SIPO	KL	73852997
847847	2887	1997-10-14	VYDAJ	PREVOD NA UCET	5645	48404	SIPO	KL	73852997
847848	2887	1997-11-14	VYDAJ	PREVOD NA UCET	5645	51111	SIPO	KL	73852997
847849	2887	1997-12-14	VYDAJ	PREVOD NA UCET	5645	64958	SIPO	KL	73852997
847850	2887	1998-01-14	VYDAJ	PREVOD NA UCET	5645	61106	SIPO	KL	73852997
847851	2887	1998-02-14	VYDAJ	PREVOD NA UCET	5645	55035	SIPO	KL	73852997
847852	2887	1998-03-14	VYDAJ	PREVOD NA UCET	5645	55959	SIPO	KL	73852997
847853	2887	1998-04-14	VYDAJ	PREVOD NA UCET	5645	54086	SIPO	KL	73852997
847854	2887	1998-05-14	VYDAJ	PREVOD NA UCET	5645	53320	SIPO	KL	73852997
847855	2887	1998-06-14	VYDAJ	PREVOD NA UCET	5645	66781	SIPO	KL	73852997
847856	2887	1998-07-14	VYDAJ	PREVOD NA UCET	5645	54709	SIPO	KL	73852997
847857	2887	1998-08-14	VYDAJ	PREVOD NA UCET	5645	56436	SIPO	KL	73852997
847858	2887	1998-09-14	VYDAJ	PREVOD NA UCET	5645	53963	SIPO	KL	73852997
847859	2887	1998-10-14	VYDAJ	PREVOD NA UCET	5645	52894	SIPO	KL	73852997
847860	2887	1998-11-14	VYDAJ	PREVOD NA UCET	5645	53219	SIPO	KL	73852997
847861	2887	1998-12-14	VYDAJ	PREVOD NA UCET	5645	64544	SIPO	KL	73852997
847863	2887	1997-06-13	VYDAJ	VYBER	7600	57445	\N	\N	\N
847864	2887	1998-06-15	VYDAJ	VYBER	16100	50681	\N	\N	\N
847866	2887	1997-01-26	VYDAJ	VYBER	1800	50182	\N	\N	\N
847867	2887	1998-01-22	VYDAJ	VYBER	5900	48406	\N	\N	\N
847868	2887	1996-12-18	VYDAJ	VYBER	1800	68200	\N	\N	\N
847869	2887	1997-12-08	VYDAJ	VYBER	2000	37507	\N	\N	\N
847870	2887	1998-12-26	VYDAJ	VYBER	2900	61644	\N	\N	\N
847877	2887	1997-01-25	VYDAJ	VYBER	2200	51982	\N	\N	\N
847878	2887	1997-01-30	VYDAJ	VYBER	2400	47782	\N	\N	\N
847879	2887	1997-01-15	VYDAJ	VYBER	1700	56882	\N	\N	\N
847880	2887	1997-01-05	VYDAJ	VYBER	500	67963	\N	\N	\N
847881	2887	1997-01-23	VYDAJ	VYBER	2700	54182	\N	\N	\N
847882	2887	1997-01-14	VYDAJ	VYBER	2200	58582	\N	\N	\N
847883	2887	1998-01-19	VYDAJ	VYBER	2500	57006	\N	\N	\N
847884	2887	1998-01-05	VYDAJ	VYBER	1800	47587	\N	\N	\N
847885	2887	1998-01-06	VYDAJ	VYBER	1400	46187	\N	\N	\N
847886	2887	1998-01-07	VYDAJ	VYBER	900	45287	\N	\N	\N
847887	2887	1998-01-15	VYDAJ	VYBER	1600	59506	\N	\N	\N
847888	2887	1998-01-14	VYDAJ	VYBER	600	66751	\N	\N	\N
847896	2887	1997-07-10	VYDAJ	VYBER	2900	28893	\N	\N	\N
847897	2887	1997-05-10	VYDAJ	VYBER	3500	28155	\N	\N	\N
847898	2887	1997-04-04	VYDAJ	VYBER	2400	50245	\N	\N	\N
847899	2887	1997-09-01	VYDAJ	VYBER	1700	46093	\N	\N	\N
847900	2887	1998-01-21	VYDAJ	VYBER	2700	54306	\N	\N	\N
847901	2887	1998-08-07	VYDAJ	VYBER	1200	40017	\N	\N	\N
847902	2887	1998-03-07	VYDAJ	VYBER	2400	39540	\N	\N	\N
847903	2887	1998-08-28	VYDAJ	VYBER	1700	54736	\N	\N	\N
847916	2887	1996-12-31	VYDAJ	VYBER	15	68463	SLUZBY	\N	\N
847917	2887	1997-01-31	VYDAJ	VYBER	15	48007	SLUZBY	\N	\N
847918	2887	1997-02-28	VYDAJ	VYBER	15	51522	SLUZBY	\N	\N
847919	2887	1997-03-31	VYDAJ	VYBER	15	52645	SLUZBY	\N	\N
847920	2887	1997-04-30	VYDAJ	VYBER	15	50255	SLUZBY	\N	\N
847921	2887	1997-05-31	VYDAJ	VYBER	15	44749	SLUZBY	\N	\N
847922	2887	1997-06-30	VYDAJ	VYBER	15	51993	SLUZBY	\N	\N
847923	2887	1997-07-31	VYDAJ	VYBER	15	45492	SLUZBY	\N	\N
847924	2887	1997-08-31	VYDAJ	VYBER	15	47793	SLUZBY	\N	\N
847925	2887	1997-09-30	VYDAJ	VYBER	15	48285	SLUZBY	\N	\N
847926	2887	1997-10-31	VYDAJ	VYBER	15	48592	SLUZBY	\N	\N
847927	2887	1997-11-30	VYDAJ	VYBER	15	51307	SLUZBY	\N	\N
847928	2887	1997-12-31	VYDAJ	VYBER	15	65187	SLUZBY	\N	\N
847929	2887	1998-01-31	VYDAJ	VYBER	15	48616	SLUZBY	\N	\N
847930	2887	1998-02-28	VYDAJ	VYBER	15	55240	SLUZBY	\N	\N
847931	2887	1998-03-31	VYDAJ	VYBER	15	56167	SLUZBY	\N	\N
847932	2887	1998-04-30	VYDAJ	VYBER	15	54301	SLUZBY	\N	\N
847933	2887	1998-05-31	VYDAJ	VYBER	15	53530	SLUZBY	\N	\N
847934	2887	1998-06-30	VYDAJ	VYBER	15	50890	SLUZBY	\N	\N
847935	2887	1998-07-31	VYDAJ	VYBER	15	54917	SLUZBY	\N	\N
847936	2887	1998-08-31	VYDAJ	VYBER	15	54944	SLUZBY	\N	\N
847937	2887	1998-09-30	VYDAJ	VYBER	15	54175	SLUZBY	\N	\N
847938	2887	1998-10-31	VYDAJ	VYBER	15	53100	SLUZBY	\N	\N
847939	2887	1998-11-30	VYDAJ	VYBER	15	37093	SLUZBY	\N	\N
847940	2887	1996-08-12	PRIJEM	VKLAD	3100	26064	\N	\N	\N
847941	2887	1996-09-11	VYDAJ	VYBER	3300	22834	\N	\N	\N
847942	2887	1996-10-11	VYDAJ	VYBER	11500	33556	\N	\N	\N
847943	2887	1996-11-10	VYDAJ	VYBER	16000	39836	\N	\N	\N
847944	2887	1996-12-10	VYDAJ	VYBER	19600	42549	\N	\N	\N
847945	2887	1997-01-09	VYDAJ	VYBER	23600	44363	\N	\N	\N
847946	2887	1997-02-08	VYDAJ	VYBER	13100	34907	\N	\N	\N
847947	2887	1997-03-10	VYDAJ	VYBER	15500	36022	\N	\N	\N
847948	2887	1997-04-09	VYDAJ	VYBER	16600	33645	\N	\N	\N
847949	2887	1997-05-09	VYDAJ	VYBER	18600	31655	\N	\N	\N
847950	2887	1997-06-08	VYDAJ	VYBER	12800	31949	\N	\N	\N
847951	2887	1997-07-08	VYDAJ	VYBER	20200	31793	\N	\N	\N
847952	2887	1997-08-07	VYDAJ	VYBER	14300	31192	\N	\N	\N
847953	2887	1997-09-06	VYDAJ	VYBER	14400	31693	\N	\N	\N
847954	2887	1997-10-06	VYDAJ	VYBER	16300	31985	\N	\N	\N
847955	2887	1997-11-05	VYDAJ	VYBER	13900	34692	\N	\N	\N
847956	2887	1997-12-05	VYDAJ	VYBER	11800	39507	\N	\N	\N
847957	2887	1998-01-04	VYDAJ	VYBER	15800	49387	\N	\N	\N
847958	2887	1998-02-03	VYDAJ	VYBER	10000	38616	\N	\N	\N
847959	2887	1998-03-05	VYDAJ	VYBER	13300	41940	\N	\N	\N
847960	2887	1998-04-04	VYDAJ	VYBER	18500	37667	\N	\N	\N
847961	2887	1998-05-04	VYDAJ	VYBER	17400	36901	\N	\N	\N
847962	2887	1998-06-03	VYDAJ	VYBER	14200	39330	\N	\N	\N
847963	2887	1998-07-03	VYDAJ	VYBER	12600	38290	\N	\N	\N
847964	2887	1998-08-02	VYDAJ	VYBER	13700	41217	\N	\N	\N
847965	2887	1998-09-01	VYDAJ	VYBER	17400	37544	\N	\N	\N
847966	2887	1998-10-01	VYDAJ	VYBER	17700	36475	\N	\N	\N
847967	2887	1998-10-31	VYDAJ	VYBER	16300	36800	\N	\N	\N
847968	2887	1998-11-30	VYDAJ	VYBER	16300	37108	\N	\N	\N
847998	2888	1996-05-23	PRIJEM	VKLAD	700	700	\N	\N	\N
848004	2888	1996-06-11	PRIJEM	PREVOD Z UCTU	4006	4706	DUCHOD	AB	75083070
848005	2888	1996-07-11	PRIJEM	PREVOD Z UCTU	4006	8712	DUCHOD	AB	75083070
848006	2888	1996-08-11	PRIJEM	PREVOD Z UCTU	4006	12718	DUCHOD	AB	75083070
848007	2888	1996-09-11	PRIJEM	PREVOD Z UCTU	4006	16724	DUCHOD	AB	75083070
848008	2888	1996-10-11	PRIJEM	PREVOD Z UCTU	4006	20730	DUCHOD	AB	75083070
848009	2888	1996-11-11	PRIJEM	PREVOD Z UCTU	4006	20061	DUCHOD	AB	75083070
848010	2888	1996-12-11	PRIJEM	PREVOD Z UCTU	4006	17528	DUCHOD	AB	75083070
848011	2888	1997-01-11	PRIJEM	PREVOD Z UCTU	4006	16229	DUCHOD	AB	75083070
848012	2888	1997-02-11	PRIJEM	PREVOD Z UCTU	4006	16524	DUCHOD	AB	75083070
848013	2888	1997-03-11	PRIJEM	PREVOD Z UCTU	4006	18179	DUCHOD	AB	75083070
848014	2888	1997-04-11	PRIJEM	PREVOD Z UCTU	4006	19241	DUCHOD	AB	75083070
848015	2888	1997-05-11	PRIJEM	PREVOD Z UCTU	4006	20909	DUCHOD	AB	75083070
848016	2888	1997-06-11	PRIJEM	PREVOD Z UCTU	4006	21281	DUCHOD	AB	75083070
848017	2888	1997-07-11	PRIJEM	PREVOD Z UCTU	4006	21756	DUCHOD	AB	75083070
848018	2888	1997-08-11	PRIJEM	PREVOD Z UCTU	4006	22031	DUCHOD	AB	75083070
848019	2888	1997-09-11	PRIJEM	PREVOD Z UCTU	4006	19000	DUCHOD	AB	75083070
848020	2888	1997-10-11	PRIJEM	PREVOD Z UCTU	4006	17861	DUCHOD	AB	75083070
848021	2888	1997-11-11	PRIJEM	PREVOD Z UCTU	4006	19523	DUCHOD	AB	75083070
848022	2888	1997-12-11	PRIJEM	PREVOD Z UCTU	4006	18134	DUCHOD	AB	75083070
848023	2888	1998-01-11	PRIJEM	PREVOD Z UCTU	4006	16773	DUCHOD	AB	75083070
848024	2888	1998-02-11	PRIJEM	PREVOD Z UCTU	4006	14923	DUCHOD	AB	75083070
848025	2888	1998-03-11	PRIJEM	PREVOD Z UCTU	4006	16572	DUCHOD	AB	75083070
848026	2888	1998-04-11	PRIJEM	PREVOD Z UCTU	4006	18228	DUCHOD	AB	75083070
848027	2888	1998-05-11	PRIJEM	PREVOD Z UCTU	4006	15380	DUCHOD	AB	75083070
848028	2888	1998-06-11	PRIJEM	PREVOD Z UCTU	4006	17031	DUCHOD	AB	75083070
848029	2888	1998-07-11	PRIJEM	PREVOD Z UCTU	4006	18689	DUCHOD	AB	75083070
848030	2888	1998-08-11	PRIJEM	PREVOD Z UCTU	4006	18590	DUCHOD	AB	75083070
848031	2888	1998-09-11	PRIJEM	PREVOD Z UCTU	4006	20255	DUCHOD	AB	75083070
848032	2888	1998-10-11	PRIJEM	PREVOD Z UCTU	4006	21927	DUCHOD	AB	75083070
848033	2888	1998-11-11	PRIJEM	PREVOD Z UCTU	4006	15705	DUCHOD	AB	75083070
848034	2888	1998-12-11	PRIJEM	PREVOD Z UCTU	4006	15469	DUCHOD	AB	75083070
848044	2888	1996-10-12	VYDAJ	PREVOD NA UCET	305	18338	SIPO	CD	40461963
848045	2888	1996-11-12	VYDAJ	PREVOD NA UCET	305	17669	SIPO	CD	40461963
848046	2888	1996-12-12	VYDAJ	PREVOD NA UCET	305	15136	SIPO	CD	40461963
848047	2888	1997-01-12	VYDAJ	PREVOD NA UCET	305	13837	SIPO	CD	40461963
848048	2888	1997-02-12	VYDAJ	PREVOD NA UCET	305	14132	SIPO	CD	40461963
848049	2888	1997-03-12	VYDAJ	PREVOD NA UCET	305	15787	SIPO	CD	40461963
848050	2888	1997-04-12	VYDAJ	PREVOD NA UCET	305	16849	SIPO	CD	40461963
848051	2888	1997-05-12	VYDAJ	PREVOD NA UCET	305	18517	SIPO	CD	40461963
848052	2888	1997-06-12	VYDAJ	PREVOD NA UCET	305	18889	SIPO	CD	40461963
848053	2888	1997-07-12	VYDAJ	PREVOD NA UCET	305	19364	SIPO	CD	40461963
848054	2888	1997-08-12	VYDAJ	PREVOD NA UCET	305	19639	SIPO	CD	40461963
848055	2888	1997-09-12	VYDAJ	PREVOD NA UCET	305	16608	SIPO	CD	40461963
848056	2888	1997-10-12	VYDAJ	PREVOD NA UCET	305	15469	SIPO	CD	40461963
848057	2888	1997-11-12	VYDAJ	PREVOD NA UCET	305	17131	SIPO	CD	40461963
848058	2888	1997-12-12	VYDAJ	PREVOD NA UCET	305	15742	SIPO	CD	40461963
848059	2888	1998-01-12	VYDAJ	PREVOD NA UCET	305	14381	SIPO	CD	40461963
848060	2888	1998-02-12	VYDAJ	PREVOD NA UCET	305	12531	SIPO	CD	40461963
848061	2888	1998-03-12	VYDAJ	PREVOD NA UCET	305	14180	SIPO	CD	40461963
848062	2888	1998-04-12	VYDAJ	PREVOD NA UCET	305	15836	SIPO	CD	40461963
848063	2888	1998-05-12	VYDAJ	PREVOD NA UCET	305	12988	SIPO	CD	40461963
848064	2888	1998-06-12	VYDAJ	PREVOD NA UCET	305	14639	SIPO	CD	40461963
848065	2888	1998-07-12	VYDAJ	PREVOD NA UCET	305	16297	SIPO	CD	40461963
848066	2888	1998-08-12	VYDAJ	PREVOD NA UCET	305	16198	SIPO	CD	40461963
848067	2888	1998-09-12	VYDAJ	PREVOD NA UCET	305	17863	SIPO	CD	40461963
848068	2888	1998-10-12	VYDAJ	PREVOD NA UCET	305	19535	SIPO	CD	40461963
848069	2888	1998-11-12	VYDAJ	PREVOD NA UCET	305	13313	SIPO	CD	40461963
848070	2888	1998-12-12	VYDAJ	PREVOD NA UCET	305	13077	SIPO	CD	40461963
848080	2888	1996-10-11	VYDAJ	PREVOD NA UCET	2087	18643	 	MN	60675382
848081	2888	1996-11-11	VYDAJ	PREVOD NA UCET	2087	17974	 	MN	60675382
848082	2888	1996-12-11	VYDAJ	PREVOD NA UCET	2087	15441	 	MN	60675382
848083	2888	1997-01-11	VYDAJ	PREVOD NA UCET	2087	14142	 	MN	60675382
848084	2888	1997-02-11	VYDAJ	PREVOD NA UCET	2087	14437	 	MN	60675382
848085	2888	1997-03-11	VYDAJ	PREVOD NA UCET	2087	16092	 	MN	60675382
848086	2888	1997-04-11	VYDAJ	PREVOD NA UCET	2087	17154	 	MN	60675382
848087	2888	1997-05-11	VYDAJ	PREVOD NA UCET	2087	18822	 	MN	60675382
848088	2888	1997-06-11	VYDAJ	PREVOD NA UCET	2087	19194	 	MN	60675382
848089	2888	1997-07-11	VYDAJ	PREVOD NA UCET	2087	19669	 	MN	60675382
848090	2888	1997-08-11	VYDAJ	PREVOD NA UCET	2087	19944	 	MN	60675382
848091	2888	1997-09-11	VYDAJ	PREVOD NA UCET	2087	16913	 	MN	60675382
848092	2888	1997-10-11	VYDAJ	PREVOD NA UCET	2087	15774	 	MN	60675382
848093	2888	1997-11-11	VYDAJ	PREVOD NA UCET	2087	17436	 	MN	60675382
848094	2888	1997-12-11	VYDAJ	PREVOD NA UCET	2087	16047	 	MN	60675382
848095	2888	1998-01-11	VYDAJ	PREVOD NA UCET	2087	14686	 	MN	60675382
848096	2888	1998-02-11	VYDAJ	PREVOD NA UCET	2087	12836	 	MN	60675382
848097	2888	1998-03-11	VYDAJ	PREVOD NA UCET	2087	14485	 	MN	60675382
848098	2888	1998-04-11	VYDAJ	PREVOD NA UCET	2087	16141	 	MN	60675382
848099	2888	1998-05-11	VYDAJ	PREVOD NA UCET	2087	13293	 	MN	60675382
848100	2888	1998-06-11	VYDAJ	PREVOD NA UCET	2087	14944	 	MN	60675382
848101	2888	1998-07-11	VYDAJ	PREVOD NA UCET	2087	16602	 	MN	60675382
848102	2888	1998-08-11	VYDAJ	PREVOD NA UCET	2087	16503	 	MN	60675382
848103	2888	1998-09-11	VYDAJ	PREVOD NA UCET	2087	18168	 	MN	60675382
848104	2888	1998-10-11	VYDAJ	PREVOD NA UCET	2087	19840	 	MN	60675382
848105	2888	1998-11-11	VYDAJ	PREVOD NA UCET	2087	13618	 	MN	60675382
848106	2888	1998-12-11	VYDAJ	PREVOD NA UCET	2087	13382	 	MN	60675382
848113	2888	1996-12-05	VYDAJ	VYBER	700	13522	\N	\N	\N
848114	2888	1997-12-03	VYDAJ	VYBER	250	14128	\N	\N	\N
848122	2888	1997-01-07	VYDAJ	VYBER	2000	12223	\N	\N	\N
848123	2888	1997-01-01	VYDAJ	VYBER	960	14223	\N	\N	\N
848127	2888	1997-01-13	VYDAJ	VYBER	1360	12477	\N	\N	\N
848130	2888	1998-01-02	VYDAJ	VYBER	1120	12767	\N	\N	\N
848137	2888	1996-11-06	VYDAJ	VYBER	2320	16055	\N	\N	\N
848138	2888	1996-11-15	VYDAJ	VYBER	2400	15269	\N	\N	\N
848139	2888	1997-06-25	VYDAJ	VYBER	800	17689	\N	\N	\N
848145	2888	1998-07-14	VYDAJ	VYBER	1760	14537	\N	\N	\N
848157	2888	1996-10-31	VYDAJ	VYBER	15	18375	SLUZBY	\N	\N
848158	2888	1996-11-30	VYDAJ	VYBER	15	14222	SLUZBY	\N	\N
848159	2888	1996-12-31	VYDAJ	VYBER	15	15183	SLUZBY	\N	\N
848160	2888	1997-01-31	VYDAJ	VYBER	15	12518	SLUZBY	\N	\N
848161	2888	1997-02-28	VYDAJ	VYBER	15	14173	SLUZBY	\N	\N
848162	2888	1997-03-31	VYDAJ	VYBER	15	15235	SLUZBY	\N	\N
848163	2888	1997-04-30	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
848164	2888	1997-05-31	VYDAJ	VYBER	15	17275	SLUZBY	\N	\N
848165	2888	1997-06-30	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
848166	2888	1997-07-31	VYDAJ	VYBER	15	18025	SLUZBY	\N	\N
848167	2888	1997-08-31	VYDAJ	VYBER	15	14994	SLUZBY	\N	\N
848168	2888	1997-09-30	VYDAJ	VYBER	15	13855	SLUZBY	\N	\N
848169	2888	1997-10-31	VYDAJ	VYBER	15	15517	SLUZBY	\N	\N
848170	2888	1997-11-30	VYDAJ	VYBER	15	14378	SLUZBY	\N	\N
848171	2888	1997-12-31	VYDAJ	VYBER	15	13887	SLUZBY	\N	\N
848172	2888	1998-01-31	VYDAJ	VYBER	15	10917	SLUZBY	\N	\N
848173	2888	1998-02-28	VYDAJ	VYBER	15	12566	SLUZBY	\N	\N
848174	2888	1998-03-31	VYDAJ	VYBER	15	14222	SLUZBY	\N	\N
848175	2888	1998-04-30	VYDAJ	VYBER	15	11374	SLUZBY	\N	\N
848176	2888	1998-05-31	VYDAJ	VYBER	15	13025	SLUZBY	\N	\N
848177	2888	1998-06-30	VYDAJ	VYBER	15	14683	SLUZBY	\N	\N
848178	2888	1998-07-31	VYDAJ	VYBER	15	14584	SLUZBY	\N	\N
848179	2888	1998-08-31	VYDAJ	VYBER	15	16249	SLUZBY	\N	\N
848180	2888	1998-09-30	VYDAJ	VYBER	15	17921	SLUZBY	\N	\N
848181	2888	1998-10-31	VYDAJ	VYBER	15	19599	SLUZBY	\N	\N
848182	2888	1998-11-30	VYDAJ	VYBER	15	13363	SLUZBY	\N	\N
848183	2888	1996-11-19	VYDAJ	VYBER	1100	14169	\N	\N	\N
848184	2888	1997-03-19	VYDAJ	VYBER	600	15187	\N	\N	\N
848185	2888	1997-05-18	VYDAJ	VYBER	1300	17217	\N	\N	\N
848186	2888	1997-06-17	VYDAJ	VYBER	400	18489	\N	\N	\N
848187	2888	1997-07-17	VYDAJ	VYBER	1400	17964	\N	\N	\N
848188	2888	1997-08-16	VYDAJ	VYBER	4700	14939	\N	\N	\N
848189	2888	1997-09-15	VYDAJ	VYBER	2800	13808	\N	\N	\N
848190	2888	1997-11-14	VYDAJ	VYBER	2800	14331	\N	\N	\N
848191	2888	1997-12-14	VYDAJ	VYBER	1900	13842	\N	\N	\N
848192	2888	1998-01-13	VYDAJ	VYBER	3500	10881	\N	\N	\N
848193	2888	1998-04-13	VYDAJ	VYBER	4500	11336	\N	\N	\N
848194	2888	1998-11-09	VYDAJ	VYBER	7900	11699	\N	\N	\N
848195	2888	1998-12-09	VYDAJ	VYBER	1900	11463	\N	\N	\N
848223	2889	1996-03-23	PRIJEM	VKLAD	900	900	\N	\N	\N
848227	2889	1996-04-06	PRIJEM	PREVOD Z UCTU	37358	38258	\N	ST	2198994
848228	2889	1996-05-06	PRIJEM	PREVOD Z UCTU	37358	69456	\N	ST	2198994
848229	2889	1996-06-06	PRIJEM	PREVOD Z UCTU	56037	105350	\N	ST	2198994
848230	2889	1996-07-06	PRIJEM	PREVOD Z UCTU	37358	100532	\N	ST	2198994
848231	2889	1996-08-06	PRIJEM	PREVOD Z UCTU	37358	98649	\N	ST	2198994
848232	2889	1996-09-06	PRIJEM	PREVOD Z UCTU	37358	92743	\N	ST	2198994
848233	2889	1996-10-06	PRIJEM	PREVOD Z UCTU	37358	87344	\N	ST	2198994
848234	2889	1996-11-06	PRIJEM	PREVOD Z UCTU	37358	86195	\N	ST	2198994
848235	2889	1996-12-06	PRIJEM	PREVOD Z UCTU	56037	76866	\N	ST	2198994
848236	2889	1997-01-06	PRIJEM	PREVOD Z UCTU	37358	63031	\N	ST	2198994
848237	2889	1997-02-06	PRIJEM	PREVOD Z UCTU	37358	57170	\N	ST	2198994
848238	2889	1997-03-06	PRIJEM	PREVOD Z UCTU	37358	61801	\N	ST	2198994
848239	2889	1997-04-06	PRIJEM	PREVOD Z UCTU	37358	65082	\N	ST	2198994
848240	2889	1997-05-06	PRIJEM	PREVOD Z UCTU	37358	73250	\N	ST	2198994
848241	2889	1997-06-06	PRIJEM	PREVOD Z UCTU	56037	76644	\N	ST	2198994
848242	2889	1997-07-06	PRIJEM	PREVOD Z UCTU	37358	62929	\N	ST	2198994
848243	2889	1997-08-06	PRIJEM	PREVOD Z UCTU	37358	68745	\N	ST	2198994
848244	2889	1997-09-06	PRIJEM	PREVOD Z UCTU	37358	73906	\N	ST	2198994
848245	2889	1997-10-06	PRIJEM	PREVOD Z UCTU	37358	74189	\N	ST	2198994
848246	2889	1997-11-06	PRIJEM	PREVOD Z UCTU	37358	84389	\N	ST	2198994
848247	2889	1997-12-06	PRIJEM	PREVOD Z UCTU	56037	82910	\N	ST	2198994
848248	2889	1998-01-06	PRIJEM	PREVOD Z UCTU	37358	66648	\N	ST	2198994
848249	2889	1998-02-06	PRIJEM	PREVOD Z UCTU	37358	62684	\N	ST	2198994
848250	2889	1998-03-06	PRIJEM	PREVOD Z UCTU	37358	76282	\N	ST	2198994
848251	2889	1998-04-06	PRIJEM	PREVOD Z UCTU	37358	89194	\N	ST	2198994
848252	2889	1998-05-06	PRIJEM	PREVOD Z UCTU	37358	100453	\N	ST	2198994
848253	2889	1998-06-06	PRIJEM	PREVOD Z UCTU	56037	123527	\N	ST	2198994
848254	2889	1998-07-06	PRIJEM	PREVOD Z UCTU	37358	74470	\N	ST	2198994
848255	2889	1998-08-06	PRIJEM	PREVOD Z UCTU	37358	80248	\N	ST	2198994
848256	2889	1998-09-06	PRIJEM	PREVOD Z UCTU	37358	86087	\N	ST	2198994
848257	2889	1998-10-06	PRIJEM	PREVOD Z UCTU	37358	102645	\N	ST	2198994
848258	2889	1998-11-06	PRIJEM	PREVOD Z UCTU	37358	76048	\N	ST	2198994
848259	2889	1998-12-06	PRIJEM	PREVOD Z UCTU	56037	107276	\N	ST	2198994
848303	2889	1996-08-10	VYDAJ	PREVOD NA UCET	5038	93611	SIPO	OP	81463575
848304	2889	1996-09-10	VYDAJ	PREVOD NA UCET	5038	87705	SIPO	OP	81463575
848305	2889	1996-10-10	VYDAJ	PREVOD NA UCET	5038	82306	SIPO	OP	81463575
848306	2889	1996-11-10	VYDAJ	PREVOD NA UCET	5038	72457	SIPO	OP	81463575
848307	2889	1996-12-10	VYDAJ	PREVOD NA UCET	5038	71828	SIPO	OP	81463575
848308	2889	1997-01-10	VYDAJ	PREVOD NA UCET	5038	54693	SIPO	OP	81463575
848309	2889	1997-02-10	VYDAJ	PREVOD NA UCET	5038	52132	SIPO	OP	81463575
848310	2889	1997-03-10	VYDAJ	PREVOD NA UCET	5038	56763	SIPO	OP	81463575
848311	2889	1997-04-10	VYDAJ	PREVOD NA UCET	5038	60044	SIPO	OP	81463575
848312	2889	1997-05-10	VYDAJ	PREVOD NA UCET	5038	68212	SIPO	OP	81463575
848313	2889	1997-06-10	VYDAJ	PREVOD NA UCET	5038	71606	SIPO	OP	81463575
848314	2889	1997-07-10	VYDAJ	PREVOD NA UCET	5038	40436	SIPO	OP	81463575
848315	2889	1997-08-10	VYDAJ	PREVOD NA UCET	5038	63707	SIPO	OP	81463575
848316	2889	1997-09-10	VYDAJ	PREVOD NA UCET	5038	68868	SIPO	OP	81463575
848317	2889	1997-10-10	VYDAJ	PREVOD NA UCET	5038	69151	SIPO	OP	81463575
848318	2889	1997-11-10	VYDAJ	PREVOD NA UCET	5038	79351	SIPO	OP	81463575
848319	2889	1997-12-10	VYDAJ	PREVOD NA UCET	5038	77872	SIPO	OP	81463575
848320	2889	1998-01-10	VYDAJ	PREVOD NA UCET	5038	61610	SIPO	OP	81463575
848321	2889	1998-02-10	VYDAJ	PREVOD NA UCET	5038	57646	SIPO	OP	81463575
848322	2889	1998-03-10	VYDAJ	PREVOD NA UCET	5038	71244	SIPO	OP	81463575
848323	2889	1998-04-10	VYDAJ	PREVOD NA UCET	5038	84156	SIPO	OP	81463575
848324	2889	1998-05-10	VYDAJ	PREVOD NA UCET	5038	95415	SIPO	OP	81463575
848325	2889	1998-06-10	VYDAJ	PREVOD NA UCET	5038	61171	SIPO	OP	81463575
848326	2889	1998-07-10	VYDAJ	PREVOD NA UCET	5038	69432	SIPO	OP	81463575
848327	2889	1998-08-10	VYDAJ	PREVOD NA UCET	5038	61710	SIPO	OP	81463575
848328	2889	1998-09-10	VYDAJ	PREVOD NA UCET	5038	65049	SIPO	OP	81463575
848329	2889	1998-10-10	VYDAJ	PREVOD NA UCET	5038	75107	SIPO	OP	81463575
848330	2889	1998-11-10	VYDAJ	PREVOD NA UCET	5038	60010	SIPO	OP	81463575
848331	2889	1998-12-10	VYDAJ	PREVOD NA UCET	5038	72938	SIPO	OP	81463575
848333	2889	1996-12-11	VYBER	VYBER	16627	55201	\N	\N	\N
848334	2889	1996-12-02	VYBER	VYBER	13047	31629	\N	\N	\N
848335	2889	1996-09-27	VYBER	VYBER	5472	49733	\N	\N	\N
848340	2889	1997-07-01	VYBER	VYBER	19800	25571	\N	\N	\N
848342	2889	1997-12-05	VYBER	VYBER	22928	26873	\N	\N	\N
848343	2889	1997-09-19	VYBER	VYBER	5998	36670	\N	\N	\N
848344	2889	1997-08-14	VYBER	VYBER	18006	45701	\N	\N	\N
848345	2889	1997-07-08	VYBER	VYBER	6955	55974	\N	\N	\N
848346	2889	1997-03-12	VYBER	VYBER	19851	36912	\N	\N	\N
848347	2889	1997-02-25	VYBER	VYBER	8606	24326	\N	\N	\N
848348	2889	1997-12-14	VYBER	VYBER	15176	38396	\N	\N	\N
848349	2889	1997-05-27	VYBER	VYBER	20767	20445	\N	\N	\N
848351	2889	1997-11-13	VYBER	VYBER	16351	63000	\N	\N	\N
848353	2889	1998-06-28	VYBER	VYBER	2767	52804	\N	\N	\N
848354	2889	1998-06-09	VYBER	VYBER	8118	66209	\N	\N	\N
848355	2889	1998-06-28	VYBER	VYBER	15919	36885	\N	\N	\N
848357	2889	1998-01-16	VYBER	VYBER	4038	35677	\N	\N	\N
848358	2889	1998-10-23	VYBER	VYBER	24071	51036	\N	\N	\N
848359	2889	1998-07-24	VYBER	VYBER	16129	42703	\N	\N	\N
848360	2889	1998-01-15	VYBER	VYBER	9995	39715	\N	\N	\N
848361	2889	1998-05-13	VYBER	VYBER	2392	67223	\N	\N	\N
848362	2889	1998-02-27	VYBER	VYBER	5867	38779	\N	\N	\N
848367	2889	1997-01-13	VYDAJ	VYBER	27600	27093	\N	\N	\N
848369	2889	1996-12-02	VYDAJ	VYBER	6600	20829	\N	\N	\N
848370	2889	1997-12-14	VYDAJ	VYBER	1500	36896	\N	\N	\N
848371	2889	1998-12-03	VYDAJ	VYBER	7200	51239	\N	\N	\N
848379	2889	1997-01-01	VYDAJ	VYBER	8100	25673	\N	\N	\N
848380	2889	1997-01-10	VYDAJ	VYBER	3300	59731	\N	\N	\N
848383	2889	1997-01-15	VYDAJ	VYBER	3000	24093	\N	\N	\N
848384	2889	1998-01-04	VYDAJ	VYBER	7800	29290	\N	\N	\N
848386	2889	1998-01-19	VYDAJ	VYBER	6300	27877	\N	\N	\N
848387	2889	1998-01-11	VYDAJ	VYBER	1500	60110	\N	\N	\N
848388	2889	1998-01-18	VYDAJ	VYBER	1500	34177	\N	\N	\N
848389	2889	1998-01-29	VYDAJ	VYBER	2700	25177	\N	\N	\N
848391	2889	1996-11-07	VYDAJ	VYBER	8700	77495	\N	\N	\N
848394	2889	1996-08-20	VYDAJ	VYBER	8100	85511	\N	\N	\N
848396	2889	1996-12-02	VYDAJ	VYBER	4200	27429	\N	\N	\N
848398	2889	1997-07-10	VYDAJ	VYBER	10500	45474	\N	\N	\N
848399	2889	1997-05-18	VYDAJ	VYBER	3900	41212	\N	\N	\N
848401	2889	1997-09-17	VYDAJ	VYBER	4800	42668	\N	\N	\N
848402	2889	1998-11-22	VYDAJ	VYBER	1800	58210	\N	\N	\N
848403	2889	1998-11-03	VYDAJ	VYBER	8400	38690	\N	\N	\N
848404	2889	1998-10-26	VYDAJ	VYBER	4200	46836	\N	\N	\N
848405	2889	1998-08-26	VYDAJ	VYBER	13200	48510	\N	\N	\N
848414	2889	1996-08-31	VYDAJ	VYBER	15	55385	SLUZBY	\N	\N
848415	2889	1996-09-30	VYDAJ	VYBER	15	49986	SLUZBY	\N	\N
848416	2889	1996-10-31	VYDAJ	VYBER	15	48837	SLUZBY	\N	\N
848417	2889	1996-11-30	VYDAJ	VYBER	15	44676	SLUZBY	\N	\N
848418	2889	1996-12-31	VYDAJ	VYBER	15	33773	SLUZBY	\N	\N
848419	2889	1997-01-31	VYDAJ	VYBER	15	19812	SLUZBY	\N	\N
848420	2889	1997-02-28	VYDAJ	VYBER	15	24443	SLUZBY	\N	\N
848421	2889	1997-03-31	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
848422	2889	1997-04-30	VYDAJ	VYBER	15	35892	SLUZBY	\N	\N
848423	2889	1997-05-31	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
848424	2889	1997-06-30	VYDAJ	VYBER	15	45371	SLUZBY	\N	\N
848425	2889	1997-07-31	VYDAJ	VYBER	15	31387	SLUZBY	\N	\N
848426	2889	1997-08-31	VYDAJ	VYBER	15	36548	SLUZBY	\N	\N
848427	2889	1997-09-30	VYDAJ	VYBER	15	36831	SLUZBY	\N	\N
848428	2889	1997-10-31	VYDAJ	VYBER	15	47031	SLUZBY	\N	\N
848429	2889	1997-11-30	VYDAJ	VYBER	15	49801	SLUZBY	\N	\N
848430	2889	1997-12-31	VYDAJ	VYBER	15	37090	SLUZBY	\N	\N
848431	2889	1998-01-31	VYDAJ	VYBER	15	25326	SLUZBY	\N	\N
848432	2889	1998-02-28	VYDAJ	VYBER	15	38924	SLUZBY	\N	\N
848433	2889	1998-03-31	VYDAJ	VYBER	15	51836	SLUZBY	\N	\N
848434	2889	1998-04-30	VYDAJ	VYBER	15	63095	SLUZBY	\N	\N
848435	2889	1998-05-31	VYDAJ	VYBER	15	67490	SLUZBY	\N	\N
848436	2889	1998-06-30	VYDAJ	VYBER	15	37112	SLUZBY	\N	\N
848437	2889	1998-07-31	VYDAJ	VYBER	15	42890	SLUZBY	\N	\N
848438	2889	1998-08-31	VYDAJ	VYBER	15	48729	SLUZBY	\N	\N
848439	2889	1998-09-30	VYDAJ	VYBER	15	65287	SLUZBY	\N	\N
848440	2889	1998-10-31	VYDAJ	VYBER	15	47090	SLUZBY	\N	\N
848441	2889	1998-11-30	VYDAJ	VYBER	15	58439	SLUZBY	\N	\N
848442	2889	1996-04-22	VYDAJ	VYBER	6200	32058	\N	\N	\N
848443	2889	1996-05-22	VYDAJ	VYBER	20300	49156	\N	\N	\N
848444	2889	1996-06-21	VYDAJ	VYBER	42400	62950	\N	\N	\N
848445	2889	1996-07-21	VYDAJ	VYBER	39500	61032	\N	\N	\N
848446	2889	1996-08-20	VYDAJ	VYBER	30400	55111	\N	\N	\N
848447	2889	1996-09-19	VYDAJ	VYBER	32500	55205	\N	\N	\N
848448	2889	1996-10-19	VYDAJ	VYBER	33700	48606	\N	\N	\N
848449	2889	1996-11-18	VYDAJ	VYBER	28000	44457	\N	\N	\N
848450	2889	1996-12-18	VYDAJ	VYBER	21600	33601	\N	\N	\N
848451	2889	1997-01-17	VYDAJ	VYBER	4400	19693	\N	\N	\N
848452	2889	1997-02-16	VYDAJ	VYBER	19200	32932	\N	\N	\N
848453	2889	1997-03-18	VYDAJ	VYBER	9300	27612	\N	\N	\N
848454	2889	1997-04-17	VYDAJ	VYBER	24300	35744	\N	\N	\N
848455	2889	1997-05-17	VYDAJ	VYBER	23100	45112	\N	\N	\N
848456	2889	1997-06-16	VYDAJ	VYBER	26400	45206	\N	\N	\N
848457	2889	1997-07-16	VYDAJ	VYBER	9200	31236	\N	\N	\N
848458	2889	1997-08-15	VYDAJ	VYBER	9300	36401	\N	\N	\N
848459	2889	1997-09-14	VYDAJ	VYBER	21400	47468	\N	\N	\N
848460	2889	1997-10-14	VYDAJ	VYBER	22300	46851	\N	\N	\N
848461	2889	1997-11-13	VYDAJ	VYBER	13400	49600	\N	\N	\N
848462	2889	1997-12-13	VYDAJ	VYBER	24300	53572	\N	\N	\N
848463	2889	1998-01-12	VYDAJ	VYBER	10400	49710	\N	\N	\N
848464	2889	1998-02-11	VYDAJ	VYBER	13000	44646	\N	\N	\N
848465	2889	1998-03-13	VYDAJ	VYBER	19600	51644	\N	\N	\N
848466	2889	1998-04-12	VYDAJ	VYBER	21300	62856	\N	\N	\N
848467	2889	1998-05-12	VYDAJ	VYBER	25800	69615	\N	\N	\N
848468	2889	1998-06-06	VYDAJ	VYBER	49200	74327	\N	\N	\N
848469	2889	1998-06-11	VYDAJ	VYBER	5600	55571	\N	\N	\N
848470	2889	1998-07-11	VYDAJ	VYBER	10600	58832	\N	\N	\N
848471	2889	1998-08-10	VYDAJ	VYBER	13500	66748	\N	\N	\N
848472	2889	1998-09-09	VYDAJ	VYBER	16000	70087	\N	\N	\N
848473	2889	1998-10-09	VYDAJ	VYBER	22500	80145	\N	\N	\N
848474	2889	1998-11-08	VYDAJ	VYBER	11000	65048	\N	\N	\N
848475	2889	1998-12-08	VYDAJ	VYBER	29300	77976	\N	\N	\N
848509	2890	1996-02-07	PRIJEM	VKLAD	500	500	\N	\N	\N
848511	2890	1996-02-09	PRIJEM	VKLAD	23188	23688	\N	\N	\N
848512	2890	1996-03-09	PRIJEM	VKLAD	23188	48748	\N	\N	\N
848513	2890	1996-04-09	PRIJEM	VKLAD	23188	57012	\N	\N	\N
848514	2890	1996-05-09	PRIJEM	VKLAD	23188	61828	\N	\N	\N
848515	2890	1996-06-09	PRIJEM	VKLAD	34782	74362	\N	\N	\N
848516	2890	1996-07-09	PRIJEM	VKLAD	23188	49416	\N	\N	\N
848517	2890	1996-08-09	PRIJEM	VKLAD	23188	51416	\N	\N	\N
848518	2890	1996-09-09	PRIJEM	VKLAD	23188	50826	\N	\N	\N
848519	2890	1996-10-09	PRIJEM	VKLAD	23188	49139	\N	\N	\N
848520	2890	1996-11-09	PRIJEM	VKLAD	23188	47940	\N	\N	\N
848521	2890	1996-12-09	PRIJEM	VKLAD	34782	63032	\N	\N	\N
848522	2890	1997-01-09	PRIJEM	VKLAD	23188	53971	\N	\N	\N
848523	2890	1997-02-09	PRIJEM	VKLAD	23188	49167	\N	\N	\N
848524	2890	1997-03-09	PRIJEM	VKLAD	23188	47369	\N	\N	\N
848525	2890	1997-04-09	PRIJEM	VKLAD	23188	44168	\N	\N	\N
848526	2890	1997-05-09	PRIJEM	VKLAD	23188	41655	\N	\N	\N
848527	2890	1997-06-09	PRIJEM	VKLAD	34782	51524	\N	\N	\N
848528	2890	1997-07-09	PRIJEM	VKLAD	23188	44026	\N	\N	\N
848529	2890	1997-08-09	PRIJEM	VKLAD	23188	41514	\N	\N	\N
848530	2890	1997-09-09	PRIJEM	VKLAD	23188	40183	\N	\N	\N
848531	2890	1997-10-09	PRIJEM	VKLAD	23188	39418	\N	\N	\N
848532	2890	1997-11-09	PRIJEM	VKLAD	23188	36148	\N	\N	\N
848533	2890	1997-12-09	PRIJEM	VKLAD	34782	65365	\N	\N	\N
848534	2890	1998-01-09	PRIJEM	VKLAD	23188	48678	\N	\N	\N
848535	2890	1998-02-09	PRIJEM	VKLAD	23188	38431	\N	\N	\N
848536	2890	1998-03-09	PRIJEM	VKLAD	23188	36253	\N	\N	\N
848537	2890	1998-04-09	PRIJEM	VKLAD	23188	37369	\N	\N	\N
848538	2890	1998-05-09	PRIJEM	VKLAD	23188	39288	\N	\N	\N
848539	2890	1998-06-09	PRIJEM	VKLAD	34782	68519	\N	\N	\N
848540	2890	1998-07-09	PRIJEM	VKLAD	23188	39928	\N	\N	\N
848541	2890	1998-08-09	PRIJEM	VKLAD	23188	57578	\N	\N	\N
848542	2890	1998-09-09	PRIJEM	VKLAD	23188	40359	\N	\N	\N
848543	2890	1998-10-09	PRIJEM	VKLAD	23188	37086	\N	\N	\N
848544	2890	1998-11-09	PRIJEM	VKLAD	23188	54714	\N	\N	\N
848545	2890	1998-12-09	PRIJEM	VKLAD	34782	49669	\N	\N	\N
848551	2890	1996-06-11	VYDAJ	PREVOD NA UCET	2661	71701	SIPO	AB	53374159
848552	2890	1996-07-11	VYDAJ	PREVOD NA UCET	2661	46755	SIPO	AB	53374159
848553	2890	1996-08-11	VYDAJ	PREVOD NA UCET	2661	48755	SIPO	AB	53374159
848554	2890	1996-09-11	VYDAJ	PREVOD NA UCET	2661	48165	SIPO	AB	53374159
848555	2890	1996-10-11	VYDAJ	PREVOD NA UCET	2661	46478	SIPO	AB	53374159
848556	2890	1996-11-11	VYDAJ	PREVOD NA UCET	2661	45279	SIPO	AB	53374159
848557	2890	1996-12-11	VYDAJ	PREVOD NA UCET	2661	57771	SIPO	AB	53374159
848558	2890	1997-01-11	VYDAJ	PREVOD NA UCET	2661	49110	SIPO	AB	53374159
848559	2890	1997-02-11	VYDAJ	PREVOD NA UCET	2661	46506	SIPO	AB	53374159
848560	2890	1997-03-11	VYDAJ	PREVOD NA UCET	2661	44708	SIPO	AB	53374159
848561	2890	1997-04-11	VYDAJ	PREVOD NA UCET	2661	41507	SIPO	AB	53374159
848562	2890	1997-05-11	VYDAJ	PREVOD NA UCET	2661	38994	SIPO	AB	53374159
848563	2890	1997-06-11	VYDAJ	PREVOD NA UCET	2661	48863	SIPO	AB	53374159
848564	2890	1997-07-11	VYDAJ	PREVOD NA UCET	2661	41365	SIPO	AB	53374159
848565	2890	1997-08-11	VYDAJ	PREVOD NA UCET	2661	38853	SIPO	AB	53374159
848566	2890	1997-09-11	VYDAJ	PREVOD NA UCET	2661	37522	SIPO	AB	53374159
848567	2890	1997-10-11	VYDAJ	PREVOD NA UCET	2661	36757	SIPO	AB	53374159
848568	2890	1997-11-11	VYDAJ	PREVOD NA UCET	2661	33487	SIPO	AB	53374159
848569	2890	1997-12-11	VYDAJ	PREVOD NA UCET	2661	62704	SIPO	AB	53374159
848570	2890	1998-01-11	VYDAJ	PREVOD NA UCET	2661	43417	SIPO	AB	53374159
848571	2890	1998-02-11	VYDAJ	PREVOD NA UCET	2661	35770	SIPO	AB	53374159
848572	2890	1998-03-11	VYDAJ	PREVOD NA UCET	2661	33592	SIPO	AB	53374159
848573	2890	1998-04-11	VYDAJ	PREVOD NA UCET	2661	34708	SIPO	AB	53374159
848574	2890	1998-05-11	VYDAJ	PREVOD NA UCET	2661	36627	SIPO	AB	53374159
848575	2890	1998-06-11	VYDAJ	PREVOD NA UCET	2661	65858	SIPO	AB	53374159
848576	2890	1998-07-11	VYDAJ	PREVOD NA UCET	2661	37267	SIPO	AB	53374159
848577	2890	1998-08-11	VYDAJ	PREVOD NA UCET	2661	54917	SIPO	AB	53374159
848578	2890	1998-09-11	VYDAJ	PREVOD NA UCET	2661	37698	SIPO	AB	53374159
848579	2890	1998-10-11	VYDAJ	PREVOD NA UCET	2661	34425	SIPO	AB	53374159
848580	2890	1998-11-11	VYDAJ	PREVOD NA UCET	2661	52053	SIPO	AB	53374159
848581	2890	1998-12-11	VYDAJ	PREVOD NA UCET	2661	47008	SIPO	AB	53374159
848587	2890	1996-06-14	VYDAJ	PREVOD NA UCET	2992	64909	 	ST	74552196
848588	2890	1996-07-14	VYDAJ	PREVOD NA UCET	2992	43763	 	ST	74552196
848589	2890	1996-08-14	VYDAJ	PREVOD NA UCET	2992	45763	 	ST	74552196
848590	2890	1996-09-14	VYDAJ	PREVOD NA UCET	2992	45173	 	ST	74552196
848591	2890	1996-10-14	VYDAJ	PREVOD NA UCET	2992	43486	 	ST	74552196
848592	2890	1996-11-14	VYDAJ	PREVOD NA UCET	2992	42287	 	ST	74552196
848593	2890	1996-12-14	VYDAJ	PREVOD NA UCET	2992	54779	 	ST	74552196
848594	2890	1997-01-14	VYDAJ	PREVOD NA UCET	2992	45418	 	ST	74552196
848595	2890	1997-02-14	VYDAJ	PREVOD NA UCET	2992	43514	 	ST	74552196
848596	2890	1997-03-14	VYDAJ	PREVOD NA UCET	2992	41716	 	ST	74552196
848597	2890	1997-04-14	VYDAJ	PREVOD NA UCET	2992	38515	 	ST	74552196
848598	2890	1997-05-14	VYDAJ	PREVOD NA UCET	2992	36002	 	ST	74552196
848599	2890	1997-06-14	VYDAJ	PREVOD NA UCET	2992	45871	 	ST	74552196
848600	2890	1997-07-14	VYDAJ	PREVOD NA UCET	2992	38373	 	ST	74552196
848601	2890	1997-08-14	VYDAJ	PREVOD NA UCET	2992	35861	 	ST	74552196
848602	2890	1997-09-14	VYDAJ	PREVOD NA UCET	2992	34530	 	ST	74552196
848603	2890	1997-10-14	VYDAJ	PREVOD NA UCET	2992	33765	 	ST	74552196
848604	2890	1997-11-14	VYDAJ	PREVOD NA UCET	2992	30495	 	ST	74552196
848605	2890	1997-12-14	VYDAJ	PREVOD NA UCET	2992	59712	 	ST	74552196
848606	2890	1998-01-14	VYDAJ	PREVOD NA UCET	2992	40425	 	ST	74552196
848607	2890	1998-02-14	VYDAJ	PREVOD NA UCET	2992	32778	 	ST	74552196
848608	2890	1998-03-14	VYDAJ	PREVOD NA UCET	2992	30600	 	ST	74552196
848609	2890	1998-04-14	VYDAJ	PREVOD NA UCET	2992	31716	 	ST	74552196
848610	2890	1998-05-14	VYDAJ	PREVOD NA UCET	2992	33635	 	ST	74552196
848611	2890	1998-06-14	VYDAJ	PREVOD NA UCET	2992	59566	 	ST	74552196
848612	2890	1998-07-14	VYDAJ	PREVOD NA UCET	2992	34275	 	ST	74552196
848613	2890	1998-08-14	VYDAJ	PREVOD NA UCET	2992	51925	 	ST	74552196
848614	2890	1998-09-14	VYDAJ	PREVOD NA UCET	2992	34706	 	ST	74552196
848615	2890	1998-10-14	VYDAJ	PREVOD NA UCET	2992	31433	 	ST	74552196
848616	2890	1998-11-14	VYDAJ	PREVOD NA UCET	2992	49061	 	ST	74552196
848617	2890	1998-12-14	VYDAJ	PREVOD NA UCET	2992	44016	 	ST	74552196
848618	2890	1996-06-19	VYDAJ	VYBER	24600	40309	\N	\N	\N
848619	2890	1997-06-28	VYDAJ	VYBER	3100	42771	\N	\N	\N
848620	2890	1998-06-11	VYDAJ	VYBER	3300	62558	\N	\N	\N
848622	2890	1997-01-17	VYDAJ	VYBER	1600	43818	\N	\N	\N
848623	2890	1998-01-23	VYDAJ	VYBER	6200	31525	\N	\N	\N
848624	2890	1996-12-11	VYDAJ	VYBER	2600	60432	\N	\N	\N
848625	2890	1997-12-19	VYDAJ	VYBER	1500	58212	\N	\N	\N
848626	2890	1998-12-24	VYDAJ	VYBER	800	43216	\N	\N	\N
848633	2890	1997-01-12	VYDAJ	VYBER	700	48410	\N	\N	\N
848634	2890	1997-01-26	VYDAJ	VYBER	2700	41118	\N	\N	\N
848635	2890	1997-01-01	VYDAJ	VYBER	1400	53583	\N	\N	\N
848636	2890	1997-01-06	VYDAJ	VYBER	2400	30783	\N	\N	\N
848637	2890	1997-01-03	VYDAJ	VYBER	2200	33183	\N	\N	\N
848638	2890	1997-01-10	VYDAJ	VYBER	2200	51771	\N	\N	\N
848639	2890	1998-01-04	VYDAJ	VYBER	2700	27690	\N	\N	\N
848640	2890	1998-01-10	VYDAJ	VYBER	2600	46078	\N	\N	\N
848641	2890	1998-01-17	VYDAJ	VYBER	2700	37725	\N	\N	\N
848643	2890	1998-01-06	VYDAJ	VYBER	2200	25490	\N	\N	\N
848644	2890	1998-01-24	VYDAJ	VYBER	2800	28725	\N	\N	\N
848645	2890	1996-10-07	VYDAJ	VYBER	1000	25951	\N	\N	\N
848647	2890	1996-07-21	VYDAJ	VYBER	1500	42263	\N	\N	\N
848648	2890	1996-11-03	VYDAJ	VYBER	2800	40852	\N	\N	\N
848649	2890	1996-06-14	VYDAJ	VYBER	3800	67901	\N	\N	\N
848650	2890	1997-08-31	VYDAJ	VYBER	1700	17009	\N	\N	\N
848651	2890	1997-04-30	VYDAJ	VYBER	4400	34267	\N	\N	\N
848652	2890	1998-11-19	VYDAJ	VYBER	2100	46961	\N	\N	\N
848653	2890	1998-07-01	VYDAJ	VYBER	3700	20040	\N	\N	\N
848654	2890	1998-07-05	VYDAJ	VYBER	3300	16740	\N	\N	\N
848655	2890	1998-09-02	VYDAJ	VYBER	1000	17171	\N	\N	\N
848663	2890	1996-06-30	VYDAJ	VYBER	15	40528	SLUZBY	\N	\N
848664	2890	1996-07-31	VYDAJ	VYBER	15	42428	SLUZBY	\N	\N
848665	2890	1996-08-31	VYDAJ	VYBER	15	45938	SLUZBY	\N	\N
848666	2890	1996-09-30	VYDAJ	VYBER	15	45351	SLUZBY	\N	\N
848667	2890	1996-10-31	VYDAJ	VYBER	15	43652	SLUZBY	\N	\N
848668	2890	1996-11-30	VYDAJ	VYBER	15	42450	SLUZBY	\N	\N
848669	2890	1996-12-31	VYDAJ	VYBER	15	54983	SLUZBY	\N	\N
848670	2890	1997-01-31	VYDAJ	VYBER	15	41279	SLUZBY	\N	\N
848671	2890	1997-02-28	VYDAJ	VYBER	15	43681	SLUZBY	\N	\N
848672	2890	1997-03-31	VYDAJ	VYBER	15	41880	SLUZBY	\N	\N
848673	2890	1997-04-30	VYDAJ	VYBER	15	38667	SLUZBY	\N	\N
848674	2890	1997-05-31	VYDAJ	VYBER	15	36142	SLUZBY	\N	\N
848675	2890	1997-06-30	VYDAJ	VYBER	15	42938	SLUZBY	\N	\N
848676	2890	1997-07-31	VYDAJ	VYBER	15	38526	SLUZBY	\N	\N
848677	2890	1997-08-31	VYDAJ	VYBER	15	16995	SLUZBY	\N	\N
848678	2890	1997-09-30	VYDAJ	VYBER	15	16230	SLUZBY	\N	\N
848679	2890	1997-10-31	VYDAJ	VYBER	15	12960	SLUZBY	\N	\N
848680	2890	1997-11-30	VYDAJ	VYBER	15	30583	SLUZBY	\N	\N
848681	2890	1997-12-31	VYDAJ	VYBER	15	30390	SLUZBY	\N	\N
848682	2890	1998-01-31	VYDAJ	VYBER	15	15243	SLUZBY	\N	\N
848683	2890	1998-02-28	VYDAJ	VYBER	15	13065	SLUZBY	\N	\N
848684	2890	1998-03-31	VYDAJ	VYBER	15	14181	SLUZBY	\N	\N
848685	2890	1998-04-30	VYDAJ	VYBER	15	16100	SLUZBY	\N	\N
848686	2890	1998-05-31	VYDAJ	VYBER	15	33737	SLUZBY	\N	\N
848687	2890	1998-06-30	VYDAJ	VYBER	15	23740	SLUZBY	\N	\N
848688	2890	1998-07-31	VYDAJ	VYBER	15	34390	SLUZBY	\N	\N
848689	2890	1998-08-31	VYDAJ	VYBER	15	18171	SLUZBY	\N	\N
848690	2890	1998-09-30	VYDAJ	VYBER	15	13898	SLUZBY	\N	\N
848691	2890	1998-10-31	VYDAJ	VYBER	15	31526	SLUZBY	\N	\N
848692	2890	1998-11-30	VYDAJ	VYBER	15	14887	SLUZBY	\N	\N
848693	2890	1996-03-08	PRIJEM	VKLAD	1800	25560	\N	\N	\N
848694	2890	1996-04-07	VYDAJ	VYBER	15100	33824	\N	\N	\N
848695	2890	1996-05-07	VYDAJ	VYBER	18600	38640	\N	\N	\N
848696	2890	1996-06-06	VYDAJ	VYBER	22500	39580	\N	\N	\N
848697	2890	1996-07-06	VYDAJ	VYBER	14300	26228	\N	\N	\N
848698	2890	1996-08-05	VYDAJ	VYBER	14200	28228	\N	\N	\N
848699	2890	1996-09-04	VYDAJ	VYBER	18300	27638	\N	\N	\N
848700	2890	1996-10-04	VYDAJ	VYBER	18400	26951	\N	\N	\N
848701	2890	1996-11-03	VYDAJ	VYBER	16100	24752	\N	\N	\N
848702	2890	1996-12-03	VYDAJ	VYBER	14200	28250	\N	\N	\N
848703	2890	1997-01-02	VYDAJ	VYBER	18200	35383	\N	\N	\N
848704	2890	1997-02-01	VYDAJ	VYBER	15300	25979	\N	\N	\N
848705	2890	1997-03-03	VYDAJ	VYBER	19500	24181	\N	\N	\N
848706	2890	1997-04-02	VYDAJ	VYBER	20900	20980	\N	\N	\N
848707	2890	1997-05-02	VYDAJ	VYBER	15800	18467	\N	\N	\N
848708	2890	1997-06-01	VYDAJ	VYBER	19400	16742	\N	\N	\N
848709	2890	1997-07-01	VYDAJ	VYBER	22100	20838	\N	\N	\N
848710	2890	1997-07-31	VYDAJ	VYBER	20200	18326	\N	\N	\N
848711	2890	1997-08-30	VYDAJ	VYBER	17300	18561	\N	\N	\N
848712	2890	1997-09-29	VYDAJ	VYBER	18400	16130	\N	\N	\N
848713	2890	1997-10-29	VYDAJ	VYBER	20900	12865	\N	\N	\N
848714	2890	1997-12-28	VYDAJ	VYBER	28000	30212	\N	\N	\N
848715	2890	1998-01-27	VYDAJ	VYBER	13600	15125	\N	\N	\N
848716	2890	1998-02-26	VYDAJ	VYBER	19800	12978	\N	\N	\N
848717	2890	1998-03-28	VYDAJ	VYBER	16500	14100	\N	\N	\N
848718	2890	1998-04-27	VYDAJ	VYBER	15700	16016	\N	\N	\N
848719	2890	1998-06-26	VYDAJ	VYBER	36000	23566	\N	\N	\N
848720	2890	1998-08-25	VYDAJ	VYBER	33900	18025	\N	\N	\N
848721	2890	1998-09-24	VYDAJ	VYBER	20900	13806	\N	\N	\N
848722	2890	1998-11-23	VYDAJ	VYBER	32200	14761	\N	\N	\N
848758	2891	1997-05-28	PRIJEM	VKLAD	300	300	\N	\N	\N
848764	2891	1997-06-06	PRIJEM	VKLAD	28242	28542	\N	\N	\N
848765	2891	1997-07-06	PRIJEM	VKLAD	18828	41983	\N	\N	\N
848766	2891	1997-08-06	PRIJEM	VKLAD	18828	49612	\N	\N	\N
848767	2891	1997-09-06	PRIJEM	VKLAD	18828	52871	\N	\N	\N
848768	2891	1997-10-06	PRIJEM	VKLAD	18828	54842	\N	\N	\N
848769	2891	1997-11-06	PRIJEM	VKLAD	18828	44032	\N	\N	\N
848770	2891	1997-12-06	PRIJEM	VKLAD	28242	50949	\N	\N	\N
848771	2891	1998-01-06	PRIJEM	VKLAD	18828	41786	\N	\N	\N
848772	2891	1998-02-06	PRIJEM	VKLAD	18828	33475	\N	\N	\N
848773	2891	1998-03-06	PRIJEM	VKLAD	18828	35643	\N	\N	\N
848774	2891	1998-04-06	PRIJEM	VKLAD	18828	38715	\N	\N	\N
848775	2891	1998-05-06	PRIJEM	VKLAD	18828	34185	\N	\N	\N
848776	2891	1998-06-06	PRIJEM	VKLAD	28242	41863	\N	\N	\N
848777	2891	1998-07-06	PRIJEM	VKLAD	18828	34243	\N	\N	\N
848778	2891	1998-08-06	PRIJEM	VKLAD	18828	38329	\N	\N	\N
848779	2891	1998-09-06	PRIJEM	VKLAD	18828	36603	\N	\N	\N
848780	2891	1998-10-06	PRIJEM	VKLAD	18828	31464	\N	\N	\N
848781	2891	1998-11-06	PRIJEM	VKLAD	18828	40831	\N	\N	\N
848782	2891	1998-12-06	PRIJEM	VKLAD	28242	40513	\N	\N	\N
848792	2891	1997-10-06	VYDAJ	PREVOD NA UCET	4614	50228	SIPO	QR	1952332
848793	2891	1997-11-06	VYDAJ	PREVOD NA UCET	4614	39418	SIPO	QR	1952332
848794	2891	1997-12-06	VYDAJ	PREVOD NA UCET	4614	46335	SIPO	QR	1952332
848795	2891	1998-01-06	VYDAJ	PREVOD NA UCET	4614	37172	SIPO	QR	1952332
848796	2891	1998-02-06	VYDAJ	PREVOD NA UCET	4614	28861	SIPO	QR	1952332
848797	2891	1998-03-06	VYDAJ	PREVOD NA UCET	4614	31029	SIPO	QR	1952332
848798	2891	1998-04-06	VYDAJ	PREVOD NA UCET	4614	34101	SIPO	QR	1952332
848799	2891	1998-05-06	VYDAJ	PREVOD NA UCET	4614	29571	SIPO	QR	1952332
848800	2891	1998-06-06	VYDAJ	PREVOD NA UCET	4614	37249	SIPO	QR	1952332
848801	2891	1998-07-06	VYDAJ	PREVOD NA UCET	4614	29629	SIPO	QR	1952332
848802	2891	1998-08-06	VYDAJ	PREVOD NA UCET	4614	33715	SIPO	QR	1952332
848803	2891	1998-09-06	VYDAJ	PREVOD NA UCET	4614	31989	SIPO	QR	1952332
848804	2891	1998-10-06	VYDAJ	PREVOD NA UCET	4614	26850	SIPO	QR	1952332
848805	2891	1998-11-06	VYDAJ	PREVOD NA UCET	4614	36217	SIPO	QR	1952332
848806	2891	1998-12-06	VYDAJ	PREVOD NA UCET	4614	35899	SIPO	QR	1952332
848816	2891	1997-10-14	VYDAJ	PREVOD NA UCET	4928	39420	 	ST	74825072
848817	2891	1997-11-14	VYDAJ	PREVOD NA UCET	4928	34490	 	ST	74825072
848818	2891	1997-12-14	VYDAJ	PREVOD NA UCET	4928	41407	 	ST	74825072
848819	2891	1998-01-14	VYDAJ	PREVOD NA UCET	4928	22364	 	ST	74825072
848820	2891	1998-02-14	VYDAJ	PREVOD NA UCET	4928	23933	 	ST	74825072
848821	2891	1998-03-14	VYDAJ	PREVOD NA UCET	4928	26101	 	ST	74825072
848822	2891	1998-04-14	VYDAJ	PREVOD NA UCET	4928	23293	 	ST	74825072
848823	2891	1998-05-14	VYDAJ	PREVOD NA UCET	4928	24643	 	ST	74825072
848824	2891	1998-06-14	VYDAJ	PREVOD NA UCET	4928	32321	 	ST	74825072
848825	2891	1998-07-14	VYDAJ	PREVOD NA UCET	4928	19421	 	ST	74825072
848826	2891	1998-08-14	VYDAJ	PREVOD NA UCET	4928	28787	 	ST	74825072
848827	2891	1998-09-14	VYDAJ	PREVOD NA UCET	4928	27061	 	ST	74825072
848828	2891	1998-10-14	VYDAJ	PREVOD NA UCET	4928	21922	 	ST	74825072
848829	2891	1998-11-14	VYDAJ	PREVOD NA UCET	4928	31289	 	ST	74825072
848830	2891	1998-12-14	VYDAJ	PREVOD NA UCET	4928	30971	 	ST	74825072
848858	2891	1998-01-09	VYDAJ	VYBER	6880	27292	\N	\N	\N
848859	2891	1997-12-23	VYDAJ	VYBER	2560	38847	\N	\N	\N
848860	2891	1998-12-29	VYDAJ	VYBER	2080	28891	\N	\N	\N
848867	2891	1998-01-05	VYDAJ	VYBER	720	22958	\N	\N	\N
848868	2891	1998-01-21	VYDAJ	VYBER	2160	16844	\N	\N	\N
848869	2891	1998-01-08	VYDAJ	VYBER	3000	34172	\N	\N	\N
848870	2891	1998-01-21	VYDAJ	VYBER	1200	19004	\N	\N	\N
848871	2891	1998-01-30	VYDAJ	VYBER	2280	14564	\N	\N	\N
848872	2891	1998-01-19	VYDAJ	VYBER	2160	20204	\N	\N	\N
848876	2891	1997-10-27	VYDAJ	VYBER	3360	25060	\N	\N	\N
848878	2891	1997-10-12	VYDAJ	VYBER	5880	44348	\N	\N	\N
848880	2891	1998-04-18	VYDAJ	VYBER	720	22573	\N	\N	\N
848881	2891	1998-04-11	VYDAJ	VYBER	5880	28221	\N	\N	\N
848882	2891	1998-07-14	VYDAJ	VYBER	5280	24349	\N	\N	\N
848883	2891	1998-07-02	VYDAJ	VYBER	1800	15415	\N	\N	\N
848895	2891	1997-10-31	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
848896	2891	1997-11-30	VYDAJ	VYBER	15	22707	SLUZBY	\N	\N
848897	2891	1997-12-31	VYDAJ	VYBER	15	23678	SLUZBY	\N	\N
848898	2891	1998-01-31	VYDAJ	VYBER	15	14647	SLUZBY	\N	\N
848899	2891	1998-02-28	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
848900	2891	1998-03-31	VYDAJ	VYBER	15	19887	SLUZBY	\N	\N
848901	2891	1998-04-30	VYDAJ	VYBER	15	15357	SLUZBY	\N	\N
848902	2891	1998-05-31	VYDAJ	VYBER	15	13621	SLUZBY	\N	\N
848903	2891	1998-06-30	VYDAJ	VYBER	15	17215	SLUZBY	\N	\N
848904	2891	1998-07-31	VYDAJ	VYBER	15	19501	SLUZBY	\N	\N
848905	2891	1998-08-31	VYDAJ	VYBER	15	17775	SLUZBY	\N	\N
848906	2891	1998-09-30	VYDAJ	VYBER	15	12636	SLUZBY	\N	\N
848907	2891	1998-10-31	VYDAJ	VYBER	15	22003	SLUZBY	\N	\N
848908	2891	1998-11-30	VYDAJ	VYBER	15	12271	SLUZBY	\N	\N
848909	2891	1997-06-27	VYDAJ	VYBER	5400	23142	\N	\N	\N
848910	2891	1997-07-27	VYDAJ	VYBER	11300	30683	\N	\N	\N
848911	2891	1997-08-26	VYDAJ	VYBER	15700	33912	\N	\N	\N
848912	2891	1997-09-25	VYDAJ	VYBER	17000	35871	\N	\N	\N
848913	2891	1997-10-25	VYDAJ	VYBER	11000	28420	\N	\N	\N
848914	2891	1997-11-24	VYDAJ	VYBER	11900	22590	\N	\N	\N
848915	2891	1997-12-24	VYDAJ	VYBER	15300	23547	\N	\N	\N
848916	2891	1998-02-22	VYDAJ	VYBER	7200	16733	\N	\N	\N
848917	2891	1998-03-24	VYDAJ	VYBER	6300	19801	\N	\N	\N
848918	2891	1998-04-23	VYDAJ	VYBER	7300	15273	\N	\N	\N
848919	2891	1998-05-23	VYDAJ	VYBER	11100	13543	\N	\N	\N
848920	2891	1998-06-22	VYDAJ	VYBER	15200	17121	\N	\N	\N
848921	2891	1998-08-21	VYDAJ	VYBER	11100	17687	\N	\N	\N
848922	2891	1998-09-20	VYDAJ	VYBER	14500	12561	\N	\N	\N
848923	2891	1998-11-19	VYDAJ	VYBER	19100	12189	\N	\N	\N
848943	2892	1997-12-16	PRIJEM	VKLAD	200	200	\N	\N	\N
848991	2892	1998-01-15	PRIJEM	VKLAD	11700	11900	\N	\N	\N
848992	2892	1998-02-14	PRIJEM	VKLAD	4200	16100	\N	\N	\N
848993	2892	1998-03-16	PRIJEM	VKLAD	100	16200	\N	\N	\N
848994	2892	1998-04-15	PRIJEM	VKLAD	2500	18700	\N	\N	\N
848995	2892	1998-05-15	PRIJEM	VKLAD	3700	22400	\N	\N	\N
848996	2892	1998-06-14	PRIJEM	VKLAD	900	23300	\N	\N	\N
848997	2892	1998-07-14	PRIJEM	VKLAD	3000	26300	\N	\N	\N
848998	2892	1998-08-13	VYDAJ	VYBER	1400	24900	\N	\N	\N
848999	2892	1998-09-12	PRIJEM	VKLAD	5000	29900	\N	\N	\N
849000	2892	1998-10-12	PRIJEM	VKLAD	1800	31700	\N	\N	\N
849001	2892	1998-11-11	PRIJEM	VKLAD	3200	34900	\N	\N	\N
849002	2892	1998-12-11	PRIJEM	VKLAD	3000	37900	\N	\N	\N
849003	2893	1996-02-08	PRIJEM	VKLAD	700	700	\N	\N	\N
849006	2893	1996-03-05	PRIJEM	PREVOD Z UCTU	3382	4082	\N	GH	14506274
849007	2893	1996-04-05	PRIJEM	PREVOD Z UCTU	3382	7464	\N	GH	14506274
849008	2893	1996-05-05	PRIJEM	PREVOD Z UCTU	3382	10846	\N	GH	14506274
849009	2893	1996-06-05	PRIJEM	PREVOD Z UCTU	3382	14228	\N	GH	14506274
849010	2893	1996-07-05	PRIJEM	PREVOD Z UCTU	3382	17610	\N	GH	14506274
849011	2893	1996-08-05	PRIJEM	PREVOD Z UCTU	3382	18174	\N	GH	14506274
849012	2893	1996-09-05	PRIJEM	PREVOD Z UCTU	3382	19354	\N	GH	14506274
849013	2893	1996-10-05	PRIJEM	PREVOD Z UCTU	3382	20538	\N	GH	14506274
849014	2893	1996-11-05	PRIJEM	PREVOD Z UCTU	3382	20054	\N	GH	14506274
849015	2893	1996-12-05	PRIJEM	PREVOD Z UCTU	3382	20882	\N	GH	14506274
849016	2893	1997-01-05	PRIJEM	PREVOD Z UCTU	3382	21879	\N	GH	14506274
849017	2893	1997-02-05	PRIJEM	PREVOD Z UCTU	3382	17455	\N	GH	14506274
849018	2893	1997-03-05	PRIJEM	PREVOD Z UCTU	3382	17403	\N	GH	14506274
849019	2893	1997-04-05	PRIJEM	PREVOD Z UCTU	3382	18583	\N	GH	14506274
849020	2893	1997-05-05	PRIJEM	PREVOD Z UCTU	3382	18379	\N	GH	14506274
849021	2893	1997-06-05	PRIJEM	PREVOD Z UCTU	3382	18812	\N	GH	14506274
849022	2893	1997-07-05	PRIJEM	PREVOD Z UCTU	3382	19995	\N	GH	14506274
849023	2893	1997-08-05	PRIJEM	PREVOD Z UCTU	3382	21183	\N	GH	14506274
849024	2893	1997-09-05	PRIJEM	PREVOD Z UCTU	3382	22379	\N	GH	14506274
849025	2893	1997-10-05	PRIJEM	PREVOD Z UCTU	3382	22852	\N	GH	14506274
849026	2893	1997-11-05	PRIJEM	PREVOD Z UCTU	3382	24050	\N	GH	14506274
849027	2893	1997-12-05	PRIJEM	PREVOD Z UCTU	3382	25255	\N	GH	14506274
849028	2893	1998-01-05	PRIJEM	PREVOD Z UCTU	3382	22561	\N	GH	14506274
849029	2893	1998-02-05	PRIJEM	PREVOD Z UCTU	3382	20726	\N	GH	14506274
849030	2893	1998-03-05	PRIJEM	PREVOD Z UCTU	3382	21919	\N	GH	14506274
849031	2893	1998-04-05	PRIJEM	PREVOD Z UCTU	3382	23117	\N	GH	14506274
849032	2893	1998-05-05	PRIJEM	PREVOD Z UCTU	3382	24318	\N	GH	14506274
849033	2893	1998-06-05	PRIJEM	PREVOD Z UCTU	3382	24230	\N	GH	14506274
849034	2893	1998-07-05	PRIJEM	PREVOD Z UCTU	3382	18937	\N	GH	14506274
849035	2893	1998-08-05	PRIJEM	PREVOD Z UCTU	3382	20118	\N	GH	14506274
849036	2893	1998-09-05	PRIJEM	PREVOD Z UCTU	3382	20916	\N	GH	14506274
849037	2893	1998-10-05	PRIJEM	PREVOD Z UCTU	3382	22105	\N	GH	14506274
849038	2893	1998-11-05	PRIJEM	PREVOD Z UCTU	3382	22970	\N	GH	14506274
849039	2893	1998-12-05	PRIJEM	PREVOD Z UCTU	3382	24170	\N	GH	14506274
849046	2893	1996-07-09	VYDAJ	PREVOD NA UCET	1503	15507	\N	QR	48678463
849047	2893	1996-08-09	VYDAJ	PREVOD NA UCET	1503	16671	\N	QR	48678463
849048	2893	1996-09-09	VYDAJ	PREVOD NA UCET	1503	17100	\N	QR	48678463
849049	2893	1996-10-09	VYDAJ	PREVOD NA UCET	1503	18284	\N	QR	48678463
849050	2893	1996-11-09	VYDAJ	PREVOD NA UCET	1503	18551	\N	QR	48678463
849051	2893	1996-12-09	VYDAJ	PREVOD NA UCET	1503	18628	\N	QR	48678463
849052	2893	1997-01-09	VYDAJ	PREVOD NA UCET	1503	18696	\N	QR	48678463
849053	2893	1997-02-09	VYDAJ	PREVOD NA UCET	1503	13971	\N	QR	48678463
849054	2893	1997-03-09	VYDAJ	PREVOD NA UCET	1503	15149	\N	QR	48678463
849055	2893	1997-04-09	VYDAJ	PREVOD NA UCET	1503	17080	\N	QR	48678463
849056	2893	1997-05-09	VYDAJ	PREVOD NA UCET	1503	16125	\N	QR	48678463
849057	2893	1997-06-09	VYDAJ	PREVOD NA UCET	1503	17309	\N	QR	48678463
849058	2893	1997-07-09	VYDAJ	PREVOD NA UCET	1503	18492	\N	QR	48678463
849059	2893	1997-08-09	VYDAJ	PREVOD NA UCET	1503	18929	\N	QR	48678463
849060	2893	1997-09-09	VYDAJ	PREVOD NA UCET	1503	20876	\N	QR	48678463
849061	2893	1997-10-09	VYDAJ	PREVOD NA UCET	1503	20598	\N	QR	48678463
849062	2893	1997-11-09	VYDAJ	PREVOD NA UCET	1503	22547	\N	QR	48678463
849063	2893	1997-12-09	VYDAJ	PREVOD NA UCET	1503	23752	\N	QR	48678463
849064	2893	1998-01-09	VYDAJ	PREVOD NA UCET	1503	19947	\N	QR	48678463
849065	2893	1998-02-09	VYDAJ	PREVOD NA UCET	1503	18472	\N	QR	48678463
849066	2893	1998-03-09	VYDAJ	PREVOD NA UCET	1503	19665	\N	QR	48678463
849067	2893	1998-04-09	VYDAJ	PREVOD NA UCET	1503	21614	\N	QR	48678463
849068	2893	1998-05-09	VYDAJ	PREVOD NA UCET	1503	22064	\N	QR	48678463
849069	2893	1998-06-09	VYDAJ	PREVOD NA UCET	1503	22727	\N	QR	48678463
849070	2893	1998-07-09	VYDAJ	PREVOD NA UCET	1503	16683	\N	QR	48678463
849071	2893	1998-08-09	VYDAJ	PREVOD NA UCET	1503	18615	\N	QR	48678463
849072	2893	1998-09-09	VYDAJ	PREVOD NA UCET	1503	18662	\N	QR	48678463
849073	2893	1998-10-09	VYDAJ	PREVOD NA UCET	1503	19851	\N	QR	48678463
849074	2893	1998-11-09	VYDAJ	PREVOD NA UCET	1503	21467	\N	QR	48678463
849075	2893	1998-12-09	VYDAJ	PREVOD NA UCET	1503	22397	\N	QR	48678463
849082	2893	1996-07-09	VYDAJ	PREVOD NA UCET	751	14756	\N	GH	98864054
849083	2893	1996-08-09	VYDAJ	PREVOD NA UCET	751	15920	\N	GH	98864054
849084	2893	1996-09-09	VYDAJ	PREVOD NA UCET	751	18603	\N	GH	98864054
849085	2893	1996-10-09	VYDAJ	PREVOD NA UCET	751	19787	\N	GH	98864054
849086	2893	1996-11-09	VYDAJ	PREVOD NA UCET	751	17800	\N	GH	98864054
849087	2893	1996-12-09	VYDAJ	PREVOD NA UCET	751	20131	\N	GH	98864054
849088	2893	1997-01-09	VYDAJ	PREVOD NA UCET	751	17945	\N	GH	98864054
849089	2893	1997-02-09	VYDAJ	PREVOD NA UCET	751	15474	\N	GH	98864054
849090	2893	1997-03-09	VYDAJ	PREVOD NA UCET	751	16652	\N	GH	98864054
849091	2893	1997-04-09	VYDAJ	PREVOD NA UCET	751	16329	\N	GH	98864054
849092	2893	1997-05-09	VYDAJ	PREVOD NA UCET	751	17628	\N	GH	98864054
849093	2893	1997-06-09	VYDAJ	PREVOD NA UCET	751	16558	\N	GH	98864054
849094	2893	1997-07-09	VYDAJ	PREVOD NA UCET	751	17741	\N	GH	98864054
849095	2893	1997-08-09	VYDAJ	PREVOD NA UCET	751	20432	\N	GH	98864054
849096	2893	1997-09-09	VYDAJ	PREVOD NA UCET	751	20125	\N	GH	98864054
849097	2893	1997-10-09	VYDAJ	PREVOD NA UCET	751	22101	\N	GH	98864054
849098	2893	1997-11-09	VYDAJ	PREVOD NA UCET	751	21796	\N	GH	98864054
849099	2893	1997-12-09	VYDAJ	PREVOD NA UCET	751	23001	\N	GH	98864054
849100	2893	1998-01-09	VYDAJ	PREVOD NA UCET	751	21450	\N	GH	98864054
849101	2893	1998-02-09	VYDAJ	PREVOD NA UCET	751	19975	\N	GH	98864054
849102	2893	1998-03-09	VYDAJ	PREVOD NA UCET	751	21168	\N	GH	98864054
849103	2893	1998-04-09	VYDAJ	PREVOD NA UCET	751	20863	\N	GH	98864054
849104	2893	1998-05-09	VYDAJ	PREVOD NA UCET	751	23567	\N	GH	98864054
849105	2893	1998-06-09	VYDAJ	PREVOD NA UCET	751	21976	\N	GH	98864054
849106	2893	1998-07-09	VYDAJ	PREVOD NA UCET	751	18186	\N	GH	98864054
849107	2893	1998-08-09	VYDAJ	PREVOD NA UCET	751	17864	\N	GH	98864054
849108	2893	1998-09-09	VYDAJ	PREVOD NA UCET	751	20165	\N	GH	98864054
849109	2893	1998-10-09	VYDAJ	PREVOD NA UCET	751	21354	\N	GH	98864054
849110	2893	1998-11-09	VYDAJ	PREVOD NA UCET	751	20716	\N	GH	98864054
849111	2893	1998-12-09	VYDAJ	PREVOD NA UCET	751	21646	\N	GH	98864054
849114	2893	1998-06-09	VYDAJ	VYBER	6030	15946	\N	\N	\N
849116	2893	1997-01-06	VYDAJ	VYBER	1140	20199	\N	\N	\N
849117	2893	1998-01-03	VYDAJ	VYBER	2010	19179	\N	\N	\N
849118	2893	1996-12-04	VYDAJ	VYBER	360	17500	\N	\N	\N
849119	2893	1997-12-13	VYDAJ	VYBER	450	22371	\N	\N	\N
849120	2893	1998-12-06	VYDAJ	VYBER	270	23900	\N	\N	\N
849127	2893	1997-01-10	VYDAJ	VYBER	240	17705	\N	\N	\N
849128	2893	1997-01-29	VYDAJ	VYBER	750	14795	\N	\N	\N
849129	2893	1997-01-20	VYDAJ	VYBER	780	16925	\N	\N	\N
849130	2893	1997-01-05	VYDAJ	VYBER	540	21339	\N	\N	\N
849131	2893	1997-01-26	VYDAJ	VYBER	600	15545	\N	\N	\N
849132	2893	1997-01-23	VYDAJ	VYBER	780	16145	\N	\N	\N
849133	2893	1998-01-14	VYDAJ	VYBER	480	18897	\N	\N	\N
849134	2893	1998-01-01	VYDAJ	VYBER	720	21189	\N	\N	\N
849135	2893	1998-01-27	VYDAJ	VYBER	810	18087	\N	\N	\N
849136	2893	1998-01-12	VYDAJ	VYBER	570	19377	\N	\N	\N
849137	2893	1998-01-01	VYDAJ	VYBER	540	21909	\N	\N	\N
849138	2893	1998-01-07	VYDAJ	VYBER	360	22201	\N	\N	\N
849142	2893	1996-10-22	VYDAJ	VYBER	1470	16814	\N	\N	\N
849144	2893	1997-02-07	VYDAJ	VYBER	1230	16225	\N	\N	\N
849145	2893	1997-05-28	VYDAJ	VYBER	750	15375	\N	\N	\N
849146	2893	1997-09-10	VYDAJ	VYBER	720	19405	\N	\N	\N
849147	2893	1997-12-11	VYDAJ	VYBER	180	22821	\N	\N	\N
849148	2893	1997-04-13	VYDAJ	VYBER	1380	14949	\N	\N	\N
849149	2893	1997-02-04	VYDAJ	VYBER	780	14073	\N	\N	\N
849150	2893	1998-06-13	VYDAJ	VYBER	450	15496	\N	\N	\N
849151	2893	1998-01-27	VYDAJ	VYBER	810	17277	\N	\N	\N
849152	2893	1998-05-20	VYDAJ	VYBER	810	20774	\N	\N	\N
849153	2893	1998-08-29	VYDAJ	VYBER	390	17474	\N	\N	\N
849154	2893	1998-10-30	VYDAJ	VYBER	330	19521	\N	\N	\N
849155	2893	1998-05-16	VYDAJ	VYBER	480	21584	\N	\N	\N
849163	2893	1996-07-31	VYDAJ	VYBER	15	14792	SLUZBY	\N	\N
849164	2893	1996-08-31	VYDAJ	VYBER	15	15972	SLUZBY	\N	\N
849165	2893	1996-09-30	VYDAJ	VYBER	15	17156	SLUZBY	\N	\N
849166	2893	1996-10-31	VYDAJ	VYBER	15	16872	SLUZBY	\N	\N
849167	2893	1996-11-30	VYDAJ	VYBER	15	17860	SLUZBY	\N	\N
849168	2893	1996-12-31	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
849169	2893	1997-01-31	VYDAJ	VYBER	15	14853	SLUZBY	\N	\N
849170	2893	1997-02-28	VYDAJ	VYBER	15	14021	SLUZBY	\N	\N
849171	2893	1997-03-31	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
849172	2893	1997-04-30	VYDAJ	VYBER	15	14997	SLUZBY	\N	\N
849173	2893	1997-05-31	VYDAJ	VYBER	15	15430	SLUZBY	\N	\N
849174	2893	1997-06-30	VYDAJ	VYBER	15	16613	SLUZBY	\N	\N
849175	2893	1997-07-31	VYDAJ	VYBER	15	17801	SLUZBY	\N	\N
849176	2893	1997-08-31	VYDAJ	VYBER	15	18997	SLUZBY	\N	\N
849177	2893	1997-09-30	VYDAJ	VYBER	15	19470	SLUZBY	\N	\N
849178	2893	1997-10-31	VYDAJ	VYBER	15	20668	SLUZBY	\N	\N
849179	2893	1997-11-30	VYDAJ	VYBER	15	21873	SLUZBY	\N	\N
849180	2893	1997-12-31	VYDAJ	VYBER	15	22449	SLUZBY	\N	\N
849181	2893	1998-01-31	VYDAJ	VYBER	15	17344	SLUZBY	\N	\N
849182	2893	1998-02-28	VYDAJ	VYBER	15	18537	SLUZBY	\N	\N
849183	2893	1998-03-31	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
849184	2893	1998-04-30	VYDAJ	VYBER	15	20936	SLUZBY	\N	\N
849185	2893	1998-05-31	VYDAJ	VYBER	15	20848	SLUZBY	\N	\N
849186	2893	1998-06-30	VYDAJ	VYBER	15	15555	SLUZBY	\N	\N
849187	2893	1998-07-31	VYDAJ	VYBER	15	16736	SLUZBY	\N	\N
849188	2893	1998-08-31	VYDAJ	VYBER	15	17534	SLUZBY	\N	\N
849189	2893	1998-09-30	VYDAJ	VYBER	15	18723	SLUZBY	\N	\N
849190	2893	1998-10-31	VYDAJ	VYBER	15	19588	SLUZBY	\N	\N
849191	2893	1998-11-30	VYDAJ	VYBER	15	20788	SLUZBY	\N	\N
849192	2893	1996-07-07	VYDAJ	VYBER	600	17010	\N	\N	\N
849193	2893	1996-11-04	VYDAJ	VYBER	200	16672	\N	\N	\N
849194	2893	1997-01-03	VYDAJ	VYBER	200	18497	\N	\N	\N
849225	2894	1993-08-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
849226	2894	1993-09-06	PRIJEM	VKLAD	26342	27442	\N	\N	\N
849227	2894	1993-12-19	PRIJEM	VKLAD	33682	85723	\N	\N	\N
849230	2894	1993-11-12	PRIJEM	VKLAD	44888	75689	\N	\N	\N
849231	2894	1993-09-10	PRIJEM	VKLAD	19591	47033	\N	\N	\N
849238	2894	1994-03-18	PRIJEM	VKLAD	45143	110686	\N	\N	\N
849239	2894	1994-11-08	PRIJEM	VKLAD	11532	55018	\N	\N	\N
849240	2894	1994-04-21	PRIJEM	VKLAD	33092	74094	\N	\N	\N
849241	2894	1994-08-24	PRIJEM	VKLAD	16209	60800	\N	\N	\N
849242	2894	1994-01-19	PRIJEM	VKLAD	13420	69563	\N	\N	\N
849243	2894	1994-11-30	PRIJEM	VKLAD	48274	71447	\N	\N	\N
849244	2894	1994-06-25	PRIJEM	VKLAD	24033	73116	\N	\N	\N
849245	2894	1994-02-06	PRIJEM	VKLAD	27003	74439	\N	\N	\N
849246	2894	1994-09-22	PRIJEM	VKLAD	41532	92073	\N	\N	\N
849247	2894	1994-06-07	PRIJEM	VKLAD	39938	75483	\N	\N	\N
849248	2894	1994-12-10	PRIJEM	VKLAD	26919	98352	\N	\N	\N
849249	2894	1994-06-30	PRIJEM	VKLAD	34214	107510	\N	\N	\N
849250	2894	1994-07-15	PRIJEM	VKLAD	27547	94543	\N	\N	\N
849251	2894	1994-01-25	PRIJEM	VKLAD	14142	72005	\N	\N	\N
849252	2894	1994-08-12	PRIJEM	VKLAD	20327	70930	\N	\N	\N
849253	2894	1994-03-09	PRIJEM	VKLAD	25031	71243	\N	\N	\N
849254	2894	1995-03-08	PRIJEM	VKLAD	35174	128714	\N	\N	\N
849255	2894	1995-06-17	PRIJEM	VKLAD	27143	58933	\N	\N	\N
849256	2894	1995-03-03	PRIJEM	VKLAD	30328	66355	\N	\N	\N
849257	2894	1995-01-11	PRIJEM	VKLAD	40678	113181	\N	\N	\N
849258	2894	1995-06-27	PRIJEM	VKLAD	36501	106872	\N	\N	\N
849259	2894	1995-10-10	PRIJEM	VKLAD	45459	107775	\N	\N	\N
849260	2894	1995-03-13	PRIJEM	VKLAD	27516	105630	\N	\N	\N
849261	2894	1995-11-06	PRIJEM	VKLAD	36511	91358	\N	\N	\N
849262	2894	1995-03-20	PRIJEM	VKLAD	9232	114862	\N	\N	\N
849263	2894	1995-03-05	PRIJEM	VKLAD	27185	93540	\N	\N	\N
849264	2894	1995-06-21	PRIJEM	VKLAD	17432	79071	\N	\N	\N
849265	2894	1995-09-16	PRIJEM	VKLAD	30174	65294	\N	\N	\N
849266	2894	1995-04-16	PRIJEM	VKLAD	36971	90263	\N	\N	\N
849267	2894	1995-12-26	PRIJEM	VKLAD	49775	119505	\N	\N	\N
849268	2894	1995-01-10	PRIJEM	VKLAD	22159	72503	\N	\N	\N
849269	2894	1995-11-07	PRIJEM	VKLAD	40411	131769	\N	\N	\N
849270	2894	1995-12-19	PRIJEM	VKLAD	18404	69730	\N	\N	\N
849271	2894	1995-07-03	PRIJEM	VKLAD	11387	75759	\N	\N	\N
849272	2894	1995-06-19	PRIJEM	VKLAD	25106	84039	\N	\N	\N
849273	2894	1995-09-26	PRIJEM	VKLAD	7917	62111	\N	\N	\N
849274	2894	1996-03-08	PRIJEM	VKLAD	19888	81185	\N	\N	\N
849275	2894	1996-09-28	PRIJEM	VKLAD	26256	91298	\N	\N	\N
849276	2894	1996-11-02	PRIJEM	VKLAD	26273	120642	\N	\N	\N
849277	2894	1996-10-30	PRIJEM	VKLAD	28278	125536	\N	\N	\N
849278	2894	1996-05-24	PRIJEM	VKLAD	40539	105903	\N	\N	\N
849279	2894	1996-09-08	PRIJEM	VKLAD	31279	103342	\N	\N	\N
849280	2894	1996-10-29	PRIJEM	VKLAD	18965	97258	\N	\N	\N
849281	2894	1996-03-25	PRIJEM	VKLAD	29878	84563	\N	\N	\N
849282	2894	1996-07-21	PRIJEM	VKLAD	31250	100059	\N	\N	\N
849283	2894	1996-04-30	PRIJEM	VKLAD	49500	113475	\N	\N	\N
849284	2894	1996-07-03	PRIJEM	VKLAD	19346	155009	\N	\N	\N
849285	2894	1996-07-01	PRIJEM	VKLAD	45829	104118	\N	\N	\N
849286	2894	1996-06-17	PRIJEM	VKLAD	17532	118299	\N	\N	\N
849287	2894	1996-11-10	PRIJEM	VKLAD	40511	102653	\N	\N	\N
849288	2894	1996-08-14	PRIJEM	VKLAD	23746	92815	\N	\N	\N
849289	2894	1996-05-04	PRIJEM	VKLAD	43107	115367	\N	\N	\N
849290	2894	1996-06-06	PRIJEM	VKLAD	17160	105765	\N	\N	\N
849291	2894	1996-02-14	PRIJEM	VKLAD	29296	91766	\N	\N	\N
849292	2894	1996-09-04	PRIJEM	VKLAD	32010	125201	\N	\N	\N
849293	2894	1996-05-07	PRIJEM	VKLAD	20328	74295	\N	\N	\N
849294	2894	1996-10-17	PRIJEM	VKLAD	17675	78293	\N	\N	\N
849295	2894	1996-01-31	PRIJEM	VKLAD	38727	79112	\N	\N	\N
849296	2894	1996-06-16	PRIJEM	VKLAD	25002	100767	\N	\N	\N
849297	2894	1996-07-03	PRIJEM	VKLAD	30247	135663	\N	\N	\N
849298	2894	1996-05-26	PRIJEM	VKLAD	43886	149789	\N	\N	\N
849299	2894	1996-05-12	PRIJEM	VKLAD	22069	96364	\N	\N	\N
849300	2894	1996-07-02	PRIJEM	VKLAD	32098	136216	\N	\N	\N
849301	2894	1996-09-05	PRIJEM	VKLAD	22262	116763	\N	\N	\N
849302	2894	1996-02-09	PRIJEM	VKLAD	45364	124670	\N	\N	\N
849303	2894	1997-04-21	PRIJEM	VKLAD	37194	90201	\N	\N	\N
849304	2894	1997-11-19	PRIJEM	VKLAD	32690	123892	\N	\N	\N
849305	2894	1997-02-01	PRIJEM	VKLAD	11544	42734	\N	\N	\N
849306	2894	1997-01-05	PRIJEM	VKLAD	18249	67999	\N	\N	\N
849307	2894	1997-11-09	PRIJEM	VKLAD	29249	91202	\N	\N	\N
849308	2894	1997-11-07	PRIJEM	VKLAD	21697	61953	\N	\N	\N
849309	2894	1997-06-21	PRIJEM	VKLAD	7222	54361	\N	\N	\N
849310	2894	1997-09-13	PRIJEM	VKLAD	20879	59621	\N	\N	\N
849311	2894	1997-02-26	PRIJEM	VKLAD	21679	61313	\N	\N	\N
849312	2894	1997-04-07	PRIJEM	VKLAD	32354	87155	\N	\N	\N
849313	2894	1998-03-12	PRIJEM	VKLAD	46118	121140	\N	\N	\N
849314	2894	1998-05-22	PRIJEM	VKLAD	13502	71726	\N	\N	\N
849315	2894	1998-12-05	PRIJEM	VKLAD	12122	112209	\N	\N	\N
849316	2894	1998-04-02	PRIJEM	VKLAD	41640	158958	\N	\N	\N
849317	2894	1998-09-26	PRIJEM	VKLAD	32207	124357	\N	\N	\N
849318	2894	1998-11-29	PRIJEM	VKLAD	14033	114571	\N	\N	\N
849319	2894	1998-03-17	PRIJEM	VKLAD	23449	116889	\N	\N	\N
849320	2894	1998-10-23	PRIJEM	VKLAD	22510	115653	\N	\N	\N
849321	2894	1998-06-05	PRIJEM	VKLAD	30412	96970	\N	\N	\N
849322	2894	1998-11-25	PRIJEM	VKLAD	46263	140938	\N	\N	\N
849323	2894	1998-01-27	PRIJEM	VKLAD	28973	81542	\N	\N	\N
849324	2894	1998-05-04	PRIJEM	VKLAD	31310	141939	\N	\N	\N
849325	2894	1998-09-19	PRIJEM	VKLAD	11400	92150	\N	\N	\N
849326	2894	1998-06-15	PRIJEM	VKLAD	26191	120242	\N	\N	\N
849327	2894	1998-06-06	PRIJEM	VKLAD	37681	134651	\N	\N	\N
849328	2894	1998-12-09	PRIJEM	VKLAD	13923	126132	\N	\N	\N
849329	2894	1998-08-01	PRIJEM	VKLAD	28102	108298	\N	\N	\N
849330	2894	1998-04-25	PRIJEM	VKLAD	25205	110263	\N	\N	\N
849331	2894	1998-12-11	PRIJEM	VKLAD	17075	144617	\N	\N	\N
849332	2894	1998-08-12	PRIJEM	VKLAD	37869	115667	\N	\N	\N
849333	2894	1998-01-03	PRIJEM	VKLAD	13216	66269	\N	\N	\N
849334	2894	1998-05-12	PRIJEM	VKLAD	22585	117524	\N	\N	\N
849335	2894	1998-07-20	PRIJEM	VKLAD	5673	79860	\N	\N	\N
849336	2894	1998-09-30	PRIJEM	VKLAD	44813	109258	\N	\N	\N
849337	2894	1998-06-28	PRIJEM	VKLAD	26706	104648	\N	\N	\N
849338	2894	1998-02-11	PRIJEM	VKLAD	18003	88681	\N	\N	\N
849339	2894	1998-12-09	PRIJEM	VKLAD	45510	171642	\N	\N	\N
849340	2894	1998-08-16	PRIJEM	VKLAD	8056	87723	\N	\N	\N
849416	2894	1994-12-11	VYBER	VYBER	15081	83271	\N	\N	\N
849418	2894	1994-11-26	VYBER	VYBER	20431	22987	\N	\N	\N
849419	2894	1994-08-15	VYBER	VYBER	10339	58491	\N	\N	\N
849420	2894	1994-02-27	VYBER	VYBER	5112	46027	\N	\N	\N
849421	2894	1994-03-30	VYBER	VYBER	4010	40776	\N	\N	\N
849422	2894	1995-04-25	VYBER	VYBER	21173	41690	\N	\N	\N
849423	2894	1997-08-21	VYBER	VYBER	15520	30889	\N	\N	\N
849424	2894	1997-09-21	VYBER	VYBER	15053	44568	\N	\N	\N
849425	2894	1997-04-08	VYBER	VYBER	22048	65107	\N	\N	\N
849426	2894	1997-10-15	VYBER	VYBER	13219	34711	\N	\N	\N
849427	2894	1997-06-26	VYBER	VYBER	12245	42116	\N	\N	\N
849428	2894	1997-05-14	VYBER	VYBER	8331	58501	\N	\N	\N
849429	2894	1997-05-06	VYBER	VYBER	5327	85132	\N	\N	\N
849430	2894	1998-11-23	VYBER	VYBER	3917	94675	\N	\N	\N
849436	2894	1998-06-24	VYDAJ	VYBER	42300	77942	\N	\N	\N
849439	2894	1995-01-16	VYDAJ	VYBER	13800	48181	\N	\N	\N
849440	2894	1996-01-13	VYDAJ	VYBER	21000	38385	\N	\N	\N
849441	2894	1997-01-28	VYDAJ	VYBER	14400	39099	\N	\N	\N
849442	2894	1998-01-17	VYDAJ	VYBER	9300	52569	\N	\N	\N
849444	2894	1994-12-29	VYDAJ	VYBER	5400	50071	\N	\N	\N
849445	2894	1995-12-09	VYDAJ	VYBER	3000	57026	\N	\N	\N
849446	2894	1996-12-20	VYDAJ	VYBER	3300	49528	\N	\N	\N
849447	2894	1997-12-20	VYDAJ	VYBER	6300	52801	\N	\N	\N
849448	2894	1998-12-21	VYDAJ	VYBER	3300	71517	\N	\N	\N
849454	2894	1994-08-04	VYDAJ	VYBER	12600	50603	\N	\N	\N
849455	2894	1994-01-20	VYDAJ	VYBER	11700	57863	\N	\N	\N
849456	2894	1994-03-09	VYDAJ	VYBER	5700	65543	\N	\N	\N
849457	2894	1994-08-12	VYDAJ	VYBER	2100	68830	\N	\N	\N
849458	2894	1994-11-10	VYDAJ	VYBER	3300	51718	\N	\N	\N
849459	2894	1994-09-04	VYDAJ	VYBER	10500	50541	\N	\N	\N
849460	2894	1995-11-14	VYDAJ	VYBER	3000	79169	\N	\N	\N
849461	2894	1995-08-07	VYDAJ	VYBER	8100	52706	\N	\N	\N
849462	2894	1995-04-25	VYDAJ	VYBER	14400	27290	\N	\N	\N
849463	2894	1995-06-21	VYDAJ	VYBER	8700	70371	\N	\N	\N
849464	2894	1995-05-16	VYDAJ	VYBER	2400	25083	\N	\N	\N
849465	2894	1995-09-12	VYDAJ	VYBER	12900	35120	\N	\N	\N
849466	2894	1995-03-27	VYDAJ	VYBER	10500	52962	\N	\N	\N
849467	2894	1996-05-06	VYDAJ	VYBER	4800	53967	\N	\N	\N
849468	2894	1996-09-10	VYDAJ	VYBER	14700	88642	\N	\N	\N
849469	2894	1996-12-05	VYDAJ	VYBER	7500	64128	\N	\N	\N
849470	2894	1996-08-06	VYDAJ	VYBER	5700	94769	\N	\N	\N
849471	2894	1996-03-20	VYDAJ	VYBER	5100	54685	\N	\N	\N
849472	2894	1996-02-20	VYDAJ	VYBER	5700	60966	\N	\N	\N
849473	2894	1996-09-04	VYDAJ	VYBER	3900	121301	\N	\N	\N
849474	2894	1996-11-17	VYDAJ	VYBER	2100	71353	\N	\N	\N
849475	2894	1996-10-14	VYDAJ	VYBER	7800	60618	\N	\N	\N
849476	2894	1997-01-14	VYDAJ	VYBER	2100	53499	\N	\N	\N
849477	2894	1997-06-29	VYDAJ	VYBER	6600	35516	\N	\N	\N
849479	2894	1997-05-20	VYDAJ	VYBER	7800	40501	\N	\N	\N
849480	2894	1997-12-09	VYDAJ	VYBER	11100	59101	\N	\N	\N
849481	2894	1997-01-28	VYDAJ	VYBER	8100	30999	\N	\N	\N
849482	2894	1997-05-14	VYDAJ	VYBER	10200	48301	\N	\N	\N
849483	2894	1997-11-23	VYDAJ	VYBER	4500	90992	\N	\N	\N
849484	2894	1998-12-26	VYDAJ	VYBER	12000	59517	\N	\N	\N
849485	2894	1998-08-03	VYDAJ	VYBER	9000	77798	\N	\N	\N
849486	2894	1998-07-10	VYDAJ	VYBER	10200	74187	\N	\N	\N
849500	2894	1994-01-31	VYDAJ	VYBER	15	47436	SLUZBY	\N	\N
849501	2894	1994-02-28	VYDAJ	VYBER	15	46212	SLUZBY	\N	\N
849502	2894	1994-03-31	VYDAJ	VYBER	15	41002	SLUZBY	\N	\N
849503	2894	1994-04-30	VYDAJ	VYBER	15	48957	SLUZBY	\N	\N
849504	2894	1994-05-31	VYDAJ	VYBER	15	35545	SLUZBY	\N	\N
849505	2894	1994-06-30	VYDAJ	VYBER	15	66996	SLUZBY	\N	\N
849506	2894	1994-07-31	VYDAJ	VYBER	15	63203	SLUZBY	\N	\N
849507	2894	1994-08-31	VYDAJ	VYBER	15	61041	SLUZBY	\N	\N
849508	2894	1994-09-30	VYDAJ	VYBER	15	60948	SLUZBY	\N	\N
849509	2894	1994-10-31	VYDAJ	VYBER	15	43486	SLUZBY	\N	\N
849510	2894	1994-11-30	VYDAJ	VYBER	15	71433	SLUZBY	\N	\N
849511	2894	1994-12-31	VYDAJ	VYBER	15	50344	SLUZBY	\N	\N
849512	2894	1995-01-31	VYDAJ	VYBER	15	41469	SLUZBY	\N	\N
849513	2894	1995-02-28	VYDAJ	VYBER	15	36027	SLUZBY	\N	\N
849514	2894	1995-03-31	VYDAJ	VYBER	15	53292	SLUZBY	\N	\N
849515	2894	1995-04-30	VYDAJ	VYBER	15	27483	SLUZBY	\N	\N
849516	2894	1995-05-31	VYDAJ	VYBER	15	31790	SLUZBY	\N	\N
849517	2894	1995-06-30	VYDAJ	VYBER	15	64372	SLUZBY	\N	\N
849518	2894	1995-07-31	VYDAJ	VYBER	15	60806	SLUZBY	\N	\N
849519	2894	1995-08-31	VYDAJ	VYBER	15	48020	SLUZBY	\N	\N
849520	2894	1995-09-30	VYDAJ	VYBER	15	62316	SLUZBY	\N	\N
849521	2894	1995-10-31	VYDAJ	VYBER	15	54847	SLUZBY	\N	\N
849522	2894	1995-11-30	VYDAJ	VYBER	15	60026	SLUZBY	\N	\N
849523	2894	1995-12-31	VYDAJ	VYBER	15	59385	SLUZBY	\N	\N
849524	2894	1996-01-31	VYDAJ	VYBER	15	79306	SLUZBY	\N	\N
849525	2894	1996-02-29	VYDAJ	VYBER	15	61297	SLUZBY	\N	\N
849526	2894	1996-03-31	VYDAJ	VYBER	15	84819	SLUZBY	\N	\N
849527	2894	1996-04-30	VYDAJ	VYBER	15	113460	SLUZBY	\N	\N
849528	2894	1996-05-31	VYDAJ	VYBER	15	88605	SLUZBY	\N	\N
849529	2894	1996-06-30	VYDAJ	VYBER	15	58289	SLUZBY	\N	\N
849530	2894	1996-07-31	VYDAJ	VYBER	15	100469	SLUZBY	\N	\N
849531	2894	1996-08-31	VYDAJ	VYBER	15	93191	SLUZBY	\N	\N
849532	2894	1996-09-30	VYDAJ	VYBER	15	91618	SLUZBY	\N	\N
849533	2894	1996-10-31	VYDAJ	VYBER	15	94369	SLUZBY	\N	\N
849534	2894	1996-11-30	VYDAJ	VYBER	15	71628	SLUZBY	\N	\N
849535	2894	1996-12-31	VYDAJ	VYBER	15	49750	SLUZBY	\N	\N
849536	2894	1997-01-31	VYDAJ	VYBER	15	31190	SLUZBY	\N	\N
849537	2894	1997-02-28	VYDAJ	VYBER	15	61462	SLUZBY	\N	\N
849538	2894	1997-03-31	VYDAJ	VYBER	15	54801	SLUZBY	\N	\N
849539	2894	1997-04-30	VYDAJ	VYBER	15	90459	SLUZBY	\N	\N
849540	2894	1997-05-31	VYDAJ	VYBER	15	40739	SLUZBY	\N	\N
849541	2894	1997-06-30	VYDAJ	VYBER	15	35677	SLUZBY	\N	\N
849542	2894	1997-07-31	VYDAJ	VYBER	15	46709	SLUZBY	\N	\N
849543	2894	1997-08-31	VYDAJ	VYBER	15	31042	SLUZBY	\N	\N
849544	2894	1997-09-30	VYDAJ	VYBER	15	44730	SLUZBY	\N	\N
849545	2894	1997-10-31	VYDAJ	VYBER	15	34856	SLUZBY	\N	\N
849546	2894	1997-11-30	VYDAJ	VYBER	15	91301	SLUZBY	\N	\N
849547	2894	1997-12-31	VYDAJ	VYBER	15	53053	SLUZBY	\N	\N
849548	2894	1998-01-31	VYDAJ	VYBER	15	81778	SLUZBY	\N	\N
849549	2894	1998-02-28	VYDAJ	VYBER	15	89022	SLUZBY	\N	\N
849550	2894	1998-03-31	VYDAJ	VYBER	15	117318	SLUZBY	\N	\N
849551	2894	1998-04-30	VYDAJ	VYBER	15	110629	SLUZBY	\N	\N
849552	2894	1998-05-31	VYDAJ	VYBER	15	72158	SLUZBY	\N	\N
849553	2894	1998-06-30	VYDAJ	VYBER	15	105087	SLUZBY	\N	\N
849554	2894	1998-07-31	VYDAJ	VYBER	15	80196	SLUZBY	\N	\N
849555	2894	1998-08-31	VYDAJ	VYBER	15	88050	SLUZBY	\N	\N
849556	2894	1998-09-30	VYDAJ	VYBER	15	109243	SLUZBY	\N	\N
849557	2894	1998-10-31	VYDAJ	VYBER	15	116092	SLUZBY	\N	\N
849558	2894	1998-11-30	VYDAJ	VYBER	15	114987	SLUZBY	\N	\N
849559	2894	1993-09-27	VYDAJ	VYBER	13700	33333	\N	\N	\N
849560	2894	1993-10-27	VYDAJ	VYBER	2800	30663	\N	\N	\N
849561	2894	1993-11-26	VYDAJ	VYBER	23800	51889	\N	\N	\N
849562	2894	1993-12-26	VYDAJ	VYBER	29800	55923	\N	\N	\N
849563	2894	1994-01-25	VYDAJ	VYBER	24800	47205	\N	\N	\N
849564	2894	1994-02-24	VYDAJ	VYBER	23300	51139	\N	\N	\N
849565	2894	1994-03-18	VYDAJ	VYBER	45400	65286	\N	\N	\N
849566	2894	1994-03-26	VYDAJ	VYBER	20500	44786	\N	\N	\N
849567	2894	1994-04-25	VYDAJ	VYBER	25300	48794	\N	\N	\N
849568	2894	1994-05-25	VYDAJ	VYBER	13600	35357	\N	\N	\N
849569	2894	1994-06-24	VYDAJ	VYBER	26400	49083	\N	\N	\N
849570	2894	1994-06-30	VYDAJ	VYBER	40500	67010	\N	\N	\N
849571	2894	1994-07-24	VYDAJ	VYBER	31600	62943	\N	\N	\N
849572	2894	1994-08-23	VYDAJ	VYBER	13900	44591	\N	\N	\N
849573	2894	1994-09-22	VYDAJ	VYBER	31400	60673	\N	\N	\N
849574	2894	1994-10-22	VYDAJ	VYBER	17700	43248	\N	\N	\N
849575	2894	1994-11-21	VYDAJ	VYBER	8300	43418	\N	\N	\N
849576	2894	1994-12-21	VYDAJ	VYBER	27800	55471	\N	\N	\N
849577	2894	1995-01-11	VYDAJ	VYBER	51200	61981	\N	\N	\N
849578	2894	1995-01-20	VYDAJ	VYBER	6900	41281	\N	\N	\N
849579	2894	1995-02-19	VYDAJ	VYBER	5600	35869	\N	\N	\N
849580	2894	1995-03-08	VYDAJ	VYBER	50600	78114	\N	\N	\N
849581	2894	1995-03-20	VYDAJ	VYBER	21100	93762	\N	\N	\N
849582	2894	1995-03-21	VYDAJ	VYBER	30300	63462	\N	\N	\N
849583	2894	1995-04-20	VYDAJ	VYBER	27400	62863	\N	\N	\N
849584	2894	1995-05-20	PRIJEM	VKLAD	6600	31683	\N	\N	\N
849585	2894	1995-06-19	VYDAJ	VYBER	22400	61639	\N	\N	\N
849586	2894	1995-06-27	VYDAJ	VYBER	42700	64172	\N	\N	\N
849587	2894	1995-07-19	VYDAJ	VYBER	15200	60559	\N	\N	\N
849588	2894	1995-08-18	VYDAJ	VYBER	4900	47806	\N	\N	\N
849589	2894	1995-09-17	VYDAJ	VYBER	11100	54194	\N	\N	\N
849590	2894	1995-10-10	VYDAJ	VYBER	38900	68875	\N	\N	\N
849591	2894	1995-10-17	VYDAJ	VYBER	14300	54575	\N	\N	\N
849592	2894	1995-11-07	VYDAJ	VYBER	49600	82169	\N	\N	\N
849593	2894	1995-11-16	VYDAJ	VYBER	19400	59769	\N	\N	\N
849594	2894	1995-12-16	VYDAJ	VYBER	5700	51326	\N	\N	\N
849595	2894	1995-12-26	VYDAJ	VYBER	60400	59105	\N	\N	\N
849596	2894	1996-01-15	PRIJEM	VKLAD	2000	40385	\N	\N	\N
849597	2894	1996-02-09	VYDAJ	VYBER	62200	62470	\N	\N	\N
849598	2894	1996-02-14	VYDAJ	VYBER	25100	66666	\N	\N	\N
849599	2894	1996-03-15	VYDAJ	VYBER	21400	59785	\N	\N	\N
849600	2894	1996-04-14	VYDAJ	VYBER	21200	63619	\N	\N	\N
849601	2894	1996-04-30	VYDAJ	VYBER	41200	72260	\N	\N	\N
849602	2894	1996-05-04	VYDAJ	VYBER	56600	58767	\N	\N	\N
849603	2894	1996-05-14	VYDAJ	VYBER	31000	65364	\N	\N	\N
849604	2894	1996-05-26	VYDAJ	VYBER	61500	88289	\N	\N	\N
849605	2894	1996-06-13	VYDAJ	VYBER	30000	75765	\N	\N	\N
849606	2894	1996-06-17	VYDAJ	VYBER	60300	57999	\N	\N	\N
849607	2894	1996-07-02	VYDAJ	VYBER	30800	105416	\N	\N	\N
849608	2894	1996-07-03	VYDAJ	VYBER	60200	94809	\N	\N	\N
849609	2894	1996-07-13	VYDAJ	VYBER	26000	68809	\N	\N	\N
849610	2894	1996-08-12	VYDAJ	VYBER	25700	69069	\N	\N	\N
849611	2894	1996-09-04	VYDAJ	VYBER	26800	94501	\N	\N	\N
849612	2894	1996-09-05	VYDAJ	VYBER	44700	72063	\N	\N	\N
849613	2894	1996-09-11	VYDAJ	VYBER	23600	65042	\N	\N	\N
849614	2894	1996-10-11	VYDAJ	VYBER	23200	68418	\N	\N	\N
849615	2894	1996-10-30	VYDAJ	VYBER	31500	94036	\N	\N	\N
849616	2894	1996-11-02	VYDAJ	VYBER	58500	62142	\N	\N	\N
849617	2894	1996-11-10	VYDAJ	VYBER	29200	73453	\N	\N	\N
849618	2894	1996-12-10	VYDAJ	VYBER	11300	52828	\N	\N	\N
849619	2894	1997-01-09	VYDAJ	VYBER	12400	55599	\N	\N	\N
849620	2894	1997-02-08	VYDAJ	VYBER	3100	39634	\N	\N	\N
849621	2894	1997-03-10	VYDAJ	VYBER	6900	54562	\N	\N	\N
849622	2894	1997-04-09	VYDAJ	VYBER	12100	53007	\N	\N	\N
849623	2894	1997-05-09	VYDAJ	VYBER	18300	66832	\N	\N	\N
849624	2894	1997-06-08	PRIJEM	VKLAD	6400	47139	\N	\N	\N
849625	2894	1997-07-08	PRIJEM	VKLAD	10900	46577	\N	\N	\N
849626	2894	1997-08-07	VYDAJ	VYBER	300	46409	\N	\N	\N
849627	2894	1997-09-06	PRIJEM	VKLAD	7700	38742	\N	\N	\N
849628	2894	1997-10-06	PRIJEM	VKLAD	3200	47930	\N	\N	\N
849629	2894	1997-11-05	PRIJEM	VKLAD	5400	40256	\N	\N	\N
849630	2894	1997-11-19	VYDAJ	VYBER	28400	95492	\N	\N	\N
849631	2894	1997-12-05	VYDAJ	VYBER	21100	70201	\N	\N	\N
849632	2894	1998-01-04	VYDAJ	VYBER	4400	61869	\N	\N	\N
849633	2894	1998-02-03	VYDAJ	VYBER	11100	70678	\N	\N	\N
849634	2894	1998-03-05	VYDAJ	VYBER	14000	75022	\N	\N	\N
849635	2894	1998-03-12	VYDAJ	VYBER	27700	93440	\N	\N	\N
849636	2894	1998-04-02	VYDAJ	VYBER	53400	105558	\N	\N	\N
849637	2894	1998-04-04	VYDAJ	VYBER	20500	85058	\N	\N	\N
849638	2894	1998-05-04	VYDAJ	VYBER	15100	126839	\N	\N	\N
849639	2894	1998-05-04	VYDAJ	VYBER	31900	94939	\N	\N	\N
849640	2894	1998-05-12	VYDAJ	VYBER	59300	58224	\N	\N	\N
849641	2894	1998-06-03	VYDAJ	VYBER	5600	66558	\N	\N	\N
849642	2894	1998-06-06	VYDAJ	VYBER	40600	94051	\N	\N	\N
849643	2894	1998-07-03	VYDAJ	VYBER	20700	84387	\N	\N	\N
849644	2894	1998-08-02	VYDAJ	VYBER	21500	86798	\N	\N	\N
849645	2894	1998-08-12	VYDAJ	VYBER	36000	79667	\N	\N	\N
849646	2894	1998-09-01	VYDAJ	VYBER	7300	80750	\N	\N	\N
849647	2894	1998-09-26	VYDAJ	VYBER	60300	64057	\N	\N	\N
849648	2894	1998-10-01	VYDAJ	VYBER	16100	93143	\N	\N	\N
849649	2894	1998-10-31	VYDAJ	VYBER	17500	98592	\N	\N	\N
849650	2894	1998-11-25	VYDAJ	VYBER	40400	100538	\N	\N	\N
849651	2894	1998-11-30	VYDAJ	VYBER	14900	100087	\N	\N	\N
849652	2894	1998-12-09	VYDAJ	VYBER	21500	127542	\N	\N	\N
849653	2894	1998-12-09	VYDAJ	VYBER	22600	149042	\N	\N	\N
849654	2894	1998-12-11	VYDAJ	VYBER	19200	125417	\N	\N	\N
849655	2894	1998-12-21	VYDAJ	VYBER	50600	74817	\N	\N	\N
849720	2895	1993-03-09	PRIJEM	VKLAD	300	300	\N	\N	\N
849723	2895	1993-03-14	PRIJEM	VKLAD	18146	18446	\N	\N	\N
849724	2895	1993-04-14	PRIJEM	VKLAD	18146	37137	\N	\N	\N
849725	2895	1993-05-14	PRIJEM	VKLAD	18146	50304	\N	\N	\N
849726	2895	1993-06-14	PRIJEM	VKLAD	27219	63909	\N	\N	\N
849727	2895	1993-07-14	PRIJEM	VKLAD	18146	61697	\N	\N	\N
849728	2895	1993-08-14	PRIJEM	VKLAD	18146	57591	\N	\N	\N
849729	2895	1993-09-14	PRIJEM	VKLAD	18146	54363	\N	\N	\N
849730	2895	1993-10-14	PRIJEM	VKLAD	18146	52820	\N	\N	\N
849731	2895	1993-11-14	PRIJEM	VKLAD	18146	48349	\N	\N	\N
849732	2895	1993-12-14	PRIJEM	VKLAD	27219	56539	\N	\N	\N
849733	2895	1994-01-14	PRIJEM	VKLAD	18146	37898	\N	\N	\N
849734	2895	1994-02-14	PRIJEM	VKLAD	18146	42744	\N	\N	\N
849735	2895	1994-03-14	PRIJEM	VKLAD	18146	45231	\N	\N	\N
849736	2895	1994-04-14	PRIJEM	VKLAD	18146	48342	\N	\N	\N
849737	2895	1994-05-14	PRIJEM	VKLAD	18146	50165	\N	\N	\N
849738	2895	1994-06-14	PRIJEM	VKLAD	27219	50260	\N	\N	\N
849739	2895	1994-07-14	PRIJEM	VKLAD	18146	35960	\N	\N	\N
849740	2895	1994-08-14	PRIJEM	VKLAD	18146	41325	\N	\N	\N
849741	2895	1994-09-14	PRIJEM	VKLAD	18146	40368	\N	\N	\N
849742	2895	1994-10-14	PRIJEM	VKLAD	18146	46045	\N	\N	\N
849743	2895	1994-11-14	PRIJEM	VKLAD	18146	46445	\N	\N	\N
849744	2895	1994-12-14	PRIJEM	VKLAD	27219	53456	\N	\N	\N
849745	2895	1995-01-14	PRIJEM	VKLAD	18146	41463	\N	\N	\N
849746	2895	1995-02-14	PRIJEM	VKLAD	18146	36028	\N	\N	\N
849747	2895	1995-03-14	PRIJEM	VKLAD	18146	38862	\N	\N	\N
849748	2895	1995-04-14	PRIJEM	VKLAD	18146	45132	\N	\N	\N
849749	2895	1995-05-14	PRIJEM	VKLAD	18146	45619	\N	\N	\N
849750	2895	1995-06-14	PRIJEM	VKLAD	27219	56486	\N	\N	\N
849751	2895	1995-07-14	PRIJEM	VKLAD	18146	49204	\N	\N	\N
849752	2895	1995-08-14	PRIJEM	VKLAD	18146	44021	\N	\N	\N
849753	2895	1995-09-14	PRIJEM	VKLAD	18146	42805	\N	\N	\N
849754	2895	1995-10-14	PRIJEM	VKLAD	18146	41263	\N	\N	\N
849755	2895	1995-11-14	PRIJEM	VKLAD	18146	42540	\N	\N	\N
849756	2895	1995-12-14	PRIJEM	VKLAD	27219	50227	\N	\N	\N
849757	2895	1996-01-14	PRIJEM	VKLAD	18146	40390	\N	\N	\N
849758	2895	1996-02-14	PRIJEM	VKLAD	18146	31843	\N	\N	\N
849759	2895	1996-03-14	PRIJEM	VKLAD	18146	34532	\N	\N	\N
849760	2895	1996-04-14	PRIJEM	VKLAD	18146	36452	\N	\N	\N
849761	2895	1996-05-14	PRIJEM	VKLAD	18146	37499	\N	\N	\N
849762	2895	1996-06-14	PRIJEM	VKLAD	27219	50025	\N	\N	\N
849763	2895	1996-07-14	PRIJEM	VKLAD	18146	42560	\N	\N	\N
849764	2895	1996-08-14	PRIJEM	VKLAD	18146	42727	\N	\N	\N
849765	2895	1996-09-14	PRIJEM	VKLAD	18146	44597	\N	\N	\N
849766	2895	1996-10-14	PRIJEM	VKLAD	18146	38921	\N	\N	\N
849767	2895	1996-11-14	PRIJEM	VKLAD	18146	38269	\N	\N	\N
849768	2895	1996-12-14	PRIJEM	VKLAD	27219	48488	\N	\N	\N
849769	2895	1997-01-14	PRIJEM	VKLAD	18146	30765	\N	\N	\N
849770	2895	1997-02-14	PRIJEM	VKLAD	18146	30100	\N	\N	\N
849771	2895	1997-03-14	PRIJEM	VKLAD	18146	32378	\N	\N	\N
849772	2895	1997-04-14	PRIJEM	VKLAD	18146	36990	\N	\N	\N
849773	2895	1997-05-14	PRIJEM	VKLAD	18146	37628	\N	\N	\N
849774	2895	1997-06-14	PRIJEM	VKLAD	27219	47643	\N	\N	\N
849775	2895	1997-07-14	PRIJEM	VKLAD	18146	42796	\N	\N	\N
849776	2895	1997-08-14	PRIJEM	VKLAD	18146	39548	\N	\N	\N
849777	2895	1997-09-14	PRIJEM	VKLAD	18146	41195	\N	\N	\N
849778	2895	1997-10-14	PRIJEM	VKLAD	18146	38872	\N	\N	\N
849779	2895	1997-11-14	PRIJEM	VKLAD	18146	37793	\N	\N	\N
849780	2895	1997-12-14	PRIJEM	VKLAD	27219	48311	\N	\N	\N
849781	2895	1998-01-14	PRIJEM	VKLAD	18146	44054	\N	\N	\N
849782	2895	1998-02-14	PRIJEM	VKLAD	18146	36613	\N	\N	\N
849783	2895	1998-03-14	PRIJEM	VKLAD	18146	42770	\N	\N	\N
849784	2895	1998-04-14	PRIJEM	VKLAD	18146	46342	\N	\N	\N
849785	2895	1998-05-14	PRIJEM	VKLAD	18146	43650	\N	\N	\N
849786	2895	1998-06-14	PRIJEM	VKLAD	27219	45573	\N	\N	\N
849787	2895	1998-07-14	PRIJEM	VKLAD	18146	42118	\N	\N	\N
849788	2895	1998-08-14	PRIJEM	VKLAD	18146	42497	\N	\N	\N
849789	2895	1998-09-14	PRIJEM	VKLAD	18146	40691	\N	\N	\N
849790	2895	1998-10-14	PRIJEM	VKLAD	18146	43183	\N	\N	\N
849791	2895	1998-11-14	PRIJEM	VKLAD	18146	48580	\N	\N	\N
849792	2895	1998-12-14	PRIJEM	VKLAD	27219	57568	\N	\N	\N
849800	2895	1993-08-11	VYDAJ	PREVOD NA UCET	5598	39445	SIPO	CD	10887700
849801	2895	1993-09-11	VYDAJ	PREVOD NA UCET	5598	36217	SIPO	CD	10887700
849802	2895	1993-10-11	VYDAJ	PREVOD NA UCET	5598	34674	SIPO	CD	10887700
849803	2895	1993-11-11	VYDAJ	PREVOD NA UCET	5598	30203	SIPO	CD	10887700
849804	2895	1993-12-11	VYDAJ	PREVOD NA UCET	5598	29320	SIPO	CD	10887700
849805	2895	1994-01-11	VYDAJ	PREVOD NA UCET	5598	28672	SIPO	CD	10887700
849806	2895	1994-02-11	VYDAJ	PREVOD NA UCET	5598	24598	SIPO	CD	10887700
849807	2895	1994-03-11	VYDAJ	PREVOD NA UCET	5598	27085	SIPO	CD	10887700
849808	2895	1994-04-11	VYDAJ	PREVOD NA UCET	5598	30196	SIPO	CD	10887700
849809	2895	1994-05-11	VYDAJ	PREVOD NA UCET	5598	32019	SIPO	CD	10887700
849810	2895	1994-06-11	VYDAJ	PREVOD NA UCET	5598	23041	SIPO	CD	10887700
849811	2895	1994-07-11	VYDAJ	PREVOD NA UCET	5598	17814	SIPO	CD	10887700
849812	2895	1994-08-11	VYDAJ	PREVOD NA UCET	5598	23179	SIPO	CD	10887700
849813	2895	1994-09-11	VYDAJ	PREVOD NA UCET	5598	22222	SIPO	CD	10887700
849814	2895	1994-10-11	VYDAJ	PREVOD NA UCET	5598	27899	SIPO	CD	10887700
849815	2895	1994-11-11	VYDAJ	PREVOD NA UCET	5598	28299	SIPO	CD	10887700
849816	2895	1994-12-11	VYDAJ	PREVOD NA UCET	5598	26237	SIPO	CD	10887700
849817	2895	1995-01-11	VYDAJ	PREVOD NA UCET	5598	26797	SIPO	CD	10887700
849818	2895	1995-02-11	VYDAJ	PREVOD NA UCET	5598	17882	SIPO	CD	10887700
849819	2895	1995-03-11	VYDAJ	PREVOD NA UCET	5598	20716	SIPO	CD	10887700
849820	2895	1995-04-11	VYDAJ	PREVOD NA UCET	5598	26986	SIPO	CD	10887700
849821	2895	1995-05-11	VYDAJ	PREVOD NA UCET	5598	27473	SIPO	CD	10887700
849822	2895	1995-06-11	VYDAJ	PREVOD NA UCET	5598	29267	SIPO	CD	10887700
849823	2895	1995-07-11	VYDAJ	PREVOD NA UCET	5598	31058	SIPO	CD	10887700
849824	2895	1995-08-11	VYDAJ	PREVOD NA UCET	5598	25875	SIPO	CD	10887700
849825	2895	1995-09-11	VYDAJ	PREVOD NA UCET	5598	24659	SIPO	CD	10887700
849826	2895	1995-10-11	VYDAJ	PREVOD NA UCET	5598	23117	SIPO	CD	10887700
849827	2895	1995-11-11	VYDAJ	PREVOD NA UCET	5598	24394	SIPO	CD	10887700
849828	2895	1995-12-11	VYDAJ	PREVOD NA UCET	5598	23008	SIPO	CD	10887700
849829	2895	1996-01-11	VYDAJ	PREVOD NA UCET	5598	22244	SIPO	CD	10887700
849830	2895	1996-02-11	VYDAJ	PREVOD NA UCET	5598	13697	SIPO	CD	10887700
849831	2895	1996-03-11	VYDAJ	PREVOD NA UCET	5598	16386	SIPO	CD	10887700
849832	2895	1996-04-11	VYDAJ	PREVOD NA UCET	5598	18306	SIPO	CD	10887700
849833	2895	1996-05-11	VYDAJ	PREVOD NA UCET	5598	19353	SIPO	CD	10887700
849834	2895	1996-06-11	VYDAJ	PREVOD NA UCET	5598	22806	SIPO	CD	10887700
849835	2895	1996-07-11	VYDAJ	PREVOD NA UCET	5598	24414	SIPO	CD	10887700
849836	2895	1996-08-11	VYDAJ	PREVOD NA UCET	5598	24581	SIPO	CD	10887700
849837	2895	1996-09-11	VYDAJ	PREVOD NA UCET	5598	26451	SIPO	CD	10887700
849838	2895	1996-10-11	VYDAJ	PREVOD NA UCET	5598	20775	SIPO	CD	10887700
849839	2895	1996-11-11	VYDAJ	PREVOD NA UCET	5598	20123	SIPO	CD	10887700
849840	2895	1996-12-11	VYDAJ	PREVOD NA UCET	5598	21269	SIPO	CD	10887700
849841	2895	1997-01-11	VYDAJ	PREVOD NA UCET	5598	12619	SIPO	CD	10887700
849842	2895	1997-02-11	VYDAJ	PREVOD NA UCET	5598	11954	SIPO	CD	10887700
849843	2895	1997-03-11	VYDAJ	PREVOD NA UCET	5598	14232	SIPO	CD	10887700
849844	2895	1997-04-11	VYDAJ	PREVOD NA UCET	5598	18844	SIPO	CD	10887700
849845	2895	1997-05-11	VYDAJ	PREVOD NA UCET	5598	19482	SIPO	CD	10887700
849846	2895	1997-06-11	VYDAJ	PREVOD NA UCET	5598	20424	SIPO	CD	10887700
849847	2895	1997-07-11	VYDAJ	PREVOD NA UCET	5598	24650	SIPO	CD	10887700
849848	2895	1997-08-11	VYDAJ	PREVOD NA UCET	5598	21402	SIPO	CD	10887700
849849	2895	1997-09-11	VYDAJ	PREVOD NA UCET	5598	23049	SIPO	CD	10887700
849850	2895	1997-10-11	VYDAJ	PREVOD NA UCET	5598	20726	SIPO	CD	10887700
849851	2895	1997-11-11	VYDAJ	PREVOD NA UCET	5598	20447	SIPO	CD	10887700
849852	2895	1997-12-11	VYDAJ	PREVOD NA UCET	5598	30992	SIPO	CD	10887700
849853	2895	1998-01-11	VYDAJ	PREVOD NA UCET	5598	40308	SIPO	CD	10887700
849854	2895	1998-02-11	VYDAJ	PREVOD NA UCET	5598	18467	SIPO	CD	10887700
849855	2895	1998-03-11	VYDAJ	PREVOD NA UCET	5598	31124	SIPO	CD	10887700
849856	2895	1998-04-11	VYDAJ	PREVOD NA UCET	5598	35396	SIPO	CD	10887700
849857	2895	1998-05-11	VYDAJ	PREVOD NA UCET	5598	40904	SIPO	CD	10887700
849858	2895	1998-06-11	VYDAJ	PREVOD NA UCET	5598	18354	SIPO	CD	10887700
849859	2895	1998-07-11	VYDAJ	PREVOD NA UCET	5598	23972	SIPO	CD	10887700
849860	2895	1998-08-11	VYDAJ	PREVOD NA UCET	5598	24351	SIPO	CD	10887700
849861	2895	1998-09-11	VYDAJ	PREVOD NA UCET	5598	22545	SIPO	CD	10887700
849862	2895	1998-10-11	VYDAJ	PREVOD NA UCET	5598	25037	SIPO	CD	10887700
849863	2895	1998-11-11	VYDAJ	PREVOD NA UCET	5598	30434	SIPO	CD	10887700
849864	2895	1998-12-11	VYDAJ	PREVOD NA UCET	5598	30349	SIPO	CD	10887700
849866	2895	1994-06-20	VYDAJ	VYBER	21600	28660	\N	\N	\N
849870	2895	1998-06-01	VYDAJ	VYBER	16160	27652	\N	\N	\N
849872	2895	1994-01-12	VYDAJ	VYBER	6880	21792	\N	\N	\N
849873	2895	1995-01-19	VYDAJ	VYBER	11040	28503	\N	\N	\N
849874	2895	1996-01-25	VYDAJ	VYBER	5920	19190	\N	\N	\N
849876	2895	1998-01-19	VYDAJ	VYBER	6080	33534	\N	\N	\N
849877	2895	1993-12-15	VYDAJ	VYBER	3360	53179	\N	\N	\N
849878	2895	1994-12-21	VYDAJ	VYBER	3520	49936	\N	\N	\N
849879	2895	1995-12-23	VYDAJ	VYBER	2560	47667	\N	\N	\N
849880	2895	1996-12-29	VYDAJ	VYBER	1120	23508	\N	\N	\N
849881	2895	1997-12-16	VYDAJ	VYBER	2560	45751	\N	\N	\N
849882	2895	1998-12-21	VYDAJ	VYBER	4160	53408	\N	\N	\N
849889	2895	1994-01-13	VYDAJ	VYBER	2040	19752	\N	\N	\N
849890	2895	1994-01-14	VYDAJ	VYBER	2040	35858	\N	\N	\N
849891	2895	1994-01-17	VYDAJ	VYBER	960	34898	\N	\N	\N
849892	2895	1994-01-06	VYDAJ	VYBER	1800	36670	\N	\N	\N
849893	2895	1994-01-09	VYDAJ	VYBER	2400	34270	\N	\N	\N
849894	2895	1994-01-26	VYDAJ	VYBER	3240	31658	\N	\N	\N
849895	2895	1995-01-28	VYDAJ	VYBER	2160	23363	\N	\N	\N
849896	2895	1995-01-27	VYDAJ	VYBER	3480	25023	\N	\N	\N
849897	2895	1995-01-11	VYDAJ	VYBER	3480	23317	\N	\N	\N
849898	2895	1995-01-10	VYDAJ	VYBER	3000	32395	\N	\N	\N
849899	2895	1995-01-04	VYDAJ	VYBER	720	35395	\N	\N	\N
849900	2895	1995-01-17	VYDAJ	VYBER	1920	39543	\N	\N	\N
849902	2895	1996-01-07	VYDAJ	VYBER	3360	27842	\N	\N	\N
849904	2895	1996-01-17	VYDAJ	VYBER	1440	38950	\N	\N	\N
849905	2895	1996-01-21	VYDAJ	VYBER	3240	33910	\N	\N	\N
849906	2895	1996-01-20	VYDAJ	VYBER	1800	37150	\N	\N	\N
849908	2895	1997-01-09	VYDAJ	VYBER	2040	18217	\N	\N	\N
849909	2895	1997-01-17	VYDAJ	VYBER	1320	29445	\N	\N	\N
849910	2895	1997-01-24	VYDAJ	VYBER	1560	17485	\N	\N	\N
849911	2895	1997-01-02	VYDAJ	VYBER	3360	20257	\N	\N	\N
849913	2895	1998-01-24	VYDAJ	VYBER	2040	27174	\N	\N	\N
849914	2895	1998-01-14	VYDAJ	VYBER	1440	42614	\N	\N	\N
849915	2895	1998-01-24	VYDAJ	VYBER	3240	23934	\N	\N	\N
849916	2895	1998-01-14	VYDAJ	VYBER	3000	39614	\N	\N	\N
849917	2895	1998-01-23	VYDAJ	VYBER	1560	29214	\N	\N	\N
849918	2895	1998-01-20	VYDAJ	VYBER	2760	30774	\N	\N	\N
849924	2895	1993-11-04	VYDAJ	VYBER	5520	47501	\N	\N	\N
849925	2895	1994-11-26	VYDAJ	VYBER	3960	42485	\N	\N	\N
849926	2895	1994-07-10	VYDAJ	VYBER	5280	23412	\N	\N	\N
849927	2895	1994-05-15	VYDAJ	VYBER	4560	45605	\N	\N	\N
849928	2895	1994-06-06	VYDAJ	VYBER	4440	28639	\N	\N	\N
849929	2895	1994-08-22	VYDAJ	VYBER	5640	35685	\N	\N	\N
849930	2895	1995-04-19	VYDAJ	VYBER	4800	40332	\N	\N	\N
849931	2895	1995-11-26	VYDAJ	VYBER	5160	28480	\N	\N	\N
849932	2895	1995-01-02	VYDAJ	VYBER	1080	36115	\N	\N	\N
849933	2895	1995-09-30	VYDAJ	VYBER	3120	28715	\N	\N	\N
849934	2895	1995-02-25	VYDAJ	VYBER	4920	31108	\N	\N	\N
849935	2895	1995-07-18	VYDAJ	VYBER	5280	43924	\N	\N	\N
849936	2895	1995-08-30	VYDAJ	VYBER	2400	30121	\N	\N	\N
849937	2895	1996-02-16	VYDAJ	VYBER	1440	30403	\N	\N	\N
849938	2895	1996-12-23	VYDAJ	VYBER	2040	29548	\N	\N	\N
849939	2895	1996-03-24	VYDAJ	VYBER	720	23812	\N	\N	\N
849940	2895	1996-12-26	VYDAJ	VYBER	4920	24628	\N	\N	\N
849941	2895	1996-07-09	VYDAJ	VYBER	1440	30012	\N	\N	\N
849942	2895	1996-09-19	VYDAJ	VYBER	2040	26257	\N	\N	\N
849943	2895	1997-03-06	VYDAJ	VYBER	3240	19830	\N	\N	\N
849946	2895	1997-04-05	VYDAJ	VYBER	1320	24442	\N	\N	\N
849948	2895	1997-10-22	VYDAJ	VYBER	3120	25952	\N	\N	\N
849949	2895	1997-12-01	VYDAJ	VYBER	1320	36590	\N	\N	\N
849950	2895	1998-07-23	VYDAJ	VYBER	2040	40078	\N	\N	\N
849951	2895	1998-07-09	VYDAJ	VYBER	3120	36970	\N	\N	\N
849952	2895	1998-06-30	VYDAJ	VYBER	5640	40090	\N	\N	\N
849953	2895	1998-03-22	VYDAJ	VYBER	1920	40850	\N	\N	\N
849954	2895	1998-07-23	VYDAJ	VYBER	1080	38998	\N	\N	\N
849962	2895	1993-07-31	VYDAJ	VYBER	15	61943	SLUZBY	\N	\N
849963	2895	1993-08-31	VYDAJ	VYBER	15	57815	SLUZBY	\N	\N
849964	2895	1993-09-30	VYDAJ	VYBER	15	54572	SLUZBY	\N	\N
849965	2895	1993-10-31	VYDAJ	VYBER	15	53021	SLUZBY	\N	\N
849966	2895	1993-11-30	VYDAJ	VYBER	15	48518	SLUZBY	\N	\N
849967	2895	1993-12-31	VYDAJ	VYBER	15	53370	SLUZBY	\N	\N
849968	2895	1994-01-31	VYDAJ	VYBER	15	31796	SLUZBY	\N	\N
849969	2895	1994-02-28	VYDAJ	VYBER	15	42883	SLUZBY	\N	\N
849970	2895	1994-03-31	VYDAJ	VYBER	15	45394	SLUZBY	\N	\N
849971	2895	1994-04-30	VYDAJ	VYBER	15	48517	SLUZBY	\N	\N
849972	2895	1994-05-31	VYDAJ	VYBER	15	45779	SLUZBY	\N	\N
849973	2895	1994-06-30	VYDAJ	VYBER	15	28792	SLUZBY	\N	\N
849974	2895	1994-07-31	VYDAJ	VYBER	15	36077	SLUZBY	\N	\N
849975	2895	1994-08-31	VYDAJ	VYBER	15	27820	SLUZBY	\N	\N
849976	2895	1994-09-30	VYDAJ	VYBER	15	33497	SLUZBY	\N	\N
849977	2895	1994-10-31	VYDAJ	VYBER	15	33897	SLUZBY	\N	\N
849978	2895	1994-11-30	VYDAJ	VYBER	15	31835	SLUZBY	\N	\N
849979	2895	1994-12-31	VYDAJ	VYBER	15	37195	SLUZBY	\N	\N
849980	2895	1995-01-31	VYDAJ	VYBER	15	23480	SLUZBY	\N	\N
849981	2895	1995-02-28	VYDAJ	VYBER	15	26314	SLUZBY	\N	\N
849982	2895	1995-03-31	VYDAJ	VYBER	15	32584	SLUZBY	\N	\N
849983	2895	1995-04-30	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
849984	2895	1995-05-31	VYDAJ	VYBER	15	34865	SLUZBY	\N	\N
849985	2895	1995-06-30	VYDAJ	VYBER	15	36656	SLUZBY	\N	\N
849986	2895	1995-07-31	VYDAJ	VYBER	15	31473	SLUZBY	\N	\N
849987	2895	1995-08-31	VYDAJ	VYBER	15	30257	SLUZBY	\N	\N
849988	2895	1995-09-30	VYDAJ	VYBER	15	31835	SLUZBY	\N	\N
849989	2895	1995-10-31	VYDAJ	VYBER	15	29992	SLUZBY	\N	\N
849990	2895	1995-11-30	VYDAJ	VYBER	15	28606	SLUZBY	\N	\N
849991	2895	1995-12-31	VYDAJ	VYBER	15	31202	SLUZBY	\N	\N
849992	2895	1996-01-31	VYDAJ	VYBER	15	19295	SLUZBY	\N	\N
849993	2895	1996-02-29	VYDAJ	VYBER	15	21984	SLUZBY	\N	\N
849994	2895	1996-03-31	VYDAJ	VYBER	15	23904	SLUZBY	\N	\N
849995	2895	1996-04-30	VYDAJ	VYBER	15	24951	SLUZBY	\N	\N
849996	2895	1996-05-31	VYDAJ	VYBER	15	28404	SLUZBY	\N	\N
849997	2895	1996-06-30	VYDAJ	VYBER	15	31452	SLUZBY	\N	\N
849998	2895	1996-07-31	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
849999	2895	1996-08-31	VYDAJ	VYBER	15	32049	SLUZBY	\N	\N
850000	2895	1996-09-30	VYDAJ	VYBER	15	26373	SLUZBY	\N	\N
850001	2895	1996-10-31	VYDAJ	VYBER	15	25721	SLUZBY	\N	\N
850002	2895	1996-11-30	VYDAJ	VYBER	15	26867	SLUZBY	\N	\N
850003	2895	1996-12-31	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
850004	2895	1997-01-31	VYDAJ	VYBER	15	17552	SLUZBY	\N	\N
850005	2895	1997-02-28	VYDAJ	VYBER	15	23070	SLUZBY	\N	\N
850006	2895	1997-03-31	VYDAJ	VYBER	15	25762	SLUZBY	\N	\N
850007	2895	1997-04-30	VYDAJ	VYBER	15	25080	SLUZBY	\N	\N
850008	2895	1997-05-31	VYDAJ	VYBER	15	26022	SLUZBY	\N	\N
850009	2895	1997-06-30	VYDAJ	VYBER	15	30248	SLUZBY	\N	\N
850010	2895	1997-07-31	VYDAJ	VYBER	15	27000	SLUZBY	\N	\N
850011	2895	1997-08-31	VYDAJ	VYBER	15	28647	SLUZBY	\N	\N
850012	2895	1997-09-30	VYDAJ	VYBER	15	26324	SLUZBY	\N	\N
850013	2895	1997-10-31	VYDAJ	VYBER	15	26045	SLUZBY	\N	\N
850014	2895	1997-11-30	VYDAJ	VYBER	15	37910	SLUZBY	\N	\N
850015	2895	1997-12-31	VYDAJ	VYBER	15	45906	SLUZBY	\N	\N
850016	2895	1998-01-31	VYDAJ	VYBER	15	24065	SLUZBY	\N	\N
850017	2895	1998-02-28	VYDAJ	VYBER	15	36722	SLUZBY	\N	\N
850018	2895	1998-03-31	VYDAJ	VYBER	15	40994	SLUZBY	\N	\N
850019	2895	1998-04-30	VYDAJ	VYBER	15	46502	SLUZBY	\N	\N
850020	2895	1998-05-31	VYDAJ	VYBER	15	43812	SLUZBY	\N	\N
850021	2895	1998-06-30	VYDAJ	VYBER	15	45730	SLUZBY	\N	\N
850022	2895	1998-07-31	VYDAJ	VYBER	15	39149	SLUZBY	\N	\N
850023	2895	1998-08-31	VYDAJ	VYBER	15	42643	SLUZBY	\N	\N
850024	2895	1998-09-30	VYDAJ	VYBER	15	40835	SLUZBY	\N	\N
850025	2895	1998-10-31	VYDAJ	VYBER	15	43332	SLUZBY	\N	\N
850026	2895	1998-11-30	VYDAJ	VYBER	15	48747	SLUZBY	\N	\N
850027	2895	1993-04-08	PRIJEM	VKLAD	500	18991	\N	\N	\N
850028	2895	1993-05-08	VYDAJ	VYBER	5100	32158	\N	\N	\N
850029	2895	1993-06-07	VYDAJ	VYBER	13800	36690	\N	\N	\N
850030	2895	1993-07-07	VYDAJ	VYBER	20600	43551	\N	\N	\N
850031	2895	1993-08-06	VYDAJ	VYBER	16900	45043	\N	\N	\N
850032	2895	1993-09-05	VYDAJ	VYBER	16000	41815	\N	\N	\N
850033	2895	1993-10-05	VYDAJ	VYBER	14300	40272	\N	\N	\N
850034	2895	1993-11-04	VYDAJ	VYBER	11700	35801	\N	\N	\N
850035	2895	1993-12-04	VYDAJ	VYBER	13600	34918	\N	\N	\N
850036	2895	1994-01-03	VYDAJ	VYBER	14900	38470	\N	\N	\N
850037	2895	1994-02-02	VYDAJ	VYBER	1600	30196	\N	\N	\N
850038	2895	1994-03-04	VYDAJ	VYBER	10200	32683	\N	\N	\N
850039	2895	1994-04-03	VYDAJ	VYBER	9600	35794	\N	\N	\N
850040	2895	1994-05-03	VYDAJ	VYBER	10900	37617	\N	\N	\N
850041	2895	1994-06-02	VYDAJ	VYBER	12700	33079	\N	\N	\N
850042	2895	1994-07-02	VYDAJ	VYBER	100	28692	\N	\N	\N
850043	2895	1994-08-01	VYDAJ	VYBER	7300	28777	\N	\N	\N
850044	2895	1994-08-31	VYDAJ	VYBER	8000	27834	\N	\N	\N
850045	2895	1994-09-30	VYDAJ	VYBER	7000	33512	\N	\N	\N
850046	2895	1994-10-30	VYDAJ	VYBER	12300	33745	\N	\N	\N
850047	2895	1994-11-29	VYDAJ	VYBER	10800	31685	\N	\N	\N
850048	2895	1994-12-29	VYDAJ	VYBER	12900	37036	\N	\N	\N
850049	2895	1995-01-28	PRIJEM	VKLAD	500	25523	\N	\N	\N
850050	2895	1995-02-27	VYDAJ	VYBER	4900	26208	\N	\N	\N
850051	2895	1995-03-29	VYDAJ	VYBER	6400	32462	\N	\N	\N
850052	2895	1995-04-28	VYDAJ	VYBER	7400	32932	\N	\N	\N
850053	2895	1995-05-28	VYDAJ	VYBER	10900	34719	\N	\N	\N
850054	2895	1995-06-27	VYDAJ	VYBER	20000	36486	\N	\N	\N
850055	2895	1995-07-27	VYDAJ	VYBER	12600	31324	\N	\N	\N
850056	2895	1995-08-26	VYDAJ	VYBER	11500	32521	\N	\N	\N
850057	2895	1995-09-25	VYDAJ	VYBER	11100	31705	\N	\N	\N
850058	2895	1995-10-25	VYDAJ	VYBER	11400	29863	\N	\N	\N
850059	2895	1995-11-24	VYDAJ	VYBER	8900	33640	\N	\N	\N
850060	2895	1995-12-24	VYDAJ	VYBER	16600	31067	\N	\N	\N
850061	2895	1996-01-23	VYDAJ	VYBER	8800	25110	\N	\N	\N
850062	2895	1996-02-22	VYDAJ	VYBER	8500	21903	\N	\N	\N
850063	2895	1996-03-23	VYDAJ	VYBER	10000	24532	\N	\N	\N
850064	2895	1996-04-22	VYDAJ	VYBER	11600	24852	\N	\N	\N
850065	2895	1996-05-22	VYDAJ	VYBER	9200	28299	\N	\N	\N
850066	2895	1996-06-21	VYDAJ	VYBER	18700	31325	\N	\N	\N
850067	2895	1996-07-21	VYDAJ	VYBER	12500	30060	\N	\N	\N
850068	2895	1996-08-20	VYDAJ	VYBER	10800	31927	\N	\N	\N
850069	2895	1996-09-19	VYDAJ	VYBER	16300	28297	\N	\N	\N
850070	2895	1996-10-19	VYDAJ	VYBER	13300	25621	\N	\N	\N
850071	2895	1996-11-18	VYDAJ	VYBER	11500	26769	\N	\N	\N
850072	2895	1996-12-18	VYDAJ	VYBER	16900	31588	\N	\N	\N
850073	2895	1997-01-17	VYDAJ	VYBER	10400	19045	\N	\N	\N
850074	2895	1997-02-16	VYDAJ	VYBER	7100	23000	\N	\N	\N
850075	2895	1997-03-18	VYDAJ	VYBER	6700	25678	\N	\N	\N
850076	2895	1997-04-17	VYDAJ	VYBER	12000	24990	\N	\N	\N
850077	2895	1997-05-17	VYDAJ	VYBER	11700	25928	\N	\N	\N
850078	2895	1997-06-16	VYDAJ	VYBER	17500	30143	\N	\N	\N
850079	2895	1997-07-16	VYDAJ	VYBER	15900	26896	\N	\N	\N
850080	2895	1997-08-15	VYDAJ	VYBER	11000	28548	\N	\N	\N
850081	2895	1997-09-14	VYDAJ	VYBER	15000	26195	\N	\N	\N
850082	2895	1997-10-14	VYDAJ	VYBER	9800	29072	\N	\N	\N
850083	2895	1997-11-13	VYDAJ	VYBER	800	19647	\N	\N	\N
850084	2895	1997-12-13	VYDAJ	VYBER	9900	21092	\N	\N	\N
850085	2895	1998-01-12	VYDAJ	VYBER	14400	25908	\N	\N	\N
850086	2895	1998-03-13	VYDAJ	VYBER	6500	24624	\N	\N	\N
850087	2895	1998-04-12	VYDAJ	VYBER	7200	28196	\N	\N	\N
850088	2895	1998-05-12	VYDAJ	VYBER	15400	25504	\N	\N	\N
850089	2895	1998-06-11	VYDAJ	VYBER	3700	23952	\N	\N	\N
850090	2895	1998-07-11	VYDAJ	VYBER	7400	29570	\N	\N	\N
850091	2895	1998-08-10	VYDAJ	VYBER	9200	29949	\N	\N	\N
850092	2895	1998-09-09	VYDAJ	VYBER	14500	28143	\N	\N	\N
850093	2895	1998-10-09	VYDAJ	VYBER	10200	30635	\N	\N	\N
850094	2895	1998-11-08	VYDAJ	VYBER	7300	36032	\N	\N	\N
850095	2895	1998-12-08	VYDAJ	VYBER	12800	35947	\N	\N	\N
850166	2896	1993-03-30	PRIJEM	VKLAD	400	400	\N	\N	\N
850170	2896	1993-04-11	PRIJEM	PREVOD Z UCTU	3221	3621	\N	QR	36761188
850171	2896	1993-05-11	PRIJEM	PREVOD Z UCTU	3221	6842	\N	QR	36761188
850172	2896	1993-06-11	PRIJEM	PREVOD Z UCTU	3221	10063	\N	QR	36761188
850173	2896	1993-07-11	PRIJEM	PREVOD Z UCTU	3221	13284	\N	QR	36761188
850174	2896	1993-08-11	PRIJEM	PREVOD Z UCTU	3221	16505	\N	QR	36761188
850175	2896	1993-09-11	PRIJEM	PREVOD Z UCTU	3221	17606	\N	QR	36761188
850176	2896	1993-10-11	PRIJEM	PREVOD Z UCTU	3221	17474	\N	QR	36761188
850177	2896	1993-11-11	PRIJEM	PREVOD Z UCTU	3221	17820	\N	QR	36761188
850178	2896	1993-12-11	PRIJEM	PREVOD Z UCTU	3221	16874	\N	QR	36761188
850179	2896	1994-01-11	PRIJEM	PREVOD Z UCTU	3221	17157	\N	QR	36761188
850180	2896	1994-02-11	PRIJEM	PREVOD Z UCTU	3221	15846	\N	QR	36761188
850181	2896	1994-03-11	PRIJEM	PREVOD Z UCTU	3221	15518	\N	QR	36761188
850182	2896	1994-04-11	PRIJEM	PREVOD Z UCTU	3221	16638	\N	QR	36761188
850183	2896	1994-05-11	PRIJEM	PREVOD Z UCTU	3221	17763	\N	QR	36761188
850184	2896	1994-06-11	PRIJEM	PREVOD Z UCTU	3221	18892	\N	QR	36761188
850185	2896	1994-07-11	PRIJEM	PREVOD Z UCTU	3221	16116	\N	QR	36761188
850186	2896	1994-08-11	PRIJEM	PREVOD Z UCTU	3221	17239	\N	QR	36761188
850187	2896	1994-09-11	PRIJEM	PREVOD Z UCTU	3221	18361	\N	QR	36761188
850188	2896	1994-10-11	PRIJEM	PREVOD Z UCTU	3221	19492	\N	QR	36761188
850189	2896	1994-11-11	PRIJEM	PREVOD Z UCTU	3221	20629	\N	QR	36761188
850190	2896	1994-12-11	PRIJEM	PREVOD Z UCTU	3221	20382	\N	QR	36761188
850191	2896	1995-01-11	PRIJEM	PREVOD Z UCTU	3221	20082	\N	QR	36761188
850192	2896	1995-02-11	PRIJEM	PREVOD Z UCTU	3221	19081	\N	QR	36761188
850193	2896	1995-03-11	PRIJEM	PREVOD Z UCTU	3221	18827	\N	QR	36761188
850194	2896	1995-04-11	PRIJEM	PREVOD Z UCTU	3221	19746	\N	QR	36761188
850195	2896	1995-05-11	PRIJEM	PREVOD Z UCTU	3221	20878	\N	QR	36761188
850196	2896	1995-06-11	PRIJEM	PREVOD Z UCTU	3221	22015	\N	QR	36761188
850197	2896	1995-07-11	PRIJEM	PREVOD Z UCTU	3221	20241	\N	QR	36761188
850198	2896	1995-08-11	PRIJEM	PREVOD Z UCTU	3221	21381	\N	QR	36761188
850199	2896	1995-09-11	PRIJEM	PREVOD Z UCTU	3221	21828	\N	QR	36761188
850200	2896	1995-10-11	PRIJEM	PREVOD Z UCTU	3221	22969	\N	QR	36761188
850201	2896	1995-11-11	PRIJEM	PREVOD Z UCTU	3221	24115	\N	QR	36761188
850202	2896	1995-12-11	PRIJEM	PREVOD Z UCTU	3221	24725	\N	QR	36761188
850203	2896	1996-01-11	PRIJEM	PREVOD Z UCTU	3221	25098	\N	QR	36761188
850204	2896	1996-02-11	PRIJEM	PREVOD Z UCTU	3221	20030	\N	QR	36761188
850205	2896	1996-03-11	PRIJEM	PREVOD Z UCTU	3221	21168	\N	QR	36761188
850206	2896	1996-04-11	PRIJEM	PREVOD Z UCTU	3221	22306	\N	QR	36761188
850207	2896	1996-05-11	PRIJEM	PREVOD Z UCTU	3221	22103	\N	QR	36761188
850208	2896	1996-06-11	PRIJEM	PREVOD Z UCTU	3221	20582	\N	QR	36761188
850209	2896	1996-07-11	PRIJEM	PREVOD Z UCTU	3221	21725	\N	QR	36761188
850210	2896	1996-08-11	PRIJEM	PREVOD Z UCTU	3221	22535	\N	QR	36761188
850211	2896	1996-09-11	PRIJEM	PREVOD Z UCTU	3221	23684	\N	QR	36761188
850212	2896	1996-10-11	PRIJEM	PREVOD Z UCTU	3221	23397	\N	QR	36761188
850213	2896	1996-11-11	PRIJEM	PREVOD Z UCTU	3221	24550	\N	QR	36761188
850214	2896	1996-12-11	PRIJEM	PREVOD Z UCTU	3221	24893	\N	QR	36761188
850215	2896	1997-01-11	PRIJEM	PREVOD Z UCTU	3221	21545	\N	QR	36761188
850216	2896	1997-02-11	PRIJEM	PREVOD Z UCTU	3221	20823	\N	QR	36761188
850217	2896	1997-03-11	PRIJEM	PREVOD Z UCTU	3221	21964	\N	QR	36761188
850218	2896	1997-04-11	PRIJEM	PREVOD Z UCTU	3221	23109	\N	QR	36761188
850219	2896	1997-05-11	PRIJEM	PREVOD Z UCTU	3221	24255	\N	QR	36761188
850220	2896	1997-06-11	PRIJEM	PREVOD Z UCTU	3221	24145	\N	QR	36761188
850221	2896	1997-07-11	PRIJEM	PREVOD Z UCTU	3221	23075	\N	QR	36761188
850222	2896	1997-08-11	PRIJEM	PREVOD Z UCTU	3221	24225	\N	QR	36761188
850223	2896	1997-09-11	PRIJEM	PREVOD Z UCTU	3221	25375	\N	QR	36761188
850224	2896	1997-10-11	PRIJEM	PREVOD Z UCTU	3221	26529	\N	QR	36761188
850225	2896	1997-11-11	PRIJEM	PREVOD Z UCTU	3221	27178	\N	QR	36761188
850226	2896	1997-12-11	PRIJEM	PREVOD Z UCTU	3221	28340	\N	QR	36761188
850227	2896	1998-01-11	PRIJEM	PREVOD Z UCTU	3221	27286	\N	QR	36761188
850228	2896	1998-02-11	PRIJEM	PREVOD Z UCTU	3221	25658	\N	QR	36761188
850229	2896	1998-03-11	PRIJEM	PREVOD Z UCTU	3221	26038	\N	QR	36761188
850230	2896	1998-04-11	PRIJEM	PREVOD Z UCTU	3221	27196	\N	QR	36761188
850231	2896	1998-05-11	PRIJEM	PREVOD Z UCTU	3221	28363	\N	QR	36761188
850232	2896	1998-06-11	PRIJEM	PREVOD Z UCTU	3221	28358	\N	QR	36761188
850233	2896	1998-07-11	PRIJEM	PREVOD Z UCTU	3221	22195	\N	QR	36761188
850234	2896	1998-08-11	PRIJEM	PREVOD Z UCTU	3221	21056	\N	QR	36761188
850235	2896	1998-09-11	PRIJEM	PREVOD Z UCTU	3221	21058	\N	QR	36761188
850236	2896	1998-10-11	PRIJEM	PREVOD Z UCTU	3221	22195	\N	QR	36761188
850237	2896	1998-11-11	PRIJEM	PREVOD Z UCTU	3221	23336	\N	QR	36761188
850238	2896	1998-12-11	PRIJEM	PREVOD Z UCTU	3221	24271	\N	QR	36761188
850246	2896	1993-08-11	VYDAJ	PREVOD NA UCET	1852	14653	SIPO	OP	14075744
850247	2896	1993-09-11	VYDAJ	PREVOD NA UCET	1852	15754	SIPO	OP	14075744
850248	2896	1993-10-11	VYDAJ	PREVOD NA UCET	1852	15622	SIPO	OP	14075744
850249	2896	1993-11-11	VYDAJ	PREVOD NA UCET	1852	15968	SIPO	OP	14075744
850250	2896	1993-12-11	VYDAJ	PREVOD NA UCET	1852	15022	SIPO	OP	14075744
850251	2896	1994-01-11	VYDAJ	PREVOD NA UCET	1852	15305	SIPO	OP	14075744
850252	2896	1994-02-11	VYDAJ	PREVOD NA UCET	1852	13994	SIPO	OP	14075744
850253	2896	1994-03-11	VYDAJ	PREVOD NA UCET	1852	13666	SIPO	OP	14075744
850254	2896	1994-04-11	VYDAJ	PREVOD NA UCET	1852	14786	SIPO	OP	14075744
850255	2896	1994-05-11	VYDAJ	PREVOD NA UCET	1852	15911	SIPO	OP	14075744
850256	2896	1994-06-11	VYDAJ	PREVOD NA UCET	1852	17040	SIPO	OP	14075744
850257	2896	1994-07-11	VYDAJ	PREVOD NA UCET	1852	14264	SIPO	OP	14075744
850258	2896	1994-08-11	VYDAJ	PREVOD NA UCET	1852	15387	SIPO	OP	14075744
850259	2896	1994-09-11	VYDAJ	PREVOD NA UCET	1852	16509	SIPO	OP	14075744
850260	2896	1994-10-11	VYDAJ	PREVOD NA UCET	1852	17640	SIPO	OP	14075744
850261	2896	1994-11-11	VYDAJ	PREVOD NA UCET	1852	18777	SIPO	OP	14075744
850262	2896	1994-12-11	VYDAJ	PREVOD NA UCET	1852	18530	SIPO	OP	14075744
850263	2896	1995-01-11	VYDAJ	PREVOD NA UCET	1852	17870	SIPO	OP	14075744
850264	2896	1995-02-11	VYDAJ	PREVOD NA UCET	1852	17229	SIPO	OP	14075744
850265	2896	1995-03-11	VYDAJ	PREVOD NA UCET	1852	16975	SIPO	OP	14075744
850266	2896	1995-04-11	VYDAJ	PREVOD NA UCET	1852	17894	SIPO	OP	14075744
850267	2896	1995-05-11	VYDAJ	PREVOD NA UCET	1852	19026	SIPO	OP	14075744
850268	2896	1995-06-11	VYDAJ	PREVOD NA UCET	1852	20163	SIPO	OP	14075744
850269	2896	1995-07-11	VYDAJ	PREVOD NA UCET	1852	18389	SIPO	OP	14075744
850270	2896	1995-08-11	VYDAJ	PREVOD NA UCET	1852	19529	SIPO	OP	14075744
850271	2896	1995-09-11	VYDAJ	PREVOD NA UCET	1852	19976	SIPO	OP	14075744
850272	2896	1995-10-11	VYDAJ	PREVOD NA UCET	1852	21117	SIPO	OP	14075744
850273	2896	1995-11-11	VYDAJ	PREVOD NA UCET	1852	22263	SIPO	OP	14075744
850274	2896	1995-12-11	VYDAJ	PREVOD NA UCET	1852	22873	SIPO	OP	14075744
850275	2896	1996-01-11	VYDAJ	PREVOD NA UCET	1852	21686	SIPO	OP	14075744
850276	2896	1996-02-11	VYDAJ	PREVOD NA UCET	1852	18178	SIPO	OP	14075744
850277	2896	1996-03-11	VYDAJ	PREVOD NA UCET	1852	19316	SIPO	OP	14075744
850278	2896	1996-04-11	VYDAJ	PREVOD NA UCET	1852	20454	SIPO	OP	14075744
850279	2896	1996-05-11	VYDAJ	PREVOD NA UCET	1852	20251	SIPO	OP	14075744
850280	2896	1996-06-11	VYDAJ	PREVOD NA UCET	1852	18730	SIPO	OP	14075744
850281	2896	1996-07-11	VYDAJ	PREVOD NA UCET	1852	19873	SIPO	OP	14075744
850282	2896	1996-08-11	VYDAJ	PREVOD NA UCET	1852	20683	SIPO	OP	14075744
850283	2896	1996-09-11	VYDAJ	PREVOD NA UCET	1852	21832	SIPO	OP	14075744
850284	2896	1996-10-11	VYDAJ	PREVOD NA UCET	1852	21545	SIPO	OP	14075744
850285	2896	1996-11-11	VYDAJ	PREVOD NA UCET	1852	22698	SIPO	OP	14075744
850286	2896	1996-12-11	VYDAJ	PREVOD NA UCET	1852	23041	SIPO	OP	14075744
850287	2896	1997-01-11	VYDAJ	PREVOD NA UCET	1852	19693	SIPO	OP	14075744
850288	2896	1997-02-11	VYDAJ	PREVOD NA UCET	1852	18971	SIPO	OP	14075744
850289	2896	1997-03-11	VYDAJ	PREVOD NA UCET	1852	20112	SIPO	OP	14075744
850290	2896	1997-04-11	VYDAJ	PREVOD NA UCET	1852	21257	SIPO	OP	14075744
850291	2896	1997-05-11	VYDAJ	PREVOD NA UCET	1852	22403	SIPO	OP	14075744
850292	2896	1997-06-11	VYDAJ	PREVOD NA UCET	1852	22293	SIPO	OP	14075744
850293	2896	1997-07-11	VYDAJ	PREVOD NA UCET	1852	21223	SIPO	OP	14075744
850294	2896	1997-08-11	VYDAJ	PREVOD NA UCET	1852	22373	SIPO	OP	14075744
850295	2896	1997-09-11	VYDAJ	PREVOD NA UCET	1852	23523	SIPO	OP	14075744
850296	2896	1997-10-11	VYDAJ	PREVOD NA UCET	1852	24677	SIPO	OP	14075744
850297	2896	1997-11-11	VYDAJ	PREVOD NA UCET	1852	25326	SIPO	OP	14075744
850298	2896	1997-12-11	VYDAJ	PREVOD NA UCET	1852	26488	SIPO	OP	14075744
850299	2896	1998-01-11	VYDAJ	PREVOD NA UCET	1852	25434	SIPO	OP	14075744
850300	2896	1998-02-11	VYDAJ	PREVOD NA UCET	1852	23806	SIPO	OP	14075744
850301	2896	1998-03-11	VYDAJ	PREVOD NA UCET	1852	24186	SIPO	OP	14075744
850302	2896	1998-04-11	VYDAJ	PREVOD NA UCET	1852	25344	SIPO	OP	14075744
850303	2896	1998-05-11	VYDAJ	PREVOD NA UCET	1852	26511	SIPO	OP	14075744
850304	2896	1998-06-11	VYDAJ	PREVOD NA UCET	1852	26506	SIPO	OP	14075744
850305	2896	1998-07-11	VYDAJ	PREVOD NA UCET	1852	20343	SIPO	OP	14075744
850306	2896	1998-08-11	VYDAJ	PREVOD NA UCET	1852	19204	SIPO	OP	14075744
850307	2896	1998-09-11	VYDAJ	PREVOD NA UCET	1852	19206	SIPO	OP	14075744
850308	2896	1998-10-11	VYDAJ	PREVOD NA UCET	1852	20343	SIPO	OP	14075744
850309	2896	1998-11-11	VYDAJ	PREVOD NA UCET	1852	21484	SIPO	OP	14075744
850310	2896	1998-12-11	VYDAJ	PREVOD NA UCET	1852	22419	SIPO	OP	14075744
850319	2896	1993-09-10	VYDAJ	PREVOD NA UCET	295	14385	 	WX	62635773
850320	2896	1993-10-10	VYDAJ	PREVOD NA UCET	295	14253	 	WX	62635773
850321	2896	1993-11-10	VYDAJ	PREVOD NA UCET	295	14599	 	WX	62635773
850322	2896	1993-12-10	VYDAJ	PREVOD NA UCET	295	13653	 	WX	62635773
850323	2896	1994-01-10	VYDAJ	PREVOD NA UCET	295	13936	 	WX	62635773
850324	2896	1994-02-10	VYDAJ	PREVOD NA UCET	295	12625	 	WX	62635773
850325	2896	1994-03-10	VYDAJ	PREVOD NA UCET	295	12297	 	WX	62635773
850326	2896	1994-04-10	VYDAJ	PREVOD NA UCET	295	13417	 	WX	62635773
850327	2896	1994-05-10	VYDAJ	PREVOD NA UCET	295	14542	 	WX	62635773
850328	2896	1994-06-10	VYDAJ	PREVOD NA UCET	295	15671	 	WX	62635773
850329	2896	1994-07-10	VYDAJ	PREVOD NA UCET	295	12895	 	WX	62635773
850330	2896	1994-08-10	VYDAJ	PREVOD NA UCET	295	14018	 	WX	62635773
850331	2896	1994-09-10	VYDAJ	PREVOD NA UCET	295	15140	 	WX	62635773
850332	2896	1994-10-10	VYDAJ	PREVOD NA UCET	295	16271	 	WX	62635773
850333	2896	1994-11-10	VYDAJ	PREVOD NA UCET	295	17408	 	WX	62635773
850334	2896	1994-12-10	VYDAJ	PREVOD NA UCET	295	17161	 	WX	62635773
850335	2896	1995-01-10	VYDAJ	PREVOD NA UCET	295	16861	 	WX	62635773
850336	2896	1995-02-10	VYDAJ	PREVOD NA UCET	295	15860	 	WX	62635773
850337	2896	1995-03-10	VYDAJ	PREVOD NA UCET	295	15606	 	WX	62635773
850338	2896	1995-04-10	VYDAJ	PREVOD NA UCET	295	16525	 	WX	62635773
850339	2896	1995-05-10	VYDAJ	PREVOD NA UCET	295	17657	 	WX	62635773
850340	2896	1995-06-10	VYDAJ	PREVOD NA UCET	295	18794	 	WX	62635773
850341	2896	1995-07-10	VYDAJ	PREVOD NA UCET	295	17020	 	WX	62635773
850342	2896	1995-08-10	VYDAJ	PREVOD NA UCET	295	18160	 	WX	62635773
850343	2896	1995-09-10	VYDAJ	PREVOD NA UCET	295	18607	 	WX	62635773
850344	2896	1995-10-10	VYDAJ	PREVOD NA UCET	295	19748	 	WX	62635773
850345	2896	1995-11-10	VYDAJ	PREVOD NA UCET	295	20894	 	WX	62635773
850346	2896	1995-12-10	VYDAJ	PREVOD NA UCET	295	21504	 	WX	62635773
850347	2896	1996-01-10	VYDAJ	PREVOD NA UCET	295	21877	 	WX	62635773
850348	2896	1996-02-10	VYDAJ	PREVOD NA UCET	295	16809	 	WX	62635773
850349	2896	1996-03-10	VYDAJ	PREVOD NA UCET	295	17947	 	WX	62635773
850350	2896	1996-04-10	VYDAJ	PREVOD NA UCET	295	19085	 	WX	62635773
850351	2896	1996-05-10	VYDAJ	PREVOD NA UCET	295	18882	 	WX	62635773
850352	2896	1996-06-10	VYDAJ	PREVOD NA UCET	295	17361	 	WX	62635773
850353	2896	1996-07-10	VYDAJ	PREVOD NA UCET	295	18504	 	WX	62635773
850354	2896	1996-08-10	VYDAJ	PREVOD NA UCET	295	19314	 	WX	62635773
850355	2896	1996-09-10	VYDAJ	PREVOD NA UCET	295	20463	 	WX	62635773
850356	2896	1996-10-10	VYDAJ	PREVOD NA UCET	295	20176	 	WX	62635773
850357	2896	1996-11-10	VYDAJ	PREVOD NA UCET	295	21329	 	WX	62635773
850358	2896	1996-12-10	VYDAJ	PREVOD NA UCET	295	21672	 	WX	62635773
850359	2896	1997-01-10	VYDAJ	PREVOD NA UCET	295	18324	 	WX	62635773
850360	2896	1997-02-10	VYDAJ	PREVOD NA UCET	295	17602	 	WX	62635773
850361	2896	1997-03-10	VYDAJ	PREVOD NA UCET	295	18743	 	WX	62635773
850362	2896	1997-04-10	VYDAJ	PREVOD NA UCET	295	19888	 	WX	62635773
850363	2896	1997-05-10	VYDAJ	PREVOD NA UCET	295	21034	 	WX	62635773
850364	2896	1997-06-10	VYDAJ	PREVOD NA UCET	295	20924	 	WX	62635773
850365	2896	1997-07-10	VYDAJ	PREVOD NA UCET	295	19854	 	WX	62635773
850366	2896	1997-08-10	VYDAJ	PREVOD NA UCET	295	21004	 	WX	62635773
850367	2896	1997-09-10	VYDAJ	PREVOD NA UCET	295	22154	 	WX	62635773
850368	2896	1997-10-10	VYDAJ	PREVOD NA UCET	295	23308	 	WX	62635773
850369	2896	1997-11-10	VYDAJ	PREVOD NA UCET	295	23957	 	WX	62635773
850370	2896	1997-12-10	VYDAJ	PREVOD NA UCET	295	25119	 	WX	62635773
850371	2896	1998-01-10	VYDAJ	PREVOD NA UCET	295	24065	 	WX	62635773
850372	2896	1998-02-10	VYDAJ	PREVOD NA UCET	295	22437	 	WX	62635773
850373	2896	1998-03-10	VYDAJ	PREVOD NA UCET	295	22817	 	WX	62635773
850374	2896	1998-04-10	VYDAJ	PREVOD NA UCET	295	23975	 	WX	62635773
850375	2896	1998-05-10	VYDAJ	PREVOD NA UCET	295	25142	 	WX	62635773
850376	2896	1998-06-10	VYDAJ	PREVOD NA UCET	295	25137	 	WX	62635773
850377	2896	1998-07-10	VYDAJ	PREVOD NA UCET	295	18974	 	WX	62635773
850378	2896	1998-08-10	VYDAJ	PREVOD NA UCET	295	17835	 	WX	62635773
850379	2896	1998-09-10	VYDAJ	PREVOD NA UCET	295	17837	 	WX	62635773
850380	2896	1998-10-10	VYDAJ	PREVOD NA UCET	295	18974	 	WX	62635773
850381	2896	1998-11-10	VYDAJ	PREVOD NA UCET	295	20115	 	WX	62635773
850382	2896	1998-12-10	VYDAJ	PREVOD NA UCET	295	21050	 	WX	62635773
850384	2896	1994-06-17	VYDAJ	VYBER	3330	13710	\N	\N	\N
850385	2896	1995-06-19	VYDAJ	VYBER	2580	17253	\N	\N	\N
850386	2896	1996-06-02	VYDAJ	VYBER	2670	17656	\N	\N	\N
850387	2896	1997-06-19	VYDAJ	VYBER	2220	20073	\N	\N	\N
850388	2896	1998-06-22	VYDAJ	VYBER	7320	19186	\N	\N	\N
850391	2896	1995-01-02	VYDAJ	VYBER	690	17906	\N	\N	\N
850392	2896	1996-01-16	VYDAJ	VYBER	2910	18266	\N	\N	\N
850393	2896	1997-01-01	VYDAJ	VYBER	1290	20029	\N	\N	\N
850394	2896	1998-01-08	VYDAJ	VYBER	1470	24840	\N	\N	\N
850395	2896	1993-12-09	VYDAJ	VYBER	750	13948	\N	\N	\N
850396	2896	1994-12-10	VYDAJ	VYBER	270	17456	\N	\N	\N
850397	2896	1995-12-01	VYDAJ	VYBER	210	21799	\N	\N	\N
850398	2896	1996-12-24	VYDAJ	VYBER	810	22231	\N	\N	\N
850399	2896	1997-12-22	VYDAJ	VYBER	270	26218	\N	\N	\N
850400	2896	1998-12-09	VYDAJ	VYBER	210	21345	\N	\N	\N
850407	2896	1994-01-01	VYDAJ	VYBER	840	14231	\N	\N	\N
850410	2896	1994-01-20	VYDAJ	VYBER	750	13835	\N	\N	\N
850411	2896	1994-01-24	VYDAJ	VYBER	240	12875	\N	\N	\N
850412	2896	1994-01-21	VYDAJ	VYBER	720	13115	\N	\N	\N
850413	2896	1995-01-04	VYDAJ	VYBER	300	17156	\N	\N	\N
850414	2896	1995-01-03	VYDAJ	VYBER	450	17456	\N	\N	\N
850415	2896	1995-01-11	VYDAJ	VYBER	360	19722	\N	\N	\N
850416	2896	1995-01-13	VYDAJ	VYBER	420	17450	\N	\N	\N
850417	2896	1995-01-14	VYDAJ	VYBER	750	16700	\N	\N	\N
850418	2896	1995-01-15	VYDAJ	VYBER	600	16100	\N	\N	\N
850419	2896	1996-01-01	VYDAJ	VYBER	780	22172	\N	\N	\N
850420	2896	1996-01-22	VYDAJ	VYBER	210	17036	\N	\N	\N
850421	2896	1996-01-19	VYDAJ	VYBER	330	17246	\N	\N	\N
850422	2896	1996-01-11	VYDAJ	VYBER	870	23538	\N	\N	\N
850423	2896	1996-01-11	VYDAJ	VYBER	690	24408	\N	\N	\N
850424	2896	1996-01-17	VYDAJ	VYBER	690	17576	\N	\N	\N
850425	2896	1997-01-22	VYDAJ	VYBER	180	19363	\N	\N	\N
850426	2896	1997-01-26	VYDAJ	VYBER	630	17983	\N	\N	\N
850427	2896	1997-01-20	VYDAJ	VYBER	150	19543	\N	\N	\N
850428	2896	1997-01-26	VYDAJ	VYBER	750	18613	\N	\N	\N
850429	2896	1997-01-27	VYDAJ	VYBER	150	17833	\N	\N	\N
850430	2896	1997-01-08	VYDAJ	VYBER	690	18619	\N	\N	\N
850431	2896	1998-01-16	VYDAJ	VYBER	390	24354	\N	\N	\N
850432	2896	1998-01-28	VYDAJ	VYBER	210	23514	\N	\N	\N
850433	2896	1998-01-25	VYDAJ	VYBER	630	23724	\N	\N	\N
850434	2896	1998-01-15	VYDAJ	VYBER	690	24744	\N	\N	\N
850435	2896	1998-01-09	VYDAJ	VYBER	480	24360	\N	\N	\N
850436	2896	1998-01-29	VYDAJ	VYBER	870	22644	\N	\N	\N
850438	2896	1993-10-20	VYDAJ	VYBER	780	14842	\N	\N	\N
850440	2896	1993-12-04	VYDAJ	VYBER	1320	14698	\N	\N	\N
850441	2896	1993-10-09	VYDAJ	VYBER	1260	14548	\N	\N	\N
850442	2896	1994-11-12	VYDAJ	VYBER	1110	17667	\N	\N	\N
850443	2896	1994-02-14	VYDAJ	VYBER	1440	12554	\N	\N	\N
850445	2896	1994-07-01	VYDAJ	VYBER	570	13190	\N	\N	\N
850446	2896	1994-01-12	VYDAJ	VYBER	720	14585	\N	\N	\N
850447	2896	1995-11-26	VYDAJ	VYBER	330	21933	\N	\N	\N
850448	2896	1995-08-17	VYDAJ	VYBER	690	18839	\N	\N	\N
850449	2896	1995-02-15	VYDAJ	VYBER	1380	15849	\N	\N	\N
850450	2896	1995-06-14	VYDAJ	VYBER	330	19833	\N	\N	\N
850451	2896	1995-03-27	VYDAJ	VYBER	210	16765	\N	\N	\N
850452	2896	1996-05-07	VYDAJ	VYBER	1350	19177	\N	\N	\N
850453	2896	1996-11-20	VYDAJ	VYBER	810	21888	\N	\N	\N
850454	2896	1996-10-01	VYDAJ	VYBER	1440	20471	\N	\N	\N
850455	2896	1996-12-27	VYDAJ	VYBER	990	21241	\N	\N	\N
850456	2896	1996-01-13	VYDAJ	VYBER	510	21176	\N	\N	\N
850457	2896	1996-07-27	VYDAJ	VYBER	330	19543	\N	\N	\N
850458	2896	1997-01-03	VYDAJ	VYBER	720	19309	\N	\N	\N
850459	2896	1997-10-13	VYDAJ	VYBER	510	24167	\N	\N	\N
850460	2896	1997-06-05	VYDAJ	VYBER	1260	21219	\N	\N	\N
850461	2896	1998-08-05	VYDAJ	VYBER	1260	18130	\N	\N	\N
850462	2896	1998-07-29	VYDAJ	VYBER	1020	19323	\N	\N	\N
850463	2896	1998-03-01	VYDAJ	VYBER	780	23112	\N	\N	\N
850464	2896	1998-05-14	VYDAJ	VYBER	810	25701	\N	\N	\N
850465	2896	1998-09-02	VYDAJ	VYBER	1140	18132	\N	\N	\N
850466	2896	1998-05-22	VYDAJ	VYBER	360	25341	\N	\N	\N
850475	2896	1993-08-31	VYDAJ	VYBER	15	14680	SLUZBY	\N	\N
850476	2896	1993-09-30	VYDAJ	VYBER	15	15808	SLUZBY	\N	\N
850477	2896	1993-10-31	VYDAJ	VYBER	15	14894	SLUZBY	\N	\N
850478	2896	1993-11-30	VYDAJ	VYBER	15	16018	SLUZBY	\N	\N
850479	2896	1993-12-31	VYDAJ	VYBER	15	15071	SLUZBY	\N	\N
850480	2896	1994-01-31	VYDAJ	VYBER	15	12920	SLUZBY	\N	\N
850481	2896	1994-02-28	VYDAJ	VYBER	15	12592	SLUZBY	\N	\N
850482	2896	1994-03-31	VYDAJ	VYBER	15	13712	SLUZBY	\N	\N
850483	2896	1994-04-30	VYDAJ	VYBER	15	14837	SLUZBY	\N	\N
850484	2896	1994-05-31	VYDAJ	VYBER	15	15966	SLUZBY	\N	\N
850485	2896	1994-06-30	VYDAJ	VYBER	15	13760	SLUZBY	\N	\N
850486	2896	1994-07-31	VYDAJ	VYBER	15	14313	SLUZBY	\N	\N
850487	2896	1994-08-31	VYDAJ	VYBER	15	15435	SLUZBY	\N	\N
850488	2896	1994-09-30	VYDAJ	VYBER	15	16566	SLUZBY	\N	\N
850489	2896	1994-10-31	VYDAJ	VYBER	15	17703	SLUZBY	\N	\N
850490	2896	1994-11-30	VYDAJ	VYBER	15	17726	SLUZBY	\N	\N
850491	2896	1994-12-31	VYDAJ	VYBER	15	18596	SLUZBY	\N	\N
850492	2896	1995-01-31	VYDAJ	VYBER	15	16155	SLUZBY	\N	\N
850493	2896	1995-02-28	VYDAJ	VYBER	15	15901	SLUZBY	\N	\N
850494	2896	1995-03-31	VYDAJ	VYBER	15	16820	SLUZBY	\N	\N
850495	2896	1995-04-30	VYDAJ	VYBER	15	17952	SLUZBY	\N	\N
850496	2896	1995-05-31	VYDAJ	VYBER	15	19089	SLUZBY	\N	\N
850497	2896	1995-06-30	VYDAJ	VYBER	15	17315	SLUZBY	\N	\N
850498	2896	1995-07-31	VYDAJ	VYBER	15	18455	SLUZBY	\N	\N
850499	2896	1995-08-31	VYDAJ	VYBER	15	18902	SLUZBY	\N	\N
850500	2896	1995-09-30	VYDAJ	VYBER	15	20043	SLUZBY	\N	\N
850501	2896	1995-10-31	VYDAJ	VYBER	15	21189	SLUZBY	\N	\N
850502	2896	1995-11-30	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
850503	2896	1995-12-31	VYDAJ	VYBER	15	22952	SLUZBY	\N	\N
850504	2896	1996-01-31	VYDAJ	VYBER	15	17104	SLUZBY	\N	\N
850505	2896	1996-02-29	VYDAJ	VYBER	15	18242	SLUZBY	\N	\N
850506	2896	1996-03-31	VYDAJ	VYBER	15	19380	SLUZBY	\N	\N
850507	2896	1996-04-30	VYDAJ	VYBER	15	20527	SLUZBY	\N	\N
850508	2896	1996-05-31	VYDAJ	VYBER	15	20326	SLUZBY	\N	\N
850509	2896	1996-06-30	VYDAJ	VYBER	15	18799	SLUZBY	\N	\N
850510	2896	1996-07-31	VYDAJ	VYBER	15	19609	SLUZBY	\N	\N
850511	2896	1996-08-31	VYDAJ	VYBER	15	20758	SLUZBY	\N	\N
850512	2896	1996-09-30	VYDAJ	VYBER	15	21911	SLUZBY	\N	\N
850513	2896	1996-10-31	VYDAJ	VYBER	15	21624	SLUZBY	\N	\N
850514	2896	1996-11-30	VYDAJ	VYBER	15	21967	SLUZBY	\N	\N
850515	2896	1996-12-31	VYDAJ	VYBER	15	21319	SLUZBY	\N	\N
850516	2896	1997-01-31	VYDAJ	VYBER	15	17897	SLUZBY	\N	\N
850517	2896	1997-02-28	VYDAJ	VYBER	15	19038	SLUZBY	\N	\N
850518	2896	1997-03-31	VYDAJ	VYBER	15	20183	SLUZBY	\N	\N
850519	2896	1997-04-30	VYDAJ	VYBER	15	21329	SLUZBY	\N	\N
850520	2896	1997-05-31	VYDAJ	VYBER	15	22479	SLUZBY	\N	\N
850521	2896	1997-06-30	VYDAJ	VYBER	15	20149	SLUZBY	\N	\N
850522	2896	1997-07-31	VYDAJ	VYBER	15	21299	SLUZBY	\N	\N
850523	2896	1997-08-31	VYDAJ	VYBER	15	22449	SLUZBY	\N	\N
850524	2896	1997-09-30	VYDAJ	VYBER	15	23603	SLUZBY	\N	\N
850525	2896	1997-10-31	VYDAJ	VYBER	15	24252	SLUZBY	\N	\N
850526	2896	1997-11-30	VYDAJ	VYBER	15	25414	SLUZBY	\N	\N
850527	2896	1997-12-31	VYDAJ	VYBER	15	26310	SLUZBY	\N	\N
850528	2896	1998-01-31	VYDAJ	VYBER	15	22732	SLUZBY	\N	\N
850529	2896	1998-02-28	VYDAJ	VYBER	15	23892	SLUZBY	\N	\N
850530	2896	1998-03-31	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
850531	2896	1998-04-30	VYDAJ	VYBER	15	25437	SLUZBY	\N	\N
850532	2896	1998-05-31	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
850533	2896	1998-06-30	VYDAJ	VYBER	15	19269	SLUZBY	\N	\N
850534	2896	1998-07-31	VYDAJ	VYBER	15	19390	SLUZBY	\N	\N
850535	2896	1998-08-31	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
850536	2896	1998-09-30	VYDAJ	VYBER	15	19269	SLUZBY	\N	\N
850537	2896	1998-10-31	VYDAJ	VYBER	15	20410	SLUZBY	\N	\N
850538	2896	1998-11-30	VYDAJ	VYBER	15	21555	SLUZBY	\N	\N
850604	2897	1997-10-11	PRIJEM	VKLAD	800	800	\N	\N	\N
850606	2897	1997-11-17	PRIJEM	VKLAD	22235	72194	\N	\N	\N
850615	2897	1997-11-03	PRIJEM	VKLAD	18903	19703	\N	\N	\N
850616	2897	1997-12-28	PRIJEM	VKLAD	49581	92853	\N	\N	\N
850620	2897	1997-11-13	PRIJEM	VKLAD	27556	49959	\N	\N	\N
850631	2897	1998-01-29	PRIJEM	VKLAD	33459	53727	\N	\N	\N
850632	2897	1998-09-14	PRIJEM	VKLAD	20180	87920	\N	\N	\N
850633	2897	1998-07-15	PRIJEM	VKLAD	21396	40406	\N	\N	\N
850634	2897	1998-05-04	PRIJEM	VKLAD	16398	126909	\N	\N	\N
850635	2897	1998-11-14	PRIJEM	VKLAD	30447	132128	\N	\N	\N
850636	2897	1998-01-02	PRIJEM	VKLAD	35655	128819	\N	\N	\N
850637	2897	1998-09-04	PRIJEM	VKLAD	48915	102196	\N	\N	\N
850638	2897	1998-08-27	PRIJEM	VKLAD	23296	53077	\N	\N	\N
850639	2897	1998-03-08	PRIJEM	VKLAD	40537	71565	\N	\N	\N
850640	2897	1998-12-26	PRIJEM	VKLAD	18578	75694	\N	\N	\N
850641	2897	1998-04-09	PRIJEM	VKLAD	49250	74602	\N	\N	\N
850642	2897	1998-07-30	PRIJEM	VKLAD	17560	87157	\N	\N	\N
850643	2897	1998-09-29	PRIJEM	VKLAD	45206	133126	\N	\N	\N
850644	2897	1998-04-10	PRIJEM	VKLAD	27242	72044	\N	\N	\N
850645	2897	1998-11-03	PRIJEM	VKLAD	7040	114401	\N	\N	\N
850646	2897	1998-10-28	PRIJEM	VKLAD	40960	101171	\N	\N	\N
850647	2897	1998-12-29	PRIJEM	VKLAD	15384	91078	\N	\N	\N
850648	2897	1998-10-18	PRIJEM	VKLAD	25020	72511	\N	\N	\N
850649	2897	1998-11-12	PRIJEM	VKLAD	42631	107432	\N	\N	\N
850650	2897	1998-09-09	PRIJEM	VKLAD	6595	73491	\N	\N	\N
850651	2897	1998-07-31	PRIJEM	VKLAD	23954	111336	\N	\N	\N
850652	2897	1998-05-03	PRIJEM	VKLAD	37861	140311	\N	\N	\N
850653	2897	1998-04-10	PRIJEM	VKLAD	29570	101614	\N	\N	\N
850654	2897	1998-07-17	PRIJEM	VKLAD	36391	76797	\N	\N	\N
850655	2897	1998-11-02	PRIJEM	VKLAD	43253	144761	\N	\N	\N
850656	2897	1998-12-24	PRIJEM	VKLAD	41792	111216	\N	\N	\N
850657	2897	1998-12-12	PRIJEM	VKLAD	22106	77875	\N	\N	\N
850658	2897	1998-05-01	PRIJEM	VKLAD	33602	102450	\N	\N	\N
850659	2897	1998-04-27	PRIJEM	VKLAD	12571	108434	\N	\N	\N
850672	2897	1998-01-12	VYDAJ	PREVOD NA UCET	5751	47268	SIPO	UV	27572107
850673	2897	1998-02-12	VYDAJ	PREVOD NA UCET	5751	30876	SIPO	UV	27572107
850674	2897	1998-03-12	VYDAJ	PREVOD NA UCET	5751	38714	SIPO	UV	27572107
850675	2897	1998-04-12	VYDAJ	PREVOD NA UCET	5751	95863	SIPO	UV	27572107
850676	2897	1998-05-12	VYDAJ	PREVOD NA UCET	5751	60258	SIPO	UV	27572107
850677	2897	1998-06-12	VYDAJ	PREVOD NA UCET	5751	35390	SIPO	UV	27572107
850678	2897	1998-07-12	VYDAJ	PREVOD NA UCET	5751	19010	SIPO	UV	27572107
850679	2897	1998-08-12	VYDAJ	PREVOD NA UCET	5751	34071	SIPO	UV	27572107
850680	2897	1998-09-12	VYDAJ	PREVOD NA UCET	5751	67740	SIPO	UV	27572107
850681	2897	1998-10-12	VYDAJ	PREVOD NA UCET	5751	47491	SIPO	UV	27572107
850682	2897	1998-11-12	VYDAJ	PREVOD NA UCET	5751	101681	SIPO	UV	27572107
850683	2897	1998-12-12	VYDAJ	PREVOD NA UCET	5751	72124	SIPO	UV	27572107
850693	2897	1998-08-24	VYBER	VYBER	4290	29781	\N	\N	\N
850697	2897	1998-01-14	VYDAJ	VYBER	15600	31668	\N	\N	\N
850699	2897	1998-12-12	VYDAJ	VYBER KARTOU	2700	69424	\N	\N	0
850706	2897	1998-01-16	VYDAJ	VYBER	3900	27768	\N	\N	\N
850707	2897	1998-01-05	VYDAJ	VYBER	5100	92019	\N	\N	\N
850708	2897	1998-01-28	VYDAJ	VYBER	5100	20268	\N	\N	\N
850709	2897	1998-01-26	VYDAJ	VYBER	2400	25368	\N	\N	\N
850710	2897	1998-01-04	VYDAJ	VYBER	6000	97119	\N	\N	\N
850716	2897	1998-04-01	VYDAJ	VYBER	13500	25352	\N	\N	\N
850717	2897	1998-10-20	VYDAJ	VYBER	12300	60211	\N	\N	\N
850718	2897	1998-07-07	VYDAJ	VYBER	4200	31361	\N	\N	\N
850719	2897	1998-08-02	VYDAJ	VYBER	12300	53922	\N	\N	\N
850720	2897	1998-07-29	VYDAJ	VYBER	7200	69597	\N	\N	\N
850734	2897	1998-01-31	VYDAJ	VYBER	15	53927	SLUZBY	\N	\N
850735	2897	1998-02-28	VYDAJ	VYBER	15	31028	SLUZBY	\N	\N
850736	2897	1998-03-31	VYDAJ	VYBER	15	38852	SLUZBY	\N	\N
850737	2897	1998-04-30	VYDAJ	VYBER	15	68848	SLUZBY	\N	\N
850738	2897	1998-05-31	VYDAJ	VYBER	15	60541	SLUZBY	\N	\N
850739	2897	1998-06-30	VYDAJ	VYBER	15	35561	SLUZBY	\N	\N
850740	2897	1998-07-31	VYDAJ	VYBER	15	111322	SLUZBY	\N	\N
850741	2897	1998-08-31	VYDAJ	VYBER	15	53281	SLUZBY	\N	\N
850742	2897	1998-09-30	VYDAJ	VYBER	15	118342	SLUZBY	\N	\N
850743	2897	1998-10-31	VYDAJ	VYBER	15	101508	SLUZBY	\N	\N
850744	2897	1998-11-30	VYDAJ	VYBER	15	77669	SLUZBY	\N	\N
850745	2897	1997-11-10	PRIJEM	VKLAD	2700	22403	\N	\N	\N
850746	2897	1997-12-10	VYDAJ	VYBER	29100	43272	\N	\N	\N
850747	2897	1998-01-02	VYDAJ	VYBER	25700	103119	\N	\N	\N
850748	2897	1998-01-09	VYDAJ	VYBER	39000	53019	\N	\N	\N
850749	2897	1998-02-08	VYDAJ	VYBER	17300	36627	\N	\N	\N
850750	2897	1998-03-10	VYDAJ	VYBER	27100	44465	\N	\N	\N
850751	2897	1998-04-09	VYDAJ	VYBER	29800	44802	\N	\N	\N
850752	2897	1998-04-30	VYDAJ	VYBER	39900	68862	\N	\N	\N
850753	2897	1998-05-03	VYDAJ	VYBER	29800	110511	\N	\N	\N
850754	2897	1998-05-04	VYDAJ	VYBER	20400	106509	\N	\N	\N
850755	2897	1998-05-09	VYDAJ	VYBER	40500	66009	\N	\N	\N
850756	2897	1998-06-08	VYDAJ	VYBER	19400	41141	\N	\N	\N
850757	2897	1998-07-08	VYDAJ	VYBER	6600	24761	\N	\N	\N
850758	2897	1998-07-31	VYDAJ	VYBER	45100	66222	\N	\N	\N
850759	2897	1998-08-07	VYDAJ	VYBER	14100	39822	\N	\N	\N
850760	2897	1998-09-06	VYDAJ	VYBER	35300	66896	\N	\N	\N
850761	2897	1998-09-29	VYDAJ	VYBER	15100	118026	\N	\N	\N
850762	2897	1998-09-30	VYDAJ	VYBER	45700	72642	\N	\N	\N
850763	2897	1998-10-06	VYDAJ	VYBER	19400	53242	\N	\N	\N
850764	2897	1998-11-02	VYDAJ	VYBER	37400	107361	\N	\N	\N
850765	2897	1998-11-03	VYDAJ	VYBER	18100	96301	\N	\N	\N
850766	2897	1998-11-05	VYDAJ	VYBER	31500	64801	\N	\N	\N
850767	2897	1998-11-14	VYDAJ	VYBER	54900	77228	\N	\N	\N
850768	2897	1998-12-05	VYDAJ	VYBER	21900	55769	\N	\N	\N
850769	2897	1998-12-24	VYDAJ	VYBER	54100	57116	\N	\N	\N
850784	2898	1996-11-23	PRIJEM	VKLAD	800	800	\N	\N	\N
850796	2898	1996-12-07	PRIJEM	VKLAD	25090	25890	\N	\N	\N
850797	2898	1997-01-07	PRIJEM	VKLAD	16727	40245	\N	\N	\N
850798	2898	1997-02-07	PRIJEM	VKLAD	16727	44176	\N	\N	\N
850799	2898	1997-03-07	PRIJEM	VKLAD	16727	50924	\N	\N	\N
850800	2898	1997-04-07	PRIJEM	VKLAD	16727	52996	\N	\N	\N
850801	2898	1997-05-07	PRIJEM	VKLAD	16727	50316	\N	\N	\N
850802	2898	1997-06-07	PRIJEM	VKLAD	25090	58791	\N	\N	\N
850803	2898	1997-07-07	PRIJEM	VKLAD	16727	44969	\N	\N	\N
850804	2898	1997-08-07	PRIJEM	VKLAD	16727	54972	\N	\N	\N
850805	2898	1997-09-07	PRIJEM	VKLAD	16727	54464	\N	\N	\N
850806	2898	1997-10-07	PRIJEM	VKLAD	16727	52084	\N	\N	\N
850807	2898	1997-11-07	PRIJEM	VKLAD	16727	59925	\N	\N	\N
850808	2898	1997-12-07	PRIJEM	VKLAD	25090	71123	\N	\N	\N
850809	2898	1998-01-07	PRIJEM	VKLAD	16727	60193	\N	\N	\N
850810	2898	1998-02-07	PRIJEM	VKLAD	16727	61053	\N	\N	\N
850811	2898	1998-03-07	PRIJEM	VKLAD	16727	65210	\N	\N	\N
850812	2898	1998-04-07	PRIJEM	VKLAD	16727	61571	\N	\N	\N
850813	2898	1998-05-07	PRIJEM	VKLAD	16727	56555	\N	\N	\N
850814	2898	1998-06-07	PRIJEM	VKLAD	25090	65049	\N	\N	\N
850815	2898	1998-07-07	PRIJEM	VKLAD	16727	46181	\N	\N	\N
850816	2898	1998-08-07	PRIJEM	VKLAD	16727	56704	\N	\N	\N
850817	2898	1998-09-07	PRIJEM	VKLAD	16727	61343	\N	\N	\N
850818	2898	1998-10-07	PRIJEM	VKLAD	16727	58529	\N	\N	\N
850819	2898	1998-11-07	PRIJEM	VKLAD	16727	57461	\N	\N	\N
850820	2898	1998-12-07	PRIJEM	VKLAD	25090	68702	\N	\N	\N
850836	2898	1997-04-11	VYDAJ	PREVOD NA UCET	6655	46341	SIPO	CD	96764617
850837	2898	1997-05-11	VYDAJ	PREVOD NA UCET	6655	43661	SIPO	CD	96764617
850838	2898	1997-06-11	VYDAJ	PREVOD NA UCET	6655	52136	SIPO	CD	96764617
850839	2898	1997-07-11	VYDAJ	PREVOD NA UCET	6655	38314	SIPO	CD	96764617
850840	2898	1997-08-11	VYDAJ	PREVOD NA UCET	6655	48317	SIPO	CD	96764617
850841	2898	1997-09-11	VYDAJ	PREVOD NA UCET	6655	47809	SIPO	CD	96764617
850842	2898	1997-10-11	VYDAJ	PREVOD NA UCET	6655	45429	SIPO	CD	96764617
850843	2898	1997-11-11	VYDAJ	PREVOD NA UCET	6655	53270	SIPO	CD	96764617
850844	2898	1997-12-11	VYDAJ	PREVOD NA UCET	6655	64468	SIPO	CD	96764617
850845	2898	1998-01-11	VYDAJ	PREVOD NA UCET	6655	53538	SIPO	CD	96764617
850846	2898	1998-02-11	VYDAJ	PREVOD NA UCET	6655	54398	SIPO	CD	96764617
850847	2898	1998-03-11	VYDAJ	PREVOD NA UCET	6655	58555	SIPO	CD	96764617
850848	2898	1998-04-11	VYDAJ	PREVOD NA UCET	6655	54916	SIPO	CD	96764617
850849	2898	1998-05-11	VYDAJ	PREVOD NA UCET	6655	49900	SIPO	CD	96764617
850850	2898	1998-06-11	VYDAJ	PREVOD NA UCET	6655	58394	SIPO	CD	96764617
850851	2898	1998-07-11	VYDAJ	PREVOD NA UCET	6655	39526	SIPO	CD	96764617
850852	2898	1998-08-11	VYDAJ	PREVOD NA UCET	6655	50049	SIPO	CD	96764617
850853	2898	1998-09-11	VYDAJ	PREVOD NA UCET	6655	54688	SIPO	CD	96764617
850854	2898	1998-10-11	VYDAJ	PREVOD NA UCET	6655	51874	SIPO	CD	96764617
850855	2898	1998-11-11	VYDAJ	PREVOD NA UCET	6655	50806	SIPO	CD	96764617
850856	2898	1998-12-11	VYDAJ	PREVOD NA UCET	6655	62047	SIPO	CD	96764617
850858	2898	1997-06-22	VYDAJ	VYBER	12960	28096	\N	\N	\N
850859	2898	1998-06-21	VYDAJ	VYBER	8320	35774	\N	\N	\N
850862	2898	1998-01-01	VYDAJ	VYBER	3520	43466	\N	\N	\N
850864	2898	1997-12-22	VYDAJ	VYBER	4480	46788	\N	\N	\N
850865	2898	1998-12-03	VYDAJ	VYBER	960	43612	\N	\N	\N
850871	2898	1997-10-06	VYDAJ	VYBER	1800	35357	\N	\N	\N
850872	2898	1997-10-04	VYDAJ	VYBER	2520	37157	\N	\N	\N
850873	2898	1997-06-21	VYDAJ	VYBER	1080	41056	\N	\N	\N
850874	2898	1997-09-04	VYDAJ	VYBER	2640	37737	\N	\N	\N
850875	2898	1997-11-29	VYDAJ	VYBER	1920	45850	\N	\N	\N
850877	2898	1998-12-26	VYDAJ	VYBER	2040	38207	\N	\N	\N
850878	2898	1998-04-19	VYDAJ	VYBER	3360	39656	\N	\N	\N
850879	2898	1998-12-20	VYDAJ	VYBER	4320	40247	\N	\N	\N
850880	2898	1998-06-24	VYDAJ	VYBER	840	34934	\N	\N	\N
850881	2898	1998-07-05	VYDAJ	VYBER	5640	29454	\N	\N	\N
850882	2898	1998-12-18	VYDAJ	VYBER	1680	44567	\N	\N	\N
850883	2898	1998-09-25	VYDAJ	VYBER	3960	41628	\N	\N	\N
850900	2898	1997-04-30	VYDAJ	VYBER	15	33589	SLUZBY	\N	\N
850901	2898	1997-05-31	VYDAJ	VYBER	15	33701	SLUZBY	\N	\N
850902	2898	1997-06-30	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
850903	2898	1997-07-31	VYDAJ	VYBER	15	38245	SLUZBY	\N	\N
850904	2898	1997-08-31	VYDAJ	VYBER	15	40377	SLUZBY	\N	\N
850905	2898	1997-09-30	VYDAJ	VYBER	15	39677	SLUZBY	\N	\N
850906	2898	1997-10-31	VYDAJ	VYBER	15	43198	SLUZBY	\N	\N
850907	2898	1997-11-30	VYDAJ	VYBER	15	46033	SLUZBY	\N	\N
850908	2898	1997-12-31	VYDAJ	VYBER	15	46986	SLUZBY	\N	\N
850909	2898	1998-01-31	VYDAJ	VYBER	15	44326	SLUZBY	\N	\N
850910	2898	1998-02-28	VYDAJ	VYBER	15	48483	SLUZBY	\N	\N
850911	2898	1998-03-31	VYDAJ	VYBER	15	44844	SLUZBY	\N	\N
850912	2898	1998-04-30	VYDAJ	VYBER	15	39828	SLUZBY	\N	\N
850913	2898	1998-05-31	VYDAJ	VYBER	15	39959	SLUZBY	\N	\N
850914	2898	1998-06-30	VYDAJ	VYBER	15	35094	SLUZBY	\N	\N
850915	2898	1998-07-31	VYDAJ	VYBER	15	39977	SLUZBY	\N	\N
850916	2898	1998-08-31	VYDAJ	VYBER	15	44616	SLUZBY	\N	\N
850917	2898	1998-09-30	VYDAJ	VYBER	15	41802	SLUZBY	\N	\N
850918	2898	1998-10-31	VYDAJ	VYBER	15	40734	SLUZBY	\N	\N
850919	2898	1998-11-30	VYDAJ	VYBER	15	44572	SLUZBY	\N	\N
850920	2898	1996-12-23	VYDAJ	VYBER	2400	23490	\N	\N	\N
850921	2898	1997-01-22	VYDAJ	VYBER	12900	27345	\N	\N	\N
850922	2898	1997-02-21	VYDAJ	VYBER	10100	34076	\N	\N	\N
850923	2898	1997-03-23	VYDAJ	VYBER	14800	36124	\N	\N	\N
850924	2898	1997-04-22	VYDAJ	VYBER	12900	33441	\N	\N	\N
850925	2898	1997-05-22	VYDAJ	VYBER	10100	33561	\N	\N	\N
850926	2898	1997-06-21	VYDAJ	VYBER	10000	42136	\N	\N	\N
850927	2898	1997-07-21	VYDAJ	VYBER	200	38114	\N	\N	\N
850928	2898	1997-08-20	VYDAJ	VYBER	8100	40217	\N	\N	\N
850929	2898	1997-09-19	VYDAJ	VYBER	8300	39509	\N	\N	\N
850930	2898	1997-10-19	VYDAJ	VYBER	2400	43029	\N	\N	\N
850931	2898	1997-11-18	VYDAJ	VYBER	5500	47770	\N	\N	\N
850932	2898	1997-12-18	VYDAJ	VYBER	13200	51268	\N	\N	\N
850933	2898	1998-01-17	VYDAJ	VYBER	9400	44138	\N	\N	\N
850934	2898	1998-02-16	VYDAJ	VYBER	6100	48298	\N	\N	\N
850935	2898	1998-03-18	VYDAJ	VYBER	13900	44655	\N	\N	\N
850936	2898	1998-04-17	VYDAJ	VYBER	11900	43016	\N	\N	\N
850937	2898	1998-05-17	VYDAJ	VYBER	10100	39800	\N	\N	\N
850938	2898	1998-06-16	VYDAJ	VYBER	14300	44094	\N	\N	\N
850939	2898	1998-07-16	PRIJEM	VKLAD	300	39826	\N	\N	\N
850940	2898	1998-08-15	VYDAJ	VYBER	5600	44449	\N	\N	\N
850941	2898	1998-09-14	VYDAJ	VYBER	9100	45588	\N	\N	\N
850942	2898	1998-10-14	VYDAJ	VYBER	11300	40574	\N	\N	\N
850943	2898	1998-11-13	VYDAJ	VYBER	6400	44406	\N	\N	\N
850944	2898	1998-12-13	VYDAJ	VYBER	15800	46247	\N	\N	\N
850970	2899	1997-04-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
850974	2899	1997-04-11	PRIJEM	VKLAD	23602	24702	\N	\N	\N
850975	2899	1997-05-11	PRIJEM	VKLAD	23602	46273	\N	\N	\N
850976	2899	1997-06-11	PRIJEM	VKLAD	35403	69739	\N	\N	\N
850977	2899	1997-07-11	PRIJEM	VKLAD	23602	69499	\N	\N	\N
850978	2899	1997-08-11	PRIJEM	VKLAD	23602	70491	\N	\N	\N
850979	2899	1997-09-11	PRIJEM	VKLAD	23602	65845	\N	\N	\N
850980	2899	1997-10-11	PRIJEM	VKLAD	23602	65250	\N	\N	\N
850981	2899	1997-11-11	PRIJEM	VKLAD	23602	68348	\N	\N	\N
850982	2899	1997-12-11	PRIJEM	VKLAD	35403	81458	\N	\N	\N
850983	2899	1998-01-11	PRIJEM	VKLAD	23602	64497	\N	\N	\N
850984	2899	1998-02-11	PRIJEM	VKLAD	23602	54572	\N	\N	\N
850985	2899	1998-03-11	PRIJEM	VKLAD	23602	61424	\N	\N	\N
850986	2899	1998-04-11	PRIJEM	VKLAD	23602	57698	\N	\N	\N
850987	2899	1998-05-11	PRIJEM	VKLAD	23602	62162	\N	\N	\N
850988	2899	1998-06-11	PRIJEM	VKLAD	35403	74744	\N	\N	\N
850989	2899	1998-07-11	PRIJEM	VKLAD	23602	67245	\N	\N	\N
850990	2899	1998-08-11	PRIJEM	VKLAD	23602	67243	\N	\N	\N
850991	2899	1998-09-11	PRIJEM	VKLAD	23602	68440	\N	\N	\N
850992	2899	1998-10-11	PRIJEM	VKLAD	23602	70441	\N	\N	\N
850993	2899	1998-11-11	PRIJEM	VKLAD	23602	70049	\N	\N	\N
850994	2899	1998-12-11	PRIJEM	VKLAD	35403	86567	\N	\N	\N
851002	2899	1997-08-12	VYDAJ	PREVOD NA UCET	7503	62988	SIPO	GH	887281
851003	2899	1997-09-12	VYDAJ	PREVOD NA UCET	7503	58342	SIPO	GH	887281
851004	2899	1997-10-12	VYDAJ	PREVOD NA UCET	7503	57747	SIPO	GH	887281
851005	2899	1997-11-12	VYDAJ	PREVOD NA UCET	7503	60845	SIPO	GH	887281
851006	2899	1997-12-12	VYDAJ	PREVOD NA UCET	7503	73955	SIPO	GH	887281
851007	2899	1998-01-12	VYDAJ	PREVOD NA UCET	7503	56994	SIPO	GH	887281
851008	2899	1998-02-12	VYDAJ	PREVOD NA UCET	7503	47069	SIPO	GH	887281
851009	2899	1998-03-12	VYDAJ	PREVOD NA UCET	7503	51721	SIPO	GH	887281
851010	2899	1998-04-12	VYDAJ	PREVOD NA UCET	7503	50195	SIPO	GH	887281
851011	2899	1998-05-12	VYDAJ	PREVOD NA UCET	7503	54659	SIPO	GH	887281
851012	2899	1998-06-12	VYDAJ	PREVOD NA UCET	7503	55741	SIPO	GH	887281
851013	2899	1998-07-12	VYDAJ	PREVOD NA UCET	7503	59742	SIPO	GH	887281
851014	2899	1998-08-12	VYDAJ	PREVOD NA UCET	7503	59740	SIPO	GH	887281
851015	2899	1998-09-12	VYDAJ	PREVOD NA UCET	7503	60937	SIPO	GH	887281
851016	2899	1998-10-12	VYDAJ	PREVOD NA UCET	7503	62938	SIPO	GH	887281
851017	2899	1998-11-12	VYDAJ	PREVOD NA UCET	7503	62546	SIPO	GH	887281
851018	2899	1998-12-12	VYDAJ	PREVOD NA UCET	7503	79064	SIPO	GH	887281
851020	2899	1998-06-12	VYDAJ	VYBER	11500	63244	\N	\N	\N
851022	2899	1998-01-17	VYDAJ	VYBER	9500	42594	\N	\N	\N
851023	2899	1997-12-15	VYDAJ	VYBER	1500	72455	\N	\N	\N
851024	2899	1998-12-04	VYDAJ	VYBER	2800	51164	\N	\N	\N
851031	2899	1998-01-18	VYDAJ	VYBER	600	41994	\N	\N	\N
851032	2899	1998-01-16	VYDAJ	VYBER	2900	52094	\N	\N	\N
851033	2899	1998-01-12	VYDAJ	VYBER	2000	54994	\N	\N	\N
851034	2899	1998-01-10	VYDAJ	VYBER	900	45695	\N	\N	\N
851035	2899	1998-01-04	VYDAJ	VYBER	1300	50795	\N	\N	\N
851036	2899	1998-01-25	VYDAJ	VYBER	2200	39794	\N	\N	\N
851038	2899	1997-09-01	VYDAJ	VYBER	600	42243	\N	\N	\N
851039	2899	1998-01-09	VYDAJ	VYBER	4200	46595	\N	\N	\N
851040	2899	1998-03-11	VYDAJ	VYBER	2200	59224	\N	\N	\N
851041	2899	1998-05-28	VYDAJ	VYBER	3700	39159	\N	\N	\N
851042	2899	1998-01-10	VYDAJ	VYBER	4800	40895	\N	\N	\N
851043	2899	1998-11-01	VYDAJ	VYBER	1600	46447	\N	\N	\N
851052	2899	1997-08-31	VYDAJ	VYBER	15	63243	SLUZBY	\N	\N
851053	2899	1997-09-30	VYDAJ	VYBER	15	58548	SLUZBY	\N	\N
851054	2899	1997-10-31	VYDAJ	VYBER	15	44746	SLUZBY	\N	\N
851055	2899	1997-11-30	VYDAJ	VYBER	15	46055	SLUZBY	\N	\N
851056	2899	1997-12-31	VYDAJ	VYBER	15	52095	SLUZBY	\N	\N
851057	2899	1998-01-31	VYDAJ	VYBER	15	30970	SLUZBY	\N	\N
851058	2899	1998-02-28	VYDAJ	VYBER	15	37822	SLUZBY	\N	\N
851059	2899	1998-03-31	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
851060	2899	1998-04-30	VYDAJ	VYBER	15	38560	SLUZBY	\N	\N
851061	2899	1998-05-31	VYDAJ	VYBER	15	39341	SLUZBY	\N	\N
851062	2899	1998-06-30	VYDAJ	VYBER	15	43643	SLUZBY	\N	\N
851063	2899	1998-07-31	VYDAJ	VYBER	15	43641	SLUZBY	\N	\N
851064	2899	1998-08-31	VYDAJ	VYBER	15	44838	SLUZBY	\N	\N
851065	2899	1998-09-30	VYDAJ	VYBER	15	46839	SLUZBY	\N	\N
851066	2899	1998-10-31	VYDAJ	VYBER	15	48047	SLUZBY	\N	\N
851067	2899	1998-11-30	VYDAJ	VYBER	15	53964	SLUZBY	\N	\N
851068	2899	1997-05-03	VYDAJ	VYBER	2100	22671	\N	\N	\N
851069	2899	1997-06-02	VYDAJ	VYBER	12100	34336	\N	\N	\N
851070	2899	1997-07-02	VYDAJ	VYBER	24100	45897	\N	\N	\N
851071	2899	1997-08-01	VYDAJ	VYBER	22900	46889	\N	\N	\N
851072	2899	1997-08-31	VYDAJ	VYBER	20400	42843	\N	\N	\N
851073	2899	1997-09-30	VYDAJ	VYBER	16900	41648	\N	\N	\N
851074	2899	1997-10-30	VYDAJ	VYBER	13200	44547	\N	\N	\N
851075	2899	1997-11-29	VYDAJ	VYBER	15000	45845	\N	\N	\N
851076	2899	1997-12-29	VYDAJ	VYBER	20600	51855	\N	\N	\N
851077	2899	1998-01-28	VYDAJ	VYBER	9000	30794	\N	\N	\N
851078	2899	1998-02-27	VYDAJ	VYBER	9400	37669	\N	\N	\N
851079	2899	1998-03-29	VYDAJ	VYBER	17800	33921	\N	\N	\N
851080	2899	1998-04-28	VYDAJ	VYBER	11800	38395	\N	\N	\N
851081	2899	1998-05-28	VYDAJ	VYBER	11800	42859	\N	\N	\N
851082	2899	1998-06-27	VYDAJ	VYBER	12300	43441	\N	\N	\N
851083	2899	1998-07-27	VYDAJ	VYBER	16300	43442	\N	\N	\N
851084	2899	1998-08-26	VYDAJ	VYBER	15100	44640	\N	\N	\N
851085	2899	1998-09-25	VYDAJ	VYBER	14300	46637	\N	\N	\N
851086	2899	1998-10-25	VYDAJ	VYBER	15100	47838	\N	\N	\N
851087	2899	1998-11-24	VYDAJ	VYBER	8800	53746	\N	\N	\N
851109	2900	1997-05-14	PRIJEM	VKLAD	500	500	\N	\N	\N
851110	2900	1997-08-30	PRIJEM	VKLAD	24219	41619	\N	\N	\N
851111	2900	1997-09-10	PRIJEM	VKLAD	16261	57891	\N	\N	\N
851112	2900	1998-01-13	PRIJEM	VKLAD	43882	60362	\N	\N	\N
851113	2900	1998-02-22	PRIJEM	VKLAD	9693	42476	\N	\N	\N
851173	2900	1997-06-13	PRIJEM	VKLAD	12000	12500	\N	\N	\N
851174	2900	1997-07-13	PRIJEM	VKLAD	5100	17600	\N	\N	\N
851175	2900	1997-08-12	VYDAJ	VYBER	200	17400	\N	\N	\N
851176	2900	1997-09-11	VYDAJ	VYBER	16600	41291	\N	\N	\N
851177	2900	1997-10-11	VYDAJ	VYBER	7000	34464	\N	\N	\N
851178	2900	1997-11-10	VYDAJ	VYBER	7200	27436	\N	\N	\N
851179	2900	1997-12-10	VYDAJ	VYBER	6000	21608	\N	\N	\N
851180	2900	1998-01-09	VYDAJ	VYBER	5300	16480	\N	\N	\N
851181	2900	1998-02-08	VYDAJ	VYBER	27800	32783	\N	\N	\N
851182	2900	1998-03-10	VYDAJ	VYBER	21100	21608	\N	\N	\N
851183	2900	1998-04-09	VYDAJ	VYBER	7500	14285	\N	\N	\N
851184	2900	1998-05-09	VYDAJ	VYBER	2700	11762	\N	\N	\N
851194	2901	1997-04-09	PRIJEM	VKLAD	600	600	\N	\N	\N
851199	2901	1997-05-05	PRIJEM	VKLAD	7405	8005	\N	\N	\N
851200	2901	1997-06-05	PRIJEM	VKLAD	11108	28467	\N	\N	\N
851201	2901	1997-07-05	PRIJEM	VKLAD	7405	33973	\N	\N	\N
851202	2901	1997-08-05	PRIJEM	VKLAD	7405	38302	\N	\N	\N
851203	2901	1997-09-05	PRIJEM	VKLAD	7405	42148	\N	\N	\N
851204	2901	1997-10-05	PRIJEM	VKLAD	7405	46362	\N	\N	\N
851205	2901	1997-11-05	PRIJEM	VKLAD	7405	38291	\N	\N	\N
851206	2901	1997-12-05	PRIJEM	VKLAD	11108	42058	\N	\N	\N
851207	2901	1998-01-05	PRIJEM	VKLAD	7405	42457	\N	\N	\N
851208	2901	1998-02-05	PRIJEM	VKLAD	7405	45569	\N	\N	\N
851209	2901	1998-03-05	PRIJEM	VKLAD	7405	46793	\N	\N	\N
851210	2901	1998-04-05	PRIJEM	VKLAD	7405	52418	\N	\N	\N
851211	2901	1998-05-05	PRIJEM	VKLAD	7405	54337	\N	\N	\N
851212	2901	1998-06-05	PRIJEM	VKLAD	11108	61476	\N	\N	\N
851213	2901	1998-07-05	PRIJEM	VKLAD	7405	55209	\N	\N	\N
851214	2901	1998-08-05	PRIJEM	VKLAD	7405	53293	\N	\N	\N
851215	2901	1998-09-05	PRIJEM	VKLAD	7405	56366	\N	\N	\N
851216	2901	1998-10-05	PRIJEM	VKLAD	7405	59933	\N	\N	\N
851217	2901	1998-11-05	PRIJEM	VKLAD	7405	60832	\N	\N	\N
851218	2901	1998-12-05	PRIJEM	VKLAD	11108	64321	\N	\N	\N
851227	2901	1997-09-05	VYDAJ	PREVOD NA UCET	4936	37212	SIPO	MN	42160421
851228	2901	1997-10-05	VYDAJ	PREVOD NA UCET	4936	41426	SIPO	MN	42160421
851229	2901	1997-11-05	VYDAJ	PREVOD NA UCET	4936	33355	SIPO	MN	42160421
851230	2901	1997-12-05	VYDAJ	PREVOD NA UCET	4936	33622	SIPO	MN	42160421
851231	2901	1998-01-05	VYDAJ	PREVOD NA UCET	4936	37521	SIPO	MN	42160421
851232	2901	1998-02-05	VYDAJ	PREVOD NA UCET	4936	40633	SIPO	MN	42160421
851233	2901	1998-03-05	VYDAJ	PREVOD NA UCET	4936	41857	SIPO	MN	42160421
851234	2901	1998-04-05	VYDAJ	PREVOD NA UCET	4936	47482	SIPO	MN	42160421
851235	2901	1998-05-05	VYDAJ	PREVOD NA UCET	4936	49401	SIPO	MN	42160421
851236	2901	1998-06-05	VYDAJ	PREVOD NA UCET	4936	56540	SIPO	MN	42160421
851237	2901	1998-07-05	VYDAJ	PREVOD NA UCET	4936	50273	SIPO	MN	42160421
851238	2901	1998-08-05	VYDAJ	PREVOD NA UCET	4936	48357	SIPO	MN	42160421
851239	2901	1998-09-05	VYDAJ	PREVOD NA UCET	4936	51430	SIPO	MN	42160421
851240	2901	1998-10-05	VYDAJ	PREVOD NA UCET	4936	54997	SIPO	MN	42160421
851241	2901	1998-11-05	VYDAJ	PREVOD NA UCET	4936	55896	SIPO	MN	42160421
851242	2901	1998-12-05	VYDAJ	PREVOD NA UCET	4936	59385	SIPO	MN	42160421
851244	2901	1998-06-09	VYDAJ	VYBER	10720	45820	\N	\N	\N
851246	2901	1998-01-10	VYDAJ	VYBER	12160	25361	\N	\N	\N
851247	2901	1997-12-03	VYDAJ	VYBER	960	30950	\N	\N	\N
851248	2901	1998-12-12	VYDAJ	VYBER	4160	55225	\N	\N	\N
851249	2901	1997-12-11	VYDAJ	VYBER	600	33022	\N	\N	\N
851250	2901	1997-10-20	VYDAJ	VYBER	3840	28766	\N	\N	\N
851253	2901	1997-11-14	VYDAJ	VYBER	1560	31795	\N	\N	\N
851256	2901	1997-10-07	VYDAJ	VYBER	4920	32606	\N	\N	\N
851257	2901	1998-04-12	VYDAJ	VYBER	3720	43762	\N	\N	\N
851258	2901	1998-05-24	VYDAJ	VYBER	1320	48081	\N	\N	\N
851259	2901	1998-07-18	VYDAJ	VYBER	2880	47393	\N	\N	\N
851260	2901	1998-02-10	VYDAJ	VYBER	5280	35353	\N	\N	\N
851270	2901	1997-09-30	VYDAJ	VYBER	15	38957	SLUZBY	\N	\N
851271	2901	1997-10-31	VYDAJ	VYBER	15	28886	SLUZBY	\N	\N
851272	2901	1997-11-30	VYDAJ	VYBER	15	31910	SLUZBY	\N	\N
851273	2901	1997-12-31	VYDAJ	VYBER	15	33152	SLUZBY	\N	\N
851274	2901	1998-01-31	VYDAJ	VYBER	15	25464	SLUZBY	\N	\N
851275	2901	1998-02-28	VYDAJ	VYBER	15	35488	SLUZBY	\N	\N
851276	2901	1998-03-31	VYDAJ	VYBER	15	42013	SLUZBY	\N	\N
851277	2901	1998-04-30	VYDAJ	VYBER	15	43932	SLUZBY	\N	\N
851278	2901	1998-05-31	VYDAJ	VYBER	15	48268	SLUZBY	\N	\N
851279	2901	1998-06-30	VYDAJ	VYBER	15	46004	SLUZBY	\N	\N
851280	2901	1998-07-31	VYDAJ	VYBER	15	47588	SLUZBY	\N	\N
851281	2901	1998-08-31	VYDAJ	VYBER	15	48561	SLUZBY	\N	\N
851282	2901	1998-09-30	VYDAJ	VYBER	15	51628	SLUZBY	\N	\N
851283	2901	1998-10-31	VYDAJ	VYBER	15	55227	SLUZBY	\N	\N
851284	2901	1998-11-30	VYDAJ	VYBER	15	53213	SLUZBY	\N	\N
851285	2901	1997-05-09	PRIJEM	VKLAD	9300	17305	\N	\N	\N
851286	2901	1997-06-08	VYDAJ	VYBER	2000	26467	\N	\N	\N
851287	2901	1997-07-08	VYDAJ	VYBER	3200	30773	\N	\N	\N
851288	2901	1997-08-07	VYDAJ	VYBER	3700	34602	\N	\N	\N
851289	2901	1997-09-06	PRIJEM	VKLAD	1600	38812	\N	\N	\N
851290	2901	1997-10-06	VYDAJ	VYBER	3900	37526	\N	\N	\N
851291	2901	1997-11-05	PRIJEM	VKLAD	2000	30886	\N	\N	\N
851292	2901	1997-12-05	VYDAJ	VYBER	3500	38558	\N	\N	\N
851293	2901	1998-01-04	PRIJEM	VKLAD	1900	35052	\N	\N	\N
851294	2901	1998-02-03	PRIJEM	VKLAD	12700	38164	\N	\N	\N
851295	2901	1998-03-05	PRIJEM	VKLAD	3900	39388	\N	\N	\N
851296	2901	1998-04-04	PRIJEM	VKLAD	3000	45013	\N	\N	\N
851297	2901	1998-05-04	PRIJEM	VKLAD	3000	46932	\N	\N	\N
851298	2901	1998-06-03	PRIJEM	VKLAD	2100	50368	\N	\N	\N
851299	2901	1998-07-03	PRIJEM	VKLAD	1800	47804	\N	\N	\N
851300	2901	1998-08-02	VYDAJ	VYBER	1700	45888	\N	\N	\N
851301	2901	1998-09-01	PRIJEM	VKLAD	400	48961	\N	\N	\N
851302	2901	1998-10-01	PRIJEM	VKLAD	900	52528	\N	\N	\N
851303	2901	1998-10-31	VYDAJ	VYBER	1800	53427	\N	\N	\N
851304	2901	1998-11-30	VYDAJ	VYBER	2900	53227	\N	\N	\N
851325	2902	1993-01-28	PRIJEM	VKLAD	200	200	\N	\N	\N
851327	2902	1993-02-05	PRIJEM	VKLAD	20213	20413	\N	\N	\N
851328	2902	1993-03-05	PRIJEM	VKLAD	20213	44533	\N	\N	\N
851329	2902	1993-04-05	PRIJEM	VKLAD	20213	56152	\N	\N	\N
851330	2902	1993-05-05	PRIJEM	VKLAD	20213	60216	\N	\N	\N
851331	2902	1993-06-05	PRIJEM	VKLAD	30320	74805	\N	\N	\N
851332	2902	1993-07-05	PRIJEM	VKLAD	20213	42668	\N	\N	\N
851333	2902	1993-08-05	PRIJEM	VKLAD	20213	51120	\N	\N	\N
851334	2902	1993-09-05	PRIJEM	VKLAD	20213	50695	\N	\N	\N
851335	2902	1993-10-05	PRIJEM	VKLAD	20213	54376	\N	\N	\N
851336	2902	1993-11-05	PRIJEM	VKLAD	20213	57171	\N	\N	\N
851337	2902	1993-12-05	PRIJEM	VKLAD	30320	69084	\N	\N	\N
851338	2902	1994-01-05	PRIJEM	VKLAD	20213	59223	\N	\N	\N
851339	2902	1994-02-05	PRIJEM	VKLAD	20213	50909	\N	\N	\N
851340	2902	1994-03-05	PRIJEM	VKLAD	20213	56290	\N	\N	\N
851341	2902	1994-04-05	PRIJEM	VKLAD	20213	50687	\N	\N	\N
851342	2902	1994-05-05	PRIJEM	VKLAD	20213	53564	\N	\N	\N
851343	2902	1994-06-05	PRIJEM	VKLAD	30320	67360	\N	\N	\N
851344	2902	1994-07-05	PRIJEM	VKLAD	20213	52277	\N	\N	\N
851345	2902	1994-08-05	PRIJEM	VKLAD	20213	53255	\N	\N	\N
851346	2902	1994-09-05	PRIJEM	VKLAD	20213	58041	\N	\N	\N
851347	2902	1994-10-05	PRIJEM	VKLAD	20213	57339	\N	\N	\N
851348	2902	1994-11-05	PRIJEM	VKLAD	20213	55930	\N	\N	\N
851349	2902	1994-12-05	PRIJEM	VKLAD	30320	68228	\N	\N	\N
851350	2902	1995-01-05	PRIJEM	VKLAD	20213	58854	\N	\N	\N
851351	2902	1995-02-05	PRIJEM	VKLAD	20213	54739	\N	\N	\N
851352	2902	1995-03-05	PRIJEM	VKLAD	20213	56021	\N	\N	\N
851353	2902	1995-04-05	PRIJEM	VKLAD	20213	52404	\N	\N	\N
851354	2902	1995-05-05	PRIJEM	VKLAD	20213	53879	\N	\N	\N
851355	2902	1995-06-05	PRIJEM	VKLAD	30320	65264	\N	\N	\N
851356	2902	1995-07-05	PRIJEM	VKLAD	20213	54164	\N	\N	\N
851357	2902	1995-08-05	PRIJEM	VKLAD	20213	54638	\N	\N	\N
851358	2902	1995-09-05	PRIJEM	VKLAD	20213	54713	\N	\N	\N
851359	2902	1995-10-05	PRIJEM	VKLAD	20213	54486	\N	\N	\N
851360	2902	1995-11-05	PRIJEM	VKLAD	20213	53056	\N	\N	\N
851361	2902	1995-12-05	PRIJEM	VKLAD	30320	65733	\N	\N	\N
851362	2902	1996-01-05	PRIJEM	VKLAD	20213	55428	\N	\N	\N
851363	2902	1996-02-05	PRIJEM	VKLAD	20213	39972	\N	\N	\N
851364	2902	1996-03-05	PRIJEM	VKLAD	20213	44993	\N	\N	\N
851365	2902	1996-04-05	PRIJEM	VKLAD	20213	49833	\N	\N	\N
851366	2902	1996-05-05	PRIJEM	VKLAD	20213	51986	\N	\N	\N
851367	2902	1996-06-05	PRIJEM	VKLAD	30320	58942	\N	\N	\N
851368	2902	1996-07-05	PRIJEM	VKLAD	20213	42553	\N	\N	\N
851369	2902	1996-08-05	PRIJEM	VKLAD	20213	47688	\N	\N	\N
851370	2902	1996-09-05	PRIJEM	VKLAD	20213	48261	\N	\N	\N
851371	2902	1996-10-05	PRIJEM	VKLAD	20213	46291	\N	\N	\N
851372	2902	1996-11-05	PRIJEM	VKLAD	20213	42504	\N	\N	\N
851373	2902	1996-12-05	PRIJEM	VKLAD	30320	53422	\N	\N	\N
851374	2902	1997-01-05	PRIJEM	VKLAD	20213	45850	\N	\N	\N
851375	2902	1997-02-05	PRIJEM	VKLAD	20213	38461	\N	\N	\N
851376	2902	1997-03-05	PRIJEM	VKLAD	20213	42261	\N	\N	\N
851377	2902	1997-04-05	PRIJEM	VKLAD	20213	36748	\N	\N	\N
851378	2902	1997-05-05	PRIJEM	VKLAD	20213	39037	\N	\N	\N
851379	2902	1997-06-05	PRIJEM	VKLAD	30320	46025	\N	\N	\N
851380	2902	1997-07-05	PRIJEM	VKLAD	20213	40823	\N	\N	\N
851381	2902	1997-08-05	PRIJEM	VKLAD	20213	40319	\N	\N	\N
851382	2902	1997-09-05	PRIJEM	VKLAD	20213	35610	\N	\N	\N
851383	2902	1997-10-05	PRIJEM	VKLAD	20213	37836	\N	\N	\N
851384	2902	1997-11-05	PRIJEM	VKLAD	20213	35974	\N	\N	\N
851385	2902	1997-12-05	PRIJEM	VKLAD	30320	48114	\N	\N	\N
851386	2902	1998-01-05	PRIJEM	VKLAD	20213	43885	\N	\N	\N
851387	2902	1998-02-05	PRIJEM	VKLAD	20213	36011	\N	\N	\N
851388	2902	1998-03-05	PRIJEM	VKLAD	20213	41737	\N	\N	\N
851389	2902	1998-04-05	PRIJEM	VKLAD	20213	45389	\N	\N	\N
851390	2902	1998-05-05	PRIJEM	VKLAD	20213	45758	\N	\N	\N
851391	2902	1998-06-05	PRIJEM	VKLAD	30320	50637	\N	\N	\N
851392	2902	1998-07-05	PRIJEM	VKLAD	20213	38387	\N	\N	\N
851393	2902	1998-08-05	PRIJEM	VKLAD	20213	40128	\N	\N	\N
851394	2902	1998-09-05	PRIJEM	VKLAD	20213	37371	\N	\N	\N
851395	2902	1998-10-05	PRIJEM	VKLAD	20213	39396	\N	\N	\N
851396	2902	1998-11-05	PRIJEM	VKLAD	20213	40128	\N	\N	\N
851397	2902	1998-12-05	PRIJEM	VKLAD	30320	50269	\N	\N	\N
851403	2902	1993-06-05	VYDAJ	PREVOD NA UCET	825	73980	SIPO	QR	5844581
851404	2902	1993-07-05	VYDAJ	PREVOD NA UCET	825	41843	SIPO	QR	5844581
851405	2902	1993-08-05	VYDAJ	PREVOD NA UCET	825	50295	SIPO	QR	5844581
851406	2902	1993-09-05	VYDAJ	PREVOD NA UCET	825	49870	SIPO	QR	5844581
851407	2902	1993-10-05	VYDAJ	PREVOD NA UCET	825	53551	SIPO	QR	5844581
851408	2902	1993-11-05	VYDAJ	PREVOD NA UCET	825	56346	SIPO	QR	5844581
851409	2902	1993-12-05	VYDAJ	PREVOD NA UCET	825	68259	SIPO	QR	5844581
851410	2902	1994-01-05	VYDAJ	PREVOD NA UCET	825	56898	SIPO	QR	5844581
851411	2902	1994-02-05	VYDAJ	PREVOD NA UCET	825	50084	SIPO	QR	5844581
851412	2902	1994-03-05	VYDAJ	PREVOD NA UCET	825	55465	SIPO	QR	5844581
851413	2902	1994-04-05	VYDAJ	PREVOD NA UCET	825	49862	SIPO	QR	5844581
851414	2902	1994-05-05	VYDAJ	PREVOD NA UCET	825	52739	SIPO	QR	5844581
851415	2902	1994-06-05	VYDAJ	PREVOD NA UCET	825	66535	SIPO	QR	5844581
851416	2902	1994-07-05	VYDAJ	PREVOD NA UCET	825	51452	SIPO	QR	5844581
851417	2902	1994-08-05	VYDAJ	PREVOD NA UCET	825	52430	SIPO	QR	5844581
851418	2902	1994-09-05	VYDAJ	PREVOD NA UCET	825	57216	SIPO	QR	5844581
851419	2902	1994-10-05	VYDAJ	PREVOD NA UCET	825	56514	SIPO	QR	5844581
851420	2902	1994-11-05	VYDAJ	PREVOD NA UCET	825	55105	SIPO	QR	5844581
851421	2902	1994-12-05	VYDAJ	PREVOD NA UCET	825	67403	SIPO	QR	5844581
851422	2902	1995-01-05	VYDAJ	PREVOD NA UCET	825	58029	SIPO	QR	5844581
851423	2902	1995-02-05	VYDAJ	PREVOD NA UCET	825	53914	SIPO	QR	5844581
851424	2902	1995-03-05	VYDAJ	PREVOD NA UCET	825	55196	SIPO	QR	5844581
851425	2902	1995-04-05	VYDAJ	PREVOD NA UCET	825	51579	SIPO	QR	5844581
851426	2902	1995-05-05	VYDAJ	PREVOD NA UCET	825	53054	SIPO	QR	5844581
851427	2902	1995-06-05	VYDAJ	PREVOD NA UCET	825	64439	SIPO	QR	5844581
851428	2902	1995-07-05	VYDAJ	PREVOD NA UCET	825	53339	SIPO	QR	5844581
851429	2902	1995-08-05	VYDAJ	PREVOD NA UCET	825	53813	SIPO	QR	5844581
851430	2902	1995-09-05	VYDAJ	PREVOD NA UCET	825	53888	SIPO	QR	5844581
851431	2902	1995-10-05	VYDAJ	PREVOD NA UCET	825	53661	SIPO	QR	5844581
851432	2902	1995-11-05	VYDAJ	PREVOD NA UCET	825	52231	SIPO	QR	5844581
851433	2902	1995-12-05	VYDAJ	PREVOD NA UCET	825	64908	SIPO	QR	5844581
851434	2902	1996-01-05	VYDAJ	PREVOD NA UCET	825	54603	SIPO	QR	5844581
851435	2902	1996-02-05	VYDAJ	PREVOD NA UCET	825	39147	SIPO	QR	5844581
851436	2902	1996-03-05	VYDAJ	PREVOD NA UCET	825	44168	SIPO	QR	5844581
851437	2902	1996-04-05	VYDAJ	PREVOD NA UCET	825	49008	SIPO	QR	5844581
851438	2902	1996-05-05	VYDAJ	PREVOD NA UCET	825	51161	SIPO	QR	5844581
851439	2902	1996-06-05	VYDAJ	PREVOD NA UCET	825	58117	SIPO	QR	5844581
851440	2902	1996-07-05	VYDAJ	PREVOD NA UCET	825	41728	SIPO	QR	5844581
851441	2902	1996-08-05	VYDAJ	PREVOD NA UCET	825	46863	SIPO	QR	5844581
851442	2902	1996-09-05	VYDAJ	PREVOD NA UCET	825	47436	SIPO	QR	5844581
851443	2902	1996-10-05	VYDAJ	PREVOD NA UCET	825	45466	SIPO	QR	5844581
851444	2902	1996-11-05	VYDAJ	PREVOD NA UCET	825	41679	SIPO	QR	5844581
851445	2902	1996-12-05	VYDAJ	PREVOD NA UCET	825	52597	SIPO	QR	5844581
851446	2902	1997-01-05	VYDAJ	PREVOD NA UCET	825	45025	SIPO	QR	5844581
851447	2902	1997-02-05	VYDAJ	PREVOD NA UCET	825	37636	SIPO	QR	5844581
851448	2902	1997-03-05	VYDAJ	PREVOD NA UCET	825	41436	SIPO	QR	5844581
851449	2902	1997-04-05	VYDAJ	PREVOD NA UCET	825	35923	SIPO	QR	5844581
851450	2902	1997-05-05	VYDAJ	PREVOD NA UCET	825	38212	SIPO	QR	5844581
851451	2902	1997-06-05	VYDAJ	PREVOD NA UCET	825	45200	SIPO	QR	5844581
851452	2902	1997-07-05	VYDAJ	PREVOD NA UCET	825	39998	SIPO	QR	5844581
851453	2902	1997-08-05	VYDAJ	PREVOD NA UCET	825	25494	SIPO	QR	5844581
851454	2902	1997-09-05	VYDAJ	PREVOD NA UCET	825	34785	SIPO	QR	5844581
851455	2902	1997-10-05	VYDAJ	PREVOD NA UCET	825	37011	SIPO	QR	5844581
851456	2902	1997-11-05	VYDAJ	PREVOD NA UCET	825	35149	SIPO	QR	5844581
851457	2902	1997-12-05	VYDAJ	PREVOD NA UCET	825	47289	SIPO	QR	5844581
851458	2902	1998-01-05	VYDAJ	PREVOD NA UCET	825	43060	SIPO	QR	5844581
851459	2902	1998-02-05	VYDAJ	PREVOD NA UCET	825	35186	SIPO	QR	5844581
851460	2902	1998-03-05	VYDAJ	PREVOD NA UCET	825	40912	SIPO	QR	5844581
851461	2902	1998-04-05	VYDAJ	PREVOD NA UCET	825	44564	SIPO	QR	5844581
851462	2902	1998-05-05	VYDAJ	PREVOD NA UCET	825	44933	SIPO	QR	5844581
851463	2902	1998-06-05	VYDAJ	PREVOD NA UCET	825	49812	SIPO	QR	5844581
851464	2902	1998-07-05	VYDAJ	PREVOD NA UCET	825	37562	SIPO	QR	5844581
851465	2902	1998-08-05	VYDAJ	PREVOD NA UCET	825	39303	SIPO	QR	5844581
851466	2902	1998-09-05	VYDAJ	PREVOD NA UCET	825	36546	SIPO	QR	5844581
851467	2902	1998-10-05	VYDAJ	PREVOD NA UCET	825	38571	SIPO	QR	5844581
851468	2902	1998-11-05	VYDAJ	PREVOD NA UCET	825	39303	SIPO	QR	5844581
851469	2902	1998-12-05	VYDAJ	PREVOD NA UCET	825	49444	SIPO	QR	5844581
851475	2902	1993-06-10	VYDAJ	PREVOD NA UCET	5465	68515	 	ST	44056862
851476	2902	1993-07-10	VYDAJ	PREVOD NA UCET	5465	36378	 	ST	44056862
851477	2902	1993-08-10	VYDAJ	PREVOD NA UCET	5465	44830	 	ST	44056862
851478	2902	1993-09-10	VYDAJ	PREVOD NA UCET	5465	44405	 	ST	44056862
851479	2902	1993-10-10	VYDAJ	PREVOD NA UCET	5465	48086	 	ST	44056862
851480	2902	1993-11-10	VYDAJ	PREVOD NA UCET	5465	50881	 	ST	44056862
851481	2902	1993-12-10	VYDAJ	PREVOD NA UCET	5465	62794	 	ST	44056862
851482	2902	1994-01-10	VYDAJ	PREVOD NA UCET	5465	49933	 	ST	44056862
851483	2902	1994-02-10	VYDAJ	PREVOD NA UCET	5465	44619	 	ST	44056862
851484	2902	1994-03-10	VYDAJ	PREVOD NA UCET	5465	50000	 	ST	44056862
851485	2902	1994-04-10	VYDAJ	PREVOD NA UCET	5465	44397	 	ST	44056862
851486	2902	1994-05-10	VYDAJ	PREVOD NA UCET	5465	47274	 	ST	44056862
851487	2902	1994-06-10	VYDAJ	PREVOD NA UCET	5465	61070	 	ST	44056862
851488	2902	1994-07-10	VYDAJ	PREVOD NA UCET	5465	45987	 	ST	44056862
851489	2902	1994-08-10	VYDAJ	PREVOD NA UCET	5465	46965	 	ST	44056862
851490	2902	1994-09-10	VYDAJ	PREVOD NA UCET	5465	51751	 	ST	44056862
851491	2902	1994-10-10	VYDAJ	PREVOD NA UCET	5465	51049	 	ST	44056862
851492	2902	1994-11-10	VYDAJ	PREVOD NA UCET	5465	49640	 	ST	44056862
851493	2902	1994-12-10	VYDAJ	PREVOD NA UCET	5465	61938	 	ST	44056862
851494	2902	1995-01-10	VYDAJ	PREVOD NA UCET	5465	50964	 	ST	44056862
851495	2902	1995-02-10	VYDAJ	PREVOD NA UCET	5465	47449	 	ST	44056862
851496	2902	1995-03-10	VYDAJ	PREVOD NA UCET	5465	49731	 	ST	44056862
851497	2902	1995-04-10	VYDAJ	PREVOD NA UCET	5465	46114	 	ST	44056862
851498	2902	1995-05-10	VYDAJ	PREVOD NA UCET	5465	47589	 	ST	44056862
851499	2902	1995-06-10	VYDAJ	PREVOD NA UCET	5465	58974	 	ST	44056862
851500	2902	1995-07-10	VYDAJ	PREVOD NA UCET	5465	47874	 	ST	44056862
851501	2902	1995-08-10	VYDAJ	PREVOD NA UCET	5465	48348	 	ST	44056862
851502	2902	1995-09-10	VYDAJ	PREVOD NA UCET	5465	48423	 	ST	44056862
851503	2902	1995-10-10	VYDAJ	PREVOD NA UCET	5465	48196	 	ST	44056862
851504	2902	1995-11-10	VYDAJ	PREVOD NA UCET	5465	46766	 	ST	44056862
851505	2902	1995-12-10	VYDAJ	PREVOD NA UCET	5465	59443	 	ST	44056862
851506	2902	1996-01-10	VYDAJ	PREVOD NA UCET	5465	47238	 	ST	44056862
851507	2902	1996-02-10	VYDAJ	PREVOD NA UCET	5465	33682	 	ST	44056862
851508	2902	1996-03-10	VYDAJ	PREVOD NA UCET	5465	38703	 	ST	44056862
851509	2902	1996-04-10	VYDAJ	PREVOD NA UCET	5465	43543	 	ST	44056862
851510	2902	1996-05-10	VYDAJ	PREVOD NA UCET	5465	45696	 	ST	44056862
851511	2902	1996-06-10	VYDAJ	PREVOD NA UCET	5465	22752	 	ST	44056862
851512	2902	1996-07-10	VYDAJ	PREVOD NA UCET	5465	36263	 	ST	44056862
851513	2902	1996-08-10	VYDAJ	PREVOD NA UCET	5465	41398	 	ST	44056862
851514	2902	1996-09-10	VYDAJ	PREVOD NA UCET	5465	27371	 	ST	44056862
851515	2902	1996-10-10	VYDAJ	PREVOD NA UCET	5465	22201	 	ST	44056862
851516	2902	1996-11-10	VYDAJ	PREVOD NA UCET	5465	23014	 	ST	44056862
851517	2902	1996-12-10	VYDAJ	PREVOD NA UCET	5465	27032	 	ST	44056862
851518	2902	1997-01-10	VYDAJ	PREVOD NA UCET	5465	26960	 	ST	44056862
851519	2902	1997-02-10	VYDAJ	PREVOD NA UCET	5465	21971	 	ST	44056862
851520	2902	1997-03-10	VYDAJ	PREVOD NA UCET	5465	16471	 	ST	44056862
851521	2902	1997-04-10	VYDAJ	PREVOD NA UCET	5465	18758	 	ST	44056862
851522	2902	1997-05-10	VYDAJ	PREVOD NA UCET	5465	15647	 	ST	44056862
851523	2902	1997-06-10	VYDAJ	PREVOD NA UCET	5465	24635	 	ST	44056862
851524	2902	1997-07-10	VYDAJ	PREVOD NA UCET	5465	23233	 	ST	44056862
851525	2902	1997-08-10	VYDAJ	PREVOD NA UCET	5465	20029	 	ST	44056862
851526	2902	1997-09-10	VYDAJ	PREVOD NA UCET	5465	29320	 	ST	44056862
851527	2902	1997-10-10	VYDAJ	PREVOD NA UCET	5465	31546	 	ST	44056862
851528	2902	1997-11-10	VYDAJ	PREVOD NA UCET	5465	29684	 	ST	44056862
851529	2902	1997-12-10	VYDAJ	PREVOD NA UCET	5465	40424	 	ST	44056862
851530	2902	1998-01-10	VYDAJ	PREVOD NA UCET	5465	31395	 	ST	44056862
851531	2902	1998-02-10	VYDAJ	PREVOD NA UCET	5465	29721	 	ST	44056862
851532	2902	1998-03-10	VYDAJ	PREVOD NA UCET	5465	35447	 	ST	44056862
851533	2902	1998-04-10	VYDAJ	PREVOD NA UCET	5465	39099	 	ST	44056862
851534	2902	1998-05-10	VYDAJ	PREVOD NA UCET	5465	39468	 	ST	44056862
851535	2902	1998-06-10	VYDAJ	PREVOD NA UCET	5465	44347	 	ST	44056862
851536	2902	1998-07-10	VYDAJ	PREVOD NA UCET	5465	32097	 	ST	44056862
851537	2902	1998-08-10	VYDAJ	PREVOD NA UCET	5465	33838	 	ST	44056862
851538	2902	1998-09-10	VYDAJ	PREVOD NA UCET	5465	31081	 	ST	44056862
851539	2902	1998-10-10	VYDAJ	PREVOD NA UCET	5465	33106	 	ST	44056862
851540	2902	1998-11-10	VYDAJ	PREVOD NA UCET	5465	33838	 	ST	44056862
851541	2902	1998-12-10	VYDAJ	PREVOD NA UCET	5465	43979	 	ST	44056862
851542	2902	1993-06-29	VYDAJ	VYBER	23700	22215	\N	\N	\N
851543	2902	1994-06-22	VYDAJ	VYBER	18900	31870	\N	\N	\N
851544	2902	1995-06-23	VYDAJ	VYBER	5500	33774	\N	\N	\N
851545	2902	1996-06-06	VYDAJ	VYBER	29900	28217	\N	\N	\N
851546	2902	1997-06-11	VYDAJ	VYBER	4100	20535	\N	\N	\N
851547	2902	1998-06-12	VYDAJ	VYBER	11700	32647	\N	\N	\N
851549	2902	1994-01-16	VYDAJ	VYBER	4300	44633	\N	\N	\N
851550	2902	1995-01-16	VYDAJ	VYBER	3600	44964	\N	\N	\N
851551	2902	1996-01-17	VYDAJ	VYBER	6900	26038	\N	\N	\N
851553	2902	1998-01-23	VYDAJ	VYBER	9600	18695	\N	\N	\N
851554	2902	1993-12-02	VYDAJ	VYBER	1500	38764	\N	\N	\N
851555	2902	1994-12-28	VYDAJ	VYBER	1300	42638	\N	\N	\N
851556	2902	1995-12-24	VYDAJ	VYBER	900	37843	\N	\N	\N
851557	2902	1996-12-10	VYDAJ	VYBER	1500	25532	\N	\N	\N
851558	2902	1997-12-07	VYDAJ	VYBER	1400	45889	\N	\N	\N
851559	2902	1998-12-25	VYDAJ	VYBER	1000	41479	\N	\N	\N
851566	2902	1994-01-06	VYDAJ	VYBER	1500	55398	\N	\N	\N
851567	2902	1994-01-02	VYDAJ	VYBER	700	39010	\N	\N	\N
851568	2902	1994-01-05	VYDAJ	VYBER	1500	57723	\N	\N	\N
851569	2902	1994-01-26	VYDAJ	VYBER	1400	30533	\N	\N	\N
851570	2902	1994-01-20	VYDAJ	VYBER	1400	43233	\N	\N	\N
851571	2902	1994-01-12	VYDAJ	VYBER	1000	48933	\N	\N	\N
851572	2902	1995-01-15	VYDAJ	VYBER	2400	48564	\N	\N	\N
851573	2902	1995-01-18	VYDAJ	VYBER	2100	42864	\N	\N	\N
851574	2902	1995-01-03	VYDAJ	VYBER	2400	38641	\N	\N	\N
851575	2902	1995-01-03	VYDAJ	VYBER	1800	41041	\N	\N	\N
851576	2902	1995-01-06	VYDAJ	VYBER	1000	57029	\N	\N	\N
851577	2902	1995-01-08	VYDAJ	VYBER	600	56429	\N	\N	\N
851578	2902	1996-01-12	VYDAJ	VYBER	2500	44738	\N	\N	\N
851579	2902	1996-01-17	VYDAJ	VYBER	2300	23738	\N	\N	\N
851580	2902	1996-01-04	VYDAJ	VYBER	2800	35215	\N	\N	\N
851581	2902	1996-01-06	VYDAJ	VYBER	1900	52703	\N	\N	\N
851582	2902	1996-01-28	VYDAJ	VYBER	2700	19638	\N	\N	\N
851583	2902	1996-01-23	VYDAJ	VYBER	1400	22338	\N	\N	\N
851584	2902	1997-01-22	VYDAJ	VYBER	2000	18960	\N	\N	\N
851585	2902	1997-01-17	VYDAJ	VYBER	1400	25560	\N	\N	\N
851586	2902	1997-01-25	VYDAJ	VYBER	800	18160	\N	\N	\N
851587	2902	1997-01-20	VYDAJ	VYBER	1100	21760	\N	\N	\N
851588	2902	1997-01-18	VYDAJ	VYBER	2700	22860	\N	\N	\N
851589	2902	1997-01-22	VYDAJ	VYBER	800	20960	\N	\N	\N
851591	2902	1998-01-21	VYDAJ	VYBER	600	28295	\N	\N	\N
851594	2902	1998-01-08	VYDAJ	VYBER	2700	36860	\N	\N	\N
851595	2902	1998-01-11	VYDAJ	VYBER	2500	28895	\N	\N	\N
851596	2902	1993-06-14	VYDAJ	VYBER	1400	67115	\N	\N	\N
851597	2902	1993-08-28	VYDAJ	VYBER	2000	30330	\N	\N	\N
851599	2902	1993-08-16	VYDAJ	VYBER	4100	40730	\N	\N	\N
851600	2902	1993-12-29	VYDAJ	VYBER	3400	39494	\N	\N	\N
851601	2902	1994-03-28	VYDAJ	VYBER	4000	33000	\N	\N	\N
851602	2902	1994-03-30	VYDAJ	VYBER	2700	30300	\N	\N	\N
851603	2902	1995-10-17	VYDAJ	VYBER	1900	32696	\N	\N	\N
851604	2902	1995-02-08	VYDAJ	VYBER	1000	52914	\N	\N	\N
851605	2902	1995-04-23	VYDAJ	VYBER	1400	33514	\N	\N	\N
851606	2902	1995-07-12	VYDAJ	VYBER	3100	44774	\N	\N	\N
851607	2902	1995-03-28	VYDAJ	VYBER	2400	32031	\N	\N	\N
851608	2902	1996-07-31	VYDAJ	VYBER	2100	27475	\N	\N	\N
851609	2902	1996-05-22	VYDAJ	VYBER	1700	28496	\N	\N	\N
851610	2902	1996-09-16	VYDAJ	VYBER	1400	25971	\N	\N	\N
851611	2902	1997-07-10	VYDAJ	VYBER	3200	20033	\N	\N	\N
851613	2902	1997-05-09	VYDAJ	VYBER	3000	21112	\N	\N	\N
851614	2902	1997-03-09	VYDAJ	VYBER	500	21936	\N	\N	\N
851617	2902	1997-03-06	VYDAJ	VYBER	4400	37036	\N	\N	\N
851618	2902	1998-06-02	VYDAJ	VYBER	3200	20317	\N	\N	\N
851619	2902	1998-12-17	VYDAJ	VYBER	1500	42479	\N	\N	\N
851620	2902	1998-01-07	VYDAJ	VYBER	3500	39560	\N	\N	\N
851621	2902	1998-06-01	VYDAJ	VYBER	2000	37617	\N	\N	\N
851628	2902	1993-06-30	VYDAJ	VYBER	15	22455	SLUZBY	\N	\N
851629	2902	1993-07-31	VYDAJ	VYBER	15	30907	SLUZBY	\N	\N
851630	2902	1993-08-31	VYDAJ	VYBER	15	30482	SLUZBY	\N	\N
851631	2902	1993-09-30	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
851632	2902	1993-10-31	VYDAJ	VYBER	15	36958	SLUZBY	\N	\N
851633	2902	1993-11-30	VYDAJ	VYBER	15	40264	SLUZBY	\N	\N
851634	2902	1993-12-31	VYDAJ	VYBER	15	39710	SLUZBY	\N	\N
851635	2902	1994-01-31	VYDAJ	VYBER	15	30696	SLUZBY	\N	\N
851636	2902	1994-02-28	VYDAJ	VYBER	15	36077	SLUZBY	\N	\N
851637	2902	1994-03-31	VYDAJ	VYBER	15	30474	SLUZBY	\N	\N
851638	2902	1994-04-30	VYDAJ	VYBER	15	33351	SLUZBY	\N	\N
851639	2902	1994-05-31	VYDAJ	VYBER	15	37040	SLUZBY	\N	\N
851640	2902	1994-06-30	VYDAJ	VYBER	15	32064	SLUZBY	\N	\N
851641	2902	1994-07-31	VYDAJ	VYBER	15	33042	SLUZBY	\N	\N
851642	2902	1994-08-31	VYDAJ	VYBER	15	37828	SLUZBY	\N	\N
851643	2902	1994-09-30	VYDAJ	VYBER	15	37126	SLUZBY	\N	\N
851644	2902	1994-10-31	VYDAJ	VYBER	15	35717	SLUZBY	\N	\N
851645	2902	1994-11-30	VYDAJ	VYBER	15	37908	SLUZBY	\N	\N
851646	2902	1994-12-31	VYDAJ	VYBER	15	42841	SLUZBY	\N	\N
851647	2902	1995-01-31	VYDAJ	VYBER	15	34526	SLUZBY	\N	\N
851648	2902	1995-02-28	VYDAJ	VYBER	15	35808	SLUZBY	\N	\N
851649	2902	1995-03-31	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
851650	2902	1995-04-30	VYDAJ	VYBER	15	33666	SLUZBY	\N	\N
851651	2902	1995-05-31	VYDAJ	VYBER	15	34944	SLUZBY	\N	\N
851652	2902	1995-06-30	VYDAJ	VYBER	15	33951	SLUZBY	\N	\N
851653	2902	1995-07-31	VYDAJ	VYBER	15	34425	SLUZBY	\N	\N
851654	2902	1995-08-31	VYDAJ	VYBER	15	34500	SLUZBY	\N	\N
851655	2902	1995-09-30	VYDAJ	VYBER	15	34273	SLUZBY	\N	\N
851656	2902	1995-10-31	VYDAJ	VYBER	15	32843	SLUZBY	\N	\N
851657	2902	1995-11-30	VYDAJ	VYBER	15	35413	SLUZBY	\N	\N
851658	2902	1995-12-31	VYDAJ	VYBER	15	38015	SLUZBY	\N	\N
851659	2902	1996-01-31	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
851660	2902	1996-02-29	VYDAJ	VYBER	15	24780	SLUZBY	\N	\N
851661	2902	1996-03-31	VYDAJ	VYBER	15	29620	SLUZBY	\N	\N
851662	2902	1996-04-30	VYDAJ	VYBER	15	31773	SLUZBY	\N	\N
851663	2902	1996-05-31	VYDAJ	VYBER	15	28622	SLUZBY	\N	\N
851664	2902	1996-06-30	VYDAJ	VYBER	15	22340	SLUZBY	\N	\N
851665	2902	1996-07-31	VYDAJ	VYBER	15	29575	SLUZBY	\N	\N
851666	2902	1996-08-31	VYDAJ	VYBER	15	28048	SLUZBY	\N	\N
851667	2902	1996-09-30	VYDAJ	VYBER	15	26078	SLUZBY	\N	\N
851668	2902	1996-10-31	VYDAJ	VYBER	15	22291	SLUZBY	\N	\N
851669	2902	1996-11-30	VYDAJ	VYBER	15	23102	SLUZBY	\N	\N
851670	2902	1996-12-31	VYDAJ	VYBER	15	25637	SLUZBY	\N	\N
851671	2902	1997-01-31	VYDAJ	VYBER	15	18248	SLUZBY	\N	\N
851672	2902	1997-02-28	VYDAJ	VYBER	15	22048	SLUZBY	\N	\N
851673	2902	1997-03-31	VYDAJ	VYBER	15	16535	SLUZBY	\N	\N
851674	2902	1997-04-30	VYDAJ	VYBER	15	18824	SLUZBY	\N	\N
851675	2902	1997-05-31	VYDAJ	VYBER	15	15705	SLUZBY	\N	\N
851676	2902	1997-06-30	VYDAJ	VYBER	15	20610	SLUZBY	\N	\N
851677	2902	1997-07-31	VYDAJ	VYBER	15	20106	SLUZBY	\N	\N
851678	2902	1997-08-31	VYDAJ	VYBER	15	20097	SLUZBY	\N	\N
851679	2902	1997-09-30	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
851680	2902	1997-10-31	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
851681	2902	1997-11-30	VYDAJ	VYBER	15	29794	SLUZBY	\N	\N
851682	2902	1997-12-31	VYDAJ	VYBER	15	40572	SLUZBY	\N	\N
851683	2902	1998-01-31	VYDAJ	VYBER	15	18798	SLUZBY	\N	\N
851684	2902	1998-02-28	VYDAJ	VYBER	15	29824	SLUZBY	\N	\N
851685	2902	1998-03-31	VYDAJ	VYBER	15	35576	SLUZBY	\N	\N
851686	2902	1998-04-30	VYDAJ	VYBER	15	39245	SLUZBY	\N	\N
851687	2902	1998-05-31	VYDAJ	VYBER	15	39617	SLUZBY	\N	\N
851688	2902	1998-06-30	VYDAJ	VYBER	15	32774	SLUZBY	\N	\N
851689	2902	1998-07-31	VYDAJ	VYBER	15	32215	SLUZBY	\N	\N
851690	2902	1998-08-31	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
851691	2902	1998-09-30	VYDAJ	VYBER	15	19183	SLUZBY	\N	\N
851692	2902	1998-10-31	VYDAJ	VYBER	15	19915	SLUZBY	\N	\N
851693	2902	1998-11-30	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
851694	2902	1993-02-27	PRIJEM	VKLAD	3900	24313	\N	\N	\N
851695	2902	1993-03-29	VYDAJ	VYBER	8700	35833	\N	\N	\N
851696	2902	1993-04-28	VYDAJ	VYBER	16300	39852	\N	\N	\N
851697	2902	1993-05-28	VYDAJ	VYBER	15900	44316	\N	\N	\N
851698	2902	1993-06-27	VYDAJ	VYBER	21200	45915	\N	\N	\N
851699	2902	1993-07-27	VYDAJ	VYBER	5600	30778	\N	\N	\N
851700	2902	1993-08-26	VYDAJ	VYBER	8400	32330	\N	\N	\N
851701	2902	1993-09-25	VYDAJ	VYBER	10400	34005	\N	\N	\N
851702	2902	1993-10-25	VYDAJ	VYBER	11300	36786	\N	\N	\N
851703	2902	1993-11-24	VYDAJ	VYBER	10800	40081	\N	\N	\N
851704	2902	1993-12-24	VYDAJ	VYBER	19900	42894	\N	\N	\N
851705	2902	1994-01-23	VYDAJ	VYBER	11300	31933	\N	\N	\N
851706	2902	1994-02-22	VYDAJ	VYBER	8700	35919	\N	\N	\N
851707	2902	1994-03-24	VYDAJ	VYBER	13000	37000	\N	\N	\N
851708	2902	1994-04-23	VYDAJ	VYBER	11200	33197	\N	\N	\N
851709	2902	1994-05-23	VYDAJ	VYBER	10400	36874	\N	\N	\N
851710	2902	1994-06-22	VYDAJ	VYBER	10300	50770	\N	\N	\N
851711	2902	1994-07-22	VYDAJ	VYBER	13100	32887	\N	\N	\N
851712	2902	1994-08-21	VYDAJ	VYBER	9300	37665	\N	\N	\N
851713	2902	1994-09-20	VYDAJ	VYBER	14800	36951	\N	\N	\N
851714	2902	1994-10-20	VYDAJ	VYBER	15500	35549	\N	\N	\N
851715	2902	1994-11-19	VYDAJ	VYBER	11900	37740	\N	\N	\N
851716	2902	1994-12-19	VYDAJ	VYBER	18000	43938	\N	\N	\N
851717	2902	1995-01-18	VYDAJ	VYBER	8500	34364	\N	\N	\N
851718	2902	1995-02-17	VYDAJ	VYBER	11800	35649	\N	\N	\N
851719	2902	1995-03-19	VYDAJ	VYBER	15300	34431	\N	\N	\N
851720	2902	1995-04-18	VYDAJ	VYBER	11200	34914	\N	\N	\N
851721	2902	1995-05-18	VYDAJ	VYBER	12800	34789	\N	\N	\N
851722	2902	1995-06-17	VYDAJ	VYBER	19700	39274	\N	\N	\N
851723	2902	1995-07-17	VYDAJ	VYBER	10500	34274	\N	\N	\N
851724	2902	1995-08-16	VYDAJ	VYBER	14000	34348	\N	\N	\N
851725	2902	1995-09-15	VYDAJ	VYBER	14300	34123	\N	\N	\N
851726	2902	1995-10-15	VYDAJ	VYBER	13600	34596	\N	\N	\N
851727	2902	1995-11-14	VYDAJ	VYBER	11500	35266	\N	\N	\N
851728	2902	1995-12-14	VYDAJ	VYBER	20700	38743	\N	\N	\N
851729	2902	1996-01-13	VYDAJ	VYBER	11800	32938	\N	\N	\N
851730	2902	1996-02-12	VYDAJ	VYBER	9000	24682	\N	\N	\N
851731	2902	1996-03-13	VYDAJ	VYBER	9200	29503	\N	\N	\N
851732	2902	1996-04-12	VYDAJ	VYBER	11900	31643	\N	\N	\N
851733	2902	1996-05-12	VYDAJ	VYBER	15500	30196	\N	\N	\N
851734	2902	1996-06-11	VYDAJ	VYBER	500	22252	\N	\N	\N
851735	2902	1996-07-11	VYDAJ	VYBER	6800	29463	\N	\N	\N
851736	2902	1996-08-10	VYDAJ	VYBER	13500	27898	\N	\N	\N
851737	2902	1996-09-09	VYDAJ	VYBER	14600	32836	\N	\N	\N
851738	2902	1996-10-09	VYDAJ	VYBER	17800	27666	\N	\N	\N
851739	2902	1996-11-08	VYDAJ	VYBER	13200	28479	\N	\N	\N
851740	2902	1996-12-08	VYDAJ	VYBER	20100	32497	\N	\N	\N
851741	2902	1997-01-07	VYDAJ	VYBER	12600	32425	\N	\N	\N
851742	2902	1997-02-06	VYDAJ	VYBER	10200	27436	\N	\N	\N
851743	2902	1997-03-08	VYDAJ	VYBER	14600	22436	\N	\N	\N
851744	2902	1997-04-07	VYDAJ	VYBER	11700	24223	\N	\N	\N
851745	2902	1997-05-07	VYDAJ	VYBER	14100	24112	\N	\N	\N
851746	2902	1997-06-06	VYDAJ	VYBER	15100	30100	\N	\N	\N
851747	2902	1997-07-06	VYDAJ	VYBER	11300	28698	\N	\N	\N
851748	2902	1997-08-05	VYDAJ	VYBER	14000	26319	\N	\N	\N
851749	2902	1997-09-04	VYDAJ	VYBER	4700	15397	\N	\N	\N
851750	2902	1997-10-04	VYDAJ	VYBER	11800	17623	\N	\N	\N
851751	2902	1997-11-03	VYDAJ	VYBER	15900	15761	\N	\N	\N
851752	2902	1997-12-03	VYDAJ	VYBER	12000	17794	\N	\N	\N
851753	2902	1998-01-02	VYDAJ	VYBER	16900	23672	\N	\N	\N
851754	2902	1998-02-01	VYDAJ	VYBER	3000	15798	\N	\N	\N
851755	2902	1998-03-03	VYDAJ	VYBER	8300	21524	\N	\N	\N
851756	2902	1998-04-02	VYDAJ	VYBER	10400	25176	\N	\N	\N
851757	2902	1998-05-02	VYDAJ	VYBER	13700	25545	\N	\N	\N
851758	2902	1998-06-01	VYDAJ	VYBER	14100	23517	\N	\N	\N
851759	2902	1998-07-01	VYDAJ	VYBER	14600	18174	\N	\N	\N
851760	2902	1998-07-31	VYDAJ	VYBER	12300	19915	\N	\N	\N
851761	2902	1998-08-30	VYDAJ	VYBER	16800	17038	\N	\N	\N
851762	2902	1998-09-29	VYDAJ	VYBER	12000	19081	\N	\N	\N
851763	2902	1998-10-29	VYDAJ	VYBER	13300	19806	\N	\N	\N
851764	2902	1998-11-28	VYDAJ	VYBER	14000	19838	\N	\N	\N
851836	2903	1994-05-19	PRIJEM	VKLAD	300	300	\N	\N	\N
851842	2903	1994-06-09	PRIJEM	VKLAD	33170	33470	\N	\N	\N
851843	2903	1994-07-09	PRIJEM	VKLAD	22113	49833	\N	\N	\N
851844	2903	1994-08-09	PRIJEM	VKLAD	22113	60080	\N	\N	\N
851845	2903	1994-09-09	PRIJEM	VKLAD	22113	62255	\N	\N	\N
851846	2903	1994-10-09	PRIJEM	VKLAD	22113	65442	\N	\N	\N
851847	2903	1994-11-09	PRIJEM	VKLAD	22113	60400	\N	\N	\N
851848	2903	1994-12-09	PRIJEM	VKLAD	33170	61899	\N	\N	\N
851849	2903	1995-01-09	PRIJEM	VKLAD	22113	59764	\N	\N	\N
851850	2903	1995-02-09	PRIJEM	VKLAD	22113	47228	\N	\N	\N
851851	2903	1995-03-09	PRIJEM	VKLAD	22113	46265	\N	\N	\N
851852	2903	1995-04-09	PRIJEM	VKLAD	22113	46426	\N	\N	\N
851853	2903	1995-05-09	PRIJEM	VKLAD	22113	48847	\N	\N	\N
851854	2903	1995-06-09	PRIJEM	VKLAD	33170	61233	\N	\N	\N
851855	2903	1995-07-09	PRIJEM	VKLAD	22113	40601	\N	\N	\N
851856	2903	1995-08-09	PRIJEM	VKLAD	22113	44600	\N	\N	\N
851857	2903	1995-09-09	PRIJEM	VKLAD	22113	47111	\N	\N	\N
851858	2903	1995-10-09	PRIJEM	VKLAD	22113	48628	\N	\N	\N
851859	2903	1995-11-09	PRIJEM	VKLAD	22113	48193	\N	\N	\N
851860	2903	1995-12-09	PRIJEM	VKLAD	33170	58853	\N	\N	\N
851861	2903	1996-01-09	PRIJEM	VKLAD	22113	56611	\N	\N	\N
851862	2903	1996-02-09	PRIJEM	VKLAD	22113	46665	\N	\N	\N
851863	2903	1996-03-09	PRIJEM	VKLAD	22113	61111	\N	\N	\N
851864	2903	1996-04-09	PRIJEM	VKLAD	22113	53809	\N	\N	\N
851865	2903	1996-05-09	PRIJEM	VKLAD	22113	56006	\N	\N	\N
851866	2903	1996-06-09	PRIJEM	VKLAD	33170	70859	\N	\N	\N
851867	2903	1996-07-09	PRIJEM	VKLAD	22113	53888	\N	\N	\N
851868	2903	1996-08-09	PRIJEM	VKLAD	22113	60074	\N	\N	\N
851869	2903	1996-09-09	PRIJEM	VKLAD	22113	63783	\N	\N	\N
851870	2903	1996-10-09	PRIJEM	VKLAD	22113	65906	\N	\N	\N
851871	2903	1996-11-09	PRIJEM	VKLAD	22113	61907	\N	\N	\N
851872	2903	1996-12-09	PRIJEM	VKLAD	33170	70940	\N	\N	\N
851873	2903	1997-01-09	PRIJEM	VKLAD	22113	64082	\N	\N	\N
851874	2903	1997-02-09	PRIJEM	VKLAD	22113	60710	\N	\N	\N
851875	2903	1997-03-09	PRIJEM	VKLAD	22113	56796	\N	\N	\N
851876	2903	1997-04-09	PRIJEM	VKLAD	22113	59347	\N	\N	\N
851877	2903	1997-05-09	PRIJEM	VKLAD	22113	60387	\N	\N	\N
851878	2903	1997-06-09	PRIJEM	VKLAD	33170	74849	\N	\N	\N
851879	2903	1997-07-09	PRIJEM	VKLAD	22113	64958	\N	\N	\N
851880	2903	1997-08-09	PRIJEM	VKLAD	22113	68983	\N	\N	\N
851881	2903	1997-09-09	PRIJEM	VKLAD	22113	68525	\N	\N	\N
851882	2903	1997-10-09	PRIJEM	VKLAD	22113	70765	\N	\N	\N
851883	2903	1997-11-09	PRIJEM	VKLAD	22113	66362	\N	\N	\N
851884	2903	1997-12-09	PRIJEM	VKLAD	33170	80947	\N	\N	\N
851885	2903	1998-01-09	PRIJEM	VKLAD	22113	65056	\N	\N	\N
851886	2903	1998-02-09	PRIJEM	VKLAD	22113	65679	\N	\N	\N
851887	2903	1998-03-09	PRIJEM	VKLAD	22113	67001	\N	\N	\N
851888	2903	1998-04-09	PRIJEM	VKLAD	22113	59306	\N	\N	\N
851889	2903	1998-05-09	PRIJEM	VKLAD	22113	58700	\N	\N	\N
851890	2903	1998-06-09	PRIJEM	VKLAD	33170	68246	\N	\N	\N
851891	2903	1998-07-09	PRIJEM	VKLAD	22113	50373	\N	\N	\N
851892	2903	1998-08-09	PRIJEM	VKLAD	22113	48123	\N	\N	\N
851893	2903	1998-09-09	PRIJEM	VKLAD	22113	42782	\N	\N	\N
851894	2903	1998-10-09	PRIJEM	VKLAD	22113	42697	\N	\N	\N
851895	2903	1998-11-09	PRIJEM	VKLAD	22113	37927	\N	\N	\N
851896	2903	1998-12-09	PRIJEM	VKLAD	33170	44576	\N	\N	\N
851907	2903	1994-11-05	VYDAJ	PREVOD NA UCET	7826	38287	SIPO	AB	77294861
851908	2903	1994-12-05	VYDAJ	PREVOD NA UCET	7826	32249	SIPO	AB	77294861
851909	2903	1995-01-05	VYDAJ	PREVOD NA UCET	7826	37651	SIPO	AB	77294861
851910	2903	1995-02-05	VYDAJ	PREVOD NA UCET	7826	25115	SIPO	AB	77294861
851911	2903	1995-03-05	VYDAJ	PREVOD NA UCET	7826	24152	SIPO	AB	77294861
851912	2903	1995-04-05	VYDAJ	PREVOD NA UCET	7826	24313	SIPO	AB	77294861
851913	2903	1995-05-05	VYDAJ	PREVOD NA UCET	7826	26734	SIPO	AB	77294861
851914	2903	1995-06-05	VYDAJ	PREVOD NA UCET	7826	28063	SIPO	AB	77294861
851915	2903	1995-07-05	VYDAJ	PREVOD NA UCET	7826	18488	SIPO	AB	77294861
851916	2903	1995-08-05	VYDAJ	PREVOD NA UCET	7826	22487	SIPO	AB	77294861
851917	2903	1995-09-05	VYDAJ	PREVOD NA UCET	7826	24998	SIPO	AB	77294861
851918	2903	1995-10-05	VYDAJ	PREVOD NA UCET	7826	26515	SIPO	AB	77294861
851919	2903	1995-11-05	VYDAJ	PREVOD NA UCET	7826	26080	SIPO	AB	77294861
851920	2903	1995-12-05	VYDAJ	PREVOD NA UCET	7826	25683	SIPO	AB	77294861
851921	2903	1996-01-05	VYDAJ	PREVOD NA UCET	7826	34498	SIPO	AB	77294861
851922	2903	1996-02-05	VYDAJ	PREVOD NA UCET	7826	21652	SIPO	AB	77294861
851923	2903	1996-03-05	VYDAJ	PREVOD NA UCET	7826	38998	SIPO	AB	77294861
851924	2903	1996-04-05	VYDAJ	PREVOD NA UCET	7826	34796	SIPO	AB	77294861
851925	2903	1996-05-05	VYDAJ	PREVOD NA UCET	7826	42093	SIPO	AB	77294861
851926	2903	1996-06-05	VYDAJ	PREVOD NA UCET	7826	48389	SIPO	AB	77294861
851927	2903	1996-07-05	VYDAJ	PREVOD NA UCET	7826	40675	SIPO	AB	77294861
851928	2903	1996-08-05	VYDAJ	PREVOD NA UCET	7826	46261	SIPO	AB	77294861
851929	2903	1996-09-05	VYDAJ	PREVOD NA UCET	7826	41670	SIPO	AB	77294861
851930	2903	1996-10-05	VYDAJ	PREVOD NA UCET	7826	43793	SIPO	AB	77294861
851931	2903	1996-11-05	VYDAJ	PREVOD NA UCET	7826	39794	SIPO	AB	77294861
851932	2903	1996-12-05	VYDAJ	PREVOD NA UCET	7826	37770	SIPO	AB	77294861
851933	2903	1997-01-05	VYDAJ	PREVOD NA UCET	7826	41969	SIPO	AB	77294861
851934	2903	1997-02-05	VYDAJ	PREVOD NA UCET	7826	38597	SIPO	AB	77294861
851935	2903	1997-03-05	VYDAJ	PREVOD NA UCET	7826	34683	SIPO	AB	77294861
851936	2903	1997-04-05	VYDAJ	PREVOD NA UCET	7826	37234	SIPO	AB	77294861
851937	2903	1997-05-05	VYDAJ	PREVOD NA UCET	7826	38274	SIPO	AB	77294861
851938	2903	1997-06-05	VYDAJ	PREVOD NA UCET	7826	41679	SIPO	AB	77294861
851939	2903	1997-07-05	VYDAJ	PREVOD NA UCET	7826	42845	SIPO	AB	77294861
851940	2903	1997-08-05	VYDAJ	PREVOD NA UCET	7826	46870	SIPO	AB	77294861
851941	2903	1997-09-05	VYDAJ	PREVOD NA UCET	7826	46412	SIPO	AB	77294861
851942	2903	1997-10-05	VYDAJ	PREVOD NA UCET	7826	48652	SIPO	AB	77294861
851943	2903	1997-11-05	VYDAJ	PREVOD NA UCET	7826	44249	SIPO	AB	77294861
851944	2903	1997-12-05	VYDAJ	PREVOD NA UCET	7826	47777	SIPO	AB	77294861
851945	2903	1998-01-05	VYDAJ	PREVOD NA UCET	7826	54583	SIPO	AB	77294861
851946	2903	1998-02-05	VYDAJ	PREVOD NA UCET	7826	43566	SIPO	AB	77294861
851947	2903	1998-03-05	VYDAJ	PREVOD NA UCET	7826	44888	SIPO	AB	77294861
851948	2903	1998-04-05	VYDAJ	PREVOD NA UCET	7826	37193	SIPO	AB	77294861
851949	2903	1998-05-05	VYDAJ	PREVOD NA UCET	7826	36587	SIPO	AB	77294861
851950	2903	1998-06-05	VYDAJ	PREVOD NA UCET	7826	35076	SIPO	AB	77294861
851951	2903	1998-07-05	VYDAJ	PREVOD NA UCET	7826	28260	SIPO	AB	77294861
851952	2903	1998-08-05	VYDAJ	PREVOD NA UCET	7826	26010	SIPO	AB	77294861
851953	2903	1998-09-05	VYDAJ	PREVOD NA UCET	7826	20669	SIPO	AB	77294861
851954	2903	1998-10-05	VYDAJ	PREVOD NA UCET	7826	20584	SIPO	AB	77294861
851955	2903	1998-11-05	VYDAJ	PREVOD NA UCET	7826	15814	SIPO	AB	77294861
851956	2903	1998-12-05	VYDAJ	PREVOD NA UCET	7826	11406	SIPO	AB	77294861
851958	2903	1995-06-20	VYDAJ	VYBER	14400	27133	\N	\N	\N
851959	2903	1996-06-13	VYDAJ	VYBER	22560	48299	\N	\N	\N
851960	2903	1997-06-28	VYDAJ	VYBER	17440	57409	\N	\N	\N
851961	2903	1998-06-26	VYDAJ	VYBER	16160	52086	\N	\N	\N
851963	2903	1995-01-17	VYDAJ	VYBER	8480	32784	\N	\N	\N
851964	2903	1996-01-23	VYDAJ	VYBER	7200	29311	\N	\N	\N
851965	2903	1997-01-28	VYDAJ	VYBER	4000	60082	\N	\N	\N
851966	2903	1998-01-07	VYDAJ	VYBER	5760	42943	\N	\N	\N
851967	2903	1994-12-06	VYDAJ	VYBER	3520	28729	\N	\N	\N
851968	2903	1995-12-10	VYDAJ	VYBER	4480	54373	\N	\N	\N
851969	2903	1996-12-03	VYDAJ	VYBER	3840	58296	\N	\N	\N
851970	2903	1997-12-10	VYDAJ	VYBER	1120	79827	\N	\N	\N
851971	2903	1998-12-23	VYDAJ	VYBER	2240	42336	\N	\N	\N
851977	2903	1995-10-23	VYDAJ	VYBER	4560	33768	\N	\N	\N
851978	2903	1995-03-23	VYDAJ	VYBER	3360	32005	\N	\N	\N
851979	2903	1995-06-30	VYDAJ	VYBER	960	26314	\N	\N	\N
851980	2903	1995-02-18	VYDAJ	VYBER	2280	31848	\N	\N	\N
851981	2903	1995-12-02	VYDAJ	VYBER	3120	33509	\N	\N	\N
851982	2903	1996-04-27	VYDAJ	VYBER	1440	49729	\N	\N	\N
851983	2903	1996-10-13	VYDAJ	VYBER	1440	60386	\N	\N	\N
851984	2903	1996-10-10	VYDAJ	VYBER	4080	61826	\N	\N	\N
851985	2903	1996-03-19	VYDAJ	VYBER	3480	42431	\N	\N	\N
851986	2903	1996-04-20	VYDAJ	VYBER	2640	51169	\N	\N	\N
851987	2903	1996-01-21	VYDAJ	VYBER	4800	36511	\N	\N	\N
851988	2903	1997-03-20	VYDAJ	VYBER	3840	52956	\N	\N	\N
851989	2903	1997-04-23	VYDAJ	VYBER	2760	56587	\N	\N	\N
851990	2903	1997-05-01	VYDAJ	VYBER	1200	55600	\N	\N	\N
851991	2903	1997-02-10	VYDAJ	VYBER	1320	59390	\N	\N	\N
851992	2903	1997-10-29	VYDAJ	VYBER	960	69805	\N	\N	\N
851994	2903	1998-03-29	VYDAJ	VYBER	2520	64481	\N	\N	\N
851995	2903	1998-10-18	VYDAJ	VYBER	2880	39817	\N	\N	\N
851996	2903	1998-09-02	VYDAJ	VYBER	1680	28495	\N	\N	\N
851997	2903	1998-07-03	VYDAJ	VYBER	3720	36086	\N	\N	\N
851998	2903	1998-01-06	VYDAJ	VYBER	5880	48703	\N	\N	\N
852009	2903	1994-10-31	VYDAJ	VYBER	15	46113	SLUZBY	\N	\N
852010	2903	1994-11-30	VYDAJ	VYBER	15	40075	SLUZBY	\N	\N
852011	2903	1994-12-31	VYDAJ	VYBER	15	45477	SLUZBY	\N	\N
852012	2903	1995-01-31	VYDAJ	VYBER	15	32941	SLUZBY	\N	\N
852013	2903	1995-02-28	VYDAJ	VYBER	15	31978	SLUZBY	\N	\N
852014	2903	1995-03-31	VYDAJ	VYBER	15	32139	SLUZBY	\N	\N
852015	2903	1995-04-30	VYDAJ	VYBER	15	34560	SLUZBY	\N	\N
852016	2903	1995-05-31	VYDAJ	VYBER	15	35889	SLUZBY	\N	\N
852017	2903	1995-06-30	VYDAJ	VYBER	15	27274	SLUZBY	\N	\N
852018	2903	1995-07-31	VYDAJ	VYBER	15	30313	SLUZBY	\N	\N
852019	2903	1995-08-31	VYDAJ	VYBER	15	32824	SLUZBY	\N	\N
852020	2903	1995-09-30	VYDAJ	VYBER	15	34341	SLUZBY	\N	\N
852021	2903	1995-10-31	VYDAJ	VYBER	15	33906	SLUZBY	\N	\N
852022	2903	1995-11-30	VYDAJ	VYBER	15	36629	SLUZBY	\N	\N
852023	2903	1995-12-31	VYDAJ	VYBER	15	42324	SLUZBY	\N	\N
852024	2903	1996-01-31	VYDAJ	VYBER	15	29478	SLUZBY	\N	\N
852025	2903	1996-02-29	VYDAJ	VYBER	15	46824	SLUZBY	\N	\N
852026	2903	1996-03-31	VYDAJ	VYBER	15	42622	SLUZBY	\N	\N
852027	2903	1996-04-30	VYDAJ	VYBER	15	49919	SLUZBY	\N	\N
852028	2903	1996-05-31	VYDAJ	VYBER	15	56215	SLUZBY	\N	\N
852029	2903	1996-06-30	VYDAJ	VYBER	15	48501	SLUZBY	\N	\N
852030	2903	1996-07-31	VYDAJ	VYBER	15	54087	SLUZBY	\N	\N
852031	2903	1996-08-31	VYDAJ	VYBER	15	60296	SLUZBY	\N	\N
852032	2903	1996-09-30	VYDAJ	VYBER	15	64019	SLUZBY	\N	\N
852033	2903	1996-10-31	VYDAJ	VYBER	15	60620	SLUZBY	\N	\N
852034	2903	1996-11-30	VYDAJ	VYBER	15	62136	SLUZBY	\N	\N
852035	2903	1996-12-31	VYDAJ	VYBER	15	71195	SLUZBY	\N	\N
852036	2903	1997-01-31	VYDAJ	VYBER	15	60323	SLUZBY	\N	\N
852037	2903	1997-02-28	VYDAJ	VYBER	15	59609	SLUZBY	\N	\N
852038	2903	1997-03-31	VYDAJ	VYBER	15	53160	SLUZBY	\N	\N
852039	2903	1997-04-30	VYDAJ	VYBER	15	56800	SLUZBY	\N	\N
852040	2903	1997-05-31	VYDAJ	VYBER	15	60605	SLUZBY	\N	\N
852041	2903	1997-06-30	VYDAJ	VYBER	15	57671	SLUZBY	\N	\N
852042	2903	1997-07-31	VYDAJ	VYBER	15	65196	SLUZBY	\N	\N
852043	2903	1997-08-31	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
852044	2903	1997-09-30	VYDAJ	VYBER	15	68778	SLUZBY	\N	\N
852045	2903	1997-10-31	VYDAJ	VYBER	15	52075	SLUZBY	\N	\N
852046	2903	1997-11-30	VYDAJ	VYBER	15	55603	SLUZBY	\N	\N
852047	2903	1997-12-31	VYDAJ	VYBER	15	62409	SLUZBY	\N	\N
852048	2903	1998-01-31	VYDAJ	VYBER	15	51392	SLUZBY	\N	\N
852049	2903	1998-02-28	VYDAJ	VYBER	15	52714	SLUZBY	\N	\N
852050	2903	1998-03-31	VYDAJ	VYBER	15	45019	SLUZBY	\N	\N
852051	2903	1998-04-30	VYDAJ	VYBER	15	44413	SLUZBY	\N	\N
852052	2903	1998-05-31	VYDAJ	VYBER	15	42902	SLUZBY	\N	\N
852053	2903	1998-06-30	VYDAJ	VYBER	15	39806	SLUZBY	\N	\N
852054	2903	1998-07-31	VYDAJ	VYBER	15	33836	SLUZBY	\N	\N
852055	2903	1998-08-31	VYDAJ	VYBER	15	30175	SLUZBY	\N	\N
852056	2903	1998-09-30	VYDAJ	VYBER	15	28410	SLUZBY	\N	\N
852057	2903	1998-10-31	VYDAJ	VYBER	15	23640	SLUZBY	\N	\N
852058	2903	1998-11-30	VYDAJ	VYBER	15	19232	SLUZBY	\N	\N
852059	2903	1994-06-18	VYDAJ	VYBER	5800	27670	\N	\N	\N
852060	2903	1994-07-18	VYDAJ	VYBER	12000	37833	\N	\N	\N
852061	2903	1994-08-17	VYDAJ	VYBER	20100	39980	\N	\N	\N
852062	2903	1994-09-16	VYDAJ	VYBER	19100	43155	\N	\N	\N
852063	2903	1994-10-16	VYDAJ	VYBER	19500	45942	\N	\N	\N
852064	2903	1994-11-15	VYDAJ	VYBER	20500	39900	\N	\N	\N
852065	2903	1994-12-15	VYDAJ	VYBER	16600	45299	\N	\N	\N
852066	2903	1995-01-14	VYDAJ	VYBER	18500	41264	\N	\N	\N
852067	2903	1995-02-13	VYDAJ	VYBER	13100	34128	\N	\N	\N
852068	2903	1995-03-15	VYDAJ	VYBER	10900	35365	\N	\N	\N
852069	2903	1995-04-14	VYDAJ	VYBER	12000	34426	\N	\N	\N
852070	2903	1995-05-14	VYDAJ	VYBER	13100	35747	\N	\N	\N
852071	2903	1995-06-13	VYDAJ	VYBER	19700	41533	\N	\N	\N
852072	2903	1995-07-13	VYDAJ	VYBER	10400	30201	\N	\N	\N
852073	2903	1995-08-12	VYDAJ	VYBER	11900	32700	\N	\N	\N
852074	2903	1995-09-11	VYDAJ	VYBER	12900	34211	\N	\N	\N
852075	2903	1995-10-11	VYDAJ	VYBER	10300	38328	\N	\N	\N
852076	2903	1995-11-10	VYDAJ	VYBER	11700	36493	\N	\N	\N
852077	2903	1995-12-10	VYDAJ	VYBER	12200	42173	\N	\N	\N
852078	2903	1996-01-09	VYDAJ	VYBER	15300	41311	\N	\N	\N
852079	2903	1996-02-08	PRIJEM	VKLAD	2900	24552	\N	\N	\N
852080	2903	1996-03-09	VYDAJ	VYBER	15200	45911	\N	\N	\N
852081	2903	1996-04-08	VYDAJ	VYBER	3100	31696	\N	\N	\N
852082	2903	1996-05-08	VYDAJ	VYBER	8200	33893	\N	\N	\N
852083	2903	1996-06-07	VYDAJ	VYBER	10700	37689	\N	\N	\N
852084	2903	1996-07-07	VYDAJ	VYBER	8900	31775	\N	\N	\N
852085	2903	1996-08-06	VYDAJ	VYBER	8300	37961	\N	\N	\N
852086	2903	1996-09-05	VYDAJ	VYBER	10800	49496	\N	\N	\N
852087	2903	1996-10-05	VYDAJ	VYBER	12400	51619	\N	\N	\N
852088	2903	1996-11-04	VYDAJ	VYBER	13000	47620	\N	\N	\N
852089	2903	1996-12-04	VYDAJ	VYBER	12700	45596	\N	\N	\N
852090	2903	1997-01-03	VYDAJ	VYBER	21400	49795	\N	\N	\N
852091	2903	1997-02-02	VYDAJ	VYBER	13900	46423	\N	\N	\N
852092	2903	1997-03-04	VYDAJ	VYBER	17100	42509	\N	\N	\N
852093	2903	1997-04-03	VYDAJ	VYBER	8100	45060	\N	\N	\N
852094	2903	1997-05-03	VYDAJ	VYBER	9500	46100	\N	\N	\N
852095	2903	1997-06-02	VYDAJ	VYBER	11100	49505	\N	\N	\N
852096	2903	1997-07-02	VYDAJ	VYBER	7000	50671	\N	\N	\N
852097	2903	1997-08-01	VYDAJ	VYBER	10500	54696	\N	\N	\N
852098	2903	1997-08-31	VYDAJ	VYBER	15000	54252	\N	\N	\N
852099	2903	1997-09-30	VYDAJ	VYBER	12300	56478	\N	\N	\N
852100	2903	1997-10-30	VYDAJ	VYBER	18000	51805	\N	\N	\N
852101	2903	1997-11-29	VYDAJ	VYBER	11000	55362	\N	\N	\N
852102	2903	1997-12-29	VYDAJ	VYBER	17700	62127	\N	\N	\N
852103	2903	1998-01-28	VYDAJ	VYBER	13900	51156	\N	\N	\N
852104	2903	1998-02-27	VYDAJ	VYBER	13200	52479	\N	\N	\N
852105	2903	1998-03-29	VYDAJ	VYBER	19700	44781	\N	\N	\N
852106	2903	1998-04-28	VYDAJ	VYBER	15100	44206	\N	\N	\N
852107	2903	1998-05-28	VYDAJ	VYBER	16000	42700	\N	\N	\N
852108	2903	1998-06-27	VYDAJ	VYBER	12500	39586	\N	\N	\N
852109	2903	1998-07-27	VYDAJ	VYBER	16700	33673	\N	\N	\N
852110	2903	1998-08-26	VYDAJ	VYBER	18100	30023	\N	\N	\N
852111	2903	1998-09-25	VYDAJ	VYBER	14500	28282	\N	\N	\N
852112	2903	1998-10-25	VYDAJ	VYBER	16300	23517	\N	\N	\N
852113	2903	1998-11-24	VYDAJ	VYBER	18800	19127	\N	\N	\N
852114	2903	1998-12-24	VYDAJ	VYBER	21400	20936	\N	\N	\N
852170	2904	1996-03-20	PRIJEM	VKLAD	800	800	\N	\N	\N
852174	2904	1996-04-14	PRIJEM	PREVOD Z UCTU	15946	16746	\N	UV	19373458
852175	2904	1996-05-14	PRIJEM	PREVOD Z UCTU	15946	34423	\N	UV	19373458
852176	2904	1996-06-14	PRIJEM	PREVOD Z UCTU	23919	54339	\N	UV	19373458
852177	2904	1996-07-14	PRIJEM	PREVOD Z UCTU	15946	53424	\N	UV	19373458
852178	2904	1996-08-14	PRIJEM	PREVOD Z UCTU	15946	55129	\N	UV	19373458
852179	2904	1996-09-14	PRIJEM	PREVOD Z UCTU	15946	51520	\N	UV	19373458
852180	2904	1996-10-14	PRIJEM	PREVOD Z UCTU	15946	52610	\N	UV	19373458
852181	2904	1996-11-14	PRIJEM	PREVOD Z UCTU	15946	54999	\N	UV	19373458
852182	2904	1996-12-14	PRIJEM	PREVOD Z UCTU	23919	64870	\N	UV	19373458
852183	2904	1997-01-14	PRIJEM	PREVOD Z UCTU	15946	23436	\N	UV	19373458
852184	2904	1997-02-14	PRIJEM	PREVOD Z UCTU	15946	30503	\N	UV	19373458
852185	2904	1997-03-14	PRIJEM	PREVOD Z UCTU	15946	33388	\N	UV	19373458
852186	2904	1997-04-14	PRIJEM	PREVOD Z UCTU	15946	28768	\N	UV	19373458
852187	2904	1997-05-14	PRIJEM	PREVOD Z UCTU	15946	31713	\N	UV	19373458
852188	2904	1997-06-14	PRIJEM	PREVOD Z UCTU	23919	41581	\N	UV	19373458
852189	2904	1997-07-14	PRIJEM	PREVOD Z UCTU	15946	46847	\N	UV	19373458
852190	2904	1997-08-14	PRIJEM	PREVOD Z UCTU	15946	46649	\N	UV	19373458
852191	2904	1997-09-14	PRIJEM	PREVOD Z UCTU	15946	52571	\N	UV	19373458
852192	2904	1997-10-14	PRIJEM	PREVOD Z UCTU	15946	49413	\N	UV	19373458
852193	2904	1997-11-14	PRIJEM	PREVOD Z UCTU	15946	42665	\N	UV	19373458
852194	2904	1997-12-14	PRIJEM	PREVOD Z UCTU	23919	59392	\N	UV	19373458
852195	2904	1998-01-14	PRIJEM	PREVOD Z UCTU	15946	47937	\N	UV	19373458
852196	2904	1998-02-14	PRIJEM	PREVOD Z UCTU	15946	52439	\N	UV	19373458
852197	2904	1998-03-14	PRIJEM	PREVOD Z UCTU	15946	64753	\N	UV	19373458
852198	2904	1998-04-14	PRIJEM	PREVOD Z UCTU	15946	59707	\N	UV	19373458
852199	2904	1998-05-14	PRIJEM	PREVOD Z UCTU	15946	69268	\N	UV	19373458
852200	2904	1998-06-14	PRIJEM	PREVOD Z UCTU	23919	63002	\N	UV	19373458
852201	2904	1998-07-14	PRIJEM	PREVOD Z UCTU	15946	44857	\N	UV	19373458
852202	2904	1998-08-14	PRIJEM	PREVOD Z UCTU	15946	53863	\N	UV	19373458
852203	2904	1998-09-14	PRIJEM	PREVOD Z UCTU	15946	63503	\N	UV	19373458
852204	2904	1998-10-14	PRIJEM	PREVOD Z UCTU	15946	63681	\N	UV	19373458
852205	2904	1998-11-14	PRIJEM	PREVOD Z UCTU	15946	56970	\N	UV	19373458
852206	2904	1998-12-14	PRIJEM	PREVOD Z UCTU	23919	68994	\N	UV	19373458
852208	2904	1997-10-21	VYBER	VYBER	18857	11798	\N	\N	\N
852209	2904	1997-04-18	VYBER	VYBER	14949	13319	\N	\N	\N
852210	2904	1997-03-08	VYBER	VYBER	8598	17442	\N	\N	\N
852212	2904	1997-10-20	VYBER	VYBER	18758	30655	\N	\N	\N
852213	2904	1997-06-14	VYBER	VYBER	4918	36663	\N	\N	\N
852215	2904	1997-10-04	VYBER	VYBER	21894	30867	\N	\N	\N
852216	2904	1997-03-28	VYBER	VYBER	14451	12737	\N	\N	\N
852217	2904	1997-08-04	VYBER	VYBER	18106	28903	\N	\N	\N
852218	2904	1998-03-27	VYBER	VYBER	15615	49138	\N	\N	\N
852219	2904	1998-07-11	VYBER	VYBER	12516	28911	\N	\N	\N
852220	2904	1998-06-20	VYBER	VYBER	14686	48316	\N	\N	\N
852221	2904	1998-06-06	VYBER	VYBER	17242	52283	\N	\N	\N
852223	2904	1997-06-12	VYDAJ	VYBER	33000	-1238	\N	\N	\N
852224	2904	1998-06-13	VYDAJ	VYBER	9600	39083	\N	\N	\N
852226	2904	1997-01-05	VYDAJ	VYBER	6900	10290	\N	\N	\N
852227	2904	1998-01-03	VYDAJ	VYBER	9600	49991	\N	\N	\N
852228	2904	1996-12-16	VYDAJ	VYBER	8700	37770	\N	\N	\N
852229	2904	1997-12-08	VYDAJ	VYBER	8700	34073	\N	\N	\N
852230	2904	1998-12-01	VYDAJ	VYBER	4800	52375	\N	\N	\N
852237	2904	1997-01-19	VYDAJ	VYBER	6600	16836	\N	\N	\N
852240	2904	1997-01-07	VYDAJ	VYBER	8100	2190	\N	\N	\N
852241	2904	1997-01-24	VYDAJ	VYBER	8400	-2364	\N	\N	\N
852243	2904	1998-01-21	VYDAJ	VYBER	7500	40437	\N	\N	\N
852244	2904	1998-01-12	VYDAJ	VYBER	2100	31991	\N	\N	\N
852245	2904	1998-01-05	VYDAJ	VYBER	6600	43391	\N	\N	\N
852246	2904	1998-01-23	VYDAJ	VYBER	6600	33837	\N	\N	\N
852247	2904	1998-01-06	VYDAJ	VYBER	8700	34691	\N	\N	\N
852248	2904	1998-01-07	VYDAJ	VYBER	2100	32591	\N	\N	\N
852249	2904	1996-09-08	VYDAJ	VYBER	2100	35574	\N	\N	\N
852250	2904	1996-12-22	VYDAJ	VYBER	13500	17070	\N	\N	\N
852251	2904	1996-12-20	VYDAJ	VYBER	7200	30570	\N	\N	\N
852254	2904	1997-07-09	VYDAJ	VYBER	3600	33201	\N	\N	\N
852255	2904	1997-10-08	VYDAJ	VYBER	3000	27867	\N	\N	\N
852256	2904	1997-02-15	VYDAJ	VYBER	2400	28103	\N	\N	\N
852257	2904	1997-09-10	VYDAJ	VYBER	9900	36925	\N	\N	\N
852258	2904	1997-01-23	VYDAJ	VYBER	10800	6036	\N	\N	\N
852259	2904	1997-03-04	VYDAJ	VYBER	2100	26040	\N	\N	\N
852260	2904	1998-11-05	VYDAJ	VYBER	7500	45624	\N	\N	\N
852261	2904	1998-10-27	VYDAJ	VYBER	10800	52881	\N	\N	\N
852262	2904	1998-06-24	VYDAJ	VYBER	7500	40816	\N	\N	\N
852271	2904	1996-08-31	VYDAJ	VYBER	15	37674	SLUZBY	\N	\N
852272	2904	1996-09-30	VYDAJ	VYBER	15	36664	SLUZBY	\N	\N
852273	2904	1996-10-31	VYDAJ	VYBER	15	39053	SLUZBY	\N	\N
852274	2904	1996-11-30	VYDAJ	VYBER	15	40951	SLUZBY	\N	\N
852275	2904	1996-12-31	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
852276	2904	1997-01-31	VYDAJ	VYBER	15	-2337	SLUZBY	\N	\N
852277	2904	1997-02-28	VYDAJ	VYBER	15	28151	SLUZBY	\N	\N
852278	2904	1997-03-31	VYDAJ	VYBER	15	12822	SLUZBY	\N	\N
852279	2904	1997-04-30	VYDAJ	VYBER	15	13367	SLUZBY	\N	\N
852280	2904	1997-05-31	VYDAJ	VYBER	15	31762	SLUZBY	\N	\N
852281	2904	1997-06-30	VYDAJ	VYBER	15	36801	SLUZBY	\N	\N
852282	2904	1997-07-31	VYDAJ	VYBER	15	47009	SLUZBY	\N	\N
852283	2904	1997-08-31	VYDAJ	VYBER	15	46825	SLUZBY	\N	\N
852284	2904	1997-09-30	VYDAJ	VYBER	15	52761	SLUZBY	\N	\N
852285	2904	1997-10-31	VYDAJ	VYBER	15	11919	SLUZBY	\N	\N
852286	2904	1997-11-30	VYDAJ	VYBER	15	42773	SLUZBY	\N	\N
852287	2904	1997-12-31	VYDAJ	VYBER	15	59591	SLUZBY	\N	\N
852288	2904	1998-01-31	VYDAJ	VYBER	15	33993	SLUZBY	\N	\N
852289	2904	1998-02-28	VYDAJ	VYBER	15	52607	SLUZBY	\N	\N
852290	2904	1998-03-31	VYDAJ	VYBER	15	49361	SLUZBY	\N	\N
852291	2904	1998-04-30	VYDAJ	VYBER	15	59922	SLUZBY	\N	\N
852292	2904	1998-05-31	VYDAJ	VYBER	15	69525	SLUZBY	\N	\N
852293	2904	1998-06-30	VYDAJ	VYBER	15	41027	SLUZBY	\N	\N
852294	2904	1998-07-31	VYDAJ	VYBER	15	45017	SLUZBY	\N	\N
852295	2904	1998-08-31	VYDAJ	VYBER	15	54057	SLUZBY	\N	\N
852296	2904	1998-09-30	VYDAJ	VYBER	15	63735	SLUZBY	\N	\N
852297	2904	1998-10-31	VYDAJ	VYBER	15	53124	SLUZBY	\N	\N
852298	2904	1998-11-30	VYDAJ	VYBER	15	57175	SLUZBY	\N	\N
852299	2904	1996-04-19	PRIJEM	VKLAD	1700	18446	\N	\N	\N
852300	2904	1996-05-19	VYDAJ	VYBER	4100	30323	\N	\N	\N
852301	2904	1996-06-18	VYDAJ	VYBER	17000	37339	\N	\N	\N
852302	2904	1996-07-18	VYDAJ	VYBER	14400	39024	\N	\N	\N
852303	2904	1996-08-17	VYDAJ	VYBER	17600	37529	\N	\N	\N
852304	2904	1996-09-16	VYDAJ	VYBER	15000	36520	\N	\N	\N
852305	2904	1996-10-16	VYDAJ	VYBER	13700	38910	\N	\N	\N
852306	2904	1996-11-15	VYDAJ	VYBER	14200	40799	\N	\N	\N
852307	2904	1996-12-15	VYDAJ	VYBER	18400	46470	\N	\N	\N
852308	2904	1997-01-14	PRIJEM	VKLAD	5300	7490	\N	\N	\N
852309	2904	1997-02-13	PRIJEM	VKLAD	16900	14557	\N	\N	\N
852310	2904	1997-03-15	VYDAJ	VYBER	6200	27188	\N	\N	\N
852311	2904	1997-04-14	VYDAJ	VYBER	500	28268	\N	\N	\N
852312	2904	1997-05-14	PRIJEM	VKLAD	2400	15767	\N	\N	\N
852313	2904	1997-06-13	PRIJEM	VKLAD	18900	17662	\N	\N	\N
852314	2904	1997-07-13	VYDAJ	VYBER	2300	30901	\N	\N	\N
852315	2904	1997-08-12	PRIJEM	VKLAD	1800	30703	\N	\N	\N
852316	2904	1997-09-11	VYDAJ	VYBER	300	36625	\N	\N	\N
852317	2904	1997-10-11	PRIJEM	VKLAD	5600	33467	\N	\N	\N
852318	2904	1997-11-10	PRIJEM	VKLAD	14800	26719	\N	\N	\N
852319	2904	1997-12-10	PRIJEM	VKLAD	1400	35473	\N	\N	\N
852320	2904	1998-01-09	PRIJEM	VKLAD	1500	34091	\N	\N	\N
852321	2904	1998-02-08	PRIJEM	VKLAD	2500	36493	\N	\N	\N
852322	2904	1998-03-10	VYDAJ	VYBER	3800	48807	\N	\N	\N
852323	2904	1998-04-09	VYDAJ	VYBER	5600	43761	\N	\N	\N
852324	2904	1998-05-09	VYDAJ	VYBER	6600	53322	\N	\N	\N
852325	2904	1998-06-08	VYDAJ	VYBER	3600	48683	\N	\N	\N
852326	2904	1998-07-08	PRIJEM	VKLAD	400	41427	\N	\N	\N
852327	2904	1998-08-07	VYDAJ	VYBER	7100	37917	\N	\N	\N
852328	2904	1998-09-06	VYDAJ	VYBER	6500	47557	\N	\N	\N
852329	2904	1998-10-06	VYDAJ	VYBER	16000	47735	\N	\N	\N
852330	2904	1998-11-05	VYDAJ	VYBER	4600	41024	\N	\N	\N
852331	2904	1998-12-05	VYDAJ	VYBER	7300	45075	\N	\N	\N
852367	2905	1994-10-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
852377	2905	1994-10-06	PRIJEM	VKLAD	12635	13635	\N	\N	\N
852378	2905	1994-11-06	PRIJEM	VKLAD	12635	32018	\N	\N	\N
852379	2905	1994-12-06	PRIJEM	VKLAD	18953	45391	\N	\N	\N
852380	2905	1995-01-06	PRIJEM	VKLAD	12635	45006	\N	\N	\N
852381	2905	1995-02-06	PRIJEM	VKLAD	12635	48628	\N	\N	\N
852382	2905	1995-03-06	PRIJEM	VKLAD	12635	41220	\N	\N	\N
852383	2905	1995-04-06	PRIJEM	VKLAD	12635	40549	\N	\N	\N
852384	2905	1995-05-06	PRIJEM	VKLAD	12635	43737	\N	\N	\N
852385	2905	1995-06-06	PRIJEM	VKLAD	18953	51949	\N	\N	\N
852386	2905	1995-07-06	PRIJEM	VKLAD	12635	27908	\N	\N	\N
852387	2905	1995-08-06	PRIJEM	VKLAD	12635	37094	\N	\N	\N
852388	2905	1995-09-06	PRIJEM	VKLAD	12635	43519	\N	\N	\N
852389	2905	1995-10-06	PRIJEM	VKLAD	12635	47769	\N	\N	\N
852390	2905	1995-11-06	PRIJEM	VKLAD	12635	52238	\N	\N	\N
852391	2905	1995-12-06	PRIJEM	VKLAD	18953	56701	\N	\N	\N
852392	2905	1996-01-06	PRIJEM	VKLAD	12635	47063	\N	\N	\N
852393	2905	1996-02-06	PRIJEM	VKLAD	12635	34790	\N	\N	\N
852394	2905	1996-03-06	PRIJEM	VKLAD	12635	41282	\N	\N	\N
852395	2905	1996-04-06	PRIJEM	VKLAD	12635	47226	\N	\N	\N
852396	2905	1996-05-06	PRIJEM	VKLAD	12635	45395	\N	\N	\N
852397	2905	1996-06-06	PRIJEM	VKLAD	18953	53871	\N	\N	\N
852398	2905	1996-07-06	PRIJEM	VKLAD	12635	48385	\N	\N	\N
852399	2905	1996-08-06	PRIJEM	VKLAD	12635	48665	\N	\N	\N
852400	2905	1996-09-06	PRIJEM	VKLAD	12635	51338	\N	\N	\N
852401	2905	1996-10-06	PRIJEM	VKLAD	12635	49216	\N	\N	\N
852402	2905	1996-11-06	PRIJEM	VKLAD	12635	44084	\N	\N	\N
852403	2905	1996-12-06	PRIJEM	VKLAD	18953	52777	\N	\N	\N
852404	2905	1997-01-06	PRIJEM	VKLAD	12635	48285	\N	\N	\N
852405	2905	1997-02-06	PRIJEM	VKLAD	12635	45967	\N	\N	\N
852406	2905	1997-03-06	PRIJEM	VKLAD	12635	46526	\N	\N	\N
852407	2905	1997-04-06	PRIJEM	VKLAD	12635	44734	\N	\N	\N
852408	2905	1997-05-06	PRIJEM	VKLAD	12635	47191	\N	\N	\N
852409	2905	1997-06-06	PRIJEM	VKLAD	18953	57138	\N	\N	\N
852410	2905	1997-07-06	PRIJEM	VKLAD	12635	55169	\N	\N	\N
852411	2905	1997-08-06	PRIJEM	VKLAD	12635	61275	\N	\N	\N
852412	2905	1997-09-06	PRIJEM	VKLAD	12635	62800	\N	\N	\N
852413	2905	1997-10-06	PRIJEM	VKLAD	12635	64330	\N	\N	\N
852414	2905	1997-11-06	PRIJEM	VKLAD	12635	67871	\N	\N	\N
852415	2905	1997-12-06	PRIJEM	VKLAD	18953	71695	\N	\N	\N
852416	2905	1998-01-06	PRIJEM	VKLAD	12635	73532	\N	\N	\N
852417	2905	1998-02-06	PRIJEM	VKLAD	12635	53973	\N	\N	\N
852418	2905	1998-03-06	PRIJEM	VKLAD	12635	67795	\N	\N	\N
852419	2905	1998-04-06	PRIJEM	VKLAD	12635	70238	\N	\N	\N
852420	2905	1998-05-06	PRIJEM	VKLAD	12635	79536	\N	\N	\N
852421	2905	1998-06-06	PRIJEM	VKLAD	18953	87654	\N	\N	\N
852422	2905	1998-07-06	PRIJEM	VKLAD	12635	69465	\N	\N	\N
852423	2905	1998-08-06	PRIJEM	VKLAD	12635	75218	\N	\N	\N
852424	2905	1998-09-06	PRIJEM	VKLAD	12635	75911	\N	\N	\N
852425	2905	1998-10-06	PRIJEM	VKLAD	12635	77095	\N	\N	\N
852426	2905	1998-11-06	PRIJEM	VKLAD	12635	76078	\N	\N	\N
852427	2905	1998-12-06	PRIJEM	VKLAD	18953	76007	\N	\N	\N
852429	2905	1995-06-19	VYDAJ	VYBER	43360	8589	\N	\N	\N
852430	2905	1996-06-15	VYDAJ	VYBER	12160	41711	\N	\N	\N
852431	2905	1997-06-16	VYDAJ	VYBER	6560	50578	\N	\N	\N
852432	2905	1998-06-10	VYDAJ	VYBER	27360	60294	\N	\N	\N
852435	2905	1996-01-16	VYDAJ	VYBER	8960	32823	\N	\N	\N
852436	2905	1997-01-04	VYDAJ	VYBER	2080	36970	\N	\N	\N
852437	2905	1998-01-12	VYDAJ	VYBER	5280	67652	\N	\N	\N
852439	2905	1995-12-07	VYDAJ	VYBER	4640	52061	\N	\N	\N
852440	2905	1996-12-01	VYDAJ	VYBER	1280	33825	\N	\N	\N
852441	2905	1997-12-27	VYDAJ	VYBER	1120	60675	\N	\N	\N
852442	2905	1998-12-29	VYDAJ	VYBER	2880	59127	\N	\N	\N
852455	2905	1996-01-15	VYDAJ	VYBER	3120	41783	\N	\N	\N
852456	2905	1996-01-28	VYDAJ	VYBER	1680	22023	\N	\N	\N
852457	2905	1996-01-24	VYDAJ	VYBER	1800	28503	\N	\N	\N
852458	2905	1996-01-05	VYDAJ	VYBER	2280	34428	\N	\N	\N
852459	2905	1996-01-15	VYDAJ	VYBER	2160	44903	\N	\N	\N
852460	2905	1996-01-19	VYDAJ	VYBER	2520	30303	\N	\N	\N
852461	2905	1997-01-20	VYDAJ	VYBER	1080	39885	\N	\N	\N
852462	2905	1997-01-06	VYDAJ	VYBER	1200	47085	\N	\N	\N
852463	2905	1997-01-30	VYDAJ	VYBER	840	33185	\N	\N	\N
852464	2905	1997-01-15	VYDAJ	VYBER	3120	40965	\N	\N	\N
852465	2905	1997-01-07	VYDAJ	VYBER	3000	44085	\N	\N	\N
852466	2905	1997-01-27	VYDAJ	VYBER	1560	34025	\N	\N	\N
852467	2905	1998-01-17	VYDAJ	VYBER	2280	50012	\N	\N	\N
852468	2905	1998-01-18	VYDAJ	VYBER	2760	47252	\N	\N	\N
852469	2905	1998-01-20	VYDAJ	VYBER	3120	44132	\N	\N	\N
852470	2905	1998-01-10	VYDAJ	VYBER	600	72932	\N	\N	\N
852471	2905	1998-01-16	VYDAJ	VYBER	3480	52292	\N	\N	\N
852472	2905	1998-01-25	VYDAJ	VYBER	3000	41132	\N	\N	\N
852478	2905	1995-12-10	VYDAJ	VYBER	5520	46541	\N	\N	\N
852479	2905	1995-05-24	VYDAJ	VYBER	4800	38937	\N	\N	\N
852480	2905	1995-11-29	VYDAJ	VYBER	2040	37598	\N	\N	\N
852481	2905	1995-03-04	VYDAJ	VYBER	5280	28585	\N	\N	\N
852482	2905	1995-03-26	VYDAJ	VYBER	2760	38460	\N	\N	\N
852483	2905	1996-04-20	VYDAJ	VYBER	3600	43626	\N	\N	\N
852484	2905	1996-10-26	VYDAJ	VYBER	5400	31316	\N	\N	\N
852485	2905	1996-02-12	VYDAJ	VYBER	5040	29750	\N	\N	\N
852486	2905	1996-07-13	VYDAJ	VYBER	5400	42985	\N	\N	\N
852487	2905	1997-05-26	VYDAJ	VYBER	840	38051	\N	\N	\N
852488	2905	1997-03-12	VYDAJ	VYBER	3960	42566	\N	\N	\N
852489	2905	1997-11-14	VYDAJ	VYBER	4440	63431	\N	\N	\N
852490	2905	1997-01-04	VYDAJ	VYBER	1320	35650	\N	\N	\N
852491	2905	1998-04-04	VYDAJ	VYBER	4920	57603	\N	\N	\N
852492	2905	1998-01-15	VYDAJ	VYBER	2280	65372	\N	\N	\N
852493	2905	1998-11-22	VYDAJ	VYBER	5760	56818	\N	\N	\N
852494	2905	1998-08-05	VYDAJ	VYBER	1920	62583	\N	\N	\N
852509	2905	1995-02-28	VYDAJ	VYBER	15	48765	SLUZBY	\N	\N
852510	2905	1995-03-31	VYDAJ	VYBER	15	38614	SLUZBY	\N	\N
852511	2905	1995-04-30	VYDAJ	VYBER	15	40702	SLUZBY	\N	\N
852512	2905	1995-05-31	VYDAJ	VYBER	15	32997	SLUZBY	\N	\N
852513	2905	1995-06-30	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
852514	2905	1995-07-31	VYDAJ	VYBER	15	24459	SLUZBY	\N	\N
852515	2905	1995-08-31	VYDAJ	VYBER	15	30884	SLUZBY	\N	\N
852516	2905	1995-09-30	VYDAJ	VYBER	15	35134	SLUZBY	\N	\N
852517	2905	1995-10-31	VYDAJ	VYBER	15	39603	SLUZBY	\N	\N
852518	2905	1995-11-30	VYDAJ	VYBER	15	37748	SLUZBY	\N	\N
852519	2905	1995-12-31	VYDAJ	VYBER	15	36708	SLUZBY	\N	\N
852520	2905	1996-01-31	VYDAJ	VYBER	15	22155	SLUZBY	\N	\N
852521	2905	1996-02-29	VYDAJ	VYBER	15	28647	SLUZBY	\N	\N
852522	2905	1996-03-31	VYDAJ	VYBER	15	34591	SLUZBY	\N	\N
852523	2905	1996-04-30	VYDAJ	VYBER	15	32760	SLUZBY	\N	\N
852524	2905	1996-05-31	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
852525	2905	1996-06-30	VYDAJ	VYBER	15	35750	SLUZBY	\N	\N
852526	2905	1996-07-31	VYDAJ	VYBER	15	36030	SLUZBY	\N	\N
852527	2905	1996-08-31	VYDAJ	VYBER	15	38703	SLUZBY	\N	\N
852528	2905	1996-09-30	VYDAJ	VYBER	15	36581	SLUZBY	\N	\N
852529	2905	1996-10-31	VYDAJ	VYBER	15	31449	SLUZBY	\N	\N
852530	2905	1996-11-30	VYDAJ	VYBER	15	35105	SLUZBY	\N	\N
852531	2905	1996-12-31	VYDAJ	VYBER	15	39050	SLUZBY	\N	\N
852532	2905	1997-01-31	VYDAJ	VYBER	15	33332	SLUZBY	\N	\N
852533	2905	1997-02-28	VYDAJ	VYBER	15	33891	SLUZBY	\N	\N
852534	2905	1997-03-31	VYDAJ	VYBER	15	32099	SLUZBY	\N	\N
852535	2905	1997-04-30	VYDAJ	VYBER	15	34556	SLUZBY	\N	\N
852536	2905	1997-05-31	VYDAJ	VYBER	15	38186	SLUZBY	\N	\N
852537	2905	1997-06-30	VYDAJ	VYBER	15	42534	SLUZBY	\N	\N
852538	2905	1997-07-31	VYDAJ	VYBER	15	48640	SLUZBY	\N	\N
852539	2905	1997-08-31	VYDAJ	VYBER	15	50165	SLUZBY	\N	\N
852540	2905	1997-09-30	VYDAJ	VYBER	15	51695	SLUZBY	\N	\N
852541	2905	1997-10-31	VYDAJ	VYBER	15	55236	SLUZBY	\N	\N
852542	2905	1997-11-30	VYDAJ	VYBER	15	52742	SLUZBY	\N	\N
852543	2905	1997-12-31	VYDAJ	VYBER	15	60897	SLUZBY	\N	\N
852544	2905	1998-01-31	VYDAJ	VYBER	15	41338	SLUZBY	\N	\N
852545	2905	1998-02-28	VYDAJ	VYBER	15	55160	SLUZBY	\N	\N
852546	2905	1998-03-31	VYDAJ	VYBER	15	62523	SLUZBY	\N	\N
852547	2905	1998-04-30	VYDAJ	VYBER	15	66901	SLUZBY	\N	\N
852548	2905	1998-05-31	VYDAJ	VYBER	15	68701	SLUZBY	\N	\N
852549	2905	1998-06-30	VYDAJ	VYBER	15	56830	SLUZBY	\N	\N
852550	2905	1998-07-31	VYDAJ	VYBER	15	64503	SLUZBY	\N	\N
852551	2905	1998-08-31	VYDAJ	VYBER	15	63276	SLUZBY	\N	\N
852552	2905	1998-09-30	VYDAJ	VYBER	15	64460	SLUZBY	\N	\N
852553	2905	1998-10-31	VYDAJ	VYBER	15	63443	SLUZBY	\N	\N
852554	2905	1998-11-30	VYDAJ	VYBER	15	57055	SLUZBY	\N	\N
852555	2905	1994-11-02	PRIJEM	VKLAD	5700	19383	\N	\N	\N
852556	2905	1994-12-02	VYDAJ	VYBER	5700	26438	\N	\N	\N
852557	2905	1995-01-01	VYDAJ	VYBER	13200	32371	\N	\N	\N
852558	2905	1995-01-31	VYDAJ	VYBER	9200	35993	\N	\N	\N
852559	2905	1995-03-02	VYDAJ	VYBER	14900	33865	\N	\N	\N
852560	2905	1995-04-01	VYDAJ	VYBER	10700	27914	\N	\N	\N
852561	2905	1995-05-01	VYDAJ	VYBER	9600	31102	\N	\N	\N
852562	2905	1995-05-31	VYDAJ	VYBER	6100	33012	\N	\N	\N
852563	2905	1995-06-30	PRIJEM	VKLAD	6600	15287	\N	\N	\N
852564	2905	1995-07-30	VYDAJ	VYBER	3500	24408	\N	\N	\N
852565	2905	1995-08-29	VYDAJ	VYBER	6300	30794	\N	\N	\N
852566	2905	1995-09-28	VYDAJ	VYBER	8500	35019	\N	\N	\N
852567	2905	1995-10-28	VYDAJ	VYBER	8300	39469	\N	\N	\N
852568	2905	1995-11-27	VYDAJ	VYBER	12600	39638	\N	\N	\N
852569	2905	1995-12-27	VYDAJ	VYBER	10000	36541	\N	\N	\N
852570	2905	1996-01-26	VYDAJ	VYBER	4800	23703	\N	\N	\N
852571	2905	1996-02-25	VYDAJ	VYBER	1200	28550	\N	\N	\N
852572	2905	1996-03-26	VYDAJ	VYBER	6800	34482	\N	\N	\N
852573	2905	1996-04-25	VYDAJ	VYBER	11000	32626	\N	\N	\N
852574	2905	1996-05-25	VYDAJ	VYBER	10600	34795	\N	\N	\N
852575	2905	1996-06-24	VYDAJ	VYBER	6100	35611	\N	\N	\N
852576	2905	1996-07-24	VYDAJ	VYBER	7100	35885	\N	\N	\N
852577	2905	1996-08-23	VYDAJ	VYBER	10100	38565	\N	\N	\N
852578	2905	1996-09-22	VYDAJ	VYBER	14900	36438	\N	\N	\N
852579	2905	1996-10-22	VYDAJ	VYBER	12500	36716	\N	\N	\N
852580	2905	1996-11-21	VYDAJ	VYBER	9100	34984	\N	\N	\N
852581	2905	1996-12-21	VYDAJ	VYBER	13900	38877	\N	\N	\N
852582	2905	1997-01-20	VYDAJ	VYBER	4300	35585	\N	\N	\N
852583	2905	1997-02-19	VYDAJ	VYBER	12200	33767	\N	\N	\N
852584	2905	1997-03-21	VYDAJ	VYBER	10600	31966	\N	\N	\N
852585	2905	1997-04-20	VYDAJ	VYBER	10300	34434	\N	\N	\N
852586	2905	1997-05-20	VYDAJ	VYBER	8300	38891	\N	\N	\N
852587	2905	1997-06-19	VYDAJ	VYBER	8200	42378	\N	\N	\N
852588	2905	1997-07-19	VYDAJ	VYBER	6700	48469	\N	\N	\N
852589	2905	1997-08-18	VYDAJ	VYBER	11300	49975	\N	\N	\N
852590	2905	1997-09-17	VYDAJ	VYBER	11300	51500	\N	\N	\N
852591	2905	1997-10-17	VYDAJ	VYBER	9300	55030	\N	\N	\N
852592	2905	1997-11-16	VYDAJ	VYBER	10900	52531	\N	\N	\N
852593	2905	1997-12-16	VYDAJ	VYBER	9900	61795	\N	\N	\N
852594	2905	1998-01-15	VYDAJ	VYBER	9600	55772	\N	\N	\N
852595	2905	1998-02-14	PRIJEM	VKLAD	1000	54973	\N	\N	\N
852596	2905	1998-03-16	VYDAJ	VYBER	5500	62295	\N	\N	\N
852597	2905	1998-04-15	VYDAJ	VYBER	3600	66638	\N	\N	\N
852598	2905	1998-05-15	VYDAJ	VYBER	11100	68436	\N	\N	\N
852599	2905	1998-06-14	VYDAJ	VYBER	3700	56594	\N	\N	\N
852600	2905	1998-07-14	VYDAJ	VYBER	5200	64265	\N	\N	\N
852601	2905	1998-08-13	VYDAJ	VYBER	12200	63018	\N	\N	\N
852602	2905	1998-09-12	VYDAJ	VYBER	11700	64211	\N	\N	\N
852603	2905	1998-10-12	VYDAJ	VYBER	13900	63195	\N	\N	\N
852604	2905	1998-11-11	VYDAJ	VYBER	13500	62578	\N	\N	\N
852605	2905	1998-12-11	VYDAJ	VYBER	14000	62007	\N	\N	\N
852657	2906	1996-09-20	PRIJEM	VKLAD	200	200	\N	\N	\N
852667	2906	1996-10-09	PRIJEM	VKLAD	16117	16317	\N	\N	\N
852668	2906	1996-11-09	PRIJEM	VKLAD	16117	35666	\N	\N	\N
852669	2906	1996-12-09	PRIJEM	VKLAD	24176	53639	\N	\N	\N
852670	2906	1997-01-09	PRIJEM	VKLAD	16117	54594	\N	\N	\N
852671	2906	1997-02-09	PRIJEM	VKLAD	16117	55272	\N	\N	\N
852672	2906	1997-03-09	PRIJEM	VKLAD	16117	54386	\N	\N	\N
852673	2906	1997-04-09	PRIJEM	VKLAD	16117	50993	\N	\N	\N
852674	2906	1997-05-09	PRIJEM	VKLAD	16117	48486	\N	\N	\N
852675	2906	1997-06-09	PRIJEM	VKLAD	24176	60941	\N	\N	\N
852676	2906	1997-07-09	PRIJEM	VKLAD	16117	31243	\N	\N	\N
852677	2906	1997-08-09	PRIJEM	VKLAD	16117	37878	\N	\N	\N
852678	2906	1997-09-09	PRIJEM	VKLAD	16117	41644	\N	\N	\N
852679	2906	1997-10-09	PRIJEM	VKLAD	16117	51430	\N	\N	\N
852680	2906	1997-11-09	PRIJEM	VKLAD	16117	56037	\N	\N	\N
852681	2906	1997-12-09	PRIJEM	VKLAD	24176	60908	\N	\N	\N
852682	2906	1998-01-09	PRIJEM	VKLAD	16117	53919	\N	\N	\N
852683	2906	1998-02-09	PRIJEM	VKLAD	16117	40398	\N	\N	\N
852684	2906	1998-03-09	PRIJEM	VKLAD	16117	42453	\N	\N	\N
852685	2906	1998-04-09	PRIJEM	VKLAD	16117	46321	\N	\N	\N
852686	2906	1998-05-09	PRIJEM	VKLAD	16117	45192	\N	\N	\N
852687	2906	1998-06-09	PRIJEM	VKLAD	24176	51916	\N	\N	\N
852688	2906	1998-07-09	PRIJEM	VKLAD	16117	42979	\N	\N	\N
852689	2906	1998-08-09	PRIJEM	VKLAD	16117	40230	\N	\N	\N
852690	2906	1998-09-09	PRIJEM	VKLAD	16117	41781	\N	\N	\N
852691	2906	1998-10-09	PRIJEM	VKLAD	16117	36724	\N	\N	\N
852692	2906	1998-11-09	PRIJEM	VKLAD	16117	35852	\N	\N	\N
852693	2906	1998-12-09	PRIJEM	VKLAD	24176	38325	\N	\N	\N
852707	2906	1997-02-14	VYDAJ	PREVOD NA UCET	2454	45614	SIPO	IJ	29248845
852708	2906	1997-03-14	VYDAJ	PREVOD NA UCET	2454	44728	SIPO	IJ	29248845
852709	2906	1997-04-14	VYDAJ	PREVOD NA UCET	2454	41335	SIPO	IJ	29248845
852710	2906	1997-05-14	VYDAJ	PREVOD NA UCET	2454	38828	SIPO	IJ	29248845
852711	2906	1997-06-14	VYDAJ	PREVOD NA UCET	2454	51283	SIPO	IJ	29248845
852712	2906	1997-07-14	VYDAJ	PREVOD NA UCET	2454	18685	SIPO	IJ	29248845
852713	2906	1997-08-14	VYDAJ	PREVOD NA UCET	2454	28220	SIPO	IJ	29248845
852714	2906	1997-09-14	VYDAJ	PREVOD NA UCET	2454	31986	SIPO	IJ	29248845
852715	2906	1997-10-14	VYDAJ	PREVOD NA UCET	2454	41772	SIPO	IJ	29248845
852716	2906	1997-11-14	VYDAJ	PREVOD NA UCET	2454	36579	SIPO	IJ	29248845
852717	2906	1997-12-14	VYDAJ	PREVOD NA UCET	2454	51250	SIPO	IJ	29248845
852718	2906	1998-01-14	VYDAJ	PREVOD NA UCET	2454	34961	SIPO	IJ	29248845
852719	2906	1998-02-14	VYDAJ	PREVOD NA UCET	2454	26240	SIPO	IJ	29248845
852720	2906	1998-03-14	VYDAJ	PREVOD NA UCET	2454	32795	SIPO	IJ	29248845
852721	2906	1998-04-14	VYDAJ	PREVOD NA UCET	2454	28963	SIPO	IJ	29248845
852722	2906	1998-05-14	VYDAJ	PREVOD NA UCET	2454	27634	SIPO	IJ	29248845
852723	2906	1998-06-14	VYDAJ	PREVOD NA UCET	2454	26758	SIPO	IJ	29248845
852724	2906	1998-07-14	VYDAJ	PREVOD NA UCET	2454	24021	SIPO	IJ	29248845
852725	2906	1998-08-14	VYDAJ	PREVOD NA UCET	2454	25572	SIPO	IJ	29248845
852726	2906	1998-09-14	VYDAJ	PREVOD NA UCET	2454	25023	SIPO	IJ	29248845
852727	2906	1998-10-14	VYDAJ	PREVOD NA UCET	2454	19666	SIPO	IJ	29248845
852728	2906	1998-11-14	VYDAJ	PREVOD NA UCET	2454	14894	SIPO	IJ	29248845
852729	2906	1998-12-14	VYDAJ	PREVOD NA UCET	2454	13667	SIPO	IJ	29248845
852743	2906	1997-02-10	VYDAJ	PREVOD NA UCET	6863	48409	 	QR	22673285
852744	2906	1997-03-10	VYDAJ	PREVOD NA UCET	6863	47523	 	QR	22673285
852745	2906	1997-04-10	VYDAJ	PREVOD NA UCET	6863	44130	 	QR	22673285
852746	2906	1997-05-10	VYDAJ	PREVOD NA UCET	6863	41623	 	QR	22673285
852747	2906	1997-06-10	VYDAJ	PREVOD NA UCET	6863	54078	 	QR	22673285
852748	2906	1997-07-10	VYDAJ	PREVOD NA UCET	6863	21480	 	QR	22673285
852749	2906	1997-08-10	VYDAJ	PREVOD NA UCET	6863	31015	 	QR	22673285
852750	2906	1997-09-10	VYDAJ	PREVOD NA UCET	6863	34781	 	QR	22673285
852751	2906	1997-10-10	VYDAJ	PREVOD NA UCET	6863	44567	 	QR	22673285
852752	2906	1997-11-10	VYDAJ	PREVOD NA UCET	6863	49174	 	QR	22673285
852753	2906	1997-12-10	VYDAJ	PREVOD NA UCET	6863	54045	 	QR	22673285
852754	2906	1998-01-10	VYDAJ	PREVOD NA UCET	6863	46556	 	QR	22673285
852755	2906	1998-02-10	VYDAJ	PREVOD NA UCET	6863	33535	 	QR	22673285
852756	2906	1998-03-10	VYDAJ	PREVOD NA UCET	6863	35590	 	QR	22673285
852757	2906	1998-04-10	VYDAJ	PREVOD NA UCET	6863	39458	 	QR	22673285
852758	2906	1998-05-10	VYDAJ	PREVOD NA UCET	6863	38329	 	QR	22673285
852759	2906	1998-06-10	VYDAJ	PREVOD NA UCET	6863	45053	 	QR	22673285
852760	2906	1998-07-10	VYDAJ	PREVOD NA UCET	6863	36116	 	QR	22673285
852761	2906	1998-08-10	VYDAJ	PREVOD NA UCET	6863	33367	 	QR	22673285
852762	2906	1998-09-10	VYDAJ	PREVOD NA UCET	6863	34918	 	QR	22673285
852763	2906	1998-10-10	VYDAJ	PREVOD NA UCET	6863	22461	 	QR	22673285
852764	2906	1998-11-10	VYDAJ	PREVOD NA UCET	6863	17689	 	QR	22673285
852765	2906	1998-12-10	VYDAJ	PREVOD NA UCET	6863	16462	 	QR	22673285
852779	2906	1997-02-12	VYDAJ	PREVOD NA UCET	341	48068	POJISTNE	EF	13827365
852780	2906	1997-03-12	VYDAJ	PREVOD NA UCET	341	47182	POJISTNE	EF	13827365
852781	2906	1997-04-12	VYDAJ	PREVOD NA UCET	341	43789	POJISTNE	EF	13827365
852782	2906	1997-05-12	VYDAJ	PREVOD NA UCET	341	41282	POJISTNE	EF	13827365
852783	2906	1997-06-12	VYDAJ	PREVOD NA UCET	341	53737	POJISTNE	EF	13827365
852784	2906	1997-07-12	VYDAJ	PREVOD NA UCET	341	21139	POJISTNE	EF	13827365
852785	2906	1997-08-12	VYDAJ	PREVOD NA UCET	341	30674	POJISTNE	EF	13827365
852786	2906	1997-09-12	VYDAJ	PREVOD NA UCET	341	34440	POJISTNE	EF	13827365
852787	2906	1997-10-12	VYDAJ	PREVOD NA UCET	341	44226	POJISTNE	EF	13827365
852788	2906	1997-11-12	VYDAJ	PREVOD NA UCET	341	46933	POJISTNE	EF	13827365
852789	2906	1997-12-12	VYDAJ	PREVOD NA UCET	341	53704	POJISTNE	EF	13827365
852790	2906	1998-01-12	VYDAJ	PREVOD NA UCET	341	43115	POJISTNE	EF	13827365
852791	2906	1998-02-12	VYDAJ	PREVOD NA UCET	341	33194	POJISTNE	EF	13827365
852792	2906	1998-03-12	VYDAJ	PREVOD NA UCET	341	35249	POJISTNE	EF	13827365
852793	2906	1998-04-12	VYDAJ	PREVOD NA UCET	341	39117	POJISTNE	EF	13827365
852794	2906	1998-05-12	VYDAJ	PREVOD NA UCET	341	37988	POJISTNE	EF	13827365
852795	2906	1998-06-12	VYDAJ	PREVOD NA UCET	341	29212	POJISTNE	EF	13827365
852796	2906	1998-07-12	VYDAJ	PREVOD NA UCET	341	26475	POJISTNE	EF	13827365
852797	2906	1998-08-12	VYDAJ	PREVOD NA UCET	341	28026	POJISTNE	EF	13827365
852798	2906	1998-09-12	VYDAJ	PREVOD NA UCET	341	27477	POJISTNE	EF	13827365
852799	2906	1998-10-12	VYDAJ	PREVOD NA UCET	341	22120	POJISTNE	EF	13827365
852800	2906	1998-11-12	VYDAJ	PREVOD NA UCET	341	17348	POJISTNE	EF	13827365
852801	2906	1998-12-12	VYDAJ	PREVOD NA UCET	341	16121	POJISTNE	EF	13827365
852803	2906	1997-06-26	VYDAJ	VYBER	25000	14983	\N	\N	\N
852807	2906	1998-01-17	VYDAJ	VYBER	7000	26161	\N	\N	\N
852809	2906	1997-12-14	VYDAJ	VYBER	2900	38850	\N	\N	\N
852810	2906	1998-12-08	VYDAJ	VYBER	800	14149	\N	\N	\N
852823	2906	1998-01-09	VYDAJ	VYBER	500	53419	\N	\N	\N
852824	2906	1998-01-24	VYDAJ	VYBER	500	24161	\N	\N	\N
852825	2906	1998-01-12	VYDAJ	VYBER	2200	43456	\N	\N	\N
852826	2906	1998-01-19	VYDAJ	VYBER	1500	24661	\N	\N	\N
852827	2906	1998-01-11	VYDAJ	VYBER	900	45656	\N	\N	\N
852828	2906	1998-01-15	VYDAJ	VYBER	1800	33161	\N	\N	\N
852836	2906	1997-11-11	VYDAJ	VYBER	1900	47274	\N	\N	\N
852837	2906	1997-09-06	VYDAJ	VYBER	4500	25527	\N	\N	\N
852838	2906	1997-12-29	VYDAJ	VYBER	1200	37650	\N	\N	\N
852840	2906	1997-08-07	VYDAJ	VYBER	4200	21761	\N	\N	\N
852841	2906	1997-04-16	VYDAJ	VYBER	1300	40035	\N	\N	\N
852842	2906	1997-07-10	VYDAJ	VYBER	2900	28343	\N	\N	\N
852843	2906	1998-09-16	VYDAJ	VYBER	4500	20523	\N	\N	\N
852844	2906	1998-07-12	VYDAJ	VYBER	800	26816	\N	\N	\N
852859	2906	1997-02-28	VYDAJ	VYBER	15	38269	SLUZBY	\N	\N
852860	2906	1997-03-31	VYDAJ	VYBER	15	34876	SLUZBY	\N	\N
852861	2906	1997-04-30	VYDAJ	VYBER	15	32369	SLUZBY	\N	\N
852862	2906	1997-05-31	VYDAJ	VYBER	15	36765	SLUZBY	\N	\N
852863	2906	1997-06-30	VYDAJ	VYBER	15	15126	SLUZBY	\N	\N
852864	2906	1997-07-31	VYDAJ	VYBER	15	25961	SLUZBY	\N	\N
852865	2906	1997-08-31	VYDAJ	VYBER	15	30027	SLUZBY	\N	\N
852866	2906	1997-09-30	VYDAJ	VYBER	15	35313	SLUZBY	\N	\N
852867	2906	1997-10-31	VYDAJ	VYBER	15	39920	SLUZBY	\N	\N
852868	2906	1997-11-30	VYDAJ	VYBER	15	36732	SLUZBY	\N	\N
852869	2906	1997-12-31	VYDAJ	VYBER	15	37802	SLUZBY	\N	\N
852870	2906	1998-01-31	VYDAJ	VYBER	15	24281	SLUZBY	\N	\N
852871	2906	1998-02-28	VYDAJ	VYBER	15	26336	SLUZBY	\N	\N
852872	2906	1998-03-31	VYDAJ	VYBER	15	30204	SLUZBY	\N	\N
852873	2906	1998-04-30	VYDAJ	VYBER	15	29075	SLUZBY	\N	\N
852874	2906	1998-05-31	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
852875	2906	1998-06-30	VYDAJ	VYBER	15	26862	SLUZBY	\N	\N
852876	2906	1998-07-31	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
852877	2906	1998-08-31	VYDAJ	VYBER	15	25664	SLUZBY	\N	\N
852878	2906	1998-09-30	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
852879	2906	1998-10-31	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
852880	2906	1998-11-30	VYDAJ	VYBER	15	14949	SLUZBY	\N	\N
852881	2906	1996-10-20	PRIJEM	VKLAD	3200	19517	\N	\N	\N
852882	2906	1996-11-19	VYDAJ	VYBER	6300	29366	\N	\N	\N
852883	2906	1996-12-19	VYDAJ	VYBER	15300	38339	\N	\N	\N
852884	2906	1997-01-18	VYDAJ	VYBER	15600	38994	\N	\N	\N
852885	2906	1997-02-17	VYDAJ	VYBER	7500	38114	\N	\N	\N
852886	2906	1997-03-19	VYDAJ	VYBER	10000	34728	\N	\N	\N
852887	2906	1997-04-18	VYDAJ	VYBER	7800	32235	\N	\N	\N
852888	2906	1997-05-18	VYDAJ	VYBER	2200	36628	\N	\N	\N
852889	2906	1997-06-17	VYDAJ	VYBER	11300	39983	\N	\N	\N
852890	2906	1997-07-17	PRIJEM	VKLAD	7200	25885	\N	\N	\N
852891	2906	1997-08-16	PRIJEM	VKLAD	1700	29920	\N	\N	\N
852892	2906	1997-09-15	PRIJEM	VKLAD	3200	35186	\N	\N	\N
852893	2906	1997-10-15	VYDAJ	VYBER	2000	39772	\N	\N	\N
852894	2906	1997-11-14	VYDAJ	VYBER	7900	39033	\N	\N	\N
852895	2906	1997-12-14	VYDAJ	VYBER	9500	41750	\N	\N	\N
852896	2906	1998-01-13	VYDAJ	VYBER	5700	37415	\N	\N	\N
852897	2906	1998-02-12	VYDAJ	VYBER	4500	28694	\N	\N	\N
852898	2906	1998-03-14	VYDAJ	VYBER	2700	30095	\N	\N	\N
852899	2906	1998-04-13	VYDAJ	VYBER	7700	31417	\N	\N	\N
852900	2906	1998-05-13	VYDAJ	VYBER	7900	30088	\N	\N	\N
852901	2906	1998-06-12	VYDAJ	VYBER	15500	29553	\N	\N	\N
852902	2906	1998-07-12	VYDAJ	VYBER	8500	27616	\N	\N	\N
852903	2906	1998-08-11	VYDAJ	VYBER	5000	28367	\N	\N	\N
852904	2906	1998-09-10	VYDAJ	VYBER	7100	27818	\N	\N	\N
852905	2906	1998-10-10	VYDAJ	VYBER	7400	29324	\N	\N	\N
852906	2906	1998-11-09	VYDAJ	VYBER	11300	24552	\N	\N	\N
852907	2906	1998-12-09	VYDAJ	VYBER	15000	23325	\N	\N	\N
852935	2907	1993-09-09	PRIJEM	VKLAD	700	700	\N	\N	\N
852945	2907	1993-10-06	PRIJEM	PREVOD Z UCTU	6891	7591	DUCHOD	CD	80834906
852946	2907	1993-11-06	PRIJEM	PREVOD Z UCTU	6891	14482	DUCHOD	CD	80834906
852947	2907	1993-12-06	PRIJEM	PREVOD Z UCTU	6891	21373	DUCHOD	CD	80834906
852948	2907	1994-01-06	PRIJEM	PREVOD Z UCTU	6891	27731	DUCHOD	CD	80834906
852949	2907	1994-02-06	PRIJEM	PREVOD Z UCTU	6891	33327	DUCHOD	CD	80834906
852950	2907	1994-03-06	PRIJEM	PREVOD Z UCTU	6891	33033	DUCHOD	CD	80834906
852951	2907	1994-04-06	PRIJEM	PREVOD Z UCTU	6891	33639	DUCHOD	CD	80834906
852952	2907	1994-05-06	PRIJEM	PREVOD Z UCTU	6891	29934	DUCHOD	CD	80834906
852953	2907	1994-06-06	PRIJEM	PREVOD Z UCTU	6891	27518	DUCHOD	CD	80834906
852954	2907	1994-07-06	PRIJEM	PREVOD Z UCTU	6891	20347	DUCHOD	CD	80834906
852955	2907	1994-08-06	PRIJEM	PREVOD Z UCTU	6891	19544	DUCHOD	CD	80834906
852956	2907	1994-09-06	PRIJEM	PREVOD Z UCTU	6891	22506	DUCHOD	CD	80834906
852957	2907	1994-10-06	PRIJEM	PREVOD Z UCTU	6891	25472	DUCHOD	CD	80834906
852958	2907	1994-11-06	PRIJEM	PREVOD Z UCTU	6891	28450	DUCHOD	CD	80834906
852959	2907	1994-12-06	PRIJEM	PREVOD Z UCTU	6891	29341	DUCHOD	CD	80834906
852960	2907	1995-01-06	PRIJEM	PREVOD Z UCTU	6891	27220	DUCHOD	CD	80834906
852961	2907	1995-02-06	PRIJEM	PREVOD Z UCTU	6891	23014	DUCHOD	CD	80834906
852962	2907	1995-03-06	PRIJEM	PREVOD Z UCTU	6891	23099	DUCHOD	CD	80834906
852963	2907	1995-04-06	PRIJEM	PREVOD Z UCTU	6891	25265	DUCHOD	CD	80834906
852964	2907	1995-05-06	PRIJEM	PREVOD Z UCTU	6891	22800	DUCHOD	CD	80834906
852965	2907	1995-06-06	PRIJEM	PREVOD Z UCTU	6891	22562	DUCHOD	CD	80834906
852966	2907	1995-07-06	PRIJEM	PREVOD Z UCTU	6891	24028	DUCHOD	CD	80834906
852967	2907	1995-08-06	PRIJEM	PREVOD Z UCTU	6891	27007	DUCHOD	CD	80834906
852968	2907	1995-09-06	PRIJEM	PREVOD Z UCTU	6891	27091	DUCHOD	CD	80834906
852969	2907	1995-10-06	PRIJEM	PREVOD Z UCTU	6891	30076	DUCHOD	CD	80834906
852970	2907	1995-11-06	PRIJEM	PREVOD Z UCTU	6891	31872	DUCHOD	CD	80834906
852971	2907	1995-12-06	PRIJEM	PREVOD Z UCTU	6891	30430	DUCHOD	CD	80834906
852972	2907	1996-01-06	PRIJEM	PREVOD Z UCTU	6891	32955	DUCHOD	CD	80834906
852973	2907	1996-02-06	PRIJEM	PREVOD Z UCTU	6891	22215	DUCHOD	CD	80834906
852974	2907	1996-03-06	PRIJEM	PREVOD Z UCTU	6891	25179	DUCHOD	CD	80834906
852975	2907	1996-04-06	PRIJEM	PREVOD Z UCTU	6891	28156	DUCHOD	CD	80834906
852976	2907	1996-05-06	PRIJEM	PREVOD Z UCTU	6891	31145	DUCHOD	CD	80834906
852977	2907	1996-06-06	PRIJEM	PREVOD Z UCTU	6891	28596	DUCHOD	CD	80834906
852978	2907	1996-07-06	PRIJEM	PREVOD Z UCTU	6891	31596	DUCHOD	CD	80834906
852979	2907	1996-08-06	PRIJEM	PREVOD Z UCTU	6891	30995	DUCHOD	CD	80834906
852980	2907	1996-09-06	PRIJEM	PREVOD Z UCTU	6891	32895	DUCHOD	CD	80834906
852981	2907	1996-10-06	PRIJEM	PREVOD Z UCTU	6891	33902	DUCHOD	CD	80834906
852982	2907	1996-11-06	PRIJEM	PREVOD Z UCTU	6891	27982	DUCHOD	CD	80834906
852983	2907	1996-12-06	PRIJEM	PREVOD Z UCTU	6891	27040	DUCHOD	CD	80834906
852984	2907	1997-01-06	PRIJEM	PREVOD Z UCTU	6891	24768	DUCHOD	CD	80834906
852985	2907	1997-02-06	PRIJEM	PREVOD Z UCTU	6891	20549	DUCHOD	CD	80834906
852986	2907	1997-03-06	PRIJEM	PREVOD Z UCTU	6891	21603	DUCHOD	CD	80834906
852987	2907	1997-04-06	PRIJEM	PREVOD Z UCTU	6891	21461	DUCHOD	CD	80834906
852988	2907	1997-05-06	PRIJEM	PREVOD Z UCTU	6891	21617	DUCHOD	CD	80834906
852989	2907	1997-06-06	PRIJEM	PREVOD Z UCTU	6891	19671	DUCHOD	CD	80834906
852990	2907	1997-07-06	PRIJEM	PREVOD Z UCTU	6891	19720	DUCHOD	CD	80834906
852991	2907	1997-08-06	PRIJEM	PREVOD Z UCTU	6891	19969	DUCHOD	CD	80834906
852992	2907	1997-09-06	PRIJEM	PREVOD Z UCTU	6891	22923	DUCHOD	CD	80834906
852993	2907	1997-10-06	PRIJEM	PREVOD Z UCTU	6891	25890	DUCHOD	CD	80834906
852994	2907	1997-11-06	PRIJEM	PREVOD Z UCTU	6891	26068	DUCHOD	CD	80834906
852995	2907	1997-12-06	PRIJEM	PREVOD Z UCTU	6891	29056	DUCHOD	CD	80834906
852996	2907	1998-01-06	PRIJEM	PREVOD Z UCTU	6891	27857	DUCHOD	CD	80834906
852997	2907	1998-02-06	PRIJEM	PREVOD Z UCTU	6891	24440	DUCHOD	CD	80834906
852998	2907	1998-03-06	PRIJEM	PREVOD Z UCTU	6891	26051	DUCHOD	CD	80834906
852999	2907	1998-04-06	PRIJEM	PREVOD Z UCTU	6891	29031	DUCHOD	CD	80834906
853000	2907	1998-05-06	PRIJEM	PREVOD Z UCTU	6891	32022	DUCHOD	CD	80834906
853001	2907	1998-06-06	PRIJEM	PREVOD Z UCTU	6891	33746	DUCHOD	CD	80834906
853111	2907	1995-01-25	VYDAJ	VYBER	1280	19167	\N	\N	\N
853002	2907	1998-07-06	PRIJEM	PREVOD Z UCTU	6891	22802	DUCHOD	CD	80834906
853003	2907	1998-08-06	PRIJEM	PREVOD Z UCTU	6891	23045	DUCHOD	CD	80834906
853004	2907	1998-09-06	PRIJEM	PREVOD Z UCTU	6891	26011	DUCHOD	CD	80834906
853005	2907	1998-10-06	PRIJEM	PREVOD Z UCTU	6891	28989	DUCHOD	CD	80834906
853006	2907	1998-11-06	PRIJEM	PREVOD Z UCTU	6891	31980	DUCHOD	CD	80834906
853007	2907	1998-12-06	PRIJEM	PREVOD Z UCTU	6891	32659	DUCHOD	CD	80834906
853021	2907	1994-02-12	VYDAJ	PREVOD NA UCET	3983	26044	SIPO	KL	17701733
853022	2907	1994-03-12	VYDAJ	PREVOD NA UCET	3983	26650	SIPO	KL	17701733
853023	2907	1994-04-12	VYDAJ	PREVOD NA UCET	3983	22956	SIPO	KL	17701733
853024	2907	1994-05-12	VYDAJ	PREVOD NA UCET	3983	20551	SIPO	KL	17701733
853025	2907	1994-06-12	VYDAJ	PREVOD NA UCET	3983	21035	SIPO	KL	17701733
853026	2907	1994-07-12	VYDAJ	PREVOD NA UCET	3983	16364	SIPO	KL	17701733
853027	2907	1994-08-12	VYDAJ	PREVOD NA UCET	3983	15561	SIPO	KL	17701733
853028	2907	1994-09-12	VYDAJ	PREVOD NA UCET	3983	18523	SIPO	KL	17701733
853029	2907	1994-10-12	VYDAJ	PREVOD NA UCET	3983	21489	SIPO	KL	17701733
853030	2907	1994-11-12	VYDAJ	PREVOD NA UCET	3983	24467	SIPO	KL	17701733
853031	2907	1994-12-12	VYDAJ	PREVOD NA UCET	3983	24558	SIPO	KL	17701733
853032	2907	1995-01-12	VYDAJ	PREVOD NA UCET	3983	23237	SIPO	KL	17701733
853033	2907	1995-02-12	VYDAJ	PREVOD NA UCET	3983	19031	SIPO	KL	17701733
853034	2907	1995-03-12	VYDAJ	PREVOD NA UCET	3983	19116	SIPO	KL	17701733
853035	2907	1995-04-12	VYDAJ	PREVOD NA UCET	3983	21282	SIPO	KL	17701733
853036	2907	1995-05-12	VYDAJ	PREVOD NA UCET	3983	15617	SIPO	KL	17701733
853037	2907	1995-06-12	VYDAJ	PREVOD NA UCET	3983	18579	SIPO	KL	17701733
853038	2907	1995-07-12	VYDAJ	PREVOD NA UCET	3983	20045	SIPO	KL	17701733
853039	2907	1995-08-12	VYDAJ	PREVOD NA UCET	3983	23024	SIPO	KL	17701733
853040	2907	1995-09-12	VYDAJ	PREVOD NA UCET	3983	23108	SIPO	KL	17701733
853041	2907	1995-10-12	VYDAJ	PREVOD NA UCET	3983	26093	SIPO	KL	17701733
853042	2907	1995-11-12	VYDAJ	PREVOD NA UCET	3983	27489	SIPO	KL	17701733
853043	2907	1995-12-12	VYDAJ	PREVOD NA UCET	3983	26447	SIPO	KL	17701733
853044	2907	1996-01-12	VYDAJ	PREVOD NA UCET	3983	22692	SIPO	KL	17701733
853045	2907	1996-02-12	VYDAJ	PREVOD NA UCET	3983	18232	SIPO	KL	17701733
853046	2907	1996-03-12	VYDAJ	PREVOD NA UCET	3983	21196	SIPO	KL	17701733
853047	2907	1996-04-12	VYDAJ	PREVOD NA UCET	3983	24173	SIPO	KL	17701733
853048	2907	1996-05-12	VYDAJ	PREVOD NA UCET	3983	27162	SIPO	KL	17701733
853049	2907	1996-06-12	VYDAJ	PREVOD NA UCET	3983	24613	SIPO	KL	17701733
853050	2907	1996-07-12	VYDAJ	PREVOD NA UCET	3983	27613	SIPO	KL	17701733
853051	2907	1996-08-12	VYDAJ	PREVOD NA UCET	3983	27012	SIPO	KL	17701733
853052	2907	1996-09-12	VYDAJ	PREVOD NA UCET	3983	28912	SIPO	KL	17701733
853053	2907	1996-10-12	VYDAJ	PREVOD NA UCET	3983	29919	SIPO	KL	17701733
853054	2907	1996-11-12	VYDAJ	PREVOD NA UCET	3983	20079	SIPO	KL	17701733
853055	2907	1996-12-12	VYDAJ	PREVOD NA UCET	3983	23057	SIPO	KL	17701733
853056	2907	1997-01-12	VYDAJ	PREVOD NA UCET	3983	16165	SIPO	KL	17701733
853057	2907	1997-02-12	VYDAJ	PREVOD NA UCET	3983	16566	SIPO	KL	17701733
853058	2907	1997-03-12	VYDAJ	PREVOD NA UCET	3983	17620	SIPO	KL	17701733
853059	2907	1997-04-12	VYDAJ	PREVOD NA UCET	3983	17478	SIPO	KL	17701733
853060	2907	1997-05-12	VYDAJ	PREVOD NA UCET	3983	16034	SIPO	KL	17701733
853061	2907	1997-06-12	VYDAJ	PREVOD NA UCET	3983	15688	SIPO	KL	17701733
853062	2907	1997-07-12	VYDAJ	PREVOD NA UCET	3983	15737	SIPO	KL	17701733
853063	2907	1997-08-12	VYDAJ	PREVOD NA UCET	3983	15986	SIPO	KL	17701733
853064	2907	1997-09-12	VYDAJ	PREVOD NA UCET	3983	18940	SIPO	KL	17701733
853065	2907	1997-10-12	VYDAJ	PREVOD NA UCET	3983	21907	SIPO	KL	17701733
853066	2907	1997-11-12	VYDAJ	PREVOD NA UCET	3983	22085	SIPO	KL	17701733
853067	2907	1997-12-12	VYDAJ	PREVOD NA UCET	3983	25073	SIPO	KL	17701733
853068	2907	1998-01-12	VYDAJ	PREVOD NA UCET	3983	22914	SIPO	KL	17701733
853069	2907	1998-02-12	VYDAJ	PREVOD NA UCET	3983	20457	SIPO	KL	17701733
853070	2907	1998-03-12	VYDAJ	PREVOD NA UCET	3983	22068	SIPO	KL	17701733
853071	2907	1998-04-12	VYDAJ	PREVOD NA UCET	3983	25048	SIPO	KL	17701733
853072	2907	1998-05-12	VYDAJ	PREVOD NA UCET	3983	28039	SIPO	KL	17701733
853073	2907	1998-06-12	VYDAJ	PREVOD NA UCET	3983	29763	SIPO	KL	17701733
853074	2907	1998-07-12	VYDAJ	PREVOD NA UCET	3983	18819	SIPO	KL	17701733
853075	2907	1998-08-12	VYDAJ	PREVOD NA UCET	3983	19062	SIPO	KL	17701733
853076	2907	1998-09-12	VYDAJ	PREVOD NA UCET	3983	22028	SIPO	KL	17701733
853077	2907	1998-10-12	VYDAJ	PREVOD NA UCET	3983	25006	SIPO	KL	17701733
853078	2907	1998-11-12	VYDAJ	PREVOD NA UCET	3983	27997	SIPO	KL	17701733
853079	2907	1998-12-12	VYDAJ	PREVOD NA UCET	3983	28676	SIPO	KL	17701733
853081	2907	1994-06-24	VYDAJ	VYBER	7650	13385	\N	\N	\N
853083	2907	1996-06-01	VYDAJ	VYBER	4650	21705	\N	\N	\N
853085	2907	1998-06-25	VYDAJ	VYBER	13950	15813	\N	\N	\N
853088	2907	1995-01-13	VYDAJ	VYBER	1750	21487	\N	\N	\N
853089	2907	1996-01-06	VYDAJ	VYBER	4600	28355	\N	\N	\N
853090	2907	1997-01-09	VYDAJ	VYBER	3500	20628	\N	\N	\N
853091	2907	1998-01-01	VYDAJ	VYBER	1900	22006	\N	\N	\N
853093	2907	1994-12-08	VYDAJ	VYBER	800	28541	\N	\N	\N
853094	2907	1995-12-03	VYDAJ	VYBER	1350	23539	\N	\N	\N
853095	2907	1996-12-27	VYDAJ	VYBER	850	17807	\N	\N	\N
853096	2907	1997-12-28	VYDAJ	VYBER	1250	23823	\N	\N	\N
853097	2907	1998-12-26	VYDAJ	VYBER	850	25586	\N	\N	\N
853110	2907	1995-01-18	VYDAJ	VYBER	1040	20447	\N	\N	\N
853112	2907	1995-01-01	VYDAJ	VYBER	2000	22649	\N	\N	\N
853113	2907	1995-01-29	VYDAJ	VYBER	1360	16047	\N	\N	\N
853114	2907	1995-01-04	VYDAJ	VYBER	2320	20329	\N	\N	\N
853115	2907	1995-01-28	VYDAJ	VYBER	1760	17407	\N	\N	\N
853116	2907	1996-01-13	VYDAJ	VYBER	1440	21252	\N	\N	\N
853117	2907	1996-01-30	VYDAJ	VYBER	640	15252	\N	\N	\N
853118	2907	1996-01-07	VYDAJ	VYBER	1680	26675	\N	\N	\N
853119	2907	1996-01-14	VYDAJ	VYBER	1120	20132	\N	\N	\N
853120	2907	1996-01-25	VYDAJ	VYBER	1440	15892	\N	\N	\N
853121	2907	1996-01-03	VYDAJ	VYBER	480	26064	\N	\N	\N
853122	2907	1997-01-06	VYDAJ	VYBER	640	24128	\N	\N	\N
853124	2907	1997-01-16	VYDAJ	VYBER	880	14805	\N	\N	\N
853125	2907	1997-01-15	VYDAJ	VYBER	480	15685	\N	\N	\N
853126	2907	1997-01-11	VYDAJ	VYBER	480	20148	\N	\N	\N
853128	2907	1998-01-27	VYDAJ	VYBER	1120	19314	\N	\N	\N
853129	2907	1998-01-10	VYDAJ	VYBER	960	26897	\N	\N	\N
853130	2907	1998-01-13	VYDAJ	VYBER	1840	21074	\N	\N	\N
853131	2907	1998-01-19	VYDAJ	VYBER	640	20434	\N	\N	\N
853132	2907	1998-01-04	VYDAJ	VYBER	1040	20966	\N	\N	\N
853133	2907	1998-01-29	VYDAJ	VYBER	1840	17474	\N	\N	\N
853136	2907	1994-08-02	VYDAJ	VYBER	3760	12653	\N	\N	\N
853137	2907	1995-04-30	VYDAJ	VYBER	2880	15924	\N	\N	\N
853138	2907	1995-04-25	VYDAJ	VYBER	2560	18722	\N	\N	\N
853139	2907	1995-10-25	VYDAJ	VYBER	1200	24893	\N	\N	\N
853140	2907	1995-11-07	VYDAJ	VYBER	400	31472	\N	\N	\N
853141	2907	1995-05-06	VYDAJ	VYBER	3200	19600	\N	\N	\N
853142	2907	1995-03-14	VYDAJ	VYBER	800	18316	\N	\N	\N
853143	2907	1995-02-21	VYDAJ	VYBER	2880	16151	\N	\N	\N
853144	2907	1996-11-11	VYDAJ	VYBER	3920	24062	\N	\N	\N
853145	2907	1996-10-19	VYDAJ	VYBER	2720	27199	\N	\N	\N
853146	2907	1996-01-17	VYDAJ	VYBER	2800	17332	\N	\N	\N
853147	2907	1996-07-23	VYDAJ	VYBER	3600	24013	\N	\N	\N
853152	2907	1997-05-10	VYDAJ	VYBER	1600	20017	\N	\N	\N
853154	2907	1997-11-05	VYDAJ	VYBER	2800	19177	\N	\N	\N
853156	2907	1998-06-05	VYDAJ	VYBER	1280	26855	\N	\N	\N
853157	2907	1998-12-27	VYDAJ	VYBER	2240	23346	\N	\N	\N
853159	2907	1998-07-24	VYDAJ	VYBER	2720	16099	\N	\N	\N
853160	2907	1998-11-15	VYDAJ	VYBER	2320	25677	\N	\N	\N
853161	2907	1998-02-24	VYDAJ	VYBER	1360	19097	\N	\N	\N
853162	2907	1998-12-22	VYDAJ	VYBER	2240	26436	\N	\N	\N
853177	2907	1994-02-28	VYDAJ	VYBER	15	26142	SLUZBY	\N	\N
853178	2907	1994-03-31	VYDAJ	VYBER	15	26748	SLUZBY	\N	\N
853179	2907	1994-04-30	VYDAJ	VYBER	15	23043	SLUZBY	\N	\N
853180	2907	1994-05-31	VYDAJ	VYBER	15	20627	SLUZBY	\N	\N
853181	2907	1994-06-30	VYDAJ	VYBER	15	13456	SLUZBY	\N	\N
853182	2907	1994-07-31	VYDAJ	VYBER	15	16413	SLUZBY	\N	\N
853183	2907	1994-08-31	VYDAJ	VYBER	15	15615	SLUZBY	\N	\N
853184	2907	1994-09-30	VYDAJ	VYBER	15	18581	SLUZBY	\N	\N
853185	2907	1994-10-31	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
853186	2907	1994-11-30	VYDAJ	VYBER	15	24550	SLUZBY	\N	\N
853187	2907	1994-12-31	VYDAJ	VYBER	15	24649	SLUZBY	\N	\N
853188	2907	1995-01-31	VYDAJ	VYBER	15	16123	SLUZBY	\N	\N
853189	2907	1995-02-28	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
853190	2907	1995-03-31	VYDAJ	VYBER	15	18374	SLUZBY	\N	\N
853191	2907	1995-04-30	VYDAJ	VYBER	15	15909	SLUZBY	\N	\N
853192	2907	1995-05-31	VYDAJ	VYBER	15	15671	SLUZBY	\N	\N
853193	2907	1995-06-30	VYDAJ	VYBER	15	18637	SLUZBY	\N	\N
853194	2907	1995-07-31	VYDAJ	VYBER	15	20116	SLUZBY	\N	\N
853195	2907	1995-08-31	VYDAJ	VYBER	15	20200	SLUZBY	\N	\N
853196	2907	1995-09-30	VYDAJ	VYBER	15	23185	SLUZBY	\N	\N
853197	2907	1995-10-31	VYDAJ	VYBER	15	24981	SLUZBY	\N	\N
853198	2907	1995-11-30	VYDAJ	VYBER	15	24889	SLUZBY	\N	\N
853199	2907	1995-12-31	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
853200	2907	1996-01-31	VYDAJ	VYBER	15	15324	SLUZBY	\N	\N
853201	2907	1996-02-29	VYDAJ	VYBER	15	18288	SLUZBY	\N	\N
853202	2907	1996-03-31	VYDAJ	VYBER	15	21265	SLUZBY	\N	\N
853203	2907	1996-04-30	VYDAJ	VYBER	15	24254	SLUZBY	\N	\N
853204	2907	1996-05-31	VYDAJ	VYBER	15	26355	SLUZBY	\N	\N
853205	2907	1996-06-30	VYDAJ	VYBER	15	24705	SLUZBY	\N	\N
853206	2907	1996-07-31	VYDAJ	VYBER	15	24104	SLUZBY	\N	\N
853207	2907	1996-08-31	VYDAJ	VYBER	15	26004	SLUZBY	\N	\N
853208	2907	1996-09-30	VYDAJ	VYBER	15	27011	SLUZBY	\N	\N
853209	2907	1996-10-31	VYDAJ	VYBER	15	21091	SLUZBY	\N	\N
853210	2907	1996-11-30	VYDAJ	VYBER	15	20149	SLUZBY	\N	\N
853211	2907	1996-12-31	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
853212	2907	1997-01-31	VYDAJ	VYBER	15	13658	SLUZBY	\N	\N
853213	2907	1997-02-28	VYDAJ	VYBER	15	14712	SLUZBY	\N	\N
853214	2907	1997-03-31	VYDAJ	VYBER	15	14570	SLUZBY	\N	\N
853215	2907	1997-04-30	VYDAJ	VYBER	15	14726	SLUZBY	\N	\N
853216	2907	1997-05-31	VYDAJ	VYBER	15	12780	SLUZBY	\N	\N
853217	2907	1997-06-30	VYDAJ	VYBER	15	12829	SLUZBY	\N	\N
853218	2907	1997-07-31	VYDAJ	VYBER	15	13078	SLUZBY	\N	\N
853219	2907	1997-08-31	VYDAJ	VYBER	15	16032	SLUZBY	\N	\N
853220	2907	1997-09-30	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
853221	2907	1997-10-31	VYDAJ	VYBER	15	21977	SLUZBY	\N	\N
853222	2907	1997-11-30	VYDAJ	VYBER	15	22165	SLUZBY	\N	\N
853223	2907	1997-12-31	VYDAJ	VYBER	15	23906	SLUZBY	\N	\N
853224	2907	1998-01-31	VYDAJ	VYBER	15	17549	SLUZBY	\N	\N
853225	2907	1998-02-28	VYDAJ	VYBER	15	19160	SLUZBY	\N	\N
853226	2907	1998-03-31	VYDAJ	VYBER	15	22140	SLUZBY	\N	\N
853227	2907	1998-04-30	VYDAJ	VYBER	15	25131	SLUZBY	\N	\N
853228	2907	1998-05-31	VYDAJ	VYBER	15	28135	SLUZBY	\N	\N
853229	2907	1998-06-30	VYDAJ	VYBER	15	15911	SLUZBY	\N	\N
853230	2907	1998-07-31	VYDAJ	VYBER	15	16154	SLUZBY	\N	\N
853231	2907	1998-08-31	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
853232	2907	1998-09-30	VYDAJ	VYBER	15	22098	SLUZBY	\N	\N
853233	2907	1998-10-31	VYDAJ	VYBER	15	25089	SLUZBY	\N	\N
853234	2907	1998-11-30	VYDAJ	VYBER	15	25768	SLUZBY	\N	\N
853235	2907	1993-12-08	VYDAJ	VYBER	600	20773	\N	\N	\N
853236	2907	1994-01-07	VYDAJ	VYBER	1400	26331	\N	\N	\N
853237	2907	1994-02-06	VYDAJ	VYBER	3300	30027	\N	\N	\N
853238	2907	1994-03-08	VYDAJ	VYBER	2400	30633	\N	\N	\N
853239	2907	1994-04-07	VYDAJ	VYBER	6700	26939	\N	\N	\N
853240	2907	1994-05-07	VYDAJ	VYBER	5400	24534	\N	\N	\N
853241	2907	1994-06-06	VYDAJ	VYBER	2500	25018	\N	\N	\N
853242	2907	1994-12-03	VYDAJ	VYBER	2100	22450	\N	\N	\N
853243	2907	1995-07-01	VYDAJ	VYBER	1500	17137	\N	\N	\N
853244	2907	1995-08-30	VYDAJ	VYBER	2900	20124	\N	\N	\N
853245	2907	1995-11-28	VYDAJ	VYBER	2700	24789	\N	\N	\N
853246	2907	1996-05-26	VYDAJ	VYBER	900	26262	\N	\N	\N
853247	2907	1996-08-24	VYDAJ	VYBER	1100	25912	\N	\N	\N
853248	2907	1996-09-23	VYDAJ	VYBER	2000	26912	\N	\N	\N
853249	2907	1996-10-23	VYDAJ	VYBER	6200	20999	\N	\N	\N
853250	2907	1996-12-22	VYDAJ	VYBER	4400	18657	\N	\N	\N
853251	2907	1997-01-21	VYDAJ	VYBER	1200	13605	\N	\N	\N
853252	2907	1997-02-20	VYDAJ	VYBER	1900	14666	\N	\N	\N
853253	2907	1997-03-22	VYDAJ	VYBER	3100	14520	\N	\N	\N
853254	2907	1997-04-21	VYDAJ	VYBER	2800	14678	\N	\N	\N
853255	2907	1997-05-21	VYDAJ	VYBER	3300	12734	\N	\N	\N
853256	2907	1997-06-20	VYDAJ	VYBER	2900	12788	\N	\N	\N
853257	2907	1997-07-20	VYDAJ	VYBER	2700	13037	\N	\N	\N
853319	2908	1997-03-16	PRIJEM	VKLAD	600	600	\N	\N	\N
853323	2908	1997-04-13	PRIJEM	VKLAD	16971	17571	\N	\N	\N
853324	2908	1997-05-13	PRIJEM	VKLAD	16971	39492	\N	\N	\N
853325	2908	1997-06-13	PRIJEM	VKLAD	25456	57363	\N	\N	\N
853326	2908	1997-07-13	PRIJEM	VKLAD	16971	57487	\N	\N	\N
853327	2908	1997-08-13	PRIJEM	VKLAD	16971	58528	\N	\N	\N
853328	2908	1997-09-13	PRIJEM	VKLAD	16971	53767	\N	\N	\N
853329	2908	1997-10-13	PRIJEM	VKLAD	16971	56617	\N	\N	\N
853330	2908	1997-11-13	PRIJEM	VKLAD	16971	66589	\N	\N	\N
853331	2908	1997-12-13	PRIJEM	VKLAD	25456	77783	\N	\N	\N
853332	2908	1998-01-13	PRIJEM	VKLAD	16971	69034	\N	\N	\N
853333	2908	1998-02-13	PRIJEM	VKLAD	16971	68366	\N	\N	\N
853334	2908	1998-03-13	PRIJEM	VKLAD	16971	73189	\N	\N	\N
853335	2908	1998-04-13	PRIJEM	VKLAD	16971	74032	\N	\N	\N
853336	2908	1998-05-13	PRIJEM	VKLAD	16971	75479	\N	\N	\N
853337	2908	1998-06-13	PRIJEM	VKLAD	25456	59410	\N	\N	\N
853338	2908	1998-07-13	PRIJEM	VKLAD	16971	63896	\N	\N	\N
853339	2908	1998-08-13	PRIJEM	VKLAD	16971	71992	\N	\N	\N
853340	2908	1998-09-13	PRIJEM	VKLAD	16971	70525	\N	\N	\N
853341	2908	1998-10-13	PRIJEM	VKLAD	16971	72658	\N	\N	\N
853342	2908	1998-11-13	PRIJEM	VKLAD	16971	73196	\N	\N	\N
853343	2908	1998-12-13	PRIJEM	VKLAD	25456	82822	\N	\N	\N
853352	2908	1997-09-08	VYDAJ	PREVOD NA UCET	3207	43396	SIPO	YZ	40506255
853353	2908	1997-10-08	VYDAJ	PREVOD NA UCET	3207	45946	SIPO	YZ	40506255
853354	2908	1997-11-08	VYDAJ	PREVOD NA UCET	3207	53618	SIPO	YZ	40506255
853355	2908	1997-12-08	VYDAJ	PREVOD NA UCET	3207	62927	SIPO	YZ	40506255
853356	2908	1998-01-08	VYDAJ	PREVOD NA UCET	3207	66263	SIPO	YZ	40506255
853357	2908	1998-02-08	VYDAJ	PREVOD NA UCET	3207	63795	SIPO	YZ	40506255
853358	2908	1998-03-08	VYDAJ	PREVOD NA UCET	3207	65418	SIPO	YZ	40506255
853359	2908	1998-04-08	VYDAJ	PREVOD NA UCET	3207	70261	SIPO	YZ	40506255
853360	2908	1998-05-08	VYDAJ	PREVOD NA UCET	3207	67008	SIPO	YZ	40506255
853361	2908	1998-06-08	VYDAJ	PREVOD NA UCET	3207	66254	SIPO	YZ	40506255
853362	2908	1998-07-08	VYDAJ	PREVOD NA UCET	3207	51525	SIPO	YZ	40506255
853363	2908	1998-08-08	VYDAJ	PREVOD NA UCET	3207	55021	SIPO	YZ	40506255
853364	2908	1998-09-08	VYDAJ	PREVOD NA UCET	3207	53554	SIPO	YZ	40506255
853365	2908	1998-10-08	VYDAJ	PREVOD NA UCET	3207	55687	SIPO	YZ	40506255
853366	2908	1998-11-08	VYDAJ	PREVOD NA UCET	3207	56225	SIPO	YZ	40506255
853367	2908	1998-12-08	VYDAJ	PREVOD NA UCET	3207	57366	SIPO	YZ	40506255
853369	2908	1998-06-10	VYDAJ	VYBER	21300	33954	\N	\N	\N
853371	2908	1998-01-07	VYDAJ	VYBER	8600	69470	\N	\N	\N
853372	2908	1997-12-06	VYDAJ	VYBER	700	66134	\N	\N	\N
853373	2908	1998-12-16	VYDAJ	VYBER KARTOU	1000	80022	\N	\N	0
853374	2908	1997-09-01	VYDAJ	VYBER	1500	46603	\N	\N	\N
853375	2908	1997-09-17	VYDAJ	VYBER	4800	48967	\N	\N	\N
853378	2908	1998-05-28	VYDAJ	VYBER	4500	69179	\N	\N	\N
853379	2908	1998-04-25	VYDAJ	VYBER	4100	69932	\N	\N	\N
853380	2908	1998-05-24	VYDAJ	VYBER	800	73679	\N	\N	\N
853381	2908	1998-05-23	VYDAJ	VYBER	1000	74479	\N	\N	\N
853382	2908	1998-11-25	VYDAJ	VYBER KARTOU	1500	71696	\N	\N	0
853383	2908	1998-12-14	VYDAJ	VYBER KARTOU	1800	81022	\N	\N	0
853384	2908	1998-06-15	VYDAJ	VYBER	4900	54510	\N	\N	\N
853385	2908	1998-01-14	VYDAJ	VYBER	2300	66734	\N	\N	\N
853394	2908	1997-08-31	VYDAJ	VYBER	15	48103	SLUZBY	\N	\N
853395	2908	1997-09-30	VYDAJ	VYBER	15	49153	SLUZBY	\N	\N
853396	2908	1997-10-31	VYDAJ	VYBER	15	56825	SLUZBY	\N	\N
853397	2908	1997-11-30	VYDAJ	VYBER	15	66834	SLUZBY	\N	\N
853398	2908	1997-12-31	VYDAJ	VYBER	15	78070	SLUZBY	\N	\N
853399	2908	1998-01-31	VYDAJ	VYBER	15	67002	SLUZBY	\N	\N
853400	2908	1998-02-28	VYDAJ	VYBER	15	68625	SLUZBY	\N	\N
853401	2908	1998-03-31	VYDAJ	VYBER	15	73468	SLUZBY	\N	\N
853402	2908	1998-04-30	VYDAJ	VYBER	15	70215	SLUZBY	\N	\N
853403	2908	1998-05-31	VYDAJ	VYBER	15	69461	SLUZBY	\N	\N
853404	2908	1998-06-30	VYDAJ	VYBER	15	54732	SLUZBY	\N	\N
853405	2908	1998-07-31	VYDAJ	VYBER	15	64128	SLUZBY	\N	\N
853406	2908	1998-08-31	VYDAJ	VYBER	15	72261	SLUZBY	\N	\N
853407	2908	1998-09-30	VYDAJ	VYBER	15	70794	SLUZBY	\N	\N
853408	2908	1998-10-31	VYDAJ	VYBER	15	72932	SLUZBY	\N	\N
853409	2908	1998-11-30	VYDAJ	VYBER	15	71973	SLUZBY	\N	\N
853410	2908	1997-04-15	PRIJEM	VKLAD	4900	22471	\N	\N	\N
853411	2908	1997-05-15	VYDAJ	VYBER	7700	31792	\N	\N	\N
853412	2908	1997-06-14	VYDAJ	VYBER	17000	40363	\N	\N	\N
853413	2908	1997-07-14	VYDAJ	VYBER	16100	41387	\N	\N	\N
853414	2908	1997-08-13	VYDAJ	VYBER	10600	47928	\N	\N	\N
853415	2908	1997-09-12	VYDAJ	VYBER	6600	36796	\N	\N	\N
853416	2908	1997-10-12	VYDAJ	VYBER	6300	39646	\N	\N	\N
853417	2908	1997-11-11	VYDAJ	VYBER	4000	49618	\N	\N	\N
853418	2908	1997-12-11	VYDAJ	VYBER	10600	52327	\N	\N	\N
853419	2908	1998-01-10	VYDAJ	VYBER	14200	52063	\N	\N	\N
853420	2908	1998-02-09	VYDAJ	VYBER	12400	51395	\N	\N	\N
853421	2908	1998-03-11	VYDAJ	VYBER	9200	56218	\N	\N	\N
853422	2908	1998-04-10	VYDAJ	VYBER	13200	57061	\N	\N	\N
853423	2908	1998-05-10	VYDAJ	VYBER	8500	58508	\N	\N	\N
853424	2908	1998-06-09	VYDAJ	VYBER	11000	55254	\N	\N	\N
853425	2908	1998-07-09	VYDAJ	VYBER	4600	46925	\N	\N	\N
853426	2908	1998-08-08	VYDAJ	VYBER	5900	58228	\N	\N	\N
853427	2908	1998-09-07	VYDAJ	VYBER	15500	56761	\N	\N	\N
853428	2908	1998-10-07	VYDAJ	VYBER	11900	58894	\N	\N	\N
853429	2908	1998-11-06	VYDAJ	VYBER	13500	59432	\N	\N	\N
853430	2908	1998-12-06	VYDAJ	VYBER	11400	60573	\N	\N	\N
853452	2909	1996-04-04	PRIJEM	VKLAD	200	200	\N	\N	\N
853456	2909	1996-04-06	PRIJEM	VKLAD	10555	10755	\N	\N	\N
853457	2909	1996-05-06	PRIJEM	VKLAD	10555	30647	\N	\N	\N
853458	2909	1996-06-06	PRIJEM	VKLAD	15832	42694	\N	\N	\N
853459	2909	1996-07-06	PRIJEM	VKLAD	10555	44818	\N	\N	\N
853460	2909	1996-08-06	PRIJEM	VKLAD	10555	48059	\N	\N	\N
853461	2909	1996-09-06	PRIJEM	VKLAD	10555	49043	\N	\N	\N
853462	2909	1996-10-06	PRIJEM	VKLAD	10555	50729	\N	\N	\N
853463	2909	1996-11-06	PRIJEM	VKLAD	10555	51320	\N	\N	\N
853464	2909	1996-12-06	PRIJEM	VKLAD	15832	59180	\N	\N	\N
853465	2909	1997-01-06	PRIJEM	VKLAD	10555	47180	\N	\N	\N
853466	2909	1997-02-06	PRIJEM	VKLAD	10555	42141	\N	\N	\N
853467	2909	1997-03-06	PRIJEM	VKLAD	10555	44985	\N	\N	\N
853468	2909	1997-04-06	PRIJEM	VKLAD	10555	52343	\N	\N	\N
853469	2909	1997-05-06	PRIJEM	VKLAD	10555	54729	\N	\N	\N
853470	2909	1997-06-06	PRIJEM	VKLAD	15832	62503	\N	\N	\N
853471	2909	1997-07-06	PRIJEM	VKLAD	10555	46474	\N	\N	\N
853472	2909	1997-08-06	PRIJEM	VKLAD	10555	45333	\N	\N	\N
853473	2909	1997-09-06	PRIJEM	VKLAD	10555	50192	\N	\N	\N
853474	2909	1997-10-06	PRIJEM	VKLAD	10555	57072	\N	\N	\N
853475	2909	1997-11-06	PRIJEM	VKLAD	10555	49967	\N	\N	\N
853476	2909	1997-12-06	PRIJEM	VKLAD	15832	56634	\N	\N	\N
853477	2909	1998-01-06	PRIJEM	VKLAD	10555	45341	\N	\N	\N
853478	2909	1998-02-06	PRIJEM	VKLAD	10555	44203	\N	\N	\N
853479	2909	1998-03-06	PRIJEM	VKLAD	10555	48761	\N	\N	\N
853480	2909	1998-04-06	PRIJEM	VKLAD	10555	46624	\N	\N	\N
853481	2909	1998-05-06	PRIJEM	VKLAD	10555	50587	\N	\N	\N
853482	2909	1998-06-06	PRIJEM	VKLAD	15832	43841	\N	\N	\N
853483	2909	1998-07-06	PRIJEM	VKLAD	10555	46807	\N	\N	\N
853484	2909	1998-08-06	PRIJEM	VKLAD	10555	48665	\N	\N	\N
853485	2909	1998-09-06	PRIJEM	VKLAD	10555	49432	\N	\N	\N
853486	2909	1998-10-06	PRIJEM	VKLAD	10555	48495	\N	\N	\N
853487	2909	1998-11-06	PRIJEM	VKLAD	10555	49962	\N	\N	\N
853488	2909	1998-12-06	PRIJEM	VKLAD	15832	51205	\N	\N	\N
853496	2909	1996-08-13	VYDAJ	PREVOD NA UCET	7036	41023	SIPO	KL	14482391
853497	2909	1996-09-13	VYDAJ	PREVOD NA UCET	7036	42007	SIPO	KL	14482391
853498	2909	1996-10-13	VYDAJ	PREVOD NA UCET	7036	43693	SIPO	KL	14482391
853499	2909	1996-11-13	VYDAJ	PREVOD NA UCET	7036	44284	SIPO	KL	14482391
853500	2909	1996-12-13	VYDAJ	PREVOD NA UCET	7036	52144	SIPO	KL	14482391
853501	2909	1997-01-13	VYDAJ	PREVOD NA UCET	7036	36844	SIPO	KL	14482391
853502	2909	1997-02-13	VYDAJ	PREVOD NA UCET	7036	35105	SIPO	KL	14482391
853503	2909	1997-03-13	VYDAJ	PREVOD NA UCET	7036	37949	SIPO	KL	14482391
853504	2909	1997-04-13	VYDAJ	PREVOD NA UCET	7036	45307	SIPO	KL	14482391
853505	2909	1997-05-13	VYDAJ	PREVOD NA UCET	7036	47693	SIPO	KL	14482391
853506	2909	1997-06-13	VYDAJ	PREVOD NA UCET	7036	55467	SIPO	KL	14482391
853507	2909	1997-07-13	VYDAJ	PREVOD NA UCET	7036	39438	SIPO	KL	14482391
853508	2909	1997-08-13	VYDAJ	PREVOD NA UCET	7036	38297	SIPO	KL	14482391
853509	2909	1997-09-13	VYDAJ	PREVOD NA UCET	7036	43156	SIPO	KL	14482391
853510	2909	1997-10-13	VYDAJ	PREVOD NA UCET	7036	50036	SIPO	KL	14482391
853511	2909	1997-11-13	VYDAJ	PREVOD NA UCET	7036	42931	SIPO	KL	14482391
853512	2909	1997-12-13	VYDAJ	PREVOD NA UCET	7036	49598	SIPO	KL	14482391
853513	2909	1998-01-13	VYDAJ	PREVOD NA UCET	7036	35205	SIPO	KL	14482391
853514	2909	1998-02-13	VYDAJ	PREVOD NA UCET	7036	33067	SIPO	KL	14482391
853515	2909	1998-03-13	VYDAJ	PREVOD NA UCET	7036	41725	SIPO	KL	14482391
853516	2909	1998-04-13	VYDAJ	PREVOD NA UCET	7036	39588	SIPO	KL	14482391
853517	2909	1998-05-13	VYDAJ	PREVOD NA UCET	7036	43551	SIPO	KL	14482391
853518	2909	1998-06-13	VYDAJ	PREVOD NA UCET	7036	36805	SIPO	KL	14482391
853519	2909	1998-07-13	VYDAJ	PREVOD NA UCET	7036	39771	SIPO	KL	14482391
853520	2909	1998-08-13	VYDAJ	PREVOD NA UCET	7036	41629	SIPO	KL	14482391
853521	2909	1998-09-13	VYDAJ	PREVOD NA UCET	7036	42396	SIPO	KL	14482391
853522	2909	1998-10-13	VYDAJ	PREVOD NA UCET	7036	41459	SIPO	KL	14482391
853523	2909	1998-11-13	VYDAJ	PREVOD NA UCET	7036	42426	SIPO	KL	14482391
853524	2909	1998-12-13	VYDAJ	PREVOD NA UCET	7036	44169	SIPO	KL	14482391
853526	2909	1997-06-16	VYDAJ	VYBER	24700	30767	\N	\N	\N
853527	2909	1998-06-05	VYDAJ	VYBER	13200	28009	\N	\N	\N
853529	2909	1997-01-02	VYDAJ	VYBER	4900	36625	\N	\N	\N
853530	2909	1998-01-01	VYDAJ	VYBER	9400	34786	\N	\N	\N
853531	2909	1996-12-26	VYDAJ	VYBER	1500	47444	\N	\N	\N
853532	2909	1997-12-03	VYDAJ	VYBER	1700	40802	\N	\N	\N
853533	2909	1998-12-14	VYDAJ	VYBER	700	43469	\N	\N	\N
853540	2909	1997-01-25	VYDAJ	VYBER	2400	29044	\N	\N	\N
853541	2909	1997-01-21	VYDAJ	VYBER	2400	34444	\N	\N	\N
853542	2909	1997-01-22	VYDAJ	VYBER	2300	32144	\N	\N	\N
853543	2909	1997-01-10	VYDAJ	VYBER	600	43880	\N	\N	\N
853544	2909	1997-01-10	VYDAJ	VYBER	2700	44480	\N	\N	\N
853545	2909	1997-01-22	VYDAJ	VYBER	700	31444	\N	\N	\N
853546	2909	1998-01-10	VYDAJ	VYBER	1300	42241	\N	\N	\N
853547	2909	1998-01-09	VYDAJ	VYBER	1800	43541	\N	\N	\N
853548	2909	1998-01-24	VYDAJ	VYBER	2800	35305	\N	\N	\N
853549	2909	1998-01-19	VYDAJ	VYBER	2100	32605	\N	\N	\N
853550	2909	1998-01-17	VYDAJ	VYBER	500	34705	\N	\N	\N
853551	2909	1998-01-26	VYDAJ	VYBER	1800	33505	\N	\N	\N
853554	2909	1996-12-21	VYDAJ	VYBER	3200	48944	\N	\N	\N
853556	2909	1997-11-26	VYDAJ	VYBER	3700	42331	\N	\N	\N
853557	2909	1997-07-25	VYDAJ	VYBER	4300	35138	\N	\N	\N
853558	2909	1997-10-17	VYDAJ	VYBER	4800	45236	\N	\N	\N
853559	2909	1997-11-01	VYDAJ	VYBER	3900	39412	\N	\N	\N
853560	2909	1998-07-15	VYDAJ	VYBER	2500	37271	\N	\N	\N
853561	2909	1998-09-19	VYDAJ	VYBER	4100	33796	\N	\N	\N
853562	2909	1998-03-21	VYDAJ	VYBER	3300	38425	\N	\N	\N
853563	2909	1998-11-12	VYDAJ	VYBER	500	49462	\N	\N	\N
853564	2909	1998-09-15	VYDAJ	VYBER	4500	37896	\N	\N	\N
853565	2909	1998-02-06	VYDAJ	VYBER	4100	40103	\N	\N	\N
853566	2909	1998-03-22	VYDAJ	VYBER	4300	34125	\N	\N	\N
853575	2909	1996-08-31	VYDAJ	VYBER	15	41188	SLUZBY	\N	\N
853576	2909	1996-09-30	VYDAJ	VYBER	15	42174	SLUZBY	\N	\N
853577	2909	1996-10-31	VYDAJ	VYBER	15	43865	SLUZBY	\N	\N
853578	2909	1996-11-30	VYDAJ	VYBER	15	44448	SLUZBY	\N	\N
853579	2909	1996-12-31	VYDAJ	VYBER	15	41525	SLUZBY	\N	\N
853580	2909	1997-01-31	VYDAJ	VYBER	15	31586	SLUZBY	\N	\N
853581	2909	1997-02-28	VYDAJ	VYBER	15	35230	SLUZBY	\N	\N
853582	2909	1997-03-31	VYDAJ	VYBER	15	41788	SLUZBY	\N	\N
853583	2909	1997-04-30	VYDAJ	VYBER	15	44174	SLUZBY	\N	\N
853584	2909	1997-05-31	VYDAJ	VYBER	15	46671	SLUZBY	\N	\N
853585	2909	1997-06-30	VYDAJ	VYBER	15	35919	SLUZBY	\N	\N
853586	2909	1997-07-31	VYDAJ	VYBER	15	34778	SLUZBY	\N	\N
853587	2909	1997-08-31	VYDAJ	VYBER	15	39637	SLUZBY	\N	\N
853588	2909	1997-09-30	VYDAJ	VYBER	15	46517	SLUZBY	\N	\N
853589	2909	1997-10-31	VYDAJ	VYBER	15	43312	SLUZBY	\N	\N
853590	2909	1997-11-30	VYDAJ	VYBER	15	42502	SLUZBY	\N	\N
853591	2909	1997-12-31	VYDAJ	VYBER	15	44186	SLUZBY	\N	\N
853592	2909	1998-01-31	VYDAJ	VYBER	15	33648	SLUZBY	\N	\N
853593	2909	1998-02-28	VYDAJ	VYBER	15	38206	SLUZBY	\N	\N
853594	2909	1998-03-31	VYDAJ	VYBER	15	36069	SLUZBY	\N	\N
853595	2909	1998-04-30	VYDAJ	VYBER	15	40032	SLUZBY	\N	\N
853596	2909	1998-05-31	VYDAJ	VYBER	15	41209	SLUZBY	\N	\N
853597	2909	1998-06-30	VYDAJ	VYBER	15	36252	SLUZBY	\N	\N
853598	2909	1998-07-31	VYDAJ	VYBER	15	38110	SLUZBY	\N	\N
853599	2909	1998-08-31	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
853600	2909	1998-09-30	VYDAJ	VYBER	15	37940	SLUZBY	\N	\N
853601	2909	1998-10-31	VYDAJ	VYBER	15	39407	SLUZBY	\N	\N
853602	2909	1998-11-30	VYDAJ	VYBER	15	35373	SLUZBY	\N	\N
853603	2909	1996-05-04	PRIJEM	VKLAD	9300	20092	\N	\N	\N
853604	2909	1996-06-03	VYDAJ	VYBER	3900	26862	\N	\N	\N
853605	2909	1996-07-03	VYDAJ	VYBER	8600	34263	\N	\N	\N
853606	2909	1996-08-02	VYDAJ	VYBER	7500	37504	\N	\N	\N
853607	2909	1996-09-01	VYDAJ	VYBER	2700	38488	\N	\N	\N
853608	2909	1996-10-01	VYDAJ	VYBER	2000	40174	\N	\N	\N
853609	2909	1996-10-31	VYDAJ	VYBER	3100	40765	\N	\N	\N
853610	2909	1996-11-30	VYDAJ	VYBER	1100	43348	\N	\N	\N
853611	2909	1996-12-30	VYDAJ	VYBER	6100	41344	\N	\N	\N
853612	2909	1997-01-29	PRIJEM	VKLAD	2400	31444	\N	\N	\N
853613	2909	1997-02-28	VYDAJ	VYBER	800	34430	\N	\N	\N
853614	2909	1997-03-30	PRIJEM	VKLAD	3700	41649	\N	\N	\N
853615	2909	1997-04-29	VYDAJ	VYBER	1300	44007	\N	\N	\N
853616	2909	1997-05-29	VYDAJ	VYBER	1200	46493	\N	\N	\N
853617	2909	1997-06-28	PRIJEM	VKLAD	5000	35767	\N	\N	\N
853618	2909	1997-07-28	VYDAJ	VYBER	500	34638	\N	\N	\N
853619	2909	1997-08-27	PRIJEM	VKLAD	1200	39497	\N	\N	\N
853620	2909	1997-09-26	PRIJEM	VKLAD	3200	46356	\N	\N	\N
853621	2909	1997-10-26	VYDAJ	VYBER	2100	43136	\N	\N	\N
853622	2909	1997-11-25	PRIJEM	VKLAD	3100	46031	\N	\N	\N
853623	2909	1997-12-25	VYDAJ	VYBER	5600	43998	\N	\N	\N
853624	2909	1998-01-24	PRIJEM	VKLAD	5500	38105	\N	\N	\N
853625	2909	1998-02-23	PRIJEM	VKLAD	5000	38067	\N	\N	\N
853626	2909	1998-03-25	PRIJEM	VKLAD	1800	35925	\N	\N	\N
853627	2909	1998-04-24	PRIJEM	VKLAD	300	39888	\N	\N	\N
853628	2909	1998-05-24	VYDAJ	VYBER	2500	41051	\N	\N	\N
853629	2909	1998-06-23	VYDAJ	VYBER	700	36105	\N	\N	\N
853630	2909	1998-07-23	PRIJEM	VKLAD	700	37971	\N	\N	\N
853631	2909	1998-08-22	VYDAJ	VYBER	2900	38729	\N	\N	\N
853632	2909	1998-09-21	PRIJEM	VKLAD	4000	37796	\N	\N	\N
853633	2909	1998-10-21	VYDAJ	VYBER	2200	39259	\N	\N	\N
853634	2909	1998-11-20	VYDAJ	VYBER	7200	35226	\N	\N	\N
853668	2910	1997-10-21	PRIJEM	VKLAD	900	900	\N	\N	\N
853679	2910	1997-11-09	PRIJEM	PREVOD Z UCTU	43748	44648	\N	WX	8741110
853680	2910	1997-12-09	PRIJEM	PREVOD Z UCTU	65622	97919	\N	WX	8741110
853681	2910	1998-01-09	PRIJEM	PREVOD Z UCTU	43748	101042	\N	WX	8741110
853682	2910	1998-02-09	PRIJEM	PREVOD Z UCTU	43748	101929	\N	WX	8741110
853683	2910	1998-03-09	PRIJEM	PREVOD Z UCTU	43748	101418	\N	WX	8741110
853684	2910	1998-04-09	PRIJEM	PREVOD Z UCTU	43748	78976	\N	WX	8741110
853685	2910	1998-05-09	PRIJEM	PREVOD Z UCTU	43748	59687	\N	WX	8741110
853686	2910	1998-06-09	PRIJEM	PREVOD Z UCTU	65622	83329	\N	WX	8741110
853687	2910	1998-07-09	PRIJEM	PREVOD Z UCTU	43748	68327	\N	WX	8741110
853688	2910	1998-08-09	PRIJEM	PREVOD Z UCTU	43748	65315	\N	WX	8741110
853689	2910	1998-09-09	PRIJEM	PREVOD Z UCTU	43748	63486	\N	WX	8741110
853690	2910	1998-10-09	PRIJEM	PREVOD Z UCTU	43748	61553	\N	WX	8741110
853691	2910	1998-11-09	PRIJEM	PREVOD Z UCTU	43748	60216	\N	WX	8741110
853692	2910	1998-12-09	PRIJEM	PREVOD Z UCTU	65622	79254	\N	WX	8741110
853707	2910	1998-03-19	VYDAJ	VYBER	8300	90718	\N	\N	0
853708	2910	1998-04-11	VYDAJ	VYBER	9100	69876	\N	\N	0
853709	2910	1998-05-02	VYDAJ	VYBER	6500	30373	\N	\N	0
853710	2910	1998-06-11	VYDAJ	VYBER	7700	75629	\N	\N	0
853711	2910	1998-07-19	VYDAJ	VYBER	4600	35827	\N	\N	0
853712	2910	1998-08-13	VYDAJ	VYBER	5400	59915	\N	\N	0
853713	2910	1998-09-12	VYDAJ	PREVOD NA UCET	7291	56195	UVER	UV	32031208
853714	2910	1998-10-12	VYDAJ	PREVOD NA UCET	7291	54261	UVER	UV	32031208
853715	2910	1998-11-12	VYDAJ	PREVOD NA UCET	7291	52925	UVER	UV	32031208
853716	2910	1998-12-12	VYDAJ	PREVOD NA UCET	7291	71963	UVER	UV	32031208
853732	2910	1998-04-07	VYDAJ	PREVOD NA UCET	6778	35228	SIPO	UV	77491187
853733	2910	1998-05-07	VYDAJ	PREVOD NA UCET	6778	15939	SIPO	UV	77491187
853734	2910	1998-06-07	VYDAJ	PREVOD NA UCET	6778	17707	SIPO	UV	77491187
853735	2910	1998-07-07	VYDAJ	PREVOD NA UCET	6778	24579	SIPO	UV	77491187
853736	2910	1998-08-07	VYDAJ	PREVOD NA UCET	6778	21567	SIPO	UV	77491187
853737	2910	1998-09-07	VYDAJ	PREVOD NA UCET	6778	19738	SIPO	UV	77491187
853738	2910	1998-10-07	VYDAJ	PREVOD NA UCET	6778	17805	SIPO	UV	77491187
853739	2910	1998-11-07	VYDAJ	PREVOD NA UCET	6778	16468	SIPO	UV	77491187
853740	2910	1998-12-07	VYDAJ	PREVOD NA UCET	6778	13632	SIPO	UV	77491187
853756	2910	1998-04-06	VYDAJ	PREVOD NA UCET	7656	42006	 	OP	4570603
853757	2910	1998-05-06	VYDAJ	PREVOD NA UCET	7656	22717	 	OP	4570603
853758	2910	1998-06-06	VYDAJ	PREVOD NA UCET	7656	24485	 	OP	4570603
853759	2910	1998-07-06	VYDAJ	PREVOD NA UCET	7656	31357	 	OP	4570603
853760	2910	1998-08-06	VYDAJ	PREVOD NA UCET	7656	28345	 	OP	4570603
853761	2910	1998-09-06	VYDAJ	PREVOD NA UCET	7656	26516	 	OP	4570603
853762	2910	1998-10-06	VYDAJ	PREVOD NA UCET	7656	24583	 	OP	4570603
853763	2910	1998-11-06	VYDAJ	PREVOD NA UCET	7656	23246	 	OP	4570603
853764	2910	1998-12-06	VYDAJ	PREVOD NA UCET	7656	20410	 	OP	4570603
853767	2910	1998-11-25	VYBER	VYBER	4590	27935	\N	\N	\N
853773	2910	1998-12-26	VYDAJ	VYBER KARTOU	2700	42063	\N	\N	0
853792	2910	1998-10-31	VYDAJ	VYBER KARTOU	2100	30917	\N	\N	0
853793	2910	1998-08-20	VYDAJ	VYBER	1800	34015	\N	\N	\N
853795	2910	1998-03-14	VYDAJ	VYBER	2400	99018	\N	\N	\N
853811	2910	1998-03-31	VYDAJ	VYBER	15	49662	SLUZBY	\N	\N
853812	2910	1998-04-30	VYDAJ	VYBER	15	36873	SLUZBY	\N	\N
853813	2910	1998-05-31	VYDAJ	VYBER	15	32141	SLUZBY	\N	\N
853814	2910	1998-06-30	VYDAJ	VYBER	15	39013	SLUZBY	\N	\N
853815	2910	1998-07-31	VYDAJ	VYBER	15	36001	SLUZBY	\N	\N
853816	2910	1998-08-31	VYDAJ	VYBER	15	34172	SLUZBY	\N	\N
853817	2910	1998-09-30	VYDAJ	VYBER	15	32239	SLUZBY	\N	\N
853818	2910	1998-10-31	VYDAJ	VYBER	15	30902	SLUZBY	\N	\N
853819	2910	1998-11-30	VYDAJ	VYBER	15	28066	SLUZBY	\N	\N
853820	2910	1997-11-20	VYDAJ	VYBER	12400	32248	\N	\N	\N
853821	2910	1997-12-20	VYDAJ	VYBER	40800	57119	\N	\N	\N
853822	2910	1998-01-19	VYDAJ	VYBER	43100	57942	\N	\N	\N
853823	2910	1998-02-18	VYDAJ	VYBER	44500	57429	\N	\N	\N
853824	2910	1998-03-20	VYDAJ	VYBER	41300	49418	\N	\N	\N
853825	2910	1998-04-19	VYDAJ	VYBER	33200	36676	\N	\N	\N
853826	2910	1998-05-19	VYDAJ	VYBER	27700	31987	\N	\N	\N
853827	2910	1998-06-18	VYDAJ	VYBER	36800	38829	\N	\N	\N
853828	2910	1998-07-18	VYDAJ	VYBER	27900	40427	\N	\N	\N
853829	2910	1998-08-17	VYDAJ	VYBER	24100	35815	\N	\N	\N
853830	2910	1998-09-16	VYDAJ	VYBER	24100	32095	\N	\N	\N
853831	2910	1998-10-16	VYDAJ	VYBER	21400	32861	\N	\N	\N
853832	2910	1998-11-15	VYDAJ	VYBER	20400	32525	\N	\N	\N
853833	2910	1998-12-15	VYDAJ	VYBER	27200	44763	\N	\N	\N
853848	2911	1995-02-25	PRIJEM	VKLAD	900	900	\N	\N	\N
853851	2911	1995-03-07	PRIJEM	VKLAD	11368	12268	\N	\N	\N
853852	2911	1995-04-07	PRIJEM	VKLAD	11368	31349	\N	\N	\N
853853	2911	1995-05-07	PRIJEM	VKLAD	11368	41508	\N	\N	\N
853854	2911	1995-06-07	PRIJEM	VKLAD	17052	51789	\N	\N	\N
853855	2911	1995-07-07	PRIJEM	VKLAD	11368	49103	\N	\N	\N
853856	2911	1995-08-07	PRIJEM	VKLAD	11368	38641	\N	\N	\N
853857	2911	1995-09-07	PRIJEM	VKLAD	11368	37342	\N	\N	\N
853858	2911	1995-10-07	PRIJEM	VKLAD	11368	36338	\N	\N	\N
853859	2911	1995-11-07	PRIJEM	VKLAD	11368	35730	\N	\N	\N
853860	2911	1995-12-07	PRIJEM	VKLAD	17052	34983	\N	\N	\N
853861	2911	1996-01-07	PRIJEM	VKLAD	11368	31559	\N	\N	\N
853862	2911	1996-02-07	PRIJEM	VKLAD	11368	32933	\N	\N	\N
853863	2911	1996-03-07	PRIJEM	VKLAD	11368	32208	\N	\N	\N
853864	2911	1996-04-07	PRIJEM	VKLAD	11368	30378	\N	\N	\N
853865	2911	1996-05-07	PRIJEM	VKLAD	11368	30845	\N	\N	\N
853866	2911	1996-06-07	PRIJEM	VKLAD	17052	35495	\N	\N	\N
853867	2911	1996-07-07	PRIJEM	VKLAD	11368	29867	\N	\N	\N
853868	2911	1996-08-07	PRIJEM	VKLAD	11368	32935	\N	\N	\N
853869	2911	1996-09-07	PRIJEM	VKLAD	11368	30805	\N	\N	\N
853870	2911	1996-10-07	PRIJEM	VKLAD	11368	34477	\N	\N	\N
853871	2911	1996-11-07	PRIJEM	VKLAD	11368	26972	\N	\N	\N
853872	2911	1996-12-07	PRIJEM	VKLAD	17052	32854	\N	\N	\N
853873	2911	1997-01-07	PRIJEM	VKLAD	11368	26611	\N	\N	\N
853874	2911	1997-02-07	PRIJEM	VKLAD	11368	29046	\N	\N	\N
853875	2911	1997-03-07	PRIJEM	VKLAD	11368	29305	\N	\N	\N
853876	2911	1997-04-07	PRIJEM	VKLAD	11368	27689	\N	\N	\N
853877	2911	1997-05-07	PRIJEM	VKLAD	11368	36162	\N	\N	\N
853878	2911	1997-06-07	PRIJEM	VKLAD	17052	41097	\N	\N	\N
853879	2911	1997-07-07	PRIJEM	VKLAD	11368	25733	\N	\N	\N
853880	2911	1997-08-07	PRIJEM	VKLAD	11368	33255	\N	\N	\N
853881	2911	1997-09-07	PRIJEM	VKLAD	11368	38843	\N	\N	\N
853882	2911	1997-10-07	PRIJEM	VKLAD	11368	42951	\N	\N	\N
853883	2911	1997-11-07	PRIJEM	VKLAD	11368	38843	\N	\N	\N
853884	2911	1997-12-07	PRIJEM	VKLAD	17052	45027	\N	\N	\N
853885	2911	1998-01-07	PRIJEM	VKLAD	11368	35901	\N	\N	\N
853886	2911	1998-02-07	PRIJEM	VKLAD	11368	27647	\N	\N	\N
853887	2911	1998-03-07	PRIJEM	VKLAD	11368	34415	\N	\N	\N
853888	2911	1998-04-07	PRIJEM	VKLAD	11368	43417	\N	\N	\N
853889	2911	1998-05-07	PRIJEM	VKLAD	11368	48887	\N	\N	\N
853890	2911	1998-06-07	PRIJEM	VKLAD	17052	54806	\N	\N	\N
853891	2911	1998-07-07	PRIJEM	VKLAD	11368	47976	\N	\N	\N
853892	2911	1998-08-07	PRIJEM	VKLAD	11368	46677	\N	\N	\N
853893	2911	1998-09-07	PRIJEM	VKLAD	11368	53123	\N	\N	\N
853894	2911	1998-10-07	PRIJEM	VKLAD	11368	56784	\N	\N	\N
853895	2911	1998-11-07	PRIJEM	VKLAD	11368	63857	\N	\N	\N
853896	2911	1998-12-07	PRIJEM	VKLAD	17052	76947	\N	\N	\N
853903	2911	1995-07-13	VYDAJ	PREVOD NA UCET	617	41525	SIPO	YZ	52539229
853904	2911	1995-08-13	VYDAJ	PREVOD NA UCET	617	31063	SIPO	YZ	52539229
853905	2911	1995-09-13	VYDAJ	PREVOD NA UCET	617	29764	SIPO	YZ	52539229
853906	2911	1995-10-13	VYDAJ	PREVOD NA UCET	617	28760	SIPO	YZ	52539229
853907	2911	1995-11-13	VYDAJ	PREVOD NA UCET	617	21192	SIPO	YZ	52539229
853908	2911	1995-12-13	VYDAJ	PREVOD NA UCET	617	27405	SIPO	YZ	52539229
853909	2911	1996-01-13	VYDAJ	PREVOD NA UCET	617	23981	SIPO	YZ	52539229
853910	2911	1996-02-13	VYDAJ	PREVOD NA UCET	617	25355	SIPO	YZ	52539229
853911	2911	1996-03-13	VYDAJ	PREVOD NA UCET	617	24630	SIPO	YZ	52539229
853912	2911	1996-04-13	VYDAJ	PREVOD NA UCET	617	22800	SIPO	YZ	52539229
853913	2911	1996-05-13	VYDAJ	PREVOD NA UCET	617	23267	SIPO	YZ	52539229
853914	2911	1996-06-13	VYDAJ	PREVOD NA UCET	617	27917	SIPO	YZ	52539229
853915	2911	1996-07-13	VYDAJ	PREVOD NA UCET	617	22289	SIPO	YZ	52539229
853916	2911	1996-08-13	VYDAJ	PREVOD NA UCET	617	23557	SIPO	YZ	52539229
853917	2911	1996-09-13	VYDAJ	PREVOD NA UCET	617	23227	SIPO	YZ	52539229
853918	2911	1996-10-13	VYDAJ	PREVOD NA UCET	617	26899	SIPO	YZ	52539229
853919	2911	1996-11-13	VYDAJ	PREVOD NA UCET	617	19394	SIPO	YZ	52539229
853920	2911	1996-12-13	VYDAJ	PREVOD NA UCET	617	25276	SIPO	YZ	52539229
853921	2911	1997-01-13	VYDAJ	PREVOD NA UCET	617	19033	SIPO	YZ	52539229
853922	2911	1997-02-13	VYDAJ	PREVOD NA UCET	617	21468	SIPO	YZ	52539229
853923	2911	1997-03-13	VYDAJ	PREVOD NA UCET	617	21727	SIPO	YZ	52539229
853924	2911	1997-04-13	VYDAJ	PREVOD NA UCET	617	20111	SIPO	YZ	52539229
853925	2911	1997-05-13	VYDAJ	PREVOD NA UCET	617	28584	SIPO	YZ	52539229
853926	2911	1997-06-13	VYDAJ	PREVOD NA UCET	617	33519	SIPO	YZ	52539229
853927	2911	1997-07-13	VYDAJ	PREVOD NA UCET	617	18155	SIPO	YZ	52539229
853928	2911	1997-08-13	VYDAJ	PREVOD NA UCET	617	27377	SIPO	YZ	52539229
853929	2911	1997-09-13	VYDAJ	PREVOD NA UCET	617	31465	SIPO	YZ	52539229
853930	2911	1997-10-13	VYDAJ	PREVOD NA UCET	617	31073	SIPO	YZ	52539229
853931	2911	1997-11-13	VYDAJ	PREVOD NA UCET	617	27865	SIPO	YZ	52539229
853932	2911	1997-12-13	VYDAJ	PREVOD NA UCET	617	27949	SIPO	YZ	52539229
853933	2911	1998-01-13	VYDAJ	PREVOD NA UCET	617	28023	SIPO	YZ	52539229
853934	2911	1998-02-13	VYDAJ	PREVOD NA UCET	617	22969	SIPO	YZ	52539229
853935	2911	1998-03-13	VYDAJ	PREVOD NA UCET	617	31937	SIPO	YZ	52539229
853936	2911	1998-04-13	VYDAJ	PREVOD NA UCET	617	37379	SIPO	YZ	52539229
853937	2911	1998-05-13	VYDAJ	PREVOD NA UCET	617	37609	SIPO	YZ	52539229
853938	2911	1998-06-13	VYDAJ	PREVOD NA UCET	617	45128	SIPO	YZ	52539229
853939	2911	1998-07-13	VYDAJ	PREVOD NA UCET	617	40798	SIPO	YZ	52539229
853940	2911	1998-08-13	VYDAJ	PREVOD NA UCET	617	41599	SIPO	YZ	52539229
853941	2911	1998-09-13	VYDAJ	PREVOD NA UCET	617	44145	SIPO	YZ	52539229
853942	2911	1998-10-13	VYDAJ	PREVOD NA UCET	617	49206	SIPO	YZ	52539229
853943	2911	1998-11-13	VYDAJ	PREVOD NA UCET	617	56279	SIPO	YZ	52539229
853944	2911	1998-12-13	VYDAJ	PREVOD NA UCET	617	67449	SIPO	YZ	52539229
853951	2911	1995-07-12	VYDAJ	PREVOD NA UCET	4389	42142	 	CD	6411171
853952	2911	1995-08-12	VYDAJ	PREVOD NA UCET	4389	31680	 	CD	6411171
853953	2911	1995-09-12	VYDAJ	PREVOD NA UCET	4389	30381	 	CD	6411171
853954	2911	1995-10-12	VYDAJ	PREVOD NA UCET	4389	29377	 	CD	6411171
853955	2911	1995-11-12	VYDAJ	PREVOD NA UCET	4389	21809	 	CD	6411171
853956	2911	1995-12-12	VYDAJ	PREVOD NA UCET	4389	28022	 	CD	6411171
853957	2911	1996-01-12	VYDAJ	PREVOD NA UCET	4389	24598	 	CD	6411171
853958	2911	1996-02-12	VYDAJ	PREVOD NA UCET	4389	25972	 	CD	6411171
853959	2911	1996-03-12	VYDAJ	PREVOD NA UCET	4389	25247	 	CD	6411171
853960	2911	1996-04-12	VYDAJ	PREVOD NA UCET	4389	23417	 	CD	6411171
853961	2911	1996-05-12	VYDAJ	PREVOD NA UCET	4389	23884	 	CD	6411171
853962	2911	1996-06-12	VYDAJ	PREVOD NA UCET	4389	28534	 	CD	6411171
853963	2911	1996-07-12	VYDAJ	PREVOD NA UCET	4389	22906	 	CD	6411171
853964	2911	1996-08-12	VYDAJ	PREVOD NA UCET	4389	24174	 	CD	6411171
853965	2911	1996-09-12	VYDAJ	PREVOD NA UCET	4389	23844	 	CD	6411171
853966	2911	1996-10-12	VYDAJ	PREVOD NA UCET	4389	27516	 	CD	6411171
853967	2911	1996-11-12	VYDAJ	PREVOD NA UCET	4389	20011	 	CD	6411171
853968	2911	1996-12-12	VYDAJ	PREVOD NA UCET	4389	25893	 	CD	6411171
853969	2911	1997-01-12	VYDAJ	PREVOD NA UCET	4389	19650	 	CD	6411171
853970	2911	1997-02-12	VYDAJ	PREVOD NA UCET	4389	22085	 	CD	6411171
853971	2911	1997-03-12	VYDAJ	PREVOD NA UCET	4389	22344	 	CD	6411171
853972	2911	1997-04-12	VYDAJ	PREVOD NA UCET	4389	20728	 	CD	6411171
853973	2911	1997-05-12	VYDAJ	PREVOD NA UCET	4389	29201	 	CD	6411171
853974	2911	1997-06-12	VYDAJ	PREVOD NA UCET	4389	34136	 	CD	6411171
853975	2911	1997-07-12	VYDAJ	PREVOD NA UCET	4389	18772	 	CD	6411171
853976	2911	1997-08-12	VYDAJ	PREVOD NA UCET	4389	26294	 	CD	6411171
853977	2911	1997-09-12	VYDAJ	PREVOD NA UCET	4389	32082	 	CD	6411171
853978	2911	1997-10-12	VYDAJ	PREVOD NA UCET	4389	31690	 	CD	6411171
853979	2911	1997-11-12	VYDAJ	PREVOD NA UCET	4389	28482	 	CD	6411171
853980	2911	1997-12-12	VYDAJ	PREVOD NA UCET	4389	28566	 	CD	6411171
853981	2911	1998-01-12	VYDAJ	PREVOD NA UCET	4389	28640	 	CD	6411171
853982	2911	1998-02-12	VYDAJ	PREVOD NA UCET	4389	23586	 	CD	6411171
853983	2911	1998-03-12	VYDAJ	PREVOD NA UCET	4389	32554	 	CD	6411171
853984	2911	1998-04-12	VYDAJ	PREVOD NA UCET	4389	37996	 	CD	6411171
853985	2911	1998-05-12	VYDAJ	PREVOD NA UCET	4389	38226	 	CD	6411171
853986	2911	1998-06-12	VYDAJ	PREVOD NA UCET	4389	45745	 	CD	6411171
853987	2911	1998-07-12	VYDAJ	PREVOD NA UCET	4389	41415	 	CD	6411171
853988	2911	1998-08-12	VYDAJ	PREVOD NA UCET	4389	42216	 	CD	6411171
853989	2911	1998-09-12	VYDAJ	PREVOD NA UCET	4389	44762	 	CD	6411171
853990	2911	1998-10-12	VYDAJ	PREVOD NA UCET	4389	49823	 	CD	6411171
853991	2911	1998-11-12	VYDAJ	PREVOD NA UCET	4389	56896	 	CD	6411171
853992	2911	1998-12-12	VYDAJ	PREVOD NA UCET	4389	69986	 	CD	6411171
853999	2911	1995-07-07	VYDAJ	PREVOD NA UCET	2572	46531	POJISTNE	UV	28014308
854000	2911	1995-08-07	VYDAJ	PREVOD NA UCET	2572	36069	POJISTNE	UV	28014308
854001	2911	1995-09-07	VYDAJ	PREVOD NA UCET	2572	34770	POJISTNE	UV	28014308
854002	2911	1995-10-07	VYDAJ	PREVOD NA UCET	2572	33766	POJISTNE	UV	28014308
854003	2911	1995-11-07	VYDAJ	PREVOD NA UCET	2572	33158	POJISTNE	UV	28014308
854004	2911	1995-12-07	VYDAJ	PREVOD NA UCET	2572	32411	POJISTNE	UV	28014308
854005	2911	1996-01-07	VYDAJ	PREVOD NA UCET	2572	28987	POJISTNE	UV	28014308
854006	2911	1996-02-07	VYDAJ	PREVOD NA UCET	2572	30361	POJISTNE	UV	28014308
854007	2911	1996-03-07	VYDAJ	PREVOD NA UCET	2572	29636	POJISTNE	UV	28014308
854008	2911	1996-04-07	VYDAJ	PREVOD NA UCET	2572	27806	POJISTNE	UV	28014308
854009	2911	1996-05-07	VYDAJ	PREVOD NA UCET	2572	28273	POJISTNE	UV	28014308
854010	2911	1996-06-07	VYDAJ	PREVOD NA UCET	2572	32923	POJISTNE	UV	28014308
854011	2911	1996-07-07	VYDAJ	PREVOD NA UCET	2572	27295	POJISTNE	UV	28014308
854012	2911	1996-08-07	VYDAJ	PREVOD NA UCET	2572	30363	POJISTNE	UV	28014308
854013	2911	1996-09-07	VYDAJ	PREVOD NA UCET	2572	28233	POJISTNE	UV	28014308
854014	2911	1996-10-07	VYDAJ	PREVOD NA UCET	2572	31905	POJISTNE	UV	28014308
854015	2911	1996-11-07	VYDAJ	PREVOD NA UCET	2572	24400	POJISTNE	UV	28014308
854016	2911	1996-12-07	VYDAJ	PREVOD NA UCET	2572	30282	POJISTNE	UV	28014308
854017	2911	1997-01-07	VYDAJ	PREVOD NA UCET	2572	24039	POJISTNE	UV	28014308
854018	2911	1997-02-07	VYDAJ	PREVOD NA UCET	2572	26474	POJISTNE	UV	28014308
854019	2911	1997-03-07	VYDAJ	PREVOD NA UCET	2572	26733	POJISTNE	UV	28014308
854020	2911	1997-04-07	VYDAJ	PREVOD NA UCET	2572	25117	POJISTNE	UV	28014308
854021	2911	1997-05-07	VYDAJ	PREVOD NA UCET	2572	33590	POJISTNE	UV	28014308
854022	2911	1997-06-07	VYDAJ	PREVOD NA UCET	2572	38525	POJISTNE	UV	28014308
854023	2911	1997-07-07	VYDAJ	PREVOD NA UCET	2572	23161	POJISTNE	UV	28014308
854024	2911	1997-08-07	VYDAJ	PREVOD NA UCET	2572	30683	POJISTNE	UV	28014308
854025	2911	1997-09-07	VYDAJ	PREVOD NA UCET	2572	36271	POJISTNE	UV	28014308
854026	2911	1997-10-07	VYDAJ	PREVOD NA UCET	2572	40379	POJISTNE	UV	28014308
854027	2911	1997-11-07	VYDAJ	PREVOD NA UCET	2572	36271	POJISTNE	UV	28014308
854028	2911	1997-12-07	VYDAJ	PREVOD NA UCET	2572	42455	POJISTNE	UV	28014308
854029	2911	1998-01-07	VYDAJ	PREVOD NA UCET	2572	33329	POJISTNE	UV	28014308
854030	2911	1998-02-07	VYDAJ	PREVOD NA UCET	2572	25075	POJISTNE	UV	28014308
854031	2911	1998-03-07	VYDAJ	PREVOD NA UCET	2572	31843	POJISTNE	UV	28014308
854032	2911	1998-04-07	VYDAJ	PREVOD NA UCET	2572	40845	POJISTNE	UV	28014308
854033	2911	1998-05-07	VYDAJ	PREVOD NA UCET	2572	46315	POJISTNE	UV	28014308
854034	2911	1998-06-07	VYDAJ	PREVOD NA UCET	2572	52234	POJISTNE	UV	28014308
854035	2911	1998-07-07	VYDAJ	PREVOD NA UCET	2572	45404	POJISTNE	UV	28014308
854036	2911	1998-08-07	VYDAJ	PREVOD NA UCET	2572	44105	POJISTNE	UV	28014308
854037	2911	1998-09-07	VYDAJ	PREVOD NA UCET	2572	49151	POJISTNE	UV	28014308
854038	2911	1998-10-07	VYDAJ	PREVOD NA UCET	2572	54212	POJISTNE	UV	28014308
854039	2911	1998-11-07	VYDAJ	PREVOD NA UCET	2572	61285	POJISTNE	UV	28014308
854040	2911	1998-12-07	VYDAJ	PREVOD NA UCET	2572	74375	POJISTNE	UV	28014308
854091	2911	1997-06-28	VYDAJ	VYBER	16160	14259	\N	\N	\N
854092	2911	1998-06-26	VYDAJ	VYBER	5440	36448	\N	\N	\N
854096	2911	1998-01-28	VYDAJ	VYBER	11840	16183	\N	\N	\N
854097	2911	1995-12-16	VYDAJ	VYBER	1760	25645	\N	\N	\N
854098	2911	1996-12-18	VYDAJ	VYBER	4640	15176	\N	\N	\N
854099	2911	1997-12-20	VYDAJ	VYBER	3520	24429	\N	\N	\N
854100	2911	1998-12-13	VYDAJ	VYBER	1920	68066	\N	\N	\N
854102	2911	1995-12-29	VYDAJ	VYBER	840	20105	\N	\N	\N
854103	2911	1995-11-11	VYDAJ	VYBER	2400	28718	\N	\N	\N
854104	2911	1995-07-26	VYDAJ	VYBER	3600	27125	\N	\N	\N
854105	2911	1995-11-11	VYDAJ	VYBER	2520	26198	\N	\N	\N
854106	2911	1995-11-21	VYDAJ	VYBER	3840	17352	\N	\N	\N
854107	2911	1995-11-09	VYDAJ	VYBER	2040	31118	\N	\N	\N
854108	2911	1996-08-11	VYDAJ	VYBER	1800	28563	\N	\N	\N
854109	2911	1996-11-28	VYDAJ	VYBER	2040	17654	\N	\N	\N
854110	2911	1996-11-03	VYDAJ	VYBER	1200	15604	\N	\N	\N
854111	2911	1996-12-17	VYDAJ	VYBER	960	19816	\N	\N	\N
854112	2911	1996-12-01	VYDAJ	VYBER	1920	15802	\N	\N	\N
854113	2911	1996-11-03	VYDAJ	VYBER	4080	16804	\N	\N	\N
854114	2911	1997-11-05	VYDAJ	VYBER	3720	27475	\N	\N	\N
854115	2911	1997-07-17	VYDAJ	VYBER	1440	21815	\N	\N	\N
854116	2911	1997-05-24	VYDAJ	VYBER	4440	23944	\N	\N	\N
854117	2911	1997-03-16	VYDAJ	VYBER	1800	20327	\N	\N	\N
854118	2911	1997-04-03	VYDAJ	VYBER	4080	16321	\N	\N	\N
854119	2911	1997-01-26	VYDAJ	VYBER	2520	17613	\N	\N	\N
854120	2911	1998-07-28	VYDAJ	VYBER	5640	35158	\N	\N	\N
854121	2911	1998-06-15	VYDAJ	VYBER	3240	41888	\N	\N	\N
854122	2911	1998-04-10	VYDAJ	VYBER	1560	42385	\N	\N	\N
854130	2911	1995-07-31	VYDAJ	VYBER	15	27273	SLUZBY	\N	\N
854131	2911	1995-08-31	VYDAJ	VYBER	15	25974	SLUZBY	\N	\N
854132	2911	1995-09-30	VYDAJ	VYBER	15	24970	SLUZBY	\N	\N
854133	2911	1995-10-31	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
854134	2911	1995-11-30	VYDAJ	VYBER	15	17931	SLUZBY	\N	\N
854135	2911	1995-12-31	VYDAJ	VYBER	15	20191	SLUZBY	\N	\N
854136	2911	1996-01-31	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
854137	2911	1996-02-29	VYDAJ	VYBER	15	20840	SLUZBY	\N	\N
854138	2911	1996-03-31	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
854139	2911	1996-04-30	VYDAJ	VYBER	15	19477	SLUZBY	\N	\N
854140	2911	1996-05-31	VYDAJ	VYBER	15	18443	SLUZBY	\N	\N
854141	2911	1996-06-30	VYDAJ	VYBER	15	18499	SLUZBY	\N	\N
854142	2911	1996-07-31	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
854143	2911	1996-08-31	VYDAJ	VYBER	15	19437	SLUZBY	\N	\N
854144	2911	1996-09-30	VYDAJ	VYBER	15	23109	SLUZBY	\N	\N
854145	2911	1996-10-31	VYDAJ	VYBER	15	20884	SLUZBY	\N	\N
854146	2911	1996-11-30	VYDAJ	VYBER	15	17722	SLUZBY	\N	\N
854147	2911	1996-12-31	VYDAJ	VYBER	15	15243	SLUZBY	\N	\N
854148	2911	1997-01-31	VYDAJ	VYBER	15	17678	SLUZBY	\N	\N
854149	2911	1997-02-28	VYDAJ	VYBER	15	17937	SLUZBY	\N	\N
854150	2911	1997-03-31	VYDAJ	VYBER	15	20401	SLUZBY	\N	\N
854151	2911	1997-04-30	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
854152	2911	1997-05-31	VYDAJ	VYBER	15	24045	SLUZBY	\N	\N
854153	2911	1997-06-30	VYDAJ	VYBER	15	14365	SLUZBY	\N	\N
854154	2911	1997-07-31	VYDAJ	VYBER	15	21887	SLUZBY	\N	\N
854155	2911	1997-08-31	VYDAJ	VYBER	15	27475	SLUZBY	\N	\N
854156	2911	1997-09-30	VYDAJ	VYBER	15	31583	SLUZBY	\N	\N
854157	2911	1997-10-31	VYDAJ	VYBER	15	31195	SLUZBY	\N	\N
854158	2911	1997-11-30	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
854159	2911	1997-12-31	VYDAJ	VYBER	15	24533	SLUZBY	\N	\N
854160	2911	1998-01-31	VYDAJ	VYBER	15	16279	SLUZBY	\N	\N
854161	2911	1998-02-28	VYDAJ	VYBER	15	23047	SLUZBY	\N	\N
854162	2911	1998-03-31	VYDAJ	VYBER	15	32049	SLUZBY	\N	\N
854163	2911	1998-04-30	VYDAJ	VYBER	15	37519	SLUZBY	\N	\N
854164	2911	1998-05-31	VYDAJ	VYBER	15	37754	SLUZBY	\N	\N
854165	2911	1998-06-30	VYDAJ	VYBER	15	36608	SLUZBY	\N	\N
854166	2911	1998-07-31	VYDAJ	VYBER	15	35309	SLUZBY	\N	\N
854167	2911	1998-08-31	VYDAJ	VYBER	15	41755	SLUZBY	\N	\N
854168	2911	1998-09-30	VYDAJ	VYBER	15	44316	SLUZBY	\N	\N
854169	2911	1998-10-31	VYDAJ	VYBER	15	49389	SLUZBY	\N	\N
854170	2911	1998-11-30	VYDAJ	VYBER	15	56495	SLUZBY	\N	\N
854171	2911	1995-03-27	PRIJEM	VKLAD	7700	19968	\N	\N	\N
854172	2911	1995-04-26	VYDAJ	VYBER	1300	30049	\N	\N	\N
854173	2911	1995-05-26	VYDAJ	VYBER	6900	34608	\N	\N	\N
854174	2911	1995-06-25	VYDAJ	VYBER	14200	37589	\N	\N	\N
854175	2911	1995-07-25	VYDAJ	VYBER	10800	30725	\N	\N	\N
854176	2911	1995-08-24	VYDAJ	VYBER	5200	25863	\N	\N	\N
854177	2911	1995-09-23	VYDAJ	VYBER	4900	24864	\N	\N	\N
854178	2911	1995-10-23	VYDAJ	VYBER	4500	24260	\N	\N	\N
854179	2911	1995-11-22	PRIJEM	VKLAD	500	17852	\N	\N	\N
854180	2911	1995-12-22	VYDAJ	VYBER	4700	20945	\N	\N	\N
854181	2911	1996-01-21	VYDAJ	VYBER	2500	21481	\N	\N	\N
854182	2911	1996-02-20	VYDAJ	VYBER	4600	20755	\N	\N	\N
854183	2911	1996-03-21	VYDAJ	VYBER	5700	18930	\N	\N	\N
854184	2911	1996-04-20	VYDAJ	VYBER	3400	19400	\N	\N	\N
854185	2911	1996-05-20	VYDAJ	VYBER	4900	18367	\N	\N	\N
854186	2911	1996-06-19	VYDAJ	VYBER	9500	18417	\N	\N	\N
854187	2911	1996-07-19	VYDAJ	VYBER	800	21489	\N	\N	\N
854188	2911	1996-08-18	VYDAJ	VYBER	4200	19357	\N	\N	\N
854189	2911	1996-09-17	VYDAJ	VYBER	200	23027	\N	\N	\N
854190	2911	1996-10-17	VYDAJ	VYBER	6100	20799	\N	\N	\N
854191	2911	1996-11-16	PRIJEM	VKLAD	300	19694	\N	\N	\N
854192	2911	1996-12-16	VYDAJ	VYBER	4500	20776	\N	\N	\N
854193	2911	1997-01-15	PRIJEM	VKLAD	1100	20133	\N	\N	\N
854194	2911	1997-02-14	VYDAJ	VYBER	3600	17868	\N	\N	\N
854195	2911	1997-03-16	PRIJEM	VKLAD	400	22127	\N	\N	\N
854196	2911	1997-04-15	PRIJEM	VKLAD	4600	24711	\N	\N	\N
854197	2911	1997-05-15	VYDAJ	VYBER	200	28384	\N	\N	\N
854198	2911	1997-06-14	VYDAJ	VYBER	3100	30419	\N	\N	\N
854199	2911	1997-07-14	PRIJEM	VKLAD	5100	23255	\N	\N	\N
854200	2911	1997-08-13	PRIJEM	VKLAD	1700	27994	\N	\N	\N
854201	2911	1997-09-12	PRIJEM	VKLAD	200	36471	\N	\N	\N
854202	2911	1997-10-12	VYDAJ	VYBER	4300	36079	\N	\N	\N
854203	2911	1997-11-11	VYDAJ	VYBER	3400	32871	\N	\N	\N
854204	2911	1997-12-11	VYDAJ	VYBER	9500	32955	\N	\N	\N
854205	2911	1998-01-10	VYDAJ	VYBER	300	33029	\N	\N	\N
854206	2911	1998-02-09	PRIJEM	VKLAD	2900	27975	\N	\N	\N
854207	2911	1998-03-11	PRIJEM	VKLAD	5100	36943	\N	\N	\N
854208	2911	1998-04-10	PRIJEM	VKLAD	3100	43945	\N	\N	\N
854209	2911	1998-05-10	VYDAJ	VYBER	3700	42615	\N	\N	\N
854210	2911	1998-06-09	VYDAJ	VYBER	2100	50134	\N	\N	\N
854211	2911	1998-07-09	PRIJEM	VKLAD	400	45804	\N	\N	\N
854212	2911	1998-08-08	PRIJEM	VKLAD	2500	46605	\N	\N	\N
854213	2911	1998-09-07	VYDAJ	VYBER	1400	51723	\N	\N	\N
854214	2911	1998-10-07	PRIJEM	VKLAD	1100	45416	\N	\N	\N
854215	2911	1998-11-06	PRIJEM	VKLAD	3100	52489	\N	\N	\N
854216	2911	1998-12-06	PRIJEM	VKLAD	3400	59895	\N	\N	\N
854263	2912	1994-07-30	PRIJEM	VKLAD	1100	1100	\N	\N	\N
854265	2912	1994-11-14	PRIJEM	VKLAD	39357	61357	\N	\N	\N
854268	2912	1994-12-03	PRIJEM	VKLAD	45713	101545	\N	\N	\N
854276	2912	1994-11-22	PRIJEM	VKLAD	48887	110244	\N	\N	\N
854278	2912	1995-10-10	PRIJEM	VKLAD	14229	92466	\N	\N	\N
854279	2912	1995-07-27	PRIJEM	VKLAD	44457	86117	\N	\N	\N
854280	2912	1995-03-04	PRIJEM	VKLAD	13514	68304	\N	\N	\N
854281	2912	1995-02-12	PRIJEM	VKLAD	45598	91133	\N	\N	\N
854282	2912	1995-01-15	PRIJEM	VKLAD	47007	112191	\N	\N	\N
854283	2912	1995-06-29	PRIJEM	VKLAD	16064	68537	\N	\N	\N
854284	2912	1995-07-05	PRIJEM	VKLAD	42433	142234	\N	\N	\N
854285	2912	1995-07-03	PRIJEM	VKLAD	30993	99801	\N	\N	\N
854286	2912	1995-06-10	PRIJEM	VKLAD	6661	89640	\N	\N	\N
854287	2912	1995-06-18	PRIJEM	VKLAD	22833	91273	\N	\N	\N
854288	2912	1995-04-20	PRIJEM	VKLAD	12345	65699	\N	\N	\N
854289	2912	1995-03-20	PRIJEM	VKLAD	21107	89411	\N	\N	\N
854290	2912	1995-04-23	PRIJEM	VKLAD	15819	76418	\N	\N	\N
854291	2912	1995-05-26	PRIJEM	VKLAD	43429	75663	\N	\N	\N
854292	2912	1995-11-03	PRIJEM	VKLAD	46232	86859	\N	\N	\N
854293	2912	1995-12-18	PRIJEM	VKLAD	42769	95034	\N	\N	\N
854294	2912	1995-01-18	PRIJEM	VKLAD	45940	120631	\N	\N	\N
854295	2912	1995-12-06	PRIJEM	VKLAD	45970	108665	\N	\N	\N
854296	2912	1995-10-05	PRIJEM	VKLAD	37151	78237	\N	\N	\N
854297	2912	1995-06-01	PRIJEM	VKLAD	33511	82979	\N	\N	\N
854298	2912	1995-08-19	PRIJEM	VKLAD	29810	116246	\N	\N	\N
854299	2912	1995-11-20	PRIJEM	VKLAD	10526	97385	\N	\N	\N
854300	2912	1995-07-08	PRIJEM	VKLAD	30741	147375	\N	\N	\N
854301	2912	1996-04-23	PRIJEM	VKLAD	35969	58711	\N	\N	\N
854302	2912	1996-10-24	PRIJEM	VKLAD	10683	86194	\N	\N	\N
854303	2912	1996-05-23	PRIJEM	VKLAD	40900	91601	\N	\N	\N
854304	2912	1996-09-07	PRIJEM	VKLAD	45502	104676	\N	\N	\N
854305	2912	1996-06-24	PRIJEM	VKLAD	43250	92288	\N	\N	\N
854306	2912	1996-07-27	PRIJEM	VKLAD	12445	104304	\N	\N	\N
854307	2912	1996-06-22	PRIJEM	VKLAD	22873	49038	\N	\N	\N
854308	2912	1996-09-29	PRIJEM	VKLAD	28320	84348	\N	\N	\N
854309	2912	1996-12-24	PRIJEM	VKLAD	24178	119821	\N	\N	\N
854310	2912	1996-10-01	PRIJEM	VKLAD	25937	110489	\N	\N	\N
854311	2912	1996-01-01	PRIJEM	VKLAD	10584	61025	\N	\N	\N
854312	2912	1996-09-20	PRIJEM	VKLAD	19188	56028	\N	\N	\N
854313	2912	1996-11-20	PRIJEM	VKLAD	45220	93513	\N	\N	\N
854314	2912	1996-12-20	PRIJEM	VKLAD	19367	68293	\N	\N	\N
854315	2912	1996-07-20	PRIJEM	VKLAD	32883	72791	\N	\N	\N
854316	2912	1996-10-20	PRIJEM	VKLAD	7758	75511	\N	\N	\N
854317	2912	1996-11-27	PRIJEM	VKLAD	13235	119719	\N	\N	\N
854318	2912	1996-08-12	PRIJEM	VKLAD	9455	62963	\N	\N	\N
854319	2912	1996-08-03	PRIJEM	VKLAD	15261	112408	\N	\N	\N
854320	2912	1996-03-14	PRIJEM	VKLAD	43446	61753	\N	\N	\N
854321	2912	1996-11-21	PRIJEM	VKLAD	12971	106484	\N	\N	\N
854322	2912	1996-05-03	PRIJEM	VKLAD	38938	112337	\N	\N	\N
854323	2912	1996-12-21	PRIJEM	VKLAD	27350	95643	\N	\N	\N
854324	2912	1996-08-17	PRIJEM	VKLAD	32935	89562	\N	\N	\N
854325	2912	1996-04-29	PRIJEM	VKLAD	14567	73278	\N	\N	\N
854326	2912	1996-07-21	PRIJEM	VKLAD	19068	91859	\N	\N	\N
854327	2912	1997-08-12	PRIJEM	VKLAD	25573	105315	\N	\N	\N
854328	2912	1997-07-30	PRIJEM	VKLAD	42154	79581	\N	\N	\N
854329	2912	1997-05-19	PRIJEM	VKLAD	43261	80064	\N	\N	\N
854330	2912	1997-03-21	PRIJEM	VKLAD	47561	78091	\N	\N	\N
854331	2912	1997-12-01	PRIJEM	VKLAD	12840	75192	\N	\N	\N
854332	2912	1997-01-07	PRIJEM	VKLAD	7057	84731	\N	\N	\N
854333	2912	1997-08-22	PRIJEM	VKLAD	37859	85981	\N	\N	\N
854334	2912	1997-04-14	PRIJEM	VKLAD	48208	141257	\N	\N	\N
854335	2912	1997-12-10	PRIJEM	VKLAD	12028	75776	\N	\N	\N
854336	2912	1997-03-25	PRIJEM	VKLAD	30029	108120	\N	\N	\N
854337	2912	1997-05-11	PRIJEM	VKLAD	22109	65639	\N	\N	\N
854338	2912	1997-03-25	PRIJEM	VKLAD	19000	127120	\N	\N	\N
854339	2912	1997-12-05	PRIJEM	VKLAD	42056	117248	\N	\N	\N
854340	2912	1997-05-10	PRIJEM	VKLAD	11335	43530	\N	\N	\N
854341	2912	1997-11-13	PRIJEM	VKLAD	43405	62159	\N	\N	\N
854342	2912	1997-02-13	PRIJEM	VKLAD	26493	91969	\N	\N	\N
854343	2912	1997-06-10	PRIJEM	VKLAD	26919	66162	\N	\N	\N
854344	2912	1997-07-03	PRIJEM	VKLAD	31946	69745	\N	\N	\N
854345	2912	1997-02-05	PRIJEM	VKLAD	20471	71812	\N	\N	\N
854346	2912	1997-03-21	PRIJEM	VKLAD	14195	30530	\N	\N	\N
854347	2912	1998-03-31	PRIJEM	VKLAD	44345	123691	\N	\N	\N
854348	2912	1998-09-07	PRIJEM	VKLAD	15217	97084	\N	\N	\N
854349	2912	1998-01-01	PRIJEM	VKLAD	6550	47580	\N	\N	\N
854350	2912	1998-07-02	PRIJEM	VKLAD	27430	157338	\N	\N	\N
854351	2912	1998-05-30	PRIJEM	VKLAD	47849	101454	\N	\N	\N
854352	2912	1998-11-07	PRIJEM	VKLAD	6543	52075	\N	\N	\N
854353	2912	1998-08-23	PRIJEM	VKLAD	16592	61945	\N	\N	\N
854354	2912	1998-06-05	PRIJEM	VKLAD	10807	92340	\N	\N	\N
854355	2912	1998-12-09	PRIJEM	VKLAD	15173	74281	\N	\N	\N
854356	2912	1998-06-19	PRIJEM	VKLAD	44905	86709	\N	\N	\N
854357	2912	1998-09-04	PRIJEM	VKLAD	23864	74322	\N	\N	\N
854358	2912	1998-07-01	PRIJEM	VKLAD	49403	153308	\N	\N	\N
854359	2912	1998-09-12	PRIJEM	VKLAD	30890	105082	\N	\N	\N
854360	2912	1998-04-11	PRIJEM	VKLAD	36457	87607	\N	\N	\N
854361	2912	1998-11-25	PRIJEM	VKLAD	38758	112581	\N	\N	\N
854362	2912	1998-12-23	PRIJEM	VKLAD	11759	68323	\N	\N	\N
854363	2912	1998-01-22	PRIJEM	VKLAD	36838	93732	\N	\N	\N
854364	2912	1998-09-05	PRIJEM	VKLAD	42745	117067	\N	\N	\N
854365	2912	1998-11-23	PRIJEM	VKLAD	30184	73823	\N	\N	\N
854366	2912	1998-01-11	PRIJEM	VKLAD	23050	63230	\N	\N	\N
854367	2912	1998-06-02	PRIJEM	VKLAD	34620	136333	\N	\N	\N
854368	2912	1998-03-21	PRIJEM	VKLAD	33206	79084	\N	\N	\N
854369	2912	1998-06-30	PRIJEM	VKLAD	38065	125119	\N	\N	\N
854370	2912	1998-03-10	PRIJEM	VKLAD	37597	74509	\N	\N	\N
854371	2912	1998-09-07	PRIJEM	VKLAD	18108	115192	\N	\N	\N
854385	2912	1995-02-12	VYDAJ	VYBER	6000	85133	\N	\N	0
854386	2912	1995-03-25	VYDAJ	VYBER	6600	82811	\N	\N	0
854387	2912	1995-04-22	VYDAJ	VYBER	5100	60599	\N	\N	0
854388	2912	1995-05-02	VYDAJ	VYBER	7800	43334	\N	\N	0
854389	2912	1995-06-12	VYDAJ	VYBER	7400	82240	\N	\N	0
854390	2912	1995-07-17	VYDAJ	VYBER	6800	61775	\N	\N	0
854391	2912	1995-08-19	VYDAJ	VYBER	8700	107546	\N	\N	0
854392	2912	1995-09-23	VYDAJ	VYBER	5500	40879	\N	\N	0
854393	2912	1995-10-18	VYDAJ	VYBER	4800	87666	\N	\N	0
854394	2912	1995-11-02	VYDAJ	VYBER	3800	50827	\N	\N	0
854395	2912	1995-12-24	VYDAJ	VYBER	5400	60034	\N	\N	0
854396	2912	1996-01-17	VYDAJ	VYBER	8900	29274	\N	\N	0
854397	2912	1996-02-21	VYDAJ	VYBER	6100	24550	\N	\N	0
854398	2912	1996-03-12	VYDAJ	PREVOD NA UCET	6336	18307	UVER	GH	80799913
854399	2912	1996-04-12	VYDAJ	PREVOD NA UCET	6336	15242	UVER	GH	80799913
854400	2912	1996-05-12	VYDAJ	PREVOD NA UCET	6336	68601	UVER	GH	80799913
854401	2912	1996-06-12	VYDAJ	PREVOD NA UCET	6336	18365	UVER	GH	80799913
854402	2912	1996-07-12	VYDAJ	PREVOD NA UCET	6336	47508	UVER	GH	80799913
854403	2912	1996-08-12	VYDAJ	PREVOD NA UCET	6336	56627	UVER	GH	80799913
854404	2912	1996-09-12	VYDAJ	PREVOD NA UCET	6336	41640	UVER	GH	80799913
854405	2912	1996-10-12	VYDAJ	PREVOD NA UCET	6336	104153	UVER	GH	80799913
854406	2912	1996-11-12	VYDAJ	PREVOD NA UCET	6336	73293	UVER	GH	80799913
854407	2912	1996-12-12	VYDAJ	PREVOD NA UCET	6336	98226	UVER	GH	80799913
854408	2912	1997-01-12	VYDAJ	PREVOD NA UCET	6336	78395	UVER	GH	80799913
854409	2912	1997-02-12	VYDAJ	PREVOD NA UCET	6336	65476	UVER	GH	80799913
854410	2912	1997-03-12	VYDAJ	PREVOD NA UCET	6336	20635	UVER	GH	80799913
854411	2912	1997-04-12	VYDAJ	PREVOD NA UCET	6336	93049	UVER	GH	80799913
854412	2912	1997-05-12	VYDAJ	PREVOD NA UCET	6336	59303	UVER	GH	80799913
854413	2912	1997-06-12	VYDAJ	PREVOD NA UCET	6336	59826	UVER	GH	80799913
854414	2912	1997-07-12	VYDAJ	PREVOD NA UCET	6336	63409	UVER	GH	80799913
854415	2912	1997-08-12	VYDAJ	PREVOD NA UCET	6336	98979	UVER	GH	80799913
854416	2912	1997-09-12	VYDAJ	PREVOD NA UCET	6336	70342	UVER	GH	80799913
854417	2912	1997-10-12	VYDAJ	PREVOD NA UCET	6336	43443	UVER	GH	80799913
854418	2912	1997-11-12	VYDAJ	PREVOD NA UCET	6336	18754	UVER	GH	80799913
854419	2912	1997-12-12	VYDAJ	PREVOD NA UCET	6336	48340	UVER	GH	80799913
854420	2912	1998-01-12	VYDAJ	PREVOD NA UCET	6336	56894	UVER	GH	80799913
854421	2912	1998-02-12	VYDAJ	PREVOD NA UCET	6336	61544	UVER	GH	80799913
854422	2912	1998-03-12	VYDAJ	PREVOD NA UCET	6336	51173	UVER	GH	80799913
854423	2912	1998-04-12	VYDAJ	PREVOD NA UCET	6336	81271	UVER	GH	80799913
854424	2912	1998-05-12	VYDAJ	PREVOD NA UCET	6336	53605	UVER	GH	80799913
854425	2912	1998-06-12	VYDAJ	PREVOD NA UCET	6336	61904	UVER	GH	80799913
854426	2912	1998-07-12	VYDAJ	PREVOD NA UCET	6336	63802	UVER	GH	80799913
854427	2912	1998-08-12	VYDAJ	PREVOD NA UCET	6336	45353	UVER	GH	80799913
854428	2912	1998-09-12	VYDAJ	PREVOD NA UCET	6336	98746	UVER	GH	80799913
854429	2912	1998-10-12	VYDAJ	PREVOD NA UCET	6336	47009	UVER	GH	80799913
854430	2912	1998-11-12	VYDAJ	PREVOD NA UCET	6336	45739	UVER	GH	80799913
854431	2912	1998-12-12	VYDAJ	PREVOD NA UCET	6336	67945	UVER	GH	80799913
854440	2912	1995-07-19	VYBER	VYBER	2515	59260	\N	\N	\N
854441	2912	1996-01-11	VYBER	VYBER	22851	38174	\N	\N	\N
854442	2912	1996-07-28	VYBER	VYBER	7467	96837	\N	\N	\N
854443	2912	1996-07-10	VYBER	VYBER	16181	53844	\N	\N	\N
854444	2912	1996-02-01	VYBER	VYBER	4641	22050	\N	\N	\N
854445	2912	1996-07-02	VYBER	VYBER	22520	70025	\N	\N	\N
854446	2912	1996-01-28	VYBER	VYBER	2624	26550	\N	\N	\N
854447	2912	1996-03-29	VYBER	VYBER	24819	21434	\N	\N	\N
854449	2912	1997-05-25	VYBER	VYBER	5715	74349	\N	\N	\N
854450	2912	1997-02-17	VYBER	VYBER	11504	37517	\N	\N	\N
854451	2912	1997-05-25	VYBER	VYBER	22079	52270	\N	\N	\N
854452	2912	1997-04-16	VYBER	VYBER	8030	46027	\N	\N	\N
854453	2912	1997-04-18	VYBER	VYBER	14093	31934	\N	\N	\N
854454	2912	1997-07-18	VYBER	VYBER	7682	37427	\N	\N	\N
854455	2912	1997-02-17	VYBER	VYBER	10705	26812	\N	\N	\N
854457	2912	1997-02-13	VYBER	VYBER	16448	75521	\N	\N	\N
854459	2912	1997-06-09	VYBER	VYBER	13237	39243	\N	\N	\N
854460	2912	1997-08-21	VYBER	VYBER	12957	48122	\N	\N	\N
854461	2912	1998-10-03	VYBER	VYBER	7113	92021	\N	\N	\N
854462	2912	1998-03-14	VYBER	VYBER	5295	45878	\N	\N	\N
854463	2912	1998-03-08	VYBER	VYBER	21324	36912	\N	\N	\N
854464	2912	1998-10-04	VYBER	VYBER	8636	83385	\N	\N	\N
854465	2912	1998-12-17	VYBER	VYBER	11381	56564	\N	\N	\N
854466	2912	1998-04-08	VYBER	VYBER	19026	50650	\N	\N	\N
854467	2912	1998-10-11	VYBER	VYBER	14740	53345	\N	\N	\N
854470	2912	1996-06-01	VYDAJ	VYBER	67200	24701	\N	\N	\N
854472	2912	1998-06-15	VYDAJ	VYBER	20100	41804	\N	\N	\N
854474	2912	1995-12-15	VYDAJ	VYBER	3600	54365	\N	\N	\N
854475	2912	1996-12-15	VYDAJ	VYBER	7500	90726	\N	\N	\N
854476	2912	1997-12-16	VYDAJ	VYBER	7500	40840	\N	\N	\N
854477	2912	1998-12-07	VYDAJ	VYBER KARTOU	3900	59108	\N	\N	0
854484	2912	1995-06-24	VYDAJ	VYBER	4800	75073	\N	\N	\N
854485	2912	1995-10-30	VYDAJ	VYBER	2100	54366	\N	\N	\N
854486	2912	1995-06-16	VYDAJ	VYBER	13800	68440	\N	\N	\N
854487	2912	1995-05-22	VYDAJ	VYBER	11100	32234	\N	\N	\N
854488	2912	1995-12-17	VYDAJ	VYBER	2100	52265	\N	\N	\N
854489	2912	1995-11-02	VYDAJ	VYBER	10200	40627	\N	\N	\N
854490	2912	1995-06-24	VYDAJ	VYBER	11400	79873	\N	\N	\N
854491	2912	1995-12-27	VYDAJ	VYBER	9900	50134	\N	\N	\N
854492	2912	1996-12-19	VYDAJ	VYBER	8400	48926	\N	\N	\N
854493	2912	1996-10-27	VYDAJ	VYBER	6900	79294	\N	\N	\N
854496	2912	1997-12-11	VYDAJ	VYBER	4500	54676	\N	\N	\N
854498	2912	1997-11-12	VYDAJ	VYBER	7500	25090	\N	\N	\N
854499	2912	1997-09-03	VYDAJ	VYBER	4500	76678	\N	\N	\N
854500	2912	1997-08-24	VYDAJ	VYBER	5100	80881	\N	\N	\N
854501	2912	1998-08-29	VYDAJ	VYBER	11700	50245	\N	\N	\N
854502	2912	1998-03-06	VYDAJ	VYBER KARTOU	3600	58236	\N	\N	0
854503	2912	1998-10-30	VYDAJ	VYBER	6000	41009	\N	\N	\N
854504	2912	1998-11-13	VYDAJ	VYBER KARTOU	2100	43639	\N	\N	0
854505	2912	1998-12-30	VYDAJ	VYBER	9900	58423	\N	\N	\N
854519	2912	1995-01-31	VYDAJ	VYBER	15	45535	SLUZBY	\N	\N
854520	2912	1995-02-28	VYDAJ	VYBER	15	54790	SLUZBY	\N	\N
854521	2912	1995-03-31	VYDAJ	VYBER	15	53354	SLUZBY	\N	\N
854522	2912	1995-04-30	VYDAJ	VYBER	15	51134	SLUZBY	\N	\N
854523	2912	1995-05-31	VYDAJ	VYBER	15	49468	SLUZBY	\N	\N
854524	2912	1995-06-30	VYDAJ	VYBER	15	68808	SLUZBY	\N	\N
854525	2912	1995-07-31	VYDAJ	VYBER	15	86436	SLUZBY	\N	\N
854526	2912	1995-08-31	VYDAJ	VYBER	15	55979	SLUZBY	\N	\N
854527	2912	1995-09-30	VYDAJ	VYBER	15	41086	SLUZBY	\N	\N
854528	2912	1995-10-31	VYDAJ	VYBER	15	54627	SLUZBY	\N	\N
854529	2912	1995-11-30	VYDAJ	VYBER	15	62695	SLUZBY	\N	\N
854530	2912	1995-12-31	VYDAJ	VYBER	15	50441	SLUZBY	\N	\N
854531	2912	1996-01-31	VYDAJ	VYBER	15	26691	SLUZBY	\N	\N
854532	2912	1996-02-29	VYDAJ	VYBER	15	24643	SLUZBY	\N	\N
854533	2912	1996-03-31	VYDAJ	VYBER	15	21578	SLUZBY	\N	\N
854534	2912	1996-04-30	VYDAJ	VYBER	15	73399	SLUZBY	\N	\N
854535	2912	1996-05-31	VYDAJ	VYBER	15	91901	SLUZBY	\N	\N
854536	2912	1996-06-30	VYDAJ	VYBER	15	92545	SLUZBY	\N	\N
854537	2912	1996-07-31	VYDAJ	VYBER	15	97147	SLUZBY	\N	\N
854538	2912	1996-08-31	VYDAJ	VYBER	15	59174	SLUZBY	\N	\N
854539	2912	1996-09-30	VYDAJ	VYBER	15	84552	SLUZBY	\N	\N
854540	2912	1996-10-31	VYDAJ	VYBER	15	79629	SLUZBY	\N	\N
854541	2912	1996-11-30	VYDAJ	VYBER	15	104562	SLUZBY	\N	\N
854542	2912	1996-12-31	VYDAJ	VYBER	15	77674	SLUZBY	\N	\N
854543	2912	1997-01-31	VYDAJ	VYBER	15	51341	SLUZBY	\N	\N
854544	2912	1997-02-28	VYDAJ	VYBER	15	26971	SLUZBY	\N	\N
854545	2912	1997-03-31	VYDAJ	VYBER	15	99385	SLUZBY	\N	\N
854546	2912	1997-04-30	VYDAJ	VYBER	15	32195	SLUZBY	\N	\N
854547	2912	1997-05-31	VYDAJ	VYBER	15	52480	SLUZBY	\N	\N
854548	2912	1997-06-30	VYDAJ	VYBER	15	37799	SLUZBY	\N	\N
854549	2912	1997-07-31	VYDAJ	VYBER	15	79742	SLUZBY	\N	\N
854550	2912	1997-08-31	VYDAJ	VYBER	15	81178	SLUZBY	\N	\N
854551	2912	1997-09-30	VYDAJ	VYBER	15	49779	SLUZBY	\N	\N
854552	2912	1997-10-31	VYDAJ	VYBER	15	33990	SLUZBY	\N	\N
854553	2912	1997-11-30	VYDAJ	VYBER	15	62352	SLUZBY	\N	\N
854554	2912	1997-12-31	VYDAJ	VYBER	15	41030	SLUZBY	\N	\N
854555	2912	1998-01-31	VYDAJ	VYBER	15	93980	SLUZBY	\N	\N
854556	2912	1998-02-28	VYDAJ	VYBER	15	61836	SLUZBY	\N	\N
854557	2912	1998-03-31	VYDAJ	VYBER	15	123676	SLUZBY	\N	\N
854558	2912	1998-04-30	VYDAJ	VYBER	15	81641	SLUZBY	\N	\N
854559	2912	1998-05-31	VYDAJ	VYBER	15	101713	SLUZBY	\N	\N
854560	2912	1998-06-30	VYDAJ	VYBER	15	125105	SLUZBY	\N	\N
854561	2912	1998-07-31	VYDAJ	VYBER	15	64089	SLUZBY	\N	\N
854562	2912	1998-08-31	VYDAJ	VYBER	15	50458	SLUZBY	\N	\N
854563	2912	1998-09-30	VYDAJ	VYBER	15	99134	SLUZBY	\N	\N
854564	2912	1998-10-31	VYDAJ	VYBER	15	41232	SLUZBY	\N	\N
854565	2912	1998-11-30	VYDAJ	VYBER	15	74208	SLUZBY	\N	\N
854566	2912	1994-08-29	PRIJEM	VKLAD	13700	14800	\N	\N	\N
854567	2912	1994-09-28	PRIJEM	VKLAD	2400	17200	\N	\N	\N
854568	2912	1994-10-28	PRIJEM	VKLAD	4800	22000	\N	\N	\N
854569	2912	1994-11-22	VYDAJ	VYBER	27600	82644	\N	\N	\N
854570	2912	1994-11-27	VYDAJ	VYBER	26900	55744	\N	\N	\N
854571	2912	1994-12-27	VYDAJ	VYBER	36600	64945	\N	\N	\N
854572	2912	1995-01-15	VYDAJ	VYBER	37500	74691	\N	\N	\N
854573	2912	1995-01-18	VYDAJ	VYBER	57900	62731	\N	\N	\N
854574	2912	1995-01-26	VYDAJ	VYBER	17500	45231	\N	\N	\N
854575	2912	1995-02-25	VYDAJ	VYBER	30600	54533	\N	\N	\N
854576	2912	1995-03-27	VYDAJ	VYBER	29700	53111	\N	\N	\N
854577	2912	1995-04-26	VYDAJ	VYBER	25500	50918	\N	\N	\N
854578	2912	1995-05-26	VYDAJ	VYBER	26400	49263	\N	\N	\N
854579	2912	1995-06-25	VYDAJ	VYBER	22600	52473	\N	\N	\N
854580	2912	1995-07-05	VYDAJ	VYBER	25600	116634	\N	\N	\N
854581	2912	1995-07-08	VYDAJ	VYBER	16300	131075	\N	\N	\N
854582	2912	1995-07-12	VYDAJ	VYBER	62500	68575	\N	\N	\N
854583	2912	1995-07-25	VYDAJ	VYBER	17600	41660	\N	\N	\N
854584	2912	1995-08-19	VYDAJ	VYBER	20100	87446	\N	\N	\N
854585	2912	1995-08-24	VYDAJ	VYBER	31800	55646	\N	\N	\N
854586	2912	1995-09-23	VYDAJ	VYBER	9600	46379	\N	\N	\N
854587	2912	1995-10-23	VYDAJ	VYBER	31200	56466	\N	\N	\N
854588	2912	1995-11-22	VYDAJ	VYBER	35000	62385	\N	\N	\N
854589	2912	1995-12-06	VYDAJ	VYBER	50700	57965	\N	\N	\N
854590	2912	1995-12-22	VYDAJ	VYBER	29600	65434	\N	\N	\N
854591	2912	1996-01-21	VYDAJ	VYBER	100	29174	\N	\N	\N
854592	2912	1996-02-20	PRIJEM	VKLAD	8600	30650	\N	\N	\N
854593	2912	1996-03-21	VYDAJ	VYBER	15500	46253	\N	\N	\N
854594	2912	1996-04-20	PRIJEM	VKLAD	7500	22742	\N	\N	\N
854595	2912	1996-05-03	VYDAJ	VYBER	37400	74937	\N	\N	\N
854596	2912	1996-05-20	VYDAJ	VYBER	17900	50701	\N	\N	\N
854597	2912	1996-06-19	PRIJEM	VKLAD	7800	26165	\N	\N	\N
854598	2912	1996-07-19	VYDAJ	VYBER	7600	39908	\N	\N	\N
854599	2912	1996-08-03	VYDAJ	VYBER	58900	53508	\N	\N	\N
854600	2912	1996-08-18	VYDAJ	VYBER	30700	58862	\N	\N	\N
854601	2912	1996-09-07	VYDAJ	VYBER	56700	47976	\N	\N	\N
854602	2912	1996-09-17	VYDAJ	VYBER	4800	36840	\N	\N	\N
854603	2912	1996-10-17	VYDAJ	VYBER	36400	67753	\N	\N	\N
854604	2912	1996-11-16	VYDAJ	VYBER	25000	48293	\N	\N	\N
854605	2912	1996-11-27	VYDAJ	VYBER	15500	104219	\N	\N	\N
854606	2912	1996-12-16	VYDAJ	VYBER	33400	57326	\N	\N	\N
854607	2912	1996-12-24	VYDAJ	VYBER	42500	77321	\N	\N	\N
854608	2912	1997-01-15	VYDAJ	VYBER	27300	51095	\N	\N	\N
854609	2912	1997-02-14	VYDAJ	VYBER	26500	49021	\N	\N	\N
854610	2912	1997-03-16	VYDAJ	VYBER	4300	16335	\N	\N	\N
854611	2912	1997-03-25	VYDAJ	VYBER	27900	99220	\N	\N	\N
854612	2912	1997-04-14	VYDAJ	VYBER	50600	90657	\N	\N	\N
854613	2912	1997-04-15	VYDAJ	VYBER	36600	54057	\N	\N	\N
854614	2912	1997-05-15	VYDAJ	VYBER	22500	36803	\N	\N	\N
854615	2912	1997-06-14	VYDAJ	VYBER	22200	37626	\N	\N	\N
854616	2912	1997-07-14	VYDAJ	VYBER	18300	45109	\N	\N	\N
854617	2912	1997-08-13	VYDAJ	VYBER	37900	61079	\N	\N	\N
854618	2912	1997-09-12	VYDAJ	VYBER	20800	49542	\N	\N	\N
854619	2912	1997-10-12	VYDAJ	VYBER	9600	33843	\N	\N	\N
854620	2912	1997-11-11	VYDAJ	VYBER KARTOU	1400	32590	\N	\N	0
854621	2912	1997-12-05	VYDAJ	VYBER	53500	63748	\N	\N	\N
854622	2912	1997-12-11	VYDAJ	VYBER	16600	59176	\N	\N	\N
854623	2912	1998-01-10	VYDAJ	VYBER	7400	40180	\N	\N	\N
854624	2912	1998-02-09	VYDAJ	VYBER	26100	67880	\N	\N	\N
854625	2912	1998-03-11	VYDAJ	VYBER	17000	57509	\N	\N	\N
854626	2912	1998-03-31	VYDAJ	VYBER	54000	69676	\N	\N	\N
854627	2912	1998-04-10	PRIJEM	VKLAD	500	51150	\N	\N	\N
854628	2912	1998-05-10	VYDAJ	VYBER	21700	59941	\N	\N	\N
854629	2912	1998-06-02	VYDAJ	VYBER	54800	81533	\N	\N	\N
854630	2912	1998-06-09	VYDAJ	VYBER	24100	68240	\N	\N	\N
854631	2912	1998-06-30	VYDAJ	VYBER	21200	103905	\N	\N	\N
854632	2912	1998-07-01	VYDAJ	VYBER	23400	129908	\N	\N	\N
854633	2912	1998-07-02	VYDAJ	VYBER	62200	95138	\N	\N	\N
854634	2912	1998-07-09	VYDAJ	VYBER	25000	70138	\N	\N	\N
854635	2912	1998-08-08	VYDAJ	VYBER	12400	51689	\N	\N	\N
854636	2912	1998-09-05	VYDAJ	VYBER	35200	81867	\N	\N	\N
854637	2912	1998-09-07	VYDAJ	VYBER	16900	74192	\N	\N	\N
854638	2912	1998-09-07	VYDAJ	VYBER	24100	91092	\N	\N	\N
854639	2912	1998-10-07	VYDAJ	VYBER	15300	68085	\N	\N	\N
854640	2912	1998-11-06	PRIJEM	VKLAD	4300	45532	\N	\N	\N
854641	2912	1998-11-30	VYDAJ	VYBER	38600	74222	\N	\N	\N
854642	2912	1998-12-06	VYDAJ	VYBER	11200	63008	\N	\N	\N
854693	2913	1993-12-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
854706	2913	1994-01-14	PRIJEM	PREVOD Z UCTU	4471	5571	DUCHOD	UV	21839374
854707	2913	1994-02-14	PRIJEM	PREVOD Z UCTU	4471	10042	DUCHOD	UV	21839374
854708	2913	1994-03-14	PRIJEM	PREVOD Z UCTU	4471	14513	DUCHOD	UV	21839374
854709	2913	1994-04-14	PRIJEM	PREVOD Z UCTU	4471	18984	DUCHOD	UV	21839374
854710	2913	1994-05-14	PRIJEM	PREVOD Z UCTU	4471	23455	DUCHOD	UV	21839374
854711	2913	1994-06-14	PRIJEM	PREVOD Z UCTU	4471	19596	DUCHOD	UV	21839374
854712	2913	1994-07-14	PRIJEM	PREVOD Z UCTU	4471	19430	DUCHOD	UV	21839374
854713	2913	1994-08-14	PRIJEM	PREVOD Z UCTU	4471	20982	DUCHOD	UV	21839374
854714	2913	1994-09-14	PRIJEM	PREVOD Z UCTU	4471	19742	DUCHOD	UV	21839374
854715	2913	1994-10-14	PRIJEM	PREVOD Z UCTU	4471	16959	DUCHOD	UV	21839374
854716	2913	1994-11-14	PRIJEM	PREVOD Z UCTU	4471	18103	DUCHOD	UV	21839374
854717	2913	1994-12-14	PRIJEM	PREVOD Z UCTU	4471	19350	DUCHOD	UV	21839374
854718	2913	1995-01-14	PRIJEM	PREVOD Z UCTU	4471	15062	DUCHOD	UV	21839374
854719	2913	1995-02-14	PRIJEM	PREVOD Z UCTU	4471	14274	DUCHOD	UV	21839374
854720	2913	1995-03-14	PRIJEM	PREVOD Z UCTU	4471	14604	DUCHOD	UV	21839374
854721	2913	1995-04-14	PRIJEM	PREVOD Z UCTU	4471	16137	DUCHOD	UV	21839374
854722	2913	1995-05-14	PRIJEM	PREVOD Z UCTU	4471	17676	DUCHOD	UV	21839374
854723	2913	1995-06-14	PRIJEM	PREVOD Z UCTU	4471	18520	DUCHOD	UV	21839374
854724	2913	1995-07-14	PRIJEM	PREVOD Z UCTU	4471	18567	DUCHOD	UV	21839374
854725	2913	1995-08-14	PRIJEM	PREVOD Z UCTU	4471	19415	DUCHOD	UV	21839374
854726	2913	1995-09-14	PRIJEM	PREVOD Z UCTU	4471	20968	DUCHOD	UV	21839374
854727	2913	1995-10-14	PRIJEM	PREVOD Z UCTU	4471	18259	DUCHOD	UV	21839374
854728	2913	1995-11-14	PRIJEM	PREVOD Z UCTU	4471	19807	DUCHOD	UV	21839374
854729	2913	1995-12-14	PRIJEM	PREVOD Z UCTU	4471	17607	DUCHOD	UV	21839374
854730	2913	1996-01-14	PRIJEM	PREVOD Z UCTU	4471	15229	DUCHOD	UV	21839374
854731	2913	1996-02-14	PRIJEM	PREVOD Z UCTU	4471	15081	DUCHOD	UV	21839374
854732	2913	1996-03-14	PRIJEM	PREVOD Z UCTU	4471	16615	DUCHOD	UV	21839374
854733	2913	1996-04-14	PRIJEM	PREVOD Z UCTU	4471	15150	DUCHOD	UV	21839374
854734	2913	1996-05-14	PRIJEM	PREVOD Z UCTU	4471	16123	DUCHOD	UV	21839374
854735	2913	1996-06-14	PRIJEM	PREVOD Z UCTU	4471	15658	DUCHOD	UV	21839374
854736	2913	1996-07-14	PRIJEM	PREVOD Z UCTU	4471	14689	DUCHOD	UV	21839374
854737	2913	1996-08-14	PRIJEM	PREVOD Z UCTU	4471	16221	DUCHOD	UV	21839374
854738	2913	1996-09-14	PRIJEM	PREVOD Z UCTU	4471	16160	DUCHOD	UV	21839374
854739	2913	1996-10-14	PRIJEM	PREVOD Z UCTU	4471	16258	DUCHOD	UV	21839374
854740	2913	1996-11-14	PRIJEM	PREVOD Z UCTU	4471	17797	DUCHOD	UV	21839374
854741	2913	1996-12-14	PRIJEM	PREVOD Z UCTU	4471	17823	DUCHOD	UV	21839374
854742	2913	1997-01-14	PRIJEM	PREVOD Z UCTU	4471	17298	DUCHOD	UV	21839374
854743	2913	1997-02-14	PRIJEM	PREVOD Z UCTU	4471	15720	DUCHOD	UV	21839374
854744	2913	1997-03-14	PRIJEM	PREVOD Z UCTU	4471	17256	DUCHOD	UV	21839374
854745	2913	1997-04-14	PRIJEM	PREVOD Z UCTU	4471	17299	DUCHOD	UV	21839374
854746	2913	1997-05-14	PRIJEM	PREVOD Z UCTU	4471	18844	DUCHOD	UV	21839374
854747	2913	1997-06-14	PRIJEM	PREVOD Z UCTU	4471	20394	DUCHOD	UV	21839374
854748	2913	1997-07-14	PRIJEM	PREVOD Z UCTU	4471	19710	DUCHOD	UV	21839374
854749	2913	1997-08-14	PRIJEM	PREVOD Z UCTU	4471	20365	DUCHOD	UV	21839374
854750	2913	1997-09-14	PRIJEM	PREVOD Z UCTU	4471	21922	DUCHOD	UV	21839374
854751	2913	1997-10-14	PRIJEM	PREVOD Z UCTU	4471	21804	DUCHOD	UV	21839374
854752	2913	1997-11-14	PRIJEM	PREVOD Z UCTU	4471	21367	DUCHOD	UV	21839374
854753	2913	1997-12-14	PRIJEM	PREVOD Z UCTU	4471	21078	DUCHOD	UV	21839374
854754	2913	1998-01-14	PRIJEM	PREVOD Z UCTU	4471	16952	DUCHOD	UV	21839374
854755	2913	1998-02-14	PRIJEM	PREVOD Z UCTU	4471	16410	DUCHOD	UV	21839374
854756	2913	1998-03-14	PRIJEM	PREVOD Z UCTU	4471	17949	DUCHOD	UV	21839374
854757	2913	1998-04-14	PRIJEM	PREVOD Z UCTU	4471	15894	DUCHOD	UV	21839374
854758	2913	1998-05-14	PRIJEM	PREVOD Z UCTU	4471	17433	DUCHOD	UV	21839374
854759	2913	1998-06-14	PRIJEM	PREVOD Z UCTU	4471	18577	DUCHOD	UV	21839374
854760	2913	1998-07-14	PRIJEM	PREVOD Z UCTU	4471	17345	DUCHOD	UV	21839374
854761	2913	1998-08-14	PRIJEM	PREVOD Z UCTU	4471	16388	DUCHOD	UV	21839374
854762	2913	1998-09-14	PRIJEM	PREVOD Z UCTU	4471	17928	DUCHOD	UV	21839374
854763	2913	1998-10-14	PRIJEM	PREVOD Z UCTU	4471	16033	DUCHOD	UV	21839374
854764	2913	1998-11-14	PRIJEM	PREVOD Z UCTU	4471	16772	DUCHOD	UV	21839374
854765	2913	1998-12-14	PRIJEM	PREVOD Z UCTU	4471	18312	DUCHOD	UV	21839374
854783	2913	1994-06-09	VYDAJ	PREVOD NA UCET	499	15125	SIPO	OP	76905709
854784	2913	1994-07-09	VYDAJ	PREVOD NA UCET	499	14959	SIPO	OP	76905709
854785	2913	1994-08-09	VYDAJ	PREVOD NA UCET	499	16511	SIPO	OP	76905709
854786	2913	1994-09-09	VYDAJ	PREVOD NA UCET	499	18071	SIPO	OP	76905709
854787	2913	1994-10-09	VYDAJ	PREVOD NA UCET	499	12488	SIPO	OP	76905709
854788	2913	1994-11-09	VYDAJ	PREVOD NA UCET	499	13632	SIPO	OP	76905709
854789	2913	1994-12-09	VYDAJ	PREVOD NA UCET	499	14879	SIPO	OP	76905709
854790	2913	1995-01-09	VYDAJ	PREVOD NA UCET	499	10591	SIPO	OP	76905709
854791	2913	1995-02-09	VYDAJ	PREVOD NA UCET	499	9803	SIPO	OP	76905709
854792	2913	1995-03-09	VYDAJ	PREVOD NA UCET	499	10133	SIPO	OP	76905709
854793	2913	1995-04-09	VYDAJ	PREVOD NA UCET	499	11666	SIPO	OP	76905709
854794	2913	1995-05-09	VYDAJ	PREVOD NA UCET	499	13205	SIPO	OP	76905709
854795	2913	1995-06-09	VYDAJ	PREVOD NA UCET	499	14049	SIPO	OP	76905709
854796	2913	1995-07-09	VYDAJ	PREVOD NA UCET	499	14096	SIPO	OP	76905709
854797	2913	1995-08-09	VYDAJ	PREVOD NA UCET	499	14944	SIPO	OP	76905709
854798	2913	1995-09-09	VYDAJ	PREVOD NA UCET	499	16497	SIPO	OP	76905709
854799	2913	1995-10-09	VYDAJ	PREVOD NA UCET	499	13788	SIPO	OP	76905709
854800	2913	1995-11-09	VYDAJ	PREVOD NA UCET	499	15336	SIPO	OP	76905709
854801	2913	1995-12-09	VYDAJ	PREVOD NA UCET	499	13136	SIPO	OP	76905709
854802	2913	1996-01-09	VYDAJ	PREVOD NA UCET	499	10758	SIPO	OP	76905709
854803	2913	1996-02-09	VYDAJ	PREVOD NA UCET	499	10610	SIPO	OP	76905709
854804	2913	1996-03-09	VYDAJ	PREVOD NA UCET	499	12144	SIPO	OP	76905709
854805	2913	1996-04-09	VYDAJ	PREVOD NA UCET	499	10679	SIPO	OP	76905709
854806	2913	1996-05-09	VYDAJ	PREVOD NA UCET	499	11652	SIPO	OP	76905709
854807	2913	1996-06-09	VYDAJ	PREVOD NA UCET	499	11187	SIPO	OP	76905709
854808	2913	1996-07-09	VYDAJ	PREVOD NA UCET	499	10218	SIPO	OP	76905709
854809	2913	1996-08-09	VYDAJ	PREVOD NA UCET	499	11750	SIPO	OP	76905709
854810	2913	1996-09-09	VYDAJ	PREVOD NA UCET	499	13289	SIPO	OP	76905709
854811	2913	1996-10-09	VYDAJ	PREVOD NA UCET	499	11787	SIPO	OP	76905709
854812	2913	1996-11-09	VYDAJ	PREVOD NA UCET	499	13326	SIPO	OP	76905709
854813	2913	1996-12-09	VYDAJ	PREVOD NA UCET	499	13352	SIPO	OP	76905709
854814	2913	1997-01-09	VYDAJ	PREVOD NA UCET	499	12827	SIPO	OP	76905709
854815	2913	1997-02-09	VYDAJ	PREVOD NA UCET	499	11249	SIPO	OP	76905709
854816	2913	1997-03-09	VYDAJ	PREVOD NA UCET	499	12785	SIPO	OP	76905709
854817	2913	1997-04-09	VYDAJ	PREVOD NA UCET	499	14328	SIPO	OP	76905709
854818	2913	1997-05-09	VYDAJ	PREVOD NA UCET	499	14373	SIPO	OP	76905709
854819	2913	1997-06-09	VYDAJ	PREVOD NA UCET	499	15923	SIPO	OP	76905709
854820	2913	1997-07-09	VYDAJ	PREVOD NA UCET	499	17479	SIPO	OP	76905709
854821	2913	1997-08-09	VYDAJ	PREVOD NA UCET	499	15894	SIPO	OP	76905709
854822	2913	1997-09-09	VYDAJ	PREVOD NA UCET	499	17451	SIPO	OP	76905709
854823	2913	1997-10-09	VYDAJ	PREVOD NA UCET	499	17333	SIPO	OP	76905709
854824	2913	1997-11-09	VYDAJ	PREVOD NA UCET	499	16896	SIPO	OP	76905709
854825	2913	1997-12-09	VYDAJ	PREVOD NA UCET	499	17257	SIPO	OP	76905709
854826	2913	1998-01-09	VYDAJ	PREVOD NA UCET	499	12481	SIPO	OP	76905709
854827	2913	1998-02-09	VYDAJ	PREVOD NA UCET	499	11939	SIPO	OP	76905709
854828	2913	1998-03-09	VYDAJ	PREVOD NA UCET	499	13478	SIPO	OP	76905709
854829	2913	1998-04-09	VYDAJ	PREVOD NA UCET	499	11423	SIPO	OP	76905709
854830	2913	1998-05-09	VYDAJ	PREVOD NA UCET	499	12962	SIPO	OP	76905709
854831	2913	1998-06-09	VYDAJ	PREVOD NA UCET	499	14506	SIPO	OP	76905709
854832	2913	1998-07-09	VYDAJ	PREVOD NA UCET	499	12874	SIPO	OP	76905709
854833	2913	1998-08-09	VYDAJ	PREVOD NA UCET	499	11917	SIPO	OP	76905709
854834	2913	1998-09-09	VYDAJ	PREVOD NA UCET	499	13457	SIPO	OP	76905709
854835	2913	1998-10-09	VYDAJ	PREVOD NA UCET	499	11562	SIPO	OP	76905709
854836	2913	1998-11-09	VYDAJ	PREVOD NA UCET	499	12301	SIPO	OP	76905709
854837	2913	1998-12-09	VYDAJ	PREVOD NA UCET	499	13841	SIPO	OP	76905709
854855	2913	1994-06-07	VYDAJ	PREVOD NA UCET	2481	15624	 	GH	18112695
854856	2913	1994-07-07	VYDAJ	PREVOD NA UCET	2481	15458	 	GH	18112695
854857	2913	1994-08-07	VYDAJ	PREVOD NA UCET	2481	17010	 	GH	18112695
854858	2913	1994-09-07	VYDAJ	PREVOD NA UCET	2481	18570	 	GH	18112695
854859	2913	1994-10-07	VYDAJ	PREVOD NA UCET	2481	12987	 	GH	18112695
854860	2913	1994-11-07	VYDAJ	PREVOD NA UCET	2481	14131	 	GH	18112695
854861	2913	1994-12-07	VYDAJ	PREVOD NA UCET	2481	15678	 	GH	18112695
854862	2913	1995-01-07	VYDAJ	PREVOD NA UCET	2481	11090	 	GH	18112695
854863	2913	1995-02-07	VYDAJ	PREVOD NA UCET	2481	10302	 	GH	18112695
854864	2913	1995-03-07	VYDAJ	PREVOD NA UCET	2481	10632	 	GH	18112695
854865	2913	1995-04-07	VYDAJ	PREVOD NA UCET	2481	12165	 	GH	18112695
854866	2913	1995-05-07	VYDAJ	PREVOD NA UCET	2481	13704	 	GH	18112695
854867	2913	1995-06-07	VYDAJ	PREVOD NA UCET	2481	14548	 	GH	18112695
854868	2913	1995-07-07	VYDAJ	PREVOD NA UCET	2481	14595	 	GH	18112695
854869	2913	1995-08-07	VYDAJ	PREVOD NA UCET	2481	15443	 	GH	18112695
854870	2913	1995-09-07	VYDAJ	PREVOD NA UCET	2481	16996	 	GH	18112695
854871	2913	1995-10-07	VYDAJ	PREVOD NA UCET	2481	14287	 	GH	18112695
854872	2913	1995-11-07	VYDAJ	PREVOD NA UCET	2481	15835	 	GH	18112695
854873	2913	1995-12-07	VYDAJ	PREVOD NA UCET	2481	13635	 	GH	18112695
854874	2913	1996-01-07	VYDAJ	PREVOD NA UCET	2481	11257	 	GH	18112695
854875	2913	1996-02-07	VYDAJ	PREVOD NA UCET	2481	11109	 	GH	18112695
854876	2913	1996-03-07	VYDAJ	PREVOD NA UCET	2481	12643	 	GH	18112695
854877	2913	1996-04-07	VYDAJ	PREVOD NA UCET	2481	11178	 	GH	18112695
854878	2913	1996-05-07	VYDAJ	PREVOD NA UCET	2481	12151	 	GH	18112695
854879	2913	1996-06-07	VYDAJ	PREVOD NA UCET	2481	11686	 	GH	18112695
854880	2913	1996-07-07	VYDAJ	PREVOD NA UCET	2481	10717	 	GH	18112695
854881	2913	1996-08-07	VYDAJ	PREVOD NA UCET	2481	12249	 	GH	18112695
854882	2913	1996-09-07	VYDAJ	PREVOD NA UCET	2481	13788	 	GH	18112695
854883	2913	1996-10-07	VYDAJ	PREVOD NA UCET	2481	12286	 	GH	18112695
854884	2913	1996-11-07	VYDAJ	PREVOD NA UCET	2481	13825	 	GH	18112695
854885	2913	1996-12-07	VYDAJ	PREVOD NA UCET	2481	13851	 	GH	18112695
854886	2913	1997-01-07	VYDAJ	PREVOD NA UCET	2481	13326	 	GH	18112695
854887	2913	1997-02-07	VYDAJ	PREVOD NA UCET	2481	11748	 	GH	18112695
854888	2913	1997-03-07	VYDAJ	PREVOD NA UCET	2481	13284	 	GH	18112695
854889	2913	1997-04-07	VYDAJ	PREVOD NA UCET	2481	14827	 	GH	18112695
854890	2913	1997-05-07	VYDAJ	PREVOD NA UCET	2481	14872	 	GH	18112695
854891	2913	1997-06-07	VYDAJ	PREVOD NA UCET	2481	16422	 	GH	18112695
854892	2913	1997-07-07	VYDAJ	PREVOD NA UCET	2481	17978	 	GH	18112695
854893	2913	1997-08-07	VYDAJ	PREVOD NA UCET	2481	17293	 	GH	18112695
854894	2913	1997-09-07	VYDAJ	PREVOD NA UCET	2481	17950	 	GH	18112695
854895	2913	1997-10-07	VYDAJ	PREVOD NA UCET	2481	19512	 	GH	18112695
854896	2913	1997-11-07	VYDAJ	PREVOD NA UCET	2481	19395	 	GH	18112695
854897	2913	1997-12-07	VYDAJ	PREVOD NA UCET	2481	18956	 	GH	18112695
854898	2913	1998-01-07	VYDAJ	PREVOD NA UCET	2481	14500	 	GH	18112695
854899	2913	1998-02-07	VYDAJ	PREVOD NA UCET	2481	12438	 	GH	18112695
854900	2913	1998-03-07	VYDAJ	PREVOD NA UCET	2481	13977	 	GH	18112695
854901	2913	1998-04-07	VYDAJ	PREVOD NA UCET	2481	11922	 	GH	18112695
854902	2913	1998-05-07	VYDAJ	PREVOD NA UCET	2481	13461	 	GH	18112695
854903	2913	1998-06-07	VYDAJ	PREVOD NA UCET	2481	15005	 	GH	18112695
854904	2913	1998-07-07	VYDAJ	PREVOD NA UCET	2481	13373	 	GH	18112695
854905	2913	1998-08-07	VYDAJ	PREVOD NA UCET	2481	12416	 	GH	18112695
854906	2913	1998-09-07	VYDAJ	PREVOD NA UCET	2481	13956	 	GH	18112695
854907	2913	1998-10-07	VYDAJ	PREVOD NA UCET	2481	12061	 	GH	18112695
854908	2913	1998-11-07	VYDAJ	PREVOD NA UCET	2481	12800	 	GH	18112695
854909	2913	1998-12-07	VYDAJ	PREVOD NA UCET	2481	14340	 	GH	18112695
854911	2913	1994-06-02	VYDAJ	VYBER	2850	18105	\N	\N	\N
854912	2913	1995-06-21	VYDAJ	VYBER	1500	17020	\N	\N	\N
854923	2913	1994-12-08	VYDAJ	VYBER	300	15378	\N	\N	\N
854924	2913	1995-12-05	VYDAJ	VYBER	950	16116	\N	\N	\N
854925	2913	1996-12-26	VYDAJ	VYBER	550	17273	\N	\N	\N
854926	2913	1997-12-12	VYDAJ	VYBER	650	16607	\N	\N	\N
854927	2913	1998-12-29	VYDAJ	VYBER	400	17912	\N	\N	\N
854940	2913	1995-01-02	VYDAJ	VYBER	2240	17171	\N	\N	\N
854941	2913	1995-01-04	VYDAJ	VYBER	480	15331	\N	\N	\N
854942	2913	1995-01-16	VYDAJ	VYBER	2320	12742	\N	\N	\N
854944	2913	1995-01-05	VYDAJ	VYBER	1760	13571	\N	\N	\N
854945	2913	1995-01-04	VYDAJ	VYBER	1360	15811	\N	\N	\N
854948	2913	1996-01-02	VYDAJ	VYBER	1920	13738	\N	\N	\N
854950	2913	1996-01-18	VYDAJ	VYBER	880	13549	\N	\N	\N
854951	2913	1996-01-14	VYDAJ	VYBER	800	14429	\N	\N	\N
854952	2913	1997-01-05	VYDAJ	VYBER	1520	15807	\N	\N	\N
854953	2913	1997-01-21	VYDAJ	VYBER	1200	16098	\N	\N	\N
854956	2913	1997-01-29	VYDAJ	VYBER	1920	14178	\N	\N	\N
854958	2913	1998-01-07	VYDAJ	VYBER	1520	12980	\N	\N	\N
854962	2913	1998-01-14	VYDAJ	VYBER	1280	15672	\N	\N	\N
854969	2913	1994-09-12	VYDAJ	VYBER	2800	15271	\N	\N	\N
854970	2913	1994-10-04	VYDAJ	VYBER	1120	17788	\N	\N	\N
854971	2913	1994-10-07	VYDAJ	VYBER	2320	15468	\N	\N	\N
854975	2913	1994-06-29	VYDAJ	VYBER	720	17876	\N	\N	\N
854976	2913	1995-02-28	VYDAJ	VYBER	1200	13128	\N	\N	\N
854977	2913	1995-09-17	VYDAJ	VYBER	1360	19608	\N	\N	\N
854979	2913	1995-11-28	VYDAJ	VYBER	1200	17007	\N	\N	\N
854983	2913	1996-12-05	VYDAJ	VYBER	1520	16332	\N	\N	\N
854984	2913	1996-04-19	VYDAJ	VYBER	560	14590	\N	\N	\N
854986	2913	1996-09-15	VYDAJ	VYBER	1440	14720	\N	\N	\N
854987	2913	1997-07-09	VYDAJ	VYBER	2240	15239	\N	\N	\N
854988	2913	1997-12-27	VYDAJ	VYBER	2400	16918	\N	\N	\N
854989	2913	1997-10-07	VYDAJ	VYBER	880	18632	\N	\N	\N
854990	2913	1997-12-15	VYDAJ	VYBER	1760	19318	\N	\N	\N
854991	2913	1998-07-03	VYDAJ	VYBER	2480	16154	\N	\N	\N
854993	2913	1998-10-03	VYDAJ	VYBER	1040	16942	\N	\N	\N
854995	2913	1998-01-22	VYDAJ	VYBER	800	14872	\N	\N	\N
854996	2913	1998-06-09	VYDAJ	VYBER	400	14106	\N	\N	\N
855014	2913	1994-05-31	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
855015	2913	1994-06-30	VYDAJ	VYBER	15	17939	SLUZBY	\N	\N
855016	2913	1994-07-31	VYDAJ	VYBER	15	19491	SLUZBY	\N	\N
855017	2913	1994-08-31	VYDAJ	VYBER	15	21051	SLUZBY	\N	\N
855018	2913	1994-09-30	VYDAJ	VYBER	15	18908	SLUZBY	\N	\N
855019	2913	1994-10-31	VYDAJ	VYBER	15	16612	SLUZBY	\N	\N
855020	2913	1994-11-30	VYDAJ	VYBER	15	18159	SLUZBY	\N	\N
855021	2913	1994-12-31	VYDAJ	VYBER	15	19411	SLUZBY	\N	\N
855022	2913	1995-01-31	VYDAJ	VYBER	15	12783	SLUZBY	\N	\N
855023	2913	1995-02-28	VYDAJ	VYBER	15	13113	SLUZBY	\N	\N
855024	2913	1995-03-31	VYDAJ	VYBER	15	14646	SLUZBY	\N	\N
855025	2913	1995-04-30	VYDAJ	VYBER	15	16185	SLUZBY	\N	\N
855026	2913	1995-05-31	VYDAJ	VYBER	15	17029	SLUZBY	\N	\N
855027	2913	1995-06-30	VYDAJ	VYBER	15	17076	SLUZBY	\N	\N
855028	2913	1995-07-31	VYDAJ	VYBER	15	17924	SLUZBY	\N	\N
855029	2913	1995-08-31	VYDAJ	VYBER	15	19477	SLUZBY	\N	\N
855030	2913	1995-09-30	VYDAJ	VYBER	15	16768	SLUZBY	\N	\N
855031	2913	1995-10-31	VYDAJ	VYBER	15	18316	SLUZBY	\N	\N
855032	2913	1995-11-30	VYDAJ	VYBER	15	17066	SLUZBY	\N	\N
855033	2913	1995-12-31	VYDAJ	VYBER	15	15658	SLUZBY	\N	\N
855034	2913	1996-01-31	VYDAJ	VYBER	15	13590	SLUZBY	\N	\N
855035	2913	1996-02-29	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
855036	2913	1996-03-31	VYDAJ	VYBER	15	13659	SLUZBY	\N	\N
855037	2913	1996-04-30	VYDAJ	VYBER	15	14632	SLUZBY	\N	\N
855038	2913	1996-05-31	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
855039	2913	1996-06-30	VYDAJ	VYBER	15	13198	SLUZBY	\N	\N
855040	2913	1996-07-31	VYDAJ	VYBER	15	14730	SLUZBY	\N	\N
855041	2913	1996-08-31	VYDAJ	VYBER	15	16269	SLUZBY	\N	\N
855042	2913	1996-09-30	VYDAJ	VYBER	15	14767	SLUZBY	\N	\N
855043	2913	1996-10-31	VYDAJ	VYBER	15	16306	SLUZBY	\N	\N
855044	2913	1996-11-30	VYDAJ	VYBER	15	17852	SLUZBY	\N	\N
855045	2913	1996-12-31	VYDAJ	VYBER	15	17327	SLUZBY	\N	\N
855046	2913	1997-01-31	VYDAJ	VYBER	15	14229	SLUZBY	\N	\N
855047	2913	1997-02-28	VYDAJ	VYBER	15	15765	SLUZBY	\N	\N
855048	2913	1997-03-31	VYDAJ	VYBER	15	17308	SLUZBY	\N	\N
855049	2913	1997-04-30	VYDAJ	VYBER	15	17353	SLUZBY	\N	\N
855050	2913	1997-05-31	VYDAJ	VYBER	15	18903	SLUZBY	\N	\N
855051	2913	1997-06-30	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
855052	2913	1997-07-31	VYDAJ	VYBER	15	19774	SLUZBY	\N	\N
855053	2913	1997-08-31	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
855054	2913	1997-09-30	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
855055	2913	1997-10-31	VYDAJ	VYBER	15	21876	SLUZBY	\N	\N
855056	2913	1997-11-30	VYDAJ	VYBER	15	21437	SLUZBY	\N	\N
855057	2913	1997-12-31	VYDAJ	VYBER	15	16981	SLUZBY	\N	\N
855058	2913	1998-01-31	VYDAJ	VYBER	15	14919	SLUZBY	\N	\N
855059	2913	1998-02-28	VYDAJ	VYBER	15	16458	SLUZBY	\N	\N
855060	2913	1998-03-31	VYDAJ	VYBER	15	18003	SLUZBY	\N	\N
855061	2913	1998-04-30	VYDAJ	VYBER	15	15942	SLUZBY	\N	\N
855062	2913	1998-05-31	VYDAJ	VYBER	15	17486	SLUZBY	\N	\N
855063	2913	1998-06-30	VYDAJ	VYBER	15	18634	SLUZBY	\N	\N
855064	2913	1998-07-31	VYDAJ	VYBER	15	17397	SLUZBY	\N	\N
855065	2913	1998-08-31	VYDAJ	VYBER	15	16437	SLUZBY	\N	\N
855066	2913	1998-09-30	VYDAJ	VYBER	15	17982	SLUZBY	\N	\N
855067	2913	1998-10-31	VYDAJ	VYBER	15	16081	SLUZBY	\N	\N
855068	2913	1998-11-30	VYDAJ	VYBER	15	16821	SLUZBY	\N	\N
855069	2913	1994-05-27	VYDAJ	VYBER	2500	20955	\N	\N	\N
855070	2913	1994-06-26	VYDAJ	VYBER	1000	18596	\N	\N	\N
855071	2913	1994-09-24	VYDAJ	VYBER	900	18842	\N	\N	\N
855072	2913	1994-10-24	VYDAJ	VYBER	400	16559	\N	\N	\N
855073	2913	1995-05-22	VYDAJ	VYBER	700	16976	\N	\N	\N
855074	2913	1995-07-21	VYDAJ	VYBER	700	17867	\N	\N	\N
855075	2913	1995-09-19	VYDAJ	VYBER	2900	16708	\N	\N	\N
855076	2913	1995-11-18	VYDAJ	VYBER	1600	18207	\N	\N	\N
855077	2913	1995-12-18	VYDAJ	VYBER	2000	15607	\N	\N	\N
855078	2913	1996-03-17	VYDAJ	VYBER	3000	13615	\N	\N	\N
855079	2913	1996-05-16	VYDAJ	VYBER	2000	14123	\N	\N	\N
855080	2913	1996-06-15	VYDAJ	VYBER	2500	13158	\N	\N	\N
855081	2913	1996-09-13	VYDAJ	VYBER	1600	11689	\N	\N	\N
855082	2913	1997-04-11	VYDAJ	VYBER	1500	12828	\N	\N	\N
855083	2913	1997-08-09	VYDAJ	VYBER	900	16393	\N	\N	\N
855084	2913	1997-10-08	VYDAJ	VYBER	800	17832	\N	\N	\N
855085	2913	1997-11-07	VYDAJ	VYBER	2000	17395	\N	\N	\N
855086	2913	1997-12-07	VYDAJ	VYBER	1200	17756	\N	\N	\N
855087	2913	1998-04-06	VYDAJ	VYBER	3600	14403	\N	\N	\N
855088	2913	1998-07-05	VYDAJ	VYBER	300	15854	\N	\N	\N
855089	2913	1998-08-04	VYDAJ	VYBER	2500	14897	\N	\N	\N
855090	2913	1998-10-03	VYDAJ	VYBER	2400	14542	\N	\N	\N
855091	2913	1998-11-02	VYDAJ	VYBER	800	15281	\N	\N	\N
855148	2914	1996-09-08	PRIJEM	VKLAD	300	300	\N	\N	\N
855157	2914	1996-09-12	PRIJEM	VKLAD	7784	8084	\N	\N	\N
855158	2914	1996-10-12	PRIJEM	VKLAD	7784	25489	\N	\N	\N
855159	2914	1996-11-12	PRIJEM	VKLAD	7784	35754	\N	\N	\N
855160	2914	1996-12-12	PRIJEM	VKLAD	11676	42963	\N	\N	\N
855161	2914	1997-01-12	PRIJEM	VKLAD	7784	43115	\N	\N	\N
855162	2914	1997-02-12	PRIJEM	VKLAD	7784	39166	\N	\N	\N
855163	2914	1997-03-12	PRIJEM	VKLAD	7784	34099	\N	\N	\N
855164	2914	1997-04-12	PRIJEM	VKLAD	7784	34717	\N	\N	\N
855165	2914	1997-05-12	PRIJEM	VKLAD	7784	35430	\N	\N	\N
855166	2914	1997-06-12	PRIJEM	VKLAD	11676	30339	\N	\N	\N
855167	2914	1997-07-12	PRIJEM	VKLAD	7784	35139	\N	\N	\N
855168	2914	1997-08-12	PRIJEM	VKLAD	7784	38748	\N	\N	\N
855169	2914	1997-09-12	PRIJEM	VKLAD	7784	40976	\N	\N	\N
855170	2914	1997-10-12	PRIJEM	VKLAD	7784	43013	\N	\N	\N
855171	2914	1997-11-12	PRIJEM	VKLAD	7784	39660	\N	\N	\N
855172	2914	1997-12-12	PRIJEM	VKLAD	11676	47089	\N	\N	\N
855173	2914	1998-01-12	PRIJEM	VKLAD	7784	37144	\N	\N	\N
855174	2914	1998-02-12	PRIJEM	VKLAD	7784	37163	\N	\N	\N
855175	2914	1998-03-12	PRIJEM	VKLAD	7784	36786	\N	\N	\N
855176	2914	1998-04-12	PRIJEM	VKLAD	7784	36709	\N	\N	\N
855177	2914	1998-05-12	PRIJEM	VKLAD	7784	33030	\N	\N	\N
855178	2914	1998-06-12	PRIJEM	VKLAD	11676	32332	\N	\N	\N
855179	2914	1998-07-12	PRIJEM	VKLAD	7784	28239	\N	\N	\N
855180	2914	1998-08-12	PRIJEM	VKLAD	7784	22622	\N	\N	\N
855181	2914	1998-09-12	PRIJEM	VKLAD	7784	22686	\N	\N	\N
855182	2914	1998-10-12	PRIJEM	VKLAD	7784	32950	\N	\N	\N
855183	2914	1998-11-12	PRIJEM	VKLAD	7784	38657	\N	\N	\N
855184	2914	1998-12-12	PRIJEM	VKLAD	11676	46480	\N	\N	\N
855197	2914	1997-01-13	VYDAJ	PREVOD NA UCET	1822	41293	SIPO	WX	71556800
855198	2914	1997-02-13	VYDAJ	PREVOD NA UCET	1822	37344	SIPO	WX	71556800
855199	2914	1997-03-13	VYDAJ	PREVOD NA UCET	1822	32277	SIPO	WX	71556800
855200	2914	1997-04-13	VYDAJ	PREVOD NA UCET	1822	32895	SIPO	WX	71556800
855328	2914	1998-09-30	VYDAJ	VYBER	15	28533	SLUZBY	\N	\N
855201	2914	1997-05-13	VYDAJ	PREVOD NA UCET	1822	33608	SIPO	WX	71556800
855202	2914	1997-06-13	VYDAJ	PREVOD NA UCET	1822	28517	SIPO	WX	71556800
855203	2914	1997-07-13	VYDAJ	PREVOD NA UCET	1822	33317	SIPO	WX	71556800
855204	2914	1997-08-13	VYDAJ	PREVOD NA UCET	1822	36926	SIPO	WX	71556800
855205	2914	1997-09-13	VYDAJ	PREVOD NA UCET	1822	39154	SIPO	WX	71556800
855206	2914	1997-10-13	VYDAJ	PREVOD NA UCET	1822	41191	SIPO	WX	71556800
855207	2914	1997-11-13	VYDAJ	PREVOD NA UCET	1822	37838	SIPO	WX	71556800
855208	2914	1997-12-13	VYDAJ	PREVOD NA UCET	1822	45267	SIPO	WX	71556800
855209	2914	1998-01-13	VYDAJ	PREVOD NA UCET	1822	32722	SIPO	WX	71556800
855210	2914	1998-02-13	VYDAJ	PREVOD NA UCET	1822	35341	SIPO	WX	71556800
855211	2914	1998-03-13	VYDAJ	PREVOD NA UCET	1822	34964	SIPO	WX	71556800
855212	2914	1998-04-13	VYDAJ	PREVOD NA UCET	1822	34887	SIPO	WX	71556800
855213	2914	1998-05-13	VYDAJ	PREVOD NA UCET	1822	31208	SIPO	WX	71556800
855214	2914	1998-06-13	VYDAJ	PREVOD NA UCET	1822	30510	SIPO	WX	71556800
855215	2914	1998-07-13	VYDAJ	PREVOD NA UCET	1822	23817	SIPO	WX	71556800
855216	2914	1998-08-13	VYDAJ	PREVOD NA UCET	1822	20800	SIPO	WX	71556800
855217	2914	1998-09-13	VYDAJ	PREVOD NA UCET	1822	20864	SIPO	WX	71556800
855218	2914	1998-10-13	VYDAJ	PREVOD NA UCET	1822	31128	SIPO	WX	71556800
855219	2914	1998-11-13	VYDAJ	PREVOD NA UCET	1822	36835	SIPO	WX	71556800
855220	2914	1998-12-13	VYDAJ	PREVOD NA UCET	1822	44658	SIPO	WX	71556800
855234	2914	1997-02-07	VYDAJ	PREVOD NA UCET	3367	31382	 	YZ	60860872
855235	2914	1997-03-07	VYDAJ	PREVOD NA UCET	3367	34115	 	YZ	60860872
855236	2914	1997-04-07	VYDAJ	PREVOD NA UCET	3367	26933	 	YZ	60860872
855237	2914	1997-05-07	VYDAJ	PREVOD NA UCET	3367	27646	 	YZ	60860872
855238	2914	1997-06-07	VYDAJ	PREVOD NA UCET	3367	30063	 	YZ	60860872
855239	2914	1997-07-07	VYDAJ	PREVOD NA UCET	3367	27355	 	YZ	60860872
855240	2914	1997-08-07	VYDAJ	PREVOD NA UCET	3367	30964	 	YZ	60860872
855241	2914	1997-09-07	VYDAJ	PREVOD NA UCET	3367	33192	 	YZ	60860872
855242	2914	1997-10-07	VYDAJ	PREVOD NA UCET	3367	35229	 	YZ	60860872
855243	2914	1997-11-07	VYDAJ	PREVOD NA UCET	3367	31876	 	YZ	60860872
855244	2914	1997-12-07	VYDAJ	PREVOD NA UCET	3367	35413	 	YZ	60860872
855245	2914	1998-01-07	VYDAJ	PREVOD NA UCET	3367	29360	 	YZ	60860872
855246	2914	1998-02-07	VYDAJ	PREVOD NA UCET	3367	29379	 	YZ	60860872
855247	2914	1998-03-07	VYDAJ	PREVOD NA UCET	3367	29002	 	YZ	60860872
855248	2914	1998-04-07	VYDAJ	PREVOD NA UCET	3367	28925	 	YZ	60860872
855249	2914	1998-05-07	VYDAJ	PREVOD NA UCET	3367	25246	 	YZ	60860872
855250	2914	1998-06-07	VYDAJ	PREVOD NA UCET	3367	20656	 	YZ	60860872
855251	2914	1998-07-07	VYDAJ	PREVOD NA UCET	3367	20455	 	YZ	60860872
855252	2914	1998-08-07	VYDAJ	PREVOD NA UCET	3367	14838	 	YZ	60860872
855253	2914	1998-09-07	VYDAJ	PREVOD NA UCET	3367	15402	 	YZ	60860872
855254	2914	1998-10-07	VYDAJ	PREVOD NA UCET	3367	25166	 	YZ	60860872
855255	2914	1998-11-07	VYDAJ	PREVOD NA UCET	3367	30873	 	YZ	60860872
855256	2914	1998-12-07	VYDAJ	PREVOD NA UCET	3367	34804	 	YZ	60860872
855258	2914	1997-06-10	VYDAJ	VYBER	11400	18663	\N	\N	\N
855261	2914	1997-12-24	VYDAJ	VYBER	1000	44267	\N	\N	\N
855262	2914	1998-12-03	VYDAJ	VYBER	600	38171	\N	\N	\N
855270	2914	1997-01-21	VYDAJ	VYBER	1900	38193	\N	\N	\N
855272	2914	1997-01-21	VYDAJ	VYBER	1200	40093	\N	\N	\N
855275	2914	1998-01-14	VYDAJ	VYBER	1100	31622	\N	\N	\N
855276	2914	1998-01-01	VYDAJ	VYBER	1400	38627	\N	\N	\N
855277	2914	1998-01-12	VYDAJ	VYBER	2600	34544	\N	\N	\N
855278	2914	1998-01-07	VYDAJ	VYBER	1100	35027	\N	\N	\N
855279	2914	1998-01-04	VYDAJ	VYBER	2500	36127	\N	\N	\N
855280	2914	1998-01-07	VYDAJ	VYBER	2300	32727	\N	\N	\N
855287	2914	1997-03-10	VYDAJ	VYBER	2300	26315	\N	\N	\N
855288	2914	1997-06-28	VYDAJ	VYBER	3100	25417	\N	\N	\N
855289	2914	1998-09-07	VYDAJ	VYBER	500	14902	\N	\N	\N
855290	2914	1998-08-31	VYDAJ	VYBER	4300	18783	\N	\N	\N
855291	2914	1998-08-06	VYDAJ	VYBER	4200	18205	\N	\N	\N
855292	2914	1998-12-16	VYDAJ	VYBER	4500	40158	\N	\N	\N
855293	2914	1998-07-05	VYDAJ	VYBER	1300	23822	\N	\N	\N
855294	2914	1998-07-13	VYDAJ	VYBER	2600	25639	\N	\N	\N
855308	2914	1997-01-31	VYDAJ	VYBER	15	38349	SLUZBY	\N	\N
855309	2914	1997-02-28	VYDAJ	VYBER	15	37482	SLUZBY	\N	\N
855310	2914	1997-03-31	VYDAJ	VYBER	15	32400	SLUZBY	\N	\N
855311	2914	1997-04-30	VYDAJ	VYBER	15	33013	SLUZBY	\N	\N
855312	2914	1997-05-31	VYDAJ	VYBER	15	33730	SLUZBY	\N	\N
855313	2914	1997-06-30	VYDAJ	VYBER	15	25522	SLUZBY	\N	\N
855314	2914	1997-07-31	VYDAJ	VYBER	15	33431	SLUZBY	\N	\N
855315	2914	1997-08-31	VYDAJ	VYBER	15	37059	SLUZBY	\N	\N
855316	2914	1997-09-30	VYDAJ	VYBER	15	39296	SLUZBY	\N	\N
855317	2914	1997-10-31	VYDAJ	VYBER	15	41343	SLUZBY	\N	\N
855318	2914	1997-11-30	VYDAJ	VYBER	15	37980	SLUZBY	\N	\N
855319	2914	1997-12-31	VYDAJ	VYBER	15	44427	SLUZBY	\N	\N
855320	2914	1998-01-31	VYDAJ	VYBER	15	32746	SLUZBY	\N	\N
855321	2914	1998-02-28	VYDAJ	VYBER	15	35469	SLUZBY	\N	\N
855322	2914	1998-03-31	VYDAJ	VYBER	15	35092	SLUZBY	\N	\N
855323	2914	1998-04-30	VYDAJ	VYBER	15	35013	SLUZBY	\N	\N
855324	2914	1998-05-31	VYDAJ	VYBER	15	31323	SLUZBY	\N	\N
855325	2914	1998-06-30	VYDAJ	VYBER	15	25122	SLUZBY	\N	\N
855326	2914	1998-07-31	VYDAJ	VYBER	15	22405	SLUZBY	\N	\N
855327	2914	1998-08-31	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
855329	2914	1998-10-31	VYDAJ	VYBER	15	34240	SLUZBY	\N	\N
855330	2914	1998-11-30	VYDAJ	VYBER	15	38771	SLUZBY	\N	\N
855331	2914	1996-10-08	PRIJEM	VKLAD	9600	17705	\N	\N	\N
855332	2914	1996-11-07	PRIJEM	VKLAD	2400	27970	\N	\N	\N
855333	2914	1996-12-07	VYDAJ	VYBER	4600	31287	\N	\N	\N
855334	2914	1997-01-06	VYDAJ	VYBER	7800	35331	\N	\N	\N
855335	2914	1997-02-05	VYDAJ	VYBER	3600	34749	\N	\N	\N
855336	2914	1997-03-07	VYDAJ	VYBER	5500	28615	\N	\N	\N
855337	2914	1997-04-06	VYDAJ	VYBER	2100	30300	\N	\N	\N
855338	2914	1997-05-06	VYDAJ	VYBER	2000	31013	\N	\N	\N
855339	2914	1997-06-05	VYDAJ	VYBER	300	33430	\N	\N	\N
855340	2914	1997-07-05	PRIJEM	VKLAD	5200	30722	\N	\N	\N
855341	2914	1997-08-04	PRIJEM	VKLAD	900	34331	\N	\N	\N
855342	2914	1997-09-03	VYDAJ	VYBER	500	36559	\N	\N	\N
855343	2914	1997-10-03	VYDAJ	VYBER	700	38596	\N	\N	\N
855344	2914	1997-11-02	VYDAJ	VYBER	6100	35243	\N	\N	\N
855345	2914	1997-12-02	PRIJEM	VKLAD	800	38780	\N	\N	\N
855346	2914	1998-01-01	VYDAJ	VYBER	4400	40027	\N	\N	\N
855347	2914	1998-01-31	PRIJEM	VKLAD	1000	32760	\N	\N	\N
855348	2914	1998-03-02	VYDAJ	VYBER	3100	32369	\N	\N	\N
855349	2914	1998-04-01	VYDAJ	VYBER	2800	32292	\N	\N	\N
855350	2914	1998-05-01	VYDAJ	VYBER	6400	28613	\N	\N	\N
855351	2914	1998-05-31	VYDAJ	VYBER	7300	24023	\N	\N	\N
855352	2914	1998-06-30	VYDAJ	VYBER	5500	25137	\N	\N	\N
855353	2914	1998-07-30	VYDAJ	VYBER	1500	22317	\N	\N	\N
855354	2914	1998-08-29	PRIJEM	VKLAD	2200	23000	\N	\N	\N
855355	2914	1998-09-28	PRIJEM	VKLAD	7600	28464	\N	\N	\N
855356	2914	1998-10-28	PRIJEM	VKLAD	3000	34128	\N	\N	\N
855357	2914	1998-11-27	PRIJEM	VKLAD	1800	38635	\N	\N	\N
855386	2915	1993-07-23	PRIJEM	VKLAD	500	500	\N	\N	\N
855394	2915	1993-08-10	PRIJEM	PREVOD Z UCTU	47983	48483	\N	CD	9798497
855395	2915	1993-09-10	PRIJEM	PREVOD Z UCTU	47983	86918	\N	CD	9798497
855396	2915	1993-10-10	PRIJEM	PREVOD Z UCTU	47983	103186	\N	CD	9798497
855397	2915	1993-11-10	PRIJEM	PREVOD Z UCTU	47983	111310	\N	CD	9798497
855398	2915	1993-12-10	PRIJEM	PREVOD Z UCTU	71974	117887	\N	CD	9798497
855399	2915	1994-01-10	PRIJEM	PREVOD Z UCTU	47983	74559	\N	CD	9798497
855400	2915	1994-02-10	PRIJEM	PREVOD Z UCTU	47983	93940	\N	CD	9798497
855401	2915	1994-03-10	PRIJEM	PREVOD Z UCTU	47983	72404	\N	CD	9798497
855402	2915	1994-04-10	PRIJEM	PREVOD Z UCTU	47983	99598	\N	CD	9798497
855403	2915	1994-05-10	PRIJEM	PREVOD Z UCTU	47983	110900	\N	CD	9798497
855404	2915	1994-06-10	PRIJEM	PREVOD Z UCTU	71974	104037	\N	CD	9798497
855405	2915	1994-07-10	PRIJEM	PREVOD Z UCTU	47983	72890	\N	CD	9798497
855406	2915	1994-08-10	PRIJEM	PREVOD Z UCTU	47983	100814	\N	CD	9798497
855407	2915	1994-09-10	PRIJEM	PREVOD Z UCTU	47983	88565	\N	CD	9798497
855408	2915	1994-10-10	PRIJEM	PREVOD Z UCTU	47983	76469	\N	CD	9798497
855409	2915	1994-11-10	PRIJEM	PREVOD Z UCTU	47983	88198	\N	CD	9798497
855410	2915	1994-12-10	PRIJEM	PREVOD Z UCTU	71974	109209	\N	CD	9798497
855411	2915	1995-01-10	PRIJEM	PREVOD Z UCTU	47983	79708	\N	CD	9798497
855412	2915	1995-02-10	PRIJEM	PREVOD Z UCTU	47983	87077	\N	CD	9798497
855413	2915	1995-03-10	PRIJEM	PREVOD Z UCTU	47983	106553	\N	CD	9798497
855414	2915	1995-04-10	PRIJEM	PREVOD Z UCTU	47983	116688	\N	CD	9798497
855415	2915	1995-05-10	PRIJEM	PREVOD Z UCTU	47983	113761	\N	CD	9798497
855416	2915	1995-06-10	PRIJEM	PREVOD Z UCTU	71974	114631	\N	CD	9798497
855417	2915	1995-07-10	PRIJEM	PREVOD Z UCTU	47983	97834	\N	CD	9798497
855418	2915	1995-08-10	PRIJEM	PREVOD Z UCTU	47983	112747	\N	CD	9798497
855419	2915	1995-09-10	PRIJEM	PREVOD Z UCTU	47983	78978	\N	CD	9798497
855420	2915	1995-10-10	PRIJEM	PREVOD Z UCTU	47983	105280	\N	CD	9798497
855421	2915	1995-11-10	PRIJEM	PREVOD Z UCTU	47983	103498	\N	CD	9798497
855422	2915	1995-12-10	PRIJEM	PREVOD Z UCTU	71974	129528	\N	CD	9798497
855423	2915	1996-01-10	PRIJEM	PREVOD Z UCTU	47983	76439	\N	CD	9798497
855424	2915	1996-02-10	PRIJEM	PREVOD Z UCTU	47983	95840	\N	CD	9798497
855425	2915	1996-03-10	PRIJEM	PREVOD Z UCTU	47983	97248	\N	CD	9798497
855426	2915	1996-04-10	PRIJEM	PREVOD Z UCTU	47983	113198	\N	CD	9798497
855427	2915	1996-05-10	PRIJEM	PREVOD Z UCTU	47983	119517	\N	CD	9798497
855428	2915	1996-06-10	PRIJEM	PREVOD Z UCTU	71974	133322	\N	CD	9798497
855429	2915	1996-07-10	PRIJEM	PREVOD Z UCTU	47983	81927	\N	CD	9798497
855430	2915	1996-08-10	PRIJEM	PREVOD Z UCTU	47983	99614	\N	CD	9798497
855431	2915	1996-09-10	PRIJEM	PREVOD Z UCTU	47983	113264	\N	CD	9798497
855432	2915	1996-10-10	PRIJEM	PREVOD Z UCTU	47983	92711	\N	CD	9798497
855433	2915	1996-11-10	PRIJEM	PREVOD Z UCTU	47983	87906	\N	CD	9798497
855434	2915	1996-12-10	PRIJEM	PREVOD Z UCTU	71974	127767	\N	CD	9798497
855435	2915	1997-01-10	PRIJEM	PREVOD Z UCTU	47983	74926	\N	CD	9798497
855436	2915	1997-02-10	PRIJEM	PREVOD Z UCTU	47983	84988	\N	CD	9798497
855437	2915	1997-03-10	PRIJEM	PREVOD Z UCTU	47983	109328	\N	CD	9798497
855438	2915	1997-04-10	PRIJEM	PREVOD Z UCTU	47983	118286	\N	CD	9798497
855439	2915	1997-05-10	PRIJEM	PREVOD Z UCTU	47983	89463	\N	CD	9798497
855440	2915	1997-06-10	PRIJEM	PREVOD Z UCTU	71974	134041	\N	CD	9798497
855441	2915	1997-07-10	PRIJEM	PREVOD Z UCTU	47983	94022	\N	CD	9798497
855442	2915	1997-08-10	PRIJEM	PREVOD Z UCTU	47983	92137	\N	CD	9798497
855443	2915	1997-09-10	PRIJEM	PREVOD Z UCTU	47983	111664	\N	CD	9798497
855444	2915	1997-10-10	PRIJEM	PREVOD Z UCTU	47983	98653	\N	CD	9798497
855445	2915	1997-11-10	PRIJEM	PREVOD Z UCTU	47983	107523	\N	CD	9798497
855446	2915	1997-12-10	PRIJEM	PREVOD Z UCTU	71974	137319	\N	CD	9798497
855447	2915	1998-01-10	PRIJEM	PREVOD Z UCTU	47983	92922	\N	CD	9798497
855448	2915	1998-02-10	PRIJEM	PREVOD Z UCTU	47983	81747	\N	CD	9798497
855449	2915	1998-03-10	PRIJEM	PREVOD Z UCTU	47983	87565	\N	CD	9798497
855450	2915	1998-04-10	PRIJEM	PREVOD Z UCTU	47983	91371	\N	CD	9798497
855451	2915	1998-05-10	PRIJEM	PREVOD Z UCTU	47983	109658	\N	CD	9798497
855452	2915	1998-06-10	PRIJEM	PREVOD Z UCTU	71974	126018	\N	CD	9798497
855453	2915	1998-07-10	PRIJEM	PREVOD Z UCTU	47983	80605	\N	CD	9798497
855454	2915	1998-08-10	PRIJEM	PREVOD Z UCTU	47983	80347	\N	CD	9798497
855455	2915	1998-09-10	PRIJEM	PREVOD Z UCTU	47983	94655	\N	CD	9798497
855456	2915	1998-10-10	PRIJEM	PREVOD Z UCTU	47983	104151	\N	CD	9798497
855457	2915	1998-11-10	PRIJEM	PREVOD Z UCTU	47983	98826	\N	CD	9798497
855458	2915	1998-12-10	PRIJEM	PREVOD Z UCTU	71974	128999	\N	CD	9798497
855460	2915	1994-10-28	VYBER	VYBER	13855	40014	\N	\N	\N
855461	2915	1994-10-04	VYBER	VYBER	17385	32086	\N	\N	\N
855463	2915	1994-12-09	VYBER	VYBER	10375	37235	\N	\N	\N
855464	2915	1994-05-20	VYBER	VYBER	18125	31830	\N	\N	\N
855465	2915	1994-05-15	VYBER	VYBER	5345	73755	\N	\N	\N
855466	2915	1994-11-24	VYBER	VYBER	9977	51321	\N	\N	\N
855467	2915	1994-12-13	VYBER	VYBER	13062	46047	\N	\N	\N
855468	2915	1994-06-30	VYBER	VYBER	3885	24922	\N	\N	\N
855470	2915	1994-03-04	VYBER	VYBER	13748	24421	\N	\N	\N
855471	2915	1994-08-28	VYBER	VYBER	22045	40369	\N	\N	\N
855472	2915	1994-02-21	VYBER	VYBER	21144	37996	\N	\N	\N
855474	2915	1995-08-11	VYBER	VYBER	4398	70749	\N	\N	\N
855475	2915	1995-08-22	VYBER	VYBER	9572	45177	\N	\N	\N
855476	2915	1995-12-19	VYBER	VYBER	19270	26085	\N	\N	\N
855477	2915	1995-12-14	VYBER	VYBER	16173	45355	\N	\N	\N
855478	2915	1995-09-02	VYBER	VYBER	14404	30995	\N	\N	\N
855479	2915	1996-09-14	VYBER	VYBER	6992	59672	\N	\N	\N
855480	2915	1996-11-26	VYBER	VYBER	15206	72700	\N	\N	\N
855481	2915	1996-07-10	VYBER	VYBER	8256	73671	\N	\N	\N
855482	2915	1996-10-13	VYBER	VYBER	11318	81393	\N	\N	\N
855483	2915	1996-11-02	VYBER	VYBER	19898	53223	\N	\N	\N
855484	2915	1996-05-13	VYBER	VYBER	6852	90265	\N	\N	\N
855485	2915	1996-10-23	VYBER	VYBER	8558	72835	\N	\N	\N
855486	2915	1996-09-30	VYBER	VYBER	3456	56543	\N	\N	\N
855487	2915	1997-01-05	VYBER	VYBER	23784	26943	\N	\N	\N
855488	2915	1997-03-06	VYBER	VYBER	4304	61345	\N	\N	\N
855489	2915	1997-04-14	VYBER	VYBER	10159	50227	\N	\N	\N
855490	2915	1997-04-28	VYBER	VYBER	2939	47288	\N	\N	\N
855491	2915	1997-09-30	VYBER	VYBER	8173	67384	\N	\N	\N
855492	2915	1997-11-22	VYBER	VYBER	8746	98777	\N	\N	\N
855493	2915	1997-08-07	VYBER	VYBER	20600	44154	\N	\N	\N
855494	2915	1997-10-28	VYBER	VYBER	15077	83576	\N	\N	\N
855495	2915	1998-09-15	VYBER	VYBER	9620	85035	\N	\N	\N
855496	2915	1998-01-13	VYBER	VYBER	17007	75915	\N	\N	\N
855498	2915	1998-10-15	VYBER	VYBER	10175	93976	\N	\N	\N
855499	2915	1998-03-08	VYBER	VYBER	9286	39582	\N	\N	\N
855500	2915	1998-08-05	VYBER	VYBER	11864	32364	\N	\N	\N
855501	2915	1998-08-13	VYBER	VYBER	3830	76517	\N	\N	\N
855502	2915	1998-03-29	VYBER	VYBER	6885	80680	\N	\N	\N
855503	2915	1998-02-20	VYBER	VYBER	11142	70605	\N	\N	\N
855504	2915	1998-04-03	VYBER	VYBER	12777	43388	\N	\N	\N
855506	2915	1998-05-29	VYBER	VYBER	6849	58009	\N	\N	\N
855507	2915	1998-01-26	VYBER	VYBER	22881	36834	\N	\N	\N
855508	2915	1998-06-26	VYBER	VYBER	19982	43036	\N	\N	\N
855510	2915	1994-06-10	VYDAJ	VYBER	33000	71037	\N	\N	\N
855511	2915	1995-06-19	VYDAJ	VYBER	13200	49631	\N	\N	\N
855512	2915	1996-06-14	VYDAJ	VYBER	86400	29422	\N	\N	\N
855513	2915	1997-06-14	VYDAJ	VYBER	57300	59141	\N	\N	\N
855514	2915	1998-06-23	VYDAJ	VYBER	39300	63018	\N	\N	\N
855516	2915	1994-01-10	VYDAJ	VYBER	4200	70359	\N	\N	\N
855517	2915	1995-01-14	VYDAJ	VYBER	3900	52408	\N	\N	\N
855518	2915	1996-01-15	VYDAJ	VYBER	4200	68039	\N	\N	\N
855519	2915	1997-01-14	VYDAJ	VYBER	12600	60526	\N	\N	\N
855522	2915	1994-12-07	VYDAJ	VYBER	3900	47610	\N	\N	\N
855523	2915	1995-12-04	VYDAJ	VYBER	7200	57554	\N	\N	\N
855524	2915	1996-12-26	VYDAJ	VYBER	8400	68267	\N	\N	\N
855525	2915	1997-12-20	VYDAJ	VYBER	8400	73619	\N	\N	\N
855526	2915	1998-12-07	VYDAJ	VYBER	4800	57025	\N	\N	\N
855533	2915	1994-01-05	VYDAJ	VYBER	4500	43676	\N	\N	\N
855534	2915	1994-01-09	VYDAJ	VYBER	1800	26576	\N	\N	\N
855535	2915	1994-01-22	VYDAJ	VYBER	2400	45759	\N	\N	\N
855536	2915	1994-01-08	VYDAJ	VYBER	4200	28376	\N	\N	\N
855537	2915	1994-01-01	VYDAJ	VYBER	6300	49976	\N	\N	\N
855538	2915	1994-01-01	VYDAJ	VYBER	1800	48176	\N	\N	\N
855539	2915	1995-01-06	VYDAJ	VYBER	2700	31725	\N	\N	\N
855540	2915	1995-01-23	VYDAJ	VYBER	6600	44008	\N	\N	\N
855541	2915	1995-01-20	VYDAJ	VYBER	1800	50608	\N	\N	\N
855542	2915	1995-01-03	VYDAJ	VYBER	5100	37125	\N	\N	\N
855543	2915	1995-01-05	VYDAJ	VYBER	2700	34425	\N	\N	\N
855544	2915	1995-01-29	VYDAJ	VYBER	5100	38908	\N	\N	\N
855546	2915	1996-01-20	VYDAJ	VYBER	3000	65039	\N	\N	\N
855547	2915	1996-01-05	VYDAJ	VYBER	2100	24156	\N	\N	\N
855549	2915	1996-01-10	VYDAJ	VYBER	4200	72239	\N	\N	\N
855551	2915	1997-01-02	VYDAJ	VYBER	2700	65927	\N	\N	\N
855552	2915	1997-01-21	VYDAJ	VYBER	2700	54526	\N	\N	\N
855553	2915	1997-01-23	VYDAJ	VYBER	7800	39226	\N	\N	\N
855554	2915	1997-01-21	VYDAJ	VYBER	7500	47026	\N	\N	\N
855555	2915	1997-01-20	VYDAJ	VYBER	3300	57226	\N	\N	\N
855556	2915	1997-01-10	VYDAJ	VYBER	1800	73126	\N	\N	\N
855557	2915	1998-01-24	VYDAJ	VYBER	5400	66015	\N	\N	\N
855558	2915	1998-01-26	VYDAJ	VYBER KARTOU	2700	34134	\N	\N	0
855559	2915	1998-01-04	VYDAJ	VYBER	5400	48539	\N	\N	\N
855560	2915	1998-01-19	VYDAJ	VYBER	4500	71415	\N	\N	\N
855561	2915	1998-01-05	VYDAJ	VYBER KARTOU	3600	44939	\N	\N	0
855562	2915	1998-01-25	VYDAJ	VYBER	6300	59715	\N	\N	\N
855566	2915	1994-10-05	VYDAJ	VYBER	3600	28486	\N	\N	\N
855567	2915	1994-09-11	VYDAJ	VYBER	11100	77465	\N	\N	\N
855568	2915	1994-01-05	VYDAJ	VYBER	11100	32576	\N	\N	\N
855569	2915	1994-09-29	VYDAJ	VYBER	4500	49265	\N	\N	\N
855570	2915	1995-10-08	VYDAJ	VYBER	3300	57297	\N	\N	\N
855571	2915	1995-11-09	VYDAJ	VYBER	2700	55515	\N	\N	\N
855572	2915	1995-11-23	VYDAJ	VYBER	5700	64498	\N	\N	\N
855573	2915	1996-12-20	VYDAJ	VYBER	3600	79067	\N	\N	\N
855574	2915	1996-05-13	VYDAJ	VYBER	6900	83365	\N	\N	\N
855575	2915	1996-12-23	VYDAJ	VYBER	2400	76667	\N	\N	\N
855577	2915	1996-03-09	VYDAJ	VYBER	13200	49265	\N	\N	\N
855578	2915	1996-02-20	VYDAJ	VYBER	13200	82640	\N	\N	\N
855579	2915	1996-03-02	VYDAJ	VYBER	2100	80865	\N	\N	\N
855580	2915	1997-01-24	VYDAJ	VYBER	10500	28726	\N	\N	\N
855581	2915	1997-12-16	VYDAJ	VYBER	12000	82019	\N	\N	\N
855582	2915	1997-12-21	VYDAJ	VYBER KARTOU	3900	69719	\N	\N	0
855583	2915	1997-03-12	VYDAJ	VYBER	7800	101528	\N	\N	\N
855584	2915	1998-06-01	VYDAJ	VYBER	4200	54044	\N	\N	\N
855585	2915	1998-08-26	VYDAJ	VYBER KARTOU	2100	74417	\N	\N	0
855586	2915	1998-07-28	VYDAJ	VYBER	6600	44105	\N	\N	\N
855587	2915	1998-11-05	VYDAJ	VYBER	9900	50843	\N	\N	\N
855588	2915	1998-11-18	VYDAJ	VYBER	7200	91626	\N	\N	\N
855601	2915	1993-12-31	VYDAJ	VYBER	15	56276	SLUZBY	\N	\N
855602	2915	1994-01-31	VYDAJ	VYBER	15	45957	SLUZBY	\N	\N
855603	2915	1994-02-28	VYDAJ	VYBER	15	38169	SLUZBY	\N	\N
855604	2915	1994-03-31	VYDAJ	VYBER	15	51615	SLUZBY	\N	\N
855605	2915	1994-04-30	VYDAJ	VYBER	15	62917	SLUZBY	\N	\N
855606	2915	1994-05-31	VYDAJ	VYBER	15	32063	SLUZBY	\N	\N
855607	2915	1994-06-30	VYDAJ	VYBER	15	24907	SLUZBY	\N	\N
855608	2915	1994-07-31	VYDAJ	VYBER	15	52831	SLUZBY	\N	\N
855609	2915	1994-08-31	VYDAJ	VYBER	15	40582	SLUZBY	\N	\N
855610	2915	1994-09-30	VYDAJ	VYBER	15	49471	SLUZBY	\N	\N
855611	2915	1994-10-31	VYDAJ	VYBER	15	40215	SLUZBY	\N	\N
855612	2915	1994-11-30	VYDAJ	VYBER	15	51510	SLUZBY	\N	\N
855613	2915	1994-12-31	VYDAJ	VYBER	15	42225	SLUZBY	\N	\N
855614	2915	1995-01-31	VYDAJ	VYBER	15	39094	SLUZBY	\N	\N
855615	2915	1995-02-28	VYDAJ	VYBER	15	58570	SLUZBY	\N	\N
855616	2915	1995-03-31	VYDAJ	VYBER	15	68705	SLUZBY	\N	\N
855617	2915	1995-04-30	VYDAJ	VYBER	15	65778	SLUZBY	\N	\N
855618	2915	1995-05-31	VYDAJ	VYBER	15	42657	SLUZBY	\N	\N
855619	2915	1995-06-30	VYDAJ	VYBER	15	49851	SLUZBY	\N	\N
855620	2915	1995-07-31	VYDAJ	VYBER	15	64764	SLUZBY	\N	\N
855621	2915	1995-08-31	VYDAJ	VYBER	15	45399	SLUZBY	\N	\N
855622	2915	1995-09-30	VYDAJ	VYBER	15	60597	SLUZBY	\N	\N
855623	2915	1995-10-31	VYDAJ	VYBER	15	58215	SLUZBY	\N	\N
855624	2915	1995-11-30	VYDAJ	VYBER	15	64754	SLUZBY	\N	\N
855625	2915	1995-12-31	VYDAJ	VYBER	15	26256	SLUZBY	\N	\N
855626	2915	1996-01-31	VYDAJ	VYBER	15	65257	SLUZBY	\N	\N
855627	2915	1996-02-29	VYDAJ	VYBER	15	82965	SLUZBY	\N	\N
855628	2915	1996-03-31	VYDAJ	VYBER	15	97615	SLUZBY	\N	\N
855629	2915	1996-04-30	VYDAJ	VYBER	15	113634	SLUZBY	\N	\N
855630	2915	1996-05-31	VYDAJ	VYBER	15	83748	SLUZBY	\N	\N
855631	2915	1996-06-30	VYDAJ	VYBER	15	29644	SLUZBY	\N	\N
855632	2915	1996-07-31	VYDAJ	VYBER	15	73931	SLUZBY	\N	\N
855633	2915	1996-08-31	VYDAJ	VYBER	15	99981	SLUZBY	\N	\N
855634	2915	1996-09-30	VYDAJ	VYBER	15	56528	SLUZBY	\N	\N
855635	2915	1996-10-31	VYDAJ	VYBER	15	73121	SLUZBY	\N	\N
855636	2915	1996-11-30	VYDAJ	VYBER	15	72993	SLUZBY	\N	\N
855637	2915	1996-12-31	VYDAJ	VYBER	15	68627	SLUZBY	\N	\N
855638	2915	1997-01-31	VYDAJ	VYBER	15	28905	SLUZBY	\N	\N
855639	2915	1997-02-28	VYDAJ	VYBER	15	85249	SLUZBY	\N	\N
855640	2915	1997-03-31	VYDAJ	VYBER	15	101903	SLUZBY	\N	\N
855641	2915	1997-04-30	VYDAJ	VYBER	15	47580	SLUZBY	\N	\N
855642	2915	1997-05-31	VYDAJ	VYBER	15	89767	SLUZBY	\N	\N
855643	2915	1997-06-30	VYDAJ	VYBER	15	59439	SLUZBY	\N	\N
855644	2915	1997-07-31	VYDAJ	VYBER	15	94354	SLUZBY	\N	\N
855645	2915	1997-08-31	VYDAJ	VYBER	15	92481	SLUZBY	\N	\N
855646	2915	1997-09-30	VYDAJ	VYBER	15	67370	SLUZBY	\N	\N
855647	2915	1997-10-31	VYDAJ	VYBER	15	59540	SLUZBY	\N	\N
855648	2915	1997-11-30	VYDAJ	VYBER	15	65345	SLUZBY	\N	\N
855649	2915	1997-12-31	VYDAJ	VYBER	15	53939	SLUZBY	\N	\N
855650	2915	1998-01-31	VYDAJ	VYBER	15	33764	SLUZBY	\N	\N
855651	2915	1998-02-28	VYDAJ	VYBER	15	48868	SLUZBY	\N	\N
855652	2915	1998-03-31	VYDAJ	VYBER	15	56165	SLUZBY	\N	\N
855653	2915	1998-04-30	VYDAJ	VYBER	15	61675	SLUZBY	\N	\N
855654	2915	1998-05-31	VYDAJ	VYBER	15	58244	SLUZBY	\N	\N
855655	2915	1998-06-30	VYDAJ	VYBER	15	32622	SLUZBY	\N	\N
855656	2915	1998-07-31	VYDAJ	VYBER	15	44228	SLUZBY	\N	\N
855657	2915	1998-08-31	VYDAJ	VYBER	15	46672	SLUZBY	\N	\N
855658	2915	1998-09-30	VYDAJ	VYBER	15	56168	SLUZBY	\N	\N
855659	2915	1998-10-31	VYDAJ	VYBER	15	60743	SLUZBY	\N	\N
855660	2915	1998-11-30	VYDAJ	VYBER	15	61825	SLUZBY	\N	\N
855661	2915	1993-08-22	VYDAJ	VYBER	9600	38883	\N	\N	\N
855662	2915	1993-09-21	VYDAJ	VYBER	31900	55018	\N	\N	\N
855663	2915	1993-10-21	VYDAJ	VYBER	40100	63086	\N	\N	\N
855664	2915	1993-11-10	VYDAJ	VYBER	46300	65010	\N	\N	\N
855665	2915	1993-11-20	VYDAJ	VYBER	19400	45610	\N	\N	\N
855666	2915	1993-12-10	VYDAJ	VYBER	29400	88487	\N	\N	\N
855667	2915	1993-12-20	VYDAJ	VYBER	32500	55987	\N	\N	\N
855668	2915	1994-01-19	VYDAJ	VYBER	22200	48159	\N	\N	\N
855669	2915	1994-02-18	VYDAJ	VYBER	34800	59140	\N	\N	\N
855670	2915	1994-03-20	VYDAJ	VYBER	21000	51404	\N	\N	\N
855671	2915	1994-04-19	VYDAJ	VYBER	36900	62698	\N	\N	\N
855672	2915	1994-05-10	VYDAJ	VYBER	31800	79100	\N	\N	\N
855673	2915	1994-05-19	VYDAJ	VYBER	23800	49955	\N	\N	\N
855674	2915	1994-06-10	VYDAJ	VYBER	42800	28237	\N	\N	\N
855675	2915	1994-06-18	PRIJEM	VKLAD	400	28637	\N	\N	\N
855676	2915	1994-07-18	VYDAJ	VYBER	20200	52690	\N	\N	\N
855677	2915	1994-08-17	VYDAJ	VYBER	38400	62414	\N	\N	\N
855678	2915	1994-09-16	VYDAJ	VYBER	23700	53765	\N	\N	\N
855679	2915	1994-10-16	VYDAJ	VYBER	22600	53869	\N	\N	\N
855680	2915	1994-11-15	VYDAJ	VYBER	26900	61298	\N	\N	\N
855681	2915	1994-12-10	VYDAJ	VYBER	50100	59109	\N	\N	\N
855682	2915	1994-12-15	VYDAJ	VYBER	4000	42047	\N	\N	\N
855683	2915	1995-01-14	VYDAJ	VYBER	23400	56308	\N	\N	\N
855684	2915	1995-02-13	VYDAJ	VYBER	28700	58377	\N	\N	\N
855685	2915	1995-03-15	VYDAJ	VYBER	38100	68453	\N	\N	\N
855686	2915	1995-04-10	VYDAJ	VYBER	23000	93688	\N	\N	\N
855687	2915	1995-04-14	VYDAJ	VYBER	28200	65488	\N	\N	\N
855688	2915	1995-05-10	VYDAJ	VYBER	59900	53861	\N	\N	\N
855689	2915	1995-05-14	VYDAJ	VYBER	11400	42461	\N	\N	\N
855690	2915	1995-06-10	VYDAJ	VYBER	24800	89831	\N	\N	\N
855691	2915	1995-06-13	VYDAJ	VYBER	27000	62831	\N	\N	\N
855692	2915	1995-07-13	VYDAJ	VYBER	33300	64534	\N	\N	\N
855693	2915	1995-08-10	VYDAJ	VYBER	37600	75147	\N	\N	\N
855694	2915	1995-08-12	VYDAJ	VYBER	16000	54749	\N	\N	\N
855695	2915	1995-09-11	VYDAJ	VYBER	18600	60378	\N	\N	\N
855696	2915	1995-10-10	VYDAJ	VYBER	24400	80880	\N	\N	\N
855697	2915	1995-10-11	VYDAJ	VYBER	22900	57980	\N	\N	\N
855698	2915	1995-11-10	VYDAJ	VYBER	33300	70198	\N	\N	\N
855699	2915	1995-12-10	VYDAJ	VYBER	40400	61528	\N	\N	\N
855700	2915	1995-12-10	VYDAJ	VYBER	27600	101928	\N	\N	\N
855701	2915	1996-01-09	PRIJEM	VKLAD	4300	28456	\N	\N	\N
855702	2915	1996-02-08	VYDAJ	VYBER	17400	47857	\N	\N	\N
855703	2915	1996-03-09	VYDAJ	VYBER	18400	62465	\N	\N	\N
855704	2915	1996-04-08	VYDAJ	VYBER	32400	65215	\N	\N	\N
855705	2915	1996-05-08	VYDAJ	VYBER	42100	71534	\N	\N	\N
855706	2915	1996-05-10	VYDAJ	VYBER	22400	97117	\N	\N	\N
855707	2915	1996-06-07	VYDAJ	VYBER	22400	61348	\N	\N	\N
855708	2915	1996-06-10	VYDAJ	VYBER	17500	115822	\N	\N	\N
855709	2915	1996-07-07	PRIJEM	VKLAD	4300	33944	\N	\N	\N
855710	2915	1996-08-06	VYDAJ	VYBER	22300	51631	\N	\N	\N
855711	2915	1996-09-05	VYDAJ	VYBER	34700	65281	\N	\N	\N
855712	2915	1996-09-10	VYDAJ	VYBER	46600	66664	\N	\N	\N
855713	2915	1996-10-05	VYDAJ	VYBER	11800	44728	\N	\N	\N
855714	2915	1996-11-04	VYDAJ	VYBER	13300	39923	\N	\N	\N
855715	2915	1996-12-04	VYDAJ	VYBER	17200	55793	\N	\N	\N
855716	2915	1996-12-10	VYDAJ	VYBER	45100	82667	\N	\N	\N
855717	2915	1997-01-03	VYDAJ	VYBER	15200	50727	\N	\N	\N
855718	2915	1997-02-02	PRIJEM	VKLAD	8100	37005	\N	\N	\N
855719	2915	1997-03-04	VYDAJ	VYBER	19600	65649	\N	\N	\N
855720	2915	1997-04-03	VYDAJ	VYBER	31600	70303	\N	\N	\N
855721	2915	1997-04-10	VYDAJ	VYBER	57900	60386	\N	\N	\N
855722	2915	1997-05-03	VYDAJ	VYBER	6100	41480	\N	\N	\N
855723	2915	1997-06-02	VYDAJ	VYBER	27700	62067	\N	\N	\N
855724	2915	1997-06-10	VYDAJ	VYBER	17600	116441	\N	\N	\N
855725	2915	1997-07-02	VYDAJ	VYBER	13400	46039	\N	\N	\N
855726	2915	1997-08-01	VYDAJ	VYBER	29600	64754	\N	\N	\N
855727	2915	1997-08-31	VYDAJ	VYBER	28800	63681	\N	\N	\N
855728	2915	1997-09-10	VYDAJ	VYBER	36400	75264	\N	\N	\N
855729	2915	1997-09-30	VYDAJ	VYBER	16700	50670	\N	\N	\N
855730	2915	1997-10-30	VYDAJ	VYBER	24300	59276	\N	\N	\N
855731	2915	1997-11-29	VYDAJ	VYBER	33700	65077	\N	\N	\N
855732	2915	1997-12-10	VYDAJ	VYBER	43300	94019	\N	\N	\N
855733	2915	1997-12-29	VYDAJ	VYBER	16100	53619	\N	\N	\N
855734	2915	1998-01-28	VYDAJ	VYBER KARTOU	600	33534	\N	\N	0
855735	2915	1998-02-27	VYDAJ	VYBER	21900	48705	\N	\N	\N
855736	2915	1998-03-29	VYDAJ	VYBER	24800	55880	\N	\N	\N
855737	2915	1998-04-28	VYDAJ	VYBER	30000	61371	\N	\N	\N
855738	2915	1998-05-28	VYDAJ	VYBER	44800	64858	\N	\N	\N
855739	2915	1998-06-10	VYDAJ	VYBER	23700	102318	\N	\N	\N
855740	2915	1998-06-27	VYDAJ	VYBER	10700	32336	\N	\N	\N
855741	2915	1998-07-27	VYDAJ	VYBER	29900	50705	\N	\N	\N
855742	2915	1998-08-26	VYDAJ	VYBER	28000	46417	\N	\N	\N
855743	2915	1998-09-25	VYDAJ	VYBER	29100	55935	\N	\N	\N
855744	2915	1998-10-25	VYDAJ	VYBER	33500	60476	\N	\N	\N
855745	2915	1998-11-24	VYDAJ	VYBER	30100	61526	\N	\N	\N
855746	2915	1998-12-10	VYDAJ	VYBER	63400	65599	\N	\N	\N
855812	2916	1996-12-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
855824	2916	1996-12-05	PRIJEM	VKLAD	18976	19976	\N	\N	\N
855825	2916	1997-01-05	PRIJEM	VKLAD	12651	34400	\N	\N	\N
855826	2916	1997-02-05	PRIJEM	VKLAD	12651	43386	\N	\N	\N
855827	2916	1997-03-05	PRIJEM	VKLAD	12651	47413	\N	\N	\N
855828	2916	1997-04-05	PRIJEM	VKLAD	12651	52259	\N	\N	\N
855829	2916	1997-05-05	PRIJEM	VKLAD	12651	54026	\N	\N	\N
855830	2916	1997-06-05	PRIJEM	VKLAD	18976	54819	\N	\N	\N
855831	2916	1997-07-05	PRIJEM	VKLAD	12651	50989	\N	\N	\N
855832	2916	1997-08-05	PRIJEM	VKLAD	12651	46747	\N	\N	\N
855833	2916	1997-09-05	PRIJEM	VKLAD	12651	44278	\N	\N	\N
855834	2916	1997-10-05	PRIJEM	VKLAD	12651	46196	\N	\N	\N
855835	2916	1997-11-05	PRIJEM	VKLAD	12651	47630	\N	\N	\N
855836	2916	1997-12-05	PRIJEM	VKLAD	18976	49986	\N	\N	\N
855837	2916	1998-01-05	PRIJEM	VKLAD	12651	42927	\N	\N	\N
855838	2916	1998-02-05	PRIJEM	VKLAD	12651	34926	\N	\N	\N
855839	2916	1998-03-05	PRIJEM	VKLAD	12651	39013	\N	\N	\N
855840	2916	1998-04-05	PRIJEM	VKLAD	12651	41011	\N	\N	\N
855841	2916	1998-05-05	PRIJEM	VKLAD	12651	43509	\N	\N	\N
855842	2916	1998-06-05	PRIJEM	VKLAD	18976	50855	\N	\N	\N
855843	2916	1998-07-05	PRIJEM	VKLAD	12651	43891	\N	\N	\N
855844	2916	1998-08-05	PRIJEM	VKLAD	12651	45013	\N	\N	\N
855845	2916	1998-09-05	PRIJEM	VKLAD	12651	43636	\N	\N	\N
855846	2916	1998-10-05	PRIJEM	VKLAD	12651	45056	\N	\N	\N
855847	2916	1998-11-05	PRIJEM	VKLAD	12651	39675	\N	\N	\N
855848	2916	1998-12-05	PRIJEM	VKLAD	18976	46692	\N	\N	\N
855864	2916	1997-04-08	VYDAJ	PREVOD NA UCET	2096	46533	SIPO	YZ	28176665
855865	2916	1997-05-08	VYDAJ	PREVOD NA UCET	2096	48300	SIPO	YZ	28176665
855866	2916	1997-06-08	VYDAJ	PREVOD NA UCET	2096	49093	SIPO	YZ	28176665
855867	2916	1997-07-08	VYDAJ	PREVOD NA UCET	2096	45263	SIPO	YZ	28176665
855868	2916	1997-08-08	VYDAJ	PREVOD NA UCET	2096	41021	SIPO	YZ	28176665
855869	2916	1997-09-08	VYDAJ	PREVOD NA UCET	2096	38552	SIPO	YZ	28176665
855870	2916	1997-10-08	VYDAJ	PREVOD NA UCET	2096	40470	SIPO	YZ	28176665
855871	2916	1997-11-08	VYDAJ	PREVOD NA UCET	2096	41904	SIPO	YZ	28176665
855872	2916	1997-12-08	VYDAJ	PREVOD NA UCET	2096	44260	SIPO	YZ	28176665
855873	2916	1998-01-08	VYDAJ	PREVOD NA UCET	2096	37201	SIPO	YZ	28176665
855874	2916	1998-02-08	VYDAJ	PREVOD NA UCET	2096	29200	SIPO	YZ	28176665
855875	2916	1998-03-08	VYDAJ	PREVOD NA UCET	2096	30887	SIPO	YZ	28176665
855876	2916	1998-04-08	VYDAJ	PREVOD NA UCET	2096	30385	SIPO	YZ	28176665
855877	2916	1998-05-08	VYDAJ	PREVOD NA UCET	2096	37783	SIPO	YZ	28176665
855878	2916	1998-06-08	VYDAJ	PREVOD NA UCET	2096	45129	SIPO	YZ	28176665
855879	2916	1998-07-08	VYDAJ	PREVOD NA UCET	2096	38165	SIPO	YZ	28176665
855880	2916	1998-08-08	VYDAJ	PREVOD NA UCET	2096	39287	SIPO	YZ	28176665
855881	2916	1998-09-08	VYDAJ	PREVOD NA UCET	2096	37910	SIPO	YZ	28176665
855882	2916	1998-10-08	VYDAJ	PREVOD NA UCET	2096	39330	SIPO	YZ	28176665
855883	2916	1998-11-08	VYDAJ	PREVOD NA UCET	2096	29049	SIPO	YZ	28176665
855884	2916	1998-12-08	VYDAJ	PREVOD NA UCET	2096	40966	SIPO	YZ	28176665
855900	2916	1997-04-09	VYDAJ	PREVOD NA UCET	635	45898	 	YZ	12730980
855901	2916	1997-05-09	VYDAJ	PREVOD NA UCET	635	47665	 	YZ	12730980
855902	2916	1997-06-09	VYDAJ	PREVOD NA UCET	635	48458	 	YZ	12730980
855903	2916	1997-07-09	VYDAJ	PREVOD NA UCET	635	44628	 	YZ	12730980
855904	2916	1997-08-09	VYDAJ	PREVOD NA UCET	635	40386	 	YZ	12730980
855905	2916	1997-09-09	VYDAJ	PREVOD NA UCET	635	37917	 	YZ	12730980
855906	2916	1997-10-09	VYDAJ	PREVOD NA UCET	635	39835	 	YZ	12730980
855907	2916	1997-11-09	VYDAJ	PREVOD NA UCET	635	41269	 	YZ	12730980
855908	2916	1997-12-09	VYDAJ	PREVOD NA UCET	635	43625	 	YZ	12730980
855909	2916	1998-01-09	VYDAJ	PREVOD NA UCET	635	36566	 	YZ	12730980
855910	2916	1998-02-09	VYDAJ	PREVOD NA UCET	635	28565	 	YZ	12730980
855911	2916	1998-03-09	VYDAJ	PREVOD NA UCET	635	30252	 	YZ	12730980
855912	2916	1998-04-09	VYDAJ	PREVOD NA UCET	635	29750	 	YZ	12730980
855913	2916	1998-05-09	VYDAJ	PREVOD NA UCET	635	37148	 	YZ	12730980
855914	2916	1998-06-09	VYDAJ	PREVOD NA UCET	635	44494	 	YZ	12730980
855915	2916	1998-07-09	VYDAJ	PREVOD NA UCET	635	37530	 	YZ	12730980
855916	2916	1998-08-09	VYDAJ	PREVOD NA UCET	635	38652	 	YZ	12730980
855917	2916	1998-09-09	VYDAJ	PREVOD NA UCET	635	37275	 	YZ	12730980
855918	2916	1998-10-09	VYDAJ	PREVOD NA UCET	635	38695	 	YZ	12730980
855919	2916	1998-11-09	VYDAJ	PREVOD NA UCET	635	28414	 	YZ	12730980
855920	2916	1998-12-09	VYDAJ	PREVOD NA UCET	635	40331	 	YZ	12730980
855936	2916	1997-04-06	VYDAJ	PREVOD NA UCET	3630	48629	POJISTNE	YZ	94931244
855937	2916	1997-05-06	VYDAJ	PREVOD NA UCET	3630	50396	POJISTNE	YZ	94931244
855938	2916	1997-06-06	VYDAJ	PREVOD NA UCET	3630	51189	POJISTNE	YZ	94931244
855939	2916	1997-07-06	VYDAJ	PREVOD NA UCET	3630	47359	POJISTNE	YZ	94931244
855940	2916	1997-08-06	VYDAJ	PREVOD NA UCET	3630	43117	POJISTNE	YZ	94931244
855941	2916	1997-09-06	VYDAJ	PREVOD NA UCET	3630	40648	POJISTNE	YZ	94931244
855942	2916	1997-10-06	VYDAJ	PREVOD NA UCET	3630	42566	POJISTNE	YZ	94931244
855943	2916	1997-11-06	VYDAJ	PREVOD NA UCET	3630	44000	POJISTNE	YZ	94931244
855944	2916	1997-12-06	VYDAJ	PREVOD NA UCET	3630	46356	POJISTNE	YZ	94931244
855945	2916	1998-01-06	VYDAJ	PREVOD NA UCET	3630	39297	POJISTNE	YZ	94931244
855946	2916	1998-02-06	VYDAJ	PREVOD NA UCET	3630	31296	POJISTNE	YZ	94931244
855947	2916	1998-03-06	VYDAJ	PREVOD NA UCET	3630	32983	POJISTNE	YZ	94931244
855948	2916	1998-04-06	VYDAJ	PREVOD NA UCET	3630	37381	POJISTNE	YZ	94931244
855949	2916	1998-05-06	VYDAJ	PREVOD NA UCET	3630	39879	POJISTNE	YZ	94931244
855950	2916	1998-06-06	VYDAJ	PREVOD NA UCET	3630	47225	POJISTNE	YZ	94931244
855951	2916	1998-07-06	VYDAJ	PREVOD NA UCET	3630	40261	POJISTNE	YZ	94931244
855952	2916	1998-08-06	VYDAJ	PREVOD NA UCET	3630	41383	POJISTNE	YZ	94931244
855953	2916	1998-09-06	VYDAJ	PREVOD NA UCET	3630	40006	POJISTNE	YZ	94931244
855954	2916	1998-10-06	VYDAJ	PREVOD NA UCET	3630	41426	POJISTNE	YZ	94931244
855955	2916	1998-11-06	VYDAJ	PREVOD NA UCET	3630	31145	POJISTNE	YZ	94931244
855956	2916	1998-12-06	VYDAJ	PREVOD NA UCET	3630	43062	POJISTNE	YZ	94931244
855972	2916	1997-04-10	VYDAJ	PREVOD NA UCET	2	45896	 	WX	87459617
855973	2916	1997-05-10	VYDAJ	PREVOD NA UCET	2	47663	 	WX	87459617
855974	2916	1997-06-10	VYDAJ	PREVOD NA UCET	2	48456	 	WX	87459617
855975	2916	1997-07-10	VYDAJ	PREVOD NA UCET	2	44626	 	WX	87459617
855976	2916	1997-08-10	VYDAJ	PREVOD NA UCET	2	40384	 	WX	87459617
855977	2916	1997-09-10	VYDAJ	PREVOD NA UCET	2	37915	 	WX	87459617
855978	2916	1997-10-10	VYDAJ	PREVOD NA UCET	2	39833	 	WX	87459617
855979	2916	1997-11-10	VYDAJ	PREVOD NA UCET	2	41267	 	WX	87459617
855980	2916	1997-12-10	VYDAJ	PREVOD NA UCET	2	43623	 	WX	87459617
855981	2916	1998-01-10	VYDAJ	PREVOD NA UCET	2	36564	 	WX	87459617
855982	2916	1998-02-10	VYDAJ	PREVOD NA UCET	2	28563	 	WX	87459617
855983	2916	1998-03-10	VYDAJ	PREVOD NA UCET	2	30250	 	WX	87459617
855984	2916	1998-04-10	VYDAJ	PREVOD NA UCET	2	29748	 	WX	87459617
855985	2916	1998-05-10	VYDAJ	PREVOD NA UCET	2	37146	 	WX	87459617
855986	2916	1998-06-10	VYDAJ	PREVOD NA UCET	2	44492	 	WX	87459617
855987	2916	1998-07-10	VYDAJ	PREVOD NA UCET	2	37528	 	WX	87459617
855988	2916	1998-08-10	VYDAJ	PREVOD NA UCET	2	38650	 	WX	87459617
855989	2916	1998-09-10	VYDAJ	PREVOD NA UCET	2	37273	 	WX	87459617
855990	2916	1998-10-10	VYDAJ	PREVOD NA UCET	2	38693	 	WX	87459617
855991	2916	1998-11-10	VYDAJ	PREVOD NA UCET	2	28412	 	WX	87459617
855992	2916	1998-12-10	VYDAJ	PREVOD NA UCET	2	40329	 	WX	87459617
855994	2916	1997-06-27	VYDAJ	VYBER	7300	41156	\N	\N	\N
855995	2916	1998-06-23	VYDAJ	VYBER	11500	32992	\N	\N	\N
855998	2916	1998-01-25	VYDAJ	VYBER	8800	17964	\N	\N	\N
856011	2916	1998-01-13	VYDAJ	VYBER	1600	30964	\N	\N	\N
856012	2916	1998-01-10	VYDAJ	VYBER	2600	33964	\N	\N	\N
856013	2916	1998-01-21	VYDAJ	VYBER	2100	28864	\N	\N	\N
856014	2916	1998-01-27	VYDAJ	VYBER	2300	22164	\N	\N	\N
856015	2916	1998-01-11	VYDAJ	VYBER	1400	32564	\N	\N	\N
856016	2916	1998-01-22	VYDAJ	VYBER	2100	26764	\N	\N	\N
856022	2916	1997-08-21	VYDAJ	VYBER	4300	36084	\N	\N	\N
856023	2916	1997-05-15	VYDAJ	VYBER	1900	45763	\N	\N	\N
856024	2916	1997-09-15	VYDAJ	VYBER	4300	33615	\N	\N	\N
856025	2916	1997-11-14	VYDAJ	VYBER	3200	38067	\N	\N	\N
856026	2916	1997-05-30	VYDAJ	VYBER	2200	43563	\N	\N	\N
856027	2916	1998-01-02	VYDAJ	VYBER	2700	30276	\N	\N	\N
856028	2916	1998-04-10	VYDAJ	VYBER	2100	27648	\N	\N	\N
856029	2916	1998-03-05	VYDAJ	VYBER	2400	36613	\N	\N	\N
856030	2916	1998-11-05	VYDAJ	VYBER	4900	34775	\N	\N	\N
856031	2916	1998-04-07	VYDAJ	VYBER	4900	32481	\N	\N	\N
856032	2916	1998-10-28	VYDAJ	VYBER	3700	26893	\N	\N	\N
856049	2916	1997-04-30	VYDAJ	VYBER	15	46075	SLUZBY	\N	\N
856050	2916	1997-05-31	VYDAJ	VYBER	15	43743	SLUZBY	\N	\N
856051	2916	1997-06-30	VYDAJ	VYBER	15	41338	SLUZBY	\N	\N
856052	2916	1997-07-31	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
856053	2916	1997-08-31	VYDAJ	VYBER	15	31627	SLUZBY	\N	\N
856054	2916	1997-09-30	VYDAJ	VYBER	15	33545	SLUZBY	\N	\N
856055	2916	1997-10-31	VYDAJ	VYBER	15	34979	SLUZBY	\N	\N
856056	2916	1997-11-30	VYDAJ	VYBER	15	31010	SLUZBY	\N	\N
856057	2916	1997-12-31	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
856058	2916	1998-01-31	VYDAJ	VYBER	15	22275	SLUZBY	\N	\N
856059	2916	1998-02-28	VYDAJ	VYBER	15	26362	SLUZBY	\N	\N
856060	2916	1998-03-31	VYDAJ	VYBER	15	28360	SLUZBY	\N	\N
856061	2916	1998-04-30	VYDAJ	VYBER	15	30858	SLUZBY	\N	\N
856062	2916	1998-05-31	VYDAJ	VYBER	15	31879	SLUZBY	\N	\N
856063	2916	1998-06-30	VYDAJ	VYBER	15	31240	SLUZBY	\N	\N
856064	2916	1998-07-31	VYDAJ	VYBER	15	32362	SLUZBY	\N	\N
856065	2916	1998-08-31	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
856066	2916	1998-09-30	VYDAJ	VYBER	15	32405	SLUZBY	\N	\N
856067	2916	1998-10-31	VYDAJ	VYBER	15	27024	SLUZBY	\N	\N
856068	2916	1998-11-30	VYDAJ	VYBER	15	27716	SLUZBY	\N	\N
856069	2916	1997-01-02	PRIJEM	VKLAD	1700	21749	\N	\N	\N
856070	2916	1997-02-01	VYDAJ	VYBER	3800	30735	\N	\N	\N
856071	2916	1997-03-03	VYDAJ	VYBER	8800	34762	\N	\N	\N
856072	2916	1997-04-02	VYDAJ	VYBER	8000	39608	\N	\N	\N
856073	2916	1997-05-02	VYDAJ	VYBER	4700	41375	\N	\N	\N
856074	2916	1997-06-01	VYDAJ	VYBER	7900	35843	\N	\N	\N
856075	2916	1997-07-01	VYDAJ	VYBER	3000	38338	\N	\N	\N
856076	2916	1997-07-31	VYDAJ	VYBER	10700	34111	\N	\N	\N
856077	2916	1997-08-30	VYDAJ	VYBER	4600	31484	\N	\N	\N
856078	2916	1997-09-29	VYDAJ	VYBER	200	33415	\N	\N	\N
856079	2916	1997-10-29	VYDAJ	VYBER	5000	34833	\N	\N	\N
856080	2916	1997-11-28	VYDAJ	VYBER	7200	30867	\N	\N	\N
856081	2916	1997-12-28	VYDAJ	VYBER	10800	32823	\N	\N	\N
856082	2916	1998-01-27	PRIJEM	VKLAD	6500	24464	\N	\N	\N
856083	2916	1998-02-26	VYDAJ	VYBER	2300	26263	\N	\N	\N
856084	2916	1998-03-28	VYDAJ	VYBER	2000	28250	\N	\N	\N
856085	2916	1998-04-27	PRIJEM	VKLAD	3100	30748	\N	\N	\N
856086	2916	1998-05-27	VYDAJ	VYBER	5400	31746	\N	\N	\N
856087	2916	1998-06-26	VYDAJ	VYBER	1900	31092	\N	\N	\N
856088	2916	1998-07-26	VYDAJ	VYBER	5300	32228	\N	\N	\N
856089	2916	1998-08-25	VYDAJ	VYBER	7800	30850	\N	\N	\N
856090	2916	1998-09-24	VYDAJ	VYBER	5000	32273	\N	\N	\N
856091	2916	1998-10-24	VYDAJ	VYBER	8100	30593	\N	\N	\N
856092	2916	1998-11-23	VYDAJ	VYBER	800	27612	\N	\N	\N
856118	2917	1996-08-08	PRIJEM	VKLAD	300	300	\N	\N	\N
856127	2917	1996-09-08	PRIJEM	VKLAD	16880	28580	\N	\N	\N
856128	2917	1996-10-08	PRIJEM	VKLAD	16880	40451	\N	\N	\N
856129	2917	1996-11-08	PRIJEM	VKLAD	16880	49189	\N	\N	\N
856130	2917	1996-12-08	PRIJEM	VKLAD	25320	59405	\N	\N	\N
856131	2917	1997-01-08	PRIJEM	VKLAD	16880	56923	\N	\N	\N
856132	2917	1997-02-08	PRIJEM	VKLAD	16880	43383	\N	\N	\N
856133	2917	1997-03-08	PRIJEM	VKLAD	16880	41566	\N	\N	\N
856134	2917	1997-04-08	PRIJEM	VKLAD	16880	38025	\N	\N	\N
856135	2917	1997-05-08	PRIJEM	VKLAD	16880	36384	\N	\N	\N
856136	2917	1997-06-08	PRIJEM	VKLAD	25320	45478	\N	\N	\N
856137	2917	1997-07-08	PRIJEM	VKLAD	16880	26815	\N	\N	\N
856138	2917	1997-08-08	PRIJEM	VKLAD	16880	31523	\N	\N	\N
856139	2917	1997-09-08	PRIJEM	VKLAD	16880	29610	\N	\N	\N
856140	2917	1997-10-08	PRIJEM	VKLAD	16880	30637	\N	\N	\N
856141	2917	1997-11-08	PRIJEM	VKLAD	16880	24939	\N	\N	\N
856142	2917	1997-12-08	PRIJEM	VKLAD	25320	39985	\N	\N	\N
856143	2917	1998-01-08	PRIJEM	VKLAD	16880	25150	\N	\N	\N
856144	2917	1998-02-08	PRIJEM	VKLAD	16880	26576	\N	\N	\N
856145	2917	1998-03-08	PRIJEM	VKLAD	16880	37384	\N	\N	\N
856146	2917	1998-04-08	PRIJEM	VKLAD	16880	25434	\N	\N	\N
856147	2917	1998-05-08	PRIJEM	VKLAD	16880	36238	\N	\N	\N
856148	2917	1998-06-08	PRIJEM	VKLAD	25320	32020	\N	\N	\N
856149	2917	1998-07-08	PRIJEM	VKLAD	16880	42843	\N	\N	\N
856150	2917	1998-08-08	PRIJEM	VKLAD	16880	48559	\N	\N	\N
856151	2917	1998-09-08	PRIJEM	VKLAD	16880	26743	\N	\N	\N
856152	2917	1998-10-08	PRIJEM	VKLAD	16880	37552	\N	\N	\N
856153	2917	1998-11-08	PRIJEM	VKLAD	16880	37350	\N	\N	\N
856154	2917	1998-12-08	PRIJEM	VKLAD	25320	56643	\N	\N	\N
856168	2917	1997-02-06	VYDAJ	PREVOD NA UCET	6157	26503	SIPO	KL	62685650
856169	2917	1997-03-06	VYDAJ	PREVOD NA UCET	6157	24686	SIPO	KL	62685650
856170	2917	1997-04-06	VYDAJ	PREVOD NA UCET	6157	21145	SIPO	KL	62685650
856171	2917	1997-05-06	VYDAJ	PREVOD NA UCET	6157	19504	SIPO	KL	62685650
856172	2917	1997-06-06	VYDAJ	PREVOD NA UCET	6157	20158	SIPO	KL	62685650
856173	2917	1997-07-06	VYDAJ	PREVOD NA UCET	6157	9935	SIPO	KL	62685650
856174	2917	1997-08-06	VYDAJ	PREVOD NA UCET	6157	14643	SIPO	KL	62685650
856175	2917	1997-09-06	VYDAJ	PREVOD NA UCET	6157	12730	SIPO	KL	62685650
856176	2917	1997-10-06	VYDAJ	PREVOD NA UCET	6157	13757	SIPO	KL	62685650
856177	2917	1997-11-06	VYDAJ	PREVOD NA UCET	6157	8059	SIPO	KL	62685650
856178	2917	1997-12-06	VYDAJ	PREVOD NA UCET	6157	17425	SIPO	KL	62685650
856179	2917	1998-01-06	VYDAJ	PREVOD NA UCET	6157	8270	SIPO	KL	62685650
856180	2917	1998-02-06	VYDAJ	PREVOD NA UCET	6157	9696	SIPO	KL	62685650
856181	2917	1998-03-06	VYDAJ	PREVOD NA UCET	6157	20504	SIPO	KL	62685650
856182	2917	1998-04-06	VYDAJ	PREVOD NA UCET	6157	8554	SIPO	KL	62685650
856183	2917	1998-05-06	VYDAJ	PREVOD NA UCET	6157	19358	SIPO	KL	62685650
856184	2917	1998-06-06	VYDAJ	PREVOD NA UCET	6157	6700	SIPO	KL	62685650
856185	2917	1998-07-06	VYDAJ	PREVOD NA UCET	6157	25963	SIPO	KL	62685650
856186	2917	1998-08-06	VYDAJ	PREVOD NA UCET	6157	31679	SIPO	KL	62685650
856187	2917	1998-09-06	VYDAJ	PREVOD NA UCET	6157	9863	SIPO	KL	62685650
856188	2917	1998-10-06	VYDAJ	PREVOD NA UCET	6157	20672	SIPO	KL	62685650
856189	2917	1998-11-06	VYDAJ	PREVOD NA UCET	6157	20470	SIPO	KL	62685650
856190	2917	1998-12-06	VYDAJ	PREVOD NA UCET	6157	31323	SIPO	KL	62685650
856192	2917	1997-06-10	VYDAJ	VYBER	29760	15718	\N	\N	\N
856198	2917	1997-12-21	VYDAJ	VYBER	1600	34905	\N	\N	\N
856199	2917	1998-12-20	VYDAJ	VYBER	4480	46763	\N	\N	\N
856206	2917	1997-01-26	VYDAJ	VYBER	1680	43843	\N	\N	\N
856207	2917	1997-01-18	VYDAJ	VYBER	3480	45523	\N	\N	\N
856208	2917	1997-01-17	VYDAJ	VYBER	2760	49003	\N	\N	\N
856209	2917	1997-01-27	VYDAJ	VYBER	2280	41563	\N	\N	\N
856210	2917	1997-01-14	VYDAJ	VYBER	3120	51763	\N	\N	\N
856211	2917	1997-01-14	VYDAJ	VYBER	2040	54883	\N	\N	\N
856212	2917	1998-01-18	VYDAJ	VYBER	1560	21310	\N	\N	\N
856213	2917	1998-01-19	VYDAJ	VYBER	2040	19270	\N	\N	\N
856215	2917	1998-01-21	VYDAJ	VYBER	3480	15790	\N	\N	\N
856217	2917	1998-01-15	VYDAJ	VYBER	2280	22870	\N	\N	\N
856223	2917	1997-12-17	VYDAJ	VYBER	3480	36505	\N	\N	\N
856224	2917	1997-08-17	VYDAJ	VYBER	2640	28883	\N	\N	\N
856225	2917	1997-03-30	VYDAJ	VYBER	3720	37846	\N	\N	\N
856226	2917	1997-11-25	VYDAJ	VYBER	1440	23499	\N	\N	\N
856227	2917	1997-10-19	VYDAJ	VYBER	4920	25717	\N	\N	\N
856228	2917	1997-12-06	VYDAJ	VYBER	2760	14665	\N	\N	\N
856229	2917	1997-04-23	VYDAJ	VYBER	3600	34425	\N	\N	\N
856231	2917	1998-12-17	VYDAJ	VYBER	5400	51243	\N	\N	\N
856232	2917	1998-10-15	VYDAJ	VYBER	3840	33712	\N	\N	\N
856233	2917	1998-08-01	VYDAJ	VYBER	5160	37836	\N	\N	\N
856234	2917	1998-10-22	VYDAJ	VYBER	5280	28432	\N	\N	\N
856235	2917	1998-11-04	VYDAJ	VYBER	1920	26627	\N	\N	\N
856249	2917	1997-01-31	VYDAJ	VYBER	15	41760	SLUZBY	\N	\N
856250	2917	1997-02-28	VYDAJ	VYBER	15	43543	SLUZBY	\N	\N
856251	2917	1997-03-31	VYDAJ	VYBER	15	38002	SLUZBY	\N	\N
856252	2917	1997-04-30	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
856253	2917	1997-05-31	VYDAJ	VYBER	15	36515	SLUZBY	\N	\N
856254	2917	1997-06-30	VYDAJ	VYBER	15	15792	SLUZBY	\N	\N
856255	2917	1997-07-31	VYDAJ	VYBER	15	26900	SLUZBY	\N	\N
856256	2917	1997-08-31	VYDAJ	VYBER	15	28987	SLUZBY	\N	\N
856257	2917	1997-09-30	VYDAJ	VYBER	15	29714	SLUZBY	\N	\N
856258	2917	1997-10-31	VYDAJ	VYBER	15	25816	SLUZBY	\N	\N
856259	2917	1997-11-30	VYDAJ	VYBER	15	23582	SLUZBY	\N	\N
856260	2917	1997-12-31	VYDAJ	VYBER	15	14427	SLUZBY	\N	\N
856261	2917	1998-01-31	VYDAJ	VYBER	15	15853	SLUZBY	\N	\N
856262	2917	1998-02-28	VYDAJ	VYBER	15	26661	SLUZBY	\N	\N
856263	2917	1998-03-31	VYDAJ	VYBER	15	37511	SLUZBY	\N	\N
856264	2917	1998-04-30	VYDAJ	VYBER	15	25515	SLUZBY	\N	\N
856265	2917	1998-05-31	VYDAJ	VYBER	15	12857	SLUZBY	\N	\N
856266	2917	1998-06-30	VYDAJ	VYBER	15	32120	SLUZBY	\N	\N
856267	2917	1998-07-31	VYDAJ	VYBER	15	42996	SLUZBY	\N	\N
856268	2917	1998-08-31	VYDAJ	VYBER	15	16020	SLUZBY	\N	\N
856269	2917	1998-09-30	VYDAJ	VYBER	15	26829	SLUZBY	\N	\N
856270	2917	1998-10-31	VYDAJ	VYBER	15	28547	SLUZBY	\N	\N
856271	2917	1998-11-30	VYDAJ	VYBER	15	37480	SLUZBY	\N	\N
856272	2917	1996-09-07	PRIJEM	VKLAD	11400	11700	\N	\N	\N
856273	2917	1996-10-07	VYDAJ	VYBER	5100	23571	\N	\N	\N
856274	2917	1996-11-06	VYDAJ	VYBER	8300	32309	\N	\N	\N
856275	2917	1996-12-06	VYDAJ	VYBER	15300	34085	\N	\N	\N
856276	2917	1997-01-05	VYDAJ	VYBER	19600	40043	\N	\N	\N
856277	2917	1997-02-04	VYDAJ	VYBER	9100	32660	\N	\N	\N
856278	2917	1997-03-06	VYDAJ	VYBER	12700	30843	\N	\N	\N
856279	2917	1997-04-05	VYDAJ	VYBER	10700	27302	\N	\N	\N
856280	2917	1997-05-05	VYDAJ	VYBER	8900	25661	\N	\N	\N
856281	2917	1997-06-04	VYDAJ	VYBER	10200	26315	\N	\N	\N
856282	2917	1997-07-04	PRIJEM	VKLAD	300	16092	\N	\N	\N
856283	2917	1997-08-03	VYDAJ	VYBER	6100	20800	\N	\N	\N
856284	2917	1997-09-02	VYDAJ	VYBER	10100	18887	\N	\N	\N
856285	2917	1997-10-02	VYDAJ	VYBER	9800	19914	\N	\N	\N
856286	2917	1997-11-01	VYDAJ	VYBER	11600	14216	\N	\N	\N
856287	2917	1997-12-31	VYDAJ	VYBER	20600	14442	\N	\N	\N
856288	2917	1998-03-31	VYDAJ	VYBER	22800	14711	\N	\N	\N
856289	2917	1998-05-30	VYDAJ	VYBER	23500	12738	\N	\N	\N
856290	2917	1998-08-28	VYDAJ	VYBER	32700	15859	\N	\N	\N
856319	2918	1997-12-05	PRIJEM	VKLAD	300	300	\N	\N	\N
856320	2918	1997-12-24	PRIJEM	VKLAD	7708	8008	\N	\N	\N
856340	2918	1998-09-13	PRIJEM	VKLAD	45686	113438	\N	\N	\N
856341	2918	1998-09-01	PRIJEM	VKLAD	34728	63131	\N	\N	\N
856342	2918	1998-07-02	PRIJEM	VKLAD	12884	19416	\N	\N	\N
856343	2918	1998-09-09	PRIJEM	VKLAD	34847	55091	\N	\N	\N
856344	2918	1998-01-02	PRIJEM	VKLAD	16968	24985	\N	\N	\N
856345	2918	1998-11-26	PRIJEM	VKLAD	8693	31405	\N	\N	\N
856346	2918	1998-03-10	PRIJEM	VKLAD	25410	44471	\N	\N	\N
856347	2918	1998-10-07	PRIJEM	VKLAD	29140	88490	\N	\N	\N
856348	2918	1998-10-07	PRIJEM	VKLAD	24709	59350	\N	\N	\N
856349	2918	1998-04-26	PRIJEM	VKLAD	25318	55246	\N	\N	\N
856350	2918	1998-09-13	PRIJEM	VKLAD	12661	67752	\N	\N	\N
856351	2918	1998-10-22	PRIJEM	VKLAD	28003	99306	\N	\N	\N
856352	2918	1998-12-17	PRIJEM	VKLAD	46870	60458	\N	\N	\N
856353	2918	1998-08-14	PRIJEM	VKLAD	21257	28395	\N	\N	\N
856354	2918	1998-07-19	PRIJEM	VKLAD	34515	39844	\N	\N	\N
856355	2918	1998-05-20	PRIJEM	VKLAD	30317	63256	\N	\N	\N
856356	2918	1998-10-03	PRIJEM	VKLAD	28366	58695	\N	\N	\N
856374	2918	1998-06-19	VYDAJ	VYBER	7200	6563	\N	\N	0
856376	2918	1998-08-11	VYDAJ	VYBER	7600	7138	\N	\N	0
856377	2918	1998-09-02	VYDAJ	VYBER	8200	30731	\N	\N	0
856378	2918	1998-10-15	VYDAJ	VYBER	6700	71303	\N	\N	0
856379	2918	1998-11-22	VYDAJ	VYBER	7500	22712	\N	\N	0
856380	2918	1998-12-20	VYDAJ	VYBER	7100	53358	\N	\N	0
856398	2918	1998-06-08	VYDAJ	PREVOD NA UCET	10487	13763	SIPO	AB	49901193
856399	2918	1998-07-08	VYDAJ	PREVOD NA UCET	10487	5329	SIPO	AB	49901193
856400	2918	1998-08-08	VYDAJ	PREVOD NA UCET	10487	14738	SIPO	AB	49901193
856401	2918	1998-09-08	VYDAJ	PREVOD NA UCET	10487	20244	SIPO	AB	49901193
856402	2918	1998-10-08	VYDAJ	PREVOD NA UCET	10487	78003	SIPO	AB	49901193
856403	2918	1998-11-08	VYDAJ	PREVOD NA UCET	10487	42212	SIPO	AB	49901193
856404	2918	1998-12-08	VYDAJ	PREVOD NA UCET	10487	13588	SIPO	AB	49901193
856411	2918	1998-10-06	VYBER	VYBER	24054	34641	\N	\N	\N
856413	2918	1998-11-03	VYBER	VYBER	4029	52699	\N	\N	\N
856420	2918	1998-05-28	VYBER	VYBER	24836	38420	\N	\N	\N
856437	2918	1998-11-21	VYDAJ	VYBER	12000	30212	\N	\N	\N
856440	2918	1998-07-22	VYDAJ	VYBER	7200	32644	\N	\N	\N
856458	2918	1998-05-31	VYDAJ	VYBER	100	38550	SLUZBY	\N	\N
856459	2918	1998-06-30	VYDAJ	VYBER	100	6532	SLUZBY	\N	\N
856460	2918	1998-07-31	VYDAJ	VYBER	100	32625	SLUZBY	\N	\N
856461	2918	1998-08-31	VYDAJ	VYBER	100	28403	SLUZBY	\N	\N
856462	2918	1998-09-30	VYDAJ	VYBER	100	49729	SLUZBY	\N	\N
856463	2918	1998-10-31	VYDAJ	VYBER	100	56728	SLUZBY	\N	\N
856464	2918	1998-11-30	VYDAJ	VYBER	100	31475	SLUZBY	\N	\N
856465	2918	1998-01-04	VYDAJ	VYBER	3200	21785	\N	\N	\N
856466	2918	1998-02-03	PRIJEM	VKLAD	1200	23070	\N	\N	\N
856467	2918	1998-03-05	VYDAJ	VYBER	4100	19061	\N	\N	\N
856468	2918	1998-04-04	VYDAJ	VYBER	14700	29928	\N	\N	\N
856469	2918	1998-05-04	VYDAJ	VYBER	22500	32939	\N	\N	\N
856470	2918	1998-06-03	VYDAJ	VYBER	14300	24250	\N	\N	\N
856471	2918	1998-07-03	VYDAJ	VYBER	3600	15816	\N	\N	\N
856472	2918	1998-08-02	VYDAJ	VYBER	7400	25225	\N	\N	\N
856473	2918	1998-09-01	VYDAJ	VYBER	24200	38931	\N	\N	\N
856474	2918	1998-09-13	VYDAJ	VYBER	63800	49638	\N	\N	\N
856475	2918	1998-10-01	VYDAJ	VYBER	19400	30329	\N	\N	\N
856476	2918	1998-10-31	VYDAJ	VYBER	42800	56828	\N	\N	\N
856477	2918	1998-11-30	VYDAJ	VYBER	7400	24075	\N	\N	\N
856491	2919	1995-05-10	PRIJEM	VKLAD	200	200	\N	\N	\N
856496	2919	1995-05-12	PRIJEM	VKLAD	13963	14163	\N	\N	\N
856497	2919	1995-06-12	PRIJEM	VKLAD	20945	39146	\N	\N	\N
856498	2919	1995-07-12	PRIJEM	VKLAD	13963	44434	\N	\N	\N
856499	2919	1995-08-12	PRIJEM	VKLAD	13963	46274	\N	\N	\N
856500	2919	1995-09-12	PRIJEM	VKLAD	13963	51427	\N	\N	\N
856501	2919	1995-10-12	PRIJEM	VKLAD	13963	43251	\N	\N	\N
856502	2919	1995-11-12	PRIJEM	VKLAD	13963	39758	\N	\N	\N
856503	2919	1995-12-12	PRIJEM	VKLAD	20945	37925	\N	\N	\N
856504	2919	1996-01-12	PRIJEM	VKLAD	13963	31151	\N	\N	\N
856505	2919	1996-02-12	PRIJEM	VKLAD	13963	28940	\N	\N	\N
856506	2919	1996-03-12	PRIJEM	VKLAD	13963	27525	\N	\N	\N
856507	2919	1996-04-12	PRIJEM	VKLAD	13963	23772	\N	\N	\N
856508	2919	1996-05-12	PRIJEM	VKLAD	13963	25211	\N	\N	\N
856509	2919	1996-06-12	PRIJEM	VKLAD	20945	34903	\N	\N	\N
856510	2919	1996-07-12	PRIJEM	VKLAD	13963	33663	\N	\N	\N
856511	2919	1996-08-12	PRIJEM	VKLAD	13963	34315	\N	\N	\N
856512	2919	1996-09-12	PRIJEM	VKLAD	13963	33072	\N	\N	\N
856513	2919	1996-10-12	PRIJEM	VKLAD	13963	30827	\N	\N	\N
856514	2919	1996-11-12	PRIJEM	VKLAD	13963	31173	\N	\N	\N
856515	2919	1996-12-12	PRIJEM	VKLAD	20945	35290	\N	\N	\N
856516	2919	1997-01-12	PRIJEM	VKLAD	13963	20403	\N	\N	\N
856517	2919	1997-02-12	PRIJEM	VKLAD	13963	19273	\N	\N	\N
856518	2919	1997-03-12	PRIJEM	VKLAD	13963	20435	\N	\N	\N
856519	2919	1997-04-12	PRIJEM	VKLAD	13963	20426	\N	\N	\N
856520	2919	1997-05-12	PRIJEM	VKLAD	13963	22817	\N	\N	\N
856521	2919	1997-06-12	PRIJEM	VKLAD	20945	26997	\N	\N	\N
856522	2919	1997-07-12	PRIJEM	VKLAD	13963	24252	\N	\N	\N
856523	2919	1997-08-12	PRIJEM	VKLAD	13963	24957	\N	\N	\N
856524	2919	1997-09-12	PRIJEM	VKLAD	13963	26464	\N	\N	\N
856525	2919	1997-10-12	PRIJEM	VKLAD	13963	20072	\N	\N	\N
856526	2919	1997-11-12	PRIJEM	VKLAD	13963	22315	\N	\N	\N
856527	2919	1997-12-12	PRIJEM	VKLAD	20945	35996	\N	\N	\N
856528	2919	1998-01-12	PRIJEM	VKLAD	13963	20866	\N	\N	\N
856529	2919	1998-02-12	PRIJEM	VKLAD	13963	24319	\N	\N	\N
856530	2919	1998-03-12	PRIJEM	VKLAD	13963	26121	\N	\N	\N
856531	2919	1998-04-12	PRIJEM	VKLAD	13963	26931	\N	\N	\N
856532	2919	1998-05-12	PRIJEM	VKLAD	13963	27222	\N	\N	\N
856533	2919	1998-06-12	PRIJEM	VKLAD	20945	33675	\N	\N	\N
856534	2919	1998-07-12	PRIJEM	VKLAD	13963	27597	\N	\N	\N
856535	2919	1998-08-12	PRIJEM	VKLAD	13963	29112	\N	\N	\N
856536	2919	1998-09-12	PRIJEM	VKLAD	13963	22548	\N	\N	\N
856537	2919	1998-10-12	PRIJEM	VKLAD	13963	23546	\N	\N	\N
856538	2919	1998-11-12	PRIJEM	VKLAD	13963	20837	\N	\N	\N
856539	2919	1998-12-12	PRIJEM	VKLAD	20945	30191	\N	\N	\N
856549	2919	1995-10-11	VYDAJ	PREVOD NA UCET	7331	29288	SIPO	ST	15447330
856550	2919	1995-11-11	VYDAJ	PREVOD NA UCET	7331	25795	SIPO	ST	15447330
856551	2919	1995-12-11	VYDAJ	PREVOD NA UCET	7331	16981	SIPO	ST	15447330
856552	2919	1996-01-11	VYDAJ	PREVOD NA UCET	7331	17188	SIPO	ST	15447330
856553	2919	1996-02-11	VYDAJ	PREVOD NA UCET	7331	14977	SIPO	ST	15447330
856554	2919	1996-03-11	VYDAJ	PREVOD NA UCET	7331	13562	SIPO	ST	15447330
856555	2919	1996-04-11	VYDAJ	PREVOD NA UCET	7331	9809	SIPO	ST	15447330
856556	2919	1996-05-11	VYDAJ	PREVOD NA UCET	7331	11248	SIPO	ST	15447330
856557	2919	1996-06-11	VYDAJ	PREVOD NA UCET	7331	13958	SIPO	ST	15447330
856558	2919	1996-07-11	VYDAJ	PREVOD NA UCET	7331	19700	SIPO	ST	15447330
856559	2919	1996-08-11	VYDAJ	PREVOD NA UCET	7331	20352	SIPO	ST	15447330
856560	2919	1996-09-11	VYDAJ	PREVOD NA UCET	7331	19109	SIPO	ST	15447330
856561	2919	1996-10-11	VYDAJ	PREVOD NA UCET	7331	16864	SIPO	ST	15447330
856562	2919	1996-11-11	VYDAJ	PREVOD NA UCET	7331	17210	SIPO	ST	15447330
856563	2919	1996-12-11	VYDAJ	PREVOD NA UCET	7331	14346	SIPO	ST	15447330
856564	2919	1997-01-11	VYDAJ	PREVOD NA UCET	7331	6440	SIPO	ST	15447330
856565	2919	1997-02-11	VYDAJ	PREVOD NA UCET	7331	5310	SIPO	ST	15447330
856566	2919	1997-03-11	VYDAJ	PREVOD NA UCET	7331	6472	SIPO	ST	15447330
856567	2919	1997-04-11	VYDAJ	PREVOD NA UCET	7331	6463	SIPO	ST	15447330
856568	2919	1997-05-11	VYDAJ	PREVOD NA UCET	7331	8854	SIPO	ST	15447330
856569	2919	1997-06-11	VYDAJ	PREVOD NA UCET	7331	6052	SIPO	ST	15447330
856570	2919	1997-07-11	VYDAJ	PREVOD NA UCET	7331	10289	SIPO	ST	15447330
856571	2919	1997-08-11	VYDAJ	PREVOD NA UCET	7331	10994	SIPO	ST	15447330
856572	2919	1997-09-11	VYDAJ	PREVOD NA UCET	7331	12501	SIPO	ST	15447330
856573	2919	1997-10-11	VYDAJ	PREVOD NA UCET	7331	6109	SIPO	ST	15447330
856574	2919	1997-11-11	VYDAJ	PREVOD NA UCET	7331	8352	SIPO	ST	15447330
856575	2919	1997-12-11	VYDAJ	PREVOD NA UCET	7331	15052	SIPO	ST	15447330
856576	2919	1998-01-11	VYDAJ	PREVOD NA UCET	7331	6903	SIPO	ST	15447330
856577	2919	1998-02-11	VYDAJ	PREVOD NA UCET	7331	10356	SIPO	ST	15447330
856578	2919	1998-03-11	VYDAJ	PREVOD NA UCET	7331	12158	SIPO	ST	15447330
856579	2919	1998-04-11	VYDAJ	PREVOD NA UCET	7331	12968	SIPO	ST	15447330
856580	2919	1998-05-11	VYDAJ	PREVOD NA UCET	7331	13259	SIPO	ST	15447330
856581	2919	1998-06-11	VYDAJ	PREVOD NA UCET	7331	12731	SIPO	ST	15447330
856582	2919	1998-07-11	VYDAJ	PREVOD NA UCET	7331	13634	SIPO	ST	15447330
856583	2919	1998-08-11	VYDAJ	PREVOD NA UCET	7331	15149	SIPO	ST	15447330
856584	2919	1998-09-11	VYDAJ	PREVOD NA UCET	7331	8585	SIPO	ST	15447330
856585	2919	1998-10-11	VYDAJ	PREVOD NA UCET	7331	9583	SIPO	ST	15447330
856586	2919	1998-11-11	VYDAJ	PREVOD NA UCET	7331	6874	SIPO	ST	15447330
856587	2919	1998-12-11	VYDAJ	PREVOD NA UCET	7331	9246	SIPO	ST	15447330
856590	2919	1997-06-21	VYDAJ	VYBER	9440	17557	\N	\N	\N
856592	2919	1995-12-07	VYDAJ	VYBER	1760	24312	\N	\N	\N
856593	2919	1996-12-23	VYDAJ	VYBER	4320	29770	\N	\N	\N
856594	2919	1997-12-16	VYDAJ	VYBER	1920	34076	\N	\N	\N
856595	2919	1998-12-10	VYDAJ	VYBER	4320	16577	\N	\N	\N
856602	2919	1996-01-12	VYDAJ	VYBER	1920	25871	\N	\N	\N
856603	2919	1996-01-06	VYDAJ	VYBER	3240	24519	\N	\N	\N
856604	2919	1996-01-02	VYDAJ	VYBER	600	37459	\N	\N	\N
856605	2919	1996-01-16	VYDAJ	VYBER	1320	24551	\N	\N	\N
856606	2919	1996-01-26	VYDAJ	VYBER	840	23711	\N	\N	\N
856607	2919	1996-01-12	VYDAJ	VYBER	3360	27791	\N	\N	\N
856609	2919	1997-01-02	VYDAJ	VYBER	3480	16291	\N	\N	\N
856612	2919	1997-01-28	VYDAJ	VYBER	1320	19083	\N	\N	\N
856613	2919	1997-01-03	VYDAJ	VYBER	2520	13771	\N	\N	\N
856614	2919	1998-01-02	VYDAJ	VYBER	1200	19874	\N	\N	\N
856615	2919	1998-01-28	VYDAJ	VYBER	1680	17626	\N	\N	\N
856616	2919	1998-01-06	VYDAJ	VYBER	3000	14234	\N	\N	\N
856617	2919	1998-01-05	VYDAJ	VYBER	2640	17234	\N	\N	\N
856618	2919	1998-01-21	VYDAJ	VYBER	840	19306	\N	\N	\N
856619	2919	1998-01-15	VYDAJ	VYBER	720	20146	\N	\N	\N
856621	2919	1995-12-06	VYDAJ	VYBER	3840	26072	\N	\N	\N
856624	2919	1996-06-20	VYDAJ	VYBER	4080	30823	\N	\N	\N
856625	2919	1996-04-27	VYDAJ	VYBER	3600	17412	\N	\N	\N
856626	2919	1996-12-14	VYDAJ	VYBER	1200	34090	\N	\N	\N
856627	2919	1996-03-14	VYDAJ	VYBER	4320	23205	\N	\N	\N
856628	2919	1996-02-23	VYDAJ	VYBER	3240	25700	\N	\N	\N
856629	2919	1996-04-17	VYDAJ	VYBER	2760	21012	\N	\N	\N
856630	2919	1996-03-16	VYDAJ	VYBER	5040	18165	\N	\N	\N
856631	2919	1997-10-21	VYDAJ	VYBER	4440	15632	\N	\N	\N
856634	2919	1997-03-02	VYDAJ	VYBER	1680	13803	\N	\N	\N
856636	2919	1997-02-21	VYDAJ	VYBER	3840	15433	\N	\N	\N
856637	2919	1998-05-25	VYDAJ	VYBER	840	19982	\N	\N	\N
856638	2919	1998-04-21	VYDAJ	VYBER	2520	24411	\N	\N	\N
856640	2919	1998-09-06	VYDAJ	VYBER	5280	15916	\N	\N	\N
856650	2919	1995-09-30	VYDAJ	VYBER	15	51619	SLUZBY	\N	\N
856651	2919	1995-10-31	VYDAJ	VYBER	15	43426	SLUZBY	\N	\N
856652	2919	1995-11-30	VYDAJ	VYBER	15	39912	SLUZBY	\N	\N
856653	2919	1995-12-31	VYDAJ	VYBER	15	38059	SLUZBY	\N	\N
856654	2919	1996-01-31	VYDAJ	VYBER	15	23808	SLUZBY	\N	\N
856655	2919	1996-02-29	VYDAJ	VYBER	15	25793	SLUZBY	\N	\N
856656	2919	1996-03-31	VYDAJ	VYBER	15	18240	SLUZBY	\N	\N
856657	2919	1996-04-30	VYDAJ	VYBER	15	17479	SLUZBY	\N	\N
856658	2919	1996-05-31	VYDAJ	VYBER	15	25289	SLUZBY	\N	\N
856659	2919	1996-06-30	VYDAJ	VYBER	15	30931	SLUZBY	\N	\N
856660	2919	1996-07-31	VYDAJ	VYBER	15	33783	SLUZBY	\N	\N
856661	2919	1996-08-31	VYDAJ	VYBER	15	34440	SLUZBY	\N	\N
856662	2919	1996-09-30	VYDAJ	VYBER	15	33195	SLUZBY	\N	\N
856663	2919	1996-10-31	VYDAJ	VYBER	15	24541	SLUZBY	\N	\N
856664	2919	1996-11-30	VYDAJ	VYBER	15	21677	SLUZBY	\N	\N
856665	2919	1996-12-31	VYDAJ	VYBER	15	19771	SLUZBY	\N	\N
856666	2919	1997-01-31	VYDAJ	VYBER	15	12641	SLUZBY	\N	\N
856667	2919	1997-02-28	VYDAJ	VYBER	15	15483	SLUZBY	\N	\N
856668	2919	1997-03-31	VYDAJ	VYBER	15	13794	SLUZBY	\N	\N
856669	2919	1997-04-30	VYDAJ	VYBER	15	16185	SLUZBY	\N	\N
856670	2919	1997-05-31	VYDAJ	VYBER	15	13383	SLUZBY	\N	\N
856671	2919	1997-06-30	VYDAJ	VYBER	15	17620	SLUZBY	\N	\N
856672	2919	1997-07-31	VYDAJ	VYBER	15	18325	SLUZBY	\N	\N
856673	2919	1997-08-31	VYDAJ	VYBER	15	19832	SLUZBY	\N	\N
856674	2919	1997-09-30	VYDAJ	VYBER	15	13440	SLUZBY	\N	\N
856675	2919	1997-10-31	VYDAJ	VYBER	15	15683	SLUZBY	\N	\N
856676	2919	1997-11-30	VYDAJ	VYBER	15	22383	SLUZBY	\N	\N
856677	2919	1997-12-31	VYDAJ	VYBER	15	21074	SLUZBY	\N	\N
856678	2919	1998-01-31	VYDAJ	VYBER	15	17687	SLUZBY	\N	\N
856679	2919	1998-02-28	VYDAJ	VYBER	15	19489	SLUZBY	\N	\N
856680	2919	1998-03-31	VYDAJ	VYBER	15	20299	SLUZBY	\N	\N
856681	2919	1998-04-30	VYDAJ	VYBER	15	20590	SLUZBY	\N	\N
856682	2919	1998-05-31	VYDAJ	VYBER	15	20062	SLUZBY	\N	\N
856683	2919	1998-06-30	VYDAJ	VYBER	15	20965	SLUZBY	\N	\N
856684	2919	1998-07-31	VYDAJ	VYBER	15	22480	SLUZBY	\N	\N
856685	2919	1998-08-31	VYDAJ	VYBER	15	21196	SLUZBY	\N	\N
856686	2919	1998-09-30	VYDAJ	VYBER	15	16914	SLUZBY	\N	\N
856687	2919	1998-10-31	VYDAJ	VYBER	15	14205	SLUZBY	\N	\N
856688	2919	1998-11-30	VYDAJ	VYBER	15	20897	SLUZBY	\N	\N
856689	2919	1995-06-09	PRIJEM	VKLAD	4000	18201	\N	\N	\N
856690	2919	1995-07-09	VYDAJ	VYBER	8800	30471	\N	\N	\N
856691	2919	1995-08-08	VYDAJ	VYBER	12300	32311	\N	\N	\N
856692	2919	1995-09-07	VYDAJ	VYBER	9000	37464	\N	\N	\N
856693	2919	1995-10-07	VYDAJ	VYBER	15000	36619	\N	\N	\N
856694	2919	1995-11-06	VYDAJ	VYBER	10300	33126	\N	\N	\N
856695	2919	1995-12-06	VYDAJ	VYBER	10000	29912	\N	\N	\N
856696	2919	1996-01-05	VYDAJ	VYBER	9700	27759	\N	\N	\N
856697	2919	1996-02-04	VYDAJ	VYBER	1500	22308	\N	\N	\N
856698	2919	1996-03-05	VYDAJ	VYBER	4900	20893	\N	\N	\N
856699	2919	1996-04-04	VYDAJ	VYBER	1100	17140	\N	\N	\N
856700	2919	1996-05-04	PRIJEM	VKLAD	1100	18579	\N	\N	\N
856701	2919	1996-06-03	VYDAJ	VYBER	4000	21289	\N	\N	\N
856702	2919	1996-07-03	VYDAJ	VYBER	3900	27031	\N	\N	\N
856703	2919	1996-08-02	VYDAJ	VYBER	6100	27683	\N	\N	\N
856704	2919	1996-09-01	VYDAJ	VYBER	8000	26440	\N	\N	\N
856705	2919	1996-10-01	VYDAJ	VYBER	9000	24195	\N	\N	\N
856706	2919	1996-10-31	VYDAJ	VYBER	6400	24556	\N	\N	\N
856707	2919	1996-11-30	VYDAJ	VYBER	9600	21691	\N	\N	\N
856708	2919	1996-12-30	VYDAJ	VYBER	10100	19670	\N	\N	\N
856709	2919	1997-01-29	VYDAJ	VYBER	6500	12583	\N	\N	\N
856710	2919	1997-03-30	VYDAJ	VYBER	6700	13735	\N	\N	\N
856711	2919	1997-04-29	VYDAJ	VYBER	4300	16126	\N	\N	\N
856712	2919	1997-05-29	VYDAJ	VYBER	9500	13317	\N	\N	\N
856713	2919	1997-07-28	VYDAJ	VYBER	6000	18252	\N	\N	\N
856714	2919	1997-08-27	VYDAJ	VYBER	5200	19757	\N	\N	\N
856715	2919	1997-09-26	VYDAJ	VYBER	13100	13364	\N	\N	\N
856716	2919	1997-12-25	VYDAJ	VYBER	13100	20976	\N	\N	\N
856717	2919	1998-02-23	VYDAJ	VYBER	4900	19419	\N	\N	\N
856718	2919	1998-03-25	VYDAJ	VYBER	5900	20221	\N	\N	\N
856719	2919	1998-04-24	VYDAJ	VYBER	3900	20511	\N	\N	\N
856720	2919	1998-05-24	VYDAJ	VYBER	6400	20822	\N	\N	\N
856721	2919	1998-06-23	VYDAJ	VYBER	12800	20875	\N	\N	\N
856722	2919	1998-07-23	VYDAJ	VYBER	5200	22397	\N	\N	\N
856723	2919	1998-08-22	VYDAJ	VYBER	8000	21112	\N	\N	\N
856724	2919	1998-09-21	VYDAJ	VYBER	5700	16848	\N	\N	\N
856725	2919	1998-10-21	VYDAJ	VYBER	9400	14146	\N	\N	\N
856770	2920	1997-11-13	PRIJEM	VKLAD	200	200	\N	\N	\N
856782	2920	1997-12-06	PRIJEM	VKLAD	33056	33256	\N	\N	\N
856783	2920	1998-01-06	PRIJEM	VKLAD	22037	48360	\N	\N	\N
856784	2920	1998-02-06	PRIJEM	VKLAD	22037	58935	\N	\N	\N
856785	2920	1998-03-06	PRIJEM	VKLAD	22037	62936	\N	\N	\N
856786	2920	1998-04-06	PRIJEM	VKLAD	22037	60436	\N	\N	\N
856787	2920	1998-05-06	PRIJEM	VKLAD	22037	56817	\N	\N	\N
856788	2920	1998-06-06	PRIJEM	VKLAD	33056	59155	\N	\N	\N
856789	2920	1998-07-06	PRIJEM	VKLAD	22037	51304	\N	\N	\N
856790	2920	1998-08-06	PRIJEM	VKLAD	22037	47145	\N	\N	\N
856791	2920	1998-09-06	PRIJEM	VKLAD	22037	47388	\N	\N	\N
856792	2920	1998-10-06	PRIJEM	VKLAD	22037	49543	\N	\N	\N
856793	2920	1998-11-06	PRIJEM	VKLAD	22037	56011	\N	\N	\N
856794	2920	1998-12-06	PRIJEM	VKLAD	33056	61637	\N	\N	\N
856810	2920	1998-04-14	VYDAJ	PREVOD NA UCET	5493	34643	SIPO	EF	16727841
856811	2920	1998-05-14	VYDAJ	PREVOD NA UCET	5493	30424	SIPO	EF	16727841
856812	2920	1998-06-14	VYDAJ	PREVOD NA UCET	5493	29162	SIPO	EF	16727841
856813	2920	1998-07-14	VYDAJ	PREVOD NA UCET	5493	25011	SIPO	EF	16727841
856814	2920	1998-08-14	VYDAJ	PREVOD NA UCET	5493	27052	SIPO	EF	16727841
856815	2920	1998-09-14	VYDAJ	PREVOD NA UCET	5493	27395	SIPO	EF	16727841
856816	2920	1998-10-14	VYDAJ	PREVOD NA UCET	5493	33850	SIPO	EF	16727841
856817	2920	1998-11-14	VYDAJ	PREVOD NA UCET	5493	34218	SIPO	EF	16727841
856818	2920	1998-12-14	VYDAJ	PREVOD NA UCET	5493	36444	SIPO	EF	16727841
856824	2920	1998-12-29	VYDAJ	VYBER	3520	32924	\N	\N	\N
856828	2920	1998-05-24	VYDAJ	VYBER	4440	25984	\N	\N	\N
856829	2920	1998-11-20	VYDAJ	VYBER	5760	28458	\N	\N	\N
856830	2920	1998-09-01	VYDAJ	VYBER	1800	25351	\N	\N	\N
856848	2920	1998-04-30	VYDAJ	VYBER	15	34780	SLUZBY	\N	\N
856849	2920	1998-05-31	VYDAJ	VYBER	15	26099	SLUZBY	\N	\N
856850	2920	1998-06-30	VYDAJ	VYBER	15	29267	SLUZBY	\N	\N
856851	2920	1998-07-31	VYDAJ	VYBER	15	25108	SLUZBY	\N	\N
856852	2920	1998-08-31	VYDAJ	VYBER	15	27151	SLUZBY	\N	\N
856853	2920	1998-09-30	VYDAJ	VYBER	15	27506	SLUZBY	\N	\N
856854	2920	1998-10-31	VYDAJ	VYBER	15	33974	SLUZBY	\N	\N
856855	2920	1998-11-30	VYDAJ	VYBER	15	28581	SLUZBY	\N	\N
856856	2920	1997-12-13	VYDAJ	VYBER	7000	26256	\N	\N	\N
856857	2920	1998-01-12	VYDAJ	VYBER	11600	36760	\N	\N	\N
856858	2920	1998-02-11	VYDAJ	VYBER	18200	40735	\N	\N	\N
856859	2920	1998-03-13	VYDAJ	VYBER	24700	38236	\N	\N	\N
856860	2920	1998-04-12	VYDAJ	VYBER	20300	40136	\N	\N	\N
856861	2920	1998-05-12	VYDAJ	VYBER	20900	35917	\N	\N	\N
856862	2920	1998-06-11	VYDAJ	VYBER	24500	34655	\N	\N	\N
856863	2920	1998-07-11	VYDAJ	VYBER	20800	30504	\N	\N	\N
856864	2920	1998-08-10	VYDAJ	VYBER	14600	32545	\N	\N	\N
856865	2920	1998-09-09	VYDAJ	VYBER	14500	32888	\N	\N	\N
856866	2920	1998-10-09	VYDAJ	VYBER	10200	39343	\N	\N	\N
856867	2920	1998-11-08	VYDAJ	VYBER	16300	39711	\N	\N	\N
856868	2920	1998-12-08	VYDAJ	VYBER	19700	41937	\N	\N	\N
856882	2921	1996-09-21	PRIJEM	VKLAD	500	500	\N	\N	\N
856892	2921	1996-10-14	PRIJEM	VKLAD	13702	14202	\N	\N	\N
856893	2921	1996-11-14	PRIJEM	VKLAD	13702	34034	\N	\N	\N
856894	2921	1996-12-14	PRIJEM	VKLAD	20553	47782	\N	\N	\N
856895	2921	1997-01-14	PRIJEM	VKLAD	13702	49010	\N	\N	\N
856896	2921	1997-02-14	PRIJEM	VKLAD	13702	47456	\N	\N	\N
856897	2921	1997-03-14	PRIJEM	VKLAD	13702	34684	\N	\N	\N
856898	2921	1997-04-14	PRIJEM	VKLAD	13702	30490	\N	\N	\N
856899	2921	1997-05-14	PRIJEM	VKLAD	13702	26781	\N	\N	\N
856900	2921	1997-06-14	PRIJEM	VKLAD	20553	38118	\N	\N	\N
856901	2921	1997-07-14	PRIJEM	VKLAD	13702	28344	\N	\N	\N
856902	2921	1997-08-14	PRIJEM	VKLAD	13702	33641	\N	\N	\N
856903	2921	1997-09-14	PRIJEM	VKLAD	13702	35649	\N	\N	\N
856904	2921	1997-10-14	PRIJEM	VKLAD	13702	34358	\N	\N	\N
856905	2921	1997-11-14	PRIJEM	VKLAD	13702	32964	\N	\N	\N
856906	2921	1997-12-14	PRIJEM	VKLAD	20553	41114	\N	\N	\N
856907	2921	1998-01-14	PRIJEM	VKLAD	13702	32734	\N	\N	\N
856908	2921	1998-02-14	PRIJEM	VKLAD	13702	37534	\N	\N	\N
856909	2921	1998-03-14	PRIJEM	VKLAD	13702	43556	\N	\N	\N
856910	2921	1998-04-14	PRIJEM	VKLAD	13702	37685	\N	\N	\N
856911	2921	1998-05-14	PRIJEM	VKLAD	13702	34919	\N	\N	\N
856912	2921	1998-06-14	PRIJEM	VKLAD	20553	33964	\N	\N	\N
856913	2921	1998-07-14	PRIJEM	VKLAD	13702	32372	\N	\N	\N
856914	2921	1998-08-14	PRIJEM	VKLAD	13702	33998	\N	\N	\N
856915	2921	1998-09-14	PRIJEM	VKLAD	13702	32323	\N	\N	\N
856916	2921	1998-10-14	PRIJEM	VKLAD	13702	29244	\N	\N	\N
856917	2921	1998-11-14	PRIJEM	VKLAD	13702	25455	\N	\N	\N
856918	2921	1998-12-14	PRIJEM	VKLAD	20553	34599	\N	\N	\N
856933	2921	1997-03-07	VYDAJ	PREVOD NA UCET	6797	25382	SIPO	YZ	71265828
856934	2921	1997-04-07	VYDAJ	PREVOD NA UCET	6797	16788	SIPO	YZ	71265828
856935	2921	1997-05-07	VYDAJ	PREVOD NA UCET	6797	13079	SIPO	YZ	71265828
856936	2921	1997-06-07	VYDAJ	PREVOD NA UCET	6797	17565	SIPO	YZ	71265828
856937	2921	1997-07-07	VYDAJ	PREVOD NA UCET	6797	14642	SIPO	YZ	71265828
856938	2921	1997-08-07	VYDAJ	PREVOD NA UCET	6797	19939	SIPO	YZ	71265828
856939	2921	1997-09-07	VYDAJ	PREVOD NA UCET	6797	21947	SIPO	YZ	71265828
856940	2921	1997-10-07	VYDAJ	PREVOD NA UCET	6797	20656	SIPO	YZ	71265828
856941	2921	1997-11-07	VYDAJ	PREVOD NA UCET	6797	20562	SIPO	YZ	71265828
856942	2921	1997-12-07	VYDAJ	PREVOD NA UCET	6797	20561	SIPO	YZ	71265828
856943	2921	1998-01-07	VYDAJ	PREVOD NA UCET	6797	23932	SIPO	YZ	71265828
856944	2921	1998-02-07	VYDAJ	PREVOD NA UCET	6797	17832	SIPO	YZ	71265828
856945	2921	1998-03-07	VYDAJ	PREVOD NA UCET	6797	30854	SIPO	YZ	71265828
856946	2921	1998-04-07	VYDAJ	PREVOD NA UCET	6797	23983	SIPO	YZ	71265828
856947	2921	1998-05-07	VYDAJ	PREVOD NA UCET	6797	21217	SIPO	YZ	71265828
856948	2921	1998-06-07	VYDAJ	PREVOD NA UCET	6797	15111	SIPO	YZ	71265828
856949	2921	1998-07-07	VYDAJ	PREVOD NA UCET	6797	27270	SIPO	YZ	71265828
856950	2921	1998-08-07	VYDAJ	PREVOD NA UCET	6797	25696	SIPO	YZ	71265828
856951	2921	1998-09-07	VYDAJ	PREVOD NA UCET	6797	27321	SIPO	YZ	71265828
856952	2921	1998-10-07	VYDAJ	PREVOD NA UCET	6797	25642	SIPO	YZ	71265828
856953	2921	1998-11-07	VYDAJ	PREVOD NA UCET	6797	22553	SIPO	YZ	71265828
856954	2921	1998-12-07	VYDAJ	PREVOD NA UCET	6797	18746	SIPO	YZ	71265828
856956	2921	1997-06-18	VYDAJ	VYBER	19100	21318	\N	\N	\N
856960	2921	1998-01-23	VYDAJ	VYBER	1900	25734	\N	\N	\N
856962	2921	1997-12-25	VYDAJ	VYBER	1600	32614	\N	\N	\N
856963	2921	1998-12-15	VYDAJ	VYBER	1500	33099	\N	\N	\N
856976	2921	1998-01-24	VYDAJ	VYBER	700	25034	\N	\N	\N
856977	2921	1998-01-09	VYDAJ	VYBER	1100	19032	\N	\N	\N
856978	2921	1998-01-16	VYDAJ	VYBER	700	27634	\N	\N	\N
856979	2921	1998-01-07	VYDAJ	VYBER	1400	22532	\N	\N	\N
856980	2921	1998-01-05	VYDAJ	VYBER	2000	30729	\N	\N	\N
856981	2921	1998-01-09	VYDAJ	VYBER	2400	20132	\N	\N	\N
856986	2921	1997-04-26	VYDAJ	VYBER	4500	19790	\N	\N	\N
856987	2921	1997-11-08	VYDAJ	VYBER	1300	19262	\N	\N	\N
856988	2921	1997-04-14	VYDAJ	VYBER	600	29890	\N	\N	\N
856989	2921	1997-03-07	VYDAJ	VYBER	4400	20982	\N	\N	\N
856990	2921	1997-07-27	VYDAJ	VYBER	3500	26644	\N	\N	\N
856992	2921	1997-11-17	VYDAJ	VYBER	2200	27264	\N	\N	\N
856993	2921	1998-05-15	VYDAJ	VYBER	2900	24819	\N	\N	\N
856994	2921	1998-05-17	VYDAJ	VYBER	3000	21819	\N	\N	\N
856995	2921	1998-03-12	VYDAJ	VYBER	1000	29854	\N	\N	\N
856996	2921	1998-12-23	VYDAJ	VYBER	3500	29599	\N	\N	\N
856997	2921	1998-01-29	VYDAJ	VYBER	500	24534	\N	\N	\N
857012	2921	1997-02-28	VYDAJ	VYBER	15	32179	SLUZBY	\N	\N
857013	2921	1997-03-31	VYDAJ	VYBER	15	23585	SLUZBY	\N	\N
857014	2921	1997-04-30	VYDAJ	VYBER	15	19876	SLUZBY	\N	\N
857015	2921	1997-05-31	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
857016	2921	1997-06-30	VYDAJ	VYBER	15	21439	SLUZBY	\N	\N
857017	2921	1997-07-31	VYDAJ	VYBER	15	26736	SLUZBY	\N	\N
857018	2921	1997-08-31	VYDAJ	VYBER	15	28744	SLUZBY	\N	\N
857019	2921	1997-09-30	VYDAJ	VYBER	15	27453	SLUZBY	\N	\N
857020	2921	1997-10-31	VYDAJ	VYBER	15	27359	SLUZBY	\N	\N
857021	2921	1997-11-30	VYDAJ	VYBER	15	27358	SLUZBY	\N	\N
857022	2921	1997-12-31	VYDAJ	VYBER	15	32729	SLUZBY	\N	\N
857023	2921	1998-01-31	VYDAJ	VYBER	15	24629	SLUZBY	\N	\N
857024	2921	1998-02-28	VYDAJ	VYBER	15	37651	SLUZBY	\N	\N
857025	2921	1998-03-31	VYDAJ	VYBER	15	30780	SLUZBY	\N	\N
857026	2921	1998-04-30	VYDAJ	VYBER	15	28014	SLUZBY	\N	\N
857027	2921	1998-05-31	VYDAJ	VYBER	15	21908	SLUZBY	\N	\N
857028	2921	1998-06-30	VYDAJ	VYBER	15	34067	SLUZBY	\N	\N
857029	2921	1998-07-31	VYDAJ	VYBER	15	32493	SLUZBY	\N	\N
857030	2921	1998-08-31	VYDAJ	VYBER	15	34118	SLUZBY	\N	\N
857031	2921	1998-09-30	VYDAJ	VYBER	15	32439	SLUZBY	\N	\N
857032	2921	1998-10-31	VYDAJ	VYBER	15	29350	SLUZBY	\N	\N
857033	2921	1998-11-30	VYDAJ	VYBER	15	25543	SLUZBY	\N	\N
857034	2921	1996-10-21	PRIJEM	VKLAD	6100	20302	\N	\N	\N
857035	2921	1996-11-20	VYDAJ	VYBER	6900	27134	\N	\N	\N
857036	2921	1996-12-20	VYDAJ	VYBER	12600	35182	\N	\N	\N
857037	2921	1997-01-19	VYDAJ	VYBER	15400	33610	\N	\N	\N
857038	2921	1997-02-18	VYDAJ	VYBER	15400	32056	\N	\N	\N
857039	2921	1997-03-20	VYDAJ	VYBER	11200	23484	\N	\N	\N
857040	2921	1997-04-19	VYDAJ	VYBER	5600	24290	\N	\N	\N
857041	2921	1997-05-19	VYDAJ	VYBER	2500	24281	\N	\N	\N
857042	2921	1997-06-18	PRIJEM	VKLAD	2300	40418	\N	\N	\N
857043	2921	1997-07-18	PRIJEM	VKLAD	1800	30144	\N	\N	\N
857044	2921	1997-08-17	VYDAJ	VYBER	5000	28641	\N	\N	\N
857045	2921	1997-09-16	VYDAJ	VYBER	8300	27349	\N	\N	\N
857046	2921	1997-10-16	VYDAJ	VYBER	7100	27258	\N	\N	\N
857047	2921	1997-11-15	VYDAJ	VYBER	3500	29464	\N	\N	\N
857048	2921	1997-12-15	VYDAJ	VYBER	6900	34214	\N	\N	\N
857049	2921	1998-01-14	VYDAJ	VYBER	4400	28334	\N	\N	\N
857050	2921	1998-02-13	PRIJEM	VKLAD	6000	23832	\N	\N	\N
857051	2921	1998-03-15	VYDAJ	VYBER	12900	30656	\N	\N	\N
857052	2921	1998-04-14	VYDAJ	VYBER	9800	27885	\N	\N	\N
857053	2921	1998-05-14	VYDAJ	VYBER	7200	27719	\N	\N	\N
857054	2921	1998-06-13	VYDAJ	VYBER	1700	13411	\N	\N	\N
857055	2921	1998-07-13	VYDAJ	VYBER	8600	18670	\N	\N	\N
857056	2921	1998-08-12	VYDAJ	VYBER	5400	20296	\N	\N	\N
857057	2921	1998-09-11	VYDAJ	VYBER	8700	18621	\N	\N	\N
857058	2921	1998-10-11	VYDAJ	VYBER	10100	15542	\N	\N	\N
857059	2921	1998-11-10	VYDAJ	VYBER	10800	11753	\N	\N	\N
857060	2921	1998-12-10	VYDAJ	VYBER	4700	14046	\N	\N	\N
857088	2922	1994-06-06	PRIJEM	VKLAD	200	200	\N	\N	\N
857091	2922	1994-06-16	PRIJEM	VKLAD	5732	20766	\N	\N	\N
857092	2922	1994-08-01	PRIJEM	VKLAD	12888	57978	\N	\N	\N
857093	2922	1994-12-22	PRIJEM	VKLAD	32302	83458	\N	\N	\N
857095	2922	1994-12-16	PRIJEM	VKLAD	26451	51156	\N	\N	\N
857096	2922	1994-07-02	PRIJEM	VKLAD	28367	49195	\N	\N	\N
857097	2922	1994-10-31	PRIJEM	VKLAD	27688	76878	\N	\N	\N
857099	2922	1994-07-22	PRIJEM	VKLAD	7540	44935	\N	\N	\N
857100	2922	1994-06-07	PRIJEM	VKLAD	14834	15034	\N	\N	\N
857102	2922	1994-08-26	PRIJEM	VKLAD	46386	77664	\N	\N	\N
857103	2922	1994-10-12	PRIJEM	VKLAD	38494	67353	\N	\N	\N
857104	2922	1995-07-29	PRIJEM	VKLAD	13009	71584	\N	\N	\N
857105	2922	1995-09-16	PRIJEM	VKLAD	19407	38296	\N	\N	\N
857106	2922	1995-11-09	PRIJEM	VKLAD	21500	39381	\N	\N	\N
857107	2922	1995-03-26	PRIJEM	VKLAD	13407	36133	\N	\N	\N
857108	2922	1995-07-05	PRIJEM	VKLAD	35723	58575	\N	\N	\N
857109	2922	1996-11-22	PRIJEM	VKLAD	35160	134460	\N	\N	\N
857110	2922	1996-10-31	PRIJEM	VKLAD	29303	71536	\N	\N	\N
857111	2922	1996-07-12	PRIJEM	VKLAD	36636	70336	\N	\N	\N
857112	2922	1996-07-13	PRIJEM	VKLAD	35491	105827	\N	\N	\N
857113	2922	1996-07-31	PRIJEM	VKLAD	28453	87380	\N	\N	\N
857114	2922	1996-10-20	PRIJEM	VKLAD	16976	90933	\N	\N	\N
857115	2922	1996-06-12	PRIJEM	VKLAD	42980	89977	\N	\N	\N
857116	2922	1996-05-31	PRIJEM	VKLAD	23199	46852	\N	\N	\N
857117	2922	1996-02-27	PRIJEM	VKLAD	13312	61772	\N	\N	\N
857118	2922	1996-09-10	PRIJEM	VKLAD	20148	110407	\N	\N	\N
857119	2922	1996-10-19	PRIJEM	VKLAD	21477	73957	\N	\N	\N
857120	2922	1996-08-12	PRIJEM	VKLAD	9190	96839	\N	\N	\N
857121	2922	1996-03-31	PRIJEM	VKLAD	17885	73103	\N	\N	\N
857122	2922	1996-02-12	PRIJEM	VKLAD	22143	83360	\N	\N	\N
857123	2922	1996-02-04	PRIJEM	VKLAD	47032	61217	\N	\N	\N
857124	2922	1996-09-08	PRIJEM	VKLAD	37609	90259	\N	\N	\N
857125	2922	1996-11-11	PRIJEM	VKLAD	34457	106200	\N	\N	\N
857126	2922	1996-03-13	PRIJEM	VKLAD	43549	105529	\N	\N	\N
857127	2922	1996-06-22	PRIJEM	VKLAD	34941	117472	\N	\N	\N
857128	2922	1996-12-17	PRIJEM	VKLAD	21113	47335	\N	\N	\N
857129	2922	1997-07-19	PRIJEM	VKLAD	46259	141166	\N	\N	\N
857130	2922	1997-08-18	PRIJEM	VKLAD	8695	72092	\N	\N	\N
857131	2922	1997-08-18	PRIJEM	VKLAD	15380	87472	\N	\N	\N
857132	2922	1997-07-09	PRIJEM	VKLAD	5904	68757	\N	\N	\N
857133	2922	1997-01-27	PRIJEM	VKLAD	36335	53995	\N	\N	\N
857134	2922	1997-05-10	PRIJEM	VKLAD	24186	83883	\N	\N	\N
857135	2922	1997-04-04	PRIJEM	VKLAD	18082	61194	\N	\N	\N
857136	2922	1997-03-12	PRIJEM	VKLAD	14798	92225	\N	\N	\N
857137	2922	1997-05-15	PRIJEM	VKLAD	22555	106438	\N	\N	\N
857138	2922	1997-04-25	PRIJEM	VKLAD	45758	82152	\N	\N	\N
857139	2922	1997-07-13	PRIJEM	VKLAD	37550	106307	\N	\N	\N
857140	2922	1997-06-23	PRIJEM	VKLAD	12865	75785	\N	\N	\N
857141	2922	1997-03-17	PRIJEM	VKLAD	30869	123094	\N	\N	\N
857142	2922	1997-06-09	PRIJEM	VKLAD	36959	94601	\N	\N	\N
857143	2922	1997-10-28	PRIJEM	VKLAD	15710	65875	\N	\N	\N
857144	2922	1997-09-18	PRIJEM	VKLAD	17442	106033	\N	\N	\N
857145	2922	1997-09-08	PRIJEM	VKLAD	37306	88591	\N	\N	\N
857146	2922	1997-08-11	PRIJEM	VKLAD	7040	63397	\N	\N	\N
857147	2922	1997-02-02	PRIJEM	VKLAD	35817	85121	\N	\N	\N
857148	2922	1997-06-17	PRIJEM	VKLAD	12819	107420	\N	\N	\N
857149	2922	1997-09-25	PRIJEM	VKLAD	35470	83603	\N	\N	\N
857150	2922	1997-03-03	PRIJEM	VKLAD	33454	77427	\N	\N	\N
857151	2922	1997-05-08	PRIJEM	VKLAD	29952	112297	\N	\N	\N
857152	2922	1997-12-16	PRIJEM	VKLAD	17739	50292	\N	\N	\N
857153	2922	1998-03-17	PRIJEM	VKLAD	32094	53272	\N	\N	\N
857154	2922	1998-06-24	PRIJEM	VKLAD	23037	60361	\N	\N	\N
857155	2922	1998-04-15	PRIJEM	VKLAD	14658	43062	\N	\N	\N
857156	2922	1998-06-06	PRIJEM	VKLAD	34975	59624	\N	\N	\N
857157	2922	1998-01-09	PRIJEM	VKLAD	21843	48864	\N	\N	\N
857158	2922	1998-09-23	PRIJEM	VKLAD	7281	27258	\N	\N	\N
857159	2922	1994-10-24	VYBER	VYBER	10063	49190	\N	\N	\N
857163	2922	1994-11-02	VYBER	VYBER	24295	52773	\N	\N	\N
857164	2922	1994-08-27	VYBER	VYBER	13458	64206	\N	\N	\N
857165	2922	1995-02-01	VYBER	VYBER	4713	22530	\N	\N	\N
857168	2922	1995-03-08	VYBER	VYBER	3202	22726	\N	\N	\N
857170	2922	1995-10-18	VYBER	VYBER	5171	20890	\N	\N	\N
857174	2922	1995-08-27	VYBER	VYBER	17002	22323	\N	\N	\N
857175	2922	1995-03-27	VYBER	VYBER	8260	27873	\N	\N	\N
857177	2922	1995-08-03	VYBER	VYBER	8271	39325	\N	\N	\N
857179	2922	1996-06-13	VYBER	VYBER	2646	87331	\N	\N	\N
857180	2922	1996-03-13	VYBER	VYBER	11849	93680	\N	\N	\N
857181	2922	1996-12-05	VYBER	VYBER	12408	31322	\N	\N	\N
857188	2922	1994-12-01	VYDAJ	VYBER	6000	25405	\N	\N	\N
857189	2922	1995-12-21	VYDAJ	VYBER	2400	23243	\N	\N	\N
857190	2922	1996-12-07	VYDAJ	VYBER	5100	26222	\N	\N	\N
857191	2922	1997-12-03	VYDAJ	VYBER	3900	32553	\N	\N	\N
857199	2922	1995-01-11	VYDAJ	VYBER	5700	50348	\N	\N	\N
857200	2922	1995-01-19	VYDAJ	VYBER	3300	36548	\N	\N	\N
857201	2922	1995-01-16	VYDAJ	VYBER	3000	39848	\N	\N	\N
857202	2922	1995-01-21	VYDAJ	VYBER	7800	28748	\N	\N	\N
857203	2922	1995-01-27	VYDAJ	VYBER	4500	24248	\N	\N	\N
857204	2922	1995-01-11	VYDAJ	VYBER	1800	48548	\N	\N	\N
857212	2922	1997-01-27	VYDAJ	VYBER	4800	49195	\N	\N	\N
857216	2922	1997-01-03	VYDAJ	VYBER	5400	23060	\N	\N	\N
857219	2922	1998-01-04	VYDAJ	VYBER	5400	27021	\N	\N	\N
857222	2922	1998-01-13	VYDAJ	VYBER	7200	41664	\N	\N	\N
857223	2922	1994-09-17	VYDAJ	VYBER	11400	32467	\N	\N	\N
857225	2922	1994-10-16	VYDAJ	VYBER	8100	59253	\N	\N	\N
857226	2922	1994-11-06	VYDAJ	VYBER	9000	31273	\N	\N	\N
857227	2922	1994-08-11	VYDAJ	VYBER	12000	31278	\N	\N	\N
857228	2922	1995-01-15	VYDAJ	VYBER	5700	42848	\N	\N	\N
857231	2922	1995-03-03	VYDAJ	VYBER	3300	25928	\N	\N	\N
857233	2922	1996-11-16	VYDAJ	VYBER	6900	99300	\N	\N	\N
857234	2922	1996-04-02	VYDAJ	VYBER	6000	67088	\N	\N	\N
857235	2922	1996-10-21	VYDAJ	VYBER	10500	80433	\N	\N	\N
857236	2922	1996-06-21	VYDAJ	VYBER	4800	82531	\N	\N	\N
857237	2922	1996-06-26	VYDAJ	VYBER	3000	33472	\N	\N	\N
857238	2922	1997-07-16	VYDAJ	VYBER	11400	94907	\N	\N	\N
857239	2922	1997-06-30	VYDAJ	VYBER	13200	62853	\N	\N	\N
857240	2922	1997-10-31	VYDAJ	VYBER	9900	56298	\N	\N	\N
857241	2922	1997-09-23	VYDAJ	VYBER	11100	48133	\N	\N	\N
857242	2922	1997-02-04	VYDAJ	VYBER	6600	78521	\N	\N	\N
857243	2922	1998-07-08	VYDAJ	VYBER	12600	48000	\N	\N	\N
857244	2922	1998-08-14	VYDAJ	VYBER	2100	29768	\N	\N	\N
857248	2922	1998-04-08	VYDAJ	VYBER	3300	28404	\N	\N	\N
857259	2922	1994-08-31	VYDAJ	VYBER	15	64367	SLUZBY	\N	\N
857260	2922	1994-09-30	VYDAJ	VYBER	15	32659	SLUZBY	\N	\N
857261	2922	1994-10-31	VYDAJ	VYBER	15	77068	SLUZBY	\N	\N
857262	2922	1994-11-30	VYDAJ	VYBER	15	31405	SLUZBY	\N	\N
857263	2922	1994-12-31	VYDAJ	VYBER	15	83648	SLUZBY	\N	\N
857264	2922	1995-01-31	VYDAJ	VYBER	15	24443	SLUZBY	\N	\N
857265	2922	1995-02-28	VYDAJ	VYBER	15	22628	SLUZBY	\N	\N
857266	2922	1995-03-31	VYDAJ	VYBER	15	27963	SLUZBY	\N	\N
857267	2922	1995-04-30	VYDAJ	VYBER	15	26165	SLUZBY	\N	\N
857268	2922	1995-05-31	VYDAJ	VYBER	15	25859	SLUZBY	\N	\N
857269	2922	1995-06-30	VYDAJ	VYBER	15	23652	SLUZBY	\N	\N
857270	2922	1995-07-31	VYDAJ	VYBER	15	47596	SLUZBY	\N	\N
857271	2922	1995-08-31	VYDAJ	VYBER	15	18889	SLUZBY	\N	\N
857272	2922	1995-09-30	VYDAJ	VYBER	15	26061	SLUZBY	\N	\N
857273	2922	1995-10-31	VYDAJ	VYBER	15	17881	SLUZBY	\N	\N
857274	2922	1995-11-30	VYDAJ	VYBER	15	25643	SLUZBY	\N	\N
857275	2922	1995-12-31	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
857276	2922	1996-01-31	VYDAJ	VYBER	15	14185	SLUZBY	\N	\N
857277	2922	1996-02-29	VYDAJ	VYBER	15	61980	SLUZBY	\N	\N
857278	2922	1996-03-31	VYDAJ	VYBER	15	73088	SLUZBY	\N	\N
857279	2922	1996-04-30	VYDAJ	VYBER	15	38253	SLUZBY	\N	\N
857280	2922	1996-05-31	VYDAJ	VYBER	15	46997	SLUZBY	\N	\N
857281	2922	1996-06-30	VYDAJ	VYBER	15	33700	SLUZBY	\N	\N
857282	2922	1996-07-31	VYDAJ	VYBER	15	87649	SLUZBY	\N	\N
857283	2922	1996-08-31	VYDAJ	VYBER	15	52650	SLUZBY	\N	\N
857284	2922	1996-09-30	VYDAJ	VYBER	15	52480	SLUZBY	\N	\N
857285	2922	1996-10-31	VYDAJ	VYBER	15	71743	SLUZBY	\N	\N
857286	2922	1996-11-30	VYDAJ	VYBER	15	43730	SLUZBY	\N	\N
857287	2922	1996-12-31	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
857288	2922	1997-01-31	VYDAJ	VYBER	15	49304	SLUZBY	\N	\N
857289	2922	1997-02-28	VYDAJ	VYBER	15	43973	SLUZBY	\N	\N
857290	2922	1997-03-31	VYDAJ	VYBER	15	43112	SLUZBY	\N	\N
857291	2922	1997-04-30	VYDAJ	VYBER	15	82345	SLUZBY	\N	\N
857292	2922	1997-05-31	VYDAJ	VYBER	15	57642	SLUZBY	\N	\N
857293	2922	1997-06-30	VYDAJ	VYBER	15	76053	SLUZBY	\N	\N
857294	2922	1997-07-31	VYDAJ	VYBER	15	56357	SLUZBY	\N	\N
857295	2922	1997-08-31	VYDAJ	VYBER	15	51285	SLUZBY	\N	\N
857296	2922	1997-09-30	VYDAJ	VYBER	15	83865	SLUZBY	\N	\N
857297	2922	1997-10-31	VYDAJ	VYBER	15	66198	SLUZBY	\N	\N
857298	2922	1997-11-30	VYDAJ	VYBER	15	36453	SLUZBY	\N	\N
857299	2922	1997-12-31	VYDAJ	VYBER	15	32421	SLUZBY	\N	\N
857300	2922	1998-01-31	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
857301	2922	1998-02-28	VYDAJ	VYBER	15	21178	SLUZBY	\N	\N
857302	2922	1998-03-31	VYDAJ	VYBER	15	31704	SLUZBY	\N	\N
857303	2922	1998-04-30	VYDAJ	VYBER	15	24664	SLUZBY	\N	\N
857304	2922	1998-05-31	VYDAJ	VYBER	15	24649	SLUZBY	\N	\N
857305	2922	1998-06-30	VYDAJ	VYBER	15	60600	SLUZBY	\N	\N
857306	2922	1998-07-31	VYDAJ	VYBER	15	31868	SLUZBY	\N	\N
857307	2922	1998-08-31	VYDAJ	VYBER	15	19977	SLUZBY	\N	\N
857308	2922	1998-09-30	VYDAJ	VYBER	15	27324	SLUZBY	\N	\N
857309	2922	1998-10-31	VYDAJ	VYBER	15	22119	SLUZBY	\N	\N
857310	2922	1998-11-30	VYDAJ	VYBER	15	20392	SLUZBY	\N	\N
857311	2922	1994-07-06	VYDAJ	VYBER	11800	37395	\N	\N	\N
857312	2922	1994-08-05	VYDAJ	VYBER	14700	43278	\N	\N	\N
857313	2922	1994-09-04	VYDAJ	VYBER	20500	43867	\N	\N	\N
857314	2922	1994-10-04	VYDAJ	VYBER	3800	28859	\N	\N	\N
857315	2922	1994-11-03	VYDAJ	VYBER	12500	40273	\N	\N	\N
857316	2922	1994-12-03	VYDAJ	VYBER	700	24705	\N	\N	\N
857317	2922	1995-01-02	VYDAJ	VYBER	27600	56048	\N	\N	\N
857318	2922	1995-02-01	PRIJEM	VKLAD	2800	27243	\N	\N	\N
857319	2922	1995-03-03	PRIJEM	VKLAD	6600	29228	\N	\N	\N
857320	2922	1995-04-02	VYDAJ	VYBER	1900	26063	\N	\N	\N
857321	2922	1995-05-02	VYDAJ	VYBER	400	25765	\N	\N	\N
857322	2922	1995-06-01	VYDAJ	VYBER	2300	23559	\N	\N	\N
857323	2922	1995-07-01	VYDAJ	VYBER	800	22852	\N	\N	\N
857324	2922	1995-07-31	VYDAJ	VYBER	24200	47611	\N	\N	\N
857325	2922	1995-08-30	VYDAJ	VYBER	3600	18723	\N	\N	\N
857326	2922	1995-09-29	VYDAJ	VYBER	12300	25996	\N	\N	\N
857327	2922	1995-10-29	VYDAJ	VYBER	3100	17790	\N	\N	\N
857328	2922	1995-11-28	VYDAJ	VYBER	13800	25581	\N	\N	\N
857329	2922	1995-12-28	VYDAJ	VYBER	6600	16643	\N	\N	\N
857330	2922	1996-01-27	VYDAJ	VYBER	2600	14130	\N	\N	\N
857331	2922	1996-02-26	VYDAJ	VYBER	34900	48460	\N	\N	\N
857332	2922	1996-03-27	VYDAJ	VYBER	38800	54880	\N	\N	\N
857333	2922	1996-04-26	VYDAJ	VYBER	29100	37988	\N	\N	\N
857334	2922	1996-05-26	VYDAJ	VYBER	14600	23653	\N	\N	\N
857335	2922	1996-06-22	VYDAJ	VYBER	49900	67572	\N	\N	\N
857336	2922	1996-06-25	VYDAJ	VYBER	31100	36472	\N	\N	\N
857337	2922	1996-07-25	VYDAJ	VYBER	46900	58927	\N	\N	\N
857338	2922	1996-08-24	VYDAJ	VYBER	44500	52339	\N	\N	\N
857339	2922	1996-09-10	VYDAJ	VYBER	19400	91007	\N	\N	\N
857340	2922	1996-09-23	VYDAJ	VYBER	38800	52207	\N	\N	\N
857341	2922	1996-10-23	VYDAJ	VYBER	38200	42233	\N	\N	\N
857342	2922	1996-11-22	VYDAJ	VYBER	57900	43460	\N	\N	\N
857343	2922	1996-11-22	VYDAJ	VYBER	33100	101360	\N	\N	\N
857344	2922	1996-12-22	VYDAJ	VYBER	19000	28335	\N	\N	\N
857345	2922	1997-01-21	VYDAJ	VYBER	5400	17660	\N	\N	\N
857346	2922	1997-02-20	VYDAJ	VYBER	34800	43721	\N	\N	\N
857347	2922	1997-03-17	VYDAJ	VYBER	49600	73494	\N	\N	\N
857348	2922	1997-03-22	VYDAJ	VYBER	30600	42894	\N	\N	\N
857349	2922	1997-04-21	VYDAJ	VYBER	24800	36394	\N	\N	\N
857350	2922	1997-05-08	VYDAJ	VYBER	52600	59697	\N	\N	\N
857351	2922	1997-05-21	VYDAJ	VYBER	49100	57338	\N	\N	\N
857352	2922	1997-06-20	VYDAJ	VYBER	44500	62920	\N	\N	\N
857353	2922	1997-07-19	VYDAJ	VYBER	45500	95666	\N	\N	\N
857354	2922	1997-07-20	VYDAJ	VYBER	39600	56066	\N	\N	\N
857355	2922	1997-08-19	VYDAJ	VYBER	36400	51072	\N	\N	\N
857356	2922	1997-09-18	VYDAJ	VYBER	46800	59233	\N	\N	\N
857357	2922	1997-10-18	VYDAJ	VYBER	33700	50165	\N	\N	\N
857358	2922	1997-11-17	VYDAJ	VYBER	20100	36198	\N	\N	\N
857359	2922	1997-12-17	VYDAJ	VYBER	18000	32292	\N	\N	\N
857360	2922	1998-01-16	VYDAJ	VYBER	14700	26964	\N	\N	\N
857361	2922	1998-02-15	VYDAJ	VYBER	6000	21083	\N	\N	\N
857362	2922	1998-03-17	VYDAJ	VYBER	21700	31572	\N	\N	\N
857363	2922	1998-04-16	VYDAJ	VYBER	18500	24562	\N	\N	\N
857364	2922	1998-06-15	VYDAJ	VYBER	22300	37324	\N	\N	\N
857365	2922	1998-07-15	VYDAJ	VYBER	16300	31700	\N	\N	\N
857366	2922	1998-08-14	VYDAJ	VYBER	9900	19868	\N	\N	\N
857367	2922	1998-10-13	VYDAJ	VYBER	5300	22024	\N	\N	\N
857368	2922	1998-11-12	VYDAJ	VYBER	1800	20319	\N	\N	\N
857369	2922	1998-12-12	VYDAJ	VYBER	1600	18792	\N	\N	\N
857424	2923	1995-01-10	PRIJEM	VKLAD	500	500	\N	\N	\N
857426	2923	1995-02-05	PRIJEM	PREVOD Z UCTU	4179	4679	DUCHOD	CD	76381945
857427	2923	1995-03-05	PRIJEM	PREVOD Z UCTU	4179	8858	DUCHOD	CD	76381945
857428	2923	1995-04-05	PRIJEM	PREVOD Z UCTU	4179	13037	DUCHOD	CD	76381945
857429	2923	1995-05-05	PRIJEM	PREVOD Z UCTU	4179	17216	DUCHOD	CD	76381945
857430	2923	1995-06-05	PRIJEM	PREVOD Z UCTU	4179	21395	DUCHOD	CD	76381945
857431	2923	1995-07-05	PRIJEM	PREVOD Z UCTU	4179	22825	DUCHOD	CD	76381945
857432	2923	1995-08-05	PRIJEM	PREVOD Z UCTU	4179	24285	DUCHOD	CD	76381945
857433	2923	1995-09-05	PRIJEM	PREVOD Z UCTU	4179	23988	DUCHOD	CD	76381945
857434	2923	1995-10-05	PRIJEM	PREVOD Z UCTU	4179	19583	DUCHOD	CD	76381945
857435	2923	1995-11-05	PRIJEM	PREVOD Z UCTU	4179	21034	DUCHOD	CD	76381945
857436	2923	1995-12-05	PRIJEM	PREVOD Z UCTU	4179	19527	DUCHOD	CD	76381945
857437	2923	1996-01-05	PRIJEM	PREVOD Z UCTU	4179	18070	DUCHOD	CD	76381945
857438	2923	1996-02-05	PRIJEM	PREVOD Z UCTU	4179	15180	DUCHOD	CD	76381945
857439	2923	1996-03-05	PRIJEM	PREVOD Z UCTU	4179	16608	DUCHOD	CD	76381945
857440	2923	1996-04-05	PRIJEM	PREVOD Z UCTU	4179	18042	DUCHOD	CD	76381945
857441	2923	1996-05-05	PRIJEM	PREVOD Z UCTU	4179	19482	DUCHOD	CD	76381945
857442	2923	1996-06-05	PRIJEM	PREVOD Z UCTU	4179	20928	DUCHOD	CD	76381945
857443	2923	1996-07-05	PRIJEM	PREVOD Z UCTU	4179	18660	DUCHOD	CD	76381945
857444	2923	1996-08-05	PRIJEM	PREVOD Z UCTU	4179	20102	DUCHOD	CD	76381945
857445	2923	1996-09-05	PRIJEM	PREVOD Z UCTU	4179	17308	DUCHOD	CD	76381945
857446	2923	1996-10-05	PRIJEM	PREVOD Z UCTU	4179	17141	DUCHOD	CD	76381945
857447	2923	1996-11-05	PRIJEM	PREVOD Z UCTU	4179	18577	DUCHOD	CD	76381945
857448	2923	1996-12-05	PRIJEM	PREVOD Z UCTU	4179	20019	DUCHOD	CD	76381945
857449	2923	1997-01-05	PRIJEM	PREVOD Z UCTU	4179	18577	DUCHOD	CD	76381945
857450	2923	1997-02-05	PRIJEM	PREVOD Z UCTU	4179	17537	DUCHOD	CD	76381945
857451	2923	1997-03-05	PRIJEM	PREVOD Z UCTU	4179	18974	DUCHOD	CD	76381945
857452	2923	1997-04-05	PRIJEM	PREVOD Z UCTU	4179	19457	DUCHOD	CD	76381945
857453	2923	1997-05-05	PRIJEM	PREVOD Z UCTU	4179	19781	DUCHOD	CD	76381945
857554	2923	1998-01-06	VYDAJ	VYBER	1120	25410	\N	\N	\N
857454	2923	1997-06-05	PRIJEM	PREVOD Z UCTU	4179	21228	DUCHOD	CD	76381945
857455	2923	1997-07-05	PRIJEM	PREVOD Z UCTU	4179	22681	DUCHOD	CD	76381945
857456	2923	1997-08-05	PRIJEM	PREVOD Z UCTU	4179	24140	DUCHOD	CD	76381945
857457	2923	1997-09-05	PRIJEM	PREVOD Z UCTU	4179	25605	DUCHOD	CD	76381945
857458	2923	1997-10-05	PRIJEM	PREVOD Z UCTU	4179	27076	DUCHOD	CD	76381945
857459	2923	1997-11-05	PRIJEM	PREVOD Z UCTU	4179	26391	DUCHOD	CD	76381945
857460	2923	1997-12-05	PRIJEM	PREVOD Z UCTU	4179	26105	DUCHOD	CD	76381945
857461	2923	1998-01-05	PRIJEM	PREVOD Z UCTU	4179	26530	DUCHOD	CD	76381945
857462	2923	1998-02-05	PRIJEM	PREVOD Z UCTU	4179	21426	DUCHOD	CD	76381945
857463	2923	1998-03-05	PRIJEM	PREVOD Z UCTU	4179	21918	DUCHOD	CD	76381945
857464	2923	1998-04-05	PRIJEM	PREVOD Z UCTU	4179	23373	DUCHOD	CD	76381945
857465	2923	1998-05-05	PRIJEM	PREVOD Z UCTU	4179	24635	DUCHOD	CD	76381945
857466	2923	1998-06-05	PRIJEM	PREVOD Z UCTU	4179	22498	DUCHOD	CD	76381945
857467	2923	1998-07-05	PRIJEM	PREVOD Z UCTU	4179	23955	DUCHOD	CD	76381945
857468	2923	1998-08-05	PRIJEM	PREVOD Z UCTU	4179	25419	DUCHOD	CD	76381945
857469	2923	1998-09-05	PRIJEM	PREVOD Z UCTU	4179	23288	DUCHOD	CD	76381945
857470	2923	1998-10-05	PRIJEM	PREVOD Z UCTU	4179	22349	DUCHOD	CD	76381945
857471	2923	1998-11-05	PRIJEM	PREVOD Z UCTU	4179	23806	DUCHOD	CD	76381945
857472	2923	1998-12-05	PRIJEM	PREVOD Z UCTU	4179	22465	DUCHOD	CD	76381945
857478	2923	1995-06-11	VYDAJ	PREVOD NA UCET	2786	18609	SIPO	GH	9396666
857479	2923	1995-07-11	VYDAJ	PREVOD NA UCET	2786	20039	SIPO	GH	9396666
857480	2923	1995-08-11	VYDAJ	PREVOD NA UCET	2786	20299	SIPO	GH	9396666
857481	2923	1995-09-11	VYDAJ	PREVOD NA UCET	2786	17502	SIPO	GH	9396666
857482	2923	1995-10-11	VYDAJ	PREVOD NA UCET	2786	16797	SIPO	GH	9396666
857483	2923	1995-11-11	VYDAJ	PREVOD NA UCET	2786	18248	SIPO	GH	9396666
857484	2923	1995-12-11	VYDAJ	PREVOD NA UCET	2786	14741	SIPO	GH	9396666
857485	2923	1996-01-11	VYDAJ	PREVOD NA UCET	2786	10964	SIPO	GH	9396666
857486	2923	1996-02-11	VYDAJ	PREVOD NA UCET	2786	12394	SIPO	GH	9396666
857487	2923	1996-03-11	VYDAJ	PREVOD NA UCET	2786	13822	SIPO	GH	9396666
857488	2923	1996-04-11	VYDAJ	PREVOD NA UCET	2786	15256	SIPO	GH	9396666
857489	2923	1996-05-11	VYDAJ	PREVOD NA UCET	2786	16696	SIPO	GH	9396666
857490	2923	1996-06-11	VYDAJ	PREVOD NA UCET	2786	14432	SIPO	GH	9396666
857491	2923	1996-07-11	VYDAJ	PREVOD NA UCET	2786	15874	SIPO	GH	9396666
857492	2923	1996-08-11	VYDAJ	PREVOD NA UCET	2786	17316	SIPO	GH	9396666
857493	2923	1996-09-11	VYDAJ	PREVOD NA UCET	2786	14522	SIPO	GH	9396666
857494	2923	1996-10-11	VYDAJ	PREVOD NA UCET	2786	14355	SIPO	GH	9396666
857495	2923	1996-11-11	VYDAJ	PREVOD NA UCET	2786	15791	SIPO	GH	9396666
857496	2923	1996-12-11	VYDAJ	PREVOD NA UCET	2786	17233	SIPO	GH	9396666
857497	2923	1997-01-11	VYDAJ	PREVOD NA UCET	2786	15791	SIPO	GH	9396666
857498	2923	1997-02-11	VYDAJ	PREVOD NA UCET	2786	14751	SIPO	GH	9396666
857499	2923	1997-03-11	VYDAJ	PREVOD NA UCET	2786	16188	SIPO	GH	9396666
857500	2923	1997-04-11	VYDAJ	PREVOD NA UCET	2786	16671	SIPO	GH	9396666
857501	2923	1997-05-11	VYDAJ	PREVOD NA UCET	2786	16995	SIPO	GH	9396666
857502	2923	1997-06-11	VYDAJ	PREVOD NA UCET	2786	18442	SIPO	GH	9396666
857503	2923	1997-07-11	VYDAJ	PREVOD NA UCET	2786	19895	SIPO	GH	9396666
857504	2923	1997-08-11	VYDAJ	PREVOD NA UCET	2786	21354	SIPO	GH	9396666
857505	2923	1997-09-11	VYDAJ	PREVOD NA UCET	2786	22819	SIPO	GH	9396666
857506	2923	1997-10-11	VYDAJ	PREVOD NA UCET	2786	24290	SIPO	GH	9396666
857507	2923	1997-11-11	VYDAJ	PREVOD NA UCET	2786	23605	SIPO	GH	9396666
857508	2923	1997-12-11	VYDAJ	PREVOD NA UCET	2786	23319	SIPO	GH	9396666
857509	2923	1998-01-11	VYDAJ	PREVOD NA UCET	2786	22064	SIPO	GH	9396666
857510	2923	1998-02-11	VYDAJ	PREVOD NA UCET	2786	18640	SIPO	GH	9396666
857511	2923	1998-03-11	VYDAJ	PREVOD NA UCET	2786	19132	SIPO	GH	9396666
857512	2923	1998-04-11	VYDAJ	PREVOD NA UCET	2786	20587	SIPO	GH	9396666
857513	2923	1998-05-11	VYDAJ	PREVOD NA UCET	2786	21849	SIPO	GH	9396666
857514	2923	1998-06-11	VYDAJ	PREVOD NA UCET	2786	19712	SIPO	GH	9396666
857515	2923	1998-07-11	VYDAJ	PREVOD NA UCET	2786	21169	SIPO	GH	9396666
857516	2923	1998-08-11	VYDAJ	PREVOD NA UCET	2786	22633	SIPO	GH	9396666
857517	2923	1998-09-11	VYDAJ	PREVOD NA UCET	2786	20502	SIPO	GH	9396666
857518	2923	1998-10-11	VYDAJ	PREVOD NA UCET	2786	19563	SIPO	GH	9396666
857519	2923	1998-11-11	VYDAJ	PREVOD NA UCET	2786	21020	SIPO	GH	9396666
857520	2923	1998-12-11	VYDAJ	PREVOD NA UCET	2786	19679	SIPO	GH	9396666
857522	2923	1996-06-05	VYDAJ	VYBER	2350	17218	\N	\N	\N
857528	2923	1998-01-25	VYDAJ	VYBER	1050	17174	\N	\N	\N
857529	2923	1995-12-24	VYDAJ	VYBER	900	13841	\N	\N	\N
857530	2923	1996-12-30	VYDAJ	VYBER	1450	15783	\N	\N	\N
857531	2923	1997-12-17	VYDAJ	VYBER	1050	22269	\N	\N	\N
857532	2923	1998-12-23	VYDAJ	VYBER	700	15179	\N	\N	\N
857539	2923	1996-01-05	VYDAJ	VYBER	1680	16390	\N	\N	\N
857543	2923	1996-01-09	VYDAJ	VYBER	1120	13750	\N	\N	\N
857544	2923	1996-01-08	VYDAJ	VYBER	1520	14870	\N	\N	\N
857545	2923	1997-01-02	VYDAJ	VYBER	1440	14398	\N	\N	\N
857546	2923	1997-01-12	VYDAJ	VYBER	1920	13871	\N	\N	\N
857549	2923	1997-01-12	VYDAJ	VYBER	560	13311	\N	\N	\N
857551	2923	1998-01-22	VYDAJ	VYBER	1040	20464	\N	\N	\N
857552	2923	1998-01-24	VYDAJ	VYBER	1040	18224	\N	\N	\N
857553	2923	1998-01-24	VYDAJ	VYBER	1200	19264	\N	\N	\N
857555	2923	1998-01-17	VYDAJ	VYBER	560	21504	\N	\N	\N
857556	2923	1998-01-08	VYDAJ	VYBER	560	24850	\N	\N	\N
857557	2923	1995-10-02	VYDAJ	VYBER	2160	15404	\N	\N	\N
857558	2923	1995-08-21	VYDAJ	VYBER	560	19739	\N	\N	\N
857560	2923	1995-12-03	VYDAJ	VYBER	2960	15348	\N	\N	\N
857565	2923	1996-08-29	VYDAJ	VYBER	2720	13076	\N	\N	\N
857566	2923	1996-06-05	VYDAJ	VYBER	1360	19568	\N	\N	\N
857569	2923	1996-09-13	VYDAJ	VYBER	1600	12922	\N	\N	\N
857570	2923	1996-08-24	VYDAJ	VYBER	1520	15796	\N	\N	\N
857571	2923	1997-04-17	VYDAJ	VYBER	1120	15551	\N	\N	\N
857572	2923	1997-12-02	VYDAJ	VYBER	1760	21926	\N	\N	\N
857573	2923	1997-03-26	VYDAJ	VYBER	960	15228	\N	\N	\N
857575	2923	1997-10-22	VYDAJ	VYBER	2160	22130	\N	\N	\N
857576	2923	1998-09-15	VYDAJ	VYBER	2400	18102	\N	\N	\N
857577	2923	1998-02-12	VYDAJ	VYBER	960	17680	\N	\N	\N
857578	2923	1998-09-02	VYDAJ	VYBER	2400	19109	\N	\N	\N
857579	2923	1998-08-24	VYDAJ	VYBER	1200	21433	\N	\N	\N
857586	2923	1995-06-30	VYDAJ	VYBER	15	18646	SLUZBY	\N	\N
857587	2923	1995-07-31	VYDAJ	VYBER	15	20106	SLUZBY	\N	\N
857588	2923	1995-08-31	VYDAJ	VYBER	15	19809	SLUZBY	\N	\N
857589	2923	1995-09-30	VYDAJ	VYBER	15	17564	SLUZBY	\N	\N
857590	2923	1995-10-31	VYDAJ	VYBER	15	16855	SLUZBY	\N	\N
857591	2923	1995-11-30	VYDAJ	VYBER	15	18308	SLUZBY	\N	\N
857592	2923	1995-12-31	VYDAJ	VYBER	15	13891	SLUZBY	\N	\N
857593	2923	1996-01-31	VYDAJ	VYBER	15	11001	SLUZBY	\N	\N
857594	2923	1996-02-29	VYDAJ	VYBER	15	12429	SLUZBY	\N	\N
857595	2923	1996-03-31	VYDAJ	VYBER	15	13863	SLUZBY	\N	\N
857596	2923	1996-04-30	VYDAJ	VYBER	15	15303	SLUZBY	\N	\N
857597	2923	1996-05-31	VYDAJ	VYBER	15	16749	SLUZBY	\N	\N
857598	2923	1996-06-30	VYDAJ	VYBER	15	14481	SLUZBY	\N	\N
857599	2923	1996-07-31	VYDAJ	VYBER	15	15923	SLUZBY	\N	\N
857600	2923	1996-08-31	VYDAJ	VYBER	15	13129	SLUZBY	\N	\N
857601	2923	1996-09-30	VYDAJ	VYBER	15	12962	SLUZBY	\N	\N
857602	2923	1996-10-31	VYDAJ	VYBER	15	14398	SLUZBY	\N	\N
857603	2923	1996-11-30	VYDAJ	VYBER	15	15840	SLUZBY	\N	\N
857604	2923	1996-12-31	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
857605	2923	1997-01-31	VYDAJ	VYBER	15	13358	SLUZBY	\N	\N
857606	2923	1997-02-28	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
857607	2923	1997-03-31	VYDAJ	VYBER	15	15278	SLUZBY	\N	\N
857608	2923	1997-04-30	VYDAJ	VYBER	15	15602	SLUZBY	\N	\N
857609	2923	1997-05-31	VYDAJ	VYBER	15	17049	SLUZBY	\N	\N
857610	2923	1997-06-30	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
857611	2923	1997-07-31	VYDAJ	VYBER	15	19961	SLUZBY	\N	\N
857612	2923	1997-08-31	VYDAJ	VYBER	15	21426	SLUZBY	\N	\N
857613	2923	1997-09-30	VYDAJ	VYBER	15	22897	SLUZBY	\N	\N
857614	2923	1997-10-31	VYDAJ	VYBER	15	22212	SLUZBY	\N	\N
857615	2923	1997-11-30	VYDAJ	VYBER	15	23686	SLUZBY	\N	\N
857616	2923	1997-12-31	VYDAJ	VYBER	15	22351	SLUZBY	\N	\N
857617	2923	1998-01-31	VYDAJ	VYBER	15	17247	SLUZBY	\N	\N
857618	2923	1998-02-28	VYDAJ	VYBER	15	17739	SLUZBY	\N	\N
857619	2923	1998-03-31	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
857620	2923	1998-04-30	VYDAJ	VYBER	15	20456	SLUZBY	\N	\N
857621	2923	1998-05-31	VYDAJ	VYBER	15	18319	SLUZBY	\N	\N
857622	2923	1998-06-30	VYDAJ	VYBER	15	19776	SLUZBY	\N	\N
857623	2923	1998-07-31	VYDAJ	VYBER	15	21240	SLUZBY	\N	\N
857624	2923	1998-08-31	VYDAJ	VYBER	15	21509	SLUZBY	\N	\N
857625	2923	1998-09-30	VYDAJ	VYBER	15	18170	SLUZBY	\N	\N
857626	2923	1998-10-31	VYDAJ	VYBER	15	19627	SLUZBY	\N	\N
857627	2923	1998-11-30	VYDAJ	VYBER	15	18286	SLUZBY	\N	\N
857628	2923	1995-08-08	VYDAJ	VYBER	1200	23085	\N	\N	\N
857629	2923	1995-09-07	VYDAJ	VYBER	3700	20288	\N	\N	\N
857630	2923	1995-12-06	VYDAJ	VYBER	2000	17527	\N	\N	\N
857631	2923	1998-04-24	VYDAJ	VYBER	200	20387	\N	\N	\N
857632	2923	1998-05-24	VYDAJ	VYBER	3600	18249	\N	\N	\N
857633	2923	1998-11-20	VYDAJ	VYBER	2800	18220	\N	\N	\N
857634	2923	1998-12-20	VYDAJ	VYBER	3800	15879	\N	\N	\N
857678	2924	1994-10-16	PRIJEM	VKLAD	700	700	\N	\N	\N
857689	2924	1994-11-13	PRIJEM	VKLAD	10539	11239	\N	\N	\N
857690	2924	1994-12-13	PRIJEM	VKLAD	15808	34789	\N	\N	\N
857691	2924	1995-01-13	PRIJEM	VKLAD	10539	40332	\N	\N	\N
857692	2924	1995-02-13	PRIJEM	VKLAD	10539	44103	\N	\N	\N
857693	2924	1995-03-13	PRIJEM	VKLAD	10539	46707	\N	\N	\N
857694	2924	1995-04-13	PRIJEM	VKLAD	10539	44702	\N	\N	\N
857695	2924	1995-05-13	PRIJEM	VKLAD	10539	48578	\N	\N	\N
857696	2924	1995-06-13	PRIJEM	VKLAD	15808	29136	\N	\N	\N
857697	2924	1995-07-13	PRIJEM	VKLAD	10539	42302	\N	\N	\N
857698	2924	1995-08-13	PRIJEM	VKLAD	10539	43568	\N	\N	\N
857699	2924	1995-09-13	PRIJEM	VKLAD	10539	46658	\N	\N	\N
857700	2924	1995-10-13	PRIJEM	VKLAD	10539	48671	\N	\N	\N
857701	2924	1995-11-13	PRIJEM	VKLAD	10539	48796	\N	\N	\N
857702	2924	1995-12-13	PRIJEM	VKLAD	15808	53091	\N	\N	\N
857703	2924	1996-01-13	PRIJEM	VKLAD	10539	50125	\N	\N	\N
857704	2924	1996-02-13	PRIJEM	VKLAD	10539	44742	\N	\N	\N
857705	2924	1996-03-13	PRIJEM	VKLAD	10539	50642	\N	\N	\N
857706	2924	1996-04-13	PRIJEM	VKLAD	10539	48668	\N	\N	\N
857707	2924	1996-05-13	PRIJEM	VKLAD	10539	44699	\N	\N	\N
857708	2924	1996-06-13	PRIJEM	VKLAD	15808	52374	\N	\N	\N
857709	2924	1996-07-13	PRIJEM	VKLAD	10539	53299	\N	\N	\N
857710	2924	1996-08-13	PRIJEM	VKLAD	10539	52637	\N	\N	\N
857711	2924	1996-09-13	PRIJEM	VKLAD	10539	48776	\N	\N	\N
857712	2924	1996-10-13	PRIJEM	VKLAD	10539	47506	\N	\N	\N
857713	2924	1996-11-13	PRIJEM	VKLAD	10539	47027	\N	\N	\N
857714	2924	1996-12-13	PRIJEM	VKLAD	15808	51917	\N	\N	\N
857715	2924	1997-01-13	PRIJEM	VKLAD	10539	43137	\N	\N	\N
857716	2924	1997-02-13	PRIJEM	VKLAD	10539	41930	\N	\N	\N
857717	2924	1997-03-13	PRIJEM	VKLAD	10539	45326	\N	\N	\N
857718	2924	1997-04-13	PRIJEM	VKLAD	10539	44833	\N	\N	\N
857719	2924	1997-05-13	PRIJEM	VKLAD	10539	42921	\N	\N	\N
857720	2924	1997-06-13	PRIJEM	VKLAD	15808	46085	\N	\N	\N
857721	2924	1997-07-13	PRIJEM	VKLAD	10539	42869	\N	\N	\N
857722	2924	1997-08-13	PRIJEM	VKLAD	10539	39763	\N	\N	\N
857723	2924	1997-09-13	PRIJEM	VKLAD	10539	35255	\N	\N	\N
857724	2924	1997-10-13	PRIJEM	VKLAD	10539	40310	\N	\N	\N
857725	2924	1997-11-13	PRIJEM	VKLAD	10539	42658	\N	\N	\N
857726	2924	1997-12-13	PRIJEM	VKLAD	15808	51384	\N	\N	\N
857727	2924	1998-01-13	PRIJEM	VKLAD	10539	46481	\N	\N	\N
857728	2924	1998-02-13	PRIJEM	VKLAD	10539	39654	\N	\N	\N
857729	2924	1998-03-13	PRIJEM	VKLAD	10539	38899	\N	\N	\N
857730	2924	1998-04-13	PRIJEM	VKLAD	10539	40470	\N	\N	\N
857731	2924	1998-05-13	PRIJEM	VKLAD	10539	40917	\N	\N	\N
857732	2924	1998-06-13	PRIJEM	VKLAD	15808	47260	\N	\N	\N
857733	2924	1998-07-13	PRIJEM	VKLAD	10539	34510	\N	\N	\N
857734	2924	1998-08-13	PRIJEM	VKLAD	10539	28827	\N	\N	\N
857735	2924	1998-09-13	PRIJEM	VKLAD	10539	28230	\N	\N	\N
857736	2924	1998-10-13	PRIJEM	VKLAD	10539	30928	\N	\N	\N
857737	2924	1998-11-13	PRIJEM	VKLAD	10539	32636	\N	\N	\N
857738	2924	1998-12-13	PRIJEM	VKLAD	15808	34617	\N	\N	\N
857740	2924	1995-06-02	VYDAJ	VYBER	27500	13328	\N	\N	\N
857741	2924	1996-06-19	VYDAJ	VYBER	3100	49274	\N	\N	\N
857742	2924	1997-06-01	VYDAJ	VYBER	9800	33277	\N	\N	\N
857743	2924	1998-06-21	VYDAJ	VYBER	14900	32360	\N	\N	\N
857746	2924	1996-01-25	VYDAJ	VYBER	3300	40425	\N	\N	\N
857747	2924	1997-01-02	VYDAJ	VYBER	1900	47998	\N	\N	\N
857748	2924	1998-01-14	VYDAJ	VYBER	7200	39281	\N	\N	\N
857750	2924	1995-12-05	VYDAJ	VYBER	2000	46983	\N	\N	\N
857751	2924	1996-12-26	VYDAJ	VYBER	500	51417	\N	\N	\N
857752	2924	1997-12-16	VYDAJ	VYBER	1300	50084	\N	\N	\N
857766	2924	1996-01-27	VYDAJ	VYBER	1700	38725	\N	\N	\N
857767	2924	1996-01-17	VYDAJ	VYBER	2200	47925	\N	\N	\N
857768	2924	1996-01-04	VYDAJ	VYBER	2000	51286	\N	\N	\N
857769	2924	1996-01-19	VYDAJ	VYBER	1800	46125	\N	\N	\N
857770	2924	1996-01-24	VYDAJ	VYBER	2400	43725	\N	\N	\N
857771	2924	1996-01-11	VYDAJ	VYBER	700	39586	\N	\N	\N
857772	2924	1997-01-02	VYDAJ	VYBER	1700	49898	\N	\N	\N
857773	2924	1997-01-05	VYDAJ	VYBER	1100	35998	\N	\N	\N
857774	2924	1997-01-09	VYDAJ	VYBER	1700	33098	\N	\N	\N
857775	2924	1997-01-08	VYDAJ	VYBER	1200	34798	\N	\N	\N
857776	2924	1997-01-29	VYDAJ	VYBER	2400	40737	\N	\N	\N
857777	2924	1997-01-12	VYDAJ	VYBER	500	32598	\N	\N	\N
857778	2924	1998-01-29	VYDAJ	VYBER	2800	30781	\N	\N	\N
857779	2924	1998-01-21	VYDAJ	VYBER	2900	34681	\N	\N	\N
857780	2924	1998-01-30	VYDAJ	VYBER	1800	28981	\N	\N	\N
857781	2924	1998-01-17	VYDAJ	VYBER	1700	37581	\N	\N	\N
857782	2924	1998-01-09	VYDAJ	VYBER	600	35942	\N	\N	\N
857783	2924	1998-01-05	VYDAJ	VYBER	800	36542	\N	\N	\N
857793	2924	1995-03-31	VYDAJ	VYBER	4600	34178	\N	\N	\N
857795	2924	1995-11-12	VYDAJ	VYBER	2000	38257	\N	\N	\N
857796	2924	1995-07-21	VYDAJ	VYBER	4600	33502	\N	\N	\N
857797	2924	1996-08-20	VYDAJ	VYBER	2200	50437	\N	\N	\N
857798	2924	1996-10-11	VYDAJ	VYBER	1800	36967	\N	\N	\N
857799	2924	1996-05-07	VYDAJ	VYBER	2900	45360	\N	\N	\N
857800	2924	1996-05-04	VYDAJ	VYBER	600	48260	\N	\N	\N
857801	2924	1996-07-18	VYDAJ	VYBER	1100	52199	\N	\N	\N
857802	2924	1996-12-05	VYDAJ	VYBER	1200	36109	\N	\N	\N
857803	2924	1997-04-14	VYDAJ	VYBER	3700	41133	\N	\N	\N
857804	2924	1997-06-20	VYDAJ	VYBER	4700	41385	\N	\N	\N
857805	2924	1997-09-25	VYDAJ	VYBER	3400	31855	\N	\N	\N
857806	2924	1997-09-05	VYDAJ	VYBER	3300	24716	\N	\N	\N
857807	2924	1997-04-20	VYDAJ	VYBER	2700	38433	\N	\N	\N
857808	2924	1997-04-06	VYDAJ	VYBER	3600	34294	\N	\N	\N
857809	2924	1997-07-09	VYDAJ	VYBER	2000	32330	\N	\N	\N
857810	2924	1998-03-04	VYDAJ	VYBER	4300	28360	\N	\N	\N
857811	2924	1998-11-27	VYDAJ	VYBER	3900	18736	\N	\N	\N
857812	2924	1998-05-05	VYDAJ	VYBER	1900	30378	\N	\N	\N
857813	2924	1998-08-19	VYDAJ	VYBER	4500	24327	\N	\N	\N
857829	2924	1995-03-31	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
857830	2924	1995-04-30	VYDAJ	VYBER	15	38039	SLUZBY	\N	\N
857831	2924	1995-05-31	VYDAJ	VYBER	15	40828	SLUZBY	\N	\N
857832	2924	1995-06-30	VYDAJ	VYBER	15	31763	SLUZBY	\N	\N
857833	2924	1995-07-31	VYDAJ	VYBER	15	33629	SLUZBY	\N	\N
857834	2924	1995-08-31	VYDAJ	VYBER	15	43719	SLUZBY	\N	\N
857835	2924	1995-09-30	VYDAJ	VYBER	15	46832	SLUZBY	\N	\N
857836	2924	1995-10-31	VYDAJ	VYBER	15	48857	SLUZBY	\N	\N
857837	2924	1995-11-30	VYDAJ	VYBER	15	48983	SLUZBY	\N	\N
857838	2924	1995-12-31	VYDAJ	VYBER	15	53286	SLUZBY	\N	\N
857839	2924	1996-01-31	VYDAJ	VYBER	15	38903	SLUZBY	\N	\N
857840	2924	1996-02-29	VYDAJ	VYBER	15	44903	SLUZBY	\N	\N
857841	2924	1996-03-31	VYDAJ	VYBER	15	50829	SLUZBY	\N	\N
857842	2924	1996-04-30	VYDAJ	VYBER	15	48860	SLUZBY	\N	\N
857843	2924	1996-05-31	VYDAJ	VYBER	15	44866	SLUZBY	\N	\N
857844	2924	1996-06-30	VYDAJ	VYBER	15	49460	SLUZBY	\N	\N
857845	2924	1996-07-31	VYDAJ	VYBER	15	52398	SLUZBY	\N	\N
857846	2924	1996-08-31	VYDAJ	VYBER	15	50637	SLUZBY	\N	\N
857847	2924	1996-09-30	VYDAJ	VYBER	15	48967	SLUZBY	\N	\N
857848	2924	1996-10-31	VYDAJ	VYBER	15	47688	SLUZBY	\N	\N
857849	2924	1996-11-30	VYDAJ	VYBER	15	47209	SLUZBY	\N	\N
857850	2924	1996-12-31	VYDAJ	VYBER	15	51598	SLUZBY	\N	\N
857851	2924	1997-01-31	VYDAJ	VYBER	15	40891	SLUZBY	\N	\N
857852	2924	1997-02-28	VYDAJ	VYBER	15	42087	SLUZBY	\N	\N
857853	2924	1997-03-31	VYDAJ	VYBER	15	45494	SLUZBY	\N	\N
857854	2924	1997-04-30	VYDAJ	VYBER	15	38582	SLUZBY	\N	\N
857855	2924	1997-05-31	VYDAJ	VYBER	15	43077	SLUZBY	\N	\N
857856	2924	1997-06-30	VYDAJ	VYBER	15	41530	SLUZBY	\N	\N
857857	2924	1997-07-31	VYDAJ	VYBER	15	43024	SLUZBY	\N	\N
857858	2924	1997-08-31	VYDAJ	VYBER	15	28016	SLUZBY	\N	\N
857859	2924	1997-09-30	VYDAJ	VYBER	15	29771	SLUZBY	\N	\N
857860	2924	1997-10-31	VYDAJ	VYBER	15	32119	SLUZBY	\N	\N
857861	2924	1997-11-30	VYDAJ	VYBER	15	35576	SLUZBY	\N	\N
857862	2924	1997-12-31	VYDAJ	VYBER	15	37342	SLUZBY	\N	\N
857863	2924	1998-01-31	VYDAJ	VYBER	15	29115	SLUZBY	\N	\N
857864	2924	1998-02-28	VYDAJ	VYBER	15	32660	SLUZBY	\N	\N
857865	2924	1998-03-31	VYDAJ	VYBER	15	29931	SLUZBY	\N	\N
857866	2924	1998-04-30	VYDAJ	VYBER	15	32278	SLUZBY	\N	\N
857867	2924	1998-05-31	VYDAJ	VYBER	15	31452	SLUZBY	\N	\N
857868	2924	1998-06-30	VYDAJ	VYBER	15	23971	SLUZBY	\N	\N
857869	2924	1998-07-31	VYDAJ	VYBER	15	18288	SLUZBY	\N	\N
857870	2924	1998-08-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
857871	2924	1998-09-30	VYDAJ	VYBER	15	20389	SLUZBY	\N	\N
857872	2924	1998-10-31	VYDAJ	VYBER	15	22097	SLUZBY	\N	\N
857873	2924	1998-11-30	VYDAJ	VYBER	15	18809	SLUZBY	\N	\N
857874	2924	1994-11-15	PRIJEM	VKLAD	7700	18939	\N	\N	\N
857875	2924	1994-12-15	VYDAJ	VYBER	5100	29689	\N	\N	\N
857876	2924	1995-01-14	VYDAJ	VYBER	6900	33432	\N	\N	\N
857877	2924	1995-02-13	VYDAJ	VYBER	8100	36003	\N	\N	\N
857878	2924	1995-03-15	VYDAJ	VYBER	8100	38607	\N	\N	\N
857879	2924	1995-04-14	VYDAJ	VYBER	6800	37902	\N	\N	\N
857880	2924	1995-05-14	VYDAJ	VYBER	7900	40678	\N	\N	\N
857881	2924	1995-06-13	PRIJEM	VKLAD	2500	31636	\N	\N	\N
857882	2924	1995-07-13	VYDAJ	VYBER	4200	38102	\N	\N	\N
857883	2924	1995-08-12	VYDAJ	VYBER	600	33029	\N	\N	\N
857884	2924	1995-09-11	VYDAJ	VYBER	7600	36119	\N	\N	\N
857885	2924	1995-10-11	VYDAJ	VYBER	8700	38132	\N	\N	\N
857886	2924	1995-11-10	VYDAJ	VYBER	8600	40257	\N	\N	\N
857887	2924	1995-12-10	VYDAJ	VYBER	9700	37283	\N	\N	\N
857888	2924	1996-01-09	VYDAJ	VYBER	11000	40286	\N	\N	\N
857889	2924	1996-02-08	VYDAJ	VYBER	4700	34203	\N	\N	\N
857890	2924	1996-03-09	VYDAJ	VYBER	4800	40103	\N	\N	\N
857891	2924	1996-04-08	VYDAJ	VYBER	12700	38129	\N	\N	\N
857892	2924	1996-05-08	VYDAJ	VYBER	11200	34160	\N	\N	\N
857893	2924	1996-06-07	VYDAJ	VYBER	8300	36566	\N	\N	\N
857894	2924	1996-07-07	VYDAJ	VYBER	6700	42760	\N	\N	\N
857895	2924	1996-08-06	VYDAJ	VYBER	10300	42098	\N	\N	\N
857896	2924	1996-09-05	VYDAJ	VYBER	12400	38237	\N	\N	\N
857897	2924	1996-10-05	VYDAJ	VYBER	10200	38767	\N	\N	\N
857898	2924	1996-11-04	VYDAJ	VYBER	11200	36488	\N	\N	\N
857899	2924	1996-12-04	VYDAJ	VYBER	9900	37309	\N	\N	\N
857900	2924	1997-01-03	VYDAJ	VYBER	10900	37098	\N	\N	\N
857901	2924	1997-02-02	VYDAJ	VYBER	9500	31391	\N	\N	\N
857902	2924	1997-03-04	VYDAJ	VYBER	7300	34787	\N	\N	\N
857903	2924	1997-04-03	VYDAJ	VYBER	7600	37894	\N	\N	\N
857904	2924	1997-05-03	VYDAJ	VYBER	6200	32382	\N	\N	\N
857905	2924	1997-06-02	VYDAJ	VYBER	3000	30277	\N	\N	\N
857906	2924	1997-07-02	VYDAJ	VYBER	7200	34330	\N	\N	\N
857907	2924	1997-08-01	VYDAJ	VYBER	13800	29224	\N	\N	\N
857908	2924	1997-08-31	VYDAJ	VYBER	11900	28031	\N	\N	\N
857909	2924	1997-09-30	VYDAJ	VYBER	2200	29786	\N	\N	\N
857910	2924	1997-10-30	VYDAJ	VYBER	8300	32010	\N	\N	\N
857911	2924	1997-11-29	VYDAJ	VYBER	7200	35458	\N	\N	\N
857912	2924	1997-12-29	VYDAJ	VYBER	12900	37184	\N	\N	\N
857913	2924	1998-01-28	VYDAJ	VYBER	1100	33581	\N	\N	\N
857914	2924	1998-02-27	VYDAJ	VYBER	7100	32554	\N	\N	\N
857915	2924	1998-03-29	VYDAJ	VYBER	9100	29799	\N	\N	\N
857916	2924	1998-04-28	VYDAJ	VYBER	8300	32170	\N	\N	\N
857917	2924	1998-05-28	VYDAJ	VYBER	9600	31317	\N	\N	\N
857918	2924	1998-06-27	VYDAJ	VYBER	8500	23860	\N	\N	\N
857919	2924	1998-07-27	VYDAJ	VYBER	16300	18210	\N	\N	\N
857920	2924	1998-08-26	VYDAJ	VYBER	6700	17627	\N	\N	\N
857921	2924	1998-09-25	VYDAJ	VYBER	7900	20330	\N	\N	\N
857922	2924	1998-10-25	VYDAJ	VYBER	8900	22028	\N	\N	\N
857923	2924	1998-11-24	VYDAJ	VYBER	10000	22636	\N	\N	\N
857973	2925	1993-01-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
857974	2925	1993-01-12	PRIJEM	VKLAD	6446	7446	\N	\N	\N
857975	2925	1993-02-12	PRIJEM	VKLAD	6446	23012	\N	\N	\N
857976	2925	1993-03-12	PRIJEM	VKLAD	6446	27628	\N	\N	\N
857977	2925	1993-04-12	PRIJEM	VKLAD	6446	34083	\N	\N	\N
857978	2925	1993-05-12	PRIJEM	VKLAD	6446	33161	\N	\N	\N
857979	2925	1993-06-12	PRIJEM	VKLAD	9669	35750	\N	\N	\N
857980	2925	1993-07-12	PRIJEM	VKLAD	6446	32206	\N	\N	\N
857981	2925	1993-08-12	PRIJEM	VKLAD	6446	27349	\N	\N	\N
857982	2925	1993-09-12	PRIJEM	VKLAD	6446	32575	\N	\N	\N
857983	2925	1993-10-12	PRIJEM	VKLAD	6446	35121	\N	\N	\N
857984	2925	1993-11-12	PRIJEM	VKLAD	6446	35381	\N	\N	\N
857985	2925	1993-12-12	PRIJEM	VKLAD	9669	35569	\N	\N	\N
857986	2925	1994-01-12	PRIJEM	VKLAD	6446	29330	\N	\N	\N
857987	2925	1994-02-12	PRIJEM	VKLAD	6446	29867	\N	\N	\N
857988	2925	1994-03-12	PRIJEM	VKLAD	6446	30901	\N	\N	\N
857989	2925	1994-04-12	PRIJEM	VKLAD	6446	34646	\N	\N	\N
857990	2925	1994-05-12	PRIJEM	VKLAD	6446	32901	\N	\N	\N
857991	2925	1994-06-12	PRIJEM	VKLAD	9669	39777	\N	\N	\N
857992	2925	1994-07-12	PRIJEM	VKLAD	6446	38749	\N	\N	\N
857993	2925	1994-08-12	PRIJEM	VKLAD	6446	36922	\N	\N	\N
857994	2925	1994-09-12	PRIJEM	VKLAD	6446	39391	\N	\N	\N
857995	2925	1994-10-12	PRIJEM	VKLAD	6446	38768	\N	\N	\N
857996	2925	1994-11-12	PRIJEM	VKLAD	6446	38948	\N	\N	\N
857997	2925	1994-12-12	PRIJEM	VKLAD	9669	37741	\N	\N	\N
857998	2925	1995-01-12	PRIJEM	VKLAD	6446	29309	\N	\N	\N
857999	2925	1995-02-12	PRIJEM	VKLAD	6446	31742	\N	\N	\N
858000	2925	1995-03-12	PRIJEM	VKLAD	6446	34191	\N	\N	\N
858001	2925	1995-04-12	PRIJEM	VKLAD	6446	35045	\N	\N	\N
858002	2925	1995-05-12	PRIJEM	VKLAD	6446	36103	\N	\N	\N
858003	2925	1995-06-12	PRIJEM	VKLAD	9669	41491	\N	\N	\N
858004	2925	1995-07-12	PRIJEM	VKLAD	6446	39168	\N	\N	\N
858005	2925	1995-08-12	PRIJEM	VKLAD	6446	38642	\N	\N	\N
858006	2925	1995-09-12	PRIJEM	VKLAD	6446	41716	\N	\N	\N
858007	2925	1995-10-12	PRIJEM	VKLAD	6446	39799	\N	\N	\N
858008	2925	1995-11-12	PRIJEM	VKLAD	6446	30468	\N	\N	\N
858009	2925	1995-12-12	PRIJEM	VKLAD	9669	34636	\N	\N	\N
858010	2925	1996-01-12	PRIJEM	VKLAD	6446	29282	\N	\N	\N
858011	2925	1996-02-12	PRIJEM	VKLAD	6446	25715	\N	\N	\N
858012	2925	1996-03-12	PRIJEM	VKLAD	6446	29836	\N	\N	\N
858013	2925	1996-04-12	PRIJEM	VKLAD	6446	33473	\N	\N	\N
858014	2925	1996-05-12	PRIJEM	VKLAD	6446	33221	\N	\N	\N
858015	2925	1996-06-12	PRIJEM	VKLAD	9669	35190	\N	\N	\N
858016	2925	1996-07-12	PRIJEM	VKLAD	6446	29035	\N	\N	\N
858017	2925	1996-08-12	PRIJEM	VKLAD	6446	27667	\N	\N	\N
858018	2925	1996-09-12	PRIJEM	VKLAD	6446	25388	\N	\N	\N
858019	2925	1996-10-12	PRIJEM	VKLAD	6446	21095	\N	\N	\N
858020	2925	1996-11-12	PRIJEM	VKLAD	6446	22793	\N	\N	\N
858021	2925	1996-12-12	PRIJEM	VKLAD	9669	23314	\N	\N	\N
858022	2925	1997-01-12	PRIJEM	VKLAD	6446	23413	\N	\N	\N
858023	2925	1997-02-12	PRIJEM	VKLAD	6446	23517	\N	\N	\N
858024	2925	1997-03-12	PRIJEM	VKLAD	6446	25725	\N	\N	\N
858025	2925	1997-04-12	PRIJEM	VKLAD	6446	27943	\N	\N	\N
858026	2925	1997-05-12	PRIJEM	VKLAD	6446	30169	\N	\N	\N
858027	2925	1997-06-12	PRIJEM	VKLAD	9669	35628	\N	\N	\N
858028	2925	1997-07-12	PRIJEM	VKLAD	6446	21151	\N	\N	\N
858029	2925	1997-08-12	PRIJEM	VKLAD	6446	23349	\N	\N	\N
858030	2925	1997-09-12	PRIJEM	VKLAD	6446	25556	\N	\N	\N
858031	2925	1997-10-12	PRIJEM	VKLAD	6446	22372	\N	\N	\N
858032	2925	1997-11-12	PRIJEM	VKLAD	6446	22984	\N	\N	\N
858033	2925	1997-12-12	PRIJEM	VKLAD	9669	27815	\N	\N	\N
858034	2925	1998-01-12	PRIJEM	VKLAD	6446	24530	\N	\N	\N
858035	2925	1998-02-12	PRIJEM	VKLAD	6446	23443	\N	\N	\N
858036	2925	1998-03-12	PRIJEM	VKLAD	6446	25650	\N	\N	\N
858037	2925	1998-04-12	PRIJEM	VKLAD	6446	25866	\N	\N	\N
858038	2925	1998-05-12	PRIJEM	VKLAD	6446	24488	\N	\N	\N
858039	2925	1998-06-12	PRIJEM	VKLAD	9669	29929	\N	\N	\N
858040	2925	1998-07-12	PRIJEM	VKLAD	6446	32157	\N	\N	\N
858041	2925	1998-08-12	PRIJEM	VKLAD	6446	34399	\N	\N	\N
858042	2925	1998-09-12	PRIJEM	VKLAD	6446	36652	\N	\N	\N
858043	2925	1998-10-12	PRIJEM	VKLAD	6446	38913	\N	\N	\N
858044	2925	1998-11-12	PRIJEM	VKLAD	6446	36582	\N	\N	\N
858045	2925	1998-12-12	PRIJEM	VKLAD	9669	38458	\N	\N	\N
858050	2925	1993-05-14	VYDAJ	PREVOD NA UCET	4297	25964	SIPO	QR	35286706
858051	2925	1993-06-14	VYDAJ	PREVOD NA UCET	4297	31453	SIPO	QR	35286706
858052	2925	1993-07-14	VYDAJ	PREVOD NA UCET	4297	27909	SIPO	QR	35286706
858053	2925	1993-08-14	VYDAJ	PREVOD NA UCET	4297	23052	SIPO	QR	35286706
858054	2925	1993-09-14	VYDAJ	PREVOD NA UCET	4297	28278	SIPO	QR	35286706
858055	2925	1993-10-14	VYDAJ	PREVOD NA UCET	4297	30824	SIPO	QR	35286706
858056	2925	1993-11-14	VYDAJ	PREVOD NA UCET	4297	31084	SIPO	QR	35286706
858057	2925	1993-12-14	VYDAJ	PREVOD NA UCET	4297	31272	SIPO	QR	35286706
858058	2925	1994-01-14	VYDAJ	PREVOD NA UCET	4297	25033	SIPO	QR	35286706
858059	2925	1994-02-14	VYDAJ	PREVOD NA UCET	4297	25570	SIPO	QR	35286706
858060	2925	1994-03-14	VYDAJ	PREVOD NA UCET	4297	26604	SIPO	QR	35286706
858061	2925	1994-04-14	VYDAJ	PREVOD NA UCET	4297	30349	SIPO	QR	35286706
858062	2925	1994-05-14	VYDAJ	PREVOD NA UCET	4297	28604	SIPO	QR	35286706
858063	2925	1994-06-14	VYDAJ	PREVOD NA UCET	4297	35480	SIPO	QR	35286706
858064	2925	1994-07-14	VYDAJ	PREVOD NA UCET	4297	34452	SIPO	QR	35286706
858065	2925	1994-08-14	VYDAJ	PREVOD NA UCET	4297	32625	SIPO	QR	35286706
858066	2925	1994-09-14	VYDAJ	PREVOD NA UCET	4297	35094	SIPO	QR	35286706
858067	2925	1994-10-14	VYDAJ	PREVOD NA UCET	4297	34471	SIPO	QR	35286706
858068	2925	1994-11-14	VYDAJ	PREVOD NA UCET	4297	34651	SIPO	QR	35286706
858069	2925	1994-12-14	VYDAJ	PREVOD NA UCET	4297	33444	SIPO	QR	35286706
858070	2925	1995-01-14	VYDAJ	PREVOD NA UCET	4297	25012	SIPO	QR	35286706
858071	2925	1995-02-14	VYDAJ	PREVOD NA UCET	4297	27445	SIPO	QR	35286706
858072	2925	1995-03-14	VYDAJ	PREVOD NA UCET	4297	29894	SIPO	QR	35286706
858073	2925	1995-04-14	VYDAJ	PREVOD NA UCET	4297	30748	SIPO	QR	35286706
858074	2925	1995-05-14	VYDAJ	PREVOD NA UCET	4297	31806	SIPO	QR	35286706
858075	2925	1995-06-14	VYDAJ	PREVOD NA UCET	4297	37194	SIPO	QR	35286706
858076	2925	1995-07-14	VYDAJ	PREVOD NA UCET	4297	34871	SIPO	QR	35286706
858077	2925	1995-08-14	VYDAJ	PREVOD NA UCET	4297	34345	SIPO	QR	35286706
858078	2925	1995-09-14	VYDAJ	PREVOD NA UCET	4297	37419	SIPO	QR	35286706
858079	2925	1995-10-14	VYDAJ	PREVOD NA UCET	4297	35502	SIPO	QR	35286706
858080	2925	1995-11-14	VYDAJ	PREVOD NA UCET	4297	26171	SIPO	QR	35286706
858081	2925	1995-12-14	VYDAJ	PREVOD NA UCET	4297	30339	SIPO	QR	35286706
858082	2925	1996-01-14	VYDAJ	PREVOD NA UCET	4297	24985	SIPO	QR	35286706
858083	2925	1996-02-14	VYDAJ	PREVOD NA UCET	4297	21418	SIPO	QR	35286706
858084	2925	1996-03-14	VYDAJ	PREVOD NA UCET	4297	25539	SIPO	QR	35286706
858085	2925	1996-04-14	VYDAJ	PREVOD NA UCET	4297	29176	SIPO	QR	35286706
858086	2925	1996-05-14	VYDAJ	PREVOD NA UCET	4297	28924	SIPO	QR	35286706
858087	2925	1996-06-14	VYDAJ	PREVOD NA UCET	4297	30893	SIPO	QR	35286706
858088	2925	1996-07-14	VYDAJ	PREVOD NA UCET	4297	24738	SIPO	QR	35286706
858089	2925	1996-08-14	VYDAJ	PREVOD NA UCET	4297	23370	SIPO	QR	35286706
858090	2925	1996-09-14	VYDAJ	PREVOD NA UCET	4297	21091	SIPO	QR	35286706
858091	2925	1996-10-14	VYDAJ	PREVOD NA UCET	4297	16798	SIPO	QR	35286706
858092	2925	1996-11-14	VYDAJ	PREVOD NA UCET	4297	18496	SIPO	QR	35286706
858093	2925	1996-12-14	VYDAJ	PREVOD NA UCET	4297	19017	SIPO	QR	35286706
858094	2925	1997-01-14	VYDAJ	PREVOD NA UCET	4297	19116	SIPO	QR	35286706
858095	2925	1997-02-14	VYDAJ	PREVOD NA UCET	4297	19220	SIPO	QR	35286706
858096	2925	1997-03-14	VYDAJ	PREVOD NA UCET	4297	21428	SIPO	QR	35286706
858097	2925	1997-04-14	VYDAJ	PREVOD NA UCET	4297	23646	SIPO	QR	35286706
858098	2925	1997-05-14	VYDAJ	PREVOD NA UCET	4297	25872	SIPO	QR	35286706
858099	2925	1997-06-14	VYDAJ	PREVOD NA UCET	4297	31331	SIPO	QR	35286706
858100	2925	1997-07-14	VYDAJ	PREVOD NA UCET	4297	16854	SIPO	QR	35286706
858101	2925	1997-08-14	VYDAJ	PREVOD NA UCET	4297	19052	SIPO	QR	35286706
858102	2925	1997-09-14	VYDAJ	PREVOD NA UCET	4297	21259	SIPO	QR	35286706
858103	2925	1997-10-14	VYDAJ	PREVOD NA UCET	4297	18075	SIPO	QR	35286706
858104	2925	1997-11-14	VYDAJ	PREVOD NA UCET	4297	18687	SIPO	QR	35286706
858105	2925	1997-12-14	VYDAJ	PREVOD NA UCET	4297	23518	SIPO	QR	35286706
858106	2925	1998-01-14	VYDAJ	PREVOD NA UCET	4297	20233	SIPO	QR	35286706
858107	2925	1998-02-14	VYDAJ	PREVOD NA UCET	4297	19146	SIPO	QR	35286706
858108	2925	1998-03-14	VYDAJ	PREVOD NA UCET	4297	21353	SIPO	QR	35286706
858109	2925	1998-04-14	VYDAJ	PREVOD NA UCET	4297	21569	SIPO	QR	35286706
858110	2925	1998-05-14	VYDAJ	PREVOD NA UCET	4297	20191	SIPO	QR	35286706
858111	2925	1998-06-14	VYDAJ	PREVOD NA UCET	4297	25632	SIPO	QR	35286706
858112	2925	1998-07-14	VYDAJ	PREVOD NA UCET	4297	27860	SIPO	QR	35286706
858113	2925	1998-08-14	VYDAJ	PREVOD NA UCET	4297	30102	SIPO	QR	35286706
858114	2925	1998-09-14	VYDAJ	PREVOD NA UCET	4297	32355	SIPO	QR	35286706
858115	2925	1998-10-14	VYDAJ	PREVOD NA UCET	4297	34616	SIPO	QR	35286706
858116	2925	1998-11-14	VYDAJ	PREVOD NA UCET	4297	28685	SIPO	QR	35286706
858117	2925	1998-12-14	VYDAJ	PREVOD NA UCET	4297	34161	SIPO	QR	35286706
858118	2925	1993-12-26	VYDAJ	VYBER	2200	27972	\N	\N	\N
858119	2925	1994-12-27	VYDAJ	VYBER	1900	31544	\N	\N	\N
858120	2925	1995-12-27	VYDAJ	VYBER	2600	25539	\N	\N	\N
858121	2925	1996-12-19	VYDAJ	VYBER	2100	16917	\N	\N	\N
858122	2925	1997-12-18	VYDAJ	VYBER	2900	20618	\N	\N	\N
858123	2925	1998-12-21	VYDAJ	VYBER	1600	32561	\N	\N	\N
858130	2925	1994-01-14	VYDAJ	VYBER	500	24533	\N	\N	\N
858131	2925	1994-01-30	VYDAJ	VYBER	2400	20733	\N	\N	\N
858132	2925	1994-01-27	VYDAJ	VYBER	1400	23133	\N	\N	\N
858133	2925	1994-01-30	VYDAJ	VYBER	900	19833	\N	\N	\N
858134	2925	1994-01-04	VYDAJ	VYBER	2600	25484	\N	\N	\N
858135	2925	1994-01-06	VYDAJ	VYBER	1700	22884	\N	\N	\N
858136	2925	1995-01-21	VYDAJ	VYBER	900	22312	\N	\N	\N
858137	2925	1995-01-04	VYDAJ	VYBER	1800	23663	\N	\N	\N
858138	2925	1995-01-15	VYDAJ	VYBER	1800	23212	\N	\N	\N
858139	2925	1995-01-02	VYDAJ	VYBER	2700	25463	\N	\N	\N
858140	2925	1995-01-01	VYDAJ	VYBER	2800	28163	\N	\N	\N
858141	2925	1995-01-24	VYDAJ	VYBER	1300	21012	\N	\N	\N
858142	2925	1996-01-28	VYDAJ	VYBER	2200	19185	\N	\N	\N
858143	2925	1996-01-26	VYDAJ	VYBER	1400	21985	\N	\N	\N
858144	2925	1996-01-15	VYDAJ	VYBER	1100	23885	\N	\N	\N
858145	2925	1996-01-19	VYDAJ	VYBER	1100	22785	\N	\N	\N
858146	2925	1996-01-27	VYDAJ	VYBER	600	21385	\N	\N	\N
858147	2925	1996-01-05	VYDAJ	VYBER	2800	22836	\N	\N	\N
858150	2925	1997-01-18	VYDAJ	VYBER	2100	17016	\N	\N	\N
858154	2925	1998-01-09	VYDAJ	VYBER	2100	18084	\N	\N	\N
858155	2925	1998-01-24	VYDAJ	VYBER	700	19533	\N	\N	\N
858156	2925	1998-01-26	VYDAJ	VYBER	2600	16933	\N	\N	\N
858159	2925	1998-01-03	VYDAJ	VYBER	500	20184	\N	\N	\N
858160	2925	1993-12-11	VYDAJ	VYBER	2300	25900	\N	\N	\N
858161	2925	1993-07-15	VYDAJ	VYBER	3800	24109	\N	\N	\N
858163	2925	1993-07-22	VYDAJ	VYBER	4400	19709	\N	\N	\N
858164	2925	1993-05-14	VYDAJ	VYBER	2900	30261	\N	\N	\N
858165	2925	1993-12-16	VYDAJ	VYBER	1100	30172	\N	\N	\N
858166	2925	1994-05-14	VYDAJ	VYBER	800	27804	\N	\N	\N
858167	2925	1994-07-05	VYDAJ	VYBER	1100	32303	\N	\N	\N
858168	2925	1994-07-23	VYDAJ	VYBER	3600	30852	\N	\N	\N
858169	2925	1994-11-17	VYDAJ	VYBER	4900	29751	\N	\N	\N
858170	2925	1994-04-23	VYDAJ	VYBER	1200	29149	\N	\N	\N
858171	2925	1994-02-10	VYDAJ	VYBER	500	23421	\N	\N	\N
858172	2925	1994-05-07	VYDAJ	VYBER	3300	26455	\N	\N	\N
858173	2925	1995-10-21	VYDAJ	VYBER	3300	32202	\N	\N	\N
858174	2925	1995-10-21	VYDAJ	VYBER	2700	29502	\N	\N	\N
858175	2925	1995-01-08	VYDAJ	VYBER	800	22863	\N	\N	\N
858176	2925	1995-03-28	VYDAJ	VYBER	3700	26194	\N	\N	\N
858177	2925	1995-02-10	VYDAJ	VYBER	1900	25296	\N	\N	\N
858178	2925	1995-11-04	VYDAJ	VYBER	3300	24022	\N	\N	\N
858179	2925	1996-02-20	VYDAJ	VYBER	1000	20418	\N	\N	\N
858182	2925	1996-07-09	VYDAJ	VYBER	2200	22589	\N	\N	\N
858183	2925	1996-02-24	VYDAJ	VYBER	2000	23318	\N	\N	\N
858184	2925	1997-10-11	VYDAJ	VYBER	2800	15926	\N	\N	\N
858186	2925	1997-10-06	VYDAJ	VYBER	2600	18726	\N	\N	\N
858187	2925	1997-11-06	VYDAJ	VYBER	1600	16538	\N	\N	\N
858188	2925	1997-11-16	VYDAJ	VYBER	600	18087	\N	\N	\N
858189	2925	1998-11-12	VYDAJ	VYBER	3600	32982	\N	\N	\N
858190	2925	1998-10-29	VYDAJ	VYBER	4600	30016	\N	\N	\N
858191	2925	1998-04-06	VYDAJ	VYBER	2000	19420	\N	\N	\N
858192	2925	1998-05-09	VYDAJ	VYBER	3600	18042	\N	\N	\N
858198	2925	1993-05-31	VYDAJ	VYBER	15	26081	SLUZBY	\N	\N
858199	2925	1993-06-30	VYDAJ	VYBER	15	31560	SLUZBY	\N	\N
858200	2925	1993-07-31	VYDAJ	VYBER	15	19803	SLUZBY	\N	\N
858201	2925	1993-08-31	VYDAJ	VYBER	15	23129	SLUZBY	\N	\N
858202	2925	1993-09-30	VYDAJ	VYBER	15	28375	SLUZBY	\N	\N
858203	2925	1993-10-31	VYDAJ	VYBER	15	30935	SLUZBY	\N	\N
858204	2925	1993-11-30	VYDAJ	VYBER	15	31200	SLUZBY	\N	\N
858205	2925	1993-12-31	VYDAJ	VYBER	15	28084	SLUZBY	\N	\N
858206	2925	1994-01-31	VYDAJ	VYBER	15	19921	SLUZBY	\N	\N
858207	2925	1994-02-28	VYDAJ	VYBER	15	25655	SLUZBY	\N	\N
858208	2925	1994-03-31	VYDAJ	VYBER	15	26700	SLUZBY	\N	\N
858209	2925	1994-04-30	VYDAJ	VYBER	15	29255	SLUZBY	\N	\N
858210	2925	1994-05-31	VYDAJ	VYBER	15	27908	SLUZBY	\N	\N
858211	2925	1994-06-30	VYDAJ	VYBER	15	35603	SLUZBY	\N	\N
858212	2925	1994-07-31	VYDAJ	VYBER	15	30976	SLUZBY	\N	\N
858213	2925	1994-08-31	VYDAJ	VYBER	15	32745	SLUZBY	\N	\N
858214	2925	1994-09-30	VYDAJ	VYBER	15	35222	SLUZBY	\N	\N
858215	2925	1994-10-31	VYDAJ	VYBER	15	34602	SLUZBY	\N	\N
858216	2925	1994-11-30	VYDAJ	VYBER	15	29872	SLUZBY	\N	\N
858217	2925	1994-12-31	VYDAJ	VYBER	15	31663	SLUZBY	\N	\N
858218	2925	1995-01-31	VYDAJ	VYBER	15	27196	SLUZBY	\N	\N
858219	2925	1995-02-28	VYDAJ	VYBER	15	27545	SLUZBY	\N	\N
858220	2925	1995-03-31	VYDAJ	VYBER	15	28599	SLUZBY	\N	\N
858221	2925	1995-04-30	VYDAJ	VYBER	15	30857	SLUZBY	\N	\N
858222	2925	1995-05-31	VYDAJ	VYBER	15	31822	SLUZBY	\N	\N
858223	2925	1995-06-30	VYDAJ	VYBER	15	32722	SLUZBY	\N	\N
858224	2925	1995-07-31	VYDAJ	VYBER	15	32196	SLUZBY	\N	\N
858225	2925	1995-08-31	VYDAJ	VYBER	15	35270	SLUZBY	\N	\N
858226	2925	1995-09-30	VYDAJ	VYBER	15	33353	SLUZBY	\N	\N
858227	2925	1995-10-31	VYDAJ	VYBER	15	27322	SLUZBY	\N	\N
858228	2925	1995-11-30	VYDAJ	VYBER	15	24967	SLUZBY	\N	\N
858229	2925	1995-12-31	VYDAJ	VYBER	15	25636	SLUZBY	\N	\N
858230	2925	1996-01-31	VYDAJ	VYBER	15	19269	SLUZBY	\N	\N
858231	2925	1996-02-29	VYDAJ	VYBER	15	23390	SLUZBY	\N	\N
858232	2925	1996-03-31	VYDAJ	VYBER	15	27027	SLUZBY	\N	\N
858233	2925	1996-04-30	VYDAJ	VYBER	15	26775	SLUZBY	\N	\N
858234	2925	1996-05-31	VYDAJ	VYBER	15	25521	SLUZBY	\N	\N
858235	2925	1996-06-30	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
858236	2925	1996-07-31	VYDAJ	VYBER	15	21221	SLUZBY	\N	\N
858237	2925	1996-08-31	VYDAJ	VYBER	15	18942	SLUZBY	\N	\N
858238	2925	1996-09-30	VYDAJ	VYBER	15	14649	SLUZBY	\N	\N
858239	2925	1996-10-31	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
858240	2925	1996-11-30	VYDAJ	VYBER	15	13645	SLUZBY	\N	\N
858241	2925	1996-12-31	VYDAJ	VYBER	15	16967	SLUZBY	\N	\N
858242	2925	1997-01-31	VYDAJ	VYBER	15	17071	SLUZBY	\N	\N
858243	2925	1997-02-28	VYDAJ	VYBER	15	19279	SLUZBY	\N	\N
858244	2925	1997-03-31	VYDAJ	VYBER	15	21497	SLUZBY	\N	\N
858245	2925	1997-04-30	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
858246	2925	1997-05-31	VYDAJ	VYBER	15	25959	SLUZBY	\N	\N
858247	2925	1997-06-30	VYDAJ	VYBER	15	14705	SLUZBY	\N	\N
858248	2925	1997-07-31	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
858249	2925	1997-08-31	VYDAJ	VYBER	15	19110	SLUZBY	\N	\N
858250	2925	1997-09-30	VYDAJ	VYBER	15	21326	SLUZBY	\N	\N
858251	2925	1997-10-31	VYDAJ	VYBER	15	18138	SLUZBY	\N	\N
858252	2925	1997-11-30	VYDAJ	VYBER	15	18146	SLUZBY	\N	\N
858253	2925	1997-12-31	VYDAJ	VYBER	15	20684	SLUZBY	\N	\N
858254	2925	1998-01-31	VYDAJ	VYBER	15	16997	SLUZBY	\N	\N
858255	2925	1998-02-28	VYDAJ	VYBER	15	19204	SLUZBY	\N	\N
858256	2925	1998-03-31	VYDAJ	VYBER	15	21420	SLUZBY	\N	\N
858257	2925	1998-04-30	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
858258	2925	1998-05-31	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
858259	2925	1998-06-30	VYDAJ	VYBER	15	25711	SLUZBY	\N	\N
858260	2925	1998-07-31	VYDAJ	VYBER	15	27953	SLUZBY	\N	\N
858261	2925	1998-08-31	VYDAJ	VYBER	15	30206	SLUZBY	\N	\N
858262	2925	1998-09-30	VYDAJ	VYBER	15	32467	SLUZBY	\N	\N
858263	2925	1998-10-31	VYDAJ	VYBER	15	30136	SLUZBY	\N	\N
858264	2925	1998-11-30	VYDAJ	VYBER	15	28789	SLUZBY	\N	\N
858265	2925	1993-02-09	PRIJEM	VKLAD	9100	16566	\N	\N	\N
858266	2925	1993-03-11	VYDAJ	VYBER	1900	21182	\N	\N	\N
858267	2925	1993-04-10	VYDAJ	VYBER	100	27637	\N	\N	\N
858268	2925	1993-05-10	VYDAJ	VYBER	7500	26715	\N	\N	\N
858269	2925	1993-07-09	VYDAJ	VYBER	5800	25760	\N	\N	\N
858270	2925	1993-08-08	PRIJEM	VKLAD	1100	20903	\N	\N	\N
858271	2925	1993-09-07	PRIJEM	VKLAD	3000	26129	\N	\N	\N
858272	2925	1993-10-07	PRIJEM	VKLAD	300	28675	\N	\N	\N
858273	2925	1993-11-06	VYDAJ	VYBER	2000	28935	\N	\N	\N
858274	2925	1993-12-06	VYDAJ	VYBER	3000	28200	\N	\N	\N
858275	2925	1994-01-05	VYDAJ	VYBER	900	24584	\N	\N	\N
858276	2925	1994-02-04	PRIJEM	VKLAD	4000	23921	\N	\N	\N
858277	2925	1994-03-06	VYDAJ	VYBER	1200	24455	\N	\N	\N
858278	2925	1994-04-05	PRIJEM	VKLAD	1500	28200	\N	\N	\N
858279	2925	1994-05-05	PRIJEM	VKLAD	500	29755	\N	\N	\N
858280	2925	1994-06-04	PRIJEM	VKLAD	2200	30108	\N	\N	\N
858281	2925	1994-07-04	VYDAJ	VYBER	2200	33403	\N	\N	\N
858282	2925	1994-08-03	VYDAJ	VYBER	500	30476	\N	\N	\N
858283	2925	1994-09-02	PRIJEM	VKLAD	200	32945	\N	\N	\N
858284	2925	1994-10-02	VYDAJ	VYBER	2900	32322	\N	\N	\N
858285	2925	1994-11-01	VYDAJ	VYBER	2100	32502	\N	\N	\N
858286	2925	1994-12-01	VYDAJ	VYBER	1800	28072	\N	\N	\N
858287	2925	1994-12-31	VYDAJ	VYBER	700	30963	\N	\N	\N
858288	2925	1995-01-30	PRIJEM	VKLAD	6100	27112	\N	\N	\N
858289	2925	1995-03-01	PRIJEM	VKLAD	200	27745	\N	\N	\N
858290	2925	1995-03-31	PRIJEM	VKLAD	2300	28614	\N	\N	\N
858291	2925	1995-04-30	VYDAJ	VYBER	1200	29657	\N	\N	\N
858292	2925	1995-05-30	VYDAJ	VYBER	100	31706	\N	\N	\N
858293	2925	1995-06-29	VYDAJ	VYBER	4600	32594	\N	\N	\N
858294	2925	1995-07-29	VYDAJ	VYBER	2800	32071	\N	\N	\N
858295	2925	1995-08-28	PRIJEM	VKLAD	800	35145	\N	\N	\N
858296	2925	1995-09-27	VYDAJ	VYBER	4200	33219	\N	\N	\N
858297	2925	1995-10-27	VYDAJ	VYBER	2300	27202	\N	\N	\N
858298	2925	1995-11-26	VYDAJ	VYBER	1300	24871	\N	\N	\N
858299	2925	1995-12-26	VYDAJ	VYBER	2200	28139	\N	\N	\N
858300	2925	1996-01-25	PRIJEM	VKLAD	600	23385	\N	\N	\N
858301	2925	1996-02-24	PRIJEM	VKLAD	4900	25318	\N	\N	\N
858302	2925	1996-03-25	PRIJEM	VKLAD	1400	26939	\N	\N	\N
858303	2925	1996-04-24	VYDAJ	VYBER	2500	26676	\N	\N	\N
858304	2925	1996-05-24	VYDAJ	VYBER	3500	25424	\N	\N	\N
858305	2925	1996-06-23	VYDAJ	VYBER	6200	24693	\N	\N	\N
858306	2925	1996-07-23	VYDAJ	VYBER	3600	21138	\N	\N	\N
858307	2925	1996-08-22	VYDAJ	VYBER	4500	18870	\N	\N	\N
858308	2925	1996-09-21	VYDAJ	VYBER	6500	14591	\N	\N	\N
858309	2925	1996-10-21	VYDAJ	VYBER	500	16298	\N	\N	\N
858310	2925	1996-11-20	VYDAJ	VYBER	4900	13596	\N	\N	\N
858311	2925	1997-06-18	VYDAJ	VYBER	16700	14631	\N	\N	\N
858384	2926	1993-01-14	PRIJEM	VKLAD	600	600	\N	\N	\N
858386	2926	1993-02-09	PRIJEM	VKLAD	10584	11184	\N	\N	\N
858387	2926	1993-03-09	PRIJEM	VKLAD	10584	30816	\N	\N	\N
858388	2926	1993-04-09	PRIJEM	VKLAD	10584	36597	\N	\N	\N
858389	2926	1993-05-09	PRIJEM	VKLAD	10584	40498	\N	\N	\N
858390	2926	1993-06-09	PRIJEM	VKLAD	15876	49006	\N	\N	\N
858391	2926	1993-07-09	PRIJEM	VKLAD	10584	43817	\N	\N	\N
858392	2926	1993-08-09	PRIJEM	VKLAD	10584	41521	\N	\N	\N
858393	2926	1993-09-09	PRIJEM	VKLAD	10584	40115	\N	\N	\N
858394	2926	1993-10-09	PRIJEM	VKLAD	10584	36237	\N	\N	\N
858395	2926	1993-11-09	PRIJEM	VKLAD	10584	39524	\N	\N	\N
858396	2926	1993-12-09	PRIJEM	VKLAD	15876	46610	\N	\N	\N
858397	2926	1994-01-09	PRIJEM	VKLAD	10584	37125	\N	\N	\N
858398	2926	1994-02-09	PRIJEM	VKLAD	10584	31288	\N	\N	\N
858399	2926	1994-03-09	PRIJEM	VKLAD	10584	37957	\N	\N	\N
858400	2926	1994-04-09	PRIJEM	VKLAD	10584	37637	\N	\N	\N
858401	2926	1994-05-09	PRIJEM	VKLAD	10584	39123	\N	\N	\N
858402	2926	1994-06-09	PRIJEM	VKLAD	15876	42604	\N	\N	\N
858403	2926	1994-07-09	PRIJEM	VKLAD	10584	40510	\N	\N	\N
858404	2926	1994-08-09	PRIJEM	VKLAD	10584	44225	\N	\N	\N
858405	2926	1994-09-09	PRIJEM	VKLAD	10584	41005	\N	\N	\N
858406	2926	1994-10-09	PRIJEM	VKLAD	10584	39739	\N	\N	\N
858407	2926	1994-11-09	PRIJEM	VKLAD	10584	41024	\N	\N	\N
858408	2926	1994-12-09	PRIJEM	VKLAD	15876	49430	\N	\N	\N
858409	2926	1995-01-09	PRIJEM	VKLAD	10584	41096	\N	\N	\N
858410	2926	1995-02-09	PRIJEM	VKLAD	10584	39100	\N	\N	\N
858411	2926	1995-03-09	PRIJEM	VKLAD	10584	41008	\N	\N	\N
858412	2926	1995-04-09	PRIJEM	VKLAD	10584	40718	\N	\N	\N
858413	2926	1995-05-09	PRIJEM	VKLAD	10584	42029	\N	\N	\N
858414	2926	1995-06-09	PRIJEM	VKLAD	15876	51144	\N	\N	\N
858415	2926	1995-07-09	PRIJEM	VKLAD	10584	47697	\N	\N	\N
858416	2926	1995-08-09	PRIJEM	VKLAD	10584	48446	\N	\N	\N
858417	2926	1995-09-09	PRIJEM	VKLAD	10584	48449	\N	\N	\N
858418	2926	1995-10-09	PRIJEM	VKLAD	10584	46215	\N	\N	\N
858419	2926	1995-11-09	PRIJEM	VKLAD	10584	44732	\N	\N	\N
858420	2926	1995-12-09	PRIJEM	VKLAD	15876	51652	\N	\N	\N
858421	2926	1996-01-09	PRIJEM	VKLAD	10584	42152	\N	\N	\N
858422	2926	1996-02-09	PRIJEM	VKLAD	10584	43396	\N	\N	\N
858423	2926	1996-03-09	PRIJEM	VKLAD	10584	49712	\N	\N	\N
858424	2926	1996-04-09	PRIJEM	VKLAD	10584	52472	\N	\N	\N
858425	2926	1996-05-09	PRIJEM	VKLAD	10584	47024	\N	\N	\N
858426	2926	1996-06-09	PRIJEM	VKLAD	15876	53651	\N	\N	\N
858427	2926	1996-07-09	PRIJEM	VKLAD	10584	45823	\N	\N	\N
858428	2926	1996-08-09	PRIJEM	VKLAD	10584	46252	\N	\N	\N
858429	2926	1996-09-09	PRIJEM	VKLAD	10584	47582	\N	\N	\N
858430	2926	1996-10-09	PRIJEM	VKLAD	10584	49620	\N	\N	\N
858431	2926	1996-11-09	PRIJEM	VKLAD	10584	51764	\N	\N	\N
858432	2926	1996-12-09	PRIJEM	VKLAD	15876	54022	\N	\N	\N
858433	2926	1997-01-09	PRIJEM	VKLAD	10584	53257	\N	\N	\N
858434	2926	1997-02-09	PRIJEM	VKLAD	10584	42018	\N	\N	\N
858435	2926	1997-03-09	PRIJEM	VKLAD	10584	45151	\N	\N	\N
858436	2926	1997-04-09	PRIJEM	VKLAD	10584	51380	\N	\N	\N
858437	2926	1997-05-09	PRIJEM	VKLAD	10584	51787	\N	\N	\N
858438	2926	1997-06-09	PRIJEM	VKLAD	15876	34351	\N	\N	\N
858439	2926	1997-07-09	PRIJEM	VKLAD	10584	49452	\N	\N	\N
858440	2926	1997-08-09	PRIJEM	VKLAD	10584	56601	\N	\N	\N
858441	2926	1997-09-09	PRIJEM	VKLAD	10584	62276	\N	\N	\N
858442	2926	1997-10-09	PRIJEM	VKLAD	10584	62464	\N	\N	\N
858443	2926	1997-11-09	PRIJEM	VKLAD	10584	55472	\N	\N	\N
858444	2926	1997-12-09	PRIJEM	VKLAD	15876	60526	\N	\N	\N
858445	2926	1998-01-09	PRIJEM	VKLAD	10584	47588	\N	\N	\N
858446	2926	1998-02-09	PRIJEM	VKLAD	10584	43013	\N	\N	\N
858447	2926	1998-03-09	PRIJEM	VKLAD	10584	53037	\N	\N	\N
858448	2926	1998-04-09	PRIJEM	VKLAD	10584	52221	\N	\N	\N
858449	2926	1998-05-09	PRIJEM	VKLAD	10584	51988	\N	\N	\N
858450	2926	1998-06-09	PRIJEM	VKLAD	15876	56322	\N	\N	\N
858451	2926	1998-07-09	PRIJEM	VKLAD	10584	33670	\N	\N	\N
858452	2926	1998-08-09	PRIJEM	VKLAD	10584	37844	\N	\N	\N
858453	2926	1998-09-09	PRIJEM	VKLAD	10584	42336	\N	\N	\N
858454	2926	1998-10-09	PRIJEM	VKLAD	10584	48048	\N	\N	\N
858455	2926	1998-11-09	PRIJEM	VKLAD	10584	50276	\N	\N	\N
858456	2926	1998-12-09	PRIJEM	VKLAD	15876	53522	\N	\N	\N
858462	2926	1993-06-12	VYDAJ	PREVOD NA UCET	1348	46091	SIPO	WX	66115546
858463	2926	1993-07-12	VYDAJ	PREVOD NA UCET	1348	40902	SIPO	WX	66115546
858464	2926	1993-08-12	VYDAJ	PREVOD NA UCET	1348	30506	SIPO	WX	66115546
858465	2926	1993-09-12	VYDAJ	PREVOD NA UCET	1348	28299	SIPO	WX	66115546
858466	2926	1993-10-12	VYDAJ	PREVOD NA UCET	1348	29922	SIPO	WX	66115546
858467	2926	1993-11-12	VYDAJ	PREVOD NA UCET	1348	31709	SIPO	WX	66115546
858468	2926	1993-12-12	VYDAJ	PREVOD NA UCET	1348	31995	SIPO	WX	66115546
858469	2926	1994-01-12	VYDAJ	PREVOD NA UCET	1348	23629	SIPO	WX	66115546
858470	2926	1994-02-12	VYDAJ	PREVOD NA UCET	1348	28373	SIPO	WX	66115546
858471	2926	1994-03-12	VYDAJ	PREVOD NA UCET	1348	28741	SIPO	WX	66115546
858472	2926	1994-04-12	VYDAJ	PREVOD NA UCET	1348	30221	SIPO	WX	66115546
858473	2926	1994-05-12	VYDAJ	PREVOD NA UCET	1348	29808	SIPO	WX	66115546
858474	2926	1994-06-12	VYDAJ	PREVOD NA UCET	1348	39689	SIPO	WX	66115546
858475	2926	1994-07-12	VYDAJ	PREVOD NA UCET	1348	38294	SIPO	WX	66115546
858476	2926	1994-08-12	VYDAJ	PREVOD NA UCET	1348	38769	SIPO	WX	66115546
858477	2926	1994-09-12	VYDAJ	PREVOD NA UCET	1348	38789	SIPO	WX	66115546
858478	2926	1994-10-12	VYDAJ	PREVOD NA UCET	1348	33704	SIPO	WX	66115546
858479	2926	1994-11-12	VYDAJ	PREVOD NA UCET	1348	38109	SIPO	WX	66115546
858480	2926	1994-12-12	VYDAJ	PREVOD NA UCET	1348	47214	SIPO	WX	66115546
858481	2926	1995-01-12	VYDAJ	PREVOD NA UCET	1348	38181	SIPO	WX	66115546
858482	2926	1995-02-12	VYDAJ	PREVOD NA UCET	1348	36185	SIPO	WX	66115546
858483	2926	1995-03-12	VYDAJ	PREVOD NA UCET	1348	38792	SIPO	WX	66115546
858484	2926	1995-04-12	VYDAJ	PREVOD NA UCET	1348	37803	SIPO	WX	66115546
858485	2926	1995-05-12	VYDAJ	PREVOD NA UCET	1348	39114	SIPO	WX	66115546
858486	2926	1995-06-12	VYDAJ	PREVOD NA UCET	1348	48928	SIPO	WX	66115546
858487	2926	1995-07-12	VYDAJ	PREVOD NA UCET	1348	44782	SIPO	WX	66115546
858488	2926	1995-08-12	VYDAJ	PREVOD NA UCET	1348	45531	SIPO	WX	66115546
858489	2926	1995-09-12	VYDAJ	PREVOD NA UCET	1348	46233	SIPO	WX	66115546
858490	2926	1995-10-12	VYDAJ	PREVOD NA UCET	1348	43300	SIPO	WX	66115546
858491	2926	1995-11-12	VYDAJ	PREVOD NA UCET	1348	42516	SIPO	WX	66115546
858492	2926	1995-12-12	VYDAJ	PREVOD NA UCET	1348	48737	SIPO	WX	66115546
858493	2926	1996-01-12	VYDAJ	PREVOD NA UCET	1348	39237	SIPO	WX	66115546
858494	2926	1996-02-12	VYDAJ	PREVOD NA UCET	1348	40481	SIPO	WX	66115546
858495	2926	1996-03-12	VYDAJ	PREVOD NA UCET	1348	44016	SIPO	WX	66115546
858496	2926	1996-04-12	VYDAJ	PREVOD NA UCET	1348	40776	SIPO	WX	66115546
858497	2926	1996-05-12	VYDAJ	PREVOD NA UCET	1348	44109	SIPO	WX	66115546
858498	2926	1996-06-12	VYDAJ	PREVOD NA UCET	1348	50736	SIPO	WX	66115546
858499	2926	1996-07-12	VYDAJ	PREVOD NA UCET	1348	43607	SIPO	WX	66115546
858500	2926	1996-08-12	VYDAJ	PREVOD NA UCET	1348	44036	SIPO	WX	66115546
858501	2926	1996-09-12	VYDAJ	PREVOD NA UCET	1348	44667	SIPO	WX	66115546
858502	2926	1996-10-12	VYDAJ	PREVOD NA UCET	1348	47404	SIPO	WX	66115546
858503	2926	1996-11-12	VYDAJ	PREVOD NA UCET	1348	48849	SIPO	WX	66115546
858504	2926	1996-12-12	VYDAJ	PREVOD NA UCET	1348	51107	SIPO	WX	66115546
858505	2926	1997-01-12	VYDAJ	PREVOD NA UCET	1348	51041	SIPO	WX	66115546
858506	2926	1997-02-12	VYDAJ	PREVOD NA UCET	1348	39802	SIPO	WX	66115546
858507	2926	1997-03-12	VYDAJ	PREVOD NA UCET	1348	42935	SIPO	WX	66115546
858508	2926	1997-04-12	VYDAJ	PREVOD NA UCET	1348	48465	SIPO	WX	66115546
858509	2926	1997-05-12	VYDAJ	PREVOD NA UCET	1348	49571	SIPO	WX	66115546
858510	2926	1997-06-12	VYDAJ	PREVOD NA UCET	1348	32135	SIPO	WX	66115546
858511	2926	1997-07-12	VYDAJ	PREVOD NA UCET	1348	46537	SIPO	WX	66115546
858512	2926	1997-08-12	VYDAJ	PREVOD NA UCET	1348	54385	SIPO	WX	66115546
858513	2926	1997-09-12	VYDAJ	PREVOD NA UCET	1348	60060	SIPO	WX	66115546
858514	2926	1997-10-12	VYDAJ	PREVOD NA UCET	1348	59549	SIPO	WX	66115546
858515	2926	1997-11-12	VYDAJ	PREVOD NA UCET	1348	52557	SIPO	WX	66115546
858516	2926	1997-12-12	VYDAJ	PREVOD NA UCET	1348	58310	SIPO	WX	66115546
858517	2926	1998-01-12	VYDAJ	PREVOD NA UCET	1348	41793	SIPO	WX	66115546
858518	2926	1998-02-12	VYDAJ	PREVOD NA UCET	1348	40797	SIPO	WX	66115546
858519	2926	1998-03-12	VYDAJ	PREVOD NA UCET	1348	50821	SIPO	WX	66115546
858520	2926	1998-04-12	VYDAJ	PREVOD NA UCET	1348	49306	SIPO	WX	66115546
858521	2926	1998-05-12	VYDAJ	PREVOD NA UCET	1348	49772	SIPO	WX	66115546
858522	2926	1998-06-12	VYDAJ	PREVOD NA UCET	1348	53407	SIPO	WX	66115546
858523	2926	1998-07-12	VYDAJ	PREVOD NA UCET	1348	31454	SIPO	WX	66115546
858524	2926	1998-08-12	VYDAJ	PREVOD NA UCET	1348	34929	SIPO	WX	66115546
858525	2926	1998-09-12	VYDAJ	PREVOD NA UCET	1348	39421	SIPO	WX	66115546
858526	2926	1998-10-12	VYDAJ	PREVOD NA UCET	1348	45133	SIPO	WX	66115546
858527	2926	1998-11-12	VYDAJ	PREVOD NA UCET	1348	47361	SIPO	WX	66115546
858528	2926	1998-12-12	VYDAJ	PREVOD NA UCET	1348	51306	SIPO	WX	66115546
858535	2926	1993-07-05	VYDAJ	PREVOD NA UCET	1093	33233	 	WX	11561584
858536	2926	1993-08-05	VYDAJ	PREVOD NA UCET	1093	30937	 	WX	11561584
858537	2926	1993-09-05	VYDAJ	PREVOD NA UCET	1093	29531	 	WX	11561584
858538	2926	1993-10-05	VYDAJ	PREVOD NA UCET	1093	25653	 	WX	11561584
858539	2926	1993-11-05	VYDAJ	PREVOD NA UCET	1093	28940	 	WX	11561584
858540	2926	1993-12-05	VYDAJ	PREVOD NA UCET	1093	30734	 	WX	11561584
858541	2926	1994-01-05	VYDAJ	PREVOD NA UCET	1093	26541	 	WX	11561584
858542	2926	1994-02-05	VYDAJ	PREVOD NA UCET	1093	16404	 	WX	11561584
858543	2926	1994-03-05	VYDAJ	PREVOD NA UCET	1093	27373	 	WX	11561584
858544	2926	1994-04-05	VYDAJ	PREVOD NA UCET	1093	27053	 	WX	11561584
858545	2926	1994-05-05	VYDAJ	PREVOD NA UCET	1093	28539	 	WX	11561584
858546	2926	1994-06-05	VYDAJ	PREVOD NA UCET	1093	28828	 	WX	11561584
858547	2926	1994-07-05	VYDAJ	PREVOD NA UCET	1093	33326	 	WX	11561584
858548	2926	1994-08-05	VYDAJ	PREVOD NA UCET	1093	36641	 	WX	11561584
858549	2926	1994-09-05	VYDAJ	PREVOD NA UCET	1093	37121	 	WX	11561584
858550	2926	1994-10-05	VYDAJ	PREVOD NA UCET	1093	34255	 	WX	11561584
858551	2926	1994-11-05	VYDAJ	PREVOD NA UCET	1093	32740	 	WX	11561584
858552	2926	1994-12-05	VYDAJ	PREVOD NA UCET	1093	37154	 	WX	11561584
858553	2926	1995-01-05	VYDAJ	PREVOD NA UCET	1093	30512	 	WX	11561584
858554	2926	1995-02-05	VYDAJ	PREVOD NA UCET	1093	28516	 	WX	11561584
858555	2926	1995-03-05	VYDAJ	PREVOD NA UCET	1093	35224	 	WX	11561584
858556	2926	1995-04-05	VYDAJ	PREVOD NA UCET	1093	30134	 	WX	11561584
858557	2926	1995-05-05	VYDAJ	PREVOD NA UCET	1093	31445	 	WX	11561584
858558	2926	1995-06-05	VYDAJ	PREVOD NA UCET	1093	35268	 	WX	11561584
858559	2926	1995-07-05	VYDAJ	PREVOD NA UCET	1093	37113	 	WX	11561584
858560	2926	1995-08-05	VYDAJ	PREVOD NA UCET	1093	37862	 	WX	11561584
858561	2926	1995-09-05	VYDAJ	PREVOD NA UCET	1093	37865	 	WX	11561584
858562	2926	1995-10-05	VYDAJ	PREVOD NA UCET	1093	35631	 	WX	11561584
858563	2926	1995-11-05	VYDAJ	PREVOD NA UCET	1093	34148	 	WX	11561584
858564	2926	1995-12-05	VYDAJ	PREVOD NA UCET	1093	35776	 	WX	11561584
858565	2926	1996-01-05	VYDAJ	PREVOD NA UCET	1093	34328	 	WX	11561584
858566	2926	1996-02-05	VYDAJ	PREVOD NA UCET	1093	32812	 	WX	11561584
858567	2926	1996-03-05	VYDAJ	PREVOD NA UCET	1093	39128	 	WX	11561584
858568	2926	1996-04-05	VYDAJ	PREVOD NA UCET	1093	41888	 	WX	11561584
858569	2926	1996-05-05	VYDAJ	PREVOD NA UCET	1093	36440	 	WX	11561584
858570	2926	1996-06-05	VYDAJ	PREVOD NA UCET	1093	37775	 	WX	11561584
858571	2926	1996-07-05	VYDAJ	PREVOD NA UCET	1093	35239	 	WX	11561584
858572	2926	1996-08-05	VYDAJ	PREVOD NA UCET	1093	35668	 	WX	11561584
858573	2926	1996-09-05	VYDAJ	PREVOD NA UCET	1093	36998	 	WX	11561584
858574	2926	1996-10-05	VYDAJ	PREVOD NA UCET	1093	39036	 	WX	11561584
858575	2926	1996-11-05	VYDAJ	PREVOD NA UCET	1093	41180	 	WX	11561584
858576	2926	1996-12-05	VYDAJ	PREVOD NA UCET	1093	38146	 	WX	11561584
858577	2926	1997-01-05	VYDAJ	PREVOD NA UCET	1093	45193	 	WX	11561584
858578	2926	1997-02-05	VYDAJ	PREVOD NA UCET	1093	31434	 	WX	11561584
858579	2926	1997-03-05	VYDAJ	PREVOD NA UCET	1093	34567	 	WX	11561584
858580	2926	1997-04-05	VYDAJ	PREVOD NA UCET	1093	40796	 	WX	11561584
858581	2926	1997-05-05	VYDAJ	PREVOD NA UCET	1093	41203	 	WX	11561584
858582	2926	1997-06-05	VYDAJ	PREVOD NA UCET	1093	18475	 	WX	11561584
858583	2926	1997-07-05	VYDAJ	PREVOD NA UCET	1093	38868	 	WX	11561584
858584	2926	1997-08-05	VYDAJ	PREVOD NA UCET	1093	46017	 	WX	11561584
858585	2926	1997-09-05	VYDAJ	PREVOD NA UCET	1093	51692	 	WX	11561584
858586	2926	1997-10-05	VYDAJ	PREVOD NA UCET	1093	51880	 	WX	11561584
858587	2926	1997-11-05	VYDAJ	PREVOD NA UCET	1093	44888	 	WX	11561584
858588	2926	1997-12-05	VYDAJ	PREVOD NA UCET	1093	44650	 	WX	11561584
858589	2926	1998-01-05	VYDAJ	PREVOD NA UCET	1093	39644	 	WX	11561584
858590	2926	1998-02-05	VYDAJ	PREVOD NA UCET	1093	32429	 	WX	11561584
858591	2926	1998-03-05	VYDAJ	PREVOD NA UCET	1093	42453	 	WX	11561584
858592	2926	1998-04-05	VYDAJ	PREVOD NA UCET	1093	41637	 	WX	11561584
858593	2926	1998-05-05	VYDAJ	PREVOD NA UCET	1093	41404	 	WX	11561584
858594	2926	1998-06-05	VYDAJ	PREVOD NA UCET	1093	40446	 	WX	11561584
858595	2926	1998-07-05	VYDAJ	PREVOD NA UCET	1093	23086	 	WX	11561584
858596	2926	1998-08-05	VYDAJ	PREVOD NA UCET	1093	27260	 	WX	11561584
858597	2926	1998-09-05	VYDAJ	PREVOD NA UCET	1093	31752	 	WX	11561584
858598	2926	1998-10-05	VYDAJ	PREVOD NA UCET	1093	37464	 	WX	11561584
858599	2926	1998-11-05	VYDAJ	PREVOD NA UCET	1093	39692	 	WX	11561584
858600	2926	1998-12-05	VYDAJ	PREVOD NA UCET	1093	37646	 	WX	11561584
858606	2926	1993-06-09	VYDAJ	PREVOD NA UCET	868	48138	POJISTNE	GH	88491463
858607	2926	1993-07-09	VYDAJ	PREVOD NA UCET	868	42949	POJISTNE	GH	88491463
858608	2926	1993-08-09	VYDAJ	PREVOD NA UCET	868	40653	POJISTNE	GH	88491463
858609	2926	1993-09-09	VYDAJ	PREVOD NA UCET	868	39247	POJISTNE	GH	88491463
858610	2926	1993-10-09	VYDAJ	PREVOD NA UCET	868	35369	POJISTNE	GH	88491463
858611	2926	1993-11-09	VYDAJ	PREVOD NA UCET	868	38656	POJISTNE	GH	88491463
858612	2926	1993-12-09	VYDAJ	PREVOD NA UCET	868	45742	POJISTNE	GH	88491463
858613	2926	1994-01-09	VYDAJ	PREVOD NA UCET	868	36257	POJISTNE	GH	88491463
858614	2926	1994-02-09	VYDAJ	PREVOD NA UCET	868	30420	POJISTNE	GH	88491463
858615	2926	1994-03-09	VYDAJ	PREVOD NA UCET	868	37089	POJISTNE	GH	88491463
858616	2926	1994-04-09	VYDAJ	PREVOD NA UCET	868	31569	POJISTNE	GH	88491463
858617	2926	1994-05-09	VYDAJ	PREVOD NA UCET	868	38255	POJISTNE	GH	88491463
858618	2926	1994-06-09	VYDAJ	PREVOD NA UCET	868	41736	POJISTNE	GH	88491463
858619	2926	1994-07-09	VYDAJ	PREVOD NA UCET	868	39642	POJISTNE	GH	88491463
858620	2926	1994-08-09	VYDAJ	PREVOD NA UCET	868	43357	POJISTNE	GH	88491463
858621	2926	1994-09-09	VYDAJ	PREVOD NA UCET	868	40137	POJISTNE	GH	88491463
858622	2926	1994-10-09	VYDAJ	PREVOD NA UCET	868	38871	POJISTNE	GH	88491463
858623	2926	1994-11-09	VYDAJ	PREVOD NA UCET	868	40156	POJISTNE	GH	88491463
858624	2926	1994-12-09	VYDAJ	PREVOD NA UCET	868	48562	POJISTNE	GH	88491463
858625	2926	1995-01-09	VYDAJ	PREVOD NA UCET	868	40228	POJISTNE	GH	88491463
858626	2926	1995-02-09	VYDAJ	PREVOD NA UCET	868	38232	POJISTNE	GH	88491463
858627	2926	1995-03-09	VYDAJ	PREVOD NA UCET	868	40140	POJISTNE	GH	88491463
858628	2926	1995-04-09	VYDAJ	PREVOD NA UCET	868	39850	POJISTNE	GH	88491463
858629	2926	1995-05-09	VYDAJ	PREVOD NA UCET	868	41161	POJISTNE	GH	88491463
858630	2926	1995-06-09	VYDAJ	PREVOD NA UCET	868	50276	POJISTNE	GH	88491463
858631	2926	1995-07-09	VYDAJ	PREVOD NA UCET	868	46829	POJISTNE	GH	88491463
858632	2926	1995-08-09	VYDAJ	PREVOD NA UCET	868	47578	POJISTNE	GH	88491463
858633	2926	1995-09-09	VYDAJ	PREVOD NA UCET	868	47581	POJISTNE	GH	88491463
858634	2926	1995-10-09	VYDAJ	PREVOD NA UCET	868	45347	POJISTNE	GH	88491463
858635	2926	1995-11-09	VYDAJ	PREVOD NA UCET	868	43864	POJISTNE	GH	88491463
858636	2926	1995-12-09	VYDAJ	PREVOD NA UCET	868	50784	POJISTNE	GH	88491463
858637	2926	1996-01-09	VYDAJ	PREVOD NA UCET	868	41284	POJISTNE	GH	88491463
858638	2926	1996-02-09	VYDAJ	PREVOD NA UCET	868	42528	POJISTNE	GH	88491463
858639	2926	1996-03-09	VYDAJ	PREVOD NA UCET	868	48844	POJISTNE	GH	88491463
858640	2926	1996-04-09	VYDAJ	PREVOD NA UCET	868	51604	POJISTNE	GH	88491463
858641	2926	1996-05-09	VYDAJ	PREVOD NA UCET	868	46156	POJISTNE	GH	88491463
858642	2926	1996-06-09	VYDAJ	PREVOD NA UCET	868	52783	POJISTNE	GH	88491463
858643	2926	1996-07-09	VYDAJ	PREVOD NA UCET	868	44955	POJISTNE	GH	88491463
858644	2926	1996-08-09	VYDAJ	PREVOD NA UCET	868	45384	POJISTNE	GH	88491463
858645	2926	1996-09-09	VYDAJ	PREVOD NA UCET	868	46714	POJISTNE	GH	88491463
858646	2926	1996-10-09	VYDAJ	PREVOD NA UCET	868	48752	POJISTNE	GH	88491463
858647	2926	1996-11-09	VYDAJ	PREVOD NA UCET	868	50896	POJISTNE	GH	88491463
858648	2926	1996-12-09	VYDAJ	PREVOD NA UCET	868	53154	POJISTNE	GH	88491463
858649	2926	1997-01-09	VYDAJ	PREVOD NA UCET	868	52389	POJISTNE	GH	88491463
858650	2926	1997-02-09	VYDAJ	PREVOD NA UCET	868	41150	POJISTNE	GH	88491463
858651	2926	1997-03-09	VYDAJ	PREVOD NA UCET	868	44283	POJISTNE	GH	88491463
858652	2926	1997-04-09	VYDAJ	PREVOD NA UCET	868	50512	POJISTNE	GH	88491463
858653	2926	1997-05-09	VYDAJ	PREVOD NA UCET	868	50919	POJISTNE	GH	88491463
858654	2926	1997-06-09	VYDAJ	PREVOD NA UCET	868	33483	POJISTNE	GH	88491463
858655	2926	1997-07-09	VYDAJ	PREVOD NA UCET	868	48584	POJISTNE	GH	88491463
858656	2926	1997-08-09	VYDAJ	PREVOD NA UCET	868	55733	POJISTNE	GH	88491463
858657	2926	1997-09-09	VYDAJ	PREVOD NA UCET	868	61408	POJISTNE	GH	88491463
858658	2926	1997-10-09	VYDAJ	PREVOD NA UCET	868	61596	POJISTNE	GH	88491463
858659	2926	1997-11-09	VYDAJ	PREVOD NA UCET	868	54604	POJISTNE	GH	88491463
858660	2926	1997-12-09	VYDAJ	PREVOD NA UCET	868	59658	POJISTNE	GH	88491463
858661	2926	1998-01-09	VYDAJ	PREVOD NA UCET	868	46720	POJISTNE	GH	88491463
858662	2926	1998-02-09	VYDAJ	PREVOD NA UCET	868	42145	POJISTNE	GH	88491463
858663	2926	1998-03-09	VYDAJ	PREVOD NA UCET	868	52169	POJISTNE	GH	88491463
858664	2926	1998-04-09	VYDAJ	PREVOD NA UCET	868	51353	POJISTNE	GH	88491463
858665	2926	1998-05-09	VYDAJ	PREVOD NA UCET	868	51120	POJISTNE	GH	88491463
858666	2926	1998-06-09	VYDAJ	PREVOD NA UCET	868	55454	POJISTNE	GH	88491463
858667	2926	1998-07-09	VYDAJ	PREVOD NA UCET	868	32802	POJISTNE	GH	88491463
858668	2926	1998-08-09	VYDAJ	PREVOD NA UCET	868	36976	POJISTNE	GH	88491463
858669	2926	1998-09-09	VYDAJ	PREVOD NA UCET	868	41468	POJISTNE	GH	88491463
858670	2926	1998-10-09	VYDAJ	PREVOD NA UCET	868	47180	POJISTNE	GH	88491463
858671	2926	1998-11-09	VYDAJ	PREVOD NA UCET	868	49408	POJISTNE	GH	88491463
858672	2926	1998-12-09	VYDAJ	PREVOD NA UCET	868	52654	POJISTNE	GH	88491463
858678	2926	1993-06-12	VYDAJ	PREVOD NA UCET	699	47439	 	UV	98638396
858679	2926	1993-07-12	VYDAJ	PREVOD NA UCET	699	42250	 	UV	98638396
858680	2926	1993-08-12	VYDAJ	PREVOD NA UCET	699	31854	 	UV	98638396
858681	2926	1993-09-12	VYDAJ	PREVOD NA UCET	699	27600	 	UV	98638396
858682	2926	1993-10-12	VYDAJ	PREVOD NA UCET	699	31270	 	UV	98638396
858683	2926	1993-11-12	VYDAJ	PREVOD NA UCET	699	33057	 	UV	98638396
858684	2926	1993-12-12	VYDAJ	PREVOD NA UCET	699	33343	 	UV	98638396
858685	2926	1994-01-12	VYDAJ	PREVOD NA UCET	699	22930	 	UV	98638396
858686	2926	1994-02-12	VYDAJ	PREVOD NA UCET	699	29721	 	UV	98638396
858687	2926	1994-03-12	VYDAJ	PREVOD NA UCET	699	28042	 	UV	98638396
858688	2926	1994-04-12	VYDAJ	PREVOD NA UCET	699	29522	 	UV	98638396
858689	2926	1994-05-12	VYDAJ	PREVOD NA UCET	699	31156	 	UV	98638396
858690	2926	1994-06-12	VYDAJ	PREVOD NA UCET	699	41037	 	UV	98638396
858691	2926	1994-07-12	VYDAJ	PREVOD NA UCET	699	37595	 	UV	98638396
858692	2926	1994-08-12	VYDAJ	PREVOD NA UCET	699	38070	 	UV	98638396
858693	2926	1994-09-12	VYDAJ	PREVOD NA UCET	699	38090	 	UV	98638396
858694	2926	1994-10-12	VYDAJ	PREVOD NA UCET	699	35052	 	UV	98638396
858695	2926	1994-11-12	VYDAJ	PREVOD NA UCET	699	39457	 	UV	98638396
858696	2926	1994-12-12	VYDAJ	PREVOD NA UCET	699	46515	 	UV	98638396
858697	2926	1995-01-12	VYDAJ	PREVOD NA UCET	699	39529	 	UV	98638396
858698	2926	1995-02-12	VYDAJ	PREVOD NA UCET	699	37533	 	UV	98638396
858699	2926	1995-03-12	VYDAJ	PREVOD NA UCET	699	38093	 	UV	98638396
858700	2926	1995-04-12	VYDAJ	PREVOD NA UCET	699	39151	 	UV	98638396
858701	2926	1995-05-12	VYDAJ	PREVOD NA UCET	699	40462	 	UV	98638396
858702	2926	1995-06-12	VYDAJ	PREVOD NA UCET	699	48229	 	UV	98638396
858703	2926	1995-07-12	VYDAJ	PREVOD NA UCET	699	46130	 	UV	98638396
858704	2926	1995-08-12	VYDAJ	PREVOD NA UCET	699	46879	 	UV	98638396
858705	2926	1995-09-12	VYDAJ	PREVOD NA UCET	699	45534	 	UV	98638396
858706	2926	1995-10-12	VYDAJ	PREVOD NA UCET	699	44648	 	UV	98638396
858707	2926	1995-11-12	VYDAJ	PREVOD NA UCET	699	41817	 	UV	98638396
858708	2926	1995-12-12	VYDAJ	PREVOD NA UCET	699	50085	 	UV	98638396
858709	2926	1996-01-12	VYDAJ	PREVOD NA UCET	699	40585	 	UV	98638396
858710	2926	1996-02-12	VYDAJ	PREVOD NA UCET	699	41829	 	UV	98638396
858711	2926	1996-03-12	VYDAJ	PREVOD NA UCET	699	43317	 	UV	98638396
858712	2926	1996-04-12	VYDAJ	PREVOD NA UCET	699	40077	 	UV	98638396
858713	2926	1996-05-12	VYDAJ	PREVOD NA UCET	699	45457	 	UV	98638396
858714	2926	1996-06-12	VYDAJ	PREVOD NA UCET	699	52084	 	UV	98638396
858715	2926	1996-07-12	VYDAJ	PREVOD NA UCET	699	42908	 	UV	98638396
858716	2926	1996-08-12	VYDAJ	PREVOD NA UCET	699	43337	 	UV	98638396
858717	2926	1996-09-12	VYDAJ	PREVOD NA UCET	699	46015	 	UV	98638396
858718	2926	1996-10-12	VYDAJ	PREVOD NA UCET	699	46705	 	UV	98638396
858719	2926	1996-11-12	VYDAJ	PREVOD NA UCET	699	50197	 	UV	98638396
858720	2926	1996-12-12	VYDAJ	PREVOD NA UCET	699	52455	 	UV	98638396
858721	2926	1997-01-12	VYDAJ	PREVOD NA UCET	699	50342	 	UV	98638396
858722	2926	1997-02-12	VYDAJ	PREVOD NA UCET	699	39103	 	UV	98638396
858723	2926	1997-03-12	VYDAJ	PREVOD NA UCET	699	42236	 	UV	98638396
858724	2926	1997-04-12	VYDAJ	PREVOD NA UCET	699	49813	 	UV	98638396
858725	2926	1997-05-12	VYDAJ	PREVOD NA UCET	699	48872	 	UV	98638396
858726	2926	1997-06-12	VYDAJ	PREVOD NA UCET	699	31436	 	UV	98638396
858727	2926	1997-07-12	VYDAJ	PREVOD NA UCET	699	47885	 	UV	98638396
858728	2926	1997-08-12	VYDAJ	PREVOD NA UCET	699	53686	 	UV	98638396
858729	2926	1997-09-12	VYDAJ	PREVOD NA UCET	699	59361	 	UV	98638396
858730	2926	1997-10-12	VYDAJ	PREVOD NA UCET	699	60897	 	UV	98638396
858731	2926	1997-11-12	VYDAJ	PREVOD NA UCET	699	53905	 	UV	98638396
858732	2926	1997-12-12	VYDAJ	PREVOD NA UCET	699	57611	 	UV	98638396
858733	2926	1998-01-12	VYDAJ	PREVOD NA UCET	699	43141	 	UV	98638396
858734	2926	1998-02-12	VYDAJ	PREVOD NA UCET	699	40098	 	UV	98638396
858735	2926	1998-03-12	VYDAJ	PREVOD NA UCET	699	50122	 	UV	98638396
858736	2926	1998-04-12	VYDAJ	PREVOD NA UCET	699	50654	 	UV	98638396
858737	2926	1998-05-12	VYDAJ	PREVOD NA UCET	699	49073	 	UV	98638396
858738	2926	1998-06-12	VYDAJ	PREVOD NA UCET	699	54755	 	UV	98638396
858739	2926	1998-07-12	VYDAJ	PREVOD NA UCET	699	30755	 	UV	98638396
858740	2926	1998-08-12	VYDAJ	PREVOD NA UCET	699	36277	 	UV	98638396
858741	2926	1998-09-12	VYDAJ	PREVOD NA UCET	699	40769	 	UV	98638396
858742	2926	1998-10-12	VYDAJ	PREVOD NA UCET	699	46481	 	UV	98638396
858743	2926	1998-11-12	VYDAJ	PREVOD NA UCET	699	48709	 	UV	98638396
858744	2926	1998-12-12	VYDAJ	PREVOD NA UCET	699	50607	 	UV	98638396
858746	2926	1994-06-06	VYDAJ	VYBER	5600	23228	\N	\N	\N
858748	2926	1996-06-14	VYDAJ	VYBER	10560	40176	\N	\N	\N
858749	2926	1997-06-01	VYDAJ	VYBER	26080	19568	\N	\N	\N
858750	2926	1998-06-16	VYDAJ	VYBER	30880	22527	\N	\N	\N
858751	2926	1993-12-19	VYDAJ	VYBER	1600	30395	\N	\N	\N
858752	2926	1994-12-29	VYDAJ	VYBER	4480	42035	\N	\N	\N
858753	2926	1995-12-19	VYDAJ	VYBER	3840	44897	\N	\N	\N
858754	2926	1996-12-24	VYDAJ	VYBER	2080	48307	\N	\N	\N
858755	2926	1997-12-21	VYDAJ	VYBER	2240	44271	\N	\N	\N
858756	2926	1998-12-29	VYDAJ	VYBER	3040	44067	\N	\N	\N
858763	2926	1994-01-12	VYDAJ	VYBER	3360	24977	\N	\N	\N
858764	2926	1994-01-01	VYDAJ	VYBER	2880	27634	\N	\N	\N
858765	2926	1994-01-14	VYDAJ	VYBER	960	21970	\N	\N	\N
858766	2926	1994-01-28	VYDAJ	VYBER	3240	18730	\N	\N	\N
858767	2926	1994-01-11	VYDAJ	VYBER	3120	28337	\N	\N	\N
858768	2926	1994-01-29	VYDAJ	VYBER	1320	17410	\N	\N	\N
858769	2926	1995-01-16	VYDAJ	VYBER	2520	35661	\N	\N	\N
858770	2926	1995-01-04	VYDAJ	VYBER	1680	31605	\N	\N	\N
858771	2926	1995-01-02	VYDAJ	VYBER	3120	39085	\N	\N	\N
858772	2926	1995-01-19	VYDAJ	VYBER	2640	31341	\N	\N	\N
858773	2926	1995-01-26	VYDAJ	VYBER	960	30381	\N	\N	\N
858774	2926	1995-01-18	VYDAJ	VYBER	1680	33981	\N	\N	\N
858775	2926	1996-01-27	VYDAJ	VYBER	2280	23877	\N	\N	\N
858776	2926	1996-01-27	VYDAJ	VYBER	1440	26157	\N	\N	\N
858777	2926	1996-01-26	VYDAJ	VYBER	2520	29997	\N	\N	\N
858778	2926	1996-01-19	VYDAJ	VYBER	1440	32517	\N	\N	\N
858779	2926	1996-01-26	VYDAJ	VYBER	2400	27597	\N	\N	\N
858780	2926	1996-01-07	VYDAJ	VYBER	2760	31568	\N	\N	\N
858781	2926	1997-01-20	VYDAJ	VYBER	1440	44822	\N	\N	\N
858782	2926	1997-01-14	VYDAJ	VYBER	1200	49142	\N	\N	\N
858783	2926	1997-01-26	VYDAJ	VYBER	3000	32362	\N	\N	\N
858784	2926	1997-01-05	VYDAJ	VYBER	2520	42673	\N	\N	\N
858785	2926	1997-01-19	VYDAJ	VYBER	2880	46262	\N	\N	\N
858786	2926	1997-01-20	VYDAJ	VYBER	1920	42902	\N	\N	\N
858787	2926	1998-01-12	VYDAJ	VYBER	2880	43840	\N	\N	\N
858788	2926	1998-01-01	VYDAJ	VYBER	960	41937	\N	\N	\N
858789	2926	1998-01-29	VYDAJ	VYBER	3240	33373	\N	\N	\N
858790	2926	1998-01-24	VYDAJ	VYBER	600	38893	\N	\N	\N
858791	2926	1998-01-28	VYDAJ	VYBER	2280	36613	\N	\N	\N
858792	2926	1998-01-04	VYDAJ	VYBER	1200	40737	\N	\N	\N
858793	2926	1993-09-18	VYDAJ	VYBER	960	26640	\N	\N	\N
858795	2926	1993-07-18	VYDAJ	VYBER	1800	31902	\N	\N	\N
858799	2926	1994-09-21	VYDAJ	VYBER	2880	35210	\N	\N	\N
858800	2926	1994-06-20	VYDAJ	VYBER	5400	34289	\N	\N	\N
858801	2926	1994-10-10	VYDAJ	VYBER	3120	35751	\N	\N	\N
858802	2926	1994-08-12	VYDAJ	VYBER	3240	40117	\N	\N	\N
858803	2926	1995-08-19	VYDAJ	VYBER	2640	42891	\N	\N	\N
858804	2926	1995-10-04	VYDAJ	VYBER	4080	36724	\N	\N	\N
858805	2926	1995-03-24	VYDAJ	VYBER	3360	29693	\N	\N	\N
858806	2926	1995-03-24	VYDAJ	VYBER	5040	33053	\N	\N	\N
858807	2926	1995-11-01	VYDAJ	VYBER	1920	35241	\N	\N	\N
858808	2926	1995-12-30	VYDAJ	VYBER	3720	35257	\N	\N	\N
858809	2926	1995-12-20	VYDAJ	VYBER	1920	42977	\N	\N	\N
858810	2926	1996-02-14	VYDAJ	VYBER	3000	37481	\N	\N	\N
858811	2926	1996-01-17	VYDAJ	VYBER	5280	33957	\N	\N	\N
858812	2926	1996-04-10	VYDAJ	VYBER	4080	47524	\N	\N	\N
858813	2926	1996-11-19	VYDAJ	VYBER	1200	47649	\N	\N	\N
858814	2926	1996-03-10	VYDAJ	VYBER	3480	45364	\N	\N	\N
858815	2926	1996-04-11	VYDAJ	VYBER	5400	42124	\N	\N	\N
858816	2926	1996-12-23	VYDAJ	VYBER	720	50387	\N	\N	\N
858817	2926	1996-11-19	VYDAJ	VYBER	4680	42969	\N	\N	\N
858818	2926	1997-11-03	VYDAJ	VYBER	5280	45981	\N	\N	\N
858819	2926	1997-02-25	VYDAJ	VYBER	2880	35523	\N	\N	\N
858820	2926	1997-12-24	VYDAJ	VYBER	1560	42711	\N	\N	\N
858821	2926	1997-04-19	VYDAJ	VYBER	840	47625	\N	\N	\N
858822	2926	1997-01-25	VYDAJ	VYBER	5040	35362	\N	\N	\N
858823	2926	1998-03-13	VYDAJ	VYBER	2760	47362	\N	\N	\N
858824	2926	1998-04-28	VYDAJ	VYBER	1800	42326	\N	\N	\N
858825	2926	1998-11-29	VYDAJ	VYBER	3480	38581	\N	\N	\N
858826	2926	1998-01-05	VYDAJ	VYBER	2640	37004	\N	\N	\N
858827	2926	1998-04-16	VYDAJ	VYBER	1080	48226	\N	\N	\N
858828	2926	1998-06-25	VYDAJ	VYBER	1680	24047	\N	\N	\N
858835	2926	1993-06-30	VYDAJ	VYBER	15	34326	SLUZBY	\N	\N
858836	2926	1993-07-31	VYDAJ	VYBER	15	32030	SLUZBY	\N	\N
858837	2926	1993-08-31	VYDAJ	VYBER	15	30624	SLUZBY	\N	\N
858838	2926	1993-09-30	VYDAJ	VYBER	15	26746	SLUZBY	\N	\N
858839	2926	1993-10-31	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
858840	2926	1993-11-30	VYDAJ	VYBER	15	31827	SLUZBY	\N	\N
858841	2926	1993-12-31	VYDAJ	VYBER	15	30514	SLUZBY	\N	\N
858842	2926	1994-01-31	VYDAJ	VYBER	15	17497	SLUZBY	\N	\N
858843	2926	1994-02-28	VYDAJ	VYBER	15	28466	SLUZBY	\N	\N
858844	2926	1994-03-31	VYDAJ	VYBER	15	28146	SLUZBY	\N	\N
858845	2926	1994-04-30	VYDAJ	VYBER	15	29632	SLUZBY	\N	\N
858846	2926	1994-05-31	VYDAJ	VYBER	15	29921	SLUZBY	\N	\N
858847	2926	1994-06-30	VYDAJ	VYBER	15	34419	SLUZBY	\N	\N
858848	2926	1994-07-31	VYDAJ	VYBER	15	37734	SLUZBY	\N	\N
858849	2926	1994-08-31	VYDAJ	VYBER	15	38214	SLUZBY	\N	\N
858850	2926	1994-09-30	VYDAJ	VYBER	15	35348	SLUZBY	\N	\N
858851	2926	1994-10-31	VYDAJ	VYBER	15	33833	SLUZBY	\N	\N
858852	2926	1994-11-30	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
858853	2926	1994-12-31	VYDAJ	VYBER	15	42205	SLUZBY	\N	\N
858854	2926	1995-01-31	VYDAJ	VYBER	15	30509	SLUZBY	\N	\N
858855	2926	1995-02-28	VYDAJ	VYBER	15	36317	SLUZBY	\N	\N
858856	2926	1995-03-31	VYDAJ	VYBER	15	29827	SLUZBY	\N	\N
858857	2926	1995-04-30	VYDAJ	VYBER	15	37938	SLUZBY	\N	\N
858858	2926	1995-05-31	VYDAJ	VYBER	15	39261	SLUZBY	\N	\N
858859	2926	1995-06-30	VYDAJ	VYBER	15	48406	SLUZBY	\N	\N
858860	2926	1995-07-31	VYDAJ	VYBER	15	44955	SLUZBY	\N	\N
858861	2926	1995-08-31	VYDAJ	VYBER	15	43058	SLUZBY	\N	\N
858862	2926	1995-09-30	VYDAJ	VYBER	15	45704	SLUZBY	\N	\N
858863	2926	1995-10-31	VYDAJ	VYBER	15	37161	SLUZBY	\N	\N
858864	2926	1995-11-30	VYDAJ	VYBER	15	36869	SLUZBY	\N	\N
858865	2926	1995-12-31	VYDAJ	VYBER	15	35421	SLUZBY	\N	\N
858866	2926	1996-01-31	VYDAJ	VYBER	15	33905	SLUZBY	\N	\N
858867	2926	1996-02-29	VYDAJ	VYBER	15	40221	SLUZBY	\N	\N
858868	2926	1996-03-31	VYDAJ	VYBER	15	42981	SLUZBY	\N	\N
858869	2926	1996-04-30	VYDAJ	VYBER	15	37533	SLUZBY	\N	\N
858870	2926	1996-05-31	VYDAJ	VYBER	15	38868	SLUZBY	\N	\N
858871	2926	1996-06-30	VYDAJ	VYBER	15	36332	SLUZBY	\N	\N
858872	2926	1996-07-31	VYDAJ	VYBER	15	36761	SLUZBY	\N	\N
858873	2926	1996-08-31	VYDAJ	VYBER	15	38091	SLUZBY	\N	\N
858874	2926	1996-09-30	VYDAJ	VYBER	15	40129	SLUZBY	\N	\N
858875	2926	1996-10-31	VYDAJ	VYBER	15	42273	SLUZBY	\N	\N
858876	2926	1996-11-30	VYDAJ	VYBER	15	39239	SLUZBY	\N	\N
858877	2926	1996-12-31	VYDAJ	VYBER	15	46286	SLUZBY	\N	\N
858878	2926	1997-01-31	VYDAJ	VYBER	15	32527	SLUZBY	\N	\N
858879	2926	1997-02-28	VYDAJ	VYBER	15	35660	SLUZBY	\N	\N
858880	2926	1997-03-31	VYDAJ	VYBER	15	41889	SLUZBY	\N	\N
858881	2926	1997-04-30	VYDAJ	VYBER	15	42296	SLUZBY	\N	\N
858882	2926	1997-05-31	VYDAJ	VYBER	15	45648	SLUZBY	\N	\N
858883	2926	1997-06-30	VYDAJ	VYBER	15	39961	SLUZBY	\N	\N
858884	2926	1997-07-31	VYDAJ	VYBER	15	47110	SLUZBY	\N	\N
858885	2926	1997-08-31	VYDAJ	VYBER	15	52785	SLUZBY	\N	\N
858886	2926	1997-09-30	VYDAJ	VYBER	15	52973	SLUZBY	\N	\N
858887	2926	1997-10-31	VYDAJ	VYBER	15	51261	SLUZBY	\N	\N
858888	2926	1997-11-30	VYDAJ	VYBER	15	45743	SLUZBY	\N	\N
858889	2926	1997-12-31	VYDAJ	VYBER	15	42897	SLUZBY	\N	\N
858890	2926	1998-01-31	VYDAJ	VYBER	15	33522	SLUZBY	\N	\N
858891	2926	1998-02-28	VYDAJ	VYBER	15	43546	SLUZBY	\N	\N
858892	2926	1998-03-31	VYDAJ	VYBER	15	42730	SLUZBY	\N	\N
858893	2926	1998-04-30	VYDAJ	VYBER	15	42497	SLUZBY	\N	\N
858894	2926	1998-05-31	VYDAJ	VYBER	15	41539	SLUZBY	\N	\N
858895	2926	1998-06-30	VYDAJ	VYBER	15	24179	SLUZBY	\N	\N
858896	2926	1998-07-31	VYDAJ	VYBER	15	28353	SLUZBY	\N	\N
858897	2926	1998-08-31	VYDAJ	VYBER	15	32845	SLUZBY	\N	\N
858898	2926	1998-09-30	VYDAJ	VYBER	15	38557	SLUZBY	\N	\N
858899	2926	1998-10-31	VYDAJ	VYBER	15	40785	SLUZBY	\N	\N
858900	2926	1998-11-30	VYDAJ	VYBER	15	38739	SLUZBY	\N	\N
858901	2926	1993-02-13	PRIJEM	VKLAD	9000	20184	\N	\N	\N
858902	2926	1993-03-15	VYDAJ	VYBER	4900	25916	\N	\N	\N
858903	2926	1993-04-14	VYDAJ	VYBER	6800	29797	\N	\N	\N
858904	2926	1993-05-14	VYDAJ	VYBER	7500	32998	\N	\N	\N
858905	2926	1993-06-13	VYDAJ	VYBER	11900	34191	\N	\N	\N
858906	2926	1993-07-13	VYDAJ	VYBER	7200	33702	\N	\N	\N
858907	2926	1993-08-12	VYDAJ	VYBER	8100	32553	\N	\N	\N
858908	2926	1993-09-11	VYDAJ	VYBER	9600	29647	\N	\N	\N
858909	2926	1993-10-11	VYDAJ	VYBER	3400	31969	\N	\N	\N
858910	2926	1993-11-10	VYDAJ	VYBER	4900	33756	\N	\N	\N
858911	2926	1993-12-10	VYDAJ	VYBER	11700	34042	\N	\N	\N
858912	2926	1994-01-09	VYDAJ	VYBER	4800	31457	\N	\N	\N
858913	2926	1994-02-08	PRIJEM	VKLAD	4300	20704	\N	\N	\N
858914	2926	1994-03-10	VYDAJ	VYBER	7000	30089	\N	\N	\N
858915	2926	1994-04-09	VYDAJ	VYBER	5200	32437	\N	\N	\N
858916	2926	1994-05-09	VYDAJ	VYBER	6400	31855	\N	\N	\N
858917	2926	1994-06-08	PRIJEM	VKLAD	3500	26728	\N	\N	\N
858918	2926	1994-07-08	VYDAJ	VYBER	3400	29926	\N	\N	\N
858919	2926	1994-08-07	VYDAJ	VYBER	3000	33641	\N	\N	\N
858920	2926	1994-09-06	VYDAJ	VYBER	6700	30421	\N	\N	\N
858921	2926	1994-10-06	VYDAJ	VYBER	5100	29155	\N	\N	\N
858922	2926	1994-11-05	VYDAJ	VYBER	2300	30440	\N	\N	\N
858923	2926	1994-12-05	VYDAJ	VYBER	3600	33554	\N	\N	\N
858924	2926	1995-01-04	VYDAJ	VYBER	5800	33285	\N	\N	\N
858925	2926	1995-02-03	VYDAJ	VYBER	900	29609	\N	\N	\N
858926	2926	1995-03-05	VYDAJ	VYBER	4800	30424	\N	\N	\N
858927	2926	1995-04-04	PRIJEM	VKLAD	1400	31227	\N	\N	\N
858928	2926	1995-05-04	VYDAJ	VYBER	5400	32538	\N	\N	\N
858929	2926	1995-06-03	VYDAJ	VYBER	2900	36361	\N	\N	\N
858930	2926	1995-07-03	VYDAJ	VYBER	10200	38206	\N	\N	\N
858931	2926	1995-08-02	VYDAJ	VYBER	6000	38955	\N	\N	\N
858932	2926	1995-09-01	VYDAJ	VYBER	4100	38958	\N	\N	\N
858933	2926	1995-10-01	VYDAJ	VYBER	4900	40804	\N	\N	\N
858934	2926	1995-10-31	VYDAJ	VYBER	6300	37175	\N	\N	\N
858935	2926	1995-11-30	VYDAJ	VYBER	5100	36883	\N	\N	\N
858936	2926	1995-12-30	VYDAJ	VYBER	4000	38977	\N	\N	\N
858937	2926	1996-01-29	PRIJEM	VKLAD	9900	33777	\N	\N	\N
858938	2926	1996-02-28	PRIJEM	VKLAD	2600	40081	\N	\N	\N
858939	2926	1996-03-29	VYDAJ	VYBER	500	42817	\N	\N	\N
858940	2926	1996-04-28	VYDAJ	VYBER	2700	37377	\N	\N	\N
858941	2926	1996-05-28	VYDAJ	VYBER	5400	38709	\N	\N	\N
858942	2926	1996-06-27	VYDAJ	VYBER	4000	36176	\N	\N	\N
858943	2926	1996-07-27	VYDAJ	VYBER	6300	36608	\N	\N	\N
858944	2926	1996-08-26	VYDAJ	VYBER	5400	37937	\N	\N	\N
858945	2926	1996-09-25	VYDAJ	VYBER	4700	39967	\N	\N	\N
858946	2926	1996-10-25	VYDAJ	VYBER	4600	42105	\N	\N	\N
858947	2926	1996-11-24	VYDAJ	VYBER	3900	39069	\N	\N	\N
858948	2926	1996-12-24	VYDAJ	VYBER	2200	46107	\N	\N	\N
858949	2926	1997-01-23	VYDAJ	VYBER	2500	40402	\N	\N	\N
858950	2926	1997-02-22	VYDAJ	VYBER	700	38403	\N	\N	\N
858951	2926	1997-03-24	VYDAJ	VYBER	500	41736	\N	\N	\N
858952	2926	1997-04-23	VYDAJ	VYBER	5500	42125	\N	\N	\N
858953	2926	1997-05-23	VYDAJ	VYBER	3400	45472	\N	\N	\N
858954	2926	1997-06-22	PRIJEM	VKLAD	8400	39836	\N	\N	\N
858955	2926	1997-07-22	PRIJEM	VKLAD	400	46937	\N	\N	\N
858956	2926	1997-08-21	VYDAJ	VYBER	1100	52586	\N	\N	\N
858957	2926	1997-09-20	VYDAJ	VYBER	6600	52761	\N	\N	\N
858958	2926	1997-10-20	VYDAJ	VYBER	8500	51049	\N	\N	\N
858959	2926	1997-11-19	VYDAJ	VYBER	7000	45557	\N	\N	\N
858960	2926	1997-12-19	VYDAJ	VYBER	11100	46511	\N	\N	\N
858961	2926	1998-01-18	VYDAJ	VYBER	2300	39493	\N	\N	\N
858962	2926	1998-02-17	PRIJEM	VKLAD	3300	43398	\N	\N	\N
858963	2926	1998-03-19	VYDAJ	VYBER	4800	42562	\N	\N	\N
858964	2926	1998-04-18	VYDAJ	VYBER	4100	44126	\N	\N	\N
858965	2926	1998-05-18	VYDAJ	VYBER	7700	41373	\N	\N	\N
858966	2926	1998-06-17	PRIJEM	VKLAD	3200	25727	\N	\N	\N
858967	2926	1998-07-17	VYDAJ	VYBER	2500	28255	\N	\N	\N
858968	2926	1998-08-16	VYDAJ	VYBER	2200	32729	\N	\N	\N
858969	2926	1998-09-15	VYDAJ	VYBER	1000	38421	\N	\N	\N
858970	2926	1998-10-15	VYDAJ	VYBER	4500	40633	\N	\N	\N
858971	2926	1998-11-14	VYDAJ	VYBER	5300	42061	\N	\N	\N
858972	2926	1998-12-14	VYDAJ	VYBER	3500	47107	\N	\N	\N
859044	2927	1997-08-04	PRIJEM	VKLAD	300	300	\N	\N	\N
859046	2927	1997-09-21	PRIJEM	VKLAD	35501	54671	\N	\N	\N
859057	2927	1997-09-16	PRIJEM	VKLAD	8270	19170	\N	\N	\N
859058	2927	1998-11-15	PRIJEM	VKLAD	46319	82763	\N	\N	\N
859059	2927	1998-06-07	PRIJEM	VKLAD	35541	99590	\N	\N	\N
859060	2927	1998-12-09	PRIJEM	VKLAD	10007	46864	\N	\N	\N
859061	2927	1998-05-19	PRIJEM	VKLAD	40889	82629	\N	\N	\N
859062	2927	1998-08-30	PRIJEM	VKLAD	32582	98749	\N	\N	\N
859063	2927	1998-09-15	PRIJEM	VKLAD	14076	113126	\N	\N	\N
859101	2927	1998-11-03	VYBER	VYBER	7797	36444	\N	\N	\N
859102	2927	1998-12-01	VYBER	VYBER	3178	61329	\N	\N	\N
859104	2927	1998-12-02	VYBER	VYBER	21472	39857	\N	\N	\N
859105	2927	1998-10-03	VYBER	VYBER	15970	40261	\N	\N	\N
859112	2927	1998-12-04	VYDAJ	VYBER KARTOU	3000	36857	\N	\N	0
859130	2927	1998-12-28	VYDAJ	VYBER	10200	35264	\N	\N	\N
859132	2927	1998-10-17	VYDAJ	VYBER	6600	33661	\N	\N	\N
859156	2927	1998-08-31	VYDAJ	VYBER	15	99050	SLUZBY	\N	\N
859157	2927	1998-09-30	VYDAJ	VYBER	15	56231	SLUZBY	\N	\N
859158	2927	1998-10-31	VYDAJ	VYBER	15	44241	SLUZBY	\N	\N
859159	2927	1998-11-30	VYDAJ	VYBER	15	64507	SLUZBY	\N	\N
859160	2927	1997-09-03	PRIJEM	VKLAD	10600	10900	\N	\N	\N
859161	2927	1997-10-03	VYDAJ	VYBER	18200	36560	\N	\N	\N
859162	2927	1997-11-02	VYDAJ	VYBER	2600	34188	\N	\N	\N
859163	2927	1997-12-02	VYDAJ	VYBER	6500	27916	\N	\N	\N
859164	2927	1998-01-01	PRIJEM	VKLAD	2100	30244	\N	\N	\N
859165	2927	1998-01-31	PRIJEM	VKLAD	2300	32544	\N	\N	\N
859166	2927	1998-03-02	PRIJEM	VKLAD	1800	34568	\N	\N	\N
859167	2927	1998-04-01	VYDAJ	VYBER	100	34604	\N	\N	\N
859168	2927	1998-05-01	PRIJEM	VKLAD	7000	41740	\N	\N	\N
859169	2927	1998-05-31	VYDAJ	VYBER	18800	64049	\N	\N	\N
859170	2927	1998-06-30	VYDAJ	VYBER	25800	74058	\N	\N	\N
859171	2927	1998-07-30	VYDAJ	VYBER	7000	67058	\N	\N	\N
859172	2927	1998-08-29	VYDAJ	VYBER	1200	66167	\N	\N	\N
859173	2927	1998-09-15	VYDAJ	VYBER	53300	59826	\N	\N	\N
859174	2927	1998-09-28	VYDAJ	VYBER	4000	55826	\N	\N	\N
859175	2927	1998-10-28	PRIJEM	VKLAD	10400	44061	\N	\N	\N
859176	2927	1998-11-27	VYDAJ	VYBER	18500	64263	\N	\N	\N
859177	2927	1998-12-27	VYDAJ	VYBER KARTOU	1400	45464	\N	\N	0
859193	2928	1993-12-14	PRIJEM	VKLAD	500	500	\N	\N	\N
859206	2928	1994-01-13	PRIJEM	PREVOD Z UCTU	5531	6031	DUCHOD	IJ	7849169
859207	2928	1994-02-13	PRIJEM	PREVOD Z UCTU	5531	11562	DUCHOD	IJ	7849169
859208	2928	1994-03-13	PRIJEM	PREVOD Z UCTU	5531	17093	DUCHOD	IJ	7849169
859209	2928	1994-04-13	PRIJEM	PREVOD Z UCTU	5531	22624	DUCHOD	IJ	7849169
859210	2928	1994-05-13	PRIJEM	PREVOD Z UCTU	5531	28155	DUCHOD	IJ	7849169
859211	2928	1994-06-13	PRIJEM	PREVOD Z UCTU	5531	21476	DUCHOD	IJ	7849169
859212	2928	1994-07-13	PRIJEM	PREVOD Z UCTU	5531	23524	DUCHOD	IJ	7849169
859213	2928	1994-08-13	PRIJEM	PREVOD Z UCTU	5531	25569	DUCHOD	IJ	7849169
859214	2928	1994-09-13	PRIJEM	PREVOD Z UCTU	5531	23663	DUCHOD	IJ	7849169
859215	2928	1994-10-13	PRIJEM	PREVOD Z UCTU	5531	25713	DUCHOD	IJ	7849169
859216	2928	1994-11-13	PRIJEM	PREVOD Z UCTU	5531	26768	DUCHOD	IJ	7849169
859217	2928	1994-12-13	PRIJEM	PREVOD Z UCTU	5531	25143	DUCHOD	IJ	7849169
859218	2928	1995-01-13	PRIJEM	PREVOD Z UCTU	5531	26042	DUCHOD	IJ	7849169
859219	2928	1995-02-13	PRIJEM	PREVOD Z UCTU	5531	23946	DUCHOD	IJ	7849169
859220	2928	1995-03-13	PRIJEM	PREVOD Z UCTU	5531	25993	DUCHOD	IJ	7849169
859221	2928	1995-04-13	PRIJEM	PREVOD Z UCTU	5531	22359	DUCHOD	IJ	7849169
859222	2928	1995-05-13	PRIJEM	PREVOD Z UCTU	5531	24399	DUCHOD	IJ	7849169
859223	2928	1995-06-13	PRIJEM	PREVOD Z UCTU	5531	25248	DUCHOD	IJ	7849169
859224	2928	1995-07-13	PRIJEM	PREVOD Z UCTU	5531	15293	DUCHOD	IJ	7849169
859225	2928	1995-08-13	PRIJEM	PREVOD Z UCTU	5531	17304	DUCHOD	IJ	7849169
859226	2928	1995-09-13	PRIJEM	PREVOD Z UCTU	5531	19323	DUCHOD	IJ	7849169
859227	2928	1995-10-13	PRIJEM	PREVOD Z UCTU	5531	21350	DUCHOD	IJ	7849169
859228	2928	1995-11-13	PRIJEM	PREVOD Z UCTU	5531	22746	DUCHOD	IJ	7849169
859229	2928	1995-12-13	PRIJEM	PREVOD Z UCTU	5531	21887	DUCHOD	IJ	7849169
859230	2928	1996-01-13	PRIJEM	PREVOD Z UCTU	5531	19371	DUCHOD	IJ	7849169
859231	2928	1996-02-13	PRIJEM	PREVOD Z UCTU	5531	21398	DUCHOD	IJ	7849169
859232	2928	1996-03-13	PRIJEM	PREVOD Z UCTU	5531	23433	DUCHOD	IJ	7849169
859233	2928	1996-04-13	PRIJEM	PREVOD Z UCTU	5531	25478	DUCHOD	IJ	7849169
859234	2928	1996-05-13	PRIJEM	PREVOD Z UCTU	5531	25291	DUCHOD	IJ	7849169
859235	2928	1996-06-13	PRIJEM	PREVOD Z UCTU	5531	27342	DUCHOD	IJ	7849169
859236	2928	1996-07-13	PRIJEM	PREVOD Z UCTU	5531	26283	DUCHOD	IJ	7849169
859237	2928	1996-08-13	PRIJEM	PREVOD Z UCTU	5531	26820	DUCHOD	IJ	7849169
859238	2928	1996-09-13	PRIJEM	PREVOD Z UCTU	5531	28478	DUCHOD	IJ	7849169
859239	2928	1996-10-13	PRIJEM	PREVOD Z UCTU	5531	30540	DUCHOD	IJ	7849169
859240	2928	1996-11-13	PRIJEM	PREVOD Z UCTU	5531	30774	DUCHOD	IJ	7849169
859241	2928	1996-12-13	PRIJEM	PREVOD Z UCTU	5531	32372	DUCHOD	IJ	7849169
859242	2928	1997-01-13	PRIJEM	PREVOD Z UCTU	5531	31899	DUCHOD	IJ	7849169
859243	2928	1997-02-13	PRIJEM	PREVOD Z UCTU	5531	28808	DUCHOD	IJ	7849169
859244	2928	1997-03-13	PRIJEM	PREVOD Z UCTU	5531	30874	DUCHOD	IJ	7849169
859245	2928	1997-04-13	PRIJEM	PREVOD Z UCTU	5531	31588	DUCHOD	IJ	7849169
859246	2928	1997-05-13	PRIJEM	PREVOD Z UCTU	5531	33666	DUCHOD	IJ	7849169
859247	2928	1997-06-13	PRIJEM	PREVOD Z UCTU	5531	22832	DUCHOD	IJ	7849169
859248	2928	1997-07-13	PRIJEM	PREVOD Z UCTU	5531	23767	DUCHOD	IJ	7849169
859249	2928	1997-08-13	PRIJEM	PREVOD Z UCTU	5531	25411	DUCHOD	IJ	7849169
859250	2928	1997-09-13	PRIJEM	PREVOD Z UCTU	5531	27463	DUCHOD	IJ	7849169
859251	2928	1997-10-13	PRIJEM	PREVOD Z UCTU	5531	29523	DUCHOD	IJ	7849169
859252	2928	1997-11-13	PRIJEM	PREVOD Z UCTU	5531	31592	DUCHOD	IJ	7849169
859253	2928	1997-12-13	PRIJEM	PREVOD Z UCTU	5531	30207	DUCHOD	IJ	7849169
859254	2928	1998-01-13	PRIJEM	PREVOD Z UCTU	5531	28674	DUCHOD	IJ	7849169
859255	2928	1998-02-13	PRIJEM	PREVOD Z UCTU	5531	27582	DUCHOD	IJ	7849169
859256	2928	1998-03-13	PRIJEM	PREVOD Z UCTU	5531	29642	DUCHOD	IJ	7849169
859257	2928	1998-04-13	PRIJEM	PREVOD Z UCTU	5531	28389	DUCHOD	IJ	7849169
859258	2928	1998-05-13	PRIJEM	PREVOD Z UCTU	5531	24146	DUCHOD	IJ	7849169
859259	2928	1998-06-13	PRIJEM	PREVOD Z UCTU	5531	25691	DUCHOD	IJ	7849169
859260	2928	1998-07-13	PRIJEM	PREVOD Z UCTU	5531	26141	DUCHOD	IJ	7849169
859261	2928	1998-08-13	PRIJEM	PREVOD Z UCTU	5531	28195	DUCHOD	IJ	7849169
859262	2928	1998-09-13	PRIJEM	PREVOD Z UCTU	5531	25332	DUCHOD	IJ	7849169
859263	2928	1998-10-13	PRIJEM	PREVOD Z UCTU	5531	27382	DUCHOD	IJ	7849169
859264	2928	1998-11-13	PRIJEM	PREVOD Z UCTU	5531	28001	DUCHOD	IJ	7849169
859265	2928	1998-12-13	PRIJEM	PREVOD Z UCTU	5531	27199	DUCHOD	IJ	7849169
859283	2928	1994-06-05	VYDAJ	PREVOD NA UCET	3566	23945	SIPO	UV	24262804
859284	2928	1994-07-05	VYDAJ	PREVOD NA UCET	3566	17993	SIPO	UV	24262804
859285	2928	1994-08-05	VYDAJ	PREVOD NA UCET	3566	20038	SIPO	UV	24262804
859286	2928	1994-09-05	VYDAJ	PREVOD NA UCET	3566	22092	SIPO	UV	24262804
859287	2928	1994-10-05	VYDAJ	PREVOD NA UCET	3566	20182	SIPO	UV	24262804
859288	2928	1994-11-05	VYDAJ	PREVOD NA UCET	3566	22237	SIPO	UV	24262804
859289	2928	1994-12-05	VYDAJ	PREVOD NA UCET	3566	19612	SIPO	UV	24262804
859290	2928	1995-01-05	VYDAJ	PREVOD NA UCET	3566	20511	SIPO	UV	24262804
859291	2928	1995-02-05	VYDAJ	PREVOD NA UCET	3566	18415	SIPO	UV	24262804
859292	2928	1995-03-05	VYDAJ	PREVOD NA UCET	3566	20462	SIPO	UV	24262804
859293	2928	1995-04-05	VYDAJ	PREVOD NA UCET	3566	16828	SIPO	UV	24262804
859294	2928	1995-05-05	VYDAJ	PREVOD NA UCET	3566	18868	SIPO	UV	24262804
859295	2928	1995-06-05	VYDAJ	PREVOD NA UCET	3566	19717	SIPO	UV	24262804
859296	2928	1995-07-05	VYDAJ	PREVOD NA UCET	3566	9762	SIPO	UV	24262804
859297	2928	1995-08-05	VYDAJ	PREVOD NA UCET	3566	11773	SIPO	UV	24262804
859298	2928	1995-09-05	VYDAJ	PREVOD NA UCET	3566	13792	SIPO	UV	24262804
859299	2928	1995-10-05	VYDAJ	PREVOD NA UCET	3566	15819	SIPO	UV	24262804
859300	2928	1995-11-05	VYDAJ	PREVOD NA UCET	3566	17215	SIPO	UV	24262804
859301	2928	1995-12-05	VYDAJ	PREVOD NA UCET	3566	16356	SIPO	UV	24262804
859302	2928	1996-01-05	VYDAJ	PREVOD NA UCET	3566	13840	SIPO	UV	24262804
859303	2928	1996-02-05	VYDAJ	PREVOD NA UCET	3566	15867	SIPO	UV	24262804
859304	2928	1996-03-05	VYDAJ	PREVOD NA UCET	3566	17902	SIPO	UV	24262804
859305	2928	1996-04-05	VYDAJ	PREVOD NA UCET	3566	19947	SIPO	UV	24262804
859306	2928	1996-05-05	VYDAJ	PREVOD NA UCET	3566	22000	SIPO	UV	24262804
859307	2928	1996-06-05	VYDAJ	PREVOD NA UCET	3566	21811	SIPO	UV	24262804
859308	2928	1996-07-05	VYDAJ	PREVOD NA UCET	3566	23872	SIPO	UV	24262804
859309	2928	1996-08-05	VYDAJ	PREVOD NA UCET	3566	21289	SIPO	UV	24262804
859310	2928	1996-09-05	VYDAJ	PREVOD NA UCET	3566	23347	SIPO	UV	24262804
859311	2928	1996-10-05	VYDAJ	PREVOD NA UCET	3566	25009	SIPO	UV	24262804
859312	2928	1996-11-05	VYDAJ	PREVOD NA UCET	3566	25243	SIPO	UV	24262804
859313	2928	1996-12-05	VYDAJ	PREVOD NA UCET	3566	27321	SIPO	UV	24262804
859314	2928	1997-01-05	VYDAJ	PREVOD NA UCET	3566	26368	SIPO	UV	24262804
859315	2928	1997-02-05	VYDAJ	PREVOD NA UCET	3566	23277	SIPO	UV	24262804
859316	2928	1997-03-05	VYDAJ	PREVOD NA UCET	3566	25343	SIPO	UV	24262804
859317	2928	1997-04-05	VYDAJ	PREVOD NA UCET	3566	26057	SIPO	UV	24262804
859318	2928	1997-05-05	VYDAJ	PREVOD NA UCET	3566	28135	SIPO	UV	24262804
859319	2928	1997-06-05	VYDAJ	PREVOD NA UCET	3566	29101	SIPO	UV	24262804
859320	2928	1997-07-05	VYDAJ	PREVOD NA UCET	3566	18236	SIPO	UV	24262804
859321	2928	1997-08-05	VYDAJ	PREVOD NA UCET	3566	19880	SIPO	UV	24262804
859322	2928	1997-09-05	VYDAJ	PREVOD NA UCET	3566	21932	SIPO	UV	24262804
859323	2928	1997-10-05	VYDAJ	PREVOD NA UCET	3566	23992	SIPO	UV	24262804
859324	2928	1997-11-05	VYDAJ	PREVOD NA UCET	3566	26061	SIPO	UV	24262804
859325	2928	1997-12-05	VYDAJ	PREVOD NA UCET	3566	24676	SIPO	UV	24262804
859326	2928	1998-01-05	VYDAJ	PREVOD NA UCET	3566	23143	SIPO	UV	24262804
859327	2928	1998-02-05	VYDAJ	PREVOD NA UCET	3566	22051	SIPO	UV	24262804
859328	2928	1998-03-05	VYDAJ	PREVOD NA UCET	3566	24111	SIPO	UV	24262804
859329	2928	1998-04-05	VYDAJ	PREVOD NA UCET	3566	24778	SIPO	UV	24262804
859330	2928	1998-05-05	VYDAJ	PREVOD NA UCET	3566	18615	SIPO	UV	24262804
859331	2928	1998-06-05	VYDAJ	PREVOD NA UCET	3566	20160	SIPO	UV	24262804
859332	2928	1998-07-05	VYDAJ	PREVOD NA UCET	3566	20610	SIPO	UV	24262804
859333	2928	1998-08-05	VYDAJ	PREVOD NA UCET	3566	22664	SIPO	UV	24262804
859334	2928	1998-09-05	VYDAJ	PREVOD NA UCET	3566	19801	SIPO	UV	24262804
859335	2928	1998-10-05	VYDAJ	PREVOD NA UCET	3566	21851	SIPO	UV	24262804
859336	2928	1998-11-05	VYDAJ	PREVOD NA UCET	3566	22470	SIPO	UV	24262804
859337	2928	1998-12-05	VYDAJ	PREVOD NA UCET	3566	21668	SIPO	UV	24262804
859339	2928	1994-06-12	VYDAJ	VYBER	8000	15945	\N	\N	\N
859340	2928	1995-06-27	VYDAJ	VYBER	12000	13248	\N	\N	\N
859342	2928	1997-06-05	VYDAJ	VYBER	11800	17301	\N	\N	\N
859346	2928	1995-01-29	VYDAJ	VYBER	4150	21892	\N	\N	\N
859347	2928	1996-01-05	VYDAJ	VYBER	4550	17406	\N	\N	\N
859348	2928	1997-01-18	VYDAJ	VYBER	3000	26739	\N	\N	\N
859349	2928	1998-01-14	VYDAJ	VYBER	3150	25524	\N	\N	\N
859351	2928	1994-12-15	VYDAJ	VYBER	1150	23993	\N	\N	\N
859352	2928	1995-12-04	VYDAJ	VYBER	500	19922	\N	\N	\N
859353	2928	1996-12-25	VYDAJ	VYBER	550	29822	\N	\N	\N
859354	2928	1997-12-24	VYDAJ	VYBER	1200	26607	\N	\N	\N
859355	2928	1998-12-18	VYDAJ	VYBER	650	26549	\N	\N	\N
859363	2928	1994-11-26	VYDAJ	VYBER	3280	23488	\N	\N	\N
859364	2928	1994-11-27	VYDAJ	VYBER	400	23088	\N	\N	\N
859365	2928	1994-09-12	VYDAJ	VYBER	3760	18132	\N	\N	\N
859366	2928	1995-05-28	VYDAJ	VYBER	1200	23199	\N	\N	\N
859367	2928	1995-11-28	VYDAJ	VYBER	2400	20346	\N	\N	\N
859368	2928	1995-03-21	VYDAJ	VYBER	3840	20313	\N	\N	\N
859369	2928	1995-03-18	VYDAJ	VYBER	1840	24153	\N	\N	\N
859371	2928	1995-10-27	VYDAJ	VYBER	640	20710	\N	\N	\N
859372	2928	1996-07-11	VYDAJ	VYBER	3120	20752	\N	\N	\N
859373	2928	1996-12-09	VYDAJ	VYBER	480	26841	\N	\N	\N
859374	2928	1996-09-05	VYDAJ	VYBER	400	22947	\N	\N	\N
859375	2928	1996-10-31	VYDAJ	VYBER	1840	28809	\N	\N	\N
859376	2928	1996-05-07	VYDAJ	VYBER	2240	19760	\N	\N	\N
859377	2928	1996-07-21	VYDAJ	VYBER	1520	24763	\N	\N	\N
859378	2928	1996-12-13	VYDAJ	VYBER	2000	30372	\N	\N	\N
859379	2928	1997-06-20	VYDAJ	VYBER	1120	21712	\N	\N	\N
859380	2928	1997-05-27	VYDAJ	VYBER	1120	32546	\N	\N	\N
859381	2928	1997-07-13	VYDAJ	VYBER	400	23367	\N	\N	\N
859382	2928	1997-11-27	VYDAJ	VYBER	2160	28132	\N	\N	\N
859383	2928	1997-01-14	VYDAJ	VYBER	2160	29739	\N	\N	\N
859384	2928	1997-03-29	VYDAJ	VYBER	1360	29514	\N	\N	\N
859385	2928	1998-04-10	VYDAJ	VYBER	1920	22858	\N	\N	\N
859386	2928	1998-08-13	VYDAJ	VYBER	2160	26035	\N	\N	\N
859387	2928	1998-08-26	VYDAJ	VYBER	2160	23275	\N	\N	\N
859388	2928	1998-10-28	VYDAJ	VYBER	1440	25942	\N	\N	\N
859389	2928	1998-11-26	VYDAJ	VYBER	2160	25141	\N	\N	\N
859407	2928	1994-05-31	VYDAJ	VYBER	15	27511	SLUZBY	\N	\N
859408	2928	1994-06-30	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
859409	2928	1994-07-31	VYDAJ	VYBER	15	23604	SLUZBY	\N	\N
859410	2928	1994-08-31	VYDAJ	VYBER	15	25658	SLUZBY	\N	\N
859411	2928	1994-09-30	VYDAJ	VYBER	15	23748	SLUZBY	\N	\N
859412	2928	1994-10-31	VYDAJ	VYBER	15	25803	SLUZBY	\N	\N
859413	2928	1994-11-30	VYDAJ	VYBER	15	23178	SLUZBY	\N	\N
859414	2928	1994-12-31	VYDAJ	VYBER	15	24077	SLUZBY	\N	\N
859415	2928	1995-01-31	VYDAJ	VYBER	15	21981	SLUZBY	\N	\N
859416	2928	1995-02-28	VYDAJ	VYBER	15	24028	SLUZBY	\N	\N
859417	2928	1995-03-31	VYDAJ	VYBER	15	20394	SLUZBY	\N	\N
859418	2928	1995-04-30	VYDAJ	VYBER	15	22434	SLUZBY	\N	\N
859419	2928	1995-05-31	VYDAJ	VYBER	15	23283	SLUZBY	\N	\N
859420	2928	1995-06-30	VYDAJ	VYBER	15	13328	SLUZBY	\N	\N
859421	2928	1995-07-31	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
859422	2928	1995-08-31	VYDAJ	VYBER	15	17358	SLUZBY	\N	\N
859423	2928	1995-09-30	VYDAJ	VYBER	15	19385	SLUZBY	\N	\N
859424	2928	1995-10-31	VYDAJ	VYBER	15	20781	SLUZBY	\N	\N
859425	2928	1995-11-30	VYDAJ	VYBER	15	20422	SLUZBY	\N	\N
859426	2928	1995-12-31	VYDAJ	VYBER	15	21956	SLUZBY	\N	\N
859427	2928	1996-01-31	VYDAJ	VYBER	15	19433	SLUZBY	\N	\N
859428	2928	1996-02-29	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
859429	2928	1996-03-31	VYDAJ	VYBER	15	23513	SLUZBY	\N	\N
859430	2928	1996-04-30	VYDAJ	VYBER	15	25566	SLUZBY	\N	\N
859431	2928	1996-05-31	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
859432	2928	1996-06-30	VYDAJ	VYBER	15	27438	SLUZBY	\N	\N
859433	2928	1996-07-31	VYDAJ	VYBER	15	24855	SLUZBY	\N	\N
859434	2928	1996-08-31	VYDAJ	VYBER	15	26913	SLUZBY	\N	\N
859435	2928	1996-09-30	VYDAJ	VYBER	15	28575	SLUZBY	\N	\N
859436	2928	1996-10-31	VYDAJ	VYBER	15	30649	SLUZBY	\N	\N
859437	2928	1996-11-30	VYDAJ	VYBER	15	30887	SLUZBY	\N	\N
859438	2928	1996-12-31	VYDAJ	VYBER	15	29934	SLUZBY	\N	\N
859439	2928	1997-01-31	VYDAJ	VYBER	15	26843	SLUZBY	\N	\N
859440	2928	1997-02-28	VYDAJ	VYBER	15	28909	SLUZBY	\N	\N
859441	2928	1997-03-31	VYDAJ	VYBER	15	29623	SLUZBY	\N	\N
859442	2928	1997-04-30	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
859443	2928	1997-05-31	VYDAJ	VYBER	15	32667	SLUZBY	\N	\N
859444	2928	1997-06-30	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
859445	2928	1997-07-31	VYDAJ	VYBER	15	23446	SLUZBY	\N	\N
859446	2928	1997-08-31	VYDAJ	VYBER	15	25498	SLUZBY	\N	\N
859447	2928	1997-09-30	VYDAJ	VYBER	15	27558	SLUZBY	\N	\N
859448	2928	1997-10-31	VYDAJ	VYBER	15	29627	SLUZBY	\N	\N
859449	2928	1997-11-30	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
859450	2928	1997-12-31	VYDAJ	VYBER	15	26709	SLUZBY	\N	\N
859451	2928	1998-01-31	VYDAJ	VYBER	15	25617	SLUZBY	\N	\N
859452	2928	1998-02-28	VYDAJ	VYBER	15	27677	SLUZBY	\N	\N
859453	2928	1998-03-31	VYDAJ	VYBER	15	28344	SLUZBY	\N	\N
859454	2928	1998-04-30	VYDAJ	VYBER	15	22181	SLUZBY	\N	\N
859455	2928	1998-05-31	VYDAJ	VYBER	15	23726	SLUZBY	\N	\N
859456	2928	1998-06-30	VYDAJ	VYBER	15	24176	SLUZBY	\N	\N
859457	2928	1998-07-31	VYDAJ	VYBER	15	26230	SLUZBY	\N	\N
859458	2928	1998-08-31	VYDAJ	VYBER	15	23367	SLUZBY	\N	\N
859459	2928	1998-09-30	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
859460	2928	1998-10-31	VYDAJ	VYBER	15	26036	SLUZBY	\N	\N
859461	2928	1998-11-30	VYDAJ	VYBER	15	25234	SLUZBY	\N	\N
859462	2928	1994-05-13	VYDAJ	VYBER	700	27455	\N	\N	\N
859463	2928	1994-09-10	VYDAJ	VYBER	200	21892	\N	\N	\N
859464	2928	1994-11-09	VYDAJ	VYBER	1000	21237	\N	\N	\N
859465	2928	1997-11-23	VYDAJ	VYBER	1300	30292	\N	\N	\N
859466	2928	1997-12-23	VYDAJ	VYBER	2400	27807	\N	\N	\N
859467	2928	1998-03-23	VYDAJ	VYBER	1400	28242	\N	\N	\N
859468	2928	1998-04-22	VYDAJ	VYBER	6300	22089	\N	\N	\N
859469	2928	1998-05-22	VYDAJ	VYBER	500	23646	\N	\N	\N
859470	2928	1998-06-21	VYDAJ	VYBER	1600	24091	\N	\N	\N
859471	2928	1998-08-20	VYDAJ	VYBER	600	25435	\N	\N	\N
859472	2928	1998-11-18	VYDAJ	VYBER	700	27301	\N	\N	\N
859529	2929	1996-04-06	PRIJEM	VKLAD	400	400	\N	\N	\N
859534	2929	1996-05-05	PRIJEM	PREVOD Z UCTU	36583	36983	\N	WX	49262940
859535	2929	1996-06-05	PRIJEM	PREVOD Z UCTU	54874	87370	\N	WX	49262940
859536	2929	1996-07-05	PRIJEM	PREVOD Z UCTU	36583	91368	\N	WX	49262940
859537	2929	1996-08-05	PRIJEM	PREVOD Z UCTU	36583	77486	\N	WX	49262940
859538	2929	1996-09-05	PRIJEM	PREVOD Z UCTU	36583	88781	\N	WX	49262940
859539	2929	1996-10-05	PRIJEM	PREVOD Z UCTU	36583	87769	\N	WX	49262940
859540	2929	1996-11-05	PRIJEM	PREVOD Z UCTU	36583	86102	\N	WX	49262940
859541	2929	1996-12-05	PRIJEM	PREVOD Z UCTU	54874	104851	\N	WX	49262940
859542	2929	1997-01-05	PRIJEM	PREVOD Z UCTU	36583	81298	\N	WX	49262940
859543	2929	1997-02-05	PRIJEM	PREVOD Z UCTU	36583	66024	\N	WX	49262940
859544	2929	1997-03-05	PRIJEM	PREVOD Z UCTU	36583	71767	\N	WX	49262940
859545	2929	1997-04-05	PRIJEM	PREVOD Z UCTU	36583	65742	\N	WX	49262940
859546	2929	1997-05-05	PRIJEM	PREVOD Z UCTU	36583	75876	\N	WX	49262940
859547	2929	1997-06-05	PRIJEM	PREVOD Z UCTU	54874	98670	\N	WX	49262940
859548	2929	1997-07-05	PRIJEM	PREVOD Z UCTU	36583	76419	\N	WX	49262940
859549	2929	1997-08-05	PRIJEM	PREVOD Z UCTU	36583	67467	\N	WX	49262940
859550	2929	1997-09-05	PRIJEM	PREVOD Z UCTU	36583	74555	\N	WX	49262940
859551	2929	1997-10-05	PRIJEM	PREVOD Z UCTU	36583	80230	\N	WX	49262940
859552	2929	1997-11-05	PRIJEM	PREVOD Z UCTU	36583	93566	\N	WX	49262940
859553	2929	1997-12-05	PRIJEM	PREVOD Z UCTU	54874	119505	\N	WX	49262940
859554	2929	1998-01-05	PRIJEM	PREVOD Z UCTU	36583	88492	\N	WX	49262940
859555	2929	1998-02-05	PRIJEM	PREVOD Z UCTU	36583	72962	\N	WX	49262940
859556	2929	1998-03-05	PRIJEM	PREVOD Z UCTU	36583	87713	\N	WX	49262940
859557	2929	1998-04-05	PRIJEM	PREVOD Z UCTU	36583	95936	\N	WX	49262940
859558	2929	1998-05-05	PRIJEM	PREVOD Z UCTU	36583	103892	\N	WX	49262940
859559	2929	1998-06-05	PRIJEM	PREVOD Z UCTU	54874	123165	\N	WX	49262940
859560	2929	1998-07-05	PRIJEM	PREVOD Z UCTU	36583	96861	\N	WX	49262940
859561	2929	1998-08-05	PRIJEM	PREVOD Z UCTU	36583	105117	\N	WX	49262940
859562	2929	1998-09-05	PRIJEM	PREVOD Z UCTU	36583	110102	\N	WX	49262940
859563	2929	1998-10-05	PRIJEM	PREVOD Z UCTU	36583	100273	\N	WX	49262940
859564	2929	1998-11-05	PRIJEM	PREVOD Z UCTU	36583	110041	\N	WX	49262940
859565	2929	1998-12-05	PRIJEM	PREVOD Z UCTU	54874	116169	\N	WX	49262940
859610	2929	1996-09-12	VYDAJ	PREVOD NA UCET	226	88555	SIPO	ST	1906198
859611	2929	1996-10-12	VYDAJ	PREVOD NA UCET	226	87543	SIPO	ST	1906198
859612	2929	1996-11-12	VYDAJ	PREVOD NA UCET	226	83176	SIPO	ST	1906198
859613	2929	1996-12-12	VYDAJ	PREVOD NA UCET	226	77725	SIPO	ST	1906198
859614	2929	1997-01-12	VYDAJ	PREVOD NA UCET	226	68324	SIPO	ST	1906198
859615	2929	1997-02-12	VYDAJ	PREVOD NA UCET	226	65798	SIPO	ST	1906198
859616	2929	1997-03-12	VYDAJ	PREVOD NA UCET	226	60353	SIPO	ST	1906198
859617	2929	1997-04-12	VYDAJ	PREVOD NA UCET	226	65516	SIPO	ST	1906198
859618	2929	1997-05-12	VYDAJ	PREVOD NA UCET	226	75650	SIPO	ST	1906198
859619	2929	1997-06-12	VYDAJ	PREVOD NA UCET	226	90064	SIPO	ST	1906198
859620	2929	1997-07-12	VYDAJ	PREVOD NA UCET	226	76193	SIPO	ST	1906198
859621	2929	1997-08-12	VYDAJ	PREVOD NA UCET	226	67241	SIPO	ST	1906198
859622	2929	1997-09-12	VYDAJ	PREVOD NA UCET	226	74329	SIPO	ST	1906198
859623	2929	1997-10-12	VYDAJ	PREVOD NA UCET	226	80004	SIPO	ST	1906198
859624	2929	1997-11-12	VYDAJ	PREVOD NA UCET	226	93340	SIPO	ST	1906198
859625	2929	1997-12-12	VYDAJ	PREVOD NA UCET	226	78979	SIPO	ST	1906198
859626	2929	1998-01-12	VYDAJ	PREVOD NA UCET	226	67266	SIPO	ST	1906198
859627	2929	1998-02-12	VYDAJ	PREVOD NA UCET	226	72736	SIPO	ST	1906198
859628	2929	1998-03-12	VYDAJ	PREVOD NA UCET	226	87487	SIPO	ST	1906198
859629	2929	1998-04-12	VYDAJ	PREVOD NA UCET	226	95710	SIPO	ST	1906198
859630	2929	1998-05-12	VYDAJ	PREVOD NA UCET	226	103666	SIPO	ST	1906198
859631	2929	1998-06-12	VYDAJ	PREVOD NA UCET	226	94039	SIPO	ST	1906198
859632	2929	1998-07-12	VYDAJ	PREVOD NA UCET	226	96635	SIPO	ST	1906198
859633	2929	1998-08-12	VYDAJ	PREVOD NA UCET	226	104891	SIPO	ST	1906198
859634	2929	1998-09-12	VYDAJ	PREVOD NA UCET	226	109876	SIPO	ST	1906198
859635	2929	1998-10-12	VYDAJ	PREVOD NA UCET	226	100047	SIPO	ST	1906198
859636	2929	1998-11-12	VYDAJ	PREVOD NA UCET	226	75115	SIPO	ST	1906198
859637	2929	1998-12-12	VYDAJ	PREVOD NA UCET	226	87043	SIPO	ST	1906198
859646	2929	1996-09-13	VYDAJ	PREVOD NA UCET	11789	76766	 	QR	86361235
859647	2929	1996-10-13	VYDAJ	PREVOD NA UCET	11789	75754	 	QR	86361235
859648	2929	1996-11-13	VYDAJ	PREVOD NA UCET	11789	71387	 	QR	86361235
859649	2929	1996-12-13	VYDAJ	PREVOD NA UCET	11789	65936	 	QR	86361235
859650	2929	1997-01-13	VYDAJ	PREVOD NA UCET	11789	53535	 	QR	86361235
859651	2929	1997-02-13	VYDAJ	PREVOD NA UCET	11789	54009	 	QR	86361235
859652	2929	1997-03-13	VYDAJ	PREVOD NA UCET	11789	48564	 	QR	86361235
859653	2929	1997-04-13	VYDAJ	PREVOD NA UCET	11789	53727	 	QR	86361235
859654	2929	1997-05-13	VYDAJ	PREVOD NA UCET	11789	63861	 	QR	86361235
859655	2929	1997-06-13	VYDAJ	PREVOD NA UCET	11789	72642	 	QR	86361235
859656	2929	1997-07-13	VYDAJ	PREVOD NA UCET	11789	64404	 	QR	86361235
859657	2929	1997-08-13	VYDAJ	PREVOD NA UCET	11789	55452	 	QR	86361235
859658	2929	1997-09-13	VYDAJ	PREVOD NA UCET	11789	62540	 	QR	86361235
859659	2929	1997-10-13	VYDAJ	PREVOD NA UCET	11789	68215	 	QR	86361235
859660	2929	1997-11-13	VYDAJ	PREVOD NA UCET	11789	81551	 	QR	86361235
859661	2929	1997-12-13	VYDAJ	PREVOD NA UCET	11789	67190	 	QR	86361235
859662	2929	1998-01-13	VYDAJ	PREVOD NA UCET	11789	55477	 	QR	86361235
859663	2929	1998-02-13	VYDAJ	PREVOD NA UCET	11789	60947	 	QR	86361235
859664	2929	1998-03-13	VYDAJ	PREVOD NA UCET	11789	75698	 	QR	86361235
859665	2929	1998-04-13	VYDAJ	PREVOD NA UCET	11789	83921	 	QR	86361235
859666	2929	1998-05-13	VYDAJ	PREVOD NA UCET	11789	91877	 	QR	86361235
859667	2929	1998-06-13	VYDAJ	PREVOD NA UCET	11789	82250	 	QR	86361235
859668	2929	1998-07-13	VYDAJ	PREVOD NA UCET	11789	84846	 	QR	86361235
859669	2929	1998-08-13	VYDAJ	PREVOD NA UCET	11789	93102	 	QR	86361235
859670	2929	1998-09-13	VYDAJ	PREVOD NA UCET	11789	98087	 	QR	86361235
859671	2929	1998-10-13	VYDAJ	PREVOD NA UCET	11789	88258	 	QR	86361235
859672	2929	1998-11-13	VYDAJ	PREVOD NA UCET	11789	63326	 	QR	86361235
859673	2929	1998-12-13	VYDAJ	PREVOD NA UCET	11789	75254	 	QR	86361235
859674	2929	1996-11-01	VYBER	VYBER	4051	72019	\N	\N	\N
859678	2929	1997-03-23	VYBER	VYBER	20787	27777	\N	\N	\N
859679	2929	1997-03-10	VYBER	VYBER	6281	60579	\N	\N	\N
859680	2929	1997-01-07	VYBER	VYBER	6748	74550	\N	\N	\N
859681	2929	1997-06-13	VYBER	VYBER	5633	84431	\N	\N	\N
859682	2929	1997-04-23	VYBER	VYBER	5238	48489	\N	\N	\N
859683	2929	1997-06-25	VYBER	VYBER	7957	48485	\N	\N	\N
859684	2929	1997-06-07	VYBER	VYBER	8380	90290	\N	\N	\N
859685	2929	1997-12-21	VYBER	VYBER	14238	52952	\N	\N	\N
859686	2929	1997-03-05	VYBER	VYBER	4907	66860	\N	\N	\N
859687	2929	1997-08-02	VYBER	VYBER	17936	30884	\N	\N	\N
859688	2929	1998-12-15	VYBER	VYBER	5415	69839	\N	\N	\N
859689	2929	1998-09-24	VYBER	VYBER	13118	63369	\N	\N	\N
859690	2929	1998-02-14	VYBER	VYBER	12192	48755	\N	\N	\N
859693	2929	1998-06-10	VYDAJ	VYBER	13800	94265	\N	\N	\N
859695	2929	1997-01-22	VYDAJ	VYBER	7800	43935	\N	\N	\N
859696	2929	1998-01-14	VYDAJ	VYBER	11100	44377	\N	\N	\N
859697	2929	1996-12-11	VYDAJ	VYBER	1800	77951	\N	\N	\N
859698	2929	1997-12-08	VYDAJ	VYBER	2700	79205	\N	\N	\N
859699	2929	1998-12-06	VYDAJ	VYBER	3000	87269	\N	\N	\N
859706	2929	1997-01-28	VYDAJ	VYBER	8700	31335	\N	\N	\N
859707	2929	1997-01-26	VYDAJ	VYBER	3900	40035	\N	\N	\N
859708	2929	1997-01-02	VYDAJ	VYBER	5100	44715	\N	\N	\N
859709	2929	1997-01-20	VYDAJ	VYBER	1800	51735	\N	\N	\N
859710	2929	1997-01-07	VYDAJ	VYBER	6000	68550	\N	\N	\N
859711	2929	1997-01-13	VYDAJ	VYBER	3000	65324	\N	\N	\N
859712	2929	1998-01-05	VYDAJ	VYBER	7800	72592	\N	\N	\N
859713	2929	1998-01-14	VYDAJ	VYBER	6300	35377	\N	\N	\N
859714	2929	1998-01-05	VYDAJ	VYBER	8100	80392	\N	\N	\N
859715	2929	1998-01-29	VYDAJ	VYBER	6000	36177	\N	\N	\N
859716	2929	1998-01-07	VYDAJ	VYBER	5100	67492	\N	\N	\N
859717	2929	1998-01-14	VYDAJ	VYBER	2700	41677	\N	\N	\N
859723	2929	1996-11-09	VYDAJ	VYBER	2700	83402	\N	\N	\N
859724	2929	1997-08-30	VYDAJ	VYBER	11100	37752	\N	\N	\N
859725	2929	1997-10-03	VYDAJ	VYBER	8400	43647	\N	\N	\N
859726	2929	1997-06-15	VYDAJ	VYBER	3900	68742	\N	\N	\N
859727	2929	1997-02-28	VYDAJ	VYBER	9300	44884	\N	\N	\N
859728	2929	1997-05-15	VYDAJ	VYBER	9000	54861	\N	\N	\N
859729	2929	1997-06-24	VYDAJ	VYBER	12300	56442	\N	\N	\N
859730	2929	1998-11-09	VYDAJ	VYBER	9000	75341	\N	\N	\N
859731	2929	1998-06-18	VYDAJ	VYBER	7200	75050	\N	\N	\N
859741	2929	1996-09-30	VYDAJ	VYBER	15	77086	SLUZBY	\N	\N
859742	2929	1996-10-31	VYDAJ	VYBER	15	76070	SLUZBY	\N	\N
859743	2929	1996-11-30	VYDAJ	VYBER	15	71677	SLUZBY	\N	\N
859744	2929	1996-12-31	VYDAJ	VYBER	15	66215	SLUZBY	\N	\N
859745	2929	1997-01-31	VYDAJ	VYBER	15	31541	SLUZBY	\N	\N
859746	2929	1997-02-28	VYDAJ	VYBER	15	54184	SLUZBY	\N	\N
859747	2929	1997-03-31	VYDAJ	VYBER	15	27959	SLUZBY	\N	\N
859748	2929	1997-04-30	VYDAJ	VYBER	15	48693	SLUZBY	\N	\N
859749	2929	1997-05-31	VYDAJ	VYBER	15	55096	SLUZBY	\N	\N
859750	2929	1997-06-30	VYDAJ	VYBER	15	39836	SLUZBY	\N	\N
859751	2929	1997-07-31	VYDAJ	VYBER	15	48820	SLUZBY	\N	\N
859752	2929	1997-08-31	VYDAJ	VYBER	15	37972	SLUZBY	\N	\N
859753	2929	1997-09-30	VYDAJ	VYBER	15	52047	SLUZBY	\N	\N
859754	2929	1997-10-31	VYDAJ	VYBER	15	56983	SLUZBY	\N	\N
859755	2929	1997-11-30	VYDAJ	VYBER	15	64631	SLUZBY	\N	\N
859756	2929	1997-12-31	VYDAJ	VYBER	15	51909	SLUZBY	\N	\N
859757	2929	1998-01-31	VYDAJ	VYBER	15	36379	SLUZBY	\N	\N
859758	2929	1998-02-28	VYDAJ	VYBER	15	51130	SLUZBY	\N	\N
859759	2929	1998-03-31	VYDAJ	VYBER	15	59353	SLUZBY	\N	\N
859760	2929	1998-04-30	VYDAJ	VYBER	15	67309	SLUZBY	\N	\N
859761	2929	1998-05-31	VYDAJ	VYBER	15	68291	SLUZBY	\N	\N
859762	2929	1998-06-30	VYDAJ	VYBER	15	60278	SLUZBY	\N	\N
859763	2929	1998-07-31	VYDAJ	VYBER	15	68534	SLUZBY	\N	\N
859764	2929	1998-08-31	VYDAJ	VYBER	15	73519	SLUZBY	\N	\N
859765	2929	1998-09-30	VYDAJ	VYBER	15	63690	SLUZBY	\N	\N
859766	2929	1998-10-31	VYDAJ	VYBER	15	73458	SLUZBY	\N	\N
859767	2929	1998-11-30	VYDAJ	VYBER	15	61295	SLUZBY	\N	\N
859768	2929	1996-05-06	VYDAJ	VYBER	4600	32383	\N	\N	\N
859769	2929	1996-06-05	VYDAJ	VYBER	32800	54570	\N	\N	\N
859770	2929	1996-07-05	VYDAJ	VYBER	35000	56368	\N	\N	\N
859771	2929	1996-08-04	VYDAJ	VYBER	15700	40903	\N	\N	\N
859772	2929	1996-09-03	VYDAJ	VYBER	25600	52198	\N	\N	\N
859773	2929	1996-10-03	VYDAJ	VYBER	25900	51186	\N	\N	\N
859774	2929	1996-11-02	VYDAJ	VYBER	22500	49519	\N	\N	\N
859775	2929	1996-12-02	VYDAJ	VYBER	21700	49977	\N	\N	\N
859776	2929	1996-12-05	VYDAJ	VYBER	25100	79751	\N	\N	\N
859777	2929	1997-01-01	VYDAJ	VYBER	16400	49815	\N	\N	\N
859778	2929	1997-01-31	VYDAJ	VYBER	2100	29441	\N	\N	\N
859779	2929	1997-03-02	VYDAJ	VYBER	9700	35184	\N	\N	\N
859780	2929	1997-04-01	PRIJEM	VKLAD	1200	29159	\N	\N	\N
859781	2929	1997-05-01	VYDAJ	VYBER	9400	39293	\N	\N	\N
859782	2929	1997-05-31	VYDAJ	VYBER	11300	43796	\N	\N	\N
859783	2929	1997-06-30	VYDAJ	VYBER	8900	39851	\N	\N	\N
859784	2929	1997-07-30	VYDAJ	VYBER	15800	48604	\N	\N	\N
859785	2929	1997-08-29	VYDAJ	VYBER	6600	48852	\N	\N	\N
859786	2929	1997-09-28	VYDAJ	VYBER	10700	51840	\N	\N	\N
859787	2929	1997-10-28	VYDAJ	VYBER	11500	56715	\N	\N	\N
859788	2929	1997-11-27	VYDAJ	VYBER	17200	64351	\N	\N	\N
859789	2929	1997-12-05	VYDAJ	VYBER	37600	81905	\N	\N	\N
859790	2929	1997-12-27	VYDAJ	VYBER	1300	51652	\N	\N	\N
859791	2929	1998-01-26	PRIJEM	VKLAD	6800	42177	\N	\N	\N
859792	2929	1998-02-25	PRIJEM	VKLAD	2200	50955	\N	\N	\N
859793	2929	1998-03-27	VYDAJ	VYBER	16600	59098	\N	\N	\N
859794	2929	1998-04-26	VYDAJ	VYBER	16900	67021	\N	\N	\N
859795	2929	1998-05-26	VYDAJ	VYBER	23900	67977	\N	\N	\N
859796	2929	1998-06-05	VYDAJ	VYBER	15100	108065	\N	\N	\N
859797	2929	1998-06-25	VYDAJ	VYBER	15100	59950	\N	\N	\N
859798	2929	1998-07-25	VYDAJ	VYBER	16600	68246	\N	\N	\N
859799	2929	1998-08-24	VYDAJ	VYBER	19900	73202	\N	\N	\N
859800	2929	1998-09-23	VYDAJ	VYBER	21600	76487	\N	\N	\N
859801	2929	1998-10-23	VYDAJ	VYBER	15100	73158	\N	\N	\N
859802	2929	1998-11-05	VYDAJ	VYBER	25700	84341	\N	\N	\N
859803	2929	1998-11-22	VYDAJ	VYBER	2300	61026	\N	\N	\N
859804	2929	1998-12-05	VYDAJ	VYBER	25900	90269	\N	\N	\N
859837	2930	1996-08-24	PRIJEM	VKLAD	900	900	\N	\N	\N
859841	2930	1996-10-22	PRIJEM	VKLAD	6429	43804	\N	\N	\N
859843	2930	1996-11-15	PRIJEM	VKLAD	47056	88911	\N	\N	\N
859844	2930	1996-11-05	PRIJEM	VKLAD	6098	41855	\N	\N	\N
859846	2930	1996-09-10	PRIJEM	VKLAD	46133	47033	\N	\N	\N
859847	2930	1996-12-06	PRIJEM	VKLAD	13112	71351	\N	\N	\N
859849	2930	1996-12-23	PRIJEM	VKLAD	14570	59289	\N	\N	\N
859850	2930	1997-09-13	PRIJEM	VKLAD	46518	76974	\N	\N	\N
859851	2930	1997-12-09	PRIJEM	VKLAD	15733	46113	\N	\N	\N
859852	2930	1997-05-09	PRIJEM	VKLAD	8643	87143	\N	\N	\N
859853	2930	1997-10-28	PRIJEM	VKLAD	12037	63199	\N	\N	\N
859854	2930	1997-06-29	PRIJEM	VKLAD	39908	90654	\N	\N	\N
859855	2930	1997-11-10	PRIJEM	VKLAD	19220	104446	\N	\N	\N
859856	2930	1997-11-01	PRIJEM	VKLAD	21782	85226	\N	\N	\N
859857	2930	1997-02-08	PRIJEM	VKLAD	11148	41370	\N	\N	\N
859858	2930	1997-07-01	PRIJEM	VKLAD	39687	130580	\N	\N	\N
859859	2930	1997-03-30	PRIJEM	VKLAD	42240	69208	\N	\N	\N
859860	2930	1997-04-08	PRIJEM	VKLAD	49011	127076	\N	\N	\N
859861	2930	1997-12-22	PRIJEM	VKLAD	31607	111124	\N	\N	\N
859862	2930	1997-02-12	PRIJEM	VKLAD	47372	76710	\N	\N	\N
859863	2930	1997-09-04	PRIJEM	VKLAD	8440	42488	\N	\N	\N
859864	2930	1997-12-18	PRIJEM	VKLAD	33136	79517	\N	\N	\N
859865	2930	1997-04-05	PRIJEM	VKLAD	8659	78065	\N	\N	\N
859866	2930	1997-09-13	PRIJEM	VKLAD	20182	97156	\N	\N	\N
859867	2930	1997-05-03	PRIJEM	VKLAD	27793	78500	\N	\N	\N
859868	2930	1997-06-11	PRIJEM	VKLAD	18915	78178	\N	\N	\N
859869	2930	1998-07-10	PRIJEM	VKLAD	31857	68379	\N	\N	\N
859870	2930	1998-03-15	PRIJEM	VKLAD	7587	28457	\N	\N	\N
859871	2930	1998-10-15	PRIJEM	VKLAD	25773	116806	\N	\N	\N
859872	2930	1998-11-11	PRIJEM	VKLAD	46459	113683	\N	\N	\N
859873	2930	1998-01-29	PRIJEM	VKLAD	48248	133189	\N	\N	\N
859874	2930	1998-05-22	PRIJEM	VKLAD	47396	105175	\N	\N	\N
859875	2930	1998-02-04	PRIJEM	VKLAD	44660	148231	\N	\N	\N
859876	2930	1998-03-27	PRIJEM	VKLAD	41931	87288	\N	\N	\N
859877	2930	1998-02-07	PRIJEM	VKLAD	11935	114066	\N	\N	\N
859878	2930	1998-12-06	PRIJEM	VKLAD	30529	97539	\N	\N	\N
859879	2930	1998-01-05	PRIJEM	VKLAD	27377	100159	\N	\N	\N
859880	2930	1998-10-14	PRIJEM	VKLAD	17038	91033	\N	\N	\N
859881	2930	1998-09-14	PRIJEM	VKLAD	18742	82134	\N	\N	\N
859882	2930	1998-11-01	PRIJEM	VKLAD	9392	67224	\N	\N	\N
859883	2930	1998-08-08	PRIJEM	VKLAD	40569	103448	\N	\N	\N
859884	2930	1998-01-16	PRIJEM	VKLAD	31567	110241	\N	\N	\N
859896	2930	1996-12-11	VYDAJ	PREVOD NA UCET	12032	59319	SIPO	UV	40203636
859897	2930	1997-01-11	VYDAJ	PREVOD NA UCET	12032	34281	SIPO	UV	40203636
859898	2930	1997-02-11	VYDAJ	PREVOD NA UCET	12032	29338	SIPO	UV	40203636
859899	2930	1997-03-11	VYDAJ	PREVOD NA UCET	12032	45581	SIPO	UV	40203636
859900	2930	1997-04-11	VYDAJ	PREVOD NA UCET	12032	63344	SIPO	UV	40203636
859901	2930	1997-05-11	VYDAJ	PREVOD NA UCET	12032	75111	SIPO	UV	40203636
859902	2930	1997-06-11	VYDAJ	PREVOD NA UCET	12032	66146	SIPO	UV	40203636
859903	2930	1997-07-11	VYDAJ	PREVOD NA UCET	12032	100748	SIPO	UV	40203636
859904	2930	1997-08-11	VYDAJ	PREVOD NA UCET	12032	18432	SIPO	UV	40203636
859905	2930	1997-09-11	VYDAJ	PREVOD NA UCET	12032	30456	SIPO	UV	40203636
859906	2930	1997-10-11	VYDAJ	PREVOD NA UCET	12032	59862	SIPO	UV	40203636
859907	2930	1997-11-11	VYDAJ	PREVOD NA UCET	12032	27714	SIPO	UV	40203636
859908	2930	1997-12-11	VYDAJ	PREVOD NA UCET	12032	34081	SIPO	UV	40203636
859909	2930	1998-01-11	VYDAJ	PREVOD NA UCET	12032	78674	SIPO	UV	40203636
859910	2930	1998-02-11	VYDAJ	PREVOD NA UCET	12032	83534	SIPO	UV	40203636
859911	2930	1998-03-11	VYDAJ	PREVOD NA UCET	12032	20870	SIPO	UV	40203636
859912	2930	1998-04-11	VYDAJ	PREVOD NA UCET	12032	61030	SIPO	UV	40203636
859913	2930	1998-05-11	VYDAJ	PREVOD NA UCET	12032	52179	SIPO	UV	40203636
859914	2930	1998-06-11	VYDAJ	PREVOD NA UCET	12032	93445	SIPO	UV	40203636
859915	2930	1998-07-11	VYDAJ	PREVOD NA UCET	12032	56347	SIPO	UV	40203636
859916	2930	1998-08-11	VYDAJ	PREVOD NA UCET	12032	79716	SIPO	UV	40203636
859917	2930	1998-09-11	VYDAJ	PREVOD NA UCET	12032	43792	SIPO	UV	40203636
859918	2930	1998-10-11	VYDAJ	PREVOD NA UCET	12032	70395	SIPO	UV	40203636
859919	2930	1998-11-11	VYDAJ	PREVOD NA UCET	12032	101651	SIPO	UV	40203636
859920	2930	1998-12-11	VYDAJ	PREVOD NA UCET	12032	85507	SIPO	UV	40203636
859923	2930	1997-03-23	VYBER	VYBER	17213	26968	\N	\N	\N
859924	2930	1997-07-24	VYBER	VYBER	21120	38528	\N	\N	\N
859925	2930	1998-06-16	VYBER	VYBER	18433	61512	\N	\N	\N
859926	2930	1998-07-04	VYBER	VYBER	16911	36522	\N	\N	\N
859927	2930	1998-09-04	VYBER	VYBER	14989	63024	\N	\N	\N
859928	2930	1998-02-19	VYBER	VYBER	23165	43133	\N	\N	\N
859929	2930	1998-02-12	VYBER	VYBER	15536	67998	\N	\N	\N
859930	2930	1998-01-06	VYBER	VYBER	9453	90706	\N	\N	\N
859931	2930	1996-12-27	VYDAJ	VYBER	7500	51789	\N	\N	\N
859932	2930	1997-12-07	VYDAJ	VYBER	6600	30380	\N	\N	\N
859933	2930	1998-12-05	VYDAJ	VYBER	1800	67010	\N	\N	\N
859937	2930	1997-01-04	VYDAJ	VYBER	5700	46313	\N	\N	\N
859938	2930	1997-11-18	VYDAJ	VYBER	3600	36814	\N	\N	\N
859939	2930	1997-01-18	VYDAJ	VYBER	12600	21681	\N	\N	\N
859940	2930	1997-07-16	VYDAJ	VYBER	13800	73148	\N	\N	\N
859941	2930	1997-08-05	VYDAJ	VYBER	8400	30464	\N	\N	\N
859942	2930	1997-10-16	VYDAJ	VYBER	13200	46662	\N	\N	\N
859943	2930	1997-07-13	VYDAJ	VYBER	13800	86948	\N	\N	\N
859945	2930	1997-06-20	VYDAJ	VYBER	12600	53546	\N	\N	\N
859946	2930	1998-08-09	VYDAJ	VYBER	11700	91748	\N	\N	\N
859947	2930	1998-04-08	VYDAJ	VYBER	14400	73062	\N	\N	\N
859948	2930	1998-09-04	VYDAJ	VYBER	7200	55824	\N	\N	\N
859949	2930	1998-06-24	VYDAJ	VYBER	8400	53112	\N	\N	\N
859950	2930	1998-10-22	VYDAJ	VYBER	4800	57506	\N	\N	\N
859951	2930	1998-02-22	VYDAJ	VYBER	10500	32633	\N	\N	\N
859964	2930	1996-12-31	VYDAJ	VYBER	15	52013	SLUZBY	\N	\N
859965	2930	1997-01-31	VYDAJ	VYBER	15	30222	SLUZBY	\N	\N
859966	2930	1997-02-28	VYDAJ	VYBER	15	57613	SLUZBY	\N	\N
859967	2930	1997-03-31	VYDAJ	VYBER	15	69406	SLUZBY	\N	\N
859968	2930	1997-04-30	VYDAJ	VYBER	15	50707	SLUZBY	\N	\N
859969	2930	1997-05-31	VYDAJ	VYBER	15	59263	SLUZBY	\N	\N
859970	2930	1997-06-30	VYDAJ	VYBER	15	90893	SLUZBY	\N	\N
859971	2930	1997-07-31	VYDAJ	VYBER	15	38864	SLUZBY	\N	\N
859972	2930	1997-08-31	VYDAJ	VYBER	15	34048	SLUZBY	\N	\N
859973	2930	1997-09-30	VYDAJ	VYBER	15	71894	SLUZBY	\N	\N
859974	2930	1997-10-31	VYDAJ	VYBER	15	63444	SLUZBY	\N	\N
859975	2930	1997-11-30	VYDAJ	VYBER	15	36980	SLUZBY	\N	\N
859976	2930	1997-12-31	VYDAJ	VYBER	15	72782	SLUZBY	\N	\N
859977	2930	1998-01-31	VYDAJ	VYBER	15	103571	SLUZBY	\N	\N
859978	2930	1998-02-28	VYDAJ	VYBER	15	32902	SLUZBY	\N	\N
859979	2930	1998-03-31	VYDAJ	VYBER	15	87462	SLUZBY	\N	\N
859980	2930	1998-04-30	VYDAJ	VYBER	15	64211	SLUZBY	\N	\N
859981	2930	1998-05-31	VYDAJ	VYBER	15	105477	SLUZBY	\N	\N
859982	2930	1998-06-30	VYDAJ	VYBER	15	53433	SLUZBY	\N	\N
859983	2930	1998-07-31	VYDAJ	VYBER	15	62879	SLUZBY	\N	\N
859984	2930	1998-08-31	VYDAJ	VYBER	15	78013	SLUZBY	\N	\N
859985	2930	1998-09-30	VYDAJ	VYBER	15	82427	SLUZBY	\N	\N
859986	2930	1998-10-31	VYDAJ	VYBER	15	57832	SLUZBY	\N	\N
859987	2930	1998-11-30	VYDAJ	VYBER	15	68810	SLUZBY	\N	\N
859988	2930	1996-09-23	VYDAJ	VYBER	9700	37333	\N	\N	\N
859989	2930	1996-10-23	VYDAJ	VYBER	8200	35604	\N	\N	\N
859990	2930	1996-11-22	VYDAJ	VYBER	30900	58011	\N	\N	\N
859991	2930	1996-12-22	VYDAJ	VYBER	14600	44719	\N	\N	\N
859992	2930	1997-01-21	PRIJEM	VKLAD	8400	30081	\N	\N	\N
859993	2930	1997-02-20	VYDAJ	VYBER	19300	57410	\N	\N	\N
859994	2930	1997-03-22	VYDAJ	VYBER	1400	44181	\N	\N	\N
859995	2930	1997-04-08	VYDAJ	VYBER	51700	75376	\N	\N	\N
859996	2930	1997-04-21	VYDAJ	VYBER	12900	50444	\N	\N	\N
859997	2930	1997-05-21	VYDAJ	VYBER	16100	59011	\N	\N	\N
859998	2930	1997-06-20	VYDAJ	VYBER	2800	50746	\N	\N	\N
859999	2930	1997-07-01	VYDAJ	VYBER	17800	112780	\N	\N	\N
860000	2930	1997-07-20	VYDAJ	VYBER	13500	59648	\N	\N	\N
860001	2930	1997-08-19	PRIJEM	VKLAD	15500	33932	\N	\N	\N
860002	2930	1997-09-18	VYDAJ	VYBER	25500	71656	\N	\N	\N
860003	2930	1997-10-18	PRIJEM	VKLAD	4500	51162	\N	\N	\N
860004	2930	1997-11-10	VYDAJ	VYBER	64700	39746	\N	\N	\N
860005	2930	1997-11-17	PRIJEM	VKLAD	12700	40414	\N	\N	\N
860006	2930	1997-12-17	PRIJEM	VKLAD	12300	46381	\N	\N	\N
860007	2930	1997-12-22	VYDAJ	VYBER	38600	72524	\N	\N	\N
860008	2930	1998-01-16	VYDAJ	VYBER	25300	84941	\N	\N	\N
860009	2930	1998-01-29	VYDAJ	VYBER	30000	103189	\N	\N	\N
860010	2930	1998-02-04	VYDAJ	VYBER	46100	102131	\N	\N	\N
860011	2930	1998-02-07	VYDAJ	VYBER	18500	95566	\N	\N	\N
860012	2930	1998-02-15	VYDAJ	VYBER	1700	66298	\N	\N	\N
860013	2930	1998-03-17	PRIJEM	VKLAD	16900	45357	\N	\N	\N
860014	2930	1998-04-16	PRIJEM	VKLAD	2900	63930	\N	\N	\N
860015	2930	1998-05-16	PRIJEM	VKLAD	5600	57779	\N	\N	\N
860016	2930	1998-06-15	VYDAJ	VYBER	13500	79945	\N	\N	\N
860017	2930	1998-07-15	PRIJEM	VKLAD	6300	62647	\N	\N	\N
860018	2930	1998-08-14	VYDAJ	VYBER	2000	77716	\N	\N	\N
860019	2930	1998-09-13	PRIJEM	VKLAD	19600	63392	\N	\N	\N
860020	2930	1998-10-13	PRIJEM	VKLAD	3600	73995	\N	\N	\N
860021	2930	1998-10-15	VYDAJ	VYBER	54500	62306	\N	\N	\N
860022	2930	1998-11-11	VYDAJ	VYBER	37200	64451	\N	\N	\N
860023	2930	1998-11-12	PRIJEM	VKLAD	4100	68551	\N	\N	\N
860052	2931	1995-05-04	PRIJEM	VKLAD	500	500	\N	\N	\N
860057	2931	1995-05-12	PRIJEM	PREVOD Z UCTU	4326	4826	DUCHOD	ST	9673935
860058	2931	1995-06-12	PRIJEM	PREVOD Z UCTU	4326	9165	DUCHOD	ST	9673935
860059	2931	1995-07-12	PRIJEM	PREVOD Z UCTU	4326	13511	DUCHOD	ST	9673935
860060	2931	1995-08-12	PRIJEM	PREVOD Z UCTU	4326	17857	DUCHOD	ST	9673935
860061	2931	1995-09-12	PRIJEM	PREVOD Z UCTU	4326	22203	DUCHOD	ST	9673935
860062	2931	1995-10-12	PRIJEM	PREVOD Z UCTU	4326	22453	DUCHOD	ST	9673935
860063	2931	1995-11-12	PRIJEM	PREVOD Z UCTU	4326	23492	DUCHOD	ST	9673935
860064	2931	1995-12-12	PRIJEM	PREVOD Z UCTU	4326	25015	DUCHOD	ST	9673935
860065	2931	1996-01-12	PRIJEM	PREVOD Z UCTU	4326	19963	DUCHOD	ST	9673935
860066	2931	1996-02-12	PRIJEM	PREVOD Z UCTU	4326	17867	DUCHOD	ST	9673935
860067	2931	1996-03-12	PRIJEM	PREVOD Z UCTU	4326	19367	DUCHOD	ST	9673935
860068	2931	1996-04-12	PRIJEM	PREVOD Z UCTU	4326	20873	DUCHOD	ST	9673935
860069	2931	1996-05-12	PRIJEM	PREVOD Z UCTU	4326	20465	DUCHOD	ST	9673935
860070	2931	1996-06-12	PRIJEM	PREVOD Z UCTU	4326	21976	DUCHOD	ST	9673935
860071	2931	1996-07-12	PRIJEM	PREVOD Z UCTU	4326	21653	DUCHOD	ST	9673935
860072	2931	1996-08-12	PRIJEM	PREVOD Z UCTU	4326	19327	DUCHOD	ST	9673935
860073	2931	1996-09-12	PRIJEM	PREVOD Z UCTU	4326	20833	DUCHOD	ST	9673935
860074	2931	1996-10-12	PRIJEM	PREVOD Z UCTU	4326	18261	DUCHOD	ST	9673935
860075	2931	1996-11-12	PRIJEM	PREVOD Z UCTU	4326	19765	DUCHOD	ST	9673935
860076	2931	1996-12-12	PRIJEM	PREVOD Z UCTU	4326	21273	DUCHOD	ST	9673935
860077	2931	1997-01-12	PRIJEM	PREVOD Z UCTU	4326	15293	DUCHOD	ST	9673935
860078	2931	1997-02-12	PRIJEM	PREVOD Z UCTU	4326	15178	DUCHOD	ST	9673935
860079	2931	1997-03-12	PRIJEM	PREVOD Z UCTU	4326	16666	DUCHOD	ST	9673935
860080	2931	1997-04-12	PRIJEM	PREVOD Z UCTU	4326	15436	DUCHOD	ST	9673935
860081	2931	1997-05-12	PRIJEM	PREVOD Z UCTU	4326	16045	DUCHOD	ST	9673935
860082	2931	1997-06-12	PRIJEM	PREVOD Z UCTU	4326	17535	DUCHOD	ST	9673935
860083	2931	1997-07-12	PRIJEM	PREVOD Z UCTU	4326	19033	DUCHOD	ST	9673935
860084	2931	1997-08-12	PRIJEM	PREVOD Z UCTU	4326	20537	DUCHOD	ST	9673935
860085	2931	1997-09-12	PRIJEM	PREVOD Z UCTU	4326	22048	DUCHOD	ST	9673935
860086	2931	1997-10-12	PRIJEM	PREVOD Z UCTU	4326	23565	DUCHOD	ST	9673935
860087	2931	1997-11-12	PRIJEM	PREVOD Z UCTU	4326	20040	DUCHOD	ST	9673935
860088	2931	1997-12-12	PRIJEM	PREVOD Z UCTU	4326	17526	DUCHOD	ST	9673935
860089	2931	1998-01-12	PRIJEM	PREVOD Z UCTU	4326	16700	DUCHOD	ST	9673935
860090	2931	1998-02-12	PRIJEM	PREVOD Z UCTU	4326	16590	DUCHOD	ST	9673935
860091	2931	1998-03-12	PRIJEM	PREVOD Z UCTU	4326	18084	DUCHOD	ST	9673935
860092	2931	1998-04-12	PRIJEM	PREVOD Z UCTU	4326	19584	DUCHOD	ST	9673935
860093	2931	1998-05-12	PRIJEM	PREVOD Z UCTU	4326	21090	DUCHOD	ST	9673935
860094	2931	1998-06-12	PRIJEM	PREVOD Z UCTU	4326	22043	DUCHOD	ST	9673935
860095	2931	1998-07-12	PRIJEM	PREVOD Z UCTU	4326	23559	DUCHOD	ST	9673935
860096	2931	1998-08-12	PRIJEM	PREVOD Z UCTU	4326	25082	DUCHOD	ST	9673935
860097	2931	1998-09-12	PRIJEM	PREVOD Z UCTU	4326	24368	DUCHOD	ST	9673935
860098	2931	1998-10-12	PRIJEM	PREVOD Z UCTU	4326	24294	DUCHOD	ST	9673935
860099	2931	1998-11-12	PRIJEM	PREVOD Z UCTU	4326	25820	DUCHOD	ST	9673935
860100	2931	1998-12-12	PRIJEM	PREVOD Z UCTU	4326	27352	DUCHOD	ST	9673935
860110	2931	1995-10-06	VYDAJ	PREVOD NA UCET	2884	19327	SIPO	QR	47281336
860111	2931	1995-11-06	VYDAJ	PREVOD NA UCET	2884	19166	SIPO	QR	47281336
860112	2931	1995-12-06	VYDAJ	PREVOD NA UCET	2884	20689	SIPO	QR	47281336
860113	2931	1996-01-06	VYDAJ	PREVOD NA UCET	2884	18117	SIPO	QR	47281336
860114	2931	1996-02-06	VYDAJ	PREVOD NA UCET	2884	13541	SIPO	QR	47281336
860115	2931	1996-03-06	VYDAJ	PREVOD NA UCET	2884	15041	SIPO	QR	47281336
860116	2931	1996-04-06	VYDAJ	PREVOD NA UCET	2884	16547	SIPO	QR	47281336
860117	2931	1996-05-06	VYDAJ	PREVOD NA UCET	2884	18059	SIPO	QR	47281336
860118	2931	1996-06-06	VYDAJ	PREVOD NA UCET	2884	17650	SIPO	QR	47281336
860119	2931	1996-07-06	VYDAJ	PREVOD NA UCET	2884	17327	SIPO	QR	47281336
860120	2931	1996-08-06	VYDAJ	PREVOD NA UCET	2884	15001	SIPO	QR	47281336
860121	2931	1996-09-06	VYDAJ	PREVOD NA UCET	2884	16507	SIPO	QR	47281336
860122	2931	1996-10-06	VYDAJ	PREVOD NA UCET	2884	13935	SIPO	QR	47281336
860123	2931	1996-11-06	VYDAJ	PREVOD NA UCET	2884	15439	SIPO	QR	47281336
860124	2931	1996-12-06	VYDAJ	PREVOD NA UCET	2884	16947	SIPO	QR	47281336
860125	2931	1997-01-06	VYDAJ	PREVOD NA UCET	2884	10967	SIPO	QR	47281336
860126	2931	1997-02-06	VYDAJ	PREVOD NA UCET	2884	10852	SIPO	QR	47281336
860127	2931	1997-03-06	VYDAJ	PREVOD NA UCET	2884	12340	SIPO	QR	47281336
860128	2931	1997-04-06	VYDAJ	PREVOD NA UCET	2884	11110	SIPO	QR	47281336
860129	2931	1997-05-06	VYDAJ	PREVOD NA UCET	2884	11719	SIPO	QR	47281336
860130	2931	1997-06-06	VYDAJ	PREVOD NA UCET	2884	13209	SIPO	QR	47281336
860131	2931	1997-07-06	VYDAJ	PREVOD NA UCET	2884	14707	SIPO	QR	47281336
860132	2931	1997-08-06	VYDAJ	PREVOD NA UCET	2884	16211	SIPO	QR	47281336
860133	2931	1997-09-06	VYDAJ	PREVOD NA UCET	2884	17722	SIPO	QR	47281336
860134	2931	1997-10-06	VYDAJ	PREVOD NA UCET	2884	19239	SIPO	QR	47281336
860135	2931	1997-11-06	VYDAJ	PREVOD NA UCET	2884	15714	SIPO	QR	47281336
860136	2931	1997-12-06	VYDAJ	PREVOD NA UCET	2884	13200	SIPO	QR	47281336
860137	2931	1998-01-06	VYDAJ	PREVOD NA UCET	2884	12374	SIPO	QR	47281336
860138	2931	1998-02-06	VYDAJ	PREVOD NA UCET	2884	12264	SIPO	QR	47281336
860139	2931	1998-03-06	VYDAJ	PREVOD NA UCET	2884	13758	SIPO	QR	47281336
860140	2931	1998-04-06	VYDAJ	PREVOD NA UCET	2884	15258	SIPO	QR	47281336
860141	2931	1998-05-06	VYDAJ	PREVOD NA UCET	2884	16764	SIPO	QR	47281336
860142	2931	1998-06-06	VYDAJ	PREVOD NA UCET	2884	17717	SIPO	QR	47281336
860143	2931	1998-07-06	VYDAJ	PREVOD NA UCET	2884	19233	SIPO	QR	47281336
860144	2931	1998-08-06	VYDAJ	PREVOD NA UCET	2884	20756	SIPO	QR	47281336
860145	2931	1998-09-06	VYDAJ	PREVOD NA UCET	2884	20042	SIPO	QR	47281336
860146	2931	1998-10-06	VYDAJ	PREVOD NA UCET	2884	19968	SIPO	QR	47281336
860147	2931	1998-11-06	VYDAJ	PREVOD NA UCET	2884	21494	SIPO	QR	47281336
860148	2931	1998-12-06	VYDAJ	PREVOD NA UCET	2884	23026	SIPO	QR	47281336
860155	2931	1997-01-03	VYDAJ	VYBER	4250	13851	\N	\N	\N
860157	2931	1995-12-17	VYDAJ	VYBER	900	24115	\N	\N	\N
860158	2931	1996-12-20	VYDAJ	VYBER	1400	19873	\N	\N	\N
860159	2931	1997-12-03	VYDAJ	VYBER	500	16084	\N	\N	\N
860160	2931	1998-12-15	VYDAJ	VYBER	1100	26252	\N	\N	\N
860167	2931	1996-01-25	VYDAJ	VYBER	1760	16363	\N	\N	\N
860168	2931	1996-01-11	VYDAJ	VYBER	400	15637	\N	\N	\N
860169	2931	1996-01-04	VYDAJ	VYBER	1040	23161	\N	\N	\N
860170	2931	1996-01-14	VYDAJ	VYBER	1840	18123	\N	\N	\N
860171	2931	1996-01-08	VYDAJ	VYBER	800	16037	\N	\N	\N
860172	2931	1996-01-06	VYDAJ	VYBER	1280	16837	\N	\N	\N
860173	2931	1997-01-17	VYDAJ	VYBER	1600	13693	\N	\N	\N
860175	2931	1997-01-01	VYDAJ	VYBER	1040	18101	\N	\N	\N
860180	2931	1998-01-23	VYDAJ	VYBER	400	15100	\N	\N	\N
860181	2931	1998-01-20	VYDAJ	VYBER	1200	15500	\N	\N	\N
860185	2931	1995-10-09	VYDAJ	VYBER	1200	18127	\N	\N	\N
860186	2931	1995-10-31	VYDAJ	VYBER	480	22050	\N	\N	\N
860187	2931	1996-12-22	VYDAJ	VYBER	800	19073	\N	\N	\N
860188	2931	1996-09-30	VYDAJ	VYBER	2000	16819	\N	\N	\N
860189	2931	1996-08-02	VYDAJ	VYBER	3840	17885	\N	\N	\N
860190	2931	1996-09-17	VYDAJ	VYBER	2080	18753	\N	\N	\N
860191	2931	1996-07-06	VYDAJ	VYBER	1840	20211	\N	\N	\N
860192	2931	1996-01-04	VYDAJ	VYBER	2160	21001	\N	\N	\N
860193	2931	1996-05-09	VYDAJ	VYBER	1920	16139	\N	\N	\N
860194	2931	1997-10-26	VYDAJ	VYBER	1840	18525	\N	\N	\N
860195	2931	1997-12-23	VYDAJ	VYBER	1520	16006	\N	\N	\N
860196	2931	1997-10-18	VYDAJ	VYBER	3200	20365	\N	\N	\N
860197	2931	1997-05-02	VYDAJ	VYBER	880	14603	\N	\N	\N
860198	2931	1997-03-20	VYDAJ	VYBER	2720	13946	\N	\N	\N
860200	2931	1997-11-27	VYDAJ	VYBER	3520	16520	\N	\N	\N
860203	2931	1998-10-03	VYDAJ	VYBER	480	23972	\N	\N	\N
860204	2931	1998-01-02	VYDAJ	VYBER	800	15258	\N	\N	\N
860206	2931	1998-10-06	VYDAJ	VYBER	1120	22852	\N	\N	\N
860207	2931	1998-08-23	VYDAJ	VYBER	2240	22842	\N	\N	\N
860208	2931	1998-05-31	VYDAJ	VYBER	560	20615	\N	\N	\N
860218	2931	1995-09-30	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
860219	2931	1995-10-31	VYDAJ	VYBER	15	22530	SLUZBY	\N	\N
860220	2931	1995-11-30	VYDAJ	VYBER	15	23573	SLUZBY	\N	\N
860221	2931	1995-12-31	VYDAJ	VYBER	15	24201	SLUZBY	\N	\N
860222	2931	1996-01-31	VYDAJ	VYBER	15	16425	SLUZBY	\N	\N
860223	2931	1996-02-29	VYDAJ	VYBER	15	17925	SLUZBY	\N	\N
860224	2931	1996-03-31	VYDAJ	VYBER	15	19431	SLUZBY	\N	\N
860225	2931	1996-04-30	VYDAJ	VYBER	15	20943	SLUZBY	\N	\N
860226	2931	1996-05-31	VYDAJ	VYBER	15	20534	SLUZBY	\N	\N
860227	2931	1996-06-30	VYDAJ	VYBER	15	22051	SLUZBY	\N	\N
860228	2931	1996-07-31	VYDAJ	VYBER	15	21725	SLUZBY	\N	\N
860229	2931	1996-08-31	VYDAJ	VYBER	15	19391	SLUZBY	\N	\N
860230	2931	1996-09-30	VYDAJ	VYBER	15	18819	SLUZBY	\N	\N
860231	2931	1996-10-31	VYDAJ	VYBER	15	18323	SLUZBY	\N	\N
860232	2931	1996-11-30	VYDAJ	VYBER	15	19831	SLUZBY	\N	\N
860233	2931	1996-12-31	VYDAJ	VYBER	15	19141	SLUZBY	\N	\N
860234	2931	1997-01-31	VYDAJ	VYBER	15	13736	SLUZBY	\N	\N
860235	2931	1997-02-28	VYDAJ	VYBER	15	15224	SLUZBY	\N	\N
860236	2931	1997-03-31	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
860237	2931	1997-04-30	VYDAJ	VYBER	15	15483	SLUZBY	\N	\N
860238	2931	1997-05-31	VYDAJ	VYBER	15	16093	SLUZBY	\N	\N
860239	2931	1997-06-30	VYDAJ	VYBER	15	17591	SLUZBY	\N	\N
860240	2931	1997-07-31	VYDAJ	VYBER	15	19095	SLUZBY	\N	\N
860241	2931	1997-08-31	VYDAJ	VYBER	15	20606	SLUZBY	\N	\N
860242	2931	1997-09-30	VYDAJ	VYBER	15	22123	SLUZBY	\N	\N
860243	2931	1997-10-31	VYDAJ	VYBER	15	18598	SLUZBY	\N	\N
860244	2931	1997-11-30	VYDAJ	VYBER	15	16584	SLUZBY	\N	\N
860245	2931	1997-12-31	VYDAJ	VYBER	15	16058	SLUZBY	\N	\N
860246	2931	1998-01-31	VYDAJ	VYBER	15	15148	SLUZBY	\N	\N
860247	2931	1998-02-28	VYDAJ	VYBER	15	16642	SLUZBY	\N	\N
860248	2931	1998-03-31	VYDAJ	VYBER	15	18142	SLUZBY	\N	\N
860249	2931	1998-04-30	VYDAJ	VYBER	15	19648	SLUZBY	\N	\N
860250	2931	1998-05-31	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
860251	2931	1998-06-30	VYDAJ	VYBER	15	22117	SLUZBY	\N	\N
860252	2931	1998-07-31	VYDAJ	VYBER	15	23640	SLUZBY	\N	\N
860253	2931	1998-08-31	VYDAJ	VYBER	15	22926	SLUZBY	\N	\N
860254	2931	1998-09-30	VYDAJ	VYBER	15	24452	SLUZBY	\N	\N
860255	2931	1998-10-31	VYDAJ	VYBER	15	24378	SLUZBY	\N	\N
860256	2931	1998-11-30	VYDAJ	VYBER	15	25910	SLUZBY	\N	\N
860301	2932	1993-05-04	PRIJEM	VKLAD	500	500	\N	\N	\N
860302	2932	1993-10-24	PRIJEM	VKLAD	36836	81137	\N	\N	\N
860303	2932	1993-06-06	PRIJEM	VKLAD	47133	72862	\N	\N	\N
860304	2932	1993-09-26	PRIJEM	VKLAD	41826	139393	\N	\N	\N
860307	2932	1993-09-19	PRIJEM	VKLAD	36225	97567	\N	\N	\N
860308	2932	1993-12-24	PRIJEM	VKLAD	39143	81464	\N	\N	\N
860309	2932	1993-12-17	PRIJEM	VKLAD	14970	42321	\N	\N	\N
860310	2932	1993-10-18	PRIJEM	VKLAD	40969	110701	\N	\N	\N
860311	2932	1993-12-07	PRIJEM	VKLAD	14460	40708	\N	\N	\N
860313	2932	1993-10-07	PRIJEM	VKLAD	18701	74689	\N	\N	\N
860314	2932	1993-07-20	PRIJEM	VKLAD	37147	124518	\N	\N	\N
860316	2932	1993-12-24	PRIJEM	VKLAD	40908	122372	\N	\N	\N
860320	2932	1993-08-27	PRIJEM	VKLAD	16572	58602	\N	\N	\N
860321	2932	1993-07-31	PRIJEM	VKLAD	13577	77401	\N	\N	\N
860325	2932	1993-05-21	PRIJEM	VKLAD	22695	23195	\N	\N	\N
860326	2932	1993-07-12	PRIJEM	VKLAD	36840	87371	\N	\N	\N
860327	2932	1993-09-12	PRIJEM	VKLAD	34431	61368	\N	\N	\N
860328	2932	1993-10-29	PRIJEM	VKLAD	37803	118940	\N	\N	\N
860329	2932	1994-09-13	PRIJEM	VKLAD	35958	95490	\N	\N	\N
860330	2932	1994-03-29	PRIJEM	VKLAD	21065	87948	\N	\N	\N
860331	2932	1994-10-26	PRIJEM	VKLAD	14963	114638	\N	\N	\N
860332	2932	1994-01-10	PRIJEM	VKLAD	8968	35914	\N	\N	\N
860333	2932	1994-04-13	PRIJEM	VKLAD	12811	63922	\N	\N	\N
860334	2932	1994-08-23	PRIJEM	VKLAD	5091	71433	\N	\N	\N
860335	2932	1994-01-15	PRIJEM	VKLAD	27340	53017	\N	\N	\N
860336	2932	1994-04-29	PRIJEM	VKLAD	40607	146114	\N	\N	\N
860337	2932	1994-10-31	PRIJEM	VKLAD	29715	89854	\N	\N	\N
860338	2932	1994-04-25	PRIJEM	VKLAD	41611	105507	\N	\N	\N
860339	2932	1994-06-09	PRIJEM	VKLAD	35440	62213	\N	\N	\N
860340	2932	1994-03-29	PRIJEM	VKLAD	18270	66883	\N	\N	\N
860341	2932	1994-03-11	PRIJEM	VKLAD	6625	48650	\N	\N	\N
860342	2932	1994-10-10	PRIJEM	VKLAD	40207	131412	\N	\N	\N
860343	2932	1994-10-04	PRIJEM	VKLAD	35503	107559	\N	\N	\N
860344	2932	1994-07-09	PRIJEM	VKLAD	43143	70103	\N	\N	\N
860345	2932	1994-02-23	PRIJEM	VKLAD	44196	77896	\N	\N	\N
860346	2932	1994-02-20	PRIJEM	VKLAD	6790	33700	\N	\N	\N
860347	2932	1994-12-17	PRIJEM	VKLAD	35727	128038	\N	\N	\N
860348	2932	1994-10-02	PRIJEM	VKLAD	8987	72056	\N	\N	\N
860349	2932	1994-12-09	PRIJEM	VKLAD	41288	92348	\N	\N	\N
860350	2932	1994-08-02	PRIJEM	VKLAD	21097	71299	\N	\N	\N
860351	2932	1994-09-13	PRIJEM	VKLAD	33759	59532	\N	\N	\N
860352	2932	1994-11-05	PRIJEM	VKLAD	29643	135584	\N	\N	\N
860353	2932	1994-10-07	PRIJEM	VKLAD	32466	119025	\N	\N	\N
860354	2932	1994-11-17	PRIJEM	VKLAD	34197	87352	\N	\N	\N
860355	2932	1994-11-01	PRIJEM	VKLAD	39202	129041	\N	\N	\N
860356	2932	1995-07-26	PRIJEM	VKLAD	29433	55753	\N	\N	\N
860357	2932	1995-06-19	PRIJEM	VKLAD	17673	37015	\N	\N	\N
860358	2932	1995-01-09	PRIJEM	VKLAD	43687	67708	\N	\N	\N
860359	2932	1995-09-09	PRIJEM	VKLAD	46929	81817	\N	\N	\N
860360	2932	1996-01-30	PRIJEM	VKLAD	48841	82980	\N	\N	\N
860361	2932	1996-12-10	PRIJEM	VKLAD	27682	103454	\N	\N	\N
860362	2932	1996-10-01	PRIJEM	VKLAD	35496	112545	\N	\N	\N
860363	2932	1996-10-29	PRIJEM	VKLAD	22553	82271	\N	\N	\N
860364	2932	1996-03-21	PRIJEM	VKLAD	34181	72907	\N	\N	\N
860365	2932	1996-08-18	PRIJEM	VKLAD	9341	57102	\N	\N	\N
860366	2932	1996-10-07	PRIJEM	VKLAD	37815	104860	\N	\N	\N
860367	2932	1996-07-15	PRIJEM	VKLAD	19920	101075	\N	\N	\N
860368	2932	1996-09-16	PRIJEM	VKLAD	23889	64751	\N	\N	\N
860369	2932	1996-12-28	PRIJEM	VKLAD	37341	105858	\N	\N	\N
860370	2932	1996-08-25	PRIJEM	VKLAD	25485	79548	\N	\N	\N
860371	2932	1996-01-31	PRIJEM	VKLAD	49972	133157	\N	\N	\N
860372	2932	1996-01-04	PRIJEM	VKLAD	33543	59747	\N	\N	\N
860373	2932	1996-03-08	PRIJEM	VKLAD	26890	125063	\N	\N	\N
860374	2932	1996-10-10	PRIJEM	VKLAD	45374	128555	\N	\N	\N
860375	2932	1996-11-04	PRIJEM	VKLAD	39519	122123	\N	\N	\N
860376	2932	1996-07-14	PRIJEM	VKLAD	34426	81155	\N	\N	\N
860377	2932	1996-12-07	PRIJEM	VKLAD	34523	141692	\N	\N	\N
860378	2932	1996-09-21	PRIJEM	VKLAD	21301	86052	\N	\N	\N
860379	2932	1996-01-12	PRIJEM	VKLAD	22946	73562	\N	\N	\N
860380	2932	1996-02-26	PRIJEM	VKLAD	21021	73067	\N	\N	\N
860381	2932	1996-01-21	PRIJEM	VKLAD	10603	52139	\N	\N	\N
860382	2932	1996-10-09	PRIJEM	VKLAD	46541	146481	\N	\N	\N
860383	2932	1996-03-05	PRIJEM	VKLAD	29720	103093	\N	\N	\N
860384	2932	1996-09-07	PRIJEM	VKLAD	33517	113319	\N	\N	\N
860385	2932	1996-12-06	PRIJEM	VKLAD	46824	107169	\N	\N	\N
860386	2932	1996-05-30	PRIJEM	VKLAD	46321	80836	\N	\N	\N
860387	2932	1997-11-23	PRIJEM	VKLAD	33929	92461	\N	\N	\N
860388	2932	1997-09-30	PRIJEM	VKLAD	23336	56491	\N	\N	\N
860389	2932	1997-06-14	PRIJEM	VKLAD	6405	51288	\N	\N	\N
860390	2932	1997-06-24	PRIJEM	VKLAD	42212	93500	\N	\N	\N
860391	2932	1997-07-26	PRIJEM	VKLAD	10636	43503	\N	\N	\N
860392	2932	1997-05-27	PRIJEM	VKLAD	29426	60414	\N	\N	\N
860393	2932	1997-11-21	PRIJEM	VKLAD	22763	58532	\N	\N	\N
860394	2932	1998-02-21	PRIJEM	VKLAD	28448	57327	\N	\N	\N
860395	2932	1998-10-09	PRIJEM	VKLAD	31338	73268	\N	\N	\N
860396	2932	1998-02-22	PRIJEM	VKLAD	20666	77993	\N	\N	\N
860397	2932	1998-04-02	PRIJEM	VKLAD	21967	53749	\N	\N	\N
860398	2932	1998-07-17	PRIJEM	VKLAD	32325	56046	\N	\N	\N
860399	2932	1998-09-24	PRIJEM	VKLAD	45881	102987	\N	\N	\N
860400	2932	1998-12-24	PRIJEM	VKLAD	13428	33870	\N	\N	\N
860401	2932	1998-08-26	PRIJEM	VKLAD	18739	84813	\N	\N	\N
860402	2932	1998-01-01	PRIJEM	VKLAD	20546	61464	\N	\N	\N
860403	2932	1998-07-03	PRIJEM	VKLAD	5311	33978	\N	\N	\N
860404	2932	1998-09-06	PRIJEM	VKLAD	12210	62063	\N	\N	\N
860405	2932	1998-08-11	PRIJEM	VKLAD	42984	66111	\N	\N	\N
860485	2932	1993-08-07	VYDAJ	PREVOD NA UCET	4920	42067	SIPO	QR	17844856
860486	2932	1993-09-07	VYDAJ	PREVOD NA UCET	4920	32048	SIPO	QR	17844856
860487	2932	1993-10-07	VYDAJ	PREVOD NA UCET	4920	69769	SIPO	QR	17844856
860488	2932	1993-11-07	VYDAJ	PREVOD NA UCET	4920	25372	SIPO	QR	17844856
860489	2932	1993-12-07	VYDAJ	PREVOD NA UCET	4920	35788	SIPO	QR	17844856
860490	2932	1994-01-07	VYDAJ	PREVOD NA UCET	4920	26946	SIPO	QR	17844856
860491	2932	1994-02-07	VYDAJ	PREVOD NA UCET	4920	26947	SIPO	QR	17844856
860492	2932	1994-03-07	VYDAJ	PREVOD NA UCET	4920	42025	SIPO	QR	17844856
860493	2932	1994-04-07	VYDAJ	PREVOD NA UCET	4920	51122	SIPO	QR	17844856
860494	2932	1994-05-07	VYDAJ	PREVOD NA UCET	4920	40065	SIPO	QR	17844856
860495	2932	1994-06-07	VYDAJ	PREVOD NA UCET	4920	26773	SIPO	QR	17844856
860496	2932	1994-07-07	VYDAJ	PREVOD NA UCET	4920	41660	SIPO	QR	17844856
860497	2932	1994-08-07	VYDAJ	PREVOD NA UCET	4920	66379	SIPO	QR	17844856
860498	2932	1994-09-07	VYDAJ	PREVOD NA UCET	4920	43553	SIPO	QR	17844856
860499	2932	1994-10-07	VYDAJ	PREVOD NA UCET	4920	114105	SIPO	QR	17844856
860500	2932	1994-11-07	VYDAJ	PREVOD NA UCET	4920	72164	SIPO	QR	17844856
860501	2932	1994-12-07	VYDAJ	PREVOD NA UCET	4920	51060	SIPO	QR	17844856
860502	2932	1995-01-07	VYDAJ	PREVOD NA UCET	4920	29121	SIPO	QR	17844856
860503	2932	1995-02-07	VYDAJ	PREVOD NA UCET	4920	27946	SIPO	QR	17844856
860504	2932	1995-03-07	VYDAJ	PREVOD NA UCET	4920	22397	SIPO	QR	17844856
860505	2932	1995-04-07	VYDAJ	PREVOD NA UCET	4920	21829	SIPO	QR	17844856
860506	2932	1995-05-07	VYDAJ	PREVOD NA UCET	4920	19558	SIPO	QR	17844856
860507	2932	1995-06-07	VYDAJ	PREVOD NA UCET	4920	19379	SIPO	QR	17844856
860508	2932	1995-07-07	VYDAJ	PREVOD NA UCET	4920	28693	SIPO	QR	17844856
860509	2932	1995-08-07	VYDAJ	PREVOD NA UCET	4920	50957	SIPO	QR	17844856
860510	2932	1995-09-07	VYDAJ	PREVOD NA UCET	4920	34888	SIPO	QR	17844856
860511	2932	1995-10-07	VYDAJ	PREVOD NA UCET	4920	50001	SIPO	QR	17844856
860512	2932	1995-11-07	VYDAJ	PREVOD NA UCET	4920	22024	SIPO	QR	17844856
860513	2932	1995-12-07	VYDAJ	PREVOD NA UCET	4920	20755	SIPO	QR	17844856
860514	2932	1996-01-07	VYDAJ	PREVOD NA UCET	4920	54827	SIPO	QR	17844856
860515	2932	1996-02-07	VYDAJ	PREVOD NA UCET	4920	90023	SIPO	QR	17844856
860516	2932	1996-03-07	VYDAJ	PREVOD NA UCET	4920	98173	SIPO	QR	17844856
860517	2932	1996-04-07	VYDAJ	PREVOD NA UCET	4920	54114	SIPO	QR	17844856
860518	2932	1996-05-07	VYDAJ	PREVOD NA UCET	4920	34852	SIPO	QR	17844856
860519	2932	1996-06-07	VYDAJ	PREVOD NA UCET	4920	76064	SIPO	QR	17844856
860520	2932	1996-07-07	VYDAJ	PREVOD NA UCET	4920	46766	SIPO	QR	17844856
860521	2932	1996-08-07	VYDAJ	PREVOD NA UCET	4920	60898	SIPO	QR	17844856
860522	2932	1996-09-07	VYDAJ	PREVOD NA UCET	4920	108399	SIPO	QR	17844856
860523	2932	1996-10-07	VYDAJ	PREVOD NA UCET	4920	99940	SIPO	QR	17844856
860524	2932	1996-11-07	VYDAJ	PREVOD NA UCET	4920	84603	SIPO	QR	17844856
860525	2932	1996-12-07	VYDAJ	PREVOD NA UCET	4920	78172	SIPO	QR	17844856
860526	2932	1997-01-07	VYDAJ	PREVOD NA UCET	4920	94943	SIPO	QR	17844856
860527	2932	1997-02-07	VYDAJ	PREVOD NA UCET	4920	34246	SIPO	QR	17844856
860528	2932	1997-03-07	VYDAJ	PREVOD NA UCET	4920	33232	SIPO	QR	17844856
860529	2932	1997-04-07	VYDAJ	PREVOD NA UCET	4920	22831	SIPO	QR	17844856
860530	2932	1997-05-07	VYDAJ	PREVOD NA UCET	4920	23825	SIPO	QR	17844856
860531	2932	1997-06-07	VYDAJ	PREVOD NA UCET	4920	55620	SIPO	QR	17844856
860532	2932	1997-07-07	VYDAJ	PREVOD NA UCET	4920	32404	SIPO	QR	17844856
860533	2932	1997-08-07	VYDAJ	PREVOD NA UCET	4920	21539	SIPO	QR	17844856
860534	2932	1997-09-07	VYDAJ	PREVOD NA UCET	4920	24292	SIPO	QR	17844856
860535	2932	1997-10-07	VYDAJ	PREVOD NA UCET	4920	51689	SIPO	QR	17844856
860536	2932	1997-11-07	VYDAJ	PREVOD NA UCET	4920	37306	SIPO	QR	17844856
860537	2932	1997-12-07	VYDAJ	PREVOD NA UCET	4920	70939	SIPO	QR	17844856
860538	2932	1998-01-07	VYDAJ	PREVOD NA UCET	4920	52644	SIPO	QR	17844856
860539	2932	1998-02-07	VYDAJ	PREVOD NA UCET	4920	28916	SIPO	QR	17844856
860540	2932	1998-03-07	VYDAJ	PREVOD NA UCET	4920	73231	SIPO	QR	17844856
860541	2932	1998-04-07	VYDAJ	PREVOD NA UCET	4920	48829	SIPO	QR	17844856
860542	2932	1998-05-07	VYDAJ	PREVOD NA UCET	4920	38524	SIPO	QR	17844856
860543	2932	1998-06-07	VYDAJ	PREVOD NA UCET	4920	29799	SIPO	QR	17844856
860544	2932	1998-07-07	VYDAJ	PREVOD NA UCET	4920	29058	SIPO	QR	17844856
860545	2932	1998-08-07	VYDAJ	PREVOD NA UCET	4920	23127	SIPO	QR	17844856
860546	2932	1998-09-07	VYDAJ	PREVOD NA UCET	4920	57143	SIPO	QR	17844856
860547	2932	1998-10-07	VYDAJ	PREVOD NA UCET	4920	41930	SIPO	QR	17844856
860548	2932	1998-11-07	VYDAJ	PREVOD NA UCET	4920	34790	SIPO	QR	17844856
860549	2932	1998-12-07	VYDAJ	PREVOD NA UCET	4920	20479	SIPO	QR	17844856
860557	2932	1993-08-13	VYDAJ	PREVOD NA UCET	26	42030	 	KL	90025215
860558	2932	1993-09-13	VYDAJ	PREVOD NA UCET	26	61342	 	KL	90025215
860559	2932	1993-10-13	VYDAJ	PREVOD NA UCET	26	69732	 	KL	90025215
860560	2932	1993-11-13	VYDAJ	PREVOD NA UCET	26	25335	 	KL	90025215
860561	2932	1993-12-13	VYDAJ	PREVOD NA UCET	26	35751	 	KL	90025215
860562	2932	1994-01-13	VYDAJ	PREVOD NA UCET	26	25677	 	KL	90025215
860563	2932	1994-02-13	VYDAJ	PREVOD NA UCET	26	26910	 	KL	90025215
860564	2932	1994-03-13	VYDAJ	PREVOD NA UCET	26	48613	 	KL	90025215
860565	2932	1994-04-13	VYDAJ	PREVOD NA UCET	26	63896	 	KL	90025215
860566	2932	1994-05-13	VYDAJ	PREVOD NA UCET	26	40028	 	KL	90025215
860567	2932	1994-06-13	VYDAJ	PREVOD NA UCET	26	62176	 	KL	90025215
860568	2932	1994-07-13	VYDAJ	PREVOD NA UCET	26	70066	 	KL	90025215
860569	2932	1994-08-13	VYDAJ	PREVOD NA UCET	26	66342	 	KL	90025215
860570	2932	1994-09-13	VYDAJ	PREVOD NA UCET	26	95464	 	KL	90025215
860571	2932	1994-10-13	VYDAJ	PREVOD NA UCET	26	99675	 	KL	90025215
860572	2932	1994-11-13	VYDAJ	PREVOD NA UCET	26	53155	 	KL	90025215
860573	2932	1994-12-13	VYDAJ	PREVOD NA UCET	26	92311	 	KL	90025215
860574	2932	1995-01-13	VYDAJ	PREVOD NA UCET	26	67671	 	KL	90025215
860575	2932	1995-02-13	VYDAJ	PREVOD NA UCET	26	27909	 	KL	90025215
860576	2932	1995-03-13	VYDAJ	PREVOD NA UCET	26	22360	 	KL	90025215
860577	2932	1995-04-13	VYDAJ	PREVOD NA UCET	26	21792	 	KL	90025215
860578	2932	1995-05-13	VYDAJ	PREVOD NA UCET	26	19521	 	KL	90025215
860579	2932	1995-06-13	VYDAJ	PREVOD NA UCET	26	19342	 	KL	90025215
860580	2932	1995-07-13	VYDAJ	PREVOD NA UCET	26	25420	 	KL	90025215
860581	2932	1995-08-13	VYDAJ	PREVOD NA UCET	26	50920	 	KL	90025215
860582	2932	1995-09-13	VYDAJ	PREVOD NA UCET	26	81780	 	KL	90025215
860583	2932	1995-10-13	VYDAJ	PREVOD NA UCET	26	49964	 	KL	90025215
860584	2932	1995-11-13	VYDAJ	PREVOD NA UCET	26	21987	 	KL	90025215
860585	2932	1995-12-13	VYDAJ	PREVOD NA UCET	26	20718	 	KL	90025215
860586	2932	1996-01-13	VYDAJ	PREVOD NA UCET	26	59136	 	KL	90025215
860587	2932	1996-02-13	VYDAJ	PREVOD NA UCET	26	89986	 	KL	90025215
860588	2932	1996-03-13	VYDAJ	PREVOD NA UCET	26	46126	 	KL	90025215
860589	2932	1996-04-13	VYDAJ	PREVOD NA UCET	26	54077	 	KL	90025215
860590	2932	1996-05-13	VYDAJ	PREVOD NA UCET	26	34815	 	KL	90025215
860591	2932	1996-06-13	VYDAJ	PREVOD NA UCET	26	76027	 	KL	90025215
860592	2932	1996-07-13	VYDAJ	PREVOD NA UCET	26	46729	 	KL	90025215
860593	2932	1996-08-13	VYDAJ	PREVOD NA UCET	26	60861	 	KL	90025215
860594	2932	1996-09-13	VYDAJ	PREVOD NA UCET	26	44162	 	KL	90025215
860595	2932	1996-10-13	VYDAJ	PREVOD NA UCET	26	95818	 	KL	90025215
860596	2932	1996-11-13	VYDAJ	PREVOD NA UCET	26	84566	 	KL	90025215
860597	2932	1996-12-13	VYDAJ	PREVOD NA UCET	26	103417	 	KL	90025215
860598	2932	1997-01-13	VYDAJ	PREVOD NA UCET	26	57806	 	KL	90025215
860599	2932	1997-02-13	VYDAJ	PREVOD NA UCET	26	38009	 	KL	90025215
860600	2932	1997-03-13	VYDAJ	PREVOD NA UCET	26	33195	 	KL	90025215
860601	2932	1997-04-13	VYDAJ	PREVOD NA UCET	26	30694	 	KL	90025215
860602	2932	1997-05-13	VYDAJ	PREVOD NA UCET	26	30988	 	KL	90025215
860603	2932	1997-06-13	VYDAJ	PREVOD NA UCET	26	44883	 	KL	90025215
860604	2932	1997-07-13	VYDAJ	PREVOD NA UCET	26	32867	 	KL	90025215
860605	2932	1997-08-13	VYDAJ	PREVOD NA UCET	26	29102	 	KL	90025215
860606	2932	1997-09-13	VYDAJ	PREVOD NA UCET	26	33155	 	KL	90025215
860607	2932	1997-10-13	VYDAJ	PREVOD NA UCET	26	42052	 	KL	90025215
860608	2932	1997-11-13	VYDAJ	PREVOD NA UCET	26	35769	 	KL	90025215
860609	2932	1997-12-13	VYDAJ	PREVOD NA UCET	26	50902	 	KL	90025215
860610	2932	1998-01-13	VYDAJ	PREVOD NA UCET	26	30607	 	KL	90025215
860611	2932	1998-02-13	VYDAJ	PREVOD NA UCET	26	28879	 	KL	90025215
860612	2932	1998-03-13	VYDAJ	PREVOD NA UCET	26	56994	 	KL	90025215
860613	2932	1998-04-13	VYDAJ	PREVOD NA UCET	26	43292	 	KL	90025215
860614	2932	1998-05-13	VYDAJ	PREVOD NA UCET	26	34587	 	KL	90025215
860615	2932	1998-06-13	VYDAJ	PREVOD NA UCET	26	28562	 	KL	90025215
860616	2932	1998-07-13	VYDAJ	PREVOD NA UCET	26	23721	 	KL	90025215
860617	2932	1998-08-13	VYDAJ	PREVOD NA UCET	26	66074	 	KL	90025215
860618	2932	1998-09-13	VYDAJ	PREVOD NA UCET	26	57106	 	KL	90025215
860619	2932	1998-10-13	VYDAJ	PREVOD NA UCET	26	73231	 	KL	90025215
860620	2932	1998-11-13	VYDAJ	PREVOD NA UCET	26	34753	 	KL	90025215
860621	2932	1998-12-13	VYDAJ	PREVOD NA UCET	26	20442	 	KL	90025215
860629	2932	1993-08-11	VYDAJ	PREVOD NA UCET	4	42063	POJISTNE	UV	90010833
860630	2932	1993-09-11	VYDAJ	PREVOD NA UCET	4	32044	POJISTNE	UV	90010833
860631	2932	1993-10-11	VYDAJ	PREVOD NA UCET	4	69758	POJISTNE	UV	90010833
860632	2932	1993-11-11	VYDAJ	PREVOD NA UCET	4	25368	POJISTNE	UV	90010833
860633	2932	1993-12-11	VYDAJ	PREVOD NA UCET	4	35784	POJISTNE	UV	90010833
860634	2932	1994-01-11	VYDAJ	PREVOD NA UCET	4	31103	POJISTNE	UV	90010833
860635	2932	1994-02-11	VYDAJ	PREVOD NA UCET	4	26943	POJISTNE	UV	90010833
860636	2932	1994-03-11	VYDAJ	PREVOD NA UCET	4	48639	POJISTNE	UV	90010833
860637	2932	1994-04-11	VYDAJ	PREVOD NA UCET	4	51118	POJISTNE	UV	90010833
860638	2932	1994-05-11	VYDAJ	PREVOD NA UCET	4	40061	POJISTNE	UV	90010833
860639	2932	1994-06-11	VYDAJ	PREVOD NA UCET	4	62202	POJISTNE	UV	90010833
860640	2932	1994-07-11	VYDAJ	PREVOD NA UCET	4	70092	POJISTNE	UV	90010833
860641	2932	1994-08-11	VYDAJ	PREVOD NA UCET	4	66368	POJISTNE	UV	90010833
860642	2932	1994-09-11	VYDAJ	PREVOD NA UCET	4	25780	POJISTNE	UV	90010833
860643	2932	1994-10-11	VYDAJ	PREVOD NA UCET	4	99708	POJISTNE	UV	90010833
860644	2932	1994-11-11	VYDAJ	PREVOD NA UCET	4	72153	POJISTNE	UV	90010833
860645	2932	1994-12-11	VYDAJ	PREVOD NA UCET	4	92344	POJISTNE	UV	90010833
860646	2932	1995-01-11	VYDAJ	PREVOD NA UCET	4	67697	POJISTNE	UV	90010833
860647	2932	1995-02-11	VYDAJ	PREVOD NA UCET	4	27942	POJISTNE	UV	90010833
860648	2932	1995-03-11	VYDAJ	PREVOD NA UCET	4	22393	POJISTNE	UV	90010833
860649	2932	1995-04-11	VYDAJ	PREVOD NA UCET	4	21825	POJISTNE	UV	90010833
860650	2932	1995-05-11	VYDAJ	PREVOD NA UCET	4	19547	POJISTNE	UV	90010833
860651	2932	1995-06-11	VYDAJ	PREVOD NA UCET	4	19368	POJISTNE	UV	90010833
860652	2932	1995-07-11	VYDAJ	PREVOD NA UCET	4	25446	POJISTNE	UV	90010833
860653	2932	1995-08-11	VYDAJ	PREVOD NA UCET	4	50946	POJISTNE	UV	90010833
860654	2932	1995-09-11	VYDAJ	PREVOD NA UCET	4	81806	POJISTNE	UV	90010833
860655	2932	1995-10-11	VYDAJ	PREVOD NA UCET	4	49990	POJISTNE	UV	90010833
860656	2932	1995-11-11	VYDAJ	PREVOD NA UCET	4	22020	POJISTNE	UV	90010833
860657	2932	1995-12-11	VYDAJ	PREVOD NA UCET	4	20744	POJISTNE	UV	90010833
860658	2932	1996-01-11	VYDAJ	PREVOD NA UCET	4	50616	POJISTNE	UV	90010833
860659	2932	1996-02-11	VYDAJ	PREVOD NA UCET	4	90019	POJISTNE	UV	90010833
860660	2932	1996-03-11	VYDAJ	PREVOD NA UCET	4	106259	POJISTNE	UV	90010833
860661	2932	1996-04-11	VYDAJ	PREVOD NA UCET	4	54103	POJISTNE	UV	90010833
860662	2932	1996-05-11	VYDAJ	PREVOD NA UCET	4	34841	POJISTNE	UV	90010833
860663	2932	1996-06-11	VYDAJ	PREVOD NA UCET	4	76053	POJISTNE	UV	90010833
860664	2932	1996-07-11	VYDAJ	PREVOD NA UCET	4	46762	POJISTNE	UV	90010833
860665	2932	1996-08-11	VYDAJ	PREVOD NA UCET	4	60887	POJISTNE	UV	90010833
860666	2932	1996-09-11	VYDAJ	PREVOD NA UCET	4	44195	POJISTNE	UV	90010833
860667	2932	1996-10-11	VYDAJ	PREVOD NA UCET	4	95851	POJISTNE	UV	90010833
860668	2932	1996-11-11	VYDAJ	PREVOD NA UCET	4	84592	POJISTNE	UV	90010833
860669	2932	1996-12-11	VYDAJ	PREVOD NA UCET	4	103443	POJISTNE	UV	90010833
860670	2932	1997-01-11	VYDAJ	PREVOD NA UCET	4	90132	POJISTNE	UV	90010833
860671	2932	1997-02-11	VYDAJ	PREVOD NA UCET	4	34235	POJISTNE	UV	90010833
860672	2932	1997-03-11	VYDAJ	PREVOD NA UCET	4	33221	POJISTNE	UV	90010833
860673	2932	1997-04-11	VYDAJ	PREVOD NA UCET	4	22820	POJISTNE	UV	90010833
860674	2932	1997-05-11	VYDAJ	PREVOD NA UCET	4	23821	POJISTNE	UV	90010833
860675	2932	1997-06-11	VYDAJ	PREVOD NA UCET	4	51416	POJISTNE	UV	90010833
860676	2932	1997-07-11	VYDAJ	PREVOD NA UCET	4	32400	POJISTNE	UV	90010833
860677	2932	1997-08-11	VYDAJ	PREVOD NA UCET	4	29135	POJISTNE	UV	90010833
860678	2932	1997-09-11	VYDAJ	PREVOD NA UCET	4	33188	POJISTNE	UV	90010833
860679	2932	1997-10-11	VYDAJ	PREVOD NA UCET	4	42085	POJISTNE	UV	90010833
860680	2932	1997-11-11	VYDAJ	PREVOD NA UCET	4	35802	POJISTNE	UV	90010833
860681	2932	1997-12-11	VYDAJ	PREVOD NA UCET	4	50935	POJISTNE	UV	90010833
860682	2932	1998-01-11	VYDAJ	PREVOD NA UCET	4	34533	POJISTNE	UV	90010833
860683	2932	1998-02-11	VYDAJ	PREVOD NA UCET	4	28905	POJISTNE	UV	90010833
860684	2932	1998-03-11	VYDAJ	PREVOD NA UCET	4	57027	POJISTNE	UV	90010833
860685	2932	1998-04-11	VYDAJ	PREVOD NA UCET	4	43325	POJISTNE	UV	90010833
860686	2932	1998-05-11	VYDAJ	PREVOD NA UCET	4	34620	POJISTNE	UV	90010833
860687	2932	1998-06-11	VYDAJ	PREVOD NA UCET	4	28595	POJISTNE	UV	90010833
860688	2932	1998-07-11	VYDAJ	PREVOD NA UCET	4	23747	POJISTNE	UV	90010833
860689	2932	1998-08-11	VYDAJ	PREVOD NA UCET	4	66100	POJISTNE	UV	90010833
860690	2932	1998-09-11	VYDAJ	PREVOD NA UCET	4	57132	POJISTNE	UV	90010833
860691	2932	1998-10-11	VYDAJ	PREVOD NA UCET	4	73264	POJISTNE	UV	90010833
860692	2932	1998-11-11	VYDAJ	PREVOD NA UCET	4	34779	POJISTNE	UV	90010833
860693	2932	1998-12-11	VYDAJ	PREVOD NA UCET	4	20475	POJISTNE	UV	90010833
860701	2932	1993-08-11	VYDAJ	PREVOD NA UCET	7	42056	 	QR	33505654
860702	2932	1993-09-11	VYDAJ	PREVOD NA UCET	7	32037	 	QR	33505654
860703	2932	1993-10-11	VYDAJ	PREVOD NA UCET	7	69762	 	QR	33505654
860704	2932	1993-11-11	VYDAJ	PREVOD NA UCET	7	25361	 	QR	33505654
860705	2932	1993-12-11	VYDAJ	PREVOD NA UCET	7	35777	 	QR	33505654
860706	2932	1994-01-11	VYDAJ	PREVOD NA UCET	7	31107	 	QR	33505654
860707	2932	1994-02-11	VYDAJ	PREVOD NA UCET	7	26936	 	QR	33505654
860708	2932	1994-03-11	VYDAJ	PREVOD NA UCET	7	48643	 	QR	33505654
860709	2932	1994-04-11	VYDAJ	PREVOD NA UCET	7	51111	 	QR	33505654
860710	2932	1994-05-11	VYDAJ	PREVOD NA UCET	7	40054	 	QR	33505654
860711	2932	1994-06-11	VYDAJ	PREVOD NA UCET	7	62206	 	QR	33505654
860712	2932	1994-07-11	VYDAJ	PREVOD NA UCET	7	70096	 	QR	33505654
860713	2932	1994-08-11	VYDAJ	PREVOD NA UCET	7	66372	 	QR	33505654
860714	2932	1994-09-11	VYDAJ	PREVOD NA UCET	7	25773	 	QR	33505654
860715	2932	1994-10-11	VYDAJ	PREVOD NA UCET	7	99701	 	QR	33505654
860716	2932	1994-11-11	VYDAJ	PREVOD NA UCET	7	72157	 	QR	33505654
860717	2932	1994-12-11	VYDAJ	PREVOD NA UCET	7	92337	 	QR	33505654
860718	2932	1995-01-11	VYDAJ	PREVOD NA UCET	7	67701	 	QR	33505654
860719	2932	1995-02-11	VYDAJ	PREVOD NA UCET	7	27935	 	QR	33505654
860720	2932	1995-03-11	VYDAJ	PREVOD NA UCET	7	22386	 	QR	33505654
860721	2932	1995-04-11	VYDAJ	PREVOD NA UCET	7	21818	 	QR	33505654
860722	2932	1995-05-11	VYDAJ	PREVOD NA UCET	7	19551	 	QR	33505654
860723	2932	1995-06-11	VYDAJ	PREVOD NA UCET	7	19372	 	QR	33505654
860724	2932	1995-07-11	VYDAJ	PREVOD NA UCET	7	25450	 	QR	33505654
860725	2932	1995-08-11	VYDAJ	PREVOD NA UCET	7	50950	 	QR	33505654
860726	2932	1995-09-11	VYDAJ	PREVOD NA UCET	7	81810	 	QR	33505654
860727	2932	1995-10-11	VYDAJ	PREVOD NA UCET	7	49994	 	QR	33505654
860728	2932	1995-11-11	VYDAJ	PREVOD NA UCET	7	22013	 	QR	33505654
860729	2932	1995-12-11	VYDAJ	PREVOD NA UCET	7	20748	 	QR	33505654
860730	2932	1996-01-11	VYDAJ	PREVOD NA UCET	7	54820	 	QR	33505654
860731	2932	1996-02-11	VYDAJ	PREVOD NA UCET	7	90012	 	QR	33505654
860732	2932	1996-03-11	VYDAJ	PREVOD NA UCET	7	106252	 	QR	33505654
860733	2932	1996-04-11	VYDAJ	PREVOD NA UCET	7	54107	 	QR	33505654
860734	2932	1996-05-11	VYDAJ	PREVOD NA UCET	7	34845	 	QR	33505654
860735	2932	1996-06-11	VYDAJ	PREVOD NA UCET	7	76057	 	QR	33505654
860736	2932	1996-07-11	VYDAJ	PREVOD NA UCET	7	46755	 	QR	33505654
860737	2932	1996-08-11	VYDAJ	PREVOD NA UCET	7	60891	 	QR	33505654
860738	2932	1996-09-11	VYDAJ	PREVOD NA UCET	7	44188	 	QR	33505654
860739	2932	1996-10-11	VYDAJ	PREVOD NA UCET	7	95844	 	QR	33505654
860740	2932	1996-11-11	VYDAJ	PREVOD NA UCET	7	84596	 	QR	33505654
860741	2932	1996-12-11	VYDAJ	PREVOD NA UCET	7	103447	 	QR	33505654
860742	2932	1997-01-11	VYDAJ	PREVOD NA UCET	7	90136	 	QR	33505654
860743	2932	1997-02-11	VYDAJ	PREVOD NA UCET	7	34239	 	QR	33505654
860744	2932	1997-03-11	VYDAJ	PREVOD NA UCET	7	33225	 	QR	33505654
860745	2932	1997-04-11	VYDAJ	PREVOD NA UCET	7	22824	 	QR	33505654
860746	2932	1997-05-11	VYDAJ	PREVOD NA UCET	7	23814	 	QR	33505654
860747	2932	1997-06-11	VYDAJ	PREVOD NA UCET	7	51409	 	QR	33505654
860748	2932	1997-07-11	VYDAJ	PREVOD NA UCET	7	32393	 	QR	33505654
860749	2932	1997-08-11	VYDAJ	PREVOD NA UCET	7	29128	 	QR	33505654
860750	2932	1997-09-11	VYDAJ	PREVOD NA UCET	7	33181	 	QR	33505654
860751	2932	1997-10-11	VYDAJ	PREVOD NA UCET	7	42078	 	QR	33505654
860752	2932	1997-11-11	VYDAJ	PREVOD NA UCET	7	35795	 	QR	33505654
860753	2932	1997-12-11	VYDAJ	PREVOD NA UCET	7	50928	 	QR	33505654
860754	2932	1998-01-11	VYDAJ	PREVOD NA UCET	7	34537	 	QR	33505654
860755	2932	1998-02-11	VYDAJ	PREVOD NA UCET	7	28909	 	QR	33505654
860756	2932	1998-03-11	VYDAJ	PREVOD NA UCET	7	57020	 	QR	33505654
860757	2932	1998-04-11	VYDAJ	PREVOD NA UCET	7	43318	 	QR	33505654
860758	2932	1998-05-11	VYDAJ	PREVOD NA UCET	7	34613	 	QR	33505654
860759	2932	1998-06-11	VYDAJ	PREVOD NA UCET	7	28588	 	QR	33505654
860760	2932	1998-07-11	VYDAJ	PREVOD NA UCET	7	23751	 	QR	33505654
860761	2932	1998-08-11	VYDAJ	PREVOD NA UCET	7	66104	 	QR	33505654
860762	2932	1998-09-11	VYDAJ	PREVOD NA UCET	7	57136	 	QR	33505654
860763	2932	1998-10-11	VYDAJ	PREVOD NA UCET	7	73257	 	QR	33505654
860764	2932	1998-11-11	VYDAJ	PREVOD NA UCET	7	34783	 	QR	33505654
860765	2932	1998-12-11	VYDAJ	PREVOD NA UCET	7	20468	 	QR	33505654
860766	2932	1993-08-30	VYBER	VYBER	7312	51290	\N	\N	\N
860767	2932	1993-10-29	VYBER	VYBER	12099	106841	\N	\N	\N
860769	2932	1993-11-03	VYBER	VYBER	8925	30292	\N	\N	\N
860772	2932	1994-01-03	VYBER	VYBER	6376	37566	\N	\N	\N
860773	2932	1994-09-09	VYBER	VYBER	12069	31484	\N	\N	\N
860774	2932	1994-11-13	VYBER	VYBER	18972	53181	\N	\N	\N
860780	2932	1995-07-09	VYBER	VYBER	3236	25457	\N	\N	\N
860782	2932	1995-10-23	VYBER	VYBER	13489	26775	\N	\N	\N
860783	2932	1996-04-07	VYBER	VYBER	6344	59034	\N	\N	\N
860784	2932	1996-02-14	VYBER	VYBER	11040	78946	\N	\N	\N
860785	2932	1996-08-18	VYBER	VYBER	3039	54063	\N	\N	\N
860787	2932	1997-03-16	VYBER	VYBER	7860	27635	\N	\N	\N
860790	2932	1997-08-01	VYBER	VYBER	17178	26459	\N	\N	\N
860794	2932	1997-04-25	VYBER	VYBER	2051	28643	\N	\N	\N
860797	2932	1998-08-31	VYBER	VYBER	8000	77068	\N	\N	\N
860799	2932	1998-08-07	VYBER	VYBER	14347	28047	\N	\N	\N
860801	2932	1998-11-04	VYBER	VYBER	9098	57510	\N	\N	\N
860805	2932	1998-09-27	VYBER	VYBER	23498	75889	\N	\N	\N
860806	2932	1998-10-24	VYBER	VYBER	6894	66337	\N	\N	\N
860807	2932	1998-03-21	VYBER	VYBER	22418	34576	\N	\N	\N
860813	2932	1997-06-28	VYDAJ	VYBER	56400	37100	\N	\N	\N
860816	2932	1994-01-21	VYDAJ	VYBER	4200	48817	\N	\N	\N
860817	2932	1995-01-07	VYDAJ	VYBER	17100	34041	\N	\N	\N
860818	2932	1996-01-12	VYDAJ	VYBER	6000	59162	\N	\N	\N
860819	2932	1997-01-09	VYDAJ	VYBER	3300	91643	\N	\N	\N
860821	2932	1993-12-28	VYDAJ	VYBER	1800	64472	\N	\N	\N
860822	2932	1994-12-18	VYDAJ	VYBER	6600	100438	\N	\N	\N
860824	2932	1996-12-09	VYDAJ	VYBER	2400	75772	\N	\N	\N
860825	2932	1997-12-05	VYDAJ	VYBER	5700	75859	\N	\N	\N
860833	2932	1994-01-11	VYDAJ	VYBER	5400	25703	\N	\N	\N
860834	2932	1994-01-22	VYDAJ	VYBER	3600	45217	\N	\N	\N
860835	2932	1994-01-25	VYDAJ	VYBER	3900	41317	\N	\N	\N
860836	2932	1994-01-06	VYDAJ	VYBER	5700	31866	\N	\N	\N
860837	2932	1994-01-10	VYDAJ	VYBER	4800	31114	\N	\N	\N
860838	2932	1994-01-27	VYDAJ	VYBER	7200	34117	\N	\N	\N
860839	2932	1995-01-22	VYDAJ	VYBER	6900	46371	\N	\N	\N
860840	2932	1995-01-17	VYDAJ	VYBER	3300	58971	\N	\N	\N
860841	2932	1995-01-07	VYDAJ	VYBER	5100	24021	\N	\N	\N
860842	2932	1995-01-16	VYDAJ	VYBER	5400	62271	\N	\N	\N
860843	2932	1995-01-07	VYDAJ	VYBER	4500	51141	\N	\N	\N
860844	2932	1995-01-21	VYDAJ	VYBER	5700	53271	\N	\N	\N
860845	2932	1996-01-11	VYDAJ	VYBER	4200	50620	\N	\N	\N
860846	2932	1996-01-23	VYDAJ	VYBER	4500	47639	\N	\N	\N
860848	2932	1996-01-28	VYDAJ	VYBER	8400	39239	\N	\N	\N
860849	2932	1996-01-29	VYDAJ	VYBER	5100	34139	\N	\N	\N
860850	2932	1996-01-12	VYDAJ	VYBER	8400	65162	\N	\N	\N
860851	2932	1997-01-06	VYDAJ	VYBER	6300	99863	\N	\N	\N
860852	2932	1997-01-17	VYDAJ	VYBER	6300	51506	\N	\N	\N
860853	2932	1997-01-30	VYDAJ	VYBER	4500	38906	\N	\N	\N
860854	2932	1997-01-10	VYDAJ	VYBER	1500	90143	\N	\N	\N
860855	2932	1997-01-17	VYDAJ	VYBER	8100	43406	\N	\N	\N
860856	2932	1997-01-13	VYDAJ	VYBER	6600	57832	\N	\N	\N
860857	2932	1998-01-12	VYDAJ	VYBER	3900	30633	\N	\N	\N
860858	2932	1998-01-10	VYDAJ	VYBER	2700	34544	\N	\N	\N
860860	2932	1998-01-07	VYDAJ	VYBER	8700	43944	\N	\N	\N
860862	2932	1998-01-09	VYDAJ	VYBER	3900	37244	\N	\N	\N
860863	2932	1993-12-13	VYDAJ	VYBER	8400	27351	\N	\N	\N
860866	2932	1993-09-11	VYDAJ	VYBER	5100	26937	\N	\N	\N
860869	2932	1993-08-01	VYDAJ	VYBER	8700	68687	\N	\N	\N
860870	2932	1993-10-22	VYDAJ	VYBER	9300	44301	\N	\N	\N
860871	2932	1994-07-07	VYDAJ	VYBER	14700	26960	\N	\N	\N
860872	2932	1994-12-23	VYDAJ	VYBER	11700	88738	\N	\N	\N
860873	2932	1994-09-09	VYDAJ	VYBER	5700	25784	\N	\N	\N
860874	2932	1994-05-05	VYDAJ	VYBER	14100	44985	\N	\N	\N
860875	2932	1994-02-28	VYDAJ	VYBER	6000	46960	\N	\N	\N
860877	2932	1995-01-23	VYDAJ	VYBER	8400	37971	\N	\N	\N
860882	2932	1996-09-25	VYDAJ	VYBER	9300	76752	\N	\N	\N
860883	2932	1996-10-10	VYDAJ	VYBER	6300	95855	\N	\N	\N
860884	2932	1996-03-12	VYDAJ	VYBER	6300	46152	\N	\N	\N
860885	2932	1996-03-27	VYDAJ	VYBER	7800	65107	\N	\N	\N
860886	2932	1996-10-18	VYDAJ	VYBER	4500	59718	\N	\N	\N
860887	2932	1997-12-27	VYDAJ	VYBER	10200	40702	\N	\N	\N
860889	2932	1997-11-25	VYDAJ	VYBER	11100	81361	\N	\N	\N
860890	2932	1997-06-11	VYDAJ	VYBER	4200	51420	\N	\N	\N
860892	2932	1998-03-29	VYDAJ	VYBER	3000	31576	\N	\N	\N
860893	2932	1998-01-04	VYDAJ	VYBER	3900	57564	\N	\N	\N
860894	2932	1998-09-26	VYDAJ	VYBER	3600	99387	\N	\N	\N
860903	2932	1993-07-31	VYDAJ	VYBER	15	77387	SLUZBY	\N	\N
860904	2932	1993-08-31	VYDAJ	VYBER	15	51468	SLUZBY	\N	\N
860905	2932	1993-09-30	VYDAJ	VYBER	15	87888	SLUZBY	\N	\N
860906	2932	1993-10-31	VYDAJ	VYBER	15	51717	SLUZBY	\N	\N
860907	2932	1993-11-30	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
860908	2932	1993-12-31	VYDAJ	VYBER	15	43942	SLUZBY	\N	\N
860909	2932	1994-01-31	VYDAJ	VYBER	15	31867	SLUZBY	\N	\N
860910	2932	1994-02-28	VYDAJ	VYBER	15	46945	SLUZBY	\N	\N
860911	2932	1994-03-31	VYDAJ	VYBER	15	56042	SLUZBY	\N	\N
860912	2932	1994-04-30	VYDAJ	VYBER	15	59085	SLUZBY	\N	\N
860913	2932	1994-05-31	VYDAJ	VYBER	15	31693	SLUZBY	\N	\N
860914	2932	1994-06-30	VYDAJ	VYBER	15	46580	SLUZBY	\N	\N
860915	2932	1994-07-31	VYDAJ	VYBER	15	50202	SLUZBY	\N	\N
860916	2932	1994-08-31	VYDAJ	VYBER	15	48473	SLUZBY	\N	\N
860917	2932	1994-09-30	VYDAJ	VYBER	15	63069	SLUZBY	\N	\N
860918	2932	1994-10-31	VYDAJ	VYBER	15	89839	SLUZBY	\N	\N
860919	2932	1994-11-30	VYDAJ	VYBER	15	55980	SLUZBY	\N	\N
860920	2932	1994-12-31	VYDAJ	VYBER	15	55641	SLUZBY	\N	\N
860921	2932	1995-01-31	VYDAJ	VYBER	15	32866	SLUZBY	\N	\N
860922	2932	1995-02-28	VYDAJ	VYBER	15	27317	SLUZBY	\N	\N
860923	2932	1995-03-31	VYDAJ	VYBER	15	26749	SLUZBY	\N	\N
860924	2932	1995-04-30	VYDAJ	VYBER	15	24478	SLUZBY	\N	\N
860925	2932	1995-05-31	VYDAJ	VYBER	15	24299	SLUZBY	\N	\N
860926	2932	1995-06-30	VYDAJ	VYBER	15	33613	SLUZBY	\N	\N
860927	2932	1995-07-31	VYDAJ	VYBER	15	55877	SLUZBY	\N	\N
860928	2932	1995-08-31	VYDAJ	VYBER	15	39808	SLUZBY	\N	\N
860929	2932	1995-09-30	VYDAJ	VYBER	15	54921	SLUZBY	\N	\N
860930	2932	1995-10-31	VYDAJ	VYBER	15	26944	SLUZBY	\N	\N
860931	2932	1995-11-30	VYDAJ	VYBER	15	25675	SLUZBY	\N	\N
860932	2932	1995-12-31	VYDAJ	VYBER	15	26204	SLUZBY	\N	\N
860933	2932	1996-01-31	VYDAJ	VYBER	15	94943	SLUZBY	\N	\N
860934	2932	1996-02-29	VYDAJ	VYBER	15	73373	SLUZBY	\N	\N
860935	2932	1996-03-31	VYDAJ	VYBER	15	65378	SLUZBY	\N	\N
860936	2932	1996-04-30	VYDAJ	VYBER	15	39772	SLUZBY	\N	\N
860937	2932	1996-05-31	VYDAJ	VYBER	15	80984	SLUZBY	\N	\N
860938	2932	1996-06-30	VYDAJ	VYBER	15	51686	SLUZBY	\N	\N
860939	2932	1996-07-31	VYDAJ	VYBER	15	65818	SLUZBY	\N	\N
860940	2932	1996-08-31	VYDAJ	VYBER	15	79802	SLUZBY	\N	\N
860941	2932	1996-09-30	VYDAJ	VYBER	15	77049	SLUZBY	\N	\N
860942	2932	1996-10-31	VYDAJ	VYBER	15	82604	SLUZBY	\N	\N
860943	2932	1996-11-30	VYDAJ	VYBER	15	60345	SLUZBY	\N	\N
860944	2932	1996-12-31	VYDAJ	VYBER	15	106163	SLUZBY	\N	\N
860945	2932	1997-01-31	VYDAJ	VYBER	15	39166	SLUZBY	\N	\N
860946	2932	1997-02-28	VYDAJ	VYBER	15	38152	SLUZBY	\N	\N
860947	2932	1997-03-31	VYDAJ	VYBER	15	27751	SLUZBY	\N	\N
860948	2932	1997-04-30	VYDAJ	VYBER	15	28745	SLUZBY	\N	\N
860949	2932	1997-05-31	VYDAJ	VYBER	15	60540	SLUZBY	\N	\N
860950	2932	1997-06-30	VYDAJ	VYBER	15	37324	SLUZBY	\N	\N
860951	2932	1997-07-31	VYDAJ	VYBER	15	43637	SLUZBY	\N	\N
860952	2932	1997-08-31	VYDAJ	VYBER	15	29212	SLUZBY	\N	\N
860953	2932	1997-09-30	VYDAJ	VYBER	15	56609	SLUZBY	\N	\N
860954	2932	1997-10-31	VYDAJ	VYBER	15	42226	SLUZBY	\N	\N
860955	2932	1997-11-30	VYDAJ	VYBER	15	81559	SLUZBY	\N	\N
860956	2932	1997-12-31	VYDAJ	VYBER	15	40918	SLUZBY	\N	\N
860957	2932	1998-01-31	VYDAJ	VYBER	15	30736	SLUZBY	\N	\N
860958	2932	1998-02-28	VYDAJ	VYBER	15	78151	SLUZBY	\N	\N
860959	2932	1998-03-31	VYDAJ	VYBER	15	31782	SLUZBY	\N	\N
860960	2932	1998-04-30	VYDAJ	VYBER	15	43444	SLUZBY	\N	\N
860961	2932	1998-05-31	VYDAJ	VYBER	15	34719	SLUZBY	\N	\N
860962	2932	1998-06-30	VYDAJ	VYBER	15	28667	SLUZBY	\N	\N
860963	2932	1998-07-31	VYDAJ	VYBER	15	56194	SLUZBY	\N	\N
860964	2932	1998-08-31	VYDAJ	VYBER	15	77053	SLUZBY	\N	\N
860965	2932	1998-09-30	VYDAJ	VYBER	15	76150	SLUZBY	\N	\N
860966	2932	1998-10-31	VYDAJ	VYBER	15	66608	SLUZBY	\N	\N
860967	2932	1998-11-30	VYDAJ	VYBER	15	34899	SLUZBY	\N	\N
860968	2932	1993-06-03	PRIJEM	VKLAD	2500	25729	\N	\N	\N
860969	2932	1993-07-03	VYDAJ	VYBER	22600	50531	\N	\N	\N
860970	2932	1993-07-20	VYDAJ	VYBER	61000	63518	\N	\N	\N
860971	2932	1993-08-02	VYDAJ	VYBER	21700	46987	\N	\N	\N
860972	2932	1993-09-01	VYDAJ	VYBER	14500	36968	\N	\N	\N
860973	2932	1993-09-26	VYDAJ	VYBER	51800	87593	\N	\N	\N
860974	2932	1993-10-01	VYDAJ	VYBER	31900	55988	\N	\N	\N
860975	2932	1993-10-18	VYDAJ	VYBER	57100	53601	\N	\N	\N
860976	2932	1993-10-29	VYDAJ	VYBER	55400	51441	\N	\N	\N
860977	2932	1993-10-31	VYDAJ	VYBER	12500	39217	\N	\N	\N
860978	2932	1993-11-30	PRIJEM	VKLAD	800	26135	\N	\N	\N
860979	2932	1993-12-24	VYDAJ	VYBER	56100	66272	\N	\N	\N
860980	2932	1993-12-30	VYDAJ	VYBER	20700	43772	\N	\N	\N
860981	2932	1994-01-29	VYDAJ	VYBER	2400	31717	\N	\N	\N
860982	2932	1994-02-28	VYDAJ	VYBER	25100	52960	\N	\N	\N
860983	2932	1994-03-30	VYDAJ	VYBER	32100	55848	\N	\N	\N
860984	2932	1994-04-29	VYDAJ	VYBER	55500	58814	\N	\N	\N
860985	2932	1994-04-29	VYDAJ	VYBER	31800	114314	\N	\N	\N
860986	2932	1994-05-29	VYDAJ	VYBER	8500	31528	\N	\N	\N
860987	2932	1994-06-28	VYDAJ	VYBER	15800	46376	\N	\N	\N
860988	2932	1994-07-28	VYDAJ	VYBER	20100	49966	\N	\N	\N
860989	2932	1994-08-27	VYDAJ	VYBER	23200	48233	\N	\N	\N
860990	2932	1994-09-26	VYDAJ	VYBER	32600	62864	\N	\N	\N
860991	2932	1994-10-04	VYDAJ	VYBER	21000	86559	\N	\N	\N
860992	2932	1994-10-07	VYDAJ	VYBER	22900	91205	\N	\N	\N
860993	2932	1994-10-10	VYDAJ	VYBER	31700	99712	\N	\N	\N
860994	2932	1994-10-26	VYDAJ	VYBER	24700	89938	\N	\N	\N
860995	2932	1994-10-26	VYDAJ	VYBER	30200	59738	\N	\N	\N
860996	2932	1994-11-01	VYDAJ	VYBER	23100	105941	\N	\N	\N
860997	2932	1994-11-05	VYDAJ	VYBER	58500	77084	\N	\N	\N
860998	2932	1994-11-25	VYDAJ	VYBER	31700	55652	\N	\N	\N
860999	2932	1994-12-17	VYDAJ	VYBER	21000	107038	\N	\N	\N
861000	2932	1994-12-25	VYDAJ	VYBER	33400	55338	\N	\N	\N
861001	2932	1995-01-24	VYDAJ	VYBER	5300	32671	\N	\N	\N
861002	2932	1995-02-23	VYDAJ	VYBER	700	27209	\N	\N	\N
861003	2932	1995-03-25	PRIJEM	VKLAD	4300	26660	\N	\N	\N
861004	2932	1995-04-24	PRIJEM	VKLAD	2600	24392	\N	\N	\N
861005	2932	1995-05-24	PRIJEM	VKLAD	4700	24221	\N	\N	\N
861006	2932	1995-06-23	VYDAJ	VYBER	3500	33515	\N	\N	\N
861007	2932	1995-07-23	PRIJEM	VKLAD	900	26320	\N	\N	\N
861008	2932	1995-08-22	VYDAJ	VYBER	11300	39620	\N	\N	\N
861009	2932	1995-09-21	VYDAJ	VYBER	27100	54680	\N	\N	\N
861010	2932	1995-10-21	VYDAJ	VYBER	9700	40264	\N	\N	\N
861011	2932	1995-11-20	PRIJEM	VKLAD	3600	25587	\N	\N	\N
861012	2932	1995-12-20	PRIJEM	VKLAD	5400	26118	\N	\N	\N
861013	2932	1996-01-19	VYDAJ	VYBER	17600	41536	\N	\N	\N
861014	2932	1996-01-31	VYDAJ	VYBER	38200	94957	\N	\N	\N
861015	2932	1996-02-18	VYDAJ	VYBER	26900	52046	\N	\N	\N
861016	2932	1996-03-08	VYDAJ	VYBER	18800	106263	\N	\N	\N
861017	2932	1996-03-11	VYDAJ	VYBER	53800	52452	\N	\N	\N
861018	2932	1996-03-19	VYDAJ	VYBER	7400	38726	\N	\N	\N
861019	2932	1996-04-18	VYDAJ	VYBER	14500	39577	\N	\N	\N
861020	2932	1996-05-18	VYDAJ	VYBER	300	34515	\N	\N	\N
861021	2932	1996-06-17	VYDAJ	VYBER	24600	51427	\N	\N	\N
861022	2932	1996-07-17	VYDAJ	VYBER	35500	65575	\N	\N	\N
861023	2932	1996-08-16	VYDAJ	VYBER	13100	47761	\N	\N	\N
861024	2932	1996-09-07	VYDAJ	VYBER	64200	44199	\N	\N	\N
861025	2932	1996-09-15	VYDAJ	VYBER	3300	40862	\N	\N	\N
861026	2932	1996-10-01	VYDAJ	VYBER	45500	67045	\N	\N	\N
861027	2932	1996-10-09	VYDAJ	VYBER	63300	83181	\N	\N	\N
861028	2932	1996-10-10	VYDAJ	VYBER	26400	102155	\N	\N	\N
861029	2932	1996-10-15	VYDAJ	VYBER	31600	64218	\N	\N	\N
861030	2932	1996-11-04	VYDAJ	VYBER	32600	89523	\N	\N	\N
861031	2932	1996-11-14	VYDAJ	VYBER	24500	60066	\N	\N	\N
861032	2932	1996-12-07	VYDAJ	VYBER	58600	83092	\N	\N	\N
861033	2932	1996-12-14	VYDAJ	VYBER	34900	68517	\N	\N	\N
861034	2932	1997-01-13	VYDAJ	VYBER	25700	64432	\N	\N	\N
861035	2932	1997-02-12	PRIJEM	VKLAD	3800	38035	\N	\N	\N
861036	2932	1997-03-14	PRIJEM	VKLAD	2300	35495	\N	\N	\N
861037	2932	1997-04-13	PRIJEM	VKLAD	7900	30720	\N	\N	\N
861038	2932	1997-05-13	PRIJEM	VKLAD	7200	31014	\N	\N	\N
861039	2932	1997-06-12	VYDAJ	VYBER	6500	44909	\N	\N	\N
861040	2932	1997-07-12	PRIJEM	VKLAD	500	32893	\N	\N	\N
861041	2932	1997-08-11	PRIJEM	VKLAD	7600	29139	\N	\N	\N
861042	2932	1997-09-10	PRIJEM	VKLAD	8900	33192	\N	\N	\N
861043	2932	1997-10-10	VYDAJ	VYBER	9600	42089	\N	\N	\N
861044	2932	1997-11-09	VYDAJ	VYBER	1500	35806	\N	\N	\N
861045	2932	1997-12-09	VYDAJ	VYBER	20000	50939	\N	\N	\N
861046	2932	1998-01-08	VYDAJ	VYBER	2800	41144	\N	\N	\N
861047	2932	1998-02-07	PRIJEM	VKLAD	3100	33836	\N	\N	\N
861048	2932	1998-03-09	VYDAJ	VYBER	16200	57031	\N	\N	\N
861049	2932	1998-04-08	VYDAJ	VYBER	5500	43329	\N	\N	\N
861050	2932	1998-05-08	VYDAJ	VYBER	3900	34624	\N	\N	\N
861051	2932	1998-06-07	VYDAJ	VYBER	1200	28599	\N	\N	\N
861052	2932	1998-07-07	VYDAJ	VYBER	5300	23758	\N	\N	\N
861053	2932	1998-08-06	VYDAJ	VYBER	13800	42394	\N	\N	\N
861054	2932	1998-09-05	VYDAJ	VYBER	27200	49853	\N	\N	\N
861055	2932	1998-10-05	VYDAJ	VYBER	29300	46850	\N	\N	\N
861056	2932	1998-11-04	VYDAJ	VYBER	17800	39710	\N	\N	\N
861057	2932	1998-12-04	VYDAJ	VYBER	9500	25399	\N	\N	\N
861126	2933	1993-06-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
861128	2933	1993-11-07	PRIJEM	VKLAD	15155	85398	\N	\N	\N
861129	2933	1993-07-17	PRIJEM	VKLAD	26271	59419	\N	\N	\N
861132	2933	1993-06-27	PRIJEM	VKLAD	22800	23900	\N	\N	\N
861134	2933	1993-12-27	PRIJEM	VKLAD	30025	53664	\N	\N	\N
861136	2933	1993-11-05	PRIJEM	VKLAD	42277	70243	\N	\N	\N
861137	2933	1993-11-30	PRIJEM	VKLAD	8888	103322	\N	\N	\N
861138	2933	1993-08-01	PRIJEM	VKLAD	26434	71456	\N	\N	\N
861139	2933	1993-07-03	PRIJEM	VKLAD	9235	33148	\N	\N	\N
861140	2933	1993-08-11	PRIJEM	VKLAD	10943	85069	\N	\N	\N
861142	2933	1993-11-18	PRIJEM	VKLAD	16208	99234	\N	\N	\N
861143	2933	1993-11-13	PRIJEM	VKLAD	42400	121891	\N	\N	\N
861144	2933	1993-10-12	PRIJEM	VKLAD	41232	69383	\N	\N	\N
861145	2933	1993-11-16	PRIJEM	VKLAD	36135	83026	\N	\N	\N
861147	2933	1993-08-04	PRIJEM	VKLAD	8577	80033	\N	\N	\N
861149	2933	1993-10-09	PRIJEM	VKLAD	20450	31501	\N	\N	\N
861151	2933	1993-07-30	PRIJEM	VKLAD	6664	48083	\N	\N	\N
861153	2933	1994-03-14	PRIJEM	VKLAD	30051	74181	\N	\N	\N
861154	2933	1994-03-02	PRIJEM	VKLAD	26897	53137	\N	\N	\N
861155	2933	1994-11-19	PRIJEM	VKLAD	47123	72288	\N	\N	\N
861156	2933	1994-12-06	PRIJEM	VKLAD	14194	75547	\N	\N	\N
861157	2933	1994-02-07	PRIJEM	VKLAD	10600	32057	\N	\N	\N
861158	2933	1994-09-12	PRIJEM	VKLAD	25729	53085	\N	\N	\N
861159	2933	1994-05-02	PRIJEM	VKLAD	26633	58845	\N	\N	\N
861160	2933	1995-05-01	PRIJEM	VKLAD	48031	70837	\N	\N	\N
861161	2933	1995-09-14	PRIJEM	VKLAD	12658	28118	\N	\N	\N
861162	2933	1995-03-24	PRIJEM	VKLAD	10675	29692	\N	\N	\N
861163	2933	1996-05-17	PRIJEM	VKLAD	44114	101510	\N	\N	\N
861164	2933	1996-12-26	PRIJEM	VKLAD	26497	126533	\N	\N	\N
861165	2933	1996-09-16	PRIJEM	VKLAD	48303	65288	\N	\N	\N
861166	2933	1996-09-26	PRIJEM	VKLAD	45319	110607	\N	\N	\N
861167	2933	1996-04-11	PRIJEM	VKLAD	47827	107823	\N	\N	\N
861168	2933	1996-04-12	PRIJEM	VKLAD	42201	150024	\N	\N	\N
861169	2933	1996-12-22	PRIJEM	VKLAD	30253	100036	\N	\N	\N
861170	2933	1996-10-07	PRIJEM	VKLAD	23366	95567	\N	\N	\N
861171	2933	1996-04-03	PRIJEM	VKLAD	34696	101503	\N	\N	\N
861172	2933	1996-05-31	PRIJEM	VKLAD	8965	110475	\N	\N	\N
861173	2933	1996-03-20	PRIJEM	VKLAD	45644	60878	\N	\N	\N
861174	2933	1996-03-20	PRIJEM	VKLAD	22533	83411	\N	\N	\N
861175	2933	1996-12-02	PRIJEM	VKLAD	33043	84432	\N	\N	\N
861176	2933	1996-11-23	PRIJEM	VKLAD	46693	81985	\N	\N	\N
861177	2933	1996-12-26	PRIJEM	VKLAD	48618	175151	\N	\N	\N
861178	2933	1997-04-19	PRIJEM	VKLAD	9664	79101	\N	\N	\N
861179	2933	1997-06-17	PRIJEM	VKLAD	23122	128844	\N	\N	\N
861180	2933	1997-10-25	PRIJEM	VKLAD	44282	146549	\N	\N	\N
861181	2933	1997-10-11	PRIJEM	VKLAD	32542	118509	\N	\N	\N
861182	2933	1997-06-22	PRIJEM	VKLAD	19745	107489	\N	\N	\N
861183	2933	1997-10-03	PRIJEM	VKLAD	42880	121394	\N	\N	\N
861184	2933	1997-02-02	PRIJEM	VKLAD	33361	63631	\N	\N	\N
861185	2933	1997-06-14	PRIJEM	VKLAD	35541	133722	\N	\N	\N
861186	2933	1997-10-04	PRIJEM	VKLAD	13380	91874	\N	\N	\N
861187	2933	1997-05-06	PRIJEM	VKLAD	45407	116817	\N	\N	\N
861188	2933	1997-06-29	PRIJEM	VKLAD	9388	77277	\N	\N	\N
861189	2933	1997-02-16	PRIJEM	VKLAD	29361	126484	\N	\N	\N
861190	2933	1997-02-06	PRIJEM	VKLAD	43941	107572	\N	\N	\N
861191	2933	1997-09-12	PRIJEM	VKLAD	16047	33071	\N	\N	\N
861192	2933	1997-04-30	PRIJEM	VKLAD	20462	71163	\N	\N	\N
861193	2933	1997-06-12	PRIJEM	VKLAD	41887	102723	\N	\N	\N
861194	2933	1997-04-06	PRIJEM	VKLAD	47378	79886	\N	\N	\N
861195	2933	1997-10-01	PRIJEM	VKLAD	8347	33061	\N	\N	\N
861196	2933	1997-12-17	PRIJEM	VKLAD	8510	25444	\N	\N	\N
861197	2933	1997-10-02	PRIJEM	VKLAD	45453	78514	\N	\N	\N
861198	2933	1998-08-03	PRIJEM	VKLAD	20721	87612	\N	\N	\N
861199	2933	1998-02-24	PRIJEM	VKLAD	22194	47740	\N	\N	\N
861200	2933	1998-06-06	PRIJEM	VKLAD	20695	99723	\N	\N	\N
861201	2933	1998-07-18	PRIJEM	VKLAD	31915	106041	\N	\N	\N
861202	2933	1998-07-07	PRIJEM	VKLAD	17769	84575	\N	\N	\N
861203	2933	1998-01-20	PRIJEM	VKLAD	46817	121713	\N	\N	\N
861204	2933	1998-10-29	PRIJEM	VKLAD	28072	119758	\N	\N	\N
861205	2933	1998-09-05	PRIJEM	VKLAD	15201	56056	\N	\N	\N
861206	2933	1998-08-01	PRIJEM	VKLAD	19439	66891	\N	\N	\N
861207	2933	1998-06-01	PRIJEM	VKLAD	35706	69770	\N	\N	\N
861208	2933	1998-10-11	PRIJEM	VKLAD	7738	113391	\N	\N	\N
861209	2933	1998-06-04	PRIJEM	VKLAD	9258	79028	\N	\N	\N
861210	2933	1998-01-18	PRIJEM	VKLAD	29446	74896	\N	\N	\N
861211	2933	1998-07-05	PRIJEM	VKLAD	22279	66806	\N	\N	\N
861212	2933	1998-09-22	PRIJEM	VKLAD	35479	67886	\N	\N	\N
861213	2933	1998-10-22	PRIJEM	VKLAD	21137	91686	\N	\N	\N
861214	2933	1998-03-07	PRIJEM	VKLAD	21269	69125	\N	\N	\N
861215	2933	1998-09-30	PRIJEM	VKLAD	37849	105735	\N	\N	\N
861216	2933	1998-05-21	PRIJEM	VKLAD	33093	65334	\N	\N	\N
861217	2933	1998-04-03	PRIJEM	VKLAD	22034	74412	\N	\N	\N
861218	2933	1998-10-05	PRIJEM	VKLAD	5652	111560	\N	\N	\N
861219	2933	1998-03-10	PRIJEM	VKLAD	44117	95935	\N	\N	\N
861220	2933	1998-03-28	PRIJEM	VKLAD	15896	61120	\N	\N	\N
861221	2933	1998-01-26	PRIJEM	VKLAD	14782	39433	\N	\N	\N
861222	2933	1998-08-03	PRIJEM	VKLAD	8106	95718	\N	\N	\N
861223	2933	1998-01-07	PRIJEM	VKLAD	45675	71199	\N	\N	\N
861231	2933	1993-07-31	VYDAJ	VYBER	3200	45022	\N	\N	0
861232	2933	1993-08-26	VYDAJ	VYBER	3000	16913	\N	\N	0
861233	2933	1993-10-12	VYDAJ	VYBER	6000	63383	\N	\N	0
861234	2933	1993-11-01	VYDAJ	VYBER	3900	27966	\N	\N	0
861235	2933	1993-12-06	VYDAJ	VYBER	3500	43455	\N	\N	0
861236	2933	1994-01-06	VYDAJ	VYBER	4000	40250	\N	\N	0
861237	2933	1994-01-24	VYDAJ	VYBER	3200	21343	\N	\N	0
861238	2933	1994-03-13	VYDAJ	VYBER	3100	44130	\N	\N	0
861239	2933	1994-03-28	VYDAJ	VYBER	4500	48581	\N	\N	0
861240	2933	1994-04-29	VYDAJ	VYBER	5200	32053	\N	\N	0
861241	2933	1994-06-12	VYDAJ	PREVOD NA UCET	4542	19672	UVER	YZ	92012846
861242	2933	1994-07-12	VYDAJ	PREVOD NA UCET	4542	14920	UVER	YZ	92012846
861243	2933	1994-08-12	VYDAJ	PREVOD NA UCET	4542	24762	UVER	YZ	92012846
861244	2933	1994-09-12	VYDAJ	PREVOD NA UCET	4542	48543	UVER	YZ	92012846
861245	2933	1994-10-12	VYDAJ	PREVOD NA UCET	4542	28488	UVER	YZ	92012846
861246	2933	1994-11-12	VYDAJ	PREVOD NA UCET	4542	25165	UVER	YZ	92012846
861247	2933	1994-12-12	VYDAJ	PREVOD NA UCET	4542	48298	UVER	YZ	92012846
861248	2933	1995-01-12	VYDAJ	PREVOD NA UCET	4542	21847	UVER	YZ	92012846
861249	2933	1995-02-12	VYDAJ	PREVOD NA UCET	4542	18998	UVER	YZ	92012846
861250	2933	1995-03-12	VYDAJ	PREVOD NA UCET	4542	19017	UVER	YZ	92012846
861251	2933	1995-04-12	VYDAJ	PREVOD NA UCET	4542	22719	UVER	YZ	92012846
861252	2933	1995-05-12	VYDAJ	PREVOD NA UCET	4542	45188	UVER	YZ	92012846
861253	2933	1995-06-12	VYDAJ	PREVOD NA UCET	4542	32299	UVER	YZ	92012846
861254	2933	1995-07-12	VYDAJ	PREVOD NA UCET	4542	25383	UVER	YZ	92012846
861255	2933	1995-08-12	VYDAJ	PREVOD NA UCET	4542	20031	UVER	YZ	92012846
861256	2933	1995-09-12	VYDAJ	PREVOD NA UCET	4542	15460	UVER	YZ	92012846
861257	2933	1995-10-12	VYDAJ	PREVOD NA UCET	4542	23252	UVER	YZ	92012846
861258	2933	1995-11-12	VYDAJ	PREVOD NA UCET	4542	19390	UVER	YZ	92012846
861259	2933	1995-12-12	VYDAJ	PREVOD NA UCET	4542	18810	UVER	YZ	92012846
861260	2933	1996-01-12	VYDAJ	PREVOD NA UCET	4542	15325	UVER	YZ	92012846
861261	2933	1996-02-12	VYDAJ	PREVOD NA UCET	4542	17427	UVER	YZ	92012846
861262	2933	1996-03-12	VYDAJ	PREVOD NA UCET	4542	15234	UVER	YZ	92012846
861263	2933	1996-04-12	VYDAJ	PREVOD NA UCET	4542	145482	UVER	YZ	92012846
861264	2933	1996-05-12	VYDAJ	PREVOD NA UCET	4542	57396	UVER	YZ	92012846
861265	2933	1996-06-12	VYDAJ	PREVOD NA UCET	4542	64777	UVER	YZ	92012846
861266	2933	1996-07-12	VYDAJ	PREVOD NA UCET	4542	30087	UVER	YZ	92012846
861267	2933	1996-08-12	VYDAJ	PREVOD NA UCET	4542	21055	UVER	YZ	92012846
861268	2933	1996-09-12	VYDAJ	PREVOD NA UCET	4542	16985	UVER	YZ	92012846
861269	2933	1996-10-12	VYDAJ	PREVOD NA UCET	4542	85118	UVER	YZ	92012846
861270	2933	1996-11-12	VYDAJ	PREVOD NA UCET	4542	46092	UVER	YZ	92012846
861271	2933	1996-12-12	VYDAJ	PREVOD NA UCET	4542	69783	UVER	YZ	92012846
861272	2933	1997-01-12	VYDAJ	PREVOD NA UCET	4542	48099	UVER	YZ	92012846
861273	2933	1997-02-12	VYDAJ	PREVOD NA UCET	4542	97123	UVER	YZ	92012846
861274	2933	1997-03-12	VYDAJ	PREVOD NA UCET	4542	33368	UVER	YZ	92012846
861275	2933	1997-04-12	VYDAJ	PREVOD NA UCET	4542	69437	UVER	YZ	92012846
861276	2933	1997-05-12	VYDAJ	PREVOD NA UCET	4542	106368	UVER	YZ	92012846
861277	2933	1997-06-12	VYDAJ	PREVOD NA UCET	4542	98181	UVER	YZ	92012846
861278	2933	1997-07-12	VYDAJ	PREVOD NA UCET	4542	48286	UVER	YZ	92012846
861279	2933	1997-08-12	VYDAJ	PREVOD NA UCET	4542	25434	UVER	YZ	92012846
861280	2933	1997-09-12	VYDAJ	PREVOD NA UCET	4542	28529	UVER	YZ	92012846
861281	2933	1997-10-12	VYDAJ	PREVOD NA UCET	4542	113967	UVER	YZ	92012846
861282	2933	1997-11-12	VYDAJ	PREVOD NA UCET	4542	37545	UVER	YZ	92012846
861283	2933	1997-12-12	VYDAJ	PREVOD NA UCET	4542	16934	UVER	YZ	92012846
861284	2933	1998-01-12	VYDAJ	PREVOD NA UCET	4542	45450	UVER	YZ	92012846
861285	2933	1998-02-12	VYDAJ	PREVOD NA UCET	4542	25546	UVER	YZ	92012846
861286	2933	1998-03-12	VYDAJ	PREVOD NA UCET	4542	91393	UVER	YZ	92012846
861287	2933	1998-04-12	VYDAJ	PREVOD NA UCET	4542	63963	UVER	YZ	92012846
861288	2933	1998-05-12	VYDAJ	PREVOD NA UCET	4542	32241	UVER	YZ	92012846
861289	2933	1998-06-12	VYDAJ	PREVOD NA UCET	4542	89274	UVER	YZ	92012846
861290	2933	1998-07-12	VYDAJ	PREVOD NA UCET	4542	74126	UVER	YZ	92012846
861291	2933	1998-08-12	VYDAJ	PREVOD NA UCET	4542	85269	UVER	YZ	92012846
861292	2933	1998-09-12	VYDAJ	PREVOD NA UCET	4542	33307	UVER	YZ	92012846
861293	2933	1998-10-12	VYDAJ	PREVOD NA UCET	4542	108849	UVER	YZ	92012846
861294	2933	1998-11-12	VYDAJ	PREVOD NA UCET	4542	76898	UVER	YZ	92012846
861295	2933	1998-12-12	VYDAJ	PREVOD NA UCET	4542	30914	UVER	YZ	92012846
861303	2933	1993-08-07	VYDAJ	PREVOD NA UCET	5907	74126	SIPO	MN	29096329
861304	2933	1993-09-07	VYDAJ	PREVOD NA UCET	5907	11202	SIPO	MN	29096329
861305	2933	1993-10-07	VYDAJ	PREVOD NA UCET	5907	11051	SIPO	MN	29096329
861306	2933	1993-11-07	VYDAJ	PREVOD NA UCET	5907	79491	SIPO	MN	29096329
861307	2933	1993-12-07	VYDAJ	PREVOD NA UCET	5907	37548	SIPO	MN	29096329
861308	2933	1994-01-07	VYDAJ	PREVOD NA UCET	5907	34343	SIPO	MN	29096329
861309	2933	1994-02-07	VYDAJ	PREVOD NA UCET	5907	26150	SIPO	MN	29096329
861310	2933	1994-03-07	VYDAJ	PREVOD NA UCET	5907	47230	SIPO	MN	29096329
861311	2933	1994-04-07	VYDAJ	PREVOD NA UCET	5907	42853	SIPO	MN	29096329
861312	2933	1994-05-07	VYDAJ	PREVOD NA UCET	5907	28710	SIPO	MN	29096329
861313	2933	1994-06-07	VYDAJ	PREVOD NA UCET	5907	24214	SIPO	MN	29096329
861314	2933	1994-07-07	VYDAJ	PREVOD NA UCET	5907	19462	SIPO	MN	29096329
861315	2933	1994-08-07	VYDAJ	PREVOD NA UCET	5907	20404	SIPO	MN	29096329
861316	2933	1994-09-07	VYDAJ	PREVOD NA UCET	5907	18956	SIPO	MN	29096329
861317	2933	1994-10-07	VYDAJ	PREVOD NA UCET	5907	42787	SIPO	MN	29096329
861318	2933	1994-11-07	VYDAJ	PREVOD NA UCET	5907	22707	SIPO	MN	29096329
861319	2933	1994-12-07	VYDAJ	PREVOD NA UCET	5907	69640	SIPO	MN	29096329
861320	2933	1995-01-07	VYDAJ	PREVOD NA UCET	5907	31489	SIPO	MN	29096329
861321	2933	1995-02-07	VYDAJ	PREVOD NA UCET	5907	16040	SIPO	MN	29096329
861322	2933	1995-03-07	VYDAJ	PREVOD NA UCET	5907	13159	SIPO	MN	29096329
861323	2933	1995-04-07	VYDAJ	PREVOD NA UCET	5907	23861	SIPO	MN	29096329
861324	2933	1995-05-07	VYDAJ	PREVOD NA UCET	5907	64930	SIPO	MN	29096329
861325	2933	1995-06-07	VYDAJ	PREVOD NA UCET	5907	39441	SIPO	MN	29096329
861326	2933	1995-07-07	VYDAJ	PREVOD NA UCET	5907	26525	SIPO	MN	29096329
861327	2933	1995-08-07	VYDAJ	PREVOD NA UCET	5907	24573	SIPO	MN	29096329
861328	2933	1995-09-07	VYDAJ	PREVOD NA UCET	5907	20002	SIPO	MN	29096329
861329	2933	1995-10-07	VYDAJ	PREVOD NA UCET	5907	27794	SIPO	MN	29096329
861330	2933	1995-11-07	VYDAJ	PREVOD NA UCET	5907	23932	SIPO	MN	29096329
861331	2933	1995-12-07	VYDAJ	PREVOD NA UCET	5907	23352	SIPO	MN	29096329
861332	2933	1996-01-07	VYDAJ	PREVOD NA UCET	5907	19867	SIPO	MN	29096329
861333	2933	1996-02-07	VYDAJ	PREVOD NA UCET	5907	21969	SIPO	MN	29096329
861334	2933	1996-03-07	VYDAJ	PREVOD NA UCET	5907	19776	SIPO	MN	29096329
861335	2933	1996-04-07	VYDAJ	PREVOD NA UCET	5907	59996	SIPO	MN	29096329
861336	2933	1996-05-07	VYDAJ	PREVOD NA UCET	5907	61938	SIPO	MN	29096329
861337	2933	1996-06-07	VYDAJ	PREVOD NA UCET	5907	69319	SIPO	MN	29096329
861338	2933	1996-07-07	VYDAJ	PREVOD NA UCET	5907	34629	SIPO	MN	29096329
861339	2933	1996-08-07	VYDAJ	PREVOD NA UCET	5907	25597	SIPO	MN	29096329
861340	2933	1996-09-07	VYDAJ	PREVOD NA UCET	5907	21527	SIPO	MN	29096329
861341	2933	1996-10-07	VYDAJ	PREVOD NA UCET	5907	89660	SIPO	MN	29096329
861342	2933	1996-11-07	VYDAJ	PREVOD NA UCET	5907	50634	SIPO	MN	29096329
861343	2933	1996-12-07	VYDAJ	PREVOD NA UCET	5907	78525	SIPO	MN	29096329
861344	2933	1997-01-07	VYDAJ	PREVOD NA UCET	5907	61041	SIPO	MN	29096329
861345	2933	1997-02-07	VYDAJ	PREVOD NA UCET	5907	101665	SIPO	MN	29096329
861346	2933	1997-03-07	VYDAJ	PREVOD NA UCET	5907	37910	SIPO	MN	29096329
861347	2933	1997-04-07	VYDAJ	PREVOD NA UCET	5907	73979	SIPO	MN	29096329
861348	2933	1997-05-07	VYDAJ	PREVOD NA UCET	5907	110910	SIPO	MN	29096329
861349	2933	1997-06-07	VYDAJ	PREVOD NA UCET	5907	60836	SIPO	MN	29096329
861350	2933	1997-07-07	VYDAJ	PREVOD NA UCET	5907	52828	SIPO	MN	29096329
861351	2933	1997-08-07	VYDAJ	PREVOD NA UCET	5907	29976	SIPO	MN	29096329
861352	2933	1997-09-07	VYDAJ	PREVOD NA UCET	5907	17024	SIPO	MN	29096329
861353	2933	1997-10-07	VYDAJ	PREVOD NA UCET	5907	85967	SIPO	MN	29096329
861354	2933	1997-11-07	VYDAJ	PREVOD NA UCET	5907	42087	SIPO	MN	29096329
861355	2933	1997-12-07	VYDAJ	PREVOD NA UCET	5907	21476	SIPO	MN	29096329
861356	2933	1998-01-07	VYDAJ	PREVOD NA UCET	5907	65292	SIPO	MN	29096329
861357	2933	1998-02-07	VYDAJ	PREVOD NA UCET	5907	30088	SIPO	MN	29096329
861358	2933	1998-03-07	VYDAJ	PREVOD NA UCET	5907	63218	SIPO	MN	29096329
861359	2933	1998-04-07	VYDAJ	PREVOD NA UCET	5907	68505	SIPO	MN	29096329
861360	2933	1998-05-07	VYDAJ	PREVOD NA UCET	5907	36783	SIPO	MN	29096329
861361	2933	1998-06-07	VYDAJ	PREVOD NA UCET	5907	93816	SIPO	MN	29096329
861362	2933	1998-07-07	VYDAJ	PREVOD NA UCET	5907	78668	SIPO	MN	29096329
861363	2933	1998-08-07	VYDAJ	PREVOD NA UCET	5907	89811	SIPO	MN	29096329
861364	2933	1998-09-07	VYDAJ	PREVOD NA UCET	5907	50149	SIPO	MN	29096329
861365	2933	1998-10-07	VYDAJ	PREVOD NA UCET	5907	105653	SIPO	MN	29096329
861366	2933	1998-11-07	VYDAJ	PREVOD NA UCET	5907	81440	SIPO	MN	29096329
861367	2933	1998-12-07	VYDAJ	PREVOD NA UCET	5907	36956	SIPO	MN	29096329
861372	2933	1993-12-17	VYBER	VYBER	11409	23639	\N	\N	\N
861373	2933	1993-08-18	VYBER	VYBER	23156	33113	\N	\N	\N
861376	2933	1993-10-09	VYBER	VYBER	3350	28151	\N	\N	\N
861379	2933	1993-10-18	VYBER	VYBER	14241	31742	\N	\N	\N
861385	2933	1994-05-03	VYBER	VYBER	24228	34617	\N	\N	\N
861386	2933	1994-10-09	VYBER	VYBER	7057	35730	\N	\N	\N
861394	2933	1996-03-24	VYBER	VYBER	16745	66666	\N	\N	\N
861399	2933	1997-11-01	VYBER	VYBER	3175	47994	\N	\N	\N
861401	2933	1997-02-21	VYBER	VYBER	21597	89387	\N	\N	\N
861402	2933	1997-07-03	VYBER	VYBER	18910	58735	\N	\N	\N
861404	2933	1998-03-13	VYBER	VYBER	8569	82824	\N	\N	\N
861409	2933	1998-08-18	VYBER	VYBER	23863	61406	\N	\N	\N
861410	2933	1998-07-30	VYBER	VYBER	21660	47181	\N	\N	\N
861413	2933	1998-01-20	VYBER	VYBER	24662	97051	\N	\N	\N
861414	2933	1998-05-23	VYBER	VYBER	13506	51828	\N	\N	\N
861418	2933	1996-06-21	VYDAJ	VYBER	24000	40777	\N	\N	\N
861426	2933	1998-01-11	VYDAJ	VYBER	15300	49992	\N	\N	\N
861428	2933	1994-12-20	VYDAJ	VYBER	4500	43798	\N	\N	\N
861430	2933	1996-12-07	VYDAJ	VYBER	4200	74325	\N	\N	\N
861432	2933	1998-12-09	VYDAJ	VYBER	1500	35456	\N	\N	\N
861439	2933	1994-01-03	VYDAJ	VYBER	1500	44250	\N	\N	\N
861442	2933	1994-01-02	VYDAJ	VYBER	8100	45750	\N	\N	\N
861443	2933	1994-01-24	VYDAJ	VYBER	2400	24543	\N	\N	\N
861444	2933	1994-01-11	VYDAJ	VYBER	6900	27443	\N	\N	\N
861445	2933	1995-01-04	VYDAJ	VYBER	2700	41296	\N	\N	\N
861448	2933	1995-01-09	VYDAJ	VYBER	5400	29389	\N	\N	\N
861450	2933	1995-01-12	VYDAJ	VYBER	3000	26389	\N	\N	\N
861457	2933	1997-01-23	VYDAJ	VYBER	7500	30699	\N	\N	\N
861459	2933	1997-01-02	VYDAJ	VYBER	1500	66948	\N	\N	\N
861460	2933	1997-01-18	VYDAJ	VYBER	3300	42999	\N	\N	\N
861461	2933	1997-01-07	VYDAJ	VYBER	8400	52641	\N	\N	\N
861462	2933	1997-01-16	VYDAJ	VYBER	1800	46299	\N	\N	\N
861464	2933	1998-01-26	VYDAJ	VYBER	3600	35833	\N	\N	\N
861465	2933	1998-01-23	VYDAJ	VYBER	5400	40751	\N	\N	\N
861466	2933	1998-01-21	VYDAJ	VYBER	1500	46151	\N	\N	\N
861469	2933	1993-11-23	VYDAJ	VYBER	4800	94434	\N	\N	\N
861470	2933	1993-08-23	VYDAJ	VYBER	13200	19913	\N	\N	\N
861476	2933	1994-11-26	VYDAJ	VYBER	11100	61188	\N	\N	\N
861480	2933	1995-01-07	VYDAJ	VYBER	3900	37396	\N	\N	\N
861486	2933	1996-11-13	VYDAJ	VYBER	10800	35292	\N	\N	\N
861488	2933	1997-10-22	VYDAJ	VYBER	11700	102267	\N	\N	\N
861489	2933	1997-01-19	VYDAJ	VYBER	4800	38199	\N	\N	\N
861490	2933	1997-03-02	VYDAJ	VYBER	13500	43817	\N	\N	\N
861491	2933	1998-06-18	VYDAJ	VYBER	6900	68874	\N	\N	\N
861492	2933	1998-06-15	VYDAJ	VYBER	13500	75774	\N	\N	\N
861493	2933	1998-04-01	VYDAJ	VYBER	9000	52378	\N	\N	\N
861494	2933	1998-11-27	VYDAJ	VYBER	10800	42598	\N	\N	\N
861496	2933	1998-03-09	VYDAJ	VYBER	11400	51818	\N	\N	\N
861497	2933	1998-09-08	VYDAJ	VYBER	12300	37849	\N	\N	\N
861506	2933	1993-08-31	VYDAJ	VYBER	15	17109	SLUZBY	\N	\N
861507	2933	1993-09-30	VYDAJ	VYBER	15	16958	SLUZBY	\N	\N
861508	2933	1993-10-31	VYDAJ	VYBER	15	31866	SLUZBY	\N	\N
861509	2933	1993-11-30	VYDAJ	VYBER	15	46955	SLUZBY	\N	\N
861510	2933	1993-12-31	VYDAJ	VYBER	15	53850	SLUZBY	\N	\N
861511	2933	1994-01-31	VYDAJ	VYBER	15	21457	SLUZBY	\N	\N
861512	2933	1994-02-28	VYDAJ	VYBER	15	26240	SLUZBY	\N	\N
861513	2933	1994-03-31	VYDAJ	VYBER	15	48760	SLUZBY	\N	\N
861514	2933	1994-04-30	VYDAJ	VYBER	15	32212	SLUZBY	\N	\N
861515	2933	1994-05-31	VYDAJ	VYBER	15	30121	SLUZBY	\N	\N
861516	2933	1994-06-30	VYDAJ	VYBER	15	25369	SLUZBY	\N	\N
861517	2933	1994-07-31	VYDAJ	VYBER	15	26311	SLUZBY	\N	\N
861518	2933	1994-08-31	VYDAJ	VYBER	15	24863	SLUZBY	\N	\N
861519	2933	1994-09-30	VYDAJ	VYBER	15	48694	SLUZBY	\N	\N
861520	2933	1994-10-31	VYDAJ	VYBER	15	28614	SLUZBY	\N	\N
861521	2933	1994-11-30	VYDAJ	VYBER	15	61353	SLUZBY	\N	\N
861522	2933	1994-12-31	VYDAJ	VYBER	15	43996	SLUZBY	\N	\N
861523	2933	1995-01-31	VYDAJ	VYBER	15	21947	SLUZBY	\N	\N
861524	2933	1995-02-28	VYDAJ	VYBER	15	19066	SLUZBY	\N	\N
861525	2933	1995-03-31	VYDAJ	VYBER	15	29768	SLUZBY	\N	\N
861526	2933	1995-04-30	VYDAJ	VYBER	15	22806	SLUZBY	\N	\N
861527	2933	1995-05-31	VYDAJ	VYBER	15	45348	SLUZBY	\N	\N
861528	2933	1995-06-30	VYDAJ	VYBER	15	32432	SLUZBY	\N	\N
861529	2933	1995-07-31	VYDAJ	VYBER	15	25480	SLUZBY	\N	\N
861530	2933	1995-08-31	VYDAJ	VYBER	15	20109	SLUZBY	\N	\N
861531	2933	1995-09-30	VYDAJ	VYBER	15	28201	SLUZBY	\N	\N
861532	2933	1995-10-31	VYDAJ	VYBER	15	23339	SLUZBY	\N	\N
861533	2933	1995-11-30	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
861534	2933	1995-12-31	VYDAJ	VYBER	15	18874	SLUZBY	\N	\N
861535	2933	1996-01-31	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
861536	2933	1996-02-29	VYDAJ	VYBER	15	17483	SLUZBY	\N	\N
861537	2933	1996-03-31	VYDAJ	VYBER	15	66807	SLUZBY	\N	\N
861538	2933	1996-04-30	VYDAJ	VYBER	15	104445	SLUZBY	\N	\N
861539	2933	1996-05-31	VYDAJ	VYBER	15	110826	SLUZBY	\N	\N
861540	2933	1996-06-30	VYDAJ	VYBER	15	41036	SLUZBY	\N	\N
861541	2933	1996-07-31	VYDAJ	VYBER	15	30204	SLUZBY	\N	\N
861542	2933	1996-08-31	VYDAJ	VYBER	15	27434	SLUZBY	\N	\N
861543	2933	1996-09-30	VYDAJ	VYBER	15	110801	SLUZBY	\N	\N
861544	2933	1996-10-31	VYDAJ	VYBER	15	56541	SLUZBY	\N	\N
861545	2933	1996-11-30	VYDAJ	VYBER	15	51389	SLUZBY	\N	\N
861546	2933	1996-12-31	VYDAJ	VYBER	15	68448	SLUZBY	\N	\N
861547	2933	1997-01-31	VYDAJ	VYBER	15	30270	SLUZBY	\N	\N
861548	2933	1997-02-28	VYDAJ	VYBER	15	57317	SLUZBY	\N	\N
861549	2933	1997-03-31	VYDAJ	VYBER	15	32508	SLUZBY	\N	\N
861550	2933	1997-04-30	VYDAJ	VYBER	15	71410	SLUZBY	\N	\N
861551	2933	1997-05-31	VYDAJ	VYBER	15	66743	SLUZBY	\N	\N
861552	2933	1997-06-30	VYDAJ	VYBER	15	77645	SLUZBY	\N	\N
861553	2933	1997-07-31	VYDAJ	VYBER	15	35883	SLUZBY	\N	\N
861554	2933	1997-08-31	VYDAJ	VYBER	15	22931	SLUZBY	\N	\N
861555	2933	1997-09-30	VYDAJ	VYBER	15	24714	SLUZBY	\N	\N
861556	2933	1997-10-31	VYDAJ	VYBER	15	51169	SLUZBY	\N	\N
861557	2933	1997-11-30	VYDAJ	VYBER	15	27383	SLUZBY	\N	\N
861558	2933	1997-12-31	VYDAJ	VYBER	15	25524	SLUZBY	\N	\N
861559	2933	1998-01-31	VYDAJ	VYBER	15	35995	SLUZBY	\N	\N
861560	2933	1998-02-28	VYDAJ	VYBER	15	47856	SLUZBY	\N	\N
861561	2933	1998-03-31	VYDAJ	VYBER	15	61378	SLUZBY	\N	\N
861562	2933	1998-04-30	VYDAJ	VYBER	15	42690	SLUZBY	\N	\N
861563	2933	1998-05-31	VYDAJ	VYBER	15	34064	SLUZBY	\N	\N
861564	2933	1998-06-30	VYDAJ	VYBER	15	44527	SLUZBY	\N	\N
861565	2933	1998-07-31	VYDAJ	VYBER	15	47452	SLUZBY	\N	\N
861566	2933	1998-08-31	VYDAJ	VYBER	15	40855	SLUZBY	\N	\N
861567	2933	1998-09-30	VYDAJ	VYBER	15	105908	SLUZBY	\N	\N
861568	2933	1998-10-31	VYDAJ	VYBER	15	87347	SLUZBY	\N	\N
861569	2933	1998-11-30	VYDAJ	VYBER	15	42863	SLUZBY	\N	\N
861570	2933	1993-07-18	VYDAJ	VYBER	18000	41419	\N	\N	\N
861571	2933	1993-08-17	VYDAJ	VYBER	28800	56269	\N	\N	\N
861572	2933	1993-09-16	PRIJEM	VKLAD	5700	16902	\N	\N	\N
861573	2933	1993-10-16	VYDAJ	VYBER	17400	45983	\N	\N	\N
861574	2933	1993-11-13	VYDAJ	VYBER	53300	68591	\N	\N	\N
861575	2933	1993-11-15	VYDAJ	VYBER	21700	46891	\N	\N	\N
861576	2933	1993-11-30	VYDAJ	VYBER	56700	46969	\N	\N	\N
861577	2933	1993-12-15	VYDAJ	VYBER	2500	35048	\N	\N	\N
861578	2933	1994-01-14	VYDAJ	VYBER	500	26943	\N	\N	\N
861579	2933	1994-03-15	VYDAJ	VYBER	21100	53081	\N	\N	\N
861580	2933	1994-04-14	VYDAJ	VYBER	5600	37253	\N	\N	\N
861581	2933	1994-05-14	PRIJEM	VKLAD	1300	30010	\N	\N	\N
861582	2933	1994-06-13	PRIJEM	VKLAD	5600	25272	\N	\N	\N
861583	2933	1994-07-13	PRIJEM	VKLAD	11300	26220	\N	\N	\N
861584	2933	1994-08-12	PRIJEM	VKLAD	8900	29304	\N	\N	\N
861585	2933	1994-09-11	PRIJEM	VKLAD	8400	27356	\N	\N	\N
861586	2933	1994-10-11	VYDAJ	VYBER	2700	33030	\N	\N	\N
861587	2933	1994-11-10	PRIJEM	VKLAD	7000	29707	\N	\N	\N
861588	2933	1994-12-10	VYDAJ	VYBER	16800	52840	\N	\N	\N
861589	2933	1995-01-09	PRIJEM	VKLAD	3300	34789	\N	\N	\N
861590	2933	1995-02-08	PRIJEM	VKLAD	7500	23540	\N	\N	\N
861591	2933	1995-03-10	PRIJEM	VKLAD	10400	23559	\N	\N	\N
861592	2933	1995-04-09	PRIJEM	VKLAD	3400	27261	\N	\N	\N
861593	2933	1995-05-09	VYDAJ	VYBER	15200	49730	\N	\N	\N
861594	2933	1995-06-08	VYDAJ	VYBER	2600	36841	\N	\N	\N
861595	2933	1995-07-08	PRIJEM	VKLAD	3400	29925	\N	\N	\N
861596	2933	1995-08-07	PRIJEM	VKLAD	5000	30480	\N	\N	\N
861597	2933	1995-09-06	PRIJEM	VKLAD	5800	25909	\N	\N	\N
861598	2933	1995-10-06	PRIJEM	VKLAD	5500	33701	\N	\N	\N
861599	2933	1995-11-05	PRIJEM	VKLAD	6500	29839	\N	\N	\N
861600	2933	1995-12-05	PRIJEM	VKLAD	9800	29259	\N	\N	\N
861601	2933	1996-01-04	PRIJEM	VKLAD	6900	25774	\N	\N	\N
861602	2933	1996-02-03	PRIJEM	VKLAD	12500	27876	\N	\N	\N
861603	2933	1996-03-04	PRIJEM	VKLAD	8200	25683	\N	\N	\N
861604	2933	1996-04-03	VYDAJ	VYBER	35600	65903	\N	\N	\N
861605	2933	1996-04-12	VYDAJ	VYBER	41500	103982	\N	\N	\N
861606	2933	1996-05-03	VYDAJ	VYBER	36600	67845	\N	\N	\N
861607	2933	1996-06-02	VYDAJ	VYBER	35600	75226	\N	\N	\N
861608	2933	1996-07-02	VYDAJ	VYBER	500	40536	\N	\N	\N
861609	2933	1996-08-01	PRIJEM	VKLAD	1300	31504	\N	\N	\N
861610	2933	1996-08-31	PRIJEM	VKLAD	6300	27449	\N	\N	\N
861611	2933	1996-09-30	VYDAJ	VYBER	38600	72201	\N	\N	\N
861612	2933	1996-10-30	VYDAJ	VYBER	28900	56218	\N	\N	\N
861613	2933	1996-11-29	VYDAJ	VYBER	30800	51185	\N	\N	\N
861614	2933	1996-12-26	VYDAJ	VYBER	18800	107051	\N	\N	\N
861615	2933	1996-12-26	VYDAJ	VYBER	49300	125851	\N	\N	\N
861616	2933	1996-12-29	VYDAJ	VYBER	38900	68151	\N	\N	\N
861617	2933	1997-01-28	VYDAJ	VYBER	600	30099	\N	\N	\N
861618	2933	1997-02-16	VYDAJ	VYBER	15500	110984	\N	\N	\N
861619	2933	1997-02-27	VYDAJ	VYBER	32400	56987	\N	\N	\N
861620	2933	1997-03-29	VYDAJ	VYBER	1000	32368	\N	\N	\N
861621	2933	1997-04-28	VYDAJ	VYBER	28400	50701	\N	\N	\N
861622	2933	1997-05-28	VYDAJ	VYBER	40000	66368	\N	\N	\N
861623	2933	1997-06-14	VYDAJ	VYBER	28000	105722	\N	\N	\N
861624	2933	1997-06-17	VYDAJ	VYBER	41100	87744	\N	\N	\N
861625	2933	1997-06-27	VYDAJ	VYBER	39600	67889	\N	\N	\N
861626	2933	1997-07-27	VYDAJ	VYBER	12600	35686	\N	\N	\N
861627	2933	1997-08-26	VYDAJ	VYBER	2600	22834	\N	\N	\N
861628	2933	1997-09-25	VYDAJ	VYBER	3900	24629	\N	\N	\N
861629	2933	1997-10-03	VYDAJ	VYBER	42900	78494	\N	\N	\N
861630	2933	1997-10-25	VYDAJ	VYBER	62800	50749	\N	\N	\N
861631	2933	1997-10-25	VYDAJ	VYBER	33000	113549	\N	\N	\N
861632	2933	1997-11-24	VYDAJ	VYBER	10300	27245	\N	\N	\N
861633	2933	1998-01-20	VYDAJ	VYBER	49400	47651	\N	\N	\N
861634	2933	1998-01-23	VYDAJ	VYBER	16100	24651	\N	\N	\N
861635	2933	1998-03-24	VYDAJ	VYBER	37600	45224	\N	\N	\N
861636	2933	1998-04-23	VYDAJ	VYBER	21500	42463	\N	\N	\N
861637	2933	1998-05-23	VYDAJ	VYBER	17900	33928	\N	\N	\N
861638	2933	1998-06-22	VYDAJ	VYBER	24600	44274	\N	\N	\N
861639	2933	1998-07-22	VYDAJ	VYBER	37200	68841	\N	\N	\N
861640	2933	1998-08-21	VYDAJ	VYBER	20800	40606	\N	\N	\N
861641	2933	1998-09-20	VYDAJ	VYBER	900	32407	\N	\N	\N
861642	2933	1998-10-20	VYDAJ	VYBER	38300	70549	\N	\N	\N
861643	2933	1998-10-29	VYDAJ	VYBER	32800	86958	\N	\N	\N
861644	2933	1998-11-19	VYDAJ	VYBER	23500	53398	\N	\N	\N
861712	2934	1996-10-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
861713	2934	1996-10-27	PRIJEM	VKLAD	5575	6575	\N	\N	\N
861718	2934	1996-11-04	PRIJEM	VKLAD	43714	50293	\N	\N	\N
861719	2934	1996-11-06	PRIJEM	VKLAD	5425	55718	\N	\N	\N
861722	2934	1997-01-27	PRIJEM	VKLAD	9202	73523	\N	\N	\N
861723	2934	1997-12-03	PRIJEM	VKLAD	37718	102280	\N	\N	\N
861724	2934	1997-12-29	PRIJEM	VKLAD	6927	73396	\N	\N	\N
861725	2934	1997-11-06	PRIJEM	VKLAD	45392	103239	\N	\N	\N
861726	2934	1997-12-06	PRIJEM	VKLAD	14314	116594	\N	\N	\N
861727	2934	1997-10-19	PRIJEM	VKLAD	6775	44194	\N	\N	\N
861728	2934	1997-01-24	PRIJEM	VKLAD	25904	64321	\N	\N	\N
861729	2934	1997-12-28	PRIJEM	VKLAD	13375	66469	\N	\N	\N
861730	2934	1997-12-02	PRIJEM	VKLAD	15894	108162	\N	\N	\N
861731	2934	1997-11-04	PRIJEM	VKLAD	18580	57847	\N	\N	\N
861732	2934	1997-11-27	PRIJEM	VKLAD	20398	91891	\N	\N	\N
861733	2934	1997-08-16	PRIJEM	VKLAD	38048	118120	\N	\N	\N
861734	2934	1997-01-24	PRIJEM	VKLAD	5967	38417	\N	\N	\N
861735	2934	1997-05-04	PRIJEM	VKLAD	46349	94020	\N	\N	\N
861736	2934	1997-02-03	PRIJEM	VKLAD	19348	93063	\N	\N	\N
861737	2934	1997-11-17	PRIJEM	VKLAD	19854	123093	\N	\N	\N
861738	2934	1997-08-08	PRIJEM	VKLAD	33509	80072	\N	\N	\N
861739	2934	1997-05-26	PRIJEM	VKLAD	35876	87696	\N	\N	\N
861740	2934	1998-05-27	PRIJEM	VKLAD	34058	88860	\N	\N	\N
861741	2934	1998-12-06	PRIJEM	VKLAD	48765	112267	\N	\N	\N
861742	2934	1998-04-16	PRIJEM	VKLAD	26188	67291	\N	\N	\N
861743	2934	1998-03-21	PRIJEM	VKLAD	26030	84604	\N	\N	\N
861744	2934	1998-07-08	PRIJEM	VKLAD	29458	70504	\N	\N	\N
861745	2934	1998-01-14	PRIJEM	VKLAD	36416	133278	\N	\N	\N
861746	2934	1998-10-21	PRIJEM	VKLAD	41478	73777	\N	\N	\N
861747	2934	1998-01-03	PRIJEM	VKLAD	41517	96862	\N	\N	\N
861748	2934	1998-11-19	PRIJEM	VKLAD	14722	71876	\N	\N	\N
861749	2934	1998-10-31	PRIJEM	VKLAD	46741	116918	\N	\N	\N
861750	2934	1998-03-15	PRIJEM	VKLAD	25988	58574	\N	\N	\N
861751	2934	1998-08-16	PRIJEM	VKLAD	6387	26165	\N	\N	\N
861752	2934	1998-11-10	PRIJEM	VKLAD	7097	112654	\N	\N	\N
861753	2934	1998-06-22	PRIJEM	VKLAD	9976	52179	\N	\N	\N
861754	2934	1998-11-01	PRIJEM	VKLAD	26848	105557	\N	\N	\N
861755	2934	1998-04-16	PRIJEM	VKLAD	29824	41103	\N	\N	\N
861765	2934	1998-08-09	VYBER	VYBER	18539	19778	\N	\N	\N
861766	2934	1998-04-02	VYBER	VYBER	19648	29632	\N	\N	\N
861767	2934	1998-02-28	VYBER	VYBER	15465	30101	\N	\N	\N
861768	2934	1998-09-14	VYBER	VYBER	22811	8682	\N	\N	\N
861769	2934	1998-07-15	VYBER	VYBER	22382	48122	\N	\N	\N
861770	2934	1998-11-27	VYBER	VYBER	6104	63183	\N	\N	\N
861771	2934	1998-07-25	VYBER	VYBER	12366	35756	\N	\N	\N
861772	2934	1998-11-27	VYBER	VYBER	6089	69287	\N	\N	\N
861773	2934	1998-04-05	VYBER	VYBER	18353	11279	\N	\N	\N
861774	2934	1998-06-23	VYBER	VYBER	23054	29125	\N	\N	\N
861775	2934	1998-03-22	VYBER	VYBER	22807	61797	\N	\N	\N
861776	2934	1998-08-21	VYBER	VYBER	17059	9106	\N	\N	\N
861778	2934	1998-06-05	VYBER	VYBER	24734	42203	\N	\N	\N
861784	2934	1998-01-21	VYDAJ	VYBER	7500	81878	\N	\N	\N
861786	2934	1997-12-17	VYDAJ	VYBER KARTOU	2700	53094	\N	\N	0
861787	2934	1998-12-26	VYDAJ	VYBER	6600	84167	\N	\N	\N
861800	2934	1998-01-16	VYDAJ	VYBER KARTOU	1800	100478	\N	\N	0
861801	2934	1998-01-17	VYDAJ	VYBER KARTOU	1500	93278	\N	\N	0
861802	2934	1998-01-14	VYDAJ	VYBER	8100	125178	\N	\N	\N
861803	2934	1998-01-20	VYDAJ	VYBER KARTOU	3900	89378	\N	\N	0
861804	2934	1998-01-17	VYDAJ	VYBER	5700	94778	\N	\N	\N
861805	2934	1998-01-25	VYDAJ	VYBER	7800	74078	\N	\N	\N
861813	2934	1997-06-08	VYDAJ	VYBER	2400	64234	\N	\N	\N
861814	2934	1997-10-17	VYDAJ	VYBER	4200	37419	\N	\N	\N
861815	2934	1997-05-12	VYDAJ	VYBER	13800	51820	\N	\N	\N
861816	2934	1997-11-24	VYDAJ	VYBER KARTOU	2100	71493	\N	\N	0
861817	2934	1998-11-12	VYDAJ	VYBER	9000	57154	\N	\N	\N
861818	2934	1998-02-20	VYDAJ	VYBER	11100	45336	\N	\N	\N
861819	2934	1998-10-16	VYDAJ	VYBER KARTOU	2700	32299	\N	\N	0
861820	2934	1998-08-08	VYDAJ	VYBER KARTOU	3300	38317	\N	\N	0
861834	2934	1997-01-31	VYDAJ	VYBER	15	73715	SLUZBY	\N	\N
861835	2934	1997-02-28	VYDAJ	VYBER	15	64421	SLUZBY	\N	\N
861836	2934	1997-03-31	VYDAJ	VYBER	15	50973	SLUZBY	\N	\N
861837	2934	1997-04-30	VYDAJ	VYBER	15	47671	SLUZBY	\N	\N
861838	2934	1997-05-31	VYDAJ	VYBER	15	87934	SLUZBY	\N	\N
861839	2934	1997-06-30	VYDAJ	VYBER	15	64510	SLUZBY	\N	\N
861840	2934	1997-07-31	VYDAJ	VYBER	15	55163	SLUZBY	\N	\N
861841	2934	1997-08-31	VYDAJ	VYBER	15	59189	SLUZBY	\N	\N
861842	2934	1997-09-30	VYDAJ	VYBER	15	46719	SLUZBY	\N	\N
861843	2934	1997-10-31	VYDAJ	VYBER	15	44367	SLUZBY	\N	\N
861844	2934	1997-11-30	VYDAJ	VYBER	15	92268	SLUZBY	\N	\N
861845	2934	1997-12-31	VYDAJ	VYBER	15	73645	SLUZBY	\N	\N
861846	2934	1998-01-31	VYDAJ	VYBER	15	56436	SLUZBY	\N	\N
861847	2934	1998-02-28	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
861848	2934	1998-03-31	VYDAJ	VYBER	15	61980	SLUZBY	\N	\N
861849	2934	1998-04-30	VYDAJ	VYBER	15	67402	SLUZBY	\N	\N
861850	2934	1998-05-31	VYDAJ	VYBER	15	89137	SLUZBY	\N	\N
861851	2934	1998-06-30	VYDAJ	VYBER	15	41046	SLUZBY	\N	\N
861852	2934	1998-07-31	VYDAJ	VYBER	15	41617	SLUZBY	\N	\N
861853	2934	1998-08-31	VYDAJ	VYBER	15	31493	SLUZBY	\N	\N
861854	2934	1998-09-30	VYDAJ	VYBER	15	34999	SLUZBY	\N	\N
861855	2934	1998-10-31	VYDAJ	VYBER	15	78709	SLUZBY	\N	\N
861856	2934	1998-11-30	VYDAJ	VYBER	15	63502	SLUZBY	\N	\N
861857	2934	1996-11-07	VYDAJ	VYBER	13200	42518	\N	\N	\N
861858	2934	1996-12-07	VYDAJ	VYBER	8000	34672	\N	\N	\N
861859	2934	1997-01-06	VYDAJ	VYBER	2400	32450	\N	\N	\N
861860	2934	1997-02-05	VYDAJ	VYBER	28900	64163	\N	\N	\N
861861	2934	1997-03-07	VYDAJ	VYBER	13700	50721	\N	\N	\N
861862	2934	1997-04-06	VYDAJ	VYBER	3500	47473	\N	\N	\N
861863	2934	1997-05-06	VYDAJ	VYBER	28400	65620	\N	\N	\N
861864	2934	1997-06-05	VYDAJ	VYBER	21300	66634	\N	\N	\N
861865	2934	1997-07-05	VYDAJ	VYBER	9600	54910	\N	\N	\N
861866	2934	1997-08-04	VYDAJ	VYBER	8600	46563	\N	\N	\N
861867	2934	1997-08-16	VYDAJ	VYBER	59300	58820	\N	\N	\N
861868	2934	1997-09-03	VYDAJ	VYBER	12700	46489	\N	\N	\N
861869	2934	1997-10-03	VYDAJ	VYBER	5100	41619	\N	\N	\N
861870	2934	1997-11-02	VYDAJ	VYBER	5100	39267	\N	\N	\N
861871	2934	1997-11-17	VYDAJ	VYBER	49500	73593	\N	\N	\N
861872	2934	1997-12-02	VYDAJ	VYBER	20500	64562	\N	\N	\N
861873	2934	1997-12-02	VYDAJ	VYBER	23100	85062	\N	\N	\N
861874	2934	1997-12-06	VYDAJ	VYBER	60800	55794	\N	\N	\N
861875	2934	1998-01-01	VYDAJ	VYBER	18300	55345	\N	\N	\N
861876	2934	1998-01-14	VYDAJ	VYBER	22900	102278	\N	\N	\N
861877	2934	1998-01-31	VYDAJ	VYBER	18000	56450	\N	\N	\N
861878	2934	1998-03-02	PRIJEM	VKLAD	2500	32586	\N	\N	\N
861879	2934	1998-04-01	VYDAJ	VYBER	12700	49280	\N	\N	\N
861880	2934	1998-05-01	VYDAJ	VYBER	12600	54802	\N	\N	\N
861881	2934	1998-05-31	VYDAJ	VYBER	22200	66937	\N	\N	\N
861882	2934	1998-06-30	PRIJEM	VKLAD	11700	41060	\N	\N	\N
861883	2934	1998-07-30	PRIJEM	VKLAD	5700	41456	\N	\N	\N
861884	2934	1998-08-29	PRIJEM	VKLAD	22300	31406	\N	\N	\N
861885	2934	1998-09-28	PRIJEM	VKLAD	26200	34882	\N	\N	\N
861886	2934	1998-10-28	VYDAJ	VYBER KARTOU	3600	70177	\N	\N	0
861887	2934	1998-10-31	VYDAJ	VYBER	38400	78724	\N	\N	\N
861888	2934	1998-11-10	VYDAJ	VYBER	46500	66154	\N	\N	\N
861889	2934	1998-11-27	PRIJEM	VKLAD	3500	75376	\N	\N	\N
861890	2934	1998-12-06	VYDAJ	VYBER	21500	90767	\N	\N	\N
861918	2935	1995-05-15	PRIJEM	VKLAD	200	200	\N	\N	\N
861924	2935	1995-06-12	PRIJEM	PREVOD Z UCTU	3150	3350	\N	WX	39177346
861925	2935	1995-07-12	PRIJEM	PREVOD Z UCTU	3150	6500	\N	WX	39177346
861926	2935	1995-08-12	PRIJEM	PREVOD Z UCTU	3150	9650	\N	WX	39177346
861927	2935	1995-09-12	PRIJEM	PREVOD Z UCTU	3150	12800	\N	WX	39177346
861928	2935	1995-10-12	PRIJEM	PREVOD Z UCTU	3150	15950	\N	WX	39177346
861929	2935	1995-11-12	PRIJEM	PREVOD Z UCTU	3150	16785	\N	WX	39177346
861930	2935	1995-12-12	PRIJEM	PREVOD Z UCTU	3150	16776	\N	WX	39177346
861931	2935	1996-01-12	PRIJEM	PREVOD Z UCTU	3150	17877	\N	WX	39177346
861932	2935	1996-02-12	PRIJEM	PREVOD Z UCTU	3150	15552	\N	WX	39177346
861933	2935	1996-03-12	PRIJEM	PREVOD Z UCTU	3150	16642	\N	WX	39177346
861934	2935	1996-04-12	PRIJEM	PREVOD Z UCTU	3150	16386	\N	WX	39177346
861935	2935	1996-05-12	PRIJEM	PREVOD Z UCTU	3150	17479	\N	WX	39177346
861936	2935	1996-06-12	PRIJEM	PREVOD Z UCTU	3150	17861	\N	WX	39177346
861937	2935	1996-07-12	PRIJEM	PREVOD Z UCTU	3150	17464	\N	WX	39177346
861938	2935	1996-08-12	PRIJEM	PREVOD Z UCTU	3150	17301	\N	WX	39177346
861939	2935	1996-09-12	PRIJEM	PREVOD Z UCTU	3150	18400	\N	WX	39177346
861940	2935	1996-10-12	PRIJEM	PREVOD Z UCTU	3150	18842	\N	WX	39177346
861941	2935	1996-11-12	PRIJEM	PREVOD Z UCTU	3150	19947	\N	WX	39177346
861942	2935	1996-12-12	PRIJEM	PREVOD Z UCTU	3150	21055	\N	WX	39177346
861943	2935	1997-01-12	PRIJEM	PREVOD Z UCTU	3150	18327	\N	WX	39177346
861944	2935	1997-02-12	PRIJEM	PREVOD Z UCTU	3150	17750	\N	WX	39177346
861945	2935	1997-03-12	PRIJEM	PREVOD Z UCTU	3150	18849	\N	WX	39177346
861946	2935	1997-04-12	PRIJEM	PREVOD Z UCTU	3150	18932	\N	WX	39177346
861947	2935	1997-05-12	PRIJEM	PREVOD Z UCTU	3150	19712	\N	WX	39177346
861948	2935	1997-06-12	PRIJEM	PREVOD Z UCTU	3150	20819	\N	WX	39177346
861949	2935	1997-07-12	PRIJEM	PREVOD Z UCTU	3150	17634	\N	WX	39177346
861950	2935	1997-08-12	PRIJEM	PREVOD Z UCTU	3150	18738	\N	WX	39177346
861951	2935	1997-09-12	PRIJEM	PREVOD Z UCTU	3150	18406	\N	WX	39177346
861952	2935	1997-10-12	PRIJEM	PREVOD Z UCTU	3150	19515	\N	WX	39177346
861953	2935	1997-11-12	PRIJEM	PREVOD Z UCTU	3150	20266	\N	WX	39177346
861954	2935	1997-12-12	PRIJEM	PREVOD Z UCTU	3150	20810	\N	WX	39177346
861955	2935	1998-01-12	PRIJEM	PREVOD Z UCTU	3150	18358	\N	WX	39177346
861956	2935	1998-02-12	PRIJEM	PREVOD Z UCTU	3150	17597	\N	WX	39177346
861957	2935	1998-03-12	PRIJEM	PREVOD Z UCTU	3150	18695	\N	WX	39177346
861958	2935	1998-04-12	PRIJEM	PREVOD Z UCTU	3150	19803	\N	WX	39177346
861959	2935	1998-05-12	PRIJEM	PREVOD Z UCTU	3150	19799	\N	WX	39177346
861960	2935	1998-06-12	PRIJEM	PREVOD Z UCTU	3150	20907	\N	WX	39177346
861961	2935	1998-07-12	PRIJEM	PREVOD Z UCTU	3150	19503	\N	WX	39177346
861962	2935	1998-08-12	PRIJEM	PREVOD Z UCTU	3150	19169	\N	WX	39177346
861963	2935	1998-09-12	PRIJEM	PREVOD Z UCTU	3150	19706	\N	WX	39177346
861964	2935	1998-10-12	PRIJEM	PREVOD Z UCTU	3150	20002	\N	WX	39177346
861965	2935	1998-11-12	PRIJEM	PREVOD Z UCTU	3150	21111	\N	WX	39177346
861966	2935	1998-12-12	PRIJEM	PREVOD Z UCTU	3150	22224	\N	WX	39177346
861976	2935	1995-10-12	VYDAJ	PREVOD NA UCET	2100	13850	SIPO	UV	54752987
861977	2935	1995-11-12	VYDAJ	PREVOD NA UCET	2100	14685	SIPO	UV	54752987
861978	2935	1995-12-12	VYDAJ	PREVOD NA UCET	2100	14676	SIPO	UV	54752987
861979	2935	1996-01-12	VYDAJ	PREVOD NA UCET	2100	14967	SIPO	UV	54752987
861980	2935	1996-02-12	VYDAJ	PREVOD NA UCET	2100	13452	SIPO	UV	54752987
861981	2935	1996-03-12	VYDAJ	PREVOD NA UCET	2100	14542	SIPO	UV	54752987
861982	2935	1996-04-12	VYDAJ	PREVOD NA UCET	2100	14286	SIPO	UV	54752987
861983	2935	1996-05-12	VYDAJ	PREVOD NA UCET	2100	15379	SIPO	UV	54752987
861984	2935	1996-06-12	VYDAJ	PREVOD NA UCET	2100	15761	SIPO	UV	54752987
861985	2935	1996-07-12	VYDAJ	PREVOD NA UCET	2100	15364	SIPO	UV	54752987
861986	2935	1996-08-12	VYDAJ	PREVOD NA UCET	2100	15201	SIPO	UV	54752987
861987	2935	1996-09-12	VYDAJ	PREVOD NA UCET	2100	16300	SIPO	UV	54752987
861988	2935	1996-10-12	VYDAJ	PREVOD NA UCET	2100	16742	SIPO	UV	54752987
861989	2935	1996-11-12	VYDAJ	PREVOD NA UCET	2100	17847	SIPO	UV	54752987
861990	2935	1996-12-12	VYDAJ	PREVOD NA UCET	2100	18955	SIPO	UV	54752987
861991	2935	1997-01-12	VYDAJ	PREVOD NA UCET	2100	16227	SIPO	UV	54752987
861992	2935	1997-02-12	VYDAJ	PREVOD NA UCET	2100	15650	SIPO	UV	54752987
861993	2935	1997-03-12	VYDAJ	PREVOD NA UCET	2100	16749	SIPO	UV	54752987
861994	2935	1997-04-12	VYDAJ	PREVOD NA UCET	2100	16832	SIPO	UV	54752987
861995	2935	1997-05-12	VYDAJ	PREVOD NA UCET	2100	17612	SIPO	UV	54752987
861996	2935	1997-06-12	VYDAJ	PREVOD NA UCET	2100	18719	SIPO	UV	54752987
861997	2935	1997-07-12	VYDAJ	PREVOD NA UCET	2100	15534	SIPO	UV	54752987
861998	2935	1997-08-12	VYDAJ	PREVOD NA UCET	2100	16638	SIPO	UV	54752987
861999	2935	1997-09-12	VYDAJ	PREVOD NA UCET	2100	16306	SIPO	UV	54752987
862000	2935	1997-10-12	VYDAJ	PREVOD NA UCET	2100	17415	SIPO	UV	54752987
862001	2935	1997-11-12	VYDAJ	PREVOD NA UCET	2100	18166	SIPO	UV	54752987
862002	2935	1997-12-12	VYDAJ	PREVOD NA UCET	2100	18710	SIPO	UV	54752987
862003	2935	1998-01-12	VYDAJ	PREVOD NA UCET	2100	16258	SIPO	UV	54752987
862004	2935	1998-02-12	VYDAJ	PREVOD NA UCET	2100	15497	SIPO	UV	54752987
862005	2935	1998-03-12	VYDAJ	PREVOD NA UCET	2100	16595	SIPO	UV	54752987
862006	2935	1998-04-12	VYDAJ	PREVOD NA UCET	2100	17703	SIPO	UV	54752987
862007	2935	1998-05-12	VYDAJ	PREVOD NA UCET	2100	17699	SIPO	UV	54752987
862008	2935	1998-06-12	VYDAJ	PREVOD NA UCET	2100	18807	SIPO	UV	54752987
862009	2935	1998-07-12	VYDAJ	PREVOD NA UCET	2100	17403	SIPO	UV	54752987
862010	2935	1998-08-12	VYDAJ	PREVOD NA UCET	2100	17069	SIPO	UV	54752987
862011	2935	1998-09-12	VYDAJ	PREVOD NA UCET	2100	17606	SIPO	UV	54752987
862012	2935	1998-10-12	VYDAJ	PREVOD NA UCET	2100	17902	SIPO	UV	54752987
862013	2935	1998-11-12	VYDAJ	PREVOD NA UCET	2100	19011	SIPO	UV	54752987
862014	2935	1998-12-12	VYDAJ	PREVOD NA UCET	2100	20124	SIPO	UV	54752987
862016	2935	1996-06-26	VYDAJ	VYBER	1500	14261	\N	\N	\N
862017	2935	1997-06-20	VYDAJ	VYBER	4290	14429	\N	\N	\N
862018	2935	1998-06-29	VYDAJ	VYBER	2520	16287	\N	\N	\N
862020	2935	1996-01-12	VYDAJ	VYBER	810	17067	\N	\N	\N
862021	2935	1997-01-08	VYDAJ	VYBER	2460	15537	\N	\N	\N
862022	2935	1998-01-05	VYDAJ	VYBER	2160	15418	\N	\N	\N
862023	2935	1995-12-04	VYDAJ	VYBER	210	14526	\N	\N	\N
862024	2935	1996-12-12	VYDAJ	VYBER	240	18715	\N	\N	\N
862025	2935	1997-12-02	VYDAJ	VYBER	570	17660	\N	\N	\N
862026	2935	1998-12-29	VYDAJ	VYBER	660	19464	\N	\N	\N
862033	2935	1996-01-26	VYDAJ	VYBER	660	12717	\N	\N	\N
862034	2935	1996-01-27	VYDAJ	VYBER	360	12357	\N	\N	\N
862035	2935	1996-01-15	VYDAJ	VYBER	360	14607	\N	\N	\N
862036	2935	1996-01-16	VYDAJ	VYBER	240	14367	\N	\N	\N
862037	2935	1996-01-23	VYDAJ	VYBER	300	13377	\N	\N	\N
862038	2935	1996-01-22	VYDAJ	VYBER	690	13677	\N	\N	\N
862039	2935	1997-01-06	VYDAJ	VYBER	780	17997	\N	\N	\N
862040	2935	1997-01-11	VYDAJ	VYBER	360	15177	\N	\N	\N
862041	2935	1997-01-17	VYDAJ	VYBER	180	15657	\N	\N	\N
862042	2935	1997-01-28	VYDAJ	VYBER	570	14547	\N	\N	\N
862043	2935	1997-01-24	VYDAJ	VYBER	540	15117	\N	\N	\N
862044	2935	1997-01-13	VYDAJ	VYBER	390	15837	\N	\N	\N
862045	2935	1998-01-14	VYDAJ	VYBER	690	14848	\N	\N	\N
862046	2935	1998-01-03	VYDAJ	VYBER	720	18058	\N	\N	\N
862047	2935	1998-01-10	VYDAJ	VYBER	210	15208	\N	\N	\N
862048	2935	1998-01-25	VYDAJ	VYBER	450	14398	\N	\N	\N
862049	2935	1998-01-04	VYDAJ	VYBER	480	17578	\N	\N	\N
862050	2935	1998-01-13	VYDAJ	VYBER	720	15538	\N	\N	\N
862054	2935	1995-10-23	VYDAJ	VYBER	240	13610	\N	\N	\N
862057	2935	1995-12-07	VYDAJ	VYBER	900	13626	\N	\N	\N
862059	2935	1996-05-28	VYDAJ	VYBER	720	14659	\N	\N	\N
862060	2935	1996-08-01	VYDAJ	VYBER	1260	14151	\N	\N	\N
862061	2935	1996-10-07	VYDAJ	VYBER	660	15692	\N	\N	\N
862062	2935	1996-03-31	VYDAJ	VYBER	1350	13236	\N	\N	\N
862064	2935	1997-10-29	VYDAJ	VYBER	360	17055	\N	\N	\N
862065	2935	1997-09-07	VYDAJ	VYBER	1440	15256	\N	\N	\N
862066	2935	1997-04-04	VYDAJ	VYBER	1020	15782	\N	\N	\N
862067	2935	1997-04-27	VYDAJ	VYBER	330	16502	\N	\N	\N
862068	2935	1998-04-19	VYDAJ	VYBER	360	17343	\N	\N	\N
862069	2935	1998-10-04	VYDAJ	VYBER	810	16852	\N	\N	\N
862071	2935	1998-05-03	VYDAJ	VYBER	750	16649	\N	\N	\N
862072	2935	1998-08-06	VYDAJ	VYBER	1440	16019	\N	\N	\N
862073	2935	1998-08-17	VYDAJ	VYBER	570	16499	\N	\N	\N
862084	2935	1995-10-31	VYDAJ	VYBER	15	13635	SLUZBY	\N	\N
862085	2935	1995-11-30	VYDAJ	VYBER	15	14736	SLUZBY	\N	\N
862086	2935	1995-12-31	VYDAJ	VYBER	15	14727	SLUZBY	\N	\N
862087	2935	1996-01-31	VYDAJ	VYBER	15	12402	SLUZBY	\N	\N
862088	2935	1996-02-29	VYDAJ	VYBER	15	13492	SLUZBY	\N	\N
862089	2935	1996-03-31	VYDAJ	VYBER	15	14586	SLUZBY	\N	\N
862090	2935	1996-04-30	VYDAJ	VYBER	15	14329	SLUZBY	\N	\N
862091	2935	1996-05-31	VYDAJ	VYBER	15	14711	SLUZBY	\N	\N
862092	2935	1996-06-30	VYDAJ	VYBER	15	14314	SLUZBY	\N	\N
862093	2935	1996-07-31	VYDAJ	VYBER	15	15411	SLUZBY	\N	\N
862094	2935	1996-08-31	VYDAJ	VYBER	15	15250	SLUZBY	\N	\N
862095	2935	1996-09-30	VYDAJ	VYBER	15	16352	SLUZBY	\N	\N
862096	2935	1996-10-31	VYDAJ	VYBER	15	16797	SLUZBY	\N	\N
862097	2935	1996-11-30	VYDAJ	VYBER	15	17905	SLUZBY	\N	\N
862098	2935	1996-12-31	VYDAJ	VYBER	15	18777	SLUZBY	\N	\N
862099	2935	1997-01-31	VYDAJ	VYBER	15	14600	SLUZBY	\N	\N
862100	2935	1997-02-28	VYDAJ	VYBER	15	15699	SLUZBY	\N	\N
862101	2935	1997-03-31	VYDAJ	VYBER	15	16802	SLUZBY	\N	\N
862102	2935	1997-04-30	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
862103	2935	1997-05-31	VYDAJ	VYBER	15	17669	SLUZBY	\N	\N
862104	2935	1997-06-30	VYDAJ	VYBER	15	14484	SLUZBY	\N	\N
862105	2935	1997-07-31	VYDAJ	VYBER	15	15588	SLUZBY	\N	\N
862106	2935	1997-08-31	VYDAJ	VYBER	15	16696	SLUZBY	\N	\N
862107	2935	1997-09-30	VYDAJ	VYBER	15	16365	SLUZBY	\N	\N
862108	2935	1997-10-31	VYDAJ	VYBER	15	17116	SLUZBY	\N	\N
862109	2935	1997-11-30	VYDAJ	VYBER	15	18230	SLUZBY	\N	\N
862110	2935	1997-12-31	VYDAJ	VYBER	15	18778	SLUZBY	\N	\N
862111	2935	1998-01-31	VYDAJ	VYBER	15	14447	SLUZBY	\N	\N
862112	2935	1998-02-28	VYDAJ	VYBER	15	15545	SLUZBY	\N	\N
862113	2935	1998-03-31	VYDAJ	VYBER	15	16653	SLUZBY	\N	\N
862114	2935	1998-04-30	VYDAJ	VYBER	15	17399	SLUZBY	\N	\N
862115	2935	1998-05-31	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
862116	2935	1998-06-30	VYDAJ	VYBER	15	16353	SLUZBY	\N	\N
862117	2935	1998-07-31	VYDAJ	VYBER	15	17459	SLUZBY	\N	\N
862118	2935	1998-08-31	VYDAJ	VYBER	15	16556	SLUZBY	\N	\N
862119	2935	1998-09-30	VYDAJ	VYBER	15	17662	SLUZBY	\N	\N
862120	2935	1998-10-31	VYDAJ	VYBER	15	17961	SLUZBY	\N	\N
862121	2935	1998-11-30	VYDAJ	VYBER	15	19074	SLUZBY	\N	\N
862161	2936	1996-03-27	PRIJEM	VKLAD	200	200	\N	\N	\N
862165	2936	1996-04-09	PRIJEM	VKLAD	6371	6571	\N	\N	\N
862166	2936	1996-05-09	PRIJEM	VKLAD	6371	21653	\N	\N	\N
862167	2936	1996-06-09	PRIJEM	VKLAD	9556	28275	\N	\N	\N
862168	2936	1996-07-09	PRIJEM	VKLAD	6371	31229	\N	\N	\N
862169	2936	1996-08-09	PRIJEM	VKLAD	6371	29906	\N	\N	\N
862170	2936	1996-09-09	PRIJEM	VKLAD	6371	32128	\N	\N	\N
862171	2936	1996-10-09	PRIJEM	VKLAD	6371	23945	\N	\N	\N
862172	2936	1996-11-09	PRIJEM	VKLAD	6371	18912	\N	\N	\N
862173	2936	1996-12-09	PRIJEM	VKLAD	9556	23856	\N	\N	\N
862174	2936	1997-01-09	PRIJEM	VKLAD	6371	21031	\N	\N	\N
862175	2936	1997-02-09	PRIJEM	VKLAD	6371	19793	\N	\N	\N
862176	2936	1997-03-09	PRIJEM	VKLAD	6371	11678	\N	\N	\N
862177	2936	1997-04-09	PRIJEM	VKLAD	6371	22827	\N	\N	\N
862178	2936	1997-05-09	PRIJEM	VKLAD	6371	26207	\N	\N	\N
862179	2936	1997-06-09	PRIJEM	VKLAD	9556	29599	\N	\N	\N
862180	2936	1997-07-09	PRIJEM	VKLAD	6371	31099	\N	\N	\N
862181	2936	1997-08-09	PRIJEM	VKLAD	6371	34411	\N	\N	\N
862182	2936	1997-09-09	PRIJEM	VKLAD	6371	30424	\N	\N	\N
862183	2936	1997-10-09	PRIJEM	VKLAD	6371	30328	\N	\N	\N
862184	2936	1997-11-09	PRIJEM	VKLAD	6371	29529	\N	\N	\N
862185	2936	1997-12-09	PRIJEM	VKLAD	9556	31920	\N	\N	\N
862186	2936	1998-01-09	PRIJEM	VKLAD	6371	24604	\N	\N	\N
862187	2936	1998-02-09	PRIJEM	VKLAD	6371	28594	\N	\N	\N
862188	2936	1998-03-09	PRIJEM	VKLAD	6371	36107	\N	\N	\N
862189	2936	1998-04-09	PRIJEM	VKLAD	6371	38338	\N	\N	\N
862190	2936	1998-05-09	PRIJEM	VKLAD	6371	30984	\N	\N	\N
862191	2936	1998-06-09	PRIJEM	VKLAD	9556	41892	\N	\N	\N
862192	2936	1998-07-09	PRIJEM	VKLAD	6371	42340	\N	\N	\N
862193	2936	1998-08-09	PRIJEM	VKLAD	6371	45059	\N	\N	\N
862194	2936	1998-09-09	PRIJEM	VKLAD	6371	47151	\N	\N	\N
862195	2936	1998-10-09	PRIJEM	VKLAD	6371	53351	\N	\N	\N
862196	2936	1998-11-09	PRIJEM	VKLAD	6371	51848	\N	\N	\N
862197	2936	1998-12-09	PRIJEM	VKLAD	9556	56131	\N	\N	\N
862205	2936	1996-08-13	VYDAJ	PREVOD NA UCET	4247	25659	SIPO	GH	70934575
862206	2936	1996-09-13	VYDAJ	PREVOD NA UCET	4247	27881	SIPO	GH	70934575
862207	2936	1996-10-13	VYDAJ	PREVOD NA UCET	4247	15498	SIPO	GH	70934575
862208	2936	1996-11-13	VYDAJ	PREVOD NA UCET	4247	14665	SIPO	GH	70934575
862209	2936	1996-12-13	VYDAJ	PREVOD NA UCET	4247	19609	SIPO	GH	70934575
862210	2936	1997-01-13	VYDAJ	PREVOD NA UCET	4247	16784	SIPO	GH	70934575
862211	2936	1997-02-13	VYDAJ	PREVOD NA UCET	4247	5286	SIPO	GH	70934575
862212	2936	1997-03-13	VYDAJ	PREVOD NA UCET	4247	7431	SIPO	GH	70934575
862213	2936	1997-04-13	VYDAJ	PREVOD NA UCET	4247	18580	SIPO	GH	70934575
862214	2936	1997-05-13	VYDAJ	PREVOD NA UCET	4247	21960	SIPO	GH	70934575
862215	2936	1997-06-13	VYDAJ	PREVOD NA UCET	4247	25352	SIPO	GH	70934575
862216	2936	1997-07-13	VYDAJ	PREVOD NA UCET	4247	20352	SIPO	GH	70934575
862217	2936	1997-08-13	VYDAJ	PREVOD NA UCET	4247	30164	SIPO	GH	70934575
862218	2936	1997-09-13	VYDAJ	PREVOD NA UCET	4247	18677	SIPO	GH	70934575
862219	2936	1997-10-13	VYDAJ	PREVOD NA UCET	4247	26081	SIPO	GH	70934575
862220	2936	1997-11-13	VYDAJ	PREVOD NA UCET	4247	17182	SIPO	GH	70934575
862221	2936	1997-12-13	VYDAJ	PREVOD NA UCET	4247	27673	SIPO	GH	70934575
862222	2936	1998-01-13	VYDAJ	PREVOD NA UCET	4247	20357	SIPO	GH	70934575
862223	2936	1998-02-13	VYDAJ	PREVOD NA UCET	4247	15947	SIPO	GH	70934575
862224	2936	1998-03-13	VYDAJ	PREVOD NA UCET	4247	23460	SIPO	GH	70934575
862225	2936	1998-04-13	VYDAJ	PREVOD NA UCET	4247	20891	SIPO	GH	70934575
862226	2936	1998-05-13	VYDAJ	PREVOD NA UCET	4247	18337	SIPO	GH	70934575
862227	2936	1998-06-13	VYDAJ	PREVOD NA UCET	4247	29245	SIPO	GH	70934575
862228	2936	1998-07-13	VYDAJ	PREVOD NA UCET	4247	24053	SIPO	GH	70934575
862229	2936	1998-08-13	VYDAJ	PREVOD NA UCET	4247	32412	SIPO	GH	70934575
862230	2936	1998-09-13	VYDAJ	PREVOD NA UCET	4247	46804	SIPO	GH	70934575
862231	2936	1998-10-13	VYDAJ	PREVOD NA UCET	4247	45304	SIPO	GH	70934575
862232	2936	1998-11-13	VYDAJ	PREVOD NA UCET	4247	46401	SIPO	GH	70934575
862233	2936	1998-12-13	VYDAJ	PREVOD NA UCET	4247	46504	SIPO	GH	70934575
862241	2936	1996-08-01	VYDAJ	VYBER	4900	23535	\N	\N	0
862242	2936	1996-09-27	VYDAJ	VYBER	10300	18681	\N	\N	0
862243	2936	1996-10-14	VYDAJ	VYBER	8900	6598	\N	\N	0
862244	2936	1996-11-16	VYDAJ	VYBER	9100	5565	\N	\N	0
862245	2936	1996-12-21	VYDAJ	VYBER	7000	12609	\N	\N	0
862246	2936	1997-01-13	VYDAJ	VYBER	7300	9484	\N	\N	0
862247	2936	1997-02-11	VYDAJ	VYBER	5700	14093	\N	\N	0
862249	2936	1997-04-17	VYDAJ	VYBER	7000	11580	\N	\N	0
862250	2936	1997-05-29	VYDAJ	VYBER	8100	22960	\N	\N	0
862251	2936	1997-06-16	VYDAJ	VYBER	7600	17752	\N	\N	0
862252	2936	1997-07-11	VYDAJ	VYBER	6500	24599	\N	\N	0
862253	2936	1997-08-14	VYDAJ	VYBER	10200	19964	\N	\N	0
862254	2936	1997-09-11	VYDAJ	VYBER	7500	22924	\N	\N	0
862255	2936	1997-10-14	VYDAJ	VYBER	10400	15681	\N	\N	0
862256	2936	1997-11-10	VYDAJ	VYBER	8100	21429	\N	\N	0
862257	2936	1997-12-21	VYDAJ	VYBER	8600	30573	\N	\N	0
862258	2936	1998-01-04	VYDAJ	VYBER	7000	23673	\N	\N	0
862259	2936	1998-02-12	VYDAJ	PREVOD NA UCET	8400	20194	UVER	OP	93174194
862260	2936	1998-03-12	VYDAJ	PREVOD NA UCET	8400	27707	UVER	OP	93174194
862261	2936	1998-04-12	VYDAJ	PREVOD NA UCET	8400	25138	UVER	OP	93174194
862262	2936	1998-05-12	VYDAJ	PREVOD NA UCET	8400	22584	UVER	OP	93174194
862263	2936	1998-06-12	VYDAJ	PREVOD NA UCET	8400	33492	UVER	OP	93174194
862264	2936	1998-07-12	VYDAJ	PREVOD NA UCET	8400	28300	UVER	OP	93174194
862265	2936	1998-08-12	VYDAJ	PREVOD NA UCET	8400	36659	UVER	OP	93174194
862266	2936	1998-09-12	VYDAJ	PREVOD NA UCET	8400	38751	UVER	OP	93174194
862267	2936	1998-10-12	VYDAJ	PREVOD NA UCET	8400	44951	UVER	OP	93174194
862268	2936	1998-11-12	VYDAJ	PREVOD NA UCET	8400	50648	UVER	OP	93174194
862269	2936	1998-12-12	VYDAJ	PREVOD NA UCET	8400	50751	UVER	OP	93174194
862275	2936	1998-01-07	VYDAJ	VYBER	2080	18233	\N	\N	\N
862278	2936	1998-12-11	VYDAJ	VYBER	1280	54851	\N	\N	\N
862291	2936	1998-01-06	VYDAJ	VYBER	3360	20313	\N	\N	\N
862294	2936	1998-01-28	VYDAJ	VYBER	1920	22137	\N	\N	\N
862295	2936	1998-01-21	VYDAJ	VYBER	1920	24057	\N	\N	\N
862296	2936	1998-01-18	VYDAJ	VYBER	1680	25977	\N	\N	\N
862300	2936	1996-10-05	VYDAJ	VYBER	1200	17574	\N	\N	\N
862301	2936	1996-10-12	VYDAJ	VYBER	4200	19745	\N	\N	\N
862306	2936	1997-05-31	VYDAJ	VYBER	3000	20057	\N	\N	\N
862307	2936	1997-02-12	VYDAJ	VYBER	4560	9533	\N	\N	\N
862309	2936	1997-11-27	VYDAJ	VYBER	4800	22282	\N	\N	\N
862310	2936	1998-07-09	VYDAJ	VYBER	5640	36700	\N	\N	\N
862311	2936	1998-04-28	VYDAJ	VYBER	4080	24511	\N	\N	\N
862313	2936	1998-04-10	VYDAJ	VYBER	4800	33538	\N	\N	\N
862314	2936	1998-12-28	VYDAJ	VYBER	1440	45064	\N	\N	\N
862315	2936	1998-08-20	VYDAJ	VYBER	1680	40632	\N	\N	\N
862324	2936	1996-08-31	VYDAJ	VYBER	15	25757	SLUZBY	\N	\N
862325	2936	1996-09-30	VYDAJ	VYBER	15	18774	SLUZBY	\N	\N
862326	2936	1996-10-31	VYDAJ	VYBER	15	12541	SLUZBY	\N	\N
862327	2936	1996-11-30	VYDAJ	VYBER	15	14300	SLUZBY	\N	\N
862328	2936	1996-12-31	VYDAJ	VYBER	15	14660	SLUZBY	\N	\N
862329	2936	1997-01-31	VYDAJ	VYBER	15	13422	SLUZBY	\N	\N
862330	2936	1997-02-28	VYDAJ	VYBER	15	5307	SLUZBY	\N	\N
862331	2936	1997-03-31	VYDAJ	VYBER	15	16456	SLUZBY	\N	\N
862332	2936	1997-04-30	VYDAJ	VYBER	15	19836	SLUZBY	\N	\N
862333	2936	1997-05-31	VYDAJ	VYBER	15	20043	SLUZBY	\N	\N
862334	2936	1997-06-30	VYDAJ	VYBER	15	24728	SLUZBY	\N	\N
862335	2936	1997-07-31	VYDAJ	VYBER	15	28040	SLUZBY	\N	\N
862336	2936	1997-08-31	VYDAJ	VYBER	15	24053	SLUZBY	\N	\N
862337	2936	1997-09-30	VYDAJ	VYBER	15	23957	SLUZBY	\N	\N
862338	2936	1997-10-31	VYDAJ	VYBER	15	23158	SLUZBY	\N	\N
862339	2936	1997-11-30	VYDAJ	VYBER	15	22364	SLUZBY	\N	\N
862340	2936	1997-12-31	VYDAJ	VYBER	15	30673	SLUZBY	\N	\N
862341	2936	1998-01-31	VYDAJ	VYBER	15	22223	SLUZBY	\N	\N
862342	2936	1998-02-28	VYDAJ	VYBER	15	29736	SLUZBY	\N	\N
862343	2936	1998-03-31	VYDAJ	VYBER	15	31967	SLUZBY	\N	\N
862344	2936	1998-04-30	VYDAJ	VYBER	15	24613	SLUZBY	\N	\N
862345	2936	1998-05-31	VYDAJ	VYBER	15	32336	SLUZBY	\N	\N
862346	2936	1998-06-30	VYDAJ	VYBER	15	35969	SLUZBY	\N	\N
862347	2936	1998-07-31	VYDAJ	VYBER	15	38688	SLUZBY	\N	\N
862348	2936	1998-08-31	VYDAJ	VYBER	15	40780	SLUZBY	\N	\N
862349	2936	1998-09-30	VYDAJ	VYBER	15	46980	SLUZBY	\N	\N
862350	2936	1998-10-31	VYDAJ	VYBER	15	45477	SLUZBY	\N	\N
862351	2936	1998-11-30	VYDAJ	VYBER	15	46575	SLUZBY	\N	\N
862352	2936	1996-04-26	PRIJEM	VKLAD	8700	15271	\N	\N	\N
862353	2936	1996-05-26	VYDAJ	VYBER	3000	18653	\N	\N	\N
862354	2936	1996-06-25	VYDAJ	VYBER	3500	24775	\N	\N	\N
862355	2936	1996-07-25	VYDAJ	VYBER	2900	28329	\N	\N	\N
862356	2936	1996-09-23	PRIJEM	VKLAD	1100	28981	\N	\N	\N
862357	2936	1996-10-23	PRIJEM	VKLAD	5900	12498	\N	\N	\N
862358	2936	1996-11-22	PRIJEM	VKLAD	8700	14265	\N	\N	\N
862359	2936	1996-12-22	PRIJEM	VKLAD	2000	14609	\N	\N	\N
862360	2936	1997-01-21	PRIJEM	VKLAD	3900	13384	\N	\N	\N
862361	2936	1997-03-22	PRIJEM	VKLAD	9000	16431	\N	\N	\N
862362	2936	1997-04-21	PRIJEM	VKLAD	8200	19780	\N	\N	\N
862363	2936	1997-05-21	PRIJEM	VKLAD	9100	31060	\N	\N	\N
862364	2936	1997-06-20	PRIJEM	VKLAD	6900	24652	\N	\N	\N
862365	2936	1997-07-20	PRIJEM	VKLAD	7600	27952	\N	\N	\N
862366	2936	1997-08-19	PRIJEM	VKLAD	4000	23964	\N	\N	\N
862367	2936	1997-09-18	PRIJEM	VKLAD	5200	23877	\N	\N	\N
862368	2936	1997-10-18	PRIJEM	VKLAD	7400	23081	\N	\N	\N
862369	2936	1997-11-17	PRIJEM	VKLAD	9900	27082	\N	\N	\N
862370	2936	1997-12-17	PRIJEM	VKLAD	11500	39173	\N	\N	\N
862371	2936	1998-01-16	PRIJEM	VKLAD	7300	27657	\N	\N	\N
862372	2936	1998-02-15	PRIJEM	VKLAD	13700	29647	\N	\N	\N
862373	2936	1998-03-17	PRIJEM	VKLAD	8400	31860	\N	\N	\N
862374	2936	1998-04-16	PRIJEM	VKLAD	7700	28591	\N	\N	\N
862375	2936	1998-05-16	PRIJEM	VKLAD	13900	32237	\N	\N	\N
862376	2936	1998-06-15	PRIJEM	VKLAD	6600	35845	\N	\N	\N
862377	2936	1998-07-15	PRIJEM	VKLAD	14500	38553	\N	\N	\N
862378	2936	1998-08-14	PRIJEM	VKLAD	9900	42312	\N	\N	\N
862379	2936	1998-09-13	PRIJEM	VKLAD	12300	51051	\N	\N	\N
862380	2936	1998-10-13	PRIJEM	VKLAD	4600	49551	\N	\N	\N
862381	2936	1998-11-12	PRIJEM	VKLAD	7200	59048	\N	\N	\N
862382	2936	1998-12-12	PRIJEM	VKLAD	4300	59151	\N	\N	\N
862418	2937	1997-02-25	PRIJEM	VKLAD	800	800	\N	\N	\N
862421	2937	1997-03-13	PRIJEM	PREVOD Z UCTU	4845	5645	DUCHOD	AB	66224288
862422	2937	1997-04-13	PRIJEM	PREVOD Z UCTU	4845	10490	DUCHOD	AB	66224288
862423	2937	1997-05-13	PRIJEM	PREVOD Z UCTU	4845	15335	DUCHOD	AB	66224288
862424	2937	1997-06-13	PRIJEM	PREVOD Z UCTU	4845	20180	DUCHOD	AB	66224288
862425	2937	1997-07-13	PRIJEM	PREVOD Z UCTU	4845	25025	DUCHOD	AB	66224288
862426	2937	1997-08-13	PRIJEM	PREVOD Z UCTU	4845	20620	DUCHOD	AB	66224288
862427	2937	1997-09-13	PRIJEM	PREVOD Z UCTU	4845	18099	DUCHOD	AB	66224288
862428	2937	1997-10-13	PRIJEM	PREVOD Z UCTU	4845	16568	DUCHOD	AB	66224288
862429	2937	1997-11-13	PRIJEM	PREVOD Z UCTU	4845	15231	DUCHOD	AB	66224288
862430	2937	1997-12-13	PRIJEM	PREVOD Z UCTU	4845	16643	DUCHOD	AB	66224288
862431	2937	1998-01-13	PRIJEM	PREVOD Z UCTU	4845	13981	DUCHOD	AB	66224288
862432	2937	1998-02-13	PRIJEM	PREVOD Z UCTU	4845	14915	DUCHOD	AB	66224288
862433	2937	1998-03-13	PRIJEM	PREVOD Z UCTU	4845	15774	DUCHOD	AB	66224288
862434	2937	1998-04-13	PRIJEM	PREVOD Z UCTU	4845	13932	DUCHOD	AB	66224288
862435	2937	1998-05-13	PRIJEM	PREVOD Z UCTU	4845	15588	DUCHOD	AB	66224288
862436	2937	1998-06-13	PRIJEM	PREVOD Z UCTU	4845	12883	DUCHOD	AB	66224288
862437	2937	1998-07-13	PRIJEM	PREVOD Z UCTU	4845	14535	DUCHOD	AB	66224288
862438	2937	1998-08-13	PRIJEM	PREVOD Z UCTU	4845	13489	DUCHOD	AB	66224288
862439	2937	1998-09-13	PRIJEM	PREVOD Z UCTU	4845	15143	DUCHOD	AB	66224288
862440	2937	1998-10-13	PRIJEM	PREVOD Z UCTU	4845	13497	DUCHOD	AB	66224288
862441	2937	1998-11-13	PRIJEM	PREVOD Z UCTU	4845	15151	DUCHOD	AB	66224288
862442	2937	1998-12-13	PRIJEM	PREVOD Z UCTU	4845	12203	DUCHOD	AB	66224288
862450	2937	1997-08-06	VYDAJ	PREVOD NA UCET	3230	15775	SIPO	IJ	18161338
862451	2937	1997-09-06	VYDAJ	PREVOD NA UCET	3230	13254	SIPO	IJ	18161338
862452	2937	1997-10-06	VYDAJ	PREVOD NA UCET	3230	11723	SIPO	IJ	18161338
862453	2937	1997-11-06	VYDAJ	PREVOD NA UCET	3230	10386	SIPO	IJ	18161338
862454	2937	1997-12-06	VYDAJ	PREVOD NA UCET	3230	11798	SIPO	IJ	18161338
862455	2937	1998-01-06	VYDAJ	PREVOD NA UCET	3230	9136	SIPO	IJ	18161338
862456	2937	1998-02-06	VYDAJ	PREVOD NA UCET	3230	10070	SIPO	IJ	18161338
862457	2937	1998-03-06	VYDAJ	PREVOD NA UCET	3230	10929	SIPO	IJ	18161338
862458	2937	1998-04-06	VYDAJ	PREVOD NA UCET	3230	9087	SIPO	IJ	18161338
862459	2937	1998-05-06	VYDAJ	PREVOD NA UCET	3230	10743	SIPO	IJ	18161338
862460	2937	1998-06-06	VYDAJ	PREVOD NA UCET	3230	8038	SIPO	IJ	18161338
862461	2937	1998-07-06	VYDAJ	PREVOD NA UCET	3230	9690	SIPO	IJ	18161338
862462	2937	1998-08-06	VYDAJ	PREVOD NA UCET	3230	8644	SIPO	IJ	18161338
862463	2937	1998-09-06	VYDAJ	PREVOD NA UCET	3230	10298	SIPO	IJ	18161338
862464	2937	1998-10-06	VYDAJ	PREVOD NA UCET	3230	8652	SIPO	IJ	18161338
862465	2937	1998-11-06	VYDAJ	PREVOD NA UCET	3230	10306	SIPO	IJ	18161338
862466	2937	1998-12-06	VYDAJ	PREVOD NA UCET	3230	7358	SIPO	IJ	18161338
862471	2937	1997-12-06	VYDAJ	VYBER	250	15028	\N	\N	\N
862479	2937	1998-01-16	VYDAJ	VYBER	720	13261	\N	\N	\N
862485	2937	1997-12-18	VYDAJ	VYBER	2400	14243	\N	\N	\N
862486	2937	1997-07-13	VYDAJ	VYBER	2560	22465	\N	\N	\N
862487	2937	1997-12-25	VYDAJ	VYBER	1920	12323	\N	\N	\N
862491	2937	1998-05-13	VYDAJ	VYBER	960	14628	\N	\N	\N
862499	2937	1997-07-31	VYDAJ	VYBER	15	19005	SLUZBY	\N	\N
862500	2937	1997-08-31	VYDAJ	VYBER	15	16484	SLUZBY	\N	\N
862501	2937	1997-09-30	VYDAJ	VYBER	15	14953	SLUZBY	\N	\N
862502	2937	1997-10-31	VYDAJ	VYBER	15	13616	SLUZBY	\N	\N
862503	2937	1997-11-30	VYDAJ	VYBER	15	15278	SLUZBY	\N	\N
862504	2937	1997-12-31	VYDAJ	VYBER	15	12366	SLUZBY	\N	\N
862505	2937	1998-01-31	VYDAJ	VYBER	15	13300	SLUZBY	\N	\N
862506	2937	1998-02-28	VYDAJ	VYBER	15	14159	SLUZBY	\N	\N
862507	2937	1998-03-31	VYDAJ	VYBER	15	12317	SLUZBY	\N	\N
862508	2937	1998-04-30	VYDAJ	VYBER	15	13973	SLUZBY	\N	\N
862509	2937	1998-05-31	VYDAJ	VYBER	15	11268	SLUZBY	\N	\N
862510	2937	1998-06-30	VYDAJ	VYBER	15	12920	SLUZBY	\N	\N
862511	2937	1998-07-31	VYDAJ	VYBER	15	11874	SLUZBY	\N	\N
862512	2937	1998-08-31	VYDAJ	VYBER	15	13528	SLUZBY	\N	\N
862513	2937	1998-09-30	VYDAJ	VYBER	15	11882	SLUZBY	\N	\N
862514	2937	1998-10-31	VYDAJ	VYBER	15	13536	SLUZBY	\N	\N
862515	2937	1998-11-30	VYDAJ	VYBER	15	10588	SLUZBY	\N	\N
862516	2937	1997-07-25	VYDAJ	VYBER	3500	18965	\N	\N	\N
862517	2937	1997-08-24	VYDAJ	VYBER	4200	16420	\N	\N	\N
862518	2937	1997-09-23	VYDAJ	VYBER	3200	14899	\N	\N	\N
862519	2937	1997-10-23	VYDAJ	VYBER	3000	13568	\N	\N	\N
862520	2937	1998-02-20	VYDAJ	VYBER	800	14115	\N	\N	\N
862521	2937	1998-03-22	VYDAJ	VYBER	3500	12274	\N	\N	\N
862522	2937	1998-05-21	VYDAJ	VYBER	3400	11228	\N	\N	\N
862523	2937	1998-07-20	VYDAJ	VYBER	2700	11835	\N	\N	\N
862524	2937	1998-09-18	VYDAJ	VYBER	3300	11843	\N	\N	\N
862525	2937	1998-11-17	VYDAJ	VYBER	4600	10551	\N	\N	\N
862544	2938	1993-08-04	PRIJEM	VKLAD	400	400	\N	\N	\N
862545	2938	1993-08-21	PRIJEM	VKLAD	24451	63296	\N	\N	\N
862547	2938	1993-10-25	PRIJEM	VKLAD	9737	51400	\N	\N	\N
862549	2938	1993-12-20	PRIJEM	VKLAD	5002	21615	\N	\N	\N
862550	2938	1993-09-20	PRIJEM	VKLAD	9958	56310	\N	\N	\N
862553	2938	1993-08-09	PRIJEM	VKLAD	38445	38845	\N	\N	\N
862560	2938	1993-10-31	PRIJEM	VKLAD	30804	82439	\N	\N	\N
862562	2938	1994-07-30	PRIJEM	VKLAD	39334	76740	\N	\N	\N
862563	2938	1994-01-04	PRIJEM	VKLAD	23499	46189	\N	\N	\N
862564	2938	1994-07-07	PRIJEM	VKLAD	10331	53557	\N	\N	\N
862565	2938	1994-03-12	PRIJEM	VKLAD	43396	67463	\N	\N	\N
862566	2938	1994-02-14	PRIJEM	VKLAD	17684	31374	\N	\N	\N
862567	2938	1994-03-15	PRIJEM	VKLAD	49123	116586	\N	\N	\N
862568	2938	1994-12-17	PRIJEM	VKLAD	20207	101186	\N	\N	\N
862569	2938	1994-09-06	PRIJEM	VKLAD	35640	100198	\N	\N	\N
862570	2938	1994-07-01	PRIJEM	VKLAD	23165	49984	\N	\N	\N
862571	2938	1994-05-31	PRIJEM	VKLAD	10960	77391	\N	\N	\N
862572	2938	1994-05-10	PRIJEM	VKLAD	14290	47939	\N	\N	\N
862573	2938	1994-09-10	PRIJEM	VKLAD	5287	101201	\N	\N	\N
862574	2938	1994-11-07	PRIJEM	VKLAD	46044	116545	\N	\N	\N
862575	2938	1994-12-24	PRIJEM	VKLAD	46407	147593	\N	\N	\N
862576	2938	1994-10-03	PRIJEM	VKLAD	14136	66440	\N	\N	\N
862577	2938	1994-10-16	PRIJEM	VKLAD	11332	66730	\N	\N	\N
862578	2938	1994-04-17	PRIJEM	VKLAD	32290	63152	\N	\N	\N
862579	2938	1994-10-29	PRIJEM	VKLAD	29186	77016	\N	\N	\N
862580	2938	1994-06-05	PRIJEM	VKLAD	8254	57331	\N	\N	\N
862581	2938	1994-05-17	PRIJEM	VKLAD	40350	129364	\N	\N	\N
862582	2938	1994-05-15	PRIJEM	VKLAD	41075	89014	\N	\N	\N
862583	2938	1994-12-11	PRIJEM	VKLAD	41849	80979	\N	\N	\N
862584	2938	1994-05-05	PRIJEM	VKLAD	19605	62390	\N	\N	\N
862585	2938	1994-03-02	PRIJEM	VKLAD	28994	48709	\N	\N	\N
862586	2938	1994-08-05	PRIJEM	VKLAD	42274	93368	\N	\N	\N
862587	2938	1994-11-30	PRIJEM	VKLAD	38274	88319	\N	\N	\N
862588	2938	1994-09-01	PRIJEM	VKLAD	38103	71316	\N	\N	\N
862589	2938	1994-09-18	PRIJEM	VKLAD	21495	122696	\N	\N	\N
862590	2938	1994-12-03	PRIJEM	VKLAD	28967	117272	\N	\N	\N
862591	2938	1995-11-05	PRIJEM	VKLAD	22241	75166	\N	\N	\N
862592	2938	1995-02-27	PRIJEM	VKLAD	17919	78382	\N	\N	\N
862593	2938	1995-10-10	PRIJEM	VKLAD	45658	64864	\N	\N	\N
862594	2938	1995-02-06	PRIJEM	VKLAD	17497	92147	\N	\N	\N
862595	2938	1995-06-19	PRIJEM	VKLAD	31247	115612	\N	\N	\N
862596	2938	1995-03-05	PRIJEM	VKLAD	17277	98679	\N	\N	\N
862597	2938	1995-12-08	PRIJEM	VKLAD	24624	56855	\N	\N	\N
862598	2938	1995-09-11	PRIJEM	VKLAD	5944	31733	\N	\N	\N
862599	2938	1995-03-02	PRIJEM	VKLAD	42096	120802	\N	\N	\N
862600	2938	1995-07-27	PRIJEM	VKLAD	23383	78240	\N	\N	\N
862601	2938	1995-05-29	PRIJEM	VKLAD	20737	43993	\N	\N	\N
862602	2938	1995-03-28	PRIJEM	VKLAD	26375	87696	\N	\N	\N
862603	2938	1995-10-12	PRIJEM	VKLAD	49713	114577	\N	\N	\N
862604	2938	1995-11-19	PRIJEM	VKLAD	35557	99681	\N	\N	\N
862605	2938	1995-02-05	PRIJEM	VKLAD	27867	81408	\N	\N	\N
862606	2938	1995-11-25	PRIJEM	VKLAD	23618	89799	\N	\N	\N
862607	2938	1995-12-02	PRIJEM	VKLAD	7538	97624	\N	\N	\N
862608	2938	1995-07-25	PRIJEM	VKLAD	39758	78057	\N	\N	\N
862609	2938	1995-12-05	PRIJEM	VKLAD	9649	107273	\N	\N	\N
862610	2938	1995-01-04	PRIJEM	VKLAD	30389	94380	\N	\N	\N
862611	2938	1995-06-15	PRIJEM	VKLAD	30027	84365	\N	\N	\N
862612	2938	1995-06-05	PRIJEM	VKLAD	31087	75280	\N	\N	\N
862613	2938	1995-05-06	PRIJEM	VKLAD	11985	59740	\N	\N	\N
862614	2938	1995-07-09	PRIJEM	VKLAD	9797	38299	\N	\N	\N
862615	2938	1995-01-06	PRIJEM	VKLAD	10150	84272	\N	\N	\N
862616	2938	1995-03-13	PRIJEM	VKLAD	36284	123921	\N	\N	\N
862617	2938	1995-10-18	PRIJEM	VKLAD	5541	77218	\N	\N	\N
862618	2938	1996-12-05	PRIJEM	VKLAD	28951	68645	\N	\N	\N
862619	2938	1996-11-30	PRIJEM	VKLAD	27665	61605	\N	\N	\N
862620	2938	1996-11-06	PRIJEM	VKLAD	48846	70040	\N	\N	\N
862621	2938	1996-05-09	PRIJEM	VKLAD	16730	37249	\N	\N	\N
862622	2938	1996-04-13	PRIJEM	VKLAD	40455	53200	\N	\N	\N
862623	2938	1997-10-05	PRIJEM	VKLAD	38449	112003	\N	\N	\N
862624	2938	1997-09-20	PRIJEM	VKLAD	12807	79865	\N	\N	\N
862625	2938	1997-03-03	PRIJEM	VKLAD	13277	92903	\N	\N	\N
862626	2938	1997-03-13	PRIJEM	VKLAD	6275	55752	\N	\N	\N
862627	2938	1997-12-13	PRIJEM	VKLAD	44601	87060	\N	\N	\N
862628	2938	1997-09-05	PRIJEM	VKLAD	19177	125700	\N	\N	\N
862629	2938	1997-03-12	PRIJEM	VKLAD	34623	116484	\N	\N	\N
862630	2938	1997-01-12	PRIJEM	VKLAD	9461	37794	\N	\N	\N
862631	2938	1997-10-25	PRIJEM	VKLAD	37991	109552	\N	\N	\N
862632	2938	1997-08-27	PRIJEM	VKLAD	47090	80509	\N	\N	\N
862633	2938	1997-07-13	PRIJEM	VKLAD	37503	74411	\N	\N	\N
862634	2938	1997-01-21	PRIJEM	VKLAD	5373	68628	\N	\N	\N
862635	2938	1997-01-13	PRIJEM	VKLAD	46061	83855	\N	\N	\N
862636	2938	1997-09-05	PRIJEM	VKLAD	28540	106523	\N	\N	\N
862637	2938	1997-06-24	PRIJEM	VKLAD	39871	66175	\N	\N	\N
862638	2938	1997-12-29	PRIJEM	VKLAD	20574	99534	\N	\N	\N
862639	2938	1997-02-28	PRIJEM	VKLAD	37898	79640	\N	\N	\N
862640	2938	1998-03-03	PRIJEM	VKLAD	41314	143229	\N	\N	\N
862641	2938	1998-04-13	PRIJEM	VKLAD	26733	136326	\N	\N	\N
862642	2938	1998-09-14	PRIJEM	VKLAD	43124	127056	\N	\N	\N
862643	2938	1998-09-11	PRIJEM	VKLAD	11754	83932	\N	\N	\N
862644	2938	1998-09-15	PRIJEM	VKLAD	31916	87959	\N	\N	\N
862645	2938	1998-01-22	PRIJEM	VKLAD	33254	125549	\N	\N	\N
862646	2938	1998-01-20	PRIJEM	VKLAD	21702	92295	\N	\N	\N
862647	2938	1998-11-24	PRIJEM	VKLAD	42948	88454	\N	\N	\N
862648	2938	1998-02-24	PRIJEM	VKLAD	33566	104532	\N	\N	\N
862649	2938	1998-07-04	PRIJEM	VKLAD	11233	73464	\N	\N	\N
862650	2938	1998-03-14	PRIJEM	VKLAD	31686	114182	\N	\N	\N
862651	2938	1998-04-23	PRIJEM	VKLAD	26320	137649	\N	\N	\N
862652	2938	1998-09-16	PRIJEM	VKLAD	5592	110356	\N	\N	\N
862653	2938	1998-07-11	PRIJEM	VKLAD	44628	96850	\N	\N	\N
862654	2938	1998-04-08	PRIJEM	VKLAD	18692	99157	\N	\N	\N
862655	2938	1998-01-19	PRIJEM	VKLAD	12427	70593	\N	\N	\N
862656	2938	1998-07-19	PRIJEM	VKLAD	43026	139876	\N	\N	\N
862657	2938	1998-08-05	PRIJEM	VKLAD	43725	125077	\N	\N	\N
862658	2938	1998-08-02	PRIJEM	VKLAD	30292	91505	\N	\N	\N
862659	2938	1998-01-30	PRIJEM	VKLAD	24408	100957	\N	\N	\N
862660	2938	1998-04-14	PRIJEM	VKLAD	39103	111329	\N	\N	\N
862661	2938	1998-04-11	PRIJEM	VKLAD	37636	109593	\N	\N	\N
862662	2938	1998-03-10	PRIJEM	VKLAD	13509	110596	\N	\N	\N
862663	2938	1998-09-09	PRIJEM	VKLAD	35478	72178	\N	\N	\N
862664	2938	1998-06-28	PRIJEM	VKLAD	22760	62024	\N	\N	\N
862665	2938	1998-09-15	PRIJEM	VKLAD	16805	104764	\N	\N	\N
862748	2938	1993-11-07	VYDAJ	PREVOD NA UCET	1996	42870	SIPO	MN	35517573
862749	2938	1993-12-07	VYDAJ	PREVOD NA UCET	1996	16613	SIPO	MN	35517573
862750	2938	1994-01-07	VYDAJ	PREVOD NA UCET	1996	35147	SIPO	MN	35517573
862751	2938	1994-02-07	VYDAJ	PREVOD NA UCET	1996	15978	SIPO	MN	35517573
862752	2938	1994-03-07	VYDAJ	PREVOD NA UCET	1996	26355	SIPO	MN	35517573
862753	2938	1994-04-07	VYDAJ	PREVOD NA UCET	1996	47550	SIPO	MN	35517573
862754	2938	1994-05-07	VYDAJ	PREVOD NA UCET	1996	33649	SIPO	MN	35517573
862755	2938	1994-06-07	VYDAJ	PREVOD NA UCET	1996	48577	SIPO	MN	35517573
862756	2938	1994-07-07	VYDAJ	PREVOD NA UCET	1996	51561	SIPO	MN	35517573
862757	2938	1994-08-07	VYDAJ	PREVOD NA UCET	1996	82326	SIPO	MN	35517573
862758	2938	1994-09-07	VYDAJ	PREVOD NA UCET	1996	95914	SIPO	MN	35517573
862759	2938	1994-10-07	VYDAJ	PREVOD NA UCET	1996	55398	SIPO	MN	35517573
862760	2938	1994-11-07	VYDAJ	PREVOD NA UCET	1996	112261	SIPO	MN	35517573
862761	2938	1994-12-07	VYDAJ	PREVOD NA UCET	1996	39130	SIPO	MN	35517573
862762	2938	1995-01-07	VYDAJ	PREVOD NA UCET	1996	79988	SIPO	MN	35517573
862763	2938	1995-02-07	VYDAJ	PREVOD NA UCET	1996	87863	SIPO	MN	35517573
862764	2938	1995-03-07	VYDAJ	PREVOD NA UCET	1996	87637	SIPO	MN	35517573
862765	2938	1995-04-07	VYDAJ	PREVOD NA UCET	1996	79302	SIPO	MN	35517573
862766	2938	1995-05-07	VYDAJ	PREVOD NA UCET	1996	57744	SIPO	MN	35517573
862767	2938	1995-06-07	VYDAJ	PREVOD NA UCET	1996	64238	SIPO	MN	35517573
862768	2938	1995-07-07	VYDAJ	PREVOD NA UCET	1996	30790	SIPO	MN	35517573
862769	2938	1995-08-07	VYDAJ	PREVOD NA UCET	1996	69665	SIPO	MN	35517573
862770	2938	1995-09-07	VYDAJ	PREVOD NA UCET	1996	25789	SIPO	MN	35517573
862771	2938	1995-10-07	VYDAJ	PREVOD NA UCET	1996	21494	SIPO	MN	35517573
862772	2938	1995-11-07	VYDAJ	PREVOD NA UCET	1996	64124	SIPO	MN	35517573
862773	2938	1995-12-07	VYDAJ	PREVOD NA UCET	1996	34519	SIPO	MN	35517573
862774	2938	1996-01-07	VYDAJ	PREVOD NA UCET	1996	29323	SIPO	MN	35517573
862775	2938	1996-02-07	VYDAJ	PREVOD NA UCET	1996	16693	SIPO	MN	35517573
862776	2938	1996-03-07	VYDAJ	PREVOD NA UCET	1996	11125	SIPO	MN	35517573
862777	2938	1996-04-07	VYDAJ	PREVOD NA UCET	1996	12745	SIPO	MN	35517573
862778	2938	1996-05-07	VYDAJ	PREVOD NA UCET	1996	20519	SIPO	MN	35517573
862779	2938	1996-06-07	VYDAJ	PREVOD NA UCET	1996	16013	SIPO	MN	35517573
862780	2938	1996-07-07	VYDAJ	PREVOD NA UCET	1996	16740	SIPO	MN	35517573
862781	2938	1996-08-07	VYDAJ	PREVOD NA UCET	1996	17771	SIPO	MN	35517573
862782	2938	1996-09-07	VYDAJ	PREVOD NA UCET	1996	19910	SIPO	MN	35517573
862783	2938	1996-10-07	VYDAJ	PREVOD NA UCET	1996	18956	SIPO	MN	35517573
862784	2938	1996-11-07	VYDAJ	PREVOD NA UCET	1996	65756	SIPO	MN	35517573
862785	2938	1996-12-07	VYDAJ	PREVOD NA UCET	1996	50103	SIPO	MN	35517573
862786	2938	1997-01-07	VYDAJ	PREVOD NA UCET	1996	30621	SIPO	MN	35517573
862787	2938	1997-02-07	VYDAJ	PREVOD NA UCET	1996	55585	SIPO	MN	35517573
862788	2938	1997-03-07	VYDAJ	PREVOD NA UCET	1996	84149	SIPO	MN	35517573
862789	2938	1997-04-07	VYDAJ	PREVOD NA UCET	1996	38340	SIPO	MN	35517573
862790	2938	1997-05-07	VYDAJ	PREVOD NA UCET	1996	25235	SIPO	MN	35517573
862791	2938	1997-06-07	VYDAJ	PREVOD NA UCET	1996	17904	SIPO	MN	35517573
862792	2938	1997-07-07	VYDAJ	PREVOD NA UCET	1996	36908	SIPO	MN	35517573
862793	2938	1997-08-07	VYDAJ	PREVOD NA UCET	1996	34719	SIPO	MN	35517573
862794	2938	1997-09-07	VYDAJ	PREVOD NA UCET	1996	96058	SIPO	MN	35517573
862795	2938	1997-10-07	VYDAJ	PREVOD NA UCET	1996	103249	SIPO	MN	35517573
862796	2938	1997-11-07	VYDAJ	PREVOD NA UCET	1996	91054	SIPO	MN	35517573
862797	2938	1997-12-07	VYDAJ	PREVOD NA UCET	1996	35847	SIPO	MN	35517573
862798	2938	1998-01-07	VYDAJ	PREVOD NA UCET	1996	68066	SIPO	MN	35517573
862799	2938	1998-02-07	VYDAJ	PREVOD NA UCET	1996	92554	SIPO	MN	35517573
862800	2938	1998-03-07	VYDAJ	PREVOD NA UCET	1996	97087	SIPO	MN	35517573
862801	2938	1998-04-07	VYDAJ	PREVOD NA UCET	1996	82753	SIPO	MN	35517573
862802	2938	1998-05-07	VYDAJ	PREVOD NA UCET	1996	88888	SIPO	MN	35517573
862803	2938	1998-06-07	VYDAJ	PREVOD NA UCET	1996	56752	SIPO	MN	35517573
862804	2938	1998-07-07	VYDAJ	PREVOD NA UCET	1996	64710	SIPO	MN	35517573
862805	2938	1998-08-07	VYDAJ	PREVOD NA UCET	1996	58023	SIPO	MN	35517573
862806	2938	1998-09-07	VYDAJ	PREVOD NA UCET	1996	38988	SIPO	MN	35517573
862807	2938	1998-10-07	VYDAJ	PREVOD NA UCET	1996	99642	SIPO	MN	35517573
862808	2938	1998-11-07	VYDAJ	PREVOD NA UCET	1996	50006	SIPO	MN	35517573
862809	2938	1998-12-07	VYDAJ	PREVOD NA UCET	1996	60942	SIPO	MN	35517573
862820	2938	1993-11-07	VYDAJ	PREVOD NA UCET	2288	40582	 	AB	20103186
862821	2938	1993-12-07	VYDAJ	PREVOD NA UCET	2288	18609	 	AB	20103186
862822	2938	1994-01-07	VYDAJ	PREVOD NA UCET	2288	37143	 	AB	20103186
862823	2938	1994-02-07	VYDAJ	PREVOD NA UCET	2288	13690	 	AB	20103186
862824	2938	1994-03-07	VYDAJ	PREVOD NA UCET	2288	24067	 	AB	20103186
862825	2938	1994-04-07	VYDAJ	PREVOD NA UCET	2288	45262	 	AB	20103186
862826	2938	1994-05-07	VYDAJ	PREVOD NA UCET	2288	35645	 	AB	20103186
862827	2938	1994-06-07	VYDAJ	PREVOD NA UCET	2288	46289	 	AB	20103186
862828	2938	1994-07-07	VYDAJ	PREVOD NA UCET	2288	49273	 	AB	20103186
862829	2938	1994-08-07	VYDAJ	PREVOD NA UCET	2288	84322	 	AB	20103186
862830	2938	1994-09-07	VYDAJ	PREVOD NA UCET	2288	97910	 	AB	20103186
862831	2938	1994-10-07	VYDAJ	PREVOD NA UCET	2288	57394	 	AB	20103186
862832	2938	1994-11-07	VYDAJ	PREVOD NA UCET	2288	114257	 	AB	20103186
862833	2938	1994-12-07	VYDAJ	PREVOD NA UCET	2288	41126	 	AB	20103186
862834	2938	1995-01-07	VYDAJ	PREVOD NA UCET	2288	81984	 	AB	20103186
862835	2938	1995-02-07	VYDAJ	PREVOD NA UCET	2288	89859	 	AB	20103186
862836	2938	1995-03-07	VYDAJ	PREVOD NA UCET	2288	89633	 	AB	20103186
862837	2938	1995-04-07	VYDAJ	PREVOD NA UCET	2288	77014	 	AB	20103186
862838	2938	1995-05-07	VYDAJ	PREVOD NA UCET	2288	55456	 	AB	20103186
862839	2938	1995-06-07	VYDAJ	PREVOD NA UCET	2288	66234	 	AB	20103186
862840	2938	1995-07-07	VYDAJ	PREVOD NA UCET	2288	28502	 	AB	20103186
862841	2938	1995-08-07	VYDAJ	PREVOD NA UCET	2288	67377	 	AB	20103186
862842	2938	1995-09-07	VYDAJ	PREVOD NA UCET	2288	27785	 	AB	20103186
862843	2938	1995-10-07	VYDAJ	PREVOD NA UCET	2288	19206	 	AB	20103186
862844	2938	1995-11-07	VYDAJ	PREVOD NA UCET	2288	66120	 	AB	20103186
862845	2938	1995-12-07	VYDAJ	PREVOD NA UCET	2288	32231	 	AB	20103186
862846	2938	1996-01-07	VYDAJ	PREVOD NA UCET	2288	31319	 	AB	20103186
862847	2938	1996-02-07	VYDAJ	PREVOD NA UCET	2288	18689	 	AB	20103186
862848	2938	1996-03-07	VYDAJ	PREVOD NA UCET	2288	13121	 	AB	20103186
862849	2938	1996-04-07	VYDAJ	PREVOD NA UCET	2288	14741	 	AB	20103186
862850	2938	1996-05-07	VYDAJ	PREVOD NA UCET	2288	22515	 	AB	20103186
862851	2938	1996-06-07	VYDAJ	PREVOD NA UCET	2288	13725	 	AB	20103186
862852	2938	1996-07-07	VYDAJ	PREVOD NA UCET	2288	14452	 	AB	20103186
862853	2938	1996-08-07	VYDAJ	PREVOD NA UCET	2288	15483	 	AB	20103186
862854	2938	1996-09-07	VYDAJ	PREVOD NA UCET	2288	17622	 	AB	20103186
862855	2938	1996-10-07	VYDAJ	PREVOD NA UCET	2288	16668	 	AB	20103186
862856	2938	1996-11-07	VYDAJ	PREVOD NA UCET	2288	67752	 	AB	20103186
862857	2938	1996-12-07	VYDAJ	PREVOD NA UCET	2288	52099	 	AB	20103186
862858	2938	1997-01-07	VYDAJ	PREVOD NA UCET	2288	28333	 	AB	20103186
862859	2938	1997-02-07	VYDAJ	PREVOD NA UCET	2288	53297	 	AB	20103186
862860	2938	1997-03-07	VYDAJ	PREVOD NA UCET	2288	81861	 	AB	20103186
862861	2938	1997-04-07	VYDAJ	PREVOD NA UCET	2288	36052	 	AB	20103186
862862	2938	1997-05-07	VYDAJ	PREVOD NA UCET	2288	22947	 	AB	20103186
862863	2938	1997-06-07	VYDAJ	PREVOD NA UCET	2288	19900	 	AB	20103186
862864	2938	1997-07-07	VYDAJ	PREVOD NA UCET	2288	38904	 	AB	20103186
862865	2938	1997-08-07	VYDAJ	PREVOD NA UCET	2288	36715	 	AB	20103186
862866	2938	1997-09-07	VYDAJ	PREVOD NA UCET	2288	98054	 	AB	20103186
862867	2938	1997-10-07	VYDAJ	PREVOD NA UCET	2288	100961	 	AB	20103186
862868	2938	1997-11-07	VYDAJ	PREVOD NA UCET	2288	93050	 	AB	20103186
862869	2938	1997-12-07	VYDAJ	PREVOD NA UCET	2288	33559	 	AB	20103186
862870	2938	1998-01-07	VYDAJ	PREVOD NA UCET	2288	70062	 	AB	20103186
862871	2938	1998-02-07	VYDAJ	PREVOD NA UCET	2288	90266	 	AB	20103186
862872	2938	1998-03-07	VYDAJ	PREVOD NA UCET	2288	99083	 	AB	20103186
862873	2938	1998-04-07	VYDAJ	PREVOD NA UCET	2288	80465	 	AB	20103186
862874	2938	1998-05-07	VYDAJ	PREVOD NA UCET	2288	86600	 	AB	20103186
862875	2938	1998-06-07	VYDAJ	PREVOD NA UCET	2288	58748	 	AB	20103186
862876	2938	1998-07-07	VYDAJ	PREVOD NA UCET	2288	62422	 	AB	20103186
862877	2938	1998-08-07	VYDAJ	PREVOD NA UCET	2288	55735	 	AB	20103186
862878	2938	1998-09-07	VYDAJ	PREVOD NA UCET	2288	36700	 	AB	20103186
862879	2938	1998-10-07	VYDAJ	PREVOD NA UCET	2288	101638	 	AB	20103186
862880	2938	1998-11-07	VYDAJ	PREVOD NA UCET	2288	52002	 	AB	20103186
862881	2938	1998-12-07	VYDAJ	PREVOD NA UCET	2288	58654	 	AB	20103186
862892	2938	1993-11-05	VYDAJ	PREVOD NA UCET	6758	44866	POJISTNE	KL	39321178
862893	2938	1993-12-05	VYDAJ	PREVOD NA UCET	6758	20897	POJISTNE	KL	39321178
862894	2938	1994-01-05	VYDAJ	PREVOD NA UCET	6758	39431	POJISTNE	KL	39321178
862895	2938	1994-02-05	VYDAJ	PREVOD NA UCET	6758	17974	POJISTNE	KL	39321178
862896	2938	1994-03-05	VYDAJ	PREVOD NA UCET	6758	28351	POJISTNE	KL	39321178
862897	2938	1994-04-05	VYDAJ	PREVOD NA UCET	6758	49546	POJISTNE	KL	39321178
862898	2938	1994-05-05	VYDAJ	PREVOD NA UCET	6758	37933	POJISTNE	KL	39321178
862899	2938	1994-06-05	VYDAJ	PREVOD NA UCET	6758	50573	POJISTNE	KL	39321178
862900	2938	1994-07-05	VYDAJ	PREVOD NA UCET	6758	43226	POJISTNE	KL	39321178
862901	2938	1994-08-05	VYDAJ	PREVOD NA UCET	6758	86610	POJISTNE	KL	39321178
862902	2938	1994-09-05	VYDAJ	PREVOD NA UCET	6758	64558	POJISTNE	KL	39321178
862903	2938	1994-10-05	VYDAJ	PREVOD NA UCET	6758	59682	POJISTNE	KL	39321178
862904	2938	1994-11-05	VYDAJ	PREVOD NA UCET	6758	70501	POJISTNE	KL	39321178
862905	2938	1994-12-05	VYDAJ	PREVOD NA UCET	6758	43414	POJISTNE	KL	39321178
862906	2938	1995-01-05	VYDAJ	PREVOD NA UCET	6758	74122	POJISTNE	KL	39321178
862907	2938	1995-02-05	VYDAJ	PREVOD NA UCET	6758	74650	POJISTNE	KL	39321178
862908	2938	1995-03-05	VYDAJ	PREVOD NA UCET	6758	91921	POJISTNE	KL	39321178
862909	2938	1995-04-05	VYDAJ	PREVOD NA UCET	6758	81298	POJISTNE	KL	39321178
862910	2938	1995-05-05	VYDAJ	PREVOD NA UCET	6758	47755	POJISTNE	KL	39321178
862911	2938	1995-06-05	VYDAJ	PREVOD NA UCET	6758	68522	POJISTNE	KL	39321178
862912	2938	1995-07-05	VYDAJ	PREVOD NA UCET	6758	32786	POJISTNE	KL	39321178
862913	2938	1995-08-05	VYDAJ	PREVOD NA UCET	6758	71661	POJISTNE	KL	39321178
862914	2938	1995-09-05	VYDAJ	PREVOD NA UCET	6758	30073	POJISTNE	KL	39321178
862915	2938	1995-10-05	VYDAJ	PREVOD NA UCET	6758	23490	POJISTNE	KL	39321178
862916	2938	1995-11-05	VYDAJ	PREVOD NA UCET	6758	68408	POJISTNE	KL	39321178
862917	2938	1995-12-05	VYDAJ	PREVOD NA UCET	6758	36515	POJISTNE	KL	39321178
862918	2938	1996-01-05	VYDAJ	PREVOD NA UCET	6758	33607	POJISTNE	KL	39321178
862919	2938	1996-02-05	VYDAJ	PREVOD NA UCET	6758	20977	POJISTNE	KL	39321178
862920	2938	1996-03-05	VYDAJ	PREVOD NA UCET	6758	15409	POJISTNE	KL	39321178
862921	2938	1996-04-05	VYDAJ	PREVOD NA UCET	6758	17029	POJISTNE	KL	39321178
862922	2938	1996-05-05	VYDAJ	PREVOD NA UCET	6758	24803	POJISTNE	KL	39321178
862923	2938	1996-06-05	VYDAJ	PREVOD NA UCET	6758	18009	POJISTNE	KL	39321178
862924	2938	1996-07-05	VYDAJ	PREVOD NA UCET	6758	18736	POJISTNE	KL	39321178
862925	2938	1996-08-05	VYDAJ	PREVOD NA UCET	6758	19767	POJISTNE	KL	39321178
862926	2938	1996-09-05	VYDAJ	PREVOD NA UCET	6758	21906	POJISTNE	KL	39321178
862927	2938	1996-10-05	VYDAJ	PREVOD NA UCET	6758	20952	POJISTNE	KL	39321178
862928	2938	1996-11-05	VYDAJ	PREVOD NA UCET	6758	21194	POJISTNE	KL	39321178
862929	2938	1996-12-05	VYDAJ	PREVOD NA UCET	6758	61887	POJISTNE	KL	39321178
862930	2938	1997-01-05	VYDAJ	PREVOD NA UCET	6758	32617	POJISTNE	KL	39321178
862931	2938	1997-02-05	VYDAJ	PREVOD NA UCET	6758	57581	POJISTNE	KL	39321178
862932	2938	1997-03-05	VYDAJ	PREVOD NA UCET	6758	86145	POJISTNE	KL	39321178
862933	2938	1997-04-05	VYDAJ	PREVOD NA UCET	6758	40336	POJISTNE	KL	39321178
862934	2938	1997-05-05	VYDAJ	PREVOD NA UCET	6758	27231	POJISTNE	KL	39321178
862935	2938	1997-06-05	VYDAJ	PREVOD NA UCET	6758	22188	POJISTNE	KL	39321178
862936	2938	1997-07-05	VYDAJ	PREVOD NA UCET	6758	41192	POJISTNE	KL	39321178
862937	2938	1997-08-05	VYDAJ	PREVOD NA UCET	6758	39003	POJISTNE	KL	39321178
862938	2938	1997-09-05	VYDAJ	PREVOD NA UCET	6758	100342	POJISTNE	KL	39321178
862939	2938	1997-10-05	VYDAJ	PREVOD NA UCET	6758	105245	POJISTNE	KL	39321178
862940	2938	1997-11-05	VYDAJ	PREVOD NA UCET	6758	95338	POJISTNE	KL	39321178
862941	2938	1997-12-05	VYDAJ	PREVOD NA UCET	6758	37843	POJISTNE	KL	39321178
862942	2938	1998-01-05	VYDAJ	PREVOD NA UCET	6758	93050	POJISTNE	KL	39321178
862943	2938	1998-02-05	VYDAJ	PREVOD NA UCET	6758	94550	POJISTNE	KL	39321178
862944	2938	1998-03-05	VYDAJ	PREVOD NA UCET	6758	101371	POJISTNE	KL	39321178
862945	2938	1998-04-05	VYDAJ	PREVOD NA UCET	6758	84749	POJISTNE	KL	39321178
862946	2938	1998-05-05	VYDAJ	PREVOD NA UCET	6758	90884	POJISTNE	KL	39321178
862947	2938	1998-06-05	VYDAJ	PREVOD NA UCET	6758	61036	POJISTNE	KL	39321178
862948	2938	1998-07-05	VYDAJ	PREVOD NA UCET	6758	66706	POJISTNE	KL	39321178
862949	2938	1998-08-05	VYDAJ	PREVOD NA UCET	6758	60019	POJISTNE	KL	39321178
862950	2938	1998-09-05	VYDAJ	PREVOD NA UCET	6758	24584	POJISTNE	KL	39321178
862951	2938	1998-10-05	VYDAJ	PREVOD NA UCET	6758	103926	POJISTNE	KL	39321178
862952	2938	1998-11-05	VYDAJ	PREVOD NA UCET	6758	66990	POJISTNE	KL	39321178
862953	2938	1998-12-05	VYDAJ	PREVOD NA UCET	6758	81938	POJISTNE	KL	39321178
862963	2938	1994-08-14	VYBER	VYBER	11208	56745	\N	\N	\N
862964	2938	1994-07-14	VYBER	VYBER	11867	37406	\N	\N	\N
862965	2938	1994-08-22	VYBER	VYBER	20648	36097	\N	\N	\N
862966	2938	1994-12-25	VYBER	VYBER	21907	97586	\N	\N	\N
862967	2938	1994-02-24	VYBER	VYBER	11744	19630	\N	\N	\N
862968	2938	1994-08-10	VYBER	VYBER	14373	67953	\N	\N	\N
862970	2938	1994-11-11	VYBER	VYBER	11126	82735	\N	\N	\N
862972	2938	1994-05-05	VYBER	VYBER	17699	44691	\N	\N	\N
862974	2938	1995-01-18	VYBER	VYBER	5533	74455	\N	\N	\N
862977	2938	1996-12-03	VYBER	VYBER	22084	39694	\N	\N	\N
862978	2938	1996-05-16	VYBER	VYBER	7294	29955	\N	\N	\N
862980	2938	1996-11-15	VYBER	VYBER	17116	48640	\N	\N	\N
862983	2938	1996-04-14	VYBER	VYBER	3512	49688	\N	\N	\N
862986	2938	1996-04-15	VYBER	VYBER	23021	26667	\N	\N	\N
862989	2938	1997-08-04	VYBER	VYBER	6645	45761	\N	\N	\N
862990	2938	1997-09-22	VYBER	VYBER	6627	73238	\N	\N	\N
862991	2938	1997-09-02	VYBER	VYBER	2692	77983	\N	\N	\N
862994	2938	1997-02-14	VYBER	VYBER	16965	41532	\N	\N	\N
862995	2938	1997-03-12	VYBER	VYBER	4207	112277	\N	\N	\N
862996	2938	1997-07-03	VYBER	VYBER	8749	47950	\N	\N	\N
862997	2938	1997-12-04	VYBER	VYBER	8397	44601	\N	\N	\N
862998	2938	1997-11-18	VYBER	VYBER	13632	52722	\N	\N	\N
862999	2938	1998-06-27	VYBER	VYBER	10588	39264	\N	\N	\N
863000	2938	1998-09-14	VYBER	VYBER	7213	119843	\N	\N	\N
863001	2938	1998-08-02	VYBER	VYBER	10153	81352	\N	\N	\N
863002	2938	1998-02-28	VYBER	VYBER	2950	101930	\N	\N	\N
863003	2938	1998-07-30	VYBER	VYBER	14653	60823	\N	\N	\N
863005	2938	1994-06-09	VYDAJ	VYBER	22500	23789	\N	\N	\N
863006	2938	1995-06-25	VYDAJ	VYBER	9600	56212	\N	\N	\N
863011	2938	1994-01-09	VYDAJ	VYBER	14400	20747	\N	\N	\N
863012	2938	1995-01-04	VYDAJ	VYBER	13500	80880	\N	\N	\N
863014	2938	1997-01-28	VYDAJ	VYBER	4500	64128	\N	\N	\N
863015	2938	1998-01-06	VYDAJ	VYBER	20700	72350	\N	\N	\N
863017	2938	1994-12-03	VYDAJ	VYBER	3900	50172	\N	\N	\N
863018	2938	1995-12-23	VYDAJ	VYBER	3600	40155	\N	\N	\N
863019	2938	1996-12-05	VYDAJ	VYBER	7500	54387	\N	\N	\N
863020	2938	1997-12-26	VYDAJ	VYBER	8100	78960	\N	\N	\N
863021	2938	1998-12-24	VYDAJ	VYBER	8700	49954	\N	\N	\N
863024	2938	1993-11-24	VYDAJ	VYBER	11100	29482	\N	\N	\N
863026	2938	1994-05-31	VYDAJ	VYBER	9300	49091	\N	\N	\N
863027	2938	1994-04-16	VYDAJ	VYBER	14400	30862	\N	\N	\N
863028	2938	1994-09-24	VYDAJ	VYBER	4500	74896	\N	\N	\N
863029	2938	1994-11-15	VYDAJ	VYBER	13200	69535	\N	\N	\N
863030	2938	1995-07-02	VYDAJ	VYBER	3300	39544	\N	\N	\N
863032	2938	1995-06-11	VYDAJ	VYBER	9900	54338	\N	\N	\N
863033	2938	1995-08-31	VYDAJ	VYBER	13500	36845	\N	\N	\N
863034	2938	1995-05-28	VYDAJ	VYBER	10800	23256	\N	\N	\N
863035	2938	1995-05-22	VYDAJ	VYBER	10800	44656	\N	\N	\N
863037	2938	1996-12-12	VYDAJ	VYBER	13500	36603	\N	\N	\N
863039	2938	1996-11-20	VYDAJ	VYBER	9300	33940	\N	\N	\N
863040	2938	1996-05-24	VYDAJ	VYBER	6300	28855	\N	\N	\N
863042	2938	1996-09-19	VYDAJ	VYBER	1800	27622	\N	\N	\N
863043	2938	1996-05-25	VYDAJ	VYBER	4200	24655	\N	\N	\N
863045	2938	1997-06-30	VYDAJ	VYBER	9600	56699	\N	\N	\N
863048	2938	1997-10-28	VYDAJ	VYBER	7800	101752	\N	\N	\N
863050	2938	1998-01-10	VYDAJ	VYBER	7200	60866	\N	\N	\N
863051	2938	1998-09-01	VYDAJ	VYBER	13200	31342	\N	\N	\N
863052	2938	1998-08-10	VYDAJ	VYBER	8400	44335	\N	\N	\N
863053	2938	1998-11-21	VYDAJ	VYBER	4500	45506	\N	\N	\N
863064	2938	1993-10-31	VYDAJ	VYBER	15	82424	SLUZBY	\N	\N
863065	2938	1993-11-30	VYDAJ	VYBER	15	29655	SLUZBY	\N	\N
863066	2938	1993-12-31	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
863067	2938	1994-01-31	VYDAJ	VYBER	15	24732	SLUZBY	\N	\N
863068	2938	1994-02-28	VYDAJ	VYBER	15	19715	SLUZBY	\N	\N
863069	2938	1994-03-31	VYDAJ	VYBER	15	90804	SLUZBY	\N	\N
863070	2938	1994-04-30	VYDAJ	VYBER	15	63385	SLUZBY	\N	\N
863071	2938	1994-05-31	VYDAJ	VYBER	15	49077	SLUZBY	\N	\N
863072	2938	1994-06-30	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
863073	2938	1994-07-31	VYDAJ	VYBER	15	51094	SLUZBY	\N	\N
863074	2938	1994-08-31	VYDAJ	VYBER	15	33213	SLUZBY	\N	\N
863075	2938	1994-09-30	VYDAJ	VYBER	15	52304	SLUZBY	\N	\N
863076	2938	1994-10-31	VYDAJ	VYBER	15	77259	SLUZBY	\N	\N
863077	2938	1994-11-30	VYDAJ	VYBER	15	88305	SLUZBY	\N	\N
863078	2938	1994-12-31	VYDAJ	VYBER	15	63991	SLUZBY	\N	\N
863079	2938	1995-01-31	VYDAJ	VYBER	15	53541	SLUZBY	\N	\N
863080	2938	1995-02-28	VYDAJ	VYBER	15	78706	SLUZBY	\N	\N
863081	2938	1995-03-31	VYDAJ	VYBER	15	88056	SLUZBY	\N	\N
863082	2938	1995-04-30	VYDAJ	VYBER	15	54513	SLUZBY	\N	\N
863083	2938	1995-05-31	VYDAJ	VYBER	15	44193	SLUZBY	\N	\N
863084	2938	1995-06-30	VYDAJ	VYBER	15	42844	SLUZBY	\N	\N
863085	2938	1995-07-31	VYDAJ	VYBER	15	78419	SLUZBY	\N	\N
863086	2938	1995-08-31	VYDAJ	VYBER	15	36831	SLUZBY	\N	\N
863087	2938	1995-09-30	VYDAJ	VYBER	15	30248	SLUZBY	\N	\N
863088	2938	1995-10-31	VYDAJ	VYBER	15	52925	SLUZBY	\N	\N
863089	2938	1995-11-30	VYDAJ	VYBER	15	90086	SLUZBY	\N	\N
863090	2938	1995-12-31	VYDAJ	VYBER	15	40365	SLUZBY	\N	\N
863091	2938	1996-01-31	VYDAJ	VYBER	15	27735	SLUZBY	\N	\N
863092	2938	1996-02-29	VYDAJ	VYBER	15	22167	SLUZBY	\N	\N
863093	2938	1996-03-31	VYDAJ	VYBER	15	23787	SLUZBY	\N	\N
863094	2938	1996-04-30	VYDAJ	VYBER	15	31561	SLUZBY	\N	\N
863095	2938	1996-05-31	VYDAJ	VYBER	15	24767	SLUZBY	\N	\N
863096	2938	1996-06-30	VYDAJ	VYBER	15	25494	SLUZBY	\N	\N
863097	2938	1996-07-31	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
863098	2938	1996-08-31	VYDAJ	VYBER	15	28664	SLUZBY	\N	\N
863099	2938	1996-09-30	VYDAJ	VYBER	15	27710	SLUZBY	\N	\N
863100	2938	1996-10-31	VYDAJ	VYBER	15	27952	SLUZBY	\N	\N
863101	2938	1996-11-30	VYDAJ	VYBER	15	61778	SLUZBY	\N	\N
863102	2938	1996-12-31	VYDAJ	VYBER	15	39375	SLUZBY	\N	\N
863103	2938	1997-01-31	VYDAJ	VYBER	15	64339	SLUZBY	\N	\N
863104	2938	1997-02-28	VYDAJ	VYBER	15	79626	SLUZBY	\N	\N
863105	2938	1997-03-31	VYDAJ	VYBER	15	47094	SLUZBY	\N	\N
863106	2938	1997-04-30	VYDAJ	VYBER	15	33989	SLUZBY	\N	\N
863107	2938	1997-05-31	VYDAJ	VYBER	15	28946	SLUZBY	\N	\N
863108	2938	1997-06-30	VYDAJ	VYBER	15	66299	SLUZBY	\N	\N
863109	2938	1997-07-31	VYDAJ	VYBER	15	52406	SLUZBY	\N	\N
863110	2938	1997-08-31	VYDAJ	VYBER	15	80675	SLUZBY	\N	\N
863111	2938	1997-09-30	VYDAJ	VYBER	15	73554	SLUZBY	\N	\N
863112	2938	1997-10-31	VYDAJ	VYBER	15	102096	SLUZBY	\N	\N
863113	2938	1997-11-30	VYDAJ	VYBER	15	52998	SLUZBY	\N	\N
863114	2938	1997-12-31	VYDAJ	VYBER	15	99808	SLUZBY	\N	\N
863115	2938	1998-01-31	VYDAJ	VYBER	15	101308	SLUZBY	\N	\N
863116	2938	1998-02-28	VYDAJ	VYBER	15	101915	SLUZBY	\N	\N
863117	2938	1998-03-31	VYDAJ	VYBER	15	91507	SLUZBY	\N	\N
863118	2938	1998-04-30	VYDAJ	VYBER	15	97642	SLUZBY	\N	\N
863119	2938	1998-05-31	VYDAJ	VYBER	15	67794	SLUZBY	\N	\N
863120	2938	1998-06-30	VYDAJ	VYBER	15	62231	SLUZBY	\N	\N
863121	2938	1998-07-31	VYDAJ	VYBER	15	61213	SLUZBY	\N	\N
863122	2938	1998-08-31	VYDAJ	VYBER	15	44542	SLUZBY	\N	\N
863123	2938	1998-09-30	VYDAJ	VYBER	15	110684	SLUZBY	\N	\N
863124	2938	1998-10-31	VYDAJ	VYBER	15	73748	SLUZBY	\N	\N
863125	2938	1998-11-30	VYDAJ	VYBER	15	88696	SLUZBY	\N	\N
863126	2938	1993-09-03	VYDAJ	VYBER	17100	46352	\N	\N	\N
863127	2938	1993-10-03	VYDAJ	VYBER	14900	41663	\N	\N	\N
863128	2938	1993-11-02	VYDAJ	VYBER	30800	51624	\N	\N	\N
863129	2938	1993-12-02	VYDAJ	VYBER	2000	27655	\N	\N	\N
863130	2938	1994-01-01	PRIJEM	VKLAD	1000	22690	\N	\N	\N
863131	2938	1994-01-31	PRIJEM	VKLAD	3900	24746	\N	\N	\N
863132	2938	1994-03-02	VYDAJ	VYBER	13600	35109	\N	\N	\N
863133	2938	1994-03-15	VYDAJ	VYBER	26100	90486	\N	\N	\N
863134	2938	1994-04-01	VYDAJ	VYBER	34500	56304	\N	\N	\N
863135	2938	1994-05-01	VYDAJ	VYBER	20600	42785	\N	\N	\N
863136	2938	1994-05-17	VYDAJ	VYBER	63300	66064	\N	\N	\N
863137	2938	1994-05-31	VYDAJ	VYBER	19000	58391	\N	\N	\N
863138	2938	1994-06-30	PRIJEM	VKLAD	2900	26689	\N	\N	\N
863139	2938	1994-07-30	VYDAJ	VYBER	25800	50940	\N	\N	\N
863140	2938	1994-08-29	VYDAJ	VYBER	3100	32997	\N	\N	\N
863141	2938	1994-09-18	VYDAJ	VYBER	43300	79396	\N	\N	\N
863142	2938	1994-09-28	VYDAJ	VYBER	22900	51996	\N	\N	\N
863143	2938	1994-10-28	VYDAJ	VYBER	18900	47830	\N	\N	\N
863144	2938	1994-11-07	VYDAJ	VYBER	18400	93861	\N	\N	\N
863145	2938	1994-11-27	VYDAJ	VYBER	19800	49735	\N	\N	\N
863146	2938	1994-12-03	VYDAJ	VYBER	63200	54072	\N	\N	\N
863147	2938	1994-12-24	VYDAJ	VYBER	28100	119493	\N	\N	\N
863148	2938	1994-12-27	VYDAJ	VYBER	33900	63686	\N	\N	\N
863149	2938	1995-01-26	VYDAJ	VYBER	21200	53255	\N	\N	\N
863150	2938	1995-02-25	VYDAJ	VYBER	27400	60463	\N	\N	\N
863151	2938	1995-03-02	VYDAJ	VYBER	39400	81402	\N	\N	\N
863152	2938	1995-03-13	VYDAJ	VYBER	28400	95521	\N	\N	\N
863153	2938	1995-03-27	VYDAJ	VYBER	34200	61321	\N	\N	\N
863154	2938	1995-04-26	VYDAJ	VYBER	22800	54214	\N	\N	\N
863155	2938	1995-05-26	VYDAJ	VYBER	10600	34056	\N	\N	\N
863156	2938	1995-06-19	VYDAJ	VYBER	49800	65812	\N	\N	\N
863157	2938	1995-06-25	VYDAJ	VYBER	13600	42612	\N	\N	\N
863158	2938	1995-07-25	VYDAJ	VYBER	23200	54857	\N	\N	\N
863159	2938	1995-08-24	VYDAJ	VYBER	17300	50077	\N	\N	\N
863160	2938	1995-09-23	VYDAJ	VYBER	1600	30133	\N	\N	\N
863161	2938	1995-10-12	VYDAJ	VYBER	42900	71677	\N	\N	\N
863162	2938	1995-10-23	VYDAJ	VYBER	24500	52718	\N	\N	\N
863163	2938	1995-11-22	VYDAJ	VYBER	33500	66181	\N	\N	\N
863164	2938	1995-12-05	VYDAJ	VYBER	64000	43273	\N	\N	\N
863165	2938	1995-12-22	VYDAJ	VYBER	13100	43755	\N	\N	\N
863166	2938	1996-01-21	VYDAJ	VYBER	1700	27623	\N	\N	\N
863167	2938	1996-02-20	PRIJEM	VKLAD	5400	22093	\N	\N	\N
863168	2938	1996-03-21	PRIJEM	VKLAD	12600	23725	\N	\N	\N
863169	2938	1996-04-20	PRIJEM	VKLAD	4800	31467	\N	\N	\N
863170	2938	1996-05-20	PRIJEM	VKLAD	5200	35155	\N	\N	\N
863171	2938	1996-06-19	PRIJEM	VKLAD	11700	25425	\N	\N	\N
863172	2938	1996-07-19	PRIJEM	VKLAD	12000	26452	\N	\N	\N
863173	2938	1996-08-18	PRIJEM	VKLAD	13100	28583	\N	\N	\N
863174	2938	1996-09-17	PRIJEM	VKLAD	11800	29422	\N	\N	\N
863175	2938	1996-10-17	PRIJEM	VKLAD	11200	27868	\N	\N	\N
863176	2938	1996-11-16	VYDAJ	VYBER	5400	43240	\N	\N	\N
863177	2938	1996-12-16	PRIJEM	VKLAD	2600	39203	\N	\N	\N
863178	2938	1997-01-15	VYDAJ	VYBER	20600	63255	\N	\N	\N
863179	2938	1997-02-14	PRIJEM	VKLAD	5200	58497	\N	\N	\N
863180	2938	1997-03-12	VYDAJ	VYBER	62800	49477	\N	\N	\N
863181	2938	1997-03-16	VYDAJ	VYBER	8900	46852	\N	\N	\N
863182	2938	1997-04-15	VYDAJ	VYBER	2200	33852	\N	\N	\N
863183	2938	1997-05-15	PRIJEM	VKLAD	5900	28847	\N	\N	\N
863184	2938	1997-06-14	PRIJEM	VKLAD	8400	26304	\N	\N	\N
863185	2938	1997-07-14	VYDAJ	VYBER	22200	52211	\N	\N	\N
863186	2938	1997-08-13	VYDAJ	VYBER	1300	33419	\N	\N	\N
863187	2938	1997-09-05	VYDAJ	VYBER	18600	107100	\N	\N	\N
863188	2938	1997-09-12	VYDAJ	VYBER	29000	67058	\N	\N	\N
863189	2938	1997-10-12	VYDAJ	VYBER	29400	71561	\N	\N	\N
863190	2938	1997-11-11	VYDAJ	VYBER	24700	66354	\N	\N	\N
863191	2938	1997-12-11	PRIJEM	VKLAD	8900	42459	\N	\N	\N
863192	2938	1998-01-10	VYDAJ	VYBER	2700	58166	\N	\N	\N
863193	2938	1998-01-22	VYDAJ	VYBER	49000	76549	\N	\N	\N
863194	2938	1998-02-09	VYDAJ	VYBER	19300	70966	\N	\N	\N
863195	2938	1998-03-03	VYDAJ	VYBER	35100	108129	\N	\N	\N
863196	2938	1998-03-11	VYDAJ	VYBER	28100	82496	\N	\N	\N
863197	2938	1998-03-14	VYDAJ	VYBER	23100	91082	\N	\N	\N
863198	2938	1998-04-10	VYDAJ	VYBER	27200	71957	\N	\N	\N
863199	2938	1998-04-13	VYDAJ	VYBER	64100	72226	\N	\N	\N
863200	2938	1998-04-23	VYDAJ	VYBER	40400	97249	\N	\N	\N
863201	2938	1998-05-10	VYDAJ	VYBER	19100	67500	\N	\N	\N
863202	2938	1998-06-09	VYDAJ	VYBER	6900	49852	\N	\N	\N
863203	2938	1998-07-09	VYDAJ	VYBER	10200	52222	\N	\N	\N
863204	2938	1998-07-19	VYDAJ	VYBER	64400	75476	\N	\N	\N
863205	2938	1998-08-05	VYDAJ	VYBER	58300	66777	\N	\N	\N
863206	2938	1998-08-08	VYDAJ	VYBER	3000	52735	\N	\N	\N
863207	2938	1998-09-07	PRIJEM	VKLAD	16400	40984	\N	\N	\N
863208	2938	1998-09-14	VYDAJ	VYBER	63800	56043	\N	\N	\N
863209	2938	1998-10-07	VYDAJ	VYBER	26300	73342	\N	\N	\N
863210	2938	1998-11-06	VYDAJ	VYBER	12700	54290	\N	\N	\N
863211	2938	1998-12-06	VYDAJ	VYBER	19000	62938	\N	\N	\N
863277	2939	1997-06-28	PRIJEM	VKLAD	200	200	\N	\N	\N
863284	2939	1997-07-07	PRIJEM	PREVOD Z UCTU	5680	5880	DUCHOD	CD	53660666
863285	2939	1997-08-07	PRIJEM	PREVOD Z UCTU	5680	11560	DUCHOD	CD	53660666
863286	2939	1997-09-07	PRIJEM	PREVOD Z UCTU	5680	17240	DUCHOD	CD	53660666
863287	2939	1997-10-07	PRIJEM	PREVOD Z UCTU	5680	22920	DUCHOD	CD	53660666
863288	2939	1997-11-07	PRIJEM	PREVOD Z UCTU	5680	28600	DUCHOD	CD	53660666
863289	2939	1997-12-07	PRIJEM	PREVOD Z UCTU	5680	27204	DUCHOD	CD	53660666
863290	2939	1998-01-07	PRIJEM	PREVOD Z UCTU	5680	24794	DUCHOD	CD	53660666
863291	2939	1998-02-07	PRIJEM	PREVOD Z UCTU	5680	25276	DUCHOD	CD	53660666
863292	2939	1998-03-07	PRIJEM	PREVOD Z UCTU	5680	25059	DUCHOD	CD	53660666
863293	2939	1998-04-07	PRIJEM	PREVOD Z UCTU	5680	23841	DUCHOD	CD	53660666
863294	2939	1998-05-07	PRIJEM	PREVOD Z UCTU	5680	26321	DUCHOD	CD	53660666
863295	2939	1998-06-07	PRIJEM	PREVOD Z UCTU	5680	29212	DUCHOD	CD	53660666
863296	2939	1998-07-07	PRIJEM	PREVOD Z UCTU	5680	25987	DUCHOD	CD	53660666
863297	2939	1998-08-07	PRIJEM	PREVOD Z UCTU	5680	23393	DUCHOD	CD	53660666
863298	2939	1998-09-07	PRIJEM	PREVOD Z UCTU	5680	19064	DUCHOD	CD	53660666
863299	2939	1998-10-07	PRIJEM	PREVOD Z UCTU	5680	18783	DUCHOD	CD	53660666
863300	2939	1998-11-07	PRIJEM	PREVOD Z UCTU	5680	18639	DUCHOD	CD	53660666
863301	2939	1998-12-07	PRIJEM	PREVOD Z UCTU	5680	21498	DUCHOD	CD	53660666
863313	2939	1997-12-06	VYDAJ	PREVOD NA UCET	2882	21524	SIPO	GH	76236229
863314	2939	1998-01-06	VYDAJ	PREVOD NA UCET	2882	19114	SIPO	GH	76236229
863315	2939	1998-02-06	VYDAJ	PREVOD NA UCET	2882	19596	SIPO	GH	76236229
863316	2939	1998-03-06	VYDAJ	PREVOD NA UCET	2882	19379	SIPO	GH	76236229
863317	2939	1998-04-06	VYDAJ	PREVOD NA UCET	2882	18161	SIPO	GH	76236229
863318	2939	1998-05-06	VYDAJ	PREVOD NA UCET	2882	20641	SIPO	GH	76236229
863319	2939	1998-06-06	VYDAJ	PREVOD NA UCET	2882	23532	SIPO	GH	76236229
863320	2939	1998-07-06	VYDAJ	PREVOD NA UCET	2882	20307	SIPO	GH	76236229
863321	2939	1998-08-06	VYDAJ	PREVOD NA UCET	2882	17713	SIPO	GH	76236229
863322	2939	1998-09-06	VYDAJ	PREVOD NA UCET	2882	13384	SIPO	GH	76236229
863323	2939	1998-10-06	VYDAJ	PREVOD NA UCET	2882	15343	SIPO	GH	76236229
863324	2939	1998-11-06	VYDAJ	PREVOD NA UCET	2882	12959	SIPO	GH	76236229
863325	2939	1998-12-06	VYDAJ	PREVOD NA UCET	2882	15818	SIPO	GH	76236229
863326	2939	1997-12-02	VYDAJ	VYBER	700	24406	\N	\N	\N
863327	2939	1998-12-25	VYDAJ	VYBER	800	20698	\N	\N	\N
863332	2939	1998-06-15	VYDAJ	VYBER	1120	28092	\N	\N	\N
863333	2939	1998-10-06	VYDAJ	VYBER	2240	13103	\N	\N	\N
863334	2939	1998-09-02	VYDAJ	VYBER	1200	16266	\N	\N	\N
863335	2939	1998-05-02	VYDAJ	VYBER	400	23523	\N	\N	\N
863336	2939	1998-07-30	VYDAJ	VYBER	3680	20507	\N	\N	\N
863348	2939	1997-11-30	VYDAJ	VYBER	15	25106	SLUZBY	\N	\N
863349	2939	1997-12-31	VYDAJ	VYBER	15	21996	SLUZBY	\N	\N
863350	2939	1998-01-31	VYDAJ	VYBER	15	22478	SLUZBY	\N	\N
863351	2939	1998-02-28	VYDAJ	VYBER	15	22261	SLUZBY	\N	\N
863352	2939	1998-03-31	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
863353	2939	1998-04-30	VYDAJ	VYBER	15	23923	SLUZBY	\N	\N
863354	2939	1998-05-31	VYDAJ	VYBER	15	26414	SLUZBY	\N	\N
863355	2939	1998-06-30	VYDAJ	VYBER	15	23189	SLUZBY	\N	\N
863356	2939	1998-07-31	VYDAJ	VYBER	15	20595	SLUZBY	\N	\N
863357	2939	1998-08-31	VYDAJ	VYBER	15	17466	SLUZBY	\N	\N
863358	2939	1998-09-30	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
863359	2939	1998-10-31	VYDAJ	VYBER	15	15841	SLUZBY	\N	\N
863360	2939	1998-11-30	VYDAJ	VYBER	15	18700	SLUZBY	\N	\N
863361	2939	1997-11-25	VYDAJ	VYBER	3500	25100	\N	\N	\N
863362	2939	1997-12-25	VYDAJ	VYBER	5300	21904	\N	\N	\N
863363	2939	1998-01-24	VYDAJ	VYBER	2400	22394	\N	\N	\N
863364	2939	1998-02-23	VYDAJ	VYBER	3100	22176	\N	\N	\N
863365	2939	1998-03-25	VYDAJ	VYBER	4100	20959	\N	\N	\N
863366	2939	1998-06-23	VYDAJ	VYBER	5000	23092	\N	\N	\N
863367	2939	1998-07-23	VYDAJ	VYBER	1800	24187	\N	\N	\N
863368	2939	1998-08-22	VYDAJ	VYBER	6000	17393	\N	\N	\N
863369	2939	1998-09-21	VYDAJ	VYBER	900	18164	\N	\N	\N
863370	2939	1998-10-21	VYDAJ	VYBER	3000	15783	\N	\N	\N
863385	2940	1993-06-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
863386	2940	1993-12-20	PRIJEM	VKLAD	28480	61150	\N	\N	\N
863390	2940	1993-07-26	PRIJEM	VKLAD	31128	72742	\N	\N	\N
863391	2940	1993-10-18	PRIJEM	VKLAD	10999	44282	\N	\N	\N
863392	2940	1993-10-19	PRIJEM	VKLAD	44957	89239	\N	\N	\N
863393	2940	1993-07-03	PRIJEM	VKLAD	14192	38318	\N	\N	\N
863400	2940	1993-10-28	PRIJEM	VKLAD	10579	67518	\N	\N	\N
863401	2940	1993-11-16	PRIJEM	VKLAD	47302	125113	\N	\N	\N
863403	2940	1993-07-24	PRIJEM	VKLAD	6087	55014	\N	\N	\N
863406	2940	1993-09-09	PRIJEM	VKLAD	6649	27617	\N	\N	\N
863407	2940	1993-10-29	PRIJEM	VKLAD	17268	84786	\N	\N	\N
863409	2940	1993-10-15	PRIJEM	VKLAD	13311	33283	\N	\N	\N
863411	2940	1993-07-19	PRIJEM	VKLAD	10609	48927	\N	\N	\N
863413	2940	1993-06-25	PRIJEM	VKLAD	23106	24106	\N	\N	\N
863414	2940	1994-05-14	PRIJEM	VKLAD	8129	19940	\N	\N	\N
863415	2940	1994-05-30	PRIJEM	VKLAD	43697	68837	\N	\N	\N
863416	2940	1994-08-12	PRIJEM	VKLAD	10240	31225	\N	\N	\N
863417	2940	1995-08-16	PRIJEM	VKLAD	20352	36274	\N	\N	\N
863418	2940	1995-12-23	PRIJEM	VKLAD	24362	45901	\N	\N	\N
863419	2940	1995-03-22	PRIJEM	VKLAD	33343	50845	\N	\N	\N
863420	2940	1995-05-31	PRIJEM	VKLAD	27747	51948	\N	\N	\N
863421	2940	1995-09-29	PRIJEM	VKLAD	32015	75959	\N	\N	\N
863422	2940	1995-09-12	PRIJEM	VKLAD	44643	65444	\N	\N	\N
863423	2940	1996-02-26	PRIJEM	VKLAD	28293	45727	\N	\N	\N
863424	2940	1996-07-28	PRIJEM	VKLAD	21290	102154	\N	\N	\N
863425	2940	1996-12-05	PRIJEM	VKLAD	43614	141487	\N	\N	\N
863426	2940	1996-08-26	PRIJEM	VKLAD	45212	121547	\N	\N	\N
863427	2940	1996-07-10	PRIJEM	VKLAD	43169	94627	\N	\N	\N
863428	2940	1996-12-20	PRIJEM	VKLAD	34456	78287	\N	\N	\N
863429	2940	1996-12-03	PRIJEM	VKLAD	20653	79157	\N	\N	\N
863430	2940	1996-06-29	PRIJEM	VKLAD	5415	75993	\N	\N	\N
863431	2940	1996-12-23	PRIJEM	VKLAD	16740	81227	\N	\N	\N
863432	2940	1996-01-04	PRIJEM	VKLAD	37282	81490	\N	\N	\N
863433	2940	1996-11-09	PRIJEM	VKLAD	7285	46900	\N	\N	\N
863434	2940	1996-03-10	PRIJEM	VKLAD	30875	69526	\N	\N	\N
863435	2940	1996-10-05	PRIJEM	VKLAD	27777	103325	\N	\N	\N
863436	2940	1996-12-04	PRIJEM	VKLAD	18716	97873	\N	\N	\N
863437	2940	1996-11-11	PRIJEM	VKLAD	39042	85942	\N	\N	\N
863438	2940	1996-12-01	PRIJEM	VKLAD	36360	122604	\N	\N	\N
863439	2940	1996-07-07	PRIJEM	VKLAD	29194	79858	\N	\N	\N
863440	2940	1996-06-23	PRIJEM	VKLAD	49971	70578	\N	\N	\N
863441	2940	1996-09-16	PRIJEM	VKLAD	36844	75311	\N	\N	\N
863442	2940	1996-08-17	PRIJEM	VKLAD	30153	76335	\N	\N	\N
863443	2940	1996-10-08	PRIJEM	VKLAD	5544	63513	\N	\N	\N
863444	2940	1996-06-04	PRIJEM	VKLAD	37026	53563	\N	\N	\N
863445	2940	1997-12-03	PRIJEM	VKLAD	19016	49958	\N	\N	\N
863446	2940	1997-10-15	PRIJEM	VKLAD	29129	40072	\N	\N	\N
863447	2940	1997-03-07	PRIJEM	VKLAD	24933	41343	\N	\N	\N
863448	2940	1998-03-21	PRIJEM	VKLAD	31215	51645	\N	\N	\N
863456	2940	1993-08-05	VYDAJ	PREVOD NA UCET	7156	65736	SIPO	ST	12957185
863457	2940	1993-09-05	VYDAJ	PREVOD NA UCET	7156	39237	SIPO	ST	12957185
863458	2940	1993-10-05	VYDAJ	PREVOD NA UCET	7156	19972	SIPO	ST	12957185
863459	2940	1993-11-05	VYDAJ	PREVOD NA UCET	7156	77811	SIPO	ST	12957185
863460	2940	1993-12-05	VYDAJ	PREVOD NA UCET	7156	39270	SIPO	ST	12957185
863461	2940	1994-01-05	VYDAJ	PREVOD NA UCET	7156	24652	SIPO	ST	12957185
863462	2940	1994-02-05	VYDAJ	PREVOD NA UCET	7156	13004	SIPO	ST	12957185
863463	2940	1994-03-05	VYDAJ	PREVOD NA UCET	7156	9913	SIPO	ST	12957185
863464	2940	1994-04-05	VYDAJ	PREVOD NA UCET	7156	8811	SIPO	ST	12957185
863465	2940	1994-05-05	VYDAJ	PREVOD NA UCET	7156	11811	SIPO	ST	12957185
863466	2940	1994-06-05	VYDAJ	PREVOD NA UCET	7156	61768	SIPO	ST	12957185
863467	2940	1994-07-05	VYDAJ	PREVOD NA UCET	7156	29519	SIPO	ST	12957185
863468	2940	1994-08-05	VYDAJ	PREVOD NA UCET	7156	20985	SIPO	ST	12957185
863469	2940	1994-09-05	VYDAJ	PREVOD NA UCET	7156	15920	SIPO	ST	12957185
863470	2940	1994-10-05	VYDAJ	PREVOD NA UCET	7156	13631	SIPO	ST	12957185
863471	2940	1994-11-05	VYDAJ	PREVOD NA UCET	7156	14448	SIPO	ST	12957185
863472	2940	1994-12-05	VYDAJ	PREVOD NA UCET	7156	13665	SIPO	ST	12957185
863473	2940	1995-01-05	VYDAJ	PREVOD NA UCET	7156	12278	SIPO	ST	12957185
863474	2940	1995-02-05	VYDAJ	PREVOD NA UCET	7156	13089	SIPO	ST	12957185
863475	2940	1995-03-05	VYDAJ	PREVOD NA UCET	7156	12902	SIPO	ST	12957185
863476	2940	1995-04-05	VYDAJ	PREVOD NA UCET	7156	43797	SIPO	ST	12957185
863477	2940	1995-05-05	VYDAJ	PREVOD NA UCET	7156	27401	SIPO	ST	12957185
863478	2940	1995-06-05	VYDAJ	PREVOD NA UCET	7156	18789	SIPO	ST	12957185
863479	2940	1995-07-05	VYDAJ	PREVOD NA UCET	7156	15513	SIPO	ST	12957185
863480	2940	1995-08-05	VYDAJ	PREVOD NA UCET	7156	9822	SIPO	ST	12957185
863481	2940	1995-09-05	VYDAJ	PREVOD NA UCET	7156	20801	SIPO	ST	12957185
863482	2940	1995-10-05	VYDAJ	PREVOD NA UCET	7156	69006	SIPO	ST	12957185
863483	2940	1995-11-05	VYDAJ	PREVOD NA UCET	7156	38068	SIPO	ST	12957185
863484	2940	1995-12-05	VYDAJ	PREVOD NA UCET	7156	20439	SIPO	ST	12957185
863485	2940	1996-01-05	VYDAJ	PREVOD NA UCET	7156	74334	SIPO	ST	12957185
863486	2940	1996-02-05	VYDAJ	PREVOD NA UCET	7156	16034	SIPO	ST	12957185
863487	2940	1996-03-05	VYDAJ	PREVOD NA UCET	7156	38651	SIPO	ST	12957185
863488	2940	1996-04-05	VYDAJ	PREVOD NA UCET	7156	37011	SIPO	ST	12957185
863489	2940	1996-05-05	VYDAJ	PREVOD NA UCET	7156	20673	SIPO	ST	12957185
863490	2940	1996-06-05	VYDAJ	PREVOD NA UCET	7156	23307	SIPO	ST	12957185
863491	2940	1996-07-05	VYDAJ	PREVOD NA UCET	7156	50664	SIPO	ST	12957185
863492	2940	1996-08-05	VYDAJ	PREVOD NA UCET	7156	92082	SIPO	ST	12957185
863493	2940	1996-09-05	VYDAJ	PREVOD NA UCET	7156	55467	SIPO	ST	12957185
863494	2940	1996-10-05	VYDAJ	PREVOD NA UCET	7156	96169	SIPO	ST	12957185
863495	2940	1996-11-05	VYDAJ	PREVOD NA UCET	7156	56615	SIPO	ST	12957185
863496	2940	1996-12-05	VYDAJ	PREVOD NA UCET	7156	109431	SIPO	ST	12957185
863497	2940	1997-01-05	VYDAJ	PREVOD NA UCET	7156	40949	SIPO	ST	12957185
863498	2940	1997-02-05	VYDAJ	PREVOD NA UCET	7156	15115	SIPO	ST	12957185
863499	2940	1997-03-05	VYDAJ	PREVOD NA UCET	7156	16410	SIPO	ST	12957185
863500	2940	1997-04-05	VYDAJ	PREVOD NA UCET	7156	23416	SIPO	ST	12957185
863501	2940	1997-05-05	VYDAJ	PREVOD NA UCET	7156	16045	SIPO	ST	12957185
863502	2940	1997-06-05	VYDAJ	PREVOD NA UCET	7156	15142	SIPO	ST	12957185
863503	2940	1997-07-05	VYDAJ	PREVOD NA UCET	7156	10232	SIPO	ST	12957185
863504	2940	1997-08-05	VYDAJ	PREVOD NA UCET	7156	9403	SIPO	ST	12957185
863505	2940	1997-09-05	VYDAJ	PREVOD NA UCET	7156	11769	SIPO	ST	12957185
863506	2940	1997-10-05	VYDAJ	PREVOD NA UCET	7156	10943	SIPO	ST	12957185
863507	2940	1997-11-05	VYDAJ	PREVOD NA UCET	7156	29110	SIPO	ST	12957185
863508	2940	1997-12-05	VYDAJ	PREVOD NA UCET	7156	42802	SIPO	ST	12957185
863509	2940	1998-01-05	VYDAJ	PREVOD NA UCET	7156	23674	SIPO	ST	12957185
863510	2940	1998-02-05	VYDAJ	PREVOD NA UCET	7156	23728	SIPO	ST	12957185
863511	2940	1998-03-05	VYDAJ	PREVOD NA UCET	7156	20430	SIPO	ST	12957185
863512	2940	1998-04-05	VYDAJ	PREVOD NA UCET	7156	17260	SIPO	ST	12957185
863513	2940	1998-05-05	VYDAJ	PREVOD NA UCET	7156	27678	SIPO	ST	12957185
863514	2940	1998-06-05	VYDAJ	PREVOD NA UCET	7156	32950	SIPO	ST	12957185
863515	2940	1998-07-05	VYDAJ	PREVOD NA UCET	7156	28006	SIPO	ST	12957185
863516	2940	1998-08-05	VYDAJ	PREVOD NA UCET	7156	28904	SIPO	ST	12957185
863517	2940	1998-09-05	VYDAJ	PREVOD NA UCET	7156	22963	SIPO	ST	12957185
863518	2940	1998-10-05	VYDAJ	PREVOD NA UCET	7156	32319	SIPO	ST	12957185
863519	2940	1998-11-05	VYDAJ	PREVOD NA UCET	7156	35950	SIPO	ST	12957185
863520	2940	1998-12-05	VYDAJ	PREVOD NA UCET	7156	39625	SIPO	ST	12957185
863521	2940	1993-09-06	VYBER	VYBER	18269	20968	\N	\N	\N
863522	2940	1994-09-05	VYBER	VYBER	4051	23076	\N	\N	\N
863524	2940	1994-01-31	VYBER	VYBER	3179	20175	\N	\N	\N
863525	2940	1994-06-08	VYBER	VYBER	14478	47290	\N	\N	\N
863530	2940	1995-06-01	VYBER	VYBER	7802	44245	\N	\N	\N
863535	2940	1996-07-22	VYBER	VYBER	13763	80864	\N	\N	\N
863536	2940	1996-08-05	VYBER	VYBER	3244	99238	\N	\N	\N
863538	2940	1998-08-05	VYBER	VYBER	3776	36060	\N	\N	\N
863541	2940	1998-03-04	VYBER	VYBER	6453	27586	\N	\N	\N
863545	2940	1998-04-01	VYBER	VYBER	10142	24416	\N	\N	\N
863547	2940	1998-10-06	VYBER	VYBER	4530	27789	\N	\N	\N
863548	2940	1998-11-07	VYBER	VYBER	3305	32645	\N	\N	\N
863551	2940	1995-06-02	VYDAJ	VYBER	18300	25945	\N	\N	\N
863552	2940	1996-06-29	VYDAJ	VYBER	18300	57693	\N	\N	\N
863559	2940	1997-01-02	VYDAJ	VYBER	6000	75505	\N	\N	\N
863561	2940	1993-12-12	VYDAJ	VYBER	6600	32670	\N	\N	\N
863563	2940	1995-12-01	VYDAJ	VYBER	1500	27595	\N	\N	\N
863564	2940	1996-12-17	VYDAJ	VYBER	6300	43831	\N	\N	\N
863565	2940	1997-12-13	VYDAJ	VYBER	5100	37702	\N	\N	\N
863566	2940	1998-12-25	VYDAJ	VYBER	1800	37825	\N	\N	\N
863574	2940	1994-01-06	VYDAJ	VYBER	3000	21652	\N	\N	\N
863575	2940	1994-01-03	VYDAJ	VYBER	4500	33908	\N	\N	\N
863576	2940	1994-01-05	VYDAJ	VYBER	2100	31808	\N	\N	\N
863577	2940	1994-01-02	VYDAJ	VYBER	2700	38408	\N	\N	\N
863585	2940	1996-01-01	VYDAJ	VYBER	1800	44208	\N	\N	\N
863586	2940	1996-01-17	VYDAJ	VYBER	6000	25734	\N	\N	\N
863587	2940	1996-01-12	VYDAJ	VYBER	1800	46434	\N	\N	\N
863588	2940	1996-01-17	VYDAJ	VYBER	7500	31734	\N	\N	\N
863589	2940	1996-01-14	VYDAJ	VYBER	7200	39234	\N	\N	\N
863590	2940	1996-01-30	VYDAJ	VYBER	2700	23034	\N	\N	\N
863592	2940	1997-01-09	VYDAJ	VYBER	6300	34649	\N	\N	\N
863593	2940	1997-01-11	VYDAJ	VYBER	3600	31049	\N	\N	\N
863595	2940	1997-01-12	VYDAJ	VYBER	6600	24449	\N	\N	\N
863596	2940	1997-01-03	VYDAJ	VYBER	1500	74005	\N	\N	\N
863606	2940	1993-09-25	VYDAJ	VYBER	1800	27017	\N	\N	\N
863609	2940	1994-07-18	VYDAJ	VYBER	1500	28019	\N	\N	\N
863613	2940	1995-08-20	VYDAJ	VYBER	8400	27874	\N	\N	\N
863615	2940	1995-05-09	VYDAJ	VYBER	4200	23201	\N	\N	\N
863616	2940	1996-08-13	VYDAJ	VYBER	10200	46182	\N	\N	\N
863617	2940	1996-12-20	VYDAJ	VYBER	13800	64487	\N	\N	\N
863618	2940	1996-06-04	VYDAJ	VYBER	9300	44263	\N	\N	\N
863619	2940	1996-06-05	VYDAJ	VYBER	13800	30463	\N	\N	\N
863624	2940	1997-03-26	VYDAJ	VYBER	9600	31743	\N	\N	\N
863627	2940	1997-12-22	VYDAJ	VYBER	9300	28402	\N	\N	\N
863629	2940	1998-03-31	VYDAJ	VYBER	12600	34558	\N	\N	\N
863630	2940	1998-03-22	VYDAJ	VYBER	5400	46245	\N	\N	\N
863631	2940	1998-06-13	VYDAJ	VYBER	9300	23650	\N	\N	\N
863632	2940	1998-08-16	VYDAJ	VYBER	4500	24404	\N	\N	\N
863634	2940	1998-08-30	VYDAJ	VYBER	9900	30004	\N	\N	\N
863642	2940	1993-07-31	VYDAJ	VYBER	15	72892	SLUZBY	\N	\N
863643	2940	1993-08-31	VYDAJ	VYBER	15	46393	SLUZBY	\N	\N
863644	2940	1993-09-30	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
863645	2940	1993-10-31	VYDAJ	VYBER	15	84967	SLUZBY	\N	\N
863646	2940	1993-11-30	VYDAJ	VYBER	15	46426	SLUZBY	\N	\N
863647	2940	1993-12-31	VYDAJ	VYBER	15	41108	SLUZBY	\N	\N
863648	2940	1994-01-31	VYDAJ	VYBER	15	20160	SLUZBY	\N	\N
863649	2940	1994-02-28	VYDAJ	VYBER	15	17069	SLUZBY	\N	\N
863650	2940	1994-03-31	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
863651	2940	1994-04-30	VYDAJ	VYBER	15	18967	SLUZBY	\N	\N
863652	2940	1994-05-31	VYDAJ	VYBER	15	68924	SLUZBY	\N	\N
863653	2940	1994-06-30	VYDAJ	VYBER	15	36675	SLUZBY	\N	\N
863654	2940	1994-07-31	VYDAJ	VYBER	15	28141	SLUZBY	\N	\N
863655	2940	1994-08-31	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
863656	2940	1994-09-30	VYDAJ	VYBER	15	20787	SLUZBY	\N	\N
863657	2940	1994-10-31	VYDAJ	VYBER	15	21604	SLUZBY	\N	\N
863658	2940	1994-11-30	VYDAJ	VYBER	15	20821	SLUZBY	\N	\N
863659	2940	1994-12-31	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
863660	2940	1995-01-31	VYDAJ	VYBER	15	20245	SLUZBY	\N	\N
863661	2940	1995-02-28	VYDAJ	VYBER	15	20058	SLUZBY	\N	\N
863662	2940	1995-03-31	VYDAJ	VYBER	15	50953	SLUZBY	\N	\N
863663	2940	1995-04-30	VYDAJ	VYBER	15	34557	SLUZBY	\N	\N
863664	2940	1995-05-31	VYDAJ	VYBER	15	52047	SLUZBY	\N	\N
863665	2940	1995-06-30	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
863666	2940	1995-07-31	VYDAJ	VYBER	15	16978	SLUZBY	\N	\N
863667	2940	1995-08-31	VYDAJ	VYBER	15	27957	SLUZBY	\N	\N
863668	2940	1995-09-30	VYDAJ	VYBER	15	76162	SLUZBY	\N	\N
863669	2940	1995-10-31	VYDAJ	VYBER	15	45224	SLUZBY	\N	\N
863670	2940	1995-11-30	VYDAJ	VYBER	15	29095	SLUZBY	\N	\N
863671	2940	1995-12-31	VYDAJ	VYBER	15	46008	SLUZBY	\N	\N
863672	2940	1996-01-31	VYDAJ	VYBER	15	23190	SLUZBY	\N	\N
863673	2940	1996-02-29	VYDAJ	VYBER	15	45807	SLUZBY	\N	\N
863674	2940	1996-03-31	VYDAJ	VYBER	15	44167	SLUZBY	\N	\N
863675	2940	1996-04-30	VYDAJ	VYBER	15	27829	SLUZBY	\N	\N
863676	2940	1996-05-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
863677	2940	1996-06-30	VYDAJ	VYBER	15	57820	SLUZBY	\N	\N
863678	2940	1996-07-31	VYDAJ	VYBER	15	102482	SLUZBY	\N	\N
863679	2940	1996-08-31	VYDAJ	VYBER	15	62623	SLUZBY	\N	\N
863680	2940	1996-09-30	VYDAJ	VYBER	15	75548	SLUZBY	\N	\N
863681	2940	1996-10-31	VYDAJ	VYBER	15	63771	SLUZBY	\N	\N
863682	2940	1996-11-30	VYDAJ	VYBER	15	86244	SLUZBY	\N	\N
863683	2940	1996-12-31	VYDAJ	VYBER	15	81505	SLUZBY	\N	\N
863684	2940	1997-01-31	VYDAJ	VYBER	15	24571	SLUZBY	\N	\N
863685	2940	1997-02-28	VYDAJ	VYBER	15	15166	SLUZBY	\N	\N
863686	2940	1997-03-31	VYDAJ	VYBER	15	31872	SLUZBY	\N	\N
863687	2940	1997-04-30	VYDAJ	VYBER	15	23501	SLUZBY	\N	\N
863688	2940	1997-05-31	VYDAJ	VYBER	15	16098	SLUZBY	\N	\N
863689	2940	1997-06-30	VYDAJ	VYBER	15	15188	SLUZBY	\N	\N
863690	2940	1997-07-31	VYDAJ	VYBER	15	10259	SLUZBY	\N	\N
863691	2940	1997-08-31	VYDAJ	VYBER	15	9425	SLUZBY	\N	\N
863692	2940	1997-09-30	VYDAJ	VYBER	15	11799	SLUZBY	\N	\N
863693	2940	1997-10-31	VYDAJ	VYBER	15	36266	SLUZBY	\N	\N
863694	2940	1997-11-30	VYDAJ	VYBER	15	30942	SLUZBY	\N	\N
863695	2940	1997-12-31	VYDAJ	VYBER	15	30830	SLUZBY	\N	\N
863696	2940	1998-01-31	VYDAJ	VYBER	15	30884	SLUZBY	\N	\N
863697	2940	1998-02-28	VYDAJ	VYBER	15	34039	SLUZBY	\N	\N
863698	2940	1998-03-31	VYDAJ	VYBER	15	47158	SLUZBY	\N	\N
863699	2940	1998-04-30	VYDAJ	VYBER	15	34834	SLUZBY	\N	\N
863700	2940	1998-05-31	VYDAJ	VYBER	15	40106	SLUZBY	\N	\N
863701	2940	1998-06-30	VYDAJ	VYBER	15	35162	SLUZBY	\N	\N
863702	2940	1998-07-31	VYDAJ	VYBER	15	39836	SLUZBY	\N	\N
863703	2940	1998-08-31	VYDAJ	VYBER	15	30119	SLUZBY	\N	\N
863704	2940	1998-09-30	VYDAJ	VYBER	15	39475	SLUZBY	\N	\N
863705	2940	1998-10-31	VYDAJ	VYBER	15	43106	SLUZBY	\N	\N
863706	2940	1998-11-30	VYDAJ	VYBER	15	46781	SLUZBY	\N	\N
863707	2940	1993-07-24	VYDAJ	VYBER	13400	41614	\N	\N	\N
863708	2940	1993-08-23	VYDAJ	VYBER	19600	46136	\N	\N	\N
863709	2940	1993-09-22	PRIJEM	VKLAD	1200	28817	\N	\N	\N
863710	2940	1993-10-22	VYDAJ	VYBER	32300	56939	\N	\N	\N
863711	2940	1993-11-16	VYDAJ	VYBER	55500	69613	\N	\N	\N
863712	2940	1993-11-21	VYDAJ	VYBER	23500	46113	\N	\N	\N
863713	2940	1993-12-21	VYDAJ	VYBER	20200	40950	\N	\N	\N
863714	2940	1994-01-20	PRIJEM	VKLAD	1600	23252	\N	\N	\N
863715	2940	1994-02-19	PRIJEM	VKLAD	4000	17004	\N	\N	\N
863716	2940	1994-03-21	PRIJEM	VKLAD	6000	15913	\N	\N	\N
863717	2940	1994-04-20	PRIJEM	VKLAD	10100	18911	\N	\N	\N
863718	2940	1994-05-20	PRIJEM	VKLAD	5200	25140	\N	\N	\N
863719	2940	1994-06-19	VYDAJ	VYBER	10800	36490	\N	\N	\N
863720	2940	1994-08-18	VYDAJ	VYBER	4200	27025	\N	\N	\N
863721	2940	1994-09-17	PRIJEM	VKLAD	4800	20720	\N	\N	\N
863722	2940	1994-10-17	PRIJEM	VKLAD	7900	21531	\N	\N	\N
863723	2940	1994-11-16	PRIJEM	VKLAD	6300	20748	\N	\N	\N
863724	2940	1994-12-16	PRIJEM	VKLAD	5700	19365	\N	\N	\N
863725	2940	1995-01-15	PRIJEM	VKLAD	7900	20178	\N	\N	\N
863726	2940	1995-02-14	PRIJEM	VKLAD	6900	19989	\N	\N	\N
863727	2940	1995-03-16	PRIJEM	VKLAD	4600	17502	\N	\N	\N
863728	2940	1995-04-15	VYDAJ	VYBER	9400	34397	\N	\N	\N
863729	2940	1995-05-15	PRIJEM	VKLAD	1000	24201	\N	\N	\N
863730	2940	1995-06-14	PRIJEM	VKLAD	3800	22589	\N	\N	\N
863731	2940	1995-07-14	PRIJEM	VKLAD	1400	16913	\N	\N	\N
863732	2940	1995-08-13	PRIJEM	VKLAD	6100	15922	\N	\N	\N
863733	2940	1995-09-12	VYDAJ	VYBER	21500	43944	\N	\N	\N
863734	2940	1995-10-12	VYDAJ	VYBER	24000	45006	\N	\N	\N
863735	2940	1995-11-11	VYDAJ	VYBER	9100	28968	\N	\N	\N
863736	2940	1995-12-11	PRIJEM	VKLAD	1100	21539	\N	\N	\N
863737	2940	1996-01-10	VYDAJ	VYBER	26100	48234	\N	\N	\N
863738	2940	1996-02-09	PRIJEM	VKLAD	1400	17434	\N	\N	\N
863739	2940	1996-03-10	VYDAJ	VYBER	25600	43926	\N	\N	\N
863740	2940	1996-04-09	VYDAJ	VYBER	9300	27711	\N	\N	\N
863741	2940	1996-05-09	VYDAJ	VYBER	4200	16473	\N	\N	\N
863742	2940	1996-06-08	VYDAJ	VYBER	2700	20607	\N	\N	\N
863743	2940	1996-07-08	VYDAJ	VYBER	28400	51458	\N	\N	\N
863744	2940	1996-08-07	VYDAJ	VYBER	35700	56382	\N	\N	\N
863745	2940	1996-08-26	VYDAJ	VYBER	59200	62347	\N	\N	\N
863746	2940	1996-09-06	VYDAJ	VYBER	17000	38467	\N	\N	\N
863747	2940	1996-10-06	VYDAJ	VYBER	38200	57969	\N	\N	\N
863748	2940	1996-11-05	VYDAJ	VYBER	17000	39615	\N	\N	\N
863749	2940	1996-12-01	VYDAJ	VYBER	64100	58504	\N	\N	\N
863750	2940	1996-12-05	VYDAJ	VYBER	20000	50131	\N	\N	\N
863751	2940	1996-12-05	VYDAJ	VYBER	39300	70131	\N	\N	\N
863752	2940	1996-12-05	VYDAJ	VYBER	24900	116587	\N	\N	\N
863753	2940	1997-01-04	VYDAJ	VYBER	25900	48105	\N	\N	\N
863754	2940	1997-02-03	VYDAJ	VYBER	2300	22271	\N	\N	\N
863755	2940	1997-03-05	PRIJEM	VKLAD	8400	23566	\N	\N	\N
863756	2940	1997-04-04	VYDAJ	VYBER	1300	30572	\N	\N	\N
863757	2940	1997-05-04	VYDAJ	VYBER	300	23201	\N	\N	\N
863758	2940	1997-06-03	PRIJEM	VKLAD	6200	22298	\N	\N	\N
863759	2940	1997-07-03	PRIJEM	VKLAD	2200	17388	\N	\N	\N
863760	2940	1997-08-02	PRIJEM	VKLAD	6300	16559	\N	\N	\N
863761	2940	1997-09-01	PRIJEM	VKLAD	9500	18925	\N	\N	\N
863762	2940	1997-10-01	PRIJEM	VKLAD	6300	18099	\N	\N	\N
863763	2940	1997-10-31	VYDAJ	VYBER	3900	36280	\N	\N	\N
863764	2940	1997-11-30	PRIJEM	VKLAD	1700	30956	\N	\N	\N
863765	2940	1997-12-30	PRIJEM	VKLAD	2300	30702	\N	\N	\N
863766	2940	1998-01-29	PRIJEM	VKLAD	7100	30774	\N	\N	\N
863767	2940	1998-02-28	PRIJEM	VKLAD	10200	34053	\N	\N	\N
863768	2940	1998-03-30	PRIJEM	VKLAD	800	47045	\N	\N	\N
863769	2940	1998-04-29	PRIJEM	VKLAD	17500	34760	\N	\N	\N
863770	2940	1998-05-29	PRIJEM	VKLAD	12300	39978	\N	\N	\N
863771	2940	1998-06-28	PRIJEM	VKLAD	11400	35050	\N	\N	\N
863772	2940	1998-07-28	PRIJEM	VKLAD	11700	39706	\N	\N	\N
863773	2940	1998-08-27	PRIJEM	VKLAD	15500	39904	\N	\N	\N
863774	2940	1998-09-26	PRIJEM	VKLAD	16400	39363	\N	\N	\N
863775	2940	1998-10-26	PRIJEM	VKLAD	15200	42989	\N	\N	\N
863776	2940	1998-11-25	PRIJEM	VKLAD	14000	46645	\N	\N	\N
864399	2942	1997-09-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
864409	2942	1997-10-13	PRIJEM	VKLAD	5285	6385	\N	\N	\N
864410	2942	1997-11-13	PRIJEM	VKLAD	5285	21187	\N	\N	\N
864411	2942	1997-12-13	PRIJEM	VKLAD	7928	35094	\N	\N	\N
864412	2942	1998-01-13	PRIJEM	VKLAD	5285	40301	\N	\N	\N
864413	2942	1998-02-13	PRIJEM	VKLAD	5285	42635	\N	\N	\N
864414	2942	1998-03-13	PRIJEM	VKLAD	5285	43342	\N	\N	\N
864415	2942	1998-04-13	PRIJEM	VKLAD	5285	46168	\N	\N	\N
864416	2942	1998-05-13	PRIJEM	VKLAD	5285	48605	\N	\N	\N
864417	2942	1998-06-13	PRIJEM	VKLAD	7928	44504	\N	\N	\N
864418	2942	1998-07-13	PRIJEM	VKLAD	5285	37498	\N	\N	\N
864419	2942	1998-08-13	PRIJEM	VKLAD	5285	38080	\N	\N	\N
864420	2942	1998-09-13	PRIJEM	VKLAD	5285	36879	\N	\N	\N
864421	2942	1998-10-13	PRIJEM	VKLAD	5285	30773	\N	\N	\N
864422	2942	1998-11-13	PRIJEM	VKLAD	5285	39563	\N	\N	\N
864423	2942	1998-12-13	PRIJEM	VKLAD	7928	47721	\N	\N	\N
864438	2942	1998-03-12	VYDAJ	PREVOD NA UCET	2451	38057	SIPO	QR	93897425
864439	2942	1998-04-12	VYDAJ	PREVOD NA UCET	2451	40883	SIPO	QR	93897425
864440	2942	1998-05-12	VYDAJ	PREVOD NA UCET	2451	43320	SIPO	QR	93897425
864441	2942	1998-06-12	VYDAJ	PREVOD NA UCET	2451	36576	SIPO	QR	93897425
864442	2942	1998-07-12	VYDAJ	PREVOD NA UCET	2451	32213	SIPO	QR	93897425
864443	2942	1998-08-12	VYDAJ	PREVOD NA UCET	2451	32795	SIPO	QR	93897425
864444	2942	1998-09-12	VYDAJ	PREVOD NA UCET	2451	31594	SIPO	QR	93897425
864445	2942	1998-10-12	VYDAJ	PREVOD NA UCET	2451	25488	SIPO	QR	93897425
864446	2942	1998-11-12	VYDAJ	PREVOD NA UCET	2451	34278	SIPO	QR	93897425
864447	2942	1998-12-12	VYDAJ	PREVOD NA UCET	2451	39793	SIPO	QR	93897425
864462	2942	1998-03-07	VYDAJ	PREVOD NA UCET	1072	40508	 	UV	81376140
864463	2942	1998-04-07	VYDAJ	PREVOD NA UCET	1072	43334	 	UV	81376140
864464	2942	1998-05-07	VYDAJ	PREVOD NA UCET	1072	45771	 	UV	81376140
864465	2942	1998-06-07	VYDAJ	PREVOD NA UCET	1072	39027	 	UV	81376140
864466	2942	1998-07-07	VYDAJ	PREVOD NA UCET	1072	36824	 	UV	81376140
864467	2942	1998-08-07	VYDAJ	PREVOD NA UCET	1072	36566	 	UV	81376140
864468	2942	1998-09-07	VYDAJ	PREVOD NA UCET	1072	34045	 	UV	81376140
864469	2942	1998-10-07	VYDAJ	PREVOD NA UCET	1072	32619	 	UV	81376140
864470	2942	1998-11-07	VYDAJ	PREVOD NA UCET	1072	36729	 	UV	81376140
864471	2942	1998-12-07	VYDAJ	PREVOD NA UCET	1072	42244	 	UV	81376140
864482	2942	1998-07-08	VYDAJ	VYBER	2160	34664	\N	\N	\N
864483	2942	1998-09-26	VYDAJ	VYBER	1920	33559	\N	\N	\N
864484	2942	1998-05-25	VYDAJ	VYBER	2280	39925	\N	\N	\N
864485	2942	1998-06-19	VYDAJ	VYBER	4560	39944	\N	\N	\N
864486	2942	1998-08-11	VYDAJ	VYBER	1320	35246	\N	\N	\N
864487	2942	1998-10-11	VYDAJ	VYBER	4680	27939	\N	\N	\N
864502	2942	1998-02-28	VYDAJ	VYBER	15	41580	SLUZBY	\N	\N
864503	2942	1998-03-31	VYDAJ	VYBER	15	44406	SLUZBY	\N	\N
864504	2942	1998-04-30	VYDAJ	VYBER	15	46843	SLUZBY	\N	\N
864505	2942	1998-05-31	VYDAJ	VYBER	15	40099	SLUZBY	\N	\N
864506	2942	1998-06-30	VYDAJ	VYBER	15	37896	SLUZBY	\N	\N
864507	2942	1998-07-31	VYDAJ	VYBER	15	37638	SLUZBY	\N	\N
864508	2942	1998-08-31	VYDAJ	VYBER	15	35117	SLUZBY	\N	\N
864509	2942	1998-09-30	VYDAJ	VYBER	15	33691	SLUZBY	\N	\N
864510	2942	1998-10-31	VYDAJ	VYBER	15	37801	SLUZBY	\N	\N
864511	2942	1998-11-30	VYDAJ	VYBER	15	43316	SLUZBY	\N	\N
864512	2942	1997-10-24	PRIJEM	VKLAD	9500	15885	\N	\N	\N
864513	2942	1997-11-23	PRIJEM	VKLAD	5900	27087	\N	\N	\N
864514	2942	1997-12-23	VYDAJ	VYBER	200	34894	\N	\N	\N
864515	2942	1998-01-22	VYDAJ	VYBER	3100	37201	\N	\N	\N
864516	2942	1998-02-21	VYDAJ	VYBER	1200	41435	\N	\N	\N
864517	2942	1998-03-23	PRIJEM	VKLAD	900	44242	\N	\N	\N
864518	2942	1998-04-22	PRIJEM	VKLAD	500	46668	\N	\N	\N
864519	2942	1998-05-22	VYDAJ	VYBER	6400	42205	\N	\N	\N
864520	2942	1998-06-21	VYDAJ	VYBER	2200	37744	\N	\N	\N
864521	2942	1998-08-20	VYDAJ	VYBER	3100	34980	\N	\N	\N
864522	2942	1998-09-19	VYDAJ	VYBER	1400	35479	\N	\N	\N
864523	2942	1998-10-19	PRIJEM	VKLAD	6900	37673	\N	\N	\N
864524	2942	1998-11-18	PRIJEM	VKLAD	3600	43163	\N	\N	\N
864833	2944	1996-01-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
864834	2944	1996-01-13	PRIJEM	VKLAD	5746	6746	\N	\N	\N
864835	2944	1996-02-13	PRIJEM	VKLAD	5746	20809	\N	\N	\N
864836	2944	1996-03-13	PRIJEM	VKLAD	5746	29918	\N	\N	\N
864837	2944	1996-04-13	PRIJEM	VKLAD	5746	31874	\N	\N	\N
864838	2944	1996-05-13	PRIJEM	VKLAD	5746	36149	\N	\N	\N
864839	2944	1996-06-13	PRIJEM	VKLAD	8619	33451	\N	\N	\N
864840	2944	1996-07-13	PRIJEM	VKLAD	5746	25945	\N	\N	\N
864841	2944	1996-08-13	PRIJEM	VKLAD	5746	28875	\N	\N	\N
864842	2944	1996-09-13	PRIJEM	VKLAD	5746	24124	\N	\N	\N
864843	2944	1996-10-13	PRIJEM	VKLAD	5746	24656	\N	\N	\N
864844	2944	1996-11-13	PRIJEM	VKLAD	5746	23487	\N	\N	\N
864845	2944	1996-12-13	PRIJEM	VKLAD	8619	22818	\N	\N	\N
864846	2944	1997-01-13	PRIJEM	VKLAD	5746	19271	\N	\N	\N
864847	2944	1997-02-13	PRIJEM	VKLAD	5746	16807	\N	\N	\N
864848	2944	1997-03-13	PRIJEM	VKLAD	5746	19402	\N	\N	\N
864849	2944	1997-04-13	PRIJEM	VKLAD	5746	20209	\N	\N	\N
864850	2944	1997-05-13	PRIJEM	VKLAD	5746	19681	\N	\N	\N
864851	2944	1997-06-13	PRIJEM	VKLAD	8619	26263	\N	\N	\N
864852	2944	1997-07-13	PRIJEM	VKLAD	5746	28693	\N	\N	\N
864853	2944	1997-08-13	PRIJEM	VKLAD	5746	26838	\N	\N	\N
864854	2944	1997-09-13	PRIJEM	VKLAD	5746	24738	\N	\N	\N
864855	2944	1997-10-13	PRIJEM	VKLAD	5746	30869	\N	\N	\N
864856	2944	1997-11-13	PRIJEM	VKLAD	5746	33522	\N	\N	\N
864857	2944	1997-12-13	PRIJEM	VKLAD	8619	36820	\N	\N	\N
864858	2944	1998-01-13	PRIJEM	VKLAD	5746	35892	\N	\N	\N
864859	2944	1998-02-13	PRIJEM	VKLAD	5746	39243	\N	\N	\N
864860	2944	1998-03-13	PRIJEM	VKLAD	5746	42732	\N	\N	\N
864861	2944	1998-04-13	PRIJEM	VKLAD	5746	42235	\N	\N	\N
864862	2944	1998-05-13	PRIJEM	VKLAD	5746	48740	\N	\N	\N
864863	2944	1998-06-13	PRIJEM	VKLAD	8619	51541	\N	\N	\N
864864	2944	1998-07-13	PRIJEM	VKLAD	5746	36246	\N	\N	\N
864865	2944	1998-08-13	PRIJEM	VKLAD	5746	42924	\N	\N	\N
864866	2944	1998-09-13	PRIJEM	VKLAD	5746	47191	\N	\N	\N
864867	2944	1998-10-13	PRIJEM	VKLAD	5746	43735	\N	\N	\N
864868	2944	1998-11-13	PRIJEM	VKLAD	5746	50746	\N	\N	\N
864869	2944	1998-12-13	PRIJEM	VKLAD	8619	55855	\N	\N	\N
864875	2944	1996-06-08	VYDAJ	PREVOD NA UCET	2984	28832	SIPO	QR	674886
864876	2944	1996-07-08	VYDAJ	PREVOD NA UCET	2984	16499	SIPO	QR	674886
864877	2944	1996-08-08	VYDAJ	PREVOD NA UCET	2984	23129	SIPO	QR	674886
864878	2944	1996-09-08	VYDAJ	PREVOD NA UCET	2984	18378	SIPO	QR	674886
864879	2944	1996-10-08	VYDAJ	PREVOD NA UCET	2984	18910	SIPO	QR	674886
864880	2944	1996-11-08	VYDAJ	PREVOD NA UCET	2984	17741	SIPO	QR	674886
864881	2944	1996-12-08	VYDAJ	PREVOD NA UCET	2984	14199	SIPO	QR	674886
864882	2944	1997-01-08	VYDAJ	PREVOD NA UCET	2984	13525	SIPO	QR	674886
864883	2944	1997-02-08	VYDAJ	PREVOD NA UCET	2984	11061	SIPO	QR	674886
864884	2944	1997-03-08	VYDAJ	PREVOD NA UCET	2984	13656	SIPO	QR	674886
864885	2944	1997-04-08	VYDAJ	PREVOD NA UCET	2984	14463	SIPO	QR	674886
864886	2944	1997-05-08	VYDAJ	PREVOD NA UCET	2984	13935	SIPO	QR	674886
864887	2944	1997-06-08	VYDAJ	PREVOD NA UCET	2984	17644	SIPO	QR	674886
864888	2944	1997-07-08	VYDAJ	PREVOD NA UCET	2984	22947	SIPO	QR	674886
864889	2944	1997-08-08	VYDAJ	PREVOD NA UCET	2984	21092	SIPO	QR	674886
864890	2944	1997-09-08	VYDAJ	PREVOD NA UCET	2984	18992	SIPO	QR	674886
864891	2944	1997-10-08	VYDAJ	PREVOD NA UCET	2984	25123	SIPO	QR	674886
864892	2944	1997-11-08	VYDAJ	PREVOD NA UCET	2984	27776	SIPO	QR	674886
864893	2944	1997-12-08	VYDAJ	PREVOD NA UCET	2984	28201	SIPO	QR	674886
864894	2944	1998-01-08	VYDAJ	PREVOD NA UCET	2984	33626	SIPO	QR	674886
864895	2944	1998-02-08	VYDAJ	PREVOD NA UCET	2984	33497	SIPO	QR	674886
864896	2944	1998-03-08	VYDAJ	PREVOD NA UCET	2984	36986	SIPO	QR	674886
864897	2944	1998-04-08	VYDAJ	PREVOD NA UCET	2984	36489	SIPO	QR	674886
864898	2944	1998-05-08	VYDAJ	PREVOD NA UCET	2984	42994	SIPO	QR	674886
864899	2944	1998-06-08	VYDAJ	PREVOD NA UCET	2984	42922	SIPO	QR	674886
864900	2944	1998-07-08	VYDAJ	PREVOD NA UCET	2984	30500	SIPO	QR	674886
864901	2944	1998-08-08	VYDAJ	PREVOD NA UCET	2984	37178	SIPO	QR	674886
864902	2944	1998-09-08	VYDAJ	PREVOD NA UCET	2984	41445	SIPO	QR	674886
864903	2944	1998-10-08	VYDAJ	PREVOD NA UCET	2984	37989	SIPO	QR	674886
864904	2944	1998-11-08	VYDAJ	PREVOD NA UCET	2984	45000	SIPO	QR	674886
864905	2944	1998-12-08	VYDAJ	PREVOD NA UCET	2984	47236	SIPO	QR	674886
864911	2944	1996-06-05	VYDAJ	PREVOD NA UCET	615	31816	 	MN	7655978
864912	2944	1996-07-05	VYDAJ	PREVOD NA UCET	615	19483	 	MN	7655978
864913	2944	1996-08-05	VYDAJ	PREVOD NA UCET	615	25413	 	MN	7655978
864914	2944	1996-09-05	VYDAJ	PREVOD NA UCET	615	28362	 	MN	7655978
864915	2944	1996-10-05	VYDAJ	PREVOD NA UCET	615	23594	 	MN	7655978
864916	2944	1996-11-05	VYDAJ	PREVOD NA UCET	615	24125	 	MN	7655978
864917	2944	1996-12-05	VYDAJ	PREVOD NA UCET	615	17783	 	MN	7655978
864918	2944	1997-01-05	VYDAJ	PREVOD NA UCET	615	19509	 	MN	7655978
864919	2944	1997-02-05	VYDAJ	PREVOD NA UCET	615	14045	 	MN	7655978
864920	2944	1997-03-05	VYDAJ	PREVOD NA UCET	615	16240	 	MN	7655978
864921	2944	1997-04-05	VYDAJ	PREVOD NA UCET	615	18847	 	MN	7655978
864922	2944	1997-05-05	VYDAJ	PREVOD NA UCET	615	16919	 	MN	7655978
864923	2944	1997-06-05	VYDAJ	PREVOD NA UCET	615	20628	 	MN	7655978
864924	2944	1997-07-05	VYDAJ	PREVOD NA UCET	615	25931	 	MN	7655978
864925	2944	1997-08-05	VYDAJ	PREVOD NA UCET	615	24076	 	MN	7655978
864926	2944	1997-09-05	VYDAJ	PREVOD NA UCET	615	21976	 	MN	7655978
864927	2944	1997-10-05	VYDAJ	PREVOD NA UCET	615	28107	 	MN	7655978
864928	2944	1997-11-05	VYDAJ	PREVOD NA UCET	615	30760	 	MN	7655978
864929	2944	1997-12-05	VYDAJ	PREVOD NA UCET	615	31185	 	MN	7655978
864930	2944	1998-01-05	VYDAJ	PREVOD NA UCET	615	36610	 	MN	7655978
864931	2944	1998-02-05	VYDAJ	PREVOD NA UCET	615	36481	 	MN	7655978
864932	2944	1998-03-05	VYDAJ	PREVOD NA UCET	615	39970	 	MN	7655978
864933	2944	1998-04-05	VYDAJ	PREVOD NA UCET	615	39473	 	MN	7655978
864934	2944	1998-05-05	VYDAJ	PREVOD NA UCET	615	45978	 	MN	7655978
864935	2944	1998-06-05	VYDAJ	PREVOD NA UCET	615	45906	 	MN	7655978
864936	2944	1998-07-05	VYDAJ	PREVOD NA UCET	615	33484	 	MN	7655978
864937	2944	1998-08-05	VYDAJ	PREVOD NA UCET	615	40162	 	MN	7655978
864938	2944	1998-09-05	VYDAJ	PREVOD NA UCET	615	45869	 	MN	7655978
864939	2944	1998-10-05	VYDAJ	PREVOD NA UCET	615	40973	 	MN	7655978
864940	2944	1998-11-05	VYDAJ	PREVOD NA UCET	615	47984	 	MN	7655978
864941	2944	1998-12-05	VYDAJ	PREVOD NA UCET	615	50220	 	MN	7655978
864942	2944	1996-06-14	VYDAJ	VYBER	13440	20011	\N	\N	\N
864944	2944	1998-06-24	VYDAJ	VYBER	37600	13941	\N	\N	\N
864945	2944	1996-12-23	VYDAJ	VYBER	2400	20418	\N	\N	\N
864946	2944	1997-12-15	VYDAJ	VYBER	1120	35700	\N	\N	\N
864947	2944	1998-12-29	VYDAJ	VYBER	2400	46255	\N	\N	\N
864954	2944	1997-01-24	VYDAJ	VYBER	1440	14471	\N	\N	\N
864955	2944	1997-01-24	VYDAJ	VYBER	960	13511	\N	\N	\N
864956	2944	1997-01-13	VYDAJ	VYBER	960	18311	\N	\N	\N
864957	2944	1997-01-02	VYDAJ	VYBER	600	14724	\N	\N	\N
864958	2944	1997-01-07	VYDAJ	VYBER	3000	16509	\N	\N	\N
864959	2944	1997-01-17	VYDAJ	VYBER	2400	15911	\N	\N	\N
864960	2944	1998-01-21	VYDAJ	VYBER	2640	29172	\N	\N	\N
864961	2944	1998-01-12	VYDAJ	VYBER	3480	30146	\N	\N	\N
864962	2944	1998-01-26	VYDAJ	VYBER	1920	27252	\N	\N	\N
864963	2944	1998-01-16	VYDAJ	VYBER	2400	31812	\N	\N	\N
864964	2944	1998-01-16	VYDAJ	VYBER	1680	34212	\N	\N	\N
864965	2944	1998-01-29	VYDAJ	VYBER	2280	24972	\N	\N	\N
864966	2944	1996-12-30	VYDAJ	VYBER	5160	15258	\N	\N	\N
864967	2944	1996-11-20	VYDAJ	VYBER	5160	18327	\N	\N	\N
864969	2944	1996-05-18	VYDAJ	VYBER	3840	32309	\N	\N	\N
864972	2944	1997-08-31	VYDAJ	VYBER	4440	22491	\N	\N	\N
864973	2944	1997-11-13	VYDAJ	VYBER	1080	32442	\N	\N	\N
864974	2944	1997-08-04	VYDAJ	VYBER	1200	24691	\N	\N	\N
864976	2944	1997-05-04	VYDAJ	VYBER	5040	15234	\N	\N	\N
864977	2944	1997-11-30	VYDAJ	VYBER	5760	26800	\N	\N	\N
864978	2944	1998-09-29	VYDAJ	VYBER	5280	41411	\N	\N	\N
864979	2944	1998-09-08	VYDAJ	VYBER	1440	44429	\N	\N	\N
864985	2944	1996-05-31	VYDAJ	VYBER	15	32431	SLUZBY	\N	\N
864986	2944	1996-06-30	VYDAJ	VYBER	15	20098	SLUZBY	\N	\N
864987	2944	1996-07-31	VYDAJ	VYBER	15	26028	SLUZBY	\N	\N
864988	2944	1996-08-31	VYDAJ	VYBER	15	28977	SLUZBY	\N	\N
864989	2944	1996-09-30	VYDAJ	VYBER	15	24209	SLUZBY	\N	\N
864990	2944	1996-10-31	VYDAJ	VYBER	15	24740	SLUZBY	\N	\N
864991	2944	1996-11-30	VYDAJ	VYBER	15	18398	SLUZBY	\N	\N
864992	2944	1996-12-31	VYDAJ	VYBER	15	15324	SLUZBY	\N	\N
864993	2944	1997-01-31	VYDAJ	VYBER	15	13560	SLUZBY	\N	\N
864994	2944	1997-02-28	VYDAJ	VYBER	15	16855	SLUZBY	\N	\N
864995	2944	1997-03-31	VYDAJ	VYBER	15	19462	SLUZBY	\N	\N
864996	2944	1997-04-30	VYDAJ	VYBER	15	20274	SLUZBY	\N	\N
864997	2944	1997-05-31	VYDAJ	VYBER	15	19743	SLUZBY	\N	\N
864998	2944	1997-06-30	VYDAJ	VYBER	15	26346	SLUZBY	\N	\N
864999	2944	1997-07-31	VYDAJ	VYBER	15	28791	SLUZBY	\N	\N
865000	2944	1997-08-31	VYDAJ	VYBER	15	26931	SLUZBY	\N	\N
865001	2944	1997-09-30	VYDAJ	VYBER	15	24822	SLUZBY	\N	\N
865002	2944	1997-10-31	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
865003	2944	1997-11-30	VYDAJ	VYBER	15	32560	SLUZBY	\N	\N
865004	2944	1997-12-31	VYDAJ	VYBER	15	37225	SLUZBY	\N	\N
865005	2944	1998-01-31	VYDAJ	VYBER	15	37096	SLUZBY	\N	\N
865006	2944	1998-02-28	VYDAJ	VYBER	15	39385	SLUZBY	\N	\N
865007	2944	1998-03-31	VYDAJ	VYBER	15	42888	SLUZBY	\N	\N
865008	2944	1998-04-30	VYDAJ	VYBER	15	46593	SLUZBY	\N	\N
865009	2944	1998-05-31	VYDAJ	VYBER	15	46521	SLUZBY	\N	\N
865010	2944	1998-06-30	VYDAJ	VYBER	15	34099	SLUZBY	\N	\N
865011	2944	1998-07-31	VYDAJ	VYBER	15	40777	SLUZBY	\N	\N
865012	2944	1998-08-31	VYDAJ	VYBER	15	46484	SLUZBY	\N	\N
865013	2944	1998-09-30	VYDAJ	VYBER	15	41588	SLUZBY	\N	\N
865014	2944	1998-10-31	VYDAJ	VYBER	15	48599	SLUZBY	\N	\N
865015	2944	1998-11-30	VYDAJ	VYBER	15	50835	SLUZBY	\N	\N
865016	2944	1996-02-10	PRIJEM	VKLAD	8300	15063	\N	\N	\N
865017	2944	1996-03-11	PRIJEM	VKLAD	3300	24172	\N	\N	\N
865018	2944	1996-04-10	VYDAJ	VYBER	3900	26128	\N	\N	\N
865019	2944	1996-05-10	VYDAJ	VYBER	1600	30403	\N	\N	\N
865020	2944	1996-06-09	VYDAJ	VYBER	4000	24832	\N	\N	\N
865021	2944	1996-07-09	PRIJEM	VKLAD	3700	20199	\N	\N	\N
865022	2944	1996-08-08	PRIJEM	VKLAD	700	26113	\N	\N	\N
865023	2944	1996-09-07	VYDAJ	VYBER	7000	21362	\N	\N	\N
865024	2944	1996-10-07	VYDAJ	VYBER	1700	21894	\N	\N	\N
865025	2944	1996-11-06	VYDAJ	VYBER	3400	20725	\N	\N	\N
865026	2944	1996-12-06	VYDAJ	VYBER	600	17183	\N	\N	\N
865027	2944	1997-01-05	PRIJEM	VKLAD	5400	20124	\N	\N	\N
865028	2944	1997-02-04	PRIJEM	VKLAD	1100	14660	\N	\N	\N
865029	2944	1997-03-06	PRIJEM	VKLAD	400	16640	\N	\N	\N
865030	2944	1997-04-05	VYDAJ	VYBER	1400	17447	\N	\N	\N
865031	2944	1997-05-05	PRIJEM	VKLAD	2300	17534	\N	\N	\N
865032	2944	1997-06-04	PRIJEM	VKLAD	1500	21243	\N	\N	\N
865033	2944	1997-07-04	PRIJEM	VKLAD	200	26546	\N	\N	\N
865034	2944	1997-08-03	VYDAJ	VYBER	2900	25891	\N	\N	\N
865035	2944	1997-09-02	PRIJEM	VKLAD	100	22591	\N	\N	\N
865036	2944	1997-10-02	PRIJEM	VKLAD	3900	28722	\N	\N	\N
865037	2944	1997-11-01	PRIJEM	VKLAD	400	31375	\N	\N	\N
865038	2944	1997-12-01	PRIJEM	VKLAD	5000	31800	\N	\N	\N
865039	2944	1997-12-31	PRIJEM	VKLAD	1400	37240	\N	\N	\N
865040	2944	1998-01-30	PRIJEM	VKLAD	12000	36972	\N	\N	\N
865041	2944	1998-03-01	PRIJEM	VKLAD	1200	40585	\N	\N	\N
865042	2944	1998-03-31	VYDAJ	VYBER	2800	40088	\N	\N	\N
865043	2944	1998-04-30	PRIJEM	VKLAD	4200	46607	\N	\N	\N
865044	2944	1998-05-30	VYDAJ	VYBER	2400	46340	\N	\N	\N
865045	2944	1998-06-29	PRIJEM	VKLAD	20000	33941	\N	\N	\N
865046	2944	1998-07-29	PRIJEM	VKLAD	4400	40646	\N	\N	\N
865047	2944	1998-08-28	PRIJEM	VKLAD	3400	46324	\N	\N	\N
865048	2944	1998-09-27	VYDAJ	VYBER	500	46691	\N	\N	\N
865049	2944	1998-10-27	PRIJEM	VKLAD	4700	48435	\N	\N	\N
865050	2944	1998-11-26	VYDAJ	VYBER	100	50646	\N	\N	\N
865051	2944	1998-12-26	VYDAJ	VYBER	7200	48655	\N	\N	\N
865088	2945	1996-07-11	PRIJEM	VKLAD	300	300	\N	\N	\N
865096	2945	1996-08-11	PRIJEM	PREVOD Z UCTU	5959	6259	DUCHOD	OP	62712740
865097	2945	1996-09-11	PRIJEM	PREVOD Z UCTU	5959	12218	DUCHOD	OP	62712740
865098	2945	1996-10-11	PRIJEM	PREVOD Z UCTU	5959	18177	DUCHOD	OP	62712740
865099	2945	1996-11-11	PRIJEM	PREVOD Z UCTU	5959	22836	DUCHOD	OP	62712740
865100	2945	1996-12-11	PRIJEM	PREVOD Z UCTU	5959	25458	DUCHOD	OP	62712740
865101	2945	1997-01-11	PRIJEM	PREVOD Z UCTU	5959	23844	DUCHOD	OP	62712740
865102	2945	1997-02-11	PRIJEM	PREVOD Z UCTU	5959	18599	DUCHOD	OP	62712740
865103	2945	1997-03-11	PRIJEM	PREVOD Z UCTU	5959	18554	DUCHOD	OP	62712740
865104	2945	1997-04-11	PRIJEM	PREVOD Z UCTU	5959	20812	DUCHOD	OP	62712740
865105	2945	1997-05-11	PRIJEM	PREVOD Z UCTU	5959	22979	DUCHOD	OP	62712740
865106	2945	1997-06-11	PRIJEM	PREVOD Z UCTU	5959	24855	DUCHOD	OP	62712740
865107	2945	1997-07-11	PRIJEM	PREVOD Z UCTU	5959	23639	DUCHOD	OP	62712740
865108	2945	1997-08-11	PRIJEM	PREVOD Z UCTU	5959	19522	DUCHOD	OP	62712740
865109	2945	1997-09-11	PRIJEM	PREVOD Z UCTU	5959	17992	DUCHOD	OP	62712740
865110	2945	1997-10-11	PRIJEM	PREVOD Z UCTU	5959	22152	DUCHOD	OP	62712740
865111	2945	1997-11-11	PRIJEM	PREVOD Z UCTU	5959	19521	DUCHOD	OP	62712740
865112	2945	1997-12-11	PRIJEM	PREVOD Z UCTU	5959	18188	DUCHOD	OP	62712740
865113	2945	1998-01-11	PRIJEM	PREVOD Z UCTU	5959	18857	DUCHOD	OP	62712740
865114	2945	1998-02-11	PRIJEM	PREVOD Z UCTU	5959	18364	DUCHOD	OP	62712740
865115	2945	1998-03-11	PRIJEM	PREVOD Z UCTU	5959	21516	DUCHOD	OP	62712740
865116	2945	1998-04-11	PRIJEM	PREVOD Z UCTU	5959	21784	DUCHOD	OP	62712740
865117	2945	1998-05-11	PRIJEM	PREVOD Z UCTU	5959	20558	DUCHOD	OP	62712740
865118	2945	1998-06-11	PRIJEM	PREVOD Z UCTU	5959	18028	DUCHOD	OP	62712740
865119	2945	1998-07-11	PRIJEM	PREVOD Z UCTU	5959	18289	DUCHOD	OP	62712740
865120	2945	1998-08-11	PRIJEM	PREVOD Z UCTU	5959	20126	DUCHOD	OP	62712740
865121	2945	1998-09-11	PRIJEM	PREVOD Z UCTU	5959	22185	DUCHOD	OP	62712740
865122	2945	1998-10-11	PRIJEM	PREVOD Z UCTU	5959	22153	DUCHOD	OP	62712740
865123	2945	1998-11-11	PRIJEM	PREVOD Z UCTU	5959	20319	DUCHOD	OP	62712740
865124	2945	1998-12-11	PRIJEM	PREVOD Z UCTU	5959	20378	DUCHOD	OP	62712740
865136	2945	1996-12-12	VYDAJ	PREVOD NA UCET	1854	22604	SIPO	AB	32185286
865137	2945	1997-01-12	VYDAJ	PREVOD NA UCET	1854	21990	SIPO	AB	32185286
865138	2945	1997-02-12	VYDAJ	PREVOD NA UCET	1854	16745	SIPO	AB	32185286
865139	2945	1997-03-12	VYDAJ	PREVOD NA UCET	1854	16700	SIPO	AB	32185286
865140	2945	1997-04-12	VYDAJ	PREVOD NA UCET	1854	18958	SIPO	AB	32185286
865141	2945	1997-05-12	VYDAJ	PREVOD NA UCET	1854	21125	SIPO	AB	32185286
865142	2945	1997-06-12	VYDAJ	PREVOD NA UCET	1854	23001	SIPO	AB	32185286
865143	2945	1997-07-12	VYDAJ	PREVOD NA UCET	1854	21785	SIPO	AB	32185286
865144	2945	1997-08-12	VYDAJ	PREVOD NA UCET	1854	17668	SIPO	AB	32185286
865145	2945	1997-09-12	VYDAJ	PREVOD NA UCET	1854	16138	SIPO	AB	32185286
865146	2945	1997-10-12	VYDAJ	PREVOD NA UCET	1854	20298	SIPO	AB	32185286
865147	2945	1997-11-12	VYDAJ	PREVOD NA UCET	1854	17667	SIPO	AB	32185286
865148	2945	1997-12-12	VYDAJ	PREVOD NA UCET	1854	15484	SIPO	AB	32185286
865149	2945	1998-01-12	VYDAJ	PREVOD NA UCET	1854	15723	SIPO	AB	32185286
865150	2945	1998-02-12	VYDAJ	PREVOD NA UCET	1854	16510	SIPO	AB	32185286
865151	2945	1998-03-12	VYDAJ	PREVOD NA UCET	1854	19662	SIPO	AB	32185286
865152	2945	1998-04-12	VYDAJ	PREVOD NA UCET	1854	19930	SIPO	AB	32185286
865153	2945	1998-05-12	VYDAJ	PREVOD NA UCET	1854	18704	SIPO	AB	32185286
865154	2945	1998-06-12	VYDAJ	PREVOD NA UCET	1854	16174	SIPO	AB	32185286
865155	2945	1998-07-12	VYDAJ	PREVOD NA UCET	1854	16435	SIPO	AB	32185286
865156	2945	1998-08-12	VYDAJ	PREVOD NA UCET	1854	18272	SIPO	AB	32185286
865157	2945	1998-09-12	VYDAJ	PREVOD NA UCET	1854	20331	SIPO	AB	32185286
865158	2945	1998-10-12	VYDAJ	PREVOD NA UCET	1854	20299	SIPO	AB	32185286
865159	2945	1998-11-12	VYDAJ	PREVOD NA UCET	1854	18465	SIPO	AB	32185286
865160	2945	1998-12-12	VYDAJ	PREVOD NA UCET	1854	18524	SIPO	AB	32185286
865165	2945	1997-01-20	VYDAJ	VYBER	4750	14920	\N	\N	\N
865167	2945	1996-12-11	VYDAJ	VYBER	1000	24458	\N	\N	\N
865168	2945	1997-12-11	VYDAJ	VYBER	850	17338	\N	\N	\N
865169	2945	1998-12-24	VYDAJ	VYBER	900	14104	\N	\N	\N
865176	2945	1997-01-21	VYDAJ	VYBER	2240	12680	\N	\N	\N
865177	2945	1997-01-17	VYDAJ	VYBER	1200	19670	\N	\N	\N
865178	2945	1997-01-07	VYDAJ	VYBER	1440	19645	\N	\N	\N
865179	2945	1997-01-15	VYDAJ	VYBER	1120	20870	\N	\N	\N
865180	2945	1997-01-10	VYDAJ	VYBER	1760	17885	\N	\N	\N
865182	2945	1998-01-07	VYDAJ	VYBER	2160	12898	\N	\N	\N
865185	2945	1998-01-28	VYDAJ	VYBER	560	12363	\N	\N	\N
865186	2945	1998-01-11	VYDAJ	VYBER	1280	17577	\N	\N	\N
865187	2945	1998-01-06	VYDAJ	VYBER	480	15058	\N	\N	\N
865193	2945	1997-03-04	VYDAJ	VYBER	3200	13595	\N	\N	\N
865195	2945	1998-07-25	VYDAJ	VYBER	2320	14115	\N	\N	\N
865196	2945	1998-01-14	VYDAJ	VYBER	2800	12923	\N	\N	\N
865197	2945	1998-12-17	VYDAJ	VYBER	3520	15004	\N	\N	\N
865211	2945	1996-12-31	VYDAJ	VYBER	15	22685	SLUZBY	\N	\N
865212	2945	1997-01-31	VYDAJ	VYBER	15	12740	SLUZBY	\N	\N
865213	2945	1997-02-28	VYDAJ	VYBER	15	16795	SLUZBY	\N	\N
865214	2945	1997-03-31	VYDAJ	VYBER	15	16753	SLUZBY	\N	\N
865215	2945	1997-04-30	VYDAJ	VYBER	15	19020	SLUZBY	\N	\N
865216	2945	1997-05-31	VYDAJ	VYBER	15	21196	SLUZBY	\N	\N
865217	2945	1997-06-30	VYDAJ	VYBER	15	23080	SLUZBY	\N	\N
865218	2945	1997-07-31	VYDAJ	VYBER	15	21863	SLUZBY	\N	\N
865219	2945	1997-08-31	VYDAJ	VYBER	15	17733	SLUZBY	\N	\N
865220	2945	1997-09-30	VYDAJ	VYBER	15	16193	SLUZBY	\N	\N
865221	2945	1997-10-31	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
865222	2945	1997-11-30	VYDAJ	VYBER	15	17729	SLUZBY	\N	\N
865223	2945	1997-12-31	VYDAJ	VYBER	15	15538	SLUZBY	\N	\N
865224	2945	1998-01-31	VYDAJ	VYBER	15	12405	SLUZBY	\N	\N
865225	2945	1998-02-28	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
865226	2945	1998-03-31	VYDAJ	VYBER	15	19725	SLUZBY	\N	\N
865227	2945	1998-04-30	VYDAJ	VYBER	15	19999	SLUZBY	\N	\N
865228	2945	1998-05-31	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
865229	2945	1998-06-30	VYDAJ	VYBER	15	16230	SLUZBY	\N	\N
865230	2945	1998-07-31	VYDAJ	VYBER	15	14167	SLUZBY	\N	\N
865231	2945	1998-08-31	VYDAJ	VYBER	15	16226	SLUZBY	\N	\N
865232	2945	1998-09-30	VYDAJ	VYBER	15	16194	SLUZBY	\N	\N
865233	2945	1998-10-31	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
865234	2945	1998-11-30	VYDAJ	VYBER	15	14419	SLUZBY	\N	\N
865235	2945	1996-11-08	VYDAJ	VYBER	1300	16877	\N	\N	\N
865236	2945	1996-12-08	VYDAJ	VYBER	3400	19499	\N	\N	\N
865237	2945	1997-01-07	VYDAJ	VYBER	1600	21085	\N	\N	\N
865238	2945	1997-02-06	VYDAJ	VYBER	100	12640	\N	\N	\N
865239	2945	1997-03-08	VYDAJ	VYBER	1000	12595	\N	\N	\N
865240	2945	1997-04-07	VYDAJ	VYBER	1900	14853	\N	\N	\N
865241	2945	1997-05-07	VYDAJ	VYBER	2000	17020	\N	\N	\N
865242	2945	1997-06-06	VYDAJ	VYBER	2300	18896	\N	\N	\N
865243	2945	1997-07-06	VYDAJ	VYBER	5400	17680	\N	\N	\N
865244	2945	1997-08-05	VYDAJ	VYBER	8300	13563	\N	\N	\N
865245	2945	1997-09-04	VYDAJ	VYBER	5700	12033	\N	\N	\N
865246	2945	1997-11-03	VYDAJ	VYBER	6800	13562	\N	\N	\N
865247	2945	1997-12-03	VYDAJ	VYBER	5500	12229	\N	\N	\N
865248	2945	1998-03-03	VYDAJ	VYBER	1000	15557	\N	\N	\N
865249	2945	1998-04-02	VYDAJ	VYBER	3900	15825	\N	\N	\N
865250	2945	1998-05-02	VYDAJ	VYBER	5400	14599	\N	\N	\N
865251	2945	1998-06-01	VYDAJ	VYBER	6700	12069	\N	\N	\N
865252	2945	1998-07-01	VYDAJ	VYBER	3900	12330	\N	\N	\N
865253	2945	1998-08-30	VYDAJ	VYBER	2100	16172	\N	\N	\N
865254	2945	1998-09-29	VYDAJ	VYBER	4200	16131	\N	\N	\N
865255	2945	1998-10-29	VYDAJ	VYBER	6000	14299	\N	\N	\N
865256	2945	1998-11-28	VYDAJ	VYBER	4100	14365	\N	\N	\N
865283	2946	1996-05-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
865288	2946	1996-05-14	PRIJEM	PREVOD Z UCTU	4008	5108	DUCHOD	OP	48686587
865289	2946	1996-06-14	PRIJEM	PREVOD Z UCTU	4008	9128	DUCHOD	OP	48686587
865290	2946	1996-07-14	PRIJEM	PREVOD Z UCTU	4008	13158	DUCHOD	OP	48686587
865291	2946	1996-08-14	PRIJEM	PREVOD Z UCTU	4008	17187	DUCHOD	OP	48686587
865292	2946	1996-09-14	PRIJEM	PREVOD Z UCTU	4008	21216	DUCHOD	OP	48686587
865293	2946	1996-10-14	PRIJEM	PREVOD Z UCTU	4008	20661	DUCHOD	OP	48686587
865294	2946	1996-11-14	PRIJEM	PREVOD Z UCTU	4008	22065	DUCHOD	OP	48686587
865295	2946	1996-12-14	PRIJEM	PREVOD Z UCTU	4008	20351	DUCHOD	OP	48686587
865296	2946	1997-01-14	PRIJEM	PREVOD Z UCTU	4008	17364	DUCHOD	OP	48686587
865297	2946	1997-02-14	PRIJEM	PREVOD Z UCTU	4008	16274	DUCHOD	OP	48686587
865298	2946	1997-03-14	PRIJEM	PREVOD Z UCTU	4008	17660	DUCHOD	OP	48686587
865299	2946	1997-04-14	PRIJEM	PREVOD Z UCTU	4008	18553	DUCHOD	OP	48686587
865300	2946	1997-05-14	PRIJEM	PREVOD Z UCTU	4008	17946	DUCHOD	OP	48686587
865301	2946	1997-06-14	PRIJEM	PREVOD Z UCTU	4008	18860	DUCHOD	OP	48686587
865302	2946	1997-07-14	PRIJEM	PREVOD Z UCTU	4008	19157	DUCHOD	OP	48686587
865303	2946	1997-08-14	PRIJEM	PREVOD Z UCTU	4008	16955	DUCHOD	OP	48686587
865304	2946	1997-09-14	PRIJEM	PREVOD Z UCTU	4008	18347	DUCHOD	OP	48686587
865305	2946	1997-10-14	PRIJEM	PREVOD Z UCTU	4008	17142	DUCHOD	OP	48686587
865306	2946	1997-11-14	PRIJEM	PREVOD Z UCTU	4008	15449	DUCHOD	OP	48686587
865307	2946	1997-12-14	PRIJEM	PREVOD Z UCTU	4008	16032	DUCHOD	OP	48686587
865308	2946	1998-01-14	PRIJEM	PREVOD Z UCTU	4008	15077	DUCHOD	OP	48686587
865309	2946	1998-02-14	PRIJEM	PREVOD Z UCTU	4008	14617	DUCHOD	OP	48686587
865310	2946	1998-03-14	PRIJEM	PREVOD Z UCTU	4008	15996	DUCHOD	OP	48686587
865311	2946	1998-04-14	PRIJEM	PREVOD Z UCTU	4008	17382	DUCHOD	OP	48686587
865312	2946	1998-05-14	PRIJEM	PREVOD Z UCTU	4008	16572	DUCHOD	OP	48686587
865313	2946	1998-06-14	PRIJEM	PREVOD Z UCTU	4008	15877	DUCHOD	OP	48686587
865314	2946	1998-07-14	PRIJEM	PREVOD Z UCTU	4008	12859	DUCHOD	OP	48686587
865315	2946	1998-08-14	PRIJEM	PREVOD Z UCTU	4008	14231	DUCHOD	OP	48686587
865316	2946	1998-09-14	PRIJEM	PREVOD Z UCTU	4008	15609	DUCHOD	OP	48686587
865317	2946	1998-10-14	PRIJEM	PREVOD Z UCTU	4008	16993	DUCHOD	OP	48686587
865318	2946	1998-11-14	PRIJEM	PREVOD Z UCTU	4008	14278	DUCHOD	OP	48686587
865319	2946	1998-12-14	PRIJEM	PREVOD Z UCTU	4008	15656	DUCHOD	OP	48686587
865329	2946	1996-10-07	VYDAJ	PREVOD NA UCET	2672	16653	SIPO	WX	52027302
865330	2946	1996-11-07	VYDAJ	PREVOD NA UCET	2672	18057	SIPO	WX	52027302
865331	2946	1996-12-07	VYDAJ	PREVOD NA UCET	2672	16343	SIPO	WX	52027302
865332	2946	1997-01-07	VYDAJ	PREVOD NA UCET	2672	14796	SIPO	WX	52027302
865333	2946	1997-02-07	VYDAJ	PREVOD NA UCET	2672	12266	SIPO	WX	52027302
865334	2946	1997-03-07	VYDAJ	PREVOD NA UCET	2672	13652	SIPO	WX	52027302
865335	2946	1997-04-07	VYDAJ	PREVOD NA UCET	2672	14545	SIPO	WX	52027302
865336	2946	1997-05-07	VYDAJ	PREVOD NA UCET	2672	13938	SIPO	WX	52027302
865337	2946	1997-06-07	VYDAJ	PREVOD NA UCET	2672	14852	SIPO	WX	52027302
865338	2946	1997-07-07	VYDAJ	PREVOD NA UCET	2672	15149	SIPO	WX	52027302
865339	2946	1997-08-07	VYDAJ	PREVOD NA UCET	2672	16547	SIPO	WX	52027302
865340	2946	1997-09-07	VYDAJ	PREVOD NA UCET	2672	14339	SIPO	WX	52027302
865341	2946	1997-10-07	VYDAJ	PREVOD NA UCET	2672	13134	SIPO	WX	52027302
865342	2946	1997-11-07	VYDAJ	PREVOD NA UCET	2672	11441	SIPO	WX	52027302
865343	2946	1997-12-07	VYDAJ	PREVOD NA UCET	2672	12024	SIPO	WX	52027302
865344	2946	1998-01-07	VYDAJ	PREVOD NA UCET	2672	11069	SIPO	WX	52027302
865345	2946	1998-02-07	VYDAJ	PREVOD NA UCET	2672	10609	SIPO	WX	52027302
865346	2946	1998-03-07	VYDAJ	PREVOD NA UCET	2672	11988	SIPO	WX	52027302
865347	2946	1998-04-07	VYDAJ	PREVOD NA UCET	2672	13374	SIPO	WX	52027302
865348	2946	1998-05-07	VYDAJ	PREVOD NA UCET	2672	12564	SIPO	WX	52027302
865349	2946	1998-06-07	VYDAJ	PREVOD NA UCET	2672	11869	SIPO	WX	52027302
865350	2946	1998-07-07	VYDAJ	PREVOD NA UCET	2672	8851	SIPO	WX	52027302
865351	2946	1998-08-07	VYDAJ	PREVOD NA UCET	2672	10223	SIPO	WX	52027302
865352	2946	1998-09-07	VYDAJ	PREVOD NA UCET	2672	11601	SIPO	WX	52027302
865353	2946	1998-10-07	VYDAJ	PREVOD NA UCET	2672	12985	SIPO	WX	52027302
865354	2946	1998-11-07	VYDAJ	PREVOD NA UCET	2672	10270	SIPO	WX	52027302
865355	2946	1998-12-07	VYDAJ	PREVOD NA UCET	2672	11648	SIPO	WX	52027302
865362	2946	1996-12-29	VYDAJ	VYBER	950	19401	\N	\N	\N
865363	2946	1997-12-30	VYDAJ	VYBER	1300	14732	\N	\N	\N
865364	2946	1998-12-17	VYDAJ	VYBER	600	15056	\N	\N	\N
865372	2946	1997-01-05	VYDAJ	VYBER	2000	17468	\N	\N	\N
865373	2946	1997-01-22	VYDAJ	VYBER	1360	16004	\N	\N	\N
865374	2946	1997-01-11	VYDAJ	VYBER	1440	13356	\N	\N	\N
865375	2946	1997-01-27	VYDAJ	VYBER	480	14884	\N	\N	\N
865376	2946	1997-01-23	VYDAJ	VYBER	640	15364	\N	\N	\N
865377	2946	1998-01-14	VYDAJ	VYBER	1840	13237	\N	\N	\N
865381	2946	1998-01-02	VYDAJ	VYBER	1040	13741	\N	\N	\N
865386	2946	1996-11-18	VYDAJ	VYBER	3120	18945	\N	\N	\N
865387	2946	1997-08-10	VYDAJ	VYBER	3600	12947	\N	\N	\N
865388	2946	1997-05-28	VYDAJ	VYBER	480	17466	\N	\N	\N
865389	2946	1997-04-29	VYDAJ	VYBER	2000	16553	\N	\N	\N
865390	2946	1997-10-23	VYDAJ	VYBER	2880	14262	\N	\N	\N
865391	2946	1998-05-23	VYDAJ	VYBER	2080	14492	\N	\N	\N
865405	2946	1996-09-30	VYDAJ	VYBER	15	21225	SLUZBY	\N	\N
865406	2946	1996-10-31	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
865407	2946	1996-11-30	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
865408	2946	1996-12-31	VYDAJ	VYBER	15	19468	SLUZBY	\N	\N
865409	2946	1997-01-31	VYDAJ	VYBER	15	14938	SLUZBY	\N	\N
865410	2946	1997-02-28	VYDAJ	VYBER	15	16324	SLUZBY	\N	\N
865411	2946	1997-03-31	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
865412	2946	1997-04-30	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
865413	2946	1997-05-31	VYDAJ	VYBER	15	17524	SLUZBY	\N	\N
865414	2946	1997-06-30	VYDAJ	VYBER	15	18921	SLUZBY	\N	\N
865415	2946	1997-07-31	VYDAJ	VYBER	15	19219	SLUZBY	\N	\N
865416	2946	1997-08-31	VYDAJ	VYBER	15	17011	SLUZBY	\N	\N
865417	2946	1997-09-30	VYDAJ	VYBER	15	15806	SLUZBY	\N	\N
865418	2946	1997-10-31	VYDAJ	VYBER	15	14113	SLUZBY	\N	\N
865419	2946	1997-11-30	VYDAJ	VYBER	15	14696	SLUZBY	\N	\N
865420	2946	1997-12-31	VYDAJ	VYBER	15	14781	SLUZBY	\N	\N
865421	2946	1998-01-31	VYDAJ	VYBER	15	13281	SLUZBY	\N	\N
865422	2946	1998-02-28	VYDAJ	VYBER	15	14660	SLUZBY	\N	\N
865423	2946	1998-03-31	VYDAJ	VYBER	15	16046	SLUZBY	\N	\N
865424	2946	1998-04-30	VYDAJ	VYBER	15	15236	SLUZBY	\N	\N
865425	2946	1998-05-31	VYDAJ	VYBER	15	14541	SLUZBY	\N	\N
865426	2946	1998-06-30	VYDAJ	VYBER	15	11523	SLUZBY	\N	\N
865427	2946	1998-07-31	VYDAJ	VYBER	15	12895	SLUZBY	\N	\N
865428	2946	1998-08-31	VYDAJ	VYBER	15	14273	SLUZBY	\N	\N
865429	2946	1998-09-30	VYDAJ	VYBER	15	15657	SLUZBY	\N	\N
865430	2946	1998-10-31	VYDAJ	VYBER	15	12942	SLUZBY	\N	\N
865431	2946	1998-11-30	VYDAJ	VYBER	15	14320	SLUZBY	\N	\N
865432	2946	1996-10-04	VYDAJ	VYBER	1900	19325	\N	\N	\N
865433	2946	1997-04-02	VYDAJ	VYBER	500	17217	\N	\N	\N
865434	2946	1997-07-01	VYDAJ	VYBER	1100	17821	\N	\N	\N
865435	2946	1997-09-29	VYDAJ	VYBER	2600	15747	\N	\N	\N
865436	2946	1997-10-29	VYDAJ	VYBER	200	14062	\N	\N	\N
865437	2946	1997-11-28	VYDAJ	VYBER	800	14649	\N	\N	\N
865438	2946	1998-04-27	VYDAJ	VYBER	2200	15182	\N	\N	\N
865439	2946	1998-06-26	VYDAJ	VYBER	4400	11477	\N	\N	\N
865440	2946	1998-10-24	VYDAJ	VYBER	4100	12893	\N	\N	\N
865473	2947	1996-08-09	PRIJEM	VKLAD	1000	1000	\N	\N	\N
865481	2947	1996-08-12	PRIJEM	PREVOD Z UCTU	5196	6196	DUCHOD	GH	8807903
865482	2947	1996-09-12	PRIJEM	PREVOD Z UCTU	5196	11409	DUCHOD	GH	8807903
865483	2947	1996-10-12	PRIJEM	PREVOD Z UCTU	5196	16631	DUCHOD	GH	8807903
865484	2947	1996-11-12	PRIJEM	PREVOD Z UCTU	5196	21852	DUCHOD	GH	8807903
865485	2947	1996-12-12	PRIJEM	PREVOD Z UCTU	5196	27074	DUCHOD	GH	8807903
865486	2947	1997-01-12	PRIJEM	PREVOD Z UCTU	5196	27301	DUCHOD	GH	8807903
865487	2947	1997-02-12	PRIJEM	PREVOD Z UCTU	5196	21470	DUCHOD	GH	8807903
865488	2947	1997-03-12	PRIJEM	PREVOD Z UCTU	5196	24498	DUCHOD	GH	8807903
865489	2947	1997-04-12	PRIJEM	PREVOD Z UCTU	5196	27540	DUCHOD	GH	8807903
865490	2947	1997-05-12	PRIJEM	PREVOD Z UCTU	5196	27494	DUCHOD	GH	8807903
865491	2947	1997-06-12	PRIJEM	PREVOD Z UCTU	5196	24293	DUCHOD	GH	8807903
865492	2947	1997-07-12	PRIJEM	PREVOD Z UCTU	5196	23619	DUCHOD	GH	8807903
865493	2947	1997-08-12	PRIJEM	PREVOD Z UCTU	5196	25660	DUCHOD	GH	8807903
865494	2947	1997-09-12	PRIJEM	PREVOD Z UCTU	5196	28709	DUCHOD	GH	8807903
865495	2947	1997-10-12	PRIJEM	PREVOD Z UCTU	5196	31767	DUCHOD	GH	8807903
865496	2947	1997-11-12	PRIJEM	PREVOD Z UCTU	5196	31390	DUCHOD	GH	8807903
865497	2947	1997-12-12	PRIJEM	PREVOD Z UCTU	5196	34460	DUCHOD	GH	8807903
865498	2947	1998-01-12	PRIJEM	PREVOD Z UCTU	5196	31631	DUCHOD	GH	8807903
865499	2947	1998-02-12	PRIJEM	PREVOD Z UCTU	5196	24372	DUCHOD	GH	8807903
865500	2947	1998-03-12	PRIJEM	PREVOD Z UCTU	5196	23891	DUCHOD	GH	8807903
865501	2947	1998-04-12	PRIJEM	PREVOD Z UCTU	5196	24449	DUCHOD	GH	8807903
865502	2947	1998-05-12	PRIJEM	PREVOD Z UCTU	5196	27490	DUCHOD	GH	8807903
865503	2947	1998-06-12	PRIJEM	PREVOD Z UCTU	5196	23960	DUCHOD	GH	8807903
865504	2947	1998-07-12	PRIJEM	PREVOD Z UCTU	5196	24097	DUCHOD	GH	8807903
865505	2947	1998-08-12	PRIJEM	PREVOD Z UCTU	5196	27136	DUCHOD	GH	8807903
865506	2947	1998-09-12	PRIJEM	PREVOD Z UCTU	5196	30188	DUCHOD	GH	8807903
865507	2947	1998-10-12	PRIJEM	PREVOD Z UCTU	5196	33253	DUCHOD	GH	8807903
865508	2947	1998-11-12	PRIJEM	PREVOD Z UCTU	5196	33489	DUCHOD	GH	8807903
865509	2947	1998-12-12	PRIJEM	PREVOD Z UCTU	5196	35569	DUCHOD	GH	8807903
865521	2947	1996-12-13	VYDAJ	PREVOD NA UCET	2228	24846	SIPO	QR	70519995
865522	2947	1997-01-13	VYDAJ	PREVOD NA UCET	2228	25073	SIPO	QR	70519995
865523	2947	1997-02-13	VYDAJ	PREVOD NA UCET	2228	19242	SIPO	QR	70519995
865524	2947	1997-03-13	VYDAJ	PREVOD NA UCET	2228	22270	SIPO	QR	70519995
865525	2947	1997-04-13	VYDAJ	PREVOD NA UCET	2228	25312	SIPO	QR	70519995
865526	2947	1997-05-13	VYDAJ	PREVOD NA UCET	2228	25266	SIPO	QR	70519995
865527	2947	1997-06-13	VYDAJ	PREVOD NA UCET	2228	22065	SIPO	QR	70519995
865528	2947	1997-07-13	VYDAJ	PREVOD NA UCET	2228	21391	SIPO	QR	70519995
865529	2947	1997-08-13	VYDAJ	PREVOD NA UCET	2228	23432	SIPO	QR	70519995
865530	2947	1997-09-13	VYDAJ	PREVOD NA UCET	2228	26481	SIPO	QR	70519995
865531	2947	1997-10-13	VYDAJ	PREVOD NA UCET	2228	26099	SIPO	QR	70519995
865532	2947	1997-11-13	VYDAJ	PREVOD NA UCET	2228	29162	SIPO	QR	70519995
865533	2947	1997-12-13	VYDAJ	PREVOD NA UCET	2228	32232	SIPO	QR	70519995
865534	2947	1998-01-13	VYDAJ	PREVOD NA UCET	2228	26603	SIPO	QR	70519995
865535	2947	1998-02-13	VYDAJ	PREVOD NA UCET	2228	22144	SIPO	QR	70519995
865536	2947	1998-03-13	VYDAJ	PREVOD NA UCET	2228	21663	SIPO	QR	70519995
865537	2947	1998-04-13	VYDAJ	PREVOD NA UCET	2228	22221	SIPO	QR	70519995
865538	2947	1998-05-13	VYDAJ	PREVOD NA UCET	2228	25262	SIPO	QR	70519995
865539	2947	1998-06-13	VYDAJ	PREVOD NA UCET	2228	21732	SIPO	QR	70519995
865540	2947	1998-07-13	VYDAJ	PREVOD NA UCET	2228	21869	SIPO	QR	70519995
865541	2947	1998-08-13	VYDAJ	PREVOD NA UCET	2228	24908	SIPO	QR	70519995
865542	2947	1998-09-13	VYDAJ	PREVOD NA UCET	2228	27960	SIPO	QR	70519995
865543	2947	1998-10-13	VYDAJ	PREVOD NA UCET	2228	31025	SIPO	QR	70519995
865544	2947	1998-11-13	VYDAJ	PREVOD NA UCET	2228	31261	SIPO	QR	70519995
865545	2947	1998-12-13	VYDAJ	PREVOD NA UCET	2228	33341	SIPO	QR	70519995
865547	2947	1997-06-10	VYDAJ	VYBER	3000	19097	\N	\N	\N
865548	2947	1998-06-27	VYDAJ	VYBER	2900	18832	\N	\N	\N
865550	2947	1997-01-14	VYDAJ	VYBER	4150	20923	\N	\N	\N
865551	2947	1998-01-12	VYDAJ	VYBER	2800	28831	\N	\N	\N
865553	2947	1997-12-15	VYDAJ	VYBER	750	31482	\N	\N	\N
865554	2947	1998-12-29	VYDAJ	VYBER	750	27891	\N	\N	\N
865561	2947	1997-01-24	VYDAJ	VYBER	960	16203	\N	\N	\N
865562	2947	1997-01-22	VYDAJ	VYBER	1760	19163	\N	\N	\N
865563	2947	1997-01-04	VYDAJ	VYBER	1760	22105	\N	\N	\N
865564	2947	1997-01-23	VYDAJ	VYBER	1200	17163	\N	\N	\N
865565	2947	1997-01-22	VYDAJ	VYBER	800	18363	\N	\N	\N
865566	2947	1997-01-02	VYDAJ	VYBER	1040	23865	\N	\N	\N
865567	2947	1998-01-13	VYDAJ	VYBER	720	25883	\N	\N	\N
865568	2947	1998-01-30	VYDAJ	VYBER	1360	23163	\N	\N	\N
865569	2947	1998-01-15	VYDAJ	VYBER	1360	24523	\N	\N	\N
865570	2947	1998-01-06	VYDAJ	VYBER	1840	26435	\N	\N	\N
865571	2947	1998-01-30	VYDAJ	VYBER	1040	22123	\N	\N	\N
865572	2947	1998-01-03	VYDAJ	VYBER	1120	28275	\N	\N	\N
865575	2947	1997-06-04	VYDAJ	VYBER	1760	23597	\N	\N	\N
865576	2947	1997-07-06	VYDAJ	VYBER	2720	18423	\N	\N	\N
865577	2947	1997-10-12	VYDAJ	VYBER	3440	28327	\N	\N	\N
865578	2947	1998-02-05	VYDAJ	VYBER	3040	19176	\N	\N	\N
865579	2947	1998-05-26	VYDAJ	VYBER	3280	21982	\N	\N	\N
865580	2947	1998-12-23	VYDAJ	VYBER	2000	31341	\N	\N	\N
865581	2947	1998-11-09	VYDAJ	VYBER	1040	28293	\N	\N	\N
865582	2947	1998-05-29	VYDAJ	VYBER	2000	19982	\N	\N	\N
865583	2947	1998-03-29	VYDAJ	VYBER	2480	19183	\N	\N	\N
865584	2947	1998-02-15	VYDAJ	VYBER	3520	18624	\N	\N	\N
865597	2947	1996-12-31	VYDAJ	VYBER	15	24905	SLUZBY	\N	\N
865598	2947	1997-01-31	VYDAJ	VYBER	15	16274	SLUZBY	\N	\N
865599	2947	1997-02-28	VYDAJ	VYBER	15	19302	SLUZBY	\N	\N
865600	2947	1997-03-31	VYDAJ	VYBER	15	22344	SLUZBY	\N	\N
865601	2947	1997-04-30	VYDAJ	VYBER	15	25398	SLUZBY	\N	\N
865602	2947	1997-05-31	VYDAJ	VYBER	15	25357	SLUZBY	\N	\N
865603	2947	1997-06-30	VYDAJ	VYBER	15	22143	SLUZBY	\N	\N
865604	2947	1997-07-31	VYDAJ	VYBER	15	21464	SLUZBY	\N	\N
865605	2947	1997-08-31	VYDAJ	VYBER	15	23513	SLUZBY	\N	\N
865606	2947	1997-09-30	VYDAJ	VYBER	15	26571	SLUZBY	\N	\N
865607	2947	1997-10-31	VYDAJ	VYBER	15	26194	SLUZBY	\N	\N
865608	2947	1997-11-30	VYDAJ	VYBER	15	29264	SLUZBY	\N	\N
865609	2947	1997-12-31	VYDAJ	VYBER	15	31595	SLUZBY	\N	\N
865610	2947	1998-01-31	VYDAJ	VYBER	15	22216	SLUZBY	\N	\N
865611	2947	1998-02-28	VYDAJ	VYBER	15	18695	SLUZBY	\N	\N
865612	2947	1998-03-31	VYDAJ	VYBER	15	19253	SLUZBY	\N	\N
865613	2947	1998-04-30	VYDAJ	VYBER	15	22294	SLUZBY	\N	\N
865614	2947	1998-05-31	VYDAJ	VYBER	15	20064	SLUZBY	\N	\N
865615	2947	1998-06-30	VYDAJ	VYBER	15	18901	SLUZBY	\N	\N
865616	2947	1998-07-31	VYDAJ	VYBER	15	21940	SLUZBY	\N	\N
865617	2947	1998-08-31	VYDAJ	VYBER	15	24992	SLUZBY	\N	\N
865618	2947	1998-09-30	VYDAJ	VYBER	15	28057	SLUZBY	\N	\N
865619	2947	1998-10-31	VYDAJ	VYBER	15	29333	SLUZBY	\N	\N
865620	2947	1998-11-30	VYDAJ	VYBER	15	30373	SLUZBY	\N	\N
865621	2947	1997-05-06	VYDAJ	VYBER	3100	22298	\N	\N	\N
865622	2947	1997-06-05	VYDAJ	VYBER	1500	22097	\N	\N	\N
865623	2947	1997-07-05	VYDAJ	VYBER	1000	21143	\N	\N	\N
865624	2947	1997-08-04	VYDAJ	VYBER	1000	20464	\N	\N	\N
865625	2947	1998-01-01	VYDAJ	VYBER	2200	29395	\N	\N	\N
865626	2947	1998-05-31	VYDAJ	VYBER	1300	18764	\N	\N	\N
865627	2947	1998-10-28	VYDAJ	VYBER	1800	29225	\N	\N	\N
865628	2947	1998-11-27	VYDAJ	VYBER	1000	30261	\N	\N	\N
865629	2947	1998-12-27	VYDAJ	VYBER	2700	28641	\N	\N	\N
866058	2949	1994-10-21	PRIJEM	VKLAD	400	400	\N	\N	\N
866069	2949	1994-11-11	PRIJEM	PREVOD Z UCTU	6410	6810	DUCHOD	MN	75129961
866070	2949	1994-12-11	PRIJEM	PREVOD Z UCTU	6410	13220	DUCHOD	MN	75129961
866071	2949	1995-01-11	PRIJEM	PREVOD Z UCTU	6410	19630	DUCHOD	MN	75129961
866072	2949	1995-02-11	PRIJEM	PREVOD Z UCTU	6410	26040	DUCHOD	MN	75129961
866073	2949	1995-03-11	PRIJEM	PREVOD Z UCTU	6410	32450	DUCHOD	MN	75129961
866074	2949	1995-04-11	PRIJEM	PREVOD Z UCTU	6410	32275	DUCHOD	MN	75129961
866075	2949	1995-05-11	PRIJEM	PREVOD Z UCTU	6410	34839	DUCHOD	MN	75129961
866076	2949	1995-06-11	PRIJEM	PREVOD Z UCTU	6410	33107	DUCHOD	MN	75129961
866077	2949	1995-07-11	PRIJEM	PREVOD Z UCTU	6410	28986	DUCHOD	MN	75129961
866078	2949	1995-08-11	PRIJEM	PREVOD Z UCTU	6410	27774	DUCHOD	MN	75129961
866079	2949	1995-09-11	PRIJEM	PREVOD Z UCTU	6410	27917	DUCHOD	MN	75129961
866080	2949	1995-10-11	PRIJEM	PREVOD Z UCTU	6410	24858	DUCHOD	MN	75129961
866081	2949	1995-11-11	PRIJEM	PREVOD Z UCTU	6410	24767	DUCHOD	MN	75129961
866082	2949	1995-12-11	PRIJEM	PREVOD Z UCTU	6410	26097	DUCHOD	MN	75129961
866083	2949	1996-01-11	PRIJEM	PREVOD Z UCTU	6410	20376	DUCHOD	MN	75129961
866084	2949	1996-02-11	PRIJEM	PREVOD Z UCTU	6410	19895	DUCHOD	MN	75129961
866085	2949	1996-03-11	PRIJEM	PREVOD Z UCTU	6410	24314	DUCHOD	MN	75129961
866086	2949	1996-04-11	PRIJEM	PREVOD Z UCTU	6410	23536	DUCHOD	MN	75129961
866087	2949	1996-05-11	PRIJEM	PREVOD Z UCTU	6410	25023	DUCHOD	MN	75129961
866088	2949	1996-06-11	PRIJEM	PREVOD Z UCTU	6410	29461	DUCHOD	MN	75129961
866089	2949	1996-07-11	PRIJEM	PREVOD Z UCTU	6410	19891	DUCHOD	MN	75129961
866090	2949	1996-08-11	PRIJEM	PREVOD Z UCTU	6410	24307	DUCHOD	MN	75129961
866091	2949	1996-09-11	PRIJEM	PREVOD Z UCTU	6410	25440	DUCHOD	MN	75129961
866092	2949	1996-10-11	PRIJEM	PREVOD Z UCTU	6410	26082	DUCHOD	MN	75129961
866093	2949	1996-11-11	PRIJEM	PREVOD Z UCTU	6410	30529	DUCHOD	MN	75129961
866094	2949	1996-12-11	PRIJEM	PREVOD Z UCTU	6410	33492	DUCHOD	MN	75129961
866095	2949	1997-01-11	PRIJEM	PREVOD Z UCTU	6410	32891	DUCHOD	MN	75129961
866096	2949	1997-02-11	PRIJEM	PREVOD Z UCTU	6410	25437	DUCHOD	MN	75129961
866097	2949	1997-03-11	PRIJEM	PREVOD Z UCTU	6410	26493	DUCHOD	MN	75129961
866098	2949	1997-04-11	PRIJEM	PREVOD Z UCTU	6410	24217	DUCHOD	MN	75129961
866099	2949	1997-05-11	PRIJEM	PREVOD Z UCTU	6410	28259	DUCHOD	MN	75129961
866100	2949	1997-06-11	PRIJEM	PREVOD Z UCTU	6410	30510	DUCHOD	MN	75129961
866101	2949	1997-07-11	PRIJEM	PREVOD Z UCTU	6410	19947	DUCHOD	MN	75129961
866102	2949	1997-08-11	PRIJEM	PREVOD Z UCTU	6410	24364	DUCHOD	MN	75129961
866103	2949	1997-09-11	PRIJEM	PREVOD Z UCTU	6410	28298	DUCHOD	MN	75129961
866104	2949	1997-10-11	PRIJEM	PREVOD Z UCTU	6410	29048	DUCHOD	MN	75129961
866105	2949	1997-11-11	PRIJEM	PREVOD Z UCTU	6410	30904	DUCHOD	MN	75129961
866106	2949	1997-12-11	PRIJEM	PREVOD Z UCTU	6410	33867	DUCHOD	MN	75129961
866107	2949	1998-01-11	PRIJEM	PREVOD Z UCTU	6410	27431	DUCHOD	MN	75129961
866108	2949	1998-02-11	PRIJEM	PREVOD Z UCTU	6410	21788	DUCHOD	MN	75129961
866109	2949	1998-03-11	PRIJEM	PREVOD Z UCTU	6410	23316	DUCHOD	MN	75129961
866110	2949	1998-04-11	PRIJEM	PREVOD Z UCTU	6410	24251	DUCHOD	MN	75129961
866111	2949	1998-05-11	PRIJEM	PREVOD Z UCTU	6410	24100	DUCHOD	MN	75129961
866112	2949	1998-06-11	PRIJEM	PREVOD Z UCTU	6410	25332	DUCHOD	MN	75129961
866113	2949	1998-07-11	PRIJEM	PREVOD Z UCTU	6410	20860	DUCHOD	MN	75129961
866114	2949	1998-08-11	PRIJEM	PREVOD Z UCTU	6410	25280	DUCHOD	MN	75129961
866115	2949	1998-09-11	PRIJEM	PREVOD Z UCTU	6410	26718	DUCHOD	MN	75129961
866116	2949	1998-10-11	PRIJEM	PREVOD Z UCTU	6410	23864	DUCHOD	MN	75129961
866117	2949	1998-11-11	PRIJEM	PREVOD Z UCTU	6410	21797	DUCHOD	MN	75129961
866118	2949	1998-12-11	PRIJEM	PREVOD Z UCTU	6410	22659	DUCHOD	MN	75129961
866134	2949	1995-04-07	VYDAJ	PREVOD NA UCET	783	25865	SIPO	UV	79491674
866135	2949	1995-05-07	VYDAJ	PREVOD NA UCET	783	28429	SIPO	UV	79491674
866136	2949	1995-06-07	VYDAJ	PREVOD NA UCET	783	26697	SIPO	UV	79491674
866137	2949	1995-07-07	VYDAJ	PREVOD NA UCET	783	22576	SIPO	UV	79491674
866138	2949	1995-08-07	VYDAJ	PREVOD NA UCET	783	21364	SIPO	UV	79491674
866139	2949	1995-09-07	VYDAJ	PREVOD NA UCET	783	21507	SIPO	UV	79491674
866140	2949	1995-10-07	VYDAJ	PREVOD NA UCET	783	18448	SIPO	UV	79491674
866141	2949	1995-11-07	VYDAJ	PREVOD NA UCET	783	18357	SIPO	UV	79491674
866142	2949	1995-12-07	VYDAJ	PREVOD NA UCET	783	19687	SIPO	UV	79491674
866143	2949	1996-01-07	VYDAJ	PREVOD NA UCET	783	13966	SIPO	UV	79491674
866144	2949	1996-02-07	VYDAJ	PREVOD NA UCET	783	13485	SIPO	UV	79491674
866145	2949	1996-03-07	VYDAJ	PREVOD NA UCET	783	17904	SIPO	UV	79491674
866146	2949	1996-04-07	VYDAJ	PREVOD NA UCET	783	17126	SIPO	UV	79491674
866147	2949	1996-05-07	VYDAJ	PREVOD NA UCET	783	18613	SIPO	UV	79491674
866148	2949	1996-06-07	VYDAJ	PREVOD NA UCET	783	23051	SIPO	UV	79491674
866149	2949	1996-07-07	VYDAJ	PREVOD NA UCET	783	13481	SIPO	UV	79491674
866150	2949	1996-08-07	VYDAJ	PREVOD NA UCET	783	17897	SIPO	UV	79491674
866151	2949	1996-09-07	VYDAJ	PREVOD NA UCET	783	19030	SIPO	UV	79491674
866152	2949	1996-10-07	VYDAJ	PREVOD NA UCET	783	23472	SIPO	UV	79491674
866153	2949	1996-11-07	VYDAJ	PREVOD NA UCET	783	24119	SIPO	UV	79491674
866154	2949	1996-12-07	VYDAJ	PREVOD NA UCET	783	27782	SIPO	UV	79491674
866155	2949	1997-01-07	VYDAJ	PREVOD NA UCET	783	26981	SIPO	UV	79491674
866156	2949	1997-02-07	VYDAJ	PREVOD NA UCET	783	19027	SIPO	UV	79491674
866157	2949	1997-03-07	VYDAJ	PREVOD NA UCET	783	21783	SIPO	UV	79491674
866158	2949	1997-04-07	VYDAJ	PREVOD NA UCET	783	22927	SIPO	UV	79491674
866159	2949	1997-05-07	VYDAJ	PREVOD NA UCET	783	22249	SIPO	UV	79491674
866160	2949	1997-06-07	VYDAJ	PREVOD NA UCET	783	26300	SIPO	UV	79491674
866161	2949	1997-07-07	VYDAJ	PREVOD NA UCET	783	13537	SIPO	UV	79491674
866162	2949	1997-08-07	VYDAJ	PREVOD NA UCET	783	17954	SIPO	UV	79491674
866163	2949	1997-09-07	VYDAJ	PREVOD NA UCET	783	21888	SIPO	UV	79491674
866164	2949	1997-10-07	VYDAJ	PREVOD NA UCET	783	22638	SIPO	UV	79491674
866165	2949	1997-11-07	VYDAJ	PREVOD NA UCET	783	24494	SIPO	UV	79491674
866166	2949	1997-12-07	VYDAJ	PREVOD NA UCET	783	27457	SIPO	UV	79491674
866167	2949	1998-01-07	VYDAJ	PREVOD NA UCET	783	23571	SIPO	UV	79491674
866168	2949	1998-02-07	VYDAJ	PREVOD NA UCET	783	15378	SIPO	UV	79491674
866169	2949	1998-03-07	VYDAJ	PREVOD NA UCET	783	16906	SIPO	UV	79491674
866170	2949	1998-04-07	VYDAJ	PREVOD NA UCET	783	17841	SIPO	UV	79491674
866171	2949	1998-05-07	VYDAJ	PREVOD NA UCET	783	17690	SIPO	UV	79491674
866172	2949	1998-06-07	VYDAJ	PREVOD NA UCET	783	18922	SIPO	UV	79491674
866173	2949	1998-07-07	VYDAJ	PREVOD NA UCET	783	14450	SIPO	UV	79491674
866174	2949	1998-08-07	VYDAJ	PREVOD NA UCET	783	18870	SIPO	UV	79491674
866175	2949	1998-09-07	VYDAJ	PREVOD NA UCET	783	20308	SIPO	UV	79491674
866176	2949	1998-10-07	VYDAJ	PREVOD NA UCET	783	17454	SIPO	UV	79491674
866177	2949	1998-11-07	VYDAJ	PREVOD NA UCET	783	15387	SIPO	UV	79491674
866178	2949	1998-12-07	VYDAJ	PREVOD NA UCET	783	18409	SIPO	UV	79491674
866193	2949	1995-03-11	VYDAJ	PREVOD NA UCET	1268	31182	 	QR	82074588
866194	2949	1995-04-11	VYDAJ	PREVOD NA UCET	1268	31007	 	QR	82074588
866195	2949	1995-05-11	VYDAJ	PREVOD NA UCET	1268	33571	 	QR	82074588
866196	2949	1995-06-11	VYDAJ	PREVOD NA UCET	1268	31839	 	QR	82074588
866197	2949	1995-07-11	VYDAJ	PREVOD NA UCET	1268	27718	 	QR	82074588
866198	2949	1995-08-11	VYDAJ	PREVOD NA UCET	1268	26506	 	QR	82074588
866199	2949	1995-09-11	VYDAJ	PREVOD NA UCET	1268	26649	 	QR	82074588
866200	2949	1995-10-11	VYDAJ	PREVOD NA UCET	1268	23590	 	QR	82074588
866201	2949	1995-11-11	VYDAJ	PREVOD NA UCET	1268	23499	 	QR	82074588
866202	2949	1995-12-11	VYDAJ	PREVOD NA UCET	1268	24829	 	QR	82074588
866203	2949	1996-01-11	VYDAJ	PREVOD NA UCET	1268	19108	 	QR	82074588
866204	2949	1996-02-11	VYDAJ	PREVOD NA UCET	1268	18627	 	QR	82074588
866205	2949	1996-03-11	VYDAJ	PREVOD NA UCET	1268	23046	 	QR	82074588
866206	2949	1996-04-11	VYDAJ	PREVOD NA UCET	1268	22268	 	QR	82074588
866207	2949	1996-05-11	VYDAJ	PREVOD NA UCET	1268	23755	 	QR	82074588
866208	2949	1996-06-11	VYDAJ	PREVOD NA UCET	1268	28193	 	QR	82074588
866209	2949	1996-07-11	VYDAJ	PREVOD NA UCET	1268	18623	 	QR	82074588
866210	2949	1996-08-11	VYDAJ	PREVOD NA UCET	1268	23039	 	QR	82074588
866211	2949	1996-09-11	VYDAJ	PREVOD NA UCET	1268	24172	 	QR	82074588
866212	2949	1996-10-11	VYDAJ	PREVOD NA UCET	1268	24814	 	QR	82074588
866213	2949	1996-11-11	VYDAJ	PREVOD NA UCET	1268	29261	 	QR	82074588
866214	2949	1996-12-11	VYDAJ	PREVOD NA UCET	1268	32224	 	QR	82074588
866215	2949	1997-01-11	VYDAJ	PREVOD NA UCET	1268	31623	 	QR	82074588
866216	2949	1997-02-11	VYDAJ	PREVOD NA UCET	1268	24169	 	QR	82074588
866217	2949	1997-03-11	VYDAJ	PREVOD NA UCET	1268	25225	 	QR	82074588
866218	2949	1997-04-11	VYDAJ	PREVOD NA UCET	1268	22949	 	QR	82074588
866219	2949	1997-05-11	VYDAJ	PREVOD NA UCET	1268	26991	 	QR	82074588
866220	2949	1997-06-11	VYDAJ	PREVOD NA UCET	1268	29242	 	QR	82074588
866221	2949	1997-07-11	VYDAJ	PREVOD NA UCET	1268	18679	 	QR	82074588
866222	2949	1997-08-11	VYDAJ	PREVOD NA UCET	1268	23096	 	QR	82074588
866223	2949	1997-09-11	VYDAJ	PREVOD NA UCET	1268	27030	 	QR	82074588
866224	2949	1997-10-11	VYDAJ	PREVOD NA UCET	1268	27780	 	QR	82074588
866225	2949	1997-11-11	VYDAJ	PREVOD NA UCET	1268	29636	 	QR	82074588
866226	2949	1997-12-11	VYDAJ	PREVOD NA UCET	1268	32599	 	QR	82074588
866227	2949	1998-01-11	VYDAJ	PREVOD NA UCET	1268	26163	 	QR	82074588
866228	2949	1998-02-11	VYDAJ	PREVOD NA UCET	1268	20520	 	QR	82074588
866229	2949	1998-03-11	VYDAJ	PREVOD NA UCET	1268	22048	 	QR	82074588
866230	2949	1998-04-11	VYDAJ	PREVOD NA UCET	1268	22983	 	QR	82074588
866231	2949	1998-05-11	VYDAJ	PREVOD NA UCET	1268	22832	 	QR	82074588
866232	2949	1998-06-11	VYDAJ	PREVOD NA UCET	1268	24064	 	QR	82074588
866233	2949	1998-07-11	VYDAJ	PREVOD NA UCET	1268	19592	 	QR	82074588
866234	2949	1998-08-11	VYDAJ	PREVOD NA UCET	1268	24012	 	QR	82074588
866235	2949	1998-09-11	VYDAJ	PREVOD NA UCET	1268	25450	 	QR	82074588
866236	2949	1998-10-11	VYDAJ	PREVOD NA UCET	1268	22596	 	QR	82074588
866237	2949	1998-11-11	VYDAJ	PREVOD NA UCET	1268	20529	 	QR	82074588
866238	2949	1998-12-11	VYDAJ	PREVOD NA UCET	1268	21391	 	QR	82074588
866240	2949	1995-06-17	VYDAJ	VYBER	2900	28939	\N	\N	\N
866241	2949	1996-06-20	VYDAJ	VYBER	10200	14193	\N	\N	\N
866242	2949	1997-06-13	VYDAJ	VYBER	13950	15292	\N	\N	\N
866243	2949	1998-06-18	VYDAJ	VYBER	7200	16864	\N	\N	\N
866246	2949	1996-01-13	VYDAJ	VYBER	650	18058	\N	\N	\N
866247	2949	1997-01-26	VYDAJ	VYBER	4950	21073	\N	\N	\N
866248	2949	1998-01-09	VYDAJ	VYBER	2550	21021	\N	\N	\N
866250	2949	1995-12-22	VYDAJ	VYBER	1450	19879	\N	\N	\N
866251	2949	1996-12-22	VYDAJ	VYBER	1450	30774	\N	\N	\N
866252	2949	1997-12-19	VYDAJ	VYBER	300	32299	\N	\N	\N
866253	2949	1998-12-01	VYDAJ	VYBER	1400	19192	\N	\N	\N
866266	2949	1996-01-13	VYDAJ	VYBER	400	18708	\N	\N	\N
866267	2949	1996-01-24	VYDAJ	VYBER	560	14698	\N	\N	\N
866268	2949	1996-01-28	VYDAJ	VYBER	480	14218	\N	\N	\N
866269	2949	1996-01-16	VYDAJ	VYBER	560	15258	\N	\N	\N
866271	2949	1996-01-02	VYDAJ	VYBER	1600	14749	\N	\N	\N
866272	2949	1997-01-02	VYDAJ	VYBER	720	27764	\N	\N	\N
866273	2949	1997-01-21	VYDAJ	VYBER	1600	26023	\N	\N	\N
866274	2949	1997-01-18	VYDAJ	VYBER	1760	27623	\N	\N	\N
866275	2949	1997-01-18	VYDAJ	VYBER	400	29383	\N	\N	\N
866276	2949	1997-01-15	VYDAJ	VYBER	1840	29783	\N	\N	\N
866277	2949	1997-01-30	VYDAJ	VYBER	1360	19713	\N	\N	\N
866278	2949	1998-01-24	VYDAJ	VYBER	1360	19123	\N	\N	\N
866279	2949	1998-01-12	VYDAJ	VYBER	720	23203	\N	\N	\N
866280	2949	1998-01-20	VYDAJ	VYBER	560	20483	\N	\N	\N
866281	2949	1998-01-11	VYDAJ	VYBER	2240	23923	\N	\N	\N
866282	2949	1998-01-17	VYDAJ	VYBER	2160	21043	\N	\N	\N
866283	2949	1998-01-02	VYDAJ	VYBER	1760	30654	\N	\N	\N
866289	2949	1995-10-16	VYDAJ	VYBER	3920	19070	\N	\N	\N
866290	2949	1995-08-05	VYDAJ	VYBER	2560	22147	\N	\N	\N
866291	2949	1995-10-04	VYDAJ	VYBER	3200	19231	\N	\N	\N
866292	2949	1995-06-25	VYDAJ	VYBER	2480	23259	\N	\N	\N
866295	2949	1995-12-24	VYDAJ	VYBER	3600	16279	\N	\N	\N
866296	2949	1996-12-02	VYDAJ	VYBER	800	28565	\N	\N	\N
866297	2949	1996-03-12	VYDAJ	VYBER	800	22246	\N	\N	\N
866298	2949	1996-04-24	VYDAJ	VYBER	2640	19328	\N	\N	\N
866299	2949	1996-12-25	VYDAJ	VYBER	2400	28374	\N	\N	\N
866300	2949	1996-08-30	VYDAJ	VYBER	2000	19739	\N	\N	\N
866301	2949	1996-01-15	VYDAJ	VYBER	2240	15818	\N	\N	\N
866302	2949	1997-03-30	VYDAJ	VYBER	1600	23625	\N	\N	\N
866303	2949	1997-07-02	VYDAJ	VYBER	1040	14320	\N	\N	\N
866304	2949	1997-02-17	VYDAJ	VYBER	1680	22489	\N	\N	\N
866305	2949	1997-04-09	VYDAJ	VYBER	3520	17807	\N	\N	\N
866306	2949	1998-12-25	VYDAJ	VYBER	3360	18031	\N	\N	\N
866307	2949	1998-04-16	VYDAJ	VYBER	1040	20263	\N	\N	\N
866308	2949	1998-12-26	VYDAJ	VYBER	2560	15471	\N	\N	\N
866309	2949	1998-12-08	VYDAJ	VYBER	2160	16249	\N	\N	\N
866310	2949	1998-04-14	VYDAJ	VYBER	1680	21303	\N	\N	\N
866311	2949	1998-02-03	VYDAJ	VYBER	3040	16161	\N	\N	\N
866312	2949	1998-04-16	VYDAJ	VYBER	1360	18903	\N	\N	\N
866328	2949	1995-03-31	VYDAJ	VYBER	15	26648	SLUZBY	\N	\N
866329	2949	1995-04-30	VYDAJ	VYBER	15	29212	SLUZBY	\N	\N
866330	2949	1995-05-31	VYDAJ	VYBER	15	27480	SLUZBY	\N	\N
866331	2949	1995-06-30	VYDAJ	VYBER	15	23359	SLUZBY	\N	\N
866332	2949	1995-07-31	VYDAJ	VYBER	15	24707	SLUZBY	\N	\N
866333	2949	1995-08-31	VYDAJ	VYBER	15	22290	SLUZBY	\N	\N
866334	2949	1995-09-30	VYDAJ	VYBER	15	22431	SLUZBY	\N	\N
866335	2949	1995-10-31	VYDAJ	VYBER	15	19140	SLUZBY	\N	\N
866336	2949	1995-11-30	VYDAJ	VYBER	15	20470	SLUZBY	\N	\N
866337	2949	1995-12-31	VYDAJ	VYBER	15	16349	SLUZBY	\N	\N
866338	2949	1996-01-31	VYDAJ	VYBER	15	14268	SLUZBY	\N	\N
866339	2949	1996-02-29	VYDAJ	VYBER	15	18687	SLUZBY	\N	\N
866340	2949	1996-03-31	VYDAJ	VYBER	15	17909	SLUZBY	\N	\N
866341	2949	1996-04-30	VYDAJ	VYBER	15	19396	SLUZBY	\N	\N
866342	2949	1996-05-31	VYDAJ	VYBER	15	23834	SLUZBY	\N	\N
866343	2949	1996-06-30	VYDAJ	VYBER	15	14264	SLUZBY	\N	\N
866344	2949	1996-07-31	VYDAJ	VYBER	15	18680	SLUZBY	\N	\N
866345	2949	1996-08-31	VYDAJ	VYBER	15	19813	SLUZBY	\N	\N
866346	2949	1996-09-30	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
866347	2949	1996-10-31	VYDAJ	VYBER	15	24902	SLUZBY	\N	\N
866348	2949	1996-11-30	VYDAJ	VYBER	15	29365	SLUZBY	\N	\N
866349	2949	1996-12-31	VYDAJ	VYBER	15	28484	SLUZBY	\N	\N
866350	2949	1997-01-31	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
866351	2949	1997-02-28	VYDAJ	VYBER	15	22566	SLUZBY	\N	\N
866352	2949	1997-03-31	VYDAJ	VYBER	15	23710	SLUZBY	\N	\N
866353	2949	1997-04-30	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
866354	2949	1997-05-31	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
866355	2949	1997-06-30	VYDAJ	VYBER	15	15360	SLUZBY	\N	\N
866356	2949	1997-07-31	VYDAJ	VYBER	15	18737	SLUZBY	\N	\N
866357	2949	1997-08-31	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
866358	2949	1997-09-30	VYDAJ	VYBER	15	27121	SLUZBY	\N	\N
866359	2949	1997-10-31	VYDAJ	VYBER	15	27877	SLUZBY	\N	\N
866360	2949	1997-11-30	VYDAJ	VYBER	15	29740	SLUZBY	\N	\N
866361	2949	1997-12-31	VYDAJ	VYBER	15	32414	SLUZBY	\N	\N
866362	2949	1998-01-31	VYDAJ	VYBER	15	19201	SLUZBY	\N	\N
866363	2949	1998-02-28	VYDAJ	VYBER	15	20589	SLUZBY	\N	\N
866364	2949	1998-03-31	VYDAJ	VYBER	15	22124	SLUZBY	\N	\N
866365	2949	1998-04-30	VYDAJ	VYBER	15	18973	SLUZBY	\N	\N
866366	2949	1998-05-31	VYDAJ	VYBER	15	22905	SLUZBY	\N	\N
866367	2949	1998-06-30	VYDAJ	VYBER	15	16933	SLUZBY	\N	\N
866368	2949	1998-07-31	VYDAJ	VYBER	15	19653	SLUZBY	\N	\N
866369	2949	1998-08-31	VYDAJ	VYBER	15	24091	SLUZBY	\N	\N
866370	2949	1998-09-30	VYDAJ	VYBER	15	25537	SLUZBY	\N	\N
866371	2949	1998-10-31	VYDAJ	VYBER	15	16170	SLUZBY	\N	\N
866372	2949	1998-11-30	VYDAJ	VYBER	15	20592	SLUZBY	\N	\N
866373	2949	1995-03-20	VYDAJ	VYBER	4600	26582	\N	\N	\N
866374	2949	1995-04-19	VYDAJ	VYBER	1900	29107	\N	\N	\N
866375	2949	1995-05-19	VYDAJ	VYBER	6200	27371	\N	\N	\N
866376	2949	1995-06-18	VYDAJ	VYBER	3200	25739	\N	\N	\N
866377	2949	1995-07-18	VYDAJ	VYBER	3100	24618	\N	\N	\N
866378	2949	1995-08-17	VYDAJ	VYBER	4300	22206	\N	\N	\N
866379	2949	1995-09-16	VYDAJ	VYBER	4300	22349	\N	\N	\N
866380	2949	1995-10-16	VYDAJ	VYBER	600	22990	\N	\N	\N
866381	2949	1995-11-15	VYDAJ	VYBER	3100	20399	\N	\N	\N
866382	2949	1995-12-15	VYDAJ	VYBER	3500	21329	\N	\N	\N
866383	2949	1996-03-14	VYDAJ	VYBER	4400	17846	\N	\N	\N
866384	2949	1996-04-13	VYDAJ	VYBER	300	21968	\N	\N	\N
866385	2949	1996-06-12	VYDAJ	VYBER	3800	24393	\N	\N	\N
866386	2949	1996-08-11	VYDAJ	VYBER	1300	21739	\N	\N	\N
866387	2949	1996-10-10	VYDAJ	VYBER	3800	19672	\N	\N	\N
866388	2949	1996-12-09	VYDAJ	VYBER	700	27082	\N	\N	\N
866389	2949	1997-01-08	VYDAJ	VYBER	500	26481	\N	\N	\N
866390	2949	1997-03-09	VYDAJ	VYBER	1700	20083	\N	\N	\N
866391	2949	1997-04-08	VYDAJ	VYBER	1600	21327	\N	\N	\N
866392	2949	1997-05-08	VYDAJ	VYBER	400	21849	\N	\N	\N
866393	2949	1997-06-07	VYDAJ	VYBER	2200	24100	\N	\N	\N
866394	2949	1997-09-05	VYDAJ	VYBER	500	22671	\N	\N	\N
866395	2949	1997-10-05	VYDAJ	VYBER	3700	23421	\N	\N	\N
866396	2949	1997-11-04	VYDAJ	VYBER	2600	25277	\N	\N	\N
866397	2949	1997-12-04	VYDAJ	VYBER	1500	28240	\N	\N	\N
866398	2949	1998-01-03	VYDAJ	VYBER	6300	24354	\N	\N	\N
866399	2949	1998-03-04	VYDAJ	VYBER	2900	17689	\N	\N	\N
866400	2949	1998-04-03	VYDAJ	VYBER	3500	18624	\N	\N	\N
866401	2949	1998-05-03	VYDAJ	VYBER	500	18473	\N	\N	\N
866402	2949	1998-06-02	VYDAJ	VYBER	3200	19705	\N	\N	\N
866403	2949	1998-07-02	VYDAJ	VYBER	1700	15233	\N	\N	\N
866404	2949	1998-08-31	VYDAJ	VYBER	3000	21091	\N	\N	\N
866405	2949	1998-09-30	VYDAJ	VYBER	7300	18237	\N	\N	\N
866406	2949	1998-10-30	VYDAJ	VYBER	6500	16096	\N	\N	\N
866453	2950	1996-06-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
866460	2950	1996-07-07	PRIJEM	VKLAD	19889	20889	\N	\N	\N
866461	2950	1996-08-07	PRIJEM	VKLAD	19889	41089	\N	\N	\N
866462	2950	1996-09-07	PRIJEM	VKLAD	19889	50073	\N	\N	\N
866463	2950	1996-10-07	PRIJEM	VKLAD	19889	56792	\N	\N	\N
866464	2950	1996-11-07	PRIJEM	VKLAD	19889	61738	\N	\N	\N
866465	2950	1996-12-07	PRIJEM	VKLAD	29834	66559	\N	\N	\N
866466	2950	1997-01-07	PRIJEM	VKLAD	19889	63496	\N	\N	\N
866467	2950	1997-02-07	PRIJEM	VKLAD	19889	46686	\N	\N	\N
866468	2950	1997-03-07	PRIJEM	VKLAD	19889	49444	\N	\N	\N
866469	2950	1997-04-07	PRIJEM	VKLAD	19889	55616	\N	\N	\N
866470	2950	1997-05-07	PRIJEM	VKLAD	19889	57010	\N	\N	\N
866471	2950	1997-06-07	PRIJEM	VKLAD	29834	65950	\N	\N	\N
866472	2950	1997-07-07	PRIJEM	VKLAD	19889	37035	\N	\N	\N
866473	2950	1997-08-07	PRIJEM	VKLAD	19889	45658	\N	\N	\N
866474	2950	1997-09-07	PRIJEM	VKLAD	19889	52113	\N	\N	\N
866475	2950	1997-10-07	PRIJEM	VKLAD	19889	54631	\N	\N	\N
866476	2950	1997-11-07	PRIJEM	VKLAD	19889	57927	\N	\N	\N
866477	2950	1997-12-07	PRIJEM	VKLAD	29834	66343	\N	\N	\N
866478	2950	1998-01-07	PRIJEM	VKLAD	19889	50421	\N	\N	\N
866479	2950	1998-02-07	PRIJEM	VKLAD	19889	52844	\N	\N	\N
866480	2950	1998-03-07	PRIJEM	VKLAD	19889	55220	\N	\N	\N
866481	2950	1998-04-07	PRIJEM	VKLAD	19889	54702	\N	\N	\N
866482	2950	1998-05-07	PRIJEM	VKLAD	19889	53605	\N	\N	\N
866483	2950	1998-06-07	PRIJEM	VKLAD	29834	71237	\N	\N	\N
866484	2950	1998-07-07	PRIJEM	VKLAD	19889	50270	\N	\N	\N
866485	2950	1998-08-07	PRIJEM	VKLAD	19889	46246	\N	\N	\N
866486	2950	1998-09-07	PRIJEM	VKLAD	19889	49393	\N	\N	\N
866487	2950	1998-10-07	PRIJEM	VKLAD	19889	56160	\N	\N	\N
866488	2950	1998-11-07	PRIJEM	VKLAD	19889	56641	\N	\N	\N
866489	2950	1998-12-07	PRIJEM	VKLAD	29834	67769	\N	\N	\N
866500	2950	1996-11-10	VYDAJ	PREVOD NA UCET	8653	53085	SIPO	QR	59668195
866501	2950	1996-12-10	VYDAJ	PREVOD NA UCET	8653	57906	SIPO	QR	59668195
866502	2950	1997-01-10	VYDAJ	PREVOD NA UCET	8653	54843	SIPO	QR	59668195
866503	2950	1997-02-10	VYDAJ	PREVOD NA UCET	8653	38033	SIPO	QR	59668195
866504	2950	1997-03-10	VYDAJ	PREVOD NA UCET	8653	40791	SIPO	QR	59668195
866505	2950	1997-04-10	VYDAJ	PREVOD NA UCET	8653	46963	SIPO	QR	59668195
866506	2950	1997-05-10	VYDAJ	PREVOD NA UCET	8653	48357	SIPO	QR	59668195
866507	2950	1997-06-10	VYDAJ	PREVOD NA UCET	8653	12177	SIPO	QR	59668195
866508	2950	1997-07-10	VYDAJ	PREVOD NA UCET	8653	28382	SIPO	QR	59668195
866509	2950	1997-08-10	VYDAJ	PREVOD NA UCET	8653	37005	SIPO	QR	59668195
866510	2950	1997-09-10	VYDAJ	PREVOD NA UCET	8653	43460	SIPO	QR	59668195
866511	2950	1997-10-10	VYDAJ	PREVOD NA UCET	8653	45978	SIPO	QR	59668195
866512	2950	1997-11-10	VYDAJ	PREVOD NA UCET	8653	49274	SIPO	QR	59668195
866513	2950	1997-12-10	VYDAJ	PREVOD NA UCET	8653	56250	SIPO	QR	59668195
866514	2950	1998-01-10	VYDAJ	PREVOD NA UCET	8653	41768	SIPO	QR	59668195
866515	2950	1998-02-10	VYDAJ	PREVOD NA UCET	8653	44191	SIPO	QR	59668195
866516	2950	1998-03-10	VYDAJ	PREVOD NA UCET	8653	46567	SIPO	QR	59668195
866517	2950	1998-04-10	VYDAJ	PREVOD NA UCET	8653	46049	SIPO	QR	59668195
866518	2950	1998-05-10	VYDAJ	PREVOD NA UCET	8653	44952	SIPO	QR	59668195
866519	2950	1998-06-10	VYDAJ	PREVOD NA UCET	8653	62584	SIPO	QR	59668195
866520	2950	1998-07-10	VYDAJ	PREVOD NA UCET	8653	41617	SIPO	QR	59668195
866521	2950	1998-08-10	VYDAJ	PREVOD NA UCET	8653	37593	SIPO	QR	59668195
866522	2950	1998-09-10	VYDAJ	PREVOD NA UCET	8653	40740	SIPO	QR	59668195
866523	2950	1998-10-10	VYDAJ	PREVOD NA UCET	8653	47507	SIPO	QR	59668195
866524	2950	1998-11-10	VYDAJ	PREVOD NA UCET	8653	47988	SIPO	QR	59668195
866525	2950	1998-12-10	VYDAJ	PREVOD NA UCET	8653	59116	SIPO	QR	59668195
866527	2950	1997-06-09	VYDAJ	VYBER	45120	20830	\N	\N	\N
866528	2950	1998-06-26	VYDAJ	VYBER	14400	30204	\N	\N	\N
866530	2950	1997-01-27	VYDAJ	VYBER	12320	26623	\N	\N	\N
866531	2950	1998-01-03	VYDAJ	VYBER	12800	30532	\N	\N	\N
866532	2950	1996-12-23	VYDAJ	VYBER	800	57106	\N	\N	\N
866533	2950	1997-12-08	VYDAJ	VYBER	1440	64903	\N	\N	\N
866534	2950	1998-12-13	VYDAJ	VYBER	2400	56716	\N	\N	\N
866538	2950	1996-12-06	VYDAJ	VYBER	2040	36725	\N	\N	\N
866542	2950	1997-11-14	VYDAJ	VYBER	1080	48194	\N	\N	\N
866543	2950	1997-10-01	VYDAJ	VYBER	960	34742	\N	\N	\N
866544	2950	1997-11-14	VYDAJ	VYBER	960	47234	\N	\N	\N
866545	2950	1997-11-22	VYDAJ	VYBER	3480	36354	\N	\N	\N
866546	2950	1998-01-15	VYDAJ	VYBER	1560	40208	\N	\N	\N
866547	2950	1998-04-29	VYDAJ	VYBER	3480	33569	\N	\N	\N
866548	2950	1998-07-24	VYDAJ	VYBER	4680	26237	\N	\N	\N
866549	2950	1998-06-19	VYDAJ	VYBER	2280	44604	\N	\N	\N
866561	2950	1996-11-30	VYDAJ	VYBER	15	38765	SLUZBY	\N	\N
866562	2950	1996-12-31	VYDAJ	VYBER	15	43607	SLUZBY	\N	\N
866563	2950	1997-01-31	VYDAJ	VYBER	15	26797	SLUZBY	\N	\N
866564	2950	1997-02-28	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
866565	2950	1997-03-31	VYDAJ	VYBER	15	35727	SLUZBY	\N	\N
866566	2950	1997-04-30	VYDAJ	VYBER	15	37121	SLUZBY	\N	\N
866567	2950	1997-05-31	VYDAJ	VYBER	15	36117	SLUZBY	\N	\N
866568	2950	1997-06-30	VYDAJ	VYBER	15	17146	SLUZBY	\N	\N
866569	2950	1997-07-31	VYDAJ	VYBER	15	25769	SLUZBY	\N	\N
866570	2950	1997-08-31	VYDAJ	VYBER	15	32224	SLUZBY	\N	\N
866571	2950	1997-09-30	VYDAJ	VYBER	15	35702	SLUZBY	\N	\N
866572	2950	1997-10-31	VYDAJ	VYBER	15	38038	SLUZBY	\N	\N
866573	2950	1997-11-30	VYDAJ	VYBER	15	36509	SLUZBY	\N	\N
866574	2950	1997-12-31	VYDAJ	VYBER	15	43332	SLUZBY	\N	\N
866575	2950	1998-01-31	VYDAJ	VYBER	15	32955	SLUZBY	\N	\N
866576	2950	1998-02-28	VYDAJ	VYBER	15	35331	SLUZBY	\N	\N
866577	2950	1998-03-31	VYDAJ	VYBER	15	34813	SLUZBY	\N	\N
866578	2950	1998-04-30	VYDAJ	VYBER	15	33716	SLUZBY	\N	\N
866579	2950	1998-05-31	VYDAJ	VYBER	15	41404	SLUZBY	\N	\N
866580	2950	1998-06-30	VYDAJ	VYBER	15	30381	SLUZBY	\N	\N
866581	2950	1998-07-31	VYDAJ	VYBER	15	26357	SLUZBY	\N	\N
866582	2950	1998-08-31	VYDAJ	VYBER	15	29504	SLUZBY	\N	\N
866583	2950	1998-09-30	VYDAJ	VYBER	15	36271	SLUZBY	\N	\N
866584	2950	1998-10-31	VYDAJ	VYBER	15	36752	SLUZBY	\N	\N
866585	2950	1998-11-30	VYDAJ	VYBER	15	37936	SLUZBY	\N	\N
866586	2950	1996-07-28	PRIJEM	VKLAD	300	21189	\N	\N	\N
866587	2950	1996-08-27	VYDAJ	VYBER	11000	30089	\N	\N	\N
866588	2950	1996-09-26	VYDAJ	VYBER	13300	36773	\N	\N	\N
866589	2950	1996-10-26	VYDAJ	VYBER	15100	41692	\N	\N	\N
866590	2950	1996-11-25	VYDAJ	VYBER	14500	38585	\N	\N	\N
866591	2950	1996-12-25	VYDAJ	VYBER	13700	43406	\N	\N	\N
866592	2950	1997-01-24	VYDAJ	VYBER	15900	38943	\N	\N	\N
866593	2950	1997-02-23	VYDAJ	VYBER	8600	29433	\N	\N	\N
866594	2950	1997-03-25	VYDAJ	VYBER	5200	35591	\N	\N	\N
866595	2950	1997-04-24	VYDAJ	VYBER	10000	36963	\N	\N	\N
866596	2950	1997-05-24	VYDAJ	VYBER	12400	35957	\N	\N	\N
866597	2950	1997-06-23	PRIJEM	VKLAD	4900	17077	\N	\N	\N
866598	2950	1997-07-23	VYDAJ	VYBER	2700	25682	\N	\N	\N
866599	2950	1997-08-22	VYDAJ	VYBER	4900	32105	\N	\N	\N
866600	2950	1997-09-21	VYDAJ	VYBER	7900	35560	\N	\N	\N
866601	2950	1997-10-21	VYDAJ	VYBER	8100	37878	\N	\N	\N
866602	2950	1997-11-20	VYDAJ	VYBER	7400	39834	\N	\N	\N
866603	2950	1997-12-20	VYDAJ	VYBER	13100	43150	\N	\N	\N
866604	2950	1998-01-19	VYDAJ	VYBER	7400	32808	\N	\N	\N
866605	2950	1998-02-18	VYDAJ	VYBER	9000	35191	\N	\N	\N
866606	2950	1998-03-20	VYDAJ	VYBER	11900	34667	\N	\N	\N
866607	2950	1998-04-19	VYDAJ	VYBER	9000	37049	\N	\N	\N
866608	2950	1998-05-19	VYDAJ	VYBER	3700	41252	\N	\N	\N
866609	2950	1998-06-18	VYDAJ	VYBER	15700	46884	\N	\N	\N
866610	2950	1998-07-18	VYDAJ	VYBER	10700	30917	\N	\N	\N
866611	2950	1998-08-17	VYDAJ	VYBER	8200	29393	\N	\N	\N
866612	2950	1998-09-16	VYDAJ	VYBER	4600	36140	\N	\N	\N
866613	2950	1998-10-16	VYDAJ	VYBER	10900	36607	\N	\N	\N
866614	2950	1998-11-15	VYDAJ	VYBER	10200	37788	\N	\N	\N
866645	2951	1993-09-06	PRIJEM	VKLAD	200	200	\N	\N	\N
866654	2951	1993-09-09	PRIJEM	VKLAD	11707	11907	\N	\N	\N
866655	2951	1993-10-09	PRIJEM	VKLAD	11707	31250	\N	\N	\N
866656	2951	1993-11-09	PRIJEM	VKLAD	11707	39067	\N	\N	\N
866657	2951	1993-12-09	PRIJEM	VKLAD	17561	47281	\N	\N	\N
866658	2951	1994-01-09	PRIJEM	VKLAD	11707	50077	\N	\N	\N
866659	2951	1994-02-09	PRIJEM	VKLAD	11707	40117	\N	\N	\N
866660	2951	1994-03-09	PRIJEM	VKLAD	11707	44846	\N	\N	\N
866661	2951	1994-04-09	PRIJEM	VKLAD	11707	45211	\N	\N	\N
866662	2951	1994-05-09	PRIJEM	VKLAD	11707	46262	\N	\N	\N
866663	2951	1994-06-09	PRIJEM	VKLAD	17561	44519	\N	\N	\N
866664	2951	1994-07-09	PRIJEM	VKLAD	11707	42023	\N	\N	\N
866665	2951	1994-08-09	PRIJEM	VKLAD	11707	43261	\N	\N	\N
866666	2951	1994-09-09	PRIJEM	VKLAD	11707	46703	\N	\N	\N
866667	2951	1994-10-09	PRIJEM	VKLAD	11707	45359	\N	\N	\N
866668	2951	1994-11-09	PRIJEM	VKLAD	11707	48311	\N	\N	\N
866669	2951	1994-12-09	PRIJEM	VKLAD	17561	53623	\N	\N	\N
866670	2951	1995-01-09	PRIJEM	VKLAD	11707	42625	\N	\N	\N
866671	2951	1995-02-09	PRIJEM	VKLAD	11707	43555	\N	\N	\N
866672	2951	1995-03-09	PRIJEM	VKLAD	11707	47993	\N	\N	\N
866673	2951	1995-04-09	PRIJEM	VKLAD	11707	50350	\N	\N	\N
866674	2951	1995-05-09	PRIJEM	VKLAD	11707	48130	\N	\N	\N
866675	2951	1995-06-09	PRIJEM	VKLAD	17561	52138	\N	\N	\N
866676	2951	1995-07-09	PRIJEM	VKLAD	11707	50202	\N	\N	\N
866677	2951	1995-08-09	PRIJEM	VKLAD	11707	47933	\N	\N	\N
866678	2951	1995-09-09	PRIJEM	VKLAD	11707	47427	\N	\N	\N
866679	2951	1995-10-09	PRIJEM	VKLAD	11707	47877	\N	\N	\N
866680	2951	1995-11-09	PRIJEM	VKLAD	11707	50029	\N	\N	\N
866681	2951	1995-12-09	PRIJEM	VKLAD	17561	56141	\N	\N	\N
866682	2951	1996-01-09	PRIJEM	VKLAD	11707	51572	\N	\N	\N
866683	2951	1996-02-09	PRIJEM	VKLAD	11707	45597	\N	\N	\N
866684	2951	1996-03-09	PRIJEM	VKLAD	11707	47136	\N	\N	\N
866685	2951	1996-04-09	PRIJEM	VKLAD	11707	48782	\N	\N	\N
866686	2951	1996-05-09	PRIJEM	VKLAD	11707	48928	\N	\N	\N
866687	2951	1996-06-09	PRIJEM	VKLAD	17561	58436	\N	\N	\N
866688	2951	1996-07-09	PRIJEM	VKLAD	11707	53071	\N	\N	\N
866689	2951	1996-08-09	PRIJEM	VKLAD	11707	51853	\N	\N	\N
866690	2951	1996-09-09	PRIJEM	VKLAD	11707	53350	\N	\N	\N
866691	2951	1996-10-09	PRIJEM	VKLAD	11707	57783	\N	\N	\N
866692	2951	1996-11-09	PRIJEM	VKLAD	11707	62875	\N	\N	\N
866693	2951	1996-12-09	PRIJEM	VKLAD	17561	72137	\N	\N	\N
866694	2951	1997-01-09	PRIJEM	VKLAD	11707	66149	\N	\N	\N
866695	2951	1997-02-09	PRIJEM	VKLAD	11707	57759	\N	\N	\N
866696	2951	1997-03-09	PRIJEM	VKLAD	11707	62347	\N	\N	\N
866697	2951	1997-04-09	PRIJEM	VKLAD	11707	66054	\N	\N	\N
866698	2951	1997-05-09	PRIJEM	VKLAD	11707	69876	\N	\N	\N
866699	2951	1997-06-09	PRIJEM	VKLAD	17561	76261	\N	\N	\N
866700	2951	1997-07-09	PRIJEM	VKLAD	11707	74708	\N	\N	\N
866701	2951	1997-08-09	PRIJEM	VKLAD	11707	77763	\N	\N	\N
866702	2951	1997-09-09	PRIJEM	VKLAD	11707	73892	\N	\N	\N
866703	2951	1997-10-09	PRIJEM	VKLAD	11707	76341	\N	\N	\N
866704	2951	1997-11-09	PRIJEM	VKLAD	11707	77096	\N	\N	\N
866705	2951	1997-12-09	PRIJEM	VKLAD	17561	82102	\N	\N	\N
866706	2951	1998-01-09	PRIJEM	VKLAD	11707	72748	\N	\N	\N
866707	2951	1998-02-09	PRIJEM	VKLAD	11707	60819	\N	\N	\N
866708	2951	1998-03-09	PRIJEM	VKLAD	11707	67420	\N	\N	\N
866709	2951	1998-04-09	PRIJEM	VKLAD	11707	66895	\N	\N	\N
866710	2951	1998-05-09	PRIJEM	VKLAD	11707	65327	\N	\N	\N
866711	2951	1998-06-09	PRIJEM	VKLAD	17561	69705	\N	\N	\N
866712	2951	1998-07-09	PRIJEM	VKLAD	11707	66009	\N	\N	\N
866713	2951	1998-08-09	PRIJEM	VKLAD	11707	60399	\N	\N	\N
866714	2951	1998-09-09	PRIJEM	VKLAD	11707	57470	\N	\N	\N
866715	2951	1998-10-09	PRIJEM	VKLAD	11707	48206	\N	\N	\N
866716	2951	1998-11-09	PRIJEM	VKLAD	11707	48735	\N	\N	\N
866717	2951	1998-12-09	PRIJEM	VKLAD	17561	46524	\N	\N	\N
866730	2951	1994-01-09	VYDAJ	PREVOD NA UCET	743	49334	SIPO	YZ	2752936
866731	2951	1994-02-09	VYDAJ	PREVOD NA UCET	743	39374	SIPO	YZ	2752936
866732	2951	1994-03-09	VYDAJ	PREVOD NA UCET	743	44103	SIPO	YZ	2752936
866733	2951	1994-04-09	VYDAJ	PREVOD NA UCET	743	44468	SIPO	YZ	2752936
866734	2951	1994-05-09	VYDAJ	PREVOD NA UCET	743	45519	SIPO	YZ	2752936
866735	2951	1994-06-09	VYDAJ	PREVOD NA UCET	743	43776	SIPO	YZ	2752936
866736	2951	1994-07-09	VYDAJ	PREVOD NA UCET	743	41280	SIPO	YZ	2752936
866737	2951	1994-08-09	VYDAJ	PREVOD NA UCET	743	42518	SIPO	YZ	2752936
866738	2951	1994-09-09	VYDAJ	PREVOD NA UCET	743	45960	SIPO	YZ	2752936
866739	2951	1994-10-09	VYDAJ	PREVOD NA UCET	743	44616	SIPO	YZ	2752936
866740	2951	1994-11-09	VYDAJ	PREVOD NA UCET	743	47568	SIPO	YZ	2752936
866741	2951	1994-12-09	VYDAJ	PREVOD NA UCET	743	52880	SIPO	YZ	2752936
866742	2951	1995-01-09	VYDAJ	PREVOD NA UCET	743	41882	SIPO	YZ	2752936
866743	2951	1995-02-09	VYDAJ	PREVOD NA UCET	743	42812	SIPO	YZ	2752936
866744	2951	1995-03-09	VYDAJ	PREVOD NA UCET	743	47250	SIPO	YZ	2752936
866745	2951	1995-04-09	VYDAJ	PREVOD NA UCET	743	49607	SIPO	YZ	2752936
866746	2951	1995-05-09	VYDAJ	PREVOD NA UCET	743	47387	SIPO	YZ	2752936
866747	2951	1995-06-09	VYDAJ	PREVOD NA UCET	743	51395	SIPO	YZ	2752936
866748	2951	1995-07-09	VYDAJ	PREVOD NA UCET	743	49459	SIPO	YZ	2752936
866749	2951	1995-08-09	VYDAJ	PREVOD NA UCET	743	47190	SIPO	YZ	2752936
866750	2951	1995-09-09	VYDAJ	PREVOD NA UCET	743	46684	SIPO	YZ	2752936
866751	2951	1995-10-09	VYDAJ	PREVOD NA UCET	743	47134	SIPO	YZ	2752936
866752	2951	1995-11-09	VYDAJ	PREVOD NA UCET	743	49286	SIPO	YZ	2752936
866753	2951	1995-12-09	VYDAJ	PREVOD NA UCET	743	55398	SIPO	YZ	2752936
866754	2951	1996-01-09	VYDAJ	PREVOD NA UCET	743	50829	SIPO	YZ	2752936
866755	2951	1996-02-09	VYDAJ	PREVOD NA UCET	743	44854	SIPO	YZ	2752936
866756	2951	1996-03-09	VYDAJ	PREVOD NA UCET	743	46393	SIPO	YZ	2752936
866757	2951	1996-04-09	VYDAJ	PREVOD NA UCET	743	48039	SIPO	YZ	2752936
866758	2951	1996-05-09	VYDAJ	PREVOD NA UCET	743	48185	SIPO	YZ	2752936
866759	2951	1996-06-09	VYDAJ	PREVOD NA UCET	743	57693	SIPO	YZ	2752936
866760	2951	1996-07-09	VYDAJ	PREVOD NA UCET	743	52328	SIPO	YZ	2752936
866761	2951	1996-08-09	VYDAJ	PREVOD NA UCET	743	51110	SIPO	YZ	2752936
866762	2951	1996-09-09	VYDAJ	PREVOD NA UCET	743	52607	SIPO	YZ	2752936
866763	2951	1996-10-09	VYDAJ	PREVOD NA UCET	743	57040	SIPO	YZ	2752936
866764	2951	1996-11-09	VYDAJ	PREVOD NA UCET	743	62132	SIPO	YZ	2752936
866765	2951	1996-12-09	VYDAJ	PREVOD NA UCET	743	71394	SIPO	YZ	2752936
866766	2951	1997-01-09	VYDAJ	PREVOD NA UCET	743	65406	SIPO	YZ	2752936
866767	2951	1997-02-09	VYDAJ	PREVOD NA UCET	743	57016	SIPO	YZ	2752936
866768	2951	1997-03-09	VYDAJ	PREVOD NA UCET	743	61604	SIPO	YZ	2752936
866769	2951	1997-04-09	VYDAJ	PREVOD NA UCET	743	65311	SIPO	YZ	2752936
866770	2951	1997-05-09	VYDAJ	PREVOD NA UCET	743	69133	SIPO	YZ	2752936
866771	2951	1997-06-09	VYDAJ	PREVOD NA UCET	743	75518	SIPO	YZ	2752936
866772	2951	1997-07-09	VYDAJ	PREVOD NA UCET	743	73965	SIPO	YZ	2752936
866773	2951	1997-08-09	VYDAJ	PREVOD NA UCET	743	77020	SIPO	YZ	2752936
866774	2951	1997-09-09	VYDAJ	PREVOD NA UCET	743	73149	SIPO	YZ	2752936
866775	2951	1997-10-09	VYDAJ	PREVOD NA UCET	743	75598	SIPO	YZ	2752936
866776	2951	1997-11-09	VYDAJ	PREVOD NA UCET	743	76353	SIPO	YZ	2752936
866777	2951	1997-12-09	VYDAJ	PREVOD NA UCET	743	81359	SIPO	YZ	2752936
866778	2951	1998-01-09	VYDAJ	PREVOD NA UCET	743	72005	SIPO	YZ	2752936
866779	2951	1998-02-09	VYDAJ	PREVOD NA UCET	743	60076	SIPO	YZ	2752936
866780	2951	1998-03-09	VYDAJ	PREVOD NA UCET	743	66677	SIPO	YZ	2752936
866781	2951	1998-04-09	VYDAJ	PREVOD NA UCET	743	66152	SIPO	YZ	2752936
866782	2951	1998-05-09	VYDAJ	PREVOD NA UCET	743	64584	SIPO	YZ	2752936
866783	2951	1998-06-09	VYDAJ	PREVOD NA UCET	743	68962	SIPO	YZ	2752936
866784	2951	1998-07-09	VYDAJ	PREVOD NA UCET	743	65266	SIPO	YZ	2752936
866785	2951	1998-08-09	VYDAJ	PREVOD NA UCET	743	59656	SIPO	YZ	2752936
866786	2951	1998-09-09	VYDAJ	PREVOD NA UCET	743	56727	SIPO	YZ	2752936
866787	2951	1998-10-09	VYDAJ	PREVOD NA UCET	743	47463	SIPO	YZ	2752936
866788	2951	1998-11-09	VYDAJ	PREVOD NA UCET	743	47992	SIPO	YZ	2752936
866789	2951	1998-12-09	VYDAJ	PREVOD NA UCET	743	45781	SIPO	YZ	2752936
866802	2951	1994-01-13	VYDAJ	PREVOD NA UCET	1810	46924	 	QR	88711630
866803	2951	1994-02-13	VYDAJ	PREVOD NA UCET	1810	37564	 	QR	88711630
866804	2951	1994-03-13	VYDAJ	PREVOD NA UCET	1810	42293	 	QR	88711630
866805	2951	1994-04-13	VYDAJ	PREVOD NA UCET	1810	42658	 	QR	88711630
866806	2951	1994-05-13	VYDAJ	PREVOD NA UCET	1810	39269	 	QR	88711630
866807	2951	1994-06-13	VYDAJ	PREVOD NA UCET	1810	41966	 	QR	88711630
866808	2951	1994-07-13	VYDAJ	PREVOD NA UCET	1810	39470	 	QR	88711630
866809	2951	1994-08-13	VYDAJ	PREVOD NA UCET	1810	40708	 	QR	88711630
866810	2951	1994-09-13	VYDAJ	PREVOD NA UCET	1810	44150	 	QR	88711630
866811	2951	1994-10-13	VYDAJ	PREVOD NA UCET	1810	42806	 	QR	88711630
866812	2951	1994-11-13	VYDAJ	PREVOD NA UCET	1810	45758	 	QR	88711630
866813	2951	1994-12-13	VYDAJ	PREVOD NA UCET	1810	47390	 	QR	88711630
866814	2951	1995-01-13	VYDAJ	PREVOD NA UCET	1810	40072	 	QR	88711630
866815	2951	1995-02-13	VYDAJ	PREVOD NA UCET	1810	41002	 	QR	88711630
866816	2951	1995-03-13	VYDAJ	PREVOD NA UCET	1810	45440	 	QR	88711630
866817	2951	1995-04-13	VYDAJ	PREVOD NA UCET	1810	47797	 	QR	88711630
866818	2951	1995-05-13	VYDAJ	PREVOD NA UCET	1810	45577	 	QR	88711630
866819	2951	1995-06-13	VYDAJ	PREVOD NA UCET	1810	49585	 	QR	88711630
866820	2951	1995-07-13	VYDAJ	PREVOD NA UCET	1810	43929	 	QR	88711630
866821	2951	1995-08-13	VYDAJ	PREVOD NA UCET	1810	45380	 	QR	88711630
866822	2951	1995-09-13	VYDAJ	PREVOD NA UCET	1810	44874	 	QR	88711630
866823	2951	1995-10-13	VYDAJ	PREVOD NA UCET	1810	45324	 	QR	88711630
866824	2951	1995-11-13	VYDAJ	PREVOD NA UCET	1810	47476	 	QR	88711630
866825	2951	1995-12-13	VYDAJ	PREVOD NA UCET	1810	51508	 	QR	88711630
866826	2951	1996-01-13	VYDAJ	PREVOD NA UCET	1810	45779	 	QR	88711630
866827	2951	1996-02-13	VYDAJ	PREVOD NA UCET	1810	43044	 	QR	88711630
866828	2951	1996-03-13	VYDAJ	PREVOD NA UCET	1810	44583	 	QR	88711630
866829	2951	1996-04-13	VYDAJ	PREVOD NA UCET	1810	46229	 	QR	88711630
866830	2951	1996-05-13	VYDAJ	PREVOD NA UCET	1810	46375	 	QR	88711630
866831	2951	1996-06-13	VYDAJ	PREVOD NA UCET	1810	55883	 	QR	88711630
866832	2951	1996-07-13	VYDAJ	PREVOD NA UCET	1810	50518	 	QR	88711630
866833	2951	1996-08-13	VYDAJ	PREVOD NA UCET	1810	46540	 	QR	88711630
866834	2951	1996-09-13	VYDAJ	PREVOD NA UCET	1810	50797	 	QR	88711630
866835	2951	1996-10-13	VYDAJ	PREVOD NA UCET	1810	55230	 	QR	88711630
866836	2951	1996-11-13	VYDAJ	PREVOD NA UCET	1810	60322	 	QR	88711630
866837	2951	1996-12-13	VYDAJ	PREVOD NA UCET	1810	69584	 	QR	88711630
866838	2951	1997-01-13	VYDAJ	PREVOD NA UCET	1810	54236	 	QR	88711630
866839	2951	1997-02-13	VYDAJ	PREVOD NA UCET	1810	55206	 	QR	88711630
866840	2951	1997-03-13	VYDAJ	PREVOD NA UCET	1810	59794	 	QR	88711630
866841	2951	1997-04-13	VYDAJ	PREVOD NA UCET	1810	63501	 	QR	88711630
866842	2951	1997-05-13	VYDAJ	PREVOD NA UCET	1810	67323	 	QR	88711630
866843	2951	1997-06-13	VYDAJ	PREVOD NA UCET	1810	73708	 	QR	88711630
866844	2951	1997-07-13	VYDAJ	PREVOD NA UCET	1810	72155	 	QR	88711630
866845	2951	1997-08-13	VYDAJ	PREVOD NA UCET	1810	70290	 	QR	88711630
866846	2951	1997-09-13	VYDAJ	PREVOD NA UCET	1810	71339	 	QR	88711630
866847	2951	1997-10-13	VYDAJ	PREVOD NA UCET	1810	73788	 	QR	88711630
866848	2951	1997-11-13	VYDAJ	PREVOD NA UCET	1810	74543	 	QR	88711630
866849	2951	1997-12-13	VYDAJ	PREVOD NA UCET	1810	74149	 	QR	88711630
866850	2951	1998-01-13	VYDAJ	PREVOD NA UCET	1810	60875	 	QR	88711630
866851	2951	1998-02-13	VYDAJ	PREVOD NA UCET	1810	55966	 	QR	88711630
866852	2951	1998-03-13	VYDAJ	PREVOD NA UCET	1810	64867	 	QR	88711630
866853	2951	1998-04-13	VYDAJ	PREVOD NA UCET	1810	64342	 	QR	88711630
866854	2951	1998-05-13	VYDAJ	PREVOD NA UCET	1810	62774	 	QR	88711630
866855	2951	1998-06-13	VYDAJ	PREVOD NA UCET	1810	54552	 	QR	88711630
866856	2951	1998-07-13	VYDAJ	PREVOD NA UCET	1810	48956	 	QR	88711630
866857	2951	1998-08-13	VYDAJ	PREVOD NA UCET	1810	46046	 	QR	88711630
866858	2951	1998-09-13	VYDAJ	PREVOD NA UCET	1810	45917	 	QR	88711630
866859	2951	1998-10-13	VYDAJ	PREVOD NA UCET	1810	37353	 	QR	88711630
866860	2951	1998-11-13	VYDAJ	PREVOD NA UCET	1810	32982	 	QR	88711630
866861	2951	1998-12-13	VYDAJ	PREVOD NA UCET	1810	28371	 	QR	88711630
866875	2951	1994-02-05	VYDAJ	PREVOD NA UCET	462	28410	POJISTNE	QR	71099632
866876	2951	1994-03-05	VYDAJ	PREVOD NA UCET	462	33139	POJISTNE	QR	71099632
866877	2951	1994-04-05	VYDAJ	PREVOD NA UCET	462	33504	POJISTNE	QR	71099632
866878	2951	1994-05-05	VYDAJ	PREVOD NA UCET	462	34555	POJISTNE	QR	71099632
866879	2951	1994-06-05	VYDAJ	PREVOD NA UCET	462	32358	POJISTNE	QR	71099632
866880	2951	1994-07-05	VYDAJ	PREVOD NA UCET	462	30316	POJISTNE	QR	71099632
866881	2951	1994-08-05	VYDAJ	PREVOD NA UCET	462	31554	POJISTNE	QR	71099632
866882	2951	1994-09-05	VYDAJ	PREVOD NA UCET	462	34996	POJISTNE	QR	71099632
866883	2951	1994-10-05	VYDAJ	PREVOD NA UCET	462	33652	POJISTNE	QR	71099632
866884	2951	1994-11-05	VYDAJ	PREVOD NA UCET	462	36604	POJISTNE	QR	71099632
866885	2951	1994-12-05	VYDAJ	PREVOD NA UCET	462	36062	POJISTNE	QR	71099632
866886	2951	1995-01-05	VYDAJ	PREVOD NA UCET	462	34998	POJISTNE	QR	71099632
866887	2951	1995-02-05	VYDAJ	PREVOD NA UCET	462	31848	POJISTNE	QR	71099632
866888	2951	1995-03-05	VYDAJ	PREVOD NA UCET	462	36286	POJISTNE	QR	71099632
866889	2951	1995-04-05	VYDAJ	PREVOD NA UCET	462	38643	POJISTNE	QR	71099632
866890	2951	1995-05-05	VYDAJ	PREVOD NA UCET	462	36423	POJISTNE	QR	71099632
866891	2951	1995-06-05	VYDAJ	PREVOD NA UCET	462	34577	POJISTNE	QR	71099632
866892	2951	1995-07-05	VYDAJ	PREVOD NA UCET	462	38495	POJISTNE	QR	71099632
866893	2951	1995-08-05	VYDAJ	PREVOD NA UCET	462	36226	POJISTNE	QR	71099632
866894	2951	1995-09-05	VYDAJ	PREVOD NA UCET	462	35720	POJISTNE	QR	71099632
866895	2951	1995-10-05	VYDAJ	PREVOD NA UCET	462	36170	POJISTNE	QR	71099632
866896	2951	1995-11-05	VYDAJ	PREVOD NA UCET	462	38322	POJISTNE	QR	71099632
866897	2951	1995-12-05	VYDAJ	PREVOD NA UCET	462	38581	POJISTNE	QR	71099632
866898	2951	1996-01-05	VYDAJ	PREVOD NA UCET	462	42025	POJISTNE	QR	71099632
866899	2951	1996-02-05	VYDAJ	PREVOD NA UCET	462	33890	POJISTNE	QR	71099632
866900	2951	1996-03-05	VYDAJ	PREVOD NA UCET	462	35429	POJISTNE	QR	71099632
866901	2951	1996-04-05	VYDAJ	PREVOD NA UCET	462	37075	POJISTNE	QR	71099632
866902	2951	1996-05-05	VYDAJ	PREVOD NA UCET	462	37221	POJISTNE	QR	71099632
866903	2951	1996-06-05	VYDAJ	PREVOD NA UCET	462	40876	POJISTNE	QR	71099632
866904	2951	1996-07-05	VYDAJ	PREVOD NA UCET	462	41364	POJISTNE	QR	71099632
866905	2951	1996-08-05	VYDAJ	PREVOD NA UCET	462	40146	POJISTNE	QR	71099632
866906	2951	1996-09-05	VYDAJ	PREVOD NA UCET	462	41643	POJISTNE	QR	71099632
866907	2951	1996-10-05	VYDAJ	PREVOD NA UCET	462	46076	POJISTNE	QR	71099632
866908	2951	1996-11-05	VYDAJ	PREVOD NA UCET	462	51168	POJISTNE	QR	71099632
866909	2951	1996-12-05	VYDAJ	PREVOD NA UCET	462	54577	POJISTNE	QR	71099632
866910	2951	1997-01-05	VYDAJ	PREVOD NA UCET	462	54442	POJISTNE	QR	71099632
866911	2951	1997-02-05	VYDAJ	PREVOD NA UCET	462	46052	POJISTNE	QR	71099632
866912	2951	1997-03-05	VYDAJ	PREVOD NA UCET	462	50640	POJISTNE	QR	71099632
866913	2951	1997-04-05	VYDAJ	PREVOD NA UCET	462	54347	POJISTNE	QR	71099632
866914	2951	1997-05-05	VYDAJ	PREVOD NA UCET	462	58169	POJISTNE	QR	71099632
866915	2951	1997-06-05	VYDAJ	PREVOD NA UCET	462	58701	POJISTNE	QR	71099632
866916	2951	1997-07-05	VYDAJ	PREVOD NA UCET	462	63001	POJISTNE	QR	71099632
866917	2951	1997-08-05	VYDAJ	PREVOD NA UCET	462	66056	POJISTNE	QR	71099632
866918	2951	1997-09-05	VYDAJ	PREVOD NA UCET	462	62185	POJISTNE	QR	71099632
866919	2951	1997-10-05	VYDAJ	PREVOD NA UCET	462	64634	POJISTNE	QR	71099632
866920	2951	1997-11-05	VYDAJ	PREVOD NA UCET	462	65389	POJISTNE	QR	71099632
866921	2951	1997-12-05	VYDAJ	PREVOD NA UCET	462	64541	POJISTNE	QR	71099632
866922	2951	1998-01-05	VYDAJ	PREVOD NA UCET	462	61041	POJISTNE	QR	71099632
866923	2951	1998-02-05	VYDAJ	PREVOD NA UCET	462	49112	POJISTNE	QR	71099632
866924	2951	1998-03-05	VYDAJ	PREVOD NA UCET	462	55713	POJISTNE	QR	71099632
866925	2951	1998-04-05	VYDAJ	PREVOD NA UCET	462	55188	POJISTNE	QR	71099632
866926	2951	1998-05-05	VYDAJ	PREVOD NA UCET	462	53620	POJISTNE	QR	71099632
866927	2951	1998-06-05	VYDAJ	PREVOD NA UCET	462	52145	POJISTNE	QR	71099632
866928	2951	1998-07-05	VYDAJ	PREVOD NA UCET	462	54302	POJISTNE	QR	71099632
866929	2951	1998-08-05	VYDAJ	PREVOD NA UCET	462	48692	POJISTNE	QR	71099632
866930	2951	1998-09-05	VYDAJ	PREVOD NA UCET	462	45763	POJISTNE	QR	71099632
866931	2951	1998-10-05	VYDAJ	PREVOD NA UCET	462	36499	POJISTNE	QR	71099632
866932	2951	1998-11-05	VYDAJ	PREVOD NA UCET	462	37028	POJISTNE	QR	71099632
866933	2951	1998-12-05	VYDAJ	PREVOD NA UCET	462	32643	POJISTNE	QR	71099632
866935	2951	1994-12-11	VYDAJ	VYBER	3680	49200	\N	\N	\N
866936	2951	1995-12-11	VYDAJ	VYBER	2080	53318	\N	\N	\N
866937	2951	1996-12-19	VYDAJ	VYBER	4320	54664	\N	\N	\N
866938	2951	1997-12-16	VYDAJ	VYBER	3200	61249	\N	\N	\N
866939	2951	1998-12-07	VYDAJ	VYBER	3680	28963	\N	\N	\N
866946	2951	1994-01-25	VYDAJ	VYBER	1920	41044	\N	\N	\N
866947	2951	1994-01-14	VYDAJ	VYBER	1440	45484	\N	\N	\N
866948	2951	1994-01-18	VYDAJ	VYBER	2520	42964	\N	\N	\N
866949	2951	1994-01-12	VYDAJ	VYBER	600	48734	\N	\N	\N
866952	2951	1995-01-16	VYDAJ	VYBER	2760	37312	\N	\N	\N
866953	2951	1995-01-23	VYDAJ	VYBER	2640	34672	\N	\N	\N
866954	2951	1995-01-08	VYDAJ	VYBER	720	30918	\N	\N	\N
866955	2951	1995-01-02	VYDAJ	VYBER	1800	35460	\N	\N	\N
866956	2951	1995-01-08	VYDAJ	VYBER	1080	31638	\N	\N	\N
866957	2951	1995-01-07	VYDAJ	VYBER	2280	32718	\N	\N	\N
866958	2951	1996-01-16	VYDAJ	VYBER	3360	42419	\N	\N	\N
866959	2951	1996-01-07	VYDAJ	VYBER	2160	39865	\N	\N	\N
866960	2951	1996-01-19	VYDAJ	VYBER	1440	40019	\N	\N	\N
866961	2951	1996-01-21	VYDAJ	VYBER	3120	36899	\N	\N	\N
866962	2951	1996-01-17	VYDAJ	VYBER	960	41459	\N	\N	\N
866963	2951	1996-01-10	VYDAJ	VYBER	3240	47589	\N	\N	\N
866964	2951	1997-01-17	VYDAJ	VYBER	1320	52916	\N	\N	\N
866965	2951	1997-01-12	VYDAJ	VYBER	1320	56046	\N	\N	\N
866966	2951	1997-01-10	VYDAJ	VYBER	2160	60606	\N	\N	\N
866967	2951	1997-01-19	VYDAJ	VYBER	960	46316	\N	\N	\N
866968	2951	1997-01-17	VYDAJ	VYBER	2640	50276	\N	\N	\N
866969	2951	1997-01-09	VYDAJ	VYBER	2640	62766	\N	\N	\N
866970	2951	1998-01-17	VYDAJ	VYBER	2760	54635	\N	\N	\N
866971	2951	1998-01-14	VYDAJ	VYBER	1560	59315	\N	\N	\N
866972	2951	1998-01-10	VYDAJ	VYBER	1320	70685	\N	\N	\N
866973	2951	1998-01-19	VYDAJ	VYBER	2280	50435	\N	\N	\N
866974	2951	1998-01-17	VYDAJ	VYBER	1920	57395	\N	\N	\N
866975	2951	1998-01-18	VYDAJ	VYBER	1920	52715	\N	\N	\N
866982	2951	1994-01-26	VYDAJ	VYBER	5040	36004	\N	\N	\N
866983	2951	1994-06-22	VYDAJ	VYBER	2040	39926	\N	\N	\N
866984	2951	1994-03-15	VYDAJ	VYBER	1080	41213	\N	\N	\N
866985	2951	1994-07-05	VYDAJ	VYBER	1800	30778	\N	\N	\N
866986	2951	1994-06-05	VYDAJ	VYBER	5400	26958	\N	\N	\N
866987	2951	1994-05-12	VYDAJ	VYBER	4440	41079	\N	\N	\N
866988	2951	1995-07-09	VYDAJ	VYBER	3720	45739	\N	\N	\N
866989	2951	1995-04-21	VYDAJ	VYBER	4080	43717	\N	\N	\N
866990	2951	1995-09-01	VYDAJ	VYBER	2760	36182	\N	\N	\N
866991	2951	1996-08-09	VYDAJ	VYBER	2760	48350	\N	\N	\N
866992	2951	1996-09-26	VYDAJ	VYBER	1440	46357	\N	\N	\N
866993	2951	1996-07-17	VYDAJ	VYBER	4320	46198	\N	\N	\N
866994	2951	1996-06-19	VYDAJ	VYBER	2640	53243	\N	\N	\N
866995	2951	1996-07-20	VYDAJ	VYBER	1560	44638	\N	\N	\N
866996	2951	1996-04-13	VYDAJ	VYBER	3600	42629	\N	\N	\N
866997	2951	1997-12-12	VYDAJ	VYBER	3720	75959	\N	\N	\N
866998	2951	1997-08-12	VYDAJ	VYBER	4920	72100	\N	\N	\N
866999	2951	1997-01-11	VYDAJ	VYBER	3240	57366	\N	\N	\N
867000	2951	1997-12-11	VYDAJ	VYBER	1680	79679	\N	\N	\N
867001	2951	1998-09-27	VYDAJ	VYBER	5040	36797	\N	\N	\N
867002	2951	1998-09-17	VYDAJ	VYBER	4080	41837	\N	\N	\N
867003	2951	1998-01-20	VYDAJ	VYBER	1080	49355	\N	\N	\N
867004	2951	1998-03-20	VYDAJ	VYBER	3240	55427	\N	\N	\N
867018	2951	1994-01-31	VYDAJ	VYBER	15	36172	SLUZBY	\N	\N
867019	2951	1994-02-28	VYDAJ	VYBER	15	37701	SLUZBY	\N	\N
867020	2951	1994-03-31	VYDAJ	VYBER	15	41366	SLUZBY	\N	\N
867021	2951	1994-04-30	VYDAJ	VYBER	15	42817	SLUZBY	\N	\N
867022	2951	1994-05-31	VYDAJ	VYBER	15	39420	SLUZBY	\N	\N
867023	2951	1994-06-30	VYDAJ	VYBER	15	40078	SLUZBY	\N	\N
867024	2951	1994-07-31	VYDAJ	VYBER	15	39616	SLUZBY	\N	\N
867025	2951	1994-08-31	VYDAJ	VYBER	15	40858	SLUZBY	\N	\N
867026	2951	1994-09-30	VYDAJ	VYBER	15	44314	SLUZBY	\N	\N
867027	2951	1994-10-31	VYDAJ	VYBER	15	37066	SLUZBY	\N	\N
867028	2951	1994-11-30	VYDAJ	VYBER	15	36524	SLUZBY	\N	\N
867029	2951	1994-12-31	VYDAJ	VYBER	15	37260	SLUZBY	\N	\N
867030	2951	1995-01-31	VYDAJ	VYBER	15	32310	SLUZBY	\N	\N
867031	2951	1995-02-28	VYDAJ	VYBER	15	36748	SLUZBY	\N	\N
867032	2951	1995-03-31	VYDAJ	VYBER	15	39105	SLUZBY	\N	\N
867033	2951	1995-04-30	VYDAJ	VYBER	15	36885	SLUZBY	\N	\N
867034	2951	1995-05-31	VYDAJ	VYBER	15	35039	SLUZBY	\N	\N
867035	2951	1995-06-30	VYDAJ	VYBER	15	38957	SLUZBY	\N	\N
867036	2951	1995-07-31	VYDAJ	VYBER	15	36688	SLUZBY	\N	\N
867037	2951	1995-08-31	VYDAJ	VYBER	15	38942	SLUZBY	\N	\N
867038	2951	1995-09-30	VYDAJ	VYBER	15	36632	SLUZBY	\N	\N
867039	2951	1995-10-31	VYDAJ	VYBER	15	38784	SLUZBY	\N	\N
867040	2951	1995-11-30	VYDAJ	VYBER	15	39043	SLUZBY	\N	\N
867041	2951	1995-12-31	VYDAJ	VYBER	15	42487	SLUZBY	\N	\N
867042	2951	1996-01-31	VYDAJ	VYBER	15	34352	SLUZBY	\N	\N
867043	2951	1996-02-29	VYDAJ	VYBER	15	35891	SLUZBY	\N	\N
867044	2951	1996-03-31	VYDAJ	VYBER	15	37537	SLUZBY	\N	\N
867045	2951	1996-04-30	VYDAJ	VYBER	15	37683	SLUZBY	\N	\N
867046	2951	1996-05-31	VYDAJ	VYBER	15	41338	SLUZBY	\N	\N
867047	2951	1996-06-30	VYDAJ	VYBER	15	41826	SLUZBY	\N	\N
867048	2951	1996-07-31	VYDAJ	VYBER	15	40608	SLUZBY	\N	\N
867049	2951	1996-08-31	VYDAJ	VYBER	15	42105	SLUZBY	\N	\N
867050	2951	1996-09-30	VYDAJ	VYBER	15	46538	SLUZBY	\N	\N
867051	2951	1996-10-31	VYDAJ	VYBER	15	51630	SLUZBY	\N	\N
867052	2951	1996-11-30	VYDAJ	VYBER	15	55039	SLUZBY	\N	\N
867053	2951	1996-12-31	VYDAJ	VYBER	15	54904	SLUZBY	\N	\N
867054	2951	1997-01-31	VYDAJ	VYBER	15	46514	SLUZBY	\N	\N
867055	2951	1997-02-28	VYDAJ	VYBER	15	51102	SLUZBY	\N	\N
867056	2951	1997-03-31	VYDAJ	VYBER	15	54809	SLUZBY	\N	\N
867057	2951	1997-04-30	VYDAJ	VYBER	15	58631	SLUZBY	\N	\N
867058	2951	1997-05-31	VYDAJ	VYBER	15	59163	SLUZBY	\N	\N
867059	2951	1997-06-30	VYDAJ	VYBER	15	63463	SLUZBY	\N	\N
867060	2951	1997-07-31	VYDAJ	VYBER	15	66518	SLUZBY	\N	\N
867061	2951	1997-08-31	VYDAJ	VYBER	15	62647	SLUZBY	\N	\N
867062	2951	1997-09-30	VYDAJ	VYBER	15	65096	SLUZBY	\N	\N
867063	2951	1997-10-31	VYDAJ	VYBER	15	65851	SLUZBY	\N	\N
867064	2951	1997-11-30	VYDAJ	VYBER	15	65003	SLUZBY	\N	\N
867065	2951	1997-12-31	VYDAJ	VYBER	15	61503	SLUZBY	\N	\N
867066	2951	1998-01-31	VYDAJ	VYBER	15	49574	SLUZBY	\N	\N
867067	2951	1998-02-28	VYDAJ	VYBER	15	56175	SLUZBY	\N	\N
867068	2951	1998-03-31	VYDAJ	VYBER	15	55650	SLUZBY	\N	\N
867069	2951	1998-04-30	VYDAJ	VYBER	15	54082	SLUZBY	\N	\N
867070	2951	1998-05-31	VYDAJ	VYBER	15	52607	SLUZBY	\N	\N
867071	2951	1998-06-30	VYDAJ	VYBER	15	54764	SLUZBY	\N	\N
867072	2951	1998-07-31	VYDAJ	VYBER	15	49154	SLUZBY	\N	\N
867073	2951	1998-08-31	VYDAJ	VYBER	15	46225	SLUZBY	\N	\N
867074	2951	1998-09-30	VYDAJ	VYBER	15	36961	SLUZBY	\N	\N
867075	2951	1998-10-31	VYDAJ	VYBER	15	37490	SLUZBY	\N	\N
867076	2951	1998-11-30	VYDAJ	VYBER	15	33105	SLUZBY	\N	\N
867077	2951	1993-10-06	PRIJEM	VKLAD	7600	19543	\N	\N	\N
867078	2951	1993-11-05	VYDAJ	VYBER	4000	27360	\N	\N	\N
867079	2951	1993-12-05	VYDAJ	VYBER	9500	29721	\N	\N	\N
867080	2951	1994-01-04	VYDAJ	VYBER	9100	38370	\N	\N	\N
867081	2951	1994-02-03	VYDAJ	VYBER	7300	28872	\N	\N	\N
867082	2951	1994-03-05	VYDAJ	VYBER	4100	33601	\N	\N	\N
867083	2951	1994-04-04	VYDAJ	VYBER	7400	33966	\N	\N	\N
867084	2951	1994-05-04	VYDAJ	VYBER	7800	35017	\N	\N	\N
867085	2951	1994-06-03	VYDAJ	VYBER	6600	32820	\N	\N	\N
867086	2951	1994-07-03	VYDAJ	VYBER	7500	32578	\N	\N	\N
867087	2951	1994-08-02	VYDAJ	VYBER	7600	32016	\N	\N	\N
867088	2951	1994-09-01	VYDAJ	VYBER	5400	35458	\N	\N	\N
867089	2951	1994-10-01	VYDAJ	VYBER	10200	34114	\N	\N	\N
867090	2951	1994-10-31	VYDAJ	VYBER	5900	37080	\N	\N	\N
867091	2951	1994-11-30	VYDAJ	VYBER	9400	36539	\N	\N	\N
867092	2951	1994-12-30	VYDAJ	VYBER	10300	37090	\N	\N	\N
867093	2951	1995-01-29	VYDAJ	VYBER	2500	32172	\N	\N	\N
867094	2951	1995-02-28	VYDAJ	VYBER	4400	36763	\N	\N	\N
867095	2951	1995-03-30	VYDAJ	VYBER	6500	38940	\N	\N	\N
867096	2951	1995-04-29	VYDAJ	VYBER	7000	36717	\N	\N	\N
867097	2951	1995-05-29	VYDAJ	VYBER	10700	34877	\N	\N	\N
867098	2951	1995-06-28	VYDAJ	VYBER	10800	38785	\N	\N	\N
867099	2951	1995-07-28	VYDAJ	VYBER	7400	36529	\N	\N	\N
867100	2951	1995-08-27	VYDAJ	VYBER	6600	38780	\N	\N	\N
867101	2951	1995-09-26	VYDAJ	VYBER	8400	36474	\N	\N	\N
867102	2951	1995-10-26	VYDAJ	VYBER	6700	38624	\N	\N	\N
867103	2951	1995-11-25	VYDAJ	VYBER	8600	38876	\N	\N	\N
867104	2951	1995-12-25	VYDAJ	VYBER	9200	42308	\N	\N	\N
867105	2951	1996-01-24	VYDAJ	VYBER	2700	34199	\N	\N	\N
867106	2951	1996-02-23	VYDAJ	VYBER	7300	35744	\N	\N	\N
867107	2951	1996-03-24	VYDAJ	VYBER	7200	37383	\N	\N	\N
867108	2951	1996-04-23	VYDAJ	VYBER	5100	37529	\N	\N	\N
867109	2951	1996-05-23	VYDAJ	VYBER	5200	41175	\N	\N	\N
867110	2951	1996-06-22	VYDAJ	VYBER	11600	41643	\N	\N	\N
867111	2951	1996-07-22	VYDAJ	VYBER	4200	40438	\N	\N	\N
867112	2951	1996-08-21	VYDAJ	VYBER	4600	41940	\N	\N	\N
867113	2951	1996-09-20	VYDAJ	VYBER	3000	47797	\N	\N	\N
867114	2951	1996-10-20	VYDAJ	VYBER	3800	51430	\N	\N	\N
867115	2951	1996-11-19	VYDAJ	VYBER	5500	54822	\N	\N	\N
867116	2951	1996-12-19	VYDAJ	VYBER	10600	58984	\N	\N	\N
867117	2951	1997-01-18	VYDAJ	VYBER	3000	47276	\N	\N	\N
867118	2951	1997-02-17	VYDAJ	VYBER	4300	50906	\N	\N	\N
867119	2951	1997-03-19	VYDAJ	VYBER	5200	54594	\N	\N	\N
867120	2951	1997-04-18	VYDAJ	VYBER	5100	58401	\N	\N	\N
867121	2951	1997-05-18	VYDAJ	VYBER	8400	58923	\N	\N	\N
867122	2951	1997-06-17	VYDAJ	VYBER	10500	63208	\N	\N	\N
867123	2951	1997-07-17	VYDAJ	VYBER	5900	66255	\N	\N	\N
867124	2951	1997-08-16	VYDAJ	VYBER	7900	62390	\N	\N	\N
867125	2951	1997-09-15	VYDAJ	VYBER	6500	64839	\N	\N	\N
867126	2951	1997-10-15	VYDAJ	VYBER	8200	65588	\N	\N	\N
867127	2951	1997-11-14	VYDAJ	VYBER	9800	64743	\N	\N	\N
867128	2951	1997-12-14	VYDAJ	VYBER	9700	64449	\N	\N	\N
867129	2951	1998-01-13	VYDAJ	VYBER	8000	62685	\N	\N	\N
867130	2951	1998-02-12	VYDAJ	VYBER	2300	57776	\N	\N	\N
867131	2951	1998-03-14	VYDAJ	VYBER	6200	58667	\N	\N	\N
867132	2951	1998-04-13	VYDAJ	VYBER	10500	53842	\N	\N	\N
867133	2951	1998-05-13	VYDAJ	VYBER	10400	52374	\N	\N	\N
867134	2951	1998-06-12	VYDAJ	VYBER	12600	56362	\N	\N	\N
867135	2951	1998-07-12	VYDAJ	VYBER	14500	50766	\N	\N	\N
867136	2951	1998-08-11	VYDAJ	VYBER	11800	47856	\N	\N	\N
867137	2951	1998-09-10	VYDAJ	VYBER	9000	47727	\N	\N	\N
867138	2951	1998-10-10	VYDAJ	VYBER	8300	39163	\N	\N	\N
867139	2951	1998-11-09	VYDAJ	VYBER	13200	34792	\N	\N	\N
867140	2951	1998-12-09	VYDAJ	VYBER	15600	30181	\N	\N	\N
867205	2952	1997-04-28	PRIJEM	VKLAD	900	900	\N	\N	\N
867210	2952	1997-05-08	PRIJEM	PREVOD Z UCTU	4833	5733	DUCHOD	UV	28293824
867211	2952	1997-06-08	PRIJEM	PREVOD Z UCTU	4833	10566	DUCHOD	UV	28293824
867212	2952	1997-07-08	PRIJEM	PREVOD Z UCTU	4833	15399	DUCHOD	UV	28293824
867213	2952	1997-08-08	PRIJEM	PREVOD Z UCTU	4833	20232	DUCHOD	UV	28293824
867214	2952	1997-09-08	PRIJEM	PREVOD Z UCTU	4833	25065	DUCHOD	UV	28293824
867215	2952	1997-10-08	PRIJEM	PREVOD Z UCTU	4833	27573	DUCHOD	UV	28293824
867216	2952	1997-11-08	PRIJEM	PREVOD Z UCTU	4833	29017	DUCHOD	UV	28293824
867217	2952	1997-12-08	PRIJEM	PREVOD Z UCTU	4833	28286	DUCHOD	UV	28293824
867218	2952	1998-01-08	PRIJEM	PREVOD Z UCTU	4833	24909	DUCHOD	UV	28293824
867219	2952	1998-02-08	PRIJEM	PREVOD Z UCTU	4833	19575	DUCHOD	UV	28293824
867220	2952	1998-03-08	PRIJEM	PREVOD Z UCTU	4833	20806	DUCHOD	UV	28293824
867221	2952	1998-04-08	PRIJEM	PREVOD Z UCTU	4833	17840	DUCHOD	UV	28293824
867222	2952	1998-05-08	PRIJEM	PREVOD Z UCTU	4833	17543	DUCHOD	UV	28293824
867223	2952	1998-06-08	PRIJEM	PREVOD Z UCTU	4833	16317	DUCHOD	UV	28293824
867224	2952	1998-07-08	PRIJEM	PREVOD Z UCTU	4833	17714	DUCHOD	UV	28293824
867225	2952	1998-08-08	PRIJEM	PREVOD Z UCTU	4833	19318	DUCHOD	UV	28293824
867226	2952	1998-09-08	PRIJEM	PREVOD Z UCTU	4833	15720	DUCHOD	UV	28293824
867227	2952	1998-10-08	PRIJEM	PREVOD Z UCTU	4833	15512	DUCHOD	UV	28293824
867228	2952	1998-11-08	PRIJEM	PREVOD Z UCTU	4833	18007	DUCHOD	UV	28293824
867229	2952	1998-12-08	PRIJEM	PREVOD Z UCTU	4833	17808	DUCHOD	UV	28293824
867238	2952	1997-09-10	VYDAJ	PREVOD NA UCET	1629	23436	SIPO	YZ	60263645
867239	2952	1997-10-10	VYDAJ	PREVOD NA UCET	1629	25944	SIPO	YZ	60263645
867240	2952	1997-11-10	VYDAJ	PREVOD NA UCET	1629	27388	SIPO	YZ	60263645
867241	2952	1997-12-10	VYDAJ	PREVOD NA UCET	1629	26657	SIPO	YZ	60263645
867242	2952	1998-01-10	VYDAJ	PREVOD NA UCET	1629	18330	SIPO	YZ	60263645
867243	2952	1998-02-10	VYDAJ	PREVOD NA UCET	1629	17946	SIPO	YZ	60263645
867244	2952	1998-03-10	VYDAJ	PREVOD NA UCET	1629	19177	SIPO	YZ	60263645
867245	2952	1998-04-10	VYDAJ	PREVOD NA UCET	1629	16211	SIPO	YZ	60263645
867246	2952	1998-05-10	VYDAJ	PREVOD NA UCET	1629	15914	SIPO	YZ	60263645
867247	2952	1998-06-10	VYDAJ	PREVOD NA UCET	1629	14688	SIPO	YZ	60263645
867248	2952	1998-07-10	VYDAJ	PREVOD NA UCET	1629	16085	SIPO	YZ	60263645
867249	2952	1998-08-10	VYDAJ	PREVOD NA UCET	1629	17689	SIPO	YZ	60263645
867250	2952	1998-09-10	VYDAJ	PREVOD NA UCET	1629	14091	SIPO	YZ	60263645
867251	2952	1998-10-10	VYDAJ	PREVOD NA UCET	1629	13883	SIPO	YZ	60263645
867252	2952	1998-11-10	VYDAJ	PREVOD NA UCET	1629	16378	SIPO	YZ	60263645
867253	2952	1998-12-10	VYDAJ	PREVOD NA UCET	1629	16179	SIPO	YZ	60263645
867263	2952	1997-10-06	VYDAJ	PREVOD NA UCET	750	22740	 	QR	47959893
867264	2952	1997-11-06	VYDAJ	PREVOD NA UCET	750	24184	 	QR	47959893
867265	2952	1997-12-06	VYDAJ	PREVOD NA UCET	750	23453	 	QR	47959893
867266	2952	1998-01-06	VYDAJ	PREVOD NA UCET	750	20076	 	QR	47959893
867267	2952	1998-02-06	VYDAJ	PREVOD NA UCET	750	14742	 	QR	47959893
867268	2952	1998-03-06	VYDAJ	PREVOD NA UCET	750	15973	 	QR	47959893
867269	2952	1998-04-06	VYDAJ	PREVOD NA UCET	750	13007	 	QR	47959893
867270	2952	1998-05-06	VYDAJ	PREVOD NA UCET	750	12710	 	QR	47959893
867271	2952	1998-06-06	VYDAJ	PREVOD NA UCET	750	11484	 	QR	47959893
867272	2952	1998-07-06	VYDAJ	PREVOD NA UCET	750	12881	 	QR	47959893
867273	2952	1998-08-06	VYDAJ	PREVOD NA UCET	750	14485	 	QR	47959893
867274	2952	1998-09-06	VYDAJ	PREVOD NA UCET	750	10887	 	QR	47959893
867275	2952	1998-10-06	VYDAJ	PREVOD NA UCET	750	10679	 	QR	47959893
867276	2952	1998-11-06	VYDAJ	PREVOD NA UCET	750	13174	 	QR	47959893
867277	2952	1998-12-06	VYDAJ	PREVOD NA UCET	750	12975	 	QR	47959893
867281	2952	1998-01-09	VYDAJ	VYBER	4950	19959	\N	\N	\N
867282	2952	1997-12-20	VYDAJ	VYBER	300	26357	\N	\N	\N
867283	2952	1998-12-20	VYDAJ	VYBER	350	14869	\N	\N	\N
867286	2952	1997-11-27	VYDAJ	VYBER	880	24108	\N	\N	\N
867288	2952	1998-04-01	VYDAJ	VYBER	1680	13757	\N	\N	\N
867289	2952	1998-05-12	VYDAJ	VYBER	3120	12794	\N	\N	\N
867291	2952	1998-02-25	VYDAJ	VYBER	1280	16666	\N	\N	\N
867293	2952	1998-12-18	VYDAJ	VYBER	960	15219	\N	\N	\N
867294	2952	1998-01-06	VYDAJ	VYBER	720	20826	\N	\N	\N
867304	2952	1997-09-30	VYDAJ	VYBER	15	23490	SLUZBY	\N	\N
867305	2952	1997-10-31	VYDAJ	VYBER	15	24934	SLUZBY	\N	\N
867306	2952	1997-11-30	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
867307	2952	1997-12-31	VYDAJ	VYBER	15	21546	SLUZBY	\N	\N
867308	2952	1998-01-31	VYDAJ	VYBER	15	15492	SLUZBY	\N	\N
867309	2952	1998-02-28	VYDAJ	VYBER	15	16723	SLUZBY	\N	\N
867310	2952	1998-03-31	VYDAJ	VYBER	15	15437	SLUZBY	\N	\N
867311	2952	1998-04-30	VYDAJ	VYBER	15	13460	SLUZBY	\N	\N
867312	2952	1998-05-31	VYDAJ	VYBER	15	12234	SLUZBY	\N	\N
867313	2952	1998-06-30	VYDAJ	VYBER	15	13631	SLUZBY	\N	\N
867314	2952	1998-07-31	VYDAJ	VYBER	15	15235	SLUZBY	\N	\N
867315	2952	1998-08-31	VYDAJ	VYBER	15	11637	SLUZBY	\N	\N
867316	2952	1998-09-30	VYDAJ	VYBER	15	11429	SLUZBY	\N	\N
867317	2952	1998-10-31	VYDAJ	VYBER	15	13924	SLUZBY	\N	\N
867318	2952	1998-11-30	VYDAJ	VYBER	15	13725	SLUZBY	\N	\N
867319	2952	1997-10-25	VYDAJ	VYBER	1100	24844	\N	\N	\N
867320	2952	1997-11-24	VYDAJ	VYBER	2400	24988	\N	\N	\N
867321	2952	1997-12-24	VYDAJ	VYBER	4900	21457	\N	\N	\N
867322	2952	1998-01-23	VYDAJ	VYBER	2900	15430	\N	\N	\N
867323	2952	1998-03-24	VYDAJ	VYBER	3800	15377	\N	\N	\N
867324	2952	1998-04-23	VYDAJ	VYBER	2800	13411	\N	\N	\N
867325	2952	1998-05-23	VYDAJ	VYBER	600	12194	\N	\N	\N
867326	2952	1998-06-22	VYDAJ	VYBER	1100	13588	\N	\N	\N
867327	2952	1998-07-22	VYDAJ	VYBER	900	15185	\N	\N	\N
867328	2952	1998-08-21	VYDAJ	VYBER	6100	11589	\N	\N	\N
867329	2952	1998-09-20	VYDAJ	VYBER	2700	11391	\N	\N	\N
867330	2952	1998-11-19	VYDAJ	VYBER	2700	13678	\N	\N	\N
867347	2953	1996-09-02	PRIJEM	VKLAD	900	900	\N	\N	\N
867356	2953	1996-09-05	PRIJEM	VKLAD	5142	6042	\N	\N	\N
867357	2953	1996-10-05	PRIJEM	VKLAD	5142	19206	\N	\N	\N
867358	2953	1996-11-05	PRIJEM	VKLAD	5142	28721	\N	\N	\N
867359	2953	1996-12-05	PRIJEM	VKLAD	7713	34348	\N	\N	\N
867360	2953	1997-01-05	PRIJEM	VKLAD	5142	38730	\N	\N	\N
867361	2953	1997-02-05	PRIJEM	VKLAD	5142	28156	\N	\N	\N
867362	2953	1997-03-05	PRIJEM	VKLAD	5142	33555	\N	\N	\N
867363	2953	1997-04-05	PRIJEM	VKLAD	5142	35574	\N	\N	\N
867364	2953	1997-05-05	PRIJEM	VKLAD	5142	43008	\N	\N	\N
867365	2953	1997-06-05	PRIJEM	VKLAD	7713	36843	\N	\N	\N
867366	2953	1997-07-05	PRIJEM	VKLAD	5142	42389	\N	\N	\N
867367	2953	1997-08-05	PRIJEM	VKLAD	5142	46649	\N	\N	\N
867368	2953	1997-09-05	PRIJEM	VKLAD	5142	47923	\N	\N	\N
867369	2953	1997-10-05	PRIJEM	VKLAD	5142	47706	\N	\N	\N
867370	2953	1997-11-05	PRIJEM	VKLAD	5142	48488	\N	\N	\N
867371	2953	1997-12-05	PRIJEM	VKLAD	7713	56448	\N	\N	\N
867372	2953	1998-01-05	PRIJEM	VKLAD	5142	50259	\N	\N	\N
867373	2953	1998-02-05	PRIJEM	VKLAD	5142	53647	\N	\N	\N
867374	2953	1998-03-05	PRIJEM	VKLAD	5142	59157	\N	\N	\N
867375	2953	1998-04-05	PRIJEM	VKLAD	5142	58386	\N	\N	\N
867376	2953	1998-05-05	PRIJEM	VKLAD	5142	61414	\N	\N	\N
867377	2953	1998-06-05	PRIJEM	VKLAD	7713	56125	\N	\N	\N
867378	2953	1998-07-05	PRIJEM	VKLAD	5142	60749	\N	\N	\N
867379	2953	1998-08-05	PRIJEM	VKLAD	5142	60985	\N	\N	\N
867380	2953	1998-09-05	PRIJEM	VKLAD	5142	59919	\N	\N	\N
867381	2953	1998-10-05	PRIJEM	VKLAD	5142	55345	\N	\N	\N
867382	2953	1998-11-05	PRIJEM	VKLAD	5142	51652	\N	\N	\N
867383	2953	1998-12-05	PRIJEM	VKLAD	7713	53317	\N	\N	\N
867396	2953	1997-01-06	VYDAJ	PREVOD NA UCET	580	38150	SIPO	MN	9888029
867397	2953	1997-02-06	VYDAJ	PREVOD NA UCET	580	27576	SIPO	MN	9888029
867398	2953	1997-03-06	VYDAJ	PREVOD NA UCET	580	32975	SIPO	MN	9888029
867399	2953	1997-04-06	VYDAJ	PREVOD NA UCET	580	34994	SIPO	MN	9888029
867400	2953	1997-05-06	VYDAJ	PREVOD NA UCET	580	42428	SIPO	MN	9888029
867401	2953	1997-06-06	VYDAJ	PREVOD NA UCET	580	36263	SIPO	MN	9888029
867402	2953	1997-07-06	VYDAJ	PREVOD NA UCET	580	41809	SIPO	MN	9888029
867403	2953	1997-08-06	VYDAJ	PREVOD NA UCET	580	46069	SIPO	MN	9888029
867404	2953	1997-09-06	VYDAJ	PREVOD NA UCET	580	47343	SIPO	MN	9888029
867405	2953	1997-10-06	VYDAJ	PREVOD NA UCET	580	47126	SIPO	MN	9888029
867406	2953	1997-11-06	VYDAJ	PREVOD NA UCET	580	47908	SIPO	MN	9888029
867407	2953	1997-12-06	VYDAJ	PREVOD NA UCET	580	53368	SIPO	MN	9888029
867408	2953	1998-01-06	VYDAJ	PREVOD NA UCET	580	49679	SIPO	MN	9888029
867409	2953	1998-02-06	VYDAJ	PREVOD NA UCET	580	53067	SIPO	MN	9888029
867410	2953	1998-03-06	VYDAJ	PREVOD NA UCET	580	58577	SIPO	MN	9888029
867411	2953	1998-04-06	VYDAJ	PREVOD NA UCET	580	57806	SIPO	MN	9888029
867412	2953	1998-05-06	VYDAJ	PREVOD NA UCET	580	60834	SIPO	MN	9888029
867413	2953	1998-06-06	VYDAJ	PREVOD NA UCET	580	55545	SIPO	MN	9888029
867414	2953	1998-07-06	VYDAJ	PREVOD NA UCET	580	60169	SIPO	MN	9888029
867415	2953	1998-08-06	VYDAJ	PREVOD NA UCET	580	60405	SIPO	MN	9888029
867416	2953	1998-09-06	VYDAJ	PREVOD NA UCET	580	59339	SIPO	MN	9888029
867417	2953	1998-10-06	VYDAJ	PREVOD NA UCET	580	54765	SIPO	MN	9888029
867418	2953	1998-11-06	VYDAJ	PREVOD NA UCET	580	51072	SIPO	MN	9888029
867419	2953	1998-12-06	VYDAJ	PREVOD NA UCET	580	52737	SIPO	MN	9888029
867432	2953	1997-01-08	VYDAJ	PREVOD NA UCET	2848	35302	 	UV	53719216
867433	2953	1997-02-08	VYDAJ	PREVOD NA UCET	2848	24728	 	UV	53719216
867434	2953	1997-03-08	VYDAJ	PREVOD NA UCET	2848	30127	 	UV	53719216
867435	2953	1997-04-08	VYDAJ	PREVOD NA UCET	2848	32146	 	UV	53719216
867436	2953	1997-05-08	VYDAJ	PREVOD NA UCET	2848	39580	 	UV	53719216
867437	2953	1997-06-08	VYDAJ	PREVOD NA UCET	2848	30515	 	UV	53719216
867438	2953	1997-07-08	VYDAJ	PREVOD NA UCET	2848	38961	 	UV	53719216
867439	2953	1997-08-08	VYDAJ	PREVOD NA UCET	2848	43221	 	UV	53719216
867440	2953	1997-09-08	VYDAJ	PREVOD NA UCET	2848	44495	 	UV	53719216
867441	2953	1997-10-08	VYDAJ	PREVOD NA UCET	2848	44278	 	UV	53719216
867442	2953	1997-11-08	VYDAJ	PREVOD NA UCET	2848	45060	 	UV	53719216
867443	2953	1997-12-08	VYDAJ	PREVOD NA UCET	2848	50520	 	UV	53719216
867444	2953	1998-01-08	VYDAJ	PREVOD NA UCET	2848	45431	 	UV	53719216
867445	2953	1998-02-08	VYDAJ	PREVOD NA UCET	2848	50219	 	UV	53719216
867446	2953	1998-03-08	VYDAJ	PREVOD NA UCET	2848	55729	 	UV	53719216
867447	2953	1998-04-08	VYDAJ	PREVOD NA UCET	2848	54958	 	UV	53719216
867448	2953	1998-05-08	VYDAJ	PREVOD NA UCET	2848	57986	 	UV	53719216
867449	2953	1998-06-08	VYDAJ	PREVOD NA UCET	2848	52697	 	UV	53719216
867450	2953	1998-07-08	VYDAJ	PREVOD NA UCET	2848	57321	 	UV	53719216
867451	2953	1998-08-08	VYDAJ	PREVOD NA UCET	2848	57557	 	UV	53719216
867452	2953	1998-09-08	VYDAJ	PREVOD NA UCET	2848	56491	 	UV	53719216
867453	2953	1998-10-08	VYDAJ	PREVOD NA UCET	2848	51917	 	UV	53719216
867454	2953	1998-11-08	VYDAJ	PREVOD NA UCET	2848	48224	 	UV	53719216
867455	2953	1998-12-08	VYDAJ	PREVOD NA UCET	2848	47189	 	UV	53719216
867493	2953	1997-06-01	VYDAJ	VYBER	12600	29130	\N	\N	\N
867494	2953	1998-06-02	VYDAJ	VYBER	8600	48412	\N	\N	\N
867496	2953	1997-12-05	VYDAJ	VYBER	2500	53948	\N	\N	\N
867497	2953	1998-12-08	VYDAJ	VYBER KARTOU	2700	50037	\N	\N	0
867504	2953	1997-01-25	VYDAJ	VYBER	1900	26002	\N	\N	\N
867505	2953	1997-01-29	VYDAJ	VYBER	2400	21802	\N	\N	\N
867506	2953	1997-01-19	VYDAJ	VYBER	1400	27902	\N	\N	\N
867507	2953	1997-01-16	VYDAJ	VYBER	900	30002	\N	\N	\N
867508	2953	1997-01-28	VYDAJ	VYBER	1800	24202	\N	\N	\N
867509	2953	1997-01-16	VYDAJ	VYBER	700	29302	\N	\N	\N
867510	2953	1998-01-04	VYDAJ	VYBER	1900	47817	\N	\N	\N
867511	2953	1998-01-04	VYDAJ	VYBER	2700	45117	\N	\N	\N
867512	2953	1998-01-15	VYDAJ	VYBER	2900	41531	\N	\N	\N
867513	2953	1998-01-07	VYDAJ	VYBER	1400	48279	\N	\N	\N
867514	2953	1998-01-19	VYDAJ	VYBER KARTOU	800	39431	\N	\N	0
867515	2953	1998-01-03	VYDAJ	VYBER	1100	49717	\N	\N	\N
867521	2953	1997-02-23	VYDAJ	VYBER	4800	17628	\N	\N	\N
867522	2953	1997-01-12	VYDAJ	VYBER	4400	30902	\N	\N	\N
867523	2953	1997-08-19	VYDAJ	VYBER	4500	38721	\N	\N	\N
867524	2953	1997-02-02	VYDAJ	VYBER	4000	23014	\N	\N	\N
867525	2953	1997-06-08	VYDAJ	VYBER	2900	33363	\N	\N	\N
867526	2953	1997-02-22	VYDAJ	VYBER	2300	22428	\N	\N	\N
867527	2953	1997-07-21	VYDAJ	VYBER	1300	37661	\N	\N	\N
867528	2953	1998-11-13	VYDAJ	VYBER KARTOU	1400	46824	\N	\N	0
867529	2953	1998-01-14	VYDAJ	VYBER	1000	44431	\N	\N	\N
867530	2953	1998-01-15	VYDAJ	VYBER	1300	40231	\N	\N	\N
867544	2953	1997-01-31	VYDAJ	VYBER	15	27014	SLUZBY	\N	\N
867545	2953	1997-02-28	VYDAJ	VYBER	15	17713	SLUZBY	\N	\N
867546	2953	1997-03-31	VYDAJ	VYBER	15	30432	SLUZBY	\N	\N
867547	2953	1997-04-30	VYDAJ	VYBER	15	37866	SLUZBY	\N	\N
867548	2953	1997-05-31	VYDAJ	VYBER	15	41730	SLUZBY	\N	\N
867549	2953	1997-06-30	VYDAJ	VYBER	15	37247	SLUZBY	\N	\N
867550	2953	1997-07-31	VYDAJ	VYBER	15	41507	SLUZBY	\N	\N
867551	2953	1997-08-31	VYDAJ	VYBER	15	42781	SLUZBY	\N	\N
867552	2953	1997-09-30	VYDAJ	VYBER	15	42564	SLUZBY	\N	\N
867553	2953	1997-10-31	VYDAJ	VYBER	15	43346	SLUZBY	\N	\N
867554	2953	1997-11-30	VYDAJ	VYBER	15	48735	SLUZBY	\N	\N
867555	2953	1997-12-31	VYDAJ	VYBER	15	50817	SLUZBY	\N	\N
867556	2953	1998-01-31	VYDAJ	VYBER	15	48505	SLUZBY	\N	\N
867557	2953	1998-02-28	VYDAJ	VYBER	15	54015	SLUZBY	\N	\N
867558	2953	1998-03-31	VYDAJ	VYBER	15	53244	SLUZBY	\N	\N
867559	2953	1998-04-30	VYDAJ	VYBER	15	56272	SLUZBY	\N	\N
867560	2953	1998-05-31	VYDAJ	VYBER	15	57012	SLUZBY	\N	\N
867561	2953	1998-06-30	VYDAJ	VYBER	15	55607	SLUZBY	\N	\N
867562	2953	1998-07-31	VYDAJ	VYBER	15	55843	SLUZBY	\N	\N
867563	2953	1998-08-31	VYDAJ	VYBER	15	54777	SLUZBY	\N	\N
867564	2953	1998-09-30	VYDAJ	VYBER	15	50203	SLUZBY	\N	\N
867565	2953	1998-10-31	VYDAJ	VYBER	15	46510	SLUZBY	\N	\N
867566	2953	1998-11-30	VYDAJ	VYBER	15	45604	SLUZBY	\N	\N
867567	2953	1996-10-02	PRIJEM	VKLAD	8000	14064	\N	\N	\N
867568	2953	1996-11-01	PRIJEM	VKLAD	4300	23579	\N	\N	\N
867569	2953	1996-12-01	VYDAJ	VYBER	2200	26635	\N	\N	\N
867570	2953	1996-12-31	VYDAJ	VYBER	900	33588	\N	\N	\N
867571	2953	1997-01-30	PRIJEM	VKLAD	5100	26902	\N	\N	\N
867572	2953	1997-03-01	PRIJEM	VKLAD	10700	28413	\N	\N	\N
867573	2953	1997-03-31	PRIJEM	VKLAD	200	30447	\N	\N	\N
867574	2953	1997-04-30	PRIJEM	VKLAD	5600	37880	\N	\N	\N
867575	2953	1997-05-30	PRIJEM	VKLAD	2000	41580	\N	\N	\N
867576	2953	1997-06-29	PRIJEM	VKLAD	6600	37115	\N	\N	\N
867577	2953	1997-07-29	PRIJEM	VKLAD	3700	41361	\N	\N	\N
867578	2953	1997-08-28	PRIJEM	VKLAD	3900	42621	\N	\N	\N
867579	2953	1997-09-27	VYDAJ	VYBER	2100	42395	\N	\N	\N
867580	2953	1997-10-27	VYDAJ	VYBER	1100	43178	\N	\N	\N
867581	2953	1997-11-26	PRIJEM	VKLAD	3500	48560	\N	\N	\N
867582	2953	1997-12-26	PRIJEM	VKLAD	100	50620	\N	\N	\N
867583	2953	1998-01-25	PRIJEM	VKLAD	8900	48331	\N	\N	\N
867584	2953	1998-02-24	PRIJEM	VKLAD	3600	53819	\N	\N	\N
867585	2953	1998-03-26	VYDAJ	VYBER KARTOU	2700	53029	\N	\N	0
867586	2953	1998-04-25	PRIJEM	VKLAD	1100	56058	\N	\N	\N
867587	2953	1998-05-25	VYDAJ	VYBER KARTOU	1200	56786	\N	\N	0
867588	2953	1998-06-24	PRIJEM	VKLAD	2700	55397	\N	\N	\N
867589	2953	1998-07-24	VYDAJ	VYBER KARTOU	1700	55621	\N	\N	0
867590	2953	1998-08-23	VYDAJ	VYBER KARTOU	3000	54557	\N	\N	0
867591	2953	1998-09-22	VYDAJ	VYBER	6500	49991	\N	\N	\N
867592	2953	1998-10-22	VYDAJ	VYBER	5600	46317	\N	\N	\N
867593	2953	1998-11-21	VYDAJ	VYBER KARTOU	1400	45424	\N	\N	0
867622	2954	1997-04-08	PRIJEM	VKLAD	700	700	\N	\N	\N
867626	2954	1997-04-13	PRIJEM	VKLAD	23797	24497	\N	\N	\N
867627	2954	1997-05-13	PRIJEM	VKLAD	23797	46155	\N	\N	\N
867628	2954	1997-06-13	PRIJEM	VKLAD	35696	72409	\N	\N	\N
867629	2954	1997-07-13	PRIJEM	VKLAD	23797	77764	\N	\N	\N
867630	2954	1997-08-13	PRIJEM	VKLAD	23797	76576	\N	\N	\N
867631	2954	1997-09-13	PRIJEM	VKLAD	23797	69373	\N	\N	\N
867632	2954	1997-10-13	PRIJEM	VKLAD	23797	64021	\N	\N	\N
867633	2954	1997-11-13	PRIJEM	VKLAD	23797	58545	\N	\N	\N
867634	2954	1997-12-13	PRIJEM	VKLAD	35696	64136	\N	\N	\N
867635	2954	1998-01-13	PRIJEM	VKLAD	23797	55833	\N	\N	\N
867636	2954	1998-02-13	PRIJEM	VKLAD	23797	53610	\N	\N	\N
867637	2954	1998-03-13	PRIJEM	VKLAD	23797	58684	\N	\N	\N
867638	2954	1998-04-13	PRIJEM	VKLAD	23797	62679	\N	\N	\N
867639	2954	1998-05-13	PRIJEM	VKLAD	23797	60290	\N	\N	\N
867640	2954	1998-06-13	PRIJEM	VKLAD	35696	67689	\N	\N	\N
867641	2954	1998-07-13	PRIJEM	VKLAD	23797	67108	\N	\N	\N
867642	2954	1998-08-13	PRIJEM	VKLAD	23797	62940	\N	\N	\N
867643	2954	1998-09-13	PRIJEM	VKLAD	23797	66557	\N	\N	\N
867644	2954	1998-10-13	PRIJEM	VKLAD	23797	71083	\N	\N	\N
867645	2954	1998-11-13	PRIJEM	VKLAD	23797	75327	\N	\N	\N
867646	2954	1998-12-13	PRIJEM	VKLAD	35696	86485	\N	\N	\N
867655	2954	1997-09-06	VYDAJ	PREVOD NA UCET	8306	45576	SIPO	WX	47941517
867656	2954	1997-10-06	VYDAJ	PREVOD NA UCET	8306	40224	SIPO	WX	47941517
867657	2954	1997-11-06	VYDAJ	PREVOD NA UCET	8306	34748	SIPO	WX	47941517
867658	2954	1997-12-06	VYDAJ	PREVOD NA UCET	8306	28440	SIPO	WX	47941517
867659	2954	1998-01-06	VYDAJ	PREVOD NA UCET	8306	34036	SIPO	WX	47941517
867660	2954	1998-02-06	VYDAJ	PREVOD NA UCET	8306	32713	SIPO	WX	47941517
867661	2954	1998-03-06	VYDAJ	PREVOD NA UCET	8306	34887	SIPO	WX	47941517
867662	2954	1998-04-06	VYDAJ	PREVOD NA UCET	8306	38882	SIPO	WX	47941517
867663	2954	1998-05-06	VYDAJ	PREVOD NA UCET	8306	36493	SIPO	WX	47941517
867664	2954	1998-06-06	VYDAJ	PREVOD NA UCET	8306	38893	SIPO	WX	47941517
867665	2954	1998-07-06	VYDAJ	PREVOD NA UCET	8306	43311	SIPO	WX	47941517
867666	2954	1998-08-06	VYDAJ	PREVOD NA UCET	8306	39143	SIPO	WX	47941517
867667	2954	1998-09-06	VYDAJ	PREVOD NA UCET	8306	42760	SIPO	WX	47941517
867668	2954	1998-10-06	VYDAJ	PREVOD NA UCET	8306	47286	SIPO	WX	47941517
867669	2954	1998-11-06	VYDAJ	PREVOD NA UCET	8306	51530	SIPO	WX	47941517
867670	2954	1998-12-06	VYDAJ	PREVOD NA UCET	8306	50789	SIPO	WX	47941517
867672	2954	1998-06-12	VYDAJ	VYBER	6900	31993	\N	\N	\N
867674	2954	1998-01-03	VYDAJ	VYBER	6800	57542	\N	\N	\N
867675	2954	1997-12-02	VYDAJ	VYBER	2100	50446	\N	\N	\N
867676	2954	1998-12-05	VYDAJ	VYBER KARTOU	1500	59095	\N	\N	0
867683	2954	1998-01-05	VYDAJ	VYBER	800	42342	\N	\N	\N
867684	2954	1998-01-22	VYDAJ	VYBER	900	51133	\N	\N	\N
867685	2954	1998-01-19	VYDAJ	VYBER	1600	54233	\N	\N	\N
867686	2954	1998-01-08	VYDAJ	VYBER	2000	32036	\N	\N	\N
867687	2954	1998-01-20	VYDAJ	VYBER	2200	52033	\N	\N	\N
867688	2954	1998-01-30	VYDAJ	VYBER	2000	49133	\N	\N	\N
867690	2954	1997-11-23	VYDAJ	VYBER	3700	52345	\N	\N	\N
867695	2954	1997-11-14	VYDAJ	VYBER	2500	56045	\N	\N	\N
867696	2954	1998-05-04	VYDAJ	VYBER	2700	44799	\N	\N	\N
867697	2954	1998-04-29	VYDAJ	VYBER	3300	59379	\N	\N	\N
867698	2954	1998-02-06	VYDAJ	VYBER	2900	29813	\N	\N	\N
867699	2954	1998-06-20	VYDAJ	VYBER KARTOU	3500	64189	\N	\N	0
867708	2954	1997-08-31	VYDAJ	VYBER	15	76882	SLUZBY	\N	\N
867709	2954	1997-09-30	VYDAJ	VYBER	15	69630	SLUZBY	\N	\N
867710	2954	1997-10-31	VYDAJ	VYBER	15	64254	SLUZBY	\N	\N
867711	2954	1997-11-30	VYDAJ	VYBER	15	52546	SLUZBY	\N	\N
867712	2954	1997-12-31	VYDAJ	VYBER	15	64342	SLUZBY	\N	\N
867713	2954	1998-01-31	VYDAJ	VYBER	15	49319	SLUZBY	\N	\N
867714	2954	1998-02-28	VYDAJ	VYBER	15	53793	SLUZBY	\N	\N
867715	2954	1998-03-31	VYDAJ	VYBER	15	58888	SLUZBY	\N	\N
867716	2954	1998-04-30	VYDAJ	VYBER	15	59599	SLUZBY	\N	\N
867717	2954	1998-05-31	VYDAJ	VYBER	15	60499	SLUZBY	\N	\N
867718	2954	1998-06-30	VYDAJ	VYBER	15	64417	SLUZBY	\N	\N
867719	2954	1998-07-31	VYDAJ	VYBER	15	67349	SLUZBY	\N	\N
867720	2954	1998-08-31	VYDAJ	VYBER	15	51066	SLUZBY	\N	\N
867721	2954	1998-09-30	VYDAJ	VYBER	15	55592	SLUZBY	\N	\N
867722	2954	1998-10-31	VYDAJ	VYBER	15	59836	SLUZBY	\N	\N
867723	2954	1998-11-30	VYDAJ	VYBER	15	60595	SLUZBY	\N	\N
867724	2954	1997-05-08	VYDAJ	VYBER	2200	22358	\N	\N	\N
867725	2954	1997-06-07	VYDAJ	VYBER	9600	36713	\N	\N	\N
867726	2954	1997-07-07	VYDAJ	VYBER	18700	53967	\N	\N	\N
867727	2954	1997-08-06	VYDAJ	VYBER	25300	52779	\N	\N	\N
867728	2954	1997-09-05	VYDAJ	VYBER	23000	53882	\N	\N	\N
867729	2954	1997-10-05	VYDAJ	VYBER	21100	48530	\N	\N	\N
867730	2954	1997-11-04	VYDAJ	VYBER	21200	43054	\N	\N	\N
867731	2954	1997-12-04	VYDAJ	VYBER	13700	36746	\N	\N	\N
867732	2954	1998-01-03	VYDAJ	VYBER	14400	43142	\N	\N	\N
867733	2954	1998-02-02	VYDAJ	VYBER	8300	41019	\N	\N	\N
867734	2954	1998-03-04	VYDAJ	VYBER	10600	43193	\N	\N	\N
867735	2954	1998-04-03	VYDAJ	VYBER	11700	47188	\N	\N	\N
867736	2954	1998-05-03	VYDAJ	VYBER	12100	47499	\N	\N	\N
867737	2954	1998-06-02	VYDAJ	VYBER	13300	47199	\N	\N	\N
867738	2954	1998-07-02	VYDAJ	VYBER	12800	51617	\N	\N	\N
867739	2954	1998-08-01	VYDAJ	VYBER	19900	47449	\N	\N	\N
867740	2954	1998-08-31	VYDAJ	VYBER	12100	51080	\N	\N	\N
867741	2954	1998-09-30	VYDAJ	VYBER	11200	55606	\N	\N	\N
867742	2954	1998-10-30	VYDAJ	VYBER	11500	59583	\N	\N	\N
867743	2954	1998-11-29	VYDAJ	VYBER	15000	60327	\N	\N	\N
867765	2955	1996-09-27	PRIJEM	VKLAD	900	900	\N	\N	\N
867775	2955	1996-10-06	PRIJEM	PREVOD Z UCTU	5079	5979	DUCHOD	YZ	63699596
867776	2955	1996-11-06	PRIJEM	PREVOD Z UCTU	5079	11058	DUCHOD	YZ	63699596
867777	2955	1996-12-06	PRIJEM	PREVOD Z UCTU	5079	16137	DUCHOD	YZ	63699596
867778	2955	1997-01-06	PRIJEM	PREVOD Z UCTU	5079	21216	DUCHOD	YZ	63699596
867779	2955	1997-02-06	PRIJEM	PREVOD Z UCTU	5079	26295	DUCHOD	YZ	63699596
867780	2955	1997-03-06	PRIJEM	PREVOD Z UCTU	5079	28028	DUCHOD	YZ	63699596
867781	2955	1997-04-06	PRIJEM	PREVOD Z UCTU	5079	26680	DUCHOD	YZ	63699596
867782	2955	1997-05-06	PRIJEM	PREVOD Z UCTU	5079	27173	DUCHOD	YZ	63699596
867783	2955	1997-06-06	PRIJEM	PREVOD Z UCTU	5079	25261	DUCHOD	YZ	63699596
867784	2955	1997-07-06	PRIJEM	PREVOD Z UCTU	5079	27028	DUCHOD	YZ	63699596
867785	2955	1997-08-06	PRIJEM	PREVOD Z UCTU	5079	28802	DUCHOD	YZ	63699596
867786	2955	1997-09-06	PRIJEM	PREVOD Z UCTU	5079	30584	DUCHOD	YZ	63699596
867787	2955	1997-10-06	PRIJEM	PREVOD Z UCTU	5079	28531	DUCHOD	YZ	63699596
867788	2955	1997-11-06	PRIJEM	PREVOD Z UCTU	5079	28069	DUCHOD	YZ	63699596
867789	2955	1997-12-06	PRIJEM	PREVOD Z UCTU	5079	29848	DUCHOD	YZ	63699596
867790	2955	1998-01-06	PRIJEM	PREVOD Z UCTU	5079	27742	DUCHOD	YZ	63699596
867791	2955	1998-02-06	PRIJEM	PREVOD Z UCTU	5079	20068	DUCHOD	YZ	63699596
867792	2955	1998-03-06	PRIJEM	PREVOD Z UCTU	5079	21813	DUCHOD	YZ	63699596
867793	2955	1998-04-06	PRIJEM	PREVOD Z UCTU	5079	23565	DUCHOD	YZ	63699596
867794	2955	1998-05-06	PRIJEM	PREVOD Z UCTU	5079	22365	DUCHOD	YZ	63699596
867795	2955	1998-06-06	PRIJEM	PREVOD Z UCTU	5079	23733	DUCHOD	YZ	63699596
867796	2955	1998-07-06	PRIJEM	PREVOD Z UCTU	5079	20444	DUCHOD	YZ	63699596
867797	2955	1998-08-06	PRIJEM	PREVOD Z UCTU	5079	19946	DUCHOD	YZ	63699596
867798	2955	1998-09-06	PRIJEM	PREVOD Z UCTU	5079	21690	DUCHOD	YZ	63699596
867799	2955	1998-10-06	PRIJEM	PREVOD Z UCTU	5079	23442	DUCHOD	YZ	63699596
867800	2955	1998-11-06	PRIJEM	PREVOD Z UCTU	5079	25201	DUCHOD	YZ	63699596
868119	2957	1998-03-11	PRIJEM	VKLAD	21509	58611	\N	\N	\N
867801	2955	1998-12-06	PRIJEM	PREVOD Z UCTU	5079	26967	DUCHOD	YZ	63699596
867815	2955	1997-02-13	VYDAJ	PREVOD NA UCET	3386	22909	SIPO	QR	2700269
867816	2955	1997-03-13	VYDAJ	PREVOD NA UCET	3386	21522	SIPO	QR	2700269
867817	2955	1997-04-13	VYDAJ	PREVOD NA UCET	3386	23294	SIPO	QR	2700269
867818	2955	1997-05-13	VYDAJ	PREVOD NA UCET	3386	20107	SIPO	QR	2700269
867819	2955	1997-06-13	VYDAJ	PREVOD NA UCET	3386	21875	SIPO	QR	2700269
867820	2955	1997-07-13	VYDAJ	PREVOD NA UCET	3386	23642	SIPO	QR	2700269
867821	2955	1997-08-13	VYDAJ	PREVOD NA UCET	3386	25416	SIPO	QR	2700269
867822	2955	1997-09-13	VYDAJ	PREVOD NA UCET	3386	27198	SIPO	QR	2700269
867823	2955	1997-10-13	VYDAJ	PREVOD NA UCET	3386	25145	SIPO	QR	2700269
867824	2955	1997-11-13	VYDAJ	PREVOD NA UCET	3386	24683	SIPO	QR	2700269
867825	2955	1997-12-13	VYDAJ	PREVOD NA UCET	3386	26462	SIPO	QR	2700269
867826	2955	1998-01-13	VYDAJ	PREVOD NA UCET	3386	17236	SIPO	QR	2700269
867827	2955	1998-02-13	VYDAJ	PREVOD NA UCET	3386	16682	SIPO	QR	2700269
867828	2955	1998-03-13	VYDAJ	PREVOD NA UCET	3386	18427	SIPO	QR	2700269
867829	2955	1998-04-13	VYDAJ	PREVOD NA UCET	3386	20179	SIPO	QR	2700269
867830	2955	1998-05-13	VYDAJ	PREVOD NA UCET	3386	18579	SIPO	QR	2700269
867831	2955	1998-06-13	VYDAJ	PREVOD NA UCET	3386	16587	SIPO	QR	2700269
867832	2955	1998-07-13	VYDAJ	PREVOD NA UCET	3386	17058	SIPO	QR	2700269
867833	2955	1998-08-13	VYDAJ	PREVOD NA UCET	3386	16560	SIPO	QR	2700269
867834	2955	1998-09-13	VYDAJ	PREVOD NA UCET	3386	18304	SIPO	QR	2700269
867835	2955	1998-10-13	VYDAJ	PREVOD NA UCET	3386	20056	SIPO	QR	2700269
867836	2955	1998-11-13	VYDAJ	PREVOD NA UCET	3386	21815	SIPO	QR	2700269
867837	2955	1998-12-13	VYDAJ	PREVOD NA UCET	3386	23581	SIPO	QR	2700269
867843	2955	1998-01-13	VYDAJ	VYBER	2400	21582	\N	\N	\N
867845	2955	1997-12-16	VYDAJ	VYBER	450	26012	\N	\N	\N
867846	2955	1998-12-24	VYDAJ	VYBER	600	22981	\N	\N	\N
867859	2955	1998-01-01	VYDAJ	VYBER	1360	24743	\N	\N	\N
867860	2955	1998-01-13	VYDAJ	VYBER	960	20622	\N	\N	\N
867861	2955	1998-01-04	VYDAJ	VYBER	2080	22663	\N	\N	\N
867862	2955	1998-01-27	VYDAJ	VYBER	1840	14916	\N	\N	\N
867863	2955	1998-01-23	VYDAJ	VYBER	480	16756	\N	\N	\N
867864	2955	1998-01-10	VYDAJ	VYBER	960	23982	\N	\N	\N
867871	2955	1997-03-12	VYDAJ	VYBER	560	24908	\N	\N	\N
867872	2955	1997-05-02	VYDAJ	VYBER	1280	22094	\N	\N	\N
867873	2955	1997-09-28	VYDAJ	VYBER	3840	23358	\N	\N	\N
867874	2955	1997-05-08	VYDAJ	VYBER	3680	23493	\N	\N	\N
867875	2955	1997-03-08	VYDAJ	VYBER	2560	25468	\N	\N	\N
867876	2955	1997-10-25	VYDAJ	VYBER	2240	22905	\N	\N	\N
867877	2955	1998-01-09	VYDAJ	VYBER	2800	24942	\N	\N	\N
867878	2955	1998-07-18	VYDAJ	VYBER	2240	14818	\N	\N	\N
867879	2955	1998-05-13	VYDAJ	VYBER	400	21965	\N	\N	\N
867880	2955	1998-06-10	VYDAJ	VYBER	3760	19973	\N	\N	\N
867881	2955	1998-05-01	VYDAJ	VYBER	2960	17286	\N	\N	\N
867882	2955	1998-06-24	VYDAJ	VYBER	1280	15307	\N	\N	\N
867897	2955	1997-02-28	VYDAJ	VYBER	15	22949	SLUZBY	\N	\N
867898	2955	1997-03-31	VYDAJ	VYBER	15	21601	SLUZBY	\N	\N
867899	2955	1997-04-30	VYDAJ	VYBER	15	23374	SLUZBY	\N	\N
867900	2955	1997-05-31	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
867901	2955	1997-06-30	VYDAJ	VYBER	15	21949	SLUZBY	\N	\N
867902	2955	1997-07-31	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
867903	2955	1997-08-31	VYDAJ	VYBER	15	25505	SLUZBY	\N	\N
867904	2955	1997-09-30	VYDAJ	VYBER	15	23452	SLUZBY	\N	\N
867905	2955	1997-10-31	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
867906	2955	1997-11-30	VYDAJ	VYBER	15	24769	SLUZBY	\N	\N
867907	2955	1997-12-31	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
867908	2955	1998-01-31	VYDAJ	VYBER	15	14989	SLUZBY	\N	\N
867909	2955	1998-02-28	VYDAJ	VYBER	15	16734	SLUZBY	\N	\N
867910	2955	1998-03-31	VYDAJ	VYBER	15	18486	SLUZBY	\N	\N
867911	2955	1998-04-30	VYDAJ	VYBER	15	20246	SLUZBY	\N	\N
867912	2955	1998-05-31	VYDAJ	VYBER	15	18654	SLUZBY	\N	\N
867913	2955	1998-06-30	VYDAJ	VYBER	15	15365	SLUZBY	\N	\N
867914	2955	1998-07-31	VYDAJ	VYBER	15	14867	SLUZBY	\N	\N
867915	2955	1998-08-31	VYDAJ	VYBER	15	16611	SLUZBY	\N	\N
867916	2955	1998-09-30	VYDAJ	VYBER	15	18363	SLUZBY	\N	\N
867917	2955	1998-10-31	VYDAJ	VYBER	15	20122	SLUZBY	\N	\N
867918	2955	1998-11-30	VYDAJ	VYBER	15	21888	SLUZBY	\N	\N
867942	2956	1997-06-10	PRIJEM	VKLAD	400	400	\N	\N	\N
867949	2956	1997-07-10	PRIJEM	VKLAD	14501	14901	\N	\N	\N
867950	2956	1997-08-10	PRIJEM	VKLAD	14501	40365	\N	\N	\N
867951	2956	1997-09-10	PRIJEM	VKLAD	14501	48711	\N	\N	\N
867952	2956	1997-10-10	PRIJEM	VKLAD	14501	52204	\N	\N	\N
867953	2956	1997-11-10	PRIJEM	VKLAD	14501	50519	\N	\N	\N
867954	2956	1997-12-10	PRIJEM	VKLAD	21752	55626	\N	\N	\N
867955	2956	1998-01-10	PRIJEM	VKLAD	14501	39210	\N	\N	\N
867956	2956	1998-02-10	PRIJEM	VKLAD	14501	29933	\N	\N	\N
867957	2956	1998-03-10	PRIJEM	VKLAD	14501	37292	\N	\N	\N
867958	2956	1998-04-10	PRIJEM	VKLAD	14501	41083	\N	\N	\N
867959	2956	1998-05-10	PRIJEM	VKLAD	14501	42590	\N	\N	\N
867960	2956	1998-06-10	PRIJEM	VKLAD	21752	49355	\N	\N	\N
867961	2956	1998-07-10	PRIJEM	VKLAD	14501	50291	\N	\N	\N
867962	2956	1998-08-10	PRIJEM	VKLAD	14501	50838	\N	\N	\N
867963	2956	1998-09-10	PRIJEM	VKLAD	14501	47796	\N	\N	\N
867964	2956	1998-10-10	PRIJEM	VKLAD	14501	52424	\N	\N	\N
867965	2956	1998-11-10	PRIJEM	VKLAD	14501	53285	\N	\N	\N
867966	2956	1998-12-10	PRIJEM	VKLAD	21752	56991	\N	\N	\N
867978	2956	1997-12-07	VYDAJ	PREVOD NA UCET	9042	41675	SIPO	MN	21069139
867979	2956	1998-01-07	VYDAJ	PREVOD NA UCET	9042	24709	SIPO	MN	21069139
867980	2956	1998-02-07	VYDAJ	PREVOD NA UCET	9042	15432	SIPO	MN	21069139
867981	2956	1998-03-07	VYDAJ	PREVOD NA UCET	9042	22791	SIPO	MN	21069139
867982	2956	1998-04-07	VYDAJ	PREVOD NA UCET	9042	26582	SIPO	MN	21069139
867983	2956	1998-05-07	VYDAJ	PREVOD NA UCET	9042	28089	SIPO	MN	21069139
867984	2956	1998-06-07	VYDAJ	PREVOD NA UCET	9042	27604	SIPO	MN	21069139
867985	2956	1998-07-07	VYDAJ	PREVOD NA UCET	9042	35790	SIPO	MN	21069139
867986	2956	1998-08-07	VYDAJ	PREVOD NA UCET	9042	36337	SIPO	MN	21069139
867987	2956	1998-09-07	VYDAJ	PREVOD NA UCET	9042	33295	SIPO	MN	21069139
867988	2956	1998-10-07	VYDAJ	PREVOD NA UCET	9042	37923	SIPO	MN	21069139
867989	2956	1998-11-07	VYDAJ	PREVOD NA UCET	9042	38784	SIPO	MN	21069139
867990	2956	1998-12-07	VYDAJ	PREVOD NA UCET	9042	39240	SIPO	MN	21069139
867994	2956	1998-01-16	VYDAJ	VYBER	7040	28330	\N	\N	\N
867995	2956	1997-12-12	VYDAJ	VYBER	960	54666	\N	\N	\N
867996	2956	1998-12-09	VYDAJ	VYBER	4000	35240	\N	\N	\N
868003	2956	1998-01-22	VYDAJ	VYBER	1440	26890	\N	\N	\N
868004	2956	1998-01-10	VYDAJ	VYBER	2640	36570	\N	\N	\N
868005	2956	1998-01-23	VYDAJ	VYBER	840	26050	\N	\N	\N
868006	2956	1998-01-05	VYDAJ	VYBER	2640	49351	\N	\N	\N
868007	2956	1998-01-12	VYDAJ	VYBER	1200	35370	\N	\N	\N
868008	2956	1998-01-03	VYDAJ	VYBER	2880	51991	\N	\N	\N
868017	2956	1998-09-17	VYDAJ	VYBER	3600	44196	\N	\N	\N
868018	2956	1998-10-17	VYDAJ	VYBER	4680	47744	\N	\N	\N
868019	2956	1998-08-15	VYDAJ	VYBER	5280	45558	\N	\N	\N
868031	2956	1997-11-30	VYDAJ	VYBER	15	50717	SLUZBY	\N	\N
868032	2956	1997-12-31	VYDAJ	VYBER	15	54871	SLUZBY	\N	\N
868033	2956	1998-01-31	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
868034	2956	1998-02-28	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
868035	2956	1998-03-31	VYDAJ	VYBER	15	37424	SLUZBY	\N	\N
868036	2956	1998-04-30	VYDAJ	VYBER	15	41231	SLUZBY	\N	\N
868037	2956	1998-05-31	VYDAJ	VYBER	15	42746	SLUZBY	\N	\N
868038	2956	1998-06-30	VYDAJ	VYBER	15	49532	SLUZBY	\N	\N
868039	2956	1998-07-31	VYDAJ	VYBER	15	50479	SLUZBY	\N	\N
868040	2956	1998-08-31	VYDAJ	VYBER	15	45737	SLUZBY	\N	\N
868041	2956	1998-09-30	VYDAJ	VYBER	15	44365	SLUZBY	\N	\N
868042	2956	1998-10-31	VYDAJ	VYBER	15	47926	SLUZBY	\N	\N
868043	2956	1998-11-30	VYDAJ	VYBER	15	53482	SLUZBY	\N	\N
868044	2956	1997-07-10	PRIJEM	VKLAD	6300	21201	\N	\N	\N
868045	2956	1997-08-09	PRIJEM	VKLAD	4600	25864	\N	\N	\N
868046	2956	1997-09-08	VYDAJ	VYBER	6300	34210	\N	\N	\N
868047	2956	1997-10-08	VYDAJ	VYBER	11200	37703	\N	\N	\N
868048	2956	1997-11-07	VYDAJ	VYBER	16400	36018	\N	\N	\N
868049	2956	1997-12-07	VYDAJ	VYBER	7800	33875	\N	\N	\N
868050	2956	1998-01-06	VYDAJ	VYBER	15600	33751	\N	\N	\N
868051	2956	1998-02-05	VYDAJ	VYBER	1700	24474	\N	\N	\N
868052	2956	1998-03-07	PRIJEM	VKLAD	1800	31833	\N	\N	\N
868053	2956	1998-04-06	VYDAJ	VYBER	1800	35624	\N	\N	\N
868054	2956	1998-05-06	VYDAJ	VYBER	4100	37131	\N	\N	\N
868055	2956	1998-06-05	VYDAJ	VYBER	6100	36646	\N	\N	\N
868056	2956	1998-07-05	VYDAJ	VYBER	4700	44832	\N	\N	\N
868057	2956	1998-08-04	VYDAJ	VYBER	5100	45379	\N	\N	\N
868058	2956	1998-09-03	VYDAJ	VYBER	3400	42337	\N	\N	\N
868059	2956	1998-10-03	PRIJEM	VKLAD	2600	46965	\N	\N	\N
868060	2956	1998-11-02	VYDAJ	VYBER	100	47826	\N	\N	\N
868061	2956	1998-12-02	VYDAJ	VYBER	5200	48282	\N	\N	\N
868080	2957	1995-07-28	PRIJEM	VKLAD	500	500	\N	\N	\N
868088	2957	1995-08-11	PRIJEM	VKLAD	21509	22009	\N	\N	\N
868089	2957	1995-09-11	PRIJEM	VKLAD	21509	46035	\N	\N	\N
868090	2957	1995-10-11	PRIJEM	VKLAD	21509	54351	\N	\N	\N
868091	2957	1995-11-11	PRIJEM	VKLAD	21509	61102	\N	\N	\N
868092	2957	1995-12-11	PRIJEM	VKLAD	32264	78136	\N	\N	\N
868093	2957	1996-01-11	PRIJEM	VKLAD	21509	65325	\N	\N	\N
868094	2957	1996-02-11	PRIJEM	VKLAD	21509	41695	\N	\N	\N
868095	2957	1996-03-11	PRIJEM	VKLAD	21509	51165	\N	\N	\N
868096	2957	1996-04-11	PRIJEM	VKLAD	21509	49289	\N	\N	\N
868097	2957	1996-05-11	PRIJEM	VKLAD	21509	56403	\N	\N	\N
868098	2957	1996-06-11	PRIJEM	VKLAD	32264	68702	\N	\N	\N
868099	2957	1996-07-11	PRIJEM	VKLAD	21509	36292	\N	\N	\N
868100	2957	1996-08-11	PRIJEM	VKLAD	21509	50558	\N	\N	\N
868101	2957	1996-09-11	PRIJEM	VKLAD	21509	52581	\N	\N	\N
868102	2957	1996-10-11	PRIJEM	VKLAD	21509	60100	\N	\N	\N
868103	2957	1996-11-11	PRIJEM	VKLAD	21509	61675	\N	\N	\N
868104	2957	1996-12-11	PRIJEM	VKLAD	32264	75780	\N	\N	\N
868105	2957	1997-01-11	PRIJEM	VKLAD	21509	71666	\N	\N	\N
868106	2957	1997-02-11	PRIJEM	VKLAD	21509	55141	\N	\N	\N
868107	2957	1997-03-11	PRIJEM	VKLAD	21509	64523	\N	\N	\N
868108	2957	1997-04-11	PRIJEM	VKLAD	21509	69148	\N	\N	\N
868109	2957	1997-05-11	PRIJEM	VKLAD	21509	63157	\N	\N	\N
868110	2957	1997-06-11	PRIJEM	VKLAD	32264	76565	\N	\N	\N
868111	2957	1997-07-11	PRIJEM	VKLAD	21509	71032	\N	\N	\N
868112	2957	1997-08-11	PRIJEM	VKLAD	21509	71400	\N	\N	\N
868113	2957	1997-09-11	PRIJEM	VKLAD	21509	74071	\N	\N	\N
868114	2957	1997-10-11	PRIJEM	VKLAD	21509	76250	\N	\N	\N
868115	2957	1997-11-11	PRIJEM	VKLAD	21509	73311	\N	\N	\N
868116	2957	1997-12-11	PRIJEM	VKLAD	32264	75677	\N	\N	\N
868117	2957	1998-01-11	PRIJEM	VKLAD	21509	47890	\N	\N	\N
868118	2957	1998-02-11	PRIJEM	VKLAD	21509	51014	\N	\N	\N
868120	2957	1998-04-11	PRIJEM	VKLAD	21509	64042	\N	\N	\N
868121	2957	1998-05-11	PRIJEM	VKLAD	21509	63972	\N	\N	\N
868122	2957	1998-06-11	PRIJEM	VKLAD	32264	72421	\N	\N	\N
868123	2957	1998-07-11	PRIJEM	VKLAD	21509	66831	\N	\N	\N
868124	2957	1998-08-11	PRIJEM	VKLAD	21509	65079	\N	\N	\N
868125	2957	1998-09-11	PRIJEM	VKLAD	21509	54010	\N	\N	\N
868126	2957	1998-10-11	PRIJEM	VKLAD	21509	56160	\N	\N	\N
868127	2957	1998-11-11	PRIJEM	VKLAD	21509	58426	\N	\N	\N
868128	2957	1998-12-11	PRIJEM	VKLAD	32264	64073	\N	\N	\N
868140	2957	1995-12-14	VYDAJ	PREVOD NA UCET	4640	71736	SIPO	UV	65183514
868141	2957	1996-01-14	VYDAJ	PREVOD NA UCET	4640	60685	SIPO	UV	65183514
868142	2957	1996-02-14	VYDAJ	PREVOD NA UCET	4640	37055	SIPO	UV	65183514
868143	2957	1996-03-14	VYDAJ	PREVOD NA UCET	4640	46525	SIPO	UV	65183514
868144	2957	1996-04-14	VYDAJ	PREVOD NA UCET	4640	44649	SIPO	UV	65183514
868145	2957	1996-05-14	VYDAJ	PREVOD NA UCET	4640	51763	SIPO	UV	65183514
868146	2957	1996-06-14	VYDAJ	PREVOD NA UCET	4640	21662	SIPO	UV	65183514
868147	2957	1996-07-14	VYDAJ	PREVOD NA UCET	4640	31652	SIPO	UV	65183514
868148	2957	1996-08-14	VYDAJ	PREVOD NA UCET	4640	45918	SIPO	UV	65183514
868149	2957	1996-09-14	VYDAJ	PREVOD NA UCET	4640	47941	SIPO	UV	65183514
868150	2957	1996-10-14	VYDAJ	PREVOD NA UCET	4640	55460	SIPO	UV	65183514
868151	2957	1996-11-14	VYDAJ	PREVOD NA UCET	4640	57035	SIPO	UV	65183514
868152	2957	1996-12-14	VYDAJ	PREVOD NA UCET	4640	71140	SIPO	UV	65183514
868153	2957	1997-01-14	VYDAJ	PREVOD NA UCET	4640	67026	SIPO	UV	65183514
868154	2957	1997-02-14	VYDAJ	PREVOD NA UCET	4640	50501	SIPO	UV	65183514
868155	2957	1997-03-14	VYDAJ	PREVOD NA UCET	4640	59883	SIPO	UV	65183514
868156	2957	1997-04-14	VYDAJ	PREVOD NA UCET	4640	60308	SIPO	UV	65183514
868157	2957	1997-05-14	VYDAJ	PREVOD NA UCET	4640	58517	SIPO	UV	65183514
868158	2957	1997-06-14	VYDAJ	PREVOD NA UCET	4640	71925	SIPO	UV	65183514
868159	2957	1997-07-14	VYDAJ	PREVOD NA UCET	4640	66392	SIPO	UV	65183514
868160	2957	1997-08-14	VYDAJ	PREVOD NA UCET	4640	66760	SIPO	UV	65183514
868161	2957	1997-09-14	VYDAJ	PREVOD NA UCET	4640	69431	SIPO	UV	65183514
868162	2957	1997-10-14	VYDAJ	PREVOD NA UCET	4640	71610	SIPO	UV	65183514
868163	2957	1997-11-14	VYDAJ	PREVOD NA UCET	4640	68671	SIPO	UV	65183514
868164	2957	1997-12-14	VYDAJ	PREVOD NA UCET	4640	71037	SIPO	UV	65183514
868165	2957	1998-01-14	VYDAJ	PREVOD NA UCET	4640	31290	SIPO	UV	65183514
868166	2957	1998-02-14	VYDAJ	PREVOD NA UCET	4640	36974	SIPO	UV	65183514
868167	2957	1998-03-14	VYDAJ	PREVOD NA UCET	4640	42371	SIPO	UV	65183514
868168	2957	1998-04-14	VYDAJ	PREVOD NA UCET	4640	42302	SIPO	UV	65183514
868169	2957	1998-05-14	VYDAJ	PREVOD NA UCET	4640	45632	SIPO	UV	65183514
868170	2957	1998-06-14	VYDAJ	PREVOD NA UCET	4640	50781	SIPO	UV	65183514
868171	2957	1998-07-14	VYDAJ	PREVOD NA UCET	4640	43391	SIPO	UV	65183514
868172	2957	1998-08-14	VYDAJ	PREVOD NA UCET	4640	41839	SIPO	UV	65183514
868173	2957	1998-09-14	VYDAJ	PREVOD NA UCET	4640	49370	SIPO	UV	65183514
868174	2957	1998-10-14	VYDAJ	PREVOD NA UCET	4640	51520	SIPO	UV	65183514
868175	2957	1998-11-14	VYDAJ	PREVOD NA UCET	4640	53786	SIPO	UV	65183514
868176	2957	1998-12-14	VYDAJ	PREVOD NA UCET	4640	56553	SIPO	UV	65183514
868178	2957	1996-06-11	VYDAJ	VYBER	42400	26302	\N	\N	\N
868179	2957	1997-06-29	VYDAJ	VYBER	4800	49325	\N	\N	\N
868182	2957	1996-01-21	VYDAJ	VYBER	10560	50125	\N	\N	\N
868183	2957	1997-01-17	VYDAJ	VYBER	10880	53506	\N	\N	\N
868184	2957	1998-01-09	VYDAJ	VYBER	15040	26381	\N	\N	\N
868185	2957	1995-12-13	VYDAJ	VYBER	1760	76376	\N	\N	\N
868186	2957	1996-12-18	VYDAJ	VYBER	1760	69380	\N	\N	\N
868187	2957	1997-12-29	VYDAJ	VYBER	1600	49637	\N	\N	\N
868188	2957	1998-12-12	VYDAJ	VYBER	2880	61193	\N	\N	\N
868195	2957	1996-01-26	VYDAJ	VYBER	3360	30565	\N	\N	\N
868196	2957	1996-01-26	VYDAJ	VYBER	1920	28645	\N	\N	\N
868197	2957	1996-01-28	VYDAJ	VYBER	1920	26725	\N	\N	\N
868198	2957	1996-01-28	VYDAJ	VYBER	2760	23965	\N	\N	\N
868199	2957	1996-01-04	VYDAJ	VYBER	3120	44536	\N	\N	\N
868200	2957	1996-01-10	VYDAJ	VYBER	720	43816	\N	\N	\N
868201	2957	1997-01-27	VYDAJ	VYBER	3240	35366	\N	\N	\N
868202	2957	1997-01-19	VYDAJ	VYBER	2400	38606	\N	\N	\N
868203	2957	1997-01-30	VYDAJ	VYBER	1920	33446	\N	\N	\N
868204	2957	1997-01-16	VYDAJ	VYBER	960	64386	\N	\N	\N
868205	2957	1997-01-15	VYDAJ	VYBER	1680	65346	\N	\N	\N
868206	2957	1997-01-01	VYDAJ	VYBER	720	50157	\N	\N	\N
868207	2957	1998-01-13	VYDAJ	VYBER	2160	45730	\N	\N	\N
868208	2957	1998-01-01	VYDAJ	VYBER	1680	46101	\N	\N	\N
868209	2957	1998-01-06	VYDAJ	VYBER	3480	41421	\N	\N	\N
868210	2957	1998-01-06	VYDAJ	VYBER	1200	44901	\N	\N	\N
868211	2957	1998-01-29	VYDAJ	VYBER	1920	29370	\N	\N	\N
868212	2957	1998-01-01	VYDAJ	VYBER	2040	47781	\N	\N	\N
868217	2957	1996-06-08	VYDAJ	VYBER	1680	36438	\N	\N	\N
868218	2957	1996-11-07	VYDAJ	VYBER	2160	40166	\N	\N	\N
868219	2957	1996-01-29	VYDAJ	VYBER	3960	20005	\N	\N	\N
868220	2957	1996-07-05	VYDAJ	VYBER	2880	14783	\N	\N	\N
868221	2957	1996-04-05	VYDAJ	VYBER	4680	27780	\N	\N	\N
868222	2957	1996-08-31	VYDAJ	VYBER	5880	31072	\N	\N	\N
868223	2957	1996-07-03	VYDAJ	VYBER	4800	17663	\N	\N	\N
868224	2957	1997-04-07	VYDAJ	VYBER	840	47639	\N	\N	\N
868225	2957	1997-05-01	VYDAJ	VYBER	3360	44648	\N	\N	\N
868226	2957	1997-11-18	VYDAJ	VYBER	4440	43231	\N	\N	\N
868227	2957	1997-04-11	VYDAJ	VYBER	4200	64948	\N	\N	\N
868228	2957	1997-05-05	VYDAJ	VYBER	3000	41648	\N	\N	\N
868229	2957	1997-10-29	VYDAJ	VYBER	1920	51590	\N	\N	\N
868230	2957	1997-03-06	VYDAJ	VYBER	2040	43014	\N	\N	\N
868231	2957	1998-07-09	VYDAJ	VYBER	5640	45322	\N	\N	\N
868232	2957	1998-05-26	VYDAJ	VYBER	5640	39992	\N	\N	\N
868233	2957	1998-11-25	VYDAJ	VYBER	4680	49106	\N	\N	\N
868246	2957	1995-12-31	VYDAJ	VYBER	15	47656	SLUZBY	\N	\N
868247	2957	1996-01-31	VYDAJ	VYBER	15	20186	SLUZBY	\N	\N
868248	2957	1996-02-29	VYDAJ	VYBER	15	29656	SLUZBY	\N	\N
868249	2957	1996-03-31	VYDAJ	VYBER	15	32460	SLUZBY	\N	\N
868250	2957	1996-04-30	VYDAJ	VYBER	15	34894	SLUZBY	\N	\N
868251	2957	1996-05-31	VYDAJ	VYBER	15	38118	SLUZBY	\N	\N
868252	2957	1996-06-30	VYDAJ	VYBER	15	22463	SLUZBY	\N	\N
868253	2957	1996-07-31	VYDAJ	VYBER	15	29049	SLUZBY	\N	\N
868254	2957	1996-08-31	VYDAJ	VYBER	15	36952	SLUZBY	\N	\N
868255	2957	1996-09-30	VYDAJ	VYBER	15	38591	SLUZBY	\N	\N
868256	2957	1996-10-31	VYDAJ	VYBER	15	42326	SLUZBY	\N	\N
868257	2957	1996-11-30	VYDAJ	VYBER	15	43516	SLUZBY	\N	\N
868258	2957	1996-12-31	VYDAJ	VYBER	15	50877	SLUZBY	\N	\N
868259	2957	1997-01-31	VYDAJ	VYBER	15	33632	SLUZBY	\N	\N
868260	2957	1997-02-28	VYDAJ	VYBER	15	45054	SLUZBY	\N	\N
868261	2957	1997-03-31	VYDAJ	VYBER	15	48479	SLUZBY	\N	\N
868262	2957	1997-04-30	VYDAJ	VYBER	15	48008	SLUZBY	\N	\N
868263	2957	1997-05-31	VYDAJ	VYBER	15	44301	SLUZBY	\N	\N
868264	2957	1997-06-30	VYDAJ	VYBER	15	49523	SLUZBY	\N	\N
868265	2957	1997-07-31	VYDAJ	VYBER	15	49891	SLUZBY	\N	\N
868266	2957	1997-08-31	VYDAJ	VYBER	15	52562	SLUZBY	\N	\N
868267	2957	1997-09-30	VYDAJ	VYBER	15	54741	SLUZBY	\N	\N
868268	2957	1997-10-31	VYDAJ	VYBER	15	51802	SLUZBY	\N	\N
868269	2957	1997-11-30	VYDAJ	VYBER	15	43413	SLUZBY	\N	\N
868270	2957	1997-12-31	VYDAJ	VYBER	15	49821	SLUZBY	\N	\N
868271	2957	1998-01-31	VYDAJ	VYBER	15	29505	SLUZBY	\N	\N
868272	2957	1998-02-28	VYDAJ	VYBER	15	37102	SLUZBY	\N	\N
868273	2957	1998-03-31	VYDAJ	VYBER	15	42533	SLUZBY	\N	\N
868274	2957	1998-04-30	VYDAJ	VYBER	15	42463	SLUZBY	\N	\N
868275	2957	1998-05-31	VYDAJ	VYBER	15	40157	SLUZBY	\N	\N
868276	2957	1998-06-30	VYDAJ	VYBER	15	50962	SLUZBY	\N	\N
868277	2957	1998-07-31	VYDAJ	VYBER	15	43570	SLUZBY	\N	\N
868278	2957	1998-08-31	VYDAJ	VYBER	15	42001	SLUZBY	\N	\N
868279	2957	1998-09-30	VYDAJ	VYBER	15	49551	SLUZBY	\N	\N
868280	2957	1998-10-31	VYDAJ	VYBER	15	51717	SLUZBY	\N	\N
868281	2957	1998-11-30	VYDAJ	VYBER	15	49309	SLUZBY	\N	\N
868282	2957	1995-08-27	PRIJEM	VKLAD	2500	24509	\N	\N	\N
868283	2957	1995-09-26	VYDAJ	VYBER	13300	32735	\N	\N	\N
868284	2957	1995-10-26	VYDAJ	VYBER	14900	39451	\N	\N	\N
868285	2957	1995-11-25	VYDAJ	VYBER	15400	45702	\N	\N	\N
868286	2957	1995-12-25	VYDAJ	VYBER	24300	47436	\N	\N	\N
868287	2957	1996-01-24	VYDAJ	VYBER	16200	33925	\N	\N	\N
868288	2957	1996-02-23	VYDAJ	VYBER	7500	29555	\N	\N	\N
868289	2957	1996-03-24	VYDAJ	VYBER	14200	32325	\N	\N	\N
868290	2957	1996-04-23	VYDAJ	VYBER	9900	34749	\N	\N	\N
868291	2957	1996-05-23	VYDAJ	VYBER	13800	37963	\N	\N	\N
868292	2957	1996-06-22	PRIJEM	VKLAD	700	22362	\N	\N	\N
868293	2957	1996-07-22	VYDAJ	VYBER	2700	28952	\N	\N	\N
868294	2957	1996-08-21	VYDAJ	VYBER	9100	36818	\N	\N	\N
868295	2957	1996-09-20	VYDAJ	VYBER	9500	38441	\N	\N	\N
868296	2957	1996-10-20	VYDAJ	VYBER	13300	42160	\N	\N	\N
868297	2957	1996-11-19	VYDAJ	VYBER	13700	43335	\N	\N	\N
868298	2957	1996-12-19	VYDAJ	VYBER	18700	50680	\N	\N	\N
868299	2957	1997-01-18	VYDAJ	VYBER	12500	41006	\N	\N	\N
868300	2957	1997-02-17	VYDAJ	VYBER	5600	44901	\N	\N	\N
868301	2957	1997-03-19	VYDAJ	VYBER	11600	48283	\N	\N	\N
868302	2957	1997-04-18	VYDAJ	VYBER	12500	47808	\N	\N	\N
868303	2957	1997-05-18	VYDAJ	VYBER	14400	44117	\N	\N	\N
868304	2957	1997-06-17	VYDAJ	VYBER	17800	54125	\N	\N	\N
868305	2957	1997-07-17	VYDAJ	VYBER	16700	49692	\N	\N	\N
868306	2957	1997-08-16	VYDAJ	VYBER	14400	52360	\N	\N	\N
868307	2957	1997-09-15	VYDAJ	VYBER	14900	54531	\N	\N	\N
868308	2957	1997-10-15	VYDAJ	VYBER	18100	53510	\N	\N	\N
868309	2957	1997-11-14	VYDAJ	VYBER	21000	47671	\N	\N	\N
868310	2957	1997-12-14	VYDAJ	VYBER	19800	51237	\N	\N	\N
868311	2957	1998-01-13	VYDAJ	VYBER	9800	35930	\N	\N	\N
868312	2957	1998-02-12	VYDAJ	VYBER	9400	41614	\N	\N	\N
868313	2957	1998-03-14	VYDAJ	VYBER	11600	47011	\N	\N	\N
868314	2957	1998-04-13	VYDAJ	VYBER	17100	46942	\N	\N	\N
868315	2957	1998-05-13	VYDAJ	VYBER	13700	50272	\N	\N	\N
868316	2957	1998-06-12	VYDAJ	VYBER	17000	55421	\N	\N	\N
868317	2957	1998-07-12	VYDAJ	VYBER	18800	48031	\N	\N	\N
868318	2957	1998-08-11	VYDAJ	VYBER	18600	46479	\N	\N	\N
868319	2957	1998-09-10	VYDAJ	VYBER	9500	32501	\N	\N	\N
868320	2957	1998-10-10	VYDAJ	VYBER	14900	34651	\N	\N	\N
868321	2957	1998-11-09	VYDAJ	VYBER	14800	36917	\N	\N	\N
868322	2957	1998-12-09	VYDAJ	VYBER	17500	31809	\N	\N	\N
868364	2958	1993-09-19	PRIJEM	VKLAD	400	400	\N	\N	\N
868374	2958	1993-10-13	PRIJEM	PREVOD Z UCTU	5265	5665	DUCHOD	IJ	20078838
868375	2958	1993-11-13	PRIJEM	PREVOD Z UCTU	5265	10930	DUCHOD	IJ	20078838
868376	2958	1993-12-13	PRIJEM	PREVOD Z UCTU	5265	16195	DUCHOD	IJ	20078838
868377	2958	1994-01-13	PRIJEM	PREVOD Z UCTU	5265	21460	DUCHOD	IJ	20078838
868378	2958	1994-02-13	PRIJEM	PREVOD Z UCTU	5265	26725	DUCHOD	IJ	20078838
868379	2958	1994-03-13	PRIJEM	PREVOD Z UCTU	5265	28718	DUCHOD	IJ	20078838
868380	2958	1994-04-13	PRIJEM	PREVOD Z UCTU	5265	24514	DUCHOD	IJ	20078838
868381	2958	1994-05-13	PRIJEM	PREVOD Z UCTU	5265	22192	DUCHOD	IJ	20078838
868382	2958	1994-06-13	PRIJEM	PREVOD Z UCTU	5265	24271	DUCHOD	IJ	20078838
868383	2958	1994-07-13	PRIJEM	PREVOD Z UCTU	5265	14939	DUCHOD	IJ	20078838
868384	2958	1994-08-13	PRIJEM	PREVOD Z UCTU	5265	16507	DUCHOD	IJ	20078838
868385	2958	1994-09-13	PRIJEM	PREVOD Z UCTU	5265	18562	DUCHOD	IJ	20078838
868386	2958	1994-10-13	PRIJEM	PREVOD Z UCTU	5265	20625	DUCHOD	IJ	20078838
868387	2958	1994-11-13	PRIJEM	PREVOD Z UCTU	5265	22697	DUCHOD	IJ	20078838
868388	2958	1994-12-13	PRIJEM	PREVOD Z UCTU	5265	24778	DUCHOD	IJ	20078838
868389	2958	1995-01-13	PRIJEM	PREVOD Z UCTU	5265	18977	DUCHOD	IJ	20078838
868390	2958	1995-02-13	PRIJEM	PREVOD Z UCTU	5265	15388	DUCHOD	IJ	20078838
868391	2958	1995-03-13	PRIJEM	PREVOD Z UCTU	5265	17437	DUCHOD	IJ	20078838
868392	2958	1995-04-13	PRIJEM	PREVOD Z UCTU	5265	17012	DUCHOD	IJ	20078838
868393	2958	1995-05-13	PRIJEM	PREVOD Z UCTU	5265	19069	DUCHOD	IJ	20078838
868394	2958	1995-06-13	PRIJEM	PREVOD Z UCTU	5265	18094	DUCHOD	IJ	20078838
868395	2958	1995-07-13	PRIJEM	PREVOD Z UCTU	5265	20158	DUCHOD	IJ	20078838
868396	2958	1995-08-13	PRIJEM	PREVOD Z UCTU	5265	22228	DUCHOD	IJ	20078838
868397	2958	1995-09-13	PRIJEM	PREVOD Z UCTU	5265	20947	DUCHOD	IJ	20078838
868398	2958	1995-10-13	PRIJEM	PREVOD Z UCTU	5265	23023	DUCHOD	IJ	20078838
868399	2958	1995-11-13	PRIJEM	PREVOD Z UCTU	5265	24605	DUCHOD	IJ	20078838
868400	2958	1995-12-13	PRIJEM	PREVOD Z UCTU	5265	26092	DUCHOD	IJ	20078838
868401	2958	1996-01-13	PRIJEM	PREVOD Z UCTU	5265	23386	DUCHOD	IJ	20078838
868402	2958	1996-02-13	PRIJEM	PREVOD Z UCTU	5265	19620	DUCHOD	IJ	20078838
868403	2958	1996-03-13	PRIJEM	PREVOD Z UCTU	5265	21687	DUCHOD	IJ	20078838
868404	2958	1996-04-13	PRIJEM	PREVOD Z UCTU	5265	23763	DUCHOD	IJ	20078838
868405	2958	1996-05-13	PRIJEM	PREVOD Z UCTU	5265	25048	DUCHOD	IJ	20078838
868406	2958	1996-06-13	PRIJEM	PREVOD Z UCTU	5265	21658	DUCHOD	IJ	20078838
868407	2958	1996-07-13	PRIJEM	PREVOD Z UCTU	5265	22236	DUCHOD	IJ	20078838
868408	2958	1996-08-13	PRIJEM	PREVOD Z UCTU	5265	22615	DUCHOD	IJ	20078838
868409	2958	1996-09-13	PRIJEM	PREVOD Z UCTU	5265	24695	DUCHOD	IJ	20078838
868410	2958	1996-10-13	PRIJEM	PREVOD Z UCTU	5265	17543	DUCHOD	IJ	20078838
868411	2958	1996-11-13	PRIJEM	PREVOD Z UCTU	5265	18324	DUCHOD	IJ	20078838
868412	2958	1996-12-13	PRIJEM	PREVOD Z UCTU	5265	19336	DUCHOD	IJ	20078838
868413	2958	1997-01-13	PRIJEM	PREVOD Z UCTU	5265	17802	DUCHOD	IJ	20078838
868414	2958	1997-02-13	PRIJEM	PREVOD Z UCTU	5265	15817	DUCHOD	IJ	20078838
868415	2958	1997-03-13	PRIJEM	PREVOD Z UCTU	5265	17868	DUCHOD	IJ	20078838
868416	2958	1997-04-13	PRIJEM	PREVOD Z UCTU	5265	17328	DUCHOD	IJ	20078838
868417	2958	1997-05-13	PRIJEM	PREVOD Z UCTU	5265	18387	DUCHOD	IJ	20078838
868418	2958	1997-06-13	PRIJEM	PREVOD Z UCTU	5265	16448	DUCHOD	IJ	20078838
868419	2958	1997-07-13	PRIJEM	PREVOD Z UCTU	5265	16601	DUCHOD	IJ	20078838
868420	2958	1997-08-13	PRIJEM	PREVOD Z UCTU	5265	17295	DUCHOD	IJ	20078838
868421	2958	1997-09-13	PRIJEM	PREVOD Z UCTU	5265	19354	DUCHOD	IJ	20078838
868422	2958	1997-10-13	PRIJEM	PREVOD Z UCTU	5265	18060	DUCHOD	IJ	20078838
868423	2958	1997-11-13	PRIJEM	PREVOD Z UCTU	5265	18042	DUCHOD	IJ	20078838
868424	2958	1997-12-13	PRIJEM	PREVOD Z UCTU	5265	16300	DUCHOD	IJ	20078838
868425	2958	1998-01-13	PRIJEM	PREVOD Z UCTU	5265	17452	DUCHOD	IJ	20078838
868426	2958	1998-02-13	PRIJEM	PREVOD Z UCTU	5265	15424	DUCHOD	IJ	20078838
868427	2958	1998-03-13	PRIJEM	PREVOD Z UCTU	5265	15572	DUCHOD	IJ	20078838
868428	2958	1998-04-13	PRIJEM	PREVOD Z UCTU	5265	17621	DUCHOD	IJ	20078838
868429	2958	1998-05-13	PRIJEM	PREVOD Z UCTU	5265	17358	DUCHOD	IJ	20078838
868430	2958	1998-06-13	PRIJEM	PREVOD Z UCTU	5265	18593	DUCHOD	IJ	20078838
868431	2958	1998-07-13	PRIJEM	PREVOD Z UCTU	5265	17953	DUCHOD	IJ	20078838
868432	2958	1998-08-13	PRIJEM	PREVOD Z UCTU	5265	17769	DUCHOD	IJ	20078838
868433	2958	1998-09-13	PRIJEM	PREVOD Z UCTU	5265	17502	DUCHOD	IJ	20078838
868434	2958	1998-10-13	PRIJEM	PREVOD Z UCTU	5265	16556	DUCHOD	IJ	20078838
868435	2958	1998-11-13	PRIJEM	PREVOD Z UCTU	5265	18609	DUCHOD	IJ	20078838
868436	2958	1998-12-13	PRIJEM	PREVOD Z UCTU	5265	16203	DUCHOD	IJ	20078838
868451	2958	1994-03-10	VYDAJ	PREVOD NA UCET	3261	23453	SIPO	EF	63280850
868452	2958	1994-04-10	VYDAJ	PREVOD NA UCET	3261	19249	SIPO	EF	63280850
868453	2958	1994-05-10	VYDAJ	PREVOD NA UCET	3261	16927	SIPO	EF	63280850
868454	2958	1994-06-10	VYDAJ	PREVOD NA UCET	3261	19006	SIPO	EF	63280850
868455	2958	1994-07-10	VYDAJ	PREVOD NA UCET	3261	9674	SIPO	EF	63280850
868456	2958	1994-08-10	VYDAJ	PREVOD NA UCET	3261	11242	SIPO	EF	63280850
868457	2958	1994-09-10	VYDAJ	PREVOD NA UCET	3261	13297	SIPO	EF	63280850
868458	2958	1994-10-10	VYDAJ	PREVOD NA UCET	3261	15360	SIPO	EF	63280850
868459	2958	1994-11-10	VYDAJ	PREVOD NA UCET	3261	17432	SIPO	EF	63280850
868460	2958	1994-12-10	VYDAJ	PREVOD NA UCET	3261	19513	SIPO	EF	63280850
868461	2958	1995-01-10	VYDAJ	PREVOD NA UCET	3261	16432	SIPO	EF	63280850
868462	2958	1995-02-10	VYDAJ	PREVOD NA UCET	3261	10123	SIPO	EF	63280850
868463	2958	1995-03-10	VYDAJ	PREVOD NA UCET	3261	12172	SIPO	EF	63280850
868464	2958	1995-04-10	VYDAJ	PREVOD NA UCET	3261	11747	SIPO	EF	63280850
868465	2958	1995-05-10	VYDAJ	PREVOD NA UCET	3261	13804	SIPO	EF	63280850
868466	2958	1995-06-10	VYDAJ	PREVOD NA UCET	3261	12829	SIPO	EF	63280850
868467	2958	1995-07-10	VYDAJ	PREVOD NA UCET	3261	14893	SIPO	EF	63280850
868468	2958	1995-08-10	VYDAJ	PREVOD NA UCET	3261	16963	SIPO	EF	63280850
868469	2958	1995-09-10	VYDAJ	PREVOD NA UCET	3261	15682	SIPO	EF	63280850
868470	2958	1995-10-10	VYDAJ	PREVOD NA UCET	3261	17758	SIPO	EF	63280850
868471	2958	1995-11-10	VYDAJ	PREVOD NA UCET	3261	19340	SIPO	EF	63280850
868472	2958	1995-12-10	VYDAJ	PREVOD NA UCET	3261	20827	SIPO	EF	63280850
868473	2958	1996-01-10	VYDAJ	PREVOD NA UCET	3261	18521	SIPO	EF	63280850
868474	2958	1996-02-10	VYDAJ	PREVOD NA UCET	3261	14355	SIPO	EF	63280850
868475	2958	1996-03-10	VYDAJ	PREVOD NA UCET	3261	16422	SIPO	EF	63280850
868476	2958	1996-04-10	VYDAJ	PREVOD NA UCET	3261	18498	SIPO	EF	63280850
868477	2958	1996-05-10	VYDAJ	PREVOD NA UCET	3261	19783	SIPO	EF	63280850
868478	2958	1996-06-10	VYDAJ	PREVOD NA UCET	3261	16393	SIPO	EF	63280850
868479	2958	1996-07-10	VYDAJ	PREVOD NA UCET	3261	16971	SIPO	EF	63280850
868480	2958	1996-08-10	VYDAJ	PREVOD NA UCET	3261	17350	SIPO	EF	63280850
868481	2958	1996-09-10	VYDAJ	PREVOD NA UCET	3261	19430	SIPO	EF	63280850
868482	2958	1996-10-10	VYDAJ	PREVOD NA UCET	3261	12278	SIPO	EF	63280850
868483	2958	1996-11-10	VYDAJ	PREVOD NA UCET	3261	13059	SIPO	EF	63280850
868484	2958	1996-12-10	VYDAJ	PREVOD NA UCET	3261	14071	SIPO	EF	63280850
868485	2958	1997-01-10	VYDAJ	PREVOD NA UCET	3261	12537	SIPO	EF	63280850
868486	2958	1997-02-10	VYDAJ	PREVOD NA UCET	3261	10552	SIPO	EF	63280850
868487	2958	1997-03-10	VYDAJ	PREVOD NA UCET	3261	12603	SIPO	EF	63280850
868488	2958	1997-04-10	VYDAJ	PREVOD NA UCET	3261	12063	SIPO	EF	63280850
868489	2958	1997-05-10	VYDAJ	PREVOD NA UCET	3261	13122	SIPO	EF	63280850
868490	2958	1997-06-10	VYDAJ	PREVOD NA UCET	3261	11183	SIPO	EF	63280850
868491	2958	1997-07-10	VYDAJ	PREVOD NA UCET	3261	11336	SIPO	EF	63280850
868492	2958	1997-08-10	VYDAJ	PREVOD NA UCET	3261	12030	SIPO	EF	63280850
868493	2958	1997-09-10	VYDAJ	PREVOD NA UCET	3261	14089	SIPO	EF	63280850
868494	2958	1997-10-10	VYDAJ	PREVOD NA UCET	3261	12795	SIPO	EF	63280850
868495	2958	1997-11-10	VYDAJ	PREVOD NA UCET	3261	12777	SIPO	EF	63280850
868496	2958	1997-12-10	VYDAJ	PREVOD NA UCET	3261	11035	SIPO	EF	63280850
868497	2958	1998-01-10	VYDAJ	PREVOD NA UCET	3261	12187	SIPO	EF	63280850
868498	2958	1998-02-10	VYDAJ	PREVOD NA UCET	3261	10159	SIPO	EF	63280850
868499	2958	1998-03-10	VYDAJ	PREVOD NA UCET	3261	10307	SIPO	EF	63280850
868500	2958	1998-04-10	VYDAJ	PREVOD NA UCET	3261	12356	SIPO	EF	63280850
868501	2958	1998-05-10	VYDAJ	PREVOD NA UCET	3261	12093	SIPO	EF	63280850
868502	2958	1998-06-10	VYDAJ	PREVOD NA UCET	3261	13328	SIPO	EF	63280850
868503	2958	1998-07-10	VYDAJ	PREVOD NA UCET	3261	12688	SIPO	EF	63280850
868504	2958	1998-08-10	VYDAJ	PREVOD NA UCET	3261	12504	SIPO	EF	63280850
868505	2958	1998-09-10	VYDAJ	PREVOD NA UCET	3261	12237	SIPO	EF	63280850
868506	2958	1998-10-10	VYDAJ	PREVOD NA UCET	3261	11291	SIPO	EF	63280850
868507	2958	1998-11-10	VYDAJ	PREVOD NA UCET	3261	13344	SIPO	EF	63280850
868508	2958	1998-12-10	VYDAJ	PREVOD NA UCET	3261	10938	SIPO	EF	63280850
868510	2958	1994-06-19	VYDAJ	VYBER	11400	12871	\N	\N	\N
868513	2958	1997-06-27	VYDAJ	VYBER	1900	14548	\N	\N	\N
868514	2958	1998-06-24	VYDAJ	VYBER	2700	15893	\N	\N	\N
868517	2958	1995-01-15	VYDAJ	VYBER	2850	14127	\N	\N	\N
868518	2958	1996-01-17	VYDAJ	VYBER	3600	18106	\N	\N	\N
868522	2958	1994-12-24	VYDAJ	VYBER	850	23928	\N	\N	\N
868523	2958	1995-12-02	VYDAJ	VYBER	600	24088	\N	\N	\N
868524	2958	1996-12-07	VYDAJ	VYBER	1050	17332	\N	\N	\N
868539	2958	1995-01-30	VYDAJ	VYBER	800	13327	\N	\N	\N
868540	2958	1995-01-09	VYDAJ	VYBER	2320	19693	\N	\N	\N
868541	2958	1995-01-13	VYDAJ	VYBER	2000	16977	\N	\N	\N
868542	2958	1995-01-09	VYDAJ	VYBER	2000	22013	\N	\N	\N
868543	2958	1995-01-12	VYDAJ	VYBER	1120	13712	\N	\N	\N
868544	2958	1995-01-12	VYDAJ	VYBER	1600	14832	\N	\N	\N
868545	2958	1996-01-17	VYDAJ	VYBER	560	17546	\N	\N	\N
868546	2958	1996-01-15	VYDAJ	VYBER	1040	21706	\N	\N	\N
868547	2958	1996-01-12	VYDAJ	VYBER	400	18121	\N	\N	\N
868548	2958	1996-01-14	VYDAJ	VYBER	640	22746	\N	\N	\N
868549	2958	1996-01-06	VYDAJ	VYBER	880	24182	\N	\N	\N
868550	2958	1996-01-03	VYDAJ	VYBER	1120	25062	\N	\N	\N
868551	2958	1997-01-16	VYDAJ	VYBER	1360	14362	\N	\N	\N
868555	2958	1997-01-13	VYDAJ	VYBER	480	17322	\N	\N	\N
868556	2958	1997-01-16	VYDAJ	VYBER	1600	15722	\N	\N	\N
868560	2958	1998-01-19	VYDAJ	VYBER	2080	15372	\N	\N	\N
868570	2958	1994-07-30	VYDAJ	VYBER	480	14459	\N	\N	\N
868571	2958	1994-03-24	VYDAJ	VYBER	2400	22418	\N	\N	\N
868572	2958	1994-04-13	VYDAJ	VYBER	3280	21234	\N	\N	\N
868573	2958	1994-04-16	VYDAJ	VYBER	1120	20114	\N	\N	\N
868574	2958	1995-09-08	VYDAJ	VYBER	3360	18943	\N	\N	\N
868576	2958	1995-03-20	VYDAJ	VYBER	2480	14957	\N	\N	\N
868577	2958	1995-06-06	VYDAJ	VYBER	3040	16090	\N	\N	\N
868578	2958	1996-10-06	VYDAJ	VYBER	2080	15539	\N	\N	\N
868580	2958	1996-09-30	VYDAJ	VYBER	2160	22634	\N	\N	\N
868581	2958	1996-10-24	VYDAJ	VYBER	1280	16263	\N	\N	\N
868582	2958	1996-06-06	VYDAJ	VYBER	2080	19654	\N	\N	\N
868584	2958	1997-10-30	VYDAJ	VYBER	2080	15980	\N	\N	\N
868585	2958	1997-10-03	VYDAJ	VYBER	3360	16056	\N	\N	\N
868586	2958	1997-07-31	VYDAJ	VYBER	1360	15291	\N	\N	\N
868587	2958	1998-11-13	VYDAJ	VYBER	1360	17249	\N	\N	\N
868590	2958	1998-04-28	VYDAJ	VYBER	2320	15301	\N	\N	\N
868591	2958	1998-07-23	VYDAJ	VYBER	2240	15713	\N	\N	\N
868592	2958	1998-08-14	VYDAJ	VYBER	2320	15449	\N	\N	\N
868593	2958	1998-05-15	VYDAJ	VYBER	720	16638	\N	\N	\N
868608	2958	1994-02-28	VYDAJ	VYBER	15	26714	SLUZBY	\N	\N
868609	2958	1994-03-31	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
868610	2958	1994-04-30	VYDAJ	VYBER	15	20188	SLUZBY	\N	\N
868611	2958	1994-05-31	VYDAJ	VYBER	15	22267	SLUZBY	\N	\N
868612	2958	1994-06-30	VYDAJ	VYBER	15	12935	SLUZBY	\N	\N
868613	2958	1994-07-31	VYDAJ	VYBER	15	14503	SLUZBY	\N	\N
868614	2958	1994-08-31	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
868615	2958	1994-09-30	VYDAJ	VYBER	15	18621	SLUZBY	\N	\N
868616	2958	1994-10-31	VYDAJ	VYBER	15	20693	SLUZBY	\N	\N
868617	2958	1994-11-30	VYDAJ	VYBER	15	22774	SLUZBY	\N	\N
868618	2958	1994-12-31	VYDAJ	VYBER	15	24013	SLUZBY	\N	\N
868619	2958	1995-01-31	VYDAJ	VYBER	15	13384	SLUZBY	\N	\N
868620	2958	1995-02-28	VYDAJ	VYBER	15	15433	SLUZBY	\N	\N
868621	2958	1995-03-31	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
868622	2958	1995-04-30	VYDAJ	VYBER	15	17065	SLUZBY	\N	\N
868623	2958	1995-05-31	VYDAJ	VYBER	15	19130	SLUZBY	\N	\N
868624	2958	1995-06-30	VYDAJ	VYBER	15	18154	SLUZBY	\N	\N
868625	2958	1995-07-31	VYDAJ	VYBER	15	20224	SLUZBY	\N	\N
868626	2958	1995-08-31	VYDAJ	VYBER	15	22303	SLUZBY	\N	\N
868627	2958	1995-09-30	VYDAJ	VYBER	15	21019	SLUZBY	\N	\N
868628	2958	1995-10-31	VYDAJ	VYBER	15	23101	SLUZBY	\N	\N
868629	2958	1995-11-30	VYDAJ	VYBER	15	24688	SLUZBY	\N	\N
868630	2958	1995-12-31	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
868631	2958	1996-01-31	VYDAJ	VYBER	15	17616	SLUZBY	\N	\N
868632	2958	1996-02-29	VYDAJ	VYBER	15	19683	SLUZBY	\N	\N
868633	2958	1996-03-31	VYDAJ	VYBER	15	21759	SLUZBY	\N	\N
868634	2958	1996-04-30	VYDAJ	VYBER	15	23844	SLUZBY	\N	\N
868635	2958	1996-05-31	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
868636	2958	1996-06-30	VYDAJ	VYBER	15	21732	SLUZBY	\N	\N
868637	2958	1996-07-31	VYDAJ	VYBER	15	22311	SLUZBY	\N	\N
868638	2958	1996-08-31	VYDAJ	VYBER	15	22691	SLUZBY	\N	\N
868639	2958	1996-09-30	VYDAJ	VYBER	15	22619	SLUZBY	\N	\N
868640	2958	1996-10-31	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
868641	2958	1996-11-30	VYDAJ	VYBER	15	18382	SLUZBY	\N	\N
868642	2958	1996-12-31	VYDAJ	VYBER	15	19398	SLUZBY	\N	\N
868643	2958	1997-01-31	VYDAJ	VYBER	15	13813	SLUZBY	\N	\N
868644	2958	1997-02-28	VYDAJ	VYBER	15	15864	SLUZBY	\N	\N
868645	2958	1997-03-31	VYDAJ	VYBER	15	17924	SLUZBY	\N	\N
868646	2958	1997-04-30	VYDAJ	VYBER	15	17383	SLUZBY	\N	\N
868647	2958	1997-05-31	VYDAJ	VYBER	15	18444	SLUZBY	\N	\N
868648	2958	1997-06-30	VYDAJ	VYBER	15	14597	SLUZBY	\N	\N
868649	2958	1997-07-31	VYDAJ	VYBER	15	16651	SLUZBY	\N	\N
868650	2958	1997-08-31	VYDAJ	VYBER	15	17350	SLUZBY	\N	\N
868651	2958	1997-09-30	VYDAJ	VYBER	15	19416	SLUZBY	\N	\N
868652	2958	1997-10-31	VYDAJ	VYBER	15	16038	SLUZBY	\N	\N
868653	2958	1997-11-30	VYDAJ	VYBER	15	14296	SLUZBY	\N	\N
868654	2958	1997-12-31	VYDAJ	VYBER	15	15448	SLUZBY	\N	\N
868655	2958	1998-01-31	VYDAJ	VYBER	15	13420	SLUZBY	\N	\N
868656	2958	1998-02-28	VYDAJ	VYBER	15	13568	SLUZBY	\N	\N
868657	2958	1998-03-31	VYDAJ	VYBER	15	15617	SLUZBY	\N	\N
868658	2958	1998-04-30	VYDAJ	VYBER	15	15354	SLUZBY	\N	\N
868659	2958	1998-05-31	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
868660	2958	1998-06-30	VYDAJ	VYBER	15	15949	SLUZBY	\N	\N
868661	2958	1998-07-31	VYDAJ	VYBER	15	15765	SLUZBY	\N	\N
868662	2958	1998-08-31	VYDAJ	VYBER	15	15498	SLUZBY	\N	\N
868663	2958	1998-09-30	VYDAJ	VYBER	15	14552	SLUZBY	\N	\N
868664	2958	1998-10-31	VYDAJ	VYBER	15	16605	SLUZBY	\N	\N
868665	2958	1998-11-30	VYDAJ	VYBER	15	14199	SLUZBY	\N	\N
868666	2958	1994-03-18	VYDAJ	VYBER	3900	24818	\N	\N	\N
868667	2958	1995-11-08	VYDAJ	VYBER	500	22601	\N	\N	\N
868668	2958	1996-01-07	VYDAJ	VYBER	2400	21782	\N	\N	\N
868669	2958	1996-05-06	VYDAJ	VYBER	800	23044	\N	\N	\N
868670	2958	1996-06-05	VYDAJ	VYBER	3400	21734	\N	\N	\N
868671	2958	1996-07-05	VYDAJ	VYBER	1500	20232	\N	\N	\N
868672	2958	1996-08-04	VYDAJ	VYBER	1700	20611	\N	\N	\N
868673	2958	1996-10-03	VYDAJ	VYBER	5000	17619	\N	\N	\N
868674	2958	1997-01-01	VYDAJ	VYBER	3600	15798	\N	\N	\N
868675	2958	1997-01-31	VYDAJ	VYBER	600	13828	\N	\N	\N
868676	2958	1997-04-01	VYDAJ	VYBER	2600	15324	\N	\N	\N
868677	2958	1997-05-01	VYDAJ	VYBER	1000	16383	\N	\N	\N
868678	2958	1997-05-31	VYDAJ	VYBER	4000	14444	\N	\N	\N
868679	2958	1997-11-27	VYDAJ	VYBER	3800	14242	\N	\N	\N
868680	2958	1997-12-27	VYDAJ	VYBER	900	15400	\N	\N	\N
868681	2958	1998-01-26	VYDAJ	VYBER	2000	13372	\N	\N	\N
868682	2958	1998-02-25	VYDAJ	VYBER	1900	13524	\N	\N	\N
868683	2958	1998-05-26	VYDAJ	VYBER	100	16538	\N	\N	\N
868684	2958	1998-09-23	VYDAJ	VYBER	3000	14502	\N	\N	\N
868685	2958	1998-11-22	VYDAJ	VYBER	3100	14149	\N	\N	\N
868745	2959	1994-02-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
868747	2959	1994-10-09	PRIJEM	VKLAD	28957	55439	\N	\N	\N
868749	2959	1994-11-21	PRIJEM	VKLAD	24824	94053	\N	\N	\N
868751	2959	1994-07-12	PRIJEM	VKLAD	20733	112778	\N	\N	\N
868753	2959	1994-05-07	PRIJEM	VKLAD	15127	49732	\N	\N	\N
868754	2959	1994-04-06	PRIJEM	VKLAD	31181	44581	\N	\N	\N
868755	2959	1994-07-28	PRIJEM	VKLAD	28113	75010	\N	\N	\N
868756	2959	1994-08-26	PRIJEM	VKLAD	44983	81036	\N	\N	\N
868757	2959	1994-06-07	PRIJEM	VKLAD	34667	86061	\N	\N	\N
868758	2959	1994-06-28	PRIJEM	VKLAD	35002	68063	\N	\N	\N
868759	2959	1994-11-13	PRIJEM	VKLAD	44088	83416	\N	\N	\N
868760	2959	1994-05-22	PRIJEM	VKLAD	23037	109685	\N	\N	\N
868761	2959	1994-06-30	PRIJEM	VKLAD	10695	78758	\N	\N	\N
868762	2959	1994-12-08	PRIJEM	VKLAD	31108	87560	\N	\N	\N
868763	2959	1994-10-12	PRIJEM	VKLAD	25788	81227	\N	\N	\N
868764	2959	1994-07-20	PRIJEM	VKLAD	9032	96910	\N	\N	\N
868765	2959	1994-07-12	PRIJEM	VKLAD	25848	92045	\N	\N	\N
868766	2959	1994-07-09	PRIJEM	VKLAD	43253	122197	\N	\N	\N
868767	2959	1994-07-22	PRIJEM	VKLAD	6987	103897	\N	\N	\N
868768	2959	1994-05-15	PRIJEM	VKLAD	36916	86648	\N	\N	\N
868769	2959	1994-08-30	PRIJEM	VKLAD	25656	106692	\N	\N	\N
868770	2959	1994-06-02	PRIJEM	VKLAD	31203	74701	\N	\N	\N
868771	2959	1995-11-03	PRIJEM	VKLAD	42355	94826	\N	\N	\N
868772	2959	1995-05-10	PRIJEM	VKLAD	32227	71752	\N	\N	\N
868773	2959	1995-12-16	PRIJEM	VKLAD	35174	79418	\N	\N	\N
868774	2959	1995-09-10	PRIJEM	VKLAD	31070	58294	\N	\N	\N
868775	2959	1995-05-26	PRIJEM	VKLAD	11067	58519	\N	\N	\N
868776	2959	1995-05-08	PRIJEM	VKLAD	5914	39525	\N	\N	\N
868777	2959	1995-09-30	PRIJEM	VKLAD	25861	52981	\N	\N	\N
868778	2959	1995-04-11	PRIJEM	VKLAD	14804	74412	\N	\N	\N
868779	2959	1995-02-13	PRIJEM	VKLAD	22572	98890	\N	\N	\N
868780	2959	1995-02-03	PRIJEM	VKLAD	45515	76318	\N	\N	\N
868781	2959	1995-10-13	PRIJEM	VKLAD	31799	84766	\N	\N	\N
868782	2959	1995-11-17	PRIJEM	VKLAD	19067	113893	\N	\N	\N
868783	2959	1995-01-26	PRIJEM	VKLAD	23365	37881	\N	\N	\N
868784	2959	1995-03-08	PRIJEM	VKLAD	29497	110355	\N	\N	\N
868785	2959	1995-06-27	PRIJEM	VKLAD	39209	48340	\N	\N	\N
868786	2959	1995-04-10	PRIJEM	VKLAD	9867	59608	\N	\N	\N
868787	2959	1995-02-22	PRIJEM	VKLAD	22523	80613	\N	\N	\N
868788	2959	1996-04-16	PRIJEM	VKLAD	35419	59433	\N	\N	\N
868789	2959	1996-08-12	PRIJEM	VKLAD	21022	32371	\N	\N	\N
868790	2959	1996-06-04	PRIJEM	VKLAD	46588	97464	\N	\N	\N
868791	2959	1996-05-26	PRIJEM	VKLAD	30428	74404	\N	\N	\N
868792	2959	1996-08-31	PRIJEM	VKLAD	31161	105814	\N	\N	\N
868793	2959	1996-02-09	PRIJEM	VKLAD	25813	61584	\N	\N	\N
868794	2959	1996-01-01	PRIJEM	VKLAD	27701	68500	\N	\N	\N
868795	2959	1996-10-14	PRIJEM	VKLAD	22384	62815	\N	\N	\N
868796	2959	1996-12-30	PRIJEM	VKLAD	21205	27779	\N	\N	\N
868797	2959	1996-08-18	PRIJEM	VKLAD	48224	62295	\N	\N	\N
868798	2959	1996-06-28	PRIJEM	VKLAD	22551	73134	\N	\N	\N
868799	2959	1996-04-17	PRIJEM	VKLAD	49372	108805	\N	\N	\N
868800	2959	1996-07-17	PRIJEM	VKLAD	24205	55229	\N	\N	\N
868801	2959	1996-06-27	PRIJEM	VKLAD	31148	50583	\N	\N	\N
868802	2959	1996-08-27	PRIJEM	VKLAD	12174	74469	\N	\N	\N
868803	2959	1996-10-17	PRIJEM	VKLAD	30733	89513	\N	\N	\N
868804	2959	1996-03-15	PRIJEM	VKLAD	34207	81285	\N	\N	\N
868805	2959	1996-10-02	PRIJEM	VKLAD	10994	64245	\N	\N	\N
868806	2959	1996-02-25	PRIJEM	VKLAD	9249	48433	\N	\N	\N
868807	2959	1996-03-08	PRIJEM	VKLAD	35569	70033	\N	\N	\N
868808	2959	1996-01-04	PRIJEM	VKLAD	43147	111647	\N	\N	\N
868809	2959	1996-10-06	PRIJEM	VKLAD	5186	69431	\N	\N	\N
868810	2959	1996-01-10	PRIJEM	VKLAD	35596	90343	\N	\N	\N
868811	2959	1997-04-18	PRIJEM	VKLAD	44154	66781	\N	\N	\N
868812	2959	1997-08-28	PRIJEM	VKLAD	33972	141814	\N	\N	\N
868813	2959	1997-02-07	PRIJEM	VKLAD	33354	38953	\N	\N	\N
868814	2959	1997-03-30	PRIJEM	VKLAD	14489	79627	\N	\N	\N
868815	2959	1997-03-23	PRIJEM	VKLAD	17464	73538	\N	\N	\N
868816	2959	1997-02-21	PRIJEM	VKLAD	46574	71027	\N	\N	\N
868817	2959	1997-10-03	PRIJEM	VKLAD	37124	136072	\N	\N	\N
868818	2959	1997-11-28	PRIJEM	VKLAD	6621	27863	\N	\N	\N
868819	2959	1997-04-22	PRIJEM	VKLAD	20519	87300	\N	\N	\N
868820	2959	1997-07-28	PRIJEM	VKLAD	18922	103251	\N	\N	\N
868821	2959	1997-09-25	PRIJEM	VKLAD	11895	54736	\N	\N	\N
868822	2959	1997-07-10	PRIJEM	VKLAD	37304	58272	\N	\N	\N
868823	2959	1997-03-08	PRIJEM	VKLAD	6321	102174	\N	\N	\N
868824	2959	1997-08-27	PRIJEM	VKLAD	23021	131142	\N	\N	\N
868825	2959	1997-05-02	PRIJEM	VKLAD	20709	108296	\N	\N	\N
868826	2959	1997-10-03	PRIJEM	VKLAD	43895	98948	\N	\N	\N
868827	2959	1997-12-06	PRIJEM	VKLAD	41074	69081	\N	\N	\N
868828	2959	1997-02-28	PRIJEM	VKLAD	24704	95731	\N	\N	\N
868829	2959	1997-07-21	PRIJEM	VKLAD	26057	84329	\N	\N	\N
868830	2959	1997-08-14	PRIJEM	VKLAD	48828	108121	\N	\N	\N
868831	2959	1998-10-20	PRIJEM	VKLAD	32114	20402	\N	\N	\N
868832	2959	1998-12-09	PRIJEM	VKLAD	25337	52569	\N	\N	\N
868833	2959	1998-12-07	PRIJEM	VKLAD	31940	27232	\N	\N	\N
868834	2959	1998-01-27	PRIJEM	VKLAD	47259	51063	\N	\N	\N
868835	2959	1994-11-16	VYBER	VYBER	14187	69229	\N	\N	\N
868836	2959	1994-08-12	VYBER	VYBER	15603	51953	\N	\N	\N
868837	2959	1994-09-10	VYBER	VYBER	19123	28023	\N	\N	\N
868838	2959	1994-12-29	VYBER	VYBER	2271	49189	\N	\N	\N
868839	2959	1994-06-04	VYBER	VYBER	23307	51394	\N	\N	\N
868840	2959	1995-04-15	VYBER	VYBER	8955	65457	\N	\N	\N
868841	2959	1995-04-20	VYBER	VYBER	19242	46215	\N	\N	\N
868842	2959	1995-03-09	VYBER	VYBER	8199	82356	\N	\N	\N
868843	2959	1996-08-05	VYBER	VYBER	15000	11349	\N	\N	\N
868844	2959	1996-10-16	VYBER	VYBER	4035	58780	\N	\N	\N
868845	2959	1996-03-19	VYBER	VYBER	9552	38833	\N	\N	\N
868846	2959	1996-06-09	VYBER	VYBER	19520	56641	\N	\N	\N
868847	2959	1996-10-19	VYBER	VYBER	16587	72926	\N	\N	\N
868848	2959	1996-07-26	VYBER	VYBER	18879	26146	\N	\N	\N
868849	2959	1996-07-19	VYBER	VYBER	10204	45025	\N	\N	\N
868850	2959	1996-07-10	VYBER	VYBER	24873	48424	\N	\N	\N
868851	2959	1996-03-05	VYBER	VYBER	14117	34464	\N	\N	\N
868852	2959	1996-05-28	VYBER	VYBER	23807	50597	\N	\N	\N
868853	2959	1996-03-13	VYBER	VYBER	22955	47078	\N	\N	\N
868854	2959	1996-06-15	VYBER	VYBER	16206	19435	\N	\N	\N
868855	2959	1996-06-07	VYBER	VYBER	21303	76161	\N	\N	\N
868856	2959	1997-04-14	VYBER	VYBER	18191	22627	\N	\N	\N
868860	2959	1998-02-19	VYBER	VYBER	2679	5016	\N	\N	\N
868868	2959	1994-06-10	VYDAJ	VYBER	47100	38961	\N	\N	\N
868869	2959	1995-06-08	VYDAJ	VYBER	59700	-969	\N	\N	\N
868875	2959	1996-01-07	VYDAJ	VYBER	21600	54747	\N	\N	\N
868877	2959	1998-01-27	VYDAJ	VYBER	29400	21663	\N	\N	\N
868878	2959	1994-12-18	VYDAJ	VYBER	7500	80060	\N	\N	\N
868879	2959	1995-12-19	VYDAJ	VYBER	4800	40618	\N	\N	\N
868880	2959	1996-12-25	VYDAJ	VYBER	5100	6574	\N	\N	\N
868881	2959	1997-12-25	VYDAJ	VYBER KARTOU	2400	32981	\N	\N	0
868882	2959	1998-12-30	VYDAJ	VYBER	5400	47169	\N	\N	\N
868889	2959	1995-01-14	VYDAJ	VYBER	5700	24516	\N	\N	\N
868890	2959	1995-01-01	VYDAJ	VYBER	7500	41916	\N	\N	\N
868891	2959	1995-01-26	VYDAJ	VYBER	1500	36381	\N	\N	\N
868892	2959	1995-01-27	VYDAJ	VYBER	5700	30681	\N	\N	\N
868893	2959	1995-01-15	VYDAJ	VYBER	8700	15816	\N	\N	\N
868894	2959	1995-01-16	VYDAJ	VYBER	5700	10116	\N	\N	\N
868895	2959	1996-01-11	VYDAJ	VYBER	5700	84643	\N	\N	\N
868896	2959	1996-01-05	VYDAJ	VYBER KARTOU	1500	110147	\N	\N	0
868897	2959	1996-01-24	VYDAJ	VYBER	8400	35543	\N	\N	\N
868898	2959	1996-01-18	VYDAJ	VYBER	4200	43943	\N	\N	\N
868899	2959	1996-01-16	VYDAJ	VYBER KARTOU	3900	48143	\N	\N	0
868900	2959	1996-01-06	VYDAJ	VYBER	5400	76347	\N	\N	\N
868901	2959	1997-01-11	VYDAJ	VYBER	6600	11559	\N	\N	\N
868905	2959	1997-01-13	VYDAJ	VYBER KARTOU	3900	7659	\N	\N	0
868906	2959	1997-01-18	VYDAJ	VYBER KARTOU	2100	5559	\N	\N	0
868908	2959	1998-01-11	VYDAJ	VYBER	7200	3804	\N	\N	\N
868912	2959	1998-01-04	VYDAJ	VYBER	6300	26804	\N	\N	\N
868913	2959	1994-08-02	VYDAJ	VYBER	7800	67556	\N	\N	\N
868914	2959	1994-10-28	VYDAJ	VYBER	12000	39127	\N	\N	\N
868915	2959	1994-10-23	VYDAJ	VYBER	2400	78827	\N	\N	\N
868918	2959	1995-12-03	VYDAJ	VYBER	6300	44244	\N	\N	\N
868919	2959	1995-04-29	VYDAJ	VYBER	1500	33415	\N	\N	\N
868920	2959	1995-01-14	VYDAJ	VYBER	11700	30216	\N	\N	\N
868921	2959	1995-09-23	VYDAJ	VYBER	13500	26994	\N	\N	\N
868922	2959	1996-08-17	VYDAJ	VYBER	4500	14071	\N	\N	\N
868923	2959	1996-12-03	VYDAJ	VYBER	12300	28974	\N	\N	\N
868924	2959	1996-03-19	VYDAJ	VYBER	4800	34033	\N	\N	\N
868925	2959	1996-09-21	VYDAJ	VYBER	4500	52899	\N	\N	\N
868926	2959	1996-12-21	VYDAJ	VYBER	5100	11674	\N	\N	\N
868927	2959	1997-03-28	VYDAJ	VYBER	8400	65138	\N	\N	\N
868929	2959	1997-09-22	VYDAJ	VYBER	8100	42841	\N	\N	\N
868939	2959	1994-06-30	VYDAJ	VYBER	15	78944	SLUZBY	\N	\N
868940	2959	1994-07-31	VYDAJ	VYBER	15	75356	SLUZBY	\N	\N
868941	2959	1994-08-31	VYDAJ	VYBER	15	47146	SLUZBY	\N	\N
868942	2959	1994-09-30	VYDAJ	VYBER	15	26482	SLUZBY	\N	\N
868943	2959	1994-10-31	VYDAJ	VYBER	15	39328	SLUZBY	\N	\N
868944	2959	1994-11-30	VYDAJ	VYBER	15	56452	SLUZBY	\N	\N
868945	2959	1994-12-31	VYDAJ	VYBER	15	49416	SLUZBY	\N	\N
868946	2959	1995-01-31	VYDAJ	VYBER	15	30803	SLUZBY	\N	\N
868947	2959	1995-02-28	VYDAJ	VYBER	15	80858	SLUZBY	\N	\N
868948	2959	1995-03-31	VYDAJ	VYBER	15	49741	SLUZBY	\N	\N
868949	2959	1995-04-30	VYDAJ	VYBER	15	33611	SLUZBY	\N	\N
868950	2959	1995-05-31	VYDAJ	VYBER	15	58731	SLUZBY	\N	\N
868951	2959	1995-06-30	VYDAJ	VYBER	15	48517	SLUZBY	\N	\N
868952	2959	1995-07-31	VYDAJ	VYBER	15	32802	SLUZBY	\N	\N
868953	2959	1995-08-31	VYDAJ	VYBER	15	27224	SLUZBY	\N	\N
868954	2959	1995-09-30	VYDAJ	VYBER	15	52967	SLUZBY	\N	\N
868955	2959	1995-10-31	VYDAJ	VYBER	15	52471	SLUZBY	\N	\N
868956	2959	1995-11-30	VYDAJ	VYBER	15	50544	SLUZBY	\N	\N
868957	2959	1995-12-31	VYDAJ	VYBER	15	40799	SLUZBY	\N	\N
868958	2959	1996-01-31	VYDAJ	VYBER	15	35771	SLUZBY	\N	\N
868959	2959	1996-02-29	VYDAJ	VYBER	15	48581	SLUZBY	\N	\N
868960	2959	1996-03-31	VYDAJ	VYBER	15	34214	SLUZBY	\N	\N
868961	2959	1996-04-30	VYDAJ	VYBER	15	73776	SLUZBY	\N	\N
868962	2959	1996-05-31	VYDAJ	VYBER	15	50876	SLUZBY	\N	\N
868963	2959	1996-06-30	VYDAJ	VYBER	15	73297	SLUZBY	\N	\N
868964	2959	1996-07-31	VYDAJ	VYBER	15	26349	SLUZBY	\N	\N
868965	2959	1996-08-31	VYDAJ	VYBER	15	105799	SLUZBY	\N	\N
868966	2959	1996-09-30	VYDAJ	VYBER	15	53251	SLUZBY	\N	\N
868967	2959	1996-10-31	VYDAJ	VYBER	15	73189	SLUZBY	\N	\N
868968	2959	1996-11-30	VYDAJ	VYBER	15	41274	SLUZBY	\N	\N
868969	2959	1996-12-31	VYDAJ	VYBER	15	27859	SLUZBY	\N	\N
868970	2959	1997-01-31	VYDAJ	VYBER	15	5599	SLUZBY	\N	\N
868971	2959	1997-02-28	VYDAJ	VYBER	15	95853	SLUZBY	\N	\N
868972	2959	1997-03-31	VYDAJ	VYBER	15	79918	SLUZBY	\N	\N
868973	2959	1997-04-30	VYDAJ	VYBER	15	87587	SLUZBY	\N	\N
868974	2959	1997-05-31	VYDAJ	VYBER	15	56752	SLUZBY	\N	\N
868975	2959	1997-06-30	VYDAJ	VYBER	15	31368	SLUZBY	\N	\N
868976	2959	1997-07-31	VYDAJ	VYBER	15	103493	SLUZBY	\N	\N
868977	2959	1997-08-31	VYDAJ	VYBER	15	92841	SLUZBY	\N	\N
868978	2959	1997-09-30	VYDAJ	VYBER	15	55053	SLUZBY	\N	\N
868979	2959	1997-10-31	VYDAJ	VYBER	15	39942	SLUZBY	\N	\N
868980	2959	1997-11-30	VYDAJ	VYBER	15	28007	SLUZBY	\N	\N
868981	2959	1997-12-31	VYDAJ	VYBER	15	33104	SLUZBY	\N	\N
868982	2959	1998-01-31	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
868983	2959	1998-02-28	VYDAJ	VYBER	15	5064	SLUZBY	\N	\N
868991	2959	1998-10-31	VYDAJ	VYBER	15	20430	SLUZBY	\N	\N
868992	2959	1998-11-30	VYDAJ	VYBER	15	3892	SLUZBY	\N	\N
868993	2959	1994-03-27	PRIJEM	VKLAD	12400	13400	\N	\N	\N
868994	2959	1994-04-26	VYDAJ	VYBER	10000	34581	\N	\N	\N
868995	2959	1994-05-22	VYDAJ	VYBER	50500	59185	\N	\N	\N
868996	2959	1994-05-26	VYDAJ	VYBER	15900	43285	\N	\N	\N
868997	2959	1994-06-25	VYDAJ	VYBER	5900	33061	\N	\N	\N
868998	2959	1994-07-09	VYDAJ	VYBER	56000	66197	\N	\N	\N
868999	2959	1994-07-12	VYDAJ	VYBER	24900	87878	\N	\N	\N
869000	2959	1994-07-22	VYDAJ	VYBER	33500	70397	\N	\N	\N
869001	2959	1994-07-25	VYDAJ	VYBER	23500	46897	\N	\N	\N
869002	2959	1994-08-24	VYDAJ	VYBER	15900	36053	\N	\N	\N
869003	2959	1994-08-31	VYDAJ	VYBER	59800	47161	\N	\N	\N
869004	2959	1994-09-23	VYDAJ	VYBER	1700	26323	\N	\N	\N
869005	2959	1994-10-23	VYDAJ	VYBER	27700	51127	\N	\N	\N
869006	2959	1994-11-22	VYDAJ	VYBER	37800	56253	\N	\N	\N
869007	2959	1994-12-22	VYDAJ	VYBER	28600	51460	\N	\N	\N
869008	2959	1995-01-21	PRIJEM	VKLAD	4400	14516	\N	\N	\N
869009	2959	1995-02-20	VYDAJ	VYBER	40800	58090	\N	\N	\N
869010	2959	1995-03-08	VYDAJ	VYBER	19800	90555	\N	\N	\N
869011	2959	1995-03-22	VYDAJ	VYBER	32900	49456	\N	\N	\N
869012	2959	1995-04-21	VYDAJ	VYBER	11300	34915	\N	\N	\N
869013	2959	1995-05-21	VYDAJ	VYBER	24300	47452	\N	\N	\N
869014	2959	1995-06-20	PRIJEM	VKLAD	10100	9131	\N	\N	\N
869015	2959	1995-07-20	VYDAJ	VYBER	15900	32617	\N	\N	\N
869016	2959	1995-08-19	VYDAJ	VYBER	5700	27102	\N	\N	\N
869017	2959	1995-09-18	VYDAJ	VYBER	17800	40494	\N	\N	\N
869018	2959	1995-10-18	VYDAJ	VYBER	32500	52266	\N	\N	\N
869019	2959	1995-11-17	VYDAJ	VYBER	28100	50293	\N	\N	\N
869020	2959	1995-11-17	VYDAJ	VYBER	35500	78393	\N	\N	\N
869021	2959	1995-12-17	VYDAJ	VYBER	34000	45418	\N	\N	\N
869022	2959	1996-01-05	VYDAJ	VYBER	28400	81747	\N	\N	\N
869023	2959	1996-01-16	VYDAJ	VYBER	32600	52043	\N	\N	\N
869024	2959	1996-02-15	VYDAJ	VYBER	22400	39184	\N	\N	\N
869025	2959	1996-03-16	VYDAJ	VYBER	32900	48385	\N	\N	\N
869026	2959	1996-04-15	VYDAJ	VYBER	10200	24014	\N	\N	\N
869027	2959	1996-04-17	VYDAJ	VYBER	35300	73505	\N	\N	\N
869028	2959	1996-05-15	VYDAJ	VYBER	29800	43976	\N	\N	\N
869029	2959	1996-06-14	VYDAJ	VYBER	21000	35641	\N	\N	\N
869030	2959	1996-07-14	VYDAJ	VYBER	17400	31024	\N	\N	\N
869031	2959	1996-08-13	VYDAJ	VYBER	13800	18571	\N	\N	\N
869032	2959	1996-09-12	VYDAJ	VYBER	48400	57399	\N	\N	\N
869033	2959	1996-10-12	VYDAJ	VYBER	29000	40431	\N	\N	\N
869034	2959	1996-11-11	VYDAJ	VYBER	32200	40989	\N	\N	\N
869035	2959	1996-12-11	VYDAJ	VYBER	12200	16774	\N	\N	\N
869036	2959	1997-01-10	VYDAJ	VYBER	9700	18159	\N	\N	\N
869037	2959	1997-02-09	VYDAJ	VYBER	14500	24453	\N	\N	\N
869038	2959	1997-03-11	VYDAJ	VYBER	46100	56074	\N	\N	\N
869039	2959	1997-04-10	VYDAJ	VYBER	39100	40818	\N	\N	\N
869040	2959	1997-05-10	VYDAJ	VYBER	51800	56496	\N	\N	\N
869041	2959	1997-06-09	VYDAJ	VYBER	25600	31152	\N	\N	\N
869042	2959	1997-07-09	VYDAJ	VYBER	10400	20968	\N	\N	\N
869043	2959	1997-08-08	VYDAJ	VYBER	44200	59293	\N	\N	\N
869044	2959	1997-08-27	VYDAJ	VYBER	23300	107842	\N	\N	\N
869045	2959	1997-08-28	VYDAJ	VYBER	25000	116814	\N	\N	\N
869046	2959	1997-08-31	VYDAJ	VYBER	24400	92855	\N	\N	\N
869047	2959	1997-09-07	VYDAJ	VYBER	41900	50941	\N	\N	\N
869048	2959	1997-10-03	VYDAJ	VYBER	62700	73372	\N	\N	\N
869049	2959	1997-10-07	VYDAJ	VYBER	33600	39772	\N	\N	\N
869050	2959	1997-11-06	VYDAJ	VYBER	18700	21242	\N	\N	\N
869051	2959	1997-12-06	VYDAJ	VYBER	33700	35381	\N	\N	\N
869052	2959	1998-01-05	VYDAJ	VYBER	15800	11004	\N	\N	\N
869053	2959	1998-02-04	VYDAJ	VYBER	14000	7695	\N	\N	\N
869054	2959	1998-03-06	VYDAJ	VYBER	8900	-3837	\N	\N	\N
869055	2959	1998-04-05	VYDAJ	VYBER KARTOU	1100	-4919	\N	\N	0
869056	2959	1998-05-05	VYDAJ	VYBER KARTOU	600	-5501	\N	\N	0
869057	2959	1998-06-04	VYDAJ	VYBER KARTOU	3800	-9283	\N	\N	0
869058	2959	1998-07-04	PRIJEM	VKLAD	1600	-7665	\N	\N	\N
869059	2959	1998-08-03	VYDAJ	VYBER KARTOU	1000	-8647	\N	\N	0
869060	2959	1998-09-02	VYDAJ	VYBER KARTOU	600	-9230	\N	\N	0
869061	2959	1998-10-02	VYDAJ	VYBER KARTOU	2500	-11712	\N	\N	0
869062	2959	1998-11-01	VYDAJ	VYBER	16600	3830	\N	\N	\N
869063	2959	1998-12-01	VYDAJ	VYBER	8600	-4708	\N	\N	\N
869129	2960	1994-09-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
869139	2960	1994-10-14	PRIJEM	VKLAD	13326	14426	\N	\N	\N
869140	2960	1994-11-14	PRIJEM	VKLAD	13326	32182	\N	\N	\N
869141	2960	1994-12-14	PRIJEM	VKLAD	19989	47364	\N	\N	\N
869142	2960	1995-01-14	PRIJEM	VKLAD	13326	48217	\N	\N	\N
869143	2960	1995-02-14	PRIJEM	VKLAD	13326	47787	\N	\N	\N
869144	2960	1995-03-14	PRIJEM	VKLAD	13326	39660	\N	\N	\N
869145	2960	1995-04-14	PRIJEM	VKLAD	13326	36825	\N	\N	\N
869146	2960	1995-05-14	PRIJEM	VKLAD	13326	34585	\N	\N	\N
869147	2960	1995-06-14	PRIJEM	VKLAD	19989	42105	\N	\N	\N
869148	2960	1995-07-14	PRIJEM	VKLAD	13326	38772	\N	\N	\N
869149	2960	1995-08-14	PRIJEM	VKLAD	13326	37341	\N	\N	\N
869150	2960	1995-09-14	PRIJEM	VKLAD	13326	34601	\N	\N	\N
869151	2960	1995-10-14	PRIJEM	VKLAD	13326	34556	\N	\N	\N
869152	2960	1995-11-14	PRIJEM	VKLAD	13326	30615	\N	\N	\N
869153	2960	1995-12-14	PRIJEM	VKLAD	19989	40517	\N	\N	\N
869154	2960	1996-01-14	PRIJEM	VKLAD	13326	42294	\N	\N	\N
869155	2960	1996-02-14	PRIJEM	VKLAD	13326	41063	\N	\N	\N
869156	2960	1996-03-14	PRIJEM	VKLAD	13326	44647	\N	\N	\N
869157	2960	1996-04-14	PRIJEM	VKLAD	13326	44453	\N	\N	\N
869158	2960	1996-05-14	PRIJEM	VKLAD	13326	46662	\N	\N	\N
869159	2960	1996-06-14	PRIJEM	VKLAD	19989	48740	\N	\N	\N
869160	2960	1996-07-14	PRIJEM	VKLAD	13326	48764	\N	\N	\N
869161	2960	1996-08-14	PRIJEM	VKLAD	13326	46889	\N	\N	\N
869162	2960	1996-09-14	PRIJEM	VKLAD	13326	45606	\N	\N	\N
869163	2960	1996-10-14	PRIJEM	VKLAD	13326	37813	\N	\N	\N
869164	2960	1996-11-14	PRIJEM	VKLAD	13326	38487	\N	\N	\N
869165	2960	1996-12-14	PRIJEM	VKLAD	19989	43925	\N	\N	\N
869166	2960	1997-01-14	PRIJEM	VKLAD	13326	37712	\N	\N	\N
869167	2960	1997-02-14	PRIJEM	VKLAD	13326	31569	\N	\N	\N
869168	2960	1997-03-14	PRIJEM	VKLAD	13326	33109	\N	\N	\N
869169	2960	1997-04-14	PRIJEM	VKLAD	13326	31460	\N	\N	\N
869170	2960	1997-05-14	PRIJEM	VKLAD	13326	29003	\N	\N	\N
869171	2960	1997-06-14	PRIJEM	VKLAD	19989	37201	\N	\N	\N
869172	2960	1997-07-14	PRIJEM	VKLAD	13326	35254	\N	\N	\N
869173	2960	1997-08-14	PRIJEM	VKLAD	13326	34814	\N	\N	\N
869174	2960	1997-09-14	PRIJEM	VKLAD	13326	27766	\N	\N	\N
869175	2960	1997-10-14	PRIJEM	VKLAD	13326	27093	\N	\N	\N
869176	2960	1997-11-14	PRIJEM	VKLAD	13326	25816	\N	\N	\N
869177	2960	1997-12-14	PRIJEM	VKLAD	19989	26997	\N	\N	\N
869178	2960	1998-01-14	PRIJEM	VKLAD	13326	19811	\N	\N	\N
869179	2960	1998-02-14	PRIJEM	VKLAD	13326	17799	\N	\N	\N
869180	2960	1998-03-14	PRIJEM	VKLAD	13326	22280	\N	\N	\N
869181	2960	1998-04-14	PRIJEM	VKLAD	13326	18891	\N	\N	\N
869182	2960	1998-05-14	PRIJEM	VKLAD	13326	22580	\N	\N	\N
869183	2960	1998-06-14	PRIJEM	VKLAD	19989	33745	\N	\N	\N
869184	2960	1998-07-14	PRIJEM	VKLAD	13326	38290	\N	\N	\N
869185	2960	1998-08-14	PRIJEM	VKLAD	13326	19164	\N	\N	\N
869186	2960	1998-09-14	PRIJEM	VKLAD	13326	23661	\N	\N	\N
869187	2960	1998-10-14	PRIJEM	VKLAD	13326	28177	\N	\N	\N
869188	2960	1998-11-14	PRIJEM	VKLAD	13326	32711	\N	\N	\N
869189	2960	1998-12-14	PRIJEM	VKLAD	19989	39121	\N	\N	\N
869204	2960	1995-03-05	VYDAJ	PREVOD NA UCET	8884	27334	SIPO	WX	53651827
869205	2960	1995-04-05	VYDAJ	PREVOD NA UCET	8884	23499	SIPO	WX	53651827
869206	2960	1995-05-05	VYDAJ	PREVOD NA UCET	8884	21259	SIPO	WX	53651827
869207	2960	1995-06-05	VYDAJ	PREVOD NA UCET	8884	22116	SIPO	WX	53651827
869208	2960	1995-07-05	VYDAJ	PREVOD NA UCET	8884	25446	SIPO	WX	53651827
869209	2960	1995-08-05	VYDAJ	PREVOD NA UCET	8884	24015	SIPO	WX	53651827
869210	2960	1995-09-05	VYDAJ	PREVOD NA UCET	8884	21275	SIPO	WX	53651827
869211	2960	1995-10-05	VYDAJ	PREVOD NA UCET	8884	21230	SIPO	WX	53651827
869212	2960	1995-11-05	VYDAJ	PREVOD NA UCET	8884	20389	SIPO	WX	53651827
869213	2960	1995-12-05	VYDAJ	PREVOD NA UCET	8884	20528	SIPO	WX	53651827
869214	2960	1996-01-05	VYDAJ	PREVOD NA UCET	8884	29368	SIPO	WX	53651827
869215	2960	1996-02-05	VYDAJ	PREVOD NA UCET	8884	25337	SIPO	WX	53651827
869216	2960	1996-03-05	VYDAJ	PREVOD NA UCET	8884	32321	SIPO	WX	53651827
869217	2960	1996-04-05	VYDAJ	PREVOD NA UCET	8884	35927	SIPO	WX	53651827
869218	2960	1996-05-05	VYDAJ	PREVOD NA UCET	8884	35736	SIPO	WX	53651827
869219	2960	1996-06-05	VYDAJ	PREVOD NA UCET	8884	37951	SIPO	WX	53651827
869220	2960	1996-07-05	VYDAJ	PREVOD NA UCET	8884	40038	SIPO	WX	53651827
869221	2960	1996-08-05	VYDAJ	PREVOD NA UCET	8884	40063	SIPO	WX	53651827
869222	2960	1996-09-05	VYDAJ	PREVOD NA UCET	8884	38180	SIPO	WX	53651827
869223	2960	1996-10-05	VYDAJ	PREVOD NA UCET	8884	29687	SIPO	WX	53651827
869224	2960	1996-11-05	VYDAJ	PREVOD NA UCET	8884	29061	SIPO	WX	53651827
869225	2960	1996-12-05	VYDAJ	PREVOD NA UCET	8884	29736	SIPO	WX	53651827
869226	2960	1997-01-05	VYDAJ	PREVOD NA UCET	8884	32286	SIPO	WX	53651827
869227	2960	1997-02-05	VYDAJ	PREVOD NA UCET	8884	18843	SIPO	WX	53651827
869228	2960	1997-03-05	VYDAJ	PREVOD NA UCET	8884	22783	SIPO	WX	53651827
869229	2960	1997-04-05	VYDAJ	PREVOD NA UCET	8884	21934	SIPO	WX	53651827
869230	2960	1997-05-05	VYDAJ	PREVOD NA UCET	8884	20077	SIPO	WX	53651827
869231	2960	1997-06-05	VYDAJ	PREVOD NA UCET	8884	20212	SIPO	WX	53651827
869232	2960	1997-07-05	VYDAJ	PREVOD NA UCET	8884	28428	SIPO	WX	53651827
869233	2960	1997-08-05	VYDAJ	PREVOD NA UCET	8884	26488	SIPO	WX	53651827
869234	2960	1997-09-05	VYDAJ	PREVOD NA UCET	8884	14440	SIPO	WX	53651827
869235	2960	1997-10-05	VYDAJ	PREVOD NA UCET	8884	13767	SIPO	WX	53651827
869236	2960	1997-11-05	VYDAJ	PREVOD NA UCET	8884	12490	SIPO	WX	53651827
869237	2960	1997-12-05	VYDAJ	PREVOD NA UCET	8884	7008	SIPO	WX	53651827
869238	2960	1998-01-05	VYDAJ	PREVOD NA UCET	8884	6485	SIPO	WX	53651827
869239	2960	1998-02-05	VYDAJ	PREVOD NA UCET	8884	4473	SIPO	WX	53651827
869240	2960	1998-03-05	VYDAJ	PREVOD NA UCET	8884	8954	SIPO	WX	53651827
869241	2960	1998-04-05	VYDAJ	PREVOD NA UCET	8884	5565	SIPO	WX	53651827
869242	2960	1998-05-05	VYDAJ	PREVOD NA UCET	8884	9254	SIPO	WX	53651827
869243	2960	1998-06-05	VYDAJ	PREVOD NA UCET	8884	13756	SIPO	WX	53651827
869244	2960	1998-07-05	VYDAJ	PREVOD NA UCET	8884	24964	SIPO	WX	53651827
869245	2960	1998-08-05	VYDAJ	PREVOD NA UCET	8884	5838	SIPO	WX	53651827
869246	2960	1998-09-05	VYDAJ	PREVOD NA UCET	8884	10335	SIPO	WX	53651827
869247	2960	1998-10-05	VYDAJ	PREVOD NA UCET	8884	14851	SIPO	WX	53651827
869248	2960	1998-11-05	VYDAJ	PREVOD NA UCET	8884	19385	SIPO	WX	53651827
869249	2960	1998-12-05	VYDAJ	PREVOD NA UCET	8884	19132	SIPO	WX	53651827
869252	2960	1996-06-11	VYDAJ	VYBER	11400	28751	\N	\N	\N
869253	2960	1997-06-05	VYDAJ	VYBER	4400	15812	\N	\N	\N
869257	2960	1996-01-18	VYDAJ	VYBER	2400	39194	\N	\N	\N
869258	2960	1997-01-21	VYDAJ	VYBER	3000	28812	\N	\N	\N
869272	2960	1996-01-17	VYDAJ	VYBER	700	41594	\N	\N	\N
869273	2960	1996-01-05	VYDAJ	VYBER	2700	26668	\N	\N	\N
869274	2960	1996-01-30	VYDAJ	VYBER	2600	34094	\N	\N	\N
869275	2960	1996-01-23	VYDAJ	VYBER	2500	36694	\N	\N	\N
869276	2960	1996-01-06	VYDAJ	VYBER	2800	23868	\N	\N	\N
869277	2960	1996-01-10	VYDAJ	VYBER	2900	20968	\N	\N	\N
869278	2960	1997-01-20	VYDAJ	VYBER	2300	31812	\N	\N	\N
869279	2960	1997-01-05	VYDAJ	VYBER	900	31386	\N	\N	\N
869280	2960	1997-01-16	VYDAJ	VYBER	700	37012	\N	\N	\N
869281	2960	1997-01-26	VYDAJ	VYBER	1200	27612	\N	\N	\N
869282	2960	1997-01-11	VYDAJ	VYBER	2800	24386	\N	\N	\N
869283	2960	1997-01-19	VYDAJ	VYBER	2900	34112	\N	\N	\N
869284	2960	1998-01-03	VYDAJ	VYBER	1700	15369	\N	\N	\N
869285	2960	1998-01-26	VYDAJ	VYBER	2300	17511	\N	\N	\N
869287	2960	1998-01-28	VYDAJ	VYBER	1700	15811	\N	\N	\N
869288	2960	1998-01-02	VYDAJ	VYBER	2000	17069	\N	\N	\N
869293	2960	1995-10-28	VYDAJ	VYBER	4600	29156	\N	\N	\N
869294	2960	1995-11-08	VYDAJ	VYBER	3100	17289	\N	\N	\N
869295	2960	1995-09-30	VYDAJ	VYBER	800	30128	\N	\N	\N
869296	2960	1995-03-07	VYDAJ	VYBER	1000	26334	\N	\N	\N
869297	2960	1996-10-01	VYDAJ	VYBER	4200	38571	\N	\N	\N
869298	2960	1996-12-27	VYDAJ	VYBER	2900	41025	\N	\N	\N
869299	2960	1996-09-25	VYDAJ	VYBER	3000	42606	\N	\N	\N
869302	2960	1997-03-28	VYDAJ	VYBER	2400	30709	\N	\N	\N
869303	2960	1997-04-30	VYDAJ	VYBER	2600	28976	\N	\N	\N
869304	2960	1997-08-24	VYDAJ	VYBER	3400	31414	\N	\N	\N
869305	2960	1997-07-07	VYDAJ	VYBER	3500	21928	\N	\N	\N
869307	2960	1998-05-03	VYDAJ	VYBER	800	18138	\N	\N	\N
869308	2960	1998-11-21	VYDAJ	VYBER	4800	27911	\N	\N	\N
869310	2960	1998-12-20	VYDAJ	VYBER	3300	35821	\N	\N	\N
869325	2960	1995-02-28	VYDAJ	VYBER	15	36218	SLUZBY	\N	\N
869326	2960	1995-03-31	VYDAJ	VYBER	15	32383	SLUZBY	\N	\N
869327	2960	1995-04-30	VYDAJ	VYBER	15	30143	SLUZBY	\N	\N
869328	2960	1995-05-31	VYDAJ	VYBER	15	31000	SLUZBY	\N	\N
869329	2960	1995-06-30	VYDAJ	VYBER	15	34330	SLUZBY	\N	\N
869330	2960	1995-07-31	VYDAJ	VYBER	15	32899	SLUZBY	\N	\N
869331	2960	1995-08-31	VYDAJ	VYBER	15	30159	SLUZBY	\N	\N
869332	2960	1995-09-30	VYDAJ	VYBER	15	30114	SLUZBY	\N	\N
869333	2960	1995-10-31	VYDAJ	VYBER	15	29273	SLUZBY	\N	\N
869334	2960	1995-11-30	VYDAJ	VYBER	15	29412	SLUZBY	\N	\N
869335	2960	1995-12-31	VYDAJ	VYBER	15	38252	SLUZBY	\N	\N
869336	2960	1996-01-31	VYDAJ	VYBER	15	34221	SLUZBY	\N	\N
869337	2960	1996-02-29	VYDAJ	VYBER	15	41205	SLUZBY	\N	\N
869338	2960	1996-03-31	VYDAJ	VYBER	15	44811	SLUZBY	\N	\N
869339	2960	1996-04-30	VYDAJ	VYBER	15	44620	SLUZBY	\N	\N
869340	2960	1996-05-31	VYDAJ	VYBER	15	46835	SLUZBY	\N	\N
869341	2960	1996-06-30	VYDAJ	VYBER	15	48922	SLUZBY	\N	\N
869342	2960	1996-07-31	VYDAJ	VYBER	15	48947	SLUZBY	\N	\N
869343	2960	1996-08-31	VYDAJ	VYBER	15	47064	SLUZBY	\N	\N
869344	2960	1996-09-30	VYDAJ	VYBER	15	42771	SLUZBY	\N	\N
869345	2960	1996-10-31	VYDAJ	VYBER	15	37945	SLUZBY	\N	\N
869346	2960	1996-11-30	VYDAJ	VYBER	15	38620	SLUZBY	\N	\N
869347	2960	1996-12-31	VYDAJ	VYBER	15	41170	SLUZBY	\N	\N
869348	2960	1997-01-31	VYDAJ	VYBER	15	27727	SLUZBY	\N	\N
869349	2960	1997-02-28	VYDAJ	VYBER	15	31667	SLUZBY	\N	\N
869350	2960	1997-03-31	VYDAJ	VYBER	15	30818	SLUZBY	\N	\N
869351	2960	1997-04-30	VYDAJ	VYBER	15	28961	SLUZBY	\N	\N
869352	2960	1997-05-31	VYDAJ	VYBER	15	29096	SLUZBY	\N	\N
869353	2960	1997-06-30	VYDAJ	VYBER	15	37312	SLUZBY	\N	\N
869354	2960	1997-07-31	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
869355	2960	1997-08-31	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
869356	2960	1997-09-30	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
869357	2960	1997-10-31	VYDAJ	VYBER	15	27174	SLUZBY	\N	\N
869358	2960	1997-11-30	VYDAJ	VYBER	15	25892	SLUZBY	\N	\N
869359	2960	1997-12-31	VYDAJ	VYBER	15	27069	SLUZBY	\N	\N
869360	2960	1998-01-31	VYDAJ	VYBER	15	15857	SLUZBY	\N	\N
869361	2960	1998-02-28	VYDAJ	VYBER	15	17838	SLUZBY	\N	\N
869362	2960	1998-03-31	VYDAJ	VYBER	15	22349	SLUZBY	\N	\N
869363	2960	1998-04-30	VYDAJ	VYBER	15	18938	SLUZBY	\N	\N
869364	2960	1998-05-31	VYDAJ	VYBER	15	22640	SLUZBY	\N	\N
869365	2960	1998-06-30	VYDAJ	VYBER	15	33848	SLUZBY	\N	\N
869366	2960	1998-07-31	VYDAJ	VYBER	15	38422	SLUZBY	\N	\N
869367	2960	1998-08-31	VYDAJ	VYBER	15	19219	SLUZBY	\N	\N
869368	2960	1998-09-30	VYDAJ	VYBER	15	23735	SLUZBY	\N	\N
869369	2960	1998-10-31	VYDAJ	VYBER	15	28269	SLUZBY	\N	\N
869370	2960	1998-11-30	VYDAJ	VYBER	15	28016	SLUZBY	\N	\N
869371	2960	1994-10-20	PRIJEM	VKLAD	4400	18826	\N	\N	\N
869372	2960	1994-11-19	VYDAJ	VYBER	4900	27282	\N	\N	\N
869373	2960	1994-12-19	VYDAJ	VYBER	12600	34764	\N	\N	\N
869374	2960	1995-01-18	VYDAJ	VYBER	13900	34317	\N	\N	\N
869375	2960	1995-02-17	VYDAJ	VYBER	11700	36087	\N	\N	\N
869376	2960	1995-03-19	VYDAJ	VYBER	7400	32260	\N	\N	\N
869377	2960	1995-04-18	VYDAJ	VYBER	6800	30025	\N	\N	\N
869378	2960	1995-05-18	VYDAJ	VYBER	3700	30885	\N	\N	\N
869379	2960	1995-06-17	VYDAJ	VYBER	7900	34205	\N	\N	\N
869380	2960	1995-07-17	VYDAJ	VYBER	6000	32772	\N	\N	\N
869381	2960	1995-08-16	VYDAJ	VYBER	7300	30041	\N	\N	\N
869382	2960	1995-09-15	VYDAJ	VYBER	3800	30801	\N	\N	\N
869383	2960	1995-10-15	VYDAJ	VYBER	800	33756	\N	\N	\N
869384	2960	1995-11-14	VYDAJ	VYBER	1300	29315	\N	\N	\N
869385	2960	1995-12-14	VYDAJ	VYBER	2400	38117	\N	\N	\N
869386	2960	1996-01-13	PRIJEM	VKLAD	8000	28968	\N	\N	\N
869387	2960	1996-02-12	PRIJEM	VKLAD	2400	27737	\N	\N	\N
869388	2960	1996-03-13	VYDAJ	VYBER	1000	31321	\N	\N	\N
869389	2960	1996-04-12	VYDAJ	VYBER	4800	31127	\N	\N	\N
869390	2960	1996-05-12	VYDAJ	VYBER	2400	33336	\N	\N	\N
869391	2960	1996-06-11	PRIJEM	VKLAD	2200	40151	\N	\N	\N
869392	2960	1996-07-11	VYDAJ	VYBER	4600	35438	\N	\N	\N
869393	2960	1996-08-10	VYDAJ	VYBER	6500	33563	\N	\N	\N
869394	2960	1996-09-09	VYDAJ	VYBER	5900	32280	\N	\N	\N
869395	2960	1996-10-09	VYDAJ	VYBER	5200	24487	\N	\N	\N
869396	2960	1996-11-08	VYDAJ	VYBER	3900	25161	\N	\N	\N
869397	2960	1996-12-08	VYDAJ	VYBER	5800	23936	\N	\N	\N
869398	2960	1997-01-07	VYDAJ	VYBER	4200	27186	\N	\N	\N
869399	2960	1997-02-06	VYDAJ	VYBER	600	18243	\N	\N	\N
869400	2960	1997-03-08	VYDAJ	VYBER	3000	19783	\N	\N	\N
869401	2960	1997-04-07	VYDAJ	VYBER	3800	18134	\N	\N	\N
869402	2960	1997-05-07	VYDAJ	VYBER	4400	15677	\N	\N	\N
869403	2960	1997-06-06	PRIJEM	VKLAD	1400	17212	\N	\N	\N
869404	2960	1997-07-06	VYDAJ	VYBER	3000	25428	\N	\N	\N
869405	2960	1997-08-05	VYDAJ	VYBER	5000	21488	\N	\N	\N
869406	2960	1997-09-04	VYDAJ	VYBER	8200	23324	\N	\N	\N
869407	2960	1997-10-04	VYDAJ	VYBER	5200	22651	\N	\N	\N
869408	2960	1997-11-03	VYDAJ	VYBER	5800	21374	\N	\N	\N
869409	2960	1997-12-03	VYDAJ	VYBER	10000	15892	\N	\N	\N
869410	2960	1998-01-02	VYDAJ	VYBER	8000	19069	\N	\N	\N
869411	2960	1998-02-01	VYDAJ	VYBER	2500	13357	\N	\N	\N
869412	2960	1998-04-02	VYDAJ	VYBER	7900	14449	\N	\N	\N
869413	2960	1998-07-31	VYDAJ	VYBER	23700	14722	\N	\N	\N
869466	2961	1996-07-12	PRIJEM	VKLAD	400	400	\N	\N	\N
869474	2961	1996-08-09	PRIJEM	PREVOD Z UCTU	5012	5412	DUCHOD	IJ	11814129
869475	2961	1996-09-09	PRIJEM	PREVOD Z UCTU	5012	10424	DUCHOD	IJ	11814129
869476	2961	1996-10-09	PRIJEM	PREVOD Z UCTU	5012	15436	DUCHOD	IJ	11814129
869477	2961	1996-11-09	PRIJEM	PREVOD Z UCTU	5012	20448	DUCHOD	IJ	11814129
869478	2961	1996-12-09	PRIJEM	PREVOD Z UCTU	5012	25460	DUCHOD	IJ	11814129
869479	2961	1997-01-09	PRIJEM	PREVOD Z UCTU	5012	25163	DUCHOD	IJ	11814129
869480	2961	1997-02-09	PRIJEM	PREVOD Z UCTU	5012	19677	DUCHOD	IJ	11814129
869481	2961	1997-03-09	PRIJEM	PREVOD Z UCTU	5012	23089	DUCHOD	IJ	11814129
869482	2961	1997-04-09	PRIJEM	PREVOD Z UCTU	5012	26036	DUCHOD	IJ	11814129
869483	2961	1997-05-09	PRIJEM	PREVOD Z UCTU	5012	29474	DUCHOD	IJ	11814129
869484	2961	1997-06-09	PRIJEM	PREVOD Z UCTU	5012	32928	DUCHOD	IJ	11814129
869485	2961	1997-07-09	PRIJEM	PREVOD Z UCTU	5012	25114	DUCHOD	IJ	11814129
869486	2961	1997-08-09	PRIJEM	PREVOD Z UCTU	5012	28549	DUCHOD	IJ	11814129
869487	2961	1997-09-09	PRIJEM	PREVOD Z UCTU	5012	28639	DUCHOD	IJ	11814129
869488	2961	1997-10-09	PRIJEM	PREVOD Z UCTU	5012	30091	DUCHOD	IJ	11814129
869489	2961	1997-11-09	PRIJEM	PREVOD Z UCTU	5012	28149	DUCHOD	IJ	11814129
869490	2961	1997-12-09	PRIJEM	PREVOD Z UCTU	5012	28539	DUCHOD	IJ	11814129
869491	2961	1998-01-09	PRIJEM	PREVOD Z UCTU	5012	24893	DUCHOD	IJ	11814129
869492	2961	1998-02-09	PRIJEM	PREVOD Z UCTU	5012	23021	DUCHOD	IJ	11814129
869493	2961	1998-03-09	PRIJEM	PREVOD Z UCTU	5012	24927	DUCHOD	IJ	11814129
869494	2961	1998-04-09	PRIJEM	PREVOD Z UCTU	5012	25158	DUCHOD	IJ	11814129
869495	2961	1998-05-09	PRIJEM	PREVOD Z UCTU	5012	28593	DUCHOD	IJ	11814129
869496	2961	1998-06-09	PRIJEM	PREVOD Z UCTU	5012	20842	DUCHOD	IJ	11814129
869497	2961	1998-07-09	PRIJEM	PREVOD Z UCTU	5012	24264	DUCHOD	IJ	11814129
869498	2961	1998-08-09	PRIJEM	PREVOD Z UCTU	5012	27695	DUCHOD	IJ	11814129
869499	2961	1998-09-09	PRIJEM	PREVOD Z UCTU	5012	31141	DUCHOD	IJ	11814129
869500	2961	1998-10-09	PRIJEM	PREVOD Z UCTU	5012	32279	DUCHOD	IJ	11814129
869501	2961	1998-11-09	PRIJEM	PREVOD Z UCTU	5012	30442	DUCHOD	IJ	11814129
869502	2961	1998-12-09	PRIJEM	PREVOD Z UCTU	5012	33899	DUCHOD	IJ	11814129
869514	2961	1996-12-12	VYDAJ	PREVOD NA UCET	606	24854	SIPO	AB	60457706
869515	2961	1997-01-12	VYDAJ	PREVOD NA UCET	606	24557	SIPO	AB	60457706
869516	2961	1997-02-12	VYDAJ	PREVOD NA UCET	606	19071	SIPO	AB	60457706
869517	2961	1997-03-12	VYDAJ	PREVOD NA UCET	606	22483	SIPO	AB	60457706
869518	2961	1997-04-12	VYDAJ	PREVOD NA UCET	606	25430	SIPO	AB	60457706
869519	2961	1997-05-12	VYDAJ	PREVOD NA UCET	606	28868	SIPO	AB	60457706
869520	2961	1997-06-12	VYDAJ	PREVOD NA UCET	606	21072	SIPO	AB	60457706
869521	2961	1997-07-12	VYDAJ	PREVOD NA UCET	606	24508	SIPO	AB	60457706
869522	2961	1997-08-12	VYDAJ	PREVOD NA UCET	606	27943	SIPO	AB	60457706
869523	2961	1997-09-12	VYDAJ	PREVOD NA UCET	606	28033	SIPO	AB	60457706
869524	2961	1997-10-12	VYDAJ	PREVOD NA UCET	606	29485	SIPO	AB	60457706
869525	2961	1997-11-12	VYDAJ	PREVOD NA UCET	606	27543	SIPO	AB	60457706
869526	2961	1997-12-12	VYDAJ	PREVOD NA UCET	606	27933	SIPO	AB	60457706
869527	2961	1998-01-12	VYDAJ	PREVOD NA UCET	606	23567	SIPO	AB	60457706
869528	2961	1998-02-12	VYDAJ	PREVOD NA UCET	606	22415	SIPO	AB	60457706
869529	2961	1998-03-12	VYDAJ	PREVOD NA UCET	606	24321	SIPO	AB	60457706
869530	2961	1998-04-12	VYDAJ	PREVOD NA UCET	606	24552	SIPO	AB	60457706
869531	2961	1998-05-12	VYDAJ	PREVOD NA UCET	606	27987	SIPO	AB	60457706
869532	2961	1998-06-12	VYDAJ	PREVOD NA UCET	606	20236	SIPO	AB	60457706
869533	2961	1998-07-12	VYDAJ	PREVOD NA UCET	606	23658	SIPO	AB	60457706
869534	2961	1998-08-12	VYDAJ	PREVOD NA UCET	606	27089	SIPO	AB	60457706
869535	2961	1998-09-12	VYDAJ	PREVOD NA UCET	606	30535	SIPO	AB	60457706
869536	2961	1998-10-12	VYDAJ	PREVOD NA UCET	606	31673	SIPO	AB	60457706
869537	2961	1998-11-12	VYDAJ	PREVOD NA UCET	606	29836	SIPO	AB	60457706
869538	2961	1998-12-12	VYDAJ	PREVOD NA UCET	606	33293	SIPO	AB	60457706
869551	2961	1997-01-08	VYDAJ	PREVOD NA UCET	1055	21991	 	AB	11433631
869552	2961	1997-02-08	VYDAJ	PREVOD NA UCET	1055	14665	 	AB	11433631
869553	2961	1997-03-08	VYDAJ	PREVOD NA UCET	1055	18077	 	AB	11433631
869554	2961	1997-04-08	VYDAJ	PREVOD NA UCET	1055	21024	 	AB	11433631
869555	2961	1997-05-08	VYDAJ	PREVOD NA UCET	1055	24462	 	AB	11433631
869556	2961	1997-06-08	VYDAJ	PREVOD NA UCET	1055	27916	 	AB	11433631
869557	2961	1997-07-08	VYDAJ	PREVOD NA UCET	1055	20102	 	AB	11433631
869558	2961	1997-08-08	VYDAJ	PREVOD NA UCET	1055	23537	 	AB	11433631
869559	2961	1997-09-08	VYDAJ	PREVOD NA UCET	1055	23627	 	AB	11433631
869560	2961	1997-10-08	VYDAJ	PREVOD NA UCET	1055	25079	 	AB	11433631
869561	2961	1997-11-08	VYDAJ	PREVOD NA UCET	1055	23137	 	AB	11433631
869562	2961	1997-12-08	VYDAJ	PREVOD NA UCET	1055	23527	 	AB	11433631
869563	2961	1998-01-08	VYDAJ	PREVOD NA UCET	1055	19881	 	AB	11433631
869564	2961	1998-02-08	VYDAJ	PREVOD NA UCET	1055	18009	 	AB	11433631
869565	2961	1998-03-08	VYDAJ	PREVOD NA UCET	1055	19915	 	AB	11433631
869566	2961	1998-04-08	VYDAJ	PREVOD NA UCET	1055	20146	 	AB	11433631
869567	2961	1998-05-08	VYDAJ	PREVOD NA UCET	1055	23581	 	AB	11433631
869568	2961	1998-06-08	VYDAJ	PREVOD NA UCET	1055	15830	 	AB	11433631
869569	2961	1998-07-08	VYDAJ	PREVOD NA UCET	1055	19252	 	AB	11433631
869570	2961	1998-08-08	VYDAJ	PREVOD NA UCET	1055	22683	 	AB	11433631
869571	2961	1998-09-08	VYDAJ	PREVOD NA UCET	1055	26129	 	AB	11433631
869572	2961	1998-10-08	VYDAJ	PREVOD NA UCET	1055	27267	 	AB	11433631
869573	2961	1998-11-08	VYDAJ	PREVOD NA UCET	1055	25430	 	AB	11433631
869574	2961	1998-12-08	VYDAJ	PREVOD NA UCET	1055	28887	 	AB	11433631
869576	2961	1997-06-11	VYDAJ	VYBER	11250	21678	\N	\N	\N
869577	2961	1998-06-04	VYDAJ	VYBER	10800	16885	\N	\N	\N
869579	2961	1997-01-17	VYDAJ	VYBER	2750	21807	\N	\N	\N
869580	2961	1998-01-23	VYDAJ	VYBER	2100	19387	\N	\N	\N
869581	2961	1996-12-28	VYDAJ	VYBER	1300	23554	\N	\N	\N
869582	2961	1997-12-26	VYDAJ	VYBER	450	24283	\N	\N	\N
869583	2961	1998-12-28	VYDAJ	VYBER	900	32393	\N	\N	\N
869590	2961	1997-01-29	VYDAJ	VYBER	880	15647	\N	\N	\N
869591	2961	1997-01-21	VYDAJ	VYBER	1760	17887	\N	\N	\N
869592	2961	1997-01-03	VYDAJ	VYBER	560	23046	\N	\N	\N
869593	2961	1997-01-20	VYDAJ	VYBER	2160	19647	\N	\N	\N
869594	2961	1997-01-25	VYDAJ	VYBER	1360	16527	\N	\N	\N
869595	2961	1997-01-08	VYDAJ	VYBER	1840	20151	\N	\N	\N
869596	2961	1998-01-30	VYDAJ	VYBER	400	18987	\N	\N	\N
869597	2961	1998-01-07	VYDAJ	VYBER	1760	20936	\N	\N	\N
869598	2961	1998-01-01	VYDAJ	VYBER	1120	23256	\N	\N	\N
869599	2961	1998-01-10	VYDAJ	VYBER	720	24173	\N	\N	\N
869600	2961	1998-01-17	VYDAJ	VYBER	2080	21487	\N	\N	\N
869601	2961	1998-01-05	VYDAJ	VYBER	560	22696	\N	\N	\N
869606	2961	1997-03-30	VYDAJ	VYBER	480	22003	\N	\N	\N
869607	2961	1997-11-25	VYDAJ	VYBER	2960	24583	\N	\N	\N
869608	2961	1997-09-07	VYDAJ	VYBER	3360	24682	\N	\N	\N
869609	2961	1997-12-21	VYDAJ	VYBER	3200	24733	\N	\N	\N
869610	2961	1998-03-22	VYDAJ	VYBER	3200	21121	\N	\N	\N
869611	2961	1998-09-12	VYDAJ	VYBER	720	29815	\N	\N	\N
869612	2961	1998-03-04	VYDAJ	VYBER	1520	20970	\N	\N	\N
869625	2961	1996-12-31	VYDAJ	VYBER	15	23606	SLUZBY	\N	\N
869626	2961	1997-01-31	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
869627	2961	1997-02-28	VYDAJ	VYBER	15	19132	SLUZBY	\N	\N
869628	2961	1997-03-31	VYDAJ	VYBER	15	22079	SLUZBY	\N	\N
869629	2961	1997-04-30	VYDAJ	VYBER	15	25517	SLUZBY	\N	\N
869630	2961	1997-05-31	VYDAJ	VYBER	15	28971	SLUZBY	\N	\N
869631	2961	1997-06-30	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
869632	2961	1997-07-31	VYDAJ	VYBER	15	24592	SLUZBY	\N	\N
869633	2961	1997-08-31	VYDAJ	VYBER	15	28042	SLUZBY	\N	\N
869634	2961	1997-09-30	VYDAJ	VYBER	15	28134	SLUZBY	\N	\N
869635	2961	1997-10-31	VYDAJ	VYBER	15	29592	SLUZBY	\N	\N
869636	2961	1997-11-30	VYDAJ	VYBER	15	24682	SLUZBY	\N	\N
869637	2961	1997-12-31	VYDAJ	VYBER	15	24376	SLUZBY	\N	\N
869638	2961	1998-01-31	VYDAJ	VYBER	15	19064	SLUZBY	\N	\N
869639	2961	1998-02-28	VYDAJ	VYBER	15	22490	SLUZBY	\N	\N
869640	2961	1998-03-31	VYDAJ	VYBER	15	21201	SLUZBY	\N	\N
869641	2961	1998-04-30	VYDAJ	VYBER	15	24636	SLUZBY	\N	\N
869642	2961	1998-05-31	VYDAJ	VYBER	15	28085	SLUZBY	\N	\N
869643	2961	1998-06-30	VYDAJ	VYBER	15	20307	SLUZBY	\N	\N
869644	2961	1998-07-31	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
869645	2961	1998-08-31	VYDAJ	VYBER	15	27184	SLUZBY	\N	\N
869646	2961	1998-09-30	VYDAJ	VYBER	15	28322	SLUZBY	\N	\N
869647	2961	1998-10-31	VYDAJ	VYBER	15	26485	SLUZBY	\N	\N
869648	2961	1998-11-30	VYDAJ	VYBER	15	29942	SLUZBY	\N	\N
869649	2961	1997-10-05	VYDAJ	VYBER	2000	26134	\N	\N	\N
869650	2961	1997-11-04	VYDAJ	VYBER	5400	24192	\N	\N	\N
869651	2961	1997-12-04	VYDAJ	VYBER	100	24582	\N	\N	\N
869652	2961	1998-06-02	VYDAJ	VYBER	400	27685	\N	\N	\N
869653	2961	1998-09-30	VYDAJ	VYBER	1600	28336	\N	\N	\N
869654	2961	1998-10-30	VYDAJ	VYBER	5300	26373	\N	\N	\N
869680	2962	1993-05-30	PRIJEM	VKLAD	1000	1000	\N	\N	\N
869683	2962	1993-09-20	PRIJEM	VKLAD	11147	41959	\N	\N	\N
869684	2962	1993-12-18	PRIJEM	VKLAD	39061	94484	\N	\N	\N
869685	2962	1993-06-16	PRIJEM	VKLAD	19764	64116	\N	\N	\N
869686	2962	1993-12-08	PRIJEM	VKLAD	43945	72444	\N	\N	\N
869690	2962	1993-06-11	PRIJEM	VKLAD	43352	44352	\N	\N	\N
869691	2962	1993-09-20	PRIJEM	VKLAD	21270	63229	\N	\N	\N
869693	2962	1994-10-31	PRIJEM	VKLAD	18553	65886	\N	\N	\N
869694	2962	1994-06-07	PRIJEM	VKLAD	29438	86249	\N	\N	\N
869695	2962	1994-07-14	PRIJEM	VKLAD	45454	144715	\N	\N	\N
869696	2962	1994-05-13	PRIJEM	VKLAD	14576	52606	\N	\N	\N
869697	2962	1994-08-06	PRIJEM	VKLAD	28966	96739	\N	\N	\N
869698	2962	1994-02-02	PRIJEM	VKLAD	21596	41882	\N	\N	\N
869699	2962	1994-05-23	PRIJEM	VKLAD	5863	94010	\N	\N	\N
869700	2962	1994-06-26	PRIJEM	VKLAD	27090	97643	\N	\N	\N
869701	2962	1994-05-23	PRIJEM	VKLAD	41088	135098	\N	\N	\N
869702	2962	1994-07-09	PRIJEM	VKLAD	36168	99261	\N	\N	\N
869703	2962	1994-12-20	PRIJEM	VKLAD	6268	53922	\N	\N	\N
869704	2962	1994-02-26	PRIJEM	VKLAD	24103	83590	\N	\N	\N
869705	2962	1994-05-28	PRIJEM	VKLAD	44482	94280	\N	\N	\N
869706	2962	1994-06-25	PRIJEM	VKLAD	24219	70553	\N	\N	\N
869707	2962	1994-02-19	PRIJEM	VKLAD	11272	88987	\N	\N	\N
869708	2962	1994-02-11	PRIJEM	VKLAD	47033	86115	\N	\N	\N
869709	2962	1994-04-16	PRIJEM	VKLAD	6914	49457	\N	\N	\N
869710	2962	1994-10-26	PRIJEM	VKLAD	10645	48833	\N	\N	\N
869711	2962	1994-06-13	PRIJEM	VKLAD	19930	106179	\N	\N	\N
869712	2962	1994-06-05	PRIJEM	VKLAD	42377	133611	\N	\N	\N
869713	2962	1994-08-25	PRIJEM	VKLAD	31854	91093	\N	\N	\N
869714	2962	1994-12-12	PRIJEM	VKLAD	26668	49454	\N	\N	\N
869715	2962	1994-09-03	PRIJEM	VKLAD	43249	132771	\N	\N	\N
869716	2962	1994-12-26	PRIJEM	VKLAD	19210	60032	\N	\N	\N
869717	2962	1994-07-15	PRIJEM	VKLAD	20973	138988	\N	\N	\N
869718	2962	1994-05-14	PRIJEM	VKLAD	42341	94947	\N	\N	\N
869719	2962	1995-06-25	PRIJEM	VKLAD	17634	64332	\N	\N	\N
869720	2962	1995-02-23	PRIJEM	VKLAD	6088	49775	\N	\N	\N
869721	2962	1995-08-23	PRIJEM	VKLAD	48349	80532	\N	\N	\N
869722	2962	1995-03-04	PRIJEM	VKLAD	11756	61729	\N	\N	\N
869723	2962	1995-10-23	PRIJEM	VKLAD	47438	100117	\N	\N	\N
869724	2962	1995-04-27	PRIJEM	VKLAD	31266	90045	\N	\N	\N
869725	2962	1995-01-17	PRIJEM	VKLAD	22397	86998	\N	\N	\N
869726	2962	1995-04-16	PRIJEM	VKLAD	25202	92979	\N	\N	\N
869727	2962	1995-09-05	PRIJEM	VKLAD	6604	79836	\N	\N	\N
869728	2962	1995-03-28	PRIJEM	VKLAD	7102	34895	\N	\N	\N
869729	2962	1995-04-13	PRIJEM	VKLAD	15026	67777	\N	\N	\N
869730	2962	1995-05-15	PRIJEM	VKLAD	49787	137460	\N	\N	\N
869731	2962	1995-11-05	PRIJEM	VKLAD	11169	112151	\N	\N	\N
869732	2962	1995-10-09	PRIJEM	VKLAD	32935	81883	\N	\N	\N
869733	2962	1995-04-04	PRIJEM	VKLAD	20282	55355	\N	\N	\N
869734	2962	1995-06-26	PRIJEM	VKLAD	31918	96250	\N	\N	\N
869735	2962	1995-12-21	PRIJEM	VKLAD	28811	93643	\N	\N	\N
869736	2962	1995-10-27	PRIJEM	VKLAD	42869	142986	\N	\N	\N
869737	2962	1995-01-02	PRIJEM	VKLAD	30100	88805	\N	\N	\N
869738	2962	1995-12-19	PRIJEM	VKLAD	34020	64832	\N	\N	\N
869739	2962	1995-02-06	PRIJEM	VKLAD	36348	79092	\N	\N	\N
869740	2962	1996-02-25	PRIJEM	VKLAD	40710	68872	\N	\N	\N
869741	2962	1996-08-07	PRIJEM	VKLAD	14224	43589	\N	\N	\N
869742	2962	1997-03-01	PRIJEM	VKLAD	42242	87204	\N	\N	\N
869743	2962	1997-02-10	PRIJEM	VKLAD	5283	46547	\N	\N	\N
869744	2962	1997-09-04	PRIJEM	VKLAD	20623	124837	\N	\N	\N
869745	2962	1997-09-26	PRIJEM	VKLAD	27913	126303	\N	\N	\N
869746	2962	1997-06-29	PRIJEM	VKLAD	19091	52489	\N	\N	\N
869747	2962	1997-09-17	PRIJEM	VKLAD	12299	98390	\N	\N	\N
869748	2962	1997-11-16	PRIJEM	VKLAD	42152	108434	\N	\N	\N
869749	2962	1997-07-10	PRIJEM	VKLAD	27131	76830	\N	\N	\N
869750	2962	1997-04-21	PRIJEM	VKLAD	16136	51053	\N	\N	\N
869751	2962	1997-07-23	PRIJEM	VKLAD	22488	99318	\N	\N	\N
869752	2962	1997-05-30	PRIJEM	VKLAD	14895	74705	\N	\N	\N
869753	2962	1997-09-10	PRIJEM	VKLAD	16173	68010	\N	\N	\N
869754	2962	1997-03-16	PRIJEM	VKLAD	46759	90683	\N	\N	\N
869755	2962	1997-02-12	PRIJEM	VKLAD	21283	67830	\N	\N	\N
869756	2962	1997-07-07	PRIJEM	VKLAD	32739	82799	\N	\N	\N
869757	2962	1997-05-29	PRIJEM	VKLAD	30042	59810	\N	\N	\N
869758	2962	1997-09-10	PRIJEM	VKLAD	20981	88991	\N	\N	\N
869759	2962	1997-11-14	PRIJEM	VKLAD	8880	66282	\N	\N	\N
869760	2962	1997-07-27	PRIJEM	VKLAD	7466	106784	\N	\N	\N
869761	2962	1997-02-08	PRIJEM	VKLAD	39756	68906	\N	\N	\N
869762	2962	1997-08-28	PRIJEM	VKLAD	37966	103902	\N	\N	\N
869763	2962	1997-10-30	PRIJEM	VKLAD	22743	117246	\N	\N	\N
869764	2962	1997-08-08	PRIJEM	VKLAD	6246	65936	\N	\N	\N
869765	2962	1997-12-23	PRIJEM	VKLAD	19849	59057	\N	\N	\N
869766	2962	1997-11-18	PRIJEM	VKLAD	48516	156950	\N	\N	\N
869767	2962	1997-01-05	PRIJEM	VKLAD	25102	44153	\N	\N	\N
869768	2962	1997-10-08	PRIJEM	VKLAD	49138	96003	\N	\N	\N
869769	2962	1998-03-03	PRIJEM	VKLAD	27311	115827	\N	\N	\N
869770	2962	1998-03-26	PRIJEM	VKLAD	28962	71838	\N	\N	\N
869771	2962	1998-10-24	PRIJEM	VKLAD	47480	78092	\N	\N	\N
869772	2962	1998-08-06	PRIJEM	VKLAD	44567	71518	\N	\N	\N
869773	2962	1998-02-24	PRIJEM	VKLAD	44681	88292	\N	\N	\N
869774	2962	1998-01-25	PRIJEM	VKLAD	35216	69436	\N	\N	\N
869775	2962	1998-05-18	PRIJEM	VKLAD	13104	41105	\N	\N	\N
869787	2962	1993-12-07	VYDAJ	VYBER	2200	28499	\N	\N	0
869788	2962	1994-01-10	VYDAJ	VYBER	2400	43645	\N	\N	0
869789	2962	1994-02-05	VYDAJ	VYBER	2800	39082	\N	\N	0
869790	2962	1994-03-19	VYDAJ	VYBER	2300	61760	\N	\N	0
869791	2962	1994-04-09	VYDAJ	VYBER	2700	42543	\N	\N	0
869792	2962	1994-05-18	VYDAJ	VYBER	2900	92047	\N	\N	0
869793	2962	1994-06-03	VYDAJ	VYBER	3300	91234	\N	\N	0
869794	2962	1994-07-05	VYDAJ	VYBER	3800	63093	\N	\N	0
869795	2962	1994-08-11	VYDAJ	VYBER	2800	93939	\N	\N	0
869796	2962	1994-09-01	VYDAJ	VYBER	1900	89522	\N	\N	0
869797	2962	1994-10-05	VYDAJ	VYBER	2600	48988	\N	\N	0
869798	2962	1994-11-17	VYDAJ	VYBER	2700	49578	\N	\N	0
869799	2962	1994-12-23	VYDAJ	VYBER	1600	40822	\N	\N	0
869800	2962	1995-01-12	VYDAJ	PREVOD NA UCET	2605	64601	UVER	YZ	75064962
869801	2962	1995-02-12	VYDAJ	PREVOD NA UCET	2605	76487	UVER	YZ	75064962
869802	2962	1995-03-12	VYDAJ	PREVOD NA UCET	2605	59124	UVER	YZ	75064962
869803	2962	1995-04-12	VYDAJ	PREVOD NA UCET	2605	52751	UVER	YZ	75064962
869804	2962	1995-05-12	VYDAJ	PREVOD NA UCET	2605	87673	UVER	YZ	75064962
869805	2962	1995-06-12	VYDAJ	PREVOD NA UCET	2605	68198	UVER	YZ	75064962
869806	2962	1995-07-12	VYDAJ	PREVOD NA UCET	2605	93922	UVER	YZ	75064962
869807	2962	1995-08-12	VYDAJ	PREVOD NA UCET	2605	33383	UVER	YZ	75064962
869808	2962	1995-09-12	VYDAJ	PREVOD NA UCET	2605	77231	UVER	YZ	75064962
869809	2962	1995-10-12	VYDAJ	PREVOD NA UCET	2605	79279	UVER	YZ	75064962
869810	2962	1995-11-12	VYDAJ	PREVOD NA UCET	2605	75746	UVER	YZ	75064962
869811	2962	1995-12-12	VYDAJ	PREVOD NA UCET	2605	29112	UVER	YZ	75064962
869812	2962	1996-01-14	VYDAJ	VYBER	2200	57763	\N	\N	0
869813	2962	1996-01-25	VYDAJ	VYBER	2000	25463	\N	\N	0
869814	2962	1996-03-08	VYDAJ	VYBER	2500	54240	\N	\N	0
869815	2962	1996-04-21	VYDAJ	VYBER	2100	26732	\N	\N	0
869816	2962	1996-05-26	VYDAJ	VYBER	2300	28564	\N	\N	0
869817	2962	1996-06-07	VYDAJ	VYBER	2000	26660	\N	\N	0
869818	2962	1996-07-08	VYDAJ	VYBER	2300	26062	\N	\N	0
869819	2962	1996-08-10	VYDAJ	VYBER	2900	40689	\N	\N	0
869820	2962	1996-08-28	VYDAJ	VYBER	2500	33489	\N	\N	0
869821	2962	1996-10-16	VYDAJ	VYBER	1800	24417	\N	\N	0
869822	2962	1996-11-09	VYDAJ	VYBER	2100	22409	\N	\N	0
869823	2962	1996-11-26	VYDAJ	VYBER	2400	20309	\N	\N	0
869824	2962	1996-12-28	VYDAJ	VYBER	3200	18986	\N	\N	0
869825	2962	1997-02-09	VYDAJ	VYBER	3000	41264	\N	\N	0
869826	2962	1997-03-04	VYDAJ	VYBER	2200	77624	\N	\N	0
869827	2962	1997-04-11	VYDAJ	VYBER	3200	34917	\N	\N	0
869828	2962	1997-05-26	VYDAJ	VYBER	1900	29768	\N	\N	0
869829	2962	1997-06-11	VYDAJ	VYBER	2900	33398	\N	\N	0
869830	2962	1997-07-06	VYDAJ	VYBER	2600	50060	\N	\N	0
869831	2962	1997-07-27	VYDAJ	VYBER	2800	103984	\N	\N	0
869832	2962	1997-09-16	VYDAJ	VYBER	2900	86091	\N	\N	0
869833	2962	1997-10-19	VYDAJ	VYBER	1500	94503	\N	\N	0
869834	2962	1997-11-09	VYDAJ	VYBER	1900	57402	\N	\N	0
869835	2962	1997-12-15	VYDAJ	VYBER	1800	39208	\N	\N	0
869836	2962	1998-01-07	VYDAJ	VYBER	2000	34220	\N	\N	0
869837	2962	1998-02-09	VYDAJ	VYBER	2100	43611	\N	\N	0
869838	2962	1998-03-07	VYDAJ	VYBER	2500	64527	\N	\N	0
869839	2962	1998-04-17	VYDAJ	VYBER	1900	42181	\N	\N	0
869840	2962	1998-05-11	VYDAJ	VYBER	3100	28001	\N	\N	0
869841	2962	1998-06-12	VYDAJ	VYBER	3100	28242	\N	\N	0
869842	2962	1998-07-15	VYDAJ	VYBER	1500	26857	\N	\N	0
869843	2962	1998-08-21	VYDAJ	VYBER	2600	68918	\N	\N	0
869844	2962	1998-09-14	VYDAJ	VYBER	2100	33356	\N	\N	0
869845	2962	1998-10-14	VYDAJ	VYBER	2900	30612	\N	\N	0
869846	2962	1998-11-10	VYDAJ	VYBER	3500	44052	\N	\N	0
869847	2962	1998-12-05	VYDAJ	VYBER	2300	32824	\N	\N	0
869852	2962	1993-12-12	VYBER	VYBER	14321	58123	\N	\N	\N
869853	2962	1994-12-07	VYBER	VYBER	12699	22786	\N	\N	\N
869854	2962	1994-03-16	VYBER	VYBER	19779	64060	\N	\N	\N
869855	2962	1994-07-03	VYBER	VYBER	2111	66893	\N	\N	\N
869856	2962	1994-07-03	VYBER	VYBER	19066	69004	\N	\N	\N
869857	2962	1994-09-08	VYBER	VYBER	18839	93832	\N	\N	\N
869858	2962	1994-06-26	VYBER	VYBER	9931	87712	\N	\N	\N
869859	2962	1994-06-22	VYBER	VYBER	17445	72534	\N	\N	\N
869860	2962	1995-01-21	VYBER	VYBER	6011	49987	\N	\N	\N
869861	2962	1995-09-14	VYBER	VYBER	7224	70007	\N	\N	\N
869863	2962	1995-07-14	VYBER	VYBER	19619	74303	\N	\N	\N
869864	2962	1995-03-22	VYBER	VYBER	11231	31693	\N	\N	\N
869865	2962	1995-12-03	VYBER	VYBER	17929	31716	\N	\N	\N
869879	2962	1996-02-26	VYBER	VYBER	12247	56625	\N	\N	\N
869880	2962	1997-03-03	VYBER	VYBER	7380	79824	\N	\N	\N
869882	2962	1997-04-04	VYBER	VYBER	23856	67117	\N	\N	\N
869883	2962	1997-02-22	VYBER	VYBER	23057	44773	\N	\N	\N
869884	2962	1997-02-08	VYBER	VYBER	2642	66264	\N	\N	\N
869890	2962	1998-08-23	VYBER	VYBER	12797	56121	\N	\N	\N
869891	2962	1998-03-18	VYBER	VYBER	21651	42876	\N	\N	\N
869893	2962	1994-06-14	VYDAJ	VYBER	16200	89979	\N	\N	\N
869899	2962	1994-01-17	VYDAJ	VYBER	14700	28945	\N	\N	\N
869900	2962	1995-01-08	VYDAJ	VYBER	3300	75905	\N	\N	\N
869904	2962	1993-12-14	VYDAJ	VYBER	2700	55423	\N	\N	\N
869905	2962	1994-12-16	VYDAJ	VYBER	1800	47654	\N	\N	\N
869906	2962	1995-12-02	VYDAJ	VYBER	3300	49645	\N	\N	\N
869908	2962	1997-12-30	VYDAJ	VYBER	5400	53657	\N	\N	\N
869916	2962	1994-01-22	VYDAJ	VYBER	6000	22945	\N	\N	\N
869917	2962	1994-01-26	VYDAJ	VYBER	5400	20145	\N	\N	\N
869918	2962	1994-01-09	VYDAJ	VYBER	7800	46045	\N	\N	\N
869920	2962	1994-01-04	VYDAJ	VYBER	2100	53845	\N	\N	\N
869921	2962	1994-01-02	VYDAJ	VYBER	3600	55945	\N	\N	\N
869922	2962	1995-01-01	VYDAJ	VYBER	1500	58705	\N	\N	\N
869923	2962	1995-01-29	VYDAJ	VYBER	7500	42487	\N	\N	\N
869924	2962	1995-01-02	VYDAJ	VYBER	3000	85805	\N	\N	\N
869925	2962	1995-01-09	VYDAJ	VYBER	3300	72605	\N	\N	\N
869926	2962	1995-01-12	VYDAJ	VYBER	5400	67205	\N	\N	\N
869927	2962	1995-01-05	VYDAJ	VYBER	6600	79205	\N	\N	\N
869928	2962	1996-01-17	VYDAJ	VYBER	6900	34363	\N	\N	\N
869929	2962	1996-01-13	VYDAJ	VYBER	8400	59963	\N	\N	\N
869930	2962	1996-01-04	VYDAJ	VYBER	3600	80963	\N	\N	\N
869931	2962	1996-01-12	VYDAJ	VYBER	8700	68363	\N	\N	\N
869932	2962	1996-01-09	VYDAJ	VYBER	3900	77063	\N	\N	\N
869933	2962	1996-01-20	VYDAJ	VYBER	6900	27463	\N	\N	\N
869935	2962	1997-01-07	VYDAJ	VYBER	8700	35453	\N	\N	\N
869939	2962	1997-01-09	VYDAJ	VYBER	6300	29153	\N	\N	\N
869945	2962	1998-01-07	VYDAJ	VYBER	2700	36220	\N	\N	\N
869951	2962	1994-02-14	VYDAJ	VYBER	8400	77715	\N	\N	\N
869952	2962	1994-05-18	VYDAJ	VYBER	3900	88147	\N	\N	\N
869953	2962	1994-11-14	VYDAJ	VYBER	13800	52278	\N	\N	\N
869954	2962	1994-09-28	VYDAJ	VYBER	8400	51232	\N	\N	\N
869955	2962	1994-06-05	VYDAJ	VYBER	12900	120711	\N	\N	\N
869956	2962	1994-10-28	VYDAJ	VYBER	1500	47333	\N	\N	\N
869957	2962	1995-02-12	VYDAJ	VYBER	5400	71087	\N	\N	\N
869958	2962	1995-03-24	VYDAJ	VYBER	3900	27793	\N	\N	\N
869959	2962	1995-08-06	VYDAJ	VYBER	12000	35987	\N	\N	\N
869960	2962	1995-11-13	VYDAJ	VYBER	3900	71846	\N	\N	\N
869961	2962	1995-02-18	VYDAJ	VYBER	7200	63887	\N	\N	\N
869962	2962	1995-07-17	VYDAJ	VYBER	6600	67703	\N	\N	\N
869963	2962	1995-08-31	VYDAJ	VYBER	7500	73246	\N	\N	\N
869964	2962	1996-08-31	VYDAJ	VYBER	4200	29412	\N	\N	\N
869966	2962	1996-04-15	VYDAJ	VYBER	8100	28832	\N	\N	\N
869969	2962	1996-01-03	VYDAJ	VYBER	9300	84563	\N	\N	\N
869970	2962	1997-03-06	VYDAJ	VYBER	13500	64124	\N	\N	\N
869971	2962	1997-12-10	VYDAJ	VYBER	5700	41008	\N	\N	\N
869972	2962	1997-06-09	VYDAJ	VYBER	12000	36298	\N	\N	\N
869973	2962	1997-04-09	VYDAJ	VYBER	9600	38117	\N	\N	\N
869977	2962	1998-10-24	VYDAJ	VYBER	1500	76592	\N	\N	\N
869991	2962	1993-12-31	VYDAJ	VYBER	15	59545	SLUZBY	\N	\N
869992	2962	1994-01-31	VYDAJ	VYBER	15	20286	SLUZBY	\N	\N
869993	2962	1994-02-28	VYDAJ	VYBER	15	83839	SLUZBY	\N	\N
869994	2962	1994-03-31	VYDAJ	VYBER	15	45243	SLUZBY	\N	\N
869995	2962	1994-04-30	VYDAJ	VYBER	15	38030	SLUZBY	\N	\N
869996	2962	1994-05-31	VYDAJ	VYBER	15	94534	SLUZBY	\N	\N
869997	2962	1994-06-30	VYDAJ	VYBER	15	88070	SLUZBY	\N	\N
869998	2962	1994-07-31	VYDAJ	VYBER	15	67773	SLUZBY	\N	\N
869999	2962	1994-08-31	VYDAJ	VYBER	15	91422	SLUZBY	\N	\N
870000	2962	1994-09-30	VYDAJ	VYBER	15	51588	SLUZBY	\N	\N
870001	2962	1994-10-31	VYDAJ	VYBER	15	66078	SLUZBY	\N	\N
870002	2962	1994-11-30	VYDAJ	VYBER	15	35485	SLUZBY	\N	\N
870003	2962	1994-12-31	VYDAJ	VYBER	15	60205	SLUZBY	\N	\N
870004	2962	1995-01-31	VYDAJ	VYBER	15	42744	SLUZBY	\N	\N
870005	2962	1995-02-28	VYDAJ	VYBER	15	49973	SLUZBY	\N	\N
870006	2962	1995-03-31	VYDAJ	VYBER	15	35073	SLUZBY	\N	\N
870007	2962	1995-04-30	VYDAJ	VYBER	15	90277	SLUZBY	\N	\N
870008	2962	1995-05-31	VYDAJ	VYBER	15	70803	SLUZBY	\N	\N
870009	2962	1995-06-30	VYDAJ	VYBER	15	96526	SLUZBY	\N	\N
870010	2962	1995-07-31	VYDAJ	VYBER	15	47987	SLUZBY	\N	\N
870011	2962	1995-08-31	VYDAJ	VYBER	15	73232	SLUZBY	\N	\N
870012	2962	1995-09-30	VYDAJ	VYBER	15	48948	SLUZBY	\N	\N
870013	2962	1995-10-31	VYDAJ	VYBER	15	100982	SLUZBY	\N	\N
870014	2962	1995-11-30	VYDAJ	VYBER	15	52945	SLUZBY	\N	\N
870015	2962	1995-12-31	VYDAJ	VYBER	15	93863	SLUZBY	\N	\N
870016	2962	1996-01-31	VYDAJ	VYBER	15	25662	SLUZBY	\N	\N
870017	2962	1996-02-29	VYDAJ	VYBER	15	56740	SLUZBY	\N	\N
870018	2962	1996-03-31	VYDAJ	VYBER	15	45132	SLUZBY	\N	\N
870019	2962	1996-04-30	VYDAJ	VYBER	15	26864	SLUZBY	\N	\N
870020	2962	1996-05-31	VYDAJ	VYBER	15	28660	SLUZBY	\N	\N
870021	2962	1996-06-30	VYDAJ	VYBER	15	28362	SLUZBY	\N	\N
870022	2962	1996-07-31	VYDAJ	VYBER	15	29365	SLUZBY	\N	\N
870023	2962	1996-08-31	VYDAJ	VYBER	15	33612	SLUZBY	\N	\N
870024	2962	1996-09-30	VYDAJ	VYBER	15	28417	SLUZBY	\N	\N
870025	2962	1996-10-31	VYDAJ	VYBER	15	24509	SLUZBY	\N	\N
870026	2962	1996-11-30	VYDAJ	VYBER	15	20386	SLUZBY	\N	\N
870027	2962	1996-12-31	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
870028	2962	1997-01-31	VYDAJ	VYBER	15	29150	SLUZBY	\N	\N
870029	2962	1997-02-28	VYDAJ	VYBER	15	44962	SLUZBY	\N	\N
870030	2962	1997-03-31	VYDAJ	VYBER	15	90973	SLUZBY	\N	\N
870031	2962	1997-04-30	VYDAJ	VYBER	15	51268	SLUZBY	\N	\N
870032	2962	1997-05-31	VYDAJ	VYBER	15	74898	SLUZBY	\N	\N
870033	2962	1997-06-30	VYDAJ	VYBER	15	52660	SLUZBY	\N	\N
870034	2962	1997-07-31	VYDAJ	VYBER	15	104290	SLUZBY	\N	\N
870035	2962	1997-08-31	VYDAJ	VYBER	15	104214	SLUZBY	\N	\N
870036	2962	1997-09-30	VYDAJ	VYBER	15	69465	SLUZBY	\N	\N
870037	2962	1997-10-31	VYDAJ	VYBER	15	100802	SLUZBY	\N	\N
870038	2962	1997-11-30	VYDAJ	VYBER	15	119808	SLUZBY	\N	\N
870039	2962	1997-12-31	VYDAJ	VYBER	15	53920	SLUZBY	\N	\N
870040	2962	1998-01-31	VYDAJ	VYBER	15	69611	SLUZBY	\N	\N
870041	2962	1998-02-28	VYDAJ	VYBER	15	88516	SLUZBY	\N	\N
870042	2962	1998-03-31	VYDAJ	VYBER	15	72081	SLUZBY	\N	\N
870043	2962	1998-04-30	VYDAJ	VYBER	15	42401	SLUZBY	\N	\N
870044	2962	1998-05-31	VYDAJ	VYBER	15	41242	SLUZBY	\N	\N
870045	2962	1998-06-30	VYDAJ	VYBER	15	28357	SLUZBY	\N	\N
870046	2962	1998-07-31	VYDAJ	VYBER	15	26951	SLUZBY	\N	\N
870047	2962	1998-08-31	VYDAJ	VYBER	15	56256	SLUZBY	\N	\N
870048	2962	1998-09-30	VYDAJ	VYBER	15	33512	SLUZBY	\N	\N
870049	2962	1998-10-31	VYDAJ	VYBER	15	76752	SLUZBY	\N	\N
870050	2962	1998-11-30	VYDAJ	VYBER	15	44224	SLUZBY	\N	\N
870051	2962	1993-06-29	VYDAJ	VYBER	20000	44116	\N	\N	\N
870052	2962	1993-07-29	VYDAJ	VYBER	7900	36344	\N	\N	\N
870053	2962	1993-08-28	VYDAJ	VYBER	5900	30628	\N	\N	\N
870054	2962	1993-09-27	VYDAJ	VYBER	19100	44129	\N	\N	\N
870055	2962	1993-10-27	VYDAJ	VYBER	8600	35731	\N	\N	\N
870056	2962	1993-11-26	VYDAJ	VYBER	5400	30515	\N	\N	\N
870057	2962	1993-12-26	VYDAJ	VYBER	35200	59284	\N	\N	\N
870058	2962	1994-01-25	PRIJEM	VKLAD	2600	25545	\N	\N	\N
870059	2962	1994-02-24	VYDAJ	VYBER	29500	59487	\N	\N	\N
870060	2962	1994-03-26	VYDAJ	VYBER	16800	44960	\N	\N	\N
870061	2962	1994-04-25	VYDAJ	VYBER	11600	37857	\N	\N	\N
870062	2962	1994-05-23	VYDAJ	VYBER	64100	70998	\N	\N	\N
870063	2962	1994-05-25	VYDAJ	VYBER	21200	49798	\N	\N	\N
870064	2962	1994-06-05	VYDAJ	VYBER	63900	56811	\N	\N	\N
870065	2962	1994-06-24	VYDAJ	VYBER	26200	46334	\N	\N	\N
870066	2962	1994-07-14	VYDAJ	VYBER	26700	118015	\N	\N	\N
870067	2962	1994-07-15	VYDAJ	VYBER	24900	114088	\N	\N	\N
870068	2962	1994-07-24	VYDAJ	VYBER	46700	67388	\N	\N	\N
870069	2962	1994-08-23	VYDAJ	VYBER	34700	59239	\N	\N	\N
870070	2962	1994-09-03	VYDAJ	VYBER	20100	112671	\N	\N	\N
870071	2962	1994-09-22	VYDAJ	VYBER	34200	59632	\N	\N	\N
870072	2962	1994-10-22	VYDAJ	VYBER	10800	38188	\N	\N	\N
870073	2962	1994-11-21	VYDAJ	VYBER	14300	35278	\N	\N	\N
870074	2962	1994-12-21	VYDAJ	VYBER	11500	42422	\N	\N	\N
870075	2962	1995-01-20	VYDAJ	VYBER	31000	55998	\N	\N	\N
870076	2962	1995-02-19	VYDAJ	VYBER	20200	43687	\N	\N	\N
870077	2962	1995-03-21	VYDAJ	VYBER	16200	42924	\N	\N	\N
870078	2962	1995-04-20	VYDAJ	VYBER	34200	58779	\N	\N	\N
870079	2962	1995-05-15	VYDAJ	VYBER	25100	112360	\N	\N	\N
870080	2962	1995-05-20	VYDAJ	VYBER	41900	70460	\N	\N	\N
870081	2962	1995-06-19	VYDAJ	VYBER	21500	46698	\N	\N	\N
870082	2962	1995-07-19	VYDAJ	VYBER	20000	47703	\N	\N	\N
870083	2962	1995-08-18	VYDAJ	VYBER	1200	32183	\N	\N	\N
870084	2962	1995-09-17	VYDAJ	VYBER	21300	48707	\N	\N	\N
870085	2962	1995-10-17	VYDAJ	VYBER	26600	52679	\N	\N	\N
870086	2962	1995-10-27	VYDAJ	VYBER	42300	100686	\N	\N	\N
870087	2962	1995-11-05	VYDAJ	VYBER	33800	78351	\N	\N	\N
870088	2962	1995-11-16	VYDAJ	VYBER	19200	52646	\N	\N	\N
870089	2962	1995-12-16	PRIJEM	VKLAD	1700	30812	\N	\N	\N
870090	2962	1996-01-15	VYDAJ	VYBER	16500	41263	\N	\N	\N
870091	2962	1996-02-14	PRIJEM	VKLAD	2500	28162	\N	\N	\N
870092	2962	1996-03-15	VYDAJ	VYBER	9300	44940	\N	\N	\N
870093	2962	1996-04-14	VYDAJ	VYBER	8200	36932	\N	\N	\N
870094	2962	1996-05-14	PRIJEM	VKLAD	4000	30864	\N	\N	\N
870095	2962	1996-06-13	PRIJEM	VKLAD	1600	28260	\N	\N	\N
870096	2962	1996-07-13	PRIJEM	VKLAD	3200	29262	\N	\N	\N
870097	2962	1996-08-12	VYDAJ	VYBER	4700	35989	\N	\N	\N
870098	2962	1996-09-11	VYDAJ	VYBER	1100	28312	\N	\N	\N
870099	2962	1996-10-11	VYDAJ	VYBER	2200	26217	\N	\N	\N
870100	2962	1996-11-10	PRIJEM	VKLAD	300	22709	\N	\N	\N
870101	2962	1996-12-10	PRIJEM	VKLAD	1800	22186	\N	\N	\N
870102	2962	1997-01-09	VYDAJ	VYBER	100	29053	\N	\N	\N
870103	2962	1997-02-08	VYDAJ	VYBER	22000	44264	\N	\N	\N
870104	2962	1997-03-10	VYDAJ	VYBER	20200	43924	\N	\N	\N
870105	2962	1997-04-09	VYDAJ	VYBER	19400	47717	\N	\N	\N
870106	2962	1997-05-09	VYDAJ	VYBER	19600	31668	\N	\N	\N
870107	2962	1997-06-08	VYDAJ	VYBER	26600	48298	\N	\N	\N
870108	2962	1997-07-08	VYDAJ	VYBER	33100	49699	\N	\N	\N
870109	2962	1997-08-07	VYDAJ	VYBER	44600	59690	\N	\N	\N
870110	2962	1997-09-04	VYDAJ	VYBER	45300	79537	\N	\N	\N
870111	2962	1997-09-06	VYDAJ	VYBER	27700	51837	\N	\N	\N
870112	2962	1997-09-26	VYDAJ	VYBER	57200	69103	\N	\N	\N
870113	2962	1997-10-06	VYDAJ	VYBER	22600	46865	\N	\N	\N
870114	2962	1997-10-31	VYDAJ	VYBER	16800	100817	\N	\N	\N
870115	2962	1997-11-05	VYDAJ	VYBER	41500	59302	\N	\N	\N
870116	2962	1997-11-18	VYDAJ	VYBER	37600	119350	\N	\N	\N
870117	2962	1997-11-30	VYDAJ	VYBER	39700	80108	\N	\N	\N
870118	2962	1997-12-05	VYDAJ	VYBER	33400	46708	\N	\N	\N
870119	2962	1998-01-04	VYDAJ	VYBER	15000	38920	\N	\N	\N
870120	2962	1998-02-03	VYDAJ	VYBER	23900	45711	\N	\N	\N
870121	2962	1998-03-05	VYDAJ	VYBER	48800	67027	\N	\N	\N
870122	2962	1998-04-04	VYDAJ	VYBER	28000	44081	\N	\N	\N
870123	2962	1998-05-04	VYDAJ	VYBER	11300	31101	\N	\N	\N
870124	2962	1998-06-03	VYDAJ	VYBER	9900	31342	\N	\N	\N
870125	2962	1998-09-01	VYDAJ	VYBER	20800	35456	\N	\N	\N
870126	2962	1998-10-31	VYDAJ	VYBER	29200	47552	\N	\N	\N
870127	2962	1998-11-30	VYDAJ	VYBER	9100	35124	\N	\N	\N
870194	2963	1996-12-09	PRIJEM	VKLAD	1000	1000	\N	\N	\N
870206	2963	1996-12-12	PRIJEM	VKLAD	22728	23728	\N	\N	\N
870207	2963	1997-01-12	PRIJEM	VKLAD	15152	38444	\N	\N	\N
870208	2963	1997-02-12	PRIJEM	VKLAD	15152	48534	\N	\N	\N
870209	2963	1997-03-12	PRIJEM	VKLAD	15152	54072	\N	\N	\N
870210	2963	1997-04-12	PRIJEM	VKLAD	15152	59441	\N	\N	\N
870211	2963	1997-05-12	PRIJEM	VKLAD	15152	60117	\N	\N	\N
870212	2963	1997-06-12	PRIJEM	VKLAD	22728	57771	\N	\N	\N
870213	2963	1997-07-12	PRIJEM	VKLAD	15152	59336	\N	\N	\N
870214	2963	1997-08-12	PRIJEM	VKLAD	15152	58007	\N	\N	\N
870215	2963	1997-09-12	PRIJEM	VKLAD	15152	57572	\N	\N	\N
870216	2963	1997-10-12	PRIJEM	VKLAD	15152	56037	\N	\N	\N
870217	2963	1997-11-12	PRIJEM	VKLAD	15152	55095	\N	\N	\N
870218	2963	1997-12-12	PRIJEM	VKLAD	22728	59826	\N	\N	\N
870219	2963	1998-01-12	PRIJEM	VKLAD	15152	51089	\N	\N	\N
870220	2963	1998-02-12	PRIJEM	VKLAD	15152	51921	\N	\N	\N
870221	2963	1998-03-12	PRIJEM	VKLAD	15152	51857	\N	\N	\N
870222	2963	1998-04-12	PRIJEM	VKLAD	15152	48997	\N	\N	\N
870223	2963	1998-05-12	PRIJEM	VKLAD	15152	44526	\N	\N	\N
870224	2963	1998-06-12	PRIJEM	VKLAD	22728	53115	\N	\N	\N
870225	2963	1998-07-12	PRIJEM	VKLAD	15152	46728	\N	\N	\N
870226	2963	1998-08-12	PRIJEM	VKLAD	15152	51041	\N	\N	\N
870227	2963	1998-09-12	PRIJEM	VKLAD	15152	52373	\N	\N	\N
870228	2963	1998-10-12	PRIJEM	VKLAD	15152	57212	\N	\N	\N
870229	2963	1998-11-12	PRIJEM	VKLAD	15152	55376	\N	\N	\N
870230	2963	1998-12-12	PRIJEM	VKLAD	22728	60491	\N	\N	\N
870247	2963	1997-05-06	VYDAJ	PREVOD NA UCET	5101	54565	SIPO	IJ	31752610
870248	2963	1997-06-06	VYDAJ	PREVOD NA UCET	5101	55243	SIPO	IJ	31752610
870249	2963	1997-07-06	VYDAJ	PREVOD NA UCET	5101	52884	SIPO	IJ	31752610
870250	2963	1997-08-06	VYDAJ	PREVOD NA UCET	5101	51955	SIPO	IJ	31752610
870251	2963	1997-09-06	VYDAJ	PREVOD NA UCET	5101	42420	SIPO	IJ	31752610
870252	2963	1997-10-06	VYDAJ	PREVOD NA UCET	5101	40885	SIPO	IJ	31752610
870253	2963	1997-11-06	VYDAJ	PREVOD NA UCET	5101	43643	SIPO	IJ	31752610
870254	2963	1997-12-06	VYDAJ	PREVOD NA UCET	5101	37098	SIPO	IJ	31752610
870255	2963	1998-01-06	VYDAJ	PREVOD NA UCET	5101	35937	SIPO	IJ	31752610
870256	2963	1998-02-06	VYDAJ	PREVOD NA UCET	5101	36769	SIPO	IJ	31752610
870257	2963	1998-03-06	VYDAJ	PREVOD NA UCET	5101	36705	SIPO	IJ	31752610
870258	2963	1998-04-06	VYDAJ	PREVOD NA UCET	5101	33845	SIPO	IJ	31752610
870259	2963	1998-05-06	VYDAJ	PREVOD NA UCET	5101	29374	SIPO	IJ	31752610
870260	2963	1998-06-06	VYDAJ	PREVOD NA UCET	5101	30387	SIPO	IJ	31752610
870261	2963	1998-07-06	VYDAJ	PREVOD NA UCET	5101	31576	SIPO	IJ	31752610
870262	2963	1998-08-06	VYDAJ	PREVOD NA UCET	5101	35889	SIPO	IJ	31752610
870263	2963	1998-09-06	VYDAJ	PREVOD NA UCET	5101	37221	SIPO	IJ	31752610
870264	2963	1998-10-06	VYDAJ	PREVOD NA UCET	5101	42060	SIPO	IJ	31752610
870265	2963	1998-11-06	VYDAJ	PREVOD NA UCET	5101	40224	SIPO	IJ	31752610
870266	2963	1998-12-06	VYDAJ	PREVOD NA UCET	5101	37763	SIPO	IJ	31752610
870268	2963	1997-06-08	VYDAJ	VYBER	11500	35043	\N	\N	\N
870269	2963	1998-06-20	VYDAJ	VYBER	10000	43115	\N	\N	\N
870272	2963	1998-01-03	VYDAJ	VYBER	4300	41038	\N	\N	\N
870274	2963	1997-12-22	VYDAJ	VYBER	1200	58626	\N	\N	\N
870275	2963	1998-12-21	VYDAJ	VYBER KARTOU	1900	58591	\N	\N	0
870279	2963	1997-07-28	VYDAJ	VYBER	2500	56836	\N	\N	\N
870282	2963	1997-11-08	VYDAJ	VYBER	3700	39943	\N	\N	\N
870283	2963	1998-12-28	VYDAJ	VYBER KARTOU	800	57791	\N	\N	0
870284	2963	1998-06-24	VYDAJ	VYBER	4200	38915	\N	\N	\N
870285	2963	1998-11-16	VYDAJ	VYBER	4800	50576	\N	\N	\N
870286	2963	1998-01-25	VYDAJ	VYBER	3200	47889	\N	\N	\N
870303	2963	1997-04-30	VYDAJ	VYBER	15	59666	SLUZBY	\N	\N
870304	2963	1997-05-31	VYDAJ	VYBER	15	60344	SLUZBY	\N	\N
870305	2963	1997-06-30	VYDAJ	VYBER	15	57985	SLUZBY	\N	\N
870306	2963	1997-07-31	VYDAJ	VYBER	15	57056	SLUZBY	\N	\N
870307	2963	1997-08-31	VYDAJ	VYBER	15	58221	SLUZBY	\N	\N
870308	2963	1997-09-30	VYDAJ	VYBER	15	57786	SLUZBY	\N	\N
870309	2963	1997-10-31	VYDAJ	VYBER	15	56244	SLUZBY	\N	\N
870310	2963	1997-11-30	VYDAJ	VYBER	15	55299	SLUZBY	\N	\N
870311	2963	1997-12-31	VYDAJ	VYBER	15	58838	SLUZBY	\N	\N
870312	2963	1998-01-31	VYDAJ	VYBER	15	48070	SLUZBY	\N	\N
870313	2963	1998-02-28	VYDAJ	VYBER	15	52106	SLUZBY	\N	\N
870314	2963	1998-03-31	VYDAJ	VYBER	15	52046	SLUZBY	\N	\N
870315	2963	1998-04-30	VYDAJ	VYBER	15	49175	SLUZBY	\N	\N
870316	2963	1998-05-31	VYDAJ	VYBER	15	44688	SLUZBY	\N	\N
870317	2963	1998-06-30	VYDAJ	VYBER	15	39077	SLUZBY	\N	\N
870318	2963	1998-07-31	VYDAJ	VYBER	15	46890	SLUZBY	\N	\N
870319	2963	1998-08-31	VYDAJ	VYBER	15	42322	SLUZBY	\N	\N
870320	2963	1998-09-30	VYDAJ	VYBER	15	52561	SLUZBY	\N	\N
870321	2963	1998-10-31	VYDAJ	VYBER	15	45325	SLUZBY	\N	\N
870322	2963	1998-11-30	VYDAJ	VYBER	15	42864	SLUZBY	\N	\N
870323	2963	1997-01-08	VYDAJ	VYBER	500	23292	\N	\N	\N
870324	2963	1997-02-07	VYDAJ	VYBER	5200	33382	\N	\N	\N
870325	2963	1997-03-09	VYDAJ	VYBER	9800	38920	\N	\N	\N
870326	2963	1997-04-08	VYDAJ	VYBER	10000	44289	\N	\N	\N
870327	2963	1997-05-08	VYDAJ	VYBER	9600	44965	\N	\N	\N
870328	2963	1997-06-07	VYDAJ	VYBER	8700	46543	\N	\N	\N
870329	2963	1997-07-07	VYDAJ	VYBER	8700	44184	\N	\N	\N
870330	2963	1997-08-06	VYDAJ	VYBER	9100	42855	\N	\N	\N
870331	2963	1997-09-05	VYDAJ	VYBER	10700	47521	\N	\N	\N
870332	2963	1997-10-05	VYDAJ	VYBER	11800	45986	\N	\N	\N
870333	2963	1997-11-04	VYDAJ	VYBER	7500	48744	\N	\N	\N
870334	2963	1997-12-04	VYDAJ	VYBER	13100	42199	\N	\N	\N
870335	2963	1998-01-03	VYDAJ	VYBER	13500	45338	\N	\N	\N
870336	2963	1998-02-02	VYDAJ	VYBER	6200	41870	\N	\N	\N
870337	2963	1998-03-04	VYDAJ	VYBER	10300	41806	\N	\N	\N
870338	2963	1998-04-03	VYDAJ	VYBER	13100	38946	\N	\N	\N
870339	2963	1998-05-03	VYDAJ	VYBER	14700	34475	\N	\N	\N
870340	2963	1998-06-02	VYDAJ	VYBER	9200	35488	\N	\N	\N
870341	2963	1998-07-02	VYDAJ	VYBER	2400	36677	\N	\N	\N
870342	2963	1998-08-01	VYDAJ	VYBER	5900	40990	\N	\N	\N
870343	2963	1998-08-31	VYDAJ	VYBER	8900	42337	\N	\N	\N
870344	2963	1998-09-30	VYDAJ	VYBER	5400	47161	\N	\N	\N
870345	2963	1998-10-30	VYDAJ	VYBER	12100	45112	\N	\N	\N
870346	2963	1998-11-29	VYDAJ	VYBER	7900	42676	\N	\N	\N
870372	2964	1997-01-09	PRIJEM	VKLAD	300	300	\N	\N	\N
870373	2964	1997-01-14	PRIJEM	PREVOD Z UCTU	4398	4698	DUCHOD	AB	35057878
870374	2964	1997-02-14	PRIJEM	PREVOD Z UCTU	4398	9107	DUCHOD	AB	35057878
870375	2964	1997-03-14	PRIJEM	PREVOD Z UCTU	4398	13525	DUCHOD	AB	35057878
870376	2964	1997-04-14	PRIJEM	PREVOD Z UCTU	4398	17943	DUCHOD	AB	35057878
870377	2964	1997-05-14	PRIJEM	PREVOD Z UCTU	4398	22360	DUCHOD	AB	35057878
870378	2964	1997-06-14	PRIJEM	PREVOD Z UCTU	4398	14306	DUCHOD	AB	35057878
870379	2964	1997-07-14	PRIJEM	PREVOD Z UCTU	4398	16452	DUCHOD	AB	35057878
870380	2964	1997-08-14	PRIJEM	PREVOD Z UCTU	4398	18594	DUCHOD	AB	35057878
870381	2964	1997-09-14	PRIJEM	PREVOD Z UCTU	4398	20745	DUCHOD	AB	35057878
870382	2964	1997-10-14	PRIJEM	PREVOD Z UCTU	4398	22905	DUCHOD	AB	35057878
870383	2964	1997-11-14	PRIJEM	PREVOD Z UCTU	4398	25074	DUCHOD	AB	35057878
870384	2964	1997-12-14	PRIJEM	PREVOD Z UCTU	4398	26452	DUCHOD	AB	35057878
870385	2964	1998-01-14	PRIJEM	PREVOD Z UCTU	4398	28637	DUCHOD	AB	35057878
870386	2964	1998-02-14	PRIJEM	PREVOD Z UCTU	4398	24209	DUCHOD	AB	35057878
870387	2964	1998-03-14	PRIJEM	PREVOD Z UCTU	4398	25265	DUCHOD	AB	35057878
870388	2964	1998-04-14	PRIJEM	PREVOD Z UCTU	4398	25925	DUCHOD	AB	35057878
870389	2964	1998-05-14	PRIJEM	PREVOD Z UCTU	4398	28106	DUCHOD	AB	35057878
870390	2964	1998-06-14	PRIJEM	PREVOD Z UCTU	4398	28134	DUCHOD	AB	35057878
870391	2964	1998-07-14	PRIJEM	PREVOD Z UCTU	4398	19524	DUCHOD	AB	35057878
870392	2964	1998-08-14	PRIJEM	PREVOD Z UCTU	4398	21679	DUCHOD	AB	35057878
870393	2964	1998-09-14	PRIJEM	PREVOD Z UCTU	4398	23442	DUCHOD	AB	35057878
870394	2964	1998-10-14	PRIJEM	PREVOD Z UCTU	4398	22810	DUCHOD	AB	35057878
870395	2964	1998-11-14	PRIJEM	PREVOD Z UCTU	4398	24978	DUCHOD	AB	35057878
870396	2964	1998-12-14	PRIJEM	PREVOD Z UCTU	4398	27156	DUCHOD	AB	35057878
870402	2964	1997-06-13	VYDAJ	PREVOD NA UCET	2306	9908	SIPO	QR	96140092
870403	2964	1997-07-13	VYDAJ	PREVOD NA UCET	2306	12054	SIPO	QR	96140092
870404	2964	1997-08-13	VYDAJ	PREVOD NA UCET	2306	14196	SIPO	QR	96140092
870405	2964	1997-09-13	VYDAJ	PREVOD NA UCET	2306	16347	SIPO	QR	96140092
870406	2964	1997-10-13	VYDAJ	PREVOD NA UCET	2306	18507	SIPO	QR	96140092
870407	2964	1997-11-13	VYDAJ	PREVOD NA UCET	2306	20676	SIPO	QR	96140092
870408	2964	1997-12-13	VYDAJ	PREVOD NA UCET	2306	22054	SIPO	QR	96140092
870409	2964	1998-01-13	VYDAJ	PREVOD NA UCET	2306	24239	SIPO	QR	96140092
870410	2964	1998-02-13	VYDAJ	PREVOD NA UCET	2306	19811	SIPO	QR	96140092
870411	2964	1998-03-13	VYDAJ	PREVOD NA UCET	2306	20867	SIPO	QR	96140092
870412	2964	1998-04-13	VYDAJ	PREVOD NA UCET	2306	21527	SIPO	QR	96140092
870413	2964	1998-05-13	VYDAJ	PREVOD NA UCET	2306	23708	SIPO	QR	96140092
870414	2964	1998-06-13	VYDAJ	PREVOD NA UCET	2306	23736	SIPO	QR	96140092
870415	2964	1998-07-13	VYDAJ	PREVOD NA UCET	2306	15126	SIPO	QR	96140092
870416	2964	1998-08-13	VYDAJ	PREVOD NA UCET	2306	17281	SIPO	QR	96140092
870417	2964	1998-09-13	VYDAJ	PREVOD NA UCET	2306	19044	SIPO	QR	96140092
870418	2964	1998-10-13	VYDAJ	PREVOD NA UCET	2306	18412	SIPO	QR	96140092
870419	2964	1998-11-13	VYDAJ	PREVOD NA UCET	2306	20580	SIPO	QR	96140092
870420	2964	1998-12-13	VYDAJ	PREVOD NA UCET	2306	22758	SIPO	QR	96140092
870421	2964	1997-06-05	VYDAJ	VYBER	7850	12214	\N	\N	\N
870422	2964	1998-06-14	VYDAJ	VYBER	10800	17334	\N	\N	\N
870424	2964	1998-01-17	VYDAJ	VYBER	4450	24187	\N	\N	\N
870425	2964	1997-12-09	VYDAJ	VYBER	800	24360	\N	\N	\N
870426	2964	1998-12-21	VYDAJ	VYBER	1450	25706	\N	\N	\N
870431	2964	1997-05-23	VYDAJ	VYBER	2320	20040	\N	\N	\N
870432	2964	1998-02-12	VYDAJ	VYBER	1040	22117	\N	\N	\N
870433	2964	1998-01-18	VYDAJ	VYBER	1120	23067	\N	\N	\N
870434	2964	1998-09-22	VYDAJ	VYBER	2800	20642	\N	\N	\N
870435	2964	1998-03-28	VYDAJ	VYBER	1520	23745	\N	\N	\N
870436	2964	1998-05-23	VYDAJ	VYBER	2160	25946	\N	\N	\N
870437	2964	1998-03-07	VYDAJ	VYBER	1120	23173	\N	\N	\N
870438	2964	1998-08-27	VYDAJ	VYBER	400	21279	\N	\N	\N
870444	2964	1997-05-31	VYDAJ	VYBER	15	20064	SLUZBY	\N	\N
870445	2964	1997-06-30	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
870446	2964	1997-07-31	VYDAJ	VYBER	15	16502	SLUZBY	\N	\N
870447	2964	1997-08-31	VYDAJ	VYBER	15	18653	SLUZBY	\N	\N
870448	2964	1997-09-30	VYDAJ	VYBER	15	20813	SLUZBY	\N	\N
870449	2964	1997-10-31	VYDAJ	VYBER	15	22982	SLUZBY	\N	\N
870450	2964	1997-11-30	VYDAJ	VYBER	15	25160	SLUZBY	\N	\N
870451	2964	1997-12-31	VYDAJ	VYBER	15	26545	SLUZBY	\N	\N
870452	2964	1998-01-31	VYDAJ	VYBER	15	23157	SLUZBY	\N	\N
870453	2964	1998-02-28	VYDAJ	VYBER	15	24293	SLUZBY	\N	\N
870454	2964	1998-03-31	VYDAJ	VYBER	15	23833	SLUZBY	\N	\N
870455	2964	1998-04-30	VYDAJ	VYBER	15	26014	SLUZBY	\N	\N
870456	2964	1998-05-31	VYDAJ	VYBER	15	26042	SLUZBY	\N	\N
870457	2964	1998-06-30	VYDAJ	VYBER	15	17432	SLUZBY	\N	\N
870458	2964	1998-07-31	VYDAJ	VYBER	15	19587	SLUZBY	\N	\N
870459	2964	1998-08-31	VYDAJ	VYBER	15	21350	SLUZBY	\N	\N
870460	2964	1998-09-30	VYDAJ	VYBER	15	20718	SLUZBY	\N	\N
870461	2964	1998-10-31	VYDAJ	VYBER	15	22886	SLUZBY	\N	\N
870462	2964	1998-11-30	VYDAJ	VYBER	15	25064	SLUZBY	\N	\N
870487	2965	1995-10-10	PRIJEM	VKLAD	900	900	\N	\N	\N
870498	2965	1995-11-05	PRIJEM	PREVOD Z UCTU	5617	6517	DUCHOD	EF	96382689
870499	2965	1995-12-05	PRIJEM	PREVOD Z UCTU	5617	12134	DUCHOD	EF	96382689
870500	2965	1996-01-05	PRIJEM	PREVOD Z UCTU	5617	17751	DUCHOD	EF	96382689
870501	2965	1996-02-05	PRIJEM	PREVOD Z UCTU	5617	23368	DUCHOD	EF	96382689
870502	2965	1996-03-05	PRIJEM	PREVOD Z UCTU	5617	28985	DUCHOD	EF	96382689
870503	2965	1996-04-05	PRIJEM	PREVOD Z UCTU	5617	30830	DUCHOD	EF	96382689
870504	2965	1996-05-05	PRIJEM	PREVOD Z UCTU	5617	33897	DUCHOD	EF	96382689
870505	2965	1996-06-05	PRIJEM	PREVOD Z UCTU	5617	34252	DUCHOD	EF	96382689
870506	2965	1996-07-05	PRIJEM	PREVOD Z UCTU	5617	31632	DUCHOD	EF	96382689
870507	2965	1996-08-05	PRIJEM	PREVOD Z UCTU	5617	32099	DUCHOD	EF	96382689
870508	2965	1996-09-05	PRIJEM	PREVOD Z UCTU	5617	33173	DUCHOD	EF	96382689
870509	2965	1996-10-05	PRIJEM	PREVOD Z UCTU	5617	34849	DUCHOD	EF	96382689
870510	2965	1996-11-05	PRIJEM	PREVOD Z UCTU	5617	32000	DUCHOD	EF	96382689
870511	2965	1996-12-05	PRIJEM	PREVOD Z UCTU	5617	33780	DUCHOD	EF	96382689
870512	2965	1997-01-05	PRIJEM	PREVOD Z UCTU	5617	26820	DUCHOD	EF	96382689
870513	2965	1997-02-05	PRIJEM	PREVOD Z UCTU	5617	25826	DUCHOD	EF	96382689
870514	2965	1997-03-05	PRIJEM	PREVOD Z UCTU	5617	24038	DUCHOD	EF	96382689
870515	2965	1997-04-05	PRIJEM	PREVOD Z UCTU	5617	19686	DUCHOD	EF	96382689
870516	2965	1997-05-05	PRIJEM	PREVOD Z UCTU	5617	19817	DUCHOD	EF	96382689
870517	2965	1997-06-05	PRIJEM	PREVOD Z UCTU	5617	22845	DUCHOD	EF	96382689
870518	2965	1997-07-05	PRIJEM	PREVOD Z UCTU	5617	16756	DUCHOD	EF	96382689
870519	2965	1997-08-05	PRIJEM	PREVOD Z UCTU	5617	17039	DUCHOD	EF	96382689
870520	2965	1997-09-05	PRIJEM	PREVOD Z UCTU	5617	20048	DUCHOD	EF	96382689
870521	2965	1997-10-05	PRIJEM	PREVOD Z UCTU	5617	18968	DUCHOD	EF	96382689
870522	2965	1997-11-05	PRIJEM	PREVOD Z UCTU	5617	19024	DUCHOD	EF	96382689
870523	2965	1997-12-05	PRIJEM	PREVOD Z UCTU	5617	22041	DUCHOD	EF	96382689
870524	2965	1998-01-05	PRIJEM	PREVOD Z UCTU	5617	23619	DUCHOD	EF	96382689
870525	2965	1998-02-05	PRIJEM	PREVOD Z UCTU	5617	23372	DUCHOD	EF	96382689
870526	2965	1998-03-05	PRIJEM	PREVOD Z UCTU	5617	25687	DUCHOD	EF	96382689
870527	2965	1998-04-05	PRIJEM	PREVOD Z UCTU	5617	26332	DUCHOD	EF	96382689
870528	2965	1998-05-05	PRIJEM	PREVOD Z UCTU	5617	29380	DUCHOD	EF	96382689
870529	2965	1998-06-05	PRIJEM	PREVOD Z UCTU	5617	19150	DUCHOD	EF	96382689
870530	2965	1998-07-05	PRIJEM	PREVOD Z UCTU	5617	22167	DUCHOD	EF	96382689
870531	2965	1998-08-05	PRIJEM	PREVOD Z UCTU	5617	22714	DUCHOD	EF	96382689
870532	2965	1998-09-05	PRIJEM	PREVOD Z UCTU	5617	23583	DUCHOD	EF	96382689
870533	2965	1998-10-05	PRIJEM	PREVOD Z UCTU	5617	26618	DUCHOD	EF	96382689
870534	2965	1998-11-05	PRIJEM	PREVOD Z UCTU	5617	25739	DUCHOD	EF	96382689
870535	2965	1998-12-05	PRIJEM	PREVOD Z UCTU	5617	28784	DUCHOD	EF	96382689
870550	2965	1996-03-14	VYDAJ	PREVOD NA UCET	2648	25137	SIPO	MN	62399500
870551	2965	1996-04-14	VYDAJ	PREVOD NA UCET	2648	28182	SIPO	MN	62399500
870552	2965	1996-05-14	VYDAJ	PREVOD NA UCET	2648	31249	SIPO	MN	62399500
870553	2965	1996-06-14	VYDAJ	PREVOD NA UCET	2648	30504	SIPO	MN	62399500
870554	2965	1996-07-14	VYDAJ	PREVOD NA UCET	2648	26384	SIPO	MN	62399500
870555	2965	1996-08-14	VYDAJ	PREVOD NA UCET	2648	27451	SIPO	MN	62399500
870556	2965	1996-09-14	VYDAJ	PREVOD NA UCET	2648	30525	SIPO	MN	62399500
870557	2965	1996-10-14	VYDAJ	PREVOD NA UCET	2648	32201	SIPO	MN	62399500
870558	2965	1996-11-14	VYDAJ	PREVOD NA UCET	2648	29352	SIPO	MN	62399500
870559	2965	1996-12-14	VYDAJ	PREVOD NA UCET	2648	29732	SIPO	MN	62399500
870560	2965	1997-01-14	VYDAJ	PREVOD NA UCET	2648	23322	SIPO	MN	62399500
870561	2965	1997-02-14	VYDAJ	PREVOD NA UCET	2648	22138	SIPO	MN	62399500
870562	2965	1997-03-14	VYDAJ	PREVOD NA UCET	2648	21390	SIPO	MN	62399500
870563	2965	1997-04-14	VYDAJ	PREVOD NA UCET	2648	17038	SIPO	MN	62399500
870564	2965	1997-05-14	VYDAJ	PREVOD NA UCET	2648	17169	SIPO	MN	62399500
870565	2965	1997-06-14	VYDAJ	PREVOD NA UCET	2648	11097	SIPO	MN	62399500
870566	2965	1997-07-14	VYDAJ	PREVOD NA UCET	2648	11388	SIPO	MN	62399500
870567	2965	1997-08-14	VYDAJ	PREVOD NA UCET	2648	14391	SIPO	MN	62399500
870568	2965	1997-09-14	VYDAJ	PREVOD NA UCET	2648	17400	SIPO	MN	62399500
870569	2965	1997-10-14	VYDAJ	PREVOD NA UCET	2648	16320	SIPO	MN	62399500
870570	2965	1997-11-14	VYDAJ	PREVOD NA UCET	2648	16376	SIPO	MN	62399500
870571	2965	1997-12-14	VYDAJ	PREVOD NA UCET	2648	19393	SIPO	MN	62399500
870572	2965	1998-01-14	VYDAJ	PREVOD NA UCET	2648	20971	SIPO	MN	62399500
870573	2965	1998-02-14	VYDAJ	PREVOD NA UCET	2648	20724	SIPO	MN	62399500
870574	2965	1998-03-14	VYDAJ	PREVOD NA UCET	2648	20639	SIPO	MN	62399500
870575	2965	1998-04-14	VYDAJ	PREVOD NA UCET	2648	23684	SIPO	MN	62399500
870576	2965	1998-05-14	VYDAJ	PREVOD NA UCET	2648	26732	SIPO	MN	62399500
870577	2965	1998-06-14	VYDAJ	PREVOD NA UCET	2648	16502	SIPO	MN	62399500
870578	2965	1998-07-14	VYDAJ	PREVOD NA UCET	2648	19519	SIPO	MN	62399500
870579	2965	1998-08-14	VYDAJ	PREVOD NA UCET	2648	20066	SIPO	MN	62399500
870580	2965	1998-09-14	VYDAJ	PREVOD NA UCET	2648	20935	SIPO	MN	62399500
870581	2965	1998-10-14	VYDAJ	PREVOD NA UCET	2648	23970	SIPO	MN	62399500
870582	2965	1998-11-14	VYDAJ	PREVOD NA UCET	2648	23091	SIPO	MN	62399500
870583	2965	1998-12-14	VYDAJ	PREVOD NA UCET	2648	26136	SIPO	MN	62399500
870585	2965	1996-06-26	VYDAJ	VYBER	4600	25904	\N	\N	\N
870586	2965	1997-06-11	VYDAJ	VYBER	9100	13745	\N	\N	\N
870590	2965	1997-01-05	VYDAJ	VYBER	850	25970	\N	\N	\N
870591	2965	1998-01-26	VYDAJ	VYBER	2000	18971	\N	\N	\N
870593	2965	1996-12-06	VYDAJ	VYBER	1400	32380	\N	\N	\N
870594	2965	1997-12-22	VYDAJ	VYBER	1450	17943	\N	\N	\N
870595	2965	1998-12-28	VYDAJ	VYBER	550	25586	\N	\N	\N
870604	2965	1996-11-02	VYDAJ	VYBER	3840	28483	\N	\N	\N
870605	2965	1996-03-06	VYDAJ	VYBER	1200	27785	\N	\N	\N
870608	2965	1996-05-21	VYDAJ	VYBER	2720	28529	\N	\N	\N
870609	2965	1996-12-29	VYDAJ	VYBER	2720	27012	\N	\N	\N
870610	2965	1997-10-29	VYDAJ	VYBER	2960	13360	\N	\N	\N
870611	2965	1997-01-03	VYDAJ	VYBER	2320	21203	\N	\N	\N
870612	2965	1997-07-07	VYDAJ	VYBER	2720	14036	\N	\N	\N
870613	2965	1997-02-13	VYDAJ	VYBER	1040	24786	\N	\N	\N
870615	2965	1998-05-23	VYDAJ	VYBER	1280	25452	\N	\N	\N
870616	2965	1998-03-12	VYDAJ	VYBER	2400	23287	\N	\N	\N
870617	2965	1998-07-22	VYDAJ	VYBER	2480	17039	\N	\N	\N
870618	2965	1998-08-21	VYDAJ	VYBER	2160	17906	\N	\N	\N
870619	2965	1998-03-04	VYDAJ	VYBER	720	20070	\N	\N	\N
870620	2965	1998-01-27	VYDAJ	VYBER	1280	17691	\N	\N	\N
870621	2965	1998-10-18	VYDAJ	VYBER	3920	20050	\N	\N	\N
870637	2965	1996-03-31	VYDAJ	VYBER	15	25213	SLUZBY	\N	\N
870638	2965	1996-04-30	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
870639	2965	1996-05-31	VYDAJ	VYBER	15	28635	SLUZBY	\N	\N
870640	2965	1996-06-30	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
870641	2965	1996-07-31	VYDAJ	VYBER	15	26482	SLUZBY	\N	\N
870642	2965	1996-08-31	VYDAJ	VYBER	15	27556	SLUZBY	\N	\N
870643	2965	1996-09-30	VYDAJ	VYBER	15	30632	SLUZBY	\N	\N
870644	2965	1996-10-31	VYDAJ	VYBER	15	32323	SLUZBY	\N	\N
870645	2965	1996-11-30	VYDAJ	VYBER	15	29463	SLUZBY	\N	\N
870646	2965	1996-12-31	VYDAJ	VYBER	15	27123	SLUZBY	\N	\N
870647	2965	1997-01-31	VYDAJ	VYBER	15	23409	SLUZBY	\N	\N
870648	2965	1997-02-28	VYDAJ	VYBER	15	22221	SLUZBY	\N	\N
870649	2965	1997-03-31	VYDAJ	VYBER	15	21469	SLUZBY	\N	\N
870650	2965	1997-04-30	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
870651	2965	1997-05-31	VYDAJ	VYBER	15	17228	SLUZBY	\N	\N
870652	2965	1997-06-30	VYDAJ	VYBER	15	11139	SLUZBY	\N	\N
870653	2965	1997-07-31	VYDAJ	VYBER	15	11422	SLUZBY	\N	\N
870654	2965	1997-08-31	VYDAJ	VYBER	15	14431	SLUZBY	\N	\N
870655	2965	1997-09-30	VYDAJ	VYBER	15	13351	SLUZBY	\N	\N
870656	2965	1997-10-31	VYDAJ	VYBER	15	13407	SLUZBY	\N	\N
870657	2965	1997-11-30	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
870658	2965	1997-12-31	VYDAJ	VYBER	15	18002	SLUZBY	\N	\N
870659	2965	1998-01-31	VYDAJ	VYBER	15	17755	SLUZBY	\N	\N
870660	2965	1998-02-28	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
870661	2965	1998-03-31	VYDAJ	VYBER	15	20715	SLUZBY	\N	\N
870662	2965	1998-04-30	VYDAJ	VYBER	15	23763	SLUZBY	\N	\N
870663	2965	1998-05-31	VYDAJ	VYBER	15	13533	SLUZBY	\N	\N
870664	2965	1998-06-30	VYDAJ	VYBER	15	16550	SLUZBY	\N	\N
870665	2965	1998-07-31	VYDAJ	VYBER	15	17097	SLUZBY	\N	\N
870666	2965	1998-08-31	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
870667	2965	1998-09-30	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
870668	2965	1998-10-31	VYDAJ	VYBER	15	20122	SLUZBY	\N	\N
870669	2965	1998-11-30	VYDAJ	VYBER	15	23167	SLUZBY	\N	\N
870670	2965	1996-06-06	VYDAJ	VYBER	1100	33152	\N	\N	\N
870671	2965	1996-07-06	VYDAJ	VYBER	2600	29032	\N	\N	\N
870672	2965	1996-08-05	VYDAJ	VYBER	2000	30099	\N	\N	\N
870673	2965	1996-10-04	VYDAJ	VYBER	1400	29232	\N	\N	\N
870674	2965	1996-11-03	VYDAJ	VYBER	2100	26383	\N	\N	\N
870675	2965	1996-12-03	VYDAJ	VYBER	1300	28163	\N	\N	\N
870676	2965	1997-01-02	VYDAJ	VYBER	3600	23523	\N	\N	\N
870677	2965	1997-02-01	VYDAJ	VYBER	3200	20209	\N	\N	\N
870678	2965	1997-03-03	VYDAJ	VYBER	3800	18421	\N	\N	\N
870679	2965	1997-04-02	VYDAJ	VYBER	7400	14069	\N	\N	\N
870680	2965	1997-05-02	VYDAJ	VYBER	2900	14200	\N	\N	\N
870681	2965	1997-09-29	VYDAJ	VYBER	4100	13300	\N	\N	\N
870682	2965	1998-05-27	VYDAJ	VYBER	12000	13452	\N	\N	\N
870717	2966	1997-03-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
870718	2966	1997-03-30	PRIJEM	VKLAD	9328	10428	\N	\N	\N
870719	2966	1997-04-13	PRIJEM	VKLAD	7640	38447	\N	\N	\N
870721	2966	1997-12-11	PRIJEM	VKLAD	45203	75108	\N	\N	\N
870722	2966	1997-12-22	PRIJEM	VKLAD	6448	74596	\N	\N	\N
870725	2966	1997-09-10	PRIJEM	VKLAD	15342	39959	\N	\N	\N
870726	2966	1997-10-24	PRIJEM	VKLAD	5986	56237	\N	\N	\N
870727	2966	1997-09-12	PRIJEM	VKLAD	18434	58393	\N	\N	\N
870728	2966	1997-06-09	PRIJEM	VKLAD	32783	88899	\N	\N	\N
870729	2966	1997-06-05	PRIJEM	VKLAD	25313	56116	\N	\N	\N
870731	2966	1997-08-19	PRIJEM	VKLAD	21775	57628	\N	\N	\N
870735	2966	1997-04-09	PRIJEM	VKLAD	20376	30807	\N	\N	\N
870737	2966	1997-07-09	PRIJEM	VKLAD	19641	74939	\N	\N	\N
870738	2966	1997-10-11	PRIJEM	VKLAD	36728	76311	\N	\N	\N
870739	2966	1998-04-26	PRIJEM	VKLAD	12358	83205	\N	\N	\N
870740	2966	1998-11-26	PRIJEM	VKLAD	30193	98509	\N	\N	\N
870741	2966	1998-07-03	PRIJEM	VKLAD	9572	74364	\N	\N	\N
870742	2966	1998-05-02	PRIJEM	VKLAD	16304	99794	\N	\N	\N
870743	2966	1998-02-23	PRIJEM	VKLAD	30229	96805	\N	\N	\N
870744	2966	1998-03-22	PRIJEM	VKLAD	28128	99022	\N	\N	\N
870745	2966	1998-02-09	PRIJEM	VKLAD	9842	85359	\N	\N	\N
870746	2966	1998-06-15	PRIJEM	VKLAD	8407	78309	\N	\N	\N
870747	2966	1998-06-06	PRIJEM	VKLAD	46214	114662	\N	\N	\N
870748	2966	1998-07-13	PRIJEM	VKLAD	10494	84858	\N	\N	\N
870749	2966	1998-10-14	PRIJEM	VKLAD	17641	113341	\N	\N	\N
870750	2966	1998-08-31	PRIJEM	VKLAD	47178	130528	\N	\N	\N
870751	2966	1998-03-13	PRIJEM	VKLAD	22366	112554	\N	\N	\N
870752	2966	1998-02-06	PRIJEM	VKLAD	40769	75517	\N	\N	\N
870753	2966	1998-12-15	PRIJEM	VKLAD	19281	108099	\N	\N	\N
870754	2966	1998-09-06	PRIJEM	VKLAD	9417	113530	\N	\N	\N
870755	2966	1998-11-12	PRIJEM	VKLAD	19879	74776	\N	\N	\N
870756	2966	1998-09-16	PRIJEM	VKLAD	39697	113467	\N	\N	\N
870757	2966	1998-08-31	PRIJEM	VKLAD	21462	83054	\N	\N	\N
870758	2966	1998-12-25	PRIJEM	VKLAD	45437	118136	\N	\N	\N
870759	2966	1998-10-01	PRIJEM	VKLAD	41587	100260	\N	\N	\N
870760	2966	1998-03-01	PRIJEM	VKLAD	32790	129888	\N	\N	\N
870761	2966	1998-02-11	PRIJEM	VKLAD	28777	114136	\N	\N	\N
870762	2966	1998-04-26	PRIJEM	VKLAD	16570	70847	\N	\N	\N
870763	2966	1998-07-21	PRIJEM	VKLAD	9466	73964	\N	\N	\N
870769	2966	1997-06-13	VYDAJ	PREVOD NA UCET	4560	84339	SIPO	EF	86442154
870770	2966	1997-07-13	VYDAJ	PREVOD NA UCET	4560	70379	SIPO	EF	86442154
870771	2966	1997-08-13	VYDAJ	PREVOD NA UCET	4560	35853	SIPO	EF	86442154
870772	2966	1997-09-13	VYDAJ	PREVOD NA UCET	4560	53833	SIPO	EF	86442154
870773	2966	1997-10-13	VYDAJ	PREVOD NA UCET	4560	71751	SIPO	EF	86442154
870774	2966	1997-11-13	VYDAJ	PREVOD NA UCET	4560	27153	SIPO	EF	86442154
870775	2966	1997-12-13	VYDAJ	PREVOD NA UCET	4560	70548	SIPO	EF	86442154
870776	2966	1998-01-13	VYDAJ	PREVOD NA UCET	4560	19628	SIPO	EF	86442154
870777	2966	1998-02-13	VYDAJ	PREVOD NA UCET	4560	86776	SIPO	EF	86442154
870778	2966	1998-03-13	VYDAJ	PREVOD NA UCET	4560	70894	SIPO	EF	86442154
870779	2966	1998-04-13	VYDAJ	PREVOD NA UCET	4560	68977	SIPO	EF	86442154
870780	2966	1998-05-13	VYDAJ	PREVOD NA UCET	4560	95234	SIPO	EF	86442154
870781	2966	1998-06-13	VYDAJ	PREVOD NA UCET	4560	69902	SIPO	EF	86442154
870782	2966	1998-07-13	VYDAJ	PREVOD NA UCET	4560	80298	SIPO	EF	86442154
870783	2966	1998-08-13	VYDAJ	PREVOD NA UCET	4560	69692	SIPO	EF	86442154
870784	2966	1998-09-13	VYDAJ	PREVOD NA UCET	4560	73770	SIPO	EF	86442154
870785	2966	1998-10-13	VYDAJ	PREVOD NA UCET	4560	95700	SIPO	EF	86442154
870786	2966	1998-11-13	VYDAJ	PREVOD NA UCET	4560	70216	SIPO	EF	86442154
870787	2966	1998-12-13	VYDAJ	PREVOD NA UCET	4560	88818	SIPO	EF	86442154
870790	2966	1997-08-31	VYBER	VYBER	5750	24631	\N	\N	\N
870794	2966	1997-11-01	VYBER	VYBER	24736	31713	\N	\N	\N
870798	2966	1997-08-19	VYBER	VYBER	18411	39217	\N	\N	\N
870802	2966	1998-06-09	VYDAJ	VYBER	14100	74462	\N	\N	\N
870804	2966	1998-01-03	VYDAJ	VYBER	13800	39488	\N	\N	\N
870805	2966	1997-12-14	VYDAJ	VYBER	2400	68148	\N	\N	\N
870806	2966	1998-12-18	VYDAJ	VYBER KARTOU	3900	76299	\N	\N	0
870813	2966	1998-01-08	VYDAJ	VYBER	7800	27488	\N	\N	\N
870814	2966	1998-01-11	VYDAJ	VYBER	3300	24188	\N	\N	\N
870817	2966	1998-01-02	VYDAJ	VYBER	3300	53288	\N	\N	\N
870818	2966	1998-01-08	VYDAJ	VYBER	4200	35288	\N	\N	\N
870819	2966	1997-08-11	VYDAJ	VYBER	7800	40413	\N	\N	\N
870821	2966	1997-11-24	VYDAJ	VYBER	2400	29753	\N	\N	\N
870823	2966	1998-12-11	VYDAJ	VYBER KARTOU	5400	93378	\N	\N	0
870824	2966	1998-10-14	VYDAJ	VYBER KARTOU	1500	111841	\N	\N	0
870825	2966	1998-05-15	VYDAJ	VYBER	11400	83834	\N	\N	\N
870826	2966	1998-12-18	VYDAJ	VYBER KARTOU	3600	72699	\N	\N	0
870833	2966	1997-06-30	VYDAJ	VYBER	15	55298	SLUZBY	\N	\N
870834	2966	1997-07-31	VYDAJ	VYBER	15	48213	SLUZBY	\N	\N
870835	2966	1997-08-31	VYDAJ	VYBER	15	24617	SLUZBY	\N	\N
870836	2966	1997-09-30	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
870837	2966	1997-10-31	VYDAJ	VYBER	15	56449	SLUZBY	\N	\N
870838	2966	1997-11-30	VYDAJ	VYBER	15	29905	SLUZBY	\N	\N
870839	2966	1997-12-31	VYDAJ	VYBER	15	56588	SLUZBY	\N	\N
870840	2966	1998-01-31	VYDAJ	VYBER	15	34748	SLUZBY	\N	\N
870841	2966	1998-02-28	VYDAJ	VYBER	15	97098	SLUZBY	\N	\N
870842	2966	1998-03-31	VYDAJ	VYBER	15	73537	SLUZBY	\N	\N
870843	2966	1998-04-30	VYDAJ	VYBER	15	83490	SLUZBY	\N	\N
870844	2966	1998-05-31	VYDAJ	VYBER	15	68448	SLUZBY	\N	\N
870845	2966	1998-06-30	VYDAJ	VYBER	15	64792	SLUZBY	\N	\N
870846	2966	1998-07-31	VYDAJ	VYBER	15	74252	SLUZBY	\N	\N
870847	2966	1998-08-31	VYDAJ	VYBER	15	130513	SLUZBY	\N	\N
870848	2966	1998-09-30	VYDAJ	VYBER	15	58673	SLUZBY	\N	\N
870849	2966	1998-10-31	VYDAJ	VYBER	15	54897	SLUZBY	\N	\N
870850	2966	1998-11-30	VYDAJ	VYBER	15	98778	SLUZBY	\N	\N
870851	2966	1997-04-26	VYDAJ	VYBER	3700	34747	\N	\N	\N
870852	2966	1997-05-26	VYDAJ	VYBER	4200	30658	\N	\N	\N
870853	2966	1997-06-25	VYDAJ	VYBER	29300	55039	\N	\N	\N
870854	2966	1997-07-25	VYDAJ	VYBER	22400	47979	\N	\N	\N
870855	2966	1997-08-24	VYDAJ	VYBER	9000	30217	\N	\N	\N
870856	2966	1997-09-23	VYDAJ	VYBER	14400	39433	\N	\N	\N
870857	2966	1997-10-23	VYDAJ	VYBER	21500	50251	\N	\N	\N
870858	2966	1997-11-22	PRIJEM	VKLAD	5000	32153	\N	\N	\N
870859	2966	1997-12-22	VYDAJ	VYBER	18200	56396	\N	\N	\N
870860	2966	1998-01-21	PRIJEM	VKLAD	15000	34628	\N	\N	\N
870861	2966	1998-02-11	VYDAJ	VYBER	22800	91336	\N	\N	\N
870862	2966	1998-02-20	VYDAJ	VYBER	20200	66576	\N	\N	\N
870863	2966	1998-03-01	VYDAJ	VYBER	39700	90188	\N	\N	\N
870864	2966	1998-03-13	VYDAJ	VYBER	37100	75454	\N	\N	\N
870865	2966	1998-03-22	VYDAJ	VYBER	25900	73122	\N	\N	\N
870866	2966	1998-04-21	VYDAJ	VYBER	14700	54277	\N	\N	\N
870867	2966	1998-05-21	VYDAJ	VYBER	15700	68134	\N	\N	\N
870868	2966	1998-06-06	VYDAJ	VYBER	26100	88562	\N	\N	\N
870869	2966	1998-06-20	VYDAJ	VYBER	13800	64509	\N	\N	\N
870870	2966	1998-07-20	VYDAJ	VYBER	15800	64498	\N	\N	\N
870871	2966	1998-08-19	VYDAJ	VYBER	8100	61592	\N	\N	\N
870872	2966	1998-08-31	VYDAJ	VYBER	26400	104113	\N	\N	\N
870873	2966	1998-09-06	VYDAJ	VYBER	35200	78330	\N	\N	\N
870874	2966	1998-09-16	VYDAJ	VYBER	47700	65767	\N	\N	\N
870875	2966	1998-09-18	VYDAJ	VYBER	7400	58367	\N	\N	\N
870876	2966	1998-10-14	VYDAJ	VYBER	63100	48741	\N	\N	\N
870877	2966	1998-10-18	PRIJEM	VKLAD	5900	54641	\N	\N	\N
870878	2966	1998-11-17	VYDAJ	VYBER KARTOU	1900	68316	\N	\N	0
870879	2966	1998-12-17	VYDAJ	VYBER	27900	80199	\N	\N	\N
870880	2966	1998-12-25	VYDAJ	VYBER	40800	77336	\N	\N	\N
870903	2967	1996-11-13	PRIJEM	VKLAD	400	400	\N	\N	\N
870915	2967	1996-12-07	PRIJEM	VKLAD	20788	21188	\N	\N	\N
870916	2967	1997-01-07	PRIJEM	VKLAD	13859	36404	\N	\N	\N
870917	2967	1997-02-07	PRIJEM	VKLAD	13859	45782	\N	\N	\N
870918	2967	1997-03-07	PRIJEM	VKLAD	13859	46877	\N	\N	\N
870919	2967	1997-04-07	PRIJEM	VKLAD	13859	50081	\N	\N	\N
870920	2967	1997-05-07	PRIJEM	VKLAD	13859	42571	\N	\N	\N
870921	2967	1997-06-07	PRIJEM	VKLAD	20788	43839	\N	\N	\N
870922	2967	1997-07-07	PRIJEM	VKLAD	13859	37412	\N	\N	\N
870923	2967	1997-08-07	PRIJEM	VKLAD	13859	29389	\N	\N	\N
870924	2967	1997-09-07	PRIJEM	VKLAD	13859	28569	\N	\N	\N
870925	2967	1997-10-07	PRIJEM	VKLAD	13859	32111	\N	\N	\N
870926	2967	1997-11-07	PRIJEM	VKLAD	13859	33060	\N	\N	\N
870927	2967	1997-12-07	PRIJEM	VKLAD	20788	35324	\N	\N	\N
870928	2967	1998-01-07	PRIJEM	VKLAD	13859	26357	\N	\N	\N
870929	2967	1998-02-07	PRIJEM	VKLAD	13859	19898	\N	\N	\N
870930	2967	1998-03-07	PRIJEM	VKLAD	13859	25611	\N	\N	\N
870931	2967	1998-04-07	PRIJEM	VKLAD	13859	25730	\N	\N	\N
870932	2967	1998-05-07	PRIJEM	VKLAD	13859	23546	\N	\N	\N
870933	2967	1998-06-07	PRIJEM	VKLAD	20788	37097	\N	\N	\N
870934	2967	1998-07-07	PRIJEM	VKLAD	13859	35473	\N	\N	\N
870935	2967	1998-08-07	PRIJEM	VKLAD	13859	29744	\N	\N	\N
870936	2967	1998-09-07	PRIJEM	VKLAD	13859	29901	\N	\N	\N
870937	2967	1998-10-07	PRIJEM	VKLAD	13859	24959	\N	\N	\N
870938	2967	1998-11-07	PRIJEM	VKLAD	13859	30699	\N	\N	\N
870939	2967	1998-12-07	PRIJEM	VKLAD	20788	36086	\N	\N	\N
870955	2967	1997-04-12	VYDAJ	PREVOD NA UCET	2666	47415	SIPO	QR	98696469
870956	2967	1997-05-12	VYDAJ	PREVOD NA UCET	2666	31105	SIPO	QR	98696469
870957	2967	1997-06-12	VYDAJ	PREVOD NA UCET	2666	28973	SIPO	QR	98696469
870958	2967	1997-07-12	VYDAJ	PREVOD NA UCET	2666	26246	SIPO	QR	98696469
870959	2967	1997-08-12	VYDAJ	PREVOD NA UCET	2666	24123	SIPO	QR	98696469
870960	2967	1997-09-12	VYDAJ	PREVOD NA UCET	2666	23703	SIPO	QR	98696469
870961	2967	1997-10-12	VYDAJ	PREVOD NA UCET	2666	24645	SIPO	QR	98696469
870962	2967	1997-11-12	VYDAJ	PREVOD NA UCET	2666	19994	SIPO	QR	98696469
870963	2967	1997-12-12	VYDAJ	PREVOD NA UCET	2666	21758	SIPO	QR	98696469
870964	2967	1998-01-12	VYDAJ	PREVOD NA UCET	2666	11531	SIPO	QR	98696469
870965	2967	1998-02-12	VYDAJ	PREVOD NA UCET	2666	17232	SIPO	QR	98696469
870966	2967	1998-03-12	VYDAJ	PREVOD NA UCET	2666	17345	SIPO	QR	98696469
870967	2967	1998-04-12	VYDAJ	PREVOD NA UCET	2666	15164	SIPO	QR	98696469
870968	2967	1998-05-12	VYDAJ	PREVOD NA UCET	2666	18680	SIPO	QR	98696469
870969	2967	1998-06-12	VYDAJ	PREVOD NA UCET	2666	34431	SIPO	QR	98696469
870970	2967	1998-07-12	VYDAJ	PREVOD NA UCET	2666	32807	SIPO	QR	98696469
870971	2967	1998-08-12	VYDAJ	PREVOD NA UCET	2666	27078	SIPO	QR	98696469
870972	2967	1998-09-12	VYDAJ	PREVOD NA UCET	2666	27235	SIPO	QR	98696469
870973	2967	1998-10-12	VYDAJ	PREVOD NA UCET	2666	22293	SIPO	QR	98696469
870974	2967	1998-11-12	VYDAJ	PREVOD NA UCET	2666	28033	SIPO	QR	98696469
870975	2967	1998-12-12	VYDAJ	PREVOD NA UCET	2666	32460	SIPO	QR	98696469
870991	2967	1997-04-14	VYDAJ	PREVOD NA UCET	1042	33073	 	YZ	72003149
870992	2967	1997-05-14	VYDAJ	PREVOD NA UCET	1042	30063	 	YZ	72003149
870993	2967	1997-06-14	VYDAJ	PREVOD NA UCET	1042	27931	 	YZ	72003149
870994	2967	1997-07-14	VYDAJ	PREVOD NA UCET	1042	25204	 	YZ	72003149
870995	2967	1997-08-14	VYDAJ	PREVOD NA UCET	1042	23081	 	YZ	72003149
870996	2967	1997-09-14	VYDAJ	PREVOD NA UCET	1042	22661	 	YZ	72003149
870997	2967	1997-10-14	VYDAJ	PREVOD NA UCET	1042	23603	 	YZ	72003149
870998	2967	1997-11-14	VYDAJ	PREVOD NA UCET	1042	18952	 	YZ	72003149
870999	2967	1997-12-14	VYDAJ	PREVOD NA UCET	1042	20716	 	YZ	72003149
871000	2967	1998-01-14	VYDAJ	PREVOD NA UCET	1042	10489	 	YZ	72003149
871001	2967	1998-02-14	VYDAJ	PREVOD NA UCET	1042	16190	 	YZ	72003149
871002	2967	1998-03-14	VYDAJ	PREVOD NA UCET	1042	16303	 	YZ	72003149
871003	2967	1998-04-14	VYDAJ	PREVOD NA UCET	1042	14122	 	YZ	72003149
871004	2967	1998-05-14	VYDAJ	PREVOD NA UCET	1042	17638	 	YZ	72003149
871005	2967	1998-06-14	VYDAJ	PREVOD NA UCET	1042	33389	 	YZ	72003149
871006	2967	1998-07-14	VYDAJ	PREVOD NA UCET	1042	31765	 	YZ	72003149
871007	2967	1998-08-14	VYDAJ	PREVOD NA UCET	1042	26036	 	YZ	72003149
871008	2967	1998-09-14	VYDAJ	PREVOD NA UCET	1042	26193	 	YZ	72003149
871009	2967	1998-10-14	VYDAJ	PREVOD NA UCET	1042	21251	 	YZ	72003149
871010	2967	1998-11-14	VYDAJ	PREVOD NA UCET	1042	26991	 	YZ	72003149
871011	2967	1998-12-14	VYDAJ	PREVOD NA UCET	1042	31418	 	YZ	72003149
871028	2967	1997-05-06	VYDAJ	PREVOD NA UCET	4489	28712	POJISTNE	KL	50707632
871029	2967	1997-06-06	VYDAJ	PREVOD NA UCET	4489	23051	POJISTNE	KL	50707632
871030	2967	1997-07-06	VYDAJ	PREVOD NA UCET	4489	23553	POJISTNE	KL	50707632
871031	2967	1997-08-06	VYDAJ	PREVOD NA UCET	4489	15530	POJISTNE	KL	50707632
871032	2967	1997-09-06	VYDAJ	PREVOD NA UCET	4489	14710	POJISTNE	KL	50707632
871033	2967	1997-10-06	VYDAJ	PREVOD NA UCET	4489	18252	POJISTNE	KL	50707632
871034	2967	1997-11-06	VYDAJ	PREVOD NA UCET	4489	19201	POJISTNE	KL	50707632
871035	2967	1997-12-06	VYDAJ	PREVOD NA UCET	4489	14536	POJISTNE	KL	50707632
871036	2967	1998-01-06	VYDAJ	PREVOD NA UCET	4489	12498	POJISTNE	KL	50707632
871037	2967	1998-02-06	VYDAJ	PREVOD NA UCET	4489	6039	POJISTNE	KL	50707632
871038	2967	1998-03-06	VYDAJ	PREVOD NA UCET	4489	11752	POJISTNE	KL	50707632
871039	2967	1998-04-06	VYDAJ	PREVOD NA UCET	4489	11871	POJISTNE	KL	50707632
871040	2967	1998-05-06	VYDAJ	PREVOD NA UCET	4489	9687	POJISTNE	KL	50707632
871041	2967	1998-06-06	VYDAJ	PREVOD NA UCET	4489	16309	POJISTNE	KL	50707632
871042	2967	1998-07-06	VYDAJ	PREVOD NA UCET	4489	29014	POJISTNE	KL	50707632
871043	2967	1998-08-06	VYDAJ	PREVOD NA UCET	4489	15885	POJISTNE	KL	50707632
871044	2967	1998-09-06	VYDAJ	PREVOD NA UCET	4489	16042	POJISTNE	KL	50707632
871045	2967	1998-10-06	VYDAJ	PREVOD NA UCET	4489	11100	POJISTNE	KL	50707632
871046	2967	1998-11-06	VYDAJ	PREVOD NA UCET	4489	16840	POJISTNE	KL	50707632
871047	2967	1998-12-06	VYDAJ	PREVOD NA UCET	4489	15298	POJISTNE	KL	50707632
871055	2967	1997-12-22	VYDAJ	VYBER	2240	18476	\N	\N	\N
871056	2967	1998-12-22	VYDAJ	VYBER	2720	28698	\N	\N	\N
871069	2967	1998-01-05	VYDAJ	VYBER	720	16987	\N	\N	\N
871070	2967	1998-01-10	VYDAJ	VYBER	1800	16957	\N	\N	\N
871072	2967	1998-01-02	VYDAJ	VYBER	840	17707	\N	\N	\N
871074	2967	1998-01-11	VYDAJ	VYBER	2760	14197	\N	\N	\N
871079	2967	1997-08-23	VYDAJ	VYBER	3960	19121	\N	\N	\N
871080	2967	1997-07-24	VYDAJ	VYBER	5280	19924	\N	\N	\N
871081	2967	1997-05-19	VYDAJ	VYBER	2640	27423	\N	\N	\N
871082	2967	1998-12-11	VYDAJ	VYBER	960	35126	\N	\N	\N
871084	2967	1998-12-30	VYDAJ	VYBER	5280	23418	\N	\N	\N
871085	2967	1998-07-16	VYDAJ	VYBER	5400	26365	\N	\N	\N
871102	2967	1997-04-30	VYDAJ	VYBER	15	33201	SLUZBY	\N	\N
871103	2967	1997-05-31	VYDAJ	VYBER	15	27540	SLUZBY	\N	\N
871104	2967	1997-06-30	VYDAJ	VYBER	15	28042	SLUZBY	\N	\N
871105	2967	1997-07-31	VYDAJ	VYBER	15	20019	SLUZBY	\N	\N
871106	2967	1997-08-31	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
871107	2967	1997-09-30	VYDAJ	VYBER	15	22741	SLUZBY	\N	\N
871108	2967	1997-10-31	VYDAJ	VYBER	15	23690	SLUZBY	\N	\N
871109	2967	1997-11-30	VYDAJ	VYBER	15	19025	SLUZBY	\N	\N
871110	2967	1997-12-31	VYDAJ	VYBER	15	18547	SLUZBY	\N	\N
871111	2967	1998-01-31	VYDAJ	VYBER	15	10528	SLUZBY	\N	\N
871112	2967	1998-02-28	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
871113	2967	1998-03-31	VYDAJ	VYBER	15	16360	SLUZBY	\N	\N
871114	2967	1998-04-30	VYDAJ	VYBER	15	14176	SLUZBY	\N	\N
871115	2967	1998-05-31	VYDAJ	VYBER	15	17698	SLUZBY	\N	\N
871116	2967	1998-06-30	VYDAJ	VYBER	15	33503	SLUZBY	\N	\N
871117	2967	1998-07-31	VYDAJ	VYBER	15	26474	SLUZBY	\N	\N
871118	2967	1998-08-31	VYDAJ	VYBER	15	26131	SLUZBY	\N	\N
871119	2967	1998-09-30	VYDAJ	VYBER	15	26289	SLUZBY	\N	\N
871120	2967	1998-10-31	VYDAJ	VYBER	15	21329	SLUZBY	\N	\N
871121	2967	1998-11-30	VYDAJ	VYBER	15	27087	SLUZBY	\N	\N
871122	2967	1996-12-13	PRIJEM	VKLAD	1300	22488	\N	\N	\N
871123	2967	1997-01-12	VYDAJ	VYBER	4600	31804	\N	\N	\N
871124	2967	1997-02-11	VYDAJ	VYBER	12900	32882	\N	\N	\N
871125	2967	1997-03-13	VYDAJ	VYBER	10800	36077	\N	\N	\N
871126	2967	1997-04-12	VYDAJ	VYBER	13300	34115	\N	\N	\N
871127	2967	1997-05-12	VYDAJ	VYBER	8800	33771	\N	\N	\N
871128	2967	1997-06-11	VYDAJ	VYBER	12200	31639	\N	\N	\N
871129	2967	1997-07-11	VYDAJ	VYBER	8500	28912	\N	\N	\N
871130	2967	1997-08-10	VYDAJ	VYBER	2600	26789	\N	\N	\N
871131	2967	1997-09-09	VYDAJ	VYBER	2200	26369	\N	\N	\N
871132	2967	1997-10-09	VYDAJ	VYBER	4800	27311	\N	\N	\N
871133	2967	1997-11-08	VYDAJ	VYBER	10400	22660	\N	\N	\N
871134	2967	1997-12-08	VYDAJ	VYBER	10900	24424	\N	\N	\N
871135	2967	1998-01-07	VYDAJ	VYBER	7600	18757	\N	\N	\N
871136	2967	1998-03-08	VYDAJ	VYBER	5600	20011	\N	\N	\N
871137	2967	1998-04-07	VYDAJ	VYBER	7900	17830	\N	\N	\N
871138	2967	1998-05-07	VYDAJ	VYBER	2200	21346	\N	\N	\N
871139	2967	1998-06-06	PRIJEM	VKLAD	3100	20798	\N	\N	\N
871140	2967	1998-07-06	VYDAJ	VYBER	7400	21614	\N	\N	\N
871141	2967	1998-08-05	VYDAJ	VYBER	6100	20374	\N	\N	\N
871142	2967	1998-09-04	VYDAJ	VYBER	5600	20531	\N	\N	\N
871143	2967	1998-10-04	VYDAJ	VYBER	10700	15589	\N	\N	\N
871144	2967	1998-12-03	VYDAJ	VYBER	7300	19787	\N	\N	\N
871170	2968	1995-02-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
871172	2968	1995-02-12	PRIJEM	PREVOD Z UCTU	35548	36648	\N	YZ	40064066
871173	2968	1995-03-12	PRIJEM	PREVOD Z UCTU	35548	65689	\N	YZ	40064066
871174	2968	1995-04-12	PRIJEM	PREVOD Z UCTU	35548	79468	\N	YZ	40064066
871175	2968	1995-05-12	PRIJEM	PREVOD Z UCTU	35548	86426	\N	YZ	40064066
871176	2968	1995-06-12	PRIJEM	PREVOD Z UCTU	53322	107797	\N	YZ	40064066
871177	2968	1995-07-12	PRIJEM	PREVOD Z UCTU	35548	92324	\N	YZ	40064066
871178	2968	1995-08-12	PRIJEM	PREVOD Z UCTU	35548	89251	\N	YZ	40064066
871179	2968	1995-09-12	PRIJEM	PREVOD Z UCTU	35548	88968	\N	YZ	40064066
871180	2968	1995-10-12	PRIJEM	PREVOD Z UCTU	35548	86781	\N	YZ	40064066
871181	2968	1995-11-12	PRIJEM	PREVOD Z UCTU	35548	87655	\N	YZ	40064066
871182	2968	1995-12-12	PRIJEM	PREVOD Z UCTU	53322	103034	\N	YZ	40064066
871183	2968	1996-01-12	PRIJEM	PREVOD Z UCTU	35548	62598	\N	YZ	40064066
871184	2968	1996-02-12	PRIJEM	PREVOD Z UCTU	35548	60129	\N	YZ	40064066
871185	2968	1996-03-12	PRIJEM	PREVOD Z UCTU	35548	74298	\N	YZ	40064066
871186	2968	1996-04-12	PRIJEM	PREVOD Z UCTU	35548	63263	\N	YZ	40064066
871187	2968	1996-05-12	PRIJEM	PREVOD Z UCTU	35548	75133	\N	YZ	40064066
871188	2968	1996-06-12	PRIJEM	PREVOD Z UCTU	53322	85306	\N	YZ	40064066
871189	2968	1996-07-12	PRIJEM	PREVOD Z UCTU	35548	83239	\N	YZ	40064066
871190	2968	1996-08-12	PRIJEM	PREVOD Z UCTU	35548	76365	\N	YZ	40064066
871191	2968	1996-09-12	PRIJEM	PREVOD Z UCTU	35548	79070	\N	YZ	40064066
871192	2968	1996-10-12	PRIJEM	PREVOD Z UCTU	35548	80574	\N	YZ	40064066
871193	2968	1996-11-12	PRIJEM	PREVOD Z UCTU	35548	62381	\N	YZ	40064066
871194	2968	1996-12-12	PRIJEM	PREVOD Z UCTU	53322	88508	\N	YZ	40064066
871195	2968	1997-01-12	PRIJEM	PREVOD Z UCTU	35548	67392	\N	YZ	40064066
871196	2968	1997-02-12	PRIJEM	PREVOD Z UCTU	35548	64246	\N	YZ	40064066
871197	2968	1997-03-12	PRIJEM	PREVOD Z UCTU	35548	60801	\N	YZ	40064066
871198	2968	1997-04-12	PRIJEM	PREVOD Z UCTU	35548	73031	\N	YZ	40064066
871199	2968	1997-05-12	PRIJEM	PREVOD Z UCTU	35548	65503	\N	YZ	40064066
871200	2968	1997-06-12	PRIJEM	PREVOD Z UCTU	53322	88433	\N	YZ	40064066
871201	2968	1997-07-12	PRIJEM	PREVOD Z UCTU	35548	65957	\N	YZ	40064066
871202	2968	1997-08-12	PRIJEM	PREVOD Z UCTU	35548	61883	\N	YZ	40064066
871203	2968	1997-09-12	PRIJEM	PREVOD Z UCTU	35548	65698	\N	YZ	40064066
871204	2968	1997-10-12	PRIJEM	PREVOD Z UCTU	35548	65927	\N	YZ	40064066
871205	2968	1997-11-12	PRIJEM	PREVOD Z UCTU	35548	73059	\N	YZ	40064066
871206	2968	1997-12-12	PRIJEM	PREVOD Z UCTU	53322	86387	\N	YZ	40064066
871207	2968	1998-01-12	PRIJEM	PREVOD Z UCTU	35548	69004	\N	YZ	40064066
871208	2968	1998-02-12	PRIJEM	PREVOD Z UCTU	35548	60442	\N	YZ	40064066
871209	2968	1998-03-12	PRIJEM	PREVOD Z UCTU	35548	64238	\N	YZ	40064066
871210	2968	1998-04-12	PRIJEM	PREVOD Z UCTU	35548	70358	\N	YZ	40064066
871211	2968	1998-05-12	PRIJEM	PREVOD Z UCTU	35548	72699	\N	YZ	40064066
871212	2968	1998-06-12	PRIJEM	PREVOD Z UCTU	53322	81116	\N	YZ	40064066
871213	2968	1998-07-12	PRIJEM	PREVOD Z UCTU	35548	71811	\N	YZ	40064066
871214	2968	1998-08-12	PRIJEM	PREVOD Z UCTU	35548	65365	\N	YZ	40064066
871215	2968	1998-09-12	PRIJEM	PREVOD Z UCTU	35548	70276	\N	YZ	40064066
871216	2968	1998-10-12	PRIJEM	PREVOD Z UCTU	35548	71648	\N	YZ	40064066
871217	2968	1998-11-12	PRIJEM	PREVOD Z UCTU	35548	79187	\N	YZ	40064066
871218	2968	1998-12-12	PRIJEM	PREVOD Z UCTU	53322	81755	\N	YZ	40064066
871224	2968	1995-06-12	VYDAJ	PREVOD NA UCET	1394	106403	SIPO	AB	52683812
871225	2968	1995-07-12	VYDAJ	PREVOD NA UCET	1394	90930	SIPO	AB	52683812
871226	2968	1995-08-12	VYDAJ	PREVOD NA UCET	1394	87857	SIPO	AB	52683812
871227	2968	1995-09-12	VYDAJ	PREVOD NA UCET	1394	87574	SIPO	AB	52683812
871228	2968	1995-10-12	VYDAJ	PREVOD NA UCET	1394	85387	SIPO	AB	52683812
871229	2968	1995-11-12	VYDAJ	PREVOD NA UCET	1394	86261	SIPO	AB	52683812
871230	2968	1995-12-12	VYDAJ	PREVOD NA UCET	1394	101640	SIPO	AB	52683812
871231	2968	1996-01-12	VYDAJ	PREVOD NA UCET	1394	61204	SIPO	AB	52683812
871232	2968	1996-02-12	VYDAJ	PREVOD NA UCET	1394	58735	SIPO	AB	52683812
871233	2968	1996-03-12	VYDAJ	PREVOD NA UCET	1394	72904	SIPO	AB	52683812
871234	2968	1996-04-12	VYDAJ	PREVOD NA UCET	1394	61869	SIPO	AB	52683812
871235	2968	1996-05-12	VYDAJ	PREVOD NA UCET	1394	73739	SIPO	AB	52683812
871236	2968	1996-06-12	VYDAJ	PREVOD NA UCET	1394	83912	SIPO	AB	52683812
871237	2968	1996-07-12	VYDAJ	PREVOD NA UCET	1394	81845	SIPO	AB	52683812
871238	2968	1996-08-12	VYDAJ	PREVOD NA UCET	1394	74971	SIPO	AB	52683812
871239	2968	1996-09-12	VYDAJ	PREVOD NA UCET	1394	77676	SIPO	AB	52683812
871240	2968	1996-10-12	VYDAJ	PREVOD NA UCET	1394	79180	SIPO	AB	52683812
871241	2968	1996-11-12	VYDAJ	PREVOD NA UCET	1394	60987	SIPO	AB	52683812
871242	2968	1996-12-12	VYDAJ	PREVOD NA UCET	1394	87114	SIPO	AB	52683812
871243	2968	1997-01-12	VYDAJ	PREVOD NA UCET	1394	65998	SIPO	AB	52683812
871244	2968	1997-02-12	VYDAJ	PREVOD NA UCET	1394	62852	SIPO	AB	52683812
871245	2968	1997-03-12	VYDAJ	PREVOD NA UCET	1394	59407	SIPO	AB	52683812
871246	2968	1997-04-12	VYDAJ	PREVOD NA UCET	1394	71637	SIPO	AB	52683812
871247	2968	1997-05-12	VYDAJ	PREVOD NA UCET	1394	64109	SIPO	AB	52683812
871248	2968	1997-06-12	VYDAJ	PREVOD NA UCET	1394	87039	SIPO	AB	52683812
871249	2968	1997-07-12	VYDAJ	PREVOD NA UCET	1394	64563	SIPO	AB	52683812
871250	2968	1997-08-12	VYDAJ	PREVOD NA UCET	1394	60489	SIPO	AB	52683812
871251	2968	1997-09-12	VYDAJ	PREVOD NA UCET	1394	64304	SIPO	AB	52683812
871252	2968	1997-10-12	VYDAJ	PREVOD NA UCET	1394	64533	SIPO	AB	52683812
871253	2968	1997-11-12	VYDAJ	PREVOD NA UCET	1394	71665	SIPO	AB	52683812
871254	2968	1997-12-12	VYDAJ	PREVOD NA UCET	1394	84993	SIPO	AB	52683812
871255	2968	1998-01-12	VYDAJ	PREVOD NA UCET	1394	67610	SIPO	AB	52683812
871256	2968	1998-02-12	VYDAJ	PREVOD NA UCET	1394	59048	SIPO	AB	52683812
871257	2968	1998-03-12	VYDAJ	PREVOD NA UCET	1394	62844	SIPO	AB	52683812
871258	2968	1998-04-12	VYDAJ	PREVOD NA UCET	1394	68964	SIPO	AB	52683812
871259	2968	1998-05-12	VYDAJ	PREVOD NA UCET	1394	71305	SIPO	AB	52683812
871260	2968	1998-06-12	VYDAJ	PREVOD NA UCET	1394	79722	SIPO	AB	52683812
871261	2968	1998-07-12	VYDAJ	PREVOD NA UCET	1394	70417	SIPO	AB	52683812
871262	2968	1998-08-12	VYDAJ	PREVOD NA UCET	1394	63971	SIPO	AB	52683812
871263	2968	1998-09-12	VYDAJ	PREVOD NA UCET	1394	68882	SIPO	AB	52683812
871264	2968	1998-10-12	VYDAJ	PREVOD NA UCET	1394	70254	SIPO	AB	52683812
871265	2968	1998-11-12	VYDAJ	PREVOD NA UCET	1394	77793	SIPO	AB	52683812
871266	2968	1998-12-12	VYDAJ	PREVOD NA UCET	1394	80361	SIPO	AB	52683812
871272	2968	1995-06-14	VYDAJ	PREVOD NA UCET	2284	88919	 	YZ	56916338
871273	2968	1995-07-14	VYDAJ	PREVOD NA UCET	2284	88646	 	YZ	56916338
871274	2968	1995-08-14	VYDAJ	PREVOD NA UCET	2284	85573	 	YZ	56916338
871275	2968	1995-09-14	VYDAJ	PREVOD NA UCET	2284	85290	 	YZ	56916338
871276	2968	1995-10-14	VYDAJ	PREVOD NA UCET	2284	83103	 	YZ	56916338
871277	2968	1995-11-14	VYDAJ	PREVOD NA UCET	2284	83977	 	YZ	56916338
871278	2968	1995-12-14	VYDAJ	PREVOD NA UCET	2284	42956	 	YZ	56916338
871279	2968	1996-01-14	VYDAJ	PREVOD NA UCET	2284	58920	 	YZ	56916338
871280	2968	1996-02-14	VYDAJ	PREVOD NA UCET	2284	56451	 	YZ	56916338
871281	2968	1996-03-14	VYDAJ	PREVOD NA UCET	2284	70620	 	YZ	56916338
871282	2968	1996-04-14	VYDAJ	PREVOD NA UCET	2284	59585	 	YZ	56916338
871283	2968	1996-05-14	VYDAJ	PREVOD NA UCET	2284	71455	 	YZ	56916338
871284	2968	1996-06-14	VYDAJ	PREVOD NA UCET	2284	81628	 	YZ	56916338
871285	2968	1996-07-14	VYDAJ	PREVOD NA UCET	2284	79561	 	YZ	56916338
871286	2968	1996-08-14	VYDAJ	PREVOD NA UCET	2284	72687	 	YZ	56916338
871287	2968	1996-09-14	VYDAJ	PREVOD NA UCET	2284	75392	 	YZ	56916338
871288	2968	1996-10-14	VYDAJ	PREVOD NA UCET	2284	76896	 	YZ	56916338
871289	2968	1996-11-14	VYDAJ	PREVOD NA UCET	2284	58703	 	YZ	56916338
871290	2968	1996-12-14	VYDAJ	PREVOD NA UCET	2284	84830	 	YZ	56916338
871291	2968	1997-01-14	VYDAJ	PREVOD NA UCET	2284	63714	 	YZ	56916338
871292	2968	1997-02-14	VYDAJ	PREVOD NA UCET	2284	60568	 	YZ	56916338
871293	2968	1997-03-14	VYDAJ	PREVOD NA UCET	2284	57123	 	YZ	56916338
871294	2968	1997-04-14	VYDAJ	PREVOD NA UCET	2284	69353	 	YZ	56916338
871295	2968	1997-05-14	VYDAJ	PREVOD NA UCET	2284	61825	 	YZ	56916338
871296	2968	1997-06-14	VYDAJ	PREVOD NA UCET	2284	84755	 	YZ	56916338
871297	2968	1997-07-14	VYDAJ	PREVOD NA UCET	2284	62279	 	YZ	56916338
871298	2968	1997-08-14	VYDAJ	PREVOD NA UCET	2284	58205	 	YZ	56916338
871299	2968	1997-09-14	VYDAJ	PREVOD NA UCET	2284	62020	 	YZ	56916338
871300	2968	1997-10-14	VYDAJ	PREVOD NA UCET	2284	62249	 	YZ	56916338
871301	2968	1997-11-14	VYDAJ	PREVOD NA UCET	2284	69381	 	YZ	56916338
871302	2968	1997-12-14	VYDAJ	PREVOD NA UCET	2284	82709	 	YZ	56916338
871303	2968	1998-01-14	VYDAJ	PREVOD NA UCET	2284	65326	 	YZ	56916338
871304	2968	1998-02-14	VYDAJ	PREVOD NA UCET	2284	56764	 	YZ	56916338
871305	2968	1998-03-14	VYDAJ	PREVOD NA UCET	2284	60560	 	YZ	56916338
871306	2968	1998-04-14	VYDAJ	PREVOD NA UCET	2284	66680	 	YZ	56916338
871307	2968	1998-05-14	VYDAJ	PREVOD NA UCET	2284	69021	 	YZ	56916338
871308	2968	1998-06-14	VYDAJ	PREVOD NA UCET	2284	77438	 	YZ	56916338
871309	2968	1998-07-14	VYDAJ	PREVOD NA UCET	2284	68133	 	YZ	56916338
871310	2968	1998-08-14	VYDAJ	PREVOD NA UCET	2284	61687	 	YZ	56916338
871311	2968	1998-09-14	VYDAJ	PREVOD NA UCET	2284	66598	 	YZ	56916338
871312	2968	1998-10-14	VYDAJ	PREVOD NA UCET	2284	67970	 	YZ	56916338
871313	2968	1998-11-14	VYDAJ	PREVOD NA UCET	2284	75509	 	YZ	56916338
871314	2968	1998-12-14	VYDAJ	PREVOD NA UCET	2284	78077	 	YZ	56916338
871315	2968	1996-04-01	VYBER	VYBER	16160	27715	\N	\N	\N
871316	2968	1997-06-15	VYBER	VYBER	17424	67331	\N	\N	\N
871317	2968	1997-01-29	VYBER	VYBER	3292	28522	\N	\N	\N
871318	2968	1997-02-26	VYBER	VYBER	12577	25091	\N	\N	\N
871319	2968	1998-06-25	VYBER	VYBER	10549	36089	\N	\N	\N
871321	2968	1998-07-19	VYBER	VYBER	15506	52627	\N	\N	\N
871323	2968	1998-11-20	VYBER	VYBER	11699	34410	\N	\N	\N
871324	2968	1998-04-15	VYBER	VYBER	7891	58789	\N	\N	\N
871326	2968	1998-05-29	VYBER	VYBER	7428	30893	\N	\N	\N
871327	2968	1998-12-07	VYBER	VYBER	6146	28433	\N	\N	\N
871328	2968	1998-01-08	VYBER	VYBER	16870	33456	\N	\N	\N
871329	2968	1998-06-01	VYBER	VYBER	3268	27794	\N	\N	\N
871330	2968	1998-12-23	VYBER	VYBER	5261	40116	\N	\N	\N
871331	2968	1998-09-28	VYBER	VYBER	4456	35942	\N	\N	\N
871335	2968	1997-06-17	VYDAJ	VYBER	9900	57431	\N	\N	\N
871338	2968	1996-01-16	VYDAJ	VYBER	16800	42120	\N	\N	\N
871339	2968	1997-01-21	VYDAJ	VYBER	17100	46614	\N	\N	\N
871340	2968	1998-01-20	VYDAJ	VYBER	27900	37426	\N	\N	\N
871341	2968	1995-12-19	VYDAJ	VYBER	7500	35456	\N	\N	\N
871342	2968	1996-12-19	VYDAJ	VYBER	5700	70430	\N	\N	\N
871343	2968	1997-12-10	VYDAJ	VYBER	6900	33065	\N	\N	\N
871344	2968	1998-12-14	VYDAJ	VYBER	6000	72077	\N	\N	\N
871345	2968	1995-10-05	VYDAJ	VYBER	2700	51233	\N	\N	\N
871347	2968	1995-12-08	VYDAJ	VYBER	3900	49712	\N	\N	\N
871351	2968	1996-06-03	VYDAJ	VYBER	14400	31984	\N	\N	\N
871352	2968	1996-12-17	VYDAJ	VYBER	6000	76130	\N	\N	\N
871353	2968	1996-12-16	VYDAJ	VYBER KARTOU	2700	82130	\N	\N	0
871354	2968	1996-02-09	VYDAJ	VYBER	9600	24581	\N	\N	\N
871355	2968	1996-08-06	VYDAJ	VYBER	6300	40817	\N	\N	\N
871356	2968	1996-04-15	VYDAJ	VYBER	3600	55985	\N	\N	\N
871357	2968	1996-11-05	VYDAJ	VYBER	8400	37333	\N	\N	\N
871358	2968	1996-11-08	VYDAJ	VYBER	10500	26833	\N	\N	\N
871359	2968	1997-05-01	VYDAJ	VYBER	11400	29955	\N	\N	\N
871360	2968	1997-07-23	VYDAJ	VYBER	13200	49079	\N	\N	\N
871361	2968	1997-09-26	VYDAJ	VYBER	8400	30220	\N	\N	\N
871362	2968	1997-01-11	VYDAJ	VYBER	9300	31844	\N	\N	\N
871363	2968	1998-05-15	VYDAJ	VYBER KARTOU	2100	66921	\N	\N	0
871372	2968	1995-06-30	VYDAJ	VYBER	15	89276	SLUZBY	\N	\N
871373	2968	1995-07-31	VYDAJ	VYBER	15	89003	SLUZBY	\N	\N
871374	2968	1995-08-31	VYDAJ	VYBER	15	85920	SLUZBY	\N	\N
871375	2968	1995-09-30	VYDAJ	VYBER	15	85633	SLUZBY	\N	\N
871376	2968	1995-10-31	VYDAJ	VYBER	15	83407	SLUZBY	\N	\N
871377	2968	1995-11-30	VYDAJ	VYBER	15	84312	SLUZBY	\N	\N
871378	2968	1995-12-31	VYDAJ	VYBER	15	35650	SLUZBY	\N	\N
871379	2968	1996-01-31	VYDAJ	VYBER	15	42281	SLUZBY	\N	\N
871380	2968	1996-02-29	VYDAJ	VYBER	15	56650	SLUZBY	\N	\N
871381	2968	1996-03-31	VYDAJ	VYBER	15	43875	SLUZBY	\N	\N
871382	2968	1996-04-30	VYDAJ	VYBER	15	39585	SLUZBY	\N	\N
871383	2968	1996-05-31	VYDAJ	VYBER	15	46384	SLUZBY	\N	\N
871384	2968	1996-06-30	VYDAJ	VYBER	15	47691	SLUZBY	\N	\N
871385	2968	1996-07-31	VYDAJ	VYBER	15	47117	SLUZBY	\N	\N
871386	2968	1996-08-31	VYDAJ	VYBER	15	43522	SLUZBY	\N	\N
871387	2968	1996-09-30	VYDAJ	VYBER	15	45026	SLUZBY	\N	\N
871388	2968	1996-10-31	VYDAJ	VYBER	15	45733	SLUZBY	\N	\N
871389	2968	1996-11-30	VYDAJ	VYBER	15	35186	SLUZBY	\N	\N
871390	2968	1996-12-31	VYDAJ	VYBER	15	41144	SLUZBY	\N	\N
871391	2968	1997-01-31	VYDAJ	VYBER	15	28698	SLUZBY	\N	\N
871392	2968	1997-02-28	VYDAJ	VYBER	15	25253	SLUZBY	\N	\N
871393	2968	1997-03-31	VYDAJ	VYBER	15	37483	SLUZBY	\N	\N
871394	2968	1997-04-30	VYDAJ	VYBER	15	41355	SLUZBY	\N	\N
871395	2968	1997-05-31	VYDAJ	VYBER	15	35111	SLUZBY	\N	\N
871396	2968	1997-06-30	VYDAJ	VYBER	15	30409	SLUZBY	\N	\N
871397	2968	1997-07-31	VYDAJ	VYBER	15	26335	SLUZBY	\N	\N
871398	2968	1997-08-31	VYDAJ	VYBER	15	30150	SLUZBY	\N	\N
871399	2968	1997-09-30	VYDAJ	VYBER	15	30379	SLUZBY	\N	\N
871400	2968	1997-10-31	VYDAJ	VYBER	15	37511	SLUZBY	\N	\N
871401	2968	1997-11-30	VYDAJ	VYBER	15	39965	SLUZBY	\N	\N
871402	2968	1997-12-31	VYDAJ	VYBER	15	50326	SLUZBY	\N	\N
871403	2968	1998-01-31	VYDAJ	VYBER	15	24894	SLUZBY	\N	\N
871404	2968	1998-02-28	VYDAJ	VYBER	15	28690	SLUZBY	\N	\N
871405	2968	1998-03-31	VYDAJ	VYBER	15	34810	SLUZBY	\N	\N
871406	2968	1998-04-30	VYDAJ	VYBER	15	37151	SLUZBY	\N	\N
871407	2968	1998-05-31	VYDAJ	VYBER	15	31062	SLUZBY	\N	\N
871408	2968	1998-06-30	VYDAJ	VYBER	15	36263	SLUZBY	\N	\N
871409	2968	1998-07-31	VYDAJ	VYBER	15	29817	SLUZBY	\N	\N
871410	2968	1998-08-31	VYDAJ	VYBER	15	34728	SLUZBY	\N	\N
871411	2968	1998-09-30	VYDAJ	VYBER	15	36100	SLUZBY	\N	\N
871412	2968	1998-10-31	VYDAJ	VYBER	15	43639	SLUZBY	\N	\N
871413	2968	1998-11-30	VYDAJ	VYBER	15	34579	SLUZBY	\N	\N
871414	2968	1995-03-07	VYDAJ	VYBER	6600	30141	\N	\N	\N
871415	2968	1995-04-06	VYDAJ	VYBER	22000	43920	\N	\N	\N
871416	2968	1995-05-06	VYDAJ	VYBER	28900	50878	\N	\N	\N
871417	2968	1995-06-05	VYDAJ	VYBER	32300	54475	\N	\N	\N
871418	2968	1995-06-12	VYDAJ	VYBER	15200	91203	\N	\N	\N
871419	2968	1995-07-05	VYDAJ	VYBER	32500	56776	\N	\N	\N
871420	2968	1995-08-04	VYDAJ	VYBER	35300	53703	\N	\N	\N
871421	2968	1995-09-03	VYDAJ	VYBER	32500	53420	\N	\N	\N
871422	2968	1995-10-03	VYDAJ	VYBER	31700	53933	\N	\N	\N
871423	2968	1995-11-02	VYDAJ	VYBER	31300	52107	\N	\N	\N
871424	2968	1995-12-02	VYDAJ	VYBER	30700	53612	\N	\N	\N
871425	2968	1995-12-12	VYDAJ	VYBER	56400	45240	\N	\N	\N
871426	2968	1996-01-01	VYDAJ	VYBER	8600	27050	\N	\N	\N
871427	2968	1996-01-31	VYDAJ	VYBER	8100	34181	\N	\N	\N
871428	2968	1996-03-01	VYDAJ	VYBER	17900	38750	\N	\N	\N
871429	2968	1996-03-31	VYDAJ	VYBER	27000	43890	\N	\N	\N
871430	2968	1996-04-30	VYDAJ	VYBER	16600	39600	\N	\N	\N
871431	2968	1996-05-30	VYDAJ	VYBER	25300	46155	\N	\N	\N
871432	2968	1996-06-29	VYDAJ	VYBER	34200	47428	\N	\N	\N
871433	2968	1996-07-29	VYDAJ	VYBER	32700	46861	\N	\N	\N
871434	2968	1996-08-28	VYDAJ	VYBER	29400	43287	\N	\N	\N
871435	2968	1996-09-27	VYDAJ	VYBER	30600	44792	\N	\N	\N
871436	2968	1996-10-27	VYDAJ	VYBER	31400	45496	\N	\N	\N
871437	2968	1996-11-26	VYDAJ	VYBER	23700	35003	\N	\N	\N
871438	2968	1996-12-26	VYDAJ	VYBER	29500	40930	\N	\N	\N
871439	2968	1997-01-25	VYDAJ	VYBER	14800	31814	\N	\N	\N
871440	2968	1997-02-24	VYDAJ	VYBER	22900	37668	\N	\N	\N
871441	2968	1997-03-26	VYDAJ	VYBER	19800	37323	\N	\N	\N
871442	2968	1997-04-25	VYDAJ	VYBER	28200	41153	\N	\N	\N
871443	2968	1997-05-25	VYDAJ	VYBER	26900	34925	\N	\N	\N
871444	2968	1997-06-24	VYDAJ	VYBER	27200	30231	\N	\N	\N
871445	2968	1997-07-24	VYDAJ	VYBER	22900	26179	\N	\N	\N
871446	2968	1997-08-23	VYDAJ	VYBER	28200	30005	\N	\N	\N
871447	2968	1997-09-22	VYDAJ	VYBER	23400	38620	\N	\N	\N
871448	2968	1997-10-22	VYDAJ	VYBER	24900	37349	\N	\N	\N
871449	2968	1997-11-21	VYDAJ	VYBER	29600	39781	\N	\N	\N
871450	2968	1997-12-21	VYDAJ	VYBER	32600	50109	\N	\N	\N
871451	2968	1998-01-20	VYDAJ	VYBER	12700	24726	\N	\N	\N
871452	2968	1998-02-19	VYDAJ	VYBER	28200	28564	\N	\N	\N
871453	2968	1998-03-21	VYDAJ	VYBER	25900	34660	\N	\N	\N
871454	2968	1998-04-20	VYDAJ	VYBER	21800	36989	\N	\N	\N
871455	2968	1998-05-20	VYDAJ	VYBER	28600	38321	\N	\N	\N
871456	2968	1998-06-19	VYDAJ	VYBER	30800	46638	\N	\N	\N
871457	2968	1998-07-19	VYDAJ	VYBER	23000	29627	\N	\N	\N
871458	2968	1998-08-18	VYDAJ	VYBER	27100	34587	\N	\N	\N
871459	2968	1998-09-17	VYDAJ	VYBER	26200	40398	\N	\N	\N
871460	2968	1998-10-17	VYDAJ	VYBER	24500	43470	\N	\N	\N
871461	2968	1998-11-16	VYDAJ	VYBER	29400	46109	\N	\N	\N
871462	2968	1998-12-16	VYDAJ	VYBER	26700	45377	\N	\N	\N
871510	2969	1995-05-26	PRIJEM	VKLAD	300	300	\N	\N	\N
871589	2969	1995-06-25	PRIJEM	VKLAD	11000	11300	\N	\N	\N
871590	2969	1995-07-25	PRIJEM	VKLAD	5900	17200	\N	\N	\N
871591	2969	1995-08-24	PRIJEM	VKLAD	1700	18900	\N	\N	\N
871592	2969	1995-09-23	PRIJEM	VKLAD	1400	20300	\N	\N	\N
871593	2969	1995-10-23	PRIJEM	VKLAD	1900	22200	\N	\N	\N
871594	2969	1995-12-22	VYDAJ	VYBER	900	21300	\N	\N	\N
871595	2969	1996-01-21	PRIJEM	VKLAD	600	21900	\N	\N	\N
871596	2969	1996-02-20	VYDAJ	VYBER	300	21600	\N	\N	\N
871597	2969	1996-03-21	PRIJEM	VKLAD	1600	23200	\N	\N	\N
871598	2969	1996-04-20	PRIJEM	VKLAD	800	24000	\N	\N	\N
871599	2969	1996-05-20	PRIJEM	VKLAD	3400	27400	\N	\N	\N
871600	2969	1996-06-19	PRIJEM	VKLAD	2300	29700	\N	\N	\N
871601	2969	1996-07-19	VYDAJ	VYBER	400	29300	\N	\N	\N
871602	2969	1996-08-18	PRIJEM	VKLAD	1800	31100	\N	\N	\N
871603	2969	1996-09-17	VYDAJ	VYBER	3700	27400	\N	\N	\N
871604	2969	1996-10-17	VYDAJ	VYBER	800	26600	\N	\N	\N
871605	2969	1996-11-16	PRIJEM	VKLAD	4200	30800	\N	\N	\N
871606	2969	1996-12-16	VYDAJ	VYBER	800	30000	\N	\N	\N
871607	2969	1997-01-15	VYDAJ	VYBER	1500	28500	\N	\N	\N
871608	2969	1997-02-14	PRIJEM	VKLAD	600	29100	\N	\N	\N
871609	2969	1997-03-16	PRIJEM	VKLAD	1300	30400	\N	\N	\N
871610	2969	1997-04-15	VYDAJ	VYBER	1800	28600	\N	\N	\N
871611	2969	1997-05-15	PRIJEM	VKLAD	2800	31400	\N	\N	\N
871612	2969	1997-06-14	VYDAJ	VYBER	1400	30000	\N	\N	\N
871613	2969	1997-07-14	PRIJEM	VKLAD	300	30300	\N	\N	\N
871614	2969	1997-08-13	VYDAJ	VYBER	2800	27500	\N	\N	\N
871615	2969	1997-09-12	PRIJEM	VKLAD	1000	28500	\N	\N	\N
871616	2969	1997-10-12	PRIJEM	VKLAD	1200	29700	\N	\N	\N
871617	2969	1997-11-11	PRIJEM	VKLAD	1000	30700	\N	\N	\N
871618	2969	1997-12-11	VYDAJ	VYBER	2800	27900	\N	\N	\N
871619	2969	1998-01-10	VYDAJ	VYBER	2700	25200	\N	\N	\N
871620	2969	1998-02-09	VYDAJ	VYBER	600	24600	\N	\N	\N
871621	2969	1998-03-11	PRIJEM	VKLAD	1100	25700	\N	\N	\N
871622	2969	1998-04-10	VYDAJ	VYBER	1800	23900	\N	\N	\N
871623	2969	1998-05-10	PRIJEM	VKLAD	1500	25400	\N	\N	\N
871624	2969	1998-06-09	PRIJEM	VKLAD	3400	28800	\N	\N	\N
871625	2969	1998-07-09	PRIJEM	VKLAD	3300	32100	\N	\N	\N
871626	2969	1998-08-08	PRIJEM	VKLAD	100	32200	\N	\N	\N
871627	2969	1998-09-07	PRIJEM	VKLAD	2800	35000	\N	\N	\N
871628	2969	1998-10-07	PRIJEM	VKLAD	1000	36000	\N	\N	\N
871629	2969	1998-11-06	PRIJEM	VKLAD	2600	38600	\N	\N	\N
871630	2969	1998-12-06	VYDAJ	VYBER	900	37700	\N	\N	\N
871631	2970	1993-01-22	PRIJEM	VKLAD	400	400	\N	\N	\N
871633	2970	1993-02-13	PRIJEM	VKLAD	9658	10058	\N	\N	\N
871634	2970	1993-03-13	PRIJEM	VKLAD	9658	29139	\N	\N	\N
871635	2970	1993-04-13	PRIJEM	VKLAD	9658	34585	\N	\N	\N
871636	2970	1993-05-13	PRIJEM	VKLAD	9658	38351	\N	\N	\N
871637	2970	1993-06-13	PRIJEM	VKLAD	14487	46261	\N	\N	\N
871638	2970	1993-07-13	PRIJEM	VKLAD	9658	35769	\N	\N	\N
871639	2970	1993-08-13	PRIJEM	VKLAD	9658	38246	\N	\N	\N
871640	2970	1993-09-13	PRIJEM	VKLAD	9658	38036	\N	\N	\N
871641	2970	1993-10-13	PRIJEM	VKLAD	9658	43106	\N	\N	\N
871642	2970	1993-11-13	PRIJEM	VKLAD	9658	42687	\N	\N	\N
871643	2970	1993-12-13	PRIJEM	VKLAD	14487	46696	\N	\N	\N
871644	2970	1994-01-13	PRIJEM	VKLAD	9658	45850	\N	\N	\N
871645	2970	1994-02-13	PRIJEM	VKLAD	9658	36056	\N	\N	\N
871646	2970	1994-03-13	PRIJEM	VKLAD	9658	39616	\N	\N	\N
871647	2970	1994-04-13	PRIJEM	VKLAD	9658	43090	\N	\N	\N
871648	2970	1994-05-13	PRIJEM	VKLAD	9658	43073	\N	\N	\N
871649	2970	1994-06-13	PRIJEM	VKLAD	14487	49387	\N	\N	\N
871650	2970	1994-07-13	PRIJEM	VKLAD	9658	47281	\N	\N	\N
871651	2970	1994-08-13	PRIJEM	VKLAD	9658	40354	\N	\N	\N
871652	2970	1994-09-13	PRIJEM	VKLAD	9658	41026	\N	\N	\N
871653	2970	1994-10-13	PRIJEM	VKLAD	9658	42603	\N	\N	\N
871654	2970	1994-11-13	PRIJEM	VKLAD	9658	43185	\N	\N	\N
871655	2970	1994-12-13	PRIJEM	VKLAD	14487	47019	\N	\N	\N
871656	2970	1995-01-13	PRIJEM	VKLAD	9658	37311	\N	\N	\N
871657	2970	1995-02-13	PRIJEM	VKLAD	9658	42625	\N	\N	\N
871658	2970	1995-03-13	PRIJEM	VKLAD	9658	52433	\N	\N	\N
871659	2970	1995-04-13	PRIJEM	VKLAD	9658	42742	\N	\N	\N
871660	2970	1995-05-13	PRIJEM	VKLAD	9658	45756	\N	\N	\N
871661	2970	1995-06-13	PRIJEM	VKLAD	14487	52614	\N	\N	\N
871662	2970	1995-07-13	PRIJEM	VKLAD	9658	41549	\N	\N	\N
871663	2970	1995-08-13	PRIJEM	VKLAD	9658	39165	\N	\N	\N
871664	2970	1995-09-13	PRIJEM	VKLAD	9658	40270	\N	\N	\N
871665	2970	1995-10-13	PRIJEM	VKLAD	9658	40076	\N	\N	\N
871666	2970	1995-11-13	PRIJEM	VKLAD	9658	41781	\N	\N	\N
871667	2970	1995-12-13	PRIJEM	VKLAD	14487	47924	\N	\N	\N
871668	2970	1996-01-13	PRIJEM	VKLAD	9658	36750	\N	\N	\N
871669	2970	1996-02-13	PRIJEM	VKLAD	9658	38653	\N	\N	\N
871670	2970	1996-03-13	PRIJEM	VKLAD	9658	34633	\N	\N	\N
871671	2970	1996-04-13	PRIJEM	VKLAD	9658	35415	\N	\N	\N
871672	2970	1996-05-13	PRIJEM	VKLAD	9658	37923	\N	\N	\N
871673	2970	1996-06-13	PRIJEM	VKLAD	14487	39834	\N	\N	\N
871674	2970	1996-07-13	PRIJEM	VKLAD	9658	28971	\N	\N	\N
871675	2970	1996-08-13	PRIJEM	VKLAD	9658	28204	\N	\N	\N
871676	2970	1996-09-13	PRIJEM	VKLAD	9658	28951	\N	\N	\N
871677	2970	1996-10-13	PRIJEM	VKLAD	9658	33212	\N	\N	\N
871678	2970	1996-11-13	PRIJEM	VKLAD	9658	31385	\N	\N	\N
871679	2970	1996-12-13	PRIJEM	VKLAD	14487	37490	\N	\N	\N
871680	2970	1997-01-13	PRIJEM	VKLAD	9658	30797	\N	\N	\N
871681	2970	1997-02-13	PRIJEM	VKLAD	9658	30870	\N	\N	\N
871682	2970	1997-03-13	PRIJEM	VKLAD	9658	30501	\N	\N	\N
871683	2970	1997-04-13	PRIJEM	VKLAD	9658	31869	\N	\N	\N
871684	2970	1997-05-13	PRIJEM	VKLAD	9658	34841	\N	\N	\N
871685	2970	1997-06-13	PRIJEM	VKLAD	14487	33643	\N	\N	\N
871686	2970	1997-07-13	PRIJEM	VKLAD	9658	34864	\N	\N	\N
871687	2970	1997-08-13	PRIJEM	VKLAD	9658	36610	\N	\N	\N
871688	2970	1997-09-13	PRIJEM	VKLAD	9658	36762	\N	\N	\N
871689	2970	1997-10-13	PRIJEM	VKLAD	9658	37216	\N	\N	\N
871690	2970	1997-11-13	PRIJEM	VKLAD	9658	33669	\N	\N	\N
871691	2970	1997-12-13	PRIJEM	VKLAD	14487	33835	\N	\N	\N
871692	2970	1998-01-13	PRIJEM	VKLAD	9658	30957	\N	\N	\N
871693	2970	1998-02-13	PRIJEM	VKLAD	9658	27082	\N	\N	\N
871694	2970	1998-03-13	PRIJEM	VKLAD	9658	32488	\N	\N	\N
871695	2970	1998-04-13	PRIJEM	VKLAD	9658	41149	\N	\N	\N
871696	2970	1998-05-13	PRIJEM	VKLAD	9658	29412	\N	\N	\N
871697	2970	1998-06-13	PRIJEM	VKLAD	14487	39044	\N	\N	\N
871698	2970	1998-07-13	PRIJEM	VKLAD	9658	41137	\N	\N	\N
871699	2970	1998-08-13	PRIJEM	VKLAD	9658	26793	\N	\N	\N
871700	2970	1998-09-13	PRIJEM	VKLAD	9658	36505	\N	\N	\N
871701	2970	1998-10-13	PRIJEM	VKLAD	9658	46256	\N	\N	\N
871702	2970	1998-11-13	PRIJEM	VKLAD	9658	29627	\N	\N	\N
871703	2970	1998-12-13	PRIJEM	VKLAD	14487	44179	\N	\N	\N
871704	2970	1993-06-15	VYDAJ	VYBER	13760	32501	\N	\N	\N
871706	2970	1995-06-21	VYDAJ	VYBER	11200	41414	\N	\N	\N
871707	2970	1996-06-15	VYDAJ	VYBER	17120	22714	\N	\N	\N
871709	2970	1998-06-19	VYDAJ	VYBER	7680	31364	\N	\N	\N
871711	2970	1994-01-25	VYDAJ	VYBER	10880	26270	\N	\N	\N
871712	2970	1995-01-05	VYDAJ	VYBER	5600	32353	\N	\N	\N
871713	2970	1996-01-12	VYDAJ	VYBER	2560	27092	\N	\N	\N
871714	2970	1997-01-10	VYDAJ	VYBER	5280	21139	\N	\N	\N
871716	2970	1993-08-23	VYDAJ	VYBER	1920	28266	\N	\N	\N
871718	2970	1993-12-13	VYDAJ	VYBER	2040	44656	\N	\N	\N
871719	2970	1993-07-23	VYDAJ	VYBER	2880	28489	\N	\N	\N
871721	2970	1993-08-13	VYDAJ	VYBER	2160	36086	\N	\N	\N
871722	2970	1994-07-28	VYDAJ	VYBER	4920	30561	\N	\N	\N
871723	2970	1995-01-13	VYDAJ	VYBER	1680	35631	\N	\N	\N
871724	2970	1995-09-26	VYDAJ	VYBER	3000	37270	\N	\N	\N
871725	2970	1995-08-04	VYDAJ	VYBER	4200	37507	\N	\N	\N
871726	2970	1995-12-24	VYDAJ	VYBER	5640	42284	\N	\N	\N
871727	2970	1996-04-29	VYDAJ	VYBER	1080	34335	\N	\N	\N
871728	2970	1996-05-15	VYDAJ	VYBER	5400	32523	\N	\N	\N
871729	2970	1996-08-01	VYDAJ	VYBER	4320	24746	\N	\N	\N
871730	2970	1996-03-02	VYDAJ	VYBER	3120	35675	\N	\N	\N
871731	2970	1997-05-23	VYDAJ	VYBER	5400	29441	\N	\N	\N
871732	2970	1998-06-06	VYDAJ	VYBER	4920	24557	\N	\N	\N
871733	2970	1998-02-19	VYDAJ	VYBER	2880	22762	\N	\N	\N
871735	2970	1998-02-14	VYDAJ	VYBER	1440	25642	\N	\N	\N
871736	2970	1998-03-26	VYDAJ	VYBER	1080	31408	\N	\N	\N
871743	2970	1993-06-30	VYDAJ	VYBER	15	26111	SLUZBY	\N	\N
871744	2970	1993-07-31	VYDAJ	VYBER	15	28588	SLUZBY	\N	\N
871745	2970	1993-08-31	VYDAJ	VYBER	15	28378	SLUZBY	\N	\N
871746	2970	1993-09-30	VYDAJ	VYBER	15	33448	SLUZBY	\N	\N
871747	2970	1993-10-31	VYDAJ	VYBER	15	33029	SLUZBY	\N	\N
871748	2970	1993-11-30	VYDAJ	VYBER	15	32209	SLUZBY	\N	\N
871749	2970	1993-12-31	VYDAJ	VYBER	15	36192	SLUZBY	\N	\N
871750	2970	1994-01-31	VYDAJ	VYBER	15	26398	SLUZBY	\N	\N
871751	2970	1994-02-28	VYDAJ	VYBER	15	29958	SLUZBY	\N	\N
871752	2970	1994-03-31	VYDAJ	VYBER	15	33432	SLUZBY	\N	\N
871753	2970	1994-04-30	VYDAJ	VYBER	15	33415	SLUZBY	\N	\N
871754	2970	1994-05-31	VYDAJ	VYBER	15	34900	SLUZBY	\N	\N
871755	2970	1994-06-30	VYDAJ	VYBER	15	37623	SLUZBY	\N	\N
871756	2970	1994-07-31	VYDAJ	VYBER	15	30696	SLUZBY	\N	\N
871757	2970	1994-08-31	VYDAJ	VYBER	15	31368	SLUZBY	\N	\N
871758	2970	1994-09-30	VYDAJ	VYBER	15	32945	SLUZBY	\N	\N
871759	2970	1994-10-31	VYDAJ	VYBER	15	33527	SLUZBY	\N	\N
871760	2970	1994-11-30	VYDAJ	VYBER	15	32532	SLUZBY	\N	\N
871761	2970	1994-12-31	VYDAJ	VYBER	15	37953	SLUZBY	\N	\N
871762	2970	1995-01-31	VYDAJ	VYBER	15	35767	SLUZBY	\N	\N
871763	2970	1995-02-28	VYDAJ	VYBER	15	42775	SLUZBY	\N	\N
871764	2970	1995-03-31	VYDAJ	VYBER	15	38484	SLUZBY	\N	\N
871765	2970	1995-04-30	VYDAJ	VYBER	15	42898	SLUZBY	\N	\N
871766	2970	1995-05-31	VYDAJ	VYBER	15	45927	SLUZBY	\N	\N
871767	2970	1995-06-30	VYDAJ	VYBER	15	41591	SLUZBY	\N	\N
871768	2970	1995-07-31	VYDAJ	VYBER	15	41707	SLUZBY	\N	\N
871769	2970	1995-08-31	VYDAJ	VYBER	15	39312	SLUZBY	\N	\N
871770	2970	1995-09-30	VYDAJ	VYBER	15	37418	SLUZBY	\N	\N
871771	2970	1995-10-31	VYDAJ	VYBER	15	40223	SLUZBY	\N	\N
871772	2970	1995-11-30	VYDAJ	VYBER	15	41937	SLUZBY	\N	\N
871773	2970	1995-12-31	VYDAJ	VYBER	15	42452	SLUZBY	\N	\N
871774	2970	1996-01-31	VYDAJ	VYBER	15	36895	SLUZBY	\N	\N
871775	2970	1996-02-29	VYDAJ	VYBER	15	38795	SLUZBY	\N	\N
871776	2970	1996-03-31	VYDAJ	VYBER	15	34757	SLUZBY	\N	\N
871777	2970	1996-04-30	VYDAJ	VYBER	15	34465	SLUZBY	\N	\N
871778	2970	1996-05-31	VYDAJ	VYBER	15	32647	SLUZBY	\N	\N
871779	2970	1996-06-30	VYDAJ	VYBER	15	22813	SLUZBY	\N	\N
871780	2970	1996-07-31	VYDAJ	VYBER	15	29066	SLUZBY	\N	\N
871781	2970	1996-08-31	VYDAJ	VYBER	15	28293	SLUZBY	\N	\N
871782	2970	1996-09-30	VYDAJ	VYBER	15	29054	SLUZBY	\N	\N
871783	2970	1996-10-31	VYDAJ	VYBER	15	33327	SLUZBY	\N	\N
871784	2970	1996-11-30	VYDAJ	VYBER	15	31503	SLUZBY	\N	\N
871785	2970	1996-12-31	VYDAJ	VYBER	15	37619	SLUZBY	\N	\N
871786	2970	1997-01-31	VYDAJ	VYBER	15	30912	SLUZBY	\N	\N
871787	2970	1997-02-28	VYDAJ	VYBER	15	30943	SLUZBY	\N	\N
871788	2970	1997-03-31	VYDAJ	VYBER	15	30611	SLUZBY	\N	\N
871789	2970	1997-04-30	VYDAJ	VYBER	15	31983	SLUZBY	\N	\N
871790	2970	1997-05-31	VYDAJ	VYBER	15	19156	SLUZBY	\N	\N
871791	2970	1997-06-30	VYDAJ	VYBER	15	25206	SLUZBY	\N	\N
871792	2970	1997-07-31	VYDAJ	VYBER	15	26952	SLUZBY	\N	\N
871793	2970	1997-08-31	VYDAJ	VYBER	15	27104	SLUZBY	\N	\N
871794	2970	1997-09-30	VYDAJ	VYBER	15	27558	SLUZBY	\N	\N
871795	2970	1997-10-31	VYDAJ	VYBER	15	24011	SLUZBY	\N	\N
871796	2970	1997-11-30	VYDAJ	VYBER	15	19348	SLUZBY	\N	\N
871797	2970	1997-12-31	VYDAJ	VYBER	15	21299	SLUZBY	\N	\N
871798	2970	1998-01-31	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
871799	2970	1998-02-28	VYDAJ	VYBER	15	22830	SLUZBY	\N	\N
871800	2970	1998-03-31	VYDAJ	VYBER	15	31491	SLUZBY	\N	\N
871801	2970	1998-04-30	VYDAJ	VYBER	15	19754	SLUZBY	\N	\N
871802	2970	1998-05-31	VYDAJ	VYBER	15	29477	SLUZBY	\N	\N
871803	2970	1998-06-30	VYDAJ	VYBER	15	31479	SLUZBY	\N	\N
871804	2970	1998-07-31	VYDAJ	VYBER	15	17135	SLUZBY	\N	\N
871805	2970	1998-08-31	VYDAJ	VYBER	15	26847	SLUZBY	\N	\N
871806	2970	1998-09-30	VYDAJ	VYBER	15	36598	SLUZBY	\N	\N
871807	2970	1998-10-31	VYDAJ	VYBER	15	19969	SLUZBY	\N	\N
871808	2970	1998-11-30	VYDAJ	VYBER	15	29692	SLUZBY	\N	\N
871809	2970	1993-02-21	PRIJEM	VKLAD	9400	19458	\N	\N	\N
871810	2970	1993-03-23	VYDAJ	VYBER	4300	24839	\N	\N	\N
871811	2970	1993-04-22	VYDAJ	VYBER	6000	28585	\N	\N	\N
871812	2970	1993-05-22	VYDAJ	VYBER	6700	31651	\N	\N	\N
871813	2970	1993-06-21	VYDAJ	VYBER	6500	26001	\N	\N	\N
871814	2970	1993-07-21	VYDAJ	VYBER	4400	31369	\N	\N	\N
871815	2970	1993-08-20	VYDAJ	VYBER	5900	30186	\N	\N	\N
871816	2970	1993-09-19	VYDAJ	VYBER	4700	33336	\N	\N	\N
871817	2970	1993-10-19	VYDAJ	VYBER	10200	32906	\N	\N	\N
871818	2970	1993-11-18	VYDAJ	VYBER	10600	32087	\N	\N	\N
871819	2970	1993-12-18	VYDAJ	VYBER	8600	36056	\N	\N	\N
871820	2970	1994-01-17	VYDAJ	VYBER	8700	37150	\N	\N	\N
871821	2970	1994-02-16	VYDAJ	VYBER	6200	29856	\N	\N	\N
871822	2970	1994-03-18	VYDAJ	VYBER	6300	33316	\N	\N	\N
871823	2970	1994-04-17	VYDAJ	VYBER	9800	33290	\N	\N	\N
871824	2970	1994-05-17	VYDAJ	VYBER	8300	34773	\N	\N	\N
871825	2970	1994-06-16	VYDAJ	VYBER	11900	37487	\N	\N	\N
871826	2970	1994-07-16	VYDAJ	VYBER	11800	35481	\N	\N	\N
871827	2970	1994-08-15	VYDAJ	VYBER	9100	31254	\N	\N	\N
871828	2970	1994-09-14	VYDAJ	VYBER	8200	32826	\N	\N	\N
871829	2970	1994-10-14	VYDAJ	VYBER	9200	33403	\N	\N	\N
871830	2970	1994-11-13	VYDAJ	VYBER	10800	32385	\N	\N	\N
871831	2970	1994-12-13	VYDAJ	VYBER	9200	37819	\N	\N	\N
871832	2970	1995-01-12	VYDAJ	VYBER	4700	27653	\N	\N	\N
871833	2970	1995-02-11	VYDAJ	VYBER	2800	32967	\N	\N	\N
871834	2970	1995-03-13	VYDAJ	VYBER	14100	38333	\N	\N	\N
871835	2970	1995-04-12	VYDAJ	VYBER	5400	33084	\N	\N	\N
871836	2970	1995-05-12	VYDAJ	VYBER	6800	36098	\N	\N	\N
871837	2970	1995-06-11	VYDAJ	VYBER	7800	38127	\N	\N	\N
871838	2970	1995-07-11	VYDAJ	VYBER	9700	31891	\N	\N	\N
871839	2970	1995-08-10	VYDAJ	VYBER	8000	29507	\N	\N	\N
871840	2970	1995-09-09	VYDAJ	VYBER	8700	30612	\N	\N	\N
871841	2970	1995-10-09	VYDAJ	VYBER	7000	30418	\N	\N	\N
871842	2970	1995-11-08	VYDAJ	VYBER	8100	32123	\N	\N	\N
871843	2970	1995-12-08	VYDAJ	VYBER	8500	33437	\N	\N	\N
871844	2970	1996-01-07	VYDAJ	VYBER	12800	29652	\N	\N	\N
871845	2970	1996-02-06	VYDAJ	VYBER	7900	28995	\N	\N	\N
871846	2970	1996-03-07	VYDAJ	VYBER	10700	24975	\N	\N	\N
871847	2970	1996-04-06	VYDAJ	VYBER	9000	25757	\N	\N	\N
871848	2970	1996-05-06	VYDAJ	VYBER	6200	28265	\N	\N	\N
871849	2970	1996-06-05	VYDAJ	VYBER	7300	25347	\N	\N	\N
871850	2970	1996-07-05	VYDAJ	VYBER	3500	19313	\N	\N	\N
871851	2970	1996-08-04	VYDAJ	VYBER	6200	18546	\N	\N	\N
871852	2970	1996-09-03	VYDAJ	VYBER	9000	19293	\N	\N	\N
871853	2970	1996-10-03	VYDAJ	VYBER	5500	23554	\N	\N	\N
871854	2970	1996-11-02	VYDAJ	VYBER	11600	21727	\N	\N	\N
871855	2970	1996-12-02	VYDAJ	VYBER	8500	23003	\N	\N	\N
871856	2970	1997-01-01	VYDAJ	VYBER	11200	26419	\N	\N	\N
871857	2970	1997-01-31	VYDAJ	VYBER	9700	21212	\N	\N	\N
871858	2970	1997-03-02	VYDAJ	VYBER	10100	20843	\N	\N	\N
871859	2970	1997-04-01	VYDAJ	VYBER	8400	22211	\N	\N	\N
871860	2970	1997-05-01	VYDAJ	VYBER	6800	25183	\N	\N	\N
871861	2970	1997-05-31	VYDAJ	VYBER	10400	19170	\N	\N	\N
871862	2970	1997-06-30	VYDAJ	VYBER	8500	25221	\N	\N	\N
871863	2970	1997-07-30	VYDAJ	VYBER	8000	26864	\N	\N	\N
871864	2970	1997-08-29	VYDAJ	VYBER	9600	27010	\N	\N	\N
871865	2970	1997-09-28	VYDAJ	VYBER	9300	27462	\N	\N	\N
871866	2970	1997-10-28	VYDAJ	VYBER	13300	23916	\N	\N	\N
871867	2970	1997-11-27	VYDAJ	VYBER	14400	19269	\N	\N	\N
871868	2970	1997-12-27	VYDAJ	VYBER	12600	21235	\N	\N	\N
871869	2970	1998-01-26	VYDAJ	VYBER	13600	17357	\N	\N	\N
871870	2970	1998-04-26	VYDAJ	VYBER	21500	19649	\N	\N	\N
871871	2970	1998-07-25	VYDAJ	VYBER	24100	17037	\N	\N	\N
871872	2970	1998-10-23	VYDAJ	VYBER	26400	19856	\N	\N	\N
871943	2971	1993-12-23	PRIJEM	VKLAD	500	500	\N	\N	\N
871968	2971	1994-01-01	PRIJEM	VKLAD	44323	44823	\N	\N	\N
871969	2971	1994-09-26	PRIJEM	VKLAD	28071	56238	\N	\N	\N
871970	2971	1994-01-03	PRIJEM	VKLAD	26004	70827	\N	\N	\N
871971	2971	1995-04-11	PRIJEM	VKLAD	34599	96914	\N	\N	\N
871972	2971	1995-09-11	PRIJEM	VKLAD	10259	86747	\N	\N	\N
871973	2971	1995-03-07	PRIJEM	VKLAD	9270	48025	\N	\N	\N
871974	2971	1995-06-13	PRIJEM	VKLAD	5478	51584	\N	\N	\N
871975	2971	1995-07-25	PRIJEM	VKLAD	39824	69645	\N	\N	\N
871976	2971	1995-04-07	PRIJEM	VKLAD	42743	71275	\N	\N	\N
871977	2971	1995-01-12	PRIJEM	VKLAD	35715	64861	\N	\N	\N
871978	2971	1995-08-27	PRIJEM	VKLAD	10262	76201	\N	\N	\N
871979	2971	1995-05-04	PRIJEM	VKLAD	8919	66320	\N	\N	\N
871980	2971	1995-08-15	PRIJEM	VKLAD	43959	94995	\N	\N	\N
871981	2971	1995-08-17	PRIJEM	VKLAD	40893	96888	\N	\N	\N
871982	2971	1997-11-04	PRIJEM	VKLAD	35773	57399	\N	\N	\N
871983	2971	1997-12-06	PRIJEM	VKLAD	48907	103180	\N	\N	\N
871984	2971	1997-06-20	PRIJEM	VKLAD	24828	64961	\N	\N	\N
871985	2971	1997-05-29	PRIJEM	VKLAD	35061	73408	\N	\N	\N
871986	2971	1997-06-15	PRIJEM	VKLAD	32165	109133	\N	\N	\N
871987	2971	1997-08-18	PRIJEM	VKLAD	28607	58888	\N	\N	\N
871988	2971	1997-06-11	PRIJEM	VKLAD	41681	78930	\N	\N	\N
871989	2971	1997-06-12	PRIJEM	VKLAD	47738	126668	\N	\N	\N
871990	2971	1997-03-14	PRIJEM	VKLAD	20265	35598	\N	\N	\N
871991	2971	1997-11-28	PRIJEM	VKLAD	47591	104990	\N	\N	\N
871992	2971	1997-05-01	PRIJEM	VKLAD	42255	78547	\N	\N	\N
871993	2971	1997-08-11	PRIJEM	VKLAD	5317	30281	\N	\N	\N
871994	2971	1997-03-27	PRIJEM	VKLAD	20136	55734	\N	\N	\N
871995	2971	1997-03-29	PRIJEM	VKLAD	16410	72144	\N	\N	\N
871996	2971	1998-10-29	PRIJEM	VKLAD	18609	75793	\N	\N	\N
871997	2971	1998-06-29	PRIJEM	VKLAD	24613	94571	\N	\N	\N
871998	2971	1998-07-15	PRIJEM	VKLAD	21579	79306	\N	\N	\N
871999	2971	1998-11-28	PRIJEM	VKLAD	43106	91911	\N	\N	\N
872000	2971	1998-09-24	PRIJEM	VKLAD	23852	116643	\N	\N	\N
872001	2971	1998-08-30	PRIJEM	VKLAD	26141	56632	\N	\N	\N
872002	2971	1998-06-18	PRIJEM	VKLAD	29396	80458	\N	\N	\N
872003	2971	1998-10-22	PRIJEM	VKLAD	15064	84748	\N	\N	\N
872004	2971	1998-11-10	PRIJEM	VKLAD	10935	83005	\N	\N	\N
872005	2971	1998-02-25	PRIJEM	VKLAD	40013	59796	\N	\N	\N
872006	2971	1998-10-11	PRIJEM	VKLAD	20339	69684	\N	\N	\N
872007	2971	1998-01-03	PRIJEM	VKLAD	33435	80583	\N	\N	\N
872008	2971	1998-09-08	PRIJEM	VKLAD	40262	96991	\N	\N	\N
872009	2971	1998-03-20	PRIJEM	VKLAD	24854	49505	\N	\N	\N
872010	2971	1998-10-23	PRIJEM	VKLAD	27036	111784	\N	\N	\N
872011	2971	1998-06-02	PRIJEM	VKLAD	31883	51062	\N	\N	\N
872012	2971	1998-07-08	PRIJEM	VKLAD	9812	57727	\N	\N	\N
872109	2971	1995-04-30	VYBER	VYBER	5329	57431	\N	\N	\N
872110	2971	1995-08-11	VYBER	VYBER	18753	51036	\N	\N	\N
872111	2971	1995-08-17	VYBER	VYBER	22849	74039	\N	\N	\N
872113	2971	1995-03-27	VYBER	VYBER	4721	28404	\N	\N	\N
872116	2971	1995-04-10	VYBER	VYBER	8960	62315	\N	\N	\N
872124	2971	1997-06-20	VYBER	VYBER	16910	48051	\N	\N	\N
872127	2971	1997-04-03	VYBER	VYBER	5261	66949	\N	\N	\N
872128	2971	1998-11-03	VYBER	VYBER	3953	72070	\N	\N	\N
872133	2971	1998-07-27	VYBER	VYBER	21531	57775	\N	\N	\N
872140	2971	1997-06-16	VYDAJ	VYBER	69000	40133	\N	\N	\N
872147	2971	1998-01-15	VYDAJ	VYBER	17400	51783	\N	\N	\N
872152	2971	1997-12-20	VYDAJ	VYBER	3900	89380	\N	\N	\N
872153	2971	1998-12-27	VYDAJ	VYBER	2400	89813	\N	\N	\N
872184	2971	1998-01-20	VYDAJ	VYBER	7500	44283	\N	\N	\N
872185	2971	1998-01-05	VYDAJ	VYBER	4800	70983	\N	\N	\N
872186	2971	1998-01-30	VYDAJ	VYBER	7800	32883	\N	\N	\N
872187	2971	1998-01-04	VYDAJ	VYBER	4800	75783	\N	\N	\N
872188	2971	1998-01-02	VYDAJ	VYBER	1800	47148	\N	\N	\N
872189	2971	1998-01-26	VYDAJ	VYBER	3600	40683	\N	\N	\N
872203	2971	1995-09-21	VYDAJ	VYBER	3600	49147	\N	\N	\N
872204	2971	1995-08-22	VYDAJ	VYBER	8100	65939	\N	\N	\N
872205	2971	1995-09-24	VYDAJ	VYBER	14100	35047	\N	\N	\N
872206	2971	1995-06-13	VYDAJ	VYBER	3900	47684	\N	\N	\N
872207	2971	1995-03-15	VYDAJ	VYBER	8400	39625	\N	\N	\N
872213	2971	1997-08-18	VYDAJ	VYBER	12600	46288	\N	\N	\N
872214	2971	1997-12-14	VYDAJ	VYBER	9900	93280	\N	\N	\N
872218	2971	1998-03-03	VYDAJ	VYBER	7800	24651	\N	\N	\N
872220	2971	1998-01-09	VYDAJ	VYBER	1800	69183	\N	\N	\N
872221	2971	1998-09-10	VYDAJ	VYBER	4200	92791	\N	\N	\N
872222	2971	1998-06-22	VYDAJ	VYBER	10500	69958	\N	\N	\N
872223	2971	1998-10-28	VYDAJ	VYBER	10200	101584	\N	\N	\N
872224	2971	1998-09-28	VYDAJ	VYBER	4800	49043	\N	\N	\N
872252	2971	1995-03-31	VYDAJ	VYBER	30	28532	SLUZBY	\N	\N
872253	2971	1995-04-30	VYDAJ	VYBER	30	57401	SLUZBY	\N	\N
872254	2971	1995-05-31	VYDAJ	VYBER	30	46106	SLUZBY	\N	\N
872255	2971	1995-06-30	VYDAJ	VYBER	30	33621	SLUZBY	\N	\N
872256	2971	1995-07-31	VYDAJ	VYBER	30	69789	SLUZBY	\N	\N
872257	2971	1995-08-31	VYDAJ	VYBER	30	76488	SLUZBY	\N	\N
872258	2971	1995-09-30	VYDAJ	VYBER	30	35260	SLUZBY	\N	\N
872259	2971	1995-10-31	VYDAJ	VYBER	30	24475	SLUZBY	\N	\N
872260	2971	1995-11-30	VYDAJ	VYBER	30	21446	SLUZBY	\N	\N
872261	2971	1995-12-31	VYDAJ	VYBER	30	17904	SLUZBY	\N	\N
872262	2971	1996-01-31	VYDAJ	VYBER	30	19648	SLUZBY	\N	\N
872263	2971	1996-02-29	VYDAJ	VYBER	30	16499	SLUZBY	\N	\N
872264	2971	1996-03-31	VYDAJ	VYBER	30	16469	SLUZBY	\N	\N
872265	2971	1996-04-30	VYDAJ	VYBER	30	16576	SLUZBY	\N	\N
872266	2971	1996-05-31	VYDAJ	VYBER	30	16546	SLUZBY	\N	\N
872267	2971	1996-06-30	VYDAJ	VYBER	30	16654	SLUZBY	\N	\N
872268	2971	1996-07-31	VYDAJ	VYBER	30	16692	SLUZBY	\N	\N
872269	2971	1996-08-31	VYDAJ	VYBER	30	16662	SLUZBY	\N	\N
872270	2971	1996-09-30	VYDAJ	VYBER	30	15069	SLUZBY	\N	\N
872271	2971	1996-10-31	VYDAJ	VYBER	30	15200	SLUZBY	\N	\N
872272	2971	1996-11-30	VYDAJ	VYBER	30	15232	SLUZBY	\N	\N
872273	2971	1996-12-31	VYDAJ	VYBER	30	15264	SLUZBY	\N	\N
872274	2971	1997-01-31	VYDAJ	VYBER	30	15234	SLUZBY	\N	\N
872275	2971	1997-02-28	VYDAJ	VYBER	30	15333	SLUZBY	\N	\N
872276	2971	1997-03-31	VYDAJ	VYBER	30	72210	SLUZBY	\N	\N
872277	2971	1997-04-30	VYDAJ	VYBER	30	36292	SLUZBY	\N	\N
872278	2971	1997-05-31	VYDAJ	VYBER	30	73549	SLUZBY	\N	\N
872279	2971	1997-06-30	VYDAJ	VYBER	30	48298	SLUZBY	\N	\N
872280	2971	1997-07-31	VYDAJ	VYBER	30	24964	SLUZBY	\N	\N
872281	2971	1997-08-31	VYDAJ	VYBER	30	46399	SLUZBY	\N	\N
872282	2971	1997-09-30	VYDAJ	VYBER	30	21656	SLUZBY	\N	\N
872283	2971	1997-10-31	VYDAJ	VYBER	30	21626	SLUZBY	\N	\N
872284	2971	1997-11-30	VYDAJ	VYBER	30	105173	SLUZBY	\N	\N
872285	2971	1997-12-31	VYDAJ	VYBER	30	89748	SLUZBY	\N	\N
872286	2971	1998-01-31	VYDAJ	VYBER	30	33083	SLUZBY	\N	\N
872287	2971	1998-02-28	VYDAJ	VYBER	30	59851	SLUZBY	\N	\N
872288	2971	1998-03-31	VYDAJ	VYBER	30	49624	SLUZBY	\N	\N
872289	2971	1998-04-30	VYDAJ	VYBER	30	28794	SLUZBY	\N	\N
872290	2971	1998-05-31	VYDAJ	VYBER	30	19179	SLUZBY	\N	\N
872291	2971	1998-06-30	VYDAJ	VYBER	30	94715	SLUZBY	\N	\N
872292	2971	1998-07-31	VYDAJ	VYBER	30	30491	SLUZBY	\N	\N
872293	2971	1998-08-31	VYDAJ	VYBER	30	56729	SLUZBY	\N	\N
872294	2971	1998-09-30	VYDAJ	VYBER	30	49345	SLUZBY	\N	\N
872295	2971	1998-10-31	VYDAJ	VYBER	30	76023	SLUZBY	\N	\N
872296	2971	1998-11-30	VYDAJ	VYBER	30	92213	SLUZBY	\N	\N
872297	2971	1994-01-22	VYDAJ	VYBER	23000	47827	\N	\N	\N
872298	2971	1994-02-21	VYDAJ	VYBER	9500	38572	\N	\N	\N
872299	2971	1994-03-23	VYDAJ	VYBER	6700	32071	\N	\N	\N
872300	2971	1994-04-22	VYDAJ	VYBER	2300	29971	\N	\N	\N
872301	2971	1994-05-22	VYDAJ	VYBER	4500	25670	\N	\N	\N
872302	2971	1994-06-21	VYDAJ	VYBER	1800	24069	\N	\N	\N
872303	2971	1994-07-21	PRIJEM	VKLAD	100	24369	\N	\N	\N
872304	2971	1994-08-20	PRIJEM	VKLAD	100	24668	\N	\N	\N
872305	2971	1994-09-19	PRIJEM	VKLAD	3300	28167	\N	\N	\N
872306	2971	1994-10-19	VYDAJ	VYBER	15900	40543	\N	\N	\N
872307	2971	1994-11-18	VYDAJ	VYBER	10000	30778	\N	\N	\N
872308	2971	1994-12-18	VYDAJ	VYBER	2100	28912	\N	\N	\N
872309	2971	1995-01-17	VYDAJ	VYBER	20700	44161	\N	\N	\N
872310	2971	1995-02-16	VYDAJ	VYBER	5800	38571	\N	\N	\N
872311	2971	1995-03-18	VYDAJ	VYBER	6500	33125	\N	\N	\N
872312	2971	1995-04-17	VYDAJ	VYBER	34400	62514	\N	\N	\N
872313	2971	1995-05-17	VYDAJ	VYBER	20400	45920	\N	\N	\N
872314	2971	1995-06-16	VYDAJ	VYBER	14200	33484	\N	\N	\N
872315	2971	1995-07-16	VYDAJ	VYBER	3800	29821	\N	\N	\N
872316	2971	1995-08-15	VYDAJ	VYBER	39000	55995	\N	\N	\N
872317	2971	1995-09-14	VYDAJ	VYBER	34000	52747	\N	\N	\N
872318	2971	1995-10-14	VYDAJ	VYBER	10900	24360	\N	\N	\N
872319	2971	1995-11-13	VYDAJ	VYBER	3100	21375	\N	\N	\N
872320	2971	1995-12-13	VYDAJ	VYBER	3600	17846	\N	\N	\N
872321	2971	1996-01-12	PRIJEM	VKLAD	1700	19604	\N	\N	\N
872322	2971	1996-02-11	VYDAJ	VYBER	3200	16448	\N	\N	\N
872323	2971	1996-09-08	VYDAJ	VYBER	1700	14962	\N	\N	\N
872324	2971	1996-10-08	PRIJEM	VKLAD	100	15169	\N	\N	\N
872325	2971	1997-04-06	VYDAJ	VYBER	30800	36149	\N	\N	\N
872326	2971	1997-05-06	VYDAJ	VYBER	40200	38347	\N	\N	\N
872327	2971	1997-06-05	VYDAJ	VYBER	36300	37249	\N	\N	\N
872328	2971	1997-06-12	VYDAJ	VYBER	49700	76968	\N	\N	\N
872329	2971	1997-07-05	VYDAJ	VYBER	23500	24798	\N	\N	\N
872330	2971	1997-09-03	VYDAJ	VYBER	24900	21499	\N	\N	\N
872331	2971	1997-12-02	VYDAJ	VYBER	50900	54273	\N	\N	\N
872332	2971	1998-01-01	VYDAJ	VYBER	40800	48948	\N	\N	\N
872333	2971	1998-01-31	VYDAJ	VYBER	13300	19783	\N	\N	\N
872334	2971	1998-03-02	VYDAJ	VYBER	27400	32451	\N	\N	\N
872335	2971	1998-04-01	VYDAJ	VYBER	21000	28624	\N	\N	\N
872336	2971	1998-05-01	VYDAJ	VYBER	9700	19094	\N	\N	\N
872337	2971	1998-06-30	VYDAJ	VYBER	46800	47915	\N	\N	\N
872338	2971	1998-07-30	VYDAJ	VYBER	27500	30275	\N	\N	\N
872339	2971	1998-09-24	VYDAJ	VYBER	15100	101543	\N	\N	\N
872340	2971	1998-09-28	VYDAJ	VYBER	47700	53843	\N	\N	\N
872341	2971	1998-10-28	VYDAJ	VYBER	44400	57184	\N	\N	\N
872342	2971	1998-11-27	VYDAJ	VYBER	34200	48805	\N	\N	\N
872402	2972	1993-11-23	PRIJEM	VKLAD	500	500	\N	\N	\N
872405	2972	1993-12-27	PRIJEM	VKLAD	19731	69001	\N	\N	\N
872413	2972	1993-12-26	PRIJEM	VKLAD	35570	49270	\N	\N	\N
872423	2972	1994-02-01	PRIJEM	VKLAD	49692	99034	\N	\N	\N
872424	2972	1994-02-06	PRIJEM	VKLAD	43360	142394	\N	\N	\N
872425	2972	1995-04-02	PRIJEM	VKLAD	14750	67242	\N	\N	\N
872426	2972	1995-03-03	PRIJEM	VKLAD	40651	91141	\N	\N	\N
872427	2972	1995-11-28	PRIJEM	VKLAD	15326	74509	\N	\N	\N
872428	2972	1995-05-19	PRIJEM	VKLAD	49017	63798	\N	\N	\N
872429	2972	1995-05-25	PRIJEM	VKLAD	29301	90519	\N	\N	\N
872430	2972	1995-01-24	PRIJEM	VKLAD	27861	51654	\N	\N	\N
872431	2972	1995-03-16	PRIJEM	VKLAD	46515	136156	\N	\N	\N
872432	2972	1995-04-02	PRIJEM	VKLAD	26371	93613	\N	\N	\N
872433	2972	1995-04-03	PRIJEM	VKLAD	20292	113905	\N	\N	\N
872434	2972	1995-11-21	PRIJEM	VKLAD	35068	129563	\N	\N	\N
872435	2972	1995-09-03	PRIJEM	VKLAD	5949	45295	\N	\N	\N
872436	2972	1995-09-21	PRIJEM	VKLAD	17447	51542	\N	\N	\N
872437	2972	1995-10-19	PRIJEM	VKLAD	40568	68730	\N	\N	\N
872438	2972	1995-06-11	PRIJEM	VKLAD	42868	95137	\N	\N	\N
872439	2972	1995-06-16	PRIJEM	VKLAD	34009	129146	\N	\N	\N
872440	2972	1995-01-25	PRIJEM	VKLAD	25696	77350	\N	\N	\N
872441	2972	1995-06-18	PRIJEM	VKLAD	31176	95322	\N	\N	\N
872442	2972	1995-08-05	PRIJEM	VKLAD	15689	75124	\N	\N	\N
872443	2972	1995-05-26	PRIJEM	VKLAD	35532	126051	\N	\N	\N
872444	2972	1995-11-17	PRIJEM	VKLAD	49644	94495	\N	\N	\N
872445	2972	1996-03-16	PRIJEM	VKLAD	33314	65344	\N	\N	\N
872446	2972	1996-04-09	PRIJEM	VKLAD	40621	143308	\N	\N	\N
872447	2972	1996-03-25	PRIJEM	VKLAD	29841	130801	\N	\N	\N
872448	2972	1996-07-10	PRIJEM	VKLAD	31443	53724	\N	\N	\N
872449	2972	1996-09-26	PRIJEM	VKLAD	10982	35524	\N	\N	\N
872450	2972	1996-05-06	PRIJEM	VKLAD	30397	102437	\N	\N	\N
872451	2972	1996-06-04	PRIJEM	VKLAD	34726	79413	\N	\N	\N
872452	2972	1996-02-18	PRIJEM	VKLAD	47506	62229	\N	\N	\N
872453	2972	1996-12-18	PRIJEM	VKLAD	39399	55860	\N	\N	\N
872454	2972	1996-01-29	PRIJEM	VKLAD	5823	7736	\N	\N	\N
872455	2972	1996-03-19	PRIJEM	VKLAD	35616	100960	\N	\N	\N
872456	2972	1996-12-30	PRIJEM	VKLAD	29015	74375	\N	\N	\N
872457	2972	1997-05-03	PRIJEM	VKLAD	34683	156203	\N	\N	\N
872458	2972	1997-04-08	PRIJEM	VKLAD	23845	69599	\N	\N	\N
872459	2972	1997-04-07	PRIJEM	VKLAD	10731	45754	\N	\N	\N
872460	2972	1997-05-02	PRIJEM	VKLAD	45074	141720	\N	\N	\N
872461	2972	1997-04-14	PRIJEM	VKLAD	37983	107582	\N	\N	\N
872462	2972	1997-04-14	PRIJEM	VKLAD	31090	138672	\N	\N	\N
872463	2972	1997-11-16	PRIJEM	VKLAD	8832	98739	\N	\N	\N
872464	2972	1997-02-12	PRIJEM	VKLAD	9044	58937	\N	\N	\N
872465	2972	1997-09-12	PRIJEM	VKLAD	38252	133591	\N	\N	\N
872466	2972	1997-04-16	PRIJEM	VKLAD	29333	129805	\N	\N	\N
872467	2972	1997-06-10	PRIJEM	VKLAD	45441	52051	\N	\N	\N
872468	2972	1997-09-19	PRIJEM	VKLAD	45365	162756	\N	\N	\N
872469	2972	1997-12-30	PRIJEM	VKLAD	21712	91969	\N	\N	\N
872470	2972	1997-01-20	PRIJEM	VKLAD	29581	90252	\N	\N	\N
872471	2972	1997-11-04	PRIJEM	VKLAD	39633	115307	\N	\N	\N
872472	2972	1997-03-11	PRIJEM	VKLAD	10710	54103	\N	\N	\N
872473	2972	1997-09-06	PRIJEM	VKLAD	48415	95339	\N	\N	\N
872474	2972	1997-01-16	PRIJEM	VKLAD	32296	60671	\N	\N	\N
872475	2972	1997-04-26	PRIJEM	VKLAD	40559	117064	\N	\N	\N
872476	2972	1997-07-18	PRIJEM	VKLAD	32454	74995	\N	\N	\N
872477	2972	1997-10-27	PRIJEM	VKLAD	49741	107514	\N	\N	\N
872478	2972	1997-12-05	PRIJEM	VKLAD	49893	122457	\N	\N	\N
872479	2972	1998-09-10	PRIJEM	VKLAD	45849	82800	\N	\N	\N
872480	2972	1998-07-29	PRIJEM	VKLAD	15831	59384	\N	\N	\N
872481	2972	1998-10-04	PRIJEM	VKLAD	30798	84732	\N	\N	\N
872482	2972	1998-02-07	PRIJEM	VKLAD	9157	65445	\N	\N	\N
872483	2972	1998-09-26	PRIJEM	VKLAD	49766	132566	\N	\N	\N
872484	2972	1998-12-18	PRIJEM	VKLAD	36190	83574	\N	\N	\N
872485	2972	1998-03-16	PRIJEM	VKLAD	34948	86807	\N	\N	\N
872486	2972	1998-07-13	PRIJEM	VKLAD	9811	51353	\N	\N	\N
872487	2972	1998-08-14	PRIJEM	VKLAD	40399	89772	\N	\N	\N
872488	2972	1998-01-22	PRIJEM	VKLAD	39644	77349	\N	\N	\N
872489	2972	1998-05-25	PRIJEM	VKLAD	45864	114692	\N	\N	\N
872490	2972	1998-05-21	PRIJEM	VKLAD	16510	68828	\N	\N	\N
872491	2972	1998-03-27	PRIJEM	VKLAD	41852	112734	\N	\N	\N
872571	2972	1995-12-12	VYBER	VYBER	8849	56378	\N	\N	\N
872572	2972	1995-04-28	VYBER	VYBER	12096	16889	\N	\N	\N
872573	2972	1995-06-02	VYBER	VYBER	14641	52269	\N	\N	\N
872575	2972	1995-10-16	VYBER	VYBER	5741	28162	\N	\N	\N
872576	2972	1995-04-19	VYBER	VYBER	4186	28985	\N	\N	\N
872577	2972	1995-08-20	VYBER	VYBER	8971	39153	\N	\N	\N
872578	2972	1995-05-20	VYBER	VYBER	2580	61218	\N	\N	\N
872579	2972	1995-11-25	VYBER	VYBER	17480	59183	\N	\N	\N
872580	2972	1995-04-30	VYBER	VYBER	9856	7196	\N	\N	\N
872581	2972	1995-04-09	VYBER	VYBER	11234	43271	\N	\N	\N
872583	2972	1996-05-19	VYBER	VYBER	18376	44461	\N	\N	\N
872584	2972	1996-09-04	VYBER	VYBER	9000	20542	\N	\N	\N
872585	2972	1997-03-29	VYBER	VYBER	13790	40313	\N	\N	\N
872586	2972	1997-06-01	VYBER	VYBER	5038	75710	\N	\N	\N
872587	2972	1997-01-03	VYBER	VYBER	4837	58875	\N	\N	\N
872588	2972	1997-10-26	VYBER	VYBER	8699	57773	\N	\N	\N
872589	2972	1998-07-11	VYBER	VYBER	7710	41542	\N	\N	\N
872590	2972	1998-09-03	VYBER	VYBER	13111	46551	\N	\N	\N
872591	2972	1998-03-26	VYBER	VYBER	15925	70882	\N	\N	\N
872592	2972	1998-09-30	VYBER	VYBER	8629	68648	\N	\N	\N
872593	2972	1998-06-17	VYBER	VYBER	5786	61096	\N	\N	\N
872594	2972	1998-11-06	VYBER	VYBER	5165	52970	\N	\N	\N
872595	2972	1998-10-25	VYBER	VYBER	5713	79019	\N	\N	\N
872599	2972	1996-06-25	VYDAJ	VYBER	24300	26313	\N	\N	\N
872600	2972	1997-06-05	VYDAJ	VYBER	68700	21310	\N	\N	\N
872605	2972	1996-01-28	VYDAJ	VYBER	4500	1913	\N	\N	\N
872606	2972	1997-01-02	VYDAJ	VYBER	10800	63712	\N	\N	\N
872607	2972	1998-01-19	VYDAJ	VYBER KARTOU	3600	37705	\N	\N	0
872610	2972	1995-12-13	VYDAJ	VYBER KARTOU	3900	52478	\N	\N	0
872611	2972	1996-12-13	VYDAJ	VYBER	8700	16461	\N	\N	\N
872612	2972	1997-12-25	VYDAJ	VYBER KARTOU	3900	70257	\N	\N	0
872613	2972	1998-12-23	VYDAJ	VYBER	7800	75774	\N	\N	\N
872628	2972	1995-01-25	VYDAJ	VYBER KARTOU	2400	74950	\N	\N	0
872632	2972	1996-01-27	VYDAJ	VYBER KARTOU	2100	6413	\N	\N	0
872633	2972	1996-01-18	VYDAJ	VYBER	5100	15413	\N	\N	\N
872634	2972	1996-01-27	VYDAJ	VYBER	4200	8513	\N	\N	\N
872635	2972	1996-01-23	VYDAJ	VYBER KARTOU	2700	12713	\N	\N	0
872636	2972	1996-01-18	VYDAJ	VYBER	7200	20513	\N	\N	\N
872638	2972	1997-01-26	VYDAJ	VYBER KARTOU	3600	86652	\N	\N	0
872639	2972	1997-01-28	VYDAJ	VYBER	6000	80652	\N	\N	\N
872640	2972	1997-01-12	VYDAJ	VYBER KARTOU	2400	31975	\N	\N	0
872641	2972	1997-01-13	VYDAJ	VYBER KARTOU	3600	28375	\N	\N	0
872642	2972	1997-01-04	VYDAJ	VYBER KARTOU	3600	55275	\N	\N	0
872643	2972	1997-01-07	VYDAJ	VYBER	6900	34375	\N	\N	\N
872644	2972	1998-01-27	VYDAJ	VYBER	7500	69849	\N	\N	\N
872645	2972	1998-01-07	VYDAJ	VYBER	4800	63805	\N	\N	\N
872646	2972	1998-01-01	VYDAJ	VYBER	4200	88205	\N	\N	\N
872647	2972	1998-01-29	VYDAJ	VYBER KARTOU	3000	66849	\N	\N	0
872648	2972	1998-01-18	VYDAJ	VYBER	5400	41305	\N	\N	\N
872649	2972	1998-01-10	VYDAJ	VYBER	5100	58705	\N	\N	\N
872656	2972	1995-04-13	VYDAJ	VYBER KARTOU	3600	39671	\N	\N	0
872657	2972	1995-03-17	VYDAJ	VYBER	12300	79456	\N	\N	\N
872658	2972	1995-12-08	VYDAJ	VYBER	9600	65227	\N	\N	\N
872659	2972	1995-03-12	VYDAJ	VYBER KARTOU	1500	89641	\N	\N	0
872660	2972	1995-04-05	VYDAJ	VYBER	12000	54505	\N	\N	\N
872662	2972	1996-12-23	VYDAJ	VYBER	10500	45360	\N	\N	\N
872663	2972	1996-07-03	VYDAJ	VYBER	4200	22281	\N	\N	\N
872664	2972	1996-02-25	VYDAJ	VYBER	14100	48129	\N	\N	\N
872665	2972	1997-01-30	VYDAJ	VYBER	4800	75852	\N	\N	\N
872666	2972	1997-09-04	VYDAJ	VYBER	4200	46924	\N	\N	\N
872667	2972	1997-07-22	VYDAJ	VYBER KARTOU	1500	73495	\N	\N	0
872668	2972	1997-06-08	VYDAJ	VYBER	14700	6610	\N	\N	\N
872669	2972	1998-01-16	VYDAJ	VYBER	12000	46705	\N	\N	\N
872670	2972	1998-07-28	VYDAJ	VYBER	7800	43553	\N	\N	\N
872671	2972	1998-04-22	VYDAJ	VYBER	12600	63229	\N	\N	\N
872672	2972	1998-09-08	VYDAJ	VYBER	9600	36951	\N	\N	\N
872673	2972	1998-02-25	VYDAJ	VYBER	9900	55545	\N	\N	\N
872674	2972	1998-09-30	VYDAJ	VYBER	14700	53934	\N	\N	\N
872700	2972	1995-01-31	VYDAJ	VYBER	15	75194	SLUZBY	\N	\N
872701	2972	1995-02-28	VYDAJ	VYBER	15	50490	SLUZBY	\N	\N
872702	2972	1995-03-31	VYDAJ	VYBER	15	52492	SLUZBY	\N	\N
872703	2972	1995-04-30	VYDAJ	VYBER	15	7181	SLUZBY	\N	\N
872704	2972	1995-05-31	VYDAJ	VYBER	15	66910	SLUZBY	\N	\N
872705	2972	1995-06-30	VYDAJ	VYBER	15	95656	SLUZBY	\N	\N
872706	2972	1995-07-31	VYDAJ	VYBER	15	59435	SLUZBY	\N	\N
872707	2972	1995-08-31	VYDAJ	VYBER	15	39346	SLUZBY	\N	\N
872708	2972	1995-09-30	VYDAJ	VYBER	15	51703	SLUZBY	\N	\N
872709	2972	1995-10-31	VYDAJ	VYBER	15	68951	SLUZBY	\N	\N
872710	2972	1995-11-30	VYDAJ	VYBER	15	74827	SLUZBY	\N	\N
872711	2972	1995-12-31	VYDAJ	VYBER	15	35713	SLUZBY	\N	\N
872712	2972	1996-01-31	VYDAJ	VYBER	15	7823	SLUZBY	\N	\N
872713	2972	1996-02-29	VYDAJ	VYBER	15	48230	SLUZBY	\N	\N
872714	2972	1996-03-31	VYDAJ	VYBER	15	102687	SLUZBY	\N	\N
872715	2972	1996-04-30	VYDAJ	VYBER	15	72040	SLUZBY	\N	\N
872716	2972	1996-05-31	VYDAJ	VYBER	15	44687	SLUZBY	\N	\N
872717	2972	1996-06-30	VYDAJ	VYBER	15	26481	SLUZBY	\N	\N
872718	2972	1996-07-31	VYDAJ	VYBER	15	39097	SLUZBY	\N	\N
872719	2972	1996-08-31	VYDAJ	VYBER	15	29542	SLUZBY	\N	\N
872720	2972	1996-09-30	VYDAJ	VYBER	15	35622	SLUZBY	\N	\N
872721	2972	1996-10-31	VYDAJ	VYBER	15	30153	SLUZBY	\N	\N
872722	2972	1996-11-30	VYDAJ	VYBER	15	26061	SLUZBY	\N	\N
872723	2972	1996-12-31	VYDAJ	VYBER	15	74512	SLUZBY	\N	\N
872724	2972	1997-01-31	VYDAJ	VYBER	15	76093	SLUZBY	\N	\N
872725	2972	1997-02-28	VYDAJ	VYBER	15	59193	SLUZBY	\N	\N
872726	2972	1997-03-31	VYDAJ	VYBER	15	40523	SLUZBY	\N	\N
872727	2972	1997-04-30	VYDAJ	VYBER	15	96646	SLUZBY	\N	\N
872728	2972	1997-05-31	VYDAJ	VYBER	15	80748	SLUZBY	\N	\N
872729	2972	1997-06-30	VYDAJ	VYBER	15	52241	SLUZBY	\N	\N
872730	2972	1997-07-31	VYDAJ	VYBER	15	73736	SLUZBY	\N	\N
872731	2972	1997-08-31	VYDAJ	VYBER	15	55324	SLUZBY	\N	\N
872732	2972	1997-09-30	VYDAJ	VYBER	15	88672	SLUZBY	\N	\N
872733	2972	1997-10-31	VYDAJ	VYBER	15	107874	SLUZBY	\N	\N
872734	2972	1997-11-30	VYDAJ	VYBER	15	99164	SLUZBY	\N	\N
872735	2972	1997-12-31	VYDAJ	VYBER	15	92405	SLUZBY	\N	\N
872736	2972	1998-01-31	VYDAJ	VYBER	15	56288	SLUZBY	\N	\N
872737	2972	1998-02-28	VYDAJ	VYBER	15	55759	SLUZBY	\N	\N
872738	2972	1998-03-31	VYDAJ	VYBER	15	113029	SLUZBY	\N	\N
872739	2972	1998-04-30	VYDAJ	VYBER	15	63618	SLUZBY	\N	\N
872740	2972	1998-05-31	VYDAJ	VYBER	15	66882	SLUZBY	\N	\N
872741	2972	1998-06-30	VYDAJ	VYBER	15	49252	SLUZBY	\N	\N
872742	2972	1998-07-31	VYDAJ	VYBER	15	49373	SLUZBY	\N	\N
872743	2972	1998-08-31	VYDAJ	VYBER	15	59662	SLUZBY	\N	\N
872744	2972	1998-09-30	VYDAJ	VYBER	15	68634	SLUZBY	\N	\N
872745	2972	1998-10-31	VYDAJ	VYBER	15	58135	SLUZBY	\N	\N
872746	2972	1998-11-30	VYDAJ	VYBER	15	47384	SLUZBY	\N	\N
872747	2972	1993-12-23	PRIJEM	VKLAD	13200	13700	\N	\N	\N
872748	2972	1994-01-22	VYDAJ	VYBER	20000	49054	\N	\N	\N
872749	2972	1994-02-06	VYDAJ	VYBER	54500	87894	\N	\N	\N
872750	2972	1994-02-21	VYDAJ	VYBER	29700	58194	\N	\N	\N
872751	2972	1994-03-23	VYDAJ	VYBER	18900	39610	\N	\N	\N
872752	2972	1994-04-22	VYDAJ	VYBER	6400	33453	\N	\N	\N
872753	2972	1994-05-22	VYDAJ	VYBER	3900	29795	\N	\N	\N
872754	2972	1994-06-21	VYDAJ	VYBER	1700	28338	\N	\N	\N
872755	2972	1994-08-20	VYDAJ	VYBER	2200	26380	\N	\N	\N
872756	2972	1994-09-19	VYDAJ	VYBER	2500	24123	\N	\N	\N
872757	2972	1994-10-19	PRIJEM	VKLAD	700	25065	\N	\N	\N
872758	2972	1994-11-18	PRIJEM	VKLAD	1000	26308	\N	\N	\N
872759	2972	1994-12-18	PRIJEM	VKLAD	200	26750	\N	\N	\N
872760	2972	1995-01-17	VYDAJ	VYBER KARTOU	3200	23793	\N	\N	0
872761	2972	1995-02-16	VYDAJ	VYBER	25000	50194	\N	\N	\N
872762	2972	1995-03-16	VYDAJ	VYBER	44400	91756	\N	\N	\N
872763	2972	1995-03-18	VYDAJ	VYBER	27200	52256	\N	\N	\N
872764	2972	1995-04-03	VYDAJ	VYBER	47400	66505	\N	\N	\N
872765	2972	1995-04-17	VYDAJ	VYBER	6500	33171	\N	\N	\N
872766	2972	1995-05-17	PRIJEM	VKLAD	7600	14781	\N	\N	\N
872767	2972	1995-05-26	VYDAJ	VYBER	59300	66751	\N	\N	\N
872768	2972	1995-06-16	VYDAJ	VYBER	20300	108846	\N	\N	\N
872769	2972	1995-06-16	VYDAJ	VYBER	44700	64146	\N	\N	\N
872770	2972	1995-07-16	VYDAJ	VYBER	36600	59056	\N	\N	\N
872771	2972	1995-08-15	VYDAJ	VYBER	27000	48124	\N	\N	\N
872772	2972	1995-09-14	VYDAJ	VYBER	11200	34095	\N	\N	\N
872773	2972	1995-10-14	VYDAJ	VYBER	17800	33903	\N	\N	\N
872774	2972	1995-11-13	VYDAJ	VYBER	24100	44851	\N	\N	\N
872775	2972	1995-11-21	VYDAJ	VYBER	52900	76663	\N	\N	\N
872776	2972	1995-12-13	VYDAJ	VYBER	17000	35478	\N	\N	\N
872777	2972	1996-01-12	VYDAJ	VYBER	8000	27713	\N	\N	\N
872778	2972	1996-02-11	PRIJEM	VKLAD	6900	14723	\N	\N	\N
872779	2972	1996-03-12	VYDAJ	VYBER	16200	32030	\N	\N	\N
872780	2972	1996-03-25	VYDAJ	VYBER	28400	102401	\N	\N	\N
872781	2972	1996-04-09	VYDAJ	VYBER	18300	125008	\N	\N	\N
872782	2972	1996-04-11	VYDAJ	VYBER	53300	71708	\N	\N	\N
872783	2972	1996-05-11	VYDAJ	VYBER	39600	62837	\N	\N	\N
872784	2972	1996-06-10	VYDAJ	VYBER	28800	50613	\N	\N	\N
872785	2972	1996-07-10	VYDAJ	VYBER	14800	38924	\N	\N	\N
872786	2972	1996-08-09	VYDAJ	VYBER	9700	29397	\N	\N	\N
872787	2972	1996-09-08	PRIJEM	VKLAD	4000	24542	\N	\N	\N
872788	2972	1996-10-08	VYDAJ	VYBER	5600	30022	\N	\N	\N
872789	2972	1996-11-07	VYDAJ	VYBER	4200	25953	\N	\N	\N
872790	2972	1996-12-07	VYDAJ	VYBER KARTOU	900	25161	\N	\N	0
872791	2972	1997-01-06	VYDAJ	VYBER	14000	41275	\N	\N	\N
872792	2972	1997-02-05	VYDAJ	VYBER	26200	49893	\N	\N	\N
872793	2972	1997-03-07	VYDAJ	VYBER	15800	43393	\N	\N	\N
872794	2972	1997-04-06	VYDAJ	VYBER	5500	35023	\N	\N	\N
872795	2972	1997-04-14	VYDAJ	VYBER	38200	100472	\N	\N	\N
872796	2972	1997-04-16	VYDAJ	VYBER	53300	76505	\N	\N	\N
872797	2972	1997-04-26	VYDAJ	VYBER	20700	96364	\N	\N	\N
872798	2972	1997-05-02	VYDAJ	VYBER	20200	121520	\N	\N	\N
872799	2972	1997-05-03	VYDAJ	VYBER	26000	130203	\N	\N	\N
872800	2972	1997-05-06	VYDAJ	VYBER	49800	80403	\N	\N	\N
872801	2972	1997-06-05	PRIJEM	VKLAD	14300	90010	\N	\N	\N
872802	2972	1997-07-05	VYDAJ	VYBER	9700	42541	\N	\N	\N
872803	2972	1997-08-04	VYDAJ	VYBER	18700	55036	\N	\N	\N
872804	2972	1997-09-03	VYDAJ	VYBER	4200	51124	\N	\N	\N
872805	2972	1997-09-12	VYDAJ	VYBER	16200	117391	\N	\N	\N
872806	2972	1997-09-19	VYDAJ	VYBER	47400	115356	\N	\N	\N
872807	2972	1997-09-30	VYDAJ	VYBER	27100	88686	\N	\N	\N
872808	2972	1997-10-03	VYDAJ	VYBER	22200	66472	\N	\N	\N
872809	2972	1997-11-02	VYDAJ	VYBER	32200	75674	\N	\N	\N
872810	2972	1997-11-04	VYDAJ	VYBER	25400	89907	\N	\N	\N
872811	2972	1997-12-02	VYDAJ	VYBER	26600	72564	\N	\N	\N
872812	2972	1997-12-05	VYDAJ	VYBER	48300	74157	\N	\N	\N
872813	2972	1998-01-01	VYDAJ	VYBER	19600	68605	\N	\N	\N
872814	2972	1998-01-31	VYDAJ	VYBER	10800	56302	\N	\N	\N
872815	2972	1998-03-02	VYDAJ	VYBER KARTOU	3900	51859	\N	\N	0
872816	2972	1998-04-01	VYDAJ	VYBER	37200	75829	\N	\N	\N
872817	2972	1998-05-01	VYDAJ	VYBER	11300	52318	\N	\N	\N
872818	2972	1998-05-25	VYDAJ	VYBER	26200	88492	\N	\N	\N
872819	2972	1998-05-31	VYDAJ	VYBER	21900	66896	\N	\N	\N
872820	2972	1998-06-30	VYDAJ	VYBER	12100	49266	\N	\N	\N
872821	2972	1998-07-30	VYDAJ	VYBER	10200	49184	\N	\N	\N
872822	2972	1998-08-29	VYDAJ	VYBER	30300	59472	\N	\N	\N
872823	2972	1998-09-26	VYDAJ	VYBER	17900	114666	\N	\N	\N
872824	2972	1998-09-28	VYDAJ	VYBER	37700	76966	\N	\N	\N
872825	2972	1998-10-28	VYDAJ	VYBER	21100	57919	\N	\N	\N
872826	2972	1998-11-27	VYDAJ	VYBER	5800	47170	\N	\N	\N
872889	2973	1996-08-15	PRIJEM	VKLAD	500	500	\N	\N	\N
872898	2973	1996-09-14	PRIJEM	VKLAD	16369	16869	\N	\N	\N
872899	2973	1996-10-14	PRIJEM	VKLAD	16369	36485	\N	\N	\N
872900	2973	1996-11-14	PRIJEM	VKLAD	16369	43859	\N	\N	\N
872901	2973	1996-12-14	PRIJEM	VKLAD	24554	56868	\N	\N	\N
872902	2973	1997-01-14	PRIJEM	VKLAD	16369	53951	\N	\N	\N
872903	2973	1997-02-14	PRIJEM	VKLAD	16369	50844	\N	\N	\N
872904	2973	1997-03-14	PRIJEM	VKLAD	16369	48818	\N	\N	\N
872905	2973	1997-04-14	PRIJEM	VKLAD	16369	43391	\N	\N	\N
872906	2973	1997-05-14	PRIJEM	VKLAD	16369	43444	\N	\N	\N
872907	2973	1997-06-14	PRIJEM	VKLAD	24554	48179	\N	\N	\N
872908	2973	1997-07-14	PRIJEM	VKLAD	16369	37922	\N	\N	\N
872909	2973	1997-08-14	PRIJEM	VKLAD	16369	36952	\N	\N	\N
872910	2973	1997-09-14	PRIJEM	VKLAD	16369	40271	\N	\N	\N
872911	2973	1997-10-14	PRIJEM	VKLAD	16369	41991	\N	\N	\N
872912	2973	1997-11-14	PRIJEM	VKLAD	16369	44221	\N	\N	\N
872913	2973	1997-12-14	PRIJEM	VKLAD	24554	51550	\N	\N	\N
872914	2973	1998-01-14	PRIJEM	VKLAD	16369	42112	\N	\N	\N
872915	2973	1998-02-14	PRIJEM	VKLAD	16369	36357	\N	\N	\N
872916	2973	1998-03-14	PRIJEM	VKLAD	16369	41970	\N	\N	\N
872917	2973	1998-04-14	PRIJEM	VKLAD	16369	44500	\N	\N	\N
872918	2973	1998-05-14	PRIJEM	VKLAD	16369	49045	\N	\N	\N
872919	2973	1998-06-14	PRIJEM	VKLAD	24554	50092	\N	\N	\N
872920	2973	1998-07-14	PRIJEM	VKLAD	16369	47154	\N	\N	\N
872921	2973	1998-08-14	PRIJEM	VKLAD	16369	46217	\N	\N	\N
872922	2973	1998-09-14	PRIJEM	VKLAD	16369	47174	\N	\N	\N
872923	2973	1998-10-14	PRIJEM	VKLAD	16369	45932	\N	\N	\N
872924	2973	1998-11-14	PRIJEM	VKLAD	16369	48582	\N	\N	\N
872925	2973	1998-12-14	PRIJEM	VKLAD	24554	57821	\N	\N	\N
872939	2973	1997-02-12	VYDAJ	PREVOD NA UCET	4373	34475	SIPO	IJ	8758783
872940	2973	1997-03-12	VYDAJ	PREVOD NA UCET	4373	45849	SIPO	IJ	8758783
872941	2973	1997-04-12	VYDAJ	PREVOD NA UCET	4373	39722	SIPO	IJ	8758783
872942	2973	1997-05-12	VYDAJ	PREVOD NA UCET	4373	38975	SIPO	IJ	8758783
872943	2973	1997-06-12	VYDAJ	PREVOD NA UCET	4373	23625	SIPO	IJ	8758783
872944	2973	1997-07-12	VYDAJ	PREVOD NA UCET	4373	21553	SIPO	IJ	8758783
872945	2973	1997-08-12	VYDAJ	PREVOD NA UCET	4373	20583	SIPO	IJ	8758783
872946	2973	1997-09-12	VYDAJ	PREVOD NA UCET	4373	23902	SIPO	IJ	8758783
872947	2973	1997-10-12	VYDAJ	PREVOD NA UCET	4373	25622	SIPO	IJ	8758783
872948	2973	1997-11-12	VYDAJ	PREVOD NA UCET	4373	27852	SIPO	IJ	8758783
872949	2973	1997-12-12	VYDAJ	PREVOD NA UCET	4373	26996	SIPO	IJ	8758783
872950	2973	1998-01-12	VYDAJ	PREVOD NA UCET	4373	25743	SIPO	IJ	8758783
872951	2973	1998-02-12	VYDAJ	PREVOD NA UCET	4373	19988	SIPO	IJ	8758783
872952	2973	1998-03-12	VYDAJ	PREVOD NA UCET	4373	25601	SIPO	IJ	8758783
872953	2973	1998-04-12	VYDAJ	PREVOD NA UCET	4373	28131	SIPO	IJ	8758783
872954	2973	1998-05-12	VYDAJ	PREVOD NA UCET	4373	32676	SIPO	IJ	8758783
872955	2973	1998-06-12	VYDAJ	PREVOD NA UCET	4373	30838	SIPO	IJ	8758783
872956	2973	1998-07-12	VYDAJ	PREVOD NA UCET	4373	30785	SIPO	IJ	8758783
872957	2973	1998-08-12	VYDAJ	PREVOD NA UCET	4373	29848	SIPO	IJ	8758783
872958	2973	1998-09-12	VYDAJ	PREVOD NA UCET	4373	30805	SIPO	IJ	8758783
872959	2973	1998-10-12	VYDAJ	PREVOD NA UCET	4373	29563	SIPO	IJ	8758783
872960	2973	1998-11-12	VYDAJ	PREVOD NA UCET	4373	32213	SIPO	IJ	8758783
872961	2973	1998-12-12	VYDAJ	PREVOD NA UCET	4373	33267	SIPO	IJ	8758783
872975	2973	1997-02-11	VYDAJ	PREVOD NA UCET	212	50248	 	CD	26884633
872976	2973	1997-03-11	VYDAJ	PREVOD NA UCET	212	50222	 	CD	26884633
872977	2973	1997-04-11	VYDAJ	PREVOD NA UCET	212	44095	 	CD	26884633
872978	2973	1997-05-11	VYDAJ	PREVOD NA UCET	212	43348	 	CD	26884633
872979	2973	1997-06-11	VYDAJ	PREVOD NA UCET	212	27998	 	CD	26884633
872980	2973	1997-07-11	VYDAJ	PREVOD NA UCET	212	42326	 	CD	26884633
872981	2973	1997-08-11	VYDAJ	PREVOD NA UCET	212	24956	 	CD	26884633
872982	2973	1997-09-11	VYDAJ	PREVOD NA UCET	212	28275	 	CD	26884633
872983	2973	1997-10-11	VYDAJ	PREVOD NA UCET	212	29995	 	CD	26884633
872984	2973	1997-11-11	VYDAJ	PREVOD NA UCET	212	32225	 	CD	26884633
872985	2973	1997-12-11	VYDAJ	PREVOD NA UCET	212	31369	 	CD	26884633
872986	2973	1998-01-11	VYDAJ	PREVOD NA UCET	212	31816	 	CD	26884633
872987	2973	1998-02-11	VYDAJ	PREVOD NA UCET	212	24361	 	CD	26884633
872988	2973	1998-03-11	VYDAJ	PREVOD NA UCET	212	29974	 	CD	26884633
872989	2973	1998-04-11	VYDAJ	PREVOD NA UCET	212	32504	 	CD	26884633
872990	2973	1998-05-11	VYDAJ	PREVOD NA UCET	212	37049	 	CD	26884633
872991	2973	1998-06-11	VYDAJ	PREVOD NA UCET	212	35211	 	CD	26884633
872992	2973	1998-07-11	VYDAJ	PREVOD NA UCET	212	35158	 	CD	26884633
872993	2973	1998-08-11	VYDAJ	PREVOD NA UCET	212	34221	 	CD	26884633
872994	2973	1998-09-11	VYDAJ	PREVOD NA UCET	212	35178	 	CD	26884633
872995	2973	1998-10-11	VYDAJ	PREVOD NA UCET	212	33936	 	CD	26884633
872996	2973	1998-11-11	VYDAJ	PREVOD NA UCET	212	36586	 	CD	26884633
872997	2973	1998-12-11	VYDAJ	PREVOD NA UCET	212	37640	 	CD	26884633
872999	2973	1997-06-18	VYDAJ	VYBER	5800	42379	\N	\N	\N
873000	2973	1998-06-13	VYDAJ	VYBER	5300	25538	\N	\N	\N
873002	2973	1997-12-20	VYDAJ	VYBER KARTOU	1800	49750	\N	\N	0
873003	2973	1998-12-11	VYDAJ	VYBER KARTOU	2500	37852	\N	\N	0
873012	2973	1997-01-18	VYDAJ	VYBER	2900	51051	\N	\N	\N
873013	2973	1997-01-28	VYDAJ	VYBER	800	50251	\N	\N	\N
873016	2973	1998-01-28	VYDAJ	VYBER KARTOU	800	39012	\N	\N	0
873017	2973	1998-01-28	VYDAJ	VYBER KARTOU	500	39812	\N	\N	0
873018	2973	1998-01-29	VYDAJ	VYBER KARTOU	1800	35812	\N	\N	0
873019	2973	1998-01-29	VYDAJ	VYBER KARTOU	1400	37612	\N	\N	0
873020	2973	1998-01-12	VYDAJ	VYBER KARTOU	1700	30116	\N	\N	0
873021	2973	1998-01-17	VYDAJ	VYBER KARTOU	1800	40312	\N	\N	0
873024	2973	1997-03-05	VYDAJ	VYBER	600	50434	\N	\N	\N
873025	2973	1997-03-31	VYDAJ	VYBER	2900	46107	\N	\N	\N
873026	2973	1997-08-10	VYDAJ	VYBER KARTOU	1400	36668	\N	\N	0
873027	2973	1997-09-21	VYDAJ	VYBER	4300	35971	\N	\N	\N
873028	2973	1997-04-09	VYDAJ	VYBER	1800	44307	\N	\N	\N
873029	2973	1998-09-14	VYDAJ	VYBER KARTOU	1200	45974	\N	\N	0
873030	2973	1998-06-08	VYDAJ	VYBER KARTOU	2500	35423	\N	\N	0
873031	2973	1998-11-27	VYDAJ	VYBER	4200	44382	\N	\N	\N
873032	2973	1998-10-25	VYDAJ	VYBER KARTOU	3800	42132	\N	\N	0
873046	2973	1997-01-31	VYDAJ	VYBER	15	50460	SLUZBY	\N	\N
873047	2973	1997-02-28	VYDAJ	VYBER	15	51034	SLUZBY	\N	\N
873048	2973	1997-03-31	VYDAJ	VYBER	15	49007	SLUZBY	\N	\N
873049	2973	1997-04-30	VYDAJ	VYBER	15	43560	SLUZBY	\N	\N
873050	2973	1997-05-31	VYDAJ	VYBER	15	43610	SLUZBY	\N	\N
873051	2973	1997-06-30	VYDAJ	VYBER	15	42538	SLUZBY	\N	\N
873052	2973	1997-07-31	VYDAJ	VYBER	15	38068	SLUZBY	\N	\N
873053	2973	1997-08-31	VYDAJ	VYBER	15	37087	SLUZBY	\N	\N
873054	2973	1997-09-30	VYDAJ	VYBER	15	36107	SLUZBY	\N	\N
873055	2973	1997-10-31	VYDAJ	VYBER	15	42137	SLUZBY	\N	\N
873056	2973	1997-11-30	VYDAJ	VYBER	15	44381	SLUZBY	\N	\N
873057	2973	1997-12-31	VYDAJ	VYBER	15	49928	SLUZBY	\N	\N
873058	2973	1998-01-31	VYDAJ	VYBER	15	35973	SLUZBY	\N	\N
873059	2973	1998-02-28	VYDAJ	VYBER	15	36486	SLUZBY	\N	\N
873060	2973	1998-03-31	VYDAJ	VYBER	15	42116	SLUZBY	\N	\N
873061	2973	1998-04-30	VYDAJ	VYBER	15	44661	SLUZBY	\N	\N
873062	2973	1998-05-31	VYDAJ	VYBER	15	49223	SLUZBY	\N	\N
873063	2973	1998-06-30	VYDAJ	VYBER	15	50270	SLUZBY	\N	\N
873064	2973	1998-07-31	VYDAJ	VYBER	15	47333	SLUZBY	\N	\N
873065	2973	1998-08-31	VYDAJ	VYBER	15	46390	SLUZBY	\N	\N
873066	2973	1998-09-30	VYDAJ	VYBER	15	46148	SLUZBY	\N	\N
873067	2973	1998-10-31	VYDAJ	VYBER	15	42298	SLUZBY	\N	\N
873068	2973	1998-11-30	VYDAJ	VYBER	15	44552	SLUZBY	\N	\N
873069	2973	1996-09-14	PRIJEM	VKLAD	3200	20069	\N	\N	\N
873070	2973	1996-10-14	VYDAJ	VYBER	7900	28585	\N	\N	\N
873071	2973	1996-11-13	VYDAJ	VYBER	1200	27490	\N	\N	\N
873072	2973	1996-12-13	VYDAJ	VYBER	11700	32314	\N	\N	\N
873073	2973	1997-01-12	VYDAJ	VYBER	19500	37582	\N	\N	\N
873074	2973	1997-02-11	VYDAJ	VYBER	11400	38848	\N	\N	\N
873075	2973	1997-03-13	VYDAJ	VYBER	13400	32449	\N	\N	\N
873076	2973	1997-04-12	VYDAJ	VYBER	12700	27022	\N	\N	\N
873077	2973	1997-05-12	VYDAJ	VYBER	11900	27075	\N	\N	\N
873078	2973	1997-06-11	VYDAJ	VYBER	15400	28210	\N	\N	\N
873079	2973	1997-07-11	VYDAJ	VYBER	16400	25926	\N	\N	\N
873080	2973	1997-08-10	VYDAJ	VYBER	11500	25168	\N	\N	\N
873081	2973	1997-09-09	VYDAJ	VYBER	8600	28487	\N	\N	\N
873082	2973	1997-10-09	VYDAJ	VYBER	5900	30207	\N	\N	\N
873083	2973	1997-11-08	VYDAJ	VYBER	9700	32437	\N	\N	\N
873084	2973	1997-12-08	VYDAJ	VYBER	12800	31581	\N	\N	\N
873085	2973	1998-01-07	VYDAJ	VYBER	17900	32028	\N	\N	\N
873086	2973	1998-02-06	VYDAJ	VYBER	11400	24573	\N	\N	\N
873087	2973	1998-03-08	VYDAJ	VYBER	6300	30186	\N	\N	\N
873088	2973	1998-04-07	VYDAJ	VYBER	9400	32716	\N	\N	\N
873089	2973	1998-05-07	VYDAJ	VYBER	7400	37261	\N	\N	\N
873090	2973	1998-06-06	VYDAJ	VYBER	11300	37923	\N	\N	\N
873091	2973	1998-07-06	VYDAJ	VYBER	14900	35370	\N	\N	\N
873092	2973	1998-08-05	VYDAJ	VYBER	12900	34433	\N	\N	\N
873093	2973	1998-09-04	VYDAJ	VYBER	11000	35390	\N	\N	\N
873094	2973	1998-10-04	VYDAJ	VYBER	12000	34148	\N	\N	\N
873095	2973	1998-11-03	VYDAJ	VYBER	5500	36798	\N	\N	\N
873096	2973	1998-12-03	VYDAJ	VYBER	4200	40352	\N	\N	\N
873125	2974	1993-03-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
873129	2974	1993-04-12	PRIJEM	PREVOD Z UCTU	5582	6682	DUCHOD	QR	85955059
873130	2974	1993-05-12	PRIJEM	PREVOD Z UCTU	5582	12264	DUCHOD	QR	85955059
873131	2974	1993-06-12	PRIJEM	PREVOD Z UCTU	5582	17846	DUCHOD	QR	85955059
873132	2974	1993-07-12	PRIJEM	PREVOD Z UCTU	5582	23428	DUCHOD	QR	85955059
873133	2974	1993-08-12	PRIJEM	PREVOD Z UCTU	5582	29010	DUCHOD	QR	85955059
873134	2974	1993-09-12	PRIJEM	PREVOD Z UCTU	5582	33035	DUCHOD	QR	85955059
873135	2974	1993-10-12	PRIJEM	PREVOD Z UCTU	5582	35088	DUCHOD	QR	85955059
873136	2974	1993-11-12	PRIJEM	PREVOD Z UCTU	5582	33772	DUCHOD	QR	85955059
873137	2974	1993-12-12	PRIJEM	PREVOD Z UCTU	5582	33633	DUCHOD	QR	85955059
873138	2974	1994-01-12	PRIJEM	PREVOD Z UCTU	5582	32539	DUCHOD	QR	85955059
873139	2974	1994-02-12	PRIJEM	PREVOD Z UCTU	5582	32144	DUCHOD	QR	85955059
873140	2974	1994-03-12	PRIJEM	PREVOD Z UCTU	5582	34496	DUCHOD	QR	85955059
873141	2974	1994-04-12	PRIJEM	PREVOD Z UCTU	5582	33012	DUCHOD	QR	85955059
873142	2974	1994-05-12	PRIJEM	PREVOD Z UCTU	5582	35266	DUCHOD	QR	85955059
873143	2974	1994-06-12	PRIJEM	PREVOD Z UCTU	5582	34130	DUCHOD	QR	85955059
873144	2974	1994-07-12	PRIJEM	PREVOD Z UCTU	5582	33291	DUCHOD	QR	85955059
873145	2974	1994-08-12	PRIJEM	PREVOD Z UCTU	5582	30967	DUCHOD	QR	85955059
873146	2974	1994-09-12	PRIJEM	PREVOD Z UCTU	5582	34416	DUCHOD	QR	85955059
873147	2974	1994-10-12	PRIJEM	PREVOD Z UCTU	5582	34775	DUCHOD	QR	85955059
873148	2974	1994-11-12	PRIJEM	PREVOD Z UCTU	5582	37638	DUCHOD	QR	85955059
873149	2974	1994-12-12	PRIJEM	PREVOD Z UCTU	5582	38061	DUCHOD	QR	85955059
873150	2974	1995-01-12	PRIJEM	PREVOD Z UCTU	5582	35338	DUCHOD	QR	85955059
873151	2974	1995-02-12	PRIJEM	PREVOD Z UCTU	5582	37902	DUCHOD	QR	85955059
873152	2974	1995-03-12	PRIJEM	PREVOD Z UCTU	5582	36415	DUCHOD	QR	85955059
873153	2974	1995-04-12	PRIJEM	PREVOD Z UCTU	5582	36683	DUCHOD	QR	85955059
873154	2974	1995-05-12	PRIJEM	PREVOD Z UCTU	5582	37255	DUCHOD	QR	85955059
873155	2974	1995-06-12	PRIJEM	PREVOD Z UCTU	5582	37828	DUCHOD	QR	85955059
873156	2974	1995-07-12	PRIJEM	PREVOD Z UCTU	5582	28587	DUCHOD	QR	85955059
873157	2974	1995-08-12	PRIJEM	PREVOD Z UCTU	5582	32721	DUCHOD	QR	85955059
873158	2974	1995-09-12	PRIJEM	PREVOD Z UCTU	5582	36872	DUCHOD	QR	85955059
873159	2974	1995-10-12	PRIJEM	PREVOD Z UCTU	5582	41041	DUCHOD	QR	85955059
873160	2974	1995-11-12	PRIJEM	PREVOD Z UCTU	5582	43225	DUCHOD	QR	85955059
873161	2974	1995-12-12	PRIJEM	PREVOD Z UCTU	5582	44920	DUCHOD	QR	85955059
873162	2974	1996-01-12	PRIJEM	PREVOD Z UCTU	5582	44338	DUCHOD	QR	85955059
873163	2974	1996-02-12	PRIJEM	PREVOD Z UCTU	5582	47266	DUCHOD	QR	85955059
873164	2974	1996-03-12	PRIJEM	PREVOD Z UCTU	5582	47375	DUCHOD	QR	85955059
873165	2974	1996-04-12	PRIJEM	PREVOD Z UCTU	5582	41337	DUCHOD	QR	85955059
873166	2974	1996-05-12	PRIJEM	PREVOD Z UCTU	5582	44523	DUCHOD	QR	85955059
873167	2974	1996-06-12	PRIJEM	PREVOD Z UCTU	5582	47622	DUCHOD	QR	85955059
873168	2974	1996-07-12	PRIJEM	PREVOD Z UCTU	5582	38213	DUCHOD	QR	85955059
873169	2974	1996-08-12	PRIJEM	PREVOD Z UCTU	5582	39427	DUCHOD	QR	85955059
873170	2974	1996-09-12	PRIJEM	PREVOD Z UCTU	5582	42808	DUCHOD	QR	85955059
873171	2974	1996-10-12	PRIJEM	PREVOD Z UCTU	5582	46359	DUCHOD	QR	85955059
873172	2974	1996-11-12	PRIJEM	PREVOD Z UCTU	5582	49164	DUCHOD	QR	85955059
873173	2974	1996-12-12	PRIJEM	PREVOD Z UCTU	5582	49329	DUCHOD	QR	85955059
873174	2974	1997-01-12	PRIJEM	PREVOD Z UCTU	5582	47093	DUCHOD	QR	85955059
873175	2974	1997-02-12	PRIJEM	PREVOD Z UCTU	5582	46899	DUCHOD	QR	85955059
873176	2974	1997-03-12	PRIJEM	PREVOD Z UCTU	5582	48203	DUCHOD	QR	85955059
873177	2974	1997-04-12	PRIJEM	PREVOD Z UCTU	5582	43508	DUCHOD	QR	85955059
873178	2974	1997-05-12	PRIJEM	PREVOD Z UCTU	5582	47704	DUCHOD	QR	85955059
873179	2974	1997-06-12	PRIJEM	PREVOD Z UCTU	5582	51215	DUCHOD	QR	85955059
873180	2974	1997-07-12	PRIJEM	PREVOD Z UCTU	5582	42974	DUCHOD	QR	85955059
873181	2974	1997-08-12	PRIJEM	PREVOD Z UCTU	5582	47166	DUCHOD	QR	85955059
873182	2974	1997-09-12	PRIJEM	PREVOD Z UCTU	5582	46750	DUCHOD	QR	85955059
873183	2974	1997-10-12	PRIJEM	PREVOD Z UCTU	5582	48053	DUCHOD	QR	85955059
873184	2974	1997-11-12	PRIJEM	PREVOD Z UCTU	5582	48159	DUCHOD	QR	85955059
873185	2974	1997-12-12	PRIJEM	PREVOD Z UCTU	5582	49967	DUCHOD	QR	85955059
873186	2974	1998-01-12	PRIJEM	PREVOD Z UCTU	5582	43024	DUCHOD	QR	85955059
873187	2974	1998-02-12	PRIJEM	PREVOD Z UCTU	5582	38033	DUCHOD	QR	85955059
873188	2974	1998-03-12	PRIJEM	PREVOD Z UCTU	5582	42207	DUCHOD	QR	85955059
873189	2974	1998-04-12	PRIJEM	PREVOD Z UCTU	5582	46395	DUCHOD	QR	85955059
873190	2974	1998-05-12	PRIJEM	PREVOD Z UCTU	5582	47259	DUCHOD	QR	85955059
873191	2974	1998-06-12	PRIJEM	PREVOD Z UCTU	5582	51471	DUCHOD	QR	85955059
873192	2974	1998-07-12	PRIJEM	PREVOD Z UCTU	5582	41519	DUCHOD	QR	85955059
873193	2974	1998-08-12	PRIJEM	PREVOD Z UCTU	5582	43062	DUCHOD	QR	85955059
873194	2974	1998-09-12	PRIJEM	PREVOD Z UCTU	5582	47253	DUCHOD	QR	85955059
873195	2974	1998-10-12	PRIJEM	PREVOD Z UCTU	5582	50981	DUCHOD	QR	85955059
873196	2974	1998-11-12	PRIJEM	PREVOD Z UCTU	5582	54302	DUCHOD	QR	85955059
873197	2974	1998-12-12	PRIJEM	PREVOD Z UCTU	5582	50988	DUCHOD	QR	85955059
873206	2974	1993-09-09	VYDAJ	PREVOD NA UCET	1546	27453	SIPO	MN	42395120
873207	2974	1993-10-09	VYDAJ	PREVOD NA UCET	1546	31606	SIPO	MN	42395120
873208	2974	1993-11-09	VYDAJ	PREVOD NA UCET	1546	28190	SIPO	MN	42395120
873209	2974	1993-12-09	VYDAJ	PREVOD NA UCET	1546	28051	SIPO	MN	42395120
873210	2974	1994-01-09	VYDAJ	PREVOD NA UCET	1546	26957	SIPO	MN	42395120
873211	2974	1994-02-09	VYDAJ	PREVOD NA UCET	1546	26562	SIPO	MN	42395120
873212	2974	1994-03-09	VYDAJ	PREVOD NA UCET	1546	28914	SIPO	MN	42395120
873213	2974	1994-04-09	VYDAJ	PREVOD NA UCET	1546	27430	SIPO	MN	42395120
873214	2974	1994-05-09	VYDAJ	PREVOD NA UCET	1546	29684	SIPO	MN	42395120
873215	2974	1994-06-09	VYDAJ	PREVOD NA UCET	1546	28548	SIPO	MN	42395120
873216	2974	1994-07-09	VYDAJ	PREVOD NA UCET	1546	27709	SIPO	MN	42395120
873217	2974	1994-08-09	VYDAJ	PREVOD NA UCET	1546	25385	SIPO	MN	42395120
873218	2974	1994-09-09	VYDAJ	PREVOD NA UCET	1546	28834	SIPO	MN	42395120
873219	2974	1994-10-09	VYDAJ	PREVOD NA UCET	1546	29193	SIPO	MN	42395120
873220	2974	1994-11-09	VYDAJ	PREVOD NA UCET	1546	32056	SIPO	MN	42395120
873221	2974	1994-12-09	VYDAJ	PREVOD NA UCET	1546	32479	SIPO	MN	42395120
873222	2974	1995-01-09	VYDAJ	PREVOD NA UCET	1546	29756	SIPO	MN	42395120
873223	2974	1995-02-09	VYDAJ	PREVOD NA UCET	1546	32320	SIPO	MN	42395120
873224	2974	1995-03-09	VYDAJ	PREVOD NA UCET	1546	30833	SIPO	MN	42395120
873225	2974	1995-04-09	VYDAJ	PREVOD NA UCET	1546	31101	SIPO	MN	42395120
873226	2974	1995-05-09	VYDAJ	PREVOD NA UCET	1546	31673	SIPO	MN	42395120
873227	2974	1995-06-09	VYDAJ	PREVOD NA UCET	1546	32246	SIPO	MN	42395120
873228	2974	1995-07-09	VYDAJ	PREVOD NA UCET	1546	23005	SIPO	MN	42395120
873229	2974	1995-08-09	VYDAJ	PREVOD NA UCET	1546	27139	SIPO	MN	42395120
873230	2974	1995-09-09	VYDAJ	PREVOD NA UCET	1546	31290	SIPO	MN	42395120
873231	2974	1995-10-09	VYDAJ	PREVOD NA UCET	1546	35459	SIPO	MN	42395120
873232	2974	1995-11-09	VYDAJ	PREVOD NA UCET	1546	37643	SIPO	MN	42395120
873233	2974	1995-12-09	VYDAJ	PREVOD NA UCET	1546	40538	SIPO	MN	42395120
873234	2974	1996-01-09	VYDAJ	PREVOD NA UCET	1546	38756	SIPO	MN	42395120
873235	2974	1996-02-09	VYDAJ	PREVOD NA UCET	1546	41684	SIPO	MN	42395120
873236	2974	1996-03-09	VYDAJ	PREVOD NA UCET	1546	41793	SIPO	MN	42395120
873237	2974	1996-04-09	VYDAJ	PREVOD NA UCET	1546	35755	SIPO	MN	42395120
873238	2974	1996-05-09	VYDAJ	PREVOD NA UCET	1546	38941	SIPO	MN	42395120
873239	2974	1996-06-09	VYDAJ	PREVOD NA UCET	1546	42040	SIPO	MN	42395120
873240	2974	1996-07-09	VYDAJ	PREVOD NA UCET	1546	32631	SIPO	MN	42395120
873241	2974	1996-08-09	VYDAJ	PREVOD NA UCET	1546	36805	SIPO	MN	42395120
873242	2974	1996-09-09	VYDAJ	PREVOD NA UCET	1546	37226	SIPO	MN	42395120
873243	2974	1996-10-09	VYDAJ	PREVOD NA UCET	1546	40777	SIPO	MN	42395120
873244	2974	1996-11-09	VYDAJ	PREVOD NA UCET	1546	43582	SIPO	MN	42395120
873245	2974	1996-12-09	VYDAJ	PREVOD NA UCET	1546	43747	SIPO	MN	42395120
873246	2974	1997-01-09	VYDAJ	PREVOD NA UCET	1546	43461	SIPO	MN	42395120
873247	2974	1997-02-09	VYDAJ	PREVOD NA UCET	1546	41317	SIPO	MN	42395120
873248	2974	1997-03-09	VYDAJ	PREVOD NA UCET	1546	42621	SIPO	MN	42395120
873249	2974	1997-04-09	VYDAJ	PREVOD NA UCET	1546	37926	SIPO	MN	42395120
873250	2974	1997-05-09	VYDAJ	PREVOD NA UCET	1546	42122	SIPO	MN	42395120
873251	2974	1997-06-09	VYDAJ	PREVOD NA UCET	1546	45633	SIPO	MN	42395120
873252	2974	1997-07-09	VYDAJ	PREVOD NA UCET	1546	37392	SIPO	MN	42395120
873253	2974	1997-08-09	VYDAJ	PREVOD NA UCET	1546	41584	SIPO	MN	42395120
873254	2974	1997-09-09	VYDAJ	PREVOD NA UCET	1546	41168	SIPO	MN	42395120
873255	2974	1997-10-09	VYDAJ	PREVOD NA UCET	1546	42471	SIPO	MN	42395120
873256	2974	1997-11-09	VYDAJ	PREVOD NA UCET	1546	42577	SIPO	MN	42395120
873257	2974	1997-12-09	VYDAJ	PREVOD NA UCET	1546	44385	SIPO	MN	42395120
873258	2974	1998-01-09	VYDAJ	PREVOD NA UCET	1546	37442	SIPO	MN	42395120
873259	2974	1998-02-09	VYDAJ	PREVOD NA UCET	1546	32451	SIPO	MN	42395120
873260	2974	1998-03-09	VYDAJ	PREVOD NA UCET	1546	36625	SIPO	MN	42395120
873261	2974	1998-04-09	VYDAJ	PREVOD NA UCET	1546	40813	SIPO	MN	42395120
873262	2974	1998-05-09	VYDAJ	PREVOD NA UCET	1546	44717	SIPO	MN	42395120
873263	2974	1998-06-09	VYDAJ	PREVOD NA UCET	1546	45889	SIPO	MN	42395120
873264	2974	1998-07-09	VYDAJ	PREVOD NA UCET	1546	35937	SIPO	MN	42395120
873265	2974	1998-08-09	VYDAJ	PREVOD NA UCET	1546	37480	SIPO	MN	42395120
873266	2974	1998-09-09	VYDAJ	PREVOD NA UCET	1546	41671	SIPO	MN	42395120
873267	2974	1998-10-09	VYDAJ	PREVOD NA UCET	1546	45879	SIPO	MN	42395120
873268	2974	1998-11-09	VYDAJ	PREVOD NA UCET	1546	48720	SIPO	MN	42395120
873269	2974	1998-12-09	VYDAJ	PREVOD NA UCET	1546	45406	SIPO	MN	42395120
873271	2974	1994-06-01	VYDAJ	VYBER	4700	30694	\N	\N	\N
873272	2974	1995-06-24	VYDAJ	VYBER	13400	24428	\N	\N	\N
873273	2974	1996-06-20	VYDAJ	VYBER	13600	34022	\N	\N	\N
873274	2974	1997-06-22	VYDAJ	VYBER	5550	38765	\N	\N	\N
873275	2974	1998-06-17	VYDAJ	VYBER	13850	37321	\N	\N	\N
873277	2974	1994-01-28	VYDAJ	VYBER	850	31689	\N	\N	\N
873278	2974	1995-01-06	VYDAJ	VYBER	3200	31302	\N	\N	\N
873279	2974	1996-01-14	VYDAJ	VYBER	550	43788	\N	\N	\N
873280	2974	1997-01-11	VYDAJ	VYBER	1950	41511	\N	\N	\N
873281	2974	1998-01-06	VYDAJ	VYBER	4450	38988	\N	\N	\N
873282	2974	1993-12-14	VYDAJ	VYBER	1150	32483	\N	\N	\N
873283	2974	1994-12-08	VYDAJ	VYBER	750	34025	\N	\N	\N
873284	2974	1995-12-11	VYDAJ	VYBER	1200	39338	\N	\N	\N
873285	2974	1996-12-08	VYDAJ	VYBER	1150	45293	\N	\N	\N
873286	2974	1997-12-18	VYDAJ	VYBER	1200	43267	\N	\N	\N
873287	2974	1998-12-01	VYDAJ	VYBER	1250	46952	\N	\N	\N
873290	2974	1993-11-08	VYDAJ	VYBER	2880	32336	\N	\N	\N
873292	2974	1994-03-24	VYDAJ	VYBER	3840	30656	\N	\N	\N
873293	2974	1994-07-22	VYDAJ	VYBER	1680	31611	\N	\N	\N
873294	2974	1995-05-31	VYDAJ	VYBER	3600	33806	\N	\N	\N
873295	2974	1995-12-23	VYDAJ	VYBER	2880	42040	\N	\N	\N
873296	2974	1995-01-01	VYDAJ	VYBER	800	37402	\N	\N	\N
873297	2974	1995-02-27	VYDAJ	VYBER	3360	34542	\N	\N	\N
873298	2974	1996-03-30	VYDAJ	VYBER	1760	37135	\N	\N	\N
873299	2974	1996-02-09	VYDAJ	VYBER	720	43230	\N	\N	\N
873300	2974	1996-08-11	VYDAJ	VYBER	2960	33845	\N	\N	\N
873301	2974	1996-03-19	VYDAJ	VYBER	3280	44095	\N	\N	\N
873302	2974	1996-09-18	VYDAJ	VYBER	640	42168	\N	\N	\N
873303	2974	1997-10-21	VYDAJ	VYBER	2000	43953	\N	\N	\N
873304	2974	1997-04-06	VYDAJ	VYBER	2000	39472	\N	\N	\N
873305	2974	1997-09-03	VYDAJ	VYBER	1520	42714	\N	\N	\N
873306	2974	1998-02-04	VYDAJ	VYBER	3920	33997	\N	\N	\N
873307	2974	1998-05-10	VYDAJ	VYBER	3040	41677	\N	\N	\N
873308	2974	1998-10-11	VYDAJ	VYBER	480	45399	\N	\N	\N
873309	2974	1998-12-14	VYDAJ	VYBER	2400	48588	\N	\N	\N
873310	2974	1998-07-27	VYDAJ	VYBER	2640	38879	\N	\N	\N
873311	2974	1998-01-28	VYDAJ	VYBER	2960	37764	\N	\N	\N
873320	2974	1993-08-31	VYDAJ	VYBER	15	28999	SLUZBY	\N	\N
873321	2974	1993-09-30	VYDAJ	VYBER	15	33152	SLUZBY	\N	\N
873322	2974	1993-10-31	VYDAJ	VYBER	15	35216	SLUZBY	\N	\N
873323	2974	1993-11-30	VYDAJ	VYBER	15	33897	SLUZBY	\N	\N
873324	2974	1993-12-31	VYDAJ	VYBER	15	32603	SLUZBY	\N	\N
873325	2974	1994-01-31	VYDAJ	VYBER	15	31808	SLUZBY	\N	\N
873326	2974	1994-02-28	VYDAJ	VYBER	15	32260	SLUZBY	\N	\N
873327	2974	1994-03-31	VYDAJ	VYBER	15	30776	SLUZBY	\N	\N
873328	2974	1994-04-30	VYDAJ	VYBER	15	33130	SLUZBY	\N	\N
873329	2974	1994-05-31	VYDAJ	VYBER	15	35394	SLUZBY	\N	\N
873330	2974	1994-06-30	VYDAJ	VYBER	15	34255	SLUZBY	\N	\N
873331	2974	1994-07-31	VYDAJ	VYBER	15	31731	SLUZBY	\N	\N
873332	2974	1994-08-31	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
873333	2974	1994-09-30	VYDAJ	VYBER	15	34539	SLUZBY	\N	\N
873334	2974	1994-10-31	VYDAJ	VYBER	15	34902	SLUZBY	\N	\N
873335	2974	1994-11-30	VYDAJ	VYBER	15	37775	SLUZBY	\N	\N
873336	2974	1994-12-31	VYDAJ	VYBER	15	38202	SLUZBY	\N	\N
873337	2974	1995-01-31	VYDAJ	VYBER	15	35466	SLUZBY	\N	\N
873338	2974	1995-02-28	VYDAJ	VYBER	15	34679	SLUZBY	\N	\N
873339	2974	1995-03-31	VYDAJ	VYBER	15	36547	SLUZBY	\N	\N
873340	2974	1995-04-30	VYDAJ	VYBER	15	36819	SLUZBY	\N	\N
873341	2974	1995-05-31	VYDAJ	VYBER	15	33792	SLUZBY	\N	\N
873342	2974	1995-06-30	VYDAJ	VYBER	15	24551	SLUZBY	\N	\N
873343	2974	1995-07-31	VYDAJ	VYBER	15	28685	SLUZBY	\N	\N
873344	2974	1995-08-31	VYDAJ	VYBER	15	32836	SLUZBY	\N	\N
873345	2974	1995-09-30	VYDAJ	VYBER	15	37005	SLUZBY	\N	\N
873346	2974	1995-10-31	VYDAJ	VYBER	15	39189	SLUZBY	\N	\N
873347	2974	1995-11-30	VYDAJ	VYBER	15	42084	SLUZBY	\N	\N
873348	2974	1995-12-31	VYDAJ	VYBER	15	40302	SLUZBY	\N	\N
873349	2974	1996-01-31	VYDAJ	VYBER	15	43950	SLUZBY	\N	\N
873350	2974	1996-02-29	VYDAJ	VYBER	15	43339	SLUZBY	\N	\N
873351	2974	1996-03-31	VYDAJ	VYBER	15	37301	SLUZBY	\N	\N
873352	2974	1996-04-30	VYDAJ	VYBER	15	40487	SLUZBY	\N	\N
873353	2974	1996-05-31	VYDAJ	VYBER	15	43586	SLUZBY	\N	\N
873354	2974	1996-06-30	VYDAJ	VYBER	15	34177	SLUZBY	\N	\N
873355	2974	1996-07-31	VYDAJ	VYBER	15	38351	SLUZBY	\N	\N
873356	2974	1996-08-31	VYDAJ	VYBER	15	38772	SLUZBY	\N	\N
873357	2974	1996-09-30	VYDAJ	VYBER	15	42323	SLUZBY	\N	\N
873358	2974	1996-10-31	VYDAJ	VYBER	15	45128	SLUZBY	\N	\N
873359	2974	1996-11-30	VYDAJ	VYBER	15	46443	SLUZBY	\N	\N
873360	2974	1996-12-31	VYDAJ	VYBER	15	45007	SLUZBY	\N	\N
873361	2974	1997-01-31	VYDAJ	VYBER	15	42863	SLUZBY	\N	\N
873362	2974	1997-02-28	VYDAJ	VYBER	15	44167	SLUZBY	\N	\N
873363	2974	1997-03-31	VYDAJ	VYBER	15	41472	SLUZBY	\N	\N
873364	2974	1997-04-30	VYDAJ	VYBER	15	43668	SLUZBY	\N	\N
873365	2974	1997-05-31	VYDAJ	VYBER	15	47179	SLUZBY	\N	\N
873366	2974	1997-06-30	VYDAJ	VYBER	15	38938	SLUZBY	\N	\N
873367	2974	1997-07-31	VYDAJ	VYBER	15	43130	SLUZBY	\N	\N
873368	2974	1997-08-31	VYDAJ	VYBER	15	44234	SLUZBY	\N	\N
873369	2974	1997-09-30	VYDAJ	VYBER	15	44017	SLUZBY	\N	\N
873370	2974	1997-10-31	VYDAJ	VYBER	15	44123	SLUZBY	\N	\N
873371	2974	1997-11-30	VYDAJ	VYBER	15	45931	SLUZBY	\N	\N
873372	2974	1997-12-31	VYDAJ	VYBER	15	43438	SLUZBY	\N	\N
873373	2974	1998-01-31	VYDAJ	VYBER	15	37917	SLUZBY	\N	\N
873374	2974	1998-02-28	VYDAJ	VYBER	15	38171	SLUZBY	\N	\N
873375	2974	1998-03-31	VYDAJ	VYBER	15	42359	SLUZBY	\N	\N
873376	2974	1998-04-30	VYDAJ	VYBER	15	46263	SLUZBY	\N	\N
873377	2974	1998-05-31	VYDAJ	VYBER	15	47435	SLUZBY	\N	\N
873378	2974	1998-06-30	VYDAJ	VYBER	15	37483	SLUZBY	\N	\N
873379	2974	1998-07-31	VYDAJ	VYBER	15	39026	SLUZBY	\N	\N
873380	2974	1998-08-31	VYDAJ	VYBER	15	43217	SLUZBY	\N	\N
873381	2974	1998-09-30	VYDAJ	VYBER	15	47425	SLUZBY	\N	\N
873382	2974	1998-10-31	VYDAJ	VYBER	15	50266	SLUZBY	\N	\N
873383	2974	1998-11-30	VYDAJ	VYBER	15	48202	SLUZBY	\N	\N
873384	2974	1993-10-09	VYDAJ	VYBER	2100	29506	\N	\N	\N
873385	2974	1993-11-08	VYDAJ	VYBER	2600	29736	\N	\N	\N
873386	2974	1993-12-08	VYDAJ	VYBER	4300	29597	\N	\N	\N
873387	2974	1994-01-07	VYDAJ	VYBER	4100	28503	\N	\N	\N
873388	2974	1994-02-06	VYDAJ	VYBER	3700	28108	\N	\N	\N
873389	2974	1994-03-08	VYDAJ	VYBER	1800	30460	\N	\N	\N
873390	2974	1994-04-07	VYDAJ	VYBER	1800	28976	\N	\N	\N
873391	2974	1994-05-07	VYDAJ	VYBER	1900	31230	\N	\N	\N
873392	2974	1994-06-06	VYDAJ	VYBER	600	30094	\N	\N	\N
873393	2974	1994-07-06	VYDAJ	VYBER	5000	29255	\N	\N	\N
873394	2974	1994-08-05	VYDAJ	VYBER	4800	26931	\N	\N	\N
873395	2974	1994-09-04	VYDAJ	VYBER	700	30380	\N	\N	\N
873396	2974	1994-10-04	VYDAJ	VYBER	3800	30739	\N	\N	\N
873397	2974	1994-11-03	VYDAJ	VYBER	1300	33602	\N	\N	\N
873398	2974	1994-12-03	VYDAJ	VYBER	3000	34775	\N	\N	\N
873399	2974	1995-01-02	VYDAJ	VYBER	2900	34502	\N	\N	\N
873400	2974	1995-02-01	VYDAJ	VYBER	1600	33866	\N	\N	\N
873401	2974	1995-03-03	VYDAJ	VYBER	2300	32379	\N	\N	\N
873402	2974	1995-04-02	VYDAJ	VYBER	3900	32647	\N	\N	\N
873403	2974	1995-05-02	VYDAJ	VYBER	3600	33219	\N	\N	\N
873404	2974	1995-10-29	VYDAJ	VYBER	2000	39041	\N	\N	\N
873405	2974	1995-11-28	VYDAJ	VYBER	1300	41925	\N	\N	\N
873406	2974	1995-12-28	VYDAJ	VYBER	1900	40140	\N	\N	\N
873407	2974	1996-02-26	VYDAJ	VYBER	4100	43166	\N	\N	\N
873408	2974	1996-03-27	VYDAJ	VYBER	5200	38895	\N	\N	\N
873409	2974	1996-04-26	VYDAJ	VYBER	1000	40337	\N	\N	\N
873410	2974	1996-05-26	VYDAJ	VYBER	1100	43423	\N	\N	\N
873411	2974	1996-08-24	VYDAJ	VYBER	800	38627	\N	\N	\N
873412	2974	1996-10-23	VYDAJ	VYBER	1400	44959	\N	\N	\N
873413	2974	1996-11-22	VYDAJ	VYBER	2900	46264	\N	\N	\N
873414	2974	1996-12-22	VYDAJ	VYBER	4500	44829	\N	\N	\N
873415	2974	1997-01-21	VYDAJ	VYBER	4400	42693	\N	\N	\N
873416	2974	1997-02-20	VYDAJ	VYBER	2900	43999	\N	\N	\N
873417	2974	1997-03-22	VYDAJ	VYBER	6900	41303	\N	\N	\N
873418	2974	1997-05-21	VYDAJ	VYBER	700	47004	\N	\N	\N
873419	2974	1997-06-20	VYDAJ	VYBER	6900	44315	\N	\N	\N
873420	2974	1997-08-19	VYDAJ	VYBER	3100	44066	\N	\N	\N
873421	2974	1997-09-18	VYDAJ	VYBER	2900	43850	\N	\N	\N
873422	2974	1997-10-18	VYDAJ	VYBER	2100	45953	\N	\N	\N
873423	2974	1997-11-17	VYDAJ	VYBER	2400	45759	\N	\N	\N
873424	2974	1997-12-17	VYDAJ	VYBER	5500	44467	\N	\N	\N
873425	2974	1998-01-16	VYDAJ	VYBER	2300	40724	\N	\N	\N
873426	2974	1998-04-16	VYDAJ	VYBER	300	46095	\N	\N	\N
873427	2974	1998-06-15	VYDAJ	VYBER	300	51171	\N	\N	\N
873428	2974	1998-10-13	VYDAJ	VYBER	900	50081	\N	\N	\N
873429	2974	1998-11-12	VYDAJ	VYBER	6300	48002	\N	\N	\N
873762	2976	1996-08-19	PRIJEM	VKLAD	800	800	\N	\N	\N
873771	2976	1996-09-12	PRIJEM	VKLAD	16560	17360	\N	\N	\N
873772	2976	1996-10-12	PRIJEM	VKLAD	16560	39061	\N	\N	\N
873773	2976	1996-11-12	PRIJEM	VKLAD	16560	47931	\N	\N	\N
873774	2976	1996-12-12	PRIJEM	VKLAD	24840	63916	\N	\N	\N
873775	2976	1997-01-12	PRIJEM	VKLAD	16560	64055	\N	\N	\N
873776	2976	1997-02-12	PRIJEM	VKLAD	16560	42532	\N	\N	\N
873777	2976	1997-03-12	PRIJEM	VKLAD	16560	49630	\N	\N	\N
873778	2976	1997-04-12	PRIJEM	VKLAD	16560	48064	\N	\N	\N
873779	2976	1997-05-12	PRIJEM	VKLAD	16560	51539	\N	\N	\N
873780	2976	1997-06-12	PRIJEM	VKLAD	24840	62946	\N	\N	\N
873781	2976	1997-07-12	PRIJEM	VKLAD	16560	42878	\N	\N	\N
873782	2976	1997-08-12	PRIJEM	VKLAD	16560	46571	\N	\N	\N
873783	2976	1997-09-12	PRIJEM	VKLAD	16560	46579	\N	\N	\N
873784	2976	1997-10-12	PRIJEM	VKLAD	16560	44770	\N	\N	\N
873785	2976	1997-11-12	PRIJEM	VKLAD	16560	43372	\N	\N	\N
873786	2976	1997-12-12	PRIJEM	VKLAD	24840	47873	\N	\N	\N
873787	2976	1998-01-12	PRIJEM	VKLAD	16560	38740	\N	\N	\N
873788	2976	1998-02-12	PRIJEM	VKLAD	16560	39400	\N	\N	\N
873789	2976	1998-03-12	PRIJEM	VKLAD	16560	42421	\N	\N	\N
873790	2976	1998-04-12	PRIJEM	VKLAD	16560	38306	\N	\N	\N
873791	2976	1998-05-12	PRIJEM	VKLAD	16560	40396	\N	\N	\N
873792	2976	1998-06-12	PRIJEM	VKLAD	24840	50779	\N	\N	\N
873793	2976	1998-07-12	PRIJEM	VKLAD	16560	42698	\N	\N	\N
873794	2976	1998-08-12	PRIJEM	VKLAD	16560	43475	\N	\N	\N
873795	2976	1998-09-12	PRIJEM	VKLAD	16560	42110	\N	\N	\N
873796	2976	1998-10-12	PRIJEM	VKLAD	16560	42020	\N	\N	\N
873797	2976	1998-11-12	PRIJEM	VKLAD	16560	38392	\N	\N	\N
873798	2976	1998-12-12	PRIJEM	VKLAD	24840	42867	\N	\N	\N
873811	2976	1997-01-13	VYDAJ	PREVOD NA UCET	8473	55582	SIPO	IJ	31364357
873812	2976	1997-02-13	VYDAJ	PREVOD NA UCET	8473	34059	SIPO	IJ	31364357
873813	2976	1997-03-13	VYDAJ	PREVOD NA UCET	8473	41157	SIPO	IJ	31364357
873814	2976	1997-04-13	VYDAJ	PREVOD NA UCET	8473	39591	SIPO	IJ	31364357
873815	2976	1997-05-13	VYDAJ	PREVOD NA UCET	8473	43066	SIPO	IJ	31364357
873816	2976	1997-06-13	VYDAJ	PREVOD NA UCET	8473	54473	SIPO	IJ	31364357
873817	2976	1997-07-13	VYDAJ	PREVOD NA UCET	8473	34405	SIPO	IJ	31364357
873818	2976	1997-08-13	VYDAJ	PREVOD NA UCET	8473	38098	SIPO	IJ	31364357
873819	2976	1997-09-13	VYDAJ	PREVOD NA UCET	8473	31906	SIPO	IJ	31364357
873820	2976	1997-10-13	VYDAJ	PREVOD NA UCET	8473	29797	SIPO	IJ	31364357
873821	2976	1997-11-13	VYDAJ	PREVOD NA UCET	8473	22939	SIPO	IJ	31364357
873822	2976	1997-12-13	VYDAJ	PREVOD NA UCET	8473	30500	SIPO	IJ	31364357
873823	2976	1998-01-13	VYDAJ	PREVOD NA UCET	8473	30267	SIPO	IJ	31364357
873824	2976	1998-02-13	VYDAJ	PREVOD NA UCET	8473	30927	SIPO	IJ	31364357
873825	2976	1998-03-13	VYDAJ	PREVOD NA UCET	8473	24848	SIPO	IJ	31364357
873826	2976	1998-04-13	VYDAJ	PREVOD NA UCET	8473	29833	SIPO	IJ	31364357
873827	2976	1998-05-13	VYDAJ	PREVOD NA UCET	8473	31923	SIPO	IJ	31364357
873828	2976	1998-06-13	VYDAJ	PREVOD NA UCET	8473	42306	SIPO	IJ	31364357
873829	2976	1998-07-13	VYDAJ	PREVOD NA UCET	8473	34225	SIPO	IJ	31364357
873830	2976	1998-08-13	VYDAJ	PREVOD NA UCET	8473	35002	SIPO	IJ	31364357
873831	2976	1998-09-13	VYDAJ	PREVOD NA UCET	8473	33637	SIPO	IJ	31364357
873832	2976	1998-10-13	VYDAJ	PREVOD NA UCET	8473	33547	SIPO	IJ	31364357
873833	2976	1998-11-13	VYDAJ	PREVOD NA UCET	8473	29919	SIPO	IJ	31364357
873834	2976	1998-12-13	VYDAJ	PREVOD NA UCET	8473	34394	SIPO	IJ	31364357
873836	2976	1997-06-16	VYDAJ	VYBER	18880	26193	\N	\N	\N
873837	2976	1998-06-16	VYDAJ	VYBER	7200	35106	\N	\N	\N
873839	2976	1997-01-17	VYDAJ	VYBER	1760	33142	\N	\N	\N
873840	2976	1998-01-27	VYDAJ	VYBER	3200	19387	\N	\N	\N
873842	2976	1997-12-25	VYDAJ	VYBER	2400	28100	\N	\N	\N
873843	2976	1998-12-20	VYDAJ	VYBER	3360	31034	\N	\N	\N
873850	2976	1997-01-18	VYDAJ	VYBER	840	32302	\N	\N	\N
873851	2976	1997-01-17	VYDAJ	VYBER	2640	34902	\N	\N	\N
873852	2976	1997-01-17	VYDAJ	VYBER	2640	37542	\N	\N	\N
873853	2976	1997-01-29	VYDAJ	VYBER	2640	25822	\N	\N	\N
873854	2976	1997-01-28	VYDAJ	VYBER	1680	28462	\N	\N	\N
873855	2976	1997-01-24	VYDAJ	VYBER	2160	30142	\N	\N	\N
873856	2976	1998-01-27	VYDAJ	VYBER	600	22587	\N	\N	\N
873857	2976	1998-01-07	VYDAJ	VYBER	1320	26880	\N	\N	\N
873858	2976	1998-01-28	VYDAJ	VYBER	840	18547	\N	\N	\N
873859	2976	1998-01-21	VYDAJ	VYBER	3120	23187	\N	\N	\N
873860	2976	1998-01-14	VYDAJ	VYBER	1560	26307	\N	\N	\N
873861	2976	1998-01-14	VYDAJ	VYBER	2400	27867	\N	\N	\N
873870	2976	1997-09-09	VYDAJ	VYBER	4200	30019	\N	\N	\N
873871	2976	1997-11-13	VYDAJ	VYBER	3360	31412	\N	\N	\N
873872	2976	1997-03-22	VYDAJ	VYBER	4080	31377	\N	\N	\N
873873	2976	1997-11-03	VYDAJ	VYBER	3120	26812	\N	\N	\N
873874	2976	1997-04-22	VYDAJ	VYBER	840	34851	\N	\N	\N
873875	2976	1997-10-04	VYDAJ	VYBER	3840	28210	\N	\N	\N
873876	2976	1998-11-02	VYDAJ	VYBER	3240	30432	\N	\N	\N
873877	2976	1998-03-11	VYDAJ	VYBER	1440	25861	\N	\N	\N
873878	2976	1998-09-04	VYDAJ	VYBER	2880	32250	\N	\N	\N
873879	2976	1998-08-03	VYDAJ	VYBER	840	33515	\N	\N	\N
873880	2976	1998-03-07	VYDAJ	VYBER	3720	27301	\N	\N	\N
873894	2976	1997-01-31	VYDAJ	VYBER	15	25972	SLUZBY	\N	\N
873895	2976	1997-02-28	VYDAJ	VYBER	15	33070	SLUZBY	\N	\N
873896	2976	1997-03-31	VYDAJ	VYBER	15	31504	SLUZBY	\N	\N
873897	2976	1997-04-30	VYDAJ	VYBER	15	34979	SLUZBY	\N	\N
873898	2976	1997-05-31	VYDAJ	VYBER	15	38106	SLUZBY	\N	\N
873899	2976	1997-06-30	VYDAJ	VYBER	15	26318	SLUZBY	\N	\N
873900	2976	1997-07-31	VYDAJ	VYBER	15	30011	SLUZBY	\N	\N
873901	2976	1997-08-31	VYDAJ	VYBER	15	34219	SLUZBY	\N	\N
873902	2976	1997-09-30	VYDAJ	VYBER	15	32050	SLUZBY	\N	\N
873903	2976	1997-10-31	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
873904	2976	1997-11-30	VYDAJ	VYBER	15	23033	SLUZBY	\N	\N
873905	2976	1997-12-31	VYDAJ	VYBER	15	28200	SLUZBY	\N	\N
873906	2976	1998-01-31	VYDAJ	VYBER	15	18640	SLUZBY	\N	\N
873907	2976	1998-02-28	VYDAJ	VYBER	15	31021	SLUZBY	\N	\N
873908	2976	1998-03-31	VYDAJ	VYBER	15	24946	SLUZBY	\N	\N
873909	2976	1998-04-30	VYDAJ	VYBER	15	29936	SLUZBY	\N	\N
873910	2976	1998-05-31	VYDAJ	VYBER	15	32039	SLUZBY	\N	\N
873911	2976	1998-06-30	VYDAJ	VYBER	15	35238	SLUZBY	\N	\N
873912	2976	1998-07-31	VYDAJ	VYBER	15	34355	SLUZBY	\N	\N
873913	2976	1998-08-31	VYDAJ	VYBER	15	35130	SLUZBY	\N	\N
873914	2976	1998-09-30	VYDAJ	VYBER	15	33760	SLUZBY	\N	\N
873915	2976	1998-10-31	VYDAJ	VYBER	15	33672	SLUZBY	\N	\N
873916	2976	1998-11-30	VYDAJ	VYBER	15	30027	SLUZBY	\N	\N
873917	2976	1996-09-18	PRIJEM	VKLAD	5100	22460	\N	\N	\N
873918	2976	1996-10-18	VYDAJ	VYBER	7800	31261	\N	\N	\N
873919	2976	1996-11-17	VYDAJ	VYBER	9000	38931	\N	\N	\N
873920	2976	1996-12-17	VYDAJ	VYBER	16600	47316	\N	\N	\N
873921	2976	1997-01-16	VYDAJ	VYBER	15400	40182	\N	\N	\N
873922	2976	1997-02-15	VYDAJ	VYBER	1100	32959	\N	\N	\N
873923	2976	1997-03-17	VYDAJ	VYBER	5700	35457	\N	\N	\N
873924	2976	1997-04-16	VYDAJ	VYBER	3900	35691	\N	\N	\N
873925	2976	1997-05-16	VYDAJ	VYBER	5100	37966	\N	\N	\N
873926	2976	1997-06-15	VYDAJ	VYBER	9400	45073	\N	\N	\N
873927	2976	1997-07-15	VYDAJ	VYBER	4500	29905	\N	\N	\N
873928	2976	1997-08-14	VYDAJ	VYBER	4000	34098	\N	\N	\N
873929	2976	1997-09-13	VYDAJ	VYBER	6200	40379	\N	\N	\N
873930	2976	1997-10-13	VYDAJ	VYBER	6500	38270	\N	\N	\N
873931	2976	1997-11-12	VYDAJ	VYBER	8600	34772	\N	\N	\N
873932	2976	1997-12-12	VYDAJ	VYBER	8900	38973	\N	\N	\N
873933	2976	1998-01-11	VYDAJ	VYBER	4700	22180	\N	\N	\N
873934	2976	1998-02-10	PRIJEM	VKLAD	4200	22840	\N	\N	\N
873935	2976	1998-03-12	VYDAJ	VYBER	9100	33321	\N	\N	\N
873936	2976	1998-04-11	VYDAJ	VYBER	3200	21746	\N	\N	\N
873937	2976	1998-05-11	VYDAJ	VYBER	6100	23836	\N	\N	\N
873938	2976	1998-06-10	VYDAJ	VYBER	6100	25939	\N	\N	\N
873939	2976	1998-07-10	VYDAJ	VYBER	9100	26138	\N	\N	\N
873940	2976	1998-08-09	VYDAJ	VYBER	6600	26915	\N	\N	\N
873941	2976	1998-09-08	VYDAJ	VYBER	6700	25550	\N	\N	\N
873942	2976	1998-10-08	VYDAJ	VYBER	8300	25460	\N	\N	\N
873943	2976	1998-11-07	VYDAJ	VYBER	8600	21832	\N	\N	\N
873944	2976	1998-12-07	VYDAJ	VYBER	12000	18027	\N	\N	\N
873973	2977	1996-06-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
873980	2977	1996-07-13	PRIJEM	PREVOD Z UCTU	38298	39398	\N	CD	91131811
873981	2977	1996-08-13	PRIJEM	PREVOD Z UCTU	38298	69446	\N	CD	91131811
873982	2977	1996-09-13	PRIJEM	PREVOD Z UCTU	38298	86103	\N	CD	91131811
873983	2977	1996-10-13	PRIJEM	PREVOD Z UCTU	38298	96919	\N	CD	91131811
873984	2977	1996-11-13	PRIJEM	PREVOD Z UCTU	38298	102871	\N	CD	91131811
873985	2977	1996-12-13	PRIJEM	PREVOD Z UCTU	57447	112872	\N	CD	91131811
873986	2977	1997-01-13	PRIJEM	PREVOD Z UCTU	38298	62440	\N	CD	91131811
873987	2977	1997-02-13	PRIJEM	PREVOD Z UCTU	38298	57711	\N	CD	91131811
873988	2977	1997-03-13	PRIJEM	PREVOD Z UCTU	38298	86285	\N	CD	91131811
873989	2977	1997-04-13	PRIJEM	PREVOD Z UCTU	38298	92245	\N	CD	91131811
873990	2977	1997-05-13	PRIJEM	PREVOD Z UCTU	38298	64093	\N	CD	91131811
873991	2977	1997-06-13	PRIJEM	PREVOD Z UCTU	57447	104582	\N	CD	91131811
873992	2977	1997-07-13	PRIJEM	PREVOD Z UCTU	38298	74891	\N	CD	91131811
873993	2977	1997-08-13	PRIJEM	PREVOD Z UCTU	38298	69611	\N	CD	91131811
873994	2977	1997-09-13	PRIJEM	PREVOD Z UCTU	38298	69153	\N	CD	91131811
873995	2977	1997-10-13	PRIJEM	PREVOD Z UCTU	38298	72492	\N	CD	91131811
873996	2977	1997-11-13	PRIJEM	PREVOD Z UCTU	38298	85509	\N	CD	91131811
873997	2977	1997-12-13	PRIJEM	PREVOD Z UCTU	57447	119178	\N	CD	91131811
873998	2977	1998-01-13	PRIJEM	PREVOD Z UCTU	38298	74954	\N	CD	91131811
873999	2977	1998-02-13	PRIJEM	PREVOD Z UCTU	38298	83390	\N	CD	91131811
874000	2977	1998-03-13	PRIJEM	PREVOD Z UCTU	38298	103590	\N	CD	91131811
874001	2977	1998-04-13	PRIJEM	PREVOD Z UCTU	38298	114205	\N	CD	91131811
874002	2977	1998-05-13	PRIJEM	PREVOD Z UCTU	38298	91057	\N	CD	91131811
874003	2977	1998-06-13	PRIJEM	PREVOD Z UCTU	57447	121755	\N	CD	91131811
874004	2977	1998-07-13	PRIJEM	PREVOD Z UCTU	38298	81524	\N	CD	91131811
874005	2977	1998-08-13	PRIJEM	PREVOD Z UCTU	38298	97510	\N	CD	91131811
874006	2977	1998-09-13	PRIJEM	PREVOD Z UCTU	38298	110996	\N	CD	91131811
874007	2977	1998-10-13	PRIJEM	PREVOD Z UCTU	38298	89115	\N	CD	91131811
874008	2977	1998-11-13	PRIJEM	PREVOD Z UCTU	38298	106440	\N	CD	91131811
874009	2977	1998-12-13	PRIJEM	PREVOD Z UCTU	57447	134018	\N	CD	91131811
874056	2977	1996-11-14	VYDAJ	PREVOD NA UCET	3055	99816	SIPO	IJ	47011393
874057	2977	1996-12-14	VYDAJ	PREVOD NA UCET	3055	59017	SIPO	IJ	47011393
874058	2977	1997-01-14	VYDAJ	PREVOD NA UCET	3055	59385	SIPO	IJ	47011393
874059	2977	1997-02-14	VYDAJ	PREVOD NA UCET	3055	54656	SIPO	IJ	47011393
874060	2977	1997-03-14	VYDAJ	PREVOD NA UCET	3055	83230	SIPO	IJ	47011393
874061	2977	1997-04-14	VYDAJ	PREVOD NA UCET	3055	89190	SIPO	IJ	47011393
874062	2977	1997-05-14	VYDAJ	PREVOD NA UCET	3055	61038	SIPO	IJ	47011393
874063	2977	1997-06-14	VYDAJ	PREVOD NA UCET	3055	83527	SIPO	IJ	47011393
874064	2977	1997-07-14	VYDAJ	PREVOD NA UCET	3055	58336	SIPO	IJ	47011393
874065	2977	1997-08-14	VYDAJ	PREVOD NA UCET	3055	52356	SIPO	IJ	47011393
874066	2977	1997-09-14	VYDAJ	PREVOD NA UCET	3055	49598	SIPO	IJ	47011393
874067	2977	1997-10-14	VYDAJ	PREVOD NA UCET	3055	51037	SIPO	IJ	47011393
874068	2977	1997-11-14	VYDAJ	PREVOD NA UCET	3055	82454	SIPO	IJ	47011393
874069	2977	1997-12-14	VYDAJ	PREVOD NA UCET	3055	73923	SIPO	IJ	47011393
874070	2977	1998-01-14	VYDAJ	PREVOD NA UCET	3055	57799	SIPO	IJ	47011393
874071	2977	1998-02-14	VYDAJ	PREVOD NA UCET	3055	80335	SIPO	IJ	47011393
874072	2977	1998-03-14	VYDAJ	PREVOD NA UCET	3055	100535	SIPO	IJ	47011393
874073	2977	1998-04-14	VYDAJ	PREVOD NA UCET	3055	59550	SIPO	IJ	47011393
874074	2977	1998-05-14	VYDAJ	PREVOD NA UCET	3055	88002	SIPO	IJ	47011393
874075	2977	1998-06-14	VYDAJ	PREVOD NA UCET	3055	92500	SIPO	IJ	47011393
874076	2977	1998-07-14	VYDAJ	PREVOD NA UCET	3055	78469	SIPO	IJ	47011393
874077	2977	1998-08-14	VYDAJ	PREVOD NA UCET	3055	94455	SIPO	IJ	47011393
874078	2977	1998-09-14	VYDAJ	PREVOD NA UCET	3055	50541	SIPO	IJ	47011393
874079	2977	1998-10-14	VYDAJ	PREVOD NA UCET	3055	86060	SIPO	IJ	47011393
874080	2977	1998-11-14	VYDAJ	PREVOD NA UCET	3055	103385	SIPO	IJ	47011393
874081	2977	1998-12-14	VYDAJ	PREVOD NA UCET	3055	83863	SIPO	IJ	47011393
874082	2977	1996-12-04	VYBER	VYBER	12866	55425	\N	\N	\N
874086	2977	1997-12-28	VYBER	VYBER	16769	57154	\N	\N	\N
874087	2977	1997-07-09	VYBER	VYBER	5298	36593	\N	\N	\N
874089	2977	1997-04-16	VYBER	VYBER	12145	77045	\N	\N	\N
874090	2977	1997-04-22	VYBER	VYBER	14573	25615	\N	\N	\N
874091	2977	1997-04-19	VYBER	VYBER	16457	40188	\N	\N	\N
874092	2977	1997-06-04	VYBER	VYBER	3258	47135	\N	\N	\N
874093	2977	1997-09-17	VYBER	VYBER	15534	34064	\N	\N	\N
874094	2977	1997-03-15	VYBER	VYBER	6099	77131	\N	\N	\N
874096	2977	1997-07-07	VYBER	VYBER	18766	41891	\N	\N	\N
874098	2977	1997-08-25	VYBER	VYBER	18446	33910	\N	\N	\N
874099	2977	1997-08-30	VYBER	VYBER	3208	30702	\N	\N	\N
874102	2977	1998-06-25	VYDAJ	VYBER	46500	46000	\N	\N	\N
874104	2977	1997-01-21	VYDAJ	VYBER	22800	25585	\N	\N	\N
874105	2977	1998-01-14	VYDAJ	VYBER	14100	60854	\N	\N	\N
874106	2977	1996-12-24	VYDAJ	VYBER	3000	43117	\N	\N	\N
874107	2977	1997-12-30	VYDAJ	VYBER	6900	50254	\N	\N	\N
874108	2977	1998-12-20	VYDAJ	VYBER	3900	79963	\N	\N	\N
874116	2977	1997-01-12	VYDAJ	VYBER	1800	24142	\N	\N	\N
874117	2977	1997-01-20	VYDAJ	VYBER	1500	48385	\N	\N	\N
874118	2977	1997-01-06	VYDAJ	VYBER	7500	31042	\N	\N	\N
874119	2977	1997-01-02	VYDAJ	VYBER	4800	38542	\N	\N	\N
874120	2977	1997-01-24	VYDAJ	VYBER	6300	19285	\N	\N	\N
874121	2977	1998-01-12	VYDAJ	VYBER	8100	36656	\N	\N	\N
874122	2977	1998-01-25	VYDAJ	VYBER	1500	44599	\N	\N	\N
874123	2977	1998-01-11	VYDAJ	VYBER	4200	46356	\N	\N	\N
874124	2977	1998-01-20	VYDAJ	VYBER	3900	46099	\N	\N	\N
874125	2977	1998-01-11	VYDAJ	VYBER	1500	44756	\N	\N	\N
874126	2977	1998-01-18	VYDAJ	VYBER	7800	49999	\N	\N	\N
874135	2977	1997-07-13	VYDAJ	VYBER	13500	61391	\N	\N	\N
874137	2977	1997-03-27	VYDAJ	VYBER	5400	53731	\N	\N	\N
874138	2977	1997-01-07	VYDAJ	VYBER	5100	25942	\N	\N	\N
874139	2977	1997-07-26	VYDAJ	VYBER	13500	31136	\N	\N	\N
874140	2977	1998-08-05	VYDAJ	VYBER	7800	70912	\N	\N	\N
874141	2977	1998-06-29	VYDAJ	VYBER	10200	35800	\N	\N	\N
874153	2977	1996-11-30	VYDAJ	VYBER	15	68291	SLUZBY	\N	\N
874154	2977	1996-12-31	VYDAJ	VYBER	15	43342	SLUZBY	\N	\N
874155	2977	1997-01-31	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
874156	2977	1997-02-28	VYDAJ	VYBER	15	47987	SLUZBY	\N	\N
874157	2977	1997-03-31	VYDAJ	VYBER	15	53947	SLUZBY	\N	\N
874158	2977	1997-04-30	VYDAJ	VYBER	15	25795	SLUZBY	\N	\N
874159	2977	1997-05-31	VYDAJ	VYBER	15	50393	SLUZBY	\N	\N
874160	2977	1997-06-30	VYDAJ	VYBER	15	60657	SLUZBY	\N	\N
874161	2977	1997-07-31	VYDAJ	VYBER	15	31313	SLUZBY	\N	\N
874162	2977	1997-08-31	VYDAJ	VYBER	15	30855	SLUZBY	\N	\N
874163	2977	1997-09-30	VYDAJ	VYBER	15	34194	SLUZBY	\N	\N
874164	2977	1997-10-31	VYDAJ	VYBER	15	51211	SLUZBY	\N	\N
874165	2977	1997-11-30	VYDAJ	VYBER	15	82731	SLUZBY	\N	\N
874166	2977	1997-12-31	VYDAJ	VYBER	15	50556	SLUZBY	\N	\N
874167	2977	1998-01-31	VYDAJ	VYBER	15	44792	SLUZBY	\N	\N
874168	2977	1998-02-28	VYDAJ	VYBER	15	80592	SLUZBY	\N	\N
874169	2977	1998-03-31	VYDAJ	VYBER	15	100907	SLUZBY	\N	\N
874170	2977	1998-04-30	VYDAJ	VYBER	15	59859	SLUZBY	\N	\N
874171	2977	1998-05-31	VYDAJ	VYBER	15	88308	SLUZBY	\N	\N
874172	2977	1998-06-30	VYDAJ	VYBER	15	36126	SLUZBY	\N	\N
874173	2977	1998-07-31	VYDAJ	VYBER	15	78712	SLUZBY	\N	\N
874174	2977	1998-08-31	VYDAJ	VYBER	15	94798	SLUZBY	\N	\N
874175	2977	1998-09-30	VYDAJ	VYBER	15	50817	SLUZBY	\N	\N
874176	2977	1998-10-31	VYDAJ	VYBER	15	86342	SLUZBY	\N	\N
874177	2977	1998-11-30	VYDAJ	VYBER	15	103771	SLUZBY	\N	\N
874178	2977	1996-07-20	VYDAJ	VYBER	8300	31098	\N	\N	\N
874179	2977	1996-08-19	VYDAJ	VYBER	21800	47646	\N	\N	\N
874180	2977	1996-09-18	VYDAJ	VYBER	27700	58403	\N	\N	\N
874181	2977	1996-10-18	VYDAJ	VYBER	32600	64319	\N	\N	\N
874182	2977	1996-11-17	VYDAJ	VYBER	31800	68016	\N	\N	\N
874183	2977	1996-12-13	VYDAJ	VYBER	50800	62072	\N	\N	\N
874184	2977	1996-12-17	VYDAJ	VYBER	12900	46117	\N	\N	\N
874185	2977	1997-01-16	VYDAJ	VYBER	9500	49885	\N	\N	\N
874186	2977	1997-02-15	VYDAJ	VYBER	6800	47856	\N	\N	\N
874187	2977	1997-03-17	VYDAJ	VYBER	18000	59131	\N	\N	\N
874188	2977	1997-04-16	VYDAJ	VYBER	20400	56645	\N	\N	\N
874189	2977	1997-05-16	VYDAJ	VYBER	10800	50238	\N	\N	\N
874190	2977	1997-06-13	VYDAJ	VYBER	18000	86582	\N	\N	\N
874191	2977	1997-06-15	VYDAJ	VYBER	23100	60427	\N	\N	\N
874192	2977	1997-07-15	VYDAJ	VYBER	13700	44636	\N	\N	\N
874193	2977	1997-08-14	VYDAJ	VYBER	14200	55411	\N	\N	\N
874194	2977	1997-09-13	VYDAJ	VYBER	16500	52653	\N	\N	\N
874195	2977	1997-10-13	VYDAJ	VYBER	18400	54092	\N	\N	\N
874196	2977	1997-11-12	VYDAJ	VYBER	4000	47211	\N	\N	\N
874197	2977	1997-12-12	VYDAJ	VYBER	21000	61731	\N	\N	\N
874198	2977	1997-12-13	VYDAJ	VYBER	42200	76978	\N	\N	\N
874199	2977	1998-01-11	VYDAJ	VYBER	100	46256	\N	\N	\N
874200	2977	1998-02-10	PRIJEM	VKLAD	300	45092	\N	\N	\N
874201	2977	1998-03-12	VYDAJ	VYBER	15300	65292	\N	\N	\N
874202	2977	1998-04-11	VYDAJ	VYBER	25000	75907	\N	\N	\N
874203	2977	1998-04-13	VYDAJ	VYBER	51600	62605	\N	\N	\N
874204	2977	1998-05-11	VYDAJ	VYBER	7100	52759	\N	\N	\N
874205	2977	1998-06-10	VYDAJ	VYBER	24000	64308	\N	\N	\N
874206	2977	1998-06-13	VYDAJ	VYBER	26200	95555	\N	\N	\N
874207	2977	1998-07-10	PRIJEM	VKLAD	7100	43226	\N	\N	\N
874208	2977	1998-08-09	VYDAJ	VYBER	11700	59212	\N	\N	\N
874209	2977	1998-09-08	VYDAJ	VYBER	22100	72698	\N	\N	\N
874210	2977	1998-09-13	VYDAJ	VYBER	57400	53596	\N	\N	\N
874211	2977	1998-11-07	VYDAJ	VYBER	18200	68142	\N	\N	\N
874212	2977	1998-12-07	VYDAJ	VYBER	27200	76571	\N	\N	\N
874213	2977	1998-12-13	VYDAJ	VYBER	47100	86918	\N	\N	\N
874244	2978	1995-01-06	PRIJEM	VKLAD	600	600	\N	\N	\N
874245	2978	1995-01-09	PRIJEM	VKLAD	4819	5419	\N	\N	\N
874246	2978	1995-02-09	PRIJEM	VKLAD	4819	20355	\N	\N	\N
874247	2978	1995-03-09	PRIJEM	VKLAD	4819	28941	\N	\N	\N
874248	2978	1995-04-09	PRIJEM	VKLAD	4819	33971	\N	\N	\N
874249	2978	1995-05-09	PRIJEM	VKLAD	4819	33226	\N	\N	\N
874250	2978	1995-06-09	PRIJEM	VKLAD	7228	35058	\N	\N	\N
874251	2978	1995-07-09	PRIJEM	VKLAD	4819	25451	\N	\N	\N
874252	2978	1995-08-09	PRIJEM	VKLAD	4819	23628	\N	\N	\N
874253	2978	1995-09-09	PRIJEM	VKLAD	4819	23502	\N	\N	\N
874254	2978	1995-10-09	PRIJEM	VKLAD	4819	26878	\N	\N	\N
874255	2978	1995-11-09	PRIJEM	VKLAD	4819	25667	\N	\N	\N
874256	2978	1995-12-09	PRIJEM	VKLAD	7228	24664	\N	\N	\N
874257	2978	1996-01-09	PRIJEM	VKLAD	4819	24037	\N	\N	\N
874258	2978	1996-02-09	PRIJEM	VKLAD	4819	22097	\N	\N	\N
874259	2978	1996-03-09	PRIJEM	VKLAD	4819	20966	\N	\N	\N
874260	2978	1996-04-09	PRIJEM	VKLAD	4819	23835	\N	\N	\N
874261	2978	1996-05-09	PRIJEM	VKLAD	4819	23308	\N	\N	\N
874262	2978	1996-06-09	PRIJEM	VKLAD	7228	23586	\N	\N	\N
874263	2978	1996-07-09	PRIJEM	VKLAD	4819	22155	\N	\N	\N
874264	2978	1996-08-09	PRIJEM	VKLAD	4819	20922	\N	\N	\N
874265	2978	1996-09-09	PRIJEM	VKLAD	4819	16382	\N	\N	\N
874266	2978	1996-10-09	PRIJEM	VKLAD	4819	19327	\N	\N	\N
874267	2978	1996-11-09	PRIJEM	VKLAD	4819	21885	\N	\N	\N
874268	2978	1996-12-09	PRIJEM	VKLAD	7228	21158	\N	\N	\N
874269	2978	1997-01-09	PRIJEM	VKLAD	4819	17809	\N	\N	\N
874270	2978	1997-02-09	PRIJEM	VKLAD	4819	17057	\N	\N	\N
874271	2978	1997-03-09	PRIJEM	VKLAD	4819	16803	\N	\N	\N
874272	2978	1997-04-09	PRIJEM	VKLAD	4819	19550	\N	\N	\N
874273	2978	1997-05-09	PRIJEM	VKLAD	4819	21709	\N	\N	\N
874274	2978	1997-06-09	PRIJEM	VKLAD	7228	26185	\N	\N	\N
874275	2978	1997-07-09	PRIJEM	VKLAD	4819	17449	\N	\N	\N
874276	2978	1997-08-09	PRIJEM	VKLAD	4819	21901	\N	\N	\N
874277	2978	1997-09-09	PRIJEM	VKLAD	4819	19263	\N	\N	\N
874278	2978	1997-10-09	PRIJEM	VKLAD	4819	20819	\N	\N	\N
874279	2978	1997-11-09	PRIJEM	VKLAD	4819	19879	\N	\N	\N
874280	2978	1997-12-09	PRIJEM	VKLAD	7228	23346	\N	\N	\N
874281	2978	1998-01-09	PRIJEM	VKLAD	4819	19609	\N	\N	\N
874282	2978	1998-02-09	PRIJEM	VKLAD	4819	19270	\N	\N	\N
874283	2978	1998-03-09	PRIJEM	VKLAD	4819	25734	\N	\N	\N
874284	2978	1998-04-09	PRIJEM	VKLAD	4819	20909	\N	\N	\N
874285	2978	1998-05-09	PRIJEM	VKLAD	4819	21871	\N	\N	\N
874286	2978	1998-06-09	PRIJEM	VKLAD	7228	20138	\N	\N	\N
874287	2978	1998-07-09	PRIJEM	VKLAD	4819	24198	\N	\N	\N
874288	2978	1998-08-09	PRIJEM	VKLAD	4819	20764	\N	\N	\N
874289	2978	1998-09-09	PRIJEM	VKLAD	4819	21425	\N	\N	\N
874290	2978	1998-10-09	PRIJEM	VKLAD	4819	19985	\N	\N	\N
874291	2978	1998-11-09	PRIJEM	VKLAD	4819	20041	\N	\N	\N
874292	2978	1998-12-09	PRIJEM	VKLAD	7228	20802	\N	\N	\N
874297	2978	1995-05-11	VYDAJ	PREVOD NA UCET	3212	30014	SIPO	MN	20491338
874298	2978	1995-06-11	VYDAJ	PREVOD NA UCET	3212	31846	SIPO	MN	20491338
874299	2978	1995-07-11	VYDAJ	PREVOD NA UCET	3212	22239	SIPO	MN	20491338
874300	2978	1995-08-11	VYDAJ	PREVOD NA UCET	3212	20416	SIPO	MN	20491338
874301	2978	1995-09-11	VYDAJ	PREVOD NA UCET	3212	20290	SIPO	MN	20491338
874302	2978	1995-10-11	VYDAJ	PREVOD NA UCET	3212	23666	SIPO	MN	20491338
874303	2978	1995-11-11	VYDAJ	PREVOD NA UCET	3212	22455	SIPO	MN	20491338
874304	2978	1995-12-11	VYDAJ	PREVOD NA UCET	3212	21452	SIPO	MN	20491338
874305	2978	1996-01-11	VYDAJ	PREVOD NA UCET	3212	18525	SIPO	MN	20491338
874306	2978	1996-02-11	VYDAJ	PREVOD NA UCET	3212	18885	SIPO	MN	20491338
874307	2978	1996-03-11	VYDAJ	PREVOD NA UCET	3212	17754	SIPO	MN	20491338
874308	2978	1996-04-11	VYDAJ	PREVOD NA UCET	3212	20623	SIPO	MN	20491338
874309	2978	1996-05-11	VYDAJ	PREVOD NA UCET	3212	20096	SIPO	MN	20491338
874310	2978	1996-06-11	VYDAJ	PREVOD NA UCET	3212	20374	SIPO	MN	20491338
874311	2978	1996-07-11	VYDAJ	PREVOD NA UCET	3212	18943	SIPO	MN	20491338
874312	2978	1996-08-11	VYDAJ	PREVOD NA UCET	3212	17710	SIPO	MN	20491338
874313	2978	1996-09-11	VYDAJ	PREVOD NA UCET	3212	13170	SIPO	MN	20491338
874314	2978	1996-10-11	VYDAJ	PREVOD NA UCET	3212	16115	SIPO	MN	20491338
874315	2978	1996-11-11	VYDAJ	PREVOD NA UCET	3212	18673	SIPO	MN	20491338
874316	2978	1996-12-11	VYDAJ	PREVOD NA UCET	3212	13546	SIPO	MN	20491338
874317	2978	1997-01-11	VYDAJ	PREVOD NA UCET	3212	14597	SIPO	MN	20491338
874318	2978	1997-02-11	VYDAJ	PREVOD NA UCET	3212	13845	SIPO	MN	20491338
874319	2978	1997-03-11	VYDAJ	PREVOD NA UCET	3212	13591	SIPO	MN	20491338
874320	2978	1997-04-11	VYDAJ	PREVOD NA UCET	3212	16338	SIPO	MN	20491338
874321	2978	1997-05-11	VYDAJ	PREVOD NA UCET	3212	18497	SIPO	MN	20491338
874322	2978	1997-06-11	VYDAJ	PREVOD NA UCET	3212	22973	SIPO	MN	20491338
874323	2978	1997-07-11	VYDAJ	PREVOD NA UCET	3212	14237	SIPO	MN	20491338
874324	2978	1997-08-11	VYDAJ	PREVOD NA UCET	3212	18689	SIPO	MN	20491338
874325	2978	1997-09-11	VYDAJ	PREVOD NA UCET	3212	16051	SIPO	MN	20491338
874326	2978	1997-10-11	VYDAJ	PREVOD NA UCET	3212	17607	SIPO	MN	20491338
874327	2978	1997-11-11	VYDAJ	PREVOD NA UCET	3212	16667	SIPO	MN	20491338
874328	2978	1997-12-11	VYDAJ	PREVOD NA UCET	3212	20134	SIPO	MN	20491338
874329	2978	1998-01-11	VYDAJ	PREVOD NA UCET	3212	14197	SIPO	MN	20491338
874330	2978	1998-02-11	VYDAJ	PREVOD NA UCET	3212	16058	SIPO	MN	20491338
874331	2978	1998-03-11	VYDAJ	PREVOD NA UCET	3212	22522	SIPO	MN	20491338
874332	2978	1998-04-11	VYDAJ	PREVOD NA UCET	3212	17697	SIPO	MN	20491338
874333	2978	1998-05-11	VYDAJ	PREVOD NA UCET	3212	18659	SIPO	MN	20491338
874334	2978	1998-06-11	VYDAJ	PREVOD NA UCET	3212	16926	SIPO	MN	20491338
874335	2978	1998-07-11	VYDAJ	PREVOD NA UCET	3212	20986	SIPO	MN	20491338
874336	2978	1998-08-11	VYDAJ	PREVOD NA UCET	3212	17552	SIPO	MN	20491338
874337	2978	1998-09-11	VYDAJ	PREVOD NA UCET	3212	18213	SIPO	MN	20491338
874338	2978	1998-10-11	VYDAJ	PREVOD NA UCET	3212	16773	SIPO	MN	20491338
874339	2978	1998-11-11	VYDAJ	PREVOD NA UCET	3212	16829	SIPO	MN	20491338
874340	2978	1998-12-11	VYDAJ	PREVOD NA UCET	3212	17590	SIPO	MN	20491338
874341	2978	1995-06-17	VYDAJ	VYBER	15100	16746	\N	\N	\N
874343	2978	1997-06-16	VYDAJ	VYBER	7000	15973	\N	\N	\N
874348	2978	1998-01-30	VYDAJ	VYBER	4200	14397	\N	\N	\N
874349	2978	1995-12-05	VYDAJ	VYBER	700	17436	\N	\N	\N
874350	2978	1996-12-09	VYDAJ	VYBER	1400	16758	\N	\N	\N
874351	2978	1997-12-17	VYDAJ	VYBER	2500	17634	\N	\N	\N
874359	2978	1996-01-13	VYDAJ	VYBER	1400	15725	\N	\N	\N
874362	2978	1996-01-21	VYDAJ	VYBER	2600	13125	\N	\N	\N
874363	2978	1996-01-12	VYDAJ	VYBER	1400	17125	\N	\N	\N
874364	2978	1996-01-09	VYDAJ	VYBER	2300	21737	\N	\N	\N
874365	2978	1997-01-04	VYDAJ	VYBER	600	12990	\N	\N	\N
874370	2978	1997-01-11	VYDAJ	VYBER	1100	13497	\N	\N	\N
874373	2978	1998-01-10	VYDAJ	VYBER	2200	17409	\N	\N	\N
874374	2978	1998-01-02	VYDAJ	VYBER	2000	14790	\N	\N	\N
874375	2978	1998-01-17	VYDAJ	VYBER	600	13597	\N	\N	\N
874376	2978	1998-01-25	VYDAJ	VYBER	900	18597	\N	\N	\N
874377	2978	1995-07-28	VYDAJ	VYBER	4000	18239	\N	\N	\N
874378	2978	1995-12-13	VYDAJ	VYBER	3000	18452	\N	\N	\N
874379	2978	1995-06-20	VYDAJ	VYBER	900	15846	\N	\N	\N
874380	2978	1995-08-17	VYDAJ	VYBER	1200	19216	\N	\N	\N
874383	2978	1996-04-25	VYDAJ	VYBER	3400	17223	\N	\N	\N
874384	2978	1996-06-12	VYDAJ	VYBER	900	19474	\N	\N	\N
874386	2978	1996-05-23	VYDAJ	VYBER	4100	15996	\N	\N	\N
874387	2978	1996-08-26	VYDAJ	VYBER	4300	13410	\N	\N	\N
874388	2978	1996-12-09	VYDAJ	VYBER	3000	18158	\N	\N	\N
874394	2978	1998-03-25	VYDAJ	VYBER	4200	16022	\N	\N	\N
874395	2978	1998-07-16	VYDAJ	VYBER	3200	17786	\N	\N	\N
874399	2978	1998-09-22	VYDAJ	VYBER	2600	15113	\N	\N	\N
874400	2978	1998-09-17	VYDAJ	VYBER	3300	17713	\N	\N	\N
874406	2978	1995-05-31	VYDAJ	VYBER	15	30130	SLUZBY	\N	\N
874407	2978	1995-06-30	VYDAJ	VYBER	15	15932	SLUZBY	\N	\N
874408	2978	1995-07-31	VYDAJ	VYBER	15	18309	SLUZBY	\N	\N
874409	2978	1995-08-31	VYDAJ	VYBER	15	19283	SLUZBY	\N	\N
874410	2978	1995-09-30	VYDAJ	VYBER	15	20359	SLUZBY	\N	\N
874411	2978	1995-10-31	VYDAJ	VYBER	15	23748	SLUZBY	\N	\N
874412	2978	1995-11-30	VYDAJ	VYBER	15	22536	SLUZBY	\N	\N
874413	2978	1995-12-31	VYDAJ	VYBER	15	18518	SLUZBY	\N	\N
874414	2978	1996-01-31	VYDAJ	VYBER	15	17278	SLUZBY	\N	\N
874415	2978	1996-02-29	VYDAJ	VYBER	15	18947	SLUZBY	\N	\N
874416	2978	1996-03-31	VYDAJ	VYBER	15	19016	SLUZBY	\N	\N
874417	2978	1996-04-30	VYDAJ	VYBER	15	18489	SLUZBY	\N	\N
874418	2978	1996-05-31	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
874419	2978	1996-06-30	VYDAJ	VYBER	15	17336	SLUZBY	\N	\N
874420	2978	1996-07-31	VYDAJ	VYBER	15	16103	SLUZBY	\N	\N
874421	2978	1996-08-31	VYDAJ	VYBER	15	11563	SLUZBY	\N	\N
874422	2978	1996-09-30	VYDAJ	VYBER	15	14508	SLUZBY	\N	\N
874423	2978	1996-10-31	VYDAJ	VYBER	15	17066	SLUZBY	\N	\N
874424	2978	1996-11-30	VYDAJ	VYBER	15	13930	SLUZBY	\N	\N
874425	2978	1996-12-31	VYDAJ	VYBER	15	13590	SLUZBY	\N	\N
874426	2978	1997-01-31	VYDAJ	VYBER	15	12238	SLUZBY	\N	\N
874427	2978	1997-02-28	VYDAJ	VYBER	15	11984	SLUZBY	\N	\N
874428	2978	1997-03-31	VYDAJ	VYBER	15	14731	SLUZBY	\N	\N
874429	2978	1997-04-30	VYDAJ	VYBER	15	16890	SLUZBY	\N	\N
874430	2978	1997-05-31	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
874431	2978	1997-06-30	VYDAJ	VYBER	15	12630	SLUZBY	\N	\N
874432	2978	1997-07-31	VYDAJ	VYBER	15	17082	SLUZBY	\N	\N
874433	2978	1997-08-31	VYDAJ	VYBER	15	14444	SLUZBY	\N	\N
874434	2978	1997-09-30	VYDAJ	VYBER	15	16000	SLUZBY	\N	\N
874435	2978	1997-10-31	VYDAJ	VYBER	15	15060	SLUZBY	\N	\N
874436	2978	1997-11-30	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
874437	2978	1997-12-31	VYDAJ	VYBER	15	16790	SLUZBY	\N	\N
874438	2978	1998-01-31	VYDAJ	VYBER	15	14451	SLUZBY	\N	\N
874439	2978	1998-02-28	VYDAJ	VYBER	15	20915	SLUZBY	\N	\N
874440	2978	1998-03-31	VYDAJ	VYBER	15	16090	SLUZBY	\N	\N
874441	2978	1998-04-30	VYDAJ	VYBER	15	17052	SLUZBY	\N	\N
874442	2978	1998-05-31	VYDAJ	VYBER	15	12910	SLUZBY	\N	\N
874443	2978	1998-06-30	VYDAJ	VYBER	15	19379	SLUZBY	\N	\N
874444	2978	1998-07-31	VYDAJ	VYBER	15	15945	SLUZBY	\N	\N
874445	2978	1998-08-31	VYDAJ	VYBER	15	16606	SLUZBY	\N	\N
874446	2978	1998-09-30	VYDAJ	VYBER	15	15166	SLUZBY	\N	\N
874447	2978	1998-10-31	VYDAJ	VYBER	15	15222	SLUZBY	\N	\N
874448	2978	1998-11-30	VYDAJ	VYBER	15	13574	SLUZBY	\N	\N
874449	2978	1995-02-05	PRIJEM	VKLAD	10100	15536	\N	\N	\N
874450	2978	1995-03-07	PRIJEM	VKLAD	3700	24122	\N	\N	\N
874451	2978	1995-04-06	PRIJEM	VKLAD	100	29152	\N	\N	\N
874452	2978	1995-05-06	VYDAJ	VYBER	5700	28407	\N	\N	\N
874453	2978	1995-06-05	VYDAJ	VYBER	2300	27830	\N	\N	\N
874454	2978	1995-07-05	PRIJEM	VKLAD	4700	20632	\N	\N	\N
874455	2978	1995-08-04	PRIJEM	VKLAD	500	18809	\N	\N	\N
874456	2978	1995-09-03	VYDAJ	VYBER	600	18683	\N	\N	\N
874457	2978	1995-10-03	PRIJEM	VKLAD	1700	22059	\N	\N	\N
874458	2978	1995-11-02	VYDAJ	VYBER	2900	20848	\N	\N	\N
874459	2978	1995-12-02	VYDAJ	VYBER	4400	18136	\N	\N	\N
874460	2978	1996-01-01	PRIJEM	VKLAD	700	19218	\N	\N	\N
874461	2978	1996-01-31	PRIJEM	VKLAD	4100	17293	\N	\N	\N
874462	2978	1996-03-01	VYDAJ	VYBER	2800	16147	\N	\N	\N
874463	2978	1996-03-31	PRIJEM	VKLAD	1200	19030	\N	\N	\N
874464	2978	1996-04-30	PRIJEM	VKLAD	1200	18504	\N	\N	\N
874465	2978	1996-05-30	PRIJEM	VKLAD	300	16296	\N	\N	\N
874466	2978	1996-06-29	VYDAJ	VYBER	2200	17274	\N	\N	\N
874467	2978	1996-07-29	VYDAJ	VYBER	2900	16043	\N	\N	\N
874468	2978	1996-08-28	VYDAJ	VYBER	1900	11510	\N	\N	\N
874469	2978	1996-09-27	PRIJEM	VKLAD	1300	14470	\N	\N	\N
874470	2978	1996-10-27	PRIJEM	VKLAD	900	17015	\N	\N	\N
874471	2978	1996-11-26	VYDAJ	VYBER	4800	13873	\N	\N	\N
874472	2978	1997-01-25	VYDAJ	VYBER	1300	12197	\N	\N	\N
874473	2978	1997-02-24	VYDAJ	VYBER	1900	11945	\N	\N	\N
874474	2978	1997-03-26	PRIJEM	VKLAD	1100	14691	\N	\N	\N
874475	2978	1997-04-25	PRIJEM	VKLAD	500	16838	\N	\N	\N
874476	2978	1997-05-25	PRIJEM	VKLAD	400	18897	\N	\N	\N
874477	2978	1997-06-24	VYDAJ	VYBER	3400	12573	\N	\N	\N
874478	2978	1997-07-24	PRIJEM	VKLAD	2800	17037	\N	\N	\N
874479	2978	1997-08-23	VYDAJ	VYBER	4300	14389	\N	\N	\N
874480	2978	1997-09-22	VYDAJ	VYBER	100	15951	\N	\N	\N
874481	2978	1997-10-22	VYDAJ	VYBER	2600	15007	\N	\N	\N
874482	2978	1997-11-21	VYDAJ	VYBER	600	16067	\N	\N	\N
874483	2978	1997-12-21	VYDAJ	VYBER	900	16734	\N	\N	\N
874484	2978	1998-01-20	PRIJEM	VKLAD	5900	19497	\N	\N	\N
874485	2978	1998-02-19	PRIJEM	VKLAD	4800	20858	\N	\N	\N
874486	2978	1998-03-21	VYDAJ	VYBER	2300	20222	\N	\N	\N
874487	2978	1998-04-20	VYDAJ	VYBER	700	16997	\N	\N	\N
874488	2978	1998-05-20	VYDAJ	VYBER	5800	12859	\N	\N	\N
874489	2978	1998-06-19	PRIJEM	VKLAD	2400	19326	\N	\N	\N
874490	2978	1998-07-19	VYDAJ	VYBER	1900	15886	\N	\N	\N
874491	2978	1998-08-18	VYDAJ	VYBER	1000	16552	\N	\N	\N
874492	2978	1998-09-17	PRIJEM	VKLAD	2800	21013	\N	\N	\N
874493	2978	1998-10-17	VYDAJ	VYBER	1600	15173	\N	\N	\N
874494	2978	1998-11-16	VYDAJ	VYBER	3300	13529	\N	\N	\N
874495	2978	1998-12-16	VYDAJ	VYBER	5100	12490	\N	\N	\N
874544	2979	1997-11-22	PRIJEM	VKLAD	700	700	\N	\N	\N
874556	2979	1997-12-13	PRIJEM	PREVOD Z UCTU	5241	5941	DUCHOD	UV	49307745
874557	2979	1998-01-13	PRIJEM	PREVOD Z UCTU	5241	11182	DUCHOD	UV	49307745
874558	2979	1998-02-13	PRIJEM	PREVOD Z UCTU	5241	16423	DUCHOD	UV	49307745
874559	2979	1998-03-13	PRIJEM	PREVOD Z UCTU	5241	20985	DUCHOD	UV	49307745
874560	2979	1998-04-13	PRIJEM	PREVOD Z UCTU	5241	24196	DUCHOD	UV	49307745
874561	2979	1998-05-13	PRIJEM	PREVOD Z UCTU	5241	19105	DUCHOD	UV	49307745
874562	2979	1998-06-13	PRIJEM	PREVOD Z UCTU	5241	20914	DUCHOD	UV	49307745
874563	2979	1998-07-13	PRIJEM	PREVOD Z UCTU	5241	17270	DUCHOD	UV	49307745
874564	2979	1998-08-13	PRIJEM	PREVOD Z UCTU	5241	16268	DUCHOD	UV	49307745
874565	2979	1998-09-13	PRIJEM	PREVOD Z UCTU	5241	14119	DUCHOD	UV	49307745
874566	2979	1998-10-13	PRIJEM	PREVOD Z UCTU	5241	15904	DUCHOD	UV	49307745
874567	2979	1998-11-13	PRIJEM	PREVOD Z UCTU	5241	17700	DUCHOD	UV	49307745
874568	2979	1998-12-13	PRIJEM	PREVOD Z UCTU	5241	18553	DUCHOD	UV	49307745
874585	2979	1998-05-05	VYDAJ	PREVOD NA UCET	3494	13864	SIPO	QR	8953369
874586	2979	1998-06-05	VYDAJ	PREVOD NA UCET	3494	15673	SIPO	QR	8953369
874587	2979	1998-07-05	VYDAJ	PREVOD NA UCET	3494	12029	SIPO	QR	8953369
874588	2979	1998-08-05	VYDAJ	PREVOD NA UCET	3494	11027	SIPO	QR	8953369
874589	2979	1998-09-05	VYDAJ	PREVOD NA UCET	3494	9678	SIPO	QR	8953369
874590	2979	1998-10-05	VYDAJ	PREVOD NA UCET	3494	10663	SIPO	QR	8953369
874591	2979	1998-11-05	VYDAJ	PREVOD NA UCET	3494	12459	SIPO	QR	8953369
874592	2979	1998-12-05	VYDAJ	PREVOD NA UCET	3494	14262	SIPO	QR	8953369
874594	2979	1998-06-17	VYDAJ	VYBER	4150	16764	\N	\N	\N
874598	2979	1998-12-12	VYDAJ	VYBER	950	13312	\N	\N	\N
874605	2979	1998-09-05	VYDAJ	VYBER	800	8878	\N	\N	\N
874608	2979	1998-08-18	VYDAJ	VYBER	2240	14028	\N	\N	\N
874626	2979	1998-04-30	VYDAJ	VYBER	15	17358	SLUZBY	\N	\N
874627	2979	1998-05-31	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
874628	2979	1998-06-30	VYDAJ	VYBER	15	15523	SLUZBY	\N	\N
874629	2979	1998-07-31	VYDAJ	VYBER	15	14521	SLUZBY	\N	\N
874630	2979	1998-08-31	VYDAJ	VYBER	15	13172	SLUZBY	\N	\N
874631	2979	1998-09-30	VYDAJ	VYBER	15	14157	SLUZBY	\N	\N
874632	2979	1998-10-31	VYDAJ	VYBER	15	15953	SLUZBY	\N	\N
874633	2979	1998-11-30	VYDAJ	VYBER	15	17756	SLUZBY	\N	\N
874634	2979	1998-02-20	VYDAJ	VYBER	700	15723	\N	\N	\N
874635	2979	1998-03-22	VYDAJ	VYBER	2100	18885	\N	\N	\N
874636	2979	1998-04-21	VYDAJ	VYBER	6900	17296	\N	\N	\N
874637	2979	1998-06-20	VYDAJ	VYBER	1300	15464	\N	\N	\N
874638	2979	1998-07-20	VYDAJ	VYBER	2800	14470	\N	\N	\N
874639	2979	1998-08-19	VYDAJ	VYBER	900	13128	\N	\N	\N
874651	2980	1993-12-09	PRIJEM	VKLAD	1000	1000	\N	\N	\N
874664	2980	1994-01-06	PRIJEM	PREVOD Z UCTU	4974	5974	DUCHOD	EF	27748787
874665	2980	1994-02-06	PRIJEM	PREVOD Z UCTU	4974	10948	DUCHOD	EF	27748787
874666	2980	1994-03-06	PRIJEM	PREVOD Z UCTU	4974	15922	DUCHOD	EF	27748787
874667	2980	1994-04-06	PRIJEM	PREVOD Z UCTU	4974	20896	DUCHOD	EF	27748787
874668	2980	1994-05-06	PRIJEM	PREVOD Z UCTU	4974	25870	DUCHOD	EF	27748787
874669	2980	1994-06-06	PRIJEM	PREVOD Z UCTU	4974	24577	DUCHOD	EF	27748787
874670	2980	1994-07-06	PRIJEM	PREVOD Z UCTU	4974	24653	DUCHOD	EF	27748787
874671	2980	1994-08-06	PRIJEM	PREVOD Z UCTU	4974	22160	DUCHOD	EF	27748787
874672	2980	1994-09-06	PRIJEM	PREVOD Z UCTU	4974	21243	DUCHOD	EF	27748787
874673	2980	1994-10-06	PRIJEM	PREVOD Z UCTU	4974	22959	DUCHOD	EF	27748787
874674	2980	1994-11-06	PRIJEM	PREVOD Z UCTU	4974	24682	DUCHOD	EF	27748787
874675	2980	1994-12-06	PRIJEM	PREVOD Z UCTU	4974	26413	DUCHOD	EF	27748787
874676	2980	1995-01-06	PRIJEM	PREVOD Z UCTU	4974	26449	DUCHOD	EF	27748787
874677	2980	1995-02-06	PRIJEM	PREVOD Z UCTU	4974	17679	DUCHOD	EF	27748787
874678	2980	1995-03-06	PRIJEM	PREVOD Z UCTU	4974	19380	DUCHOD	EF	27748787
874679	2980	1995-04-06	PRIJEM	PREVOD Z UCTU	4974	21088	DUCHOD	EF	27748787
874680	2980	1995-05-06	PRIJEM	PREVOD Z UCTU	4974	22803	DUCHOD	EF	27748787
874681	2980	1995-06-06	PRIJEM	PREVOD Z UCTU	4974	18926	DUCHOD	EF	27748787
874682	2980	1995-07-06	PRIJEM	PREVOD Z UCTU	4974	17916	DUCHOD	EF	27748787
874683	2980	1995-08-06	PRIJEM	PREVOD Z UCTU	4974	18255	DUCHOD	EF	27748787
874684	2980	1995-09-06	PRIJEM	PREVOD Z UCTU	4974	19959	DUCHOD	EF	27748787
874685	2980	1995-10-06	PRIJEM	PREVOD Z UCTU	4974	21669	DUCHOD	EF	27748787
874686	2980	1995-11-06	PRIJEM	PREVOD Z UCTU	4974	23387	DUCHOD	EF	27748787
874687	2980	1995-12-06	PRIJEM	PREVOD Z UCTU	4974	25112	DUCHOD	EF	27748787
874688	2980	1996-01-06	PRIJEM	PREVOD Z UCTU	4974	25841	DUCHOD	EF	27748787
874689	2980	1996-02-06	PRIJEM	PREVOD Z UCTU	4974	18887	DUCHOD	EF	27748787
874690	2980	1996-03-06	PRIJEM	PREVOD Z UCTU	4974	20592	DUCHOD	EF	27748787
874691	2980	1996-04-06	PRIJEM	PREVOD Z UCTU	4974	22305	DUCHOD	EF	27748787
874692	2980	1996-05-06	PRIJEM	PREVOD Z UCTU	4974	24026	DUCHOD	EF	27748787
874693	2980	1996-06-06	PRIJEM	PREVOD Z UCTU	4974	23589	DUCHOD	EF	27748787
874694	2980	1996-07-06	PRIJEM	PREVOD Z UCTU	4974	25315	DUCHOD	EF	27748787
874695	2980	1996-08-06	PRIJEM	PREVOD Z UCTU	4974	26347	DUCHOD	EF	27748787
874696	2980	1996-09-06	PRIJEM	PREVOD Z UCTU	4974	27483	DUCHOD	EF	27748787
874697	2980	1996-10-06	PRIJEM	PREVOD Z UCTU	4974	28624	DUCHOD	EF	27748787
874698	2980	1996-11-06	PRIJEM	PREVOD Z UCTU	4974	23555	DUCHOD	EF	27748787
874699	2980	1996-12-06	PRIJEM	PREVOD Z UCTU	4974	25281	DUCHOD	EF	27748787
874700	2980	1997-01-06	PRIJEM	PREVOD Z UCTU	4974	25561	DUCHOD	EF	27748787
874701	2980	1997-02-06	PRIJEM	PREVOD Z UCTU	4974	20765	DUCHOD	EF	27748787
874702	2980	1997-03-06	PRIJEM	PREVOD Z UCTU	4974	21277	DUCHOD	EF	27748787
874703	2980	1997-04-06	PRIJEM	PREVOD Z UCTU	4974	22592	DUCHOD	EF	27748787
874704	2980	1997-05-06	PRIJEM	PREVOD Z UCTU	4974	22611	DUCHOD	EF	27748787
874705	2980	1997-06-06	PRIJEM	PREVOD Z UCTU	4974	23931	DUCHOD	EF	27748787
874706	2980	1997-07-06	PRIJEM	PREVOD Z UCTU	4974	23154	DUCHOD	EF	27748787
874707	2980	1997-08-06	PRIJEM	PREVOD Z UCTU	4974	24477	DUCHOD	EF	27748787
874708	2980	1997-09-06	PRIJEM	PREVOD Z UCTU	4974	23321	DUCHOD	EF	27748787
874709	2980	1997-10-06	PRIJEM	PREVOD Z UCTU	4974	25045	DUCHOD	EF	27748787
874710	2980	1997-11-06	PRIJEM	PREVOD Z UCTU	4974	25974	DUCHOD	EF	27748787
874711	2980	1997-12-06	PRIJEM	PREVOD Z UCTU	4974	24821	DUCHOD	EF	27748787
874712	2980	1998-01-06	PRIJEM	PREVOD Z UCTU	4974	23841	DUCHOD	EF	27748787
874713	2980	1998-02-06	PRIJEM	PREVOD Z UCTU	4974	16422	DUCHOD	EF	27748787
874714	2980	1998-03-06	PRIJEM	PREVOD Z UCTU	4974	18116	DUCHOD	EF	27748787
874715	2980	1998-04-06	PRIJEM	PREVOD Z UCTU	4974	19818	DUCHOD	EF	27748787
874716	2980	1998-05-06	PRIJEM	PREVOD Z UCTU	4974	21527	DUCHOD	EF	27748787
874717	2980	1998-06-06	PRIJEM	PREVOD Z UCTU	4974	20837	DUCHOD	EF	27748787
874718	2980	1998-07-06	PRIJEM	PREVOD Z UCTU	4974	22550	DUCHOD	EF	27748787
874719	2980	1998-08-06	PRIJEM	PREVOD Z UCTU	4974	22566	DUCHOD	EF	27748787
874720	2980	1998-09-06	PRIJEM	PREVOD Z UCTU	4974	21983	DUCHOD	EF	27748787
874721	2980	1998-10-06	PRIJEM	PREVOD Z UCTU	4974	19693	DUCHOD	EF	27748787
874722	2980	1998-11-06	PRIJEM	PREVOD Z UCTU	4974	20599	DUCHOD	EF	27748787
874723	2980	1998-12-06	PRIJEM	PREVOD Z UCTU	4974	20719	DUCHOD	EF	27748787
874740	2980	1994-05-10	VYDAJ	PREVOD NA UCET	3316	19554	SIPO	GH	92280965
874741	2980	1994-06-10	VYDAJ	PREVOD NA UCET	3316	19611	SIPO	GH	92280965
874742	2980	1994-07-10	VYDAJ	PREVOD NA UCET	3316	19837	SIPO	GH	92280965
874743	2980	1994-08-10	VYDAJ	PREVOD NA UCET	3316	18844	SIPO	GH	92280965
874744	2980	1994-09-10	VYDAJ	PREVOD NA UCET	3316	17927	SIPO	GH	92280965
874745	2980	1994-10-10	VYDAJ	PREVOD NA UCET	3316	19643	SIPO	GH	92280965
874746	2980	1994-11-10	VYDAJ	PREVOD NA UCET	3316	21366	SIPO	GH	92280965
874747	2980	1994-12-10	VYDAJ	PREVOD NA UCET	3316	23097	SIPO	GH	92280965
874748	2980	1995-01-10	VYDAJ	PREVOD NA UCET	3316	21053	SIPO	GH	92280965
874749	2980	1995-02-10	VYDAJ	PREVOD NA UCET	3316	14363	SIPO	GH	92280965
874750	2980	1995-03-10	VYDAJ	PREVOD NA UCET	3316	16064	SIPO	GH	92280965
874751	2980	1995-04-10	VYDAJ	PREVOD NA UCET	3316	17772	SIPO	GH	92280965
874752	2980	1995-05-10	VYDAJ	PREVOD NA UCET	3316	19487	SIPO	GH	92280965
874753	2980	1995-06-10	VYDAJ	PREVOD NA UCET	3316	15610	SIPO	GH	92280965
874754	2980	1995-07-10	VYDAJ	PREVOD NA UCET	3316	14600	SIPO	GH	92280965
874755	2980	1995-08-10	VYDAJ	PREVOD NA UCET	3316	14939	SIPO	GH	92280965
874756	2980	1995-09-10	VYDAJ	PREVOD NA UCET	3316	16643	SIPO	GH	92280965
874757	2980	1995-10-10	VYDAJ	PREVOD NA UCET	3316	18353	SIPO	GH	92280965
874758	2980	1995-11-10	VYDAJ	PREVOD NA UCET	3316	20071	SIPO	GH	92280965
874759	2980	1995-12-10	VYDAJ	PREVOD NA UCET	3316	21796	SIPO	GH	92280965
874760	2980	1996-01-10	VYDAJ	PREVOD NA UCET	3316	20925	SIPO	GH	92280965
874761	2980	1996-02-10	VYDAJ	PREVOD NA UCET	3316	15571	SIPO	GH	92280965
874762	2980	1996-03-10	VYDAJ	PREVOD NA UCET	3316	17276	SIPO	GH	92280965
874763	2980	1996-04-10	VYDAJ	PREVOD NA UCET	3316	18989	SIPO	GH	92280965
874764	2980	1996-05-10	VYDAJ	PREVOD NA UCET	3316	20710	SIPO	GH	92280965
874765	2980	1996-06-10	VYDAJ	PREVOD NA UCET	3316	20273	SIPO	GH	92280965
874766	2980	1996-07-10	VYDAJ	PREVOD NA UCET	3316	21999	SIPO	GH	92280965
874767	2980	1996-08-10	VYDAJ	PREVOD NA UCET	3316	23031	SIPO	GH	92280965
874768	2980	1996-09-10	VYDAJ	PREVOD NA UCET	3316	24167	SIPO	GH	92280965
874769	2980	1996-10-10	VYDAJ	PREVOD NA UCET	3316	25308	SIPO	GH	92280965
874770	2980	1996-11-10	VYDAJ	PREVOD NA UCET	3316	20239	SIPO	GH	92280965
874771	2980	1996-12-10	VYDAJ	PREVOD NA UCET	3316	21965	SIPO	GH	92280965
874772	2980	1997-01-10	VYDAJ	PREVOD NA UCET	3316	20845	SIPO	GH	92280965
874773	2980	1997-02-10	VYDAJ	PREVOD NA UCET	3316	17449	SIPO	GH	92280965
874774	2980	1997-03-10	VYDAJ	PREVOD NA UCET	3316	17961	SIPO	GH	92280965
874775	2980	1997-04-10	VYDAJ	PREVOD NA UCET	3316	19276	SIPO	GH	92280965
874776	2980	1997-05-10	VYDAJ	PREVOD NA UCET	3316	19295	SIPO	GH	92280965
874777	2980	1997-06-10	VYDAJ	PREVOD NA UCET	3316	20615	SIPO	GH	92280965
874778	2980	1997-07-10	VYDAJ	PREVOD NA UCET	3316	19838	SIPO	GH	92280965
874779	2980	1997-08-10	VYDAJ	PREVOD NA UCET	3316	19561	SIPO	GH	92280965
874780	2980	1997-09-10	VYDAJ	PREVOD NA UCET	3316	20005	SIPO	GH	92280965
874781	2980	1997-10-10	VYDAJ	PREVOD NA UCET	3316	21729	SIPO	GH	92280965
874782	2980	1997-11-10	VYDAJ	PREVOD NA UCET	3316	19778	SIPO	GH	92280965
874783	2980	1997-12-10	VYDAJ	PREVOD NA UCET	3316	21505	SIPO	GH	92280965
874784	2980	1998-01-10	VYDAJ	PREVOD NA UCET	3316	11405	SIPO	GH	92280965
874785	2980	1998-02-10	VYDAJ	PREVOD NA UCET	3316	13106	SIPO	GH	92280965
874786	2980	1998-03-10	VYDAJ	PREVOD NA UCET	3316	14800	SIPO	GH	92280965
874787	2980	1998-04-10	VYDAJ	PREVOD NA UCET	3316	16502	SIPO	GH	92280965
874788	2980	1998-05-10	VYDAJ	PREVOD NA UCET	3316	18211	SIPO	GH	92280965
874789	2980	1998-06-10	VYDAJ	PREVOD NA UCET	3316	17521	SIPO	GH	92280965
874790	2980	1998-07-10	VYDAJ	PREVOD NA UCET	3316	19234	SIPO	GH	92280965
874791	2980	1998-08-10	VYDAJ	PREVOD NA UCET	3316	19250	SIPO	GH	92280965
874792	2980	1998-09-10	VYDAJ	PREVOD NA UCET	3316	17867	SIPO	GH	92280965
874793	2980	1998-10-10	VYDAJ	PREVOD NA UCET	3316	16377	SIPO	GH	92280965
874794	2980	1998-11-10	VYDAJ	PREVOD NA UCET	3316	17283	SIPO	GH	92280965
874795	2980	1998-12-10	VYDAJ	PREVOD NA UCET	3316	17403	SIPO	GH	92280965
874797	2980	1994-06-09	VYDAJ	VYBER	1650	22927	\N	\N	\N
874798	2980	1995-06-03	VYDAJ	VYBER	5100	13952	\N	\N	\N
874804	2980	1995-01-25	VYDAJ	VYBER	650	14083	\N	\N	\N
874805	2980	1996-01-17	VYDAJ	VYBER	2350	15135	\N	\N	\N
874806	2980	1997-01-09	VYDAJ	VYBER	1400	24161	\N	\N	\N
874809	2980	1994-12-21	VYDAJ	VYBER	800	22297	\N	\N	\N
874810	2980	1995-12-10	VYDAJ	VYBER	1000	20796	\N	\N	\N
874811	2980	1996-12-25	VYDAJ	VYBER	950	20515	\N	\N	\N
874812	2980	1997-12-24	VYDAJ	VYBER	550	20955	\N	\N	\N
874813	2980	1998-12-02	VYDAJ	VYBER	450	15745	\N	\N	\N
874826	2980	1995-01-11	VYDAJ	VYBER	1440	19613	\N	\N	\N
874827	2980	1995-01-11	VYDAJ	VYBER	1840	17773	\N	\N	\N
874828	2980	1995-01-24	VYDAJ	VYBER	1840	14733	\N	\N	\N
874829	2980	1995-01-08	VYDAJ	VYBER	2080	24369	\N	\N	\N
874830	2980	1995-01-26	VYDAJ	VYBER	1440	12643	\N	\N	\N
874831	2980	1995-01-15	VYDAJ	VYBER	1200	16573	\N	\N	\N
874832	2980	1996-01-20	VYDAJ	VYBER	1280	13855	\N	\N	\N
874834	2980	1996-01-10	VYDAJ	VYBER	2320	18605	\N	\N	\N
874835	2980	1996-01-12	VYDAJ	VYBER	640	17965	\N	\N	\N
874836	2980	1996-01-15	VYDAJ	VYBER	480	17485	\N	\N	\N
874837	2980	1996-01-06	VYDAJ	VYBER	1600	24241	\N	\N	\N
874840	2980	1997-01-26	VYDAJ	VYBER	720	17805	\N	\N	\N
874841	2980	1997-01-30	VYDAJ	VYBER	2080	15725	\N	\N	\N
874842	2980	1997-01-15	VYDAJ	VYBER	1920	18925	\N	\N	\N
874843	2980	1997-01-23	VYDAJ	VYBER	400	18525	\N	\N	\N
874844	2980	1998-01-02	VYDAJ	VYBER	2160	18867	\N	\N	\N
874845	2980	1998-01-09	VYDAJ	VYBER	2320	14721	\N	\N	\N
874846	2980	1998-01-08	VYDAJ	VYBER	1280	20561	\N	\N	\N
874847	2980	1998-01-07	VYDAJ	VYBER	2000	21841	\N	\N	\N
874857	2980	1994-08-28	VYDAJ	VYBER	2640	16204	\N	\N	\N
874859	2980	1994-08-03	VYDAJ	VYBER	2720	17186	\N	\N	\N
874861	2980	1995-07-17	VYDAJ	VYBER	1360	13240	\N	\N	\N
874864	2980	1995-06-30	VYDAJ	VYBER	2720	12957	\N	\N	\N
874865	2980	1996-10-11	VYDAJ	VYBER	1920	23388	\N	\N	\N
874866	2980	1996-10-15	VYDAJ	VYBER	3360	20028	\N	\N	\N
874867	2980	1996-10-23	VYDAJ	VYBER	1520	18508	\N	\N	\N
874868	2980	1996-05-19	VYDAJ	VYBER	2160	18550	\N	\N	\N
874869	2980	1997-08-24	VYDAJ	VYBER	1280	18281	\N	\N	\N
874870	2980	1997-11-07	VYDAJ	VYBER	2880	23094	\N	\N	\N
874871	2980	1997-08-06	VYDAJ	VYBER	1600	22877	\N	\N	\N
874876	2980	1998-05-14	VYDAJ	VYBER	2400	15811	\N	\N	\N
874877	2980	1998-11-28	VYDAJ	VYBER	640	16143	\N	\N	\N
874878	2980	1998-08-26	VYDAJ	VYBER	1200	16950	\N	\N	\N
874879	2980	1998-09-06	VYDAJ	VYBER	800	21183	\N	\N	\N
874880	2980	1998-01-08	VYDAJ	VYBER	3520	17041	\N	\N	\N
874899	2980	1994-05-31	VYDAJ	VYBER	15	19603	SLUZBY	\N	\N
874900	2980	1994-06-30	VYDAJ	VYBER	15	19679	SLUZBY	\N	\N
874901	2980	1994-07-31	VYDAJ	VYBER	15	19906	SLUZBY	\N	\N
874902	2980	1994-08-31	VYDAJ	VYBER	15	16269	SLUZBY	\N	\N
874903	2980	1994-09-30	VYDAJ	VYBER	15	17985	SLUZBY	\N	\N
874904	2980	1994-10-31	VYDAJ	VYBER	15	19708	SLUZBY	\N	\N
874905	2980	1994-11-30	VYDAJ	VYBER	15	21439	SLUZBY	\N	\N
874906	2980	1994-12-31	VYDAJ	VYBER	15	22375	SLUZBY	\N	\N
874907	2980	1995-01-31	VYDAJ	VYBER	15	12705	SLUZBY	\N	\N
874908	2980	1995-02-28	VYDAJ	VYBER	15	14406	SLUZBY	\N	\N
874909	2980	1995-03-31	VYDAJ	VYBER	15	16114	SLUZBY	\N	\N
874910	2980	1995-04-30	VYDAJ	VYBER	15	17829	SLUZBY	\N	\N
874911	2980	1995-05-31	VYDAJ	VYBER	15	19552	SLUZBY	\N	\N
874912	2980	1995-06-30	VYDAJ	VYBER	15	12942	SLUZBY	\N	\N
874913	2980	1995-07-31	VYDAJ	VYBER	15	13281	SLUZBY	\N	\N
874914	2980	1995-08-31	VYDAJ	VYBER	15	14985	SLUZBY	\N	\N
874915	2980	1995-09-30	VYDAJ	VYBER	15	16695	SLUZBY	\N	\N
874916	2980	1995-10-31	VYDAJ	VYBER	15	18413	SLUZBY	\N	\N
874917	2980	1995-11-30	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
874918	2980	1995-12-31	VYDAJ	VYBER	15	20867	SLUZBY	\N	\N
874919	2980	1996-01-31	VYDAJ	VYBER	15	13913	SLUZBY	\N	\N
874920	2980	1996-02-29	VYDAJ	VYBER	15	15618	SLUZBY	\N	\N
874921	2980	1996-03-31	VYDAJ	VYBER	15	17331	SLUZBY	\N	\N
874922	2980	1996-04-30	VYDAJ	VYBER	15	19052	SLUZBY	\N	\N
874923	2980	1996-05-31	VYDAJ	VYBER	15	18615	SLUZBY	\N	\N
874924	2980	1996-06-30	VYDAJ	VYBER	15	20341	SLUZBY	\N	\N
874925	2980	1996-07-31	VYDAJ	VYBER	15	21373	SLUZBY	\N	\N
874926	2980	1996-08-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
874927	2980	1996-09-30	VYDAJ	VYBER	15	23650	SLUZBY	\N	\N
874928	2980	1996-10-31	VYDAJ	VYBER	15	18581	SLUZBY	\N	\N
874929	2980	1996-11-30	VYDAJ	VYBER	15	20307	SLUZBY	\N	\N
874930	2980	1996-12-31	VYDAJ	VYBER	15	20587	SLUZBY	\N	\N
874931	2980	1997-01-31	VYDAJ	VYBER	15	15791	SLUZBY	\N	\N
874932	2980	1997-02-28	VYDAJ	VYBER	15	16303	SLUZBY	\N	\N
874933	2980	1997-03-31	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
874934	2980	1997-04-30	VYDAJ	VYBER	15	17637	SLUZBY	\N	\N
874935	2980	1997-05-31	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
874936	2980	1997-06-30	VYDAJ	VYBER	15	18180	SLUZBY	\N	\N
874937	2980	1997-07-31	VYDAJ	VYBER	15	19503	SLUZBY	\N	\N
874938	2980	1997-08-31	VYDAJ	VYBER	15	18347	SLUZBY	\N	\N
874939	2980	1997-09-30	VYDAJ	VYBER	15	20071	SLUZBY	\N	\N
874940	2980	1997-10-31	VYDAJ	VYBER	15	21000	SLUZBY	\N	\N
874941	2980	1997-11-30	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
874942	2980	1997-12-31	VYDAJ	VYBER	15	21027	SLUZBY	\N	\N
874943	2980	1998-01-31	VYDAJ	VYBER	15	11448	SLUZBY	\N	\N
874944	2980	1998-02-28	VYDAJ	VYBER	15	13142	SLUZBY	\N	\N
874945	2980	1998-03-31	VYDAJ	VYBER	15	14844	SLUZBY	\N	\N
874946	2980	1998-04-30	VYDAJ	VYBER	15	16553	SLUZBY	\N	\N
874947	2980	1998-05-31	VYDAJ	VYBER	15	15863	SLUZBY	\N	\N
874948	2980	1998-06-30	VYDAJ	VYBER	15	17576	SLUZBY	\N	\N
874949	2980	1998-07-31	VYDAJ	VYBER	15	17592	SLUZBY	\N	\N
874950	2980	1998-08-31	VYDAJ	VYBER	15	17009	SLUZBY	\N	\N
874951	2980	1998-09-30	VYDAJ	VYBER	15	14719	SLUZBY	\N	\N
874952	2980	1998-10-31	VYDAJ	VYBER	15	15625	SLUZBY	\N	\N
874953	2980	1998-11-30	VYDAJ	VYBER	15	16195	SLUZBY	\N	\N
874954	2980	1994-05-08	VYDAJ	VYBER	3000	22870	\N	\N	\N
874955	2980	1994-07-07	VYDAJ	VYBER	1500	23153	\N	\N	\N
874956	2980	1995-01-03	VYDAJ	VYBER	900	21475	\N	\N	\N
874957	2980	1995-06-02	VYDAJ	VYBER	500	19052	\N	\N	\N
874958	2980	1996-07-26	VYDAJ	VYBER	700	21299	\N	\N	\N
874959	2980	1996-08-25	VYDAJ	VYBER	600	22431	\N	\N	\N
874960	2980	1996-09-24	VYDAJ	VYBER	600	23567	\N	\N	\N
874961	2980	1996-12-23	VYDAJ	VYBER	500	21465	\N	\N	\N
874962	2980	1997-02-21	VYDAJ	VYBER	1200	16249	\N	\N	\N
874963	2980	1997-03-23	VYDAJ	VYBER	400	17561	\N	\N	\N
874964	2980	1997-04-22	VYDAJ	VYBER	1700	17576	\N	\N	\N
874965	2980	1997-05-22	VYDAJ	VYBER	400	18895	\N	\N	\N
874966	2980	1997-06-21	VYDAJ	VYBER	2500	18115	\N	\N	\N
874967	2980	1997-07-21	VYDAJ	VYBER	400	19438	\N	\N	\N
874968	2980	1997-10-19	VYDAJ	VYBER	800	20929	\N	\N	\N
874969	2980	1998-07-16	VYDAJ	VYBER	1700	17534	\N	\N	\N
874970	2980	1998-08-15	VYDAJ	VYBER	1100	18150	\N	\N	\N
874971	2980	1998-09-14	VYDAJ	VYBER	3200	14667	\N	\N	\N
874972	2980	1998-10-14	VYDAJ	VYBER	800	15577	\N	\N	\N
874973	2980	1998-11-13	VYDAJ	VYBER	500	16783	\N	\N	\N
875030	2981	1997-01-11	PRIJEM	VKLAD	600	600	\N	\N	\N
875031	2981	1997-01-12	PRIJEM	PREVOD Z UCTU	3033	3633	\N	KL	40431803
875032	2981	1997-02-12	PRIJEM	PREVOD Z UCTU	3033	14876	\N	KL	40431803
875033	2981	1997-03-12	PRIJEM	PREVOD Z UCTU	3033	19952	\N	KL	40431803
875034	2981	1997-04-12	PRIJEM	PREVOD Z UCTU	3033	23961	\N	KL	40431803
875035	2981	1997-05-12	PRIJEM	PREVOD Z UCTU	3033	24588	\N	KL	40431803
875036	2981	1997-06-12	PRIJEM	PREVOD Z UCTU	3033	24404	\N	KL	40431803
875037	2981	1997-07-12	PRIJEM	PREVOD Z UCTU	3033	22701	\N	KL	40431803
875038	2981	1997-08-12	PRIJEM	PREVOD Z UCTU	3033	22794	\N	KL	40431803
875039	2981	1997-09-12	PRIJEM	PREVOD Z UCTU	3033	25884	\N	KL	40431803
875040	2981	1997-10-12	PRIJEM	PREVOD Z UCTU	3033	21684	\N	KL	40431803
875041	2981	1997-11-12	PRIJEM	PREVOD Z UCTU	3033	20275	\N	KL	40431803
875042	2981	1997-12-12	PRIJEM	PREVOD Z UCTU	3033	25457	\N	KL	40431803
875043	2981	1998-01-12	PRIJEM	PREVOD Z UCTU	3033	22391	\N	KL	40431803
875044	2981	1998-02-12	PRIJEM	PREVOD Z UCTU	3033	18918	\N	KL	40431803
875045	2981	1998-03-12	PRIJEM	PREVOD Z UCTU	3033	16595	\N	KL	40431803
875046	2981	1998-04-12	PRIJEM	PREVOD Z UCTU	3033	12762	\N	KL	40431803
875047	2981	1998-05-12	PRIJEM	PREVOD Z UCTU	3033	15515	\N	KL	40431803
875048	2981	1998-06-12	PRIJEM	PREVOD Z UCTU	3033	14302	\N	KL	40431803
875049	2981	1998-07-12	PRIJEM	PREVOD Z UCTU	3033	13887	\N	KL	40431803
875050	2981	1998-08-12	PRIJEM	PREVOD Z UCTU	3033	14939	\N	KL	40431803
875051	2981	1998-09-12	PRIJEM	PREVOD Z UCTU	3033	13396	\N	KL	40431803
875052	2981	1998-10-12	PRIJEM	PREVOD Z UCTU	3033	13649	\N	KL	40431803
875053	2981	1998-11-12	PRIJEM	PREVOD Z UCTU	3033	13851	\N	KL	40431803
875054	2981	1998-12-12	PRIJEM	PREVOD Z UCTU	3033	13603	\N	KL	40431803
875060	2981	1997-06-10	VYDAJ	PREVOD NA UCET	2022	21371	SIPO	CD	49108111
875061	2981	1997-07-10	VYDAJ	PREVOD NA UCET	2022	21868	SIPO	CD	49108111
875062	2981	1997-08-10	VYDAJ	PREVOD NA UCET	2022	19761	SIPO	CD	49108111
875063	2981	1997-09-10	VYDAJ	PREVOD NA UCET	2022	22851	SIPO	CD	49108111
875064	2981	1997-10-10	VYDAJ	PREVOD NA UCET	2022	18651	SIPO	CD	49108111
875065	2981	1997-11-10	VYDAJ	PREVOD NA UCET	2022	17242	SIPO	CD	49108111
875066	2981	1997-12-10	VYDAJ	PREVOD NA UCET	2022	22424	SIPO	CD	49108111
875067	2981	1998-01-10	VYDAJ	PREVOD NA UCET	2022	19358	SIPO	CD	49108111
875068	2981	1998-02-10	VYDAJ	PREVOD NA UCET	2022	15885	SIPO	CD	49108111
875069	2981	1998-03-10	VYDAJ	PREVOD NA UCET	2022	13562	SIPO	CD	49108111
875070	2981	1998-04-10	VYDAJ	PREVOD NA UCET	2022	9729	SIPO	CD	49108111
875071	2981	1998-05-10	VYDAJ	PREVOD NA UCET	2022	12482	SIPO	CD	49108111
875072	2981	1998-06-10	VYDAJ	PREVOD NA UCET	2022	11269	SIPO	CD	49108111
875073	2981	1998-07-10	VYDAJ	PREVOD NA UCET	2022	10854	SIPO	CD	49108111
875074	2981	1998-08-10	VYDAJ	PREVOD NA UCET	2022	11906	SIPO	CD	49108111
875075	2981	1998-09-10	VYDAJ	PREVOD NA UCET	2022	10363	SIPO	CD	49108111
875076	2981	1998-10-10	VYDAJ	PREVOD NA UCET	2022	10616	SIPO	CD	49108111
875077	2981	1998-11-10	VYDAJ	PREVOD NA UCET	2022	10818	SIPO	CD	49108111
875078	2981	1998-12-10	VYDAJ	PREVOD NA UCET	2022	10570	SIPO	CD	49108111
875079	2981	1997-06-08	VYDAJ	VYBER	1590	22393	\N	\N	\N
875082	2981	1998-01-04	VYDAJ	VYBER	690	23920	\N	\N	\N
875083	2981	1997-12-17	VYDAJ	VYBER	450	25007	\N	\N	\N
875091	2981	1998-01-16	VYDAJ	VYBER	540	21221	\N	\N	\N
875092	2981	1998-01-07	VYDAJ	VYBER	450	21380	\N	\N	\N
875093	2981	1998-01-01	VYDAJ	VYBER	480	24610	\N	\N	\N
875094	2981	1998-01-18	VYDAJ	VYBER	240	20981	\N	\N	\N
875095	2981	1998-01-22	VYDAJ	VYBER	150	20831	\N	\N	\N
875096	2981	1998-01-06	VYDAJ	VYBER	390	21830	\N	\N	\N
875097	2981	1997-05-15	VYDAJ	VYBER	690	23898	\N	\N	\N
875099	2981	1997-07-04	VYDAJ	VYBER	600	23890	\N	\N	\N
875101	2981	1998-11-03	VYDAJ	VYBER	450	12840	\N	\N	\N
875102	2981	1998-06-28	VYDAJ	VYBER	1470	12832	\N	\N	\N
875103	2981	1998-12-19	VYDAJ	VYBER	510	13093	\N	\N	\N
875104	2981	1998-05-24	VYDAJ	VYBER	570	14945	\N	\N	\N
875105	2981	1998-01-12	VYDAJ	VYBER	630	21761	\N	\N	\N
875111	2981	1997-05-31	VYDAJ	VYBER	15	23983	SLUZBY	\N	\N
875112	2981	1997-06-30	VYDAJ	VYBER	15	24490	SLUZBY	\N	\N
875113	2981	1997-07-31	VYDAJ	VYBER	15	22783	SLUZBY	\N	\N
875114	2981	1997-08-31	VYDAJ	VYBER	15	22873	SLUZBY	\N	\N
875115	2981	1997-09-30	VYDAJ	VYBER	15	25973	SLUZBY	\N	\N
875116	2981	1997-10-31	VYDAJ	VYBER	15	21764	SLUZBY	\N	\N
875117	2981	1997-11-30	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
875118	2981	1997-12-31	VYDAJ	VYBER	15	25090	SLUZBY	\N	\N
875119	2981	1998-01-31	VYDAJ	VYBER	15	20907	SLUZBY	\N	\N
875120	2981	1998-02-28	VYDAJ	VYBER	15	18984	SLUZBY	\N	\N
875121	2981	1998-03-31	VYDAJ	VYBER	15	16651	SLUZBY	\N	\N
875122	2981	1998-04-30	VYDAJ	VYBER	15	12804	SLUZBY	\N	\N
875123	2981	1998-05-31	VYDAJ	VYBER	15	14991	SLUZBY	\N	\N
875124	2981	1998-06-30	VYDAJ	VYBER	15	12876	SLUZBY	\N	\N
875125	2981	1998-07-31	VYDAJ	VYBER	15	13928	SLUZBY	\N	\N
875126	2981	1998-08-31	VYDAJ	VYBER	15	14985	SLUZBY	\N	\N
875127	2981	1998-09-30	VYDAJ	VYBER	15	13438	SLUZBY	\N	\N
875128	2981	1998-10-31	VYDAJ	VYBER	15	13690	SLUZBY	\N	\N
875129	2981	1998-11-30	VYDAJ	VYBER	15	13892	SLUZBY	\N	\N
875130	2981	1997-02-10	PRIJEM	VKLAD	8200	11843	\N	\N	\N
875131	2981	1997-03-12	PRIJEM	VKLAD	2000	16919	\N	\N	\N
875132	2981	1997-04-11	PRIJEM	VKLAD	900	20928	\N	\N	\N
875133	2981	1997-05-11	VYDAJ	VYBER	2500	21555	\N	\N	\N
875134	2981	1997-06-10	PRIJEM	VKLAD	1000	23393	\N	\N	\N
875135	2981	1997-07-10	VYDAJ	VYBER	2200	19668	\N	\N	\N
875136	2981	1997-08-09	VYDAJ	VYBER	1000	21783	\N	\N	\N
875137	2981	1997-09-08	PRIJEM	VKLAD	2000	24873	\N	\N	\N
875138	2981	1997-10-08	VYDAJ	VYBER	5300	20673	\N	\N	\N
875139	2981	1997-11-07	VYDAJ	VYBER	2500	19264	\N	\N	\N
875140	2981	1997-12-07	PRIJEM	VKLAD	4100	24446	\N	\N	\N
875141	2981	1998-01-06	VYDAJ	VYBER	1700	22220	\N	\N	\N
875142	2981	1998-02-05	VYDAJ	VYBER	3000	17907	\N	\N	\N
875143	2981	1998-03-07	VYDAJ	VYBER	3400	15584	\N	\N	\N
875144	2981	1998-04-06	VYDAJ	VYBER	4900	11751	\N	\N	\N
875145	2981	1998-05-06	PRIJEM	VKLAD	1700	14504	\N	\N	\N
875146	2981	1998-06-05	VYDAJ	VYBER	1700	13291	\N	\N	\N
875147	2981	1998-09-03	VYDAJ	VYBER	2600	12385	\N	\N	\N
875148	2981	1998-10-03	VYDAJ	VYBER	800	12638	\N	\N	\N
875149	2981	1998-11-02	VYDAJ	VYBER	400	13290	\N	\N	\N
875150	2981	1998-12-02	VYDAJ	VYBER	1300	12592	\N	\N	\N
875175	2982	1996-06-04	PRIJEM	VKLAD	900	900	\N	\N	\N
875181	2982	1996-06-08	PRIJEM	PREVOD Z UCTU	73128	74028	\N	MN	51226520
875182	2982	1996-07-08	PRIJEM	PREVOD Z UCTU	48752	101017	\N	MN	51226520
875183	2982	1996-08-08	PRIJEM	PREVOD Z UCTU	48752	113664	\N	MN	51226520
875184	2982	1996-09-08	PRIJEM	PREVOD Z UCTU	48752	95278	\N	MN	51226520
875185	2982	1996-10-08	PRIJEM	PREVOD Z UCTU	48752	112644	\N	MN	51226520
875186	2982	1996-11-08	PRIJEM	PREVOD Z UCTU	48752	104703	\N	MN	51226520
875187	2982	1996-12-08	PRIJEM	PREVOD Z UCTU	73128	115469	\N	MN	51226520
875188	2982	1997-01-08	PRIJEM	PREVOD Z UCTU	48752	88279	\N	MN	51226520
875189	2982	1997-02-08	PRIJEM	PREVOD Z UCTU	48752	75906	\N	MN	51226520
875190	2982	1997-03-08	PRIJEM	PREVOD Z UCTU	48752	96005	\N	MN	51226520
875191	2982	1997-04-08	PRIJEM	PREVOD Z UCTU	48752	83808	\N	MN	51226520
875192	2982	1997-05-08	PRIJEM	PREVOD Z UCTU	48752	86486	\N	MN	51226520
875193	2982	1997-06-08	PRIJEM	PREVOD Z UCTU	73128	99547	\N	MN	51226520
875194	2982	1997-07-08	PRIJEM	PREVOD Z UCTU	48752	100046	\N	MN	51226520
875195	2982	1997-08-08	PRIJEM	PREVOD Z UCTU	48752	81420	\N	MN	51226520
875196	2982	1997-09-08	PRIJEM	PREVOD Z UCTU	48752	93384	\N	MN	51226520
875197	2982	1997-10-08	PRIJEM	PREVOD Z UCTU	48752	77165	\N	MN	51226520
875198	2982	1997-11-08	PRIJEM	PREVOD Z UCTU	48752	90177	\N	MN	51226520
875199	2982	1997-12-08	PRIJEM	PREVOD Z UCTU	73128	124520	\N	MN	51226520
875200	2982	1998-01-08	PRIJEM	PREVOD Z UCTU	48752	87956	\N	MN	51226520
875201	2982	1998-02-08	PRIJEM	PREVOD Z UCTU	48752	98779	\N	MN	51226520
875202	2982	1998-03-08	PRIJEM	PREVOD Z UCTU	48752	85679	\N	MN	51226520
875203	2982	1998-04-08	PRIJEM	PREVOD Z UCTU	48752	88436	\N	MN	51226520
875204	2982	1998-05-08	PRIJEM	PREVOD Z UCTU	48752	105189	\N	MN	51226520
875205	2982	1998-06-08	PRIJEM	PREVOD Z UCTU	73128	138939	\N	MN	51226520
875206	2982	1998-07-08	PRIJEM	PREVOD Z UCTU	48752	86292	\N	MN	51226520
875207	2982	1998-08-08	PRIJEM	PREVOD Z UCTU	48752	85942	\N	MN	51226520
875208	2982	1998-09-08	PRIJEM	PREVOD Z UCTU	48752	110966	\N	MN	51226520
875209	2982	1998-10-08	PRIJEM	PREVOD Z UCTU	48752	110745	\N	MN	51226520
875210	2982	1998-11-08	PRIJEM	PREVOD Z UCTU	48752	127236	\N	MN	51226520
875211	2982	1998-12-08	PRIJEM	PREVOD Z UCTU	73128	106564	\N	MN	51226520
875221	2982	1996-10-19	VYDAJ	VYBER	3300	82211	\N	\N	0
875222	2982	1996-11-13	VYDAJ	VYBER	3000	71833	\N	\N	0
875223	2982	1996-11-27	VYDAJ	VYBER	2200	49383	\N	\N	0
875224	2982	1997-01-24	VYDAJ	VYBER	3200	25659	\N	\N	0
875225	2982	1997-02-14	VYDAJ	VYBER	4100	63273	\N	\N	0
875226	2982	1997-03-10	VYDAJ	VYBER	3800	84062	\N	\N	0
875227	2982	1997-04-10	VYDAJ	VYBER	4700	70965	\N	\N	0
875228	2982	1997-04-28	VYDAJ	VYBER	4000	53718	\N	\N	0
875229	2982	1997-06-09	VYDAJ	VYBER	2300	89104	\N	\N	0
875230	2982	1997-07-01	VYDAJ	VYBER	2100	57617	\N	\N	0
875231	2982	1997-08-02	VYDAJ	VYBER	2200	32691	\N	\N	0
875232	2982	1997-09-27	VYDAJ	VYBER	3200	59259	\N	\N	0
875233	2982	1997-10-08	VYDAJ	VYBER	3800	65222	\N	\N	0
875234	2982	1997-11-23	VYDAJ	VYBER	2100	79544	\N	\N	0
875235	2982	1997-11-28	VYDAJ	VYBER	3600	51144	\N	\N	0
875236	2982	1998-01-10	VYDAJ	VYBER	2600	66413	\N	\N	0
875237	2982	1998-01-30	VYDAJ	VYBER	2900	49823	\N	\N	0
875238	2982	1998-03-23	VYDAJ	VYBER	3900	47583	\N	\N	0
875239	2982	1998-04-18	VYDAJ	VYBER	2600	77303	\N	\N	0
875240	2982	1998-05-12	VYDAJ	PREVOD NA UCET	3438	93608	UVER	AB	34302795
875241	2982	1998-06-12	VYDAJ	PREVOD NA UCET	3438	89658	UVER	AB	34302795
875242	2982	1998-07-12	VYDAJ	PREVOD NA UCET	3438	74711	UVER	AB	34302795
875243	2982	1998-08-12	VYDAJ	PREVOD NA UCET	3438	74361	UVER	AB	34302795
875244	2982	1998-09-12	VYDAJ	PREVOD NA UCET	3438	99385	UVER	AB	34302795
875245	2982	1998-10-12	VYDAJ	PREVOD NA UCET	3438	99164	UVER	AB	34302795
875246	2982	1998-11-12	VYDAJ	PREVOD NA UCET	3438	63355	UVER	AB	34302795
875247	2982	1998-12-12	VYDAJ	PREVOD NA UCET	3438	94983	UVER	AB	34302795
875257	2982	1996-10-08	VYDAJ	PREVOD NA UCET	8143	104501	SIPO	KL	40149122
875258	2982	1996-11-08	VYDAJ	PREVOD NA UCET	8143	96560	SIPO	KL	40149122
875259	2982	1996-12-08	VYDAJ	PREVOD NA UCET	8143	107326	SIPO	KL	40149122
875260	2982	1997-01-08	VYDAJ	PREVOD NA UCET	8143	80136	SIPO	KL	40149122
875261	2982	1997-02-08	VYDAJ	PREVOD NA UCET	8143	67763	SIPO	KL	40149122
875262	2982	1997-03-08	VYDAJ	PREVOD NA UCET	8143	87862	SIPO	KL	40149122
875263	2982	1997-04-08	VYDAJ	PREVOD NA UCET	8143	75665	SIPO	KL	40149122
875264	2982	1997-05-08	VYDAJ	PREVOD NA UCET	8143	78343	SIPO	KL	40149122
875265	2982	1997-06-08	VYDAJ	PREVOD NA UCET	8143	91404	SIPO	KL	40149122
875266	2982	1997-07-08	VYDAJ	PREVOD NA UCET	8143	91903	SIPO	KL	40149122
875267	2982	1997-08-08	VYDAJ	PREVOD NA UCET	8143	73277	SIPO	KL	40149122
875268	2982	1997-09-08	VYDAJ	PREVOD NA UCET	8143	85241	SIPO	KL	40149122
875269	2982	1997-10-08	VYDAJ	PREVOD NA UCET	8143	69022	SIPO	KL	40149122
875270	2982	1997-11-08	VYDAJ	PREVOD NA UCET	8143	82034	SIPO	KL	40149122
875271	2982	1997-12-08	VYDAJ	PREVOD NA UCET	8143	52677	SIPO	KL	40149122
875272	2982	1998-01-08	VYDAJ	PREVOD NA UCET	8143	79813	SIPO	KL	40149122
875273	2982	1998-02-08	VYDAJ	PREVOD NA UCET	8143	90636	SIPO	KL	40149122
875274	2982	1998-03-08	VYDAJ	PREVOD NA UCET	8143	77536	SIPO	KL	40149122
875275	2982	1998-04-08	VYDAJ	PREVOD NA UCET	8143	80293	SIPO	KL	40149122
875276	2982	1998-05-08	VYDAJ	PREVOD NA UCET	8143	97046	SIPO	KL	40149122
875277	2982	1998-06-08	VYDAJ	PREVOD NA UCET	8143	130796	SIPO	KL	40149122
875278	2982	1998-07-08	VYDAJ	PREVOD NA UCET	8143	78149	SIPO	KL	40149122
875279	2982	1998-08-08	VYDAJ	PREVOD NA UCET	8143	77799	SIPO	KL	40149122
875280	2982	1998-09-08	VYDAJ	PREVOD NA UCET	8143	102823	SIPO	KL	40149122
875281	2982	1998-10-08	VYDAJ	PREVOD NA UCET	8143	102602	SIPO	KL	40149122
875282	2982	1998-11-08	VYDAJ	PREVOD NA UCET	8143	66793	SIPO	KL	40149122
875283	2982	1998-12-08	VYDAJ	PREVOD NA UCET	8143	98421	SIPO	KL	40149122
875293	2982	1996-10-13	VYDAJ	PREVOD NA UCET	164	85511	 	EF	48207306
875294	2982	1996-11-13	VYDAJ	PREVOD NA UCET	164	71669	 	EF	48207306
875295	2982	1996-12-13	VYDAJ	PREVOD NA UCET	164	88136	 	EF	48207306
875296	2982	1997-01-13	VYDAJ	PREVOD NA UCET	164	62944	 	EF	48207306
875297	2982	1997-02-13	VYDAJ	PREVOD NA UCET	164	67373	 	EF	48207306
875298	2982	1997-03-13	VYDAJ	PREVOD NA UCET	164	83672	 	EF	48207306
875299	2982	1997-04-13	VYDAJ	PREVOD NA UCET	164	70801	 	EF	48207306
875300	2982	1997-05-13	VYDAJ	PREVOD NA UCET	164	78179	 	EF	48207306
875301	2982	1997-06-13	VYDAJ	PREVOD NA UCET	164	88940	 	EF	48207306
875302	2982	1997-07-13	VYDAJ	PREVOD NA UCET	164	91513	 	EF	48207306
875303	2982	1997-08-13	VYDAJ	PREVOD NA UCET	164	61033	 	EF	48207306
875304	2982	1997-09-13	VYDAJ	PREVOD NA UCET	164	62459	 	EF	48207306
875305	2982	1997-10-13	VYDAJ	PREVOD NA UCET	164	64832	 	EF	48207306
875306	2982	1997-11-13	VYDAJ	PREVOD NA UCET	164	81870	 	EF	48207306
875307	2982	1997-12-13	VYDAJ	PREVOD NA UCET	164	52513	 	EF	48207306
875308	2982	1998-01-13	VYDAJ	PREVOD NA UCET	164	66249	 	EF	48207306
875309	2982	1998-02-13	VYDAJ	PREVOD NA UCET	164	82372	 	EF	48207306
875310	2982	1998-03-13	VYDAJ	PREVOD NA UCET	164	58379	 	EF	48207306
875311	2982	1998-04-13	VYDAJ	PREVOD NA UCET	164	79903	 	EF	48207306
875312	2982	1998-05-13	VYDAJ	PREVOD NA UCET	164	93218	 	EF	48207306
875313	2982	1998-06-13	VYDAJ	PREVOD NA UCET	164	89268	 	EF	48207306
875314	2982	1998-07-13	VYDAJ	PREVOD NA UCET	164	74547	 	EF	48207306
875315	2982	1998-08-13	VYDAJ	PREVOD NA UCET	164	74197	 	EF	48207306
875316	2982	1998-09-13	VYDAJ	PREVOD NA UCET	164	98995	 	EF	48207306
875317	2982	1998-10-13	VYDAJ	PREVOD NA UCET	164	98774	 	EF	48207306
875318	2982	1998-11-13	VYDAJ	PREVOD NA UCET	164	63191	 	EF	48207306
875319	2982	1998-12-13	VYDAJ	PREVOD NA UCET	164	94819	 	EF	48207306
875329	2982	1996-10-13	VYDAJ	PREVOD NA UCET	226	85675	POJISTNE	OP	37620991
875330	2982	1996-11-13	VYDAJ	PREVOD NA UCET	226	71443	POJISTNE	OP	37620991
875331	2982	1996-12-13	VYDAJ	PREVOD NA UCET	226	88300	POJISTNE	OP	37620991
875332	2982	1997-01-13	VYDAJ	PREVOD NA UCET	226	63108	POJISTNE	OP	37620991
875333	2982	1997-02-13	VYDAJ	PREVOD NA UCET	226	67537	POJISTNE	OP	37620991
875334	2982	1997-03-13	VYDAJ	PREVOD NA UCET	226	83836	POJISTNE	OP	37620991
875335	2982	1997-04-13	VYDAJ	PREVOD NA UCET	226	70575	POJISTNE	OP	37620991
875336	2982	1997-05-13	VYDAJ	PREVOD NA UCET	226	77953	POJISTNE	OP	37620991
875337	2982	1997-06-13	VYDAJ	PREVOD NA UCET	226	88714	POJISTNE	OP	37620991
875338	2982	1997-07-13	VYDAJ	PREVOD NA UCET	226	91677	POJISTNE	OP	37620991
875339	2982	1997-08-13	VYDAJ	PREVOD NA UCET	226	61197	POJISTNE	OP	37620991
875449	2982	1998-07-15	VYDAJ	VYBER KARTOU	3600	70721	\N	\N	0
875340	2982	1997-09-13	VYDAJ	PREVOD NA UCET	226	62623	POJISTNE	OP	37620991
875341	2982	1997-10-13	VYDAJ	PREVOD NA UCET	226	64996	POJISTNE	OP	37620991
875342	2982	1997-11-13	VYDAJ	PREVOD NA UCET	226	81644	POJISTNE	OP	37620991
875343	2982	1997-12-13	VYDAJ	PREVOD NA UCET	226	52287	POJISTNE	OP	37620991
875344	2982	1998-01-13	VYDAJ	PREVOD NA UCET	226	66023	POJISTNE	OP	37620991
875345	2982	1998-02-13	VYDAJ	PREVOD NA UCET	226	82146	POJISTNE	OP	37620991
875346	2982	1998-03-13	VYDAJ	PREVOD NA UCET	226	58153	POJISTNE	OP	37620991
875347	2982	1998-04-13	VYDAJ	PREVOD NA UCET	226	80067	POJISTNE	OP	37620991
875348	2982	1998-05-13	VYDAJ	PREVOD NA UCET	226	93382	POJISTNE	OP	37620991
875349	2982	1998-06-13	VYDAJ	PREVOD NA UCET	226	89432	POJISTNE	OP	37620991
875350	2982	1998-07-13	VYDAJ	PREVOD NA UCET	226	74321	POJISTNE	OP	37620991
875351	2982	1998-08-13	VYDAJ	PREVOD NA UCET	226	73971	POJISTNE	OP	37620991
875352	2982	1998-09-13	VYDAJ	PREVOD NA UCET	226	99159	POJISTNE	OP	37620991
875353	2982	1998-10-13	VYDAJ	PREVOD NA UCET	226	98938	POJISTNE	OP	37620991
875354	2982	1998-11-13	VYDAJ	PREVOD NA UCET	226	62965	POJISTNE	OP	37620991
875355	2982	1998-12-13	VYDAJ	PREVOD NA UCET	226	94593	POJISTNE	OP	37620991
875366	2982	1996-11-07	VYDAJ	PREVOD NA UCET	23	55951	 	ST	51036828
875367	2982	1996-12-07	VYDAJ	PREVOD NA UCET	23	42341	 	ST	51036828
875368	2982	1997-01-07	VYDAJ	PREVOD NA UCET	23	39527	 	ST	51036828
875369	2982	1997-02-07	VYDAJ	PREVOD NA UCET	23	27154	 	ST	51036828
875370	2982	1997-03-07	VYDAJ	PREVOD NA UCET	23	47253	 	ST	51036828
875371	2982	1997-04-07	VYDAJ	PREVOD NA UCET	23	35056	 	ST	51036828
875372	2982	1997-05-07	VYDAJ	PREVOD NA UCET	23	37734	 	ST	51036828
875373	2982	1997-06-07	VYDAJ	PREVOD NA UCET	23	26419	 	ST	51036828
875374	2982	1997-07-07	VYDAJ	PREVOD NA UCET	23	51294	 	ST	51036828
875375	2982	1997-08-07	VYDAJ	PREVOD NA UCET	23	32668	 	ST	51036828
875376	2982	1997-09-07	VYDAJ	PREVOD NA UCET	23	44632	 	ST	51036828
875377	2982	1997-10-07	VYDAJ	PREVOD NA UCET	23	28413	 	ST	51036828
875378	2982	1997-11-07	VYDAJ	PREVOD NA UCET	23	41425	 	ST	51036828
875379	2982	1997-12-07	VYDAJ	PREVOD NA UCET	23	51392	 	ST	51036828
875380	2982	1998-01-07	VYDAJ	PREVOD NA UCET	23	39204	 	ST	51036828
875381	2982	1998-02-07	VYDAJ	PREVOD NA UCET	23	50027	 	ST	51036828
875382	2982	1998-03-07	VYDAJ	PREVOD NA UCET	23	36927	 	ST	51036828
875383	2982	1998-04-07	VYDAJ	PREVOD NA UCET	23	39684	 	ST	51036828
875384	2982	1998-05-07	VYDAJ	PREVOD NA UCET	23	56437	 	ST	51036828
875385	2982	1998-06-07	VYDAJ	PREVOD NA UCET	23	65811	 	ST	51036828
875386	2982	1998-07-07	VYDAJ	PREVOD NA UCET	23	37540	 	ST	51036828
875387	2982	1998-08-07	VYDAJ	PREVOD NA UCET	23	37190	 	ST	51036828
875388	2982	1998-09-07	VYDAJ	PREVOD NA UCET	23	62214	 	ST	51036828
875389	2982	1998-10-07	VYDAJ	PREVOD NA UCET	23	61993	 	ST	51036828
875390	2982	1998-11-07	VYDAJ	PREVOD NA UCET	23	78484	 	ST	51036828
875391	2982	1998-12-07	VYDAJ	PREVOD NA UCET	23	33436	 	ST	51036828
875400	2982	1996-11-13	VYBER	VYBER	21727	74833	\N	\N	\N
875402	2982	1996-11-22	VYBER	VYBER	19860	51583	\N	\N	\N
875405	2982	1997-10-02	VYBER	VYBER	3481	38206	\N	\N	\N
875406	2982	1997-01-13	VYBER	VYBER	16802	63334	\N	\N	\N
875407	2982	1997-09-11	VYBER	VYBER	22392	62849	\N	\N	\N
875408	2982	1997-08-02	VYBER	VYBER	21517	34891	\N	\N	\N
875409	2982	1997-06-05	VYBER	VYBER	24497	26442	\N	\N	\N
875410	2982	1997-01-02	VYBER	VYBER	22505	39550	\N	\N	\N
875411	2982	1997-10-05	VYBER	VYBER	9770	28436	\N	\N	\N
875412	2982	1997-04-03	VYBER	VYBER	22400	35079	\N	\N	\N
875413	2982	1997-01-18	VYBER	VYBER	4800	58144	\N	\N	\N
875414	2982	1997-01-23	VYBER	VYBER	10385	28859	\N	\N	\N
875415	2982	1997-06-04	VYBER	VYBER	7089	50939	\N	\N	\N
875416	2982	1997-04-19	VYBER	VYBER	12857	57718	\N	\N	\N
875417	2982	1997-05-02	VYBER	VYBER	4102	37757	\N	\N	\N
875418	2982	1997-08-13	VYBER	VYBER	11854	61423	\N	\N	\N
875419	2982	1998-03-24	VYBER	VYBER	8979	38604	\N	\N	\N
875421	2982	1998-08-03	VYBER	VYBER	23753	37213	\N	\N	\N
875422	2982	1998-09-18	VYBER	VYBER	16786	82209	\N	\N	\N
875423	2982	1998-03-02	VYBER	VYBER	7320	36950	\N	\N	\N
875424	2982	1998-06-21	VYBER	VYBER	21765	32103	\N	\N	\N
875425	2982	1998-12-29	VYBER	VYBER	2052	69641	\N	\N	\N
875426	2982	1998-03-17	VYBER	VYBER	6670	51483	\N	\N	\N
875427	2982	1998-03-13	VYBER	VYBER	18993	58543	\N	\N	\N
875428	2982	1998-02-25	VYBER	VYBER	16246	44000	\N	\N	\N
875429	2982	1998-12-06	VYBER	VYBER	15207	33459	\N	\N	\N
875430	2982	1998-11-21	VYBER	VYBER	23473	48392	\N	\N	\N
875433	2982	1998-06-16	VYDAJ	VYBER	35400	53868	\N	\N	\N
875435	2982	1997-01-21	VYDAJ	VYBER	18900	39244	\N	\N	\N
875436	2982	1998-01-10	VYDAJ	VYBER	10800	69013	\N	\N	\N
875437	2982	1996-12-16	VYDAJ	VYBER	3900	84236	\N	\N	\N
875438	2982	1997-12-22	VYDAJ	VYBER KARTOU	2100	50187	\N	\N	0
875439	2982	1998-12-19	VYDAJ	VYBER KARTOU	6300	88293	\N	\N	0
875442	2982	1997-07-02	VYDAJ	VYBER KARTOU	6300	51317	\N	\N	0
875443	2982	1997-02-15	VYDAJ	VYBER KARTOU	5700	57573	\N	\N	0
875444	2982	1997-07-18	VYDAJ	VYBER	13500	78013	\N	\N	\N
875445	2982	1997-11-04	VYDAJ	VYBER KARTOU	7500	41448	\N	\N	0
875446	2982	1997-01-26	VYDAJ	VYBER KARTOU	3000	22659	\N	\N	0
875447	2982	1998-02-11	VYDAJ	VYBER	8100	82536	\N	\N	\N
875448	2982	1998-09-25	VYDAJ	VYBER KARTOU	7200	61709	\N	\N	0
875450	2982	1998-01-01	VYDAJ	VYBER KARTOU	3900	39227	\N	\N	0
875451	2982	1998-04-29	VYDAJ	VYBER KARTOU	4500	56203	\N	\N	0
875462	2982	1996-10-31	VYDAJ	VYBER	15	82574	SLUZBY	\N	\N
875463	2982	1996-11-30	VYDAJ	VYBER	15	49664	SLUZBY	\N	\N
875464	2982	1996-12-31	VYDAJ	VYBER	15	84555	SLUZBY	\N	\N
875465	2982	1997-01-31	VYDAJ	VYBER	15	27177	SLUZBY	\N	\N
875466	2982	1997-02-28	VYDAJ	VYBER	15	57776	SLUZBY	\N	\N
875467	2982	1997-03-31	VYDAJ	VYBER	15	57479	SLUZBY	\N	\N
875468	2982	1997-04-30	VYDAJ	VYBER	15	53959	SLUZBY	\N	\N
875469	2982	1997-05-31	VYDAJ	VYBER	15	58028	SLUZBY	\N	\N
875470	2982	1997-06-30	VYDAJ	VYBER	15	59717	SLUZBY	\N	\N
875471	2982	1997-07-31	VYDAJ	VYBER	15	56408	SLUZBY	\N	\N
875472	2982	1997-08-31	VYDAJ	VYBER	15	44655	SLUZBY	\N	\N
875473	2982	1997-09-30	VYDAJ	VYBER	15	41687	SLUZBY	\N	\N
875474	2982	1997-10-31	VYDAJ	VYBER	15	48948	SLUZBY	\N	\N
875475	2982	1997-11-30	VYDAJ	VYBER	15	51415	SLUZBY	\N	\N
875476	2982	1997-12-31	VYDAJ	VYBER	15	43127	SLUZBY	\N	\N
875477	2982	1998-01-31	VYDAJ	VYBER	15	50050	SLUZBY	\N	\N
875478	2982	1998-02-28	VYDAJ	VYBER	15	44270	SLUZBY	\N	\N
875479	2982	1998-03-31	VYDAJ	VYBER	15	39707	SLUZBY	\N	\N
875480	2982	1998-04-30	VYDAJ	VYBER	15	56460	SLUZBY	\N	\N
875481	2982	1998-05-31	VYDAJ	VYBER	15	65834	SLUZBY	\N	\N
875482	2982	1998-06-30	VYDAJ	VYBER	15	37563	SLUZBY	\N	\N
875483	2982	1998-07-31	VYDAJ	VYBER	15	60966	SLUZBY	\N	\N
875484	2982	1998-08-31	VYDAJ	VYBER	15	62237	SLUZBY	\N	\N
875485	2982	1998-09-30	VYDAJ	VYBER	15	62016	SLUZBY	\N	\N
875486	2982	1998-10-31	VYDAJ	VYBER	15	78507	SLUZBY	\N	\N
875487	2982	1998-11-30	VYDAJ	VYBER	15	48666	SLUZBY	\N	\N
875488	2982	1996-07-04	VYDAJ	VYBER	22000	52265	\N	\N	\N
875489	2982	1996-08-03	VYDAJ	VYBER	36500	64912	\N	\N	\N
875490	2982	1996-08-08	VYDAJ	VYBER	47900	65764	\N	\N	\N
875491	2982	1996-09-02	VYDAJ	VYBER	19700	46526	\N	\N	\N
875492	2982	1996-10-02	VYDAJ	VYBER	31800	63892	\N	\N	\N
875493	2982	1996-10-08	VYDAJ	VYBER	18600	85901	\N	\N	\N
875494	2982	1996-11-01	VYDAJ	VYBER	26600	55974	\N	\N	\N
875495	2982	1996-12-01	VYDAJ	VYBER	7300	42364	\N	\N	\N
875496	2982	1996-12-08	VYDAJ	VYBER	18800	88526	\N	\N	\N
875497	2982	1996-12-31	VYDAJ	VYBER	22500	62055	\N	\N	\N
875498	2982	1997-01-30	PRIJEM	VKLAD	4300	26959	\N	\N	\N
875499	2982	1997-03-01	VYDAJ	VYBER	10500	47276	\N	\N	\N
875500	2982	1997-03-31	VYDAJ	VYBER	26500	57493	\N	\N	\N
875501	2982	1997-04-30	VYDAJ	VYBER	12100	41859	\N	\N	\N
875502	2982	1997-05-30	VYDAJ	VYBER	20200	57753	\N	\N	\N
875503	2982	1997-06-29	VYDAJ	VYBER	29300	59414	\N	\N	\N
875504	2982	1997-07-29	VYDAJ	VYBER	21900	56113	\N	\N	\N
875505	2982	1997-08-28	VYDAJ	VYBER	16600	44433	\N	\N	\N
875506	2982	1997-09-27	VYDAJ	VYBER	17800	41459	\N	\N	\N
875507	2982	1997-10-27	VYDAJ	VYBER	16100	48732	\N	\N	\N
875508	2982	1997-11-26	VYDAJ	VYBER	24800	54744	\N	\N	\N
875509	2982	1997-12-08	VYDAJ	VYBER	63700	60820	\N	\N	\N
875510	2982	1997-12-26	VYDAJ	VYBER KARTOU	7300	42887	\N	\N	0
875511	2982	1998-01-25	VYDAJ	VYBER	13300	52723	\N	\N	\N
875512	2982	1998-02-24	VYDAJ	VYBER	21900	60246	\N	\N	\N
875513	2982	1998-03-26	PRIJEM	VKLAD	900	39504	\N	\N	\N
875514	2982	1998-04-25	VYDAJ	VYBER	16600	60703	\N	\N	\N
875515	2982	1998-05-25	VYDAJ	VYBER	27700	65518	\N	\N	\N
875516	2982	1998-06-08	VYDAJ	VYBER	37700	93096	\N	\N	\N
875517	2982	1998-06-24	PRIJEM	VKLAD	5200	37303	\N	\N	\N
875518	2982	1998-07-24	VYDAJ	VYBER	10000	60721	\N	\N	\N
875519	2982	1998-08-23	VYDAJ	VYBER	12000	61971	\N	\N	\N
875520	2982	1998-09-22	VYDAJ	VYBER	13300	68909	\N	\N	\N
875521	2982	1998-10-22	VYDAJ	VYBER	20600	78174	\N	\N	\N
875522	2982	1998-11-08	VYDAJ	VYBER	52300	74936	\N	\N	\N
875523	2982	1998-11-21	PRIJEM	VKLAD	8900	71865	\N	\N	\N
875524	2982	1998-12-21	VYDAJ	VYBER	16600	71693	\N	\N	\N
875556	2983	1996-07-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
875564	2983	1996-08-11	PRIJEM	VKLAD	5709	6709	\N	\N	\N
875565	2983	1996-09-11	PRIJEM	VKLAD	5709	22536	\N	\N	\N
875566	2983	1996-10-11	PRIJEM	VKLAD	5709	32827	\N	\N	\N
875567	2983	1996-11-11	PRIJEM	VKLAD	5709	40357	\N	\N	\N
875568	2983	1996-12-11	PRIJEM	VKLAD	8564	42064	\N	\N	\N
875569	2983	1997-01-11	PRIJEM	VKLAD	5709	37702	\N	\N	\N
875570	2983	1997-02-11	PRIJEM	VKLAD	5709	34336	\N	\N	\N
875571	2983	1997-03-11	PRIJEM	VKLAD	5709	41062	\N	\N	\N
875572	2983	1997-04-11	PRIJEM	VKLAD	5709	42906	\N	\N	\N
875573	2983	1997-05-11	PRIJEM	VKLAD	5709	40356	\N	\N	\N
875574	2983	1997-06-11	PRIJEM	VKLAD	8564	43963	\N	\N	\N
875575	2983	1997-07-11	PRIJEM	VKLAD	5709	29083	\N	\N	\N
875576	2983	1997-08-11	PRIJEM	VKLAD	5709	34584	\N	\N	\N
875577	2983	1997-09-11	PRIJEM	VKLAD	5709	39106	\N	\N	\N
875578	2983	1997-10-11	PRIJEM	VKLAD	5709	38939	\N	\N	\N
875579	2983	1997-11-11	PRIJEM	VKLAD	5709	38871	\N	\N	\N
875580	2983	1997-12-11	PRIJEM	VKLAD	8564	38659	\N	\N	\N
875581	2983	1998-01-11	PRIJEM	VKLAD	5709	40705	\N	\N	\N
875582	2983	1998-02-11	PRIJEM	VKLAD	5709	35043	\N	\N	\N
875583	2983	1998-03-11	PRIJEM	VKLAD	5709	42975	\N	\N	\N
875584	2983	1998-04-11	PRIJEM	VKLAD	5709	47233	\N	\N	\N
875585	2983	1998-05-11	PRIJEM	VKLAD	5709	48803	\N	\N	\N
875586	2983	1998-06-11	PRIJEM	VKLAD	8564	51030	\N	\N	\N
875587	2983	1998-07-11	PRIJEM	VKLAD	5709	45595	\N	\N	\N
875588	2983	1998-08-11	PRIJEM	VKLAD	5709	37844	\N	\N	\N
875589	2983	1998-09-11	PRIJEM	VKLAD	5709	37270	\N	\N	\N
875590	2983	1998-10-11	PRIJEM	VKLAD	5709	38398	\N	\N	\N
875591	2983	1998-11-11	PRIJEM	VKLAD	5709	45345	\N	\N	\N
875592	2983	1998-12-11	PRIJEM	VKLAD	8564	51668	\N	\N	\N
875594	2983	1997-06-19	VYDAJ	VYBER	28200	15763	\N	\N	\N
875597	2983	1997-01-23	VYDAJ	VYBER	3500	31102	\N	\N	\N
875598	2983	1998-01-15	VYDAJ	VYBER	4100	30305	\N	\N	\N
875599	2983	1996-12-22	VYDAJ	VYBER	700	41364	\N	\N	\N
875600	2983	1997-12-13	VYDAJ	VYBER	1600	37059	\N	\N	\N
875601	2983	1998-12-13	VYDAJ	VYBER	1600	49768	\N	\N	\N
875608	2983	1997-01-15	VYDAJ	VYBER	600	36102	\N	\N	\N
875609	2983	1997-01-06	VYDAJ	VYBER	1900	32593	\N	\N	\N
875610	2983	1997-01-24	VYDAJ	VYBER	2600	28502	\N	\N	\N
875611	2983	1997-01-04	VYDAJ	VYBER	2500	34493	\N	\N	\N
875612	2983	1997-01-09	VYDAJ	VYBER	600	31993	\N	\N	\N
875613	2983	1997-01-11	VYDAJ	VYBER	1000	36702	\N	\N	\N
875614	2983	1998-01-22	VYDAJ	VYBER	1300	32505	\N	\N	\N
875615	2983	1998-01-25	VYDAJ	VYBER	1000	31505	\N	\N	\N
875616	2983	1998-01-10	VYDAJ	VYBER	2800	34996	\N	\N	\N
875617	2983	1998-01-11	VYDAJ	VYBER	2000	38705	\N	\N	\N
875618	2983	1998-01-12	VYDAJ	VYBER	1300	37405	\N	\N	\N
875619	2983	1998-01-12	VYDAJ	VYBER	600	36805	\N	\N	\N
875622	2983	1996-12-25	VYDAJ	VYBER	1100	36864	\N	\N	\N
875625	2983	1997-12-03	VYDAJ	VYBER	3600	30095	\N	\N	\N
875626	2983	1997-02-14	VYDAJ	VYBER	1900	32436	\N	\N	\N
875627	2983	1997-05-06	VYDAJ	VYBER	3200	34647	\N	\N	\N
875628	2983	1998-01-15	VYDAJ	VYBER	2400	34405	\N	\N	\N
875629	2983	1998-07-27	VYDAJ	VYBER	4300	31995	\N	\N	\N
875630	2983	1998-08-19	VYDAJ	VYBER	900	31444	\N	\N	\N
875631	2983	1998-01-25	VYDAJ	VYBER	2300	29205	\N	\N	\N
875644	2983	1996-12-31	VYDAJ	VYBER	15	36993	SLUZBY	\N	\N
875645	2983	1997-01-31	VYDAJ	VYBER	15	28627	SLUZBY	\N	\N
875646	2983	1997-02-28	VYDAJ	VYBER	15	35353	SLUZBY	\N	\N
875647	2983	1997-03-31	VYDAJ	VYBER	15	37197	SLUZBY	\N	\N
875648	2983	1997-04-30	VYDAJ	VYBER	15	37847	SLUZBY	\N	\N
875649	2983	1997-05-31	VYDAJ	VYBER	15	35399	SLUZBY	\N	\N
875650	2983	1997-06-30	VYDAJ	VYBER	15	23374	SLUZBY	\N	\N
875651	2983	1997-07-31	VYDAJ	VYBER	15	28875	SLUZBY	\N	\N
875652	2983	1997-08-31	VYDAJ	VYBER	15	33397	SLUZBY	\N	\N
875653	2983	1997-09-30	VYDAJ	VYBER	15	33230	SLUZBY	\N	\N
875654	2983	1997-10-31	VYDAJ	VYBER	15	33162	SLUZBY	\N	\N
875655	2983	1997-11-30	VYDAJ	VYBER	15	33695	SLUZBY	\N	\N
875656	2983	1997-12-31	VYDAJ	VYBER	15	37796	SLUZBY	\N	\N
875657	2983	1998-01-31	VYDAJ	VYBER	15	29334	SLUZBY	\N	\N
875658	2983	1998-02-28	VYDAJ	VYBER	15	37266	SLUZBY	\N	\N
875659	2983	1998-03-31	VYDAJ	VYBER	15	41524	SLUZBY	\N	\N
875660	2983	1998-04-30	VYDAJ	VYBER	15	43094	SLUZBY	\N	\N
875661	2983	1998-05-31	VYDAJ	VYBER	15	42466	SLUZBY	\N	\N
875662	2983	1998-06-30	VYDAJ	VYBER	15	39886	SLUZBY	\N	\N
875663	2983	1998-07-31	VYDAJ	VYBER	15	32135	SLUZBY	\N	\N
875664	2983	1998-08-31	VYDAJ	VYBER	15	31561	SLUZBY	\N	\N
875665	2983	1998-09-30	VYDAJ	VYBER	15	32689	SLUZBY	\N	\N
875666	2983	1998-10-31	VYDAJ	VYBER	15	39636	SLUZBY	\N	\N
875667	2983	1998-11-30	VYDAJ	VYBER	15	43104	SLUZBY	\N	\N
875668	2983	1996-08-24	PRIJEM	VKLAD	10100	16809	\N	\N	\N
875669	2983	1996-09-23	PRIJEM	VKLAD	4500	27036	\N	\N	\N
875670	2983	1996-10-23	PRIJEM	VKLAD	1700	34527	\N	\N	\N
875671	2983	1996-11-22	VYDAJ	VYBER	7000	33357	\N	\N	\N
875672	2983	1996-12-22	VYDAJ	VYBER	3400	37964	\N	\N	\N
875673	2983	1997-01-21	VYDAJ	VYBER	1500	34602	\N	\N	\N
875674	2983	1997-02-20	PRIJEM	VKLAD	2800	35236	\N	\N	\N
875675	2983	1997-03-22	VYDAJ	VYBER	4000	37062	\N	\N	\N
875676	2983	1997-04-21	VYDAJ	VYBER	5200	37706	\N	\N	\N
875677	2983	1997-05-21	VYDAJ	VYBER	5100	35256	\N	\N	\N
875678	2983	1997-06-20	PRIJEM	VKLAD	7500	23263	\N	\N	\N
875679	2983	1997-07-20	VYDAJ	VYBER	300	28783	\N	\N	\N
875680	2983	1997-08-19	VYDAJ	VYBER	1300	33284	\N	\N	\N
875681	2983	1997-09-18	VYDAJ	VYBER	6000	33106	\N	\N	\N
875682	2983	1997-10-18	VYDAJ	VYBER	5900	33039	\N	\N	\N
875683	2983	1997-11-17	VYDAJ	VYBER	5300	33571	\N	\N	\N
875684	2983	1997-12-17	PRIJEM	VKLAD	600	37659	\N	\N	\N
875685	2983	1998-01-16	PRIJEM	VKLAD	3500	33805	\N	\N	\N
875686	2983	1998-02-15	PRIJEM	VKLAD	2100	37143	\N	\N	\N
875687	2983	1998-03-17	VYDAJ	VYBER	1600	41375	\N	\N	\N
875688	2983	1998-04-16	VYDAJ	VYBER	4300	42933	\N	\N	\N
875689	2983	1998-05-16	VYDAJ	VYBER	6500	42303	\N	\N	\N
875690	2983	1998-06-15	VYDAJ	VYBER	11300	39730	\N	\N	\N
875691	2983	1998-07-15	VYDAJ	VYBER	9300	36295	\N	\N	\N
875692	2983	1998-08-14	VYDAJ	VYBER	5500	32344	\N	\N	\N
875693	2983	1998-09-13	VYDAJ	VYBER	4700	32570	\N	\N	\N
875694	2983	1998-10-13	PRIJEM	VKLAD	1100	39498	\N	\N	\N
875695	2983	1998-11-12	VYDAJ	VYBER	2400	42945	\N	\N	\N
875696	2983	1998-12-12	VYDAJ	VYBER	300	51368	\N	\N	\N
876077	2985	1993-04-06	PRIJEM	VKLAD	400	400	\N	\N	\N
876081	2985	1993-04-14	PRIJEM	PREVOD Z UCTU	4519	4919	DUCHOD	ST	19389057
876082	2985	1993-05-14	PRIJEM	PREVOD Z UCTU	4519	9450	DUCHOD	ST	19389057
876083	2985	1993-06-14	PRIJEM	PREVOD Z UCTU	4519	13989	DUCHOD	ST	19389057
876084	2985	1993-07-14	PRIJEM	PREVOD Z UCTU	4519	18529	DUCHOD	ST	19389057
876085	2985	1993-08-14	PRIJEM	PREVOD Z UCTU	4519	23068	DUCHOD	ST	19389057
876086	2985	1993-09-14	PRIJEM	PREVOD Z UCTU	4519	25482	DUCHOD	ST	19389057
876251	2985	1996-01-18	VYDAJ	VYBER	400	34620	\N	\N	\N
876087	2985	1993-10-14	PRIJEM	PREVOD Z UCTU	4519	27976	DUCHOD	ST	19389057
876088	2985	1993-11-14	PRIJEM	PREVOD Z UCTU	4519	27279	DUCHOD	ST	19389057
876089	2985	1993-12-14	PRIJEM	PREVOD Z UCTU	4519	27383	DUCHOD	ST	19389057
876090	2985	1994-01-14	PRIJEM	PREVOD Z UCTU	4519	26025	DUCHOD	ST	19389057
876091	2985	1994-02-14	PRIJEM	PREVOD Z UCTU	4519	18039	DUCHOD	ST	19389057
876092	2985	1994-03-14	PRIJEM	PREVOD Z UCTU	4519	20506	DUCHOD	ST	19389057
876093	2985	1994-04-14	PRIJEM	PREVOD Z UCTU	4519	21219	DUCHOD	ST	19389057
876094	2985	1994-05-14	PRIJEM	PREVOD Z UCTU	4519	23695	DUCHOD	ST	19389057
876095	2985	1994-06-14	PRIJEM	PREVOD Z UCTU	4519	23981	DUCHOD	ST	19389057
876096	2985	1994-07-14	PRIJEM	PREVOD Z UCTU	4519	25168	DUCHOD	ST	19389057
876097	2985	1994-08-14	PRIJEM	PREVOD Z UCTU	4519	21599	DUCHOD	ST	19389057
876098	2985	1994-09-14	PRIJEM	PREVOD Z UCTU	4519	24079	DUCHOD	ST	19389057
876099	2985	1994-10-14	PRIJEM	PREVOD Z UCTU	4519	24245	DUCHOD	ST	19389057
876100	2985	1994-11-14	PRIJEM	PREVOD Z UCTU	4519	26733	DUCHOD	ST	19389057
876101	2985	1994-12-14	PRIJEM	PREVOD Z UCTU	4519	29231	DUCHOD	ST	19389057
876102	2985	1995-01-14	PRIJEM	PREVOD Z UCTU	4519	25438	DUCHOD	ST	19389057
876103	2985	1995-02-14	PRIJEM	PREVOD Z UCTU	4519	24169	DUCHOD	ST	19389057
876104	2985	1995-03-14	PRIJEM	PREVOD Z UCTU	4519	22495	DUCHOD	ST	19389057
876105	2985	1995-04-14	PRIJEM	PREVOD Z UCTU	4519	24975	DUCHOD	ST	19389057
876106	2985	1995-05-14	PRIJEM	PREVOD Z UCTU	4519	26905	DUCHOD	ST	19389057
876107	2985	1995-06-14	PRIJEM	PREVOD Z UCTU	4519	29404	DUCHOD	ST	19389057
876108	2985	1995-07-14	PRIJEM	PREVOD Z UCTU	4519	29272	DUCHOD	ST	19389057
876109	2985	1995-08-14	PRIJEM	PREVOD Z UCTU	4519	31582	DUCHOD	ST	19389057
876110	2985	1995-09-14	PRIJEM	PREVOD Z UCTU	4519	34101	DUCHOD	ST	19389057
876111	2985	1995-10-14	PRIJEM	PREVOD Z UCTU	4519	36629	DUCHOD	ST	19389057
876112	2985	1995-11-14	PRIJEM	PREVOD Z UCTU	4519	38067	DUCHOD	ST	19389057
876113	2985	1995-12-14	PRIJEM	PREVOD Z UCTU	4519	37060	DUCHOD	ST	19389057
876114	2985	1996-01-14	PRIJEM	PREVOD Z UCTU	4519	37180	DUCHOD	ST	19389057
876115	2985	1996-02-14	PRIJEM	PREVOD Z UCTU	4519	33853	DUCHOD	ST	19389057
876116	2985	1996-03-14	PRIJEM	PREVOD Z UCTU	4519	36380	DUCHOD	ST	19389057
876117	2985	1996-04-14	PRIJEM	PREVOD Z UCTU	4519	36214	DUCHOD	ST	19389057
876118	2985	1996-05-14	PRIJEM	PREVOD Z UCTU	4519	34403	DUCHOD	ST	19389057
876119	2985	1996-06-14	PRIJEM	PREVOD Z UCTU	4519	33126	DUCHOD	ST	19389057
876120	2985	1996-07-14	PRIJEM	PREVOD Z UCTU	4519	35350	DUCHOD	ST	19389057
876121	2985	1996-08-14	PRIJEM	PREVOD Z UCTU	4519	33777	DUCHOD	ST	19389057
876122	2985	1996-09-14	PRIJEM	PREVOD Z UCTU	4519	36304	DUCHOD	ST	19389057
876123	2985	1996-10-14	PRIJEM	PREVOD Z UCTU	4519	35961	DUCHOD	ST	19389057
876124	2985	1996-11-14	PRIJEM	PREVOD Z UCTU	4519	38399	DUCHOD	ST	19389057
876125	2985	1996-12-14	PRIJEM	PREVOD Z UCTU	4519	38641	DUCHOD	ST	19389057
876126	2985	1997-01-14	PRIJEM	PREVOD Z UCTU	4519	38547	DUCHOD	ST	19389057
876127	2985	1997-02-14	PRIJEM	PREVOD Z UCTU	4519	33001	DUCHOD	ST	19389057
876128	2985	1997-03-14	PRIJEM	PREVOD Z UCTU	4519	35524	DUCHOD	ST	19389057
876129	2985	1997-04-14	PRIJEM	PREVOD Z UCTU	4519	38057	DUCHOD	ST	19389057
876130	2985	1997-05-14	PRIJEM	PREVOD Z UCTU	4519	40601	DUCHOD	ST	19389057
876131	2985	1997-06-14	PRIJEM	PREVOD Z UCTU	4519	38367	DUCHOD	ST	19389057
876132	2985	1997-07-14	PRIJEM	PREVOD Z UCTU	4519	32307	DUCHOD	ST	19389057
876133	2985	1997-08-14	PRIJEM	PREVOD Z UCTU	4519	32327	DUCHOD	ST	19389057
876134	2985	1997-09-14	PRIJEM	PREVOD Z UCTU	4519	29451	DUCHOD	ST	19389057
876135	2985	1997-10-14	PRIJEM	PREVOD Z UCTU	4519	27766	DUCHOD	ST	19389057
876136	2985	1997-11-14	PRIJEM	PREVOD Z UCTU	4519	24892	DUCHOD	ST	19389057
876137	2985	1997-12-14	PRIJEM	PREVOD Z UCTU	4519	24685	DUCHOD	ST	19389057
876138	2985	1998-01-14	PRIJEM	PREVOD Z UCTU	4519	21963	DUCHOD	ST	19389057
876139	2985	1998-02-14	PRIJEM	PREVOD Z UCTU	4519	20115	DUCHOD	ST	19389057
876140	2985	1998-03-14	PRIJEM	PREVOD Z UCTU	4519	22583	DUCHOD	ST	19389057
876141	2985	1998-04-14	PRIJEM	PREVOD Z UCTU	4519	22162	DUCHOD	ST	19389057
876142	2985	1998-05-14	PRIJEM	PREVOD Z UCTU	4519	23741	DUCHOD	ST	19389057
876143	2985	1998-06-14	PRIJEM	PREVOD Z UCTU	4519	20924	DUCHOD	ST	19389057
876144	2985	1998-07-14	PRIJEM	PREVOD Z UCTU	4519	21500	DUCHOD	ST	19389057
876145	2985	1998-08-14	PRIJEM	PREVOD Z UCTU	4519	18175	DUCHOD	ST	19389057
876146	2985	1998-09-14	PRIJEM	PREVOD Z UCTU	4519	20641	DUCHOD	ST	19389057
876147	2985	1998-10-14	PRIJEM	PREVOD Z UCTU	4519	19946	DUCHOD	ST	19389057
876148	2985	1998-11-14	PRIJEM	PREVOD Z UCTU	4519	22412	DUCHOD	ST	19389057
876149	2985	1998-12-14	PRIJEM	PREVOD Z UCTU	4519	20878	DUCHOD	ST	19389057
876158	2985	1993-09-10	VYDAJ	PREVOD NA UCET	2113	20963	SIPO	YZ	80860942
876159	2985	1993-10-10	VYDAJ	PREVOD NA UCET	2113	23457	SIPO	YZ	80860942
876160	2985	1993-11-10	VYDAJ	PREVOD NA UCET	2113	22760	SIPO	YZ	80860942
876161	2985	1993-12-10	VYDAJ	PREVOD NA UCET	2113	22864	SIPO	YZ	80860942
876162	2985	1994-01-10	VYDAJ	PREVOD NA UCET	2113	21506	SIPO	YZ	80860942
876163	2985	1994-02-10	VYDAJ	PREVOD NA UCET	2113	13520	SIPO	YZ	80860942
876164	2985	1994-03-10	VYDAJ	PREVOD NA UCET	2113	15987	SIPO	YZ	80860942
876252	2985	1997-01-08	VYDAJ	VYBER	1360	36141	\N	\N	\N
876165	2985	1994-04-10	VYDAJ	PREVOD NA UCET	2113	16700	SIPO	YZ	80860942
876166	2985	1994-05-10	VYDAJ	PREVOD NA UCET	2113	19176	SIPO	YZ	80860942
876167	2985	1994-06-10	VYDAJ	PREVOD NA UCET	2113	19462	SIPO	YZ	80860942
876168	2985	1994-07-10	VYDAJ	PREVOD NA UCET	2113	20649	SIPO	YZ	80860942
876169	2985	1994-08-10	VYDAJ	PREVOD NA UCET	2113	17080	SIPO	YZ	80860942
876170	2985	1994-09-10	VYDAJ	PREVOD NA UCET	2113	19560	SIPO	YZ	80860942
876171	2985	1994-10-10	VYDAJ	PREVOD NA UCET	2113	19726	SIPO	YZ	80860942
876172	2985	1994-11-10	VYDAJ	PREVOD NA UCET	2113	22214	SIPO	YZ	80860942
876173	2985	1994-12-10	VYDAJ	PREVOD NA UCET	2113	24712	SIPO	YZ	80860942
876174	2985	1995-01-10	VYDAJ	PREVOD NA UCET	2113	23159	SIPO	YZ	80860942
876175	2985	1995-02-10	VYDAJ	PREVOD NA UCET	2113	19650	SIPO	YZ	80860942
876176	2985	1995-03-10	VYDAJ	PREVOD NA UCET	2113	17976	SIPO	YZ	80860942
876177	2985	1995-04-10	VYDAJ	PREVOD NA UCET	2113	20456	SIPO	YZ	80860942
876178	2985	1995-05-10	VYDAJ	PREVOD NA UCET	2113	22386	SIPO	YZ	80860942
876179	2985	1995-06-10	VYDAJ	PREVOD NA UCET	2113	24885	SIPO	YZ	80860942
876180	2985	1995-07-10	VYDAJ	PREVOD NA UCET	2113	24753	SIPO	YZ	80860942
876181	2985	1995-08-10	VYDAJ	PREVOD NA UCET	2113	27063	SIPO	YZ	80860942
876182	2985	1995-09-10	VYDAJ	PREVOD NA UCET	2113	29582	SIPO	YZ	80860942
876183	2985	1995-10-10	VYDAJ	PREVOD NA UCET	2113	32110	SIPO	YZ	80860942
876184	2985	1995-11-10	VYDAJ	PREVOD NA UCET	2113	33548	SIPO	YZ	80860942
876185	2985	1995-12-10	VYDAJ	PREVOD NA UCET	2113	32541	SIPO	YZ	80860942
876186	2985	1996-01-10	VYDAJ	PREVOD NA UCET	2113	32661	SIPO	YZ	80860942
876187	2985	1996-02-10	VYDAJ	PREVOD NA UCET	2113	29334	SIPO	YZ	80860942
876188	2985	1996-03-10	VYDAJ	PREVOD NA UCET	2113	31861	SIPO	YZ	80860942
876189	2985	1996-04-10	VYDAJ	PREVOD NA UCET	2113	31695	SIPO	YZ	80860942
876190	2985	1996-05-10	VYDAJ	PREVOD NA UCET	2113	29884	SIPO	YZ	80860942
876191	2985	1996-06-10	VYDAJ	PREVOD NA UCET	2113	28607	SIPO	YZ	80860942
876192	2985	1996-07-10	VYDAJ	PREVOD NA UCET	2113	30831	SIPO	YZ	80860942
876193	2985	1996-08-10	VYDAJ	PREVOD NA UCET	2113	29258	SIPO	YZ	80860942
876194	2985	1996-09-10	VYDAJ	PREVOD NA UCET	2113	31785	SIPO	YZ	80860942
876195	2985	1996-10-10	VYDAJ	PREVOD NA UCET	2113	31442	SIPO	YZ	80860942
876196	2985	1996-11-10	VYDAJ	PREVOD NA UCET	2113	33880	SIPO	YZ	80860942
876197	2985	1996-12-10	VYDAJ	PREVOD NA UCET	2113	34122	SIPO	YZ	80860942
876198	2985	1997-01-10	VYDAJ	PREVOD NA UCET	2113	34028	SIPO	YZ	80860942
876199	2985	1997-02-10	VYDAJ	PREVOD NA UCET	2113	28482	SIPO	YZ	80860942
876200	2985	1997-03-10	VYDAJ	PREVOD NA UCET	2113	31005	SIPO	YZ	80860942
876201	2985	1997-04-10	VYDAJ	PREVOD NA UCET	2113	33538	SIPO	YZ	80860942
876202	2985	1997-05-10	VYDAJ	PREVOD NA UCET	2113	36082	SIPO	YZ	80860942
876203	2985	1997-06-10	VYDAJ	PREVOD NA UCET	2113	33848	SIPO	YZ	80860942
876204	2985	1997-07-10	VYDAJ	PREVOD NA UCET	2113	27788	SIPO	YZ	80860942
876205	2985	1997-08-10	VYDAJ	PREVOD NA UCET	2113	30308	SIPO	YZ	80860942
876206	2985	1997-09-10	VYDAJ	PREVOD NA UCET	2113	30332	SIPO	YZ	80860942
876207	2985	1997-10-10	VYDAJ	PREVOD NA UCET	2113	27447	SIPO	YZ	80860942
876208	2985	1997-11-10	VYDAJ	PREVOD NA UCET	2113	22473	SIPO	YZ	80860942
876209	2985	1997-12-10	VYDAJ	PREVOD NA UCET	2113	22866	SIPO	YZ	80860942
876210	2985	1998-01-10	VYDAJ	PREVOD NA UCET	2113	17444	SIPO	YZ	80860942
876211	2985	1998-02-10	VYDAJ	PREVOD NA UCET	2113	15596	SIPO	YZ	80860942
876212	2985	1998-03-10	VYDAJ	PREVOD NA UCET	2113	18064	SIPO	YZ	80860942
876213	2985	1998-04-10	VYDAJ	PREVOD NA UCET	2113	17643	SIPO	YZ	80860942
876214	2985	1998-05-10	VYDAJ	PREVOD NA UCET	2113	19222	SIPO	YZ	80860942
876215	2985	1998-06-10	VYDAJ	PREVOD NA UCET	2113	16405	SIPO	YZ	80860942
876216	2985	1998-07-10	VYDAJ	PREVOD NA UCET	2113	16981	SIPO	YZ	80860942
876217	2985	1998-08-10	VYDAJ	PREVOD NA UCET	2113	13656	SIPO	YZ	80860942
876218	2985	1998-09-10	VYDAJ	PREVOD NA UCET	2113	16122	SIPO	YZ	80860942
876219	2985	1998-10-10	VYDAJ	PREVOD NA UCET	2113	15427	SIPO	YZ	80860942
876220	2985	1998-11-10	VYDAJ	PREVOD NA UCET	2113	17893	SIPO	YZ	80860942
876221	2985	1998-12-10	VYDAJ	PREVOD NA UCET	2113	16359	SIPO	YZ	80860942
876222	2985	1993-12-22	VYDAJ	VYBER	500	26883	\N	\N	\N
876223	2985	1994-12-21	VYDAJ	VYBER	600	28631	\N	\N	\N
876224	2985	1995-12-02	VYDAJ	VYBER	1350	34654	\N	\N	\N
876225	2985	1996-12-02	VYDAJ	VYBER	600	36235	\N	\N	\N
876226	2985	1997-12-18	VYDAJ	VYBER	1450	23235	\N	\N	\N
876227	2985	1998-12-05	VYDAJ	VYBER	1050	18472	\N	\N	\N
876234	2985	1994-01-08	VYDAJ	VYBER	1040	23619	\N	\N	\N
876235	2985	1994-01-02	VYDAJ	VYBER	400	26579	\N	\N	\N
876236	2985	1994-01-06	VYDAJ	VYBER	1920	24659	\N	\N	\N
876237	2985	1994-01-30	VYDAJ	VYBER	2000	22185	\N	\N	\N
876238	2985	1994-01-14	VYDAJ	VYBER	800	25225	\N	\N	\N
876239	2985	1994-01-19	VYDAJ	VYBER	1040	24185	\N	\N	\N
876240	2985	1995-01-07	VYDAJ	VYBER	400	25272	\N	\N	\N
876241	2985	1995-01-10	VYDAJ	VYBER	2240	20919	\N	\N	\N
876242	2985	1995-01-16	VYDAJ	VYBER	1280	22638	\N	\N	\N
876243	2985	1995-01-25	VYDAJ	VYBER	960	21678	\N	\N	\N
876244	2985	1995-01-14	VYDAJ	VYBER	1520	23918	\N	\N	\N
876245	2985	1995-01-03	VYDAJ	VYBER	2160	25672	\N	\N	\N
876246	2985	1996-01-14	VYDAJ	VYBER	2160	35020	\N	\N	\N
876247	2985	1996-01-04	VYDAJ	VYBER	880	35414	\N	\N	\N
876248	2985	1996-01-27	VYDAJ	VYBER	1680	31320	\N	\N	\N
876249	2985	1996-01-08	VYDAJ	VYBER	640	34774	\N	\N	\N
876250	2985	1996-01-26	VYDAJ	VYBER	720	33000	\N	\N	\N
876253	2985	1997-01-20	VYDAJ	VYBER	2160	31507	\N	\N	\N
876254	2985	1997-01-08	VYDAJ	VYBER	880	37501	\N	\N	\N
876255	2985	1997-01-14	VYDAJ	VYBER	1040	37507	\N	\N	\N
876256	2985	1997-01-19	VYDAJ	VYBER	2160	33667	\N	\N	\N
876257	2985	1997-01-16	VYDAJ	VYBER	1680	35827	\N	\N	\N
876259	2985	1998-01-17	VYDAJ	VYBER	1280	19563	\N	\N	\N
876260	2985	1998-01-23	VYDAJ	VYBER	1920	17643	\N	\N	\N
876262	2985	1998-01-17	VYDAJ	VYBER	1120	20843	\N	\N	\N
876268	2985	1994-02-07	VYDAJ	VYBER	3280	18993	\N	\N	\N
876269	2985	1994-08-08	VYDAJ	VYBER	3360	19193	\N	\N	\N
876270	2985	1994-09-27	VYDAJ	VYBER	2320	21759	\N	\N	\N
876271	2985	1994-04-04	VYDAJ	VYBER	1760	18813	\N	\N	\N
876272	2985	1994-02-08	VYDAJ	VYBER	3360	15633	\N	\N	\N
876273	2985	1995-06-18	VYDAJ	VYBER	400	29004	\N	\N	\N
876274	2985	1995-04-20	VYDAJ	VYBER	560	24415	\N	\N	\N
876275	2985	1995-07-04	VYDAJ	VYBER	2240	26866	\N	\N	\N
876276	2985	1995-02-26	VYDAJ	VYBER	3440	20729	\N	\N	\N
876277	2985	1995-03-04	VYDAJ	VYBER	720	20089	\N	\N	\N
876278	2985	1996-10-02	VYDAJ	VYBER	2880	33555	\N	\N	\N
876279	2985	1996-07-21	VYDAJ	VYBER	2800	31250	\N	\N	\N
876280	2985	1996-04-16	VYDAJ	VYBER	3040	33174	\N	\N	\N
876281	2985	1997-05-30	VYDAJ	VYBER	880	35821	\N	\N	\N
876282	2985	1997-11-08	VYDAJ	VYBER	2560	24586	\N	\N	\N
876283	2985	1997-06-27	VYDAJ	VYBER	3200	29767	\N	\N	\N
876284	2985	1997-10-27	VYDAJ	VYBER	720	27046	\N	\N	\N
876285	2985	1997-01-30	VYDAJ	VYBER	1040	30467	\N	\N	\N
876286	2985	1998-01-05	VYDAJ	VYBER	3760	19557	\N	\N	\N
876287	2985	1998-09-16	VYDAJ	VYBER	1040	19601	\N	\N	\N
876288	2985	1998-12-01	VYDAJ	VYBER	2960	19522	\N	\N	\N
876289	2985	1998-09-22	VYDAJ	VYBER	1920	17681	\N	\N	\N
876298	2985	1993-08-31	VYDAJ	VYBER	15	23076	SLUZBY	\N	\N
876299	2985	1993-09-30	VYDAJ	VYBER	15	25570	SLUZBY	\N	\N
876300	2985	1993-10-31	VYDAJ	VYBER	15	28073	SLUZBY	\N	\N
876301	2985	1993-11-30	VYDAJ	VYBER	15	27377	SLUZBY	\N	\N
876302	2985	1993-12-31	VYDAJ	VYBER	15	26979	SLUZBY	\N	\N
876303	2985	1994-01-31	VYDAJ	VYBER	15	22273	SLUZBY	\N	\N
876304	2985	1994-02-28	VYDAJ	VYBER	15	18100	SLUZBY	\N	\N
876305	2985	1994-03-31	VYDAJ	VYBER	15	20573	SLUZBY	\N	\N
876306	2985	1994-04-30	VYDAJ	VYBER	15	21289	SLUZBY	\N	\N
876307	2985	1994-05-31	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
876308	2985	1994-06-30	VYDAJ	VYBER	15	24062	SLUZBY	\N	\N
876309	2985	1994-07-31	VYDAJ	VYBER	15	22553	SLUZBY	\N	\N
876310	2985	1994-08-31	VYDAJ	VYBER	15	21673	SLUZBY	\N	\N
876311	2985	1994-09-30	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
876312	2985	1994-10-31	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
876313	2985	1994-11-30	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
876314	2985	1994-12-31	VYDAJ	VYBER	15	27832	SLUZBY	\N	\N
876315	2985	1995-01-31	VYDAJ	VYBER	15	21763	SLUZBY	\N	\N
876316	2985	1995-02-28	VYDAJ	VYBER	15	20809	SLUZBY	\N	\N
876317	2985	1995-03-31	VYDAJ	VYBER	15	22569	SLUZBY	\N	\N
876318	2985	1995-04-30	VYDAJ	VYBER	15	24499	SLUZBY	\N	\N
876319	2985	1995-05-31	VYDAJ	VYBER	15	26998	SLUZBY	\N	\N
876320	2985	1995-06-30	VYDAJ	VYBER	15	29106	SLUZBY	\N	\N
876321	2985	1995-07-31	VYDAJ	VYBER	15	29176	SLUZBY	\N	\N
876322	2985	1995-08-31	VYDAJ	VYBER	15	31695	SLUZBY	\N	\N
876323	2985	1995-09-30	VYDAJ	VYBER	15	34223	SLUZBY	\N	\N
876324	2985	1995-10-31	VYDAJ	VYBER	15	35661	SLUZBY	\N	\N
876325	2985	1995-11-30	VYDAJ	VYBER	15	36004	SLUZBY	\N	\N
876326	2985	1995-12-31	VYDAJ	VYBER	15	36294	SLUZBY	\N	\N
876327	2985	1996-01-31	VYDAJ	VYBER	15	31447	SLUZBY	\N	\N
876328	2985	1996-02-29	VYDAJ	VYBER	15	33974	SLUZBY	\N	\N
876329	2985	1996-03-31	VYDAJ	VYBER	15	33808	SLUZBY	\N	\N
876330	2985	1996-04-30	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
876331	2985	1996-05-31	VYDAJ	VYBER	15	30720	SLUZBY	\N	\N
876332	2985	1996-06-30	VYDAJ	VYBER	15	32944	SLUZBY	\N	\N
876333	2985	1996-07-31	VYDAJ	VYBER	15	31371	SLUZBY	\N	\N
876334	2985	1996-08-31	VYDAJ	VYBER	15	33898	SLUZBY	\N	\N
876335	2985	1996-09-30	VYDAJ	VYBER	15	36435	SLUZBY	\N	\N
876336	2985	1996-10-31	VYDAJ	VYBER	15	35993	SLUZBY	\N	\N
876337	2985	1996-11-30	VYDAJ	VYBER	15	36835	SLUZBY	\N	\N
876338	2985	1996-12-31	VYDAJ	VYBER	15	38381	SLUZBY	\N	\N
876339	2985	1997-01-31	VYDAJ	VYBER	15	30595	SLUZBY	\N	\N
876340	2985	1997-02-28	VYDAJ	VYBER	15	33118	SLUZBY	\N	\N
876341	2985	1997-03-31	VYDAJ	VYBER	15	35651	SLUZBY	\N	\N
876342	2985	1997-04-30	VYDAJ	VYBER	15	38195	SLUZBY	\N	\N
876343	2985	1997-05-31	VYDAJ	VYBER	15	35961	SLUZBY	\N	\N
876344	2985	1997-06-30	VYDAJ	VYBER	15	29901	SLUZBY	\N	\N
876345	2985	1997-07-31	VYDAJ	VYBER	15	32421	SLUZBY	\N	\N
876346	2985	1997-08-31	VYDAJ	VYBER	15	32445	SLUZBY	\N	\N
876347	2985	1997-09-30	VYDAJ	VYBER	15	29560	SLUZBY	\N	\N
876348	2985	1997-10-31	VYDAJ	VYBER	15	27146	SLUZBY	\N	\N
876349	2985	1997-11-30	VYDAJ	VYBER	15	24979	SLUZBY	\N	\N
876350	2985	1997-12-31	VYDAJ	VYBER	15	23317	SLUZBY	\N	\N
876351	2985	1998-01-31	VYDAJ	VYBER	15	17709	SLUZBY	\N	\N
876352	2985	1998-02-28	VYDAJ	VYBER	15	20177	SLUZBY	\N	\N
876353	2985	1998-03-31	VYDAJ	VYBER	15	22656	SLUZBY	\N	\N
876354	2985	1998-04-30	VYDAJ	VYBER	15	22235	SLUZBY	\N	\N
876355	2985	1998-05-31	VYDAJ	VYBER	15	23818	SLUZBY	\N	\N
876356	2985	1998-06-30	VYDAJ	VYBER	15	20994	SLUZBY	\N	\N
876357	2985	1998-07-31	VYDAJ	VYBER	15	21569	SLUZBY	\N	\N
876358	2985	1998-08-31	VYDAJ	VYBER	15	18235	SLUZBY	\N	\N
876359	2985	1998-09-30	VYDAJ	VYBER	15	17740	SLUZBY	\N	\N
876360	2985	1998-10-31	VYDAJ	VYBER	15	20006	SLUZBY	\N	\N
876361	2985	1998-11-30	VYDAJ	VYBER	15	22482	SLUZBY	\N	\N
876362	2985	1993-11-02	VYDAJ	VYBER	3200	24873	\N	\N	\N
876363	2985	1993-12-02	VYDAJ	VYBER	2400	24977	\N	\N	\N
876364	2985	1994-05-31	VYDAJ	VYBER	2200	21589	\N	\N	\N
876365	2985	1994-06-30	VYDAJ	VYBER	1300	22762	\N	\N	\N
876366	2985	1994-07-30	VYDAJ	VYBER	2700	22468	\N	\N	\N
876367	2985	1994-12-27	VYDAJ	VYBER	900	27731	\N	\N	\N
876368	2985	1995-07-25	VYDAJ	VYBER	200	29072	\N	\N	\N
876369	2985	1995-10-23	VYDAJ	VYBER	1100	35529	\N	\N	\N
876370	2985	1995-11-22	VYDAJ	VYBER	2200	35867	\N	\N	\N
876371	2985	1995-12-22	VYDAJ	VYBER	900	36160	\N	\N	\N
876372	2985	1996-01-21	VYDAJ	VYBER	900	33720	\N	\N	\N
876373	2985	1996-03-21	VYDAJ	VYBER	2700	33680	\N	\N	\N
876374	2985	1996-04-20	VYDAJ	VYBER	1300	31874	\N	\N	\N
876375	2985	1996-05-20	VYDAJ	VYBER	3800	30603	\N	\N	\N
876376	2985	1996-06-19	VYDAJ	VYBER	300	32826	\N	\N	\N
876377	2985	1996-07-19	VYDAJ	VYBER	1300	34050	\N	\N	\N
876378	2985	1996-10-17	VYDAJ	VYBER	100	35861	\N	\N	\N
876379	2985	1996-11-16	VYDAJ	VYBER	1700	36699	\N	\N	\N
876380	2985	1996-12-16	VYDAJ	VYBER	400	38241	\N	\N	\N
876381	2985	1997-05-15	VYDAJ	VYBER	3900	36701	\N	\N	\N
876382	2985	1997-06-14	VYDAJ	VYBER	5400	32967	\N	\N	\N
876383	2985	1997-08-13	VYDAJ	VYBER	2500	27808	\N	\N	\N
876384	2985	1997-09-12	VYDAJ	VYBER	5400	24932	\N	\N	\N
876385	2985	1997-10-12	VYDAJ	VYBER	4200	23247	\N	\N	\N
876386	2985	1997-11-11	VYDAJ	VYBER	2100	20373	\N	\N	\N
876387	2985	1997-12-11	VYDAJ	VYBER	2700	20166	\N	\N	\N
876388	2985	1998-04-10	VYDAJ	VYBER	2900	19756	\N	\N	\N
876389	2985	1998-05-10	VYDAJ	VYBER	900	21335	\N	\N	\N
876390	2985	1998-06-09	VYDAJ	VYBER	5300	18518	\N	\N	\N
876391	2985	1998-07-09	VYDAJ	VYBER	1900	19094	\N	\N	\N
876392	2985	1998-08-08	VYDAJ	VYBER	5800	15769	\N	\N	\N
876393	2985	1998-10-07	VYDAJ	VYBER	200	17540	\N	\N	\N
876463	2986	1996-04-09	PRIJEM	VKLAD	500	500	\N	\N	\N
876468	2986	1996-05-05	PRIJEM	VKLAD	23429	23929	\N	\N	\N
876469	2986	1996-06-05	PRIJEM	VKLAD	35144	57341	\N	\N	\N
876470	2986	1996-07-05	PRIJEM	VKLAD	23429	65024	\N	\N	\N
876471	2986	1996-08-05	PRIJEM	VKLAD	23429	68637	\N	\N	\N
876472	2986	1996-09-05	PRIJEM	VKLAD	23429	70964	\N	\N	\N
876473	2986	1996-10-05	PRIJEM	VKLAD	23429	65171	\N	\N	\N
876474	2986	1996-11-05	PRIJEM	VKLAD	23429	63968	\N	\N	\N
876475	2986	1996-12-05	PRIJEM	VKLAD	35144	67089	\N	\N	\N
876476	2986	1997-01-05	PRIJEM	VKLAD	23429	49512	\N	\N	\N
876477	2986	1997-02-05	PRIJEM	VKLAD	23429	48391	\N	\N	\N
876478	2986	1997-03-05	PRIJEM	VKLAD	23429	67291	\N	\N	\N
876479	2986	1997-04-05	PRIJEM	VKLAD	23429	51961	\N	\N	\N
876480	2986	1997-05-05	PRIJEM	VKLAD	23429	55278	\N	\N	\N
876481	2986	1997-06-05	PRIJEM	VKLAD	35144	67966	\N	\N	\N
876482	2986	1997-07-05	PRIJEM	VKLAD	23429	63311	\N	\N	\N
876483	2986	1997-08-05	PRIJEM	VKLAD	23429	59451	\N	\N	\N
876484	2986	1997-09-05	PRIJEM	VKLAD	23429	63692	\N	\N	\N
876485	2986	1997-10-05	PRIJEM	VKLAD	23429	63457	\N	\N	\N
876486	2986	1997-11-05	PRIJEM	VKLAD	23429	60721	\N	\N	\N
876487	2986	1997-12-05	PRIJEM	VKLAD	35144	72490	\N	\N	\N
876488	2986	1998-01-05	PRIJEM	VKLAD	23429	70219	\N	\N	\N
876489	2986	1998-02-05	PRIJEM	VKLAD	23429	67742	\N	\N	\N
876490	2986	1998-03-05	PRIJEM	VKLAD	23429	65781	\N	\N	\N
876491	2986	1998-04-05	PRIJEM	VKLAD	23429	67619	\N	\N	\N
876492	2986	1998-05-05	PRIJEM	VKLAD	23429	67952	\N	\N	\N
876493	2986	1998-06-05	PRIJEM	VKLAD	35144	82200	\N	\N	\N
876494	2986	1998-07-05	PRIJEM	VKLAD	23429	52411	\N	\N	\N
876495	2986	1998-08-05	PRIJEM	VKLAD	23429	63182	\N	\N	\N
876496	2986	1998-09-05	PRIJEM	VKLAD	23429	70198	\N	\N	\N
876497	2986	1998-10-05	PRIJEM	VKLAD	23429	76238	\N	\N	\N
876498	2986	1998-11-05	PRIJEM	VKLAD	23429	78402	\N	\N	\N
876499	2986	1998-12-05	PRIJEM	VKLAD	35144	91488	\N	\N	\N
876508	2986	1996-09-05	VYDAJ	PREVOD NA UCET	3301	67663	SIPO	MN	61638289
876509	2986	1996-10-05	VYDAJ	PREVOD NA UCET	3301	61870	SIPO	MN	61638289
876510	2986	1996-11-05	VYDAJ	PREVOD NA UCET	3301	60667	SIPO	MN	61638289
876511	2986	1996-12-05	VYDAJ	PREVOD NA UCET	3301	42588	SIPO	MN	61638289
876512	2986	1997-01-05	VYDAJ	PREVOD NA UCET	3301	46211	SIPO	MN	61638289
876513	2986	1997-02-05	VYDAJ	PREVOD NA UCET	3301	45090	SIPO	MN	61638289
876514	2986	1997-03-05	VYDAJ	PREVOD NA UCET	3301	41690	SIPO	MN	61638289
876515	2986	1997-04-05	VYDAJ	PREVOD NA UCET	3301	48660	SIPO	MN	61638289
876516	2986	1997-05-05	VYDAJ	PREVOD NA UCET	3301	51977	SIPO	MN	61638289
876517	2986	1997-06-05	VYDAJ	PREVOD NA UCET	3301	64665	SIPO	MN	61638289
876518	2986	1997-07-05	VYDAJ	PREVOD NA UCET	3301	60010	SIPO	MN	61638289
876519	2986	1997-08-05	VYDAJ	PREVOD NA UCET	3301	56150	SIPO	MN	61638289
876520	2986	1997-09-05	VYDAJ	PREVOD NA UCET	3301	60391	SIPO	MN	61638289
876521	2986	1997-10-05	VYDAJ	PREVOD NA UCET	3301	60156	SIPO	MN	61638289
876522	2986	1997-11-05	VYDAJ	PREVOD NA UCET	3301	57420	SIPO	MN	61638289
876523	2986	1997-12-05	VYDAJ	PREVOD NA UCET	3301	69189	SIPO	MN	61638289
876524	2986	1998-01-05	VYDAJ	PREVOD NA UCET	3301	66918	SIPO	MN	61638289
876525	2986	1998-02-05	VYDAJ	PREVOD NA UCET	3301	64441	SIPO	MN	61638289
876526	2986	1998-03-05	VYDAJ	PREVOD NA UCET	3301	62480	SIPO	MN	61638289
876527	2986	1998-04-05	VYDAJ	PREVOD NA UCET	3301	64318	SIPO	MN	61638289
876528	2986	1998-05-05	VYDAJ	PREVOD NA UCET	3301	64651	SIPO	MN	61638289
876529	2986	1998-06-05	VYDAJ	PREVOD NA UCET	3301	78899	SIPO	MN	61638289
876530	2986	1998-07-05	VYDAJ	PREVOD NA UCET	3301	49110	SIPO	MN	61638289
876531	2986	1998-08-05	VYDAJ	PREVOD NA UCET	3301	59881	SIPO	MN	61638289
876532	2986	1998-09-05	VYDAJ	PREVOD NA UCET	3301	66897	SIPO	MN	61638289
876533	2986	1998-10-05	VYDAJ	PREVOD NA UCET	3301	72937	SIPO	MN	61638289
876534	2986	1998-11-05	VYDAJ	PREVOD NA UCET	3301	75101	SIPO	MN	61638289
876535	2986	1998-12-05	VYDAJ	PREVOD NA UCET	3301	88187	SIPO	MN	61638289
876544	2986	1996-09-10	VYDAJ	PREVOD NA UCET	1390	42473	 	CD	64366233
876545	2986	1996-10-10	VYDAJ	PREVOD NA UCET	1390	40380	 	CD	64366233
876546	2986	1996-11-10	VYDAJ	PREVOD NA UCET	1390	37477	 	CD	64366233
876547	2986	1996-12-10	VYDAJ	PREVOD NA UCET	1390	38798	 	CD	64366233
876548	2986	1997-01-10	VYDAJ	PREVOD NA UCET	1390	40941	 	CD	64366233
876549	2986	1997-02-10	VYDAJ	PREVOD NA UCET	1390	43700	 	CD	64366233
876550	2986	1997-03-10	VYDAJ	PREVOD NA UCET	1390	40300	 	CD	64366233
876551	2986	1997-04-10	VYDAJ	PREVOD NA UCET	1390	47270	 	CD	64366233
876552	2986	1997-05-10	VYDAJ	PREVOD NA UCET	1390	50587	 	CD	64366233
876553	2986	1997-06-10	VYDAJ	PREVOD NA UCET	1390	63275	 	CD	64366233
876554	2986	1997-07-10	VYDAJ	PREVOD NA UCET	1390	58620	 	CD	64366233
876555	2986	1997-08-10	VYDAJ	PREVOD NA UCET	1390	54760	 	CD	64366233
876556	2986	1997-09-10	VYDAJ	PREVOD NA UCET	1390	59001	 	CD	64366233
876557	2986	1997-10-10	VYDAJ	PREVOD NA UCET	1390	58766	 	CD	64366233
876558	2986	1997-11-10	VYDAJ	PREVOD NA UCET	1390	56030	 	CD	64366233
876559	2986	1997-12-10	VYDAJ	PREVOD NA UCET	1390	67799	 	CD	64366233
876560	2986	1998-01-10	VYDAJ	PREVOD NA UCET	1390	61128	 	CD	64366233
876561	2986	1998-02-10	VYDAJ	PREVOD NA UCET	1390	62351	 	CD	64366233
876562	2986	1998-03-10	VYDAJ	PREVOD NA UCET	1390	61090	 	CD	64366233
876563	2986	1998-04-10	VYDAJ	PREVOD NA UCET	1390	62928	 	CD	64366233
876564	2986	1998-05-10	VYDAJ	PREVOD NA UCET	1390	63261	 	CD	64366233
876565	2986	1998-06-10	VYDAJ	PREVOD NA UCET	1390	77509	 	CD	64366233
876566	2986	1998-07-10	VYDAJ	PREVOD NA UCET	1390	47720	 	CD	64366233
876567	2986	1998-08-10	VYDAJ	PREVOD NA UCET	1390	58491	 	CD	64366233
876568	2986	1998-09-10	VYDAJ	PREVOD NA UCET	1390	65507	 	CD	64366233
876569	2986	1998-10-10	VYDAJ	PREVOD NA UCET	1390	71547	 	CD	64366233
876570	2986	1998-11-10	VYDAJ	PREVOD NA UCET	1390	73711	 	CD	64366233
876571	2986	1998-12-10	VYDAJ	PREVOD NA UCET	1390	86797	 	CD	64366233
876580	2986	1996-08-28	VYDAJ	VYBER	900	47337	\N	\N	0
876581	2986	1996-10-03	VYDAJ	VYBER	900	41742	\N	\N	0
876582	2986	1996-11-11	VYDAJ	VYBER	1000	36477	\N	\N	0
876583	2986	1996-12-23	VYDAJ	VYBER	800	37998	\N	\N	0
876584	2986	1997-01-07	VYDAJ	VYBER	1000	45211	\N	\N	0
876585	2986	1997-02-02	VYDAJ	VYBER	800	29962	\N	\N	0
876586	2986	1997-03-12	VYDAJ	VYBER	1400	38900	\N	\N	0
876587	2986	1997-04-03	VYDAJ	VYBER	900	36832	\N	\N	0
876588	2986	1997-05-14	VYDAJ	VYBER	700	49887	\N	\N	0
876589	2986	1997-06-01	VYDAJ	VYBER	800	45923	\N	\N	0
876590	2986	1997-07-03	VYDAJ	VYBER	900	39882	\N	\N	0
876591	2986	1997-08-03	VYDAJ	VYBER	900	36022	\N	\N	0
876592	2986	1997-09-12	VYDAJ	VYBER	1100	57901	\N	\N	0
876593	2986	1997-10-03	VYDAJ	VYBER	700	40028	\N	\N	0
876594	2986	1997-11-11	VYDAJ	VYBER	700	55330	\N	\N	0
876595	2986	1997-12-12	VYDAJ	PREVOD NA UCET	1033	66766	UVER	WX	94623159
876596	2986	1998-01-12	VYDAJ	PREVOD NA UCET	1033	57795	UVER	WX	94623159
876597	2986	1998-02-12	VYDAJ	PREVOD NA UCET	1033	61318	UVER	WX	94623159
876598	2986	1998-03-12	VYDAJ	PREVOD NA UCET	1033	60057	UVER	WX	94623159
876599	2986	1998-04-12	VYDAJ	PREVOD NA UCET	1033	61895	UVER	WX	94623159
876600	2986	1998-05-12	VYDAJ	PREVOD NA UCET	1033	62228	UVER	WX	94623159
876601	2986	1998-06-12	VYDAJ	PREVOD NA UCET	1033	29116	UVER	WX	94623159
876602	2986	1998-07-12	VYDAJ	PREVOD NA UCET	1033	46687	UVER	WX	94623159
876603	2986	1998-08-12	VYDAJ	PREVOD NA UCET	1033	57458	UVER	WX	94623159
876604	2986	1998-09-12	VYDAJ	PREVOD NA UCET	1033	64474	UVER	WX	94623159
876605	2986	1998-10-12	VYDAJ	PREVOD NA UCET	1033	70514	UVER	WX	94623159
876606	2986	1998-11-12	VYDAJ	PREVOD NA UCET	1033	72678	UVER	WX	94623159
876607	2986	1998-12-12	VYDAJ	PREVOD NA UCET	1033	85764	UVER	WX	94623159
876609	2986	1997-06-23	VYDAJ	VYBER	9120	54155	\N	\N	\N
876610	2986	1998-06-10	VYDAJ	VYBER	47360	30149	\N	\N	\N
876611	2986	1996-12-09	VYDAJ	VYBER	2400	40188	\N	\N	\N
876612	2986	1997-12-15	VYDAJ	VYBER	1120	65646	\N	\N	\N
876613	2986	1998-12-22	VYDAJ	VYBER KARTOU	800	84964	\N	\N	0
876620	2986	1997-01-07	VYDAJ	VYBER	2880	42331	\N	\N	\N
876621	2986	1997-01-30	VYDAJ	VYBER	3000	30621	\N	\N	\N
876622	2986	1997-01-22	VYDAJ	VYBER	1680	35181	\N	\N	\N
876623	2986	1997-01-13	VYDAJ	VYBER	2160	38781	\N	\N	\N
876624	2986	1997-01-04	VYDAJ	VYBER	2760	35383	\N	\N	\N
876625	2986	1997-01-20	VYDAJ	VYBER	1920	36861	\N	\N	\N
876626	2986	1998-01-30	VYDAJ	VYBER KARTOU	1300	44095	\N	\N	0
876627	2986	1998-01-10	VYDAJ	VYBER KARTOU	2300	58828	\N	\N	0
876628	2986	1998-01-06	VYDAJ	VYBER KARTOU	1800	65118	\N	\N	0
876629	2986	1998-01-02	VYDAJ	VYBER KARTOU	1100	46790	\N	\N	0
876630	2986	1998-01-10	VYDAJ	VYBER KARTOU	2600	62518	\N	\N	0
876631	2986	1998-01-19	VYDAJ	VYBER KARTOU	1300	56495	\N	\N	0
876633	2986	1996-11-15	VYDAJ	VYBER	4680	31797	\N	\N	\N
876636	2986	1997-03-31	VYDAJ	VYBER	1320	37732	\N	\N	\N
876637	2986	1997-05-31	VYDAJ	VYBER	3360	46723	\N	\N	\N
876638	2986	1997-08-10	VYDAJ	VYBER	3000	51760	\N	\N	\N
876639	2986	1997-01-25	VYDAJ	VYBER	1560	33621	\N	\N	\N
876640	2986	1997-07-19	VYDAJ	VYBER	1320	57300	\N	\N	\N
876641	2986	1998-03-02	VYDAJ	VYBER KARTOU	1800	42352	\N	\N	0
876642	2986	1998-04-22	VYDAJ	VYBER KARTOU	1300	60595	\N	\N	0
876643	2986	1998-02-08	VYDAJ	VYBER KARTOU	700	63741	\N	\N	0
876653	2986	1996-09-30	VYDAJ	VYBER	15	42642	SLUZBY	\N	\N
876654	2986	1996-10-31	VYDAJ	VYBER	15	40539	SLUZBY	\N	\N
876655	2986	1996-11-30	VYDAJ	VYBER	15	31946	SLUZBY	\N	\N
876656	2986	1996-12-31	VYDAJ	VYBER	15	38143	SLUZBY	\N	\N
876657	2986	1997-01-31	VYDAJ	VYBER	15	30762	SLUZBY	\N	\N
876658	2986	1997-02-28	VYDAJ	VYBER	15	43862	SLUZBY	\N	\N
876659	2986	1997-03-31	VYDAJ	VYBER	15	39052	SLUZBY	\N	\N
876660	2986	1997-04-30	VYDAJ	VYBER	15	47449	SLUZBY	\N	\N
876661	2986	1997-05-31	VYDAJ	VYBER	15	50083	SLUZBY	\N	\N
876662	2986	1997-06-30	VYDAJ	VYBER	15	54382	SLUZBY	\N	\N
876663	2986	1997-07-31	VYDAJ	VYBER	15	57522	SLUZBY	\N	\N
876664	2986	1997-08-31	VYDAJ	VYBER	15	51963	SLUZBY	\N	\N
876665	2986	1997-09-30	VYDAJ	VYBER	15	58128	SLUZBY	\N	\N
876666	2986	1997-10-31	VYDAJ	VYBER	15	58992	SLUZBY	\N	\N
876667	2986	1997-11-30	VYDAJ	VYBER	15	55546	SLUZBY	\N	\N
876668	2986	1997-12-31	VYDAJ	VYBER	15	47890	SLUZBY	\N	\N
876669	2986	1998-01-31	VYDAJ	VYBER	15	44313	SLUZBY	\N	\N
876670	2986	1998-02-28	VYDAJ	VYBER	15	61552	SLUZBY	\N	\N
876671	2986	1998-03-31	VYDAJ	VYBER	15	44190	SLUZBY	\N	\N
876672	2986	1998-04-30	VYDAJ	VYBER	15	44523	SLUZBY	\N	\N
876673	2986	1998-05-31	VYDAJ	VYBER	15	47057	SLUZBY	\N	\N
876674	2986	1998-06-30	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
876675	2986	1998-07-31	VYDAJ	VYBER	15	39753	SLUZBY	\N	\N
876676	2986	1998-08-31	VYDAJ	VYBER	15	46769	SLUZBY	\N	\N
876677	2986	1998-09-30	VYDAJ	VYBER	15	52809	SLUZBY	\N	\N
876678	2986	1998-10-31	VYDAJ	VYBER	15	54973	SLUZBY	\N	\N
876679	2986	1998-11-30	VYDAJ	VYBER	15	56345	SLUZBY	\N	\N
876680	2986	1996-05-09	VYDAJ	VYBER	1800	22129	\N	\N	\N
876681	2986	1996-06-08	VYDAJ	VYBER	15900	41441	\N	\N	\N
876682	2986	1996-07-08	VYDAJ	VYBER	20000	45024	\N	\N	\N
876683	2986	1996-08-07	VYDAJ	VYBER	20400	48237	\N	\N	\N
876684	2986	1996-09-06	VYDAJ	VYBER	23800	43863	\N	\N	\N
876685	2986	1996-10-06	VYDAJ	VYBER	20100	41770	\N	\N	\N
876686	2986	1996-11-05	VYDAJ	VYBER	21800	38867	\N	\N	\N
876687	2986	1996-12-05	VYDAJ	VYBER	21200	45889	\N	\N	\N
876688	2986	1997-01-04	VYDAJ	VYBER	9300	26083	\N	\N	\N
876689	2986	1997-02-03	VYDAJ	VYBER	5000	24962	\N	\N	\N
876690	2986	1997-03-05	VYDAJ	VYBER	22300	44991	\N	\N	\N
876691	2986	1997-04-04	VYDAJ	VYBER	8300	28532	\N	\N	\N
876692	2986	1997-05-04	VYDAJ	VYBER	15600	31849	\N	\N	\N
876693	2986	1997-06-03	VYDAJ	VYBER	13100	32823	\N	\N	\N
876694	2986	1997-07-03	VYDAJ	VYBER	13600	40782	\N	\N	\N
876695	2986	1997-08-02	VYDAJ	VYBER	20600	36922	\N	\N	\N
876696	2986	1997-09-01	VYDAJ	VYBER	11700	40263	\N	\N	\N
876697	2986	1997-10-01	VYDAJ	VYBER	17400	40728	\N	\N	\N
876698	2986	1997-10-31	VYDAJ	VYBER	21700	37292	\N	\N	\N
876699	2986	1997-11-30	VYDAJ	VYBER	18200	37346	\N	\N	\N
876700	2986	1997-12-30	VYDAJ	VYBER	18000	47646	\N	\N	\N
876701	2986	1998-01-29	VYDAJ	VYBER	11100	45395	\N	\N	\N
876702	2986	1998-02-28	VYDAJ	VYBER	17400	44152	\N	\N	\N
876703	2986	1998-03-30	VYDAJ	VYBER	16100	43957	\N	\N	\N
876704	2986	1998-04-29	VYDAJ	VYBER	16300	44295	\N	\N	\N
876705	2986	1998-05-29	VYDAJ	VYBER	15400	46828	\N	\N	\N
876706	2986	1998-06-28	VYDAJ	VYBER KARTOU	300	28816	\N	\N	0
876707	2986	1998-07-28	VYDAJ	VYBER	7100	39587	\N	\N	\N
876708	2986	1998-08-27	VYDAJ	VYBER	10900	46558	\N	\N	\N
876709	2986	1998-09-26	VYDAJ	VYBER	11900	52574	\N	\N	\N
876710	2986	1998-10-26	VYDAJ	VYBER	15800	54714	\N	\N	\N
876711	2986	1998-11-25	VYDAJ	VYBER	16600	56078	\N	\N	\N
876744	2987	1993-09-16	PRIJEM	VKLAD	700	700	\N	\N	\N
876754	2987	1993-10-06	PRIJEM	VKLAD	23549	24249	\N	\N	\N
876755	2987	1993-11-06	PRIJEM	VKLAD	23549	45746	\N	\N	\N
876756	2987	1993-12-06	PRIJEM	VKLAD	35324	69889	\N	\N	\N
876757	2987	1994-01-06	PRIJEM	VKLAD	23549	70710	\N	\N	\N
876758	2987	1994-02-06	PRIJEM	VKLAD	23549	71657	\N	\N	\N
876759	2987	1994-03-06	PRIJEM	VKLAD	23549	64308	\N	\N	\N
876760	2987	1994-04-06	PRIJEM	VKLAD	23549	66656	\N	\N	\N
876761	2987	1994-05-06	PRIJEM	VKLAD	23549	66405	\N	\N	\N
876762	2987	1994-06-06	PRIJEM	VKLAD	35324	79831	\N	\N	\N
876763	2987	1994-07-06	PRIJEM	VKLAD	23549	61237	\N	\N	\N
876764	2987	1994-08-06	PRIJEM	VKLAD	23549	64269	\N	\N	\N
876765	2987	1994-09-06	PRIJEM	VKLAD	23549	65006	\N	\N	\N
876766	2987	1994-10-06	PRIJEM	VKLAD	23549	64442	\N	\N	\N
876767	2987	1994-11-06	PRIJEM	VKLAD	23549	63175	\N	\N	\N
876768	2987	1994-12-06	PRIJEM	VKLAD	35324	76385	\N	\N	\N
876769	2987	1995-01-06	PRIJEM	VKLAD	23549	62382	\N	\N	\N
876770	2987	1995-02-06	PRIJEM	VKLAD	23549	41331	\N	\N	\N
876771	2987	1995-03-06	PRIJEM	VKLAD	23549	49333	\N	\N	\N
876772	2987	1995-04-06	PRIJEM	VKLAD	23549	53635	\N	\N	\N
876773	2987	1995-05-06	PRIJEM	VKLAD	23549	57138	\N	\N	\N
876774	2987	1995-06-06	PRIJEM	VKLAD	35324	71327	\N	\N	\N
876775	2987	1995-07-06	PRIJEM	VKLAD	23549	66165	\N	\N	\N
876776	2987	1995-08-06	PRIJEM	VKLAD	23549	62699	\N	\N	\N
876777	2987	1995-09-06	PRIJEM	VKLAD	23549	61526	\N	\N	\N
876778	2987	1995-10-06	PRIJEM	VKLAD	23549	61052	\N	\N	\N
876779	2987	1995-11-06	PRIJEM	VKLAD	23549	59182	\N	\N	\N
876780	2987	1995-12-06	PRIJEM	VKLAD	35324	74239	\N	\N	\N
876781	2987	1996-01-06	PRIJEM	VKLAD	23549	70034	\N	\N	\N
876782	2987	1996-02-06	PRIJEM	VKLAD	23549	54769	\N	\N	\N
876783	2987	1996-03-06	PRIJEM	VKLAD	23549	55725	\N	\N	\N
876784	2987	1996-04-06	PRIJEM	VKLAD	23549	61297	\N	\N	\N
876785	2987	1996-05-06	PRIJEM	VKLAD	23549	67395	\N	\N	\N
876786	2987	1996-06-06	PRIJEM	VKLAD	35324	76187	\N	\N	\N
876787	2987	1996-07-06	PRIJEM	VKLAD	23549	54512	\N	\N	\N
876788	2987	1996-08-06	PRIJEM	VKLAD	23549	57893	\N	\N	\N
876789	2987	1996-09-06	PRIJEM	VKLAD	23549	63074	\N	\N	\N
876790	2987	1996-10-06	PRIJEM	VKLAD	23549	65648	\N	\N	\N
876791	2987	1996-11-06	PRIJEM	VKLAD	23549	63830	\N	\N	\N
876792	2987	1996-12-06	PRIJEM	VKLAD	35324	78079	\N	\N	\N
876793	2987	1997-01-06	PRIJEM	VKLAD	23549	66990	\N	\N	\N
876794	2987	1997-02-06	PRIJEM	VKLAD	23549	55579	\N	\N	\N
876795	2987	1997-03-06	PRIJEM	VKLAD	23549	57916	\N	\N	\N
876796	2987	1997-04-06	PRIJEM	VKLAD	23549	52544	\N	\N	\N
876797	2987	1997-05-06	PRIJEM	VKLAD	23549	54977	\N	\N	\N
876798	2987	1997-06-06	PRIJEM	VKLAD	35324	58920	\N	\N	\N
876799	2987	1997-07-06	PRIJEM	VKLAD	23549	53446	\N	\N	\N
876800	2987	1997-08-06	PRIJEM	VKLAD	23549	49166	\N	\N	\N
876801	2987	1997-09-06	PRIJEM	VKLAD	23549	45867	\N	\N	\N
876802	2987	1997-10-06	PRIJEM	VKLAD	23549	46255	\N	\N	\N
876803	2987	1997-11-06	PRIJEM	VKLAD	23549	47444	\N	\N	\N
876804	2987	1997-12-06	PRIJEM	VKLAD	35324	58109	\N	\N	\N
876805	2987	1998-01-06	PRIJEM	VKLAD	23549	53269	\N	\N	\N
876806	2987	1998-02-06	PRIJEM	VKLAD	23549	44089	\N	\N	\N
876807	2987	1998-03-06	PRIJEM	VKLAD	23549	50670	\N	\N	\N
876808	2987	1998-04-06	PRIJEM	VKLAD	23549	55178	\N	\N	\N
876809	2987	1998-05-06	PRIJEM	VKLAD	23549	59403	\N	\N	\N
876810	2987	1998-06-06	PRIJEM	VKLAD	35324	68912	\N	\N	\N
876811	2987	1998-07-06	PRIJEM	VKLAD	23549	55501	\N	\N	\N
876812	2987	1998-08-06	PRIJEM	VKLAD	23549	62729	\N	\N	\N
876813	2987	1998-09-06	PRIJEM	VKLAD	23549	62774	\N	\N	\N
876814	2987	1998-10-06	PRIJEM	VKLAD	23549	63119	\N	\N	\N
876815	2987	1998-11-06	PRIJEM	VKLAD	23549	68371	\N	\N	\N
876816	2987	1998-12-06	PRIJEM	VKLAD	35324	83115	\N	\N	\N
876830	2987	1994-02-12	VYDAJ	PREVOD NA UCET	5569	66088	SIPO	QR	71831965
876831	2987	1994-03-12	VYDAJ	PREVOD NA UCET	5569	58739	SIPO	QR	71831965
876832	2987	1994-04-12	VYDAJ	PREVOD NA UCET	5569	61087	SIPO	QR	71831965
876833	2987	1994-05-12	VYDAJ	PREVOD NA UCET	5569	60836	SIPO	QR	71831965
876834	2987	1994-06-12	VYDAJ	PREVOD NA UCET	5569	74262	SIPO	QR	71831965
876835	2987	1994-07-12	VYDAJ	PREVOD NA UCET	5569	55668	SIPO	QR	71831965
876836	2987	1994-08-12	VYDAJ	PREVOD NA UCET	5569	41300	SIPO	QR	71831965
876837	2987	1994-09-12	VYDAJ	PREVOD NA UCET	5569	40737	SIPO	QR	71831965
876838	2987	1994-10-12	VYDAJ	PREVOD NA UCET	5569	39473	SIPO	QR	71831965
876839	2987	1994-11-12	VYDAJ	PREVOD NA UCET	5569	40906	SIPO	QR	71831965
876840	2987	1994-12-12	VYDAJ	PREVOD NA UCET	5569	45516	SIPO	QR	71831965
876841	2987	1995-01-12	VYDAJ	PREVOD NA UCET	5569	36893	SIPO	QR	71831965
876842	2987	1995-02-12	VYDAJ	PREVOD NA UCET	5569	30362	SIPO	QR	71831965
876843	2987	1995-03-12	VYDAJ	PREVOD NA UCET	5569	29964	SIPO	QR	71831965
876844	2987	1995-04-12	VYDAJ	PREVOD NA UCET	5569	33466	SIPO	QR	71831965
876845	2987	1995-05-12	VYDAJ	PREVOD NA UCET	5569	35869	SIPO	QR	71831965
876846	2987	1995-06-12	VYDAJ	PREVOD NA UCET	5569	42458	SIPO	QR	71831965
876847	2987	1995-07-12	VYDAJ	PREVOD NA UCET	5569	38996	SIPO	QR	71831965
876848	2987	1995-08-12	VYDAJ	PREVOD NA UCET	5569	37830	SIPO	QR	71831965
876849	2987	1995-09-12	VYDAJ	PREVOD NA UCET	5569	37357	SIPO	QR	71831965
876850	2987	1995-10-12	VYDAJ	PREVOD NA UCET	5569	38783	SIPO	QR	71831965
876851	2987	1995-11-12	VYDAJ	PREVOD NA UCET	5569	53613	SIPO	QR	71831965
876852	2987	1995-12-12	VYDAJ	PREVOD NA UCET	5569	66390	SIPO	QR	71831965
876853	2987	1996-01-12	VYDAJ	PREVOD NA UCET	5569	62305	SIPO	QR	71831965
876854	2987	1996-02-12	VYDAJ	PREVOD NA UCET	5569	44400	SIPO	QR	71831965
876855	2987	1996-03-12	VYDAJ	PREVOD NA UCET	5569	50156	SIPO	QR	71831965
876856	2987	1996-04-12	VYDAJ	PREVOD NA UCET	5569	55728	SIPO	QR	71831965
876857	2987	1996-05-12	VYDAJ	PREVOD NA UCET	5569	61826	SIPO	QR	71831965
876858	2987	1996-06-12	VYDAJ	PREVOD NA UCET	5569	70618	SIPO	QR	71831965
876859	2987	1996-07-12	VYDAJ	PREVOD NA UCET	5569	47263	SIPO	QR	71831965
876860	2987	1996-08-12	VYDAJ	PREVOD NA UCET	5569	52324	SIPO	QR	71831965
876861	2987	1996-09-12	VYDAJ	PREVOD NA UCET	5569	57505	SIPO	QR	71831965
876862	2987	1996-10-12	VYDAJ	PREVOD NA UCET	5569	60079	SIPO	QR	71831965
876863	2987	1996-11-12	VYDAJ	PREVOD NA UCET	5569	58261	SIPO	QR	71831965
876864	2987	1996-12-12	VYDAJ	PREVOD NA UCET	5569	70750	SIPO	QR	71831965
876865	2987	1997-01-12	VYDAJ	PREVOD NA UCET	5569	60701	SIPO	QR	71831965
876866	2987	1997-02-12	VYDAJ	PREVOD NA UCET	5569	50010	SIPO	QR	71831965
876867	2987	1997-03-12	VYDAJ	PREVOD NA UCET	5569	52347	SIPO	QR	71831965
876868	2987	1997-04-12	VYDAJ	PREVOD NA UCET	5569	46975	SIPO	QR	71831965
876869	2987	1997-05-12	VYDAJ	PREVOD NA UCET	5569	49408	SIPO	QR	71831965
876870	2987	1997-06-12	VYDAJ	PREVOD NA UCET	5569	53351	SIPO	QR	71831965
876871	2987	1997-07-12	VYDAJ	PREVOD NA UCET	5569	47877	SIPO	QR	71831965
876872	2987	1997-08-12	VYDAJ	PREVOD NA UCET	5569	43597	SIPO	QR	71831965
876873	2987	1997-09-12	VYDAJ	PREVOD NA UCET	5569	40298	SIPO	QR	71831965
876874	2987	1997-10-12	VYDAJ	PREVOD NA UCET	5569	40686	SIPO	QR	71831965
876875	2987	1997-11-12	VYDAJ	PREVOD NA UCET	5569	41875	SIPO	QR	71831965
876876	2987	1997-12-12	VYDAJ	PREVOD NA UCET	5569	49980	SIPO	QR	71831965
876877	2987	1998-01-12	VYDAJ	PREVOD NA UCET	5569	45900	SIPO	QR	71831965
876878	2987	1998-02-12	VYDAJ	PREVOD NA UCET	5569	38520	SIPO	QR	71831965
876879	2987	1998-03-12	VYDAJ	PREVOD NA UCET	5569	45101	SIPO	QR	71831965
876880	2987	1998-04-12	VYDAJ	PREVOD NA UCET	5569	49609	SIPO	QR	71831965
876881	2987	1998-05-12	VYDAJ	PREVOD NA UCET	5569	53834	SIPO	QR	71831965
876882	2987	1998-06-12	VYDAJ	PREVOD NA UCET	5569	63343	SIPO	QR	71831965
876883	2987	1998-07-12	VYDAJ	PREVOD NA UCET	5569	49932	SIPO	QR	71831965
876884	2987	1998-08-12	VYDAJ	PREVOD NA UCET	5569	57160	SIPO	QR	71831965
876885	2987	1998-09-12	VYDAJ	PREVOD NA UCET	5569	57205	SIPO	QR	71831965
876886	2987	1998-10-12	VYDAJ	PREVOD NA UCET	5569	57550	SIPO	QR	71831965
876887	2987	1998-11-12	VYDAJ	PREVOD NA UCET	5569	62802	SIPO	QR	71831965
876888	2987	1998-12-12	VYDAJ	PREVOD NA UCET	5569	77546	SIPO	QR	71831965
876890	2987	1994-06-12	VYDAJ	VYBER	15840	58422	\N	\N	\N
876892	2987	1996-06-24	VYDAJ	VYBER	31200	39418	\N	\N	\N
876894	2987	1998-06-17	VYDAJ	VYBER	15840	47503	\N	\N	\N
876897	2987	1995-01-30	VYDAJ	VYBER	9280	19333	\N	\N	\N
876898	2987	1996-01-19	VYDAJ	VYBER	6560	51425	\N	\N	\N
876899	2987	1997-01-30	VYDAJ	VYBER	8160	31821	\N	\N	\N
876900	2987	1998-01-23	VYDAJ	VYBER	7040	21840	\N	\N	\N
876902	2987	1994-12-17	VYDAJ	VYBER	3840	38676	\N	\N	\N
876903	2987	1995-12-24	VYDAJ	VYBER	2240	64150	\N	\N	\N
876904	2987	1996-12-11	VYDAJ	VYBER	1760	76319	\N	\N	\N
876905	2987	1997-12-09	VYDAJ	VYBER	2560	55549	\N	\N	\N
876906	2987	1998-12-17	VYDAJ	VYBER	4160	73386	\N	\N	\N
876919	2987	1995-01-09	VYDAJ	VYBER	2640	44742	\N	\N	\N
876920	2987	1995-01-15	VYDAJ	VYBER	600	36293	\N	\N	\N
876921	2987	1995-01-21	VYDAJ	VYBER	1320	31973	\N	\N	\N
876922	2987	1995-01-11	VYDAJ	VYBER	2280	42462	\N	\N	\N
876923	2987	1995-01-18	VYDAJ	VYBER	3000	33293	\N	\N	\N
876924	2987	1995-01-26	VYDAJ	VYBER	2160	28613	\N	\N	\N
876925	2987	1996-01-06	VYDAJ	VYBER	2160	67874	\N	\N	\N
876926	2987	1996-01-24	VYDAJ	VYBER	2640	45425	\N	\N	\N
876927	2987	1996-01-02	VYDAJ	VYBER	3120	61285	\N	\N	\N
876928	2987	1996-01-22	VYDAJ	VYBER	3360	48065	\N	\N	\N
876929	2987	1996-01-17	VYDAJ	VYBER	1320	57985	\N	\N	\N
876930	2987	1996-01-15	VYDAJ	VYBER	3000	59305	\N	\N	\N
876931	2987	1997-01-18	VYDAJ	VYBER	1560	58301	\N	\N	\N
876932	2987	1997-01-01	VYDAJ	VYBER	720	43441	\N	\N	\N
876933	2987	1997-01-21	VYDAJ	VYBER	1200	54581	\N	\N	\N
876934	2987	1997-01-19	VYDAJ	VYBER	2520	55781	\N	\N	\N
876935	2987	1997-01-07	VYDAJ	VYBER	720	66270	\N	\N	\N
876936	2987	1997-01-12	VYDAJ	VYBER	840	59861	\N	\N	\N
876938	2987	1998-01-18	VYDAJ	VYBER	2640	43260	\N	\N	\N
876939	2987	1998-01-23	VYDAJ	VYBER	2400	38580	\N	\N	\N
876940	2987	1998-01-27	VYDAJ	VYBER	1440	20400	\N	\N	\N
876941	2987	1998-01-20	VYDAJ	VYBER	2280	40980	\N	\N	\N
876942	2987	1998-01-07	VYDAJ	VYBER	1800	51469	\N	\N	\N
876948	2987	1994-02-15	VYDAJ	VYBER	3000	40588	\N	\N	\N
876949	2987	1994-12-16	VYDAJ	VYBER	3000	42516	\N	\N	\N
876950	2987	1994-06-29	VYDAJ	VYBER	3600	37522	\N	\N	\N
876951	2987	1995-01-22	VYDAJ	VYBER	1200	30773	\N	\N	\N
876952	2987	1995-01-31	VYDAJ	VYBER	1680	17797	\N	\N	\N
876953	2987	1995-03-04	VYDAJ	VYBER	4680	25784	\N	\N	\N
876954	2987	1995-12-08	VYDAJ	VYBER	2280	71959	\N	\N	\N
876955	2987	1996-12-30	VYDAJ	VYBER	1920	43930	\N	\N	\N
876956	2987	1996-02-06	VYDAJ	VYBER	4800	49969	\N	\N	\N
876957	2987	1996-01-30	VYDAJ	VYBER	5520	39905	\N	\N	\N
876958	2987	1996-03-05	VYDAJ	VYBER	4800	32176	\N	\N	\N
876959	2987	1996-05-21	VYDAJ	VYBER	3000	58826	\N	\N	\N
876960	2987	1996-07-10	VYDAJ	VYBER	1680	52832	\N	\N	\N
876961	2987	1997-05-12	VYDAJ	VYBER	4320	45088	\N	\N	\N
876962	2987	1997-03-31	VYDAJ	VYBER	5520	28995	\N	\N	\N
876963	2987	1997-05-28	VYDAJ	VYBER	5640	39448	\N	\N	\N
876965	2987	1997-12-20	VYDAJ	VYBER	1200	48780	\N	\N	\N
876980	2987	1994-02-28	VYDAJ	VYBER	15	40759	SLUZBY	\N	\N
876981	2987	1994-03-31	VYDAJ	VYBER	15	43107	SLUZBY	\N	\N
876982	2987	1994-04-30	VYDAJ	VYBER	15	42856	SLUZBY	\N	\N
876983	2987	1994-05-31	VYDAJ	VYBER	15	44508	SLUZBY	\N	\N
876984	2987	1994-06-30	VYDAJ	VYBER	15	37688	SLUZBY	\N	\N
876985	2987	1994-07-31	VYDAJ	VYBER	15	40720	SLUZBY	\N	\N
876986	2987	1994-08-31	VYDAJ	VYBER	15	41457	SLUZBY	\N	\N
876987	2987	1994-09-30	VYDAJ	VYBER	15	40893	SLUZBY	\N	\N
876988	2987	1994-10-31	VYDAJ	VYBER	15	39626	SLUZBY	\N	\N
876989	2987	1994-11-30	VYDAJ	VYBER	15	41061	SLUZBY	\N	\N
876990	2987	1994-12-31	VYDAJ	VYBER	15	38833	SLUZBY	\N	\N
876991	2987	1995-01-31	VYDAJ	VYBER	15	17782	SLUZBY	\N	\N
876992	2987	1995-02-28	VYDAJ	VYBER	15	30464	SLUZBY	\N	\N
876993	2987	1995-03-31	VYDAJ	VYBER	15	30086	SLUZBY	\N	\N
876994	2987	1995-04-30	VYDAJ	VYBER	15	33589	SLUZBY	\N	\N
876995	2987	1995-05-31	VYDAJ	VYBER	15	36003	SLUZBY	\N	\N
876996	2987	1995-06-30	VYDAJ	VYBER	15	42616	SLUZBY	\N	\N
876997	2987	1995-07-31	VYDAJ	VYBER	15	39150	SLUZBY	\N	\N
876998	2987	1995-08-31	VYDAJ	VYBER	15	37977	SLUZBY	\N	\N
876999	2987	1995-09-30	VYDAJ	VYBER	15	37503	SLUZBY	\N	\N
877000	2987	1995-10-31	VYDAJ	VYBER	15	38933	SLUZBY	\N	\N
877001	2987	1995-11-30	VYDAJ	VYBER	15	53815	SLUZBY	\N	\N
877002	2987	1995-12-31	VYDAJ	VYBER	15	64405	SLUZBY	\N	\N
877003	2987	1996-01-31	VYDAJ	VYBER	15	40120	SLUZBY	\N	\N
877004	2987	1996-02-29	VYDAJ	VYBER	15	44576	SLUZBY	\N	\N
877005	2987	1996-03-31	VYDAJ	VYBER	15	50348	SLUZBY	\N	\N
877006	2987	1996-04-30	VYDAJ	VYBER	15	55946	SLUZBY	\N	\N
877007	2987	1996-05-31	VYDAJ	VYBER	15	59064	SLUZBY	\N	\N
877008	2987	1996-06-30	VYDAJ	VYBER	15	39663	SLUZBY	\N	\N
877009	2987	1996-07-31	VYDAJ	VYBER	15	47444	SLUZBY	\N	\N
877010	2987	1996-08-31	VYDAJ	VYBER	15	39525	SLUZBY	\N	\N
877011	2987	1996-09-30	VYDAJ	VYBER	15	42099	SLUZBY	\N	\N
877012	2987	1996-10-31	VYDAJ	VYBER	15	40281	SLUZBY	\N	\N
877013	2987	1996-11-30	VYDAJ	VYBER	15	42756	SLUZBY	\N	\N
877014	2987	1996-12-31	VYDAJ	VYBER	15	44161	SLUZBY	\N	\N
877015	2987	1997-01-31	VYDAJ	VYBER	15	32030	SLUZBY	\N	\N
877016	2987	1997-02-28	VYDAJ	VYBER	15	34367	SLUZBY	\N	\N
877017	2987	1997-03-31	VYDAJ	VYBER	15	34515	SLUZBY	\N	\N
877018	2987	1997-04-30	VYDAJ	VYBER	15	31428	SLUZBY	\N	\N
877019	2987	1997-05-31	VYDAJ	VYBER	15	23596	SLUZBY	\N	\N
877020	2987	1997-06-30	VYDAJ	VYBER	15	29897	SLUZBY	\N	\N
877021	2987	1997-07-31	VYDAJ	VYBER	15	25617	SLUZBY	\N	\N
877022	2987	1997-08-31	VYDAJ	VYBER	15	22318	SLUZBY	\N	\N
877023	2987	1997-09-30	VYDAJ	VYBER	15	22706	SLUZBY	\N	\N
877024	2987	1997-10-31	VYDAJ	VYBER	15	23895	SLUZBY	\N	\N
877025	2987	1997-11-30	VYDAJ	VYBER	15	22785	SLUZBY	\N	\N
877026	2987	1997-12-31	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
877027	2987	1998-01-31	VYDAJ	VYBER	15	20540	SLUZBY	\N	\N
877028	2987	1998-02-28	VYDAJ	VYBER	15	27121	SLUZBY	\N	\N
877029	2987	1998-03-31	VYDAJ	VYBER	15	31629	SLUZBY	\N	\N
877030	2987	1998-04-30	VYDAJ	VYBER	15	35854	SLUZBY	\N	\N
877031	2987	1998-05-31	VYDAJ	VYBER	15	33589	SLUZBY	\N	\N
877032	2987	1998-06-30	VYDAJ	VYBER	15	31952	SLUZBY	\N	\N
877033	2987	1998-07-31	VYDAJ	VYBER	15	39180	SLUZBY	\N	\N
877034	2987	1998-08-31	VYDAJ	VYBER	15	39225	SLUZBY	\N	\N
877035	2987	1998-09-30	VYDAJ	VYBER	15	39570	SLUZBY	\N	\N
877036	2987	1998-10-31	VYDAJ	VYBER	15	44822	SLUZBY	\N	\N
877037	2987	1998-11-30	VYDAJ	VYBER	15	47791	SLUZBY	\N	\N
877038	2987	1993-10-16	VYDAJ	VYBER	2100	22149	\N	\N	\N
877039	2987	1993-11-15	VYDAJ	VYBER	11300	34446	\N	\N	\N
877040	2987	1993-12-15	VYDAJ	VYBER	22900	46989	\N	\N	\N
877041	2987	1994-01-14	VYDAJ	VYBER	22800	47910	\N	\N	\N
877042	2987	1994-02-13	VYDAJ	VYBER	22500	43588	\N	\N	\N
877043	2987	1994-03-15	VYDAJ	VYBER	15800	42939	\N	\N	\N
877044	2987	1994-04-14	VYDAJ	VYBER	18400	42687	\N	\N	\N
877045	2987	1994-05-14	VYDAJ	VYBER	16500	44336	\N	\N	\N
877046	2987	1994-06-13	VYDAJ	VYBER	17300	41122	\N	\N	\N
877047	2987	1994-07-13	VYDAJ	VYBER	15100	40568	\N	\N	\N
877048	2987	1994-08-12	VYDAJ	VYBER	17400	46869	\N	\N	\N
877049	2987	1994-09-11	VYDAJ	VYBER	18700	46306	\N	\N	\N
877050	2987	1994-10-11	VYDAJ	VYBER	19400	45042	\N	\N	\N
877051	2987	1994-11-10	VYDAJ	VYBER	16700	46475	\N	\N	\N
877052	2987	1994-12-10	VYDAJ	VYBER	25300	51085	\N	\N	\N
877053	2987	1995-01-09	VYDAJ	VYBER	15000	47382	\N	\N	\N
877054	2987	1995-02-08	VYDAJ	VYBER	5400	35931	\N	\N	\N
877055	2987	1995-03-10	VYDAJ	VYBER	13800	35533	\N	\N	\N
877056	2987	1995-04-09	VYDAJ	VYBER	14600	39035	\N	\N	\N
877057	2987	1995-05-09	VYDAJ	VYBER	15700	41438	\N	\N	\N
877058	2987	1995-06-08	VYDAJ	VYBER	23300	48027	\N	\N	\N
877059	2987	1995-07-08	VYDAJ	VYBER	21600	44565	\N	\N	\N
877060	2987	1995-08-07	VYDAJ	VYBER	19300	43399	\N	\N	\N
877061	2987	1995-09-06	VYDAJ	VYBER	18600	42926	\N	\N	\N
877062	2987	1995-10-06	VYDAJ	VYBER	16700	44352	\N	\N	\N
877063	2987	1995-11-05	VYDAJ	VYBER	3300	35633	\N	\N	\N
877064	2987	1995-12-05	VYDAJ	VYBER	14900	38915	\N	\N	\N
877065	2987	1996-01-04	VYDAJ	VYBER	14800	46485	\N	\N	\N
877066	2987	1996-02-03	VYDAJ	VYBER	8900	31220	\N	\N	\N
877067	2987	1996-03-04	VYDAJ	VYBER	7600	36976	\N	\N	\N
877068	2987	1996-04-03	VYDAJ	VYBER	12600	37748	\N	\N	\N
877069	2987	1996-05-03	VYDAJ	VYBER	12100	43846	\N	\N	\N
877070	2987	1996-06-02	VYDAJ	VYBER	18200	40864	\N	\N	\N
877071	2987	1996-07-02	VYDAJ	VYBER	8700	30963	\N	\N	\N
877072	2987	1996-08-01	VYDAJ	VYBER	13100	34344	\N	\N	\N
877073	2987	1996-08-31	VYDAJ	VYBER	13000	39540	\N	\N	\N
877074	2987	1996-09-30	VYDAJ	VYBER	15600	42114	\N	\N	\N
877075	2987	1996-10-30	VYDAJ	VYBER	20000	40079	\N	\N	\N
877076	2987	1996-11-29	VYDAJ	VYBER	15700	42561	\N	\N	\N
877077	2987	1996-12-29	VYDAJ	VYBER	24900	45850	\N	\N	\N
877078	2987	1997-01-28	VYDAJ	VYBER	14600	39981	\N	\N	\N
877079	2987	1997-02-27	VYDAJ	VYBER	15800	34210	\N	\N	\N
877080	2987	1997-03-29	VYDAJ	VYBER	18000	34347	\N	\N	\N
877081	2987	1997-04-28	VYDAJ	VYBER	15700	31275	\N	\N	\N
877082	2987	1997-05-28	VYDAJ	VYBER	16000	23448	\N	\N	\N
877083	2987	1997-06-27	VYDAJ	VYBER	23600	29751	\N	\N	\N
877084	2987	1997-07-27	VYDAJ	VYBER	22400	25477	\N	\N	\N
877085	2987	1997-08-26	VYDAJ	VYBER	21400	22197	\N	\N	\N
877086	2987	1997-09-25	VYDAJ	VYBER	17700	22598	\N	\N	\N
877087	2987	1997-10-25	VYDAJ	VYBER	16900	23786	\N	\N	\N
877088	2987	1997-11-24	VYDAJ	VYBER	19200	22675	\N	\N	\N
877089	2987	1997-12-24	VYDAJ	VYBER	19200	29580	\N	\N	\N
877090	2987	1998-01-23	VYDAJ	VYBER	9700	28880	\N	\N	\N
877091	2987	1998-02-22	VYDAJ	VYBER	11500	27020	\N	\N	\N
877092	2987	1998-03-24	VYDAJ	VYBER	13600	31501	\N	\N	\N
877093	2987	1998-04-23	VYDAJ	VYBER	13900	35709	\N	\N	\N
877094	2987	1998-05-23	VYDAJ	VYBER	20400	33434	\N	\N	\N
877095	2987	1998-06-22	VYDAJ	VYBER	15700	31803	\N	\N	\N
877096	2987	1998-07-22	VYDAJ	VYBER	10900	39032	\N	\N	\N
877097	2987	1998-08-21	VYDAJ	VYBER	18100	39060	\N	\N	\N
877098	2987	1998-09-20	VYDAJ	VYBER	17800	39405	\N	\N	\N
877099	2987	1998-10-20	VYDAJ	VYBER	12900	44650	\N	\N	\N
877100	2987	1998-11-19	VYDAJ	VYBER	15200	47602	\N	\N	\N
877164	2988	1996-10-14	PRIJEM	VKLAD	900	900	\N	\N	\N
877166	2988	1996-10-18	PRIJEM	VKLAD	7244	8144	\N	\N	\N
877168	2988	1997-02-18	PRIJEM	VKLAD	19548	95684	\N	\N	\N
877169	2988	1997-03-10	PRIJEM	VKLAD	32049	124404	\N	\N	\N
877170	2988	1997-01-08	PRIJEM	VKLAD	23103	40930	\N	\N	\N
877171	2988	1997-02-18	PRIJEM	VKLAD	42001	76136	\N	\N	\N
877172	2988	1997-04-05	PRIJEM	VKLAD	49324	133424	\N	\N	\N
877173	2988	1997-10-15	PRIJEM	VKLAD	22870	54740	\N	\N	\N
877174	2988	1997-09-21	PRIJEM	VKLAD	11028	26056	\N	\N	\N
877175	2988	1997-02-24	PRIJEM	VKLAD	28119	92240	\N	\N	\N
877176	2988	1997-07-11	PRIJEM	VKLAD	12499	33857	\N	\N	\N
877177	2988	1997-05-02	PRIJEM	VKLAD	34437	136717	\N	\N	\N
877178	2988	1997-11-02	PRIJEM	VKLAD	7070	87714	\N	\N	\N
877179	2988	1997-01-12	PRIJEM	VKLAD	9945	50875	\N	\N	\N
877180	2988	1997-12-23	PRIJEM	VKLAD	5950	26363	\N	\N	\N
877181	2988	1997-03-14	PRIJEM	VKLAD	38647	87051	\N	\N	\N
877182	2988	1997-09-23	PRIJEM	VKLAD	28302	54358	\N	\N	\N
877183	2988	1997-01-12	PRIJEM	VKLAD	6134	57009	\N	\N	\N
877184	2988	1997-12-03	PRIJEM	VKLAD	17571	50213	\N	\N	\N
877185	2988	1997-02-23	PRIJEM	VKLAD	16537	112221	\N	\N	\N
877186	2988	1997-04-09	PRIJEM	VKLAD	39062	148386	\N	\N	\N
877187	2988	1997-01-18	PRIJEM	VKLAD	10731	52940	\N	\N	\N
877188	2988	1997-06-07	PRIJEM	VKLAD	38769	73337	\N	\N	\N
877189	2988	1997-10-30	PRIJEM	VKLAD	25785	80525	\N	\N	\N
877190	2988	1997-05-10	PRIJEM	VKLAD	18453	110720	\N	\N	\N
877191	2988	1997-02-14	PRIJEM	VKLAD	15671	34135	\N	\N	\N
877192	2988	1997-11-04	PRIJEM	VKLAD	41970	129684	\N	\N	\N
877193	2988	1997-04-19	PRIJEM	VKLAD	43211	101997	\N	\N	\N
877194	2988	1998-08-17	PRIJEM	VKLAD	22771	127934	\N	\N	\N
877195	2988	1998-12-15	PRIJEM	VKLAD	46833	58294	\N	\N	\N
877196	2988	1998-08-09	PRIJEM	VKLAD	16915	83089	\N	\N	\N
877197	2988	1998-01-28	PRIJEM	VKLAD	26845	65395	\N	\N	\N
877198	2988	1998-07-12	PRIJEM	VKLAD	41476	137330	\N	\N	\N
877199	2988	1998-03-16	PRIJEM	VKLAD	17994	57216	\N	\N	\N
877200	2988	1998-02-15	PRIJEM	VKLAD	7720	61826	\N	\N	\N
877201	2988	1998-07-09	PRIJEM	VKLAD	37302	66136	\N	\N	\N
877202	2988	1998-08-13	PRIJEM	VKLAD	29458	105163	\N	\N	\N
877203	2988	1998-09-05	PRIJEM	VKLAD	34683	92377	\N	\N	\N
877204	2988	1998-06-30	PRIJEM	VKLAD	21559	31472	\N	\N	\N
877205	2988	1998-09-10	PRIJEM	VKLAD	14591	106968	\N	\N	\N
877206	2988	1998-07-12	PRIJEM	VKLAD	29718	95854	\N	\N	\N
877207	2988	1998-01-31	PRIJEM	VKLAD	33905	99506	\N	\N	\N
877208	2988	1998-01-08	PRIJEM	VKLAD	31471	56950	\N	\N	\N
877222	2988	1997-02-05	VYDAJ	VYBER	7900	16864	\N	\N	0
877223	2988	1997-03-12	VYDAJ	VYBER	7000	78604	\N	\N	0
877224	2988	1997-04-12	VYDAJ	VYBER	5400	63586	\N	\N	0
877225	2988	1997-05-13	VYDAJ	VYBER	6500	42920	\N	\N	0
877226	2988	1997-05-31	VYDAJ	VYBER	8500	34668	\N	\N	0
877227	2988	1997-06-29	VYDAJ	VYBER	9600	21295	\N	\N	0
877228	2988	1997-08-14	VYDAJ	VYBER	6600	16749	\N	\N	0
877229	2988	1997-09-08	VYDAJ	VYBER	5700	11028	\N	\N	0
877230	2988	1997-10-10	VYDAJ	VYBER	6900	31870	\N	\N	0
877231	2988	1997-11-12	VYDAJ	VYBER	8200	41984	\N	\N	0
877232	2988	1997-12-13	VYDAJ	VYBER	7400	20413	\N	\N	0
877233	2988	1998-01-22	VYDAJ	VYBER	7000	43650	\N	\N	0
877234	2988	1998-02-09	VYDAJ	VYBER	7300	54106	\N	\N	0
877235	2988	1998-03-08	VYDAJ	VYBER	5800	56222	\N	\N	0
877236	2988	1998-04-14	VYDAJ	VYBER	7300	30036	\N	\N	0
877237	2988	1998-05-26	VYDAJ	VYBER	9000	16698	\N	\N	0
877238	2988	1998-06-20	VYDAJ	VYBER	7700	9913	\N	\N	0
877239	2988	1998-07-12	VYDAJ	PREVOD NA UCET	7384	99746	UVER	IJ	47759002
877240	2988	1998-08-12	VYDAJ	PREVOD NA UCET	7384	75705	UVER	IJ	47759002
877241	2988	1998-09-12	VYDAJ	PREVOD NA UCET	7384	53984	UVER	IJ	47759002
877242	2988	1998-10-12	VYDAJ	PREVOD NA UCET	7384	24056	UVER	IJ	47759002
877243	2988	1998-11-12	VYDAJ	PREVOD NA UCET	7384	11495	UVER	IJ	47759002
877248	2988	1997-06-29	VYBER	VYBER	12942	30895	\N	\N	\N
877249	2988	1997-11-14	VYBER	VYBER	9434	32550	\N	\N	\N
877250	2988	1997-03-21	VYBER	VYBER	3208	83843	\N	\N	\N
877251	2988	1997-05-05	VYBER	VYBER	2750	92267	\N	\N	\N
877260	2988	1997-12-03	VYDAJ	VYBER	6600	43613	\N	\N	\N
877261	2988	1998-12-19	VYDAJ	VYBER	8700	49594	\N	\N	\N
877268	2988	1997-01-30	VYDAJ	VYBER	5700	24740	\N	\N	\N
877269	2988	1997-01-22	VYDAJ	VYBER	4500	44540	\N	\N	\N
877270	2988	1997-01-24	VYDAJ	VYBER	7500	37040	\N	\N	\N
877272	2988	1997-01-24	VYDAJ	VYBER	6600	30440	\N	\N	\N
877275	2988	1998-01-21	VYDAJ	VYBER	6300	50650	\N	\N	\N
877278	2988	1998-01-02	VYDAJ	VYBER	2100	24279	\N	\N	\N
877279	2988	1998-01-22	VYDAJ	VYBER	5100	38550	\N	\N	\N
877288	2988	1997-04-18	VYDAJ	VYBER	4800	58786	\N	\N	\N
877290	2988	1997-01-20	VYDAJ	VYBER	3900	49040	\N	\N	\N
877291	2988	1997-12-03	VYDAJ	VYBER	12900	30713	\N	\N	\N
877295	2988	1998-09-15	VYDAJ	VYBER	13800	40184	\N	\N	\N
877296	2988	1998-03-28	VYDAJ	VYBER	6600	50616	\N	\N	\N
877311	2988	1997-01-31	VYDAJ	VYBER	100	24764	SLUZBY	\N	\N
877312	2988	1997-02-28	VYDAJ	VYBER	100	92355	SLUZBY	\N	\N
877313	2988	1997-03-31	VYDAJ	VYBER	100	84100	SLUZBY	\N	\N
877314	2988	1997-04-30	VYDAJ	VYBER	100	102280	SLUZBY	\N	\N
877315	2988	1997-05-31	VYDAJ	VYBER	100	34568	SLUZBY	\N	\N
877316	2988	1997-06-30	VYDAJ	VYBER	100	21358	SLUZBY	\N	\N
877317	2988	1997-07-31	VYDAJ	VYBER	100	22149	SLUZBY	\N	\N
877318	2988	1997-08-31	VYDAJ	VYBER	100	16728	SLUZBY	\N	\N
877319	2988	1997-09-30	VYDAJ	VYBER	100	54370	SLUZBY	\N	\N
877320	2988	1997-10-31	VYDAJ	VYBER	100	80644	SLUZBY	\N	\N
877321	2988	1997-11-30	VYDAJ	VYBER	100	32642	SLUZBY	\N	\N
877322	2988	1997-12-31	VYDAJ	VYBER	100	26379	SLUZBY	\N	\N
877323	2988	1998-01-31	VYDAJ	VYBER	100	99406	SLUZBY	\N	\N
877324	2988	1998-02-28	VYDAJ	VYBER	100	62022	SLUZBY	\N	\N
877325	2988	1998-03-31	VYDAJ	VYBER	100	50736	SLUZBY	\N	\N
877326	2988	1998-04-30	VYDAJ	VYBER	100	30098	SLUZBY	\N	\N
877327	2988	1998-05-31	VYDAJ	VYBER	100	16713	SLUZBY	\N	\N
877328	2988	1998-06-30	VYDAJ	VYBER	100	31434	SLUZBY	\N	\N
877329	2988	1998-07-31	VYDAJ	VYBER	100	99974	SLUZBY	\N	\N
877330	2988	1998-08-31	VYDAJ	VYBER	100	90794	SLUZBY	\N	\N
877331	2988	1998-09-30	VYDAJ	VYBER	100	40340	SLUZBY	\N	\N
877332	2988	1998-10-31	VYDAJ	VYBER	100	24079	SLUZBY	\N	\N
877333	2988	1998-11-30	VYDAJ	VYBER	100	11461	SLUZBY	\N	\N
877334	2988	1996-11-13	PRIJEM	VKLAD	6800	14959	\N	\N	\N
877335	2988	1996-12-13	PRIJEM	VKLAD	2800	17793	\N	\N	\N
877336	2988	1997-01-12	VYDAJ	VYBER	14800	42209	\N	\N	\N
877337	2988	1997-02-11	PRIJEM	VKLAD	1600	18464	\N	\N	\N
877338	2988	1997-02-23	VYDAJ	VYBER	48100	64121	\N	\N	\N
877339	2988	1997-03-10	VYDAJ	VYBER	38800	85604	\N	\N	\N
877340	2988	1997-03-13	VYDAJ	VYBER	30200	48404	\N	\N	\N
877341	2988	1997-04-05	VYDAJ	VYBER	24100	109324	\N	\N	\N
877342	2988	1997-04-09	VYDAJ	VYBER	41600	106786	\N	\N	\N
877343	2988	1997-04-12	VYDAJ	VYBER	37800	68986	\N	\N	\N
877344	2988	1997-05-02	VYDAJ	VYBER	41700	95017	\N	\N	\N
877345	2988	1997-05-10	VYDAJ	VYBER	45000	65720	\N	\N	\N
877346	2988	1997-05-12	VYDAJ	VYBER	16300	49420	\N	\N	\N
877347	2988	1997-06-11	VYDAJ	VYBER	29500	43837	\N	\N	\N
877348	2988	1997-07-11	VYDAJ	VYBER	11700	22157	\N	\N	\N
877349	2988	1997-08-10	PRIJEM	VKLAD	1200	23349	\N	\N	\N
877350	2988	1997-09-09	PRIJEM	VKLAD	4000	15028	\N	\N	\N
877351	2988	1997-10-09	VYDAJ	VYBER	15600	38770	\N	\N	\N
877352	2988	1997-11-04	VYDAJ	VYBER	55000	74684	\N	\N	\N
877353	2988	1997-11-08	VYDAJ	VYBER	24500	50184	\N	\N	\N
877354	2988	1997-12-08	VYDAJ	VYBER	2900	27813	\N	\N	\N
877355	2988	1998-01-07	PRIJEM	VKLAD	1200	25479	\N	\N	\N
877356	2988	1998-02-06	VYDAJ	VYBER	38000	61406	\N	\N	\N
877357	2988	1998-03-08	VYDAJ	VYBER	17000	39222	\N	\N	\N
877358	2988	1998-04-07	VYDAJ	VYBER	13400	37336	\N	\N	\N
877359	2988	1998-05-07	VYDAJ	VYBER	4400	25698	\N	\N	\N
877360	2988	1998-06-06	PRIJEM	VKLAD	900	17613	\N	\N	\N
877361	2988	1998-07-06	VYDAJ	VYBER	2600	28834	\N	\N	\N
877362	2988	1998-07-12	VYDAJ	VYBER	30200	107130	\N	\N	\N
877363	2988	1998-08-05	VYDAJ	VYBER	33800	66174	\N	\N	\N
877364	2988	1998-08-17	VYDAJ	VYBER	37500	90434	\N	\N	\N
877365	2988	1998-09-04	VYDAJ	VYBER	33100	57694	\N	\N	\N
877366	2988	1998-09-10	VYDAJ	VYBER	45600	61368	\N	\N	\N
877367	2988	1998-10-04	VYDAJ	VYBER	8900	31440	\N	\N	\N
877368	2988	1998-11-03	VYDAJ	VYBER	5200	18879	\N	\N	\N
877396	2989	1993-11-28	PRIJEM	VKLAD	600	600	\N	\N	\N
877408	2989	1993-12-07	PRIJEM	PREVOD Z UCTU	5093	5693	DUCHOD	MN	26638216
877409	2989	1994-01-07	PRIJEM	PREVOD Z UCTU	5093	10786	DUCHOD	MN	26638216
877410	2989	1994-02-07	PRIJEM	PREVOD Z UCTU	5093	15879	DUCHOD	MN	26638216
877411	2989	1994-03-07	PRIJEM	PREVOD Z UCTU	5093	20972	DUCHOD	MN	26638216
877412	2989	1994-04-07	PRIJEM	PREVOD Z UCTU	5093	25476	DUCHOD	MN	26638216
877413	2989	1994-05-07	PRIJEM	PREVOD Z UCTU	5093	27245	DUCHOD	MN	26638216
877414	2989	1994-06-07	PRIJEM	PREVOD Z UCTU	5093	24774	DUCHOD	MN	26638216
877415	2989	1994-07-07	PRIJEM	PREVOD Z UCTU	5093	14925	DUCHOD	MN	26638216
877416	2989	1994-08-07	PRIJEM	PREVOD Z UCTU	5093	16669	DUCHOD	MN	26638216
877417	2989	1994-09-07	PRIJEM	PREVOD Z UCTU	5093	16421	DUCHOD	MN	26638216
877418	2989	1994-10-07	PRIJEM	PREVOD Z UCTU	5093	18172	DUCHOD	MN	26638216
877419	2989	1994-11-07	PRIJEM	PREVOD Z UCTU	5093	19930	DUCHOD	MN	26638216
877420	2989	1994-12-07	PRIJEM	PREVOD Z UCTU	5093	20395	DUCHOD	MN	26638216
877421	2989	1995-01-07	PRIJEM	PREVOD Z UCTU	5093	19522	DUCHOD	MN	26638216
877422	2989	1995-02-07	PRIJEM	PREVOD Z UCTU	5093	15355	DUCHOD	MN	26638216
877423	2989	1995-03-07	PRIJEM	PREVOD Z UCTU	5093	17101	DUCHOD	MN	26638216
877424	2989	1995-04-07	PRIJEM	PREVOD Z UCTU	5093	15805	DUCHOD	MN	26638216
877425	2989	1995-05-07	PRIJEM	PREVOD Z UCTU	5093	17552	DUCHOD	MN	26638216
877426	2989	1995-06-07	PRIJEM	PREVOD Z UCTU	5093	19308	DUCHOD	MN	26638216
877427	2989	1995-07-07	PRIJEM	PREVOD Z UCTU	5093	21070	DUCHOD	MN	26638216
877428	2989	1995-08-07	PRIJEM	PREVOD Z UCTU	5093	17634	DUCHOD	MN	26638216
877429	2989	1995-09-07	PRIJEM	PREVOD Z UCTU	5093	19389	DUCHOD	MN	26638216
877430	2989	1995-10-07	PRIJEM	PREVOD Z UCTU	5093	21152	DUCHOD	MN	26638216
877431	2989	1995-11-07	PRIJEM	PREVOD Z UCTU	5093	19716	DUCHOD	MN	26638216
877432	2989	1995-12-07	PRIJEM	PREVOD Z UCTU	5093	19477	DUCHOD	MN	26638216
877433	2989	1996-01-07	PRIJEM	PREVOD Z UCTU	5093	20538	DUCHOD	MN	26638216
877434	2989	1996-02-07	PRIJEM	PREVOD Z UCTU	5093	15276	DUCHOD	MN	26638216
877435	2989	1996-03-07	PRIJEM	PREVOD Z UCTU	5093	17021	DUCHOD	MN	26638216
877436	2989	1996-04-07	PRIJEM	PREVOD Z UCTU	5093	18774	DUCHOD	MN	26638216
877437	2989	1996-05-07	PRIJEM	PREVOD Z UCTU	5093	20534	DUCHOD	MN	26638216
877438	2989	1996-06-07	PRIJEM	PREVOD Z UCTU	5093	19577	DUCHOD	MN	26638216
877439	2989	1996-07-07	PRIJEM	PREVOD Z UCTU	5093	21340	DUCHOD	MN	26638216
877440	2989	1996-08-07	PRIJEM	PREVOD Z UCTU	5093	23111	DUCHOD	MN	26638216
877441	2989	1996-09-07	PRIJEM	PREVOD Z UCTU	5093	24888	DUCHOD	MN	26638216
877442	2989	1996-10-07	PRIJEM	PREVOD Z UCTU	5093	26674	DUCHOD	MN	26638216
877443	2989	1996-11-07	PRIJEM	PREVOD Z UCTU	5093	25980	DUCHOD	MN	26638216
877444	2989	1996-12-07	PRIJEM	PREVOD Z UCTU	5093	27769	DUCHOD	MN	26638216
877445	2989	1997-01-07	PRIJEM	PREVOD Z UCTU	5093	24865	DUCHOD	MN	26638216
877446	2989	1997-02-07	PRIJEM	PREVOD Z UCTU	5093	19768	DUCHOD	MN	26638216
877447	2989	1997-03-07	PRIJEM	PREVOD Z UCTU	5093	20971	DUCHOD	MN	26638216
877448	2989	1997-04-07	PRIJEM	PREVOD Z UCTU	5093	22740	DUCHOD	MN	26638216
877449	2989	1997-05-07	PRIJEM	PREVOD Z UCTU	5093	24516	DUCHOD	MN	26638216
877450	2989	1997-06-07	PRIJEM	PREVOD Z UCTU	5093	26299	DUCHOD	MN	26638216
877451	2989	1997-07-07	PRIJEM	PREVOD Z UCTU	5093	28090	DUCHOD	MN	26638216
877452	2989	1997-08-07	PRIJEM	PREVOD Z UCTU	5093	28286	DUCHOD	MN	26638216
877453	2989	1997-09-07	PRIJEM	PREVOD Z UCTU	5093	30085	DUCHOD	MN	26638216
877454	2989	1997-10-07	PRIJEM	PREVOD Z UCTU	5093	31892	DUCHOD	MN	26638216
877455	2989	1997-11-07	PRIJEM	PREVOD Z UCTU	5093	33705	DUCHOD	MN	26638216
877456	2989	1997-12-07	PRIJEM	PREVOD Z UCTU	5093	35126	DUCHOD	MN	26638216
877457	2989	1998-01-07	PRIJEM	PREVOD Z UCTU	5093	34873	DUCHOD	MN	26638216
877458	2989	1998-02-07	PRIJEM	PREVOD Z UCTU	5093	28178	DUCHOD	MN	26638216
877459	2989	1998-03-07	PRIJEM	PREVOD Z UCTU	5093	29976	DUCHOD	MN	26638216
877460	2989	1998-04-07	PRIJEM	PREVOD Z UCTU	5093	29216	DUCHOD	MN	26638216
877461	2989	1998-05-07	PRIJEM	PREVOD Z UCTU	5093	29257	DUCHOD	MN	26638216
877462	2989	1998-06-07	PRIJEM	PREVOD Z UCTU	5093	31059	DUCHOD	MN	26638216
877463	2989	1998-07-07	PRIJEM	PREVOD Z UCTU	5093	28573	DUCHOD	MN	26638216
877464	2989	1998-08-07	PRIJEM	PREVOD Z UCTU	5093	30373	DUCHOD	MN	26638216
877465	2989	1998-09-07	PRIJEM	PREVOD Z UCTU	5093	32179	DUCHOD	MN	26638216
877466	2989	1998-10-07	PRIJEM	PREVOD Z UCTU	5093	30311	DUCHOD	MN	26638216
877467	2989	1998-11-07	PRIJEM	PREVOD Z UCTU	5093	32118	DUCHOD	MN	26638216
877468	2989	1998-12-07	PRIJEM	PREVOD Z UCTU	5093	32881	DUCHOD	MN	26638216
877485	2989	1994-05-06	VYDAJ	PREVOD NA UCET	3395	22152	SIPO	QR	70749723
877486	2989	1994-06-06	VYDAJ	PREVOD NA UCET	3395	19681	SIPO	QR	70749723
877487	2989	1994-07-06	VYDAJ	PREVOD NA UCET	3395	9832	SIPO	QR	70749723
877488	2989	1994-08-06	VYDAJ	PREVOD NA UCET	3395	11576	SIPO	QR	70749723
877489	2989	1994-09-06	VYDAJ	PREVOD NA UCET	3395	11328	SIPO	QR	70749723
877490	2989	1994-10-06	VYDAJ	PREVOD NA UCET	3395	13079	SIPO	QR	70749723
877491	2989	1994-11-06	VYDAJ	PREVOD NA UCET	3395	14837	SIPO	QR	70749723
877492	2989	1994-12-06	VYDAJ	PREVOD NA UCET	3395	15302	SIPO	QR	70749723
877493	2989	1995-01-06	VYDAJ	PREVOD NA UCET	3395	14429	SIPO	QR	70749723
877494	2989	1995-02-06	VYDAJ	PREVOD NA UCET	3395	10262	SIPO	QR	70749723
877495	2989	1995-03-06	VYDAJ	PREVOD NA UCET	3395	12008	SIPO	QR	70749723
877496	2989	1995-04-06	VYDAJ	PREVOD NA UCET	3395	10712	SIPO	QR	70749723
877497	2989	1995-05-06	VYDAJ	PREVOD NA UCET	3395	12459	SIPO	QR	70749723
877498	2989	1995-06-06	VYDAJ	PREVOD NA UCET	3395	14215	SIPO	QR	70749723
877499	2989	1995-07-06	VYDAJ	PREVOD NA UCET	3395	15977	SIPO	QR	70749723
877500	2989	1995-08-06	VYDAJ	PREVOD NA UCET	3395	12541	SIPO	QR	70749723
877501	2989	1995-09-06	VYDAJ	PREVOD NA UCET	3395	14296	SIPO	QR	70749723
877502	2989	1995-10-06	VYDAJ	PREVOD NA UCET	3395	16059	SIPO	QR	70749723
877503	2989	1995-11-06	VYDAJ	PREVOD NA UCET	3395	14623	SIPO	QR	70749723
877504	2989	1995-12-06	VYDAJ	PREVOD NA UCET	3395	14384	SIPO	QR	70749723
877505	2989	1996-01-06	VYDAJ	PREVOD NA UCET	3395	15445	SIPO	QR	70749723
877506	2989	1996-02-06	VYDAJ	PREVOD NA UCET	3395	10183	SIPO	QR	70749723
877507	2989	1996-03-06	VYDAJ	PREVOD NA UCET	3395	11928	SIPO	QR	70749723
877508	2989	1996-04-06	VYDAJ	PREVOD NA UCET	3395	13681	SIPO	QR	70749723
877509	2989	1996-05-06	VYDAJ	PREVOD NA UCET	3395	15441	SIPO	QR	70749723
877510	2989	1996-06-06	VYDAJ	PREVOD NA UCET	3395	14484	SIPO	QR	70749723
877511	2989	1996-07-06	VYDAJ	PREVOD NA UCET	3395	16247	SIPO	QR	70749723
877512	2989	1996-08-06	VYDAJ	PREVOD NA UCET	3395	18018	SIPO	QR	70749723
877513	2989	1996-09-06	VYDAJ	PREVOD NA UCET	3395	19795	SIPO	QR	70749723
877514	2989	1996-10-06	VYDAJ	PREVOD NA UCET	3395	21581	SIPO	QR	70749723
877515	2989	1996-11-06	VYDAJ	PREVOD NA UCET	3395	20887	SIPO	QR	70749723
877516	2989	1996-12-06	VYDAJ	PREVOD NA UCET	3395	22676	SIPO	QR	70749723
877517	2989	1997-01-06	VYDAJ	PREVOD NA UCET	3395	19772	SIPO	QR	70749723
877518	2989	1997-02-06	VYDAJ	PREVOD NA UCET	3395	14675	SIPO	QR	70749723
877519	2989	1997-03-06	VYDAJ	PREVOD NA UCET	3395	15878	SIPO	QR	70749723
877520	2989	1997-04-06	VYDAJ	PREVOD NA UCET	3395	17647	SIPO	QR	70749723
877521	2989	1997-05-06	VYDAJ	PREVOD NA UCET	3395	19423	SIPO	QR	70749723
877522	2989	1997-06-06	VYDAJ	PREVOD NA UCET	3395	21206	SIPO	QR	70749723
877523	2989	1997-07-06	VYDAJ	PREVOD NA UCET	3395	22997	SIPO	QR	70749723
877524	2989	1997-08-06	VYDAJ	PREVOD NA UCET	3395	23193	SIPO	QR	70749723
877525	2989	1997-09-06	VYDAJ	PREVOD NA UCET	3395	24992	SIPO	QR	70749723
877526	2989	1997-10-06	VYDAJ	PREVOD NA UCET	3395	26799	SIPO	QR	70749723
877527	2989	1997-11-06	VYDAJ	PREVOD NA UCET	3395	28612	SIPO	QR	70749723
877528	2989	1997-12-06	VYDAJ	PREVOD NA UCET	3395	30033	SIPO	QR	70749723
877529	2989	1998-01-06	VYDAJ	PREVOD NA UCET	3395	29780	SIPO	QR	70749723
877530	2989	1998-02-06	VYDAJ	PREVOD NA UCET	3395	23085	SIPO	QR	70749723
877531	2989	1998-03-06	VYDAJ	PREVOD NA UCET	3395	24883	SIPO	QR	70749723
877532	2989	1998-04-06	VYDAJ	PREVOD NA UCET	3395	24123	SIPO	QR	70749723
877533	2989	1998-05-06	VYDAJ	PREVOD NA UCET	3395	24164	SIPO	QR	70749723
877534	2989	1998-06-06	VYDAJ	PREVOD NA UCET	3395	25966	SIPO	QR	70749723
877535	2989	1998-07-06	VYDAJ	PREVOD NA UCET	3395	23480	SIPO	QR	70749723
877536	2989	1998-08-06	VYDAJ	PREVOD NA UCET	3395	25280	SIPO	QR	70749723
877537	2989	1998-09-06	VYDAJ	PREVOD NA UCET	3395	27086	SIPO	QR	70749723
877538	2989	1998-10-06	VYDAJ	PREVOD NA UCET	3395	25218	SIPO	QR	70749723
877539	2989	1998-11-06	VYDAJ	PREVOD NA UCET	3395	27025	SIPO	QR	70749723
877540	2989	1998-12-06	VYDAJ	PREVOD NA UCET	3395	27788	SIPO	QR	70749723
877542	2989	1994-06-10	VYDAJ	VYBER	11600	13174	\N	\N	\N
877546	2989	1998-06-18	VYDAJ	VYBER	1650	29409	\N	\N	\N
877550	2989	1996-01-08	VYDAJ	VYBER	3250	17288	\N	\N	\N
877551	2989	1997-01-12	VYDAJ	VYBER	2550	21595	\N	\N	\N
877552	2989	1998-01-18	VYDAJ	VYBER	1300	27813	\N	\N	\N
877554	2989	1994-12-05	VYDAJ	VYBER	1300	18697	\N	\N	\N
877555	2989	1995-12-15	VYDAJ	VYBER	700	18777	\N	\N	\N
877556	2989	1996-12-16	VYDAJ	VYBER	700	27069	\N	\N	\N
877557	2989	1997-12-26	VYDAJ	VYBER	800	34326	\N	\N	\N
877558	2989	1998-12-01	VYDAJ	VYBER	1050	31183	\N	\N	\N
877571	2989	1995-01-03	VYDAJ	VYBER	1040	19424	\N	\N	\N
877572	2989	1995-01-08	VYDAJ	VYBER	1440	18082	\N	\N	\N
877573	2989	1995-01-15	VYDAJ	VYBER	720	17362	\N	\N	\N
877574	2989	1995-01-23	VYDAJ	VYBER	480	14802	\N	\N	\N
877575	2989	1995-01-27	VYDAJ	VYBER	1200	13602	\N	\N	\N
877576	2989	1995-01-18	VYDAJ	VYBER	2080	15282	\N	\N	\N
877577	2989	1996-01-08	VYDAJ	VYBER	1680	15608	\N	\N	\N
877579	2989	1996-01-19	VYDAJ	VYBER	2080	13528	\N	\N	\N
877583	2989	1997-01-10	VYDAJ	VYBER	720	24145	\N	\N	\N
877584	2989	1997-01-17	VYDAJ	VYBER	800	19595	\N	\N	\N
877585	2989	1997-01-04	VYDAJ	VYBER	1760	25407	\N	\N	\N
877586	2989	1997-01-06	VYDAJ	VYBER	2240	23167	\N	\N	\N
877587	2989	1997-01-16	VYDAJ	VYBER	1200	20395	\N	\N	\N
877588	2989	1997-01-30	VYDAJ	VYBER	1600	17995	\N	\N	\N
877589	2989	1998-01-09	VYDAJ	VYBER	2240	31593	\N	\N	\N
877590	2989	1998-01-18	VYDAJ	VYBER	1120	29113	\N	\N	\N
877591	2989	1998-01-19	VYDAJ	VYBER	1440	26373	\N	\N	\N
877592	2989	1998-01-07	VYDAJ	VYBER	1040	33833	\N	\N	\N
877593	2989	1998-01-11	VYDAJ	VYBER	1360	30233	\N	\N	\N
877594	2989	1998-01-05	VYDAJ	VYBER	1280	33175	\N	\N	\N
877600	2989	1994-05-15	VYDAJ	VYBER	2560	24685	\N	\N	\N
877601	2989	1994-09-04	VYDAJ	VYBER	2000	14723	\N	\N	\N
877604	2989	1995-07-14	VYDAJ	VYBER	1600	19470	\N	\N	\N
877605	2989	1995-03-09	VYDAJ	VYBER	3040	14061	\N	\N	\N
877606	2989	1995-11-21	VYDAJ	VYBER	2000	17716	\N	\N	\N
877607	2989	1995-01-06	VYDAJ	VYBER	1600	17824	\N	\N	\N
877608	2989	1995-07-28	VYDAJ	VYBER	3600	15870	\N	\N	\N
877609	2989	1995-10-18	VYDAJ	VYBER	3200	17952	\N	\N	\N
877610	2989	1996-05-21	VYDAJ	VYBER	2720	17814	\N	\N	\N
877611	2989	1996-10-12	VYDAJ	VYBER	2480	24194	\N	\N	\N
877612	2989	1997-02-24	VYDAJ	VYBER	560	19208	\N	\N	\N
877613	2989	1997-07-23	VYDAJ	VYBER	1600	26490	\N	\N	\N
877614	2989	1997-11-24	VYDAJ	VYBER	400	33305	\N	\N	\N
877615	2989	1998-12-07	VYDAJ	VYBER	800	32081	\N	\N	\N
877616	2989	1998-06-23	VYDAJ	VYBER	2640	26769	\N	\N	\N
877617	2989	1998-12-23	VYDAJ	VYBER	3840	28241	\N	\N	\N
877618	2989	1998-03-16	VYDAJ	VYBER	2560	27416	\N	\N	\N
877619	2989	1998-04-25	VYDAJ	VYBER	1760	27456	\N	\N	\N
877620	2989	1998-09-26	VYDAJ	VYBER	3680	28499	\N	\N	\N
877637	2989	1994-04-30	VYDAJ	VYBER	15	25547	SLUZBY	\N	\N
877638	2989	1994-05-31	VYDAJ	VYBER	15	23076	SLUZBY	\N	\N
877639	2989	1994-06-30	VYDAJ	VYBER	15	13227	SLUZBY	\N	\N
877640	2989	1994-07-31	VYDAJ	VYBER	15	14971	SLUZBY	\N	\N
877641	2989	1994-08-31	VYDAJ	VYBER	15	16723	SLUZBY	\N	\N
877642	2989	1994-09-30	VYDAJ	VYBER	15	16474	SLUZBY	\N	\N
877643	2989	1994-10-31	VYDAJ	VYBER	15	18232	SLUZBY	\N	\N
877644	2989	1994-11-30	VYDAJ	VYBER	15	19997	SLUZBY	\N	\N
877645	2989	1994-12-31	VYDAJ	VYBER	15	20464	SLUZBY	\N	\N
877646	2989	1995-01-31	VYDAJ	VYBER	15	13657	SLUZBY	\N	\N
877647	2989	1995-02-28	VYDAJ	VYBER	15	15403	SLUZBY	\N	\N
877648	2989	1995-03-31	VYDAJ	VYBER	15	14107	SLUZBY	\N	\N
877649	2989	1995-04-30	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
877650	2989	1995-05-31	VYDAJ	VYBER	15	17610	SLUZBY	\N	\N
877651	2989	1995-06-30	VYDAJ	VYBER	15	19372	SLUZBY	\N	\N
877652	2989	1995-07-31	VYDAJ	VYBER	15	15936	SLUZBY	\N	\N
877653	2989	1995-08-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
877654	2989	1995-09-30	VYDAJ	VYBER	15	19454	SLUZBY	\N	\N
877655	2989	1995-10-31	VYDAJ	VYBER	15	18018	SLUZBY	\N	\N
877656	2989	1995-11-30	VYDAJ	VYBER	15	17779	SLUZBY	\N	\N
877657	2989	1995-12-31	VYDAJ	VYBER	15	18840	SLUZBY	\N	\N
877658	2989	1996-01-31	VYDAJ	VYBER	15	13578	SLUZBY	\N	\N
877659	2989	1996-02-29	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
877660	2989	1996-03-31	VYDAJ	VYBER	15	17076	SLUZBY	\N	\N
877661	2989	1996-04-30	VYDAJ	VYBER	15	18836	SLUZBY	\N	\N
877662	2989	1996-05-31	VYDAJ	VYBER	15	17879	SLUZBY	\N	\N
877663	2989	1996-06-30	VYDAJ	VYBER	15	19642	SLUZBY	\N	\N
877664	2989	1996-07-31	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
877665	2989	1996-08-31	VYDAJ	VYBER	15	23190	SLUZBY	\N	\N
877666	2989	1996-09-30	VYDAJ	VYBER	15	24976	SLUZBY	\N	\N
877667	2989	1996-10-31	VYDAJ	VYBER	15	24282	SLUZBY	\N	\N
877668	2989	1996-11-30	VYDAJ	VYBER	15	26071	SLUZBY	\N	\N
877669	2989	1996-12-31	VYDAJ	VYBER	15	27167	SLUZBY	\N	\N
877670	2989	1997-01-31	VYDAJ	VYBER	15	18070	SLUZBY	\N	\N
877671	2989	1997-02-28	VYDAJ	VYBER	15	19273	SLUZBY	\N	\N
877672	2989	1997-03-31	VYDAJ	VYBER	15	21042	SLUZBY	\N	\N
877673	2989	1997-04-30	VYDAJ	VYBER	15	22818	SLUZBY	\N	\N
877674	2989	1997-05-31	VYDAJ	VYBER	15	24601	SLUZBY	\N	\N
877675	2989	1997-06-30	VYDAJ	VYBER	15	26392	SLUZBY	\N	\N
877676	2989	1997-07-31	VYDAJ	VYBER	15	26588	SLUZBY	\N	\N
877677	2989	1997-08-31	VYDAJ	VYBER	15	28387	SLUZBY	\N	\N
877678	2989	1997-09-30	VYDAJ	VYBER	15	30194	SLUZBY	\N	\N
877679	2989	1997-10-31	VYDAJ	VYBER	15	32007	SLUZBY	\N	\N
877680	2989	1997-11-30	VYDAJ	VYBER	15	33428	SLUZBY	\N	\N
877681	2989	1997-12-31	VYDAJ	VYBER	15	34455	SLUZBY	\N	\N
877682	2989	1998-01-31	VYDAJ	VYBER	15	26480	SLUZBY	\N	\N
877683	2989	1998-02-28	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
877684	2989	1998-03-31	VYDAJ	VYBER	15	27518	SLUZBY	\N	\N
877685	2989	1998-04-30	VYDAJ	VYBER	15	27559	SLUZBY	\N	\N
877686	2989	1998-05-31	VYDAJ	VYBER	15	29361	SLUZBY	\N	\N
877687	2989	1998-06-30	VYDAJ	VYBER	15	26875	SLUZBY	\N	\N
877688	2989	1998-07-31	VYDAJ	VYBER	15	28675	SLUZBY	\N	\N
877689	2989	1998-08-31	VYDAJ	VYBER	15	30481	SLUZBY	\N	\N
877690	2989	1998-09-30	VYDAJ	VYBER	15	28613	SLUZBY	\N	\N
877691	2989	1998-10-31	VYDAJ	VYBER	15	30420	SLUZBY	\N	\N
877692	2989	1998-11-30	VYDAJ	VYBER	15	32233	SLUZBY	\N	\N
877693	2989	1994-03-28	VYDAJ	VYBER	600	20372	\N	\N	\N
877694	2989	1994-05-27	VYDAJ	VYBER	1700	22985	\N	\N	\N
877753	2990	1996-09-16	PRIJEM	VKLAD	900	900	\N	\N	\N
877763	2990	1996-10-11	PRIJEM	VKLAD	4089	4989	\N	\N	\N
877764	2990	1996-11-11	PRIJEM	VKLAD	4089	17407	\N	\N	\N
877765	2990	1996-12-11	PRIJEM	VKLAD	6134	27814	\N	\N	\N
877766	2990	1997-01-11	PRIJEM	VKLAD	4089	34714	\N	\N	\N
877767	2990	1997-02-11	PRIJEM	VKLAD	4089	35031	\N	\N	\N
877768	2990	1997-03-11	PRIJEM	VKLAD	4089	34307	\N	\N	\N
877769	2990	1997-04-11	PRIJEM	VKLAD	4089	37690	\N	\N	\N
877770	2990	1997-05-11	PRIJEM	VKLAD	4089	38788	\N	\N	\N
877771	2990	1997-06-11	PRIJEM	VKLAD	6134	40934	\N	\N	\N
877772	2990	1997-07-11	PRIJEM	VKLAD	4089	26826	\N	\N	\N
877773	2990	1997-08-11	PRIJEM	VKLAD	4089	31882	\N	\N	\N
877774	2990	1997-09-11	PRIJEM	VKLAD	4089	33153	\N	\N	\N
877775	2990	1997-10-11	PRIJEM	VKLAD	4089	31722	\N	\N	\N
877776	2990	1997-11-11	PRIJEM	VKLAD	4089	34892	\N	\N	\N
877777	2990	1997-12-11	PRIJEM	VKLAD	6134	38315	\N	\N	\N
877778	2990	1998-01-11	PRIJEM	VKLAD	4089	37807	\N	\N	\N
877779	2990	1998-02-11	PRIJEM	VKLAD	4089	35285	\N	\N	\N
877780	2990	1998-03-11	PRIJEM	VKLAD	4089	41258	\N	\N	\N
877781	2990	1998-04-11	PRIJEM	VKLAD	4089	48060	\N	\N	\N
877782	2990	1998-05-11	PRIJEM	VKLAD	4089	48389	\N	\N	\N
877783	2990	1998-06-11	PRIJEM	VKLAD	6134	44367	\N	\N	\N
877784	2990	1998-07-11	PRIJEM	VKLAD	4089	45189	\N	\N	\N
877785	2990	1998-08-11	PRIJEM	VKLAD	4089	45414	\N	\N	\N
877786	2990	1998-09-11	PRIJEM	VKLAD	4089	45441	\N	\N	\N
877787	2990	1998-10-11	PRIJEM	VKLAD	4089	45069	\N	\N	\N
877788	2990	1998-11-11	PRIJEM	VKLAD	4089	44494	\N	\N	\N
877789	2990	1998-12-11	PRIJEM	VKLAD	6134	45263	\N	\N	\N
877803	2990	1997-02-12	VYDAJ	PREVOD NA UCET	22	35009	SIPO	KL	10709649
877804	2990	1997-03-12	VYDAJ	PREVOD NA UCET	22	34285	SIPO	KL	10709649
877805	2990	1997-04-12	VYDAJ	PREVOD NA UCET	22	37668	SIPO	KL	10709649
877806	2990	1997-05-12	VYDAJ	PREVOD NA UCET	22	38766	SIPO	KL	10709649
877807	2990	1997-06-12	VYDAJ	PREVOD NA UCET	22	40912	SIPO	KL	10709649
877808	2990	1997-07-12	VYDAJ	PREVOD NA UCET	22	26804	SIPO	KL	10709649
877809	2990	1997-08-12	VYDAJ	PREVOD NA UCET	22	32560	SIPO	KL	10709649
877810	2990	1997-09-12	VYDAJ	PREVOD NA UCET	22	31931	SIPO	KL	10709649
877811	2990	1997-10-12	VYDAJ	PREVOD NA UCET	22	32300	SIPO	KL	10709649
877812	2990	1997-11-12	VYDAJ	PREVOD NA UCET	22	34870	SIPO	KL	10709649
877813	2990	1997-12-12	VYDAJ	PREVOD NA UCET	22	38293	SIPO	KL	10709649
877814	2990	1998-01-12	VYDAJ	PREVOD NA UCET	22	37785	SIPO	KL	10709649
877815	2990	1998-02-12	VYDAJ	PREVOD NA UCET	22	35263	SIPO	KL	10709649
877816	2990	1998-03-12	VYDAJ	PREVOD NA UCET	22	41236	SIPO	KL	10709649
877817	2990	1998-04-12	VYDAJ	PREVOD NA UCET	22	48038	SIPO	KL	10709649
877818	2990	1998-05-12	VYDAJ	PREVOD NA UCET	22	48367	SIPO	KL	10709649
877819	2990	1998-06-12	VYDAJ	PREVOD NA UCET	22	44345	SIPO	KL	10709649
877820	2990	1998-07-12	VYDAJ	PREVOD NA UCET	22	45167	SIPO	KL	10709649
877821	2990	1998-08-12	VYDAJ	PREVOD NA UCET	22	45392	SIPO	KL	10709649
877822	2990	1998-09-12	VYDAJ	PREVOD NA UCET	22	45419	SIPO	KL	10709649
877823	2990	1998-10-12	VYDAJ	PREVOD NA UCET	22	45047	SIPO	KL	10709649
877824	2990	1998-11-12	VYDAJ	PREVOD NA UCET	22	44472	SIPO	KL	10709649
877825	2990	1998-12-12	VYDAJ	PREVOD NA UCET	22	45241	SIPO	KL	10709649
877839	2990	1997-02-14	VYDAJ	PREVOD NA UCET	2704	30105	 	GH	22984445
877840	2990	1997-03-14	VYDAJ	PREVOD NA UCET	2704	31581	 	GH	22984445
877841	2990	1997-04-14	VYDAJ	PREVOD NA UCET	2704	34564	 	GH	22984445
877842	2990	1997-05-14	VYDAJ	PREVOD NA UCET	2704	37662	 	GH	22984445
877843	2990	1997-06-14	VYDAJ	PREVOD NA UCET	2704	37508	 	GH	22984445
877844	2990	1997-07-14	VYDAJ	PREVOD NA UCET	2704	27700	 	GH	22984445
877845	2990	1997-08-14	VYDAJ	PREVOD NA UCET	2704	29856	 	GH	22984445
877846	2990	1997-09-14	VYDAJ	PREVOD NA UCET	2704	29227	 	GH	22984445
877847	2990	1997-10-14	VYDAJ	PREVOD NA UCET	2704	29596	 	GH	22984445
877848	2990	1997-11-14	VYDAJ	PREVOD NA UCET	2704	32166	 	GH	22984445
877849	2990	1997-12-14	VYDAJ	PREVOD NA UCET	2704	35589	 	GH	22984445
877850	2990	1998-01-14	VYDAJ	PREVOD NA UCET	2704	35081	 	GH	22984445
877851	2990	1998-02-14	VYDAJ	PREVOD NA UCET	2704	32559	 	GH	22984445
877852	2990	1998-03-14	VYDAJ	PREVOD NA UCET	2704	38532	 	GH	22984445
877853	2990	1998-04-14	VYDAJ	PREVOD NA UCET	2704	45334	 	GH	22984445
877854	2990	1998-05-14	VYDAJ	PREVOD NA UCET	2704	45663	 	GH	22984445
877855	2990	1998-06-14	VYDAJ	PREVOD NA UCET	2704	41641	 	GH	22984445
877856	2990	1998-07-14	VYDAJ	PREVOD NA UCET	2704	42463	 	GH	22984445
877857	2990	1998-08-14	VYDAJ	PREVOD NA UCET	2704	42688	 	GH	22984445
877858	2990	1998-09-14	VYDAJ	PREVOD NA UCET	2704	42715	 	GH	22984445
877859	2990	1998-10-14	VYDAJ	PREVOD NA UCET	2704	42343	 	GH	22984445
877860	2990	1998-11-14	VYDAJ	PREVOD NA UCET	2704	41768	 	GH	22984445
877861	2990	1998-12-14	VYDAJ	PREVOD NA UCET	2704	42537	 	GH	22984445
877863	2990	1997-06-24	VYDAJ	VYBER	14900	22608	\N	\N	\N
877864	2990	1998-06-08	VYDAJ	VYBER	17900	38233	\N	\N	\N
877867	2990	1998-01-21	VYDAJ	VYBER	4800	26981	\N	\N	\N
877869	2990	1997-12-01	VYDAJ	VYBER	1900	29081	\N	\N	\N
877870	2990	1998-12-06	VYDAJ	VYBER KARTOU	1700	39129	\N	\N	0
877883	2990	1998-01-16	VYDAJ	VYBER	2400	31781	\N	\N	\N
877884	2990	1998-01-24	VYDAJ	VYBER	2800	24181	\N	\N	\N
877885	2990	1998-01-15	VYDAJ	VYBER	900	34181	\N	\N	\N
877886	2990	1998-01-09	VYDAJ	VYBER	1900	33718	\N	\N	\N
877887	2990	1998-01-07	VYDAJ	VYBER	1300	33418	\N	\N	\N
877888	2990	1998-01-03	VYDAJ	VYBER	1000	34718	\N	\N	\N
877896	2990	1997-09-18	VYDAJ	VYBER	1700	27527	\N	\N	\N
877897	2990	1997-11-20	VYDAJ	VYBER	1300	30866	\N	\N	\N
877898	2990	1997-09-03	VYDAJ	VYBER	900	29064	\N	\N	\N
877899	2990	1997-06-02	VYDAJ	VYBER	3000	34800	\N	\N	\N
877900	2990	1998-10-09	VYDAJ	VYBER KARTOU	700	40980	\N	\N	0
877901	2990	1998-05-17	VYDAJ	VYBER	3000	42663	\N	\N	\N
877916	2990	1997-02-28	VYDAJ	VYBER	15	30218	SLUZBY	\N	\N
877917	2990	1997-03-31	VYDAJ	VYBER	15	33601	SLUZBY	\N	\N
877918	2990	1997-04-30	VYDAJ	VYBER	15	34699	SLUZBY	\N	\N
877919	2990	1997-05-31	VYDAJ	VYBER	15	37800	SLUZBY	\N	\N
877920	2990	1997-06-30	VYDAJ	VYBER	15	22737	SLUZBY	\N	\N
877921	2990	1997-07-31	VYDAJ	VYBER	15	27793	SLUZBY	\N	\N
877922	2990	1997-08-31	VYDAJ	VYBER	15	29964	SLUZBY	\N	\N
877923	2990	1997-09-30	VYDAJ	VYBER	15	27633	SLUZBY	\N	\N
877924	2990	1997-10-31	VYDAJ	VYBER	15	29703	SLUZBY	\N	\N
877925	2990	1997-11-30	VYDAJ	VYBER	15	30981	SLUZBY	\N	\N
877926	2990	1997-12-31	VYDAJ	VYBER	15	35718	SLUZBY	\N	\N
877927	2990	1998-01-31	VYDAJ	VYBER	15	24296	SLUZBY	\N	\N
877928	2990	1998-02-28	VYDAJ	VYBER	15	32669	SLUZBY	\N	\N
877929	2990	1998-03-31	VYDAJ	VYBER	15	38671	SLUZBY	\N	\N
877930	2990	1998-04-30	VYDAJ	VYBER	15	45500	SLUZBY	\N	\N
877931	2990	1998-05-31	VYDAJ	VYBER	15	42833	SLUZBY	\N	\N
877932	2990	1998-06-30	VYDAJ	VYBER	15	41800	SLUZBY	\N	\N
877933	2990	1998-07-31	VYDAJ	VYBER	15	42625	SLUZBY	\N	\N
877934	2990	1998-08-31	VYDAJ	VYBER	15	42852	SLUZBY	\N	\N
877935	2990	1998-09-30	VYDAJ	VYBER	15	42880	SLUZBY	\N	\N
877936	2990	1998-10-31	VYDAJ	VYBER	15	42505	SLUZBY	\N	\N
877937	2990	1998-11-30	VYDAJ	VYBER	15	41929	SLUZBY	\N	\N
877938	2990	1996-10-16	PRIJEM	VKLAD	8300	13289	\N	\N	\N
877939	2990	1996-11-15	PRIJEM	VKLAD	4200	21607	\N	\N	\N
877940	2990	1996-12-15	PRIJEM	VKLAD	2700	30514	\N	\N	\N
877941	2990	1997-01-14	VYDAJ	VYBER	3900	30814	\N	\N	\N
877942	2990	1997-02-13	VYDAJ	VYBER	2200	32809	\N	\N	\N
877943	2990	1997-03-15	PRIJEM	VKLAD	1900	33481	\N	\N	\N
877944	2990	1997-04-14	VYDAJ	VYBER	400	37268	\N	\N	\N
877945	2990	1997-05-14	PRIJEM	VKLAD	1600	40366	\N	\N	\N
877946	2990	1997-06-13	VYDAJ	VYBER	700	40212	\N	\N	\N
877947	2990	1997-07-13	PRIJEM	VKLAD	3600	30404	\N	\N	\N
877948	2990	1997-08-12	PRIJEM	VKLAD	700	32582	\N	\N	\N
877949	2990	1997-09-11	VYDAJ	VYBER	1200	31953	\N	\N	\N
877950	2990	1997-10-11	PRIJEM	VKLAD	600	32322	\N	\N	\N
877951	2990	1997-11-10	PRIJEM	VKLAD	1100	30803	\N	\N	\N
877952	2990	1997-12-10	PRIJEM	VKLAD	3100	32181	\N	\N	\N
877953	2990	1998-01-09	PRIJEM	VKLAD	2200	35618	\N	\N	\N
877954	2990	1998-02-08	PRIJEM	VKLAD	6900	31196	\N	\N	\N
877955	2990	1998-03-10	PRIJEM	VKLAD	4500	37169	\N	\N	\N
877956	2990	1998-04-09	PRIJEM	VKLAD	5300	43971	\N	\N	\N
877957	2990	1998-05-09	VYDAJ	VYBER	1200	44300	\N	\N	\N
877958	2990	1998-06-08	PRIJEM	VKLAD	13300	56133	\N	\N	\N
877959	2990	1998-07-08	VYDAJ	VYBER	700	41100	\N	\N	\N
877960	2990	1998-08-07	VYDAJ	VYBER KARTOU	1300	41325	\N	\N	0
877961	2990	1998-09-06	VYDAJ	VYBER KARTOU	1500	41352	\N	\N	0
877962	2990	1998-10-06	VYDAJ	VYBER KARTOU	1200	41680	\N	\N	0
877963	2990	1998-11-05	VYDAJ	VYBER KARTOU	2100	40405	\N	\N	0
877964	2990	1998-12-05	VYDAJ	VYBER KARTOU	1100	40829	\N	\N	0
877992	2991	1993-05-22	PRIJEM	VKLAD	600	600	\N	\N	\N
877998	2991	1993-06-05	PRIJEM	VKLAD	33540	34140	\N	\N	\N
877999	2991	1993-07-05	PRIJEM	VKLAD	22360	51240	\N	\N	\N
878000	2991	1993-08-05	PRIJEM	VKLAD	22360	60334	\N	\N	\N
878001	2991	1993-09-05	PRIJEM	VKLAD	22360	64558	\N	\N	\N
878002	2991	1993-10-05	PRIJEM	VKLAD	22360	65395	\N	\N	\N
878003	2991	1993-11-05	PRIJEM	VKLAD	22360	60194	\N	\N	\N
878004	2991	1993-12-05	PRIJEM	VKLAD	33540	64823	\N	\N	\N
878005	2991	1994-01-05	PRIJEM	VKLAD	22360	58643	\N	\N	\N
878006	2991	1994-02-05	PRIJEM	VKLAD	22360	59909	\N	\N	\N
878007	2991	1994-03-05	PRIJEM	VKLAD	22360	61280	\N	\N	\N
878008	2991	1994-04-05	PRIJEM	VKLAD	22360	61156	\N	\N	\N
878009	2991	1994-05-05	PRIJEM	VKLAD	22360	61531	\N	\N	\N
878010	2991	1994-06-05	PRIJEM	VKLAD	33540	67422	\N	\N	\N
878011	2991	1994-07-05	PRIJEM	VKLAD	22360	65211	\N	\N	\N
878012	2991	1994-08-05	PRIJEM	VKLAD	22360	60790	\N	\N	\N
878013	2991	1994-09-05	PRIJEM	VKLAD	22360	62763	\N	\N	\N
878014	2991	1994-10-05	PRIJEM	VKLAD	22360	60834	\N	\N	\N
878015	2991	1994-11-05	PRIJEM	VKLAD	22360	56659	\N	\N	\N
878016	2991	1994-12-05	PRIJEM	VKLAD	33540	65111	\N	\N	\N
878017	2991	1995-01-05	PRIJEM	VKLAD	22360	58301	\N	\N	\N
878018	2991	1995-02-05	PRIJEM	VKLAD	22360	51559	\N	\N	\N
878019	2991	1995-03-05	PRIJEM	VKLAD	22360	52385	\N	\N	\N
878020	2991	1995-04-05	PRIJEM	VKLAD	22360	50088	\N	\N	\N
878021	2991	1995-05-05	PRIJEM	VKLAD	22360	52413	\N	\N	\N
878022	2991	1995-06-05	PRIJEM	VKLAD	33540	60738	\N	\N	\N
878023	2991	1995-07-05	PRIJEM	VKLAD	22360	55880	\N	\N	\N
878024	2991	1995-08-05	PRIJEM	VKLAD	22360	44133	\N	\N	\N
878025	2991	1995-09-05	PRIJEM	VKLAD	22360	42518	\N	\N	\N
878026	2991	1995-10-05	PRIJEM	VKLAD	22360	40494	\N	\N	\N
878027	2991	1995-11-05	PRIJEM	VKLAD	22360	40266	\N	\N	\N
878028	2991	1995-12-05	PRIJEM	VKLAD	33540	50513	\N	\N	\N
878029	2991	1996-01-05	PRIJEM	VKLAD	22360	38451	\N	\N	\N
878030	2991	1996-02-05	PRIJEM	VKLAD	22360	40218	\N	\N	\N
878031	2991	1996-03-05	PRIJEM	VKLAD	22360	37174	\N	\N	\N
878032	2991	1996-04-05	PRIJEM	VKLAD	22360	35724	\N	\N	\N
878033	2991	1996-05-05	PRIJEM	VKLAD	22360	44624	\N	\N	\N
878034	2991	1996-06-05	PRIJEM	VKLAD	33540	53587	\N	\N	\N
878035	2991	1996-07-05	PRIJEM	VKLAD	22360	36342	\N	\N	\N
878036	2991	1996-08-05	PRIJEM	VKLAD	22360	29468	\N	\N	\N
878037	2991	1996-09-05	PRIJEM	VKLAD	22360	42434	\N	\N	\N
878038	2991	1996-10-05	PRIJEM	VKLAD	22360	47414	\N	\N	\N
878039	2991	1996-11-05	PRIJEM	VKLAD	22360	40956	\N	\N	\N
878040	2991	1996-12-05	PRIJEM	VKLAD	33540	49961	\N	\N	\N
878041	2991	1997-01-05	PRIJEM	VKLAD	22360	36801	\N	\N	\N
878042	2991	1997-02-05	PRIJEM	VKLAD	22360	49809	\N	\N	\N
878043	2991	1997-03-05	PRIJEM	VKLAD	22360	36959	\N	\N	\N
878044	2991	1997-04-05	PRIJEM	VKLAD	22360	49970	\N	\N	\N
878045	2991	1997-05-05	PRIJEM	VKLAD	22360	63020	\N	\N	\N
878046	2991	1997-06-05	PRIJEM	VKLAD	33540	53601	\N	\N	\N
878047	2991	1997-07-05	PRIJEM	VKLAD	22360	39157	\N	\N	\N
878048	2991	1997-08-05	PRIJEM	VKLAD	22360	51321	\N	\N	\N
878049	2991	1997-09-05	PRIJEM	VKLAD	22360	39604	\N	\N	\N
878050	2991	1997-10-05	PRIJEM	VKLAD	22360	46721	\N	\N	\N
878051	2991	1997-11-05	PRIJEM	VKLAD	22360	59758	\N	\N	\N
878052	2991	1997-12-05	PRIJEM	VKLAD	33540	84029	\N	\N	\N
878053	2991	1998-01-05	PRIJEM	VKLAD	22360	46659	\N	\N	\N
878054	2991	1998-02-05	PRIJEM	VKLAD	22360	59695	\N	\N	\N
878055	2991	1998-03-05	PRIJEM	VKLAD	22360	38364	\N	\N	\N
878056	2991	1998-04-05	PRIJEM	VKLAD	22360	42956	\N	\N	\N
878057	2991	1998-05-05	PRIJEM	VKLAD	22360	55977	\N	\N	\N
878058	2991	1998-06-05	PRIJEM	VKLAD	33540	80231	\N	\N	\N
878059	2991	1998-07-05	PRIJEM	VKLAD	22360	44900	\N	\N	\N
878060	2991	1998-08-05	PRIJEM	VKLAD	22360	57929	\N	\N	\N
878061	2991	1998-09-05	PRIJEM	VKLAD	22360	71011	\N	\N	\N
878062	2991	1998-10-05	PRIJEM	VKLAD	22360	40098	\N	\N	\N
878063	2991	1998-11-05	PRIJEM	VKLAD	22360	49615	\N	\N	\N
878064	2991	1998-12-05	PRIJEM	VKLAD	33540	70722	\N	\N	\N
878074	2991	1993-10-06	VYDAJ	PREVOD NA UCET	9220	56054	SIPO	EF	62427842
878075	2991	1993-11-06	VYDAJ	PREVOD NA UCET	9220	50853	SIPO	EF	62427842
878076	2991	1993-12-06	VYDAJ	PREVOD NA UCET	9220	55482	SIPO	EF	62427842
878077	2991	1994-01-06	VYDAJ	PREVOD NA UCET	9220	49302	SIPO	EF	62427842
878078	2991	1994-02-06	VYDAJ	PREVOD NA UCET	9220	50568	SIPO	EF	62427842
878079	2991	1994-03-06	VYDAJ	PREVOD NA UCET	9220	51939	SIPO	EF	62427842
878080	2991	1994-04-06	VYDAJ	PREVOD NA UCET	9220	51815	SIPO	EF	62427842
878081	2991	1994-05-06	VYDAJ	PREVOD NA UCET	9220	52190	SIPO	EF	62427842
878434	2991	1996-10-31	VYDAJ	VYBER	15	38096	SLUZBY	\N	\N
878082	2991	1994-06-06	VYDAJ	PREVOD NA UCET	9220	58081	SIPO	EF	62427842
878083	2991	1994-07-06	VYDAJ	PREVOD NA UCET	9220	55870	SIPO	EF	62427842
878084	2991	1994-08-06	VYDAJ	PREVOD NA UCET	9220	51449	SIPO	EF	62427842
878085	2991	1994-09-06	VYDAJ	PREVOD NA UCET	9220	53422	SIPO	EF	62427842
878086	2991	1994-10-06	VYDAJ	PREVOD NA UCET	9220	51493	SIPO	EF	62427842
878087	2991	1994-11-06	VYDAJ	PREVOD NA UCET	9220	47318	SIPO	EF	62427842
878088	2991	1994-12-06	VYDAJ	PREVOD NA UCET	9220	55770	SIPO	EF	62427842
878089	2991	1995-01-06	VYDAJ	PREVOD NA UCET	9220	48960	SIPO	EF	62427842
878090	2991	1995-02-06	VYDAJ	PREVOD NA UCET	9220	42218	SIPO	EF	62427842
878091	2991	1995-03-06	VYDAJ	PREVOD NA UCET	9220	41724	SIPO	EF	62427842
878092	2991	1995-04-06	VYDAJ	PREVOD NA UCET	9220	40747	SIPO	EF	62427842
878093	2991	1995-05-06	VYDAJ	PREVOD NA UCET	9220	43072	SIPO	EF	62427842
878094	2991	1995-06-06	VYDAJ	PREVOD NA UCET	9220	51397	SIPO	EF	62427842
878095	2991	1995-07-06	VYDAJ	PREVOD NA UCET	9220	46539	SIPO	EF	62427842
878096	2991	1995-08-06	VYDAJ	PREVOD NA UCET	9220	34792	SIPO	EF	62427842
878097	2991	1995-09-06	VYDAJ	PREVOD NA UCET	9220	33177	SIPO	EF	62427842
878098	2991	1995-10-06	VYDAJ	PREVOD NA UCET	9220	31153	SIPO	EF	62427842
878099	2991	1995-11-06	VYDAJ	PREVOD NA UCET	9220	30925	SIPO	EF	62427842
878100	2991	1995-12-06	VYDAJ	PREVOD NA UCET	9220	41172	SIPO	EF	62427842
878101	2991	1996-01-06	VYDAJ	PREVOD NA UCET	9220	29110	SIPO	EF	62427842
878102	2991	1996-02-06	VYDAJ	PREVOD NA UCET	9220	14877	SIPO	EF	62427842
878103	2991	1996-03-06	VYDAJ	PREVOD NA UCET	9220	27833	SIPO	EF	62427842
878104	2991	1996-04-06	VYDAJ	PREVOD NA UCET	9220	26383	SIPO	EF	62427842
878105	2991	1996-05-06	VYDAJ	PREVOD NA UCET	9220	35283	SIPO	EF	62427842
878106	2991	1996-06-06	VYDAJ	PREVOD NA UCET	9220	14046	SIPO	EF	62427842
878107	2991	1996-07-06	VYDAJ	PREVOD NA UCET	9220	7201	SIPO	EF	62427842
878108	2991	1996-08-06	VYDAJ	PREVOD NA UCET	9220	20127	SIPO	EF	62427842
878109	2991	1996-09-06	VYDAJ	PREVOD NA UCET	9220	33093	SIPO	EF	62427842
878110	2991	1996-10-06	VYDAJ	PREVOD NA UCET	9220	38073	SIPO	EF	62427842
878111	2991	1996-11-06	VYDAJ	PREVOD NA UCET	9220	31615	SIPO	EF	62427842
878112	2991	1996-12-06	VYDAJ	PREVOD NA UCET	9220	40620	SIPO	EF	62427842
878113	2991	1997-01-06	VYDAJ	PREVOD NA UCET	9220	27460	SIPO	EF	62427842
878114	2991	1997-02-06	VYDAJ	PREVOD NA UCET	9220	40468	SIPO	EF	62427842
878115	2991	1997-03-06	VYDAJ	PREVOD NA UCET	9220	27618	SIPO	EF	62427842
878116	2991	1997-04-06	VYDAJ	PREVOD NA UCET	9220	40629	SIPO	EF	62427842
878117	2991	1997-05-06	VYDAJ	PREVOD NA UCET	9220	53679	SIPO	EF	62427842
878118	2991	1997-06-06	VYDAJ	PREVOD NA UCET	9220	44260	SIPO	EF	62427842
878119	2991	1997-07-06	VYDAJ	PREVOD NA UCET	9220	29816	SIPO	EF	62427842
878120	2991	1997-08-06	VYDAJ	PREVOD NA UCET	9220	41980	SIPO	EF	62427842
878121	2991	1997-09-06	VYDAJ	PREVOD NA UCET	9220	30263	SIPO	EF	62427842
878122	2991	1997-10-06	VYDAJ	PREVOD NA UCET	9220	37380	SIPO	EF	62427842
878123	2991	1997-11-06	VYDAJ	PREVOD NA UCET	9220	50417	SIPO	EF	62427842
878124	2991	1997-12-06	VYDAJ	PREVOD NA UCET	9220	74688	SIPO	EF	62427842
878125	2991	1998-01-06	VYDAJ	PREVOD NA UCET	9220	37318	SIPO	EF	62427842
878126	2991	1998-02-06	VYDAJ	PREVOD NA UCET	9220	50354	SIPO	EF	62427842
878127	2991	1998-03-06	VYDAJ	PREVOD NA UCET	9220	29023	SIPO	EF	62427842
878128	2991	1998-04-06	VYDAJ	PREVOD NA UCET	9220	33615	SIPO	EF	62427842
878129	2991	1998-05-06	VYDAJ	PREVOD NA UCET	9220	46636	SIPO	EF	62427842
878130	2991	1998-06-06	VYDAJ	PREVOD NA UCET	9220	70890	SIPO	EF	62427842
878131	2991	1998-07-06	VYDAJ	PREVOD NA UCET	9220	35559	SIPO	EF	62427842
878132	2991	1998-08-06	VYDAJ	PREVOD NA UCET	9220	48588	SIPO	EF	62427842
878133	2991	1998-09-06	VYDAJ	PREVOD NA UCET	9220	61670	SIPO	EF	62427842
878134	2991	1998-10-06	VYDAJ	PREVOD NA UCET	9220	30757	SIPO	EF	62427842
878135	2991	1998-11-06	VYDAJ	PREVOD NA UCET	9220	40274	SIPO	EF	62427842
878136	2991	1998-12-06	VYDAJ	PREVOD NA UCET	9220	61381	SIPO	EF	62427842
878146	2991	1993-10-05	VYDAJ	PREVOD NA UCET	121	65274	 	CD	47281420
878147	2991	1993-11-05	VYDAJ	PREVOD NA UCET	121	60073	 	CD	47281420
878148	2991	1993-12-05	VYDAJ	PREVOD NA UCET	121	64702	 	CD	47281420
878149	2991	1994-01-05	VYDAJ	PREVOD NA UCET	121	58522	 	CD	47281420
878150	2991	1994-02-05	VYDAJ	PREVOD NA UCET	121	59788	 	CD	47281420
878151	2991	1994-03-05	VYDAJ	PREVOD NA UCET	121	61159	 	CD	47281420
878152	2991	1994-04-05	VYDAJ	PREVOD NA UCET	121	61035	 	CD	47281420
878153	2991	1994-05-05	VYDAJ	PREVOD NA UCET	121	61410	 	CD	47281420
878154	2991	1994-06-05	VYDAJ	PREVOD NA UCET	121	67301	 	CD	47281420
878155	2991	1994-07-05	VYDAJ	PREVOD NA UCET	121	65090	 	CD	47281420
878156	2991	1994-08-05	VYDAJ	PREVOD NA UCET	121	60669	 	CD	47281420
878157	2991	1994-09-05	VYDAJ	PREVOD NA UCET	121	62642	 	CD	47281420
878158	2991	1994-10-05	VYDAJ	PREVOD NA UCET	121	60713	 	CD	47281420
878159	2991	1994-11-05	VYDAJ	PREVOD NA UCET	121	56538	 	CD	47281420
878160	2991	1994-12-05	VYDAJ	PREVOD NA UCET	121	64990	 	CD	47281420
878161	2991	1995-01-05	VYDAJ	PREVOD NA UCET	121	58180	 	CD	47281420
878162	2991	1995-02-05	VYDAJ	PREVOD NA UCET	121	51438	 	CD	47281420
878163	2991	1995-03-05	VYDAJ	PREVOD NA UCET	121	52264	 	CD	47281420
878164	2991	1995-04-05	VYDAJ	PREVOD NA UCET	121	49967	 	CD	47281420
878165	2991	1995-05-05	VYDAJ	PREVOD NA UCET	121	52292	 	CD	47281420
878166	2991	1995-06-05	VYDAJ	PREVOD NA UCET	121	60617	 	CD	47281420
878167	2991	1995-07-05	VYDAJ	PREVOD NA UCET	121	55759	 	CD	47281420
878168	2991	1995-08-05	VYDAJ	PREVOD NA UCET	121	44012	 	CD	47281420
878169	2991	1995-09-05	VYDAJ	PREVOD NA UCET	121	42397	 	CD	47281420
878170	2991	1995-10-05	VYDAJ	PREVOD NA UCET	121	40373	 	CD	47281420
878171	2991	1995-11-05	VYDAJ	PREVOD NA UCET	121	40145	 	CD	47281420
878172	2991	1995-12-05	VYDAJ	PREVOD NA UCET	121	50392	 	CD	47281420
878173	2991	1996-01-05	VYDAJ	PREVOD NA UCET	121	38330	 	CD	47281420
878174	2991	1996-02-05	VYDAJ	PREVOD NA UCET	121	40097	 	CD	47281420
878175	2991	1996-03-05	VYDAJ	PREVOD NA UCET	121	37053	 	CD	47281420
878176	2991	1996-04-05	VYDAJ	PREVOD NA UCET	121	35603	 	CD	47281420
878177	2991	1996-05-05	VYDAJ	PREVOD NA UCET	121	44503	 	CD	47281420
878178	2991	1996-06-05	VYDAJ	PREVOD NA UCET	121	53466	 	CD	47281420
878179	2991	1996-07-05	VYDAJ	PREVOD NA UCET	121	36221	 	CD	47281420
878180	2991	1996-08-05	VYDAJ	PREVOD NA UCET	121	29347	 	CD	47281420
878181	2991	1996-09-05	VYDAJ	PREVOD NA UCET	121	42313	 	CD	47281420
878182	2991	1996-10-05	VYDAJ	PREVOD NA UCET	121	47293	 	CD	47281420
878183	2991	1996-11-05	VYDAJ	PREVOD NA UCET	121	40835	 	CD	47281420
878184	2991	1996-12-05	VYDAJ	PREVOD NA UCET	121	49840	 	CD	47281420
878185	2991	1997-01-05	VYDAJ	PREVOD NA UCET	121	36680	 	CD	47281420
878186	2991	1997-02-05	VYDAJ	PREVOD NA UCET	121	49688	 	CD	47281420
878187	2991	1997-03-05	VYDAJ	PREVOD NA UCET	121	36838	 	CD	47281420
878188	2991	1997-04-05	VYDAJ	PREVOD NA UCET	121	49849	 	CD	47281420
878189	2991	1997-05-05	VYDAJ	PREVOD NA UCET	121	62899	 	CD	47281420
878190	2991	1997-06-05	VYDAJ	PREVOD NA UCET	121	53480	 	CD	47281420
878191	2991	1997-07-05	VYDAJ	PREVOD NA UCET	121	39036	 	CD	47281420
878192	2991	1997-08-05	VYDAJ	PREVOD NA UCET	121	51200	 	CD	47281420
878193	2991	1997-09-05	VYDAJ	PREVOD NA UCET	121	39483	 	CD	47281420
878194	2991	1997-10-05	VYDAJ	PREVOD NA UCET	121	46600	 	CD	47281420
878195	2991	1997-11-05	VYDAJ	PREVOD NA UCET	121	59637	 	CD	47281420
878196	2991	1997-12-05	VYDAJ	PREVOD NA UCET	121	83908	 	CD	47281420
878197	2991	1998-01-05	VYDAJ	PREVOD NA UCET	121	46538	 	CD	47281420
878198	2991	1998-02-05	VYDAJ	PREVOD NA UCET	121	59574	 	CD	47281420
878199	2991	1998-03-05	VYDAJ	PREVOD NA UCET	121	38243	 	CD	47281420
878200	2991	1998-04-05	VYDAJ	PREVOD NA UCET	121	42835	 	CD	47281420
878201	2991	1998-05-05	VYDAJ	PREVOD NA UCET	121	55856	 	CD	47281420
878202	2991	1998-06-05	VYDAJ	PREVOD NA UCET	121	80110	 	CD	47281420
878203	2991	1998-07-05	VYDAJ	PREVOD NA UCET	121	44779	 	CD	47281420
878204	2991	1998-08-05	VYDAJ	PREVOD NA UCET	121	57808	 	CD	47281420
878205	2991	1998-09-05	VYDAJ	PREVOD NA UCET	121	70890	 	CD	47281420
878206	2991	1998-10-05	VYDAJ	PREVOD NA UCET	121	39977	 	CD	47281420
878207	2991	1998-11-05	VYDAJ	PREVOD NA UCET	121	49494	 	CD	47281420
878208	2991	1998-12-05	VYDAJ	PREVOD NA UCET	121	70601	 	CD	47281420
878218	2991	1993-10-13	VYDAJ	PREVOD NA UCET	7	51260	POJISTNE	MN	70128237
878219	2991	1993-11-13	VYDAJ	PREVOD NA UCET	7	50739	POJISTNE	MN	70128237
878220	2991	1993-12-13	VYDAJ	PREVOD NA UCET	7	55368	POJISTNE	MN	70128237
878221	2991	1994-01-13	VYDAJ	PREVOD NA UCET	7	49188	POJISTNE	MN	70128237
878222	2991	1994-02-13	VYDAJ	PREVOD NA UCET	7	50454	POJISTNE	MN	70128237
878223	2991	1994-03-13	VYDAJ	PREVOD NA UCET	7	51825	POJISTNE	MN	70128237
878224	2991	1994-04-13	VYDAJ	PREVOD NA UCET	7	51701	POJISTNE	MN	70128237
878225	2991	1994-05-13	VYDAJ	PREVOD NA UCET	7	52076	POJISTNE	MN	70128237
878226	2991	1994-06-13	VYDAJ	PREVOD NA UCET	7	57967	POJISTNE	MN	70128237
878227	2991	1994-07-13	VYDAJ	PREVOD NA UCET	7	55756	POJISTNE	MN	70128237
878228	2991	1994-08-13	VYDAJ	PREVOD NA UCET	7	51335	POJISTNE	MN	70128237
878229	2991	1994-09-13	VYDAJ	PREVOD NA UCET	7	53308	POJISTNE	MN	70128237
878230	2991	1994-10-13	VYDAJ	PREVOD NA UCET	7	51379	POJISTNE	MN	70128237
878231	2991	1994-11-13	VYDAJ	PREVOD NA UCET	7	47204	POJISTNE	MN	70128237
878232	2991	1994-12-13	VYDAJ	PREVOD NA UCET	7	55656	POJISTNE	MN	70128237
878233	2991	1995-01-13	VYDAJ	PREVOD NA UCET	7	33146	POJISTNE	MN	70128237
878234	2991	1995-02-13	VYDAJ	PREVOD NA UCET	7	29904	POJISTNE	MN	70128237
878235	2991	1995-03-13	VYDAJ	PREVOD NA UCET	7	41610	POJISTNE	MN	70128237
878236	2991	1995-04-13	VYDAJ	PREVOD NA UCET	7	29933	POJISTNE	MN	70128237
878237	2991	1995-05-13	VYDAJ	PREVOD NA UCET	7	29358	POJISTNE	MN	70128237
878238	2991	1995-06-13	VYDAJ	PREVOD NA UCET	7	33383	POJISTNE	MN	70128237
878239	2991	1995-07-13	VYDAJ	PREVOD NA UCET	7	26825	POJISTNE	MN	70128237
878240	2991	1995-08-13	VYDAJ	PREVOD NA UCET	7	20078	POJISTNE	MN	70128237
878241	2991	1995-09-13	VYDAJ	PREVOD NA UCET	7	18063	POJISTNE	MN	70128237
878242	2991	1995-10-13	VYDAJ	PREVOD NA UCET	7	17839	POJISTNE	MN	70128237
878243	2991	1995-11-13	VYDAJ	PREVOD NA UCET	7	16911	POJISTNE	MN	70128237
878244	2991	1995-12-13	VYDAJ	PREVOD NA UCET	7	19858	POJISTNE	MN	70128237
878245	2991	1996-01-13	VYDAJ	PREVOD NA UCET	7	17796	POJISTNE	MN	70128237
878246	2991	1996-02-13	VYDAJ	PREVOD NA UCET	7	14763	POJISTNE	MN	70128237
878247	2991	1996-03-13	VYDAJ	PREVOD NA UCET	7	13319	POJISTNE	MN	70128237
878248	2991	1996-04-13	VYDAJ	PREVOD NA UCET	7	22189	POJISTNE	MN	70128237
878249	2991	1996-05-13	VYDAJ	PREVOD NA UCET	7	19969	POJISTNE	MN	70128237
878250	2991	1996-06-13	VYDAJ	PREVOD NA UCET	7	13932	POJISTNE	MN	70128237
878251	2991	1996-07-13	VYDAJ	PREVOD NA UCET	7	7087	POJISTNE	MN	70128237
878252	2991	1996-08-13	VYDAJ	PREVOD NA UCET	7	20013	POJISTNE	MN	70128237
878253	2991	1996-09-13	VYDAJ	PREVOD NA UCET	7	32979	POJISTNE	MN	70128237
878254	2991	1996-10-13	VYDAJ	PREVOD NA UCET	7	37959	POJISTNE	MN	70128237
878255	2991	1996-11-13	VYDAJ	PREVOD NA UCET	7	31501	POJISTNE	MN	70128237
878256	2991	1996-12-13	VYDAJ	PREVOD NA UCET	7	36506	POJISTNE	MN	70128237
878257	2991	1997-01-13	VYDAJ	PREVOD NA UCET	7	27346	POJISTNE	MN	70128237
878258	2991	1997-02-13	VYDAJ	PREVOD NA UCET	7	40354	POJISTNE	MN	70128237
878259	2991	1997-03-13	VYDAJ	PREVOD NA UCET	7	27504	POJISTNE	MN	70128237
878260	2991	1997-04-13	VYDAJ	PREVOD NA UCET	7	40515	POJISTNE	MN	70128237
878261	2991	1997-05-13	VYDAJ	PREVOD NA UCET	7	53565	POJISTNE	MN	70128237
878262	2991	1997-06-13	VYDAJ	PREVOD NA UCET	7	44146	POJISTNE	MN	70128237
878263	2991	1997-07-13	VYDAJ	PREVOD NA UCET	7	29702	POJISTNE	MN	70128237
878264	2991	1997-08-13	VYDAJ	PREVOD NA UCET	7	40306	POJISTNE	MN	70128237
878265	2991	1997-09-13	VYDAJ	PREVOD NA UCET	7	30149	POJISTNE	MN	70128237
878266	2991	1997-10-13	VYDAJ	PREVOD NA UCET	7	37266	POJISTNE	MN	70128237
878267	2991	1997-11-13	VYDAJ	PREVOD NA UCET	7	50303	POJISTNE	MN	70128237
878268	2991	1997-12-13	VYDAJ	PREVOD NA UCET	7	74574	POJISTNE	MN	70128237
878269	2991	1998-01-13	VYDAJ	PREVOD NA UCET	7	37204	POJISTNE	MN	70128237
878270	2991	1998-02-13	VYDAJ	PREVOD NA UCET	7	50240	POJISTNE	MN	70128237
878271	2991	1998-03-13	VYDAJ	PREVOD NA UCET	7	28909	POJISTNE	MN	70128237
878272	2991	1998-04-13	VYDAJ	PREVOD NA UCET	7	33501	POJISTNE	MN	70128237
878273	2991	1998-05-13	VYDAJ	PREVOD NA UCET	7	46522	POJISTNE	MN	70128237
878274	2991	1998-06-13	VYDAJ	PREVOD NA UCET	7	70776	POJISTNE	MN	70128237
878275	2991	1998-07-13	VYDAJ	PREVOD NA UCET	7	35445	POJISTNE	MN	70128237
878276	2991	1998-08-13	VYDAJ	PREVOD NA UCET	7	48474	POJISTNE	MN	70128237
878277	2991	1998-09-13	VYDAJ	PREVOD NA UCET	7	61556	POJISTNE	MN	70128237
878278	2991	1998-10-13	VYDAJ	PREVOD NA UCET	7	27163	POJISTNE	MN	70128237
878279	2991	1998-11-13	VYDAJ	PREVOD NA UCET	7	40160	POJISTNE	MN	70128237
878280	2991	1998-12-13	VYDAJ	PREVOD NA UCET	7	61267	POJISTNE	MN	70128237
878290	2991	1993-10-09	VYDAJ	PREVOD NA UCET	107	51267	 	IJ	62011402
878291	2991	1993-11-09	VYDAJ	PREVOD NA UCET	107	50746	 	IJ	62011402
878292	2991	1993-12-09	VYDAJ	PREVOD NA UCET	107	55375	 	IJ	62011402
878293	2991	1994-01-09	VYDAJ	PREVOD NA UCET	107	49195	 	IJ	62011402
878294	2991	1994-02-09	VYDAJ	PREVOD NA UCET	107	50461	 	IJ	62011402
878295	2991	1994-03-09	VYDAJ	PREVOD NA UCET	107	51832	 	IJ	62011402
878296	2991	1994-04-09	VYDAJ	PREVOD NA UCET	107	51708	 	IJ	62011402
878297	2991	1994-05-09	VYDAJ	PREVOD NA UCET	107	52083	 	IJ	62011402
878298	2991	1994-06-09	VYDAJ	PREVOD NA UCET	107	57974	 	IJ	62011402
878299	2991	1994-07-09	VYDAJ	PREVOD NA UCET	107	55763	 	IJ	62011402
878300	2991	1994-08-09	VYDAJ	PREVOD NA UCET	107	51342	 	IJ	62011402
878301	2991	1994-09-09	VYDAJ	PREVOD NA UCET	107	53315	 	IJ	62011402
878302	2991	1994-10-09	VYDAJ	PREVOD NA UCET	107	51386	 	IJ	62011402
878303	2991	1994-11-09	VYDAJ	PREVOD NA UCET	107	47211	 	IJ	62011402
878304	2991	1994-12-09	VYDAJ	PREVOD NA UCET	107	55663	 	IJ	62011402
878305	2991	1995-01-09	VYDAJ	PREVOD NA UCET	107	48853	 	IJ	62011402
878306	2991	1995-02-09	VYDAJ	PREVOD NA UCET	107	42111	 	IJ	62011402
878307	2991	1995-03-09	VYDAJ	PREVOD NA UCET	107	41617	 	IJ	62011402
878308	2991	1995-04-09	VYDAJ	PREVOD NA UCET	107	40640	 	IJ	62011402
878309	2991	1995-05-09	VYDAJ	PREVOD NA UCET	107	42965	 	IJ	62011402
878310	2991	1995-06-09	VYDAJ	PREVOD NA UCET	107	51290	 	IJ	62011402
878311	2991	1995-07-09	VYDAJ	PREVOD NA UCET	107	46432	 	IJ	62011402
878312	2991	1995-08-09	VYDAJ	PREVOD NA UCET	107	34685	 	IJ	62011402
878313	2991	1995-09-09	VYDAJ	PREVOD NA UCET	107	33070	 	IJ	62011402
878314	2991	1995-10-09	VYDAJ	PREVOD NA UCET	107	31046	 	IJ	62011402
878315	2991	1995-11-09	VYDAJ	PREVOD NA UCET	107	16918	 	IJ	62011402
878316	2991	1995-12-09	VYDAJ	PREVOD NA UCET	107	19865	 	IJ	62011402
878317	2991	1996-01-09	VYDAJ	PREVOD NA UCET	107	17803	 	IJ	62011402
878318	2991	1996-02-09	VYDAJ	PREVOD NA UCET	107	14770	 	IJ	62011402
878319	2991	1996-03-09	VYDAJ	PREVOD NA UCET	107	13326	 	IJ	62011402
878320	2991	1996-04-09	VYDAJ	PREVOD NA UCET	107	22196	 	IJ	62011402
878321	2991	1996-05-09	VYDAJ	PREVOD NA UCET	107	19976	 	IJ	62011402
878322	2991	1996-06-09	VYDAJ	PREVOD NA UCET	107	13939	 	IJ	62011402
878323	2991	1996-07-09	VYDAJ	PREVOD NA UCET	107	7094	 	IJ	62011402
878324	2991	1996-08-09	VYDAJ	PREVOD NA UCET	107	20020	 	IJ	62011402
878325	2991	1996-09-09	VYDAJ	PREVOD NA UCET	107	32986	 	IJ	62011402
878326	2991	1996-10-09	VYDAJ	PREVOD NA UCET	107	37966	 	IJ	62011402
878327	2991	1996-11-09	VYDAJ	PREVOD NA UCET	107	31508	 	IJ	62011402
878328	2991	1996-12-09	VYDAJ	PREVOD NA UCET	107	36513	 	IJ	62011402
878329	2991	1997-01-09	VYDAJ	PREVOD NA UCET	107	27353	 	IJ	62011402
878330	2991	1997-02-09	VYDAJ	PREVOD NA UCET	107	40361	 	IJ	62011402
878331	2991	1997-03-09	VYDAJ	PREVOD NA UCET	107	27511	 	IJ	62011402
878332	2991	1997-04-09	VYDAJ	PREVOD NA UCET	107	40522	 	IJ	62011402
878333	2991	1997-05-09	VYDAJ	PREVOD NA UCET	107	53572	 	IJ	62011402
878334	2991	1997-06-09	VYDAJ	PREVOD NA UCET	107	44153	 	IJ	62011402
878335	2991	1997-07-09	VYDAJ	PREVOD NA UCET	107	29709	 	IJ	62011402
878336	2991	1997-08-09	VYDAJ	PREVOD NA UCET	107	41873	 	IJ	62011402
878337	2991	1997-09-09	VYDAJ	PREVOD NA UCET	107	30156	 	IJ	62011402
878338	2991	1997-10-09	VYDAJ	PREVOD NA UCET	107	37273	 	IJ	62011402
878339	2991	1997-11-09	VYDAJ	PREVOD NA UCET	107	50310	 	IJ	62011402
878340	2991	1997-12-09	VYDAJ	PREVOD NA UCET	107	74581	 	IJ	62011402
878341	2991	1998-01-09	VYDAJ	PREVOD NA UCET	107	37211	 	IJ	62011402
878342	2991	1998-02-09	VYDAJ	PREVOD NA UCET	107	50247	 	IJ	62011402
878343	2991	1998-03-09	VYDAJ	PREVOD NA UCET	107	28916	 	IJ	62011402
878344	2991	1998-04-09	VYDAJ	PREVOD NA UCET	107	33508	 	IJ	62011402
878345	2991	1998-05-09	VYDAJ	PREVOD NA UCET	107	46529	 	IJ	62011402
878346	2991	1998-06-09	VYDAJ	PREVOD NA UCET	107	70783	 	IJ	62011402
878347	2991	1998-07-09	VYDAJ	PREVOD NA UCET	107	35452	 	IJ	62011402
878348	2991	1998-08-09	VYDAJ	PREVOD NA UCET	107	48481	 	IJ	62011402
878349	2991	1998-09-09	VYDAJ	PREVOD NA UCET	107	61563	 	IJ	62011402
878350	2991	1998-10-09	VYDAJ	PREVOD NA UCET	107	27170	 	IJ	62011402
878351	2991	1998-11-09	VYDAJ	PREVOD NA UCET	107	40167	 	IJ	62011402
878352	2991	1998-12-09	VYDAJ	PREVOD NA UCET	107	61274	 	IJ	62011402
878353	2991	1993-12-02	VYDAJ	VYBER	2880	31283	\N	\N	\N
878354	2991	1994-12-30	VYDAJ	VYBER	4480	35776	\N	\N	\N
878355	2991	1995-12-27	VYDAJ	VYBER	3840	16018	\N	\N	\N
878356	2991	1996-12-07	VYDAJ	VYBER	4000	36620	\N	\N	\N
878357	2991	1997-12-22	VYDAJ	VYBER	3520	71054	\N	\N	\N
878358	2991	1998-12-14	VYDAJ	VYBER	1120	60147	\N	\N	\N
878362	2991	1993-12-29	VYDAJ	VYBER	3360	36108	\N	\N	\N
878365	2991	1993-11-29	VYDAJ	VYBER	2040	33999	\N	\N	\N
878366	2991	1993-10-09	VYDAJ	VYBER	4680	51374	\N	\N	\N
878367	2991	1994-06-02	VYDAJ	VYBER	1200	33882	\N	\N	\N
878368	2991	1994-05-27	VYDAJ	VYBER	2760	34916	\N	\N	\N
878369	2991	1994-11-27	VYDAJ	VYBER	1800	31404	\N	\N	\N
878370	2991	1994-10-30	VYDAJ	VYBER	3840	34139	\N	\N	\N
878371	2991	1995-05-29	VYDAJ	VYBER	2280	27078	\N	\N	\N
878372	2991	1995-03-05	VYDAJ	VYBER	1320	50944	\N	\N	\N
878373	2991	1995-07-20	VYDAJ	VYBER	5160	21665	\N	\N	\N
878374	2991	1995-01-18	VYDAJ	VYBER	4080	29066	\N	\N	\N
878375	2991	1996-04-06	VYDAJ	VYBER	4080	22303	\N	\N	\N
878377	2991	1996-10-02	VYDAJ	VYBER	5520	25054	\N	\N	\N
878378	2991	1996-10-01	VYDAJ	VYBER	2520	30574	\N	\N	\N
878379	2991	1997-07-22	VYDAJ	VYBER	840	28862	\N	\N	\N
878380	2991	1997-09-19	VYDAJ	VYBER	5880	24269	\N	\N	\N
878381	2991	1997-08-12	VYDAJ	VYBER	1560	40313	\N	\N	\N
878382	2991	1998-06-27	VYDAJ	VYBER	1560	22316	\N	\N	\N
878383	2991	1998-11-30	VYDAJ	VYBER	3120	37182	\N	\N	\N
878384	2991	1998-10-06	VYDAJ	VYBER	3480	27277	\N	\N	\N
878385	2991	1998-03-22	VYDAJ	VYBER	4200	24709	\N	\N	\N
878387	2991	1998-03-26	VYDAJ	VYBER	4200	20509	\N	\N	\N
878398	2991	1993-10-31	VYDAJ	VYBER	15	37834	SLUZBY	\N	\N
878399	2991	1993-11-30	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
878400	2991	1993-12-31	VYDAJ	VYBER	15	36283	SLUZBY	\N	\N
878401	2991	1994-01-31	VYDAJ	VYBER	15	37549	SLUZBY	\N	\N
878402	2991	1994-02-28	VYDAJ	VYBER	15	38920	SLUZBY	\N	\N
878403	2991	1994-03-31	VYDAJ	VYBER	15	38796	SLUZBY	\N	\N
878404	2991	1994-04-30	VYDAJ	VYBER	15	39171	SLUZBY	\N	\N
878405	2991	1994-05-31	VYDAJ	VYBER	15	35082	SLUZBY	\N	\N
878406	2991	1994-06-30	VYDAJ	VYBER	15	42851	SLUZBY	\N	\N
878407	2991	1994-07-31	VYDAJ	VYBER	15	38430	SLUZBY	\N	\N
878408	2991	1994-08-31	VYDAJ	VYBER	15	40403	SLUZBY	\N	\N
878409	2991	1994-09-30	VYDAJ	VYBER	15	38474	SLUZBY	\N	\N
878410	2991	1994-10-31	VYDAJ	VYBER	15	34299	SLUZBY	\N	\N
878411	2991	1994-11-30	VYDAJ	VYBER	15	31571	SLUZBY	\N	\N
878412	2991	1994-12-31	VYDAJ	VYBER	15	35941	SLUZBY	\N	\N
878413	2991	1995-01-31	VYDAJ	VYBER	15	29199	SLUZBY	\N	\N
878414	2991	1995-02-28	VYDAJ	VYBER	15	30025	SLUZBY	\N	\N
878415	2991	1995-03-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
878416	2991	1995-04-30	VYDAJ	VYBER	15	30053	SLUZBY	\N	\N
878417	2991	1995-05-31	VYDAJ	VYBER	15	27198	SLUZBY	\N	\N
878418	2991	1995-06-30	VYDAJ	VYBER	15	33520	SLUZBY	\N	\N
878419	2991	1995-07-31	VYDAJ	VYBER	15	21773	SLUZBY	\N	\N
878420	2991	1995-08-31	VYDAJ	VYBER	15	20158	SLUZBY	\N	\N
878421	2991	1995-09-30	VYDAJ	VYBER	15	18134	SLUZBY	\N	\N
878422	2991	1995-10-31	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
878423	2991	1995-11-30	VYDAJ	VYBER	15	16973	SLUZBY	\N	\N
878424	2991	1995-12-31	VYDAJ	VYBER	15	16091	SLUZBY	\N	\N
878425	2991	1996-01-31	VYDAJ	VYBER	15	17858	SLUZBY	\N	\N
878426	2991	1996-02-29	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
878427	2991	1996-03-31	VYDAJ	VYBER	15	13364	SLUZBY	\N	\N
878428	2991	1996-04-30	VYDAJ	VYBER	15	22264	SLUZBY	\N	\N
878429	2991	1996-05-31	VYDAJ	VYBER	15	20047	SLUZBY	\N	\N
878430	2991	1996-06-30	VYDAJ	VYBER	15	13982	SLUZBY	\N	\N
878431	2991	1996-07-31	VYDAJ	VYBER	15	7108	SLUZBY	\N	\N
878432	2991	1996-08-31	VYDAJ	VYBER	15	20074	SLUZBY	\N	\N
878433	2991	1996-09-30	VYDAJ	VYBER	15	33094	SLUZBY	\N	\N
878435	2991	1996-11-30	VYDAJ	VYBER	15	31621	SLUZBY	\N	\N
878436	2991	1996-12-31	VYDAJ	VYBER	15	36641	SLUZBY	\N	\N
878437	2991	1997-01-31	VYDAJ	VYBER	15	27449	SLUZBY	\N	\N
878438	2991	1997-02-28	VYDAJ	VYBER	15	40499	SLUZBY	\N	\N
878439	2991	1997-03-31	VYDAJ	VYBER	15	27610	SLUZBY	\N	\N
878440	2991	1997-04-30	VYDAJ	VYBER	15	40660	SLUZBY	\N	\N
878441	2991	1997-05-31	VYDAJ	VYBER	15	20061	SLUZBY	\N	\N
878442	2991	1997-06-30	VYDAJ	VYBER	15	16797	SLUZBY	\N	\N
878443	2991	1997-07-31	VYDAJ	VYBER	15	28961	SLUZBY	\N	\N
878444	2991	1997-08-31	VYDAJ	VYBER	15	17244	SLUZBY	\N	\N
878445	2991	1997-09-30	VYDAJ	VYBER	15	24361	SLUZBY	\N	\N
878446	2991	1997-10-31	VYDAJ	VYBER	15	37398	SLUZBY	\N	\N
878447	2991	1997-11-30	VYDAJ	VYBER	15	50489	SLUZBY	\N	\N
878448	2991	1997-12-31	VYDAJ	VYBER	15	24299	SLUZBY	\N	\N
878449	2991	1998-01-31	VYDAJ	VYBER	15	37335	SLUZBY	\N	\N
878450	2991	1998-02-28	VYDAJ	VYBER	15	16004	SLUZBY	\N	\N
878451	2991	1998-03-31	VYDAJ	VYBER	15	20596	SLUZBY	\N	\N
878452	2991	1998-04-30	VYDAJ	VYBER	15	33617	SLUZBY	\N	\N
878453	2991	1998-05-31	VYDAJ	VYBER	15	46691	SLUZBY	\N	\N
878454	2991	1998-06-30	VYDAJ	VYBER	15	22540	SLUZBY	\N	\N
878455	2991	1998-07-31	VYDAJ	VYBER	15	35569	SLUZBY	\N	\N
878456	2991	1998-08-31	VYDAJ	VYBER	15	48651	SLUZBY	\N	\N
878457	2991	1998-09-30	VYDAJ	VYBER	15	17738	SLUZBY	\N	\N
878458	2991	1998-10-31	VYDAJ	VYBER	15	27255	SLUZBY	\N	\N
878459	2991	1998-11-30	VYDAJ	VYBER	15	40302	SLUZBY	\N	\N
878460	2991	1993-06-21	VYDAJ	VYBER	5300	28840	\N	\N	\N
878461	2991	1993-07-21	VYDAJ	VYBER	13400	37840	\N	\N	\N
878462	2991	1993-08-20	VYDAJ	VYBER	18300	42034	\N	\N	\N
878463	2991	1993-09-19	VYDAJ	VYBER	21700	42858	\N	\N	\N
878464	2991	1993-10-19	VYDAJ	VYBER	13600	37660	\N	\N	\N
878465	2991	1993-11-18	VYDAJ	VYBER	14700	36039	\N	\N	\N
878466	2991	1993-12-18	VYDAJ	VYBER	15900	39468	\N	\N	\N
878467	2991	1994-01-17	VYDAJ	VYBER	11800	37388	\N	\N	\N
878468	2991	1994-02-16	VYDAJ	VYBER	11700	38754	\N	\N	\N
878469	2991	1994-03-18	VYDAJ	VYBER	13200	38625	\N	\N	\N
878470	2991	1994-04-17	VYDAJ	VYBER	12700	39001	\N	\N	\N
878471	2991	1994-05-17	VYDAJ	VYBER	14400	37676	\N	\N	\N
878472	2991	1994-06-16	VYDAJ	VYBER	15300	42667	\N	\N	\N
878473	2991	1994-07-16	VYDAJ	VYBER	17500	38256	\N	\N	\N
878474	2991	1994-08-15	VYDAJ	VYBER	11100	40235	\N	\N	\N
878475	2991	1994-09-14	VYDAJ	VYBER	15000	38308	\N	\N	\N
878476	2991	1994-10-14	VYDAJ	VYBER	13400	37979	\N	\N	\N
878477	2991	1994-11-13	VYDAJ	VYBER	14000	33204	\N	\N	\N
878478	2991	1994-12-13	VYDAJ	VYBER	15400	40256	\N	\N	\N
878479	2991	1995-01-12	VYDAJ	VYBER	15700	33153	\N	\N	\N
878480	2991	1995-02-11	VYDAJ	VYBER	12200	29911	\N	\N	\N
878481	2991	1995-03-13	VYDAJ	VYBER	14000	27610	\N	\N	\N
878482	2991	1995-04-12	VYDAJ	VYBER	10700	29940	\N	\N	\N
878483	2991	1995-05-12	VYDAJ	VYBER	13600	29365	\N	\N	\N
878484	2991	1995-06-11	VYDAJ	VYBER	17900	33390	\N	\N	\N
878485	2991	1995-07-11	VYDAJ	VYBER	19600	26832	\N	\N	\N
878486	2991	1995-08-10	VYDAJ	VYBER	14600	20085	\N	\N	\N
878487	2991	1995-09-09	VYDAJ	VYBER	15000	18070	\N	\N	\N
878488	2991	1995-10-09	VYDAJ	VYBER	13200	17846	\N	\N	\N
878489	2991	1995-11-08	VYDAJ	VYBER	13900	17025	\N	\N	\N
878490	2991	1995-12-08	VYDAJ	VYBER	21200	19972	\N	\N	\N
878491	2991	1996-01-07	VYDAJ	VYBER	11200	17910	\N	\N	\N
878492	2991	1996-02-06	VYDAJ	VYBER	16000	24097	\N	\N	\N
878493	2991	1996-03-07	VYDAJ	VYBER	14400	13433	\N	\N	\N
878494	2991	1996-05-06	VYDAJ	VYBER	15200	20083	\N	\N	\N
878495	2991	1996-06-05	VYDAJ	VYBER	30200	23266	\N	\N	\N
878496	2991	1996-07-05	VYDAJ	VYBER	19800	16421	\N	\N	\N
878497	2991	1996-11-02	VYDAJ	VYBER	19500	18596	\N	\N	\N
878498	2991	1996-12-02	VYDAJ	VYBER	15200	16421	\N	\N	\N
878499	2991	1997-01-01	VYDAJ	VYBER	22200	14441	\N	\N	\N
878500	2991	1997-03-02	VYDAJ	VYBER	25900	14599	\N	\N	\N
878501	2991	1997-05-31	VYDAJ	VYBER	33700	20076	\N	\N	\N
878502	2991	1997-06-30	VYDAJ	VYBER	27500	16811	\N	\N	\N
878503	2991	1997-08-29	VYDAJ	VYBER	23200	17106	\N	\N	\N
878504	2991	1997-12-27	VYDAJ	VYBER	47000	24054	\N	\N	\N
878505	2991	1998-02-25	VYDAJ	VYBER	34400	15840	\N	\N	\N
878506	2991	1998-06-25	VYDAJ	VYBER	46900	23876	\N	\N	\N
878507	2991	1998-09-23	VYDAJ	VYBER	44000	17556	\N	\N	\N
878575	2992	1997-07-11	PRIJEM	VKLAD	900	900	\N	\N	\N
878583	2992	1997-08-09	PRIJEM	VKLAD	11382	12282	\N	\N	\N
878584	2992	1997-09-09	PRIJEM	VKLAD	11382	30220	\N	\N	\N
878585	2992	1997-10-09	PRIJEM	VKLAD	11382	37602	\N	\N	\N
878586	2992	1997-11-09	PRIJEM	VKLAD	11382	36698	\N	\N	\N
878587	2992	1997-12-09	PRIJEM	VKLAD	17073	47614	\N	\N	\N
878588	2992	1998-01-09	PRIJEM	VKLAD	11382	37993	\N	\N	\N
878589	2992	1998-02-09	PRIJEM	VKLAD	11382	28727	\N	\N	\N
878590	2992	1998-03-09	PRIJEM	VKLAD	11382	31390	\N	\N	\N
878591	2992	1998-04-09	PRIJEM	VKLAD	11382	31450	\N	\N	\N
878592	2992	1998-05-09	PRIJEM	VKLAD	11382	37131	\N	\N	\N
878593	2992	1998-06-09	PRIJEM	VKLAD	17073	44622	\N	\N	\N
878594	2992	1998-07-09	PRIJEM	VKLAD	11382	38979	\N	\N	\N
878595	2992	1998-08-09	PRIJEM	VKLAD	11382	37891	\N	\N	\N
878596	2992	1998-09-09	PRIJEM	VKLAD	11382	42902	\N	\N	\N
878597	2992	1998-10-09	PRIJEM	VKLAD	11382	43826	\N	\N	\N
878598	2992	1998-11-09	PRIJEM	VKLAD	11382	47059	\N	\N	\N
878599	2992	1998-12-09	PRIJEM	VKLAD	17073	54794	\N	\N	\N
878611	2992	1997-12-12	VYDAJ	PREVOD NA UCET	5396	42218	SIPO	OP	59211057
878612	2992	1998-01-12	VYDAJ	PREVOD NA UCET	5396	22357	SIPO	OP	59211057
878613	2992	1998-02-12	VYDAJ	PREVOD NA UCET	5396	23331	SIPO	OP	59211057
878614	2992	1998-03-12	VYDAJ	PREVOD NA UCET	5396	25994	SIPO	OP	59211057
878615	2992	1998-04-12	VYDAJ	PREVOD NA UCET	5396	26054	SIPO	OP	59211057
878616	2992	1998-05-12	VYDAJ	PREVOD NA UCET	5396	31735	SIPO	OP	59211057
878617	2992	1998-06-12	VYDAJ	PREVOD NA UCET	5396	39226	SIPO	OP	59211057
878618	2992	1998-07-12	VYDAJ	PREVOD NA UCET	5396	33583	SIPO	OP	59211057
878619	2992	1998-08-12	VYDAJ	PREVOD NA UCET	5396	32495	SIPO	OP	59211057
878620	2992	1998-09-12	VYDAJ	PREVOD NA UCET	5396	37506	SIPO	OP	59211057
878621	2992	1998-10-12	VYDAJ	PREVOD NA UCET	5396	38430	SIPO	OP	59211057
878622	2992	1998-11-12	VYDAJ	PREVOD NA UCET	5396	41663	SIPO	OP	59211057
878623	2992	1998-12-12	VYDAJ	PREVOD NA UCET	5396	49398	SIPO	OP	59211057
878625	2992	1998-06-20	VYDAJ	VYBER	7360	31866	\N	\N	\N
878627	2992	1998-01-09	VYDAJ	VYBER	10240	27753	\N	\N	\N
878628	2992	1997-12-22	VYDAJ	VYBER	1760	40458	\N	\N	\N
878629	2992	1998-12-16	VYDAJ	VYBER	1920	47478	\N	\N	\N
878636	2992	1998-01-04	VYDAJ	VYBER	1200	31131	\N	\N	\N
878637	2992	1998-01-26	VYDAJ	VYBER	3480	16957	\N	\N	\N
878638	2992	1998-01-16	VYDAJ	VYBER	1920	20437	\N	\N	\N
878639	2992	1998-01-05	VYDAJ	VYBER	2160	28971	\N	\N	\N
878640	2992	1998-01-06	VYDAJ	VYBER	2880	26091	\N	\N	\N
878641	2992	1998-01-03	VYDAJ	VYBER	3360	32331	\N	\N	\N
878642	2992	1997-12-29	VYDAJ	VYBER	4920	35538	\N	\N	\N
878648	2992	1998-01-07	VYDAJ	VYBER	2280	26611	\N	\N	\N
878649	2992	1998-12-29	VYDAJ	VYBER	3240	44238	\N	\N	\N
878650	2992	1998-04-07	VYDAJ	VYBER	1320	20068	\N	\N	\N
878663	2992	1997-12-31	VYDAJ	VYBER	15	35691	SLUZBY	\N	\N
878664	2992	1998-01-31	VYDAJ	VYBER	15	17045	SLUZBY	\N	\N
878665	2992	1998-02-28	VYDAJ	VYBER	15	23408	SLUZBY	\N	\N
878666	2992	1998-03-31	VYDAJ	VYBER	15	26088	SLUZBY	\N	\N
878667	2992	1998-04-30	VYDAJ	VYBER	15	26149	SLUZBY	\N	\N
878668	2992	1998-05-31	VYDAJ	VYBER	15	31849	SLUZBY	\N	\N
878669	2992	1998-06-30	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
878670	2992	1998-07-31	VYDAJ	VYBER	15	33709	SLUZBY	\N	\N
878671	2992	1998-08-31	VYDAJ	VYBER	15	32620	SLUZBY	\N	\N
878672	2992	1998-09-30	VYDAJ	VYBER	15	37644	SLUZBY	\N	\N
878673	2992	1998-10-31	VYDAJ	VYBER	15	38577	SLUZBY	\N	\N
878674	2992	1998-11-30	VYDAJ	VYBER	15	41821	SLUZBY	\N	\N
878675	2992	1997-08-10	PRIJEM	VKLAD	6500	18782	\N	\N	\N
878676	2992	1997-09-09	VYDAJ	VYBER	4100	26120	\N	\N	\N
878677	2992	1997-10-09	VYDAJ	VYBER	10000	27602	\N	\N	\N
878678	2992	1997-11-08	VYDAJ	VYBER	2400	25316	\N	\N	\N
878679	2992	1997-12-08	VYDAJ	VYBER	6300	30541	\N	\N	\N
878680	2992	1998-01-07	PRIJEM	VKLAD	2800	28891	\N	\N	\N
878681	2992	1998-02-06	PRIJEM	VKLAD	300	17345	\N	\N	\N
878682	2992	1998-03-08	VYDAJ	VYBER	3400	20008	\N	\N	\N
878683	2992	1998-04-07	VYDAJ	VYBER	4700	21388	\N	\N	\N
878684	2992	1998-05-07	VYDAJ	VYBER	400	25749	\N	\N	\N
878685	2992	1998-06-06	VYDAJ	VYBER	4300	27549	\N	\N	\N
878686	2992	1998-07-06	VYDAJ	VYBER	4400	27597	\N	\N	\N
878687	2992	1998-08-05	VYDAJ	VYBER	7200	26509	\N	\N	\N
878688	2992	1998-09-04	VYDAJ	VYBER	1100	31520	\N	\N	\N
878689	2992	1998-10-04	VYDAJ	VYBER	5200	32444	\N	\N	\N
878690	2992	1998-11-03	VYDAJ	VYBER	2900	35677	\N	\N	\N
878691	2992	1998-12-03	VYDAJ	VYBER	4100	37721	\N	\N	\N
878709	2993	1996-02-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
878710	2993	1996-06-21	PRIJEM	VKLAD	49916	152300	\N	\N	\N
878711	2993	1996-07-30	PRIJEM	VKLAD	13296	78788	\N	\N	\N
878712	2993	1996-05-30	PRIJEM	VKLAD	49482	100112	\N	\N	\N
878713	2993	1996-03-13	PRIJEM	VKLAD	44569	107123	\N	\N	\N
878714	2993	1996-05-12	PRIJEM	VKLAD	17544	123530	\N	\N	\N
878715	2993	1996-04-16	PRIJEM	VKLAD	41559	87051	\N	\N	\N
878718	2993	1996-08-15	PRIJEM	VKLAD	22993	84145	\N	\N	\N
878719	2993	1996-05-10	PRIJEM	VKLAD	34744	122086	\N	\N	\N
878720	2993	1996-02-28	PRIJEM	VKLAD	6355	62497	\N	\N	\N
878721	2993	1996-08-14	PRIJEM	VKLAD	5961	61152	\N	\N	\N
878722	2993	1996-06-10	PRIJEM	VKLAD	25943	126312	\N	\N	\N
878723	2993	1996-06-20	PRIJEM	VKLAD	34972	102384	\N	\N	\N
878724	2993	1996-12-18	PRIJEM	VKLAD	41495	68047	\N	\N	\N
878726	2993	1996-03-16	PRIJEM	VKLAD	43028	108851	\N	\N	\N
878727	2993	1996-02-24	PRIJEM	VKLAD	11942	56142	\N	\N	\N
878728	2993	1996-02-23	PRIJEM	VKLAD	43100	44200	\N	\N	\N
878729	2993	1997-09-03	PRIJEM	VKLAD	18785	65072	\N	\N	\N
878730	2993	1997-05-05	PRIJEM	VKLAD	5714	63878	\N	\N	\N
878731	2993	1997-02-03	PRIJEM	VKLAD	15879	63706	\N	\N	\N
878732	2993	1997-11-27	PRIJEM	VKLAD	20095	100851	\N	\N	\N
878733	2993	1997-05-09	PRIJEM	VKLAD	15166	68244	\N	\N	\N
878734	2993	1997-11-02	PRIJEM	VKLAD	12387	82396	\N	\N	\N
878735	2993	1997-01-08	PRIJEM	VKLAD	24121	76196	\N	\N	\N
878736	2993	1997-05-05	PRIJEM	VKLAD	32974	58164	\N	\N	\N
878737	2993	1997-01-18	PRIJEM	VKLAD	29343	64139	\N	\N	\N
878738	2993	1997-02-22	PRIJEM	VKLAD	34378	105720	\N	\N	\N
878739	2993	1997-02-12	PRIJEM	VKLAD	36635	71342	\N	\N	\N
878740	2993	1997-06-13	PRIJEM	VKLAD	6954	50438	\N	\N	\N
878741	2993	1997-03-12	PRIJEM	VKLAD	32334	78164	\N	\N	\N
878742	2993	1997-02-22	PRIJEM	VKLAD	35850	141570	\N	\N	\N
878743	2993	1997-05-20	PRIJEM	VKLAD	45884	114128	\N	\N	\N
878744	2993	1997-04-01	PRIJEM	VKLAD	9205	77821	\N	\N	\N
878745	2993	1997-12-25	PRIJEM	VKLAD	43672	62419	\N	\N	\N
878746	2993	1997-08-14	PRIJEM	VKLAD	12606	46148	\N	\N	\N
878747	2993	1997-11-02	PRIJEM	VKLAD	14098	70009	\N	\N	\N
878748	2993	1997-11-26	PRIJEM	VKLAD	14788	80756	\N	\N	\N
878749	2993	1997-11-19	PRIJEM	VKLAD	18907	81903	\N	\N	\N
878750	2993	1997-09-28	PRIJEM	VKLAD	14590	68462	\N	\N	\N
878751	2993	1998-04-25	PRIJEM	VKLAD	5742	103634	\N	\N	\N
878752	2993	1998-01-18	PRIJEM	VKLAD	14858	54456	\N	\N	\N
878753	2993	1998-08-18	PRIJEM	VKLAD	10743	59001	\N	\N	\N
878754	2993	1998-05-03	PRIJEM	VKLAD	30710	122078	\N	\N	\N
878755	2993	1998-03-28	PRIJEM	VKLAD	25990	71306	\N	\N	\N
878756	2993	1998-09-27	PRIJEM	VKLAD	11162	88882	\N	\N	\N
878757	2993	1998-06-09	PRIJEM	VKLAD	14078	74463	\N	\N	\N
878758	2993	1998-08-21	PRIJEM	VKLAD	30186	89187	\N	\N	\N
878759	2993	1998-04-16	PRIJEM	VKLAD	16395	108334	\N	\N	\N
878760	2993	1998-02-20	PRIJEM	VKLAD	15903	43204	\N	\N	\N
878761	2993	1998-05-10	PRIJEM	VKLAD	21638	90516	\N	\N	\N
878762	2993	1998-12-14	PRIJEM	VKLAD	7218	14811	\N	\N	\N
878763	2993	1998-09-23	PRIJEM	VKLAD	25581	77720	\N	\N	\N
878764	2993	1998-07-25	PRIJEM	VKLAD	16712	38360	\N	\N	\N
878765	2993	1998-04-21	PRIJEM	VKLAD	12088	97892	\N	\N	\N
878766	2993	1998-08-01	PRIJEM	VKLAD	39786	78226	\N	\N	\N
878767	2993	1998-04-09	PRIJEM	VKLAD	35378	91939	\N	\N	\N
878768	2993	1996-07-08	VYBER	VYBER	5533	98192	\N	\N	\N
878769	2993	1996-08-20	VYBER	VYBER	15239	68906	\N	\N	\N
878773	2993	1997-06-04	VYBER	VYBER	16955	43284	\N	\N	\N
878774	2993	1997-02-07	VYBER	VYBER	24599	39107	\N	\N	\N
878775	2993	1997-04-13	VYBER	VYBER	2864	25068	\N	\N	\N
878776	2993	1997-11-25	VYBER	VYBER	15935	65968	\N	\N	\N
878777	2993	1997-04-09	VYBER	VYBER	22289	27932	\N	\N	\N
878778	2993	1997-12-17	VYBER	VYBER	9376	18747	\N	\N	\N
878779	2993	1997-03-28	VYBER	VYBER	9808	68356	\N	\N	\N
878780	2993	1997-07-09	VYBER	VYBER	17002	32418	\N	\N	\N
878781	2993	1997-12-08	VYBER	VYBER	8015	45223	\N	\N	\N
878782	2993	1997-01-05	VYBER	VYBER	11024	52075	\N	\N	\N
878783	2993	1997-12-07	VYBER	VYBER	22688	53238	\N	\N	\N
878784	2993	1998-11-09	VYBER	VYBER	4107	29925	\N	\N	\N
878785	2993	1998-10-25	VYBER	VYBER	18666	50494	\N	\N	\N
878786	2993	1998-04-18	VYBER	VYBER	22530	85804	\N	\N	\N
878787	2993	1998-08-15	VYBER	VYBER	5297	48258	\N	\N	\N
878788	2993	1998-05-18	VYBER	VYBER	14577	75939	\N	\N	\N
878791	2993	1998-12-09	VYBER	VYBER	24122	12393	\N	\N	\N
878792	2993	1998-09-04	VYBER	VYBER	19698	52139	\N	\N	\N
878793	2993	1998-07-14	VYBER	VYBER	18337	21648	\N	\N	\N
878794	2993	1998-11-05	VYBER	VYBER	18714	34032	\N	\N	\N
878795	2993	1998-08-08	VYBER	VYBER	9271	53555	\N	\N	\N
878796	2993	1998-03-29	VYBER	VYBER	4207	67099	\N	\N	\N
878799	2993	1998-06-24	VYDAJ	VYBER	37200	24663	\N	\N	\N
878800	2993	1996-12-23	VYDAJ	VYBER	2400	65647	\N	\N	\N
878801	2993	1997-12-13	VYDAJ	VYBER	6300	28123	\N	\N	\N
878802	2993	1998-12-13	VYDAJ	VYBER	4800	7593	\N	\N	\N
878809	2993	1997-01-19	VYDAJ	VYBER	6600	57539	\N	\N	\N
878810	2993	1997-01-01	VYDAJ	VYBER	2700	63099	\N	\N	\N
878811	2993	1997-01-17	VYDAJ	VYBER	4200	34796	\N	\N	\N
878812	2993	1997-01-26	VYDAJ	VYBER	5100	47639	\N	\N	\N
878813	2993	1997-01-16	VYDAJ	VYBER	8100	38996	\N	\N	\N
878814	2993	1997-01-24	VYDAJ	VYBER	4800	52739	\N	\N	\N
878815	2993	1998-01-07	VYDAJ	VYBER KARTOU	1800	39598	\N	\N	0
878816	2993	1998-01-25	VYDAJ	VYBER	8400	37356	\N	\N	\N
878817	2993	1998-01-28	VYDAJ	VYBER	6000	31356	\N	\N	\N
878818	2993	1998-01-06	VYDAJ	VYBER KARTOU	3000	41398	\N	\N	0
878819	2993	1998-01-05	VYDAJ	VYBER	4500	44398	\N	\N	\N
878820	2993	1998-01-02	VYDAJ	VYBER	6900	55698	\N	\N	\N
878821	2993	1996-10-15	VYDAJ	VYBER	8400	21808	\N	\N	\N
878822	2993	1996-09-23	VYDAJ	VYBER	13800	33589	\N	\N	\N
878826	2993	1996-03-17	VYDAJ	VYBER	13500	66551	\N	\N	\N
878827	2993	1997-08-02	VYDAJ	VYBER	4200	28342	\N	\N	\N
878828	2993	1997-04-07	VYDAJ	VYBER	8700	69121	\N	\N	\N
878829	2993	1997-12-11	VYDAJ	VYBER	10800	34423	\N	\N	\N
878830	2993	1997-01-10	VYDAJ	VYBER	4800	47096	\N	\N	\N
878831	2993	1998-11-14	VYDAJ	VYBER	13800	16125	\N	\N	\N
878832	2993	1998-02-13	VYDAJ	VYBER	13200	27301	\N	\N	\N
878833	2993	1998-04-28	VYDAJ	VYBER	12600	91034	\N	\N	\N
878834	2993	1998-01-19	VYDAJ	VYBER	8700	45756	\N	\N	\N
878835	2993	1998-06-21	VYDAJ	VYBER	12600	61863	\N	\N	\N
878836	2993	1998-05-28	VYDAJ	VYBER	4500	71439	\N	\N	\N
878840	2993	1996-03-31	VYDAJ	VYBER	30	66792	SLUZBY	\N	\N
878841	2993	1996-04-30	VYDAJ	VYBER	30	87342	SLUZBY	\N	\N
878842	2993	1996-05-31	VYDAJ	VYBER	30	100369	SLUZBY	\N	\N
878843	2993	1996-06-30	VYDAJ	VYBER	30	103725	SLUZBY	\N	\N
878844	2993	1996-07-31	VYDAJ	VYBER	30	79091	SLUZBY	\N	\N
878845	2993	1996-08-31	VYDAJ	VYBER	30	69189	SLUZBY	\N	\N
878846	2993	1996-09-30	VYDAJ	VYBER	30	33808	SLUZBY	\N	\N
878847	2993	1996-10-31	VYDAJ	VYBER	30	21891	SLUZBY	\N	\N
878848	2993	1996-11-30	VYDAJ	VYBER	30	25052	SLUZBY	\N	\N
878849	2993	1996-12-31	VYDAJ	VYBER	30	65799	SLUZBY	\N	\N
878850	2993	1997-01-31	VYDAJ	VYBER	30	47827	SLUZBY	\N	\N
878851	2993	1997-02-28	VYDAJ	VYBER	30	58130	SLUZBY	\N	\N
878852	2993	1997-03-31	VYDAJ	VYBER	30	68616	SLUZBY	\N	\N
878853	2993	1997-04-30	VYDAJ	VYBER	30	25190	SLUZBY	\N	\N
878854	2993	1997-05-31	VYDAJ	VYBER	30	60239	SLUZBY	\N	\N
878855	2993	1997-06-30	VYDAJ	VYBER	30	50620	SLUZBY	\N	\N
878856	2993	1997-07-31	VYDAJ	VYBER	30	32542	SLUZBY	\N	\N
878857	2993	1997-08-31	VYDAJ	VYBER	30	46287	SLUZBY	\N	\N
878858	2993	1997-09-30	VYDAJ	VYBER	30	68657	SLUZBY	\N	\N
878859	2993	1997-10-31	VYDAJ	VYBER	30	55911	SLUZBY	\N	\N
878860	2993	1997-11-30	VYDAJ	VYBER	30	101126	SLUZBY	\N	\N
878861	2993	1997-12-31	VYDAJ	VYBER	30	62598	SLUZBY	\N	\N
878862	2993	1998-01-31	VYDAJ	VYBER	30	31501	SLUZBY	\N	\N
878863	2993	1998-02-28	VYDAJ	VYBER	30	43316	SLUZBY	\N	\N
878864	2993	1998-03-31	VYDAJ	VYBER	30	67261	SLUZBY	\N	\N
878865	2993	1998-04-30	VYDAJ	VYBER	30	91368	SLUZBY	\N	\N
878866	2993	1998-05-31	VYDAJ	VYBER	30	71785	SLUZBY	\N	\N
878867	2993	1998-06-30	VYDAJ	VYBER	30	24885	SLUZBY	\N	\N
878868	2993	1998-07-31	VYDAJ	VYBER	30	38440	SLUZBY	\N	\N
878869	2993	1998-08-31	VYDAJ	VYBER	30	89437	SLUZBY	\N	\N
878870	2993	1998-09-30	VYDAJ	VYBER	30	69160	SLUZBY	\N	\N
878871	2993	1998-10-31	VYDAJ	VYBER	30	52746	SLUZBY	\N	\N
878872	2993	1998-11-30	VYDAJ	VYBER	30	36515	SLUZBY	\N	\N
878873	2993	1996-03-14	VYDAJ	VYBER	41300	65823	\N	\N	\N
878874	2993	1996-03-16	VYDAJ	VYBER	28800	80051	\N	\N	\N
878875	2993	1996-04-13	VYDAJ	VYBER	21300	45492	\N	\N	\N
878876	2993	1996-05-10	VYDAJ	VYBER	16100	105986	\N	\N	\N
878877	2993	1996-05-12	VYDAJ	VYBER	44900	78630	\N	\N	\N
878878	2993	1996-05-13	VYDAJ	VYBER	28000	50630	\N	\N	\N
878879	2993	1996-06-10	VYDAJ	VYBER	16500	109812	\N	\N	\N
878880	2993	1996-06-12	VYDAJ	VYBER	42400	67412	\N	\N	\N
878881	2993	1996-06-21	VYDAJ	VYBER	49000	103300	\N	\N	\N
878882	2993	1996-07-12	VYDAJ	VYBER	32700	65492	\N	\N	\N
878883	2993	1996-08-11	VYDAJ	VYBER	23900	55191	\N	\N	\N
878884	2993	1996-09-10	VYDAJ	VYBER	21800	47389	\N	\N	\N
878885	2993	1996-10-10	VYDAJ	VYBER	3600	30208	\N	\N	\N
878886	2993	1996-11-09	PRIJEM	VKLAD	3100	24991	\N	\N	\N
878887	2993	1996-12-09	PRIJEM	VKLAD	1500	26552	\N	\N	\N
878888	2993	1997-01-08	VYDAJ	VYBER	24300	51896	\N	\N	\N
878889	2993	1997-02-07	VYDAJ	VYBER	4400	34707	\N	\N	\N
878890	2993	1997-02-22	VYDAJ	VYBER	21400	57870	\N	\N	\N
878891	2993	1997-02-22	VYDAJ	VYBER	62300	79270	\N	\N	\N
878892	2993	1997-03-09	VYDAJ	VYBER	12300	45830	\N	\N	\N
878893	2993	1997-04-08	VYDAJ	VYBER	18900	50221	\N	\N	\N
878894	2993	1997-05-08	VYDAJ	VYBER	10800	53078	\N	\N	\N
878895	2993	1997-05-20	VYDAJ	VYBER	54100	60028	\N	\N	\N
878896	2993	1997-06-07	PRIJEM	VKLAD	200	43484	\N	\N	\N
878897	2993	1997-07-07	VYDAJ	VYBER KARTOU	1200	49420	\N	\N	0
878898	2993	1997-08-06	PRIJEM	VKLAD	5200	33542	\N	\N	\N
878899	2993	1997-09-05	VYDAJ	VYBER	11200	53872	\N	\N	\N
878900	2993	1997-10-05	VYDAJ	VYBER	13000	55657	\N	\N	\N
878901	2993	1997-11-04	VYDAJ	VYBER	19400	62996	\N	\N	\N
878902	2993	1997-12-04	VYDAJ	VYBER	25200	75926	\N	\N	\N
878903	2993	1998-01-03	VYDAJ	VYBER	6800	48898	\N	\N	\N
878904	2993	1998-02-02	PRIJEM	VKLAD	9000	40501	\N	\N	\N
878905	2993	1998-03-04	PRIJEM	VKLAD	2000	45316	\N	\N	\N
878906	2993	1998-04-03	VYDAJ	VYBER	10700	56561	\N	\N	\N
878907	2993	1998-05-03	VYDAJ	VYBER	29400	68878	\N	\N	\N
878908	2993	1998-05-03	VYDAJ	VYBER	23800	98278	\N	\N	\N
878909	2993	1998-06-02	VYDAJ	VYBER	11400	60385	\N	\N	\N
878910	2993	1998-07-02	PRIJEM	VKLAD	15100	39985	\N	\N	\N
878911	2993	1998-08-01	VYDAJ	VYBER	15400	62826	\N	\N	\N
878912	2993	1998-08-31	VYDAJ	VYBER	17600	71837	\N	\N	\N
878913	2993	1998-09-30	VYDAJ	VYBER	20000	69190	\N	\N	\N
878914	2993	1998-10-30	PRIJEM	VKLAD	2000	52494	\N	\N	\N
878915	2993	1998-11-29	PRIJEM	VKLAD	20300	36425	\N	\N	\N
878952	2994	1996-05-03	PRIJEM	VKLAD	900	900	\N	\N	\N
878957	2994	1996-05-12	PRIJEM	VKLAD	19069	19969	\N	\N	\N
878958	2994	1996-06-12	PRIJEM	VKLAD	28604	53326	\N	\N	\N
878959	2994	1996-07-12	PRIJEM	VKLAD	19069	59566	\N	\N	\N
878960	2994	1996-08-12	PRIJEM	VKLAD	19069	60274	\N	\N	\N
878961	2994	1996-09-12	PRIJEM	VKLAD	19069	62891	\N	\N	\N
878962	2994	1996-10-12	PRIJEM	VKLAD	19069	57377	\N	\N	\N
878963	2994	1996-11-12	PRIJEM	VKLAD	19069	56456	\N	\N	\N
878964	2994	1996-12-12	PRIJEM	VKLAD	28604	60464	\N	\N	\N
878965	2994	1997-01-12	PRIJEM	VKLAD	19069	54244	\N	\N	\N
878966	2994	1997-02-12	PRIJEM	VKLAD	19069	45895	\N	\N	\N
878967	2994	1997-03-12	PRIJEM	VKLAD	19069	53926	\N	\N	\N
878968	2994	1997-04-12	PRIJEM	VKLAD	19069	60291	\N	\N	\N
878969	2994	1997-05-12	PRIJEM	VKLAD	19069	62380	\N	\N	\N
878970	2994	1997-06-12	PRIJEM	VKLAD	28604	72711	\N	\N	\N
878971	2994	1997-07-12	PRIJEM	VKLAD	19069	62738	\N	\N	\N
878972	2994	1997-08-12	PRIJEM	VKLAD	19069	62530	\N	\N	\N
878973	2994	1997-09-12	PRIJEM	VKLAD	19069	64324	\N	\N	\N
878974	2994	1997-10-12	PRIJEM	VKLAD	19069	64623	\N	\N	\N
878975	2994	1997-11-12	PRIJEM	VKLAD	19069	65423	\N	\N	\N
878976	2994	1997-12-12	PRIJEM	VKLAD	28604	75760	\N	\N	\N
878977	2994	1998-01-12	PRIJEM	VKLAD	19069	66782	\N	\N	\N
878978	2994	1998-02-12	PRIJEM	VKLAD	19069	64095	\N	\N	\N
878979	2994	1998-03-12	PRIJEM	VKLAD	19069	69293	\N	\N	\N
878980	2994	1998-04-12	PRIJEM	VKLAD	19069	70811	\N	\N	\N
878981	2994	1998-05-12	PRIJEM	VKLAD	19069	69431	\N	\N	\N
878982	2994	1998-06-12	PRIJEM	VKLAD	28604	75877	\N	\N	\N
878983	2994	1998-07-12	PRIJEM	VKLAD	19069	58389	\N	\N	\N
878984	2994	1998-08-12	PRIJEM	VKLAD	19069	58656	\N	\N	\N
878985	2994	1998-09-12	PRIJEM	VKLAD	19069	55077	\N	\N	\N
878986	2994	1998-10-12	PRIJEM	VKLAD	19069	59433	\N	\N	\N
878987	2994	1998-11-12	PRIJEM	VKLAD	19069	57697	\N	\N	\N
878988	2994	1998-12-12	PRIJEM	VKLAD	28604	63929	\N	\N	\N
878997	2994	1996-09-14	VYDAJ	PREVOD NA UCET	3217	59674	SIPO	WX	20186478
878998	2994	1996-10-14	VYDAJ	PREVOD NA UCET	3217	52806	SIPO	WX	20186478
878999	2994	1996-11-14	VYDAJ	PREVOD NA UCET	3217	51885	SIPO	WX	20186478
879000	2994	1996-12-14	VYDAJ	PREVOD NA UCET	3217	55893	SIPO	WX	20186478
879001	2994	1997-01-14	VYDAJ	PREVOD NA UCET	3217	46193	SIPO	WX	20186478
879002	2994	1997-02-14	VYDAJ	PREVOD NA UCET	3217	41324	SIPO	WX	20186478
879003	2994	1997-03-14	VYDAJ	PREVOD NA UCET	3217	49355	SIPO	WX	20186478
879004	2994	1997-04-14	VYDAJ	PREVOD NA UCET	3217	55720	SIPO	WX	20186478
879005	2994	1997-05-14	VYDAJ	PREVOD NA UCET	3217	57809	SIPO	WX	20186478
879006	2994	1997-06-14	VYDAJ	PREVOD NA UCET	3217	68140	SIPO	WX	20186478
879007	2994	1997-07-14	VYDAJ	PREVOD NA UCET	3217	58167	SIPO	WX	20186478
879008	2994	1997-08-14	VYDAJ	PREVOD NA UCET	3217	57959	SIPO	WX	20186478
879009	2994	1997-09-14	VYDAJ	PREVOD NA UCET	3217	59753	SIPO	WX	20186478
879010	2994	1997-10-14	VYDAJ	PREVOD NA UCET	3217	60052	SIPO	WX	20186478
879011	2994	1997-11-14	VYDAJ	PREVOD NA UCET	3217	60852	SIPO	WX	20186478
879012	2994	1997-12-14	VYDAJ	PREVOD NA UCET	3217	70189	SIPO	WX	20186478
879013	2994	1998-01-14	VYDAJ	PREVOD NA UCET	3217	62211	SIPO	WX	20186478
879014	2994	1998-02-14	VYDAJ	PREVOD NA UCET	3217	59524	SIPO	WX	20186478
879015	2994	1998-03-14	VYDAJ	PREVOD NA UCET	3217	64722	SIPO	WX	20186478
879016	2994	1998-04-14	VYDAJ	PREVOD NA UCET	3217	66240	SIPO	WX	20186478
879017	2994	1998-05-14	VYDAJ	PREVOD NA UCET	3217	64860	SIPO	WX	20186478
879018	2994	1998-06-14	VYDAJ	PREVOD NA UCET	3217	71306	SIPO	WX	20186478
879019	2994	1998-07-14	VYDAJ	PREVOD NA UCET	3217	53818	SIPO	WX	20186478
879020	2994	1998-08-14	VYDAJ	PREVOD NA UCET	3217	54085	SIPO	WX	20186478
879021	2994	1998-09-14	VYDAJ	PREVOD NA UCET	3217	50506	SIPO	WX	20186478
879022	2994	1998-10-14	VYDAJ	PREVOD NA UCET	3217	54862	SIPO	WX	20186478
879023	2994	1998-11-14	VYDAJ	PREVOD NA UCET	3217	53126	SIPO	WX	20186478
879024	2994	1998-12-14	VYDAJ	PREVOD NA UCET	3217	59358	SIPO	WX	20186478
879033	2994	1996-09-19	VYDAJ	VYBER	1700	54614	\N	\N	0
879034	2994	1996-10-12	VYDAJ	PREVOD NA UCET	1354	56023	UVER	WX	65474504
879035	2994	1996-11-12	VYDAJ	PREVOD NA UCET	1354	55102	UVER	WX	65474504
879036	2994	1996-12-12	VYDAJ	PREVOD NA UCET	1354	59110	UVER	WX	65474504
879037	2994	1997-01-12	VYDAJ	PREVOD NA UCET	1354	52890	UVER	WX	65474504
879038	2994	1997-02-12	VYDAJ	PREVOD NA UCET	1354	44541	UVER	WX	65474504
879039	2994	1997-03-12	VYDAJ	PREVOD NA UCET	1354	52572	UVER	WX	65474504
879040	2994	1997-04-12	VYDAJ	PREVOD NA UCET	1354	58937	UVER	WX	65474504
879041	2994	1997-05-12	VYDAJ	PREVOD NA UCET	1354	61026	UVER	WX	65474504
879042	2994	1997-06-12	VYDAJ	PREVOD NA UCET	1354	71357	UVER	WX	65474504
879043	2994	1997-07-12	VYDAJ	PREVOD NA UCET	1354	61384	UVER	WX	65474504
879044	2994	1997-08-12	VYDAJ	PREVOD NA UCET	1354	61176	UVER	WX	65474504
879045	2994	1997-09-12	VYDAJ	PREVOD NA UCET	1354	62970	UVER	WX	65474504
879046	2994	1997-10-12	VYDAJ	PREVOD NA UCET	1354	63269	UVER	WX	65474504
879047	2994	1997-11-12	VYDAJ	PREVOD NA UCET	1354	64069	UVER	WX	65474504
879048	2994	1997-12-12	VYDAJ	PREVOD NA UCET	1354	74406	UVER	WX	65474504
879049	2994	1998-01-12	VYDAJ	PREVOD NA UCET	1354	65428	UVER	WX	65474504
879050	2994	1998-02-12	VYDAJ	PREVOD NA UCET	1354	62741	UVER	WX	65474504
879051	2994	1998-03-12	VYDAJ	PREVOD NA UCET	1354	67939	UVER	WX	65474504
879052	2994	1998-04-12	VYDAJ	PREVOD NA UCET	1354	69457	UVER	WX	65474504
879053	2994	1998-05-12	VYDAJ	PREVOD NA UCET	1354	68077	UVER	WX	65474504
879054	2994	1998-06-12	VYDAJ	PREVOD NA UCET	1354	74523	UVER	WX	65474504
879055	2994	1998-07-12	VYDAJ	PREVOD NA UCET	1354	57035	UVER	WX	65474504
879056	2994	1998-08-12	VYDAJ	PREVOD NA UCET	1354	57302	UVER	WX	65474504
879057	2994	1998-09-12	VYDAJ	PREVOD NA UCET	1354	53723	UVER	WX	65474504
879058	2994	1998-10-12	VYDAJ	PREVOD NA UCET	1354	58079	UVER	WX	65474504
879059	2994	1998-11-12	VYDAJ	PREVOD NA UCET	1354	56343	UVER	WX	65474504
879060	2994	1998-12-12	VYDAJ	PREVOD NA UCET	1354	62575	UVER	WX	65474504
879062	2994	1997-06-21	VYDAJ	VYBER	13280	54860	\N	\N	\N
879063	2994	1998-06-27	VYDAJ	VYBER	10400	39106	\N	\N	\N
879065	2994	1997-01-19	VYDAJ	VYBER	15840	29513	\N	\N	\N
879066	2994	1998-01-10	VYDAJ	VYBER KARTOU	2400	48713	\N	\N	0
879067	2994	1996-12-04	VYDAJ	VYBER	800	37140	\N	\N	\N
879068	2994	1997-12-17	VYDAJ	VYBER KARTOU	2400	66689	\N	\N	0
879069	2994	1998-12-28	VYDAJ	VYBER	4320	38238	\N	\N	\N
879076	2994	1997-01-08	VYDAJ	VYBER	2640	35175	\N	\N	\N
879077	2994	1997-01-17	VYDAJ	VYBER	840	45353	\N	\N	\N
879078	2994	1997-01-13	VYDAJ	VYBER	3480	49410	\N	\N	\N
879079	2994	1997-01-19	VYDAJ	VYBER	1320	28193	\N	\N	\N
879080	2994	1997-01-26	VYDAJ	VYBER	2040	22793	\N	\N	\N
879081	2994	1997-01-23	VYDAJ	VYBER	3360	24833	\N	\N	\N
879082	2994	1998-01-30	VYDAJ	VYBER KARTOU	2500	44811	\N	\N	0
879083	2994	1998-01-07	VYDAJ	VYBER KARTOU	700	51113	\N	\N	0
879084	2994	1998-01-22	VYDAJ	VYBER KARTOU	1200	61011	\N	\N	0
879085	2994	1998-01-29	VYDAJ	VYBER KARTOU	3100	47311	\N	\N	0
879086	2994	1998-01-06	VYDAJ	VYBER KARTOU	3200	51813	\N	\N	0
879087	2994	1998-01-11	VYDAJ	VYBER KARTOU	1000	47713	\N	\N	0
879089	2994	1996-12-11	VYDAJ	VYBER	5280	31860	\N	\N	\N
879090	2994	1996-12-18	VYDAJ	VYBER	2160	53733	\N	\N	\N
879092	2994	1996-11-25	VYDAJ	VYBER	1920	49965	\N	\N	\N
879094	2994	1996-09-17	VYDAJ	VYBER	3360	56314	\N	\N	\N
879095	2994	1997-07-26	VYDAJ	VYBER	840	55767	\N	\N	\N
879096	2994	1997-01-06	VYDAJ	VYBER	2400	37815	\N	\N	\N
879097	2994	1997-12-13	VYDAJ	VYBER KARTOU	1000	73406	\N	\N	0
879098	2994	1997-07-14	VYDAJ	VYBER	1560	56607	\N	\N	\N
879099	2994	1997-12-15	VYDAJ	VYBER KARTOU	1100	69089	\N	\N	0
879100	2994	1998-11-26	VYDAJ	VYBER	4560	35166	\N	\N	\N
879101	2994	1998-05-22	VYDAJ	VYBER KARTOU	2800	62060	\N	\N	0
879102	2994	1998-08-22	VYDAJ	VYBER	4440	35845	\N	\N	\N
879103	2994	1998-06-25	VYDAJ	VYBER KARTOU	1300	49506	\N	\N	0
879113	2994	1996-09-30	VYDAJ	VYBER	15	38308	SLUZBY	\N	\N
879114	2994	1996-10-31	VYDAJ	VYBER	15	37387	SLUZBY	\N	\N
879115	2994	1996-11-30	VYDAJ	VYBER	15	37940	SLUZBY	\N	\N
879116	2994	1996-12-31	VYDAJ	VYBER	15	40215	SLUZBY	\N	\N
879117	2994	1997-01-31	VYDAJ	VYBER	15	26826	SLUZBY	\N	\N
879118	2994	1997-02-28	VYDAJ	VYBER	15	34857	SLUZBY	\N	\N
879119	2994	1997-03-31	VYDAJ	VYBER	15	41222	SLUZBY	\N	\N
879120	2994	1997-04-30	VYDAJ	VYBER	15	43311	SLUZBY	\N	\N
879121	2994	1997-05-31	VYDAJ	VYBER	15	44108	SLUZBY	\N	\N
879122	2994	1997-06-30	VYDAJ	VYBER	15	43669	SLUZBY	\N	\N
879123	2994	1997-07-31	VYDAJ	VYBER	15	43461	SLUZBY	\N	\N
879124	2994	1997-08-31	VYDAJ	VYBER	15	45255	SLUZBY	\N	\N
879125	2994	1997-09-30	VYDAJ	VYBER	15	45554	SLUZBY	\N	\N
879126	2994	1997-10-31	VYDAJ	VYBER	15	46354	SLUZBY	\N	\N
879127	2994	1997-11-30	VYDAJ	VYBER	15	47156	SLUZBY	\N	\N
879128	2994	1997-12-31	VYDAJ	VYBER	15	55013	SLUZBY	\N	\N
879129	2994	1998-01-31	VYDAJ	VYBER	15	45026	SLUZBY	\N	\N
879130	2994	1998-02-28	VYDAJ	VYBER	15	50224	SLUZBY	\N	\N
879131	2994	1998-03-31	VYDAJ	VYBER	15	51742	SLUZBY	\N	\N
879132	2994	1998-04-30	VYDAJ	VYBER	15	50362	SLUZBY	\N	\N
879133	2994	1998-05-31	VYDAJ	VYBER	15	47273	SLUZBY	\N	\N
879134	2994	1998-06-30	VYDAJ	VYBER	15	39320	SLUZBY	\N	\N
879135	2994	1998-07-31	VYDAJ	VYBER	15	39587	SLUZBY	\N	\N
879136	2994	1998-08-31	VYDAJ	VYBER	15	36008	SLUZBY	\N	\N
879137	2994	1998-09-30	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
879138	2994	1998-10-31	VYDAJ	VYBER	15	38628	SLUZBY	\N	\N
879139	2994	1998-11-30	VYDAJ	VYBER	15	35325	SLUZBY	\N	\N
879140	2994	1996-06-02	PRIJEM	VKLAD	4700	24723	\N	\N	\N
879141	2994	1996-07-02	VYDAJ	VYBER	13000	40497	\N	\N	\N
879142	2994	1996-08-01	VYDAJ	VYBER	18600	41205	\N	\N	\N
879143	2994	1996-08-31	VYDAJ	VYBER	16700	43822	\N	\N	\N
879144	2994	1996-09-30	VYDAJ	VYBER	16500	38323	\N	\N	\N
879145	2994	1996-10-30	VYDAJ	VYBER	15600	37206	\N	\N	\N
879146	2994	1996-11-29	VYDAJ	VYBER	12200	37765	\N	\N	\N
879147	2994	1996-12-29	VYDAJ	VYBER	13700	40033	\N	\N	\N
879148	2994	1997-01-28	PRIJEM	VKLAD	3900	26693	\N	\N	\N
879149	2994	1997-02-27	VYDAJ	VYBER	6600	34724	\N	\N	\N
879150	2994	1997-03-29	VYDAJ	VYBER	8300	41055	\N	\N	\N
879151	2994	1997-04-28	VYDAJ	VYBER	12600	43120	\N	\N	\N
879152	2994	1997-05-28	VYDAJ	VYBER	13900	43909	\N	\N	\N
879153	2994	1997-06-27	VYDAJ	VYBER	11400	43460	\N	\N	\N
879154	2994	1997-07-27	VYDAJ	VYBER	12500	43267	\N	\N	\N
879155	2994	1997-08-26	VYDAJ	VYBER	12900	45059	\N	\N	\N
879156	2994	1997-09-25	VYDAJ	VYBER	14400	45353	\N	\N	\N
879157	2994	1997-10-25	VYDAJ	VYBER	13900	46152	\N	\N	\N
879158	2994	1997-11-24	VYDAJ	VYBER	13900	46952	\N	\N	\N
879159	2994	1997-12-24	VYDAJ	VYBER	11900	54789	\N	\N	\N
879160	2994	1998-01-23	VYDAJ	VYBER	10600	50411	\N	\N	\N
879161	2994	1998-02-22	VYDAJ	VYBER	9500	50024	\N	\N	\N
879162	2994	1998-03-24	VYDAJ	VYBER	13200	51522	\N	\N	\N
879163	2994	1998-04-23	VYDAJ	VYBER	16100	50140	\N	\N	\N
879164	2994	1998-05-23	VYDAJ	VYBER	15000	47060	\N	\N	\N
879165	2994	1998-06-22	VYDAJ	VYBER	20500	50806	\N	\N	\N
879166	2994	1998-07-22	VYDAJ	VYBER	14400	39418	\N	\N	\N
879167	2994	1998-08-21	VYDAJ	VYBER	13800	40285	\N	\N	\N
879168	2994	1998-09-20	VYDAJ	VYBER	10300	40206	\N	\N	\N
879169	2994	1998-10-20	VYDAJ	VYBER	16400	38462	\N	\N	\N
879170	2994	1998-11-19	VYDAJ	VYBER	13400	39726	\N	\N	\N
879171	2994	1998-12-19	VYDAJ	VYBER	16800	42558	\N	\N	\N
879204	2995	1996-12-14	PRIJEM	VKLAD	900	900	\N	\N	\N
879212	2995	1996-12-21	PRIJEM	VKLAD	34592	35492	\N	\N	\N
879220	2995	1997-09-25	PRIJEM	VKLAD	7285	30813	\N	\N	\N
879221	2995	1998-03-01	PRIJEM	VKLAD	48315	86213	\N	\N	\N
879222	2995	1998-06-06	PRIJEM	VKLAD	15617	39218	\N	\N	\N
879223	2995	1998-04-10	PRIJEM	VKLAD	18459	67196	\N	\N	\N
879224	2995	1998-05-06	PRIJEM	VKLAD	40668	108137	\N	\N	\N
879225	2995	1998-09-27	PRIJEM	VKLAD	7690	4401	\N	\N	\N
879254	2995	1998-05-11	VYDAJ	VYBER	14700	36937	SIPO	\N	0
879255	2995	1998-06-14	VYDAJ	VYBER	14100	19018	SIPO	\N	0
879256	2995	1998-06-29	VYDAJ	VYBER	14300	4718	SIPO	\N	0
879257	2995	1998-08-16	VYDAJ	VYBER	16200	1902	SIPO	\N	0
879258	2995	1998-09-10	VYDAJ	VYBER	13400	-3289	SIPO	\N	0
879259	2995	1998-10-13	VYDAJ	VYBER	11400	2372	SIPO	\N	0
879260	2995	1998-11-10	VYDAJ	VYBER	13200	-329	SIPO	\N	0
879261	2995	1998-12-08	VYDAJ	VYBER	12200	-5243	SIPO	\N	0
879322	2995	1998-05-28	VYDAJ	VYBER	13500	23437	\N	\N	\N
879355	2995	1998-05-31	VYDAJ	VYBER	15	23601	SLUZBY	\N	\N
879356	2995	1998-06-30	VYDAJ	VYBER	15	4796	SLUZBY	\N	\N
879357	2995	1998-07-31	VYDAJ	VYBER	15	9802	SLUZBY	\N	\N
879358	2995	1998-08-31	VYDAJ	VYBER	15	1911	SLUZBY	\N	\N
879359	2995	1998-09-30	VYDAJ	VYBER	15	4391	SLUZBY	\N	\N
879360	2995	1998-10-31	VYDAJ	VYBER	15	2371	SLUZBY	\N	\N
879361	2995	1998-11-30	VYDAJ	VYBER	15	-343	SLUZBY	\N	\N
879362	2995	1997-01-13	VYDAJ	VYBER	9300	26245	\N	\N	\N
879363	2995	1997-02-12	VYDAJ	VYBER	5000	21392	\N	\N	\N
879364	2995	1997-03-14	VYDAJ	VYBER	1300	20240	\N	\N	\N
879365	2995	1997-04-13	PRIJEM	VKLAD	3900	24288	\N	\N	\N
879366	2995	1997-05-13	PRIJEM	VKLAD	2200	26636	\N	\N	\N
879367	2995	1997-06-12	VYDAJ	VYBER	300	26484	\N	\N	\N
879368	2995	1997-07-12	PRIJEM	VKLAD	2200	28832	\N	\N	\N
879369	2995	1997-08-11	VYDAJ	VYBER	2100	26880	\N	\N	\N
879370	2995	1997-09-10	VYDAJ	VYBER	3500	23528	\N	\N	\N
879371	2995	1997-10-10	VYDAJ	VYBER	2500	28457	\N	\N	\N
879372	2995	1997-11-09	PRIJEM	VKLAD	400	28985	\N	\N	\N
879373	2995	1997-12-09	PRIJEM	VKLAD	3700	32813	\N	\N	\N
879374	2995	1998-01-08	PRIJEM	VKLAD	1500	34442	\N	\N	\N
879375	2995	1998-02-07	PRIJEM	VKLAD	3200	37770	\N	\N	\N
879376	2995	1998-03-09	VYDAJ	VYBER	24500	61713	\N	\N	\N
879377	2995	1998-04-08	VYDAJ	VYBER	13200	48737	\N	\N	\N
879378	2995	1998-05-06	VYDAJ	VYBER	50600	57537	\N	\N	\N
879379	2995	1998-05-08	VYDAJ	VYBER	5900	51637	\N	\N	\N
879380	2995	1998-06-07	VYDAJ	VYBER	6100	33118	\N	\N	\N
879381	2995	1998-07-07	PRIJEM	VKLAD	5000	9796	\N	\N	\N
879382	2995	1998-08-06	PRIJEM	VKLAD	8300	18102	\N	\N	\N
879383	2995	1998-09-05	PRIJEM	VKLAD	8200	10111	\N	\N	\N
879384	2995	1998-10-05	PRIJEM	VKLAD	9400	13772	\N	\N	\N
879385	2995	1998-11-04	PRIJEM	VKLAD	10500	12871	\N	\N	\N
879386	2995	1998-12-04	PRIJEM	VKLAD	7300	6957	\N	\N	\N
879413	2996	1994-05-17	PRIJEM	VKLAD	400	400	\N	\N	\N
879419	2996	1994-06-08	PRIJEM	VKLAD	20343	20743	\N	\N	\N
879420	2996	1994-07-08	PRIJEM	VKLAD	13562	37254	\N	\N	\N
879421	2996	1994-08-08	PRIJEM	VKLAD	13562	45933	\N	\N	\N
879422	2996	1994-09-08	PRIJEM	VKLAD	13562	49438	\N	\N	\N
879423	2996	1994-10-08	PRIJEM	VKLAD	13562	52756	\N	\N	\N
879424	2996	1994-11-08	PRIJEM	VKLAD	13562	44770	\N	\N	\N
879425	2996	1994-12-08	PRIJEM	VKLAD	20343	51678	\N	\N	\N
879426	2996	1995-01-08	PRIJEM	VKLAD	13562	38392	\N	\N	\N
879427	2996	1995-02-08	PRIJEM	VKLAD	13562	28974	\N	\N	\N
879428	2996	1995-03-08	PRIJEM	VKLAD	13562	37642	\N	\N	\N
879429	2996	1995-04-08	PRIJEM	VKLAD	13562	39129	\N	\N	\N
879430	2996	1995-05-08	PRIJEM	VKLAD	13562	41925	\N	\N	\N
879431	2996	1995-06-08	PRIJEM	VKLAD	20343	50711	\N	\N	\N
879432	2996	1995-07-08	PRIJEM	VKLAD	13562	33821	\N	\N	\N
879433	2996	1995-08-08	PRIJEM	VKLAD	13562	39202	\N	\N	\N
879434	2996	1995-09-08	PRIJEM	VKLAD	13562	41997	\N	\N	\N
879435	2996	1995-10-08	PRIJEM	VKLAD	13562	43900	\N	\N	\N
879436	2996	1995-11-08	PRIJEM	VKLAD	13562	45411	\N	\N	\N
879437	2996	1995-12-08	PRIJEM	VKLAD	20343	50408	\N	\N	\N
879438	2996	1996-01-08	PRIJEM	VKLAD	13562	44631	\N	\N	\N
879439	2996	1996-02-08	PRIJEM	VKLAD	13562	42239	\N	\N	\N
879440	2996	1996-03-08	PRIJEM	VKLAD	13562	47454	\N	\N	\N
879441	2996	1996-04-08	PRIJEM	VKLAD	13562	51693	\N	\N	\N
879442	2996	1996-05-08	PRIJEM	VKLAD	13562	53949	\N	\N	\N
879443	2996	1996-06-08	PRIJEM	VKLAD	20343	59397	\N	\N	\N
879444	2996	1996-07-08	PRIJEM	VKLAD	13562	54579	\N	\N	\N
879445	2996	1996-08-08	PRIJEM	VKLAD	13562	51948	\N	\N	\N
879446	2996	1996-09-08	PRIJEM	VKLAD	13562	48408	\N	\N	\N
879447	2996	1996-10-08	PRIJEM	VKLAD	13562	49753	\N	\N	\N
879448	2996	1996-11-08	PRIJEM	VKLAD	13562	47901	\N	\N	\N
879449	2996	1996-12-08	PRIJEM	VKLAD	20343	52723	\N	\N	\N
879450	2996	1997-01-08	PRIJEM	VKLAD	13562	48677	\N	\N	\N
879451	2996	1997-02-08	PRIJEM	VKLAD	13562	45492	\N	\N	\N
879452	2996	1997-03-08	PRIJEM	VKLAD	13562	51021	\N	\N	\N
879453	2996	1997-04-08	PRIJEM	VKLAD	13562	52571	\N	\N	\N
879454	2996	1997-05-08	PRIJEM	VKLAD	13562	53630	\N	\N	\N
879455	2996	1997-06-08	PRIJEM	VKLAD	20343	36174	\N	\N	\N
879456	2996	1997-07-08	PRIJEM	VKLAD	13562	41269	\N	\N	\N
879457	2996	1997-08-08	PRIJEM	VKLAD	13562	44079	\N	\N	\N
879458	2996	1997-09-08	PRIJEM	VKLAD	13562	50803	\N	\N	\N
879459	2996	1997-10-08	PRIJEM	VKLAD	13562	51052	\N	\N	\N
879460	2996	1997-11-08	PRIJEM	VKLAD	13562	55401	\N	\N	\N
879461	2996	1997-12-08	PRIJEM	VKLAD	20343	65150	\N	\N	\N
879462	2996	1998-01-08	PRIJEM	VKLAD	13562	50237	\N	\N	\N
879463	2996	1998-02-08	PRIJEM	VKLAD	13562	41572	\N	\N	\N
879464	2996	1998-03-08	PRIJEM	VKLAD	13562	49485	\N	\N	\N
879465	2996	1998-04-08	PRIJEM	VKLAD	13562	52327	\N	\N	\N
879466	2996	1998-05-08	PRIJEM	VKLAD	13562	55182	\N	\N	\N
879467	2996	1998-06-08	PRIJEM	VKLAD	20343	68131	\N	\N	\N
879468	2996	1998-07-08	PRIJEM	VKLAD	13562	59732	\N	\N	\N
879469	2996	1998-08-08	PRIJEM	VKLAD	13562	60114	\N	\N	\N
879470	2996	1998-09-08	PRIJEM	VKLAD	13562	59996	\N	\N	\N
879471	2996	1998-10-08	PRIJEM	VKLAD	13562	57274	\N	\N	\N
879472	2996	1998-11-08	PRIJEM	VKLAD	13562	58044	\N	\N	\N
879473	2996	1998-12-08	PRIJEM	VKLAD	20343	71605	\N	\N	\N
879484	2996	1994-11-05	VYDAJ	PREVOD NA UCET	7282	31223	SIPO	ST	55056405
879485	2996	1994-12-05	VYDAJ	PREVOD NA UCET	7282	31350	SIPO	ST	55056405
879486	2996	1995-01-05	VYDAJ	PREVOD NA UCET	7282	28945	SIPO	ST	55056405
879487	2996	1995-02-05	VYDAJ	PREVOD NA UCET	7282	15427	SIPO	ST	55056405
879488	2996	1995-03-05	VYDAJ	PREVOD NA UCET	7282	24095	SIPO	ST	55056405
879489	2996	1995-04-05	VYDAJ	PREVOD NA UCET	7282	25582	SIPO	ST	55056405
879490	2996	1995-05-05	VYDAJ	PREVOD NA UCET	7282	28378	SIPO	ST	55056405
879491	2996	1995-06-05	VYDAJ	PREVOD NA UCET	7282	30383	SIPO	ST	55056405
879492	2996	1995-07-05	VYDAJ	PREVOD NA UCET	7282	20274	SIPO	ST	55056405
879493	2996	1995-08-05	VYDAJ	PREVOD NA UCET	7282	25655	SIPO	ST	55056405
879494	2996	1995-09-05	VYDAJ	PREVOD NA UCET	7282	28450	SIPO	ST	55056405
879495	2996	1995-10-05	VYDAJ	PREVOD NA UCET	7282	30353	SIPO	ST	55056405
879496	2996	1995-11-05	VYDAJ	PREVOD NA UCET	7282	31864	SIPO	ST	55056405
879497	2996	1995-12-05	VYDAJ	PREVOD NA UCET	7282	30680	SIPO	ST	55056405
879498	2996	1996-01-05	VYDAJ	PREVOD NA UCET	7282	33884	SIPO	ST	55056405
879499	2996	1996-02-05	VYDAJ	PREVOD NA UCET	7282	27292	SIPO	ST	55056405
879500	2996	1996-03-05	VYDAJ	PREVOD NA UCET	7282	34607	SIPO	ST	55056405
879501	2996	1996-04-05	VYDAJ	PREVOD NA UCET	7282	39846	SIPO	ST	55056405
879502	2996	1996-05-05	VYDAJ	PREVOD NA UCET	7282	44102	SIPO	ST	55056405
879503	2996	1996-06-05	VYDAJ	PREVOD NA UCET	7282	46369	SIPO	ST	55056405
879504	2996	1996-07-05	VYDAJ	PREVOD NA UCET	7282	41032	SIPO	ST	55056405
879505	2996	1996-08-05	VYDAJ	PREVOD NA UCET	7282	38401	SIPO	ST	55056405
879506	2996	1996-09-05	VYDAJ	PREVOD NA UCET	7282	34861	SIPO	ST	55056405
879507	2996	1996-10-05	VYDAJ	PREVOD NA UCET	7282	36206	SIPO	ST	55056405
879508	2996	1996-11-05	VYDAJ	PREVOD NA UCET	7282	34354	SIPO	ST	55056405
879509	2996	1996-12-05	VYDAJ	PREVOD NA UCET	7282	35795	SIPO	ST	55056405
879510	2996	1997-01-05	VYDAJ	PREVOD NA UCET	7282	35130	SIPO	ST	55056405
879511	2996	1997-02-05	VYDAJ	PREVOD NA UCET	7282	31945	SIPO	ST	55056405
879512	2996	1997-03-05	VYDAJ	PREVOD NA UCET	7282	37474	SIPO	ST	55056405
879513	2996	1997-04-05	VYDAJ	PREVOD NA UCET	7282	39024	SIPO	ST	55056405
879514	2996	1997-05-05	VYDAJ	PREVOD NA UCET	7282	40083	SIPO	ST	55056405
879515	2996	1997-06-05	VYDAJ	PREVOD NA UCET	7282	15846	SIPO	ST	55056405
879516	2996	1997-07-05	VYDAJ	PREVOD NA UCET	7282	27722	SIPO	ST	55056405
879517	2996	1997-08-05	VYDAJ	PREVOD NA UCET	7282	30532	SIPO	ST	55056405
879518	2996	1997-09-05	VYDAJ	PREVOD NA UCET	7282	37256	SIPO	ST	55056405
879519	2996	1997-10-05	VYDAJ	PREVOD NA UCET	7282	37505	SIPO	ST	55056405
879520	2996	1997-11-05	VYDAJ	PREVOD NA UCET	7282	41854	SIPO	ST	55056405
879521	2996	1997-12-05	VYDAJ	PREVOD NA UCET	7282	44822	SIPO	ST	55056405
879522	2996	1998-01-05	VYDAJ	PREVOD NA UCET	7282	38890	SIPO	ST	55056405
879523	2996	1998-02-05	VYDAJ	PREVOD NA UCET	7282	28025	SIPO	ST	55056405
879524	2996	1998-03-05	VYDAJ	PREVOD NA UCET	7282	35938	SIPO	ST	55056405
879525	2996	1998-04-05	VYDAJ	PREVOD NA UCET	7282	38780	SIPO	ST	55056405
879526	2996	1998-05-05	VYDAJ	PREVOD NA UCET	7282	41635	SIPO	ST	55056405
879527	2996	1998-06-05	VYDAJ	PREVOD NA UCET	7282	47803	SIPO	ST	55056405
879528	2996	1998-07-05	VYDAJ	PREVOD NA UCET	7282	46185	SIPO	ST	55056405
879529	2996	1998-08-05	VYDAJ	PREVOD NA UCET	7282	46567	SIPO	ST	55056405
879530	2996	1998-09-05	VYDAJ	PREVOD NA UCET	7282	46449	SIPO	ST	55056405
879531	2996	1998-10-05	VYDAJ	PREVOD NA UCET	7282	43727	SIPO	ST	55056405
879532	2996	1998-11-05	VYDAJ	PREVOD NA UCET	7282	44497	SIPO	ST	55056405
879533	2996	1998-12-05	VYDAJ	PREVOD NA UCET	7282	51277	SIPO	ST	55056405
879544	2996	1994-11-07	VYDAJ	PREVOD NA UCET	15	31208	 	WX	21435213
879545	2996	1994-12-07	VYDAJ	PREVOD NA UCET	15	31335	 	WX	21435213
879546	2996	1995-01-07	VYDAJ	PREVOD NA UCET	15	24830	 	WX	21435213
879547	2996	1995-02-07	VYDAJ	PREVOD NA UCET	15	15412	 	WX	21435213
879548	2996	1995-03-07	VYDAJ	PREVOD NA UCET	15	24080	 	WX	21435213
879549	2996	1995-04-07	VYDAJ	PREVOD NA UCET	15	25567	 	WX	21435213
879550	2996	1995-05-07	VYDAJ	PREVOD NA UCET	15	28363	 	WX	21435213
879551	2996	1995-06-07	VYDAJ	PREVOD NA UCET	15	30368	 	WX	21435213
879552	2996	1995-07-07	VYDAJ	PREVOD NA UCET	15	20259	 	WX	21435213
879553	2996	1995-08-07	VYDAJ	PREVOD NA UCET	15	25640	 	WX	21435213
879554	2996	1995-09-07	VYDAJ	PREVOD NA UCET	15	28435	 	WX	21435213
879555	2996	1995-10-07	VYDAJ	PREVOD NA UCET	15	30338	 	WX	21435213
879556	2996	1995-11-07	VYDAJ	PREVOD NA UCET	15	31849	 	WX	21435213
879557	2996	1995-12-07	VYDAJ	PREVOD NA UCET	15	30065	 	WX	21435213
879558	2996	1996-01-07	VYDAJ	PREVOD NA UCET	15	32569	 	WX	21435213
879559	2996	1996-02-07	VYDAJ	PREVOD NA UCET	15	28677	 	WX	21435213
879560	2996	1996-03-07	VYDAJ	PREVOD NA UCET	15	34592	 	WX	21435213
879561	2996	1996-04-07	VYDAJ	PREVOD NA UCET	15	38131	 	WX	21435213
879562	2996	1996-05-07	VYDAJ	PREVOD NA UCET	15	40387	 	WX	21435213
879563	2996	1996-06-07	VYDAJ	PREVOD NA UCET	15	39054	 	WX	21435213
879564	2996	1996-07-07	VYDAJ	PREVOD NA UCET	15	41017	 	WX	21435213
879565	2996	1996-08-07	VYDAJ	PREVOD NA UCET	15	38386	 	WX	21435213
879566	2996	1996-09-07	VYDAJ	PREVOD NA UCET	15	34846	 	WX	21435213
879567	2996	1996-10-07	VYDAJ	PREVOD NA UCET	15	36191	 	WX	21435213
879568	2996	1996-11-07	VYDAJ	PREVOD NA UCET	15	34339	 	WX	21435213
879569	2996	1996-12-07	VYDAJ	PREVOD NA UCET	15	32380	 	WX	21435213
879570	2996	1997-01-07	VYDAJ	PREVOD NA UCET	15	35115	 	WX	21435213
879571	2996	1997-02-07	VYDAJ	PREVOD NA UCET	15	31930	 	WX	21435213
879572	2996	1997-03-07	VYDAJ	PREVOD NA UCET	15	37459	 	WX	21435213
879573	2996	1997-04-07	VYDAJ	PREVOD NA UCET	15	39009	 	WX	21435213
879574	2996	1997-05-07	VYDAJ	PREVOD NA UCET	15	40068	 	WX	21435213
879575	2996	1997-06-07	VYDAJ	PREVOD NA UCET	15	15831	 	WX	21435213
879576	2996	1997-07-07	VYDAJ	PREVOD NA UCET	15	27707	 	WX	21435213
879577	2996	1997-08-07	VYDAJ	PREVOD NA UCET	15	30517	 	WX	21435213
879578	2996	1997-09-07	VYDAJ	PREVOD NA UCET	15	37241	 	WX	21435213
879579	2996	1997-10-07	VYDAJ	PREVOD NA UCET	15	37490	 	WX	21435213
879580	2996	1997-11-07	VYDAJ	PREVOD NA UCET	15	41839	 	WX	21435213
879581	2996	1997-12-07	VYDAJ	PREVOD NA UCET	15	44807	 	WX	21435213
879582	2996	1998-01-07	VYDAJ	PREVOD NA UCET	15	36675	 	WX	21435213
879583	2996	1998-02-07	VYDAJ	PREVOD NA UCET	15	28010	 	WX	21435213
879584	2996	1998-03-07	VYDAJ	PREVOD NA UCET	15	35923	 	WX	21435213
879585	2996	1998-04-07	VYDAJ	PREVOD NA UCET	15	38765	 	WX	21435213
879586	2996	1998-05-07	VYDAJ	PREVOD NA UCET	15	41620	 	WX	21435213
879587	2996	1998-06-07	VYDAJ	PREVOD NA UCET	15	47788	 	WX	21435213
879588	2996	1998-07-07	VYDAJ	PREVOD NA UCET	15	46170	 	WX	21435213
879589	2996	1998-08-07	VYDAJ	PREVOD NA UCET	15	46552	 	WX	21435213
879590	2996	1998-09-07	VYDAJ	PREVOD NA UCET	15	46434	 	WX	21435213
879591	2996	1998-10-07	VYDAJ	PREVOD NA UCET	15	43712	 	WX	21435213
879592	2996	1998-11-07	VYDAJ	PREVOD NA UCET	15	44482	 	WX	21435213
879593	2996	1998-12-07	VYDAJ	PREVOD NA UCET	15	51262	 	WX	21435213
879603	2996	1994-10-12	VYDAJ	PREVOD NA UCET	99	52657	POJISTNE	MN	47044444
879604	2996	1994-11-12	VYDAJ	PREVOD NA UCET	99	44671	POJISTNE	MN	47044444
879605	2996	1994-12-12	VYDAJ	PREVOD NA UCET	99	51579	POJISTNE	MN	47044444
879606	2996	1995-01-12	VYDAJ	PREVOD NA UCET	99	37593	POJISTNE	MN	47044444
879607	2996	1995-02-12	VYDAJ	PREVOD NA UCET	99	31675	POJISTNE	MN	47044444
879608	2996	1995-03-12	VYDAJ	PREVOD NA UCET	99	37543	POJISTNE	MN	47044444
879609	2996	1995-04-12	VYDAJ	PREVOD NA UCET	99	35930	POJISTNE	MN	47044444
879610	2996	1995-05-12	VYDAJ	PREVOD NA UCET	99	37926	POJISTNE	MN	47044444
879611	2996	1995-06-12	VYDAJ	PREVOD NA UCET	99	40312	POJISTNE	MN	47044444
879612	2996	1995-07-12	VYDAJ	PREVOD NA UCET	99	33222	POJISTNE	MN	47044444
879613	2996	1995-08-12	VYDAJ	PREVOD NA UCET	99	36003	POJISTNE	MN	47044444
879614	2996	1995-09-12	VYDAJ	PREVOD NA UCET	99	37898	POJISTNE	MN	47044444
879615	2996	1995-10-12	VYDAJ	PREVOD NA UCET	99	39401	POJISTNE	MN	47044444
879616	2996	1995-11-12	VYDAJ	PREVOD NA UCET	99	41212	POJISTNE	MN	47044444
879617	2996	1995-12-12	VYDAJ	PREVOD NA UCET	99	42909	POJISTNE	MN	47044444
879618	2996	1996-01-12	VYDAJ	PREVOD NA UCET	99	40532	POJISTNE	MN	47044444
879619	2996	1996-02-12	VYDAJ	PREVOD NA UCET	99	42140	POJISTNE	MN	47044444
879620	2996	1996-03-12	VYDAJ	PREVOD NA UCET	99	47355	POJISTNE	MN	47044444
879621	2996	1996-04-12	VYDAJ	PREVOD NA UCET	99	51594	POJISTNE	MN	47044444
879622	2996	1996-05-12	VYDAJ	PREVOD NA UCET	99	53850	POJISTNE	MN	47044444
879623	2996	1996-06-12	VYDAJ	PREVOD NA UCET	99	59298	POJISTNE	MN	47044444
879624	2996	1996-07-12	VYDAJ	PREVOD NA UCET	99	54480	POJISTNE	MN	47044444
879625	2996	1996-08-12	VYDAJ	PREVOD NA UCET	99	51849	POJISTNE	MN	47044444
879626	2996	1996-09-12	VYDAJ	PREVOD NA UCET	99	48309	POJISTNE	MN	47044444
879627	2996	1996-10-12	VYDAJ	PREVOD NA UCET	99	49654	POJISTNE	MN	47044444
879628	2996	1996-11-12	VYDAJ	PREVOD NA UCET	99	47802	POJISTNE	MN	47044444
879629	2996	1996-12-12	VYDAJ	PREVOD NA UCET	99	51824	POJISTNE	MN	47044444
879630	2996	1997-01-12	VYDAJ	PREVOD NA UCET	99	42878	POJISTNE	MN	47044444
879631	2996	1997-02-12	VYDAJ	PREVOD NA UCET	99	45393	POJISTNE	MN	47044444
879632	2996	1997-03-12	VYDAJ	PREVOD NA UCET	99	50922	POJISTNE	MN	47044444
879633	2996	1997-04-12	VYDAJ	PREVOD NA UCET	99	52472	POJISTNE	MN	47044444
879634	2996	1997-05-12	VYDAJ	PREVOD NA UCET	99	53531	POJISTNE	MN	47044444
879635	2996	1997-06-12	VYDAJ	PREVOD NA UCET	99	36075	POJISTNE	MN	47044444
879636	2996	1997-07-12	VYDAJ	PREVOD NA UCET	99	41170	POJISTNE	MN	47044444
879637	2996	1997-08-12	VYDAJ	PREVOD NA UCET	99	43980	POJISTNE	MN	47044444
879638	2996	1997-09-12	VYDAJ	PREVOD NA UCET	99	50704	POJISTNE	MN	47044444
879639	2996	1997-10-12	VYDAJ	PREVOD NA UCET	99	50953	POJISTNE	MN	47044444
879640	2996	1997-11-12	VYDAJ	PREVOD NA UCET	99	55302	POJISTNE	MN	47044444
879641	2996	1997-12-12	VYDAJ	PREVOD NA UCET	99	65051	POJISTNE	MN	47044444
879642	2996	1998-01-12	VYDAJ	PREVOD NA UCET	99	50138	POJISTNE	MN	47044444
879643	2996	1998-02-12	VYDAJ	PREVOD NA UCET	99	41473	POJISTNE	MN	47044444
879644	2996	1998-03-12	VYDAJ	PREVOD NA UCET	99	49386	POJISTNE	MN	47044444
879645	2996	1998-04-12	VYDAJ	PREVOD NA UCET	99	52228	POJISTNE	MN	47044444
879646	2996	1998-05-12	VYDAJ	PREVOD NA UCET	99	55083	POJISTNE	MN	47044444
879647	2996	1998-06-12	VYDAJ	PREVOD NA UCET	99	68032	POJISTNE	MN	47044444
879648	2996	1998-07-12	VYDAJ	PREVOD NA UCET	99	59633	POJISTNE	MN	47044444
879649	2996	1998-08-12	VYDAJ	PREVOD NA UCET	99	60015	POJISTNE	MN	47044444
879650	2996	1998-09-12	VYDAJ	PREVOD NA UCET	99	59897	POJISTNE	MN	47044444
879651	2996	1998-10-12	VYDAJ	PREVOD NA UCET	99	57175	POJISTNE	MN	47044444
879652	2996	1998-11-12	VYDAJ	PREVOD NA UCET	99	57945	POJISTNE	MN	47044444
879653	2996	1998-12-12	VYDAJ	PREVOD NA UCET	99	71506	POJISTNE	MN	47044444
879663	2996	1994-10-13	VYDAJ	PREVOD NA UCET	402	52255	 	EF	27229410
879664	2996	1994-11-13	VYDAJ	PREVOD NA UCET	402	44269	 	EF	27229410
879665	2996	1994-12-13	VYDAJ	PREVOD NA UCET	402	39277	 	EF	27229410
879666	2996	1995-01-13	VYDAJ	PREVOD NA UCET	402	33291	 	EF	27229410
879667	2996	1995-02-13	VYDAJ	PREVOD NA UCET	402	31273	 	EF	27229410
879668	2996	1995-03-13	VYDAJ	PREVOD NA UCET	402	32741	 	EF	27229410
879669	2996	1995-04-13	VYDAJ	PREVOD NA UCET	402	35528	 	EF	27229410
879670	2996	1995-05-13	VYDAJ	PREVOD NA UCET	402	37524	 	EF	27229410
879671	2996	1995-06-13	VYDAJ	PREVOD NA UCET	402	39910	 	EF	27229410
879672	2996	1995-07-13	VYDAJ	PREVOD NA UCET	402	32820	 	EF	27229410
879673	2996	1995-08-13	VYDAJ	PREVOD NA UCET	402	35601	 	EF	27229410
879674	2996	1995-09-13	VYDAJ	PREVOD NA UCET	402	37496	 	EF	27229410
879675	2996	1995-10-13	VYDAJ	PREVOD NA UCET	402	38999	 	EF	27229410
879676	2996	1995-11-13	VYDAJ	PREVOD NA UCET	402	40810	 	EF	27229410
879677	2996	1995-12-13	VYDAJ	PREVOD NA UCET	402	42507	 	EF	27229410
879678	2996	1996-01-13	VYDAJ	PREVOD NA UCET	402	40130	 	EF	27229410
879679	2996	1996-02-13	VYDAJ	PREVOD NA UCET	402	41738	 	EF	27229410
879680	2996	1996-03-13	VYDAJ	PREVOD NA UCET	402	46953	 	EF	27229410
879681	2996	1996-04-13	VYDAJ	PREVOD NA UCET	402	51192	 	EF	27229410
879682	2996	1996-05-13	VYDAJ	PREVOD NA UCET	402	53448	 	EF	27229410
879683	2996	1996-06-13	VYDAJ	PREVOD NA UCET	402	58896	 	EF	27229410
879684	2996	1996-07-13	VYDAJ	PREVOD NA UCET	402	54078	 	EF	27229410
879685	2996	1996-08-13	VYDAJ	PREVOD NA UCET	402	51447	 	EF	27229410
879686	2996	1996-09-13	VYDAJ	PREVOD NA UCET	402	47907	 	EF	27229410
879687	2996	1996-10-13	VYDAJ	PREVOD NA UCET	402	49252	 	EF	27229410
879688	2996	1996-11-13	VYDAJ	PREVOD NA UCET	402	47400	 	EF	27229410
879689	2996	1996-12-13	VYDAJ	PREVOD NA UCET	402	51422	 	EF	27229410
879690	2996	1997-01-13	VYDAJ	PREVOD NA UCET	402	42476	 	EF	27229410
879691	2996	1997-02-13	VYDAJ	PREVOD NA UCET	402	44991	 	EF	27229410
879692	2996	1997-03-13	VYDAJ	PREVOD NA UCET	402	50520	 	EF	27229410
879693	2996	1997-04-13	VYDAJ	PREVOD NA UCET	402	52070	 	EF	27229410
879694	2996	1997-05-13	VYDAJ	PREVOD NA UCET	402	53129	 	EF	27229410
879695	2996	1997-06-13	VYDAJ	PREVOD NA UCET	402	35673	 	EF	27229410
879696	2996	1997-07-13	VYDAJ	PREVOD NA UCET	402	40768	 	EF	27229410
879697	2996	1997-08-13	VYDAJ	PREVOD NA UCET	402	43578	 	EF	27229410
879698	2996	1997-09-13	VYDAJ	PREVOD NA UCET	402	50302	 	EF	27229410
879699	2996	1997-10-13	VYDAJ	PREVOD NA UCET	402	50551	 	EF	27229410
879700	2996	1997-11-13	VYDAJ	PREVOD NA UCET	402	54900	 	EF	27229410
879701	2996	1997-12-13	VYDAJ	PREVOD NA UCET	402	64649	 	EF	27229410
879702	2996	1998-01-13	VYDAJ	PREVOD NA UCET	402	48436	 	EF	27229410
879703	2996	1998-02-13	VYDAJ	PREVOD NA UCET	402	41071	 	EF	27229410
879704	2996	1998-03-13	VYDAJ	PREVOD NA UCET	402	48984	 	EF	27229410
879705	2996	1998-04-13	VYDAJ	PREVOD NA UCET	402	51826	 	EF	27229410
879706	2996	1998-05-13	VYDAJ	PREVOD NA UCET	402	54681	 	EF	27229410
879707	2996	1998-06-13	VYDAJ	PREVOD NA UCET	402	67630	 	EF	27229410
879708	2996	1998-07-13	VYDAJ	PREVOD NA UCET	402	59231	 	EF	27229410
879709	2996	1998-08-13	VYDAJ	PREVOD NA UCET	402	59613	 	EF	27229410
879710	2996	1998-09-13	VYDAJ	PREVOD NA UCET	402	59495	 	EF	27229410
879711	2996	1998-10-13	VYDAJ	PREVOD NA UCET	402	56773	 	EF	27229410
879712	2996	1998-11-13	VYDAJ	PREVOD NA UCET	402	57543	 	EF	27229410
879713	2996	1998-12-13	VYDAJ	PREVOD NA UCET	402	71104	 	EF	27229410
879715	2996	1995-06-27	VYDAJ	VYBER	12500	27410	\N	\N	\N
879716	2996	1996-06-26	VYDAJ	VYBER	4100	54796	\N	\N	\N
879717	2996	1997-06-04	VYDAJ	VYBER	23500	23128	\N	\N	\N
879718	2996	1998-06-24	VYDAJ	VYBER	15600	52030	\N	\N	\N
879720	2996	1995-01-27	VYDAJ	VYBER	5300	26491	\N	\N	\N
879721	2996	1996-01-08	VYDAJ	VYBER	4000	40631	\N	\N	\N
879722	2996	1997-01-26	VYDAJ	VYBER	1100	35976	\N	\N	\N
879723	2996	1998-01-28	VYDAJ	VYBER	9600	35136	\N	\N	\N
879724	2996	1994-12-15	VYDAJ	VYBER	2600	36677	\N	\N	\N
879725	2996	1995-12-05	VYDAJ	VYBER	600	30080	\N	\N	\N
879726	2996	1996-12-10	VYDAJ	VYBER	800	51923	\N	\N	\N
879727	2996	1997-12-24	VYDAJ	VYBER	2000	58849	\N	\N	\N
879728	2996	1998-12-14	VYDAJ	VYBER	1800	69304	\N	\N	\N
879735	2996	1995-01-06	VYDAJ	VYBER	1000	24845	\N	\N	\N
879736	2996	1995-01-29	VYDAJ	VYBER	2300	22591	\N	\N	\N
879737	2996	1995-01-28	VYDAJ	VYBER	800	25691	\N	\N	\N
879738	2996	1995-01-20	VYDAJ	VYBER	1500	31791	\N	\N	\N
879739	2996	1995-01-04	VYDAJ	VYBER	600	36227	\N	\N	\N
879740	2996	1995-01-28	VYDAJ	VYBER	800	24891	\N	\N	\N
879741	2996	1996-01-07	VYDAJ	VYBER	1500	31069	\N	\N	\N
879742	2996	1996-01-25	VYDAJ	VYBER	2600	35130	\N	\N	\N
879743	2996	1996-01-22	VYDAJ	VYBER	1600	37730	\N	\N	\N
879744	2996	1996-01-03	VYDAJ	VYBER	1500	41166	\N	\N	\N
879745	2996	1996-01-20	VYDAJ	VYBER	800	39330	\N	\N	\N
879746	2996	1996-01-28	VYDAJ	VYBER	700	34430	\N	\N	\N
879747	2996	1997-01-08	VYDAJ	VYBER	1700	46977	\N	\N	\N
879748	2996	1997-01-14	VYDAJ	VYBER	1700	40776	\N	\N	\N
879749	2996	1997-01-27	VYDAJ	VYBER	2800	33176	\N	\N	\N
879750	2996	1997-01-10	VYDAJ	VYBER	2400	42977	\N	\N	\N
879751	2996	1997-01-10	VYDAJ	VYBER	1600	45377	\N	\N	\N
879752	2996	1997-01-15	VYDAJ	VYBER	2900	37876	\N	\N	\N
879753	2996	1998-01-04	VYDAJ	VYBER	2900	46172	\N	\N	\N
879754	2996	1998-01-07	VYDAJ	VYBER	2200	36690	\N	\N	\N
879755	2996	1998-01-13	VYDAJ	VYBER	1300	48838	\N	\N	\N
879756	2996	1998-01-19	VYDAJ	VYBER	2700	45736	\N	\N	\N
879757	2996	1998-01-23	VYDAJ	VYBER	1000	44736	\N	\N	\N
879758	2996	1998-01-02	VYDAJ	VYBER	900	49072	\N	\N	\N
879764	2996	1995-10-12	VYDAJ	VYBER	600	39500	\N	\N	\N
879765	2996	1995-11-23	VYDAJ	VYBER	3000	37810	\N	\N	\N
879766	2996	1995-01-08	VYDAJ	VYBER	700	37692	\N	\N	\N
879767	2996	1995-01-06	VYDAJ	VYBER	3100	25845	\N	\N	\N
879768	2996	1996-11-04	VYDAJ	VYBER	3400	41636	\N	\N	\N
879769	2996	1996-12-06	VYDAJ	VYBER	3400	32395	\N	\N	\N
879770	2996	1997-10-05	VYDAJ	VYBER	1400	44787	\N	\N	\N
879771	2996	1997-12-14	VYDAJ	VYBER	3800	60849	\N	\N	\N
879772	2996	1997-01-22	VYDAJ	VYBER	800	37076	\N	\N	\N
879773	2996	1998-12-21	VYDAJ	VYBER	4300	65004	\N	\N	\N
879784	2996	1994-10-31	VYDAJ	VYBER	15	38505	SLUZBY	\N	\N
879785	2996	1994-11-30	VYDAJ	VYBER	15	38632	SLUZBY	\N	\N
879786	2996	1994-12-31	VYDAJ	VYBER	15	36827	SLUZBY	\N	\N
879787	2996	1995-01-31	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
879788	2996	1995-02-28	VYDAJ	VYBER	15	31377	SLUZBY	\N	\N
879789	2996	1995-03-31	VYDAJ	VYBER	15	32864	SLUZBY	\N	\N
879790	2996	1995-04-30	VYDAJ	VYBER	15	35660	SLUZBY	\N	\N
879791	2996	1995-05-31	VYDAJ	VYBER	15	37665	SLUZBY	\N	\N
879792	2996	1995-06-30	VYDAJ	VYBER	15	27556	SLUZBY	\N	\N
879793	2996	1995-07-31	VYDAJ	VYBER	15	32937	SLUZBY	\N	\N
879794	2996	1995-08-31	VYDAJ	VYBER	15	35732	SLUZBY	\N	\N
879795	2996	1995-09-30	VYDAJ	VYBER	15	37635	SLUZBY	\N	\N
879796	2996	1995-10-31	VYDAJ	VYBER	15	39146	SLUZBY	\N	\N
879797	2996	1995-11-30	VYDAJ	VYBER	15	37962	SLUZBY	\N	\N
879798	2996	1995-12-31	VYDAJ	VYBER	15	42666	SLUZBY	\N	\N
879799	2996	1996-01-31	VYDAJ	VYBER	15	34574	SLUZBY	\N	\N
879800	2996	1996-02-29	VYDAJ	VYBER	15	41889	SLUZBY	\N	\N
879801	2996	1996-03-31	VYDAJ	VYBER	15	47128	SLUZBY	\N	\N
879802	2996	1996-04-30	VYDAJ	VYBER	15	51384	SLUZBY	\N	\N
879803	2996	1996-05-31	VYDAJ	VYBER	15	53651	SLUZBY	\N	\N
879804	2996	1996-06-30	VYDAJ	VYBER	15	55014	SLUZBY	\N	\N
879805	2996	1996-07-31	VYDAJ	VYBER	15	54283	SLUZBY	\N	\N
879806	2996	1996-08-31	VYDAJ	VYBER	15	51643	SLUZBY	\N	\N
879807	2996	1996-09-30	VYDAJ	VYBER	15	48088	SLUZBY	\N	\N
879808	2996	1996-10-31	VYDAJ	VYBER	15	49436	SLUZBY	\N	\N
879809	2996	1996-11-30	VYDAJ	VYBER	15	47577	SLUZBY	\N	\N
879810	2996	1996-12-31	VYDAJ	VYBER	15	51612	SLUZBY	\N	\N
879811	2996	1997-01-31	VYDAJ	VYBER	15	39227	SLUZBY	\N	\N
879812	2996	1997-02-28	VYDAJ	VYBER	15	45156	SLUZBY	\N	\N
879813	2996	1997-03-31	VYDAJ	VYBER	15	50706	SLUZBY	\N	\N
879814	2996	1997-04-30	VYDAJ	VYBER	15	52265	SLUZBY	\N	\N
879815	2996	1997-05-31	VYDAJ	VYBER	15	46628	SLUZBY	\N	\N
879816	2996	1997-06-30	VYDAJ	VYBER	15	35004	SLUZBY	\N	\N
879817	2996	1997-07-31	VYDAJ	VYBER	15	37814	SLUZBY	\N	\N
879818	2996	1997-08-31	VYDAJ	VYBER	15	44538	SLUZBY	\N	\N
879819	2996	1997-09-30	VYDAJ	VYBER	15	46187	SLUZBY	\N	\N
879820	2996	1997-10-31	VYDAJ	VYBER	15	49136	SLUZBY	\N	\N
879821	2996	1997-11-30	VYDAJ	VYBER	15	52104	SLUZBY	\N	\N
879822	2996	1997-12-31	VYDAJ	VYBER	15	49972	SLUZBY	\N	\N
879823	2996	1998-01-31	VYDAJ	VYBER	15	35307	SLUZBY	\N	\N
879824	2996	1998-02-28	VYDAJ	VYBER	15	43220	SLUZBY	\N	\N
879825	2996	1998-03-31	VYDAJ	VYBER	15	46062	SLUZBY	\N	\N
879826	2996	1998-04-30	VYDAJ	VYBER	15	48917	SLUZBY	\N	\N
879827	2996	1998-05-31	VYDAJ	VYBER	15	55085	SLUZBY	\N	\N
879828	2996	1998-06-30	VYDAJ	VYBER	15	53467	SLUZBY	\N	\N
879829	2996	1998-07-31	VYDAJ	VYBER	15	53849	SLUZBY	\N	\N
879830	2996	1998-08-31	VYDAJ	VYBER	15	53731	SLUZBY	\N	\N
879831	2996	1998-09-30	VYDAJ	VYBER	15	51009	SLUZBY	\N	\N
879832	2996	1998-10-31	VYDAJ	VYBER	15	51779	SLUZBY	\N	\N
879833	2996	1998-11-30	VYDAJ	VYBER	15	58559	SLUZBY	\N	\N
879834	2996	1994-06-16	PRIJEM	VKLAD	2900	23643	\N	\N	\N
879835	2996	1994-07-16	VYDAJ	VYBER	5000	32254	\N	\N	\N
879836	2996	1994-08-15	VYDAJ	VYBER	10200	35733	\N	\N	\N
879837	2996	1994-09-14	VYDAJ	VYBER	10400	39038	\N	\N	\N
879838	2996	1994-10-14	VYDAJ	VYBER	13900	38355	\N	\N	\N
879839	2996	1994-11-13	VYDAJ	VYBER	5800	38469	\N	\N	\N
879840	2996	1994-12-13	VYDAJ	VYBER	11900	39679	\N	\N	\N
879841	2996	1995-01-12	VYDAJ	VYBER	3900	33693	\N	\N	\N
879842	2996	1995-02-11	PRIJEM	VKLAD	2800	31774	\N	\N	\N
879843	2996	1995-03-13	VYDAJ	VYBER	4400	33143	\N	\N	\N
879844	2996	1995-04-12	VYDAJ	VYBER	3100	36029	\N	\N	\N
879845	2996	1995-05-12	VYDAJ	VYBER	3900	38025	\N	\N	\N
879846	2996	1995-06-11	VYDAJ	VYBER	10300	40411	\N	\N	\N
879847	2996	1995-07-11	VYDAJ	VYBER	500	33321	\N	\N	\N
879848	2996	1995-08-10	VYDAJ	VYBER	3100	36102	\N	\N	\N
879849	2996	1995-09-09	VYDAJ	VYBER	4000	37997	\N	\N	\N
879850	2996	1995-10-09	VYDAJ	VYBER	3800	40100	\N	\N	\N
879851	2996	1995-11-08	VYDAJ	VYBER	4100	41311	\N	\N	\N
879852	2996	1995-12-08	VYDAJ	VYBER	7400	43008	\N	\N	\N
879853	2996	1996-01-07	VYDAJ	VYBER	1300	32584	\N	\N	\N
879854	2996	1996-02-06	PRIJEM	VKLAD	1400	28692	\N	\N	\N
879855	2996	1996-03-07	VYDAJ	VYBER	700	33892	\N	\N	\N
879856	2996	1996-04-06	VYDAJ	VYBER	1700	38146	\N	\N	\N
879857	2996	1996-05-06	VYDAJ	VYBER	3700	40402	\N	\N	\N
879858	2996	1996-06-05	VYDAJ	VYBER	7300	39069	\N	\N	\N
879859	2996	1996-07-05	VYDAJ	VYBER	6700	48314	\N	\N	\N
879860	2996	1996-08-04	VYDAJ	VYBER	8600	45683	\N	\N	\N
879861	2996	1996-09-03	VYDAJ	VYBER	9500	42143	\N	\N	\N
879862	2996	1996-10-03	VYDAJ	VYBER	4600	43488	\N	\N	\N
879863	2996	1996-11-02	VYDAJ	VYBER	4400	45036	\N	\N	\N
879864	2996	1996-12-02	VYDAJ	VYBER	4500	43077	\N	\N	\N
879865	2996	1997-01-01	VYDAJ	VYBER	9200	42412	\N	\N	\N
879866	2996	1997-01-31	PRIJEM	VKLAD	5900	39076	\N	\N	\N
879867	2996	1997-03-02	VYDAJ	VYBER	400	44756	\N	\N	\N
879868	2996	1997-04-01	VYDAJ	VYBER	4400	46306	\N	\N	\N
879869	2996	1997-05-01	VYDAJ	VYBER	4900	47365	\N	\N	\N
879870	2996	1997-05-31	VYDAJ	VYBER	6700	46643	\N	\N	\N
879871	2996	1997-06-30	VYDAJ	VYBER	800	35018	\N	\N	\N
879872	2996	1997-07-30	VYDAJ	VYBER	3100	37668	\N	\N	\N
879873	2996	1997-08-29	PRIJEM	VKLAD	800	44378	\N	\N	\N
879874	2996	1997-09-28	VYDAJ	VYBER	4300	46002	\N	\N	\N
879875	2996	1997-10-28	VYDAJ	VYBER	1600	48951	\N	\N	\N
879876	2996	1997-11-27	VYDAJ	VYBER	3000	51900	\N	\N	\N
879877	2996	1997-12-27	VYDAJ	VYBER	9100	49749	\N	\N	\N
879878	2996	1998-02-25	PRIJEM	VKLAD	2000	43071	\N	\N	\N
879879	2996	1998-03-27	VYDAJ	VYBER	3100	45884	\N	\N	\N
879880	2996	1998-04-26	VYDAJ	VYBER	3100	48726	\N	\N	\N
879881	2996	1998-05-26	PRIJEM	VKLAD	200	54881	\N	\N	\N
879882	2996	1998-06-25	PRIJEM	VKLAD	1200	53230	\N	\N	\N
879883	2996	1998-07-25	VYDAJ	VYBER	5600	53631	\N	\N	\N
879884	2996	1998-08-24	VYDAJ	VYBER	6100	53513	\N	\N	\N
879885	2996	1998-09-23	VYDAJ	VYBER	8700	50795	\N	\N	\N
879886	2996	1998-10-23	VYDAJ	VYBER	5200	51573	\N	\N	\N
879887	2996	1998-11-22	PRIJEM	VKLAD	800	58343	\N	\N	\N
879943	2997	1997-09-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
879952	2997	1997-09-12	PRIJEM	PREVOD Z UCTU	2968	4068	\N	UV	35448080
879953	2997	1997-10-12	PRIJEM	PREVOD Z UCTU	2968	19847	\N	UV	35448080
879954	2997	1997-11-12	PRIJEM	PREVOD Z UCTU	2968	26674	\N	UV	35448080
879955	2997	1997-12-12	PRIJEM	PREVOD Z UCTU	2968	26743	\N	UV	35448080
879956	2997	1998-01-12	PRIJEM	PREVOD Z UCTU	2968	28122	\N	UV	35448080
879957	2997	1998-02-12	PRIJEM	PREVOD Z UCTU	2968	22111	\N	UV	35448080
879958	2997	1998-03-12	PRIJEM	PREVOD Z UCTU	2968	23377	\N	UV	35448080
879959	2997	1998-04-12	PRIJEM	PREVOD Z UCTU	2968	22015	\N	UV	35448080
879960	2997	1998-05-12	PRIJEM	PREVOD Z UCTU	2968	23382	\N	UV	35448080
879961	2997	1998-06-12	PRIJEM	PREVOD Z UCTU	2968	23181	\N	UV	35448080
879962	2997	1998-07-12	PRIJEM	PREVOD Z UCTU	2968	25251	\N	UV	35448080
879963	2997	1998-08-12	PRIJEM	PREVOD Z UCTU	2968	29228	\N	UV	35448080
879964	2997	1998-09-12	PRIJEM	PREVOD Z UCTU	2968	31840	\N	UV	35448080
879965	2997	1998-10-12	PRIJEM	PREVOD Z UCTU	2968	30645	\N	UV	35448080
879966	2997	1998-11-12	PRIJEM	PREVOD Z UCTU	2968	27749	\N	UV	35448080
879967	2997	1998-12-12	PRIJEM	PREVOD Z UCTU	2968	28518	\N	UV	35448080
879981	2997	1998-02-09	VYDAJ	PREVOD NA UCET	1978	19143	SIPO	MN	27474618
879982	2997	1998-03-09	VYDAJ	PREVOD NA UCET	1978	20409	SIPO	MN	27474618
879983	2997	1998-04-09	VYDAJ	PREVOD NA UCET	1978	19047	SIPO	MN	27474618
879984	2997	1998-05-09	VYDAJ	PREVOD NA UCET	1978	20414	SIPO	MN	27474618
879985	2997	1998-06-09	VYDAJ	PREVOD NA UCET	1978	20213	SIPO	MN	27474618
879986	2997	1998-07-09	VYDAJ	PREVOD NA UCET	1978	22283	SIPO	MN	27474618
879987	2997	1998-08-09	VYDAJ	PREVOD NA UCET	1978	26260	SIPO	MN	27474618
879988	2997	1998-09-09	VYDAJ	PREVOD NA UCET	1978	29052	SIPO	MN	27474618
879989	2997	1998-10-09	VYDAJ	PREVOD NA UCET	1978	27677	SIPO	MN	27474618
879990	2997	1998-11-09	VYDAJ	PREVOD NA UCET	1978	24781	SIPO	MN	27474618
879991	2997	1998-12-09	VYDAJ	PREVOD NA UCET	1978	25550	SIPO	MN	27474618
879993	2997	1998-06-01	VYDAJ	VYBER	1320	21091	\N	\N	\N
879995	2997	1998-01-17	VYDAJ	VYBER	2160	25152	\N	\N	\N
879997	2997	1998-12-07	VYDAJ	VYBER	480	27528	\N	\N	\N
880004	2997	1998-01-17	VYDAJ	VYBER	810	24342	\N	\N	\N
880005	2997	1998-01-20	VYDAJ	VYBER	630	23142	\N	\N	\N
880007	2997	1998-01-15	VYDAJ	VYBER	810	27312	\N	\N	\N
880008	2997	1998-01-20	VYDAJ	VYBER	570	23772	\N	\N	\N
880015	2997	1998-09-11	VYDAJ	VYBER	180	28872	\N	\N	\N
880016	2997	1998-01-24	VYDAJ	VYBER	1410	21732	\N	\N	\N
880017	2997	1998-03-15	VYDAJ	VYBER	930	22447	\N	\N	\N
880018	2997	1998-11-14	VYDAJ	VYBER	1440	26309	\N	\N	\N
880019	2997	1998-05-27	VYDAJ	VYBER	1050	22332	\N	\N	\N
880020	2997	1998-09-02	VYDAJ	VYBER	900	28430	\N	\N	\N
880034	2997	1998-01-31	VYDAJ	VYBER	15	21821	SLUZBY	\N	\N
880035	2997	1998-02-28	VYDAJ	VYBER	15	22187	SLUZBY	\N	\N
880036	2997	1998-03-31	VYDAJ	VYBER	15	22525	SLUZBY	\N	\N
880037	2997	1998-04-30	VYDAJ	VYBER	15	22092	SLUZBY	\N	\N
880038	2997	1998-05-31	VYDAJ	VYBER	15	22411	SLUZBY	\N	\N
880039	2997	1998-06-30	VYDAJ	VYBER	15	23261	SLUZBY	\N	\N
880040	2997	1998-07-31	VYDAJ	VYBER	15	25338	SLUZBY	\N	\N
880041	2997	1998-08-31	VYDAJ	VYBER	15	29330	SLUZBY	\N	\N
880042	2997	1998-09-30	VYDAJ	VYBER	15	31955	SLUZBY	\N	\N
880043	2997	1998-10-31	VYDAJ	VYBER	15	30759	SLUZBY	\N	\N
880044	2997	1998-11-30	VYDAJ	VYBER	15	26408	SLUZBY	\N	\N
880045	2997	1997-10-09	PRIJEM	VKLAD	12800	16879	\N	\N	\N
880046	2997	1997-11-08	PRIJEM	VKLAD	3800	23706	\N	\N	\N
880047	2997	1997-12-08	VYDAJ	VYBER	3000	23775	\N	\N	\N
880048	2997	1998-01-07	VYDAJ	VYBER	1700	25154	\N	\N	\N
880049	2997	1998-02-06	VYDAJ	VYBER	700	21121	\N	\N	\N
880050	2997	1998-03-08	PRIJEM	VKLAD	200	22387	\N	\N	\N
880051	2997	1998-04-07	VYDAJ	VYBER	1500	21025	\N	\N	\N
880052	2997	1998-05-07	PRIJEM	VKLAD	300	22392	\N	\N	\N
880053	2997	1998-06-06	PRIJEM	VKLAD	1100	22191	\N	\N	\N
880054	2997	1998-07-06	PRIJEM	VKLAD	1000	24261	\N	\N	\N
880055	2997	1998-08-05	PRIJEM	VKLAD	2900	28238	\N	\N	\N
880056	2997	1998-09-04	PRIJEM	VKLAD	2600	31030	\N	\N	\N
880057	2997	1998-10-04	VYDAJ	VYBER	2300	29655	\N	\N	\N
880058	2997	1998-11-03	VYDAJ	VYBER	4000	26759	\N	\N	\N
880059	2997	1998-12-03	PRIJEM	VKLAD	1600	28008	\N	\N	\N
880076	2998	1997-11-09	PRIJEM	VKLAD	300	300	\N	\N	\N
880087	2998	1997-11-10	PRIJEM	VKLAD	22154	22454	\N	\N	\N
880088	2998	1997-12-10	PRIJEM	VKLAD	33231	58951	\N	\N	\N
880089	2998	1998-01-10	PRIJEM	VKLAD	22154	63106	\N	\N	\N
880090	2998	1998-02-10	PRIJEM	VKLAD	22154	66418	\N	\N	\N
880091	2998	1998-03-10	PRIJEM	VKLAD	22154	63544	\N	\N	\N
880092	2998	1998-04-10	PRIJEM	VKLAD	22154	56143	\N	\N	\N
880093	2998	1998-05-10	PRIJEM	VKLAD	22154	52110	\N	\N	\N
880094	2998	1998-06-10	PRIJEM	VKLAD	33231	63133	\N	\N	\N
880095	2998	1998-07-10	PRIJEM	VKLAD	22154	52607	\N	\N	\N
880096	2998	1998-08-10	PRIJEM	VKLAD	22154	51462	\N	\N	\N
880097	2998	1998-09-10	PRIJEM	VKLAD	22154	48402	\N	\N	\N
880098	2998	1998-10-10	PRIJEM	VKLAD	22154	46889	\N	\N	\N
880099	2998	1998-11-10	PRIJEM	VKLAD	22154	40669	\N	\N	\N
880100	2998	1998-12-10	PRIJEM	VKLAD	33231	54044	\N	\N	\N
880115	2998	1998-03-14	VYDAJ	PREVOD NA UCET	3170	60371	SIPO	OP	27213704
880116	2998	1998-04-14	VYDAJ	PREVOD NA UCET	3170	52970	SIPO	OP	27213704
880117	2998	1998-05-14	VYDAJ	PREVOD NA UCET	3170	48937	SIPO	OP	27213704
880118	2998	1998-06-14	VYDAJ	PREVOD NA UCET	3170	59960	SIPO	OP	27213704
880119	2998	1998-07-14	VYDAJ	PREVOD NA UCET	3170	49434	SIPO	OP	27213704
880120	2998	1998-08-14	VYDAJ	PREVOD NA UCET	3170	48289	SIPO	OP	27213704
880121	2998	1998-09-14	VYDAJ	PREVOD NA UCET	3170	45229	SIPO	OP	27213704
880122	2998	1998-10-14	VYDAJ	PREVOD NA UCET	3170	43716	SIPO	OP	27213704
880123	2998	1998-11-14	VYDAJ	PREVOD NA UCET	3170	37496	SIPO	OP	27213704
880124	2998	1998-12-14	VYDAJ	PREVOD NA UCET	3170	47171	SIPO	OP	27213704
880140	2998	1998-04-09	VYDAJ	PREVOD NA UCET	28	33989	 	MN	53139364
880141	2998	1998-05-09	VYDAJ	PREVOD NA UCET	28	29956	 	MN	53139364
880142	2998	1998-06-09	VYDAJ	PREVOD NA UCET	28	29902	 	MN	53139364
880143	2998	1998-07-09	VYDAJ	PREVOD NA UCET	28	30453	 	MN	53139364
880144	2998	1998-08-09	VYDAJ	PREVOD NA UCET	28	29308	 	MN	53139364
880145	2998	1998-09-09	VYDAJ	PREVOD NA UCET	28	26248	 	MN	53139364
880146	2998	1998-10-09	VYDAJ	PREVOD NA UCET	28	24735	 	MN	53139364
880147	2998	1998-11-09	VYDAJ	PREVOD NA UCET	28	18515	 	MN	53139364
880148	2998	1998-12-09	VYDAJ	PREVOD NA UCET	28	20813	 	MN	53139364
880163	2998	1998-03-10	VYDAJ	PREVOD NA UCET	3	63541	POJISTNE	EF	11165088
880164	2998	1998-04-10	VYDAJ	PREVOD NA UCET	3	56140	POJISTNE	EF	11165088
880165	2998	1998-05-10	VYDAJ	PREVOD NA UCET	3	52107	POJISTNE	EF	11165088
880166	2998	1998-06-10	VYDAJ	PREVOD NA UCET	3	63130	POJISTNE	EF	11165088
880167	2998	1998-07-10	VYDAJ	PREVOD NA UCET	3	52604	POJISTNE	EF	11165088
880168	2998	1998-08-10	VYDAJ	PREVOD NA UCET	3	51459	POJISTNE	EF	11165088
880169	2998	1998-09-10	VYDAJ	PREVOD NA UCET	3	48399	POJISTNE	EF	11165088
880170	2998	1998-10-10	VYDAJ	PREVOD NA UCET	3	46886	POJISTNE	EF	11165088
880171	2998	1998-11-10	VYDAJ	PREVOD NA UCET	3	40666	POJISTNE	EF	11165088
880172	2998	1998-12-10	VYDAJ	PREVOD NA UCET	3	54041	POJISTNE	EF	11165088
880174	2998	1998-12-11	VYDAJ	VYBER KARTOU	3700	50341	\N	\N	0
880194	2998	1998-11-04	VYDAJ	VYBER	3840	40043	\N	\N	\N
880195	2998	1998-09-21	VYDAJ	VYBER	1440	43789	\N	\N	\N
880211	2998	1998-03-31	VYDAJ	VYBER	15	60617	SLUZBY	\N	\N
880212	2998	1998-04-30	VYDAJ	VYBER	15	53184	SLUZBY	\N	\N
880213	2998	1998-05-31	VYDAJ	VYBER	15	49130	SLUZBY	\N	\N
880214	2998	1998-06-30	VYDAJ	VYBER	15	60181	SLUZBY	\N	\N
880215	2998	1998-07-31	VYDAJ	VYBER	15	49636	SLUZBY	\N	\N
880216	2998	1998-08-31	VYDAJ	VYBER	15	48476	SLUZBY	\N	\N
880217	2998	1998-09-30	VYDAJ	VYBER	15	43963	SLUZBY	\N	\N
880218	2998	1998-10-31	VYDAJ	VYBER	15	43883	SLUZBY	\N	\N
880219	2998	1998-11-30	VYDAJ	VYBER	15	37641	SLUZBY	\N	\N
880220	2998	1997-12-09	PRIJEM	VKLAD	3200	25720	\N	\N	\N
880221	2998	1998-01-08	VYDAJ	VYBER	18200	40952	\N	\N	\N
880222	2998	1998-02-07	VYDAJ	VYBER	19100	44264	\N	\N	\N
880223	2998	1998-03-09	VYDAJ	VYBER	25300	41390	\N	\N	\N
880224	2998	1998-04-08	VYDAJ	VYBER	26600	34017	\N	\N	\N
880225	2998	1998-05-08	VYDAJ	VYBER	23200	29984	\N	\N	\N
880226	2998	1998-06-07	VYDAJ	VYBER	19200	29930	\N	\N	\N
880227	2998	1998-07-07	VYDAJ	VYBER	29700	30481	\N	\N	\N
880228	2998	1998-08-06	VYDAJ	VYBER	20300	29336	\N	\N	\N
880229	2998	1998-09-05	VYDAJ	VYBER	22200	26276	\N	\N	\N
880230	2998	1998-10-05	VYDAJ	VYBER	19200	24763	\N	\N	\N
880231	2998	1998-11-04	VYDAJ	VYBER	21500	18543	\N	\N	\N
880232	2998	1998-12-04	VYDAJ	VYBER	16800	20841	\N	\N	\N
880247	2999	1996-10-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
880258	2999	1996-11-05	PRIJEM	VKLAD	4210	5210	\N	\N	\N
880259	2999	1996-12-05	PRIJEM	VKLAD	6315	19870	\N	\N	\N
880260	2999	1997-01-05	PRIJEM	VKLAD	4210	27870	\N	\N	\N
880261	2999	1997-02-05	PRIJEM	VKLAD	4210	32294	\N	\N	\N
880262	2999	1997-03-05	PRIJEM	VKLAD	4210	30836	\N	\N	\N
880263	2999	1997-04-05	PRIJEM	VKLAD	4210	27830	\N	\N	\N
880264	2999	1997-05-05	PRIJEM	VKLAD	4210	25922	\N	\N	\N
880265	2999	1997-06-05	PRIJEM	VKLAD	6315	29812	\N	\N	\N
880266	2999	1997-07-05	PRIJEM	VKLAD	4210	26596	\N	\N	\N
880267	2999	1997-08-05	PRIJEM	VKLAD	4210	25066	\N	\N	\N
880268	2999	1997-09-05	PRIJEM	VKLAD	4210	28665	\N	\N	\N
880269	2999	1997-10-05	PRIJEM	VKLAD	4210	27559	\N	\N	\N
880270	2999	1997-11-05	PRIJEM	VKLAD	4210	30252	\N	\N	\N
880271	2999	1997-12-05	PRIJEM	VKLAD	6315	27076	\N	\N	\N
880272	2999	1998-01-05	PRIJEM	VKLAD	4210	24589	\N	\N	\N
880273	2999	1998-02-05	PRIJEM	VKLAD	4210	21228	\N	\N	\N
880274	2999	1998-03-05	PRIJEM	VKLAD	4210	30092	\N	\N	\N
880275	2999	1998-04-05	PRIJEM	VKLAD	4210	37391	\N	\N	\N
880276	2999	1998-05-05	PRIJEM	VKLAD	4210	36820	\N	\N	\N
880277	2999	1998-06-05	PRIJEM	VKLAD	6315	36256	\N	\N	\N
880278	2999	1998-07-05	PRIJEM	VKLAD	4210	28672	\N	\N	\N
880279	2999	1998-08-05	PRIJEM	VKLAD	4210	33169	\N	\N	\N
880280	2999	1998-09-05	PRIJEM	VKLAD	4210	33082	\N	\N	\N
880281	2999	1998-10-05	PRIJEM	VKLAD	4210	35397	\N	\N	\N
880282	2999	1998-11-05	PRIJEM	VKLAD	4210	37921	\N	\N	\N
880283	2999	1998-12-05	PRIJEM	VKLAD	6315	30817	\N	\N	\N
880298	2999	1997-03-06	VYDAJ	PREVOD NA UCET	2806	28030	SIPO	KL	27672302
880299	2999	1997-04-06	VYDAJ	PREVOD NA UCET	2806	25024	SIPO	KL	27672302
880300	2999	1997-05-06	VYDAJ	PREVOD NA UCET	2806	23416	SIPO	KL	27672302
880301	2999	1997-06-06	VYDAJ	PREVOD NA UCET	2806	22306	SIPO	KL	27672302
880302	2999	1997-07-06	VYDAJ	PREVOD NA UCET	2806	18690	SIPO	KL	27672302
880303	2999	1997-08-06	VYDAJ	PREVOD NA UCET	2806	22260	SIPO	KL	27672302
880304	2999	1997-09-06	VYDAJ	PREVOD NA UCET	2806	25859	SIPO	KL	27672302
880305	2999	1997-10-06	VYDAJ	PREVOD NA UCET	2806	24753	SIPO	KL	27672302
880306	2999	1997-11-06	VYDAJ	PREVOD NA UCET	2806	27446	SIPO	KL	27672302
880307	2999	1997-12-06	VYDAJ	PREVOD NA UCET	2806	24270	SIPO	KL	27672302
880308	2999	1998-01-06	VYDAJ	PREVOD NA UCET	2806	19623	SIPO	KL	27672302
880309	2999	1998-02-06	VYDAJ	PREVOD NA UCET	2806	18422	SIPO	KL	27672302
880310	2999	1998-03-06	VYDAJ	PREVOD NA UCET	2806	27286	SIPO	KL	27672302
880311	2999	1998-04-06	VYDAJ	PREVOD NA UCET	2806	34585	SIPO	KL	27672302
880312	2999	1998-05-06	VYDAJ	PREVOD NA UCET	2806	34014	SIPO	KL	27672302
880313	2999	1998-06-06	VYDAJ	PREVOD NA UCET	2806	33450	SIPO	KL	27672302
880314	2999	1998-07-06	VYDAJ	PREVOD NA UCET	2806	25866	SIPO	KL	27672302
880315	2999	1998-08-06	VYDAJ	PREVOD NA UCET	2806	30363	SIPO	KL	27672302
880316	2999	1998-09-06	VYDAJ	PREVOD NA UCET	2806	30276	SIPO	KL	27672302
880317	2999	1998-10-06	VYDAJ	PREVOD NA UCET	2806	32591	SIPO	KL	27672302
880318	2999	1998-11-06	VYDAJ	PREVOD NA UCET	2806	35115	SIPO	KL	27672302
880319	2999	1998-12-06	VYDAJ	PREVOD NA UCET	2806	23851	SIPO	KL	27672302
880322	2999	1998-06-12	VYDAJ	VYBER	11680	21770	\N	\N	\N
880327	2999	1997-12-03	VYDAJ	VYBER	2080	20761	\N	\N	\N
880328	2999	1998-12-06	VYDAJ	VYBER	4160	26657	\N	\N	\N
880342	2999	1998-01-14	VYDAJ	VYBER	2880	16743	\N	\N	\N
880343	2999	1998-01-17	VYDAJ	VYBER	840	15903	\N	\N	\N
880344	2999	1998-01-21	VYDAJ	VYBER	2640	13263	\N	\N	\N
880345	2999	1998-01-05	VYDAJ	VYBER	2160	22429	\N	\N	\N
880353	2999	1997-12-08	VYDAJ	VYBER	2280	21990	\N	\N	\N
880354	2999	1997-12-14	VYDAJ	VYBER	4080	17910	\N	\N	\N
880356	2999	1997-11-08	VYDAJ	VYBER	1200	26246	\N	\N	\N
880357	2999	1997-08-25	VYDAJ	VYBER	1680	20580	\N	\N	\N
880358	2999	1998-11-30	VYDAJ	VYBER	3000	30517	\N	\N	\N
880359	2999	1998-11-30	VYDAJ	VYBER	3360	27157	\N	\N	\N
880361	2999	1998-11-17	VYDAJ	VYBER	840	34275	\N	\N	\N
880362	2999	1998-12-03	VYDAJ	VYBER	2640	24502	\N	\N	\N
880378	2999	1997-03-31	VYDAJ	VYBER	15	23620	SLUZBY	\N	\N
880379	2999	1997-04-30	VYDAJ	VYBER	15	21712	SLUZBY	\N	\N
880380	2999	1997-05-31	VYDAJ	VYBER	15	23497	SLUZBY	\N	\N
880381	2999	1997-06-30	VYDAJ	VYBER	15	22386	SLUZBY	\N	\N
880382	2999	1997-07-31	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
880383	2999	1997-08-31	VYDAJ	VYBER	15	20655	SLUZBY	\N	\N
880384	2999	1997-09-30	VYDAJ	VYBER	15	25949	SLUZBY	\N	\N
880385	2999	1997-10-31	VYDAJ	VYBER	15	24842	SLUZBY	\N	\N
880386	2999	1997-11-30	VYDAJ	VYBER	15	26341	SLUZBY	\N	\N
880387	2999	1997-12-31	VYDAJ	VYBER	15	17979	SLUZBY	\N	\N
880388	2999	1998-01-31	VYDAJ	VYBER	15	17018	SLUZBY	\N	\N
880389	2999	1998-02-28	VYDAJ	VYBER	15	18482	SLUZBY	\N	\N
880390	2999	1998-03-31	VYDAJ	VYBER	15	27381	SLUZBY	\N	\N
880391	2999	1998-04-30	VYDAJ	VYBER	15	34710	SLUZBY	\N	\N
880392	2999	1998-05-31	VYDAJ	VYBER	15	34141	SLUZBY	\N	\N
880393	2999	1998-06-30	VYDAJ	VYBER	15	24462	SLUZBY	\N	\N
880394	2999	1998-07-31	VYDAJ	VYBER	15	28959	SLUZBY	\N	\N
880395	2999	1998-08-31	VYDAJ	VYBER	15	28872	SLUZBY	\N	\N
880396	2999	1998-09-30	VYDAJ	VYBER	15	31187	SLUZBY	\N	\N
880397	2999	1998-10-31	VYDAJ	VYBER	15	33711	SLUZBY	\N	\N
880398	2999	1998-11-30	VYDAJ	VYBER	15	27142	SLUZBY	\N	\N
880399	2999	1996-11-07	PRIJEM	VKLAD	8300	13510	\N	\N	\N
880400	2999	1996-12-07	PRIJEM	VKLAD	3700	23570	\N	\N	\N
880401	2999	1997-01-06	PRIJEM	VKLAD	100	27970	\N	\N	\N
880402	2999	1997-02-05	VYDAJ	VYBER	5800	26494	\N	\N	\N
880403	2999	1997-03-07	VYDAJ	VYBER	4500	23530	\N	\N	\N
880404	2999	1997-04-06	VYDAJ	VYBER	3400	21624	\N	\N	\N
880405	2999	1997-05-06	PRIJEM	VKLAD	300	26222	\N	\N	\N
880406	2999	1997-06-05	VYDAJ	VYBER	4700	25112	\N	\N	\N
880407	2999	1997-07-05	VYDAJ	VYBER	5100	21496	\N	\N	\N
880408	2999	1997-08-04	PRIJEM	VKLAD	2100	20856	\N	\N	\N
880409	2999	1997-09-03	PRIJEM	VKLAD	3800	24455	\N	\N	\N
880410	2999	1997-10-03	VYDAJ	VYBER	2600	23349	\N	\N	\N
880411	2999	1997-11-02	PRIJEM	VKLAD	1200	26042	\N	\N	\N
880412	2999	1997-12-02	VYDAJ	VYBER	3500	22841	\N	\N	\N
880413	2999	1998-01-01	PRIJEM	VKLAD	2400	20379	\N	\N	\N
880414	2999	1998-01-31	PRIJEM	VKLAD	3700	17032	\N	\N	\N
880415	2999	1998-03-02	PRIJEM	VKLAD	7400	25882	\N	\N	\N
880416	2999	1998-04-01	PRIJEM	VKLAD	5800	33181	\N	\N	\N
880417	2999	1998-05-01	VYDAJ	VYBER	2100	32610	\N	\N	\N
880418	2999	1998-05-31	VYDAJ	VYBER	4200	29941	\N	\N	\N
880419	2999	1998-06-30	PRIJEM	VKLAD	2600	24370	\N	\N	\N
880420	2999	1998-07-30	PRIJEM	VKLAD	3000	28866	\N	\N	\N
880421	2999	1998-08-29	VYDAJ	VYBER	1600	28763	\N	\N	\N
880422	2999	1998-09-28	PRIJEM	VKLAD	800	31076	\N	\N	\N
880423	2999	1998-10-28	PRIJEM	VKLAD	1000	33591	\N	\N	\N
880424	2999	1998-11-27	VYDAJ	VYBER	900	33375	\N	\N	\N
880451	3000	1993-07-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
880459	3000	1993-08-10	PRIJEM	VKLAD	7028	8028	\N	\N	\N
880460	3000	1993-09-10	PRIJEM	VKLAD	7028	24601	\N	\N	\N
880461	3000	1993-10-10	PRIJEM	VKLAD	7028	29615	\N	\N	\N
880462	3000	1993-11-10	PRIJEM	VKLAD	7028	36656	\N	\N	\N
880463	3000	1993-12-10	PRIJEM	VKLAD	10542	39118	\N	\N	\N
880464	3000	1994-01-10	PRIJEM	VKLAD	7028	28309	\N	\N	\N
880465	3000	1994-02-10	PRIJEM	VKLAD	7028	32528	\N	\N	\N
880466	3000	1994-03-10	PRIJEM	VKLAD	7028	37503	\N	\N	\N
880467	3000	1994-04-10	PRIJEM	VKLAD	7028	38446	\N	\N	\N
880468	3000	1994-05-10	PRIJEM	VKLAD	7028	39009	\N	\N	\N
880469	3000	1994-06-10	PRIJEM	VKLAD	10542	38890	\N	\N	\N
880470	3000	1994-07-10	PRIJEM	VKLAD	7028	39156	\N	\N	\N
880471	3000	1994-08-10	PRIJEM	VKLAD	7028	37632	\N	\N	\N
880472	3000	1994-09-10	PRIJEM	VKLAD	7028	36504	\N	\N	\N
880473	3000	1994-10-10	PRIJEM	VKLAD	7028	38471	\N	\N	\N
880474	3000	1994-11-10	PRIJEM	VKLAD	7028	39043	\N	\N	\N
880475	3000	1994-12-10	PRIJEM	VKLAD	10542	42252	\N	\N	\N
880476	3000	1995-01-10	PRIJEM	VKLAD	7028	40326	\N	\N	\N
880477	3000	1995-02-10	PRIJEM	VKLAD	7028	37661	\N	\N	\N
880478	3000	1995-03-10	PRIJEM	VKLAD	7028	35912	\N	\N	\N
880479	3000	1995-04-10	PRIJEM	VKLAD	7028	41567	\N	\N	\N
880480	3000	1995-05-10	PRIJEM	VKLAD	7028	44246	\N	\N	\N
880481	3000	1995-06-10	PRIJEM	VKLAD	10542	47711	\N	\N	\N
880482	3000	1995-07-10	PRIJEM	VKLAD	7028	34313	\N	\N	\N
880483	3000	1995-08-10	PRIJEM	VKLAD	7028	40456	\N	\N	\N
880484	3000	1995-09-10	PRIJEM	VKLAD	7028	42350	\N	\N	\N
880485	3000	1995-10-10	PRIJEM	VKLAD	7028	45035	\N	\N	\N
880486	3000	1995-11-10	PRIJEM	VKLAD	7028	44632	\N	\N	\N
880487	3000	1995-12-10	PRIJEM	VKLAD	10542	41045	\N	\N	\N
880488	3000	1996-01-10	PRIJEM	VKLAD	7028	32047	\N	\N	\N
880489	3000	1996-02-10	PRIJEM	VKLAD	7028	36184	\N	\N	\N
880490	3000	1996-03-10	PRIJEM	VKLAD	7028	38379	\N	\N	\N
880491	3000	1996-04-10	PRIJEM	VKLAD	7028	38663	\N	\N	\N
880492	3000	1996-05-10	PRIJEM	VKLAD	7028	40718	\N	\N	\N
880493	3000	1996-06-10	PRIJEM	VKLAD	10542	32368	\N	\N	\N
880494	3000	1996-07-10	PRIJEM	VKLAD	7028	41520	\N	\N	\N
880495	3000	1996-08-10	PRIJEM	VKLAD	7028	45018	\N	\N	\N
880496	3000	1996-09-10	PRIJEM	VKLAD	7028	50909	\N	\N	\N
880497	3000	1996-10-10	PRIJEM	VKLAD	7028	54167	\N	\N	\N
880498	3000	1996-11-10	PRIJEM	VKLAD	7028	56217	\N	\N	\N
880499	3000	1996-12-10	PRIJEM	VKLAD	10542	58665	\N	\N	\N
880500	3000	1997-01-10	PRIJEM	VKLAD	7028	55629	\N	\N	\N
880501	3000	1997-02-10	PRIJEM	VKLAD	7028	55656	\N	\N	\N
880502	3000	1997-03-10	PRIJEM	VKLAD	7028	59874	\N	\N	\N
880503	3000	1997-04-10	PRIJEM	VKLAD	7028	62650	\N	\N	\N
880504	3000	1997-05-10	PRIJEM	VKLAD	7028	66814	\N	\N	\N
880505	3000	1997-06-10	PRIJEM	VKLAD	10542	74493	\N	\N	\N
880506	3000	1997-07-10	PRIJEM	VKLAD	7028	30708	\N	\N	\N
880507	3000	1997-08-10	PRIJEM	VKLAD	7028	49140	\N	\N	\N
880508	3000	1997-09-10	PRIJEM	VKLAD	7028	57938	\N	\N	\N
880509	3000	1997-10-10	PRIJEM	VKLAD	7028	61866	\N	\N	\N
880510	3000	1997-11-10	PRIJEM	VKLAD	7028	66511	\N	\N	\N
880511	3000	1997-12-10	PRIJEM	VKLAD	10542	73088	\N	\N	\N
880512	3000	1998-01-10	PRIJEM	VKLAD	7028	61602	\N	\N	\N
880513	3000	1998-02-10	PRIJEM	VKLAD	7028	63083	\N	\N	\N
880514	3000	1998-03-10	PRIJEM	VKLAD	7028	68635	\N	\N	\N
880515	3000	1998-04-10	PRIJEM	VKLAD	7028	71305	\N	\N	\N
880516	3000	1998-05-10	PRIJEM	VKLAD	7028	71683	\N	\N	\N
880517	3000	1998-06-10	PRIJEM	VKLAD	10542	69871	\N	\N	\N
880518	3000	1998-07-10	PRIJEM	VKLAD	7028	39274	\N	\N	\N
880519	3000	1998-08-10	PRIJEM	VKLAD	7028	56049	\N	\N	\N
880520	3000	1998-09-10	PRIJEM	VKLAD	7028	63777	\N	\N	\N
880521	3000	1998-10-10	PRIJEM	VKLAD	7028	60260	\N	\N	\N
880522	3000	1998-11-10	PRIJEM	VKLAD	7028	60578	\N	\N	\N
880523	3000	1998-12-10	PRIJEM	VKLAD	10542	69671	\N	\N	\N
880526	3000	1995-06-12	VYDAJ	VYBER	23840	23871	\N	\N	\N
880527	3000	1996-06-06	VYDAJ	VYBER	13600	21826	\N	\N	\N
880528	3000	1997-06-27	VYDAJ	VYBER	42240	23453	\N	\N	\N
880529	3000	1998-06-22	VYDAJ	VYBER	28320	32051	\N	\N	\N
880530	3000	1993-12-15	VYDAJ	VYBER	2720	27898	\N	\N	\N
880531	3000	1994-12-05	VYDAJ	VYBER	1280	37910	\N	\N	\N
880532	3000	1995-12-06	VYDAJ	VYBER	1120	35183	\N	\N	\N
880533	3000	1996-12-05	VYDAJ	VYBER	3200	48123	\N	\N	\N
880534	3000	1997-12-23	VYDAJ	VYBER	1120	63568	\N	\N	\N
880535	3000	1998-12-13	VYDAJ	VYBER	3840	65831	\N	\N	\N
880542	3000	1994-01-17	VYDAJ	VYBER	840	25689	\N	\N	\N
880543	3000	1994-01-03	VYDAJ	VYBER	2880	25121	\N	\N	\N
880544	3000	1994-01-05	VYDAJ	VYBER	1320	23801	\N	\N	\N
880545	3000	1994-01-22	VYDAJ	VYBER	2880	22809	\N	\N	\N
880546	3000	1994-01-05	VYDAJ	VYBER	2520	21281	\N	\N	\N
880547	3000	1994-01-16	VYDAJ	VYBER	1680	26529	\N	\N	\N
880548	3000	1995-01-16	VYDAJ	VYBER	3240	34446	\N	\N	\N
880549	3000	1995-01-25	VYDAJ	VYBER	1080	28206	\N	\N	\N
880550	3000	1995-01-18	VYDAJ	VYBER	1080	30846	\N	\N	\N
880551	3000	1995-01-16	VYDAJ	VYBER	2520	31926	\N	\N	\N
880552	3000	1995-01-12	VYDAJ	VYBER	2640	37686	\N	\N	\N
880553	3000	1995-01-18	VYDAJ	VYBER	1560	29286	\N	\N	\N
880554	3000	1996-01-05	VYDAJ	VYBER	2640	26339	\N	\N	\N
880555	3000	1996-01-19	VYDAJ	VYBER	600	31447	\N	\N	\N
880556	3000	1996-01-03	VYDAJ	VYBER	1680	28979	\N	\N	\N
880557	3000	1996-01-25	VYDAJ	VYBER	3000	28447	\N	\N	\N
880558	3000	1996-01-08	VYDAJ	VYBER	1320	25019	\N	\N	\N
880559	3000	1996-01-01	VYDAJ	VYBER	3240	30659	\N	\N	\N
880560	3000	1997-01-04	VYDAJ	VYBER	3120	51961	\N	\N	\N
880561	3000	1997-01-05	VYDAJ	VYBER	2520	49441	\N	\N	\N
880562	3000	1997-01-22	VYDAJ	VYBER	1800	48069	\N	\N	\N
880563	3000	1997-01-28	VYDAJ	VYBER	1440	48429	\N	\N	\N
880564	3000	1997-01-21	VYDAJ	VYBER	3480	49869	\N	\N	\N
880565	3000	1997-01-18	VYDAJ	VYBER	2280	53349	\N	\N	\N
880566	3000	1998-01-08	VYDAJ	VYBER	2760	57214	\N	\N	\N
880567	3000	1998-01-06	VYDAJ	VYBER	2160	59974	\N	\N	\N
880568	3000	1998-01-09	VYDAJ	VYBER	2640	54574	\N	\N	\N
880569	3000	1998-01-28	VYDAJ	VYBER	3240	55822	\N	\N	\N
880570	3000	1998-01-03	VYDAJ	VYBER	1680	62134	\N	\N	\N
880571	3000	1998-01-22	VYDAJ	VYBER	1920	59062	\N	\N	\N
880578	3000	1994-02-25	VYDAJ	VYBER	2160	30368	\N	\N	\N
880579	3000	1994-12-14	VYDAJ	VYBER	3000	39252	\N	\N	\N
880580	3000	1995-02-27	VYDAJ	VYBER	5640	29261	\N	\N	\N
880581	3000	1995-09-07	VYDAJ	VYBER	2880	35322	\N	\N	\N
880582	3000	1995-02-17	VYDAJ	VYBER	2760	34901	\N	\N	\N
880583	3000	1995-05-20	VYDAJ	VYBER	2040	42206	\N	\N	\N
880584	3000	1995-12-09	VYDAJ	VYBER	4680	30503	\N	\N	\N
880585	3000	1996-11-07	VYDAJ	VYBER	960	49189	\N	\N	\N
880586	3000	1996-08-05	VYDAJ	VYBER	960	37990	\N	\N	\N
880587	3000	1996-03-31	VYDAJ	VYBER	2760	31635	\N	\N	\N
880588	3000	1996-02-26	VYDAJ	VYBER	5640	30544	\N	\N	\N
880589	3000	1996-05-22	VYDAJ	VYBER	4320	36398	\N	\N	\N
880590	3000	1996-09-28	VYDAJ	VYBER	3840	46969	\N	\N	\N
880591	3000	1997-12-19	VYDAJ	VYBER	2400	70688	\N	\N	\N
880592	3000	1997-01-07	VYDAJ	VYBER	840	48601	\N	\N	\N
880593	3000	1997-04-01	VYDAJ	VYBER	2760	55622	\N	\N	\N
880594	3000	1998-05-29	VYDAJ	VYBER	3600	59083	\N	\N	\N
880595	3000	1998-01-21	VYDAJ	VYBER	1320	60982	\N	\N	\N
880596	3000	1998-12-05	VYDAJ	VYBER	2880	59129	\N	\N	\N
880597	3000	1998-09-28	VYDAJ	VYBER	3360	53017	\N	\N	\N
880598	3000	1998-11-06	VYDAJ	VYBER	3120	53550	\N	\N	\N
880611	3000	1993-12-31	VYDAJ	VYBER	15	28001	SLUZBY	\N	\N
880612	3000	1994-01-31	VYDAJ	VYBER	15	22900	SLUZBY	\N	\N
880613	3000	1994-02-28	VYDAJ	VYBER	15	30475	SLUZBY	\N	\N
880614	3000	1994-03-31	VYDAJ	VYBER	15	31418	SLUZBY	\N	\N
880615	3000	1994-04-30	VYDAJ	VYBER	15	31981	SLUZBY	\N	\N
880616	3000	1994-05-31	VYDAJ	VYBER	15	31748	SLUZBY	\N	\N
880617	3000	1994-06-30	VYDAJ	VYBER	15	39028	SLUZBY	\N	\N
880618	3000	1994-07-31	VYDAJ	VYBER	15	39304	SLUZBY	\N	\N
880619	3000	1994-08-31	VYDAJ	VYBER	15	37776	SLUZBY	\N	\N
880620	3000	1994-09-30	VYDAJ	VYBER	15	36643	SLUZBY	\N	\N
880621	3000	1994-10-31	VYDAJ	VYBER	15	38615	SLUZBY	\N	\N
880622	3000	1994-11-30	VYDAJ	VYBER	15	39190	SLUZBY	\N	\N
880623	3000	1994-12-31	VYDAJ	VYBER	15	39398	SLUZBY	\N	\N
880624	3000	1995-01-31	VYDAJ	VYBER	15	28333	SLUZBY	\N	\N
880625	3000	1995-02-28	VYDAJ	VYBER	15	29384	SLUZBY	\N	\N
880626	3000	1995-03-31	VYDAJ	VYBER	15	36039	SLUZBY	\N	\N
880627	3000	1995-04-30	VYDAJ	VYBER	15	41718	SLUZBY	\N	\N
880628	3000	1995-05-31	VYDAJ	VYBER	15	42369	SLUZBY	\N	\N
880629	3000	1995-06-30	VYDAJ	VYBER	15	23985	SLUZBY	\N	\N
880630	3000	1995-07-31	VYDAJ	VYBER	15	34428	SLUZBY	\N	\N
880631	3000	1995-08-31	VYDAJ	VYBER	15	40602	SLUZBY	\N	\N
880632	3000	1995-09-30	VYDAJ	VYBER	15	42507	SLUZBY	\N	\N
880633	3000	1995-10-31	VYDAJ	VYBER	15	45204	SLUZBY	\N	\N
880634	3000	1995-11-30	VYDAJ	VYBER	15	44803	SLUZBY	\N	\N
880635	3000	1995-12-31	VYDAJ	VYBER	15	41199	SLUZBY	\N	\N
880636	3000	1996-01-31	VYDAJ	VYBER	15	29156	SLUZBY	\N	\N
880637	3000	1996-02-29	VYDAJ	VYBER	15	31351	SLUZBY	\N	\N
880638	3000	1996-03-31	VYDAJ	VYBER	15	34395	SLUZBY	\N	\N
880639	3000	1996-04-30	VYDAJ	VYBER	15	33690	SLUZBY	\N	\N
880640	3000	1996-05-31	VYDAJ	VYBER	15	35426	SLUZBY	\N	\N
880641	3000	1996-06-30	VYDAJ	VYBER	15	34492	SLUZBY	\N	\N
880642	3000	1996-07-31	VYDAJ	VYBER	15	38950	SLUZBY	\N	\N
880643	3000	1996-08-31	VYDAJ	VYBER	15	43881	SLUZBY	\N	\N
880644	3000	1996-09-30	VYDAJ	VYBER	15	47139	SLUZBY	\N	\N
880645	3000	1996-10-31	VYDAJ	VYBER	15	50149	SLUZBY	\N	\N
880646	3000	1996-11-30	VYDAJ	VYBER	15	51323	SLUZBY	\N	\N
880647	3000	1996-12-31	VYDAJ	VYBER	15	55081	SLUZBY	\N	\N
880648	3000	1997-01-31	VYDAJ	VYBER	15	48628	SLUZBY	\N	\N
880649	3000	1997-02-28	VYDAJ	VYBER	15	52846	SLUZBY	\N	\N
880650	3000	1997-03-31	VYDAJ	VYBER	15	58382	SLUZBY	\N	\N
880651	3000	1997-04-30	VYDAJ	VYBER	15	59786	SLUZBY	\N	\N
880652	3000	1997-05-31	VYDAJ	VYBER	15	63951	SLUZBY	\N	\N
880653	3000	1997-06-30	VYDAJ	VYBER	15	23680	SLUZBY	\N	\N
880654	3000	1997-07-31	VYDAJ	VYBER	15	42112	SLUZBY	\N	\N
880655	3000	1997-08-31	VYDAJ	VYBER	15	50910	SLUZBY	\N	\N
880656	3000	1997-09-30	VYDAJ	VYBER	15	54838	SLUZBY	\N	\N
880657	3000	1997-10-31	VYDAJ	VYBER	15	59483	SLUZBY	\N	\N
880658	3000	1997-11-30	VYDAJ	VYBER	15	62546	SLUZBY	\N	\N
880659	3000	1997-12-31	VYDAJ	VYBER	15	63814	SLUZBY	\N	\N
880660	3000	1998-01-31	VYDAJ	VYBER	15	56055	SLUZBY	\N	\N
880661	3000	1998-02-28	VYDAJ	VYBER	15	61607	SLUZBY	\N	\N
880662	3000	1998-03-31	VYDAJ	VYBER	15	64277	SLUZBY	\N	\N
880663	3000	1998-04-30	VYDAJ	VYBER	15	64655	SLUZBY	\N	\N
880664	3000	1998-05-31	VYDAJ	VYBER	15	59329	SLUZBY	\N	\N
880665	3000	1998-06-30	VYDAJ	VYBER	15	32246	SLUZBY	\N	\N
880666	3000	1998-07-31	VYDAJ	VYBER	15	49021	SLUZBY	\N	\N
880667	3000	1998-08-31	VYDAJ	VYBER	15	56749	SLUZBY	\N	\N
880668	3000	1998-09-30	VYDAJ	VYBER	15	53232	SLUZBY	\N	\N
880669	3000	1998-10-31	VYDAJ	VYBER	15	56670	SLUZBY	\N	\N
880670	3000	1998-11-30	VYDAJ	VYBER	15	62009	SLUZBY	\N	\N
880671	3000	1993-08-13	PRIJEM	VKLAD	9500	17528	\N	\N	\N
880672	3000	1993-09-12	VYDAJ	VYBER	2100	22501	\N	\N	\N
880673	3000	1993-10-12	VYDAJ	VYBER	100	29515	\N	\N	\N
880674	3000	1993-11-11	VYDAJ	VYBER	8200	28456	\N	\N	\N
880675	3000	1993-12-11	VYDAJ	VYBER	8500	30618	\N	\N	\N
880676	3000	1994-01-10	VYDAJ	VYBER	100	28209	\N	\N	\N
880677	3000	1994-02-09	PRIJEM	VKLAD	2600	25500	\N	\N	\N
880678	3000	1994-03-11	VYDAJ	VYBER	6200	31303	\N	\N	\N
880679	3000	1994-04-10	VYDAJ	VYBER	6600	31846	\N	\N	\N
880680	3000	1994-05-10	VYDAJ	VYBER	7400	31609	\N	\N	\N
880681	3000	1994-06-09	VYDAJ	VYBER	3400	28348	\N	\N	\N
880682	3000	1994-07-09	VYDAJ	VYBER	6900	32128	\N	\N	\N
880683	3000	1994-08-08	VYDAJ	VYBER	8700	30604	\N	\N	\N
880684	3000	1994-09-07	VYDAJ	VYBER	8300	29476	\N	\N	\N
880685	3000	1994-10-07	VYDAJ	VYBER	5200	31443	\N	\N	\N
880686	3000	1994-11-06	VYDAJ	VYBER	6600	32015	\N	\N	\N
880687	3000	1994-12-06	VYDAJ	VYBER	6200	31710	\N	\N	\N
880688	3000	1995-01-05	VYDAJ	VYBER	6100	33298	\N	\N	\N
880689	3000	1995-02-04	PRIJEM	VKLAD	2300	30633	\N	\N	\N
880690	3000	1995-03-06	VYDAJ	VYBER	500	28884	\N	\N	\N
880691	3000	1995-04-05	VYDAJ	VYBER	1500	34539	\N	\N	\N
880692	3000	1995-05-05	VYDAJ	VYBER	4500	37218	\N	\N	\N
880693	3000	1995-06-04	VYDAJ	VYBER	5200	37169	\N	\N	\N
880694	3000	1995-07-04	PRIJEM	VKLAD	3300	27285	\N	\N	\N
880695	3000	1995-08-03	VYDAJ	VYBER	1000	33428	\N	\N	\N
880696	3000	1995-09-02	VYDAJ	VYBER	2400	38202	\N	\N	\N
880697	3000	1995-10-02	VYDAJ	VYBER	4500	38007	\N	\N	\N
880698	3000	1995-11-01	VYDAJ	VYBER	7600	37604	\N	\N	\N
880699	3000	1995-12-01	VYDAJ	VYBER	8500	36303	\N	\N	\N
880700	3000	1995-12-31	VYDAJ	VYBER	7300	33899	\N	\N	\N
880701	3000	1996-01-30	PRIJEM	VKLAD	600	29047	\N	\N	\N
880702	3000	1996-02-29	PRIJEM	VKLAD	700	31366	\N	\N	\N
880703	3000	1996-03-30	VYDAJ	VYBER	4100	34279	\N	\N	\N
880704	3000	1996-04-29	VYDAJ	VYBER	5100	33563	\N	\N	\N
880705	3000	1996-05-29	VYDAJ	VYBER	1100	35298	\N	\N	\N
880706	3000	1996-06-28	PRIJEM	VKLAD	2000	34368	\N	\N	\N
880707	3000	1996-07-28	VYDAJ	VYBER	2700	38820	\N	\N	\N
880708	3000	1996-08-27	VYDAJ	VYBER	1300	43718	\N	\N	\N
880709	3000	1996-09-26	VYDAJ	VYBER	100	50809	\N	\N	\N
880710	3000	1996-10-26	VYDAJ	VYBER	4200	49967	\N	\N	\N
880711	3000	1996-11-25	VYDAJ	VYBER	5100	51117	\N	\N	\N
880712	3000	1996-12-25	VYDAJ	VYBER	3800	54865	\N	\N	\N
880713	3000	1997-01-24	PRIJEM	VKLAD	1800	49869	\N	\N	\N
880714	3000	1997-02-23	VYDAJ	VYBER	3000	52656	\N	\N	\N
880715	3000	1997-03-25	VYDAJ	VYBER	1700	58174	\N	\N	\N
880716	3000	1997-04-24	VYDAJ	VYBER	3100	59550	\N	\N	\N
880717	3000	1997-05-24	VYDAJ	VYBER	3100	63714	\N	\N	\N
880718	3000	1997-06-23	VYDAJ	VYBER	8800	65693	\N	\N	\N
880719	3000	1997-07-23	PRIJEM	VKLAD	11300	42008	\N	\N	\N
880720	3000	1997-08-22	PRIJEM	VKLAD	1600	50740	\N	\N	\N
880721	3000	1997-09-21	VYDAJ	VYBER	3300	54638	\N	\N	\N
880722	3000	1997-10-21	VYDAJ	VYBER	2600	59266	\N	\N	\N
880723	3000	1997-11-20	VYDAJ	VYBER	4200	62311	\N	\N	\N
880724	3000	1997-12-20	VYDAJ	VYBER	6000	64688	\N	\N	\N
880725	3000	1998-01-19	PRIJEM	VKLAD	700	62302	\N	\N	\N
880726	3000	1998-02-18	VYDAJ	VYBER	1700	61383	\N	\N	\N
880727	3000	1998-03-20	VYDAJ	VYBER	4600	64035	\N	\N	\N
880728	3000	1998-04-19	VYDAJ	VYBER	6900	64405	\N	\N	\N
880729	3000	1998-05-19	VYDAJ	VYBER	9000	62683	\N	\N	\N
880730	3000	1998-06-18	VYDAJ	VYBER	9500	60371	\N	\N	\N
880731	3000	1998-07-18	PRIJEM	VKLAD	9600	48874	\N	\N	\N
880732	3000	1998-08-17	PRIJEM	VKLAD	500	56549	\N	\N	\N
880733	3000	1998-09-16	VYDAJ	VYBER	7400	56377	\N	\N	\N
880734	3000	1998-10-16	VYDAJ	VYBER	3800	56460	\N	\N	\N
880735	3000	1998-11-15	PRIJEM	VKLAD	1200	61778	\N	\N	\N
880801	3001	1993-03-24	PRIJEM	VKLAD	400	400	\N	\N	\N
880802	3001	1993-08-04	PRIJEM	VKLAD	30830	55283	\N	\N	\N
880803	3001	1993-10-29	PRIJEM	VKLAD	17519	49927	\N	\N	\N
880804	3001	1994-06-30	PRIJEM	VKLAD	23085	48901	\N	\N	\N
880805	3001	1994-11-30	PRIJEM	VKLAD	25369	58482	\N	\N	\N
880806	3001	1995-12-14	PRIJEM	VKLAD	23725	61683	\N	\N	\N
880807	3001	1995-12-09	PRIJEM	VKLAD	25065	50658	\N	\N	\N
880808	3001	1996-01-15	PRIJEM	VKLAD	14356	56977	\N	\N	\N
880809	3001	1996-08-09	PRIJEM	VKLAD	25048	55530	\N	\N	\N
880810	3001	1997-04-13	PRIJEM	VKLAD	4941	39478	\N	\N	\N
880811	3001	1997-11-10	PRIJEM	VKLAD	48992	86018	\N	\N	\N
880812	3001	1998-04-06	PRIJEM	VKLAD	46553	73253	\N	\N	\N
880813	3001	1998-01-25	PRIJEM	VKLAD	10556	45631	\N	\N	\N
880817	3001	1993-04-16	PRIJEM	VKLAD	1000	1400	\N	\N	\N
880818	3001	1993-05-14	PRIJEM	VKLAD	1000	15718	\N	\N	\N
880819	3001	1993-06-13	PRIJEM	VKLAD	1000	22189	\N	\N	\N
880820	3001	1993-07-17	PRIJEM	VKLAD	1000	24866	\N	\N	\N
880821	3001	1993-08-16	PRIJEM	VKLAD	1000	56283	\N	\N	\N
880822	3001	1993-09-13	PRIJEM	VKLAD	1000	39266	\N	\N	\N
880823	3001	1993-10-13	PRIJEM	VKLAD	1000	34408	\N	\N	\N
880824	3001	1993-11-13	PRIJEM	VKLAD	1000	51058	\N	\N	\N
880825	3001	1993-12-16	PRIJEM	VKLAD	1000	35531	\N	\N	\N
880826	3001	1994-01-17	PRIJEM	VKLAD	1000	18755	\N	\N	\N
880827	3001	1994-02-16	PRIJEM	VKLAD	1000	16078	\N	\N	\N
880828	3001	1994-03-14	PRIJEM	VKLAD	1000	22437	\N	\N	\N
880829	3001	1994-04-16	PRIJEM	VKLAD	1000	21464	\N	\N	\N
880830	3001	1994-05-16	PRIJEM	VKLAD	1000	22843	\N	\N	\N
880831	3001	1994-06-14	PRIJEM	VKLAD	1000	21617	\N	\N	\N
880832	3001	1994-07-17	PRIJEM	VKLAD	1000	49886	\N	\N	\N
880833	3001	1994-08-15	PRIJEM	VKLAD	1000	42161	\N	\N	\N
880834	3001	1994-09-16	PRIJEM	VKLAD	1000	31958	\N	\N	\N
880835	3001	1994-10-17	PRIJEM	VKLAD	1000	32689	\N	\N	\N
880836	3001	1994-11-15	PRIJEM	VKLAD	1000	32013	\N	\N	\N
880837	3001	1994-12-13	PRIJEM	VKLAD	1000	57510	\N	\N	\N
880838	3001	1995-01-14	PRIJEM	VKLAD	1000	34804	\N	\N	\N
880839	3001	1995-02-14	PRIJEM	VKLAD	1000	27673	\N	\N	\N
880840	3001	1995-03-16	PRIJEM	VKLAD	1000	27465	\N	\N	\N
880841	3001	1995-04-16	PRIJEM	VKLAD	1000	30569	\N	\N	\N
880842	3001	1995-05-13	PRIJEM	VKLAD	1000	32779	\N	\N	\N
880843	3001	1995-06-15	PRIJEM	VKLAD	1000	29349	\N	\N	\N
880844	3001	1995-07-17	PRIJEM	VKLAD	1000	26911	\N	\N	\N
880845	3001	1995-08-17	PRIJEM	VKLAD	1000	24613	\N	\N	\N
880846	3001	1995-09-14	PRIJEM	VKLAD	1000	26905	\N	\N	\N
880847	3001	1995-10-15	PRIJEM	VKLAD	1000	25302	\N	\N	\N
880848	3001	1995-11-14	PRIJEM	VKLAD	1000	25199	\N	\N	\N
880849	3001	1995-12-13	PRIJEM	VKLAD	1000	37958	\N	\N	\N
880850	3001	1996-01-15	PRIJEM	VKLAD	1000	57977	\N	\N	\N
880851	3001	1996-02-17	PRIJEM	VKLAD	1000	38172	\N	\N	\N
880852	3001	1996-03-15	PRIJEM	VKLAD	1000	35426	\N	\N	\N
880853	3001	1996-04-14	PRIJEM	VKLAD	1000	34863	\N	\N	\N
880854	3001	1996-05-13	PRIJEM	VKLAD	1000	37198	\N	\N	\N
880855	3001	1996-06-15	PRIJEM	VKLAD	1000	27285	\N	\N	\N
880856	3001	1996-07-13	PRIJEM	VKLAD	1000	28182	\N	\N	\N
880857	3001	1996-08-15	PRIJEM	VKLAD	1000	56130	\N	\N	\N
880858	3001	1996-09-13	PRIJEM	VKLAD	1000	44420	\N	\N	\N
880859	3001	1996-10-17	PRIJEM	VKLAD	1000	38213	\N	\N	\N
880860	3001	1996-11-17	PRIJEM	VKLAD	1000	35374	\N	\N	\N
880861	3001	1996-12-17	PRIJEM	VKLAD	1000	33816	\N	\N	\N
880862	3001	1997-01-15	PRIJEM	VKLAD	1000	28142	\N	\N	\N
880863	3001	1997-02-13	PRIJEM	VKLAD	1000	32744	\N	\N	\N
880864	3001	1997-03-13	PRIJEM	VKLAD	1000	35756	\N	\N	\N
880865	3001	1997-04-15	PRIJEM	VKLAD	1000	40478	\N	\N	\N
880866	3001	1997-05-14	PRIJEM	VKLAD	1000	38823	\N	\N	\N
880867	3001	1997-06-17	PRIJEM	VKLAD	1000	19275	\N	\N	\N
880868	3001	1997-07-17	PRIJEM	VKLAD	1000	27142	\N	\N	\N
880869	3001	1997-08-17	PRIJEM	VKLAD	1000	31422	\N	\N	\N
880870	3001	1997-09-15	PRIJEM	VKLAD	1000	36841	\N	\N	\N
880871	3001	1997-10-15	PRIJEM	VKLAD	1000	40377	\N	\N	\N
880872	3001	1997-11-14	PRIJEM	VKLAD	1000	87018	\N	\N	\N
880873	3001	1997-12-17	PRIJEM	VKLAD	1000	56212	\N	\N	\N
880874	3001	1998-01-15	PRIJEM	VKLAD	1000	38275	\N	\N	\N
880875	3001	1998-02-17	PRIJEM	VKLAD	1000	32777	\N	\N	\N
880876	3001	1998-03-16	PRIJEM	VKLAD	1000	30593	\N	\N	\N
880877	3001	1998-04-15	PRIJEM	VKLAD	1000	74253	\N	\N	\N
880878	3001	1998-05-16	PRIJEM	VKLAD	1000	51940	\N	\N	\N
880879	3001	1998-06-13	PRIJEM	VKLAD	1000	41429	\N	\N	\N
880880	3001	1998-07-17	PRIJEM	VKLAD	1000	23849	\N	\N	\N
880881	3001	1998-08-15	PRIJEM	VKLAD	1000	31433	\N	\N	\N
880882	3001	1998-09-13	PRIJEM	VKLAD	1000	32544	\N	\N	\N
880883	3001	1998-10-13	PRIJEM	VKLAD	1000	30757	\N	\N	\N
880884	3001	1998-11-13	PRIJEM	VKLAD	1000	29462	\N	\N	\N
880885	3001	1998-12-17	PRIJEM	VKLAD	1000	28211	\N	\N	\N
880889	3001	1993-04-18	PRIJEM	VKLAD	1100	2500	\N	\N	\N
880890	3001	1993-05-18	PRIJEM	VKLAD	1100	16818	\N	\N	\N
880891	3001	1993-06-18	PRIJEM	VKLAD	1100	23289	\N	\N	\N
880892	3001	1993-07-18	PRIJEM	VKLAD	1100	25966	\N	\N	\N
880893	3001	1993-08-18	PRIJEM	VKLAD	1100	57383	\N	\N	\N
880894	3001	1993-09-18	PRIJEM	VKLAD	1100	40366	\N	\N	\N
880895	3001	1993-10-18	PRIJEM	VKLAD	1100	35508	\N	\N	\N
880896	3001	1993-11-18	PRIJEM	VKLAD	1100	52158	\N	\N	\N
880897	3001	1993-12-18	PRIJEM	VKLAD	1100	36631	\N	\N	\N
880898	3001	1994-01-18	PRIJEM	VKLAD	1100	19855	\N	\N	\N
880899	3001	1994-02-18	PRIJEM	VKLAD	1100	21378	\N	\N	\N
880900	3001	1994-03-18	PRIJEM	VKLAD	1100	22637	\N	\N	\N
880901	3001	1994-04-18	PRIJEM	VKLAD	1100	22564	\N	\N	\N
880902	3001	1994-05-18	PRIJEM	VKLAD	1100	23943	\N	\N	\N
880903	3001	1994-06-18	PRIJEM	VKLAD	1100	25717	\N	\N	\N
880904	3001	1994-07-18	PRIJEM	VKLAD	1100	40986	\N	\N	\N
880905	3001	1994-08-18	PRIJEM	VKLAD	1100	37161	\N	\N	\N
880906	3001	1994-09-18	PRIJEM	VKLAD	1100	33058	\N	\N	\N
880907	3001	1994-10-18	PRIJEM	VKLAD	1100	33789	\N	\N	\N
880908	3001	1994-11-18	PRIJEM	VKLAD	1100	33113	\N	\N	\N
880909	3001	1994-12-18	PRIJEM	VKLAD	1100	44410	\N	\N	\N
880910	3001	1995-01-18	PRIJEM	VKLAD	1100	34854	\N	\N	\N
880911	3001	1995-02-18	PRIJEM	VKLAD	1100	28773	\N	\N	\N
880912	3001	1995-03-18	PRIJEM	VKLAD	1100	28565	\N	\N	\N
880913	3001	1995-04-18	PRIJEM	VKLAD	1100	31669	\N	\N	\N
880914	3001	1995-05-18	PRIJEM	VKLAD	1100	32579	\N	\N	\N
880915	3001	1995-06-18	PRIJEM	VKLAD	1100	30449	\N	\N	\N
880916	3001	1995-07-18	PRIJEM	VKLAD	1100	28011	\N	\N	\N
880917	3001	1995-08-18	PRIJEM	VKLAD	1100	25713	\N	\N	\N
880918	3001	1995-09-18	PRIJEM	VKLAD	1100	28005	\N	\N	\N
880919	3001	1995-10-18	PRIJEM	VKLAD	1100	26402	\N	\N	\N
880920	3001	1995-11-18	PRIJEM	VKLAD	1100	26299	\N	\N	\N
880921	3001	1995-12-18	PRIJEM	VKLAD	1100	62783	\N	\N	\N
880922	3001	1996-01-18	PRIJEM	VKLAD	1100	52877	\N	\N	\N
880923	3001	1996-02-18	PRIJEM	VKLAD	1100	39272	\N	\N	\N
880924	3001	1996-03-18	PRIJEM	VKLAD	1100	36526	\N	\N	\N
880925	3001	1996-04-18	PRIJEM	VKLAD	1100	35963	\N	\N	\N
880926	3001	1996-05-18	PRIJEM	VKLAD	1100	38298	\N	\N	\N
880927	3001	1996-06-18	PRIJEM	VKLAD	1100	26085	\N	\N	\N
880928	3001	1996-07-18	PRIJEM	VKLAD	1100	29282	\N	\N	\N
880929	3001	1996-08-18	PRIJEM	VKLAD	1100	57230	\N	\N	\N
880930	3001	1996-09-18	PRIJEM	VKLAD	1100	45520	\N	\N	\N
880931	3001	1996-10-18	PRIJEM	VKLAD	1100	39313	\N	\N	\N
880932	3001	1996-11-18	PRIJEM	VKLAD	1100	36474	\N	\N	\N
880933	3001	1996-12-18	PRIJEM	VKLAD	1100	34916	\N	\N	\N
880934	3001	1997-01-18	PRIJEM	VKLAD	1100	29242	\N	\N	\N
880935	3001	1997-02-18	PRIJEM	VKLAD	1100	33844	\N	\N	\N
880936	3001	1997-03-18	PRIJEM	VKLAD	1100	36856	\N	\N	\N
880937	3001	1997-04-18	PRIJEM	VKLAD	1100	41578	\N	\N	\N
880938	3001	1997-05-18	PRIJEM	VKLAD	1100	39923	\N	\N	\N
880939	3001	1997-06-18	PRIJEM	VKLAD	1100	20375	\N	\N	\N
880940	3001	1997-07-18	PRIJEM	VKLAD	1100	28242	\N	\N	\N
880941	3001	1997-08-18	PRIJEM	VKLAD	1100	32522	\N	\N	\N
880942	3001	1997-09-18	PRIJEM	VKLAD	1100	37941	\N	\N	\N
880943	3001	1997-10-18	PRIJEM	VKLAD	1100	41477	\N	\N	\N
880944	3001	1997-11-18	PRIJEM	VKLAD	1100	88118	\N	\N	\N
880945	3001	1997-12-18	PRIJEM	VKLAD	1100	57312	\N	\N	\N
880946	3001	1998-01-18	PRIJEM	VKLAD	1100	39375	\N	\N	\N
880947	3001	1998-02-18	PRIJEM	VKLAD	1100	33877	\N	\N	\N
880948	3001	1998-03-18	PRIJEM	VKLAD	1100	31693	\N	\N	\N
880949	3001	1998-04-18	PRIJEM	VKLAD	1100	75353	\N	\N	\N
880950	3001	1998-05-18	PRIJEM	VKLAD	1100	53040	\N	\N	\N
880951	3001	1998-06-18	PRIJEM	VKLAD	1100	42529	\N	\N	\N
880952	3001	1998-07-18	PRIJEM	VKLAD	1100	24949	\N	\N	\N
880953	3001	1998-08-18	PRIJEM	VKLAD	1100	32533	\N	\N	\N
880954	3001	1998-09-18	PRIJEM	VKLAD	1100	33644	\N	\N	\N
880955	3001	1998-10-18	PRIJEM	VKLAD	1100	31857	\N	\N	\N
880956	3001	1998-11-18	PRIJEM	VKLAD	1100	30562	\N	\N	\N
880957	3001	1998-12-18	PRIJEM	VKLAD	1100	29311	\N	\N	\N
880961	3001	1996-06-02	VYDAJ	VYBER	12700	24335	\N	\N	\N
880962	3001	1997-06-02	VYDAJ	VYBER	15300	21975	\N	\N	\N
880963	3001	1998-06-28	VYDAJ	VYBER	6700	22729	\N	\N	\N
880965	3001	1994-01-24	VYDAJ	VYBER	2700	17605	\N	\N	\N
880966	3001	1995-01-18	VYDAJ	VYBER	9900	24954	\N	\N	\N
880967	3001	1996-01-26	VYDAJ	VYBER	6500	45927	\N	\N	\N
880968	3001	1997-01-28	VYDAJ	VYBER	1500	26842	\N	\N	\N
880969	3001	1998-01-01	VYDAJ	VYBER	3700	38825	\N	\N	\N
880974	3001	1997-06-09	VYDAJ	VYBER	3700	18275	\N	\N	\N
880975	3001	1998-06-19	VYDAJ	VYBER	22800	19729	\N	\N	\N
880977	3001	1994-01-11	VYDAJ	VYBER	8300	17755	\N	\N	\N
880978	3001	1995-01-09	VYDAJ	VYBER	7200	36704	\N	\N	\N
880979	3001	1996-01-15	VYDAJ	VYBER	4400	52627	\N	\N	\N
880980	3001	1997-01-03	VYDAJ	VYBER	1600	29992	\N	\N	\N
880981	3001	1998-01-22	VYDAJ	VYBER	3700	35075	\N	\N	\N
880982	3001	1993-12-15	VYDAJ	VYBER	1600	34531	\N	\N	\N
880983	3001	1994-12-11	VYDAJ	VYBER	2100	56510	\N	\N	\N
880984	3001	1995-12-04	VYDAJ	VYBER	800	25593	\N	\N	\N
880985	3001	1996-12-04	VYDAJ	VYBER	900	32816	\N	\N	\N
880986	3001	1997-12-01	VYDAJ	VYBER	1300	57462	\N	\N	\N
880987	3001	1998-12-19	VYDAJ	VYBER	2800	26511	\N	\N	\N
880994	3001	1994-01-29	VYDAJ	VYBER	400	16005	\N	\N	\N
880995	3001	1994-01-03	VYDAJ	VYBER	650	26055	\N	\N	\N
880996	3001	1994-01-25	VYDAJ	VYBER	1200	16405	\N	\N	\N
880997	3001	1994-01-30	VYDAJ	VYBER	1000	15005	\N	\N	\N
880998	3001	1994-01-01	VYDAJ	VYBER	650	28005	\N	\N	\N
880999	3001	1994-01-02	VYDAJ	VYBER	1300	26705	\N	\N	\N
881000	3001	1995-01-20	VYDAJ	VYBER	400	23254	\N	\N	\N
881001	3001	1995-01-18	VYDAJ	VYBER	1300	23654	\N	\N	\N
881002	3001	1995-01-25	VYDAJ	VYBER	250	23004	\N	\N	\N
881003	3001	1995-01-07	VYDAJ	VYBER	700	43904	\N	\N	\N
881004	3001	1995-01-16	VYDAJ	VYBER	1050	33754	\N	\N	\N
881005	3001	1995-01-26	VYDAJ	VYBER	750	22254	\N	\N	\N
881006	3001	1996-01-28	VYDAJ	VYBER	1300	44627	\N	\N	\N
881007	3001	1996-01-02	VYDAJ	VYBER	1100	59621	\N	\N	\N
881008	3001	1996-01-16	VYDAJ	VYBER	850	51777	\N	\N	\N
881009	3001	1996-01-15	VYDAJ	VYBER	950	57027	\N	\N	\N
881010	3001	1996-01-01	VYDAJ	VYBER	400	60721	\N	\N	\N
881011	3001	1996-01-22	VYDAJ	VYBER	450	52427	\N	\N	\N
881012	3001	1997-01-02	VYDAJ	VYBER	1050	31592	\N	\N	\N
881013	3001	1997-01-07	VYDAJ	VYBER	950	28542	\N	\N	\N
881014	3001	1997-01-12	VYDAJ	VYBER	500	27142	\N	\N	\N
881015	3001	1997-01-18	VYDAJ	VYBER	900	28342	\N	\N	\N
881016	3001	1997-01-11	VYDAJ	VYBER	900	27642	\N	\N	\N
881017	3001	1997-01-06	VYDAJ	VYBER	500	29492	\N	\N	\N
881018	3001	1998-01-12	VYDAJ	VYBER	500	37875	\N	\N	\N
881019	3001	1998-01-22	VYDAJ	VYBER	600	38775	\N	\N	\N
881020	3001	1998-01-30	VYDAJ	VYBER	850	31631	\N	\N	\N
881021	3001	1998-01-14	VYDAJ	VYBER	600	37275	\N	\N	\N
881022	3001	1998-01-27	VYDAJ	VYBER	550	32481	\N	\N	\N
881023	3001	1998-01-12	VYDAJ	VYBER	450	38375	\N	\N	\N
881025	3001	1993-09-07	VYDAJ	VYBER	2250	38266	\N	\N	\N
881029	3001	1993-12-03	VYDAJ	VYBER	1300	36131	\N	\N	\N
881030	3001	1994-04-18	VYDAJ	VYBER	1700	21764	\N	\N	\N
881031	3001	1994-10-15	VYDAJ	VYBER	500	32689	\N	\N	\N
881032	3001	1994-05-19	VYDAJ	VYBER	1600	20543	\N	\N	\N
881033	3001	1994-03-15	VYDAJ	VYBER	900	21537	\N	\N	\N
881034	3001	1994-01-21	VYDAJ	VYBER	2350	20305	\N	\N	\N
881035	3001	1994-08-24	VYDAJ	VYBER	250	36911	\N	\N	\N
881036	3001	1994-04-11	VYDAJ	VYBER	2250	20464	\N	\N	\N
881037	3001	1995-12-25	VYDAJ	VYBER	1850	60933	\N	\N	\N
881038	3001	1995-07-19	VYDAJ	VYBER	1300	26711	\N	\N	\N
881039	3001	1995-06-25	VYDAJ	VYBER	1450	28999	\N	\N	\N
881040	3001	1995-08-14	VYDAJ	VYBER	2300	23613	\N	\N	\N
881041	3001	1995-06-11	VYDAJ	VYBER	1150	31549	\N	\N	\N
881042	3001	1996-05-22	VYDAJ	VYBER	1400	36898	\N	\N	\N
881043	3001	1996-07-02	VYDAJ	VYBER	1750	22282	\N	\N	\N
881044	3001	1996-08-11	VYDAJ	VYBER	400	55130	\N	\N	\N
881045	3001	1996-06-07	VYDAJ	VYBER	1050	26285	\N	\N	\N
881046	3001	1996-06-18	VYDAJ	VYBER	2150	23935	\N	\N	\N
881047	3001	1996-02-20	VYDAJ	VYBER	2300	36972	\N	\N	\N
881048	3001	1996-06-17	VYDAJ	VYBER	2300	24985	\N	\N	\N
881049	3001	1996-01-28	VYDAJ	VYBER	1350	43277	\N	\N	\N
881050	3001	1997-04-05	VYDAJ	VYBER	1850	34537	\N	\N	\N
881051	3001	1997-06-20	VYDAJ	VYBER	1700	18675	\N	\N	\N
881052	3001	1997-12-01	VYDAJ	VYBER	2250	55212	\N	\N	\N
881053	3001	1997-08-08	VYDAJ	VYBER	1900	30422	\N	\N	\N
881054	3001	1998-11-21	VYDAJ	VYBER	1850	28712	\N	\N	\N
881055	3001	1998-04-27	VYDAJ	VYBER	700	74653	\N	\N	\N
881062	3001	1993-06-30	VYDAJ	VYBER	15	23866	SLUZBY	\N	\N
881063	3001	1993-07-31	VYDAJ	VYBER	15	24453	SLUZBY	\N	\N
881064	3001	1993-08-31	VYDAJ	VYBER	15	40516	SLUZBY	\N	\N
881065	3001	1993-09-30	VYDAJ	VYBER	15	33408	SLUZBY	\N	\N
881066	3001	1993-10-31	VYDAJ	VYBER	15	50058	SLUZBY	\N	\N
881067	3001	1993-11-30	VYDAJ	VYBER	15	37431	SLUZBY	\N	\N
881068	3001	1993-12-31	VYDAJ	VYBER	15	28655	SLUZBY	\N	\N
881069	3001	1994-01-31	VYDAJ	VYBER	15	15078	SLUZBY	\N	\N
881070	3001	1994-02-28	VYDAJ	VYBER	15	21437	SLUZBY	\N	\N
881071	3001	1994-03-31	VYDAJ	VYBER	15	22714	SLUZBY	\N	\N
881072	3001	1994-04-30	VYDAJ	VYBER	15	21843	SLUZBY	\N	\N
881073	3001	1994-05-31	VYDAJ	VYBER	15	20617	SLUZBY	\N	\N
881074	3001	1994-06-30	VYDAJ	VYBER	15	48886	SLUZBY	\N	\N
881075	3001	1994-07-31	VYDAJ	VYBER	15	41161	SLUZBY	\N	\N
881076	3001	1994-08-31	VYDAJ	VYBER	15	37058	SLUZBY	\N	\N
881077	3001	1994-09-30	VYDAJ	VYBER	15	33189	SLUZBY	\N	\N
881078	3001	1994-10-31	VYDAJ	VYBER	15	33913	SLUZBY	\N	\N
881079	3001	1994-11-30	VYDAJ	VYBER	15	58610	SLUZBY	\N	\N
881080	3001	1994-12-31	VYDAJ	VYBER	15	44604	SLUZBY	\N	\N
881081	3001	1995-01-31	VYDAJ	VYBER	15	22373	SLUZBY	\N	\N
881082	3001	1995-02-28	VYDAJ	VYBER	15	28865	SLUZBY	\N	\N
881083	3001	1995-03-31	VYDAJ	VYBER	15	28669	SLUZBY	\N	\N
881084	3001	1995-04-30	VYDAJ	VYBER	15	31779	SLUZBY	\N	\N
881085	3001	1995-05-31	VYDAJ	VYBER	15	32699	SLUZBY	\N	\N
881086	3001	1995-06-30	VYDAJ	VYBER	15	29111	SLUZBY	\N	\N
881087	3001	1995-07-31	VYDAJ	VYBER	15	26813	SLUZBY	\N	\N
881088	3001	1995-08-31	VYDAJ	VYBER	15	25805	SLUZBY	\N	\N
881089	3001	1995-09-30	VYDAJ	VYBER	15	28102	SLUZBY	\N	\N
881090	3001	1995-10-31	VYDAJ	VYBER	15	26499	SLUZBY	\N	\N
881091	3001	1995-11-30	VYDAJ	VYBER	15	26393	SLUZBY	\N	\N
881092	3001	1995-12-31	VYDAJ	VYBER	15	61121	SLUZBY	\N	\N
881093	3001	1996-01-31	VYDAJ	VYBER	15	43472	SLUZBY	\N	\N
881094	3001	1996-02-29	VYDAJ	VYBER	15	37126	SLUZBY	\N	\N
881095	3001	1996-03-31	VYDAJ	VYBER	15	36663	SLUZBY	\N	\N
881096	3001	1996-04-30	VYDAJ	VYBER	15	36098	SLUZBY	\N	\N
881097	3001	1996-05-31	VYDAJ	VYBER	15	37035	SLUZBY	\N	\N
881098	3001	1996-06-30	VYDAJ	VYBER	15	24032	SLUZBY	\N	\N
881099	3001	1996-07-31	VYDAJ	VYBER	15	29382	SLUZBY	\N	\N
881100	3001	1996-08-31	VYDAJ	VYBER	15	57420	SLUZBY	\N	\N
881101	3001	1996-09-30	VYDAJ	VYBER	15	45713	SLUZBY	\N	\N
881102	3001	1996-10-31	VYDAJ	VYBER	15	39474	SLUZBY	\N	\N
881103	3001	1996-11-30	VYDAJ	VYBER	15	36616	SLUZBY	\N	\N
881104	3001	1996-12-31	VYDAJ	VYBER	15	35042	SLUZBY	\N	\N
881105	3001	1997-01-31	VYDAJ	VYBER	15	26944	SLUZBY	\N	\N
881106	3001	1997-02-28	VYDAJ	VYBER	15	33956	SLUZBY	\N	\N
881107	3001	1997-03-31	VYDAJ	VYBER	15	36987	SLUZBY	\N	\N
881108	3001	1997-04-30	VYDAJ	VYBER	15	41723	SLUZBY	\N	\N
881109	3001	1997-05-31	VYDAJ	VYBER	15	40075	SLUZBY	\N	\N
881110	3001	1997-06-30	VYDAJ	VYBER	15	18742	SLUZBY	\N	\N
881111	3001	1997-07-31	VYDAJ	VYBER	15	32322	SLUZBY	\N	\N
881112	3001	1997-08-31	VYDAJ	VYBER	15	35841	SLUZBY	\N	\N
881113	3001	1997-09-30	VYDAJ	VYBER	15	39377	SLUZBY	\N	\N
881114	3001	1997-10-31	VYDAJ	VYBER	15	37026	SLUZBY	\N	\N
881115	3001	1997-11-30	VYDAJ	VYBER	15	58762	SLUZBY	\N	\N
881116	3001	1997-12-31	VYDAJ	VYBER	15	42525	SLUZBY	\N	\N
881117	3001	1998-01-31	VYDAJ	VYBER	15	31777	SLUZBY	\N	\N
881118	3001	1998-02-28	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
881119	3001	1998-03-31	VYDAJ	VYBER	15	26700	SLUZBY	\N	\N
881120	3001	1998-04-30	VYDAJ	VYBER	15	50940	SLUZBY	\N	\N
881121	3001	1998-05-31	VYDAJ	VYBER	15	40429	SLUZBY	\N	\N
881122	3001	1998-06-30	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
881123	3001	1998-07-31	VYDAJ	VYBER	15	30433	SLUZBY	\N	\N
881124	3001	1998-08-31	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
881125	3001	1998-09-30	VYDAJ	VYBER	15	29757	SLUZBY	\N	\N
881126	3001	1998-10-31	VYDAJ	VYBER	15	28462	SLUZBY	\N	\N
881127	3001	1998-11-30	VYDAJ	VYBER	15	27211	SLUZBY	\N	\N
881128	3001	1993-04-23	PRIJEM	VKLAD	12200	14700	\N	\N	\N
881129	3001	1993-05-23	PRIJEM	VKLAD	4300	21118	\N	\N	\N
881130	3001	1993-06-22	PRIJEM	VKLAD	500	23789	\N	\N	\N
881131	3001	1993-07-22	VYDAJ	VYBER	1600	24366	\N	\N	\N
881132	3001	1993-08-21	VYDAJ	VYBER	17000	40383	\N	\N	\N
881133	3001	1993-09-20	VYDAJ	VYBER	7100	33266	\N	\N	\N
881134	3001	1993-10-20	VYDAJ	VYBER	3100	32408	\N	\N	\N
881135	3001	1993-11-19	VYDAJ	VYBER	14900	37258	\N	\N	\N
881136	3001	1993-12-19	VYDAJ	VYBER	8100	28531	\N	\N	\N
881137	3001	1994-01-18	PRIJEM	VKLAD	2800	22655	\N	\N	\N
881138	3001	1994-02-17	PRIJEM	VKLAD	4200	20278	\N	\N	\N
881139	3001	1994-04-18	PRIJEM	VKLAD	900	23464	\N	\N	\N
881140	3001	1994-05-18	VYDAJ	VYBER	1800	22143	\N	\N	\N
881141	3001	1994-06-17	PRIJEM	VKLAD	3000	24617	\N	\N	\N
881142	3001	1994-07-17	VYDAJ	VYBER	10000	39886	\N	\N	\N
881143	3001	1994-08-16	VYDAJ	VYBER	6100	36061	\N	\N	\N
881144	3001	1994-09-15	VYDAJ	VYBER	6100	30958	\N	\N	\N
881145	3001	1994-10-15	VYDAJ	VYBER	1000	31689	\N	\N	\N
881146	3001	1994-11-14	VYDAJ	VYBER	2900	31013	\N	\N	\N
881147	3001	1994-12-14	VYDAJ	VYBER	14200	43310	\N	\N	\N
881148	3001	1995-01-13	VYDAJ	VYBER	2900	33804	\N	\N	\N
881149	3001	1995-02-12	PRIJEM	VKLAD	4300	26673	\N	\N	\N
881150	3001	1995-03-14	VYDAJ	VYBER	2400	26465	\N	\N	\N
881151	3001	1995-04-13	PRIJEM	VKLAD	900	29569	\N	\N	\N
881152	3001	1995-05-13	VYDAJ	VYBER	1300	31479	\N	\N	\N
881153	3001	1995-06-12	VYDAJ	VYBER	3200	28349	\N	\N	\N
881154	3001	1995-07-12	VYDAJ	VYBER	3200	25911	\N	\N	\N
881155	3001	1995-08-11	VYDAJ	VYBER	900	25913	\N	\N	\N
881156	3001	1995-09-10	PRIJEM	VKLAD	100	25905	\N	\N	\N
881157	3001	1995-10-10	VYDAJ	VYBER	3800	24302	\N	\N	\N
881158	3001	1995-11-09	VYDAJ	VYBER	2300	24199	\N	\N	\N
881159	3001	1995-12-09	VYDAJ	VYBER	13700	36958	\N	\N	\N
881160	3001	1996-01-08	VYDAJ	VYBER	17000	42621	\N	\N	\N
881161	3001	1996-02-07	VYDAJ	VYBER	6300	37172	\N	\N	\N
881162	3001	1996-03-08	VYDAJ	VYBER	2700	34426	\N	\N	\N
881163	3001	1996-04-07	VYDAJ	VYBER	2800	33863	\N	\N	\N
881164	3001	1996-05-07	PRIJEM	VKLAD	100	36198	\N	\N	\N
881165	3001	1996-06-06	PRIJEM	VKLAD	3000	27335	\N	\N	\N
881166	3001	1996-07-06	PRIJEM	VKLAD	4900	27182	\N	\N	\N
881167	3001	1996-08-05	PRIJEM	VKLAD	1100	30482	\N	\N	\N
881168	3001	1996-09-04	VYDAJ	VYBER	14000	43420	\N	\N	\N
881169	3001	1996-10-04	VYDAJ	VYBER	8500	37213	\N	\N	\N
881170	3001	1996-11-03	VYDAJ	VYBER	5100	34374	\N	\N	\N
881171	3001	1996-12-03	VYDAJ	VYBER	2900	33716	\N	\N	\N
881172	3001	1997-01-02	VYDAJ	VYBER	2400	32642	\N	\N	\N
881173	3001	1997-02-01	PRIJEM	VKLAD	4800	31744	\N	\N	\N
881174	3001	1997-03-03	PRIJEM	VKLAD	800	34756	\N	\N	\N
881175	3001	1997-04-02	VYDAJ	VYBER	600	36387	\N	\N	\N
881176	3001	1997-05-02	VYDAJ	VYBER	3900	37823	\N	\N	\N
881177	3001	1997-06-01	VYDAJ	VYBER	2800	37275	\N	\N	\N
881178	3001	1997-07-01	PRIJEM	VKLAD	7400	26142	\N	\N	\N
881179	3001	1997-07-31	PRIJEM	VKLAD	4000	32242	\N	\N	\N
881180	3001	1997-08-30	PRIJEM	VKLAD	3200	35722	\N	\N	\N
881181	3001	1997-09-29	PRIJEM	VKLAD	1300	39241	\N	\N	\N
881182	3001	1997-10-29	VYDAJ	VYBER	4600	36877	\N	\N	\N
881183	3001	1997-11-28	VYDAJ	VYBER	29600	58518	\N	\N	\N
881184	3001	1997-12-28	VYDAJ	VYBER	15000	42312	\N	\N	\N
881185	3001	1998-01-27	VYDAJ	VYBER	12600	33031	\N	\N	\N
881186	3001	1998-02-26	VYDAJ	VYBER	4400	29477	\N	\N	\N
881187	3001	1998-03-28	VYDAJ	VYBER	5100	26593	\N	\N	\N
881188	3001	1998-04-27	VYDAJ	VYBER	23900	50753	\N	\N	\N
881189	3001	1998-05-27	VYDAJ	VYBER	12800	40240	\N	\N	\N
881190	3001	1998-06-26	PRIJEM	VKLAD	9700	29429	\N	\N	\N
881191	3001	1998-07-26	PRIJEM	VKLAD	5400	30349	\N	\N	\N
881192	3001	1998-08-25	VYDAJ	VYBER	1100	31433	\N	\N	\N
881193	3001	1998-09-24	VYDAJ	VYBER	4000	29644	\N	\N	\N
881194	3001	1998-10-24	VYDAJ	VYBER	3500	28357	\N	\N	\N
881195	3001	1998-11-23	VYDAJ	VYBER	1600	27112	\N	\N	\N
881440	3003	1993-11-27	PRIJEM	VKLAD	500	500	\N	\N	\N
881443	3003	1994-05-10	PRIJEM	VKLAD	14785	41216	\N	\N	\N
881444	3003	1994-03-15	PRIJEM	VKLAD	17890	38190	\N	\N	\N
881445	3003	1995-04-28	PRIJEM	VKLAD	33382	60561	\N	\N	\N
881446	3003	1995-06-06	PRIJEM	VKLAD	36697	83165	\N	\N	\N
881447	3003	1996-03-01	PRIJEM	VKLAD	17513	54586	\N	\N	\N
881448	3003	1996-01-31	PRIJEM	VKLAD	3678	40534	\N	\N	\N
881449	3003	1997-09-02	PRIJEM	VKLAD	36578	92947	\N	\N	\N
881450	3003	1997-05-20	PRIJEM	VKLAD	45444	94552	\N	\N	\N
881451	3003	1998-12-28	PRIJEM	VKLAD	12088	115903	\N	\N	\N
881452	3003	1998-10-19	PRIJEM	VKLAD	13592	107422	\N	\N	\N
881456	3003	1996-06-26	VYDAJ	VYBER	13500	19160	\N	\N	\N
881457	3003	1997-06-11	VYDAJ	VYBER	9600	65114	\N	\N	\N
881458	3003	1998-06-12	VYDAJ	VYBER	13500	65938	\N	\N	\N
881463	3003	1997-01-09	VYDAJ	VYBER	7700	33802	\N	\N	\N
881464	3003	1998-01-11	VYDAJ	VYBER	9400	55556	\N	\N	\N
881468	3003	1996-06-14	VYDAJ	VYBER	11600	32660	\N	\N	\N
881469	3003	1997-06-15	VYDAJ	VYBER	18700	46414	\N	\N	\N
881470	3003	1998-06-16	VYDAJ	VYBER	6400	59538	\N	\N	\N
881475	3003	1997-01-23	VYDAJ	VYBER	5100	34702	\N	\N	\N
881476	3003	1998-01-05	VYDAJ	VYBER	4900	64956	\N	\N	\N
881480	3003	1996-12-12	VYDAJ	VYBER	1400	41340	\N	\N	\N
881481	3003	1997-12-19	VYDAJ	VYBER	2500	66187	\N	\N	\N
881482	3003	1998-12-02	VYDAJ	VYBER KARTOU	1500	103815	\N	\N	0
881498	3003	1996-07-21	VYDAJ	VYBER	1000	27505	\N	\N	\N
881499	3003	1996-04-05	VYDAJ	VYBER	900	44944	\N	\N	\N
881500	3003	1996-07-27	VYDAJ	VYBER	1700	25805	\N	\N	\N
881501	3003	1997-12-03	VYDAJ	VYBER	2000	68637	\N	\N	\N
881502	3003	1997-07-07	VYDAJ	VYBER	700	45969	\N	\N	\N
881503	3003	1997-12-13	VYDAJ	VYBER	2250	68687	\N	\N	\N
881504	3003	1998-12-29	VYDAJ	VYBER KARTOU	1700	91403	\N	\N	0
881505	3003	1998-05-05	VYDAJ	VYBER	450	72555	\N	\N	\N
881506	3003	1998-02-08	VYDAJ	VYBER	1300	60487	\N	\N	\N
881507	3003	1998-04-13	VYDAJ	VYBER	500	65653	\N	\N	\N
881508	3003	1998-11-07	VYDAJ	VYBER KARTOU	1700	103302	\N	\N	0
881509	3003	1998-11-21	VYDAJ	VYBER KARTOU	1200	102102	\N	\N	0
881547	3003	1996-01-31	VYDAJ	VYBER	15	40519	SLUZBY	\N	\N
881548	3003	1996-02-29	VYDAJ	VYBER	15	37073	SLUZBY	\N	\N
881549	3003	1996-03-31	VYDAJ	VYBER	15	45844	SLUZBY	\N	\N
881550	3003	1996-04-30	VYDAJ	VYBER	15	40407	SLUZBY	\N	\N
881551	3003	1996-05-31	VYDAJ	VYBER	15	40460	SLUZBY	\N	\N
881552	3003	1996-06-30	VYDAJ	VYBER	15	19305	SLUZBY	\N	\N
881553	3003	1996-07-31	VYDAJ	VYBER	15	25881	SLUZBY	\N	\N
881554	3003	1996-08-31	VYDAJ	VYBER	15	27774	SLUZBY	\N	\N
881555	3003	1996-09-30	VYDAJ	VYBER	15	32275	SLUZBY	\N	\N
881556	3003	1996-10-31	VYDAJ	VYBER	15	38694	SLUZBY	\N	\N
881557	3003	1996-11-30	VYDAJ	VYBER	15	42740	SLUZBY	\N	\N
881558	3003	1996-12-31	VYDAJ	VYBER	15	41502	SLUZBY	\N	\N
881559	3003	1997-01-31	VYDAJ	VYBER	15	34848	SLUZBY	\N	\N
881560	3003	1997-02-28	VYDAJ	VYBER	15	40678	SLUZBY	\N	\N
881561	3003	1997-03-31	VYDAJ	VYBER	15	45832	SLUZBY	\N	\N
881562	3003	1997-04-30	VYDAJ	VYBER	15	49508	SLUZBY	\N	\N
881563	3003	1997-05-31	VYDAJ	VYBER	15	94814	SLUZBY	\N	\N
881564	3003	1997-06-30	VYDAJ	VYBER	15	46669	SLUZBY	\N	\N
881565	3003	1997-07-31	VYDAJ	VYBER	15	52765	SLUZBY	\N	\N
881566	3003	1997-08-31	VYDAJ	VYBER	15	56369	SLUZBY	\N	\N
881567	3003	1997-09-30	VYDAJ	VYBER	15	78939	SLUZBY	\N	\N
881568	3003	1997-10-31	VYDAJ	VYBER	15	72951	SLUZBY	\N	\N
881569	3003	1997-11-30	VYDAJ	VYBER	15	70637	SLUZBY	\N	\N
881570	3003	1997-12-31	VYDAJ	VYBER	15	66456	SLUZBY	\N	\N
881571	3003	1998-01-31	VYDAJ	VYBER	15	55787	SLUZBY	\N	\N
881572	3003	1998-02-28	VYDAJ	VYBER	15	60717	SLUZBY	\N	\N
881573	3003	1998-03-31	VYDAJ	VYBER	15	63353	SLUZBY	\N	\N
881574	3003	1998-04-30	VYDAJ	VYBER	15	65905	SLUZBY	\N	\N
881575	3003	1998-05-31	VYDAJ	VYBER	15	72838	SLUZBY	\N	\N
881576	3003	1998-06-30	VYDAJ	VYBER	15	59792	SLUZBY	\N	\N
881577	3003	1998-07-31	VYDAJ	VYBER	15	72724	SLUZBY	\N	\N
881578	3003	1998-08-31	VYDAJ	VYBER	15	81010	SLUZBY	\N	\N
881579	3003	1998-09-30	VYDAJ	VYBER	15	86930	SLUZBY	\N	\N
881580	3003	1998-10-31	VYDAJ	VYBER	15	107802	SLUZBY	\N	\N
881581	3003	1998-11-30	VYDAJ	VYBER	15	102515	SLUZBY	\N	\N
881582	3003	1993-12-27	PRIJEM	VKLAD	12700	13200	\N	\N	\N
881583	3003	1994-01-26	PRIJEM	VKLAD	7400	20600	\N	\N	\N
881584	3003	1994-02-25	VYDAJ	VYBER	300	20300	\N	\N	\N
881585	3003	1994-03-27	VYDAJ	VYBER	9100	29090	\N	\N	\N
881586	3003	1994-04-26	VYDAJ	VYBER	2800	26310	\N	\N	\N
881587	3003	1994-05-26	VYDAJ	VYBER	6700	34516	\N	\N	\N
881588	3003	1994-06-25	VYDAJ	VYBER	3500	31141	\N	\N	\N
881589	3003	1994-07-25	VYDAJ	VYBER	900	30385	\N	\N	\N
881590	3003	1994-08-24	VYDAJ	VYBER	3700	26829	\N	\N	\N
881591	3003	1994-09-23	VYDAJ	VYBER	3100	23873	\N	\N	\N
881592	3003	1994-10-23	VYDAJ	VYBER	100	23917	\N	\N	\N
881593	3003	1994-11-22	PRIJEM	VKLAD	1100	25160	\N	\N	\N
881594	3003	1994-12-22	PRIJEM	VKLAD	100	25404	\N	\N	\N
881595	3003	1995-01-21	VYDAJ	VYBER	1000	24548	\N	\N	\N
881596	3003	1995-02-20	PRIJEM	VKLAD	200	24892	\N	\N	\N
881597	3003	1995-03-22	PRIJEM	VKLAD	3200	28236	\N	\N	\N
881598	3003	1995-04-21	VYDAJ	VYBER	1200	27179	\N	\N	\N
881599	3003	1995-05-21	VYDAJ	VYBER	14500	46216	\N	\N	\N
881600	3003	1995-06-20	VYDAJ	VYBER	26700	56465	\N	\N	\N
881601	3003	1995-07-20	VYDAJ	VYBER	13600	43111	\N	\N	\N
881602	3003	1995-08-19	VYDAJ	VYBER	6600	36747	\N	\N	\N
881603	3003	1995-09-18	VYDAJ	VYBER	1200	35782	\N	\N	\N
881604	3003	1995-10-18	PRIJEM	VKLAD	700	36717	\N	\N	\N
881605	3003	1995-11-17	VYDAJ	VYBER	900	36052	\N	\N	\N
881606	3003	1995-12-17	PRIJEM	VKLAD	1000	37288	\N	\N	\N
881607	3003	1996-01-16	VYDAJ	VYBER	900	36623	\N	\N	\N
881608	3003	1996-02-15	VYDAJ	VYBER	3600	36919	\N	\N	\N
881609	3003	1996-03-16	VYDAJ	VYBER	8900	45686	\N	\N	\N
881610	3003	1996-04-15	VYDAJ	VYBER	4700	40244	\N	\N	\N
881611	3003	1996-05-15	VYDAJ	VYBER	100	40307	\N	\N	\N
881612	3003	1996-06-14	PRIJEM	VKLAD	3800	44260	\N	\N	\N
881613	3003	1996-07-14	PRIJEM	VKLAD	9200	28505	\N	\N	\N
881614	3003	1996-08-13	PRIJEM	VKLAD	1800	27681	\N	\N	\N
881615	3003	1996-09-12	PRIJEM	VKLAD	4400	32174	\N	\N	\N
881616	3003	1996-10-12	PRIJEM	VKLAD	6300	38575	\N	\N	\N
881617	3003	1996-11-11	PRIJEM	VKLAD	3900	42594	\N	\N	\N
881618	3003	1997-01-10	PRIJEM	VKLAD	6000	39802	\N	\N	\N
881619	3003	1997-02-09	PRIJEM	VKLAD	5700	40548	\N	\N	\N
881620	3003	1997-03-11	PRIJEM	VKLAD	5000	45678	\N	\N	\N
881621	3003	1997-04-10	PRIJEM	VKLAD	3500	49332	\N	\N	\N
881622	3003	1997-05-10	VYDAJ	VYBER	400	49108	\N	\N	\N
881623	3003	1997-06-09	VYDAJ	VYBER	20100	74714	\N	\N	\N
881624	3003	1997-07-09	PRIJEM	VKLAD	6600	52569	\N	\N	\N
881625	3003	1997-08-08	PRIJEM	VKLAD	3400	56165	\N	\N	\N
881626	3003	1997-09-07	VYDAJ	VYBER	14300	78647	\N	\N	\N
881627	3003	1997-10-07	VYDAJ	VYBER	6300	72639	\N	\N	\N
881628	3003	1997-11-06	VYDAJ	VYBER	2600	70351	\N	\N	\N
881629	3003	1997-12-06	PRIJEM	VKLAD	2300	70937	\N	\N	\N
881630	3003	1998-01-05	PRIJEM	VKLAD	3400	69856	\N	\N	\N
881631	3003	1998-02-04	PRIJEM	VKLAD	6000	61787	\N	\N	\N
881632	3003	1998-03-06	PRIJEM	VKLAD	2400	63117	\N	\N	\N
881633	3003	1998-04-05	PRIJEM	VKLAD	2800	66153	\N	\N	\N
881634	3003	1998-05-05	PRIJEM	VKLAD	7100	73005	\N	\N	\N
881635	3003	1998-06-04	PRIJEM	VKLAD	6600	79438	\N	\N	\N
881636	3003	1998-07-04	PRIJEM	VKLAD	12700	72492	\N	\N	\N
881637	3003	1998-08-03	PRIJEM	VKLAD	8000	80724	\N	\N	\N
881638	3003	1998-09-02	PRIJEM	VKLAD	5600	86610	\N	\N	\N
881639	3003	1998-10-02	PRIJEM	VKLAD	6900	93830	\N	\N	\N
881640	3003	1998-11-01	VYDAJ	VYBER KARTOU	2800	105002	\N	\N	0
881641	3003	1998-12-01	PRIJEM	VKLAD	2800	105315	\N	\N	\N
881642	3003	1998-12-28	VYDAJ	VYBER	22800	93103	\N	\N	\N
881701	3004	1996-08-22	PRIJEM	VKLAD	700	700	\N	\N	\N
881710	3004	1996-09-11	PRIJEM	PREVOD Z UCTU	4641	5341	DUCHOD	OP	31724423
881711	3004	1996-10-11	PRIJEM	PREVOD Z UCTU	4641	9982	DUCHOD	OP	31724423
881712	3004	1996-11-11	PRIJEM	PREVOD Z UCTU	4641	14623	DUCHOD	OP	31724423
881713	3004	1996-12-11	PRIJEM	PREVOD Z UCTU	4641	19264	DUCHOD	OP	31724423
881714	3004	1997-01-11	PRIJEM	PREVOD Z UCTU	4641	23905	DUCHOD	OP	31724423
881715	3004	1997-02-11	PRIJEM	PREVOD Z UCTU	4641	15796	DUCHOD	OP	31724423
881716	3004	1997-03-11	PRIJEM	PREVOD Z UCTU	4641	17386	DUCHOD	OP	31724423
881717	3004	1997-04-11	PRIJEM	PREVOD Z UCTU	4641	18982	DUCHOD	OP	31724423
881718	3004	1997-05-11	PRIJEM	PREVOD Z UCTU	4641	18106	DUCHOD	OP	31724423
881719	3004	1997-06-11	PRIJEM	PREVOD Z UCTU	4641	19707	DUCHOD	OP	31724423
881720	3004	1997-07-11	PRIJEM	PREVOD Z UCTU	4641	14295	DUCHOD	OP	31724423
881721	3004	1997-08-11	PRIJEM	PREVOD Z UCTU	4641	15879	DUCHOD	OP	31724423
881722	3004	1997-09-11	PRIJEM	PREVOD Z UCTU	4641	17068	DUCHOD	OP	31724423
881723	3004	1997-10-11	PRIJEM	PREVOD Z UCTU	4641	18664	DUCHOD	OP	31724423
881724	3004	1997-11-11	PRIJEM	PREVOD Z UCTU	4641	15556	DUCHOD	OP	31724423
881725	3004	1997-12-11	PRIJEM	PREVOD Z UCTU	4641	16423	DUCHOD	OP	31724423
881726	3004	1998-01-11	PRIJEM	PREVOD Z UCTU	4641	17214	DUCHOD	OP	31724423
881727	3004	1998-02-11	PRIJEM	PREVOD Z UCTU	4641	16104	DUCHOD	OP	31724423
881728	3004	1998-03-11	PRIJEM	PREVOD Z UCTU	4641	14595	DUCHOD	OP	31724423
881729	3004	1998-04-11	PRIJEM	PREVOD Z UCTU	4641	16180	DUCHOD	OP	31724423
881730	3004	1998-05-11	PRIJEM	PREVOD Z UCTU	4641	17771	DUCHOD	OP	31724423
881731	3004	1998-06-11	PRIJEM	PREVOD Z UCTU	4641	19370	DUCHOD	OP	31724423
881732	3004	1998-07-11	PRIJEM	PREVOD Z UCTU	4641	19855	DUCHOD	OP	31724423
881733	3004	1998-08-11	PRIJEM	PREVOD Z UCTU	4641	21463	DUCHOD	OP	31724423
881734	3004	1998-09-11	PRIJEM	PREVOD Z UCTU	4641	20430	DUCHOD	OP	31724423
881735	3004	1998-10-11	PRIJEM	PREVOD Z UCTU	4641	22040	DUCHOD	OP	31724423
881736	3004	1998-11-11	PRIJEM	PREVOD Z UCTU	4641	21414	DUCHOD	OP	31724423
881737	3004	1998-12-11	PRIJEM	PREVOD Z UCTU	4641	23028	DUCHOD	OP	31724423
881750	3004	1997-01-13	VYDAJ	PREVOD NA UCET	1522	20623	SIPO	YZ	61573129
881751	3004	1997-02-13	VYDAJ	PREVOD NA UCET	1522	14274	SIPO	YZ	61573129
881752	3004	1997-03-13	VYDAJ	PREVOD NA UCET	1522	15864	SIPO	YZ	61573129
881753	3004	1997-04-13	VYDAJ	PREVOD NA UCET	1522	17460	SIPO	YZ	61573129
881754	3004	1997-05-13	VYDAJ	PREVOD NA UCET	1522	16584	SIPO	YZ	61573129
881755	3004	1997-06-13	VYDAJ	PREVOD NA UCET	1522	11185	SIPO	YZ	61573129
881756	3004	1997-07-13	VYDAJ	PREVOD NA UCET	1522	12773	SIPO	YZ	61573129
881757	3004	1997-08-13	VYDAJ	PREVOD NA UCET	1522	14357	SIPO	YZ	61573129
881758	3004	1997-09-13	VYDAJ	PREVOD NA UCET	1522	15546	SIPO	YZ	61573129
881759	3004	1997-10-13	VYDAJ	PREVOD NA UCET	1522	17142	SIPO	YZ	61573129
881760	3004	1997-11-13	VYDAJ	PREVOD NA UCET	1522	13314	SIPO	YZ	61573129
881761	3004	1997-12-13	VYDAJ	PREVOD NA UCET	1522	14901	SIPO	YZ	61573129
881762	3004	1998-01-13	VYDAJ	PREVOD NA UCET	1522	15692	SIPO	YZ	61573129
881763	3004	1998-02-13	VYDAJ	PREVOD NA UCET	1522	14582	SIPO	YZ	61573129
881764	3004	1998-03-13	VYDAJ	PREVOD NA UCET	1522	13073	SIPO	YZ	61573129
881765	3004	1998-04-13	VYDAJ	PREVOD NA UCET	1522	14658	SIPO	YZ	61573129
881766	3004	1998-05-13	VYDAJ	PREVOD NA UCET	1522	16249	SIPO	YZ	61573129
881767	3004	1998-06-13	VYDAJ	PREVOD NA UCET	1522	17848	SIPO	YZ	61573129
881768	3004	1998-07-13	VYDAJ	PREVOD NA UCET	1522	18333	SIPO	YZ	61573129
881769	3004	1998-08-13	VYDAJ	PREVOD NA UCET	1522	19941	SIPO	YZ	61573129
881770	3004	1998-09-13	VYDAJ	PREVOD NA UCET	1522	18908	SIPO	YZ	61573129
881771	3004	1998-10-13	VYDAJ	PREVOD NA UCET	1522	20518	SIPO	YZ	61573129
881772	3004	1998-11-13	VYDAJ	PREVOD NA UCET	1522	19892	SIPO	YZ	61573129
881773	3004	1998-12-13	VYDAJ	PREVOD NA UCET	1522	21506	SIPO	YZ	61573129
881787	3004	1997-02-07	VYDAJ	PREVOD NA UCET	1572	11155	 	GH	60290586
881788	3004	1997-03-07	VYDAJ	PREVOD NA UCET	1572	12745	 	GH	60290586
881789	3004	1997-04-07	VYDAJ	PREVOD NA UCET	1572	14341	 	GH	60290586
881790	3004	1997-05-07	VYDAJ	PREVOD NA UCET	1572	13465	 	GH	60290586
881791	3004	1997-06-07	VYDAJ	PREVOD NA UCET	1572	15066	 	GH	60290586
881792	3004	1997-07-07	VYDAJ	PREVOD NA UCET	1572	9654	 	GH	60290586
881793	3004	1997-08-07	VYDAJ	PREVOD NA UCET	1572	11238	 	GH	60290586
881794	3004	1997-09-07	VYDAJ	PREVOD NA UCET	1572	12427	 	GH	60290586
881795	3004	1997-10-07	VYDAJ	PREVOD NA UCET	1572	14023	 	GH	60290586
881796	3004	1997-11-07	VYDAJ	PREVOD NA UCET	1572	10915	 	GH	60290586
881797	3004	1997-12-07	VYDAJ	PREVOD NA UCET	1572	11782	 	GH	60290586
881798	3004	1998-01-07	VYDAJ	PREVOD NA UCET	1572	12573	 	GH	60290586
881799	3004	1998-02-07	VYDAJ	PREVOD NA UCET	1572	11463	 	GH	60290586
881800	3004	1998-03-07	VYDAJ	PREVOD NA UCET	1572	9954	 	GH	60290586
881801	3004	1998-04-07	VYDAJ	PREVOD NA UCET	1572	11539	 	GH	60290586
881802	3004	1998-05-07	VYDAJ	PREVOD NA UCET	1572	13130	 	GH	60290586
881803	3004	1998-06-07	VYDAJ	PREVOD NA UCET	1572	14729	 	GH	60290586
881804	3004	1998-07-07	VYDAJ	PREVOD NA UCET	1572	16334	 	GH	60290586
881805	3004	1998-08-07	VYDAJ	PREVOD NA UCET	1572	16822	 	GH	60290586
881806	3004	1998-09-07	VYDAJ	PREVOD NA UCET	1572	15789	 	GH	60290586
881807	3004	1998-10-07	VYDAJ	PREVOD NA UCET	1572	17399	 	GH	60290586
881808	3004	1998-11-07	VYDAJ	PREVOD NA UCET	1572	16773	 	GH	60290586
881809	3004	1998-12-07	VYDAJ	PREVOD NA UCET	1572	18387	 	GH	60290586
881811	3004	1997-06-12	VYDAJ	VYBER	7000	12707	\N	\N	\N
881814	3004	1997-12-19	VYDAJ	VYBER	800	14101	\N	\N	\N
881815	3004	1998-12-27	VYDAJ	VYBER	950	20556	\N	\N	\N
881822	3004	1997-01-18	VYDAJ	VYBER	1760	16463	\N	\N	\N
881823	3004	1997-01-17	VYDAJ	VYBER	400	18223	\N	\N	\N
881824	3004	1997-01-13	VYDAJ	VYBER	1760	22145	\N	\N	\N
881826	3004	1997-01-23	VYDAJ	VYBER	1360	12703	\N	\N	\N
881838	3004	1997-11-12	VYDAJ	VYBER	720	14836	\N	\N	\N
881839	3004	1997-01-19	VYDAJ	VYBER	2400	14063	\N	\N	\N
881840	3004	1997-01-15	VYDAJ	VYBER	2000	18623	\N	\N	\N
881842	3004	1997-05-04	VYDAJ	VYBER	2480	15037	\N	\N	\N
881844	3004	1998-10-28	VYDAJ	VYBER	2240	18278	\N	\N	\N
881845	3004	1998-07-10	VYDAJ	VYBER	1120	15214	\N	\N	\N
881847	3004	1998-08-15	VYDAJ	VYBER	2640	17301	\N	\N	\N
881861	3004	1997-01-31	VYDAJ	VYBER	15	12727	SLUZBY	\N	\N
881862	3004	1997-02-28	VYDAJ	VYBER	15	14317	SLUZBY	\N	\N
881863	3004	1997-03-31	VYDAJ	VYBER	15	15913	SLUZBY	\N	\N
881864	3004	1997-04-30	VYDAJ	VYBER	15	17517	SLUZBY	\N	\N
881865	3004	1997-05-31	VYDAJ	VYBER	15	16638	SLUZBY	\N	\N
881866	3004	1997-06-30	VYDAJ	VYBER	15	11226	SLUZBY	\N	\N
881867	3004	1997-07-31	VYDAJ	VYBER	15	12810	SLUZBY	\N	\N
881868	3004	1997-08-31	VYDAJ	VYBER	15	13999	SLUZBY	\N	\N
881869	3004	1997-09-30	VYDAJ	VYBER	15	15595	SLUZBY	\N	\N
881870	3004	1997-10-31	VYDAJ	VYBER	15	12487	SLUZBY	\N	\N
881871	3004	1997-11-30	VYDAJ	VYBER	15	13354	SLUZBY	\N	\N
881872	3004	1997-12-31	VYDAJ	VYBER	15	14145	SLUZBY	\N	\N
881873	3004	1998-01-31	VYDAJ	VYBER	15	13035	SLUZBY	\N	\N
881874	3004	1998-02-28	VYDAJ	VYBER	15	11526	SLUZBY	\N	\N
881875	3004	1998-03-31	VYDAJ	VYBER	15	13111	SLUZBY	\N	\N
881876	3004	1998-04-30	VYDAJ	VYBER	15	14702	SLUZBY	\N	\N
881877	3004	1998-05-31	VYDAJ	VYBER	15	16301	SLUZBY	\N	\N
881878	3004	1998-06-30	VYDAJ	VYBER	15	17906	SLUZBY	\N	\N
881879	3004	1998-07-31	VYDAJ	VYBER	15	18394	SLUZBY	\N	\N
881880	3004	1998-08-31	VYDAJ	VYBER	15	17361	SLUZBY	\N	\N
881881	3004	1998-09-30	VYDAJ	VYBER	15	18971	SLUZBY	\N	\N
881882	3004	1998-10-31	VYDAJ	VYBER	15	18345	SLUZBY	\N	\N
881883	3004	1998-11-30	VYDAJ	VYBER	15	19959	SLUZBY	\N	\N
881884	3004	1997-08-17	VYDAJ	VYBER	400	13957	\N	\N	\N
881885	3004	1997-10-16	VYDAJ	VYBER	4700	12442	\N	\N	\N
881886	3004	1998-01-14	VYDAJ	VYBER	2700	12992	\N	\N	\N
881887	3004	1998-02-13	VYDAJ	VYBER	3100	11482	\N	\N	\N
881912	3005	1997-01-11	PRIJEM	VKLAD	600	600	\N	\N	\N
881913	3005	1998-03-07	PRIJEM	VKLAD	21121	81970	\N	\N	\N
881914	3005	1998-07-11	PRIJEM	VKLAD	19319	46947	\N	\N	\N
881915	3005	1998-07-30	PRIJEM	VKLAD	37779	102657	\N	\N	\N
881916	3005	1998-12-21	PRIJEM	VKLAD	43581	51788	\N	\N	\N
881917	3005	1998-06-28	PRIJEM	VKLAD	25181	27276	\N	\N	\N
881918	3005	1998-04-07	PRIJEM	VKLAD	11605	67638	\N	\N	\N
881919	3005	1998-10-13	PRIJEM	VKLAD	20079	49394	\N	\N	\N
881920	3005	1998-10-16	PRIJEM	VKLAD	34785	76483	\N	\N	\N
881921	3005	1998-07-22	PRIJEM	VKLAD	40635	64878	\N	\N	\N
881922	3005	1998-02-03	PRIJEM	VKLAD	12214	73490	\N	\N	\N
881923	3005	1998-04-17	PRIJEM	VKLAD	39314	120715	\N	\N	\N
881924	3005	1998-02-14	PRIJEM	VKLAD	16701	68391	\N	\N	\N
881925	3005	1998-03-30	PRIJEM	VKLAD	47025	83516	\N	\N	\N
881926	3005	1998-10-10	PRIJEM	VKLAD	17037	44323	\N	\N	\N
881927	3005	1998-01-26	PRIJEM	VKLAD	13507	61175	\N	\N	\N
881928	3005	1998-08-25	PRIJEM	VKLAD	16509	59335	\N	\N	\N
881929	3005	1998-09-27	PRIJEM	VKLAD	18974	26199	\N	\N	\N
881930	3005	1998-01-18	PRIJEM	VKLAD	22668	47668	\N	\N	\N
881931	3005	1998-08-29	PRIJEM	VKLAD	47004	106339	\N	\N	\N
881932	3005	1998-04-07	PRIJEM	VKLAD	28342	95980	\N	\N	\N
881947	3005	1998-03-05	VYDAJ	VYBER	7800	60849	\N	\N	0
881948	3005	1998-04-19	VYDAJ	VYBER	8800	63415	\N	\N	0
881949	3005	1998-05-18	VYDAJ	VYBER	8100	23139	\N	\N	0
881950	3005	1998-06-12	VYDAJ	PREVOD NA UCET	8125	9791	UVER	CD	95518534
881951	3005	1998-07-12	VYDAJ	PREVOD NA UCET	8125	31939	UVER	CD	95518534
881952	3005	1998-08-12	VYDAJ	PREVOD NA UCET	8125	50522	UVER	CD	95518534
881953	3005	1998-09-12	VYDAJ	PREVOD NA UCET	8125	14921	UVER	CD	95518534
881954	3005	1998-10-12	VYDAJ	PREVOD NA UCET	8125	29315	UVER	CD	95518534
881955	3005	1998-11-12	VYDAJ	PREVOD NA UCET	8125	39406	UVER	CD	95518534
881956	3005	1998-12-12	VYDAJ	PREVOD NA UCET	8125	15903	UVER	CD	95518534
881971	3005	1998-03-11	VYDAJ	PREVOD NA UCET	6883	44187	SIPO	IJ	33958757
881972	3005	1998-04-11	VYDAJ	PREVOD NA UCET	6883	89097	SIPO	IJ	33958757
881973	3005	1998-05-11	VYDAJ	PREVOD NA UCET	6883	38935	SIPO	IJ	33958757
881974	3005	1998-06-11	VYDAJ	PREVOD NA UCET	6883	17917	SIPO	IJ	33958757
881975	3005	1998-07-11	VYDAJ	PREVOD NA UCET	6883	40064	SIPO	IJ	33958757
881976	3005	1998-08-11	VYDAJ	PREVOD NA UCET	6883	58647	SIPO	IJ	33958757
881977	3005	1998-09-11	VYDAJ	PREVOD NA UCET	6883	23046	SIPO	IJ	33958757
881978	3005	1998-10-11	VYDAJ	PREVOD NA UCET	6883	37440	SIPO	IJ	33958757
881979	3005	1998-11-11	VYDAJ	PREVOD NA UCET	6883	47531	SIPO	IJ	33958757
881980	3005	1998-12-11	VYDAJ	PREVOD NA UCET	6883	24029	SIPO	IJ	33958757
881995	3005	1998-03-13	VYDAJ	PREVOD NA UCET	7696	36491	 	AB	44410479
881996	3005	1998-04-13	VYDAJ	PREVOD NA UCET	7696	81401	 	AB	44410479
881997	3005	1998-05-13	VYDAJ	PREVOD NA UCET	7696	31239	 	AB	44410479
881998	3005	1998-06-13	VYDAJ	PREVOD NA UCET	7696	2095	 	AB	44410479
881999	3005	1998-07-13	VYDAJ	PREVOD NA UCET	7696	24243	 	AB	44410479
882000	3005	1998-08-13	VYDAJ	PREVOD NA UCET	7696	42826	 	AB	44410479
882001	3005	1998-09-13	VYDAJ	PREVOD NA UCET	7696	7225	 	AB	44410479
882002	3005	1998-10-13	VYDAJ	PREVOD NA UCET	7696	41698	 	AB	44410479
882003	3005	1998-11-13	VYDAJ	PREVOD NA UCET	7696	31710	 	AB	44410479
882004	3005	1998-12-13	VYDAJ	PREVOD NA UCET	7696	8207	 	AB	44410479
882013	3005	1998-11-14	VYBER	VYBER	8376	23334	\N	\N	\N
882018	3005	1998-12-21	VYDAJ	VYBER	8700	43088	\N	\N	\N
882036	3005	1998-09-03	VYDAJ	VYBER	8700	37129	\N	\N	\N
882039	3005	1998-09-08	VYDAJ	VYBER	7200	29929	\N	\N	\N
882056	3005	1998-03-31	VYDAJ	VYBER	100	83633	SLUZBY	\N	\N
882057	3005	1998-04-30	VYDAJ	VYBER	100	63618	SLUZBY	\N	\N
882058	3005	1998-05-31	VYDAJ	VYBER	100	23200	SLUZBY	\N	\N
882059	3005	1998-06-30	VYDAJ	VYBER	100	27228	SLUZBY	\N	\N
882060	3005	1998-07-31	VYDAJ	VYBER	100	102730	SLUZBY	\N	\N
882061	3005	1998-08-31	VYDAJ	VYBER	100	54329	SLUZBY	\N	\N
882062	3005	1998-09-30	VYDAJ	VYBER	100	26186	SLUZBY	\N	\N
882063	3005	1998-10-31	VYDAJ	VYBER	100	76614	SLUZBY	\N	\N
882064	3005	1998-11-30	VYDAJ	VYBER	100	23412	SLUZBY	\N	\N
882065	3005	1997-02-10	PRIJEM	VKLAD	13500	14100	\N	\N	\N
882066	3005	1997-03-12	PRIJEM	VKLAD	4000	18100	\N	\N	\N
882067	3005	1997-04-11	PRIJEM	VKLAD	4100	22200	\N	\N	\N
882068	3005	1997-05-11	PRIJEM	VKLAD	1100	23300	\N	\N	\N
882069	3005	1997-06-10	VYDAJ	VYBER	1200	22100	\N	\N	\N
882070	3005	1997-07-10	PRIJEM	VKLAD	400	22500	\N	\N	\N
882071	3005	1997-08-09	VYDAJ	VYBER	3300	19200	\N	\N	\N
882072	3005	1997-09-08	VYDAJ	VYBER	5900	13300	\N	\N	\N
882073	3005	1997-10-08	PRIJEM	VKLAD	1700	15000	\N	\N	\N
882074	3005	1997-11-07	VYDAJ	VYBER	200	14800	\N	\N	\N
882075	3005	1997-12-07	PRIJEM	VKLAD	4900	19700	\N	\N	\N
882076	3005	1998-01-06	PRIJEM	VKLAD	5300	25000	\N	\N	\N
882077	3005	1998-02-05	VYDAJ	VYBER	21800	51690	\N	\N	\N
882078	3005	1998-03-07	VYDAJ	VYBER	30900	51070	\N	\N	\N
882079	3005	1998-04-06	VYDAJ	VYBER	27600	56033	\N	\N	\N
882080	3005	1998-04-17	VYDAJ	VYBER	48500	72215	\N	\N	\N
882081	3005	1998-05-06	VYDAJ	VYBER	17800	45818	\N	\N	\N
882082	3005	1998-06-05	PRIJEM	VKLAD	1600	24800	\N	\N	\N
882083	3005	1998-07-05	PRIJEM	VKLAD	400	27628	\N	\N	\N
882084	3005	1998-08-04	VYDAJ	VYBER	37200	65530	\N	\N	\N
882085	3005	1998-08-29	VYDAJ	VYBER	52200	54139	\N	\N	\N
882086	3005	1998-09-03	VYDAJ	VYBER	8500	45829	\N	\N	\N
882087	3005	1998-10-03	PRIJEM	VKLAD	1100	27286	\N	\N	\N
882088	3005	1998-11-02	VYDAJ	VYBER	22200	54414	\N	\N	\N
882089	3005	1998-12-02	PRIJEM	VKLAD	7500	30912	\N	\N	\N
882102	3006	1995-01-01	PRIJEM	VKLAD	200	200	\N	\N	\N
882103	3006	1995-01-13	PRIJEM	PREVOD Z UCTU	6416	6616	DUCHOD	GH	24404144
882104	3006	1995-02-13	PRIJEM	PREVOD Z UCTU	6416	13049	DUCHOD	GH	24404144
882105	3006	1995-03-13	PRIJEM	PREVOD Z UCTU	6416	19492	DUCHOD	GH	24404144
882106	3006	1995-04-13	PRIJEM	PREVOD Z UCTU	6416	25936	DUCHOD	GH	24404144
882107	3006	1995-05-13	PRIJEM	PREVOD Z UCTU	6416	31480	DUCHOD	GH	24404144
882108	3006	1995-06-13	PRIJEM	PREVOD Z UCTU	6416	27588	DUCHOD	GH	24404144
882109	3006	1995-07-13	PRIJEM	PREVOD Z UCTU	6416	17483	DUCHOD	GH	24404144
882110	3006	1995-08-13	PRIJEM	PREVOD Z UCTU	6416	20172	DUCHOD	GH	24404144
882111	3006	1995-09-13	PRIJEM	PREVOD Z UCTU	6416	19103	DUCHOD	GH	24404144
882112	3006	1995-10-13	PRIJEM	PREVOD Z UCTU	6416	21797	DUCHOD	GH	24404144
882113	3006	1995-11-13	PRIJEM	PREVOD Z UCTU	6416	22020	DUCHOD	GH	24404144
882114	3006	1995-12-13	PRIJEM	PREVOD Z UCTU	6416	24726	DUCHOD	GH	24404144
882115	3006	1996-01-13	PRIJEM	PREVOD Z UCTU	6416	21003	DUCHOD	GH	24404144
882116	3006	1996-02-13	PRIJEM	PREVOD Z UCTU	6416	18660	DUCHOD	GH	24404144
882117	3006	1996-03-13	PRIJEM	PREVOD Z UCTU	6416	18068	DUCHOD	GH	24404144
882118	3006	1996-04-13	PRIJEM	PREVOD Z UCTU	6416	18516	DUCHOD	GH	24404144
882119	3006	1996-05-13	PRIJEM	PREVOD Z UCTU	6416	21207	DUCHOD	GH	24404144
882120	3006	1996-06-13	PRIJEM	PREVOD Z UCTU	6416	23910	DUCHOD	GH	24404144
882121	3006	1996-07-13	PRIJEM	PREVOD Z UCTU	6416	23668	DUCHOD	GH	24404144
882122	3006	1996-08-13	PRIJEM	PREVOD Z UCTU	6416	26380	DUCHOD	GH	24404144
882123	3006	1996-09-13	PRIJEM	PREVOD Z UCTU	6416	29104	DUCHOD	GH	24404144
882124	3006	1996-10-13	PRIJEM	PREVOD Z UCTU	6416	31839	DUCHOD	GH	24404144
882125	3006	1996-11-13	PRIJEM	PREVOD Z UCTU	6416	34586	DUCHOD	GH	24404144
882126	3006	1996-12-13	PRIJEM	PREVOD Z UCTU	6416	34148	DUCHOD	GH	24404144
882127	3006	1997-01-13	PRIJEM	PREVOD Z UCTU	6416	28182	DUCHOD	GH	24404144
882128	3006	1997-02-13	PRIJEM	PREVOD Z UCTU	6416	29075	DUCHOD	GH	24404144
882129	3006	1997-03-13	PRIJEM	PREVOD Z UCTU	6416	28290	DUCHOD	GH	24404144
882130	3006	1997-04-13	PRIJEM	PREVOD Z UCTU	6416	30727	DUCHOD	GH	24404144
882131	3006	1997-05-13	PRIJEM	PREVOD Z UCTU	6416	33468	DUCHOD	GH	24404144
882132	3006	1997-06-13	PRIJEM	PREVOD Z UCTU	6416	22818	DUCHOD	GH	24404144
882133	3006	1997-07-13	PRIJEM	PREVOD Z UCTU	6416	25544	DUCHOD	GH	24404144
882134	3006	1997-08-13	PRIJEM	PREVOD Z UCTU	6416	27622	DUCHOD	GH	24404144
882135	3006	1997-09-13	PRIJEM	PREVOD Z UCTU	6416	26829	DUCHOD	GH	24404144
882136	3006	1997-10-13	PRIJEM	PREVOD Z UCTU	6416	29555	DUCHOD	GH	24404144
882137	3006	1997-11-13	PRIJEM	PREVOD Z UCTU	6416	32292	DUCHOD	GH	24404144
882138	3006	1997-12-13	PRIJEM	PREVOD Z UCTU	6416	33238	DUCHOD	GH	24404144
882139	3006	1998-01-13	PRIJEM	PREVOD Z UCTU	6416	22558	DUCHOD	GH	24404144
882140	3006	1998-02-13	PRIJEM	PREVOD Z UCTU	6416	21583	DUCHOD	GH	24404144
882141	3006	1998-03-13	PRIJEM	PREVOD Z UCTU	6416	24285	DUCHOD	GH	24404144
882142	3006	1998-04-13	PRIJEM	PREVOD Z UCTU	6416	27000	DUCHOD	GH	24404144
882143	3006	1998-05-13	PRIJEM	PREVOD Z UCTU	6416	29725	DUCHOD	GH	24404144
882144	3006	1998-06-13	PRIJEM	PREVOD Z UCTU	6416	24258	DUCHOD	GH	24404144
882145	3006	1998-07-13	PRIJEM	PREVOD Z UCTU	6416	25778	DUCHOD	GH	24404144
882146	3006	1998-08-13	PRIJEM	PREVOD Z UCTU	6416	23828	DUCHOD	GH	24404144
882147	3006	1998-09-13	PRIJEM	PREVOD Z UCTU	6416	23740	DUCHOD	GH	24404144
882148	3006	1998-10-13	PRIJEM	PREVOD Z UCTU	6416	24652	DUCHOD	GH	24404144
882149	3006	1998-11-13	PRIJEM	PREVOD Z UCTU	6416	21349	DUCHOD	GH	24404144
882150	3006	1998-12-13	PRIJEM	PREVOD Z UCTU	6416	17908	DUCHOD	GH	24404144
882156	3006	1995-06-12	VYDAJ	PREVOD NA UCET	3783	21172	SIPO	YZ	98815863
882157	3006	1995-07-12	VYDAJ	PREVOD NA UCET	3783	11067	SIPO	YZ	98815863
882158	3006	1995-08-12	VYDAJ	PREVOD NA UCET	3783	13756	SIPO	YZ	98815863
882159	3006	1995-09-12	VYDAJ	PREVOD NA UCET	3783	12687	SIPO	YZ	98815863
882160	3006	1995-10-12	VYDAJ	PREVOD NA UCET	3783	15381	SIPO	YZ	98815863
882161	3006	1995-11-12	VYDAJ	PREVOD NA UCET	3783	15604	SIPO	YZ	98815863
882162	3006	1995-12-12	VYDAJ	PREVOD NA UCET	3783	18310	SIPO	YZ	98815863
882163	3006	1996-01-12	VYDAJ	PREVOD NA UCET	3783	14587	SIPO	YZ	98815863
882164	3006	1996-02-12	VYDAJ	PREVOD NA UCET	3783	12244	SIPO	YZ	98815863
882165	3006	1996-03-12	VYDAJ	PREVOD NA UCET	3783	11652	SIPO	YZ	98815863
882166	3006	1996-04-12	VYDAJ	PREVOD NA UCET	3783	12100	SIPO	YZ	98815863
882167	3006	1996-05-12	VYDAJ	PREVOD NA UCET	3783	14791	SIPO	YZ	98815863
882168	3006	1996-06-12	VYDAJ	PREVOD NA UCET	3783	17494	SIPO	YZ	98815863
882169	3006	1996-07-12	VYDAJ	PREVOD NA UCET	3783	17252	SIPO	YZ	98815863
882170	3006	1996-08-12	VYDAJ	PREVOD NA UCET	3783	19964	SIPO	YZ	98815863
882171	3006	1996-09-12	VYDAJ	PREVOD NA UCET	3783	22688	SIPO	YZ	98815863
882172	3006	1996-10-12	VYDAJ	PREVOD NA UCET	3783	25423	SIPO	YZ	98815863
882173	3006	1996-11-12	VYDAJ	PREVOD NA UCET	3783	28170	SIPO	YZ	98815863
882174	3006	1996-12-12	VYDAJ	PREVOD NA UCET	3783	27732	SIPO	YZ	98815863
882175	3006	1997-01-12	VYDAJ	PREVOD NA UCET	3783	21766	SIPO	YZ	98815863
882176	3006	1997-02-12	VYDAJ	PREVOD NA UCET	3783	22659	SIPO	YZ	98815863
882177	3006	1997-03-12	VYDAJ	PREVOD NA UCET	3783	21874	SIPO	YZ	98815863
882178	3006	1997-04-12	VYDAJ	PREVOD NA UCET	3783	24311	SIPO	YZ	98815863
882179	3006	1997-05-12	VYDAJ	PREVOD NA UCET	3783	27052	SIPO	YZ	98815863
882180	3006	1997-06-12	VYDAJ	PREVOD NA UCET	3783	16402	SIPO	YZ	98815863
882181	3006	1997-07-12	VYDAJ	PREVOD NA UCET	3783	19128	SIPO	YZ	98815863
882182	3006	1997-08-12	VYDAJ	PREVOD NA UCET	3783	21206	SIPO	YZ	98815863
882183	3006	1997-09-12	VYDAJ	PREVOD NA UCET	3783	20413	SIPO	YZ	98815863
882184	3006	1997-10-12	VYDAJ	PREVOD NA UCET	3783	23139	SIPO	YZ	98815863
882185	3006	1997-11-12	VYDAJ	PREVOD NA UCET	3783	25876	SIPO	YZ	98815863
882186	3006	1997-12-12	VYDAJ	PREVOD NA UCET	3783	26822	SIPO	YZ	98815863
882187	3006	1998-01-12	VYDAJ	PREVOD NA UCET	3783	16142	SIPO	YZ	98815863
882188	3006	1998-02-12	VYDAJ	PREVOD NA UCET	3783	15167	SIPO	YZ	98815863
882189	3006	1998-03-12	VYDAJ	PREVOD NA UCET	3783	17869	SIPO	YZ	98815863
882190	3006	1998-04-12	VYDAJ	PREVOD NA UCET	3783	20584	SIPO	YZ	98815863
882191	3006	1998-05-12	VYDAJ	PREVOD NA UCET	3783	23309	SIPO	YZ	98815863
882192	3006	1998-06-12	VYDAJ	PREVOD NA UCET	3783	17842	SIPO	YZ	98815863
882193	3006	1998-07-12	VYDAJ	PREVOD NA UCET	3783	19362	SIPO	YZ	98815863
882194	3006	1998-08-12	VYDAJ	PREVOD NA UCET	3783	17412	SIPO	YZ	98815863
882195	3006	1998-09-12	VYDAJ	PREVOD NA UCET	3783	17324	SIPO	YZ	98815863
882196	3006	1998-10-12	VYDAJ	PREVOD NA UCET	3783	18236	SIPO	YZ	98815863
882197	3006	1998-11-12	VYDAJ	PREVOD NA UCET	3783	14933	SIPO	YZ	98815863
882198	3006	1998-12-12	VYDAJ	PREVOD NA UCET	3783	11492	SIPO	YZ	98815863
882199	3006	1995-06-15	VYDAJ	VYBER	11050	16538	\N	\N	\N
882200	3006	1996-06-17	VYDAJ	VYBER	2950	20960	\N	\N	\N
882201	3006	1997-06-09	VYDAJ	VYBER	11500	20185	\N	\N	\N
882202	3006	1998-06-09	VYDAJ	VYBER	6200	21625	\N	\N	\N
882203	3006	1995-12-30	VYDAJ	VYBER	1000	23726	\N	\N	\N
882204	3006	1996-12-03	VYDAJ	VYBER	950	31515	\N	\N	\N
882205	3006	1997-12-09	VYDAJ	VYBER	900	30605	\N	\N	\N
882206	3006	1998-12-08	VYDAJ	VYBER	1250	19375	\N	\N	\N
882213	3006	1996-01-06	VYDAJ	VYBER	1600	20530	\N	\N	\N
882214	3006	1996-01-16	VYDAJ	VYBER	800	20203	\N	\N	\N
882215	3006	1996-01-23	VYDAJ	VYBER	800	17083	\N	\N	\N
882216	3006	1996-01-03	VYDAJ	VYBER	1680	22130	\N	\N	\N
882217	3006	1996-01-25	VYDAJ	VYBER	1120	15963	\N	\N	\N
882218	3006	1996-01-07	VYDAJ	VYBER	2160	18370	\N	\N	\N
882219	3006	1997-01-22	VYDAJ	VYBER	1120	26342	\N	\N	\N
882220	3006	1997-01-12	VYDAJ	VYBER	1840	25549	\N	\N	\N
882221	3006	1997-01-09	VYDAJ	VYBER	960	27389	\N	\N	\N
882222	3006	1997-01-01	VYDAJ	VYBER	1360	30509	\N	\N	\N
882223	3006	1997-01-04	VYDAJ	VYBER	2160	28349	\N	\N	\N
882224	3006	1997-01-20	VYDAJ	VYBER	720	27462	\N	\N	\N
882225	3006	1998-01-05	VYDAJ	VYBER	2320	19925	\N	\N	\N
882226	3006	1998-01-04	VYDAJ	VYBER	1840	22245	\N	\N	\N
882227	3006	1998-01-18	VYDAJ	VYBER	1120	21438	\N	\N	\N
882228	3006	1998-01-27	VYDAJ	VYBER	1440	18878	\N	\N	\N
882229	3006	1998-01-24	VYDAJ	VYBER	560	20878	\N	\N	\N
882230	3006	1998-01-24	VYDAJ	VYBER	560	20318	\N	\N	\N
882232	3006	1995-10-27	VYDAJ	VYBER	2480	19317	\N	\N	\N
882234	3006	1995-08-19	VYDAJ	VYBER	3760	16412	\N	\N	\N
882235	3006	1995-07-04	VYDAJ	VYBER	1760	14850	\N	\N	\N
882236	3006	1996-02-22	VYDAJ	VYBER	3280	15380	\N	\N	\N
882237	3006	1996-01-18	VYDAJ	VYBER	2320	17883	\N	\N	\N
882238	3006	1996-11-14	VYDAJ	VYBER	2240	32346	\N	\N	\N
882239	3006	1996-03-30	VYDAJ	VYBER	2240	15828	\N	\N	\N
882241	3006	1997-07-14	VYDAJ	VYBER	640	24904	\N	\N	\N
882242	3006	1997-12-23	VYDAJ	VYBER	3840	27098	\N	\N	\N
882243	3006	1997-12-25	VYDAJ	VYBER	3120	23978	\N	\N	\N
882244	3006	1997-09-02	VYDAJ	VYBER	1040	24196	\N	\N	\N
882245	3006	1997-08-25	VYDAJ	VYBER	2480	25142	\N	\N	\N
882246	3006	1997-02-28	VYDAJ	VYBER	3520	25657	\N	\N	\N
882247	3006	1998-07-20	VYDAJ	VYBER	800	21118	\N	\N	\N
882248	3006	1998-11-07	VYDAJ	VYBER	1120	23616	\N	\N	\N
882249	3006	1998-11-27	VYDAJ	VYBER	800	20549	\N	\N	\N
882250	3006	1998-07-19	VYDAJ	VYBER	960	21918	\N	\N	\N
882256	3006	1995-05-31	VYDAJ	VYBER	15	31555	SLUZBY	\N	\N
882257	3006	1995-06-30	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
882258	3006	1995-07-31	VYDAJ	VYBER	15	17539	SLUZBY	\N	\N
882259	3006	1995-08-31	VYDAJ	VYBER	15	16470	SLUZBY	\N	\N
882260	3006	1995-09-30	VYDAJ	VYBER	15	19164	SLUZBY	\N	\N
882261	3006	1995-10-31	VYDAJ	VYBER	15	19387	SLUZBY	\N	\N
882262	3006	1995-11-30	VYDAJ	VYBER	15	22093	SLUZBY	\N	\N
882263	3006	1995-12-31	VYDAJ	VYBER	15	23810	SLUZBY	\N	\N
882264	3006	1996-01-31	VYDAJ	VYBER	15	16027	SLUZBY	\N	\N
882265	3006	1996-02-29	VYDAJ	VYBER	15	15435	SLUZBY	\N	\N
882266	3006	1996-03-31	VYDAJ	VYBER	15	15883	SLUZBY	\N	\N
882267	3006	1996-04-30	VYDAJ	VYBER	15	18574	SLUZBY	\N	\N
882268	3006	1996-05-31	VYDAJ	VYBER	15	21277	SLUZBY	\N	\N
882269	3006	1996-06-30	VYDAJ	VYBER	15	21035	SLUZBY	\N	\N
882270	3006	1996-07-31	VYDAJ	VYBER	15	23747	SLUZBY	\N	\N
882271	3006	1996-08-31	VYDAJ	VYBER	15	26471	SLUZBY	\N	\N
882272	3006	1996-09-30	VYDAJ	VYBER	15	29206	SLUZBY	\N	\N
882273	3006	1996-10-31	VYDAJ	VYBER	15	31953	SLUZBY	\N	\N
882274	3006	1996-11-30	VYDAJ	VYBER	15	32465	SLUZBY	\N	\N
882275	3006	1996-12-31	VYDAJ	VYBER	15	31869	SLUZBY	\N	\N
882276	3006	1997-01-31	VYDAJ	VYBER	15	26442	SLUZBY	\N	\N
882277	3006	1997-02-28	VYDAJ	VYBER	15	29177	SLUZBY	\N	\N
882278	3006	1997-03-31	VYDAJ	VYBER	15	28094	SLUZBY	\N	\N
882279	3006	1997-04-30	VYDAJ	VYBER	15	30835	SLUZBY	\N	\N
882280	3006	1997-05-31	VYDAJ	VYBER	15	31685	SLUZBY	\N	\N
882281	3006	1997-06-30	VYDAJ	VYBER	15	22911	SLUZBY	\N	\N
882282	3006	1997-07-31	VYDAJ	VYBER	15	24989	SLUZBY	\N	\N
882283	3006	1997-08-31	VYDAJ	VYBER	15	25236	SLUZBY	\N	\N
882284	3006	1997-09-30	VYDAJ	VYBER	15	26922	SLUZBY	\N	\N
882285	3006	1997-10-31	VYDAJ	VYBER	15	29659	SLUZBY	\N	\N
882286	3006	1997-11-30	VYDAJ	VYBER	15	31505	SLUZBY	\N	\N
882287	3006	1997-12-31	VYDAJ	VYBER	15	24085	SLUZBY	\N	\N
882288	3006	1998-01-31	VYDAJ	VYBER	15	18950	SLUZBY	\N	\N
882289	3006	1998-02-28	VYDAJ	VYBER	15	21652	SLUZBY	\N	\N
882290	3006	1998-03-31	VYDAJ	VYBER	15	24367	SLUZBY	\N	\N
882291	3006	1998-04-30	VYDAJ	VYBER	15	27092	SLUZBY	\N	\N
882292	3006	1998-05-31	VYDAJ	VYBER	15	27825	SLUZBY	\N	\N
882293	3006	1998-06-30	VYDAJ	VYBER	15	23145	SLUZBY	\N	\N
882294	3006	1998-07-31	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
882295	3006	1998-08-31	VYDAJ	VYBER	15	21107	SLUZBY	\N	\N
882296	3006	1998-09-30	VYDAJ	VYBER	15	23819	SLUZBY	\N	\N
882297	3006	1998-10-31	VYDAJ	VYBER	15	24736	SLUZBY	\N	\N
882298	3006	1998-11-30	VYDAJ	VYBER	15	20625	SLUZBY	\N	\N
882299	3006	1995-05-01	VYDAJ	VYBER	900	25064	\N	\N	\N
882300	3006	1995-05-31	VYDAJ	VYBER	6600	24955	\N	\N	\N
882301	3006	1996-12-21	VYDAJ	VYBER	2400	31748	\N	\N	\N
882302	3006	1997-03-21	VYDAJ	VYBER	300	27990	\N	\N	\N
882303	3006	1997-05-20	VYDAJ	VYBER	1900	31568	\N	\N	\N
882304	3006	1997-11-16	VYDAJ	VYBER	900	31392	\N	\N	\N
882305	3006	1997-12-16	VYDAJ	VYBER	2300	30938	\N	\N	\N
882306	3006	1998-05-15	VYDAJ	VYBER	2000	27725	\N	\N	\N
882307	3006	1998-06-14	VYDAJ	VYBER	1200	23058	\N	\N	\N
882308	3006	1998-07-14	VYDAJ	VYBER	2900	22878	\N	\N	\N
882309	3006	1998-08-13	VYDAJ	VYBER	2800	21028	\N	\N	\N
882310	3006	1998-10-12	VYDAJ	VYBER	1800	22019	\N	\N	\N
882311	3006	1998-11-11	VYDAJ	VYBER	4900	18716	\N	\N	\N
882312	3006	1998-12-11	VYDAJ	VYBER	4100	15275	\N	\N	\N
882361	3007	1993-02-02	PRIJEM	VKLAD	800	800	\N	\N	\N
882363	3007	1993-02-08	PRIJEM	VKLAD	22452	23252	\N	\N	\N
882364	3007	1993-03-08	PRIJEM	VKLAD	22452	46677	\N	\N	\N
882365	3007	1993-04-08	PRIJEM	VKLAD	22452	57001	\N	\N	\N
882366	3007	1993-05-08	PRIJEM	VKLAD	22452	63781	\N	\N	\N
882367	3007	1993-06-08	PRIJEM	VKLAD	33678	77118	\N	\N	\N
882368	3007	1993-07-08	PRIJEM	VKLAD	22452	58541	\N	\N	\N
882369	3007	1993-08-08	PRIJEM	VKLAD	22452	59104	\N	\N	\N
882370	3007	1993-09-08	PRIJEM	VKLAD	22452	61268	\N	\N	\N
882371	3007	1993-10-08	PRIJEM	VKLAD	22452	61126	\N	\N	\N
882372	3007	1993-11-08	PRIJEM	VKLAD	22452	59999	\N	\N	\N
882373	3007	1993-12-08	PRIJEM	VKLAD	33678	71283	\N	\N	\N
882374	3007	1994-01-08	PRIJEM	VKLAD	22452	58570	\N	\N	\N
882375	3007	1994-02-08	PRIJEM	VKLAD	22452	56711	\N	\N	\N
882376	3007	1994-03-08	PRIJEM	VKLAD	22452	61656	\N	\N	\N
882377	3007	1994-04-08	PRIJEM	VKLAD	22452	60714	\N	\N	\N
882378	3007	1994-05-08	PRIJEM	VKLAD	22452	60570	\N	\N	\N
882379	3007	1994-06-08	PRIJEM	VKLAD	33678	70252	\N	\N	\N
882380	3007	1994-07-08	PRIJEM	VKLAD	22452	54083	\N	\N	\N
882381	3007	1994-08-08	PRIJEM	VKLAD	22452	58015	\N	\N	\N
882382	3007	1994-09-08	PRIJEM	VKLAD	22452	61361	\N	\N	\N
882383	3007	1994-10-08	PRIJEM	VKLAD	22452	60516	\N	\N	\N
882384	3007	1994-11-08	PRIJEM	VKLAD	22452	60968	\N	\N	\N
882385	3007	1994-12-08	PRIJEM	VKLAD	33678	73547	\N	\N	\N
882386	3007	1995-01-08	PRIJEM	VKLAD	22452	58430	\N	\N	\N
882387	3007	1995-02-08	PRIJEM	VKLAD	22452	49658	\N	\N	\N
882388	3007	1995-03-08	PRIJEM	VKLAD	22452	54767	\N	\N	\N
882389	3007	1995-04-08	PRIJEM	VKLAD	22452	57896	\N	\N	\N
882390	3007	1995-05-08	PRIJEM	VKLAD	22452	60039	\N	\N	\N
882391	3007	1995-06-08	PRIJEM	VKLAD	33678	71610	\N	\N	\N
882392	3007	1995-07-08	PRIJEM	VKLAD	22452	55772	\N	\N	\N
882393	3007	1995-08-08	PRIJEM	VKLAD	22452	58400	\N	\N	\N
882394	3007	1995-09-08	PRIJEM	VKLAD	22452	59737	\N	\N	\N
882395	3007	1995-10-08	PRIJEM	VKLAD	22452	59775	\N	\N	\N
882396	3007	1995-11-08	PRIJEM	VKLAD	22452	56408	\N	\N	\N
882397	3007	1995-12-08	PRIJEM	VKLAD	33678	65653	\N	\N	\N
882398	3007	1996-01-08	PRIJEM	VKLAD	22452	57599	\N	\N	\N
882399	3007	1996-02-08	PRIJEM	VKLAD	22452	48616	\N	\N	\N
882400	3007	1996-03-08	PRIJEM	VKLAD	22452	52210	\N	\N	\N
882401	3007	1996-04-08	PRIJEM	VKLAD	22452	51611	\N	\N	\N
882402	3007	1996-05-08	PRIJEM	VKLAD	22452	54916	\N	\N	\N
882403	3007	1996-06-08	PRIJEM	VKLAD	33678	60946	\N	\N	\N
882404	3007	1996-07-08	PRIJEM	VKLAD	22452	53149	\N	\N	\N
882405	3007	1996-08-08	PRIJEM	VKLAD	22452	52550	\N	\N	\N
882406	3007	1996-09-08	PRIJEM	VKLAD	22452	51745	\N	\N	\N
882407	3007	1996-10-08	PRIJEM	VKLAD	22452	49733	\N	\N	\N
882408	3007	1996-11-08	PRIJEM	VKLAD	22452	46610	\N	\N	\N
882409	3007	1996-12-08	PRIJEM	VKLAD	33678	55800	\N	\N	\N
882410	3007	1997-01-08	PRIJEM	VKLAD	22452	51589	\N	\N	\N
882411	3007	1997-02-08	PRIJEM	VKLAD	22452	43064	\N	\N	\N
882412	3007	1997-03-08	PRIJEM	VKLAD	22452	40407	\N	\N	\N
882413	3007	1997-04-08	PRIJEM	VKLAD	22452	39548	\N	\N	\N
882414	3007	1997-05-08	PRIJEM	VKLAD	22452	51221	\N	\N	\N
882415	3007	1997-06-08	PRIJEM	VKLAD	33678	55517	\N	\N	\N
882416	3007	1997-07-08	PRIJEM	VKLAD	22452	46583	\N	\N	\N
882417	3007	1997-08-08	PRIJEM	VKLAD	22452	41232	\N	\N	\N
882418	3007	1997-09-08	PRIJEM	VKLAD	22452	54812	\N	\N	\N
882419	3007	1997-10-08	PRIJEM	VKLAD	22452	34649	\N	\N	\N
882420	3007	1997-11-08	PRIJEM	VKLAD	22452	48202	\N	\N	\N
882421	3007	1997-12-08	PRIJEM	VKLAD	33678	42639	\N	\N	\N
882422	3007	1998-01-08	PRIJEM	VKLAD	22452	49909	\N	\N	\N
882423	3007	1998-02-08	PRIJEM	VKLAD	22452	55014	\N	\N	\N
882424	3007	1998-03-08	PRIJEM	VKLAD	22452	66649	\N	\N	\N
882425	3007	1998-04-08	PRIJEM	VKLAD	22452	40111	\N	\N	\N
882426	3007	1998-05-08	PRIJEM	VKLAD	22452	48871	\N	\N	\N
882427	3007	1998-06-08	PRIJEM	VKLAD	33678	73708	\N	\N	\N
882428	3007	1998-07-08	PRIJEM	VKLAD	22452	60499	\N	\N	\N
882429	3007	1998-08-08	PRIJEM	VKLAD	22452	46358	\N	\N	\N
882430	3007	1998-09-08	PRIJEM	VKLAD	22452	55769	\N	\N	\N
882431	3007	1998-10-08	PRIJEM	VKLAD	22452	43207	\N	\N	\N
882432	3007	1998-11-08	PRIJEM	VKLAD	22452	56807	\N	\N	\N
882433	3007	1998-12-08	PRIJEM	VKLAD	33678	54775	\N	\N	\N
882439	3007	1993-06-12	VYDAJ	PREVOD NA UCET	983	69134	SIPO	CD	27930361
882440	3007	1993-07-12	VYDAJ	PREVOD NA UCET	983	50557	SIPO	CD	27930361
882441	3007	1993-08-12	VYDAJ	PREVOD NA UCET	983	51120	SIPO	CD	27930361
882442	3007	1993-09-12	VYDAJ	PREVOD NA UCET	983	52684	SIPO	CD	27930361
882443	3007	1993-10-12	VYDAJ	PREVOD NA UCET	983	53142	SIPO	CD	27930361
882444	3007	1993-11-12	VYDAJ	PREVOD NA UCET	983	52015	SIPO	CD	27930361
882445	3007	1993-12-12	VYDAJ	PREVOD NA UCET	983	63299	SIPO	CD	27930361
882446	3007	1994-01-12	VYDAJ	PREVOD NA UCET	983	50586	SIPO	CD	27930361
882447	3007	1994-02-12	VYDAJ	PREVOD NA UCET	983	48727	SIPO	CD	27930361
882448	3007	1994-03-12	VYDAJ	PREVOD NA UCET	983	53672	SIPO	CD	27930361
882449	3007	1994-04-12	VYDAJ	PREVOD NA UCET	983	51330	SIPO	CD	27930361
882450	3007	1994-05-12	VYDAJ	PREVOD NA UCET	983	52586	SIPO	CD	27930361
882451	3007	1994-06-12	VYDAJ	PREVOD NA UCET	983	44668	SIPO	CD	27930361
882452	3007	1994-07-12	VYDAJ	PREVOD NA UCET	983	46099	SIPO	CD	27930361
882453	3007	1994-08-12	VYDAJ	PREVOD NA UCET	983	50031	SIPO	CD	27930361
882454	3007	1994-09-12	VYDAJ	PREVOD NA UCET	983	53377	SIPO	CD	27930361
882455	3007	1994-10-12	VYDAJ	PREVOD NA UCET	983	52532	SIPO	CD	27930361
882456	3007	1994-11-12	VYDAJ	PREVOD NA UCET	983	52984	SIPO	CD	27930361
882457	3007	1994-12-12	VYDAJ	PREVOD NA UCET	983	65563	SIPO	CD	27930361
882458	3007	1995-01-12	VYDAJ	PREVOD NA UCET	983	47946	SIPO	CD	27930361
882459	3007	1995-02-12	VYDAJ	PREVOD NA UCET	983	41674	SIPO	CD	27930361
882460	3007	1995-03-12	VYDAJ	PREVOD NA UCET	983	46783	SIPO	CD	27930361
882461	3007	1995-04-12	VYDAJ	PREVOD NA UCET	983	49912	SIPO	CD	27930361
882462	3007	1995-05-12	VYDAJ	PREVOD NA UCET	983	52055	SIPO	CD	27930361
882463	3007	1995-06-12	VYDAJ	PREVOD NA UCET	983	63626	SIPO	CD	27930361
882464	3007	1995-07-12	VYDAJ	PREVOD NA UCET	983	47788	SIPO	CD	27930361
882465	3007	1995-08-12	VYDAJ	PREVOD NA UCET	983	50416	SIPO	CD	27930361
882466	3007	1995-09-12	VYDAJ	PREVOD NA UCET	983	51753	SIPO	CD	27930361
882467	3007	1995-10-12	VYDAJ	PREVOD NA UCET	983	51791	SIPO	CD	27930361
882468	3007	1995-11-12	VYDAJ	PREVOD NA UCET	983	48424	SIPO	CD	27930361
882469	3007	1995-12-12	VYDAJ	PREVOD NA UCET	983	57669	SIPO	CD	27930361
882470	3007	1996-01-12	VYDAJ	PREVOD NA UCET	983	49615	SIPO	CD	27930361
882471	3007	1996-02-12	VYDAJ	PREVOD NA UCET	983	40632	SIPO	CD	27930361
882472	3007	1996-03-12	VYDAJ	PREVOD NA UCET	983	44226	SIPO	CD	27930361
882473	3007	1996-04-12	VYDAJ	PREVOD NA UCET	983	43627	SIPO	CD	27930361
882474	3007	1996-05-12	VYDAJ	PREVOD NA UCET	983	46932	SIPO	CD	27930361
882475	3007	1996-06-12	VYDAJ	PREVOD NA UCET	983	44862	SIPO	CD	27930361
882476	3007	1996-07-12	VYDAJ	PREVOD NA UCET	983	45165	SIPO	CD	27930361
882477	3007	1996-08-12	VYDAJ	PREVOD NA UCET	983	44566	SIPO	CD	27930361
882478	3007	1996-09-12	VYDAJ	PREVOD NA UCET	983	43761	SIPO	CD	27930361
882479	3007	1996-10-12	VYDAJ	PREVOD NA UCET	983	41749	SIPO	CD	27930361
882480	3007	1996-11-12	VYDAJ	PREVOD NA UCET	983	38626	SIPO	CD	27930361
882481	3007	1996-12-12	VYDAJ	PREVOD NA UCET	983	47816	SIPO	CD	27930361
882482	3007	1997-01-12	VYDAJ	PREVOD NA UCET	983	28005	SIPO	CD	27930361
882483	3007	1997-02-12	VYDAJ	PREVOD NA UCET	983	18880	SIPO	CD	27930361
882484	3007	1997-03-12	VYDAJ	PREVOD NA UCET	983	32423	SIPO	CD	27930361
882485	3007	1997-04-12	VYDAJ	PREVOD NA UCET	983	31564	SIPO	CD	27930361
882486	3007	1997-05-12	VYDAJ	PREVOD NA UCET	983	23837	SIPO	CD	27930361
882487	3007	1997-06-12	VYDAJ	PREVOD NA UCET	983	25033	SIPO	CD	27930361
882488	3007	1997-07-12	VYDAJ	PREVOD NA UCET	983	19699	SIPO	CD	27930361
882489	3007	1997-08-12	VYDAJ	PREVOD NA UCET	983	33248	SIPO	CD	27930361
882490	3007	1997-09-12	VYDAJ	PREVOD NA UCET	983	13128	SIPO	CD	27930361
882491	3007	1997-10-12	VYDAJ	PREVOD NA UCET	983	26665	SIPO	CD	27930361
882492	3007	1997-11-12	VYDAJ	PREVOD NA UCET	983	9918	SIPO	CD	27930361
882493	3007	1997-12-12	VYDAJ	PREVOD NA UCET	983	34655	SIPO	CD	27930361
882494	3007	1998-01-12	VYDAJ	PREVOD NA UCET	983	40125	SIPO	CD	27930361
882495	3007	1998-02-12	VYDAJ	PREVOD NA UCET	983	47030	SIPO	CD	27930361
882496	3007	1998-03-12	VYDAJ	PREVOD NA UCET	983	18565	SIPO	CD	27930361
882497	3007	1998-04-12	VYDAJ	PREVOD NA UCET	983	27327	SIPO	CD	27930361
882498	3007	1998-05-12	VYDAJ	PREVOD NA UCET	983	40887	SIPO	CD	27930361
882499	3007	1998-06-12	VYDAJ	PREVOD NA UCET	983	65724	SIPO	CD	27930361
882500	3007	1998-07-12	VYDAJ	PREVOD NA UCET	983	52515	SIPO	CD	27930361
882501	3007	1998-08-12	VYDAJ	PREVOD NA UCET	983	38374	SIPO	CD	27930361
882502	3007	1998-09-12	VYDAJ	PREVOD NA UCET	983	47785	SIPO	CD	27930361
882503	3007	1998-10-12	VYDAJ	PREVOD NA UCET	983	35223	SIPO	CD	27930361
882504	3007	1998-11-12	VYDAJ	PREVOD NA UCET	983	48823	SIPO	CD	27930361
882505	3007	1998-12-12	VYDAJ	PREVOD NA UCET	983	45691	SIPO	CD	27930361
882757	3007	1995-01-18	VYDAJ	VYBER	1000	46946	\N	\N	\N
882511	3007	1993-06-09	VYDAJ	PREVOD NA UCET	1405	75713	 	KL	5890685
882512	3007	1993-07-09	VYDAJ	PREVOD NA UCET	1405	57136	 	KL	5890685
882513	3007	1993-08-09	VYDAJ	PREVOD NA UCET	1405	57699	 	KL	5890685
882514	3007	1993-09-09	VYDAJ	PREVOD NA UCET	1405	59263	 	KL	5890685
882515	3007	1993-10-09	VYDAJ	PREVOD NA UCET	1405	59721	 	KL	5890685
882516	3007	1993-11-09	VYDAJ	PREVOD NA UCET	1405	58594	 	KL	5890685
882517	3007	1993-12-09	VYDAJ	PREVOD NA UCET	1405	69878	 	KL	5890685
882518	3007	1994-01-09	VYDAJ	PREVOD NA UCET	1405	57165	 	KL	5890685
882519	3007	1994-02-09	VYDAJ	PREVOD NA UCET	1405	55306	 	KL	5890685
882520	3007	1994-03-09	VYDAJ	PREVOD NA UCET	1405	60251	 	KL	5890685
882521	3007	1994-04-09	VYDAJ	PREVOD NA UCET	1405	59309	 	KL	5890685
882522	3007	1994-05-09	VYDAJ	PREVOD NA UCET	1405	59165	 	KL	5890685
882523	3007	1994-06-09	VYDAJ	PREVOD NA UCET	1405	51247	 	KL	5890685
882524	3007	1994-07-09	VYDAJ	PREVOD NA UCET	1405	52678	 	KL	5890685
882525	3007	1994-08-09	VYDAJ	PREVOD NA UCET	1405	56610	 	KL	5890685
882526	3007	1994-09-09	VYDAJ	PREVOD NA UCET	1405	59956	 	KL	5890685
882527	3007	1994-10-09	VYDAJ	PREVOD NA UCET	1405	59111	 	KL	5890685
882528	3007	1994-11-09	VYDAJ	PREVOD NA UCET	1405	59563	 	KL	5890685
882529	3007	1994-12-09	VYDAJ	PREVOD NA UCET	1405	72142	 	KL	5890685
882530	3007	1995-01-09	VYDAJ	PREVOD NA UCET	1405	56425	 	KL	5890685
882531	3007	1995-02-09	VYDAJ	PREVOD NA UCET	1405	48253	 	KL	5890685
882532	3007	1995-03-09	VYDAJ	PREVOD NA UCET	1405	53362	 	KL	5890685
882533	3007	1995-04-09	VYDAJ	PREVOD NA UCET	1405	56491	 	KL	5890685
882534	3007	1995-05-09	VYDAJ	PREVOD NA UCET	1405	58634	 	KL	5890685
882535	3007	1995-06-09	VYDAJ	PREVOD NA UCET	1405	70205	 	KL	5890685
882536	3007	1995-07-09	VYDAJ	PREVOD NA UCET	1405	54367	 	KL	5890685
882537	3007	1995-08-09	VYDAJ	PREVOD NA UCET	1405	56995	 	KL	5890685
882538	3007	1995-09-09	VYDAJ	PREVOD NA UCET	1405	58332	 	KL	5890685
882539	3007	1995-10-09	VYDAJ	PREVOD NA UCET	1405	58370	 	KL	5890685
882540	3007	1995-11-09	VYDAJ	PREVOD NA UCET	1405	55003	 	KL	5890685
882541	3007	1995-12-09	VYDAJ	PREVOD NA UCET	1405	64248	 	KL	5890685
882542	3007	1996-01-09	VYDAJ	PREVOD NA UCET	1405	56194	 	KL	5890685
882543	3007	1996-02-09	VYDAJ	PREVOD NA UCET	1405	47211	 	KL	5890685
882544	3007	1996-03-09	VYDAJ	PREVOD NA UCET	1405	50805	 	KL	5890685
882545	3007	1996-04-09	VYDAJ	PREVOD NA UCET	1405	50206	 	KL	5890685
882546	3007	1996-05-09	VYDAJ	PREVOD NA UCET	1405	53511	 	KL	5890685
882547	3007	1996-06-09	VYDAJ	PREVOD NA UCET	1405	59541	 	KL	5890685
882548	3007	1996-07-09	VYDAJ	PREVOD NA UCET	1405	51744	 	KL	5890685
882549	3007	1996-08-09	VYDAJ	PREVOD NA UCET	1405	51145	 	KL	5890685
882550	3007	1996-09-09	VYDAJ	PREVOD NA UCET	1405	50340	 	KL	5890685
882551	3007	1996-10-09	VYDAJ	PREVOD NA UCET	1405	48328	 	KL	5890685
882552	3007	1996-11-09	VYDAJ	PREVOD NA UCET	1405	45205	 	KL	5890685
882553	3007	1996-12-09	VYDAJ	PREVOD NA UCET	1405	54395	 	KL	5890685
882554	3007	1997-01-09	VYDAJ	PREVOD NA UCET	1405	50184	 	KL	5890685
882555	3007	1997-02-09	VYDAJ	PREVOD NA UCET	1405	41659	 	KL	5890685
882556	3007	1997-03-09	VYDAJ	PREVOD NA UCET	1405	39002	 	KL	5890685
882557	3007	1997-04-09	VYDAJ	PREVOD NA UCET	1405	38143	 	KL	5890685
882558	3007	1997-05-09	VYDAJ	PREVOD NA UCET	1405	49816	 	KL	5890685
882559	3007	1997-06-09	VYDAJ	PREVOD NA UCET	1405	54112	 	KL	5890685
882560	3007	1997-07-09	VYDAJ	PREVOD NA UCET	1405	45178	 	KL	5890685
882561	3007	1997-08-09	VYDAJ	PREVOD NA UCET	1405	39827	 	KL	5890685
882562	3007	1997-09-09	VYDAJ	PREVOD NA UCET	1405	53407	 	KL	5890685
882563	3007	1997-10-09	VYDAJ	PREVOD NA UCET	1405	33244	 	KL	5890685
882564	3007	1997-11-09	VYDAJ	PREVOD NA UCET	1405	16497	 	KL	5890685
882565	3007	1997-12-09	VYDAJ	PREVOD NA UCET	1405	41234	 	KL	5890685
882566	3007	1998-01-09	VYDAJ	PREVOD NA UCET	1405	48504	 	KL	5890685
882567	3007	1998-02-09	VYDAJ	PREVOD NA UCET	1405	53609	 	KL	5890685
882568	3007	1998-03-09	VYDAJ	PREVOD NA UCET	1405	25144	 	KL	5890685
882569	3007	1998-04-09	VYDAJ	PREVOD NA UCET	1405	38706	 	KL	5890685
882570	3007	1998-05-09	VYDAJ	PREVOD NA UCET	1405	47466	 	KL	5890685
882571	3007	1998-06-09	VYDAJ	PREVOD NA UCET	1405	72303	 	KL	5890685
882572	3007	1998-07-09	VYDAJ	PREVOD NA UCET	1405	59094	 	KL	5890685
882573	3007	1998-08-09	VYDAJ	PREVOD NA UCET	1405	44953	 	KL	5890685
882574	3007	1998-09-09	VYDAJ	PREVOD NA UCET	1405	54364	 	KL	5890685
882575	3007	1998-10-09	VYDAJ	PREVOD NA UCET	1405	41802	 	KL	5890685
882576	3007	1998-11-09	VYDAJ	PREVOD NA UCET	1405	55402	 	KL	5890685
882577	3007	1998-12-09	VYDAJ	PREVOD NA UCET	1405	53370	 	KL	5890685
882583	3007	1993-06-10	VYDAJ	PREVOD NA UCET	5596	70117	POJISTNE	UV	2805859
882584	3007	1993-07-10	VYDAJ	PREVOD NA UCET	5596	51540	POJISTNE	UV	2805859
882585	3007	1993-08-10	VYDAJ	PREVOD NA UCET	5596	52103	POJISTNE	UV	2805859
882586	3007	1993-09-10	VYDAJ	PREVOD NA UCET	5596	53667	POJISTNE	UV	2805859
882587	3007	1993-10-10	VYDAJ	PREVOD NA UCET	5596	54125	POJISTNE	UV	2805859
882588	3007	1993-11-10	VYDAJ	PREVOD NA UCET	5596	52998	POJISTNE	UV	2805859
882589	3007	1993-12-10	VYDAJ	PREVOD NA UCET	5596	64282	POJISTNE	UV	2805859
882590	3007	1994-01-10	VYDAJ	PREVOD NA UCET	5596	51569	POJISTNE	UV	2805859
882591	3007	1994-02-10	VYDAJ	PREVOD NA UCET	5596	49710	POJISTNE	UV	2805859
882592	3007	1994-03-10	VYDAJ	PREVOD NA UCET	5596	54655	POJISTNE	UV	2805859
882593	3007	1994-04-10	VYDAJ	PREVOD NA UCET	5596	53713	POJISTNE	UV	2805859
882594	3007	1994-05-10	VYDAJ	PREVOD NA UCET	5596	53569	POJISTNE	UV	2805859
882595	3007	1994-06-10	VYDAJ	PREVOD NA UCET	5596	45651	POJISTNE	UV	2805859
882596	3007	1994-07-10	VYDAJ	PREVOD NA UCET	5596	47082	POJISTNE	UV	2805859
882597	3007	1994-08-10	VYDAJ	PREVOD NA UCET	5596	51014	POJISTNE	UV	2805859
882598	3007	1994-09-10	VYDAJ	PREVOD NA UCET	5596	54360	POJISTNE	UV	2805859
882599	3007	1994-10-10	VYDAJ	PREVOD NA UCET	5596	53515	POJISTNE	UV	2805859
882600	3007	1994-11-10	VYDAJ	PREVOD NA UCET	5596	53967	POJISTNE	UV	2805859
882601	3007	1994-12-10	VYDAJ	PREVOD NA UCET	5596	66546	POJISTNE	UV	2805859
882602	3007	1995-01-10	VYDAJ	PREVOD NA UCET	5596	48929	POJISTNE	UV	2805859
882603	3007	1995-02-10	VYDAJ	PREVOD NA UCET	5596	42657	POJISTNE	UV	2805859
882604	3007	1995-03-10	VYDAJ	PREVOD NA UCET	5596	47766	POJISTNE	UV	2805859
882605	3007	1995-04-10	VYDAJ	PREVOD NA UCET	5596	50895	POJISTNE	UV	2805859
882606	3007	1995-05-10	VYDAJ	PREVOD NA UCET	5596	53038	POJISTNE	UV	2805859
882607	3007	1995-06-10	VYDAJ	PREVOD NA UCET	5596	64609	POJISTNE	UV	2805859
882608	3007	1995-07-10	VYDAJ	PREVOD NA UCET	5596	48771	POJISTNE	UV	2805859
882609	3007	1995-08-10	VYDAJ	PREVOD NA UCET	5596	51399	POJISTNE	UV	2805859
882610	3007	1995-09-10	VYDAJ	PREVOD NA UCET	5596	52736	POJISTNE	UV	2805859
882611	3007	1995-10-10	VYDAJ	PREVOD NA UCET	5596	52774	POJISTNE	UV	2805859
882612	3007	1995-11-10	VYDAJ	PREVOD NA UCET	5596	49407	POJISTNE	UV	2805859
882613	3007	1995-12-10	VYDAJ	PREVOD NA UCET	5596	58652	POJISTNE	UV	2805859
882614	3007	1996-01-10	VYDAJ	PREVOD NA UCET	5596	50598	POJISTNE	UV	2805859
882615	3007	1996-02-10	VYDAJ	PREVOD NA UCET	5596	41615	POJISTNE	UV	2805859
882616	3007	1996-03-10	VYDAJ	PREVOD NA UCET	5596	45209	POJISTNE	UV	2805859
882617	3007	1996-04-10	VYDAJ	PREVOD NA UCET	5596	44610	POJISTNE	UV	2805859
882618	3007	1996-05-10	VYDAJ	PREVOD NA UCET	5596	47915	POJISTNE	UV	2805859
882619	3007	1996-06-10	VYDAJ	PREVOD NA UCET	5596	53945	POJISTNE	UV	2805859
882620	3007	1996-07-10	VYDAJ	PREVOD NA UCET	5596	46148	POJISTNE	UV	2805859
882621	3007	1996-08-10	VYDAJ	PREVOD NA UCET	5596	45549	POJISTNE	UV	2805859
882622	3007	1996-09-10	VYDAJ	PREVOD NA UCET	5596	44744	POJISTNE	UV	2805859
882623	3007	1996-10-10	VYDAJ	PREVOD NA UCET	5596	42732	POJISTNE	UV	2805859
882624	3007	1996-11-10	VYDAJ	PREVOD NA UCET	5596	39609	POJISTNE	UV	2805859
882625	3007	1996-12-10	VYDAJ	PREVOD NA UCET	5596	48799	POJISTNE	UV	2805859
882626	3007	1997-01-10	VYDAJ	PREVOD NA UCET	5596	44588	POJISTNE	UV	2805859
882627	3007	1997-02-10	VYDAJ	PREVOD NA UCET	5596	36063	POJISTNE	UV	2805859
882628	3007	1997-03-10	VYDAJ	PREVOD NA UCET	5596	33406	POJISTNE	UV	2805859
882629	3007	1997-04-10	VYDAJ	PREVOD NA UCET	5596	32547	POJISTNE	UV	2805859
882630	3007	1997-05-10	VYDAJ	PREVOD NA UCET	5596	44220	POJISTNE	UV	2805859
882631	3007	1997-06-10	VYDAJ	PREVOD NA UCET	5596	48516	POJISTNE	UV	2805859
882632	3007	1997-07-10	VYDAJ	PREVOD NA UCET	5596	39582	POJISTNE	UV	2805859
882633	3007	1997-08-10	VYDAJ	PREVOD NA UCET	5596	34231	POJISTNE	UV	2805859
882634	3007	1997-09-10	VYDAJ	PREVOD NA UCET	5596	14111	POJISTNE	UV	2805859
882635	3007	1997-10-10	VYDAJ	PREVOD NA UCET	5596	27648	POJISTNE	UV	2805859
882636	3007	1997-11-10	VYDAJ	PREVOD NA UCET	5596	10901	POJISTNE	UV	2805859
882637	3007	1997-12-10	VYDAJ	PREVOD NA UCET	5596	35638	POJISTNE	UV	2805859
882638	3007	1998-01-10	VYDAJ	PREVOD NA UCET	5596	41108	POJISTNE	UV	2805859
882639	3007	1998-02-10	VYDAJ	PREVOD NA UCET	5596	48013	POJISTNE	UV	2805859
882640	3007	1998-03-10	VYDAJ	PREVOD NA UCET	5596	19548	POJISTNE	UV	2805859
882641	3007	1998-04-10	VYDAJ	PREVOD NA UCET	5596	33110	POJISTNE	UV	2805859
882642	3007	1998-05-10	VYDAJ	PREVOD NA UCET	5596	41870	POJISTNE	UV	2805859
882643	3007	1998-06-10	VYDAJ	PREVOD NA UCET	5596	66707	POJISTNE	UV	2805859
882644	3007	1998-07-10	VYDAJ	PREVOD NA UCET	5596	53498	POJISTNE	UV	2805859
882645	3007	1998-08-10	VYDAJ	PREVOD NA UCET	5596	39357	POJISTNE	UV	2805859
882646	3007	1998-09-10	VYDAJ	PREVOD NA UCET	5596	48768	POJISTNE	UV	2805859
882647	3007	1998-10-10	VYDAJ	PREVOD NA UCET	5596	36206	POJISTNE	UV	2805859
882648	3007	1998-11-10	VYDAJ	PREVOD NA UCET	5596	49806	POJISTNE	UV	2805859
882649	3007	1998-12-10	VYDAJ	PREVOD NA UCET	5596	47774	POJISTNE	UV	2805859
882656	3007	1993-07-05	VYDAJ	PREVOD NA UCET	997	36089	 	ST	61215889
882657	3007	1993-08-05	VYDAJ	PREVOD NA UCET	997	36652	 	ST	61215889
882658	3007	1993-09-05	VYDAJ	PREVOD NA UCET	997	38816	 	ST	61215889
882659	3007	1993-10-05	VYDAJ	PREVOD NA UCET	997	38674	 	ST	61215889
882660	3007	1993-11-05	VYDAJ	PREVOD NA UCET	997	37547	 	ST	61215889
882661	3007	1993-12-05	VYDAJ	PREVOD NA UCET	997	37605	 	ST	61215889
882662	3007	1994-01-05	VYDAJ	PREVOD NA UCET	997	36118	 	ST	61215889
882663	3007	1994-02-05	VYDAJ	PREVOD NA UCET	997	34259	 	ST	61215889
882664	3007	1994-03-05	VYDAJ	PREVOD NA UCET	997	39204	 	ST	61215889
882665	3007	1994-04-05	VYDAJ	PREVOD NA UCET	997	38262	 	ST	61215889
882666	3007	1994-05-05	VYDAJ	PREVOD NA UCET	997	38118	 	ST	61215889
882667	3007	1994-06-05	VYDAJ	PREVOD NA UCET	997	36574	 	ST	61215889
882668	3007	1994-07-05	VYDAJ	PREVOD NA UCET	997	31631	 	ST	61215889
882669	3007	1994-08-05	VYDAJ	PREVOD NA UCET	997	35563	 	ST	61215889
882670	3007	1994-09-05	VYDAJ	PREVOD NA UCET	997	38909	 	ST	61215889
882671	3007	1994-10-05	VYDAJ	PREVOD NA UCET	997	38064	 	ST	61215889
882672	3007	1994-11-05	VYDAJ	PREVOD NA UCET	997	38516	 	ST	61215889
882673	3007	1994-12-05	VYDAJ	PREVOD NA UCET	997	39869	 	ST	61215889
882674	3007	1995-01-05	VYDAJ	PREVOD NA UCET	997	37878	 	ST	61215889
882675	3007	1995-02-05	VYDAJ	PREVOD NA UCET	997	27206	 	ST	61215889
882676	3007	1995-03-05	VYDAJ	PREVOD NA UCET	997	32315	 	ST	61215889
882677	3007	1995-04-05	VYDAJ	PREVOD NA UCET	997	35444	 	ST	61215889
882678	3007	1995-05-05	VYDAJ	PREVOD NA UCET	997	37587	 	ST	61215889
882679	3007	1995-06-05	VYDAJ	PREVOD NA UCET	997	37932	 	ST	61215889
882680	3007	1995-07-05	VYDAJ	PREVOD NA UCET	997	33320	 	ST	61215889
882681	3007	1995-08-05	VYDAJ	PREVOD NA UCET	997	35948	 	ST	61215889
882682	3007	1995-09-05	VYDAJ	PREVOD NA UCET	997	37285	 	ST	61215889
882683	3007	1995-10-05	VYDAJ	PREVOD NA UCET	997	37323	 	ST	61215889
882684	3007	1995-11-05	VYDAJ	PREVOD NA UCET	997	33956	 	ST	61215889
882685	3007	1995-12-05	VYDAJ	PREVOD NA UCET	997	31975	 	ST	61215889
882686	3007	1996-01-05	VYDAJ	PREVOD NA UCET	997	37147	 	ST	61215889
882687	3007	1996-02-05	VYDAJ	PREVOD NA UCET	997	26164	 	ST	61215889
882688	3007	1996-03-05	VYDAJ	PREVOD NA UCET	997	29758	 	ST	61215889
882689	3007	1996-04-05	VYDAJ	PREVOD NA UCET	997	29159	 	ST	61215889
882690	3007	1996-05-05	VYDAJ	PREVOD NA UCET	997	32464	 	ST	61215889
882691	3007	1996-06-05	VYDAJ	PREVOD NA UCET	997	28468	 	ST	61215889
882692	3007	1996-07-05	VYDAJ	PREVOD NA UCET	997	30697	 	ST	61215889
882693	3007	1996-08-05	VYDAJ	PREVOD NA UCET	997	30098	 	ST	61215889
882694	3007	1996-09-05	VYDAJ	PREVOD NA UCET	997	29293	 	ST	61215889
882695	3007	1996-10-05	VYDAJ	PREVOD NA UCET	997	27281	 	ST	61215889
882696	3007	1996-11-05	VYDAJ	PREVOD NA UCET	997	24158	 	ST	61215889
882697	3007	1996-12-05	VYDAJ	PREVOD NA UCET	997	22122	 	ST	61215889
882698	3007	1997-01-05	VYDAJ	PREVOD NA UCET	997	30037	 	ST	61215889
882699	3007	1997-02-05	VYDAJ	PREVOD NA UCET	997	20612	 	ST	61215889
882700	3007	1997-03-05	VYDAJ	PREVOD NA UCET	997	17955	 	ST	61215889
882701	3007	1997-04-05	VYDAJ	PREVOD NA UCET	997	17096	 	ST	61215889
882702	3007	1997-05-05	VYDAJ	PREVOD NA UCET	997	28769	 	ST	61215889
882703	3007	1997-06-05	VYDAJ	PREVOD NA UCET	997	21839	 	ST	61215889
882704	3007	1997-07-05	VYDAJ	PREVOD NA UCET	997	24131	 	ST	61215889
882705	3007	1997-08-05	VYDAJ	PREVOD NA UCET	997	18780	 	ST	61215889
882706	3007	1997-09-05	VYDAJ	PREVOD NA UCET	997	32360	 	ST	61215889
882707	3007	1997-10-05	VYDAJ	PREVOD NA UCET	997	12197	 	ST	61215889
882708	3007	1997-11-05	VYDAJ	PREVOD NA UCET	997	25750	 	ST	61215889
882709	3007	1997-12-05	VYDAJ	PREVOD NA UCET	997	8961	 	ST	61215889
882710	3007	1998-01-05	VYDAJ	PREVOD NA UCET	997	29657	 	ST	61215889
882711	3007	1998-02-05	VYDAJ	PREVOD NA UCET	997	32562	 	ST	61215889
882712	3007	1998-03-05	VYDAJ	PREVOD NA UCET	997	44197	 	ST	61215889
882713	3007	1998-04-05	VYDAJ	PREVOD NA UCET	997	17659	 	ST	61215889
882714	3007	1998-05-05	VYDAJ	PREVOD NA UCET	997	26419	 	ST	61215889
882715	3007	1998-06-05	VYDAJ	PREVOD NA UCET	997	40030	 	ST	61215889
882716	3007	1998-07-05	VYDAJ	PREVOD NA UCET	997	38047	 	ST	61215889
882717	3007	1998-08-05	VYDAJ	PREVOD NA UCET	997	23906	 	ST	61215889
882718	3007	1998-09-05	VYDAJ	PREVOD NA UCET	997	33317	 	ST	61215889
882719	3007	1998-10-05	VYDAJ	PREVOD NA UCET	997	20755	 	ST	61215889
882720	3007	1998-11-05	VYDAJ	PREVOD NA UCET	997	34355	 	ST	61215889
882721	3007	1998-12-05	VYDAJ	PREVOD NA UCET	997	21097	 	ST	61215889
882722	3007	1993-06-24	VYDAJ	VYBER	19500	49634	\N	\N	\N
882723	3007	1994-06-08	VYDAJ	VYBER	17600	52652	\N	\N	\N
882724	3007	1995-06-12	VYDAJ	VYBER	19800	43826	\N	\N	\N
882725	3007	1996-06-11	VYDAJ	VYBER	8100	45845	\N	\N	\N
882727	3007	1998-06-28	VYDAJ	VYBER	25000	38824	\N	\N	\N
882729	3007	1994-01-16	VYDAJ	VYBER	1300	49286	\N	\N	\N
882730	3007	1995-01-28	VYDAJ	VYBER	5200	28046	\N	\N	\N
882731	3007	1996-01-02	VYDAJ	VYBER	3500	38144	\N	\N	\N
882732	3007	1997-01-27	VYDAJ	VYBER	2700	21505	\N	\N	\N
882733	3007	1998-01-26	VYDAJ	VYBER	3100	34725	\N	\N	\N
882734	3007	1993-12-17	VYDAJ	VYBER	2900	60399	\N	\N	\N
882735	3007	1994-12-26	VYDAJ	VYBER	1200	42263	\N	\N	\N
882736	3007	1995-12-24	VYDAJ	VYBER	1000	41469	\N	\N	\N
882737	3007	1996-12-27	VYDAJ	VYBER	500	30916	\N	\N	\N
882738	3007	1997-12-18	VYDAJ	VYBER	2700	31955	\N	\N	\N
882739	3007	1998-12-11	VYDAJ	VYBER	1100	46674	\N	\N	\N
882746	3007	1994-01-18	VYDAJ	VYBER	2600	46686	\N	\N	\N
882747	3007	1994-01-21	VYDAJ	VYBER	2800	43886	\N	\N	\N
882748	3007	1994-01-03	VYDAJ	VYBER	2100	39615	\N	\N	\N
882749	3007	1994-01-03	VYDAJ	VYBER	2500	37115	\N	\N	\N
882750	3007	1994-01-22	VYDAJ	VYBER	1700	42186	\N	\N	\N
882751	3007	1994-01-01	VYDAJ	VYBER	2400	41715	\N	\N	\N
882752	3007	1995-01-06	VYDAJ	VYBER	1900	35978	\N	\N	\N
882753	3007	1995-01-21	VYDAJ	VYBER	2100	44846	\N	\N	\N
882754	3007	1995-01-01	VYDAJ	VYBER	2400	40075	\N	\N	\N
882755	3007	1995-01-08	VYDAJ	VYBER	600	57830	\N	\N	\N
882756	3007	1995-01-04	VYDAJ	VYBER	1200	38875	\N	\N	\N
882758	3007	1996-01-21	VYDAJ	VYBER	700	31915	\N	\N	\N
882759	3007	1996-01-06	VYDAJ	VYBER	2000	35147	\N	\N	\N
882760	3007	1996-01-13	VYDAJ	VYBER	800	48815	\N	\N	\N
882761	3007	1996-01-19	VYDAJ	VYBER	1300	32615	\N	\N	\N
882762	3007	1996-01-23	VYDAJ	VYBER	1200	30715	\N	\N	\N
882763	3007	1996-01-28	VYDAJ	VYBER	2900	27815	\N	\N	\N
882764	3007	1997-01-22	VYDAJ	VYBER	600	25005	\N	\N	\N
882765	3007	1997-01-12	VYDAJ	VYBER	2200	28988	\N	\N	\N
882766	3007	1997-01-18	VYDAJ	VYBER	600	27405	\N	\N	\N
882767	3007	1997-01-19	VYDAJ	VYBER	1800	25605	\N	\N	\N
882768	3007	1997-01-06	VYDAJ	VYBER	900	29137	\N	\N	\N
882769	3007	1997-01-22	VYDAJ	VYBER	800	24205	\N	\N	\N
882770	3007	1998-01-10	VYDAJ	VYBER	1800	46704	\N	\N	\N
882771	3007	1998-01-26	VYDAJ	VYBER	1300	33425	\N	\N	\N
882772	3007	1998-01-06	VYDAJ	VYBER	1000	27457	\N	\N	\N
882773	3007	1998-01-03	VYDAJ	VYBER	1400	30654	\N	\N	\N
882774	3007	1998-01-14	VYDAJ	VYBER	2300	37825	\N	\N	\N
882775	3007	1998-01-06	VYDAJ	VYBER	1200	28457	\N	\N	\N
882778	3007	1993-09-09	VYDAJ	VYBER	600	60668	\N	\N	\N
882779	3007	1993-09-15	VYDAJ	VYBER	3300	49384	\N	\N	\N
882782	3007	1994-07-30	VYDAJ	VYBER	1700	36399	\N	\N	\N
882783	3007	1994-03-16	VYDAJ	VYBER	3000	50672	\N	\N	\N
882784	3007	1994-04-11	VYDAJ	VYBER	1400	52313	\N	\N	\N
882785	3007	1994-06-17	VYDAJ	VYBER	1400	43268	\N	\N	\N
882786	3007	1995-01-09	VYDAJ	VYBER	1900	54525	\N	\N	\N
882787	3007	1995-05-22	VYDAJ	VYBER	2200	49855	\N	\N	\N
882788	3007	1995-04-23	VYDAJ	VYBER	3600	38412	\N	\N	\N
882789	3007	1996-01-28	VYDAJ	VYBER	800	27015	\N	\N	\N
882790	3007	1996-05-21	VYDAJ	VYBER	2000	29332	\N	\N	\N
882791	3007	1996-06-06	VYDAJ	VYBER	1200	27268	\N	\N	\N
882792	3007	1996-07-13	VYDAJ	VYBER	1500	43665	\N	\N	\N
882794	3007	1997-05-31	VYDAJ	VYBER	1100	22850	\N	\N	\N
882795	3007	1997-04-30	VYDAJ	VYBER	1900	29780	\N	\N	\N
882797	3007	1998-08-26	VYDAJ	VYBER	4200	34174	\N	\N	\N
882798	3007	1998-03-04	VYDAJ	VYBER	2000	45194	\N	\N	\N
882799	3007	1998-04-11	VYDAJ	VYBER	4800	28310	\N	\N	\N
882800	3007	1998-06-28	VYDAJ	VYBER	1900	63824	\N	\N	\N
882807	3007	1993-06-30	VYDAJ	VYBER	15	49886	SLUZBY	\N	\N
882808	3007	1993-07-31	VYDAJ	VYBER	15	50749	SLUZBY	\N	\N
882809	3007	1993-08-31	VYDAJ	VYBER	15	51313	SLUZBY	\N	\N
882810	3007	1993-09-30	VYDAJ	VYBER	15	49571	SLUZBY	\N	\N
882811	3007	1993-10-31	VYDAJ	VYBER	15	38544	SLUZBY	\N	\N
882812	3007	1993-11-30	VYDAJ	VYBER	15	38602	SLUZBY	\N	\N
882813	3007	1993-12-31	VYDAJ	VYBER	15	44115	SLUZBY	\N	\N
882814	3007	1994-01-31	VYDAJ	VYBER	15	35256	SLUZBY	\N	\N
882815	3007	1994-02-28	VYDAJ	VYBER	15	40201	SLUZBY	\N	\N
882816	3007	1994-03-31	VYDAJ	VYBER	15	39259	SLUZBY	\N	\N
882817	3007	1994-04-30	VYDAJ	VYBER	15	39115	SLUZBY	\N	\N
882818	3007	1994-05-31	VYDAJ	VYBER	15	37571	SLUZBY	\N	\N
882819	3007	1994-06-30	VYDAJ	VYBER	15	32628	SLUZBY	\N	\N
882820	3007	1994-07-31	VYDAJ	VYBER	15	36560	SLUZBY	\N	\N
882821	3007	1994-08-31	VYDAJ	VYBER	15	39906	SLUZBY	\N	\N
882822	3007	1994-09-30	VYDAJ	VYBER	15	39061	SLUZBY	\N	\N
882823	3007	1994-10-31	VYDAJ	VYBER	15	39513	SLUZBY	\N	\N
882824	3007	1994-11-30	VYDAJ	VYBER	15	40866	SLUZBY	\N	\N
882825	3007	1994-12-31	VYDAJ	VYBER	15	42475	SLUZBY	\N	\N
882826	3007	1995-01-31	VYDAJ	VYBER	15	28203	SLUZBY	\N	\N
882827	3007	1995-02-28	VYDAJ	VYBER	15	33312	SLUZBY	\N	\N
882828	3007	1995-03-31	VYDAJ	VYBER	15	36441	SLUZBY	\N	\N
882829	3007	1995-04-30	VYDAJ	VYBER	15	38584	SLUZBY	\N	\N
882830	3007	1995-05-31	VYDAJ	VYBER	15	38929	SLUZBY	\N	\N
882831	3007	1995-06-30	VYDAJ	VYBER	15	34317	SLUZBY	\N	\N
882832	3007	1995-07-31	VYDAJ	VYBER	15	36945	SLUZBY	\N	\N
882833	3007	1995-08-31	VYDAJ	VYBER	15	38282	SLUZBY	\N	\N
882834	3007	1995-09-30	VYDAJ	VYBER	15	38320	SLUZBY	\N	\N
882835	3007	1995-10-31	VYDAJ	VYBER	15	34953	SLUZBY	\N	\N
882836	3007	1995-11-30	VYDAJ	VYBER	15	32972	SLUZBY	\N	\N
882837	3007	1995-12-31	VYDAJ	VYBER	15	41644	SLUZBY	\N	\N
882838	3007	1996-01-31	VYDAJ	VYBER	15	27161	SLUZBY	\N	\N
882839	3007	1996-02-29	VYDAJ	VYBER	15	30755	SLUZBY	\N	\N
882840	3007	1996-03-31	VYDAJ	VYBER	15	30156	SLUZBY	\N	\N
882841	3007	1996-04-30	VYDAJ	VYBER	15	33461	SLUZBY	\N	\N
882842	3007	1996-05-31	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
882843	3007	1996-06-30	VYDAJ	VYBER	15	31694	SLUZBY	\N	\N
882844	3007	1996-07-31	VYDAJ	VYBER	15	31095	SLUZBY	\N	\N
882845	3007	1996-08-31	VYDAJ	VYBER	15	30290	SLUZBY	\N	\N
882846	3007	1996-09-30	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
882847	3007	1996-10-31	VYDAJ	VYBER	15	25155	SLUZBY	\N	\N
882848	3007	1996-11-30	VYDAJ	VYBER	15	23119	SLUZBY	\N	\N
882849	3007	1996-12-31	VYDAJ	VYBER	15	31034	SLUZBY	\N	\N
882850	3007	1997-01-31	VYDAJ	VYBER	15	21609	SLUZBY	\N	\N
882851	3007	1997-02-28	VYDAJ	VYBER	15	18952	SLUZBY	\N	\N
882852	3007	1997-03-31	VYDAJ	VYBER	15	18093	SLUZBY	\N	\N
882853	3007	1997-04-30	VYDAJ	VYBER	15	29766	SLUZBY	\N	\N
882854	3007	1997-05-31	VYDAJ	VYBER	15	22836	SLUZBY	\N	\N
882855	3007	1997-06-30	VYDAJ	VYBER	15	25128	SLUZBY	\N	\N
882856	3007	1997-07-31	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
882857	3007	1997-08-31	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
882858	3007	1997-09-30	VYDAJ	VYBER	15	13194	SLUZBY	\N	\N
882859	3007	1997-10-31	VYDAJ	VYBER	15	26747	SLUZBY	\N	\N
882860	3007	1997-11-30	VYDAJ	VYBER	15	9958	SLUZBY	\N	\N
882861	3007	1997-12-31	VYDAJ	VYBER	15	32054	SLUZBY	\N	\N
882862	3007	1998-01-31	VYDAJ	VYBER	15	33559	SLUZBY	\N	\N
882863	3007	1998-02-28	VYDAJ	VYBER	15	47194	SLUZBY	\N	\N
882864	3007	1998-03-31	VYDAJ	VYBER	15	18656	SLUZBY	\N	\N
882865	3007	1998-04-30	VYDAJ	VYBER	15	27416	SLUZBY	\N	\N
882866	3007	1998-05-31	VYDAJ	VYBER	15	41027	SLUZBY	\N	\N
882867	3007	1998-06-30	VYDAJ	VYBER	15	39044	SLUZBY	\N	\N
882868	3007	1998-07-31	VYDAJ	VYBER	15	52703	SLUZBY	\N	\N
882869	3007	1998-08-31	VYDAJ	VYBER	15	34314	SLUZBY	\N	\N
882870	3007	1998-09-30	VYDAJ	VYBER	15	47952	SLUZBY	\N	\N
882871	3007	1998-10-31	VYDAJ	VYBER	15	35352	SLUZBY	\N	\N
882872	3007	1998-11-30	VYDAJ	VYBER	15	48994	SLUZBY	\N	\N
882873	3007	1993-03-04	PRIJEM	VKLAD	900	24225	\N	\N	\N
882874	3007	1993-04-03	VYDAJ	VYBER	12300	34549	\N	\N	\N
882875	3007	1993-05-03	VYDAJ	VYBER	15900	41329	\N	\N	\N
882876	3007	1993-06-02	VYDAJ	VYBER	20600	43440	\N	\N	\N
882877	3007	1993-07-02	VYDAJ	VYBER	12800	37086	\N	\N	\N
882878	3007	1993-08-01	VYDAJ	VYBER	13100	37649	\N	\N	\N
882879	3007	1993-08-31	VYDAJ	VYBER	11500	39813	\N	\N	\N
882880	3007	1993-09-30	VYDAJ	VYBER	9900	39671	\N	\N	\N
882881	3007	1993-10-30	VYDAJ	VYBER	14800	38342	\N	\N	\N
882882	3007	1993-11-29	VYDAJ	VYBER	13600	38415	\N	\N	\N
882883	3007	1993-12-29	VYDAJ	VYBER	16500	43899	\N	\N	\N
882884	3007	1994-01-28	VYDAJ	VYBER	7100	35086	\N	\N	\N
882885	3007	1994-02-27	VYDAJ	VYBER	8700	40027	\N	\N	\N
882886	3007	1994-03-29	VYDAJ	VYBER	11600	39072	\N	\N	\N
882887	3007	1994-04-28	VYDAJ	VYBER	12400	38930	\N	\N	\N
882888	3007	1994-05-28	VYDAJ	VYBER	15200	37386	\N	\N	\N
882889	3007	1994-06-27	VYDAJ	VYBER	10800	32468	\N	\N	\N
882890	3007	1994-07-27	VYDAJ	VYBER	8000	38099	\N	\N	\N
882891	3007	1994-08-26	VYDAJ	VYBER	10300	39731	\N	\N	\N
882892	3007	1994-09-25	VYDAJ	VYBER	14500	38877	\N	\N	\N
882893	3007	1994-10-25	VYDAJ	VYBER	13200	39332	\N	\N	\N
882894	3007	1994-11-24	VYDAJ	VYBER	12300	40684	\N	\N	\N
882895	3007	1994-12-24	VYDAJ	VYBER	22100	43463	\N	\N	\N
882896	3007	1995-01-23	VYDAJ	VYBER	11600	33246	\N	\N	\N
882897	3007	1995-02-22	VYDAJ	VYBER	8500	33174	\N	\N	\N
882898	3007	1995-03-24	VYDAJ	VYBER	10500	36283	\N	\N	\N
882899	3007	1995-04-23	VYDAJ	VYBER	7900	42012	\N	\N	\N
882900	3007	1995-05-23	VYDAJ	VYBER	11100	38755	\N	\N	\N
882901	3007	1995-06-22	VYDAJ	VYBER	9700	34126	\N	\N	\N
882902	3007	1995-07-22	VYDAJ	VYBER	11000	36788	\N	\N	\N
882903	3007	1995-08-21	VYDAJ	VYBER	12300	38116	\N	\N	\N
882904	3007	1995-09-20	VYDAJ	VYBER	13600	38153	\N	\N	\N
882905	3007	1995-10-20	VYDAJ	VYBER	17000	34791	\N	\N	\N
882906	3007	1995-11-19	VYDAJ	VYBER	15600	32824	\N	\N	\N
882907	3007	1995-12-19	VYDAJ	VYBER	15200	42469	\N	\N	\N
882908	3007	1996-01-18	VYDAJ	VYBER	14900	33915	\N	\N	\N
882909	3007	1996-02-17	VYDAJ	VYBER	10000	30632	\N	\N	\N
882910	3007	1996-03-18	VYDAJ	VYBER	14200	30026	\N	\N	\N
882911	3007	1996-04-17	VYDAJ	VYBER	10300	33327	\N	\N	\N
882912	3007	1996-05-17	VYDAJ	VYBER	15600	31332	\N	\N	\N
882913	3007	1996-06-16	VYDAJ	VYBER	13300	31562	\N	\N	\N
882914	3007	1996-07-16	VYDAJ	VYBER	12700	30965	\N	\N	\N
882915	3007	1996-08-15	VYDAJ	VYBER	14400	30166	\N	\N	\N
882916	3007	1996-09-14	VYDAJ	VYBER	15600	28161	\N	\N	\N
882917	3007	1996-10-14	VYDAJ	VYBER	16700	25049	\N	\N	\N
882918	3007	1996-11-13	VYDAJ	VYBER	15600	23026	\N	\N	\N
882919	3007	1996-12-13	VYDAJ	VYBER	16400	31416	\N	\N	\N
882920	3007	1997-01-12	VYDAJ	VYBER	13400	31188	\N	\N	\N
882921	3007	1997-02-11	VYDAJ	VYBER	16200	19863	\N	\N	\N
882922	3007	1997-03-13	VYDAJ	VYBER	14400	18023	\N	\N	\N
882923	3007	1997-05-12	VYDAJ	VYBER	19400	24820	\N	\N	\N
882924	3007	1997-06-11	VYDAJ	VYBER	22500	26016	\N	\N	\N
882925	3007	1997-07-11	VYDAJ	VYBER	18900	20682	\N	\N	\N
882926	3007	1997-09-09	VYDAJ	VYBER	33700	19707	\N	\N	\N
882927	3007	1997-11-08	VYDAJ	VYBER	30300	17902	\N	\N	\N
882928	3007	1998-03-08	VYDAJ	VYBER	40100	26549	\N	\N	\N
882929	3007	1998-08-05	VYDAJ	VYBER	27800	24903	\N	\N	\N
882930	3007	1998-10-04	VYDAJ	VYBER	26200	21752	\N	\N	\N
882931	3007	1998-12-03	VYDAJ	VYBER	26900	22094	\N	\N	\N
883003	3008	1993-02-27	PRIJEM	VKLAD	200	200	\N	\N	\N
883006	3008	1993-03-06	PRIJEM	PREVOD Z UCTU	6934	7134	DUCHOD	QR	33148783
883007	3008	1993-04-06	PRIJEM	PREVOD Z UCTU	6934	14068	DUCHOD	QR	33148783
883008	3008	1993-05-06	PRIJEM	PREVOD Z UCTU	6934	21002	DUCHOD	QR	33148783
883009	3008	1993-06-06	PRIJEM	PREVOD Z UCTU	6934	27936	DUCHOD	QR	33148783
883010	3008	1993-07-06	PRIJEM	PREVOD Z UCTU	6934	34870	DUCHOD	QR	33148783
883011	3008	1993-08-06	PRIJEM	PREVOD Z UCTU	6934	34049	DUCHOD	QR	33148783
883012	3008	1993-09-06	PRIJEM	PREVOD Z UCTU	6934	34249	DUCHOD	QR	33148783
883013	3008	1993-10-06	PRIJEM	PREVOD Z UCTU	6934	33028	DUCHOD	QR	33148783
883014	3008	1993-11-06	PRIJEM	PREVOD Z UCTU	6934	34653	DUCHOD	QR	33148783
883015	3008	1993-12-06	PRIJEM	PREVOD Z UCTU	6934	32253	DUCHOD	QR	33148783
883016	3008	1994-01-06	PRIJEM	PREVOD Z UCTU	6934	34019	DUCHOD	QR	33148783
883017	3008	1994-02-06	PRIJEM	PREVOD Z UCTU	6934	20868	DUCHOD	QR	33148783
883018	3008	1994-03-06	PRIJEM	PREVOD Z UCTU	6934	25737	DUCHOD	QR	33148783
883019	3008	1994-04-06	PRIJEM	PREVOD Z UCTU	6934	30627	DUCHOD	QR	33148783
883020	3008	1994-05-06	PRIJEM	PREVOD Z UCTU	6934	35037	DUCHOD	QR	33148783
883021	3008	1994-06-06	PRIJEM	PREVOD Z UCTU	6934	34659	DUCHOD	QR	33148783
883022	3008	1994-07-06	PRIJEM	PREVOD Z UCTU	6934	28477	DUCHOD	QR	33148783
883023	3008	1994-08-06	PRIJEM	PREVOD Z UCTU	6934	30976	DUCHOD	QR	33148783
883024	3008	1994-09-06	PRIJEM	PREVOD Z UCTU	6934	32383	DUCHOD	QR	33148783
883025	3008	1994-10-06	PRIJEM	PREVOD Z UCTU	6934	31092	DUCHOD	QR	33148783
883026	3008	1994-11-06	PRIJEM	PREVOD Z UCTU	6934	36004	DUCHOD	QR	33148783
883027	3008	1994-12-06	PRIJEM	PREVOD Z UCTU	6934	33205	DUCHOD	QR	33148783
883028	3008	1995-01-06	PRIJEM	PREVOD Z UCTU	6934	35792	DUCHOD	QR	33148783
883029	3008	1995-02-06	PRIJEM	PREVOD Z UCTU	6934	28798	DUCHOD	QR	33148783
883030	3008	1995-03-06	PRIJEM	PREVOD Z UCTU	6934	33700	DUCHOD	QR	33148783
883031	3008	1995-04-06	PRIJEM	PREVOD Z UCTU	6934	36719	DUCHOD	QR	33148783
883032	3008	1995-05-06	PRIJEM	PREVOD Z UCTU	6934	35766	DUCHOD	QR	33148783
883033	3008	1995-06-06	PRIJEM	PREVOD Z UCTU	6934	35106	DUCHOD	QR	33148783
883034	3008	1995-07-06	PRIJEM	PREVOD Z UCTU	6934	26901	DUCHOD	QR	33148783
883035	3008	1995-08-06	PRIJEM	PREVOD Z UCTU	6934	31796	DUCHOD	QR	33148783
883036	3008	1995-09-06	PRIJEM	PREVOD Z UCTU	6934	36209	DUCHOD	QR	33148783
883037	3008	1995-10-06	PRIJEM	PREVOD Z UCTU	6934	37534	DUCHOD	QR	33148783
883038	3008	1995-11-06	PRIJEM	PREVOD Z UCTU	6934	38849	DUCHOD	QR	33148783
883039	3008	1995-12-06	PRIJEM	PREVOD Z UCTU	6934	33944	DUCHOD	QR	33148783
883040	3008	1996-01-06	PRIJEM	PREVOD Z UCTU	6934	32509	DUCHOD	QR	33148783
883041	3008	1996-02-06	PRIJEM	PREVOD Z UCTU	6934	30904	DUCHOD	QR	33148783
883042	3008	1996-03-06	PRIJEM	PREVOD Z UCTU	6934	35255	DUCHOD	QR	33148783
883043	3008	1996-04-06	PRIJEM	PREVOD Z UCTU	6934	40190	DUCHOD	QR	33148783
883044	3008	1996-05-06	PRIJEM	PREVOD Z UCTU	6934	41330	DUCHOD	QR	33148783
883045	3008	1996-06-06	PRIJEM	PREVOD Z UCTU	6934	42675	DUCHOD	QR	33148783
883046	3008	1996-07-06	PRIJEM	PREVOD Z UCTU	6934	33573	DUCHOD	QR	33148783
883047	3008	1996-08-06	PRIJEM	PREVOD Z UCTU	6934	30963	DUCHOD	QR	33148783
883048	3008	1996-09-06	PRIJEM	PREVOD Z UCTU	6934	33231	DUCHOD	QR	33148783
883049	3008	1996-10-06	PRIJEM	PREVOD Z UCTU	6934	36452	DUCHOD	QR	33148783
883050	3008	1996-11-06	PRIJEM	PREVOD Z UCTU	6934	39283	DUCHOD	QR	33148783
883051	3008	1996-12-06	PRIJEM	PREVOD Z UCTU	6934	44228	DUCHOD	QR	33148783
883052	3008	1997-01-06	PRIJEM	PREVOD Z UCTU	6934	48692	DUCHOD	QR	33148783
883053	3008	1997-02-06	PRIJEM	PREVOD Z UCTU	6934	34040	DUCHOD	QR	33148783
883054	3008	1997-03-06	PRIJEM	PREVOD Z UCTU	6934	38962	DUCHOD	QR	33148783
883055	3008	1997-04-06	PRIJEM	PREVOD Z UCTU	6934	36139	DUCHOD	QR	33148783
883056	3008	1997-05-06	PRIJEM	PREVOD Z UCTU	6934	41070	DUCHOD	QR	33148783
883057	3008	1997-06-06	PRIJEM	PREVOD Z UCTU	6934	44624	DUCHOD	QR	33148783
883058	3008	1997-07-06	PRIJEM	PREVOD Z UCTU	6934	43476	DUCHOD	QR	33148783
883059	3008	1997-08-06	PRIJEM	PREVOD Z UCTU	6934	47342	DUCHOD	QR	33148783
883060	3008	1997-09-06	PRIJEM	PREVOD Z UCTU	6934	50420	DUCHOD	QR	33148783
883061	3008	1997-10-06	PRIJEM	PREVOD Z UCTU	6934	52318	DUCHOD	QR	33148783
883062	3008	1997-11-06	PRIJEM	PREVOD Z UCTU	6934	53925	DUCHOD	QR	33148783
883063	3008	1997-12-06	PRIJEM	PREVOD Z UCTU	6934	51430	DUCHOD	QR	33148783
883064	3008	1998-01-06	PRIJEM	PREVOD Z UCTU	6934	54393	DUCHOD	QR	33148783
883065	3008	1998-02-06	PRIJEM	PREVOD Z UCTU	6934	50029	DUCHOD	QR	33148783
883066	3008	1998-03-06	PRIJEM	PREVOD Z UCTU	6934	52216	DUCHOD	QR	33148783
883067	3008	1998-04-06	PRIJEM	PREVOD Z UCTU	6934	57222	DUCHOD	QR	33148783
883068	3008	1998-05-06	PRIJEM	PREVOD Z UCTU	6934	57836	DUCHOD	QR	33148783
883069	3008	1998-06-06	PRIJEM	PREVOD Z UCTU	6934	55011	DUCHOD	QR	33148783
883070	3008	1998-07-06	PRIJEM	PREVOD Z UCTU	6934	51898	DUCHOD	QR	33148783
883071	3008	1998-08-06	PRIJEM	PREVOD Z UCTU	6934	56894	DUCHOD	QR	33148783
883072	3008	1998-09-06	PRIJEM	PREVOD Z UCTU	6934	61910	DUCHOD	QR	33148783
883073	3008	1998-10-06	PRIJEM	PREVOD Z UCTU	6934	66947	DUCHOD	QR	33148783
883074	3008	1998-11-06	PRIJEM	PREVOD Z UCTU	6934	71364	DUCHOD	QR	33148783
883075	3008	1998-12-06	PRIJEM	PREVOD Z UCTU	6934	70438	DUCHOD	QR	33148783
883082	3008	1993-07-13	VYDAJ	PREVOD NA UCET	2120	32750	SIPO	QR	79819476
883083	3008	1993-08-13	VYDAJ	PREVOD NA UCET	2120	30889	SIPO	QR	79819476
883084	3008	1993-09-13	VYDAJ	PREVOD NA UCET	2120	32129	SIPO	QR	79819476
883085	3008	1993-10-13	VYDAJ	PREVOD NA UCET	2120	30908	SIPO	QR	79819476
883086	3008	1993-11-13	VYDAJ	PREVOD NA UCET	2120	32533	SIPO	QR	79819476
883087	3008	1993-12-13	VYDAJ	PREVOD NA UCET	2120	30133	SIPO	QR	79819476
883088	3008	1994-01-13	VYDAJ	PREVOD NA UCET	2120	25449	SIPO	QR	79819476
883089	3008	1994-02-13	VYDAJ	PREVOD NA UCET	2120	18748	SIPO	QR	79819476
883090	3008	1994-03-13	VYDAJ	PREVOD NA UCET	2120	23617	SIPO	QR	79819476
883091	3008	1994-04-13	VYDAJ	PREVOD NA UCET	2120	28507	SIPO	QR	79819476
883092	3008	1994-05-13	VYDAJ	PREVOD NA UCET	2120	32917	SIPO	QR	79819476
883093	3008	1994-06-13	VYDAJ	PREVOD NA UCET	2120	32539	SIPO	QR	79819476
883094	3008	1994-07-13	VYDAJ	PREVOD NA UCET	2120	26357	SIPO	QR	79819476
883095	3008	1994-08-13	VYDAJ	PREVOD NA UCET	2120	28856	SIPO	QR	79819476
883096	3008	1994-09-13	VYDAJ	PREVOD NA UCET	2120	30263	SIPO	QR	79819476
883097	3008	1994-10-13	VYDAJ	PREVOD NA UCET	2120	28972	SIPO	QR	79819476
883098	3008	1994-11-13	VYDAJ	PREVOD NA UCET	2120	33884	SIPO	QR	79819476
883099	3008	1994-12-13	VYDAJ	PREVOD NA UCET	2120	31085	SIPO	QR	79819476
883100	3008	1995-01-13	VYDAJ	PREVOD NA UCET	2120	33192	SIPO	QR	79819476
883101	3008	1995-02-13	VYDAJ	PREVOD NA UCET	2120	26678	SIPO	QR	79819476
883102	3008	1995-03-13	VYDAJ	PREVOD NA UCET	2120	31580	SIPO	QR	79819476
883103	3008	1995-04-13	VYDAJ	PREVOD NA UCET	2120	34599	SIPO	QR	79819476
883104	3008	1995-05-13	VYDAJ	PREVOD NA UCET	2120	30366	SIPO	QR	79819476
883105	3008	1995-06-13	VYDAJ	PREVOD NA UCET	2120	19886	SIPO	QR	79819476
883106	3008	1995-07-13	VYDAJ	PREVOD NA UCET	2120	24781	SIPO	QR	79819476
883107	3008	1995-08-13	VYDAJ	PREVOD NA UCET	2120	29676	SIPO	QR	79819476
883108	3008	1995-09-13	VYDAJ	PREVOD NA UCET	2120	34089	SIPO	QR	79819476
883109	3008	1995-10-13	VYDAJ	PREVOD NA UCET	2120	35414	SIPO	QR	79819476
883110	3008	1995-11-13	VYDAJ	PREVOD NA UCET	2120	36729	SIPO	QR	79819476
883111	3008	1995-12-13	VYDAJ	PREVOD NA UCET	2120	31824	SIPO	QR	79819476
883112	3008	1996-01-13	VYDAJ	PREVOD NA UCET	2120	29829	SIPO	QR	79819476
883113	3008	1996-02-13	VYDAJ	PREVOD NA UCET	2120	28784	SIPO	QR	79819476
883114	3008	1996-03-13	VYDAJ	PREVOD NA UCET	2120	33135	SIPO	QR	79819476
883115	3008	1996-04-13	VYDAJ	PREVOD NA UCET	2120	34270	SIPO	QR	79819476
883116	3008	1996-05-13	VYDAJ	PREVOD NA UCET	2120	35610	SIPO	QR	79819476
883117	3008	1996-06-13	VYDAJ	PREVOD NA UCET	2120	39355	SIPO	QR	79819476
883118	3008	1996-07-13	VYDAJ	PREVOD NA UCET	2120	27773	SIPO	QR	79819476
883119	3008	1996-08-13	VYDAJ	PREVOD NA UCET	2120	26843	SIPO	QR	79819476
883120	3008	1996-09-13	VYDAJ	PREVOD NA UCET	2120	29411	SIPO	QR	79819476
883121	3008	1996-10-13	VYDAJ	PREVOD NA UCET	2120	32232	SIPO	QR	79819476
883122	3008	1996-11-13	VYDAJ	PREVOD NA UCET	2120	37163	SIPO	QR	79819476
883123	3008	1996-12-13	VYDAJ	PREVOD NA UCET	2120	42108	SIPO	QR	79819476
883124	3008	1997-01-13	VYDAJ	PREVOD NA UCET	2120	38152	SIPO	QR	79819476
883125	3008	1997-02-13	VYDAJ	PREVOD NA UCET	2120	31920	SIPO	QR	79819476
883126	3008	1997-03-13	VYDAJ	PREVOD NA UCET	2120	35082	SIPO	QR	79819476
883127	3008	1997-04-13	VYDAJ	PREVOD NA UCET	2120	34019	SIPO	QR	79819476
883128	3008	1997-05-13	VYDAJ	PREVOD NA UCET	2120	37950	SIPO	QR	79819476
883129	3008	1997-06-13	VYDAJ	PREVOD NA UCET	2120	36404	SIPO	QR	79819476
883130	3008	1997-07-13	VYDAJ	PREVOD NA UCET	2120	40256	SIPO	QR	79819476
883131	3008	1997-08-13	VYDAJ	PREVOD NA UCET	2120	45222	SIPO	QR	79819476
883132	3008	1997-09-13	VYDAJ	PREVOD NA UCET	2120	48300	SIPO	QR	79819476
883133	3008	1997-10-13	VYDAJ	PREVOD NA UCET	2120	50198	SIPO	QR	79819476
883134	3008	1997-11-13	VYDAJ	PREVOD NA UCET	2120	50445	SIPO	QR	79819476
883135	3008	1997-12-13	VYDAJ	PREVOD NA UCET	2120	49310	SIPO	QR	79819476
883136	3008	1998-01-13	VYDAJ	PREVOD NA UCET	2120	48913	SIPO	QR	79819476
883137	3008	1998-02-13	VYDAJ	PREVOD NA UCET	2120	47909	SIPO	QR	79819476
883138	3008	1998-03-13	VYDAJ	PREVOD NA UCET	2120	50096	SIPO	QR	79819476
883139	3008	1998-04-13	VYDAJ	PREVOD NA UCET	2120	52462	SIPO	QR	79819476
883140	3008	1998-05-13	VYDAJ	PREVOD NA UCET	2120	52356	SIPO	QR	79819476
883141	3008	1998-06-13	VYDAJ	PREVOD NA UCET	2120	44791	SIPO	QR	79819476
883142	3008	1998-07-13	VYDAJ	PREVOD NA UCET	2120	49778	SIPO	QR	79819476
883143	3008	1998-08-13	VYDAJ	PREVOD NA UCET	2120	54774	SIPO	QR	79819476
883144	3008	1998-09-13	VYDAJ	PREVOD NA UCET	2120	59790	SIPO	QR	79819476
883145	3008	1998-10-13	VYDAJ	PREVOD NA UCET	2120	64827	SIPO	QR	79819476
883146	3008	1998-11-13	VYDAJ	PREVOD NA UCET	2120	69244	SIPO	QR	79819476
883147	3008	1998-12-13	VYDAJ	PREVOD NA UCET	2120	68318	SIPO	QR	79819476
883149	3008	1994-06-17	VYDAJ	VYBER	8150	24389	\N	\N	\N
883150	3008	1995-06-12	VYDAJ	VYBER	13100	22006	\N	\N	\N
883151	3008	1996-06-25	VYDAJ	VYBER	12850	26505	\N	\N	\N
883152	3008	1997-06-08	VYDAJ	VYBER	6100	38524	\N	\N	\N
883153	3008	1998-06-10	VYDAJ	VYBER	8100	46911	\N	\N	\N
883155	3008	1994-01-06	VYDAJ	VYBER	4850	29169	\N	\N	\N
883156	3008	1995-01-29	VYDAJ	VYBER	3400	23192	\N	\N	\N
883157	3008	1996-01-24	VYDAJ	VYBER	1000	25149	\N	\N	\N
883158	3008	1997-01-30	VYDAJ	VYBER	4700	26972	\N	\N	\N
883159	3008	1998-01-28	VYDAJ	VYBER	3200	42913	\N	\N	\N
883160	3008	1993-12-24	VYDAJ	VYBER	550	29583	\N	\N	\N
883161	3008	1994-12-16	VYDAJ	VYBER	550	30535	\N	\N	\N
883162	3008	1995-12-26	VYDAJ	VYBER	1300	27224	\N	\N	\N
883163	3008	1996-12-17	VYDAJ	VYBER	500	41608	\N	\N	\N
883164	3008	1997-12-29	VYDAJ	VYBER	1400	47910	\N	\N	\N
883165	3008	1998-12-14	VYDAJ	VYBER	1450	66868	\N	\N	\N
883172	3008	1994-01-22	VYDAJ	VYBER	1200	21529	\N	\N	\N
883173	3008	1994-01-30	VYDAJ	VYBER	1440	13849	\N	\N	\N
883174	3008	1994-01-20	VYDAJ	VYBER	640	24089	\N	\N	\N
883175	3008	1994-01-07	VYDAJ	VYBER	1600	27569	\N	\N	\N
883176	3008	1994-01-15	VYDAJ	VYBER	720	24729	\N	\N	\N
883177	3008	1994-01-21	VYDAJ	VYBER	1360	22729	\N	\N	\N
883178	3008	1995-01-24	VYDAJ	VYBER	1680	27552	\N	\N	\N
883179	3008	1995-01-05	VYDAJ	VYBER	480	28858	\N	\N	\N
883180	3008	1995-01-29	VYDAJ	VYBER	960	26592	\N	\N	\N
883181	3008	1995-01-29	VYDAJ	VYBER	1440	21752	\N	\N	\N
883182	3008	1995-01-15	VYDAJ	VYBER	800	32392	\N	\N	\N
883183	3008	1995-01-10	VYDAJ	VYBER	480	35312	\N	\N	\N
883184	3008	1996-01-17	VYDAJ	VYBER	1760	28069	\N	\N	\N
883185	3008	1996-01-05	VYDAJ	VYBER	1760	25575	\N	\N	\N
883186	3008	1996-01-20	VYDAJ	VYBER	640	27429	\N	\N	\N
883187	3008	1996-01-26	VYDAJ	VYBER	1280	23869	\N	\N	\N
883188	3008	1996-01-23	VYDAJ	VYBER	1280	26149	\N	\N	\N
883189	3008	1996-01-11	VYDAJ	VYBER	560	31949	\N	\N	\N
883190	3008	1997-01-13	VYDAJ	VYBER	1920	36232	\N	\N	\N
883191	3008	1997-01-22	VYDAJ	VYBER	1200	31672	\N	\N	\N
883192	3008	1997-01-14	VYDAJ	VYBER	560	35672	\N	\N	\N
883193	3008	1997-01-19	VYDAJ	VYBER	1520	32872	\N	\N	\N
883194	3008	1997-01-18	VYDAJ	VYBER	1280	34392	\N	\N	\N
883195	3008	1997-01-09	VYDAJ	VYBER	2320	40272	\N	\N	\N
883196	3008	1998-01-16	VYDAJ	VYBER	720	48193	\N	\N	\N
883197	3008	1998-01-19	VYDAJ	VYBER	480	47713	\N	\N	\N
883198	3008	1998-01-06	VYDAJ	VYBER	1520	52873	\N	\N	\N
883199	3008	1998-01-20	VYDAJ	VYBER	1600	46113	\N	\N	\N
883200	3008	1998-01-08	VYDAJ	VYBER	1840	51033	\N	\N	\N
883201	3008	1998-01-04	VYDAJ	VYBER	640	47459	\N	\N	\N
883202	3008	1993-08-23	VYDAJ	VYBER	3680	27209	\N	\N	\N
883203	3008	1993-11-24	VYDAJ	VYBER	3520	25213	\N	\N	\N
883204	3008	1993-09-17	VYDAJ	VYBER	2720	29409	\N	\N	\N
883205	3008	1993-08-10	VYDAJ	VYBER	1040	33009	\N	\N	\N
883206	3008	1993-10-05	VYDAJ	VYBER	1040	26094	\N	\N	\N
883207	3008	1993-10-03	VYDAJ	VYBER	1280	27134	\N	\N	\N
883208	3008	1994-06-25	VYDAJ	VYBER	1040	21449	\N	\N	\N
883209	3008	1994-09-29	VYDAJ	VYBER	1280	24063	\N	\N	\N
883210	3008	1994-07-27	VYDAJ	VYBER	2400	23957	\N	\N	\N
883211	3008	1994-11-21	VYDAJ	VYBER	3520	26164	\N	\N	\N
883212	3008	1994-09-19	VYDAJ	VYBER	1120	29143	\N	\N	\N
883213	3008	1994-01-30	VYDAJ	VYBER	3680	15289	\N	\N	\N
883214	3008	1994-01-23	VYDAJ	VYBER	2560	18969	\N	\N	\N
883215	3008	1995-05-09	VYDAJ	VYBER	3280	32486	\N	\N	\N
883216	3008	1995-11-30	VYDAJ	VYBER	2720	30530	\N	\N	\N
883217	3008	1995-01-19	VYDAJ	VYBER	1760	29232	\N	\N	\N
883218	3008	1995-12-03	VYDAJ	VYBER	3520	27010	\N	\N	\N
883219	3008	1995-10-27	VYDAJ	VYBER	2720	31794	\N	\N	\N
883220	3008	1995-04-24	VYDAJ	VYBER	2480	28719	\N	\N	\N
883221	3008	1996-07-30	VYDAJ	VYBER	2960	23933	\N	\N	\N
883222	3008	1996-07-21	VYDAJ	VYBER	880	26893	\N	\N	\N
883223	3008	1996-03-05	VYDAJ	VYBER	560	28321	\N	\N	\N
883224	3008	1996-07-12	VYDAJ	VYBER	3680	29893	\N	\N	\N
883225	3008	1996-09-01	VYDAJ	VYBER	640	26297	\N	\N	\N
883226	3008	1997-11-09	VYDAJ	VYBER	1360	52565	\N	\N	\N
883227	3008	1997-03-12	VYDAJ	VYBER	1760	37202	\N	\N	\N
883228	3008	1997-03-24	VYDAJ	VYBER	2320	32762	\N	\N	\N
883229	3008	1997-11-18	VYDAJ	VYBER	1680	48765	\N	\N	\N
883230	3008	1997-05-31	VYDAJ	VYBER	400	37690	\N	\N	\N
883231	3008	1997-11-20	VYDAJ	VYBER	960	47805	\N	\N	\N
883232	3008	1997-03-31	VYDAJ	VYBER	3680	29219	\N	\N	\N
883233	3008	1998-05-29	VYDAJ	VYBER	1520	47876	\N	\N	\N
883234	3008	1998-04-08	VYDAJ	VYBER	2640	54582	\N	\N	\N
883235	3008	1998-05-24	VYDAJ	VYBER	2960	49396	\N	\N	\N
883236	3008	1998-04-28	VYDAJ	VYBER	1760	50702	\N	\N	\N
883237	3008	1998-10-23	VYDAJ	VYBER	640	64187	\N	\N	\N
883238	3008	1998-05-06	VYDAJ	VYBER	3360	54476	\N	\N	\N
883239	3008	1998-12-17	VYDAJ	VYBER	3760	63108	\N	\N	\N
883247	3008	1993-07-31	VYDAJ	VYBER	15	27115	SLUZBY	\N	\N
883248	3008	1993-08-31	VYDAJ	VYBER	15	27315	SLUZBY	\N	\N
883249	3008	1993-09-30	VYDAJ	VYBER	15	28414	SLUZBY	\N	\N
883250	3008	1993-10-31	VYDAJ	VYBER	15	27719	SLUZBY	\N	\N
883251	3008	1993-11-30	VYDAJ	VYBER	15	25319	SLUZBY	\N	\N
883252	3008	1993-12-31	VYDAJ	VYBER	15	27085	SLUZBY	\N	\N
883253	3008	1994-01-31	VYDAJ	VYBER	15	13934	SLUZBY	\N	\N
883254	3008	1994-02-28	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
883255	3008	1994-03-31	VYDAJ	VYBER	15	23693	SLUZBY	\N	\N
883256	3008	1994-04-30	VYDAJ	VYBER	15	28103	SLUZBY	\N	\N
883257	3008	1994-05-31	VYDAJ	VYBER	15	27725	SLUZBY	\N	\N
883258	3008	1994-06-30	VYDAJ	VYBER	15	21543	SLUZBY	\N	\N
883259	3008	1994-07-31	VYDAJ	VYBER	15	24042	SLUZBY	\N	\N
883260	3008	1994-08-31	VYDAJ	VYBER	15	25449	SLUZBY	\N	\N
883261	3008	1994-09-30	VYDAJ	VYBER	15	24158	SLUZBY	\N	\N
883262	3008	1994-10-31	VYDAJ	VYBER	15	29070	SLUZBY	\N	\N
883263	3008	1994-11-30	VYDAJ	VYBER	15	26271	SLUZBY	\N	\N
883264	3008	1994-12-31	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
883265	3008	1995-01-31	VYDAJ	VYBER	15	21864	SLUZBY	\N	\N
883266	3008	1995-02-28	VYDAJ	VYBER	15	26766	SLUZBY	\N	\N
883267	3008	1995-03-31	VYDAJ	VYBER	15	29785	SLUZBY	\N	\N
883268	3008	1995-04-30	VYDAJ	VYBER	15	28832	SLUZBY	\N	\N
883269	3008	1995-05-31	VYDAJ	VYBER	15	28172	SLUZBY	\N	\N
883270	3008	1995-06-30	VYDAJ	VYBER	15	19967	SLUZBY	\N	\N
883271	3008	1995-07-31	VYDAJ	VYBER	15	24862	SLUZBY	\N	\N
883272	3008	1995-08-31	VYDAJ	VYBER	15	29275	SLUZBY	\N	\N
883273	3008	1995-09-30	VYDAJ	VYBER	15	30600	SLUZBY	\N	\N
883274	3008	1995-10-31	VYDAJ	VYBER	15	31915	SLUZBY	\N	\N
883275	3008	1995-11-30	VYDAJ	VYBER	15	33250	SLUZBY	\N	\N
883276	3008	1995-12-31	VYDAJ	VYBER	15	27335	SLUZBY	\N	\N
883277	3008	1996-01-31	VYDAJ	VYBER	15	23970	SLUZBY	\N	\N
883278	3008	1996-02-29	VYDAJ	VYBER	15	28881	SLUZBY	\N	\N
883279	3008	1996-03-31	VYDAJ	VYBER	15	33256	SLUZBY	\N	\N
883280	3008	1996-04-30	VYDAJ	VYBER	15	34396	SLUZBY	\N	\N
883281	3008	1996-05-31	VYDAJ	VYBER	15	35741	SLUZBY	\N	\N
883282	3008	1996-06-30	VYDAJ	VYBER	15	26639	SLUZBY	\N	\N
883283	3008	1996-07-31	VYDAJ	VYBER	15	24029	SLUZBY	\N	\N
883284	3008	1996-08-31	VYDAJ	VYBER	15	26937	SLUZBY	\N	\N
883285	3008	1996-09-30	VYDAJ	VYBER	15	29518	SLUZBY	\N	\N
883286	3008	1996-10-31	VYDAJ	VYBER	15	32349	SLUZBY	\N	\N
883287	3008	1996-11-30	VYDAJ	VYBER	15	37294	SLUZBY	\N	\N
883288	3008	1996-12-31	VYDAJ	VYBER	15	41758	SLUZBY	\N	\N
883289	3008	1997-01-31	VYDAJ	VYBER	15	27106	SLUZBY	\N	\N
883290	3008	1997-02-28	VYDAJ	VYBER	15	32028	SLUZBY	\N	\N
883291	3008	1997-03-31	VYDAJ	VYBER	15	29205	SLUZBY	\N	\N
883292	3008	1997-04-30	VYDAJ	VYBER	15	34136	SLUZBY	\N	\N
883293	3008	1997-05-31	VYDAJ	VYBER	15	38090	SLUZBY	\N	\N
883294	3008	1997-06-30	VYDAJ	VYBER	15	36542	SLUZBY	\N	\N
883295	3008	1997-07-31	VYDAJ	VYBER	15	40408	SLUZBY	\N	\N
883296	3008	1997-08-31	VYDAJ	VYBER	15	45386	SLUZBY	\N	\N
883297	3008	1997-09-30	VYDAJ	VYBER	15	48484	SLUZBY	\N	\N
883298	3008	1997-10-31	VYDAJ	VYBER	15	50391	SLUZBY	\N	\N
883299	3008	1997-11-30	VYDAJ	VYBER	15	47996	SLUZBY	\N	\N
883300	3008	1997-12-31	VYDAJ	VYBER	15	48099	SLUZBY	\N	\N
883301	3008	1998-01-31	VYDAJ	VYBER	15	43095	SLUZBY	\N	\N
883302	3008	1998-02-28	VYDAJ	VYBER	15	48082	SLUZBY	\N	\N
883303	3008	1998-03-31	VYDAJ	VYBER	15	50288	SLUZBY	\N	\N
883304	3008	1998-04-30	VYDAJ	VYBER	15	50902	SLUZBY	\N	\N
883305	3008	1998-05-31	VYDAJ	VYBER	15	48077	SLUZBY	\N	\N
883306	3008	1998-06-30	VYDAJ	VYBER	15	44964	SLUZBY	\N	\N
883307	3008	1998-07-31	VYDAJ	VYBER	15	49960	SLUZBY	\N	\N
883308	3008	1998-08-31	VYDAJ	VYBER	15	54976	SLUZBY	\N	\N
883309	3008	1998-09-30	VYDAJ	VYBER	15	60013	SLUZBY	\N	\N
883310	3008	1998-10-31	VYDAJ	VYBER	15	64430	SLUZBY	\N	\N
883311	3008	1998-11-30	VYDAJ	VYBER	15	63504	SLUZBY	\N	\N
883312	3008	1993-07-27	VYDAJ	VYBER	5700	27050	\N	\N	\N
883313	3008	1993-09-25	VYDAJ	VYBER	1100	28309	\N	\N	\N
883314	3008	1993-10-25	VYDAJ	VYBER	3300	27608	\N	\N	\N
883315	3008	1993-11-24	VYDAJ	VYBER	3800	28733	\N	\N	\N
883316	3008	1993-12-24	VYDAJ	VYBER	2600	26983	\N	\N	\N
883317	3008	1994-04-23	VYDAJ	VYBER	500	28007	\N	\N	\N
883318	3008	1994-05-23	VYDAJ	VYBER	5300	27617	\N	\N	\N
883319	3008	1994-06-22	VYDAJ	VYBER	1900	22489	\N	\N	\N
883320	3008	1994-08-21	VYDAJ	VYBER	3500	25356	\N	\N	\N
883321	3008	1994-09-20	VYDAJ	VYBER	3800	25343	\N	\N	\N
883322	3008	1994-11-19	VYDAJ	VYBER	4200	29684	\N	\N	\N
883323	3008	1994-12-19	VYDAJ	VYBER	1300	29235	\N	\N	\N
883324	3008	1995-01-18	VYDAJ	VYBER	1400	30992	\N	\N	\N
883325	3008	1995-03-19	VYDAJ	VYBER	1900	29680	\N	\N	\N
883326	3008	1995-04-18	VYDAJ	VYBER	3400	31199	\N	\N	\N
883327	3008	1995-05-18	VYDAJ	VYBER	2300	28066	\N	\N	\N
883328	3008	1995-08-16	VYDAJ	VYBER	500	29176	\N	\N	\N
883329	3008	1995-09-15	VYDAJ	VYBER	3600	30489	\N	\N	\N
883330	3008	1995-10-15	VYDAJ	VYBER	900	34514	\N	\N	\N
883331	3008	1995-11-14	VYDAJ	VYBER	3600	33129	\N	\N	\N
883332	3008	1995-12-14	VYDAJ	VYBER	3300	28524	\N	\N	\N
883333	3008	1996-04-12	VYDAJ	VYBER	3800	36390	\N	\N	\N
883334	3008	1996-05-12	VYDAJ	VYBER	3600	37730	\N	\N	\N
883335	3008	1996-06-11	VYDAJ	VYBER	1200	41475	\N	\N	\N
883336	3008	1996-08-10	VYDAJ	VYBER	2000	28963	\N	\N	\N
883337	3008	1996-09-09	VYDAJ	VYBER	1700	31531	\N	\N	\N
883338	3008	1996-10-09	VYDAJ	VYBER	2100	34352	\N	\N	\N
883339	3008	1997-01-07	VYDAJ	VYBER	6100	42592	\N	\N	\N
883340	3008	1997-05-07	VYDAJ	VYBER	1000	40070	\N	\N	\N
883341	3008	1997-07-06	VYDAJ	VYBER	1100	42376	\N	\N	\N
883342	3008	1997-09-04	VYDAJ	VYBER	1900	43486	\N	\N	\N
883343	3008	1997-10-04	VYDAJ	VYBER	3100	45384	\N	\N	\N
883344	3008	1997-11-03	VYDAJ	VYBER	3400	46991	\N	\N	\N
883345	3008	1997-12-03	VYDAJ	VYBER	3500	44496	\N	\N	\N
883346	3008	1998-03-03	VYDAJ	VYBER	2800	45282	\N	\N	\N
883347	3008	1998-11-28	VYDAJ	VYBER	6000	63244	\N	\N	\N
883414	3009	1996-01-26	PRIJEM	VKLAD	900	900	\N	\N	\N
883416	3009	1996-02-08	PRIJEM	PREVOD Z UCTU	4109	5009	DUCHOD	UV	22885442
883417	3009	1996-03-08	PRIJEM	PREVOD Z UCTU	4109	9118	DUCHOD	UV	22885442
883418	3009	1996-04-08	PRIJEM	PREVOD Z UCTU	4109	13227	DUCHOD	UV	22885442
883419	3009	1996-05-08	PRIJEM	PREVOD Z UCTU	4109	17336	DUCHOD	UV	22885442
883420	3009	1996-06-08	PRIJEM	PREVOD Z UCTU	4109	21445	DUCHOD	UV	22885442
883421	3009	1996-07-08	PRIJEM	PREVOD Z UCTU	4109	14533	DUCHOD	UV	22885442
883422	3009	1996-08-08	PRIJEM	PREVOD Z UCTU	4109	15936	DUCHOD	UV	22885442
883423	3009	1996-09-08	PRIJEM	PREVOD Z UCTU	4109	17344	DUCHOD	UV	22885442
883424	3009	1996-10-08	PRIJEM	PREVOD Z UCTU	4109	18758	DUCHOD	UV	22885442
883425	3009	1996-11-08	PRIJEM	PREVOD Z UCTU	4109	20179	DUCHOD	UV	22885442
883426	3009	1996-12-08	PRIJEM	PREVOD Z UCTU	4109	21605	DUCHOD	UV	22885442
883427	3009	1997-01-08	PRIJEM	PREVOD Z UCTU	4109	22385	DUCHOD	UV	22885442
883428	3009	1997-02-08	PRIJEM	PREVOD Z UCTU	4109	23820	DUCHOD	UV	22885442
883429	3009	1997-03-08	PRIJEM	PREVOD Z UCTU	4109	25261	DUCHOD	UV	22885442
883430	3009	1997-04-08	PRIJEM	PREVOD Z UCTU	4109	24948	DUCHOD	UV	22885442
883431	3009	1997-05-08	PRIJEM	PREVOD Z UCTU	4109	23511	DUCHOD	UV	22885442
883432	3009	1997-06-08	PRIJEM	PREVOD Z UCTU	4109	24150	DUCHOD	UV	22885442
883433	3009	1997-07-08	PRIJEM	PREVOD Z UCTU	4109	20430	DUCHOD	UV	22885442
883434	3009	1997-08-08	PRIJEM	PREVOD Z UCTU	4109	21857	DUCHOD	UV	22885442
883435	3009	1997-09-08	PRIJEM	PREVOD Z UCTU	4109	23290	DUCHOD	UV	22885442
883436	3009	1997-10-08	PRIJEM	PREVOD Z UCTU	4109	22248	DUCHOD	UV	22885442
883437	3009	1997-11-08	PRIJEM	PREVOD Z UCTU	4109	23682	DUCHOD	UV	22885442
883438	3009	1997-12-08	PRIJEM	PREVOD Z UCTU	4109	24243	DUCHOD	UV	22885442
883439	3009	1998-01-08	PRIJEM	PREVOD Z UCTU	4109	24967	DUCHOD	UV	22885442
883440	3009	1998-02-08	PRIJEM	PREVOD Z UCTU	4109	25453	DUCHOD	UV	22885442
883441	3009	1998-03-08	PRIJEM	PREVOD Z UCTU	4109	26900	DUCHOD	UV	22885442
883539	3009	1998-06-30	VYDAJ	VYBER	15	22209	SLUZBY	\N	\N
883442	3009	1998-04-08	PRIJEM	PREVOD Z UCTU	4109	28354	DUCHOD	UV	22885442
883443	3009	1998-05-08	PRIJEM	PREVOD Z UCTU	4109	28692	DUCHOD	UV	22885442
883444	3009	1998-06-08	PRIJEM	PREVOD Z UCTU	4109	24868	DUCHOD	UV	22885442
883445	3009	1998-07-08	PRIJEM	PREVOD Z UCTU	4109	26318	DUCHOD	UV	22885442
883446	3009	1998-08-08	PRIJEM	PREVOD Z UCTU	4109	24481	DUCHOD	UV	22885442
883447	3009	1998-09-08	PRIJEM	PREVOD Z UCTU	4109	25925	DUCHOD	UV	22885442
883448	3009	1998-10-08	PRIJEM	PREVOD Z UCTU	4109	27374	DUCHOD	UV	22885442
883449	3009	1998-11-08	PRIJEM	PREVOD Z UCTU	4109	26510	DUCHOD	UV	22885442
883450	3009	1998-12-08	PRIJEM	PREVOD Z UCTU	4109	26923	DUCHOD	UV	22885442
883456	3009	1996-06-12	VYDAJ	PREVOD NA UCET	2739	10406	SIPO	OP	71009987
883457	3009	1996-07-12	VYDAJ	PREVOD NA UCET	2739	11794	SIPO	OP	71009987
883458	3009	1996-08-12	VYDAJ	PREVOD NA UCET	2739	13197	SIPO	OP	71009987
883459	3009	1996-09-12	VYDAJ	PREVOD NA UCET	2739	14605	SIPO	OP	71009987
883460	3009	1996-10-12	VYDAJ	PREVOD NA UCET	2739	16019	SIPO	OP	71009987
883461	3009	1996-11-12	VYDAJ	PREVOD NA UCET	2739	17440	SIPO	OP	71009987
883462	3009	1996-12-12	VYDAJ	PREVOD NA UCET	2739	18216	SIPO	OP	71009987
883463	3009	1997-01-12	VYDAJ	PREVOD NA UCET	2739	19646	SIPO	OP	71009987
883464	3009	1997-02-12	VYDAJ	PREVOD NA UCET	2739	21081	SIPO	OP	71009987
883465	3009	1997-03-12	VYDAJ	PREVOD NA UCET	2739	22522	SIPO	OP	71009987
883466	3009	1997-04-12	VYDAJ	PREVOD NA UCET	2739	22209	SIPO	OP	71009987
883467	3009	1997-05-12	VYDAJ	PREVOD NA UCET	2739	20772	SIPO	OP	71009987
883468	3009	1997-06-12	VYDAJ	PREVOD NA UCET	2739	21411	SIPO	OP	71009987
883469	3009	1997-07-12	VYDAJ	PREVOD NA UCET	2739	17691	SIPO	OP	71009987
883470	3009	1997-08-12	VYDAJ	PREVOD NA UCET	2739	19118	SIPO	OP	71009987
883471	3009	1997-09-12	VYDAJ	PREVOD NA UCET	2739	20551	SIPO	OP	71009987
883472	3009	1997-10-12	VYDAJ	PREVOD NA UCET	2739	19509	SIPO	OP	71009987
883473	3009	1997-11-12	VYDAJ	PREVOD NA UCET	2739	20943	SIPO	OP	71009987
883474	3009	1997-12-12	VYDAJ	PREVOD NA UCET	2739	21504	SIPO	OP	71009987
883475	3009	1998-01-12	VYDAJ	PREVOD NA UCET	2739	22228	SIPO	OP	71009987
883476	3009	1998-02-12	VYDAJ	PREVOD NA UCET	2739	22714	SIPO	OP	71009987
883477	3009	1998-03-12	VYDAJ	PREVOD NA UCET	2739	24161	SIPO	OP	71009987
883478	3009	1998-04-12	VYDAJ	PREVOD NA UCET	2739	24495	SIPO	OP	71009987
883479	3009	1998-05-12	VYDAJ	PREVOD NA UCET	2739	23873	SIPO	OP	71009987
883480	3009	1998-06-12	VYDAJ	PREVOD NA UCET	2739	22129	SIPO	OP	71009987
883481	3009	1998-07-12	VYDAJ	PREVOD NA UCET	2739	20299	SIPO	OP	71009987
883482	3009	1998-08-12	VYDAJ	PREVOD NA UCET	2739	21742	SIPO	OP	71009987
883483	3009	1998-09-12	VYDAJ	PREVOD NA UCET	2739	23186	SIPO	OP	71009987
883484	3009	1998-10-12	VYDAJ	PREVOD NA UCET	2739	24635	SIPO	OP	71009987
883485	3009	1998-11-12	VYDAJ	PREVOD NA UCET	2739	22731	SIPO	OP	71009987
883486	3009	1998-12-12	VYDAJ	PREVOD NA UCET	2739	24184	SIPO	OP	71009987
883487	3009	1996-06-09	VYDAJ	VYBER	8300	13145	\N	\N	\N
883488	3009	1997-06-14	VYDAJ	VYBER	5150	16261	\N	\N	\N
883489	3009	1998-06-05	VYDAJ	VYBER	3200	20759	\N	\N	\N
883490	3009	1996-12-11	VYDAJ	VYBER	650	20955	\N	\N	\N
883491	3009	1997-12-06	VYDAJ	VYBER	400	20134	\N	\N	\N
883492	3009	1998-12-15	VYDAJ	VYBER	1450	22734	\N	\N	\N
883497	3009	1997-03-29	VYDAJ	VYBER	1760	20762	\N	\N	\N
883498	3009	1997-05-22	VYDAJ	VYBER	800	19972	\N	\N	\N
883499	3009	1997-11-30	VYDAJ	VYBER	480	20534	\N	\N	\N
883500	3009	1997-09-27	VYDAJ	VYBER	2480	18071	\N	\N	\N
883501	3009	1997-12-17	VYDAJ	VYBER	720	20784	\N	\N	\N
883502	3009	1997-04-25	VYDAJ	VYBER	2880	19329	\N	\N	\N
883503	3009	1998-11-06	VYDAJ	VYBER	2320	22401	\N	\N	\N
883504	3009	1998-04-10	VYDAJ	VYBER	1120	27234	\N	\N	\N
883505	3009	1998-07-08	VYDAJ	VYBER	3280	23038	\N	\N	\N
883506	3009	1998-01-30	VYDAJ	VYBER	960	21268	\N	\N	\N
883507	3009	1998-05-10	VYDAJ	VYBER	2080	26612	\N	\N	\N
883508	3009	1998-11-10	VYDAJ	VYBER	1040	25470	\N	\N	\N
883515	3009	1996-06-30	VYDAJ	VYBER	15	10424	SLUZBY	\N	\N
883516	3009	1996-07-31	VYDAJ	VYBER	15	11827	SLUZBY	\N	\N
883517	3009	1996-08-31	VYDAJ	VYBER	15	13235	SLUZBY	\N	\N
883518	3009	1996-09-30	VYDAJ	VYBER	15	14649	SLUZBY	\N	\N
883519	3009	1996-10-31	VYDAJ	VYBER	15	16070	SLUZBY	\N	\N
883520	3009	1996-11-30	VYDAJ	VYBER	15	17496	SLUZBY	\N	\N
883521	3009	1996-12-31	VYDAJ	VYBER	15	18276	SLUZBY	\N	\N
883522	3009	1997-01-31	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
883523	3009	1997-02-28	VYDAJ	VYBER	15	21152	SLUZBY	\N	\N
883524	3009	1997-03-31	VYDAJ	VYBER	15	20839	SLUZBY	\N	\N
883525	3009	1997-04-30	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
883526	3009	1997-05-31	VYDAJ	VYBER	15	20041	SLUZBY	\N	\N
883527	3009	1997-06-30	VYDAJ	VYBER	15	16321	SLUZBY	\N	\N
883528	3009	1997-07-31	VYDAJ	VYBER	15	17748	SLUZBY	\N	\N
883529	3009	1997-08-31	VYDAJ	VYBER	15	19181	SLUZBY	\N	\N
883530	3009	1997-09-30	VYDAJ	VYBER	15	18139	SLUZBY	\N	\N
883531	3009	1997-10-31	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
883532	3009	1997-11-30	VYDAJ	VYBER	15	21014	SLUZBY	\N	\N
883533	3009	1997-12-31	VYDAJ	VYBER	15	20858	SLUZBY	\N	\N
883534	3009	1998-01-31	VYDAJ	VYBER	15	21344	SLUZBY	\N	\N
883535	3009	1998-02-28	VYDAJ	VYBER	15	22791	SLUZBY	\N	\N
883536	3009	1998-03-31	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
883537	3009	1998-04-30	VYDAJ	VYBER	15	24583	SLUZBY	\N	\N
883538	3009	1998-05-31	VYDAJ	VYBER	15	23959	SLUZBY	\N	\N
883540	3009	1998-07-31	VYDAJ	VYBER	15	20372	SLUZBY	\N	\N
883541	3009	1998-08-31	VYDAJ	VYBER	15	21816	SLUZBY	\N	\N
883542	3009	1998-09-30	VYDAJ	VYBER	15	23265	SLUZBY	\N	\N
883543	3009	1998-10-31	VYDAJ	VYBER	15	24721	SLUZBY	\N	\N
883544	3009	1998-11-30	VYDAJ	VYBER	15	22814	SLUZBY	\N	\N
883576	3010	1995-09-13	PRIJEM	VKLAD	800	800	\N	\N	\N
883578	3010	1995-10-24	PRIJEM	VKLAD	10310	25310	\N	\N	\N
883579	3010	1996-07-29	PRIJEM	VKLAD	7569	43250	\N	\N	\N
883580	3010	1996-09-08	PRIJEM	VKLAD	6014	43857	\N	\N	\N
883581	3010	1997-07-01	PRIJEM	VKLAD	32110	67793	\N	\N	\N
883582	3010	1997-07-21	PRIJEM	VKLAD	27786	83279	\N	\N	\N
883583	3010	1998-03-27	PRIJEM	VKLAD	20144	66813	\N	\N	\N
883584	3010	1998-09-03	PRIJEM	VKLAD	16860	75899	\N	\N	\N
883588	3010	1998-06-07	VYDAJ	VYBER	27100	25451	\N	\N	\N
883600	3010	1997-07-23	VYDAJ	VYBER KARTOU	1200	82079	\N	\N	0
883602	3010	1997-12-23	VYDAJ	VYBER KARTOU	300	43333	\N	\N	0
883604	3010	1997-10-26	VYDAJ	VYBER KARTOU	300	43083	\N	\N	0
883605	3010	1998-04-20	VYDAJ	VYBER KARTOU	1900	57401	\N	\N	0
883606	3010	1998-07-16	VYDAJ	VYBER KARTOU	2300	42554	\N	\N	0
883607	3010	1998-02-23	VYDAJ	VYBER KARTOU	1300	45089	\N	\N	0
883608	3010	1998-04-17	VYDAJ	VYBER KARTOU	2000	59301	\N	\N	0
883640	3010	1997-07-31	VYDAJ	VYBER	15	82331	SLUZBY	\N	\N
883641	3010	1997-08-31	VYDAJ	VYBER	15	58256	SLUZBY	\N	\N
883642	3010	1997-09-30	VYDAJ	VYBER	15	49083	SLUZBY	\N	\N
883643	3010	1997-10-31	VYDAJ	VYBER	15	43268	SLUZBY	\N	\N
883644	3010	1997-11-30	VYDAJ	VYBER	15	44933	SLUZBY	\N	\N
883645	3010	1997-12-31	VYDAJ	VYBER	15	43504	SLUZBY	\N	\N
883646	3010	1998-01-31	VYDAJ	VYBER	15	46389	SLUZBY	\N	\N
883647	3010	1998-02-28	VYDAJ	VYBER	15	45469	SLUZBY	\N	\N
883648	3010	1998-03-31	VYDAJ	VYBER	15	61301	SLUZBY	\N	\N
883649	3010	1998-04-30	VYDAJ	VYBER	15	55336	SLUZBY	\N	\N
883650	3010	1998-05-31	VYDAJ	VYBER	15	52551	SLUZBY	\N	\N
883651	3010	1998-06-30	VYDAJ	VYBER	15	44854	SLUZBY	\N	\N
883652	3010	1998-07-31	VYDAJ	VYBER	15	53629	SLUZBY	\N	\N
883653	3010	1998-08-31	VYDAJ	VYBER	15	59039	SLUZBY	\N	\N
883654	3010	1998-09-30	VYDAJ	VYBER	15	75239	SLUZBY	\N	\N
883655	3010	1998-10-31	VYDAJ	VYBER	15	79539	SLUZBY	\N	\N
883656	3010	1998-11-30	VYDAJ	VYBER	15	81055	SLUZBY	\N	\N
883657	3010	1995-10-13	PRIJEM	VKLAD	14200	15000	\N	\N	\N
883658	3010	1995-11-12	PRIJEM	VKLAD	2200	27537	\N	\N	\N
883659	3010	1995-12-12	PRIJEM	VKLAD	600	28243	\N	\N	\N
883660	3010	1996-01-11	VYDAJ	VYBER	1400	26948	\N	\N	\N
883661	3010	1996-02-10	PRIJEM	VKLAD	2600	29654	\N	\N	\N
883662	3010	1996-03-11	PRIJEM	VKLAD	1100	30859	\N	\N	\N
883663	3010	1996-04-10	PRIJEM	VKLAD	1800	32765	\N	\N	\N
883664	3010	1996-05-10	VYDAJ	VYBER	100	32770	\N	\N	\N
883665	3010	1996-06-09	PRIJEM	VKLAD	2500	35375	\N	\N	\N
883666	3010	1996-07-09	PRIJEM	VKLAD	200	35681	\N	\N	\N
883667	3010	1996-08-08	VYDAJ	VYBER	800	42563	\N	\N	\N
883668	3010	1996-09-07	VYDAJ	VYBER	4900	37843	\N	\N	\N
883669	3010	1996-10-07	VYDAJ	VYBER	1300	42739	\N	\N	\N
883670	3010	1996-11-06	VYDAJ	VYBER	3100	39822	\N	\N	\N
883671	3010	1996-12-06	VYDAJ	VYBER	200	39804	\N	\N	\N
883672	3010	1997-01-05	VYDAJ	VYBER	2600	37387	\N	\N	\N
883673	3010	1997-02-04	PRIJEM	VKLAD	1400	38970	\N	\N	\N
883674	3010	1997-03-06	VYDAJ	VYBER	700	38452	\N	\N	\N
883675	3010	1997-04-05	PRIJEM	VKLAD	1200	39835	\N	\N	\N
883676	3010	1997-05-05	VYDAJ	VYBER	1600	38418	\N	\N	\N
883677	3010	1997-06-04	VYDAJ	VYBER KARTOU	3100	35501	\N	\N	0
883678	3010	1997-07-04	VYDAJ	VYBER	12300	55493	\N	\N	\N
883679	3010	1997-08-03	VYDAJ	VYBER	24400	57931	\N	\N	\N
883680	3010	1997-09-02	VYDAJ	VYBER	9400	48856	\N	\N	\N
883681	3010	1997-10-02	VYDAJ	VYBER	5700	43383	\N	\N	\N
883682	3010	1997-11-01	PRIJEM	VKLAD	1500	44768	\N	\N	\N
883683	3010	1997-12-01	VYDAJ	VYBER KARTOU	1300	43633	\N	\N	0
883684	3010	1998-01-30	PRIJEM	VKLAD	2900	46404	\N	\N	\N
883685	3010	1998-03-01	PRIJEM	VKLAD	1200	46669	\N	\N	\N
883686	3010	1998-03-31	VYDAJ	VYBER	5700	61316	\N	\N	\N
883687	3010	1998-04-30	VYDAJ	VYBER KARTOU	2300	55350	\N	\N	0
883688	3010	1998-05-30	VYDAJ	VYBER KARTOU	3000	52336	\N	\N	0
883689	3010	1998-06-29	PRIJEM	VKLAD	19200	44651	\N	\N	\N
883690	3010	1998-07-29	PRIJEM	VKLAD	10900	53454	\N	\N	\N
883691	3010	1998-08-28	PRIJEM	VKLAD	5200	58829	\N	\N	\N
883692	3010	1998-09-27	VYDAJ	VYBER KARTOU	900	74999	\N	\N	0
883693	3010	1998-10-27	PRIJEM	VKLAD	4000	79239	\N	\N	\N
883694	3010	1998-11-26	PRIJEM	VKLAD	1200	80739	\N	\N	\N
883733	3011	1993-09-01	PRIJEM	VKLAD	400	400	\N	\N	\N
883742	3011	1993-09-12	PRIJEM	PREVOD Z UCTU	3271	3671	\N	YZ	3565776
883743	3011	1993-10-12	PRIJEM	PREVOD Z UCTU	3271	6952	\N	YZ	3565776
883744	3011	1993-11-12	PRIJEM	PREVOD Z UCTU	3271	10238	\N	YZ	3565776
883745	3011	1993-12-12	PRIJEM	PREVOD Z UCTU	3271	13524	\N	YZ	3565776
883746	3011	1994-01-12	PRIJEM	PREVOD Z UCTU	3271	16811	\N	YZ	3565776
883747	3011	1994-02-12	PRIJEM	PREVOD Z UCTU	3271	15468	\N	YZ	3565776
883748	3011	1994-03-12	PRIJEM	PREVOD Z UCTU	3271	16598	\N	YZ	3565776
883749	3011	1994-04-12	PRIJEM	PREVOD Z UCTU	3271	16052	\N	YZ	3565776
883750	3011	1994-05-12	PRIJEM	PREVOD Z UCTU	3271	16345	\N	YZ	3565776
883751	3011	1994-06-12	PRIJEM	PREVOD Z UCTU	3271	17480	\N	YZ	3565776
883752	3011	1994-07-12	PRIJEM	PREVOD Z UCTU	3271	17508	\N	YZ	3565776
883753	3011	1994-08-12	PRIJEM	PREVOD Z UCTU	3271	18407	\N	YZ	3565776
883754	3011	1994-09-12	PRIJEM	PREVOD Z UCTU	3271	19550	\N	YZ	3565776
883755	3011	1994-10-12	PRIJEM	PREVOD Z UCTU	3271	19556	\N	YZ	3565776
883756	3011	1994-11-12	PRIJEM	PREVOD Z UCTU	3271	20703	\N	YZ	3565776
883757	3011	1994-12-12	PRIJEM	PREVOD Z UCTU	3271	20805	\N	YZ	3565776
883758	3011	1995-01-12	PRIJEM	PREVOD Z UCTU	3271	20347	\N	YZ	3565776
883759	3011	1995-02-12	PRIJEM	PREVOD Z UCTU	3271	17204	\N	YZ	3565776
883760	3011	1995-03-12	PRIJEM	PREVOD Z UCTU	3271	18341	\N	YZ	3565776
883761	3011	1995-04-12	PRIJEM	PREVOD Z UCTU	3271	19083	\N	YZ	3565776
883762	3011	1995-05-12	PRIJEM	PREVOD Z UCTU	3271	20228	\N	YZ	3565776
883763	3011	1995-06-12	PRIJEM	PREVOD Z UCTU	3271	20087	\N	YZ	3565776
883764	3011	1995-07-12	PRIJEM	PREVOD Z UCTU	3271	17492	\N	YZ	3565776
883765	3011	1995-08-12	PRIJEM	PREVOD Z UCTU	3271	18631	\N	YZ	3565776
883766	3011	1995-09-12	PRIJEM	PREVOD Z UCTU	3271	15078	\N	YZ	3565776
883767	3011	1995-10-12	PRIJEM	PREVOD Z UCTU	3271	16206	\N	YZ	3565776
883768	3011	1995-11-12	PRIJEM	PREVOD Z UCTU	3271	15237	\N	YZ	3565776
883769	3011	1995-12-12	PRIJEM	PREVOD Z UCTU	3271	16366	\N	YZ	3565776
883770	3011	1996-01-12	PRIJEM	PREVOD Z UCTU	3271	16870	\N	YZ	3565776
883771	3011	1996-02-12	PRIJEM	PREVOD Z UCTU	3271	16624	\N	YZ	3565776
883772	3011	1996-03-12	PRIJEM	PREVOD Z UCTU	3271	17759	\N	YZ	3565776
883773	3011	1996-04-12	PRIJEM	PREVOD Z UCTU	3271	18898	\N	YZ	3565776
883774	3011	1996-05-12	PRIJEM	PREVOD Z UCTU	3271	18020	\N	YZ	3565776
883775	3011	1996-06-12	PRIJEM	PREVOD Z UCTU	3271	18660	\N	YZ	3565776
883776	3011	1996-07-12	PRIJEM	PREVOD Z UCTU	3271	15262	\N	YZ	3565776
883777	3011	1996-08-12	PRIJEM	PREVOD Z UCTU	3271	16391	\N	YZ	3565776
883778	3011	1996-09-12	PRIJEM	PREVOD Z UCTU	3271	17525	\N	YZ	3565776
883779	3011	1996-10-12	PRIJEM	PREVOD Z UCTU	3271	16548	\N	YZ	3565776
883780	3011	1996-11-12	PRIJEM	PREVOD Z UCTU	3271	17382	\N	YZ	3565776
883781	3011	1996-12-12	PRIJEM	PREVOD Z UCTU	3271	17317	\N	YZ	3565776
883782	3011	1997-01-12	PRIJEM	PREVOD Z UCTU	3271	17315	\N	YZ	3565776
883783	3011	1997-02-12	PRIJEM	PREVOD Z UCTU	3271	17231	\N	YZ	3565776
883784	3011	1997-03-12	PRIJEM	PREVOD Z UCTU	3271	15260	\N	YZ	3565776
883785	3011	1997-04-12	PRIJEM	PREVOD Z UCTU	3271	16389	\N	YZ	3565776
883786	3011	1997-05-12	PRIJEM	PREVOD Z UCTU	3271	16622	\N	YZ	3565776
883787	3011	1997-06-12	PRIJEM	PREVOD Z UCTU	3271	17757	\N	YZ	3565776
883788	3011	1997-07-12	PRIJEM	PREVOD Z UCTU	3271	15287	\N	YZ	3565776
883789	3011	1997-08-12	PRIJEM	PREVOD Z UCTU	3271	16416	\N	YZ	3565776
883790	3011	1997-09-12	PRIJEM	PREVOD Z UCTU	3271	17549	\N	YZ	3565776
883791	3011	1997-10-12	PRIJEM	PREVOD Z UCTU	3271	17787	\N	YZ	3565776
883792	3011	1997-11-12	PRIJEM	PREVOD Z UCTU	3271	18417	\N	YZ	3565776
883793	3011	1997-12-12	PRIJEM	PREVOD Z UCTU	3271	16560	\N	YZ	3565776
883794	3011	1998-01-12	PRIJEM	PREVOD Z UCTU	3271	17698	\N	YZ	3565776
883795	3011	1998-02-12	PRIJEM	PREVOD Z UCTU	3271	17876	\N	YZ	3565776
883796	3011	1998-03-12	PRIJEM	PREVOD Z UCTU	3271	16715	\N	YZ	3565776
883797	3011	1998-04-12	PRIJEM	PREVOD Z UCTU	3271	17852	\N	YZ	3565776
883798	3011	1998-05-12	PRIJEM	PREVOD Z UCTU	3271	17761	\N	YZ	3565776
883799	3011	1998-06-12	PRIJEM	PREVOD Z UCTU	3271	18150	\N	YZ	3565776
883800	3011	1998-07-12	PRIJEM	PREVOD Z UCTU	3271	18390	\N	YZ	3565776
883801	3011	1998-08-12	PRIJEM	PREVOD Z UCTU	3271	19533	\N	YZ	3565776
883802	3011	1998-09-12	PRIJEM	PREVOD Z UCTU	3271	20679	\N	YZ	3565776
883803	3011	1998-10-12	PRIJEM	PREVOD Z UCTU	3271	20899	\N	YZ	3565776
883804	3011	1998-11-12	PRIJEM	PREVOD Z UCTU	3271	22052	\N	YZ	3565776
883805	3011	1998-12-12	PRIJEM	PREVOD Z UCTU	3271	23208	\N	YZ	3565776
883818	3011	1994-01-13	VYDAJ	PREVOD NA UCET	2042	14631	SIPO	GH	88863443
883819	3011	1994-02-13	VYDAJ	PREVOD NA UCET	2042	13288	SIPO	GH	88863443
883820	3011	1994-03-13	VYDAJ	PREVOD NA UCET	2042	14418	SIPO	GH	88863443
883821	3011	1994-04-13	VYDAJ	PREVOD NA UCET	2042	13872	SIPO	GH	88863443
883822	3011	1994-05-13	VYDAJ	PREVOD NA UCET	2042	14165	SIPO	GH	88863443
883823	3011	1994-06-13	VYDAJ	PREVOD NA UCET	2042	15300	SIPO	GH	88863443
883824	3011	1994-07-13	VYDAJ	PREVOD NA UCET	2042	15328	SIPO	GH	88863443
883825	3011	1994-08-13	VYDAJ	PREVOD NA UCET	2042	16227	SIPO	GH	88863443
883826	3011	1994-09-13	VYDAJ	PREVOD NA UCET	2042	17370	SIPO	GH	88863443
883827	3011	1994-10-13	VYDAJ	PREVOD NA UCET	2042	17376	SIPO	GH	88863443
883828	3011	1994-11-13	VYDAJ	PREVOD NA UCET	2042	18523	SIPO	GH	88863443
883829	3011	1994-12-13	VYDAJ	PREVOD NA UCET	2042	18625	SIPO	GH	88863443
883830	3011	1995-01-13	VYDAJ	PREVOD NA UCET	2042	17717	SIPO	GH	88863443
883831	3011	1995-02-13	VYDAJ	PREVOD NA UCET	2042	15024	SIPO	GH	88863443
883832	3011	1995-03-13	VYDAJ	PREVOD NA UCET	2042	16161	SIPO	GH	88863443
883833	3011	1995-04-13	VYDAJ	PREVOD NA UCET	2042	16903	SIPO	GH	88863443
883834	3011	1995-05-13	VYDAJ	PREVOD NA UCET	2042	18048	SIPO	GH	88863443
883835	3011	1995-06-13	VYDAJ	PREVOD NA UCET	2042	16947	SIPO	GH	88863443
883836	3011	1995-07-13	VYDAJ	PREVOD NA UCET	2042	15312	SIPO	GH	88863443
883837	3011	1995-08-13	VYDAJ	PREVOD NA UCET	2042	16451	SIPO	GH	88863443
883838	3011	1995-09-13	VYDAJ	PREVOD NA UCET	2042	12898	SIPO	GH	88863443
883839	3011	1995-10-13	VYDAJ	PREVOD NA UCET	2042	14026	SIPO	GH	88863443
883840	3011	1995-11-13	VYDAJ	PREVOD NA UCET	2042	13057	SIPO	GH	88863443
883841	3011	1995-12-13	VYDAJ	PREVOD NA UCET	2042	14186	SIPO	GH	88863443
883842	3011	1996-01-13	VYDAJ	PREVOD NA UCET	2042	14690	SIPO	GH	88863443
883843	3011	1996-02-13	VYDAJ	PREVOD NA UCET	2042	14444	SIPO	GH	88863443
883844	3011	1996-03-13	VYDAJ	PREVOD NA UCET	2042	15579	SIPO	GH	88863443
883845	3011	1996-04-13	VYDAJ	PREVOD NA UCET	2042	16718	SIPO	GH	88863443
883846	3011	1996-05-13	VYDAJ	PREVOD NA UCET	2042	15840	SIPO	GH	88863443
883847	3011	1996-06-13	VYDAJ	PREVOD NA UCET	2042	11950	SIPO	GH	88863443
883848	3011	1996-07-13	VYDAJ	PREVOD NA UCET	2042	13082	SIPO	GH	88863443
883849	3011	1996-08-13	VYDAJ	PREVOD NA UCET	2042	14211	SIPO	GH	88863443
883850	3011	1996-09-13	VYDAJ	PREVOD NA UCET	2042	15135	SIPO	GH	88863443
883851	3011	1996-10-13	VYDAJ	PREVOD NA UCET	2042	14368	SIPO	GH	88863443
883852	3011	1996-11-13	VYDAJ	PREVOD NA UCET	2042	15202	SIPO	GH	88863443
883853	3011	1996-12-13	VYDAJ	PREVOD NA UCET	2042	15137	SIPO	GH	88863443
883854	3011	1997-01-13	VYDAJ	PREVOD NA UCET	2042	15135	SIPO	GH	88863443
883855	3011	1997-02-13	VYDAJ	PREVOD NA UCET	2042	11951	SIPO	GH	88863443
883856	3011	1997-03-13	VYDAJ	PREVOD NA UCET	2042	13080	SIPO	GH	88863443
883857	3011	1997-04-13	VYDAJ	PREVOD NA UCET	2042	14209	SIPO	GH	88863443
883858	3011	1997-05-13	VYDAJ	PREVOD NA UCET	2042	14442	SIPO	GH	88863443
883859	3011	1997-06-13	VYDAJ	PREVOD NA UCET	2042	11977	SIPO	GH	88863443
883860	3011	1997-07-13	VYDAJ	PREVOD NA UCET	2042	13107	SIPO	GH	88863443
883861	3011	1997-08-13	VYDAJ	PREVOD NA UCET	2042	14236	SIPO	GH	88863443
883862	3011	1997-09-13	VYDAJ	PREVOD NA UCET	2042	15369	SIPO	GH	88863443
883863	3011	1997-10-13	VYDAJ	PREVOD NA UCET	2042	15607	SIPO	GH	88863443
883864	3011	1997-11-13	VYDAJ	PREVOD NA UCET	2042	16237	SIPO	GH	88863443
883865	3011	1997-12-13	VYDAJ	PREVOD NA UCET	2042	14380	SIPO	GH	88863443
883866	3011	1998-01-13	VYDAJ	PREVOD NA UCET	2042	15518	SIPO	GH	88863443
883867	3011	1998-02-13	VYDAJ	PREVOD NA UCET	2042	15696	SIPO	GH	88863443
883868	3011	1998-03-13	VYDAJ	PREVOD NA UCET	2042	14535	SIPO	GH	88863443
883869	3011	1998-04-13	VYDAJ	PREVOD NA UCET	2042	15672	SIPO	GH	88863443
883870	3011	1998-05-13	VYDAJ	PREVOD NA UCET	2042	15581	SIPO	GH	88863443
883871	3011	1998-06-13	VYDAJ	PREVOD NA UCET	2042	15970	SIPO	GH	88863443
883872	3011	1998-07-13	VYDAJ	PREVOD NA UCET	2042	16210	SIPO	GH	88863443
883873	3011	1998-08-13	VYDAJ	PREVOD NA UCET	2042	17353	SIPO	GH	88863443
883874	3011	1998-09-13	VYDAJ	PREVOD NA UCET	2042	18499	SIPO	GH	88863443
883875	3011	1998-10-13	VYDAJ	PREVOD NA UCET	2042	18719	SIPO	GH	88863443
883876	3011	1998-11-13	VYDAJ	PREVOD NA UCET	2042	19872	SIPO	GH	88863443
883877	3011	1998-12-13	VYDAJ	PREVOD NA UCET	2042	21028	SIPO	GH	88863443
883890	3011	1994-01-12	VYDAJ	PREVOD NA UCET	138	16673	 	WX	47335153
883891	3011	1994-02-12	VYDAJ	PREVOD NA UCET	138	15330	 	WX	47335153
883892	3011	1994-03-12	VYDAJ	PREVOD NA UCET	138	16460	 	WX	47335153
883893	3011	1994-04-12	VYDAJ	PREVOD NA UCET	138	15914	 	WX	47335153
883894	3011	1994-05-12	VYDAJ	PREVOD NA UCET	138	16207	 	WX	47335153
883895	3011	1994-06-12	VYDAJ	PREVOD NA UCET	138	17342	 	WX	47335153
883896	3011	1994-07-12	VYDAJ	PREVOD NA UCET	138	17370	 	WX	47335153
883897	3011	1994-08-12	VYDAJ	PREVOD NA UCET	138	18269	 	WX	47335153
883898	3011	1994-09-12	VYDAJ	PREVOD NA UCET	138	19412	 	WX	47335153
883899	3011	1994-10-12	VYDAJ	PREVOD NA UCET	138	19418	 	WX	47335153
883900	3011	1994-11-12	VYDAJ	PREVOD NA UCET	138	20565	 	WX	47335153
883901	3011	1994-12-12	VYDAJ	PREVOD NA UCET	138	20667	 	WX	47335153
883902	3011	1995-01-12	VYDAJ	PREVOD NA UCET	138	19759	 	WX	47335153
883903	3011	1995-02-12	VYDAJ	PREVOD NA UCET	138	17066	 	WX	47335153
883904	3011	1995-03-12	VYDAJ	PREVOD NA UCET	138	18203	 	WX	47335153
883905	3011	1995-04-12	VYDAJ	PREVOD NA UCET	138	18945	 	WX	47335153
883906	3011	1995-05-12	VYDAJ	PREVOD NA UCET	138	20090	 	WX	47335153
883907	3011	1995-06-12	VYDAJ	PREVOD NA UCET	138	18989	 	WX	47335153
883908	3011	1995-07-12	VYDAJ	PREVOD NA UCET	138	17354	 	WX	47335153
883909	3011	1995-08-12	VYDAJ	PREVOD NA UCET	138	18493	 	WX	47335153
883910	3011	1995-09-12	VYDAJ	PREVOD NA UCET	138	14940	 	WX	47335153
883911	3011	1995-10-12	VYDAJ	PREVOD NA UCET	138	16068	 	WX	47335153
883912	3011	1995-11-12	VYDAJ	PREVOD NA UCET	138	15099	 	WX	47335153
883913	3011	1995-12-12	VYDAJ	PREVOD NA UCET	138	16228	 	WX	47335153
883914	3011	1996-01-12	VYDAJ	PREVOD NA UCET	138	16732	 	WX	47335153
883915	3011	1996-02-12	VYDAJ	PREVOD NA UCET	138	16486	 	WX	47335153
883916	3011	1996-03-12	VYDAJ	PREVOD NA UCET	138	17621	 	WX	47335153
883917	3011	1996-04-12	VYDAJ	PREVOD NA UCET	138	18760	 	WX	47335153
883918	3011	1996-05-12	VYDAJ	PREVOD NA UCET	138	17882	 	WX	47335153
883919	3011	1996-06-12	VYDAJ	PREVOD NA UCET	138	13992	 	WX	47335153
883920	3011	1996-07-12	VYDAJ	PREVOD NA UCET	138	15124	 	WX	47335153
883921	3011	1996-08-12	VYDAJ	PREVOD NA UCET	138	16253	 	WX	47335153
883922	3011	1996-09-12	VYDAJ	PREVOD NA UCET	138	17387	 	WX	47335153
883923	3011	1996-10-12	VYDAJ	PREVOD NA UCET	138	16410	 	WX	47335153
883924	3011	1996-11-12	VYDAJ	PREVOD NA UCET	138	17244	 	WX	47335153
883925	3011	1996-12-12	VYDAJ	PREVOD NA UCET	138	17179	 	WX	47335153
883926	3011	1997-01-12	VYDAJ	PREVOD NA UCET	138	17177	 	WX	47335153
883927	3011	1997-02-12	VYDAJ	PREVOD NA UCET	138	13993	 	WX	47335153
883928	3011	1997-03-12	VYDAJ	PREVOD NA UCET	138	15122	 	WX	47335153
883929	3011	1997-04-12	VYDAJ	PREVOD NA UCET	138	16251	 	WX	47335153
883930	3011	1997-05-12	VYDAJ	PREVOD NA UCET	138	16484	 	WX	47335153
883931	3011	1997-06-12	VYDAJ	PREVOD NA UCET	138	17619	 	WX	47335153
883932	3011	1997-07-12	VYDAJ	PREVOD NA UCET	138	15149	 	WX	47335153
883933	3011	1997-08-12	VYDAJ	PREVOD NA UCET	138	16278	 	WX	47335153
883934	3011	1997-09-12	VYDAJ	PREVOD NA UCET	138	17411	 	WX	47335153
883935	3011	1997-10-12	VYDAJ	PREVOD NA UCET	138	17649	 	WX	47335153
883936	3011	1997-11-12	VYDAJ	PREVOD NA UCET	138	18279	 	WX	47335153
883937	3011	1997-12-12	VYDAJ	PREVOD NA UCET	138	16422	 	WX	47335153
883938	3011	1998-01-12	VYDAJ	PREVOD NA UCET	138	17560	 	WX	47335153
883939	3011	1998-02-12	VYDAJ	PREVOD NA UCET	138	17738	 	WX	47335153
883940	3011	1998-03-12	VYDAJ	PREVOD NA UCET	138	16577	 	WX	47335153
883941	3011	1998-04-12	VYDAJ	PREVOD NA UCET	138	17714	 	WX	47335153
883942	3011	1998-05-12	VYDAJ	PREVOD NA UCET	138	17623	 	WX	47335153
883943	3011	1998-06-12	VYDAJ	PREVOD NA UCET	138	18012	 	WX	47335153
883944	3011	1998-07-12	VYDAJ	PREVOD NA UCET	138	18252	 	WX	47335153
883945	3011	1998-08-12	VYDAJ	PREVOD NA UCET	138	19395	 	WX	47335153
883946	3011	1998-09-12	VYDAJ	PREVOD NA UCET	138	20541	 	WX	47335153
883947	3011	1998-10-12	VYDAJ	PREVOD NA UCET	138	20761	 	WX	47335153
883948	3011	1998-11-12	VYDAJ	PREVOD NA UCET	138	21914	 	WX	47335153
883949	3011	1998-12-12	VYDAJ	PREVOD NA UCET	138	23070	 	WX	47335153
883952	3011	1995-06-12	VYDAJ	VYBER	960	19127	\N	\N	\N
883953	3011	1996-06-12	VYDAJ	VYBER	4530	14130	\N	\N	\N
883958	3011	1995-01-28	VYDAJ	VYBER	1320	14627	\N	\N	\N
883963	3011	1994-12-18	VYDAJ	VYBER	420	18205	\N	\N	\N
883967	3011	1998-12-17	VYDAJ	VYBER	870	20158	\N	\N	\N
883975	3011	1994-01-14	VYDAJ	VYBER	480	14151	\N	\N	\N
883976	3011	1994-01-22	VYDAJ	VYBER	840	12171	\N	\N	\N
883977	3011	1994-01-20	VYDAJ	VYBER	570	13161	\N	\N	\N
883978	3011	1994-01-21	VYDAJ	VYBER	150	13011	\N	\N	\N
883979	3011	1994-01-15	VYDAJ	VYBER	420	13731	\N	\N	\N
883980	3011	1995-01-20	VYDAJ	VYBER	870	16847	\N	\N	\N
883981	3011	1995-01-01	VYDAJ	VYBER	300	17766	\N	\N	\N
883982	3011	1995-01-09	VYDAJ	VYBER	480	17076	\N	\N	\N
883983	3011	1995-01-12	VYDAJ	VYBER	450	19897	\N	\N	\N
883984	3011	1995-01-30	VYDAJ	VYBER	750	13877	\N	\N	\N
883985	3011	1995-01-05	VYDAJ	VYBER	210	17556	\N	\N	\N
883988	3011	1996-01-19	VYDAJ	VYBER	150	13310	\N	\N	\N
883991	3011	1996-01-05	VYDAJ	VYBER	630	13599	\N	\N	\N
883993	3011	1997-01-17	VYDAJ	VYBER	600	14335	\N	\N	\N
883994	3011	1997-01-19	VYDAJ	VYBER	420	13915	\N	\N	\N
883995	3011	1997-01-04	VYDAJ	VYBER	540	14044	\N	\N	\N
883996	3011	1997-01-04	VYDAJ	VYBER	600	14584	\N	\N	\N
884001	3011	1998-01-24	VYDAJ	VYBER	450	14558	\N	\N	\N
884002	3011	1998-01-23	VYDAJ	VYBER	510	15008	\N	\N	\N
884008	3011	1994-05-10	VYDAJ	VYBER	840	13074	\N	\N	\N
884009	3011	1994-07-30	VYDAJ	VYBER	240	15088	\N	\N	\N
884010	3011	1994-11-26	VYDAJ	VYBER	1050	17473	\N	\N	\N
884011	3011	1994-03-25	VYDAJ	VYBER	1050	13368	\N	\N	\N
884012	3011	1994-09-25	VYDAJ	VYBER	1140	16230	\N	\N	\N
884013	3011	1994-03-31	VYDAJ	VYBER	630	12796	\N	\N	\N
884014	3011	1994-06-26	VYDAJ	VYBER	1110	14190	\N	\N	\N
884017	3011	1995-05-25	VYDAJ	VYBER	1290	16758	\N	\N	\N
884019	3011	1995-08-18	VYDAJ	VYBER	390	16061	\N	\N	\N
884020	3011	1995-07-02	VYDAJ	VYBER	480	14221	\N	\N	\N
884022	3011	1996-09-13	VYDAJ	VYBER	210	17177	\N	\N	\N
884023	3011	1996-01-17	VYDAJ	VYBER	1230	13460	\N	\N	\N
884024	3011	1996-04-24	VYDAJ	VYBER	330	15388	\N	\N	\N
884025	3011	1996-04-28	VYDAJ	VYBER	690	14698	\N	\N	\N
884028	3011	1997-11-06	VYDAJ	VYBER	510	15146	\N	\N	\N
884031	3011	1997-10-10	VYDAJ	VYBER	900	14516	\N	\N	\N
884034	3011	1998-07-07	VYDAJ	VYBER	900	15119	\N	\N	\N
884035	3011	1998-05-07	VYDAJ	VYBER	1230	14490	\N	\N	\N
884036	3011	1998-09-30	VYDAJ	VYBER	930	17628	\N	\N	\N
884037	3011	1998-05-15	VYDAJ	VYBER	750	14831	\N	\N	\N
884051	3011	1994-01-31	VYDAJ	VYBER	15	12197	SLUZBY	\N	\N
884052	3011	1994-02-28	VYDAJ	VYBER	15	13327	SLUZBY	\N	\N
884053	3011	1994-03-31	VYDAJ	VYBER	15	12781	SLUZBY	\N	\N
884054	3011	1994-04-30	VYDAJ	VYBER	15	13914	SLUZBY	\N	\N
884055	3011	1994-05-31	VYDAJ	VYBER	15	14209	SLUZBY	\N	\N
884056	3011	1994-06-30	VYDAJ	VYBER	15	14237	SLUZBY	\N	\N
884057	3011	1994-07-31	VYDAJ	VYBER	15	15136	SLUZBY	\N	\N
884058	3011	1994-08-31	VYDAJ	VYBER	15	16279	SLUZBY	\N	\N
884059	3011	1994-09-30	VYDAJ	VYBER	15	16285	SLUZBY	\N	\N
884060	3011	1994-10-31	VYDAJ	VYBER	15	17432	SLUZBY	\N	\N
884061	3011	1994-11-30	VYDAJ	VYBER	15	17534	SLUZBY	\N	\N
884062	3011	1994-12-31	VYDAJ	VYBER	15	18066	SLUZBY	\N	\N
884063	3011	1995-01-31	VYDAJ	VYBER	15	13933	SLUZBY	\N	\N
884064	3011	1995-02-28	VYDAJ	VYBER	15	15070	SLUZBY	\N	\N
884065	3011	1995-03-31	VYDAJ	VYBER	15	15812	SLUZBY	\N	\N
884066	3011	1995-04-30	VYDAJ	VYBER	15	16957	SLUZBY	\N	\N
884067	3011	1995-05-31	VYDAJ	VYBER	15	16816	SLUZBY	\N	\N
884068	3011	1995-06-30	VYDAJ	VYBER	15	14701	SLUZBY	\N	\N
884069	3011	1995-07-31	VYDAJ	VYBER	15	15360	SLUZBY	\N	\N
884070	3011	1995-08-31	VYDAJ	VYBER	15	11807	SLUZBY	\N	\N
884071	3011	1995-09-30	VYDAJ	VYBER	15	12935	SLUZBY	\N	\N
884072	3011	1995-10-31	VYDAJ	VYBER	15	11966	SLUZBY	\N	\N
884073	3011	1995-11-30	VYDAJ	VYBER	15	13095	SLUZBY	\N	\N
884074	3011	1995-12-31	VYDAJ	VYBER	15	14229	SLUZBY	\N	\N
884075	3011	1996-01-31	VYDAJ	VYBER	15	13353	SLUZBY	\N	\N
884076	3011	1996-02-29	VYDAJ	VYBER	15	14488	SLUZBY	\N	\N
884077	3011	1996-03-31	VYDAJ	VYBER	15	15627	SLUZBY	\N	\N
884078	3011	1996-04-30	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
884079	3011	1996-05-31	VYDAJ	VYBER	15	15389	SLUZBY	\N	\N
884080	3011	1996-06-30	VYDAJ	VYBER	15	11991	SLUZBY	\N	\N
884081	3011	1996-07-31	VYDAJ	VYBER	15	13120	SLUZBY	\N	\N
884082	3011	1996-08-31	VYDAJ	VYBER	15	14254	SLUZBY	\N	\N
884083	3011	1996-09-30	VYDAJ	VYBER	15	13277	SLUZBY	\N	\N
884084	3011	1996-10-31	VYDAJ	VYBER	15	14111	SLUZBY	\N	\N
884085	3011	1996-11-30	VYDAJ	VYBER	15	14046	SLUZBY	\N	\N
884086	3011	1996-12-31	VYDAJ	VYBER	15	15184	SLUZBY	\N	\N
884087	3011	1997-01-31	VYDAJ	VYBER	15	13960	SLUZBY	\N	\N
884088	3011	1997-02-28	VYDAJ	VYBER	15	11989	SLUZBY	\N	\N
884089	3011	1997-03-31	VYDAJ	VYBER	15	13118	SLUZBY	\N	\N
884090	3011	1997-04-30	VYDAJ	VYBER	15	13351	SLUZBY	\N	\N
884091	3011	1997-05-31	VYDAJ	VYBER	15	14486	SLUZBY	\N	\N
884092	3011	1997-06-30	VYDAJ	VYBER	15	12016	SLUZBY	\N	\N
884093	3011	1997-07-31	VYDAJ	VYBER	15	13145	SLUZBY	\N	\N
884094	3011	1997-08-31	VYDAJ	VYBER	15	14278	SLUZBY	\N	\N
884095	3011	1997-09-30	VYDAJ	VYBER	15	15416	SLUZBY	\N	\N
884096	3011	1997-10-31	VYDAJ	VYBER	15	15656	SLUZBY	\N	\N
884097	3011	1997-11-30	VYDAJ	VYBER	15	16289	SLUZBY	\N	\N
884098	3011	1997-12-31	VYDAJ	VYBER	15	14427	SLUZBY	\N	\N
884099	3011	1998-01-31	VYDAJ	VYBER	15	14605	SLUZBY	\N	\N
884100	3011	1998-02-28	VYDAJ	VYBER	15	15744	SLUZBY	\N	\N
884101	3011	1998-03-31	VYDAJ	VYBER	15	14581	SLUZBY	\N	\N
884102	3011	1998-04-30	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
884103	3011	1998-05-31	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
884104	3011	1998-06-30	VYDAJ	VYBER	15	16019	SLUZBY	\N	\N
884105	3011	1998-07-31	VYDAJ	VYBER	15	16262	SLUZBY	\N	\N
884106	3011	1998-08-31	VYDAJ	VYBER	15	17408	SLUZBY	\N	\N
884107	3011	1998-09-30	VYDAJ	VYBER	15	18558	SLUZBY	\N	\N
884108	3011	1998-10-31	VYDAJ	VYBER	15	18781	SLUZBY	\N	\N
884109	3011	1998-11-30	VYDAJ	VYBER	15	19937	SLUZBY	\N	\N
884110	3011	1994-12-25	VYDAJ	VYBER	200	18005	\N	\N	\N
884111	3011	1995-01-24	VYDAJ	VYBER	900	15947	\N	\N	\N
884112	3011	1995-03-25	VYDAJ	VYBER	400	15761	\N	\N	\N
884113	3011	1995-06-23	VYDAJ	VYBER	2300	14647	\N	\N	\N
884114	3011	1995-08-22	VYDAJ	VYBER	4300	11761	\N	\N	\N
884115	3011	1995-10-21	VYDAJ	VYBER	2100	11926	\N	\N	\N
884116	3011	1996-04-18	VYDAJ	VYBER	1000	15718	\N	\N	\N
884117	3011	1996-05-18	VYDAJ	VYBER	500	15340	\N	\N	\N
884118	3011	1996-09-15	VYDAJ	VYBER	1900	13235	\N	\N	\N
884119	3011	1996-10-15	VYDAJ	VYBER	300	14068	\N	\N	\N
884120	3011	1996-11-14	VYDAJ	VYBER	1200	14002	\N	\N	\N
884121	3011	1997-01-13	VYDAJ	VYBER	200	14935	\N	\N	\N
884122	3011	1997-02-12	VYDAJ	VYBER	3100	14131	\N	\N	\N
884123	3011	1997-04-13	VYDAJ	VYBER	900	13309	\N	\N	\N
884124	3011	1997-06-12	VYDAJ	VYBER	3600	14019	\N	\N	\N
884125	3011	1997-12-09	VYDAJ	VYBER	3000	13289	\N	\N	\N
884126	3011	1998-03-09	VYDAJ	VYBER	2300	13444	\N	\N	\N
884191	3012	1997-04-18	PRIJEM	VKLAD	600	600	\N	\N	\N
884196	3012	1997-05-06	PRIJEM	PREVOD Z UCTU	3902	4502	\N	EF	39591199
884197	3012	1997-06-06	PRIJEM	PREVOD Z UCTU	3902	19734	\N	EF	39591199
884198	3012	1997-07-06	PRIJEM	PREVOD Z UCTU	3902	27216	\N	EF	39591199
884199	3012	1997-08-06	PRIJEM	PREVOD Z UCTU	3902	34530	\N	EF	39591199
884200	3012	1997-09-06	PRIJEM	PREVOD Z UCTU	3902	38267	\N	EF	39591199
884201	3012	1997-10-06	PRIJEM	PREVOD Z UCTU	3902	40902	\N	EF	39591199
884202	3012	1997-11-06	PRIJEM	PREVOD Z UCTU	3902	41244	\N	EF	39591199
884203	3012	1997-12-06	PRIJEM	PREVOD Z UCTU	3902	41407	\N	EF	39591199
884204	3012	1998-01-06	PRIJEM	PREVOD Z UCTU	3902	43214	\N	EF	39591199
884205	3012	1998-02-06	PRIJEM	PREVOD Z UCTU	3902	40989	\N	EF	39591199
884206	3012	1998-03-06	PRIJEM	PREVOD Z UCTU	3902	43737	\N	EF	39591199
884207	3012	1998-04-06	PRIJEM	PREVOD Z UCTU	3902	47799	\N	EF	39591199
884208	3012	1998-05-06	PRIJEM	PREVOD Z UCTU	3902	51477	\N	EF	39591199
884209	3012	1998-06-06	PRIJEM	PREVOD Z UCTU	3902	54068	\N	EF	39591199
884210	3012	1998-07-06	PRIJEM	PREVOD Z UCTU	3902	50010	\N	EF	39591199
884211	3012	1998-08-06	PRIJEM	PREVOD Z UCTU	3902	48366	\N	EF	39591199
884212	3012	1998-09-06	PRIJEM	PREVOD Z UCTU	3902	51044	\N	EF	39591199
884213	3012	1998-10-06	PRIJEM	PREVOD Z UCTU	3902	51929	\N	EF	39591199
884214	3012	1998-11-06	PRIJEM	PREVOD Z UCTU	3902	53119	\N	EF	39591199
884215	3012	1998-12-06	PRIJEM	PREVOD Z UCTU	3902	49299	\N	EF	39591199
884224	3012	1997-09-11	VYDAJ	PREVOD NA UCET	2601	35666	SIPO	YZ	76434039
884225	3012	1997-10-11	VYDAJ	PREVOD NA UCET	2601	38301	SIPO	YZ	76434039
884226	3012	1997-11-11	VYDAJ	PREVOD NA UCET	2601	38643	SIPO	YZ	76434039
884227	3012	1997-12-11	VYDAJ	PREVOD NA UCET	2601	38806	SIPO	YZ	76434039
884228	3012	1998-01-11	VYDAJ	PREVOD NA UCET	2601	40613	SIPO	YZ	76434039
884229	3012	1998-02-11	VYDAJ	PREVOD NA UCET	2601	38388	SIPO	YZ	76434039
884230	3012	1998-03-11	VYDAJ	PREVOD NA UCET	2601	41136	SIPO	YZ	76434039
884231	3012	1998-04-11	VYDAJ	PREVOD NA UCET	2601	45198	SIPO	YZ	76434039
884232	3012	1998-05-11	VYDAJ	PREVOD NA UCET	2601	48876	SIPO	YZ	76434039
884233	3012	1998-06-11	VYDAJ	PREVOD NA UCET	2601	51467	SIPO	YZ	76434039
884234	3012	1998-07-11	VYDAJ	PREVOD NA UCET	2601	47409	SIPO	YZ	76434039
884235	3012	1998-08-11	VYDAJ	PREVOD NA UCET	2601	46965	SIPO	YZ	76434039
884236	3012	1998-09-11	VYDAJ	PREVOD NA UCET	2601	47843	SIPO	YZ	76434039
884237	3012	1998-10-11	VYDAJ	PREVOD NA UCET	2601	49028	SIPO	YZ	76434039
884238	3012	1998-11-11	VYDAJ	PREVOD NA UCET	2601	45218	SIPO	YZ	76434039
884239	3012	1998-12-11	VYDAJ	PREVOD NA UCET	2601	42598	SIPO	YZ	76434039
884241	3012	1998-06-25	VYDAJ	VYBER	4050	45917	\N	\N	\N
884243	3012	1998-01-16	VYDAJ	VYBER	480	37633	\N	\N	\N
884244	3012	1997-12-14	VYDAJ	VYBER	540	39166	\N	\N	\N
884245	3012	1998-12-23	VYDAJ	VYBER	870	41728	\N	\N	\N
884246	3012	1997-11-16	VYDAJ	VYBER	480	37363	\N	\N	\N
884251	3012	1998-01-18	VYDAJ	VYBER	690	36943	\N	\N	\N
884252	3012	1998-07-29	VYDAJ	VYBER	1020	44289	\N	\N	\N
884262	3012	1997-09-30	VYDAJ	VYBER	15	37000	SLUZBY	\N	\N
884263	3012	1997-10-31	VYDAJ	VYBER	15	37342	SLUZBY	\N	\N
884264	3012	1997-11-30	VYDAJ	VYBER	15	37505	SLUZBY	\N	\N
884265	3012	1997-12-31	VYDAJ	VYBER	15	39312	SLUZBY	\N	\N
884266	3012	1998-01-31	VYDAJ	VYBER	15	37087	SLUZBY	\N	\N
884267	3012	1998-02-28	VYDAJ	VYBER	15	39835	SLUZBY	\N	\N
884268	3012	1998-03-31	VYDAJ	VYBER	15	43897	SLUZBY	\N	\N
884269	3012	1998-04-30	VYDAJ	VYBER	15	47575	SLUZBY	\N	\N
884270	3012	1998-05-31	VYDAJ	VYBER	15	50166	SLUZBY	\N	\N
884271	3012	1998-06-30	VYDAJ	VYBER	15	46108	SLUZBY	\N	\N
884272	3012	1998-07-31	VYDAJ	VYBER	15	44464	SLUZBY	\N	\N
884273	3012	1998-08-31	VYDAJ	VYBER	15	47142	SLUZBY	\N	\N
884274	3012	1998-09-30	VYDAJ	VYBER	15	48027	SLUZBY	\N	\N
884275	3012	1998-10-31	VYDAJ	VYBER	15	49217	SLUZBY	\N	\N
884276	3012	1998-11-30	VYDAJ	VYBER	15	45397	SLUZBY	\N	\N
884277	3012	1997-05-18	PRIJEM	VKLAD	11300	15802	\N	\N	\N
884278	3012	1997-06-17	PRIJEM	VKLAD	3500	23234	\N	\N	\N
884279	3012	1997-07-17	PRIJEM	VKLAD	3300	30516	\N	\N	\N
884280	3012	1997-08-16	VYDAJ	VYBER	300	34230	\N	\N	\N
884281	3012	1997-09-15	PRIJEM	VKLAD	1200	36866	\N	\N	\N
884282	3012	1997-10-15	VYDAJ	VYBER	1100	37201	\N	\N	\N
884283	3012	1997-11-14	VYDAJ	VYBER	800	37843	\N	\N	\N
884284	3012	1997-12-14	PRIJEM	VKLAD	900	39706	\N	\N	\N
884285	3012	1998-01-13	VYDAJ	VYBER	2500	38113	\N	\N	\N
884286	3012	1998-02-12	PRIJEM	VKLAD	1300	39688	\N	\N	\N
884287	3012	1998-03-14	PRIJEM	VKLAD	2600	43736	\N	\N	\N
884288	3012	1998-04-13	PRIJEM	VKLAD	2200	47398	\N	\N	\N
884289	3012	1998-05-13	PRIJEM	VKLAD	1100	49976	\N	\N	\N
884290	3012	1998-06-12	VYDAJ	VYBER	1500	49967	\N	\N	\N
884291	3012	1998-07-12	VYDAJ	VYBER	2100	45309	\N	\N	\N
884292	3012	1998-08-11	PRIJEM	VKLAD	1200	49566	\N	\N	\N
884293	3012	1998-09-10	VYDAJ	VYBER	600	50444	\N	\N	\N
884294	3012	1998-10-10	VYDAJ	VYBER	300	51629	\N	\N	\N
884295	3012	1998-11-09	VYDAJ	VYBER	5300	47819	\N	\N	\N
884296	3012	1998-12-09	VYDAJ	VYBER	4100	45199	\N	\N	\N
884317	3013	1997-12-09	PRIJEM	VKLAD	800	5514	\N	\N	\N
884329	3013	1997-12-09	PRIJEM	PREVOD Z UCTU	4714	4714	DUCHOD	UV	63328927
884330	3013	1998-01-09	PRIJEM	PREVOD Z UCTU	4714	10243	DUCHOD	UV	63328927
884331	3013	1998-02-09	PRIJEM	PREVOD Z UCTU	4714	14976	DUCHOD	UV	63328927
884332	3013	1998-03-09	PRIJEM	PREVOD Z UCTU	4714	19710	DUCHOD	UV	63328927
884333	3013	1998-04-09	PRIJEM	PREVOD Z UCTU	4714	22844	DUCHOD	UV	63328927
884334	3013	1998-05-09	PRIJEM	PREVOD Z UCTU	4714	22227	DUCHOD	UV	63328927
884335	3013	1998-06-09	PRIJEM	PREVOD Z UCTU	4714	20340	DUCHOD	UV	63328927
884336	3013	1998-07-09	PRIJEM	PREVOD Z UCTU	4714	17654	DUCHOD	UV	63328927
884337	3013	1998-08-09	PRIJEM	PREVOD Z UCTU	4714	17827	DUCHOD	UV	63328927
884338	3013	1998-09-09	PRIJEM	PREVOD Z UCTU	4714	19524	DUCHOD	UV	63328927
884339	3013	1998-10-09	PRIJEM	PREVOD Z UCTU	4714	20425	DUCHOD	UV	63328927
884340	3013	1998-11-09	PRIJEM	PREVOD Z UCTU	4714	19833	DUCHOD	UV	63328927
884341	3013	1998-12-09	PRIJEM	PREVOD Z UCTU	4714	21340	DUCHOD	UV	63328927
884357	3013	1998-04-11	VYDAJ	PREVOD NA UCET	3064	17460	SIPO	YZ	42602026
884358	3013	1998-05-11	VYDAJ	PREVOD NA UCET	3064	19163	SIPO	YZ	42602026
884359	3013	1998-06-11	VYDAJ	PREVOD NA UCET	3064	17276	SIPO	YZ	42602026
884360	3013	1998-07-11	VYDAJ	PREVOD NA UCET	3064	14590	SIPO	YZ	42602026
884361	3013	1998-08-11	VYDAJ	PREVOD NA UCET	3064	14763	SIPO	YZ	42602026
884362	3013	1998-09-11	VYDAJ	PREVOD NA UCET	3064	16460	SIPO	YZ	42602026
884363	3013	1998-10-11	VYDAJ	PREVOD NA UCET	3064	17361	SIPO	YZ	42602026
884364	3013	1998-11-11	VYDAJ	PREVOD NA UCET	3064	16769	SIPO	YZ	42602026
884365	3013	1998-12-11	VYDAJ	PREVOD NA UCET	3064	17826	SIPO	YZ	42602026
884367	3013	1998-06-21	VYDAJ	VYBER	2150	12886	\N	\N	\N
884369	3013	1998-12-10	VYDAJ	VYBER	450	20890	\N	\N	\N
884391	3013	1998-06-18	VYDAJ	VYBER	2240	15036	\N	\N	\N
884392	3013	1998-08-05	VYDAJ	VYBER	640	13113	\N	\N	\N
884393	3013	1998-04-11	VYDAJ	VYBER	2320	20524	\N	\N	\N
884394	3013	1998-07-27	VYDAJ	VYBER	880	13710	\N	\N	\N
884412	3013	1998-04-30	VYDAJ	VYBER	15	17513	SLUZBY	\N	\N
884413	3013	1998-05-31	VYDAJ	VYBER	15	19226	SLUZBY	\N	\N
884414	3013	1998-06-30	VYDAJ	VYBER	15	12940	SLUZBY	\N	\N
884415	3013	1998-07-31	VYDAJ	VYBER	15	13753	SLUZBY	\N	\N
884416	3013	1998-08-31	VYDAJ	VYBER	15	14810	SLUZBY	\N	\N
884417	3013	1998-09-30	VYDAJ	VYBER	15	16511	SLUZBY	\N	\N
884418	3013	1998-10-31	VYDAJ	VYBER	15	17419	SLUZBY	\N	\N
884419	3013	1998-11-30	VYDAJ	VYBER	15	16826	SLUZBY	\N	\N
884420	3013	1998-04-08	VYDAJ	VYBER	1600	18130	\N	\N	\N
884421	3013	1998-06-07	VYDAJ	VYBER	3600	15626	\N	\N	\N
884422	3013	1998-10-05	VYDAJ	VYBER	800	15711	\N	\N	\N
884423	3013	1998-11-04	VYDAJ	VYBER	2300	15119	\N	\N	\N
884424	3013	1998-12-04	VYDAJ	VYBER	200	16626	\N	\N	\N
884438	3014	1995-03-03	PRIJEM	VKLAD	900	900	\N	\N	\N
884439	3014	1995-05-20	PRIJEM	VKLAD	23520	65113	\N	\N	\N
884440	3014	1995-12-28	PRIJEM	VKLAD	27489	127528	\N	\N	\N
884442	3014	1995-07-04	PRIJEM	VKLAD	39778	95210	\N	\N	\N
884443	3014	1995-06-27	PRIJEM	VKLAD	44432	133758	\N	\N	\N
884444	3014	1995-05-28	PRIJEM	VKLAD	13593	64102	\N	\N	\N
884446	3014	1995-09-15	PRIJEM	VKLAD	13284	62478	\N	\N	\N
884447	3014	1995-07-20	PRIJEM	VKLAD	26810	112999	\N	\N	\N
884448	3014	1995-06-26	PRIJEM	VKLAD	42424	89326	\N	\N	\N
884449	3014	1995-04-23	PRIJEM	VKLAD	15399	64613	\N	\N	\N
884451	3014	1995-05-05	PRIJEM	VKLAD	26663	64539	\N	\N	\N
884453	3014	1995-12-01	PRIJEM	VKLAD	38708	108327	\N	\N	\N
884454	3014	1995-11-29	PRIJEM	VKLAD	5078	69404	\N	\N	\N
884455	3014	1995-04-29	PRIJEM	VKLAD	44451	109064	\N	\N	\N
884456	3014	1995-07-22	PRIJEM	VKLAD	34642	112541	\N	\N	\N
884457	3014	1995-11-16	PRIJEM	VKLAD	21384	69961	\N	\N	\N
884458	3014	1995-06-30	PRIJEM	VKLAD	14797	111662	\N	\N	\N
884459	3014	1995-03-06	PRIJEM	VKLAD	47590	48490	\N	\N	\N
884460	3014	1995-10-26	PRIJEM	VKLAD	23913	55500	\N	\N	\N
884461	3014	1995-08-24	PRIJEM	VKLAD	24007	81360	\N	\N	\N
884462	3014	1995-11-26	PRIJEM	VKLAD	31065	101026	\N	\N	\N
884463	3014	1995-04-10	PRIJEM	VKLAD	37947	88836	\N	\N	\N
884464	3014	1995-04-20	PRIJEM	VKLAD	17678	106514	\N	\N	\N
884465	3014	1995-08-21	PRIJEM	VKLAD	17858	64853	\N	\N	\N
884466	3014	1995-11-15	PRIJEM	VKLAD	20416	48577	\N	\N	\N
884467	3014	1995-03-10	PRIJEM	VKLAD	29343	77833	\N	\N	\N
884468	3014	1997-09-22	PRIJEM	VKLAD	42422	76199	\N	\N	\N
884469	3014	1997-03-20	PRIJEM	VKLAD	23216	82675	\N	\N	\N
884470	3014	1997-03-17	PRIJEM	VKLAD	25052	59459	\N	\N	\N
884471	3014	1997-01-26	PRIJEM	VKLAD	16317	43550	\N	\N	\N
884472	3014	1997-09-23	PRIJEM	VKLAD	47887	124086	\N	\N	\N
884473	3014	1997-04-24	PRIJEM	VKLAD	41155	94596	\N	\N	\N
884474	3014	1998-01-22	PRIJEM	VKLAD	41636	90909	\N	\N	\N
884475	3014	1998-01-22	PRIJEM	VKLAD	16483	49273	\N	\N	\N
884476	3014	1998-03-20	PRIJEM	VKLAD	46319	85790	\N	\N	\N
884477	3014	1998-08-29	PRIJEM	VKLAD	33255	96892	\N	\N	\N
884478	3014	1998-05-15	PRIJEM	VKLAD	13867	83903	\N	\N	\N
884479	3014	1998-07-28	PRIJEM	VKLAD	25533	122583	\N	\N	\N
884480	3014	1998-06-18	PRIJEM	VKLAD	28503	92464	\N	\N	\N
884481	3014	1998-06-12	PRIJEM	VKLAD	14457	105574	\N	\N	\N
884482	3014	1998-07-03	PRIJEM	VKLAD	38616	129897	\N	\N	\N
884483	3014	1998-06-08	PRIJEM	VKLAD	13653	91117	\N	\N	\N
884484	3014	1998-01-02	PRIJEM	VKLAD	14964	39315	\N	\N	\N
884485	3014	1998-04-10	PRIJEM	VKLAD	13060	95052	\N	\N	\N
884486	3014	1998-09-07	PRIJEM	VKLAD	30124	127266	\N	\N	\N
884487	3014	1998-08-08	PRIJEM	VKLAD	19008	85537	\N	\N	\N
884488	3014	1998-06-08	PRIJEM	VKLAD	34200	77464	\N	\N	\N
884489	3014	1998-07-18	PRIJEM	VKLAD	15549	97319	\N	\N	\N
884490	3014	1998-07-07	PRIJEM	VKLAD	46773	136570	\N	\N	\N
884491	3014	1998-07-18	PRIJEM	VKLAD	27031	124350	\N	\N	\N
884492	3014	1998-01-02	PRIJEM	VKLAD	45102	84417	\N	\N	\N
884493	3014	1998-06-06	PRIJEM	VKLAD	11928	59464	\N	\N	\N
884494	3014	1998-07-01	PRIJEM	VKLAD	43583	109681	\N	\N	\N
884495	3014	1998-09-30	PRIJEM	VKLAD	37919	67567	\N	\N	\N
884496	3014	1998-01-31	PRIJEM	VKLAD	49448	133367	\N	\N	\N
884545	3014	1995-05-13	VYBER	VYBER	22946	41593	\N	\N	\N
884546	3014	1995-12-19	VYBER	VYBER	3488	100039	\N	\N	\N
884548	3014	1995-05-22	VYBER	VYBER	14604	50509	\N	\N	\N
884550	3014	1995-07-15	VYBER	VYBER	9021	86189	\N	\N	\N
884551	3014	1995-11-04	VYBER	VYBER	15703	28161	\N	\N	\N
884552	3014	1996-10-13	VYBER	VYBER	6391	32790	\N	\N	\N
884553	3014	1996-11-27	VYBER	VYBER	3811	34129	\N	\N	\N
884555	3014	1996-05-28	VYBER	VYBER	4590	23863	\N	\N	\N
884557	3014	1996-01-07	VYBER	VYBER	12685	31899	\N	\N	\N
884560	3014	1996-10-17	VYBER	VYBER	9759	23031	\N	\N	\N
884563	3014	1997-06-20	VYBER	VYBER	14254	38957	\N	\N	\N
884565	3014	1997-09-09	VYBER	VYBER	13121	24177	\N	\N	\N
884566	3014	1997-08-24	VYBER	VYBER	3457	37177	\N	\N	\N
884567	3014	1997-02-07	VYBER	VYBER	19088	24569	\N	\N	\N
884568	3014	1997-07-07	VYBER	VYBER	13727	25407	\N	\N	\N
884569	3014	1997-05-24	VYBER	VYBER	19666	48497	\N	\N	\N
884570	3014	1998-10-31	VYBER	VYBER	12421	32956	\N	\N	\N
884571	3014	1998-01-04	VYBER	VYBER	20427	63990	\N	\N	\N
884572	3014	1998-06-03	VYBER	VYBER	19018	47536	\N	\N	\N
884573	3014	1998-02-15	VYBER	VYBER	23656	45681	\N	\N	\N
884574	3014	1998-11-11	VYBER	VYBER	2807	30119	\N	\N	\N
884575	3014	1998-09-28	VYBER	VYBER	22327	29339	\N	\N	\N
884576	3014	1998-03-25	VYBER	VYBER	3978	81812	\N	\N	\N
884577	3014	1998-02-16	VYBER	VYBER	13023	32158	\N	\N	\N
884578	3014	1998-06-21	VYBER	VYBER	17641	74823	\N	\N	\N
884579	3014	1998-06-13	VYBER	VYBER	23613	81961	\N	\N	\N
884584	3014	1998-06-06	VYDAJ	VYBER	16200	43264	\N	\N	\N
884588	3014	1998-01-06	VYDAJ	VYBER	26100	37890	\N	\N	\N
884589	3014	1995-12-09	VYDAJ	VYBER	4800	103527	\N	\N	\N
884590	3014	1996-12-09	VYDAJ	VYBER	3600	29129	\N	\N	\N
884591	3014	1997-12-07	VYDAJ	VYBER	8400	37447	\N	\N	\N
884592	3014	1998-12-19	VYDAJ	VYBER	8400	31529	\N	\N	\N
884599	3014	1996-01-15	VYDAJ	VYBER	6300	23499	\N	\N	\N
884601	3014	1996-01-04	VYDAJ	VYBER	6900	44584	\N	\N	\N
884603	3014	1996-01-08	VYDAJ	VYBER	2100	29799	\N	\N	\N
884604	3014	1996-01-20	VYDAJ	VYBER	1800	21699	\N	\N	\N
884607	3014	1997-01-22	VYDAJ	VYBER	7500	27233	\N	\N	\N
884608	3014	1997-01-01	VYDAJ	VYBER	3900	31633	\N	\N	\N
884609	3014	1997-01-21	VYDAJ	VYBER	3900	34733	\N	\N	\N
884610	3014	1997-01-09	VYDAJ	VYBER	3300	28333	\N	\N	\N
884611	3014	1998-01-21	VYDAJ	VYBER	1500	32790	\N	\N	\N
884612	3014	1998-01-27	VYDAJ	VYBER	3900	87009	\N	\N	\N
884613	3014	1998-01-10	VYDAJ	VYBER	6600	31290	\N	\N	\N
884614	3014	1998-01-01	VYDAJ	VYBER	7200	24351	\N	\N	\N
884615	3014	1998-01-28	VYDAJ	VYBER	3300	83709	\N	\N	\N
884616	3014	1998-01-13	VYDAJ	VYBER	2400	28890	\N	\N	\N
884617	3014	1995-08-15	VYDAJ	VYBER	12300	46995	\N	\N	\N
884618	3014	1995-08-22	VYDAJ	VYBER	7500	57353	\N	\N	\N
884619	3014	1995-09-03	VYDAJ	VYBER	5100	49194	\N	\N	\N
884620	3014	1995-10-22	VYDAJ	VYBER	14400	31587	\N	\N	\N
884622	3014	1996-03-09	VYDAJ	VYBER	2100	24674	\N	\N	\N
884623	3014	1996-12-08	VYDAJ	VYBER	1500	32729	\N	\N	\N
884628	3014	1996-05-12	VYDAJ	VYBER	12300	23053	\N	\N	\N
884630	3014	1997-11-17	VYDAJ	VYBER	6300	52260	\N	\N	\N
884631	3014	1997-12-08	VYDAJ	VYBER	13200	24247	\N	\N	\N
884632	3014	1997-09-29	VYDAJ	VYBER	10800	78386	\N	\N	\N
884633	3014	1998-06-25	VYDAJ	VYBER	9000	65823	\N	\N	\N
884634	3014	1998-10-20	VYDAJ	VYBER	9000	45137	\N	\N	\N
884635	3014	1998-02-21	VYDAJ	VYBER	1800	30358	\N	\N	\N
884641	3014	1995-04-30	VYDAJ	VYBER	30	53776	SLUZBY	\N	\N
884642	3014	1995-05-31	VYDAJ	VYBER	30	64302	SLUZBY	\N	\N
884643	3014	1995-06-30	VYDAJ	VYBER	30	81632	SLUZBY	\N	\N
884644	3014	1995-07-31	VYDAJ	VYBER	30	93095	SLUZBY	\N	\N
884645	3014	1995-08-31	VYDAJ	VYBER	30	54294	SLUZBY	\N	\N
884646	3014	1995-09-30	VYDAJ	VYBER	30	45987	SLUZBY	\N	\N
884647	3014	1995-10-31	VYDAJ	VYBER	30	43864	SLUZBY	\N	\N
884648	3014	1995-11-30	VYDAJ	VYBER	30	69619	SLUZBY	\N	\N
884649	3014	1995-12-31	VYDAJ	VYBER	30	51484	SLUZBY	\N	\N
884650	3014	1996-01-31	VYDAJ	VYBER	30	25996	SLUZBY	\N	\N
884651	3014	1996-02-29	VYDAJ	VYBER	30	26774	SLUZBY	\N	\N
884652	3014	1996-03-31	VYDAJ	VYBER	30	30157	SLUZBY	\N	\N
884653	3014	1996-04-30	VYDAJ	VYBER	30	35353	SLUZBY	\N	\N
884654	3014	1996-05-31	VYDAJ	VYBER	30	23971	SLUZBY	\N	\N
884655	3014	1996-06-30	VYDAJ	VYBER	30	29841	SLUZBY	\N	\N
884656	3014	1996-07-31	VYDAJ	VYBER	30	35835	SLUZBY	\N	\N
884657	3014	1996-08-31	VYDAJ	VYBER	30	37954	SLUZBY	\N	\N
884658	3014	1996-09-30	VYDAJ	VYBER	30	39181	SLUZBY	\N	\N
884659	3014	1996-10-31	VYDAJ	VYBER	30	30940	SLUZBY	\N	\N
884660	3014	1996-11-30	VYDAJ	VYBER	30	34229	SLUZBY	\N	\N
884661	3014	1996-12-31	VYDAJ	VYBER	30	35533	SLUZBY	\N	\N
884662	3014	1997-01-31	VYDAJ	VYBER	30	43657	SLUZBY	\N	\N
884663	3014	1997-02-28	VYDAJ	VYBER	30	34407	SLUZBY	\N	\N
884664	3014	1997-03-31	VYDAJ	VYBER	30	64841	SLUZBY	\N	\N
884665	3014	1997-04-30	VYDAJ	VYBER	30	94863	SLUZBY	\N	\N
884666	3014	1997-05-31	VYDAJ	VYBER	30	48811	SLUZBY	\N	\N
884667	3014	1997-06-30	VYDAJ	VYBER	30	39134	SLUZBY	\N	\N
884668	3014	1997-07-31	VYDAJ	VYBER	30	36634	SLUZBY	\N	\N
884669	3014	1997-08-31	VYDAJ	VYBER	30	37298	SLUZBY	\N	\N
884670	3014	1997-09-30	VYDAJ	VYBER	30	78567	SLUZBY	\N	\N
884671	3014	1997-10-31	VYDAJ	VYBER	30	58560	SLUZBY	\N	\N
884672	3014	1997-11-30	VYDAJ	VYBER	30	45847	SLUZBY	\N	\N
884673	3014	1997-12-31	VYDAJ	VYBER	30	31551	SLUZBY	\N	\N
884674	3014	1998-01-31	VYDAJ	VYBER	30	133337	SLUZBY	\N	\N
884675	3014	1998-02-28	VYDAJ	VYBER	30	30671	SLUZBY	\N	\N
884676	3014	1998-03-31	VYDAJ	VYBER	30	81992	SLUZBY	\N	\N
884677	3014	1998-04-30	VYDAJ	VYBER	30	70036	SLUZBY	\N	\N
884678	3014	1998-05-31	VYDAJ	VYBER	30	66554	SLUZBY	\N	\N
884679	3014	1998-06-30	VYDAJ	VYBER	30	66098	SLUZBY	\N	\N
884680	3014	1998-07-31	VYDAJ	VYBER	30	66529	SLUZBY	\N	\N
884681	3014	1998-08-31	VYDAJ	VYBER	30	97142	SLUZBY	\N	\N
884682	3014	1998-09-30	VYDAJ	VYBER	30	67537	SLUZBY	\N	\N
884683	3014	1998-10-31	VYDAJ	VYBER	30	32926	SLUZBY	\N	\N
884684	3014	1998-11-30	VYDAJ	VYBER	30	35229	SLUZBY	\N	\N
884685	3014	1995-04-02	VYDAJ	VYBER	27200	50889	\N	\N	\N
884686	3014	1995-04-20	VYDAJ	VYBER	57300	49214	\N	\N	\N
884687	3014	1995-04-29	VYDAJ	VYBER	55600	53464	\N	\N	\N
884688	3014	1995-05-02	VYDAJ	VYBER	15900	37876	\N	\N	\N
884689	3014	1995-06-01	VYDAJ	VYBER	17400	46902	\N	\N	\N
884690	3014	1995-06-27	VYDAJ	VYBER	37200	96558	\N	\N	\N
884691	3014	1995-06-30	VYDAJ	VYBER	30000	81662	\N	\N	\N
884692	3014	1995-07-01	VYDAJ	VYBER	26200	55432	\N	\N	\N
884693	3014	1995-07-20	VYDAJ	VYBER	35100	77899	\N	\N	\N
884694	3014	1995-07-22	VYDAJ	VYBER	19800	92741	\N	\N	\N
884695	3014	1995-07-31	VYDAJ	VYBER	33800	59295	\N	\N	\N
884696	3014	1995-08-30	VYDAJ	VYBER	27300	54060	\N	\N	\N
884697	3014	1995-09-29	VYDAJ	VYBER	16700	45778	\N	\N	\N
884698	3014	1995-10-29	VYDAJ	VYBER	11800	43700	\N	\N	\N
884699	3014	1995-11-28	VYDAJ	VYBER	36700	64326	\N	\N	\N
884700	3014	1995-12-28	VYDAJ	VYBER	58800	51128	\N	\N	\N
884701	3014	1995-12-28	VYDAJ	VYBER	17600	109928	\N	\N	\N
884702	3014	1996-01-27	PRIJEM	VKLAD	4200	25899	\N	\N	\N
884703	3014	1996-02-26	PRIJEM	VKLAD	700	26696	\N	\N	\N
884704	3014	1996-03-27	PRIJEM	VKLAD	5400	30074	\N	\N	\N
884705	3014	1996-04-26	PRIJEM	VKLAD	5100	35257	\N	\N	\N
884706	3014	1996-05-26	PRIJEM	VKLAD	5400	28453	\N	\N	\N
884707	3014	1996-06-25	PRIJEM	VKLAD	5800	29771	\N	\N	\N
884708	3014	1996-07-25	PRIJEM	VKLAD	5900	35741	\N	\N	\N
884709	3014	1996-08-24	PRIJEM	VKLAD	2000	37835	\N	\N	\N
884710	3014	1996-09-23	PRIJEM	VKLAD	1100	39054	\N	\N	\N
884711	3014	1996-10-23	PRIJEM	VKLAD	7800	30831	\N	\N	\N
884712	3014	1996-11-22	PRIJEM	VKLAD	7000	37940	\N	\N	\N
884713	3014	1996-12-22	PRIJEM	VKLAD	6300	35429	\N	\N	\N
884714	3014	1997-01-21	PRIJEM	VKLAD	10300	38633	\N	\N	\N
884715	3014	1997-02-20	PRIJEM	VKLAD	9700	34269	\N	\N	\N
884716	3014	1997-03-22	VYDAJ	VYBER	18000	64675	\N	\N	\N
884717	3014	1997-04-21	VYDAJ	VYBER	11400	53441	\N	\N	\N
884718	3014	1997-05-21	VYDAJ	VYBER	26700	68163	\N	\N	\N
884719	3014	1997-06-20	PRIJEM	VKLAD	4400	53211	\N	\N	\N
884720	3014	1997-07-20	PRIJEM	VKLAD	11100	36507	\N	\N	\N
884721	3014	1997-08-19	PRIJEM	VKLAD	4000	40634	\N	\N	\N
884722	3014	1997-09-18	PRIJEM	VKLAD	9600	33777	\N	\N	\N
884723	3014	1997-09-23	VYDAJ	VYBER	34900	89186	\N	\N	\N
884724	3014	1997-10-18	VYDAJ	VYBER	20300	58267	\N	\N	\N
884725	3014	1997-11-17	VYDAJ	VYBER	6600	45660	\N	\N	\N
884726	3014	1997-12-17	PRIJEM	VKLAD	7200	31447	\N	\N	\N
884727	3014	1998-01-16	PRIJEM	VKLAD	5400	34290	\N	\N	\N
884728	3014	1998-01-31	VYDAJ	VYBER	64000	69337	\N	\N	\N
884729	3014	1998-02-15	VYDAJ	VYBER	500	45181	\N	\N	\N
884730	3014	1998-03-17	PRIJEM	VKLAD	8800	39471	\N	\N	\N
884731	3014	1998-04-16	VYDAJ	VYBER	25300	69752	\N	\N	\N
884732	3014	1998-05-16	VYDAJ	VYBER	17600	66303	\N	\N	\N
884733	3014	1998-06-15	VYDAJ	VYBER	18000	63961	\N	\N	\N
884734	3014	1998-07-01	VYDAJ	VYBER	18400	91281	\N	\N	\N
884735	3014	1998-07-03	VYDAJ	VYBER	40100	89797	\N	\N	\N
884736	3014	1998-07-07	VYDAJ	VYBER	18400	118170	\N	\N	\N
884737	3014	1998-07-15	VYDAJ	VYBER	36400	81770	\N	\N	\N
884738	3014	1998-07-18	VYDAJ	VYBER	27300	97050	\N	\N	\N
884739	3014	1998-07-28	VYDAJ	VYBER	56500	66083	\N	\N	\N
884740	3014	1998-08-14	VYDAJ	VYBER	21900	63637	\N	\N	\N
884741	3014	1998-09-07	VYDAJ	VYBER	64400	62866	\N	\N	\N
884742	3014	1998-09-13	VYDAJ	VYBER	11200	51666	\N	\N	\N
884743	3014	1998-10-13	VYDAJ	VYBER	13400	54137	\N	\N	\N
884744	3014	1998-11-12	PRIJEM	VKLAD	5000	35119	\N	\N	\N
884745	3014	1998-12-12	PRIJEM	VKLAD	4700	39929	\N	\N	\N
884792	3015	1996-06-15	PRIJEM	VKLAD	900	900	\N	\N	\N
884799	3015	1996-07-07	PRIJEM	PREVOD Z UCTU	3222	4122	\N	EF	81717645
884800	3015	1996-08-07	PRIJEM	PREVOD Z UCTU	3222	7344	\N	EF	81717645
884801	3015	1996-09-07	PRIJEM	PREVOD Z UCTU	3222	10566	\N	EF	81717645
884802	3015	1996-10-07	PRIJEM	PREVOD Z UCTU	3222	13788	\N	EF	81717645
884803	3015	1996-11-07	PRIJEM	PREVOD Z UCTU	3222	17010	\N	EF	81717645
884804	3015	1996-12-07	PRIJEM	PREVOD Z UCTU	3222	18111	\N	EF	81717645
884805	3015	1997-01-07	PRIJEM	PREVOD Z UCTU	3222	16172	\N	EF	81717645
884806	3015	1997-02-07	PRIJEM	PREVOD Z UCTU	3222	15398	\N	EF	81717645
884807	3015	1997-03-07	PRIJEM	PREVOD Z UCTU	3222	16511	\N	EF	81717645
884808	3015	1997-04-07	PRIJEM	PREVOD Z UCTU	3222	17480	\N	EF	81717645
884809	3015	1997-05-07	PRIJEM	PREVOD Z UCTU	3222	18001	\N	EF	81717645
884810	3015	1997-06-07	PRIJEM	PREVOD Z UCTU	3222	19126	\N	EF	81717645
884811	3015	1997-07-07	PRIJEM	PREVOD Z UCTU	3222	20255	\N	EF	81717645
884812	3015	1997-08-07	PRIJEM	PREVOD Z UCTU	3222	21389	\N	EF	81717645
884813	3015	1997-09-07	PRIJEM	PREVOD Z UCTU	3222	20965	\N	EF	81717645
884814	3015	1997-10-07	PRIJEM	PREVOD Z UCTU	3222	21621	\N	EF	81717645
884815	3015	1997-11-07	PRIJEM	PREVOD Z UCTU	3222	22760	\N	EF	81717645
884816	3015	1997-12-07	PRIJEM	PREVOD Z UCTU	3222	23905	\N	EF	81717645
884817	3015	1998-01-07	PRIJEM	PREVOD Z UCTU	3222	24513	\N	EF	81717645
884818	3015	1998-02-07	PRIJEM	PREVOD Z UCTU	3222	21729	\N	EF	81717645
884819	3015	1998-03-07	PRIJEM	PREVOD Z UCTU	3222	22629	\N	EF	81717645
884820	3015	1998-04-07	PRIJEM	PREVOD Z UCTU	3222	23772	\N	EF	81717645
884821	3015	1998-05-07	PRIJEM	PREVOD Z UCTU	3222	24351	\N	EF	81717645
884822	3015	1998-06-07	PRIJEM	PREVOD Z UCTU	3222	25323	\N	EF	81717645
884823	3015	1998-07-07	PRIJEM	PREVOD Z UCTU	3222	23687	\N	EF	81717645
884824	3015	1998-08-07	PRIJEM	PREVOD Z UCTU	3222	23993	\N	EF	81717645
884825	3015	1998-09-07	PRIJEM	PREVOD Z UCTU	3222	25142	\N	EF	81717645
884826	3015	1998-10-07	PRIJEM	PREVOD Z UCTU	3222	26296	\N	EF	81717645
884827	3015	1998-11-07	PRIJEM	PREVOD Z UCTU	3222	27455	\N	EF	81717645
884828	3015	1998-12-07	PRIJEM	PREVOD Z UCTU	3222	28619	\N	EF	81717645
884839	3015	1996-11-11	VYDAJ	PREVOD NA UCET	18	16992	\N	WX	49125337
884840	3015	1996-12-11	VYDAJ	PREVOD NA UCET	18	16353	\N	WX	49125337
884841	3015	1997-01-11	VYDAJ	PREVOD NA UCET	18	16154	\N	WX	49125337
884842	3015	1997-02-11	VYDAJ	PREVOD NA UCET	18	15380	\N	WX	49125337
884843	3015	1997-03-11	VYDAJ	PREVOD NA UCET	18	16493	\N	WX	49125337
884844	3015	1997-04-11	VYDAJ	PREVOD NA UCET	18	17462	\N	WX	49125337
884845	3015	1997-05-11	VYDAJ	PREVOD NA UCET	18	17983	\N	WX	49125337
884846	3015	1997-06-11	VYDAJ	PREVOD NA UCET	18	19108	\N	WX	49125337
884847	3015	1997-07-11	VYDAJ	PREVOD NA UCET	18	20237	\N	WX	49125337
884848	3015	1997-08-11	VYDAJ	PREVOD NA UCET	18	21371	\N	WX	49125337
884849	3015	1997-09-11	VYDAJ	PREVOD NA UCET	18	20947	\N	WX	49125337
884850	3015	1997-10-11	VYDAJ	PREVOD NA UCET	18	21603	\N	WX	49125337
884851	3015	1997-11-11	VYDAJ	PREVOD NA UCET	18	22742	\N	WX	49125337
884852	3015	1997-12-11	VYDAJ	PREVOD NA UCET	18	23347	\N	WX	49125337
884853	3015	1998-01-11	VYDAJ	PREVOD NA UCET	18	24495	\N	WX	49125337
884854	3015	1998-02-11	VYDAJ	PREVOD NA UCET	18	21711	\N	WX	49125337
884855	3015	1998-03-11	VYDAJ	PREVOD NA UCET	18	22611	\N	WX	49125337
884856	3015	1998-04-11	VYDAJ	PREVOD NA UCET	18	23754	\N	WX	49125337
884857	3015	1998-05-11	VYDAJ	PREVOD NA UCET	18	24153	\N	WX	49125337
884858	3015	1998-06-11	VYDAJ	PREVOD NA UCET	18	25305	\N	WX	49125337
884859	3015	1998-07-11	VYDAJ	PREVOD NA UCET	18	23669	\N	WX	49125337
884860	3015	1998-08-11	VYDAJ	PREVOD NA UCET	18	23975	\N	WX	49125337
884861	3015	1998-09-11	VYDAJ	PREVOD NA UCET	18	25124	\N	WX	49125337
884862	3015	1998-10-11	VYDAJ	PREVOD NA UCET	18	26278	\N	WX	49125337
884863	3015	1998-11-11	VYDAJ	PREVOD NA UCET	18	27437	\N	WX	49125337
884864	3015	1998-12-11	VYDAJ	PREVOD NA UCET	18	28601	\N	WX	49125337
884875	3015	1996-11-13	VYDAJ	PREVOD NA UCET	2130	14862	\N	WX	854856
884876	3015	1996-12-13	VYDAJ	PREVOD NA UCET	2130	14223	\N	WX	854856
884877	3015	1997-01-13	VYDAJ	PREVOD NA UCET	2130	14024	\N	WX	854856
884878	3015	1997-02-13	VYDAJ	PREVOD NA UCET	2130	13250	\N	WX	854856
884879	3015	1997-03-13	VYDAJ	PREVOD NA UCET	2130	14363	\N	WX	854856
884880	3015	1997-04-13	VYDAJ	PREVOD NA UCET	2130	15332	\N	WX	854856
884881	3015	1997-05-13	VYDAJ	PREVOD NA UCET	2130	15853	\N	WX	854856
884882	3015	1997-06-13	VYDAJ	PREVOD NA UCET	2130	16978	\N	WX	854856
884883	3015	1997-07-13	VYDAJ	PREVOD NA UCET	2130	18107	\N	WX	854856
884884	3015	1997-08-13	VYDAJ	PREVOD NA UCET	2130	19241	\N	WX	854856
884885	3015	1997-09-13	VYDAJ	PREVOD NA UCET	2130	18817	\N	WX	854856
884886	3015	1997-10-13	VYDAJ	PREVOD NA UCET	2130	19473	\N	WX	854856
884887	3015	1997-11-13	VYDAJ	PREVOD NA UCET	2130	20612	\N	WX	854856
884888	3015	1997-12-13	VYDAJ	PREVOD NA UCET	2130	21217	\N	WX	854856
884889	3015	1998-01-13	VYDAJ	PREVOD NA UCET	2130	21975	\N	WX	854856
884890	3015	1998-02-13	VYDAJ	PREVOD NA UCET	2130	19341	\N	WX	854856
884891	3015	1998-03-13	VYDAJ	PREVOD NA UCET	2130	20481	\N	WX	854856
884892	3015	1998-04-13	VYDAJ	PREVOD NA UCET	2130	21624	\N	WX	854856
884893	3015	1998-05-13	VYDAJ	PREVOD NA UCET	2130	22023	\N	WX	854856
884894	3015	1998-06-13	VYDAJ	PREVOD NA UCET	2130	23175	\N	WX	854856
884895	3015	1998-07-13	VYDAJ	PREVOD NA UCET	2130	20699	\N	WX	854856
884896	3015	1998-08-13	VYDAJ	PREVOD NA UCET	2130	21845	\N	WX	854856
884897	3015	1998-09-13	VYDAJ	PREVOD NA UCET	2130	22994	\N	WX	854856
884898	3015	1998-10-13	VYDAJ	PREVOD NA UCET	2130	24148	\N	WX	854856
884899	3015	1998-11-13	VYDAJ	PREVOD NA UCET	2130	25307	\N	WX	854856
884900	3015	1998-12-13	VYDAJ	PREVOD NA UCET	2130	26471	\N	WX	854856
884903	3015	1998-06-29	VYDAJ	VYBER	2790	20385	\N	\N	\N
884905	3015	1997-01-17	VYDAJ	VYBER	1530	12134	\N	\N	\N
884906	3015	1998-01-30	VYDAJ	VYBER	1470	18435	\N	\N	\N
884907	3015	1996-12-08	VYDAJ	VYBER	540	17571	\N	\N	\N
884908	3015	1997-12-09	VYDAJ	VYBER	540	23365	\N	\N	\N
884909	3015	1998-12-18	VYDAJ	VYBER	390	26081	\N	\N	\N
884916	3015	1997-01-04	VYDAJ	VYBER	840	12950	\N	\N	\N
884919	3015	1997-01-04	VYDAJ	VYBER	480	13790	\N	\N	\N
884920	3015	1997-01-15	VYDAJ	VYBER	360	13664	\N	\N	\N
884922	3015	1998-01-22	VYDAJ	VYBER	270	20265	\N	\N	\N
884923	3015	1998-01-12	VYDAJ	VYBER	390	24105	\N	\N	\N
884924	3015	1998-01-15	VYDAJ	VYBER	390	21105	\N	\N	\N
884925	3015	1998-01-24	VYDAJ	VYBER	360	19905	\N	\N	\N
884926	3015	1998-01-20	VYDAJ	VYBER	570	20535	\N	\N	\N
884927	3015	1998-01-15	VYDAJ	VYBER	480	21495	\N	\N	\N
884928	3015	1996-12-10	VYDAJ	VYBER	1200	16371	\N	\N	\N
884932	3015	1997-04-20	VYDAJ	VYBER	600	14732	\N	\N	\N
884933	3015	1997-03-31	VYDAJ	VYBER	150	14272	\N	\N	\N
884934	3015	1997-09-18	VYDAJ	VYBER	480	18337	\N	\N	\N
884935	3015	1997-08-16	VYDAJ	VYBER	690	18551	\N	\N	\N
884936	3015	1997-08-20	VYDAJ	VYBER	870	17681	\N	\N	\N
884937	3015	1998-04-30	VYDAJ	VYBER	570	21129	\N	\N	\N
884938	3015	1998-02-11	VYDAJ	VYBER	240	21471	\N	\N	\N
884939	3015	1998-07-13	VYDAJ	VYBER	840	22829	\N	\N	\N
884940	3015	1998-05-09	VYDAJ	VYBER	180	24171	\N	\N	\N
884952	3015	1996-11-30	VYDAJ	VYBER	15	14889	SLUZBY	\N	\N
884953	3015	1996-12-31	VYDAJ	VYBER	15	14270	SLUZBY	\N	\N
884954	3015	1997-01-31	VYDAJ	VYBER	15	12176	SLUZBY	\N	\N
884955	3015	1997-02-28	VYDAJ	VYBER	15	13289	SLUZBY	\N	\N
884956	3015	1997-03-31	VYDAJ	VYBER	15	14258	SLUZBY	\N	\N
884957	3015	1997-04-30	VYDAJ	VYBER	15	14779	SLUZBY	\N	\N
884958	3015	1997-05-31	VYDAJ	VYBER	15	15904	SLUZBY	\N	\N
884959	3015	1997-06-30	VYDAJ	VYBER	15	17033	SLUZBY	\N	\N
884960	3015	1997-07-31	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
884961	3015	1997-08-31	VYDAJ	VYBER	15	17743	SLUZBY	\N	\N
884962	3015	1997-09-30	VYDAJ	VYBER	15	18399	SLUZBY	\N	\N
884963	3015	1997-10-31	VYDAJ	VYBER	15	19538	SLUZBY	\N	\N
884964	3015	1997-11-30	VYDAJ	VYBER	15	20683	SLUZBY	\N	\N
884965	3015	1997-12-31	VYDAJ	VYBER	15	21291	SLUZBY	\N	\N
884966	3015	1998-01-31	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
884967	3015	1998-02-28	VYDAJ	VYBER	15	19407	SLUZBY	\N	\N
884968	3015	1998-03-31	VYDAJ	VYBER	15	20550	SLUZBY	\N	\N
884969	3015	1998-04-30	VYDAJ	VYBER	15	21699	SLUZBY	\N	\N
884970	3015	1998-05-31	VYDAJ	VYBER	15	22101	SLUZBY	\N	\N
884971	3015	1998-06-30	VYDAJ	VYBER	15	20465	SLUZBY	\N	\N
884972	3015	1998-07-31	VYDAJ	VYBER	15	20771	SLUZBY	\N	\N
884973	3015	1998-08-31	VYDAJ	VYBER	15	21920	SLUZBY	\N	\N
884974	3015	1998-09-30	VYDAJ	VYBER	15	23074	SLUZBY	\N	\N
884975	3015	1998-10-31	VYDAJ	VYBER	15	24233	SLUZBY	\N	\N
884976	3015	1998-11-30	VYDAJ	VYBER	15	25397	SLUZBY	\N	\N
885003	3016	1996-02-23	PRIJEM	VKLAD	700	700	\N	\N	\N
885006	3016	1996-03-10	PRIJEM	VKLAD	15447	16147	\N	\N	\N
885007	3016	1996-04-10	PRIJEM	VKLAD	15447	32713	\N	\N	\N
885008	3016	1996-05-10	PRIJEM	VKLAD	15447	44845	\N	\N	\N
885009	3016	1996-06-10	PRIJEM	VKLAD	23170	56742	\N	\N	\N
885010	3016	1996-07-10	PRIJEM	VKLAD	15447	53334	\N	\N	\N
885011	3016	1996-08-10	PRIJEM	VKLAD	15447	46206	\N	\N	\N
885012	3016	1996-09-10	PRIJEM	VKLAD	15447	44155	\N	\N	\N
885013	3016	1996-10-10	PRIJEM	VKLAD	15447	45099	\N	\N	\N
885014	3016	1996-11-10	PRIJEM	VKLAD	15447	46848	\N	\N	\N
885015	3016	1996-12-10	PRIJEM	VKLAD	23170	56229	\N	\N	\N
885016	3016	1997-01-10	PRIJEM	VKLAD	15447	39802	\N	\N	\N
885017	3016	1997-02-10	PRIJEM	VKLAD	15447	32830	\N	\N	\N
885018	3016	1997-03-10	PRIJEM	VKLAD	15447	37432	\N	\N	\N
885019	3016	1997-04-10	PRIJEM	VKLAD	15447	38750	\N	\N	\N
885020	3016	1997-05-10	PRIJEM	VKLAD	15447	44578	\N	\N	\N
885021	3016	1997-06-10	PRIJEM	VKLAD	23170	56551	\N	\N	\N
885022	3016	1997-07-10	PRIJEM	VKLAD	15447	32687	\N	\N	\N
885023	3016	1997-08-10	PRIJEM	VKLAD	15447	39893	\N	\N	\N
885024	3016	1997-09-10	PRIJEM	VKLAD	15447	42116	\N	\N	\N
885025	3016	1997-10-10	PRIJEM	VKLAD	15447	45853	\N	\N	\N
885026	3016	1997-11-10	PRIJEM	VKLAD	15447	51310	\N	\N	\N
885027	3016	1997-12-10	PRIJEM	VKLAD	23170	57599	\N	\N	\N
885028	3016	1998-01-10	PRIJEM	VKLAD	15447	51988	\N	\N	\N
885029	3016	1998-02-10	PRIJEM	VKLAD	15447	45160	\N	\N	\N
885030	3016	1998-03-10	PRIJEM	VKLAD	15447	43000	\N	\N	\N
885031	3016	1998-04-10	PRIJEM	VKLAD	15447	42234	\N	\N	\N
885032	3016	1998-05-10	PRIJEM	VKLAD	15447	46779	\N	\N	\N
885033	3016	1998-06-10	PRIJEM	VKLAD	23170	58358	\N	\N	\N
885034	3016	1998-07-10	PRIJEM	VKLAD	15447	45626	\N	\N	\N
885035	3016	1998-08-10	PRIJEM	VKLAD	15447	50780	\N	\N	\N
885036	3016	1998-09-10	PRIJEM	VKLAD	15447	42619	\N	\N	\N
885037	3016	1998-10-10	PRIJEM	VKLAD	15447	40644	\N	\N	\N
885038	3016	1998-11-10	PRIJEM	VKLAD	15447	39660	\N	\N	\N
885039	3016	1998-12-10	PRIJEM	VKLAD	23170	55318	\N	\N	\N
885046	3016	1996-07-12	VYDAJ	PREVOD NA UCET	8517	44817	SIPO	AB	78590231
885047	3016	1996-08-12	VYDAJ	PREVOD NA UCET	8517	37689	SIPO	AB	78590231
885048	3016	1996-09-12	VYDAJ	PREVOD NA UCET	8517	35638	SIPO	AB	78590231
885049	3016	1996-10-12	VYDAJ	PREVOD NA UCET	8517	36582	SIPO	AB	78590231
885050	3016	1996-11-12	VYDAJ	PREVOD NA UCET	8517	38331	SIPO	AB	78590231
885051	3016	1996-12-12	VYDAJ	PREVOD NA UCET	8517	47712	SIPO	AB	78590231
885052	3016	1997-01-12	VYDAJ	PREVOD NA UCET	8517	30485	SIPO	AB	78590231
885053	3016	1997-02-12	VYDAJ	PREVOD NA UCET	8517	24313	SIPO	AB	78590231
885054	3016	1997-03-12	VYDAJ	PREVOD NA UCET	8517	28915	SIPO	AB	78590231
885055	3016	1997-04-12	VYDAJ	PREVOD NA UCET	8517	30233	SIPO	AB	78590231
885056	3016	1997-05-12	VYDAJ	PREVOD NA UCET	8517	36061	SIPO	AB	78590231
885057	3016	1997-06-12	VYDAJ	PREVOD NA UCET	8517	48034	SIPO	AB	78590231
885058	3016	1997-07-12	VYDAJ	PREVOD NA UCET	8517	24170	SIPO	AB	78590231
885059	3016	1997-08-12	VYDAJ	PREVOD NA UCET	8517	26976	SIPO	AB	78590231
885060	3016	1997-09-12	VYDAJ	PREVOD NA UCET	8517	33599	SIPO	AB	78590231
885061	3016	1997-10-12	VYDAJ	PREVOD NA UCET	8517	37336	SIPO	AB	78590231
885062	3016	1997-11-12	VYDAJ	PREVOD NA UCET	8517	42793	SIPO	AB	78590231
885063	3016	1997-12-12	VYDAJ	PREVOD NA UCET	8517	49082	SIPO	AB	78590231
885064	3016	1998-01-12	VYDAJ	PREVOD NA UCET	8517	43471	SIPO	AB	78590231
885065	3016	1998-02-12	VYDAJ	PREVOD NA UCET	8517	30143	SIPO	AB	78590231
885066	3016	1998-03-12	VYDAJ	PREVOD NA UCET	8517	34483	SIPO	AB	78590231
885067	3016	1998-04-12	VYDAJ	PREVOD NA UCET	8517	33717	SIPO	AB	78590231
885068	3016	1998-05-12	VYDAJ	PREVOD NA UCET	8517	38262	SIPO	AB	78590231
885069	3016	1998-06-12	VYDAJ	PREVOD NA UCET	8517	44641	SIPO	AB	78590231
885070	3016	1998-07-12	VYDAJ	PREVOD NA UCET	8517	35209	SIPO	AB	78590231
885071	3016	1998-08-12	VYDAJ	PREVOD NA UCET	8517	27063	SIPO	AB	78590231
885072	3016	1998-09-12	VYDAJ	PREVOD NA UCET	8517	25102	SIPO	AB	78590231
885073	3016	1998-10-12	VYDAJ	PREVOD NA UCET	8517	26427	SIPO	AB	78590231
885074	3016	1998-11-12	VYDAJ	PREVOD NA UCET	8517	31143	SIPO	AB	78590231
885075	3016	1998-12-12	VYDAJ	PREVOD NA UCET	8517	46801	SIPO	AB	78590231
885077	3016	1997-06-18	VYDAJ	VYBER	21000	17134	\N	\N	\N
885078	3016	1998-06-22	VYDAJ	VYBER	14600	30041	\N	\N	\N
885080	3016	1997-01-29	VYDAJ	VYBER	8700	17285	\N	\N	\N
885081	3016	1998-01-06	VYDAJ	VYBER	4400	36541	\N	\N	\N
885082	3016	1996-12-05	VYDAJ	VYBER	1600	33059	\N	\N	\N
885083	3016	1997-12-05	VYDAJ	VYBER	1400	34429	\N	\N	\N
885084	3016	1998-12-13	VYDAJ	VYBER	700	46101	\N	\N	\N
885091	3016	1997-01-01	VYDAJ	VYBER	500	27655	\N	\N	\N
885092	3016	1997-01-26	VYDAJ	VYBER	800	25985	\N	\N	\N
885093	3016	1997-01-06	VYDAJ	VYBER	2500	25155	\N	\N	\N
885094	3016	1997-01-11	VYDAJ	VYBER	800	39002	\N	\N	\N
885095	3016	1997-01-07	VYDAJ	VYBER	800	24355	\N	\N	\N
885096	3016	1997-01-14	VYDAJ	VYBER	1600	28885	\N	\N	\N
885097	3016	1998-01-26	VYDAJ	VYBER	2700	32971	\N	\N	\N
885098	3016	1998-01-01	VYDAJ	VYBER	800	40941	\N	\N	\N
885099	3016	1998-01-13	VYDAJ	VYBER	1700	38671	\N	\N	\N
885100	3016	1998-01-20	VYDAJ	VYBER	1400	35671	\N	\N	\N
885101	3016	1998-01-29	VYDAJ	VYBER	2500	30471	\N	\N	\N
885102	3016	1998-01-14	VYDAJ	VYBER	1600	37071	\N	\N	\N
885107	3016	1996-12-28	VYDAJ	VYBER	3100	28012	\N	\N	\N
885108	3016	1996-12-24	VYDAJ	VYBER	3800	31112	\N	\N	\N
885109	3016	1997-03-21	VYDAJ	VYBER	3900	25615	\N	\N	\N
885110	3016	1997-08-12	VYDAJ	VYBER	4400	35493	\N	\N	\N
885111	3016	1997-03-24	VYDAJ	VYBER	2400	23215	\N	\N	\N
885112	3016	1997-02-24	VYDAJ	VYBER	800	21913	\N	\N	\N
885113	3016	1997-12-14	VYDAJ	VYBER	600	42382	\N	\N	\N
885114	3016	1997-12-25	VYDAJ	VYBER	800	41582	\N	\N	\N
885115	3016	1998-02-15	VYDAJ	VYBER	2700	27443	\N	\N	\N
885116	3016	1998-10-17	VYDAJ	VYBER	4600	21827	\N	\N	\N
885117	3016	1998-04-06	VYDAJ	VYBER	1800	26787	\N	\N	\N
885118	3016	1998-03-15	VYDAJ	VYBER	3200	28483	\N	\N	\N
885119	3016	1998-02-04	VYDAJ	VYBER	900	29713	\N	\N	\N
885127	3016	1996-07-31	VYDAJ	VYBER	15	30759	SLUZBY	\N	\N
885128	3016	1996-08-31	VYDAJ	VYBER	15	28708	SLUZBY	\N	\N
885129	3016	1996-09-30	VYDAJ	VYBER	15	29652	SLUZBY	\N	\N
885130	3016	1996-10-31	VYDAJ	VYBER	15	31401	SLUZBY	\N	\N
885131	3016	1996-11-30	VYDAJ	VYBER	15	34659	SLUZBY	\N	\N
885132	3016	1996-12-31	VYDAJ	VYBER	15	28155	SLUZBY	\N	\N
885133	3016	1997-01-31	VYDAJ	VYBER	15	17383	SLUZBY	\N	\N
885134	3016	1997-02-28	VYDAJ	VYBER	15	21985	SLUZBY	\N	\N
885135	3016	1997-03-31	VYDAJ	VYBER	15	23303	SLUZBY	\N	\N
885136	3016	1997-04-30	VYDAJ	VYBER	15	29131	SLUZBY	\N	\N
885137	3016	1997-05-31	VYDAJ	VYBER	15	33381	SLUZBY	\N	\N
885138	3016	1997-06-30	VYDAJ	VYBER	15	17240	SLUZBY	\N	\N
885139	3016	1997-07-31	VYDAJ	VYBER	15	24446	SLUZBY	\N	\N
885140	3016	1997-08-31	VYDAJ	VYBER	15	26669	SLUZBY	\N	\N
885141	3016	1997-09-30	VYDAJ	VYBER	15	30406	SLUZBY	\N	\N
885142	3016	1997-10-31	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
885143	3016	1997-11-30	VYDAJ	VYBER	15	35829	SLUZBY	\N	\N
885144	3016	1997-12-31	VYDAJ	VYBER	15	41741	SLUZBY	\N	\N
885145	3016	1998-01-31	VYDAJ	VYBER	15	30613	SLUZBY	\N	\N
885146	3016	1998-02-28	VYDAJ	VYBER	15	27553	SLUZBY	\N	\N
885147	3016	1998-03-31	VYDAJ	VYBER	15	28587	SLUZBY	\N	\N
885148	3016	1998-04-30	VYDAJ	VYBER	15	31332	SLUZBY	\N	\N
885149	3016	1998-05-31	VYDAJ	VYBER	15	35188	SLUZBY	\N	\N
885150	3016	1998-06-30	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
885151	3016	1998-07-31	VYDAJ	VYBER	15	35333	SLUZBY	\N	\N
885152	3016	1998-08-31	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
885153	3016	1998-09-30	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
885154	3016	1998-10-31	VYDAJ	VYBER	15	21913	SLUZBY	\N	\N
885155	3016	1998-11-30	VYDAJ	VYBER	15	31248	SLUZBY	\N	\N
885156	3016	1996-03-24	PRIJEM	VKLAD	1100	17247	\N	\N	\N
885157	3016	1996-04-23	VYDAJ	VYBER	3400	29313	\N	\N	\N
885158	3016	1996-05-23	VYDAJ	VYBER	11400	33445	\N	\N	\N
885159	3016	1996-06-22	VYDAJ	VYBER	19000	37742	\N	\N	\N
885160	3016	1996-07-22	VYDAJ	VYBER	14200	30617	\N	\N	\N
885161	3016	1996-08-21	VYDAJ	VYBER	9100	28589	\N	\N	\N
885162	3016	1996-09-20	VYDAJ	VYBER	6100	29538	\N	\N	\N
885163	3016	1996-10-20	VYDAJ	VYBER	5300	31282	\N	\N	\N
885164	3016	1996-11-19	VYDAJ	VYBER	3800	34531	\N	\N	\N
885165	3016	1996-12-19	VYDAJ	VYBER	12800	34912	\N	\N	\N
885166	3016	1997-01-18	VYDAJ	VYBER	2100	26785	\N	\N	\N
885167	3016	1997-02-17	VYDAJ	VYBER	1600	22713	\N	\N	\N
885168	3016	1997-03-19	PRIJEM	VKLAD	600	29515	\N	\N	\N
885169	3016	1997-04-18	VYDAJ	VYBER	1200	29033	\N	\N	\N
885170	3016	1997-05-18	VYDAJ	VYBER	2800	33261	\N	\N	\N
885171	3016	1997-06-17	VYDAJ	VYBER	9900	38134	\N	\N	\N
885172	3016	1997-07-17	PRIJEM	VKLAD	200	24370	\N	\N	\N
885173	3016	1997-08-16	VYDAJ	VYBER	400	26576	\N	\N	\N
885174	3016	1997-09-15	VYDAJ	VYBER	3300	30299	\N	\N	\N
885175	3016	1997-10-15	VYDAJ	VYBER	1600	35736	\N	\N	\N
885176	3016	1997-11-14	VYDAJ	VYBER	7100	35693	\N	\N	\N
885177	3016	1997-12-14	VYDAJ	VYBER	6100	42982	\N	\N	\N
885178	3016	1998-01-13	VYDAJ	VYBER	3100	40371	\N	\N	\N
885179	3016	1998-02-12	VYDAJ	VYBER	6500	38660	\N	\N	\N
885180	3016	1998-03-14	VYDAJ	VYBER	2800	31683	\N	\N	\N
885181	3016	1998-04-13	VYDAJ	VYBER	2500	31217	\N	\N	\N
885182	3016	1998-05-13	VYDAJ	VYBER	3200	35062	\N	\N	\N
885183	3016	1998-06-12	VYDAJ	VYBER	5200	53158	\N	\N	\N
885184	3016	1998-07-12	VYDAJ	VYBER	1900	43726	\N	\N	\N
885185	3016	1998-08-11	VYDAJ	VYBER	15200	35580	\N	\N	\N
885186	3016	1998-09-10	VYDAJ	VYBER	9000	33619	\N	\N	\N
885187	3016	1998-10-10	VYDAJ	VYBER	5700	34944	\N	\N	\N
885188	3016	1998-11-09	PRIJEM	VKLAD	2300	24213	\N	\N	\N
885189	3016	1998-12-09	PRIJEM	VKLAD	900	32148	\N	\N	\N
885224	3017	1994-08-12	PRIJEM	VKLAD	700	700	\N	\N	\N
885233	3017	1994-09-09	PRIJEM	VKLAD	19194	19894	\N	\N	\N
885234	3017	1994-10-09	PRIJEM	VKLAD	19194	43154	\N	\N	\N
885235	3017	1994-11-09	PRIJEM	VKLAD	19194	51672	\N	\N	\N
885236	3017	1994-12-09	PRIJEM	VKLAD	28791	68318	\N	\N	\N
885237	3017	1995-01-09	PRIJEM	VKLAD	19194	62989	\N	\N	\N
885238	3017	1995-02-09	PRIJEM	VKLAD	19194	41624	\N	\N	\N
885239	3017	1995-03-09	PRIJEM	VKLAD	19194	54002	\N	\N	\N
885240	3017	1995-04-09	PRIJEM	VKLAD	19194	55200	\N	\N	\N
885241	3017	1995-05-09	PRIJEM	VKLAD	19194	53892	\N	\N	\N
885242	3017	1995-06-09	PRIJEM	VKLAD	28791	56366	\N	\N	\N
885243	3017	1995-07-09	PRIJEM	VKLAD	19194	36963	\N	\N	\N
885244	3017	1995-08-09	PRIJEM	VKLAD	19194	38783	\N	\N	\N
885245	3017	1995-09-09	PRIJEM	VKLAD	19194	40451	\N	\N	\N
885246	3017	1995-10-09	PRIJEM	VKLAD	19194	39429	\N	\N	\N
885247	3017	1995-11-09	PRIJEM	VKLAD	19194	39937	\N	\N	\N
885248	3017	1995-12-09	PRIJEM	VKLAD	28791	47503	\N	\N	\N
885249	3017	1996-01-09	PRIJEM	VKLAD	19194	38894	\N	\N	\N
885250	3017	1996-02-09	PRIJEM	VKLAD	19194	30486	\N	\N	\N
885251	3017	1996-03-09	PRIJEM	VKLAD	19194	29785	\N	\N	\N
885252	3017	1996-04-09	PRIJEM	VKLAD	19194	42109	\N	\N	\N
885253	3017	1996-05-09	PRIJEM	VKLAD	19194	35878	\N	\N	\N
885254	3017	1996-06-09	PRIJEM	VKLAD	28791	40027	\N	\N	\N
885255	3017	1996-07-09	PRIJEM	VKLAD	19194	34794	\N	\N	\N
885256	3017	1996-08-09	PRIJEM	VKLAD	19194	32044	\N	\N	\N
885257	3017	1996-09-09	PRIJEM	VKLAD	19194	32780	\N	\N	\N
885258	3017	1996-10-09	PRIJEM	VKLAD	19194	33831	\N	\N	\N
885259	3017	1996-11-09	PRIJEM	VKLAD	19194	32254	\N	\N	\N
885260	3017	1996-12-09	PRIJEM	VKLAD	28791	41375	\N	\N	\N
885261	3017	1997-01-09	PRIJEM	VKLAD	19194	34525	\N	\N	\N
885262	3017	1997-02-09	PRIJEM	VKLAD	19194	36533	\N	\N	\N
885263	3017	1997-03-09	PRIJEM	VKLAD	19194	33973	\N	\N	\N
885264	3017	1997-04-09	PRIJEM	VKLAD	19194	32703	\N	\N	\N
885265	3017	1997-05-09	PRIJEM	VKLAD	19194	33229	\N	\N	\N
885266	3017	1997-06-09	PRIJEM	VKLAD	28791	45353	\N	\N	\N
885267	3017	1997-07-09	PRIJEM	VKLAD	19194	41483	\N	\N	\N
885268	3017	1997-08-09	PRIJEM	VKLAD	19194	36461	\N	\N	\N
885269	3017	1997-09-09	PRIJEM	VKLAD	19194	34201	\N	\N	\N
885270	3017	1997-10-09	PRIJEM	VKLAD	19194	35333	\N	\N	\N
885271	3017	1997-11-09	PRIJEM	VKLAD	19194	34566	\N	\N	\N
885272	3017	1997-12-09	PRIJEM	VKLAD	28791	45911	\N	\N	\N
885273	3017	1998-01-09	PRIJEM	VKLAD	19194	35447	\N	\N	\N
885274	3017	1998-02-09	PRIJEM	VKLAD	19194	33955	\N	\N	\N
885275	3017	1998-03-09	PRIJEM	VKLAD	19194	36778	\N	\N	\N
885276	3017	1998-04-09	PRIJEM	VKLAD	19194	36309	\N	\N	\N
885277	3017	1998-05-09	PRIJEM	VKLAD	19194	33538	\N	\N	\N
885278	3017	1998-06-09	PRIJEM	VKLAD	28791	44159	\N	\N	\N
885279	3017	1998-07-09	PRIJEM	VKLAD	19194	41205	\N	\N	\N
885280	3017	1998-08-09	PRIJEM	VKLAD	19194	34821	\N	\N	\N
885281	3017	1998-09-09	PRIJEM	VKLAD	19194	34640	\N	\N	\N
885282	3017	1998-10-09	PRIJEM	VKLAD	19194	33754	\N	\N	\N
885283	3017	1998-11-09	PRIJEM	VKLAD	19194	32165	\N	\N	\N
885284	3017	1998-12-09	PRIJEM	VKLAD	28791	42268	\N	\N	\N
885297	3017	1995-01-10	VYDAJ	PREVOD NA UCET	3019	37593	SIPO	QR	89721834
885298	3017	1995-02-10	VYDAJ	PREVOD NA UCET	3019	35849	SIPO	QR	89721834
885299	3017	1995-03-10	VYDAJ	PREVOD NA UCET	3019	37906	SIPO	QR	89721834
885300	3017	1995-04-10	VYDAJ	PREVOD NA UCET	3019	35725	SIPO	QR	89721834
885301	3017	1995-05-10	VYDAJ	PREVOD NA UCET	3019	34496	SIPO	QR	89721834
885302	3017	1995-06-10	VYDAJ	PREVOD NA UCET	3019	50591	SIPO	QR	89721834
885303	3017	1995-07-10	VYDAJ	PREVOD NA UCET	3019	31188	SIPO	QR	89721834
885304	3017	1995-08-10	VYDAJ	PREVOD NA UCET	3019	33008	SIPO	QR	89721834
885305	3017	1995-09-10	VYDAJ	PREVOD NA UCET	3019	34676	SIPO	QR	89721834
885306	3017	1995-10-10	VYDAJ	PREVOD NA UCET	3019	34533	SIPO	QR	89721834
885307	3017	1995-11-10	VYDAJ	PREVOD NA UCET	3019	35041	SIPO	QR	89721834
885308	3017	1995-12-10	VYDAJ	PREVOD NA UCET	3019	42607	SIPO	QR	89721834
885309	3017	1996-01-10	VYDAJ	PREVOD NA UCET	3019	30119	SIPO	QR	89721834
885310	3017	1996-02-10	VYDAJ	PREVOD NA UCET	3019	25590	SIPO	QR	89721834
885311	3017	1996-03-10	VYDAJ	PREVOD NA UCET	3019	24889	SIPO	QR	89721834
885312	3017	1996-04-10	VYDAJ	PREVOD NA UCET	3019	37213	SIPO	QR	89721834
885313	3017	1996-05-10	VYDAJ	PREVOD NA UCET	3019	30982	SIPO	QR	89721834
885314	3017	1996-06-10	VYDAJ	PREVOD NA UCET	3019	34252	SIPO	QR	89721834
885315	3017	1996-07-10	VYDAJ	PREVOD NA UCET	3019	29898	SIPO	QR	89721834
885316	3017	1996-08-10	VYDAJ	PREVOD NA UCET	3019	27148	SIPO	QR	89721834
885317	3017	1996-09-10	VYDAJ	PREVOD NA UCET	3019	27005	SIPO	QR	89721834
885318	3017	1996-10-10	VYDAJ	PREVOD NA UCET	3019	28056	SIPO	QR	89721834
885319	3017	1996-11-10	VYDAJ	PREVOD NA UCET	3019	27358	SIPO	QR	89721834
885320	3017	1996-12-10	VYDAJ	PREVOD NA UCET	3019	36479	SIPO	QR	89721834
885321	3017	1997-01-10	VYDAJ	PREVOD NA UCET	3019	29029	SIPO	QR	89721834
885322	3017	1997-02-10	VYDAJ	PREVOD NA UCET	3019	31637	SIPO	QR	89721834
885323	3017	1997-03-10	VYDAJ	PREVOD NA UCET	3019	29077	SIPO	QR	89721834
885324	3017	1997-04-10	VYDAJ	PREVOD NA UCET	3019	27807	SIPO	QR	89721834
885325	3017	1997-05-10	VYDAJ	PREVOD NA UCET	3019	27454	SIPO	QR	89721834
885326	3017	1997-06-10	VYDAJ	PREVOD NA UCET	3019	39578	SIPO	QR	89721834
885327	3017	1997-07-10	VYDAJ	PREVOD NA UCET	3019	35708	SIPO	QR	89721834
885328	3017	1997-08-10	VYDAJ	PREVOD NA UCET	3019	30686	SIPO	QR	89721834
885329	3017	1997-09-10	VYDAJ	PREVOD NA UCET	3019	28426	SIPO	QR	89721834
885330	3017	1997-10-10	VYDAJ	PREVOD NA UCET	3019	29558	SIPO	QR	89721834
885331	3017	1997-11-10	VYDAJ	PREVOD NA UCET	3019	29670	SIPO	QR	89721834
885332	3017	1997-12-10	VYDAJ	PREVOD NA UCET	3019	41015	SIPO	QR	89721834
885333	3017	1998-01-10	VYDAJ	PREVOD NA UCET	3019	30551	SIPO	QR	89721834
885334	3017	1998-02-10	VYDAJ	PREVOD NA UCET	3019	28180	SIPO	QR	89721834
885335	3017	1998-03-10	VYDAJ	PREVOD NA UCET	3019	31882	SIPO	QR	89721834
885336	3017	1998-04-10	VYDAJ	PREVOD NA UCET	3019	31413	SIPO	QR	89721834
885337	3017	1998-05-10	VYDAJ	PREVOD NA UCET	3019	27763	SIPO	QR	89721834
885338	3017	1998-06-10	VYDAJ	PREVOD NA UCET	3019	39263	SIPO	QR	89721834
885339	3017	1998-07-10	VYDAJ	PREVOD NA UCET	3019	35430	SIPO	QR	89721834
885340	3017	1998-08-10	VYDAJ	PREVOD NA UCET	3019	29925	SIPO	QR	89721834
885341	3017	1998-09-10	VYDAJ	PREVOD NA UCET	3019	29744	SIPO	QR	89721834
885342	3017	1998-10-10	VYDAJ	PREVOD NA UCET	3019	28858	SIPO	QR	89721834
885343	3017	1998-11-10	VYDAJ	PREVOD NA UCET	3019	27269	SIPO	QR	89721834
885344	3017	1998-12-10	VYDAJ	PREVOD NA UCET	3019	32333	SIPO	QR	89721834
885357	3017	1995-01-10	VYDAJ	PREVOD NA UCET	879	36714	 	AB	12489307
885358	3017	1995-02-10	VYDAJ	PREVOD NA UCET	879	38868	 	AB	12489307
885359	3017	1995-03-10	VYDAJ	PREVOD NA UCET	879	37027	 	AB	12489307
885360	3017	1995-04-10	VYDAJ	PREVOD NA UCET	879	38744	 	AB	12489307
885361	3017	1995-05-10	VYDAJ	PREVOD NA UCET	879	33617	 	AB	12489307
885362	3017	1995-06-10	VYDAJ	PREVOD NA UCET	879	53610	 	AB	12489307
885363	3017	1995-07-10	VYDAJ	PREVOD NA UCET	879	34207	 	AB	12489307
885364	3017	1995-08-10	VYDAJ	PREVOD NA UCET	879	36027	 	AB	12489307
885365	3017	1995-09-10	VYDAJ	PREVOD NA UCET	879	37695	 	AB	12489307
885366	3017	1995-10-10	VYDAJ	PREVOD NA UCET	879	33654	 	AB	12489307
885367	3017	1995-11-10	VYDAJ	PREVOD NA UCET	879	34162	 	AB	12489307
885368	3017	1995-12-10	VYDAJ	PREVOD NA UCET	879	41728	 	AB	12489307
885369	3017	1996-01-10	VYDAJ	PREVOD NA UCET	879	33138	 	AB	12489307
885370	3017	1996-02-10	VYDAJ	PREVOD NA UCET	879	24711	 	AB	12489307
885371	3017	1996-03-10	VYDAJ	PREVOD NA UCET	879	24010	 	AB	12489307
885372	3017	1996-04-10	VYDAJ	PREVOD NA UCET	879	36334	 	AB	12489307
885373	3017	1996-05-10	VYDAJ	PREVOD NA UCET	879	30103	 	AB	12489307
885374	3017	1996-06-10	VYDAJ	PREVOD NA UCET	879	37271	 	AB	12489307
885375	3017	1996-07-10	VYDAJ	PREVOD NA UCET	879	29019	 	AB	12489307
885376	3017	1996-08-10	VYDAJ	PREVOD NA UCET	879	26269	 	AB	12489307
885377	3017	1996-09-10	VYDAJ	PREVOD NA UCET	879	30024	 	AB	12489307
885378	3017	1996-10-10	VYDAJ	PREVOD NA UCET	879	31075	 	AB	12489307
885379	3017	1996-11-10	VYDAJ	PREVOD NA UCET	879	26479	 	AB	12489307
885380	3017	1996-12-10	VYDAJ	PREVOD NA UCET	879	35600	 	AB	12489307
885381	3017	1997-01-10	VYDAJ	PREVOD NA UCET	879	28150	 	AB	12489307
885382	3017	1997-02-10	VYDAJ	PREVOD NA UCET	879	30758	 	AB	12489307
885383	3017	1997-03-10	VYDAJ	PREVOD NA UCET	879	28198	 	AB	12489307
885384	3017	1997-04-10	VYDAJ	PREVOD NA UCET	879	26928	 	AB	12489307
885385	3017	1997-05-10	VYDAJ	PREVOD NA UCET	879	30473	 	AB	12489307
885386	3017	1997-06-10	VYDAJ	PREVOD NA UCET	879	42597	 	AB	12489307
885387	3017	1997-07-10	VYDAJ	PREVOD NA UCET	879	38727	 	AB	12489307
885388	3017	1997-08-10	VYDAJ	PREVOD NA UCET	879	33705	 	AB	12489307
885389	3017	1997-09-10	VYDAJ	PREVOD NA UCET	879	31445	 	AB	12489307
885390	3017	1997-10-10	VYDAJ	PREVOD NA UCET	879	32577	 	AB	12489307
885391	3017	1997-11-10	VYDAJ	PREVOD NA UCET	879	28791	 	AB	12489307
885392	3017	1997-12-10	VYDAJ	PREVOD NA UCET	879	40136	 	AB	12489307
885393	3017	1998-01-10	VYDAJ	PREVOD NA UCET	879	29672	 	AB	12489307
885394	3017	1998-02-10	VYDAJ	PREVOD NA UCET	879	31199	 	AB	12489307
885395	3017	1998-03-10	VYDAJ	PREVOD NA UCET	879	31003	 	AB	12489307
885396	3017	1998-04-10	VYDAJ	PREVOD NA UCET	879	30534	 	AB	12489307
885397	3017	1998-05-10	VYDAJ	PREVOD NA UCET	879	30782	 	AB	12489307
885398	3017	1998-06-10	VYDAJ	PREVOD NA UCET	879	38384	 	AB	12489307
885399	3017	1998-07-10	VYDAJ	PREVOD NA UCET	879	38449	 	AB	12489307
885400	3017	1998-08-10	VYDAJ	PREVOD NA UCET	879	29046	 	AB	12489307
885401	3017	1998-09-10	VYDAJ	PREVOD NA UCET	879	28865	 	AB	12489307
885402	3017	1998-10-10	VYDAJ	PREVOD NA UCET	879	27979	 	AB	12489307
885403	3017	1998-11-10	VYDAJ	PREVOD NA UCET	879	26390	 	AB	12489307
885404	3017	1998-12-10	VYDAJ	PREVOD NA UCET	879	35352	 	AB	12489307
885418	3017	1995-02-05	VYDAJ	PREVOD NA UCET	1173	25830	POJISTNE	GH	57924091
885419	3017	1995-03-05	VYDAJ	PREVOD NA UCET	1173	34808	POJISTNE	GH	57924091
885420	3017	1995-04-05	VYDAJ	PREVOD NA UCET	1173	36006	POJISTNE	GH	57924091
885421	3017	1995-05-05	VYDAJ	PREVOD NA UCET	1173	34698	POJISTNE	GH	57924091
885422	3017	1995-06-05	VYDAJ	PREVOD NA UCET	1173	32575	POJISTNE	GH	57924091
885423	3017	1995-07-05	VYDAJ	PREVOD NA UCET	1173	21869	POJISTNE	GH	57924091
885424	3017	1995-08-05	VYDAJ	PREVOD NA UCET	1173	24489	POJISTNE	GH	57924091
885425	3017	1995-09-05	VYDAJ	PREVOD NA UCET	1173	31957	POJISTNE	GH	57924091
885426	3017	1995-10-05	VYDAJ	PREVOD NA UCET	1173	33635	POJISTNE	GH	57924091
885427	3017	1995-11-05	VYDAJ	PREVOD NA UCET	1173	31643	POJISTNE	GH	57924091
885428	3017	1995-12-05	VYDAJ	PREVOD NA UCET	1173	18712	POJISTNE	GH	57924091
885429	3017	1996-01-05	VYDAJ	PREVOD NA UCET	1173	21020	POJISTNE	GH	57924091
885430	3017	1996-02-05	VYDAJ	PREVOD NA UCET	1173	11292	POJISTNE	GH	57924091
885431	3017	1996-03-05	VYDAJ	PREVOD NA UCET	1173	10591	POJISTNE	GH	57924091
885432	3017	1996-04-05	VYDAJ	PREVOD NA UCET	1173	22915	POJISTNE	GH	57924091
885433	3017	1996-05-05	VYDAJ	PREVOD NA UCET	1173	16684	POJISTNE	GH	57924091
885434	3017	1996-06-05	VYDAJ	PREVOD NA UCET	1173	11236	POJISTNE	GH	57924091
885435	3017	1996-07-05	VYDAJ	PREVOD NA UCET	1173	15600	POJISTNE	GH	57924091
885436	3017	1996-08-05	VYDAJ	PREVOD NA UCET	1173	12850	POJISTNE	GH	57924091
885437	3017	1996-09-05	VYDAJ	PREVOD NA UCET	1173	13586	POJISTNE	GH	57924091
885438	3017	1996-10-05	VYDAJ	PREVOD NA UCET	1173	14637	POJISTNE	GH	57924091
885439	3017	1996-11-05	VYDAJ	PREVOD NA UCET	1173	13060	POJISTNE	GH	57924091
885440	3017	1996-12-05	VYDAJ	PREVOD NA UCET	1173	12584	POJISTNE	GH	57924091
885441	3017	1997-01-05	VYDAJ	PREVOD NA UCET	1173	15331	POJISTNE	GH	57924091
885442	3017	1997-02-05	VYDAJ	PREVOD NA UCET	1173	17339	POJISTNE	GH	57924091
885443	3017	1997-03-05	VYDAJ	PREVOD NA UCET	1173	14779	POJISTNE	GH	57924091
885444	3017	1997-04-05	VYDAJ	PREVOD NA UCET	1173	13509	POJISTNE	GH	57924091
885445	3017	1997-05-05	VYDAJ	PREVOD NA UCET	1173	14035	POJISTNE	GH	57924091
885446	3017	1997-06-05	VYDAJ	PREVOD NA UCET	1173	16562	POJISTNE	GH	57924091
885447	3017	1997-07-05	VYDAJ	PREVOD NA UCET	1173	22289	POJISTNE	GH	57924091
885448	3017	1997-08-05	VYDAJ	PREVOD NA UCET	1173	17267	POJISTNE	GH	57924091
885449	3017	1997-09-05	VYDAJ	PREVOD NA UCET	1173	15007	POJISTNE	GH	57924091
885450	3017	1997-10-05	VYDAJ	PREVOD NA UCET	1173	16139	POJISTNE	GH	57924091
885451	3017	1997-11-05	VYDAJ	PREVOD NA UCET	1173	15372	POJISTNE	GH	57924091
885452	3017	1997-12-05	VYDAJ	PREVOD NA UCET	1173	17120	POJISTNE	GH	57924091
885453	3017	1998-01-05	VYDAJ	PREVOD NA UCET	1173	17333	POJISTNE	GH	57924091
885454	3017	1998-02-05	VYDAJ	PREVOD NA UCET	1173	14761	POJISTNE	GH	57924091
885455	3017	1998-03-05	VYDAJ	PREVOD NA UCET	1173	17584	POJISTNE	GH	57924091
885456	3017	1998-04-05	VYDAJ	PREVOD NA UCET	1173	17115	POJISTNE	GH	57924091
885457	3017	1998-05-05	VYDAJ	PREVOD NA UCET	1173	14344	POJISTNE	GH	57924091
885458	3017	1998-06-05	VYDAJ	PREVOD NA UCET	1173	15368	POJISTNE	GH	57924091
885459	3017	1998-07-05	VYDAJ	PREVOD NA UCET	1173	22011	POJISTNE	GH	57924091
885460	3017	1998-08-05	VYDAJ	PREVOD NA UCET	1173	15627	POJISTNE	GH	57924091
885461	3017	1998-09-05	VYDAJ	PREVOD NA UCET	1173	15446	POJISTNE	GH	57924091
885462	3017	1998-10-05	VYDAJ	PREVOD NA UCET	1173	14560	POJISTNE	GH	57924091
885463	3017	1998-11-05	VYDAJ	PREVOD NA UCET	1173	12971	POJISTNE	GH	57924091
885464	3017	1998-12-05	VYDAJ	PREVOD NA UCET	1173	13477	POJISTNE	GH	57924091
885477	3017	1995-01-09	VYDAJ	PREVOD NA UCET	1877	61112	 	MN	8393472
885478	3017	1995-02-09	VYDAJ	PREVOD NA UCET	1877	39747	 	MN	8393472
885479	3017	1995-03-09	VYDAJ	PREVOD NA UCET	1877	52125	 	MN	8393472
885480	3017	1995-04-09	VYDAJ	PREVOD NA UCET	1877	53323	 	MN	8393472
885481	3017	1995-05-09	VYDAJ	PREVOD NA UCET	1877	52015	 	MN	8393472
885482	3017	1995-06-09	VYDAJ	PREVOD NA UCET	1877	54489	 	MN	8393472
885483	3017	1995-07-09	VYDAJ	PREVOD NA UCET	1877	35086	 	MN	8393472
885484	3017	1995-08-09	VYDAJ	PREVOD NA UCET	1877	36906	 	MN	8393472
885485	3017	1995-09-09	VYDAJ	PREVOD NA UCET	1877	38574	 	MN	8393472
885486	3017	1995-10-09	VYDAJ	PREVOD NA UCET	1877	37552	 	MN	8393472
885487	3017	1995-11-09	VYDAJ	PREVOD NA UCET	1877	38060	 	MN	8393472
885488	3017	1995-12-09	VYDAJ	PREVOD NA UCET	1877	45626	 	MN	8393472
885489	3017	1996-01-09	VYDAJ	PREVOD NA UCET	1877	34017	 	MN	8393472
885490	3017	1996-02-09	VYDAJ	PREVOD NA UCET	1877	28609	 	MN	8393472
885491	3017	1996-03-09	VYDAJ	PREVOD NA UCET	1877	27908	 	MN	8393472
885492	3017	1996-04-09	VYDAJ	PREVOD NA UCET	1877	40232	 	MN	8393472
885493	3017	1996-05-09	VYDAJ	PREVOD NA UCET	1877	34001	 	MN	8393472
885494	3017	1996-06-09	VYDAJ	PREVOD NA UCET	1877	38150	 	MN	8393472
885495	3017	1996-07-09	VYDAJ	PREVOD NA UCET	1877	32917	 	MN	8393472
885496	3017	1996-08-09	VYDAJ	PREVOD NA UCET	1877	30167	 	MN	8393472
885497	3017	1996-09-09	VYDAJ	PREVOD NA UCET	1877	30903	 	MN	8393472
885498	3017	1996-10-09	VYDAJ	PREVOD NA UCET	1877	31954	 	MN	8393472
885499	3017	1996-11-09	VYDAJ	PREVOD NA UCET	1877	30377	 	MN	8393472
885500	3017	1996-12-09	VYDAJ	PREVOD NA UCET	1877	39498	 	MN	8393472
885501	3017	1997-01-09	VYDAJ	PREVOD NA UCET	1877	32048	 	MN	8393472
885502	3017	1997-02-09	VYDAJ	PREVOD NA UCET	1877	34656	 	MN	8393472
885503	3017	1997-03-09	VYDAJ	PREVOD NA UCET	1877	32096	 	MN	8393472
885504	3017	1997-04-09	VYDAJ	PREVOD NA UCET	1877	30826	 	MN	8393472
885505	3017	1997-05-09	VYDAJ	PREVOD NA UCET	1877	31352	 	MN	8393472
885506	3017	1997-06-09	VYDAJ	PREVOD NA UCET	1877	43476	 	MN	8393472
885507	3017	1997-07-09	VYDAJ	PREVOD NA UCET	1877	39606	 	MN	8393472
885508	3017	1997-08-09	VYDAJ	PREVOD NA UCET	1877	34584	 	MN	8393472
885509	3017	1997-09-09	VYDAJ	PREVOD NA UCET	1877	32324	 	MN	8393472
885510	3017	1997-10-09	VYDAJ	PREVOD NA UCET	1877	33456	 	MN	8393472
885511	3017	1997-11-09	VYDAJ	PREVOD NA UCET	1877	32689	 	MN	8393472
885512	3017	1997-12-09	VYDAJ	PREVOD NA UCET	1877	44034	 	MN	8393472
885513	3017	1998-01-09	VYDAJ	PREVOD NA UCET	1877	33570	 	MN	8393472
885514	3017	1998-02-09	VYDAJ	PREVOD NA UCET	1877	32078	 	MN	8393472
885515	3017	1998-03-09	VYDAJ	PREVOD NA UCET	1877	34901	 	MN	8393472
885516	3017	1998-04-09	VYDAJ	PREVOD NA UCET	1877	34432	 	MN	8393472
885517	3017	1998-05-09	VYDAJ	PREVOD NA UCET	1877	31661	 	MN	8393472
885518	3017	1998-06-09	VYDAJ	PREVOD NA UCET	1877	42282	 	MN	8393472
885519	3017	1998-07-09	VYDAJ	PREVOD NA UCET	1877	39328	 	MN	8393472
885520	3017	1998-08-09	VYDAJ	PREVOD NA UCET	1877	32944	 	MN	8393472
885521	3017	1998-09-09	VYDAJ	PREVOD NA UCET	1877	32763	 	MN	8393472
885522	3017	1998-10-09	VYDAJ	PREVOD NA UCET	1877	31877	 	MN	8393472
885523	3017	1998-11-09	VYDAJ	PREVOD NA UCET	1877	30288	 	MN	8393472
885524	3017	1998-12-09	VYDAJ	PREVOD NA UCET	1877	40391	 	MN	8393472
885526	3017	1995-06-19	VYDAJ	VYBER	27680	22911	\N	\N	\N
885532	3017	1996-01-15	VYDAJ	VYBER	6560	22359	\N	\N	\N
885534	3017	1998-01-02	VYDAJ	VYBER	6720	18506	\N	\N	\N
885536	3017	1995-12-28	VYDAJ	VYBER	1760	39968	\N	\N	\N
885538	3017	1997-12-20	VYDAJ	VYBER	4320	35816	\N	\N	\N
885539	3017	1998-12-09	VYDAJ	VYBER	4160	36231	\N	\N	\N
885548	3017	1995-01-17	VYDAJ	VYBER	1320	28914	\N	\N	\N
885549	3017	1995-01-12	VYDAJ	VYBER	3000	33714	\N	\N	\N
885550	3017	1995-01-28	VYDAJ	VYBER	2040	26874	\N	\N	\N
885551	3017	1995-01-14	VYDAJ	VYBER	3480	30234	\N	\N	\N
885552	3017	1996-01-14	VYDAJ	VYBER	600	28919	\N	\N	\N
885553	3017	1996-01-11	VYDAJ	VYBER	600	29519	\N	\N	\N
885554	3017	1996-01-07	VYDAJ	VYBER	1320	19700	\N	\N	\N
885555	3017	1996-01-09	VYDAJ	VYBER	3000	35894	\N	\N	\N
885556	3017	1996-01-24	VYDAJ	VYBER	3480	18879	\N	\N	\N
885557	3017	1996-01-02	VYDAJ	VYBER	1200	37593	\N	\N	\N
885558	3017	1997-01-15	VYDAJ	VYBER	840	27310	\N	\N	\N
885559	3017	1997-01-23	VYDAJ	VYBER	720	25270	\N	\N	\N
885560	3017	1997-01-23	VYDAJ	VYBER	2040	23230	\N	\N	\N
885561	3017	1997-01-27	VYDAJ	VYBER	600	22630	\N	\N	\N
885562	3017	1997-01-16	VYDAJ	VYBER	1320	25990	\N	\N	\N
885563	3017	1997-01-09	VYDAJ	VYBER	600	33925	\N	\N	\N
885566	3017	1998-01-21	VYDAJ	VYBER	840	27872	\N	\N	\N
885568	3017	1998-01-26	VYDAJ	VYBER	2520	15852	\N	\N	\N
885569	3017	1998-01-10	VYDAJ	VYBER	960	28712	\N	\N	\N
885575	3017	1995-10-31	VYDAJ	VYBER	960	32816	\N	\N	\N
885576	3017	1995-07-31	VYDAJ	VYBER	5640	25662	\N	\N	\N
885577	3017	1996-05-15	VYDAJ	VYBER	600	29503	\N	\N	\N
885578	3017	1996-01-01	VYDAJ	VYBER	1320	38793	\N	\N	\N
885579	3017	1996-10-30	VYDAJ	VYBER	4920	23136	\N	\N	\N
885580	3017	1996-02-18	VYDAJ	VYBER	2520	22191	\N	\N	\N
885581	3017	1997-07-21	VYDAJ	VYBER	1080	34628	\N	\N	\N
885582	3017	1997-02-01	VYDAJ	VYBER	2520	20192	\N	\N	\N
885583	3017	1997-07-03	VYDAJ	VYBER	1440	23462	\N	\N	\N
885584	3017	1997-11-23	VYDAJ	VYBER	3480	25311	\N	\N	\N
885585	3017	1997-02-02	VYDAJ	VYBER	1680	18512	\N	\N	\N
885586	3017	1998-07-18	VYDAJ	VYBER	5520	29910	\N	\N	\N
885587	3017	1998-04-30	VYDAJ	VYBER	2400	15532	\N	\N	\N
885588	3017	1998-09-11	VYDAJ	VYBER	1200	27665	\N	\N	\N
885590	3017	1998-01-05	VYDAJ	VYBER	1080	16253	\N	\N	\N
885604	3017	1995-01-31	VYDAJ	VYBER	15	27003	SLUZBY	\N	\N
885605	3017	1995-02-28	VYDAJ	VYBER	15	35981	SLUZBY	\N	\N
885606	3017	1995-03-31	VYDAJ	VYBER	15	37179	SLUZBY	\N	\N
885607	3017	1995-04-30	VYDAJ	VYBER	15	35871	SLUZBY	\N	\N
885608	3017	1995-05-31	VYDAJ	VYBER	15	33748	SLUZBY	\N	\N
885609	3017	1995-06-30	VYDAJ	VYBER	15	23042	SLUZBY	\N	\N
885610	3017	1995-07-31	VYDAJ	VYBER	15	31302	SLUZBY	\N	\N
885611	3017	1995-08-31	VYDAJ	VYBER	15	33130	SLUZBY	\N	\N
885612	3017	1995-09-30	VYDAJ	VYBER	15	34808	SLUZBY	\N	\N
885613	3017	1995-10-31	VYDAJ	VYBER	15	33776	SLUZBY	\N	\N
885614	3017	1995-11-30	VYDAJ	VYBER	15	34285	SLUZBY	\N	\N
885615	3017	1995-12-31	VYDAJ	VYBER	15	40113	SLUZBY	\N	\N
885616	3017	1996-01-31	VYDAJ	VYBER	15	18965	SLUZBY	\N	\N
885617	3017	1996-02-29	VYDAJ	VYBER	15	22264	SLUZBY	\N	\N
885618	3017	1996-03-31	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
885619	3017	1996-04-30	VYDAJ	VYBER	15	36457	SLUZBY	\N	\N
885620	3017	1996-05-31	VYDAJ	VYBER	15	29609	SLUZBY	\N	\N
885621	3017	1996-06-30	VYDAJ	VYBER	15	34373	SLUZBY	\N	\N
885622	3017	1996-07-31	VYDAJ	VYBER	15	29123	SLUZBY	\N	\N
885623	3017	1996-08-31	VYDAJ	VYBER	15	26359	SLUZBY	\N	\N
885624	3017	1996-09-30	VYDAJ	VYBER	15	27110	SLUZBY	\N	\N
885625	3017	1996-10-31	VYDAJ	VYBER	15	14233	SLUZBY	\N	\N
885626	3017	1996-11-30	VYDAJ	VYBER	15	13757	SLUZBY	\N	\N
885627	3017	1996-12-31	VYDAJ	VYBER	15	16504	SLUZBY	\N	\N
885628	3017	1997-01-31	VYDAJ	VYBER	15	22712	SLUZBY	\N	\N
885629	3017	1997-02-28	VYDAJ	VYBER	15	15952	SLUZBY	\N	\N
885630	3017	1997-03-31	VYDAJ	VYBER	15	14682	SLUZBY	\N	\N
885631	3017	1997-04-30	VYDAJ	VYBER	15	15208	SLUZBY	\N	\N
885632	3017	1997-05-31	VYDAJ	VYBER	15	17735	SLUZBY	\N	\N
885633	3017	1997-06-30	VYDAJ	VYBER	15	24902	SLUZBY	\N	\N
885634	3017	1997-07-31	VYDAJ	VYBER	15	18440	SLUZBY	\N	\N
885635	3017	1997-08-31	VYDAJ	VYBER	15	16180	SLUZBY	\N	\N
885636	3017	1997-09-30	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
885637	3017	1997-10-31	VYDAJ	VYBER	15	16545	SLUZBY	\N	\N
885638	3017	1997-11-30	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
885639	3017	1997-12-31	VYDAJ	VYBER	15	25226	SLUZBY	\N	\N
885640	3017	1998-01-31	VYDAJ	VYBER	15	15934	SLUZBY	\N	\N
885641	3017	1998-02-28	VYDAJ	VYBER	15	18757	SLUZBY	\N	\N
885642	3017	1998-03-31	VYDAJ	VYBER	15	18288	SLUZBY	\N	\N
885643	3017	1998-04-30	VYDAJ	VYBER	15	15517	SLUZBY	\N	\N
885644	3017	1998-05-31	VYDAJ	VYBER	15	16541	SLUZBY	\N	\N
885645	3017	1998-06-30	VYDAJ	VYBER	15	23184	SLUZBY	\N	\N
885646	3017	1998-07-31	VYDAJ	VYBER	15	16800	SLUZBY	\N	\N
885647	3017	1998-08-31	VYDAJ	VYBER	15	16619	SLUZBY	\N	\N
885648	3017	1998-09-30	VYDAJ	VYBER	15	15733	SLUZBY	\N	\N
885649	3017	1998-10-31	VYDAJ	VYBER	15	14144	SLUZBY	\N	\N
885650	3017	1998-11-30	VYDAJ	VYBER	15	14650	SLUZBY	\N	\N
885651	3017	1994-09-11	PRIJEM	VKLAD	4000	23894	\N	\N	\N
885652	3017	1994-10-11	VYDAJ	VYBER	10800	32354	\N	\N	\N
885653	3017	1994-11-10	VYDAJ	VYBER	12300	39372	\N	\N	\N
885654	3017	1994-12-10	VYDAJ	VYBER	24700	43618	\N	\N	\N
885655	3017	1995-01-09	VYDAJ	VYBER	20500	40612	\N	\N	\N
885656	3017	1995-02-08	VYDAJ	VYBER	3400	22430	\N	\N	\N
885657	3017	1995-03-10	VYDAJ	VYBER	11200	40925	\N	\N	\N
885658	3017	1995-04-09	VYDAJ	VYBER	13700	39623	\N	\N	\N
885659	3017	1995-05-09	VYDAJ	VYBER	14500	37515	\N	\N	\N
885660	3017	1995-06-08	VYDAJ	VYBER	5000	27575	\N	\N	\N
885661	3017	1995-07-08	VYDAJ	VYBER	4100	17769	\N	\N	\N
885662	3017	1995-08-07	VYDAJ	VYBER	4900	19589	\N	\N	\N
885663	3017	1995-09-06	VYDAJ	VYBER	10700	21257	\N	\N	\N
885664	3017	1995-10-06	VYDAJ	VYBER	13400	20235	\N	\N	\N
885665	3017	1995-11-05	VYDAJ	VYBER	10900	20743	\N	\N	\N
885666	3017	1995-12-05	VYDAJ	VYBER	14400	19885	\N	\N	\N
885667	3017	1996-01-04	VYDAJ	VYBER	15400	22193	\N	\N	\N
885668	3017	1996-02-03	VYDAJ	VYBER	6500	12465	\N	\N	\N
885669	3017	1996-03-04	VYDAJ	VYBER	10500	11764	\N	\N	\N
885670	3017	1996-05-03	VYDAJ	VYBER	18600	17857	\N	\N	\N
885671	3017	1996-06-02	VYDAJ	VYBER	17200	12409	\N	\N	\N
885672	3017	1996-07-02	VYDAJ	VYBER	17600	16773	\N	\N	\N
885673	3017	1996-08-01	VYDAJ	VYBER	15100	14023	\N	\N	\N
885674	3017	1996-08-31	VYDAJ	VYBER	11600	14759	\N	\N	\N
885675	3017	1996-09-30	VYDAJ	VYBER	11300	15810	\N	\N	\N
885676	3017	1996-10-30	VYDAJ	VYBER	9000	14136	\N	\N	\N
885677	3017	1996-11-29	VYDAJ	VYBER	12800	13679	\N	\N	\N
885678	3017	1996-12-29	VYDAJ	VYBER	19200	16400	\N	\N	\N
885679	3017	1997-02-27	VYDAJ	VYBER	14900	15858	\N	\N	\N
885680	3017	1997-03-29	VYDAJ	VYBER	13600	14598	\N	\N	\N
885681	3017	1997-04-28	VYDAJ	VYBER	11800	15128	\N	\N	\N
885682	3017	1997-05-28	VYDAJ	VYBER	9800	17654	\N	\N	\N
885683	3017	1997-06-27	VYDAJ	VYBER	14800	24778	\N	\N	\N
885684	3017	1997-07-27	VYDAJ	VYBER	16300	18328	\N	\N	\N
885685	3017	1997-08-26	VYDAJ	VYBER	14600	16086	\N	\N	\N
885686	3017	1997-09-25	VYDAJ	VYBER	11200	17226	\N	\N	\N
885687	3017	1997-10-25	VYDAJ	VYBER	13100	16458	\N	\N	\N
885688	3017	1997-11-24	VYDAJ	VYBER	7100	18211	\N	\N	\N
885689	3017	1997-12-24	VYDAJ	VYBER	10700	25116	\N	\N	\N
885690	3017	1998-01-23	VYDAJ	VYBER	9500	18372	\N	\N	\N
885691	3017	1998-02-22	VYDAJ	VYBER	9500	18680	\N	\N	\N
885692	3017	1998-03-24	VYDAJ	VYBER	12800	18203	\N	\N	\N
885693	3017	1998-04-23	VYDAJ	VYBER	12700	17834	\N	\N	\N
885694	3017	1998-05-23	VYDAJ	VYBER	11300	16463	\N	\N	\N
885695	3017	1998-06-22	VYDAJ	VYBER	15300	23084	\N	\N	\N
885696	3017	1998-07-22	VYDAJ	VYBER	13200	16710	\N	\N	\N
885697	3017	1998-08-21	VYDAJ	VYBER	12500	16546	\N	\N	\N
885698	3017	1998-09-20	VYDAJ	VYBER	12000	15665	\N	\N	\N
885699	3017	1998-10-20	VYDAJ	VYBER	13900	14079	\N	\N	\N
885700	3017	1998-11-19	VYDAJ	VYBER	11800	14590	\N	\N	\N
885753	3018	1996-12-03	PRIJEM	VKLAD	600	600	\N	\N	\N
885782	3018	1997-07-10	PRIJEM	VKLAD	26764	108059	\N	\N	\N
885783	3018	1997-04-12	PRIJEM	VKLAD	22488	75005	\N	\N	\N
885784	3018	1997-05-28	PRIJEM	VKLAD	42769	159656	\N	\N	\N
885785	3018	1997-01-13	PRIJEM	VKLAD	11688	23788	\N	\N	\N
885786	3018	1997-08-13	PRIJEM	VKLAD	37001	96573	\N	\N	\N
885787	3018	1997-08-01	PRIJEM	VKLAD	17636	73920	\N	\N	\N
885788	3018	1997-05-09	PRIJEM	VKLAD	26219	88320	\N	\N	\N
885789	3018	1997-04-24	PRIJEM	VKLAD	16769	91774	\N	\N	\N
885790	3018	1997-09-10	PRIJEM	VKLAD	28980	83701	\N	\N	\N
885791	3018	1997-07-08	PRIJEM	VKLAD	46739	121995	\N	\N	\N
885792	3018	1997-12-23	PRIJEM	VKLAD	29786	47497	\N	\N	\N
885793	3018	1997-12-09	PRIJEM	VKLAD	18680	21911	\N	\N	\N
885794	3018	1997-06-20	PRIJEM	VKLAD	44470	74910	\N	\N	\N
885795	3018	1997-07-07	PRIJEM	VKLAD	35725	75256	\N	\N	\N
885796	3018	1997-03-21	PRIJEM	VKLAD	16841	41289	\N	\N	\N
885797	3018	1997-05-25	PRIJEM	VKLAD	47767	136087	\N	\N	\N
885798	3018	1997-03-26	PRIJEM	VKLAD	41570	82859	\N	\N	\N
885799	3018	1998-03-09	PRIJEM	VKLAD	14929	15312	\N	\N	\N
885800	3018	1998-05-23	PRIJEM	VKLAD	43043	49274	\N	\N	\N
885801	3018	1998-01-18	PRIJEM	VKLAD	32678	31168	\N	\N	\N
885802	3018	1998-10-05	PRIJEM	VKLAD	21318	38756	\N	\N	\N
885810	3018	1997-10-07	VYBER	VYBER	11642	42361	\N	\N	\N
885813	3018	1997-12-07	VYBER	VYBER	15844	3231	\N	\N	\N
885814	3018	1997-08-12	VYBER	VYBER	14348	59572	\N	\N	\N
885815	3018	1997-10-14	VYBER	VYBER	17602	24759	\N	\N	\N
885816	3018	1997-06-20	VYBER	VYBER	24837	50073	\N	\N	\N
885818	3018	1997-06-02	VYBER	VYBER	10312	42740	\N	\N	\N
885819	3018	1998-10-09	VYBER	VYBER	14101	24655	\N	\N	\N
885820	3018	1998-03-09	VYBER	VYBER	16575	-1263	\N	\N	\N
885822	3018	1998-06-02	VYBER	VYBER	7359	25543	\N	\N	\N
885826	3018	1998-01-22	VYBER	VYBER	7811	19457	\N	\N	\N
885828	3018	1998-06-15	VYBER	VYBER	7004	3839	\N	\N	\N
885829	3018	1998-10-30	VYBER	VYBER	12113	9942	\N	\N	\N
885830	3018	1998-11-04	VYBER	VYBER	9162	853	\N	\N	\N
885831	3018	1998-03-03	VYBER	VYBER	13673	383	\N	\N	\N
885833	3018	1997-12-11	VYDAJ	VYBER	4200	17711	\N	\N	\N
885834	3018	1998-12-12	VYDAJ	VYBER	3600	8882	\N	\N	\N
885847	3018	1998-01-07	VYDAJ	VYBER	6600	21290	\N	\N	\N
885848	3018	1998-01-08	VYDAJ	VYBER	4500	16790	\N	\N	\N
885849	3018	1998-01-18	VYDAJ	VYBER	3900	27268	\N	\N	\N
885850	3018	1998-01-22	VYDAJ	VYBER	6600	12857	\N	\N	\N
885851	3018	1998-01-14	VYDAJ	VYBER	3900	-1511	\N	\N	\N
885852	3018	1998-01-29	VYDAJ	VYBER	6600	12857	\N	\N	\N
885857	3018	1997-07-16	VYDAJ	VYBER	12300	78659	\N	\N	\N
885858	3018	1997-11-23	VYDAJ	VYBER	10500	12097	\N	\N	\N
885860	3018	1997-09-06	VYDAJ	VYBER	9600	54721	\N	\N	\N
885861	3018	1997-06-07	VYDAJ	VYBER	12300	30440	\N	\N	\N
885862	3018	1998-01-09	VYDAJ	VYBER	14400	2390	\N	\N	\N
885863	3018	1998-09-16	VYDAJ	VYBER	9300	10473	\N	\N	\N
885864	3018	1998-04-05	VYDAJ	VYBER	5100	-1969	\N	\N	\N
885865	3018	1998-06-02	VYDAJ	VYBER	4800	20743	\N	\N	\N
885866	3018	1998-06-06	VYDAJ	VYBER	9900	10843	\N	\N	\N
885868	3018	1998-01-06	VYDAJ	VYBER	10800	27890	\N	\N	\N
885885	3018	1997-04-30	VYDAJ	VYBER	15	92101	SLUZBY	\N	\N
885886	3018	1997-05-31	VYDAJ	VYBER	15	81252	SLUZBY	\N	\N
885887	3018	1997-06-30	VYDAJ	VYBER	15	50231	SLUZBY	\N	\N
885888	3018	1997-07-31	VYDAJ	VYBER	15	56284	SLUZBY	\N	\N
885889	3018	1997-08-31	VYDAJ	VYBER	15	64321	SLUZBY	\N	\N
885890	3018	1997-09-30	VYDAJ	VYBER	15	54003	SLUZBY	\N	\N
885891	3018	1997-10-31	VYDAJ	VYBER	15	22597	SLUZBY	\N	\N
885892	3018	1997-11-30	VYDAJ	VYBER	15	19075	SLUZBY	\N	\N
885893	3018	1997-12-31	VYDAJ	VYBER	15	38690	SLUZBY	\N	\N
885894	3018	1998-01-31	VYDAJ	VYBER	15	12918	SLUZBY	\N	\N
885895	3018	1998-02-28	VYDAJ	VYBER	15	14056	SLUZBY	\N	\N
885896	3018	1998-03-31	VYDAJ	VYBER	15	3131	SLUZBY	\N	\N
885897	3018	1998-04-30	VYDAJ	VYBER	15	6231	SLUZBY	\N	\N
885898	3018	1998-05-31	VYDAJ	VYBER	15	32902	SLUZBY	\N	\N
885899	3018	1998-06-30	VYDAJ	VYBER	15	14070	SLUZBY	\N	\N
885900	3018	1998-07-31	VYDAJ	VYBER	15	17814	SLUZBY	\N	\N
885901	3018	1998-08-31	VYDAJ	VYBER	15	19773	SLUZBY	\N	\N
885902	3018	1998-09-30	VYDAJ	VYBER	15	17438	SLUZBY	\N	\N
885903	3018	1998-10-31	VYDAJ	VYBER	15	10015	SLUZBY	\N	\N
885904	3018	1998-11-30	VYDAJ	VYBER	15	12482	SLUZBY	\N	\N
885905	3018	1997-01-02	PRIJEM	VKLAD	11500	12100	\N	\N	\N
885906	3018	1997-02-01	VYDAJ	VYBER	2400	21449	\N	\N	\N
885907	3018	1997-03-03	PRIJEM	VKLAD	2900	24448	\N	\N	\N
885908	3018	1997-04-02	VYDAJ	VYBER	30500	52517	\N	\N	\N
885909	3018	1997-05-02	VYDAJ	VYBER	30000	62101	\N	\N	\N
885910	3018	1997-05-25	VYDAJ	VYBER	19200	116887	\N	\N	\N
885911	3018	1997-05-28	VYDAJ	VYBER	47300	112356	\N	\N	\N
885912	3018	1997-05-31	VYDAJ	VYBER	31500	81267	\N	\N	\N
885913	3018	1997-06-01	VYDAJ	VYBER	28200	53052	\N	\N	\N
885914	3018	1997-07-01	VYDAJ	VYBER	10700	39531	\N	\N	\N
885915	3018	1997-07-08	VYDAJ	VYBER	40700	81295	\N	\N	\N
885916	3018	1997-07-10	VYDAJ	VYBER	17100	90959	\N	\N	\N
885917	3018	1997-07-31	VYDAJ	VYBER	22700	56299	\N	\N	\N
885918	3018	1997-08-30	VYDAJ	VYBER	32600	63973	\N	\N	\N
885919	3018	1997-09-29	VYDAJ	VYBER	30000	53701	\N	\N	\N
885920	3018	1997-10-29	VYDAJ	VYBER	2300	22459	\N	\N	\N
885921	3018	1997-11-28	PRIJEM	VKLAD	6900	18997	\N	\N	\N
885922	3018	1997-12-28	VYDAJ	VYBER	8900	38597	\N	\N	\N
885923	3018	1998-01-27	PRIJEM	VKLAD	6600	19457	\N	\N	\N
885924	3018	1998-02-26	PRIJEM	VKLAD	1100	14018	\N	\N	\N
885925	3018	1998-03-28	PRIJEM	VKLAD	4400	3137	\N	\N	\N
885926	3018	1998-04-27	PRIJEM	VKLAD	8200	6231	\N	\N	\N
885927	3018	1998-05-27	VYDAJ	VYBER	16400	32874	\N	\N	\N
885928	3018	1998-06-26	PRIJEM	VKLAD	10200	14039	\N	\N	\N
885929	3018	1998-07-26	PRIJEM	VKLAD	3700	17770	\N	\N	\N
885930	3018	1998-08-25	PRIJEM	VKLAD	1900	19714	\N	\N	\N
885931	3018	1998-09-24	PRIJEM	VKLAD	6900	17373	\N	\N	\N
885932	3018	1998-10-24	VYDAJ	VYBER	2600	22055	\N	\N	\N
885933	3018	1998-11-23	PRIJEM	VKLAD	11600	12453	\N	\N	\N
885958	3019	1996-04-21	PRIJEM	VKLAD	300	300	\N	\N	\N
885963	3019	1996-05-06	PRIJEM	VKLAD	16895	17195	\N	\N	\N
885964	3019	1996-06-06	PRIJEM	VKLAD	25343	44967	\N	\N	\N
885965	3019	1996-07-06	PRIJEM	VKLAD	16895	47360	\N	\N	\N
885966	3019	1996-08-06	PRIJEM	VKLAD	16895	46880	\N	\N	\N
885967	3019	1996-09-06	PRIJEM	VKLAD	16895	50506	\N	\N	\N
885968	3019	1996-10-06	PRIJEM	VKLAD	16895	50726	\N	\N	\N
885969	3019	1996-11-06	PRIJEM	VKLAD	16895	50347	\N	\N	\N
885970	3019	1996-12-06	PRIJEM	VKLAD	25343	57812	\N	\N	\N
885971	3019	1997-01-06	PRIJEM	VKLAD	16895	47849	\N	\N	\N
885972	3019	1997-02-06	PRIJEM	VKLAD	16895	47882	\N	\N	\N
885973	3019	1997-03-06	PRIJEM	VKLAD	16895	51098	\N	\N	\N
885974	3019	1997-04-06	PRIJEM	VKLAD	16895	41586	\N	\N	\N
885975	3019	1997-05-06	PRIJEM	VKLAD	16895	38227	\N	\N	\N
885976	3019	1997-06-06	PRIJEM	VKLAD	25343	43388	\N	\N	\N
885977	3019	1997-07-06	PRIJEM	VKLAD	16895	42971	\N	\N	\N
885978	3019	1997-08-06	PRIJEM	VKLAD	16895	44262	\N	\N	\N
885979	3019	1997-09-06	PRIJEM	VKLAD	16895	46061	\N	\N	\N
885980	3019	1997-10-06	PRIJEM	VKLAD	16895	44157	\N	\N	\N
885981	3019	1997-11-06	PRIJEM	VKLAD	16895	41866	\N	\N	\N
885982	3019	1997-12-06	PRIJEM	VKLAD	25343	52703	\N	\N	\N
885983	3019	1998-01-06	PRIJEM	VKLAD	16895	50816	\N	\N	\N
885984	3019	1998-02-06	PRIJEM	VKLAD	16895	39339	\N	\N	\N
885985	3019	1998-03-06	PRIJEM	VKLAD	16895	38711	\N	\N	\N
885986	3019	1998-04-06	PRIJEM	VKLAD	16895	40988	\N	\N	\N
885987	3019	1998-05-06	PRIJEM	VKLAD	16895	40967	\N	\N	\N
885988	3019	1998-06-06	PRIJEM	VKLAD	25343	48893	\N	\N	\N
885989	3019	1998-07-06	PRIJEM	VKLAD	16895	42721	\N	\N	\N
885990	3019	1998-08-06	PRIJEM	VKLAD	16895	46520	\N	\N	\N
885991	3019	1998-09-06	PRIJEM	VKLAD	16895	49732	\N	\N	\N
885992	3019	1998-10-06	PRIJEM	VKLAD	16895	48545	\N	\N	\N
885993	3019	1998-11-06	PRIJEM	VKLAD	16895	43841	\N	\N	\N
885994	3019	1998-12-06	PRIJEM	VKLAD	25343	53684	\N	\N	\N
885999	3019	1997-01-05	VYDAJ	VYBER	1760	30954	\N	\N	\N
886000	3019	1998-01-23	VYDAJ	VYBER	9280	22336	\N	\N	\N
886001	3019	1996-12-06	VYDAJ	VYBER	2560	55252	\N	\N	\N
886002	3019	1997-12-17	VYDAJ	VYBER	1600	33803	\N	\N	\N
886003	3019	1998-12-09	VYDAJ	VYBER	2560	19844	\N	\N	\N
886004	3019	1996-12-24	VYDAJ	VYBER	4200	32552	\N	\N	\N
886006	3019	1997-03-29	VYDAJ	VYBER	5880	24558	\N	\N	\N
886007	3019	1997-03-21	VYDAJ	VYBER	1320	30438	\N	\N	\N
886008	3019	1997-03-10	VYDAJ	VYBER	1440	49658	\N	\N	\N
886009	3019	1997-10-15	VYDAJ	VYBER	2880	24877	\N	\N	\N
886010	3019	1997-05-31	VYDAJ	VYBER	5160	18045	\N	\N	\N
886011	3019	1997-04-27	VYDAJ	VYBER	3240	21246	\N	\N	\N
886012	3019	1998-12-08	VYDAJ	VYBER	4680	22404	\N	\N	\N
886014	3019	1998-12-24	VYDAJ	VYBER	4800	15044	\N	\N	\N
886015	3019	1998-06-17	VYDAJ	VYBER	3960	25733	\N	\N	\N
886025	3019	1996-09-30	VYDAJ	VYBER	15	33831	SLUZBY	\N	\N
886026	3019	1996-10-31	VYDAJ	VYBER	15	33452	SLUZBY	\N	\N
886027	3019	1996-11-30	VYDAJ	VYBER	15	32469	SLUZBY	\N	\N
886028	3019	1996-12-31	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
886029	3019	1997-01-31	VYDAJ	VYBER	15	30987	SLUZBY	\N	\N
886030	3019	1997-02-28	VYDAJ	VYBER	15	34203	SLUZBY	\N	\N
886031	3019	1997-03-31	VYDAJ	VYBER	15	24691	SLUZBY	\N	\N
886032	3019	1997-04-30	VYDAJ	VYBER	15	21332	SLUZBY	\N	\N
886033	3019	1997-05-31	VYDAJ	VYBER	15	23205	SLUZBY	\N	\N
886034	3019	1997-06-30	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
886035	3019	1997-07-31	VYDAJ	VYBER	15	27367	SLUZBY	\N	\N
886036	3019	1997-08-31	VYDAJ	VYBER	15	29166	SLUZBY	\N	\N
886037	3019	1997-09-30	VYDAJ	VYBER	15	27262	SLUZBY	\N	\N
886038	3019	1997-10-31	VYDAJ	VYBER	15	24971	SLUZBY	\N	\N
886039	3019	1997-11-30	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
886040	3019	1997-12-31	VYDAJ	VYBER	15	33921	SLUZBY	\N	\N
886041	3019	1998-01-31	VYDAJ	VYBER	15	22444	SLUZBY	\N	\N
886042	3019	1998-02-28	VYDAJ	VYBER	15	21816	SLUZBY	\N	\N
886043	3019	1998-03-31	VYDAJ	VYBER	15	24093	SLUZBY	\N	\N
886044	3019	1998-04-30	VYDAJ	VYBER	15	24072	SLUZBY	\N	\N
886045	3019	1998-05-31	VYDAJ	VYBER	15	23551	SLUZBY	\N	\N
886046	3019	1998-06-30	VYDAJ	VYBER	15	25826	SLUZBY	\N	\N
886047	3019	1998-07-31	VYDAJ	VYBER	15	29625	SLUZBY	\N	\N
886048	3019	1998-08-31	VYDAJ	VYBER	15	32837	SLUZBY	\N	\N
886049	3019	1998-09-30	VYDAJ	VYBER	15	31650	SLUZBY	\N	\N
886050	3019	1998-10-31	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
886051	3019	1998-11-30	VYDAJ	VYBER	15	28342	SLUZBY	\N	\N
886052	3019	1996-05-21	PRIJEM	VKLAD	2400	19595	\N	\N	\N
886053	3019	1996-06-20	VYDAJ	VYBER	14600	30367	\N	\N	\N
886054	3019	1996-07-20	VYDAJ	VYBER	17500	29860	\N	\N	\N
886055	3019	1996-08-19	VYDAJ	VYBER	13400	33480	\N	\N	\N
886056	3019	1996-09-18	VYDAJ	VYBER	16800	33706	\N	\N	\N
886057	3019	1996-10-18	VYDAJ	VYBER	17400	33326	\N	\N	\N
886058	3019	1996-11-17	VYDAJ	VYBER	18000	32347	\N	\N	\N
886059	3019	1996-12-17	VYDAJ	VYBER	18500	36752	\N	\N	\N
886060	3019	1997-01-16	VYDAJ	VYBER	17000	30849	\N	\N	\N
886061	3019	1997-02-15	VYDAJ	VYBER	13800	34082	\N	\N	\N
886062	3019	1997-03-17	VYDAJ	VYBER	17900	31758	\N	\N	\N
886063	3019	1997-04-16	VYDAJ	VYBER	17100	24486	\N	\N	\N
886064	3019	1997-05-16	VYDAJ	VYBER	15100	23127	\N	\N	\N
886065	3019	1997-06-15	VYDAJ	VYBER	17400	25988	\N	\N	\N
886066	3019	1997-07-15	VYDAJ	VYBER	15700	27271	\N	\N	\N
886067	3019	1997-08-14	VYDAJ	VYBER	15200	29062	\N	\N	\N
886068	3019	1997-09-13	VYDAJ	VYBER	18900	27161	\N	\N	\N
886069	3019	1997-10-13	VYDAJ	VYBER	16400	27757	\N	\N	\N
886070	3019	1997-11-12	VYDAJ	VYBER	14600	27266	\N	\N	\N
886071	3019	1997-12-12	VYDAJ	VYBER	17300	35403	\N	\N	\N
886072	3019	1998-01-11	VYDAJ	VYBER	19200	31616	\N	\N	\N
886073	3019	1998-02-10	VYDAJ	VYBER	17600	21739	\N	\N	\N
886074	3019	1998-03-12	VYDAJ	VYBER	14700	24011	\N	\N	\N
886075	3019	1998-04-11	VYDAJ	VYBER	17000	23988	\N	\N	\N
886076	3019	1998-05-11	VYDAJ	VYBER	17500	23467	\N	\N	\N
886077	3019	1998-06-10	VYDAJ	VYBER	19200	29693	\N	\N	\N
886078	3019	1998-07-10	VYDAJ	VYBER	13200	29521	\N	\N	\N
886079	3019	1998-08-09	VYDAJ	VYBER	13800	32720	\N	\N	\N
886080	3019	1998-09-08	VYDAJ	VYBER	18200	31532	\N	\N	\N
886081	3019	1998-10-08	VYDAJ	VYBER	21700	26845	\N	\N	\N
886082	3019	1998-11-07	VYDAJ	VYBER	15600	28241	\N	\N	\N
886083	3019	1998-12-07	VYDAJ	VYBER	26600	27084	\N	\N	\N
886116	3020	1996-08-09	PRIJEM	VKLAD	900	900	\N	\N	\N
886117	3020	1996-08-26	PRIJEM	VKLAD	2103	5603	\N	\N	\N
886119	3020	1997-12-09	PRIJEM	VKLAD	10984	76621	\N	\N	\N
886120	3020	1997-11-05	PRIJEM	VKLAD	42928	87362	\N	\N	\N
886121	3020	1998-04-24	PRIJEM	VKLAD	11917	69681	\N	\N	\N
886122	3020	1998-08-22	PRIJEM	VKLAD	10288	64175	\N	\N	\N
886130	3020	1996-08-13	PRIJEM	VKLAD	1100	2000	\N	\N	\N
886131	3020	1996-09-17	PRIJEM	VKLAD	1100	15113	\N	\N	\N
886132	3020	1996-10-16	PRIJEM	VKLAD	1100	21493	\N	\N	\N
886133	3020	1996-11-15	PRIJEM	VKLAD	1100	26811	\N	\N	\N
886134	3020	1996-12-15	PRIJEM	VKLAD	1100	29501	\N	\N	\N
886135	3020	1997-01-17	PRIJEM	VKLAD	1100	30910	\N	\N	\N
886136	3020	1997-02-17	PRIJEM	VKLAD	1100	26412	\N	\N	\N
886137	3020	1997-03-17	PRIJEM	VKLAD	1100	33099	\N	\N	\N
886138	3020	1997-04-15	PRIJEM	VKLAD	1100	34114	\N	\N	\N
886139	3020	1997-05-15	PRIJEM	VKLAD	1100	35645	\N	\N	\N
886140	3020	1997-06-16	PRIJEM	VKLAD	1100	20180	\N	\N	\N
886141	3020	1997-07-13	PRIJEM	VKLAD	1100	29287	\N	\N	\N
886142	3020	1997-08-17	PRIJEM	VKLAD	1100	32085	\N	\N	\N
886143	3020	1997-09-13	PRIJEM	VKLAD	1100	43005	\N	\N	\N
886144	3020	1997-10-17	PRIJEM	VKLAD	1100	46057	\N	\N	\N
886145	3020	1997-11-16	PRIJEM	VKLAD	1100	86312	\N	\N	\N
886146	3020	1997-12-16	PRIJEM	VKLAD	1100	77721	\N	\N	\N
886147	3020	1998-01-14	PRIJEM	VKLAD	1100	54441	\N	\N	\N
886148	3020	1998-02-16	PRIJEM	VKLAD	1100	51114	\N	\N	\N
886149	3020	1998-03-13	PRIJEM	VKLAD	1100	52760	\N	\N	\N
886150	3020	1998-04-13	PRIJEM	VKLAD	1100	56764	\N	\N	\N
886151	3020	1998-05-17	PRIJEM	VKLAD	1100	63412	\N	\N	\N
886152	3020	1998-06-17	PRIJEM	VKLAD	1100	28668	\N	\N	\N
886153	3020	1998-07-15	PRIJEM	VKLAD	1100	43619	\N	\N	\N
886154	3020	1998-08-13	PRIJEM	VKLAD	1100	53187	\N	\N	\N
886155	3020	1998-09-16	PRIJEM	VKLAD	1100	58792	\N	\N	\N
886156	3020	1998-10-16	PRIJEM	VKLAD	1100	58020	\N	\N	\N
886157	3020	1998-11-13	PRIJEM	VKLAD	1100	54143	\N	\N	\N
886158	3020	1998-12-16	PRIJEM	VKLAD	1100	48150	\N	\N	\N
886166	3020	1996-08-18	PRIJEM	VKLAD	1500	3500	\N	\N	\N
886167	3020	1996-09-18	PRIJEM	VKLAD	1500	16613	\N	\N	\N
886168	3020	1996-10-18	PRIJEM	VKLAD	1500	21643	\N	\N	\N
886169	3020	1996-11-18	PRIJEM	VKLAD	1500	28311	\N	\N	\N
886170	3020	1996-12-18	PRIJEM	VKLAD	1500	31001	\N	\N	\N
886171	3020	1997-01-18	PRIJEM	VKLAD	1500	32410	\N	\N	\N
886172	3020	1997-02-18	PRIJEM	VKLAD	1500	27912	\N	\N	\N
886173	3020	1997-03-18	PRIJEM	VKLAD	1500	34599	\N	\N	\N
886174	3020	1997-04-18	PRIJEM	VKLAD	1500	35614	\N	\N	\N
886175	3020	1997-05-18	PRIJEM	VKLAD	1500	37145	\N	\N	\N
886176	3020	1997-06-18	PRIJEM	VKLAD	1500	21680	\N	\N	\N
886177	3020	1997-07-18	PRIJEM	VKLAD	1500	30787	\N	\N	\N
886178	3020	1997-08-18	PRIJEM	VKLAD	1500	33585	\N	\N	\N
886179	3020	1997-09-18	PRIJEM	VKLAD	1500	44505	\N	\N	\N
886180	3020	1997-10-18	PRIJEM	VKLAD	1500	47557	\N	\N	\N
886181	3020	1997-11-18	PRIJEM	VKLAD	1500	87812	\N	\N	\N
886182	3020	1997-12-18	PRIJEM	VKLAD	1500	79221	\N	\N	\N
886183	3020	1998-01-18	PRIJEM	VKLAD	1500	54541	\N	\N	\N
886184	3020	1998-02-18	PRIJEM	VKLAD	1500	52614	\N	\N	\N
886185	3020	1998-03-18	PRIJEM	VKLAD	1500	54260	\N	\N	\N
886186	3020	1998-04-18	PRIJEM	VKLAD	1500	58264	\N	\N	\N
886187	3020	1998-05-18	PRIJEM	VKLAD	1500	64912	\N	\N	\N
886188	3020	1998-06-18	PRIJEM	VKLAD	1500	30168	\N	\N	\N
886189	3020	1998-07-18	PRIJEM	VKLAD	1500	45119	\N	\N	\N
886190	3020	1998-08-18	PRIJEM	VKLAD	1500	53887	\N	\N	\N
886191	3020	1998-09-18	PRIJEM	VKLAD	1500	60292	\N	\N	\N
886192	3020	1998-10-18	PRIJEM	VKLAD	1500	59520	\N	\N	\N
886193	3020	1998-11-18	PRIJEM	VKLAD	1500	55643	\N	\N	\N
886194	3020	1998-12-18	PRIJEM	VKLAD	1500	49650	\N	\N	\N
886196	3020	1997-06-07	VYDAJ	VYBER	18200	19080	\N	\N	\N
886197	3020	1998-06-06	VYDAJ	VYBER	20300	43568	\N	\N	\N
886199	3020	1997-01-19	VYDAJ	VYBER	9100	23310	\N	\N	\N
886200	3020	1998-01-07	VYDAJ	VYBER	5300	53341	\N	\N	\N
886203	3020	1998-06-11	VYDAJ	VYBER	14700	27568	\N	\N	\N
886204	3020	1996-12-01	VYDAJ	VYBER	1200	27201	\N	\N	\N
886205	3020	1997-12-23	VYDAJ	VYBER	1600	77621	\N	\N	\N
886206	3020	1998-12-01	VYDAJ	VYBER	1900	47050	\N	\N	\N
886213	3020	1997-01-28	VYDAJ	VYBER	400	21810	\N	\N	\N
886214	3020	1997-01-14	VYDAJ	VYBER	750	30860	\N	\N	\N
886215	3020	1997-01-24	VYDAJ	VYBER	550	22760	\N	\N	\N
886216	3020	1997-01-25	VYDAJ	VYBER	550	22210	\N	\N	\N
886217	3020	1997-01-15	VYDAJ	VYBER	1050	29810	\N	\N	\N
886218	3020	1997-01-06	VYDAJ	VYBER	1300	31610	\N	\N	\N
886219	3020	1998-01-20	VYDAJ	VYBER	550	53991	\N	\N	\N
886220	3020	1998-01-05	VYDAJ	VYBER	1100	58641	\N	\N	\N
886221	3020	1998-01-14	VYDAJ	VYBER	500	53941	\N	\N	\N
886222	3020	1998-01-30	VYDAJ	VYBER	700	52491	\N	\N	\N
886223	3020	1998-01-17	VYDAJ	VYBER	900	53041	\N	\N	\N
886224	3020	1998-01-29	VYDAJ	VYBER	800	53191	\N	\N	\N
886227	3020	1996-10-17	VYDAJ	VYBER	1350	20143	\N	\N	\N
886230	3020	1996-10-10	VYDAJ	VYBER	1250	20393	\N	\N	\N
886231	3020	1997-10-31	VYDAJ	VYBER	1500	46234	\N	\N	\N
886232	3020	1997-04-25	VYDAJ	VYBER	1000	34614	\N	\N	\N
886233	3020	1997-08-09	VYDAJ	VYBER	700	30985	\N	\N	\N
886234	3020	1997-11-12	VYDAJ	VYBER	2150	85212	\N	\N	\N
886235	3020	1997-08-06	VYDAJ	VYBER	2200	31685	\N	\N	\N
886236	3020	1998-02-21	VYDAJ	VYBER	2050	50564	\N	\N	\N
886237	3020	1998-06-09	VYDAJ	VYBER	1300	42268	\N	\N	\N
886238	3020	1998-04-22	VYDAJ	VYBER	500	57764	\N	\N	\N
886239	3020	1998-04-29	VYDAJ	VYBER	1250	68431	\N	\N	\N
886240	3020	1998-08-16	VYDAJ	VYBER	800	52387	\N	\N	\N
886241	3020	1998-05-08	VYDAJ	VYBER	250	62312	\N	\N	\N
886251	3020	1996-09-30	VYDAJ	VYBER	15	16643	SLUZBY	\N	\N
886252	3020	1996-10-31	VYDAJ	VYBER	15	21711	SLUZBY	\N	\N
886253	3020	1996-11-30	VYDAJ	VYBER	15	28401	SLUZBY	\N	\N
886254	3020	1996-12-31	VYDAJ	VYBER	15	31110	SLUZBY	\N	\N
886255	3020	1997-01-31	VYDAJ	VYBER	15	21912	SLUZBY	\N	\N
886256	3020	1997-02-28	VYDAJ	VYBER	15	27999	SLUZBY	\N	\N
886257	3020	1997-03-31	VYDAJ	VYBER	15	34714	SLUZBY	\N	\N
886258	3020	1997-04-30	VYDAJ	VYBER	15	34745	SLUZBY	\N	\N
886259	3020	1997-05-31	VYDAJ	VYBER	15	37280	SLUZBY	\N	\N
886260	3020	1997-06-30	VYDAJ	VYBER	15	21787	SLUZBY	\N	\N
886261	3020	1997-07-31	VYDAJ	VYBER	15	30885	SLUZBY	\N	\N
886262	3020	1997-08-31	VYDAJ	VYBER	15	33705	SLUZBY	\N	\N
886263	3020	1997-09-30	VYDAJ	VYBER	15	44657	SLUZBY	\N	\N
886264	3020	1997-10-31	VYDAJ	VYBER	15	47734	SLUZBY	\N	\N
886265	3020	1997-11-30	VYDAJ	VYBER	15	88137	SLUZBY	\N	\N
886266	3020	1997-12-31	VYDAJ	VYBER	15	77941	SLUZBY	\N	\N
886267	3020	1998-01-31	VYDAJ	VYBER	15	52714	SLUZBY	\N	\N
886268	3020	1998-02-28	VYDAJ	VYBER	15	50760	SLUZBY	\N	\N
886269	3020	1998-03-31	VYDAJ	VYBER	15	54464	SLUZBY	\N	\N
886270	3020	1998-04-30	VYDAJ	VYBER	15	68662	SLUZBY	\N	\N
886271	3020	1998-05-31	VYDAJ	VYBER	15	63868	SLUZBY	\N	\N
886272	3020	1998-06-30	VYDAJ	VYBER	15	42519	SLUZBY	\N	\N
886273	3020	1998-07-31	VYDAJ	VYBER	15	52087	SLUZBY	\N	\N
886274	3020	1998-08-31	VYDAJ	VYBER	15	57692	SLUZBY	\N	\N
886275	3020	1998-09-30	VYDAJ	VYBER	15	56920	SLUZBY	\N	\N
886276	3020	1998-10-31	VYDAJ	VYBER	15	53043	SLUZBY	\N	\N
886277	3020	1998-11-30	VYDAJ	VYBER	15	48950	SLUZBY	\N	\N
886278	3020	1996-09-08	PRIJEM	VKLAD	8400	14013	\N	\N	\N
886279	3020	1996-10-08	PRIJEM	VKLAD	5000	21643	\N	\N	\N
886280	3020	1996-11-07	PRIJEM	VKLAD	4000	25711	\N	\N	\N
886281	3020	1996-12-07	PRIJEM	VKLAD	1200	28401	\N	\N	\N
886282	3020	1997-01-06	PRIJEM	VKLAD	1800	32910	\N	\N	\N
886283	3020	1997-02-05	PRIJEM	VKLAD	3400	25312	\N	\N	\N
886284	3020	1997-03-07	PRIJEM	VKLAD	4000	31999	\N	\N	\N
886285	3020	1997-04-06	VYDAJ	VYBER	1700	33014	\N	\N	\N
886286	3020	1997-05-06	VYDAJ	VYBER	200	34545	\N	\N	\N
886287	3020	1997-07-05	PRIJEM	VKLAD	6400	28187	\N	\N	\N
886288	3020	1997-08-04	PRIJEM	VKLAD	3000	33885	\N	\N	\N
886289	3020	1997-09-03	PRIJEM	VKLAD	8200	41905	\N	\N	\N
886290	3020	1997-10-03	PRIJEM	VKLAD	300	44957	\N	\N	\N
886291	3020	1997-11-02	VYDAJ	VYBER	1800	44434	\N	\N	\N
886292	3020	1997-12-02	VYDAJ	VYBER	22500	65637	\N	\N	\N
886293	3020	1998-01-01	VYDAJ	VYBER	18200	59741	\N	\N	\N
886294	3020	1998-01-31	VYDAJ	VYBER	2700	50014	\N	\N	\N
886295	3020	1998-03-02	PRIJEM	VKLAD	900	51660	\N	\N	\N
886296	3020	1998-04-01	PRIJEM	VKLAD	1200	55664	\N	\N	\N
886297	3020	1998-05-01	VYDAJ	VYBER	6100	62562	\N	\N	\N
886298	3020	1998-05-31	VYDAJ	VYBER	1300	63883	\N	\N	\N
886299	3020	1998-06-30	PRIJEM	VKLAD	12200	42368	\N	\N	\N
886300	3020	1998-07-30	PRIJEM	VKLAD	6800	51919	\N	\N	\N
886301	3020	1998-08-29	VYDAJ	VYBER	6700	57475	\N	\N	\N
886302	3020	1998-09-28	VYDAJ	VYBER	3600	56692	\N	\N	\N
886303	3020	1998-10-28	VYDAJ	VYBER	6700	52820	\N	\N	\N
886304	3020	1998-11-27	VYDAJ	VYBER	6900	48743	\N	\N	\N
886334	3021	1996-04-20	PRIJEM	VKLAD	300	300	\N	\N	\N
886339	3021	1996-05-09	PRIJEM	PREVOD Z UCTU	19451	19751	\N	IJ	53171700
886340	3021	1996-06-09	PRIJEM	PREVOD Z UCTU	29176	51263	\N	IJ	53171700
886341	3021	1996-07-09	PRIJEM	PREVOD Z UCTU	19451	58634	\N	IJ	53171700
886342	3021	1996-08-09	PRIJEM	PREVOD Z UCTU	19451	62154	\N	IJ	53171700
886343	3021	1996-09-09	PRIJEM	PREVOD Z UCTU	19451	59978	\N	IJ	53171700
886344	3021	1996-10-09	PRIJEM	PREVOD Z UCTU	19451	57989	\N	IJ	53171700
886345	3021	1996-11-09	PRIJEM	PREVOD Z UCTU	19451	53695	\N	IJ	53171700
886346	3021	1996-12-09	PRIJEM	PREVOD Z UCTU	29176	53623	\N	IJ	53171700
886347	3021	1997-01-09	PRIJEM	PREVOD Z UCTU	19451	36572	\N	IJ	53171700
886348	3021	1997-02-09	PRIJEM	PREVOD Z UCTU	19451	37853	\N	IJ	53171700
886349	3021	1997-03-09	PRIJEM	PREVOD Z UCTU	19451	39572	\N	IJ	53171700
886350	3021	1997-04-09	PRIJEM	PREVOD Z UCTU	19451	37815	\N	IJ	53171700
886351	3021	1997-05-09	PRIJEM	PREVOD Z UCTU	19451	48516	\N	IJ	53171700
886352	3021	1997-06-09	PRIJEM	PREVOD Z UCTU	29176	56411	\N	IJ	53171700
886353	3021	1997-07-09	PRIJEM	PREVOD Z UCTU	19451	49451	\N	IJ	53171700
886354	3021	1997-08-09	PRIJEM	PREVOD Z UCTU	19451	53785	\N	IJ	53171700
886355	3021	1997-09-09	PRIJEM	PREVOD Z UCTU	19451	54526	\N	IJ	53171700
886356	3021	1997-10-09	PRIJEM	PREVOD Z UCTU	19451	41960	\N	IJ	53171700
886357	3021	1997-11-09	PRIJEM	PREVOD Z UCTU	19451	39877	\N	IJ	53171700
886358	3021	1997-12-09	PRIJEM	PREVOD Z UCTU	29176	50048	\N	IJ	53171700
886359	3021	1998-01-09	PRIJEM	PREVOD Z UCTU	19451	38939	\N	IJ	53171700
886360	3021	1998-02-09	PRIJEM	PREVOD Z UCTU	19451	39520	\N	IJ	53171700
886361	3021	1998-03-09	PRIJEM	PREVOD Z UCTU	19451	46019	\N	IJ	53171700
886362	3021	1998-04-09	PRIJEM	PREVOD Z UCTU	19451	47431	\N	IJ	53171700
886363	3021	1998-05-09	PRIJEM	PREVOD Z UCTU	19451	46640	\N	IJ	53171700
886364	3021	1998-06-09	PRIJEM	PREVOD Z UCTU	29176	51258	\N	IJ	53171700
886365	3021	1998-07-09	PRIJEM	PREVOD Z UCTU	19451	49069	\N	IJ	53171700
886366	3021	1998-08-09	PRIJEM	PREVOD Z UCTU	19451	35377	\N	IJ	53171700
886367	3021	1998-09-09	PRIJEM	PREVOD Z UCTU	19451	38730	\N	IJ	53171700
886368	3021	1998-10-09	PRIJEM	PREVOD Z UCTU	19451	41734	\N	IJ	53171700
886369	3021	1998-11-09	PRIJEM	PREVOD Z UCTU	19451	33853	\N	IJ	53171700
886370	3021	1998-12-09	PRIJEM	PREVOD Z UCTU	29176	40199	\N	IJ	53171700
886379	3021	1996-09-12	VYDAJ	VYBER	3900	56078	\N	\N	0
886380	3021	1996-10-11	VYDAJ	VYBER	4600	53389	\N	\N	0
886381	3021	1996-11-01	VYDAJ	VYBER	2900	34244	\N	\N	0
886382	3021	1996-12-12	VYDAJ	PREVOD NA UCET	3242	44981	UVER	AB	86677175
886383	3021	1997-01-12	VYDAJ	PREVOD NA UCET	3242	16230	UVER	AB	86677175
886384	3021	1997-02-12	VYDAJ	PREVOD NA UCET	3242	34611	UVER	AB	86677175
886385	3021	1997-03-12	VYDAJ	PREVOD NA UCET	3242	29071	UVER	AB	86677175
886386	3021	1997-04-12	VYDAJ	PREVOD NA UCET	3242	34573	UVER	AB	86677175
886387	3021	1997-05-12	VYDAJ	PREVOD NA UCET	3242	45274	UVER	AB	86677175
886388	3021	1997-06-12	VYDAJ	PREVOD NA UCET	3242	53169	UVER	AB	86677175
886389	3021	1997-07-12	VYDAJ	PREVOD NA UCET	3242	46209	UVER	AB	86677175
886390	3021	1997-08-12	VYDAJ	PREVOD NA UCET	3242	50543	UVER	AB	86677175
886391	3021	1997-09-12	VYDAJ	PREVOD NA UCET	3242	34684	UVER	AB	86677175
886392	3021	1997-10-12	VYDAJ	PREVOD NA UCET	3242	38718	UVER	AB	86677175
886393	3021	1997-11-12	VYDAJ	PREVOD NA UCET	3242	20799	UVER	AB	86677175
886394	3021	1997-12-12	VYDAJ	PREVOD NA UCET	3242	33206	UVER	AB	86677175
886395	3021	1998-01-12	VYDAJ	PREVOD NA UCET	3242	26597	UVER	AB	86677175
886396	3021	1998-02-12	VYDAJ	PREVOD NA UCET	3242	26479	UVER	AB	86677175
886397	3021	1998-03-12	VYDAJ	PREVOD NA UCET	3242	29677	UVER	AB	86677175
886398	3021	1998-04-12	VYDAJ	PREVOD NA UCET	3242	27089	UVER	AB	86677175
886399	3021	1998-05-12	VYDAJ	PREVOD NA UCET	3242	21998	UVER	AB	86677175
886400	3021	1998-06-12	VYDAJ	PREVOD NA UCET	3242	29516	UVER	AB	86677175
886401	3021	1998-07-12	VYDAJ	PREVOD NA UCET	3242	23127	UVER	AB	86677175
886402	3021	1998-08-12	VYDAJ	PREVOD NA UCET	3242	28184	UVER	AB	86677175
886403	3021	1998-09-12	VYDAJ	PREVOD NA UCET	3242	35488	UVER	AB	86677175
886404	3021	1998-10-12	VYDAJ	PREVOD NA UCET	3242	38492	UVER	AB	86677175
886405	3021	1998-11-12	VYDAJ	PREVOD NA UCET	3242	30611	UVER	AB	86677175
886406	3021	1998-12-12	VYDAJ	PREVOD NA UCET	3242	36957	UVER	AB	86677175
886407	3021	1996-12-15	VYBER	VYBER	21268	23713	\N	\N	\N
886414	3021	1997-03-04	VYBER	VYBER	2128	20121	\N	\N	\N
886415	3021	1997-02-17	VYBER	VYBER	4740	22171	\N	\N	\N
886417	3021	1997-11-10	VYBER	VYBER	12836	27041	\N	\N	\N
886419	3021	1997-09-16	VYBER	VYBER	12282	22402	\N	\N	\N
886420	3021	1997-05-25	VYBER	VYBER	2858	27116	\N	\N	\N
886421	3021	1997-03-11	VYBER	VYBER	7259	32313	\N	\N	\N
886422	3021	1998-10-13	VYBER	VYBER	10208	28284	\N	\N	\N
886423	3021	1998-12-20	VYBER	VYBER	12708	24249	\N	\N	\N
886424	3021	1998-10-03	VYBER	VYBER	13313	22283	\N	\N	\N
886426	3021	1998-08-11	VYBER	VYBER	3951	31426	\N	\N	\N
886428	3021	1997-06-27	VYDAJ	VYBER	9900	29869	\N	\N	\N
886431	3021	1997-01-12	VYDAJ	VYBER	14700	19472	\N	\N	\N
886435	3021	1998-12-21	VYDAJ	VYBER	4200	20049	\N	\N	\N
886442	3021	1997-01-11	VYDAJ	VYBER	2400	34172	\N	\N	\N
886443	3021	1997-01-05	VYDAJ	VYBER	4800	17121	\N	\N	\N
886445	3021	1997-01-16	VYDAJ	VYBER	4200	18330	\N	\N	\N
886448	3021	1998-01-14	VYDAJ	VYBER	6600	19997	\N	\N	\N
886457	3021	1996-12-03	VYDAJ	VYBER	7500	24447	\N	\N	\N
886458	3021	1996-12-09	VYDAJ	VYBER	5400	48223	\N	\N	\N
886459	3021	1996-11-22	VYDAJ	VYBER	8100	31795	\N	\N	\N
886461	3021	1997-05-24	VYDAJ	VYBER	5100	29974	\N	\N	\N
886462	3021	1997-03-30	VYDAJ	VYBER	7200	18271	\N	\N	\N
886464	3021	1997-12-18	VYDAJ	VYBER	13800	19406	\N	\N	\N
886465	3021	1997-10-26	VYDAJ	VYBER	7800	20318	\N	\N	\N
886469	3021	1998-03-20	VYDAJ	VYBER	1800	27877	\N	\N	\N
886471	3021	1998-08-28	VYDAJ	VYBER	9000	19184	\N	\N	\N
886481	3021	1996-09-30	VYDAJ	VYBER	15	38538	SLUZBY	\N	\N
886482	3021	1996-10-31	VYDAJ	VYBER	15	37144	SLUZBY	\N	\N
886483	3021	1996-11-30	VYDAJ	VYBER	15	31947	SLUZBY	\N	\N
886484	3021	1996-12-31	VYDAJ	VYBER	15	21921	SLUZBY	\N	\N
886485	3021	1997-01-31	VYDAJ	VYBER	15	18402	SLUZBY	\N	\N
886486	3021	1997-02-28	VYDAJ	VYBER	15	22249	SLUZBY	\N	\N
886487	3021	1997-03-31	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
886488	3021	1997-04-30	VYDAJ	VYBER	15	29065	SLUZBY	\N	\N
886489	3021	1997-05-31	VYDAJ	VYBER	15	27235	SLUZBY	\N	\N
886490	3021	1997-06-30	VYDAJ	VYBER	15	30000	SLUZBY	\N	\N
886491	3021	1997-07-31	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
886492	3021	1997-08-31	VYDAJ	VYBER	15	35075	SLUZBY	\N	\N
886493	3021	1997-09-30	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
886494	3021	1997-10-31	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
886495	3021	1997-11-30	VYDAJ	VYBER	15	20872	SLUZBY	\N	\N
886496	3021	1997-12-31	VYDAJ	VYBER	15	19488	SLUZBY	\N	\N
886497	3021	1998-01-31	VYDAJ	VYBER	15	20069	SLUZBY	\N	\N
886498	3021	1998-02-28	VYDAJ	VYBER	15	26568	SLUZBY	\N	\N
886499	3021	1998-03-31	VYDAJ	VYBER	15	27980	SLUZBY	\N	\N
886500	3021	1998-04-30	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
886501	3021	1998-05-31	VYDAJ	VYBER	15	22082	SLUZBY	\N	\N
886502	3021	1998-06-30	VYDAJ	VYBER	15	29618	SLUZBY	\N	\N
886503	3021	1998-07-31	VYDAJ	VYBER	15	23226	SLUZBY	\N	\N
886504	3021	1998-08-31	VYDAJ	VYBER	15	19279	SLUZBY	\N	\N
886505	3021	1998-09-30	VYDAJ	VYBER	15	35596	SLUZBY	\N	\N
886506	3021	1998-10-31	VYDAJ	VYBER	15	28402	SLUZBY	\N	\N
886507	3021	1998-11-30	VYDAJ	VYBER	15	30723	SLUZBY	\N	\N
886508	3021	1996-05-20	PRIJEM	VKLAD	2300	22051	\N	\N	\N
886509	3021	1996-06-19	VYDAJ	VYBER	12200	39063	\N	\N	\N
886510	3021	1996-07-19	VYDAJ	VYBER	16100	42534	\N	\N	\N
886511	3021	1996-08-18	VYDAJ	VYBER	21800	40354	\N	\N	\N
886512	3021	1996-09-17	VYDAJ	VYBER	17700	38378	\N	\N	\N
886513	3021	1996-10-17	VYDAJ	VYBER	16400	36989	\N	\N	\N
886514	3021	1996-11-16	VYDAJ	VYBER	13800	39895	\N	\N	\N
886515	3021	1996-12-16	VYDAJ	VYBER	1900	21813	\N	\N	\N
886516	3021	1997-01-15	PRIJEM	VKLAD	6300	22530	\N	\N	\N
886517	3021	1997-02-14	VYDAJ	VYBER	7700	26911	\N	\N	\N
886518	3021	1997-03-16	VYDAJ	VYBER	3600	25471	\N	\N	\N
886519	3021	1997-04-15	VYDAJ	VYBER	5600	28973	\N	\N	\N
886520	3021	1997-05-15	VYDAJ	VYBER	10200	35074	\N	\N	\N
886521	3021	1997-06-14	VYDAJ	VYBER	13400	39769	\N	\N	\N
886522	3021	1997-07-14	VYDAJ	VYBER	12000	34209	\N	\N	\N
886523	3021	1997-08-13	VYDAJ	VYBER	15600	34943	\N	\N	\N
886524	3021	1997-09-12	VYDAJ	VYBER	16600	37926	\N	\N	\N
886525	3021	1997-10-12	VYDAJ	VYBER	10600	28118	\N	\N	\N
886526	3021	1997-11-11	VYDAJ	VYBER	3000	24041	\N	\N	\N
886527	3021	1997-12-11	VYDAJ	VYBER	13600	36448	\N	\N	\N
886528	3021	1998-01-10	VYDAJ	VYBER	9100	29839	\N	\N	\N
886529	3021	1998-02-09	VYDAJ	VYBER	9800	29720	\N	\N	\N
886530	3021	1998-03-11	VYDAJ	VYBER	13100	32919	\N	\N	\N
886531	3021	1998-04-10	VYDAJ	VYBER	17100	30331	\N	\N	\N
886532	3021	1998-05-10	VYDAJ	VYBER	21400	25240	\N	\N	\N
886533	3021	1998-06-09	VYDAJ	VYBER	18500	32758	\N	\N	\N
886534	3021	1998-07-09	VYDAJ	VYBER	22700	26369	\N	\N	\N
886535	3021	1998-08-08	VYDAJ	VYBER	7300	15926	\N	\N	\N
886536	3021	1998-11-06	VYDAJ	VYBER	14000	14402	\N	\N	\N
886537	3021	1998-12-06	VYDAJ	VYBER	19700	11023	\N	\N	\N
886570	3022	1996-10-30	PRIJEM	VKLAD	700	700	\N	\N	\N
886581	3022	1996-11-07	PRIJEM	PREVOD Z UCTU	4755	5455	DUCHOD	AB	51916289
886582	3022	1996-12-07	PRIJEM	PREVOD Z UCTU	4755	10210	DUCHOD	AB	51916289
886583	3022	1997-01-07	PRIJEM	PREVOD Z UCTU	4755	14965	DUCHOD	AB	51916289
886584	3022	1997-02-07	PRIJEM	PREVOD Z UCTU	4755	19720	DUCHOD	AB	51916289
886585	3022	1997-03-07	PRIJEM	PREVOD Z UCTU	4755	24475	DUCHOD	AB	51916289
886586	3022	1997-04-07	PRIJEM	PREVOD Z UCTU	4755	26114	DUCHOD	AB	51916289
886587	3022	1997-05-07	PRIJEM	PREVOD Z UCTU	4755	27218	DUCHOD	AB	51916289
886588	3022	1997-06-07	PRIJEM	PREVOD Z UCTU	4755	24961	DUCHOD	AB	51916289
886589	3022	1997-07-07	PRIJEM	PREVOD Z UCTU	4755	23866	DUCHOD	AB	51916289
886590	3022	1997-08-07	PRIJEM	PREVOD Z UCTU	4755	22800	DUCHOD	AB	51916289
886591	3022	1997-09-07	PRIJEM	PREVOD Z UCTU	4755	24451	DUCHOD	AB	51916289
886592	3022	1997-10-07	PRIJEM	PREVOD Z UCTU	4755	23781	DUCHOD	AB	51916289
886593	3022	1997-11-07	PRIJEM	PREVOD Z UCTU	4755	25436	DUCHOD	AB	51916289
886594	3022	1997-12-07	PRIJEM	PREVOD Z UCTU	4755	27097	DUCHOD	AB	51916289
886595	3022	1998-01-07	PRIJEM	PREVOD Z UCTU	4755	25716	DUCHOD	AB	51916289
886596	3022	1998-02-07	PRIJEM	PREVOD Z UCTU	4755	23532	DUCHOD	AB	51916289
886597	3022	1998-03-07	PRIJEM	PREVOD Z UCTU	4755	25186	DUCHOD	AB	51916289
886598	3022	1998-04-07	PRIJEM	PREVOD Z UCTU	4755	26846	DUCHOD	AB	51916289
886599	3022	1998-05-07	PRIJEM	PREVOD Z UCTU	4755	28514	DUCHOD	AB	51916289
886600	3022	1998-06-07	PRIJEM	PREVOD Z UCTU	4755	27468	DUCHOD	AB	51916289
886601	3022	1998-07-07	PRIJEM	PREVOD Z UCTU	4755	24628	DUCHOD	AB	51916289
886602	3022	1998-08-07	PRIJEM	PREVOD Z UCTU	4755	25726	DUCHOD	AB	51916289
886603	3022	1998-09-07	PRIJEM	PREVOD Z UCTU	4755	27389	DUCHOD	AB	51916289
886604	3022	1998-10-07	PRIJEM	PREVOD Z UCTU	4755	29059	DUCHOD	AB	51916289
886605	3022	1998-11-07	PRIJEM	PREVOD Z UCTU	4755	30735	DUCHOD	AB	51916289
886606	3022	1998-12-07	PRIJEM	PREVOD Z UCTU	4755	31938	DUCHOD	AB	51916289
886621	3022	1997-03-08	VYDAJ	PREVOD NA UCET	3170	21305	SIPO	GH	24765986
886622	3022	1997-04-08	VYDAJ	PREVOD NA UCET	3170	22944	SIPO	GH	24765986
886623	3022	1997-05-08	VYDAJ	PREVOD NA UCET	3170	24048	SIPO	GH	24765986
886624	3022	1997-06-08	VYDAJ	PREVOD NA UCET	3170	21791	SIPO	GH	24765986
886625	3022	1997-07-08	VYDAJ	PREVOD NA UCET	3170	20696	SIPO	GH	24765986
886626	3022	1997-08-08	VYDAJ	PREVOD NA UCET	3170	19630	SIPO	GH	24765986
886627	3022	1997-09-08	VYDAJ	PREVOD NA UCET	3170	21281	SIPO	GH	24765986
886628	3022	1997-10-08	VYDAJ	PREVOD NA UCET	3170	20611	SIPO	GH	24765986
886629	3022	1997-11-08	VYDAJ	PREVOD NA UCET	3170	22266	SIPO	GH	24765986
886630	3022	1997-12-08	VYDAJ	PREVOD NA UCET	3170	23927	SIPO	GH	24765986
886631	3022	1998-01-08	VYDAJ	PREVOD NA UCET	3170	22546	SIPO	GH	24765986
886632	3022	1998-02-08	VYDAJ	PREVOD NA UCET	3170	20362	SIPO	GH	24765986
886633	3022	1998-03-08	VYDAJ	PREVOD NA UCET	3170	22016	SIPO	GH	24765986
886634	3022	1998-04-08	VYDAJ	PREVOD NA UCET	3170	23676	SIPO	GH	24765986
886635	3022	1998-05-08	VYDAJ	PREVOD NA UCET	3170	25344	SIPO	GH	24765986
886636	3022	1998-06-08	VYDAJ	PREVOD NA UCET	3170	24298	SIPO	GH	24765986
886637	3022	1998-07-08	VYDAJ	PREVOD NA UCET	3170	21458	SIPO	GH	24765986
886638	3022	1998-08-08	VYDAJ	PREVOD NA UCET	3170	22556	SIPO	GH	24765986
886639	3022	1998-09-08	VYDAJ	PREVOD NA UCET	3170	24219	SIPO	GH	24765986
886640	3022	1998-10-08	VYDAJ	PREVOD NA UCET	3170	25889	SIPO	GH	24765986
886641	3022	1998-11-08	VYDAJ	PREVOD NA UCET	3170	27565	SIPO	GH	24765986
886642	3022	1998-12-08	VYDAJ	PREVOD NA UCET	3170	28768	SIPO	GH	24765986
886644	3022	1997-06-19	VYDAJ	VYBER	2750	19041	\N	\N	\N
886645	3022	1998-06-16	VYDAJ	VYBER	4500	19798	\N	\N	\N
886648	3022	1998-01-01	VYDAJ	VYBER	3050	20961	\N	\N	\N
886654	3022	1997-07-27	VYDAJ	VYBER	1280	19416	\N	\N	\N
886655	3022	1997-05-22	VYDAJ	VYBER	720	20128	\N	\N	\N
886656	3022	1997-04-28	VYDAJ	VYBER	560	22384	\N	\N	\N
886657	3022	1997-07-27	VYDAJ	VYBER	1440	17976	\N	\N	\N
886658	3022	1997-05-19	VYDAJ	VYBER	3200	20848	\N	\N	\N
886659	3022	1997-09-08	VYDAJ	VYBER	2320	18961	\N	\N	\N
886660	3022	1998-07-28	VYDAJ	VYBER	560	20898	\N	\N	\N
886661	3022	1998-12-18	VYDAJ	VYBER	3920	23488	\N	\N	\N
886662	3022	1998-12-16	VYDAJ	VYBER	1360	27408	\N	\N	\N
886663	3022	1998-01-14	VYDAJ	VYBER	3840	18706	\N	\N	\N
886664	3022	1998-11-30	VYDAJ	VYBER	480	27198	\N	\N	\N
886665	3022	1998-05-31	VYDAJ	VYBER	2720	22727	\N	\N	\N
886681	3022	1997-03-31	VYDAJ	VYBER	15	21359	SLUZBY	\N	\N
886682	3022	1997-04-30	VYDAJ	VYBER	15	22463	SLUZBY	\N	\N
886683	3022	1997-05-31	VYDAJ	VYBER	15	20206	SLUZBY	\N	\N
886684	3022	1997-06-30	VYDAJ	VYBER	15	19111	SLUZBY	\N	\N
886685	3022	1997-07-31	VYDAJ	VYBER	15	18045	SLUZBY	\N	\N
886686	3022	1997-08-31	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
886687	3022	1997-09-30	VYDAJ	VYBER	15	19026	SLUZBY	\N	\N
886688	3022	1997-10-31	VYDAJ	VYBER	15	20681	SLUZBY	\N	\N
886689	3022	1997-11-30	VYDAJ	VYBER	15	22342	SLUZBY	\N	\N
886690	3022	1997-12-31	VYDAJ	VYBER	15	24011	SLUZBY	\N	\N
886691	3022	1998-01-31	VYDAJ	VYBER	15	18777	SLUZBY	\N	\N
886692	3022	1998-02-28	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
886693	3022	1998-03-31	VYDAJ	VYBER	15	22091	SLUZBY	\N	\N
886694	3022	1998-04-30	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
886695	3022	1998-05-31	VYDAJ	VYBER	15	22713	SLUZBY	\N	\N
886696	3022	1998-06-30	VYDAJ	VYBER	15	19873	SLUZBY	\N	\N
886697	3022	1998-07-31	VYDAJ	VYBER	15	20971	SLUZBY	\N	\N
886698	3022	1998-08-31	VYDAJ	VYBER	15	22634	SLUZBY	\N	\N
886699	3022	1998-09-30	VYDAJ	VYBER	15	24304	SLUZBY	\N	\N
886700	3022	1998-10-31	VYDAJ	VYBER	15	25980	SLUZBY	\N	\N
886701	3022	1998-11-30	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
886724	3023	1997-10-14	PRIJEM	VKLAD	700	6821	\N	\N	\N
886734	3023	1997-10-14	PRIJEM	PREVOD Z UCTU	6121	6121	DUCHOD	YZ	12768662
886735	3023	1997-11-14	PRIJEM	PREVOD Z UCTU	6121	12957	DUCHOD	YZ	12768662
886736	3023	1997-12-14	PRIJEM	PREVOD Z UCTU	6121	19103	DUCHOD	YZ	12768662
886737	3023	1998-01-14	PRIJEM	PREVOD Z UCTU	6121	25250	DUCHOD	YZ	12768662
886738	3023	1998-02-14	PRIJEM	PREVOD Z UCTU	6121	31396	DUCHOD	YZ	12768662
886739	3023	1998-03-14	PRIJEM	PREVOD Z UCTU	6121	35319	DUCHOD	YZ	12768662
886740	3023	1998-04-14	PRIJEM	PREVOD Z UCTU	6121	37153	DUCHOD	YZ	12768662
886741	3023	1998-05-14	PRIJEM	PREVOD Z UCTU	6121	36697	DUCHOD	YZ	12768662
886742	3023	1998-06-14	PRIJEM	PREVOD Z UCTU	6121	21192	DUCHOD	YZ	12768662
886743	3023	1998-07-14	PRIJEM	PREVOD Z UCTU	6121	21437	DUCHOD	YZ	12768662
886744	3023	1998-08-14	PRIJEM	PREVOD Z UCTU	6121	19970	DUCHOD	YZ	12768662
886745	3023	1998-09-14	PRIJEM	PREVOD Z UCTU	6121	20984	DUCHOD	YZ	12768662
886746	3023	1998-10-14	PRIJEM	PREVOD Z UCTU	6121	23057	DUCHOD	YZ	12768662
886747	3023	1998-11-14	PRIJEM	PREVOD Z UCTU	6121	27041	DUCHOD	YZ	12768662
886748	3023	1998-12-14	PRIJEM	PREVOD Z UCTU	6121	30389	DUCHOD	YZ	12768662
886763	3023	1998-03-08	VYDAJ	PREVOD NA UCET	2213	29198	SIPO	OP	15459257
886764	3023	1998-04-08	VYDAJ	PREVOD NA UCET	2213	33232	SIPO	OP	15459257
886765	3023	1998-05-08	VYDAJ	PREVOD NA UCET	2213	35076	SIPO	OP	15459257
886766	3023	1998-06-08	VYDAJ	PREVOD NA UCET	2213	34621	SIPO	OP	15459257
886767	3023	1998-07-08	VYDAJ	PREVOD NA UCET	2213	15316	SIPO	OP	15459257
886768	3023	1998-08-08	VYDAJ	PREVOD NA UCET	2213	16569	SIPO	OP	15459257
886769	3023	1998-09-08	VYDAJ	PREVOD NA UCET	2213	14863	SIPO	OP	15459257
886770	3023	1998-10-08	VYDAJ	PREVOD NA UCET	2213	18836	SIPO	OP	15459257
886771	3023	1998-11-08	VYDAJ	PREVOD NA UCET	2213	20920	SIPO	OP	15459257
886772	3023	1998-12-08	VYDAJ	PREVOD NA UCET	2213	24268	SIPO	OP	15459257
886774	3023	1998-06-13	VYDAJ	VYBER	14750	15071	\N	\N	\N
886776	3023	1998-12-05	VYDAJ	VYBER	650	26481	\N	\N	\N
886798	3023	1998-08-13	VYDAJ	VYBER	2720	13849	\N	\N	\N
886799	3023	1998-07-18	VYDAJ	VYBER	1600	19837	\N	\N	\N
886801	3023	1998-07-19	VYDAJ	VYBER	1120	18717	\N	\N	\N
886802	3023	1998-08-14	VYDAJ	VYBER	2960	17010	\N	\N	\N
886803	3023	1998-07-05	VYDAJ	VYBER	3760	17529	\N	\N	\N
886818	3023	1998-02-28	VYDAJ	VYBER	15	31411	SLUZBY	\N	\N
886819	3023	1998-03-31	VYDAJ	VYBER	15	35445	SLUZBY	\N	\N
886820	3023	1998-04-30	VYDAJ	VYBER	15	37289	SLUZBY	\N	\N
886821	3023	1998-05-31	VYDAJ	VYBER	15	36834	SLUZBY	\N	\N
886822	3023	1998-06-30	VYDAJ	VYBER	15	21289	SLUZBY	\N	\N
886823	3023	1998-07-31	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
886824	3023	1998-08-31	VYDAJ	VYBER	15	17076	SLUZBY	\N	\N
886825	3023	1998-09-30	VYDAJ	VYBER	15	21049	SLUZBY	\N	\N
886826	3023	1998-10-31	VYDAJ	VYBER	15	23133	SLUZBY	\N	\N
886827	3023	1998-11-30	VYDAJ	VYBER	15	27131	SLUZBY	\N	\N
886828	3023	1998-04-12	VYDAJ	VYBER	2200	31032	\N	\N	\N
886829	3023	1998-05-12	VYDAJ	VYBER	4500	30576	\N	\N	\N
886830	3023	1998-06-11	VYDAJ	VYBER	4800	29821	\N	\N	\N
886831	3023	1998-10-09	VYDAJ	VYBER	1900	16936	\N	\N	\N
886847	3024	1996-12-18	PRIJEM	VKLAD	400	400	\N	\N	\N
886860	3024	1997-01-05	PRIJEM	PREVOD Z UCTU	6713	7113	DUCHOD	YZ	22506183
886861	3024	1997-02-05	PRIJEM	PREVOD Z UCTU	6713	13826	DUCHOD	YZ	22506183
886862	3024	1997-03-05	PRIJEM	PREVOD Z UCTU	6713	20539	DUCHOD	YZ	22506183
886863	3024	1997-04-05	PRIJEM	PREVOD Z UCTU	6713	27252	DUCHOD	YZ	22506183
886864	3024	1997-05-05	PRIJEM	PREVOD Z UCTU	6713	32816	DUCHOD	YZ	22506183
886865	3024	1997-06-05	PRIJEM	PREVOD Z UCTU	6713	24969	DUCHOD	YZ	22506183
886866	3024	1997-07-05	PRIJEM	PREVOD Z UCTU	6713	26400	DUCHOD	YZ	22506183
886867	3024	1997-08-05	PRIJEM	PREVOD Z UCTU	6713	24198	DUCHOD	YZ	22506183
886868	3024	1997-09-05	PRIJEM	PREVOD Z UCTU	6713	27118	DUCHOD	YZ	22506183
886869	3024	1997-10-05	PRIJEM	PREVOD Z UCTU	6713	30551	DUCHOD	YZ	22506183
886870	3024	1997-11-05	PRIJEM	PREVOD Z UCTU	6713	29788	DUCHOD	YZ	22506183
886871	3024	1997-12-05	PRIJEM	PREVOD Z UCTU	6713	29223	DUCHOD	YZ	22506183
886872	3024	1998-01-05	PRIJEM	PREVOD Z UCTU	6713	30402	DUCHOD	YZ	22506183
886873	3024	1998-02-05	PRIJEM	PREVOD Z UCTU	6713	31949	DUCHOD	YZ	22506183
886874	3024	1998-03-05	PRIJEM	PREVOD Z UCTU	6713	32178	DUCHOD	YZ	22506183
886875	3024	1998-04-05	PRIJEM	PREVOD Z UCTU	6713	33106	DUCHOD	YZ	22506183
886876	3024	1998-05-05	PRIJEM	PREVOD Z UCTU	6713	37065	DUCHOD	YZ	22506183
886877	3024	1998-06-05	PRIJEM	PREVOD Z UCTU	6713	37932	DUCHOD	YZ	22506183
886878	3024	1998-07-05	PRIJEM	PREVOD Z UCTU	6713	25784	DUCHOD	YZ	22506183
886879	3024	1998-08-05	PRIJEM	PREVOD Z UCTU	6713	27272	DUCHOD	YZ	22506183
886880	3024	1998-09-05	PRIJEM	PREVOD Z UCTU	6713	31808	DUCHOD	YZ	22506183
886881	3024	1998-10-05	PRIJEM	PREVOD Z UCTU	6713	33255	DUCHOD	YZ	22506183
886882	3024	1998-11-05	PRIJEM	PREVOD Z UCTU	6713	30987	DUCHOD	YZ	22506183
886883	3024	1998-12-05	PRIJEM	PREVOD Z UCTU	6713	29521	DUCHOD	YZ	22506183
886900	3024	1997-05-10	VYDAJ	PREVOD NA UCET	611	32205	SIPO	OP	72384530
886901	3024	1997-06-10	VYDAJ	PREVOD NA UCET	611	24358	SIPO	OP	72384530
886902	3024	1997-07-10	VYDAJ	PREVOD NA UCET	611	25789	SIPO	OP	72384530
886903	3024	1997-08-10	VYDAJ	PREVOD NA UCET	611	23587	SIPO	OP	72384530
886904	3024	1997-09-10	VYDAJ	PREVOD NA UCET	611	26507	SIPO	OP	72384530
886905	3024	1997-10-10	VYDAJ	PREVOD NA UCET	611	29940	SIPO	OP	72384530
886906	3024	1997-11-10	VYDAJ	PREVOD NA UCET	611	29177	SIPO	OP	72384530
886907	3024	1997-12-10	VYDAJ	PREVOD NA UCET	611	26452	SIPO	OP	72384530
886908	3024	1998-01-10	VYDAJ	PREVOD NA UCET	611	29791	SIPO	OP	72384530
886909	3024	1998-02-10	VYDAJ	PREVOD NA UCET	611	27418	SIPO	OP	72384530
886910	3024	1998-03-10	VYDAJ	PREVOD NA UCET	611	31567	SIPO	OP	72384530
886911	3024	1998-04-10	VYDAJ	PREVOD NA UCET	611	32495	SIPO	OP	72384530
886912	3024	1998-05-10	VYDAJ	PREVOD NA UCET	611	36454	SIPO	OP	72384530
886913	3024	1998-06-10	VYDAJ	PREVOD NA UCET	611	37321	SIPO	OP	72384530
886914	3024	1998-07-10	VYDAJ	PREVOD NA UCET	611	25173	SIPO	OP	72384530
886915	3024	1998-08-10	VYDAJ	PREVOD NA UCET	611	26661	SIPO	OP	72384530
886916	3024	1998-09-10	VYDAJ	PREVOD NA UCET	611	28097	SIPO	OP	72384530
886917	3024	1998-10-10	VYDAJ	PREVOD NA UCET	611	29744	SIPO	OP	72384530
886918	3024	1998-11-10	VYDAJ	PREVOD NA UCET	611	24376	SIPO	OP	72384530
886919	3024	1998-12-10	VYDAJ	PREVOD NA UCET	611	20360	SIPO	OP	72384530
886936	3024	1997-05-11	VYDAJ	PREVOD NA UCET	1650	30555	 	EF	13622033
886937	3024	1997-06-11	VYDAJ	PREVOD NA UCET	1650	22708	 	EF	13622033
886938	3024	1997-07-11	VYDAJ	PREVOD NA UCET	1650	24139	 	EF	13622033
886939	3024	1997-08-11	VYDAJ	PREVOD NA UCET	1650	21937	 	EF	13622033
886940	3024	1997-09-11	VYDAJ	PREVOD NA UCET	1650	24857	 	EF	13622033
886941	3024	1997-10-11	VYDAJ	PREVOD NA UCET	1650	28290	 	EF	13622033
886942	3024	1997-11-11	VYDAJ	PREVOD NA UCET	1650	27527	 	EF	13622033
886943	3024	1997-12-11	VYDAJ	PREVOD NA UCET	1650	24802	 	EF	13622033
886944	3024	1998-01-11	VYDAJ	PREVOD NA UCET	1650	28141	 	EF	13622033
886945	3024	1998-02-11	VYDAJ	PREVOD NA UCET	1650	25368	 	EF	13622033
886946	3024	1998-03-11	VYDAJ	PREVOD NA UCET	1650	29917	 	EF	13622033
886947	3024	1998-04-11	VYDAJ	PREVOD NA UCET	1650	30845	 	EF	13622033
886948	3024	1998-05-11	VYDAJ	PREVOD NA UCET	1650	34804	 	EF	13622033
886949	3024	1998-06-11	VYDAJ	PREVOD NA UCET	1650	29871	 	EF	13622033
886950	3024	1998-07-11	VYDAJ	PREVOD NA UCET	1650	23523	 	EF	13622033
886951	3024	1998-08-11	VYDAJ	PREVOD NA UCET	1650	25011	 	EF	13622033
886952	3024	1998-09-11	VYDAJ	PREVOD NA UCET	1650	26447	 	EF	13622033
886953	3024	1998-10-11	VYDAJ	PREVOD NA UCET	1650	28094	 	EF	13622033
886954	3024	1998-11-11	VYDAJ	PREVOD NA UCET	1650	22726	 	EF	13622033
886955	3024	1998-12-11	VYDAJ	PREVOD NA UCET	1650	18710	 	EF	13622033
886957	3024	1997-06-02	VYDAJ	VYBER	9500	18256	\N	\N	\N
886958	3024	1998-06-21	VYDAJ	VYBER	10900	18971	\N	\N	\N
886961	3024	1998-01-27	VYDAJ	VYBER	3000	25141	\N	\N	\N
886963	3024	1997-12-27	VYDAJ	VYBER	1200	23602	\N	\N	\N
886964	3024	1998-12-06	VYDAJ	VYBER	850	28671	\N	\N	\N
886972	3024	1997-07-16	VYDAJ	VYBER	2320	21819	\N	\N	\N
886973	3024	1997-12-07	VYDAJ	VYBER	2160	27063	\N	\N	\N
886974	3024	1997-11-17	VYDAJ	VYBER	800	22427	\N	\N	\N
886976	3024	1998-02-06	VYDAJ	VYBER	3920	28029	\N	\N	\N
886977	3024	1998-03-14	VYDAJ	VYBER	3520	26297	\N	\N	\N
886978	3024	1998-07-27	VYDAJ	VYBER	3040	20483	\N	\N	\N
886979	3024	1998-10-31	VYDAJ	VYBER	3920	24274	\N	\N	\N
886997	3024	1997-05-31	VYDAJ	VYBER	15	27756	SLUZBY	\N	\N
886998	3024	1997-06-30	VYDAJ	VYBER	15	19687	SLUZBY	\N	\N
886999	3024	1997-07-31	VYDAJ	VYBER	15	17485	SLUZBY	\N	\N
887000	3024	1997-08-31	VYDAJ	VYBER	15	20405	SLUZBY	\N	\N
887001	3024	1997-09-30	VYDAJ	VYBER	15	23838	SLUZBY	\N	\N
887002	3024	1997-10-31	VYDAJ	VYBER	15	23075	SLUZBY	\N	\N
887003	3024	1997-11-30	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
887004	3024	1997-12-31	VYDAJ	VYBER	15	23689	SLUZBY	\N	\N
887005	3024	1998-01-31	VYDAJ	VYBER	15	25236	SLUZBY	\N	\N
887006	3024	1998-02-28	VYDAJ	VYBER	15	25465	SLUZBY	\N	\N
887007	3024	1998-03-31	VYDAJ	VYBER	15	26393	SLUZBY	\N	\N
887008	3024	1998-04-30	VYDAJ	VYBER	15	30352	SLUZBY	\N	\N
887009	3024	1998-05-31	VYDAJ	VYBER	15	31219	SLUZBY	\N	\N
887010	3024	1998-06-30	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
887011	3024	1998-07-31	VYDAJ	VYBER	15	20559	SLUZBY	\N	\N
887012	3024	1998-08-31	VYDAJ	VYBER	15	25095	SLUZBY	\N	\N
887013	3024	1998-09-30	VYDAJ	VYBER	15	26542	SLUZBY	\N	\N
887014	3024	1998-10-31	VYDAJ	VYBER	15	28194	SLUZBY	\N	\N
887015	3024	1998-11-30	VYDAJ	VYBER	15	22808	SLUZBY	\N	\N
887016	3024	1997-04-17	VYDAJ	VYBER	1200	26052	\N	\N	\N
887017	3024	1997-05-17	VYDAJ	VYBER	2900	27655	\N	\N	\N
887018	3024	1997-06-16	VYDAJ	VYBER	3100	19608	\N	\N	\N
887019	3024	1997-07-16	VYDAJ	VYBER	4400	17419	\N	\N	\N
887020	3024	1997-08-15	VYDAJ	VYBER	1600	20337	\N	\N	\N
887021	3024	1997-09-14	VYDAJ	VYBER	1100	23757	\N	\N	\N
887022	3024	1997-10-14	VYDAJ	VYBER	5300	22990	\N	\N	\N
887023	3024	1997-11-13	VYDAJ	VYBER	4300	23227	\N	\N	\N
887024	3024	1998-02-11	VYDAJ	VYBER	400	27018	\N	\N	\N
887025	3024	1998-03-13	VYDAJ	VYBER	100	29817	\N	\N	\N
887026	3024	1998-04-12	VYDAJ	VYBER	600	30245	\N	\N	\N
887027	3024	1998-05-12	VYDAJ	VYBER	3700	31104	\N	\N	\N
887028	3024	1998-06-11	VYDAJ	VYBER	5800	31521	\N	\N	\N
887029	3024	1998-09-09	VYDAJ	VYBER	3100	28708	\N	\N	\N
887030	3024	1998-10-09	VYDAJ	VYBER	2900	30355	\N	\N	\N
887031	3024	1998-11-08	VYDAJ	VYBER	6000	24987	\N	\N	\N
887032	3024	1998-12-08	VYDAJ	VYBER	7700	20971	\N	\N	\N
887054	3025	1997-12-27	PRIJEM	VKLAD	800	800	\N	\N	\N
887067	3025	1998-01-14	PRIJEM	PREVOD Z UCTU	6367	7167	DUCHOD	KL	17525285
887068	3025	1998-02-14	PRIJEM	PREVOD Z UCTU	6367	13534	DUCHOD	KL	17525285
887069	3025	1998-03-14	PRIJEM	PREVOD Z UCTU	6367	19901	DUCHOD	KL	17525285
887070	3025	1998-04-14	PRIJEM	PREVOD Z UCTU	6367	26081	DUCHOD	KL	17525285
887071	3025	1998-05-14	PRIJEM	PREVOD Z UCTU	6367	31034	DUCHOD	KL	17525285
887072	3025	1998-06-14	PRIJEM	PREVOD Z UCTU	6367	27060	DUCHOD	KL	17525285
887073	3025	1998-07-14	PRIJEM	PREVOD Z UCTU	6367	21641	DUCHOD	KL	17525285
887074	3025	1998-08-14	PRIJEM	PREVOD Z UCTU	6367	24424	DUCHOD	KL	17525285
887075	3025	1998-09-14	PRIJEM	PREVOD Z UCTU	6367	21450	DUCHOD	KL	17525285
887076	3025	1998-10-14	PRIJEM	PREVOD Z UCTU	6367	18425	DUCHOD	KL	17525285
887077	3025	1998-11-14	PRIJEM	PREVOD Z UCTU	6367	18391	DUCHOD	KL	17525285
887078	3025	1998-12-14	PRIJEM	PREVOD Z UCTU	6367	20460	DUCHOD	KL	17525285
887096	3025	1998-06-11	VYDAJ	PREVOD NA UCET	3354	20693	SIPO	EF	14488661
887097	3025	1998-07-11	VYDAJ	PREVOD NA UCET	3354	15274	SIPO	EF	14488661
887098	3025	1998-08-11	VYDAJ	PREVOD NA UCET	3354	18057	SIPO	EF	14488661
887099	3025	1998-09-11	VYDAJ	PREVOD NA UCET	3354	15083	SIPO	EF	14488661
887100	3025	1998-10-11	VYDAJ	PREVOD NA UCET	3354	12058	SIPO	EF	14488661
887101	3025	1998-11-11	VYDAJ	PREVOD NA UCET	3354	12024	SIPO	EF	14488661
887102	3025	1998-12-11	VYDAJ	PREVOD NA UCET	3354	14093	SIPO	EF	14488661
887104	3025	1998-06-14	VYDAJ	VYBER	5150	21910	\N	\N	\N
887108	3025	1998-12-23	VYDAJ	VYBER	1100	15860	\N	\N	\N
887125	3025	1998-05-17	VYDAJ	VYBER	2160	27754	\N	\N	\N
887128	3025	1998-06-25	VYDAJ	VYBER	3360	18550	\N	\N	\N
887129	3025	1998-05-14	VYDAJ	VYBER	1120	29914	\N	\N	\N
887130	3025	1998-08-17	VYDAJ	VYBER	2560	21864	\N	\N	\N
887148	3025	1998-05-31	VYDAJ	VYBER	15	24047	SLUZBY	\N	\N
887149	3025	1998-06-30	VYDAJ	VYBER	15	18628	SLUZBY	\N	\N
887150	3025	1998-07-31	VYDAJ	VYBER	15	21411	SLUZBY	\N	\N
887151	3025	1998-08-31	VYDAJ	VYBER	15	18437	SLUZBY	\N	\N
887152	3025	1998-09-30	VYDAJ	VYBER	15	15412	SLUZBY	\N	\N
887153	3025	1998-10-31	VYDAJ	VYBER	15	15378	SLUZBY	\N	\N
887154	3025	1998-11-30	VYDAJ	VYBER	15	17447	SLUZBY	\N	\N
887155	3025	1998-03-27	VYDAJ	VYBER	200	19701	\N	\N	\N
887156	3025	1998-04-26	VYDAJ	VYBER	1500	24581	\N	\N	\N
887157	3025	1998-05-26	VYDAJ	VYBER	3800	23954	\N	\N	\N
887158	3025	1998-07-25	VYDAJ	VYBER	300	21341	\N	\N	\N
887159	3025	1998-08-24	VYDAJ	VYBER	3500	18364	\N	\N	\N
887160	3025	1998-09-23	VYDAJ	VYBER	6100	15350	\N	\N	\N
887161	3025	1998-10-23	VYDAJ	VYBER	3100	15325	\N	\N	\N
887162	3025	1998-11-22	VYDAJ	VYBER	1000	17391	\N	\N	\N
887163	3025	1998-12-22	VYDAJ	VYBER	3500	16960	\N	\N	\N
887174	3026	1993-02-18	PRIJEM	VKLAD	400	400	\N	\N	\N
887177	3026	1993-03-11	PRIJEM	VKLAD	20740	21140	\N	\N	\N
887178	3026	1993-04-11	PRIJEM	VKLAD	20740	45219	\N	\N	\N
887179	3026	1993-05-11	PRIJEM	VKLAD	20740	53675	\N	\N	\N
887180	3026	1993-06-11	PRIJEM	VKLAD	31110	69532	\N	\N	\N
887181	3026	1993-07-11	PRIJEM	VKLAD	20740	67646	\N	\N	\N
887182	3026	1993-08-11	PRIJEM	VKLAD	20740	62341	\N	\N	\N
887183	3026	1993-09-11	PRIJEM	VKLAD	20740	54778	\N	\N	\N
887184	3026	1993-10-11	PRIJEM	VKLAD	20740	58648	\N	\N	\N
887185	3026	1993-11-11	PRIJEM	VKLAD	20740	58312	\N	\N	\N
887186	3026	1993-12-11	PRIJEM	VKLAD	31110	71449	\N	\N	\N
887187	3026	1994-01-11	PRIJEM	VKLAD	20740	53860	\N	\N	\N
887188	3026	1994-02-11	PRIJEM	VKLAD	20740	50712	\N	\N	\N
887189	3026	1994-03-11	PRIJEM	VKLAD	20740	52550	\N	\N	\N
887190	3026	1994-04-11	PRIJEM	VKLAD	20740	51850	\N	\N	\N
887191	3026	1994-05-11	PRIJEM	VKLAD	20740	55291	\N	\N	\N
887192	3026	1994-06-11	PRIJEM	VKLAD	31110	65206	\N	\N	\N
887193	3026	1994-07-11	PRIJEM	VKLAD	20740	38303	\N	\N	\N
887194	3026	1994-08-11	PRIJEM	VKLAD	20740	41456	\N	\N	\N
887195	3026	1994-09-11	PRIJEM	VKLAD	20740	35522	\N	\N	\N
887196	3026	1994-10-11	PRIJEM	VKLAD	20740	42806	\N	\N	\N
887197	3026	1994-11-11	PRIJEM	VKLAD	20740	43401	\N	\N	\N
887198	3026	1994-12-11	PRIJEM	VKLAD	31110	60104	\N	\N	\N
887199	3026	1995-01-11	PRIJEM	VKLAD	20740	53953	\N	\N	\N
887200	3026	1995-02-11	PRIJEM	VKLAD	20740	45115	\N	\N	\N
887201	3026	1995-03-11	PRIJEM	VKLAD	20740	49470	\N	\N	\N
887202	3026	1995-04-11	PRIJEM	VKLAD	20740	50440	\N	\N	\N
887203	3026	1995-05-11	PRIJEM	VKLAD	20740	52318	\N	\N	\N
887204	3026	1995-06-11	PRIJEM	VKLAD	31110	47613	\N	\N	\N
887205	3026	1995-07-11	PRIJEM	VKLAD	20740	48284	\N	\N	\N
887206	3026	1995-08-11	PRIJEM	VKLAD	20740	46153	\N	\N	\N
887207	3026	1995-09-11	PRIJEM	VKLAD	20740	46718	\N	\N	\N
887208	3026	1995-10-11	PRIJEM	VKLAD	20740	47619	\N	\N	\N
887209	3026	1995-11-11	PRIJEM	VKLAD	20740	49684	\N	\N	\N
887210	3026	1995-12-11	PRIJEM	VKLAD	31110	55627	\N	\N	\N
887211	3026	1996-01-11	PRIJEM	VKLAD	20740	46559	\N	\N	\N
887212	3026	1996-02-11	PRIJEM	VKLAD	20740	45128	\N	\N	\N
887213	3026	1996-03-11	PRIJEM	VKLAD	20740	42677	\N	\N	\N
887214	3026	1996-04-11	PRIJEM	VKLAD	20740	41123	\N	\N	\N
887215	3026	1996-05-11	PRIJEM	VKLAD	20740	41458	\N	\N	\N
887216	3026	1996-06-11	PRIJEM	VKLAD	31110	46788	\N	\N	\N
887217	3026	1996-07-11	PRIJEM	VKLAD	20740	44627	\N	\N	\N
887218	3026	1996-08-11	PRIJEM	VKLAD	20740	37911	\N	\N	\N
887219	3026	1996-09-11	PRIJEM	VKLAD	20740	37829	\N	\N	\N
887220	3026	1996-10-11	PRIJEM	VKLAD	20740	35829	\N	\N	\N
887221	3026	1996-11-11	PRIJEM	VKLAD	20740	48623	\N	\N	\N
887222	3026	1996-12-11	PRIJEM	VKLAD	31110	49734	\N	\N	\N
887223	3026	1997-01-11	PRIJEM	VKLAD	20740	37039	\N	\N	\N
887224	3026	1997-02-11	PRIJEM	VKLAD	20740	46123	\N	\N	\N
887225	3026	1997-03-11	PRIJEM	VKLAD	20740	58958	\N	\N	\N
887226	3026	1997-04-11	PRIJEM	VKLAD	20740	36569	\N	\N	\N
887227	3026	1997-05-11	PRIJEM	VKLAD	20740	49366	\N	\N	\N
887228	3026	1997-06-11	PRIJEM	VKLAD	31110	65131	\N	\N	\N
887229	3026	1997-07-11	PRIJEM	VKLAD	20740	39007	\N	\N	\N
887230	3026	1997-08-11	PRIJEM	VKLAD	20740	47004	\N	\N	\N
887231	3026	1997-09-11	PRIJEM	VKLAD	20740	58644	\N	\N	\N
887232	3026	1997-10-11	PRIJEM	VKLAD	20740	66259	\N	\N	\N
887233	3026	1997-11-11	PRIJEM	VKLAD	20740	40255	\N	\N	\N
887234	3026	1997-12-11	PRIJEM	VKLAD	31110	63436	\N	\N	\N
887235	3026	1998-01-11	PRIJEM	VKLAD	20740	71726	\N	\N	\N
887236	3026	1998-02-11	PRIJEM	VKLAD	20740	37797	\N	\N	\N
887237	3026	1998-03-11	PRIJEM	VKLAD	20740	50595	\N	\N	\N
887238	3026	1998-04-11	PRIJEM	VKLAD	20740	60689	\N	\N	\N
887239	3026	1998-05-11	PRIJEM	VKLAD	20740	73584	\N	\N	\N
887240	3026	1998-06-11	PRIJEM	VKLAD	31110	96904	\N	\N	\N
887241	3026	1998-07-11	PRIJEM	VKLAD	20740	45953	\N	\N	\N
887242	3026	1998-08-11	PRIJEM	VKLAD	20740	58787	\N	\N	\N
887243	3026	1998-09-11	PRIJEM	VKLAD	20740	71675	\N	\N	\N
887244	3026	1998-10-11	PRIJEM	VKLAD	20740	84615	\N	\N	\N
887245	3026	1998-11-11	PRIJEM	VKLAD	20740	90765	\N	\N	\N
887246	3026	1998-12-11	PRIJEM	VKLAD	31110	114166	\N	\N	\N
887253	3026	1993-07-13	VYDAJ	PREVOD NA UCET	8024	59622	SIPO	OP	60199838
887254	3026	1993-08-13	VYDAJ	PREVOD NA UCET	8024	54317	SIPO	OP	60199838
887255	3026	1993-09-13	VYDAJ	PREVOD NA UCET	8024	46754	SIPO	OP	60199838
887256	3026	1993-10-13	VYDAJ	PREVOD NA UCET	8024	50624	SIPO	OP	60199838
887257	3026	1993-11-13	VYDAJ	PREVOD NA UCET	8024	50288	SIPO	OP	60199838
887258	3026	1993-12-13	VYDAJ	PREVOD NA UCET	8024	63425	SIPO	OP	60199838
887259	3026	1994-01-13	VYDAJ	PREVOD NA UCET	8024	45836	SIPO	OP	60199838
887260	3026	1994-02-13	VYDAJ	PREVOD NA UCET	8024	42688	SIPO	OP	60199838
887261	3026	1994-03-13	VYDAJ	PREVOD NA UCET	8024	44526	SIPO	OP	60199838
887262	3026	1994-04-13	VYDAJ	PREVOD NA UCET	8024	43826	SIPO	OP	60199838
887263	3026	1994-05-13	VYDAJ	PREVOD NA UCET	8024	47267	SIPO	OP	60199838
887264	3026	1994-06-13	VYDAJ	PREVOD NA UCET	8024	40482	SIPO	OP	60199838
887265	3026	1994-07-13	VYDAJ	PREVOD NA UCET	8024	25179	SIPO	OP	60199838
887266	3026	1994-08-13	VYDAJ	PREVOD NA UCET	8024	22032	SIPO	OP	60199838
887267	3026	1994-09-13	VYDAJ	PREVOD NA UCET	8024	21998	SIPO	OP	60199838
887268	3026	1994-10-13	VYDAJ	PREVOD NA UCET	8024	22082	SIPO	OP	60199838
887269	3026	1994-11-13	VYDAJ	PREVOD NA UCET	8024	35377	SIPO	OP	60199838
887270	3026	1994-12-13	VYDAJ	PREVOD NA UCET	8024	49440	SIPO	OP	60199838
887271	3026	1995-01-13	VYDAJ	PREVOD NA UCET	8024	45929	SIPO	OP	60199838
887272	3026	1995-02-13	VYDAJ	PREVOD NA UCET	8024	37091	SIPO	OP	60199838
887273	3026	1995-03-13	VYDAJ	PREVOD NA UCET	8024	41446	SIPO	OP	60199838
887274	3026	1995-04-13	VYDAJ	PREVOD NA UCET	8024	42416	SIPO	OP	60199838
887275	3026	1995-05-13	VYDAJ	PREVOD NA UCET	8024	44294	SIPO	OP	60199838
887276	3026	1995-06-13	VYDAJ	PREVOD NA UCET	8024	39589	SIPO	OP	60199838
887277	3026	1995-07-13	VYDAJ	PREVOD NA UCET	8024	40260	SIPO	OP	60199838
887278	3026	1995-08-13	VYDAJ	PREVOD NA UCET	8024	38129	SIPO	OP	60199838
887279	3026	1995-09-13	VYDAJ	PREVOD NA UCET	8024	38694	SIPO	OP	60199838
887280	3026	1995-10-13	VYDAJ	PREVOD NA UCET	8024	39595	SIPO	OP	60199838
887281	3026	1995-11-13	VYDAJ	PREVOD NA UCET	8024	41660	SIPO	OP	60199838
887282	3026	1995-12-13	VYDAJ	PREVOD NA UCET	8024	47603	SIPO	OP	60199838
887283	3026	1996-01-13	VYDAJ	PREVOD NA UCET	8024	38535	SIPO	OP	60199838
887284	3026	1996-02-13	VYDAJ	PREVOD NA UCET	8024	37104	SIPO	OP	60199838
887285	3026	1996-03-13	VYDAJ	PREVOD NA UCET	8024	34653	SIPO	OP	60199838
887286	3026	1996-04-13	VYDAJ	PREVOD NA UCET	8024	33099	SIPO	OP	60199838
887287	3026	1996-05-13	VYDAJ	PREVOD NA UCET	8024	33434	SIPO	OP	60199838
887288	3026	1996-06-13	VYDAJ	PREVOD NA UCET	8024	38764	SIPO	OP	60199838
887289	3026	1996-07-13	VYDAJ	PREVOD NA UCET	8024	36603	SIPO	OP	60199838
887290	3026	1996-08-13	VYDAJ	PREVOD NA UCET	8024	29887	SIPO	OP	60199838
887291	3026	1996-09-13	VYDAJ	PREVOD NA UCET	8024	29805	SIPO	OP	60199838
887292	3026	1996-10-13	VYDAJ	PREVOD NA UCET	8024	27805	SIPO	OP	60199838
887293	3026	1996-11-13	VYDAJ	PREVOD NA UCET	8024	40599	SIPO	OP	60199838
887294	3026	1996-12-13	VYDAJ	PREVOD NA UCET	8024	41710	SIPO	OP	60199838
887295	3026	1997-01-13	VYDAJ	PREVOD NA UCET	8024	29015	SIPO	OP	60199838
887296	3026	1997-02-13	VYDAJ	PREVOD NA UCET	8024	38099	SIPO	OP	60199838
887297	3026	1997-03-13	VYDAJ	PREVOD NA UCET	8024	50934	SIPO	OP	60199838
887298	3026	1997-04-13	VYDAJ	PREVOD NA UCET	8024	28545	SIPO	OP	60199838
887299	3026	1997-05-13	VYDAJ	PREVOD NA UCET	8024	36182	SIPO	OP	60199838
887300	3026	1997-06-13	VYDAJ	PREVOD NA UCET	8024	57107	SIPO	OP	60199838
887301	3026	1997-07-13	VYDAJ	PREVOD NA UCET	8024	30983	SIPO	OP	60199838
887302	3026	1997-08-13	VYDAJ	PREVOD NA UCET	8024	38980	SIPO	OP	60199838
887303	3026	1997-09-13	VYDAJ	PREVOD NA UCET	8024	50620	SIPO	OP	60199838
887304	3026	1997-10-13	VYDAJ	PREVOD NA UCET	8024	58235	SIPO	OP	60199838
887305	3026	1997-11-13	VYDAJ	PREVOD NA UCET	8024	32231	SIPO	OP	60199838
887306	3026	1997-12-13	VYDAJ	PREVOD NA UCET	8024	55412	SIPO	OP	60199838
887307	3026	1998-01-13	VYDAJ	PREVOD NA UCET	8024	63702	SIPO	OP	60199838
887308	3026	1998-02-13	VYDAJ	PREVOD NA UCET	8024	29773	SIPO	OP	60199838
887309	3026	1998-03-13	VYDAJ	PREVOD NA UCET	8024	42571	SIPO	OP	60199838
887310	3026	1998-04-13	VYDAJ	PREVOD NA UCET	8024	52665	SIPO	OP	60199838
887311	3026	1998-05-13	VYDAJ	PREVOD NA UCET	8024	65560	SIPO	OP	60199838
887312	3026	1998-06-13	VYDAJ	PREVOD NA UCET	8024	88880	SIPO	OP	60199838
887313	3026	1998-07-13	VYDAJ	PREVOD NA UCET	8024	37929	SIPO	OP	60199838
887314	3026	1998-08-13	VYDAJ	PREVOD NA UCET	8024	50763	SIPO	OP	60199838
887315	3026	1998-09-13	VYDAJ	PREVOD NA UCET	8024	63651	SIPO	OP	60199838
887316	3026	1998-10-13	VYDAJ	PREVOD NA UCET	8024	76591	SIPO	OP	60199838
887317	3026	1998-11-13	VYDAJ	PREVOD NA UCET	8024	82741	SIPO	OP	60199838
887318	3026	1998-12-13	VYDAJ	PREVOD NA UCET	8024	70542	SIPO	OP	60199838
887320	3026	1994-06-24	VYDAJ	VYBER	23040	17442	\N	\N	\N
887321	3026	1995-06-10	VYDAJ	VYBER	11360	16503	\N	\N	\N
887322	3026	1996-06-01	VYDAJ	VYBER	9600	23958	\N	\N	\N
887325	3026	1993-12-28	VYDAJ	VYBER	2720	36205	\N	\N	\N
887326	3026	1994-12-02	VYDAJ	VYBER	1600	33894	\N	\N	\N
887327	3026	1995-12-29	VYDAJ	VYBER	1280	46323	\N	\N	\N
887328	3026	1996-12-27	VYDAJ	VYBER	3040	38670	\N	\N	\N
887329	3026	1997-12-26	VYDAJ	VYBER	1120	54292	\N	\N	\N
887330	3026	1998-12-17	VYDAJ	VYBER	2560	67982	\N	\N	\N
887337	3026	1994-01-27	VYDAJ	VYBER	1200	31756	\N	\N	\N
887338	3026	1994-01-09	VYDAJ	VYBER	3240	33120	\N	\N	\N
887339	3026	1994-01-14	VYDAJ	VYBER	3000	42836	\N	\N	\N
887340	3026	1994-01-28	VYDAJ	VYBER	1080	30676	\N	\N	\N
887341	3026	1994-01-25	VYDAJ	VYBER	600	32956	\N	\N	\N
887342	3026	1994-01-20	VYDAJ	VYBER	1680	33556	\N	\N	\N
887343	3026	1995-01-15	VYDAJ	VYBER	600	45329	\N	\N	\N
887344	3026	1995-01-29	VYDAJ	VYBER	3240	37769	\N	\N	\N
887345	3026	1995-01-15	VYDAJ	VYBER	2880	42449	\N	\N	\N
887346	3026	1995-01-18	VYDAJ	VYBER	1440	41009	\N	\N	\N
887347	3026	1995-01-03	VYDAJ	VYBER	1200	48413	\N	\N	\N
887348	3026	1995-01-29	VYDAJ	VYBER	2760	35009	\N	\N	\N
887349	3026	1996-01-16	VYDAJ	VYBER	2640	35895	\N	\N	\N
887350	3026	1996-01-10	VYDAJ	VYBER	1200	25819	\N	\N	\N
887351	3026	1996-01-05	VYDAJ	VYBER	1680	28819	\N	\N	\N
887352	3026	1996-01-26	VYDAJ	VYBER	2160	32055	\N	\N	\N
887353	3026	1996-01-21	VYDAJ	VYBER	1680	34215	\N	\N	\N
887354	3026	1996-01-07	VYDAJ	VYBER	1800	27019	\N	\N	\N
887355	3026	1997-01-26	VYDAJ	VYBER	3120	25295	\N	\N	\N
887356	3026	1997-01-01	VYDAJ	VYBER	1680	16299	\N	\N	\N
887360	3026	1997-01-21	VYDAJ	VYBER	600	28415	\N	\N	\N
887361	3026	1998-01-07	VYDAJ	VYBER	1080	50986	\N	\N	\N
887362	3026	1998-01-14	VYDAJ	VYBER	720	62982	\N	\N	\N
887363	3026	1998-01-02	VYDAJ	VYBER	2400	52066	\N	\N	\N
887364	3026	1998-01-17	VYDAJ	VYBER	1560	61422	\N	\N	\N
887365	3026	1998-01-19	VYDAJ	VYBER	2400	59022	\N	\N	\N
887366	3026	1998-01-22	VYDAJ	VYBER	2040	56982	\N	\N	\N
887369	3026	1993-09-07	VYDAJ	VYBER	5640	34038	\N	\N	\N
887371	3026	1993-12-16	VYDAJ	VYBER	4200	38925	\N	\N	\N
887372	3026	1994-07-31	VYDAJ	VYBER	4560	20730	\N	\N	\N
887373	3026	1994-02-05	VYDAJ	VYBER	840	29972	\N	\N	\N
887374	3026	1994-12-11	VYDAJ	VYBER	2640	57464	\N	\N	\N
887375	3026	1994-08-27	VYDAJ	VYBER	3840	14712	\N	\N	\N
887376	3026	1994-03-23	VYDAJ	VYBER	5040	30986	\N	\N	\N
887377	3026	1994-08-25	VYDAJ	VYBER	3480	18552	\N	\N	\N
887378	3026	1995-09-14	VYDAJ	VYBER	960	37734	\N	\N	\N
887380	3026	1996-07-25	VYDAJ	VYBER	3360	29883	\N	\N	\N
887381	3026	1996-03-26	VYDAJ	VYBER	5400	29253	\N	\N	\N
887382	3026	1996-06-02	VYDAJ	VYBER	3480	15678	\N	\N	\N
887383	3026	1996-07-27	VYDAJ	VYBER	5040	24843	\N	\N	\N
887384	3026	1996-07-18	VYDAJ	VYBER	3360	33243	\N	\N	\N
887385	3026	1997-09-03	VYDAJ	VYBER	1200	37904	\N	\N	\N
887386	3026	1997-10-07	VYDAJ	VYBER	5280	45519	\N	\N	\N
887387	3026	1997-03-19	VYDAJ	VYBER	3360	47574	\N	\N	\N
887388	3026	1997-05-18	VYDAJ	VYBER	2280	33902	\N	\N	\N
887389	3026	1997-07-17	VYDAJ	VYBER	4800	26183	\N	\N	\N
887390	3026	1997-05-12	VYDAJ	VYBER	5160	44206	\N	\N	\N
887391	3026	1998-11-05	VYDAJ	VYBER	3720	70025	\N	\N	\N
887392	3026	1998-03-31	VYDAJ	VYBER	2760	39949	\N	\N	\N
887393	3026	1998-10-21	VYDAJ	VYBER	3120	73471	\N	\N	\N
887401	3026	1993-07-31	VYDAJ	VYBER	15	41601	SLUZBY	\N	\N
887402	3026	1993-08-31	VYDAJ	VYBER	15	39678	SLUZBY	\N	\N
887403	3026	1993-09-30	VYDAJ	VYBER	15	37908	SLUZBY	\N	\N
887404	3026	1993-10-31	VYDAJ	VYBER	15	37572	SLUZBY	\N	\N
887405	3026	1993-11-30	VYDAJ	VYBER	15	40339	SLUZBY	\N	\N
887406	3026	1993-12-31	VYDAJ	VYBER	15	36360	SLUZBY	\N	\N
887407	3026	1994-01-31	VYDAJ	VYBER	15	30812	SLUZBY	\N	\N
887408	3026	1994-02-28	VYDAJ	VYBER	15	31810	SLUZBY	\N	\N
887409	3026	1994-03-31	VYDAJ	VYBER	15	31110	SLUZBY	\N	\N
887410	3026	1994-04-30	VYDAJ	VYBER	15	34551	SLUZBY	\N	\N
887411	3026	1994-05-31	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
887412	3026	1994-06-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
887413	3026	1994-07-31	VYDAJ	VYBER	15	20716	SLUZBY	\N	\N
887414	3026	1994-08-31	VYDAJ	VYBER	15	14782	SLUZBY	\N	\N
887415	3026	1994-09-30	VYDAJ	VYBER	15	22066	SLUZBY	\N	\N
887416	3026	1994-10-31	VYDAJ	VYBER	15	22161	SLUZBY	\N	\N
887417	3026	1994-11-30	VYDAJ	VYBER	15	35494	SLUZBY	\N	\N
887418	3026	1994-12-31	VYDAJ	VYBER	15	49613	SLUZBY	\N	\N
887419	3026	1995-01-31	VYDAJ	VYBER	15	35175	SLUZBY	\N	\N
887420	3026	1995-02-28	VYDAJ	VYBER	15	37230	SLUZBY	\N	\N
887421	3026	1995-03-31	VYDAJ	VYBER	15	41600	SLUZBY	\N	\N
887422	3026	1995-04-30	VYDAJ	VYBER	15	42578	SLUZBY	\N	\N
887423	3026	1995-05-31	VYDAJ	VYBER	15	44463	SLUZBY	\N	\N
887424	3026	1995-06-30	VYDAJ	VYBER	15	39744	SLUZBY	\N	\N
887425	3026	1995-07-31	VYDAJ	VYBER	15	40413	SLUZBY	\N	\N
887426	3026	1995-08-31	VYDAJ	VYBER	15	38278	SLUZBY	\N	\N
887427	3026	1995-09-30	VYDAJ	VYBER	15	37879	SLUZBY	\N	\N
887428	3026	1995-10-31	VYDAJ	VYBER	15	39744	SLUZBY	\N	\N
887429	3026	1995-11-30	VYDAJ	VYBER	15	41817	SLUZBY	\N	\N
887430	3026	1995-12-31	VYDAJ	VYBER	15	46499	SLUZBY	\N	\N
887431	3026	1996-01-31	VYDAJ	VYBER	15	32188	SLUZBY	\N	\N
887432	3026	1996-02-29	VYDAJ	VYBER	15	37237	SLUZBY	\N	\N
887433	3026	1996-03-31	VYDAJ	VYBER	15	29383	SLUZBY	\N	\N
887434	3026	1996-04-30	VYDAJ	VYBER	15	33218	SLUZBY	\N	\N
887435	3026	1996-05-31	VYDAJ	VYBER	15	33558	SLUZBY	\N	\N
887436	3026	1996-06-30	VYDAJ	VYBER	15	38887	SLUZBY	\N	\N
887437	3026	1996-07-31	VYDAJ	VYBER	15	24971	SLUZBY	\N	\N
887438	3026	1996-08-31	VYDAJ	VYBER	15	17089	SLUZBY	\N	\N
887439	3026	1996-09-30	VYDAJ	VYBER	15	15089	SLUZBY	\N	\N
887440	3026	1996-10-31	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
887441	3026	1996-11-30	VYDAJ	VYBER	15	18624	SLUZBY	\N	\N
887442	3026	1996-12-31	VYDAJ	VYBER	15	17979	SLUZBY	\N	\N
887443	3026	1997-01-31	VYDAJ	VYBER	15	25383	SLUZBY	\N	\N
887444	3026	1997-02-28	VYDAJ	VYBER	15	38218	SLUZBY	\N	\N
887445	3026	1997-03-31	VYDAJ	VYBER	15	15829	SLUZBY	\N	\N
887446	3026	1997-04-30	VYDAJ	VYBER	15	28626	SLUZBY	\N	\N
887447	3026	1997-05-31	VYDAJ	VYBER	15	34021	SLUZBY	\N	\N
887448	3026	1997-06-30	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
887449	3026	1997-07-31	VYDAJ	VYBER	15	26264	SLUZBY	\N	\N
887450	3026	1997-08-31	VYDAJ	VYBER	15	39104	SLUZBY	\N	\N
887451	3026	1997-09-30	VYDAJ	VYBER	15	50799	SLUZBY	\N	\N
887452	3026	1997-10-31	VYDAJ	VYBER	15	19515	SLUZBY	\N	\N
887453	3026	1997-11-30	VYDAJ	VYBER	15	32326	SLUZBY	\N	\N
887454	3026	1997-12-31	VYDAJ	VYBER	15	54466	SLUZBY	\N	\N
887455	3026	1998-01-31	VYDAJ	VYBER	15	17057	SLUZBY	\N	\N
887456	3026	1998-02-28	VYDAJ	VYBER	15	29855	SLUZBY	\N	\N
887457	3026	1998-03-31	VYDAJ	VYBER	15	42709	SLUZBY	\N	\N
887458	3026	1998-04-30	VYDAJ	VYBER	15	52844	SLUZBY	\N	\N
887459	3026	1998-05-31	VYDAJ	VYBER	15	65794	SLUZBY	\N	\N
887460	3026	1998-06-30	VYDAJ	VYBER	15	25213	SLUZBY	\N	\N
887461	3026	1998-07-31	VYDAJ	VYBER	15	38047	SLUZBY	\N	\N
887462	3026	1998-08-31	VYDAJ	VYBER	15	50935	SLUZBY	\N	\N
887463	3026	1998-09-30	VYDAJ	VYBER	15	63875	SLUZBY	\N	\N
887464	3026	1998-10-31	VYDAJ	VYBER	15	73745	SLUZBY	\N	\N
887465	3026	1998-11-30	VYDAJ	VYBER	15	83056	SLUZBY	\N	\N
887466	3026	1993-03-20	PRIJEM	VKLAD	3300	24440	\N	\N	\N
887467	3026	1993-04-19	VYDAJ	VYBER	12400	32819	\N	\N	\N
887468	3026	1993-05-19	VYDAJ	VYBER	15400	38275	\N	\N	\N
887469	3026	1993-06-18	VYDAJ	VYBER	22800	46732	\N	\N	\N
887470	3026	1993-07-18	VYDAJ	VYBER	18200	41422	\N	\N	\N
887471	3026	1993-08-17	VYDAJ	VYBER	14800	39517	\N	\N	\N
887472	3026	1993-09-16	VYDAJ	VYBER	9000	37754	\N	\N	\N
887473	3026	1993-10-16	VYDAJ	VYBER	13200	37424	\N	\N	\N
887474	3026	1993-11-15	VYDAJ	VYBER	10100	40188	\N	\N	\N
887475	3026	1993-12-15	VYDAJ	VYBER	20300	43125	\N	\N	\N
887476	3026	1994-01-14	VYDAJ	VYBER	7600	35236	\N	\N	\N
887477	3026	1994-02-13	VYDAJ	VYBER	11000	31688	\N	\N	\N
887478	3026	1994-03-15	VYDAJ	VYBER	8500	36026	\N	\N	\N
887479	3026	1994-04-14	VYDAJ	VYBER	9400	34426	\N	\N	\N
887480	3026	1994-05-14	VYDAJ	VYBER	13300	33967	\N	\N	\N
887481	3026	1994-06-13	VYDAJ	VYBER	16700	48506	\N	\N	\N
887482	3026	1994-07-13	VYDAJ	VYBER	5100	33203	\N	\N	\N
887483	3026	1994-08-12	VYDAJ	VYBER	11400	30056	\N	\N	\N
887484	3026	1994-09-11	VYDAJ	VYBER	5500	30022	\N	\N	\N
887485	3026	1994-10-11	VYDAJ	VYBER	12700	30106	\N	\N	\N
887486	3026	1994-11-10	PRIJEM	VKLAD	500	22661	\N	\N	\N
887487	3026	1994-12-10	VYDAJ	VYBER	4900	28994	\N	\N	\N
887488	3026	1995-01-09	VYDAJ	VYBER	15200	33213	\N	\N	\N
887489	3026	1995-02-08	VYDAJ	VYBER	10800	24375	\N	\N	\N
887490	3026	1995-03-10	VYDAJ	VYBER	8500	28730	\N	\N	\N
887491	3026	1995-04-09	VYDAJ	VYBER	11900	29700	\N	\N	\N
887492	3026	1995-05-09	VYDAJ	VYBER	11000	31578	\N	\N	\N
887493	3026	1995-06-08	VYDAJ	VYBER	16600	27863	\N	\N	\N
887494	3026	1995-07-08	VYDAJ	VYBER	12200	27544	\N	\N	\N
887495	3026	1995-08-07	VYDAJ	VYBER	15000	25413	\N	\N	\N
887496	3026	1995-09-06	VYDAJ	VYBER	12300	25978	\N	\N	\N
887497	3026	1995-10-06	VYDAJ	VYBER	11000	26879	\N	\N	\N
887498	3026	1995-11-05	VYDAJ	VYBER	10800	28944	\N	\N	\N
887499	3026	1995-12-05	VYDAJ	VYBER	17300	24517	\N	\N	\N
887500	3026	1996-01-04	VYDAJ	VYBER	16000	30499	\N	\N	\N
887501	3026	1996-02-03	VYDAJ	VYBER	7800	24388	\N	\N	\N
887502	3026	1996-03-04	VYDAJ	VYBER	15300	21937	\N	\N	\N
887503	3026	1996-04-03	VYDAJ	VYBER	9000	20383	\N	\N	\N
887504	3026	1996-05-03	VYDAJ	VYBER	12500	20718	\N	\N	\N
887505	3026	1996-06-02	VYDAJ	VYBER	4800	19158	\N	\N	\N
887506	3026	1996-07-02	VYDAJ	VYBER	15000	23887	\N	\N	\N
887507	3026	1996-08-01	VYDAJ	VYBER	7800	17171	\N	\N	\N
887508	3026	1996-08-31	VYDAJ	VYBER	12900	17103	\N	\N	\N
887509	3026	1996-09-30	VYDAJ	VYBER	14800	15103	\N	\N	\N
887510	3026	1996-11-29	VYDAJ	VYBER	22100	18499	\N	\N	\N
887511	3026	1996-12-29	VYDAJ	VYBER	20800	17870	\N	\N	\N
887512	3026	1997-03-29	VYDAJ	VYBER	31900	15674	\N	\N	\N
887513	3026	1997-06-27	VYDAJ	VYBER	39000	18107	\N	\N	\N
887514	3026	1997-10-25	VYDAJ	VYBER	38900	19335	\N	\N	\N
887515	3026	1998-01-23	VYDAJ	VYBER	40100	16882	\N	\N	\N
887516	3026	1998-06-22	VYDAJ	VYBER	63900	24980	\N	\N	\N
887517	3026	1998-12-11	VYDAJ	VYBER	35600	78566	\N	\N	\N
887588	3027	1996-04-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
887593	3027	1996-05-14	PRIJEM	PREVOD Z UCTU	4479	5479	DUCHOD	ST	96506100
887594	3027	1996-06-14	PRIJEM	PREVOD Z UCTU	4479	9958	DUCHOD	ST	96506100
887595	3027	1996-07-14	PRIJEM	PREVOD Z UCTU	4479	14437	DUCHOD	ST	96506100
887596	3027	1996-08-14	PRIJEM	PREVOD Z UCTU	4479	18916	DUCHOD	ST	96506100
887597	3027	1996-09-14	PRIJEM	PREVOD Z UCTU	4479	23395	DUCHOD	ST	96506100
887598	3027	1996-10-14	PRIJEM	PREVOD Z UCTU	4479	25145	DUCHOD	ST	96506100
887599	3027	1996-11-14	PRIJEM	PREVOD Z UCTU	4479	27080	DUCHOD	ST	96506100
887600	3027	1996-12-14	PRIJEM	PREVOD Z UCTU	4479	27922	DUCHOD	ST	96506100
887601	3027	1997-01-14	PRIJEM	PREVOD Z UCTU	4479	23994	DUCHOD	ST	96506100
887602	3027	1997-02-14	PRIJEM	PREVOD Z UCTU	4479	18635	DUCHOD	ST	96506100
887603	3027	1997-03-14	PRIJEM	PREVOD Z UCTU	4479	20543	DUCHOD	ST	96506100
887604	3027	1997-04-14	PRIJEM	PREVOD Z UCTU	4479	22458	DUCHOD	ST	96506100
887605	3027	1997-05-14	PRIJEM	PREVOD Z UCTU	4479	24382	DUCHOD	ST	96506100
887606	3027	1997-06-14	PRIJEM	PREVOD Z UCTU	4479	26314	DUCHOD	ST	96506100
887607	3027	1997-07-14	PRIJEM	PREVOD Z UCTU	4479	25150	DUCHOD	ST	96506100
887608	3027	1997-08-14	PRIJEM	PREVOD Z UCTU	4479	22102	DUCHOD	ST	96506100
887609	3027	1997-09-14	PRIJEM	PREVOD Z UCTU	4479	22605	DUCHOD	ST	96506100
887610	3027	1997-10-14	PRIJEM	PREVOD Z UCTU	4479	21924	DUCHOD	ST	96506100
887611	3027	1997-11-14	PRIJEM	PREVOD Z UCTU	4479	23846	DUCHOD	ST	96506100
887612	3027	1997-12-14	PRIJEM	PREVOD Z UCTU	4479	22093	DUCHOD	ST	96506100
887613	3027	1998-01-14	PRIJEM	PREVOD Z UCTU	4479	17774	DUCHOD	ST	96506100
887614	3027	1998-02-14	PRIJEM	PREVOD Z UCTU	4479	15593	DUCHOD	ST	96506100
887615	3027	1998-03-14	PRIJEM	PREVOD Z UCTU	4479	17487	DUCHOD	ST	96506100
887616	3027	1998-04-14	PRIJEM	PREVOD Z UCTU	4479	19390	DUCHOD	ST	96506100
887617	3027	1998-05-14	PRIJEM	PREVOD Z UCTU	4479	15696	DUCHOD	ST	96506100
887618	3027	1998-06-14	PRIJEM	PREVOD Z UCTU	4479	17591	DUCHOD	ST	96506100
887619	3027	1998-07-14	PRIJEM	PREVOD Z UCTU	4479	19494	DUCHOD	ST	96506100
887620	3027	1998-08-14	PRIJEM	PREVOD Z UCTU	4479	17965	DUCHOD	ST	96506100
887621	3027	1998-09-14	PRIJEM	PREVOD Z UCTU	4479	18911	DUCHOD	ST	96506100
887622	3027	1998-10-14	PRIJEM	PREVOD Z UCTU	4479	20820	DUCHOD	ST	96506100
887623	3027	1998-11-14	PRIJEM	PREVOD Z UCTU	4479	22736	DUCHOD	ST	96506100
887624	3027	1998-12-14	PRIJEM	PREVOD Z UCTU	4479	24111	DUCHOD	ST	96506100
887634	3027	1996-10-07	VYDAJ	PREVOD NA UCET	2631	20666	SIPO	MN	37909793
887635	3027	1996-11-07	VYDAJ	PREVOD NA UCET	2631	22601	SIPO	MN	37909793
887636	3027	1996-12-07	VYDAJ	PREVOD NA UCET	2631	23443	SIPO	MN	37909793
887637	3027	1997-01-07	VYDAJ	PREVOD NA UCET	2631	19515	SIPO	MN	37909793
887638	3027	1997-02-07	VYDAJ	PREVOD NA UCET	2631	14156	SIPO	MN	37909793
887639	3027	1997-03-07	VYDAJ	PREVOD NA UCET	2631	16064	SIPO	MN	37909793
887640	3027	1997-04-07	VYDAJ	PREVOD NA UCET	2631	17979	SIPO	MN	37909793
887641	3027	1997-05-07	VYDAJ	PREVOD NA UCET	2631	19903	SIPO	MN	37909793
887642	3027	1997-06-07	VYDAJ	PREVOD NA UCET	2631	21835	SIPO	MN	37909793
887643	3027	1997-07-07	VYDAJ	PREVOD NA UCET	2631	20671	SIPO	MN	37909793
887644	3027	1997-08-07	VYDAJ	PREVOD NA UCET	2631	19783	SIPO	MN	37909793
887645	3027	1997-09-07	VYDAJ	PREVOD NA UCET	2631	18126	SIPO	MN	37909793
887646	3027	1997-10-07	VYDAJ	PREVOD NA UCET	2631	17445	SIPO	MN	37909793
887647	3027	1997-11-07	VYDAJ	PREVOD NA UCET	2631	19367	SIPO	MN	37909793
887648	3027	1997-12-07	VYDAJ	PREVOD NA UCET	2631	20014	SIPO	MN	37909793
887649	3027	1998-01-07	VYDAJ	PREVOD NA UCET	2631	13295	SIPO	MN	37909793
887650	3027	1998-02-07	VYDAJ	PREVOD NA UCET	2631	11114	SIPO	MN	37909793
887651	3027	1998-03-07	VYDAJ	PREVOD NA UCET	2631	13008	SIPO	MN	37909793
887652	3027	1998-04-07	VYDAJ	PREVOD NA UCET	2631	14911	SIPO	MN	37909793
887653	3027	1998-05-07	VYDAJ	PREVOD NA UCET	2631	11217	SIPO	MN	37909793
887654	3027	1998-06-07	VYDAJ	PREVOD NA UCET	2631	13112	SIPO	MN	37909793
887655	3027	1998-07-07	VYDAJ	PREVOD NA UCET	2631	15015	SIPO	MN	37909793
887656	3027	1998-08-07	VYDAJ	PREVOD NA UCET	2631	13486	SIPO	MN	37909793
887657	3027	1998-09-07	VYDAJ	PREVOD NA UCET	2631	14432	SIPO	MN	37909793
887658	3027	1998-10-07	VYDAJ	PREVOD NA UCET	2631	16341	SIPO	MN	37909793
887659	3027	1998-11-07	VYDAJ	PREVOD NA UCET	2631	18257	SIPO	MN	37909793
887660	3027	1998-12-07	VYDAJ	PREVOD NA UCET	2631	20182	SIPO	MN	37909793
887664	3027	1996-12-20	VYDAJ	VYBER	950	26972	\N	\N	\N
887665	3027	1997-12-24	VYDAJ	VYBER	1300	18893	\N	\N	\N
887666	3027	1998-12-11	VYDAJ	VYBER	550	19632	\N	\N	\N
887673	3027	1997-01-27	VYDAJ	VYBER	640	17514	\N	\N	\N
887674	3027	1997-01-16	VYDAJ	VYBER	560	21994	\N	\N	\N
887675	3027	1997-01-22	VYDAJ	VYBER	1840	20154	\N	\N	\N
887676	3027	1997-01-28	VYDAJ	VYBER	800	16714	\N	\N	\N
887677	3027	1997-01-27	VYDAJ	VYBER	2000	18154	\N	\N	\N
887678	3027	1997-01-15	VYDAJ	VYBER	1440	22554	\N	\N	\N
887680	3027	1998-01-04	VYDAJ	VYBER	1920	17046	\N	\N	\N
887681	3027	1998-01-20	VYDAJ	VYBER	720	17054	\N	\N	\N
887682	3027	1998-01-05	VYDAJ	VYBER	1120	15926	\N	\N	\N
887683	3027	1998-01-23	VYDAJ	VYBER	2000	15054	\N	\N	\N
887684	3027	1998-01-27	VYDAJ	VYBER	1360	13694	\N	\N	\N
887688	3027	1997-01-02	VYDAJ	VYBER	2720	22146	\N	\N	\N
887689	3027	1997-09-06	VYDAJ	VYBER	1120	20757	\N	\N	\N
887690	3027	1997-12-13	VYDAJ	VYBER	2400	17614	\N	\N	\N
887691	3027	1997-08-06	VYDAJ	VYBER	720	22414	\N	\N	\N
887692	3027	1997-08-12	VYDAJ	VYBER	2160	17623	\N	\N	\N
887693	3027	1997-11-17	VYDAJ	VYBER	880	22966	\N	\N	\N
887695	3027	1998-08-23	VYDAJ	VYBER	960	17005	\N	\N	\N
887696	3027	1998-08-07	VYDAJ	VYBER	3440	16117	\N	\N	\N
887697	3027	1998-05-07	VYDAJ	VYBER	2800	13848	\N	\N	\N
887708	3027	1996-09-30	VYDAJ	VYBER	15	23297	SLUZBY	\N	\N
887709	3027	1996-10-31	VYDAJ	VYBER	15	25232	SLUZBY	\N	\N
887710	3027	1996-11-30	VYDAJ	VYBER	15	26074	SLUZBY	\N	\N
887711	3027	1996-12-31	VYDAJ	VYBER	15	24866	SLUZBY	\N	\N
887712	3027	1997-01-31	VYDAJ	VYBER	15	16787	SLUZBY	\N	\N
887713	3027	1997-02-28	VYDAJ	VYBER	15	18695	SLUZBY	\N	\N
887714	3027	1997-03-31	VYDAJ	VYBER	15	20610	SLUZBY	\N	\N
887715	3027	1997-04-30	VYDAJ	VYBER	15	22534	SLUZBY	\N	\N
887716	3027	1997-05-31	VYDAJ	VYBER	15	24466	SLUZBY	\N	\N
887717	3027	1997-06-30	VYDAJ	VYBER	15	23302	SLUZBY	\N	\N
887718	3027	1997-07-31	VYDAJ	VYBER	15	23134	SLUZBY	\N	\N
887719	3027	1997-08-31	VYDAJ	VYBER	15	21877	SLUZBY	\N	\N
887720	3027	1997-09-30	VYDAJ	VYBER	15	20076	SLUZBY	\N	\N
887721	3027	1997-10-31	VYDAJ	VYBER	15	21998	SLUZBY	\N	\N
887722	3027	1997-11-30	VYDAJ	VYBER	15	22645	SLUZBY	\N	\N
887723	3027	1997-12-31	VYDAJ	VYBER	15	18966	SLUZBY	\N	\N
887724	3027	1998-01-31	VYDAJ	VYBER	15	13745	SLUZBY	\N	\N
887725	3027	1998-02-28	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
887726	3027	1998-03-31	VYDAJ	VYBER	15	17542	SLUZBY	\N	\N
887727	3027	1998-04-30	VYDAJ	VYBER	15	16648	SLUZBY	\N	\N
887728	3027	1998-05-31	VYDAJ	VYBER	15	15743	SLUZBY	\N	\N
887729	3027	1998-06-30	VYDAJ	VYBER	15	17646	SLUZBY	\N	\N
887730	3027	1998-07-31	VYDAJ	VYBER	15	19557	SLUZBY	\N	\N
887731	3027	1998-08-31	VYDAJ	VYBER	15	17063	SLUZBY	\N	\N
887732	3027	1998-09-30	VYDAJ	VYBER	15	18972	SLUZBY	\N	\N
887733	3027	1998-10-31	VYDAJ	VYBER	15	20888	SLUZBY	\N	\N
887734	3027	1998-11-30	VYDAJ	VYBER	15	22813	SLUZBY	\N	\N
887735	3027	1996-09-26	VYDAJ	VYBER	100	23295	\N	\N	\N
887736	3027	1996-11-25	VYDAJ	VYBER	1100	25980	\N	\N	\N
887737	3027	1996-12-25	VYDAJ	VYBER	2200	24772	\N	\N	\N
887738	3027	1997-06-23	VYDAJ	VYBER	3100	23214	\N	\N	\N
887739	3027	1997-07-23	VYDAJ	VYBER	2100	23050	\N	\N	\N
887740	3027	1997-08-22	VYDAJ	VYBER	300	21802	\N	\N	\N
887741	3027	1997-09-21	VYDAJ	VYBER	2600	20005	\N	\N	\N
887742	3027	1997-11-20	VYDAJ	VYBER	400	22566	\N	\N	\N
887743	3027	1997-12-20	VYDAJ	VYBER	1900	20193	\N	\N	\N
887744	3027	1998-04-19	VYDAJ	VYBER	2800	16590	\N	\N	\N
887773	3028	1993-09-15	PRIJEM	VKLAD	400	400	\N	\N	\N
887783	3028	1993-10-11	PRIJEM	PREVOD Z UCTU	4214	4614	DUCHOD	GH	87715136
887784	3028	1993-11-11	PRIJEM	PREVOD Z UCTU	4214	8828	DUCHOD	GH	87715136
887785	3028	1993-12-11	PRIJEM	PREVOD Z UCTU	4214	13042	DUCHOD	GH	87715136
887786	3028	1994-01-11	PRIJEM	PREVOD Z UCTU	4214	17256	DUCHOD	GH	87715136
887787	3028	1994-02-11	PRIJEM	PREVOD Z UCTU	4214	21470	DUCHOD	GH	87715136
887788	3028	1994-03-11	PRIJEM	PREVOD Z UCTU	4214	23473	DUCHOD	GH	87715136
887789	3028	1994-04-11	PRIJEM	PREVOD Z UCTU	4214	25567	DUCHOD	GH	87715136
887790	3028	1994-05-11	PRIJEM	PREVOD Z UCTU	4214	26167	DUCHOD	GH	87715136
887791	3028	1994-06-11	PRIJEM	PREVOD Z UCTU	4214	25866	DUCHOD	GH	87715136
887792	3028	1994-07-11	PRIJEM	PREVOD Z UCTU	4214	15793	DUCHOD	GH	87715136
887793	3028	1994-08-11	PRIJEM	PREVOD Z UCTU	4214	17856	DUCHOD	GH	87715136
887794	3028	1994-09-11	PRIJEM	PREVOD Z UCTU	4214	18647	DUCHOD	GH	87715136
887795	3028	1994-10-11	PRIJEM	PREVOD Z UCTU	4214	20721	DUCHOD	GH	87715136
887796	3028	1994-11-11	PRIJEM	PREVOD Z UCTU	4214	22404	DUCHOD	GH	87715136
887797	3028	1994-12-11	PRIJEM	PREVOD Z UCTU	4214	23394	DUCHOD	GH	87715136
887798	3028	1995-01-11	PRIJEM	PREVOD Z UCTU	4214	15640	DUCHOD	GH	87715136
887799	3028	1995-02-11	PRIJEM	PREVOD Z UCTU	4214	15217	DUCHOD	GH	87715136
887800	3028	1995-03-11	PRIJEM	PREVOD Z UCTU	4214	17277	DUCHOD	GH	87715136
887801	3028	1995-04-11	PRIJEM	PREVOD Z UCTU	4214	18045	DUCHOD	GH	87715136
887802	3028	1995-05-11	PRIJEM	PREVOD Z UCTU	4214	18015	DUCHOD	GH	87715136
887803	3028	1995-06-11	PRIJEM	PREVOD Z UCTU	4214	18287	DUCHOD	GH	87715136
887804	3028	1995-07-11	PRIJEM	PREVOD Z UCTU	4214	18161	DUCHOD	GH	87715136
887805	3028	1995-08-11	PRIJEM	PREVOD Z UCTU	4214	16934	DUCHOD	GH	87715136
887806	3028	1995-09-11	PRIJEM	PREVOD Z UCTU	4214	17503	DUCHOD	GH	87715136
887807	3028	1995-10-11	PRIJEM	PREVOD Z UCTU	4214	17273	DUCHOD	GH	87715136
887808	3028	1995-11-11	PRIJEM	PREVOD Z UCTU	4214	18461	DUCHOD	GH	87715136
887809	3028	1995-12-11	PRIJEM	PREVOD Z UCTU	4214	19235	DUCHOD	GH	87715136
887810	3028	1996-01-11	PRIJEM	PREVOD Z UCTU	4214	17921	DUCHOD	GH	87715136
887811	3028	1996-02-11	PRIJEM	PREVOD Z UCTU	4214	15904	DUCHOD	GH	87715136
887812	3028	1996-03-11	PRIJEM	PREVOD Z UCTU	4214	17966	DUCHOD	GH	87715136
887813	3028	1996-04-11	PRIJEM	PREVOD Z UCTU	4214	19838	DUCHOD	GH	87715136
887814	3028	1996-05-11	PRIJEM	PREVOD Z UCTU	4214	20116	DUCHOD	GH	87715136
887815	3028	1996-06-11	PRIJEM	PREVOD Z UCTU	4214	21397	DUCHOD	GH	87715136
887816	3028	1996-07-11	PRIJEM	PREVOD Z UCTU	4214	19882	DUCHOD	GH	87715136
887817	3028	1996-08-11	PRIJEM	PREVOD Z UCTU	4214	21963	DUCHOD	GH	87715136
887818	3028	1996-09-11	PRIJEM	PREVOD Z UCTU	4214	22046	DUCHOD	GH	87715136
887819	3028	1996-10-11	PRIJEM	PREVOD Z UCTU	4214	24134	DUCHOD	GH	87715136
887820	3028	1996-11-11	PRIJEM	PREVOD Z UCTU	4214	26030	DUCHOD	GH	87715136
887821	3028	1996-12-11	PRIJEM	PREVOD Z UCTU	4214	25773	DUCHOD	GH	87715136
887822	3028	1997-01-11	PRIJEM	PREVOD Z UCTU	4214	24835	DUCHOD	GH	87715136
887823	3028	1997-02-11	PRIJEM	PREVOD Z UCTU	4214	17089	DUCHOD	GH	87715136
887824	3028	1997-03-11	PRIJEM	PREVOD Z UCTU	4214	17016	DUCHOD	GH	87715136
887825	3028	1997-04-11	PRIJEM	PREVOD Z UCTU	4214	16043	DUCHOD	GH	87715136
887826	3028	1997-05-11	PRIJEM	PREVOD Z UCTU	4214	18105	DUCHOD	GH	87715136
887827	3028	1997-06-11	PRIJEM	PREVOD Z UCTU	4214	18776	DUCHOD	GH	87715136
887828	3028	1997-07-11	PRIJEM	PREVOD Z UCTU	4214	15446	DUCHOD	GH	87715136
887829	3028	1997-08-11	PRIJEM	PREVOD Z UCTU	4214	15904	DUCHOD	GH	87715136
887830	3028	1997-09-11	PRIJEM	PREVOD Z UCTU	4214	17966	DUCHOD	GH	87715136
887831	3028	1997-10-11	PRIJEM	PREVOD Z UCTU	4214	14208	DUCHOD	GH	87715136
887832	3028	1997-11-11	PRIJEM	PREVOD Z UCTU	4214	14961	DUCHOD	GH	87715136
887833	3028	1997-12-11	PRIJEM	PREVOD Z UCTU	4214	17019	DUCHOD	GH	87715136
887834	3028	1998-01-11	PRIJEM	PREVOD Z UCTU	4214	16872	DUCHOD	GH	87715136
887835	3028	1998-02-11	PRIJEM	PREVOD Z UCTU	4214	16371	DUCHOD	GH	87715136
887836	3028	1998-03-11	PRIJEM	PREVOD Z UCTU	4214	18434	DUCHOD	GH	87715136
887837	3028	1998-04-11	PRIJEM	PREVOD Z UCTU	4214	18604	DUCHOD	GH	87715136
887838	3028	1998-05-11	PRIJEM	PREVOD Z UCTU	4214	20676	DUCHOD	GH	87715136
887839	3028	1998-06-11	PRIJEM	PREVOD Z UCTU	4214	17851	DUCHOD	GH	87715136
887840	3028	1998-07-11	PRIJEM	PREVOD Z UCTU	4214	18118	DUCHOD	GH	87715136
887841	3028	1998-08-11	PRIJEM	PREVOD Z UCTU	4214	17084	DUCHOD	GH	87715136
887842	3028	1998-09-11	PRIJEM	PREVOD Z UCTU	4214	19150	DUCHOD	GH	87715136
887843	3028	1998-10-11	PRIJEM	PREVOD Z UCTU	4214	21224	DUCHOD	GH	87715136
887844	3028	1998-11-11	PRIJEM	PREVOD Z UCTU	4214	23307	DUCHOD	GH	87715136
887845	3028	1998-12-11	PRIJEM	PREVOD Z UCTU	4214	16763	DUCHOD	GH	87715136
887860	3028	1994-03-08	VYDAJ	PREVOD NA UCET	2200	19259	SIPO	ST	81761723
887861	3028	1994-04-08	VYDAJ	PREVOD NA UCET	2200	21353	SIPO	ST	81761723
887862	3028	1994-05-08	VYDAJ	PREVOD NA UCET	2200	21953	SIPO	ST	81761723
887863	3028	1994-06-08	VYDAJ	PREVOD NA UCET	2200	21652	SIPO	ST	81761723
887864	3028	1994-07-08	VYDAJ	PREVOD NA UCET	2200	11579	SIPO	ST	81761723
887865	3028	1994-08-08	VYDAJ	PREVOD NA UCET	2200	13642	SIPO	ST	81761723
887866	3028	1994-09-08	VYDAJ	PREVOD NA UCET	2200	14433	SIPO	ST	81761723
887867	3028	1994-10-08	VYDAJ	PREVOD NA UCET	2200	16507	SIPO	ST	81761723
887868	3028	1994-11-08	VYDAJ	PREVOD NA UCET	2200	18590	SIPO	ST	81761723
887869	3028	1994-12-08	VYDAJ	PREVOD NA UCET	2200	20280	SIPO	ST	81761723
887870	3028	1995-01-08	VYDAJ	PREVOD NA UCET	2200	12626	SIPO	ST	81761723
887871	3028	1995-02-08	VYDAJ	PREVOD NA UCET	2200	11003	SIPO	ST	81761723
887872	3028	1995-03-08	VYDAJ	PREVOD NA UCET	2200	13063	SIPO	ST	81761723
887873	3028	1995-04-08	VYDAJ	PREVOD NA UCET	2200	13831	SIPO	ST	81761723
887874	3028	1995-05-08	VYDAJ	PREVOD NA UCET	2200	14701	SIPO	ST	81761723
887875	3028	1995-06-08	VYDAJ	PREVOD NA UCET	2200	14073	SIPO	ST	81761723
887876	3028	1995-07-08	VYDAJ	PREVOD NA UCET	2200	13947	SIPO	ST	81761723
887877	3028	1995-08-08	VYDAJ	PREVOD NA UCET	2200	12720	SIPO	ST	81761723
887878	3028	1995-09-08	VYDAJ	PREVOD NA UCET	2200	13289	SIPO	ST	81761723
887879	3028	1995-10-08	VYDAJ	PREVOD NA UCET	2200	13059	SIPO	ST	81761723
887880	3028	1995-11-08	VYDAJ	PREVOD NA UCET	2200	14247	SIPO	ST	81761723
887881	3028	1995-12-08	VYDAJ	PREVOD NA UCET	2200	15021	SIPO	ST	81761723
887882	3028	1996-01-08	VYDAJ	PREVOD NA UCET	2200	13707	SIPO	ST	81761723
887883	3028	1996-02-08	VYDAJ	PREVOD NA UCET	2200	11690	SIPO	ST	81761723
887884	3028	1996-03-08	VYDAJ	PREVOD NA UCET	2200	13752	SIPO	ST	81761723
887885	3028	1996-04-08	VYDAJ	PREVOD NA UCET	2200	15624	SIPO	ST	81761723
887886	3028	1996-05-08	VYDAJ	PREVOD NA UCET	2200	15902	SIPO	ST	81761723
887887	3028	1996-06-08	VYDAJ	PREVOD NA UCET	2200	17183	SIPO	ST	81761723
887888	3028	1996-07-08	VYDAJ	PREVOD NA UCET	2200	15668	SIPO	ST	81761723
887889	3028	1996-08-08	VYDAJ	PREVOD NA UCET	2200	17749	SIPO	ST	81761723
887890	3028	1996-09-08	VYDAJ	PREVOD NA UCET	2200	17832	SIPO	ST	81761723
887891	3028	1996-10-08	VYDAJ	PREVOD NA UCET	2200	19920	SIPO	ST	81761723
887892	3028	1996-11-08	VYDAJ	PREVOD NA UCET	2200	21816	SIPO	ST	81761723
887893	3028	1996-12-08	VYDAJ	PREVOD NA UCET	2200	21559	SIPO	ST	81761723
887894	3028	1997-01-08	VYDAJ	PREVOD NA UCET	2200	20621	SIPO	ST	81761723
887895	3028	1997-02-08	VYDAJ	PREVOD NA UCET	2200	12875	SIPO	ST	81761723
887896	3028	1997-03-08	VYDAJ	PREVOD NA UCET	2200	12802	SIPO	ST	81761723
887897	3028	1997-04-08	VYDAJ	PREVOD NA UCET	2200	11829	SIPO	ST	81761723
887898	3028	1997-05-08	VYDAJ	PREVOD NA UCET	2200	13891	SIPO	ST	81761723
887899	3028	1997-06-08	VYDAJ	PREVOD NA UCET	2200	14562	SIPO	ST	81761723
887900	3028	1997-07-08	VYDAJ	PREVOD NA UCET	2200	11232	SIPO	ST	81761723
887901	3028	1997-08-08	VYDAJ	PREVOD NA UCET	2200	11690	SIPO	ST	81761723
887902	3028	1997-09-08	VYDAJ	PREVOD NA UCET	2200	13752	SIPO	ST	81761723
887903	3028	1997-10-08	VYDAJ	PREVOD NA UCET	2200	9994	SIPO	ST	81761723
887904	3028	1997-11-08	VYDAJ	PREVOD NA UCET	2200	10747	SIPO	ST	81761723
887905	3028	1997-12-08	VYDAJ	PREVOD NA UCET	2200	12805	SIPO	ST	81761723
887906	3028	1998-01-08	VYDAJ	PREVOD NA UCET	2200	12658	SIPO	ST	81761723
887907	3028	1998-02-08	VYDAJ	PREVOD NA UCET	2200	12157	SIPO	ST	81761723
887908	3028	1998-03-08	VYDAJ	PREVOD NA UCET	2200	14220	SIPO	ST	81761723
887909	3028	1998-04-08	VYDAJ	PREVOD NA UCET	2200	14390	SIPO	ST	81761723
887910	3028	1998-05-08	VYDAJ	PREVOD NA UCET	2200	16462	SIPO	ST	81761723
887911	3028	1998-06-08	VYDAJ	PREVOD NA UCET	2200	13637	SIPO	ST	81761723
887912	3028	1998-07-08	VYDAJ	PREVOD NA UCET	2200	13904	SIPO	ST	81761723
887913	3028	1998-08-08	VYDAJ	PREVOD NA UCET	2200	12870	SIPO	ST	81761723
887914	3028	1998-09-08	VYDAJ	PREVOD NA UCET	2200	14936	SIPO	ST	81761723
887915	3028	1998-10-08	VYDAJ	PREVOD NA UCET	2200	17010	SIPO	ST	81761723
887916	3028	1998-11-08	VYDAJ	PREVOD NA UCET	2200	19093	SIPO	ST	81761723
887917	3028	1998-12-08	VYDAJ	PREVOD NA UCET	2200	12549	SIPO	ST	81761723
887919	3028	1994-06-25	VYDAJ	VYBER	6300	13706	\N	\N	\N
887928	3028	1997-01-24	VYDAJ	VYBER	4550	15005	\N	\N	\N
887931	3028	1994-12-27	VYDAJ	VYBER	1200	16914	\N	\N	\N
887932	3028	1995-12-24	VYDAJ	VYBER	550	18685	\N	\N	\N
887933	3028	1996-12-03	VYDAJ	VYBER	1400	23759	\N	\N	\N
887934	3028	1997-12-14	VYDAJ	VYBER	1250	15769	\N	\N	\N
887935	3028	1998-12-15	VYDAJ	VYBER	1150	15053	\N	\N	\N
887949	3028	1995-01-01	VYDAJ	VYBER	560	16426	\N	\N	\N
887950	3028	1995-01-08	VYDAJ	VYBER	1200	11426	\N	\N	\N
887951	3028	1995-01-03	VYDAJ	VYBER	1600	14826	\N	\N	\N
887952	3028	1995-01-13	VYDAJ	VYBER	1040	14600	\N	\N	\N
887953	3028	1995-01-14	VYDAJ	VYBER	1440	13160	\N	\N	\N
887954	3028	1996-01-24	VYDAJ	VYBER	960	13841	\N	\N	\N
887956	3028	1996-01-03	VYDAJ	VYBER	800	16547	\N	\N	\N
887957	3028	1996-01-04	VYDAJ	VYBER	640	15907	\N	\N	\N
887958	3028	1996-01-15	VYDAJ	VYBER	880	14801	\N	\N	\N
887959	3028	1996-01-11	VYDAJ	VYBER	2240	15681	\N	\N	\N
887960	3028	1997-01-02	VYDAJ	VYBER	720	22821	\N	\N	\N
887961	3028	1997-01-17	VYDAJ	VYBER	800	21075	\N	\N	\N
887962	3028	1997-01-18	VYDAJ	VYBER	960	20115	\N	\N	\N
887963	3028	1997-01-24	VYDAJ	VYBER	560	19555	\N	\N	\N
887964	3028	1997-01-14	VYDAJ	VYBER	1120	23715	\N	\N	\N
887965	3028	1997-01-15	VYDAJ	VYBER	1840	21875	\N	\N	\N
887967	3028	1998-01-11	VYDAJ	VYBER	2160	14712	\N	\N	\N
887968	3028	1998-01-05	VYDAJ	VYBER	960	14858	\N	\N	\N
887971	3028	1998-01-12	VYDAJ	VYBER	400	14312	\N	\N	\N
887977	3028	1994-08-29	VYDAJ	VYBER	1280	16576	\N	\N	\N
887978	3028	1994-12-19	VYDAJ	VYBER	2720	20674	\N	\N	\N
887979	3028	1994-12-24	VYDAJ	VYBER	2560	18114	\N	\N	\N
887980	3028	1994-06-21	VYDAJ	VYBER	2960	20006	\N	\N	\N
887981	3028	1995-10-21	VYDAJ	VYBER	880	16393	\N	\N	\N
887982	3028	1995-04-13	VYDAJ	VYBER	1200	16845	\N	\N	\N
887984	3028	1996-08-13	VYDAJ	VYBER	2000	19963	\N	\N	\N
887985	3028	1996-11-21	VYDAJ	VYBER	960	25070	\N	\N	\N
887986	3028	1996-07-03	VYDAJ	VYBER	3600	17868	\N	\N	\N
887988	3028	1996-12-26	VYDAJ	VYBER	1520	24253	\N	\N	\N
887990	3028	1997-03-01	VYDAJ	VYBER	1840	15002	\N	\N	\N
887991	3028	1997-09-14	VYDAJ	VYBER	2320	15646	\N	\N	\N
887992	3028	1997-03-11	VYDAJ	VYBER	3040	13976	\N	\N	\N
887999	3028	1998-12-13	VYDAJ	VYBER	560	16203	\N	\N	\N
888000	3028	1998-11-17	VYDAJ	VYBER	1520	21787	\N	\N	\N
888015	3028	1994-02-28	VYDAJ	VYBER	15	21459	SLUZBY	\N	\N
888016	3028	1994-03-31	VYDAJ	VYBER	15	23553	SLUZBY	\N	\N
888017	3028	1994-04-30	VYDAJ	VYBER	15	24153	SLUZBY	\N	\N
888018	3028	1994-05-31	VYDAJ	VYBER	15	23852	SLUZBY	\N	\N
888019	3028	1994-06-30	VYDAJ	VYBER	15	13779	SLUZBY	\N	\N
888020	3028	1994-07-31	VYDAJ	VYBER	15	15842	SLUZBY	\N	\N
888021	3028	1994-08-31	VYDAJ	VYBER	15	16633	SLUZBY	\N	\N
888022	3028	1994-09-30	VYDAJ	VYBER	15	18707	SLUZBY	\N	\N
888023	3028	1994-10-31	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
888024	3028	1994-11-30	VYDAJ	VYBER	15	22480	SLUZBY	\N	\N
888025	3028	1994-12-31	VYDAJ	VYBER	15	16986	SLUZBY	\N	\N
888026	3028	1995-01-31	VYDAJ	VYBER	15	13203	SLUZBY	\N	\N
888027	3028	1995-02-28	VYDAJ	VYBER	15	15263	SLUZBY	\N	\N
888028	3028	1995-03-31	VYDAJ	VYBER	15	17331	SLUZBY	\N	\N
888029	3028	1995-04-30	VYDAJ	VYBER	15	16901	SLUZBY	\N	\N
888030	3028	1995-05-31	VYDAJ	VYBER	15	18073	SLUZBY	\N	\N
888031	3028	1995-06-30	VYDAJ	VYBER	15	18347	SLUZBY	\N	\N
888032	3028	1995-07-31	VYDAJ	VYBER	15	18220	SLUZBY	\N	\N
888033	3028	1995-08-31	VYDAJ	VYBER	15	16989	SLUZBY	\N	\N
888034	3028	1995-09-30	VYDAJ	VYBER	15	17559	SLUZBY	\N	\N
888035	3028	1995-10-31	VYDAJ	VYBER	15	16447	SLUZBY	\N	\N
888036	3028	1995-11-30	VYDAJ	VYBER	15	18521	SLUZBY	\N	\N
888037	3028	1995-12-31	VYDAJ	VYBER	15	18747	SLUZBY	\N	\N
888038	3028	1996-01-31	VYDAJ	VYBER	15	13890	SLUZBY	\N	\N
888039	3028	1996-02-29	VYDAJ	VYBER	15	15952	SLUZBY	\N	\N
888040	3028	1996-03-31	VYDAJ	VYBER	15	18024	SLUZBY	\N	\N
888041	3028	1996-04-30	VYDAJ	VYBER	15	19902	SLUZBY	\N	\N
888042	3028	1996-05-31	VYDAJ	VYBER	15	20183	SLUZBY	\N	\N
888043	3028	1996-06-30	VYDAJ	VYBER	15	21468	SLUZBY	\N	\N
888044	3028	1996-07-31	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
888045	3028	1996-08-31	VYDAJ	VYBER	15	20032	SLUZBY	\N	\N
888046	3028	1996-09-30	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
888047	3028	1996-10-31	VYDAJ	VYBER	15	24016	SLUZBY	\N	\N
888048	3028	1996-11-30	VYDAJ	VYBER	15	25159	SLUZBY	\N	\N
888049	3028	1996-12-31	VYDAJ	VYBER	15	23541	SLUZBY	\N	\N
888050	3028	1997-01-31	VYDAJ	VYBER	15	15075	SLUZBY	\N	\N
888051	3028	1997-02-28	VYDAJ	VYBER	15	16842	SLUZBY	\N	\N
888052	3028	1997-03-31	VYDAJ	VYBER	15	14029	SLUZBY	\N	\N
888053	3028	1997-04-30	VYDAJ	VYBER	15	16091	SLUZBY	\N	\N
888054	3028	1997-05-31	VYDAJ	VYBER	15	16762	SLUZBY	\N	\N
888055	3028	1997-06-30	VYDAJ	VYBER	15	13432	SLUZBY	\N	\N
888056	3028	1997-07-31	VYDAJ	VYBER	15	13890	SLUZBY	\N	\N
888057	3028	1997-08-31	VYDAJ	VYBER	15	15952	SLUZBY	\N	\N
888058	3028	1997-09-30	VYDAJ	VYBER	15	12194	SLUZBY	\N	\N
888059	3028	1997-10-31	VYDAJ	VYBER	15	12947	SLUZBY	\N	\N
888060	3028	1997-11-30	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
888061	3028	1997-12-31	VYDAJ	VYBER	15	15818	SLUZBY	\N	\N
888062	3028	1998-01-31	VYDAJ	VYBER	15	14357	SLUZBY	\N	\N
888063	3028	1998-02-28	VYDAJ	VYBER	15	16420	SLUZBY	\N	\N
888064	3028	1998-03-31	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
888065	3028	1998-04-30	VYDAJ	VYBER	15	18662	SLUZBY	\N	\N
888066	3028	1998-05-31	VYDAJ	VYBER	15	15837	SLUZBY	\N	\N
888067	3028	1998-06-30	VYDAJ	VYBER	15	16104	SLUZBY	\N	\N
888068	3028	1998-07-31	VYDAJ	VYBER	15	15070	SLUZBY	\N	\N
888069	3028	1998-08-31	VYDAJ	VYBER	15	17136	SLUZBY	\N	\N
888070	3028	1998-09-30	VYDAJ	VYBER	15	19210	SLUZBY	\N	\N
888071	3028	1998-10-31	VYDAJ	VYBER	15	21293	SLUZBY	\N	\N
888072	3028	1998-11-30	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
888073	3028	1994-04-13	VYDAJ	VYBER	1500	24067	\N	\N	\N
888074	3028	1994-05-13	VYDAJ	VYBER	2400	23767	\N	\N	\N
888075	3028	1994-06-12	VYDAJ	VYBER	2900	22966	\N	\N	\N
888076	3028	1994-11-09	VYDAJ	VYBER	400	18190	\N	\N	\N
888077	3028	1994-12-09	VYDAJ	VYBER	1100	19180	\N	\N	\N
888078	3028	1995-04-08	VYDAJ	VYBER	1300	16031	\N	\N	\N
888079	3028	1995-05-08	VYDAJ	VYBER	900	13801	\N	\N	\N
888080	3028	1995-06-07	VYDAJ	VYBER	1800	16273	\N	\N	\N
888081	3028	1995-07-07	VYDAJ	VYBER	2200	16147	\N	\N	\N
888082	3028	1995-08-06	VYDAJ	VYBER	3300	14920	\N	\N	\N
888083	3028	1995-09-05	VYDAJ	VYBER	1500	15489	\N	\N	\N
888084	3028	1995-10-05	VYDAJ	VYBER	2300	15259	\N	\N	\N
888085	3028	1995-12-04	VYDAJ	VYBER	1300	17221	\N	\N	\N
888086	3028	1996-01-03	VYDAJ	VYBER	1400	17347	\N	\N	\N
888087	3028	1996-04-02	VYDAJ	VYBER	200	17824	\N	\N	\N
888088	3028	1996-05-02	VYDAJ	VYBER	1800	18102	\N	\N	\N
888089	3028	1996-06-01	VYDAJ	VYBER	800	19383	\N	\N	\N
888090	3028	1996-10-29	VYDAJ	VYBER	200	23934	\N	\N	\N
888091	3028	1996-12-28	VYDAJ	VYBER	800	23453	\N	\N	\N
888092	3028	1997-02-26	VYDAJ	VYBER	300	16789	\N	\N	\N
888093	3028	1997-05-27	VYDAJ	VYBER	1400	16705	\N	\N	\N
888094	3028	1997-06-26	VYDAJ	VYBER	5400	13376	\N	\N	\N
888095	3028	1997-07-26	VYDAJ	VYBER	1600	13846	\N	\N	\N
888096	3028	1997-09-24	VYDAJ	VYBER	3500	12146	\N	\N	\N
888097	3028	1997-10-24	VYDAJ	VYBER	1300	12908	\N	\N	\N
888098	3028	1998-03-23	VYDAJ	VYBER	1900	16534	\N	\N	\N
888099	3028	1998-05-22	VYDAJ	VYBER	4900	15776	\N	\N	\N
888100	3028	1998-06-21	VYDAJ	VYBER	1800	16051	\N	\N	\N
888101	3028	1998-07-21	VYDAJ	VYBER	3100	15018	\N	\N	\N
888102	3028	1998-11-18	VYDAJ	VYBER	7100	14687	\N	\N	\N
888162	3029	1996-12-24	PRIJEM	VKLAD	700	700	\N	\N	\N
888175	3029	1997-01-07	PRIJEM	PREVOD Z UCTU	5978	6678	DUCHOD	CD	73059355
888176	3029	1997-02-07	PRIJEM	PREVOD Z UCTU	5978	12656	DUCHOD	CD	73059355
888177	3029	1997-03-07	PRIJEM	PREVOD Z UCTU	5978	18634	DUCHOD	CD	73059355
888178	3029	1997-04-07	PRIJEM	PREVOD Z UCTU	5978	24612	DUCHOD	CD	73059355
888179	3029	1997-05-07	PRIJEM	PREVOD Z UCTU	5978	28115	DUCHOD	CD	73059355
888180	3029	1997-06-07	PRIJEM	PREVOD Z UCTU	5978	32671	DUCHOD	CD	73059355
888181	3029	1997-07-07	PRIJEM	PREVOD Z UCTU	5978	20012	DUCHOD	CD	73059355
888182	3029	1997-08-07	PRIJEM	PREVOD Z UCTU	5978	22131	DUCHOD	CD	73059355
888183	3029	1997-09-07	PRIJEM	PREVOD Z UCTU	5978	26362	DUCHOD	CD	73059355
888184	3029	1997-10-07	PRIJEM	PREVOD Z UCTU	5978	26203	DUCHOD	CD	73059355
888185	3029	1997-11-07	PRIJEM	PREVOD Z UCTU	5978	21238	DUCHOD	CD	73059355
888186	3029	1997-12-07	PRIJEM	PREVOD Z UCTU	5978	20857	DUCHOD	CD	73059355
888187	3029	1998-01-07	PRIJEM	PREVOD Z UCTU	5978	22151	DUCHOD	CD	73059355
888188	3029	1998-02-07	PRIJEM	PREVOD Z UCTU	5978	9785	DUCHOD	CD	73059355
888189	3029	1998-03-07	PRIJEM	PREVOD Z UCTU	5978	14264	DUCHOD	CD	73059355
888190	3029	1998-04-07	PRIJEM	PREVOD Z UCTU	5978	18762	DUCHOD	CD	73059355
888191	3029	1998-05-07	PRIJEM	PREVOD Z UCTU	5978	21758	DUCHOD	CD	73059355
888192	3029	1998-06-07	PRIJEM	PREVOD Z UCTU	5978	18585	DUCHOD	CD	73059355
888193	3029	1998-07-07	PRIJEM	PREVOD Z UCTU	5978	23107	DUCHOD	CD	73059355
888194	3029	1998-08-07	PRIJEM	PREVOD Z UCTU	5978	27642	DUCHOD	CD	73059355
888195	3029	1998-09-07	PRIJEM	PREVOD Z UCTU	5978	26526	DUCHOD	CD	73059355
888196	3029	1998-10-07	PRIJEM	PREVOD Z UCTU	5978	31075	DUCHOD	CD	73059355
888197	3029	1998-11-07	PRIJEM	PREVOD Z UCTU	5978	32236	DUCHOD	CD	73059355
888198	3029	1998-12-07	PRIJEM	PREVOD Z UCTU	5978	29490	DUCHOD	CD	73059355
888215	3029	1997-05-08	VYDAJ	PREVOD NA UCET	1514	26601	SIPO	ST	89893799
888216	3029	1997-06-08	VYDAJ	PREVOD NA UCET	1514	31157	SIPO	ST	89893799
888217	3029	1997-07-08	VYDAJ	PREVOD NA UCET	1514	18498	SIPO	ST	89893799
888218	3029	1997-08-08	VYDAJ	PREVOD NA UCET	1514	20617	SIPO	ST	89893799
888219	3029	1997-09-08	VYDAJ	PREVOD NA UCET	1514	24848	SIPO	ST	89893799
888220	3029	1997-10-08	VYDAJ	PREVOD NA UCET	1514	24689	SIPO	ST	89893799
888221	3029	1997-11-08	VYDAJ	PREVOD NA UCET	1514	19724	SIPO	ST	89893799
888222	3029	1997-12-08	VYDAJ	PREVOD NA UCET	1514	19343	SIPO	ST	89893799
888223	3029	1998-01-08	VYDAJ	PREVOD NA UCET	1514	19357	SIPO	ST	89893799
888224	3029	1998-02-08	VYDAJ	PREVOD NA UCET	1514	8271	SIPO	ST	89893799
888225	3029	1998-03-08	VYDAJ	PREVOD NA UCET	1514	12750	SIPO	ST	89893799
888226	3029	1998-04-08	VYDAJ	PREVOD NA UCET	1514	17248	SIPO	ST	89893799
888227	3029	1998-05-08	VYDAJ	PREVOD NA UCET	1514	20244	SIPO	ST	89893799
888228	3029	1998-06-08	VYDAJ	PREVOD NA UCET	1514	17071	SIPO	ST	89893799
888229	3029	1998-07-08	VYDAJ	PREVOD NA UCET	1514	21593	SIPO	ST	89893799
888230	3029	1998-08-08	VYDAJ	PREVOD NA UCET	1514	26128	SIPO	ST	89893799
888231	3029	1998-09-08	VYDAJ	PREVOD NA UCET	1514	25012	SIPO	ST	89893799
888232	3029	1998-10-08	VYDAJ	PREVOD NA UCET	1514	29561	SIPO	ST	89893799
888233	3029	1998-11-08	VYDAJ	PREVOD NA UCET	1514	27522	SIPO	ST	89893799
888234	3029	1998-12-08	VYDAJ	PREVOD NA UCET	1514	27976	SIPO	ST	89893799
888236	3029	1997-06-16	VYDAJ	VYBER	14000	17157	\N	\N	\N
888237	3029	1998-06-06	VYDAJ	VYBER	6200	12607	\N	\N	\N
888240	3029	1998-01-19	VYDAJ	VYBER	3850	9527	\N	\N	\N
888242	3029	1997-12-12	VYDAJ	VYBER	750	18593	\N	\N	\N
888243	3029	1998-12-13	VYDAJ	VYBER	1350	26626	\N	\N	\N
888256	3029	1998-01-22	VYDAJ	VYBER	1360	8167	\N	\N	\N
888257	3029	1998-01-17	VYDAJ	VYBER	1280	18077	\N	\N	\N
888258	3029	1998-01-02	VYDAJ	VYBER	640	18013	\N	\N	\N
888259	3029	1998-01-04	VYDAJ	VYBER	1840	16173	\N	\N	\N
888260	3029	1998-01-08	VYDAJ	VYBER	1280	20871	\N	\N	\N
888261	3029	1998-01-24	VYDAJ	VYBER	480	3767	\N	\N	\N
888269	3029	1997-06-22	VYDAJ	VYBER	3200	13957	\N	\N	\N
888271	3029	1997-10-24	VYDAJ	VYBER	3200	15189	\N	\N	\N
888272	3029	1998-11-07	VYDAJ	VYBER	3200	29036	\N	\N	\N
888273	3029	1998-04-26	VYDAJ	VYBER	1520	15728	\N	\N	\N
888274	3029	1998-08-23	VYDAJ	VYBER	2960	20468	\N	\N	\N
888275	3029	1998-01-24	VYDAJ	VYBER	3920	4247	\N	\N	\N
888293	3029	1997-05-31	VYDAJ	VYBER	15	26693	SLUZBY	\N	\N
888294	3029	1997-06-30	VYDAJ	VYBER	15	14034	SLUZBY	\N	\N
888295	3029	1997-07-31	VYDAJ	VYBER	15	16153	SLUZBY	\N	\N
888296	3029	1997-08-31	VYDAJ	VYBER	15	20384	SLUZBY	\N	\N
888297	3029	1997-09-30	VYDAJ	VYBER	15	20225	SLUZBY	\N	\N
888298	3029	1997-10-31	VYDAJ	VYBER	15	15260	SLUZBY	\N	\N
888299	3029	1997-11-30	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
888300	3029	1997-12-31	VYDAJ	VYBER	15	18653	SLUZBY	\N	\N
888301	3029	1998-01-31	VYDAJ	VYBER	15	3807	SLUZBY	\N	\N
888302	3029	1998-02-28	VYDAJ	VYBER	15	8286	SLUZBY	\N	\N
888303	3029	1998-03-31	VYDAJ	VYBER	15	12784	SLUZBY	\N	\N
888304	3029	1998-04-30	VYDAJ	VYBER	15	15780	SLUZBY	\N	\N
888305	3029	1998-05-31	VYDAJ	VYBER	15	18807	SLUZBY	\N	\N
888306	3029	1998-06-30	VYDAJ	VYBER	15	17129	SLUZBY	\N	\N
888307	3029	1998-07-31	VYDAJ	VYBER	15	21664	SLUZBY	\N	\N
888308	3029	1998-08-31	VYDAJ	VYBER	15	20548	SLUZBY	\N	\N
888309	3029	1998-09-30	VYDAJ	VYBER	15	25097	SLUZBY	\N	\N
888310	3029	1998-10-31	VYDAJ	VYBER	15	26258	SLUZBY	\N	\N
888311	3029	1998-11-30	VYDAJ	VYBER	15	23512	SLUZBY	\N	\N
888312	3029	1997-04-23	VYDAJ	VYBER	2500	22112	\N	\N	\N
888313	3029	1997-07-22	VYDAJ	VYBER	2400	16098	\N	\N	\N
888314	3029	1997-08-21	VYDAJ	VYBER	300	20317	\N	\N	\N
888315	3029	1997-09-20	VYDAJ	VYBER	4700	20148	\N	\N	\N
888316	3029	1997-10-20	VYDAJ	VYBER	6300	18389	\N	\N	\N
888317	3029	1997-11-19	VYDAJ	VYBER	4900	14824	\N	\N	\N
888318	3029	1998-01-18	VYDAJ	VYBER	4700	13377	\N	\N	\N
888319	3029	1998-05-18	VYDAJ	VYBER	1500	18744	\N	\N	\N
888320	3029	1998-08-16	VYDAJ	VYBER	2700	23428	\N	\N	\N
888321	3029	1998-10-15	VYDAJ	VYBER	3400	26161	\N	\N	\N
888322	3029	1998-11-14	VYDAJ	VYBER	4100	23422	\N	\N	\N
888344	3030	1994-06-22	PRIJEM	VKLAD	800	800	\N	\N	\N
888351	3030	1994-07-05	PRIJEM	PREVOD Z UCTU	3132	3932	\N	MN	51375079
888352	3030	1994-08-05	PRIJEM	PREVOD Z UCTU	3132	7064	\N	MN	51375079
888353	3030	1994-09-05	PRIJEM	PREVOD Z UCTU	3132	10196	\N	MN	51375079
888354	3030	1994-10-05	PRIJEM	PREVOD Z UCTU	3132	13328	\N	MN	51375079
888355	3030	1994-11-05	PRIJEM	PREVOD Z UCTU	3132	16460	\N	MN	51375079
888356	3030	1994-12-05	PRIJEM	PREVOD Z UCTU	3132	16340	\N	MN	51375079
888357	3030	1995-01-05	PRIJEM	PREVOD Z UCTU	3132	16618	\N	MN	51375079
888358	3030	1995-02-05	PRIJEM	PREVOD Z UCTU	3132	15333	\N	MN	51375079
888359	3030	1995-03-05	PRIJEM	PREVOD Z UCTU	3132	16417	\N	MN	51375079
888360	3030	1995-04-05	PRIJEM	PREVOD Z UCTU	3132	16786	\N	MN	51375079
888361	3030	1995-05-05	PRIJEM	PREVOD Z UCTU	3132	17877	\N	MN	51375079
888362	3030	1995-06-05	PRIJEM	PREVOD Z UCTU	3132	18972	\N	MN	51375079
888363	3030	1995-07-05	PRIJEM	PREVOD Z UCTU	3132	19110	\N	MN	51375079
888364	3030	1995-08-05	PRIJEM	PREVOD Z UCTU	3132	20210	\N	MN	51375079
888365	3030	1995-09-05	PRIJEM	PREVOD Z UCTU	3132	21315	\N	MN	51375079
888366	3030	1995-10-05	PRIJEM	PREVOD Z UCTU	3132	22424	\N	MN	51375079
888367	3030	1995-11-05	PRIJEM	PREVOD Z UCTU	3132	23538	\N	MN	51375079
888368	3030	1995-12-05	PRIJEM	PREVOD Z UCTU	3132	24656	\N	MN	51375079
888369	3030	1996-01-05	PRIJEM	PREVOD Z UCTU	3132	23743	\N	MN	51375079
888370	3030	1996-02-05	PRIJEM	PREVOD Z UCTU	3132	23119	\N	MN	51375079
888371	3030	1996-03-05	PRIJEM	PREVOD Z UCTU	3132	24236	\N	MN	51375079
888372	3030	1996-04-05	PRIJEM	PREVOD Z UCTU	3132	24666	\N	MN	51375079
888373	3030	1996-05-05	PRIJEM	PREVOD Z UCTU	3132	25789	\N	MN	51375079
888374	3030	1996-06-05	PRIJEM	PREVOD Z UCTU	3132	26306	\N	MN	51375079
888375	3030	1996-07-05	PRIJEM	PREVOD Z UCTU	3132	20538	\N	MN	51375079
888376	3030	1996-08-05	PRIJEM	PREVOD Z UCTU	3132	20442	\N	MN	51375079
888377	3030	1996-09-05	PRIJEM	PREVOD Z UCTU	3132	20827	\N	MN	51375079
888378	3030	1996-10-05	PRIJEM	PREVOD Z UCTU	3132	21935	\N	MN	51375079
888379	3030	1996-11-05	PRIJEM	PREVOD Z UCTU	3132	23046	\N	MN	51375079
888380	3030	1996-12-05	PRIJEM	PREVOD Z UCTU	3132	24162	\N	MN	51375079
888381	3030	1997-01-05	PRIJEM	PREVOD Z UCTU	3132	23752	\N	MN	51375079
888382	3030	1997-02-05	PRIJEM	PREVOD Z UCTU	3132	21235	\N	MN	51375079
888383	3030	1997-03-05	PRIJEM	PREVOD Z UCTU	3132	20391	\N	MN	51375079
888384	3030	1997-04-05	PRIJEM	PREVOD Z UCTU	3132	19992	\N	MN	51375079
888385	3030	1997-05-05	PRIJEM	PREVOD Z UCTU	3132	21095	\N	MN	51375079
888386	3030	1997-06-05	PRIJEM	PREVOD Z UCTU	3132	21962	\N	MN	51375079
888387	3030	1997-07-05	PRIJEM	PREVOD Z UCTU	3132	20003	\N	MN	51375079
888388	3030	1997-08-05	PRIJEM	PREVOD Z UCTU	3132	21106	\N	MN	51375079
888389	3030	1997-09-05	PRIJEM	PREVOD Z UCTU	3132	20980	\N	MN	51375079
888390	3030	1997-10-05	PRIJEM	PREVOD Z UCTU	3132	22087	\N	MN	51375079
888391	3030	1997-11-05	PRIJEM	PREVOD Z UCTU	3132	23198	\N	MN	51375079
888392	3030	1997-12-05	PRIJEM	PREVOD Z UCTU	3132	24315	\N	MN	51375079
888393	3030	1998-01-05	PRIJEM	PREVOD Z UCTU	3132	24984	\N	MN	51375079
888394	3030	1998-02-05	PRIJEM	PREVOD Z UCTU	3132	21990	\N	MN	51375079
888395	3030	1998-03-05	PRIJEM	PREVOD Z UCTU	3132	23101	\N	MN	51375079
888396	3030	1998-04-05	PRIJEM	PREVOD Z UCTU	3132	24217	\N	MN	51375079
888397	3030	1998-05-05	PRIJEM	PREVOD Z UCTU	3132	25337	\N	MN	51375079
888398	3030	1998-06-05	PRIJEM	PREVOD Z UCTU	3132	23968	\N	MN	51375079
888399	3030	1998-07-05	PRIJEM	PREVOD Z UCTU	3132	22923	\N	MN	51375079
888400	3030	1998-08-05	PRIJEM	PREVOD Z UCTU	3132	24038	\N	MN	51375079
888401	3030	1998-09-05	PRIJEM	PREVOD Z UCTU	3132	25158	\N	MN	51375079
888402	3030	1998-10-05	PRIJEM	PREVOD Z UCTU	3132	26282	\N	MN	51375079
888403	3030	1998-11-05	PRIJEM	PREVOD Z UCTU	3132	27410	\N	MN	51375079
888404	3030	1998-12-05	PRIJEM	PREVOD Z UCTU	3132	28543	\N	MN	51375079
888415	3030	1994-11-05	VYDAJ	PREVOD NA UCET	293	16167	SIPO	GH	12182104
888416	3030	1994-12-05	VYDAJ	PREVOD NA UCET	293	16047	SIPO	GH	12182104
888417	3030	1995-01-05	VYDAJ	PREVOD NA UCET	293	16325	SIPO	GH	12182104
888418	3030	1995-02-05	VYDAJ	PREVOD NA UCET	293	15040	SIPO	GH	12182104
888419	3030	1995-03-05	VYDAJ	PREVOD NA UCET	293	16124	SIPO	GH	12182104
888420	3030	1995-04-05	VYDAJ	PREVOD NA UCET	293	16493	SIPO	GH	12182104
888421	3030	1995-05-05	VYDAJ	PREVOD NA UCET	293	17584	SIPO	GH	12182104
888422	3030	1995-06-05	VYDAJ	PREVOD NA UCET	293	18679	SIPO	GH	12182104
888423	3030	1995-07-05	VYDAJ	PREVOD NA UCET	293	18817	SIPO	GH	12182104
888424	3030	1995-08-05	VYDAJ	PREVOD NA UCET	293	19917	SIPO	GH	12182104
888425	3030	1995-09-05	VYDAJ	PREVOD NA UCET	293	21022	SIPO	GH	12182104
888426	3030	1995-10-05	VYDAJ	PREVOD NA UCET	293	22131	SIPO	GH	12182104
888427	3030	1995-11-05	VYDAJ	PREVOD NA UCET	293	23245	SIPO	GH	12182104
888428	3030	1995-12-05	VYDAJ	PREVOD NA UCET	293	24363	SIPO	GH	12182104
888429	3030	1996-01-05	VYDAJ	PREVOD NA UCET	293	23450	SIPO	GH	12182104
888430	3030	1996-02-05	VYDAJ	PREVOD NA UCET	293	22826	SIPO	GH	12182104
888431	3030	1996-03-05	VYDAJ	PREVOD NA UCET	293	23943	SIPO	GH	12182104
888432	3030	1996-04-05	VYDAJ	PREVOD NA UCET	293	24373	SIPO	GH	12182104
888433	3030	1996-05-05	VYDAJ	PREVOD NA UCET	293	25496	SIPO	GH	12182104
888434	3030	1996-06-05	VYDAJ	PREVOD NA UCET	293	26013	SIPO	GH	12182104
888435	3030	1996-07-05	VYDAJ	PREVOD NA UCET	293	20245	SIPO	GH	12182104
888436	3030	1996-08-05	VYDAJ	PREVOD NA UCET	293	20149	SIPO	GH	12182104
888437	3030	1996-09-05	VYDAJ	PREVOD NA UCET	293	20534	SIPO	GH	12182104
888438	3030	1996-10-05	VYDAJ	PREVOD NA UCET	293	21642	SIPO	GH	12182104
888439	3030	1996-11-05	VYDAJ	PREVOD NA UCET	293	22753	SIPO	GH	12182104
888440	3030	1996-12-05	VYDAJ	PREVOD NA UCET	293	23869	SIPO	GH	12182104
888441	3030	1997-01-05	VYDAJ	PREVOD NA UCET	293	23459	SIPO	GH	12182104
888442	3030	1997-02-05	VYDAJ	PREVOD NA UCET	293	20942	SIPO	GH	12182104
888443	3030	1997-03-05	VYDAJ	PREVOD NA UCET	293	20098	SIPO	GH	12182104
888444	3030	1997-04-05	VYDAJ	PREVOD NA UCET	293	19699	SIPO	GH	12182104
888445	3030	1997-05-05	VYDAJ	PREVOD NA UCET	293	20802	SIPO	GH	12182104
888446	3030	1997-06-05	VYDAJ	PREVOD NA UCET	293	18609	SIPO	GH	12182104
888447	3030	1997-07-05	VYDAJ	PREVOD NA UCET	293	19710	SIPO	GH	12182104
888448	3030	1997-08-05	VYDAJ	PREVOD NA UCET	293	20813	SIPO	GH	12182104
888449	3030	1997-09-05	VYDAJ	PREVOD NA UCET	293	20687	SIPO	GH	12182104
888450	3030	1997-10-05	VYDAJ	PREVOD NA UCET	293	21794	SIPO	GH	12182104
888451	3030	1997-11-05	VYDAJ	PREVOD NA UCET	293	22905	SIPO	GH	12182104
888452	3030	1997-12-05	VYDAJ	PREVOD NA UCET	293	24022	SIPO	GH	12182104
888453	3030	1998-01-05	VYDAJ	PREVOD NA UCET	293	24181	SIPO	GH	12182104
888454	3030	1998-02-05	VYDAJ	PREVOD NA UCET	293	21697	SIPO	GH	12182104
888455	3030	1998-03-05	VYDAJ	PREVOD NA UCET	293	22808	SIPO	GH	12182104
888456	3030	1998-04-05	VYDAJ	PREVOD NA UCET	293	23924	SIPO	GH	12182104
888457	3030	1998-05-05	VYDAJ	PREVOD NA UCET	293	25044	SIPO	GH	12182104
888458	3030	1998-06-05	VYDAJ	PREVOD NA UCET	293	23675	SIPO	GH	12182104
888459	3030	1998-07-05	VYDAJ	PREVOD NA UCET	293	22630	SIPO	GH	12182104
888460	3030	1998-08-05	VYDAJ	PREVOD NA UCET	293	23745	SIPO	GH	12182104
888461	3030	1998-09-05	VYDAJ	PREVOD NA UCET	293	24865	SIPO	GH	12182104
888462	3030	1998-10-05	VYDAJ	PREVOD NA UCET	293	25989	SIPO	GH	12182104
888463	3030	1998-11-05	VYDAJ	PREVOD NA UCET	293	27117	SIPO	GH	12182104
888464	3030	1998-12-05	VYDAJ	PREVOD NA UCET	293	28250	SIPO	GH	12182104
888475	3030	1994-11-06	VYDAJ	PREVOD NA UCET	1795	14372	 	AB	24432987
888476	3030	1994-12-06	VYDAJ	PREVOD NA UCET	1795	14252	 	AB	24432987
888477	3030	1995-01-06	VYDAJ	PREVOD NA UCET	1795	14530	 	AB	24432987
888478	3030	1995-02-06	VYDAJ	PREVOD NA UCET	1795	13245	 	AB	24432987
888479	3030	1995-03-06	VYDAJ	PREVOD NA UCET	1795	14329	 	AB	24432987
888480	3030	1995-04-06	VYDAJ	PREVOD NA UCET	1795	14698	 	AB	24432987
888481	3030	1995-05-06	VYDAJ	PREVOD NA UCET	1795	15789	 	AB	24432987
888482	3030	1995-06-06	VYDAJ	PREVOD NA UCET	1795	16884	 	AB	24432987
888483	3030	1995-07-06	VYDAJ	PREVOD NA UCET	1795	17022	 	AB	24432987
888484	3030	1995-08-06	VYDAJ	PREVOD NA UCET	1795	18122	 	AB	24432987
888485	3030	1995-09-06	VYDAJ	PREVOD NA UCET	1795	19227	 	AB	24432987
888486	3030	1995-10-06	VYDAJ	PREVOD NA UCET	1795	20336	 	AB	24432987
888487	3030	1995-11-06	VYDAJ	PREVOD NA UCET	1795	21450	 	AB	24432987
888488	3030	1995-12-06	VYDAJ	PREVOD NA UCET	1795	21878	 	AB	24432987
888489	3030	1996-01-06	VYDAJ	PREVOD NA UCET	1795	21655	 	AB	24432987
888490	3030	1996-02-06	VYDAJ	PREVOD NA UCET	1795	21031	 	AB	24432987
888491	3030	1996-03-06	VYDAJ	PREVOD NA UCET	1795	22148	 	AB	24432987
888492	3030	1996-04-06	VYDAJ	PREVOD NA UCET	1795	22578	 	AB	24432987
888493	3030	1996-05-06	VYDAJ	PREVOD NA UCET	1795	23701	 	AB	24432987
888494	3030	1996-06-06	VYDAJ	PREVOD NA UCET	1795	24218	 	AB	24432987
888495	3030	1996-07-06	VYDAJ	PREVOD NA UCET	1795	18450	 	AB	24432987
888496	3030	1996-08-06	VYDAJ	PREVOD NA UCET	1795	18354	 	AB	24432987
888497	3030	1996-09-06	VYDAJ	PREVOD NA UCET	1795	18739	 	AB	24432987
888498	3030	1996-10-06	VYDAJ	PREVOD NA UCET	1795	19847	 	AB	24432987
888499	3030	1996-11-06	VYDAJ	PREVOD NA UCET	1795	20958	 	AB	24432987
888500	3030	1996-12-06	VYDAJ	PREVOD NA UCET	1795	22074	 	AB	24432987
888501	3030	1997-01-06	VYDAJ	PREVOD NA UCET	1795	20944	 	AB	24432987
888502	3030	1997-02-06	VYDAJ	PREVOD NA UCET	1795	19147	 	AB	24432987
888503	3030	1997-03-06	VYDAJ	PREVOD NA UCET	1795	18303	 	AB	24432987
888504	3030	1997-04-06	VYDAJ	PREVOD NA UCET	1795	17904	 	AB	24432987
888505	3030	1997-05-06	VYDAJ	PREVOD NA UCET	1795	19007	 	AB	24432987
888506	3030	1997-06-06	VYDAJ	PREVOD NA UCET	1795	16814	 	AB	24432987
888507	3030	1997-07-06	VYDAJ	PREVOD NA UCET	1795	17915	 	AB	24432987
888508	3030	1997-08-06	VYDAJ	PREVOD NA UCET	1795	19018	 	AB	24432987
888509	3030	1997-09-06	VYDAJ	PREVOD NA UCET	1795	18892	 	AB	24432987
888510	3030	1997-10-06	VYDAJ	PREVOD NA UCET	1795	19999	 	AB	24432987
888511	3030	1997-11-06	VYDAJ	PREVOD NA UCET	1795	21110	 	AB	24432987
888512	3030	1997-12-06	VYDAJ	PREVOD NA UCET	1795	22227	 	AB	24432987
888513	3030	1998-01-06	VYDAJ	PREVOD NA UCET	1795	22116	 	AB	24432987
888514	3030	1998-02-06	VYDAJ	PREVOD NA UCET	1795	19902	 	AB	24432987
888515	3030	1998-03-06	VYDAJ	PREVOD NA UCET	1795	21013	 	AB	24432987
888516	3030	1998-04-06	VYDAJ	PREVOD NA UCET	1795	22129	 	AB	24432987
888517	3030	1998-05-06	VYDAJ	PREVOD NA UCET	1795	23249	 	AB	24432987
888518	3030	1998-06-06	VYDAJ	PREVOD NA UCET	1795	21880	 	AB	24432987
888519	3030	1998-07-06	VYDAJ	PREVOD NA UCET	1795	20835	 	AB	24432987
888520	3030	1998-08-06	VYDAJ	PREVOD NA UCET	1795	21950	 	AB	24432987
888521	3030	1998-09-06	VYDAJ	PREVOD NA UCET	1795	23070	 	AB	24432987
888522	3030	1998-10-06	VYDAJ	PREVOD NA UCET	1795	24194	 	AB	24432987
888523	3030	1998-11-06	VYDAJ	PREVOD NA UCET	1795	25322	 	AB	24432987
888524	3030	1998-12-06	VYDAJ	PREVOD NA UCET	1795	26455	 	AB	24432987
888527	3030	1996-06-23	VYDAJ	VYBER	5100	18618	\N	\N	\N
888528	3030	1997-06-05	VYDAJ	VYBER	3060	18902	\N	\N	\N
888529	3030	1998-06-15	VYDAJ	VYBER	1230	20650	\N	\N	\N
888532	3030	1996-01-09	VYDAJ	VYBER	300	21355	\N	\N	\N
888533	3030	1997-01-03	VYDAJ	VYBER	720	20620	\N	\N	\N
888534	3030	1998-01-27	VYDAJ	VYBER	1680	18786	\N	\N	\N
888535	3030	1994-12-26	VYDAJ	VYBER	810	13442	\N	\N	\N
888536	3030	1995-12-06	VYDAJ	VYBER	690	23673	\N	\N	\N
888537	3030	1996-12-16	VYDAJ	VYBER	360	21714	\N	\N	\N
888538	3030	1997-12-09	VYDAJ	VYBER	450	21777	\N	\N	\N
888539	3030	1998-12-14	VYDAJ	VYBER	660	25795	\N	\N	\N
888546	3030	1995-01-29	VYDAJ	VYBER	300	12160	\N	\N	\N
888547	3030	1995-01-09	VYDAJ	VYBER	720	13810	\N	\N	\N
888548	3030	1995-01-09	VYDAJ	VYBER	240	13570	\N	\N	\N
888549	3030	1995-01-27	VYDAJ	VYBER	510	12460	\N	\N	\N
888551	3030	1995-01-17	VYDAJ	VYBER	600	12970	\N	\N	\N
888552	3030	1996-01-18	VYDAJ	VYBER	300	20635	\N	\N	\N
888553	3030	1996-01-22	VYDAJ	VYBER	420	20215	\N	\N	\N
888554	3030	1996-01-02	VYDAJ	VYBER	840	20611	\N	\N	\N
888555	3030	1996-01-01	VYDAJ	VYBER	510	21451	\N	\N	\N
888556	3030	1996-01-30	VYDAJ	VYBER	300	19915	\N	\N	\N
888557	3030	1996-01-17	VYDAJ	VYBER	420	20935	\N	\N	\N
888558	3030	1997-01-27	VYDAJ	VYBER	510	18034	\N	\N	\N
888559	3030	1997-01-18	VYDAJ	VYBER	810	19984	\N	\N	\N
888560	3030	1997-01-06	VYDAJ	VYBER	720	22739	\N	\N	\N
888561	3030	1997-01-11	VYDAJ	VYBER	150	20794	\N	\N	\N
888562	3030	1997-01-24	VYDAJ	VYBER	300	18544	\N	\N	\N
888563	3030	1997-01-01	VYDAJ	VYBER	450	21340	\N	\N	\N
888564	3030	1998-01-22	VYDAJ	VYBER	210	20466	\N	\N	\N
888565	3030	1998-01-06	VYDAJ	VYBER	270	23911	\N	\N	\N
888566	3030	1998-01-05	VYDAJ	VYBER	510	24474	\N	\N	\N
888567	3030	1998-01-09	VYDAJ	VYBER	270	21846	\N	\N	\N
888568	3030	1998-01-17	VYDAJ	VYBER	720	21126	\N	\N	\N
888569	3030	1998-01-19	VYDAJ	VYBER	450	20676	\N	\N	\N
888572	3030	1994-11-20	VYDAJ	VYBER	1200	13172	\N	\N	\N
888576	3030	1995-04-03	VYDAJ	VYBER	720	13654	\N	\N	\N
888578	3030	1995-06-26	VYDAJ	VYBER	960	15924	\N	\N	\N
888579	3030	1996-03-15	VYDAJ	VYBER	690	21458	\N	\N	\N
888580	3030	1996-06-29	VYDAJ	VYBER	1290	17328	\N	\N	\N
888581	3030	1996-05-12	VYDAJ	VYBER	510	23091	\N	\N	\N
888582	3030	1996-07-20	VYDAJ	VYBER	1200	17250	\N	\N	\N
888583	3030	1996-09-04	VYDAJ	VYBER	720	17695	\N	\N	\N
888584	3030	1997-02-25	VYDAJ	VYBER	990	17197	\N	\N	\N
888585	3030	1997-01-20	VYDAJ	VYBER	1140	18844	\N	\N	\N
888586	3030	1997-02-16	VYDAJ	VYBER	960	18187	\N	\N	\N
888587	3030	1997-08-10	VYDAJ	VYBER	1230	17788	\N	\N	\N
888588	3030	1997-03-11	VYDAJ	VYBER	600	16803	\N	\N	\N
888589	3030	1997-05-23	VYDAJ	VYBER	240	18767	\N	\N	\N
888590	3030	1997-03-08	VYDAJ	VYBER	900	17403	\N	\N	\N
888591	3030	1998-06-18	VYDAJ	VYBER	510	20140	\N	\N	\N
888592	3030	1998-05-26	VYDAJ	VYBER	1290	20759	\N	\N	\N
888593	3030	1998-05-12	VYDAJ	VYBER	1200	22049	\N	\N	\N
888594	3030	1998-12-22	VYDAJ	VYBER	1350	24445	\N	\N	\N
888595	3030	1998-07-01	VYDAJ	VYBER	420	19791	\N	\N	\N
888607	3030	1994-11-30	VYDAJ	VYBER	15	13208	SLUZBY	\N	\N
888608	3030	1994-12-31	VYDAJ	VYBER	15	13486	SLUZBY	\N	\N
888609	3030	1995-01-31	VYDAJ	VYBER	15	12201	SLUZBY	\N	\N
888610	3030	1995-02-28	VYDAJ	VYBER	15	13285	SLUZBY	\N	\N
888611	3030	1995-03-31	VYDAJ	VYBER	15	14374	SLUZBY	\N	\N
888612	3030	1995-04-30	VYDAJ	VYBER	15	14745	SLUZBY	\N	\N
888613	3030	1995-05-31	VYDAJ	VYBER	15	15840	SLUZBY	\N	\N
888614	3030	1995-06-30	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
888615	3030	1995-07-31	VYDAJ	VYBER	15	17078	SLUZBY	\N	\N
888616	3030	1995-08-31	VYDAJ	VYBER	15	18183	SLUZBY	\N	\N
888617	3030	1995-09-30	VYDAJ	VYBER	15	19292	SLUZBY	\N	\N
888618	3030	1995-10-31	VYDAJ	VYBER	15	20406	SLUZBY	\N	\N
888619	3030	1995-11-30	VYDAJ	VYBER	15	21524	SLUZBY	\N	\N
888620	3030	1995-12-31	VYDAJ	VYBER	15	21961	SLUZBY	\N	\N
888621	3030	1996-01-31	VYDAJ	VYBER	15	19987	SLUZBY	\N	\N
888622	3030	1996-02-29	VYDAJ	VYBER	15	21104	SLUZBY	\N	\N
888623	3030	1996-03-31	VYDAJ	VYBER	15	21534	SLUZBY	\N	\N
888624	3030	1996-04-30	VYDAJ	VYBER	15	22657	SLUZBY	\N	\N
888625	3030	1996-05-31	VYDAJ	VYBER	15	23174	SLUZBY	\N	\N
888626	3030	1996-06-30	VYDAJ	VYBER	15	17406	SLUZBY	\N	\N
888627	3030	1996-07-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
888628	3030	1996-08-31	VYDAJ	VYBER	15	18415	SLUZBY	\N	\N
888629	3030	1996-09-30	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
888630	3030	1996-10-31	VYDAJ	VYBER	15	19914	SLUZBY	\N	\N
888631	3030	1996-11-30	VYDAJ	VYBER	15	21030	SLUZBY	\N	\N
888632	3030	1996-12-31	VYDAJ	VYBER	15	21790	SLUZBY	\N	\N
888633	3030	1997-01-31	VYDAJ	VYBER	15	18103	SLUZBY	\N	\N
888634	3030	1997-02-28	VYDAJ	VYBER	15	17259	SLUZBY	\N	\N
888635	3030	1997-03-31	VYDAJ	VYBER	15	16860	SLUZBY	\N	\N
888636	3030	1997-04-30	VYDAJ	VYBER	15	17963	SLUZBY	\N	\N
888637	3030	1997-05-31	VYDAJ	VYBER	15	18830	SLUZBY	\N	\N
888638	3030	1997-06-30	VYDAJ	VYBER	15	16871	SLUZBY	\N	\N
888639	3030	1997-07-31	VYDAJ	VYBER	15	17974	SLUZBY	\N	\N
888640	3030	1997-08-31	VYDAJ	VYBER	15	17848	SLUZBY	\N	\N
888641	3030	1997-09-30	VYDAJ	VYBER	15	18955	SLUZBY	\N	\N
888642	3030	1997-10-31	VYDAJ	VYBER	15	20066	SLUZBY	\N	\N
888643	3030	1997-11-30	VYDAJ	VYBER	15	21183	SLUZBY	\N	\N
888644	3030	1997-12-31	VYDAJ	VYBER	15	21852	SLUZBY	\N	\N
888645	3030	1998-01-31	VYDAJ	VYBER	15	18858	SLUZBY	\N	\N
888646	3030	1998-02-28	VYDAJ	VYBER	15	19969	SLUZBY	\N	\N
888647	3030	1998-03-31	VYDAJ	VYBER	15	21085	SLUZBY	\N	\N
888648	3030	1998-04-30	VYDAJ	VYBER	15	22205	SLUZBY	\N	\N
888649	3030	1998-05-31	VYDAJ	VYBER	15	20836	SLUZBY	\N	\N
888650	3030	1998-06-30	VYDAJ	VYBER	15	20211	SLUZBY	\N	\N
888651	3030	1998-07-31	VYDAJ	VYBER	15	20906	SLUZBY	\N	\N
888652	3030	1998-08-31	VYDAJ	VYBER	15	22026	SLUZBY	\N	\N
888653	3030	1998-09-30	VYDAJ	VYBER	15	23150	SLUZBY	\N	\N
888654	3030	1998-10-31	VYDAJ	VYBER	15	24278	SLUZBY	\N	\N
888655	3030	1998-11-30	VYDAJ	VYBER	15	25411	SLUZBY	\N	\N
888656	3030	1996-05-12	VYDAJ	VYBER	100	23601	\N	\N	\N
888657	3030	1996-06-11	VYDAJ	VYBER	500	23718	\N	\N	\N
888708	3031	1997-03-10	PRIJEM	VKLAD	600	4784	\N	\N	\N
888711	3031	1997-03-10	PRIJEM	PREVOD Z UCTU	4184	4184	DUCHOD	OP	7154548
888712	3031	1997-04-10	PRIJEM	PREVOD Z UCTU	4184	8982	DUCHOD	OP	7154548
888713	3031	1997-05-10	PRIJEM	PREVOD Z UCTU	4184	13186	DUCHOD	OP	7154548
888714	3031	1997-06-10	PRIJEM	PREVOD Z UCTU	4184	17390	DUCHOD	OP	7154548
888715	3031	1997-07-10	PRIJEM	PREVOD Z UCTU	4184	21094	DUCHOD	OP	7154548
888716	3031	1997-08-10	PRIJEM	PREVOD Z UCTU	4184	19043	DUCHOD	OP	7154548
888717	3031	1997-09-10	PRIJEM	PREVOD Z UCTU	4184	18903	DUCHOD	OP	7154548
888718	3031	1997-10-10	PRIJEM	PREVOD Z UCTU	4184	18361	DUCHOD	OP	7154548
888719	3031	1997-11-10	PRIJEM	PREVOD Z UCTU	4184	19818	DUCHOD	OP	7154548
888720	3031	1997-12-10	PRIJEM	PREVOD Z UCTU	4184	17599	DUCHOD	OP	7154548
888721	3031	1998-01-10	PRIJEM	PREVOD Z UCTU	4184	16092	DUCHOD	OP	7154548
888722	3031	1998-02-10	PRIJEM	PREVOD Z UCTU	4184	14655	DUCHOD	OP	7154548
888723	3031	1998-03-10	PRIJEM	PREVOD Z UCTU	4184	16095	DUCHOD	OP	7154548
888724	3031	1998-04-10	PRIJEM	PREVOD Z UCTU	4184	17541	DUCHOD	OP	7154548
888725	3031	1998-05-10	PRIJEM	PREVOD Z UCTU	4184	18992	DUCHOD	OP	7154548
888726	3031	1998-06-10	PRIJEM	PREVOD Z UCTU	4184	20450	DUCHOD	OP	7154548
888727	3031	1998-07-10	PRIJEM	PREVOD Z UCTU	4184	21914	DUCHOD	OP	7154548
888728	3031	1998-08-10	PRIJEM	PREVOD Z UCTU	4184	23384	DUCHOD	OP	7154548
888729	3031	1998-09-10	PRIJEM	PREVOD Z UCTU	4184	24860	DUCHOD	OP	7154548
888730	3031	1998-10-10	PRIJEM	PREVOD Z UCTU	4184	24262	DUCHOD	OP	7154548
888731	3031	1998-11-10	PRIJEM	PREVOD Z UCTU	4184	23643	DUCHOD	OP	7154548
888732	3031	1998-12-10	PRIJEM	PREVOD Z UCTU	4184	25120	DUCHOD	OP	7154548
888740	3031	1997-08-08	VYDAJ	PREVOD NA UCET	2789	14859	SIPO	KL	53394967
888741	3031	1997-09-08	VYDAJ	PREVOD NA UCET	2789	14719	SIPO	KL	53394967
888742	3031	1997-10-08	VYDAJ	PREVOD NA UCET	2789	14177	SIPO	KL	53394967
888743	3031	1997-11-08	VYDAJ	PREVOD NA UCET	2789	15634	SIPO	KL	53394967
888744	3031	1997-12-08	VYDAJ	PREVOD NA UCET	2789	13415	SIPO	KL	53394967
888745	3031	1998-01-08	VYDAJ	PREVOD NA UCET	2789	11908	SIPO	KL	53394967
888746	3031	1998-02-08	VYDAJ	PREVOD NA UCET	2789	10471	SIPO	KL	53394967
888747	3031	1998-03-08	VYDAJ	PREVOD NA UCET	2789	11911	SIPO	KL	53394967
888748	3031	1998-04-08	VYDAJ	PREVOD NA UCET	2789	13357	SIPO	KL	53394967
888749	3031	1998-05-08	VYDAJ	PREVOD NA UCET	2789	14808	SIPO	KL	53394967
888750	3031	1998-06-08	VYDAJ	PREVOD NA UCET	2789	16266	SIPO	KL	53394967
888751	3031	1998-07-08	VYDAJ	PREVOD NA UCET	2789	17730	SIPO	KL	53394967
888752	3031	1998-08-08	VYDAJ	PREVOD NA UCET	2789	19200	SIPO	KL	53394967
888753	3031	1998-09-08	VYDAJ	PREVOD NA UCET	2789	20676	SIPO	KL	53394967
888754	3031	1998-10-08	VYDAJ	PREVOD NA UCET	2789	20078	SIPO	KL	53394967
888755	3031	1998-11-08	VYDAJ	PREVOD NA UCET	2789	19459	SIPO	KL	53394967
888756	3031	1998-12-08	VYDAJ	PREVOD NA UCET	2789	20936	SIPO	KL	53394967
888761	3031	1997-12-28	VYDAJ	VYBER	800	16799	\N	\N	\N
888762	3031	1998-12-17	VYDAJ	VYBER	1400	21080	\N	\N	\N
888769	3031	1998-01-22	VYDAJ	VYBER	1440	14652	\N	\N	\N
888770	3031	1998-01-02	VYDAJ	VYBER	720	16137	\N	\N	\N
888771	3031	1998-01-06	VYDAJ	VYBER	720	14697	\N	\N	\N
888772	3031	1998-01-28	VYDAJ	VYBER	480	14172	\N	\N	\N
888773	3031	1998-01-30	VYDAJ	VYBER	960	13212	\N	\N	\N
888774	3031	1998-01-04	VYDAJ	VYBER	720	15417	\N	\N	\N
888775	3031	1997-12-04	VYDAJ	VYBER	880	19004	\N	\N	\N
888781	3031	1998-12-14	VYDAJ	VYBER	2640	22480	\N	\N	\N
888782	3031	1998-10-02	VYDAJ	VYBER	2080	22867	\N	\N	\N
888791	3031	1997-07-31	VYDAJ	VYBER	15	21148	SLUZBY	\N	\N
888792	3031	1997-08-31	VYDAJ	VYBER	15	19108	SLUZBY	\N	\N
888793	3031	1997-09-30	VYDAJ	VYBER	15	18966	SLUZBY	\N	\N
888794	3031	1997-10-31	VYDAJ	VYBER	15	18423	SLUZBY	\N	\N
888795	3031	1997-11-30	VYDAJ	VYBER	15	19884	SLUZBY	\N	\N
888796	3031	1997-12-31	VYDAJ	VYBER	15	16857	SLUZBY	\N	\N
888797	3031	1998-01-31	VYDAJ	VYBER	15	13260	SLUZBY	\N	\N
888798	3031	1998-02-28	VYDAJ	VYBER	15	14700	SLUZBY	\N	\N
888799	3031	1998-03-31	VYDAJ	VYBER	15	16146	SLUZBY	\N	\N
888800	3031	1998-04-30	VYDAJ	VYBER	15	17597	SLUZBY	\N	\N
888801	3031	1998-05-31	VYDAJ	VYBER	15	19055	SLUZBY	\N	\N
888802	3031	1998-06-30	VYDAJ	VYBER	15	20519	SLUZBY	\N	\N
888803	3031	1998-07-31	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
888804	3031	1998-08-31	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
888805	3031	1998-09-30	VYDAJ	VYBER	15	24947	SLUZBY	\N	\N
888806	3031	1998-10-31	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
888807	3031	1998-11-30	VYDAJ	VYBER	15	23725	SLUZBY	\N	\N
888808	3031	1997-07-08	VYDAJ	VYBER	500	16910	\N	\N	\N
888809	3031	1997-08-07	VYDAJ	VYBER	3500	17648	\N	\N	\N
888810	3031	1997-09-06	VYDAJ	VYBER	1600	17508	\N	\N	\N
888811	3031	1997-10-06	VYDAJ	VYBER	2000	16966	\N	\N	\N
888812	3031	1997-12-05	VYDAJ	VYBER	2800	16204	\N	\N	\N
888813	3031	1998-10-31	VYDAJ	VYBER	2100	22262	\N	\N	\N
888836	3032	1993-06-07	PRIJEM	VKLAD	300	300	\N	\N	\N
888843	3032	1993-07-05	PRIJEM	PREVOD Z UCTU	6605	6905	DUCHOD	IJ	52088803
888844	3032	1993-08-05	PRIJEM	PREVOD Z UCTU	6605	13510	DUCHOD	IJ	52088803
888845	3032	1993-09-05	PRIJEM	PREVOD Z UCTU	6605	20115	DUCHOD	IJ	52088803
888846	3032	1993-10-05	PRIJEM	PREVOD Z UCTU	6605	26720	DUCHOD	IJ	52088803
888847	3032	1993-11-05	PRIJEM	PREVOD Z UCTU	6605	29114	DUCHOD	IJ	52088803
888848	3032	1993-12-05	PRIJEM	PREVOD Z UCTU	6605	30857	DUCHOD	IJ	52088803
888849	3032	1994-01-05	PRIJEM	PREVOD Z UCTU	6605	29294	DUCHOD	IJ	52088803
888850	3032	1994-02-05	PRIJEM	PREVOD Z UCTU	6605	22878	DUCHOD	IJ	52088803
888851	3032	1994-03-05	PRIJEM	PREVOD Z UCTU	6605	26689	DUCHOD	IJ	52088803
888852	3032	1994-04-05	PRIJEM	PREVOD Z UCTU	6605	27071	DUCHOD	IJ	52088803
888853	3032	1994-05-05	PRIJEM	PREVOD Z UCTU	6605	30899	DUCHOD	IJ	52088803
888854	3032	1994-06-05	PRIJEM	PREVOD Z UCTU	6605	31344	DUCHOD	IJ	52088803
888855	3032	1994-07-05	PRIJEM	PREVOD Z UCTU	6605	29734	DUCHOD	IJ	52088803
888856	3032	1994-08-05	PRIJEM	PREVOD Z UCTU	6605	30480	DUCHOD	IJ	52088803
888857	3032	1994-09-05	PRIJEM	PREVOD Z UCTU	6605	29928	DUCHOD	IJ	52088803
888858	3032	1994-10-05	PRIJEM	PREVOD Z UCTU	6605	28046	DUCHOD	IJ	52088803
888859	3032	1994-11-05	PRIJEM	PREVOD Z UCTU	6605	30278	DUCHOD	IJ	52088803
888860	3032	1994-12-05	PRIJEM	PREVOD Z UCTU	6605	33320	DUCHOD	IJ	52088803
888861	3032	1995-01-05	PRIJEM	PREVOD Z UCTU	6605	31435	DUCHOD	IJ	52088803
888862	3032	1995-02-05	PRIJEM	PREVOD Z UCTU	6605	26687	DUCHOD	IJ	52088803
888863	3032	1995-03-05	PRIJEM	PREVOD Z UCTU	6605	27913	DUCHOD	IJ	52088803
888864	3032	1995-04-05	PRIJEM	PREVOD Z UCTU	6605	26723	DUCHOD	IJ	52088803
888865	3032	1995-05-05	PRIJEM	PREVOD Z UCTU	6605	27951	DUCHOD	IJ	52088803
888866	3032	1995-06-05	PRIJEM	PREVOD Z UCTU	6605	25901	DUCHOD	IJ	52088803
888867	3032	1995-07-05	PRIJEM	PREVOD Z UCTU	6605	28120	DUCHOD	IJ	52088803
888868	3032	1995-08-05	PRIJEM	PREVOD Z UCTU	6605	26249	DUCHOD	IJ	52088803
888869	3032	1995-09-05	PRIJEM	PREVOD Z UCTU	6605	28373	DUCHOD	IJ	52088803
888870	3032	1995-10-05	PRIJEM	PREVOD Z UCTU	6605	24461	DUCHOD	IJ	52088803
888871	3032	1995-11-05	PRIJEM	PREVOD Z UCTU	6605	24275	DUCHOD	IJ	52088803
888872	3032	1995-12-05	PRIJEM	PREVOD Z UCTU	6605	27541	DUCHOD	IJ	52088803
888873	3032	1996-01-05	PRIJEM	PREVOD Z UCTU	6605	30375	DUCHOD	IJ	52088803
888874	3032	1996-02-05	PRIJEM	PREVOD Z UCTU	6605	23558	DUCHOD	IJ	52088803
888875	3032	1996-03-05	PRIJEM	PREVOD Z UCTU	6605	27371	DUCHOD	IJ	52088803
888876	3032	1996-04-05	PRIJEM	PREVOD Z UCTU	6605	28816	DUCHOD	IJ	52088803
888877	3032	1996-05-05	PRIJEM	PREVOD Z UCTU	6605	25038	DUCHOD	IJ	52088803
888878	3032	1996-06-05	PRIJEM	PREVOD Z UCTU	6605	25953	DUCHOD	IJ	52088803
888879	3032	1996-07-05	PRIJEM	PREVOD Z UCTU	6605	22210	DUCHOD	IJ	52088803
888880	3032	1996-08-05	PRIJEM	PREVOD Z UCTU	6605	25917	DUCHOD	IJ	52088803
888881	3032	1996-09-05	PRIJEM	PREVOD Z UCTU	6605	23630	DUCHOD	IJ	52088803
888882	3032	1996-10-05	PRIJEM	PREVOD Z UCTU	6605	20732	DUCHOD	IJ	52088803
888883	3032	1996-11-05	PRIJEM	PREVOD Z UCTU	6605	22850	DUCHOD	IJ	52088803
888884	3032	1996-12-05	PRIJEM	PREVOD Z UCTU	6605	21450	DUCHOD	IJ	52088803
889084	3032	1995-07-31	VYDAJ	VYBER	15	19644	SLUZBY	\N	\N
888885	3032	1997-01-05	PRIJEM	PREVOD Z UCTU	6605	24804	DUCHOD	IJ	52088803
888886	3032	1997-02-05	PRIJEM	PREVOD Z UCTU	6605	21570	DUCHOD	IJ	52088803
888887	3032	1997-03-05	PRIJEM	PREVOD Z UCTU	6605	25374	DUCHOD	IJ	52088803
888888	3032	1997-04-05	PRIJEM	PREVOD Z UCTU	6605	29195	DUCHOD	IJ	52088803
888889	3032	1997-05-05	PRIJEM	PREVOD Z UCTU	6605	33031	DUCHOD	IJ	52088803
888890	3032	1997-06-05	PRIJEM	PREVOD Z UCTU	6605	36883	DUCHOD	IJ	52088803
888891	3032	1997-07-05	PRIJEM	PREVOD Z UCTU	6605	40751	DUCHOD	IJ	52088803
888892	3032	1997-08-05	PRIJEM	PREVOD Z UCTU	6605	19882	DUCHOD	IJ	52088803
888893	3032	1997-09-05	PRIJEM	PREVOD Z UCTU	6605	23679	DUCHOD	IJ	52088803
888894	3032	1997-10-05	PRIJEM	PREVOD Z UCTU	6605	25248	DUCHOD	IJ	52088803
888895	3032	1997-11-05	PRIJEM	PREVOD Z UCTU	6605	25464	DUCHOD	IJ	52088803
888896	3032	1997-12-05	PRIJEM	PREVOD Z UCTU	6605	26557	DUCHOD	IJ	52088803
888897	3032	1998-01-05	PRIJEM	PREVOD Z UCTU	6605	25593	DUCHOD	IJ	52088803
888898	3032	1998-02-05	PRIJEM	PREVOD Z UCTU	6605	22846	DUCHOD	IJ	52088803
888899	3032	1998-03-05	PRIJEM	PREVOD Z UCTU	6605	26655	DUCHOD	IJ	52088803
888900	3032	1998-04-05	PRIJEM	PREVOD Z UCTU	6605	30480	DUCHOD	IJ	52088803
888901	3032	1998-05-05	PRIJEM	PREVOD Z UCTU	6605	34321	DUCHOD	IJ	52088803
888902	3032	1998-06-05	PRIJEM	PREVOD Z UCTU	6605	38177	DUCHOD	IJ	52088803
888903	3032	1998-07-05	PRIJEM	PREVOD Z UCTU	6605	42050	DUCHOD	IJ	52088803
888904	3032	1998-08-05	PRIJEM	PREVOD Z UCTU	6605	45938	DUCHOD	IJ	52088803
888905	3032	1998-09-05	PRIJEM	PREVOD Z UCTU	6605	46473	DUCHOD	IJ	52088803
888906	3032	1998-10-05	PRIJEM	PREVOD Z UCTU	6605	46614	DUCHOD	IJ	52088803
888907	3032	1998-11-05	PRIJEM	PREVOD Z UCTU	6605	50522	DUCHOD	IJ	52088803
888908	3032	1998-12-05	PRIJEM	PREVOD Z UCTU	6605	54445	DUCHOD	IJ	52088803
888919	3032	1993-11-10	VYDAJ	PREVOD NA UCET	2858	26256	SIPO	OP	14357602
888920	3032	1993-12-10	VYDAJ	PREVOD NA UCET	2858	27049	SIPO	OP	14357602
888921	3032	1994-01-10	VYDAJ	PREVOD NA UCET	2858	22036	SIPO	OP	14357602
888922	3032	1994-02-10	VYDAJ	PREVOD NA UCET	2858	20020	SIPO	OP	14357602
888923	3032	1994-03-10	VYDAJ	PREVOD NA UCET	2858	23831	SIPO	OP	14357602
888924	3032	1994-04-10	VYDAJ	PREVOD NA UCET	2858	24213	SIPO	OP	14357602
888925	3032	1994-05-10	VYDAJ	PREVOD NA UCET	2858	28041	SIPO	OP	14357602
888926	3032	1994-06-10	VYDAJ	PREVOD NA UCET	2858	28486	SIPO	OP	14357602
888927	3032	1994-07-10	VYDAJ	PREVOD NA UCET	2858	26876	SIPO	OP	14357602
888928	3032	1994-08-10	VYDAJ	PREVOD NA UCET	2858	27622	SIPO	OP	14357602
888929	3032	1994-09-10	VYDAJ	PREVOD NA UCET	2858	27070	SIPO	OP	14357602
888930	3032	1994-10-10	VYDAJ	PREVOD NA UCET	2858	25188	SIPO	OP	14357602
888931	3032	1994-11-10	VYDAJ	PREVOD NA UCET	2858	27420	SIPO	OP	14357602
888932	3032	1994-12-10	VYDAJ	PREVOD NA UCET	2858	27582	SIPO	OP	14357602
888933	3032	1995-01-10	VYDAJ	PREVOD NA UCET	2858	26817	SIPO	OP	14357602
888934	3032	1995-02-10	VYDAJ	PREVOD NA UCET	2858	23829	SIPO	OP	14357602
888935	3032	1995-03-10	VYDAJ	PREVOD NA UCET	2858	25055	SIPO	OP	14357602
888936	3032	1995-04-10	VYDAJ	PREVOD NA UCET	2858	23865	SIPO	OP	14357602
888937	3032	1995-05-10	VYDAJ	PREVOD NA UCET	2858	25093	SIPO	OP	14357602
888938	3032	1995-06-10	VYDAJ	PREVOD NA UCET	2858	23043	SIPO	OP	14357602
888939	3032	1995-07-10	VYDAJ	PREVOD NA UCET	2858	25262	SIPO	OP	14357602
888940	3032	1995-08-10	VYDAJ	PREVOD NA UCET	2858	23391	SIPO	OP	14357602
888941	3032	1995-09-10	VYDAJ	PREVOD NA UCET	2858	25515	SIPO	OP	14357602
888942	3032	1995-10-10	VYDAJ	PREVOD NA UCET	2858	21603	SIPO	OP	14357602
888943	3032	1995-11-10	VYDAJ	PREVOD NA UCET	2858	21417	SIPO	OP	14357602
888944	3032	1995-12-10	VYDAJ	PREVOD NA UCET	2858	24683	SIPO	OP	14357602
888945	3032	1996-01-10	VYDAJ	PREVOD NA UCET	2858	25517	SIPO	OP	14357602
888946	3032	1996-02-10	VYDAJ	PREVOD NA UCET	2858	20700	SIPO	OP	14357602
888947	3032	1996-03-10	VYDAJ	PREVOD NA UCET	2858	24513	SIPO	OP	14357602
888948	3032	1996-04-10	VYDAJ	PREVOD NA UCET	2858	23958	SIPO	OP	14357602
888949	3032	1996-05-10	VYDAJ	PREVOD NA UCET	2858	22180	SIPO	OP	14357602
888950	3032	1996-06-10	VYDAJ	PREVOD NA UCET	2858	23095	SIPO	OP	14357602
888951	3032	1996-07-10	VYDAJ	PREVOD NA UCET	2858	19352	SIPO	OP	14357602
888952	3032	1996-08-10	VYDAJ	PREVOD NA UCET	2858	23059	SIPO	OP	14357602
888953	3032	1996-09-10	VYDAJ	PREVOD NA UCET	2858	20772	SIPO	OP	14357602
888954	3032	1996-10-10	VYDAJ	PREVOD NA UCET	2858	17874	SIPO	OP	14357602
888955	3032	1996-11-10	VYDAJ	PREVOD NA UCET	2858	19992	SIPO	OP	14357602
888956	3032	1996-12-10	VYDAJ	PREVOD NA UCET	2858	18592	SIPO	OP	14357602
888957	3032	1997-01-10	VYDAJ	PREVOD NA UCET	2858	21946	SIPO	OP	14357602
888958	3032	1997-02-10	VYDAJ	PREVOD NA UCET	2858	18712	SIPO	OP	14357602
888959	3032	1997-03-10	VYDAJ	PREVOD NA UCET	2858	22516	SIPO	OP	14357602
888960	3032	1997-04-10	VYDAJ	PREVOD NA UCET	2858	26337	SIPO	OP	14357602
888961	3032	1997-05-10	VYDAJ	PREVOD NA UCET	2858	30173	SIPO	OP	14357602
888962	3032	1997-06-10	VYDAJ	PREVOD NA UCET	2858	34025	SIPO	OP	14357602
888963	3032	1997-07-10	VYDAJ	PREVOD NA UCET	2858	37893	SIPO	OP	14357602
888964	3032	1997-08-10	VYDAJ	PREVOD NA UCET	2858	17024	SIPO	OP	14357602
888965	3032	1997-09-10	VYDAJ	PREVOD NA UCET	2858	18581	SIPO	OP	14357602
888966	3032	1997-10-10	VYDAJ	PREVOD NA UCET	2858	22390	SIPO	OP	14357602
888967	3032	1997-11-10	VYDAJ	PREVOD NA UCET	2858	22606	SIPO	OP	14357602
888968	3032	1997-12-10	VYDAJ	PREVOD NA UCET	2858	23699	SIPO	OP	14357602
888969	3032	1998-01-10	VYDAJ	PREVOD NA UCET	2858	21455	SIPO	OP	14357602
888970	3032	1998-02-10	VYDAJ	PREVOD NA UCET	2858	19988	SIPO	OP	14357602
888971	3032	1998-03-10	VYDAJ	PREVOD NA UCET	2858	23797	SIPO	OP	14357602
888972	3032	1998-04-10	VYDAJ	PREVOD NA UCET	2858	27622	SIPO	OP	14357602
888973	3032	1998-05-10	VYDAJ	PREVOD NA UCET	2858	31463	SIPO	OP	14357602
888974	3032	1998-06-10	VYDAJ	PREVOD NA UCET	2858	35319	SIPO	OP	14357602
888975	3032	1998-07-10	VYDAJ	PREVOD NA UCET	2858	39192	SIPO	OP	14357602
888976	3032	1998-08-10	VYDAJ	PREVOD NA UCET	2858	43080	SIPO	OP	14357602
888977	3032	1998-09-10	VYDAJ	PREVOD NA UCET	2858	43615	SIPO	OP	14357602
888978	3032	1998-10-10	VYDAJ	PREVOD NA UCET	2858	43756	SIPO	OP	14357602
888979	3032	1998-11-10	VYDAJ	PREVOD NA UCET	2858	47664	SIPO	OP	14357602
888980	3032	1998-12-10	VYDAJ	PREVOD NA UCET	2858	51587	SIPO	OP	14357602
888981	3032	1993-12-08	VYDAJ	VYBER	950	29907	\N	\N	\N
888982	3032	1994-12-30	VYDAJ	VYBER	250	24732	\N	\N	\N
888983	3032	1995-12-03	VYDAJ	VYBER	550	20936	\N	\N	\N
888984	3032	1996-12-20	VYDAJ	VYBER	450	18142	\N	\N	\N
888985	3032	1997-12-14	VYDAJ	VYBER	1100	20359	\N	\N	\N
888986	3032	1998-12-30	VYDAJ	VYBER	1400	50187	\N	\N	\N
888993	3032	1994-01-04	VYDAJ	VYBER	1840	22689	\N	\N	\N
888994	3032	1994-01-08	VYDAJ	VYBER	1120	24894	\N	\N	\N
888995	3032	1994-01-27	VYDAJ	VYBER	2160	16196	\N	\N	\N
888996	3032	1994-01-07	VYDAJ	VYBER	1920	27374	\N	\N	\N
888997	3032	1994-01-04	VYDAJ	VYBER	1520	24529	\N	\N	\N
888998	3032	1994-01-08	VYDAJ	VYBER	1360	26014	\N	\N	\N
888999	3032	1995-01-11	VYDAJ	VYBER	1440	25377	\N	\N	\N
889000	3032	1995-01-24	VYDAJ	VYBER	1120	22017	\N	\N	\N
889001	3032	1995-01-25	VYDAJ	VYBER	1120	20897	\N	\N	\N
889002	3032	1995-01-08	VYDAJ	VYBER	1360	30075	\N	\N	\N
889003	3032	1995-01-19	VYDAJ	VYBER	2240	23137	\N	\N	\N
889004	3032	1995-01-09	VYDAJ	VYBER	400	29675	\N	\N	\N
889005	3032	1996-01-09	VYDAJ	VYBER	960	28375	\N	\N	\N
889006	3032	1996-01-14	VYDAJ	VYBER	2080	21997	\N	\N	\N
889007	3032	1996-01-18	VYDAJ	VYBER	2080	19917	\N	\N	\N
889008	3032	1996-01-05	VYDAJ	VYBER	1040	29335	\N	\N	\N
889009	3032	1996-01-14	VYDAJ	VYBER	1440	24077	\N	\N	\N
889010	3032	1996-01-21	VYDAJ	VYBER	640	19277	\N	\N	\N
889011	3032	1997-01-12	VYDAJ	VYBER	1280	20666	\N	\N	\N
889012	3032	1997-01-21	VYDAJ	VYBER	1280	18346	\N	\N	\N
889013	3032	1997-01-24	VYDAJ	VYBER	1920	14906	\N	\N	\N
889014	3032	1997-01-24	VYDAJ	VYBER	1520	16826	\N	\N	\N
889016	3032	1997-01-14	VYDAJ	VYBER	1040	19626	\N	\N	\N
889017	3032	1998-01-20	VYDAJ	VYBER	1760	17695	\N	\N	\N
889018	3032	1998-01-07	VYDAJ	VYBER	1280	24313	\N	\N	\N
889019	3032	1998-01-04	VYDAJ	VYBER	1440	18988	\N	\N	\N
889021	3032	1998-01-27	VYDAJ	VYBER	1520	16175	\N	\N	\N
889022	3032	1998-01-15	VYDAJ	VYBER	2000	19455	\N	\N	\N
889028	3032	1994-09-25	VYDAJ	VYBER	1920	25150	\N	\N	\N
889029	3032	1994-06-26	VYDAJ	VYBER	2720	25766	\N	\N	\N
889030	3032	1994-09-29	VYDAJ	VYBER	400	24750	\N	\N	\N
889031	3032	1994-06-28	VYDAJ	VYBER	1040	24726	\N	\N	\N
889032	3032	1994-03-21	VYDAJ	VYBER	3440	20391	\N	\N	\N
889033	3032	1994-12-10	VYDAJ	VYBER	2880	30440	\N	\N	\N
889034	3032	1994-01-22	VYDAJ	VYBER	3680	18356	\N	\N	\N
889035	3032	1995-05-28	VYDAJ	VYBER	2480	22613	\N	\N	\N
889036	3032	1995-09-29	VYDAJ	VYBER	2240	17775	\N	\N	\N
889037	3032	1995-04-01	VYDAJ	VYBER	1120	20118	\N	\N	\N
889038	3032	1995-04-11	VYDAJ	VYBER	1600	22265	\N	\N	\N
889039	3032	1995-06-12	VYDAJ	VYBER	1600	21443	\N	\N	\N
889040	3032	1996-03-13	VYDAJ	VYBER	1280	23233	\N	\N	\N
889041	3032	1996-04-13	VYDAJ	VYBER	1600	22358	\N	\N	\N
889042	3032	1996-06-30	VYDAJ	VYBER	2960	15619	\N	\N	\N
889043	3032	1996-04-08	VYDAJ	VYBER	2000	26816	\N	\N	\N
889044	3032	1996-10-14	VYDAJ	VYBER	1680	16194	\N	\N	\N
889045	3032	1997-10-26	VYDAJ	VYBER	3600	18790	\N	\N	\N
889046	3032	1997-09-06	VYDAJ	VYBER	2240	21439	\N	\N	\N
889047	3032	1997-11-12	VYDAJ	VYBER	1760	20846	\N	\N	\N
889049	3032	1997-12-12	VYDAJ	VYBER	2240	21459	\N	\N	\N
889050	3032	1997-11-14	VYDAJ	VYBER	960	19886	\N	\N	\N
889051	3032	1998-09-20	VYDAJ	VYBER	3760	39855	\N	\N	\N
889052	3032	1998-08-10	VYDAJ	VYBER	3360	39720	\N	\N	\N
889064	3032	1993-11-30	VYDAJ	VYBER	15	26352	SLUZBY	\N	\N
889065	3032	1993-12-31	VYDAJ	VYBER	15	27149	SLUZBY	\N	\N
889066	3032	1994-01-31	VYDAJ	VYBER	15	16273	SLUZBY	\N	\N
889067	3032	1994-02-28	VYDAJ	VYBER	15	20084	SLUZBY	\N	\N
889068	3032	1994-03-31	VYDAJ	VYBER	15	20466	SLUZBY	\N	\N
889069	3032	1994-04-30	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
889070	3032	1994-05-31	VYDAJ	VYBER	15	28139	SLUZBY	\N	\N
889071	3032	1994-06-30	VYDAJ	VYBER	15	24829	SLUZBY	\N	\N
889072	3032	1994-07-31	VYDAJ	VYBER	15	26975	SLUZBY	\N	\N
889073	3032	1994-08-31	VYDAJ	VYBER	15	23323	SLUZBY	\N	\N
889074	3032	1994-09-30	VYDAJ	VYBER	15	21441	SLUZBY	\N	\N
889075	3032	1994-10-31	VYDAJ	VYBER	15	23673	SLUZBY	\N	\N
889076	3032	1994-11-30	VYDAJ	VYBER	15	26715	SLUZBY	\N	\N
889077	3032	1994-12-31	VYDAJ	VYBER	15	24830	SLUZBY	\N	\N
889078	3032	1995-01-31	VYDAJ	VYBER	15	20082	SLUZBY	\N	\N
889079	3032	1995-02-28	VYDAJ	VYBER	15	21308	SLUZBY	\N	\N
889080	3032	1995-03-31	VYDAJ	VYBER	15	21238	SLUZBY	\N	\N
889081	3032	1995-04-30	VYDAJ	VYBER	15	21346	SLUZBY	\N	\N
889082	3032	1995-05-31	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
889083	3032	1995-06-30	VYDAJ	VYBER	15	21515	SLUZBY	\N	\N
889085	3032	1995-08-31	VYDAJ	VYBER	15	21768	SLUZBY	\N	\N
889086	3032	1995-09-30	VYDAJ	VYBER	15	17856	SLUZBY	\N	\N
889087	3032	1995-10-31	VYDAJ	VYBER	15	17670	SLUZBY	\N	\N
889088	3032	1995-11-30	VYDAJ	VYBER	15	21486	SLUZBY	\N	\N
889089	3032	1995-12-31	VYDAJ	VYBER	15	23770	SLUZBY	\N	\N
889090	3032	1996-01-31	VYDAJ	VYBER	15	16953	SLUZBY	\N	\N
889091	3032	1996-02-29	VYDAJ	VYBER	15	20766	SLUZBY	\N	\N
889092	3032	1996-03-31	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
889093	3032	1996-04-30	VYDAJ	VYBER	15	18433	SLUZBY	\N	\N
889094	3032	1996-05-31	VYDAJ	VYBER	15	19348	SLUZBY	\N	\N
889095	3032	1996-06-30	VYDAJ	VYBER	15	15605	SLUZBY	\N	\N
889096	3032	1996-07-31	VYDAJ	VYBER	15	19312	SLUZBY	\N	\N
889097	3032	1996-08-31	VYDAJ	VYBER	15	17025	SLUZBY	\N	\N
889098	3032	1996-09-30	VYDAJ	VYBER	15	14127	SLUZBY	\N	\N
889099	3032	1996-10-31	VYDAJ	VYBER	15	16245	SLUZBY	\N	\N
889100	3032	1996-11-30	VYDAJ	VYBER	15	14845	SLUZBY	\N	\N
889101	3032	1996-12-31	VYDAJ	VYBER	15	18199	SLUZBY	\N	\N
889102	3032	1997-01-31	VYDAJ	VYBER	15	14965	SLUZBY	\N	\N
889103	3032	1997-02-28	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
889104	3032	1997-03-31	VYDAJ	VYBER	15	22590	SLUZBY	\N	\N
889105	3032	1997-04-30	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
889106	3032	1997-05-31	VYDAJ	VYBER	15	30278	SLUZBY	\N	\N
889107	3032	1997-06-30	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
889108	3032	1997-07-31	VYDAJ	VYBER	15	13277	SLUZBY	\N	\N
889109	3032	1997-08-31	VYDAJ	VYBER	15	17074	SLUZBY	\N	\N
889110	3032	1997-09-30	VYDAJ	VYBER	15	18643	SLUZBY	\N	\N
889111	3032	1997-10-31	VYDAJ	VYBER	15	18859	SLUZBY	\N	\N
889112	3032	1997-11-30	VYDAJ	VYBER	15	19952	SLUZBY	\N	\N
889113	3032	1997-12-31	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
889114	3032	1998-01-31	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
889115	3032	1998-02-28	VYDAJ	VYBER	15	20050	SLUZBY	\N	\N
889116	3032	1998-03-31	VYDAJ	VYBER	15	23875	SLUZBY	\N	\N
889117	3032	1998-04-30	VYDAJ	VYBER	15	27716	SLUZBY	\N	\N
889118	3032	1998-05-31	VYDAJ	VYBER	15	31572	SLUZBY	\N	\N
889119	3032	1998-06-30	VYDAJ	VYBER	15	35445	SLUZBY	\N	\N
889120	3032	1998-07-31	VYDAJ	VYBER	15	39333	SLUZBY	\N	\N
889121	3032	1998-08-31	VYDAJ	VYBER	15	39868	SLUZBY	\N	\N
889122	3032	1998-09-30	VYDAJ	VYBER	15	40009	SLUZBY	\N	\N
889123	3032	1998-10-31	VYDAJ	VYBER	15	43917	SLUZBY	\N	\N
889124	3032	1998-11-30	VYDAJ	VYBER	15	47840	SLUZBY	\N	\N
889125	3032	1993-10-05	VYDAJ	VYBER	2100	24620	\N	\N	\N
889126	3032	1993-11-04	VYDAJ	VYBER	2200	22509	\N	\N	\N
889127	3032	1993-12-04	VYDAJ	VYBER	2100	24252	\N	\N	\N
889128	3032	1994-01-03	VYDAJ	VYBER	1100	26049	\N	\N	\N
889129	3032	1994-06-02	VYDAJ	VYBER	3400	24739	\N	\N	\N
889130	3032	1994-07-02	VYDAJ	VYBER	1700	23129	\N	\N	\N
889131	3032	1994-08-01	VYDAJ	VYBER	3100	23875	\N	\N	\N
889132	3032	1994-08-31	VYDAJ	VYBER	4400	23338	\N	\N	\N
889133	3032	1994-09-30	VYDAJ	VYBER	3400	21456	\N	\N	\N
889134	3032	1994-10-30	VYDAJ	VYBER	1600	23588	\N	\N	\N
889135	3032	1994-11-29	VYDAJ	VYBER	800	26620	\N	\N	\N
889136	3032	1994-12-29	VYDAJ	VYBER	2600	24982	\N	\N	\N
889137	3032	1995-01-28	VYDAJ	VYBER	900	19997	\N	\N	\N
889138	3032	1995-02-27	VYDAJ	VYBER	2600	21229	\N	\N	\N
889139	3032	1995-03-29	VYDAJ	VYBER	3900	21155	\N	\N	\N
889140	3032	1995-04-28	VYDAJ	VYBER	1000	21265	\N	\N	\N
889141	3032	1995-05-28	VYDAJ	VYBER	3400	19213	\N	\N	\N
889142	3032	1995-07-27	VYDAJ	VYBER	5700	19562	\N	\N	\N
889143	3032	1995-08-26	VYDAJ	VYBER	1700	21691	\N	\N	\N
889144	3032	1995-09-25	VYDAJ	VYBER	5500	20015	\N	\N	\N
889145	3032	1995-10-25	VYDAJ	VYBER	4000	17603	\N	\N	\N
889146	3032	1995-12-24	VYDAJ	VYBER	1000	23683	\N	\N	\N
889147	3032	1996-01-23	VYDAJ	VYBER	2400	16877	\N	\N	\N
889148	3032	1996-03-23	VYDAJ	VYBER	1100	22133	\N	\N	\N
889149	3032	1996-04-22	VYDAJ	VYBER	4000	18358	\N	\N	\N
889150	3032	1996-05-22	VYDAJ	VYBER	2900	19280	\N	\N	\N
889151	3032	1996-06-21	VYDAJ	VYBER	4600	18495	\N	\N	\N
889152	3032	1996-07-21	VYDAJ	VYBER	100	19252	\N	\N	\N
889153	3032	1996-08-20	VYDAJ	VYBER	6100	16959	\N	\N	\N
889154	3032	1996-09-19	VYDAJ	VYBER	6700	14072	\N	\N	\N
889155	3032	1996-11-18	VYDAJ	VYBER	5200	14792	\N	\N	\N
889156	3032	1997-07-16	VYDAJ	VYBER	24700	13193	\N	\N	\N
889220	3033	1997-12-10	PRIJEM	VKLAD	900	900	\N	\N	\N
889233	3033	1998-01-05	PRIJEM	PREVOD Z UCTU	2902	3802	\N	UV	93561327
889234	3033	1998-02-05	PRIJEM	PREVOD Z UCTU	2902	6704	\N	UV	93561327
889235	3033	1998-03-05	PRIJEM	PREVOD Z UCTU	2902	9606	\N	UV	93561327
889236	3033	1998-04-05	PRIJEM	PREVOD Z UCTU	2902	12508	\N	UV	93561327
889237	3033	1998-05-05	PRIJEM	PREVOD Z UCTU	2902	15410	\N	UV	93561327
889238	3033	1998-06-05	PRIJEM	PREVOD Z UCTU	2902	16403	\N	UV	93561327
889239	3033	1998-07-05	PRIJEM	PREVOD Z UCTU	2902	17416	\N	UV	93561327
889240	3033	1998-08-05	PRIJEM	PREVOD Z UCTU	2902	18433	\N	UV	93561327
889241	3033	1998-09-05	PRIJEM	PREVOD Z UCTU	2902	18763	\N	UV	93561327
889242	3033	1998-10-05	PRIJEM	PREVOD Z UCTU	2902	19785	\N	UV	93561327
889243	3033	1998-11-05	PRIJEM	PREVOD Z UCTU	2902	20811	\N	UV	93561327
889244	3033	1998-12-05	PRIJEM	PREVOD Z UCTU	2902	21451	\N	UV	93561327
889261	3033	1998-05-10	VYDAJ	PREVOD NA UCET	605	13668	\N	YZ	42934656
889262	3033	1998-06-10	VYDAJ	PREVOD NA UCET	605	15798	\N	YZ	42934656
889263	3033	1998-07-10	VYDAJ	PREVOD NA UCET	605	15674	\N	YZ	42934656
889264	3033	1998-08-10	VYDAJ	PREVOD NA UCET	605	17828	\N	YZ	42934656
889265	3033	1998-09-10	VYDAJ	PREVOD NA UCET	605	18158	\N	YZ	42934656
889266	3033	1998-10-10	VYDAJ	PREVOD NA UCET	605	19180	\N	YZ	42934656
889267	3033	1998-11-10	VYDAJ	PREVOD NA UCET	605	19069	\N	YZ	42934656
889268	3033	1998-12-10	VYDAJ	PREVOD NA UCET	605	20846	\N	YZ	42934656
889285	3033	1998-05-11	VYDAJ	PREVOD NA UCET	192	13476	\N	OP	9593081
889286	3033	1998-06-11	VYDAJ	PREVOD NA UCET	192	14469	\N	OP	9593081
889287	3033	1998-07-11	VYDAJ	PREVOD NA UCET	192	15482	\N	OP	9593081
889288	3033	1998-08-11	VYDAJ	PREVOD NA UCET	192	16499	\N	OP	9593081
889289	3033	1998-09-11	VYDAJ	PREVOD NA UCET	192	16829	\N	OP	9593081
889290	3033	1998-10-11	VYDAJ	PREVOD NA UCET	192	17851	\N	OP	9593081
889291	3033	1998-11-11	VYDAJ	PREVOD NA UCET	192	18877	\N	OP	9593081
889292	3033	1998-12-11	VYDAJ	PREVOD NA UCET	192	19517	\N	OP	9593081
889309	3033	1998-05-10	VYDAJ	PREVOD NA UCET	1137	14273	\N	UV	11267763
889310	3033	1998-06-10	VYDAJ	PREVOD NA UCET	1137	14661	\N	UV	11267763
889311	3033	1998-07-10	VYDAJ	PREVOD NA UCET	1137	16279	\N	UV	11267763
889312	3033	1998-08-10	VYDAJ	PREVOD NA UCET	1137	16691	\N	UV	11267763
889313	3033	1998-09-10	VYDAJ	PREVOD NA UCET	1137	17021	\N	UV	11267763
889314	3033	1998-10-10	VYDAJ	PREVOD NA UCET	1137	18043	\N	UV	11267763
889315	3033	1998-11-10	VYDAJ	PREVOD NA UCET	1137	19674	\N	UV	11267763
889316	3033	1998-12-10	VYDAJ	PREVOD NA UCET	1137	19709	\N	UV	11267763
889322	3033	1998-12-21	VYDAJ	VYBER	300	19217	\N	\N	\N
889339	3033	1998-11-14	VYDAJ	VYBER	390	18487	\N	\N	\N
889340	3033	1998-08-19	VYDAJ	VYBER	690	15809	\N	\N	\N
889359	3033	1998-05-31	VYDAJ	VYBER	15	13501	SLUZBY	\N	\N
889360	3033	1998-06-30	VYDAJ	VYBER	15	14514	SLUZBY	\N	\N
889361	3033	1998-07-31	VYDAJ	VYBER	15	15531	SLUZBY	\N	\N
889362	3033	1998-08-31	VYDAJ	VYBER	15	15861	SLUZBY	\N	\N
889363	3033	1998-09-30	VYDAJ	VYBER	15	16883	SLUZBY	\N	\N
889364	3033	1998-10-31	VYDAJ	VYBER	15	17909	SLUZBY	\N	\N
889365	3033	1998-11-30	VYDAJ	VYBER	15	18549	SLUZBY	\N	\N
889892	3035	1993-08-16	PRIJEM	VKLAD	800	800	\N	\N	\N
889901	3035	1993-09-11	PRIJEM	PREVOD Z UCTU	46312	47112	\N	EF	68641763
889902	3035	1993-10-11	PRIJEM	PREVOD Z UCTU	46312	81903	\N	EF	68641763
889903	3035	1993-11-11	PRIJEM	PREVOD Z UCTU	46312	101507	\N	EF	68641763
889904	3035	1993-12-11	PRIJEM	PREVOD Z UCTU	69468	114483	\N	EF	68641763
889905	3035	1994-01-11	PRIJEM	PREVOD Z UCTU	46312	105235	\N	EF	68641763
889906	3035	1994-02-11	PRIJEM	PREVOD Z UCTU	46312	61557	\N	EF	68641763
889907	3035	1994-03-11	PRIJEM	PREVOD Z UCTU	46312	77338	\N	EF	68641763
889908	3035	1994-04-11	PRIJEM	PREVOD Z UCTU	46312	89281	\N	EF	68641763
889909	3035	1994-05-11	PRIJEM	PREVOD Z UCTU	46312	88162	\N	EF	68641763
889910	3035	1994-06-11	PRIJEM	PREVOD Z UCTU	69468	113779	\N	EF	68641763
889911	3035	1994-07-11	PRIJEM	PREVOD Z UCTU	46312	89336	\N	EF	68641763
889912	3035	1994-08-11	PRIJEM	PREVOD Z UCTU	46312	83586	\N	EF	68641763
889913	3035	1994-09-11	PRIJEM	PREVOD Z UCTU	46312	77195	\N	EF	68641763
889914	3035	1994-10-11	PRIJEM	PREVOD Z UCTU	46312	89903	\N	EF	68641763
889915	3035	1994-11-11	PRIJEM	PREVOD Z UCTU	46312	91059	\N	EF	68641763
889916	3035	1994-12-11	PRIJEM	PREVOD Z UCTU	69468	117590	\N	EF	68641763
889917	3035	1995-01-11	PRIJEM	PREVOD Z UCTU	46312	70292	\N	EF	68641763
889918	3035	1995-02-11	PRIJEM	PREVOD Z UCTU	46312	73650	\N	EF	68641763
889919	3035	1995-03-11	PRIJEM	PREVOD Z UCTU	46312	90025	\N	EF	68641763
889920	3035	1995-04-11	PRIJEM	PREVOD Z UCTU	46312	94983	\N	EF	68641763
889921	3035	1995-05-11	PRIJEM	PREVOD Z UCTU	46312	91007	\N	EF	68641763
889922	3035	1995-06-11	PRIJEM	PREVOD Z UCTU	69468	112699	\N	EF	68641763
889923	3035	1995-07-11	PRIJEM	PREVOD Z UCTU	46312	77767	\N	EF	68641763
889924	3035	1995-08-11	PRIJEM	PREVOD Z UCTU	46312	82873	\N	EF	68641763
889925	3035	1995-09-11	PRIJEM	PREVOD Z UCTU	46312	92411	\N	EF	68641763
889926	3035	1995-10-11	PRIJEM	PREVOD Z UCTU	46312	89970	\N	EF	68641763
889927	3035	1995-11-11	PRIJEM	PREVOD Z UCTU	46312	93237	\N	EF	68641763
889928	3035	1995-12-11	PRIJEM	PREVOD Z UCTU	69468	104884	\N	EF	68641763
889929	3035	1996-01-11	PRIJEM	PREVOD Z UCTU	46312	77667	\N	EF	68641763
889930	3035	1996-02-11	PRIJEM	PREVOD Z UCTU	46312	77066	\N	EF	68641763
889931	3035	1996-03-11	PRIJEM	PREVOD Z UCTU	46312	81058	\N	EF	68641763
889932	3035	1996-04-11	PRIJEM	PREVOD Z UCTU	46312	79977	\N	EF	68641763
889933	3035	1996-05-11	PRIJEM	PREVOD Z UCTU	46312	73640	\N	EF	68641763
889934	3035	1996-06-11	PRIJEM	PREVOD Z UCTU	69468	90986	\N	EF	68641763
889935	3035	1996-07-11	PRIJEM	PREVOD Z UCTU	46312	88009	\N	EF	68641763
889936	3035	1996-08-11	PRIJEM	PREVOD Z UCTU	46312	90164	\N	EF	68641763
889937	3035	1996-09-11	PRIJEM	PREVOD Z UCTU	46312	92604	\N	EF	68641763
889938	3035	1996-10-11	PRIJEM	PREVOD Z UCTU	46312	92552	\N	EF	68641763
889939	3035	1996-11-11	PRIJEM	PREVOD Z UCTU	46312	78280	\N	EF	68641763
890121	3035	1995-08-03	VYBER	VYBER	3982	69100	\N	\N	\N
889940	3035	1996-12-11	PRIJEM	PREVOD Z UCTU	69468	104322	\N	EF	68641763
889941	3035	1997-01-11	PRIJEM	PREVOD Z UCTU	46312	96477	\N	EF	68641763
889942	3035	1997-02-11	PRIJEM	PREVOD Z UCTU	46312	68290	\N	EF	68641763
889943	3035	1997-03-11	PRIJEM	PREVOD Z UCTU	46312	73231	\N	EF	68641763
889944	3035	1997-04-11	PRIJEM	PREVOD Z UCTU	46312	73017	\N	EF	68641763
889945	3035	1997-05-11	PRIJEM	PREVOD Z UCTU	46312	73770	\N	EF	68641763
889946	3035	1997-06-11	PRIJEM	PREVOD Z UCTU	69468	99783	\N	EF	68641763
889947	3035	1997-07-11	PRIJEM	PREVOD Z UCTU	46312	95710	\N	EF	68641763
889948	3035	1997-08-11	PRIJEM	PREVOD Z UCTU	46312	92549	\N	EF	68641763
889949	3035	1997-09-11	PRIJEM	PREVOD Z UCTU	46312	86970	\N	EF	68641763
889950	3035	1997-10-11	PRIJEM	PREVOD Z UCTU	46312	88569	\N	EF	68641763
889951	3035	1997-11-11	PRIJEM	PREVOD Z UCTU	46312	90674	\N	EF	68641763
889952	3035	1997-12-11	PRIJEM	PREVOD Z UCTU	69468	110441	\N	EF	68641763
889953	3035	1998-01-11	PRIJEM	PREVOD Z UCTU	46312	73591	\N	EF	68641763
889954	3035	1998-02-11	PRIJEM	PREVOD Z UCTU	46312	71309	\N	EF	68641763
889955	3035	1998-03-11	PRIJEM	PREVOD Z UCTU	46312	73697	\N	EF	68641763
889956	3035	1998-04-11	PRIJEM	PREVOD Z UCTU	46312	82342	\N	EF	68641763
889957	3035	1998-05-11	PRIJEM	PREVOD Z UCTU	46312	91221	\N	EF	68641763
889958	3035	1998-06-11	PRIJEM	PREVOD Z UCTU	69468	102426	\N	EF	68641763
889959	3035	1998-07-11	PRIJEM	PREVOD Z UCTU	46312	74991	\N	EF	68641763
889960	3035	1998-08-11	PRIJEM	PREVOD Z UCTU	46312	86053	\N	EF	68641763
889961	3035	1998-09-11	PRIJEM	PREVOD Z UCTU	46312	84726	\N	EF	68641763
889962	3035	1998-10-11	PRIJEM	PREVOD Z UCTU	46312	80269	\N	EF	68641763
889963	3035	1998-11-11	PRIJEM	PREVOD Z UCTU	46312	77541	\N	EF	68641763
889964	3035	1998-12-11	PRIJEM	PREVOD Z UCTU	69468	97845	\N	EF	68641763
889978	3035	1994-02-07	VYDAJ	PREVOD NA UCET	7524	15245	SIPO	KL	58785599
889979	3035	1994-03-07	VYDAJ	PREVOD NA UCET	7524	31026	SIPO	KL	58785599
889980	3035	1994-04-07	VYDAJ	PREVOD NA UCET	7524	42969	SIPO	KL	58785599
889981	3035	1994-05-07	VYDAJ	PREVOD NA UCET	7524	41850	SIPO	KL	58785599
889982	3035	1994-06-07	VYDAJ	PREVOD NA UCET	7524	44311	SIPO	KL	58785599
889983	3035	1994-07-07	VYDAJ	PREVOD NA UCET	7524	43024	SIPO	KL	58785599
889984	3035	1994-08-07	VYDAJ	PREVOD NA UCET	7524	37274	SIPO	KL	58785599
889985	3035	1994-09-07	VYDAJ	PREVOD NA UCET	7524	43129	SIPO	KL	58785599
889986	3035	1994-10-07	VYDAJ	PREVOD NA UCET	7524	63191	SIPO	KL	58785599
889987	3035	1994-11-07	VYDAJ	PREVOD NA UCET	7524	67547	SIPO	KL	58785599
889988	3035	1994-12-07	VYDAJ	PREVOD NA UCET	7524	69022	SIPO	KL	58785599
889989	3035	1995-01-07	VYDAJ	PREVOD NA UCET	7524	63456	SIPO	KL	58785599
889990	3035	1995-02-07	VYDAJ	PREVOD NA UCET	7524	30138	SIPO	KL	58785599
889991	3035	1995-03-07	VYDAJ	PREVOD NA UCET	7524	61413	SIPO	KL	58785599
889992	3035	1995-04-07	VYDAJ	PREVOD NA UCET	7524	73971	SIPO	KL	58785599
889993	3035	1995-05-07	VYDAJ	PREVOD NA UCET	7524	58295	SIPO	KL	58785599
889994	3035	1995-06-07	VYDAJ	PREVOD NA UCET	7524	64131	SIPO	KL	58785599
889995	3035	1995-07-07	VYDAJ	PREVOD NA UCET	7524	37955	SIPO	KL	58785599
889996	3035	1995-08-07	VYDAJ	PREVOD NA UCET	7524	36561	SIPO	KL	58785599
889997	3035	1995-09-07	VYDAJ	PREVOD NA UCET	7524	46099	SIPO	KL	58785599
889998	3035	1995-10-07	VYDAJ	PREVOD NA UCET	7524	43658	SIPO	KL	58785599
889999	3035	1995-11-07	VYDAJ	PREVOD NA UCET	7524	46925	SIPO	KL	58785599
890000	3035	1995-12-07	VYDAJ	PREVOD NA UCET	7524	35416	SIPO	KL	58785599
890001	3035	1996-01-07	VYDAJ	PREVOD NA UCET	7524	41255	SIPO	KL	58785599
890002	3035	1996-02-07	VYDAJ	PREVOD NA UCET	7524	30754	SIPO	KL	58785599
890003	3035	1996-03-07	VYDAJ	PREVOD NA UCET	7524	34746	SIPO	KL	58785599
890004	3035	1996-04-07	VYDAJ	PREVOD NA UCET	7524	33665	SIPO	KL	58785599
890005	3035	1996-05-07	VYDAJ	PREVOD NA UCET	7524	27328	SIPO	KL	58785599
890006	3035	1996-06-07	VYDAJ	PREVOD NA UCET	7524	21518	SIPO	KL	58785599
890007	3035	1996-07-07	VYDAJ	PREVOD NA UCET	7524	41697	SIPO	KL	58785599
890008	3035	1996-08-07	VYDAJ	PREVOD NA UCET	7524	43852	SIPO	KL	58785599
890009	3035	1996-09-07	VYDAJ	PREVOD NA UCET	7524	46292	SIPO	KL	58785599
890010	3035	1996-10-07	VYDAJ	PREVOD NA UCET	7524	46240	SIPO	KL	58785599
890011	3035	1996-11-07	VYDAJ	PREVOD NA UCET	7524	31968	SIPO	KL	58785599
890012	3035	1996-12-07	VYDAJ	PREVOD NA UCET	7524	34854	SIPO	KL	58785599
890013	3035	1997-01-07	VYDAJ	PREVOD NA UCET	7524	50165	SIPO	KL	58785599
890014	3035	1997-02-07	VYDAJ	PREVOD NA UCET	7524	21978	SIPO	KL	58785599
890015	3035	1997-03-07	VYDAJ	PREVOD NA UCET	7524	31719	SIPO	KL	58785599
890016	3035	1997-04-07	VYDAJ	PREVOD NA UCET	7524	26705	SIPO	KL	58785599
890017	3035	1997-05-07	VYDAJ	PREVOD NA UCET	7524	27458	SIPO	KL	58785599
890018	3035	1997-06-07	VYDAJ	PREVOD NA UCET	7524	30315	SIPO	KL	58785599
890019	3035	1997-07-07	VYDAJ	PREVOD NA UCET	7524	49398	SIPO	KL	58785599
890020	3035	1997-08-07	VYDAJ	PREVOD NA UCET	7524	46237	SIPO	KL	58785599
890021	3035	1997-09-07	VYDAJ	PREVOD NA UCET	7524	40658	SIPO	KL	58785599
890022	3035	1997-10-07	VYDAJ	PREVOD NA UCET	7524	42257	SIPO	KL	58785599
890023	3035	1997-11-07	VYDAJ	PREVOD NA UCET	7524	44362	SIPO	KL	58785599
890024	3035	1997-12-07	VYDAJ	PREVOD NA UCET	7524	46373	SIPO	KL	58785599
890025	3035	1998-01-07	VYDAJ	PREVOD NA UCET	7524	27279	SIPO	KL	58785599
890026	3035	1998-02-07	VYDAJ	PREVOD NA UCET	7524	24997	SIPO	KL	58785599
890027	3035	1998-03-07	VYDAJ	PREVOD NA UCET	7524	27385	SIPO	KL	58785599
890028	3035	1998-04-07	VYDAJ	PREVOD NA UCET	7524	36030	SIPO	KL	58785599
890029	3035	1998-05-07	VYDAJ	PREVOD NA UCET	7524	44909	SIPO	KL	58785599
890030	3035	1998-06-07	VYDAJ	PREVOD NA UCET	7524	35277	SIPO	KL	58785599
890031	3035	1998-07-07	VYDAJ	PREVOD NA UCET	7524	28679	SIPO	KL	58785599
890032	3035	1998-08-07	VYDAJ	PREVOD NA UCET	7524	39741	SIPO	KL	58785599
890033	3035	1998-09-07	VYDAJ	PREVOD NA UCET	7524	38414	SIPO	KL	58785599
890034	3035	1998-10-07	VYDAJ	PREVOD NA UCET	7524	33957	SIPO	KL	58785599
890035	3035	1998-11-07	VYDAJ	PREVOD NA UCET	7524	31229	SIPO	KL	58785599
890036	3035	1998-12-07	VYDAJ	PREVOD NA UCET	7524	28377	SIPO	KL	58785599
890049	3035	1994-01-14	VYDAJ	PREVOD NA UCET	4919	46316	 	OP	22791952
890050	3035	1994-02-14	VYDAJ	PREVOD NA UCET	4919	38438	 	OP	22791952
890051	3035	1994-03-14	VYDAJ	PREVOD NA UCET	4919	72419	 	OP	22791952
890052	3035	1994-04-14	VYDAJ	PREVOD NA UCET	4919	49185	 	OP	22791952
890053	3035	1994-05-14	VYDAJ	PREVOD NA UCET	4919	51643	 	OP	22791952
890054	3035	1994-06-14	VYDAJ	PREVOD NA UCET	4919	50360	 	OP	22791952
890055	3035	1994-07-14	VYDAJ	PREVOD NA UCET	4919	53617	 	OP	22791952
890056	3035	1994-08-14	VYDAJ	PREVOD NA UCET	4919	50467	 	OP	22791952
890057	3035	1994-09-14	VYDAJ	PREVOD NA UCET	4919	72276	 	OP	22791952
890058	3035	1994-10-14	VYDAJ	PREVOD NA UCET	4919	84984	 	OP	22791952
890059	3035	1994-11-14	VYDAJ	PREVOD NA UCET	4919	86140	 	OP	22791952
890060	3035	1994-12-14	VYDAJ	PREVOD NA UCET	4919	83871	 	OP	22791952
890061	3035	1995-01-14	VYDAJ	PREVOD NA UCET	4919	62373	 	OP	22791952
890062	3035	1995-02-14	VYDAJ	PREVOD NA UCET	4919	68731	 	OP	22791952
890063	3035	1995-03-14	VYDAJ	PREVOD NA UCET	4919	85106	 	OP	22791952
890064	3035	1995-04-14	VYDAJ	PREVOD NA UCET	4919	90064	 	OP	22791952
890065	3035	1995-05-14	VYDAJ	PREVOD NA UCET	4919	86088	 	OP	22791952
890066	3035	1995-06-14	VYDAJ	PREVOD NA UCET	4919	45280	 	OP	22791952
890067	3035	1995-07-14	VYDAJ	PREVOD NA UCET	4919	72848	 	OP	22791952
890068	3035	1995-08-14	VYDAJ	PREVOD NA UCET	4919	77954	 	OP	22791952
890069	3035	1995-09-14	VYDAJ	PREVOD NA UCET	4919	87492	 	OP	22791952
890070	3035	1995-10-14	VYDAJ	PREVOD NA UCET	4919	85051	 	OP	22791952
890071	3035	1995-11-14	VYDAJ	PREVOD NA UCET	4919	88318	 	OP	22791952
890072	3035	1995-12-14	VYDAJ	PREVOD NA UCET	4919	99965	 	OP	22791952
890073	3035	1996-01-14	VYDAJ	PREVOD NA UCET	4919	72748	 	OP	22791952
890074	3035	1996-02-14	VYDAJ	PREVOD NA UCET	4919	72147	 	OP	22791952
890075	3035	1996-03-14	VYDAJ	PREVOD NA UCET	4919	76139	 	OP	22791952
890076	3035	1996-04-14	VYDAJ	PREVOD NA UCET	4919	67554	 	OP	22791952
890077	3035	1996-05-14	VYDAJ	PREVOD NA UCET	4919	68721	 	OP	22791952
890078	3035	1996-06-14	VYDAJ	PREVOD NA UCET	4919	78867	 	OP	22791952
890079	3035	1996-07-14	VYDAJ	PREVOD NA UCET	4919	83090	 	OP	22791952
890080	3035	1996-08-14	VYDAJ	PREVOD NA UCET	4919	85245	 	OP	22791952
890081	3035	1996-09-14	VYDAJ	PREVOD NA UCET	4919	87685	 	OP	22791952
890082	3035	1996-10-14	VYDAJ	PREVOD NA UCET	4919	87633	 	OP	22791952
890083	3035	1996-11-14	VYDAJ	PREVOD NA UCET	4919	73361	 	OP	22791952
890084	3035	1996-12-14	VYDAJ	PREVOD NA UCET	4919	99403	 	OP	22791952
890085	3035	1997-01-14	VYDAJ	PREVOD NA UCET	4919	91558	 	OP	22791952
890086	3035	1997-02-14	VYDAJ	PREVOD NA UCET	4919	63371	 	OP	22791952
890087	3035	1997-03-14	VYDAJ	PREVOD NA UCET	4919	68312	 	OP	22791952
890088	3035	1997-04-14	VYDAJ	PREVOD NA UCET	4919	68098	 	OP	22791952
890089	3035	1997-05-14	VYDAJ	PREVOD NA UCET	4919	68851	 	OP	22791952
890090	3035	1997-06-14	VYDAJ	PREVOD NA UCET	4919	94864	 	OP	22791952
890091	3035	1997-07-14	VYDAJ	PREVOD NA UCET	4919	90791	 	OP	22791952
890092	3035	1997-08-14	VYDAJ	PREVOD NA UCET	4919	87630	 	OP	22791952
890093	3035	1997-09-14	VYDAJ	PREVOD NA UCET	4919	82051	 	OP	22791952
890094	3035	1997-10-14	VYDAJ	PREVOD NA UCET	4919	83650	 	OP	22791952
890095	3035	1997-11-14	VYDAJ	PREVOD NA UCET	4919	85755	 	OP	22791952
890096	3035	1997-12-14	VYDAJ	PREVOD NA UCET	4919	105522	 	OP	22791952
890097	3035	1998-01-14	VYDAJ	PREVOD NA UCET	4919	68672	 	OP	22791952
890098	3035	1998-02-14	VYDAJ	PREVOD NA UCET	4919	66390	 	OP	22791952
890099	3035	1998-03-14	VYDAJ	PREVOD NA UCET	4919	68778	 	OP	22791952
890100	3035	1998-04-14	VYDAJ	PREVOD NA UCET	4919	77423	 	OP	22791952
890101	3035	1998-05-14	VYDAJ	PREVOD NA UCET	4919	86302	 	OP	22791952
890102	3035	1998-06-14	VYDAJ	PREVOD NA UCET	4919	94350	 	OP	22791952
890103	3035	1998-07-14	VYDAJ	PREVOD NA UCET	4919	70072	 	OP	22791952
890104	3035	1998-08-14	VYDAJ	PREVOD NA UCET	4919	81134	 	OP	22791952
890105	3035	1998-09-14	VYDAJ	PREVOD NA UCET	4919	76994	 	OP	22791952
890106	3035	1998-10-14	VYDAJ	PREVOD NA UCET	4919	75350	 	OP	22791952
890107	3035	1998-11-14	VYDAJ	PREVOD NA UCET	4919	72622	 	OP	22791952
890108	3035	1998-12-14	VYDAJ	PREVOD NA UCET	4919	92926	 	OP	22791952
890115	3035	1994-04-12	VYBER	VYBER	2477	86804	\N	\N	\N
890116	3035	1994-09-09	VYBER	VYBER	2446	40683	\N	\N	\N
890117	3035	1995-05-03	VYBER	VYBER	15795	65819	\N	\N	\N
890118	3035	1995-04-28	VYBER	VYBER	5464	81300	\N	\N	\N
890120	3035	1995-05-23	VYBER	VYBER	7128	78960	\N	\N	\N
890122	3035	1995-11-24	VYBER	VYBER	19467	64951	\N	\N	\N
890123	3035	1995-01-09	VYBER	VYBER	12576	31180	\N	\N	\N
890124	3035	1995-08-06	VYBER	VYBER	2715	66385	\N	\N	\N
890125	3035	1995-04-06	VYBER	VYBER	3909	81495	\N	\N	\N
890126	3035	1995-06-05	VYBER	VYBER	7602	71655	\N	\N	\N
890127	3035	1996-04-20	VYBER	VYBER	23593	43961	\N	\N	\N
890128	3035	1996-04-12	VYBER	VYBER	7504	72473	\N	\N	\N
890129	3035	1996-10-29	VYBER	VYBER	20008	60125	\N	\N	\N
890131	3035	1996-06-05	VYBER	VYBER	6562	29042	\N	\N	\N
890132	3035	1996-03-15	VYBER	VYBER	16869	59270	\N	\N	\N
890133	3035	1997-04-04	VYBER	VYBER	6580	34229	\N	\N	\N
890134	3035	1998-07-03	VYBER	VYBER	23585	36203	\N	\N	\N
890135	3035	1998-09-11	VYBER	VYBER	2813	81913	\N	\N	\N
890136	3035	1998-12-25	VYBER	VYBER	5149	50077	\N	\N	\N
890137	3035	1998-02-15	VYBER	VYBER	16222	50168	\N	\N	\N
890138	3035	1998-10-28	VYBER	VYBER	14883	38567	\N	\N	\N
890139	3035	1998-06-08	VYBER	VYBER	2319	32958	\N	\N	\N
890141	3035	1998-06-13	VYBER	VYBER	3157	99269	\N	\N	\N
890142	3035	1998-05-23	VYBER	VYBER	7284	51818	\N	\N	\N
890143	3035	1998-06-04	VYBER	VYBER	3852	42801	\N	\N	\N
890154	3035	1995-01-20	VYDAJ	VYBER	19800	37473	\N	\N	\N
890155	3035	1996-01-02	VYDAJ	VYBER	12900	81979	\N	\N	\N
890156	3035	1997-01-22	VYDAJ	VYBER	3600	73858	\N	\N	\N
890157	3035	1998-01-16	VYDAJ	VYBER	17700	47072	\N	\N	\N
890159	3035	1994-12-30	VYDAJ	VYBER	4800	79071	\N	\N	\N
890160	3035	1995-12-17	VYDAJ	VYBER	5400	94565	\N	\N	\N
890161	3035	1996-12-06	VYDAJ	VYBER	6600	42378	\N	\N	\N
890162	3035	1997-12-08	VYDAJ	VYBER	5400	40973	\N	\N	\N
890163	3035	1998-12-15	VYDAJ	VYBER KARTOU	7200	85726	\N	\N	0
890170	3035	1994-01-26	VYDAJ	VYBER	6300	24116	\N	\N	\N
890171	3035	1994-01-11	VYDAJ	VYBER	5400	79135	\N	\N	\N
890172	3035	1994-01-29	VYDAJ	VYBER	1500	22616	\N	\N	\N
890173	3035	1994-01-16	VYDAJ	VYBER	8100	33116	\N	\N	\N
890174	3035	1994-01-24	VYDAJ	VYBER	2700	30416	\N	\N	\N
890175	3035	1994-01-15	VYDAJ	VYBER	5100	41216	\N	\N	\N
890176	3035	1995-01-12	VYDAJ	VYBER	3000	67292	\N	\N	\N
890177	3035	1995-01-08	VYDAJ	VYBER	3000	60456	\N	\N	\N
890178	3035	1995-01-02	VYDAJ	VYBER	3600	75780	\N	\N	\N
890179	3035	1995-01-09	VYDAJ	VYBER	7200	23980	\N	\N	\N
890180	3035	1995-01-19	VYDAJ	VYBER	5100	57273	\N	\N	\N
890181	3035	1995-01-03	VYDAJ	VYBER	4800	70980	\N	\N	\N
890182	3035	1996-01-22	VYDAJ	VYBER	6600	64048	\N	\N	\N
890183	3035	1996-01-04	VYDAJ	VYBER	4200	48779	\N	\N	\N
890184	3035	1996-01-09	VYDAJ	VYBER	5700	31355	\N	\N	\N
890185	3035	1996-01-07	VYDAJ	VYBER	4200	37055	\N	\N	\N
890186	3035	1996-01-14	VYDAJ	VYBER	2100	70648	\N	\N	\N
890187	3035	1996-01-27	VYDAJ	VYBER	7800	56248	\N	\N	\N
890188	3035	1997-01-21	VYDAJ	VYBER	2400	77458	\N	\N	\N
890189	3035	1997-01-28	VYDAJ	VYBER	4200	29258	\N	\N	\N
890191	3035	1997-01-19	VYDAJ	VYBER	6900	79858	\N	\N	\N
890192	3035	1997-01-15	VYDAJ	VYBER	4800	86758	\N	\N	\N
890193	3035	1997-01-23	VYDAJ	VYBER	2400	71458	\N	\N	\N
890194	3035	1998-01-14	VYDAJ	VYBER KARTOU	3900	64772	\N	\N	0
890195	3035	1998-01-03	VYDAJ	VYBER KARTOU	7800	45903	\N	\N	0
890196	3035	1998-01-03	VYDAJ	VYBER	8400	53703	\N	\N	\N
890197	3035	1998-01-05	VYDAJ	VYBER	8400	34803	\N	\N	\N
890198	3035	1998-01-02	VYDAJ	VYBER KARTOU	1800	62103	\N	\N	0
890199	3035	1998-01-03	VYDAJ	VYBER KARTOU	2700	43203	\N	\N	0
890205	3035	1994-10-21	VYDAJ	VYBER	10200	74784	\N	\N	\N
890206	3035	1994-07-20	VYDAJ	VYBER	9000	44617	\N	\N	\N
890207	3035	1994-10-04	VYDAJ	VYBER	1800	70715	\N	\N	\N
890208	3035	1994-12-05	VYDAJ	VYBER	9900	76546	\N	\N	\N
890209	3035	1995-06-11	VYDAJ	VYBER	2700	109999	\N	\N	\N
890210	3035	1995-04-15	VYDAJ	VYBER	3300	86764	\N	\N	\N
890211	3035	1995-11-21	VYDAJ	VYBER	3900	84418	\N	\N	\N
890212	3035	1995-09-20	VYDAJ	VYBER	9600	77892	\N	\N	\N
890213	3035	1996-10-22	VYDAJ	VYBER	4800	80133	\N	\N	\N
890214	3035	1996-06-14	VYDAJ	VYBER	7200	83786	\N	\N	\N
890215	3035	1996-05-15	VYDAJ	VYBER	13800	54921	\N	\N	\N
890216	3035	1996-10-19	VYDAJ	VYBER	2700	84933	\N	\N	\N
890217	3035	1996-02-17	VYDAJ	VYBER	5700	66447	\N	\N	\N
890219	3035	1997-08-28	VYDAJ	VYBER	3600	47930	\N	\N	\N
890220	3035	1997-05-26	VYDAJ	VYBER	6000	62851	\N	\N	\N
890221	3035	1997-03-10	VYDAJ	VYBER	4800	26919	\N	\N	\N
890222	3035	1997-01-28	VYDAJ	VYBER	12300	33458	\N	\N	\N
890223	3035	1997-04-23	VYDAJ	VYBER	7500	60598	\N	\N	\N
890224	3035	1998-12-02	VYDAJ	VYBER	13800	35901	\N	\N	\N
890226	3035	1998-06-01	VYDAJ	VYBER KARTOU	5400	46653	\N	\N	0
890228	3035	1998-09-21	VYDAJ	VYBER	12600	41294	\N	\N	\N
890229	3035	1998-08-23	VYDAJ	VYBER	8400	45734	\N	\N	\N
890243	3035	1994-01-31	VYDAJ	VYBER	30	22769	SLUZBY	\N	\N
890244	3035	1994-02-28	VYDAJ	VYBER	30	38550	SLUZBY	\N	\N
890245	3035	1994-03-31	VYDAJ	VYBER	30	50493	SLUZBY	\N	\N
890246	3035	1994-04-30	VYDAJ	VYBER	30	49374	SLUZBY	\N	\N
890247	3035	1994-05-31	VYDAJ	VYBER	30	51835	SLUZBY	\N	\N
890248	3035	1994-06-30	VYDAJ	VYBER	30	50548	SLUZBY	\N	\N
890249	3035	1994-07-31	VYDAJ	VYBER	30	44798	SLUZBY	\N	\N
890250	3035	1994-08-31	VYDAJ	VYBER	30	50653	SLUZBY	\N	\N
890251	3035	1994-09-30	VYDAJ	VYBER	30	72515	SLUZBY	\N	\N
890252	3035	1994-10-31	VYDAJ	VYBER	30	75071	SLUZBY	\N	\N
890253	3035	1994-11-30	VYDAJ	VYBER	30	86446	SLUZBY	\N	\N
890254	3035	1994-12-31	VYDAJ	VYBER	30	79380	SLUZBY	\N	\N
890255	3035	1995-01-31	VYDAJ	VYBER	30	37662	SLUZBY	\N	\N
890256	3035	1995-02-28	VYDAJ	VYBER	30	68937	SLUZBY	\N	\N
890257	3035	1995-03-31	VYDAJ	VYBER	30	85404	SLUZBY	\N	\N
890258	3035	1995-04-30	VYDAJ	VYBER	30	81614	SLUZBY	\N	\N
890259	3035	1995-05-31	VYDAJ	VYBER	30	79257	SLUZBY	\N	\N
890260	3035	1995-06-30	VYDAJ	VYBER	30	45479	SLUZBY	\N	\N
890261	3035	1995-07-31	VYDAJ	VYBER	30	73082	SLUZBY	\N	\N
890262	3035	1995-08-31	VYDAJ	VYBER	30	78223	SLUZBY	\N	\N
890263	3035	1995-09-30	VYDAJ	VYBER	30	78182	SLUZBY	\N	\N
890264	3035	1995-10-31	VYDAJ	VYBER	30	85349	SLUZBY	\N	\N
890265	3035	1995-11-30	VYDAJ	VYBER	30	65240	SLUZBY	\N	\N
890266	3035	1995-12-31	VYDAJ	VYBER	30	94879	SLUZBY	\N	\N
890267	3035	1996-01-31	VYDAJ	VYBER	30	56478	SLUZBY	\N	\N
890268	3035	1996-02-29	VYDAJ	VYBER	30	66670	SLUZBY	\N	\N
890269	3035	1996-03-31	VYDAJ	VYBER	30	59489	SLUZBY	\N	\N
890270	3035	1996-04-30	VYDAJ	VYBER	30	44152	SLUZBY	\N	\N
890271	3035	1996-05-31	VYDAJ	VYBER	30	55104	SLUZBY	\N	\N
890272	3035	1996-06-30	VYDAJ	VYBER	30	79121	SLUZBY	\N	\N
890273	3035	1996-07-31	VYDAJ	VYBER	30	83376	SLUZBY	\N	\N
890274	3035	1996-08-31	VYDAJ	VYBER	30	53816	SLUZBY	\N	\N
890275	3035	1996-09-30	VYDAJ	VYBER	30	53764	SLUZBY	\N	\N
890276	3035	1996-10-31	VYDAJ	VYBER	30	39492	SLUZBY	\N	\N
890277	3035	1996-11-30	VYDAJ	VYBER	30	48978	SLUZBY	\N	\N
890278	3035	1996-12-31	VYDAJ	VYBER	30	57689	SLUZBY	\N	\N
890279	3035	1997-01-31	VYDAJ	VYBER	30	29502	SLUZBY	\N	\N
890280	3035	1997-02-28	VYDAJ	VYBER	30	39243	SLUZBY	\N	\N
890281	3035	1997-03-31	VYDAJ	VYBER	30	40809	SLUZBY	\N	\N
890282	3035	1997-04-30	VYDAJ	VYBER	30	34982	SLUZBY	\N	\N
890283	3035	1997-05-31	VYDAJ	VYBER	30	37839	SLUZBY	\N	\N
890284	3035	1997-06-30	VYDAJ	VYBER	30	56922	SLUZBY	\N	\N
890285	3035	1997-07-31	VYDAJ	VYBER	30	53761	SLUZBY	\N	\N
890286	3035	1997-08-31	VYDAJ	VYBER	30	48182	SLUZBY	\N	\N
890287	3035	1997-09-30	VYDAJ	VYBER	30	49781	SLUZBY	\N	\N
890288	3035	1997-10-31	VYDAJ	VYBER	30	51886	SLUZBY	\N	\N
890289	3035	1997-11-30	VYDAJ	VYBER	30	53897	SLUZBY	\N	\N
890290	3035	1997-12-31	VYDAJ	VYBER	30	63903	SLUZBY	\N	\N
890291	3035	1998-01-31	VYDAJ	VYBER	30	32521	SLUZBY	\N	\N
890292	3035	1998-02-28	VYDAJ	VYBER	30	34909	SLUZBY	\N	\N
890293	3035	1998-03-31	VYDAJ	VYBER	30	43554	SLUZBY	\N	\N
890294	3035	1998-04-30	VYDAJ	VYBER	30	52433	SLUZBY	\N	\N
890295	3035	1998-05-31	VYDAJ	VYBER	30	52053	SLUZBY	\N	\N
890296	3035	1998-06-30	VYDAJ	VYBER	30	59788	SLUZBY	\N	\N
890297	3035	1998-07-31	VYDAJ	VYBER	30	47265	SLUZBY	\N	\N
890298	3035	1998-08-31	VYDAJ	VYBER	30	45938	SLUZBY	\N	\N
890299	3035	1998-09-30	VYDAJ	VYBER	30	41481	SLUZBY	\N	\N
890300	3035	1998-10-31	VYDAJ	VYBER	30	38753	SLUZBY	\N	\N
890301	3035	1998-11-30	VYDAJ	VYBER	30	49701	SLUZBY	\N	\N
890302	3035	1993-09-15	VYDAJ	VYBER	11600	35512	\N	\N	\N
890303	3035	1993-10-15	VYDAJ	VYBER	26900	55003	\N	\N	\N
890304	3035	1993-11-11	VYDAJ	VYBER	40000	61507	\N	\N	\N
890305	3035	1993-11-14	VYDAJ	VYBER	16700	44807	\N	\N	\N
890306	3035	1993-12-11	VYDAJ	VYBER	21500	92983	\N	\N	\N
890307	3035	1993-12-14	VYDAJ	VYBER	34300	58683	\N	\N	\N
890308	3035	1994-01-11	VYDAJ	VYBER	20700	84535	\N	\N	\N
890309	3035	1994-01-13	VYDAJ	VYBER	27900	51235	\N	\N	\N
890310	3035	1994-02-12	VYDAJ	VYBER	18200	43357	\N	\N	\N
890311	3035	1994-03-14	VYDAJ	VYBER	22100	50319	\N	\N	\N
890312	3035	1994-04-13	VYDAJ	VYBER	32700	54104	\N	\N	\N
890313	3035	1994-05-13	VYDAJ	VYBER	31600	56562	\N	\N	\N
890314	3035	1994-06-11	VYDAJ	VYBER	27200	86579	\N	\N	\N
890315	3035	1994-06-12	VYDAJ	VYBER	31300	55279	\N	\N	\N
890316	3035	1994-07-12	VYDAJ	VYBER	30800	58536	\N	\N	\N
890317	3035	1994-08-11	VYDAJ	VYBER	28200	55386	\N	\N	\N
890318	3035	1994-09-10	VYDAJ	VYBER	9800	30883	\N	\N	\N
890319	3035	1994-10-10	VYDAJ	VYBER	19600	43591	\N	\N	\N
890320	3035	1994-11-09	VYDAJ	VYBER	22800	44747	\N	\N	\N
890321	3035	1994-12-09	VYDAJ	VYBER	20900	48122	\N	\N	\N
890322	3035	1994-12-11	VYDAJ	VYBER	28800	88790	\N	\N	\N
890323	3035	1995-01-08	VYDAJ	VYBER	16700	43756	\N	\N	\N
890324	3035	1995-02-07	VYDAJ	VYBER	2800	27338	\N	\N	\N
890325	3035	1995-03-09	VYDAJ	VYBER	17700	43713	\N	\N	\N
890326	3035	1995-04-08	VYDAJ	VYBER	25300	48671	\N	\N	\N
890327	3035	1995-05-08	VYDAJ	VYBER	13600	44695	\N	\N	\N
890328	3035	1995-06-07	VYDAJ	VYBER	20900	43231	\N	\N	\N
890329	3035	1995-06-11	VYDAJ	VYBER	59800	50199	\N	\N	\N
890330	3035	1995-07-07	VYDAJ	VYBER	6500	31455	\N	\N	\N
890331	3035	1995-08-06	VYDAJ	VYBER	22300	44085	\N	\N	\N
890332	3035	1995-09-05	VYDAJ	VYBER	24600	53623	\N	\N	\N
890333	3035	1995-10-05	VYDAJ	VYBER	27000	51182	\N	\N	\N
890334	3035	1995-11-04	VYDAJ	VYBER	30900	54449	\N	\N	\N
890335	3035	1995-12-04	VYDAJ	VYBER	22300	42940	\N	\N	\N
890336	3035	1996-01-03	VYDAJ	VYBER	29000	52979	\N	\N	\N
890337	3035	1996-02-02	VYDAJ	VYBER	18200	38278	\N	\N	\N
890338	3035	1996-03-03	VYDAJ	VYBER	24400	42270	\N	\N	\N
890339	3035	1996-04-02	VYDAJ	VYBER	18300	41189	\N	\N	\N
890340	3035	1996-05-02	VYDAJ	VYBER	9300	34852	\N	\N	\N
890341	3035	1996-06-01	VYDAJ	VYBER	19500	35604	\N	\N	\N
890342	3035	1996-07-01	VYDAJ	VYBER	29900	49221	\N	\N	\N
890343	3035	1996-07-31	VYDAJ	VYBER	32000	51376	\N	\N	\N
890344	3035	1996-08-30	VYDAJ	VYBER	31700	53545	\N	\N	\N
890345	3035	1996-09-29	VYDAJ	VYBER	34200	53485	\N	\N	\N
890346	3035	1996-10-29	VYDAJ	VYBER	20900	39225	\N	\N	\N
890347	3035	1996-11-28	VYDAJ	VYBER	24600	48761	\N	\N	\N
890348	3035	1996-12-28	VYDAJ	VYBER	42000	57403	\N	\N	\N
890349	3035	1997-01-27	VYDAJ	VYBER	25700	45758	\N	\N	\N
890350	3035	1997-02-26	VYDAJ	VYBER	24300	39071	\N	\N	\N
890351	3035	1997-03-28	VYDAJ	VYBER	27700	40612	\N	\N	\N
890352	3035	1997-04-27	VYDAJ	VYBER	25800	34798	\N	\N	\N
890353	3035	1997-05-27	VYDAJ	VYBER	25200	37651	\N	\N	\N
890354	3035	1997-06-26	VYDAJ	VYBER	38200	56664	\N	\N	\N
890355	3035	1997-07-26	VYDAJ	VYBER	37300	53491	\N	\N	\N
890356	3035	1997-08-25	VYDAJ	VYBER	36100	51530	\N	\N	\N
890357	3035	1997-09-24	VYDAJ	VYBER	32500	49551	\N	\N	\N
890358	3035	1997-10-24	VYDAJ	VYBER	32000	51650	\N	\N	\N
890359	3035	1997-11-23	VYDAJ	VYBER	32100	53655	\N	\N	\N
890360	3035	1997-12-23	VYDAJ	VYBER	41900	63622	\N	\N	\N
890361	3035	1998-01-22	VYDAJ	VYBER	14700	32372	\N	\N	\N
890362	3035	1998-02-21	VYDAJ	VYBER	15400	34768	\N	\N	\N
890363	3035	1998-03-23	VYDAJ	VYBER	25400	43378	\N	\N	\N
890364	3035	1998-04-22	VYDAJ	VYBER	25200	52223	\N	\N	\N
890365	3035	1998-05-22	VYDAJ	VYBER	27200	59102	\N	\N	\N
890366	3035	1998-06-21	VYDAJ	VYBER	34800	59550	\N	\N	\N
890367	3035	1998-07-21	VYDAJ	VYBER	23000	47072	\N	\N	\N
890368	3035	1998-08-20	VYDAJ	VYBER	27000	54134	\N	\N	\N
890369	3035	1998-09-19	VYDAJ	VYBER	23100	53894	\N	\N	\N
890370	3035	1998-10-19	VYDAJ	VYBER	21900	53450	\N	\N	\N
890371	3035	1998-11-18	VYDAJ	VYBER	23100	49522	\N	\N	\N
890372	3035	1998-12-18	VYDAJ	VYBER	30500	55226	\N	\N	\N
890437	3036	1994-04-10	PRIJEM	VKLAD	900	900	\N	\N	\N
890438	3036	1994-08-02	PRIJEM	VKLAD	19171	71475	\N	\N	\N
890439	3036	1994-06-23	PRIJEM	VKLAD	25536	56150	\N	\N	\N
890440	3036	1994-06-27	PRIJEM	VKLAD	26401	82551	\N	\N	\N
890442	3036	1994-04-17	PRIJEM	VKLAD	42350	43250	\N	\N	\N
890443	3036	1994-10-30	PRIJEM	VKLAD	9019	37825	\N	\N	\N
890444	3036	1995-08-29	PRIJEM	VKLAD	39452	61510	\N	\N	\N
890445	3036	1995-11-07	PRIJEM	VKLAD	22937	48106	\N	\N	\N
890446	3036	1995-01-24	PRIJEM	VKLAD	35642	57069	\N	\N	\N
890447	3036	1995-12-05	PRIJEM	VKLAD	49490	83966	\N	\N	\N
890448	3036	1996-10-24	PRIJEM	VKLAD	38752	73983	\N	\N	\N
890449	3036	1996-03-30	PRIJEM	VKLAD	7207	28222	\N	\N	\N
890450	3036	1996-05-25	PRIJEM	VKLAD	22929	39498	\N	\N	\N
890451	3036	1996-09-25	PRIJEM	VKLAD	48604	64500	\N	\N	\N
890452	3036	1997-03-03	PRIJEM	VKLAD	5613	20645	\N	\N	\N
890453	3036	1997-10-22	PRIJEM	VKLAD	16215	36960	\N	\N	\N
890454	3036	1997-09-27	PRIJEM	VKLAD	23097	43990	\N	\N	\N
890455	3036	1997-12-24	PRIJEM	VKLAD	30683	54702	\N	\N	\N
890456	3036	1997-07-14	PRIJEM	VKLAD	37315	65013	\N	\N	\N
890457	3036	1997-03-22	PRIJEM	VKLAD	14707	51590	\N	\N	\N
890458	3036	1997-07-17	PRIJEM	VKLAD	38043	103056	\N	\N	\N
890459	3036	1997-02-05	PRIJEM	VKLAD	16882	36468	\N	\N	\N
890460	3036	1997-07-19	PRIJEM	VKLAD	18262	121318	\N	\N	\N
890461	3036	1997-04-05	PRIJEM	VKLAD	24674	48758	\N	\N	\N
890462	3036	1997-01-03	PRIJEM	VKLAD	5803	19544	\N	\N	\N
890463	3036	1997-06-11	PRIJEM	VKLAD	24191	41930	\N	\N	\N
890464	3036	1997-03-12	PRIJEM	VKLAD	16238	36883	\N	\N	\N
890465	3036	1998-04-08	PRIJEM	VKLAD	38750	67149	\N	\N	\N
890466	3036	1998-03-09	PRIJEM	VKLAD	31560	51509	\N	\N	\N
890467	3036	1998-09-23	PRIJEM	VKLAD	11416	43401	\N	\N	\N
890468	3036	1998-08-21	PRIJEM	VKLAD	28768	58595	\N	\N	\N
890469	3036	1998-05-21	PRIJEM	VKLAD	15226	58723	\N	\N	\N
890470	3036	1998-09-07	PRIJEM	VKLAD	8502	60885	\N	\N	\N
890471	3036	1998-01-09	PRIJEM	VKLAD	16807	59937	\N	\N	\N
890472	3036	1998-07-13	PRIJEM	VKLAD	13523	88452	\N	\N	\N
890473	3036	1998-09-02	PRIJEM	VKLAD	24138	52383	\N	\N	\N
890474	3036	1998-07-31	PRIJEM	VKLAD	8765	71475	\N	\N	\N
890475	3036	1998-01-22	PRIJEM	VKLAD	19752	55389	\N	\N	\N
890476	3036	1998-07-02	PRIJEM	VKLAD	45165	74929	\N	\N	\N
890477	3036	1998-04-23	PRIJEM	VKLAD	40193	76242	\N	\N	\N
890478	3036	1998-07-20	PRIJEM	VKLAD	29736	75688	\N	\N	\N
890492	3036	1994-11-23	VYBER	VYBER	6343	19664	\N	\N	\N
890496	3036	1995-07-13	VYBER	VYBER	2283	22672	\N	\N	\N
890498	3036	1995-02-27	VYBER	VYBER	10695	29084	\N	\N	\N
890501	3036	1995-12-18	VYBER	VYBER	13117	70849	\N	\N	\N
890502	3036	1995-04-12	VYBER	VYBER	5965	22907	\N	\N	\N
890513	3036	1997-10-02	VYBER	VYBER	6002	38076	\N	\N	\N
890514	3036	1997-10-06	VYBER	VYBER	9931	28145	\N	\N	\N
890515	3036	1997-08-06	VYBER	VYBER	10746	49681	\N	\N	\N
890519	3036	1997-08-13	VYBER	VYBER	4231	45450	\N	\N	\N
890522	3036	1997-08-19	VYBER	VYBER	19815	25635	\N	\N	\N
890523	3036	1997-03-29	VYBER	VYBER	9010	23980	\N	\N	\N
890525	3036	1998-03-26	VYBER	VYBER	6395	28314	\N	\N	\N
890526	3036	1998-05-16	VYBER	VYBER	2416	73997	\N	\N	\N
890527	3036	1998-08-30	VYBER	VYBER	21880	28015	\N	\N	\N
890529	3036	1998-10-15	VYBER	VYBER	2861	32001	\N	\N	\N
890530	3036	1998-08-13	VYBER	VYBER	14833	56627	\N	\N	\N
890540	3036	1998-01-25	VYDAJ	VYBER	21600	29289	\N	\N	\N
890542	3036	1995-12-24	VYDAJ	VYBER	6900	63949	\N	\N	\N
890544	3036	1997-12-07	VYDAJ	VYBER	4500	24419	\N	\N	\N
890555	3036	1995-01-07	VYDAJ	VYBER	1500	21427	\N	\N	\N
890556	3036	1995-01-29	VYDAJ	VYBER	4200	52869	\N	\N	\N
890557	3036	1995-01-30	VYDAJ	VYBER	4800	48069	\N	\N	\N
890558	3036	1996-01-02	VYDAJ	VYBER	2100	41229	\N	\N	\N
890559	3036	1996-01-09	VYDAJ	VYBER	7500	33729	\N	\N	\N
890561	3036	1996-01-21	VYDAJ	VYBER	1800	24129	\N	\N	\N
890562	3036	1996-01-13	VYDAJ	VYBER	7800	25929	\N	\N	\N
890570	3036	1998-01-30	VYDAJ	VYBER	5400	23889	\N	\N	\N
890571	3036	1998-01-24	VYDAJ	VYBER	4500	50889	\N	\N	\N
890572	3036	1998-01-06	VYDAJ	VYBER	6300	43130	\N	\N	\N
890573	3036	1998-01-15	VYDAJ	VYBER	5100	54837	\N	\N	\N
890575	3036	1998-01-02	VYDAJ	VYBER	5400	49430	\N	\N	\N
890578	3036	1994-11-05	VYDAJ	VYBER	8400	29607	\N	\N	\N
890582	3036	1995-09-29	VYDAJ	VYBER	6900	34406	\N	\N	\N
890583	3036	1995-05-28	VYDAJ	VYBER	3600	22096	\N	\N	\N
890587	3036	1996-11-27	VYDAJ	VYBER	3600	22419	\N	\N	\N
890591	3036	1997-02-18	VYDAJ	VYBER	12600	23868	\N	\N	\N
890592	3036	1998-04-19	VYDAJ	VYBER	8700	58449	\N	\N	\N
890593	3036	1998-08-29	VYDAJ	VYBER	8700	49895	\N	\N	\N
890594	3036	1998-10-12	VYDAJ	VYBER	8700	34862	\N	\N	\N
890595	3036	1998-05-26	VYDAJ	VYBER	10200	48523	\N	\N	\N
890596	3036	1998-07-22	VYDAJ	VYBER	13200	62488	\N	\N	\N
890607	3036	1994-10-31	VYDAJ	VYBER	15	38007	SLUZBY	\N	\N
890608	3036	1994-11-30	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
890609	3036	1994-12-31	VYDAJ	VYBER	15	21827	SLUZBY	\N	\N
890610	3036	1995-01-31	VYDAJ	VYBER	15	48179	SLUZBY	\N	\N
890611	3036	1995-02-28	VYDAJ	VYBER	15	29265	SLUZBY	\N	\N
890612	3036	1995-03-31	VYDAJ	VYBER	15	28772	SLUZBY	\N	\N
890613	3036	1995-04-30	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
890614	3036	1995-05-31	VYDAJ	VYBER	15	22177	SLUZBY	\N	\N
890615	3036	1995-06-30	VYDAJ	VYBER	15	26855	SLUZBY	\N	\N
890616	3036	1995-07-31	VYDAJ	VYBER	15	22758	SLUZBY	\N	\N
890617	3036	1995-08-31	VYDAJ	VYBER	15	61606	SLUZBY	\N	\N
890618	3036	1995-09-30	VYDAJ	VYBER	15	34640	SLUZBY	\N	\N
890619	3036	1995-10-31	VYDAJ	VYBER	15	29669	SLUZBY	\N	\N
890620	3036	1995-11-30	VYDAJ	VYBER	15	48276	SLUZBY	\N	\N
890621	3036	1995-12-31	VYDAJ	VYBER	15	43329	SLUZBY	\N	\N
890622	3036	1996-01-31	VYDAJ	VYBER	15	21342	SLUZBY	\N	\N
890623	3036	1996-02-29	VYDAJ	VYBER	15	21015	SLUZBY	\N	\N
890624	3036	1996-03-31	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
890625	3036	1996-04-30	VYDAJ	VYBER	15	16569	SLUZBY	\N	\N
890626	3036	1996-05-31	VYDAJ	VYBER	15	24755	SLUZBY	\N	\N
890627	3036	1996-06-30	VYDAJ	VYBER	15	20242	SLUZBY	\N	\N
890628	3036	1996-07-31	VYDAJ	VYBER	15	15910	SLUZBY	\N	\N
890629	3036	1996-08-31	VYDAJ	VYBER	15	15896	SLUZBY	\N	\N
890630	3036	1996-09-30	VYDAJ	VYBER	15	35231	SLUZBY	\N	\N
890631	3036	1996-10-31	VYDAJ	VYBER	15	41019	SLUZBY	\N	\N
890632	3036	1996-11-30	VYDAJ	VYBER	15	22564	SLUZBY	\N	\N
890633	3036	1996-12-31	VYDAJ	VYBER	15	13741	SLUZBY	\N	\N
890634	3036	1997-01-31	VYDAJ	VYBER	15	19586	SLUZBY	\N	\N
890635	3036	1997-02-28	VYDAJ	VYBER	15	15032	SLUZBY	\N	\N
890636	3036	1997-03-31	VYDAJ	VYBER	15	24084	SLUZBY	\N	\N
890637	3036	1997-04-30	VYDAJ	VYBER	15	26745	SLUZBY	\N	\N
890638	3036	1997-05-31	VYDAJ	VYBER	15	17739	SLUZBY	\N	\N
890639	3036	1997-06-30	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
890640	3036	1997-07-31	VYDAJ	VYBER	15	60427	SLUZBY	\N	\N
890641	3036	1997-08-31	VYDAJ	VYBER	15	22193	SLUZBY	\N	\N
890642	3036	1997-09-30	VYDAJ	VYBER	15	44078	SLUZBY	\N	\N
890643	3036	1997-10-31	VYDAJ	VYBER	15	37082	SLUZBY	\N	\N
890644	3036	1997-11-30	VYDAJ	VYBER	15	28919	SLUZBY	\N	\N
890645	3036	1997-12-31	VYDAJ	VYBER	15	54830	SLUZBY	\N	\N
890646	3036	1998-01-31	VYDAJ	VYBER	15	24067	SLUZBY	\N	\N
890647	3036	1998-02-28	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
890648	3036	1998-03-31	VYDAJ	VYBER	15	28399	SLUZBY	\N	\N
890649	3036	1998-04-30	VYDAJ	VYBER	15	76413	SLUZBY	\N	\N
890650	3036	1998-05-31	VYDAJ	VYBER	15	48780	SLUZBY	\N	\N
890651	3036	1998-06-30	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
890652	3036	1998-07-31	VYDAJ	VYBER	15	71460	SLUZBY	\N	\N
890653	3036	1998-08-31	VYDAJ	VYBER	15	28245	SLUZBY	\N	\N
890654	3036	1998-09-30	VYDAJ	VYBER	15	43562	SLUZBY	\N	\N
890655	3036	1998-10-31	VYDAJ	VYBER	15	20312	SLUZBY	\N	\N
890656	3036	1998-11-30	VYDAJ	VYBER	15	16078	SLUZBY	\N	\N
890657	3036	1994-05-10	VYDAJ	VYBER	7700	35634	\N	\N	\N
890658	3036	1994-06-09	VYDAJ	VYBER	5200	30614	\N	\N	\N
890659	3036	1994-07-09	VYDAJ	VYBER	30800	51961	\N	\N	\N
890660	3036	1994-08-08	VYDAJ	VYBER	23700	47775	\N	\N	\N
890661	3036	1994-09-07	VYDAJ	VYBER	13800	34207	\N	\N	\N
890662	3036	1994-10-07	VYDAJ	VYBER	5600	28806	\N	\N	\N
890663	3036	1994-11-06	VYDAJ	VYBER	3600	26007	\N	\N	\N
890664	3036	1994-12-06	PRIJEM	VKLAD	2000	21759	\N	\N	\N
890665	3036	1995-01-05	PRIJEM	VKLAD	1100	22927	\N	\N	\N
890666	3036	1995-02-04	VYDAJ	VYBER	8400	39779	\N	\N	\N
890667	3036	1995-03-06	VYDAJ	VYBER	600	28665	\N	\N	\N
890668	3036	1995-04-05	PRIJEM	VKLAD	100	28872	\N	\N	\N
890669	3036	1995-05-05	PRIJEM	VKLAD	2700	25696	\N	\N	\N
890670	3036	1995-06-04	PRIJEM	VKLAD	4600	26777	\N	\N	\N
890671	3036	1995-07-04	VYDAJ	VYBER	1900	24955	\N	\N	\N
890672	3036	1995-08-03	VYDAJ	VYBER	700	22058	\N	\N	\N
890673	3036	1995-09-02	VYDAJ	VYBER	20300	41306	\N	\N	\N
890674	3036	1995-10-02	VYDAJ	VYBER	5100	29540	\N	\N	\N
890675	3036	1995-11-01	VYDAJ	VYBER	4500	25169	\N	\N	\N
890676	3036	1995-12-01	VYDAJ	VYBER	13800	34476	\N	\N	\N
890677	3036	1995-12-31	VYDAJ	VYBER	20900	43344	\N	\N	\N
890678	3036	1996-01-30	VYDAJ	VYBER	2900	21229	\N	\N	\N
890679	3036	1996-02-29	VYDAJ	VYBER	400	21030	\N	\N	\N
890680	3036	1996-03-30	VYDAJ	VYBER	6600	21622	\N	\N	\N
890681	3036	1996-04-29	VYDAJ	VYBER	5200	16495	\N	\N	\N
890682	3036	1996-05-29	VYDAJ	VYBER	14800	24698	\N	\N	\N
890683	3036	1996-06-28	VYDAJ	VYBER	4600	20155	\N	\N	\N
890684	3036	1996-07-28	VYDAJ	VYBER	4400	15842	\N	\N	\N
890685	3036	1996-09-26	VYDAJ	VYBER	29400	35100	\N	\N	\N
890686	3036	1996-10-26	VYDAJ	VYBER	33100	40883	\N	\N	\N
890687	3036	1996-11-25	VYDAJ	VYBER	15000	26019	\N	\N	\N
890688	3036	1996-12-25	VYDAJ	VYBER	8900	13664	\N	\N	\N
890689	3036	1997-02-23	VYDAJ	VYBER	8900	14968	\N	\N	\N
890690	3036	1997-03-25	VYDAJ	VYBER	18600	32990	\N	\N	\N
890691	3036	1997-04-24	VYDAJ	VYBER	22100	26658	\N	\N	\N
890692	3036	1997-05-24	VYDAJ	VYBER	9100	17645	\N	\N	\N
890693	3036	1997-06-23	VYDAJ	VYBER	14300	27630	\N	\N	\N
890694	3036	1997-07-19	VYDAJ	VYBER	16800	104518	\N	\N	\N
890695	3036	1997-07-23	VYDAJ	VYBER	44300	60218	\N	\N	\N
890696	3036	1997-08-22	VYDAJ	VYBER	3600	22035	\N	\N	\N
890697	3036	1997-09-21	VYDAJ	VYBER	1300	20893	\N	\N	\N
890698	3036	1997-10-21	VYDAJ	VYBER	7400	20745	\N	\N	\N
890699	3036	1997-11-20	VYDAJ	VYBER	8300	28782	\N	\N	\N
890700	3036	1997-12-20	VYDAJ	VYBER	400	24019	\N	\N	\N
890701	3036	1998-01-19	VYDAJ	VYBER	19200	35637	\N	\N	\N
890702	3036	1998-02-18	VYDAJ	VYBER	4200	19867	\N	\N	\N
890703	3036	1998-03-20	VYDAJ	VYBER	16800	34709	\N	\N	\N
890704	3036	1998-04-19	VYDAJ	VYBER	22400	36049	\N	\N	\N
890705	3036	1998-05-19	VYDAJ	VYBER	30500	43497	\N	\N	\N
890706	3036	1998-06-18	VYDAJ	VYBER	19200	29580	\N	\N	\N
890707	3036	1998-07-18	VYDAJ	VYBER	42500	45952	\N	\N	\N
890708	3036	1998-08-17	VYDAJ	VYBER	26800	29827	\N	\N	\N
890709	3036	1998-09-16	VYDAJ	VYBER	28900	31985	\N	\N	\N
890710	3036	1998-10-16	VYDAJ	VYBER	11800	20201	\N	\N	\N
890711	3036	1998-11-15	VYDAJ	VYBER	4300	16012	\N	\N	\N
890768	3037	1994-05-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
890769	3037	1994-11-25	PRIJEM	VKLAD	20877	54131	\N	\N	\N
890770	3037	1994-10-04	PRIJEM	VKLAD	26583	54130	\N	\N	\N
890772	3037	1994-07-03	PRIJEM	VKLAD	16508	30408	\N	\N	\N
890773	3037	1994-11-29	PRIJEM	VKLAD	32561	86692	\N	\N	\N
890774	3037	1995-08-01	PRIJEM	VKLAD	30473	58300	\N	\N	\N
890775	3037	1995-11-14	PRIJEM	VKLAD	40184	60144	\N	\N	\N
890776	3037	1995-02-26	PRIJEM	VKLAD	15838	117799	\N	\N	\N
890777	3037	1995-07-09	PRIJEM	VKLAD	28548	49098	\N	\N	\N
890778	3037	1995-06-10	PRIJEM	VKLAD	46838	56490	\N	\N	\N
890779	3037	1995-02-21	PRIJEM	VKLAD	44069	101961	\N	\N	\N
890780	3037	1995-08-18	PRIJEM	VKLAD	20258	62158	\N	\N	\N
890781	3037	1995-02-08	PRIJEM	VKLAD	18447	95192	\N	\N	\N
890782	3037	1995-08-22	PRIJEM	VKLAD	47031	84689	\N	\N	\N
890783	3037	1995-04-15	PRIJEM	VKLAD	10694	53202	\N	\N	\N
890784	3037	1995-01-03	PRIJEM	VKLAD	33874	88212	\N	\N	\N
890785	3037	1995-02-04	PRIJEM	VKLAD	41894	84045	\N	\N	\N
890786	3037	1995-01-04	PRIJEM	VKLAD	41182	129394	\N	\N	\N
890787	3037	1995-09-23	PRIJEM	VKLAD	31224	70147	\N	\N	\N
890788	3037	1995-02-01	PRIJEM	VKLAD	22167	42151	\N	\N	\N
890789	3037	1995-09-13	PRIJEM	VKLAD	13217	85623	\N	\N	\N
890790	3037	1995-06-13	PRIJEM	VKLAD	23249	79739	\N	\N	\N
890791	3037	1997-12-30	PRIJEM	VKLAD	35696	55830	\N	\N	\N
890792	3037	1997-02-01	PRIJEM	VKLAD	27448	39889	\N	\N	\N
890793	3037	1997-06-11	PRIJEM	VKLAD	38517	56993	\N	\N	\N
890794	3037	1997-03-18	PRIJEM	VKLAD	28424	36241	\N	\N	\N
890795	3037	1997-09-13	PRIJEM	VKLAD	7599	26871	\N	\N	\N
890796	3037	1997-11-13	PRIJEM	VKLAD	22821	32812	\N	\N	\N
890797	3037	1997-07-18	PRIJEM	VKLAD	26101	43279	\N	\N	\N
890798	3037	1997-08-10	PRIJEM	VKLAD	44688	69482	\N	\N	\N
890799	3037	1997-06-25	PRIJEM	VKLAD	46091	102331	\N	\N	\N
890800	3037	1997-08-15	PRIJEM	VKLAD	28275	85138	\N	\N	\N
890801	3037	1997-11-24	PRIJEM	VKLAD	21441	46953	\N	\N	\N
890802	3037	1997-01-10	PRIJEM	VKLAD	14047	11540	\N	\N	\N
890803	3037	1997-06-14	PRIJEM	VKLAD	6965	56240	\N	\N	\N
890804	3037	1997-05-14	PRIJEM	VKLAD	5951	10022	\N	\N	\N
890805	3037	1997-09-18	PRIJEM	VKLAD	43809	70680	\N	\N	\N
890806	3037	1997-05-25	PRIJEM	VKLAD	19930	29952	\N	\N	\N
890807	3037	1997-01-20	PRIJEM	VKLAD	11093	17514	\N	\N	\N
890808	3037	1998-07-12	PRIJEM	VKLAD	8656	13698	\N	\N	\N
890809	3037	1998-05-24	PRIJEM	VKLAD	40443	42715	\N	\N	\N
890822	3037	1995-01-10	VYDAJ	VYBER	7400	55994	\N	\N	0
890823	3037	1995-02-11	VYDAJ	VYBER	6600	88592	\N	\N	0
890824	3037	1995-02-28	VYDAJ	VYBER	8900	89329	\N	\N	0
890825	3037	1995-04-25	VYDAJ	VYBER	8000	32202	\N	\N	0
890826	3037	1995-05-12	VYDAJ	VYBER	10800	21577	\N	\N	0
890827	3037	1995-06-18	VYDAJ	VYBER	8200	63727	\N	\N	0
890828	3037	1995-06-26	VYDAJ	VYBER	8600	29727	\N	\N	0
890829	3037	1995-08-04	VYDAJ	VYBER	9100	49200	\N	\N	0
890830	3037	1995-09-09	VYDAJ	VYBER	5100	72406	\N	\N	0
890831	3037	1995-10-20	VYDAJ	VYBER	6800	41134	\N	\N	0
890832	3037	1995-11-06	VYDAJ	VYBER	7000	27460	\N	\N	0
890833	3037	1995-12-08	VYDAJ	VYBER	6200	26594	\N	\N	0
890834	3037	1996-01-16	VYDAJ	VYBER	8800	3592	\N	\N	0
890844	3037	1996-11-12	VYDAJ	PREVOD NA UCET	7719	8374	UVER	KL	19517636
890845	3037	1996-12-12	VYDAJ	PREVOD NA UCET	7719	3885	UVER	KL	19517636
890846	3037	1997-01-12	VYDAJ	PREVOD NA UCET	7719	6421	UVER	KL	19517636
890847	3037	1997-02-12	VYDAJ	PREVOD NA UCET	7719	21170	UVER	KL	19517636
890848	3037	1997-03-12	VYDAJ	PREVOD NA UCET	7719	13917	UVER	KL	19517636
890849	3037	1997-04-12	VYDAJ	PREVOD NA UCET	7719	15610	UVER	KL	19517636
890851	3037	1997-06-12	VYDAJ	PREVOD NA UCET	7719	49275	UVER	KL	19517636
890852	3037	1997-07-12	VYDAJ	PREVOD NA UCET	7719	17178	UVER	KL	19517636
890853	3037	1997-08-12	VYDAJ	PREVOD NA UCET	7719	61763	UVER	KL	19517636
890854	3037	1997-09-12	VYDAJ	PREVOD NA UCET	7719	19272	UVER	KL	19517636
890855	3037	1997-10-12	VYDAJ	PREVOD NA UCET	7719	18612	UVER	KL	19517636
890856	3037	1997-11-12	VYDAJ	PREVOD NA UCET	7719	9991	UVER	KL	19517636
890857	3037	1997-12-12	VYDAJ	PREVOD NA UCET	7719	26234	UVER	KL	19517636
890858	3037	1998-01-12	VYDAJ	PREVOD NA UCET	7719	15531	UVER	KL	19517636
890863	3037	1998-06-12	VYDAJ	PREVOD NA UCET	7719	9696	UVER	KL	19517636
890864	3037	1998-07-12	VYDAJ	PREVOD NA UCET	7719	5980	UVER	KL	19517636
890882	3037	1995-01-04	VYDAJ	VYBER	5600	70594	SIPO	\N	0
890883	3037	1995-02-06	VYDAJ	VYBER	7300	76745	SIPO	\N	0
890884	3037	1995-03-05	VYDAJ	VYBER	5000	78629	SIPO	\N	0
890885	3037	1995-04-11	VYDAJ	VYBER	6800	42508	SIPO	\N	0
890886	3037	1995-05-13	VYDAJ	VYBER	6100	15477	SIPO	\N	0
890887	3037	1995-05-29	VYDAJ	VYBER	6100	9577	SIPO	\N	0
890888	3037	1995-07-13	VYDAJ	VYBER	6500	42598	SIPO	\N	0
890889	3037	1995-08-08	VYDAJ	VYBER	7300	41900	SIPO	\N	0
890890	3037	1995-09-08	VYDAJ	VYBER	7400	77506	SIPO	\N	0
890891	3037	1995-10-05	VYDAJ	VYBER	5200	65234	SIPO	\N	0
890892	3037	1995-10-31	VYDAJ	VYBER	6900	34475	SIPO	\N	0
890893	3037	1995-11-30	VYDAJ	VYBER	5400	32794	SIPO	\N	0
890894	3037	1995-12-30	VYDAJ	VYBER	6000	12294	SIPO	\N	0
890898	3037	1996-05-05	VYDAJ	VYBER	6700	4931	SIPO	\N	0
890899	3037	1996-06-14	VYDAJ	VYBER	6500	-1536	SIPO	\N	0
890902	3037	1996-09-17	VYDAJ	VYBER	7800	13409	SIPO	\N	0
890903	3037	1996-10-09	VYDAJ	VYBER	6100	7350	SIPO	\N	0
890904	3037	1996-11-10	VYDAJ	VYBER	6600	7693	SIPO	\N	0
890905	3037	1996-12-02	VYDAJ	VYBER	7400	1003	SIPO	\N	0
890906	3037	1997-01-05	VYDAJ	VYBER	6400	-2507	SIPO	\N	0
890907	3037	1997-01-29	VYDAJ	VYBER	5100	12414	SIPO	\N	0
890908	3037	1997-03-14	VYDAJ	VYBER	6100	7817	SIPO	\N	0
890909	3037	1997-04-13	VYDAJ	VYBER	6200	9410	SIPO	\N	0
890910	3037	1997-04-29	VYDAJ	VYBER	5400	4010	SIPO	\N	0
890911	3037	1997-05-29	VYDAJ	VYBER	5500	24452	SIPO	\N	0
890912	3037	1997-07-05	VYDAJ	VYBER	6400	33097	SIPO	\N	0
890913	3037	1997-08-14	VYDAJ	VYBER	4900	56863	SIPO	\N	0
890914	3037	1997-09-11	VYDAJ	VYBER	6800	26991	SIPO	\N	0
890915	3037	1997-10-02	VYDAJ	VYBER	6200	49790	SIPO	\N	0
890916	3037	1997-11-13	VYDAJ	VYBER	7300	25512	SIPO	\N	0
890917	3037	1997-12-15	VYDAJ	VYBER	6100	20134	SIPO	\N	0
890918	3037	1998-01-03	VYDAJ	VYBER	5800	50150	SIPO	\N	0
890919	3037	1998-02-13	VYDAJ	VYBER	7400	8212	SIPO	\N	0
890920	3037	1998-03-01	VYDAJ	VYBER	6000	2261	SIPO	\N	0
890923	3037	1998-06-04	VYDAJ	VYBER	5200	37514	SIPO	\N	0
890924	3037	1998-07-11	VYDAJ	VYBER	4700	5042	SIPO	\N	0
890941	3037	1995-06-15	VYBER	VYBER	7812	71927	\N	\N	\N
890943	3037	1997-08-29	VYBER	VYBER	14321	57864	\N	\N	\N
890947	3037	1997-04-03	VYBER	VYBER	12505	23829	\N	\N	\N
890948	3037	1997-09-25	VYBER	VYBER	14896	55784	\N	\N	\N
890951	3037	1997-08-17	VYBER	VYBER	12953	72185	\N	\N	\N
890953	3037	1997-10-08	VYBER	VYBER	3459	26331	\N	\N	\N
890968	3037	1997-06-26	VYDAJ	VYBER	63000	39331	\N	\N	\N
890971	3037	1995-01-25	VYDAJ	VYBER	12600	19794	\N	\N	\N
890976	3037	1995-12-15	VYDAJ	VYBER	6300	20294	\N	\N	\N
890986	3037	1995-01-10	VYDAJ	VYBER	7200	63394	\N	\N	\N
890987	3037	1995-01-19	VYDAJ	VYBER	1500	49994	\N	\N	\N
890988	3037	1995-01-20	VYDAJ	VYBER	5700	42794	\N	\N	\N
890989	3037	1995-01-19	VYDAJ	VYBER	1500	48494	\N	\N	\N
890991	3037	1995-01-11	VYDAJ	VYBER	4500	51494	\N	\N	\N
891007	3037	1998-01-08	VYDAJ	VYBER	7500	23250	\N	\N	\N
891013	3037	1995-07-02	VYDAJ	VYBER	9300	20550	\N	\N	\N
891014	3037	1995-11-11	VYDAJ	VYBER	7500	19960	\N	\N	\N
891015	3037	1995-09-20	VYDAJ	VYBER	10200	38923	\N	\N	\N
891016	3037	1995-03-05	VYDAJ	VYBER	5700	83629	\N	\N	\N
891025	3037	1997-07-22	VYDAJ	VYBER	13500	29779	\N	\N	\N
891027	3037	1997-06-08	VYDAJ	VYBER	3600	20876	\N	\N	\N
891029	3037	1997-09-11	VYDAJ	VYBER	6300	33791	\N	\N	\N
891048	3037	1995-01-31	VYDAJ	VYBER	15	19984	SLUZBY	\N	\N
891049	3037	1995-02-28	VYDAJ	VYBER	15	98229	SLUZBY	\N	\N
891050	3037	1995-03-31	VYDAJ	VYBER	15	49308	SLUZBY	\N	\N
891051	3037	1995-04-30	VYDAJ	VYBER	15	32377	SLUZBY	\N	\N
891052	3037	1995-05-31	VYDAJ	VYBER	15	9652	SLUZBY	\N	\N
891053	3037	1995-06-30	VYDAJ	VYBER	15	29850	SLUZBY	\N	\N
891054	3037	1995-07-31	VYDAJ	VYBER	15	27827	SLUZBY	\N	\N
891055	3037	1995-08-31	VYDAJ	VYBER	15	84906	SLUZBY	\N	\N
891056	3037	1995-09-30	VYDAJ	VYBER	15	70434	SLUZBY	\N	\N
891057	3037	1995-10-31	VYDAJ	VYBER	15	34460	SLUZBY	\N	\N
891058	3037	1995-11-30	VYDAJ	VYBER	15	38194	SLUZBY	\N	\N
891059	3037	1995-12-31	VYDAJ	VYBER	15	12392	SLUZBY	\N	\N
891060	3037	1996-01-31	VYDAJ	VYBER	15	3628	SLUZBY	\N	\N
891061	3037	1996-02-29	VYDAJ	VYBER	15	3629	SLUZBY	\N	\N
891062	3037	1996-03-31	VYDAJ	VYBER	15	3614	SLUZBY	\N	\N
891063	3037	1996-04-30	VYDAJ	VYBER	15	11631	SLUZBY	\N	\N
891064	3037	1996-05-31	VYDAJ	VYBER	15	4964	SLUZBY	\N	\N
891065	3037	1996-06-30	VYDAJ	VYBER	15	-1531	SLUZBY	\N	\N
891066	3037	1996-07-31	VYDAJ	VYBER	15	-1546	SLUZBY	\N	\N
891067	3037	1996-08-31	VYDAJ	VYBER	15	13109	SLUZBY	\N	\N
891068	3037	1996-09-30	VYDAJ	VYBER	15	13450	SLUZBY	\N	\N
891069	3037	1996-10-31	VYDAJ	VYBER	15	14293	SLUZBY	\N	\N
891070	3037	1996-11-30	VYDAJ	VYBER	15	8403	SLUZBY	\N	\N
891071	3037	1996-12-31	VYDAJ	VYBER	15	3893	SLUZBY	\N	\N
891072	3037	1997-01-31	VYDAJ	VYBER	15	12441	SLUZBY	\N	\N
891073	3037	1997-02-28	VYDAJ	VYBER	15	21236	SLUZBY	\N	\N
891074	3037	1997-03-31	VYDAJ	VYBER	15	36334	SLUZBY	\N	\N
891075	3037	1997-04-30	VYDAJ	VYBER	15	4071	SLUZBY	\N	\N
891076	3037	1997-05-31	VYDAJ	VYBER	15	24476	SLUZBY	\N	\N
891077	3037	1997-06-30	VYDAJ	VYBER	15	39497	SLUZBY	\N	\N
891078	3037	1997-07-31	VYDAJ	VYBER	15	29894	SLUZBY	\N	\N
891079	3037	1997-08-31	VYDAJ	VYBER	15	58091	SLUZBY	\N	\N
891080	3037	1997-09-30	VYDAJ	VYBER	15	55990	SLUZBY	\N	\N
891081	3037	1997-10-31	VYDAJ	VYBER	15	18710	SLUZBY	\N	\N
891082	3037	1997-11-30	VYDAJ	VYBER	15	47053	SLUZBY	\N	\N
891083	3037	1997-12-31	VYDAJ	VYBER	15	55950	SLUZBY	\N	\N
891084	3037	1998-01-31	VYDAJ	VYBER	15	15612	SLUZBY	\N	\N
891085	3037	1998-02-28	VYDAJ	VYBER	15	8261	SLUZBY	\N	\N
891086	3037	1998-03-31	VYDAJ	VYBER	15	2279	SLUZBY	\N	\N
891087	3037	1998-04-30	VYDAJ	VYBER	15	2272	SLUZBY	\N	\N
891088	3037	1998-05-31	VYDAJ	VYBER	15	42714	SLUZBY	\N	\N
891089	3037	1998-06-30	VYDAJ	VYBER	15	9742	SLUZBY	\N	\N
891090	3037	1998-07-31	VYDAJ	VYBER	15	6014	SLUZBY	\N	\N
891091	3037	1998-08-31	VYDAJ	VYBER	15	5999	SLUZBY	\N	\N
891092	3037	1998-09-30	VYDAJ	VYBER	15	6032	SLUZBY	\N	\N
891093	3037	1998-10-31	VYDAJ	VYBER	15	6018	SLUZBY	\N	\N
891094	3037	1998-11-30	VYDAJ	VYBER	15	6027	SLUZBY	\N	\N
891095	3037	1994-06-25	PRIJEM	VKLAD	12900	13900	\N	\N	\N
891096	3037	1994-07-25	VYDAJ	VYBER	4600	25808	\N	\N	\N
891097	3037	1994-08-24	PRIJEM	VKLAD	1700	27532	\N	\N	\N
891098	3037	1994-09-23	VYDAJ	VYBER	200	27440	\N	\N	\N
891099	3037	1994-10-23	VYDAJ	VYBER	14900	39230	\N	\N	\N
891100	3037	1994-11-22	VYDAJ	VYBER	6100	33254	\N	\N	\N
891101	3037	1994-12-22	VYDAJ	VYBER	32900	53977	\N	\N	\N
891102	3037	1995-01-04	VYDAJ	VYBER	53200	76194	\N	\N	\N
891103	3037	1995-01-21	VYDAJ	VYBER	10400	32394	\N	\N	\N
891104	3037	1995-02-20	VYDAJ	VYBER	30700	57892	\N	\N	\N
891105	3037	1995-02-26	VYDAJ	VYBER	19900	97899	\N	\N	\N
891106	3037	1995-03-22	VYDAJ	VYBER	29600	49029	\N	\N	\N
891107	3037	1995-04-21	VYDAJ	VYBER	13000	40202	\N	\N	\N
891108	3037	1995-05-21	PRIJEM	VKLAD	200	15677	\N	\N	\N
891109	3037	1995-06-20	VYDAJ	VYBER	25400	38327	\N	\N	\N
891110	3037	1995-07-20	VYDAJ	VYBER	14900	27698	\N	\N	\N
891111	3037	1995-08-19	VYDAJ	VYBER	24500	37658	\N	\N	\N
891112	3037	1995-09-18	VYDAJ	VYBER	36500	49123	\N	\N	\N
891113	3037	1995-10-18	VYDAJ	VYBER	17300	47934	\N	\N	\N
891114	3037	1995-11-17	VYDAJ	VYBER	22100	38044	\N	\N	\N
891115	3037	1995-12-17	VYDAJ	VYBER	2000	18294	\N	\N	\N
891116	3037	1996-04-15	PRIJEM	VKLAD	8000	11614	\N	\N	\N
891117	3037	1996-08-13	PRIJEM	VKLAD	14700	13138	\N	\N	\N
891118	3037	1996-09-12	PRIJEM	VKLAD	8100	21209	\N	\N	\N
891119	3037	1996-10-12	PRIJEM	VKLAD	6900	14250	\N	\N	\N
891120	3037	1996-11-11	PRIJEM	VKLAD	8400	16093	\N	\N	\N
891121	3037	1996-12-11	PRIJEM	VKLAD	10600	11603	\N	\N	\N
891122	3037	1997-01-10	PRIJEM	VKLAD	2600	14140	\N	\N	\N
891123	3037	1997-02-09	VYDAJ	VYBER	11000	28889	\N	\N	\N
891124	3037	1997-03-11	PRIJEM	VKLAD	400	21636	\N	\N	\N
891125	3037	1997-04-10	VYDAJ	VYBER	500	23329	\N	\N	\N
891126	3037	1997-06-09	VYDAJ	VYBER	2400	18476	\N	\N	\N
891127	3037	1997-07-09	VYDAJ	VYBER	8200	24897	\N	\N	\N
891128	3037	1997-08-08	VYDAJ	VYBER	5100	24794	\N	\N	\N
891129	3037	1997-09-07	VYDAJ	VYBER	18000	40091	\N	\N	\N
891130	3037	1997-10-07	VYDAJ	VYBER	20000	29790	\N	\N	\N
891131	3037	1997-11-06	VYDAJ	VYBER	1000	17710	\N	\N	\N
891132	3037	1997-12-06	VYDAJ	VYBER	13100	33953	\N	\N	\N
891133	3037	1998-01-05	VYDAJ	VYBER	19400	30750	\N	\N	\N
891134	3037	1998-06-04	VYDAJ	VYBER	20100	17414	\N	\N	\N
891193	3038	1996-04-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
891195	3038	1996-12-05	PRIJEM	VKLAD	32645	100972	\N	\N	\N
891196	3038	1996-11-07	PRIJEM	VKLAD	37198	134708	\N	\N	\N
891197	3038	1996-08-17	PRIJEM	VKLAD	44967	69702	\N	\N	\N
891199	3038	1996-11-19	PRIJEM	VKLAD	15000	107441	\N	\N	\N
891201	3038	1996-07-06	PRIJEM	VKLAD	36526	128868	\N	\N	\N
891202	3038	1996-07-09	PRIJEM	VKLAD	13394	100062	\N	\N	\N
891203	3038	1996-05-24	PRIJEM	VKLAD	22139	23139	\N	\N	\N
891204	3038	1996-11-07	PRIJEM	VKLAD	5665	97510	\N	\N	\N
891205	3038	1996-10-31	PRIJEM	VKLAD	13327	58063	\N	\N	\N
891206	3038	1996-11-01	PRIJEM	VKLAD	23150	81199	\N	\N	\N
891210	3038	1996-09-23	PRIJEM	VKLAD	17890	85186	\N	\N	\N
891211	3038	1996-06-07	PRIJEM	VKLAD	15229	71516	\N	\N	\N
891212	3038	1996-08-20	PRIJEM	VKLAD	12114	81816	\N	\N	\N
891213	3038	1996-09-07	PRIJEM	VKLAD	14155	67296	\N	\N	\N
891214	3038	1996-11-01	PRIJEM	VKLAD	10646	91845	\N	\N	\N
891216	3038	1996-06-30	PRIJEM	VKLAD	49413	92025	\N	\N	\N
891218	3038	1996-06-03	PRIJEM	VKLAD	34836	56287	\N	\N	\N
891219	3038	1996-06-10	PRIJEM	VKLAD	35996	107512	\N	\N	\N
891220	3038	1996-09-30	PRIJEM	VKLAD	48284	100170	\N	\N	\N
891222	3038	1996-11-26	PRIJEM	VKLAD	31774	68015	\N	\N	\N
891223	3038	1997-06-11	PRIJEM	VKLAD	17688	58693	\N	\N	\N
891224	3038	1997-02-03	PRIJEM	VKLAD	41490	125690	\N	\N	\N
891225	3038	1997-01-26	PRIJEM	VKLAD	17493	78710	\N	\N	\N
891226	3038	1997-07-20	PRIJEM	VKLAD	20076	140657	\N	\N	\N
891227	3038	1997-06-29	PRIJEM	VKLAD	7778	73429	\N	\N	\N
891228	3038	1997-01-17	PRIJEM	VKLAD	49732	71395	\N	\N	\N
891229	3038	1997-03-11	PRIJEM	VKLAD	23514	77490	\N	\N	\N
891230	3038	1997-07-13	PRIJEM	VKLAD	45833	110134	\N	\N	\N
891231	3038	1997-05-18	PRIJEM	VKLAD	28703	107706	\N	\N	\N
891232	3038	1997-07-18	PRIJEM	VKLAD	5010	146881	\N	\N	\N
891233	3038	1997-07-06	PRIJEM	VKLAD	43637	117315	\N	\N	\N
891234	3038	1997-11-05	PRIJEM	VKLAD	25537	74131	\N	\N	\N
891235	3038	1997-01-25	PRIJEM	VKLAD	13422	61217	\N	\N	\N
891236	3038	1997-04-25	PRIJEM	VKLAD	23976	89602	\N	\N	\N
891237	3038	1997-07-17	PRIJEM	VKLAD	47737	157871	\N	\N	\N
891238	3038	1997-01-28	PRIJEM	VKLAD	48066	123476	\N	\N	\N
891239	3038	1997-09-24	PRIJEM	VKLAD	41852	104740	\N	\N	\N
891240	3038	1997-11-26	PRIJEM	VKLAD	15862	67027	\N	\N	\N
891241	3038	1997-03-30	PRIJEM	VKLAD	28893	92659	\N	\N	\N
891242	3038	1997-11-11	PRIJEM	VKLAD	6128	80259	\N	\N	\N
891243	3038	1997-04-02	PRIJEM	VKLAD	48359	141326	\N	\N	\N
891244	3038	1997-03-13	PRIJEM	VKLAD	19976	97466	\N	\N	\N
891245	3038	1997-07-11	PRIJEM	VKLAD	25886	106701	\N	\N	\N
891246	3038	1997-06-13	PRIJEM	VKLAD	23758	82451	\N	\N	\N
891247	3038	1997-09-12	PRIJEM	VKLAD	24264	77188	\N	\N	\N
891248	3038	1997-11-22	PRIJEM	VKLAD	48206	115365	\N	\N	\N
891249	3038	1997-10-06	PRIJEM	VKLAD	10701	115739	\N	\N	\N
891250	3038	1998-10-13	PRIJEM	VKLAD	11227	110230	\N	\N	\N
891251	3038	1998-04-12	PRIJEM	VKLAD	43688	91888	\N	\N	\N
891252	3038	1998-11-28	PRIJEM	VKLAD	6611	108537	\N	\N	\N
891253	3038	1998-11-24	PRIJEM	VKLAD	17369	107647	\N	\N	\N
891254	3038	1998-11-15	PRIJEM	VKLAD	41784	126778	\N	\N	\N
891255	3038	1998-10-30	PRIJEM	VKLAD	37317	111442	\N	\N	\N
891256	3038	1998-09-22	PRIJEM	VKLAD	26837	98598	\N	\N	\N
891257	3038	1998-09-15	PRIJEM	VKLAD	42473	121361	\N	\N	\N
891258	3038	1998-04-19	PRIJEM	VKLAD	25361	102149	\N	\N	\N
891259	3038	1998-01-22	PRIJEM	VKLAD	48286	84738	\N	\N	\N
891260	3038	1998-07-01	PRIJEM	VKLAD	24528	67522	\N	\N	\N
891261	3038	1998-04-09	PRIJEM	VKLAD	12418	48200	\N	\N	\N
891262	3038	1998-12-03	PRIJEM	VKLAD	31414	78352	\N	\N	\N
891263	3038	1998-10-13	PRIJEM	VKLAD	26695	136925	\N	\N	\N
891264	3038	1998-08-31	PRIJEM	VKLAD	45584	96756	\N	\N	\N
891266	3038	1996-10-28	VYBER	VYBER	17743	44348	\N	\N	\N
891268	3038	1996-12-06	VYBER	VYBER	15860	85112	\N	\N	\N
891269	3038	1996-08-12	VYBER	VYBER	24765	24735	\N	\N	\N
891270	3038	1996-11-15	VYBER	VYBER	14067	92441	\N	\N	\N
891271	3038	1996-08-04	VYBER	VYBER	8640	49500	\N	\N	\N
891273	3038	1996-07-17	VYBER	VYBER	15281	84781	\N	\N	\N
891278	3038	1997-06-02	VYBER	VYBER	15906	41005	\N	\N	\N
891279	3038	1997-03-03	VYBER	VYBER	7549	53976	\N	\N	\N
891280	3038	1998-09-12	VYBER	VYBER	5854	78888	\N	\N	\N
891281	3038	1998-03-24	VYBER	VYBER	23259	35573	\N	\N	\N
891282	3038	1998-02-28	VYBER	VYBER	3934	60346	\N	\N	\N
891283	3038	1998-11-26	VYBER	VYBER	5721	101926	\N	\N	\N
891284	3038	1998-01-29	VYBER	VYBER	4765	70073	\N	\N	\N
891285	3038	1998-05-25	VYBER	VYBER	15283	35586	\N	\N	\N
891286	3038	1998-07-27	VYBER	VYBER	17520	42802	\N	\N	\N
891287	3038	1998-05-17	VYBER	VYBER	22359	71269	\N	\N	\N
891288	3038	1998-04-21	VYBER	VYBER	8804	93345	\N	\N	\N
891293	3038	1997-01-02	VYDAJ	VYBER	9600	34263	\N	\N	\N
891294	3038	1998-01-08	VYDAJ	VYBER	19500	41452	\N	\N	\N
891295	3038	1996-12-07	VYDAJ	VYBER	1500	83612	\N	\N	\N
891296	3038	1997-12-16	VYDAJ	VYBER KARTOU	3600	63695	\N	\N	0
891297	3038	1998-12-10	VYDAJ	VYBER KARTOU	2400	63652	\N	\N	0
891304	3038	1997-01-29	VYDAJ	VYBER	3000	103876	\N	\N	\N
891305	3038	1997-01-17	VYDAJ	VYBER	2100	69295	\N	\N	\N
891306	3038	1997-01-15	VYDAJ	VYBER	8100	21663	\N	\N	\N
891308	3038	1997-01-11	VYDAJ	VYBER	4500	29763	\N	\N	\N
891309	3038	1997-01-26	VYDAJ	VYBER	3300	75410	\N	\N	\N
891310	3038	1998-01-21	VYDAJ	VYBER	5400	36452	\N	\N	\N
891311	3038	1998-01-13	VYDAJ	VYBER	5400	33352	\N	\N	\N
891312	3038	1998-01-22	VYDAJ	VYBER	6600	78138	\N	\N	\N
891313	3038	1998-01-12	VYDAJ	VYBER KARTOU	2700	38752	\N	\N	0
891314	3038	1998-01-28	VYDAJ	VYBER KARTOU	3300	74838	\N	\N	0
891315	3038	1998-01-03	VYDAJ	VYBER KARTOU	2400	60952	\N	\N	0
891317	3038	1996-12-14	VYDAJ	VYBER	14700	64112	\N	\N	\N
891318	3038	1996-12-09	VYDAJ	VYBER	4800	78812	\N	\N	\N
891321	3038	1997-10-30	VYDAJ	VYBER KARTOU	1500	53139	\N	\N	0
891322	3038	1997-09-09	VYDAJ	VYBER	6600	52924	\N	\N	\N
891323	3038	1997-11-01	VYDAJ	VYBER	4800	48594	\N	\N	\N
891324	3038	1997-04-28	VYDAJ	VYBER	11100	78502	\N	\N	\N
891325	3038	1997-04-23	VYDAJ	VYBER	10800	65626	\N	\N	\N
891326	3038	1997-06-01	VYDAJ	VYBER	14700	56911	\N	\N	\N
891327	3038	1998-12-03	VYDAJ	VYBER	12300	66052	\N	\N	\N
891328	3038	1998-05-30	VYDAJ	VYBER KARTOU	3900	31686	\N	\N	0
891329	3038	1998-10-31	VYDAJ	VYBER KARTOU	2100	109709	\N	\N	0
891330	3038	1998-09-05	VYDAJ	VYBER	12000	84742	\N	\N	\N
891331	3038	1998-10-28	VYDAJ	VYBER KARTOU	3300	74125	\N	\N	0
891332	3038	1998-11-11	VYDAJ	VYBER	8100	101594	\N	\N	\N
891333	3038	1998-05-24	VYDAJ	VYBER	13800	50869	\N	\N	\N
891340	3038	1996-06-30	VYDAJ	VYBER	15	92342	SLUZBY	\N	\N
891341	3038	1996-07-31	VYDAJ	VYBER	15	58140	SLUZBY	\N	\N
891342	3038	1996-08-31	VYDAJ	VYBER	15	53141	SLUZBY	\N	\N
891343	3038	1996-09-30	VYDAJ	VYBER	15	100391	SLUZBY	\N	\N
891344	3038	1996-10-31	VYDAJ	VYBER	15	58049	SLUZBY	\N	\N
891345	3038	1996-11-30	VYDAJ	VYBER	15	68327	SLUZBY	\N	\N
891346	3038	1996-12-31	VYDAJ	VYBER	15	43863	SLUZBY	\N	\N
891347	3038	1997-01-31	VYDAJ	VYBER	15	104100	SLUZBY	\N	\N
891348	3038	1997-02-28	VYDAJ	VYBER	15	61525	SLUZBY	\N	\N
891349	3038	1997-03-31	VYDAJ	VYBER	15	92967	SLUZBY	\N	\N
891350	3038	1997-04-30	VYDAJ	VYBER	15	79003	SLUZBY	\N	\N
891351	3038	1997-05-31	VYDAJ	VYBER	15	71611	SLUZBY	\N	\N
891352	3038	1997-06-30	VYDAJ	VYBER	15	73678	SLUZBY	\N	\N
891353	3038	1997-07-31	VYDAJ	VYBER	15	75726	SLUZBY	\N	\N
891354	3038	1997-08-31	VYDAJ	VYBER	15	59524	SLUZBY	\N	\N
891355	3038	1997-09-30	VYDAJ	VYBER	15	105038	SLUZBY	\N	\N
891356	3038	1997-10-31	VYDAJ	VYBER	15	53394	SLUZBY	\N	\N
891357	3038	1997-11-30	VYDAJ	VYBER	15	67295	SLUZBY	\N	\N
891358	3038	1997-12-31	VYDAJ	VYBER	15	63352	SLUZBY	\N	\N
891359	3038	1998-01-31	VYDAJ	VYBER	15	70290	SLUZBY	\N	\N
891360	3038	1998-02-28	VYDAJ	VYBER	15	60332	SLUZBY	\N	\N
891361	3038	1998-03-31	VYDAJ	VYBER	15	35782	SLUZBY	\N	\N
891362	3038	1998-04-30	VYDAJ	VYBER	15	93628	SLUZBY	\N	\N
891363	3038	1998-05-31	VYDAJ	VYBER	15	31976	SLUZBY	\N	\N
891364	3038	1998-06-30	VYDAJ	VYBER	15	42994	SLUZBY	\N	\N
891365	3038	1998-07-31	VYDAJ	VYBER	15	42988	SLUZBY	\N	\N
891366	3038	1998-08-31	VYDAJ	VYBER	15	96742	SLUZBY	\N	\N
891367	3038	1998-09-30	VYDAJ	VYBER	15	99003	SLUZBY	\N	\N
891368	3038	1998-10-31	VYDAJ	VYBER	15	109694	SLUZBY	\N	\N
891369	3038	1998-11-30	VYDAJ	VYBER	15	46938	SLUZBY	\N	\N
891370	3038	1996-05-28	VYDAJ	VYBER	1700	21439	\N	\N	\N
891371	3038	1996-06-10	VYDAJ	VYBER	45400	62112	\N	\N	\N
891372	3038	1996-06-27	VYDAJ	VYBER	19500	42612	\N	\N	\N
891373	3038	1996-07-06	VYDAJ	VYBER	42200	86668	\N	\N	\N
891374	3038	1996-07-27	VYDAJ	VYBER	27000	57781	\N	\N	\N
891375	3038	1996-08-26	VYDAJ	VYBER	28900	52916	\N	\N	\N
891376	3038	1996-09-25	VYDAJ	VYBER	33300	51886	\N	\N	\N
891377	3038	1996-10-25	VYDAJ	VYBER	38300	62091	\N	\N	\N
891378	3038	1996-11-07	VYDAJ	VYBER	28200	106508	\N	\N	\N
891379	3038	1996-11-19	VYDAJ	VYBER	60400	47041	\N	\N	\N
891380	3038	1996-11-24	VYDAJ	VYBER	10800	36241	\N	\N	\N
891381	3038	1996-12-24	VYDAJ	VYBER	20500	43612	\N	\N	\N
891382	3038	1997-01-23	VYDAJ	VYBER	21500	47795	\N	\N	\N
891383	3038	1997-01-28	VYDAJ	VYBER	16600	106876	\N	\N	\N
891384	3038	1997-01-31	VYDAJ	VYBER	19900	84200	\N	\N	\N
891385	3038	1997-02-03	VYDAJ	VYBER	31400	94290	\N	\N	\N
891386	3038	1997-02-22	VYDAJ	VYBER	33200	61090	\N	\N	\N
891387	3038	1997-03-24	VYDAJ	VYBER	33700	63766	\N	\N	\N
891388	3038	1997-04-02	VYDAJ	VYBER	28700	112626	\N	\N	\N
891389	3038	1997-04-23	VYDAJ	VYBER	36200	76426	\N	\N	\N
891390	3038	1997-05-23	VYDAJ	VYBER	36400	71306	\N	\N	\N
891391	3038	1997-06-22	VYDAJ	VYBER	16800	65651	\N	\N	\N
891392	3038	1997-07-06	VYDAJ	VYBER	36500	80815	\N	\N	\N
891393	3038	1997-07-11	VYDAJ	VYBER	42400	64301	\N	\N	\N
891394	3038	1997-07-17	VYDAJ	VYBER	16000	141871	\N	\N	\N
891395	3038	1997-07-18	VYDAJ	VYBER	26300	120581	\N	\N	\N
891396	3038	1997-07-20	VYDAJ	VYBER	32300	108357	\N	\N	\N
891397	3038	1997-07-22	VYDAJ	VYBER	33000	75357	\N	\N	\N
891398	3038	1997-08-21	VYDAJ	VYBER	16500	59226	\N	\N	\N
891399	3038	1997-09-20	VYDAJ	VYBER	14300	62888	\N	\N	\N
891400	3038	1997-10-06	VYDAJ	VYBER	56200	59539	\N	\N	\N
891401	3038	1997-10-20	VYDAJ	VYBER	4900	54639	\N	\N	\N
891402	3038	1997-11-19	VYDAJ	VYBER	13100	67159	\N	\N	\N
891403	3038	1997-11-22	VYDAJ	VYBER	64200	51165	\N	\N	\N
891404	3038	1997-12-19	VYDAJ	VYBER KARTOU	600	63095	\N	\N	0
891405	3038	1998-01-18	PRIJEM	VKLAD	8500	41852	\N	\N	\N
891406	3038	1998-02-17	VYDAJ	VYBER	6300	63990	\N	\N	\N
891407	3038	1998-03-19	VYDAJ	VYBER KARTOU	1500	58832	\N	\N	0
891408	3038	1998-04-18	VYDAJ	VYBER	15100	76788	\N	\N	\N
891409	3038	1998-05-18	VYDAJ	VYBER	6600	64669	\N	\N	\N
891410	3038	1998-06-17	PRIJEM	VKLAD	10900	42876	\N	\N	\N
891411	3038	1998-07-17	VYDAJ	VYBER	7200	60322	\N	\N	\N
891412	3038	1998-08-16	PRIJEM	VKLAD	8000	50988	\N	\N	\N
891413	3038	1998-09-15	VYDAJ	VYBER	42100	71761	\N	\N	\N
891414	3038	1998-09-15	VYDAJ	VYBER	7500	113861	\N	\N	\N
891415	3038	1998-10-13	VYDAJ	VYBER	47400	89525	\N	\N	\N
891416	3038	1998-10-15	VYDAJ	VYBER	12100	77425	\N	\N	\N
891417	3038	1998-11-14	VYDAJ	VYBER	16600	84994	\N	\N	\N
891418	3038	1998-11-15	VYDAJ	VYBER	36500	90278	\N	\N	\N
891419	3038	1998-11-28	VYDAJ	VYBER	62000	46537	\N	\N	\N
891452	3039	1993-12-10	PRIJEM	VKLAD	600	600	\N	\N	\N
891465	3039	1994-01-06	PRIJEM	VKLAD	9403	10003	\N	\N	\N
891466	3039	1994-02-06	PRIJEM	VKLAD	9403	24352	\N	\N	\N
891467	3039	1994-03-06	PRIJEM	VKLAD	9403	31640	\N	\N	\N
891468	3039	1994-04-06	PRIJEM	VKLAD	9403	39258	\N	\N	\N
891469	3039	1994-05-06	PRIJEM	VKLAD	9403	39084	\N	\N	\N
891470	3039	1994-06-06	PRIJEM	VKLAD	14104	41724	\N	\N	\N
891471	3039	1994-07-06	PRIJEM	VKLAD	9403	26971	\N	\N	\N
891472	3039	1994-08-06	PRIJEM	VKLAD	9403	29274	\N	\N	\N
891473	3039	1994-09-06	PRIJEM	VKLAD	9403	32190	\N	\N	\N
891474	3039	1994-10-06	PRIJEM	VKLAD	9403	33515	\N	\N	\N
891475	3039	1994-11-06	PRIJEM	VKLAD	9403	34445	\N	\N	\N
891476	3039	1994-12-06	PRIJEM	VKLAD	14104	41681	\N	\N	\N
891477	3039	1995-01-06	PRIJEM	VKLAD	9403	36502	\N	\N	\N
891478	3039	1995-02-06	PRIJEM	VKLAD	9403	29393	\N	\N	\N
891479	3039	1995-03-06	PRIJEM	VKLAD	9403	33407	\N	\N	\N
891480	3039	1995-04-06	PRIJEM	VKLAD	9403	36742	\N	\N	\N
891481	3039	1995-05-06	PRIJEM	VKLAD	9403	38708	\N	\N	\N
891482	3039	1995-06-06	PRIJEM	VKLAD	14104	43067	\N	\N	\N
891483	3039	1995-07-06	PRIJEM	VKLAD	9403	42342	\N	\N	\N
891484	3039	1995-08-06	PRIJEM	VKLAD	9403	39485	\N	\N	\N
891485	3039	1995-09-06	PRIJEM	VKLAD	9403	42347	\N	\N	\N
891486	3039	1995-10-06	PRIJEM	VKLAD	9403	40819	\N	\N	\N
891487	3039	1995-11-06	PRIJEM	VKLAD	9403	38667	\N	\N	\N
891488	3039	1995-12-06	PRIJEM	VKLAD	14104	42619	\N	\N	\N
891489	3039	1996-01-06	PRIJEM	VKLAD	9403	41158	\N	\N	\N
891490	3039	1996-02-06	PRIJEM	VKLAD	9403	31110	\N	\N	\N
891491	3039	1996-03-06	PRIJEM	VKLAD	9403	37531	\N	\N	\N
891492	3039	1996-04-06	PRIJEM	VKLAD	9403	35171	\N	\N	\N
891493	3039	1996-05-06	PRIJEM	VKLAD	9403	38908	\N	\N	\N
891494	3039	1996-06-06	PRIJEM	VKLAD	14104	42959	\N	\N	\N
891495	3039	1996-07-06	PRIJEM	VKLAD	9403	39351	\N	\N	\N
891496	3039	1996-08-06	PRIJEM	VKLAD	9403	40303	\N	\N	\N
891497	3039	1996-09-06	PRIJEM	VKLAD	9403	36746	\N	\N	\N
891498	3039	1996-10-06	PRIJEM	VKLAD	9403	38888	\N	\N	\N
891499	3039	1996-11-06	PRIJEM	VKLAD	9403	40439	\N	\N	\N
891500	3039	1996-12-06	PRIJEM	VKLAD	14104	48999	\N	\N	\N
891501	3039	1997-01-06	PRIJEM	VKLAD	9403	36635	\N	\N	\N
891502	3039	1997-02-06	PRIJEM	VKLAD	9403	36968	\N	\N	\N
891503	3039	1997-03-06	PRIJEM	VKLAD	9403	43373	\N	\N	\N
891504	3039	1997-04-06	PRIJEM	VKLAD	9403	44975	\N	\N	\N
891505	3039	1997-05-06	PRIJEM	VKLAD	9403	46813	\N	\N	\N
891506	3039	1997-06-06	PRIJEM	VKLAD	14104	41619	\N	\N	\N
891507	3039	1997-07-06	PRIJEM	VKLAD	9403	47796	\N	\N	\N
891508	3039	1997-08-06	PRIJEM	VKLAD	9403	49483	\N	\N	\N
891509	3039	1997-09-06	PRIJEM	VKLAD	9403	50234	\N	\N	\N
891510	3039	1997-10-06	PRIJEM	VKLAD	9403	51028	\N	\N	\N
891511	3039	1997-11-06	PRIJEM	VKLAD	9403	52006	\N	\N	\N
891512	3039	1997-12-06	PRIJEM	VKLAD	14104	55192	\N	\N	\N
891513	3039	1998-01-06	PRIJEM	VKLAD	9403	58090	\N	\N	\N
891514	3039	1998-02-06	PRIJEM	VKLAD	9403	45611	\N	\N	\N
891515	3039	1998-03-06	PRIJEM	VKLAD	9403	60410	\N	\N	\N
891516	3039	1998-04-06	PRIJEM	VKLAD	9403	61615	\N	\N	\N
891517	3039	1998-05-06	PRIJEM	VKLAD	9403	68868	\N	\N	\N
891518	3039	1998-06-06	PRIJEM	VKLAD	14104	76165	\N	\N	\N
891519	3039	1998-07-06	PRIJEM	VKLAD	9403	72283	\N	\N	\N
891520	3039	1998-08-06	PRIJEM	VKLAD	9403	69128	\N	\N	\N
891521	3039	1998-09-06	PRIJEM	VKLAD	9403	73506	\N	\N	\N
891522	3039	1998-10-06	PRIJEM	VKLAD	9403	74216	\N	\N	\N
891523	3039	1998-11-06	PRIJEM	VKLAD	9403	76210	\N	\N	\N
891524	3039	1998-12-06	PRIJEM	VKLAD	14104	86428	\N	\N	\N
891541	3039	1994-05-10	VYDAJ	PREVOD NA UCET	5035	28749	SIPO	YZ	29247951
891542	3039	1994-06-10	VYDAJ	PREVOD NA UCET	5035	28789	SIPO	YZ	29247951
891543	3039	1994-07-10	VYDAJ	PREVOD NA UCET	5035	21036	SIPO	YZ	29247951
891544	3039	1994-08-10	VYDAJ	PREVOD NA UCET	5035	23939	SIPO	YZ	29247951
891545	3039	1994-09-10	VYDAJ	PREVOD NA UCET	5035	25255	SIPO	YZ	29247951
891546	3039	1994-10-10	VYDAJ	PREVOD NA UCET	5035	26480	SIPO	YZ	29247951
891547	3039	1994-11-10	VYDAJ	PREVOD NA UCET	5035	29410	SIPO	YZ	29247951
891548	3039	1994-12-10	VYDAJ	PREVOD NA UCET	5035	36646	SIPO	YZ	29247951
891549	3039	1995-01-10	VYDAJ	PREVOD NA UCET	5035	30147	SIPO	YZ	29247951
891550	3039	1995-02-10	VYDAJ	PREVOD NA UCET	5035	24358	SIPO	YZ	29247951
891551	3039	1995-03-10	VYDAJ	PREVOD NA UCET	5035	28372	SIPO	YZ	29247951
891552	3039	1995-04-10	VYDAJ	PREVOD NA UCET	5035	31707	SIPO	YZ	29247951
891553	3039	1995-05-10	VYDAJ	PREVOD NA UCET	5035	33673	SIPO	YZ	29247951
891554	3039	1995-06-10	VYDAJ	PREVOD NA UCET	5035	38032	SIPO	YZ	29247951
891555	3039	1995-07-10	VYDAJ	PREVOD NA UCET	5035	34427	SIPO	YZ	29247951
891556	3039	1995-08-10	VYDAJ	PREVOD NA UCET	5035	34450	SIPO	YZ	29247951
891557	3039	1995-09-10	VYDAJ	PREVOD NA UCET	5035	37312	SIPO	YZ	29247951
891558	3039	1995-10-10	VYDAJ	PREVOD NA UCET	5035	35784	SIPO	YZ	29247951
891559	3039	1995-11-10	VYDAJ	PREVOD NA UCET	5035	33632	SIPO	YZ	29247951
891560	3039	1995-12-10	VYDAJ	PREVOD NA UCET	5035	37584	SIPO	YZ	29247951
891561	3039	1996-01-10	VYDAJ	PREVOD NA UCET	5035	21123	SIPO	YZ	29247951
891562	3039	1996-02-10	VYDAJ	PREVOD NA UCET	5035	26075	SIPO	YZ	29247951
891563	3039	1996-03-10	VYDAJ	PREVOD NA UCET	5035	32496	SIPO	YZ	29247951
891564	3039	1996-04-10	VYDAJ	PREVOD NA UCET	5035	30136	SIPO	YZ	29247951
891565	3039	1996-05-10	VYDAJ	PREVOD NA UCET	5035	33873	SIPO	YZ	29247951
891566	3039	1996-06-10	VYDAJ	PREVOD NA UCET	5035	37924	SIPO	YZ	29247951
891567	3039	1996-07-10	VYDAJ	PREVOD NA UCET	5035	34316	SIPO	YZ	29247951
891568	3039	1996-08-10	VYDAJ	PREVOD NA UCET	5035	31788	SIPO	YZ	29247951
891569	3039	1996-09-10	VYDAJ	PREVOD NA UCET	5035	31711	SIPO	YZ	29247951
891570	3039	1996-10-10	VYDAJ	PREVOD NA UCET	5035	33853	SIPO	YZ	29247951
891571	3039	1996-11-10	VYDAJ	PREVOD NA UCET	5035	35404	SIPO	YZ	29247951
891572	3039	1996-12-10	VYDAJ	PREVOD NA UCET	5035	43964	SIPO	YZ	29247951
891573	3039	1997-01-10	VYDAJ	PREVOD NA UCET	5035	25000	SIPO	YZ	29247951
891574	3039	1997-02-10	VYDAJ	PREVOD NA UCET	5035	31933	SIPO	YZ	29247951
891575	3039	1997-03-10	VYDAJ	PREVOD NA UCET	5035	33178	SIPO	YZ	29247951
891576	3039	1997-04-10	VYDAJ	PREVOD NA UCET	5035	39940	SIPO	YZ	29247951
891577	3039	1997-05-10	VYDAJ	PREVOD NA UCET	5035	41778	SIPO	YZ	29247951
891578	3039	1997-06-10	VYDAJ	PREVOD NA UCET	5035	36584	SIPO	YZ	29247951
891579	3039	1997-07-10	VYDAJ	PREVOD NA UCET	5035	42761	SIPO	YZ	29247951
891580	3039	1997-08-10	VYDAJ	PREVOD NA UCET	5035	44448	SIPO	YZ	29247951
891581	3039	1997-09-10	VYDAJ	PREVOD NA UCET	5035	45199	SIPO	YZ	29247951
891582	3039	1997-10-10	VYDAJ	PREVOD NA UCET	5035	45993	SIPO	YZ	29247951
891583	3039	1997-11-10	VYDAJ	PREVOD NA UCET	5035	46971	SIPO	YZ	29247951
891584	3039	1997-12-10	VYDAJ	PREVOD NA UCET	5035	50157	SIPO	YZ	29247951
891585	3039	1998-01-10	VYDAJ	PREVOD NA UCET	5035	51255	SIPO	YZ	29247951
891586	3039	1998-02-10	VYDAJ	PREVOD NA UCET	5035	40576	SIPO	YZ	29247951
891587	3039	1998-03-10	VYDAJ	PREVOD NA UCET	5035	55375	SIPO	YZ	29247951
891588	3039	1998-04-10	VYDAJ	PREVOD NA UCET	5035	56580	SIPO	YZ	29247951
891589	3039	1998-05-10	VYDAJ	PREVOD NA UCET	5035	63833	SIPO	YZ	29247951
891590	3039	1998-06-10	VYDAJ	PREVOD NA UCET	5035	71130	SIPO	YZ	29247951
891591	3039	1998-07-10	VYDAJ	PREVOD NA UCET	5035	67248	SIPO	YZ	29247951
891592	3039	1998-08-10	VYDAJ	PREVOD NA UCET	5035	64093	SIPO	YZ	29247951
891593	3039	1998-09-10	VYDAJ	PREVOD NA UCET	5035	68471	SIPO	YZ	29247951
891594	3039	1998-10-10	VYDAJ	PREVOD NA UCET	5035	69181	SIPO	YZ	29247951
891595	3039	1998-11-10	VYDAJ	PREVOD NA UCET	5035	70575	SIPO	YZ	29247951
891596	3039	1998-12-10	VYDAJ	PREVOD NA UCET	5035	79153	SIPO	YZ	29247951
891613	3039	1994-05-14	VYDAJ	PREVOD NA UCET	1233	27516	 	YZ	32417327
891614	3039	1994-06-14	VYDAJ	PREVOD NA UCET	1233	27556	 	YZ	32417327
891615	3039	1994-07-14	VYDAJ	PREVOD NA UCET	1233	19803	 	YZ	32417327
891616	3039	1994-08-14	VYDAJ	PREVOD NA UCET	1233	22706	 	YZ	32417327
891617	3039	1994-09-14	VYDAJ	PREVOD NA UCET	1233	24022	 	YZ	32417327
891618	3039	1994-10-14	VYDAJ	PREVOD NA UCET	1233	25247	 	YZ	32417327
891619	3039	1994-11-14	VYDAJ	PREVOD NA UCET	1233	28177	 	YZ	32417327
891620	3039	1994-12-14	VYDAJ	PREVOD NA UCET	1233	35413	 	YZ	32417327
891621	3039	1995-01-14	VYDAJ	PREVOD NA UCET	1233	18114	 	YZ	32417327
891622	3039	1995-02-14	VYDAJ	PREVOD NA UCET	1233	23125	 	YZ	32417327
891623	3039	1995-03-14	VYDAJ	PREVOD NA UCET	1233	27139	 	YZ	32417327
891624	3039	1995-04-14	VYDAJ	PREVOD NA UCET	1233	30474	 	YZ	32417327
891625	3039	1995-05-14	VYDAJ	PREVOD NA UCET	1233	32440	 	YZ	32417327
891626	3039	1995-06-14	VYDAJ	PREVOD NA UCET	1233	36799	 	YZ	32417327
891627	3039	1995-07-14	VYDAJ	PREVOD NA UCET	1233	33194	 	YZ	32417327
891628	3039	1995-08-14	VYDAJ	PREVOD NA UCET	1233	33217	 	YZ	32417327
891629	3039	1995-09-14	VYDAJ	PREVOD NA UCET	1233	36079	 	YZ	32417327
891630	3039	1995-10-14	VYDAJ	PREVOD NA UCET	1233	34551	 	YZ	32417327
891631	3039	1995-11-14	VYDAJ	PREVOD NA UCET	1233	32399	 	YZ	32417327
891632	3039	1995-12-14	VYDAJ	PREVOD NA UCET	1233	36351	 	YZ	32417327
891633	3039	1996-01-14	VYDAJ	PREVOD NA UCET	1233	14130	 	YZ	32417327
891634	3039	1996-02-14	VYDAJ	PREVOD NA UCET	1233	24842	 	YZ	32417327
891635	3039	1996-03-14	VYDAJ	PREVOD NA UCET	1233	31263	 	YZ	32417327
891636	3039	1996-04-14	VYDAJ	PREVOD NA UCET	1233	28903	 	YZ	32417327
891637	3039	1996-05-14	VYDAJ	PREVOD NA UCET	1233	32640	 	YZ	32417327
891638	3039	1996-06-14	VYDAJ	PREVOD NA UCET	1233	30931	 	YZ	32417327
891639	3039	1996-07-14	VYDAJ	PREVOD NA UCET	1233	33083	 	YZ	32417327
891640	3039	1996-08-14	VYDAJ	PREVOD NA UCET	1233	29235	 	YZ	32417327
891641	3039	1996-09-14	VYDAJ	PREVOD NA UCET	1233	30478	 	YZ	32417327
891642	3039	1996-10-14	VYDAJ	PREVOD NA UCET	1233	32620	 	YZ	32417327
891643	3039	1996-11-14	VYDAJ	PREVOD NA UCET	1233	34171	 	YZ	32417327
891644	3039	1996-12-14	VYDAJ	PREVOD NA UCET	1233	41291	 	YZ	32417327
891645	3039	1997-01-14	VYDAJ	PREVOD NA UCET	1233	23767	 	YZ	32417327
891646	3039	1997-02-14	VYDAJ	PREVOD NA UCET	1233	29860	 	YZ	32417327
891647	3039	1997-03-14	VYDAJ	PREVOD NA UCET	1233	31945	 	YZ	32417327
891648	3039	1997-04-14	VYDAJ	PREVOD NA UCET	1233	38707	 	YZ	32417327
891649	3039	1997-05-14	VYDAJ	PREVOD NA UCET	1233	40545	 	YZ	32417327
891650	3039	1997-06-14	VYDAJ	PREVOD NA UCET	1233	35351	 	YZ	32417327
891651	3039	1997-07-14	VYDAJ	PREVOD NA UCET	1233	41528	 	YZ	32417327
891652	3039	1997-08-14	VYDAJ	PREVOD NA UCET	1233	42375	 	YZ	32417327
891653	3039	1997-09-14	VYDAJ	PREVOD NA UCET	1233	43966	 	YZ	32417327
891654	3039	1997-10-14	VYDAJ	PREVOD NA UCET	1233	42480	 	YZ	32417327
891655	3039	1997-11-14	VYDAJ	PREVOD NA UCET	1233	45738	 	YZ	32417327
891656	3039	1997-12-14	VYDAJ	PREVOD NA UCET	1233	48924	 	YZ	32417327
891657	3039	1998-01-14	VYDAJ	PREVOD NA UCET	1233	44262	 	YZ	32417327
891658	3039	1998-02-14	VYDAJ	PREVOD NA UCET	1233	39343	 	YZ	32417327
891659	3039	1998-03-14	VYDAJ	PREVOD NA UCET	1233	54142	 	YZ	32417327
891660	3039	1998-04-14	VYDAJ	PREVOD NA UCET	1233	55347	 	YZ	32417327
891661	3039	1998-05-14	VYDAJ	PREVOD NA UCET	1233	62600	 	YZ	32417327
891662	3039	1998-06-14	VYDAJ	PREVOD NA UCET	1233	69897	 	YZ	32417327
891663	3039	1998-07-14	VYDAJ	PREVOD NA UCET	1233	66015	 	YZ	32417327
891664	3039	1998-08-14	VYDAJ	PREVOD NA UCET	1233	62860	 	YZ	32417327
891665	3039	1998-09-14	VYDAJ	PREVOD NA UCET	1233	67238	 	YZ	32417327
891666	3039	1998-10-14	VYDAJ	PREVOD NA UCET	1233	67948	 	YZ	32417327
891667	3039	1998-11-14	VYDAJ	PREVOD NA UCET	1233	72042	 	YZ	32417327
891668	3039	1998-12-14	VYDAJ	PREVOD NA UCET	1233	77920	 	YZ	32417327
891670	3039	1994-06-23	VYDAJ	VYBER	8640	18916	\N	\N	\N
891673	3039	1997-06-01	VYDAJ	VYBER	13280	27515	\N	\N	\N
891674	3039	1998-06-22	VYDAJ	VYBER	6080	62617	\N	\N	\N
891677	3039	1995-01-13	VYDAJ	VYBER	10080	19347	\N	\N	\N
891678	3039	1996-01-09	VYDAJ	VYBER	10080	26158	\N	\N	\N
891680	3039	1998-01-28	VYDAJ	VYBER	15360	36022	\N	\N	\N
891682	3039	1994-12-24	VYDAJ	VYBER	4640	30773	\N	\N	\N
891683	3039	1995-12-25	VYDAJ	VYBER	3520	32831	\N	\N	\N
891684	3039	1996-12-11	VYDAJ	VYBER	1440	42524	\N	\N	\N
891685	3039	1997-12-16	VYDAJ	VYBER	3840	45084	\N	\N	\N
891686	3039	1998-12-06	VYDAJ	VYBER	2240	84188	\N	\N	\N
891699	3039	1995-01-20	VYDAJ	VYBER	3000	13914	\N	\N	\N
891701	3039	1995-01-07	VYDAJ	VYBER	1320	35182	\N	\N	\N
891702	3039	1995-01-15	VYDAJ	VYBER	1200	16914	\N	\N	\N
891703	3039	1995-01-11	VYDAJ	VYBER	720	29427	\N	\N	\N
891706	3039	1996-01-12	VYDAJ	VYBER	3000	18123	\N	\N	\N
891707	3039	1996-01-09	VYDAJ	VYBER	2280	36238	\N	\N	\N
891708	3039	1996-01-14	VYDAJ	VYBER	2760	15363	\N	\N	\N
891709	3039	1996-01-06	VYDAJ	VYBER	720	40438	\N	\N	\N
891710	3039	1996-01-07	VYDAJ	VYBER	1920	38518	\N	\N	\N
891711	3039	1997-01-20	VYDAJ	VYBER	1200	22567	\N	\N	\N
891712	3039	1997-01-07	VYDAJ	VYBER	1560	33155	\N	\N	\N
891713	3039	1997-01-05	VYDAJ	VYBER	2520	27232	\N	\N	\N
891714	3039	1997-01-04	VYDAJ	VYBER	2400	29752	\N	\N	\N
891715	3039	1997-01-09	VYDAJ	VYBER	3120	30035	\N	\N	\N
891716	3039	1997-01-06	VYDAJ	VYBER	1920	34715	\N	\N	\N
891717	3039	1998-01-01	VYDAJ	VYBER	960	51807	\N	\N	\N
891718	3039	1998-01-14	VYDAJ	VYBER	2520	45495	\N	\N	\N
891719	3039	1998-01-11	VYDAJ	VYBER	3240	48015	\N	\N	\N
891720	3039	1998-01-23	VYDAJ	VYBER	1080	51382	\N	\N	\N
891721	3039	1998-01-02	VYDAJ	VYBER	3120	48687	\N	\N	\N
891722	3039	1998-01-08	VYDAJ	VYBER	1800	56290	\N	\N	\N
891728	3039	1994-11-18	VYDAJ	VYBER	2400	25777	\N	\N	\N
891731	3039	1994-06-26	VYDAJ	VYBER	1440	17476	\N	\N	\N
891733	3039	1995-11-22	VYDAJ	VYBER	5400	26999	\N	\N	\N
891734	3039	1995-10-29	VYDAJ	VYBER	3480	31071	\N	\N	\N
891735	3039	1995-07-22	VYDAJ	VYBER	1440	31754	\N	\N	\N
891736	3039	1995-04-16	VYDAJ	VYBER	1080	29394	\N	\N	\N
891737	3039	1995-11-05	VYDAJ	VYBER	840	29264	\N	\N	\N
891738	3039	1995-07-07	VYDAJ	VYBER	2880	39462	\N	\N	\N
891740	3039	1996-08-10	VYDAJ	VYBER	3480	36823	\N	\N	\N
891742	3039	1996-03-21	VYDAJ	VYBER	4800	26463	\N	\N	\N
891743	3039	1996-06-14	VYDAJ	VYBER	5760	32164	\N	\N	\N
891744	3039	1996-12-28	VYDAJ	VYBER	2280	32011	\N	\N	\N
891745	3039	1996-08-11	VYDAJ	VYBER	1320	30468	\N	\N	\N
891746	3039	1997-02-10	VYDAJ	VYBER	840	31093	\N	\N	\N
891747	3039	1997-10-13	VYDAJ	VYBER	2280	43713	\N	\N	\N
891748	3039	1997-08-11	VYDAJ	VYBER	840	43608	\N	\N	\N
891749	3039	1997-10-24	VYDAJ	VYBER	3840	42440	\N	\N	\N
891750	3039	1997-04-30	VYDAJ	VYBER	2640	37424	\N	\N	\N
891751	3039	1997-11-22	VYDAJ	VYBER	3360	44878	\N	\N	\N
891752	3039	1997-03-06	VYDAJ	VYBER	5160	38213	\N	\N	\N
891753	3039	1997-11-28	VYDAJ	VYBER	3960	40918	\N	\N	\N
891754	3039	1998-09-19	VYDAJ	VYBER	2880	64558	\N	\N	\N
891755	3039	1998-07-31	VYDAJ	VYBER	4440	59740	\N	\N	\N
891756	3039	1998-11-07	VYDAJ	VYBER	600	75610	\N	\N	\N
891757	3039	1998-06-03	VYDAJ	VYBER	1080	62061	\N	\N	\N
891758	3039	1998-03-31	VYDAJ	VYBER	5040	52227	\N	\N	\N
891776	3039	1994-05-31	VYDAJ	VYBER	15	27620	SLUZBY	\N	\N
891777	3039	1994-06-30	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
891778	3039	1994-07-31	VYDAJ	VYBER	15	19871	SLUZBY	\N	\N
891779	3039	1994-08-31	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
891780	3039	1994-09-30	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
891781	3039	1994-10-31	VYDAJ	VYBER	15	25342	SLUZBY	\N	\N
891782	3039	1994-11-30	VYDAJ	VYBER	15	25877	SLUZBY	\N	\N
891783	3039	1994-12-31	VYDAJ	VYBER	15	30899	SLUZBY	\N	\N
891784	3039	1995-01-31	VYDAJ	VYBER	15	13990	SLUZBY	\N	\N
891785	3039	1995-02-28	VYDAJ	VYBER	15	23204	SLUZBY	\N	\N
891786	3039	1995-03-31	VYDAJ	VYBER	15	27239	SLUZBY	\N	\N
891787	3039	1995-04-30	VYDAJ	VYBER	15	29505	SLUZBY	\N	\N
891788	3039	1995-05-31	VYDAJ	VYBER	15	32563	SLUZBY	\N	\N
891789	3039	1995-06-30	VYDAJ	VYBER	15	36939	SLUZBY	\N	\N
891790	3039	1995-07-31	VYDAJ	VYBER	15	31882	SLUZBY	\N	\N
891791	3039	1995-08-31	VYDAJ	VYBER	15	33344	SLUZBY	\N	\N
891792	3039	1995-09-30	VYDAJ	VYBER	15	36216	SLUZBY	\N	\N
891793	3039	1995-10-31	VYDAJ	VYBER	15	30104	SLUZBY	\N	\N
891794	3039	1995-11-30	VYDAJ	VYBER	15	28515	SLUZBY	\N	\N
891795	3039	1995-12-31	VYDAJ	VYBER	15	31755	SLUZBY	\N	\N
891796	3039	1996-01-31	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
891797	3039	1996-02-29	VYDAJ	VYBER	15	28128	SLUZBY	\N	\N
891798	3039	1996-03-31	VYDAJ	VYBER	15	25768	SLUZBY	\N	\N
891799	3039	1996-04-30	VYDAJ	VYBER	15	29505	SLUZBY	\N	\N
891800	3039	1996-05-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
891801	3039	1996-06-30	VYDAJ	VYBER	15	29948	SLUZBY	\N	\N
891802	3039	1996-07-31	VYDAJ	VYBER	15	30900	SLUZBY	\N	\N
891803	3039	1996-08-31	VYDAJ	VYBER	15	27343	SLUZBY	\N	\N
891804	3039	1996-09-30	VYDAJ	VYBER	15	29485	SLUZBY	\N	\N
891805	3039	1996-10-31	VYDAJ	VYBER	15	31036	SLUZBY	\N	\N
891806	3039	1996-11-30	VYDAJ	VYBER	15	34895	SLUZBY	\N	\N
891807	3039	1996-12-31	VYDAJ	VYBER	15	32152	SLUZBY	\N	\N
891808	3039	1997-01-31	VYDAJ	VYBER	15	27565	SLUZBY	\N	\N
891809	3039	1997-02-28	VYDAJ	VYBER	15	33970	SLUZBY	\N	\N
891810	3039	1997-03-31	VYDAJ	VYBER	15	35572	SLUZBY	\N	\N
891811	3039	1997-04-30	VYDAJ	VYBER	15	37410	SLUZBY	\N	\N
891812	3039	1997-05-31	VYDAJ	VYBER	15	40795	SLUZBY	\N	\N
891813	3039	1997-06-30	VYDAJ	VYBER	15	38393	SLUZBY	\N	\N
891814	3039	1997-07-31	VYDAJ	VYBER	15	40080	SLUZBY	\N	\N
891815	3039	1997-08-31	VYDAJ	VYBER	15	40831	SLUZBY	\N	\N
891816	3039	1997-09-30	VYDAJ	VYBER	15	41625	SLUZBY	\N	\N
891817	3039	1997-10-31	VYDAJ	VYBER	15	42603	SLUZBY	\N	\N
891818	3039	1997-11-30	VYDAJ	VYBER	15	41088	SLUZBY	\N	\N
891819	3039	1997-12-31	VYDAJ	VYBER	15	52767	SLUZBY	\N	\N
891820	3039	1998-01-31	VYDAJ	VYBER	15	36208	SLUZBY	\N	\N
891821	3039	1998-02-28	VYDAJ	VYBER	15	51007	SLUZBY	\N	\N
891822	3039	1998-03-31	VYDAJ	VYBER	15	52212	SLUZBY	\N	\N
891823	3039	1998-04-30	VYDAJ	VYBER	15	59465	SLUZBY	\N	\N
891824	3039	1998-05-31	VYDAJ	VYBER	15	63141	SLUZBY	\N	\N
891825	3039	1998-06-30	VYDAJ	VYBER	15	62880	SLUZBY	\N	\N
891826	3039	1998-07-31	VYDAJ	VYBER	15	59725	SLUZBY	\N	\N
891827	3039	1998-08-31	VYDAJ	VYBER	15	64103	SLUZBY	\N	\N
891828	3039	1998-09-30	VYDAJ	VYBER	15	64813	SLUZBY	\N	\N
891829	3039	1998-10-31	VYDAJ	VYBER	15	66807	SLUZBY	\N	\N
891830	3039	1998-11-30	VYDAJ	VYBER	15	72324	SLUZBY	\N	\N
891831	3039	1994-01-09	PRIJEM	VKLAD	4900	14903	\N	\N	\N
891832	3039	1994-02-08	VYDAJ	VYBER	2200	22152	\N	\N	\N
891833	3039	1994-03-10	VYDAJ	VYBER	1900	29740	\N	\N	\N
891834	3039	1994-04-09	VYDAJ	VYBER	9700	29558	\N	\N	\N
891835	3039	1994-05-09	VYDAJ	VYBER	5300	33784	\N	\N	\N
891836	3039	1994-06-08	VYDAJ	VYBER	7900	33824	\N	\N	\N
891837	3039	1994-07-08	VYDAJ	VYBER	900	26071	\N	\N	\N
891838	3039	1994-08-07	VYDAJ	VYBER	300	28974	\N	\N	\N
891839	3039	1994-09-06	VYDAJ	VYBER	1900	30290	\N	\N	\N
891840	3039	1994-10-06	VYDAJ	VYBER	2000	31515	\N	\N	\N
891841	3039	1994-11-05	VYDAJ	VYBER	300	25042	\N	\N	\N
891842	3039	1994-12-05	PRIJEM	VKLAD	1700	27577	\N	\N	\N
891843	3039	1995-01-04	VYDAJ	VYBER	3800	27099	\N	\N	\N
891844	3039	1995-02-03	PRIJEM	VKLAD	6000	19990	\N	\N	\N
891845	3039	1995-03-05	PRIJEM	VKLAD	800	24004	\N	\N	\N
891846	3039	1995-04-04	PRIJEM	VKLAD	100	27339	\N	\N	\N
891847	3039	1995-05-04	VYDAJ	VYBER	200	29305	\N	\N	\N
891848	3039	1995-06-03	VYDAJ	VYBER	3600	28963	\N	\N	\N
891849	3039	1995-07-03	VYDAJ	VYBER	4000	32939	\N	\N	\N
891850	3039	1995-08-02	VYDAJ	VYBER	1800	30082	\N	\N	\N
891851	3039	1995-09-01	VYDAJ	VYBER	400	32944	\N	\N	\N
891852	3039	1995-10-01	VYDAJ	VYBER	4800	31416	\N	\N	\N
891853	3039	1995-10-31	VYDAJ	VYBER	1100	30119	\N	\N	\N
891854	3039	1995-11-30	PRIJEM	VKLAD	1400	28399	\N	\N	\N
891855	3039	1995-12-30	VYDAJ	VYBER	1200	31631	\N	\N	\N
891856	3039	1996-01-29	PRIJEM	VKLAD	7500	21630	\N	\N	\N
891857	3039	1996-02-28	PRIJEM	VKLAD	3200	28042	\N	\N	\N
891858	3039	1996-03-29	VYDAJ	VYBER	800	25663	\N	\N	\N
891859	3039	1996-04-28	PRIJEM	VKLAD	500	29403	\N	\N	\N
891860	3039	1996-05-28	VYDAJ	VYBER	3900	28740	\N	\N	\N
891861	3039	1996-06-27	VYDAJ	VYBER	1100	29831	\N	\N	\N
891862	3039	1996-07-27	VYDAJ	VYBER	2300	30783	\N	\N	\N
891863	3039	1996-08-26	VYDAJ	VYBER	2000	27235	\N	\N	\N
891864	3039	1996-09-25	VYDAJ	VYBER	1100	29378	\N	\N	\N
891865	3039	1996-10-25	VYDAJ	VYBER	1700	30920	\N	\N	\N
891866	3039	1996-11-24	PRIJEM	VKLAD	600	34771	\N	\N	\N
891867	3039	1996-12-24	VYDAJ	VYBER	7000	34291	\N	\N	\N
891868	3039	1997-01-23	PRIJEM	VKLAD	4900	27467	\N	\N	\N
891869	3039	1997-02-22	PRIJEM	VKLAD	4000	33860	\N	\N	\N
891870	3039	1997-03-24	PRIJEM	VKLAD	3500	35445	\N	\N	\N
891871	3039	1997-04-23	PRIJEM	VKLAD	1200	39907	\N	\N	\N
891872	3039	1997-05-23	PRIJEM	VKLAD	100	40645	\N	\N	\N
891873	3039	1997-06-22	PRIJEM	VKLAD	2900	38251	\N	\N	\N
891874	3039	1997-07-22	VYDAJ	VYBER	1600	39928	\N	\N	\N
891875	3039	1997-08-21	VYDAJ	VYBER	1700	40675	\N	\N	\N
891876	3039	1997-09-20	VYDAJ	VYBER	2500	41466	\N	\N	\N
891877	3039	1997-10-20	PRIJEM	VKLAD	3800	46280	\N	\N	\N
891878	3039	1997-11-19	PRIJEM	VKLAD	2500	48238	\N	\N	\N
891879	3039	1997-12-19	PRIJEM	VKLAD	7500	52584	\N	\N	\N
891880	3039	1998-01-18	PRIJEM	VKLAD	8200	52462	\N	\N	\N
891881	3039	1998-02-17	PRIJEM	VKLAD	11500	50843	\N	\N	\N
891882	3039	1998-03-19	PRIJEM	VKLAD	2900	57042	\N	\N	\N
891883	3039	1998-04-18	PRIJEM	VKLAD	3900	59247	\N	\N	\N
891884	3039	1998-05-18	PRIJEM	VKLAD	300	62900	\N	\N	\N
891885	3039	1998-06-17	VYDAJ	VYBER	1200	68697	\N	\N	\N
891886	3039	1998-07-17	VYDAJ	VYBER	2100	63915	\N	\N	\N
891887	3039	1998-08-16	PRIJEM	VKLAD	1000	63860	\N	\N	\N
891888	3039	1998-09-15	PRIJEM	VKLAD	200	67438	\N	\N	\N
891889	3039	1998-10-15	VYDAJ	VYBER	1400	66548	\N	\N	\N
891890	3039	1998-11-14	PRIJEM	VKLAD	2700	73275	\N	\N	\N
891951	3040	1996-08-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
891959	3040	1996-08-08	PRIJEM	PREVOD Z UCTU	3303	4303	\N	KL	92809497
891960	3040	1996-09-08	PRIJEM	PREVOD Z UCTU	3303	7620	\N	KL	92809497
891961	3040	1996-10-08	PRIJEM	PREVOD Z UCTU	3303	10941	\N	KL	92809497
891962	3040	1996-11-08	PRIJEM	PREVOD Z UCTU	3303	14262	\N	KL	92809497
891963	3040	1996-12-08	PRIJEM	PREVOD Z UCTU	3303	17583	\N	KL	92809497
891964	3040	1997-01-08	PRIJEM	PREVOD Z UCTU	3303	18730	\N	KL	92809497
891965	3040	1997-02-08	PRIJEM	PREVOD Z UCTU	3303	17989	\N	KL	92809497
891966	3040	1997-03-08	PRIJEM	PREVOD Z UCTU	3303	19140	\N	KL	92809497
891967	3040	1997-04-08	PRIJEM	PREVOD Z UCTU	3303	20296	\N	KL	92809497
891968	3040	1997-05-08	PRIJEM	PREVOD Z UCTU	3303	20586	\N	KL	92809497
891969	3040	1997-06-08	PRIJEM	PREVOD Z UCTU	3303	21748	\N	KL	92809497
891970	3040	1997-07-08	PRIJEM	PREVOD Z UCTU	3303	22922	\N	KL	92809497
891971	3040	1997-08-08	PRIJEM	PREVOD Z UCTU	3303	23853	\N	KL	92809497
891972	3040	1997-09-08	PRIJEM	PREVOD Z UCTU	3303	25036	\N	KL	92809497
891973	3040	1997-10-08	PRIJEM	PREVOD Z UCTU	3303	24446	\N	KL	92809497
891974	3040	1997-11-08	PRIJEM	PREVOD Z UCTU	3303	25630	\N	KL	92809497
891975	3040	1997-12-08	PRIJEM	PREVOD Z UCTU	3303	26820	\N	KL	92809497
891976	3040	1998-01-08	PRIJEM	PREVOD Z UCTU	3303	28015	\N	KL	92809497
891977	3040	1998-02-08	PRIJEM	PREVOD Z UCTU	3303	26501	\N	KL	92809497
891978	3040	1998-03-08	PRIJEM	PREVOD Z UCTU	3303	27331	\N	KL	92809497
891979	3040	1998-04-08	PRIJEM	PREVOD Z UCTU	3303	28527	\N	KL	92809497
891980	3040	1998-05-08	PRIJEM	PREVOD Z UCTU	3303	28311	\N	KL	92809497
891981	3040	1998-06-08	PRIJEM	PREVOD Z UCTU	3303	19062	\N	KL	92809497
891982	3040	1998-07-08	PRIJEM	PREVOD Z UCTU	3303	20232	\N	KL	92809497
891983	3040	1998-08-08	PRIJEM	PREVOD Z UCTU	3303	21392	\N	KL	92809497
891984	3040	1998-09-08	PRIJEM	PREVOD Z UCTU	3303	22564	\N	KL	92809497
891985	3040	1998-10-08	PRIJEM	PREVOD Z UCTU	3303	23734	\N	KL	92809497
891986	3040	1998-11-08	PRIJEM	PREVOD Z UCTU	3303	23685	\N	KL	92809497
891987	3040	1998-12-08	PRIJEM	PREVOD Z UCTU	3303	24866	\N	KL	92809497
891999	3040	1996-12-08	VYDAJ	PREVOD NA UCET	2202	15381	SIPO	ST	27743059
892000	3040	1997-01-08	VYDAJ	PREVOD NA UCET	2202	16528	SIPO	ST	27743059
892001	3040	1997-02-08	VYDAJ	PREVOD NA UCET	2202	15787	SIPO	ST	27743059
892002	3040	1997-03-08	VYDAJ	PREVOD NA UCET	2202	16938	SIPO	ST	27743059
892003	3040	1997-04-08	VYDAJ	PREVOD NA UCET	2202	18094	SIPO	ST	27743059
892004	3040	1997-05-08	VYDAJ	PREVOD NA UCET	2202	18384	SIPO	ST	27743059
892005	3040	1997-06-08	VYDAJ	PREVOD NA UCET	2202	19546	SIPO	ST	27743059
892006	3040	1997-07-08	VYDAJ	PREVOD NA UCET	2202	20720	SIPO	ST	27743059
892007	3040	1997-08-08	VYDAJ	PREVOD NA UCET	2202	21651	SIPO	ST	27743059
892008	3040	1997-09-08	VYDAJ	PREVOD NA UCET	2202	22834	SIPO	ST	27743059
892009	3040	1997-10-08	VYDAJ	PREVOD NA UCET	2202	22244	SIPO	ST	27743059
892010	3040	1997-11-08	VYDAJ	PREVOD NA UCET	2202	23428	SIPO	ST	27743059
892011	3040	1997-12-08	VYDAJ	PREVOD NA UCET	2202	24618	SIPO	ST	27743059
892012	3040	1998-01-08	VYDAJ	PREVOD NA UCET	2202	25813	SIPO	ST	27743059
892013	3040	1998-02-08	VYDAJ	PREVOD NA UCET	2202	24299	SIPO	ST	27743059
892014	3040	1998-03-08	VYDAJ	PREVOD NA UCET	2202	25129	SIPO	ST	27743059
892015	3040	1998-04-08	VYDAJ	PREVOD NA UCET	2202	26325	SIPO	ST	27743059
892016	3040	1998-05-08	VYDAJ	PREVOD NA UCET	2202	26109	SIPO	ST	27743059
892017	3040	1998-06-08	VYDAJ	PREVOD NA UCET	2202	16860	SIPO	ST	27743059
892018	3040	1998-07-08	VYDAJ	PREVOD NA UCET	2202	18030	SIPO	ST	27743059
892019	3040	1998-08-08	VYDAJ	PREVOD NA UCET	2202	19190	SIPO	ST	27743059
892020	3040	1998-09-08	VYDAJ	PREVOD NA UCET	2202	20362	SIPO	ST	27743059
892021	3040	1998-10-08	VYDAJ	PREVOD NA UCET	2202	21532	SIPO	ST	27743059
892022	3040	1998-11-08	VYDAJ	PREVOD NA UCET	2202	21483	SIPO	ST	27743059
892023	3040	1998-12-08	VYDAJ	PREVOD NA UCET	2202	22664	SIPO	ST	27743059
892026	3040	1998-06-01	VYDAJ	VYBER	8370	15759	\N	\N	\N
892028	3040	1997-01-10	VYDAJ	VYBER	1890	14638	\N	\N	\N
892029	3040	1998-01-11	VYDAJ	VYBER	2310	23503	\N	\N	\N
892036	3040	1997-09-11	VYDAJ	VYBER	1290	21064	\N	\N	\N
892037	3040	1997-07-20	VYDAJ	VYBER	240	20480	\N	\N	\N
892038	3040	1997-09-11	VYDAJ	VYBER	480	22354	\N	\N	\N
892039	3040	1997-04-30	VYDAJ	VYBER	870	17298	\N	\N	\N
892040	3040	1998-10-30	VYDAJ	VYBER	1230	20302	\N	\N	\N
892041	3040	1998-02-20	VYDAJ	VYBER	360	23939	\N	\N	\N
892042	3040	1998-04-19	VYDAJ	VYBER	450	25875	\N	\N	\N
892043	3040	1998-05-23	VYDAJ	VYBER	990	24039	\N	\N	\N
892044	3040	1998-05-13	VYDAJ	VYBER	1080	25029	\N	\N	\N
892045	3040	1998-04-25	VYDAJ	VYBER	960	24915	\N	\N	\N
892046	3040	1998-01-15	VYDAJ	VYBER	390	23113	\N	\N	\N
892059	3040	1996-12-31	VYDAJ	VYBER	15	15427	SLUZBY	\N	\N
892060	3040	1997-01-31	VYDAJ	VYBER	15	14686	SLUZBY	\N	\N
892061	3040	1997-02-28	VYDAJ	VYBER	15	15837	SLUZBY	\N	\N
892062	3040	1997-03-31	VYDAJ	VYBER	15	16993	SLUZBY	\N	\N
892063	3040	1997-04-30	VYDAJ	VYBER	15	17283	SLUZBY	\N	\N
892064	3040	1997-05-31	VYDAJ	VYBER	15	18445	SLUZBY	\N	\N
892065	3040	1997-06-30	VYDAJ	VYBER	15	19619	SLUZBY	\N	\N
892066	3040	1997-07-31	VYDAJ	VYBER	15	20550	SLUZBY	\N	\N
892067	3040	1997-08-31	VYDAJ	VYBER	15	21733	SLUZBY	\N	\N
892068	3040	1997-09-30	VYDAJ	VYBER	15	21143	SLUZBY	\N	\N
892069	3040	1997-10-31	VYDAJ	VYBER	15	22327	SLUZBY	\N	\N
892070	3040	1997-11-30	VYDAJ	VYBER	15	23517	SLUZBY	\N	\N
892071	3040	1997-12-31	VYDAJ	VYBER	15	24712	SLUZBY	\N	\N
892072	3040	1998-01-31	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
892073	3040	1998-02-28	VYDAJ	VYBER	15	24028	SLUZBY	\N	\N
892074	3040	1998-03-31	VYDAJ	VYBER	15	25224	SLUZBY	\N	\N
892075	3040	1998-04-30	VYDAJ	VYBER	15	25008	SLUZBY	\N	\N
892076	3040	1998-05-31	VYDAJ	VYBER	15	24129	SLUZBY	\N	\N
892077	3040	1998-06-30	VYDAJ	VYBER	15	16929	SLUZBY	\N	\N
892078	3040	1998-07-31	VYDAJ	VYBER	15	18089	SLUZBY	\N	\N
892079	3040	1998-08-31	VYDAJ	VYBER	15	19261	SLUZBY	\N	\N
892080	3040	1998-09-30	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
892081	3040	1998-10-31	VYDAJ	VYBER	15	20382	SLUZBY	\N	\N
892082	3040	1998-11-30	VYDAJ	VYBER	15	21563	SLUZBY	\N	\N
892112	3041	1996-04-04	PRIJEM	VKLAD	500	500	\N	\N	\N
892116	3041	1996-04-11	PRIJEM	VKLAD	4050	4550	\N	\N	\N
892117	3041	1996-05-11	PRIJEM	VKLAD	4050	16113	\N	\N	\N
892118	3041	1996-06-11	PRIJEM	VKLAD	6075	27939	\N	\N	\N
892119	3041	1996-07-11	PRIJEM	VKLAD	4050	28489	\N	\N	\N
892120	3041	1996-08-11	PRIJEM	VKLAD	4050	30857	\N	\N	\N
892121	3041	1996-09-11	PRIJEM	VKLAD	4050	31818	\N	\N	\N
892122	3041	1996-10-11	PRIJEM	VKLAD	4050	33283	\N	\N	\N
892123	3041	1996-11-11	PRIJEM	VKLAD	4050	36155	\N	\N	\N
892124	3041	1996-12-11	PRIJEM	VKLAD	6075	37463	\N	\N	\N
892125	3041	1997-01-11	PRIJEM	VKLAD	4050	36050	\N	\N	\N
892126	3041	1997-02-11	PRIJEM	VKLAD	4050	28915	\N	\N	\N
892127	3041	1997-03-11	PRIJEM	VKLAD	4050	30153	\N	\N	\N
892128	3041	1997-04-11	PRIJEM	VKLAD	4050	30812	\N	\N	\N
892129	3041	1997-05-11	PRIJEM	VKLAD	4050	31072	\N	\N	\N
892130	3041	1997-06-11	PRIJEM	VKLAD	6075	32959	\N	\N	\N
892131	3041	1997-07-11	PRIJEM	VKLAD	4050	30524	\N	\N	\N
892132	3041	1997-08-11	PRIJEM	VKLAD	4050	28882	\N	\N	\N
892133	3041	1997-09-11	PRIJEM	VKLAD	4050	25834	\N	\N	\N
892134	3041	1997-10-11	PRIJEM	VKLAD	4050	27376	\N	\N	\N
892135	3041	1997-11-11	PRIJEM	VKLAD	4050	27617	\N	\N	\N
892136	3041	1997-12-11	PRIJEM	VKLAD	6075	25887	\N	\N	\N
892137	3041	1998-01-11	PRIJEM	VKLAD	4050	14518	\N	\N	\N
892138	3041	1998-02-11	PRIJEM	VKLAD	4050	12811	\N	\N	\N
892139	3041	1998-03-11	PRIJEM	VKLAD	4050	14597	\N	\N	\N
892140	3041	1998-04-11	PRIJEM	VKLAD	4050	19093	\N	\N	\N
892141	3041	1998-05-11	PRIJEM	VKLAD	4050	15200	\N	\N	\N
892142	3041	1998-06-11	PRIJEM	VKLAD	6075	19321	\N	\N	\N
892143	3041	1998-07-11	PRIJEM	VKLAD	4050	17027	\N	\N	\N
892144	3041	1998-08-11	PRIJEM	VKLAD	4050	14922	\N	\N	\N
892145	3041	1998-09-11	PRIJEM	VKLAD	4050	16316	\N	\N	\N
892146	3041	1998-10-11	PRIJEM	VKLAD	4050	13310	\N	\N	\N
892147	3041	1998-11-11	PRIJEM	VKLAD	4050	14698	\N	\N	\N
892148	3041	1998-12-11	PRIJEM	VKLAD	6075	18016	\N	\N	\N
892157	3041	1996-09-10	VYDAJ	PREVOD NA UCET	130	27768	SIPO	KL	96395837
892158	3041	1996-10-10	VYDAJ	PREVOD NA UCET	130	29233	SIPO	KL	96395837
892159	3041	1996-11-10	VYDAJ	PREVOD NA UCET	130	32105	SIPO	KL	96395837
892160	3041	1996-12-10	VYDAJ	PREVOD NA UCET	130	31388	SIPO	KL	96395837
892161	3041	1997-01-10	VYDAJ	PREVOD NA UCET	130	32000	SIPO	KL	96395837
892162	3041	1997-02-10	VYDAJ	PREVOD NA UCET	130	24865	SIPO	KL	96395837
892163	3041	1997-03-10	VYDAJ	PREVOD NA UCET	130	26103	SIPO	KL	96395837
892164	3041	1997-04-10	VYDAJ	PREVOD NA UCET	130	26762	SIPO	KL	96395837
892165	3041	1997-05-10	VYDAJ	PREVOD NA UCET	130	27022	SIPO	KL	96395837
892166	3041	1997-06-10	VYDAJ	PREVOD NA UCET	130	26884	SIPO	KL	96395837
892167	3041	1997-07-10	VYDAJ	PREVOD NA UCET	130	26474	SIPO	KL	96395837
892168	3041	1997-08-10	VYDAJ	PREVOD NA UCET	130	24832	SIPO	KL	96395837
892169	3041	1997-09-10	VYDAJ	PREVOD NA UCET	130	21784	SIPO	KL	96395837
892170	3041	1997-10-10	VYDAJ	PREVOD NA UCET	130	23326	SIPO	KL	96395837
892171	3041	1997-11-10	VYDAJ	PREVOD NA UCET	130	23567	SIPO	KL	96395837
892172	3041	1997-12-10	VYDAJ	PREVOD NA UCET	130	19812	SIPO	KL	96395837
892173	3041	1998-01-10	VYDAJ	PREVOD NA UCET	130	10468	SIPO	KL	96395837
892174	3041	1998-02-10	VYDAJ	PREVOD NA UCET	130	8761	SIPO	KL	96395837
892175	3041	1998-03-10	VYDAJ	PREVOD NA UCET	130	10547	SIPO	KL	96395837
892176	3041	1998-04-10	VYDAJ	PREVOD NA UCET	130	15043	SIPO	KL	96395837
892177	3041	1998-05-10	VYDAJ	PREVOD NA UCET	130	11150	SIPO	KL	96395837
892178	3041	1998-06-10	VYDAJ	PREVOD NA UCET	130	13246	SIPO	KL	96395837
892179	3041	1998-07-10	VYDAJ	PREVOD NA UCET	130	12977	SIPO	KL	96395837
892180	3041	1998-08-10	VYDAJ	PREVOD NA UCET	130	10872	SIPO	KL	96395837
892181	3041	1998-09-10	VYDAJ	PREVOD NA UCET	130	12266	SIPO	KL	96395837
892182	3041	1998-10-10	VYDAJ	PREVOD NA UCET	130	9260	SIPO	KL	96395837
892183	3041	1998-11-10	VYDAJ	PREVOD NA UCET	130	10648	SIPO	KL	96395837
892184	3041	1998-12-10	VYDAJ	PREVOD NA UCET	130	11941	SIPO	KL	96395837
892193	3041	1996-09-09	VYDAJ	PREVOD NA UCET	1827	27898	 	EF	49177348
892194	3041	1996-10-09	VYDAJ	PREVOD NA UCET	1827	29363	 	EF	49177348
892195	3041	1996-11-09	VYDAJ	PREVOD NA UCET	1827	32235	 	EF	49177348
892196	3041	1996-12-09	VYDAJ	PREVOD NA UCET	1827	31518	 	EF	49177348
892197	3041	1997-01-09	VYDAJ	PREVOD NA UCET	1827	32130	 	EF	49177348
892198	3041	1997-02-09	VYDAJ	PREVOD NA UCET	1827	24995	 	EF	49177348
892199	3041	1997-03-09	VYDAJ	PREVOD NA UCET	1827	26233	 	EF	49177348
892200	3041	1997-04-09	VYDAJ	PREVOD NA UCET	1827	26892	 	EF	49177348
892201	3041	1997-05-09	VYDAJ	PREVOD NA UCET	1827	27152	 	EF	49177348
892202	3041	1997-06-09	VYDAJ	PREVOD NA UCET	1827	27014	 	EF	49177348
892203	3041	1997-07-09	VYDAJ	PREVOD NA UCET	1827	26604	 	EF	49177348
892204	3041	1997-08-09	VYDAJ	PREVOD NA UCET	1827	24962	 	EF	49177348
892205	3041	1997-09-09	VYDAJ	PREVOD NA UCET	1827	21914	 	EF	49177348
892206	3041	1997-10-09	VYDAJ	PREVOD NA UCET	1827	23456	 	EF	49177348
892207	3041	1997-11-09	VYDAJ	PREVOD NA UCET	1827	23697	 	EF	49177348
892208	3041	1997-12-09	VYDAJ	PREVOD NA UCET	1827	19942	 	EF	49177348
892324	3041	1998-02-28	VYDAJ	VYBER	15	13247	SLUZBY	\N	\N
892209	3041	1998-01-09	VYDAJ	PREVOD NA UCET	1827	10598	 	EF	49177348
892210	3041	1998-02-09	VYDAJ	PREVOD NA UCET	1827	8891	 	EF	49177348
892211	3041	1998-03-09	VYDAJ	PREVOD NA UCET	1827	10677	 	EF	49177348
892212	3041	1998-04-09	VYDAJ	PREVOD NA UCET	1827	15173	 	EF	49177348
892213	3041	1998-05-09	VYDAJ	PREVOD NA UCET	1827	11280	 	EF	49177348
892214	3041	1998-06-09	VYDAJ	PREVOD NA UCET	1827	13376	 	EF	49177348
892215	3041	1998-07-09	VYDAJ	PREVOD NA UCET	1827	13107	 	EF	49177348
892216	3041	1998-08-09	VYDAJ	PREVOD NA UCET	1827	11002	 	EF	49177348
892217	3041	1998-09-09	VYDAJ	PREVOD NA UCET	1827	12396	 	EF	49177348
892218	3041	1998-10-09	VYDAJ	PREVOD NA UCET	1827	9390	 	EF	49177348
892219	3041	1998-11-09	VYDAJ	PREVOD NA UCET	1827	10778	 	EF	49177348
892220	3041	1998-12-09	VYDAJ	PREVOD NA UCET	1827	12071	 	EF	49177348
892229	3041	1996-09-06	VYDAJ	PREVOD NA UCET	743	29725	POJISTNE	MN	11865109
892230	3041	1996-10-06	VYDAJ	PREVOD NA UCET	743	31190	POJISTNE	MN	11865109
892231	3041	1996-11-06	VYDAJ	PREVOD NA UCET	743	34062	POJISTNE	MN	11865109
892232	3041	1996-12-06	VYDAJ	PREVOD NA UCET	743	33345	POJISTNE	MN	11865109
892233	3041	1997-01-06	VYDAJ	PREVOD NA UCET	743	35157	POJISTNE	MN	11865109
892234	3041	1997-02-06	VYDAJ	PREVOD NA UCET	743	26822	POJISTNE	MN	11865109
892235	3041	1997-03-06	VYDAJ	PREVOD NA UCET	743	28060	POJISTNE	MN	11865109
892236	3041	1997-04-06	VYDAJ	PREVOD NA UCET	743	28719	POJISTNE	MN	11865109
892237	3041	1997-05-06	VYDAJ	PREVOD NA UCET	743	28979	POJISTNE	MN	11865109
892238	3041	1997-06-06	VYDAJ	PREVOD NA UCET	743	28841	POJISTNE	MN	11865109
892239	3041	1997-07-06	VYDAJ	PREVOD NA UCET	743	28431	POJISTNE	MN	11865109
892240	3041	1997-08-06	VYDAJ	PREVOD NA UCET	743	26789	POJISTNE	MN	11865109
892241	3041	1997-09-06	VYDAJ	PREVOD NA UCET	743	23741	POJISTNE	MN	11865109
892242	3041	1997-10-06	VYDAJ	PREVOD NA UCET	743	25283	POJISTNE	MN	11865109
892243	3041	1997-11-06	VYDAJ	PREVOD NA UCET	743	25524	POJISTNE	MN	11865109
892244	3041	1997-12-06	VYDAJ	PREVOD NA UCET	743	21769	POJISTNE	MN	11865109
892245	3041	1998-01-06	VYDAJ	PREVOD NA UCET	743	13925	POJISTNE	MN	11865109
892246	3041	1998-02-06	VYDAJ	PREVOD NA UCET	743	10718	POJISTNE	MN	11865109
892247	3041	1998-03-06	VYDAJ	PREVOD NA UCET	743	12504	POJISTNE	MN	11865109
892248	3041	1998-04-06	VYDAJ	PREVOD NA UCET	743	17000	POJISTNE	MN	11865109
892249	3041	1998-05-06	VYDAJ	PREVOD NA UCET	743	13107	POJISTNE	MN	11865109
892250	3041	1998-06-06	VYDAJ	PREVOD NA UCET	743	15203	POJISTNE	MN	11865109
892251	3041	1998-07-06	VYDAJ	PREVOD NA UCET	743	14934	POJISTNE	MN	11865109
892252	3041	1998-08-06	VYDAJ	PREVOD NA UCET	743	12829	POJISTNE	MN	11865109
892253	3041	1998-09-06	VYDAJ	PREVOD NA UCET	743	14223	POJISTNE	MN	11865109
892254	3041	1998-10-06	VYDAJ	PREVOD NA UCET	743	11217	POJISTNE	MN	11865109
892255	3041	1998-11-06	VYDAJ	PREVOD NA UCET	743	12605	POJISTNE	MN	11865109
892256	3041	1998-12-06	VYDAJ	PREVOD NA UCET	743	13898	POJISTNE	MN	11865109
892258	3041	1997-06-27	VYDAJ	VYBER	4300	28659	\N	\N	\N
892259	3041	1998-06-23	VYDAJ	VYBER	3700	15621	\N	\N	\N
892261	3041	1997-01-21	VYDAJ	VYBER	3400	27250	\N	\N	\N
892263	3041	1996-12-04	VYDAJ	VYBER	2100	34088	\N	\N	\N
892264	3041	1997-12-25	VYDAJ	VYBER	1300	18287	\N	\N	\N
892265	3041	1998-12-14	VYDAJ	VYBER	700	17316	\N	\N	\N
892272	3041	1997-01-16	VYDAJ	VYBER	2300	30650	\N	\N	\N
892273	3041	1997-01-23	VYDAJ	VYBER	1500	25750	\N	\N	\N
892274	3041	1997-01-28	VYDAJ	VYBER	2300	23450	\N	\N	\N
892275	3041	1997-01-07	VYDAJ	VYBER	1200	33957	\N	\N	\N
892276	3041	1997-01-13	VYDAJ	VYBER	900	35150	\N	\N	\N
892277	3041	1997-01-14	VYDAJ	VYBER	2200	32950	\N	\N	\N
892279	3041	1998-01-05	VYDAJ	VYBER	1000	17368	\N	\N	\N
892280	3041	1998-01-05	VYDAJ	VYBER	2700	14668	\N	\N	\N
892281	3041	1998-01-06	VYDAJ	VYBER	1500	12425	\N	\N	\N
892282	3041	1998-01-22	VYDAJ	VYBER	700	13818	\N	\N	\N
892288	3041	1997-02-11	VYDAJ	VYBER	3800	25115	\N	\N	\N
892289	3041	1997-02-28	VYDAJ	VYBER	500	28803	\N	\N	\N
892290	3041	1997-10-14	VYDAJ	VYBER	2600	24776	\N	\N	\N
892291	3041	1997-02-13	VYDAJ	VYBER	2800	22315	\N	\N	\N
892292	3041	1997-09-01	VYDAJ	VYBER	2800	24484	\N	\N	\N
892293	3041	1997-11-30	VYDAJ	VYBER	1100	22512	\N	\N	\N
892294	3041	1998-07-14	VYDAJ	VYBER	3500	13527	\N	\N	\N
892306	3041	1996-08-31	VYDAJ	VYBER	15	30968	SLUZBY	\N	\N
892307	3041	1996-09-30	VYDAJ	VYBER	15	31933	SLUZBY	\N	\N
892308	3041	1996-10-31	VYDAJ	VYBER	15	34805	SLUZBY	\N	\N
892309	3041	1996-11-30	VYDAJ	VYBER	15	36188	SLUZBY	\N	\N
892310	3041	1996-12-31	VYDAJ	VYBER	15	35900	SLUZBY	\N	\N
892311	3041	1997-01-31	VYDAJ	VYBER	15	27565	SLUZBY	\N	\N
892312	3041	1997-02-28	VYDAJ	VYBER	15	29303	SLUZBY	\N	\N
892313	3041	1997-03-31	VYDAJ	VYBER	15	29462	SLUZBY	\N	\N
892314	3041	1997-04-30	VYDAJ	VYBER	15	29722	SLUZBY	\N	\N
892315	3041	1997-05-31	VYDAJ	VYBER	15	29584	SLUZBY	\N	\N
892316	3041	1997-06-30	VYDAJ	VYBER	15	29174	SLUZBY	\N	\N
892317	3041	1997-07-31	VYDAJ	VYBER	15	27532	SLUZBY	\N	\N
892318	3041	1997-08-31	VYDAJ	VYBER	15	27284	SLUZBY	\N	\N
892319	3041	1997-09-30	VYDAJ	VYBER	15	26026	SLUZBY	\N	\N
892320	3041	1997-10-31	VYDAJ	VYBER	15	26267	SLUZBY	\N	\N
892321	3041	1997-11-30	VYDAJ	VYBER	15	23612	SLUZBY	\N	\N
892322	3041	1997-12-31	VYDAJ	VYBER	15	18368	SLUZBY	\N	\N
892323	3041	1998-01-31	VYDAJ	VYBER	15	11461	SLUZBY	\N	\N
892325	3041	1998-03-31	VYDAJ	VYBER	15	17743	SLUZBY	\N	\N
892326	3041	1998-04-30	VYDAJ	VYBER	15	13850	SLUZBY	\N	\N
892327	3041	1998-05-31	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
892328	3041	1998-06-30	VYDAJ	VYBER	15	15677	SLUZBY	\N	\N
892329	3041	1998-07-31	VYDAJ	VYBER	15	13572	SLUZBY	\N	\N
892330	3041	1998-08-31	VYDAJ	VYBER	15	14966	SLUZBY	\N	\N
892331	3041	1998-09-30	VYDAJ	VYBER	15	11960	SLUZBY	\N	\N
892332	3041	1998-10-31	VYDAJ	VYBER	15	13348	SLUZBY	\N	\N
892333	3041	1998-11-30	VYDAJ	VYBER	15	14641	SLUZBY	\N	\N
892334	3041	1996-05-04	PRIJEM	VKLAD	7500	12063	\N	\N	\N
892335	3041	1996-06-03	PRIJEM	VKLAD	5700	21864	\N	\N	\N
892336	3041	1996-07-03	VYDAJ	VYBER	3600	24439	\N	\N	\N
892337	3041	1996-08-02	VYDAJ	VYBER	1800	26807	\N	\N	\N
892338	3041	1996-09-01	VYDAJ	VYBER	500	30468	\N	\N	\N
892339	3041	1996-10-31	PRIJEM	VKLAD	1400	34683	\N	\N	\N
892340	3041	1996-11-30	VYDAJ	VYBER	100	36203	\N	\N	\N
892341	3041	1996-12-30	VYDAJ	VYBER	1700	35763	\N	\N	\N
892342	3041	1997-01-29	PRIJEM	VKLAD	4000	27450	\N	\N	\N
892343	3041	1997-02-28	PRIJEM	VKLAD	6900	29215	\N	\N	\N
892344	3041	1997-03-30	VYDAJ	VYBER	800	29353	\N	\N	\N
892345	3041	1997-04-29	VYDAJ	VYBER	1200	29612	\N	\N	\N
892346	3041	1997-05-29	VYDAJ	VYBER	1600	29472	\N	\N	\N
892347	3041	1997-06-28	PRIJEM	VKLAD	400	29059	\N	\N	\N
892348	3041	1997-07-28	VYDAJ	VYBER	3100	27424	\N	\N	\N
892349	3041	1997-08-27	VYDAJ	VYBER	1700	27182	\N	\N	\N
892350	3041	1997-09-26	PRIJEM	VKLAD	100	25934	\N	\N	\N
892351	3041	1997-10-26	PRIJEM	VKLAD	1400	26176	\N	\N	\N
892352	3041	1997-11-25	VYDAJ	VYBER	4100	23517	\N	\N	\N
892353	3041	1997-12-25	VYDAJ	VYBER	6300	19587	\N	\N	\N
892354	3041	1998-01-24	VYDAJ	VYBER	2400	11418	\N	\N	\N
892355	3041	1998-02-23	PRIJEM	VKLAD	400	13211	\N	\N	\N
892356	3041	1998-03-25	PRIJEM	VKLAD	3100	17697	\N	\N	\N
892357	3041	1998-04-24	VYDAJ	VYBER	5300	13793	\N	\N	\N
892358	3041	1998-05-24	PRIJEM	VKLAD	700	15900	\N	\N	\N
892359	3041	1998-09-21	VYDAJ	VYBER	4400	11916	\N	\N	\N
892360	3041	1998-11-20	VYDAJ	VYBER	100	14598	\N	\N	\N
892394	3042	1993-09-16	PRIJEM	VKLAD	500	500	\N	\N	\N
892404	3042	1993-10-09	PRIJEM	VKLAD	15208	15708	\N	\N	\N
892405	3042	1993-11-09	PRIJEM	VKLAD	15208	34157	\N	\N	\N
892406	3042	1993-12-09	PRIJEM	VKLAD	22812	53473	\N	\N	\N
892407	3042	1994-01-09	PRIJEM	VKLAD	15208	56533	\N	\N	\N
892408	3042	1994-02-09	PRIJEM	VKLAD	15208	55109	\N	\N	\N
892409	3042	1994-03-09	PRIJEM	VKLAD	15208	51729	\N	\N	\N
892410	3042	1994-04-09	PRIJEM	VKLAD	15208	45938	\N	\N	\N
892411	3042	1994-05-09	PRIJEM	VKLAD	15208	43971	\N	\N	\N
892412	3042	1994-06-09	PRIJEM	VKLAD	22812	52064	\N	\N	\N
892413	3042	1994-07-09	PRIJEM	VKLAD	15208	36979	\N	\N	\N
892414	3042	1994-08-09	PRIJEM	VKLAD	15208	29646	\N	\N	\N
892415	3042	1994-09-09	PRIJEM	VKLAD	15208	36995	\N	\N	\N
892416	3042	1994-10-09	PRIJEM	VKLAD	15208	40159	\N	\N	\N
892417	3042	1994-11-09	PRIJEM	VKLAD	15208	40529	\N	\N	\N
892418	3042	1994-12-09	PRIJEM	VKLAD	22812	46363	\N	\N	\N
892419	3042	1995-01-09	PRIJEM	VKLAD	15208	33975	\N	\N	\N
892420	3042	1995-02-09	PRIJEM	VKLAD	15208	29684	\N	\N	\N
892421	3042	1995-03-09	PRIJEM	VKLAD	15208	38629	\N	\N	\N
892422	3042	1995-04-09	PRIJEM	VKLAD	15208	34977	\N	\N	\N
892423	3042	1995-05-09	PRIJEM	VKLAD	15208	33519	\N	\N	\N
892424	3042	1995-06-09	PRIJEM	VKLAD	22812	40143	\N	\N	\N
892425	3042	1995-07-09	PRIJEM	VKLAD	15208	41227	\N	\N	\N
892426	3042	1995-08-09	PRIJEM	VKLAD	15208	40033	\N	\N	\N
892427	3042	1995-09-09	PRIJEM	VKLAD	15208	39933	\N	\N	\N
892428	3042	1995-10-09	PRIJEM	VKLAD	15208	38312	\N	\N	\N
892429	3042	1995-11-09	PRIJEM	VKLAD	15208	36458	\N	\N	\N
892430	3042	1995-12-09	PRIJEM	VKLAD	22812	43244	\N	\N	\N
892431	3042	1996-01-09	PRIJEM	VKLAD	15208	33036	\N	\N	\N
892432	3042	1996-02-09	PRIJEM	VKLAD	15208	31131	\N	\N	\N
892433	3042	1996-03-09	PRIJEM	VKLAD	15208	35684	\N	\N	\N
892434	3042	1996-04-09	PRIJEM	VKLAD	15208	37506	\N	\N	\N
892435	3042	1996-05-09	PRIJEM	VKLAD	15208	38889	\N	\N	\N
892436	3042	1996-06-09	PRIJEM	VKLAD	22812	44784	\N	\N	\N
892437	3042	1996-07-09	PRIJEM	VKLAD	15208	40194	\N	\N	\N
892438	3042	1996-08-09	PRIJEM	VKLAD	15208	32996	\N	\N	\N
892439	3042	1996-09-09	PRIJEM	VKLAD	15208	30367	\N	\N	\N
892440	3042	1996-10-09	PRIJEM	VKLAD	15208	30318	\N	\N	\N
892441	3042	1996-11-09	PRIJEM	VKLAD	15208	29466	\N	\N	\N
892442	3042	1996-12-09	PRIJEM	VKLAD	22812	38416	\N	\N	\N
892443	3042	1997-01-09	PRIJEM	VKLAD	15208	27895	\N	\N	\N
892444	3042	1997-02-09	PRIJEM	VKLAD	15208	27007	\N	\N	\N
892445	3042	1997-03-09	PRIJEM	VKLAD	15208	35944	\N	\N	\N
892446	3042	1997-04-09	PRIJEM	VKLAD	15208	27491	\N	\N	\N
892447	3042	1997-05-09	PRIJEM	VKLAD	15208	36430	\N	\N	\N
892448	3042	1997-06-09	PRIJEM	VKLAD	22812	35201	\N	\N	\N
892449	3042	1997-07-09	PRIJEM	VKLAD	15208	44164	\N	\N	\N
892450	3042	1997-08-09	PRIJEM	VKLAD	15208	29858	\N	\N	\N
892451	3042	1997-09-09	PRIJEM	VKLAD	15208	38807	\N	\N	\N
892452	3042	1997-10-09	PRIJEM	VKLAD	15208	27176	\N	\N	\N
892453	3042	1997-11-09	PRIJEM	VKLAD	15208	36114	\N	\N	\N
892454	3042	1997-12-09	PRIJEM	VKLAD	22812	52692	\N	\N	\N
892455	3042	1998-01-09	PRIJEM	VKLAD	15208	26967	\N	\N	\N
892456	3042	1998-02-09	PRIJEM	VKLAD	15208	28932	\N	\N	\N
892457	3042	1998-03-09	PRIJEM	VKLAD	15208	37876	\N	\N	\N
892458	3042	1998-04-09	PRIJEM	VKLAD	15208	40969	\N	\N	\N
892459	3042	1998-05-09	PRIJEM	VKLAD	15208	49963	\N	\N	\N
892460	3042	1998-06-09	PRIJEM	VKLAD	22812	66600	\N	\N	\N
892461	3042	1998-07-09	PRIJEM	VKLAD	15208	61272	\N	\N	\N
892462	3042	1998-08-09	PRIJEM	VKLAD	15208	67231	\N	\N	\N
892463	3042	1998-09-09	PRIJEM	VKLAD	15208	76336	\N	\N	\N
892464	3042	1998-10-09	PRIJEM	VKLAD	15208	28190	\N	\N	\N
892465	3042	1998-11-09	PRIJEM	VKLAD	15208	37131	\N	\N	\N
892466	3042	1998-12-09	PRIJEM	VKLAD	22812	53713	\N	\N	\N
892481	3042	1994-03-06	VYDAJ	PREVOD NA UCET	2884	36521	SIPO	UV	51078170
892482	3042	1994-04-06	VYDAJ	PREVOD NA UCET	2884	30730	SIPO	UV	51078170
892483	3042	1994-05-06	VYDAJ	PREVOD NA UCET	2884	28763	SIPO	UV	51078170
892484	3042	1994-06-06	VYDAJ	PREVOD NA UCET	2884	29252	SIPO	UV	51078170
892485	3042	1994-07-06	VYDAJ	PREVOD NA UCET	2884	21771	SIPO	UV	51078170
892486	3042	1994-08-06	VYDAJ	PREVOD NA UCET	2884	14438	SIPO	UV	51078170
892487	3042	1994-09-06	VYDAJ	PREVOD NA UCET	2884	21787	SIPO	UV	51078170
892488	3042	1994-10-06	VYDAJ	PREVOD NA UCET	2884	24951	SIPO	UV	51078170
892489	3042	1994-11-06	VYDAJ	PREVOD NA UCET	2884	25321	SIPO	UV	51078170
892490	3042	1994-12-06	VYDAJ	PREVOD NA UCET	2884	23551	SIPO	UV	51078170
892491	3042	1995-01-06	VYDAJ	PREVOD NA UCET	2884	22847	SIPO	UV	51078170
892492	3042	1995-02-06	VYDAJ	PREVOD NA UCET	2884	11376	SIPO	UV	51078170
892493	3042	1995-03-06	VYDAJ	PREVOD NA UCET	2884	23421	SIPO	UV	51078170
892494	3042	1995-04-06	VYDAJ	PREVOD NA UCET	2884	19769	SIPO	UV	51078170
892495	3042	1995-05-06	VYDAJ	PREVOD NA UCET	2884	18311	SIPO	UV	51078170
892496	3042	1995-06-06	VYDAJ	PREVOD NA UCET	2884	15031	SIPO	UV	51078170
892497	3042	1995-07-06	VYDAJ	PREVOD NA UCET	2884	33919	SIPO	UV	51078170
892498	3042	1995-08-06	VYDAJ	PREVOD NA UCET	2884	35025	SIPO	UV	51078170
892499	3042	1995-09-06	VYDAJ	PREVOD NA UCET	2884	24725	SIPO	UV	51078170
892500	3042	1995-10-06	VYDAJ	PREVOD NA UCET	2884	23104	SIPO	UV	51078170
892501	3042	1995-11-06	VYDAJ	PREVOD NA UCET	2884	21250	SIPO	UV	51078170
892502	3042	1995-12-06	VYDAJ	PREVOD NA UCET	2884	20432	SIPO	UV	51078170
892503	3042	1996-01-06	VYDAJ	PREVOD NA UCET	2884	20588	SIPO	UV	51078170
892504	3042	1996-02-06	VYDAJ	PREVOD NA UCET	2884	15923	SIPO	UV	51078170
892505	3042	1996-03-06	VYDAJ	PREVOD NA UCET	2884	20476	SIPO	UV	51078170
892506	3042	1996-04-06	VYDAJ	PREVOD NA UCET	2884	22298	SIPO	UV	51078170
892507	3042	1996-05-06	VYDAJ	PREVOD NA UCET	2884	23681	SIPO	UV	51078170
892508	3042	1996-06-06	VYDAJ	PREVOD NA UCET	2884	21972	SIPO	UV	51078170
892509	3042	1996-07-06	VYDAJ	PREVOD NA UCET	2884	24986	SIPO	UV	51078170
892510	3042	1996-08-06	VYDAJ	PREVOD NA UCET	2884	17788	SIPO	UV	51078170
892511	3042	1996-09-06	VYDAJ	PREVOD NA UCET	2884	15159	SIPO	UV	51078170
892512	3042	1996-10-06	VYDAJ	PREVOD NA UCET	2884	15110	SIPO	UV	51078170
892513	3042	1996-11-06	VYDAJ	PREVOD NA UCET	2884	14258	SIPO	UV	51078170
892514	3042	1996-12-06	VYDAJ	PREVOD NA UCET	2884	15604	SIPO	UV	51078170
892515	3042	1997-01-06	VYDAJ	PREVOD NA UCET	2884	12687	SIPO	UV	51078170
892516	3042	1997-02-06	VYDAJ	PREVOD NA UCET	2884	11799	SIPO	UV	51078170
892517	3042	1997-03-06	VYDAJ	PREVOD NA UCET	2884	20736	SIPO	UV	51078170
892518	3042	1997-04-06	VYDAJ	PREVOD NA UCET	2884	12283	SIPO	UV	51078170
892519	3042	1997-05-06	VYDAJ	PREVOD NA UCET	2884	21222	SIPO	UV	51078170
892520	3042	1997-06-06	VYDAJ	PREVOD NA UCET	2884	12389	SIPO	UV	51078170
892521	3042	1997-07-06	VYDAJ	PREVOD NA UCET	2884	28956	SIPO	UV	51078170
892522	3042	1997-08-06	VYDAJ	PREVOD NA UCET	2884	14650	SIPO	UV	51078170
892523	3042	1997-09-06	VYDAJ	PREVOD NA UCET	2884	23599	SIPO	UV	51078170
892524	3042	1997-10-06	VYDAJ	PREVOD NA UCET	2884	11968	SIPO	UV	51078170
892525	3042	1997-11-06	VYDAJ	PREVOD NA UCET	2884	20906	SIPO	UV	51078170
892526	3042	1997-12-06	VYDAJ	PREVOD NA UCET	2884	29880	SIPO	UV	51078170
892527	3042	1998-01-06	VYDAJ	PREVOD NA UCET	2884	11759	SIPO	UV	51078170
892528	3042	1998-02-06	VYDAJ	PREVOD NA UCET	2884	13724	SIPO	UV	51078170
892529	3042	1998-03-06	VYDAJ	PREVOD NA UCET	2884	22668	SIPO	UV	51078170
892530	3042	1998-04-06	VYDAJ	PREVOD NA UCET	2884	25761	SIPO	UV	51078170
892531	3042	1998-05-06	VYDAJ	PREVOD NA UCET	2884	34755	SIPO	UV	51078170
892532	3042	1998-06-06	VYDAJ	PREVOD NA UCET	2884	43788	SIPO	UV	51078170
892533	3042	1998-07-06	VYDAJ	PREVOD NA UCET	2884	46064	SIPO	UV	51078170
892534	3042	1998-08-06	VYDAJ	PREVOD NA UCET	2884	52023	SIPO	UV	51078170
892535	3042	1998-09-06	VYDAJ	PREVOD NA UCET	2884	61128	SIPO	UV	51078170
892536	3042	1998-10-06	VYDAJ	PREVOD NA UCET	2884	12982	SIPO	UV	51078170
892537	3042	1998-11-06	VYDAJ	PREVOD NA UCET	2884	21923	SIPO	UV	51078170
892538	3042	1998-12-06	VYDAJ	PREVOD NA UCET	2884	30901	SIPO	UV	51078170
892552	3042	1994-02-10	VYDAJ	PREVOD NA UCET	3459	51650	 	WX	17494821
892553	3042	1994-03-10	VYDAJ	PREVOD NA UCET	3459	48270	 	WX	17494821
892554	3042	1994-04-10	VYDAJ	PREVOD NA UCET	3459	42479	 	WX	17494821
892555	3042	1994-05-10	VYDAJ	PREVOD NA UCET	3459	40512	 	WX	17494821
892556	3042	1994-06-10	VYDAJ	PREVOD NA UCET	3459	28285	 	WX	17494821
892557	3042	1994-07-10	VYDAJ	PREVOD NA UCET	3459	33520	 	WX	17494821
892558	3042	1994-08-10	VYDAJ	PREVOD NA UCET	3459	26187	 	WX	17494821
892559	3042	1994-09-10	VYDAJ	PREVOD NA UCET	3459	33536	 	WX	17494821
892560	3042	1994-10-10	VYDAJ	PREVOD NA UCET	3459	36700	 	WX	17494821
892561	3042	1994-11-10	VYDAJ	PREVOD NA UCET	3459	37070	 	WX	17494821
892562	3042	1994-12-10	VYDAJ	PREVOD NA UCET	3459	33304	 	WX	17494821
892563	3042	1995-01-10	VYDAJ	PREVOD NA UCET	3459	22116	 	WX	17494821
892564	3042	1995-02-10	VYDAJ	PREVOD NA UCET	3459	26225	 	WX	17494821
892565	3042	1995-03-10	VYDAJ	PREVOD NA UCET	3459	25070	 	WX	17494821
892566	3042	1995-04-10	VYDAJ	PREVOD NA UCET	3459	21118	 	WX	17494821
892567	3042	1995-05-10	VYDAJ	PREVOD NA UCET	3459	21560	 	WX	17494821
892568	3042	1995-06-10	VYDAJ	PREVOD NA UCET	3459	36684	 	WX	17494821
892569	3042	1995-07-10	VYDAJ	PREVOD NA UCET	3459	37768	 	WX	17494821
892570	3042	1995-08-10	VYDAJ	PREVOD NA UCET	3459	36574	 	WX	17494821
892571	3042	1995-09-10	VYDAJ	PREVOD NA UCET	3459	36474	 	WX	17494821
892572	3042	1995-10-10	VYDAJ	PREVOD NA UCET	3459	34853	 	WX	17494821
892573	3042	1995-11-10	VYDAJ	PREVOD NA UCET	3459	32999	 	WX	17494821
892574	3042	1995-12-10	VYDAJ	PREVOD NA UCET	3459	39785	 	WX	17494821
892575	3042	1996-01-10	VYDAJ	PREVOD NA UCET	3459	29577	 	WX	17494821
892576	3042	1996-02-10	VYDAJ	PREVOD NA UCET	3459	27672	 	WX	17494821
892577	3042	1996-03-10	VYDAJ	PREVOD NA UCET	3459	32225	 	WX	17494821
892578	3042	1996-04-10	VYDAJ	PREVOD NA UCET	3459	34047	 	WX	17494821
892579	3042	1996-05-10	VYDAJ	PREVOD NA UCET	3459	35430	 	WX	17494821
892580	3042	1996-06-10	VYDAJ	PREVOD NA UCET	3459	41325	 	WX	17494821
892581	3042	1996-07-10	VYDAJ	PREVOD NA UCET	3459	36735	 	WX	17494821
892582	3042	1996-08-10	VYDAJ	PREVOD NA UCET	3459	29537	 	WX	17494821
892583	3042	1996-09-10	VYDAJ	PREVOD NA UCET	3459	26908	 	WX	17494821
892584	3042	1996-10-10	VYDAJ	PREVOD NA UCET	3459	26859	 	WX	17494821
892585	3042	1996-11-10	VYDAJ	PREVOD NA UCET	3459	26007	 	WX	17494821
892586	3042	1996-12-10	VYDAJ	PREVOD NA UCET	3459	34957	 	WX	17494821
892587	3042	1997-01-10	VYDAJ	PREVOD NA UCET	3459	22516	 	WX	17494821
892588	3042	1997-02-10	VYDAJ	PREVOD NA UCET	3459	23548	 	WX	17494821
892589	3042	1997-03-10	VYDAJ	PREVOD NA UCET	3459	32485	 	WX	17494821
892590	3042	1997-04-10	VYDAJ	PREVOD NA UCET	3459	24032	 	WX	17494821
892591	3042	1997-05-10	VYDAJ	PREVOD NA UCET	3459	32971	 	WX	17494821
892592	3042	1997-06-10	VYDAJ	PREVOD NA UCET	3459	31742	 	WX	17494821
892593	3042	1997-07-10	VYDAJ	PREVOD NA UCET	3459	40705	 	WX	17494821
892594	3042	1997-08-10	VYDAJ	PREVOD NA UCET	3459	26399	 	WX	17494821
892595	3042	1997-09-10	VYDAJ	PREVOD NA UCET	3459	35348	 	WX	17494821
892596	3042	1997-10-10	VYDAJ	PREVOD NA UCET	3459	23717	 	WX	17494821
892597	3042	1997-11-10	VYDAJ	PREVOD NA UCET	3459	32655	 	WX	17494821
892598	3042	1997-12-10	VYDAJ	PREVOD NA UCET	3459	49233	 	WX	17494821
892599	3042	1998-01-10	VYDAJ	PREVOD NA UCET	3459	23508	 	WX	17494821
892600	3042	1998-02-10	VYDAJ	PREVOD NA UCET	3459	25473	 	WX	17494821
892601	3042	1998-03-10	VYDAJ	PREVOD NA UCET	3459	34417	 	WX	17494821
892602	3042	1998-04-10	VYDAJ	PREVOD NA UCET	3459	37510	 	WX	17494821
892603	3042	1998-05-10	VYDAJ	PREVOD NA UCET	3459	46504	 	WX	17494821
892604	3042	1998-06-10	VYDAJ	PREVOD NA UCET	3459	63141	 	WX	17494821
892605	3042	1998-07-10	VYDAJ	PREVOD NA UCET	3459	57813	 	WX	17494821
892606	3042	1998-08-10	VYDAJ	PREVOD NA UCET	3459	63772	 	WX	17494821
892607	3042	1998-09-10	VYDAJ	PREVOD NA UCET	3459	72877	 	WX	17494821
892608	3042	1998-10-10	VYDAJ	PREVOD NA UCET	3459	24731	 	WX	17494821
892609	3042	1998-11-10	VYDAJ	PREVOD NA UCET	3459	33672	 	WX	17494821
892610	3042	1998-12-10	VYDAJ	PREVOD NA UCET	3459	50254	 	WX	17494821
892612	3042	1994-06-10	VYDAJ	VYBER	20320	31744	\N	\N	\N
892616	3042	1998-06-21	VYDAJ	VYBER	14400	48741	\N	\N	\N
892619	3042	1995-01-03	VYDAJ	VYBER	3520	25731	\N	\N	\N
892620	3042	1996-01-03	VYDAJ	VYBER	2400	33152	\N	\N	\N
892624	3042	1994-12-11	VYDAJ	VYBER	4160	29144	\N	\N	\N
892625	3042	1995-12-11	VYDAJ	VYBER	3520	36265	\N	\N	\N
892626	3042	1996-12-16	VYDAJ	VYBER	3520	31437	\N	\N	\N
892627	3042	1997-12-11	VYDAJ	VYBER	1920	47313	\N	\N	\N
892628	3042	1998-12-28	VYDAJ	VYBER	3360	44974	\N	\N	\N
892642	3042	1995-01-25	VYDAJ	VYBER	1560	14196	\N	\N	\N
892643	3042	1995-01-12	VYDAJ	VYBER	3360	15756	\N	\N	\N
892644	3042	1995-01-08	VYDAJ	VYBER	1080	18767	\N	\N	\N
892645	3042	1995-01-10	VYDAJ	VYBER	3000	19116	\N	\N	\N
892646	3042	1995-01-08	VYDAJ	VYBER	3000	19847	\N	\N	\N
892647	3042	1996-01-06	VYDAJ	VYBER	1680	23472	\N	\N	\N
892648	3042	1996-01-26	VYDAJ	VYBER	3480	19617	\N	\N	\N
892649	3042	1996-01-24	VYDAJ	VYBER	2280	23097	\N	\N	\N
892650	3042	1996-01-07	VYDAJ	VYBER	2760	17828	\N	\N	\N
892651	3042	1996-01-05	VYDAJ	VYBER	720	25152	\N	\N	\N
892652	3042	1996-01-29	VYDAJ	VYBER	2400	17217	\N	\N	\N
892654	3042	1997-01-30	VYDAJ	VYBER	960	14616	\N	\N	\N
892655	3042	1997-01-10	VYDAJ	VYBER	1920	25975	\N	\N	\N
892657	3042	1997-01-28	VYDAJ	VYBER	1560	19876	\N	\N	\N
892658	3042	1997-01-15	VYDAJ	VYBER	1080	21436	\N	\N	\N
892660	3042	1998-01-22	VYDAJ	VYBER	600	19308	\N	\N	\N
892662	3042	1998-01-23	VYDAJ	VYBER	2760	16548	\N	\N	\N
892664	3042	1998-01-16	VYDAJ	VYBER	840	19908	\N	\N	\N
892668	3042	1994-08-04	VYDAJ	VYBER	5760	17322	\N	\N	\N
892669	3042	1994-07-31	VYDAJ	VYBER	5040	23097	\N	\N	\N
892670	3042	1994-03-22	VYDAJ	VYBER	600	33470	\N	\N	\N
892671	3042	1994-12-05	VYDAJ	VYBER	2040	26435	\N	\N	\N
892672	3042	1994-04-15	VYDAJ	VYBER	960	31519	\N	\N	\N
892673	3042	1994-07-02	VYDAJ	VYBER	3240	24655	\N	\N	\N
892674	3042	1995-04-04	VYDAJ	VYBER	2520	22653	\N	\N	\N
892675	3042	1995-10-18	VYDAJ	VYBER	3240	31613	\N	\N	\N
892676	3042	1995-10-05	VYDAJ	VYBER	2520	34088	\N	\N	\N
892677	3042	1995-06-03	VYDAJ	VYBER	3720	17915	\N	\N	\N
892678	3042	1995-12-23	VYDAJ	VYBER	840	35425	\N	\N	\N
892679	3042	1996-12-24	VYDAJ	VYBER	5160	26277	\N	\N	\N
892680	3042	1996-03-11	VYDAJ	VYBER	5040	27185	\N	\N	\N
892681	3042	1996-01-14	VYDAJ	VYBER	720	28857	\N	\N	\N
892682	3042	1996-01-15	VYDAJ	VYBER	3480	25377	\N	\N	\N
892683	3042	1996-01-04	VYDAJ	VYBER	1080	32072	\N	\N	\N
892684	3042	1996-10-14	VYDAJ	VYBER	600	26259	\N	\N	\N
892687	3042	1997-03-26	VYDAJ	VYBER	1920	30565	\N	\N	\N
892688	3042	1998-03-21	VYDAJ	VYBER	5880	28537	\N	\N	\N
892689	3042	1998-12-17	VYDAJ	VYBER	1920	48334	\N	\N	\N
892690	3042	1998-01-15	VYDAJ	VYBER	2760	20748	\N	\N	\N
892691	3042	1998-08-06	VYDAJ	VYBER	3120	54907	\N	\N	\N
892706	3042	1994-02-28	VYDAJ	VYBER	15	39405	SLUZBY	\N	\N
892707	3042	1994-03-31	VYDAJ	VYBER	15	33614	SLUZBY	\N	\N
892708	3042	1994-04-30	VYDAJ	VYBER	15	31647	SLUZBY	\N	\N
892709	3042	1994-05-31	VYDAJ	VYBER	15	32136	SLUZBY	\N	\N
892710	3042	1994-06-30	VYDAJ	VYBER	15	27895	SLUZBY	\N	\N
892711	3042	1994-07-31	VYDAJ	VYBER	15	23082	SLUZBY	\N	\N
892712	3042	1994-08-31	VYDAJ	VYBER	15	24671	SLUZBY	\N	\N
892713	3042	1994-09-30	VYDAJ	VYBER	15	27835	SLUZBY	\N	\N
892714	3042	1994-10-31	VYDAJ	VYBER	15	28205	SLUZBY	\N	\N
892715	3042	1994-11-30	VYDAJ	VYBER	15	28475	SLUZBY	\N	\N
892716	3042	1994-12-31	VYDAJ	VYBER	15	29251	SLUZBY	\N	\N
892717	3042	1995-01-31	VYDAJ	VYBER	15	14260	SLUZBY	\N	\N
892718	3042	1995-02-28	VYDAJ	VYBER	15	26305	SLUZBY	\N	\N
892719	3042	1995-03-31	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
892720	3042	1995-04-30	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
892721	3042	1995-05-31	VYDAJ	VYBER	15	21635	SLUZBY	\N	\N
892722	3042	1995-06-30	VYDAJ	VYBER	15	36803	SLUZBY	\N	\N
892723	3042	1995-07-31	VYDAJ	VYBER	15	37909	SLUZBY	\N	\N
892724	3042	1995-08-31	VYDAJ	VYBER	15	36709	SLUZBY	\N	\N
892725	3042	1995-09-30	VYDAJ	VYBER	15	36608	SLUZBY	\N	\N
892726	3042	1995-10-31	VYDAJ	VYBER	15	31734	SLUZBY	\N	\N
892727	3042	1995-11-30	VYDAJ	VYBER	15	33116	SLUZBY	\N	\N
892728	3042	1995-12-31	VYDAJ	VYBER	15	35552	SLUZBY	\N	\N
892729	3042	1996-01-31	VYDAJ	VYBER	15	17307	SLUZBY	\N	\N
892730	3042	1996-02-29	VYDAJ	VYBER	15	27760	SLUZBY	\N	\N
892731	3042	1996-03-31	VYDAJ	VYBER	15	27282	SLUZBY	\N	\N
892732	3042	1996-04-30	VYDAJ	VYBER	15	34165	SLUZBY	\N	\N
892733	3042	1996-05-31	VYDAJ	VYBER	15	35556	SLUZBY	\N	\N
892734	3042	1996-06-30	VYDAJ	VYBER	15	41470	SLUZBY	\N	\N
892735	3042	1996-07-31	VYDAJ	VYBER	15	36872	SLUZBY	\N	\N
892736	3042	1996-08-31	VYDAJ	VYBER	15	18043	SLUZBY	\N	\N
892737	3042	1996-09-30	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
892738	3042	1996-10-31	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
892739	3042	1996-11-30	VYDAJ	VYBER	15	18488	SLUZBY	\N	\N
892740	3042	1996-12-31	VYDAJ	VYBER	15	15571	SLUZBY	\N	\N
892741	3042	1997-01-31	VYDAJ	VYBER	15	14683	SLUZBY	\N	\N
892742	3042	1997-02-28	VYDAJ	VYBER	15	23620	SLUZBY	\N	\N
892743	3042	1997-03-31	VYDAJ	VYBER	15	15167	SLUZBY	\N	\N
892744	3042	1997-04-30	VYDAJ	VYBER	15	24106	SLUZBY	\N	\N
892745	3042	1997-05-31	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
892746	3042	1997-06-30	VYDAJ	VYBER	15	31840	SLUZBY	\N	\N
892747	3042	1997-07-31	VYDAJ	VYBER	15	17534	SLUZBY	\N	\N
892748	3042	1997-08-31	VYDAJ	VYBER	15	26483	SLUZBY	\N	\N
892749	3042	1997-09-30	VYDAJ	VYBER	15	14852	SLUZBY	\N	\N
892750	3042	1997-10-31	VYDAJ	VYBER	15	23790	SLUZBY	\N	\N
892751	3042	1997-11-30	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
892752	3042	1997-12-31	VYDAJ	VYBER	15	14643	SLUZBY	\N	\N
892753	3042	1998-01-31	VYDAJ	VYBER	15	16608	SLUZBY	\N	\N
892754	3042	1998-02-28	VYDAJ	VYBER	15	25552	SLUZBY	\N	\N
892755	3042	1998-03-31	VYDAJ	VYBER	15	28645	SLUZBY	\N	\N
892756	3042	1998-04-30	VYDAJ	VYBER	15	37639	SLUZBY	\N	\N
892757	3042	1998-05-31	VYDAJ	VYBER	15	46672	SLUZBY	\N	\N
892758	3042	1998-06-30	VYDAJ	VYBER	15	48948	SLUZBY	\N	\N
892759	3042	1998-07-31	VYDAJ	VYBER	15	58027	SLUZBY	\N	\N
892760	3042	1998-08-31	VYDAJ	VYBER	15	64012	SLUZBY	\N	\N
892761	3042	1998-09-30	VYDAJ	VYBER	15	15866	SLUZBY	\N	\N
892762	3042	1998-10-31	VYDAJ	VYBER	15	24807	SLUZBY	\N	\N
892763	3042	1998-11-30	VYDAJ	VYBER	15	33785	SLUZBY	\N	\N
892764	3042	1993-10-16	PRIJEM	VKLAD	3200	18908	\N	\N	\N
892765	3042	1993-11-15	VYDAJ	VYBER	3600	30557	\N	\N	\N
892766	3042	1993-12-15	VYDAJ	VYBER	12300	41173	\N	\N	\N
892767	3042	1994-01-14	VYDAJ	VYBER	16800	39733	\N	\N	\N
892768	3042	1994-02-13	VYDAJ	VYBER	12400	39250	\N	\N	\N
892769	3042	1994-03-15	VYDAJ	VYBER	14200	34070	\N	\N	\N
892770	3042	1994-04-14	VYDAJ	VYBER	10000	32479	\N	\N	\N
892771	3042	1994-05-14	VYDAJ	VYBER	8500	32012	\N	\N	\N
892772	3042	1994-06-13	VYDAJ	VYBER	500	27785	\N	\N	\N
892773	3042	1994-07-13	VYDAJ	VYBER	5500	28020	\N	\N	\N
892774	3042	1994-08-12	VYDAJ	VYBER	1600	24587	\N	\N	\N
892775	3042	1994-09-11	VYDAJ	VYBER	5800	27736	\N	\N	\N
892776	3042	1994-10-11	VYDAJ	VYBER	8600	28100	\N	\N	\N
892777	3042	1994-11-10	VYDAJ	VYBER	8700	28370	\N	\N	\N
892778	3042	1994-12-10	VYDAJ	VYBER	9600	36763	\N	\N	\N
892779	3042	1995-01-09	VYDAJ	VYBER	8400	25575	\N	\N	\N
892780	3042	1995-02-08	PRIJEM	VKLAD	3100	14476	\N	\N	\N
892781	3042	1995-03-10	VYDAJ	VYBER	10100	28529	\N	\N	\N
892782	3042	1995-04-09	VYDAJ	VYBER	10400	24577	\N	\N	\N
892783	3042	1995-05-09	VYDAJ	VYBER	8500	25019	\N	\N	\N
892784	3042	1995-06-08	PRIJEM	VKLAD	2300	17331	\N	\N	\N
892785	3042	1995-07-08	VYDAJ	VYBER	7900	26019	\N	\N	\N
892786	3042	1995-08-07	VYDAJ	VYBER	10200	24825	\N	\N	\N
892787	3042	1995-09-06	VYDAJ	VYBER	9100	27609	\N	\N	\N
892788	3042	1995-10-06	VYDAJ	VYBER	8100	25988	\N	\N	\N
892789	3042	1995-11-05	VYDAJ	VYBER	7600	24134	\N	\N	\N
892790	3042	1995-12-05	VYDAJ	VYBER	9800	23316	\N	\N	\N
892791	3042	1996-01-04	VYDAJ	VYBER	6200	25872	\N	\N	\N
892792	3042	1996-02-03	PRIJEM	VKLAD	1500	18807	\N	\N	\N
892793	3042	1996-03-04	VYDAJ	VYBER	4400	23360	\N	\N	\N
892794	3042	1996-04-03	VYDAJ	VYBER	2100	25182	\N	\N	\N
892795	3042	1996-05-03	VYDAJ	VYBER	7600	26565	\N	\N	\N
892796	3042	1996-06-02	VYDAJ	VYBER	10700	24856	\N	\N	\N
892797	3042	1996-07-02	VYDAJ	VYBER	13600	27870	\N	\N	\N
892798	3042	1996-08-01	VYDAJ	VYBER	16200	20672	\N	\N	\N
892799	3042	1996-08-31	VYDAJ	VYBER	11600	18058	\N	\N	\N
892800	3042	1996-09-30	VYDAJ	VYBER	9000	18008	\N	\N	\N
892801	3042	1996-10-30	VYDAJ	VYBER	9200	17059	\N	\N	\N
892802	3042	1996-11-29	VYDAJ	VYBER	7600	18407	\N	\N	\N
892803	3042	1996-12-29	VYDAJ	VYBER	10800	15477	\N	\N	\N
892804	3042	1997-01-28	VYDAJ	VYBER	4300	15576	\N	\N	\N
892805	3042	1997-03-29	VYDAJ	VYBER	15500	15065	\N	\N	\N
892806	3042	1997-05-28	VYDAJ	VYBER	17800	15171	\N	\N	\N
892807	3042	1997-07-27	VYDAJ	VYBER	23300	17405	\N	\N	\N
892808	3042	1997-09-25	VYDAJ	VYBER	20600	14748	\N	\N	\N
892809	3042	1997-12-24	VYDAJ	VYBER	32800	14513	\N	\N	\N
892810	3042	1998-09-20	VYDAJ	VYBER	57200	15677	\N	\N	\N
892874	3043	1996-12-29	PRIJEM	VKLAD	800	800	\N	\N	\N
892887	3043	1997-01-07	PRIJEM	PREVOD Z UCTU	4152	4952	DUCHOD	AB	79502838
892888	3043	1997-02-07	PRIJEM	PREVOD Z UCTU	4152	9104	DUCHOD	AB	79502838
892889	3043	1997-03-07	PRIJEM	PREVOD Z UCTU	4152	13256	DUCHOD	AB	79502838
892890	3043	1997-04-07	PRIJEM	PREVOD Z UCTU	4152	17408	DUCHOD	AB	79502838
892891	3043	1997-05-07	PRIJEM	PREVOD Z UCTU	4152	21560	DUCHOD	AB	79502838
892892	3043	1997-06-07	PRIJEM	PREVOD Z UCTU	4152	22985	DUCHOD	AB	79502838
892893	3043	1997-07-07	PRIJEM	PREVOD Z UCTU	4152	17383	DUCHOD	AB	79502838
892894	3043	1997-08-07	PRIJEM	PREVOD Z UCTU	4152	18812	DUCHOD	AB	79502838
892895	3043	1997-09-07	PRIJEM	PREVOD Z UCTU	4152	17744	DUCHOD	AB	79502838
892896	3043	1997-10-07	PRIJEM	PREVOD Z UCTU	4152	17011	DUCHOD	AB	79502838
892897	3043	1997-11-07	PRIJEM	PREVOD Z UCTU	4152	17137	DUCHOD	AB	79502838
892898	3043	1997-12-07	PRIJEM	PREVOD Z UCTU	4152	18083	DUCHOD	AB	79502838
892899	3043	1998-01-07	PRIJEM	PREVOD Z UCTU	4152	17461	DUCHOD	AB	79502838
892900	3043	1998-02-07	PRIJEM	PREVOD Z UCTU	4152	16485	DUCHOD	AB	79502838
892901	3043	1998-03-07	PRIJEM	PREVOD Z UCTU	4152	17910	DUCHOD	AB	79502838
892902	3043	1998-04-07	PRIJEM	PREVOD Z UCTU	4152	19341	DUCHOD	AB	79502838
892903	3043	1998-05-07	PRIJEM	PREVOD Z UCTU	4152	18853	DUCHOD	AB	79502838
892904	3043	1998-06-07	PRIJEM	PREVOD Z UCTU	4152	16183	DUCHOD	AB	79502838
892905	3043	1998-07-07	PRIJEM	PREVOD Z UCTU	4152	17607	DUCHOD	AB	79502838
892906	3043	1998-08-07	PRIJEM	PREVOD Z UCTU	4152	19036	DUCHOD	AB	79502838
892907	3043	1998-09-07	PRIJEM	PREVOD Z UCTU	4152	20471	DUCHOD	AB	79502838
892908	3043	1998-10-07	PRIJEM	PREVOD Z UCTU	4152	19271	DUCHOD	AB	79502838
892909	3043	1998-11-07	PRIJEM	PREVOD Z UCTU	4152	20707	DUCHOD	AB	79502838
892910	3043	1998-12-07	PRIJEM	PREVOD Z UCTU	4152	22150	DUCHOD	AB	79502838
892927	3043	1997-05-10	VYDAJ	PREVOD NA UCET	2768	18792	SIPO	QR	90735184
892928	3043	1997-06-10	VYDAJ	PREVOD NA UCET	2768	20217	SIPO	QR	90735184
892929	3043	1997-07-10	VYDAJ	PREVOD NA UCET	2768	14615	SIPO	QR	90735184
892930	3043	1997-08-10	VYDAJ	PREVOD NA UCET	2768	16044	SIPO	QR	90735184
892931	3043	1997-09-10	VYDAJ	PREVOD NA UCET	2768	14976	SIPO	QR	90735184
892932	3043	1997-10-10	VYDAJ	PREVOD NA UCET	2768	14243	SIPO	QR	90735184
892933	3043	1997-11-10	VYDAJ	PREVOD NA UCET	2768	14369	SIPO	QR	90735184
892934	3043	1997-12-10	VYDAJ	PREVOD NA UCET	2768	14065	SIPO	QR	90735184
892935	3043	1998-01-10	VYDAJ	PREVOD NA UCET	2768	13333	SIPO	QR	90735184
892936	3043	1998-02-10	VYDAJ	PREVOD NA UCET	2768	13717	SIPO	QR	90735184
892937	3043	1998-03-10	VYDAJ	PREVOD NA UCET	2768	15142	SIPO	QR	90735184
892938	3043	1998-04-10	VYDAJ	PREVOD NA UCET	2768	16573	SIPO	QR	90735184
892939	3043	1998-05-10	VYDAJ	PREVOD NA UCET	2768	16085	SIPO	QR	90735184
892940	3043	1998-06-10	VYDAJ	PREVOD NA UCET	2768	13415	SIPO	QR	90735184
892941	3043	1998-07-10	VYDAJ	PREVOD NA UCET	2768	14839	SIPO	QR	90735184
892942	3043	1998-08-10	VYDAJ	PREVOD NA UCET	2768	16268	SIPO	QR	90735184
892943	3043	1998-09-10	VYDAJ	PREVOD NA UCET	2768	17703	SIPO	QR	90735184
892944	3043	1998-10-10	VYDAJ	PREVOD NA UCET	2768	16503	SIPO	QR	90735184
892945	3043	1998-11-10	VYDAJ	PREVOD NA UCET	2768	17939	SIPO	QR	90735184
892946	3043	1998-12-10	VYDAJ	PREVOD NA UCET	2768	18082	SIPO	QR	90735184
892948	3043	1997-06-10	VYDAJ	VYBER	6050	14167	\N	\N	\N
892954	3043	1997-12-09	VYDAJ	VYBER	1250	16833	\N	\N	\N
892955	3043	1998-12-09	VYDAJ	VYBER	1300	20850	\N	\N	\N
892970	3043	1998-01-08	VYDAJ	VYBER	1360	16101	\N	\N	\N
892971	3043	1998-01-01	VYDAJ	VYBER	800	13309	\N	\N	\N
892972	3043	1998-01-11	VYDAJ	VYBER	640	12693	\N	\N	\N
892973	3043	1998-01-19	VYDAJ	VYBER	400	12293	\N	\N	\N
892978	3043	1997-11-13	VYDAJ	VYBER	480	13889	\N	\N	\N
892979	3043	1997-09-20	VYDAJ	VYBER	2160	12816	\N	\N	\N
892980	3043	1998-04-17	VYDAJ	VYBER	1920	14653	\N	\N	\N
892981	3043	1998-09-27	VYDAJ	VYBER	2640	15063	\N	\N	\N
892983	3043	1998-12-21	VYDAJ	VYBER	2160	15922	\N	\N	\N
893002	3043	1997-05-31	VYDAJ	VYBER	15	18833	SLUZBY	\N	\N
893003	3043	1997-06-30	VYDAJ	VYBER	15	13231	SLUZBY	\N	\N
893004	3043	1997-07-31	VYDAJ	VYBER	15	14660	SLUZBY	\N	\N
893005	3043	1997-08-31	VYDAJ	VYBER	15	13592	SLUZBY	\N	\N
893006	3043	1997-09-30	VYDAJ	VYBER	15	12859	SLUZBY	\N	\N
893007	3043	1997-10-31	VYDAJ	VYBER	15	12985	SLUZBY	\N	\N
893008	3043	1997-11-30	VYDAJ	VYBER	15	13931	SLUZBY	\N	\N
893009	3043	1997-12-31	VYDAJ	VYBER	15	14109	SLUZBY	\N	\N
893010	3043	1998-01-31	VYDAJ	VYBER	15	12333	SLUZBY	\N	\N
893011	3043	1998-02-28	VYDAJ	VYBER	15	13758	SLUZBY	\N	\N
893012	3043	1998-03-31	VYDAJ	VYBER	15	15189	SLUZBY	\N	\N
893013	3043	1998-04-30	VYDAJ	VYBER	15	14701	SLUZBY	\N	\N
893014	3043	1998-05-31	VYDAJ	VYBER	15	12031	SLUZBY	\N	\N
893015	3043	1998-06-30	VYDAJ	VYBER	15	13455	SLUZBY	\N	\N
893016	3043	1998-07-31	VYDAJ	VYBER	15	14884	SLUZBY	\N	\N
893017	3043	1998-08-31	VYDAJ	VYBER	15	16319	SLUZBY	\N	\N
893018	3043	1998-09-30	VYDAJ	VYBER	15	15119	SLUZBY	\N	\N
893019	3043	1998-10-31	VYDAJ	VYBER	15	16555	SLUZBY	\N	\N
893020	3043	1998-11-30	VYDAJ	VYBER	15	17998	SLUZBY	\N	\N
893021	3043	1997-06-27	VYDAJ	VYBER	1000	13167	\N	\N	\N
893022	3043	1997-08-26	VYDAJ	VYBER	2500	13544	\N	\N	\N
893023	3043	1997-10-25	VYDAJ	VYBER	1300	12943	\N	\N	\N
893024	3043	1998-05-23	VYDAJ	VYBER	4100	11985	\N	\N	\N
893045	3044	1996-09-14	PRIJEM	VKLAD	500	500	\N	\N	\N
893055	3044	1996-10-10	PRIJEM	PREVOD Z UCTU	4134	4634	DUCHOD	MN	73289644
893056	3044	1996-11-10	PRIJEM	PREVOD Z UCTU	4134	8768	DUCHOD	MN	73289644
893057	3044	1996-12-10	PRIJEM	PREVOD Z UCTU	4134	12902	DUCHOD	MN	73289644
893058	3044	1997-01-10	PRIJEM	PREVOD Z UCTU	4134	17036	DUCHOD	MN	73289644
893059	3044	1997-02-10	PRIJEM	PREVOD Z UCTU	4134	21170	DUCHOD	MN	73289644
893060	3044	1997-03-10	PRIJEM	PREVOD Z UCTU	4134	19737	DUCHOD	MN	73289644
893061	3044	1997-04-10	PRIJEM	PREVOD Z UCTU	4134	21183	DUCHOD	MN	73289644
893062	3044	1997-05-10	PRIJEM	PREVOD Z UCTU	4134	22633	DUCHOD	MN	73289644
893063	3044	1997-06-10	PRIJEM	PREVOD Z UCTU	4134	23529	DUCHOD	MN	73289644
893064	3044	1997-07-10	PRIJEM	PREVOD Z UCTU	4134	24989	DUCHOD	MN	73289644
893065	3044	1997-08-10	PRIJEM	PREVOD Z UCTU	4134	25255	DUCHOD	MN	73289644
893066	3044	1997-09-10	PRIJEM	PREVOD Z UCTU	4134	26722	DUCHOD	MN	73289644
893067	3044	1997-10-10	PRIJEM	PREVOD Z UCTU	4134	28195	DUCHOD	MN	73289644
893068	3044	1997-11-10	PRIJEM	PREVOD Z UCTU	4134	29674	DUCHOD	MN	73289644
893069	3044	1997-12-10	PRIJEM	PREVOD Z UCTU	4134	29879	DUCHOD	MN	73289644
893070	3044	1998-01-10	PRIJEM	PREVOD Z UCTU	4134	25361	DUCHOD	MN	73289644
893071	3044	1998-02-10	PRIJEM	PREVOD Z UCTU	4134	16161	DUCHOD	MN	73289644
893072	3044	1998-03-10	PRIJEM	PREVOD Z UCTU	4134	17592	DUCHOD	MN	73289644
893073	3044	1998-04-10	PRIJEM	PREVOD Z UCTU	4134	19027	DUCHOD	MN	73289644
893074	3044	1998-05-10	PRIJEM	PREVOD Z UCTU	4134	20468	DUCHOD	MN	73289644
893075	3044	1998-06-10	PRIJEM	PREVOD Z UCTU	4134	20792	DUCHOD	MN	73289644
893076	3044	1998-07-10	PRIJEM	PREVOD Z UCTU	4134	19733	DUCHOD	MN	73289644
893077	3044	1998-08-10	PRIJEM	PREVOD Z UCTU	4134	21177	DUCHOD	MN	73289644
893078	3044	1998-09-10	PRIJEM	PREVOD Z UCTU	4134	17581	DUCHOD	MN	73289644
893079	3044	1998-10-10	PRIJEM	PREVOD Z UCTU	4134	16455	DUCHOD	MN	73289644
893080	3044	1998-11-10	PRIJEM	PREVOD Z UCTU	4134	17885	DUCHOD	MN	73289644
893081	3044	1998-12-10	PRIJEM	PREVOD Z UCTU	4134	19321	DUCHOD	MN	73289644
893096	3044	1997-03-08	VYDAJ	PREVOD NA UCET	2756	18403	SIPO	MN	65354591
893097	3044	1997-04-08	VYDAJ	PREVOD NA UCET	2756	17049	SIPO	MN	65354591
893098	3044	1997-05-08	VYDAJ	PREVOD NA UCET	2756	18499	SIPO	MN	65354591
893099	3044	1997-06-08	VYDAJ	PREVOD NA UCET	2756	19395	SIPO	MN	65354591
893100	3044	1997-07-08	VYDAJ	PREVOD NA UCET	2756	20855	SIPO	MN	65354591
893101	3044	1997-08-08	VYDAJ	PREVOD NA UCET	2756	21121	SIPO	MN	65354591
893102	3044	1997-09-08	VYDAJ	PREVOD NA UCET	2756	22588	SIPO	MN	65354591
893103	3044	1997-10-08	VYDAJ	PREVOD NA UCET	2756	24061	SIPO	MN	65354591
893104	3044	1997-11-08	VYDAJ	PREVOD NA UCET	2756	25540	SIPO	MN	65354591
893105	3044	1997-12-08	VYDAJ	PREVOD NA UCET	2756	25745	SIPO	MN	65354591
893106	3044	1998-01-08	VYDAJ	PREVOD NA UCET	2756	21227	SIPO	MN	65354591
893107	3044	1998-02-08	VYDAJ	PREVOD NA UCET	2756	12027	SIPO	MN	65354591
893108	3044	1998-03-08	VYDAJ	PREVOD NA UCET	2756	13458	SIPO	MN	65354591
893109	3044	1998-04-08	VYDAJ	PREVOD NA UCET	2756	14893	SIPO	MN	65354591
893110	3044	1998-05-08	VYDAJ	PREVOD NA UCET	2756	16334	SIPO	MN	65354591
893111	3044	1998-06-08	VYDAJ	PREVOD NA UCET	2756	16658	SIPO	MN	65354591
893112	3044	1998-07-08	VYDAJ	PREVOD NA UCET	2756	15599	SIPO	MN	65354591
893113	3044	1998-08-08	VYDAJ	PREVOD NA UCET	2756	17043	SIPO	MN	65354591
893114	3044	1998-09-08	VYDAJ	PREVOD NA UCET	2756	13447	SIPO	MN	65354591
893115	3044	1998-10-08	VYDAJ	PREVOD NA UCET	2756	12321	SIPO	MN	65354591
893116	3044	1998-11-08	VYDAJ	PREVOD NA UCET	2756	13751	SIPO	MN	65354591
893117	3044	1998-12-08	VYDAJ	PREVOD NA UCET	2756	15187	SIPO	MN	65354591
893120	3044	1998-06-12	VYDAJ	VYBER	2500	18292	\N	\N	\N
893123	3044	1998-01-11	VYDAJ	VYBER	3850	21511	\N	\N	\N
893125	3044	1997-12-25	VYDAJ	VYBER	1200	25879	\N	\N	\N
893126	3044	1998-12-24	VYDAJ	VYBER	1300	18021	\N	\N	\N
893139	3044	1998-01-15	VYDAJ	VYBER	1360	19271	\N	\N	\N
893140	3044	1998-01-15	VYDAJ	VYBER	880	18391	\N	\N	\N
893141	3044	1998-01-30	VYDAJ	VYBER	800	17591	\N	\N	\N
893142	3044	1998-01-12	VYDAJ	VYBER	880	20631	\N	\N	\N
893143	3044	1998-01-01	VYDAJ	VYBER	480	25503	\N	\N	\N
893144	3044	1998-01-06	VYDAJ	VYBER	1520	23983	\N	\N	\N
893153	3044	1997-08-04	VYDAJ	VYBER	1200	23877	\N	\N	\N
893154	3044	1997-12-23	VYDAJ	VYBER	2800	27079	\N	\N	\N
893155	3044	1997-12-07	VYDAJ	VYBER	1280	28501	\N	\N	\N
893156	3044	1997-03-08	VYDAJ	VYBER	2800	15603	\N	\N	\N
893157	3044	1997-05-29	VYDAJ	VYBER	560	22073	\N	\N	\N
893159	3044	1998-09-26	VYDAJ	VYBER	2560	15021	\N	\N	\N
893160	3044	1998-02-07	VYDAJ	VYBER	2880	14783	\N	\N	\N
893161	3044	1998-08-16	VYDAJ	VYBER	2800	18377	\N	\N	\N
893162	3044	1998-09-02	VYDAJ	VYBER	2240	16203	\N	\N	\N
893163	3044	1998-05-14	VYDAJ	VYBER	1120	19348	\N	\N	\N
893178	3044	1997-02-28	VYDAJ	VYBER	15	21159	SLUZBY	\N	\N
893179	3044	1997-03-31	VYDAJ	VYBER	15	19805	SLUZBY	\N	\N
893180	3044	1997-04-30	VYDAJ	VYBER	15	21255	SLUZBY	\N	\N
893181	3044	1997-05-31	VYDAJ	VYBER	15	22151	SLUZBY	\N	\N
893182	3044	1997-06-30	VYDAJ	VYBER	15	23611	SLUZBY	\N	\N
893183	3044	1997-07-31	VYDAJ	VYBER	15	25077	SLUZBY	\N	\N
893184	3044	1997-08-31	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
893185	3044	1997-09-30	VYDAJ	VYBER	15	26817	SLUZBY	\N	\N
893186	3044	1997-10-31	VYDAJ	VYBER	15	28296	SLUZBY	\N	\N
893187	3044	1997-11-30	VYDAJ	VYBER	15	29781	SLUZBY	\N	\N
893188	3044	1997-12-31	VYDAJ	VYBER	15	25983	SLUZBY	\N	\N
893189	3044	1998-01-31	VYDAJ	VYBER	15	17663	SLUZBY	\N	\N
893190	3044	1998-02-28	VYDAJ	VYBER	15	16214	SLUZBY	\N	\N
893191	3044	1998-03-31	VYDAJ	VYBER	15	17649	SLUZBY	\N	\N
893192	3044	1998-04-30	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
893193	3044	1998-05-31	VYDAJ	VYBER	15	19414	SLUZBY	\N	\N
893194	3044	1998-06-30	VYDAJ	VYBER	15	18355	SLUZBY	\N	\N
893195	3044	1998-07-31	VYDAJ	VYBER	15	19799	SLUZBY	\N	\N
893196	3044	1998-08-31	VYDAJ	VYBER	15	18443	SLUZBY	\N	\N
893197	3044	1998-09-30	VYDAJ	VYBER	15	15077	SLUZBY	\N	\N
893198	3044	1998-10-31	VYDAJ	VYBER	15	16507	SLUZBY	\N	\N
893199	3044	1998-11-30	VYDAJ	VYBER	15	17943	SLUZBY	\N	\N
893223	3045	1995-06-08	PRIJEM	VKLAD	300	300	\N	\N	\N
893230	3045	1995-07-05	PRIJEM	PREVOD Z UCTU	6079	6379	DUCHOD	IJ	60979288
893231	3045	1995-08-05	PRIJEM	PREVOD Z UCTU	6079	12458	DUCHOD	IJ	60979288
893232	3045	1995-09-05	PRIJEM	PREVOD Z UCTU	6079	18537	DUCHOD	IJ	60979288
893233	3045	1995-10-05	PRIJEM	PREVOD Z UCTU	6079	24616	DUCHOD	IJ	60979288
893234	3045	1995-11-05	PRIJEM	PREVOD Z UCTU	6079	30695	DUCHOD	IJ	60979288
893235	3045	1995-12-05	PRIJEM	PREVOD Z UCTU	6079	33593	DUCHOD	IJ	60979288
893236	3045	1996-01-05	PRIJEM	PREVOD Z UCTU	6079	34567	DUCHOD	IJ	60979288
893237	3045	1996-02-05	PRIJEM	PREVOD Z UCTU	6079	22806	DUCHOD	IJ	60979288
893238	3045	1996-03-05	PRIJEM	PREVOD Z UCTU	6079	24823	DUCHOD	IJ	60979288
893239	3045	1996-04-05	PRIJEM	PREVOD Z UCTU	6079	28622	DUCHOD	IJ	60979288
893240	3045	1996-05-05	PRIJEM	PREVOD Z UCTU	6079	32135	DUCHOD	IJ	60979288
893241	3045	1996-06-05	PRIJEM	PREVOD Z UCTU	6079	32056	DUCHOD	IJ	60979288
893242	3045	1996-07-05	PRIJEM	PREVOD Z UCTU	6079	31433	DUCHOD	IJ	60979288
893243	3045	1996-08-05	PRIJEM	PREVOD Z UCTU	6079	33860	DUCHOD	IJ	60979288
893244	3045	1996-09-05	PRIJEM	PREVOD Z UCTU	6079	36188	DUCHOD	IJ	60979288
893245	3045	1996-10-05	PRIJEM	PREVOD Z UCTU	6079	33911	DUCHOD	IJ	60979288
893246	3045	1996-11-05	PRIJEM	PREVOD Z UCTU	6079	34740	DUCHOD	IJ	60979288
893247	3045	1996-12-05	PRIJEM	PREVOD Z UCTU	6079	33777	DUCHOD	IJ	60979288
893248	3045	1997-01-05	PRIJEM	PREVOD Z UCTU	6079	33582	DUCHOD	IJ	60979288
893249	3045	1997-02-05	PRIJEM	PREVOD Z UCTU	6079	24944	DUCHOD	IJ	60979288
893250	3045	1997-03-05	PRIJEM	PREVOD Z UCTU	6079	27834	DUCHOD	IJ	60979288
893251	3045	1997-04-05	PRIJEM	PREVOD Z UCTU	6079	28395	DUCHOD	IJ	60979288
893252	3045	1997-05-05	PRIJEM	PREVOD Z UCTU	6079	28398	DUCHOD	IJ	60979288
893253	3045	1997-06-05	PRIJEM	PREVOD Z UCTU	6079	25920	DUCHOD	IJ	60979288
893254	3045	1997-07-05	PRIJEM	PREVOD Z UCTU	6079	27801	DUCHOD	IJ	60979288
893255	3045	1997-08-05	PRIJEM	PREVOD Z UCTU	6079	30402	DUCHOD	IJ	60979288
893256	3045	1997-09-05	PRIJEM	PREVOD Z UCTU	6079	30497	DUCHOD	IJ	60979288
893257	3045	1997-10-05	PRIJEM	PREVOD Z UCTU	6079	31607	DUCHOD	IJ	60979288
893258	3045	1997-11-05	PRIJEM	PREVOD Z UCTU	6079	29998	DUCHOD	IJ	60979288
893259	3045	1997-12-05	PRIJEM	PREVOD Z UCTU	6079	29306	DUCHOD	IJ	60979288
893260	3045	1998-01-05	PRIJEM	PREVOD Z UCTU	6079	26016	DUCHOD	IJ	60979288
893261	3045	1998-02-05	PRIJEM	PREVOD Z UCTU	6079	20357	DUCHOD	IJ	60979288
893262	3045	1998-03-05	PRIJEM	PREVOD Z UCTU	6079	21130	DUCHOD	IJ	60979288
893263	3045	1998-04-05	PRIJEM	PREVOD Z UCTU	6079	18429	DUCHOD	IJ	60979288
893264	3045	1998-05-05	PRIJEM	PREVOD Z UCTU	6079	20751	DUCHOD	IJ	60979288
893265	3045	1998-06-05	PRIJEM	PREVOD Z UCTU	6079	22321	DUCHOD	IJ	60979288
893266	3045	1998-07-05	PRIJEM	PREVOD Z UCTU	6079	26005	DUCHOD	IJ	60979288
893267	3045	1998-08-05	PRIJEM	PREVOD Z UCTU	6079	25299	DUCHOD	IJ	60979288
893268	3045	1998-09-05	PRIJEM	PREVOD Z UCTU	6079	23983	DUCHOD	IJ	60979288
893269	3045	1998-10-05	PRIJEM	PREVOD Z UCTU	6079	24886	DUCHOD	IJ	60979288
893270	3045	1998-11-05	PRIJEM	PREVOD Z UCTU	6079	22470	DUCHOD	IJ	60979288
893271	3045	1998-12-05	PRIJEM	PREVOD Z UCTU	6079	26258	DUCHOD	IJ	60979288
893282	3045	1995-11-05	VYDAJ	PREVOD NA UCET	2366	27429	SIPO	WX	59194171
893283	3045	1995-12-05	VYDAJ	PREVOD NA UCET	2366	28727	SIPO	WX	59194171
893284	3045	1996-01-05	VYDAJ	PREVOD NA UCET	2366	32201	SIPO	WX	59194171
893285	3045	1996-02-05	VYDAJ	PREVOD NA UCET	2366	20440	SIPO	WX	59194171
893286	3045	1996-03-05	VYDAJ	PREVOD NA UCET	2366	22457	SIPO	WX	59194171
893287	3045	1996-04-05	VYDAJ	PREVOD NA UCET	2366	26256	SIPO	WX	59194171
893288	3045	1996-05-05	VYDAJ	PREVOD NA UCET	2366	29769	SIPO	WX	59194171
893289	3045	1996-06-05	VYDAJ	PREVOD NA UCET	2366	29690	SIPO	WX	59194171
893290	3045	1996-07-05	VYDAJ	PREVOD NA UCET	2366	29067	SIPO	WX	59194171
893291	3045	1996-08-05	VYDAJ	PREVOD NA UCET	2366	31494	SIPO	WX	59194171
893292	3045	1996-09-05	VYDAJ	PREVOD NA UCET	2366	33822	SIPO	WX	59194171
893293	3045	1996-10-05	VYDAJ	PREVOD NA UCET	2366	31545	SIPO	WX	59194171
893294	3045	1996-11-05	VYDAJ	PREVOD NA UCET	2366	32374	SIPO	WX	59194171
893295	3045	1996-12-05	VYDAJ	PREVOD NA UCET	2366	31411	SIPO	WX	59194171
893296	3045	1997-01-05	VYDAJ	PREVOD NA UCET	2366	31216	SIPO	WX	59194171
893297	3045	1997-02-05	VYDAJ	PREVOD NA UCET	2366	22578	SIPO	WX	59194171
893298	3045	1997-03-05	VYDAJ	PREVOD NA UCET	2366	25468	SIPO	WX	59194171
893299	3045	1997-04-05	VYDAJ	PREVOD NA UCET	2366	26029	SIPO	WX	59194171
893300	3045	1997-05-05	VYDAJ	PREVOD NA UCET	2366	26032	SIPO	WX	59194171
893301	3045	1997-06-05	VYDAJ	PREVOD NA UCET	2366	23554	SIPO	WX	59194171
893302	3045	1997-07-05	VYDAJ	PREVOD NA UCET	2366	25435	SIPO	WX	59194171
893303	3045	1997-08-05	VYDAJ	PREVOD NA UCET	2366	28036	SIPO	WX	59194171
893304	3045	1997-09-05	VYDAJ	PREVOD NA UCET	2366	28131	SIPO	WX	59194171
893305	3045	1997-10-05	VYDAJ	PREVOD NA UCET	2366	29241	SIPO	WX	59194171
893306	3045	1997-11-05	VYDAJ	PREVOD NA UCET	2366	27632	SIPO	WX	59194171
893307	3045	1997-12-05	VYDAJ	PREVOD NA UCET	2366	26940	SIPO	WX	59194171
893308	3045	1998-01-05	VYDAJ	PREVOD NA UCET	2366	23650	SIPO	WX	59194171
893309	3045	1998-02-05	VYDAJ	PREVOD NA UCET	2366	17991	SIPO	WX	59194171
893310	3045	1998-03-05	VYDAJ	PREVOD NA UCET	2366	18764	SIPO	WX	59194171
893311	3045	1998-04-05	VYDAJ	PREVOD NA UCET	2366	16063	SIPO	WX	59194171
893312	3045	1998-05-05	VYDAJ	PREVOD NA UCET	2366	18385	SIPO	WX	59194171
893313	3045	1998-06-05	VYDAJ	PREVOD NA UCET	2366	19955	SIPO	WX	59194171
893314	3045	1998-07-05	VYDAJ	PREVOD NA UCET	2366	23639	SIPO	WX	59194171
893315	3045	1998-08-05	VYDAJ	PREVOD NA UCET	2366	22933	SIPO	WX	59194171
893316	3045	1998-09-05	VYDAJ	PREVOD NA UCET	2366	21617	SIPO	WX	59194171
893317	3045	1998-10-05	VYDAJ	PREVOD NA UCET	2366	22520	SIPO	WX	59194171
893318	3045	1998-11-05	VYDAJ	PREVOD NA UCET	2366	20104	SIPO	WX	59194171
893319	3045	1998-12-05	VYDAJ	PREVOD NA UCET	2366	23892	SIPO	WX	59194171
893321	3045	1996-06-26	VYDAJ	VYBER	2850	26840	\N	\N	\N
893325	3045	1996-01-27	VYDAJ	VYBER	4200	16641	\N	\N	\N
893326	3045	1997-01-25	VYDAJ	VYBER	2200	21336	\N	\N	\N
893327	3045	1998-01-15	VYDAJ	VYBER	4950	15900	\N	\N	\N
893328	3045	1995-12-29	VYDAJ	VYBER	350	28377	\N	\N	\N
893329	3045	1996-12-20	VYDAJ	VYBER	800	30611	\N	\N	\N
893330	3045	1997-12-01	VYDAJ	VYBER	1300	23227	\N	\N	\N
893331	3045	1998-12-22	VYDAJ	VYBER	850	17042	\N	\N	\N
893338	3045	1996-01-11	VYDAJ	VYBER	1840	25881	\N	\N	\N
893339	3045	1996-01-05	VYDAJ	VYBER	1280	30921	\N	\N	\N
893340	3045	1996-01-08	VYDAJ	VYBER	640	27721	\N	\N	\N
893341	3045	1996-01-13	VYDAJ	VYBER	1200	24681	\N	\N	\N
893342	3045	1996-01-20	VYDAJ	VYBER	2160	22521	\N	\N	\N
893343	3045	1996-01-22	VYDAJ	VYBER	1680	20841	\N	\N	\N
893344	3045	1997-01-20	VYDAJ	VYBER	1360	23536	\N	\N	\N
893345	3045	1997-01-11	VYDAJ	VYBER	1200	26096	\N	\N	\N
893346	3045	1997-01-27	VYDAJ	VYBER	400	20936	\N	\N	\N
893347	3045	1997-01-18	VYDAJ	VYBER	1200	24896	\N	\N	\N
893348	3045	1997-01-30	VYDAJ	VYBER	2160	18776	\N	\N	\N
893349	3045	1997-01-04	VYDAJ	VYBER	720	27503	\N	\N	\N
893351	3045	1998-01-07	VYDAJ	VYBER	1920	21730	\N	\N	\N
893353	3045	1998-01-19	VYDAJ	VYBER	1680	14220	\N	\N	\N
893354	3045	1998-01-09	VYDAJ	VYBER	880	20850	\N	\N	\N
893355	3045	1998-01-01	VYDAJ	VYBER	480	19937	\N	\N	\N
893358	3045	1996-09-25	VYDAJ	VYBER	1920	31902	\N	\N	\N
893359	3045	1996-01-06	VYDAJ	VYBER	2560	28361	\N	\N	\N
893360	3045	1996-02-14	VYDAJ	VYBER	1760	18680	\N	\N	\N
893361	3045	1997-03-28	VYDAJ	VYBER	640	24828	\N	\N	\N
893362	3045	1997-01-06	VYDAJ	VYBER	3920	27296	\N	\N	\N
893363	3045	1997-12-30	VYDAJ	VYBER	3120	20320	\N	\N	\N
893364	3045	1997-08-23	VYDAJ	VYBER	2720	25316	\N	\N	\N
893365	3045	1997-06-02	VYDAJ	VYBER	2880	19841	\N	\N	\N
893366	3045	1997-06-25	VYDAJ	VYBER	1920	21634	\N	\N	\N
893367	3045	1997-10-20	VYDAJ	VYBER	2720	26521	\N	\N	\N
893368	3045	1998-04-28	VYDAJ	VYBER	1440	14623	\N	\N	\N
893369	3045	1998-10-03	VYDAJ	VYBER	1280	18807	\N	\N	\N
893370	3045	1998-03-11	VYDAJ	VYBER	1440	15004	\N	\N	\N
893371	3045	1998-03-06	VYDAJ	VYBER	2320	16444	\N	\N	\N
893372	3045	1998-07-31	VYDAJ	VYBER	1200	19220	\N	\N	\N
893385	3045	1995-11-30	VYDAJ	VYBER	15	27514	SLUZBY	\N	\N
893386	3045	1995-12-31	VYDAJ	VYBER	15	28488	SLUZBY	\N	\N
893387	3045	1996-01-31	VYDAJ	VYBER	15	16727	SLUZBY	\N	\N
893388	3045	1996-02-29	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
893389	3045	1996-03-31	VYDAJ	VYBER	15	22543	SLUZBY	\N	\N
893390	3045	1996-04-30	VYDAJ	VYBER	15	26356	SLUZBY	\N	\N
893391	3045	1996-05-31	VYDAJ	VYBER	15	29877	SLUZBY	\N	\N
893392	3045	1996-06-30	VYDAJ	VYBER	15	26954	SLUZBY	\N	\N
893393	3045	1996-07-31	VYDAJ	VYBER	15	29181	SLUZBY	\N	\N
893394	3045	1996-08-31	VYDAJ	VYBER	15	31609	SLUZBY	\N	\N
893395	3045	1996-09-30	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
893396	3045	1996-10-31	VYDAJ	VYBER	15	28661	SLUZBY	\N	\N
893397	3045	1996-11-30	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
893398	3045	1996-12-31	VYDAJ	VYBER	15	28223	SLUZBY	\N	\N
893399	3045	1997-01-31	VYDAJ	VYBER	15	18865	SLUZBY	\N	\N
893400	3045	1997-02-28	VYDAJ	VYBER	15	21755	SLUZBY	\N	\N
893401	3045	1997-03-31	VYDAJ	VYBER	15	22316	SLUZBY	\N	\N
893402	3045	1997-04-30	VYDAJ	VYBER	15	22319	SLUZBY	\N	\N
893403	3045	1997-05-31	VYDAJ	VYBER	15	22721	SLUZBY	\N	\N
893404	3045	1997-06-30	VYDAJ	VYBER	15	21722	SLUZBY	\N	\N
893405	3045	1997-07-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
893406	3045	1997-08-31	VYDAJ	VYBER	15	24418	SLUZBY	\N	\N
893407	3045	1997-09-30	VYDAJ	VYBER	15	25528	SLUZBY	\N	\N
893408	3045	1997-10-31	VYDAJ	VYBER	15	23919	SLUZBY	\N	\N
893409	3045	1997-11-30	VYDAJ	VYBER	15	24527	SLUZBY	\N	\N
893410	3045	1997-12-31	VYDAJ	VYBER	15	20417	SLUZBY	\N	\N
893411	3045	1998-01-31	VYDAJ	VYBER	15	14278	SLUZBY	\N	\N
893412	3045	1998-02-28	VYDAJ	VYBER	15	15051	SLUZBY	\N	\N
893413	3045	1998-03-31	VYDAJ	VYBER	15	12350	SLUZBY	\N	\N
893414	3045	1998-04-30	VYDAJ	VYBER	15	14672	SLUZBY	\N	\N
893415	3045	1998-05-31	VYDAJ	VYBER	15	16242	SLUZBY	\N	\N
893416	3045	1998-06-30	VYDAJ	VYBER	15	19926	SLUZBY	\N	\N
893417	3045	1998-07-31	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
893418	3045	1998-08-31	VYDAJ	VYBER	15	17904	SLUZBY	\N	\N
893419	3045	1998-09-30	VYDAJ	VYBER	15	20087	SLUZBY	\N	\N
893420	3045	1998-10-31	VYDAJ	VYBER	15	16391	SLUZBY	\N	\N
893421	3045	1998-11-30	VYDAJ	VYBER	15	20179	SLUZBY	\N	\N
893422	3045	1995-11-05	VYDAJ	VYBER	900	29795	\N	\N	\N
893423	3045	1995-12-05	VYDAJ	VYBER	2500	31093	\N	\N	\N
893424	3045	1996-05-03	VYDAJ	VYBER	300	26056	\N	\N	\N
893425	3045	1996-06-02	VYDAJ	VYBER	3900	25977	\N	\N	\N
893426	3045	1996-07-02	VYDAJ	VYBER	1600	25354	\N	\N	\N
893427	3045	1996-08-01	VYDAJ	VYBER	1400	27781	\N	\N	\N
893428	3045	1996-08-31	VYDAJ	VYBER	1500	30109	\N	\N	\N
893429	3045	1996-09-30	VYDAJ	VYBER	4200	27832	\N	\N	\N
893430	3045	1996-10-30	VYDAJ	VYBER	3000	28545	\N	\N	\N
893431	3045	1996-11-29	VYDAJ	VYBER	4800	27574	\N	\N	\N
893432	3045	1996-12-29	VYDAJ	VYBER	2500	28111	\N	\N	\N
893433	3045	1997-02-27	VYDAJ	VYBER	900	21678	\N	\N	\N
893434	3045	1997-03-29	VYDAJ	VYBER	2600	22228	\N	\N	\N
893435	3045	1997-04-28	VYDAJ	VYBER	3800	22229	\N	\N	\N
893436	3045	1997-05-28	VYDAJ	VYBER	3400	22632	\N	\N	\N
893437	3045	1997-07-27	VYDAJ	VYBER	1200	24235	\N	\N	\N
893438	3045	1997-08-26	VYDAJ	VYBER	1000	24316	\N	\N	\N
893439	3045	1997-09-25	VYDAJ	VYBER	2700	25431	\N	\N	\N
893440	3045	1997-10-25	VYDAJ	VYBER	2700	23821	\N	\N	\N
893441	3045	1997-11-24	VYDAJ	VYBER	3200	24432	\N	\N	\N
893442	3045	1997-12-24	VYDAJ	VYBER	3500	23440	\N	\N	\N
893443	3045	1998-02-22	VYDAJ	VYBER	3000	14991	\N	\N	\N
893444	3045	1998-03-24	VYDAJ	VYBER	2700	12304	\N	\N	\N
893445	3045	1998-05-23	VYDAJ	VYBER	2200	16185	\N	\N	\N
893446	3045	1998-06-22	VYDAJ	VYBER	100	19855	\N	\N	\N
893447	3045	1998-07-22	VYDAJ	VYBER	3300	20339	\N	\N	\N
893448	3045	1998-08-21	VYDAJ	VYBER	5100	17833	\N	\N	\N
893449	3045	1998-09-20	VYDAJ	VYBER	1600	20017	\N	\N	\N
893450	3045	1998-10-20	VYDAJ	VYBER	6200	16320	\N	\N	\N
893451	3045	1998-12-19	VYDAJ	VYBER	6000	17892	\N	\N	\N
893490	3046	1997-08-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
893499	3046	1997-09-06	PRIJEM	PREVOD Z UCTU	3754	4854	\N	AB	18424713
893500	3046	1997-10-06	PRIJEM	PREVOD Z UCTU	3754	20055	\N	AB	18424713
893501	3046	1997-11-06	PRIJEM	PREVOD Z UCTU	3754	27700	\N	AB	18424713
893502	3046	1997-12-06	PRIJEM	PREVOD Z UCTU	3754	32568	\N	AB	18424713
893503	3046	1998-01-06	PRIJEM	PREVOD Z UCTU	3754	34447	\N	AB	18424713
893504	3046	1998-02-06	PRIJEM	PREVOD Z UCTU	3754	28454	\N	AB	18424713
893505	3046	1998-03-06	PRIJEM	PREVOD Z UCTU	3754	30109	\N	AB	18424713
893506	3046	1998-04-06	PRIJEM	PREVOD Z UCTU	3754	27256	\N	AB	18424713
893507	3046	1998-05-06	PRIJEM	PREVOD Z UCTU	3754	31012	\N	AB	18424713
893508	3046	1998-06-06	PRIJEM	PREVOD Z UCTU	3754	34482	\N	AB	18424713
893509	3046	1998-07-06	PRIJEM	PREVOD Z UCTU	3754	26689	\N	AB	18424713
893510	3046	1998-08-06	PRIJEM	PREVOD Z UCTU	3754	27857	\N	AB	18424713
893511	3046	1998-09-06	PRIJEM	PREVOD Z UCTU	3754	21281	\N	AB	18424713
893512	3046	1998-10-06	PRIJEM	PREVOD Z UCTU	3754	20905	\N	AB	18424713
893513	3046	1998-11-06	PRIJEM	PREVOD Z UCTU	3754	17127	\N	AB	18424713
893514	3046	1998-12-06	PRIJEM	PREVOD Z UCTU	3754	14075	\N	AB	18424713
893528	3046	1998-02-05	VYDAJ	PREVOD NA UCET	1889	24700	SIPO	IJ	27034569
893529	3046	1998-03-05	VYDAJ	PREVOD NA UCET	1889	26355	SIPO	IJ	27034569
893530	3046	1998-04-05	VYDAJ	PREVOD NA UCET	1889	23502	SIPO	IJ	27034569
893531	3046	1998-05-05	VYDAJ	PREVOD NA UCET	1889	27258	SIPO	IJ	27034569
893532	3046	1998-06-05	VYDAJ	PREVOD NA UCET	1889	30728	SIPO	IJ	27034569
893533	3046	1998-07-05	VYDAJ	PREVOD NA UCET	1889	22935	SIPO	IJ	27034569
893534	3046	1998-08-05	VYDAJ	PREVOD NA UCET	1889	24103	SIPO	IJ	27034569
893535	3046	1998-09-05	VYDAJ	PREVOD NA UCET	1889	18027	SIPO	IJ	27034569
893536	3046	1998-10-05	VYDAJ	PREVOD NA UCET	1889	18851	SIPO	IJ	27034569
893537	3046	1998-11-05	VYDAJ	PREVOD NA UCET	1889	13373	SIPO	IJ	27034569
893538	3046	1998-12-05	VYDAJ	PREVOD NA UCET	1889	10321	SIPO	IJ	27034569
893551	3046	1998-01-14	VYDAJ	PREVOD NA UCET	613	28854	 	MN	23135692
893552	3046	1998-02-14	VYDAJ	PREVOD NA UCET	613	28141	 	MN	23135692
893553	3046	1998-03-14	VYDAJ	PREVOD NA UCET	613	25296	 	MN	23135692
893554	3046	1998-04-14	VYDAJ	PREVOD NA UCET	613	29043	 	MN	23135692
893555	3046	1998-05-14	VYDAJ	PREVOD NA UCET	613	32499	 	MN	23135692
893556	3046	1998-06-14	VYDAJ	PREVOD NA UCET	613	31369	 	MN	23135692
893557	3046	1998-07-14	VYDAJ	PREVOD NA UCET	613	26976	 	MN	23135692
893558	3046	1998-08-14	VYDAJ	PREVOD NA UCET	613	19844	 	MN	23135692
893559	3046	1998-09-14	VYDAJ	PREVOD NA UCET	613	20668	 	MN	23135692
893560	3046	1998-10-14	VYDAJ	PREVOD NA UCET	613	20292	 	MN	23135692
893561	3046	1998-11-14	VYDAJ	PREVOD NA UCET	613	16514	 	MN	23135692
893562	3046	1998-12-14	VYDAJ	PREVOD NA UCET	613	13462	 	MN	23135692
893564	3046	1998-06-28	VYDAJ	VYBER	6660	24709	\N	\N	\N
893566	3046	1998-12-21	VYDAJ	VYBER	390	13072	\N	\N	\N
893573	3046	1998-01-20	VYDAJ	VYBER	540	27594	\N	\N	\N
893574	3046	1998-01-23	VYDAJ	VYBER	810	26484	\N	\N	\N
893575	3046	1998-01-15	VYDAJ	VYBER	720	28134	\N	\N	\N
893576	3046	1998-01-13	VYDAJ	VYBER	810	29467	\N	\N	\N
893577	3046	1998-01-08	VYDAJ	VYBER	180	30277	\N	\N	\N
893578	3046	1998-01-21	VYDAJ	VYBER	300	27294	\N	\N	\N
893584	3046	1998-12-03	VYDAJ	VYBER	1260	15310	\N	\N	\N
893585	3046	1998-01-06	VYDAJ	VYBER	390	34057	\N	\N	\N
893586	3046	1998-07-17	VYDAJ	VYBER	420	26556	\N	\N	\N
893588	3046	1998-07-22	VYDAJ	VYBER	660	25896	\N	\N	\N
893602	3046	1998-01-31	VYDAJ	VYBER	15	26589	SLUZBY	\N	\N
893603	3046	1998-02-28	VYDAJ	VYBER	15	28244	SLUZBY	\N	\N
893604	3046	1998-03-31	VYDAJ	VYBER	15	25391	SLUZBY	\N	\N
893605	3046	1998-04-30	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
893606	3046	1998-05-31	VYDAJ	VYBER	15	32617	SLUZBY	\N	\N
893607	3046	1998-06-30	VYDAJ	VYBER	15	24824	SLUZBY	\N	\N
893608	3046	1998-07-31	VYDAJ	VYBER	15	25992	SLUZBY	\N	\N
893609	3046	1998-08-31	VYDAJ	VYBER	15	19916	SLUZBY	\N	\N
893610	3046	1998-09-30	VYDAJ	VYBER	15	20740	SLUZBY	\N	\N
893611	3046	1998-10-31	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
893612	3046	1998-11-30	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
893613	3046	1997-09-10	PRIJEM	VKLAD	11400	16254	\N	\N	\N
893614	3046	1997-10-10	PRIJEM	VKLAD	3800	23855	\N	\N	\N
893615	3046	1997-11-09	PRIJEM	VKLAD	1000	28700	\N	\N	\N
893616	3046	1997-12-09	VYDAJ	VYBER	2000	30568	\N	\N	\N
893617	3046	1998-01-08	VYDAJ	VYBER	3600	30457	\N	\N	\N
893618	3046	1998-02-07	PRIJEM	VKLAD	300	28754	\N	\N	\N
893619	3046	1998-03-09	VYDAJ	VYBER	4200	25909	\N	\N	\N
893620	3046	1998-04-08	PRIJEM	VKLAD	2400	29656	\N	\N	\N
893621	3046	1998-05-08	PRIJEM	VKLAD	2100	33112	\N	\N	\N
893622	3046	1998-06-07	VYDAJ	VYBER	2500	31982	\N	\N	\N
893623	3046	1998-07-07	PRIJEM	VKLAD	900	27589	\N	\N	\N
893624	3046	1998-08-06	VYDAJ	VYBER	7400	20457	\N	\N	\N
893625	3046	1998-09-05	VYDAJ	VYBER	500	17527	\N	\N	\N
893626	3046	1998-10-05	VYDAJ	VYBER	1700	17151	\N	\N	\N
893627	3046	1998-11-04	VYDAJ	VYBER	5100	15262	\N	\N	\N
893628	3046	1998-12-04	VYDAJ	VYBER	3100	12210	\N	\N	\N
893645	3047	1993-02-17	PRIJEM	VKLAD	600	600	\N	\N	\N
893648	3047	1993-03-07	PRIJEM	PREVOD Z UCTU	3474	4074	\N	KL	47210419
893649	3047	1993-04-07	PRIJEM	PREVOD Z UCTU	3474	7548	\N	KL	47210419
893650	3047	1993-05-07	PRIJEM	PREVOD Z UCTU	3474	11022	\N	KL	47210419
893651	3047	1993-06-07	PRIJEM	PREVOD Z UCTU	3474	14496	\N	KL	47210419
893652	3047	1993-07-07	PRIJEM	PREVOD Z UCTU	3474	17970	\N	KL	47210419
893653	3047	1993-08-07	PRIJEM	PREVOD Z UCTU	3474	19164	\N	KL	47210419
893654	3047	1993-09-07	PRIJEM	PREVOD Z UCTU	3474	20376	\N	KL	47210419
893655	3047	1993-10-07	PRIJEM	PREVOD Z UCTU	3474	21594	\N	KL	47210419
893656	3047	1993-11-07	PRIJEM	PREVOD Z UCTU	3474	21767	\N	KL	47210419
893657	3047	1993-12-07	PRIJEM	PREVOD Z UCTU	3474	22991	\N	KL	47210419
893658	3047	1994-01-07	PRIJEM	PREVOD Z UCTU	3474	21368	\N	KL	47210419
893659	3047	1994-02-07	PRIJEM	PREVOD Z UCTU	3474	18380	\N	KL	47210419
893660	3047	1994-03-07	PRIJEM	PREVOD Z UCTU	3474	19589	\N	KL	47210419
893661	3047	1994-04-07	PRIJEM	PREVOD Z UCTU	3474	19874	\N	KL	47210419
893662	3047	1994-05-07	PRIJEM	PREVOD Z UCTU	3474	20188	\N	KL	47210419
893663	3047	1994-06-07	PRIJEM	PREVOD Z UCTU	3474	21194	\N	KL	47210419
893664	3047	1994-07-07	PRIJEM	PREVOD Z UCTU	3474	20612	\N	KL	47210419
893665	3047	1994-08-07	PRIJEM	PREVOD Z UCTU	3474	21831	\N	KL	47210419
893666	3047	1994-09-07	PRIJEM	PREVOD Z UCTU	3474	23054	\N	KL	47210419
893667	3047	1994-10-07	PRIJEM	PREVOD Z UCTU	3474	24283	\N	KL	47210419
893668	3047	1994-11-07	PRIJEM	PREVOD Z UCTU	3474	25517	\N	KL	47210419
893669	3047	1994-12-07	PRIJEM	PREVOD Z UCTU	3474	25163	\N	KL	47210419
893670	3047	1995-01-07	PRIJEM	PREVOD Z UCTU	3474	22411	\N	KL	47210419
893671	3047	1995-02-07	PRIJEM	PREVOD Z UCTU	3474	21984	\N	KL	47210419
893672	3047	1995-03-07	PRIJEM	PREVOD Z UCTU	3474	22005	\N	KL	47210419
893673	3047	1995-04-07	PRIJEM	PREVOD Z UCTU	3474	22599	\N	KL	47210419
893674	3047	1995-05-07	PRIJEM	PREVOD Z UCTU	3474	23825	\N	KL	47210419
893675	3047	1995-06-07	PRIJEM	PREVOD Z UCTU	3474	25057	\N	KL	47210419
893676	3047	1995-07-07	PRIJEM	PREVOD Z UCTU	3474	18507	\N	KL	47210419
893677	3047	1995-08-07	PRIJEM	PREVOD Z UCTU	3474	19718	\N	KL	47210419
893678	3047	1995-09-07	PRIJEM	PREVOD Z UCTU	3474	20932	\N	KL	47210419
893679	3047	1995-10-07	PRIJEM	PREVOD Z UCTU	3474	22152	\N	KL	47210419
893680	3047	1995-11-07	PRIJEM	PREVOD Z UCTU	3474	23376	\N	KL	47210419
893681	3047	1995-12-07	PRIJEM	PREVOD Z UCTU	3474	24306	\N	KL	47210419
893682	3047	1996-01-07	PRIJEM	PREVOD Z UCTU	3474	24790	\N	KL	47210419
893683	3047	1996-02-07	PRIJEM	PREVOD Z UCTU	3474	21457	\N	KL	47210419
893684	3047	1996-03-07	PRIJEM	PREVOD Z UCTU	3474	22678	\N	KL	47210419
893685	3047	1996-04-07	PRIJEM	PREVOD Z UCTU	3474	23905	\N	KL	47210419
893686	3047	1996-05-07	PRIJEM	PREVOD Z UCTU	3474	25136	\N	KL	47210419
893687	3047	1996-06-07	PRIJEM	PREVOD Z UCTU	3474	25561	\N	KL	47210419
893688	3047	1996-07-07	PRIJEM	PREVOD Z UCTU	3474	26799	\N	KL	47210419
893689	3047	1996-08-07	PRIJEM	PREVOD Z UCTU	3474	28042	\N	KL	47210419
893690	3047	1996-09-07	PRIJEM	PREVOD Z UCTU	3474	27820	\N	KL	47210419
893691	3047	1996-10-07	PRIJEM	PREVOD Z UCTU	3474	28557	\N	KL	47210419
893692	3047	1996-11-07	PRIJEM	PREVOD Z UCTU	3474	29807	\N	KL	47210419
893693	3047	1996-12-07	PRIJEM	PREVOD Z UCTU	3474	27182	\N	KL	47210419
893694	3047	1997-01-07	PRIJEM	PREVOD Z UCTU	3474	28428	\N	KL	47210419
893695	3047	1997-02-07	PRIJEM	PREVOD Z UCTU	3474	23639	\N	KL	47210419
893696	3047	1997-03-07	PRIJEM	PREVOD Z UCTU	3474	23877	\N	KL	47210419
893697	3047	1997-04-07	PRIJEM	PREVOD Z UCTU	3474	22907	\N	KL	47210419
893698	3047	1997-05-07	PRIJEM	PREVOD Z UCTU	3474	23934	\N	KL	47210419
893699	3047	1997-06-07	PRIJEM	PREVOD Z UCTU	3474	24324	\N	KL	47210419
893700	3047	1997-07-07	PRIJEM	PREVOD Z UCTU	3474	16888	\N	KL	47210419
893701	3047	1997-08-07	PRIJEM	PREVOD Z UCTU	3474	18090	\N	KL	47210419
893702	3047	1997-09-07	PRIJEM	PREVOD Z UCTU	3474	19296	\N	KL	47210419
893703	3047	1997-10-07	PRIJEM	PREVOD Z UCTU	3474	20508	\N	KL	47210419
893704	3047	1997-11-07	PRIJEM	PREVOD Z UCTU	3474	20431	\N	KL	47210419
893705	3047	1997-12-07	PRIJEM	PREVOD Z UCTU	3474	21647	\N	KL	47210419
893706	3047	1998-01-07	PRIJEM	PREVOD Z UCTU	3474	20798	\N	KL	47210419
893707	3047	1998-02-07	PRIJEM	PREVOD Z UCTU	3474	20455	\N	KL	47210419
893708	3047	1998-03-07	PRIJEM	PREVOD Z UCTU	3474	21671	\N	KL	47210419
893709	3047	1998-04-07	PRIJEM	PREVOD Z UCTU	3474	22892	\N	KL	47210419
893710	3047	1998-05-07	PRIJEM	PREVOD Z UCTU	3474	22708	\N	KL	47210419
893711	3047	1998-06-07	PRIJEM	PREVOD Z UCTU	3474	23935	\N	KL	47210419
893712	3047	1998-07-07	PRIJEM	PREVOD Z UCTU	3474	23060	\N	KL	47210419
893713	3047	1998-08-07	PRIJEM	PREVOD Z UCTU	3474	23806	\N	KL	47210419
893714	3047	1998-09-07	PRIJEM	PREVOD Z UCTU	3474	25036	\N	KL	47210419
893715	3047	1998-10-07	PRIJEM	PREVOD Z UCTU	3474	24467	\N	KL	47210419
893716	3047	1998-11-07	PRIJEM	PREVOD Z UCTU	3474	24598	\N	KL	47210419
893717	3047	1998-12-07	PRIJEM	PREVOD Z UCTU	3474	24428	\N	KL	47210419
893724	3047	1993-07-08	VYDAJ	PREVOD NA UCET	2316	15654	\N	IJ	75409131
893725	3047	1993-08-08	VYDAJ	PREVOD NA UCET	2316	16848	\N	IJ	75409131
893726	3047	1993-09-08	VYDAJ	PREVOD NA UCET	2316	18060	\N	IJ	75409131
893727	3047	1993-10-08	VYDAJ	PREVOD NA UCET	2316	19278	\N	IJ	75409131
893728	3047	1993-11-08	VYDAJ	PREVOD NA UCET	2316	19451	\N	IJ	75409131
893729	3047	1993-12-08	VYDAJ	PREVOD NA UCET	2316	20675	\N	IJ	75409131
893730	3047	1994-01-08	VYDAJ	PREVOD NA UCET	2316	16232	\N	IJ	75409131
893731	3047	1994-02-08	VYDAJ	PREVOD NA UCET	2316	16064	\N	IJ	75409131
893732	3047	1994-03-08	VYDAJ	PREVOD NA UCET	2316	17273	\N	IJ	75409131
893733	3047	1994-04-08	VYDAJ	PREVOD NA UCET	2316	17558	\N	IJ	75409131
893734	3047	1994-05-08	VYDAJ	PREVOD NA UCET	2316	17872	\N	IJ	75409131
893735	3047	1994-06-08	VYDAJ	PREVOD NA UCET	2316	18878	\N	IJ	75409131
893736	3047	1994-07-08	VYDAJ	PREVOD NA UCET	2316	18296	\N	IJ	75409131
893737	3047	1994-08-08	VYDAJ	PREVOD NA UCET	2316	19515	\N	IJ	75409131
893738	3047	1994-09-08	VYDAJ	PREVOD NA UCET	2316	20738	\N	IJ	75409131
893739	3047	1994-10-08	VYDAJ	PREVOD NA UCET	2316	21967	\N	IJ	75409131
893740	3047	1994-11-08	VYDAJ	PREVOD NA UCET	2316	23201	\N	IJ	75409131
893741	3047	1994-12-08	VYDAJ	PREVOD NA UCET	2316	22847	\N	IJ	75409131
893742	3047	1995-01-08	VYDAJ	PREVOD NA UCET	2316	20095	\N	IJ	75409131
893743	3047	1995-02-08	VYDAJ	PREVOD NA UCET	2316	19668	\N	IJ	75409131
893744	3047	1995-03-08	VYDAJ	PREVOD NA UCET	2316	19689	\N	IJ	75409131
893745	3047	1995-04-08	VYDAJ	PREVOD NA UCET	2316	20283	\N	IJ	75409131
893746	3047	1995-05-08	VYDAJ	PREVOD NA UCET	2316	21509	\N	IJ	75409131
893747	3047	1995-06-08	VYDAJ	PREVOD NA UCET	2316	22741	\N	IJ	75409131
893748	3047	1995-07-08	VYDAJ	PREVOD NA UCET	2316	16191	\N	IJ	75409131
893749	3047	1995-08-08	VYDAJ	PREVOD NA UCET	2316	17402	\N	IJ	75409131
893750	3047	1995-09-08	VYDAJ	PREVOD NA UCET	2316	18616	\N	IJ	75409131
893751	3047	1995-10-08	VYDAJ	PREVOD NA UCET	2316	19836	\N	IJ	75409131
893752	3047	1995-11-08	VYDAJ	PREVOD NA UCET	2316	21060	\N	IJ	75409131
893753	3047	1995-12-08	VYDAJ	PREVOD NA UCET	2316	21990	\N	IJ	75409131
893754	3047	1996-01-08	VYDAJ	PREVOD NA UCET	2316	22474	\N	IJ	75409131
893755	3047	1996-02-08	VYDAJ	PREVOD NA UCET	2316	19141	\N	IJ	75409131
893756	3047	1996-03-08	VYDAJ	PREVOD NA UCET	2316	20362	\N	IJ	75409131
893757	3047	1996-04-08	VYDAJ	PREVOD NA UCET	2316	21589	\N	IJ	75409131
893758	3047	1996-05-08	VYDAJ	PREVOD NA UCET	2316	22820	\N	IJ	75409131
893759	3047	1996-06-08	VYDAJ	PREVOD NA UCET	2316	23245	\N	IJ	75409131
893760	3047	1996-07-08	VYDAJ	PREVOD NA UCET	2316	24483	\N	IJ	75409131
893761	3047	1996-08-08	VYDAJ	PREVOD NA UCET	2316	25726	\N	IJ	75409131
893762	3047	1996-09-08	VYDAJ	PREVOD NA UCET	2316	25504	\N	IJ	75409131
893763	3047	1996-10-08	VYDAJ	PREVOD NA UCET	2316	26241	\N	IJ	75409131
893764	3047	1996-11-08	VYDAJ	PREVOD NA UCET	2316	27491	\N	IJ	75409131
893765	3047	1996-12-08	VYDAJ	PREVOD NA UCET	2316	24866	\N	IJ	75409131
893766	3047	1997-01-08	VYDAJ	PREVOD NA UCET	2316	26112	\N	IJ	75409131
893767	3047	1997-02-08	VYDAJ	PREVOD NA UCET	2316	21323	\N	IJ	75409131
893768	3047	1997-03-08	VYDAJ	PREVOD NA UCET	2316	21561	\N	IJ	75409131
893769	3047	1997-04-08	VYDAJ	PREVOD NA UCET	2316	20591	\N	IJ	75409131
893770	3047	1997-05-08	VYDAJ	PREVOD NA UCET	2316	21618	\N	IJ	75409131
893771	3047	1997-06-08	VYDAJ	PREVOD NA UCET	2316	13368	\N	IJ	75409131
893772	3047	1997-07-08	VYDAJ	PREVOD NA UCET	2316	14572	\N	IJ	75409131
893773	3047	1997-08-08	VYDAJ	PREVOD NA UCET	2316	15774	\N	IJ	75409131
893774	3047	1997-09-08	VYDAJ	PREVOD NA UCET	2316	16980	\N	IJ	75409131
893775	3047	1997-10-08	VYDAJ	PREVOD NA UCET	2316	18192	\N	IJ	75409131
893776	3047	1997-11-08	VYDAJ	PREVOD NA UCET	2316	18115	\N	IJ	75409131
893777	3047	1997-12-08	VYDAJ	PREVOD NA UCET	2316	19331	\N	IJ	75409131
893778	3047	1998-01-08	VYDAJ	PREVOD NA UCET	2316	18482	\N	IJ	75409131
893779	3047	1998-02-08	VYDAJ	PREVOD NA UCET	2316	18139	\N	IJ	75409131
893780	3047	1998-03-08	VYDAJ	PREVOD NA UCET	2316	19355	\N	IJ	75409131
893781	3047	1998-04-08	VYDAJ	PREVOD NA UCET	2316	20576	\N	IJ	75409131
893782	3047	1998-05-08	VYDAJ	PREVOD NA UCET	2316	20392	\N	IJ	75409131
893783	3047	1998-06-08	VYDAJ	PREVOD NA UCET	2316	20119	\N	IJ	75409131
893784	3047	1998-07-08	VYDAJ	PREVOD NA UCET	2316	20744	\N	IJ	75409131
893785	3047	1998-08-08	VYDAJ	PREVOD NA UCET	2316	21490	\N	IJ	75409131
893786	3047	1998-09-08	VYDAJ	PREVOD NA UCET	2316	22720	\N	IJ	75409131
893787	3047	1998-10-08	VYDAJ	PREVOD NA UCET	2316	22151	\N	IJ	75409131
893788	3047	1998-11-08	VYDAJ	PREVOD NA UCET	2316	22282	\N	IJ	75409131
893789	3047	1998-12-08	VYDAJ	PREVOD NA UCET	2316	22112	\N	IJ	75409131
893791	3047	1994-06-22	VYDAJ	VYBER	1800	17078	\N	\N	\N
893792	3047	1995-06-13	VYDAJ	VYBER	6630	16111	\N	\N	\N
893794	3047	1997-06-07	VYDAJ	VYBER	8640	15684	\N	\N	\N
893795	3047	1998-06-07	VYDAJ	VYBER	1500	22435	\N	\N	\N
893797	3047	1994-01-08	VYDAJ	VYBER	2820	18548	\N	\N	\N
893798	3047	1995-01-01	VYDAJ	VYBER	2940	19987	\N	\N	\N
893799	3047	1996-01-24	VYDAJ	VYBER	1770	17914	\N	\N	\N
893800	3047	1997-01-13	VYDAJ	VYBER	2100	24012	\N	\N	\N
893801	3047	1998-01-05	VYDAJ	VYBER	1050	17984	\N	\N	\N
893808	3047	1994-01-03	VYDAJ	VYBER	210	18164	\N	\N	\N
893809	3047	1994-01-29	VYDAJ	VYBER	240	14852	\N	\N	\N
893810	3047	1994-01-05	VYDAJ	VYBER	270	17894	\N	\N	\N
893811	3047	1994-01-01	VYDAJ	VYBER	210	19604	\N	\N	\N
893812	3047	1994-01-20	VYDAJ	VYBER	420	15812	\N	\N	\N
893813	3047	1994-01-23	VYDAJ	VYBER	720	15092	\N	\N	\N
893814	3047	1995-01-15	VYDAJ	VYBER	270	18805	\N	\N	\N
893815	3047	1995-01-12	VYDAJ	VYBER	690	19075	\N	\N	\N
893816	3047	1995-01-02	VYDAJ	VYBER	630	19357	\N	\N	\N
893817	3047	1995-01-11	VYDAJ	VYBER	330	19765	\N	\N	\N
893818	3047	1995-01-05	VYDAJ	VYBER	420	18937	\N	\N	\N
893819	3047	1995-01-24	VYDAJ	VYBER	360	18445	\N	\N	\N
893820	3047	1996-01-03	VYDAJ	VYBER	750	21316	\N	\N	\N
893821	3047	1996-01-11	VYDAJ	VYBER	870	20554	\N	\N	\N
893822	3047	1996-01-13	VYDAJ	VYBER	600	19954	\N	\N	\N
893823	3047	1996-01-14	VYDAJ	VYBER	270	19684	\N	\N	\N
893824	3047	1996-01-11	VYDAJ	VYBER	540	21934	\N	\N	\N
893825	3047	1996-01-11	VYDAJ	VYBER	510	21424	\N	\N	\N
893826	3047	1997-01-27	VYDAJ	VYBER	480	21942	\N	\N	\N
893827	3047	1997-01-29	VYDAJ	VYBER	390	20082	\N	\N	\N
893828	3047	1997-01-27	VYDAJ	VYBER	570	20472	\N	\N	\N
893829	3047	1997-01-15	VYDAJ	VYBER	360	23652	\N	\N	\N
893830	3047	1997-01-20	VYDAJ	VYBER	180	22722	\N	\N	\N
893831	3047	1997-01-19	VYDAJ	VYBER	750	22902	\N	\N	\N
893832	3047	1998-01-17	VYDAJ	VYBER	570	17912	\N	\N	\N
893833	3047	1998-01-27	VYDAJ	VYBER	240	17432	\N	\N	\N
893834	3047	1998-01-30	VYDAJ	VYBER	510	16922	\N	\N	\N
893835	3047	1998-01-02	VYDAJ	VYBER	360	19034	\N	\N	\N
893836	3047	1998-01-20	VYDAJ	VYBER	240	17672	\N	\N	\N
893837	3047	1998-01-06	VYDAJ	VYBER	660	17324	\N	\N	\N
893840	3047	1993-11-06	VYDAJ	VYBER	1050	18293	\N	\N	\N
893843	3047	1993-12-22	VYDAJ	VYBER	930	19745	\N	\N	\N
893844	3047	1994-04-12	VYDAJ	VYBER	900	16658	\N	\N	\N
893845	3047	1994-05-16	VYDAJ	VYBER	210	17662	\N	\N	\N
893846	3047	1994-01-02	VYDAJ	VYBER	1230	18374	\N	\N	\N
893847	3047	1994-03-31	VYDAJ	VYBER	930	16400	\N	\N	\N
893848	3047	1994-11-25	VYDAJ	VYBER	930	21611	\N	\N	\N
893849	3047	1994-11-17	VYDAJ	VYBER	660	22541	\N	\N	\N
893850	3047	1995-07-05	VYDAJ	VYBER	1140	15033	\N	\N	\N
893851	3047	1995-03-22	VYDAJ	VYBER	630	19059	\N	\N	\N
893852	3047	1995-02-15	VYDAJ	VYBER	1200	18468	\N	\N	\N
893853	3047	1996-08-17	VYDAJ	VYBER	750	24256	\N	\N	\N
893854	3047	1996-12-02	VYDAJ	VYBER	1080	23708	\N	\N	\N
893855	3047	1996-05-09	VYDAJ	VYBER	810	22010	\N	\N	\N
893856	3047	1996-09-29	VYDAJ	VYBER	180	24994	\N	\N	\N
893857	3047	1996-08-17	VYDAJ	VYBER	720	25006	\N	\N	\N
893858	3047	1996-09-23	VYDAJ	VYBER	330	25174	\N	\N	\N
893859	3047	1997-05-16	VYDAJ	VYBER	150	21108	\N	\N	\N
893860	3047	1997-01-22	VYDAJ	VYBER	300	22422	\N	\N	\N
893861	3047	1997-10-14	VYDAJ	VYBER	1290	16902	\N	\N	\N
893862	3047	1997-05-15	VYDAJ	VYBER	360	21258	\N	\N	\N
893863	3047	1997-06-04	VYDAJ	VYBER	330	20850	\N	\N	\N
893864	3047	1997-02-18	VYDAJ	VYBER	690	20633	\N	\N	\N
893865	3047	1998-12-11	VYDAJ	VYBER	210	21902	\N	\N	\N
893866	3047	1998-07-30	VYDAJ	VYBER	480	20264	\N	\N	\N
893867	3047	1998-06-22	VYDAJ	VYBER	210	19909	\N	\N	\N
893868	3047	1998-04-27	VYDAJ	VYBER	150	20426	\N	\N	\N
893869	3047	1998-06-25	VYDAJ	VYBER	390	19519	\N	\N	\N
893870	3047	1998-05-01	VYDAJ	VYBER	1260	19234	\N	\N	\N
893878	3047	1993-07-31	VYDAJ	VYBER	15	15690	SLUZBY	\N	\N
893879	3047	1993-08-31	VYDAJ	VYBER	15	16902	SLUZBY	\N	\N
893880	3047	1993-09-30	VYDAJ	VYBER	15	18120	SLUZBY	\N	\N
893881	3047	1993-10-31	VYDAJ	VYBER	15	19343	SLUZBY	\N	\N
893882	3047	1993-11-30	VYDAJ	VYBER	15	19517	SLUZBY	\N	\N
893883	3047	1993-12-31	VYDAJ	VYBER	15	19814	SLUZBY	\N	\N
893884	3047	1994-01-31	VYDAJ	VYBER	15	14906	SLUZBY	\N	\N
893885	3047	1994-02-28	VYDAJ	VYBER	15	16115	SLUZBY	\N	\N
893886	3047	1994-03-31	VYDAJ	VYBER	15	17330	SLUZBY	\N	\N
893887	3047	1994-04-30	VYDAJ	VYBER	15	16714	SLUZBY	\N	\N
893888	3047	1994-05-31	VYDAJ	VYBER	15	17720	SLUZBY	\N	\N
893889	3047	1994-06-30	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
893890	3047	1994-07-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
893891	3047	1994-08-31	VYDAJ	VYBER	15	19580	SLUZBY	\N	\N
893892	3047	1994-09-30	VYDAJ	VYBER	15	20809	SLUZBY	\N	\N
893893	3047	1994-10-31	VYDAJ	VYBER	15	22043	SLUZBY	\N	\N
893894	3047	1994-11-30	VYDAJ	VYBER	15	21689	SLUZBY	\N	\N
893895	3047	1994-12-31	VYDAJ	VYBER	15	22927	SLUZBY	\N	\N
893896	3047	1995-01-31	VYDAJ	VYBER	15	18510	SLUZBY	\N	\N
893897	3047	1995-02-28	VYDAJ	VYBER	15	18531	SLUZBY	\N	\N
893898	3047	1995-03-31	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
893899	3047	1995-04-30	VYDAJ	VYBER	15	20351	SLUZBY	\N	\N
893900	3047	1995-05-31	VYDAJ	VYBER	15	21583	SLUZBY	\N	\N
893901	3047	1995-06-30	VYDAJ	VYBER	15	16173	SLUZBY	\N	\N
893902	3047	1995-07-31	VYDAJ	VYBER	15	16244	SLUZBY	\N	\N
893903	3047	1995-08-31	VYDAJ	VYBER	15	17458	SLUZBY	\N	\N
893904	3047	1995-09-30	VYDAJ	VYBER	15	18678	SLUZBY	\N	\N
893905	3047	1995-10-31	VYDAJ	VYBER	15	19902	SLUZBY	\N	\N
893906	3047	1995-11-30	VYDAJ	VYBER	15	21132	SLUZBY	\N	\N
893907	3047	1995-12-31	VYDAJ	VYBER	15	22066	SLUZBY	\N	\N
893908	3047	1996-01-31	VYDAJ	VYBER	15	17983	SLUZBY	\N	\N
893909	3047	1996-02-29	VYDAJ	VYBER	15	19204	SLUZBY	\N	\N
893910	3047	1996-03-31	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
893911	3047	1996-04-30	VYDAJ	VYBER	15	21662	SLUZBY	\N	\N
893912	3047	1996-05-31	VYDAJ	VYBER	15	22087	SLUZBY	\N	\N
893913	3047	1996-06-30	VYDAJ	VYBER	15	23325	SLUZBY	\N	\N
893914	3047	1996-07-31	VYDAJ	VYBER	15	24568	SLUZBY	\N	\N
893915	3047	1996-08-31	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
893916	3047	1996-09-30	VYDAJ	VYBER	15	25083	SLUZBY	\N	\N
893917	3047	1996-10-31	VYDAJ	VYBER	15	26333	SLUZBY	\N	\N
893918	3047	1996-11-30	VYDAJ	VYBER	15	24788	SLUZBY	\N	\N
893919	3047	1996-12-31	VYDAJ	VYBER	15	24954	SLUZBY	\N	\N
893920	3047	1997-01-31	VYDAJ	VYBER	15	20165	SLUZBY	\N	\N
893921	3047	1997-02-28	VYDAJ	VYBER	15	20403	SLUZBY	\N	\N
893922	3047	1997-03-31	VYDAJ	VYBER	15	19433	SLUZBY	\N	\N
893923	3047	1997-04-30	VYDAJ	VYBER	15	20460	SLUZBY	\N	\N
893924	3047	1997-05-31	VYDAJ	VYBER	15	21180	SLUZBY	\N	\N
893925	3047	1997-06-30	VYDAJ	VYBER	15	13414	SLUZBY	\N	\N
893926	3047	1997-07-31	VYDAJ	VYBER	15	14616	SLUZBY	\N	\N
893927	3047	1997-08-31	VYDAJ	VYBER	15	15822	SLUZBY	\N	\N
893928	3047	1997-09-30	VYDAJ	VYBER	15	17034	SLUZBY	\N	\N
893929	3047	1997-10-31	VYDAJ	VYBER	15	16957	SLUZBY	\N	\N
893930	3047	1997-11-30	VYDAJ	VYBER	15	18173	SLUZBY	\N	\N
893931	3047	1997-12-31	VYDAJ	VYBER	15	19394	SLUZBY	\N	\N
893932	3047	1998-01-31	VYDAJ	VYBER	15	16981	SLUZBY	\N	\N
893933	3047	1998-02-28	VYDAJ	VYBER	15	18197	SLUZBY	\N	\N
893934	3047	1998-03-31	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
893935	3047	1998-04-30	VYDAJ	VYBER	15	20494	SLUZBY	\N	\N
893936	3047	1998-05-31	VYDAJ	VYBER	15	20461	SLUZBY	\N	\N
893937	3047	1998-06-30	VYDAJ	VYBER	15	19586	SLUZBY	\N	\N
893938	3047	1998-07-31	VYDAJ	VYBER	15	20332	SLUZBY	\N	\N
893939	3047	1998-08-31	VYDAJ	VYBER	15	21562	SLUZBY	\N	\N
893940	3047	1998-09-30	VYDAJ	VYBER	15	20993	SLUZBY	\N	\N
893941	3047	1998-10-31	VYDAJ	VYBER	15	21124	SLUZBY	\N	\N
893942	3047	1998-11-30	VYDAJ	VYBER	15	20954	SLUZBY	\N	\N
893943	3047	1995-12-04	VYDAJ	VYBER	300	20832	\N	\N	\N
893944	3047	1996-11-28	VYDAJ	VYBER	2800	24691	\N	\N	\N
893945	3047	1997-01-27	VYDAJ	VYBER	900	21042	\N	\N	\N
893946	3047	1997-02-26	VYDAJ	VYBER	300	20333	\N	\N	\N
893947	3047	1997-03-28	VYDAJ	VYBER	2200	19361	\N	\N	\N
893948	3047	1997-04-27	VYDAJ	VYBER	200	20391	\N	\N	\N
893949	3047	1998-09-19	VYDAJ	VYBER	1800	20920	\N	\N	\N
893950	3047	1998-10-19	VYDAJ	VYBER	1100	21051	\N	\N	\N
893951	3047	1998-11-18	VYDAJ	VYBER	1400	20882	\N	\N	\N
894018	3048	1997-12-26	PRIJEM	VKLAD	900	900	\N	\N	\N
894031	3048	1997-12-29	PRIJEM	VKLAD	23509	24409	\N	\N	\N
894038	3048	1998-02-08	PRIJEM	VKLAD	7045	30766	\N	\N	\N
894039	3048	1998-05-12	PRIJEM	VKLAD	42507	68323	\N	\N	\N
894040	3048	1998-08-26	PRIJEM	VKLAD	20357	59733	\N	\N	\N
894041	3048	1998-10-22	PRIJEM	VKLAD	11696	90225	\N	\N	\N
894042	3048	1998-07-28	PRIJEM	VKLAD	7448	42692	\N	\N	\N
894043	3048	1998-12-21	PRIJEM	VKLAD	25086	74854	\N	\N	\N
894044	3048	1998-10-18	PRIJEM	VKLAD	34117	78529	\N	\N	\N
894076	3048	1998-12-19	VYDAJ	VYBER	3000	49768	\N	\N	\N
894118	3048	1998-08-31	VYDAJ	VYBER	30	59894	SLUZBY	\N	\N
894119	3048	1998-09-30	VYDAJ	VYBER	30	44412	SLUZBY	\N	\N
894120	3048	1998-10-31	VYDAJ	VYBER	30	62937	SLUZBY	\N	\N
894121	3048	1998-11-30	VYDAJ	VYBER	30	52768	SLUZBY	\N	\N
894122	3048	1998-01-25	VYDAJ	VYBER	800	23619	\N	\N	\N
894123	3048	1998-02-24	VYDAJ	VYBER	1400	29366	\N	\N	\N
894124	3048	1998-03-26	VYDAJ	VYBER	1900	27571	\N	\N	\N
894125	3048	1998-04-25	VYDAJ	VYBER	2000	25693	\N	\N	\N
894126	3048	1998-05-25	VYDAJ	VYBER	24000	44323	\N	\N	\N
894127	3048	1998-06-24	VYDAJ	VYBER	10100	34359	\N	\N	\N
894128	3048	1998-07-24	PRIJEM	VKLAD	700	35244	\N	\N	\N
894129	3048	1998-08-23	VYDAJ	VYBER	3500	39376	\N	\N	\N
894130	3048	1998-09-22	VYDAJ	VYBER	15700	44194	\N	\N	\N
894131	3048	1998-10-22	VYDAJ	VYBER	27500	62725	\N	\N	\N
894132	3048	1998-11-21	VYDAJ	VYBER	10400	52537	\N	\N	\N
894146	3049	1994-09-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
894155	3049	1994-09-14	PRIJEM	PREVOD Z UCTU	2942	4042	\N	EF	11075616
894156	3049	1994-10-14	PRIJEM	PREVOD Z UCTU	2942	15994	\N	EF	11075616
894157	3049	1994-11-14	PRIJEM	PREVOD Z UCTU	2942	24081	\N	EF	11075616
894158	3049	1994-12-14	PRIJEM	PREVOD Z UCTU	2942	26409	\N	EF	11075616
894159	3049	1995-01-14	PRIJEM	PREVOD Z UCTU	2942	27857	\N	EF	11075616
894160	3049	1995-02-14	PRIJEM	PREVOD Z UCTU	2942	22701	\N	EF	11075616
894161	3049	1995-03-14	PRIJEM	PREVOD Z UCTU	2942	24160	\N	EF	11075616
894162	3049	1995-04-14	PRIJEM	PREVOD Z UCTU	2942	25723	\N	EF	11075616
894163	3049	1995-05-14	PRIJEM	PREVOD Z UCTU	2942	28402	\N	EF	11075616
894164	3049	1995-06-14	PRIJEM	PREVOD Z UCTU	2942	23942	\N	EF	11075616
894165	3049	1995-07-14	PRIJEM	PREVOD Z UCTU	2942	24313	\N	EF	11075616
894166	3049	1995-08-14	PRIJEM	PREVOD Z UCTU	2942	25648	\N	EF	11075616
894167	3049	1995-09-14	PRIJEM	PREVOD Z UCTU	2942	26318	\N	EF	11075616
894168	3049	1995-10-14	PRIJEM	PREVOD Z UCTU	2942	30691	\N	EF	11075616
894169	3049	1995-11-14	PRIJEM	PREVOD Z UCTU	2942	30678	\N	EF	11075616
894170	3049	1995-12-14	PRIJEM	PREVOD Z UCTU	2942	31059	\N	EF	11075616
894171	3049	1996-01-14	PRIJEM	PREVOD Z UCTU	2942	28781	\N	EF	11075616
894172	3049	1996-02-14	PRIJEM	PREVOD Z UCTU	2942	23692	\N	EF	11075616
894173	3049	1996-03-14	PRIJEM	PREVOD Z UCTU	2942	26555	\N	EF	11075616
894174	3049	1996-04-14	PRIJEM	PREVOD Z UCTU	2942	29227	\N	EF	11075616
894175	3049	1996-05-14	PRIJEM	PREVOD Z UCTU	2942	28012	\N	EF	11075616
894176	3049	1996-06-14	PRIJEM	PREVOD Z UCTU	2942	26074	\N	EF	11075616
894177	3049	1996-07-14	PRIJEM	PREVOD Z UCTU	2942	27089	\N	EF	11075616
894178	3049	1996-08-14	PRIJEM	PREVOD Z UCTU	2942	31568	\N	EF	11075616
894179	3049	1996-09-14	PRIJEM	PREVOD Z UCTU	2942	33343	\N	EF	11075616
894180	3049	1996-10-14	PRIJEM	PREVOD Z UCTU	2942	33746	\N	EF	11075616
894181	3049	1996-11-14	PRIJEM	PREVOD Z UCTU	2942	29846	\N	EF	11075616
894182	3049	1996-12-14	PRIJEM	PREVOD Z UCTU	2942	31736	\N	EF	11075616
894183	3049	1997-01-14	PRIJEM	PREVOD Z UCTU	2942	28268	\N	EF	11075616
894184	3049	1997-02-14	PRIJEM	PREVOD Z UCTU	2942	27718	\N	EF	11075616
894185	3049	1997-03-14	PRIJEM	PREVOD Z UCTU	2942	29538	\N	EF	11075616
894186	3049	1997-04-14	PRIJEM	PREVOD Z UCTU	2942	33527	\N	EF	11075616
894187	3049	1997-05-14	PRIJEM	PREVOD Z UCTU	2942	31188	\N	EF	11075616
894188	3049	1997-06-14	PRIJEM	PREVOD Z UCTU	2942	24289	\N	EF	11075616
894189	3049	1997-07-14	PRIJEM	PREVOD Z UCTU	2942	32465	\N	EF	11075616
894190	3049	1997-08-14	PRIJEM	PREVOD Z UCTU	2942	32363	\N	EF	11075616
894191	3049	1997-09-14	PRIJEM	PREVOD Z UCTU	2942	31159	\N	EF	11075616
894192	3049	1997-10-14	PRIJEM	PREVOD Z UCTU	2942	32653	\N	EF	11075616
894193	3049	1997-11-14	PRIJEM	PREVOD Z UCTU	2942	36656	\N	EF	11075616
894194	3049	1997-12-14	PRIJEM	PREVOD Z UCTU	2942	38714	\N	EF	11075616
894195	3049	1998-01-14	PRIJEM	PREVOD Z UCTU	2942	39142	\N	EF	11075616
894196	3049	1998-02-14	PRIJEM	PREVOD Z UCTU	2942	44146	\N	EF	11075616
894197	3049	1998-03-14	PRIJEM	PREVOD Z UCTU	2942	51792	\N	EF	11075616
894198	3049	1998-04-14	PRIJEM	PREVOD Z UCTU	2942	56176	\N	EF	11075616
894199	3049	1998-05-14	PRIJEM	PREVOD Z UCTU	2942	62481	\N	EF	11075616
894200	3049	1998-06-14	PRIJEM	PREVOD Z UCTU	2942	59725	\N	EF	11075616
894201	3049	1998-07-14	PRIJEM	PREVOD Z UCTU	2942	64445	\N	EF	11075616
894202	3049	1998-08-14	PRIJEM	PREVOD Z UCTU	2942	65076	\N	EF	11075616
894203	3049	1998-09-14	PRIJEM	PREVOD Z UCTU	2942	66510	\N	EF	11075616
894204	3049	1998-10-14	PRIJEM	PREVOD Z UCTU	2942	69434	\N	EF	11075616
894205	3049	1998-11-14	PRIJEM	PREVOD Z UCTU	2942	69083	\N	EF	11075616
894206	3049	1998-12-14	PRIJEM	PREVOD Z UCTU	2942	66787	\N	EF	11075616
894220	3049	1995-02-08	VYDAJ	PREVOD NA UCET	1961	19759	SIPO	OP	65114086
894221	3049	1995-03-08	VYDAJ	PREVOD NA UCET	1961	21218	SIPO	OP	65114086
894222	3049	1995-04-08	VYDAJ	PREVOD NA UCET	1961	22781	SIPO	OP	65114086
894223	3049	1995-05-08	VYDAJ	PREVOD NA UCET	1961	25460	SIPO	OP	65114086
894224	3049	1995-06-08	VYDAJ	PREVOD NA UCET	1961	26040	SIPO	OP	65114086
894225	3049	1995-07-08	VYDAJ	PREVOD NA UCET	1961	21371	SIPO	OP	65114086
894226	3049	1995-08-08	VYDAJ	PREVOD NA UCET	1961	23336	SIPO	OP	65114086
894227	3049	1995-09-08	VYDAJ	PREVOD NA UCET	1961	23376	SIPO	OP	65114086
894228	3049	1995-10-08	VYDAJ	PREVOD NA UCET	1961	28049	SIPO	OP	65114086
894229	3049	1995-11-08	VYDAJ	PREVOD NA UCET	1961	27736	SIPO	OP	65114086
894230	3049	1995-12-08	VYDAJ	PREVOD NA UCET	1961	28117	SIPO	OP	65114086
894231	3049	1996-01-08	VYDAJ	PREVOD NA UCET	1961	26949	SIPO	OP	65114086
894232	3049	1996-02-08	VYDAJ	PREVOD NA UCET	1961	20750	SIPO	OP	65114086
894233	3049	1996-03-08	VYDAJ	PREVOD NA UCET	1961	23613	SIPO	OP	65114086
894234	3049	1996-04-08	VYDAJ	PREVOD NA UCET	1961	26285	SIPO	OP	65114086
894235	3049	1996-05-08	VYDAJ	PREVOD NA UCET	1961	25070	SIPO	OP	65114086
894236	3049	1996-06-08	VYDAJ	PREVOD NA UCET	1961	26852	SIPO	OP	65114086
894237	3049	1996-07-08	VYDAJ	PREVOD NA UCET	1961	24147	SIPO	OP	65114086
894238	3049	1996-08-08	VYDAJ	PREVOD NA UCET	1961	28626	SIPO	OP	65114086
894239	3049	1996-09-08	VYDAJ	PREVOD NA UCET	1961	30401	SIPO	OP	65114086
894240	3049	1996-10-08	VYDAJ	PREVOD NA UCET	1961	30804	SIPO	OP	65114086
894241	3049	1996-11-08	VYDAJ	PREVOD NA UCET	1961	26904	SIPO	OP	65114086
894242	3049	1996-12-08	VYDAJ	PREVOD NA UCET	1961	28794	SIPO	OP	65114086
894243	3049	1997-01-08	VYDAJ	PREVOD NA UCET	1961	25686	SIPO	OP	65114086
894244	3049	1997-02-08	VYDAJ	PREVOD NA UCET	1961	24776	SIPO	OP	65114086
894245	3049	1997-03-08	VYDAJ	PREVOD NA UCET	1961	26956	SIPO	OP	65114086
894246	3049	1997-04-08	VYDAJ	PREVOD NA UCET	1961	30585	SIPO	OP	65114086
894247	3049	1997-05-08	VYDAJ	PREVOD NA UCET	1961	28426	SIPO	OP	65114086
894248	3049	1997-06-08	VYDAJ	PREVOD NA UCET	1961	21347	SIPO	OP	65114086
894249	3049	1997-07-08	VYDAJ	PREVOD NA UCET	1961	29523	SIPO	OP	65114086
894250	3049	1997-08-08	VYDAJ	PREVOD NA UCET	1961	29421	SIPO	OP	65114086
894251	3049	1997-09-08	VYDAJ	PREVOD NA UCET	1961	28217	SIPO	OP	65114086
894252	3049	1997-10-08	VYDAJ	PREVOD NA UCET	1961	29711	SIPO	OP	65114086
894253	3049	1997-11-08	VYDAJ	PREVOD NA UCET	1961	33714	SIPO	OP	65114086
894254	3049	1997-12-08	VYDAJ	PREVOD NA UCET	1961	36432	SIPO	OP	65114086
894255	3049	1998-01-08	VYDAJ	PREVOD NA UCET	1961	37040	SIPO	OP	65114086
894256	3049	1998-02-08	VYDAJ	PREVOD NA UCET	1961	41204	SIPO	OP	65114086
894257	3049	1998-03-08	VYDAJ	PREVOD NA UCET	1961	48850	SIPO	OP	65114086
894258	3049	1998-04-08	VYDAJ	PREVOD NA UCET	1961	53234	SIPO	OP	65114086
894259	3049	1998-05-08	VYDAJ	PREVOD NA UCET	1961	59539	SIPO	OP	65114086
894260	3049	1998-06-08	VYDAJ	PREVOD NA UCET	1961	56783	SIPO	OP	65114086
894261	3049	1998-07-08	VYDAJ	PREVOD NA UCET	1961	61503	SIPO	OP	65114086
894262	3049	1998-08-08	VYDAJ	PREVOD NA UCET	1961	62134	SIPO	OP	65114086
894263	3049	1998-09-08	VYDAJ	PREVOD NA UCET	1961	63568	SIPO	OP	65114086
894264	3049	1998-10-08	VYDAJ	PREVOD NA UCET	1961	66492	SIPO	OP	65114086
894265	3049	1998-11-08	VYDAJ	PREVOD NA UCET	1961	66141	SIPO	OP	65114086
894266	3049	1998-12-08	VYDAJ	PREVOD NA UCET	1961	64385	SIPO	OP	65114086
894268	3049	1995-06-12	VYDAJ	VYBER	5040	21000	\N	\N	\N
894269	3049	1996-06-11	VYDAJ	VYBER	3720	23132	\N	\N	\N
894270	3049	1997-06-02	VYDAJ	VYBER	6090	23308	\N	\N	\N
894271	3049	1998-06-05	VYDAJ	VYBER	4380	58744	\N	\N	\N
894273	3049	1995-01-17	VYDAJ	VYBER	930	25127	\N	\N	\N
894274	3049	1996-01-26	VYDAJ	VYBER	2910	24851	\N	\N	\N
894275	3049	1997-01-25	VYDAJ	VYBER	840	26938	\N	\N	\N
894276	3049	1998-01-18	VYDAJ	VYBER	300	38842	\N	\N	\N
894278	3049	1995-12-01	VYDAJ	VYBER	660	28778	\N	\N	\N
894279	3049	1996-12-18	VYDAJ	VYBER	810	30926	\N	\N	\N
894280	3049	1997-12-08	VYDAJ	VYBER	660	35772	\N	\N	\N
894281	3049	1998-12-24	VYDAJ	VYBER	690	62697	\N	\N	\N
894288	3049	1995-01-23	VYDAJ	VYBER	450	24677	\N	\N	\N
894289	3049	1995-01-26	VYDAJ	VYBER	270	23747	\N	\N	\N
894290	3049	1995-01-28	VYDAJ	VYBER	420	23327	\N	\N	\N
894292	3049	1995-01-17	VYDAJ	VYBER	630	27227	\N	\N	\N
894293	3049	1995-01-25	VYDAJ	VYBER	660	24017	\N	\N	\N
894294	3049	1996-01-02	VYDAJ	VYBER	360	29210	\N	\N	\N
894295	3049	1996-01-08	VYDAJ	VYBER	360	26589	\N	\N	\N
894296	3049	1996-01-12	VYDAJ	VYBER	750	25839	\N	\N	\N
894297	3049	1996-01-21	VYDAJ	VYBER	690	27761	\N	\N	\N
894298	3049	1996-01-06	VYDAJ	VYBER	300	28910	\N	\N	\N
894299	3049	1996-01-27	VYDAJ	VYBER	540	24311	\N	\N	\N
894300	3049	1997-01-28	VYDAJ	VYBER	300	26638	\N	\N	\N
894301	3049	1997-01-23	VYDAJ	VYBER	660	26378	\N	\N	\N
894302	3049	1997-01-06	VYDAJ	VYBER	690	27647	\N	\N	\N
894303	3049	1997-01-18	VYDAJ	VYBER	510	27758	\N	\N	\N
894304	3049	1997-01-22	VYDAJ	VYBER	720	27038	\N	\N	\N
894305	3049	1997-01-10	VYDAJ	VYBER	360	25326	\N	\N	\N
894306	3049	1998-01-01	VYDAJ	VYBER	360	40801	\N	\N	\N
894307	3049	1998-01-04	VYDAJ	VYBER	720	39241	\N	\N	\N
894308	3049	1998-01-24	VYDAJ	VYBER	630	43012	\N	\N	\N
894309	3049	1998-01-08	VYDAJ	VYBER	240	39001	\N	\N	\N
894310	3049	1998-01-09	VYDAJ	VYBER	840	36200	\N	\N	\N
894311	3049	1998-01-03	VYDAJ	VYBER	840	39961	\N	\N	\N
894317	3049	1995-08-09	VYDAJ	VYBER	630	22706	\N	\N	\N
894318	3049	1995-04-24	VYDAJ	VYBER	390	25333	\N	\N	\N
894319	3049	1995-11-25	VYDAJ	VYBER	840	29328	\N	\N	\N
894320	3049	1995-01-17	VYDAJ	VYBER	1170	26057	\N	\N	\N
894321	3049	1995-03-01	VYDAJ	VYBER	300	22479	\N	\N	\N
894322	3049	1995-10-09	VYDAJ	VYBER	300	27749	\N	\N	\N
894323	3049	1995-11-23	VYDAJ	VYBER	510	30168	\N	\N	\N
894324	3049	1996-08-18	VYDAJ	VYBER	420	31148	\N	\N	\N
894325	3049	1996-06-16	VYDAJ	VYBER	960	25114	\N	\N	\N
894326	3049	1996-10-17	VYDAJ	VYBER	900	32846	\N	\N	\N
894327	3049	1996-01-20	VYDAJ	VYBER	330	28451	\N	\N	\N
894328	3049	1997-03-11	VYDAJ	VYBER	360	26596	\N	\N	\N
894329	3049	1997-10-20	VYDAJ	VYBER	300	32353	\N	\N	\N
894330	3049	1997-05-05	VYDAJ	VYBER	360	30387	\N	\N	\N
894331	3049	1997-12-23	VYDAJ	VYBER	1200	41014	\N	\N	\N
894332	3049	1997-05-08	VYDAJ	VYBER	180	28246	\N	\N	\N
894333	3049	1998-12-12	VYDAJ	VYBER	540	63845	\N	\N	\N
894334	3049	1998-09-26	VYDAJ	VYBER	720	68190	\N	\N	\N
894335	3049	1998-02-15	VYDAJ	VYBER	210	43936	\N	\N	\N
894349	3049	1995-01-31	VYDAJ	VYBER	15	23420	SLUZBY	\N	\N
894350	3049	1995-02-28	VYDAJ	VYBER	15	22779	SLUZBY	\N	\N
894351	3049	1995-03-31	VYDAJ	VYBER	15	24242	SLUZBY	\N	\N
894352	3049	1995-04-30	VYDAJ	VYBER	15	25421	SLUZBY	\N	\N
894353	3049	1995-05-31	VYDAJ	VYBER	15	28501	SLUZBY	\N	\N
894354	3049	1995-06-30	VYDAJ	VYBER	15	24032	SLUZBY	\N	\N
894355	3049	1995-07-31	VYDAJ	VYBER	15	24397	SLUZBY	\N	\N
894356	3049	1995-08-31	VYDAJ	VYBER	15	25737	SLUZBY	\N	\N
894357	3049	1995-09-30	VYDAJ	VYBER	15	26410	SLUZBY	\N	\N
894358	3049	1995-10-31	VYDAJ	VYBER	15	30797	SLUZBY	\N	\N
894359	3049	1995-11-30	VYDAJ	VYBER	15	29438	SLUZBY	\N	\N
894360	3049	1995-12-31	VYDAJ	VYBER	15	31170	SLUZBY	\N	\N
894361	3049	1996-01-31	VYDAJ	VYBER	15	22711	SLUZBY	\N	\N
894362	3049	1996-02-29	VYDAJ	VYBER	15	23774	SLUZBY	\N	\N
894363	3049	1996-03-31	VYDAJ	VYBER	15	28246	SLUZBY	\N	\N
894364	3049	1996-04-30	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
894365	3049	1996-05-31	VYDAJ	VYBER	15	28813	SLUZBY	\N	\N
894366	3049	1996-06-30	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
894367	3049	1996-07-31	VYDAJ	VYBER	15	30587	SLUZBY	\N	\N
894368	3049	1996-08-31	VYDAJ	VYBER	15	32362	SLUZBY	\N	\N
894369	3049	1996-09-30	VYDAJ	VYBER	15	32765	SLUZBY	\N	\N
894370	3049	1996-10-31	VYDAJ	VYBER	15	28865	SLUZBY	\N	\N
894371	3049	1996-11-30	VYDAJ	VYBER	15	30755	SLUZBY	\N	\N
894372	3049	1996-12-31	VYDAJ	VYBER	15	28337	SLUZBY	\N	\N
894373	3049	1997-01-31	VYDAJ	VYBER	15	26737	SLUZBY	\N	\N
894374	3049	1997-02-28	VYDAJ	VYBER	15	28917	SLUZBY	\N	\N
894375	3049	1997-03-31	VYDAJ	VYBER	15	32546	SLUZBY	\N	\N
894376	3049	1997-04-30	VYDAJ	VYBER	15	30747	SLUZBY	\N	\N
894377	3049	1997-05-31	VYDAJ	VYBER	15	29398	SLUZBY	\N	\N
894378	3049	1997-06-30	VYDAJ	VYBER	15	31484	SLUZBY	\N	\N
894379	3049	1997-07-31	VYDAJ	VYBER	15	31382	SLUZBY	\N	\N
894380	3049	1997-08-31	VYDAJ	VYBER	15	30178	SLUZBY	\N	\N
894381	3049	1997-09-30	VYDAJ	VYBER	15	31672	SLUZBY	\N	\N
894382	3049	1997-10-31	VYDAJ	VYBER	15	35675	SLUZBY	\N	\N
894383	3049	1997-11-30	VYDAJ	VYBER	15	38393	SLUZBY	\N	\N
894384	3049	1997-12-31	VYDAJ	VYBER	15	41161	SLUZBY	\N	\N
894385	3049	1998-01-31	VYDAJ	VYBER	15	43165	SLUZBY	\N	\N
894386	3049	1998-02-28	VYDAJ	VYBER	15	50811	SLUZBY	\N	\N
894387	3049	1998-03-31	VYDAJ	VYBER	15	55195	SLUZBY	\N	\N
894388	3049	1998-04-30	VYDAJ	VYBER	15	61500	SLUZBY	\N	\N
894389	3049	1998-05-31	VYDAJ	VYBER	15	63124	SLUZBY	\N	\N
894390	3049	1998-06-30	VYDAJ	VYBER	15	63464	SLUZBY	\N	\N
894391	3049	1998-07-31	VYDAJ	VYBER	15	64095	SLUZBY	\N	\N
894392	3049	1998-08-31	VYDAJ	VYBER	15	65529	SLUZBY	\N	\N
894393	3049	1998-09-30	VYDAJ	VYBER	15	68453	SLUZBY	\N	\N
894394	3049	1998-10-31	VYDAJ	VYBER	15	68102	SLUZBY	\N	\N
894395	3049	1998-11-30	VYDAJ	VYBER	15	66346	SLUZBY	\N	\N
894396	3049	1994-10-08	PRIJEM	VKLAD	9000	13052	\N	\N	\N
894397	3049	1994-11-07	PRIJEM	VKLAD	5100	21139	\N	\N	\N
894398	3049	1994-12-07	VYDAJ	VYBER	700	23467	\N	\N	\N
894399	3049	1995-01-06	VYDAJ	VYBER	1600	24915	\N	\N	\N
894400	3049	1995-02-05	VYDAJ	VYBER	1700	21720	\N	\N	\N
894401	3049	1995-03-07	PRIJEM	VKLAD	700	23179	\N	\N	\N
894402	3049	1995-04-06	PRIJEM	VKLAD	500	24742	\N	\N	\N
894403	3049	1995-05-06	PRIJEM	VKLAD	2000	27421	\N	\N	\N
894404	3049	1995-06-05	VYDAJ	VYBER	500	28001	\N	\N	\N
894405	3049	1995-07-05	VYDAJ	VYBER	700	23332	\N	\N	\N
894406	3049	1995-08-04	PRIJEM	VKLAD	900	25297	\N	\N	\N
894407	3049	1995-09-03	VYDAJ	VYBER	400	25337	\N	\N	\N
894408	3049	1995-10-03	PRIJEM	VKLAD	3600	30010	\N	\N	\N
894409	3049	1995-11-02	VYDAJ	VYBER	1100	29697	\N	\N	\N
894410	3049	1995-12-02	PRIJEM	VKLAD	1300	30078	\N	\N	\N
894411	3049	1996-01-01	VYDAJ	VYBER	1600	29570	\N	\N	\N
894412	3049	1996-01-31	VYDAJ	VYBER	1700	22725	\N	\N	\N
894413	3049	1996-03-01	PRIJEM	VKLAD	1800	25574	\N	\N	\N
894414	3049	1996-03-31	PRIJEM	VKLAD	1600	28155	\N	\N	\N
894415	3049	1996-04-30	VYDAJ	VYBER	2300	27046	\N	\N	\N
894416	3049	1996-05-30	PRIJEM	VKLAD	700	28712	\N	\N	\N
894417	3049	1996-06-29	PRIJEM	VKLAD	900	26014	\N	\N	\N
894418	3049	1996-07-29	PRIJEM	VKLAD	3400	30489	\N	\N	\N
894419	3049	1996-08-28	PRIJEM	VKLAD	1100	32248	\N	\N	\N
894420	3049	1996-09-27	VYDAJ	VYBER	700	32643	\N	\N	\N
894421	3049	1996-10-27	VYDAJ	VYBER	4100	28746	\N	\N	\N
894422	3049	1996-11-26	PRIJEM	VKLAD	800	30646	\N	\N	\N
894423	3049	1996-12-26	VYDAJ	VYBER	2700	28226	\N	\N	\N
894424	3049	1997-01-25	PRIJEM	VKLAD	1400	27778	\N	\N	\N
894425	3049	1997-02-24	PRIJEM	VKLAD	1100	28818	\N	\N	\N
894426	3049	1997-03-26	PRIJEM	VKLAD	2900	32438	\N	\N	\N
894427	3049	1997-04-25	VYDAJ	VYBER	2900	30627	\N	\N	\N
894428	3049	1997-05-25	VYDAJ	VYBER	1900	29288	\N	\N	\N
894429	3049	1997-06-24	PRIJEM	VKLAD	7100	31389	\N	\N	\N
894430	3049	1997-07-24	VYDAJ	VYBER	1200	31265	\N	\N	\N
894431	3049	1997-08-23	VYDAJ	VYBER	2300	30063	\N	\N	\N
894432	3049	1997-09-22	PRIJEM	VKLAD	400	31559	\N	\N	\N
894433	3049	1997-10-22	PRIJEM	VKLAD	3200	35553	\N	\N	\N
894434	3049	1997-11-21	PRIJEM	VKLAD	1600	38256	\N	\N	\N
894435	3049	1997-12-21	PRIJEM	VKLAD	3500	42214	\N	\N	\N
894436	3049	1998-01-20	PRIJEM	VKLAD	4800	43642	\N	\N	\N
894437	3049	1998-02-19	PRIJEM	VKLAD	6700	50636	\N	\N	\N
894438	3049	1998-03-21	PRIJEM	VKLAD	3200	54992	\N	\N	\N
894439	3049	1998-04-20	PRIJEM	VKLAD	5100	61276	\N	\N	\N
894440	3049	1998-05-20	PRIJEM	VKLAD	400	62881	\N	\N	\N
894441	3049	1998-06-19	PRIJEM	VKLAD	3500	63225	\N	\N	\N
894442	3049	1998-07-19	VYDAJ	VYBER	600	63845	\N	\N	\N
894443	3049	1998-08-18	PRIJEM	VKLAD	200	65276	\N	\N	\N
894444	3049	1998-09-17	PRIJEM	VKLAD	2400	68910	\N	\N	\N
894445	3049	1998-10-17	VYDAJ	VYBER	1600	67834	\N	\N	\N
894446	3049	1998-11-16	VYDAJ	VYBER	3000	66083	\N	\N	\N
894447	3049	1998-12-16	VYDAJ	VYBER	3400	63387	\N	\N	\N
894500	3050	1993-05-08	PRIJEM	VKLAD	900	900	\N	\N	\N
894506	3050	1993-06-08	PRIJEM	PREVOD Z UCTU	62168	73568	\N	GH	69871258
894507	3050	1993-07-08	PRIJEM	PREVOD Z UCTU	41445	92648	\N	GH	69871258
894508	3050	1993-08-08	PRIJEM	PREVOD Z UCTU	41445	99061	\N	GH	69871258
894509	3050	1993-09-08	PRIJEM	PREVOD Z UCTU	41445	102313	\N	GH	69871258
894510	3050	1993-10-08	PRIJEM	PREVOD Z UCTU	41445	107681	\N	GH	69871258
894511	3050	1993-11-08	PRIJEM	PREVOD Z UCTU	41445	72386	\N	GH	69871258
894512	3050	1993-12-08	PRIJEM	PREVOD Z UCTU	62168	98291	\N	GH	69871258
894513	3050	1994-01-08	PRIJEM	PREVOD Z UCTU	41445	74227	\N	GH	69871258
894514	3050	1994-02-08	PRIJEM	PREVOD Z UCTU	41445	53169	\N	GH	69871258
894515	3050	1994-03-08	PRIJEM	PREVOD Z UCTU	41445	59186	\N	GH	69871258
894516	3050	1994-04-08	PRIJEM	PREVOD Z UCTU	41445	70694	\N	GH	69871258
894517	3050	1994-05-08	PRIJEM	PREVOD Z UCTU	41445	58465	\N	GH	69871258
894518	3050	1994-06-08	PRIJEM	PREVOD Z UCTU	62168	88015	\N	GH	69871258
894519	3050	1994-07-08	PRIJEM	PREVOD Z UCTU	41445	84740	\N	GH	69871258
894520	3050	1994-08-08	PRIJEM	PREVOD Z UCTU	41445	90095	\N	GH	69871258
894521	3050	1994-09-08	PRIJEM	PREVOD Z UCTU	41445	89531	\N	GH	69871258
894522	3050	1994-10-08	PRIJEM	PREVOD Z UCTU	41445	79576	\N	GH	69871258
894523	3050	1994-11-08	PRIJEM	PREVOD Z UCTU	41445	84373	\N	GH	69871258
894524	3050	1994-12-08	PRIJEM	PREVOD Z UCTU	62168	90589	\N	GH	69871258
894525	3050	1995-01-08	PRIJEM	PREVOD Z UCTU	41445	64898	\N	GH	69871258
894526	3050	1995-02-08	PRIJEM	PREVOD Z UCTU	41445	65015	\N	GH	69871258
894527	3050	1995-03-08	PRIJEM	PREVOD Z UCTU	41445	82743	\N	GH	69871258
894528	3050	1995-04-08	PRIJEM	PREVOD Z UCTU	41445	64624	\N	GH	69871258
894529	3050	1995-05-08	PRIJEM	PREVOD Z UCTU	41445	79473	\N	GH	69871258
894530	3050	1995-06-08	PRIJEM	PREVOD Z UCTU	62168	109380	\N	GH	69871258
894531	3050	1995-07-08	PRIJEM	PREVOD Z UCTU	41445	69929	\N	GH	69871258
894532	3050	1995-08-08	PRIJEM	PREVOD Z UCTU	41445	76841	\N	GH	69871258
894533	3050	1995-09-08	PRIJEM	PREVOD Z UCTU	41445	87911	\N	GH	69871258
894534	3050	1995-10-08	PRIJEM	PREVOD Z UCTU	41445	88523	\N	GH	69871258
894535	3050	1995-11-08	PRIJEM	PREVOD Z UCTU	41445	69221	\N	GH	69871258
894536	3050	1995-12-08	PRIJEM	PREVOD Z UCTU	62168	80148	\N	GH	69871258
894537	3050	1996-01-08	PRIJEM	PREVOD Z UCTU	41445	76927	\N	GH	69871258
894538	3050	1996-02-08	PRIJEM	PREVOD Z UCTU	41445	64996	\N	GH	69871258
894539	3050	1996-03-08	PRIJEM	PREVOD Z UCTU	41445	85146	\N	GH	69871258
894540	3050	1996-04-08	PRIJEM	PREVOD Z UCTU	41445	85754	\N	GH	69871258
894628	3050	1997-08-13	VYDAJ	VYBER	5000	70118	\N	\N	0
894541	3050	1996-05-08	PRIJEM	PREVOD Z UCTU	41445	90259	\N	GH	69871258
894542	3050	1996-06-08	PRIJEM	PREVOD Z UCTU	62168	116804	\N	GH	69871258
894543	3050	1996-07-08	PRIJEM	PREVOD Z UCTU	41445	83502	\N	GH	69871258
894544	3050	1996-08-08	PRIJEM	PREVOD Z UCTU	41445	70992	\N	GH	69871258
894545	3050	1996-09-08	PRIJEM	PREVOD Z UCTU	41445	78127	\N	GH	69871258
894546	3050	1996-10-08	PRIJEM	PREVOD Z UCTU	41445	85583	\N	GH	69871258
894547	3050	1996-11-08	PRIJEM	PREVOD Z UCTU	41445	71714	\N	GH	69871258
894548	3050	1996-12-08	PRIJEM	PREVOD Z UCTU	62168	84372	\N	GH	69871258
894549	3050	1997-01-08	PRIJEM	PREVOD Z UCTU	41445	78740	\N	GH	69871258
894550	3050	1997-02-08	PRIJEM	PREVOD Z UCTU	41445	65815	\N	GH	69871258
894551	3050	1997-03-08	PRIJEM	PREVOD Z UCTU	41445	65774	\N	GH	69871258
894552	3050	1997-04-08	PRIJEM	PREVOD Z UCTU	41445	55080	\N	GH	69871258
894553	3050	1997-05-08	PRIJEM	PREVOD Z UCTU	41445	76687	\N	GH	69871258
894554	3050	1997-06-08	PRIJEM	PREVOD Z UCTU	62168	101474	\N	GH	69871258
894555	3050	1997-07-08	PRIJEM	PREVOD Z UCTU	41445	64266	\N	GH	69871258
894556	3050	1997-08-08	PRIJEM	PREVOD Z UCTU	41445	84994	\N	GH	69871258
894557	3050	1997-09-08	PRIJEM	PREVOD Z UCTU	41445	78048	\N	GH	69871258
894558	3050	1997-10-08	PRIJEM	PREVOD Z UCTU	41445	85899	\N	GH	69871258
894559	3050	1997-11-08	PRIJEM	PREVOD Z UCTU	41445	84090	\N	GH	69871258
894560	3050	1997-12-08	PRIJEM	PREVOD Z UCTU	62168	113406	\N	GH	69871258
894561	3050	1998-01-08	PRIJEM	PREVOD Z UCTU	41445	68751	\N	GH	69871258
894562	3050	1998-02-08	PRIJEM	PREVOD Z UCTU	41445	63873	\N	GH	69871258
894563	3050	1998-03-08	PRIJEM	PREVOD Z UCTU	41445	83688	\N	GH	69871258
894564	3050	1998-04-08	PRIJEM	PREVOD Z UCTU	41445	77335	\N	GH	69871258
894565	3050	1998-05-08	PRIJEM	PREVOD Z UCTU	41445	85602	\N	GH	69871258
894566	3050	1998-06-08	PRIJEM	PREVOD Z UCTU	62168	103758	\N	GH	69871258
894567	3050	1998-07-08	PRIJEM	PREVOD Z UCTU	41445	95554	\N	GH	69871258
894568	3050	1998-08-08	PRIJEM	PREVOD Z UCTU	41445	67586	\N	GH	69871258
894569	3050	1998-09-08	PRIJEM	PREVOD Z UCTU	41445	77692	\N	GH	69871258
894570	3050	1998-10-08	PRIJEM	PREVOD Z UCTU	41445	70876	\N	GH	69871258
894571	3050	1998-11-08	PRIJEM	PREVOD Z UCTU	41445	80488	\N	GH	69871258
894572	3050	1998-12-08	PRIJEM	PREVOD Z UCTU	62168	106743	\N	GH	69871258
894582	3050	1993-10-10	VYDAJ	VYBER	8300	67921	\N	\N	0
894583	3050	1993-11-17	VYDAJ	VYBER	9200	53310	\N	\N	0
894584	3050	1993-12-09	VYDAJ	VYBER	7300	90872	\N	\N	0
894585	3050	1994-01-05	VYDAJ	VYBER	7800	32782	\N	\N	0
894586	3050	1994-02-04	VYDAJ	VYBER	6100	11724	\N	\N	0
894587	3050	1994-03-07	VYDAJ	VYBER	7600	17741	\N	\N	0
894588	3050	1994-04-11	VYDAJ	VYBER	8500	46882	\N	\N	0
894589	3050	1994-05-15	VYDAJ	VYBER	6300	42289	\N	\N	0
894590	3050	1994-06-11	VYDAJ	VYBER	5600	72539	\N	\N	0
894591	3050	1994-06-28	VYDAJ	VYBER	6400	66139	\N	\N	0
894592	3050	1994-08-14	VYDAJ	VYBER	4100	73119	\N	\N	0
894593	3050	1994-09-12	VYDAJ	PREVOD NA UCET	6908	72748	UVER	AB	71189987
894594	3050	1994-10-12	VYDAJ	PREVOD NA UCET	6908	62792	UVER	AB	71189987
894595	3050	1994-11-12	VYDAJ	PREVOD NA UCET	6908	67590	UVER	AB	71189987
894596	3050	1994-12-12	VYDAJ	PREVOD NA UCET	6908	73806	UVER	AB	71189987
894597	3050	1995-01-12	VYDAJ	PREVOD NA UCET	6908	48114	UVER	AB	71189987
894598	3050	1995-02-12	VYDAJ	PREVOD NA UCET	6908	48231	UVER	AB	71189987
894599	3050	1995-03-12	VYDAJ	PREVOD NA UCET	6908	65960	UVER	AB	71189987
894600	3050	1995-04-12	VYDAJ	PREVOD NA UCET	6908	47840	UVER	AB	71189987
894601	3050	1995-05-12	VYDAJ	PREVOD NA UCET	6908	62689	UVER	AB	71189987
894602	3050	1995-06-12	VYDAJ	PREVOD NA UCET	6908	40596	UVER	AB	71189987
894603	3050	1995-07-12	VYDAJ	PREVOD NA UCET	6908	41146	UVER	AB	71189987
894604	3050	1995-08-12	VYDAJ	PREVOD NA UCET	6908	60057	UVER	AB	71189987
894605	3050	1995-09-09	VYDAJ	VYBER	6300	81492	\N	\N	0
894606	3050	1995-09-25	VYDAJ	VYBER	5500	46835	\N	\N	0
894607	3050	1995-11-05	VYDAJ	VYBER	7000	27776	\N	\N	0
894608	3050	1995-12-05	VYDAJ	VYBER	6800	17980	\N	\N	0
894609	3050	1996-01-23	VYDAJ	VYBER	5300	31151	\N	\N	0
894610	3050	1996-02-02	VYDAJ	VYBER	7800	23551	\N	\N	0
894611	3050	1996-03-20	VYDAJ	VYBER	5300	69970	\N	\N	0
894612	3050	1996-04-14	VYDAJ	VYBER	5500	70378	\N	\N	0
894613	3050	1996-05-16	VYDAJ	VYBER	6300	74083	\N	\N	0
894614	3050	1996-06-18	VYDAJ	VYBER	9800	54928	\N	\N	0
894615	3050	1996-07-16	VYDAJ	VYBER	5800	67826	\N	\N	0
894616	3050	1996-08-10	VYDAJ	VYBER	6500	64332	\N	\N	0
894617	3050	1996-09-08	VYDAJ	VYBER	9600	68408	\N	\N	0
894618	3050	1996-10-21	VYDAJ	VYBER	8200	30072	\N	\N	0
894619	3050	1996-11-14	VYDAJ	VYBER	6400	55438	\N	\N	0
894620	3050	1996-11-26	VYDAJ	VYBER	6500	35838	\N	\N	0
894621	3050	1997-01-11	VYDAJ	VYBER	10300	30841	\N	\N	0
894622	3050	1997-02-25	VYDAJ	VYBER	9900	24188	\N	\N	0
894623	3050	1997-03-08	VYDAJ	VYBER	7200	58455	\N	\N	0
894624	3050	1997-03-26	VYDAJ	VYBER	8100	29998	\N	\N	0
894625	3050	1997-05-23	VYDAJ	VYBER	7500	44011	\N	\N	0
894626	3050	1997-05-31	VYDAJ	VYBER	4900	39306	\N	\N	0
894627	3050	1997-06-28	VYDAJ	VYBER	6300	22698	\N	\N	0
894629	3050	1997-09-14	VYDAJ	VYBER	7700	44272	\N	\N	0
894630	3050	1997-10-13	VYDAJ	VYBER	4900	71123	\N	\N	0
894631	3050	1997-11-07	VYDAJ	VYBER	6300	42645	\N	\N	0
894632	3050	1997-12-18	VYDAJ	VYBER	5900	39130	\N	\N	0
894633	3050	1998-01-22	VYDAJ	VYBER	4900	40675	\N	\N	0
894634	3050	1998-01-30	VYDAJ	VYBER	7600	22275	\N	\N	0
894635	3050	1998-03-18	VYDAJ	VYBER	6700	52412	\N	\N	0
894636	3050	1998-04-05	VYDAJ	VYBER	5600	35890	\N	\N	0
894637	3050	1998-05-07	VYDAJ	VYBER	7700	44157	\N	\N	0
894638	3050	1998-06-25	VYDAJ	VYBER	5500	53882	\N	\N	0
894639	3050	1998-07-21	VYDAJ	VYBER	6500	32656	\N	\N	0
894640	3050	1998-08-05	VYDAJ	VYBER	6700	26141	\N	\N	0
894641	3050	1998-09-30	VYDAJ	VYBER	7800	29431	\N	\N	0
894642	3050	1998-10-13	VYDAJ	VYBER	6600	38900	\N	\N	0
894643	3050	1998-11-08	VYDAJ	VYBER	6200	54169	\N	\N	0
894644	3050	1998-12-17	VYDAJ	VYBER	6900	59867	\N	\N	0
894654	3050	1993-10-11	VYDAJ	PREVOD NA UCET	9716	58205	SIPO	AB	72762232
894655	3050	1993-11-11	VYDAJ	PREVOD NA UCET	9716	62510	SIPO	AB	72762232
894656	3050	1993-12-11	VYDAJ	PREVOD NA UCET	9716	81115	SIPO	AB	72762232
894657	3050	1994-01-11	VYDAJ	PREVOD NA UCET	9716	55266	SIPO	AB	72762232
894658	3050	1994-02-11	VYDAJ	PREVOD NA UCET	9716	43293	SIPO	AB	72762232
894659	3050	1994-03-11	VYDAJ	PREVOD NA UCET	9716	49310	SIPO	AB	72762232
894660	3050	1994-04-11	VYDAJ	PREVOD NA UCET	9716	55382	SIPO	AB	72762232
894661	3050	1994-05-11	VYDAJ	PREVOD NA UCET	9716	48589	SIPO	AB	72762232
894662	3050	1994-06-11	VYDAJ	PREVOD NA UCET	9716	78139	SIPO	AB	72762232
894663	3050	1994-07-11	VYDAJ	PREVOD NA UCET	9716	69273	SIPO	AB	72762232
894664	3050	1994-08-11	VYDAJ	PREVOD NA UCET	9716	77219	SIPO	AB	72762232
894665	3050	1994-09-11	VYDAJ	PREVOD NA UCET	9716	79655	SIPO	AB	72762232
894666	3050	1994-10-11	VYDAJ	PREVOD NA UCET	9716	69700	SIPO	AB	72762232
894667	3050	1994-11-11	VYDAJ	PREVOD NA UCET	9716	74497	SIPO	AB	72762232
894668	3050	1994-12-11	VYDAJ	PREVOD NA UCET	9716	80713	SIPO	AB	72762232
894669	3050	1995-01-11	VYDAJ	PREVOD NA UCET	9716	55022	SIPO	AB	72762232
894670	3050	1995-02-11	VYDAJ	PREVOD NA UCET	9716	55139	SIPO	AB	72762232
894671	3050	1995-03-11	VYDAJ	PREVOD NA UCET	9716	72867	SIPO	AB	72762232
894672	3050	1995-04-11	VYDAJ	PREVOD NA UCET	9716	54748	SIPO	AB	72762232
894673	3050	1995-05-11	VYDAJ	PREVOD NA UCET	9716	69597	SIPO	AB	72762232
894674	3050	1995-06-11	VYDAJ	PREVOD NA UCET	9716	47504	SIPO	AB	72762232
894675	3050	1995-07-11	VYDAJ	PREVOD NA UCET	9716	48053	SIPO	AB	72762232
894676	3050	1995-08-11	VYDAJ	PREVOD NA UCET	9716	66965	SIPO	AB	72762232
894677	3050	1995-09-11	VYDAJ	PREVOD NA UCET	9716	71735	SIPO	AB	72762232
894678	3050	1995-10-11	VYDAJ	PREVOD NA UCET	9716	63786	SIPO	AB	72762232
894679	3050	1995-11-11	VYDAJ	PREVOD NA UCET	9716	59345	SIPO	AB	72762232
894680	3050	1995-12-11	VYDAJ	PREVOD NA UCET	9716	70272	SIPO	AB	72762232
894681	3050	1996-01-11	VYDAJ	PREVOD NA UCET	9716	67051	SIPO	AB	72762232
894682	3050	1996-02-11	VYDAJ	PREVOD NA UCET	9716	55120	SIPO	AB	72762232
894683	3050	1996-03-11	VYDAJ	PREVOD NA UCET	9716	75270	SIPO	AB	72762232
894684	3050	1996-04-11	VYDAJ	PREVOD NA UCET	9716	75878	SIPO	AB	72762232
894685	3050	1996-05-11	VYDAJ	PREVOD NA UCET	9716	80383	SIPO	AB	72762232
894686	3050	1996-06-11	VYDAJ	PREVOD NA UCET	9716	64728	SIPO	AB	72762232
894687	3050	1996-07-11	VYDAJ	PREVOD NA UCET	9716	73626	SIPO	AB	72762232
894688	3050	1996-08-11	VYDAJ	PREVOD NA UCET	9716	54616	SIPO	AB	72762232
894689	3050	1996-09-11	VYDAJ	PREVOD NA UCET	9716	58651	SIPO	AB	72762232
894690	3050	1996-10-11	VYDAJ	PREVOD NA UCET	9716	75707	SIPO	AB	72762232
894691	3050	1996-11-11	VYDAJ	PREVOD NA UCET	9716	61838	SIPO	AB	72762232
894692	3050	1996-12-11	VYDAJ	PREVOD NA UCET	9716	74496	SIPO	AB	72762232
894693	3050	1997-01-11	VYDAJ	PREVOD NA UCET	9716	41141	SIPO	AB	72762232
894694	3050	1997-02-11	VYDAJ	PREVOD NA UCET	9716	55939	SIPO	AB	72762232
894695	3050	1997-03-11	VYDAJ	PREVOD NA UCET	9716	48698	SIPO	AB	72762232
894696	3050	1997-04-11	VYDAJ	PREVOD NA UCET	9716	45204	SIPO	AB	72762232
894697	3050	1997-05-11	VYDAJ	PREVOD NA UCET	9716	66811	SIPO	AB	72762232
894698	3050	1997-06-11	VYDAJ	PREVOD NA UCET	9716	39898	SIPO	AB	72762232
894699	3050	1997-07-11	VYDAJ	PREVOD NA UCET	9716	54390	SIPO	AB	72762232
894700	3050	1997-08-11	VYDAJ	PREVOD NA UCET	9716	75118	SIPO	AB	72762232
894701	3050	1997-09-11	VYDAJ	PREVOD NA UCET	9716	68172	SIPO	AB	72762232
894702	3050	1997-10-11	VYDAJ	PREVOD NA UCET	9716	76023	SIPO	AB	72762232
894703	3050	1997-11-11	VYDAJ	PREVOD NA UCET	9716	74214	SIPO	AB	72762232
894704	3050	1997-12-11	VYDAJ	PREVOD NA UCET	9716	46330	SIPO	AB	72762232
894705	3050	1998-01-11	VYDAJ	PREVOD NA UCET	9716	55575	SIPO	AB	72762232
894706	3050	1998-02-11	VYDAJ	PREVOD NA UCET	9716	42097	SIPO	AB	72762232
894707	3050	1998-03-11	VYDAJ	PREVOD NA UCET	9716	73812	SIPO	AB	72762232
894708	3050	1998-04-11	VYDAJ	PREVOD NA UCET	9716	67459	SIPO	AB	72762232
894709	3050	1998-05-11	VYDAJ	PREVOD NA UCET	9716	52041	SIPO	AB	72762232
894710	3050	1998-06-11	VYDAJ	PREVOD NA UCET	9716	59382	SIPO	AB	72762232
894711	3050	1998-07-11	VYDAJ	PREVOD NA UCET	9716	85678	SIPO	AB	72762232
894712	3050	1998-08-11	VYDAJ	PREVOD NA UCET	9716	36110	SIPO	AB	72762232
894713	3050	1998-09-11	VYDAJ	PREVOD NA UCET	9716	37090	SIPO	AB	72762232
894714	3050	1998-10-11	VYDAJ	PREVOD NA UCET	9716	45500	SIPO	AB	72762232
894715	3050	1998-11-11	VYDAJ	PREVOD NA UCET	9716	44412	SIPO	AB	72762232
894716	3050	1998-12-11	VYDAJ	PREVOD NA UCET	9716	66767	SIPO	AB	72762232
894726	3050	1993-10-08	VYDAJ	PREVOD NA UCET	119	107562	 	AB	62503671
894727	3050	1993-11-08	VYDAJ	PREVOD NA UCET	119	72267	 	AB	62503671
894728	3050	1993-12-08	VYDAJ	PREVOD NA UCET	119	98172	 	AB	62503671
894729	3050	1994-01-08	VYDAJ	PREVOD NA UCET	119	65023	 	AB	62503671
894730	3050	1994-02-08	VYDAJ	PREVOD NA UCET	119	53050	 	AB	62503671
894731	3050	1994-03-08	VYDAJ	PREVOD NA UCET	119	59067	 	AB	62503671
894732	3050	1994-04-08	VYDAJ	PREVOD NA UCET	119	70575	 	AB	62503671
894733	3050	1994-05-08	VYDAJ	PREVOD NA UCET	119	58346	 	AB	62503671
894734	3050	1994-06-08	VYDAJ	PREVOD NA UCET	119	87896	 	AB	62503671
894735	3050	1994-07-08	VYDAJ	PREVOD NA UCET	119	84621	 	AB	62503671
894736	3050	1994-08-08	VYDAJ	PREVOD NA UCET	119	89976	 	AB	62503671
894737	3050	1994-09-08	VYDAJ	PREVOD NA UCET	119	89412	 	AB	62503671
894738	3050	1994-10-08	VYDAJ	PREVOD NA UCET	119	79457	 	AB	62503671
894739	3050	1994-11-08	VYDAJ	PREVOD NA UCET	119	84254	 	AB	62503671
894740	3050	1994-12-08	VYDAJ	PREVOD NA UCET	119	90470	 	AB	62503671
894741	3050	1995-01-08	VYDAJ	PREVOD NA UCET	119	64779	 	AB	62503671
894742	3050	1995-02-08	VYDAJ	PREVOD NA UCET	119	64896	 	AB	62503671
894743	3050	1995-03-08	VYDAJ	PREVOD NA UCET	119	82624	 	AB	62503671
894744	3050	1995-04-08	VYDAJ	PREVOD NA UCET	119	64505	 	AB	62503671
894745	3050	1995-05-08	VYDAJ	PREVOD NA UCET	119	79354	 	AB	62503671
894746	3050	1995-06-08	VYDAJ	PREVOD NA UCET	119	109261	 	AB	62503671
894747	3050	1995-07-08	VYDAJ	PREVOD NA UCET	119	69810	 	AB	62503671
894748	3050	1995-08-08	VYDAJ	PREVOD NA UCET	119	76722	 	AB	62503671
894749	3050	1995-09-08	VYDAJ	PREVOD NA UCET	119	87792	 	AB	62503671
894750	3050	1995-10-08	VYDAJ	PREVOD NA UCET	119	88404	 	AB	62503671
894751	3050	1995-11-08	VYDAJ	PREVOD NA UCET	119	69102	 	AB	62503671
894752	3050	1995-12-08	VYDAJ	PREVOD NA UCET	119	80029	 	AB	62503671
894753	3050	1996-01-08	VYDAJ	PREVOD NA UCET	119	76808	 	AB	62503671
894754	3050	1996-02-08	VYDAJ	PREVOD NA UCET	119	64877	 	AB	62503671
894755	3050	1996-03-08	VYDAJ	PREVOD NA UCET	119	85027	 	AB	62503671
894756	3050	1996-04-08	VYDAJ	PREVOD NA UCET	119	85635	 	AB	62503671
894757	3050	1996-05-08	VYDAJ	PREVOD NA UCET	119	90140	 	AB	62503671
894758	3050	1996-06-08	VYDAJ	PREVOD NA UCET	119	116685	 	AB	62503671
894759	3050	1996-07-08	VYDAJ	PREVOD NA UCET	119	83383	 	AB	62503671
894760	3050	1996-08-08	VYDAJ	PREVOD NA UCET	119	70873	 	AB	62503671
894761	3050	1996-09-08	VYDAJ	PREVOD NA UCET	119	78008	 	AB	62503671
894762	3050	1996-10-08	VYDAJ	PREVOD NA UCET	119	85464	 	AB	62503671
894763	3050	1996-11-08	VYDAJ	PREVOD NA UCET	119	71595	 	AB	62503671
894764	3050	1996-12-08	VYDAJ	PREVOD NA UCET	119	84253	 	AB	62503671
894765	3050	1997-01-08	VYDAJ	PREVOD NA UCET	119	57498	 	AB	62503671
894766	3050	1997-02-08	VYDAJ	PREVOD NA UCET	119	65696	 	AB	62503671
894767	3050	1997-03-08	VYDAJ	PREVOD NA UCET	119	65655	 	AB	62503671
894768	3050	1997-04-08	VYDAJ	PREVOD NA UCET	119	54961	 	AB	62503671
894769	3050	1997-05-08	VYDAJ	PREVOD NA UCET	119	76568	 	AB	62503671
894770	3050	1997-06-08	VYDAJ	PREVOD NA UCET	119	49655	 	AB	62503671
894771	3050	1997-07-08	VYDAJ	PREVOD NA UCET	119	64147	 	AB	62503671
894772	3050	1997-08-08	VYDAJ	PREVOD NA UCET	119	84875	 	AB	62503671
894773	3050	1997-09-08	VYDAJ	PREVOD NA UCET	119	77929	 	AB	62503671
894774	3050	1997-10-08	VYDAJ	PREVOD NA UCET	119	85780	 	AB	62503671
894775	3050	1997-11-08	VYDAJ	PREVOD NA UCET	119	83971	 	AB	62503671
894776	3050	1997-12-08	VYDAJ	PREVOD NA UCET	119	113287	 	AB	62503671
894777	3050	1998-01-08	VYDAJ	PREVOD NA UCET	119	68632	 	AB	62503671
894778	3050	1998-02-08	VYDAJ	PREVOD NA UCET	119	63754	 	AB	62503671
894779	3050	1998-03-08	VYDAJ	PREVOD NA UCET	119	83569	 	AB	62503671
894780	3050	1998-04-08	VYDAJ	PREVOD NA UCET	119	77216	 	AB	62503671
894781	3050	1998-05-08	VYDAJ	PREVOD NA UCET	119	85483	 	AB	62503671
894782	3050	1998-06-08	VYDAJ	PREVOD NA UCET	119	103639	 	AB	62503671
894783	3050	1998-07-08	VYDAJ	PREVOD NA UCET	119	95435	 	AB	62503671
894784	3050	1998-08-08	VYDAJ	PREVOD NA UCET	119	67467	 	AB	62503671
894785	3050	1998-09-08	VYDAJ	PREVOD NA UCET	119	77573	 	AB	62503671
894786	3050	1998-10-08	VYDAJ	PREVOD NA UCET	119	70757	 	AB	62503671
894787	3050	1998-11-08	VYDAJ	PREVOD NA UCET	119	80369	 	AB	62503671
894788	3050	1998-12-08	VYDAJ	PREVOD NA UCET	119	106624	 	AB	62503671
894798	3050	1993-10-09	VYDAJ	PREVOD NA UCET	41	76221	POJISTNE	CD	93120836
894799	3050	1993-11-09	VYDAJ	PREVOD NA UCET	41	72226	POJISTNE	CD	93120836
894800	3050	1993-12-09	VYDAJ	PREVOD NA UCET	41	90831	POJISTNE	CD	93120836
894801	3050	1994-01-09	VYDAJ	PREVOD NA UCET	41	64982	POJISTNE	CD	93120836
894802	3050	1994-02-09	VYDAJ	PREVOD NA UCET	41	53009	POJISTNE	CD	93120836
894803	3050	1994-03-09	VYDAJ	PREVOD NA UCET	41	59026	POJISTNE	CD	93120836
894804	3050	1994-04-09	VYDAJ	PREVOD NA UCET	41	70534	POJISTNE	CD	93120836
894805	3050	1994-05-09	VYDAJ	PREVOD NA UCET	41	58305	POJISTNE	CD	93120836
894806	3050	1994-06-09	VYDAJ	PREVOD NA UCET	41	87855	POJISTNE	CD	93120836
894807	3050	1994-07-09	VYDAJ	PREVOD NA UCET	41	84580	POJISTNE	CD	93120836
894808	3050	1994-08-09	VYDAJ	PREVOD NA UCET	41	86935	POJISTNE	CD	93120836
894809	3050	1994-09-09	VYDAJ	PREVOD NA UCET	41	89371	POJISTNE	CD	93120836
894810	3050	1994-10-09	VYDAJ	PREVOD NA UCET	41	79416	POJISTNE	CD	93120836
894811	3050	1994-11-09	VYDAJ	PREVOD NA UCET	41	84213	POJISTNE	CD	93120836
894812	3050	1994-12-09	VYDAJ	PREVOD NA UCET	41	90429	POJISTNE	CD	93120836
894813	3050	1995-01-09	VYDAJ	PREVOD NA UCET	41	64738	POJISTNE	CD	93120836
894814	3050	1995-02-09	VYDAJ	PREVOD NA UCET	41	64855	POJISTNE	CD	93120836
894815	3050	1995-03-09	VYDAJ	PREVOD NA UCET	41	82583	POJISTNE	CD	93120836
894816	3050	1995-04-09	VYDAJ	PREVOD NA UCET	41	64464	POJISTNE	CD	93120836
894817	3050	1995-05-09	VYDAJ	PREVOD NA UCET	41	79313	POJISTNE	CD	93120836
894818	3050	1995-06-09	VYDAJ	PREVOD NA UCET	41	57220	POJISTNE	CD	93120836
894819	3050	1995-07-09	VYDAJ	PREVOD NA UCET	41	69769	POJISTNE	CD	93120836
894820	3050	1995-08-09	VYDAJ	PREVOD NA UCET	41	76681	POJISTNE	CD	93120836
894821	3050	1995-09-09	VYDAJ	PREVOD NA UCET	41	81451	POJISTNE	CD	93120836
894822	3050	1995-10-09	VYDAJ	PREVOD NA UCET	41	88363	POJISTNE	CD	93120836
894823	3050	1995-11-09	VYDAJ	PREVOD NA UCET	41	69061	POJISTNE	CD	93120836
894824	3050	1995-12-09	VYDAJ	PREVOD NA UCET	41	79988	POJISTNE	CD	93120836
894825	3050	1996-01-09	VYDAJ	PREVOD NA UCET	41	76767	POJISTNE	CD	93120836
894826	3050	1996-02-09	VYDAJ	PREVOD NA UCET	41	64836	POJISTNE	CD	93120836
894827	3050	1996-03-09	VYDAJ	PREVOD NA UCET	41	84986	POJISTNE	CD	93120836
894828	3050	1996-04-09	VYDAJ	PREVOD NA UCET	41	85594	POJISTNE	CD	93120836
894829	3050	1996-05-09	VYDAJ	PREVOD NA UCET	41	90099	POJISTNE	CD	93120836
894830	3050	1996-06-09	VYDAJ	PREVOD NA UCET	41	116644	POJISTNE	CD	93120836
894831	3050	1996-07-09	VYDAJ	PREVOD NA UCET	41	83342	POJISTNE	CD	93120836
894832	3050	1996-08-09	VYDAJ	PREVOD NA UCET	41	70832	POJISTNE	CD	93120836
894833	3050	1996-09-09	VYDAJ	PREVOD NA UCET	41	68367	POJISTNE	CD	93120836
894834	3050	1996-10-09	VYDAJ	PREVOD NA UCET	41	85423	POJISTNE	CD	93120836
894835	3050	1996-11-09	VYDAJ	PREVOD NA UCET	41	71554	POJISTNE	CD	93120836
894836	3050	1996-12-09	VYDAJ	PREVOD NA UCET	41	84212	POJISTNE	CD	93120836
894837	3050	1997-01-09	VYDAJ	PREVOD NA UCET	41	50857	POJISTNE	CD	93120836
894838	3050	1997-02-09	VYDAJ	PREVOD NA UCET	41	65655	POJISTNE	CD	93120836
894839	3050	1997-03-09	VYDAJ	PREVOD NA UCET	41	58414	POJISTNE	CD	93120836
894840	3050	1997-04-09	VYDAJ	PREVOD NA UCET	41	54920	POJISTNE	CD	93120836
894841	3050	1997-05-09	VYDAJ	PREVOD NA UCET	41	76527	POJISTNE	CD	93120836
894842	3050	1997-06-09	VYDAJ	PREVOD NA UCET	41	49614	POJISTNE	CD	93120836
894843	3050	1997-07-09	VYDAJ	PREVOD NA UCET	41	64106	POJISTNE	CD	93120836
894844	3050	1997-08-09	VYDAJ	PREVOD NA UCET	41	84834	POJISTNE	CD	93120836
894845	3050	1997-09-09	VYDAJ	PREVOD NA UCET	41	77888	POJISTNE	CD	93120836
894846	3050	1997-10-09	VYDAJ	PREVOD NA UCET	41	85739	POJISTNE	CD	93120836
894847	3050	1997-11-09	VYDAJ	PREVOD NA UCET	41	83930	POJISTNE	CD	93120836
894848	3050	1997-12-09	VYDAJ	PREVOD NA UCET	41	56046	POJISTNE	CD	93120836
894849	3050	1998-01-09	VYDAJ	PREVOD NA UCET	41	68591	POJISTNE	CD	93120836
894850	3050	1998-02-09	VYDAJ	PREVOD NA UCET	41	63713	POJISTNE	CD	93120836
894851	3050	1998-03-09	VYDAJ	PREVOD NA UCET	41	83528	POJISTNE	CD	93120836
894852	3050	1998-04-09	VYDAJ	PREVOD NA UCET	41	77175	POJISTNE	CD	93120836
894853	3050	1998-05-09	VYDAJ	PREVOD NA UCET	41	61757	POJISTNE	CD	93120836
894854	3050	1998-06-09	VYDAJ	PREVOD NA UCET	41	103598	POJISTNE	CD	93120836
894855	3050	1998-07-09	VYDAJ	PREVOD NA UCET	41	95394	POJISTNE	CD	93120836
894856	3050	1998-08-09	VYDAJ	PREVOD NA UCET	41	67426	POJISTNE	CD	93120836
894857	3050	1998-09-09	VYDAJ	PREVOD NA UCET	41	77532	POJISTNE	CD	93120836
894858	3050	1998-10-09	VYDAJ	PREVOD NA UCET	41	55216	POJISTNE	CD	93120836
894859	3050	1998-11-09	VYDAJ	PREVOD NA UCET	41	54128	POJISTNE	CD	93120836
894860	3050	1998-12-09	VYDAJ	PREVOD NA UCET	41	76483	POJISTNE	CD	93120836
894861	3050	1993-12-25	VYBER	VYBER	16411	57504	\N	\N	\N
894868	3050	1993-10-13	VYBER	VYBER	13903	44302	\N	\N	\N
894871	3050	1994-02-20	VYBER	VYBER	17668	25625	\N	\N	\N
894872	3050	1994-10-02	VYBER	VYBER	7278	38131	\N	\N	\N
894873	3050	1994-05-20	VYBER	VYBER	7076	35213	\N	\N	\N
894874	3050	1994-04-03	VYBER	VYBER	5529	37049	\N	\N	\N
894875	3050	1994-07-10	VYBER	VYBER	5591	78989	\N	\N	\N
894876	3050	1994-04-11	VYBER	VYBER	5436	65098	\N	\N	\N
894877	3050	1994-08-26	VYBER	VYBER	9118	64001	\N	\N	\N
894878	3050	1994-10-26	VYBER	VYBER	7493	55299	\N	\N	\N
894879	3050	1994-11-17	VYBER	VYBER	13490	54100	\N	\N	\N
894880	3050	1994-12-16	VYBER	VYBER	11589	62217	\N	\N	\N
894881	3050	1994-01-08	VYBER	VYBER	9085	65142	\N	\N	\N
894883	3050	1995-06-25	VYBER	VYBER	14870	25726	\N	\N	\N
894884	3050	1995-04-06	VYBER	VYBER	23918	23179	\N	\N	\N
894886	3050	1995-10-11	VYBER	VYBER	14861	73502	\N	\N	\N
894887	3050	1995-11-14	VYBER	VYBER	14714	44631	\N	\N	\N
894888	3050	1995-12-04	VYBER	VYBER	6004	24780	\N	\N	\N
894889	3050	1995-11-03	VYBER	VYBER	10656	34776	\N	\N	\N
894890	3050	1996-12-27	VYBER	VYBER	9805	43391	\N	\N	\N
894891	3050	1996-10-20	VYBER	VYBER	17935	38272	\N	\N	\N
894893	3050	1997-01-08	VYBER	VYBER	21123	57617	\N	\N	\N
894894	3050	1997-02-17	VYBER	VYBER	16851	34088	\N	\N	\N
894896	3050	1998-03-31	VYBER	VYBER	11133	41504	\N	\N	\N
894897	3050	1998-06-06	VYBER	VYBER	2433	41590	\N	\N	\N
894898	3050	1998-05-09	VYBER	VYBER	23685	61798	\N	\N	\N
894899	3050	1998-07-17	VYBER	VYBER	18422	39156	\N	\N	\N
894903	3050	1998-09-10	VYBER	VYBER	8326	46806	\N	\N	\N
894910	3050	1997-06-12	VYDAJ	VYBER	15000	24898	\N	\N	\N
894913	3050	1994-01-14	VYDAJ	VYBER	3900	51366	\N	\N	\N
894915	3050	1996-01-23	VYDAJ	VYBER	23100	36451	\N	\N	\N
894917	3050	1998-01-25	VYDAJ	VYBER	4800	29875	\N	\N	\N
894918	3050	1993-12-23	VYDAJ	VYBER	7200	73915	\N	\N	\N
894919	3050	1994-12-30	VYDAJ	VYBER	7500	37017	\N	\N	\N
894920	3050	1995-12-21	VYDAJ	VYBER	6600	63672	\N	\N	\N
894921	3050	1996-12-04	VYDAJ	VYBER KARTOU	3300	22204	\N	\N	0
894922	3050	1997-12-08	VYDAJ	VYBER KARTOU	2100	111187	\N	\N	0
894923	3050	1998-12-20	VYDAJ	VYBER	4200	55667	\N	\N	\N
894930	3050	1994-01-24	VYDAJ	VYBER	7800	26466	\N	\N	\N
894931	3050	1994-01-26	VYDAJ	VYBER	7500	18966	\N	\N	\N
894932	3050	1994-01-21	VYDAJ	VYBER	8700	34266	\N	\N	\N
894933	3050	1994-01-01	VYDAJ	VYBER	3300	54482	\N	\N	\N
894934	3050	1994-01-21	VYDAJ	VYBER	8400	42966	\N	\N	\N
894935	3050	1994-01-29	VYDAJ	VYBER	2400	16566	\N	\N	\N
894936	3050	1995-01-27	VYDAJ	VYBER	6600	34614	\N	\N	\N
894937	3050	1995-01-04	VYDAJ	VYBER KARTOU	3000	34253	\N	\N	0
894938	3050	1995-01-06	VYDAJ	VYBER	4800	29453	\N	\N	\N
894939	3050	1995-01-14	VYDAJ	VYBER	6900	41214	\N	\N	\N
894940	3050	1995-01-30	VYDAJ	VYBER	7800	23414	\N	\N	\N
894941	3050	1995-01-07	VYDAJ	VYBER	6000	23453	\N	\N	\N
894942	3050	1996-01-03	VYDAJ	VYBER	6900	39082	\N	\N	\N
894944	3050	1996-01-22	VYDAJ	VYBER KARTOU	1800	55651	\N	\N	0
894945	3050	1996-01-21	VYDAJ	VYBER	7800	57451	\N	\N	\N
894946	3050	1996-01-03	VYDAJ	VYBER KARTOU	3600	35482	\N	\N	0
894947	3050	1996-01-17	VYDAJ	VYBER KARTOU	1800	65251	\N	\N	0
894949	3050	1997-01-15	VYDAJ	VYBER KARTOU	2100	28741	\N	\N	0
894950	3050	1997-01-06	VYDAJ	VYBER	6300	37295	\N	\N	\N
894951	3050	1997-01-09	VYDAJ	VYBER	6600	50898	\N	\N	\N
894952	3050	1997-01-23	VYDAJ	VYBER	6900	24241	\N	\N	\N
894955	3050	1998-01-20	VYDAJ	VYBER	5400	45575	\N	\N	\N
894956	3050	1998-01-24	VYDAJ	VYBER	6000	34675	\N	\N	\N
894957	3050	1998-01-19	VYDAJ	VYBER KARTOU	2700	50975	\N	\N	0
894958	3050	1998-01-09	VYDAJ	VYBER KARTOU	3300	65291	\N	\N	0
894965	3050	1993-10-30	VYDAJ	VYBER	2400	41902	\N	\N	\N
894968	3050	1994-04-20	VYDAJ	VYBER	14100	21982	\N	\N	\N
894969	3050	1994-12-04	VYDAJ	VYBER	12600	28421	\N	\N	\N
894970	3050	1994-09-20	VYDAJ	VYBER	5700	67048	\N	\N	\N
894971	3050	1994-04-14	VYDAJ	VYBER	10800	36082	\N	\N	\N
894972	3050	1994-03-28	VYDAJ	VYBER	6900	42410	\N	\N	\N
894973	3050	1994-08-09	VYDAJ	VYBER KARTOU	3000	86976	\N	\N	0
894974	3050	1994-04-25	VYDAJ	VYBER	7200	14782	\N	\N	\N
894975	3050	1995-11-17	VYDAJ	VYBER	9900	31131	\N	\N	\N
894976	3050	1995-11-16	VYDAJ	VYBER KARTOU	3600	41031	\N	\N	0
894977	3050	1995-07-09	VYDAJ	VYBER	12000	57769	\N	\N	\N
894979	3050	1996-03-28	VYDAJ	VYBER KARTOU	3900	47370	\N	\N	0
894980	3050	1996-08-04	VYDAJ	VYBER KARTOU	3900	43047	\N	\N	0
894981	3050	1996-04-06	VYDAJ	VYBER KARTOU	3300	44309	\N	\N	0
894982	3050	1996-08-07	VYDAJ	VYBER	13500	29547	\N	\N	\N
894983	3050	1996-08-13	VYDAJ	VYBER	12000	42616	\N	\N	\N
894985	3050	1996-11-28	VYDAJ	VYBER	10500	25338	\N	\N	\N
894987	3050	1997-11-03	VYDAJ	VYBER	6600	48945	\N	\N	\N
894988	3050	1997-03-30	VYDAJ	VYBER KARTOU	1800	28198	\N	\N	0
894989	3050	1997-08-18	VYDAJ	VYBER	14400	36418	\N	\N	\N
894990	3050	1997-03-15	VYDAJ	VYBER	7800	40898	\N	\N	\N
894991	3050	1997-12-06	VYDAJ	VYBER KARTOU	3000	51238	\N	\N	0
894992	3050	1997-04-07	VYDAJ	VYBER	14700	13635	\N	\N	\N
894993	3050	1997-12-30	VYDAJ	VYBER	12000	27130	\N	\N	\N
895006	3050	1993-10-31	VYDAJ	VYBER	15	42141	SLUZBY	\N	\N
895007	3050	1993-11-30	VYDAJ	VYBER	15	53523	SLUZBY	\N	\N
895008	3050	1993-12-31	VYDAJ	VYBER	15	57782	SLUZBY	\N	\N
895009	3050	1994-01-31	VYDAJ	VYBER	15	16724	SLUZBY	\N	\N
895010	3050	1994-02-28	VYDAJ	VYBER	15	25741	SLUZBY	\N	\N
895011	3050	1994-03-31	VYDAJ	VYBER	15	42578	SLUZBY	\N	\N
895012	3050	1994-04-30	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
895013	3050	1994-05-31	VYDAJ	VYBER	15	35347	SLUZBY	\N	\N
895014	3050	1994-06-30	VYDAJ	VYBER	15	66395	SLUZBY	\N	\N
895015	3050	1994-07-31	VYDAJ	VYBER	15	69550	SLUZBY	\N	\N
895016	3050	1994-08-31	VYDAJ	VYBER	15	64286	SLUZBY	\N	\N
895017	3050	1994-09-30	VYDAJ	VYBER	15	45409	SLUZBY	\N	\N
895018	3050	1994-10-31	VYDAJ	VYBER	15	42928	SLUZBY	\N	\N
895019	3050	1994-11-30	VYDAJ	VYBER	15	41021	SLUZBY	\N	\N
895020	3050	1994-12-31	VYDAJ	VYBER	15	37253	SLUZBY	\N	\N
895021	3050	1995-01-31	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
895022	3050	1995-02-28	VYDAJ	VYBER	15	41298	SLUZBY	\N	\N
895023	3050	1995-03-31	VYDAJ	VYBER	15	47097	SLUZBY	\N	\N
895024	3050	1995-04-30	VYDAJ	VYBER	15	38028	SLUZBY	\N	\N
895025	3050	1995-05-31	VYDAJ	VYBER	15	47212	SLUZBY	\N	\N
895026	3050	1995-06-30	VYDAJ	VYBER	15	28484	SLUZBY	\N	\N
895027	3050	1995-07-31	VYDAJ	VYBER	15	35396	SLUZBY	\N	\N
895028	3050	1995-08-31	VYDAJ	VYBER	15	46466	SLUZBY	\N	\N
895029	3050	1995-09-30	VYDAJ	VYBER	15	47078	SLUZBY	\N	\N
895030	3050	1995-10-31	VYDAJ	VYBER	15	45432	SLUZBY	\N	\N
895031	3050	1995-11-30	VYDAJ	VYBER	15	30784	SLUZBY	\N	\N
895032	3050	1995-12-31	VYDAJ	VYBER	15	45982	SLUZBY	\N	\N
895033	3050	1996-01-31	VYDAJ	VYBER	15	31351	SLUZBY	\N	\N
895034	3050	1996-02-29	VYDAJ	VYBER	15	43701	SLUZBY	\N	\N
895035	3050	1996-03-31	VYDAJ	VYBER	15	47609	SLUZBY	\N	\N
895036	3050	1996-04-30	VYDAJ	VYBER	15	48814	SLUZBY	\N	\N
895037	3050	1996-05-31	VYDAJ	VYBER	15	54636	SLUZBY	\N	\N
895038	3050	1996-06-30	VYDAJ	VYBER	15	42057	SLUZBY	\N	\N
895039	3050	1996-07-31	VYDAJ	VYBER	15	46947	SLUZBY	\N	\N
895040	3050	1996-08-31	VYDAJ	VYBER	15	36682	SLUZBY	\N	\N
895041	3050	1996-09-30	VYDAJ	VYBER	15	44138	SLUZBY	\N	\N
895042	3050	1996-10-31	VYDAJ	VYBER	15	30269	SLUZBY	\N	\N
895043	3050	1996-11-30	VYDAJ	VYBER	15	25504	SLUZBY	\N	\N
895044	3050	1996-12-31	VYDAJ	VYBER	15	43595	SLUZBY	\N	\N
895045	3050	1997-01-31	VYDAJ	VYBER	15	24370	SLUZBY	\N	\N
895046	3050	1997-02-28	VYDAJ	VYBER	15	24329	SLUZBY	\N	\N
895047	3050	1997-03-31	VYDAJ	VYBER	15	28335	SLUZBY	\N	\N
895048	3050	1997-04-30	VYDAJ	VYBER	15	35242	SLUZBY	\N	\N
895049	3050	1997-05-31	VYDAJ	VYBER	15	44206	SLUZBY	\N	\N
895050	3050	1997-06-30	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
895051	3050	1997-07-31	VYDAJ	VYBER	15	43549	SLUZBY	\N	\N
895052	3050	1997-08-31	VYDAJ	VYBER	15	36603	SLUZBY	\N	\N
895053	3050	1997-09-30	VYDAJ	VYBER	15	44454	SLUZBY	\N	\N
895054	3050	1997-10-31	VYDAJ	VYBER	15	55545	SLUZBY	\N	\N
895055	3050	1997-11-30	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
895056	3050	1997-12-31	VYDAJ	VYBER	15	27306	SLUZBY	\N	\N
895057	3050	1998-01-31	VYDAJ	VYBER	15	22428	SLUZBY	\N	\N
895058	3050	1998-02-28	VYDAJ	VYBER	15	42243	SLUZBY	\N	\N
895059	3050	1998-03-31	VYDAJ	VYBER	15	41490	SLUZBY	\N	\N
895060	3050	1998-04-30	VYDAJ	VYBER	15	51857	SLUZBY	\N	\N
895061	3050	1998-05-31	VYDAJ	VYBER	15	44023	SLUZBY	\N	\N
895062	3050	1998-06-30	VYDAJ	VYBER	15	54109	SLUZBY	\N	\N
895063	3050	1998-07-31	VYDAJ	VYBER	15	32841	SLUZBY	\N	\N
895064	3050	1998-08-31	VYDAJ	VYBER	15	36247	SLUZBY	\N	\N
895065	3050	1998-09-30	VYDAJ	VYBER	15	37231	SLUZBY	\N	\N
895066	3050	1998-10-31	VYDAJ	VYBER	15	39043	SLUZBY	\N	\N
895067	3050	1998-11-30	VYDAJ	VYBER	15	44575	SLUZBY	\N	\N
895068	3050	1993-06-07	PRIJEM	VKLAD	10500	11400	\N	\N	\N
895069	3050	1993-07-07	VYDAJ	VYBER	22600	51203	\N	\N	\N
895070	3050	1993-08-06	VYDAJ	VYBER	35400	57616	\N	\N	\N
895071	3050	1993-09-05	VYDAJ	VYBER	38600	60868	\N	\N	\N
895072	3050	1993-10-05	VYDAJ	VYBER	36500	66236	\N	\N	\N
895073	3050	1993-10-08	VYDAJ	VYBER	31300	76262	\N	\N	\N
895074	3050	1993-11-04	VYDAJ	VYBER	11200	30941	\N	\N	\N
895075	3050	1993-12-04	VYDAJ	VYBER	17400	36123	\N	\N	\N
895076	3050	1994-01-03	VYDAJ	VYBER	13900	40582	\N	\N	\N
895077	3050	1994-02-02	PRIJEM	VKLAD	1100	17824	\N	\N	\N
895078	3050	1994-03-04	VYDAJ	VYBER KARTOU	400	25341	\N	\N	0
895079	3050	1994-04-03	VYDAJ	VYBER	7800	29249	\N	\N	\N
895080	3050	1994-05-03	PRIJEM	VKLAD	2100	17020	\N	\N	\N
895081	3050	1994-06-02	VYDAJ	VYBER	9500	25847	\N	\N	\N
895082	3050	1994-07-02	VYDAJ	VYBER	23100	43295	\N	\N	\N
895083	3050	1994-08-01	VYDAJ	VYBER	20900	48650	\N	\N	\N
895084	3050	1994-08-31	VYDAJ	VYBER	16200	48086	\N	\N	\N
895085	3050	1994-09-30	VYDAJ	VYBER	21900	45423	\N	\N	\N
895086	3050	1994-10-30	VYDAJ	VYBER	12600	42699	\N	\N	\N
895087	3050	1994-11-29	VYDAJ	VYBER	13300	40800	\N	\N	\N
895088	3050	1994-12-29	VYDAJ	VYBER	17700	44517	\N	\N	\N
895089	3050	1995-01-28	VYDAJ	VYBER KARTOU	3400	31214	\N	\N	0
895090	3050	1995-02-27	VYDAJ	VYBER	7100	41131	\N	\N	\N
895091	3050	1995-03-29	VYDAJ	VYBER	19100	46860	\N	\N	\N
895092	3050	1995-04-28	VYDAJ	VYBER	10000	37840	\N	\N	\N
895093	3050	1995-05-28	VYDAJ	VYBER	15700	46989	\N	\N	\N
895094	3050	1995-06-08	VYDAJ	VYBER	52000	57261	\N	\N	\N
895095	3050	1995-06-27	PRIJEM	VKLAD	2600	28326	\N	\N	\N
895096	3050	1995-07-27	VYDAJ	VYBER	5900	35246	\N	\N	\N
895097	3050	1995-08-26	VYDAJ	VYBER	13800	46257	\N	\N	\N
895098	3050	1995-09-25	VYDAJ	VYBER	19400	52335	\N	\N	\N
895099	3050	1995-10-25	VYDAJ	VYBER	18600	45186	\N	\N	\N
895100	3050	1995-11-24	VYDAJ	VYBER KARTOU	500	30631	\N	\N	0
895101	3050	1995-12-24	VYDAJ	VYBER	17900	45772	\N	\N	\N
895102	3050	1996-01-23	PRIJEM	VKLAD	3900	59551	\N	\N	\N
895103	3050	1996-02-22	VYDAJ	VYBER	11600	43520	\N	\N	\N
895104	3050	1996-03-23	VYDAJ	VYBER	18700	51270	\N	\N	\N
895105	3050	1996-04-22	VYDAJ	VYBER	21800	48578	\N	\N	\N
895106	3050	1996-05-22	VYDAJ	VYBER	19700	54383	\N	\N	\N
895107	3050	1996-06-09	VYDAJ	VYBER	42200	74444	\N	\N	\N
895108	3050	1996-06-21	VYDAJ	VYBER	13100	41828	\N	\N	\N
895109	3050	1996-07-21	VYDAJ	VYBER	21100	46726	\N	\N	\N
895110	3050	1996-08-20	VYDAJ	VYBER	6100	36516	\N	\N	\N
895111	3050	1996-09-19	VYDAJ	VYBER	14700	43951	\N	\N	\N
895112	3050	1996-10-19	VYDAJ	VYBER	19500	56207	\N	\N	\N
895113	3050	1996-11-18	VYDAJ	VYBER	13100	42338	\N	\N	\N
895114	3050	1996-12-18	VYDAJ	VYBER	21300	53196	\N	\N	\N
895115	3050	1997-01-17	PRIJEM	VKLAD	2400	31141	\N	\N	\N
895116	3050	1997-02-16	VYDAJ	VYBER	5000	50939	\N	\N	\N
895117	3050	1997-03-18	VYDAJ	VYBER KARTOU	2800	38098	\N	\N	0
895118	3050	1997-04-17	VYDAJ	VYBER	10100	35104	\N	\N	\N
895119	3050	1997-05-17	VYDAJ	VYBER	15300	51511	\N	\N	\N
895120	3050	1997-06-08	VYDAJ	VYBER	51700	49774	\N	\N	\N
895121	3050	1997-06-16	PRIJEM	VKLAD	4100	28998	\N	\N	\N
895122	3050	1997-07-16	VYDAJ	VYBER	11000	43390	\N	\N	\N
895123	3050	1997-08-15	VYDAJ	VYBER	19300	50818	\N	\N	\N
895124	3050	1997-09-14	VYDAJ	VYBER	16200	51972	\N	\N	\N
895125	3050	1997-10-14	VYDAJ	VYBER	15800	55323	\N	\N	\N
895126	3050	1997-11-13	VYDAJ	VYBER	20200	54014	\N	\N	\N
895127	3050	1997-12-08	VYDAJ	VYBER	55100	56087	\N	\N	\N
895128	3050	1997-12-13	VYDAJ	VYBER KARTOU	1300	45030	\N	\N	0
895129	3050	1998-01-12	VYDAJ	VYBER KARTOU	1900	53675	\N	\N	0
895130	3050	1998-02-11	VYDAJ	VYBER	11900	51813	\N	\N	\N
895131	3050	1998-03-13	VYDAJ	VYBER	14700	59112	\N	\N	\N
895132	3050	1998-04-12	VYDAJ	VYBER	15800	51659	\N	\N	\N
895133	3050	1998-05-12	VYDAJ	VYBER	8200	43841	\N	\N	\N
895134	3050	1998-06-11	VYDAJ	VYBER	34500	69098	\N	\N	\N
895135	3050	1998-07-11	VYDAJ	VYBER	28100	57578	\N	\N	\N
895136	3050	1998-08-10	VYDAJ	VYBER	21600	45826	\N	\N	\N
895137	3050	1998-09-09	VYDAJ	VYBER	22400	55132	\N	\N	\N
895138	3050	1998-10-09	VYDAJ	VYBER	15500	55257	\N	\N	\N
895139	3050	1998-11-08	VYDAJ	VYBER	20000	60369	\N	\N	\N
895140	3050	1998-12-08	VYDAJ	VYBER	30100	76524	\N	\N	\N
895208	3051	1996-01-01	PRIJEM	VKLAD	800	800	\N	\N	\N
895209	3051	1996-04-14	PRIJEM	VKLAD	13314	76047	\N	\N	\N
895210	3051	1996-08-02	PRIJEM	VKLAD	33421	100461	\N	\N	\N
895211	3051	1996-10-01	PRIJEM	VKLAD	46477	110386	\N	\N	\N
895212	3051	1996-09-19	PRIJEM	VKLAD	25347	104576	\N	\N	\N
895213	3051	1996-05-10	PRIJEM	VKLAD	49949	115122	\N	\N	\N
895214	3051	1996-12-27	PRIJEM	VKLAD	21806	84817	\N	\N	\N
895215	3051	1996-02-28	PRIJEM	VKLAD	20028	87402	\N	\N	\N
895216	3051	1996-07-22	PRIJEM	VKLAD	40124	122739	\N	\N	\N
895217	3051	1996-03-15	PRIJEM	VKLAD	28296	107379	\N	\N	\N
895218	3051	1996-05-29	PRIJEM	VKLAD	10136	96270	\N	\N	\N
895219	3051	1996-01-10	PRIJEM	VKLAD	33873	101844	\N	\N	\N
895220	3051	1996-01-06	PRIJEM	VKLAD	19569	67971	\N	\N	\N
895221	3051	1996-06-03	PRIJEM	VKLAD	21942	84229	\N	\N	\N
895222	3051	1996-03-13	PRIJEM	VKLAD	30690	83187	\N	\N	\N
895223	3051	1996-06-23	PRIJEM	VKLAD	18510	114477	\N	\N	\N
895224	3051	1996-04-17	PRIJEM	VKLAD	13188	104967	\N	\N	\N
895225	3051	1996-10-23	PRIJEM	VKLAD	26426	92001	\N	\N	\N
895226	3051	1996-07-12	PRIJEM	VKLAD	43323	86719	\N	\N	\N
895227	3051	1996-02-08	PRIJEM	VKLAD	17645	67374	\N	\N	\N
895228	3051	1996-09-02	PRIJEM	VKLAD	9312	84140	\N	\N	\N
895229	3051	1996-11-12	PRIJEM	VKLAD	26742	80582	\N	\N	\N
895230	3051	1996-11-28	PRIJEM	VKLAD	47970	98648	\N	\N	\N
895231	3051	1996-06-11	PRIJEM	VKLAD	30684	100255	\N	\N	\N
895232	3051	1996-01-02	PRIJEM	VKLAD	47602	48402	\N	\N	\N
895233	3051	1996-04-17	PRIJEM	VKLAD	19836	91779	\N	\N	\N
895234	3051	1996-09-02	PRIJEM	VKLAD	17143	74828	\N	\N	\N
895235	3051	1997-04-04	PRIJEM	VKLAD	27133	48690	\N	\N	\N
895236	3051	1997-09-17	PRIJEM	VKLAD	15177	94379	\N	\N	\N
895237	3051	1997-01-28	PRIJEM	VKLAD	27556	71389	\N	\N	\N
895238	3051	1997-02-07	PRIJEM	VKLAD	26307	118670	\N	\N	\N
895239	3051	1997-09-08	PRIJEM	VKLAD	13578	58351	\N	\N	\N
895240	3051	1997-08-06	PRIJEM	VKLAD	43168	78108	\N	\N	\N
895241	3051	1997-01-17	PRIJEM	VKLAD	9348	67294	\N	\N	\N
895242	3051	1997-11-23	PRIJEM	VKLAD	41243	72866	\N	\N	\N
895243	3051	1997-07-18	PRIJEM	VKLAD	47322	70594	\N	\N	\N
895244	3051	1997-09-17	PRIJEM	VKLAD	25762	79202	\N	\N	\N
895245	3051	1997-09-25	PRIJEM	VKLAD	22717	84038	\N	\N	\N
895246	3051	1997-02-07	PRIJEM	VKLAD	26788	145458	\N	\N	\N
895247	3051	1997-04-09	PRIJEM	VKLAD	9209	57899	\N	\N	\N
895248	3051	1997-01-19	PRIJEM	VKLAD	15539	78333	\N	\N	\N
895249	3051	1997-02-06	PRIJEM	VKLAD	45890	109463	\N	\N	\N
895250	3051	1997-04-15	PRIJEM	VKLAD	11969	64957	\N	\N	\N
895251	3051	1997-12-11	PRIJEM	VKLAD	25470	97883	\N	\N	\N
895252	3051	1997-05-16	PRIJEM	VKLAD	23595	55910	\N	\N	\N
895253	3051	1997-12-25	PRIJEM	VKLAD	43732	108627	\N	\N	\N
895254	3051	1997-01-11	PRIJEM	VKLAD	40577	92740	\N	\N	\N
895255	3051	1998-10-27	PRIJEM	VKLAD	41174	101704	\N	\N	\N
895256	3051	1998-09-02	PRIJEM	VKLAD	36775	144102	\N	\N	\N
895257	3051	1998-03-12	PRIJEM	VKLAD	32750	126345	\N	\N	\N
895258	3051	1998-04-16	PRIJEM	VKLAD	24085	114996	\N	\N	\N
895259	3051	1998-05-14	PRIJEM	VKLAD	36688	77203	\N	\N	\N
895260	3051	1998-06-20	PRIJEM	VKLAD	42853	90681	\N	\N	\N
895261	3051	1998-06-28	PRIJEM	VKLAD	10507	100825	\N	\N	\N
895262	3051	1998-02-20	PRIJEM	VKLAD	31372	76234	\N	\N	\N
895263	3051	1998-07-11	PRIJEM	VKLAD	34466	108283	\N	\N	\N
895264	3051	1998-07-30	PRIJEM	VKLAD	42588	119883	\N	\N	\N
895265	3051	1998-08-22	PRIJEM	VKLAD	5701	85999	\N	\N	\N
895266	3051	1998-12-11	PRIJEM	VKLAD	11365	112641	\N	\N	\N
895267	3051	1998-11-09	PRIJEM	VKLAD	18622	120634	\N	\N	\N
895268	3051	1998-01-13	PRIJEM	VKLAD	28003	75117	\N	\N	\N
895269	3051	1998-12-05	PRIJEM	VKLAD	36547	101899	\N	\N	\N
895270	3051	1998-04-15	PRIJEM	VKLAD	38000	90911	\N	\N	\N
895271	3051	1998-07-02	PRIJEM	VKLAD	24597	125740	\N	\N	\N
895272	3051	1998-01-26	PRIJEM	VKLAD	48074	83187	\N	\N	\N
895273	3051	1998-06-22	PRIJEM	VKLAD	48837	139518	\N	\N	\N
895274	3051	1998-03-08	PRIJEM	VKLAD	28420	94402	\N	\N	\N
895275	3051	1998-09-01	PRIJEM	VKLAD	26662	107327	\N	\N	\N
895276	3051	1998-08-15	PRIJEM	VKLAD	6233	101198	\N	\N	\N
895277	3051	1998-09-16	PRIJEM	VKLAD	28443	115034	\N	\N	\N
895280	3051	1996-03-14	VYDAJ	PREVOD NA UCET	4104	79083	SIPO	WX	89318686
895281	3051	1996-04-14	VYDAJ	PREVOD NA UCET	4104	71943	SIPO	WX	89318686
895282	3051	1996-05-14	VYDAJ	PREVOD NA UCET	4104	86134	SIPO	WX	89318686
895283	3051	1996-06-14	VYDAJ	PREVOD NA UCET	4104	95967	SIPO	WX	89318686
895284	3051	1996-07-14	VYDAJ	PREVOD NA UCET	4104	82615	SIPO	WX	89318686
895285	3051	1996-08-14	VYDAJ	PREVOD NA UCET	4104	95550	SIPO	WX	89318686
895286	3051	1996-09-14	VYDAJ	PREVOD NA UCET	4104	79229	SIPO	WX	89318686
895287	3051	1996-10-14	VYDAJ	PREVOD NA UCET	4104	65575	SIPO	WX	89318686
895288	3051	1996-11-14	VYDAJ	PREVOD NA UCET	4104	76478	SIPO	WX	89318686
895289	3051	1996-12-14	VYDAJ	PREVOD NA UCET	4104	91611	SIPO	WX	89318686
895290	3051	1997-01-14	VYDAJ	PREVOD NA UCET	4104	65146	SIPO	WX	89318686
895291	3051	1997-02-14	VYDAJ	PREVOD NA UCET	4104	69067	SIPO	WX	89318686
895292	3051	1997-03-14	VYDAJ	PREVOD NA UCET	4104	19256	SIPO	WX	89318686
895293	3051	1997-04-14	VYDAJ	PREVOD NA UCET	4104	52988	SIPO	WX	89318686
895294	3051	1997-05-14	VYDAJ	PREVOD NA UCET	4104	32315	SIPO	WX	89318686
895295	3051	1997-06-14	VYDAJ	PREVOD NA UCET	4104	20578	SIPO	WX	89318686
895296	3051	1997-07-14	VYDAJ	PREVOD NA UCET	4104	23272	SIPO	WX	89318686
895297	3051	1997-08-14	VYDAJ	PREVOD NA UCET	4104	73197	SIPO	WX	89318686
895298	3051	1997-09-14	VYDAJ	PREVOD NA UCET	4104	53440	SIPO	WX	89318686
895299	3051	1997-10-14	VYDAJ	PREVOD NA UCET	4104	62438	SIPO	WX	89318686
895300	3051	1997-11-14	VYDAJ	PREVOD NA UCET	4104	24923	SIPO	WX	89318686
895301	3051	1997-12-14	VYDAJ	PREVOD NA UCET	4104	93595	SIPO	WX	89318686
895302	3051	1998-01-14	VYDAJ	PREVOD NA UCET	4104	71013	SIPO	WX	89318686
895303	3051	1998-02-14	VYDAJ	PREVOD NA UCET	4104	48962	SIPO	WX	89318686
895304	3051	1998-03-14	VYDAJ	PREVOD NA UCET	4104	73441	SIPO	WX	89318686
895305	3051	1998-04-14	VYDAJ	PREVOD NA UCET	4104	52911	SIPO	WX	89318686
895306	3051	1998-05-14	VYDAJ	PREVOD NA UCET	4104	73099	SIPO	WX	89318686
895307	3051	1998-06-14	VYDAJ	PREVOD NA UCET	4104	44728	SIPO	WX	89318686
895308	3051	1998-07-14	VYDAJ	PREVOD NA UCET	4104	103995	SIPO	WX	89318686
895309	3051	1998-08-14	VYDAJ	PREVOD NA UCET	4104	94965	SIPO	WX	89318686
895310	3051	1998-09-14	VYDAJ	PREVOD NA UCET	4104	86591	SIPO	WX	89318686
895311	3051	1998-10-14	VYDAJ	PREVOD NA UCET	4104	77530	SIPO	WX	89318686
895312	3051	1998-11-14	VYDAJ	PREVOD NA UCET	4104	90923	SIPO	WX	89318686
895313	3051	1998-12-14	VYDAJ	PREVOD NA UCET	4104	74153	SIPO	WX	89318686
895316	3051	1996-03-11	VYDAJ	PREVOD NA UCET	184	52497	 	GH	55203390
895317	3051	1996-04-11	VYDAJ	PREVOD NA UCET	184	62733	 	GH	55203390
895318	3051	1996-05-11	VYDAJ	PREVOD NA UCET	184	90238	 	GH	55203390
895319	3051	1996-06-11	VYDAJ	PREVOD NA UCET	184	100071	 	GH	55203390
895320	3051	1996-07-11	VYDAJ	PREVOD NA UCET	184	43396	 	GH	55203390
895321	3051	1996-08-11	VYDAJ	PREVOD NA UCET	184	99654	 	GH	55203390
895322	3051	1996-09-11	VYDAJ	PREVOD NA UCET	184	83333	 	GH	55203390
895323	3051	1996-10-11	VYDAJ	PREVOD NA UCET	184	69679	 	GH	55203390
895324	3051	1996-11-11	VYDAJ	PREVOD NA UCET	184	53840	 	GH	55203390
895325	3051	1996-12-11	VYDAJ	PREVOD NA UCET	184	95715	 	GH	55203390
895326	3051	1997-01-11	VYDAJ	PREVOD NA UCET	184	92556	 	GH	55203390
895327	3051	1997-02-11	VYDAJ	PREVOD NA UCET	184	73171	 	GH	55203390
895328	3051	1997-03-11	VYDAJ	PREVOD NA UCET	184	23360	 	GH	55203390
895329	3051	1997-04-11	VYDAJ	PREVOD NA UCET	184	57092	 	GH	55203390
895330	3051	1997-05-11	VYDAJ	PREVOD NA UCET	184	36419	 	GH	55203390
895331	3051	1997-06-11	VYDAJ	PREVOD NA UCET	184	24682	 	GH	55203390
895332	3051	1997-07-11	VYDAJ	PREVOD NA UCET	184	27376	 	GH	55203390
895333	3051	1997-08-11	VYDAJ	PREVOD NA UCET	184	77301	 	GH	55203390
895334	3051	1997-09-11	VYDAJ	PREVOD NA UCET	184	57544	 	GH	55203390
895335	3051	1997-10-11	VYDAJ	PREVOD NA UCET	184	83483	 	GH	55203390
895336	3051	1997-11-11	VYDAJ	PREVOD NA UCET	184	29027	 	GH	55203390
895337	3051	1997-12-11	VYDAJ	PREVOD NA UCET	184	97699	 	GH	55203390
895338	3051	1998-01-11	VYDAJ	PREVOD NA UCET	184	47114	 	GH	55203390
895339	3051	1998-02-11	VYDAJ	PREVOD NA UCET	184	53066	 	GH	55203390
895340	3051	1998-03-11	VYDAJ	PREVOD NA UCET	184	93595	 	GH	55203390
895341	3051	1998-04-11	VYDAJ	PREVOD NA UCET	184	57015	 	GH	55203390
895342	3051	1998-05-11	VYDAJ	PREVOD NA UCET	184	40515	 	GH	55203390
895343	3051	1998-06-11	VYDAJ	PREVOD NA UCET	184	62627	 	GH	55203390
895344	3051	1998-07-11	VYDAJ	PREVOD NA UCET	184	108099	 	GH	55203390
895345	3051	1998-08-11	VYDAJ	PREVOD NA UCET	184	99069	 	GH	55203390
895346	3051	1998-09-11	VYDAJ	PREVOD NA UCET	184	90695	 	GH	55203390
895347	3051	1998-10-11	VYDAJ	PREVOD NA UCET	184	81634	 	GH	55203390
895348	3051	1998-11-11	VYDAJ	PREVOD NA UCET	184	95027	 	GH	55203390
895349	3051	1998-12-11	VYDAJ	PREVOD NA UCET	184	78257	 	GH	55203390
895352	3051	1996-03-09	VYDAJ	PREVOD NA UCET	623	52681	POJISTNE	WX	73282408
895353	3051	1996-04-09	VYDAJ	PREVOD NA UCET	623	62917	POJISTNE	WX	73282408
895354	3051	1996-05-09	VYDAJ	PREVOD NA UCET	623	65173	POJISTNE	WX	73282408
895355	3051	1996-06-09	VYDAJ	PREVOD NA UCET	623	69571	POJISTNE	WX	73282408
895356	3051	1996-07-09	VYDAJ	PREVOD NA UCET	623	43580	POJISTNE	WX	73282408
895357	3051	1996-08-09	VYDAJ	PREVOD NA UCET	623	99838	POJISTNE	WX	73282408
895358	3051	1996-09-09	VYDAJ	PREVOD NA UCET	623	83517	POJISTNE	WX	73282408
895359	3051	1996-10-09	VYDAJ	PREVOD NA UCET	623	69863	POJISTNE	WX	73282408
895360	3051	1996-11-09	VYDAJ	PREVOD NA UCET	623	54024	POJISTNE	WX	73282408
895361	3051	1996-12-09	VYDAJ	PREVOD NA UCET	623	95899	POJISTNE	WX	73282408
895362	3051	1997-01-09	VYDAJ	PREVOD NA UCET	623	79763	POJISTNE	WX	73282408
895363	3051	1997-02-09	VYDAJ	PREVOD NA UCET	623	73355	POJISTNE	WX	73282408
895364	3051	1997-03-09	VYDAJ	PREVOD NA UCET	623	23544	POJISTNE	WX	73282408
895365	3051	1997-04-09	VYDAJ	PREVOD NA UCET	623	57276	POJISTNE	WX	73282408
895366	3051	1997-05-09	VYDAJ	PREVOD NA UCET	623	36603	POJISTNE	WX	73282408
895367	3051	1997-06-09	VYDAJ	PREVOD NA UCET	623	24866	POJISTNE	WX	73282408
895368	3051	1997-07-09	VYDAJ	PREVOD NA UCET	623	27560	POJISTNE	WX	73282408
895369	3051	1997-08-09	VYDAJ	PREVOD NA UCET	623	77485	POJISTNE	WX	73282408
895370	3051	1997-09-09	VYDAJ	PREVOD NA UCET	623	57728	POJISTNE	WX	73282408
895371	3051	1997-10-09	VYDAJ	PREVOD NA UCET	623	83667	POJISTNE	WX	73282408
895372	3051	1997-11-09	VYDAJ	PREVOD NA UCET	623	29211	POJISTNE	WX	73282408
895373	3051	1997-12-09	VYDAJ	PREVOD NA UCET	623	72413	POJISTNE	WX	73282408
895374	3051	1998-01-09	VYDAJ	PREVOD NA UCET	623	47298	POJISTNE	WX	73282408
895375	3051	1998-02-09	VYDAJ	PREVOD NA UCET	623	53250	POJISTNE	WX	73282408
895376	3051	1998-03-09	VYDAJ	PREVOD NA UCET	623	93779	POJISTNE	WX	73282408
895377	3051	1998-04-09	VYDAJ	PREVOD NA UCET	623	57199	POJISTNE	WX	73282408
895378	3051	1998-05-09	VYDAJ	PREVOD NA UCET	623	40699	POJISTNE	WX	73282408
895379	3051	1998-06-09	VYDAJ	PREVOD NA UCET	623	62811	POJISTNE	WX	73282408
895380	3051	1998-07-09	VYDAJ	PREVOD NA UCET	623	73817	POJISTNE	WX	73282408
895381	3051	1998-08-09	VYDAJ	PREVOD NA UCET	623	99253	POJISTNE	WX	73282408
895382	3051	1998-09-09	VYDAJ	PREVOD NA UCET	623	110679	POJISTNE	WX	73282408
895383	3051	1998-10-09	VYDAJ	PREVOD NA UCET	623	81818	POJISTNE	WX	73282408
895384	3051	1998-11-09	VYDAJ	PREVOD NA UCET	623	120011	POJISTNE	WX	73282408
895385	3051	1998-12-09	VYDAJ	PREVOD NA UCET	623	101276	POJISTNE	WX	73282408
895386	3051	1996-10-26	VYBER	VYBER	13669	78332	\N	\N	\N
895387	3051	1996-06-05	VYBER	VYBER	14035	70194	\N	\N	\N
895388	3051	1997-10-12	VYBER	VYBER	16941	66542	\N	\N	\N
895389	3051	1997-06-05	VYBER	VYBER	16999	25489	\N	\N	\N
895390	3051	1997-05-03	VYBER	VYBER	10917	37226	\N	\N	\N
895391	3051	1997-01-12	VYBER	VYBER	23306	69250	\N	\N	\N
895394	3051	1997-09-18	VYBER	VYBER	6858	87521	\N	\N	\N
895396	3051	1997-08-18	VYBER	VYBER	16730	56467	\N	\N	\N
895397	3051	1997-11-06	VYBER	VYBER	16764	29834	\N	\N	\N
895398	3051	1997-03-09	VYBER	VYBER	23767	24167	\N	\N	\N
895399	3051	1997-02-09	VYBER	VYBER	20580	73978	\N	\N	\N
895400	3051	1998-02-01	VYBER	VYBER	22041	53873	\N	\N	\N
895401	3051	1998-06-14	VYBER	VYBER	13795	48832	\N	\N	\N
895406	3051	1997-01-10	VYDAJ	VYBER	27600	52163	\N	\N	\N
895408	3051	1996-12-08	VYDAJ	VYBER	2400	96522	\N	\N	\N
895409	3051	1997-12-28	VYDAJ	VYBER KARTOU	3600	50927	\N	\N	0
895410	3051	1998-12-28	VYDAJ	VYBER	6600	52853	\N	\N	\N
895417	3051	1997-01-24	VYDAJ	VYBER	5100	73233	\N	\N	\N
895418	3051	1997-01-18	VYDAJ	VYBER	4500	62794	\N	\N	\N
895419	3051	1997-01-15	VYDAJ	VYBER	7200	57946	\N	\N	\N
895420	3051	1997-01-26	VYDAJ	VYBER	7800	43833	\N	\N	\N
895421	3051	1997-01-05	VYDAJ	VYBER	4800	80386	\N	\N	\N
895422	3051	1997-01-29	VYDAJ	VYBER	8100	63289	\N	\N	\N
895423	3051	1998-01-23	VYDAJ	VYBER	8400	40213	\N	\N	\N
895424	3051	1998-01-19	VYDAJ	VYBER	4800	58713	\N	\N	\N
895425	3051	1998-01-03	VYDAJ	VYBER KARTOU	3300	47921	\N	\N	0
895426	3051	1998-01-15	VYDAJ	VYBER	7500	63513	\N	\N	\N
895427	3051	1998-01-30	VYDAJ	VYBER	7500	75687	\N	\N	\N
895428	3051	1998-01-24	VYDAJ	VYBER	5100	35113	\N	\N	\N
895430	3051	1996-07-06	VYDAJ	VYBER	12900	44203	\N	\N	\N
895431	3051	1996-02-28	VYDAJ	VYBER	6600	80802	\N	\N	\N
895432	3051	1996-08-28	VYDAJ	VYBER	7500	88050	\N	\N	\N
895433	3051	1996-03-29	VYDAJ	VYBER	6300	101079	\N	\N	\N
895434	3051	1996-09-30	VYDAJ	VYBER	4500	63909	\N	\N	\N
895437	3051	1997-07-27	VYDAJ	VYBER	13800	34794	\N	\N	\N
895438	3051	1997-10-27	VYDAJ	VYBER	5100	46338	\N	\N	\N
895439	3051	1998-05-07	VYDAJ	VYBER	13500	41322	\N	\N	\N
895440	3051	1998-11-28	VYDAJ	VYBER KARTOU	3900	65023	\N	\N	0
895441	3051	1998-06-18	VYDAJ	VYBER	4200	40528	\N	\N	\N
895442	3051	1998-08-27	VYDAJ	VYBER	5700	80299	\N	\N	\N
895443	3051	1998-09-29	VYDAJ	VYBER KARTOU	2400	82034	\N	\N	0
895444	3051	1998-02-22	VYDAJ	VYBER	10500	65734	\N	\N	\N
895447	3051	1996-02-29	VYDAJ	VYBER	15	81004	SLUZBY	\N	\N
895448	3051	1996-03-31	VYDAJ	VYBER	15	63540	SLUZBY	\N	\N
895449	3051	1996-04-30	VYDAJ	VYBER	15	105296	SLUZBY	\N	\N
895450	3051	1996-05-31	VYDAJ	VYBER	15	62287	SLUZBY	\N	\N
895451	3051	1996-06-30	VYDAJ	VYBER	15	57103	SLUZBY	\N	\N
895452	3051	1996-07-31	VYDAJ	VYBER	15	67040	SLUZBY	\N	\N
895453	3051	1996-08-31	VYDAJ	VYBER	15	57685	SLUZBY	\N	\N
895454	3051	1996-09-30	VYDAJ	VYBER	15	68409	SLUZBY	\N	\N
895455	3051	1996-10-31	VYDAJ	VYBER	15	54647	SLUZBY	\N	\N
895456	3051	1996-11-30	VYDAJ	VYBER	15	98922	SLUZBY	\N	\N
895457	3051	1996-12-31	VYDAJ	VYBER	15	85186	SLUZBY	\N	\N
895458	3051	1997-01-31	VYDAJ	VYBER	15	63573	SLUZBY	\N	\N
895459	3051	1997-02-28	VYDAJ	VYBER	15	47934	SLUZBY	\N	\N
895460	3051	1997-03-31	VYDAJ	VYBER	15	21557	SLUZBY	\N	\N
895461	3051	1997-04-30	VYDAJ	VYBER	15	48143	SLUZBY	\N	\N
895462	3051	1997-05-31	VYDAJ	VYBER	15	42488	SLUZBY	\N	\N
895463	3051	1997-06-30	VYDAJ	VYBER	15	28183	SLUZBY	\N	\N
895464	3051	1997-07-31	VYDAJ	VYBER	15	34940	SLUZBY	\N	\N
895465	3051	1997-08-31	VYDAJ	VYBER	15	44773	SLUZBY	\N	\N
895466	3051	1997-09-30	VYDAJ	VYBER	15	84290	SLUZBY	\N	\N
895467	3051	1997-10-31	VYDAJ	VYBER	15	46598	SLUZBY	\N	\N
895468	3051	1997-11-30	VYDAJ	VYBER	15	73036	SLUZBY	\N	\N
895469	3051	1997-12-31	VYDAJ	VYBER	15	51221	SLUZBY	\N	\N
895470	3051	1998-01-31	VYDAJ	VYBER	15	75914	SLUZBY	\N	\N
895471	3051	1998-02-28	VYDAJ	VYBER	15	65982	SLUZBY	\N	\N
895472	3051	1998-03-31	VYDAJ	VYBER	15	57822	SLUZBY	\N	\N
895473	3051	1998-04-30	VYDAJ	VYBER	15	54822	SLUZBY	\N	\N
895474	3051	1998-05-31	VYDAJ	VYBER	15	63434	SLUZBY	\N	\N
895475	3051	1998-06-30	VYDAJ	VYBER	15	101143	SLUZBY	\N	\N
895476	3051	1998-07-31	VYDAJ	VYBER	15	99876	SLUZBY	\N	\N
895477	3051	1998-08-31	VYDAJ	VYBER	15	80665	SLUZBY	\N	\N
895478	3051	1998-09-30	VYDAJ	VYBER	15	82441	SLUZBY	\N	\N
895479	3051	1998-10-31	VYDAJ	VYBER	15	102012	SLUZBY	\N	\N
895480	3051	1998-11-30	VYDAJ	VYBER	15	65352	SLUZBY	\N	\N
895481	3051	1996-01-10	VYDAJ	VYBER	25600	76244	\N	\N	\N
895482	3051	1996-01-31	VYDAJ	VYBER	26800	49729	\N	\N	\N
895483	3051	1996-03-01	VYDAJ	VYBER	27700	53304	\N	\N	\N
895484	3051	1996-03-31	VYDAJ	VYBER	37900	63555	\N	\N	\N
895485	3051	1996-04-30	VYDAJ	VYBER	39500	65796	\N	\N	\N
895486	3051	1996-05-10	VYDAJ	VYBER	24700	90422	\N	\N	\N
895487	3051	1996-05-30	VYDAJ	VYBER	34300	61970	\N	\N	\N
895488	3051	1996-06-23	VYDAJ	VYBER	30700	83777	\N	\N	\N
895489	3051	1996-06-29	VYDAJ	VYBER	27000	56777	\N	\N	\N
895490	3051	1996-07-22	VYDAJ	VYBER	19000	103739	\N	\N	\N
895491	3051	1996-07-29	VYDAJ	VYBER	37000	66739	\N	\N	\N
895492	3051	1996-08-28	VYDAJ	VYBER	30700	57350	\N	\N	\N
895493	3051	1996-09-27	VYDAJ	VYBER	36500	68076	\N	\N	\N
895494	3051	1996-10-01	VYDAJ	VYBER	39900	70486	\N	\N	\N
895495	3051	1996-10-27	VYDAJ	VYBER	24000	54332	\N	\N	\N
895496	3051	1996-11-26	VYDAJ	VYBER	25800	50678	\N	\N	\N
895497	3051	1996-12-26	VYDAJ	VYBER	28600	63011	\N	\N	\N
895498	3051	1997-01-25	VYDAJ	VYBER	21600	51633	\N	\N	\N
895499	3051	1997-02-06	VYDAJ	VYBER	17100	92363	\N	\N	\N
895500	3051	1997-02-07	VYDAJ	VYBER	50900	94558	\N	\N	\N
895501	3051	1997-02-24	VYDAJ	VYBER	21400	47667	\N	\N	\N
895502	3051	1997-03-26	PRIJEM	VKLAD	2200	21456	\N	\N	\N
895503	3051	1997-04-25	VYDAJ	VYBER	17000	47957	\N	\N	\N
895504	3051	1997-05-25	VYDAJ	VYBER	13600	42310	\N	\N	\N
895505	3051	1997-06-24	PRIJEM	VKLAD	7500	28078	\N	\N	\N
895506	3051	1997-07-24	VYDAJ	VYBER	22000	48594	\N	\N	\N
895507	3051	1997-08-23	VYDAJ	VYBER	11900	44567	\N	\N	\N
895508	3051	1997-09-22	VYDAJ	VYBER	26200	61321	\N	\N	\N
895509	3051	1997-10-22	VYDAJ	VYBER	11000	51438	\N	\N	\N
895510	3051	1997-11-21	PRIJEM	VKLAD	6700	31623	\N	\N	\N
895511	3051	1997-12-21	VYDAJ	VYBER	28700	64895	\N	\N	\N
895512	3051	1997-12-25	VYDAJ	VYBER	54100	54527	\N	\N	\N
895513	3051	1998-01-20	VYDAJ	VYBER	10100	48613	\N	\N	\N
895514	3051	1998-02-19	VYDAJ	VYBER	4100	44862	\N	\N	\N
895515	3051	1998-03-12	VYDAJ	VYBER	48800	77545	\N	\N	\N
895516	3051	1998-03-21	VYDAJ	VYBER	15900	57541	\N	\N	\N
895517	3051	1998-04-16	VYDAJ	VYBER	52400	62596	\N	\N	\N
895518	3051	1998-04-20	VYDAJ	VYBER	8000	54596	\N	\N	\N
895519	3051	1998-05-20	VYDAJ	VYBER	9900	63199	\N	\N	\N
895520	3051	1998-06-19	PRIJEM	VKLAD	7300	47828	\N	\N	\N
895521	3051	1998-06-22	VYDAJ	VYBER	49200	90318	\N	\N	\N
895522	3051	1998-07-02	VYDAJ	VYBER	51300	74440	\N	\N	\N
895523	3051	1998-07-19	VYDAJ	VYBER	26700	77295	\N	\N	\N
895524	3051	1998-07-30	VYDAJ	VYBER	20400	99483	\N	\N	\N
895525	3051	1998-08-18	VYDAJ	VYBER	20900	80298	\N	\N	\N
895526	3051	1998-09-02	VYDAJ	VYBER	32800	111302	\N	\N	\N
895527	3051	1998-09-11	VYDAJ	VYBER	19800	90879	\N	\N	\N
895528	3051	1998-09-17	VYDAJ	VYBER	30600	84434	\N	\N	\N
895529	3051	1998-10-17	VYDAJ	VYBER	17000	60530	\N	\N	\N
895530	3051	1998-11-09	VYDAJ	VYBER	24800	95211	\N	\N	\N
895531	3051	1998-11-16	VYDAJ	VYBER	22000	68923	\N	\N	\N
895532	3051	1998-12-11	VYDAJ	VYBER	34200	78441	\N	\N	\N
895533	3051	1998-12-16	VYDAJ	VYBER	14700	59453	\N	\N	\N
895570	3052	1997-04-26	PRIJEM	VKLAD	800	800	\N	\N	\N
895571	3052	1997-09-21	PRIJEM	VKLAD	32243	53243	\N	\N	\N
895572	3052	1998-06-04	PRIJEM	VKLAD	18948	40432	\N	\N	\N
895573	3052	1998-08-30	PRIJEM	VKLAD	32371	50358	\N	\N	\N
895701	3052	1997-05-26	PRIJEM	VKLAD	11700	12500	\N	\N	\N
895702	3052	1997-06-25	PRIJEM	VKLAD	7500	20000	\N	\N	\N
895703	3052	1997-07-25	PRIJEM	VKLAD	4800	24800	\N	\N	\N
895704	3052	1997-08-24	VYDAJ	VYBER	3800	21000	\N	\N	\N
895705	3052	1997-09-23	VYDAJ	VYBER	17200	36043	\N	\N	\N
895706	3052	1997-10-23	VYDAJ	VYBER	9100	26983	\N	\N	\N
895707	3052	1997-11-22	VYDAJ	VYBER	3400	23733	\N	\N	\N
895708	3052	1997-12-22	VYDAJ	VYBER	4300	19583	\N	\N	\N
895709	3052	1998-01-21	VYDAJ	VYBER	400	19334	\N	\N	\N
895710	3052	1998-02-20	VYDAJ	VYBER	2000	17484	\N	\N	\N
895711	3052	1998-03-22	PRIJEM	VKLAD	600	18234	\N	\N	\N
895712	3052	1998-04-21	VYDAJ	VYBER	600	17784	\N	\N	\N
895713	3052	1998-05-21	PRIJEM	VKLAD	3400	21334	\N	\N	\N
895714	3052	1998-06-20	VYDAJ	VYBER	12500	27932	\N	\N	\N
895715	3052	1998-07-20	VYDAJ	VYBER	6700	21370	\N	\N	\N
895716	3052	1998-08-19	VYDAJ	VYBER	3500	17987	\N	\N	\N
895717	3052	1998-09-18	VYDAJ	VYBER	14700	35780	\N	\N	\N
895718	3052	1998-10-18	VYDAJ	VYBER	7800	28190	\N	\N	\N
895719	3052	1998-11-17	PRIJEM	VKLAD	2000	30400	\N	\N	\N
895720	3052	1998-12-17	VYDAJ	VYBER	4600	26009	\N	\N	\N
895736	3053	1993-08-23	PRIJEM	VKLAD	900	900	\N	\N	\N
895745	3053	1993-09-13	PRIJEM	VKLAD	12903	13803	\N	\N	\N
895746	3053	1993-10-13	PRIJEM	VKLAD	12903	30929	\N	\N	\N
895747	3053	1993-11-13	PRIJEM	VKLAD	12903	39418	\N	\N	\N
895748	3053	1993-12-13	PRIJEM	VKLAD	19354	51189	\N	\N	\N
895749	3053	1994-01-13	PRIJEM	VKLAD	12903	53137	\N	\N	\N
895750	3053	1994-02-13	PRIJEM	VKLAD	12903	39626	\N	\N	\N
895751	3053	1994-03-13	PRIJEM	VKLAD	12903	36491	\N	\N	\N
895752	3053	1994-04-13	PRIJEM	VKLAD	12903	36849	\N	\N	\N
895753	3053	1994-05-13	PRIJEM	VKLAD	12903	32604	\N	\N	\N
895754	3053	1994-06-13	PRIJEM	VKLAD	19354	28695	\N	\N	\N
895755	3053	1994-07-13	PRIJEM	VKLAD	12903	34930	\N	\N	\N
895756	3053	1994-08-13	PRIJEM	VKLAD	12903	37083	\N	\N	\N
895757	3053	1994-09-13	PRIJEM	VKLAD	12903	38844	\N	\N	\N
895758	3053	1994-10-13	PRIJEM	VKLAD	12903	35503	\N	\N	\N
895759	3053	1994-11-13	PRIJEM	VKLAD	12903	36959	\N	\N	\N
895760	3053	1994-12-13	PRIJEM	VKLAD	19354	44469	\N	\N	\N
895761	3053	1995-01-13	PRIJEM	VKLAD	12903	37838	\N	\N	\N
895762	3053	1995-02-13	PRIJEM	VKLAD	12903	24696	\N	\N	\N
895763	3053	1995-03-13	PRIJEM	VKLAD	12903	32016	\N	\N	\N
895764	3053	1995-04-13	PRIJEM	VKLAD	12903	36560	\N	\N	\N
895765	3053	1995-05-13	PRIJEM	VKLAD	12903	34715	\N	\N	\N
895766	3053	1995-06-13	PRIJEM	VKLAD	19354	44419	\N	\N	\N
895767	3053	1995-07-13	PRIJEM	VKLAD	12903	41286	\N	\N	\N
895768	3053	1995-08-13	PRIJEM	VKLAD	12903	44966	\N	\N	\N
895769	3053	1995-09-13	PRIJEM	VKLAD	12903	43158	\N	\N	\N
895770	3053	1995-10-13	PRIJEM	VKLAD	12903	47150	\N	\N	\N
895771	3053	1995-11-13	PRIJEM	VKLAD	12903	47358	\N	\N	\N
895772	3053	1995-12-13	PRIJEM	VKLAD	19354	52522	\N	\N	\N
895773	3053	1996-01-13	PRIJEM	VKLAD	12903	47649	\N	\N	\N
895774	3053	1996-02-13	PRIJEM	VKLAD	12903	39842	\N	\N	\N
895775	3053	1996-03-13	PRIJEM	VKLAD	12903	43318	\N	\N	\N
895776	3053	1996-04-13	PRIJEM	VKLAD	12903	48712	\N	\N	\N
895777	3053	1996-05-13	PRIJEM	VKLAD	12903	45321	\N	\N	\N
895778	3053	1996-06-13	PRIJEM	VKLAD	19354	45878	\N	\N	\N
895779	3053	1996-07-13	PRIJEM	VKLAD	12903	48282	\N	\N	\N
895780	3053	1996-08-13	PRIJEM	VKLAD	12903	44693	\N	\N	\N
895781	3053	1996-09-13	PRIJEM	VKLAD	12903	48396	\N	\N	\N
895782	3053	1996-10-13	PRIJEM	VKLAD	12903	50009	\N	\N	\N
895783	3053	1996-11-13	PRIJEM	VKLAD	12903	50231	\N	\N	\N
895784	3053	1996-12-13	PRIJEM	VKLAD	19354	61007	\N	\N	\N
895785	3053	1997-01-13	PRIJEM	VKLAD	12903	54662	\N	\N	\N
895786	3053	1997-02-13	PRIJEM	VKLAD	12903	50183	\N	\N	\N
895787	3053	1997-03-13	PRIJEM	VKLAD	12903	55495	\N	\N	\N
895788	3053	1997-04-13	PRIJEM	VKLAD	12903	56134	\N	\N	\N
895789	3053	1997-05-13	PRIJEM	VKLAD	12903	57580	\N	\N	\N
895790	3053	1997-06-13	PRIJEM	VKLAD	19354	56485	\N	\N	\N
895791	3053	1997-07-13	PRIJEM	VKLAD	12903	60637	\N	\N	\N
895792	3053	1997-08-13	PRIJEM	VKLAD	12903	65200	\N	\N	\N
895793	3053	1997-09-13	PRIJEM	VKLAD	12903	66382	\N	\N	\N
895794	3053	1997-10-13	PRIJEM	VKLAD	12903	63669	\N	\N	\N
895795	3053	1997-11-13	PRIJEM	VKLAD	12903	63051	\N	\N	\N
895796	3053	1997-12-13	PRIJEM	VKLAD	19354	68274	\N	\N	\N
895797	3053	1998-01-13	PRIJEM	VKLAD	12903	64558	\N	\N	\N
895798	3053	1998-02-13	PRIJEM	VKLAD	12903	59428	\N	\N	\N
895799	3053	1998-03-13	PRIJEM	VKLAD	12903	65685	\N	\N	\N
895800	3053	1998-04-13	PRIJEM	VKLAD	12903	70466	\N	\N	\N
895801	3053	1998-05-13	PRIJEM	VKLAD	12903	70369	\N	\N	\N
895802	3053	1998-06-13	PRIJEM	VKLAD	19354	60821	\N	\N	\N
895803	3053	1998-07-13	PRIJEM	VKLAD	12903	61587	\N	\N	\N
895804	3053	1998-08-13	PRIJEM	VKLAD	12903	71559	\N	\N	\N
895805	3053	1998-09-13	PRIJEM	VKLAD	12903	76466	\N	\N	\N
895806	3053	1998-10-13	PRIJEM	VKLAD	12903	79091	\N	\N	\N
895807	3053	1998-11-13	PRIJEM	VKLAD	12903	83328	\N	\N	\N
895808	3053	1998-12-13	PRIJEM	VKLAD	19354	90732	\N	\N	\N
895822	3053	1994-02-12	VYDAJ	PREVOD NA UCET	3790	26723	SIPO	OP	23890793
895823	3053	1994-03-12	VYDAJ	PREVOD NA UCET	3790	23588	SIPO	OP	23890793
895824	3053	1994-04-12	VYDAJ	PREVOD NA UCET	3790	23946	SIPO	OP	23890793
895825	3053	1994-05-12	VYDAJ	PREVOD NA UCET	3790	19701	SIPO	OP	23890793
895826	3053	1994-06-12	VYDAJ	PREVOD NA UCET	3790	9341	SIPO	OP	23890793
895827	3053	1994-07-12	VYDAJ	PREVOD NA UCET	3790	22027	SIPO	OP	23890793
895828	3053	1994-08-12	VYDAJ	PREVOD NA UCET	3790	24180	SIPO	OP	23890793
895829	3053	1994-09-12	VYDAJ	PREVOD NA UCET	3790	25941	SIPO	OP	23890793
895830	3053	1994-10-12	VYDAJ	PREVOD NA UCET	3790	22600	SIPO	OP	23890793
895831	3053	1994-11-12	VYDAJ	PREVOD NA UCET	3790	24056	SIPO	OP	23890793
895832	3053	1994-12-12	VYDAJ	PREVOD NA UCET	3790	25115	SIPO	OP	23890793
895833	3053	1995-01-12	VYDAJ	PREVOD NA UCET	3790	24935	SIPO	OP	23890793
895834	3053	1995-02-12	VYDAJ	PREVOD NA UCET	3790	11793	SIPO	OP	23890793
895835	3053	1995-03-12	VYDAJ	PREVOD NA UCET	3790	19113	SIPO	OP	23890793
895836	3053	1995-04-12	VYDAJ	PREVOD NA UCET	3790	23657	SIPO	OP	23890793
895837	3053	1995-05-12	VYDAJ	PREVOD NA UCET	3790	21812	SIPO	OP	23890793
895838	3053	1995-06-12	VYDAJ	PREVOD NA UCET	3790	25065	SIPO	OP	23890793
895839	3053	1995-07-12	VYDAJ	PREVOD NA UCET	3790	28383	SIPO	OP	23890793
895840	3053	1995-08-12	VYDAJ	PREVOD NA UCET	3790	32063	SIPO	OP	23890793
895841	3053	1995-09-12	VYDAJ	PREVOD NA UCET	3790	30255	SIPO	OP	23890793
895842	3053	1995-10-12	VYDAJ	PREVOD NA UCET	3790	35847	SIPO	OP	23890793
896052	3053	1994-05-31	VYDAJ	VYBER	15	27106	SLUZBY	\N	\N
895843	3053	1995-11-12	VYDAJ	PREVOD NA UCET	3790	34455	SIPO	OP	23890793
895844	3053	1995-12-12	VYDAJ	PREVOD NA UCET	3790	33168	SIPO	OP	23890793
895845	3053	1996-01-12	VYDAJ	PREVOD NA UCET	3790	34746	SIPO	OP	23890793
895846	3053	1996-02-12	VYDAJ	PREVOD NA UCET	3790	26939	SIPO	OP	23890793
895847	3053	1996-03-12	VYDAJ	PREVOD NA UCET	3790	30415	SIPO	OP	23890793
895848	3053	1996-04-12	VYDAJ	PREVOD NA UCET	3790	35809	SIPO	OP	23890793
895849	3053	1996-05-12	VYDAJ	PREVOD NA UCET	3790	35918	SIPO	OP	23890793
895850	3053	1996-06-12	VYDAJ	PREVOD NA UCET	3790	26524	SIPO	OP	23890793
895851	3053	1996-07-12	VYDAJ	PREVOD NA UCET	3790	35379	SIPO	OP	23890793
895852	3053	1996-08-12	VYDAJ	PREVOD NA UCET	3790	31790	SIPO	OP	23890793
895853	3053	1996-09-12	VYDAJ	PREVOD NA UCET	3790	35493	SIPO	OP	23890793
895854	3053	1996-10-12	VYDAJ	PREVOD NA UCET	3790	37106	SIPO	OP	23890793
895855	3053	1996-11-12	VYDAJ	PREVOD NA UCET	3790	37328	SIPO	OP	23890793
895856	3053	1996-12-12	VYDAJ	PREVOD NA UCET	3790	41653	SIPO	OP	23890793
895857	3053	1997-01-12	VYDAJ	PREVOD NA UCET	3790	41759	SIPO	OP	23890793
895858	3053	1997-02-12	VYDAJ	PREVOD NA UCET	3790	37280	SIPO	OP	23890793
895859	3053	1997-03-12	VYDAJ	PREVOD NA UCET	3790	42592	SIPO	OP	23890793
895860	3053	1997-04-12	VYDAJ	PREVOD NA UCET	3790	43231	SIPO	OP	23890793
895861	3053	1997-05-12	VYDAJ	PREVOD NA UCET	3790	44677	SIPO	OP	23890793
895862	3053	1997-06-12	VYDAJ	PREVOD NA UCET	3790	37131	SIPO	OP	23890793
895863	3053	1997-07-12	VYDAJ	PREVOD NA UCET	3790	47734	SIPO	OP	23890793
895864	3053	1997-08-12	VYDAJ	PREVOD NA UCET	3790	52297	SIPO	OP	23890793
895865	3053	1997-09-12	VYDAJ	PREVOD NA UCET	3790	53479	SIPO	OP	23890793
895866	3053	1997-10-12	VYDAJ	PREVOD NA UCET	3790	50766	SIPO	OP	23890793
895867	3053	1997-11-12	VYDAJ	PREVOD NA UCET	3790	50148	SIPO	OP	23890793
895868	3053	1997-12-12	VYDAJ	PREVOD NA UCET	3790	48920	SIPO	OP	23890793
895869	3053	1998-01-12	VYDAJ	PREVOD NA UCET	3790	51655	SIPO	OP	23890793
895870	3053	1998-02-12	VYDAJ	PREVOD NA UCET	3790	46525	SIPO	OP	23890793
895871	3053	1998-03-12	VYDAJ	PREVOD NA UCET	3790	52782	SIPO	OP	23890793
895872	3053	1998-04-12	VYDAJ	PREVOD NA UCET	3790	57563	SIPO	OP	23890793
895873	3053	1998-05-12	VYDAJ	PREVOD NA UCET	3790	57466	SIPO	OP	23890793
895874	3053	1998-06-12	VYDAJ	PREVOD NA UCET	3790	41467	SIPO	OP	23890793
895875	3053	1998-07-12	VYDAJ	PREVOD NA UCET	3790	48684	SIPO	OP	23890793
895876	3053	1998-08-12	VYDAJ	PREVOD NA UCET	3790	58656	SIPO	OP	23890793
895877	3053	1998-09-12	VYDAJ	PREVOD NA UCET	3790	63563	SIPO	OP	23890793
895878	3053	1998-10-12	VYDAJ	PREVOD NA UCET	3790	66188	SIPO	OP	23890793
895879	3053	1998-11-12	VYDAJ	PREVOD NA UCET	3790	70425	SIPO	OP	23890793
895880	3053	1998-12-12	VYDAJ	PREVOD NA UCET	3790	71378	SIPO	OP	23890793
895894	3053	1994-02-08	VYDAJ	PREVOD NA UCET	3675	30513	 	KL	38718313
895895	3053	1994-03-08	VYDAJ	PREVOD NA UCET	3675	27378	 	KL	38718313
895896	3053	1994-04-08	VYDAJ	PREVOD NA UCET	3675	27736	 	KL	38718313
895897	3053	1994-05-08	VYDAJ	PREVOD NA UCET	3675	23491	 	KL	38718313
895898	3053	1994-06-08	VYDAJ	PREVOD NA UCET	3675	23431	 	KL	38718313
895899	3053	1994-07-08	VYDAJ	PREVOD NA UCET	3675	25817	 	KL	38718313
895900	3053	1994-08-08	VYDAJ	PREVOD NA UCET	3675	27970	 	KL	38718313
895901	3053	1994-09-08	VYDAJ	PREVOD NA UCET	3675	29731	 	KL	38718313
895902	3053	1994-10-08	VYDAJ	PREVOD NA UCET	3675	26390	 	KL	38718313
895903	3053	1994-11-08	VYDAJ	PREVOD NA UCET	3675	27846	 	KL	38718313
895904	3053	1994-12-08	VYDAJ	PREVOD NA UCET	3675	28905	 	KL	38718313
895905	3053	1995-01-08	VYDAJ	PREVOD NA UCET	3675	30525	 	KL	38718313
895906	3053	1995-02-08	VYDAJ	PREVOD NA UCET	3675	15583	 	KL	38718313
895907	3053	1995-03-08	VYDAJ	PREVOD NA UCET	3675	22903	 	KL	38718313
895908	3053	1995-04-08	VYDAJ	PREVOD NA UCET	3675	27447	 	KL	38718313
895909	3053	1995-05-08	VYDAJ	PREVOD NA UCET	3675	25602	 	KL	38718313
895910	3053	1995-06-08	VYDAJ	PREVOD NA UCET	3675	28855	 	KL	38718313
895911	3053	1995-07-08	VYDAJ	PREVOD NA UCET	3675	32173	 	KL	38718313
895912	3053	1995-08-08	VYDAJ	PREVOD NA UCET	3675	35853	 	KL	38718313
895913	3053	1995-09-08	VYDAJ	PREVOD NA UCET	3675	33845	 	KL	38718313
895914	3053	1995-10-08	VYDAJ	PREVOD NA UCET	3675	39637	 	KL	38718313
895915	3053	1995-11-08	VYDAJ	PREVOD NA UCET	3675	41045	 	KL	38718313
895916	3053	1995-12-08	VYDAJ	PREVOD NA UCET	3675	43858	 	KL	38718313
895917	3053	1996-01-08	VYDAJ	PREVOD NA UCET	3675	47536	 	KL	38718313
895918	3053	1996-02-08	VYDAJ	PREVOD NA UCET	3675	30329	 	KL	38718313
895919	3053	1996-03-08	VYDAJ	PREVOD NA UCET	3675	36305	 	KL	38718313
895920	3053	1996-04-08	VYDAJ	PREVOD NA UCET	3675	39799	 	KL	38718313
895921	3053	1996-05-08	VYDAJ	PREVOD NA UCET	3675	40808	 	KL	38718313
895922	3053	1996-06-08	VYDAJ	PREVOD NA UCET	3675	41814	 	KL	38718313
895923	3053	1996-07-08	VYDAJ	PREVOD NA UCET	3675	42369	 	KL	38718313
895924	3053	1996-08-08	VYDAJ	PREVOD NA UCET	3675	35580	 	KL	38718313
895925	3053	1996-09-08	VYDAJ	PREVOD NA UCET	3675	39283	 	KL	38718313
895926	3053	1996-10-08	VYDAJ	PREVOD NA UCET	3675	40896	 	KL	38718313
895927	3053	1996-11-08	VYDAJ	PREVOD NA UCET	3675	41118	 	KL	38718313
895928	3053	1996-12-08	VYDAJ	PREVOD NA UCET	3675	46143	 	KL	38718313
895929	3053	1997-01-08	VYDAJ	PREVOD NA UCET	3675	45549	 	KL	38718313
895930	3053	1997-02-08	VYDAJ	PREVOD NA UCET	3675	41070	 	KL	38718313
895931	3053	1997-03-08	VYDAJ	PREVOD NA UCET	3675	46382	 	KL	38718313
895932	3053	1997-04-08	VYDAJ	PREVOD NA UCET	3675	47021	 	KL	38718313
895933	3053	1997-05-08	VYDAJ	PREVOD NA UCET	3675	48467	 	KL	38718313
895934	3053	1997-06-08	VYDAJ	PREVOD NA UCET	3675	50321	 	KL	38718313
895935	3053	1997-07-08	VYDAJ	PREVOD NA UCET	3675	51524	 	KL	38718313
895936	3053	1997-08-08	VYDAJ	PREVOD NA UCET	3675	56087	 	KL	38718313
895937	3053	1997-09-08	VYDAJ	PREVOD NA UCET	3675	57269	 	KL	38718313
895938	3053	1997-10-08	VYDAJ	PREVOD NA UCET	3675	54556	 	KL	38718313
895939	3053	1997-11-08	VYDAJ	PREVOD NA UCET	3675	53938	 	KL	38718313
895940	3053	1997-12-08	VYDAJ	PREVOD NA UCET	3675	52710	 	KL	38718313
895941	3053	1998-01-08	VYDAJ	PREVOD NA UCET	3675	57945	 	KL	38718313
895942	3053	1998-02-08	VYDAJ	PREVOD NA UCET	3675	50315	 	KL	38718313
895943	3053	1998-03-08	VYDAJ	PREVOD NA UCET	3675	56572	 	KL	38718313
895944	3053	1998-04-08	VYDAJ	PREVOD NA UCET	3675	61353	 	KL	38718313
895945	3053	1998-05-08	VYDAJ	PREVOD NA UCET	3675	61256	 	KL	38718313
895946	3053	1998-06-08	VYDAJ	PREVOD NA UCET	3675	45257	 	KL	38718313
895947	3053	1998-07-08	VYDAJ	PREVOD NA UCET	3675	52474	 	KL	38718313
895948	3053	1998-08-08	VYDAJ	PREVOD NA UCET	3675	62446	 	KL	38718313
895949	3053	1998-09-08	VYDAJ	PREVOD NA UCET	3675	67353	 	KL	38718313
895950	3053	1998-10-08	VYDAJ	PREVOD NA UCET	3675	69978	 	KL	38718313
895951	3053	1998-11-08	VYDAJ	PREVOD NA UCET	3675	74215	 	KL	38718313
895952	3053	1998-12-08	VYDAJ	PREVOD NA UCET	3675	76468	 	KL	38718313
895954	3053	1994-06-10	VYDAJ	VYBER	10300	13131	\N	\N	\N
895956	3053	1996-06-09	VYDAJ	VYBER	10000	30314	\N	\N	\N
895957	3053	1997-06-12	VYDAJ	VYBER	9400	40921	\N	\N	\N
895958	3053	1998-06-04	VYDAJ	VYBER	16600	48932	\N	\N	\N
895960	3053	1994-01-22	VYDAJ	VYBER	5800	34037	\N	\N	\N
895961	3053	1995-01-15	VYDAJ	VYBER	8900	29638	\N	\N	\N
895962	3053	1996-01-13	VYDAJ	VYBER	7800	39849	\N	\N	\N
895963	3053	1997-01-22	VYDAJ	VYBER	8200	43262	\N	\N	\N
895964	3053	1998-01-22	VYDAJ	VYBER	2900	59758	\N	\N	\N
895966	3053	1994-12-02	VYDAJ	VYBER	500	32580	\N	\N	\N
895967	3053	1995-12-17	VYDAJ	VYBER	1500	51022	\N	\N	\N
895968	3053	1996-12-12	VYDAJ	VYBER	700	45443	\N	\N	\N
895969	3053	1997-12-03	VYDAJ	VYBER	2500	56385	\N	\N	\N
895970	3053	1998-12-11	VYDAJ	VYBER	1300	75168	\N	\N	\N
895980	3053	1994-01-15	VYDAJ	VYBER	2500	50637	\N	\N	\N
895983	3053	1995-01-09	VYDAJ	VYBER	700	28725	\N	\N	\N
895984	3053	1995-01-26	VYDAJ	VYBER	1600	24738	\N	\N	\N
895985	3053	1995-01-28	VYDAJ	VYBER	1600	23138	\N	\N	\N
895986	3053	1995-01-23	VYDAJ	VYBER	1900	27738	\N	\N	\N
895987	3053	1995-01-09	VYDAJ	VYBER	1100	29425	\N	\N	\N
895988	3053	1995-01-23	VYDAJ	VYBER	1400	26338	\N	\N	\N
895989	3053	1996-01-22	VYDAJ	VYBER	1000	34749	\N	\N	\N
895990	3053	1996-01-20	VYDAJ	VYBER	1200	38649	\N	\N	\N
895991	3053	1996-01-21	VYDAJ	VYBER	2300	36349	\N	\N	\N
895992	3053	1996-01-28	VYDAJ	VYBER	900	33849	\N	\N	\N
895993	3053	1996-01-09	VYDAJ	VYBER	1200	46336	\N	\N	\N
895994	3053	1996-01-21	VYDAJ	VYBER	600	35749	\N	\N	\N
895995	3053	1997-01-29	VYDAJ	VYBER	1000	39362	\N	\N	\N
895996	3053	1997-01-05	VYDAJ	VYBER	2500	49224	\N	\N	\N
895997	3053	1997-01-15	VYDAJ	VYBER	2500	52162	\N	\N	\N
895998	3053	1997-01-03	VYDAJ	VYBER	1900	57624	\N	\N	\N
895999	3053	1997-01-03	VYDAJ	VYBER	1700	59524	\N	\N	\N
896000	3053	1997-01-23	VYDAJ	VYBER	2900	40362	\N	\N	\N
896001	3053	1998-01-28	VYDAJ	VYBER	1600	54858	\N	\N	\N
896002	3053	1998-01-25	VYDAJ	VYBER	2300	57458	\N	\N	\N
896003	3053	1998-01-25	VYDAJ	VYBER	1000	56458	\N	\N	\N
896004	3053	1998-01-29	VYDAJ	VYBER	2300	56258	\N	\N	\N
896005	3053	1998-01-08	VYDAJ	VYBER	2500	55445	\N	\N	\N
896006	3053	1998-01-05	VYDAJ	VYBER	2800	61620	\N	\N	\N
896010	3053	1994-09-18	VYDAJ	VYBER	4300	29944	\N	\N	\N
896011	3053	1994-03-24	VYDAJ	VYBER	800	31291	\N	\N	\N
896012	3053	1994-10-27	VYDAJ	VYBER	2500	31403	\N	\N	\N
896013	3053	1994-04-25	VYDAJ	VYBER	3900	27049	\N	\N	\N
896014	3053	1995-08-23	VYDAJ	VYBER	1800	37366	\N	\N	\N
896015	3053	1995-04-26	VYDAJ	VYBER	4200	29160	\N	\N	\N
896016	3053	1995-01-08	VYDAJ	VYBER	2300	34200	\N	\N	\N
896017	3053	1995-02-17	VYDAJ	VYBER	1500	26496	\N	\N	\N
896018	3053	1995-10-20	VYDAJ	VYBER	2600	44550	\N	\N	\N
896019	3053	1995-01-30	VYDAJ	VYBER	4000	19138	\N	\N	\N
896020	3053	1996-05-02	VYDAJ	VYBER	700	44483	\N	\N	\N
896021	3053	1996-04-20	VYDAJ	VYBER	3700	45012	\N	\N	\N
896022	3053	1996-05-12	VYDAJ	VYBER	3500	32418	\N	\N	\N
896023	3053	1996-07-21	VYDAJ	VYBER	3100	45182	\N	\N	\N
896024	3053	1997-09-05	VYDAJ	VYBER	1400	60944	\N	\N	\N
896025	3053	1997-01-21	VYDAJ	VYBER	700	51462	\N	\N	\N
896026	3053	1997-07-06	VYDAJ	VYBER	2100	55199	\N	\N	\N
896027	3053	1997-03-24	VYDAJ	VYBER	2200	53295	\N	\N	\N
896028	3053	1998-03-19	VYDAJ	VYBER	2100	63585	\N	\N	\N
896029	3053	1998-07-29	VYDAJ	VYBER	1500	65887	\N	\N	\N
896030	3053	1998-12-24	VYDAJ	VYBER	4100	86632	\N	\N	\N
896031	3053	1998-01-15	VYDAJ	VYBER	1900	62658	\N	\N	\N
896032	3053	1998-07-04	VYDAJ	VYBER	4600	56149	\N	\N	\N
896033	3053	1998-01-30	VYDAJ	VYBER	2500	53758	\N	\N	\N
896034	3053	1998-04-08	VYDAJ	VYBER	1400	65028	\N	\N	\N
896048	3053	1994-01-31	VYDAJ	VYBER	15	34188	SLUZBY	\N	\N
896049	3053	1994-02-28	VYDAJ	VYBER	15	31053	SLUZBY	\N	\N
896050	3053	1994-03-31	VYDAJ	VYBER	15	31411	SLUZBY	\N	\N
896051	3053	1994-04-30	VYDAJ	VYBER	15	27166	SLUZBY	\N	\N
896053	3053	1994-06-30	VYDAJ	VYBER	15	29492	SLUZBY	\N	\N
896054	3053	1994-07-31	VYDAJ	VYBER	15	31645	SLUZBY	\N	\N
896055	3053	1994-08-31	VYDAJ	VYBER	15	33406	SLUZBY	\N	\N
896056	3053	1994-09-30	VYDAJ	VYBER	15	30065	SLUZBY	\N	\N
896057	3053	1994-10-31	VYDAJ	VYBER	15	31521	SLUZBY	\N	\N
896058	3053	1994-11-30	VYDAJ	VYBER	15	33080	SLUZBY	\N	\N
896059	3053	1994-12-31	VYDAJ	VYBER	15	36500	SLUZBY	\N	\N
896060	3053	1995-01-31	VYDAJ	VYBER	15	19258	SLUZBY	\N	\N
896061	3053	1995-02-28	VYDAJ	VYBER	15	26578	SLUZBY	\N	\N
896062	3053	1995-03-31	VYDAJ	VYBER	15	31122	SLUZBY	\N	\N
896063	3053	1995-04-30	VYDAJ	VYBER	15	29277	SLUZBY	\N	\N
896064	3053	1995-05-31	VYDAJ	VYBER	15	32530	SLUZBY	\N	\N
896065	3053	1995-06-30	VYDAJ	VYBER	15	35848	SLUZBY	\N	\N
896066	3053	1995-07-31	VYDAJ	VYBER	15	39528	SLUZBY	\N	\N
896067	3053	1995-08-31	VYDAJ	VYBER	15	37520	SLUZBY	\N	\N
896068	3053	1995-09-30	VYDAJ	VYBER	15	43312	SLUZBY	\N	\N
896069	3053	1995-10-31	VYDAJ	VYBER	15	44720	SLUZBY	\N	\N
896070	3053	1995-11-30	VYDAJ	VYBER	15	47533	SLUZBY	\N	\N
896071	3053	1995-12-31	VYDAJ	VYBER	15	51211	SLUZBY	\N	\N
896072	3053	1996-01-31	VYDAJ	VYBER	15	34004	SLUZBY	\N	\N
896073	3053	1996-02-29	VYDAJ	VYBER	15	39980	SLUZBY	\N	\N
896074	3053	1996-03-31	VYDAJ	VYBER	15	43474	SLUZBY	\N	\N
896075	3053	1996-04-30	VYDAJ	VYBER	15	45183	SLUZBY	\N	\N
896076	3053	1996-05-31	VYDAJ	VYBER	15	45489	SLUZBY	\N	\N
896077	3053	1996-06-30	VYDAJ	VYBER	15	46044	SLUZBY	\N	\N
896078	3053	1996-07-31	VYDAJ	VYBER	15	45355	SLUZBY	\N	\N
896079	3053	1996-08-31	VYDAJ	VYBER	15	44858	SLUZBY	\N	\N
896080	3053	1996-09-30	VYDAJ	VYBER	15	48571	SLUZBY	\N	\N
896081	3053	1996-10-31	VYDAJ	VYBER	15	50193	SLUZBY	\N	\N
896082	3053	1996-11-30	VYDAJ	VYBER	15	50418	SLUZBY	\N	\N
896083	3053	1996-12-31	VYDAJ	VYBER	15	61224	SLUZBY	\N	\N
896084	3053	1997-01-31	VYDAJ	VYBER	15	39545	SLUZBY	\N	\N
896085	3053	1997-02-28	VYDAJ	VYBER	15	50357	SLUZBY	\N	\N
896086	3053	1997-03-31	VYDAJ	VYBER	15	53496	SLUZBY	\N	\N
896087	3053	1997-04-30	VYDAJ	VYBER	15	56342	SLUZBY	\N	\N
896088	3053	1997-05-31	VYDAJ	VYBER	15	57796	SLUZBY	\N	\N
896089	3053	1997-06-30	VYDAJ	VYBER	15	56699	SLUZBY	\N	\N
896090	3053	1997-07-31	VYDAJ	VYBER	15	60862	SLUZBY	\N	\N
896091	3053	1997-08-31	VYDAJ	VYBER	15	65444	SLUZBY	\N	\N
896092	3053	1997-09-30	VYDAJ	VYBER	15	66631	SLUZBY	\N	\N
896093	3053	1997-10-31	VYDAJ	VYBER	15	63913	SLUZBY	\N	\N
896094	3053	1997-11-30	VYDAJ	VYBER	15	63285	SLUZBY	\N	\N
896095	3053	1997-12-31	VYDAJ	VYBER	15	64420	SLUZBY	\N	\N
896096	3053	1998-01-31	VYDAJ	VYBER	15	53990	SLUZBY	\N	\N
896097	3053	1998-02-28	VYDAJ	VYBER	15	60247	SLUZBY	\N	\N
896098	3053	1998-03-31	VYDAJ	VYBER	15	66428	SLUZBY	\N	\N
896099	3053	1998-04-30	VYDAJ	VYBER	15	64931	SLUZBY	\N	\N
896100	3053	1998-05-31	VYDAJ	VYBER	15	65532	SLUZBY	\N	\N
896101	3053	1998-06-30	VYDAJ	VYBER	15	60749	SLUZBY	\N	\N
896102	3053	1998-07-31	VYDAJ	VYBER	15	66121	SLUZBY	\N	\N
896103	3053	1998-08-31	VYDAJ	VYBER	15	71028	SLUZBY	\N	\N
896104	3053	1998-09-30	VYDAJ	VYBER	15	73653	SLUZBY	\N	\N
896105	3053	1998-10-31	VYDAJ	VYBER	15	77890	SLUZBY	\N	\N
896106	3053	1998-11-30	VYDAJ	VYBER	15	80143	SLUZBY	\N	\N
896107	3053	1993-09-22	PRIJEM	VKLAD	4200	18003	\N	\N	\N
896108	3053	1993-10-22	VYDAJ	VYBER	4500	26429	\N	\N	\N
896109	3053	1993-11-21	VYDAJ	VYBER	7700	31718	\N	\N	\N
896110	3053	1993-12-21	VYDAJ	VYBER	11100	40089	\N	\N	\N
896111	3053	1994-01-20	VYDAJ	VYBER	10800	39837	\N	\N	\N
896112	3053	1994-02-19	VYDAJ	VYBER	8700	30926	\N	\N	\N
896113	3053	1994-03-21	VYDAJ	VYBER	4400	32091	\N	\N	\N
896114	3053	1994-04-20	VYDAJ	VYBER	5900	30949	\N	\N	\N
896115	3053	1994-05-20	VYDAJ	VYBER	5600	27004	\N	\N	\N
896116	3053	1994-06-19	PRIJEM	VKLAD	700	29395	\N	\N	\N
896117	3053	1994-07-19	VYDAJ	VYBER	3400	31530	\N	\N	\N
896118	3053	1994-08-18	VYDAJ	VYBER	3800	33283	\N	\N	\N
896119	3053	1994-09-17	VYDAJ	VYBER	4600	34244	\N	\N	\N
896120	3053	1994-10-17	VYDAJ	VYBER	1600	33903	\N	\N	\N
896121	3053	1994-11-16	VYDAJ	VYBER	4000	32959	\N	\N	\N
896122	3053	1994-12-16	VYDAJ	VYBER	8100	36369	\N	\N	\N
896123	3053	1995-01-15	PRIJEM	VKLAD	700	38538	\N	\N	\N
896124	3053	1995-02-14	PRIJEM	VKLAD	3300	27996	\N	\N	\N
896125	3053	1995-03-16	VYDAJ	VYBER	1000	31016	\N	\N	\N
896126	3053	1995-04-15	VYDAJ	VYBER	3200	33360	\N	\N	\N
896127	3053	1995-05-15	VYDAJ	VYBER	2300	32415	\N	\N	\N
896128	3053	1995-06-14	VYDAJ	VYBER	8700	35719	\N	\N	\N
896129	3053	1995-07-14	VYDAJ	VYBER	1900	39386	\N	\N	\N
896130	3053	1995-08-13	VYDAJ	VYBER	5800	39166	\N	\N	\N
896131	3053	1995-09-12	PRIJEM	VKLAD	200	34045	\N	\N	\N
896132	3053	1995-10-12	VYDAJ	VYBER	1600	34247	\N	\N	\N
896133	3053	1995-11-11	VYDAJ	VYBER	2800	38245	\N	\N	\N
896134	3053	1995-12-11	VYDAJ	VYBER	6900	36958	\N	\N	\N
896135	3053	1996-01-10	VYDAJ	VYBER	7800	38536	\N	\N	\N
896136	3053	1996-02-09	PRIJEM	VKLAD	400	30729	\N	\N	\N
896137	3053	1996-03-10	VYDAJ	VYBER	2100	34205	\N	\N	\N
896138	3053	1996-04-09	VYDAJ	VYBER	200	39599	\N	\N	\N
896139	3053	1996-05-09	VYDAJ	VYBER	1100	39708	\N	\N	\N
896140	3053	1996-06-08	VYDAJ	VYBER	1500	40314	\N	\N	\N
896141	3053	1996-07-08	VYDAJ	VYBER	3200	39169	\N	\N	\N
896142	3053	1996-08-07	VYDAJ	VYBER	6100	39255	\N	\N	\N
896143	3053	1996-09-06	VYDAJ	VYBER	1900	42958	\N	\N	\N
896144	3053	1996-10-06	VYDAJ	VYBER	4000	44571	\N	\N	\N
896145	3053	1996-11-05	VYDAJ	VYBER	5400	44793	\N	\N	\N
896146	3053	1996-12-05	VYDAJ	VYBER	600	49818	\N	\N	\N
896147	3053	1997-01-04	VYDAJ	VYBER	5900	51724	\N	\N	\N
896148	3053	1997-02-03	PRIJEM	VKLAD	5200	44745	\N	\N	\N
896149	3053	1997-03-05	VYDAJ	VYBER	300	50057	\N	\N	\N
896150	3053	1997-04-04	VYDAJ	VYBER	2800	50696	\N	\N	\N
896151	3053	1997-05-04	VYDAJ	VYBER	4200	52142	\N	\N	\N
896152	3053	1997-06-03	VYDAJ	VYBER	3800	53996	\N	\N	\N
896153	3053	1997-07-03	PRIJEM	VKLAD	600	57299	\N	\N	\N
896154	3053	1997-08-02	VYDAJ	VYBER	1100	59762	\N	\N	\N
896155	3053	1997-09-01	VYDAJ	VYBER	3100	62344	\N	\N	\N
896156	3053	1997-10-01	VYDAJ	VYBER	8400	58231	\N	\N	\N
896157	3053	1997-10-31	VYDAJ	VYBER	6300	57613	\N	\N	\N
896158	3053	1997-11-30	VYDAJ	VYBER	4400	58885	\N	\N	\N
896159	3053	1997-12-30	VYDAJ	VYBER	4100	64174	\N	\N	\N
896160	3053	1998-01-29	PRIJEM	VKLAD	3700	58558	\N	\N	\N
896161	3053	1998-02-28	PRIJEM	VKLAD	600	60028	\N	\N	\N
896162	3053	1998-03-30	PRIJEM	VKLAD	2600	66185	\N	\N	\N
896163	3053	1998-04-29	VYDAJ	VYBER	5800	64666	\N	\N	\N
896164	3053	1998-05-29	VYDAJ	VYBER	5100	65269	\N	\N	\N
896165	3053	1998-06-28	VYDAJ	VYBER	300	60521	\N	\N	\N
896166	3053	1998-07-28	PRIJEM	VKLAD	5800	67387	\N	\N	\N
896167	3053	1998-08-27	VYDAJ	VYBER	800	70759	\N	\N	\N
896168	3053	1998-09-26	VYDAJ	VYBER	3100	73366	\N	\N	\N
896169	3053	1998-10-26	VYDAJ	VYBER	1500	77591	\N	\N	\N
896170	3053	1998-11-25	VYDAJ	VYBER	3500	79828	\N	\N	\N
896719	3055	1996-05-26	PRIJEM	VKLAD	900	900	\N	\N	\N
896725	3055	1996-06-13	PRIJEM	PREVOD Z UCTU	6814	7714	DUCHOD	EF	61558067
896726	3055	1996-07-13	PRIJEM	PREVOD Z UCTU	6814	14528	DUCHOD	EF	61558067
896727	3055	1996-08-13	PRIJEM	PREVOD Z UCTU	6814	21342	DUCHOD	EF	61558067
896728	3055	1996-09-13	PRIJEM	PREVOD Z UCTU	6814	28156	DUCHOD	EF	61558067
896729	3055	1996-10-13	PRIJEM	PREVOD Z UCTU	6814	34901	DUCHOD	EF	61558067
896730	3055	1996-11-13	PRIJEM	PREVOD Z UCTU	6814	39006	DUCHOD	EF	61558067
896731	3055	1996-12-13	PRIJEM	PREVOD Z UCTU	6814	33630	DUCHOD	EF	61558067
896732	3055	1997-01-13	PRIJEM	PREVOD Z UCTU	6814	30672	DUCHOD	EF	61558067
896733	3055	1997-02-13	PRIJEM	PREVOD Z UCTU	6814	30292	DUCHOD	EF	61558067
896734	3055	1997-03-13	PRIJEM	PREVOD Z UCTU	6814	33687	DUCHOD	EF	61558067
896735	3055	1997-04-13	PRIJEM	PREVOD Z UCTU	6814	30488	DUCHOD	EF	61558067
896736	3055	1997-05-13	PRIJEM	PREVOD Z UCTU	6814	31982	DUCHOD	EF	61558067
896737	3055	1997-06-13	PRIJEM	PREVOD Z UCTU	6814	36387	DUCHOD	EF	61558067
896738	3055	1997-07-13	PRIJEM	PREVOD Z UCTU	6814	34751	DUCHOD	EF	61558067
896739	3055	1997-08-13	PRIJEM	PREVOD Z UCTU	6814	35667	DUCHOD	EF	61558067
896740	3055	1997-09-13	PRIJEM	PREVOD Z UCTU	6814	36427	DUCHOD	EF	61558067
896741	3055	1997-10-13	PRIJEM	PREVOD Z UCTU	6814	40650	DUCHOD	EF	61558067
896742	3055	1997-11-13	PRIJEM	PREVOD Z UCTU	6814	43345	DUCHOD	EF	61558067
896743	3055	1997-12-13	PRIJEM	PREVOD Z UCTU	6814	42940	DUCHOD	EF	61558067
896744	3055	1998-01-13	PRIJEM	PREVOD Z UCTU	6814	37079	DUCHOD	EF	61558067
896745	3055	1998-02-13	PRIJEM	PREVOD Z UCTU	6814	39204	DUCHOD	EF	61558067
896746	3055	1998-03-13	PRIJEM	PREVOD Z UCTU	6814	39930	DUCHOD	EF	61558067
896747	3055	1998-04-13	PRIJEM	PREVOD Z UCTU	6814	38735	DUCHOD	EF	61558067
896748	3055	1998-05-13	PRIJEM	PREVOD Z UCTU	6814	34933	DUCHOD	EF	61558067
896749	3055	1998-06-13	PRIJEM	PREVOD Z UCTU	6814	21301	DUCHOD	EF	61558067
896750	3055	1998-07-13	PRIJEM	PREVOD Z UCTU	6814	25769	DUCHOD	EF	61558067
896751	3055	1998-08-13	PRIJEM	PREVOD Z UCTU	6814	30247	DUCHOD	EF	61558067
896752	3055	1998-09-13	PRIJEM	PREVOD Z UCTU	6814	34744	DUCHOD	EF	61558067
896753	3055	1998-10-13	PRIJEM	PREVOD Z UCTU	6814	34379	DUCHOD	EF	61558067
896754	3055	1998-11-13	PRIJEM	PREVOD Z UCTU	6814	38896	DUCHOD	EF	61558067
896755	3055	1998-12-13	PRIJEM	PREVOD Z UCTU	6814	41328	DUCHOD	EF	61558067
896766	3055	1996-11-06	VYDAJ	PREVOD NA UCET	1279	33332	SIPO	KL	99765395
896767	3055	1996-12-06	VYDAJ	PREVOD NA UCET	1279	27956	SIPO	KL	99765395
896768	3055	1997-01-06	VYDAJ	PREVOD NA UCET	1279	28438	SIPO	KL	99765395
896769	3055	1997-02-06	VYDAJ	PREVOD NA UCET	1279	24618	SIPO	KL	99765395
896770	3055	1997-03-06	VYDAJ	PREVOD NA UCET	1279	28013	SIPO	KL	99765395
896771	3055	1997-04-06	VYDAJ	PREVOD NA UCET	1279	24814	SIPO	KL	99765395
896772	3055	1997-05-06	VYDAJ	PREVOD NA UCET	1279	26308	SIPO	KL	99765395
896773	3055	1997-06-06	VYDAJ	PREVOD NA UCET	1279	30713	SIPO	KL	99765395
896774	3055	1997-07-06	VYDAJ	PREVOD NA UCET	1279	29077	SIPO	KL	99765395
896775	3055	1997-08-06	VYDAJ	PREVOD NA UCET	1279	32313	SIPO	KL	99765395
896776	3055	1997-09-06	VYDAJ	PREVOD NA UCET	1279	30753	SIPO	KL	99765395
896777	3055	1997-10-06	VYDAJ	PREVOD NA UCET	1279	34976	SIPO	KL	99765395
896778	3055	1997-11-06	VYDAJ	PREVOD NA UCET	1279	37671	SIPO	KL	99765395
896779	3055	1997-12-06	VYDAJ	PREVOD NA UCET	1279	38716	SIPO	KL	99765395
896780	3055	1998-01-06	VYDAJ	PREVOD NA UCET	1279	34845	SIPO	KL	99765395
896781	3055	1998-02-06	VYDAJ	PREVOD NA UCET	1279	33530	SIPO	KL	99765395
896782	3055	1998-03-06	VYDAJ	PREVOD NA UCET	1279	34256	SIPO	KL	99765395
896783	3055	1998-04-06	VYDAJ	PREVOD NA UCET	1279	33061	SIPO	KL	99765395
896784	3055	1998-05-06	VYDAJ	PREVOD NA UCET	1279	29259	SIPO	KL	99765395
896785	3055	1998-06-06	VYDAJ	PREVOD NA UCET	1279	15627	SIPO	KL	99765395
896786	3055	1998-07-06	VYDAJ	PREVOD NA UCET	1279	20095	SIPO	KL	99765395
896787	3055	1998-08-06	VYDAJ	PREVOD NA UCET	1279	24573	SIPO	KL	99765395
896788	3055	1998-09-06	VYDAJ	PREVOD NA UCET	1279	29070	SIPO	KL	99765395
896789	3055	1998-10-06	VYDAJ	PREVOD NA UCET	1279	30785	SIPO	KL	99765395
896790	3055	1998-11-06	VYDAJ	PREVOD NA UCET	1279	33222	SIPO	KL	99765395
896791	3055	1998-12-06	VYDAJ	PREVOD NA UCET	1279	37754	SIPO	KL	99765395
896802	3055	1996-11-07	VYDAJ	PREVOD NA UCET	1140	32192	 	WX	24442416
896803	3055	1996-12-07	VYDAJ	PREVOD NA UCET	1140	26816	 	WX	24442416
896804	3055	1997-01-07	VYDAJ	PREVOD NA UCET	1140	27298	 	WX	24442416
896805	3055	1997-02-07	VYDAJ	PREVOD NA UCET	1140	23478	 	WX	24442416
896806	3055	1997-03-07	VYDAJ	PREVOD NA UCET	1140	26873	 	WX	24442416
896807	3055	1997-04-07	VYDAJ	PREVOD NA UCET	1140	23674	 	WX	24442416
896808	3055	1997-05-07	VYDAJ	PREVOD NA UCET	1140	25168	 	WX	24442416
896809	3055	1997-06-07	VYDAJ	PREVOD NA UCET	1140	29573	 	WX	24442416
896810	3055	1997-07-07	VYDAJ	PREVOD NA UCET	1140	27937	 	WX	24442416
896811	3055	1997-08-07	VYDAJ	PREVOD NA UCET	1140	28853	 	WX	24442416
896812	3055	1997-09-07	VYDAJ	PREVOD NA UCET	1140	29613	 	WX	24442416
896813	3055	1997-10-07	VYDAJ	PREVOD NA UCET	1140	33836	 	WX	24442416
896814	3055	1997-11-07	VYDAJ	PREVOD NA UCET	1140	36531	 	WX	24442416
896815	3055	1997-12-07	VYDAJ	PREVOD NA UCET	1140	37576	 	WX	24442416
896816	3055	1998-01-07	VYDAJ	PREVOD NA UCET	1140	32425	 	WX	24442416
896817	3055	1998-02-07	VYDAJ	PREVOD NA UCET	1140	32390	 	WX	24442416
896818	3055	1998-03-07	VYDAJ	PREVOD NA UCET	1140	33116	 	WX	24442416
896819	3055	1998-04-07	VYDAJ	PREVOD NA UCET	1140	31921	 	WX	24442416
896820	3055	1998-05-07	VYDAJ	PREVOD NA UCET	1140	28119	 	WX	24442416
896821	3055	1998-06-07	VYDAJ	PREVOD NA UCET	1140	14487	 	WX	24442416
896822	3055	1998-07-07	VYDAJ	PREVOD NA UCET	1140	18955	 	WX	24442416
896823	3055	1998-08-07	VYDAJ	PREVOD NA UCET	1140	23433	 	WX	24442416
896824	3055	1998-09-07	VYDAJ	PREVOD NA UCET	1140	27930	 	WX	24442416
896825	3055	1998-10-07	VYDAJ	PREVOD NA UCET	1140	29645	 	WX	24442416
896826	3055	1998-11-07	VYDAJ	PREVOD NA UCET	1140	32082	 	WX	24442416
896827	3055	1998-12-07	VYDAJ	PREVOD NA UCET	1140	36614	 	WX	24442416
896829	3055	1997-06-22	VYDAJ	VYBER	3250	30237	\N	\N	\N
896830	3055	1998-06-01	VYDAJ	VYBER	12600	16906	\N	\N	\N
896831	3055	1996-12-24	VYDAJ	VYBER	650	32480	\N	\N	\N
896832	3055	1997-12-07	VYDAJ	VYBER	1450	36126	\N	\N	\N
896833	3055	1998-12-15	VYDAJ	VYBER	1150	40178	\N	\N	\N
896840	3055	1997-01-09	VYDAJ	VYBER	2160	25138	\N	\N	\N
896841	3055	1997-01-21	VYDAJ	VYBER	640	27632	\N	\N	\N
896842	3055	1997-01-05	VYDAJ	VYBER	960	29717	\N	\N	\N
896843	3055	1997-01-10	VYDAJ	VYBER	1280	23858	\N	\N	\N
896844	3055	1997-01-30	VYDAJ	VYBER	1840	25792	\N	\N	\N
896845	3055	1997-01-03	VYDAJ	VYBER	1920	30677	\N	\N	\N
896846	3055	1998-01-02	VYDAJ	VYBER	960	36124	\N	\N	\N
896847	3055	1998-01-16	VYDAJ	VYBER	1680	35399	\N	\N	\N
896848	3055	1998-01-09	VYDAJ	VYBER	720	30265	\N	\N	\N
896849	3055	1998-01-08	VYDAJ	VYBER	1440	30985	\N	\N	\N
896850	3055	1998-01-25	VYDAJ	VYBER	720	34679	\N	\N	\N
896851	3055	1998-01-06	VYDAJ	VYBER	1280	33565	\N	\N	\N
896852	3055	1996-12-04	VYDAJ	VYBER	2800	29235	\N	\N	\N
896857	3055	1996-11-18	VYDAJ	VYBER	2000	37006	\N	\N	\N
896858	3055	1997-08-30	VYDAJ	VYBER	3760	31907	\N	\N	\N
896859	3055	1997-10-13	VYDAJ	VYBER	1840	38810	\N	\N	\N
896860	3055	1997-08-06	VYDAJ	VYBER	2320	29993	\N	\N	\N
896861	3055	1997-07-31	VYDAJ	VYBER	1280	33592	\N	\N	\N
896862	3055	1998-05-24	VYDAJ	VYBER	3440	29393	\N	\N	\N
896863	3055	1998-04-21	VYDAJ	VYBER	3920	30415	\N	\N	\N
896864	3055	1998-10-12	VYDAJ	VYBER	2080	27565	\N	\N	\N
896865	3055	1998-03-15	VYDAJ	VYBER	1920	38010	\N	\N	\N
896876	3055	1996-10-31	VYDAJ	VYBER	15	34611	SLUZBY	\N	\N
896877	3055	1996-11-30	VYDAJ	VYBER	15	32035	SLUZBY	\N	\N
896878	3055	1996-12-31	VYDAJ	VYBER	15	32597	SLUZBY	\N	\N
896879	3055	1997-01-31	VYDAJ	VYBER	15	25897	SLUZBY	\N	\N
896880	3055	1997-02-28	VYDAJ	VYBER	15	29292	SLUZBY	\N	\N
896881	3055	1997-03-31	VYDAJ	VYBER	15	26093	SLUZBY	\N	\N
896882	3055	1997-04-30	VYDAJ	VYBER	15	27587	SLUZBY	\N	\N
896883	3055	1997-05-31	VYDAJ	VYBER	15	31992	SLUZBY	\N	\N
896884	3055	1997-06-30	VYDAJ	VYBER	15	30356	SLUZBY	\N	\N
896885	3055	1997-07-31	VYDAJ	VYBER	15	34872	SLUZBY	\N	\N
896886	3055	1997-08-31	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
896887	3055	1997-09-30	VYDAJ	VYBER	15	36255	SLUZBY	\N	\N
896888	3055	1997-10-31	VYDAJ	VYBER	15	38950	SLUZBY	\N	\N
896889	3055	1997-11-30	VYDAJ	VYBER	15	39995	SLUZBY	\N	\N
896890	3055	1997-12-31	VYDAJ	VYBER	15	37084	SLUZBY	\N	\N
896891	3055	1998-01-31	VYDAJ	VYBER	15	34809	SLUZBY	\N	\N
896892	3055	1998-02-28	VYDAJ	VYBER	15	35535	SLUZBY	\N	\N
896893	3055	1998-03-31	VYDAJ	VYBER	15	34340	SLUZBY	\N	\N
896894	3055	1998-04-30	VYDAJ	VYBER	15	30538	SLUZBY	\N	\N
896895	3055	1998-05-31	VYDAJ	VYBER	15	29506	SLUZBY	\N	\N
896896	3055	1998-06-30	VYDAJ	VYBER	15	21374	SLUZBY	\N	\N
896897	3055	1998-07-31	VYDAJ	VYBER	15	25852	SLUZBY	\N	\N
896898	3055	1998-08-31	VYDAJ	VYBER	15	30349	SLUZBY	\N	\N
896899	3055	1998-09-30	VYDAJ	VYBER	15	32064	SLUZBY	\N	\N
896900	3055	1998-10-31	VYDAJ	VYBER	15	34501	SLUZBY	\N	\N
896901	3055	1998-11-30	VYDAJ	VYBER	15	39033	SLUZBY	\N	\N
896902	3055	1996-09-23	VYDAJ	VYBER	100	28056	\N	\N	\N
896903	3055	1996-10-23	VYDAJ	VYBER	400	34501	\N	\N	\N
896904	3055	1996-11-22	VYDAJ	VYBER	5100	31906	\N	\N	\N
896905	3055	1996-12-22	VYDAJ	VYBER	500	33130	\N	\N	\N
896906	3055	1997-01-21	VYDAJ	VYBER	2400	28272	\N	\N	\N
896907	3055	1997-02-20	VYDAJ	VYBER	1100	29192	\N	\N	\N
896908	3055	1997-03-22	VYDAJ	VYBER	7700	25987	\N	\N	\N
896909	3055	1997-04-21	VYDAJ	VYBER	3000	27488	\N	\N	\N
896910	3055	1997-05-21	VYDAJ	VYBER	100	31882	\N	\N	\N
896911	3055	1997-06-20	VYDAJ	VYBER	2900	33487	\N	\N	\N
896912	3055	1997-09-18	VYDAJ	VYBER	300	36127	\N	\N	\N
896913	3055	1997-11-17	VYDAJ	VYBER	3500	39845	\N	\N	\N
896914	3055	1997-12-17	VYDAJ	VYBER	6000	36940	\N	\N	\N
896915	3055	1998-02-15	VYDAJ	VYBER	3800	35404	\N	\N	\N
896916	3055	1998-03-17	VYDAJ	VYBER	3800	34210	\N	\N	\N
896917	3055	1998-04-16	VYDAJ	VYBER	4400	34335	\N	\N	\N
896918	3055	1998-05-16	VYDAJ	VYBER	2100	32833	\N	\N	\N
896919	3055	1998-09-13	VYDAJ	VYBER	2800	31944	\N	\N	\N
896920	3055	1998-12-12	VYDAJ	VYBER	2100	34514	\N	\N	\N
896949	3056	1993-12-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
896962	3056	1994-01-12	PRIJEM	PREVOD Z UCTU	4352	5452	DUCHOD	MN	85470682
896963	3056	1994-02-12	PRIJEM	PREVOD Z UCTU	4352	9804	DUCHOD	MN	85470682
896964	3056	1994-03-12	PRIJEM	PREVOD Z UCTU	4352	14156	DUCHOD	MN	85470682
896965	3056	1994-04-12	PRIJEM	PREVOD Z UCTU	4352	18508	DUCHOD	MN	85470682
896966	3056	1994-05-12	PRIJEM	PREVOD Z UCTU	4352	22860	DUCHOD	MN	85470682
896967	3056	1994-06-12	PRIJEM	PREVOD Z UCTU	4352	17506	DUCHOD	MN	85470682
896968	3056	1994-07-12	PRIJEM	PREVOD Z UCTU	4352	19017	DUCHOD	MN	85470682
896969	3056	1994-08-12	PRIJEM	PREVOD Z UCTU	4352	16929	DUCHOD	MN	85470682
896970	3056	1994-09-12	PRIJEM	PREVOD Z UCTU	4352	16995	DUCHOD	MN	85470682
896971	3056	1994-10-12	PRIJEM	PREVOD Z UCTU	4352	15776	DUCHOD	MN	85470682
896972	3056	1994-11-12	PRIJEM	PREVOD Z UCTU	4352	17278	DUCHOD	MN	85470682
896973	3056	1994-12-12	PRIJEM	PREVOD Z UCTU	4352	18080	DUCHOD	MN	85470682
896974	3056	1995-01-12	PRIJEM	PREVOD Z UCTU	4352	17989	DUCHOD	MN	85470682
896975	3056	1995-02-12	PRIJEM	PREVOD Z UCTU	4352	15891	DUCHOD	MN	85470682
896976	3056	1995-03-12	PRIJEM	PREVOD Z UCTU	4352	17387	DUCHOD	MN	85470682
896977	3056	1995-04-12	PRIJEM	PREVOD Z UCTU	4352	18893	DUCHOD	MN	85470682
896978	3056	1995-05-12	PRIJEM	PREVOD Z UCTU	4352	20404	DUCHOD	MN	85470682
896979	3056	1995-06-12	PRIJEM	PREVOD Z UCTU	4352	21922	DUCHOD	MN	85470682
896980	3056	1995-07-12	PRIJEM	PREVOD Z UCTU	4352	18739	DUCHOD	MN	85470682
896981	3056	1995-08-12	PRIJEM	PREVOD Z UCTU	4352	20248	DUCHOD	MN	85470682
896982	3056	1995-09-12	PRIJEM	PREVOD Z UCTU	4352	16723	DUCHOD	MN	85470682
896983	3056	1995-10-12	PRIJEM	PREVOD Z UCTU	4352	18229	DUCHOD	MN	85470682
896984	3056	1995-11-12	PRIJEM	PREVOD Z UCTU	4352	19255	DUCHOD	MN	85470682
896985	3056	1995-12-12	PRIJEM	PREVOD Z UCTU	4352	20768	DUCHOD	MN	85470682
896986	3056	1996-01-12	PRIJEM	PREVOD Z UCTU	4352	21234	DUCHOD	MN	85470682
896987	3056	1996-02-12	PRIJEM	PREVOD Z UCTU	4352	20151	DUCHOD	MN	85470682
896988	3056	1996-03-12	PRIJEM	PREVOD Z UCTU	4352	18939	DUCHOD	MN	85470682
896989	3056	1996-04-12	PRIJEM	PREVOD Z UCTU	4352	20448	DUCHOD	MN	85470682
896990	3056	1996-05-12	PRIJEM	PREVOD Z UCTU	4352	21964	DUCHOD	MN	85470682
896991	3056	1996-06-12	PRIJEM	PREVOD Z UCTU	4352	23488	DUCHOD	MN	85470682
896992	3056	1996-07-12	PRIJEM	PREVOD Z UCTU	4352	21418	DUCHOD	MN	85470682
896993	3056	1996-08-12	PRIJEM	PREVOD Z UCTU	4352	22941	DUCHOD	MN	85470682
896994	3056	1996-09-12	PRIJEM	PREVOD Z UCTU	4352	24469	DUCHOD	MN	85470682
896995	3056	1996-10-12	PRIJEM	PREVOD Z UCTU	4352	26001	DUCHOD	MN	85470682
896996	3056	1996-11-12	PRIJEM	PREVOD Z UCTU	4352	27540	DUCHOD	MN	85470682
896997	3056	1996-12-12	PRIJEM	PREVOD Z UCTU	4352	23780	DUCHOD	MN	85470682
896998	3056	1997-01-12	PRIJEM	PREVOD Z UCTU	4352	25309	DUCHOD	MN	85470682
896999	3056	1997-02-12	PRIJEM	PREVOD Z UCTU	4352	20776	DUCHOD	MN	85470682
897000	3056	1997-03-12	PRIJEM	PREVOD Z UCTU	4352	22292	DUCHOD	MN	85470682
897001	3056	1997-04-12	PRIJEM	PREVOD Z UCTU	4352	23817	DUCHOD	MN	85470682
897002	3056	1997-05-12	PRIJEM	PREVOD Z UCTU	4352	25346	DUCHOD	MN	85470682
897003	3056	1997-06-12	PRIJEM	PREVOD Z UCTU	4352	26884	DUCHOD	MN	85470682
897004	3056	1997-07-12	PRIJEM	PREVOD Z UCTU	4352	19134	DUCHOD	MN	85470682
897005	3056	1997-08-12	PRIJEM	PREVOD Z UCTU	4352	20646	DUCHOD	MN	85470682
897006	3056	1997-09-12	PRIJEM	PREVOD Z UCTU	4352	20324	DUCHOD	MN	85470682
897007	3056	1997-10-12	PRIJEM	PREVOD Z UCTU	4352	21840	DUCHOD	MN	85470682
897008	3056	1997-11-12	PRIJEM	PREVOD Z UCTU	4352	23361	DUCHOD	MN	85470682
897009	3056	1997-12-12	PRIJEM	PREVOD Z UCTU	4352	24327	DUCHOD	MN	85470682
897010	3056	1998-01-12	PRIJEM	PREVOD Z UCTU	4352	20708	DUCHOD	MN	85470682
897011	3056	1998-02-12	PRIJEM	PREVOD Z UCTU	4352	22229	DUCHOD	MN	85470682
897012	3056	1998-03-12	PRIJEM	PREVOD Z UCTU	4352	23750	DUCHOD	MN	85470682
897013	3056	1998-04-12	PRIJEM	PREVOD Z UCTU	4352	25279	DUCHOD	MN	85470682
897014	3056	1998-05-12	PRIJEM	PREVOD Z UCTU	4352	25534	DUCHOD	MN	85470682
897015	3056	1998-06-12	PRIJEM	PREVOD Z UCTU	4352	27072	DUCHOD	MN	85470682
897016	3056	1998-07-12	PRIJEM	PREVOD Z UCTU	4352	28616	DUCHOD	MN	85470682
897243	3056	1995-06-30	VYDAJ	VYBER	15	16420	SLUZBY	\N	\N
897017	3056	1998-08-12	PRIJEM	PREVOD Z UCTU	4352	30164	DUCHOD	MN	85470682
897018	3056	1998-09-12	PRIJEM	PREVOD Z UCTU	4352	29639	DUCHOD	MN	85470682
897019	3056	1998-10-12	PRIJEM	PREVOD Z UCTU	4352	31196	DUCHOD	MN	85470682
897020	3056	1998-11-12	PRIJEM	PREVOD Z UCTU	4352	32757	DUCHOD	MN	85470682
897021	3056	1998-12-12	PRIJEM	PREVOD Z UCTU	4352	34324	DUCHOD	MN	85470682
897038	3056	1994-05-12	VYDAJ	PREVOD NA UCET	868	21992	SIPO	AB	36077541
897039	3056	1994-06-12	VYDAJ	PREVOD NA UCET	868	16638	SIPO	AB	36077541
897040	3056	1994-07-12	VYDAJ	PREVOD NA UCET	868	18149	SIPO	AB	36077541
897041	3056	1994-08-12	VYDAJ	PREVOD NA UCET	868	16061	SIPO	AB	36077541
897042	3056	1994-09-12	VYDAJ	PREVOD NA UCET	868	16127	SIPO	AB	36077541
897043	3056	1994-10-12	VYDAJ	PREVOD NA UCET	868	14908	SIPO	AB	36077541
897044	3056	1994-11-12	VYDAJ	PREVOD NA UCET	868	16410	SIPO	AB	36077541
897045	3056	1994-12-12	VYDAJ	PREVOD NA UCET	868	17212	SIPO	AB	36077541
897046	3056	1995-01-12	VYDAJ	PREVOD NA UCET	868	17121	SIPO	AB	36077541
897047	3056	1995-02-12	VYDAJ	PREVOD NA UCET	868	15023	SIPO	AB	36077541
897048	3056	1995-03-12	VYDAJ	PREVOD NA UCET	868	16519	SIPO	AB	36077541
897049	3056	1995-04-12	VYDAJ	PREVOD NA UCET	868	18025	SIPO	AB	36077541
897050	3056	1995-05-12	VYDAJ	PREVOD NA UCET	868	19536	SIPO	AB	36077541
897051	3056	1995-06-12	VYDAJ	PREVOD NA UCET	868	21054	SIPO	AB	36077541
897052	3056	1995-07-12	VYDAJ	PREVOD NA UCET	868	17871	SIPO	AB	36077541
897053	3056	1995-08-12	VYDAJ	PREVOD NA UCET	868	19380	SIPO	AB	36077541
897054	3056	1995-09-12	VYDAJ	PREVOD NA UCET	868	15855	SIPO	AB	36077541
897055	3056	1995-10-12	VYDAJ	PREVOD NA UCET	868	17361	SIPO	AB	36077541
897056	3056	1995-11-12	VYDAJ	PREVOD NA UCET	868	18387	SIPO	AB	36077541
897057	3056	1995-12-12	VYDAJ	PREVOD NA UCET	868	19900	SIPO	AB	36077541
897058	3056	1996-01-12	VYDAJ	PREVOD NA UCET	868	20366	SIPO	AB	36077541
897059	3056	1996-02-12	VYDAJ	PREVOD NA UCET	868	19283	SIPO	AB	36077541
897060	3056	1996-03-12	VYDAJ	PREVOD NA UCET	868	18071	SIPO	AB	36077541
897061	3056	1996-04-12	VYDAJ	PREVOD NA UCET	868	19580	SIPO	AB	36077541
897062	3056	1996-05-12	VYDAJ	PREVOD NA UCET	868	21096	SIPO	AB	36077541
897063	3056	1996-06-12	VYDAJ	PREVOD NA UCET	868	22620	SIPO	AB	36077541
897064	3056	1996-07-12	VYDAJ	PREVOD NA UCET	868	20550	SIPO	AB	36077541
897065	3056	1996-08-12	VYDAJ	PREVOD NA UCET	868	22073	SIPO	AB	36077541
897066	3056	1996-09-12	VYDAJ	PREVOD NA UCET	868	23601	SIPO	AB	36077541
897067	3056	1996-10-12	VYDAJ	PREVOD NA UCET	868	25133	SIPO	AB	36077541
897068	3056	1996-11-12	VYDAJ	PREVOD NA UCET	868	26672	SIPO	AB	36077541
897069	3056	1996-12-12	VYDAJ	PREVOD NA UCET	868	22912	SIPO	AB	36077541
897070	3056	1997-01-12	VYDAJ	PREVOD NA UCET	868	22541	SIPO	AB	36077541
897071	3056	1997-02-12	VYDAJ	PREVOD NA UCET	868	19908	SIPO	AB	36077541
897072	3056	1997-03-12	VYDAJ	PREVOD NA UCET	868	21424	SIPO	AB	36077541
897073	3056	1997-04-12	VYDAJ	PREVOD NA UCET	868	22949	SIPO	AB	36077541
897074	3056	1997-05-12	VYDAJ	PREVOD NA UCET	868	24478	SIPO	AB	36077541
897075	3056	1997-06-12	VYDAJ	PREVOD NA UCET	868	26016	SIPO	AB	36077541
897076	3056	1997-07-12	VYDAJ	PREVOD NA UCET	868	18266	SIPO	AB	36077541
897077	3056	1997-08-12	VYDAJ	PREVOD NA UCET	868	19778	SIPO	AB	36077541
897078	3056	1997-09-12	VYDAJ	PREVOD NA UCET	868	19456	SIPO	AB	36077541
897079	3056	1997-10-12	VYDAJ	PREVOD NA UCET	868	20972	SIPO	AB	36077541
897080	3056	1997-11-12	VYDAJ	PREVOD NA UCET	868	22493	SIPO	AB	36077541
897081	3056	1997-12-12	VYDAJ	PREVOD NA UCET	868	23459	SIPO	AB	36077541
897082	3056	1998-01-12	VYDAJ	PREVOD NA UCET	868	19840	SIPO	AB	36077541
897083	3056	1998-02-12	VYDAJ	PREVOD NA UCET	868	21361	SIPO	AB	36077541
897084	3056	1998-03-12	VYDAJ	PREVOD NA UCET	868	22882	SIPO	AB	36077541
897085	3056	1998-04-12	VYDAJ	PREVOD NA UCET	868	24411	SIPO	AB	36077541
897086	3056	1998-05-12	VYDAJ	PREVOD NA UCET	868	24666	SIPO	AB	36077541
897087	3056	1998-06-12	VYDAJ	PREVOD NA UCET	868	26204	SIPO	AB	36077541
897088	3056	1998-07-12	VYDAJ	PREVOD NA UCET	868	27748	SIPO	AB	36077541
897089	3056	1998-08-12	VYDAJ	PREVOD NA UCET	868	29296	SIPO	AB	36077541
897090	3056	1998-09-12	VYDAJ	PREVOD NA UCET	868	28771	SIPO	AB	36077541
897091	3056	1998-10-12	VYDAJ	PREVOD NA UCET	868	30328	SIPO	AB	36077541
897092	3056	1998-11-12	VYDAJ	PREVOD NA UCET	868	31889	SIPO	AB	36077541
897093	3056	1998-12-12	VYDAJ	PREVOD NA UCET	868	33456	SIPO	AB	36077541
897111	3056	1994-06-10	VYDAJ	PREVOD NA UCET	2033	20004	 	ST	67921972
897112	3056	1994-07-10	VYDAJ	PREVOD NA UCET	2033	14665	 	ST	67921972
897113	3056	1994-08-10	VYDAJ	PREVOD NA UCET	2033	16177	 	ST	67921972
897114	3056	1994-09-10	VYDAJ	PREVOD NA UCET	2033	12643	 	ST	67921972
897115	3056	1994-10-10	VYDAJ	PREVOD NA UCET	2033	11424	 	ST	67921972
897116	3056	1994-11-10	VYDAJ	PREVOD NA UCET	2033	12926	 	ST	67921972
897117	3056	1994-12-10	VYDAJ	PREVOD NA UCET	2033	13728	 	ST	67921972
897118	3056	1995-01-10	VYDAJ	PREVOD NA UCET	2033	13637	 	ST	67921972
897119	3056	1995-02-10	VYDAJ	PREVOD NA UCET	2033	11539	 	ST	67921972
897120	3056	1995-03-10	VYDAJ	PREVOD NA UCET	2033	13035	 	ST	67921972
897121	3056	1995-04-10	VYDAJ	PREVOD NA UCET	2033	14541	 	ST	67921972
897122	3056	1995-05-10	VYDAJ	PREVOD NA UCET	2033	16052	 	ST	67921972
897123	3056	1995-06-10	VYDAJ	PREVOD NA UCET	2033	17570	 	ST	67921972
897124	3056	1995-07-10	VYDAJ	PREVOD NA UCET	2033	14387	 	ST	67921972
897125	3056	1995-08-10	VYDAJ	PREVOD NA UCET	2033	15896	 	ST	67921972
897126	3056	1995-09-10	VYDAJ	PREVOD NA UCET	2033	12371	 	ST	67921972
897127	3056	1995-10-10	VYDAJ	PREVOD NA UCET	2033	13877	 	ST	67921972
897128	3056	1995-11-10	VYDAJ	PREVOD NA UCET	2033	14903	 	ST	67921972
897129	3056	1995-12-10	VYDAJ	PREVOD NA UCET	2033	16416	 	ST	67921972
897130	3056	1996-01-10	VYDAJ	PREVOD NA UCET	2033	16882	 	ST	67921972
897131	3056	1996-02-10	VYDAJ	PREVOD NA UCET	2033	15799	 	ST	67921972
897132	3056	1996-03-10	VYDAJ	PREVOD NA UCET	2033	14587	 	ST	67921972
897133	3056	1996-04-10	VYDAJ	PREVOD NA UCET	2033	16096	 	ST	67921972
897134	3056	1996-05-10	VYDAJ	PREVOD NA UCET	2033	17612	 	ST	67921972
897135	3056	1996-06-10	VYDAJ	PREVOD NA UCET	2033	19136	 	ST	67921972
897136	3056	1996-07-10	VYDAJ	PREVOD NA UCET	2033	17066	 	ST	67921972
897137	3056	1996-08-10	VYDAJ	PREVOD NA UCET	2033	18589	 	ST	67921972
897138	3056	1996-09-10	VYDAJ	PREVOD NA UCET	2033	20117	 	ST	67921972
897139	3056	1996-10-10	VYDAJ	PREVOD NA UCET	2033	21649	 	ST	67921972
897140	3056	1996-11-10	VYDAJ	PREVOD NA UCET	2033	23188	 	ST	67921972
897141	3056	1996-12-10	VYDAJ	PREVOD NA UCET	2033	19428	 	ST	67921972
897142	3056	1997-01-10	VYDAJ	PREVOD NA UCET	2033	20957	 	ST	67921972
897143	3056	1997-02-10	VYDAJ	PREVOD NA UCET	2033	16424	 	ST	67921972
897144	3056	1997-03-10	VYDAJ	PREVOD NA UCET	2033	17940	 	ST	67921972
897145	3056	1997-04-10	VYDAJ	PREVOD NA UCET	2033	19465	 	ST	67921972
897146	3056	1997-05-10	VYDAJ	PREVOD NA UCET	2033	20994	 	ST	67921972
897147	3056	1997-06-10	VYDAJ	PREVOD NA UCET	2033	22532	 	ST	67921972
897148	3056	1997-07-10	VYDAJ	PREVOD NA UCET	2033	14782	 	ST	67921972
897149	3056	1997-08-10	VYDAJ	PREVOD NA UCET	2033	16294	 	ST	67921972
897150	3056	1997-09-10	VYDAJ	PREVOD NA UCET	2033	15972	 	ST	67921972
897151	3056	1997-10-10	VYDAJ	PREVOD NA UCET	2033	17488	 	ST	67921972
897152	3056	1997-11-10	VYDAJ	PREVOD NA UCET	2033	19009	 	ST	67921972
897153	3056	1997-12-10	VYDAJ	PREVOD NA UCET	2033	19975	 	ST	67921972
897154	3056	1998-01-10	VYDAJ	PREVOD NA UCET	2033	16356	 	ST	67921972
897155	3056	1998-02-10	VYDAJ	PREVOD NA UCET	2033	17877	 	ST	67921972
897156	3056	1998-03-10	VYDAJ	PREVOD NA UCET	2033	19398	 	ST	67921972
897157	3056	1998-04-10	VYDAJ	PREVOD NA UCET	2033	20927	 	ST	67921972
897158	3056	1998-05-10	VYDAJ	PREVOD NA UCET	2033	21182	 	ST	67921972
897159	3056	1998-06-10	VYDAJ	PREVOD NA UCET	2033	22720	 	ST	67921972
897160	3056	1998-07-10	VYDAJ	PREVOD NA UCET	2033	24264	 	ST	67921972
897161	3056	1998-08-10	VYDAJ	PREVOD NA UCET	2033	25812	 	ST	67921972
897162	3056	1998-09-10	VYDAJ	PREVOD NA UCET	2033	25287	 	ST	67921972
897163	3056	1998-10-10	VYDAJ	PREVOD NA UCET	2033	26844	 	ST	67921972
897164	3056	1998-11-10	VYDAJ	PREVOD NA UCET	2033	28405	 	ST	67921972
897165	3056	1998-12-10	VYDAJ	PREVOD NA UCET	2033	29972	 	ST	67921972
897167	3056	1994-06-10	VYDAJ	VYBER	6850	13154	\N	\N	\N
897168	3056	1995-06-24	VYDAJ	VYBER	4700	16354	\N	\N	\N
897170	3056	1997-06-14	VYDAJ	VYBER	6950	19066	\N	\N	\N
897174	3056	1995-01-20	VYDAJ	VYBER	3600	13521	\N	\N	\N
897175	3056	1996-01-27	VYDAJ	VYBER	2600	17766	\N	\N	\N
897176	3056	1997-01-12	VYDAJ	VYBER	1900	23409	\N	\N	\N
897177	3056	1998-01-08	VYDAJ	VYBER	4400	18389	\N	\N	\N
897179	3056	1994-12-09	VYDAJ	VYBER	700	15761	\N	\N	\N
897180	3056	1995-12-25	VYDAJ	VYBER	1050	18850	\N	\N	\N
897181	3056	1996-12-05	VYDAJ	VYBER	900	21461	\N	\N	\N
897182	3056	1997-12-28	VYDAJ	VYBER	750	22709	\N	\N	\N
897183	3056	1998-12-19	VYDAJ	VYBER	600	32856	\N	\N	\N
897192	3056	1994-10-04	VYDAJ	VYBER	2720	13457	\N	\N	\N
897193	3056	1994-08-11	VYDAJ	VYBER	3600	12577	\N	\N	\N
897195	3056	1994-08-25	VYDAJ	VYBER	1440	14621	\N	\N	\N
897197	3056	1995-10-24	VYDAJ	VYBER	480	16881	\N	\N	\N
897198	3056	1995-09-08	VYDAJ	VYBER	2080	14404	\N	\N	\N
897199	3056	1995-01-02	VYDAJ	VYBER	1600	15670	\N	\N	\N
897201	3056	1995-09-01	VYDAJ	VYBER	2960	16484	\N	\N	\N
897202	3056	1996-07-04	VYDAJ	VYBER	3600	19099	\N	\N	\N
897203	3056	1996-11-23	VYDAJ	VYBER	2160	22272	\N	\N	\N
897204	3056	1996-11-22	VYDAJ	VYBER	2240	24432	\N	\N	\N
897205	3056	1996-02-13	VYDAJ	VYBER	2720	16563	\N	\N	\N
897206	3056	1997-01-29	VYDAJ	VYBER	3040	18381	\N	\N	\N
897207	3056	1997-12-08	VYDAJ	VYBER	560	22008	\N	\N	\N
897208	3056	1997-06-15	VYDAJ	VYBER	2320	16746	\N	\N	\N
897209	3056	1997-09-10	VYDAJ	VYBER	1840	18005	\N	\N	\N
897210	3056	1997-01-16	VYDAJ	VYBER	1120	21421	\N	\N	\N
897211	3056	1998-09-04	VYDAJ	VYBER	2080	27320	\N	\N	\N
897212	3056	1998-04-26	VYDAJ	VYBER	1280	23131	\N	\N	\N
897230	3056	1994-05-31	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
897231	3056	1994-06-30	VYDAJ	VYBER	15	16698	SLUZBY	\N	\N
897232	3056	1994-07-31	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
897233	3056	1994-08-31	VYDAJ	VYBER	15	14676	SLUZBY	\N	\N
897234	3056	1994-09-30	VYDAJ	VYBER	15	16177	SLUZBY	\N	\N
897235	3056	1994-10-31	VYDAJ	VYBER	15	14959	SLUZBY	\N	\N
897236	3056	1994-11-30	VYDAJ	VYBER	15	16461	SLUZBY	\N	\N
897237	3056	1994-12-31	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
897238	3056	1995-01-31	VYDAJ	VYBER	15	13572	SLUZBY	\N	\N
897239	3056	1995-02-28	VYDAJ	VYBER	15	15068	SLUZBY	\N	\N
897240	3056	1995-03-31	VYDAJ	VYBER	15	16574	SLUZBY	\N	\N
897241	3056	1995-04-30	VYDAJ	VYBER	15	18085	SLUZBY	\N	\N
897242	3056	1995-05-31	VYDAJ	VYBER	15	19603	SLUZBY	\N	\N
897244	3056	1995-07-31	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
897245	3056	1995-08-31	VYDAJ	VYBER	15	19444	SLUZBY	\N	\N
897246	3056	1995-09-30	VYDAJ	VYBER	15	15910	SLUZBY	\N	\N
897247	3056	1995-10-31	VYDAJ	VYBER	15	16936	SLUZBY	\N	\N
897248	3056	1995-11-30	VYDAJ	VYBER	15	18449	SLUZBY	\N	\N
897249	3056	1995-12-31	VYDAJ	VYBER	15	18915	SLUZBY	\N	\N
897250	3056	1996-01-31	VYDAJ	VYBER	15	17832	SLUZBY	\N	\N
897251	3056	1996-02-29	VYDAJ	VYBER	15	16620	SLUZBY	\N	\N
897252	3056	1996-03-31	VYDAJ	VYBER	15	18129	SLUZBY	\N	\N
897253	3056	1996-04-30	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
897254	3056	1996-05-31	VYDAJ	VYBER	15	21169	SLUZBY	\N	\N
897255	3056	1996-06-30	VYDAJ	VYBER	15	22699	SLUZBY	\N	\N
897256	3056	1996-07-31	VYDAJ	VYBER	15	20622	SLUZBY	\N	\N
897257	3056	1996-08-31	VYDAJ	VYBER	15	22150	SLUZBY	\N	\N
897258	3056	1996-09-30	VYDAJ	VYBER	15	23682	SLUZBY	\N	\N
897259	3056	1996-10-31	VYDAJ	VYBER	15	25221	SLUZBY	\N	\N
897260	3056	1996-11-30	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
897261	3056	1996-12-31	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
897262	3056	1997-01-31	VYDAJ	VYBER	15	18457	SLUZBY	\N	\N
897263	3056	1997-02-28	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
897264	3056	1997-03-31	VYDAJ	VYBER	15	21498	SLUZBY	\N	\N
897265	3056	1997-04-30	VYDAJ	VYBER	15	23027	SLUZBY	\N	\N
897266	3056	1997-05-31	VYDAJ	VYBER	15	24565	SLUZBY	\N	\N
897267	3056	1997-06-30	VYDAJ	VYBER	15	16815	SLUZBY	\N	\N
897268	3056	1997-07-31	VYDAJ	VYBER	15	18327	SLUZBY	\N	\N
897269	3056	1997-08-31	VYDAJ	VYBER	15	19845	SLUZBY	\N	\N
897270	3056	1997-09-30	VYDAJ	VYBER	15	19521	SLUZBY	\N	\N
897271	3056	1997-10-31	VYDAJ	VYBER	15	21042	SLUZBY	\N	\N
897272	3056	1997-11-30	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
897273	3056	1997-12-31	VYDAJ	VYBER	15	22789	SLUZBY	\N	\N
897274	3056	1998-01-31	VYDAJ	VYBER	15	19910	SLUZBY	\N	\N
897275	3056	1998-02-28	VYDAJ	VYBER	15	21431	SLUZBY	\N	\N
897276	3056	1998-03-31	VYDAJ	VYBER	15	22960	SLUZBY	\N	\N
897277	3056	1998-04-30	VYDAJ	VYBER	15	23215	SLUZBY	\N	\N
897278	3056	1998-05-31	VYDAJ	VYBER	15	24753	SLUZBY	\N	\N
897279	3056	1998-06-30	VYDAJ	VYBER	15	26297	SLUZBY	\N	\N
897280	3056	1998-07-31	VYDAJ	VYBER	15	27845	SLUZBY	\N	\N
897281	3056	1998-08-31	VYDAJ	VYBER	15	29400	SLUZBY	\N	\N
897282	3056	1998-09-30	VYDAJ	VYBER	15	28877	SLUZBY	\N	\N
897283	3056	1998-10-31	VYDAJ	VYBER	15	30438	SLUZBY	\N	\N
897284	3056	1998-11-30	VYDAJ	VYBER	15	32005	SLUZBY	\N	\N
897341	3057	1997-07-23	PRIJEM	VKLAD	600	600	\N	\N	\N
897349	3057	1997-08-12	PRIJEM	VKLAD	18236	18836	\N	\N	\N
897350	3057	1997-09-12	PRIJEM	VKLAD	18236	39901	\N	\N	\N
897351	3057	1997-10-12	PRIJEM	VKLAD	18236	48339	\N	\N	\N
897352	3057	1997-11-12	PRIJEM	VKLAD	18236	51204	\N	\N	\N
897353	3057	1997-12-12	PRIJEM	VKLAD	27354	64301	\N	\N	\N
897354	3057	1998-01-12	PRIJEM	VKLAD	18236	59745	\N	\N	\N
897355	3057	1998-02-12	PRIJEM	VKLAD	18236	47805	\N	\N	\N
897356	3057	1998-03-12	PRIJEM	VKLAD	18236	45932	\N	\N	\N
897357	3057	1998-04-12	PRIJEM	VKLAD	18236	46157	\N	\N	\N
897358	3057	1998-05-12	PRIJEM	VKLAD	18236	40077	\N	\N	\N
897359	3057	1998-06-12	PRIJEM	VKLAD	27354	47104	\N	\N	\N
897360	3057	1998-07-12	PRIJEM	VKLAD	18236	50328	\N	\N	\N
897361	3057	1998-08-12	PRIJEM	VKLAD	18236	55380	\N	\N	\N
897362	3057	1998-09-12	PRIJEM	VKLAD	18236	53936	\N	\N	\N
897363	3057	1998-10-12	PRIJEM	VKLAD	18236	48776	\N	\N	\N
897364	3057	1998-11-12	PRIJEM	VKLAD	18236	53715	\N	\N	\N
897365	3057	1998-12-12	PRIJEM	VKLAD	27354	60777	\N	\N	\N
897378	3057	1998-01-10	VYDAJ	PREVOD NA UCET	4646	41509	SIPO	WX	53154373
897379	3057	1998-02-10	VYDAJ	PREVOD NA UCET	4646	29569	SIPO	WX	53154373
897380	3057	1998-03-10	VYDAJ	PREVOD NA UCET	4646	27696	SIPO	WX	53154373
897381	3057	1998-04-10	VYDAJ	PREVOD NA UCET	4646	27921	SIPO	WX	53154373
897382	3057	1998-05-10	VYDAJ	PREVOD NA UCET	4646	21841	SIPO	WX	53154373
897383	3057	1998-06-10	VYDAJ	PREVOD NA UCET	4646	20650	SIPO	WX	53154373
897384	3057	1998-07-10	VYDAJ	PREVOD NA UCET	4646	32092	SIPO	WX	53154373
897385	3057	1998-08-10	VYDAJ	PREVOD NA UCET	4646	37144	SIPO	WX	53154373
897386	3057	1998-09-10	VYDAJ	PREVOD NA UCET	4646	35700	SIPO	WX	53154373
897387	3057	1998-10-10	VYDAJ	PREVOD NA UCET	4646	30540	SIPO	WX	53154373
897388	3057	1998-11-10	VYDAJ	PREVOD NA UCET	4646	35479	SIPO	WX	53154373
897389	3057	1998-12-10	VYDAJ	PREVOD NA UCET	4646	33423	SIPO	WX	53154373
897391	3057	1998-06-04	VYDAJ	VYBER	4800	25296	\N	\N	\N
897393	3057	1998-01-20	VYDAJ	VYBER	9100	34045	\N	\N	\N
897395	3057	1998-12-29	VYDAJ	VYBER	1600	40077	\N	\N	\N
897401	3057	1998-05-08	VYDAJ	VYBER	4000	26487	\N	\N	\N
897402	3057	1998-05-14	VYDAJ	VYBER	3400	36677	\N	\N	\N
897403	3057	1998-08-03	VYDAJ	VYBER	1700	41790	\N	\N	\N
897404	3057	1998-05-31	VYDAJ	VYBER	1800	30111	\N	\N	\N
897405	3057	1998-06-10	VYDAJ	VYBER	900	19750	\N	\N	\N
897418	3057	1997-12-31	VYDAJ	VYBER	15	46155	SLUZBY	\N	\N
897419	3057	1998-01-31	VYDAJ	VYBER	15	34215	SLUZBY	\N	\N
897420	3057	1998-02-28	VYDAJ	VYBER	15	32342	SLUZBY	\N	\N
897421	3057	1998-03-31	VYDAJ	VYBER	15	32567	SLUZBY	\N	\N
897422	3057	1998-04-30	VYDAJ	VYBER	15	30487	SLUZBY	\N	\N
897423	3057	1998-05-31	VYDAJ	VYBER	15	30096	SLUZBY	\N	\N
897424	3057	1998-06-30	VYDAJ	VYBER	15	36738	SLUZBY	\N	\N
897425	3057	1998-07-31	VYDAJ	VYBER	15	43490	SLUZBY	\N	\N
897426	3057	1998-08-31	VYDAJ	VYBER	15	40346	SLUZBY	\N	\N
897427	3057	1998-09-30	VYDAJ	VYBER	15	35186	SLUZBY	\N	\N
897428	3057	1998-10-31	VYDAJ	VYBER	15	40125	SLUZBY	\N	\N
897429	3057	1998-11-30	VYDAJ	VYBER	15	38069	SLUZBY	\N	\N
897430	3057	1997-08-22	PRIJEM	VKLAD	2800	21636	\N	\N	\N
897431	3057	1997-09-21	VYDAJ	VYBER	9900	30001	\N	\N	\N
897432	3057	1997-10-21	VYDAJ	VYBER	15500	32839	\N	\N	\N
897433	3057	1997-11-20	VYDAJ	VYBER	14400	36804	\N	\N	\N
897434	3057	1997-12-20	VYDAJ	VYBER	18300	46001	\N	\N	\N
897435	3057	1998-01-19	VYDAJ	VYBER	16600	43145	\N	\N	\N
897436	3057	1998-02-18	VYDAJ	VYBER	15600	32205	\N	\N	\N
897437	3057	1998-03-20	VYDAJ	VYBER	13500	32432	\N	\N	\N
897438	3057	1998-04-19	VYDAJ	VYBER	15800	30357	\N	\N	\N
897439	3057	1998-05-19	VYDAJ	VYBER	4900	31777	\N	\N	\N
897440	3057	1998-06-18	VYDAJ	VYBER	10500	36604	\N	\N	\N
897441	3057	1998-07-18	VYDAJ	VYBER	7000	43328	\N	\N	\N
897442	3057	1998-08-17	VYDAJ	VYBER	15200	40180	\N	\N	\N
897443	3057	1998-09-16	VYDAJ	VYBER	18900	35036	\N	\N	\N
897444	3057	1998-10-16	VYDAJ	VYBER	8800	39976	\N	\N	\N
897445	3057	1998-11-15	VYDAJ	VYBER	15800	37915	\N	\N	\N
897446	3057	1998-12-15	VYDAJ	VYBER	19100	41677	\N	\N	\N
897464	3058	1994-10-23	PRIJEM	VKLAD	700	700	\N	\N	\N
897475	3058	1994-11-13	PRIJEM	VKLAD	19513	20213	\N	\N	\N
897476	3058	1994-12-13	PRIJEM	VKLAD	29270	53313	\N	\N	\N
897477	3058	1995-01-13	PRIJEM	VKLAD	19513	58045	\N	\N	\N
897478	3058	1995-02-13	PRIJEM	VKLAD	19513	62224	\N	\N	\N
897479	3058	1995-03-13	PRIJEM	VKLAD	19513	63716	\N	\N	\N
897480	3058	1995-04-13	PRIJEM	VKLAD	19513	64800	\N	\N	\N
897481	3058	1995-05-13	PRIJEM	VKLAD	19513	65569	\N	\N	\N
897482	3058	1995-06-13	PRIJEM	VKLAD	29270	73034	\N	\N	\N
897483	3058	1995-07-13	PRIJEM	VKLAD	19513	62023	\N	\N	\N
897484	3058	1995-08-13	PRIJEM	VKLAD	19513	61017	\N	\N	\N
897485	3058	1995-09-13	PRIJEM	VKLAD	19513	63292	\N	\N	\N
897486	3058	1995-10-13	PRIJEM	VKLAD	19513	58109	\N	\N	\N
897487	3058	1995-11-13	PRIJEM	VKLAD	19513	57867	\N	\N	\N
897488	3058	1995-12-13	PRIJEM	VKLAD	29270	67080	\N	\N	\N
897489	3058	1996-01-13	PRIJEM	VKLAD	19513	57468	\N	\N	\N
897490	3058	1996-02-13	PRIJEM	VKLAD	19513	44583	\N	\N	\N
897491	3058	1996-03-13	PRIJEM	VKLAD	19513	55308	\N	\N	\N
897492	3058	1996-04-13	PRIJEM	VKLAD	19513	61368	\N	\N	\N
897493	3058	1996-05-13	PRIJEM	VKLAD	19513	60238	\N	\N	\N
897494	3058	1996-06-13	PRIJEM	VKLAD	29270	68424	\N	\N	\N
897495	3058	1996-07-13	PRIJEM	VKLAD	19513	42701	\N	\N	\N
897496	3058	1996-08-13	PRIJEM	VKLAD	19513	45552	\N	\N	\N
897497	3058	1996-09-13	PRIJEM	VKLAD	19513	43676	\N	\N	\N
897498	3058	1996-10-13	PRIJEM	VKLAD	19513	50234	\N	\N	\N
897499	3058	1996-11-13	PRIJEM	VKLAD	19513	54471	\N	\N	\N
897500	3058	1996-12-13	PRIJEM	VKLAD	29270	68119	\N	\N	\N
897501	3058	1997-01-13	PRIJEM	VKLAD	19513	56810	\N	\N	\N
897502	3058	1997-02-13	PRIJEM	VKLAD	19513	57363	\N	\N	\N
897503	3058	1997-03-13	PRIJEM	VKLAD	19513	60991	\N	\N	\N
897504	3058	1997-04-13	PRIJEM	VKLAD	19513	61337	\N	\N	\N
897505	3058	1997-05-13	PRIJEM	VKLAD	19513	63327	\N	\N	\N
897506	3058	1997-06-13	PRIJEM	VKLAD	29270	77935	\N	\N	\N
897507	3058	1997-07-13	PRIJEM	VKLAD	19513	56554	\N	\N	\N
897508	3058	1997-08-13	PRIJEM	VKLAD	19513	63376	\N	\N	\N
897509	3058	1997-09-13	PRIJEM	VKLAD	19513	67027	\N	\N	\N
897510	3058	1997-10-13	PRIJEM	VKLAD	19513	66185	\N	\N	\N
897511	3058	1997-11-13	PRIJEM	VKLAD	19513	67851	\N	\N	\N
897512	3058	1997-12-13	PRIJEM	VKLAD	29270	70636	\N	\N	\N
897513	3058	1998-01-13	PRIJEM	VKLAD	19513	57555	\N	\N	\N
897514	3058	1998-02-13	PRIJEM	VKLAD	19513	54324	\N	\N	\N
897515	3058	1998-03-13	PRIJEM	VKLAD	19513	56443	\N	\N	\N
897516	3058	1998-04-13	PRIJEM	VKLAD	19513	58972	\N	\N	\N
897517	3058	1998-05-13	PRIJEM	VKLAD	19513	59784	\N	\N	\N
897518	3058	1998-06-13	PRIJEM	VKLAD	29270	68078	\N	\N	\N
897519	3058	1998-07-13	PRIJEM	VKLAD	19513	62744	\N	\N	\N
897520	3058	1998-08-13	PRIJEM	VKLAD	19513	60249	\N	\N	\N
897521	3058	1998-09-13	PRIJEM	VKLAD	19513	58598	\N	\N	\N
897522	3058	1998-10-13	PRIJEM	VKLAD	19513	59041	\N	\N	\N
897523	3058	1998-11-13	PRIJEM	VKLAD	19513	56282	\N	\N	\N
897524	3058	1998-12-13	PRIJEM	VKLAD	29270	64167	\N	\N	\N
897526	3058	1995-06-17	VYDAJ	VYBER	11360	61674	\N	\N	\N
897527	3058	1996-06-22	VYDAJ	VYBER	22880	23044	\N	\N	\N
897528	3058	1997-06-16	VYDAJ	VYBER	28320	49615	\N	\N	\N
897531	3058	1995-12-22	VYDAJ	VYBER	1600	43080	\N	\N	\N
897532	3058	1996-12-20	VYDAJ	VYBER	3840	64279	\N	\N	\N
897533	3058	1997-12-05	VYDAJ	VYBER	1120	63266	\N	\N	\N
897534	3058	1998-12-28	VYDAJ	VYBER	1920	62247	\N	\N	\N
897547	3058	1996-01-24	VYDAJ	VYBER	2280	29608	\N	\N	\N
897548	3058	1996-01-30	VYDAJ	VYBER	3480	24928	\N	\N	\N
897549	3058	1996-01-07	VYDAJ	VYBER	2520	40715	\N	\N	\N
897550	3058	1996-01-13	VYDAJ	VYBER	3000	54468	\N	\N	\N
897551	3058	1996-01-09	VYDAJ	VYBER	2760	37955	\N	\N	\N
897552	3058	1996-01-29	VYDAJ	VYBER	1200	28408	\N	\N	\N
897553	3058	1997-01-15	VYDAJ	VYBER	1920	54890	\N	\N	\N
897554	3058	1997-01-10	VYDAJ	VYBER	3240	57917	\N	\N	\N
897555	3058	1997-01-12	VYDAJ	VYBER	1920	37297	\N	\N	\N
897556	3058	1997-01-22	VYDAJ	VYBER	1920	52970	\N	\N	\N
897557	3058	1997-01-04	VYDAJ	VYBER	3360	61157	\N	\N	\N
897558	3058	1997-01-29	VYDAJ	VYBER	840	52130	\N	\N	\N
897559	3058	1998-01-27	VYDAJ	VYBER	1560	55035	\N	\N	\N
897560	3058	1998-01-23	VYDAJ	VYBER	960	56595	\N	\N	\N
897561	3058	1998-01-07	VYDAJ	VYBER	1440	40442	\N	\N	\N
897562	3058	1998-01-08	VYDAJ	VYBER	2400	38042	\N	\N	\N
897563	3058	1998-01-27	VYDAJ	VYBER	960	54075	\N	\N	\N
897564	3058	1998-01-30	VYDAJ	VYBER	1680	52395	\N	\N	\N
897571	3058	1995-07-07	VYDAJ	VYBER	840	43710	\N	\N	\N
897573	3058	1995-09-24	VYDAJ	VYBER	3840	40952	\N	\N	\N
897574	3058	1995-07-09	VYDAJ	VYBER	1200	42510	\N	\N	\N
897575	3058	1995-09-25	VYDAJ	VYBER	2520	38432	\N	\N	\N
897576	3058	1995-05-08	VYDAJ	VYBER	720	46056	\N	\N	\N
897578	3058	1996-08-06	VYDAJ	VYBER	3960	26039	\N	\N	\N
897579	3058	1996-11-02	VYDAJ	VYBER	3360	47058	\N	\N	\N
897580	3058	1996-11-25	VYDAJ	VYBER	1920	52551	\N	\N	\N
897581	3058	1996-06-12	VYDAJ	VYBER	2640	39155	\N	\N	\N
897582	3058	1996-01-19	VYDAJ	VYBER	5280	31888	\N	\N	\N
897583	3058	1997-11-15	VYDAJ	VYBER	3720	64131	\N	\N	\N
897584	3058	1997-09-14	VYDAJ	VYBER	3960	63067	\N	\N	\N
897585	3058	1997-04-30	VYDAJ	VYBER	960	57629	\N	\N	\N
897586	3058	1997-04-25	VYDAJ	VYBER	3000	58337	\N	\N	\N
897587	3058	1997-09-18	VYDAJ	VYBER	1440	61627	\N	\N	\N
897588	3058	1998-07-25	VYDAJ	VYBER	960	61784	\N	\N	\N
897589	3058	1998-11-19	VYDAJ	VYBER	3600	52682	\N	\N	\N
897590	3058	1998-04-22	VYDAJ	VYBER	4320	54652	\N	\N	\N
897606	3058	1995-03-31	VYDAJ	VYBER	15	45287	SLUZBY	\N	\N
897607	3058	1995-04-30	VYDAJ	VYBER	15	46776	SLUZBY	\N	\N
897608	3058	1995-05-31	VYDAJ	VYBER	15	43764	SLUZBY	\N	\N
897609	3058	1995-06-30	VYDAJ	VYBER	15	44550	SLUZBY	\N	\N
897610	3058	1995-07-31	VYDAJ	VYBER	15	41504	SLUZBY	\N	\N
897611	3058	1995-08-31	VYDAJ	VYBER	15	43779	SLUZBY	\N	\N
897612	3058	1995-09-30	VYDAJ	VYBER	15	38596	SLUZBY	\N	\N
897613	3058	1995-10-31	VYDAJ	VYBER	15	38354	SLUZBY	\N	\N
897614	3058	1995-11-30	VYDAJ	VYBER	15	37811	SLUZBY	\N	\N
897615	3058	1995-12-31	VYDAJ	VYBER	15	43235	SLUZBY	\N	\N
897616	3058	1996-01-31	VYDAJ	VYBER	15	25070	SLUZBY	\N	\N
897617	3058	1996-02-29	VYDAJ	VYBER	15	35795	SLUZBY	\N	\N
897618	3058	1996-03-31	VYDAJ	VYBER	15	41855	SLUZBY	\N	\N
897619	3058	1996-04-30	VYDAJ	VYBER	15	40725	SLUZBY	\N	\N
897620	3058	1996-05-31	VYDAJ	VYBER	15	41795	SLUZBY	\N	\N
897621	3058	1996-06-30	VYDAJ	VYBER	15	23188	SLUZBY	\N	\N
897622	3058	1996-07-31	VYDAJ	VYBER	15	29999	SLUZBY	\N	\N
897623	3058	1996-08-31	VYDAJ	VYBER	15	30563	SLUZBY	\N	\N
897624	3058	1996-09-30	VYDAJ	VYBER	15	43821	SLUZBY	\N	\N
897625	3058	1996-10-31	VYDAJ	VYBER	15	50418	SLUZBY	\N	\N
897626	3058	1996-11-30	VYDAJ	VYBER	15	52750	SLUZBY	\N	\N
897627	3058	1996-12-31	VYDAJ	VYBER	15	64517	SLUZBY	\N	\N
897628	3058	1997-01-31	VYDAJ	VYBER	15	52350	SLUZBY	\N	\N
897629	3058	1997-02-28	VYDAJ	VYBER	15	57578	SLUZBY	\N	\N
897630	3058	1997-03-31	VYDAJ	VYBER	15	61224	SLUZBY	\N	\N
897631	3058	1997-04-30	VYDAJ	VYBER	15	57614	SLUZBY	\N	\N
897632	3058	1997-05-31	VYDAJ	VYBER	15	63566	SLUZBY	\N	\N
897633	3058	1997-06-30	VYDAJ	VYBER	15	49841	SLUZBY	\N	\N
897634	3058	1997-07-31	VYDAJ	VYBER	15	56763	SLUZBY	\N	\N
897635	3058	1997-08-31	VYDAJ	VYBER	15	63614	SLUZBY	\N	\N
897636	3058	1997-09-30	VYDAJ	VYBER	15	61872	SLUZBY	\N	\N
897637	3058	1997-10-31	VYDAJ	VYBER	15	66438	SLUZBY	\N	\N
897638	3058	1997-11-30	VYDAJ	VYBER	15	64386	SLUZBY	\N	\N
897639	3058	1997-12-31	VYDAJ	VYBER	15	70882	SLUZBY	\N	\N
897640	3058	1998-01-31	VYDAJ	VYBER	15	52611	SLUZBY	\N	\N
897641	3058	1998-02-28	VYDAJ	VYBER	15	54530	SLUZBY	\N	\N
897642	3058	1998-03-31	VYDAJ	VYBER	15	56659	SLUZBY	\N	\N
897643	3058	1998-04-30	VYDAJ	VYBER	15	54871	SLUZBY	\N	\N
897644	3058	1998-05-31	VYDAJ	VYBER	15	60008	SLUZBY	\N	\N
897645	3058	1998-06-30	VYDAJ	VYBER	15	68331	SLUZBY	\N	\N
897646	3058	1998-07-31	VYDAJ	VYBER	15	62036	SLUZBY	\N	\N
897647	3058	1998-08-31	VYDAJ	VYBER	15	60485	SLUZBY	\N	\N
897648	3058	1998-09-30	VYDAJ	VYBER	15	58828	SLUZBY	\N	\N
897649	3058	1998-10-31	VYDAJ	VYBER	15	59269	SLUZBY	\N	\N
897650	3058	1998-11-30	VYDAJ	VYBER	15	52897	SLUZBY	\N	\N
897651	3058	1994-11-22	PRIJEM	VKLAD	3800	24013	\N	\N	\N
897652	3058	1994-12-22	VYDAJ	VYBER	14900	38413	\N	\N	\N
897653	3058	1995-01-21	VYDAJ	VYBER	15500	42545	\N	\N	\N
897654	3058	1995-02-20	VYDAJ	VYBER	18200	44024	\N	\N	\N
897655	3058	1995-03-22	VYDAJ	VYBER	18600	45116	\N	\N	\N
897656	3058	1995-04-21	VYDAJ	VYBER	18200	46600	\N	\N	\N
897657	3058	1995-05-21	VYDAJ	VYBER	22000	43569	\N	\N	\N
897658	3058	1995-06-20	VYDAJ	VYBER	17300	44374	\N	\N	\N
897659	3058	1995-07-20	VYDAJ	VYBER	20700	41323	\N	\N	\N
897660	3058	1995-08-19	VYDAJ	VYBER	17400	43617	\N	\N	\N
897661	3058	1995-09-18	VYDAJ	VYBER	18500	44792	\N	\N	\N
897662	3058	1995-10-18	VYDAJ	VYBER	19900	38209	\N	\N	\N
897663	3058	1995-11-17	VYDAJ	VYBER	20200	37667	\N	\N	\N
897664	3058	1995-12-17	VYDAJ	VYBER	22400	44680	\N	\N	\N
897665	3058	1996-01-16	VYDAJ	VYBER	17300	37168	\N	\N	\N
897666	3058	1996-02-15	VYDAJ	VYBER	8900	35683	\N	\N	\N
897667	3058	1996-03-16	VYDAJ	VYBER	13600	41708	\N	\N	\N
897668	3058	1996-04-15	VYDAJ	VYBER	20800	40568	\N	\N	\N
897669	3058	1996-05-15	VYDAJ	VYBER	18600	41638	\N	\N	\N
897670	3058	1996-06-14	VYDAJ	VYBER	22500	45924	\N	\N	\N
897671	3058	1996-07-14	VYDAJ	VYBER	12800	29901	\N	\N	\N
897672	3058	1996-08-13	VYDAJ	VYBER	15100	30452	\N	\N	\N
897673	3058	1996-09-12	VYDAJ	VYBER	6400	24163	\N	\N	\N
897674	3058	1996-10-12	VYDAJ	VYBER	13100	30721	\N	\N	\N
897675	3058	1996-11-11	VYDAJ	VYBER	12100	34958	\N	\N	\N
897676	3058	1996-12-11	VYDAJ	VYBER	13900	38850	\N	\N	\N
897677	3058	1997-01-10	VYDAJ	VYBER	18700	39217	\N	\N	\N
897678	3058	1997-02-09	VYDAJ	VYBER	14500	37850	\N	\N	\N
897679	3058	1997-03-11	VYDAJ	VYBER	16100	41478	\N	\N	\N
897680	3058	1997-04-10	VYDAJ	VYBER	19400	41824	\N	\N	\N
897681	3058	1997-05-10	VYDAJ	VYBER	13800	43814	\N	\N	\N
897682	3058	1997-06-09	VYDAJ	VYBER	14900	48666	\N	\N	\N
897683	3058	1997-07-09	VYDAJ	VYBER	12800	37041	\N	\N	\N
897684	3058	1997-08-08	VYDAJ	VYBER	12900	43863	\N	\N	\N
897685	3058	1997-09-07	VYDAJ	VYBER	16100	47514	\N	\N	\N
897686	3058	1997-10-07	VYDAJ	VYBER	15200	46672	\N	\N	\N
897687	3058	1997-11-06	VYDAJ	VYBER	18100	48338	\N	\N	\N
897688	3058	1997-12-06	VYDAJ	VYBER	21900	41366	\N	\N	\N
897689	3058	1998-01-05	VYDAJ	VYBER	29000	41882	\N	\N	\N
897690	3058	1998-02-04	VYDAJ	VYBER	17800	34811	\N	\N	\N
897691	3058	1998-03-06	VYDAJ	VYBER	17600	36930	\N	\N	\N
897692	3058	1998-04-05	VYDAJ	VYBER	17200	39459	\N	\N	\N
897693	3058	1998-05-05	VYDAJ	VYBER	14600	40271	\N	\N	\N
897694	3058	1998-06-04	VYDAJ	VYBER	21200	38808	\N	\N	\N
897695	3058	1998-07-04	VYDAJ	VYBER	25100	43231	\N	\N	\N
897696	3058	1998-08-03	VYDAJ	VYBER	21300	40736	\N	\N	\N
897697	3058	1998-09-02	VYDAJ	VYBER	21400	39085	\N	\N	\N
897698	3058	1998-10-02	VYDAJ	VYBER	19300	39528	\N	\N	\N
897699	3058	1998-11-01	VYDAJ	VYBER	22500	36769	\N	\N	\N
897700	3058	1998-12-01	VYDAJ	VYBER	18000	34897	\N	\N	\N
897751	3059	1997-02-15	PRIJEM	VKLAD	700	700	\N	\N	\N
897754	3059	1997-03-06	PRIJEM	VKLAD	22645	23345	\N	\N	\N
897755	3059	1997-04-06	PRIJEM	VKLAD	22645	46137	\N	\N	\N
897756	3059	1997-05-06	PRIJEM	VKLAD	22645	61913	\N	\N	\N
897757	3059	1997-06-06	PRIJEM	VKLAD	33968	78855	\N	\N	\N
897758	3059	1997-07-06	PRIJEM	VKLAD	22645	74903	\N	\N	\N
897759	3059	1997-08-06	PRIJEM	VKLAD	22645	73037	\N	\N	\N
897760	3059	1997-09-06	PRIJEM	VKLAD	22645	73667	\N	\N	\N
897761	3059	1997-10-06	PRIJEM	VKLAD	22645	71189	\N	\N	\N
897762	3059	1997-11-06	PRIJEM	VKLAD	22645	73012	\N	\N	\N
897763	3059	1997-12-06	PRIJEM	VKLAD	33968	80056	\N	\N	\N
897764	3059	1998-01-06	PRIJEM	VKLAD	22645	73808	\N	\N	\N
897765	3059	1998-02-06	PRIJEM	VKLAD	22645	46664	\N	\N	\N
897766	3059	1998-03-06	PRIJEM	VKLAD	22645	57104	\N	\N	\N
897767	3059	1998-04-06	PRIJEM	VKLAD	22645	57968	\N	\N	\N
897768	3059	1998-05-06	PRIJEM	VKLAD	22645	65848	\N	\N	\N
897769	3059	1998-06-06	PRIJEM	VKLAD	33968	57705	\N	\N	\N
897770	3059	1998-07-06	PRIJEM	VKLAD	22645	61592	\N	\N	\N
897771	3059	1998-08-06	PRIJEM	VKLAD	22645	58751	\N	\N	\N
897772	3059	1998-09-06	PRIJEM	VKLAD	22645	62437	\N	\N	\N
897773	3059	1998-10-06	PRIJEM	VKLAD	22645	60911	\N	\N	\N
897774	3059	1998-11-06	PRIJEM	VKLAD	22645	63591	\N	\N	\N
897775	3059	1998-12-06	PRIJEM	VKLAD	33968	75699	\N	\N	\N
897782	3059	1997-07-11	VYDAJ	PREVOD NA UCET	1433	73470	SIPO	AB	37264526
897783	3059	1997-08-11	VYDAJ	PREVOD NA UCET	1433	71604	SIPO	AB	37264526
897784	3059	1997-09-11	VYDAJ	PREVOD NA UCET	1433	72234	SIPO	AB	37264526
897785	3059	1997-10-11	VYDAJ	PREVOD NA UCET	1433	69756	SIPO	AB	37264526
897786	3059	1997-11-11	VYDAJ	PREVOD NA UCET	1433	71579	SIPO	AB	37264526
897787	3059	1997-12-11	VYDAJ	PREVOD NA UCET	1433	78623	SIPO	AB	37264526
897788	3059	1998-01-11	VYDAJ	PREVOD NA UCET	1433	50375	SIPO	AB	37264526
897789	3059	1998-02-11	VYDAJ	PREVOD NA UCET	1433	36631	SIPO	AB	37264526
897790	3059	1998-03-11	VYDAJ	PREVOD NA UCET	1433	55671	SIPO	AB	37264526
897791	3059	1998-04-11	VYDAJ	PREVOD NA UCET	1433	45335	SIPO	AB	37264526
897792	3059	1998-05-11	VYDAJ	PREVOD NA UCET	1433	46815	SIPO	AB	37264526
897793	3059	1998-06-11	VYDAJ	PREVOD NA UCET	1433	41072	SIPO	AB	37264526
897794	3059	1998-07-11	VYDAJ	PREVOD NA UCET	1433	43159	SIPO	AB	37264526
897795	3059	1998-08-11	VYDAJ	PREVOD NA UCET	1433	42918	SIPO	AB	37264526
897796	3059	1998-09-11	VYDAJ	PREVOD NA UCET	1433	42004	SIPO	AB	37264526
897797	3059	1998-10-11	VYDAJ	PREVOD NA UCET	1433	43078	SIPO	AB	37264526
897798	3059	1998-11-11	VYDAJ	PREVOD NA UCET	1433	43858	SIPO	AB	37264526
897799	3059	1998-12-11	VYDAJ	PREVOD NA UCET	1433	53766	SIPO	AB	37264526
897806	3059	1997-07-14	VYDAJ	PREVOD NA UCET	1758	71183	 	IJ	42451202
897807	3059	1997-08-14	VYDAJ	PREVOD NA UCET	1758	69317	 	IJ	42451202
897808	3059	1997-09-14	VYDAJ	PREVOD NA UCET	1758	48347	 	IJ	42451202
897809	3059	1997-10-14	VYDAJ	PREVOD NA UCET	1758	50169	 	IJ	42451202
897810	3059	1997-11-14	VYDAJ	PREVOD NA UCET	1758	49392	 	IJ	42451202
897811	3059	1997-12-14	VYDAJ	PREVOD NA UCET	1758	53436	 	IJ	42451202
897812	3059	1998-01-14	VYDAJ	PREVOD NA UCET	1758	48088	 	IJ	42451202
897813	3059	1998-02-14	VYDAJ	PREVOD NA UCET	1758	34344	 	IJ	42451202
897814	3059	1998-03-14	VYDAJ	PREVOD NA UCET	1758	38884	 	IJ	42451202
897815	3059	1998-04-14	VYDAJ	PREVOD NA UCET	1758	43048	 	IJ	42451202
897816	3059	1998-05-14	VYDAJ	PREVOD NA UCET	1758	44528	 	IJ	42451202
897817	3059	1998-06-14	VYDAJ	PREVOD NA UCET	1758	38785	 	IJ	42451202
897818	3059	1998-07-14	VYDAJ	PREVOD NA UCET	1758	40872	 	IJ	42451202
897819	3059	1998-08-14	VYDAJ	PREVOD NA UCET	1758	39631	 	IJ	42451202
897820	3059	1998-09-14	VYDAJ	PREVOD NA UCET	1758	39717	 	IJ	42451202
897821	3059	1998-10-14	VYDAJ	PREVOD NA UCET	1758	40791	 	IJ	42451202
897822	3059	1998-11-14	VYDAJ	PREVOD NA UCET	1758	41571	 	IJ	42451202
897823	3059	1998-12-14	VYDAJ	PREVOD NA UCET	1758	48079	 	IJ	42451202
897830	3059	1997-07-13	VYDAJ	PREVOD NA UCET	529	72941	POJISTNE	QR	52040380
897831	3059	1997-08-13	VYDAJ	PREVOD NA UCET	529	71075	POJISTNE	QR	52040380
897832	3059	1997-09-13	VYDAJ	PREVOD NA UCET	529	50105	POJISTNE	QR	52040380
897833	3059	1997-10-13	VYDAJ	PREVOD NA UCET	529	51927	POJISTNE	QR	52040380
897834	3059	1997-11-13	VYDAJ	PREVOD NA UCET	529	51150	POJISTNE	QR	52040380
897835	3059	1997-12-13	VYDAJ	PREVOD NA UCET	529	55194	POJISTNE	QR	52040380
897836	3059	1998-01-13	VYDAJ	PREVOD NA UCET	529	49846	POJISTNE	QR	52040380
897837	3059	1998-02-13	VYDAJ	PREVOD NA UCET	529	36102	POJISTNE	QR	52040380
897838	3059	1998-03-13	VYDAJ	PREVOD NA UCET	529	40642	POJISTNE	QR	52040380
897839	3059	1998-04-13	VYDAJ	PREVOD NA UCET	529	44806	POJISTNE	QR	52040380
897840	3059	1998-05-13	VYDAJ	PREVOD NA UCET	529	46286	POJISTNE	QR	52040380
897841	3059	1998-06-13	VYDAJ	PREVOD NA UCET	529	40543	POJISTNE	QR	52040380
897842	3059	1998-07-13	VYDAJ	PREVOD NA UCET	529	42630	POJISTNE	QR	52040380
897843	3059	1998-08-13	VYDAJ	PREVOD NA UCET	529	41389	POJISTNE	QR	52040380
897844	3059	1998-09-13	VYDAJ	PREVOD NA UCET	529	41475	POJISTNE	QR	52040380
897845	3059	1998-10-13	VYDAJ	PREVOD NA UCET	529	42549	POJISTNE	QR	52040380
897846	3059	1998-11-13	VYDAJ	PREVOD NA UCET	529	43329	POJISTNE	QR	52040380
897847	3059	1998-12-13	VYDAJ	PREVOD NA UCET	529	49837	POJISTNE	QR	52040380
897849	3059	1998-06-03	VYDAJ	VYBER	20960	23737	\N	\N	\N
897851	3059	1998-01-17	VYDAJ	VYBER	15040	33048	\N	\N	\N
897852	3059	1997-12-05	VYDAJ	VYBER KARTOU	3500	46088	\N	\N	0
897853	3059	1998-12-12	VYDAJ	VYBER KARTOU	3400	50366	\N	\N	0
897860	3059	1998-01-02	VYDAJ	VYBER KARTOU	2500	51163	\N	\N	0
897861	3059	1998-01-19	VYDAJ	VYBER KARTOU	1300	31748	\N	\N	0
897862	3059	1998-01-27	VYDAJ	VYBER KARTOU	800	28048	\N	\N	0
897863	3059	1998-01-30	VYDAJ	VYBER KARTOU	3200	23848	\N	\N	0
897864	3059	1998-01-26	VYDAJ	VYBER KARTOU	2900	28848	\N	\N	0
897865	3059	1998-01-30	VYDAJ	VYBER KARTOU	1000	27048	\N	\N	0
897868	3059	1998-08-05	VYDAJ	VYBER	4920	36106	\N	\N	\N
897869	3059	1998-03-22	VYDAJ	VYBER KARTOU	3700	35184	\N	\N	0
897870	3059	1998-08-11	VYDAJ	VYBER KARTOU	1000	41918	\N	\N	0
897871	3059	1998-09-16	VYDAJ	VYBER KARTOU	1600	38117	\N	\N	0
897879	3059	1997-07-31	VYDAJ	VYBER	15	50392	SLUZBY	\N	\N
897880	3059	1997-08-31	VYDAJ	VYBER	15	51022	SLUZBY	\N	\N
897881	3059	1997-09-30	VYDAJ	VYBER	15	48544	SLUZBY	\N	\N
897882	3059	1997-10-31	VYDAJ	VYBER	15	50367	SLUZBY	\N	\N
897883	3059	1997-11-30	VYDAJ	VYBER	15	49588	SLUZBY	\N	\N
897884	3059	1997-12-31	VYDAJ	VYBER	15	53663	SLUZBY	\N	\N
897885	3059	1998-01-31	VYDAJ	VYBER	15	24019	SLUZBY	\N	\N
897886	3059	1998-02-28	VYDAJ	VYBER	15	34459	SLUZBY	\N	\N
897887	3059	1998-03-31	VYDAJ	VYBER	15	35323	SLUZBY	\N	\N
897888	3059	1998-04-30	VYDAJ	VYBER	15	43203	SLUZBY	\N	\N
897889	3059	1998-05-31	VYDAJ	VYBER	15	44697	SLUZBY	\N	\N
897890	3059	1998-06-30	VYDAJ	VYBER	15	38947	SLUZBY	\N	\N
897891	3059	1998-07-31	VYDAJ	VYBER	15	41026	SLUZBY	\N	\N
897892	3059	1998-08-31	VYDAJ	VYBER	15	39792	SLUZBY	\N	\N
897893	3059	1998-09-30	VYDAJ	VYBER	15	38266	SLUZBY	\N	\N
897894	3059	1998-10-31	VYDAJ	VYBER	15	40946	SLUZBY	\N	\N
897895	3059	1998-11-30	VYDAJ	VYBER	15	41731	SLUZBY	\N	\N
897896	3059	1997-03-17	PRIJEM	VKLAD	100	23445	\N	\N	\N
897897	3059	1997-04-16	VYDAJ	VYBER	7000	39137	\N	\N	\N
897898	3059	1997-05-16	VYDAJ	VYBER	17200	44713	\N	\N	\N
897899	3059	1997-06-15	VYDAJ	VYBER	26800	52055	\N	\N	\N
897900	3059	1997-07-15	VYDAJ	VYBER	21000	50183	\N	\N	\N
897901	3059	1997-08-14	VYDAJ	VYBER	18500	50817	\N	\N	\N
897902	3059	1997-09-13	VYDAJ	VYBER	21600	50634	\N	\N	\N
897903	3059	1997-10-13	VYDAJ	VYBER	17300	52456	\N	\N	\N
897904	3059	1997-11-12	VYDAJ	VYBER	19900	51679	\N	\N	\N
897905	3059	1997-12-12	VYDAJ	VYBER	22900	55723	\N	\N	\N
897906	3059	1998-01-11	VYDAJ	VYBER	22000	51808	\N	\N	\N
897907	3059	1998-02-10	VYDAJ	VYBER	8600	38064	\N	\N	\N
897908	3059	1998-03-12	VYDAJ	VYBER	14500	41171	\N	\N	\N
897909	3059	1998-04-11	VYDAJ	VYBER	11200	46768	\N	\N	\N
897910	3059	1998-05-11	VYDAJ	VYBER	17600	48248	\N	\N	\N
897911	3059	1998-06-10	VYDAJ	VYBER	15200	42505	\N	\N	\N
897912	3059	1998-07-10	VYDAJ	VYBER	17000	44592	\N	\N	\N
897913	3059	1998-08-09	VYDAJ	VYBER	14400	44351	\N	\N	\N
897914	3059	1998-09-08	VYDAJ	VYBER	19000	43437	\N	\N	\N
897915	3059	1998-10-08	VYDAJ	VYBER	16400	44511	\N	\N	\N
897916	3059	1998-11-07	VYDAJ	VYBER	18300	45291	\N	\N	\N
897917	3059	1998-12-07	VYDAJ	VYBER	20500	55199	\N	\N	\N
897940	3060	1997-06-09	PRIJEM	VKLAD	400	400	\N	\N	\N
897946	3060	1997-06-14	PRIJEM	VKLAD	29126	29526	\N	\N	\N
897947	3060	1997-07-14	PRIJEM	VKLAD	19417	42812	\N	\N	\N
897948	3060	1997-08-14	PRIJEM	VKLAD	19417	51184	\N	\N	\N
897949	3060	1997-09-14	PRIJEM	VKLAD	19417	55500	\N	\N	\N
897950	3060	1997-10-14	PRIJEM	VKLAD	19417	59140	\N	\N	\N
897951	3060	1997-11-14	PRIJEM	VKLAD	19417	55597	\N	\N	\N
897952	3060	1997-12-14	PRIJEM	VKLAD	29126	62168	\N	\N	\N
897953	3060	1998-01-14	PRIJEM	VKLAD	19417	58236	\N	\N	\N
897954	3060	1998-02-14	PRIJEM	VKLAD	19417	45920	\N	\N	\N
897955	3060	1998-03-14	PRIJEM	VKLAD	19417	48246	\N	\N	\N
897956	3060	1998-04-14	PRIJEM	VKLAD	19417	44086	\N	\N	\N
897957	3060	1998-05-14	PRIJEM	VKLAD	19417	45702	\N	\N	\N
897958	3060	1998-06-14	PRIJEM	VKLAD	29126	52131	\N	\N	\N
897959	3060	1998-07-14	PRIJEM	VKLAD	19417	42966	\N	\N	\N
897960	3060	1998-08-14	PRIJEM	VKLAD	19417	42488	\N	\N	\N
897961	3060	1998-09-14	PRIJEM	VKLAD	19417	44398	\N	\N	\N
897962	3060	1998-10-14	PRIJEM	VKLAD	19417	41412	\N	\N	\N
897963	3060	1998-11-14	PRIJEM	VKLAD	19417	43520	\N	\N	\N
897964	3060	1998-12-14	PRIJEM	VKLAD	29126	43798	\N	\N	\N
897975	3060	1997-11-10	VYDAJ	PREVOD NA UCET	3960	36180	SIPO	IJ	55676627
897976	3060	1997-12-10	VYDAJ	PREVOD NA UCET	3960	33043	SIPO	IJ	55676627
897977	3060	1998-01-10	VYDAJ	PREVOD NA UCET	3960	38819	SIPO	IJ	55676627
897978	3060	1998-02-10	VYDAJ	PREVOD NA UCET	3960	26503	SIPO	IJ	55676627
897979	3060	1998-03-10	VYDAJ	PREVOD NA UCET	3960	28829	SIPO	IJ	55676627
897980	3060	1998-04-10	VYDAJ	PREVOD NA UCET	3960	24669	SIPO	IJ	55676627
897981	3060	1998-05-10	VYDAJ	PREVOD NA UCET	3960	26285	SIPO	IJ	55676627
897982	3060	1998-06-10	VYDAJ	PREVOD NA UCET	3960	23005	SIPO	IJ	55676627
897983	3060	1998-07-10	VYDAJ	PREVOD NA UCET	3960	23549	SIPO	IJ	55676627
897984	3060	1998-08-10	VYDAJ	PREVOD NA UCET	3960	23071	SIPO	IJ	55676627
897985	3060	1998-09-10	VYDAJ	PREVOD NA UCET	3960	24981	SIPO	IJ	55676627
897986	3060	1998-10-10	VYDAJ	PREVOD NA UCET	3960	21995	SIPO	IJ	55676627
897987	3060	1998-11-10	VYDAJ	PREVOD NA UCET	3960	24103	SIPO	IJ	55676627
897988	3060	1998-12-10	VYDAJ	PREVOD NA UCET	3960	14673	SIPO	IJ	55676627
897992	3060	1998-01-21	VYDAJ	VYBER	10080	48156	\N	\N	\N
897993	3060	1997-12-05	VYDAJ	VYBER	4640	50203	\N	\N	\N
897994	3060	1998-12-05	VYDAJ	VYBER	1600	18633	\N	\N	\N
897995	3060	1997-11-24	VYDAJ	VYBER	960	54637	\N	\N	\N
897997	3060	1997-10-17	VYDAJ	VYBER	3120	56020	\N	\N	\N
897998	3060	1998-03-14	VYDAJ	VYBER	4080	44166	\N	\N	\N
897999	3060	1998-12-04	VYDAJ	VYBER	5040	20233	\N	\N	\N
898000	3060	1998-12-18	VYDAJ	VYBER	840	42958	\N	\N	\N
898011	3060	1997-10-31	VYDAJ	VYBER	15	56240	SLUZBY	\N	\N
898012	3060	1997-11-30	VYDAJ	VYBER	15	54843	SLUZBY	\N	\N
898013	3060	1997-12-31	VYDAJ	VYBER	15	62379	SLUZBY	\N	\N
898014	3060	1998-01-31	VYDAJ	VYBER	15	48363	SLUZBY	\N	\N
898015	3060	1998-02-28	VYDAJ	VYBER	15	46089	SLUZBY	\N	\N
898016	3060	1998-03-31	VYDAJ	VYBER	15	44329	SLUZBY	\N	\N
898017	3060	1998-04-30	VYDAJ	VYBER	15	44245	SLUZBY	\N	\N
898018	3060	1998-05-31	VYDAJ	VYBER	15	45865	SLUZBY	\N	\N
898019	3060	1998-06-30	VYDAJ	VYBER	15	52309	SLUZBY	\N	\N
898020	3060	1998-07-31	VYDAJ	VYBER	15	43131	SLUZBY	\N	\N
898021	3060	1998-08-31	VYDAJ	VYBER	15	42641	SLUZBY	\N	\N
898022	3060	1998-09-30	VYDAJ	VYBER	15	44555	SLUZBY	\N	\N
898023	3060	1998-10-31	VYDAJ	VYBER	15	41563	SLUZBY	\N	\N
898024	3060	1998-11-30	VYDAJ	VYBER	15	43673	SLUZBY	\N	\N
898025	3060	1997-07-09	VYDAJ	VYBER	6200	23395	\N	\N	\N
898026	3060	1997-08-08	VYDAJ	VYBER	11200	31767	\N	\N	\N
898027	3060	1997-09-07	VYDAJ	VYBER	15300	36083	\N	\N	\N
898028	3060	1997-10-07	VYDAJ	VYBER	16000	39723	\N	\N	\N
898029	3060	1997-11-06	VYDAJ	VYBER	16100	40140	\N	\N	\N
898030	3060	1997-12-06	VYDAJ	VYBER	13200	37003	\N	\N	\N
898031	3060	1998-01-05	VYDAJ	VYBER	19600	42779	\N	\N	\N
898032	3060	1998-02-04	VYDAJ	VYBER	17900	30463	\N	\N	\N
898033	3060	1998-03-06	VYDAJ	VYBER	13300	32789	\N	\N	\N
898034	3060	1998-04-05	VYDAJ	VYBER	15700	28629	\N	\N	\N
898035	3060	1998-05-05	VYDAJ	VYBER	14000	30245	\N	\N	\N
898036	3060	1998-06-04	VYDAJ	VYBER	18900	26965	\N	\N	\N
898037	3060	1998-07-04	VYDAJ	VYBER	24800	27509	\N	\N	\N
898038	3060	1998-08-03	VYDAJ	VYBER	16100	27031	\N	\N	\N
898039	3060	1998-09-02	VYDAJ	VYBER	13700	28941	\N	\N	\N
898040	3060	1998-10-02	VYDAJ	VYBER	18600	25955	\N	\N	\N
898041	3060	1998-11-01	VYDAJ	VYBER	13500	28063	\N	\N	\N
898042	3060	1998-12-01	VYDAJ	VYBER	18400	25273	\N	\N	\N
898062	3061	1995-11-08	PRIJEM	VKLAD	300	300	\N	\N	\N
898073	3061	1995-11-10	PRIJEM	PREVOD Z UCTU	2967	3267	\N	KL	32453257
898074	3061	1995-12-10	PRIJEM	PREVOD Z UCTU	2967	6244	\N	KL	32453257
898075	3061	1996-01-10	PRIJEM	PREVOD Z UCTU	2967	9224	\N	KL	32453257
898076	3061	1996-02-10	PRIJEM	PREVOD Z UCTU	2967	12205	\N	KL	32453257
898077	3061	1996-03-10	PRIJEM	PREVOD Z UCTU	2967	15185	\N	KL	32453257
898078	3061	1996-04-10	PRIJEM	PREVOD Z UCTU	2967	16208	\N	KL	32453257
898079	3061	1996-05-10	PRIJEM	PREVOD Z UCTU	2967	16220	\N	KL	32453257
898080	3061	1996-06-10	PRIJEM	PREVOD Z UCTU	2967	17252	\N	KL	32453257
898081	3061	1996-07-10	PRIJEM	PREVOD Z UCTU	2967	18289	\N	KL	32453257
898082	3061	1996-08-10	PRIJEM	PREVOD Z UCTU	2967	19330	\N	KL	32453257
898083	3061	1996-09-10	PRIJEM	PREVOD Z UCTU	2967	20376	\N	KL	32453257
898084	3061	1996-10-10	PRIJEM	PREVOD Z UCTU	2967	21425	\N	KL	32453257
898085	3061	1996-11-10	PRIJEM	PREVOD Z UCTU	2967	21457	\N	KL	32453257
898086	3061	1996-12-10	PRIJEM	PREVOD Z UCTU	2967	21042	\N	KL	32453257
898087	3061	1997-01-10	PRIJEM	PREVOD Z UCTU	2967	21705	\N	KL	32453257
898088	3061	1997-02-10	PRIJEM	PREVOD Z UCTU	2967	18766	\N	KL	32453257
898089	3061	1997-03-10	PRIJEM	PREVOD Z UCTU	2967	18342	\N	KL	32453257
898090	3061	1997-04-10	PRIJEM	PREVOD Z UCTU	2967	18752	\N	KL	32453257
898091	3061	1997-05-10	PRIJEM	PREVOD Z UCTU	2967	18625	\N	KL	32453257
898092	3061	1997-06-10	PRIJEM	PREVOD Z UCTU	2967	19675	\N	KL	32453257
898093	3061	1997-07-10	PRIJEM	PREVOD Z UCTU	2967	20727	\N	KL	32453257
898094	3061	1997-08-10	PRIJEM	PREVOD Z UCTU	2967	21778	\N	KL	32453257
898095	3061	1997-09-10	PRIJEM	PREVOD Z UCTU	2967	22839	\N	KL	32453257
898096	3061	1997-10-10	PRIJEM	PREVOD Z UCTU	2967	23899	\N	KL	32453257
898097	3061	1997-11-10	PRIJEM	PREVOD Z UCTU	2967	24488	\N	KL	32453257
898098	3061	1997-12-10	PRIJEM	PREVOD Z UCTU	2967	24954	\N	KL	32453257
898099	3061	1998-01-10	PRIJEM	PREVOD Z UCTU	2967	23894	\N	KL	32453257
898100	3061	1998-02-10	PRIJEM	PREVOD Z UCTU	2967	24126	\N	KL	32453257
898101	3061	1998-03-10	PRIJEM	PREVOD Z UCTU	2967	25191	\N	KL	32453257
898102	3061	1998-04-10	PRIJEM	PREVOD Z UCTU	2967	23983	\N	KL	32453257
898103	3061	1998-05-10	PRIJEM	PREVOD Z UCTU	2967	25049	\N	KL	32453257
898104	3061	1998-06-10	PRIJEM	PREVOD Z UCTU	2967	26124	\N	KL	32453257
898105	3061	1998-07-10	PRIJEM	PREVOD Z UCTU	2967	25454	\N	KL	32453257
898106	3061	1998-08-10	PRIJEM	PREVOD Z UCTU	2967	26228	\N	KL	32453257
898107	3061	1998-09-10	PRIJEM	PREVOD Z UCTU	2967	26464	\N	KL	32453257
898108	3061	1998-10-10	PRIJEM	PREVOD Z UCTU	2967	26138	\N	KL	32453257
898109	3061	1998-11-10	PRIJEM	PREVOD Z UCTU	2967	23109	\N	KL	32453257
898110	3061	1998-12-10	PRIJEM	PREVOD Z UCTU	2967	23149	\N	KL	32453257
898125	3061	1996-03-10	VYDAJ	PREVOD NA UCET	1978	13207	\N	WX	62345623
898126	3061	1996-04-10	VYDAJ	PREVOD NA UCET	1978	14230	\N	WX	62345623
898127	3061	1996-05-10	VYDAJ	PREVOD NA UCET	1978	14242	\N	WX	62345623
898128	3061	1996-06-10	VYDAJ	PREVOD NA UCET	1978	15274	\N	WX	62345623
898129	3061	1996-07-10	VYDAJ	PREVOD NA UCET	1978	16311	\N	WX	62345623
898130	3061	1996-08-10	VYDAJ	PREVOD NA UCET	1978	17352	\N	WX	62345623
898131	3061	1996-09-10	VYDAJ	PREVOD NA UCET	1978	18398	\N	WX	62345623
898132	3061	1996-10-10	VYDAJ	PREVOD NA UCET	1978	19447	\N	WX	62345623
898133	3061	1996-11-10	VYDAJ	PREVOD NA UCET	1978	19479	\N	WX	62345623
898134	3061	1996-12-10	VYDAJ	PREVOD NA UCET	1978	19064	\N	WX	62345623
898135	3061	1997-01-10	VYDAJ	PREVOD NA UCET	1978	19727	\N	WX	62345623
898136	3061	1997-02-10	VYDAJ	PREVOD NA UCET	1978	16788	\N	WX	62345623
898137	3061	1997-03-10	VYDAJ	PREVOD NA UCET	1978	16364	\N	WX	62345623
898138	3061	1997-04-10	VYDAJ	PREVOD NA UCET	1978	16774	\N	WX	62345623
898139	3061	1997-05-10	VYDAJ	PREVOD NA UCET	1978	16647	\N	WX	62345623
898140	3061	1997-06-10	VYDAJ	PREVOD NA UCET	1978	17697	\N	WX	62345623
898141	3061	1997-07-10	VYDAJ	PREVOD NA UCET	1978	18749	\N	WX	62345623
898142	3061	1997-08-10	VYDAJ	PREVOD NA UCET	1978	19800	\N	WX	62345623
898143	3061	1997-09-10	VYDAJ	PREVOD NA UCET	1978	20861	\N	WX	62345623
898144	3061	1997-10-10	VYDAJ	PREVOD NA UCET	1978	21921	\N	WX	62345623
898145	3061	1997-11-10	VYDAJ	PREVOD NA UCET	1978	22510	\N	WX	62345623
898146	3061	1997-12-10	VYDAJ	PREVOD NA UCET	1978	22976	\N	WX	62345623
898147	3061	1998-01-10	VYDAJ	PREVOD NA UCET	1978	21916	\N	WX	62345623
898148	3061	1998-02-10	VYDAJ	PREVOD NA UCET	1978	22148	\N	WX	62345623
898149	3061	1998-03-10	VYDAJ	PREVOD NA UCET	1978	23213	\N	WX	62345623
898150	3061	1998-04-10	VYDAJ	PREVOD NA UCET	1978	22005	\N	WX	62345623
898151	3061	1998-05-10	VYDAJ	PREVOD NA UCET	1978	23071	\N	WX	62345623
898152	3061	1998-06-10	VYDAJ	PREVOD NA UCET	1978	24146	\N	WX	62345623
898153	3061	1998-07-10	VYDAJ	PREVOD NA UCET	1978	23476	\N	WX	62345623
898154	3061	1998-08-10	VYDAJ	PREVOD NA UCET	1978	24250	\N	WX	62345623
898155	3061	1998-09-10	VYDAJ	PREVOD NA UCET	1978	24486	\N	WX	62345623
898156	3061	1998-10-10	VYDAJ	PREVOD NA UCET	1978	24160	\N	WX	62345623
898157	3061	1998-11-10	VYDAJ	PREVOD NA UCET	1978	21131	\N	WX	62345623
898158	3061	1998-12-10	VYDAJ	PREVOD NA UCET	1978	21171	\N	WX	62345623
898162	3061	1998-06-19	VYDAJ	VYBER	1740	22406	\N	\N	\N
898165	3061	1997-01-20	VYDAJ	VYBER	1980	17747	\N	\N	\N
898166	3061	1998-01-04	VYDAJ	VYBER	2130	20927	\N	\N	\N
898168	3061	1996-12-13	VYDAJ	VYBER	390	18674	\N	\N	\N
898169	3061	1997-12-09	VYDAJ	VYBER	600	21987	\N	\N	\N
898170	3061	1998-12-08	VYDAJ	VYBER	390	20182	\N	\N	\N
898173	3061	1996-10-15	VYDAJ	VYBER	1020	18427	\N	\N	\N
898176	3061	1996-12-08	VYDAJ	VYBER	1470	18075	\N	\N	\N
898179	3061	1996-04-14	VYDAJ	VYBER	1020	13210	\N	\N	\N
898180	3061	1997-01-24	VYDAJ	VYBER	1110	16637	\N	\N	\N
898181	3061	1997-03-20	VYDAJ	VYBER	630	15734	\N	\N	\N
898182	3061	1997-10-26	VYDAJ	VYBER	480	21441	\N	\N	\N
898183	3061	1997-02-07	VYDAJ	VYBER	900	15799	\N	\N	\N
898184	3061	1997-02-20	VYDAJ	VYBER	1470	15318	\N	\N	\N
898185	3061	1997-04-30	VYDAJ	VYBER	1170	15658	\N	\N	\N
898186	3061	1998-07-25	VYDAJ	VYBER	300	23176	\N	\N	\N
898187	3061	1998-08-22	VYDAJ	VYBER	840	23410	\N	\N	\N
898188	3061	1998-11-13	VYDAJ	VYBER	630	20501	\N	\N	\N
898189	3061	1998-03-31	VYDAJ	VYBER	870	21016	\N	\N	\N
898190	3061	1998-01-29	VYDAJ	VYBER	840	21076	\N	\N	\N
898191	3061	1998-03-26	VYDAJ	VYBER	1410	21803	\N	\N	\N
898207	3061	1996-03-31	VYDAJ	VYBER	15	13241	SLUZBY	\N	\N
898208	3061	1996-04-30	VYDAJ	VYBER	15	13253	SLUZBY	\N	\N
898209	3061	1996-05-31	VYDAJ	VYBER	15	14285	SLUZBY	\N	\N
898210	3061	1996-06-30	VYDAJ	VYBER	15	15322	SLUZBY	\N	\N
898211	3061	1996-07-31	VYDAJ	VYBER	15	16363	SLUZBY	\N	\N
898212	3061	1996-08-31	VYDAJ	VYBER	15	17409	SLUZBY	\N	\N
898213	3061	1996-09-30	VYDAJ	VYBER	15	18458	SLUZBY	\N	\N
898214	3061	1996-10-31	VYDAJ	VYBER	15	18490	SLUZBY	\N	\N
898215	3061	1996-11-30	VYDAJ	VYBER	15	19545	SLUZBY	\N	\N
898216	3061	1996-12-31	VYDAJ	VYBER	15	18738	SLUZBY	\N	\N
898217	3061	1997-01-31	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
898218	3061	1997-02-28	VYDAJ	VYBER	15	15375	SLUZBY	\N	\N
898219	3061	1997-03-31	VYDAJ	VYBER	15	15785	SLUZBY	\N	\N
898220	3061	1997-04-30	VYDAJ	VYBER	15	16828	SLUZBY	\N	\N
898221	3061	1997-05-31	VYDAJ	VYBER	15	16708	SLUZBY	\N	\N
898222	3061	1997-06-30	VYDAJ	VYBER	15	17760	SLUZBY	\N	\N
898223	3061	1997-07-31	VYDAJ	VYBER	15	18811	SLUZBY	\N	\N
898224	3061	1997-08-31	VYDAJ	VYBER	15	19872	SLUZBY	\N	\N
898225	3061	1997-09-30	VYDAJ	VYBER	15	20932	SLUZBY	\N	\N
898226	3061	1997-10-31	VYDAJ	VYBER	15	21521	SLUZBY	\N	\N
898227	3061	1997-11-30	VYDAJ	VYBER	15	22587	SLUZBY	\N	\N
898228	3061	1997-12-31	VYDAJ	VYBER	15	23057	SLUZBY	\N	\N
898229	3061	1998-01-31	VYDAJ	VYBER	15	21159	SLUZBY	\N	\N
898230	3061	1998-02-28	VYDAJ	VYBER	15	22224	SLUZBY	\N	\N
898231	3061	1998-03-31	VYDAJ	VYBER	15	21886	SLUZBY	\N	\N
898232	3061	1998-04-30	VYDAJ	VYBER	15	22082	SLUZBY	\N	\N
898233	3061	1998-05-31	VYDAJ	VYBER	15	23157	SLUZBY	\N	\N
898234	3061	1998-06-30	VYDAJ	VYBER	15	22487	SLUZBY	\N	\N
898235	3061	1998-07-31	VYDAJ	VYBER	15	23261	SLUZBY	\N	\N
898236	3061	1998-08-31	VYDAJ	VYBER	15	23497	SLUZBY	\N	\N
898237	3061	1998-09-30	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
898238	3061	1998-10-31	VYDAJ	VYBER	15	20142	SLUZBY	\N	\N
898239	3061	1998-11-30	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
898240	3061	1998-09-23	VYDAJ	VYBER	1400	23086	\N	\N	\N
898241	3061	1998-10-23	VYDAJ	VYBER	4100	20060	\N	\N	\N
898280	3062	1997-08-15	PRIJEM	VKLAD	400	400	\N	\N	\N
898289	3062	1997-09-10	PRIJEM	PREVOD Z UCTU	4467	4867	DUCHOD	KL	61367374
898290	3062	1997-10-10	PRIJEM	PREVOD Z UCTU	4467	9334	DUCHOD	KL	61367374
898291	3062	1997-11-10	PRIJEM	PREVOD Z UCTU	4467	13801	DUCHOD	KL	61367374
898292	3062	1997-12-10	PRIJEM	PREVOD Z UCTU	4467	18268	DUCHOD	KL	61367374
898293	3062	1998-01-10	PRIJEM	PREVOD Z UCTU	4467	22735	DUCHOD	KL	61367374
898294	3062	1998-02-10	PRIJEM	PREVOD Z UCTU	4467	22003	DUCHOD	KL	61367374
898295	3062	1998-03-10	PRIJEM	PREVOD Z UCTU	4467	23907	DUCHOD	KL	61367374
898296	3062	1998-04-10	PRIJEM	PREVOD Z UCTU	4467	24858	DUCHOD	KL	61367374
898297	3062	1998-05-10	PRIJEM	PREVOD Z UCTU	4467	26774	DUCHOD	KL	61367374
898298	3062	1998-06-10	PRIJEM	PREVOD Z UCTU	4467	28697	DUCHOD	KL	61367374
898299	3062	1998-07-10	PRIJEM	PREVOD Z UCTU	4467	14953	DUCHOD	KL	61367374
898300	3062	1998-08-10	PRIJEM	PREVOD Z UCTU	4467	16828	DUCHOD	KL	61367374
898301	3062	1998-09-10	PRIJEM	PREVOD Z UCTU	4467	15670	DUCHOD	KL	61367374
898302	3062	1998-10-10	PRIJEM	PREVOD Z UCTU	4467	17549	DUCHOD	KL	61367374
898303	3062	1998-11-10	PRIJEM	PREVOD Z UCTU	4467	19435	DUCHOD	KL	61367374
898304	3062	1998-12-10	PRIJEM	PREVOD Z UCTU	4467	21328	DUCHOD	KL	61367374
898318	3062	1998-02-08	VYDAJ	PREVOD NA UCET	2638	17536	SIPO	AB	21810698
898319	3062	1998-03-08	VYDAJ	PREVOD NA UCET	2638	19440	SIPO	AB	21810698
898320	3062	1998-04-08	VYDAJ	PREVOD NA UCET	2638	20391	SIPO	AB	21810698
898321	3062	1998-05-08	VYDAJ	PREVOD NA UCET	2638	22307	SIPO	AB	21810698
898322	3062	1998-06-08	VYDAJ	PREVOD NA UCET	2638	24230	SIPO	AB	21810698
898323	3062	1998-07-08	VYDAJ	PREVOD NA UCET	2638	10486	SIPO	AB	21810698
898324	3062	1998-08-08	VYDAJ	PREVOD NA UCET	2638	12361	SIPO	AB	21810698
898325	3062	1998-09-08	VYDAJ	PREVOD NA UCET	2638	11203	SIPO	AB	21810698
898326	3062	1998-10-08	VYDAJ	PREVOD NA UCET	2638	13082	SIPO	AB	21810698
898327	3062	1998-11-08	VYDAJ	PREVOD NA UCET	2638	14968	SIPO	AB	21810698
898328	3062	1998-12-08	VYDAJ	PREVOD NA UCET	2638	16861	SIPO	AB	21810698
898330	3062	1998-06-29	VYDAJ	VYBER	14950	13027	\N	\N	\N
898332	3062	1998-12-13	VYDAJ	VYBER	850	20478	\N	\N	\N
898338	3062	1998-03-29	VYDAJ	VYBER	960	22947	\N	\N	\N
898339	3062	1998-06-12	VYDAJ	VYBER	720	27977	\N	\N	\N
898340	3062	1998-01-27	VYDAJ	VYBER	2560	20175	\N	\N	\N
898341	3062	1998-09-05	VYDAJ	VYBER	3040	13841	\N	\N	\N
898355	3062	1998-01-31	VYDAJ	VYBER	15	20174	SLUZBY	\N	\N
898356	3062	1998-02-28	VYDAJ	VYBER	15	22078	SLUZBY	\N	\N
898357	3062	1998-03-31	VYDAJ	VYBER	15	23029	SLUZBY	\N	\N
898358	3062	1998-04-30	VYDAJ	VYBER	15	24945	SLUZBY	\N	\N
898359	3062	1998-05-31	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
898360	3062	1998-06-30	VYDAJ	VYBER	15	13124	SLUZBY	\N	\N
898361	3062	1998-07-31	VYDAJ	VYBER	15	14999	SLUZBY	\N	\N
898362	3062	1998-08-31	VYDAJ	VYBER	15	16881	SLUZBY	\N	\N
898363	3062	1998-09-30	VYDAJ	VYBER	15	15720	SLUZBY	\N	\N
898364	3062	1998-10-31	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
898365	3062	1998-11-30	VYDAJ	VYBER	15	19499	SLUZBY	\N	\N
898378	3063	1993-05-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
898384	3063	1993-06-06	PRIJEM	PREVOD Z UCTU	3495	4595	\N	MN	8035934
898385	3063	1993-07-06	PRIJEM	PREVOD Z UCTU	3495	8090	\N	MN	8035934
898386	3063	1993-08-06	PRIJEM	PREVOD Z UCTU	3495	11585	\N	MN	8035934
898387	3063	1993-09-06	PRIJEM	PREVOD Z UCTU	3495	15080	\N	MN	8035934
898388	3063	1993-10-06	PRIJEM	PREVOD Z UCTU	3495	18575	\N	MN	8035934
898550	3063	1996-01-14	VYDAJ	VYBER	150	31463	\N	\N	\N
898389	3063	1993-11-06	PRIJEM	PREVOD Z UCTU	3495	19780	\N	MN	8035934
898390	3063	1993-12-06	PRIJEM	PREVOD Z UCTU	3495	20732	\N	MN	8035934
898391	3063	1994-01-06	PRIJEM	PREVOD Z UCTU	3495	21025	\N	MN	8035934
898392	3063	1994-02-06	PRIJEM	PREVOD Z UCTU	3495	18860	\N	MN	8035934
898393	3063	1994-03-06	PRIJEM	PREVOD Z UCTU	3495	20078	\N	MN	8035934
898394	3063	1994-04-06	PRIJEM	PREVOD Z UCTU	3495	20761	\N	MN	8035934
898395	3063	1994-05-06	PRIJEM	PREVOD Z UCTU	3495	21987	\N	MN	8035934
898396	3063	1994-06-06	PRIJEM	PREVOD Z UCTU	3495	22858	\N	MN	8035934
898397	3063	1994-07-06	PRIJEM	PREVOD Z UCTU	3495	24093	\N	MN	8035934
898398	3063	1994-08-06	PRIJEM	PREVOD Z UCTU	3495	25333	\N	MN	8035934
898399	3063	1994-09-06	PRIJEM	PREVOD Z UCTU	3495	26128	\N	MN	8035934
898400	3063	1994-10-06	PRIJEM	PREVOD Z UCTU	3495	27378	\N	MN	8035934
898401	3063	1994-11-06	PRIJEM	PREVOD Z UCTU	3495	28631	\N	MN	8035934
898402	3063	1994-12-06	PRIJEM	PREVOD Z UCTU	3495	29890	\N	MN	8035934
898403	3063	1995-01-06	PRIJEM	PREVOD Z UCTU	3495	28511	\N	MN	8035934
898404	3063	1995-02-06	PRIJEM	PREVOD Z UCTU	3495	26104	\N	MN	8035934
898405	3063	1995-03-06	PRIJEM	PREVOD Z UCTU	3495	26122	\N	MN	8035934
898406	3063	1995-04-06	PRIJEM	PREVOD Z UCTU	3495	27370	\N	MN	8035934
898407	3063	1995-05-06	PRIJEM	PREVOD Z UCTU	3495	28624	\N	MN	8035934
898408	3063	1995-06-06	PRIJEM	PREVOD Z UCTU	3495	29883	\N	MN	8035934
898409	3063	1995-07-06	PRIJEM	PREVOD Z UCTU	3495	30366	\N	MN	8035934
898410	3063	1995-08-06	PRIJEM	PREVOD Z UCTU	3495	31633	\N	MN	8035934
898411	3063	1995-09-06	PRIJEM	PREVOD Z UCTU	3495	32334	\N	MN	8035934
898412	3063	1995-10-06	PRIJEM	PREVOD Z UCTU	3495	33157	\N	MN	8035934
898413	3063	1995-11-06	PRIJEM	PREVOD Z UCTU	3495	34435	\N	MN	8035934
898414	3063	1995-12-06	PRIJEM	PREVOD Z UCTU	3495	34907	\N	MN	8035934
898415	3063	1996-01-06	PRIJEM	PREVOD Z UCTU	3495	35743	\N	MN	8035934
898416	3063	1996-02-06	PRIJEM	PREVOD Z UCTU	3495	31623	\N	MN	8035934
898417	3063	1996-03-06	PRIJEM	PREVOD Z UCTU	3495	32894	\N	MN	8035934
898418	3063	1996-04-06	PRIJEM	PREVOD Z UCTU	3495	34170	\N	MN	8035934
898419	3063	1996-05-06	PRIJEM	PREVOD Z UCTU	3495	35451	\N	MN	8035934
898420	3063	1996-06-06	PRIJEM	PREVOD Z UCTU	3495	36738	\N	MN	8035934
898421	3063	1996-07-06	PRIJEM	PREVOD Z UCTU	3495	36667	\N	MN	8035934
898422	3063	1996-08-06	PRIJEM	PREVOD Z UCTU	3495	36655	\N	MN	8035934
898423	3063	1996-09-06	PRIJEM	PREVOD Z UCTU	3495	37947	\N	MN	8035934
898424	3063	1996-10-06	PRIJEM	PREVOD Z UCTU	3495	35514	\N	MN	8035934
898425	3063	1996-11-06	PRIJEM	PREVOD Z UCTU	3495	35628	\N	MN	8035934
898426	3063	1996-12-06	PRIJEM	PREVOD Z UCTU	3495	36164	\N	MN	8035934
898427	3063	1997-01-06	PRIJEM	PREVOD Z UCTU	3495	36673	\N	MN	8035934
898428	3063	1997-02-06	PRIJEM	PREVOD Z UCTU	3495	34087	\N	MN	8035934
898429	3063	1997-03-06	PRIJEM	PREVOD Z UCTU	3495	35367	\N	MN	8035934
898430	3063	1997-04-06	PRIJEM	PREVOD Z UCTU	3495	35482	\N	MN	8035934
898431	3063	1997-05-06	PRIJEM	PREVOD Z UCTU	3495	35657	\N	MN	8035934
898432	3063	1997-06-06	PRIJEM	PREVOD Z UCTU	3495	35622	\N	MN	8035934
898433	3063	1997-07-06	PRIJEM	PREVOD Z UCTU	3495	35918	\N	MN	8035934
898434	3063	1997-08-06	PRIJEM	PREVOD Z UCTU	3495	35764	\N	MN	8035934
898435	3063	1997-09-06	PRIJEM	PREVOD Z UCTU	3495	36853	\N	MN	8035934
898436	3063	1997-10-06	PRIJEM	PREVOD Z UCTU	3495	38145	\N	MN	8035934
898437	3063	1997-11-06	PRIJEM	PREVOD Z UCTU	3495	39441	\N	MN	8035934
898438	3063	1997-12-06	PRIJEM	PREVOD Z UCTU	3495	40112	\N	MN	8035934
898439	3063	1998-01-06	PRIJEM	PREVOD Z UCTU	3495	40544	\N	MN	8035934
898440	3063	1998-02-06	PRIJEM	PREVOD Z UCTU	3495	39448	\N	MN	8035934
898441	3063	1998-03-06	PRIJEM	PREVOD Z UCTU	3495	40750	\N	MN	8035934
898442	3063	1998-04-06	PRIJEM	PREVOD Z UCTU	3495	42057	\N	MN	8035934
898443	3063	1998-05-06	PRIJEM	PREVOD Z UCTU	3495	43219	\N	MN	8035934
898444	3063	1998-06-06	PRIJEM	PREVOD Z UCTU	3495	43454	\N	MN	8035934
898445	3063	1998-07-06	PRIJEM	PREVOD Z UCTU	3495	44772	\N	MN	8035934
898446	3063	1998-08-06	PRIJEM	PREVOD Z UCTU	3495	45855	\N	MN	8035934
898447	3063	1998-09-06	PRIJEM	PREVOD Z UCTU	3495	47183	\N	MN	8035934
898448	3063	1998-10-06	PRIJEM	PREVOD Z UCTU	3495	46015	\N	MN	8035934
898449	3063	1998-11-06	PRIJEM	PREVOD Z UCTU	3495	44962	\N	MN	8035934
898450	3063	1998-12-06	PRIJEM	PREVOD Z UCTU	3495	45236	\N	MN	8035934
898460	3063	1993-10-07	VYDAJ	PREVOD NA UCET	2330	16245	\N	YZ	83163529
898461	3063	1993-11-07	VYDAJ	PREVOD NA UCET	2330	17450	\N	YZ	83163529
898462	3063	1993-12-07	VYDAJ	PREVOD NA UCET	2330	18402	\N	YZ	83163529
898463	3063	1994-01-07	VYDAJ	PREVOD NA UCET	2330	18695	\N	YZ	83163529
898464	3063	1994-02-07	VYDAJ	PREVOD NA UCET	2330	16530	\N	YZ	83163529
898465	3063	1994-03-07	VYDAJ	PREVOD NA UCET	2330	17748	\N	YZ	83163529
898466	3063	1994-04-07	VYDAJ	PREVOD NA UCET	2330	18431	\N	YZ	83163529
898467	3063	1994-05-07	VYDAJ	PREVOD NA UCET	2330	19297	\N	YZ	83163529
898468	3063	1994-06-07	VYDAJ	PREVOD NA UCET	2330	20528	\N	YZ	83163529
898469	3063	1994-07-07	VYDAJ	PREVOD NA UCET	2330	21763	\N	YZ	83163529
898470	3063	1994-08-07	VYDAJ	PREVOD NA UCET	2330	23003	\N	YZ	83163529
898471	3063	1994-09-07	VYDAJ	PREVOD NA UCET	2330	23798	\N	YZ	83163529
898472	3063	1994-10-07	VYDAJ	PREVOD NA UCET	2330	25048	\N	YZ	83163529
898473	3063	1994-11-07	VYDAJ	PREVOD NA UCET	2330	26301	\N	YZ	83163529
898474	3063	1994-12-07	VYDAJ	PREVOD NA UCET	2330	27560	\N	YZ	83163529
898475	3063	1995-01-07	VYDAJ	PREVOD NA UCET	2330	26181	\N	YZ	83163529
898476	3063	1995-02-07	VYDAJ	PREVOD NA UCET	2330	23774	\N	YZ	83163529
898477	3063	1995-03-07	VYDAJ	PREVOD NA UCET	2330	23792	\N	YZ	83163529
898478	3063	1995-04-07	VYDAJ	PREVOD NA UCET	2330	25040	\N	YZ	83163529
898479	3063	1995-05-07	VYDAJ	PREVOD NA UCET	2330	26294	\N	YZ	83163529
898480	3063	1995-06-07	VYDAJ	PREVOD NA UCET	2330	27553	\N	YZ	83163529
898481	3063	1995-07-07	VYDAJ	PREVOD NA UCET	2330	28036	\N	YZ	83163529
898482	3063	1995-08-07	VYDAJ	PREVOD NA UCET	2330	29303	\N	YZ	83163529
898483	3063	1995-09-07	VYDAJ	PREVOD NA UCET	2330	30004	\N	YZ	83163529
898484	3063	1995-10-07	VYDAJ	PREVOD NA UCET	2330	30827	\N	YZ	83163529
898485	3063	1995-11-07	VYDAJ	PREVOD NA UCET	2330	32105	\N	YZ	83163529
898486	3063	1995-12-07	VYDAJ	PREVOD NA UCET	2330	32577	\N	YZ	83163529
898487	3063	1996-01-07	VYDAJ	PREVOD NA UCET	2330	33413	\N	YZ	83163529
898488	3063	1996-02-07	VYDAJ	PREVOD NA UCET	2330	29293	\N	YZ	83163529
898489	3063	1996-03-07	VYDAJ	PREVOD NA UCET	2330	30564	\N	YZ	83163529
898490	3063	1996-04-07	VYDAJ	PREVOD NA UCET	2330	31840	\N	YZ	83163529
898491	3063	1996-05-07	VYDAJ	PREVOD NA UCET	2330	33121	\N	YZ	83163529
898492	3063	1996-06-07	VYDAJ	PREVOD NA UCET	2330	34408	\N	YZ	83163529
898493	3063	1996-07-07	VYDAJ	PREVOD NA UCET	2330	34337	\N	YZ	83163529
898494	3063	1996-08-07	VYDAJ	PREVOD NA UCET	2330	34325	\N	YZ	83163529
898495	3063	1996-09-07	VYDAJ	PREVOD NA UCET	2330	35617	\N	YZ	83163529
898496	3063	1996-10-07	VYDAJ	PREVOD NA UCET	2330	33184	\N	YZ	83163529
898497	3063	1996-11-07	VYDAJ	PREVOD NA UCET	2330	33298	\N	YZ	83163529
898498	3063	1996-12-07	VYDAJ	PREVOD NA UCET	2330	33834	\N	YZ	83163529
898499	3063	1997-01-07	VYDAJ	PREVOD NA UCET	2330	34343	\N	YZ	83163529
898500	3063	1997-02-07	VYDAJ	PREVOD NA UCET	2330	31757	\N	YZ	83163529
898501	3063	1997-03-07	VYDAJ	PREVOD NA UCET	2330	33037	\N	YZ	83163529
898502	3063	1997-04-07	VYDAJ	PREVOD NA UCET	2330	33152	\N	YZ	83163529
898503	3063	1997-05-07	VYDAJ	PREVOD NA UCET	2330	33327	\N	YZ	83163529
898504	3063	1997-06-07	VYDAJ	PREVOD NA UCET	2330	33292	\N	YZ	83163529
898505	3063	1997-07-07	VYDAJ	PREVOD NA UCET	2330	33588	\N	YZ	83163529
898506	3063	1997-08-07	VYDAJ	PREVOD NA UCET	2330	33434	\N	YZ	83163529
898507	3063	1997-09-07	VYDAJ	PREVOD NA UCET	2330	34523	\N	YZ	83163529
898508	3063	1997-10-07	VYDAJ	PREVOD NA UCET	2330	35815	\N	YZ	83163529
898509	3063	1997-11-07	VYDAJ	PREVOD NA UCET	2330	36481	\N	YZ	83163529
898510	3063	1997-12-07	VYDAJ	PREVOD NA UCET	2330	37782	\N	YZ	83163529
898511	3063	1998-01-07	VYDAJ	PREVOD NA UCET	2330	38214	\N	YZ	83163529
898512	3063	1998-02-07	VYDAJ	PREVOD NA UCET	2330	37118	\N	YZ	83163529
898513	3063	1998-03-07	VYDAJ	PREVOD NA UCET	2330	38420	\N	YZ	83163529
898514	3063	1998-04-07	VYDAJ	PREVOD NA UCET	2330	39727	\N	YZ	83163529
898515	3063	1998-05-07	VYDAJ	PREVOD NA UCET	2330	40889	\N	YZ	83163529
898516	3063	1998-06-07	VYDAJ	PREVOD NA UCET	2330	41124	\N	YZ	83163529
898517	3063	1998-07-07	VYDAJ	PREVOD NA UCET	2330	42442	\N	YZ	83163529
898518	3063	1998-08-07	VYDAJ	PREVOD NA UCET	2330	43525	\N	YZ	83163529
898519	3063	1998-09-07	VYDAJ	PREVOD NA UCET	2330	44853	\N	YZ	83163529
898520	3063	1998-10-07	VYDAJ	PREVOD NA UCET	2330	43685	\N	YZ	83163529
898521	3063	1998-11-07	VYDAJ	PREVOD NA UCET	2330	42632	\N	YZ	83163529
898522	3063	1998-12-07	VYDAJ	PREVOD NA UCET	2330	42906	\N	YZ	83163529
898523	3063	1993-12-10	VYDAJ	VYBER	750	17652	\N	\N	\N
898524	3063	1994-12-18	VYDAJ	VYBER	690	25970	\N	\N	\N
898525	3063	1995-12-01	VYDAJ	VYBER	810	31412	\N	\N	\N
898526	3063	1996-12-23	VYDAJ	VYBER	300	33534	\N	\N	\N
898527	3063	1997-12-10	VYDAJ	VYBER	870	36912	\N	\N	\N
898528	3063	1998-12-05	VYDAJ	VYBER	810	41741	\N	\N	\N
898535	3063	1994-01-23	VYDAJ	VYBER	360	16475	\N	\N	\N
898536	3063	1994-01-27	VYDAJ	VYBER	390	16085	\N	\N	\N
898537	3063	1994-01-22	VYDAJ	VYBER	630	16835	\N	\N	\N
898538	3063	1994-01-19	VYDAJ	VYBER	360	18335	\N	\N	\N
898539	3063	1994-01-04	VYDAJ	VYBER	180	17530	\N	\N	\N
898540	3063	1994-01-30	VYDAJ	VYBER	780	15305	\N	\N	\N
898541	3063	1995-01-03	VYDAJ	VYBER	810	25016	\N	\N	\N
898542	3063	1995-01-27	VYDAJ	VYBER	750	22851	\N	\N	\N
898543	3063	1995-01-22	VYDAJ	VYBER	390	24171	\N	\N	\N
898544	3063	1995-01-08	VYDAJ	VYBER	240	25941	\N	\N	\N
898545	3063	1995-01-30	VYDAJ	VYBER	330	22521	\N	\N	\N
898546	3063	1995-01-24	VYDAJ	VYBER	390	23781	\N	\N	\N
898547	3063	1996-01-28	VYDAJ	VYBER	540	28523	\N	\N	\N
898548	3063	1996-01-18	VYDAJ	VYBER	690	30773	\N	\N	\N
898549	3063	1996-01-30	VYDAJ	VYBER	510	28013	\N	\N	\N
898551	3063	1996-01-27	VYDAJ	VYBER	690	29063	\N	\N	\N
898552	3063	1996-01-01	VYDAJ	VYBER	450	32248	\N	\N	\N
898553	3063	1997-01-18	VYDAJ	VYBER	270	31943	\N	\N	\N
898554	3063	1997-01-11	VYDAJ	VYBER	540	32213	\N	\N	\N
898555	3063	1997-01-09	VYDAJ	VYBER	330	34013	\N	\N	\N
898556	3063	1997-01-29	VYDAJ	VYBER	840	30473	\N	\N	\N
898557	3063	1997-01-03	VYDAJ	VYBER	480	33178	\N	\N	\N
898558	3063	1997-01-19	VYDAJ	VYBER	630	31313	\N	\N	\N
898559	3063	1998-01-18	VYDAJ	VYBER	210	38004	\N	\N	\N
898560	3063	1998-01-27	VYDAJ	VYBER	330	35814	\N	\N	\N
898561	3063	1998-01-26	VYDAJ	VYBER	360	36144	\N	\N	\N
898562	3063	1998-01-20	VYDAJ	VYBER	720	36834	\N	\N	\N
898563	3063	1998-01-20	VYDAJ	VYBER	450	37554	\N	\N	\N
898564	3063	1998-01-26	VYDAJ	VYBER	330	36504	\N	\N	\N
898570	3063	1993-11-13	VYDAJ	VYBER	270	17180	\N	\N	\N
898571	3063	1994-12-28	VYDAJ	VYBER	240	25730	\N	\N	\N
898572	3063	1994-09-05	VYDAJ	VYBER	450	22633	\N	\N	\N
898573	3063	1994-03-27	VYDAJ	VYBER	540	17208	\N	\N	\N
898574	3063	1994-05-06	VYDAJ	VYBER	360	21627	\N	\N	\N
898575	3063	1994-01-19	VYDAJ	VYBER	870	17465	\N	\N	\N
898576	3063	1995-09-15	VYDAJ	VYBER	450	29554	\N	\N	\N
898577	3063	1995-02-27	VYDAJ	VYBER	1230	22544	\N	\N	\N
898578	3063	1995-01-09	VYDAJ	VYBER	1380	24561	\N	\N	\N
898579	3063	1995-08-23	VYDAJ	VYBER	570	28733	\N	\N	\N
898580	3063	1995-01-26	VYDAJ	VYBER	180	23601	\N	\N	\N
898581	3063	1995-07-05	VYDAJ	VYBER	780	26871	\N	\N	\N
898582	3063	1996-09-29	VYDAJ	VYBER	1020	31897	\N	\N	\N
898583	3063	1996-11-15	VYDAJ	VYBER	750	32548	\N	\N	\N
898584	3063	1996-06-24	VYDAJ	VYBER	720	33048	\N	\N	\N
898585	3063	1996-10-14	VYDAJ	VYBER	1170	32014	\N	\N	\N
898586	3063	1996-01-18	VYDAJ	VYBER	1020	29753	\N	\N	\N
898587	3063	1996-06-09	VYDAJ	VYBER	240	34168	\N	\N	\N
898588	3063	1997-04-23	VYDAJ	VYBER	1110	32042	\N	\N	\N
898589	3063	1997-11-06	VYDAJ	VYBER	630	38811	\N	\N	\N
898590	3063	1997-03-26	VYDAJ	VYBER	1170	31867	\N	\N	\N
898591	3063	1997-07-09	VYDAJ	VYBER	570	33018	\N	\N	\N
898592	3063	1997-01-11	VYDAJ	VYBER	1260	32753	\N	\N	\N
898593	3063	1997-08-01	VYDAJ	VYBER	870	32269	\N	\N	\N
898594	3063	1997-06-28	VYDAJ	VYBER	990	32302	\N	\N	\N
898595	3063	1997-05-21	VYDAJ	VYBER	1320	32007	\N	\N	\N
898596	3063	1998-10-27	VYDAJ	VYBER	1080	42605	\N	\N	\N
898597	3063	1998-07-10	VYDAJ	VYBER	240	42202	\N	\N	\N
898598	3063	1998-04-30	VYDAJ	VYBER	150	39739	\N	\N	\N
898599	3063	1998-11-29	VYDAJ	VYBER	240	42392	\N	\N	\N
898600	3063	1998-05-13	VYDAJ	VYBER	1080	39809	\N	\N	\N
898611	3063	1993-10-31	VYDAJ	VYBER	15	16285	SLUZBY	\N	\N
898612	3063	1993-11-30	VYDAJ	VYBER	15	17237	SLUZBY	\N	\N
898613	3063	1993-12-31	VYDAJ	VYBER	15	17710	SLUZBY	\N	\N
898614	3063	1994-01-31	VYDAJ	VYBER	15	15365	SLUZBY	\N	\N
898615	3063	1994-02-28	VYDAJ	VYBER	15	16583	SLUZBY	\N	\N
898616	3063	1994-03-31	VYDAJ	VYBER	15	17266	SLUZBY	\N	\N
898617	3063	1994-04-30	VYDAJ	VYBER	15	18492	SLUZBY	\N	\N
898618	3063	1994-05-31	VYDAJ	VYBER	15	19363	SLUZBY	\N	\N
898619	3063	1994-06-30	VYDAJ	VYBER	15	20598	SLUZBY	\N	\N
898620	3063	1994-07-31	VYDAJ	VYBER	15	21838	SLUZBY	\N	\N
898621	3063	1994-08-31	VYDAJ	VYBER	15	23083	SLUZBY	\N	\N
898622	3063	1994-09-30	VYDAJ	VYBER	15	23883	SLUZBY	\N	\N
898623	3063	1994-10-31	VYDAJ	VYBER	15	25136	SLUZBY	\N	\N
898624	3063	1994-11-30	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
898625	3063	1994-12-31	VYDAJ	VYBER	15	25826	SLUZBY	\N	\N
898626	3063	1995-01-31	VYDAJ	VYBER	15	22609	SLUZBY	\N	\N
898627	3063	1995-02-28	VYDAJ	VYBER	15	22627	SLUZBY	\N	\N
898628	3063	1995-03-31	VYDAJ	VYBER	15	23875	SLUZBY	\N	\N
898629	3063	1995-04-30	VYDAJ	VYBER	15	25129	SLUZBY	\N	\N
898630	3063	1995-05-31	VYDAJ	VYBER	15	26388	SLUZBY	\N	\N
898631	3063	1995-06-30	VYDAJ	VYBER	15	27651	SLUZBY	\N	\N
898632	3063	1995-07-31	VYDAJ	VYBER	15	28138	SLUZBY	\N	\N
898633	3063	1995-08-31	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
898634	3063	1995-09-30	VYDAJ	VYBER	15	29662	SLUZBY	\N	\N
898635	3063	1995-10-31	VYDAJ	VYBER	15	30940	SLUZBY	\N	\N
898636	3063	1995-11-30	VYDAJ	VYBER	15	32222	SLUZBY	\N	\N
898637	3063	1995-12-31	VYDAJ	VYBER	15	32698	SLUZBY	\N	\N
898638	3063	1996-01-31	VYDAJ	VYBER	15	28128	SLUZBY	\N	\N
898639	3063	1996-02-29	VYDAJ	VYBER	15	29399	SLUZBY	\N	\N
898640	3063	1996-03-31	VYDAJ	VYBER	15	30675	SLUZBY	\N	\N
898641	3063	1996-04-30	VYDAJ	VYBER	15	31956	SLUZBY	\N	\N
898642	3063	1996-05-31	VYDAJ	VYBER	15	33243	SLUZBY	\N	\N
898643	3063	1996-06-30	VYDAJ	VYBER	15	33172	SLUZBY	\N	\N
898644	3063	1996-07-31	VYDAJ	VYBER	15	33160	SLUZBY	\N	\N
898645	3063	1996-08-31	VYDAJ	VYBER	15	34452	SLUZBY	\N	\N
898646	3063	1996-09-30	VYDAJ	VYBER	15	32019	SLUZBY	\N	\N
898647	3063	1996-10-31	VYDAJ	VYBER	15	32133	SLUZBY	\N	\N
898648	3063	1996-11-30	VYDAJ	VYBER	15	32669	SLUZBY	\N	\N
898649	3063	1996-12-31	VYDAJ	VYBER	15	33658	SLUZBY	\N	\N
898650	3063	1997-01-31	VYDAJ	VYBER	15	30592	SLUZBY	\N	\N
898651	3063	1997-02-28	VYDAJ	VYBER	15	31872	SLUZBY	\N	\N
898652	3063	1997-03-31	VYDAJ	VYBER	15	31987	SLUZBY	\N	\N
898653	3063	1997-04-30	VYDAJ	VYBER	15	32162	SLUZBY	\N	\N
898654	3063	1997-05-31	VYDAJ	VYBER	15	32127	SLUZBY	\N	\N
898655	3063	1997-06-30	VYDAJ	VYBER	15	32423	SLUZBY	\N	\N
898656	3063	1997-07-31	VYDAJ	VYBER	15	33139	SLUZBY	\N	\N
898657	3063	1997-08-31	VYDAJ	VYBER	15	33558	SLUZBY	\N	\N
898658	3063	1997-09-30	VYDAJ	VYBER	15	34650	SLUZBY	\N	\N
898659	3063	1997-10-31	VYDAJ	VYBER	15	35946	SLUZBY	\N	\N
898660	3063	1997-11-30	VYDAJ	VYBER	15	36617	SLUZBY	\N	\N
898661	3063	1997-12-31	VYDAJ	VYBER	15	37049	SLUZBY	\N	\N
898662	3063	1998-01-31	VYDAJ	VYBER	15	35953	SLUZBY	\N	\N
898663	3063	1998-02-28	VYDAJ	VYBER	15	37255	SLUZBY	\N	\N
898664	3063	1998-03-31	VYDAJ	VYBER	15	38562	SLUZBY	\N	\N
898665	3063	1998-04-30	VYDAJ	VYBER	15	39724	SLUZBY	\N	\N
898666	3063	1998-05-31	VYDAJ	VYBER	15	39959	SLUZBY	\N	\N
898667	3063	1998-06-30	VYDAJ	VYBER	15	41277	SLUZBY	\N	\N
898668	3063	1998-07-31	VYDAJ	VYBER	15	42360	SLUZBY	\N	\N
898669	3063	1998-08-31	VYDAJ	VYBER	15	43688	SLUZBY	\N	\N
898670	3063	1998-09-30	VYDAJ	VYBER	15	42520	SLUZBY	\N	\N
898671	3063	1998-10-31	VYDAJ	VYBER	15	41467	SLUZBY	\N	\N
898672	3063	1998-11-30	VYDAJ	VYBER	15	42551	SLUZBY	\N	\N
898673	3063	1994-12-17	VYDAJ	VYBER	900	26660	\N	\N	\N
898674	3063	1996-01-11	VYDAJ	VYBER	1800	31613	\N	\N	\N
898675	3063	1996-06-09	VYDAJ	VYBER	400	33768	\N	\N	\N
898676	3063	1996-07-09	VYDAJ	VYBER	1300	33037	\N	\N	\N
898677	3063	1996-09-07	VYDAJ	VYBER	2700	32917	\N	\N	\N
898678	3063	1997-09-02	VYDAJ	VYBER	200	33358	\N	\N	\N
898679	3063	1998-09-27	VYDAJ	VYBER	2500	42353	\N	\N	\N
898680	3063	1998-10-27	VYDAJ	VYBER	1300	41305	\N	\N	\N
898744	3064	1993-05-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
898750	3064	1993-06-13	PRIJEM	VKLAD	13881	14881	\N	\N	\N
898751	3064	1993-07-13	PRIJEM	VKLAD	9254	26957	\N	\N	\N
898752	3064	1993-08-13	PRIJEM	VKLAD	9254	35696	\N	\N	\N
898753	3064	1993-09-13	PRIJEM	VKLAD	9254	36962	\N	\N	\N
898754	3064	1993-10-13	PRIJEM	VKLAD	9254	41137	\N	\N	\N
898755	3064	1993-11-13	PRIJEM	VKLAD	9254	35643	\N	\N	\N
898756	3064	1993-12-13	PRIJEM	VKLAD	13881	35697	\N	\N	\N
898757	3064	1994-01-13	PRIJEM	VKLAD	9254	24077	\N	\N	\N
898758	3064	1994-02-13	PRIJEM	VKLAD	9254	14077	\N	\N	\N
898759	3064	1994-03-13	PRIJEM	VKLAD	9254	16222	\N	\N	\N
898760	3064	1994-04-13	PRIJEM	VKLAD	9254	22362	\N	\N	\N
898761	3064	1994-05-13	PRIJEM	VKLAD	9254	25522	\N	\N	\N
898762	3064	1994-06-13	PRIJEM	VKLAD	13881	30617	\N	\N	\N
898763	3064	1994-07-13	PRIJEM	VKLAD	9254	28391	\N	\N	\N
898764	3064	1994-08-13	PRIJEM	VKLAD	9254	32378	\N	\N	\N
898765	3064	1994-09-13	PRIJEM	VKLAD	9254	32873	\N	\N	\N
898766	3064	1994-10-13	PRIJEM	VKLAD	9254	34972	\N	\N	\N
898767	3064	1994-11-13	PRIJEM	VKLAD	9254	28725	\N	\N	\N
898768	3064	1994-12-13	PRIJEM	VKLAD	13881	29874	\N	\N	\N
898769	3064	1995-01-13	PRIJEM	VKLAD	9254	28480	\N	\N	\N
898770	3064	1995-02-13	PRIJEM	VKLAD	9254	29096	\N	\N	\N
898771	3064	1995-03-13	PRIJEM	VKLAD	9254	32267	\N	\N	\N
898772	3064	1995-04-13	PRIJEM	VKLAD	9254	33780	\N	\N	\N
898773	3064	1995-05-13	PRIJEM	VKLAD	9254	35200	\N	\N	\N
898774	3064	1995-06-13	PRIJEM	VKLAD	13881	43693	\N	\N	\N
898775	3064	1995-07-13	PRIJEM	VKLAD	9254	40642	\N	\N	\N
898776	3064	1995-08-13	PRIJEM	VKLAD	9254	41397	\N	\N	\N
898777	3064	1995-09-13	PRIJEM	VKLAD	9254	34038	\N	\N	\N
898778	3064	1995-10-13	PRIJEM	VKLAD	9254	33864	\N	\N	\N
898779	3064	1995-11-13	PRIJEM	VKLAD	9254	29228	\N	\N	\N
898780	3064	1995-12-13	PRIJEM	VKLAD	13881	33825	\N	\N	\N
898781	3064	1996-01-13	PRIJEM	VKLAD	9254	28259	\N	\N	\N
898782	3064	1996-02-13	PRIJEM	VKLAD	9254	29088	\N	\N	\N
898783	3064	1996-03-13	PRIJEM	VKLAD	9254	34181	\N	\N	\N
898784	3064	1996-04-13	PRIJEM	VKLAD	9254	36083	\N	\N	\N
898785	3064	1996-05-13	PRIJEM	VKLAD	9254	39195	\N	\N	\N
898786	3064	1996-06-13	PRIJEM	VKLAD	13881	42246	\N	\N	\N
898787	3064	1996-07-13	PRIJEM	VKLAD	9254	36950	\N	\N	\N
898788	3064	1996-08-13	PRIJEM	VKLAD	9254	35546	\N	\N	\N
898789	3064	1996-09-13	PRIJEM	VKLAD	9254	33059	\N	\N	\N
898790	3064	1996-10-13	PRIJEM	VKLAD	9254	33504	\N	\N	\N
898791	3064	1996-11-13	PRIJEM	VKLAD	9254	33243	\N	\N	\N
898792	3064	1996-12-13	PRIJEM	VKLAD	13881	41673	\N	\N	\N
898793	3064	1997-01-13	PRIJEM	VKLAD	9254	36274	\N	\N	\N
898794	3064	1997-02-13	PRIJEM	VKLAD	9254	35573	\N	\N	\N
898795	3064	1997-03-13	PRIJEM	VKLAD	9254	40875	\N	\N	\N
898796	3064	1997-04-13	PRIJEM	VKLAD	9254	45900	\N	\N	\N
898797	3064	1997-05-13	PRIJEM	VKLAD	9254	50350	\N	\N	\N
898798	3064	1997-06-13	PRIJEM	VKLAD	13881	44123	\N	\N	\N
898799	3064	1997-07-13	PRIJEM	VKLAD	9254	53871	\N	\N	\N
898800	3064	1997-08-13	PRIJEM	VKLAD	9254	58852	\N	\N	\N
898801	3064	1997-09-13	PRIJEM	VKLAD	9254	60755	\N	\N	\N
898802	3064	1997-10-13	PRIJEM	VKLAD	9254	59164	\N	\N	\N
898803	3064	1997-11-13	PRIJEM	VKLAD	9254	59770	\N	\N	\N
898804	3064	1997-12-13	PRIJEM	VKLAD	13881	59720	\N	\N	\N
898805	3064	1998-01-13	PRIJEM	VKLAD	9254	51120	\N	\N	\N
898806	3064	1998-02-13	PRIJEM	VKLAD	9254	45269	\N	\N	\N
898807	3064	1998-03-13	PRIJEM	VKLAD	9254	43853	\N	\N	\N
898808	3064	1998-04-13	PRIJEM	VKLAD	9254	44995	\N	\N	\N
898809	3064	1998-05-13	PRIJEM	VKLAD	9254	46541	\N	\N	\N
898810	3064	1998-06-13	PRIJEM	VKLAD	13881	46152	\N	\N	\N
898811	3064	1998-07-13	PRIJEM	VKLAD	9254	38779	\N	\N	\N
898812	3064	1998-08-13	PRIJEM	VKLAD	9254	46306	\N	\N	\N
898813	3064	1998-09-13	PRIJEM	VKLAD	9254	47455	\N	\N	\N
898814	3064	1998-10-13	PRIJEM	VKLAD	9254	50952	\N	\N	\N
898815	3064	1998-11-13	PRIJEM	VKLAD	9254	53521	\N	\N	\N
898816	3064	1998-12-13	PRIJEM	VKLAD	13881	57507	\N	\N	\N
898827	3064	1993-11-10	VYDAJ	PREVOD NA UCET	1455	31103	SIPO	IJ	63995122
898828	3064	1993-12-10	VYDAJ	PREVOD NA UCET	1455	30610	SIPO	IJ	63995122
898829	3064	1994-01-10	VYDAJ	PREVOD NA UCET	1455	19537	SIPO	IJ	63995122
898830	3064	1994-02-10	VYDAJ	PREVOD NA UCET	1455	11137	SIPO	IJ	63995122
898831	3064	1994-03-10	VYDAJ	PREVOD NA UCET	1455	12682	SIPO	IJ	63995122
898832	3064	1994-04-10	VYDAJ	PREVOD NA UCET	1455	17822	SIPO	IJ	63995122
898833	3064	1994-05-10	VYDAJ	PREVOD NA UCET	1455	20982	SIPO	IJ	63995122
898834	3064	1994-06-10	VYDAJ	PREVOD NA UCET	1455	21450	SIPO	IJ	63995122
898835	3064	1994-07-10	VYDAJ	PREVOD NA UCET	1455	24751	SIPO	IJ	63995122
898836	3064	1994-08-10	VYDAJ	PREVOD NA UCET	1455	27838	SIPO	IJ	63995122
898837	3064	1994-09-10	VYDAJ	PREVOD NA UCET	1455	28333	SIPO	IJ	63995122
898838	3064	1994-10-10	VYDAJ	PREVOD NA UCET	1455	30432	SIPO	IJ	63995122
898839	3064	1994-11-10	VYDAJ	PREVOD NA UCET	1455	24185	SIPO	IJ	63995122
898840	3064	1994-12-10	VYDAJ	PREVOD NA UCET	1455	20707	SIPO	IJ	63995122
898841	3064	1995-01-10	VYDAJ	PREVOD NA UCET	1455	25260	SIPO	IJ	63995122
898842	3064	1995-02-10	VYDAJ	PREVOD NA UCET	1455	16056	SIPO	IJ	63995122
898843	3064	1995-03-10	VYDAJ	PREVOD NA UCET	1455	27727	SIPO	IJ	63995122
898844	3064	1995-04-10	VYDAJ	PREVOD NA UCET	1455	30525	SIPO	IJ	63995122
898845	3064	1995-05-10	VYDAJ	PREVOD NA UCET	1455	31945	SIPO	IJ	63995122
898846	3064	1995-06-10	VYDAJ	PREVOD NA UCET	1455	30711	SIPO	IJ	63995122
898847	3064	1995-07-10	VYDAJ	PREVOD NA UCET	1455	42387	SIPO	IJ	63995122
898848	3064	1995-08-10	VYDAJ	PREVOD NA UCET	1455	35142	SIPO	IJ	63995122
898849	3064	1995-09-10	VYDAJ	PREVOD NA UCET	1455	30783	SIPO	IJ	63995122
898850	3064	1995-10-10	VYDAJ	PREVOD NA UCET	1455	30609	SIPO	IJ	63995122
898851	3064	1995-11-10	VYDAJ	PREVOD NA UCET	1455	28733	SIPO	IJ	63995122
898852	3064	1995-12-10	VYDAJ	PREVOD NA UCET	1455	27983	SIPO	IJ	63995122
898853	3064	1996-01-10	VYDAJ	PREVOD NA UCET	1455	27044	SIPO	IJ	63995122
898854	3064	1996-02-10	VYDAJ	PREVOD NA UCET	1455	25833	SIPO	IJ	63995122
898855	3064	1996-03-10	VYDAJ	PREVOD NA UCET	1455	30926	SIPO	IJ	63995122
898856	3064	1996-04-10	VYDAJ	PREVOD NA UCET	1455	32743	SIPO	IJ	63995122
898857	3064	1996-05-10	VYDAJ	PREVOD NA UCET	1455	34655	SIPO	IJ	63995122
898858	3064	1996-06-10	VYDAJ	PREVOD NA UCET	1455	33079	SIPO	IJ	63995122
898859	3064	1996-07-10	VYDAJ	PREVOD NA UCET	1455	32410	SIPO	IJ	63995122
898860	3064	1996-08-10	VYDAJ	PREVOD NA UCET	1455	31006	SIPO	IJ	63995122
898861	3064	1996-09-10	VYDAJ	PREVOD NA UCET	1455	30219	SIPO	IJ	63995122
898862	3064	1996-10-10	VYDAJ	PREVOD NA UCET	1455	28964	SIPO	IJ	63995122
898863	3064	1996-11-10	VYDAJ	PREVOD NA UCET	1455	29663	SIPO	IJ	63995122
898864	3064	1996-12-10	VYDAJ	PREVOD NA UCET	1455	32506	SIPO	IJ	63995122
898865	3064	1997-01-10	VYDAJ	PREVOD NA UCET	1455	31734	SIPO	IJ	63995122
898866	3064	1997-02-10	VYDAJ	PREVOD NA UCET	1455	31033	SIPO	IJ	63995122
898867	3064	1997-03-10	VYDAJ	PREVOD NA UCET	1455	36335	SIPO	IJ	63995122
898868	3064	1997-04-10	VYDAJ	PREVOD NA UCET	1455	41360	SIPO	IJ	63995122
898869	3064	1997-05-10	VYDAJ	PREVOD NA UCET	1455	45810	SIPO	IJ	63995122
898870	3064	1997-06-10	VYDAJ	PREVOD NA UCET	1455	34956	SIPO	IJ	63995122
898871	3064	1997-07-10	VYDAJ	PREVOD NA UCET	1455	49331	SIPO	IJ	63995122
898872	3064	1997-08-10	VYDAJ	PREVOD NA UCET	1455	54312	SIPO	IJ	63995122
898873	3064	1997-09-10	VYDAJ	PREVOD NA UCET	1455	56215	SIPO	IJ	63995122
898874	3064	1997-10-10	VYDAJ	PREVOD NA UCET	1455	55624	SIPO	IJ	63995122
898875	3064	1997-11-10	VYDAJ	PREVOD NA UCET	1455	55230	SIPO	IJ	63995122
898876	3064	1997-12-10	VYDAJ	PREVOD NA UCET	1455	50553	SIPO	IJ	63995122
898877	3064	1998-01-10	VYDAJ	PREVOD NA UCET	1455	46580	SIPO	IJ	63995122
898878	3064	1998-02-10	VYDAJ	PREVOD NA UCET	1455	40729	SIPO	IJ	63995122
898879	3064	1998-03-10	VYDAJ	PREVOD NA UCET	1455	39313	SIPO	IJ	63995122
898880	3064	1998-04-10	VYDAJ	PREVOD NA UCET	1455	40455	SIPO	IJ	63995122
898881	3064	1998-05-10	VYDAJ	PREVOD NA UCET	1455	42001	SIPO	IJ	63995122
898882	3064	1998-06-10	VYDAJ	PREVOD NA UCET	1455	36985	SIPO	IJ	63995122
898883	3064	1998-07-10	VYDAJ	PREVOD NA UCET	1455	38079	SIPO	IJ	63995122
898884	3064	1998-08-10	VYDAJ	PREVOD NA UCET	1455	41766	SIPO	IJ	63995122
898885	3064	1998-09-10	VYDAJ	PREVOD NA UCET	1455	42915	SIPO	IJ	63995122
898886	3064	1998-10-10	VYDAJ	PREVOD NA UCET	1455	46412	SIPO	IJ	63995122
898887	3064	1998-11-10	VYDAJ	PREVOD NA UCET	1455	49981	SIPO	IJ	63995122
898888	3064	1998-12-10	VYDAJ	PREVOD NA UCET	1455	48340	SIPO	IJ	63995122
898899	3064	1993-11-11	VYDAJ	PREVOD NA UCET	4714	26389	 	EF	30132371
898900	3064	1993-12-11	VYDAJ	PREVOD NA UCET	4714	23016	 	EF	30132371
898901	3064	1994-01-11	VYDAJ	PREVOD NA UCET	4714	14823	 	EF	30132371
898902	3064	1994-02-11	VYDAJ	PREVOD NA UCET	4714	4823	 	EF	30132371
898903	3064	1994-03-11	VYDAJ	PREVOD NA UCET	4714	7968	 	EF	30132371
898904	3064	1994-04-11	VYDAJ	PREVOD NA UCET	4714	13108	 	EF	30132371
898905	3064	1994-05-11	VYDAJ	PREVOD NA UCET	4714	16268	 	EF	30132371
898906	3064	1994-06-11	VYDAJ	PREVOD NA UCET	4714	16736	 	EF	30132371
898907	3064	1994-07-11	VYDAJ	PREVOD NA UCET	4714	19137	 	EF	30132371
898908	3064	1994-08-11	VYDAJ	PREVOD NA UCET	4714	23124	 	EF	30132371
898909	3064	1994-09-11	VYDAJ	PREVOD NA UCET	4714	23619	 	EF	30132371
899115	3064	1998-03-09	VYDAJ	VYBER	3360	40768	\N	\N	\N
898910	3064	1994-10-11	VYDAJ	PREVOD NA UCET	4714	25718	 	EF	30132371
898911	3064	1994-11-11	VYDAJ	PREVOD NA UCET	4714	19471	 	EF	30132371
898912	3064	1994-12-11	VYDAJ	PREVOD NA UCET	4714	15993	 	EF	30132371
898913	3064	1995-01-11	VYDAJ	PREVOD NA UCET	4714	19226	 	EF	30132371
898914	3064	1995-02-11	VYDAJ	PREVOD NA UCET	4714	11342	 	EF	30132371
898915	3064	1995-03-11	VYDAJ	PREVOD NA UCET	4714	23013	 	EF	30132371
898916	3064	1995-04-11	VYDAJ	PREVOD NA UCET	4714	25811	 	EF	30132371
898917	3064	1995-05-11	VYDAJ	PREVOD NA UCET	4714	27231	 	EF	30132371
898918	3064	1995-06-11	VYDAJ	PREVOD NA UCET	4714	25997	 	EF	30132371
898919	3064	1995-07-11	VYDAJ	PREVOD NA UCET	4714	37673	 	EF	30132371
898920	3064	1995-08-11	VYDAJ	PREVOD NA UCET	4714	33428	 	EF	30132371
898921	3064	1995-09-11	VYDAJ	PREVOD NA UCET	4714	26069	 	EF	30132371
898922	3064	1995-10-11	VYDAJ	PREVOD NA UCET	4714	25895	 	EF	30132371
898923	3064	1995-11-11	VYDAJ	PREVOD NA UCET	4714	24019	 	EF	30132371
898924	3064	1995-12-11	VYDAJ	PREVOD NA UCET	4714	21229	 	EF	30132371
898925	3064	1996-01-11	VYDAJ	PREVOD NA UCET	4714	22330	 	EF	30132371
898926	3064	1996-02-11	VYDAJ	PREVOD NA UCET	4714	21119	 	EF	30132371
898927	3064	1996-03-11	VYDAJ	PREVOD NA UCET	4714	26212	 	EF	30132371
898928	3064	1996-04-11	VYDAJ	PREVOD NA UCET	4714	26829	 	EF	30132371
898929	3064	1996-05-11	VYDAJ	PREVOD NA UCET	4714	29941	 	EF	30132371
898930	3064	1996-06-11	VYDAJ	PREVOD NA UCET	4714	28365	 	EF	30132371
898931	3064	1996-07-11	VYDAJ	PREVOD NA UCET	4714	27696	 	EF	30132371
898932	3064	1996-08-11	VYDAJ	PREVOD NA UCET	4714	26292	 	EF	30132371
898933	3064	1996-09-11	VYDAJ	PREVOD NA UCET	4714	23805	 	EF	30132371
898934	3064	1996-10-11	VYDAJ	PREVOD NA UCET	4714	24250	 	EF	30132371
898935	3064	1996-11-11	VYDAJ	PREVOD NA UCET	4714	24949	 	EF	30132371
898936	3064	1996-12-11	VYDAJ	PREVOD NA UCET	4714	27792	 	EF	30132371
898937	3064	1997-01-11	VYDAJ	PREVOD NA UCET	4714	27020	 	EF	30132371
898938	3064	1997-02-11	VYDAJ	PREVOD NA UCET	4714	26319	 	EF	30132371
898939	3064	1997-03-11	VYDAJ	PREVOD NA UCET	4714	31621	 	EF	30132371
898940	3064	1997-04-11	VYDAJ	PREVOD NA UCET	4714	36646	 	EF	30132371
898941	3064	1997-05-11	VYDAJ	PREVOD NA UCET	4714	41096	 	EF	30132371
898942	3064	1997-06-11	VYDAJ	PREVOD NA UCET	4714	30242	 	EF	30132371
898943	3064	1997-07-11	VYDAJ	PREVOD NA UCET	4714	44617	 	EF	30132371
898944	3064	1997-08-11	VYDAJ	PREVOD NA UCET	4714	49598	 	EF	30132371
898945	3064	1997-09-11	VYDAJ	PREVOD NA UCET	4714	51501	 	EF	30132371
898946	3064	1997-10-11	VYDAJ	PREVOD NA UCET	4714	50910	 	EF	30132371
898947	3064	1997-11-11	VYDAJ	PREVOD NA UCET	4714	50516	 	EF	30132371
898948	3064	1997-12-11	VYDAJ	PREVOD NA UCET	4714	45839	 	EF	30132371
898949	3064	1998-01-11	VYDAJ	PREVOD NA UCET	4714	41866	 	EF	30132371
898950	3064	1998-02-11	VYDAJ	PREVOD NA UCET	4714	36015	 	EF	30132371
898951	3064	1998-03-11	VYDAJ	PREVOD NA UCET	4714	34599	 	EF	30132371
898952	3064	1998-04-11	VYDAJ	PREVOD NA UCET	4714	35741	 	EF	30132371
898953	3064	1998-05-11	VYDAJ	PREVOD NA UCET	4714	37287	 	EF	30132371
898954	3064	1998-06-11	VYDAJ	PREVOD NA UCET	4714	32271	 	EF	30132371
898955	3064	1998-07-11	VYDAJ	PREVOD NA UCET	4714	29525	 	EF	30132371
898956	3064	1998-08-11	VYDAJ	PREVOD NA UCET	4714	37052	 	EF	30132371
898957	3064	1998-09-11	VYDAJ	PREVOD NA UCET	4714	38201	 	EF	30132371
898958	3064	1998-10-11	VYDAJ	PREVOD NA UCET	4714	41698	 	EF	30132371
898959	3064	1998-11-11	VYDAJ	PREVOD NA UCET	4714	44267	 	EF	30132371
898960	3064	1998-12-11	VYDAJ	PREVOD NA UCET	4714	43626	 	EF	30132371
898971	3064	1993-11-06	VYDAJ	VYBER	900	32558	\N	\N	0
898972	3064	1993-12-12	VYDAJ	VYBER	1200	21816	\N	\N	0
898973	3064	1994-01-09	VYDAJ	VYBER	1700	20992	\N	\N	0
898974	3064	1994-02-10	VYDAJ	VYBER	1600	9537	\N	\N	0
898975	3064	1994-03-11	VYDAJ	VYBER	1000	6968	\N	\N	0
898976	3064	1994-04-09	VYDAJ	VYBER	1300	19277	\N	\N	0
898977	3064	1994-05-02	VYDAJ	VYBER	900	22437	\N	\N	0
898978	3064	1994-05-27	VYDAJ	VYBER	1600	22822	\N	\N	0
898979	3064	1994-07-11	VYDAJ	VYBER	900	23851	\N	\N	0
898980	3064	1994-08-09	VYDAJ	VYBER	700	29293	\N	\N	0
898981	3064	1994-09-10	VYDAJ	VYBER	1000	29788	\N	\N	0
898982	3064	1994-10-19	VYDAJ	VYBER	900	29372	\N	\N	0
898983	3064	1994-11-14	VYDAJ	VYBER	1200	27525	\N	\N	0
898984	3064	1994-12-02	VYDAJ	VYBER	1400	25522	\N	\N	0
898985	3064	1995-01-06	VYDAJ	VYBER	1300	30075	\N	\N	0
898986	3064	1995-01-31	VYDAJ	VYBER	900	17511	\N	\N	0
898987	3064	1995-03-19	VYDAJ	VYBER	800	31867	\N	\N	0
898988	3064	1995-04-12	VYDAJ	PREVOD NA UCET	1285	24526	UVER	ST	35513132
898989	3064	1995-05-12	VYDAJ	PREVOD NA UCET	1285	25946	UVER	ST	35513132
898990	3064	1995-06-12	VYDAJ	PREVOD NA UCET	1285	29812	UVER	ST	35513132
898991	3064	1995-07-12	VYDAJ	PREVOD NA UCET	1285	31388	UVER	ST	35513132
898992	3064	1995-08-12	VYDAJ	PREVOD NA UCET	1285	32143	UVER	ST	35513132
898993	3064	1995-09-12	VYDAJ	PREVOD NA UCET	1285	24784	UVER	ST	35513132
898994	3064	1995-10-12	VYDAJ	PREVOD NA UCET	1285	24610	UVER	ST	35513132
898995	3064	1995-11-12	VYDAJ	PREVOD NA UCET	1285	22734	UVER	ST	35513132
898996	3064	1995-12-12	VYDAJ	PREVOD NA UCET	1285	19944	UVER	ST	35513132
898997	3064	1996-01-12	VYDAJ	PREVOD NA UCET	1285	21045	UVER	ST	35513132
898998	3064	1996-02-12	VYDAJ	PREVOD NA UCET	1285	19834	UVER	ST	35513132
898999	3064	1996-03-12	VYDAJ	PREVOD NA UCET	1285	24927	UVER	ST	35513132
899000	3064	1996-03-30	VYDAJ	VYBER	1300	32881	\N	\N	0
899001	3064	1996-05-23	VYDAJ	VYBER	800	38395	\N	\N	0
899002	3064	1996-06-02	VYDAJ	VYBER	1000	37534	\N	\N	0
899003	3064	1996-07-19	VYDAJ	VYBER	1100	35850	\N	\N	0
899004	3064	1996-08-13	VYDAJ	VYBER	1100	34446	\N	\N	0
899005	3064	1996-09-11	VYDAJ	VYBER	1700	28519	\N	\N	0
899006	3064	1996-09-29	VYDAJ	VYBER	900	29399	\N	\N	0
899007	3064	1996-11-17	VYDAJ	VYBER	800	32443	\N	\N	0
899008	3064	1996-12-18	VYDAJ	VYBER	800	40873	\N	\N	0
899009	3064	1997-01-13	VYDAJ	VYBER	1100	35174	\N	\N	0
899010	3064	1997-02-22	VYDAJ	VYBER	1000	34573	\N	\N	0
899011	3064	1997-03-21	VYDAJ	VYBER	1000	39875	\N	\N	0
899012	3064	1997-04-04	VYDAJ	VYBER	1300	42815	\N	\N	0
899013	3064	1997-05-15	VYDAJ	VYBER	1000	49350	\N	\N	0
899014	3064	1997-05-28	VYDAJ	VYBER	900	48450	\N	\N	0
899015	3064	1997-07-04	VYDAJ	VYBER	900	50786	\N	\N	0
899016	3064	1997-08-16	VYDAJ	VYBER	900	57952	\N	\N	0
899017	3064	1997-09-17	VYDAJ	VYBER	1200	59555	\N	\N	0
899018	3064	1997-10-12	VYDAJ	VYBER	1000	49910	\N	\N	0
899019	3064	1997-11-14	VYDAJ	VYBER	1500	58270	\N	\N	0
899020	3064	1997-12-21	VYDAJ	VYBER	1000	58720	\N	\N	0
899021	3064	1998-01-05	VYDAJ	VYBER	1300	52235	\N	\N	0
899022	3064	1998-02-18	VYDAJ	VYBER	1100	44169	\N	\N	0
899023	3064	1998-03-19	VYDAJ	VYBER	1300	42553	\N	\N	0
899024	3064	1998-04-07	VYDAJ	VYBER	900	41910	\N	\N	0
899025	3064	1998-05-05	VYDAJ	VYBER	1200	43456	\N	\N	0
899026	3064	1998-06-01	VYDAJ	VYBER	1200	38440	\N	\N	0
899027	3064	1998-06-28	VYDAJ	VYBER	1000	39392	\N	\N	0
899028	3064	1998-08-24	VYDAJ	VYBER	1400	44906	\N	\N	0
899029	3064	1998-09-05	VYDAJ	VYBER	1000	44370	\N	\N	0
899030	3064	1998-10-16	VYDAJ	VYBER	1000	49952	\N	\N	0
899031	3064	1998-11-10	VYDAJ	VYBER	1000	48981	\N	\N	0
899032	3064	1998-12-19	VYDAJ	VYBER	1600	55907	\N	\N	0
899037	3064	1997-06-08	VYDAJ	VYBER	10720	36411	\N	\N	\N
899038	3064	1998-06-16	VYDAJ	VYBER	8160	37992	\N	\N	\N
899040	3064	1994-01-27	VYDAJ	VYBER	11840	12517	\N	\N	\N
899042	3064	1996-01-18	VYDAJ	VYBER	4800	23459	\N	\N	\N
899044	3064	1998-01-25	VYDAJ	VYBER	3360	45840	\N	\N	\N
899045	3064	1993-12-10	VYDAJ	VYBER	2880	27730	\N	\N	\N
899046	3064	1994-12-05	VYDAJ	VYBER	3360	22162	\N	\N	\N
899047	3064	1995-12-28	VYDAJ	VYBER	1280	32545	\N	\N	\N
899048	3064	1996-12-26	VYDAJ	VYBER	3520	37353	\N	\N	\N
899049	3064	1997-12-08	VYDAJ	VYBER	3680	52008	\N	\N	\N
899050	3064	1998-12-08	VYDAJ	VYBER	3520	49795	\N	\N	\N
899060	3064	1994-01-01	VYDAJ	VYBER	3360	26772	\N	\N	\N
899062	3064	1994-01-25	VYDAJ	VYBER	960	24357	\N	\N	\N
899063	3064	1995-01-18	VYDAJ	VYBER	840	25640	\N	\N	\N
899064	3064	1995-01-10	VYDAJ	VYBER	3360	26715	\N	\N	\N
899065	3064	1995-01-22	VYDAJ	VYBER	3120	21320	\N	\N	\N
899066	3064	1995-01-11	VYDAJ	VYBER	1320	23940	\N	\N	\N
899067	3064	1995-01-20	VYDAJ	VYBER	1200	24440	\N	\N	\N
899068	3064	1995-01-25	VYDAJ	VYBER	3000	18320	\N	\N	\N
899069	3064	1996-01-07	VYDAJ	VYBER	1920	24499	\N	\N	\N
899070	3064	1996-01-04	VYDAJ	VYBER	2520	26419	\N	\N	\N
899071	3064	1996-01-12	VYDAJ	VYBER	2040	19005	\N	\N	\N
899072	3064	1996-01-22	VYDAJ	VYBER	1560	21899	\N	\N	\N
899073	3064	1996-01-02	VYDAJ	VYBER	720	31939	\N	\N	\N
899074	3064	1996-01-03	VYDAJ	VYBER	3000	28939	\N	\N	\N
899075	3064	1997-01-29	VYDAJ	VYBER	2760	20894	\N	\N	\N
899076	3064	1997-01-24	VYDAJ	VYBER	1680	33494	\N	\N	\N
899077	3064	1997-01-03	VYDAJ	VYBER	3120	33189	\N	\N	\N
899078	3064	1997-01-29	VYDAJ	VYBER	2640	23654	\N	\N	\N
899079	3064	1997-01-02	VYDAJ	VYBER	1080	36309	\N	\N	\N
899080	3064	1997-01-26	VYDAJ	VYBER	2040	26294	\N	\N	\N
899081	3064	1998-01-28	VYDAJ	VYBER	3240	42000	\N	\N	\N
899082	3064	1998-01-24	VYDAJ	VYBER	840	49200	\N	\N	\N
899083	3064	1998-01-07	VYDAJ	VYBER	840	51395	\N	\N	\N
899084	3064	1998-01-10	VYDAJ	VYBER	1680	48035	\N	\N	\N
899085	3064	1998-01-08	VYDAJ	VYBER	1680	49715	\N	\N	\N
899086	3064	1998-01-16	VYDAJ	VYBER	1080	50040	\N	\N	\N
899090	3064	1993-12-20	VYDAJ	VYBER	1080	30017	\N	\N	\N
899094	3064	1994-01-03	VYDAJ	VYBER	4080	22692	\N	\N	\N
899095	3064	1994-01-15	VYDAJ	VYBER	2760	21317	\N	\N	\N
899096	3064	1994-10-20	VYDAJ	VYBER	2520	26852	\N	\N	\N
899097	3064	1994-02-19	VYDAJ	VYBER	4080	14097	\N	\N	\N
899098	3064	1994-11-07	VYDAJ	VYBER	1320	25640	\N	\N	\N
899100	3064	1995-07-28	VYDAJ	VYBER	4200	36442	\N	\N	\N
899101	3064	1995-08-22	VYDAJ	VYBER	5400	35997	\N	\N	\N
899102	3064	1995-12-11	VYDAJ	VYBER	2040	25943	\N	\N	\N
899103	3064	1995-06-06	VYDAJ	VYBER	2760	32166	\N	\N	\N
899104	3064	1995-11-12	VYDAJ	VYBER	2760	19974	\N	\N	\N
899105	3064	1996-04-10	VYDAJ	VYBER	1200	31543	\N	\N	\N
899106	3064	1996-06-25	VYDAJ	VYBER	2280	35526	\N	\N	\N
899107	3064	1996-06-20	VYDAJ	VYBER	4440	37806	\N	\N	\N
899108	3064	1996-11-12	VYDAJ	VYBER	960	23989	\N	\N	\N
899109	3064	1996-09-27	VYDAJ	VYBER	2760	30299	\N	\N	\N
899110	3064	1996-08-10	VYDAJ	VYBER	4320	32461	\N	\N	\N
899111	3064	1997-01-24	VYDAJ	VYBER	5160	28334	\N	\N	\N
899112	3064	1997-02-04	VYDAJ	VYBER	840	33568	\N	\N	\N
899113	3064	1997-02-04	VYDAJ	VYBER	1080	32488	\N	\N	\N
899114	3064	1998-07-10	VYDAJ	VYBER	3840	34239	\N	\N	\N
899116	3064	1998-05-19	VYDAJ	VYBER	3960	42581	\N	\N	\N
899117	3064	1998-10-01	VYDAJ	VYBER	1560	47867	\N	\N	\N
899118	3064	1998-08-08	VYDAJ	VYBER	600	43221	\N	\N	\N
899129	3064	1993-10-31	VYDAJ	VYBER	15	33458	SLUZBY	\N	\N
899130	3064	1993-11-30	VYDAJ	VYBER	15	32065	SLUZBY	\N	\N
899131	3064	1993-12-31	VYDAJ	VYBER	15	30132	SLUZBY	\N	\N
899132	3064	1994-01-31	VYDAJ	VYBER	15	12592	SLUZBY	\N	\N
899133	3064	1994-02-28	VYDAJ	VYBER	15	14137	SLUZBY	\N	\N
899134	3064	1994-03-31	VYDAJ	VYBER	15	20577	SLUZBY	\N	\N
899135	3064	1994-04-30	VYDAJ	VYBER	15	23337	SLUZBY	\N	\N
899136	3064	1994-05-31	VYDAJ	VYBER	15	22905	SLUZBY	\N	\N
899137	3064	1994-06-30	VYDAJ	VYBER	15	26206	SLUZBY	\N	\N
899138	3064	1994-07-31	VYDAJ	VYBER	15	29993	SLUZBY	\N	\N
899139	3064	1994-08-31	VYDAJ	VYBER	15	30788	SLUZBY	\N	\N
899140	3064	1994-09-30	VYDAJ	VYBER	15	31887	SLUZBY	\N	\N
899141	3064	1994-10-31	VYDAJ	VYBER	15	26960	SLUZBY	\N	\N
899142	3064	1994-11-30	VYDAJ	VYBER	15	26922	SLUZBY	\N	\N
899143	3064	1994-12-31	VYDAJ	VYBER	15	31375	SLUZBY	\N	\N
899144	3064	1995-01-31	VYDAJ	VYBER	15	18411	SLUZBY	\N	\N
899145	3064	1995-02-28	VYDAJ	VYBER	15	29182	SLUZBY	\N	\N
899146	3064	1995-03-31	VYDAJ	VYBER	15	31980	SLUZBY	\N	\N
899147	3064	1995-04-30	VYDAJ	VYBER	15	33400	SLUZBY	\N	\N
899148	3064	1995-05-31	VYDAJ	VYBER	15	34926	SLUZBY	\N	\N
899149	3064	1995-06-30	VYDAJ	VYBER	15	43842	SLUZBY	\N	\N
899150	3064	1995-07-31	VYDAJ	VYBER	15	36597	SLUZBY	\N	\N
899151	3064	1995-08-31	VYDAJ	VYBER	15	36138	SLUZBY	\N	\N
899152	3064	1995-09-30	VYDAJ	VYBER	15	34164	SLUZBY	\N	\N
899153	3064	1995-10-31	VYDAJ	VYBER	15	33988	SLUZBY	\N	\N
899154	3064	1995-11-30	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
899155	3064	1995-12-31	VYDAJ	VYBER	15	32659	SLUZBY	\N	\N
899156	3064	1996-01-31	VYDAJ	VYBER	15	21988	SLUZBY	\N	\N
899157	3064	1996-02-29	VYDAJ	VYBER	15	29181	SLUZBY	\N	\N
899158	3064	1996-03-31	VYDAJ	VYBER	15	32998	SLUZBY	\N	\N
899159	3064	1996-04-30	VYDAJ	VYBER	15	36210	SLUZBY	\N	\N
899160	3064	1996-05-31	VYDAJ	VYBER	15	38534	SLUZBY	\N	\N
899161	3064	1996-06-30	VYDAJ	VYBER	15	35665	SLUZBY	\N	\N
899162	3064	1996-07-31	VYDAJ	VYBER	15	35981	SLUZBY	\N	\N
899163	3064	1996-08-31	VYDAJ	VYBER	15	34574	SLUZBY	\N	\N
899164	3064	1996-09-30	VYDAJ	VYBER	15	29519	SLUZBY	\N	\N
899165	3064	1996-10-31	VYDAJ	VYBER	15	33618	SLUZBY	\N	\N
899166	3064	1996-11-30	VYDAJ	VYBER	15	32561	SLUZBY	\N	\N
899167	3064	1996-12-31	VYDAJ	VYBER	15	37489	SLUZBY	\N	\N
899168	3064	1997-01-31	VYDAJ	VYBER	15	21008	SLUZBY	\N	\N
899169	3064	1997-02-28	VYDAJ	VYBER	15	34690	SLUZBY	\N	\N
899170	3064	1997-03-31	VYDAJ	VYBER	15	40015	SLUZBY	\N	\N
899171	3064	1997-04-30	VYDAJ	VYBER	15	46065	SLUZBY	\N	\N
899172	3064	1997-05-31	VYDAJ	VYBER	15	48631	SLUZBY	\N	\N
899173	3064	1997-06-30	VYDAJ	VYBER	15	44286	SLUZBY	\N	\N
899174	3064	1997-07-31	VYDAJ	VYBER	15	55767	SLUZBY	\N	\N
899175	3064	1997-08-31	VYDAJ	VYBER	15	57670	SLUZBY	\N	\N
899176	3064	1997-09-30	VYDAJ	VYBER	15	57079	SLUZBY	\N	\N
899177	3064	1997-10-31	VYDAJ	VYBER	15	56685	SLUZBY	\N	\N
899178	3064	1997-11-30	VYDAJ	VYBER	15	55688	SLUZBY	\N	\N
899179	3064	1997-12-31	VYDAJ	VYBER	15	53535	SLUZBY	\N	\N
899180	3064	1998-01-31	VYDAJ	VYBER	15	42184	SLUZBY	\N	\N
899181	3064	1998-02-28	VYDAJ	VYBER	15	44128	SLUZBY	\N	\N
899182	3064	1998-03-31	VYDAJ	VYBER	15	42810	SLUZBY	\N	\N
899183	3064	1998-04-30	VYDAJ	VYBER	15	44656	SLUZBY	\N	\N
899184	3064	1998-05-31	VYDAJ	VYBER	15	39640	SLUZBY	\N	\N
899185	3064	1998-06-30	VYDAJ	VYBER	15	39534	SLUZBY	\N	\N
899186	3064	1998-07-31	VYDAJ	VYBER	15	43821	SLUZBY	\N	\N
899187	3064	1998-08-31	VYDAJ	VYBER	15	45370	SLUZBY	\N	\N
899188	3064	1998-09-30	VYDAJ	VYBER	15	49427	SLUZBY	\N	\N
899189	3064	1998-10-31	VYDAJ	VYBER	15	51436	SLUZBY	\N	\N
899190	3064	1998-11-30	VYDAJ	VYBER	15	53315	SLUZBY	\N	\N
899191	3064	1993-06-22	PRIJEM	VKLAD	2800	17681	\N	\N	\N
899192	3064	1993-07-22	VYDAJ	VYBER	600	26357	\N	\N	\N
899193	3064	1993-08-21	VYDAJ	VYBER	8100	27596	\N	\N	\N
899194	3064	1993-09-20	VYDAJ	VYBER	5200	31762	\N	\N	\N
899195	3064	1993-10-20	VYDAJ	VYBER	7800	33337	\N	\N	\N
899196	3064	1993-11-19	VYDAJ	VYBER	3700	31943	\N	\N	\N
899197	3064	1993-12-19	VYDAJ	VYBER	4600	31097	\N	\N	\N
899198	3064	1994-01-18	PRIJEM	VKLAD	4000	25317	\N	\N	\N
899199	3064	1994-02-17	PRIJEM	VKLAD	4100	18177	\N	\N	\N
899200	3064	1994-03-19	PRIJEM	VKLAD	4300	20522	\N	\N	\N
899201	3064	1994-04-18	PRIJEM	VKLAD	900	23262	\N	\N	\N
899202	3064	1994-05-18	VYDAJ	VYBER	1100	24422	\N	\N	\N
899203	3064	1994-06-17	VYDAJ	VYBER	4500	26117	\N	\N	\N
899204	3064	1994-07-17	PRIJEM	VKLAD	1500	29891	\N	\N	\N
899205	3064	1994-08-16	VYDAJ	VYBER	1700	30678	\N	\N	\N
899206	3064	1994-09-15	VYDAJ	VYBER	1100	31773	\N	\N	\N
899207	3064	1994-10-15	VYDAJ	VYBER	4700	30272	\N	\N	\N
899208	3064	1994-11-14	VYDAJ	VYBER	700	26825	\N	\N	\N
899209	3064	1994-12-14	PRIJEM	VKLAD	1400	31274	\N	\N	\N
899210	3064	1995-01-13	VYDAJ	VYBER	2000	26480	\N	\N	\N
899211	3064	1995-02-12	PRIJEM	VKLAD	8500	19842	\N	\N	\N
899212	3064	1995-03-14	PRIJEM	VKLAD	400	32667	\N	\N	\N
899213	3064	1995-04-13	VYDAJ	VYBER	500	33280	\N	\N	\N
899214	3064	1995-05-13	VYDAJ	VYBER	400	34800	\N	\N	\N
899215	3064	1995-06-12	PRIJEM	VKLAD	5100	31097	\N	\N	\N
899216	3064	1995-07-12	VYDAJ	VYBER	5000	32673	\N	\N	\N
899217	3064	1995-08-11	PRIJEM	VKLAD	3000	38142	\N	\N	\N
899218	3064	1995-09-10	VYDAJ	VYBER	3900	32238	\N	\N	\N
899219	3064	1995-10-10	VYDAJ	VYBER	2100	32064	\N	\N	\N
899220	3064	1995-11-09	VYDAJ	VYBER	3800	30188	\N	\N	\N
899221	3064	1995-12-09	PRIJEM	VKLAD	100	29438	\N	\N	\N
899222	3064	1996-01-08	PRIJEM	VKLAD	4000	28499	\N	\N	\N
899223	3064	1996-02-07	PRIJEM	VKLAD	5300	27288	\N	\N	\N
899224	3064	1996-03-08	PRIJEM	VKLAD	3200	32381	\N	\N	\N
899225	3064	1996-04-07	PRIJEM	VKLAD	1200	34198	\N	\N	\N
899226	3064	1996-05-07	VYDAJ	VYBER	100	36110	\N	\N	\N
899227	3064	1996-06-06	VYDAJ	VYBER	3000	34534	\N	\N	\N
899228	3064	1996-07-06	VYDAJ	VYBER	1800	33865	\N	\N	\N
899229	3064	1996-08-05	PRIJEM	VKLAD	800	36781	\N	\N	\N
899230	3064	1996-09-04	VYDAJ	VYBER	2900	31674	\N	\N	\N
899231	3064	1996-10-04	PRIJEM	VKLAD	900	30419	\N	\N	\N
899232	3064	1996-11-03	VYDAJ	VYBER	2500	31118	\N	\N	\N
899233	3064	1996-12-03	PRIJEM	VKLAD	1400	33961	\N	\N	\N
899234	3064	1997-01-02	VYDAJ	VYBER	100	37389	\N	\N	\N
899235	3064	1997-02-01	PRIJEM	VKLAD	13400	34408	\N	\N	\N
899236	3064	1997-03-03	PRIJEM	VKLAD	3100	37790	\N	\N	\N
899237	3064	1997-04-02	PRIJEM	VKLAD	4100	44115	\N	\N	\N
899238	3064	1997-05-02	PRIJEM	VKLAD	1200	47265	\N	\N	\N
899239	3064	1997-06-01	VYDAJ	VYBER	1500	47131	\N	\N	\N
899240	3064	1997-07-01	PRIJEM	VKLAD	7400	51686	\N	\N	\N
899241	3064	1997-07-31	PRIJEM	VKLAD	1700	55782	\N	\N	\N
899242	3064	1997-08-30	VYDAJ	VYBER	500	57452	\N	\N	\N
899243	3064	1997-09-29	VYDAJ	VYBER	2700	56855	\N	\N	\N
899244	3064	1997-10-29	VYDAJ	VYBER	2700	56464	\N	\N	\N
899245	3064	1997-11-28	VYDAJ	VYBER	2800	55470	\N	\N	\N
899246	3064	1997-12-28	VYDAJ	VYBER	5400	53320	\N	\N	\N
899247	3064	1998-01-27	VYDAJ	VYBER	600	45240	\N	\N	\N
899248	3064	1998-02-26	VYDAJ	VYBER	200	43969	\N	\N	\N
899249	3064	1998-03-28	PRIJEM	VKLAD	100	42653	\N	\N	\N
899250	3064	1998-04-27	VYDAJ	VYBER	500	44495	\N	\N	\N
899251	3064	1998-05-27	VYDAJ	VYBER	3100	39481	\N	\N	\N
899252	3064	1998-06-26	PRIJEM	VKLAD	2400	40392	\N	\N	\N
899253	3064	1998-07-26	PRIJEM	VKLAD	4900	43679	\N	\N	\N
899254	3064	1998-08-25	PRIJEM	VKLAD	300	45206	\N	\N	\N
899255	3064	1998-09-24	PRIJEM	VKLAD	1800	49255	\N	\N	\N
899256	3064	1998-10-24	PRIJEM	VKLAD	1300	51252	\N	\N	\N
899257	3064	1998-11-23	VYDAJ	VYBER	400	53121	\N	\N	\N
899866	3066	1996-08-12	PRIJEM	VKLAD	700	700	\N	\N	\N
899875	3066	1996-09-05	PRIJEM	VKLAD	12863	13563	\N	\N	\N
899876	3066	1996-10-05	PRIJEM	VKLAD	12863	30776	\N	\N	\N
899877	3066	1996-11-05	PRIJEM	VKLAD	12863	43148	\N	\N	\N
899878	3066	1996-12-05	PRIJEM	VKLAD	19295	51975	\N	\N	\N
899879	3066	1997-01-05	PRIJEM	VKLAD	12863	52494	\N	\N	\N
899880	3066	1997-02-05	PRIJEM	VKLAD	12863	29366	\N	\N	\N
899881	3066	1997-03-05	PRIJEM	VKLAD	12863	38318	\N	\N	\N
899882	3066	1997-04-05	PRIJEM	VKLAD	12863	44151	\N	\N	\N
899883	3066	1997-05-05	PRIJEM	VKLAD	12863	43588	\N	\N	\N
899884	3066	1997-06-05	PRIJEM	VKLAD	19295	48952	\N	\N	\N
899885	3066	1997-07-05	PRIJEM	VKLAD	12863	43756	\N	\N	\N
899886	3066	1997-08-05	PRIJEM	VKLAD	12863	46701	\N	\N	\N
899887	3066	1997-09-05	PRIJEM	VKLAD	12863	46309	\N	\N	\N
899888	3066	1997-10-05	PRIJEM	VKLAD	12863	41223	\N	\N	\N
899889	3066	1997-11-05	PRIJEM	VKLAD	12863	44560	\N	\N	\N
899890	3066	1997-12-05	PRIJEM	VKLAD	19295	51337	\N	\N	\N
899891	3066	1998-01-05	PRIJEM	VKLAD	12863	38646	\N	\N	\N
899892	3066	1998-02-05	PRIJEM	VKLAD	12863	40630	\N	\N	\N
899893	3066	1998-03-05	PRIJEM	VKLAD	12863	50387	\N	\N	\N
899894	3066	1998-04-05	PRIJEM	VKLAD	12863	50250	\N	\N	\N
899895	3066	1998-05-05	PRIJEM	VKLAD	12863	53841	\N	\N	\N
899896	3066	1998-06-05	PRIJEM	VKLAD	19295	44662	\N	\N	\N
899897	3066	1998-07-05	PRIJEM	VKLAD	12863	51340	\N	\N	\N
899898	3066	1998-08-05	PRIJEM	VKLAD	12863	52462	\N	\N	\N
899899	3066	1998-09-05	PRIJEM	VKLAD	12863	50930	\N	\N	\N
899900	3066	1998-10-05	PRIJEM	VKLAD	12863	51837	\N	\N	\N
899901	3066	1998-11-05	PRIJEM	VKLAD	12863	45599	\N	\N	\N
899902	3066	1998-12-05	PRIJEM	VKLAD	19295	50939	\N	\N	\N
899915	3066	1997-01-08	VYDAJ	PREVOD NA UCET	3241	49253	SIPO	CD	50533449
899916	3066	1997-02-08	VYDAJ	PREVOD NA UCET	3241	26325	SIPO	CD	50533449
899917	3066	1997-03-08	VYDAJ	PREVOD NA UCET	3241	35077	SIPO	CD	50533449
899918	3066	1997-04-08	VYDAJ	PREVOD NA UCET	3241	40910	SIPO	CD	50533449
899919	3066	1997-05-08	VYDAJ	PREVOD NA UCET	3241	40347	SIPO	CD	50533449
899920	3066	1997-06-08	VYDAJ	PREVOD NA UCET	3241	45711	SIPO	CD	50533449
899921	3066	1997-07-08	VYDAJ	PREVOD NA UCET	3241	33715	SIPO	CD	50533449
899922	3066	1997-08-08	VYDAJ	PREVOD NA UCET	3241	34160	SIPO	CD	50533449
899923	3066	1997-09-08	VYDAJ	PREVOD NA UCET	3241	30768	SIPO	CD	50533449
899924	3066	1997-10-08	VYDAJ	PREVOD NA UCET	3241	31582	SIPO	CD	50533449
899925	3066	1997-11-08	VYDAJ	PREVOD NA UCET	3241	31919	SIPO	CD	50533449
899926	3066	1997-12-08	VYDAJ	PREVOD NA UCET	3241	34596	SIPO	CD	50533449
899927	3066	1998-01-08	VYDAJ	PREVOD NA UCET	3241	35405	SIPO	CD	50533449
899928	3066	1998-02-08	VYDAJ	PREVOD NA UCET	3241	37389	SIPO	CD	50533449
899929	3066	1998-03-08	VYDAJ	PREVOD NA UCET	3241	37146	SIPO	CD	50533449
899930	3066	1998-04-08	VYDAJ	PREVOD NA UCET	3241	47009	SIPO	CD	50533449
899931	3066	1998-05-08	VYDAJ	PREVOD NA UCET	3241	48800	SIPO	CD	50533449
899932	3066	1998-06-08	VYDAJ	PREVOD NA UCET	3241	41421	SIPO	CD	50533449
899933	3066	1998-07-08	VYDAJ	PREVOD NA UCET	3241	48099	SIPO	CD	50533449
899934	3066	1998-08-08	VYDAJ	PREVOD NA UCET	3241	49221	SIPO	CD	50533449
899935	3066	1998-09-08	VYDAJ	PREVOD NA UCET	3241	47689	SIPO	CD	50533449
899936	3066	1998-10-08	VYDAJ	PREVOD NA UCET	3241	46556	SIPO	CD	50533449
899937	3066	1998-11-08	VYDAJ	PREVOD NA UCET	3241	39598	SIPO	CD	50533449
899938	3066	1998-12-08	VYDAJ	PREVOD NA UCET	3241	47698	SIPO	CD	50533449
899941	3066	1998-06-03	VYDAJ	VYBER	27520	25367	\N	\N	\N
899943	3066	1997-01-15	VYDAJ	VYBER	13600	26953	\N	\N	\N
899944	3066	1998-01-03	VYDAJ	VYBER	10240	15483	\N	\N	\N
899946	3066	1997-12-12	VYDAJ	VYBER	2880	31716	\N	\N	\N
899947	3066	1998-12-19	VYDAJ	VYBER	3040	44658	\N	\N	\N
899954	3066	1997-01-17	VYDAJ	VYBER	3360	22273	\N	\N	\N
899955	3066	1997-01-28	VYDAJ	VYBER	2880	18193	\N	\N	\N
899957	3066	1997-01-16	VYDAJ	VYBER	1320	25633	\N	\N	\N
899958	3066	1997-01-30	VYDAJ	VYBER	1800	16393	\N	\N	\N
899959	3066	1997-01-22	VYDAJ	VYBER	1200	21073	\N	\N	\N
899960	3066	1998-01-12	VYDAJ	VYBER	2880	27485	\N	\N	\N
899961	3066	1998-01-02	VYDAJ	VYBER	3360	25723	\N	\N	\N
899962	3066	1998-01-19	VYDAJ	VYBER	2520	24965	\N	\N	\N
899963	3066	1998-01-11	VYDAJ	VYBER	3240	30365	\N	\N	\N
899964	3066	1998-01-11	VYDAJ	VYBER	1800	33605	\N	\N	\N
899965	3066	1998-01-02	VYDAJ	VYBER	2760	29083	\N	\N	\N
899970	3066	1997-08-12	VYDAJ	VYBER	840	33320	\N	\N	\N
899971	3066	1997-06-19	VYDAJ	VYBER	1320	30771	\N	\N	\N
899972	3066	1997-06-12	VYDAJ	VYBER	4320	32091	\N	\N	\N
899973	3066	1997-09-18	VYDAJ	VYBER	2520	28248	\N	\N	\N
899974	3066	1997-02-20	VYDAJ	VYBER	960	25365	\N	\N	\N
899975	3066	1998-07-20	VYDAJ	VYBER	2280	45819	\N	\N	\N
899976	3066	1998-08-16	VYDAJ	VYBER	1440	47781	\N	\N	\N
899977	3066	1998-10-05	VYDAJ	VYBER	2040	49797	\N	\N	\N
899978	3066	1998-11-05	VYDAJ	VYBER	2760	42839	\N	\N	\N
899979	3066	1998-05-05	VYDAJ	VYBER	1800	52041	\N	\N	\N
899980	3066	1998-04-16	VYDAJ	VYBER	3600	43409	\N	\N	\N
899994	3066	1997-01-31	VYDAJ	VYBER	15	16503	SLUZBY	\N	\N
899995	3066	1997-02-28	VYDAJ	VYBER	15	25455	SLUZBY	\N	\N
899996	3066	1997-03-31	VYDAJ	VYBER	15	31288	SLUZBY	\N	\N
899997	3066	1997-04-30	VYDAJ	VYBER	15	30725	SLUZBY	\N	\N
899998	3066	1997-05-31	VYDAJ	VYBER	15	29658	SLUZBY	\N	\N
899999	3066	1997-06-30	VYDAJ	VYBER	15	30893	SLUZBY	\N	\N
900000	3066	1997-07-31	VYDAJ	VYBER	15	33838	SLUZBY	\N	\N
900001	3066	1997-08-31	VYDAJ	VYBER	15	33446	SLUZBY	\N	\N
900002	3066	1997-09-30	VYDAJ	VYBER	15	28360	SLUZBY	\N	\N
900003	3066	1997-10-31	VYDAJ	VYBER	15	31697	SLUZBY	\N	\N
900004	3066	1997-11-30	VYDAJ	VYBER	15	32042	SLUZBY	\N	\N
900005	3066	1997-12-31	VYDAJ	VYBER	15	31843	SLUZBY	\N	\N
900006	3066	1998-01-31	VYDAJ	VYBER	15	25067	SLUZBY	\N	\N
900007	3066	1998-02-28	VYDAJ	VYBER	15	37524	SLUZBY	\N	\N
900008	3066	1998-03-31	VYDAJ	VYBER	15	37287	SLUZBY	\N	\N
900009	3066	1998-04-30	VYDAJ	VYBER	15	43578	SLUZBY	\N	\N
900010	3066	1998-05-31	VYDAJ	VYBER	15	48987	SLUZBY	\N	\N
900011	3066	1998-06-30	VYDAJ	VYBER	15	41577	SLUZBY	\N	\N
900012	3066	1998-07-31	VYDAJ	VYBER	15	45999	SLUZBY	\N	\N
900013	3066	1998-08-31	VYDAJ	VYBER	15	47967	SLUZBY	\N	\N
900014	3066	1998-09-30	VYDAJ	VYBER	15	47874	SLUZBY	\N	\N
900015	3066	1998-10-31	VYDAJ	VYBER	15	46736	SLUZBY	\N	\N
900016	3066	1998-11-30	VYDAJ	VYBER	15	31644	SLUZBY	\N	\N
900017	3066	1996-09-11	PRIJEM	VKLAD	4300	17863	\N	\N	\N
900018	3066	1996-10-11	VYDAJ	VYBER	600	30176	\N	\N	\N
900019	3066	1996-11-10	VYDAJ	VYBER	10600	32548	\N	\N	\N
900020	3066	1996-12-10	VYDAJ	VYBER	12500	39475	\N	\N	\N
900021	3066	1997-01-09	VYDAJ	VYBER	8700	40553	\N	\N	\N
900022	3066	1997-02-08	PRIJEM	VKLAD	200	29566	\N	\N	\N
900023	3066	1997-03-10	VYDAJ	VYBER	3900	31177	\N	\N	\N
900024	3066	1997-04-09	VYDAJ	VYBER	10300	30610	\N	\N	\N
900025	3066	1997-05-09	VYDAJ	VYBER	10800	29547	\N	\N	\N
900026	3066	1997-06-08	VYDAJ	VYBER	9300	36411	\N	\N	\N
900027	3066	1997-07-08	VYDAJ	VYBER	6800	36956	\N	\N	\N
900028	3066	1997-08-07	VYDAJ	VYBER	9300	37401	\N	\N	\N
900029	3066	1997-09-06	VYDAJ	VYBER	12300	34009	\N	\N	\N
900030	3066	1997-10-06	VYDAJ	VYBER	6400	34823	\N	\N	\N
900031	3066	1997-11-05	VYDAJ	VYBER	9400	35160	\N	\N	\N
900032	3066	1997-12-05	VYDAJ	VYBER	13500	37837	\N	\N	\N
900033	3066	1998-01-04	PRIJEM	VKLAD	10300	25783	\N	\N	\N
900034	3066	1998-02-03	PRIJEM	VKLAD	2700	27767	\N	\N	\N
900035	3066	1998-03-05	VYDAJ	VYBER	10000	40387	\N	\N	\N
900036	3066	1998-04-04	PRIJEM	VKLAD	100	37387	\N	\N	\N
900037	3066	1998-05-04	VYDAJ	VYBER	2600	40978	\N	\N	\N
900038	3066	1998-06-03	PRIJEM	VKLAD	3900	52887	\N	\N	\N
900039	3066	1998-07-03	VYDAJ	VYBER	3100	38477	\N	\N	\N
900040	3066	1998-08-02	VYDAJ	VYBER	6400	39599	\N	\N	\N
900041	3066	1998-09-01	VYDAJ	VYBER	9900	38067	\N	\N	\N
900042	3066	1998-10-01	VYDAJ	VYBER	8900	38974	\N	\N	\N
900043	3066	1998-10-31	VYDAJ	VYBER	14000	32736	\N	\N	\N
900044	3066	1998-11-30	VYDAJ	VYBER	8100	31659	\N	\N	\N
900073	3067	1997-01-30	PRIJEM	VKLAD	800	800	\N	\N	\N
900075	3067	1997-02-06	PRIJEM	VKLAD	5901	6701	\N	\N	\N
900076	3067	1997-03-06	PRIJEM	VKLAD	5901	18402	\N	\N	\N
900077	3067	1997-04-06	PRIJEM	VKLAD	5901	28868	\N	\N	\N
900078	3067	1997-05-06	PRIJEM	VKLAD	5901	32665	\N	\N	\N
900079	3067	1997-06-06	PRIJEM	VKLAD	8852	34928	\N	\N	\N
900080	3067	1997-07-06	PRIJEM	VKLAD	5901	29424	\N	\N	\N
900081	3067	1997-08-06	PRIJEM	VKLAD	5901	20439	\N	\N	\N
900082	3067	1997-09-06	PRIJEM	VKLAD	5901	23836	\N	\N	\N
900083	3067	1997-10-06	PRIJEM	VKLAD	5901	22369	\N	\N	\N
900084	3067	1997-11-06	PRIJEM	VKLAD	5901	22696	\N	\N	\N
900085	3067	1997-12-06	PRIJEM	VKLAD	8852	24574	\N	\N	\N
900086	3067	1998-01-06	PRIJEM	VKLAD	5901	21366	\N	\N	\N
900087	3067	1998-02-06	PRIJEM	VKLAD	5901	18981	\N	\N	\N
900088	3067	1998-03-06	PRIJEM	VKLAD	5901	22397	\N	\N	\N
900089	3067	1998-04-06	PRIJEM	VKLAD	5901	24263	\N	\N	\N
900090	3067	1998-05-06	PRIJEM	VKLAD	5901	25899	\N	\N	\N
900091	3067	1998-06-06	PRIJEM	VKLAD	8852	28148	\N	\N	\N
900092	3067	1998-07-06	PRIJEM	VKLAD	5901	22269	\N	\N	\N
900093	3067	1998-08-06	PRIJEM	VKLAD	5901	22391	\N	\N	\N
900094	3067	1998-09-06	PRIJEM	VKLAD	5901	23218	\N	\N	\N
900095	3067	1998-10-06	PRIJEM	VKLAD	5901	19943	\N	\N	\N
900096	3067	1998-11-06	PRIJEM	VKLAD	5901	22903	\N	\N	\N
900097	3067	1998-12-06	PRIJEM	VKLAD	8852	25380	\N	\N	\N
900103	3067	1997-06-06	VYDAJ	PREVOD NA UCET	2604	32324	SIPO	EF	14703780
900104	3067	1997-07-06	VYDAJ	PREVOD NA UCET	2604	26820	SIPO	EF	14703780
900105	3067	1997-08-06	VYDAJ	PREVOD NA UCET	2604	17835	SIPO	EF	14703780
900106	3067	1997-09-06	VYDAJ	PREVOD NA UCET	2604	21232	SIPO	EF	14703780
900107	3067	1997-10-06	VYDAJ	PREVOD NA UCET	2604	19765	SIPO	EF	14703780
900108	3067	1997-11-06	VYDAJ	PREVOD NA UCET	2604	20092	SIPO	EF	14703780
900109	3067	1997-12-06	VYDAJ	PREVOD NA UCET	2604	21970	SIPO	EF	14703780
900110	3067	1998-01-06	VYDAJ	PREVOD NA UCET	2604	18762	SIPO	EF	14703780
900111	3067	1998-02-06	VYDAJ	PREVOD NA UCET	2604	16377	SIPO	EF	14703780
900112	3067	1998-03-06	VYDAJ	PREVOD NA UCET	2604	19793	SIPO	EF	14703780
900113	3067	1998-04-06	VYDAJ	PREVOD NA UCET	2604	21659	SIPO	EF	14703780
900114	3067	1998-05-06	VYDAJ	PREVOD NA UCET	2604	23295	SIPO	EF	14703780
900115	3067	1998-06-06	VYDAJ	PREVOD NA UCET	2604	25544	SIPO	EF	14703780
900116	3067	1998-07-06	VYDAJ	PREVOD NA UCET	2604	19665	SIPO	EF	14703780
900117	3067	1998-08-06	VYDAJ	PREVOD NA UCET	2604	19787	SIPO	EF	14703780
900118	3067	1998-09-06	VYDAJ	PREVOD NA UCET	2604	20614	SIPO	EF	14703780
900119	3067	1998-10-06	VYDAJ	PREVOD NA UCET	2604	17339	SIPO	EF	14703780
900120	3067	1998-11-06	VYDAJ	PREVOD NA UCET	2604	20299	SIPO	EF	14703780
900121	3067	1998-12-06	VYDAJ	PREVOD NA UCET	2604	22776	SIPO	EF	14703780
900127	3067	1997-06-08	VYDAJ	PREVOD NA UCET	1330	30994	 	AB	61285483
900128	3067	1997-07-08	VYDAJ	PREVOD NA UCET	1330	25490	 	AB	61285483
900129	3067	1997-08-08	VYDAJ	PREVOD NA UCET	1330	16505	 	AB	61285483
900130	3067	1997-09-08	VYDAJ	PREVOD NA UCET	1330	19902	 	AB	61285483
900131	3067	1997-10-08	VYDAJ	PREVOD NA UCET	1330	18435	 	AB	61285483
900132	3067	1997-11-08	VYDAJ	PREVOD NA UCET	1330	18762	 	AB	61285483
900133	3067	1997-12-08	VYDAJ	PREVOD NA UCET	1330	20640	 	AB	61285483
900134	3067	1998-01-08	VYDAJ	PREVOD NA UCET	1330	17432	 	AB	61285483
900135	3067	1998-02-08	VYDAJ	PREVOD NA UCET	1330	15047	 	AB	61285483
900136	3067	1998-03-08	VYDAJ	PREVOD NA UCET	1330	18463	 	AB	61285483
900137	3067	1998-04-08	VYDAJ	PREVOD NA UCET	1330	20329	 	AB	61285483
900138	3067	1998-05-08	VYDAJ	PREVOD NA UCET	1330	21965	 	AB	61285483
900139	3067	1998-06-08	VYDAJ	PREVOD NA UCET	1330	24214	 	AB	61285483
900140	3067	1998-07-08	VYDAJ	PREVOD NA UCET	1330	18335	 	AB	61285483
900141	3067	1998-08-08	VYDAJ	PREVOD NA UCET	1330	18457	 	AB	61285483
900142	3067	1998-09-08	VYDAJ	PREVOD NA UCET	1330	19284	 	AB	61285483
900143	3067	1998-10-08	VYDAJ	PREVOD NA UCET	1330	16009	 	AB	61285483
900144	3067	1998-11-08	VYDAJ	PREVOD NA UCET	1330	18969	 	AB	61285483
900145	3067	1998-12-08	VYDAJ	PREVOD NA UCET	1330	21446	 	AB	61285483
900146	3067	1997-12-20	VYDAJ	VYBER	2080	18560	\N	\N	\N
900155	3067	1998-01-05	VYDAJ	VYBER	1440	16785	\N	\N	\N
900156	3067	1998-01-20	VYDAJ	VYBER	1560	12632	\N	\N	\N
900157	3067	1998-01-05	VYDAJ	VYBER	1320	15465	\N	\N	\N
900159	3067	1998-01-13	VYDAJ	VYBER	3240	14192	\N	\N	\N
900163	3067	1997-08-14	VYDAJ	VYBER	1920	14585	\N	\N	\N
900164	3067	1997-07-31	VYDAJ	VYBER	5640	14553	\N	\N	\N
900165	3067	1997-06-27	VYDAJ	VYBER	5280	25714	\N	\N	\N
900166	3067	1998-05-21	VYDAJ	VYBER	2040	19925	\N	\N	\N
900167	3067	1998-03-18	VYDAJ	VYBER	2760	15703	\N	\N	\N
900169	3067	1998-06-17	VYDAJ	VYBER	3480	20734	\N	\N	\N
900170	3067	1998-06-25	VYDAJ	VYBER	4440	16294	\N	\N	\N
900171	3067	1998-07-14	VYDAJ	VYBER	3000	15335	\N	\N	\N
900172	3067	1998-10-23	VYDAJ	VYBER	960	16949	\N	\N	\N
900179	3067	1997-06-30	VYDAJ	VYBER	15	23523	SLUZBY	\N	\N
900180	3067	1997-07-31	VYDAJ	VYBER	15	14538	SLUZBY	\N	\N
900181	3067	1997-08-31	VYDAJ	VYBER	15	17935	SLUZBY	\N	\N
900182	3067	1997-09-30	VYDAJ	VYBER	15	16468	SLUZBY	\N	\N
900183	3067	1997-10-31	VYDAJ	VYBER	15	16795	SLUZBY	\N	\N
900184	3067	1997-11-30	VYDAJ	VYBER	15	15723	SLUZBY	\N	\N
900185	3067	1997-12-31	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
900186	3067	1998-01-31	VYDAJ	VYBER	15	13080	SLUZBY	\N	\N
900187	3067	1998-02-28	VYDAJ	VYBER	15	16496	SLUZBY	\N	\N
900188	3067	1998-03-31	VYDAJ	VYBER	15	18362	SLUZBY	\N	\N
900189	3067	1998-04-30	VYDAJ	VYBER	15	19998	SLUZBY	\N	\N
900190	3067	1998-05-31	VYDAJ	VYBER	15	19297	SLUZBY	\N	\N
900191	3067	1998-06-30	VYDAJ	VYBER	15	16368	SLUZBY	\N	\N
900192	3067	1998-07-31	VYDAJ	VYBER	15	16490	SLUZBY	\N	\N
900193	3067	1998-08-31	VYDAJ	VYBER	15	17317	SLUZBY	\N	\N
900194	3067	1998-09-30	VYDAJ	VYBER	15	14042	SLUZBY	\N	\N
900195	3067	1998-10-31	VYDAJ	VYBER	15	17002	SLUZBY	\N	\N
900196	3067	1998-11-30	VYDAJ	VYBER	15	16529	SLUZBY	\N	\N
900197	3067	1997-03-01	PRIJEM	VKLAD	5800	12501	\N	\N	\N
900198	3067	1997-03-31	PRIJEM	VKLAD	4500	22967	\N	\N	\N
900199	3067	1997-04-30	VYDAJ	VYBER	2200	26764	\N	\N	\N
900200	3067	1997-05-30	VYDAJ	VYBER	6700	25965	\N	\N	\N
900201	3067	1997-06-29	VYDAJ	VYBER	2300	23414	\N	\N	\N
900202	3067	1997-07-29	VYDAJ	VYBER	5400	20090	\N	\N	\N
900203	3067	1997-08-28	PRIJEM	VKLAD	3300	17885	\N	\N	\N
900204	3067	1997-09-27	VYDAJ	VYBER	3500	16402	\N	\N	\N
900205	3067	1997-10-27	VYDAJ	VYBER	1700	16735	\N	\N	\N
900206	3067	1997-11-26	VYDAJ	VYBER	3100	15662	\N	\N	\N
900207	3067	1997-12-26	VYDAJ	VYBER	400	18160	\N	\N	\N
900208	3067	1998-01-25	PRIJEM	VKLAD	400	13032	\N	\N	\N
900209	3067	1998-02-24	PRIJEM	VKLAD	1400	16447	\N	\N	\N
900210	3067	1998-03-26	PRIJEM	VKLAD	2600	18303	\N	\N	\N
900211	3067	1998-04-25	VYDAJ	VYBER	400	19929	\N	\N	\N
900212	3067	1998-05-25	VYDAJ	VYBER	700	19225	\N	\N	\N
900213	3067	1998-07-24	PRIJEM	VKLAD	1100	16435	\N	\N	\N
900214	3067	1998-08-23	VYDAJ	VYBER	1200	17257	\N	\N	\N
900215	3067	1998-09-22	VYDAJ	VYBER	5300	13984	\N	\N	\N
900216	3067	1998-10-22	PRIJEM	VKLAD	1900	17909	\N	\N	\N
900217	3067	1998-11-21	VYDAJ	VYBER	2500	16469	\N	\N	\N
900240	3068	1993-04-25	PRIJEM	VKLAD	500	500	\N	\N	\N
900245	3068	1993-05-14	PRIJEM	PREVOD Z UCTU	6193	6693	DUCHOD	YZ	23076516
900246	3068	1993-06-14	PRIJEM	PREVOD Z UCTU	6193	12886	DUCHOD	YZ	23076516
900247	3068	1993-07-14	PRIJEM	PREVOD Z UCTU	6193	19079	DUCHOD	YZ	23076516
900248	3068	1993-08-14	PRIJEM	PREVOD Z UCTU	6193	25272	DUCHOD	YZ	23076516
900249	3068	1993-09-14	PRIJEM	PREVOD Z UCTU	6193	31465	DUCHOD	YZ	23076516
900250	3068	1993-10-14	PRIJEM	PREVOD Z UCTU	6193	28319	DUCHOD	YZ	23076516
900251	3068	1993-11-14	PRIJEM	PREVOD Z UCTU	6193	25663	DUCHOD	YZ	23076516
900252	3068	1993-12-14	PRIJEM	PREVOD Z UCTU	6193	25459	DUCHOD	YZ	23076516
900253	3068	1994-01-14	PRIJEM	PREVOD Z UCTU	6193	26709	DUCHOD	YZ	23076516
900254	3068	1994-02-14	PRIJEM	PREVOD Z UCTU	6193	29117	DUCHOD	YZ	23076516
900255	3068	1994-03-14	PRIJEM	PREVOD Z UCTU	6193	28149	DUCHOD	YZ	23076516
900256	3068	1994-04-14	PRIJEM	PREVOD Z UCTU	6193	30563	DUCHOD	YZ	23076516
900257	3068	1994-05-14	PRIJEM	PREVOD Z UCTU	6193	26957	DUCHOD	YZ	23076516
900258	3068	1994-06-14	PRIJEM	PREVOD Z UCTU	6193	20156	DUCHOD	YZ	23076516
900259	3068	1994-07-14	PRIJEM	PREVOD Z UCTU	6193	22533	DUCHOD	YZ	23076516
900260	3068	1994-08-14	PRIJEM	PREVOD Z UCTU	6193	24923	DUCHOD	YZ	23076516
900261	3068	1994-09-14	PRIJEM	PREVOD Z UCTU	6193	27323	DUCHOD	YZ	23076516
900262	3068	1994-10-14	PRIJEM	PREVOD Z UCTU	6193	28692	DUCHOD	YZ	23076516
900263	3068	1994-11-14	PRIJEM	PREVOD Z UCTU	6193	29705	DUCHOD	YZ	23076516
900264	3068	1994-12-14	PRIJEM	PREVOD Z UCTU	6193	31524	DUCHOD	YZ	23076516
900265	3068	1995-01-14	PRIJEM	PREVOD Z UCTU	6193	26613	DUCHOD	YZ	23076516
900266	3068	1995-02-14	PRIJEM	PREVOD Z UCTU	6193	23611	DUCHOD	YZ	23076516
900267	3068	1995-03-14	PRIJEM	PREVOD Z UCTU	6193	22562	DUCHOD	YZ	23076516
900268	3068	1995-04-14	PRIJEM	PREVOD Z UCTU	6193	24551	DUCHOD	YZ	23076516
900269	3068	1995-05-14	PRIJEM	PREVOD Z UCTU	6193	24243	DUCHOD	YZ	23076516
900270	3068	1995-06-14	PRIJEM	PREVOD Z UCTU	6193	24937	DUCHOD	YZ	23076516
900271	3068	1995-07-14	PRIJEM	PREVOD Z UCTU	6193	24736	DUCHOD	YZ	23076516
900272	3068	1995-08-14	PRIJEM	PREVOD Z UCTU	6193	23125	DUCHOD	YZ	23076516
900273	3068	1995-09-14	PRIJEM	PREVOD Z UCTU	6193	25518	DUCHOD	YZ	23076516
900274	3068	1995-10-14	PRIJEM	PREVOD Z UCTU	6193	27920	DUCHOD	YZ	23076516
900275	3068	1995-11-14	PRIJEM	PREVOD Z UCTU	6193	27132	DUCHOD	YZ	23076516
900276	3068	1995-12-14	PRIJEM	PREVOD Z UCTU	6193	25943	DUCHOD	YZ	23076516
900277	3068	1996-01-14	PRIJEM	PREVOD Z UCTU	6193	26447	DUCHOD	YZ	23076516
900278	3068	1996-02-14	PRIJEM	PREVOD Z UCTU	6193	22062	DUCHOD	YZ	23076516
900279	3068	1996-03-14	PRIJEM	PREVOD Z UCTU	6193	23049	DUCHOD	YZ	23076516
900280	3068	1996-04-14	PRIJEM	PREVOD Z UCTU	6193	25440	DUCHOD	YZ	23076516
900281	3068	1996-05-14	PRIJEM	PREVOD Z UCTU	6193	24541	DUCHOD	YZ	23076516
900282	3068	1996-06-14	PRIJEM	PREVOD Z UCTU	6193	23097	DUCHOD	YZ	23076516
900283	3068	1996-07-14	PRIJEM	PREVOD Z UCTU	6193	18565	DUCHOD	YZ	23076516
900284	3068	1996-08-14	PRIJEM	PREVOD Z UCTU	6193	20939	DUCHOD	YZ	23076516
900285	3068	1996-09-14	PRIJEM	PREVOD Z UCTU	6193	21700	DUCHOD	YZ	23076516
900286	3068	1996-10-14	PRIJEM	PREVOD Z UCTU	6193	19682	DUCHOD	YZ	23076516
900287	3068	1996-11-14	PRIJEM	PREVOD Z UCTU	6193	22058	DUCHOD	YZ	23076516
900288	3068	1996-12-14	PRIJEM	PREVOD Z UCTU	6193	24045	DUCHOD	YZ	23076516
900289	3068	1997-01-14	PRIJEM	PREVOD Z UCTU	6193	16238	DUCHOD	YZ	23076516
900290	3068	1997-02-14	PRIJEM	PREVOD Z UCTU	6193	17601	DUCHOD	YZ	23076516
900291	3068	1997-03-14	PRIJEM	PREVOD Z UCTU	6193	19964	DUCHOD	YZ	23076516
900292	3068	1997-04-14	PRIJEM	PREVOD Z UCTU	6193	16542	DUCHOD	YZ	23076516
900293	3068	1997-05-14	PRIJEM	PREVOD Z UCTU	6193	18104	DUCHOD	YZ	23076516
900294	3068	1997-06-14	PRIJEM	PREVOD Z UCTU	6193	16570	DUCHOD	YZ	23076516
900295	3068	1997-07-14	PRIJEM	PREVOD Z UCTU	6193	18931	DUCHOD	YZ	23076516
900296	3068	1997-08-14	PRIJEM	PREVOD Z UCTU	6193	21305	DUCHOD	YZ	23076516
900297	3068	1997-09-14	PRIJEM	PREVOD Z UCTU	6193	21127	DUCHOD	YZ	23076516
900298	3068	1997-10-14	PRIJEM	PREVOD Z UCTU	6193	21910	DUCHOD	YZ	23076516
900299	3068	1997-11-14	PRIJEM	PREVOD Z UCTU	6193	21576	DUCHOD	YZ	23076516
900300	3068	1997-12-14	PRIJEM	PREVOD Z UCTU	6193	23960	DUCHOD	YZ	23076516
900301	3068	1998-01-14	PRIJEM	PREVOD Z UCTU	6193	25804	DUCHOD	YZ	23076516
900302	3068	1998-02-14	PRIJEM	PREVOD Z UCTU	6193	25320	DUCHOD	YZ	23076516
900303	3068	1998-03-14	PRIJEM	PREVOD Z UCTU	6193	25560	DUCHOD	YZ	23076516
900304	3068	1998-04-14	PRIJEM	PREVOD Z UCTU	6193	24190	DUCHOD	YZ	23076516
900305	3068	1998-05-14	PRIJEM	PREVOD Z UCTU	6193	26585	DUCHOD	YZ	23076516
900306	3068	1998-06-14	PRIJEM	PREVOD Z UCTU	6193	25463	DUCHOD	YZ	23076516
900307	3068	1998-07-14	PRIJEM	PREVOD Z UCTU	6193	27863	DUCHOD	YZ	23076516
900308	3068	1998-08-14	PRIJEM	PREVOD Z UCTU	6193	30273	DUCHOD	YZ	23076516
900309	3068	1998-09-14	PRIJEM	PREVOD Z UCTU	6193	30933	DUCHOD	YZ	23076516
900310	3068	1998-10-14	PRIJEM	PREVOD Z UCTU	6193	33356	DUCHOD	YZ	23076516
900311	3068	1998-11-14	PRIJEM	PREVOD Z UCTU	6193	35788	DUCHOD	YZ	23076516
900312	3068	1998-12-14	PRIJEM	PREVOD Z UCTU	6193	38231	DUCHOD	YZ	23076516
900322	3068	1993-10-05	VYDAJ	PREVOD NA UCET	3878	22126	SIPO	YZ	6201172
900323	3068	1993-11-05	VYDAJ	PREVOD NA UCET	3878	20030	SIPO	YZ	6201172
900324	3068	1993-12-05	VYDAJ	PREVOD NA UCET	3878	19266	SIPO	YZ	6201172
900325	3068	1994-01-05	VYDAJ	PREVOD NA UCET	3878	20516	SIPO	YZ	6201172
900326	3068	1994-02-05	VYDAJ	PREVOD NA UCET	3878	22924	SIPO	YZ	6201172
900327	3068	1994-03-05	VYDAJ	PREVOD NA UCET	3878	21956	SIPO	YZ	6201172
900328	3068	1994-04-05	VYDAJ	PREVOD NA UCET	3878	24370	SIPO	YZ	6201172
900329	3068	1994-05-05	VYDAJ	PREVOD NA UCET	3878	20764	SIPO	YZ	6201172
900330	3068	1994-06-05	VYDAJ	PREVOD NA UCET	3878	13963	SIPO	YZ	6201172
900331	3068	1994-07-05	VYDAJ	PREVOD NA UCET	3878	16340	SIPO	YZ	6201172
900332	3068	1994-08-05	VYDAJ	PREVOD NA UCET	3878	18730	SIPO	YZ	6201172
900333	3068	1994-09-05	VYDAJ	PREVOD NA UCET	3878	21130	SIPO	YZ	6201172
900334	3068	1994-10-05	VYDAJ	PREVOD NA UCET	3878	22499	SIPO	YZ	6201172
900335	3068	1994-11-05	VYDAJ	PREVOD NA UCET	3878	23512	SIPO	YZ	6201172
900336	3068	1994-12-05	VYDAJ	PREVOD NA UCET	3878	25331	SIPO	YZ	6201172
900337	3068	1995-01-05	VYDAJ	PREVOD NA UCET	3878	23700	SIPO	YZ	6201172
900338	3068	1995-02-05	VYDAJ	PREVOD NA UCET	3878	17418	SIPO	YZ	6201172
900339	3068	1995-03-05	VYDAJ	PREVOD NA UCET	3878	16369	SIPO	YZ	6201172
900340	3068	1995-04-05	VYDAJ	PREVOD NA UCET	3878	18358	SIPO	YZ	6201172
900341	3068	1995-05-05	VYDAJ	PREVOD NA UCET	3878	18050	SIPO	YZ	6201172
900342	3068	1995-06-05	VYDAJ	PREVOD NA UCET	3878	18744	SIPO	YZ	6201172
900343	3068	1995-07-05	VYDAJ	PREVOD NA UCET	3878	18543	SIPO	YZ	6201172
900344	3068	1995-08-05	VYDAJ	PREVOD NA UCET	3878	16932	SIPO	YZ	6201172
900345	3068	1995-09-05	VYDAJ	PREVOD NA UCET	3878	19325	SIPO	YZ	6201172
900346	3068	1995-10-05	VYDAJ	PREVOD NA UCET	3878	21727	SIPO	YZ	6201172
900347	3068	1995-11-05	VYDAJ	PREVOD NA UCET	3878	24139	SIPO	YZ	6201172
900348	3068	1995-12-05	VYDAJ	PREVOD NA UCET	3878	23350	SIPO	YZ	6201172
900349	3068	1996-01-05	VYDAJ	PREVOD NA UCET	3878	22154	SIPO	YZ	6201172
900350	3068	1996-02-05	VYDAJ	PREVOD NA UCET	3878	17369	SIPO	YZ	6201172
900351	3068	1996-03-05	VYDAJ	PREVOD NA UCET	3878	18256	SIPO	YZ	6201172
900352	3068	1996-04-05	VYDAJ	PREVOD NA UCET	3878	19247	SIPO	YZ	6201172
900353	3068	1996-05-05	VYDAJ	PREVOD NA UCET	3878	21648	SIPO	YZ	6201172
900354	3068	1996-06-05	VYDAJ	PREVOD NA UCET	3878	18104	SIPO	YZ	6201172
900355	3068	1996-07-05	VYDAJ	PREVOD NA UCET	3878	16172	SIPO	YZ	6201172
900356	3068	1996-08-05	VYDAJ	PREVOD NA UCET	3878	14746	SIPO	YZ	6201172
900357	3068	1996-09-05	VYDAJ	PREVOD NA UCET	3878	16407	SIPO	YZ	6201172
900358	3068	1996-10-05	VYDAJ	PREVOD NA UCET	3878	17889	SIPO	YZ	6201172
900359	3068	1996-11-05	VYDAJ	PREVOD NA UCET	3878	15865	SIPO	YZ	6201172
900360	3068	1996-12-05	VYDAJ	PREVOD NA UCET	3878	18252	SIPO	YZ	6201172
900361	3068	1997-01-05	VYDAJ	PREVOD NA UCET	3878	10045	SIPO	YZ	6201172
900362	3068	1997-02-05	VYDAJ	PREVOD NA UCET	3878	11408	SIPO	YZ	6201172
900363	3068	1997-03-05	VYDAJ	PREVOD NA UCET	3878	13771	SIPO	YZ	6201172
900364	3068	1997-04-05	VYDAJ	PREVOD NA UCET	3878	10349	SIPO	YZ	6201172
900365	3068	1997-05-05	VYDAJ	PREVOD NA UCET	3878	11911	SIPO	YZ	6201172
900366	3068	1997-06-05	VYDAJ	PREVOD NA UCET	3878	10377	SIPO	YZ	6201172
900367	3068	1997-07-05	VYDAJ	PREVOD NA UCET	3878	12738	SIPO	YZ	6201172
900368	3068	1997-08-05	VYDAJ	PREVOD NA UCET	3878	15112	SIPO	YZ	6201172
900369	3068	1997-09-05	VYDAJ	PREVOD NA UCET	3878	14934	SIPO	YZ	6201172
900370	3068	1997-10-05	VYDAJ	PREVOD NA UCET	3878	15717	SIPO	YZ	6201172
900371	3068	1997-11-05	VYDAJ	PREVOD NA UCET	3878	15383	SIPO	YZ	6201172
900372	3068	1997-12-05	VYDAJ	PREVOD NA UCET	3878	17767	SIPO	YZ	6201172
900373	3068	1998-01-05	VYDAJ	PREVOD NA UCET	3878	19611	SIPO	YZ	6201172
900374	3068	1998-02-05	VYDAJ	PREVOD NA UCET	3878	19127	SIPO	YZ	6201172
900375	3068	1998-03-05	VYDAJ	PREVOD NA UCET	3878	19367	SIPO	YZ	6201172
900376	3068	1998-04-05	VYDAJ	PREVOD NA UCET	3878	17997	SIPO	YZ	6201172
900377	3068	1998-05-05	VYDAJ	PREVOD NA UCET	3878	20392	SIPO	YZ	6201172
900378	3068	1998-06-05	VYDAJ	PREVOD NA UCET	3878	19270	SIPO	YZ	6201172
900379	3068	1998-07-05	VYDAJ	PREVOD NA UCET	3878	21670	SIPO	YZ	6201172
900380	3068	1998-08-05	VYDAJ	PREVOD NA UCET	3878	24080	SIPO	YZ	6201172
900381	3068	1998-09-05	VYDAJ	PREVOD NA UCET	3878	26500	SIPO	YZ	6201172
900382	3068	1998-10-05	VYDAJ	PREVOD NA UCET	3878	27163	SIPO	YZ	6201172
900383	3068	1998-11-05	VYDAJ	PREVOD NA UCET	3878	29595	SIPO	YZ	6201172
900384	3068	1998-12-05	VYDAJ	PREVOD NA UCET	3878	32038	SIPO	YZ	6201172
900385	3068	1993-12-15	VYDAJ	VYBER	1150	24309	\N	\N	\N
900386	3068	1994-12-19	VYDAJ	VYBER	1150	27474	\N	\N	\N
900387	3068	1995-12-06	VYDAJ	VYBER	800	22550	\N	\N	\N
900388	3068	1996-12-08	VYDAJ	VYBER	400	17852	\N	\N	\N
900389	3068	1997-12-24	VYDAJ	VYBER	550	23410	\N	\N	\N
900390	3068	1998-12-18	VYDAJ	VYBER	900	37331	\N	\N	\N
900393	3068	1993-11-07	VYDAJ	VYBER	560	19470	\N	\N	\N
900394	3068	1993-10-02	VYDAJ	VYBER	880	26004	\N	\N	\N
900395	3068	1994-02-19	VYDAJ	VYBER	3280	25737	\N	\N	\N
900396	3068	1994-05-26	VYDAJ	VYBER	3760	20157	\N	\N	\N
900397	3068	1994-06-04	VYDAJ	VYBER	2400	17841	\N	\N	\N
900398	3068	1994-05-16	VYDAJ	VYBER	3040	23917	\N	\N	\N
900399	3068	1994-04-22	VYDAJ	VYBER	1120	24543	\N	\N	\N
900400	3068	1994-09-24	VYDAJ	VYBER	1040	26283	\N	\N	\N
900401	3068	1995-01-12	VYDAJ	VYBER	1680	20420	\N	\N	\N
900402	3068	1995-01-27	VYDAJ	VYBER	2000	21213	\N	\N	\N
900403	3068	1995-02-18	VYDAJ	VYBER	1760	21851	\N	\N	\N
900404	3068	1995-01-07	VYDAJ	VYBER	1600	22100	\N	\N	\N
900405	3068	1995-02-27	VYDAJ	VYBER	1680	20171	\N	\N	\N
900406	3068	1996-07-04	VYDAJ	VYBER	3120	20050	\N	\N	\N
900407	3068	1996-01-17	VYDAJ	VYBER	1360	21167	\N	\N	\N
900408	3068	1996-01-16	VYDAJ	VYBER	3920	22527	\N	\N	\N
900409	3068	1996-05-18	VYDAJ	VYBER	1680	22861	\N	\N	\N
900410	3068	1996-08-21	VYDAJ	VYBER	720	20219	\N	\N	\N
900411	3068	1996-06-05	VYDAJ	VYBER	960	21982	\N	\N	\N
900412	3068	1997-01-24	VYDAJ	VYBER	400	15838	\N	\N	\N
900413	3068	1997-08-14	VYDAJ	VYBER	1920	19385	\N	\N	\N
900414	3068	1997-08-30	VYDAJ	VYBER	640	18745	\N	\N	\N
900415	3068	1997-10-05	VYDAJ	VYBER	1600	19595	\N	\N	\N
900417	3068	1997-10-30	VYDAJ	VYBER	2720	19190	\N	\N	\N
900418	3068	1998-09-10	VYDAJ	VYBER	1760	24740	\N	\N	\N
900419	3068	1998-03-19	VYDAJ	VYBER	3760	21800	\N	\N	\N
900420	3068	1998-05-19	VYDAJ	VYBER	3520	23065	\N	\N	\N
900421	3068	1998-03-03	VYDAJ	VYBER	2160	23245	\N	\N	\N
900422	3068	1998-01-19	VYDAJ	VYBER	2880	22924	\N	\N	\N
900423	3068	1998-12-22	VYDAJ	VYBER	560	36771	\N	\N	\N
900433	3068	1993-09-30	VYDAJ	VYBER	15	26884	SLUZBY	\N	\N
900434	3068	1993-10-31	VYDAJ	VYBER	15	23908	SLUZBY	\N	\N
900435	3068	1993-11-30	VYDAJ	VYBER	15	23144	SLUZBY	\N	\N
900436	3068	1993-12-31	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
900437	3068	1994-01-31	VYDAJ	VYBER	15	26802	SLUZBY	\N	\N
900438	3068	1994-02-28	VYDAJ	VYBER	15	25834	SLUZBY	\N	\N
900439	3068	1994-03-31	VYDAJ	VYBER	15	28248	SLUZBY	\N	\N
900440	3068	1994-04-30	VYDAJ	VYBER	15	24642	SLUZBY	\N	\N
900441	3068	1994-05-31	VYDAJ	VYBER	15	20241	SLUZBY	\N	\N
900442	3068	1994-06-30	VYDAJ	VYBER	15	20218	SLUZBY	\N	\N
900443	3068	1994-07-31	VYDAJ	VYBER	15	22608	SLUZBY	\N	\N
900444	3068	1994-08-31	VYDAJ	VYBER	15	25008	SLUZBY	\N	\N
900445	3068	1994-09-30	VYDAJ	VYBER	15	26377	SLUZBY	\N	\N
900446	3068	1994-10-31	VYDAJ	VYBER	15	27390	SLUZBY	\N	\N
900447	3068	1994-11-30	VYDAJ	VYBER	15	29209	SLUZBY	\N	\N
900448	3068	1994-12-31	VYDAJ	VYBER	15	27578	SLUZBY	\N	\N
900449	3068	1995-01-31	VYDAJ	VYBER	15	21296	SLUZBY	\N	\N
900450	3068	1995-02-28	VYDAJ	VYBER	15	20247	SLUZBY	\N	\N
900451	3068	1995-03-31	VYDAJ	VYBER	15	22236	SLUZBY	\N	\N
900452	3068	1995-04-30	VYDAJ	VYBER	15	21928	SLUZBY	\N	\N
900453	3068	1995-05-31	VYDAJ	VYBER	15	22622	SLUZBY	\N	\N
900454	3068	1995-06-30	VYDAJ	VYBER	15	22421	SLUZBY	\N	\N
900455	3068	1995-07-31	VYDAJ	VYBER	15	20810	SLUZBY	\N	\N
900456	3068	1995-08-31	VYDAJ	VYBER	15	23203	SLUZBY	\N	\N
900457	3068	1995-09-30	VYDAJ	VYBER	15	25605	SLUZBY	\N	\N
900458	3068	1995-10-31	VYDAJ	VYBER	15	28017	SLUZBY	\N	\N
900459	3068	1995-11-30	VYDAJ	VYBER	15	27228	SLUZBY	\N	\N
900460	3068	1995-12-31	VYDAJ	VYBER	15	26032	SLUZBY	\N	\N
900461	3068	1996-01-31	VYDAJ	VYBER	15	21247	SLUZBY	\N	\N
900462	3068	1996-02-29	VYDAJ	VYBER	15	22134	SLUZBY	\N	\N
900463	3068	1996-03-31	VYDAJ	VYBER	15	23125	SLUZBY	\N	\N
900464	3068	1996-04-30	VYDAJ	VYBER	15	25526	SLUZBY	\N	\N
900465	3068	1996-05-31	VYDAJ	VYBER	15	22942	SLUZBY	\N	\N
900466	3068	1996-06-30	VYDAJ	VYBER	15	23170	SLUZBY	\N	\N
900467	3068	1996-07-31	VYDAJ	VYBER	15	18624	SLUZBY	\N	\N
900468	3068	1996-08-31	VYDAJ	VYBER	15	20285	SLUZBY	\N	\N
900469	3068	1996-09-30	VYDAJ	VYBER	15	21767	SLUZBY	\N	\N
900470	3068	1996-10-31	VYDAJ	VYBER	15	19743	SLUZBY	\N	\N
900471	3068	1996-11-30	VYDAJ	VYBER	15	22130	SLUZBY	\N	\N
900472	3068	1996-12-31	VYDAJ	VYBER	15	24123	SLUZBY	\N	\N
900473	3068	1997-01-31	VYDAJ	VYBER	15	15886	SLUZBY	\N	\N
900474	3068	1997-02-28	VYDAJ	VYBER	15	17649	SLUZBY	\N	\N
900475	3068	1997-03-31	VYDAJ	VYBER	15	20027	SLUZBY	\N	\N
900476	3068	1997-04-30	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
900477	3068	1997-05-31	VYDAJ	VYBER	15	18155	SLUZBY	\N	\N
900478	3068	1997-06-30	VYDAJ	VYBER	15	16616	SLUZBY	\N	\N
900479	3068	1997-07-31	VYDAJ	VYBER	15	18990	SLUZBY	\N	\N
900480	3068	1997-08-31	VYDAJ	VYBER	15	18812	SLUZBY	\N	\N
900481	3068	1997-09-30	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
900482	3068	1997-10-31	VYDAJ	VYBER	15	19261	SLUZBY	\N	\N
900483	3068	1997-11-30	VYDAJ	VYBER	15	21645	SLUZBY	\N	\N
900484	3068	1997-12-31	VYDAJ	VYBER	15	23489	SLUZBY	\N	\N
900485	3068	1998-01-31	VYDAJ	VYBER	15	23005	SLUZBY	\N	\N
900486	3068	1998-02-28	VYDAJ	VYBER	15	25405	SLUZBY	\N	\N
900487	3068	1998-03-31	VYDAJ	VYBER	15	21875	SLUZBY	\N	\N
900488	3068	1998-04-30	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
900489	3068	1998-05-31	VYDAJ	VYBER	15	23148	SLUZBY	\N	\N
900490	3068	1998-06-30	VYDAJ	VYBER	15	25548	SLUZBY	\N	\N
900491	3068	1998-07-31	VYDAJ	VYBER	15	27958	SLUZBY	\N	\N
900492	3068	1998-08-31	VYDAJ	VYBER	15	30378	SLUZBY	\N	\N
900493	3068	1998-09-30	VYDAJ	VYBER	15	31041	SLUZBY	\N	\N
900494	3068	1998-10-31	VYDAJ	VYBER	15	33473	SLUZBY	\N	\N
900495	3068	1998-11-30	VYDAJ	VYBER	15	35916	SLUZBY	\N	\N
900496	3068	1993-09-22	VYDAJ	VYBER	4600	26865	\N	\N	\N
900497	3068	1993-10-22	VYDAJ	VYBER	4500	23819	\N	\N	\N
900498	3068	1993-11-21	VYDAJ	VYBER	2600	23063	\N	\N	\N
900499	3068	1994-02-19	VYDAJ	VYBER	100	29017	\N	\N	\N
900500	3068	1994-04-20	VYDAJ	VYBER	4900	25663	\N	\N	\N
900501	3068	1994-10-17	VYDAJ	VYBER	1400	27292	\N	\N	\N
900502	3068	1994-11-16	VYDAJ	VYBER	600	29105	\N	\N	\N
900503	3068	1994-12-16	VYDAJ	VYBER	2900	28624	\N	\N	\N
900504	3068	1995-01-15	VYDAJ	VYBER	3400	23213	\N	\N	\N
900505	3068	1995-03-16	VYDAJ	VYBER	400	22162	\N	\N	\N
900506	3068	1995-04-15	VYDAJ	VYBER	2700	21851	\N	\N	\N
900507	3068	1995-05-15	VYDAJ	VYBER	1700	22543	\N	\N	\N
900508	3068	1995-06-14	VYDAJ	VYBER	2600	22337	\N	\N	\N
900509	3068	1995-07-14	VYDAJ	VYBER	4000	20736	\N	\N	\N
900510	3068	1995-11-11	VYDAJ	VYBER	3200	20939	\N	\N	\N
900511	3068	1995-12-11	VYDAJ	VYBER	2800	19750	\N	\N	\N
900512	3068	1996-01-10	VYDAJ	VYBER	1900	20254	\N	\N	\N
900513	3068	1996-02-09	VYDAJ	VYBER	1500	15869	\N	\N	\N
900514	3068	1996-03-10	VYDAJ	VYBER	1400	16856	\N	\N	\N
900515	3068	1996-05-09	VYDAJ	VYBER	3300	18348	\N	\N	\N
900516	3068	1996-06-08	VYDAJ	VYBER	1200	16904	\N	\N	\N
900517	3068	1996-07-08	VYDAJ	VYBER	3800	12372	\N	\N	\N
900518	3068	1996-09-06	VYDAJ	VYBER	900	15507	\N	\N	\N
900519	3068	1996-10-06	VYDAJ	VYBER	4400	13489	\N	\N	\N
900520	3068	1997-01-04	VYDAJ	VYBER	10200	13923	\N	\N	\N
900521	3068	1997-02-03	VYDAJ	VYBER	600	15286	\N	\N	\N
900522	3068	1997-04-04	VYDAJ	VYBER	5800	14227	\N	\N	\N
900523	3068	1997-05-04	VYDAJ	VYBER	800	15789	\N	\N	\N
900524	3068	1997-06-03	VYDAJ	VYBER	3900	14255	\N	\N	\N
900589	3069	1993-03-20	PRIJEM	VKLAD	400	400	\N	\N	\N
900593	3069	1993-04-11	PRIJEM	VKLAD	23156	23556	\N	\N	\N
900594	3069	1993-05-11	PRIJEM	VKLAD	23156	46451	\N	\N	\N
900595	3069	1993-06-11	PRIJEM	VKLAD	34734	70403	\N	\N	\N
900596	3069	1993-07-11	PRIJEM	VKLAD	23156	69426	\N	\N	\N
900597	3069	1993-08-11	PRIJEM	VKLAD	23156	67972	\N	\N	\N
900598	3069	1993-09-11	PRIJEM	VKLAD	23156	64896	\N	\N	\N
900599	3069	1993-10-11	PRIJEM	VKLAD	23156	64811	\N	\N	\N
900600	3069	1993-11-11	PRIJEM	VKLAD	23156	66429	\N	\N	\N
900601	3069	1993-12-11	PRIJEM	VKLAD	34734	76424	\N	\N	\N
900602	3069	1994-01-11	PRIJEM	VKLAD	23156	67258	\N	\N	\N
900603	3069	1994-02-11	PRIJEM	VKLAD	23156	52769	\N	\N	\N
900604	3069	1994-03-11	PRIJEM	VKLAD	23156	53532	\N	\N	\N
900605	3069	1994-04-11	PRIJEM	VKLAD	23156	59511	\N	\N	\N
900606	3069	1994-05-11	PRIJEM	VKLAD	23156	64612	\N	\N	\N
900607	3069	1994-06-11	PRIJEM	VKLAD	34734	78138	\N	\N	\N
900608	3069	1994-07-11	PRIJEM	VKLAD	23156	42530	\N	\N	\N
900609	3069	1994-08-11	PRIJEM	VKLAD	23156	51176	\N	\N	\N
900610	3069	1994-09-11	PRIJEM	VKLAD	23156	56947	\N	\N	\N
900611	3069	1994-10-11	PRIJEM	VKLAD	23156	56737	\N	\N	\N
900612	3069	1994-11-11	PRIJEM	VKLAD	23156	57836	\N	\N	\N
900613	3069	1994-12-11	PRIJEM	VKLAD	34734	73239	\N	\N	\N
900614	3069	1995-01-11	PRIJEM	VKLAD	23156	71328	\N	\N	\N
900615	3069	1995-02-11	PRIJEM	VKLAD	23156	64006	\N	\N	\N
900616	3069	1995-03-11	PRIJEM	VKLAD	23156	66273	\N	\N	\N
900617	3069	1995-04-11	PRIJEM	VKLAD	23156	68854	\N	\N	\N
900618	3069	1995-05-11	PRIJEM	VKLAD	23156	67746	\N	\N	\N
900619	3069	1995-06-11	PRIJEM	VKLAD	34734	81617	\N	\N	\N
900620	3069	1995-07-11	PRIJEM	VKLAD	23156	63281	\N	\N	\N
900621	3069	1995-08-11	PRIJEM	VKLAD	23156	64542	\N	\N	\N
900622	3069	1995-09-11	PRIJEM	VKLAD	23156	71914	\N	\N	\N
900623	3069	1995-10-11	PRIJEM	VKLAD	23156	74215	\N	\N	\N
900624	3069	1995-11-11	PRIJEM	VKLAD	23156	77732	\N	\N	\N
900625	3069	1995-12-11	PRIJEM	VKLAD	34734	85341	\N	\N	\N
900626	3069	1996-01-11	PRIJEM	VKLAD	23156	74671	\N	\N	\N
900627	3069	1996-02-11	PRIJEM	VKLAD	23156	60547	\N	\N	\N
900628	3069	1996-03-11	PRIJEM	VKLAD	23156	68400	\N	\N	\N
900629	3069	1996-04-11	PRIJEM	VKLAD	23156	71485	\N	\N	\N
900630	3069	1996-05-11	PRIJEM	VKLAD	23156	76389	\N	\N	\N
900631	3069	1996-06-11	PRIJEM	VKLAD	34734	75699	\N	\N	\N
900632	3069	1996-07-11	PRIJEM	VKLAD	23156	78015	\N	\N	\N
900633	3069	1996-08-11	PRIJEM	VKLAD	23156	80241	\N	\N	\N
900634	3069	1996-09-11	PRIJEM	VKLAD	23156	79779	\N	\N	\N
900635	3069	1996-10-11	PRIJEM	VKLAD	23156	76914	\N	\N	\N
900636	3069	1996-11-11	PRIJEM	VKLAD	23156	78609	\N	\N	\N
900637	3069	1996-12-11	PRIJEM	VKLAD	34734	87883	\N	\N	\N
900638	3069	1997-01-11	PRIJEM	VKLAD	23156	74515	\N	\N	\N
900639	3069	1997-02-11	PRIJEM	VKLAD	23156	75012	\N	\N	\N
900640	3069	1997-03-11	PRIJEM	VKLAD	23156	83096	\N	\N	\N
900641	3069	1997-04-11	PRIJEM	VKLAD	23156	84609	\N	\N	\N
900642	3069	1997-05-11	PRIJEM	VKLAD	23156	89133	\N	\N	\N
900643	3069	1997-06-11	PRIJEM	VKLAD	34734	80151	\N	\N	\N
900644	3069	1997-07-11	PRIJEM	VKLAD	23156	88180	\N	\N	\N
900645	3069	1997-08-11	PRIJEM	VKLAD	23156	93516	\N	\N	\N
900646	3069	1997-09-11	PRIJEM	VKLAD	23156	98473	\N	\N	\N
900647	3069	1997-10-11	PRIJEM	VKLAD	23156	96346	\N	\N	\N
900648	3069	1997-11-11	PRIJEM	VKLAD	23156	100812	\N	\N	\N
900649	3069	1997-12-11	PRIJEM	VKLAD	34734	112569	\N	\N	\N
900650	3069	1998-01-11	PRIJEM	VKLAD	23156	105086	\N	\N	\N
900651	3069	1998-02-11	PRIJEM	VKLAD	23156	94974	\N	\N	\N
900652	3069	1998-03-11	PRIJEM	VKLAD	23156	91131	\N	\N	\N
900653	3069	1998-04-11	PRIJEM	VKLAD	23156	96789	\N	\N	\N
900654	3069	1998-05-11	PRIJEM	VKLAD	23156	95945	\N	\N	\N
900655	3069	1998-06-11	PRIJEM	VKLAD	34734	110981	\N	\N	\N
900656	3069	1998-07-11	PRIJEM	VKLAD	23156	94340	\N	\N	\N
900657	3069	1998-08-11	PRIJEM	VKLAD	23156	93287	\N	\N	\N
900658	3069	1998-09-11	PRIJEM	VKLAD	23156	98844	\N	\N	\N
900659	3069	1998-10-11	PRIJEM	VKLAD	23156	99308	\N	\N	\N
900660	3069	1998-11-11	PRIJEM	VKLAD	23156	100884	\N	\N	\N
900661	3069	1998-12-11	PRIJEM	VKLAD	34734	115033	\N	\N	\N
900669	3069	1993-08-14	VYDAJ	PREVOD NA UCET	6704	61268	SIPO	ST	27829212
900670	3069	1993-09-14	VYDAJ	PREVOD NA UCET	6704	58192	SIPO	ST	27829212
900671	3069	1993-10-14	VYDAJ	PREVOD NA UCET	6704	58107	SIPO	ST	27829212
900672	3069	1993-11-14	VYDAJ	PREVOD NA UCET	6704	59725	SIPO	ST	27829212
900673	3069	1993-12-14	VYDAJ	PREVOD NA UCET	6704	67820	SIPO	ST	27829212
900674	3069	1994-01-14	VYDAJ	PREVOD NA UCET	6704	41254	SIPO	ST	27829212
900675	3069	1994-02-14	VYDAJ	PREVOD NA UCET	6704	30265	SIPO	ST	27829212
900676	3069	1994-03-14	VYDAJ	PREVOD NA UCET	6704	46828	SIPO	ST	27829212
900677	3069	1994-04-14	VYDAJ	PREVOD NA UCET	6704	41307	SIPO	ST	27829212
900678	3069	1994-05-14	VYDAJ	PREVOD NA UCET	6704	57908	SIPO	ST	27829212
900679	3069	1994-06-14	VYDAJ	PREVOD NA UCET	6704	47334	SIPO	ST	27829212
900680	3069	1994-07-14	VYDAJ	PREVOD NA UCET	6704	30726	SIPO	ST	27829212
900681	3069	1994-08-14	VYDAJ	PREVOD NA UCET	6704	33672	SIPO	ST	27829212
900682	3069	1994-09-14	VYDAJ	PREVOD NA UCET	6704	37143	SIPO	ST	27829212
900683	3069	1994-10-14	VYDAJ	PREVOD NA UCET	6704	37133	SIPO	ST	27829212
900684	3069	1994-11-14	VYDAJ	PREVOD NA UCET	6704	51132	SIPO	ST	27829212
900685	3069	1994-12-14	VYDAJ	PREVOD NA UCET	6704	66535	SIPO	ST	27829212
900686	3069	1995-01-14	VYDAJ	PREVOD NA UCET	6704	56124	SIPO	ST	27829212
900687	3069	1995-02-14	VYDAJ	PREVOD NA UCET	6704	57302	SIPO	ST	27829212
900688	3069	1995-03-14	VYDAJ	PREVOD NA UCET	6704	59569	SIPO	ST	27829212
900689	3069	1995-04-14	VYDAJ	PREVOD NA UCET	6704	62150	SIPO	ST	27829212
900690	3069	1995-05-14	VYDAJ	PREVOD NA UCET	6704	61042	SIPO	ST	27829212
900691	3069	1995-06-14	VYDAJ	PREVOD NA UCET	6704	49013	SIPO	ST	27829212
900692	3069	1995-07-14	VYDAJ	PREVOD NA UCET	6704	56577	SIPO	ST	27829212
900693	3069	1995-08-14	VYDAJ	PREVOD NA UCET	6704	57838	SIPO	ST	27829212
900694	3069	1995-09-14	VYDAJ	PREVOD NA UCET	6704	65210	SIPO	ST	27829212
900695	3069	1995-10-14	VYDAJ	PREVOD NA UCET	6704	67511	SIPO	ST	27829212
900696	3069	1995-11-14	VYDAJ	PREVOD NA UCET	6704	71028	SIPO	ST	27829212
900697	3069	1995-12-14	VYDAJ	PREVOD NA UCET	6704	75337	SIPO	ST	27829212
900698	3069	1996-01-14	VYDAJ	PREVOD NA UCET	6704	64367	SIPO	ST	27829212
900699	3069	1996-02-14	VYDAJ	PREVOD NA UCET	6704	53843	SIPO	ST	27829212
900700	3069	1996-03-14	VYDAJ	PREVOD NA UCET	6704	61696	SIPO	ST	27829212
900701	3069	1996-04-14	VYDAJ	PREVOD NA UCET	6704	64781	SIPO	ST	27829212
900702	3069	1996-05-14	VYDAJ	PREVOD NA UCET	6704	67085	SIPO	ST	27829212
900703	3069	1996-06-14	VYDAJ	PREVOD NA UCET	6704	68995	SIPO	ST	27829212
900704	3069	1996-07-14	VYDAJ	PREVOD NA UCET	6704	71311	SIPO	ST	27829212
900705	3069	1996-08-14	VYDAJ	PREVOD NA UCET	6704	73537	SIPO	ST	27829212
900706	3069	1996-09-14	VYDAJ	PREVOD NA UCET	6704	73075	SIPO	ST	27829212
900707	3069	1996-10-14	VYDAJ	PREVOD NA UCET	6704	70210	SIPO	ST	27829212
900708	3069	1996-11-14	VYDAJ	PREVOD NA UCET	6704	71905	SIPO	ST	27829212
900709	3069	1996-12-14	VYDAJ	PREVOD NA UCET	6704	81179	SIPO	ST	27829212
900710	3069	1997-01-14	VYDAJ	PREVOD NA UCET	6704	67811	SIPO	ST	27829212
900711	3069	1997-02-14	VYDAJ	PREVOD NA UCET	6704	68308	SIPO	ST	27829212
900712	3069	1997-03-14	VYDAJ	PREVOD NA UCET	6704	76392	SIPO	ST	27829212
900713	3069	1997-04-14	VYDAJ	PREVOD NA UCET	6704	77905	SIPO	ST	27829212
900714	3069	1997-05-14	VYDAJ	PREVOD NA UCET	6704	82429	SIPO	ST	27829212
900715	3069	1997-06-14	VYDAJ	PREVOD NA UCET	6704	73447	SIPO	ST	27829212
900716	3069	1997-07-14	VYDAJ	PREVOD NA UCET	6704	81476	SIPO	ST	27829212
900717	3069	1997-08-14	VYDAJ	PREVOD NA UCET	6704	86812	SIPO	ST	27829212
900718	3069	1997-09-14	VYDAJ	PREVOD NA UCET	6704	87569	SIPO	ST	27829212
900719	3069	1997-10-14	VYDAJ	PREVOD NA UCET	6704	89642	SIPO	ST	27829212
900720	3069	1997-11-14	VYDAJ	PREVOD NA UCET	6704	94108	SIPO	ST	27829212
900721	3069	1997-12-14	VYDAJ	PREVOD NA UCET	6704	105865	SIPO	ST	27829212
900722	3069	1998-01-14	VYDAJ	PREVOD NA UCET	6704	94982	SIPO	ST	27829212
900723	3069	1998-02-14	VYDAJ	PREVOD NA UCET	6704	84370	SIPO	ST	27829212
900724	3069	1998-03-14	VYDAJ	PREVOD NA UCET	6704	84427	SIPO	ST	27829212
900725	3069	1998-04-14	VYDAJ	PREVOD NA UCET	6704	90085	SIPO	ST	27829212
900726	3069	1998-05-14	VYDAJ	PREVOD NA UCET	6704	89241	SIPO	ST	27829212
900727	3069	1998-06-14	VYDAJ	PREVOD NA UCET	6704	104277	SIPO	ST	27829212
900728	3069	1998-07-14	VYDAJ	PREVOD NA UCET	6704	87636	SIPO	ST	27829212
900729	3069	1998-08-14	VYDAJ	PREVOD NA UCET	6704	86583	SIPO	ST	27829212
900730	3069	1998-09-14	VYDAJ	PREVOD NA UCET	6704	92140	SIPO	ST	27829212
900731	3069	1998-10-14	VYDAJ	PREVOD NA UCET	6704	92604	SIPO	ST	27829212
900732	3069	1998-11-14	VYDAJ	PREVOD NA UCET	6704	94180	SIPO	ST	27829212
900733	3069	1998-12-14	VYDAJ	PREVOD NA UCET	6704	108329	SIPO	ST	27829212
900735	3069	1994-06-21	VYDAJ	VYBER	25700	21634	\N	\N	\N
900736	3069	1995-06-12	VYDAJ	VYBER	25900	55717	\N	\N	\N
900737	3069	1996-06-09	VYDAJ	VYBER	13100	40965	\N	\N	\N
900738	3069	1997-06-03	VYDAJ	VYBER	22300	45417	\N	\N	\N
900739	3069	1998-06-17	VYDAJ	VYBER	21100	83177	\N	\N	\N
900741	3069	1994-01-22	VYDAJ	VYBER	2600	35054	\N	\N	\N
900742	3069	1995-01-11	VYDAJ	VYBER	5000	66328	\N	\N	\N
900743	3069	1996-01-18	VYDAJ	VYBER	8300	53567	\N	\N	\N
900744	3069	1997-01-10	VYDAJ	VYBER	9100	51859	\N	\N	\N
900745	3069	1998-01-22	VYDAJ	VYBER	3100	88982	\N	\N	\N
900746	3069	1993-12-11	VYDAJ	VYBER	1900	74524	\N	\N	\N
900747	3069	1994-12-01	VYDAJ	VYBER	500	46305	\N	\N	\N
900748	3069	1995-12-01	VYDAJ	VYBER	700	70607	\N	\N	\N
900749	3069	1996-12-06	VYDAJ	VYBER	1300	53149	\N	\N	\N
900750	3069	1997-12-08	VYDAJ	VYBER	1800	77835	\N	\N	\N
900751	3069	1998-12-03	VYDAJ	VYBER	1500	80299	\N	\N	\N
900758	3069	1994-01-18	VYDAJ	VYBER	2900	37654	\N	\N	\N
900759	3069	1994-01-28	VYDAJ	VYBER	1100	29454	\N	\N	\N
900760	3069	1994-01-28	VYDAJ	VYBER	1700	30554	\N	\N	\N
900761	3069	1994-01-01	VYDAJ	VYBER	800	44102	\N	\N	\N
900762	3069	1994-01-17	VYDAJ	VYBER	700	40554	\N	\N	\N
900763	3069	1994-01-26	VYDAJ	VYBER	2800	32254	\N	\N	\N
900764	3069	1995-01-12	VYDAJ	VYBER	1500	62828	\N	\N	\N
900765	3069	1995-01-04	VYDAJ	VYBER	1400	65372	\N	\N	\N
900766	3069	1995-01-23	VYDAJ	VYBER	900	55224	\N	\N	\N
900767	3069	1995-01-11	VYDAJ	VYBER	2000	64328	\N	\N	\N
900768	3069	1995-01-25	VYDAJ	VYBER	1700	53524	\N	\N	\N
900769	3069	1995-01-26	VYDAJ	VYBER	2100	51424	\N	\N	\N
900770	3069	1996-01-27	VYDAJ	VYBER	1600	46767	\N	\N	\N
900771	3069	1996-01-18	VYDAJ	VYBER	2500	61867	\N	\N	\N
900772	3069	1996-01-05	VYDAJ	VYBER	2600	51515	\N	\N	\N
900773	3069	1996-01-20	VYDAJ	VYBER	2400	51167	\N	\N	\N
900774	3069	1996-01-22	VYDAJ	VYBER	900	50267	\N	\N	\N
900775	3069	1996-01-26	VYDAJ	VYBER	1900	48367	\N	\N	\N
900776	3069	1997-01-22	VYDAJ	VYBER	2800	64111	\N	\N	\N
900777	3069	1997-01-14	VYDAJ	VYBER	900	66911	\N	\N	\N
900778	3069	1997-01-24	VYDAJ	VYBER	600	61111	\N	\N	\N
900779	3069	1997-01-10	VYDAJ	VYBER	500	51359	\N	\N	\N
900780	3069	1997-01-23	VYDAJ	VYBER	2400	61711	\N	\N	\N
900781	3069	1997-01-07	VYDAJ	VYBER	2400	60959	\N	\N	\N
900782	3069	1998-01-20	VYDAJ	VYBER	2100	92082	\N	\N	\N
900783	3069	1998-01-13	VYDAJ	VYBER	2400	102686	\N	\N	\N
900784	3069	1998-01-25	VYDAJ	VYBER	2300	71482	\N	\N	\N
900785	3069	1998-01-13	VYDAJ	VYBER	1000	101686	\N	\N	\N
900786	3069	1998-01-16	VYDAJ	VYBER	800	94182	\N	\N	\N
900787	3069	1998-01-08	VYDAJ	VYBER	2300	81930	\N	\N	\N
900792	3069	1994-10-10	VYDAJ	VYBER	3000	33581	\N	\N	\N
900793	3069	1994-07-29	VYDAJ	VYBER	2800	27926	\N	\N	\N
900794	3069	1994-10-01	VYDAJ	VYBER	700	36581	\N	\N	\N
900795	3069	1994-06-28	VYDAJ	VYBER	2400	19234	\N	\N	\N
900796	3069	1994-11-17	VYDAJ	VYBER	4500	46632	\N	\N	\N
900797	3069	1995-08-08	VYDAJ	VYBER	2200	41386	\N	\N	\N
900798	3069	1995-12-11	VYDAJ	VYBER	3300	82041	\N	\N	\N
900799	3069	1995-02-21	VYDAJ	VYBER	3000	54302	\N	\N	\N
900800	3069	1995-07-04	VYDAJ	VYBER	4000	45225	\N	\N	\N
900801	3069	1995-04-29	VYDAJ	VYBER	2200	59950	\N	\N	\N
900802	3069	1995-04-10	VYDAJ	VYBER	1800	45698	\N	\N	\N
900803	3069	1996-07-15	VYDAJ	VYBER	2400	68911	\N	\N	\N
900804	3069	1996-05-14	VYDAJ	VYBER	2600	73789	\N	\N	\N
900805	3069	1996-09-21	VYDAJ	VYBER	2500	70575	\N	\N	\N
900806	3069	1996-11-17	VYDAJ	VYBER	1900	70005	\N	\N	\N
900807	3069	1996-01-11	VYDAJ	VYBER	3600	71071	\N	\N	\N
900808	3069	1997-03-23	VYDAJ	VYBER	4800	71592	\N	\N	\N
900809	3069	1997-09-11	VYDAJ	VYBER	4200	94273	\N	\N	\N
900810	3069	1997-11-16	VYDAJ	VYBER	600	93508	\N	\N	\N
900811	3069	1998-02-11	VYDAJ	VYBER	3900	91074	\N	\N	\N
900812	3069	1998-04-16	VYDAJ	VYBER	1300	88785	\N	\N	\N
900813	3069	1998-06-30	VYDAJ	VYBER	1300	71184	\N	\N	\N
900814	3069	1998-08-10	VYDAJ	VYBER	700	70131	\N	\N	\N
900815	3069	1998-07-28	VYDAJ	VYBER	3900	70536	\N	\N	\N
900816	3069	1998-10-08	VYDAJ	VYBER	3200	76152	\N	\N	\N
900817	3069	1998-12-25	VYDAJ	VYBER	2500	83129	\N	\N	\N
900818	3069	1998-03-10	VYDAJ	VYBER	4800	67975	\N	\N	\N
900819	3069	1998-05-22	VYDAJ	VYBER	4800	84441	\N	\N	\N
900828	3069	1993-08-31	VYDAJ	VYBER	15	41740	SLUZBY	\N	\N
900829	3069	1993-09-30	VYDAJ	VYBER	15	41655	SLUZBY	\N	\N
900830	3069	1993-10-31	VYDAJ	VYBER	15	43273	SLUZBY	\N	\N
900831	3069	1993-11-30	VYDAJ	VYBER	15	41690	SLUZBY	\N	\N
900832	3069	1993-12-31	VYDAJ	VYBER	15	44902	SLUZBY	\N	\N
900833	3069	1994-01-31	VYDAJ	VYBER	15	29613	SLUZBY	\N	\N
900834	3069	1994-02-28	VYDAJ	VYBER	15	30376	SLUZBY	\N	\N
900835	3069	1994-03-31	VYDAJ	VYBER	15	36355	SLUZBY	\N	\N
900836	3069	1994-04-30	VYDAJ	VYBER	15	41456	SLUZBY	\N	\N
900837	3069	1994-05-31	VYDAJ	VYBER	15	43404	SLUZBY	\N	\N
900838	3069	1994-06-30	VYDAJ	VYBER	15	19374	SLUZBY	\N	\N
900839	3069	1994-07-31	VYDAJ	VYBER	15	28020	SLUZBY	\N	\N
900840	3069	1994-08-31	VYDAJ	VYBER	15	33791	SLUZBY	\N	\N
900841	3069	1994-09-30	VYDAJ	VYBER	15	37281	SLUZBY	\N	\N
900842	3069	1994-10-31	VYDAJ	VYBER	15	37280	SLUZBY	\N	\N
900843	3069	1994-11-30	VYDAJ	VYBER	15	46805	SLUZBY	\N	\N
900844	3069	1994-12-31	VYDAJ	VYBER	15	66772	SLUZBY	\N	\N
900845	3069	1995-01-31	VYDAJ	VYBER	15	51650	SLUZBY	\N	\N
900846	3069	1995-02-28	VYDAJ	VYBER	15	54517	SLUZBY	\N	\N
900847	3069	1995-03-31	VYDAJ	VYBER	15	59798	SLUZBY	\N	\N
900848	3069	1995-04-30	VYDAJ	VYBER	15	60190	SLUZBY	\N	\N
900849	3069	1995-05-31	VYDAJ	VYBER	15	61283	SLUZBY	\N	\N
900850	3069	1995-06-30	VYDAJ	VYBER	15	49225	SLUZBY	\N	\N
900851	3069	1995-07-31	VYDAJ	VYBER	15	56786	SLUZBY	\N	\N
900852	3069	1995-08-31	VYDAJ	VYBER	15	58058	SLUZBY	\N	\N
900853	3069	1995-09-30	VYDAJ	VYBER	15	65459	SLUZBY	\N	\N
900854	3069	1995-10-31	VYDAJ	VYBER	15	67776	SLUZBY	\N	\N
900855	3069	1995-11-30	VYDAJ	VYBER	15	71307	SLUZBY	\N	\N
900856	3069	1995-12-31	VYDAJ	VYBER	15	75615	SLUZBY	\N	\N
900857	3069	1996-01-31	VYDAJ	VYBER	15	46991	SLUZBY	\N	\N
900858	3069	1996-02-29	VYDAJ	VYBER	15	54044	SLUZBY	\N	\N
900859	3069	1996-03-31	VYDAJ	VYBER	15	61929	SLUZBY	\N	\N
900860	3069	1996-04-30	VYDAJ	VYBER	15	65033	SLUZBY	\N	\N
900861	3069	1996-05-31	VYDAJ	VYBER	15	67365	SLUZBY	\N	\N
900862	3069	1996-06-30	VYDAJ	VYBER	15	69259	SLUZBY	\N	\N
900863	3069	1996-07-31	VYDAJ	VYBER	15	69185	SLUZBY	\N	\N
900864	3069	1996-08-31	VYDAJ	VYBER	15	73823	SLUZBY	\N	\N
900865	3069	1996-09-30	VYDAJ	VYBER	15	53758	SLUZBY	\N	\N
900866	3069	1996-10-31	VYDAJ	VYBER	15	55453	SLUZBY	\N	\N
900867	3069	1996-11-30	VYDAJ	VYBER	15	54449	SLUZBY	\N	\N
900868	3069	1996-12-31	VYDAJ	VYBER	15	63359	SLUZBY	\N	\N
900869	3069	1997-01-31	VYDAJ	VYBER	15	51856	SLUZBY	\N	\N
900870	3069	1997-02-28	VYDAJ	VYBER	15	59940	SLUZBY	\N	\N
900871	3069	1997-03-31	VYDAJ	VYBER	15	61453	SLUZBY	\N	\N
900872	3069	1997-04-30	VYDAJ	VYBER	15	65977	SLUZBY	\N	\N
900873	3069	1997-05-31	VYDAJ	VYBER	15	67717	SLUZBY	\N	\N
900874	3069	1997-06-30	VYDAJ	VYBER	15	65024	SLUZBY	\N	\N
900875	3069	1997-07-31	VYDAJ	VYBER	15	70360	SLUZBY	\N	\N
900876	3069	1997-08-31	VYDAJ	VYBER	15	75317	SLUZBY	\N	\N
900877	3069	1997-09-30	VYDAJ	VYBER	15	73190	SLUZBY	\N	\N
900878	3069	1997-10-31	VYDAJ	VYBER	15	77656	SLUZBY	\N	\N
900879	3069	1997-11-30	VYDAJ	VYBER	15	79635	SLUZBY	\N	\N
900880	3069	1997-12-31	VYDAJ	VYBER	15	84230	SLUZBY	\N	\N
900881	3069	1998-01-31	VYDAJ	VYBER	15	71818	SLUZBY	\N	\N
900882	3069	1998-02-28	VYDAJ	VYBER	15	72775	SLUZBY	\N	\N
900883	3069	1998-03-31	VYDAJ	VYBER	15	73633	SLUZBY	\N	\N
900884	3069	1998-04-30	VYDAJ	VYBER	15	72789	SLUZBY	\N	\N
900885	3069	1998-05-31	VYDAJ	VYBER	15	76247	SLUZBY	\N	\N
900886	3069	1998-06-30	VYDAJ	VYBER	15	72484	SLUZBY	\N	\N
900887	3069	1998-07-31	VYDAJ	VYBER	15	70831	SLUZBY	\N	\N
900888	3069	1998-08-31	VYDAJ	VYBER	15	75688	SLUZBY	\N	\N
900889	3069	1998-09-30	VYDAJ	VYBER	15	79352	SLUZBY	\N	\N
900890	3069	1998-10-31	VYDAJ	VYBER	15	77728	SLUZBY	\N	\N
900891	3069	1998-11-30	VYDAJ	VYBER	15	81799	SLUZBY	\N	\N
900892	3069	1993-04-19	VYDAJ	VYBER	300	23256	\N	\N	\N
900893	3069	1993-05-19	VYDAJ	VYBER	10900	35551	\N	\N	\N
900894	3069	1993-06-18	VYDAJ	VYBER	24300	46103	\N	\N	\N
900895	3069	1993-07-18	VYDAJ	VYBER	24800	44626	\N	\N	\N
900896	3069	1993-08-17	VYDAJ	VYBER	19700	41568	\N	\N	\N
900897	3069	1993-09-16	VYDAJ	VYBER	16700	41492	\N	\N	\N
900898	3069	1993-10-16	VYDAJ	VYBER	15000	43107	\N	\N	\N
900899	3069	1993-11-15	VYDAJ	VYBER	18200	41525	\N	\N	\N
900900	3069	1993-12-15	VYDAJ	VYBER	23100	44720	\N	\N	\N
900901	3069	1994-01-14	VYDAJ	VYBER	19300	47958	\N	\N	\N
900902	3069	1994-02-13	VYDAJ	VYBER	15800	36969	\N	\N	\N
900903	3069	1994-03-15	VYDAJ	VYBER	10600	36228	\N	\N	\N
900904	3069	1994-04-14	VYDAJ	VYBER	11500	48011	\N	\N	\N
900905	3069	1994-05-14	VYDAJ	VYBER	14700	43208	\N	\N	\N
900906	3069	1994-06-13	VYDAJ	VYBER	24100	54038	\N	\N	\N
900907	3069	1994-07-13	VYDAJ	VYBER	5100	37430	\N	\N	\N
900908	3069	1994-08-12	VYDAJ	VYBER	10800	40376	\N	\N	\N
900909	3069	1994-09-11	VYDAJ	VYBER	13100	43847	\N	\N	\N
900910	3069	1994-10-11	VYDAJ	VYBER	12900	43837	\N	\N	\N
900911	3069	1994-11-10	VYDAJ	VYBER	2600	34680	\N	\N	\N
900912	3069	1994-12-10	VYDAJ	VYBER	7800	38505	\N	\N	\N
900913	3069	1995-01-09	VYDAJ	VYBER	17200	48172	\N	\N	\N
900914	3069	1995-02-08	VYDAJ	VYBER	10800	40850	\N	\N	\N
900915	3069	1995-03-10	VYDAJ	VYBER	11400	43117	\N	\N	\N
900916	3069	1995-04-09	VYDAJ	VYBER	12300	47498	\N	\N	\N
900917	3069	1995-05-09	VYDAJ	VYBER	15600	44590	\N	\N	\N
900918	3069	1995-06-08	VYDAJ	VYBER	14400	46883	\N	\N	\N
900919	3069	1995-07-08	VYDAJ	VYBER	5100	40125	\N	\N	\N
900920	3069	1995-08-07	VYDAJ	VYBER	13200	43586	\N	\N	\N
900921	3069	1995-09-06	VYDAJ	VYBER	9300	48758	\N	\N	\N
900922	3069	1995-10-06	VYDAJ	VYBER	14400	51059	\N	\N	\N
900923	3069	1995-11-05	VYDAJ	VYBER	13200	54576	\N	\N	\N
900924	3069	1995-12-05	VYDAJ	VYBER	20000	50607	\N	\N	\N
900925	3069	1996-01-04	VYDAJ	VYBER	21500	54115	\N	\N	\N
900926	3069	1996-02-03	VYDAJ	VYBER	9600	37391	\N	\N	\N
900927	3069	1996-03-04	VYDAJ	VYBER	8800	45244	\N	\N	\N
900928	3069	1996-04-03	VYDAJ	VYBER	13600	48329	\N	\N	\N
900929	3069	1996-05-03	VYDAJ	VYBER	11800	53233	\N	\N	\N
900930	3069	1996-06-02	VYDAJ	VYBER	13300	54065	\N	\N	\N
900931	3069	1996-07-02	VYDAJ	VYBER	14400	54859	\N	\N	\N
900932	3069	1996-08-01	VYDAJ	VYBER	12100	57085	\N	\N	\N
900933	3069	1996-08-31	VYDAJ	VYBER	17200	56623	\N	\N	\N
900934	3069	1996-09-30	VYDAJ	VYBER	17100	53773	\N	\N	\N
900935	3069	1996-10-30	VYDAJ	VYBER	15000	55210	\N	\N	\N
900936	3069	1996-11-29	VYDAJ	VYBER	15800	54205	\N	\N	\N
900937	3069	1996-12-29	VYDAJ	VYBER	18100	63079	\N	\N	\N
900938	3069	1997-01-28	VYDAJ	VYBER	9500	51611	\N	\N	\N
900939	3069	1997-02-27	VYDAJ	VYBER	8600	59708	\N	\N	\N
900940	3069	1997-03-29	VYDAJ	VYBER	10400	61192	\N	\N	\N
900941	3069	1997-04-28	VYDAJ	VYBER	12200	65705	\N	\N	\N
900942	3069	1997-05-28	VYDAJ	VYBER	15000	67429	\N	\N	\N
900943	3069	1997-06-27	VYDAJ	VYBER	8700	64747	\N	\N	\N
900944	3069	1997-07-27	VYDAJ	VYBER	11400	70076	\N	\N	\N
900945	3069	1997-08-26	VYDAJ	VYBER	11800	75012	\N	\N	\N
900946	3069	1997-09-25	VYDAJ	VYBER	14700	72869	\N	\N	\N
900947	3069	1997-10-25	VYDAJ	VYBER	12300	77342	\N	\N	\N
900948	3069	1997-11-24	VYDAJ	VYBER	14200	79308	\N	\N	\N
900949	3069	1997-12-24	VYDAJ	VYBER	22000	83865	\N	\N	\N
900950	3069	1998-01-23	VYDAJ	VYBER	15200	73782	\N	\N	\N
900951	3069	1998-02-22	VYDAJ	VYBER	11900	72470	\N	\N	\N
900952	3069	1998-03-24	VYDAJ	VYBER	11100	73327	\N	\N	\N
900953	3069	1998-04-23	VYDAJ	VYBER	16300	72485	\N	\N	\N
900954	3069	1998-05-23	VYDAJ	VYBER	8500	75941	\N	\N	\N
900955	3069	1998-06-22	VYDAJ	VYBER	11000	72177	\N	\N	\N
900956	3069	1998-07-22	VYDAJ	VYBER	13200	74436	\N	\N	\N
900957	3069	1998-08-21	VYDAJ	VYBER	11200	75383	\N	\N	\N
900958	3069	1998-09-20	VYDAJ	VYBER	13100	79040	\N	\N	\N
900959	3069	1998-10-20	VYDAJ	VYBER	15200	77404	\N	\N	\N
900960	3069	1998-11-19	VYDAJ	VYBER	12700	81480	\N	\N	\N
900961	3069	1998-12-19	VYDAJ	VYBER	22700	85629	\N	\N	\N
901031	3070	1997-08-21	PRIJEM	VKLAD	300	300	\N	\N	\N
901040	3070	1997-09-05	PRIJEM	VKLAD	16720	17020	\N	\N	\N
901041	3070	1997-10-05	PRIJEM	VKLAD	16720	37972	\N	\N	\N
901042	3070	1997-11-05	PRIJEM	VKLAD	16720	50701	\N	\N	\N
901043	3070	1997-12-05	PRIJEM	VKLAD	25080	62829	\N	\N	\N
901044	3070	1998-01-05	PRIJEM	VKLAD	16720	61718	\N	\N	\N
901045	3070	1998-02-05	PRIJEM	VKLAD	16720	39991	\N	\N	\N
901046	3070	1998-03-05	PRIJEM	VKLAD	16720	45991	\N	\N	\N
901047	3070	1998-04-05	PRIJEM	VKLAD	16720	43523	\N	\N	\N
901048	3070	1998-05-05	PRIJEM	VKLAD	16720	49992	\N	\N	\N
901049	3070	1998-06-05	PRIJEM	VKLAD	25080	59138	\N	\N	\N
901050	3070	1998-07-05	PRIJEM	VKLAD	16720	31333	\N	\N	\N
901051	3070	1998-08-05	PRIJEM	VKLAD	16720	37550	\N	\N	\N
901052	3070	1998-09-05	PRIJEM	VKLAD	16720	37679	\N	\N	\N
901053	3070	1998-10-05	PRIJEM	VKLAD	16720	39711	\N	\N	\N
901054	3070	1998-11-05	PRIJEM	VKLAD	16720	37107	\N	\N	\N
901055	3070	1998-12-05	PRIJEM	VKLAD	25080	42220	\N	\N	\N
901068	3070	1998-01-10	VYDAJ	PREVOD NA UCET	3374	58344	SIPO	UV	28481227
901069	3070	1998-02-10	VYDAJ	PREVOD NA UCET	3374	34457	SIPO	UV	28481227
901070	3070	1998-03-10	VYDAJ	PREVOD NA UCET	3374	42617	SIPO	UV	28481227
901071	3070	1998-04-10	VYDAJ	PREVOD NA UCET	3374	40149	SIPO	UV	28481227
901072	3070	1998-05-10	VYDAJ	PREVOD NA UCET	3374	46618	SIPO	UV	28481227
901073	3070	1998-06-10	VYDAJ	PREVOD NA UCET	3374	15444	SIPO	UV	28481227
901074	3070	1998-07-10	VYDAJ	PREVOD NA UCET	3374	27959	SIPO	UV	28481227
901075	3070	1998-08-10	VYDAJ	PREVOD NA UCET	3374	34176	SIPO	UV	28481227
901076	3070	1998-09-10	VYDAJ	PREVOD NA UCET	3374	34305	SIPO	UV	28481227
901077	3070	1998-10-10	VYDAJ	PREVOD NA UCET	3374	36337	SIPO	UV	28481227
901078	3070	1998-11-10	VYDAJ	PREVOD NA UCET	3374	33733	SIPO	UV	28481227
901079	3070	1998-12-10	VYDAJ	PREVOD NA UCET	3374	38846	SIPO	UV	28481227
901081	3070	1998-06-09	VYDAJ	VYBER	40320	18818	\N	\N	\N
901083	3070	1998-01-29	VYDAJ	VYBER	14400	23104	\N	\N	\N
901085	3070	1998-12-24	VYDAJ	VYBER	4000	16846	\N	\N	\N
901092	3070	1998-01-12	VYDAJ	VYBER	2880	54024	\N	\N	\N
901094	3070	1998-01-10	VYDAJ	VYBER	1440	56904	\N	\N	\N
901095	3070	1998-01-28	VYDAJ	VYBER	960	37504	\N	\N	\N
901096	3070	1998-01-24	VYDAJ	VYBER	2280	38464	\N	\N	\N
901097	3070	1998-01-23	VYDAJ	VYBER	1080	40744	\N	\N	\N
901103	3070	1998-11-23	VYDAJ	VYBER	2880	17053	\N	\N	\N
901104	3070	1998-11-04	VYDAJ	VYBER	2640	20387	\N	\N	\N
901105	3070	1998-03-30	VYDAJ	VYBER	5040	26677	\N	\N	\N
901106	3070	1998-02-06	VYDAJ	VYBER	2160	37831	\N	\N	\N
901120	3070	1998-01-31	VYDAJ	VYBER	15	23271	SLUZBY	\N	\N
901121	3070	1998-02-28	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
901122	3070	1998-03-31	VYDAJ	VYBER	15	26803	SLUZBY	\N	\N
901123	3070	1998-04-30	VYDAJ	VYBER	15	33272	SLUZBY	\N	\N
901124	3070	1998-05-31	VYDAJ	VYBER	15	34058	SLUZBY	\N	\N
901125	3070	1998-06-30	VYDAJ	VYBER	15	14613	SLUZBY	\N	\N
901126	3070	1998-07-31	VYDAJ	VYBER	15	20830	SLUZBY	\N	\N
901127	3070	1998-08-31	VYDAJ	VYBER	15	20959	SLUZBY	\N	\N
901128	3070	1998-09-30	VYDAJ	VYBER	15	22991	SLUZBY	\N	\N
901129	3070	1998-10-31	VYDAJ	VYBER	15	23027	SLUZBY	\N	\N
901130	3070	1998-11-30	VYDAJ	VYBER	15	17140	SLUZBY	\N	\N
901131	3070	1997-09-20	PRIJEM	VKLAD	4200	21220	\N	\N	\N
901132	3070	1997-10-20	VYDAJ	VYBER	4100	33872	\N	\N	\N
901133	3070	1997-11-19	VYDAJ	VYBER	13100	37601	\N	\N	\N
901134	3070	1997-12-19	VYDAJ	VYBER	18000	44829	\N	\N	\N
901135	3070	1998-01-18	VYDAJ	VYBER	12200	41824	\N	\N	\N
901136	3070	1998-02-17	VYDAJ	VYBER	5300	29157	\N	\N	\N
901137	3070	1998-03-19	VYDAJ	VYBER	10900	31717	\N	\N	\N
901138	3070	1998-04-18	VYDAJ	VYBER	7000	33149	\N	\N	\N
901139	3070	1998-05-18	VYDAJ	VYBER	12700	33918	\N	\N	\N
901140	3070	1998-06-17	VYDAJ	VYBER	900	14544	\N	\N	\N
901141	3070	1998-07-17	VYDAJ	VYBER	7200	20759	\N	\N	\N
901142	3070	1998-08-16	VYDAJ	VYBER	13300	20876	\N	\N	\N
901143	3070	1998-09-15	VYDAJ	VYBER	11400	22905	\N	\N	\N
901144	3070	1998-10-15	VYDAJ	VYBER	13400	22937	\N	\N	\N
901145	3070	1998-11-14	VYDAJ	VYBER	13800	19933	\N	\N	\N
901146	3070	1998-12-14	VYDAJ	VYBER	18000	20846	\N	\N	\N
901163	3071	1996-10-03	PRIJEM	VKLAD	900	900	\N	\N	\N
901173	3071	1996-10-11	PRIJEM	VKLAD	24266	25166	\N	\N	\N
901174	3071	1996-11-11	PRIJEM	VKLAD	24266	50303	\N	\N	\N
901175	3071	1996-12-11	PRIJEM	VKLAD	36399	76477	\N	\N	\N
901176	3071	1997-01-11	PRIJEM	VKLAD	24266	80926	\N	\N	\N
901177	3071	1997-02-11	PRIJEM	VKLAD	24266	78920	\N	\N	\N
901178	3071	1997-03-11	PRIJEM	VKLAD	24266	74713	\N	\N	\N
901179	3071	1997-04-11	PRIJEM	VKLAD	24266	71376	\N	\N	\N
901180	3071	1997-05-11	PRIJEM	VKLAD	24266	71027	\N	\N	\N
901181	3071	1997-06-11	PRIJEM	VKLAD	36399	86703	\N	\N	\N
901182	3071	1997-07-11	PRIJEM	VKLAD	24266	82682	\N	\N	\N
901183	3071	1997-08-11	PRIJEM	VKLAD	24266	79458	\N	\N	\N
901184	3071	1997-09-11	PRIJEM	VKLAD	24266	69594	\N	\N	\N
901185	3071	1997-10-11	PRIJEM	VKLAD	24266	72314	\N	\N	\N
901186	3071	1997-11-11	PRIJEM	VKLAD	24266	71943	\N	\N	\N
901187	3071	1997-12-11	PRIJEM	VKLAD	36399	85904	\N	\N	\N
901188	3071	1998-01-11	PRIJEM	VKLAD	24266	79609	\N	\N	\N
901189	3071	1998-02-11	PRIJEM	VKLAD	24266	78264	\N	\N	\N
901190	3071	1998-03-11	PRIJEM	VKLAD	24266	73334	\N	\N	\N
901191	3071	1998-04-11	PRIJEM	VKLAD	24266	71367	\N	\N	\N
901192	3071	1998-05-11	PRIJEM	VKLAD	24266	60605	\N	\N	\N
901193	3071	1998-06-11	PRIJEM	VKLAD	36399	72422	\N	\N	\N
901194	3071	1998-07-11	PRIJEM	VKLAD	24266	66924	\N	\N	\N
901195	3071	1998-08-11	PRIJEM	VKLAD	24266	67327	\N	\N	\N
901196	3071	1998-09-11	PRIJEM	VKLAD	24266	65727	\N	\N	\N
901197	3071	1998-10-11	PRIJEM	VKLAD	24266	61059	\N	\N	\N
901198	3071	1998-11-11	PRIJEM	VKLAD	24266	62834	\N	\N	\N
901199	3071	1998-12-11	PRIJEM	VKLAD	36399	76046	\N	\N	\N
901214	3071	1997-03-07	VYDAJ	PREVOD NA UCET	5122	54715	SIPO	MN	64606320
901215	3071	1997-04-07	VYDAJ	PREVOD NA UCET	5122	51378	SIPO	MN	64606320
901216	3071	1997-05-07	VYDAJ	PREVOD NA UCET	5122	51029	SIPO	MN	64606320
901217	3071	1997-06-07	VYDAJ	PREVOD NA UCET	5122	54572	SIPO	MN	64606320
901218	3071	1997-07-07	VYDAJ	PREVOD NA UCET	5122	62684	SIPO	MN	64606320
901219	3071	1997-08-07	VYDAJ	PREVOD NA UCET	5122	55192	SIPO	MN	64606320
901220	3071	1997-09-07	VYDAJ	PREVOD NA UCET	5122	49596	SIPO	MN	64606320
901221	3071	1997-10-07	VYDAJ	PREVOD NA UCET	5122	52316	SIPO	MN	64606320
901222	3071	1997-11-07	VYDAJ	PREVOD NA UCET	5122	51945	SIPO	MN	64606320
901223	3071	1997-12-07	VYDAJ	PREVOD NA UCET	5122	49505	SIPO	MN	64606320
901224	3071	1998-01-07	VYDAJ	PREVOD NA UCET	5122	59611	SIPO	MN	64606320
901225	3071	1998-02-07	VYDAJ	PREVOD NA UCET	5122	58266	SIPO	MN	64606320
901226	3071	1998-03-07	VYDAJ	PREVOD NA UCET	5122	53336	SIPO	MN	64606320
901227	3071	1998-04-07	VYDAJ	PREVOD NA UCET	5122	51369	SIPO	MN	64606320
901228	3071	1998-05-07	VYDAJ	PREVOD NA UCET	5122	36339	SIPO	MN	64606320
901229	3071	1998-06-07	VYDAJ	PREVOD NA UCET	5122	40291	SIPO	MN	64606320
901230	3071	1998-07-07	VYDAJ	PREVOD NA UCET	5122	46926	SIPO	MN	64606320
901231	3071	1998-08-07	VYDAJ	PREVOD NA UCET	5122	47329	SIPO	MN	64606320
901232	3071	1998-09-07	VYDAJ	PREVOD NA UCET	5122	41461	SIPO	MN	64606320
901233	3071	1998-10-07	VYDAJ	PREVOD NA UCET	5122	36793	SIPO	MN	64606320
901234	3071	1998-11-07	VYDAJ	PREVOD NA UCET	5122	42836	SIPO	MN	64606320
901235	3071	1998-12-07	VYDAJ	PREVOD NA UCET	5122	39647	SIPO	MN	64606320
901250	3071	1997-03-07	VYDAJ	PREVOD NA UCET	4268	50447	 	ST	5976218
901251	3071	1997-04-07	VYDAJ	PREVOD NA UCET	4268	47110	 	ST	5976218
901252	3071	1997-05-07	VYDAJ	PREVOD NA UCET	4268	46761	 	ST	5976218
901253	3071	1997-06-07	VYDAJ	PREVOD NA UCET	4268	50304	 	ST	5976218
901254	3071	1997-07-07	VYDAJ	PREVOD NA UCET	4268	58416	 	ST	5976218
901255	3071	1997-08-07	VYDAJ	PREVOD NA UCET	4268	60314	 	ST	5976218
901256	3071	1997-09-07	VYDAJ	PREVOD NA UCET	4268	45328	 	ST	5976218
901257	3071	1997-10-07	VYDAJ	PREVOD NA UCET	4268	48048	 	ST	5976218
901258	3071	1997-11-07	VYDAJ	PREVOD NA UCET	4268	47677	 	ST	5976218
901259	3071	1997-12-07	VYDAJ	PREVOD NA UCET	4268	54627	 	ST	5976218
901260	3071	1998-01-07	VYDAJ	PREVOD NA UCET	4268	55343	 	ST	5976218
901261	3071	1998-02-07	VYDAJ	PREVOD NA UCET	4268	53998	 	ST	5976218
901262	3071	1998-03-07	VYDAJ	PREVOD NA UCET	4268	49068	 	ST	5976218
901263	3071	1998-04-07	VYDAJ	PREVOD NA UCET	4268	47101	 	ST	5976218
901264	3071	1998-05-07	VYDAJ	PREVOD NA UCET	4268	41461	 	ST	5976218
901265	3071	1998-06-07	VYDAJ	PREVOD NA UCET	4268	36023	 	ST	5976218
901266	3071	1998-07-07	VYDAJ	PREVOD NA UCET	4268	42658	 	ST	5976218
901267	3071	1998-08-07	VYDAJ	PREVOD NA UCET	4268	43061	 	ST	5976218
901268	3071	1998-09-07	VYDAJ	PREVOD NA UCET	4268	46583	 	ST	5976218
901269	3071	1998-10-07	VYDAJ	PREVOD NA UCET	4268	43715	 	ST	5976218
901270	3071	1998-11-07	VYDAJ	PREVOD NA UCET	4268	38568	 	ST	5976218
901271	3071	1998-12-07	VYDAJ	PREVOD NA UCET	4268	44769	 	ST	5976218
901273	3071	1997-12-25	VYDAJ	VYBER	2560	83344	\N	\N	\N
901274	3071	1998-12-19	VYDAJ	VYBER KARTOU	3500	72546	\N	\N	0
901281	3071	1997-08-30	VYDAJ	VYBER	4080	54438	\N	\N	\N
901282	3071	1997-08-29	VYDAJ	VYBER	5280	72018	\N	\N	\N
901283	3071	1997-08-14	VYDAJ	VYBER	2160	77298	\N	\N	\N
901286	3071	1998-03-02	VYDAJ	VYBER	1080	58458	\N	\N	\N
901287	3071	1998-09-30	VYDAJ	VYBER	1560	47998	\N	\N	\N
901288	3071	1998-05-03	VYDAJ	VYBER	5880	45729	\N	\N	\N
901289	3071	1998-10-07	VYDAJ	VYBER	1800	41915	\N	\N	\N
901304	3071	1997-02-28	VYDAJ	VYBER	15	79137	SLUZBY	\N	\N
901305	3071	1997-03-31	VYDAJ	VYBER	15	75000	SLUZBY	\N	\N
901306	3071	1997-04-30	VYDAJ	VYBER	15	71651	SLUZBY	\N	\N
901307	3071	1997-05-31	VYDAJ	VYBER	15	71294	SLUZBY	\N	\N
901308	3071	1997-06-30	VYDAJ	VYBER	15	67806	SLUZBY	\N	\N
901309	3071	1997-07-31	VYDAJ	VYBER	15	64582	SLUZBY	\N	\N
901310	3071	1997-08-31	VYDAJ	VYBER	15	54718	SLUZBY	\N	\N
901311	3071	1997-09-30	VYDAJ	VYBER	15	57438	SLUZBY	\N	\N
901312	3071	1997-10-31	VYDAJ	VYBER	15	57067	SLUZBY	\N	\N
901313	3071	1997-11-30	VYDAJ	VYBER	15	58895	SLUZBY	\N	\N
901314	3071	1997-12-31	VYDAJ	VYBER	15	64733	SLUZBY	\N	\N
901315	3071	1998-01-31	VYDAJ	VYBER	15	63388	SLUZBY	\N	\N
901316	3071	1998-02-28	VYDAJ	VYBER	15	59538	SLUZBY	\N	\N
901317	3071	1998-03-31	VYDAJ	VYBER	15	56491	SLUZBY	\N	\N
901318	3071	1998-04-30	VYDAJ	VYBER	15	51609	SLUZBY	\N	\N
901319	3071	1998-05-31	VYDAJ	VYBER	15	45413	SLUZBY	\N	\N
901320	3071	1998-06-30	VYDAJ	VYBER	15	52048	SLUZBY	\N	\N
901321	3071	1998-07-31	VYDAJ	VYBER	15	52451	SLUZBY	\N	\N
901322	3071	1998-08-31	VYDAJ	VYBER	15	50851	SLUZBY	\N	\N
901323	3071	1998-09-30	VYDAJ	VYBER	15	47983	SLUZBY	\N	\N
901324	3071	1998-10-31	VYDAJ	VYBER	15	47958	SLUZBY	\N	\N
901325	3071	1998-11-30	VYDAJ	VYBER	15	49037	SLUZBY	\N	\N
901326	3071	1996-11-02	PRIJEM	VKLAD	800	26037	\N	\N	\N
901327	3071	1996-12-02	VYDAJ	VYBER	10400	40078	\N	\N	\N
901328	3071	1997-01-01	VYDAJ	VYBER	20100	56660	\N	\N	\N
901329	3071	1997-01-31	VYDAJ	VYBER	26600	54654	\N	\N	\N
901330	3071	1997-03-02	VYDAJ	VYBER	19300	59837	\N	\N	\N
901331	3071	1997-04-01	VYDAJ	VYBER	18500	56500	\N	\N	\N
901332	3071	1997-05-01	VYDAJ	VYBER	15500	56151	\N	\N	\N
901333	3071	1997-05-31	VYDAJ	VYBER	11600	59694	\N	\N	\N
901334	3071	1997-06-30	VYDAJ	VYBER	19200	67821	\N	\N	\N
901335	3071	1997-07-30	VYDAJ	VYBER	18400	64282	\N	\N	\N
901336	3071	1997-08-29	VYDAJ	VYBER	13500	58518	\N	\N	\N
901337	3071	1997-09-28	VYDAJ	VYBER	12400	57194	\N	\N	\N
901338	3071	1997-10-28	VYDAJ	VYBER	15500	56814	\N	\N	\N
901339	3071	1997-11-27	VYDAJ	VYBER	13300	58643	\N	\N	\N
901340	3071	1997-12-27	VYDAJ	VYBER	18900	64444	\N	\N	\N
901341	3071	1998-01-26	VYDAJ	VYBER	16500	63109	\N	\N	\N
901342	3071	1998-02-25	VYDAJ	VYBER	19000	59264	\N	\N	\N
901343	3071	1998-03-27	VYDAJ	VYBER	17100	56234	\N	\N	\N
901344	3071	1998-04-26	VYDAJ	VYBER	20000	51367	\N	\N	\N
901345	3071	1998-05-26	VYDAJ	VYBER	15400	45205	\N	\N	\N
901346	3071	1998-06-25	VYDAJ	VYBER	20600	51822	\N	\N	\N
901347	3071	1998-07-25	VYDAJ	VYBER	14700	52224	\N	\N	\N
901348	3071	1998-08-24	VYDAJ	VYBER	16700	50627	\N	\N	\N
901349	3071	1998-09-23	VYDAJ	VYBER	16400	49327	\N	\N	\N
901350	3071	1998-10-23	VYDAJ	VYBER	13300	47759	\N	\N	\N
901351	3071	1998-11-22	VYDAJ	VYBER	14000	48834	\N	\N	\N
901379	3072	1993-06-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
901385	3072	1993-06-06	PRIJEM	VKLAD	33340	34340	\N	\N	\N
901386	3072	1993-07-06	PRIJEM	VKLAD	22227	51586	\N	\N	\N
901387	3072	1993-08-06	PRIJEM	VKLAD	22227	58817	\N	\N	\N
901388	3072	1993-09-06	PRIJEM	VKLAD	22227	64584	\N	\N	\N
901389	3072	1993-10-06	PRIJEM	VKLAD	22227	68176	\N	\N	\N
901390	3072	1993-11-06	PRIJEM	VKLAD	22227	68383	\N	\N	\N
901391	3072	1993-12-06	PRIJEM	VKLAD	33340	77396	\N	\N	\N
901392	3072	1994-01-06	PRIJEM	VKLAD	22227	64229	\N	\N	\N
901393	3072	1994-02-06	PRIJEM	VKLAD	22227	59396	\N	\N	\N
901394	3072	1994-03-06	PRIJEM	VKLAD	22227	60155	\N	\N	\N
901395	3072	1994-04-06	PRIJEM	VKLAD	22227	63426	\N	\N	\N
901396	3072	1994-05-06	PRIJEM	VKLAD	22227	63210	\N	\N	\N
901397	3072	1994-06-06	PRIJEM	VKLAD	33340	74208	\N	\N	\N
901398	3072	1994-07-06	PRIJEM	VKLAD	22227	62357	\N	\N	\N
901399	3072	1994-08-06	PRIJEM	VKLAD	22227	63118	\N	\N	\N
901400	3072	1994-09-06	PRIJEM	VKLAD	22227	63680	\N	\N	\N
901401	3072	1994-10-06	PRIJEM	VKLAD	22227	64544	\N	\N	\N
901402	3072	1994-11-06	PRIJEM	VKLAD	22227	65310	\N	\N	\N
901403	3072	1994-12-06	PRIJEM	VKLAD	33340	75189	\N	\N	\N
901404	3072	1995-01-06	PRIJEM	VKLAD	22227	67781	\N	\N	\N
901405	3072	1995-02-06	PRIJEM	VKLAD	22227	56441	\N	\N	\N
901406	3072	1995-03-06	PRIJEM	VKLAD	22227	59371	\N	\N	\N
901407	3072	1995-04-06	PRIJEM	VKLAD	22227	60814	\N	\N	\N
901408	3072	1995-05-06	PRIJEM	VKLAD	22227	55453	\N	\N	\N
901409	3072	1995-06-06	PRIJEM	VKLAD	33340	65190	\N	\N	\N
901410	3072	1995-07-06	PRIJEM	VKLAD	22227	45530	\N	\N	\N
901411	3072	1995-08-06	PRIJEM	VKLAD	22227	50714	\N	\N	\N
901412	3072	1995-09-06	PRIJEM	VKLAD	22227	56618	\N	\N	\N
901413	3072	1995-10-06	PRIJEM	VKLAD	22227	57441	\N	\N	\N
901414	3072	1995-11-06	PRIJEM	VKLAD	22227	56764	\N	\N	\N
901415	3072	1995-12-06	PRIJEM	VKLAD	33340	66094	\N	\N	\N
901416	3072	1996-01-06	PRIJEM	VKLAD	22227	50114	\N	\N	\N
901417	3072	1996-02-06	PRIJEM	VKLAD	22227	40597	\N	\N	\N
901418	3072	1996-03-06	PRIJEM	VKLAD	22227	47455	\N	\N	\N
901419	3072	1996-04-06	PRIJEM	VKLAD	22227	45129	\N	\N	\N
901420	3072	1996-05-06	PRIJEM	VKLAD	22227	46597	\N	\N	\N
901421	3072	1996-06-06	PRIJEM	VKLAD	33340	56679	\N	\N	\N
901422	3072	1996-07-06	PRIJEM	VKLAD	22227	37836	\N	\N	\N
901423	3072	1996-08-06	PRIJEM	VKLAD	22227	41171	\N	\N	\N
901424	3072	1996-09-06	PRIJEM	VKLAD	22227	45122	\N	\N	\N
901425	3072	1996-10-06	PRIJEM	VKLAD	22227	44279	\N	\N	\N
901426	3072	1996-11-06	PRIJEM	VKLAD	22227	38718	\N	\N	\N
901427	3072	1996-12-06	PRIJEM	VKLAD	33340	63095	\N	\N	\N
901428	3072	1997-01-06	PRIJEM	VKLAD	22227	45592	\N	\N	\N
901429	3072	1997-02-06	PRIJEM	VKLAD	22227	51363	\N	\N	\N
901430	3072	1997-03-06	PRIJEM	VKLAD	22227	42421	\N	\N	\N
901431	3072	1997-04-06	PRIJEM	VKLAD	22227	56592	\N	\N	\N
901432	3072	1997-05-06	PRIJEM	VKLAD	22227	41459	\N	\N	\N
901433	3072	1997-06-06	PRIJEM	VKLAD	33340	69647	\N	\N	\N
901434	3072	1997-07-06	PRIJEM	VKLAD	22227	48641	\N	\N	\N
901435	3072	1997-08-06	PRIJEM	VKLAD	22227	62743	\N	\N	\N
901436	3072	1997-09-06	PRIJEM	VKLAD	22227	50533	\N	\N	\N
901437	3072	1997-10-06	PRIJEM	VKLAD	22227	42779	\N	\N	\N
901438	3072	1997-11-06	PRIJEM	VKLAD	22227	40508	\N	\N	\N
901439	3072	1997-12-06	PRIJEM	VKLAD	33340	68691	\N	\N	\N
901440	3072	1998-01-06	PRIJEM	VKLAD	22227	42358	\N	\N	\N
901441	3072	1998-02-06	PRIJEM	VKLAD	22227	50021	\N	\N	\N
901442	3072	1998-03-06	PRIJEM	VKLAD	22227	67129	\N	\N	\N
901443	3072	1998-04-06	PRIJEM	VKLAD	22227	84311	\N	\N	\N
901444	3072	1998-05-06	PRIJEM	VKLAD	22227	48207	\N	\N	\N
901445	3072	1998-06-06	PRIJEM	VKLAD	33340	73022	\N	\N	\N
901446	3072	1998-07-06	PRIJEM	VKLAD	22227	74480	\N	\N	\N
901447	3072	1998-08-06	PRIJEM	VKLAD	22227	41336	\N	\N	\N
901448	3072	1998-09-06	PRIJEM	VKLAD	22227	58409	\N	\N	\N
901449	3072	1998-10-06	PRIJEM	VKLAD	22227	75553	\N	\N	\N
901450	3072	1998-11-06	PRIJEM	VKLAD	22227	41800	\N	\N	\N
901451	3072	1998-12-06	PRIJEM	VKLAD	33340	69987	\N	\N	\N
901461	3072	1993-10-08	VYDAJ	PREVOD NA UCET	5268	62908	SIPO	WX	249654
901462	3072	1993-11-08	VYDAJ	PREVOD NA UCET	5268	63115	SIPO	WX	249654
901463	3072	1993-12-08	VYDAJ	PREVOD NA UCET	5268	72128	SIPO	WX	249654
901464	3072	1994-01-08	VYDAJ	PREVOD NA UCET	5268	58961	SIPO	WX	249654
901465	3072	1994-02-08	VYDAJ	PREVOD NA UCET	5268	54128	SIPO	WX	249654
901466	3072	1994-03-08	VYDAJ	PREVOD NA UCET	5268	54887	SIPO	WX	249654
901467	3072	1994-04-08	VYDAJ	PREVOD NA UCET	5268	58158	SIPO	WX	249654
901468	3072	1994-05-08	VYDAJ	PREVOD NA UCET	5268	57942	SIPO	WX	249654
901469	3072	1994-06-08	VYDAJ	PREVOD NA UCET	5268	68940	SIPO	WX	249654
901470	3072	1994-07-08	VYDAJ	PREVOD NA UCET	5268	57089	SIPO	WX	249654
901471	3072	1994-08-08	VYDAJ	PREVOD NA UCET	5268	57850	SIPO	WX	249654
901472	3072	1994-09-08	VYDAJ	PREVOD NA UCET	5268	58412	SIPO	WX	249654
901473	3072	1994-10-08	VYDAJ	PREVOD NA UCET	5268	59276	SIPO	WX	249654
901474	3072	1994-11-08	VYDAJ	PREVOD NA UCET	5268	57542	SIPO	WX	249654
901475	3072	1994-12-08	VYDAJ	PREVOD NA UCET	5268	69921	SIPO	WX	249654
901476	3072	1995-01-08	VYDAJ	PREVOD NA UCET	5268	62513	SIPO	WX	249654
901477	3072	1995-02-08	VYDAJ	PREVOD NA UCET	5268	51173	SIPO	WX	249654
901478	3072	1995-03-08	VYDAJ	PREVOD NA UCET	5268	54103	SIPO	WX	249654
901479	3072	1995-04-08	VYDAJ	PREVOD NA UCET	5268	55546	SIPO	WX	249654
901480	3072	1995-05-08	VYDAJ	PREVOD NA UCET	5268	50185	SIPO	WX	249654
901481	3072	1995-06-08	VYDAJ	PREVOD NA UCET	5268	59922	SIPO	WX	249654
901482	3072	1995-07-08	VYDAJ	PREVOD NA UCET	5268	40262	SIPO	WX	249654
901483	3072	1995-08-08	VYDAJ	PREVOD NA UCET	5268	45446	SIPO	WX	249654
901484	3072	1995-09-08	VYDAJ	PREVOD NA UCET	5268	51350	SIPO	WX	249654
901485	3072	1995-10-08	VYDAJ	PREVOD NA UCET	5268	52173	SIPO	WX	249654
901486	3072	1995-11-08	VYDAJ	PREVOD NA UCET	5268	51496	SIPO	WX	249654
901487	3072	1995-12-08	VYDAJ	PREVOD NA UCET	5268	56626	SIPO	WX	249654
901488	3072	1996-01-08	VYDAJ	PREVOD NA UCET	5268	44846	SIPO	WX	249654
901489	3072	1996-02-08	VYDAJ	PREVOD NA UCET	5268	35329	SIPO	WX	249654
901490	3072	1996-03-08	VYDAJ	PREVOD NA UCET	5268	42187	SIPO	WX	249654
901491	3072	1996-04-08	VYDAJ	PREVOD NA UCET	5268	39861	SIPO	WX	249654
901492	3072	1996-05-08	VYDAJ	PREVOD NA UCET	5268	41329	SIPO	WX	249654
901493	3072	1996-06-08	VYDAJ	PREVOD NA UCET	5268	51411	SIPO	WX	249654
901494	3072	1996-07-08	VYDAJ	PREVOD NA UCET	5268	32568	SIPO	WX	249654
901495	3072	1996-08-08	VYDAJ	PREVOD NA UCET	5268	35903	SIPO	WX	249654
901496	3072	1996-09-08	VYDAJ	PREVOD NA UCET	5268	39854	SIPO	WX	249654
901497	3072	1996-10-08	VYDAJ	PREVOD NA UCET	5268	39011	SIPO	WX	249654
901498	3072	1996-11-08	VYDAJ	PREVOD NA UCET	5268	33450	SIPO	WX	249654
901499	3072	1996-12-08	VYDAJ	PREVOD NA UCET	5268	57827	SIPO	WX	249654
901500	3072	1997-01-08	VYDAJ	PREVOD NA UCET	5268	34424	SIPO	WX	249654
901501	3072	1997-02-08	VYDAJ	PREVOD NA UCET	5268	46095	SIPO	WX	249654
901502	3072	1997-03-08	VYDAJ	PREVOD NA UCET	5268	37153	SIPO	WX	249654
901503	3072	1997-04-08	VYDAJ	PREVOD NA UCET	5268	51324	SIPO	WX	249654
901504	3072	1997-05-08	VYDAJ	PREVOD NA UCET	5268	36191	SIPO	WX	249654
901620	3072	1994-08-31	VYDAJ	VYBER	15	41453	SLUZBY	\N	\N
901505	3072	1997-06-08	VYDAJ	PREVOD NA UCET	5268	64379	SIPO	WX	249654
901506	3072	1997-07-08	VYDAJ	PREVOD NA UCET	5268	43373	SIPO	WX	249654
901507	3072	1997-08-08	VYDAJ	PREVOD NA UCET	5268	57475	SIPO	WX	249654
901508	3072	1997-09-08	VYDAJ	PREVOD NA UCET	5268	45265	SIPO	WX	249654
901509	3072	1997-10-08	VYDAJ	PREVOD NA UCET	5268	37511	SIPO	WX	249654
901510	3072	1997-11-08	VYDAJ	PREVOD NA UCET	5268	35240	SIPO	WX	249654
901511	3072	1997-12-08	VYDAJ	PREVOD NA UCET	5268	63423	SIPO	WX	249654
901512	3072	1998-01-08	VYDAJ	PREVOD NA UCET	5268	37090	SIPO	WX	249654
901513	3072	1998-02-08	VYDAJ	PREVOD NA UCET	5268	44753	SIPO	WX	249654
901514	3072	1998-03-08	VYDAJ	PREVOD NA UCET	5268	61861	SIPO	WX	249654
901515	3072	1998-04-08	VYDAJ	PREVOD NA UCET	5268	79043	SIPO	WX	249654
901516	3072	1998-05-08	VYDAJ	PREVOD NA UCET	5268	42939	SIPO	WX	249654
901517	3072	1998-06-08	VYDAJ	PREVOD NA UCET	5268	67754	SIPO	WX	249654
901518	3072	1998-07-08	VYDAJ	PREVOD NA UCET	5268	69212	SIPO	WX	249654
901519	3072	1998-08-08	VYDAJ	PREVOD NA UCET	5268	36068	SIPO	WX	249654
901520	3072	1998-09-08	VYDAJ	PREVOD NA UCET	5268	53141	SIPO	WX	249654
901521	3072	1998-10-08	VYDAJ	PREVOD NA UCET	5268	19485	SIPO	WX	249654
901522	3072	1998-11-08	VYDAJ	PREVOD NA UCET	5268	36532	SIPO	WX	249654
901523	3072	1998-12-08	VYDAJ	PREVOD NA UCET	5268	16919	SIPO	WX	249654
901525	3072	1994-06-11	VYDAJ	VYBER	19300	49640	\N	\N	\N
901526	3072	1995-06-23	VYDAJ	VYBER	25800	34122	\N	\N	\N
901527	3072	1996-06-16	VYDAJ	VYBER	29800	21611	\N	\N	\N
901529	3072	1998-06-08	VYDAJ	VYBER	12200	55554	\N	\N	\N
901530	3072	1993-12-15	VYDAJ	VYBER	2100	70028	\N	\N	\N
901531	3072	1994-12-19	VYDAJ	VYBER	600	69321	\N	\N	\N
901532	3072	1995-12-25	VYDAJ	VYBER	2800	29226	\N	\N	\N
901533	3072	1996-12-28	VYDAJ	VYBER	2700	23227	\N	\N	\N
901534	3072	1997-12-25	VYDAJ	VYBER	2200	22723	\N	\N	\N
901542	3072	1994-01-27	VYDAJ	VYBER	2000	48761	\N	\N	\N
901543	3072	1994-01-03	VYDAJ	VYBER	2700	42002	\N	\N	\N
901544	3072	1994-01-18	VYDAJ	VYBER	2600	51561	\N	\N	\N
901545	3072	1994-01-11	VYDAJ	VYBER	2600	56361	\N	\N	\N
901546	3072	1994-01-16	VYDAJ	VYBER	2200	54161	\N	\N	\N
901547	3072	1994-01-21	VYDAJ	VYBER	800	50761	\N	\N	\N
901548	3072	1995-01-30	VYDAJ	VYBER	2100	34013	\N	\N	\N
901549	3072	1995-01-26	VYDAJ	VYBER	1900	38413	\N	\N	\N
901550	3072	1995-01-14	VYDAJ	VYBER	2200	58213	\N	\N	\N
901551	3072	1995-01-30	VYDAJ	VYBER	2300	36113	\N	\N	\N
901552	3072	1995-01-25	VYDAJ	VYBER	2500	55713	\N	\N	\N
901553	3072	1995-01-12	VYDAJ	VYBER	2100	60413	\N	\N	\N
901554	3072	1996-01-02	VYDAJ	VYBER	1500	27887	\N	\N	\N
901555	3072	1996-01-24	VYDAJ	VYBER	1200	22946	\N	\N	\N
901556	3072	1996-01-29	VYDAJ	VYBER	1800	18246	\N	\N	\N
901557	3072	1996-01-25	VYDAJ	VYBER	2900	20046	\N	\N	\N
901558	3072	1996-01-11	VYDAJ	VYBER	2000	42846	\N	\N	\N
901559	3072	1996-01-22	VYDAJ	VYBER	700	24146	\N	\N	\N
901560	3072	1997-01-10	VYDAJ	VYBER	1300	33124	\N	\N	\N
901561	3072	1997-01-07	VYDAJ	VYBER	1200	44392	\N	\N	\N
901562	3072	1997-01-22	VYDAJ	VYBER	2200	30924	\N	\N	\N
901563	3072	1997-01-25	VYDAJ	VYBER	1900	29024	\N	\N	\N
901564	3072	1997-01-08	VYDAJ	VYBER	1900	42492	\N	\N	\N
901565	3072	1997-01-08	VYDAJ	VYBER	2800	39692	\N	\N	\N
901566	3072	1998-01-09	VYDAJ	VYBER	800	33490	\N	\N	\N
901567	3072	1998-01-03	VYDAJ	VYBER	500	22331	\N	\N	\N
901568	3072	1998-01-08	VYDAJ	VYBER	2800	34290	\N	\N	\N
901569	3072	1998-01-23	VYDAJ	VYBER	800	29890	\N	\N	\N
901570	3072	1998-01-11	VYDAJ	VYBER	2800	30690	\N	\N	\N
901571	3072	1998-01-24	VYDAJ	VYBER	2200	27690	\N	\N	\N
901573	3072	1993-10-10	VYDAJ	VYBER	800	62108	\N	\N	\N
901575	3072	1993-11-18	VYDAJ	VYBER	4200	58915	\N	\N	\N
901576	3072	1993-12-30	VYDAJ	VYBER	2200	67828	\N	\N	\N
901577	3072	1994-12-27	VYDAJ	VYBER	4600	64721	\N	\N	\N
901578	3072	1994-07-24	VYDAJ	VYBER	1200	55889	\N	\N	\N
901579	3072	1994-03-29	VYDAJ	VYBER	3300	51587	\N	\N	\N
901580	3072	1994-02-09	VYDAJ	VYBER	1900	52228	\N	\N	\N
901581	3072	1994-11-06	VYDAJ	VYBER	2500	62810	\N	\N	\N
901582	3072	1995-05-24	VYDAJ	VYBER	3200	46985	\N	\N	\N
901583	3072	1995-06-29	VYDAJ	VYBER	1000	23122	\N	\N	\N
901584	3072	1995-06-01	VYDAJ	VYBER	4000	31850	\N	\N	\N
901585	3072	1995-04-19	VYDAJ	VYBER	4200	51346	\N	\N	\N
901586	3072	1995-12-08	VYDAJ	VYBER	4200	61894	\N	\N	\N
901587	3072	1996-10-10	VYDAJ	VYBER	3700	35311	\N	\N	\N
901588	3072	1996-12-02	VYDAJ	VYBER	3800	29755	\N	\N	\N
901590	3072	1996-07-14	VYDAJ	VYBER	3500	29068	\N	\N	\N
901593	3072	1997-06-27	VYDAJ	VYBER	1000	26279	\N	\N	\N
901594	3072	1997-03-10	VYDAJ	VYBER	2900	34253	\N	\N	\N
901595	3072	1997-07-26	VYDAJ	VYBER	3000	40373	\N	\N	\N
901597	3072	1998-01-04	VYDAJ	VYBER	2200	20131	\N	\N	\N
901598	3072	1998-06-13	VYDAJ	VYBER	3500	52054	\N	\N	\N
901599	3072	1998-06-02	VYDAJ	VYBER	3400	39682	\N	\N	\N
901610	3072	1993-10-31	VYDAJ	VYBER	15	62356	SLUZBY	\N	\N
901611	3072	1993-11-30	VYDAJ	VYBER	15	59156	SLUZBY	\N	\N
901612	3072	1993-12-31	VYDAJ	VYBER	15	68102	SLUZBY	\N	\N
901613	3072	1994-01-31	VYDAJ	VYBER	15	48969	SLUZBY	\N	\N
901614	3072	1994-02-28	VYDAJ	VYBER	15	52428	SLUZBY	\N	\N
901615	3072	1994-03-31	VYDAJ	VYBER	15	51799	SLUZBY	\N	\N
901616	3072	1994-04-30	VYDAJ	VYBER	15	58383	SLUZBY	\N	\N
901617	3072	1994-05-31	VYDAJ	VYBER	15	40868	SLUZBY	\N	\N
901618	3072	1994-06-30	VYDAJ	VYBER	15	40130	SLUZBY	\N	\N
901619	3072	1994-07-31	VYDAJ	VYBER	15	40891	SLUZBY	\N	\N
901621	3072	1994-09-30	VYDAJ	VYBER	15	42317	SLUZBY	\N	\N
901622	3072	1994-10-31	VYDAJ	VYBER	15	43083	SLUZBY	\N	\N
901623	3072	1994-11-30	VYDAJ	VYBER	15	41849	SLUZBY	\N	\N
901624	3072	1994-12-31	VYDAJ	VYBER	15	45554	SLUZBY	\N	\N
901625	3072	1995-01-31	VYDAJ	VYBER	15	34214	SLUZBY	\N	\N
901626	3072	1995-02-28	VYDAJ	VYBER	15	37144	SLUZBY	\N	\N
901627	3072	1995-03-31	VYDAJ	VYBER	15	38587	SLUZBY	\N	\N
901628	3072	1995-04-30	VYDAJ	VYBER	15	33226	SLUZBY	\N	\N
901629	3072	1995-05-31	VYDAJ	VYBER	15	35850	SLUZBY	\N	\N
901630	3072	1995-06-30	VYDAJ	VYBER	15	23303	SLUZBY	\N	\N
901631	3072	1995-07-31	VYDAJ	VYBER	15	28487	SLUZBY	\N	\N
901632	3072	1995-08-31	VYDAJ	VYBER	15	34391	SLUZBY	\N	\N
901633	3072	1995-09-30	VYDAJ	VYBER	15	35214	SLUZBY	\N	\N
901634	3072	1995-10-31	VYDAJ	VYBER	15	34537	SLUZBY	\N	\N
901635	3072	1995-11-30	VYDAJ	VYBER	15	32754	SLUZBY	\N	\N
901636	3072	1995-12-31	VYDAJ	VYBER	15	29387	SLUZBY	\N	\N
901637	3072	1996-01-31	VYDAJ	VYBER	15	18370	SLUZBY	\N	\N
901638	3072	1996-02-29	VYDAJ	VYBER	15	25228	SLUZBY	\N	\N
901639	3072	1996-03-31	VYDAJ	VYBER	15	22902	SLUZBY	\N	\N
901640	3072	1996-04-30	VYDAJ	VYBER	15	24370	SLUZBY	\N	\N
901641	3072	1996-05-31	VYDAJ	VYBER	15	23339	SLUZBY	\N	\N
901642	3072	1996-06-30	VYDAJ	VYBER	15	15609	SLUZBY	\N	\N
901643	3072	1996-07-31	VYDAJ	VYBER	15	18944	SLUZBY	\N	\N
901644	3072	1996-08-31	VYDAJ	VYBER	15	22895	SLUZBY	\N	\N
901645	3072	1996-09-30	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
901646	3072	1996-10-31	VYDAJ	VYBER	15	16491	SLUZBY	\N	\N
901647	3072	1996-11-30	VYDAJ	VYBER	15	33555	SLUZBY	\N	\N
901648	3072	1996-12-31	VYDAJ	VYBER	15	23365	SLUZBY	\N	\N
901649	3072	1997-01-31	VYDAJ	VYBER	15	29136	SLUZBY	\N	\N
901650	3072	1997-02-28	VYDAJ	VYBER	15	20194	SLUZBY	\N	\N
901651	3072	1997-03-31	VYDAJ	VYBER	15	34365	SLUZBY	\N	\N
901652	3072	1997-04-30	VYDAJ	VYBER	15	19232	SLUZBY	\N	\N
901653	3072	1997-05-31	VYDAJ	VYBER	15	36307	SLUZBY	\N	\N
901654	3072	1997-06-30	VYDAJ	VYBER	15	26414	SLUZBY	\N	\N
901655	3072	1997-07-31	VYDAJ	VYBER	15	40516	SLUZBY	\N	\N
901656	3072	1997-08-31	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
901657	3072	1997-09-30	VYDAJ	VYBER	15	20552	SLUZBY	\N	\N
901658	3072	1997-10-31	VYDAJ	VYBER	15	18281	SLUZBY	\N	\N
901659	3072	1997-11-30	VYDAJ	VYBER	15	35351	SLUZBY	\N	\N
901660	3072	1997-12-31	VYDAJ	VYBER	15	22831	SLUZBY	\N	\N
901661	3072	1998-01-31	VYDAJ	VYBER	15	27794	SLUZBY	\N	\N
901662	3072	1998-02-28	VYDAJ	VYBER	15	44902	SLUZBY	\N	\N
901663	3072	1998-03-31	VYDAJ	VYBER	15	62084	SLUZBY	\N	\N
901664	3072	1998-04-30	VYDAJ	VYBER	15	25980	SLUZBY	\N	\N
901665	3072	1998-05-31	VYDAJ	VYBER	15	43082	SLUZBY	\N	\N
901666	3072	1998-06-30	VYDAJ	VYBER	15	52253	SLUZBY	\N	\N
901667	3072	1998-07-31	VYDAJ	VYBER	15	19109	SLUZBY	\N	\N
901668	3072	1998-08-31	VYDAJ	VYBER	15	36182	SLUZBY	\N	\N
901669	3072	1998-09-30	VYDAJ	VYBER	15	53326	SLUZBY	\N	\N
901670	3072	1998-10-31	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
901671	3072	1998-11-30	VYDAJ	VYBER	15	36647	SLUZBY	\N	\N
901672	3072	1993-07-05	VYDAJ	VYBER	5100	29359	\N	\N	\N
901673	3072	1993-08-04	VYDAJ	VYBER	15200	36590	\N	\N	\N
901674	3072	1993-09-03	VYDAJ	VYBER	16700	42357	\N	\N	\N
901675	3072	1993-10-03	VYDAJ	VYBER	18900	45949	\N	\N	\N
901676	3072	1993-11-02	VYDAJ	VYBER	16200	46156	\N	\N	\N
901677	3072	1993-12-02	VYDAJ	VYBER	15100	44056	\N	\N	\N
901678	3072	1994-01-01	VYDAJ	VYBER	23400	44702	\N	\N	\N
901679	3072	1994-01-31	VYDAJ	VYBER	11800	37169	\N	\N	\N
901680	3072	1994-03-02	VYDAJ	VYBER	14500	37928	\N	\N	\N
901681	3072	1994-04-01	VYDAJ	VYBER	10600	41199	\N	\N	\N
901682	3072	1994-05-01	VYDAJ	VYBER	17400	40983	\N	\N	\N
901683	3072	1994-05-31	VYDAJ	VYBER	17300	40882	\N	\N	\N
901684	3072	1994-06-30	VYDAJ	VYBER	9700	40145	\N	\N	\N
901685	3072	1994-07-30	VYDAJ	VYBER	15200	40689	\N	\N	\N
901686	3072	1994-08-29	VYDAJ	VYBER	16600	41250	\N	\N	\N
901687	3072	1994-09-28	VYDAJ	VYBER	16300	42112	\N	\N	\N
901688	3072	1994-10-28	VYDAJ	VYBER	16400	42876	\N	\N	\N
901689	3072	1994-11-27	VYDAJ	VYBER	15900	41642	\N	\N	\N
901690	3072	1994-12-27	VYDAJ	VYBER	19400	45321	\N	\N	\N
901691	3072	1995-01-26	VYDAJ	VYBER	15400	40313	\N	\N	\N
901692	3072	1995-02-25	VYDAJ	VYBER	14200	36973	\N	\N	\N
901693	3072	1995-03-27	VYDAJ	VYBER	15700	38403	\N	\N	\N
901694	3072	1995-04-26	VYDAJ	VYBER	18300	33046	\N	\N	\N
901695	3072	1995-05-26	VYDAJ	VYBER	11300	35685	\N	\N	\N
901696	3072	1995-06-25	VYDAJ	VYBER	10000	24122	\N	\N	\N
901697	3072	1995-07-25	VYDAJ	VYBER	11900	28362	\N	\N	\N
901698	3072	1995-08-24	VYDAJ	VYBER	11200	34246	\N	\N	\N
901699	3072	1995-09-23	VYDAJ	VYBER	16300	35050	\N	\N	\N
901700	3072	1995-10-23	VYDAJ	VYBER	17800	34373	\N	\N	\N
901701	3072	1995-11-22	VYDAJ	VYBER	18900	32596	\N	\N	\N
901702	3072	1995-12-22	VYDAJ	VYBER	24600	32026	\N	\N	\N
901703	3072	1996-01-21	VYDAJ	VYBER	18000	24846	\N	\N	\N
901704	3072	1996-02-20	VYDAJ	VYBER	10200	25129	\N	\N	\N
901705	3072	1996-03-21	VYDAJ	VYBER	19400	22787	\N	\N	\N
901706	3072	1996-04-20	VYDAJ	VYBER	15600	24261	\N	\N	\N
901707	3072	1996-05-20	VYDAJ	VYBER	18100	23229	\N	\N	\N
901708	3072	1996-06-19	VYDAJ	VYBER	6100	15511	\N	\N	\N
901709	3072	1996-07-19	VYDAJ	VYBER	10200	18868	\N	\N	\N
901710	3072	1996-08-18	VYDAJ	VYBER	13100	22803	\N	\N	\N
901711	3072	1996-09-17	VYDAJ	VYBER	17900	21954	\N	\N	\N
901712	3072	1996-10-17	VYDAJ	VYBER	18900	16411	\N	\N	\N
901713	3072	1996-12-16	VYDAJ	VYBER	31900	25927	\N	\N	\N
901714	3072	1997-02-14	VYDAJ	VYBER	26000	20095	\N	\N	\N
901715	3072	1997-04-15	VYDAJ	VYBER	32200	19124	\N	\N	\N
901716	3072	1997-06-14	VYDAJ	VYBER	37100	27279	\N	\N	\N
901717	3072	1997-08-13	VYDAJ	VYBER	29300	28175	\N	\N	\N
901718	3072	1997-09-12	VYDAJ	VYBER	24800	20465	\N	\N	\N
901719	3072	1997-10-12	VYDAJ	VYBER	19300	18211	\N	\N	\N
901720	3072	1997-12-11	VYDAJ	VYBER	38500	24923	\N	\N	\N
901721	3072	1998-04-10	VYDAJ	VYBER	53200	25843	\N	\N	\N
901722	3072	1998-07-09	VYDAJ	VYBER	50200	19012	\N	\N	\N
901723	3072	1998-10-07	VYDAJ	VYBER	50800	24753	\N	\N	\N
901724	3072	1998-12-06	VYDAJ	VYBER	47800	22187	\N	\N	\N
902257	3074	1994-10-08	PRIJEM	VKLAD	500	500	\N	\N	\N
902258	3074	1994-12-17	PRIJEM	VKLAD	10062	72512	\N	\N	\N
902265	3074	1994-12-27	PRIJEM	VKLAD	11974	105066	\N	\N	\N
902271	3074	1994-11-10	PRIJEM	VKLAD	34291	47991	\N	\N	\N
902272	3074	1994-12-22	PRIJEM	VKLAD	20580	93092	\N	\N	\N
902274	3074	1994-11-27	PRIJEM	VKLAD	48292	96283	\N	\N	\N
902276	3074	1995-03-13	PRIJEM	VKLAD	8507	22408	\N	\N	\N
902277	3074	1995-01-05	PRIJEM	VKLAD	7570	63858	\N	\N	\N
902278	3074	1995-03-29	PRIJEM	VKLAD	49337	71745	\N	\N	\N
902279	3074	1995-12-09	PRIJEM	VKLAD	44510	44349	\N	\N	\N
902280	3074	1995-06-07	PRIJEM	VKLAD	16986	42824	\N	\N	\N
902281	3074	1995-01-22	PRIJEM	VKLAD	25040	60898	\N	\N	\N
902282	3074	1995-12-19	PRIJEM	VKLAD	36985	74434	\N	\N	\N
902283	3074	1996-07-11	PRIJEM	VKLAD	15308	107813	\N	\N	\N
902284	3074	1996-07-07	PRIJEM	VKLAD	40117	92505	\N	\N	\N
902285	3074	1996-11-09	PRIJEM	VKLAD	5493	54578	\N	\N	\N
902286	3074	1996-06-07	PRIJEM	VKLAD	5237	41140	\N	\N	\N
902287	3074	1996-07-19	PRIJEM	VKLAD	37704	78717	\N	\N	\N
902288	3074	1996-06-17	PRIJEM	VKLAD	35357	76497	\N	\N	\N
902289	3074	1996-02-26	PRIJEM	VKLAD	40743	80552	\N	\N	\N
902290	3074	1996-04-02	PRIJEM	VKLAD	35307	87430	\N	\N	\N
902291	3074	1996-03-21	PRIJEM	VKLAD	18688	74330	\N	\N	\N
902292	3074	1996-04-19	PRIJEM	VKLAD	47418	126448	\N	\N	\N
902293	3074	1996-10-12	PRIJEM	VKLAD	43161	67398	\N	\N	\N
902294	3074	1996-07-25	PRIJEM	VKLAD	46920	125637	\N	\N	\N
902295	3074	1996-02-20	PRIJEM	VKLAD	31846	39809	\N	\N	\N
902296	3074	1996-05-19	PRIJEM	VKLAD	18577	44006	\N	\N	\N
902297	3074	1997-11-17	PRIJEM	VKLAD	44192	88319	\N	\N	\N
902298	3074	1997-07-03	PRIJEM	VKLAD	30940	103426	\N	\N	\N
902299	3074	1997-11-09	PRIJEM	VKLAD	9512	44127	\N	\N	\N
902300	3074	1997-02-08	PRIJEM	VKLAD	44652	78471	\N	\N	\N
902301	3074	1997-04-05	PRIJEM	VKLAD	5413	65208	\N	\N	\N
902302	3074	1997-09-11	PRIJEM	VKLAD	30198	120228	\N	\N	\N
902303	3074	1997-08-13	PRIJEM	VKLAD	32228	122066	\N	\N	\N
902304	3074	1997-04-07	PRIJEM	VKLAD	18693	83901	\N	\N	\N
902305	3074	1997-12-12	PRIJEM	VKLAD	38126	92815	\N	\N	\N
902306	3074	1997-02-06	PRIJEM	VKLAD	21785	33819	\N	\N	\N
902307	3074	1997-12-15	PRIJEM	VKLAD	21066	113881	\N	\N	\N
902308	3074	1997-08-12	PRIJEM	VKLAD	49233	142538	\N	\N	\N
902309	3074	1997-06-22	PRIJEM	VKLAD	7000	27191	\N	\N	\N
902310	3074	1997-06-02	PRIJEM	VKLAD	47735	84091	\N	\N	\N
902311	3074	1997-03-02	PRIJEM	VKLAD	39328	90805	\N	\N	\N
902312	3074	1997-08-30	PRIJEM	VKLAD	31003	89769	\N	\N	\N
902313	3074	1997-06-30	PRIJEM	VKLAD	44598	72389	\N	\N	\N
902314	3074	1997-08-11	PRIJEM	VKLAD	41097	93305	\N	\N	\N
902315	3074	1998-07-30	PRIJEM	VKLAD	46045	75147	\N	\N	\N
902316	3074	1998-08-22	PRIJEM	VKLAD	25446	58416	\N	\N	\N
902317	3074	1998-07-09	PRIJEM	VKLAD	19232	36602	\N	\N	\N
902318	3074	1998-09-05	PRIJEM	VKLAD	23383	108387	\N	\N	\N
902319	3074	1998-10-19	PRIJEM	VKLAD	39006	62050	\N	\N	\N
902320	3074	1998-09-05	PRIJEM	VKLAD	6430	114817	\N	\N	\N
902321	3074	1998-04-10	PRIJEM	VKLAD	22149	37514	\N	\N	\N
902322	3074	1998-01-07	PRIJEM	VKLAD	41242	83745	\N	\N	\N
902323	3074	1998-11-20	PRIJEM	VKLAD	34197	87296	\N	\N	\N
902324	3074	1998-10-20	PRIJEM	VKLAD	48272	97875	\N	\N	\N
902325	3074	1998-04-23	PRIJEM	VKLAD	39832	57499	\N	\N	\N
902326	3074	1998-09-01	PRIJEM	VKLAD	30280	85004	\N	\N	\N
902339	3074	1995-05-22	VYBER	VYBER	6241	25515	\N	\N	\N
902340	3074	1995-11-17	VYBER	VYBER	13730	454	\N	\N	\N
902342	3074	1995-10-18	VYBER	VYBER	12608	6560	\N	\N	\N
902343	3074	1995-07-01	VYBER	VYBER	23597	4760	\N	\N	\N
902344	3074	1995-02-02	VYBER	VYBER	14890	6603	\N	\N	\N
902345	3074	1995-06-23	VYBER	VYBER	14585	28239	\N	\N	\N
902346	3074	1995-01-27	VYBER	VYBER	12855	29143	\N	\N	\N
902347	3074	1995-01-01	VYBER	VYBER	17934	62888	\N	\N	\N
902349	3074	1996-05-03	VYBER	VYBER	20173	25429	\N	\N	\N
902350	3074	1996-07-25	VYBER	VYBER	14487	111150	\N	\N	\N
902351	3074	1998-01-14	VYBER	VYBER	13253	70492	\N	\N	\N
902352	3074	1998-04-10	VYBER	VYBER	23647	13867	\N	\N	\N
902353	3074	1998-06-10	VYBER	VYBER	3817	24717	\N	\N	\N
902354	3074	1998-10-19	VYBER	VYBER	12447	49603	\N	\N	\N
902355	3074	1998-02-20	VYBER	VYBER	14570	9401	\N	\N	\N
902356	3074	1998-08-16	VYBER	VYBER	9193	49670	\N	\N	\N
902357	3074	1998-06-22	VYBER	VYBER	5016	17301	\N	\N	\N
902358	3074	1998-12-19	VYBER	VYBER	8800	39454	\N	\N	\N
902359	3074	1998-08-08	VYBER	VYBER	12757	58863	\N	\N	\N
902360	3074	1998-05-20	VYBER	VYBER	19050	38559	\N	\N	\N
902364	3074	1997-06-14	VYDAJ	VYBER	63900	20191	\N	\N	\N
902367	3074	1995-01-12	VYDAJ	VYBER	4800	39758	\N	\N	\N
902368	3074	1996-01-02	VYDAJ	VYBER	10500	39289	\N	\N	\N
902370	3074	1998-01-18	VYDAJ	VYBER	22200	38992	\N	\N	\N
902372	3074	1995-12-14	VYDAJ	VYBER	6900	37449	\N	\N	\N
902373	3074	1996-12-30	VYDAJ	VYBER	8700	29748	\N	\N	\N
902374	3074	1997-12-17	VYDAJ	VYBER	3600	79581	\N	\N	\N
902375	3074	1998-12-22	VYDAJ	VYBER	6000	33454	\N	\N	\N
902382	3074	1995-01-14	VYDAJ	VYBER	3900	35858	\N	\N	\N
902383	3074	1995-01-04	VYDAJ	VYBER	6600	56288	\N	\N	\N
902384	3074	1995-01-23	VYDAJ	VYBER	5100	48298	\N	\N	\N
902385	3074	1995-01-25	VYDAJ	VYBER	6300	41998	\N	\N	\N
902386	3074	1995-01-23	VYDAJ	VYBER	7500	53398	\N	\N	\N
902387	3074	1995-01-27	VYDAJ	VYBER	7800	21343	\N	\N	\N
902388	3074	1996-01-03	VYDAJ	VYBER	1800	37489	\N	\N	\N
902389	3074	1996-01-12	VYDAJ	VYBER	8700	20989	\N	\N	\N
902390	3074	1996-01-04	VYDAJ	VYBER	1500	35989	\N	\N	\N
902391	3074	1996-01-21	VYDAJ	VYBER	4200	16789	\N	\N	\N
902393	3074	1996-01-12	VYDAJ	VYBER	6300	29689	\N	\N	\N
902394	3074	1997-01-30	VYDAJ	VYBER	3300	11997	\N	\N	\N
902395	3074	1997-01-10	VYDAJ	VYBER	6000	14597	\N	\N	\N
902396	3074	1997-01-24	VYDAJ	VYBER	4500	5897	\N	\N	\N
902397	3074	1997-01-03	VYDAJ	VYBER	4800	25097	\N	\N	\N
902398	3074	1997-01-05	VYDAJ	VYBER	4500	20597	\N	\N	\N
902399	3074	1997-01-18	VYDAJ	VYBER	4200	10397	\N	\N	\N
902400	3074	1998-01-01	VYDAJ	VYBER	5700	47003	\N	\N	\N
902401	3074	1998-01-30	VYDAJ	VYBER	1500	24192	\N	\N	\N
902402	3074	1998-01-16	VYDAJ	VYBER	4800	61192	\N	\N	\N
902403	3074	1998-01-26	VYDAJ	VYBER	6600	27792	\N	\N	\N
902404	3074	1998-01-04	VYDAJ	VYBER	4500	42503	\N	\N	\N
902405	3074	1998-01-14	VYDAJ	VYBER	4500	65992	\N	\N	\N
902411	3074	1995-02-14	VYDAJ	VYBER	13200	-397	\N	\N	\N
902412	3074	1995-12-03	VYDAJ	VYBER	9900	-161	\N	\N	\N
902414	3074	1995-05-14	VYDAJ	VYBER	4800	31756	\N	\N	\N
902416	3074	1996-01-23	VYDAJ	VYBER	13800	2989	\N	\N	\N
902417	3074	1996-07-16	VYDAJ	VYBER	14400	41013	\N	\N	\N
902418	3074	1996-09-02	VYDAJ	VYBER	13200	31415	\N	\N	\N
902419	3074	1996-09-21	VYDAJ	VYBER	11700	19715	\N	\N	\N
902420	3074	1996-04-05	VYDAJ	VYBER	8400	79030	\N	\N	\N
902421	3074	1996-02-06	VYDAJ	VYBER	6600	7963	\N	\N	\N
902422	3074	1996-10-28	VYDAJ	VYBER	2700	48998	\N	\N	\N
902423	3074	1997-07-04	VYDAJ	VYBER	12000	91426	\N	\N	\N
902424	3074	1997-08-16	VYDAJ	VYBER	10200	89466	\N	\N	\N
902425	3074	1997-05-01	VYDAJ	VYBER	4200	51275	\N	\N	\N
902426	3074	1997-07-14	VYDAJ	VYBER	13200	78226	\N	\N	\N
902427	3074	1998-01-27	VYDAJ	VYBER	2100	25692	\N	\N	\N
902428	3074	1998-03-21	VYDAJ	VYBER	5700	15350	\N	\N	\N
902429	3074	1998-08-29	VYDAJ	VYBER	3900	54516	\N	\N	\N
902430	3074	1998-08-04	VYDAJ	VYBER	3600	71620	\N	\N	\N
902431	3074	1998-10-03	VYDAJ	VYBER	2700	36944	\N	\N	\N
902444	3074	1994-12-31	VYDAJ	VYBER	30	80822	SLUZBY	\N	\N
902445	3074	1995-01-31	VYDAJ	VYBER	30	21493	SLUZBY	\N	\N
902446	3074	1995-02-28	VYDAJ	VYBER	30	-397	SLUZBY	\N	\N
902447	3074	1995-03-31	VYDAJ	VYBER	30	71790	SLUZBY	\N	\N
902448	3074	1995-04-30	VYDAJ	VYBER	30	48256	SLUZBY	\N	\N
902449	3074	1995-05-31	VYDAJ	VYBER	30	25638	SLUZBY	\N	\N
902450	3074	1995-06-30	VYDAJ	VYBER	30	28357	SLUZBY	\N	\N
902451	3074	1995-07-31	VYDAJ	VYBER	30	13192	SLUZBY	\N	\N
902452	3074	1995-08-31	VYDAJ	VYBER	30	19318	SLUZBY	\N	\N
902453	3074	1995-09-30	VYDAJ	VYBER	30	18268	SLUZBY	\N	\N
902454	3074	1995-10-31	VYDAJ	VYBER	30	6584	SLUZBY	\N	\N
902455	3074	1995-11-30	VYDAJ	VYBER	30	439	SLUZBY	\N	\N
902456	3074	1995-12-31	VYDAJ	VYBER	30	74589	SLUZBY	\N	\N
902457	3074	1996-01-31	VYDAJ	VYBER	30	14563	SLUZBY	\N	\N
902458	3074	1996-02-29	VYDAJ	VYBER	30	80642	SLUZBY	\N	\N
902459	3074	1996-03-31	VYDAJ	VYBER	30	52123	SLUZBY	\N	\N
902460	3074	1996-04-30	VYDAJ	VYBER	30	62902	SLUZBY	\N	\N
902461	3074	1996-05-31	VYDAJ	VYBER	30	35903	SLUZBY	\N	\N
902462	3074	1996-06-30	VYDAJ	VYBER	30	52388	SLUZBY	\N	\N
902463	3074	1996-07-31	VYDAJ	VYBER	30	53623	SLUZBY	\N	\N
902464	3074	1996-08-31	VYDAJ	VYBER	30	44615	SLUZBY	\N	\N
902465	3074	1996-09-30	VYDAJ	VYBER	30	24237	SLUZBY	\N	\N
902466	3074	1996-10-31	VYDAJ	VYBER	30	49085	SLUZBY	\N	\N
902467	3074	1996-11-30	VYDAJ	VYBER	30	44048	SLUZBY	\N	\N
902468	3074	1996-12-31	VYDAJ	VYBER	30	29897	SLUZBY	\N	\N
902469	3074	1997-01-31	VYDAJ	VYBER	30	12034	SLUZBY	\N	\N
902470	3074	1997-02-28	VYDAJ	VYBER	30	51477	SLUZBY	\N	\N
902471	3074	1997-03-31	VYDAJ	VYBER	30	59795	SLUZBY	\N	\N
902472	3074	1997-04-30	VYDAJ	VYBER	30	55475	SLUZBY	\N	\N
902473	3074	1997-05-31	VYDAJ	VYBER	30	36356	SLUZBY	\N	\N
902474	3074	1997-06-30	VYDAJ	VYBER	30	72486	SLUZBY	\N	\N
902475	3074	1997-07-31	VYDAJ	VYBER	30	52208	SLUZBY	\N	\N
902476	3074	1997-08-31	VYDAJ	VYBER	30	90030	SLUZBY	\N	\N
902477	3074	1997-09-30	VYDAJ	VYBER	30	45061	SLUZBY	\N	\N
902478	3074	1997-10-31	VYDAJ	VYBER	30	34615	SLUZBY	\N	\N
902479	3074	1997-11-30	VYDAJ	VYBER	30	54689	SLUZBY	\N	\N
902480	3074	1997-12-31	VYDAJ	VYBER	30	52703	SLUZBY	\N	\N
902481	3074	1998-01-31	VYDAJ	VYBER	30	24371	SLUZBY	\N	\N
902482	3074	1998-02-28	VYDAJ	VYBER	30	9450	SLUZBY	\N	\N
902483	3074	1998-03-31	VYDAJ	VYBER	30	15365	SLUZBY	\N	\N
902484	3074	1998-04-30	VYDAJ	VYBER	30	57609	SLUZBY	\N	\N
902485	3074	1998-05-31	VYDAJ	VYBER	30	28534	SLUZBY	\N	\N
902486	3074	1998-06-30	VYDAJ	VYBER	30	17370	SLUZBY	\N	\N
902487	3074	1998-07-31	VYDAJ	VYBER	30	75220	SLUZBY	\N	\N
902488	3074	1998-08-31	VYDAJ	VYBER	30	54724	SLUZBY	\N	\N
902489	3074	1998-09-30	VYDAJ	VYBER	30	39644	SLUZBY	\N	\N
902490	3074	1998-10-31	VYDAJ	VYBER	30	98099	SLUZBY	\N	\N
902491	3074	1998-11-30	VYDAJ	VYBER	30	87654	SLUZBY	\N	\N
902492	3074	1994-11-07	PRIJEM	VKLAD	13200	13700	\N	\N	\N
902493	3074	1994-12-07	VYDAJ	VYBER	34000	62450	\N	\N	\N
902494	3074	1994-12-27	VYDAJ	VYBER	24600	80466	\N	\N	\N
902495	3074	1995-01-06	VYDAJ	VYBER	19300	44558	\N	\N	\N
902496	3074	1995-02-05	PRIJEM	VKLAD	6200	12803	\N	\N	\N
902497	3074	1995-03-07	PRIJEM	VKLAD	14300	13901	\N	\N	\N
902498	3074	1995-04-06	VYDAJ	VYBER	23800	47990	\N	\N	\N
902499	3074	1995-05-06	VYDAJ	VYBER	11700	36556	\N	\N	\N
902500	3074	1995-06-05	PRIJEM	VKLAD	200	25838	\N	\N	\N
902501	3074	1995-07-05	PRIJEM	VKLAD	8400	13160	\N	\N	\N
902502	3074	1995-08-04	PRIJEM	VKLAD	6100	19292	\N	\N	\N
902503	3074	1995-09-03	VYDAJ	VYBER	1100	18218	\N	\N	\N
902504	3074	1995-10-03	PRIJEM	VKLAD	900	19168	\N	\N	\N
902505	3074	1995-11-02	PRIJEM	VKLAD	7600	14184	\N	\N	\N
902506	3074	1995-12-02	PRIJEM	VKLAD	9300	9739	\N	\N	\N
902507	3074	1996-01-01	VYDAJ	VYBER	24800	49789	\N	\N	\N
902508	3074	1996-01-31	PRIJEM	VKLAD	11500	14593	\N	\N	\N
902509	3074	1996-03-01	VYDAJ	VYBER	25000	55642	\N	\N	\N
902510	3074	1996-03-31	VYDAJ	VYBER	22500	52153	\N	\N	\N
902511	3074	1996-04-19	VYDAJ	VYBER	63900	62548	\N	\N	\N
902512	3074	1996-04-30	VYDAJ	VYBER	17300	45602	\N	\N	\N
902513	3074	1996-05-30	VYDAJ	VYBER	8300	35706	\N	\N	\N
902514	3074	1996-06-29	VYDAJ	VYBER	24300	52197	\N	\N	\N
902515	3074	1996-07-11	VYDAJ	VYBER	52400	55413	\N	\N	\N
902516	3074	1996-07-25	VYDAJ	VYBER	35400	75750	\N	\N	\N
902517	3074	1996-07-29	VYDAJ	VYBER	22400	53350	\N	\N	\N
902518	3074	1996-08-28	VYDAJ	VYBER	9200	44423	\N	\N	\N
902519	3074	1996-09-27	PRIJEM	VKLAD	4400	24115	\N	\N	\N
902520	3074	1996-10-27	VYDAJ	VYBER	15700	51698	\N	\N	\N
902521	3074	1996-11-26	VYDAJ	VYBER	10700	43878	\N	\N	\N
902522	3074	1996-12-26	VYDAJ	VYBER	5600	38448	\N	\N	\N
902523	3074	1997-01-25	PRIJEM	VKLAD	9400	15297	\N	\N	\N
902524	3074	1997-02-24	VYDAJ	VYBER	27200	51271	\N	\N	\N
902525	3074	1997-03-26	VYDAJ	VYBER	31200	59605	\N	\N	\N
902526	3074	1997-04-25	VYDAJ	VYBER	28700	55201	\N	\N	\N
902527	3074	1997-05-25	VYDAJ	VYBER	15100	36175	\N	\N	\N
902528	3074	1997-06-24	PRIJEM	VKLAD	600	27791	\N	\N	\N
902529	3074	1997-07-24	VYDAJ	VYBER	26300	51926	\N	\N	\N
902530	3074	1997-08-12	VYDAJ	VYBER	52700	89838	\N	\N	\N
902531	3074	1997-08-13	VYDAJ	VYBER	22400	99666	\N	\N	\N
902532	3074	1997-08-23	VYDAJ	VYBER	30700	58766	\N	\N	\N
902533	3074	1997-09-11	VYDAJ	VYBER	51600	68628	\N	\N	\N
902534	3074	1997-09-22	VYDAJ	VYBER	23900	44728	\N	\N	\N
902535	3074	1997-10-22	VYDAJ	VYBER	10600	34461	\N	\N	\N
902536	3074	1997-11-21	VYDAJ	VYBER	33800	54519	\N	\N	\N
902537	3074	1997-12-15	VYDAJ	VYBER	30700	83181	\N	\N	\N
902538	3074	1997-12-21	VYDAJ	VYBER	27100	52481	\N	\N	\N
902539	3074	1998-01-20	VYDAJ	VYBER	4600	34392	\N	\N	\N
902540	3074	1998-02-19	VYDAJ	VYBER	400	23971	\N	\N	\N
902541	3074	1998-03-21	PRIJEM	VKLAD	11600	21050	\N	\N	\N
902542	3074	1998-04-20	PRIJEM	VKLAD	3800	17667	\N	\N	\N
902543	3074	1998-05-20	VYDAJ	VYBER	10200	28359	\N	\N	\N
902544	3074	1998-06-19	VYDAJ	VYBER	2400	22317	\N	\N	\N
902545	3074	1998-07-19	VYDAJ	VYBER	7500	29102	\N	\N	\N
902546	3074	1998-08-18	VYDAJ	VYBER	16700	32970	\N	\N	\N
902547	3074	1998-09-05	VYDAJ	VYBER	42300	72517	\N	\N	\N
902548	3074	1998-09-17	VYDAJ	VYBER	33100	39417	\N	\N	\N
902549	3074	1998-10-17	VYDAJ	VYBER	13900	23044	\N	\N	\N
902550	3074	1998-11-16	VYDAJ	VYBER	45000	53099	\N	\N	\N
902551	3074	1998-12-16	VYDAJ	VYBER	39400	48254	\N	\N	\N
902606	3075	1997-06-25	PRIJEM	VKLAD	400	400	\N	\N	\N
902613	3075	1997-07-14	PRIJEM	PREVOD Z UCTU	5054	5454	DUCHOD	AB	84573280
902614	3075	1997-08-14	PRIJEM	PREVOD Z UCTU	5054	10508	DUCHOD	AB	84573280
902615	3075	1997-09-14	PRIJEM	PREVOD Z UCTU	5054	15562	DUCHOD	AB	84573280
902616	3075	1997-10-14	PRIJEM	PREVOD Z UCTU	5054	20616	DUCHOD	AB	84573280
902617	3075	1997-11-14	PRIJEM	PREVOD Z UCTU	5054	25670	DUCHOD	AB	84573280
902618	3075	1997-12-14	PRIJEM	PREVOD Z UCTU	5054	29190	DUCHOD	AB	84573280
902619	3075	1998-01-14	PRIJEM	PREVOD Z UCTU	5054	21850	DUCHOD	AB	84573280
902620	3075	1998-02-14	PRIJEM	PREVOD Z UCTU	5054	21936	DUCHOD	AB	84573280
902621	3075	1998-03-14	PRIJEM	PREVOD Z UCTU	5054	24255	DUCHOD	AB	84573280
902622	3075	1998-04-14	PRIJEM	PREVOD Z UCTU	5054	27866	DUCHOD	AB	84573280
902623	3075	1998-05-14	PRIJEM	PREVOD Z UCTU	5054	28989	DUCHOD	AB	84573280
902624	3075	1998-06-14	PRIJEM	PREVOD Z UCTU	5054	23391	DUCHOD	AB	84573280
902625	3075	1998-07-14	PRIJEM	PREVOD Z UCTU	5054	18469	DUCHOD	AB	84573280
902626	3075	1998-08-14	PRIJEM	PREVOD Z UCTU	5054	19955	DUCHOD	AB	84573280
902627	3075	1998-09-14	PRIJEM	PREVOD Z UCTU	5054	22848	DUCHOD	AB	84573280
902628	3075	1998-10-14	PRIJEM	PREVOD Z UCTU	5054	23447	DUCHOD	AB	84573280
902629	3075	1998-11-14	PRIJEM	PREVOD Z UCTU	5054	26755	DUCHOD	AB	84573280
902630	3075	1998-12-14	PRIJEM	PREVOD Z UCTU	5054	28094	DUCHOD	AB	84573280
902642	3075	1997-12-08	VYDAJ	PREVOD NA UCET	1523	24136	SIPO	KL	50335317
902643	3075	1998-01-08	VYDAJ	PREVOD NA UCET	1523	16796	SIPO	KL	50335317
902644	3075	1998-02-08	VYDAJ	PREVOD NA UCET	1523	16882	SIPO	KL	50335317
902645	3075	1998-03-08	VYDAJ	PREVOD NA UCET	1523	19201	SIPO	KL	50335317
902646	3075	1998-04-08	VYDAJ	PREVOD NA UCET	1523	22812	SIPO	KL	50335317
902647	3075	1998-05-08	VYDAJ	PREVOD NA UCET	1523	23935	SIPO	KL	50335317
902648	3075	1998-06-08	VYDAJ	PREVOD NA UCET	1523	21457	SIPO	KL	50335317
902649	3075	1998-07-08	VYDAJ	PREVOD NA UCET	1523	14935	SIPO	KL	50335317
902650	3075	1998-08-08	VYDAJ	PREVOD NA UCET	1523	14901	SIPO	KL	50335317
902651	3075	1998-09-08	VYDAJ	PREVOD NA UCET	1523	17794	SIPO	KL	50335317
902652	3075	1998-10-08	VYDAJ	PREVOD NA UCET	1523	18393	SIPO	KL	50335317
902653	3075	1998-11-08	VYDAJ	PREVOD NA UCET	1523	21701	SIPO	KL	50335317
902654	3075	1998-12-08	VYDAJ	PREVOD NA UCET	1523	24440	SIPO	KL	50335317
902658	3075	1998-01-07	VYDAJ	VYBER	3850	19439	\N	\N	\N
902659	3075	1997-12-29	VYDAJ	VYBER	500	27590	\N	\N	\N
902660	3075	1998-12-10	VYDAJ	VYBER	1400	23040	\N	\N	\N
902667	3075	1998-01-08	VYDAJ	VYBER	1120	18319	\N	\N	\N
902668	3075	1998-01-05	VYDAJ	VYBER	1520	24969	\N	\N	\N
902669	3075	1998-01-21	VYDAJ	VYBER	1040	20810	\N	\N	\N
902670	3075	1998-01-29	VYDAJ	VYBER	2000	18810	\N	\N	\N
902671	3075	1998-01-05	VYDAJ	VYBER	1200	26489	\N	\N	\N
902672	3075	1998-01-06	VYDAJ	VYBER	1680	23289	\N	\N	\N
902678	3075	1998-02-23	VYDAJ	VYBER	1280	20656	\N	\N	\N
902679	3075	1998-07-13	VYDAJ	VYBER	1520	13415	\N	\N	\N
902680	3075	1998-02-07	VYDAJ	VYBER	480	18405	\N	\N	\N
902681	3075	1998-06-08	VYDAJ	VYBER	3120	18337	\N	\N	\N
902682	3075	1998-11-14	VYDAJ	VYBER	480	26275	\N	\N	\N
902694	3075	1997-11-30	VYDAJ	VYBER	15	25659	SLUZBY	\N	\N
902695	3075	1997-12-31	VYDAJ	VYBER	15	27689	SLUZBY	\N	\N
902696	3075	1998-01-31	VYDAJ	VYBER	15	18885	SLUZBY	\N	\N
902697	3075	1998-02-28	VYDAJ	VYBER	15	20724	SLUZBY	\N	\N
902698	3075	1998-03-31	VYDAJ	VYBER	15	24335	SLUZBY	\N	\N
902699	3075	1998-04-30	VYDAJ	VYBER	15	25458	SLUZBY	\N	\N
902700	3075	1998-05-31	VYDAJ	VYBER	15	22980	SLUZBY	\N	\N
902701	3075	1998-06-30	VYDAJ	VYBER	15	16458	SLUZBY	\N	\N
902702	3075	1998-07-31	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
902703	3075	1998-08-31	VYDAJ	VYBER	15	19317	SLUZBY	\N	\N
902704	3075	1998-09-30	VYDAJ	VYBER	15	19916	SLUZBY	\N	\N
902705	3075	1998-10-31	VYDAJ	VYBER	15	23224	SLUZBY	\N	\N
902706	3075	1998-11-30	VYDAJ	VYBER	15	25963	SLUZBY	\N	\N
902707	3075	1997-12-22	VYDAJ	VYBER	1100	28090	\N	\N	\N
902708	3075	1998-04-21	VYDAJ	VYBER	2500	25366	\N	\N	\N
902709	3075	1998-05-21	VYDAJ	VYBER	6100	22889	\N	\N	\N
902710	3075	1998-06-20	VYDAJ	VYBER	7000	16391	\N	\N	\N
902711	3075	1998-07-20	VYDAJ	VYBER	2100	16369	\N	\N	\N
902712	3075	1998-08-19	VYDAJ	VYBER	700	19255	\N	\N	\N
902713	3075	1998-09-18	VYDAJ	VYBER	3000	19848	\N	\N	\N
902714	3075	1998-10-18	VYDAJ	VYBER	300	23147	\N	\N	\N
902715	3075	1998-11-17	VYDAJ	VYBER	400	25875	\N	\N	\N
902730	3076	1993-03-27	PRIJEM	VKLAD	700	700	\N	\N	\N
902734	3076	1993-04-14	PRIJEM	PREVOD Z UCTU	4164	4864	DUCHOD	MN	57857745
902735	3076	1993-05-14	PRIJEM	PREVOD Z UCTU	4164	9028	DUCHOD	MN	57857745
902736	3076	1993-06-14	PRIJEM	PREVOD Z UCTU	4164	13192	DUCHOD	MN	57857745
902737	3076	1993-07-14	PRIJEM	PREVOD Z UCTU	4164	17356	DUCHOD	MN	57857745
902738	3076	1993-08-14	PRIJEM	PREVOD Z UCTU	4164	21520	DUCHOD	MN	57857745
902739	3076	1993-09-14	PRIJEM	PREVOD Z UCTU	4164	21437	DUCHOD	MN	57857745
902740	3076	1993-10-14	PRIJEM	PREVOD Z UCTU	4164	22959	DUCHOD	MN	57857745
902741	3076	1993-11-14	PRIJEM	PREVOD Z UCTU	4164	21766	DUCHOD	MN	57857745
902742	3076	1993-12-14	PRIJEM	PREVOD Z UCTU	4164	23290	DUCHOD	MN	57857745
902743	3076	1994-01-14	PRIJEM	PREVOD Z UCTU	4164	16908	DUCHOD	MN	57857745
902744	3076	1994-02-14	PRIJEM	PREVOD Z UCTU	4164	16414	DUCHOD	MN	57857745
902745	3076	1994-03-14	PRIJEM	PREVOD Z UCTU	4164	17914	DUCHOD	MN	57857745
902746	3076	1994-04-14	PRIJEM	PREVOD Z UCTU	4164	16297	DUCHOD	MN	57857745
902747	3076	1994-05-14	PRIJEM	PREVOD Z UCTU	4164	17796	DUCHOD	MN	57857745
902748	3076	1994-06-14	PRIJEM	PREVOD Z UCTU	4164	19302	DUCHOD	MN	57857745
902749	3076	1994-07-14	PRIJEM	PREVOD Z UCTU	4164	20814	DUCHOD	MN	57857745
902750	3076	1994-08-14	PRIJEM	PREVOD Z UCTU	4164	21932	DUCHOD	MN	57857745
902751	3076	1994-09-14	PRIJEM	PREVOD Z UCTU	4164	23455	DUCHOD	MN	57857745
902752	3076	1994-10-14	PRIJEM	PREVOD Z UCTU	4164	24985	DUCHOD	MN	57857745
902753	3076	1994-11-14	PRIJEM	PREVOD Z UCTU	4164	24617	DUCHOD	MN	57857745
902754	3076	1994-12-14	PRIJEM	PREVOD Z UCTU	4164	25350	DUCHOD	MN	57857745
902755	3076	1995-01-14	PRIJEM	PREVOD Z UCTU	4164	15697	DUCHOD	MN	57857745
902756	3076	1995-02-14	PRIJEM	PREVOD Z UCTU	4164	15034	DUCHOD	MN	57857745
902757	3076	1995-03-14	PRIJEM	PREVOD Z UCTU	4164	15088	DUCHOD	MN	57857745
902758	3076	1995-04-14	PRIJEM	PREVOD Z UCTU	4164	16582	DUCHOD	MN	57857745
902759	3076	1995-05-14	PRIJEM	PREVOD Z UCTU	4164	17363	DUCHOD	MN	57857745
902760	3076	1995-06-14	PRIJEM	PREVOD Z UCTU	4164	18866	DUCHOD	MN	57857745
902761	3076	1995-07-14	PRIJEM	PREVOD Z UCTU	4164	15172	DUCHOD	MN	57857745
902762	3076	1995-08-14	PRIJEM	PREVOD Z UCTU	4164	16666	DUCHOD	MN	57857745
902763	3076	1995-09-14	PRIJEM	PREVOD Z UCTU	4164	18167	DUCHOD	MN	57857745
902764	3076	1995-10-14	PRIJEM	PREVOD Z UCTU	4164	19674	DUCHOD	MN	57857745
902765	3076	1995-11-14	PRIJEM	PREVOD Z UCTU	4164	19668	DUCHOD	MN	57857745
902766	3076	1995-12-14	PRIJEM	PREVOD Z UCTU	4164	19982	DUCHOD	MN	57857745
902767	3076	1996-01-14	PRIJEM	PREVOD Z UCTU	4164	20226	DUCHOD	MN	57857745
902768	3076	1996-02-14	PRIJEM	PREVOD Z UCTU	4164	15490	DUCHOD	MN	57857745
902769	3076	1996-03-14	PRIJEM	PREVOD Z UCTU	4164	16985	DUCHOD	MN	57857745
902770	3076	1996-04-14	PRIJEM	PREVOD Z UCTU	4164	18487	DUCHOD	MN	57857745
902771	3076	1996-05-14	PRIJEM	PREVOD Z UCTU	4164	19996	DUCHOD	MN	57857745
902772	3076	1996-06-14	PRIJEM	PREVOD Z UCTU	4164	21510	DUCHOD	MN	57857745
902773	3076	1996-07-14	PRIJEM	PREVOD Z UCTU	4164	19510	DUCHOD	MN	57857745
902774	3076	1996-08-14	PRIJEM	PREVOD Z UCTU	4164	21023	DUCHOD	MN	57857745
902775	3076	1996-09-14	PRIJEM	PREVOD Z UCTU	4164	22541	DUCHOD	MN	57857745
902776	3076	1996-10-14	PRIJEM	PREVOD Z UCTU	4164	24066	DUCHOD	MN	57857745
902777	3076	1996-11-14	PRIJEM	PREVOD Z UCTU	4164	25597	DUCHOD	MN	57857745
902778	3076	1996-12-14	PRIJEM	PREVOD Z UCTU	4164	25532	DUCHOD	MN	57857745
902779	3076	1997-01-14	PRIJEM	PREVOD Z UCTU	4164	16738	DUCHOD	MN	57857745
902780	3076	1997-02-14	PRIJEM	PREVOD Z UCTU	4164	16881	DUCHOD	MN	57857745
902781	3076	1997-03-14	PRIJEM	PREVOD Z UCTU	4164	17821	DUCHOD	MN	57857745
902782	3076	1997-04-14	PRIJEM	PREVOD Z UCTU	4164	19326	DUCHOD	MN	57857745
902783	3076	1997-05-14	PRIJEM	PREVOD Z UCTU	4164	20837	DUCHOD	MN	57857745
902784	3076	1997-06-14	PRIJEM	PREVOD Z UCTU	4164	18505	DUCHOD	MN	57857745
902785	3076	1997-07-14	PRIJEM	PREVOD Z UCTU	4164	20014	DUCHOD	MN	57857745
902786	3076	1997-08-14	PRIJEM	PREVOD Z UCTU	4164	17767	DUCHOD	MN	57857745
902787	3076	1997-09-14	PRIJEM	PREVOD Z UCTU	4164	19272	DUCHOD	MN	57857745
902788	3076	1997-10-14	PRIJEM	PREVOD Z UCTU	4164	20782	DUCHOD	MN	57857745
902789	3076	1997-11-14	PRIJEM	PREVOD Z UCTU	4164	22299	DUCHOD	MN	57857745
902790	3076	1997-12-14	PRIJEM	PREVOD Z UCTU	4164	22781	DUCHOD	MN	57857745
902791	3076	1998-01-14	PRIJEM	PREVOD Z UCTU	4164	21534	DUCHOD	MN	57857745
902792	3076	1998-02-14	PRIJEM	PREVOD Z UCTU	4164	17576	DUCHOD	MN	57857745
902793	3076	1998-03-14	PRIJEM	PREVOD Z UCTU	4164	19079	DUCHOD	MN	57857745
902794	3076	1998-04-14	PRIJEM	PREVOD Z UCTU	4164	20589	DUCHOD	MN	57857745
902795	3076	1998-05-14	PRIJEM	PREVOD Z UCTU	4164	19699	DUCHOD	MN	57857745
902796	3076	1998-06-14	PRIJEM	PREVOD Z UCTU	4164	21211	DUCHOD	MN	57857745
902797	3076	1998-07-14	PRIJEM	PREVOD Z UCTU	4164	22729	DUCHOD	MN	57857745
902798	3076	1998-08-14	PRIJEM	PREVOD Z UCTU	4164	24254	DUCHOD	MN	57857745
902799	3076	1998-09-14	PRIJEM	PREVOD Z UCTU	4164	25784	DUCHOD	MN	57857745
902800	3076	1998-10-14	PRIJEM	PREVOD Z UCTU	4164	25719	DUCHOD	MN	57857745
902801	3076	1998-11-14	PRIJEM	PREVOD Z UCTU	4164	27256	DUCHOD	MN	57857745
902802	3076	1998-12-14	PRIJEM	PREVOD Z UCTU	4164	28249	DUCHOD	MN	57857745
902811	3076	1993-09-09	VYDAJ	PREVOD NA UCET	2715	18713	SIPO	WX	67460548
902812	3076	1993-10-09	VYDAJ	PREVOD NA UCET	2715	18795	SIPO	WX	67460548
902813	3076	1993-11-09	VYDAJ	PREVOD NA UCET	2715	17602	SIPO	WX	67460548
902814	3076	1993-12-09	VYDAJ	PREVOD NA UCET	2715	19126	SIPO	WX	67460548
902815	3076	1994-01-09	VYDAJ	PREVOD NA UCET	2715	17204	SIPO	WX	67460548
902816	3076	1994-02-09	VYDAJ	PREVOD NA UCET	2715	12250	SIPO	WX	67460548
902817	3076	1994-03-09	VYDAJ	PREVOD NA UCET	2715	13750	SIPO	WX	67460548
902818	3076	1994-04-09	VYDAJ	PREVOD NA UCET	2715	12133	SIPO	WX	67460548
902819	3076	1994-05-09	VYDAJ	PREVOD NA UCET	2715	13632	SIPO	WX	67460548
902820	3076	1994-06-09	VYDAJ	PREVOD NA UCET	2715	15138	SIPO	WX	67460548
902821	3076	1994-07-09	VYDAJ	PREVOD NA UCET	2715	16650	SIPO	WX	67460548
902822	3076	1994-08-09	VYDAJ	PREVOD NA UCET	2715	17768	SIPO	WX	67460548
902823	3076	1994-09-09	VYDAJ	PREVOD NA UCET	2715	19291	SIPO	WX	67460548
902824	3076	1994-10-09	VYDAJ	PREVOD NA UCET	2715	20821	SIPO	WX	67460548
902825	3076	1994-11-09	VYDAJ	PREVOD NA UCET	2715	20453	SIPO	WX	67460548
902826	3076	1994-12-09	VYDAJ	PREVOD NA UCET	2715	21186	SIPO	WX	67460548
902827	3076	1995-01-09	VYDAJ	PREVOD NA UCET	2715	11533	SIPO	WX	67460548
902828	3076	1995-02-09	VYDAJ	PREVOD NA UCET	2715	10870	SIPO	WX	67460548
902829	3076	1995-03-09	VYDAJ	PREVOD NA UCET	2715	10924	SIPO	WX	67460548
902830	3076	1995-04-09	VYDAJ	PREVOD NA UCET	2715	12418	SIPO	WX	67460548
902831	3076	1995-05-09	VYDAJ	PREVOD NA UCET	2715	13199	SIPO	WX	67460548
902832	3076	1995-06-09	VYDAJ	PREVOD NA UCET	2715	14702	SIPO	WX	67460548
902833	3076	1995-07-09	VYDAJ	PREVOD NA UCET	2715	11008	SIPO	WX	67460548
902834	3076	1995-08-09	VYDAJ	PREVOD NA UCET	2715	12502	SIPO	WX	67460548
902835	3076	1995-09-09	VYDAJ	PREVOD NA UCET	2715	14003	SIPO	WX	67460548
902836	3076	1995-10-09	VYDAJ	PREVOD NA UCET	2715	15510	SIPO	WX	67460548
902837	3076	1995-11-09	VYDAJ	PREVOD NA UCET	2715	17024	SIPO	WX	67460548
902838	3076	1995-12-09	VYDAJ	PREVOD NA UCET	2715	15818	SIPO	WX	67460548
902839	3076	1996-01-09	VYDAJ	PREVOD NA UCET	2715	16782	SIPO	WX	67460548
902840	3076	1996-02-09	VYDAJ	PREVOD NA UCET	2715	11326	SIPO	WX	67460548
902841	3076	1996-03-09	VYDAJ	PREVOD NA UCET	2715	12821	SIPO	WX	67460548
902842	3076	1996-04-09	VYDAJ	PREVOD NA UCET	2715	14323	SIPO	WX	67460548
902843	3076	1996-05-09	VYDAJ	PREVOD NA UCET	2715	15832	SIPO	WX	67460548
902844	3076	1996-06-09	VYDAJ	PREVOD NA UCET	2715	17346	SIPO	WX	67460548
902845	3076	1996-07-09	VYDAJ	PREVOD NA UCET	2715	15346	SIPO	WX	67460548
902846	3076	1996-08-09	VYDAJ	PREVOD NA UCET	2715	16859	SIPO	WX	67460548
902847	3076	1996-09-09	VYDAJ	PREVOD NA UCET	2715	18377	SIPO	WX	67460548
902848	3076	1996-10-09	VYDAJ	PREVOD NA UCET	2715	19902	SIPO	WX	67460548
902849	3076	1996-11-09	VYDAJ	PREVOD NA UCET	2715	21433	SIPO	WX	67460548
902850	3076	1996-12-09	VYDAJ	PREVOD NA UCET	2715	21368	SIPO	WX	67460548
902851	3076	1997-01-09	VYDAJ	PREVOD NA UCET	2715	12574	SIPO	WX	67460548
902852	3076	1997-02-09	VYDAJ	PREVOD NA UCET	2715	12717	SIPO	WX	67460548
902853	3076	1997-03-09	VYDAJ	PREVOD NA UCET	2715	13657	SIPO	WX	67460548
902854	3076	1997-04-09	VYDAJ	PREVOD NA UCET	2715	15162	SIPO	WX	67460548
902855	3076	1997-05-09	VYDAJ	PREVOD NA UCET	2715	16673	SIPO	WX	67460548
902856	3076	1997-06-09	VYDAJ	PREVOD NA UCET	2715	14341	SIPO	WX	67460548
902857	3076	1997-07-09	VYDAJ	PREVOD NA UCET	2715	15850	SIPO	WX	67460548
902858	3076	1997-08-09	VYDAJ	PREVOD NA UCET	2715	13603	SIPO	WX	67460548
902859	3076	1997-09-09	VYDAJ	PREVOD NA UCET	2715	15108	SIPO	WX	67460548
902860	3076	1997-10-09	VYDAJ	PREVOD NA UCET	2715	16618	SIPO	WX	67460548
902861	3076	1997-11-09	VYDAJ	PREVOD NA UCET	2715	18135	SIPO	WX	67460548
902862	3076	1997-12-09	VYDAJ	PREVOD NA UCET	2715	18617	SIPO	WX	67460548
902863	3076	1998-01-09	VYDAJ	PREVOD NA UCET	2715	17370	SIPO	WX	67460548
902864	3076	1998-02-09	VYDAJ	PREVOD NA UCET	2715	13412	SIPO	WX	67460548
902865	3076	1998-03-09	VYDAJ	PREVOD NA UCET	2715	14915	SIPO	WX	67460548
902866	3076	1998-04-09	VYDAJ	PREVOD NA UCET	2715	16425	SIPO	WX	67460548
902867	3076	1998-05-09	VYDAJ	PREVOD NA UCET	2715	15535	SIPO	WX	67460548
902868	3076	1998-06-09	VYDAJ	PREVOD NA UCET	2715	17047	SIPO	WX	67460548
902869	3076	1998-07-09	VYDAJ	PREVOD NA UCET	2715	18565	SIPO	WX	67460548
902870	3076	1998-08-09	VYDAJ	PREVOD NA UCET	2715	20090	SIPO	WX	67460548
902871	3076	1998-09-09	VYDAJ	PREVOD NA UCET	2715	21620	SIPO	WX	67460548
902872	3076	1998-10-09	VYDAJ	PREVOD NA UCET	2715	21555	SIPO	WX	67460548
902873	3076	1998-11-09	VYDAJ	PREVOD NA UCET	2715	23092	SIPO	WX	67460548
902874	3076	1998-12-09	VYDAJ	PREVOD NA UCET	2715	24635	SIPO	WX	67460548
902877	3076	1995-06-24	VYDAJ	VYBER	5200	13666	\N	\N	\N
902879	3076	1997-06-08	VYDAJ	VYBER	3850	17056	\N	\N	\N
902882	3076	1994-01-12	VYDAJ	VYBER	2300	13864	\N	\N	\N
902883	3076	1995-01-07	VYDAJ	VYBER	4250	16328	\N	\N	\N
902884	3076	1996-01-06	VYDAJ	VYBER	550	19497	\N	\N	\N
902885	3076	1997-01-01	VYDAJ	VYBER	3650	20569	\N	\N	\N
902886	3076	1998-01-22	VYDAJ	VYBER	3150	16864	\N	\N	\N
902887	3076	1993-12-14	VYDAJ	VYBER	250	23040	\N	\N	\N
902888	3076	1994-12-17	VYDAJ	VYBER	1250	20500	\N	\N	\N
902889	3076	1995-12-02	VYDAJ	VYBER	1200	18533	\N	\N	\N
902890	3076	1996-12-25	VYDAJ	VYBER	1400	24132	\N	\N	\N
902891	3076	1997-12-18	VYDAJ	VYBER	850	21931	\N	\N	\N
902892	3076	1998-12-11	VYDAJ	VYBER	550	24085	\N	\N	\N
902899	3076	1994-01-06	VYDAJ	VYBER	1040	19919	\N	\N	\N
902900	3076	1994-01-17	VYDAJ	VYBER	1600	15308	\N	\N	\N
902901	3076	1994-01-13	VYDAJ	VYBER	1120	12744	\N	\N	\N
902902	3076	1994-01-12	VYDAJ	VYBER	1040	16164	\N	\N	\N
902903	3076	1994-01-03	VYDAJ	VYBER	2160	20959	\N	\N	\N
902904	3076	1994-01-21	VYDAJ	VYBER	400	14908	\N	\N	\N
902907	3076	1995-01-15	VYDAJ	VYBER	2160	13537	\N	\N	\N
902910	3076	1995-01-08	VYDAJ	VYBER	2080	14248	\N	\N	\N
902911	3076	1996-01-10	VYDAJ	VYBER	720	16062	\N	\N	\N
902912	3076	1996-01-15	VYDAJ	VYBER	2000	16226	\N	\N	\N
902914	3076	1996-01-14	VYDAJ	VYBER	2000	18226	\N	\N	\N
902915	3076	1996-01-24	VYDAJ	VYBER	2240	13986	\N	\N	\N
902917	3076	1997-01-21	VYDAJ	VYBER	480	16258	\N	\N	\N
902918	3076	1997-01-08	VYDAJ	VYBER	1680	15289	\N	\N	\N
902920	3076	1997-01-06	VYDAJ	VYBER	1760	16969	\N	\N	\N
902921	3076	1997-01-25	VYDAJ	VYBER	880	15378	\N	\N	\N
902922	3076	1997-01-05	VYDAJ	VYBER	1840	18729	\N	\N	\N
902923	3076	1998-01-02	VYDAJ	VYBER	1360	20645	\N	\N	\N
902924	3076	1998-01-30	VYDAJ	VYBER	800	16064	\N	\N	\N
902925	3076	1998-01-02	VYDAJ	VYBER	560	20085	\N	\N	\N
902926	3076	1998-01-20	VYDAJ	VYBER	400	21134	\N	\N	\N
902927	3076	1998-01-21	VYDAJ	VYBER	1120	20014	\N	\N	\N
902929	3076	1993-11-07	VYDAJ	VYBER	2720	20317	\N	\N	\N
902930	3076	1993-09-10	VYDAJ	VYBER	1440	17273	\N	\N	\N
902934	3076	1994-03-23	VYDAJ	VYBER	3120	14794	\N	\N	\N
902935	3076	1995-04-14	VYDAJ	VYBER	720	15862	\N	\N	\N
902936	3076	1995-11-09	VYDAJ	VYBER	1520	15504	\N	\N	\N
902937	3076	1995-03-05	VYDAJ	VYBER	1440	13639	\N	\N	\N
902938	3076	1996-07-07	VYDAJ	VYBER	1840	18061	\N	\N	\N
902940	3076	1996-11-19	VYDAJ	VYBER	1600	23997	\N	\N	\N
902941	3076	1996-06-28	VYDAJ	VYBER	1680	19830	\N	\N	\N
902943	3076	1997-02-16	VYDAJ	VYBER	560	16321	\N	\N	\N
902944	3076	1997-07-30	VYDAJ	VYBER	3760	16254	\N	\N	\N
902945	3076	1997-11-19	VYDAJ	VYBER	1040	21259	\N	\N	\N
902946	3076	1998-04-16	VYDAJ	VYBER	2400	18189	\N	\N	\N
902947	3076	1998-09-21	VYDAJ	VYBER	1600	24184	\N	\N	\N
902957	3076	1993-08-31	VYDAJ	VYBER	15	21428	SLUZBY	\N	\N
902958	3076	1993-09-30	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
902959	3076	1993-10-31	VYDAJ	VYBER	15	23037	SLUZBY	\N	\N
902960	3076	1993-11-30	VYDAJ	VYBER	15	21841	SLUZBY	\N	\N
902961	3076	1993-12-31	VYDAJ	VYBER	15	23119	SLUZBY	\N	\N
902962	3076	1994-01-31	VYDAJ	VYBER	15	14965	SLUZBY	\N	\N
902963	3076	1994-02-28	VYDAJ	VYBER	15	16465	SLUZBY	\N	\N
902964	3076	1994-03-31	VYDAJ	VYBER	15	14848	SLUZBY	\N	\N
902965	3076	1994-04-30	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
902966	3076	1994-05-31	VYDAJ	VYBER	15	17853	SLUZBY	\N	\N
902967	3076	1994-06-30	VYDAJ	VYBER	15	19365	SLUZBY	\N	\N
902968	3076	1994-07-31	VYDAJ	VYBER	15	20483	SLUZBY	\N	\N
902969	3076	1994-08-31	VYDAJ	VYBER	15	22006	SLUZBY	\N	\N
902970	3076	1994-09-30	VYDAJ	VYBER	15	23536	SLUZBY	\N	\N
902971	3076	1994-10-31	VYDAJ	VYBER	15	23168	SLUZBY	\N	\N
902972	3076	1994-11-30	VYDAJ	VYBER	15	23901	SLUZBY	\N	\N
902973	3076	1994-12-31	VYDAJ	VYBER	15	20578	SLUZBY	\N	\N
902974	3076	1995-01-31	VYDAJ	VYBER	15	13585	SLUZBY	\N	\N
902975	3076	1995-02-28	VYDAJ	VYBER	15	15079	SLUZBY	\N	\N
902976	3076	1995-03-31	VYDAJ	VYBER	15	15133	SLUZBY	\N	\N
902977	3076	1995-04-30	VYDAJ	VYBER	15	15914	SLUZBY	\N	\N
902978	3076	1995-05-31	VYDAJ	VYBER	15	17417	SLUZBY	\N	\N
902979	3076	1995-06-30	VYDAJ	VYBER	15	13723	SLUZBY	\N	\N
902980	3076	1995-07-31	VYDAJ	VYBER	15	15217	SLUZBY	\N	\N
902981	3076	1995-08-31	VYDAJ	VYBER	15	16718	SLUZBY	\N	\N
902982	3076	1995-09-30	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
902983	3076	1995-10-31	VYDAJ	VYBER	15	19739	SLUZBY	\N	\N
902984	3076	1995-11-30	VYDAJ	VYBER	15	19733	SLUZBY	\N	\N
902985	3076	1995-12-31	VYDAJ	VYBER	15	20047	SLUZBY	\N	\N
902986	3076	1996-01-31	VYDAJ	VYBER	15	14041	SLUZBY	\N	\N
902987	3076	1996-02-29	VYDAJ	VYBER	15	15536	SLUZBY	\N	\N
902988	3076	1996-03-31	VYDAJ	VYBER	15	17038	SLUZBY	\N	\N
902989	3076	1996-04-30	VYDAJ	VYBER	15	18547	SLUZBY	\N	\N
902990	3076	1996-05-31	VYDAJ	VYBER	15	20061	SLUZBY	\N	\N
902991	3076	1996-06-30	VYDAJ	VYBER	15	19901	SLUZBY	\N	\N
902992	3076	1996-07-31	VYDAJ	VYBER	15	19574	SLUZBY	\N	\N
902993	3076	1996-08-31	VYDAJ	VYBER	15	21092	SLUZBY	\N	\N
902994	3076	1996-09-30	VYDAJ	VYBER	15	22617	SLUZBY	\N	\N
902995	3076	1996-10-31	VYDAJ	VYBER	15	24148	SLUZBY	\N	\N
902996	3076	1996-11-30	VYDAJ	VYBER	15	24083	SLUZBY	\N	\N
902997	3076	1996-12-31	VYDAJ	VYBER	15	24219	SLUZBY	\N	\N
902998	3076	1997-01-31	VYDAJ	VYBER	15	15432	SLUZBY	\N	\N
902999	3076	1997-02-28	VYDAJ	VYBER	15	16372	SLUZBY	\N	\N
903000	3076	1997-03-31	VYDAJ	VYBER	15	17877	SLUZBY	\N	\N
903001	3076	1997-04-30	VYDAJ	VYBER	15	19388	SLUZBY	\N	\N
903002	3076	1997-05-31	VYDAJ	VYBER	15	20906	SLUZBY	\N	\N
903003	3076	1997-06-30	VYDAJ	VYBER	15	18565	SLUZBY	\N	\N
903004	3076	1997-07-31	VYDAJ	VYBER	15	16318	SLUZBY	\N	\N
903005	3076	1997-08-31	VYDAJ	VYBER	15	17823	SLUZBY	\N	\N
903006	3076	1997-09-30	VYDAJ	VYBER	15	19333	SLUZBY	\N	\N
903007	3076	1997-10-31	VYDAJ	VYBER	15	20850	SLUZBY	\N	\N
903008	3076	1997-11-30	VYDAJ	VYBER	15	21332	SLUZBY	\N	\N
903009	3076	1997-12-31	VYDAJ	VYBER	15	22005	SLUZBY	\N	\N
903010	3076	1998-01-31	VYDAJ	VYBER	15	16127	SLUZBY	\N	\N
903011	3076	1998-02-28	VYDAJ	VYBER	15	17630	SLUZBY	\N	\N
903012	3076	1998-03-31	VYDAJ	VYBER	15	19140	SLUZBY	\N	\N
903013	3076	1998-04-30	VYDAJ	VYBER	15	18250	SLUZBY	\N	\N
903014	3076	1998-05-31	VYDAJ	VYBER	15	19762	SLUZBY	\N	\N
903015	3076	1998-06-30	VYDAJ	VYBER	15	21280	SLUZBY	\N	\N
903016	3076	1998-07-31	VYDAJ	VYBER	15	22805	SLUZBY	\N	\N
903017	3076	1998-08-31	VYDAJ	VYBER	15	24335	SLUZBY	\N	\N
903018	3076	1998-09-30	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
903019	3076	1998-10-31	VYDAJ	VYBER	15	25807	SLUZBY	\N	\N
903020	3076	1998-11-30	VYDAJ	VYBER	15	27350	SLUZBY	\N	\N
903021	3076	1993-08-24	VYDAJ	VYBER	100	21420	\N	\N	\N
903022	3076	1994-07-20	VYDAJ	VYBER	400	20414	\N	\N	\N
903023	3076	1994-10-18	VYDAJ	VYBER	1900	23085	\N	\N	\N
903024	3076	1994-11-17	VYDAJ	VYBER	800	23817	\N	\N	\N
903025	3076	1994-12-17	VYDAJ	VYBER	3600	21750	\N	\N	\N
903091	3077	1997-04-16	PRIJEM	VKLAD	600	600	\N	\N	\N
903096	3077	1997-05-11	PRIJEM	VKLAD	13985	14585	\N	\N	\N
903097	3077	1997-06-11	PRIJEM	VKLAD	20978	44113	\N	\N	\N
903098	3077	1997-07-11	PRIJEM	VKLAD	13985	49321	\N	\N	\N
903099	3077	1997-08-11	PRIJEM	VKLAD	13985	53763	\N	\N	\N
903100	3077	1997-09-11	PRIJEM	VKLAD	13985	53211	\N	\N	\N
903101	3077	1997-10-11	PRIJEM	VKLAD	13985	52649	\N	\N	\N
903102	3077	1997-11-11	PRIJEM	VKLAD	13985	42866	\N	\N	\N
903103	3077	1997-12-11	PRIJEM	VKLAD	20978	52861	\N	\N	\N
903104	3077	1998-01-11	PRIJEM	VKLAD	13985	27626	\N	\N	\N
903105	3077	1998-02-11	PRIJEM	VKLAD	13985	32059	\N	\N	\N
903106	3077	1998-03-11	PRIJEM	VKLAD	13985	42426	\N	\N	\N
903107	3077	1998-04-11	PRIJEM	VKLAD	13985	48134	\N	\N	\N
903108	3077	1998-05-11	PRIJEM	VKLAD	13985	51979	\N	\N	\N
903109	3077	1998-06-11	PRIJEM	VKLAD	20978	58641	\N	\N	\N
903110	3077	1998-07-11	PRIJEM	VKLAD	13985	57285	\N	\N	\N
903111	3077	1998-08-11	PRIJEM	VKLAD	13985	56581	\N	\N	\N
903112	3077	1998-09-11	PRIJEM	VKLAD	13985	57272	\N	\N	\N
903113	3077	1998-10-11	PRIJEM	VKLAD	13985	53263	\N	\N	\N
903114	3077	1998-11-11	PRIJEM	VKLAD	13985	63152	\N	\N	\N
903115	3077	1998-12-11	PRIJEM	VKLAD	20978	71961	\N	\N	\N
903124	3077	1997-09-11	VYDAJ	PREVOD NA UCET	3698	49513	SIPO	OP	91859578
903125	3077	1997-10-11	VYDAJ	PREVOD NA UCET	3698	48951	SIPO	OP	91859578
903126	3077	1997-11-11	VYDAJ	PREVOD NA UCET	3698	39168	SIPO	OP	91859578
903127	3077	1997-12-11	VYDAJ	PREVOD NA UCET	3698	49163	SIPO	OP	91859578
903128	3077	1998-01-11	VYDAJ	PREVOD NA UCET	3698	20628	SIPO	OP	91859578
903129	3077	1998-02-11	VYDAJ	PREVOD NA UCET	3698	28361	SIPO	OP	91859578
903130	3077	1998-03-11	VYDAJ	PREVOD NA UCET	3698	38728	SIPO	OP	91859578
903131	3077	1998-04-11	VYDAJ	PREVOD NA UCET	3698	44436	SIPO	OP	91859578
903132	3077	1998-05-11	VYDAJ	PREVOD NA UCET	3698	48281	SIPO	OP	91859578
903133	3077	1998-06-11	VYDAJ	PREVOD NA UCET	3698	54943	SIPO	OP	91859578
903134	3077	1998-07-11	VYDAJ	PREVOD NA UCET	3698	53587	SIPO	OP	91859578
903135	3077	1998-08-11	VYDAJ	PREVOD NA UCET	3698	52883	SIPO	OP	91859578
903136	3077	1998-09-11	VYDAJ	PREVOD NA UCET	3698	53574	SIPO	OP	91859578
903137	3077	1998-10-11	VYDAJ	PREVOD NA UCET	3698	49565	SIPO	OP	91859578
903138	3077	1998-11-11	VYDAJ	PREVOD NA UCET	3698	59454	SIPO	OP	91859578
903139	3077	1998-12-11	VYDAJ	PREVOD NA UCET	3698	68263	SIPO	OP	91859578
903143	3077	1998-01-07	VYDAJ	VYBER	13440	17121	\N	\N	\N
903144	3077	1997-12-15	VYDAJ	VYBER	3520	30443	\N	\N	\N
903145	3077	1998-12-01	VYDAJ	VYBER KARTOU	2900	56783	\N	\N	0
903152	3077	1998-01-25	VYDAJ	VYBER	1560	12708	\N	\N	\N
903154	3077	1998-01-23	VYDAJ	VYBER	3360	14268	\N	\N	\N
903155	3077	1998-01-07	VYDAJ	VYBER	3480	13641	\N	\N	\N
903157	3077	1998-01-16	VYDAJ	VYBER	3000	17628	\N	\N	\N
903159	3077	1997-10-20	VYDAJ	VYBER	4800	28751	\N	\N	\N
903162	3077	1998-10-04	VYDAJ	VYBER KARTOU	3200	50578	\N	\N	0
903163	3077	1998-08-16	VYDAJ	VYBER KARTOU	2800	50083	\N	\N	0
903165	3077	1998-10-09	VYDAJ	VYBER KARTOU	3000	39278	\N	\N	0
903167	3077	1998-07-01	VYDAJ	VYBER	2640	52500	\N	\N	\N
903168	3077	1998-04-12	VYDAJ	VYBER	2880	37856	\N	\N	\N
903178	3077	1997-09-30	VYDAJ	VYBER	15	38664	SLUZBY	\N	\N
903179	3077	1997-10-31	VYDAJ	VYBER	15	28881	SLUZBY	\N	\N
903180	3077	1997-11-30	VYDAJ	VYBER	15	31883	SLUZBY	\N	\N
903181	3077	1997-12-31	VYDAJ	VYBER	15	30561	SLUZBY	\N	\N
903182	3077	1998-01-31	VYDAJ	VYBER	15	12774	SLUZBY	\N	\N
903183	3077	1998-02-28	VYDAJ	VYBER	15	28441	SLUZBY	\N	\N
903184	3077	1998-03-31	VYDAJ	VYBER	15	34149	SLUZBY	\N	\N
903185	3077	1998-04-30	VYDAJ	VYBER	15	37994	SLUZBY	\N	\N
903186	3077	1998-05-31	VYDAJ	VYBER	15	42863	SLUZBY	\N	\N
903187	3077	1998-06-30	VYDAJ	VYBER	15	55140	SLUZBY	\N	\N
903188	3077	1998-07-31	VYDAJ	VYBER	15	53796	SLUZBY	\N	\N
903189	3077	1998-08-31	VYDAJ	VYBER	15	50287	SLUZBY	\N	\N
903190	3077	1998-09-30	VYDAJ	VYBER	15	53778	SLUZBY	\N	\N
903191	3077	1998-10-31	VYDAJ	VYBER	15	49767	SLUZBY	\N	\N
903192	3077	1998-11-30	VYDAJ	VYBER	15	59683	SLUZBY	\N	\N
903193	3077	1997-05-16	PRIJEM	VKLAD	8500	23085	\N	\N	\N
903194	3077	1997-06-15	VYDAJ	VYBER	8900	35213	\N	\N	\N
903195	3077	1997-07-15	VYDAJ	VYBER	9700	39621	\N	\N	\N
903196	3077	1997-08-14	VYDAJ	VYBER	14700	39063	\N	\N	\N
903197	3077	1997-09-13	VYDAJ	VYBER	11000	38513	\N	\N	\N
903198	3077	1997-10-13	VYDAJ	VYBER	15400	33551	\N	\N	\N
903199	3077	1997-11-12	VYDAJ	VYBER	7400	31768	\N	\N	\N
903200	3077	1997-12-12	VYDAJ	VYBER	15200	33963	\N	\N	\N
903201	3077	1998-01-11	VYDAJ	VYBER	3300	24326	\N	\N	\N
903202	3077	1998-02-10	PRIJEM	VKLAD	5300	18074	\N	\N	\N
903203	3077	1998-03-12	VYDAJ	VYBER	4700	34028	\N	\N	\N
903204	3077	1998-04-11	VYDAJ	VYBER	3700	40736	\N	\N	\N
903205	3077	1998-05-11	VYDAJ	VYBER	5600	42681	\N	\N	\N
903206	3077	1998-06-10	VYDAJ	VYBER	5200	37663	\N	\N	\N
903207	3077	1998-07-10	VYDAJ	VYBER	9200	43300	\N	\N	\N
903208	3077	1998-08-09	VYDAJ	VYBER	11200	42596	\N	\N	\N
903209	3077	1998-09-08	VYDAJ	VYBER	7000	43287	\N	\N	\N
903210	3077	1998-10-08	VYDAJ	VYBER	8300	42278	\N	\N	\N
903211	3077	1998-11-07	VYDAJ	VYBER KARTOU	600	49167	\N	\N	0
903212	3077	1998-12-07	VYDAJ	VYBER	5800	50983	\N	\N	\N
903233	3078	1993-07-16	PRIJEM	VKLAD	200	200	\N	\N	\N
903241	3078	1993-08-11	PRIJEM	PREVOD Z UCTU	3348	3548	\N	ST	85435038
903242	3078	1993-09-11	PRIJEM	PREVOD Z UCTU	3348	6896	\N	ST	85435038
903243	3078	1993-10-11	PRIJEM	PREVOD Z UCTU	3348	10244	\N	ST	85435038
903244	3078	1993-11-11	PRIJEM	PREVOD Z UCTU	3348	13592	\N	ST	85435038
903245	3078	1993-12-11	PRIJEM	PREVOD Z UCTU	3348	16940	\N	ST	85435038
903246	3078	1994-01-11	PRIJEM	PREVOD Z UCTU	3348	15631	\N	ST	85435038
903247	3078	1994-02-11	PRIJEM	PREVOD Z UCTU	3348	13404	\N	ST	85435038
903248	3078	1994-03-11	PRIJEM	PREVOD Z UCTU	3348	13838	\N	ST	85435038
903249	3078	1994-04-11	PRIJEM	PREVOD Z UCTU	3348	14995	\N	ST	85435038
903250	3078	1994-05-11	PRIJEM	PREVOD Z UCTU	3348	16158	\N	ST	85435038
903251	3078	1994-06-11	PRIJEM	PREVOD Z UCTU	3348	17325	\N	ST	85435038
903252	3078	1994-07-11	PRIJEM	PREVOD Z UCTU	3348	18167	\N	ST	85435038
903253	3078	1994-08-11	PRIJEM	PREVOD Z UCTU	3348	18351	\N	ST	85435038
903254	3078	1994-09-11	PRIJEM	PREVOD Z UCTU	3348	19528	\N	ST	85435038
903255	3078	1994-10-11	PRIJEM	PREVOD Z UCTU	3348	20709	\N	ST	85435038
903256	3078	1994-11-11	PRIJEM	PREVOD Z UCTU	3348	21895	\N	ST	85435038
903257	3078	1994-12-11	PRIJEM	PREVOD Z UCTU	3348	23086	\N	ST	85435038
903258	3078	1995-01-11	PRIJEM	PREVOD Z UCTU	3348	17708	\N	ST	85435038
903259	3078	1995-02-11	PRIJEM	PREVOD Z UCTU	3348	14558	\N	ST	85435038
903260	3078	1995-03-11	PRIJEM	PREVOD Z UCTU	3348	15718	\N	ST	85435038
903261	3078	1995-04-11	PRIJEM	PREVOD Z UCTU	3348	16883	\N	ST	85435038
903262	3078	1995-05-11	PRIJEM	PREVOD Z UCTU	3348	18053	\N	ST	85435038
903263	3078	1995-06-11	PRIJEM	PREVOD Z UCTU	3348	18898	\N	ST	85435038
903264	3078	1995-07-11	PRIJEM	PREVOD Z UCTU	3348	18906	\N	ST	85435038
903265	3078	1995-08-11	PRIJEM	PREVOD Z UCTU	3348	20084	\N	ST	85435038
903266	3078	1995-09-11	PRIJEM	PREVOD Z UCTU	3348	21268	\N	ST	85435038
903267	3078	1995-10-11	PRIJEM	PREVOD Z UCTU	3348	21156	\N	ST	85435038
903268	3078	1995-11-11	PRIJEM	PREVOD Z UCTU	3348	22045	\N	ST	85435038
903269	3078	1995-12-11	PRIJEM	PREVOD Z UCTU	3348	19436	\N	ST	85435038
903270	3078	1996-01-11	PRIJEM	PREVOD Z UCTU	3348	19419	\N	ST	85435038
903271	3078	1996-02-11	PRIJEM	PREVOD Z UCTU	3348	15675	\N	ST	85435038
903272	3078	1996-03-11	PRIJEM	PREVOD Z UCTU	3348	15940	\N	ST	85435038
903273	3078	1996-04-11	PRIJEM	PREVOD Z UCTU	3348	15356	\N	ST	85435038
903274	3078	1996-05-11	PRIJEM	PREVOD Z UCTU	3348	16101	\N	ST	85435038
903275	3078	1996-06-11	PRIJEM	PREVOD Z UCTU	3348	17268	\N	ST	85435038
903276	3078	1996-07-11	PRIJEM	PREVOD Z UCTU	3348	17538	\N	ST	85435038
903277	3078	1996-08-11	PRIJEM	PREVOD Z UCTU	3348	18711	\N	ST	85435038
903278	3078	1996-09-11	PRIJEM	PREVOD Z UCTU	3348	19888	\N	ST	85435038
903279	3078	1996-10-11	PRIJEM	PREVOD Z UCTU	3348	21070	\N	ST	85435038
903280	3078	1996-11-11	PRIJEM	PREVOD Z UCTU	3348	22257	\N	ST	85435038
903281	3078	1996-12-11	PRIJEM	PREVOD Z UCTU	3348	21548	\N	ST	85435038
903282	3078	1997-01-11	PRIJEM	PREVOD Z UCTU	3348	19695	\N	ST	85435038
903283	3078	1997-02-11	PRIJEM	PREVOD Z UCTU	3348	15733	\N	ST	85435038
903284	3078	1997-03-11	PRIJEM	PREVOD Z UCTU	3348	16296	\N	ST	85435038
903285	3078	1997-04-11	PRIJEM	PREVOD Z UCTU	3348	17463	\N	ST	85435038
903286	3078	1997-05-11	PRIJEM	PREVOD Z UCTU	3348	17394	\N	ST	85435038
903287	3078	1997-06-11	PRIJEM	PREVOD Z UCTU	3348	17464	\N	ST	85435038
903288	3078	1997-07-11	PRIJEM	PREVOD Z UCTU	3348	18636	\N	ST	85435038
903289	3078	1997-08-11	PRIJEM	PREVOD Z UCTU	3348	19813	\N	ST	85435038
903290	3078	1997-09-11	PRIJEM	PREVOD Z UCTU	3348	20894	\N	ST	85435038
903291	3078	1997-10-11	PRIJEM	PREVOD Z UCTU	3348	18476	\N	ST	85435038
903292	3078	1997-11-11	PRIJEM	PREVOD Z UCTU	3348	16347	\N	ST	85435038
903293	3078	1997-12-11	PRIJEM	PREVOD Z UCTU	3348	15111	\N	ST	85435038
903294	3078	1998-01-11	PRIJEM	PREVOD Z UCTU	3348	14570	\N	ST	85435038
903295	3078	1998-02-11	PRIJEM	PREVOD Z UCTU	3348	15730	\N	ST	85435038
903296	3078	1998-03-11	PRIJEM	PREVOD Z UCTU	3348	16893	\N	ST	85435038
903297	3078	1998-04-11	PRIJEM	PREVOD Z UCTU	3348	15388	\N	ST	85435038
903298	3078	1998-05-11	PRIJEM	PREVOD Z UCTU	3348	14948	\N	ST	85435038
903299	3078	1998-06-11	PRIJEM	PREVOD Z UCTU	3348	15708	\N	ST	85435038
903300	3078	1998-07-11	PRIJEM	PREVOD Z UCTU	3348	16872	\N	ST	85435038
903301	3078	1998-08-11	PRIJEM	PREVOD Z UCTU	3348	17230	\N	ST	85435038
903302	3078	1998-09-11	PRIJEM	PREVOD Z UCTU	3348	18250	\N	ST	85435038
903303	3078	1998-10-11	PRIJEM	PREVOD Z UCTU	3348	19004	\N	ST	85435038
903304	3078	1998-11-11	PRIJEM	PREVOD Z UCTU	3348	20182	\N	ST	85435038
903305	3078	1998-12-11	PRIJEM	PREVOD Z UCTU	3348	21034	\N	ST	85435038
903318	3078	1994-01-10	VYDAJ	PREVOD NA UCET	2232	12283	\N	KL	30277490
903319	3078	1994-02-10	VYDAJ	PREVOD NA UCET	2232	10056	\N	KL	30277490
903320	3078	1994-03-10	VYDAJ	PREVOD NA UCET	2232	10490	\N	KL	30277490
903321	3078	1994-04-10	VYDAJ	PREVOD NA UCET	2232	11647	\N	KL	30277490
903322	3078	1994-05-10	VYDAJ	PREVOD NA UCET	2232	12810	\N	KL	30277490
903323	3078	1994-06-10	VYDAJ	PREVOD NA UCET	2232	13977	\N	KL	30277490
903324	3078	1994-07-10	VYDAJ	PREVOD NA UCET	2232	14819	\N	KL	30277490
903325	3078	1994-08-10	VYDAJ	PREVOD NA UCET	2232	15003	\N	KL	30277490
903326	3078	1994-09-10	VYDAJ	PREVOD NA UCET	2232	16180	\N	KL	30277490
903327	3078	1994-10-10	VYDAJ	PREVOD NA UCET	2232	17361	\N	KL	30277490
903328	3078	1994-11-10	VYDAJ	PREVOD NA UCET	2232	18547	\N	KL	30277490
903329	3078	1994-12-10	VYDAJ	PREVOD NA UCET	2232	19738	\N	KL	30277490
903330	3078	1995-01-10	VYDAJ	PREVOD NA UCET	2232	15500	\N	KL	30277490
903331	3078	1995-02-10	VYDAJ	PREVOD NA UCET	2232	11210	\N	KL	30277490
903332	3078	1995-03-10	VYDAJ	PREVOD NA UCET	2232	12370	\N	KL	30277490
903333	3078	1995-04-10	VYDAJ	PREVOD NA UCET	2232	13535	\N	KL	30277490
903334	3078	1995-05-10	VYDAJ	PREVOD NA UCET	2232	14705	\N	KL	30277490
903335	3078	1995-06-10	VYDAJ	PREVOD NA UCET	2232	15550	\N	KL	30277490
903336	3078	1995-07-10	VYDAJ	PREVOD NA UCET	2232	15558	\N	KL	30277490
903337	3078	1995-08-10	VYDAJ	PREVOD NA UCET	2232	16736	\N	KL	30277490
903338	3078	1995-09-10	VYDAJ	PREVOD NA UCET	2232	17920	\N	KL	30277490
903339	3078	1995-10-10	VYDAJ	PREVOD NA UCET	2232	17808	\N	KL	30277490
903340	3078	1995-11-10	VYDAJ	PREVOD NA UCET	2232	18697	\N	KL	30277490
903341	3078	1995-12-10	VYDAJ	PREVOD NA UCET	2232	16088	\N	KL	30277490
903342	3078	1996-01-10	VYDAJ	PREVOD NA UCET	2232	16071	\N	KL	30277490
903343	3078	1996-02-10	VYDAJ	PREVOD NA UCET	2232	12327	\N	KL	30277490
903344	3078	1996-03-10	VYDAJ	PREVOD NA UCET	2232	12592	\N	KL	30277490
903345	3078	1996-04-10	VYDAJ	PREVOD NA UCET	2232	12008	\N	KL	30277490
903346	3078	1996-05-10	VYDAJ	PREVOD NA UCET	2232	12753	\N	KL	30277490
903347	3078	1996-06-10	VYDAJ	PREVOD NA UCET	2232	13920	\N	KL	30277490
903348	3078	1996-07-10	VYDAJ	PREVOD NA UCET	2232	14190	\N	KL	30277490
903349	3078	1996-08-10	VYDAJ	PREVOD NA UCET	2232	15363	\N	KL	30277490
903350	3078	1996-09-10	VYDAJ	PREVOD NA UCET	2232	16540	\N	KL	30277490
903351	3078	1996-10-10	VYDAJ	PREVOD NA UCET	2232	17722	\N	KL	30277490
903352	3078	1996-11-10	VYDAJ	PREVOD NA UCET	2232	18909	\N	KL	30277490
903353	3078	1996-12-10	VYDAJ	PREVOD NA UCET	2232	18200	\N	KL	30277490
903354	3078	1997-01-10	VYDAJ	PREVOD NA UCET	2232	16347	\N	KL	30277490
903355	3078	1997-02-10	VYDAJ	PREVOD NA UCET	2232	12385	\N	KL	30277490
903356	3078	1997-03-10	VYDAJ	PREVOD NA UCET	2232	12948	\N	KL	30277490
903357	3078	1997-04-10	VYDAJ	PREVOD NA UCET	2232	14115	\N	KL	30277490
903358	3078	1997-05-10	VYDAJ	PREVOD NA UCET	2232	14046	\N	KL	30277490
903359	3078	1997-06-10	VYDAJ	PREVOD NA UCET	2232	14116	\N	KL	30277490
903360	3078	1997-07-10	VYDAJ	PREVOD NA UCET	2232	15288	\N	KL	30277490
903361	3078	1997-08-10	VYDAJ	PREVOD NA UCET	2232	16465	\N	KL	30277490
903362	3078	1997-09-10	VYDAJ	PREVOD NA UCET	2232	17546	\N	KL	30277490
903363	3078	1997-10-10	VYDAJ	PREVOD NA UCET	2232	15128	\N	KL	30277490
903364	3078	1997-11-10	VYDAJ	PREVOD NA UCET	2232	12999	\N	KL	30277490
903365	3078	1997-12-10	VYDAJ	PREVOD NA UCET	2232	11763	\N	KL	30277490
903366	3078	1998-01-10	VYDAJ	PREVOD NA UCET	2232	11222	\N	KL	30277490
903367	3078	1998-02-10	VYDAJ	PREVOD NA UCET	2232	12382	\N	KL	30277490
903368	3078	1998-03-10	VYDAJ	PREVOD NA UCET	2232	13545	\N	KL	30277490
903369	3078	1998-04-10	VYDAJ	PREVOD NA UCET	2232	12040	\N	KL	30277490
903370	3078	1998-05-10	VYDAJ	PREVOD NA UCET	2232	11600	\N	KL	30277490
903371	3078	1998-06-10	VYDAJ	PREVOD NA UCET	2232	12360	\N	KL	30277490
903372	3078	1998-07-10	VYDAJ	PREVOD NA UCET	2232	13524	\N	KL	30277490
903373	3078	1998-08-10	VYDAJ	PREVOD NA UCET	2232	13882	\N	KL	30277490
903374	3078	1998-09-10	VYDAJ	PREVOD NA UCET	2232	14902	\N	KL	30277490
903375	3078	1998-10-10	VYDAJ	PREVOD NA UCET	2232	15656	\N	KL	30277490
903376	3078	1998-11-10	VYDAJ	PREVOD NA UCET	2232	16834	\N	KL	30277490
903377	3078	1998-12-10	VYDAJ	PREVOD NA UCET	2232	17686	\N	KL	30277490
903380	3078	1995-06-23	VYDAJ	VYBER	1170	17728	\N	\N	\N
903381	3078	1996-06-26	VYDAJ	VYBER	900	16368	\N	\N	\N
903385	3078	1994-01-26	VYDAJ	VYBER	1650	12961	\N	\N	\N
903386	3078	1995-01-18	VYDAJ	VYBER	2880	14018	\N	\N	\N
903387	3078	1996-01-29	VYDAJ	VYBER	1860	14799	\N	\N	\N
903388	3078	1997-01-11	VYDAJ	VYBER	2670	17025	\N	\N	\N
903390	3078	1993-12-23	VYDAJ	VYBER	360	16580	\N	\N	\N
903391	3078	1994-12-11	VYDAJ	VYBER	780	22306	\N	\N	\N
903392	3078	1995-12-11	VYDAJ	VYBER	750	18686	\N	\N	\N
903393	3078	1996-12-22	VYDAJ	VYBER	720	20828	\N	\N	\N
903395	3078	1998-12-03	VYDAJ	VYBER	330	19918	\N	\N	\N
903402	3078	1994-01-02	VYDAJ	VYBER	390	15595	\N	\N	\N
903403	3078	1994-01-01	VYDAJ	VYBER	600	15985	\N	\N	\N
903404	3078	1994-01-03	VYDAJ	VYBER	360	14515	\N	\N	\N
903405	3078	1994-01-20	VYDAJ	VYBER	180	15451	\N	\N	\N
903406	3078	1994-01-21	VYDAJ	VYBER	840	14611	\N	\N	\N
903407	3078	1994-01-02	VYDAJ	VYBER	720	14875	\N	\N	\N
903408	3078	1995-01-29	VYDAJ	VYBER	390	13388	\N	\N	\N
903409	3078	1995-01-08	VYDAJ	VYBER	660	19262	\N	\N	\N
903410	3078	1995-01-08	VYDAJ	VYBER	780	18482	\N	\N	\N
903411	3078	1995-01-08	VYDAJ	VYBER	750	17732	\N	\N	\N
903412	3078	1995-01-20	VYDAJ	VYBER	240	13778	\N	\N	\N
903413	3078	1995-01-11	VYDAJ	VYBER	810	16898	\N	\N	\N
903414	3078	1996-01-17	VYDAJ	VYBER	810	18609	\N	\N	\N
903415	3078	1996-01-29	VYDAJ	VYBER	750	16659	\N	\N	\N
903416	3078	1996-01-20	VYDAJ	VYBER	390	17979	\N	\N	\N
903417	3078	1996-01-22	VYDAJ	VYBER	570	17409	\N	\N	\N
903418	3078	1996-01-30	VYDAJ	VYBER	300	14499	\N	\N	\N
903419	3078	1996-01-19	VYDAJ	VYBER	240	18369	\N	\N	\N
903420	3078	1997-01-11	VYDAJ	VYBER	870	16155	\N	\N	\N
903422	3078	1997-01-01	VYDAJ	VYBER	420	18579	\N	\N	\N
903423	3078	1997-01-14	VYDAJ	VYBER	780	14565	\N	\N	\N
903425	3078	1997-01-12	VYDAJ	VYBER	810	15345	\N	\N	\N
903437	3078	1994-12-18	VYDAJ	VYBER	1320	20986	\N	\N	\N
903438	3078	1994-07-09	VYDAJ	VYBER	330	17051	\N	\N	\N
903439	3078	1994-07-21	VYDAJ	VYBER	990	17177	\N	\N	\N
903440	3078	1994-02-16	VYDAJ	VYBER	720	12684	\N	\N	\N
903441	3078	1994-01-31	VYDAJ	VYBER	720	12302	\N	\N	\N
903442	3078	1995-06-05	VYDAJ	VYBER	330	17782	\N	\N	\N
903443	3078	1995-01-02	VYDAJ	VYBER	1140	19922	\N	\N	\N
903445	3078	1995-01-10	VYDAJ	VYBER	1140	14360	\N	\N	\N
903446	3078	1996-04-25	VYDAJ	VYBER	420	14936	\N	\N	\N
903447	3078	1996-01-03	VYDAJ	VYBER	450	18303	\N	\N	\N
903449	3078	1996-03-03	VYDAJ	VYBER	900	14824	\N	\N	\N
903450	3078	1996-03-13	VYDAJ	VYBER	150	15790	\N	\N	\N
903452	3078	1997-02-21	VYDAJ	VYBER	600	15133	\N	\N	\N
903453	3078	1997-04-16	VYDAJ	VYBER	240	17223	\N	\N	\N
903455	3078	1998-07-31	VYDAJ	VYBER	510	16114	\N	\N	\N
903457	3078	1998-08-31	VYDAJ	VYBER	150	17134	\N	\N	\N
903458	3078	1998-10-02	VYDAJ	VYBER	420	17888	\N	\N	\N
903459	3078	1998-03-14	VYDAJ	VYBER	870	16023	\N	\N	\N
903472	3078	1993-12-31	VYDAJ	VYBER	15	16585	SLUZBY	\N	\N
903473	3078	1994-01-31	VYDAJ	VYBER	15	12288	SLUZBY	\N	\N
903474	3078	1994-02-28	VYDAJ	VYBER	15	12722	SLUZBY	\N	\N
903475	3078	1994-03-31	VYDAJ	VYBER	15	13879	SLUZBY	\N	\N
903476	3078	1994-04-30	VYDAJ	VYBER	15	15042	SLUZBY	\N	\N
903477	3078	1994-05-31	VYDAJ	VYBER	15	16209	SLUZBY	\N	\N
903478	3078	1994-06-30	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
903479	3078	1994-07-31	VYDAJ	VYBER	15	17235	SLUZBY	\N	\N
903480	3078	1994-08-31	VYDAJ	VYBER	15	18412	SLUZBY	\N	\N
903481	3078	1994-09-30	VYDAJ	VYBER	15	19593	SLUZBY	\N	\N
903482	3078	1994-10-31	VYDAJ	VYBER	15	20779	SLUZBY	\N	\N
903483	3078	1994-11-30	VYDAJ	VYBER	15	21970	SLUZBY	\N	\N
903484	3078	1994-12-31	VYDAJ	VYBER	15	21062	SLUZBY	\N	\N
903485	3078	1995-01-31	VYDAJ	VYBER	15	13442	SLUZBY	\N	\N
903486	3078	1995-02-28	VYDAJ	VYBER	15	14602	SLUZBY	\N	\N
903487	3078	1995-03-31	VYDAJ	VYBER	15	15767	SLUZBY	\N	\N
903488	3078	1995-04-30	VYDAJ	VYBER	15	16937	SLUZBY	\N	\N
903489	3078	1995-05-31	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
903490	3078	1995-06-30	VYDAJ	VYBER	15	17790	SLUZBY	\N	\N
903491	3078	1995-07-31	VYDAJ	VYBER	15	18968	SLUZBY	\N	\N
903492	3078	1995-08-31	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
903493	3078	1995-09-30	VYDAJ	VYBER	15	21340	SLUZBY	\N	\N
903494	3078	1995-10-31	VYDAJ	VYBER	15	21229	SLUZBY	\N	\N
903495	3078	1995-11-30	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
903496	3078	1995-12-31	VYDAJ	VYBER	15	18753	SLUZBY	\N	\N
903497	3078	1996-01-31	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
903498	3078	1996-02-29	VYDAJ	VYBER	15	15724	SLUZBY	\N	\N
903499	3078	1996-03-31	VYDAJ	VYBER	15	15840	SLUZBY	\N	\N
903500	3078	1996-04-30	VYDAJ	VYBER	15	14985	SLUZBY	\N	\N
903501	3078	1996-05-31	VYDAJ	VYBER	15	16152	SLUZBY	\N	\N
903502	3078	1996-06-30	VYDAJ	VYBER	15	16422	SLUZBY	\N	\N
903503	3078	1996-07-31	VYDAJ	VYBER	15	17595	SLUZBY	\N	\N
903504	3078	1996-08-31	VYDAJ	VYBER	15	18772	SLUZBY	\N	\N
903505	3078	1996-09-30	VYDAJ	VYBER	15	19954	SLUZBY	\N	\N
903506	3078	1996-10-31	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
903507	3078	1996-11-30	VYDAJ	VYBER	15	20432	SLUZBY	\N	\N
903508	3078	1996-12-31	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
903509	3078	1997-01-31	VYDAJ	VYBER	15	14617	SLUZBY	\N	\N
903510	3078	1997-02-28	VYDAJ	VYBER	15	15180	SLUZBY	\N	\N
903511	3078	1997-03-31	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
903512	3078	1997-04-30	VYDAJ	VYBER	15	16278	SLUZBY	\N	\N
903513	3078	1997-05-31	VYDAJ	VYBER	15	16348	SLUZBY	\N	\N
903514	3078	1997-06-30	VYDAJ	VYBER	15	17520	SLUZBY	\N	\N
903515	3078	1997-07-31	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
903516	3078	1997-08-31	VYDAJ	VYBER	15	19778	SLUZBY	\N	\N
903517	3078	1997-09-30	VYDAJ	VYBER	15	17360	SLUZBY	\N	\N
903518	3078	1997-10-31	VYDAJ	VYBER	15	15231	SLUZBY	\N	\N
903519	3078	1997-11-30	VYDAJ	VYBER	15	13995	SLUZBY	\N	\N
903520	3078	1997-12-31	VYDAJ	VYBER	15	13454	SLUZBY	\N	\N
903521	3078	1998-01-31	VYDAJ	VYBER	15	14614	SLUZBY	\N	\N
903522	3078	1998-02-28	VYDAJ	VYBER	15	15777	SLUZBY	\N	\N
903523	3078	1998-03-31	VYDAJ	VYBER	15	14272	SLUZBY	\N	\N
903524	3078	1998-04-30	VYDAJ	VYBER	15	13832	SLUZBY	\N	\N
903525	3078	1998-05-31	VYDAJ	VYBER	15	14592	SLUZBY	\N	\N
903526	3078	1998-06-30	VYDAJ	VYBER	15	15756	SLUZBY	\N	\N
903527	3078	1998-07-31	VYDAJ	VYBER	15	16624	SLUZBY	\N	\N
903528	3078	1998-08-31	VYDAJ	VYBER	15	17284	SLUZBY	\N	\N
903529	3078	1998-09-30	VYDAJ	VYBER	15	18308	SLUZBY	\N	\N
903530	3078	1998-10-31	VYDAJ	VYBER	15	19066	SLUZBY	\N	\N
903531	3078	1998-11-30	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
903532	3078	1995-10-04	VYDAJ	VYBER	1300	20040	\N	\N	\N
903533	3078	1995-11-03	VYDAJ	VYBER	300	20929	\N	\N	\N
903534	3078	1995-12-03	VYDAJ	VYBER	3800	18320	\N	\N	\N
903535	3078	1996-04-01	VYDAJ	VYBER	1600	14240	\N	\N	\N
903536	3078	1996-11-27	VYDAJ	VYBER	1900	20357	\N	\N	\N
903537	3078	1996-12-27	VYDAJ	VYBER	1900	18928	\N	\N	\N
903538	3078	1997-04-26	VYDAJ	VYBER	1000	16223	\N	\N	\N
903539	3078	1997-05-26	VYDAJ	VYBER	1100	16294	\N	\N	\N
903540	3078	1997-08-24	VYDAJ	VYBER	100	19713	\N	\N	\N
903541	3078	1997-09-23	VYDAJ	VYBER	3600	17294	\N	\N	\N
903542	3078	1997-10-23	VYDAJ	VYBER	3300	15176	\N	\N	\N
903543	3078	1997-11-22	VYDAJ	VYBER	2400	13947	\N	\N	\N
903544	3078	1997-12-22	VYDAJ	VYBER	1700	13411	\N	\N	\N
903545	3078	1998-03-22	VYDAJ	VYBER	1800	14223	\N	\N	\N
903546	3078	1998-04-21	VYDAJ	VYBER	1600	13788	\N	\N	\N
903547	3078	1998-05-21	VYDAJ	VYBER	400	14548	\N	\N	\N
903548	3078	1998-07-20	VYDAJ	VYBER	300	16572	\N	\N	\N
903610	3079	1996-02-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
903613	3079	1996-03-07	PRIJEM	PREVOD Z UCTU	3449	4449	\N	ST	75867312
903614	3079	1996-04-07	PRIJEM	PREVOD Z UCTU	3449	7898	\N	ST	75867312
903615	3079	1996-05-07	PRIJEM	PREVOD Z UCTU	3449	11347	\N	ST	75867312
903616	3079	1996-06-07	PRIJEM	PREVOD Z UCTU	3449	14796	\N	ST	75867312
903617	3079	1996-07-07	PRIJEM	PREVOD Z UCTU	3449	18245	\N	ST	75867312
903618	3079	1996-08-07	PRIJEM	PREVOD Z UCTU	3449	19420	\N	ST	75867312
903619	3079	1996-09-07	PRIJEM	PREVOD Z UCTU	3449	19367	\N	ST	75867312
903620	3079	1996-10-07	PRIJEM	PREVOD Z UCTU	3449	19429	\N	ST	75867312
903621	3079	1996-11-07	PRIJEM	PREVOD Z UCTU	3449	18471	\N	ST	75867312
903622	3079	1996-12-07	PRIJEM	PREVOD Z UCTU	3449	19676	\N	ST	75867312
903623	3079	1997-01-07	PRIJEM	PREVOD Z UCTU	3449	20131	\N	ST	75867312
903624	3079	1997-02-07	PRIJEM	PREVOD Z UCTU	3449	21339	\N	ST	75867312
903625	3079	1997-03-07	PRIJEM	PREVOD Z UCTU	3449	20478	\N	ST	75867312
903626	3079	1997-04-07	PRIJEM	PREVOD Z UCTU	3449	21692	\N	ST	75867312
903627	3079	1997-05-07	PRIJEM	PREVOD Z UCTU	3449	22906	\N	ST	75867312
903628	3079	1997-06-07	PRIJEM	PREVOD Z UCTU	3449	24125	\N	ST	75867312
903629	3079	1997-07-07	PRIJEM	PREVOD Z UCTU	3449	17693	\N	ST	75867312
903630	3079	1997-08-07	PRIJEM	PREVOD Z UCTU	3449	18620	\N	ST	75867312
903631	3079	1997-09-07	PRIJEM	PREVOD Z UCTU	3449	19822	\N	ST	75867312
903632	3079	1997-10-07	PRIJEM	PREVOD Z UCTU	3449	19556	\N	ST	75867312
903633	3079	1997-11-07	PRIJEM	PREVOD Z UCTU	3449	20762	\N	ST	75867312
903634	3079	1997-12-07	PRIJEM	PREVOD Z UCTU	3449	21972	\N	ST	75867312
903635	3079	1998-01-07	PRIJEM	PREVOD Z UCTU	3449	22467	\N	ST	75867312
903636	3079	1998-02-07	PRIJEM	PREVOD Z UCTU	3449	22783	\N	ST	75867312
903637	3079	1998-03-07	PRIJEM	PREVOD Z UCTU	3449	24001	\N	ST	75867312
903638	3079	1998-04-07	PRIJEM	PREVOD Z UCTU	3449	22790	\N	ST	75867312
903639	3079	1998-05-07	PRIJEM	PREVOD Z UCTU	3449	24009	\N	ST	75867312
903640	3079	1998-06-07	PRIJEM	PREVOD Z UCTU	3449	18003	\N	ST	75867312
903641	3079	1998-07-07	PRIJEM	PREVOD Z UCTU	3449	19211	\N	ST	75867312
903642	3079	1998-08-07	PRIJEM	PREVOD Z UCTU	3449	19061	\N	ST	75867312
903643	3079	1998-09-07	PRIJEM	PREVOD Z UCTU	3449	19994	\N	ST	75867312
903644	3079	1998-10-07	PRIJEM	PREVOD Z UCTU	3449	21201	\N	ST	75867312
903645	3079	1998-11-07	PRIJEM	PREVOD Z UCTU	3449	21631	\N	ST	75867312
903646	3079	1998-12-07	PRIJEM	PREVOD Z UCTU	3449	22845	\N	ST	75867312
903653	3079	1996-07-14	VYDAJ	PREVOD NA UCET	234	15946	\N	IJ	45304375
903654	3079	1996-08-14	VYDAJ	PREVOD NA UCET	234	19186	\N	IJ	45304375
903655	3079	1996-09-14	VYDAJ	PREVOD NA UCET	234	19133	\N	IJ	45304375
903656	3079	1996-10-14	VYDAJ	PREVOD NA UCET	234	19195	\N	IJ	45304375
903657	3079	1996-11-14	VYDAJ	PREVOD NA UCET	234	18237	\N	IJ	45304375
903658	3079	1996-12-14	VYDAJ	PREVOD NA UCET	234	17377	\N	IJ	45304375
903659	3079	1997-01-14	VYDAJ	PREVOD NA UCET	234	17832	\N	IJ	45304375
903660	3079	1997-02-14	VYDAJ	PREVOD NA UCET	234	19040	\N	IJ	45304375
903661	3079	1997-03-14	VYDAJ	PREVOD NA UCET	234	20244	\N	IJ	45304375
903662	3079	1997-04-14	VYDAJ	PREVOD NA UCET	234	21458	\N	IJ	45304375
903663	3079	1997-05-14	VYDAJ	PREVOD NA UCET	234	20607	\N	IJ	45304375
903664	3079	1997-06-14	VYDAJ	PREVOD NA UCET	234	21826	\N	IJ	45304375
903665	3079	1997-07-14	VYDAJ	PREVOD NA UCET	234	15394	\N	IJ	45304375
903666	3079	1997-08-14	VYDAJ	PREVOD NA UCET	234	16321	\N	IJ	45304375
903667	3079	1997-09-14	VYDAJ	PREVOD NA UCET	234	16053	\N	IJ	45304375
903668	3079	1997-10-14	VYDAJ	PREVOD NA UCET	234	19322	\N	IJ	45304375
903669	3079	1997-11-14	VYDAJ	PREVOD NA UCET	234	20528	\N	IJ	45304375
903670	3079	1997-12-14	VYDAJ	PREVOD NA UCET	234	19673	\N	IJ	45304375
903671	3079	1998-01-14	VYDAJ	PREVOD NA UCET	234	20168	\N	IJ	45304375
903672	3079	1998-02-14	VYDAJ	PREVOD NA UCET	234	22549	\N	IJ	45304375
903673	3079	1998-03-14	VYDAJ	PREVOD NA UCET	234	19272	\N	IJ	45304375
903674	3079	1998-04-14	VYDAJ	PREVOD NA UCET	234	20491	\N	IJ	45304375
903675	3079	1998-05-14	VYDAJ	PREVOD NA UCET	234	21710	\N	IJ	45304375
903676	3079	1998-06-14	VYDAJ	PREVOD NA UCET	234	17769	\N	IJ	45304375
903677	3079	1998-07-14	VYDAJ	PREVOD NA UCET	234	16912	\N	IJ	45304375
903678	3079	1998-08-14	VYDAJ	PREVOD NA UCET	234	16762	\N	IJ	45304375
903679	3079	1998-09-14	VYDAJ	PREVOD NA UCET	234	17695	\N	IJ	45304375
903680	3079	1998-10-14	VYDAJ	PREVOD NA UCET	234	18902	\N	IJ	45304375
903681	3079	1998-11-14	VYDAJ	PREVOD NA UCET	234	19332	\N	IJ	45304375
903682	3079	1998-12-14	VYDAJ	PREVOD NA UCET	234	22611	\N	IJ	45304375
903689	3079	1996-07-14	VYDAJ	PREVOD NA UCET	2065	16180	\N	WX	63926827
903690	3079	1996-08-14	VYDAJ	PREVOD NA UCET	2065	17121	\N	WX	63926827
903691	3079	1996-09-14	VYDAJ	PREVOD NA UCET	2065	17068	\N	WX	63926827
903692	3079	1996-10-14	VYDAJ	PREVOD NA UCET	2065	17130	\N	WX	63926827
903693	3079	1996-11-14	VYDAJ	PREVOD NA UCET	2065	16172	\N	WX	63926827
903694	3079	1996-12-14	VYDAJ	PREVOD NA UCET	2065	17611	\N	WX	63926827
903695	3079	1997-01-14	VYDAJ	PREVOD NA UCET	2065	18066	\N	WX	63926827
903696	3079	1997-02-14	VYDAJ	PREVOD NA UCET	2065	19274	\N	WX	63926827
903697	3079	1997-03-14	VYDAJ	PREVOD NA UCET	2065	18179	\N	WX	63926827
903698	3079	1997-04-14	VYDAJ	PREVOD NA UCET	2065	19393	\N	WX	63926827
903699	3079	1997-05-14	VYDAJ	PREVOD NA UCET	2065	20841	\N	WX	63926827
903700	3079	1997-06-14	VYDAJ	PREVOD NA UCET	2065	22060	\N	WX	63926827
903701	3079	1997-07-14	VYDAJ	PREVOD NA UCET	2065	15628	\N	WX	63926827
903702	3079	1997-08-14	VYDAJ	PREVOD NA UCET	2065	16555	\N	WX	63926827
903703	3079	1997-09-14	VYDAJ	PREVOD NA UCET	2065	16287	\N	WX	63926827
903704	3079	1997-10-14	VYDAJ	PREVOD NA UCET	2065	17257	\N	WX	63926827
903705	3079	1997-11-14	VYDAJ	PREVOD NA UCET	2065	18463	\N	WX	63926827
903706	3079	1997-12-14	VYDAJ	PREVOD NA UCET	2065	19907	\N	WX	63926827
903707	3079	1998-01-14	VYDAJ	PREVOD NA UCET	2065	20402	\N	WX	63926827
903708	3079	1998-02-14	VYDAJ	PREVOD NA UCET	2065	20484	\N	WX	63926827
903709	3079	1998-03-14	VYDAJ	PREVOD NA UCET	2065	20826	\N	WX	63926827
903710	3079	1998-04-14	VYDAJ	PREVOD NA UCET	2065	20725	\N	WX	63926827
903711	3079	1998-05-14	VYDAJ	PREVOD NA UCET	2065	21944	\N	WX	63926827
903712	3079	1998-06-14	VYDAJ	PREVOD NA UCET	2065	15704	\N	WX	63926827
903713	3079	1998-07-14	VYDAJ	PREVOD NA UCET	2065	17146	\N	WX	63926827
903714	3079	1998-08-14	VYDAJ	PREVOD NA UCET	2065	16996	\N	WX	63926827
903715	3079	1998-09-14	VYDAJ	PREVOD NA UCET	2065	17929	\N	WX	63926827
903716	3079	1998-10-14	VYDAJ	PREVOD NA UCET	2065	19136	\N	WX	63926827
903717	3079	1998-11-14	VYDAJ	PREVOD NA UCET	2065	19566	\N	WX	63926827
903718	3079	1998-12-14	VYDAJ	PREVOD NA UCET	2065	20546	\N	WX	63926827
903720	3079	1997-06-25	VYDAJ	VYBER	7650	14176	\N	\N	\N
903721	3079	1998-06-01	VYDAJ	VYBER	7230	14554	\N	\N	\N
903722	3079	1996-12-17	VYDAJ	VYBER	750	16627	\N	\N	\N
903723	3079	1997-12-30	VYDAJ	VYBER	720	18953	\N	\N	\N
903724	3079	1998-12-23	VYDAJ	VYBER	150	19226	\N	\N	\N
903726	3079	1996-09-20	VYDAJ	VYBER	1140	15928	\N	\N	\N
903729	3079	1996-08-26	VYDAJ	VYBER	1260	15861	\N	\N	\N
903730	3079	1996-10-21	VYDAJ	VYBER	1050	16080	\N	\N	\N
903731	3079	1996-10-23	VYDAJ	VYBER	1110	14970	\N	\N	\N
903732	3079	1997-02-18	VYDAJ	VYBER	1470	16970	\N	\N	\N
903733	3079	1997-07-16	VYDAJ	VYBER	270	15124	\N	\N	\N
903734	3079	1997-09-08	VYDAJ	VYBER	600	19222	\N	\N	\N
903735	3079	1997-09-10	VYDAJ	VYBER	870	18352	\N	\N	\N
903736	3079	1997-02-18	VYDAJ	VYBER	600	18440	\N	\N	\N
903737	3079	1998-10-22	VYDAJ	VYBER	780	18122	\N	\N	\N
903738	3079	1998-12-22	VYDAJ	VYBER	1170	19376	\N	\N	\N
903739	3079	1998-08-22	VYDAJ	VYBER	270	16492	\N	\N	\N
903740	3079	1998-03-09	VYDAJ	VYBER	1110	22891	\N	\N	\N
903741	3079	1998-07-16	VYDAJ	VYBER	1350	15562	\N	\N	\N
903742	3079	1998-03-14	VYDAJ	VYBER	1320	19506	\N	\N	\N
903743	3079	1998-01-23	VYDAJ	VYBER	900	19268	\N	\N	\N
903751	3079	1996-07-31	VYDAJ	VYBER	15	15971	SLUZBY	\N	\N
903752	3079	1996-08-31	VYDAJ	VYBER	15	15918	SLUZBY	\N	\N
903753	3079	1996-09-30	VYDAJ	VYBER	15	15980	SLUZBY	\N	\N
903754	3079	1996-10-31	VYDAJ	VYBER	15	15022	SLUZBY	\N	\N
903755	3079	1996-11-30	VYDAJ	VYBER	15	16227	SLUZBY	\N	\N
903756	3079	1996-12-31	VYDAJ	VYBER	15	16682	SLUZBY	\N	\N
903757	3079	1997-01-31	VYDAJ	VYBER	15	17890	SLUZBY	\N	\N
903758	3079	1997-02-28	VYDAJ	VYBER	15	17029	SLUZBY	\N	\N
903759	3079	1997-03-31	VYDAJ	VYBER	15	18243	SLUZBY	\N	\N
903760	3079	1997-04-30	VYDAJ	VYBER	15	19457	SLUZBY	\N	\N
903761	3079	1997-05-31	VYDAJ	VYBER	15	20676	SLUZBY	\N	\N
903762	3079	1997-06-30	VYDAJ	VYBER	15	14244	SLUZBY	\N	\N
903763	3079	1997-07-31	VYDAJ	VYBER	15	15171	SLUZBY	\N	\N
903764	3079	1997-08-31	VYDAJ	VYBER	15	16373	SLUZBY	\N	\N
903765	3079	1997-09-30	VYDAJ	VYBER	15	16107	SLUZBY	\N	\N
903766	3079	1997-10-31	VYDAJ	VYBER	15	17313	SLUZBY	\N	\N
903767	3079	1997-11-30	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
903768	3079	1997-12-31	VYDAJ	VYBER	15	19018	SLUZBY	\N	\N
903769	3079	1998-01-31	VYDAJ	VYBER	15	19334	SLUZBY	\N	\N
903770	3079	1998-02-28	VYDAJ	VYBER	15	20552	SLUZBY	\N	\N
903771	3079	1998-03-31	VYDAJ	VYBER	15	19341	SLUZBY	\N	\N
903772	3079	1998-04-30	VYDAJ	VYBER	15	20560	SLUZBY	\N	\N
903773	3079	1998-05-31	VYDAJ	VYBER	15	21784	SLUZBY	\N	\N
903774	3079	1998-06-30	VYDAJ	VYBER	15	15762	SLUZBY	\N	\N
903775	3079	1998-07-31	VYDAJ	VYBER	15	15612	SLUZBY	\N	\N
903776	3079	1998-08-31	VYDAJ	VYBER	15	16545	SLUZBY	\N	\N
903777	3079	1998-09-30	VYDAJ	VYBER	15	17752	SLUZBY	\N	\N
903778	3079	1998-10-31	VYDAJ	VYBER	15	18182	SLUZBY	\N	\N
903779	3079	1998-11-30	VYDAJ	VYBER	15	19396	SLUZBY	\N	\N
903810	3080	1995-10-29	PRIJEM	VKLAD	400	400	\N	\N	\N
903821	3080	1995-11-11	PRIJEM	PREVOD Z UCTU	5585	5985	DUCHOD	MN	27884620
903822	3080	1995-12-11	PRIJEM	PREVOD Z UCTU	5585	11570	DUCHOD	MN	27884620
903823	3080	1996-01-11	PRIJEM	PREVOD Z UCTU	5585	17155	DUCHOD	MN	27884620
903824	3080	1996-02-11	PRIJEM	PREVOD Z UCTU	5585	22740	DUCHOD	MN	27884620
903825	3080	1996-03-11	PRIJEM	PREVOD Z UCTU	5585	25637	DUCHOD	MN	27884620
903826	3080	1996-04-11	PRIJEM	PREVOD Z UCTU	5585	23732	DUCHOD	MN	27884620
903827	3080	1996-05-11	PRIJEM	PREVOD Z UCTU	5585	18297	DUCHOD	MN	27884620
903828	3080	1996-06-11	PRIJEM	PREVOD Z UCTU	5585	20581	DUCHOD	MN	27884620
903829	3080	1996-07-11	PRIJEM	PREVOD Z UCTU	5585	22875	DUCHOD	MN	27884620
903830	3080	1996-08-11	PRIJEM	PREVOD Z UCTU	5585	18514	DUCHOD	MN	27884620
903831	3080	1996-09-11	PRIJEM	PREVOD Z UCTU	5585	19797	DUCHOD	MN	27884620
903832	3080	1996-10-11	PRIJEM	PREVOD Z UCTU	5585	18346	DUCHOD	MN	27884620
903833	3080	1996-11-11	PRIJEM	PREVOD Z UCTU	5585	15386	DUCHOD	MN	27884620
903834	3080	1996-12-11	PRIJEM	PREVOD Z UCTU	5585	12853	DUCHOD	MN	27884620
903835	3080	1997-01-11	PRIJEM	PREVOD Z UCTU	5585	15115	DUCHOD	MN	27884620
903836	3080	1997-02-11	PRIJEM	PREVOD Z UCTU	5585	15220	DUCHOD	MN	27884620
903837	3080	1997-03-11	PRIJEM	PREVOD Z UCTU	5585	17012	DUCHOD	MN	27884620
903838	3080	1997-04-11	PRIJEM	PREVOD Z UCTU	5585	18788	DUCHOD	MN	27884620
903839	3080	1997-05-11	PRIJEM	PREVOD Z UCTU	5585	17369	DUCHOD	MN	27884620
903840	3080	1997-06-11	PRIJEM	PREVOD Z UCTU	5585	19650	DUCHOD	MN	27884620
903841	3080	1997-07-11	PRIJEM	PREVOD Z UCTU	5585	20938	DUCHOD	MN	27884620
903842	3080	1997-08-11	PRIJEM	PREVOD Z UCTU	5585	22274	DUCHOD	MN	27884620
903843	3080	1997-09-11	PRIJEM	PREVOD Z UCTU	5585	18966	DUCHOD	MN	27884620
903844	3080	1997-10-11	PRIJEM	PREVOD Z UCTU	5585	21253	DUCHOD	MN	27884620
903845	3080	1997-11-11	PRIJEM	PREVOD Z UCTU	5585	17421	DUCHOD	MN	27884620
903846	3080	1997-12-11	PRIJEM	PREVOD Z UCTU	5585	18701	DUCHOD	MN	27884620
903847	3080	1998-01-11	PRIJEM	PREVOD Z UCTU	5585	18443	DUCHOD	MN	27884620
903848	3080	1998-02-11	PRIJEM	PREVOD Z UCTU	5585	16458	DUCHOD	MN	27884620
903849	3080	1998-03-11	PRIJEM	PREVOD Z UCTU	5585	18434	DUCHOD	MN	27884620
903850	3080	1998-04-11	PRIJEM	PREVOD Z UCTU	5585	20719	DUCHOD	MN	27884620
903851	3080	1998-05-11	PRIJEM	PREVOD Z UCTU	5585	21090	DUCHOD	MN	27884620
903852	3080	1998-06-11	PRIJEM	PREVOD Z UCTU	5585	23386	DUCHOD	MN	27884620
903853	3080	1998-07-11	PRIJEM	PREVOD Z UCTU	5585	16246	DUCHOD	MN	27884620
903854	3080	1998-08-11	PRIJEM	PREVOD Z UCTU	5585	17799	DUCHOD	MN	27884620
903855	3080	1998-09-11	PRIJEM	PREVOD Z UCTU	5585	19441	DUCHOD	MN	27884620
903856	3080	1998-10-11	PRIJEM	PREVOD Z UCTU	5585	19805	DUCHOD	MN	27884620
903857	3080	1998-11-11	PRIJEM	PREVOD Z UCTU	5585	22095	DUCHOD	MN	27884620
903858	3080	1998-12-11	PRIJEM	PREVOD Z UCTU	5585	24145	DUCHOD	MN	27884620
903874	3080	1996-04-05	VYDAJ	PREVOD NA UCET	3359	18147	SIPO	UV	4152691
903875	3080	1996-05-05	VYDAJ	PREVOD NA UCET	3359	16152	SIPO	UV	4152691
903876	3080	1996-06-05	VYDAJ	PREVOD NA UCET	3359	14996	SIPO	UV	4152691
903877	3080	1996-07-05	VYDAJ	PREVOD NA UCET	3359	17290	SIPO	UV	4152691
903878	3080	1996-08-05	VYDAJ	PREVOD NA UCET	3359	12929	SIPO	UV	4152691
903879	3080	1996-09-05	VYDAJ	PREVOD NA UCET	3359	14212	SIPO	UV	4152691
903880	3080	1996-10-05	VYDAJ	PREVOD NA UCET	3359	12761	SIPO	UV	4152691
903881	3080	1996-11-05	VYDAJ	PREVOD NA UCET	3359	9801	SIPO	UV	4152691
903882	3080	1996-12-05	VYDAJ	PREVOD NA UCET	3359	7268	SIPO	UV	4152691
903883	3080	1997-01-05	VYDAJ	PREVOD NA UCET	3359	9530	SIPO	UV	4152691
903884	3080	1997-02-05	VYDAJ	PREVOD NA UCET	3359	9635	SIPO	UV	4152691
903885	3080	1997-03-05	VYDAJ	PREVOD NA UCET	3359	11427	SIPO	UV	4152691
903886	3080	1997-04-05	VYDAJ	PREVOD NA UCET	3359	13203	SIPO	UV	4152691
903887	3080	1997-05-05	VYDAJ	PREVOD NA UCET	3359	11784	SIPO	UV	4152691
903888	3080	1997-06-05	VYDAJ	PREVOD NA UCET	3359	14065	SIPO	UV	4152691
903889	3080	1997-07-05	VYDAJ	PREVOD NA UCET	3359	15353	SIPO	UV	4152691
903890	3080	1997-08-05	VYDAJ	PREVOD NA UCET	3359	17649	SIPO	UV	4152691
903891	3080	1997-09-05	VYDAJ	PREVOD NA UCET	3359	13381	SIPO	UV	4152691
903892	3080	1997-10-05	VYDAJ	PREVOD NA UCET	3359	15668	SIPO	UV	4152691
903893	3080	1997-11-05	VYDAJ	PREVOD NA UCET	3359	11836	SIPO	UV	4152691
903894	3080	1997-12-05	VYDAJ	PREVOD NA UCET	3359	13116	SIPO	UV	4152691
903895	3080	1998-01-05	VYDAJ	PREVOD NA UCET	3359	12858	SIPO	UV	4152691
903896	3080	1998-02-05	VYDAJ	PREVOD NA UCET	3359	10873	SIPO	UV	4152691
903897	3080	1998-03-05	VYDAJ	PREVOD NA UCET	3359	12849	SIPO	UV	4152691
903898	3080	1998-04-05	VYDAJ	PREVOD NA UCET	3359	15134	SIPO	UV	4152691
903899	3080	1998-05-05	VYDAJ	PREVOD NA UCET	3359	15505	SIPO	UV	4152691
903900	3080	1998-06-05	VYDAJ	PREVOD NA UCET	3359	17801	SIPO	UV	4152691
903901	3080	1998-07-05	VYDAJ	PREVOD NA UCET	3359	10661	SIPO	UV	4152691
903902	3080	1998-08-05	VYDAJ	PREVOD NA UCET	3359	12214	SIPO	UV	4152691
903903	3080	1998-09-05	VYDAJ	PREVOD NA UCET	3359	14496	SIPO	UV	4152691
903904	3080	1998-10-05	VYDAJ	PREVOD NA UCET	3359	14220	SIPO	UV	4152691
903905	3080	1998-11-05	VYDAJ	PREVOD NA UCET	3359	16510	SIPO	UV	4152691
903906	3080	1998-12-05	VYDAJ	PREVOD NA UCET	3359	18560	SIPO	UV	4152691
903910	3080	1998-06-13	VYDAJ	VYBER	5350	18036	\N	\N	\N
903917	3080	1997-12-01	VYDAJ	VYBER	1000	16475	\N	\N	\N
903918	3080	1998-12-02	VYDAJ	VYBER	250	21919	\N	\N	\N
903931	3080	1997-01-12	VYDAJ	VYBER	2160	12955	\N	\N	\N
903937	3080	1998-01-14	VYDAJ	VYBER	2000	16443	\N	\N	\N
903940	3080	1998-01-25	VYDAJ	VYBER	960	14183	\N	\N	\N
903941	3080	1998-01-01	VYDAJ	VYBER	1440	16217	\N	\N	\N
903942	3080	1998-01-23	VYDAJ	VYBER	800	15143	\N	\N	\N
903948	3080	1996-09-29	VYDAJ	VYBER	3440	16057	\N	\N	\N
903949	3080	1996-08-04	VYDAJ	VYBER	1360	16288	\N	\N	\N
903951	3080	1996-05-06	VYDAJ	VYBER	3440	12712	\N	\N	\N
903952	3080	1996-10-27	VYDAJ	VYBER	3440	13106	\N	\N	\N
903953	3080	1997-10-13	VYDAJ	VYBER	1440	19813	\N	\N	\N
903954	3080	1997-10-25	VYDAJ	VYBER	3680	15133	\N	\N	\N
903955	3080	1997-03-02	VYDAJ	VYBER	480	14786	\N	\N	\N
903956	3080	1997-08-10	VYDAJ	VYBER	960	16689	\N	\N	\N
903957	3080	1998-07-15	VYDAJ	VYBER	720	15526	\N	\N	\N
903959	3080	1998-06-14	VYDAJ	VYBER	880	17156	\N	\N	\N
903960	3080	1998-04-19	VYDAJ	VYBER	1920	18799	\N	\N	\N
903962	3080	1998-09-18	VYDAJ	VYBER	1920	17521	\N	\N	\N
903963	3080	1998-09-08	VYDAJ	VYBER	640	13856	\N	\N	\N
903964	3080	1998-07-02	VYDAJ	VYBER	3200	14020	\N	\N	\N
903981	3080	1996-03-31	VYDAJ	VYBER	15	21506	SLUZBY	\N	\N
903982	3080	1996-04-30	VYDAJ	VYBER	15	19511	SLUZBY	\N	\N
903983	3080	1996-05-31	VYDAJ	VYBER	15	18355	SLUZBY	\N	\N
903984	3080	1996-06-30	VYDAJ	VYBER	15	20649	SLUZBY	\N	\N
903985	3080	1996-07-31	VYDAJ	VYBER	15	17648	SLUZBY	\N	\N
903986	3080	1996-08-31	VYDAJ	VYBER	15	17571	SLUZBY	\N	\N
903987	3080	1996-09-30	VYDAJ	VYBER	15	16120	SLUZBY	\N	\N
903988	3080	1996-10-31	VYDAJ	VYBER	15	13160	SLUZBY	\N	\N
903989	3080	1996-11-30	VYDAJ	VYBER	15	10627	SLUZBY	\N	\N
903990	3080	1996-12-31	VYDAJ	VYBER	15	12889	SLUZBY	\N	\N
903991	3080	1997-01-31	VYDAJ	VYBER	15	12994	SLUZBY	\N	\N
903992	3080	1997-02-28	VYDAJ	VYBER	15	15266	SLUZBY	\N	\N
903993	3080	1997-03-31	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
903994	3080	1997-04-30	VYDAJ	VYBER	15	15143	SLUZBY	\N	\N
903995	3080	1997-05-31	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
903996	3080	1997-06-30	VYDAJ	VYBER	15	18712	SLUZBY	\N	\N
903997	3080	1997-07-31	VYDAJ	VYBER	15	21008	SLUZBY	\N	\N
903998	3080	1997-08-31	VYDAJ	VYBER	15	16740	SLUZBY	\N	\N
903999	3080	1997-09-30	VYDAJ	VYBER	15	19027	SLUZBY	\N	\N
904000	3080	1997-10-31	VYDAJ	VYBER	15	15195	SLUZBY	\N	\N
904001	3080	1997-11-30	VYDAJ	VYBER	15	17475	SLUZBY	\N	\N
904002	3080	1997-12-31	VYDAJ	VYBER	15	17657	SLUZBY	\N	\N
904003	3080	1998-01-31	VYDAJ	VYBER	15	14232	SLUZBY	\N	\N
904004	3080	1998-02-28	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
904005	3080	1998-03-31	VYDAJ	VYBER	15	18493	SLUZBY	\N	\N
904006	3080	1998-04-30	VYDAJ	VYBER	15	18864	SLUZBY	\N	\N
904007	3080	1998-05-31	VYDAJ	VYBER	15	21160	SLUZBY	\N	\N
904008	3080	1998-06-30	VYDAJ	VYBER	15	17220	SLUZBY	\N	\N
904009	3080	1998-07-31	VYDAJ	VYBER	15	15573	SLUZBY	\N	\N
904010	3080	1998-08-31	VYDAJ	VYBER	15	17855	SLUZBY	\N	\N
904011	3080	1998-09-30	VYDAJ	VYBER	15	17579	SLUZBY	\N	\N
904012	3080	1998-10-31	VYDAJ	VYBER	15	19869	SLUZBY	\N	\N
904013	3080	1998-11-30	VYDAJ	VYBER	15	22169	SLUZBY	\N	\N
904014	3080	1996-02-26	VYDAJ	VYBER	2700	20040	\N	\N	\N
904015	3080	1996-03-27	VYDAJ	VYBER	4200	21437	\N	\N	\N
904016	3080	1996-04-26	VYDAJ	VYBER	4300	19432	\N	\N	\N
904017	3080	1996-07-25	VYDAJ	VYBER	5300	17575	\N	\N	\N
904018	3080	1996-08-24	VYDAJ	VYBER	1000	17514	\N	\N	\N
904019	3080	1996-09-23	VYDAJ	VYBER	300	19497	\N	\N	\N
904020	3080	1996-10-23	VYDAJ	VYBER	1800	16546	\N	\N	\N
904021	3080	1996-11-22	VYDAJ	VYBER	4800	10586	\N	\N	\N
904022	3080	1997-03-22	VYDAJ	VYBER	500	16512	\N	\N	\N
904023	3080	1997-04-21	VYDAJ	VYBER	3700	15088	\N	\N	\N
904024	3080	1997-06-20	VYDAJ	VYBER	1000	18650	\N	\N	\N
904025	3080	1997-08-19	VYDAJ	VYBER	5600	16674	\N	\N	\N
904026	3080	1997-10-18	VYDAJ	VYBER	1000	18813	\N	\N	\N
904027	3080	1997-12-17	VYDAJ	VYBER	1100	17601	\N	\N	\N
904028	3080	1998-01-16	VYDAJ	VYBER	500	15943	\N	\N	\N
904029	3080	1998-02-15	VYDAJ	VYBER	300	16158	\N	\N	\N
904565	3082	1997-11-16	PRIJEM	VKLAD	700	700	\N	\N	\N
904577	3082	1997-12-13	PRIJEM	VKLAD	16868	17568	\N	\N	\N
904578	3082	1998-01-13	PRIJEM	VKLAD	11245	30154	\N	\N	\N
904579	3082	1998-02-13	PRIJEM	VKLAD	11245	32082	\N	\N	\N
904580	3082	1998-03-13	PRIJEM	VKLAD	11245	33616	\N	\N	\N
904581	3082	1998-04-13	PRIJEM	VKLAD	11245	35859	\N	\N	\N
904582	3082	1998-05-13	PRIJEM	VKLAD	11245	34393	\N	\N	\N
904583	3082	1998-06-13	PRIJEM	VKLAD	16868	33332	\N	\N	\N
904584	3082	1998-07-13	PRIJEM	VKLAD	11245	22530	\N	\N	\N
904585	3082	1998-08-13	PRIJEM	VKLAD	11245	26320	\N	\N	\N
904586	3082	1998-09-13	PRIJEM	VKLAD	11245	19101	\N	\N	\N
904587	3082	1998-10-13	PRIJEM	VKLAD	11245	22877	\N	\N	\N
904588	3082	1998-11-13	PRIJEM	VKLAD	11245	26669	\N	\N	\N
904589	3082	1998-12-13	PRIJEM	VKLAD	16868	30098	\N	\N	\N
904605	3082	1998-04-14	VYDAJ	PREVOD NA UCET	7496	28363	SIPO	OP	12562770
904606	3082	1998-05-14	VYDAJ	PREVOD NA UCET	7496	26897	SIPO	OP	12562770
904607	3082	1998-06-14	VYDAJ	PREVOD NA UCET	7496	14236	SIPO	OP	12562770
904608	3082	1998-07-14	VYDAJ	PREVOD NA UCET	7496	15034	SIPO	OP	12562770
904609	3082	1998-08-14	VYDAJ	PREVOD NA UCET	7496	7824	SIPO	OP	12562770
904610	3082	1998-09-14	VYDAJ	PREVOD NA UCET	7496	11605	SIPO	OP	12562770
904611	3082	1998-10-14	VYDAJ	PREVOD NA UCET	7496	15381	SIPO	OP	12562770
904612	3082	1998-11-14	VYDAJ	PREVOD NA UCET	7496	19173	SIPO	OP	12562770
904613	3082	1998-12-14	VYDAJ	PREVOD NA UCET	7496	22602	SIPO	OP	12562770
904615	3082	1998-06-13	VYDAJ	VYBER	11600	21732	\N	\N	\N
904619	3082	1998-12-04	VYDAJ	VYBER	1300	13230	\N	\N	\N
904639	3082	1998-11-29	VYDAJ	VYBER	4700	14473	\N	\N	\N
904659	3082	1998-04-30	VYDAJ	VYBER	15	23148	SLUZBY	\N	\N
904660	3082	1998-05-31	VYDAJ	VYBER	15	16464	SLUZBY	\N	\N
904661	3082	1998-06-30	VYDAJ	VYBER	15	11285	SLUZBY	\N	\N
904662	3082	1998-07-31	VYDAJ	VYBER	15	15075	SLUZBY	\N	\N
904663	3082	1998-08-31	VYDAJ	VYBER	15	7856	SLUZBY	\N	\N
904664	3082	1998-09-30	VYDAJ	VYBER	15	11632	SLUZBY	\N	\N
904665	3082	1998-10-31	VYDAJ	VYBER	15	15424	SLUZBY	\N	\N
904666	3082	1998-11-30	VYDAJ	VYBER	15	14530	SLUZBY	\N	\N
904667	3082	1997-12-16	PRIJEM	VKLAD	1300	18868	\N	\N	\N
904668	3082	1998-01-15	VYDAJ	VYBER	9400	20754	\N	\N	\N
904669	3082	1998-02-14	VYDAJ	VYBER	9800	22282	\N	\N	\N
904670	3082	1998-03-16	VYDAJ	VYBER	9100	24516	\N	\N	\N
904671	3082	1998-04-15	VYDAJ	VYBER	5300	23063	\N	\N	\N
904672	3082	1998-05-15	VYDAJ	VYBER	10500	16397	\N	\N	\N
904673	3082	1998-06-14	VYDAJ	VYBER	3000	11236	\N	\N	\N
904674	3082	1998-08-13	VYDAJ	VYBER	11000	15320	\N	\N	\N
904688	3083	1997-03-18	PRIJEM	VKLAD	200	200	\N	\N	\N
904692	3083	1997-04-08	PRIJEM	VKLAD	22858	23058	\N	\N	\N
904693	3083	1997-05-08	PRIJEM	VKLAD	22858	42955	\N	\N	\N
904694	3083	1997-06-08	PRIJEM	VKLAD	34287	67452	\N	\N	\N
904695	3083	1997-07-08	PRIJEM	VKLAD	22858	70979	\N	\N	\N
904696	3083	1997-08-08	PRIJEM	VKLAD	22858	67228	\N	\N	\N
904697	3083	1997-09-08	PRIJEM	VKLAD	22858	65251	\N	\N	\N
904698	3083	1997-10-08	PRIJEM	VKLAD	22858	64836	\N	\N	\N
904699	3083	1997-11-08	PRIJEM	VKLAD	22858	66959	\N	\N	\N
904700	3083	1997-12-08	PRIJEM	VKLAD	34287	78816	\N	\N	\N
904701	3083	1998-01-08	PRIJEM	VKLAD	22858	71518	\N	\N	\N
904702	3083	1998-02-08	PRIJEM	VKLAD	22858	61198	\N	\N	\N
904703	3083	1998-03-08	PRIJEM	VKLAD	22858	64610	\N	\N	\N
904704	3083	1998-04-08	PRIJEM	VKLAD	22858	65830	\N	\N	\N
904705	3083	1998-05-08	PRIJEM	VKLAD	22858	63846	\N	\N	\N
904706	3083	1998-06-08	PRIJEM	VKLAD	34287	72481	\N	\N	\N
904707	3083	1998-07-08	PRIJEM	VKLAD	22858	54377	\N	\N	\N
904708	3083	1998-08-08	PRIJEM	VKLAD	22858	58162	\N	\N	\N
904709	3083	1998-09-08	PRIJEM	VKLAD	22858	60458	\N	\N	\N
904710	3083	1998-10-08	PRIJEM	VKLAD	22858	59053	\N	\N	\N
904711	3083	1998-11-08	PRIJEM	VKLAD	22858	56300	\N	\N	\N
904712	3083	1998-12-08	PRIJEM	VKLAD	34287	60801	\N	\N	\N
904714	3083	1998-06-11	VYDAJ	VYBER	18400	31341	\N	\N	\N
904715	3083	1997-12-27	VYDAJ	VYBER	1440	48476	\N	\N	\N
904716	3083	1998-12-03	VYDAJ	VYBER	4480	26514	\N	\N	\N
904723	3083	1998-01-27	VYDAJ	VYBER	3480	39838	\N	\N	\N
904724	3083	1998-01-22	VYDAJ	VYBER	2160	44638	\N	\N	\N
904725	3083	1998-01-13	VYDAJ	VYBER	600	46798	\N	\N	\N
904726	3083	1998-01-24	VYDAJ	VYBER	1320	43318	\N	\N	\N
904727	3083	1998-01-30	VYDAJ	VYBER	1680	38158	\N	\N	\N
904728	3083	1998-01-10	VYDAJ	VYBER	720	70798	\N	\N	\N
904731	3083	1997-09-28	VYDAJ	VYBER	3240	41811	\N	\N	\N
904732	3083	1998-10-25	VYDAJ	VYBER	960	33313	\N	\N	\N
904733	3083	1998-10-10	VYDAJ	VYBER	960	34273	\N	\N	\N
904734	3083	1998-10-09	VYDAJ	VYBER	2520	35233	\N	\N	\N
904735	3083	1998-06-10	VYDAJ	VYBER	5640	66841	\N	\N	\N
904744	3083	1997-08-31	VYDAJ	VYBER	15	42393	SLUZBY	\N	\N
904745	3083	1997-09-30	VYDAJ	VYBER	15	41978	SLUZBY	\N	\N
904746	3083	1997-10-31	VYDAJ	VYBER	15	44101	SLUZBY	\N	\N
904747	3083	1997-11-30	VYDAJ	VYBER	15	44529	SLUZBY	\N	\N
904748	3083	1997-12-31	VYDAJ	VYBER	15	48660	SLUZBY	\N	\N
904749	3083	1998-01-31	VYDAJ	VYBER	15	38340	SLUZBY	\N	\N
904750	3083	1998-02-28	VYDAJ	VYBER	15	41752	SLUZBY	\N	\N
904751	3083	1998-03-31	VYDAJ	VYBER	15	42972	SLUZBY	\N	\N
904752	3083	1998-04-30	VYDAJ	VYBER	15	40988	SLUZBY	\N	\N
904753	3083	1998-05-31	VYDAJ	VYBER	15	38194	SLUZBY	\N	\N
904754	3083	1998-06-30	VYDAJ	VYBER	15	31519	SLUZBY	\N	\N
904755	3083	1998-07-31	VYDAJ	VYBER	15	35304	SLUZBY	\N	\N
904756	3083	1998-08-31	VYDAJ	VYBER	15	37600	SLUZBY	\N	\N
904757	3083	1998-09-30	VYDAJ	VYBER	15	36195	SLUZBY	\N	\N
904758	3083	1998-10-31	VYDAJ	VYBER	15	33442	SLUZBY	\N	\N
904759	3083	1998-11-30	VYDAJ	VYBER	15	30994	SLUZBY	\N	\N
904760	3083	1997-04-17	VYDAJ	VYBER	3000	20058	\N	\N	\N
904761	3083	1997-05-17	VYDAJ	VYBER	9900	33055	\N	\N	\N
904762	3083	1997-06-16	VYDAJ	VYBER	19500	47952	\N	\N	\N
904763	3083	1997-07-16	VYDAJ	VYBER	26800	44179	\N	\N	\N
904764	3083	1997-08-15	VYDAJ	VYBER	25000	42228	\N	\N	\N
904765	3083	1997-09-14	VYDAJ	VYBER	20200	45051	\N	\N	\N
904766	3083	1997-10-14	VYDAJ	VYBER	20900	43936	\N	\N	\N
904767	3083	1997-11-13	VYDAJ	VYBER	22600	44359	\N	\N	\N
904768	3083	1997-12-13	VYDAJ	VYBER	28900	49916	\N	\N	\N
904769	3083	1998-01-12	VYDAJ	VYBER	23400	47398	\N	\N	\N
904770	3083	1998-02-11	VYDAJ	VYBER	19600	41598	\N	\N	\N
904771	3083	1998-03-13	VYDAJ	VYBER	21800	42810	\N	\N	\N
904772	3083	1998-04-12	VYDAJ	VYBER	25000	40830	\N	\N	\N
904773	3083	1998-05-12	VYDAJ	VYBER	25800	38046	\N	\N	\N
904774	3083	1998-06-11	VYDAJ	VYBER	17100	49741	\N	\N	\N
904775	3083	1998-07-11	VYDAJ	VYBER	19200	35177	\N	\N	\N
904776	3083	1998-08-10	VYDAJ	VYBER	20700	37462	\N	\N	\N
904777	3083	1998-09-09	VYDAJ	VYBER	24400	36058	\N	\N	\N
904778	3083	1998-10-09	VYDAJ	VYBER	21300	37753	\N	\N	\N
904779	3083	1998-11-08	VYDAJ	VYBER	25500	30800	\N	\N	\N
904801	3084	1996-01-28	PRIJEM	VKLAD	300	300	\N	\N	\N
904802	3084	1996-04-12	PRIJEM	VKLAD	24857	54066	\N	\N	\N
904803	3084	1996-05-19	PRIJEM	VKLAD	40419	111044	\N	\N	\N
904804	3084	1996-02-25	PRIJEM	VKLAD	36266	36566	\N	\N	\N
904805	3084	1996-05-18	PRIJEM	VKLAD	28423	70625	\N	\N	\N
904806	3084	1996-06-07	PRIJEM	VKLAD	21223	75492	\N	\N	\N
904807	3084	1997-10-20	PRIJEM	VKLAD	34213	52876	\N	\N	\N
904808	3084	1997-06-07	PRIJEM	VKLAD	31419	50065	\N	\N	\N
904809	3084	1998-07-16	PRIJEM	VKLAD	45695	71169	\N	\N	\N
904810	3084	1998-05-31	PRIJEM	VKLAD	7626	80556	\N	\N	\N
904811	3084	1998-08-20	PRIJEM	VKLAD	8048	39393	\N	\N	\N
904812	3084	1998-07-30	PRIJEM	VKLAD	16782	67951	\N	\N	\N
904813	3084	1998-11-01	PRIJEM	VKLAD	27281	80031	\N	\N	\N
904814	3084	1998-10-07	PRIJEM	VKLAD	26333	48105	\N	\N	\N
904815	3084	1998-03-03	PRIJEM	VKLAD	36357	54522	\N	\N	\N
904816	3084	1998-05-23	PRIJEM	VKLAD	46081	72930	\N	\N	\N
904817	3084	1998-06-10	PRIJEM	VKLAD	16626	76325	\N	\N	\N
904818	3084	1998-10-28	PRIJEM	VKLAD	26284	52647	\N	\N	\N
904819	3084	1998-03-10	PRIJEM	VKLAD	43521	87043	\N	\N	\N
904820	3084	1998-12-30	PRIJEM	VKLAD	43980	69106	\N	\N	\N
904821	3084	1998-11-14	PRIJEM	VKLAD	28519	69208	\N	\N	\N
904822	3084	1998-03-20	PRIJEM	VKLAD	5568	59328	\N	\N	\N
904823	3084	1998-05-05	PRIJEM	VKLAD	12336	42391	\N	\N	\N
904829	3084	1996-06-18	VYDAJ	VYBER	5800	47505	\N	\N	0
904830	3084	1996-06-23	VYDAJ	VYBER	8400	21812	\N	\N	0
904831	3084	1996-08-12	VYDAJ	VYBER	8100	15218	\N	\N	0
904834	3084	1996-11-12	VYDAJ	PREVOD NA UCET	7042	5924	UVER	MN	37864983
904835	3084	1996-12-12	VYDAJ	PREVOD NA UCET	7042	-432	UVER	MN	37864983
904836	3084	1997-01-12	VYDAJ	PREVOD NA UCET	7042	-1869	UVER	MN	37864983
904837	3084	1997-02-12	VYDAJ	PREVOD NA UCET	7042	687	UVER	MN	37864983
904839	3084	1997-04-12	VYDAJ	PREVOD NA UCET	7042	7988	UVER	MN	37864983
904841	3084	1997-06-12	VYDAJ	PREVOD NA UCET	7042	35323	UVER	MN	37864983
904842	3084	1997-07-12	VYDAJ	PREVOD NA UCET	7042	10564	UVER	MN	37864983
904843	3084	1997-08-12	VYDAJ	PREVOD NA UCET	7042	6772	UVER	MN	37864983
904844	3084	1997-09-12	VYDAJ	PREVOD NA UCET	7042	3769	UVER	MN	37864983
904845	3084	1997-10-12	VYDAJ	PREVOD NA UCET	7042	11963	UVER	MN	37864983
904846	3084	1997-11-12	VYDAJ	PREVOD NA UCET	7042	32821	UVER	MN	37864983
904847	3084	1997-12-12	VYDAJ	PREVOD NA UCET	7042	18205	UVER	MN	37864983
904848	3084	1998-01-12	VYDAJ	PREVOD NA UCET	7042	6437	UVER	MN	37864983
904849	3084	1998-02-12	VYDAJ	PREVOD NA UCET	7042	3236	UVER	MN	37864983
904850	3084	1998-03-12	VYDAJ	PREVOD NA UCET	7042	74560	UVER	MN	37864983
904851	3084	1998-04-12	VYDAJ	PREVOD NA UCET	7042	32297	UVER	MN	37864983
904852	3084	1998-05-12	VYDAJ	PREVOD NA UCET	7042	25249	UVER	MN	37864983
904853	3084	1998-06-12	VYDAJ	PREVOD NA UCET	7042	69283	UVER	MN	37864983
904854	3084	1998-07-12	VYDAJ	PREVOD NA UCET	7042	25474	UVER	MN	37864983
904855	3084	1998-08-12	VYDAJ	PREVOD NA UCET	7042	35945	UVER	MN	37864983
904856	3084	1998-09-12	VYDAJ	PREVOD NA UCET	7042	16209	UVER	MN	37864983
904857	3084	1998-10-12	VYDAJ	PREVOD NA UCET	7042	41063	UVER	MN	37864983
904858	3084	1998-11-12	VYDAJ	PREVOD NA UCET	7042	63389	UVER	MN	37864983
904859	3084	1998-12-12	VYDAJ	PREVOD NA UCET	7042	26526	UVER	MN	37864983
904866	3084	1996-07-10	VYDAJ	VYBER	9000	12757	SIPO	\N	0
904867	3084	1996-08-12	VYDAJ	VYBER	10800	4418	SIPO	\N	0
904868	3084	1996-09-08	VYDAJ	VYBER	10900	2462	SIPO	\N	0
904869	3084	1996-09-28	VYDAJ	VYBER	7900	2962	SIPO	\N	0
904870	3084	1996-11-12	VYDAJ	VYBER	10900	-4976	SIPO	\N	0
904871	3084	1996-12-09	VYDAJ	VYBER	6900	6610	SIPO	\N	0
904872	3084	1997-01-01	VYDAJ	VYBER	7700	5173	SIPO	\N	0
904873	3084	1997-01-26	VYDAJ	VYBER	7100	7731	SIPO	\N	0
904874	3084	1997-03-10	VYDAJ	VYBER	9700	5198	SIPO	\N	0
904875	3084	1997-04-13	VYDAJ	VYBER	7200	788	SIPO	\N	0
904876	3084	1997-05-13	VYDAJ	VYBER	9600	6605	SIPO	\N	0
904877	3084	1997-06-10	VYDAJ	VYBER	7700	42365	SIPO	\N	0
904878	3084	1997-07-07	VYDAJ	VYBER	9300	17606	SIPO	\N	0
904879	3084	1997-07-27	VYDAJ	VYBER	8900	13764	SIPO	\N	0
904880	3084	1997-09-10	VYDAJ	VYBER	9300	10811	SIPO	\N	0
904881	3084	1997-10-12	VYDAJ	VYBER	10300	1663	SIPO	\N	0
904882	3084	1997-11-08	VYDAJ	VYBER	9200	39863	SIPO	\N	0
904883	3084	1997-11-26	VYDAJ	VYBER	7200	25121	SIPO	\N	0
904884	3084	1998-01-07	VYDAJ	VYBER	9000	13479	SIPO	\N	0
904885	3084	1998-01-30	VYDAJ	VYBER	9900	10237	SIPO	\N	0
904886	3084	1998-03-08	VYDAJ	VYBER	11000	43522	SIPO	\N	0
904887	3084	1998-04-02	VYDAJ	VYBER	6700	39339	SIPO	\N	0
904888	3084	1998-05-11	VYDAJ	VYBER	10100	32291	SIPO	\N	0
904889	3084	1998-06-05	VYDAJ	VYBER	7800	72899	SIPO	\N	0
904890	3084	1998-06-30	VYDAJ	VYBER	7100	32516	SIPO	\N	0
904891	3084	1998-08-08	VYDAJ	VYBER	10200	57937	SIPO	\N	0
904892	3084	1998-08-27	VYDAJ	VYBER	10000	23093	SIPO	\N	0
904893	3084	1998-10-14	VYDAJ	VYBER	8700	32363	SIPO	\N	0
904894	3084	1998-11-10	VYDAJ	VYBER	9600	70431	SIPO	\N	0
904895	3084	1998-11-28	VYDAJ	VYBER	7300	61908	SIPO	\N	0
904899	3084	1996-06-11	VYBER	VYBER	22187	53305	\N	\N	\N
904904	3084	1996-06-19	VYBER	VYBER	17293	30212	\N	\N	\N
904919	3084	1997-06-19	VYBER	VYBER	15600	19723	\N	\N	\N
904921	3084	1998-08-12	VYBER	VYBER	14950	42987	\N	\N	\N
904923	3084	1998-03-11	VYBER	VYBER	5441	81602	\N	\N	\N
904924	3084	1998-04-02	VYBER	VYBER	11020	46039	\N	\N	\N
904925	3084	1998-11-29	VYBER	VYBER	24064	37844	\N	\N	\N
904926	3084	1998-03-27	VYBER	VYBER	2459	56869	\N	\N	\N
904928	3084	1998-04-24	VYBER	VYBER	2058	29939	\N	\N	\N
904936	3084	1998-12-03	VYDAJ	VYBER	4500	33568	\N	\N	\N
904954	3084	1998-01-02	VYDAJ	VYBER	1800	22479	\N	\N	\N
904960	3084	1997-10-31	VYDAJ	VYBER	3900	49063	\N	\N	\N
904965	3084	1998-06-05	VYDAJ	VYBER	13200	59699	\N	\N	\N
904966	3084	1998-06-16	VYDAJ	VYBER	13200	39383	\N	\N	\N
904968	3084	1998-07-24	VYDAJ	VYBER	3600	51169	\N	\N	\N
904969	3084	1998-08-25	VYDAJ	VYBER	6300	33093	\N	\N	\N
904977	3084	1996-06-30	VYDAJ	VYBER	30	21757	SLUZBY	\N	\N
904978	3084	1996-07-31	VYDAJ	VYBER	30	23318	SLUZBY	\N	\N
904979	3084	1996-08-31	VYDAJ	VYBER	30	13362	SLUZBY	\N	\N
904980	3084	1996-09-30	VYDAJ	VYBER	30	2982	SLUZBY	\N	\N
904981	3084	1996-10-31	VYDAJ	VYBER	30	12966	SLUZBY	\N	\N
904982	3084	1996-11-30	VYDAJ	VYBER	30	13529	SLUZBY	\N	\N
904983	3084	1996-12-31	VYDAJ	VYBER	30	12874	SLUZBY	\N	\N
904984	3084	1997-01-31	VYDAJ	VYBER	30	7734	SLUZBY	\N	\N
904985	3084	1997-02-28	VYDAJ	VYBER	30	14898	SLUZBY	\N	\N
904986	3084	1997-03-31	VYDAJ	VYBER	30	15030	SLUZBY	\N	\N
904987	3084	1997-04-30	VYDAJ	VYBER	30	16205	SLUZBY	\N	\N
904988	3084	1997-05-31	VYDAJ	VYBER	30	18646	SLUZBY	\N	\N
904989	3084	1997-06-30	VYDAJ	VYBER	30	26906	SLUZBY	\N	\N
904990	3084	1997-07-31	VYDAJ	VYBER	30	13814	SLUZBY	\N	\N
904991	3084	1997-08-31	VYDAJ	VYBER	30	20111	SLUZBY	\N	\N
904992	3084	1997-09-30	VYDAJ	VYBER	30	19005	SLUZBY	\N	\N
904993	3084	1997-10-31	VYDAJ	VYBER	30	52963	SLUZBY	\N	\N
904994	3084	1997-11-30	VYDAJ	VYBER	30	25247	SLUZBY	\N	\N
904995	3084	1997-12-31	VYDAJ	VYBER	30	24279	SLUZBY	\N	\N
904996	3084	1998-01-31	VYDAJ	VYBER	30	10278	SLUZBY	\N	\N
904997	3084	1998-02-28	VYDAJ	VYBER	30	18165	SLUZBY	\N	\N
904998	3084	1998-03-31	VYDAJ	VYBER	30	57059	SLUZBY	\N	\N
904999	3084	1998-04-30	VYDAJ	VYBER	30	30055	SLUZBY	\N	\N
905000	3084	1998-05-31	VYDAJ	VYBER	30	80699	SLUZBY	\N	\N
905001	3084	1998-06-30	VYDAJ	VYBER	30	39616	SLUZBY	\N	\N
905002	3084	1998-07-31	VYDAJ	VYBER	30	68137	SLUZBY	\N	\N
905003	3084	1998-08-31	VYDAJ	VYBER	30	23251	SLUZBY	\N	\N
905004	3084	1998-09-30	VYDAJ	VYBER	30	21772	SLUZBY	\N	\N
905005	3084	1998-10-31	VYDAJ	VYBER	30	52750	SLUZBY	\N	\N
905006	3084	1998-11-30	VYDAJ	VYBER	30	38068	SLUZBY	\N	\N
905007	3084	1996-02-27	VYDAJ	VYBER	5400	31166	\N	\N	\N
905008	3084	1996-03-28	VYDAJ	VYBER	2100	29079	\N	\N	\N
905009	3084	1996-04-27	VYDAJ	VYBER	12000	42066	\N	\N	\N
905010	3084	1996-05-19	VYDAJ	VYBER	30200	80844	\N	\N	\N
905011	3084	1996-05-27	VYDAJ	VYBER	26800	54044	\N	\N	\N
905012	3084	1996-06-26	VYDAJ	VYBER	200	21612	\N	\N	\N
905013	3084	1996-07-26	PRIJEM	VKLAD	10500	23257	\N	\N	\N
905014	3084	1996-08-25	PRIJEM	VKLAD	8900	13318	\N	\N	\N
905015	3084	1996-09-24	PRIJEM	VKLAD	8400	10862	\N	\N	\N
905016	3084	1996-10-24	PRIJEM	VKLAD	10000	12982	\N	\N	\N
905017	3084	1996-11-23	PRIJEM	VKLAD	18500	13524	\N	\N	\N
905018	3084	1996-12-23	PRIJEM	VKLAD	13300	12868	\N	\N	\N
905019	3084	1997-01-22	PRIJEM	VKLAD	16700	14831	\N	\N	\N
905020	3084	1997-02-21	PRIJEM	VKLAD	14200	14887	\N	\N	\N
905021	3084	1997-03-23	PRIJEM	VKLAD	9800	14998	\N	\N	\N
905022	3084	1997-04-22	PRIJEM	VKLAD	15400	16188	\N	\N	\N
905023	3084	1997-05-22	PRIJEM	VKLAD	12000	18605	\N	\N	\N
905024	3084	1997-06-21	PRIJEM	VKLAD	7100	26823	\N	\N	\N
905025	3084	1997-07-21	PRIJEM	VKLAD	12100	22664	\N	\N	\N
905026	3084	1997-08-20	PRIJEM	VKLAD	13300	20072	\N	\N	\N
905027	3084	1997-09-19	PRIJEM	VKLAD	15200	18969	\N	\N	\N
905028	3084	1997-10-19	PRIJEM	VKLAD	17000	18663	\N	\N	\N
905029	3084	1997-11-18	VYDAJ	VYBER	500	32321	\N	\N	\N
905030	3084	1997-12-18	PRIJEM	VKLAD	6000	24205	\N	\N	\N
905031	3084	1998-01-17	PRIJEM	VKLAD	13700	20137	\N	\N	\N
905032	3084	1998-02-16	PRIJEM	VKLAD	14900	18136	\N	\N	\N
905033	3084	1998-03-18	VYDAJ	VYBER	20800	53760	\N	\N	\N
905034	3084	1998-04-17	VYDAJ	VYBER	300	31997	\N	\N	\N
905035	3084	1998-05-17	PRIJEM	VKLAD	1600	26849	\N	\N	\N
905036	3084	1998-06-16	VYDAJ	VYBER	16700	52583	\N	\N	\N
905037	3084	1998-07-16	VYDAJ	VYBER	16400	54769	\N	\N	\N
905038	3084	1998-08-15	VYDAJ	VYBER	4600	31345	\N	\N	\N
905039	3084	1998-09-14	PRIJEM	VKLAD	5500	21709	\N	\N	\N
905040	3084	1998-10-14	VYDAJ	VYBER	6000	26363	\N	\N	\N
905041	3084	1998-11-13	VYDAJ	VYBER	22700	40689	\N	\N	\N
905042	3084	1998-12-13	VYDAJ	VYBER	1400	25126	\N	\N	\N
905080	3085	1997-07-03	PRIJEM	VKLAD	600	600	\N	\N	\N
905087	3085	1997-07-13	PRIJEM	VKLAD	12233	12833	\N	\N	\N
905088	3085	1997-08-13	PRIJEM	VKLAD	12233	29499	\N	\N	\N
905089	3085	1997-09-13	PRIJEM	VKLAD	12233	41728	\N	\N	\N
905090	3085	1997-10-13	PRIJEM	VKLAD	12233	44614	\N	\N	\N
905091	3085	1997-11-13	PRIJEM	VKLAD	12233	49328	\N	\N	\N
905092	3085	1997-12-13	PRIJEM	VKLAD	18350	47725	\N	\N	\N
905093	3085	1998-01-13	PRIJEM	VKLAD	12233	38782	\N	\N	\N
905094	3085	1998-02-13	PRIJEM	VKLAD	12233	24713	\N	\N	\N
905095	3085	1998-03-13	PRIJEM	VKLAD	12233	23690	\N	\N	\N
905096	3085	1998-04-13	PRIJEM	VKLAD	12233	21962	\N	\N	\N
905097	3085	1998-05-13	PRIJEM	VKLAD	12233	21227	\N	\N	\N
905098	3085	1998-06-13	PRIJEM	VKLAD	18350	27906	\N	\N	\N
905099	3085	1998-07-13	PRIJEM	VKLAD	12233	22321	\N	\N	\N
905100	3085	1998-08-13	PRIJEM	VKLAD	12233	20586	\N	\N	\N
905101	3085	1998-09-13	PRIJEM	VKLAD	12233	26247	\N	\N	\N
905102	3085	1998-10-13	PRIJEM	VKLAD	12233	18923	\N	\N	\N
905103	3085	1998-11-13	PRIJEM	VKLAD	12233	24577	\N	\N	\N
905104	3085	1998-12-13	PRIJEM	VKLAD	18350	36371	\N	\N	\N
905116	3085	1997-12-06	VYDAJ	PREVOD NA UCET	5723	30336	SIPO	OP	55201452
905117	3085	1998-01-06	VYDAJ	PREVOD NA UCET	5723	26549	SIPO	OP	55201452
905118	3085	1998-02-06	VYDAJ	PREVOD NA UCET	5723	12480	SIPO	OP	55201452
905119	3085	1998-03-06	VYDAJ	PREVOD NA UCET	5723	11457	SIPO	OP	55201452
905120	3085	1998-04-06	VYDAJ	PREVOD NA UCET	5723	9729	SIPO	OP	55201452
905121	3085	1998-05-06	VYDAJ	PREVOD NA UCET	5723	8994	SIPO	OP	55201452
905122	3085	1998-06-06	VYDAJ	PREVOD NA UCET	5723	9556	SIPO	OP	55201452
905123	3085	1998-07-06	VYDAJ	PREVOD NA UCET	5723	10088	SIPO	OP	55201452
905124	3085	1998-08-06	VYDAJ	PREVOD NA UCET	5723	8353	SIPO	OP	55201452
905125	3085	1998-09-06	VYDAJ	PREVOD NA UCET	5723	14014	SIPO	OP	55201452
905126	3085	1998-10-06	VYDAJ	PREVOD NA UCET	5723	6690	SIPO	OP	55201452
905127	3085	1998-11-06	VYDAJ	PREVOD NA UCET	5723	12344	SIPO	OP	55201452
905128	3085	1998-12-06	VYDAJ	PREVOD NA UCET	5723	18022	SIPO	OP	55201452
905139	3085	1997-11-14	VYDAJ	PREVOD NA UCET	907	48421	 	MN	41444516
905140	3085	1997-12-14	VYDAJ	PREVOD NA UCET	907	46818	 	MN	41444516
905141	3085	1998-01-14	VYDAJ	PREVOD NA UCET	907	34995	 	MN	41444516
905142	3085	1998-02-14	VYDAJ	PREVOD NA UCET	907	23806	 	MN	41444516
905143	3085	1998-03-14	VYDAJ	PREVOD NA UCET	907	22783	 	MN	41444516
905144	3085	1998-04-14	VYDAJ	PREVOD NA UCET	907	21055	 	MN	41444516
905145	3085	1998-05-14	VYDAJ	PREVOD NA UCET	907	20320	 	MN	41444516
905146	3085	1998-06-14	VYDAJ	PREVOD NA UCET	907	26999	 	MN	41444516
905147	3085	1998-07-14	VYDAJ	PREVOD NA UCET	907	21414	 	MN	41444516
905148	3085	1998-08-14	VYDAJ	PREVOD NA UCET	907	19679	 	MN	41444516
905149	3085	1998-09-14	VYDAJ	PREVOD NA UCET	907	25340	 	MN	41444516
905150	3085	1998-10-14	VYDAJ	PREVOD NA UCET	907	18016	 	MN	41444516
905151	3085	1998-11-14	VYDAJ	PREVOD NA UCET	907	23670	 	MN	41444516
905152	3085	1998-12-14	VYDAJ	PREVOD NA UCET	907	35464	 	MN	41444516
905157	3085	1997-12-07	VYDAJ	VYBER	960	29376	\N	\N	\N
905165	3085	1998-01-19	VYDAJ	VYBER	2520	28275	\N	\N	\N
905166	3085	1998-01-23	VYDAJ	VYBER	2400	25875	\N	\N	\N
905167	3085	1998-01-18	VYDAJ	VYBER	1320	33675	\N	\N	\N
905168	3085	1998-01-18	VYDAJ	VYBER	2880	30795	\N	\N	\N
905169	3085	1998-01-26	VYDAJ	VYBER	3480	22395	\N	\N	\N
905170	3085	1998-01-13	VYDAJ	VYBER	2880	35902	\N	\N	\N
905173	3085	1997-11-17	VYDAJ	VYBER	3120	45301	\N	\N	\N
905174	3085	1997-11-26	VYDAJ	VYBER	1800	43501	\N	\N	\N
905175	3085	1998-06-21	VYDAJ	VYBER	960	26039	\N	\N	\N
905191	3085	1997-11-30	VYDAJ	VYBER	15	36059	SLUZBY	\N	\N
905192	3085	1997-12-31	VYDAJ	VYBER	15	32272	SLUZBY	\N	\N
905193	3085	1998-01-31	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
905194	3085	1998-02-28	VYDAJ	VYBER	15	17180	SLUZBY	\N	\N
905195	3085	1998-03-31	VYDAJ	VYBER	15	15452	SLUZBY	\N	\N
905196	3085	1998-04-30	VYDAJ	VYBER	15	14717	SLUZBY	\N	\N
905197	3085	1998-05-31	VYDAJ	VYBER	15	15279	SLUZBY	\N	\N
905198	3085	1998-06-30	VYDAJ	VYBER	15	15811	SLUZBY	\N	\N
905199	3085	1998-07-31	VYDAJ	VYBER	15	14076	SLUZBY	\N	\N
905200	3085	1998-08-31	VYDAJ	VYBER	15	19737	SLUZBY	\N	\N
905201	3085	1998-09-30	VYDAJ	VYBER	15	12413	SLUZBY	\N	\N
905202	3085	1998-10-31	VYDAJ	VYBER	15	18067	SLUZBY	\N	\N
905203	3085	1998-11-30	VYDAJ	VYBER	15	23745	SLUZBY	\N	\N
905204	3085	1997-08-02	PRIJEM	VKLAD	4400	17266	\N	\N	\N
905205	3085	1997-09-01	VYDAJ	VYBER	100	29495	\N	\N	\N
905206	3085	1997-10-01	VYDAJ	VYBER	9500	32381	\N	\N	\N
905207	3085	1997-10-31	VYDAJ	VYBER	7700	37095	\N	\N	\N
905208	3085	1997-11-30	VYDAJ	VYBER	7600	36073	\N	\N	\N
905209	3085	1997-12-30	VYDAJ	VYBER	14700	32118	\N	\N	\N
905210	3085	1998-01-29	VYDAJ	VYBER	4300	18095	\N	\N	\N
905211	3085	1998-02-28	VYDAJ	VYBER	6700	17194	\N	\N	\N
905212	3085	1998-03-30	VYDAJ	VYBER	7400	15383	\N	\N	\N
905213	3085	1998-04-29	VYDAJ	VYBER	6400	14655	\N	\N	\N
905214	3085	1998-05-29	VYDAJ	VYBER	5100	15220	\N	\N	\N
905215	3085	1998-06-28	VYDAJ	VYBER	10300	15739	\N	\N	\N
905216	3085	1998-07-28	VYDAJ	VYBER	7400	14014	\N	\N	\N
905217	3085	1998-09-26	VYDAJ	VYBER	13000	12340	\N	\N	\N
905218	3085	1998-12-25	VYDAJ	VYBER	20800	14664	\N	\N	\N
905237	3086	1993-11-02	PRIJEM	VKLAD	800	800	\N	\N	\N
905248	3086	1993-11-08	PRIJEM	VKLAD	21078	21878	\N	\N	\N
905249	3086	1993-12-08	PRIJEM	VKLAD	31617	54565	\N	\N	\N
905250	3086	1994-01-08	PRIJEM	VKLAD	21078	60540	\N	\N	\N
905251	3086	1994-02-08	PRIJEM	VKLAD	21078	62762	\N	\N	\N
905252	3086	1994-03-08	PRIJEM	VKLAD	21078	65613	\N	\N	\N
905253	3086	1994-04-08	PRIJEM	VKLAD	21078	58901	\N	\N	\N
905254	3086	1994-05-08	PRIJEM	VKLAD	21078	59181	\N	\N	\N
905255	3086	1994-06-08	PRIJEM	VKLAD	31617	68897	\N	\N	\N
905256	3086	1994-07-08	PRIJEM	VKLAD	21078	59788	\N	\N	\N
905257	3086	1994-08-08	PRIJEM	VKLAD	21078	59150	\N	\N	\N
905258	3086	1994-09-08	PRIJEM	VKLAD	21078	58315	\N	\N	\N
905259	3086	1994-10-08	PRIJEM	VKLAD	21078	58276	\N	\N	\N
905260	3086	1994-11-08	PRIJEM	VKLAD	21078	58737	\N	\N	\N
905261	3086	1994-12-08	PRIJEM	VKLAD	31617	66138	\N	\N	\N
905262	3086	1995-01-08	PRIJEM	VKLAD	21078	53416	\N	\N	\N
905263	3086	1995-02-08	PRIJEM	VKLAD	21078	56357	\N	\N	\N
905264	3086	1995-03-08	PRIJEM	VKLAD	21078	61209	\N	\N	\N
905265	3086	1995-04-08	PRIJEM	VKLAD	21078	61972	\N	\N	\N
905266	3086	1995-05-08	PRIJEM	VKLAD	21078	63645	\N	\N	\N
905267	3086	1995-06-08	PRIJEM	VKLAD	31617	72257	\N	\N	\N
905268	3086	1995-07-08	PRIJEM	VKLAD	21078	65230	\N	\N	\N
905269	3086	1995-08-08	PRIJEM	VKLAD	21078	65312	\N	\N	\N
905270	3086	1995-09-08	PRIJEM	VKLAD	21078	67795	\N	\N	\N
905271	3086	1995-10-08	PRIJEM	VKLAD	21078	71088	\N	\N	\N
905272	3086	1995-11-08	PRIJEM	VKLAD	21078	73593	\N	\N	\N
905273	3086	1995-12-08	PRIJEM	VKLAD	31617	78136	\N	\N	\N
905274	3086	1996-01-08	PRIJEM	VKLAD	21078	71446	\N	\N	\N
905275	3086	1996-02-08	PRIJEM	VKLAD	21078	71140	\N	\N	\N
905276	3086	1996-03-08	PRIJEM	VKLAD	21078	70739	\N	\N	\N
905277	3086	1996-04-08	PRIJEM	VKLAD	21078	75040	\N	\N	\N
905278	3086	1996-05-08	PRIJEM	VKLAD	21078	75953	\N	\N	\N
905279	3086	1996-06-08	PRIJEM	VKLAD	31617	86407	\N	\N	\N
905280	3086	1996-07-08	PRIJEM	VKLAD	21078	54032	\N	\N	\N
905281	3086	1996-08-08	PRIJEM	VKLAD	21078	63472	\N	\N	\N
905282	3086	1996-09-08	PRIJEM	VKLAD	21078	70845	\N	\N	\N
905283	3086	1996-10-08	PRIJEM	VKLAD	21078	66332	\N	\N	\N
905284	3086	1996-11-08	PRIJEM	VKLAD	21078	73816	\N	\N	\N
905285	3086	1996-12-08	PRIJEM	VKLAD	31617	85955	\N	\N	\N
905286	3086	1997-01-08	PRIJEM	VKLAD	21078	79579	\N	\N	\N
905287	3086	1997-02-08	PRIJEM	VKLAD	21078	74287	\N	\N	\N
905288	3086	1997-03-08	PRIJEM	VKLAD	21078	74983	\N	\N	\N
905289	3086	1997-04-08	PRIJEM	VKLAD	21078	78592	\N	\N	\N
905290	3086	1997-05-08	PRIJEM	VKLAD	21078	83116	\N	\N	\N
905291	3086	1997-06-08	PRIJEM	VKLAD	31617	98899	\N	\N	\N
905292	3086	1997-07-08	PRIJEM	VKLAD	21078	70543	\N	\N	\N
905293	3086	1997-08-08	PRIJEM	VKLAD	21078	76535	\N	\N	\N
905294	3086	1997-09-08	PRIJEM	VKLAD	21078	80347	\N	\N	\N
905295	3086	1997-10-08	PRIJEM	VKLAD	21078	78563	\N	\N	\N
905296	3086	1997-11-08	PRIJEM	VKLAD	21078	81888	\N	\N	\N
905297	3086	1997-12-08	PRIJEM	VKLAD	31617	90452	\N	\N	\N
905298	3086	1998-01-08	PRIJEM	VKLAD	21078	86398	\N	\N	\N
905299	3086	1998-02-08	PRIJEM	VKLAD	21078	82825	\N	\N	\N
905300	3086	1998-03-08	PRIJEM	VKLAD	21078	88459	\N	\N	\N
905301	3086	1998-04-08	PRIJEM	VKLAD	21078	92413	\N	\N	\N
905302	3086	1998-05-08	PRIJEM	VKLAD	21078	83948	\N	\N	\N
905303	3086	1998-06-08	PRIJEM	VKLAD	31617	97217	\N	\N	\N
905304	3086	1998-07-08	PRIJEM	VKLAD	21078	59772	\N	\N	\N
905305	3086	1998-08-08	PRIJEM	VKLAD	21078	74942	\N	\N	\N
905306	3086	1998-09-08	PRIJEM	VKLAD	21078	81574	\N	\N	\N
905307	3086	1998-10-08	PRIJEM	VKLAD	21078	90129	\N	\N	\N
905308	3086	1998-11-08	PRIJEM	VKLAD	21078	95028	\N	\N	\N
905309	3086	1998-12-08	PRIJEM	VKLAD	31617	109688	\N	\N	\N
905325	3086	1994-04-05	VYDAJ	PREVOD NA UCET	5022	37823	SIPO	GH	59381639
905326	3086	1994-05-05	VYDAJ	PREVOD NA UCET	5022	38103	SIPO	GH	59381639
905327	3086	1994-06-05	VYDAJ	PREVOD NA UCET	5022	37280	SIPO	GH	59381639
905328	3086	1994-07-05	VYDAJ	PREVOD NA UCET	5022	38710	SIPO	GH	59381639
905329	3086	1994-08-05	VYDAJ	PREVOD NA UCET	5022	38072	SIPO	GH	59381639
905330	3086	1994-09-05	VYDAJ	PREVOD NA UCET	5022	37237	SIPO	GH	59381639
905331	3086	1994-10-05	VYDAJ	PREVOD NA UCET	5022	37198	SIPO	GH	59381639
905332	3086	1994-11-05	VYDAJ	PREVOD NA UCET	5022	37659	SIPO	GH	59381639
905333	3086	1994-12-05	VYDAJ	PREVOD NA UCET	5022	34521	SIPO	GH	59381639
905334	3086	1995-01-05	VYDAJ	PREVOD NA UCET	5022	32338	SIPO	GH	59381639
905335	3086	1995-02-05	VYDAJ	PREVOD NA UCET	5022	35279	SIPO	GH	59381639
905336	3086	1995-03-05	VYDAJ	PREVOD NA UCET	5022	40131	SIPO	GH	59381639
905337	3086	1995-04-05	VYDAJ	PREVOD NA UCET	5022	40894	SIPO	GH	59381639
905338	3086	1995-05-05	VYDAJ	PREVOD NA UCET	5022	42567	SIPO	GH	59381639
905339	3086	1995-06-05	VYDAJ	PREVOD NA UCET	5022	40640	SIPO	GH	59381639
905340	3086	1995-07-05	VYDAJ	PREVOD NA UCET	5022	44152	SIPO	GH	59381639
905341	3086	1995-08-05	VYDAJ	PREVOD NA UCET	5022	44234	SIPO	GH	59381639
905342	3086	1995-09-05	VYDAJ	PREVOD NA UCET	5022	46717	SIPO	GH	59381639
905343	3086	1995-10-05	VYDAJ	PREVOD NA UCET	5022	50010	SIPO	GH	59381639
905344	3086	1995-11-05	VYDAJ	PREVOD NA UCET	5022	52515	SIPO	GH	59381639
905345	3086	1995-12-05	VYDAJ	PREVOD NA UCET	5022	46519	SIPO	GH	59381639
905346	3086	1996-01-05	VYDAJ	PREVOD NA UCET	5022	50368	SIPO	GH	59381639
905347	3086	1996-02-05	VYDAJ	PREVOD NA UCET	5022	50062	SIPO	GH	59381639
905348	3086	1996-03-05	VYDAJ	PREVOD NA UCET	5022	49661	SIPO	GH	59381639
905349	3086	1996-04-05	VYDAJ	PREVOD NA UCET	5022	53962	SIPO	GH	59381639
905350	3086	1996-05-05	VYDAJ	PREVOD NA UCET	5022	54875	SIPO	GH	59381639
905351	3086	1996-06-05	VYDAJ	PREVOD NA UCET	5022	54790	SIPO	GH	59381639
905352	3086	1996-07-05	VYDAJ	PREVOD NA UCET	5022	32954	SIPO	GH	59381639
905353	3086	1996-08-05	VYDAJ	PREVOD NA UCET	5022	43694	SIPO	GH	59381639
905354	3086	1996-09-05	VYDAJ	PREVOD NA UCET	5022	49767	SIPO	GH	59381639
905355	3086	1996-10-05	VYDAJ	PREVOD NA UCET	5022	45254	SIPO	GH	59381639
905356	3086	1996-11-05	VYDAJ	PREVOD NA UCET	5022	52738	SIPO	GH	59381639
905357	3086	1996-12-05	VYDAJ	PREVOD NA UCET	5022	54338	SIPO	GH	59381639
905358	3086	1997-01-05	VYDAJ	PREVOD NA UCET	5022	58501	SIPO	GH	59381639
905359	3086	1997-02-05	VYDAJ	PREVOD NA UCET	5022	53209	SIPO	GH	59381639
905360	3086	1997-03-05	VYDAJ	PREVOD NA UCET	5022	53905	SIPO	GH	59381639
905361	3086	1997-04-05	VYDAJ	PREVOD NA UCET	5022	57514	SIPO	GH	59381639
905362	3086	1997-05-05	VYDAJ	PREVOD NA UCET	5022	62038	SIPO	GH	59381639
905363	3086	1997-06-05	VYDAJ	PREVOD NA UCET	5022	67282	SIPO	GH	59381639
905364	3086	1997-07-05	VYDAJ	PREVOD NA UCET	5022	49465	SIPO	GH	59381639
905365	3086	1997-08-05	VYDAJ	PREVOD NA UCET	5022	55457	SIPO	GH	59381639
905366	3086	1997-09-05	VYDAJ	PREVOD NA UCET	5022	59269	SIPO	GH	59381639
905367	3086	1997-10-05	VYDAJ	PREVOD NA UCET	5022	57485	SIPO	GH	59381639
905368	3086	1997-11-05	VYDAJ	PREVOD NA UCET	5022	64410	SIPO	GH	59381639
905369	3086	1997-12-05	VYDAJ	PREVOD NA UCET	5022	61035	SIPO	GH	59381639
905370	3086	1998-01-05	VYDAJ	PREVOD NA UCET	5022	65320	SIPO	GH	59381639
905371	3086	1998-02-05	VYDAJ	PREVOD NA UCET	5022	61747	SIPO	GH	59381639
905372	3086	1998-03-05	VYDAJ	PREVOD NA UCET	5022	67381	SIPO	GH	59381639
905373	3086	1998-04-05	VYDAJ	PREVOD NA UCET	5022	71335	SIPO	GH	59381639
905374	3086	1998-05-05	VYDAJ	PREVOD NA UCET	5022	62870	SIPO	GH	59381639
905375	3086	1998-06-05	VYDAJ	PREVOD NA UCET	5022	65600	SIPO	GH	59381639
905376	3086	1998-07-05	VYDAJ	PREVOD NA UCET	5022	38694	SIPO	GH	59381639
905377	3086	1998-08-05	VYDAJ	PREVOD NA UCET	5022	53864	SIPO	GH	59381639
905378	3086	1998-09-05	VYDAJ	PREVOD NA UCET	5022	66296	SIPO	GH	59381639
905379	3086	1998-10-05	VYDAJ	PREVOD NA UCET	5022	73651	SIPO	GH	59381639
905380	3086	1998-11-05	VYDAJ	PREVOD NA UCET	5022	85450	SIPO	GH	59381639
905381	3086	1998-12-05	VYDAJ	PREVOD NA UCET	5022	90371	SIPO	GH	59381639
905383	3086	1994-06-18	VYDAJ	VYBER	5200	63697	\N	\N	\N
905384	3086	1995-06-10	VYDAJ	VYBER	8300	61157	\N	\N	\N
905385	3086	1996-06-27	VYDAJ	VYBER	29000	37707	\N	\N	\N
905386	3086	1997-06-22	VYDAJ	VYBER	22700	54199	\N	\N	\N
905387	3086	1998-06-10	VYDAJ	VYBER	29900	43517	\N	\N	\N
905390	3086	1995-01-04	VYDAJ	VYBER	9700	37360	\N	\N	\N
905391	3086	1996-01-04	VYDAJ	VYBER	1400	55390	\N	\N	\N
905392	3086	1997-01-18	VYDAJ	VYBER	4500	57979	\N	\N	\N
905393	3086	1998-01-14	VYDAJ	VYBER	6700	66498	\N	\N	\N
905395	3086	1994-12-16	VYDAJ	VYBER	1100	65038	\N	\N	\N
905396	3086	1995-12-01	VYDAJ	VYBER	700	51541	\N	\N	\N
905397	3086	1996-12-18	VYDAJ	VYBER	1200	63255	\N	\N	\N
905398	3086	1997-12-05	VYDAJ	VYBER KARTOU	2200	58835	\N	\N	0
905399	3086	1998-12-12	VYDAJ	VYBER KARTOU	1200	108488	\N	\N	0
905408	3086	1994-03-20	VYDAJ	VYBER	2900	62713	\N	\N	\N
905409	3086	1994-12-02	VYDAJ	VYBER	4600	39543	\N	\N	\N
905410	3086	1994-08-20	VYDAJ	VYBER	600	58550	\N	\N	\N
905411	3086	1994-07-11	VYDAJ	VYBER	3500	56288	\N	\N	\N
905413	3086	1995-01-28	VYDAJ	VYBER	2500	40116	\N	\N	\N
905414	3086	1995-03-15	VYDAJ	VYBER	4800	56409	\N	\N	\N
905415	3086	1995-11-26	VYDAJ	VYBER	2000	51993	\N	\N	\N
905416	3086	1995-11-18	VYDAJ	VYBER	4100	69493	\N	\N	\N
905417	3086	1995-05-18	VYDAJ	VYBER	3400	60245	\N	\N	\N
905418	3086	1995-01-21	VYDAJ	VYBER	1100	52316	\N	\N	\N
905419	3086	1995-06-10	VYDAJ	VYBER	2800	69457	\N	\N	\N
905420	3086	1996-10-05	VYDAJ	VYBER	4800	50276	\N	\N	\N
905421	3086	1996-08-07	VYDAJ	VYBER	1300	42394	\N	\N	\N
905422	3086	1996-01-14	VYDAJ	VYBER	3200	68246	\N	\N	\N
905423	3086	1996-03-03	VYDAJ	VYBER	1900	54683	\N	\N	\N
905424	3086	1997-08-20	VYDAJ	VYBER KARTOU	3300	64035	\N	\N	0
905425	3086	1997-09-19	VYDAJ	VYBER KARTOU	3000	62247	\N	\N	0
905426	3086	1997-09-18	VYDAJ	VYBER	4800	65247	\N	\N	\N
905427	3086	1997-12-21	VYDAJ	VYBER KARTOU	1600	74752	\N	\N	0
905428	3086	1997-11-07	VYDAJ	VYBER KARTOU	3600	60810	\N	\N	0
905429	3086	1997-11-27	VYDAJ	VYBER KARTOU	2000	65788	\N	\N	0
905430	3086	1998-09-12	VYDAJ	VYBER KARTOU	3200	78374	\N	\N	0
905431	3086	1998-07-29	VYDAJ	VYBER KARTOU	1300	58672	\N	\N	0
905432	3086	1998-04-12	VYDAJ	VYBER KARTOU	3600	67613	\N	\N	0
905433	3086	1998-01-01	VYDAJ	VYBER	4700	70342	\N	\N	\N
905449	3086	1994-03-31	VYDAJ	VYBER	15	62945	SLUZBY	\N	\N
905450	3086	1994-04-30	VYDAJ	VYBER	15	59125	SLUZBY	\N	\N
905451	3086	1994-05-31	VYDAJ	VYBER	15	59402	SLUZBY	\N	\N
905452	3086	1994-06-30	VYDAJ	VYBER	15	43732	SLUZBY	\N	\N
905453	3086	1994-07-31	VYDAJ	VYBER	15	43094	SLUZBY	\N	\N
905454	3086	1994-08-31	VYDAJ	VYBER	15	42259	SLUZBY	\N	\N
905455	3086	1994-09-30	VYDAJ	VYBER	15	42220	SLUZBY	\N	\N
905456	3086	1994-10-31	VYDAJ	VYBER	15	42681	SLUZBY	\N	\N
905457	3086	1994-11-30	VYDAJ	VYBER	15	44143	SLUZBY	\N	\N
905458	3086	1994-12-31	VYDAJ	VYBER	15	47060	SLUZBY	\N	\N
905459	3086	1995-01-31	VYDAJ	VYBER	15	40301	SLUZBY	\N	\N
905460	3086	1995-02-28	VYDAJ	VYBER	15	45153	SLUZBY	\N	\N
905461	3086	1995-03-31	VYDAJ	VYBER	15	45916	SLUZBY	\N	\N
905462	3086	1995-04-30	VYDAJ	VYBER	15	47589	SLUZBY	\N	\N
905463	3086	1995-05-31	VYDAJ	VYBER	15	45662	SLUZBY	\N	\N
905464	3086	1995-06-30	VYDAJ	VYBER	15	49174	SLUZBY	\N	\N
905465	3086	1995-07-31	VYDAJ	VYBER	15	49256	SLUZBY	\N	\N
905466	3086	1995-08-31	VYDAJ	VYBER	15	51739	SLUZBY	\N	\N
905467	3086	1995-09-30	VYDAJ	VYBER	15	55032	SLUZBY	\N	\N
905468	3086	1995-10-31	VYDAJ	VYBER	15	57537	SLUZBY	\N	\N
905469	3086	1995-11-30	VYDAJ	VYBER	15	52241	SLUZBY	\N	\N
905470	3086	1995-12-31	VYDAJ	VYBER	15	56790	SLUZBY	\N	\N
905471	3086	1996-01-31	VYDAJ	VYBER	15	55084	SLUZBY	\N	\N
905472	3086	1996-02-29	VYDAJ	VYBER	15	56583	SLUZBY	\N	\N
905473	3086	1996-03-31	VYDAJ	VYBER	15	58984	SLUZBY	\N	\N
905474	3086	1996-04-30	VYDAJ	VYBER	15	59897	SLUZBY	\N	\N
905475	3086	1996-05-31	VYDAJ	VYBER	15	59812	SLUZBY	\N	\N
905476	3086	1996-06-30	VYDAJ	VYBER	15	37976	SLUZBY	\N	\N
905477	3086	1996-07-31	VYDAJ	VYBER	15	48716	SLUZBY	\N	\N
905478	3086	1996-08-31	VYDAJ	VYBER	15	54789	SLUZBY	\N	\N
905479	3086	1996-09-30	VYDAJ	VYBER	15	55076	SLUZBY	\N	\N
905480	3086	1996-10-31	VYDAJ	VYBER	15	57760	SLUZBY	\N	\N
905481	3086	1996-11-30	VYDAJ	VYBER	15	59360	SLUZBY	\N	\N
905482	3086	1996-12-31	VYDAJ	VYBER	15	63523	SLUZBY	\N	\N
905483	3086	1997-01-31	VYDAJ	VYBER	15	58231	SLUZBY	\N	\N
905484	3086	1997-02-28	VYDAJ	VYBER	15	58927	SLUZBY	\N	\N
905485	3086	1997-03-31	VYDAJ	VYBER	15	62536	SLUZBY	\N	\N
905486	3086	1997-04-30	VYDAJ	VYBER	15	67060	SLUZBY	\N	\N
905487	3086	1997-05-31	VYDAJ	VYBER	15	72304	SLUZBY	\N	\N
905488	3086	1997-06-30	VYDAJ	VYBER	15	54487	SLUZBY	\N	\N
905489	3086	1997-07-31	VYDAJ	VYBER	15	60479	SLUZBY	\N	\N
905490	3086	1997-08-31	VYDAJ	VYBER	15	64291	SLUZBY	\N	\N
905491	3086	1997-09-30	VYDAJ	VYBER	15	62507	SLUZBY	\N	\N
905492	3086	1997-10-31	VYDAJ	VYBER	15	69432	SLUZBY	\N	\N
905493	3086	1997-11-30	VYDAJ	VYBER	15	66057	SLUZBY	\N	\N
905494	3086	1997-12-31	VYDAJ	VYBER	15	75042	SLUZBY	\N	\N
905495	3086	1998-01-31	VYDAJ	VYBER	15	66769	SLUZBY	\N	\N
905496	3086	1998-02-28	VYDAJ	VYBER	15	72403	SLUZBY	\N	\N
905497	3086	1998-03-31	VYDAJ	VYBER	15	76357	SLUZBY	\N	\N
905498	3086	1998-04-30	VYDAJ	VYBER	15	67892	SLUZBY	\N	\N
905499	3086	1998-05-31	VYDAJ	VYBER	15	70622	SLUZBY	\N	\N
905500	3086	1998-06-30	VYDAJ	VYBER	15	43716	SLUZBY	\N	\N
905501	3086	1998-07-31	VYDAJ	VYBER	15	58886	SLUZBY	\N	\N
905502	3086	1998-08-31	VYDAJ	VYBER	15	71318	SLUZBY	\N	\N
905503	3086	1998-09-30	VYDAJ	VYBER	15	78673	SLUZBY	\N	\N
905504	3086	1998-10-31	VYDAJ	VYBER	15	90472	SLUZBY	\N	\N
905505	3086	1998-11-30	VYDAJ	VYBER	15	95393	SLUZBY	\N	\N
905506	3086	1993-12-02	PRIJEM	VKLAD	1000	22948	\N	\N	\N
905507	3086	1994-01-01	VYDAJ	VYBER	15300	39462	\N	\N	\N
905508	3086	1994-01-31	VYDAJ	VYBER	19100	41684	\N	\N	\N
905509	3086	1994-03-02	VYDAJ	VYBER	18400	44535	\N	\N	\N
905510	3086	1994-04-01	VYDAJ	VYBER	20100	42845	\N	\N	\N
905511	3086	1994-05-01	VYDAJ	VYBER	16000	43125	\N	\N	\N
905512	3086	1994-05-31	VYDAJ	VYBER	17100	42302	\N	\N	\N
905513	3086	1994-06-30	VYDAJ	VYBER	20200	43746	\N	\N	\N
905514	3086	1994-07-30	VYDAJ	VYBER	13400	42888	\N	\N	\N
905515	3086	1994-08-29	VYDAJ	VYBER	16500	42050	\N	\N	\N
905516	3086	1994-09-28	VYDAJ	VYBER	16300	42015	\N	\N	\N
905517	3086	1994-10-28	VYDAJ	VYBER	15800	42476	\N	\N	\N
905518	3086	1994-11-27	VYDAJ	VYBER	14800	43937	\N	\N	\N
905519	3086	1994-12-27	VYDAJ	VYBER	18200	46838	\N	\N	\N
905520	3086	1995-01-26	VYDAJ	VYBER	9700	42616	\N	\N	\N
905521	3086	1995-02-25	VYDAJ	VYBER	11400	44957	\N	\N	\N
905522	3086	1995-03-27	VYDAJ	VYBER	10700	45709	\N	\N	\N
905523	3086	1995-04-26	VYDAJ	VYBER	14600	47372	\N	\N	\N
905524	3086	1995-05-26	VYDAJ	VYBER	14800	45445	\N	\N	\N
905525	3086	1995-06-25	VYDAJ	VYBER	12200	48957	\N	\N	\N
905526	3086	1995-07-25	VYDAJ	VYBER	16200	49030	\N	\N	\N
905527	3086	1995-08-24	VYDAJ	VYBER	13800	51512	\N	\N	\N
905528	3086	1995-09-23	VYDAJ	VYBER	13000	54795	\N	\N	\N
905529	3086	1995-10-23	VYDAJ	VYBER	13800	57288	\N	\N	\N
905530	3086	1995-11-22	VYDAJ	VYBER	15500	53993	\N	\N	\N
905531	3086	1995-12-22	VYDAJ	VYBER	21600	56536	\N	\N	\N
905532	3086	1996-01-21	VYDAJ	VYBER	13400	54846	\N	\N	\N
905533	3086	1996-02-20	VYDAJ	VYBER	14800	56340	\N	\N	\N
905534	3086	1996-03-21	VYDAJ	VYBER	12000	58739	\N	\N	\N
905535	3086	1996-04-20	VYDAJ	VYBER	15400	59640	\N	\N	\N
905536	3086	1996-05-20	VYDAJ	VYBER	16400	59553	\N	\N	\N
905537	3086	1996-06-19	VYDAJ	VYBER	19700	66707	\N	\N	\N
905538	3086	1996-07-19	VYDAJ	VYBER	5500	48532	\N	\N	\N
905539	3086	1996-08-18	VYDAJ	VYBER	8900	54572	\N	\N	\N
905540	3086	1996-09-17	VYDAJ	VYBER	16000	54845	\N	\N	\N
905541	3086	1996-10-17	VYDAJ	VYBER	8800	57532	\N	\N	\N
905542	3086	1996-11-16	VYDAJ	VYBER	14700	59116	\N	\N	\N
905543	3086	1996-12-16	VYDAJ	VYBER	21500	64455	\N	\N	\N
905544	3086	1997-01-15	VYDAJ	VYBER	17100	62479	\N	\N	\N
905545	3086	1997-02-14	VYDAJ	VYBER	15600	58687	\N	\N	\N
905546	3086	1997-03-16	VYDAJ	VYBER	12700	62283	\N	\N	\N
905547	3086	1997-04-15	VYDAJ	VYBER	11800	66792	\N	\N	\N
905548	3086	1997-05-15	VYDAJ	VYBER	11100	72016	\N	\N	\N
905549	3086	1997-06-14	VYDAJ	VYBER	22000	76899	\N	\N	\N
905550	3086	1997-07-14	VYDAJ	VYBER	10300	60243	\N	\N	\N
905551	3086	1997-08-13	VYDAJ	VYBER	9200	67335	\N	\N	\N
905552	3086	1997-09-12	VYDAJ	VYBER	10300	70047	\N	\N	\N
905553	3086	1997-10-12	VYDAJ	VYBER	9400	69163	\N	\N	\N
905554	3086	1997-11-11	VYDAJ	VYBER	14100	67788	\N	\N	\N
905555	3086	1997-12-11	VYDAJ	VYBER	14100	76352	\N	\N	\N
905556	3086	1998-01-10	VYDAJ	VYBER	13200	73198	\N	\N	\N
905557	3086	1998-02-09	VYDAJ	VYBER	10700	72125	\N	\N	\N
905558	3086	1998-03-11	VYDAJ	VYBER	12400	76059	\N	\N	\N
905559	3086	1998-04-10	VYDAJ	VYBER	21200	71213	\N	\N	\N
905560	3086	1998-05-10	VYDAJ	VYBER	13600	70348	\N	\N	\N
905561	3086	1998-06-09	VYDAJ	VYBER	23800	73417	\N	\N	\N
905562	3086	1998-07-09	PRIJEM	VKLAD	200	59972	\N	\N	\N
905563	3086	1998-08-08	VYDAJ	VYBER KARTOU	3900	71042	\N	\N	0
905564	3086	1998-09-07	VYDAJ	VYBER	5800	60496	\N	\N	\N
905565	3086	1998-10-07	VYDAJ	VYBER	4600	69051	\N	\N	\N
905566	3086	1998-11-06	VYDAJ	VYBER	11500	73950	\N	\N	\N
905567	3086	1998-12-06	VYDAJ	VYBER	12300	78071	\N	\N	\N
905630	3087	1993-12-04	PRIJEM	VKLAD	600	600	\N	\N	\N
905642	3087	1993-12-13	PRIJEM	PREVOD Z UCTU	2900	3500	\N	WX	87387412
905643	3087	1994-01-13	PRIJEM	PREVOD Z UCTU	2900	6409	\N	WX	87387412
905644	3087	1994-02-13	PRIJEM	PREVOD Z UCTU	2900	9324	\N	WX	87387412
905645	3087	1994-03-13	PRIJEM	PREVOD Z UCTU	2900	12238	\N	WX	87387412
905646	3087	1994-04-13	PRIJEM	PREVOD Z UCTU	2900	15153	\N	WX	87387412
905647	3087	1994-05-13	PRIJEM	PREVOD Z UCTU	2900	16146	\N	WX	87387412
905648	3087	1994-06-13	PRIJEM	PREVOD Z UCTU	2900	16258	\N	WX	87387412
905649	3087	1994-07-13	PRIJEM	PREVOD Z UCTU	2900	15561	\N	WX	87387412
905650	3087	1994-08-13	PRIJEM	PREVOD Z UCTU	2900	16573	\N	WX	87387412
905651	3087	1994-09-13	PRIJEM	PREVOD Z UCTU	2900	17589	\N	WX	87387412
905652	3087	1994-10-13	PRIJEM	PREVOD Z UCTU	2900	18609	\N	WX	87387412
905653	3087	1994-11-13	PRIJEM	PREVOD Z UCTU	2900	18403	\N	WX	87387412
905654	3087	1994-12-13	PRIJEM	PREVOD Z UCTU	2900	17896	\N	WX	87387412
905655	3087	1995-01-13	PRIJEM	PREVOD Z UCTU	2900	17479	\N	WX	87387412
905656	3087	1995-02-13	PRIJEM	PREVOD Z UCTU	2900	15373	\N	WX	87387412
905657	3087	1995-03-13	PRIJEM	PREVOD Z UCTU	2900	14913	\N	WX	87387412
905658	3087	1995-04-13	PRIJEM	PREVOD Z UCTU	2900	15322	\N	WX	87387412
905659	3087	1995-05-13	PRIJEM	PREVOD Z UCTU	2900	16332	\N	WX	87387412
905660	3087	1995-06-13	PRIJEM	PREVOD Z UCTU	2900	16178	\N	WX	87387412
905661	3087	1995-07-13	PRIJEM	PREVOD Z UCTU	2900	17194	\N	WX	87387412
905662	3087	1995-08-13	PRIJEM	PREVOD Z UCTU	2900	17072	\N	WX	87387412
905663	3087	1995-09-13	PRIJEM	PREVOD Z UCTU	2900	18092	\N	WX	87387412
905664	3087	1995-10-13	PRIJEM	PREVOD Z UCTU	2900	19114	\N	WX	87387412
905665	3087	1995-11-13	PRIJEM	PREVOD Z UCTU	2900	18850	\N	WX	87387412
905666	3087	1995-12-13	PRIJEM	PREVOD Z UCTU	2900	19366	\N	WX	87387412
905667	3087	1996-01-13	PRIJEM	PREVOD Z UCTU	2900	20394	\N	WX	87387412
905668	3087	1996-02-13	PRIJEM	PREVOD Z UCTU	2900	19562	\N	WX	87387412
905669	3087	1996-03-13	PRIJEM	PREVOD Z UCTU	2900	20591	\N	WX	87387412
905670	3087	1996-04-13	PRIJEM	PREVOD Z UCTU	2900	20451	\N	WX	87387412
905671	3087	1996-05-13	PRIJEM	PREVOD Z UCTU	2900	20433	\N	WX	87387412
905672	3087	1996-06-13	PRIJEM	PREVOD Z UCTU	2900	20085	\N	WX	87387412
905673	3087	1996-07-13	PRIJEM	PREVOD Z UCTU	2900	19916	\N	WX	87387412
905674	3087	1996-08-13	PRIJEM	PREVOD Z UCTU	2900	20946	\N	WX	87387412
905675	3087	1996-09-13	PRIJEM	PREVOD Z UCTU	2900	21980	\N	WX	87387412
905676	3087	1996-10-13	PRIJEM	PREVOD Z UCTU	2900	22658	\N	WX	87387412
905677	3087	1996-11-13	PRIJEM	PREVOD Z UCTU	2900	21556	\N	WX	87387412
905678	3087	1996-12-13	PRIJEM	PREVOD Z UCTU	2900	19389	\N	WX	87387412
905679	3087	1997-01-13	PRIJEM	PREVOD Z UCTU	2900	19515	\N	WX	87387412
905680	3087	1997-02-13	PRIJEM	PREVOD Z UCTU	2900	19133	\N	WX	87387412
905681	3087	1997-03-13	PRIJEM	PREVOD Z UCTU	2900	18758	\N	WX	87387412
905682	3087	1997-04-13	PRIJEM	PREVOD Z UCTU	2900	19783	\N	WX	87387412
905683	3087	1997-05-13	PRIJEM	PREVOD Z UCTU	2900	20010	\N	WX	87387412
905684	3087	1997-06-13	PRIJEM	PREVOD Z UCTU	2900	17773	\N	WX	87387412
905685	3087	1997-07-13	PRIJEM	PREVOD Z UCTU	2900	18794	\N	WX	87387412
905686	3087	1997-08-13	PRIJEM	PREVOD Z UCTU	2900	19818	\N	WX	87387412
905687	3087	1997-09-13	PRIJEM	PREVOD Z UCTU	2900	17039	\N	WX	87387412
905688	3087	1997-10-13	PRIJEM	PREVOD Z UCTU	2900	17656	\N	WX	87387412
905689	3087	1997-11-13	PRIJEM	PREVOD Z UCTU	2900	15368	\N	WX	87387412
905690	3087	1997-12-13	PRIJEM	PREVOD Z UCTU	2900	16378	\N	WX	87387412
905691	3087	1998-01-13	PRIJEM	PREVOD Z UCTU	2900	16881	\N	WX	87387412
905692	3087	1998-02-13	PRIJEM	PREVOD Z UCTU	2900	17898	\N	WX	87387412
905693	3087	1998-03-13	PRIJEM	PREVOD Z UCTU	2900	18918	\N	WX	87387412
905694	3087	1998-04-13	PRIJEM	PREVOD Z UCTU	2900	19943	\N	WX	87387412
905695	3087	1998-05-13	PRIJEM	PREVOD Z UCTU	2900	20972	\N	WX	87387412
905696	3087	1998-06-13	PRIJEM	PREVOD Z UCTU	2900	21133	\N	WX	87387412
905697	3087	1998-07-13	PRIJEM	PREVOD Z UCTU	2900	22167	\N	WX	87387412
905698	3087	1998-08-13	PRIJEM	PREVOD Z UCTU	2900	23205	\N	WX	87387412
905699	3087	1998-09-13	PRIJEM	PREVOD Z UCTU	2900	24248	\N	WX	87387412
905700	3087	1998-10-13	PRIJEM	PREVOD Z UCTU	2900	24964	\N	WX	87387412
905701	3087	1998-11-13	PRIJEM	PREVOD Z UCTU	2900	25203	\N	WX	87387412
905702	3087	1998-12-13	PRIJEM	PREVOD Z UCTU	2900	26255	\N	WX	87387412
905719	3087	1994-05-08	VYDAJ	PREVOD NA UCET	845	13246	\N	WX	48730450
905720	3087	1994-06-08	VYDAJ	PREVOD NA UCET	845	13358	\N	WX	48730450
905721	3087	1994-07-08	VYDAJ	PREVOD NA UCET	845	12661	\N	WX	48730450
905722	3087	1994-08-08	VYDAJ	PREVOD NA UCET	845	13673	\N	WX	48730450
905723	3087	1994-09-08	VYDAJ	PREVOD NA UCET	845	14689	\N	WX	48730450
905724	3087	1994-10-08	VYDAJ	PREVOD NA UCET	845	15709	\N	WX	48730450
905725	3087	1994-11-08	VYDAJ	PREVOD NA UCET	845	15503	\N	WX	48730450
905726	3087	1994-12-08	VYDAJ	PREVOD NA UCET	845	14996	\N	WX	48730450
905727	3087	1995-01-08	VYDAJ	PREVOD NA UCET	845	14579	\N	WX	48730450
905728	3087	1995-02-08	VYDAJ	PREVOD NA UCET	845	12473	\N	WX	48730450
905729	3087	1995-03-08	VYDAJ	PREVOD NA UCET	845	12013	\N	WX	48730450
905730	3087	1995-04-08	VYDAJ	PREVOD NA UCET	845	12422	\N	WX	48730450
905731	3087	1995-05-08	VYDAJ	PREVOD NA UCET	845	13432	\N	WX	48730450
905732	3087	1995-06-08	VYDAJ	PREVOD NA UCET	845	14448	\N	WX	48730450
905733	3087	1995-07-08	VYDAJ	PREVOD NA UCET	845	14294	\N	WX	48730450
905734	3087	1995-08-08	VYDAJ	PREVOD NA UCET	845	15312	\N	WX	48730450
905735	3087	1995-09-08	VYDAJ	PREVOD NA UCET	845	15192	\N	WX	48730450
905736	3087	1995-10-08	VYDAJ	PREVOD NA UCET	845	16214	\N	WX	48730450
905737	3087	1995-11-08	VYDAJ	PREVOD NA UCET	845	15950	\N	WX	48730450
905738	3087	1995-12-08	VYDAJ	PREVOD NA UCET	845	16976	\N	WX	48730450
905739	3087	1996-01-08	VYDAJ	PREVOD NA UCET	845	17494	\N	WX	48730450
905740	3087	1996-02-08	VYDAJ	PREVOD NA UCET	845	16662	\N	WX	48730450
905741	3087	1996-03-08	VYDAJ	PREVOD NA UCET	845	17691	\N	WX	48730450
905742	3087	1996-04-08	VYDAJ	PREVOD NA UCET	845	17551	\N	WX	48730450
905743	3087	1996-05-08	VYDAJ	PREVOD NA UCET	845	17533	\N	WX	48730450
905744	3087	1996-06-08	VYDAJ	PREVOD NA UCET	845	18565	\N	WX	48730450
905745	3087	1996-07-08	VYDAJ	PREVOD NA UCET	845	17016	\N	WX	48730450
905746	3087	1996-08-08	VYDAJ	PREVOD NA UCET	845	18046	\N	WX	48730450
905747	3087	1996-09-08	VYDAJ	PREVOD NA UCET	845	19080	\N	WX	48730450
905748	3087	1996-10-08	VYDAJ	PREVOD NA UCET	845	19758	\N	WX	48730450
905749	3087	1996-11-08	VYDAJ	PREVOD NA UCET	845	18656	\N	WX	48730450
905750	3087	1996-12-08	VYDAJ	PREVOD NA UCET	845	16489	\N	WX	48730450
905751	3087	1997-01-08	VYDAJ	PREVOD NA UCET	845	16615	\N	WX	48730450
905752	3087	1997-02-08	VYDAJ	PREVOD NA UCET	845	17643	\N	WX	48730450
905753	3087	1997-03-08	VYDAJ	PREVOD NA UCET	845	15858	\N	WX	48730450
905754	3087	1997-04-08	VYDAJ	PREVOD NA UCET	845	16883	\N	WX	48730450
905755	3087	1997-05-08	VYDAJ	PREVOD NA UCET	845	17110	\N	WX	48730450
905756	3087	1997-06-08	VYDAJ	PREVOD NA UCET	845	14873	\N	WX	48730450
905757	3087	1997-07-08	VYDAJ	PREVOD NA UCET	845	15894	\N	WX	48730450
905758	3087	1997-08-08	VYDAJ	PREVOD NA UCET	845	16918	\N	WX	48730450
905759	3087	1997-09-08	VYDAJ	PREVOD NA UCET	845	14139	\N	WX	48730450
905760	3087	1997-10-08	VYDAJ	PREVOD NA UCET	845	14756	\N	WX	48730450
905761	3087	1997-11-08	VYDAJ	PREVOD NA UCET	845	12468	\N	WX	48730450
905762	3087	1997-12-08	VYDAJ	PREVOD NA UCET	845	13478	\N	WX	48730450
905763	3087	1998-01-08	VYDAJ	PREVOD NA UCET	845	13981	\N	WX	48730450
905764	3087	1998-02-08	VYDAJ	PREVOD NA UCET	845	14998	\N	WX	48730450
905765	3087	1998-03-08	VYDAJ	PREVOD NA UCET	845	16018	\N	WX	48730450
905766	3087	1998-04-08	VYDAJ	PREVOD NA UCET	845	17043	\N	WX	48730450
905767	3087	1998-05-08	VYDAJ	PREVOD NA UCET	845	18072	\N	WX	48730450
905768	3087	1998-06-08	VYDAJ	PREVOD NA UCET	845	18233	\N	WX	48730450
905769	3087	1998-07-08	VYDAJ	PREVOD NA UCET	845	19267	\N	WX	48730450
905770	3087	1998-08-08	VYDAJ	PREVOD NA UCET	845	20305	\N	WX	48730450
905771	3087	1998-09-08	VYDAJ	PREVOD NA UCET	845	21348	\N	WX	48730450
905772	3087	1998-10-08	VYDAJ	PREVOD NA UCET	845	22064	\N	WX	48730450
905773	3087	1998-11-08	VYDAJ	PREVOD NA UCET	845	23113	\N	WX	48730450
905774	3087	1998-12-08	VYDAJ	PREVOD NA UCET	845	23355	\N	WX	48730450
905791	3087	1994-05-07	VYDAJ	PREVOD NA UCET	395	14091	\N	MN	59350305
905792	3087	1994-06-07	VYDAJ	PREVOD NA UCET	395	14203	\N	MN	59350305
905793	3087	1994-07-07	VYDAJ	PREVOD NA UCET	395	13506	\N	MN	59350305
905794	3087	1994-08-07	VYDAJ	PREVOD NA UCET	395	14518	\N	MN	59350305
905795	3087	1994-09-07	VYDAJ	PREVOD NA UCET	395	15534	\N	MN	59350305
905796	3087	1994-10-07	VYDAJ	PREVOD NA UCET	395	16554	\N	MN	59350305
905797	3087	1994-11-07	VYDAJ	PREVOD NA UCET	395	16348	\N	MN	59350305
905798	3087	1994-12-07	VYDAJ	PREVOD NA UCET	395	15841	\N	MN	59350305
905799	3087	1995-01-07	VYDAJ	PREVOD NA UCET	395	15424	\N	MN	59350305
905800	3087	1995-02-07	VYDAJ	PREVOD NA UCET	395	13318	\N	MN	59350305
905801	3087	1995-03-07	VYDAJ	PREVOD NA UCET	395	12858	\N	MN	59350305
905802	3087	1995-04-07	VYDAJ	PREVOD NA UCET	395	13267	\N	MN	59350305
905803	3087	1995-05-07	VYDAJ	PREVOD NA UCET	395	14277	\N	MN	59350305
905804	3087	1995-06-07	VYDAJ	PREVOD NA UCET	395	15293	\N	MN	59350305
905805	3087	1995-07-07	VYDAJ	PREVOD NA UCET	395	15139	\N	MN	59350305
905806	3087	1995-08-07	VYDAJ	PREVOD NA UCET	395	16157	\N	MN	59350305
905807	3087	1995-09-07	VYDAJ	PREVOD NA UCET	395	16037	\N	MN	59350305
905808	3087	1995-10-07	VYDAJ	PREVOD NA UCET	395	17059	\N	MN	59350305
905809	3087	1995-11-07	VYDAJ	PREVOD NA UCET	395	16795	\N	MN	59350305
905810	3087	1995-12-07	VYDAJ	PREVOD NA UCET	395	17821	\N	MN	59350305
905811	3087	1996-01-07	VYDAJ	PREVOD NA UCET	395	18339	\N	MN	59350305
905812	3087	1996-02-07	VYDAJ	PREVOD NA UCET	395	17507	\N	MN	59350305
905813	3087	1996-03-07	VYDAJ	PREVOD NA UCET	395	18536	\N	MN	59350305
905814	3087	1996-04-07	VYDAJ	PREVOD NA UCET	395	18396	\N	MN	59350305
905815	3087	1996-05-07	VYDAJ	PREVOD NA UCET	395	18378	\N	MN	59350305
905816	3087	1996-06-07	VYDAJ	PREVOD NA UCET	395	19410	\N	MN	59350305
905817	3087	1996-07-07	VYDAJ	PREVOD NA UCET	395	17861	\N	MN	59350305
905818	3087	1996-08-07	VYDAJ	PREVOD NA UCET	395	18891	\N	MN	59350305
905819	3087	1996-09-07	VYDAJ	PREVOD NA UCET	395	19925	\N	MN	59350305
905820	3087	1996-10-07	VYDAJ	PREVOD NA UCET	395	20603	\N	MN	59350305
905821	3087	1996-11-07	VYDAJ	PREVOD NA UCET	395	19501	\N	MN	59350305
905822	3087	1996-12-07	VYDAJ	PREVOD NA UCET	395	17334	\N	MN	59350305
905823	3087	1997-01-07	VYDAJ	PREVOD NA UCET	395	17460	\N	MN	59350305
905824	3087	1997-02-07	VYDAJ	PREVOD NA UCET	395	18488	\N	MN	59350305
905825	3087	1997-03-07	VYDAJ	PREVOD NA UCET	395	16703	\N	MN	59350305
905826	3087	1997-04-07	VYDAJ	PREVOD NA UCET	395	17728	\N	MN	59350305
905827	3087	1997-05-07	VYDAJ	PREVOD NA UCET	395	17955	\N	MN	59350305
905828	3087	1997-06-07	VYDAJ	PREVOD NA UCET	395	15718	\N	MN	59350305
905829	3087	1997-07-07	VYDAJ	PREVOD NA UCET	395	16739	\N	MN	59350305
905830	3087	1997-08-07	VYDAJ	PREVOD NA UCET	395	17763	\N	MN	59350305
905831	3087	1997-09-07	VYDAJ	PREVOD NA UCET	395	14984	\N	MN	59350305
905832	3087	1997-10-07	VYDAJ	PREVOD NA UCET	395	15601	\N	MN	59350305
905833	3087	1997-11-07	VYDAJ	PREVOD NA UCET	395	13313	\N	MN	59350305
905834	3087	1997-12-07	VYDAJ	PREVOD NA UCET	395	14323	\N	MN	59350305
905835	3087	1998-01-07	VYDAJ	PREVOD NA UCET	395	14826	\N	MN	59350305
905836	3087	1998-02-07	VYDAJ	PREVOD NA UCET	395	15843	\N	MN	59350305
905837	3087	1998-03-07	VYDAJ	PREVOD NA UCET	395	16863	\N	MN	59350305
905838	3087	1998-04-07	VYDAJ	PREVOD NA UCET	395	17888	\N	MN	59350305
905839	3087	1998-05-07	VYDAJ	PREVOD NA UCET	395	18917	\N	MN	59350305
905840	3087	1998-06-07	VYDAJ	PREVOD NA UCET	395	19078	\N	MN	59350305
905841	3087	1998-07-07	VYDAJ	PREVOD NA UCET	395	20112	\N	MN	59350305
905842	3087	1998-08-07	VYDAJ	PREVOD NA UCET	395	21150	\N	MN	59350305
905843	3087	1998-09-07	VYDAJ	PREVOD NA UCET	395	22193	\N	MN	59350305
905844	3087	1998-10-07	VYDAJ	PREVOD NA UCET	395	22909	\N	MN	59350305
905845	3087	1998-11-07	VYDAJ	PREVOD NA UCET	395	23958	\N	MN	59350305
905846	3087	1998-12-07	VYDAJ	PREVOD NA UCET	395	24200	\N	MN	59350305
905862	3087	1994-04-14	VYDAJ	PREVOD NA UCET	693	14460	\N	GH	32416212
905863	3087	1994-05-14	VYDAJ	PREVOD NA UCET	693	14553	\N	GH	32416212
905864	3087	1994-06-14	VYDAJ	PREVOD NA UCET	693	15565	\N	GH	32416212
905865	3087	1994-07-14	VYDAJ	PREVOD NA UCET	693	14868	\N	GH	32416212
905866	3087	1994-08-14	VYDAJ	PREVOD NA UCET	693	15880	\N	GH	32416212
905867	3087	1994-09-14	VYDAJ	PREVOD NA UCET	693	16896	\N	GH	32416212
905868	3087	1994-10-14	VYDAJ	PREVOD NA UCET	693	17916	\N	GH	32416212
905869	3087	1994-11-14	VYDAJ	PREVOD NA UCET	693	17710	\N	GH	32416212
905870	3087	1994-12-14	VYDAJ	PREVOD NA UCET	693	17203	\N	GH	32416212
905871	3087	1995-01-14	VYDAJ	PREVOD NA UCET	693	16786	\N	GH	32416212
905872	3087	1995-02-14	VYDAJ	PREVOD NA UCET	693	14680	\N	GH	32416212
905873	3087	1995-03-14	VYDAJ	PREVOD NA UCET	693	14220	\N	GH	32416212
905874	3087	1995-04-14	VYDAJ	PREVOD NA UCET	693	14629	\N	GH	32416212
905875	3087	1995-05-14	VYDAJ	PREVOD NA UCET	693	15639	\N	GH	32416212
905876	3087	1995-06-14	VYDAJ	PREVOD NA UCET	693	15485	\N	GH	32416212
905877	3087	1995-07-14	VYDAJ	PREVOD NA UCET	693	16501	\N	GH	32416212
905878	3087	1995-08-14	VYDAJ	PREVOD NA UCET	693	16379	\N	GH	32416212
905879	3087	1995-09-14	VYDAJ	PREVOD NA UCET	693	17399	\N	GH	32416212
905880	3087	1995-10-14	VYDAJ	PREVOD NA UCET	693	18421	\N	GH	32416212
905881	3087	1995-11-14	VYDAJ	PREVOD NA UCET	693	18157	\N	GH	32416212
905882	3087	1995-12-14	VYDAJ	PREVOD NA UCET	693	18673	\N	GH	32416212
905883	3087	1996-01-14	VYDAJ	PREVOD NA UCET	693	19701	\N	GH	32416212
905884	3087	1996-02-14	VYDAJ	PREVOD NA UCET	693	18869	\N	GH	32416212
905885	3087	1996-03-14	VYDAJ	PREVOD NA UCET	693	19898	\N	GH	32416212
905886	3087	1996-04-14	VYDAJ	PREVOD NA UCET	693	19758	\N	GH	32416212
905887	3087	1996-05-14	VYDAJ	PREVOD NA UCET	693	19740	\N	GH	32416212
905888	3087	1996-06-14	VYDAJ	PREVOD NA UCET	693	19392	\N	GH	32416212
905889	3087	1996-07-14	VYDAJ	PREVOD NA UCET	693	19223	\N	GH	32416212
905890	3087	1996-08-14	VYDAJ	PREVOD NA UCET	693	20253	\N	GH	32416212
905891	3087	1996-09-14	VYDAJ	PREVOD NA UCET	693	21287	\N	GH	32416212
905892	3087	1996-10-14	VYDAJ	PREVOD NA UCET	693	21965	\N	GH	32416212
905893	3087	1996-11-14	VYDAJ	PREVOD NA UCET	693	20863	\N	GH	32416212
905894	3087	1996-12-14	VYDAJ	PREVOD NA UCET	693	18696	\N	GH	32416212
905895	3087	1997-01-14	VYDAJ	PREVOD NA UCET	693	18822	\N	GH	32416212
905896	3087	1997-02-14	VYDAJ	PREVOD NA UCET	693	18440	\N	GH	32416212
905897	3087	1997-03-14	VYDAJ	PREVOD NA UCET	693	18065	\N	GH	32416212
905898	3087	1997-04-14	VYDAJ	PREVOD NA UCET	693	19090	\N	GH	32416212
905899	3087	1997-05-14	VYDAJ	PREVOD NA UCET	693	19317	\N	GH	32416212
905900	3087	1997-06-14	VYDAJ	PREVOD NA UCET	693	17080	\N	GH	32416212
905901	3087	1997-07-14	VYDAJ	PREVOD NA UCET	693	18101	\N	GH	32416212
905902	3087	1997-08-14	VYDAJ	PREVOD NA UCET	693	19125	\N	GH	32416212
905903	3087	1997-09-14	VYDAJ	PREVOD NA UCET	693	16346	\N	GH	32416212
905904	3087	1997-10-14	VYDAJ	PREVOD NA UCET	693	16963	\N	GH	32416212
905905	3087	1997-11-14	VYDAJ	PREVOD NA UCET	693	14675	\N	GH	32416212
905906	3087	1997-12-14	VYDAJ	PREVOD NA UCET	693	15685	\N	GH	32416212
905907	3087	1998-01-14	VYDAJ	PREVOD NA UCET	693	16188	\N	GH	32416212
905908	3087	1998-02-14	VYDAJ	PREVOD NA UCET	693	17205	\N	GH	32416212
905909	3087	1998-03-14	VYDAJ	PREVOD NA UCET	693	18225	\N	GH	32416212
905910	3087	1998-04-14	VYDAJ	PREVOD NA UCET	693	19250	\N	GH	32416212
905911	3087	1998-05-14	VYDAJ	PREVOD NA UCET	693	20279	\N	GH	32416212
905912	3087	1998-06-14	VYDAJ	PREVOD NA UCET	693	20440	\N	GH	32416212
905913	3087	1998-07-14	VYDAJ	PREVOD NA UCET	693	21474	\N	GH	32416212
905914	3087	1998-08-14	VYDAJ	PREVOD NA UCET	693	22512	\N	GH	32416212
905915	3087	1998-09-14	VYDAJ	PREVOD NA UCET	693	23555	\N	GH	32416212
905916	3087	1998-10-14	VYDAJ	PREVOD NA UCET	693	24271	\N	GH	32416212
905917	3087	1998-11-14	VYDAJ	PREVOD NA UCET	693	24510	\N	GH	32416212
905918	3087	1998-12-14	VYDAJ	PREVOD NA UCET	693	25562	\N	GH	32416212
905920	3087	1994-06-23	VYDAJ	VYBER	1710	13855	\N	\N	\N
905921	3087	1995-06-11	VYDAJ	VYBER	1170	13278	\N	\N	\N
905922	3087	1996-06-10	VYDAJ	VYBER	1380	17185	\N	\N	\N
905927	3087	1995-01-16	VYDAJ	VYBER	2880	13906	\N	\N	\N
905928	3087	1996-01-17	VYDAJ	VYBER	1860	17841	\N	\N	\N
905932	3087	1994-12-24	VYDAJ	VYBER	540	16663	\N	\N	\N
905933	3087	1995-12-08	VYDAJ	VYBER	510	16466	\N	\N	\N
905934	3087	1996-12-05	VYDAJ	VYBER	630	17729	\N	\N	\N
905936	3087	1998-12-14	VYDAJ	VYBER	300	25262	\N	\N	\N
905940	3087	1994-12-03	VYDAJ	VYBER	1350	16236	\N	\N	\N
905942	3087	1994-10-27	VYDAJ	VYBER	750	16686	\N	\N	\N
905943	3087	1994-05-13	VYDAJ	VYBER	900	15246	\N	\N	\N
905944	3087	1994-11-24	VYDAJ	VYBER	180	17530	\N	\N	\N
905945	3087	1994-10-18	VYDAJ	VYBER	480	17436	\N	\N	\N
905947	3087	1995-10-29	VYDAJ	VYBER	1290	17131	\N	\N	\N
905948	3087	1995-02-23	VYDAJ	VYBER	510	14170	\N	\N	\N
905949	3087	1995-08-09	VYDAJ	VYBER	1140	14172	\N	\N	\N
905950	3087	1995-01-28	VYDAJ	VYBER	240	13666	\N	\N	\N
905951	3087	1995-02-25	VYDAJ	VYBER	960	13210	\N	\N	\N
905952	3087	1995-01-01	VYDAJ	VYBER	900	15819	\N	\N	\N
905953	3087	1995-03-24	VYDAJ	VYBER	600	13620	\N	\N	\N
905954	3087	1996-06-21	VYDAJ	VYBER	780	18612	\N	\N	\N
905955	3087	1996-12-05	VYDAJ	VYBER	570	18359	\N	\N	\N
905956	3087	1996-06-26	VYDAJ	VYBER	420	18192	\N	\N	\N
905957	3087	1996-10-28	VYDAJ	VYBER	540	19825	\N	\N	\N
905958	3087	1996-05-05	VYDAJ	VYBER	1050	18773	\N	\N	\N
905959	3087	1996-09-19	VYDAJ	VYBER	360	20927	\N	\N	\N
905960	3087	1996-03-15	VYDAJ	VYBER	1170	18728	\N	\N	\N
905961	3087	1997-05-17	VYDAJ	VYBER	660	18657	\N	\N	\N
905962	3087	1997-02-10	VYDAJ	VYBER	1410	16233	\N	\N	\N
905965	3087	1997-12-21	VYDAJ	VYBER	510	15175	\N	\N	\N
905967	3087	1998-11-11	VYDAJ	VYBER	810	22303	\N	\N	\N
905968	3087	1998-09-15	VYDAJ	VYBER	330	23225	\N	\N	\N
905969	3087	1998-05-17	VYDAJ	VYBER	870	19409	\N	\N	\N
905986	3087	1994-04-30	VYDAJ	VYBER	15	14486	SLUZBY	\N	\N
905987	3087	1994-05-31	VYDAJ	VYBER	15	14598	SLUZBY	\N	\N
905988	3087	1994-06-30	VYDAJ	VYBER	15	13901	SLUZBY	\N	\N
905989	3087	1994-07-31	VYDAJ	VYBER	15	14913	SLUZBY	\N	\N
905990	3087	1994-08-31	VYDAJ	VYBER	15	15929	SLUZBY	\N	\N
905991	3087	1994-09-30	VYDAJ	VYBER	15	16949	SLUZBY	\N	\N
905992	3087	1994-10-31	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
905993	3087	1994-11-30	VYDAJ	VYBER	15	17586	SLUZBY	\N	\N
905994	3087	1994-12-31	VYDAJ	VYBER	15	16719	SLUZBY	\N	\N
905995	3087	1995-01-31	VYDAJ	VYBER	15	13713	SLUZBY	\N	\N
905996	3087	1995-02-28	VYDAJ	VYBER	15	13253	SLUZBY	\N	\N
905997	3087	1995-03-31	VYDAJ	VYBER	15	13662	SLUZBY	\N	\N
905998	3087	1995-04-30	VYDAJ	VYBER	15	14672	SLUZBY	\N	\N
905999	3087	1995-05-31	VYDAJ	VYBER	15	15688	SLUZBY	\N	\N
906000	3087	1995-06-30	VYDAJ	VYBER	15	15534	SLUZBY	\N	\N
906001	3087	1995-07-31	VYDAJ	VYBER	15	16552	SLUZBY	\N	\N
906002	3087	1995-08-31	VYDAJ	VYBER	15	16432	SLUZBY	\N	\N
906003	3087	1995-09-30	VYDAJ	VYBER	15	17454	SLUZBY	\N	\N
906004	3087	1995-10-31	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
906005	3087	1995-11-30	VYDAJ	VYBER	15	18216	SLUZBY	\N	\N
906006	3087	1995-12-31	VYDAJ	VYBER	15	18734	SLUZBY	\N	\N
906007	3087	1996-01-31	VYDAJ	VYBER	15	17902	SLUZBY	\N	\N
906008	3087	1996-02-29	VYDAJ	VYBER	15	18931	SLUZBY	\N	\N
906009	3087	1996-03-31	VYDAJ	VYBER	15	18791	SLUZBY	\N	\N
906010	3087	1996-04-30	VYDAJ	VYBER	15	19823	SLUZBY	\N	\N
906011	3087	1996-05-31	VYDAJ	VYBER	15	19805	SLUZBY	\N	\N
906012	3087	1996-06-30	VYDAJ	VYBER	15	18256	SLUZBY	\N	\N
906013	3087	1996-07-31	VYDAJ	VYBER	15	19286	SLUZBY	\N	\N
906014	3087	1996-08-31	VYDAJ	VYBER	15	20320	SLUZBY	\N	\N
906015	3087	1996-09-30	VYDAJ	VYBER	15	20998	SLUZBY	\N	\N
906016	3087	1996-10-31	VYDAJ	VYBER	15	19896	SLUZBY	\N	\N
906017	3087	1996-11-30	VYDAJ	VYBER	15	18929	SLUZBY	\N	\N
906018	3087	1996-12-31	VYDAJ	VYBER	15	17855	SLUZBY	\N	\N
906019	3087	1997-01-31	VYDAJ	VYBER	15	18883	SLUZBY	\N	\N
906020	3087	1997-02-28	VYDAJ	VYBER	15	17098	SLUZBY	\N	\N
906021	3087	1997-03-31	VYDAJ	VYBER	15	18123	SLUZBY	\N	\N
906022	3087	1997-04-30	VYDAJ	VYBER	15	18350	SLUZBY	\N	\N
906023	3087	1997-05-31	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
906024	3087	1997-06-30	VYDAJ	VYBER	15	17134	SLUZBY	\N	\N
906025	3087	1997-07-31	VYDAJ	VYBER	15	18158	SLUZBY	\N	\N
906026	3087	1997-08-31	VYDAJ	VYBER	15	15379	SLUZBY	\N	\N
906027	3087	1997-09-30	VYDAJ	VYBER	15	15996	SLUZBY	\N	\N
906028	3087	1997-10-31	VYDAJ	VYBER	15	13708	SLUZBY	\N	\N
906029	3087	1997-11-30	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
906030	3087	1997-12-31	VYDAJ	VYBER	15	15221	SLUZBY	\N	\N
906031	3087	1998-01-31	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
906032	3087	1998-02-28	VYDAJ	VYBER	15	17258	SLUZBY	\N	\N
906033	3087	1998-03-31	VYDAJ	VYBER	15	18283	SLUZBY	\N	\N
906034	3087	1998-04-30	VYDAJ	VYBER	15	19312	SLUZBY	\N	\N
906035	3087	1998-05-31	VYDAJ	VYBER	15	19473	SLUZBY	\N	\N
906036	3087	1998-06-30	VYDAJ	VYBER	15	20507	SLUZBY	\N	\N
906037	3087	1998-07-31	VYDAJ	VYBER	15	21545	SLUZBY	\N	\N
906038	3087	1998-08-31	VYDAJ	VYBER	15	22588	SLUZBY	\N	\N
906039	3087	1998-09-30	VYDAJ	VYBER	15	23304	SLUZBY	\N	\N
906040	3087	1998-10-31	VYDAJ	VYBER	15	24353	SLUZBY	\N	\N
906041	3087	1998-11-30	VYDAJ	VYBER	15	24595	SLUZBY	\N	\N
906042	3087	1996-10-19	VYDAJ	VYBER	1600	20365	\N	\N	\N
906043	3087	1996-11-18	VYDAJ	VYBER	2000	18863	\N	\N	\N
906044	3087	1996-12-18	VYDAJ	VYBER	900	17796	\N	\N	\N
906045	3087	1997-02-16	VYDAJ	VYBER	1400	17040	\N	\N	\N
906046	3087	1997-04-17	VYDAJ	VYBER	800	18290	\N	\N	\N
906047	3087	1997-05-17	VYDAJ	VYBER	2600	16057	\N	\N	\N
906048	3087	1997-08-15	VYDAJ	VYBER	3800	15325	\N	\N	\N
906049	3087	1997-09-14	VYDAJ	VYBER	400	15946	\N	\N	\N
906050	3087	1997-10-14	VYDAJ	VYBER	3300	13663	\N	\N	\N
906112	3088	1996-03-08	PRIJEM	VKLAD	600	600	\N	\N	\N
906116	3088	1996-04-07	PRIJEM	VKLAD	22765	23365	\N	\N	\N
906117	3088	1996-05-07	PRIJEM	VKLAD	22765	43700	\N	\N	\N
906118	3088	1996-06-07	PRIJEM	VKLAD	34148	57767	\N	\N	\N
906119	3088	1996-07-07	PRIJEM	VKLAD	22765	60951	\N	\N	\N
906120	3088	1996-08-07	PRIJEM	VKLAD	22765	63267	\N	\N	\N
906121	3088	1996-09-07	PRIJEM	VKLAD	22765	59197	\N	\N	\N
906122	3088	1996-10-07	PRIJEM	VKLAD	22765	60211	\N	\N	\N
906123	3088	1996-11-07	PRIJEM	VKLAD	22765	55925	\N	\N	\N
906124	3088	1996-12-07	PRIJEM	VKLAD	34148	65181	\N	\N	\N
906125	3088	1997-01-07	PRIJEM	VKLAD	22765	56859	\N	\N	\N
906126	3088	1997-02-07	PRIJEM	VKLAD	22765	54566	\N	\N	\N
906127	3088	1997-03-07	PRIJEM	VKLAD	22765	58128	\N	\N	\N
906128	3088	1997-04-07	PRIJEM	VKLAD	22765	58629	\N	\N	\N
906129	3088	1997-05-07	PRIJEM	VKLAD	22765	57137	\N	\N	\N
906130	3088	1997-06-07	PRIJEM	VKLAD	34148	68422	\N	\N	\N
906131	3088	1997-07-07	PRIJEM	VKLAD	22765	47442	\N	\N	\N
906132	3088	1997-08-07	PRIJEM	VKLAD	22765	53399	\N	\N	\N
906133	3088	1997-09-07	PRIJEM	VKLAD	22765	53169	\N	\N	\N
906134	3088	1997-10-07	PRIJEM	VKLAD	22765	50921	\N	\N	\N
906135	3088	1997-11-07	PRIJEM	VKLAD	22765	47759	\N	\N	\N
906136	3088	1997-12-07	PRIJEM	VKLAD	34148	58270	\N	\N	\N
906137	3088	1998-01-07	PRIJEM	VKLAD	22765	44216	\N	\N	\N
906138	3088	1998-02-07	PRIJEM	VKLAD	22765	42126	\N	\N	\N
906139	3088	1998-03-07	PRIJEM	VKLAD	22765	46430	\N	\N	\N
906140	3088	1998-04-07	PRIJEM	VKLAD	22765	47249	\N	\N	\N
906141	3088	1998-05-07	PRIJEM	VKLAD	22765	50974	\N	\N	\N
906142	3088	1998-06-07	PRIJEM	VKLAD	34148	59863	\N	\N	\N
906143	3088	1998-07-07	PRIJEM	VKLAD	22765	40187	\N	\N	\N
906144	3088	1998-08-07	PRIJEM	VKLAD	22765	50085	\N	\N	\N
906145	3088	1998-09-07	PRIJEM	VKLAD	22765	53617	\N	\N	\N
906146	3088	1998-10-07	PRIJEM	VKLAD	22765	59272	\N	\N	\N
906147	3088	1998-11-07	PRIJEM	VKLAD	22765	62641	\N	\N	\N
906148	3088	1998-12-07	PRIJEM	VKLAD	34148	71278	\N	\N	\N
906156	3088	1996-08-11	VYDAJ	PREVOD NA UCET	5866	57401	SIPO	IJ	76251017
906157	3088	1996-09-11	VYDAJ	PREVOD NA UCET	5866	53331	SIPO	IJ	76251017
906158	3088	1996-10-11	VYDAJ	PREVOD NA UCET	5866	54345	SIPO	IJ	76251017
906159	3088	1996-11-11	VYDAJ	PREVOD NA UCET	5866	50059	SIPO	IJ	76251017
906160	3088	1996-12-11	VYDAJ	PREVOD NA UCET	5866	59315	SIPO	IJ	76251017
906161	3088	1997-01-11	VYDAJ	PREVOD NA UCET	5866	49673	SIPO	IJ	76251017
906162	3088	1997-02-11	VYDAJ	PREVOD NA UCET	5866	46780	SIPO	IJ	76251017
906163	3088	1997-03-11	VYDAJ	PREVOD NA UCET	5866	52262	SIPO	IJ	76251017
906164	3088	1997-04-11	VYDAJ	PREVOD NA UCET	5866	52763	SIPO	IJ	76251017
906165	3088	1997-05-11	VYDAJ	PREVOD NA UCET	5866	51271	SIPO	IJ	76251017
906166	3088	1997-06-11	VYDAJ	PREVOD NA UCET	5866	62556	SIPO	IJ	76251017
906167	3088	1997-07-11	VYDAJ	PREVOD NA UCET	5866	41576	SIPO	IJ	76251017
906168	3088	1997-08-11	VYDAJ	PREVOD NA UCET	5866	47533	SIPO	IJ	76251017
906169	3088	1997-09-11	VYDAJ	PREVOD NA UCET	5866	47303	SIPO	IJ	76251017
906170	3088	1997-10-11	VYDAJ	PREVOD NA UCET	5866	45055	SIPO	IJ	76251017
906171	3088	1997-11-11	VYDAJ	PREVOD NA UCET	5866	41893	SIPO	IJ	76251017
906172	3088	1997-12-11	VYDAJ	PREVOD NA UCET	5866	47604	SIPO	IJ	76251017
906173	3088	1998-01-11	VYDAJ	PREVOD NA UCET	5866	36850	SIPO	IJ	76251017
906174	3088	1998-02-11	VYDAJ	PREVOD NA UCET	5866	36260	SIPO	IJ	76251017
906175	3088	1998-03-11	VYDAJ	PREVOD NA UCET	5866	40564	SIPO	IJ	76251017
906176	3088	1998-04-11	VYDAJ	PREVOD NA UCET	5866	41383	SIPO	IJ	76251017
906177	3088	1998-05-11	VYDAJ	PREVOD NA UCET	5866	45108	SIPO	IJ	76251017
906178	3088	1998-06-11	VYDAJ	PREVOD NA UCET	5866	16557	SIPO	IJ	76251017
906179	3088	1998-07-11	VYDAJ	PREVOD NA UCET	5866	34321	SIPO	IJ	76251017
906180	3088	1998-08-11	VYDAJ	PREVOD NA UCET	5866	41219	SIPO	IJ	76251017
906181	3088	1998-09-11	VYDAJ	PREVOD NA UCET	5866	46051	SIPO	IJ	76251017
906182	3088	1998-10-11	VYDAJ	PREVOD NA UCET	5866	53406	SIPO	IJ	76251017
906183	3088	1998-11-11	VYDAJ	PREVOD NA UCET	5866	56775	SIPO	IJ	76251017
906184	3088	1998-12-11	VYDAJ	PREVOD NA UCET	5866	65412	SIPO	IJ	76251017
906186	3088	1997-06-18	VYDAJ	VYBER	21280	41276	\N	\N	\N
906187	3088	1998-06-08	VYDAJ	VYBER	37440	22423	\N	\N	\N
906188	3088	1996-12-03	VYDAJ	VYBER	3360	31033	\N	\N	\N
906189	3088	1997-12-11	VYDAJ	VYBER KARTOU	800	46804	\N	\N	0
906190	3088	1998-12-18	VYDAJ	VYBER	4640	60772	\N	\N	\N
906197	3088	1997-01-17	VYDAJ	VYBER	2160	45593	\N	\N	\N
906198	3088	1997-01-29	VYDAJ	VYBER	1080	44513	\N	\N	\N
906199	3088	1997-01-10	VYDAJ	VYBER	1320	55539	\N	\N	\N
906200	3088	1997-01-15	VYDAJ	VYBER	1920	47753	\N	\N	\N
906201	3088	1997-01-05	VYDAJ	VYBER	2640	34094	\N	\N	\N
906202	3088	1997-01-05	VYDAJ	VYBER	3000	36734	\N	\N	\N
906203	3088	1998-01-03	VYDAJ	VYBER KARTOU	3400	21451	\N	\N	0
906204	3088	1998-01-28	VYDAJ	VYBER KARTOU	1000	19250	\N	\N	0
906205	3088	1998-01-01	VYDAJ	VYBER KARTOU	2000	24851	\N	\N	0
906206	3088	1998-01-16	VYDAJ	VYBER KARTOU	3100	33750	\N	\N	0
906207	3088	1998-01-18	VYDAJ	VYBER KARTOU	3200	30550	\N	\N	0
906208	3088	1998-01-07	VYDAJ	VYBER KARTOU	700	43516	\N	\N	0
906210	3088	1996-11-14	VYDAJ	VYBER	2760	47299	\N	\N	\N
906213	3088	1997-10-16	VYDAJ	VYBER KARTOU	1600	43455	\N	\N	0
906214	3088	1997-02-10	VYDAJ	VYBER	1920	52646	\N	\N	\N
906215	3088	1997-12-09	VYDAJ	VYBER	4800	53470	\N	\N	\N
906216	3088	1997-07-05	VYDAJ	VYBER KARTOU	2900	24677	\N	\N	0
906217	3088	1998-03-15	VYDAJ	VYBER KARTOU	1100	39464	\N	\N	0
906218	3088	1998-01-10	VYDAJ	VYBER KARTOU	800	42716	\N	\N	0
906219	3088	1998-05-14	VYDAJ	VYBER	5520	39588	\N	\N	\N
906220	3088	1998-08-09	VYDAJ	VYBER KARTOU	3000	47085	\N	\N	0
906221	3088	1998-09-11	VYDAJ	VYBER KARTOU	1700	51917	\N	\N	0
906222	3088	1998-11-24	VYDAJ	VYBER	5520	36955	\N	\N	\N
906231	3088	1996-08-31	VYDAJ	VYBER	15	57632	SLUZBY	\N	\N
906232	3088	1996-09-30	VYDAJ	VYBER	15	53546	SLUZBY	\N	\N
906233	3088	1996-10-31	VYDAJ	VYBER	15	54560	SLUZBY	\N	\N
906234	3088	1996-11-30	VYDAJ	VYBER	15	47493	SLUZBY	\N	\N
906235	3088	1996-12-31	VYDAJ	VYBER	15	59534	SLUZBY	\N	\N
906236	3088	1997-01-31	VYDAJ	VYBER	15	44701	SLUZBY	\N	\N
906237	3088	1997-02-28	VYDAJ	VYBER	15	46963	SLUZBY	\N	\N
906238	3088	1997-03-31	VYDAJ	VYBER	15	52464	SLUZBY	\N	\N
906239	3088	1997-04-30	VYDAJ	VYBER	15	52972	SLUZBY	\N	\N
906240	3088	1997-05-31	VYDAJ	VYBER	15	51474	SLUZBY	\N	\N
906241	3088	1997-06-30	VYDAJ	VYBER	15	41477	SLUZBY	\N	\N
906242	3088	1997-07-31	VYDAJ	VYBER	15	41734	SLUZBY	\N	\N
906243	3088	1997-08-31	VYDAJ	VYBER	15	30404	SLUZBY	\N	\N
906244	3088	1997-09-30	VYDAJ	VYBER	15	28156	SLUZBY	\N	\N
906245	3088	1997-10-31	VYDAJ	VYBER	15	24994	SLUZBY	\N	\N
906246	3088	1997-11-30	VYDAJ	VYBER	15	24122	SLUZBY	\N	\N
906247	3088	1997-12-31	VYDAJ	VYBER	15	26851	SLUZBY	\N	\N
906248	3088	1998-01-31	VYDAJ	VYBER	15	19361	SLUZBY	\N	\N
906249	3088	1998-02-28	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
906250	3088	1998-03-31	VYDAJ	VYBER	15	24484	SLUZBY	\N	\N
906251	3088	1998-04-30	VYDAJ	VYBER	15	28209	SLUZBY	\N	\N
906252	3088	1998-05-31	VYDAJ	VYBER	15	25715	SLUZBY	\N	\N
906253	3088	1998-06-30	VYDAJ	VYBER	15	17422	SLUZBY	\N	\N
906254	3088	1998-07-31	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
906255	3088	1998-08-31	VYDAJ	VYBER	15	30852	SLUZBY	\N	\N
906256	3088	1998-09-30	VYDAJ	VYBER	15	36507	SLUZBY	\N	\N
906257	3088	1998-10-31	VYDAJ	VYBER	15	39876	SLUZBY	\N	\N
906258	3088	1998-11-30	VYDAJ	VYBER	15	37131	SLUZBY	\N	\N
906259	3088	1996-04-07	VYDAJ	VYBER	2500	20865	\N	\N	\N
906260	3088	1996-05-07	VYDAJ	VYBER	12900	30800	\N	\N	\N
906261	3088	1996-06-06	VYDAJ	VYBER	7300	23620	\N	\N	\N
906262	3088	1996-07-06	VYDAJ	VYBER	19800	38186	\N	\N	\N
906263	3088	1996-08-05	VYDAJ	VYBER	20700	40502	\N	\N	\N
906264	3088	1996-09-04	VYDAJ	VYBER	21200	36432	\N	\N	\N
906265	3088	1996-10-04	VYDAJ	VYBER	16100	37446	\N	\N	\N
906266	3088	1996-11-03	VYDAJ	VYBER	21400	33160	\N	\N	\N
906267	3088	1996-12-03	VYDAJ	VYBER	13100	34393	\N	\N	\N
906268	3088	1997-01-02	VYDAJ	VYBER	19800	39734	\N	\N	\N
906269	3088	1997-02-01	VYDAJ	VYBER	12900	31801	\N	\N	\N
906270	3088	1997-03-03	VYDAJ	VYBER	11600	35363	\N	\N	\N
906271	3088	1997-04-02	VYDAJ	VYBER	16600	35864	\N	\N	\N
906272	3088	1997-05-02	VYDAJ	VYBER	18600	34372	\N	\N	\N
906273	3088	1997-06-01	VYDAJ	VYBER	17200	34274	\N	\N	\N
906274	3088	1997-07-01	VYDAJ	VYBER	13900	27577	\N	\N	\N
906275	3088	1997-07-31	VYDAJ	VYBER	11100	30634	\N	\N	\N
906276	3088	1997-08-30	VYDAJ	VYBER	17300	30233	\N	\N	\N
906277	3088	1997-09-29	VYDAJ	VYBER	19300	28003	\N	\N	\N
906278	3088	1997-10-29	VYDAJ	VYBER	18600	24855	\N	\N	\N
906279	3088	1997-11-28	VYDAJ	VYBER	17900	23993	\N	\N	\N
906280	3088	1997-12-28	VYDAJ	VYBER	20100	26704	\N	\N	\N
906281	3088	1998-01-27	VYDAJ	VYBER	10300	20250	\N	\N	\N
906282	3088	1998-02-26	VYDAJ	VYBER	12700	23560	\N	\N	\N
906283	3088	1998-03-28	VYDAJ	VYBER	15100	24364	\N	\N	\N
906284	3088	1998-04-27	VYDAJ	VYBER	13300	28083	\N	\N	\N
906285	3088	1998-05-27	VYDAJ	VYBER	14000	25588	\N	\N	\N
906286	3088	1998-06-26	PRIJEM	VKLAD	800	17357	\N	\N	\N
906287	3088	1998-07-26	VYDAJ	VYBER	7100	27221	\N	\N	\N
906288	3088	1998-08-25	VYDAJ	VYBER	10500	30719	\N	\N	\N
906289	3088	1998-09-24	VYDAJ	VYBER	9700	36351	\N	\N	\N
906290	3088	1998-10-24	VYDAJ	VYBER	13700	39706	\N	\N	\N
906291	3088	1998-11-23	VYDAJ	VYBER	14300	42475	\N	\N	\N
906325	3089	1996-07-02	PRIJEM	VKLAD	600	600	\N	\N	\N
906328	3089	1996-07-03	PRIJEM	VKLAD	21285	21885	\N	\N	\N
906329	3089	1996-08-04	PRIJEM	VKLAD	14765	57366	\N	\N	\N
906331	3089	1996-07-21	PRIJEM	VKLAD	25090	62931	\N	\N	\N
906333	3089	1996-08-13	PRIJEM	VKLAD	31087	88453	\N	\N	\N
906334	3089	1996-10-10	PRIJEM	VKLAD	14216	76078	\N	\N	\N
906335	3089	1996-09-12	PRIJEM	VKLAD	38745	122235	\N	\N	\N
906336	3089	1996-12-10	PRIJEM	VKLAD	24279	62345	\N	\N	\N
906340	3089	1996-12-10	PRIJEM	VKLAD	45341	107686	\N	\N	\N
906341	3089	1996-10-21	PRIJEM	VKLAD	17293	93371	\N	\N	\N
906343	3089	1996-09-26	PRIJEM	VKLAD	36834	128052	\N	\N	\N
906344	3089	1996-09-08	PRIJEM	VKLAD	31077	83490	\N	\N	\N
906346	3089	1996-07-10	PRIJEM	VKLAD	15956	37841	\N	\N	\N
906348	3089	1997-09-20	PRIJEM	VKLAD	49084	128357	\N	\N	\N
906349	3089	1997-11-10	PRIJEM	VKLAD	40807	95219	\N	\N	\N
906350	3089	1997-01-24	PRIJEM	VKLAD	15806	21541	\N	\N	\N
906351	3089	1997-12-16	PRIJEM	VKLAD	33735	95964	\N	\N	\N
906352	3089	1997-12-28	PRIJEM	VKLAD	19066	89230	\N	\N	\N
906353	3089	1997-08-30	PRIJEM	VKLAD	35238	79122	\N	\N	\N
906354	3089	1997-07-09	PRIJEM	VKLAD	7034	39172	\N	\N	\N
906355	3089	1997-04-03	PRIJEM	VKLAD	11963	46306	\N	\N	\N
906356	3089	1997-05-08	PRIJEM	VKLAD	22670	78248	\N	\N	\N
906357	3089	1997-02-24	PRIJEM	VKLAD	18669	37100	\N	\N	\N
906358	3089	1997-04-24	PRIJEM	VKLAD	46924	93230	\N	\N	\N
906359	3089	1998-08-17	PRIJEM	VKLAD	48350	132316	\N	\N	\N
906360	3089	1998-05-09	PRIJEM	VKLAD	8382	88605	\N	\N	\N
906361	3089	1998-11-04	PRIJEM	VKLAD	42920	87351	\N	\N	\N
906362	3089	1998-06-28	PRIJEM	VKLAD	9460	43452	\N	\N	\N
906363	3089	1998-08-16	PRIJEM	VKLAD	7112	83966	\N	\N	\N
906364	3089	1998-04-21	PRIJEM	VKLAD	42640	133969	\N	\N	\N
906365	3089	1998-03-09	PRIJEM	VKLAD	39794	82443	\N	\N	\N
906366	3089	1998-05-30	PRIJEM	VKLAD	13365	80786	\N	\N	\N
906367	3089	1998-09-12	PRIJEM	VKLAD	15583	70367	\N	\N	\N
906368	3089	1998-12-23	PRIJEM	VKLAD	13803	96318	\N	\N	\N
906369	3089	1998-04-21	PRIJEM	VKLAD	49606	91329	\N	\N	\N
906370	3089	1998-11-13	PRIJEM	VKLAD	5735	88622	\N	\N	\N
906371	3089	1998-05-14	PRIJEM	VKLAD	28520	117125	\N	\N	\N
906372	3089	1998-01-08	PRIJEM	VKLAD	9697	48266	\N	\N	\N
906373	3089	1998-01-02	PRIJEM	VKLAD	7777	87401	\N	\N	\N
906374	3089	1998-02-08	PRIJEM	VKLAD	35371	81230	\N	\N	\N
906375	3089	1998-11-04	PRIJEM	VKLAD	35136	122487	\N	\N	\N
906376	3089	1998-05-27	PRIJEM	VKLAD	23225	86950	\N	\N	\N
906377	3089	1998-01-18	PRIJEM	VKLAD	30433	78699	\N	\N	\N
906378	3089	1998-12-12	PRIJEM	VKLAD	22404	102598	\N	\N	\N
906379	3089	1998-07-23	PRIJEM	VKLAD	36594	84556	\N	\N	\N
906380	3089	1998-12-04	PRIJEM	VKLAD	19868	80194	\N	\N	\N
906381	3089	1998-08-22	PRIJEM	VKLAD	31902	106830	\N	\N	\N
906382	3089	1998-04-20	PRIJEM	VKLAD	5789	61339	\N	\N	\N
906383	3089	1998-08-19	PRIJEM	VKLAD	23512	117428	\N	\N	\N
906384	3089	1998-09-20	PRIJEM	VKLAD	5185	65352	\N	\N	\N
906385	3089	1998-12-15	PRIJEM	VKLAD	17217	119815	\N	\N	\N
906386	3089	1998-08-23	PRIJEM	VKLAD	30813	83543	\N	\N	\N
906387	3089	1996-09-13	VYBER	VYBER	15917	91218	\N	\N	\N
906388	3089	1996-11-08	VYBER	VYBER	14293	47944	\N	\N	\N
906390	3089	1997-02-28	VYBER	VYBER	3546	32966	\N	\N	\N
906391	3089	1997-02-10	VYBER	VYBER	6376	18431	\N	\N	\N
906392	3089	1997-04-25	VYBER	VYBER	13501	79729	\N	\N	\N
906393	3089	1997-06-10	VYBER	VYBER	16024	30483	\N	\N	\N
906394	3089	1998-06-19	VYBER	VYBER	16831	12892	\N	\N	\N
906395	3089	1998-08-23	VYBER	VYBER	15554	67989	\N	\N	\N
906396	3089	1998-10-28	VYBER	VYBER	16873	44219	\N	\N	\N
906397	3089	1998-02-28	VYBER	VYBER	17523	42679	\N	\N	\N
906398	3089	1998-02-06	VYBER	VYBER	2845	45859	\N	\N	\N
906399	3089	1998-05-29	VYBER	VYBER	19529	67421	\N	\N	\N
906400	3089	1998-04-07	VYBER	VYBER	2272	57050	\N	\N	\N
906401	3089	1998-04-06	VYBER	VYBER	7694	59322	\N	\N	\N
906402	3089	1998-04-20	VYBER	VYBER	19616	41723	\N	\N	\N
906403	3089	1998-09-03	VYBER	VYBER	13531	54784	\N	\N	\N
906404	3089	1998-11-23	VYBER	VYBER	7877	64845	\N	\N	\N
906405	3089	1998-01-02	VYBER	VYBER	19432	67969	\N	\N	\N
906406	3089	1998-06-01	VYBER	VYBER	6959	74123	\N	\N	\N
906407	3089	1998-08-06	VYBER	VYBER	7902	76854	\N	\N	\N
906410	3089	1998-06-17	VYDAJ	VYBER	44400	29723	\N	\N	\N
906412	3089	1997-01-19	VYDAJ	VYBER	4500	9935	\N	\N	\N
906413	3089	1998-01-18	VYDAJ	VYBER	11400	67299	\N	\N	\N
906414	3089	1996-12-11	VYDAJ	VYBER	5100	45886	\N	\N	\N
906415	3089	1997-12-15	VYDAJ	VYBER	6900	62229	\N	\N	\N
906416	3089	1998-12-26	VYDAJ	VYBER	3600	92718	\N	\N	\N
906423	3089	1997-01-09	VYDAJ	VYBER	2400	26735	\N	\N	\N
906424	3089	1997-01-13	VYDAJ	VYBER	2100	22235	\N	\N	\N
906425	3089	1997-01-15	VYDAJ	VYBER	7800	14435	\N	\N	\N
906426	3089	1997-01-02	VYDAJ	VYBER	8100	29135	\N	\N	\N
906427	3089	1997-01-11	VYDAJ	VYBER	2400	24335	\N	\N	\N
906428	3089	1997-01-19	VYDAJ	VYBER	4200	5735	\N	\N	\N
906429	3089	1998-01-05	VYDAJ	VYBER	6600	53869	\N	\N	\N
906430	3089	1998-01-04	VYDAJ	VYBER	7500	60469	\N	\N	\N
906431	3089	1998-01-23	VYDAJ	VYBER	1500	54799	\N	\N	\N
906432	3089	1998-01-27	VYDAJ	VYBER	6300	48499	\N	\N	\N
906433	3089	1998-01-06	VYDAJ	VYBER	7500	46369	\N	\N	\N
906434	3089	1998-01-06	VYDAJ	VYBER	7800	38569	\N	\N	\N
906435	3089	1996-08-15	VYDAJ	VYBER	11700	76753	\N	\N	\N
906439	3089	1997-07-22	VYDAJ	VYBER	3300	35872	\N	\N	\N
906440	3089	1997-05-08	VYDAJ	VYBER	5100	73148	\N	\N	\N
906441	3089	1997-10-08	VYDAJ	VYBER	8100	63261	\N	\N	\N
906442	3089	1997-12-29	VYDAJ	VYBER	9900	79330	\N	\N	\N
906443	3089	1997-05-29	VYDAJ	VYBER	10500	46248	\N	\N	\N
906444	3089	1998-09-15	VYDAJ	VYBER	3900	66467	\N	\N	\N
906445	3089	1998-09-19	VYDAJ	VYBER	6300	60167	\N	\N	\N
906446	3089	1998-02-13	VYDAJ	VYBER	5100	76130	\N	\N	\N
906447	3089	1998-11-29	VYDAJ	VYBER	4800	60045	\N	\N	\N
906448	3089	1998-04-16	VYDAJ	VYBER	1500	55550	\N	\N	\N
906457	3089	1996-08-31	VYDAJ	VYBER	30	52413	SLUZBY	\N	\N
906458	3089	1996-09-30	VYDAJ	VYBER	30	61862	SLUZBY	\N	\N
906459	3089	1996-10-31	VYDAJ	VYBER	30	62237	SLUZBY	\N	\N
906460	3089	1996-11-30	VYDAJ	VYBER	30	38066	SLUZBY	\N	\N
906461	3089	1996-12-31	VYDAJ	VYBER	30	37235	SLUZBY	\N	\N
906462	3089	1997-01-31	VYDAJ	VYBER	30	24807	SLUZBY	\N	\N
906463	3089	1997-02-28	VYDAJ	VYBER	30	32936	SLUZBY	\N	\N
906464	3089	1997-03-31	VYDAJ	VYBER	30	34343	SLUZBY	\N	\N
906465	3089	1997-04-30	VYDAJ	VYBER	30	55578	SLUZBY	\N	\N
906466	3089	1997-05-31	VYDAJ	VYBER	30	46507	SLUZBY	\N	\N
906467	3089	1997-06-30	VYDAJ	VYBER	30	32138	SLUZBY	\N	\N
906468	3089	1997-07-31	VYDAJ	VYBER	30	40984	SLUZBY	\N	\N
906469	3089	1997-08-31	VYDAJ	VYBER	30	79273	SLUZBY	\N	\N
906470	3089	1997-09-30	VYDAJ	VYBER	30	71361	SLUZBY	\N	\N
906471	3089	1997-10-31	VYDAJ	VYBER	30	54412	SLUZBY	\N	\N
906472	3089	1997-11-30	VYDAJ	VYBER	30	69129	SLUZBY	\N	\N
906473	3089	1997-12-31	VYDAJ	VYBER	30	79624	SLUZBY	\N	\N
906474	3089	1998-01-31	VYDAJ	VYBER	30	48704	SLUZBY	\N	\N
906475	3089	1998-02-28	VYDAJ	VYBER	30	42649	SLUZBY	\N	\N
906476	3089	1998-03-31	VYDAJ	VYBER	30	67016	SLUZBY	\N	\N
906477	3089	1998-04-30	VYDAJ	VYBER	30	80223	SLUZBY	\N	\N
906478	3089	1998-05-31	VYDAJ	VYBER	30	81082	SLUZBY	\N	\N
906479	3089	1998-06-30	VYDAJ	VYBER	30	43662	SLUZBY	\N	\N
906480	3089	1998-07-31	VYDAJ	VYBER	30	84756	SLUZBY	\N	\N
906481	3089	1998-08-31	VYDAJ	VYBER	30	68315	SLUZBY	\N	\N
906482	3089	1998-09-30	VYDAJ	VYBER	30	60492	SLUZBY	\N	\N
906483	3089	1998-10-31	VYDAJ	VYBER	30	44431	SLUZBY	\N	\N
906484	3089	1998-11-30	VYDAJ	VYBER	30	60326	SLUZBY	\N	\N
906485	3089	1996-08-01	VYDAJ	VYBER	20500	42601	\N	\N	\N
906486	3089	1996-08-31	VYDAJ	VYBER	24600	52443	\N	\N	\N
906487	3089	1996-09-12	VYDAJ	VYBER	15100	107135	\N	\N	\N
906488	3089	1996-09-26	VYDAJ	VYBER	32100	95952	\N	\N	\N
906489	3089	1996-09-30	VYDAJ	VYBER	34400	61892	\N	\N	\N
906490	3089	1996-10-30	VYDAJ	VYBER	31400	61971	\N	\N	\N
906491	3089	1996-11-29	VYDAJ	VYBER	10100	37844	\N	\N	\N
906492	3089	1996-12-10	VYDAJ	VYBER	56700	50986	\N	\N	\N
906493	3089	1996-12-29	VYDAJ	VYBER	8800	37086	\N	\N	\N
906494	3089	1997-01-28	PRIJEM	VKLAD	3200	24741	\N	\N	\N
906495	3089	1997-02-27	VYDAJ	VYBER	700	36400	\N	\N	\N
906496	3089	1997-03-29	PRIJEM	VKLAD	1300	34236	\N	\N	\N
906497	3089	1997-04-28	VYDAJ	VYBER	24300	55429	\N	\N	\N
906498	3089	1997-05-28	VYDAJ	VYBER	16400	56748	\N	\N	\N
906499	3089	1997-06-27	PRIJEM	VKLAD	1500	31983	\N	\N	\N
906500	3089	1997-07-27	PRIJEM	VKLAD	5000	40872	\N	\N	\N
906501	3089	1997-08-26	PRIJEM	VKLAD	2900	43884	\N	\N	\N
906502	3089	1997-09-20	VYDAJ	VYBER	33300	95057	\N	\N	\N
906503	3089	1997-09-25	VYDAJ	VYBER	24000	71057	\N	\N	\N
906504	3089	1997-10-25	VYDAJ	VYBER	9100	54161	\N	\N	\N
906505	3089	1997-11-24	VYDAJ	VYBER	26300	68919	\N	\N	\N
906506	3089	1997-12-24	VYDAJ	VYBER	25800	70164	\N	\N	\N
906507	3089	1998-01-23	VYDAJ	VYBER	11000	56299	\N	\N	\N
906508	3089	1998-02-22	VYDAJ	VYBER	16200	59930	\N	\N	\N
906509	3089	1998-03-24	VYDAJ	VYBER	15600	66843	\N	\N	\N
906510	3089	1998-04-21	VYDAJ	VYBER	17000	116969	\N	\N	\N
906511	3089	1998-04-23	VYDAJ	VYBER	37000	79969	\N	\N	\N
906512	3089	1998-05-14	VYDAJ	VYBER	36000	81125	\N	\N	\N
906513	3089	1998-05-23	VYDAJ	VYBER	17400	63725	\N	\N	\N
906514	3089	1998-06-22	PRIJEM	VKLAD	21100	33992	\N	\N	\N
906515	3089	1998-07-22	PRIJEM	VKLAD	4300	47962	\N	\N	\N
906516	3089	1998-08-17	VYDAJ	VYBER	38400	93916	\N	\N	\N
906517	3089	1998-08-19	VYDAJ	VYBER	18400	99028	\N	\N	\N
906518	3089	1998-08-21	VYDAJ	VYBER	24100	74928	\N	\N	\N
906519	3089	1998-08-22	VYDAJ	VYBER	54100	52730	\N	\N	\N
906520	3089	1998-09-20	VYDAJ	VYBER	5100	60252	\N	\N	\N
906521	3089	1998-10-20	PRIJEM	VKLAD	600	61092	\N	\N	\N
906522	3089	1998-11-04	VYDAJ	VYBER	39600	82887	\N	\N	\N
906523	3089	1998-11-19	VYDAJ	VYBER	15900	72722	\N	\N	\N
906524	3089	1998-12-15	VYDAJ	VYBER	16100	103715	\N	\N	\N
906525	3089	1998-12-19	VYDAJ	VYBER	21200	82515	\N	\N	\N
906556	3090	1996-12-10	PRIJEM	VKLAD	500	500	\N	\N	\N
906568	3090	1997-11-07	PRIJEM	VKLAD	49143	104007	\N	\N	\N
906569	3090	1997-07-25	PRIJEM	VKLAD	24258	62103	\N	\N	\N
906570	3090	1997-10-08	PRIJEM	VKLAD	16904	70472	\N	\N	\N
906571	3090	1997-06-01	PRIJEM	VKLAD	32783	69237	\N	\N	\N
906572	3090	1997-09-21	PRIJEM	VKLAD	36705	113524	\N	\N	\N
906573	3090	1997-08-24	PRIJEM	VKLAD	13611	38148	\N	\N	\N
906574	3090	1997-09-29	PRIJEM	VKLAD	22735	92159	\N	\N	\N
906575	3090	1997-03-09	PRIJEM	VKLAD	10064	58245	\N	\N	\N
906576	3090	1997-10-11	PRIJEM	VKLAD	10513	72794	\N	\N	\N
906577	3090	1997-02-26	PRIJEM	VKLAD	32459	48159	\N	\N	\N
906578	3090	1997-07-27	PRIJEM	VKLAD	8537	70640	\N	\N	\N
906579	3090	1997-11-23	PRIJEM	VKLAD	27879	101095	\N	\N	\N
906580	3090	1997-10-21	PRIJEM	VKLAD	41165	113959	\N	\N	\N
906581	3090	1997-03-25	PRIJEM	VKLAD	41183	84228	\N	\N	\N
906582	3090	1997-07-07	PRIJEM	VKLAD	22762	71736	\N	\N	\N
906583	3090	1997-12-21	PRIJEM	VKLAD	27276	88315	\N	\N	\N
906584	3090	1997-09-06	PRIJEM	VKLAD	48088	86390	\N	\N	\N
906585	3090	1997-09-17	PRIJEM	VKLAD	34620	84319	\N	\N	\N
906586	3090	1998-10-11	PRIJEM	VKLAD	12983	57506	\N	\N	\N
906587	3090	1998-12-07	PRIJEM	VKLAD	41148	72842	\N	\N	\N
906588	3090	1998-04-28	PRIJEM	VKLAD	43620	119655	\N	\N	\N
906589	3090	1998-03-08	PRIJEM	VKLAD	34334	69312	\N	\N	\N
906590	3090	1998-07-30	PRIJEM	VKLAD	49384	62660	\N	\N	\N
906591	3090	1998-09-21	PRIJEM	VKLAD	14948	78428	\N	\N	\N
906592	3090	1998-09-18	PRIJEM	VKLAD	43592	63480	\N	\N	\N
906593	3090	1998-04-05	PRIJEM	VKLAD	40977	84226	\N	\N	\N
906594	3090	1998-02-18	PRIJEM	VKLAD	36267	54852	\N	\N	\N
906649	3090	1997-07-09	VYDAJ	PREVOD NA UCET	6829	39207	SIPO	GH	47624367
906650	3090	1997-08-09	VYDAJ	PREVOD NA UCET	6829	37299	SIPO	GH	47624367
906651	3090	1997-09-09	VYDAJ	PREVOD NA UCET	6829	51061	SIPO	GH	47624367
906652	3090	1997-10-09	VYDAJ	PREVOD NA UCET	6829	63643	SIPO	GH	47624367
906653	3090	1997-11-09	VYDAJ	PREVOD NA UCET	6829	73856	SIPO	GH	47624367
906654	3090	1997-12-09	VYDAJ	PREVOD NA UCET	6829	62401	SIPO	GH	47624367
906655	3090	1998-01-09	VYDAJ	PREVOD NA UCET	6829	48370	SIPO	GH	47624367
906656	3090	1998-02-09	VYDAJ	PREVOD NA UCET	6829	19307	SIPO	GH	47624367
906657	3090	1998-03-09	VYDAJ	PREVOD NA UCET	6829	62483	SIPO	GH	47624367
906658	3090	1998-04-09	VYDAJ	PREVOD NA UCET	6829	77397	SIPO	GH	47624367
906659	3090	1998-05-09	VYDAJ	PREVOD NA UCET	6829	31033	SIPO	GH	47624367
906660	3090	1998-06-09	VYDAJ	PREVOD NA UCET	6829	19450	SIPO	GH	47624367
906661	3090	1998-07-09	VYDAJ	PREVOD NA UCET	6829	13916	SIPO	GH	47624367
906662	3090	1998-08-09	VYDAJ	PREVOD NA UCET	6829	30469	SIPO	GH	47624367
906663	3090	1998-09-09	VYDAJ	PREVOD NA UCET	6829	19888	SIPO	GH	47624367
906664	3090	1998-10-09	VYDAJ	PREVOD NA UCET	6829	44523	SIPO	GH	47624367
906665	3090	1998-11-09	VYDAJ	PREVOD NA UCET	6829	34919	SIPO	GH	47624367
906666	3090	1998-12-09	VYDAJ	PREVOD NA UCET	6829	64651	SIPO	GH	47624367
906685	3090	1997-07-09	VYDAJ	PREVOD NA UCET	722	37845	 	YZ	75680291
906686	3090	1997-08-09	VYDAJ	PREVOD NA UCET	722	35937	 	YZ	75680291
906687	3090	1997-09-09	VYDAJ	PREVOD NA UCET	722	50339	 	YZ	75680291
906688	3090	1997-10-09	VYDAJ	PREVOD NA UCET	722	62921	 	YZ	75680291
906689	3090	1997-11-09	VYDAJ	PREVOD NA UCET	722	103285	 	YZ	75680291
906690	3090	1997-12-09	VYDAJ	PREVOD NA UCET	722	61039	 	YZ	75680291
906691	3090	1998-01-09	VYDAJ	PREVOD NA UCET	722	47648	 	YZ	75680291
906692	3090	1998-02-09	VYDAJ	PREVOD NA UCET	722	18585	 	YZ	75680291
906693	3090	1998-03-09	VYDAJ	PREVOD NA UCET	722	61121	 	YZ	75680291
906694	3090	1998-04-09	VYDAJ	PREVOD NA UCET	722	76675	 	YZ	75680291
906695	3090	1998-05-09	VYDAJ	PREVOD NA UCET	722	37862	 	YZ	75680291
906696	3090	1998-06-09	VYDAJ	PREVOD NA UCET	722	18728	 	YZ	75680291
906697	3090	1998-07-09	VYDAJ	PREVOD NA UCET	722	20745	 	YZ	75680291
906698	3090	1998-08-09	VYDAJ	PREVOD NA UCET	722	29747	 	YZ	75680291
906699	3090	1998-09-09	VYDAJ	PREVOD NA UCET	722	27357	 	YZ	75680291
906700	3090	1998-10-09	VYDAJ	PREVOD NA UCET	722	51352	 	YZ	75680291
906701	3090	1998-11-09	VYDAJ	PREVOD NA UCET	722	33557	 	YZ	75680291
906702	3090	1998-12-09	VYDAJ	PREVOD NA UCET	722	72120	 	YZ	75680291
906721	3090	1997-07-09	VYDAJ	PREVOD NA UCET	640	38567	POJISTNE	AB	18386042
906722	3090	1997-08-09	VYDAJ	PREVOD NA UCET	640	36659	POJISTNE	AB	18386042
906723	3090	1997-09-09	VYDAJ	PREVOD NA UCET	640	49699	POJISTNE	AB	18386042
906724	3090	1997-10-09	VYDAJ	PREVOD NA UCET	640	62281	POJISTNE	AB	18386042
906725	3090	1997-11-09	VYDAJ	PREVOD NA UCET	640	73216	POJISTNE	AB	18386042
906726	3090	1997-12-09	VYDAJ	PREVOD NA UCET	640	61761	POJISTNE	AB	18386042
906727	3090	1998-01-09	VYDAJ	PREVOD NA UCET	640	55199	POJISTNE	AB	18386042
906728	3090	1998-02-09	VYDAJ	PREVOD NA UCET	640	26136	POJISTNE	AB	18386042
906729	3090	1998-03-09	VYDAJ	PREVOD NA UCET	640	61843	POJISTNE	AB	18386042
906730	3090	1998-04-09	VYDAJ	PREVOD NA UCET	640	76035	POJISTNE	AB	18386042
906731	3090	1998-05-09	VYDAJ	PREVOD NA UCET	640	38584	POJISTNE	AB	18386042
906732	3090	1998-06-09	VYDAJ	PREVOD NA UCET	640	18088	POJISTNE	AB	18386042
906733	3090	1998-07-09	VYDAJ	PREVOD NA UCET	640	13276	POJISTNE	AB	18386042
906734	3090	1998-08-09	VYDAJ	PREVOD NA UCET	640	37298	POJISTNE	AB	18386042
906735	3090	1998-09-09	VYDAJ	PREVOD NA UCET	640	26717	POJISTNE	AB	18386042
906736	3090	1998-10-09	VYDAJ	PREVOD NA UCET	640	52074	POJISTNE	AB	18386042
906737	3090	1998-11-09	VYDAJ	PREVOD NA UCET	640	34279	POJISTNE	AB	18386042
906738	3090	1998-12-09	VYDAJ	PREVOD NA UCET	640	71480	POJISTNE	AB	18386042
906744	3090	1997-10-07	VYBER	VYBER	5160	53568	\N	\N	\N
906745	3090	1997-08-08	VYBER	VYBER	4395	44128	\N	\N	\N
906746	3090	1997-09-30	VYBER	VYBER	2318	90143	\N	\N	\N
906749	3090	1998-01-12	VYBER	VYBER	14218	33430	\N	\N	\N
906751	3090	1998-05-05	VYBER	VYBER	16034	39224	\N	\N	\N
906764	3090	1997-12-29	VYDAJ	VYBER	4500	83815	\N	\N	\N
906765	3090	1998-12-30	VYDAJ	VYBER	3000	61651	\N	\N	\N
906780	3090	1998-01-06	VYDAJ	VYBER	4500	55839	\N	\N	\N
906782	3090	1998-01-12	VYDAJ	VYBER	7500	25930	\N	\N	\N
906788	3090	1997-09-18	VYDAJ	VYBER	5400	76819	\N	\N	\N
906789	3090	1997-08-02	VYDAJ	VYBER	3000	67823	\N	\N	\N
906791	3090	1997-09-17	VYDAJ	VYBER	2100	82219	\N	\N	\N
906792	3090	1997-08-14	VYDAJ	VYBER	11400	24537	\N	\N	\N
906795	3090	1997-09-21	VYDAJ	VYBER	6900	106624	\N	\N	\N
906797	3090	1998-01-18	VYDAJ	VYBER	3900	22030	\N	\N	\N
906799	3090	1998-02-21	VYDAJ	VYBER	9000	45852	\N	\N	\N
906801	3090	1998-11-09	VYDAJ	VYBER	3900	41748	\N	\N	\N
906802	3090	1998-07-31	VYDAJ	VYBER	11700	51053	\N	\N	\N
906823	3090	1997-07-31	VYDAJ	VYBER	15	70823	SLUZBY	\N	\N
906824	3090	1997-08-31	VYDAJ	VYBER	15	38302	SLUZBY	\N	\N
906825	3090	1997-09-30	VYDAJ	VYBER	15	90128	SLUZBY	\N	\N
906826	3090	1997-10-31	VYDAJ	VYBER	15	78764	SLUZBY	\N	\N
906827	3090	1997-11-30	VYDAJ	VYBER	15	101430	SLUZBY	\N	\N
906828	3090	1997-12-31	VYDAJ	VYBER	15	84139	SLUZBY	\N	\N
906829	3090	1998-01-31	VYDAJ	VYBER	15	22176	SLUZBY	\N	\N
906830	3090	1998-02-28	VYDAJ	VYBER	15	45978	SLUZBY	\N	\N
906831	3090	1998-03-31	VYDAJ	VYBER	15	61349	SLUZBY	\N	\N
906832	3090	1998-04-30	VYDAJ	VYBER	15	82258	SLUZBY	\N	\N
906833	3090	1998-05-31	VYDAJ	VYBER	15	31179	SLUZBY	\N	\N
906834	3090	1998-06-30	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
906835	3090	1998-07-31	VYDAJ	VYBER	15	51038	SLUZBY	\N	\N
906836	3090	1998-08-31	VYDAJ	VYBER	15	29879	SLUZBY	\N	\N
906837	3090	1998-09-30	VYDAJ	VYBER	15	78614	SLUZBY	\N	\N
906838	3090	1998-10-31	VYDAJ	VYBER	15	45648	SLUZBY	\N	\N
906839	3090	1998-11-30	VYDAJ	VYBER	15	33694	SLUZBY	\N	\N
906840	3090	1997-01-09	PRIJEM	VKLAD	10200	10700	\N	\N	\N
906841	3090	1997-02-08	PRIJEM	VKLAD	5000	15700	\N	\N	\N
906842	3090	1997-03-10	VYDAJ	VYBER	15200	43045	\N	\N	\N
906843	3090	1997-04-09	VYDAJ	VYBER	31000	53452	\N	\N	\N
906844	3090	1997-05-09	VYDAJ	VYBER	17700	36103	\N	\N	\N
906845	3090	1997-06-08	VYDAJ	VYBER	20500	48737	\N	\N	\N
906846	3090	1997-07-08	VYDAJ	VYBER	25700	46036	\N	\N	\N
906847	3090	1997-08-07	VYDAJ	VYBER	19300	48523	\N	\N	\N
906848	3090	1997-09-06	VYDAJ	VYBER	28500	57890	\N	\N	\N
906849	3090	1997-09-21	VYDAJ	VYBER	37200	69424	\N	\N	\N
906850	3090	1997-10-06	VYDAJ	VYBER	31400	58728	\N	\N	\N
906851	3090	1997-10-21	VYDAJ	VYBER	35500	78459	\N	\N	\N
906852	3090	1997-11-05	VYDAJ	VYBER	23900	54864	\N	\N	\N
906853	3090	1997-11-09	VYDAJ	VYBER	22600	80685	\N	\N	\N
906854	3090	1997-12-05	VYDAJ	VYBER	32200	69230	\N	\N	\N
906855	3090	1998-01-04	VYDAJ	VYBER	23800	60339	\N	\N	\N
906856	3090	1998-02-03	PRIJEM	VKLAD	4600	26776	\N	\N	\N
906857	3090	1998-03-05	VYDAJ	VYBER	11000	34978	\N	\N	\N
906858	3090	1998-04-04	VYDAJ	VYBER	18100	43249	\N	\N	\N
906859	3090	1998-04-28	VYDAJ	VYBER	37700	81955	\N	\N	\N
906860	3090	1998-05-04	VYDAJ	VYBER	27000	55258	\N	\N	\N
906861	3090	1998-06-03	VYDAJ	VYBER	4900	26279	\N	\N	\N
906862	3090	1998-07-03	PRIJEM	VKLAD	3300	21467	\N	\N	\N
906863	3090	1998-08-02	VYDAJ	VYBER	13100	37938	\N	\N	\N
906864	3090	1998-09-01	VYDAJ	VYBER	1800	28079	\N	\N	\N
906865	3090	1998-10-01	VYDAJ	VYBER	25900	52714	\N	\N	\N
906866	3090	1998-10-31	VYDAJ	VYBER	12100	45662	\N	\N	\N
906867	3090	1998-11-30	VYDAJ	VYBER	2000	31694	\N	\N	\N
906891	3091	1993-11-11	PRIJEM	VKLAD	200	200	\N	\N	\N
906903	3091	1993-12-11	PRIJEM	VKLAD	23952	24152	\N	\N	\N
906904	3091	1994-01-11	PRIJEM	VKLAD	15968	39988	\N	\N	\N
906905	3091	1994-02-11	PRIJEM	VKLAD	15968	47001	\N	\N	\N
906906	3091	1994-03-11	PRIJEM	VKLAD	15968	63155	\N	\N	\N
906907	3091	1994-04-11	PRIJEM	VKLAD	15968	50305	\N	\N	\N
906908	3091	1994-05-11	PRIJEM	VKLAD	15968	50034	\N	\N	\N
906909	3091	1994-06-11	PRIJEM	VKLAD	23952	53545	\N	\N	\N
906910	3091	1994-07-11	PRIJEM	VKLAD	15968	45670	\N	\N	\N
906911	3091	1994-08-11	PRIJEM	VKLAD	15968	44392	\N	\N	\N
906912	3091	1994-09-11	PRIJEM	VKLAD	15968	45913	\N	\N	\N
906913	3091	1994-10-11	PRIJEM	VKLAD	15968	46237	\N	\N	\N
906914	3091	1994-11-11	PRIJEM	VKLAD	15968	48764	\N	\N	\N
906915	3091	1994-12-11	PRIJEM	VKLAD	23952	54982	\N	\N	\N
906916	3091	1995-01-11	PRIJEM	VKLAD	15968	50424	\N	\N	\N
906917	3091	1995-02-11	PRIJEM	VKLAD	15968	42537	\N	\N	\N
906918	3091	1995-03-11	PRIJEM	VKLAD	15968	45541	\N	\N	\N
906919	3091	1995-04-11	PRIJEM	VKLAD	15968	50049	\N	\N	\N
906920	3091	1995-05-11	PRIJEM	VKLAD	15968	53986	\N	\N	\N
906921	3091	1995-06-11	PRIJEM	VKLAD	23952	53011	\N	\N	\N
906922	3091	1995-07-11	PRIJEM	VKLAD	15968	52366	\N	\N	\N
906923	3091	1995-08-11	PRIJEM	VKLAD	15968	48899	\N	\N	\N
906924	3091	1995-09-11	PRIJEM	VKLAD	15968	54621	\N	\N	\N
906925	3091	1995-10-11	PRIJEM	VKLAD	15968	54367	\N	\N	\N
906926	3091	1995-11-11	PRIJEM	VKLAD	15968	51213	\N	\N	\N
906927	3091	1995-12-11	PRIJEM	VKLAD	23952	62732	\N	\N	\N
906928	3091	1996-01-11	PRIJEM	VKLAD	15968	50895	\N	\N	\N
906929	3091	1996-02-11	PRIJEM	VKLAD	15968	52822	\N	\N	\N
906930	3091	1996-03-11	PRIJEM	VKLAD	15968	60466	\N	\N	\N
906931	3091	1996-04-11	PRIJEM	VKLAD	15968	56543	\N	\N	\N
906932	3091	1996-05-11	PRIJEM	VKLAD	15968	62614	\N	\N	\N
906933	3091	1996-06-11	PRIJEM	VKLAD	23952	64770	\N	\N	\N
906934	3091	1996-07-11	PRIJEM	VKLAD	15968	62245	\N	\N	\N
906935	3091	1996-08-11	PRIJEM	VKLAD	15968	64407	\N	\N	\N
906936	3091	1996-09-11	PRIJEM	VKLAD	15968	65177	\N	\N	\N
906937	3091	1996-10-11	PRIJEM	VKLAD	15968	63764	\N	\N	\N
906938	3091	1996-11-11	PRIJEM	VKLAD	15968	63345	\N	\N	\N
906939	3091	1996-12-11	PRIJEM	VKLAD	23952	69495	\N	\N	\N
906940	3091	1997-01-11	PRIJEM	VKLAD	15968	61470	\N	\N	\N
906941	3091	1997-02-11	PRIJEM	VKLAD	15968	45615	\N	\N	\N
906942	3091	1997-03-11	PRIJEM	VKLAD	15968	60131	\N	\N	\N
906943	3091	1997-04-11	PRIJEM	VKLAD	15968	54075	\N	\N	\N
906944	3091	1997-05-11	PRIJEM	VKLAD	15968	59513	\N	\N	\N
906945	3091	1997-06-11	PRIJEM	VKLAD	23952	50645	\N	\N	\N
906946	3091	1997-07-11	PRIJEM	VKLAD	15968	59175	\N	\N	\N
906947	3091	1997-08-11	PRIJEM	VKLAD	15968	62935	\N	\N	\N
906948	3091	1997-09-11	PRIJEM	VKLAD	15968	61896	\N	\N	\N
906949	3091	1997-10-11	PRIJEM	VKLAD	15968	55855	\N	\N	\N
906950	3091	1997-11-11	PRIJEM	VKLAD	15968	58698	\N	\N	\N
906951	3091	1997-12-11	PRIJEM	VKLAD	23952	62724	\N	\N	\N
906952	3091	1998-01-11	PRIJEM	VKLAD	15968	56385	\N	\N	\N
906953	3091	1998-02-11	PRIJEM	VKLAD	15968	52917	\N	\N	\N
906954	3091	1998-03-11	PRIJEM	VKLAD	15968	55943	\N	\N	\N
906955	3091	1998-04-11	PRIJEM	VKLAD	15968	60689	\N	\N	\N
906956	3091	1998-05-11	PRIJEM	VKLAD	15968	65347	\N	\N	\N
906957	3091	1998-06-11	PRIJEM	VKLAD	23952	75500	\N	\N	\N
906958	3091	1998-07-11	PRIJEM	VKLAD	15968	43883	\N	\N	\N
906959	3091	1998-08-11	PRIJEM	VKLAD	15968	54179	\N	\N	\N
906960	3091	1998-09-11	PRIJEM	VKLAD	15968	63621	\N	\N	\N
906961	3091	1998-10-11	PRIJEM	VKLAD	15968	68592	\N	\N	\N
906962	3091	1998-11-11	PRIJEM	VKLAD	15968	68970	\N	\N	\N
906963	3091	1998-12-11	PRIJEM	VKLAD	23952	80841	\N	\N	\N
906979	3091	1994-04-11	VYDAJ	PREVOD NA UCET	4922	45383	SIPO	GH	49400448
906980	3091	1994-05-11	VYDAJ	PREVOD NA UCET	4922	45112	SIPO	GH	49400448
906981	3091	1994-06-11	VYDAJ	PREVOD NA UCET	4922	48623	SIPO	GH	49400448
906982	3091	1994-07-11	VYDAJ	PREVOD NA UCET	4922	40748	SIPO	GH	49400448
906983	3091	1994-08-11	VYDAJ	PREVOD NA UCET	4922	39470	SIPO	GH	49400448
906984	3091	1994-09-11	VYDAJ	PREVOD NA UCET	4922	40991	SIPO	GH	49400448
906985	3091	1994-10-11	VYDAJ	PREVOD NA UCET	4922	41315	SIPO	GH	49400448
906986	3091	1994-11-11	VYDAJ	PREVOD NA UCET	4922	43842	SIPO	GH	49400448
906987	3091	1994-12-11	VYDAJ	PREVOD NA UCET	4922	50060	SIPO	GH	49400448
906988	3091	1995-01-11	VYDAJ	PREVOD NA UCET	4922	45502	SIPO	GH	49400448
906989	3091	1995-02-11	VYDAJ	PREVOD NA UCET	4922	37615	SIPO	GH	49400448
906990	3091	1995-03-11	VYDAJ	PREVOD NA UCET	4922	40619	SIPO	GH	49400448
906991	3091	1995-04-11	VYDAJ	PREVOD NA UCET	4922	45127	SIPO	GH	49400448
906992	3091	1995-05-11	VYDAJ	PREVOD NA UCET	4922	49064	SIPO	GH	49400448
906993	3091	1995-06-11	VYDAJ	PREVOD NA UCET	4922	48089	SIPO	GH	49400448
906994	3091	1995-07-11	VYDAJ	PREVOD NA UCET	4922	47444	SIPO	GH	49400448
906995	3091	1995-08-11	VYDAJ	PREVOD NA UCET	4922	43977	SIPO	GH	49400448
906996	3091	1995-09-11	VYDAJ	PREVOD NA UCET	4922	49699	SIPO	GH	49400448
906997	3091	1995-10-11	VYDAJ	PREVOD NA UCET	4922	49445	SIPO	GH	49400448
906998	3091	1995-11-11	VYDAJ	PREVOD NA UCET	4922	46291	SIPO	GH	49400448
906999	3091	1995-12-11	VYDAJ	PREVOD NA UCET	4922	57810	SIPO	GH	49400448
907000	3091	1996-01-11	VYDAJ	PREVOD NA UCET	4922	45973	SIPO	GH	49400448
907001	3091	1996-02-11	VYDAJ	PREVOD NA UCET	4922	47900	SIPO	GH	49400448
907002	3091	1996-03-11	VYDAJ	PREVOD NA UCET	4922	55544	SIPO	GH	49400448
907003	3091	1996-04-11	VYDAJ	PREVOD NA UCET	4922	51621	SIPO	GH	49400448
907004	3091	1996-05-11	VYDAJ	PREVOD NA UCET	4922	57692	SIPO	GH	49400448
907005	3091	1996-06-11	VYDAJ	PREVOD NA UCET	4922	59848	SIPO	GH	49400448
907006	3091	1996-07-11	VYDAJ	PREVOD NA UCET	4922	57323	SIPO	GH	49400448
907007	3091	1996-08-11	VYDAJ	PREVOD NA UCET	4922	59485	SIPO	GH	49400448
907008	3091	1996-09-11	VYDAJ	PREVOD NA UCET	4922	60255	SIPO	GH	49400448
907009	3091	1996-10-11	VYDAJ	PREVOD NA UCET	4922	58842	SIPO	GH	49400448
907010	3091	1996-11-11	VYDAJ	PREVOD NA UCET	4922	58423	SIPO	GH	49400448
907011	3091	1996-12-11	VYDAJ	PREVOD NA UCET	4922	64573	SIPO	GH	49400448
907012	3091	1997-01-11	VYDAJ	PREVOD NA UCET	4922	54548	SIPO	GH	49400448
907013	3091	1997-02-11	VYDAJ	PREVOD NA UCET	4922	40693	SIPO	GH	49400448
907014	3091	1997-03-11	VYDAJ	PREVOD NA UCET	4922	55209	SIPO	GH	49400448
907015	3091	1997-04-11	VYDAJ	PREVOD NA UCET	4922	49153	SIPO	GH	49400448
907016	3091	1997-05-11	VYDAJ	PREVOD NA UCET	4922	54591	SIPO	GH	49400448
907017	3091	1997-06-11	VYDAJ	PREVOD NA UCET	4922	45723	SIPO	GH	49400448
907018	3091	1997-07-11	VYDAJ	PREVOD NA UCET	4922	54253	SIPO	GH	49400448
907019	3091	1997-08-11	VYDAJ	PREVOD NA UCET	4922	58013	SIPO	GH	49400448
907020	3091	1997-09-11	VYDAJ	PREVOD NA UCET	4922	56974	SIPO	GH	49400448
907021	3091	1997-10-11	VYDAJ	PREVOD NA UCET	4922	50933	SIPO	GH	49400448
907022	3091	1997-11-11	VYDAJ	PREVOD NA UCET	4922	53776	SIPO	GH	49400448
907023	3091	1997-12-11	VYDAJ	PREVOD NA UCET	4922	57802	SIPO	GH	49400448
907024	3091	1998-01-11	VYDAJ	PREVOD NA UCET	4922	51463	SIPO	GH	49400448
907025	3091	1998-02-11	VYDAJ	PREVOD NA UCET	4922	47995	SIPO	GH	49400448
907026	3091	1998-03-11	VYDAJ	PREVOD NA UCET	4922	51021	SIPO	GH	49400448
907027	3091	1998-04-11	VYDAJ	PREVOD NA UCET	4922	55767	SIPO	GH	49400448
907028	3091	1998-05-11	VYDAJ	PREVOD NA UCET	4922	60425	SIPO	GH	49400448
907029	3091	1998-06-11	VYDAJ	PREVOD NA UCET	4922	70578	SIPO	GH	49400448
907030	3091	1998-07-11	VYDAJ	PREVOD NA UCET	4922	38961	SIPO	GH	49400448
907031	3091	1998-08-11	VYDAJ	PREVOD NA UCET	4922	49257	SIPO	GH	49400448
907032	3091	1998-09-11	VYDAJ	PREVOD NA UCET	4922	58699	SIPO	GH	49400448
907033	3091	1998-10-11	VYDAJ	PREVOD NA UCET	4922	63670	SIPO	GH	49400448
907034	3091	1998-11-11	VYDAJ	PREVOD NA UCET	4922	64048	SIPO	GH	49400448
907035	3091	1998-12-11	VYDAJ	PREVOD NA UCET	4922	75919	SIPO	GH	49400448
907052	3091	1994-05-09	VYDAJ	PREVOD NA UCET	3387	42166	 	QR	20404392
907053	3091	1994-06-09	VYDAJ	PREVOD NA UCET	3387	36593	 	QR	20404392
907054	3091	1994-07-09	VYDAJ	PREVOD NA UCET	3387	29702	 	QR	20404392
907055	3091	1994-08-09	VYDAJ	PREVOD NA UCET	3387	28424	 	QR	20404392
907056	3091	1994-09-09	VYDAJ	PREVOD NA UCET	3387	29945	 	QR	20404392
907057	3091	1994-10-09	VYDAJ	PREVOD NA UCET	3387	30269	 	QR	20404392
907058	3091	1994-11-09	VYDAJ	PREVOD NA UCET	3387	32796	 	QR	20404392
907059	3091	1994-12-09	VYDAJ	PREVOD NA UCET	3387	31030	 	QR	20404392
907060	3091	1995-01-09	VYDAJ	PREVOD NA UCET	3387	34456	 	QR	20404392
907061	3091	1995-02-09	VYDAJ	PREVOD NA UCET	3387	26569	 	QR	20404392
907062	3091	1995-03-09	VYDAJ	PREVOD NA UCET	3387	29573	 	QR	20404392
907063	3091	1995-04-09	VYDAJ	PREVOD NA UCET	3387	34081	 	QR	20404392
907064	3091	1995-05-09	VYDAJ	PREVOD NA UCET	3387	38018	 	QR	20404392
907065	3091	1995-06-09	VYDAJ	PREVOD NA UCET	3387	37159	 	QR	20404392
907066	3091	1995-07-09	VYDAJ	PREVOD NA UCET	3387	36398	 	QR	20404392
907067	3091	1995-08-09	VYDAJ	PREVOD NA UCET	3387	32931	 	QR	20404392
907068	3091	1995-09-09	VYDAJ	PREVOD NA UCET	3387	38653	 	QR	20404392
907069	3091	1995-10-09	VYDAJ	PREVOD NA UCET	3387	38399	 	QR	20404392
907070	3091	1995-11-09	VYDAJ	PREVOD NA UCET	3387	35245	 	QR	20404392
907071	3091	1995-12-09	VYDAJ	PREVOD NA UCET	3387	38780	 	QR	20404392
907072	3091	1996-01-09	VYDAJ	PREVOD NA UCET	3387	34927	 	QR	20404392
907073	3091	1996-02-09	VYDAJ	PREVOD NA UCET	3387	36854	 	QR	20404392
907074	3091	1996-03-09	VYDAJ	PREVOD NA UCET	3387	44498	 	QR	20404392
907075	3091	1996-04-09	VYDAJ	PREVOD NA UCET	3387	45075	 	QR	20404392
907076	3091	1996-05-09	VYDAJ	PREVOD NA UCET	3387	46646	 	QR	20404392
907077	3091	1996-06-09	VYDAJ	PREVOD NA UCET	3387	40818	 	QR	20404392
907078	3091	1996-07-09	VYDAJ	PREVOD NA UCET	3387	46277	 	QR	20404392
907079	3091	1996-08-09	VYDAJ	PREVOD NA UCET	3387	48439	 	QR	20404392
907080	3091	1996-09-09	VYDAJ	PREVOD NA UCET	3387	49209	 	QR	20404392
907081	3091	1996-10-09	VYDAJ	PREVOD NA UCET	3387	47796	 	QR	20404392
907082	3091	1996-11-09	VYDAJ	PREVOD NA UCET	3387	47377	 	QR	20404392
907083	3091	1996-12-09	VYDAJ	PREVOD NA UCET	3387	45543	 	QR	20404392
907084	3091	1997-01-09	VYDAJ	PREVOD NA UCET	3387	45502	 	QR	20404392
907085	3091	1997-02-09	VYDAJ	PREVOD NA UCET	3387	29647	 	QR	20404392
907086	3091	1997-03-09	VYDAJ	PREVOD NA UCET	3387	44163	 	QR	20404392
907087	3091	1997-04-09	VYDAJ	PREVOD NA UCET	3387	38107	 	QR	20404392
907088	3091	1997-05-09	VYDAJ	PREVOD NA UCET	3387	43545	 	QR	20404392
907089	3091	1997-06-09	VYDAJ	PREVOD NA UCET	3387	26693	 	QR	20404392
907090	3091	1997-07-09	VYDAJ	PREVOD NA UCET	3387	43207	 	QR	20404392
907091	3091	1997-08-09	VYDAJ	PREVOD NA UCET	3387	46967	 	QR	20404392
907092	3091	1997-09-09	VYDAJ	PREVOD NA UCET	3387	45928	 	QR	20404392
907093	3091	1997-10-09	VYDAJ	PREVOD NA UCET	3387	39887	 	QR	20404392
907094	3091	1997-11-09	VYDAJ	PREVOD NA UCET	3387	42730	 	QR	20404392
907095	3091	1997-12-09	VYDAJ	PREVOD NA UCET	3387	38772	 	QR	20404392
907096	3091	1998-01-09	VYDAJ	PREVOD NA UCET	3387	40417	 	QR	20404392
907097	3091	1998-02-09	VYDAJ	PREVOD NA UCET	3387	36949	 	QR	20404392
907098	3091	1998-03-09	VYDAJ	PREVOD NA UCET	3387	39975	 	QR	20404392
907099	3091	1998-04-09	VYDAJ	PREVOD NA UCET	3387	44721	 	QR	20404392
907100	3091	1998-05-09	VYDAJ	PREVOD NA UCET	3387	49379	 	QR	20404392
907101	3091	1998-06-09	VYDAJ	PREVOD NA UCET	3387	51548	 	QR	20404392
907102	3091	1998-07-09	VYDAJ	PREVOD NA UCET	3387	27915	 	QR	20404392
907103	3091	1998-08-09	VYDAJ	PREVOD NA UCET	3387	38211	 	QR	20404392
907104	3091	1998-09-09	VYDAJ	PREVOD NA UCET	3387	47653	 	QR	20404392
907105	3091	1998-10-09	VYDAJ	PREVOD NA UCET	3387	52624	 	QR	20404392
907106	3091	1998-11-09	VYDAJ	PREVOD NA UCET	3387	53002	 	QR	20404392
907107	3091	1998-12-09	VYDAJ	PREVOD NA UCET	3387	56889	 	QR	20404392
907109	3091	1994-06-18	VYDAJ	VYBER	10300	38323	\N	\N	\N
907110	3091	1995-06-10	VYDAJ	VYBER	8100	29059	\N	\N	\N
907111	3091	1996-06-04	VYDAJ	VYBER	7100	44205	\N	\N	\N
907112	3091	1997-06-03	VYDAJ	VYBER	17300	30080	\N	\N	\N
907113	3091	1998-06-27	VYDAJ	VYBER	29200	31078	\N	\N	\N
907116	3091	1995-01-15	VYDAJ	VYBER	7900	35702	\N	\N	\N
907117	3091	1996-01-08	VYDAJ	VYBER	8900	38314	\N	\N	\N
907118	3091	1997-01-29	VYDAJ	VYBER	8000	32848	\N	\N	\N
907119	3091	1998-01-03	VYDAJ	VYBER	3300	43804	\N	\N	\N
907121	3091	1994-12-09	VYDAJ	VYBER	2000	34417	\N	\N	\N
907122	3091	1995-12-04	VYDAJ	VYBER	800	42167	\N	\N	\N
907123	3091	1996-12-12	VYDAJ	VYBER	1900	62673	\N	\N	\N
907124	3091	1997-12-20	VYDAJ	VYBER	600	57202	\N	\N	\N
907125	3091	1998-12-30	VYDAJ	VYBER	1000	65019	\N	\N	\N
907138	3091	1995-01-25	VYDAJ	VYBER	500	32902	\N	\N	\N
907139	3091	1995-01-27	VYDAJ	VYBER	700	32202	\N	\N	\N
907140	3091	1995-01-15	VYDAJ	VYBER	1900	43602	\N	\N	\N
907141	3091	1995-01-23	VYDAJ	VYBER	900	33402	\N	\N	\N
907142	3091	1995-01-02	VYDAJ	VYBER	2700	47543	\N	\N	\N
907143	3091	1995-01-22	VYDAJ	VYBER	1400	34302	\N	\N	\N
907144	3091	1996-01-22	VYDAJ	VYBER	1700	39373	\N	\N	\N
907145	3091	1996-01-20	VYDAJ	VYBER	2800	41073	\N	\N	\N
907146	3091	1996-01-04	VYDAJ	VYBER	1200	47214	\N	\N	\N
907147	3091	1996-01-17	VYDAJ	VYBER	2100	43873	\N	\N	\N
907148	3091	1996-01-01	VYDAJ	VYBER	1300	48414	\N	\N	\N
907149	3091	1996-01-29	VYDAJ	VYBER	1200	38173	\N	\N	\N
907150	3091	1997-01-29	VYDAJ	VYBER	1500	40848	\N	\N	\N
907151	3091	1997-01-07	VYDAJ	VYBER	2700	48889	\N	\N	\N
907152	3091	1997-01-15	VYDAJ	VYBER	2500	49448	\N	\N	\N
907153	3091	1997-01-11	VYDAJ	VYBER	2000	59470	\N	\N	\N
907154	3091	1997-01-14	VYDAJ	VYBER	2600	51948	\N	\N	\N
907155	3091	1997-01-25	VYDAJ	VYBER	2500	42348	\N	\N	\N
907156	3091	1998-01-15	VYDAJ	VYBER	1300	48163	\N	\N	\N
907157	3091	1998-01-27	VYDAJ	VYBER	1200	45263	\N	\N	\N
907158	3091	1998-01-29	VYDAJ	VYBER	2700	42563	\N	\N	\N
907159	3091	1998-01-30	VYDAJ	VYBER	2400	40163	\N	\N	\N
907160	3091	1998-01-02	VYDAJ	VYBER	1500	47104	\N	\N	\N
907161	3091	1998-01-14	VYDAJ	VYBER	2000	49463	\N	\N	\N
907170	3091	1994-05-12	VYDAJ	VYBER	1800	43312	\N	\N	\N
907171	3091	1994-06-02	VYDAJ	VYBER	3500	39980	\N	\N	\N
907172	3091	1995-11-09	VYDAJ	VYBER	4600	38632	\N	\N	\N
907173	3091	1995-10-30	VYDAJ	VYBER	2300	47145	\N	\N	\N
907174	3091	1995-07-14	VYDAJ	VYBER	2900	44544	\N	\N	\N
907175	3091	1995-07-26	VYDAJ	VYBER	2300	42244	\N	\N	\N
907176	3091	1995-09-18	VYDAJ	VYBER	500	49199	\N	\N	\N
907177	3091	1996-08-12	VYDAJ	VYBER	3600	55885	\N	\N	\N
907178	3091	1996-04-01	VYDAJ	VYBER	4600	48462	\N	\N	\N
907179	3091	1996-04-09	VYDAJ	VYBER	4500	40575	\N	\N	\N
907180	3091	1996-05-02	VYDAJ	VYBER	2500	50033	\N	\N	\N
907181	3091	1996-11-22	VYDAJ	VYBER	2900	55523	\N	\N	\N
907182	3091	1996-06-20	VYDAJ	VYBER	4800	55048	\N	\N	\N
907183	3091	1996-07-12	VYDAJ	VYBER	3000	54323	\N	\N	\N
907184	3091	1997-09-27	VYDAJ	VYBER	3400	43074	\N	\N	\N
907185	3091	1997-03-15	VYDAJ	VYBER	1900	49609	\N	\N	\N
907186	3091	1997-03-12	VYDAJ	VYBER	3700	51509	\N	\N	\N
907187	3091	1997-05-12	VYDAJ	VYBER	2200	52391	\N	\N	\N
907188	3091	1997-12-08	VYDAJ	VYBER	700	42159	\N	\N	\N
907189	3091	1997-12-05	VYDAJ	VYBER	3100	42859	\N	\N	\N
907190	3091	1997-04-08	VYDAJ	VYBER	4100	41494	\N	\N	\N
907191	3091	1998-03-07	VYDAJ	VYBER	3100	43362	\N	\N	\N
907192	3091	1998-02-14	VYDAJ	VYBER	1700	46295	\N	\N	\N
907193	3091	1998-04-14	VYDAJ	VYBER	1800	53967	\N	\N	\N
907194	3091	1998-05-13	VYDAJ	VYBER	4800	55625	\N	\N	\N
907211	3091	1994-04-30	VYDAJ	VYBER	15	45553	SLUZBY	\N	\N
907212	3091	1994-05-31	VYDAJ	VYBER	15	43480	SLUZBY	\N	\N
907213	3091	1994-06-30	VYDAJ	VYBER	15	38489	SLUZBY	\N	\N
907214	3091	1994-07-31	VYDAJ	VYBER	15	40911	SLUZBY	\N	\N
907215	3091	1994-08-31	VYDAJ	VYBER	15	39632	SLUZBY	\N	\N
907216	3091	1994-09-30	VYDAJ	VYBER	15	41156	SLUZBY	\N	\N
907217	3091	1994-10-31	VYDAJ	VYBER	15	41483	SLUZBY	\N	\N
907218	3091	1994-11-30	VYDAJ	VYBER	15	44017	SLUZBY	\N	\N
907219	3091	1994-12-31	VYDAJ	VYBER	15	50243	SLUZBY	\N	\N
907220	3091	1995-01-31	VYDAJ	VYBER	15	32356	SLUZBY	\N	\N
907221	3091	1995-02-28	VYDAJ	VYBER	15	37760	SLUZBY	\N	\N
907222	3091	1995-03-31	VYDAJ	VYBER	15	40768	SLUZBY	\N	\N
907223	3091	1995-04-30	VYDAJ	VYBER	15	45305	SLUZBY	\N	\N
907224	3091	1995-05-31	VYDAJ	VYBER	15	49246	SLUZBY	\N	\N
907225	3091	1995-06-30	VYDAJ	VYBER	15	48285	SLUZBY	\N	\N
907226	3091	1995-07-31	VYDAJ	VYBER	15	42418	SLUZBY	\N	\N
907227	3091	1995-08-31	VYDAJ	VYBER	15	44140	SLUZBY	\N	\N
907228	3091	1995-09-30	VYDAJ	VYBER	15	49386	SLUZBY	\N	\N
907229	3091	1995-10-31	VYDAJ	VYBER	15	47332	SLUZBY	\N	\N
907230	3091	1995-11-30	VYDAJ	VYBER	15	46467	SLUZBY	\N	\N
907231	3091	1995-12-31	VYDAJ	VYBER	15	58014	SLUZBY	\N	\N
907232	3091	1996-01-31	VYDAJ	VYBER	15	40241	SLUZBY	\N	\N
907233	3091	1996-02-29	VYDAJ	VYBER	15	47885	SLUZBY	\N	\N
907234	3091	1996-03-31	VYDAJ	VYBER	15	53062	SLUZBY	\N	\N
907235	3091	1996-04-30	VYDAJ	VYBER	15	52533	SLUZBY	\N	\N
907236	3091	1996-05-31	VYDAJ	VYBER	15	51305	SLUZBY	\N	\N
907237	3091	1996-06-30	VYDAJ	VYBER	15	49664	SLUZBY	\N	\N
907238	3091	1996-07-31	VYDAJ	VYBER	15	51826	SLUZBY	\N	\N
907239	3091	1996-08-31	VYDAJ	VYBER	15	52596	SLUZBY	\N	\N
907240	3091	1996-09-30	VYDAJ	VYBER	15	51183	SLUZBY	\N	\N
907241	3091	1996-10-31	VYDAJ	VYBER	15	50764	SLUZBY	\N	\N
907242	3091	1996-11-30	VYDAJ	VYBER	15	48930	SLUZBY	\N	\N
907243	3091	1996-12-31	VYDAJ	VYBER	15	51589	SLUZBY	\N	\N
907244	3091	1997-01-31	VYDAJ	VYBER	15	33034	SLUZBY	\N	\N
907245	3091	1997-02-28	VYDAJ	VYBER	15	47550	SLUZBY	\N	\N
907246	3091	1997-03-31	VYDAJ	VYBER	15	45594	SLUZBY	\N	\N
907247	3091	1997-04-30	VYDAJ	VYBER	15	46932	SLUZBY	\N	\N
907248	3091	1997-05-31	VYDAJ	VYBER	15	47380	SLUZBY	\N	\N
907249	3091	1997-06-30	VYDAJ	VYBER	15	46594	SLUZBY	\N	\N
907250	3091	1997-07-31	VYDAJ	VYBER	15	50354	SLUZBY	\N	\N
907251	3091	1997-08-31	VYDAJ	VYBER	15	49315	SLUZBY	\N	\N
907252	3091	1997-09-30	VYDAJ	VYBER	15	43274	SLUZBY	\N	\N
907253	3091	1997-10-31	VYDAJ	VYBER	15	46117	SLUZBY	\N	\N
907254	3091	1997-11-30	VYDAJ	VYBER	15	45959	SLUZBY	\N	\N
907255	3091	1997-12-31	VYDAJ	VYBER	15	48604	SLUZBY	\N	\N
907256	3091	1998-01-31	VYDAJ	VYBER	15	40336	SLUZBY	\N	\N
907257	3091	1998-02-28	VYDAJ	VYBER	15	46462	SLUZBY	\N	\N
907258	3091	1998-03-31	VYDAJ	VYBER	15	48108	SLUZBY	\N	\N
907259	3091	1998-04-30	VYDAJ	VYBER	15	52766	SLUZBY	\N	\N
907260	3091	1998-05-31	VYDAJ	VYBER	15	54935	SLUZBY	\N	\N
907261	3091	1998-06-30	VYDAJ	VYBER	15	31302	SLUZBY	\N	\N
907262	3091	1998-07-31	VYDAJ	VYBER	15	41598	SLUZBY	\N	\N
907263	3091	1998-08-31	VYDAJ	VYBER	15	51040	SLUZBY	\N	\N
907264	3091	1998-09-30	VYDAJ	VYBER	15	56011	SLUZBY	\N	\N
907265	3091	1998-10-31	VYDAJ	VYBER	15	56389	SLUZBY	\N	\N
907266	3091	1998-11-30	VYDAJ	VYBER	15	60276	SLUZBY	\N	\N
907267	3091	1993-12-11	VYDAJ	VYBER	100	24052	\N	\N	\N
907268	3091	1994-01-10	VYDAJ	VYBER	100	24020	\N	\N	\N
907269	3091	1994-02-09	VYDAJ	VYBER	9100	31033	\N	\N	\N
907270	3091	1994-03-11	VYDAJ	VYBER	21000	42155	\N	\N	\N
907271	3091	1994-04-10	VYDAJ	VYBER	8000	34337	\N	\N	\N
907272	3091	1994-05-10	VYDAJ	VYBER	8100	34066	\N	\N	\N
907273	3091	1994-06-09	VYDAJ	VYBER	7000	29593	\N	\N	\N
907274	3091	1994-07-09	VYDAJ	VYBER	5400	33089	\N	\N	\N
907275	3091	1994-08-08	VYDAJ	VYBER	9100	31811	\N	\N	\N
907276	3091	1994-09-07	VYDAJ	VYBER	6300	33332	\N	\N	\N
907277	3091	1994-10-07	VYDAJ	VYBER	7500	33656	\N	\N	\N
907278	3091	1994-11-06	VYDAJ	VYBER	5300	36183	\N	\N	\N
907279	3091	1994-12-06	VYDAJ	VYBER	7600	36417	\N	\N	\N
907280	3091	1995-01-05	VYDAJ	VYBER	9700	37843	\N	\N	\N
907281	3091	1995-02-04	VYDAJ	VYBER	2400	29956	\N	\N	\N
907282	3091	1995-03-06	VYDAJ	VYBER	4800	32960	\N	\N	\N
907283	3091	1995-04-05	VYDAJ	VYBER	3300	37468	\N	\N	\N
907284	3091	1995-05-05	VYDAJ	VYBER	3900	41405	\N	\N	\N
907285	3091	1995-06-04	VYDAJ	VYBER	8700	40546	\N	\N	\N
907286	3091	1995-07-04	VYDAJ	VYBER	8500	39785	\N	\N	\N
907287	3091	1995-08-03	VYDAJ	VYBER	6100	36318	\N	\N	\N
907288	3091	1995-09-02	VYDAJ	VYBER	2100	42040	\N	\N	\N
907289	3091	1995-10-02	VYDAJ	VYBER	7600	41786	\N	\N	\N
907290	3091	1995-11-01	VYDAJ	VYBER	4100	43232	\N	\N	\N
907291	3091	1995-12-01	VYDAJ	VYBER	3500	42967	\N	\N	\N
907292	3091	1995-12-31	VYDAJ	VYBER	8300	49714	\N	\N	\N
907293	3091	1996-01-30	PRIJEM	VKLAD	1900	40073	\N	\N	\N
907294	3091	1996-02-29	VYDAJ	VYBER	200	47900	\N	\N	\N
907295	3091	1996-03-30	VYDAJ	VYBER	2700	52844	\N	\N	\N
907296	3091	1996-04-29	PRIJEM	VKLAD	700	52321	\N	\N	\N
907297	3091	1996-05-29	VYDAJ	VYBER	6600	51092	\N	\N	\N
907298	3091	1996-06-28	VYDAJ	VYBER	5600	49448	\N	\N	\N
907299	3091	1996-07-28	VYDAJ	VYBER	2700	51623	\N	\N	\N
907300	3091	1996-08-27	VYDAJ	VYBER	3500	52385	\N	\N	\N
907301	3091	1996-09-26	VYDAJ	VYBER	9300	50955	\N	\N	\N
907302	3091	1996-10-26	VYDAJ	VYBER	8300	50542	\N	\N	\N
907303	3091	1996-11-25	VYDAJ	VYBER	6800	48723	\N	\N	\N
907304	3091	1996-12-25	VYDAJ	VYBER	11300	51373	\N	\N	\N
907305	3091	1997-01-24	VYDAJ	VYBER	4600	44848	\N	\N	\N
907306	3091	1997-02-23	PRIJEM	VKLAD	6700	47393	\N	\N	\N
907307	3091	1997-03-25	VYDAJ	VYBER	4200	45409	\N	\N	\N
907308	3091	1997-04-24	VYDAJ	VYBER	2400	46753	\N	\N	\N
907309	3091	1997-05-24	VYDAJ	VYBER	5200	47191	\N	\N	\N
907310	3091	1997-06-23	PRIJEM	VKLAD	700	46423	\N	\N	\N
907311	3091	1997-07-23	VYDAJ	VYBER	4100	50153	\N	\N	\N
907312	3091	1997-08-22	VYDAJ	VYBER	8900	49113	\N	\N	\N
907313	3091	1997-09-21	VYDAJ	VYBER	10500	46474	\N	\N	\N
907314	3091	1997-10-21	VYDAJ	VYBER	5000	45933	\N	\N	\N
907315	3091	1997-11-20	VYDAJ	VYBER	8000	45776	\N	\N	\N
907316	3091	1997-12-20	VYDAJ	VYBER	8800	48402	\N	\N	\N
907317	3091	1998-01-19	VYDAJ	VYBER	1700	46463	\N	\N	\N
907318	3091	1998-03-20	VYDAJ	VYBER	3100	47921	\N	\N	\N
907319	3091	1998-04-19	VYDAJ	VYBER	1400	52567	\N	\N	\N
907320	3091	1998-05-19	VYDAJ	VYBER	900	54725	\N	\N	\N
907321	3091	1998-06-18	VYDAJ	VYBER	10300	60278	\N	\N	\N
907322	3091	1998-07-18	PRIJEM	VKLAD	2500	41461	\N	\N	\N
907323	3091	1998-08-17	PRIJEM	VKLAD	1600	50857	\N	\N	\N
907324	3091	1998-09-16	VYDAJ	VYBER	2900	55799	\N	\N	\N
907325	3091	1998-10-16	VYDAJ	VYBER	7500	56170	\N	\N	\N
907326	3091	1998-11-15	VYDAJ	VYBER	4000	60048	\N	\N	\N
907327	3091	1998-12-15	VYDAJ	VYBER	9900	66019	\N	\N	\N
907389	3092	1995-12-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
907402	3092	1996-01-13	PRIJEM	PREVOD Z UCTU	5649	6649	DUCHOD	GH	61639571
907403	3092	1996-02-13	PRIJEM	PREVOD Z UCTU	5649	12298	DUCHOD	GH	61639571
907404	3092	1996-03-13	PRIJEM	PREVOD Z UCTU	5649	17947	DUCHOD	GH	61639571
907405	3092	1996-04-13	PRIJEM	PREVOD Z UCTU	5649	23596	DUCHOD	GH	61639571
907406	3092	1996-05-13	PRIJEM	PREVOD Z UCTU	5649	29245	DUCHOD	GH	61639571
907407	3092	1996-06-13	PRIJEM	PREVOD Z UCTU	5649	24257	DUCHOD	GH	61639571
907408	3092	1996-07-13	PRIJEM	PREVOD Z UCTU	5649	26771	DUCHOD	GH	61639571
907409	3092	1996-08-13	PRIJEM	PREVOD Z UCTU	5649	23223	DUCHOD	GH	61639571
907410	3092	1996-09-13	PRIJEM	PREVOD Z UCTU	5649	22406	DUCHOD	GH	61639571
907411	3092	1996-10-13	PRIJEM	PREVOD Z UCTU	5649	21151	DUCHOD	GH	61639571
907412	3092	1996-11-13	PRIJEM	PREVOD Z UCTU	5649	24549	DUCHOD	GH	61639571
907413	3092	1996-12-13	PRIJEM	PREVOD Z UCTU	5649	25754	DUCHOD	GH	61639571
907414	3092	1997-01-13	PRIJEM	PREVOD Z UCTU	5649	27667	DUCHOD	GH	61639571
907415	3092	1997-02-13	PRIJEM	PREVOD Z UCTU	5649	19531	DUCHOD	GH	61639571
907416	3092	1997-03-13	PRIJEM	PREVOD Z UCTU	5649	19874	DUCHOD	GH	61639571
907417	3092	1997-04-13	PRIJEM	PREVOD Z UCTU	5649	21703	DUCHOD	GH	61639571
907418	3092	1997-05-13	PRIJEM	PREVOD Z UCTU	5649	23102	DUCHOD	GH	61639571
907419	3092	1997-06-13	PRIJEM	PREVOD Z UCTU	5649	21205	DUCHOD	GH	61639571
907420	3092	1997-07-13	PRIJEM	PREVOD Z UCTU	5649	22605	DUCHOD	GH	61639571
907421	3092	1997-08-13	PRIJEM	PREVOD Z UCTU	5649	22211	DUCHOD	GH	61639571
907422	3092	1997-09-13	PRIJEM	PREVOD Z UCTU	5649	21318	DUCHOD	GH	61639571
907423	3092	1997-10-13	PRIJEM	PREVOD Z UCTU	5649	20222	DUCHOD	GH	61639571
907424	3092	1997-11-13	PRIJEM	PREVOD Z UCTU	5649	20628	DUCHOD	GH	61639571
907425	3092	1997-12-13	PRIJEM	PREVOD Z UCTU	5649	19777	DUCHOD	GH	61639571
907426	3092	1998-01-13	PRIJEM	PREVOD Z UCTU	5649	19647	DUCHOD	GH	61639571
907427	3092	1998-02-13	PRIJEM	PREVOD Z UCTU	5649	18037	DUCHOD	GH	61639571
907428	3092	1998-03-13	PRIJEM	PREVOD Z UCTU	5649	20727	DUCHOD	GH	61639571
907574	3092	1997-10-31	VYDAJ	VYBER	15	17979	SLUZBY	\N	\N
907429	3092	1998-04-13	PRIJEM	PREVOD Z UCTU	5649	19529	DUCHOD	GH	61639571
907430	3092	1998-05-13	PRIJEM	PREVOD Z UCTU	5649	22031	DUCHOD	GH	61639571
907431	3092	1998-06-13	PRIJEM	PREVOD Z UCTU	5649	24632	DUCHOD	GH	61639571
907432	3092	1998-07-13	PRIJEM	PREVOD Z UCTU	5649	23468	DUCHOD	GH	61639571
907433	3092	1998-08-13	PRIJEM	PREVOD Z UCTU	5649	22677	DUCHOD	GH	61639571
907434	3092	1998-09-13	PRIJEM	PREVOD Z UCTU	5649	17087	DUCHOD	GH	61639571
907435	3092	1998-10-13	PRIJEM	PREVOD Z UCTU	5649	20481	DUCHOD	GH	61639571
907436	3092	1998-11-13	PRIJEM	PREVOD Z UCTU	5649	21374	DUCHOD	GH	61639571
907437	3092	1998-12-13	PRIJEM	PREVOD Z UCTU	5649	20370	DUCHOD	GH	61639571
907454	3092	1996-05-13	VYDAJ	PREVOD NA UCET	2311	26934	SIPO	EF	57711619
907455	3092	1996-06-13	VYDAJ	PREVOD NA UCET	2311	21946	SIPO	EF	57711619
907456	3092	1996-07-13	VYDAJ	PREVOD NA UCET	2311	24460	SIPO	EF	57711619
907457	3092	1996-08-13	VYDAJ	PREVOD NA UCET	2311	20912	SIPO	EF	57711619
907458	3092	1996-09-13	VYDAJ	PREVOD NA UCET	2311	20095	SIPO	EF	57711619
907459	3092	1996-10-13	VYDAJ	PREVOD NA UCET	2311	18840	SIPO	EF	57711619
907460	3092	1996-11-13	VYDAJ	PREVOD NA UCET	2311	22238	SIPO	EF	57711619
907461	3092	1996-12-13	VYDAJ	PREVOD NA UCET	2311	23443	SIPO	EF	57711619
907462	3092	1997-01-13	VYDAJ	PREVOD NA UCET	2311	25356	SIPO	EF	57711619
907463	3092	1997-02-13	VYDAJ	PREVOD NA UCET	2311	17220	SIPO	EF	57711619
907464	3092	1997-03-13	VYDAJ	PREVOD NA UCET	2311	17563	SIPO	EF	57711619
907465	3092	1997-04-13	VYDAJ	PREVOD NA UCET	2311	17392	SIPO	EF	57711619
907466	3092	1997-05-13	VYDAJ	PREVOD NA UCET	2311	17891	SIPO	EF	57711619
907467	3092	1997-06-13	VYDAJ	PREVOD NA UCET	2311	18894	SIPO	EF	57711619
907468	3092	1997-07-13	VYDAJ	PREVOD NA UCET	2311	20294	SIPO	EF	57711619
907469	3092	1997-08-13	VYDAJ	PREVOD NA UCET	2311	19900	SIPO	EF	57711619
907470	3092	1997-09-13	VYDAJ	PREVOD NA UCET	2311	19007	SIPO	EF	57711619
907471	3092	1997-10-13	VYDAJ	PREVOD NA UCET	2311	17911	SIPO	EF	57711619
907472	3092	1997-11-13	VYDAJ	PREVOD NA UCET	2311	18317	SIPO	EF	57711619
907473	3092	1997-12-13	VYDAJ	PREVOD NA UCET	2311	17466	SIPO	EF	57711619
907474	3092	1998-01-13	VYDAJ	PREVOD NA UCET	2311	17336	SIPO	EF	57711619
907475	3092	1998-02-13	VYDAJ	PREVOD NA UCET	2311	15726	SIPO	EF	57711619
907476	3092	1998-03-13	VYDAJ	PREVOD NA UCET	2311	18416	SIPO	EF	57711619
907477	3092	1998-04-13	VYDAJ	PREVOD NA UCET	2311	17218	SIPO	EF	57711619
907478	3092	1998-05-13	VYDAJ	PREVOD NA UCET	2311	19720	SIPO	EF	57711619
907479	3092	1998-06-13	VYDAJ	PREVOD NA UCET	2311	22321	SIPO	EF	57711619
907480	3092	1998-07-13	VYDAJ	PREVOD NA UCET	2311	21157	SIPO	EF	57711619
907481	3092	1998-08-13	VYDAJ	PREVOD NA UCET	2311	20366	SIPO	EF	57711619
907482	3092	1998-09-13	VYDAJ	PREVOD NA UCET	2311	14776	SIPO	EF	57711619
907483	3092	1998-10-13	VYDAJ	PREVOD NA UCET	2311	18170	SIPO	EF	57711619
907484	3092	1998-11-13	VYDAJ	PREVOD NA UCET	2311	19063	SIPO	EF	57711619
907485	3092	1998-12-13	VYDAJ	PREVOD NA UCET	2311	18059	SIPO	EF	57711619
907487	3092	1996-06-01	VYDAJ	VYBER	7900	19088	\N	\N	\N
907492	3092	1997-01-18	VYDAJ	VYBER	3000	17896	\N	\N	\N
907493	3092	1998-01-04	VYDAJ	VYBER	2650	14878	\N	\N	\N
907495	3092	1996-12-16	VYDAJ	VYBER	900	21943	\N	\N	\N
907496	3092	1997-12-04	VYDAJ	VYBER	1250	17128	\N	\N	\N
907497	3092	1998-12-02	VYDAJ	VYBER	1050	18081	\N	\N	\N
907510	3092	1997-01-30	VYDAJ	VYBER	560	13816	\N	\N	\N
907512	3092	1997-01-15	VYDAJ	VYBER	960	20896	\N	\N	\N
907513	3092	1997-01-26	VYDAJ	VYBER	1280	15816	\N	\N	\N
907514	3092	1997-01-27	VYDAJ	VYBER	1440	14376	\N	\N	\N
907515	3092	1997-01-26	VYDAJ	VYBER	800	17096	\N	\N	\N
907516	3092	1998-01-26	VYDAJ	VYBER	2240	14296	\N	\N	\N
907517	3092	1998-01-29	VYDAJ	VYBER	560	13736	\N	\N	\N
907519	3092	1998-01-07	VYDAJ	VYBER	880	13998	\N	\N	\N
907521	3092	1998-01-22	VYDAJ	VYBER	800	16536	\N	\N	\N
907526	3092	1996-09-30	VYDAJ	VYBER	3120	16157	\N	\N	\N
907529	3092	1996-07-27	VYDAJ	VYBER	3760	17500	\N	\N	\N
907531	3092	1996-10-05	VYDAJ	VYBER	640	15502	\N	\N	\N
907532	3092	1996-09-07	VYDAJ	VYBER	3520	16757	\N	\N	\N
907533	3092	1996-06-06	VYDAJ	VYBER	480	18608	\N	\N	\N
907534	3092	1997-03-28	VYDAJ	VYBER	960	16003	\N	\N	\N
907535	3092	1997-02-16	VYDAJ	VYBER	3040	14180	\N	\N	\N
907537	3092	1998-06-13	VYDAJ	VYBER	2080	20241	\N	\N	\N
907538	3092	1998-12-03	VYDAJ	VYBER	960	17121	\N	\N	\N
907539	3092	1998-05-30	VYDAJ	VYBER	800	18920	\N	\N	\N
907557	3092	1996-05-31	VYDAJ	VYBER	15	26988	SLUZBY	\N	\N
907558	3092	1996-06-30	VYDAJ	VYBER	15	21122	SLUZBY	\N	\N
907559	3092	1996-07-31	VYDAJ	VYBER	15	17574	SLUZBY	\N	\N
907560	3092	1996-08-31	VYDAJ	VYBER	15	20277	SLUZBY	\N	\N
907561	3092	1996-09-30	VYDAJ	VYBER	15	16142	SLUZBY	\N	\N
907562	3092	1996-10-31	VYDAJ	VYBER	15	18900	SLUZBY	\N	\N
907563	3092	1996-11-30	VYDAJ	VYBER	15	20105	SLUZBY	\N	\N
907564	3092	1996-12-31	VYDAJ	VYBER	15	22018	SLUZBY	\N	\N
907565	3092	1997-01-31	VYDAJ	VYBER	15	13882	SLUZBY	\N	\N
907566	3092	1997-02-28	VYDAJ	VYBER	15	14225	SLUZBY	\N	\N
907567	3092	1997-03-31	VYDAJ	VYBER	15	16054	SLUZBY	\N	\N
907568	3092	1997-04-30	VYDAJ	VYBER	15	17453	SLUZBY	\N	\N
907569	3092	1997-05-31	VYDAJ	VYBER	15	17956	SLUZBY	\N	\N
907570	3092	1997-06-30	VYDAJ	VYBER	15	18956	SLUZBY	\N	\N
907571	3092	1997-07-31	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
907572	3092	1997-08-31	VYDAJ	VYBER	15	19969	SLUZBY	\N	\N
907573	3092	1997-09-30	VYDAJ	VYBER	15	19073	SLUZBY	\N	\N
907575	3092	1997-11-30	VYDAJ	VYBER	15	18378	SLUZBY	\N	\N
907576	3092	1997-12-31	VYDAJ	VYBER	15	17528	SLUZBY	\N	\N
907577	3092	1998-01-31	VYDAJ	VYBER	15	13788	SLUZBY	\N	\N
907578	3092	1998-02-28	VYDAJ	VYBER	15	15778	SLUZBY	\N	\N
907579	3092	1998-03-31	VYDAJ	VYBER	15	18480	SLUZBY	\N	\N
907580	3092	1998-04-30	VYDAJ	VYBER	15	17282	SLUZBY	\N	\N
907581	3092	1998-05-31	VYDAJ	VYBER	15	18983	SLUZBY	\N	\N
907582	3092	1998-06-30	VYDAJ	VYBER	15	20319	SLUZBY	\N	\N
907583	3092	1998-07-31	VYDAJ	VYBER	15	21228	SLUZBY	\N	\N
907584	3092	1998-08-31	VYDAJ	VYBER	15	20438	SLUZBY	\N	\N
907585	3092	1998-09-30	VYDAJ	VYBER	15	14832	SLUZBY	\N	\N
907586	3092	1998-10-31	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
907587	3092	1998-11-30	VYDAJ	VYBER	15	19131	SLUZBY	\N	\N
907588	3092	1996-06-17	VYDAJ	VYBER	900	21046	\N	\N	\N
907589	3092	1996-07-17	VYDAJ	VYBER	3200	21260	\N	\N	\N
907590	3092	1996-08-16	VYDAJ	VYBER	700	20212	\N	\N	\N
907591	3092	1996-09-15	VYDAJ	VYBER	900	19195	\N	\N	\N
907592	3092	1996-11-14	VYDAJ	VYBER	2200	20038	\N	\N	\N
907593	3092	1996-12-14	VYDAJ	VYBER	600	22843	\N	\N	\N
907594	3092	1997-01-13	VYDAJ	VYBER	3500	21856	\N	\N	\N
907595	3092	1997-03-14	VYDAJ	VYBER	600	16963	\N	\N	\N
907596	3092	1997-04-13	VYDAJ	VYBER	2000	19703	\N	\N	\N
907597	3092	1997-05-13	VYDAJ	VYBER	2900	20202	\N	\N	\N
907598	3092	1997-06-12	VYDAJ	VYBER	2400	15556	\N	\N	\N
907599	3092	1997-07-12	VYDAJ	VYBER	2000	16956	\N	\N	\N
907600	3092	1997-08-11	VYDAJ	VYBER	3800	16562	\N	\N	\N
907601	3092	1997-09-10	VYDAJ	VYBER	4300	15669	\N	\N	\N
907602	3092	1997-10-10	VYDAJ	VYBER	4500	14573	\N	\N	\N
907603	3092	1997-11-09	VYDAJ	VYBER	3000	14979	\N	\N	\N
907604	3092	1997-12-09	VYDAJ	VYBER	3000	14128	\N	\N	\N
907605	3092	1998-02-07	VYDAJ	VYBER	1400	12388	\N	\N	\N
907606	3092	1998-03-09	VYDAJ	VYBER	700	15078	\N	\N	\N
907607	3092	1998-04-08	VYDAJ	VYBER	4600	13880	\N	\N	\N
907608	3092	1998-05-08	VYDAJ	VYBER	900	16382	\N	\N	\N
907609	3092	1998-07-07	VYDAJ	VYBER	2500	17819	\N	\N	\N
907610	3092	1998-08-06	VYDAJ	VYBER	4200	17028	\N	\N	\N
907611	3092	1998-09-05	VYDAJ	VYBER	9000	11438	\N	\N	\N
907612	3092	1998-11-04	VYDAJ	VYBER	2500	15725	\N	\N	\N
907613	3092	1998-12-04	VYDAJ	VYBER	2400	14721	\N	\N	\N
907646	3093	1996-11-21	PRIJEM	VKLAD	500	500	\N	\N	\N
907658	3093	1996-12-10	PRIJEM	VKLAD	32670	33170	\N	\N	\N
907659	3093	1997-01-10	PRIJEM	VKLAD	21780	47788	\N	\N	\N
907660	3093	1997-02-10	PRIJEM	VKLAD	21780	58794	\N	\N	\N
907661	3093	1997-03-10	PRIJEM	VKLAD	21780	61933	\N	\N	\N
907662	3093	1997-04-10	PRIJEM	VKLAD	21780	60777	\N	\N	\N
907663	3093	1997-05-10	PRIJEM	VKLAD	21780	60072	\N	\N	\N
907664	3093	1997-06-10	PRIJEM	VKLAD	32670	65682	\N	\N	\N
907665	3093	1997-07-10	PRIJEM	VKLAD	21780	47024	\N	\N	\N
907666	3093	1997-08-10	PRIJEM	VKLAD	21780	46093	\N	\N	\N
907667	3093	1997-09-10	PRIJEM	VKLAD	21780	41735	\N	\N	\N
907668	3093	1997-10-10	PRIJEM	VKLAD	21780	40677	\N	\N	\N
907669	3093	1997-11-10	PRIJEM	VKLAD	21780	36809	\N	\N	\N
907670	3093	1997-12-10	PRIJEM	VKLAD	32670	42921	\N	\N	\N
907671	3093	1998-01-10	PRIJEM	VKLAD	21780	38374	\N	\N	\N
907672	3093	1998-02-10	PRIJEM	VKLAD	21780	38901	\N	\N	\N
907673	3093	1998-03-10	PRIJEM	VKLAD	21780	37324	\N	\N	\N
907674	3093	1998-04-10	PRIJEM	VKLAD	21780	41356	\N	\N	\N
907675	3093	1998-05-10	PRIJEM	VKLAD	21780	34495	\N	\N	\N
907676	3093	1998-06-10	PRIJEM	VKLAD	32670	50306	\N	\N	\N
907677	3093	1998-07-10	PRIJEM	VKLAD	21780	43649	\N	\N	\N
907678	3093	1998-08-10	PRIJEM	VKLAD	21780	42893	\N	\N	\N
907679	3093	1998-09-10	PRIJEM	VKLAD	21780	39565	\N	\N	\N
907680	3093	1998-10-10	PRIJEM	VKLAD	21780	36762	\N	\N	\N
907681	3093	1998-11-10	PRIJEM	VKLAD	21780	35169	\N	\N	\N
907682	3093	1998-12-10	PRIJEM	VKLAD	32670	43454	\N	\N	\N
907699	3093	1997-05-06	VYDAJ	PREVOD NA UCET	4238	38292	SIPO	CD	40338969
907700	3093	1997-06-06	VYDAJ	PREVOD NA UCET	4238	33012	SIPO	CD	40338969
907701	3093	1997-07-06	VYDAJ	PREVOD NA UCET	4238	25244	SIPO	CD	40338969
907702	3093	1997-08-06	VYDAJ	PREVOD NA UCET	4238	24313	SIPO	CD	40338969
907703	3093	1997-09-06	VYDAJ	PREVOD NA UCET	4238	19955	SIPO	CD	40338969
907704	3093	1997-10-06	VYDAJ	PREVOD NA UCET	4238	18897	SIPO	CD	40338969
907705	3093	1997-11-06	VYDAJ	PREVOD NA UCET	4238	15029	SIPO	CD	40338969
907706	3093	1997-12-06	VYDAJ	PREVOD NA UCET	4238	10251	SIPO	CD	40338969
907707	3093	1998-01-06	VYDAJ	PREVOD NA UCET	4238	16594	SIPO	CD	40338969
907708	3093	1998-02-06	VYDAJ	PREVOD NA UCET	4238	17121	SIPO	CD	40338969
907709	3093	1998-03-06	VYDAJ	PREVOD NA UCET	4238	15544	SIPO	CD	40338969
907710	3093	1998-04-06	VYDAJ	PREVOD NA UCET	4238	19576	SIPO	CD	40338969
907711	3093	1998-05-06	VYDAJ	PREVOD NA UCET	4238	12715	SIPO	CD	40338969
907712	3093	1998-06-06	VYDAJ	PREVOD NA UCET	4238	17636	SIPO	CD	40338969
907713	3093	1998-07-06	VYDAJ	PREVOD NA UCET	4238	21869	SIPO	CD	40338969
907714	3093	1998-08-06	VYDAJ	PREVOD NA UCET	4238	21113	SIPO	CD	40338969
907715	3093	1998-09-06	VYDAJ	PREVOD NA UCET	4238	17785	SIPO	CD	40338969
907716	3093	1998-10-06	VYDAJ	PREVOD NA UCET	4238	14982	SIPO	CD	40338969
907717	3093	1998-11-06	VYDAJ	PREVOD NA UCET	4238	13389	SIPO	CD	40338969
907718	3093	1998-12-06	VYDAJ	PREVOD NA UCET	4238	10784	SIPO	CD	40338969
907720	3093	1997-06-18	VYDAJ	VYBER	20960	44722	\N	\N	\N
907726	3093	1997-12-24	VYDAJ	VYBER	2240	23981	\N	\N	\N
907740	3093	1998-01-10	VYDAJ	VYBER	1680	36694	\N	\N	\N
907741	3093	1998-01-04	VYDAJ	VYBER	2280	20832	\N	\N	\N
907742	3093	1998-01-03	VYDAJ	VYBER	960	23112	\N	\N	\N
907743	3093	1998-01-15	VYDAJ	VYBER	1200	22954	\N	\N	\N
907744	3093	1998-01-20	VYDAJ	VYBER	1680	21274	\N	\N	\N
907745	3093	1998-01-10	VYDAJ	VYBER	840	35854	\N	\N	\N
907756	3093	1997-11-29	VYDAJ	VYBER	5400	14409	\N	\N	\N
907757	3093	1997-09-05	VYDAJ	VYBER	2520	24193	\N	\N	\N
907760	3093	1998-09-14	VYDAJ	VYBER	3120	19145	\N	\N	\N
907761	3093	1998-08-25	VYDAJ	VYBER	960	21933	\N	\N	\N
907762	3093	1998-04-26	VYDAJ	VYBER	5520	16856	\N	\N	\N
907766	3093	1998-04-15	VYDAJ	VYBER	4680	22376	\N	\N	\N
907783	3093	1997-04-30	VYDAJ	VYBER	15	42530	SLUZBY	\N	\N
907784	3093	1997-05-31	VYDAJ	VYBER	15	37250	SLUZBY	\N	\N
907785	3093	1997-06-30	VYDAJ	VYBER	15	29482	SLUZBY	\N	\N
907786	3093	1997-07-31	VYDAJ	VYBER	15	28551	SLUZBY	\N	\N
907787	3093	1997-08-31	VYDAJ	VYBER	15	26713	SLUZBY	\N	\N
907788	3093	1997-09-30	VYDAJ	VYBER	15	23135	SLUZBY	\N	\N
907789	3093	1997-10-31	VYDAJ	VYBER	15	19267	SLUZBY	\N	\N
907790	3093	1997-11-30	VYDAJ	VYBER	15	14489	SLUZBY	\N	\N
907791	3093	1997-12-31	VYDAJ	VYBER	15	24072	SLUZBY	\N	\N
907792	3093	1998-01-31	VYDAJ	VYBER	15	21359	SLUZBY	\N	\N
907793	3093	1998-02-28	VYDAJ	VYBER	15	19782	SLUZBY	\N	\N
907794	3093	1998-03-31	VYDAJ	VYBER	15	23814	SLUZBY	\N	\N
907795	3093	1998-04-30	VYDAJ	VYBER	15	16953	SLUZBY	\N	\N
907796	3093	1998-05-31	VYDAJ	VYBER	15	21874	SLUZBY	\N	\N
907797	3093	1998-06-30	VYDAJ	VYBER	15	26107	SLUZBY	\N	\N
907798	3093	1998-07-31	VYDAJ	VYBER	15	25351	SLUZBY	\N	\N
907799	3093	1998-08-31	VYDAJ	VYBER	15	22023	SLUZBY	\N	\N
907800	3093	1998-09-30	VYDAJ	VYBER	15	19220	SLUZBY	\N	\N
907801	3093	1998-10-31	VYDAJ	VYBER	15	17627	SLUZBY	\N	\N
907802	3093	1998-11-30	VYDAJ	VYBER	15	15022	SLUZBY	\N	\N
907803	3093	1996-12-21	VYDAJ	VYBER	7200	25970	\N	\N	\N
907804	3093	1997-01-20	VYDAJ	VYBER	10900	36888	\N	\N	\N
907805	3093	1997-02-19	VYDAJ	VYBER	18800	39994	\N	\N	\N
907806	3093	1997-03-21	VYDAJ	VYBER	23100	38833	\N	\N	\N
907807	3093	1997-04-20	VYDAJ	VYBER	18400	42377	\N	\N	\N
907808	3093	1997-05-20	VYDAJ	VYBER	23000	37072	\N	\N	\N
907809	3093	1997-06-19	VYDAJ	VYBER	15400	29322	\N	\N	\N
907810	3093	1997-07-19	VYDAJ	VYBER	18600	28424	\N	\N	\N
907811	3093	1997-08-18	VYDAJ	VYBER	19500	26593	\N	\N	\N
907812	3093	1997-09-17	VYDAJ	VYBER	18700	23035	\N	\N	\N
907813	3093	1997-10-17	VYDAJ	VYBER	21500	19177	\N	\N	\N
907814	3093	1997-11-16	VYDAJ	VYBER	17000	19809	\N	\N	\N
907815	3093	1997-12-16	VYDAJ	VYBER	16700	26221	\N	\N	\N
907816	3093	1998-01-15	VYDAJ	VYBER	11700	24154	\N	\N	\N
907817	3093	1998-02-14	VYDAJ	VYBER	19200	19701	\N	\N	\N
907818	3093	1998-03-16	VYDAJ	VYBER	13600	23724	\N	\N	\N
907819	3093	1998-04-15	VYDAJ	VYBER	14300	27056	\N	\N	\N
907820	3093	1998-05-15	VYDAJ	VYBER	12700	21795	\N	\N	\N
907821	3093	1998-06-14	VYDAJ	VYBER	24300	26006	\N	\N	\N
907822	3093	1998-07-14	VYDAJ	VYBER	18400	25249	\N	\N	\N
907823	3093	1998-08-13	VYDAJ	VYBER	20000	22893	\N	\N	\N
907824	3093	1998-09-12	VYDAJ	VYBER	17300	22265	\N	\N	\N
907825	3093	1998-10-12	VYDAJ	VYBER	19200	17562	\N	\N	\N
907826	3093	1998-11-11	VYDAJ	VYBER	20200	14969	\N	\N	\N
907852	3094	1993-12-20	PRIJEM	VKLAD	600	600	\N	\N	\N
907865	3094	1994-01-12	PRIJEM	VKLAD	15383	15983	\N	\N	\N
907866	3094	1994-02-12	PRIJEM	VKLAD	15383	33397	\N	\N	\N
907867	3094	1994-03-12	PRIJEM	VKLAD	15383	45175	\N	\N	\N
907868	3094	1994-04-12	PRIJEM	VKLAD	15383	51391	\N	\N	\N
907869	3094	1994-05-12	PRIJEM	VKLAD	15383	56031	\N	\N	\N
907870	3094	1994-06-12	PRIJEM	VKLAD	23074	58403	\N	\N	\N
907871	3094	1994-07-12	PRIJEM	VKLAD	15383	38448	\N	\N	\N
907872	3094	1994-08-12	PRIJEM	VKLAD	15383	44182	\N	\N	\N
907873	3094	1994-09-12	PRIJEM	VKLAD	15383	41563	\N	\N	\N
907874	3094	1994-10-12	PRIJEM	VKLAD	15383	42058	\N	\N	\N
907875	3094	1994-11-12	PRIJEM	VKLAD	15383	44197	\N	\N	\N
907876	3094	1994-12-12	PRIJEM	VKLAD	23074	46347	\N	\N	\N
907877	3094	1995-01-12	PRIJEM	VKLAD	15383	47194	\N	\N	\N
907878	3094	1995-02-12	PRIJEM	VKLAD	15383	44325	\N	\N	\N
907879	3094	1995-03-12	PRIJEM	VKLAD	15383	47673	\N	\N	\N
907880	3094	1995-04-12	PRIJEM	VKLAD	15383	45725	\N	\N	\N
907881	3094	1995-05-12	PRIJEM	VKLAD	15383	43015	\N	\N	\N
907882	3094	1995-06-12	PRIJEM	VKLAD	23074	49301	\N	\N	\N
907883	3094	1995-07-12	PRIJEM	VKLAD	15383	32441	\N	\N	\N
907884	3094	1995-08-12	PRIJEM	VKLAD	15383	39952	\N	\N	\N
907885	3094	1995-09-12	PRIJEM	VKLAD	15383	43626	\N	\N	\N
907886	3094	1995-10-12	PRIJEM	VKLAD	15383	51190	\N	\N	\N
907887	3094	1995-11-12	PRIJEM	VKLAD	15383	54687	\N	\N	\N
907888	3094	1995-12-12	PRIJEM	VKLAD	23074	61395	\N	\N	\N
907889	3094	1996-01-12	PRIJEM	VKLAD	15383	59051	\N	\N	\N
907890	3094	1996-02-12	PRIJEM	VKLAD	15383	57021	\N	\N	\N
907891	3094	1996-03-12	PRIJEM	VKLAD	15383	58844	\N	\N	\N
907892	3094	1996-04-12	PRIJEM	VKLAD	15383	64079	\N	\N	\N
907893	3094	1996-05-12	PRIJEM	VKLAD	15383	66034	\N	\N	\N
907894	3094	1996-06-12	PRIJEM	VKLAD	23074	68787	\N	\N	\N
907895	3094	1996-07-12	PRIJEM	VKLAD	15383	63731	\N	\N	\N
907896	3094	1996-08-12	PRIJEM	VKLAD	15383	59588	\N	\N	\N
907897	3094	1996-09-12	PRIJEM	VKLAD	15383	59527	\N	\N	\N
907898	3094	1996-10-12	PRIJEM	VKLAD	15383	59560	\N	\N	\N
907899	3094	1996-11-12	PRIJEM	VKLAD	15383	57394	\N	\N	\N
907900	3094	1996-12-12	PRIJEM	VKLAD	23074	63531	\N	\N	\N
907901	3094	1997-01-12	PRIJEM	VKLAD	15383	55050	\N	\N	\N
907902	3094	1997-02-12	PRIJEM	VKLAD	15383	53273	\N	\N	\N
907903	3094	1997-03-12	PRIJEM	VKLAD	15383	54277	\N	\N	\N
907904	3094	1997-04-12	PRIJEM	VKLAD	15383	54688	\N	\N	\N
907905	3094	1997-05-12	PRIJEM	VKLAD	15383	53800	\N	\N	\N
907906	3094	1997-06-12	PRIJEM	VKLAD	23074	42357	\N	\N	\N
907907	3094	1997-07-12	PRIJEM	VKLAD	15383	46268	\N	\N	\N
907908	3094	1997-08-12	PRIJEM	VKLAD	15383	44941	\N	\N	\N
907909	3094	1997-09-12	PRIJEM	VKLAD	15383	42112	\N	\N	\N
907910	3094	1997-10-12	PRIJEM	VKLAD	15383	44668	\N	\N	\N
907911	3094	1997-11-12	PRIJEM	VKLAD	15383	45230	\N	\N	\N
907912	3094	1997-12-12	PRIJEM	VKLAD	23074	53606	\N	\N	\N
907913	3094	1998-01-12	PRIJEM	VKLAD	15383	46892	\N	\N	\N
907914	3094	1998-02-12	PRIJEM	VKLAD	15383	37773	\N	\N	\N
907915	3094	1998-03-12	PRIJEM	VKLAD	15383	37704	\N	\N	\N
907916	3094	1998-04-12	PRIJEM	VKLAD	15383	34648	\N	\N	\N
907917	3094	1998-05-12	PRIJEM	VKLAD	15383	38568	\N	\N	\N
907918	3094	1998-06-12	PRIJEM	VKLAD	23074	50294	\N	\N	\N
907919	3094	1998-07-12	PRIJEM	VKLAD	15383	34387	\N	\N	\N
907920	3094	1998-08-12	PRIJEM	VKLAD	15383	41906	\N	\N	\N
907921	3094	1998-09-12	PRIJEM	VKLAD	15383	41650	\N	\N	\N
907922	3094	1998-10-12	PRIJEM	VKLAD	15383	46735	\N	\N	\N
907923	3094	1998-11-12	PRIJEM	VKLAD	15383	43317	\N	\N	\N
907924	3094	1998-12-12	PRIJEM	VKLAD	23074	46837	\N	\N	\N
907942	3094	1994-06-08	VYDAJ	PREVOD NA UCET	5421	35329	SIPO	MN	54152226
907943	3094	1994-07-08	VYDAJ	PREVOD NA UCET	5421	23065	SIPO	MN	54152226
907944	3094	1994-08-08	VYDAJ	PREVOD NA UCET	5421	28799	SIPO	MN	54152226
907945	3094	1994-09-08	VYDAJ	PREVOD NA UCET	5421	26180	SIPO	MN	54152226
907946	3094	1994-10-08	VYDAJ	PREVOD NA UCET	5421	26675	SIPO	MN	54152226
907947	3094	1994-11-08	VYDAJ	PREVOD NA UCET	5421	28814	SIPO	MN	54152226
907948	3094	1994-12-08	VYDAJ	PREVOD NA UCET	5421	27593	SIPO	MN	54152226
907949	3094	1995-01-08	VYDAJ	PREVOD NA UCET	5421	31811	SIPO	MN	54152226
907950	3094	1995-02-08	VYDAJ	PREVOD NA UCET	5421	28942	SIPO	MN	54152226
907951	3094	1995-03-08	VYDAJ	PREVOD NA UCET	5421	32290	SIPO	MN	54152226
907952	3094	1995-04-08	VYDAJ	PREVOD NA UCET	5421	30342	SIPO	MN	54152226
907953	3094	1995-05-08	VYDAJ	PREVOD NA UCET	5421	27632	SIPO	MN	54152226
907954	3094	1995-06-08	VYDAJ	PREVOD NA UCET	5421	26227	SIPO	MN	54152226
907955	3094	1995-07-08	VYDAJ	PREVOD NA UCET	5421	17058	SIPO	MN	54152226
907956	3094	1995-08-08	VYDAJ	PREVOD NA UCET	5421	24569	SIPO	MN	54152226
907957	3094	1995-09-08	VYDAJ	PREVOD NA UCET	5421	28943	SIPO	MN	54152226
907958	3094	1995-10-08	VYDAJ	PREVOD NA UCET	5421	38307	SIPO	MN	54152226
907959	3094	1995-11-08	VYDAJ	PREVOD NA UCET	5421	45904	SIPO	MN	54152226
907960	3094	1995-12-08	VYDAJ	PREVOD NA UCET	5421	49421	SIPO	MN	54152226
907961	3094	1996-01-08	VYDAJ	PREVOD NA UCET	5421	54868	SIPO	MN	54152226
907962	3094	1996-02-08	VYDAJ	PREVOD NA UCET	5421	47238	SIPO	MN	54152226
907963	3094	1996-03-08	VYDAJ	PREVOD NA UCET	5421	51761	SIPO	MN	54152226
907964	3094	1996-04-08	VYDAJ	PREVOD NA UCET	5421	53596	SIPO	MN	54152226
907965	3094	1996-05-08	VYDAJ	PREVOD NA UCET	5421	58851	SIPO	MN	54152226
907966	3094	1996-06-08	VYDAJ	PREVOD NA UCET	5421	45713	SIPO	MN	54152226
907967	3094	1996-07-08	VYDAJ	PREVOD NA UCET	5421	48348	SIPO	MN	54152226
907968	3094	1996-08-08	VYDAJ	PREVOD NA UCET	5421	44205	SIPO	MN	54152226
907969	3094	1996-09-08	VYDAJ	PREVOD NA UCET	5421	44144	SIPO	MN	54152226
907970	3094	1996-10-08	VYDAJ	PREVOD NA UCET	5421	44177	SIPO	MN	54152226
907971	3094	1996-11-08	VYDAJ	PREVOD NA UCET	5421	42011	SIPO	MN	54152226
907972	3094	1996-12-08	VYDAJ	PREVOD NA UCET	5421	42737	SIPO	MN	54152226
907973	3094	1997-01-08	VYDAJ	PREVOD NA UCET	5421	39667	SIPO	MN	54152226
907974	3094	1997-02-08	VYDAJ	PREVOD NA UCET	5421	37890	SIPO	MN	54152226
907975	3094	1997-03-08	VYDAJ	PREVOD NA UCET	5421	38894	SIPO	MN	54152226
907976	3094	1997-04-08	VYDAJ	PREVOD NA UCET	5421	39305	SIPO	MN	54152226
907977	3094	1997-05-08	VYDAJ	PREVOD NA UCET	5421	38417	SIPO	MN	54152226
907978	3094	1997-06-08	VYDAJ	PREVOD NA UCET	5421	33683	SIPO	MN	54152226
907979	3094	1997-07-08	VYDAJ	PREVOD NA UCET	5421	30885	SIPO	MN	54152226
907980	3094	1997-08-08	VYDAJ	PREVOD NA UCET	5421	29558	SIPO	MN	54152226
907981	3094	1997-09-08	VYDAJ	PREVOD NA UCET	5421	26729	SIPO	MN	54152226
907982	3094	1997-10-08	VYDAJ	PREVOD NA UCET	5421	29285	SIPO	MN	54152226
907983	3094	1997-11-08	VYDAJ	PREVOD NA UCET	5421	29847	SIPO	MN	54152226
907984	3094	1997-12-08	VYDAJ	PREVOD NA UCET	5421	32612	SIPO	MN	54152226
907985	3094	1998-01-08	VYDAJ	PREVOD NA UCET	5421	32109	SIPO	MN	54152226
907986	3094	1998-02-08	VYDAJ	PREVOD NA UCET	5421	22390	SIPO	MN	54152226
907987	3094	1998-03-08	VYDAJ	PREVOD NA UCET	5421	22321	SIPO	MN	54152226
907988	3094	1998-04-08	VYDAJ	PREVOD NA UCET	5421	19265	SIPO	MN	54152226
907989	3094	1998-05-08	VYDAJ	PREVOD NA UCET	5421	23185	SIPO	MN	54152226
907990	3094	1998-06-08	VYDAJ	PREVOD NA UCET	5421	27220	SIPO	MN	54152226
907991	3094	1998-07-08	VYDAJ	PREVOD NA UCET	5421	19004	SIPO	MN	54152226
907992	3094	1998-08-08	VYDAJ	PREVOD NA UCET	5421	26523	SIPO	MN	54152226
907993	3094	1998-09-08	VYDAJ	PREVOD NA UCET	5421	26267	SIPO	MN	54152226
907994	3094	1998-10-08	VYDAJ	PREVOD NA UCET	5421	31352	SIPO	MN	54152226
907995	3094	1998-11-08	VYDAJ	PREVOD NA UCET	5421	27934	SIPO	MN	54152226
907996	3094	1998-12-08	VYDAJ	PREVOD NA UCET	5421	23763	SIPO	MN	54152226
908014	3094	1994-06-05	VYDAJ	PREVOD NA UCET	10	40750	 	WX	36868620
908015	3094	1994-07-05	VYDAJ	PREVOD NA UCET	10	28486	 	WX	36868620
908016	3094	1994-08-05	VYDAJ	PREVOD NA UCET	10	34220	 	WX	36868620
908017	3094	1994-09-05	VYDAJ	PREVOD NA UCET	10	31601	 	WX	36868620
908018	3094	1994-10-05	VYDAJ	PREVOD NA UCET	10	32096	 	WX	36868620
908019	3094	1994-11-05	VYDAJ	PREVOD NA UCET	10	34235	 	WX	36868620
908020	3094	1994-12-05	VYDAJ	PREVOD NA UCET	10	33014	 	WX	36868620
908021	3094	1995-01-05	VYDAJ	PREVOD NA UCET	10	37232	 	WX	36868620
908022	3094	1995-02-05	VYDAJ	PREVOD NA UCET	10	34363	 	WX	36868620
908023	3094	1995-03-05	VYDAJ	PREVOD NA UCET	10	37711	 	WX	36868620
908024	3094	1995-04-05	VYDAJ	PREVOD NA UCET	10	35763	 	WX	36868620
908025	3094	1995-05-05	VYDAJ	PREVOD NA UCET	10	33053	 	WX	36868620
908026	3094	1995-06-05	VYDAJ	PREVOD NA UCET	10	31648	 	WX	36868620
908027	3094	1995-07-05	VYDAJ	PREVOD NA UCET	10	22479	 	WX	36868620
908028	3094	1995-08-05	VYDAJ	PREVOD NA UCET	10	29990	 	WX	36868620
908029	3094	1995-09-05	VYDAJ	PREVOD NA UCET	10	34364	 	WX	36868620
908030	3094	1995-10-05	VYDAJ	PREVOD NA UCET	10	43728	 	WX	36868620
908031	3094	1995-11-05	VYDAJ	PREVOD NA UCET	10	51325	 	WX	36868620
908032	3094	1995-12-05	VYDAJ	PREVOD NA UCET	10	54842	 	WX	36868620
908033	3094	1996-01-05	VYDAJ	PREVOD NA UCET	10	60289	 	WX	36868620
908034	3094	1996-02-05	VYDAJ	PREVOD NA UCET	10	52659	 	WX	36868620
908035	3094	1996-03-05	VYDAJ	PREVOD NA UCET	10	57182	 	WX	36868620
908036	3094	1996-04-05	VYDAJ	PREVOD NA UCET	10	59017	 	WX	36868620
908037	3094	1996-05-05	VYDAJ	PREVOD NA UCET	10	64272	 	WX	36868620
908038	3094	1996-06-05	VYDAJ	PREVOD NA UCET	10	62034	 	WX	36868620
908039	3094	1996-07-05	VYDAJ	PREVOD NA UCET	10	64669	 	WX	36868620
908040	3094	1996-08-05	VYDAJ	PREVOD NA UCET	10	63926	 	WX	36868620
908041	3094	1996-09-05	VYDAJ	PREVOD NA UCET	10	59765	 	WX	36868620
908042	3094	1996-10-05	VYDAJ	PREVOD NA UCET	10	49598	 	WX	36868620
908043	3094	1996-11-05	VYDAJ	PREVOD NA UCET	10	47432	 	WX	36868620
908044	3094	1996-12-05	VYDAJ	PREVOD NA UCET	10	48158	 	WX	36868620
908045	3094	1997-01-05	VYDAJ	PREVOD NA UCET	10	45088	 	WX	36868620
908046	3094	1997-02-05	VYDAJ	PREVOD NA UCET	10	43311	 	WX	36868620
908047	3094	1997-03-05	VYDAJ	PREVOD NA UCET	10	44315	 	WX	36868620
908048	3094	1997-04-05	VYDAJ	PREVOD NA UCET	10	44726	 	WX	36868620
908049	3094	1997-05-05	VYDAJ	PREVOD NA UCET	10	43838	 	WX	36868620
908050	3094	1997-06-05	VYDAJ	PREVOD NA UCET	10	39104	 	WX	36868620
908051	3094	1997-07-05	VYDAJ	PREVOD NA UCET	10	36306	 	WX	36868620
908052	3094	1997-08-05	VYDAJ	PREVOD NA UCET	10	34979	 	WX	36868620
908053	3094	1997-09-05	VYDAJ	PREVOD NA UCET	10	35750	 	WX	36868620
908054	3094	1997-10-05	VYDAJ	PREVOD NA UCET	10	34706	 	WX	36868620
908055	3094	1997-11-05	VYDAJ	PREVOD NA UCET	10	35268	 	WX	36868620
908056	3094	1997-12-05	VYDAJ	PREVOD NA UCET	10	38033	 	WX	36868620
908057	3094	1998-01-05	VYDAJ	PREVOD NA UCET	10	37530	 	WX	36868620
908058	3094	1998-02-05	VYDAJ	PREVOD NA UCET	10	27811	 	WX	36868620
908059	3094	1998-03-05	VYDAJ	PREVOD NA UCET	10	27742	 	WX	36868620
908060	3094	1998-04-05	VYDAJ	PREVOD NA UCET	10	24686	 	WX	36868620
908061	3094	1998-05-05	VYDAJ	PREVOD NA UCET	10	28606	 	WX	36868620
908062	3094	1998-06-05	VYDAJ	PREVOD NA UCET	10	32641	 	WX	36868620
908063	3094	1998-07-05	VYDAJ	PREVOD NA UCET	10	24425	 	WX	36868620
908064	3094	1998-08-05	VYDAJ	PREVOD NA UCET	10	31944	 	WX	36868620
908065	3094	1998-09-05	VYDAJ	PREVOD NA UCET	10	31688	 	WX	36868620
908066	3094	1998-10-05	VYDAJ	PREVOD NA UCET	10	36773	 	WX	36868620
908067	3094	1998-11-05	VYDAJ	PREVOD NA UCET	10	36235	 	WX	36868620
908068	3094	1998-12-05	VYDAJ	PREVOD NA UCET	10	33504	 	WX	36868620
908085	3094	1994-05-13	VYDAJ	PREVOD NA UCET	21	56010	POJISTNE	IJ	79572272
908086	3094	1994-06-13	VYDAJ	PREVOD NA UCET	21	58382	POJISTNE	IJ	79572272
908087	3094	1994-07-13	VYDAJ	PREVOD NA UCET	21	38427	POJISTNE	IJ	79572272
908088	3094	1994-08-13	VYDAJ	PREVOD NA UCET	21	44161	POJISTNE	IJ	79572272
908089	3094	1994-09-13	VYDAJ	PREVOD NA UCET	21	41542	POJISTNE	IJ	79572272
908090	3094	1994-10-13	VYDAJ	PREVOD NA UCET	21	42037	POJISTNE	IJ	79572272
908091	3094	1994-11-13	VYDAJ	PREVOD NA UCET	21	38416	POJISTNE	IJ	79572272
908092	3094	1994-12-13	VYDAJ	PREVOD NA UCET	21	46326	POJISTNE	IJ	79572272
908093	3094	1995-01-13	VYDAJ	PREVOD NA UCET	21	44933	POJISTNE	IJ	79572272
908094	3094	1995-02-13	VYDAJ	PREVOD NA UCET	21	37604	POJISTNE	IJ	79572272
908095	3094	1995-03-13	VYDAJ	PREVOD NA UCET	21	47652	POJISTNE	IJ	79572272
908096	3094	1995-04-13	VYDAJ	PREVOD NA UCET	21	45704	POJISTNE	IJ	79572272
908097	3094	1995-05-13	VYDAJ	PREVOD NA UCET	21	42994	POJISTNE	IJ	79572272
908098	3094	1995-06-13	VYDAJ	PREVOD NA UCET	21	49280	POJISTNE	IJ	79572272
908099	3094	1995-07-13	VYDAJ	PREVOD NA UCET	21	29920	POJISTNE	IJ	79572272
908100	3094	1995-08-13	VYDAJ	PREVOD NA UCET	21	35231	POJISTNE	IJ	79572272
908101	3094	1995-09-13	VYDAJ	PREVOD NA UCET	21	43605	POJISTNE	IJ	79572272
908102	3094	1995-10-13	VYDAJ	PREVOD NA UCET	21	51169	POJISTNE	IJ	79572272
908103	3094	1995-11-13	VYDAJ	PREVOD NA UCET	21	54666	POJISTNE	IJ	79572272
908104	3094	1995-12-13	VYDAJ	PREVOD NA UCET	21	61374	POJISTNE	IJ	79572272
908105	3094	1996-01-13	VYDAJ	PREVOD NA UCET	21	59030	POJISTNE	IJ	79572272
908106	3094	1996-02-13	VYDAJ	PREVOD NA UCET	21	57000	POJISTNE	IJ	79572272
908107	3094	1996-03-13	VYDAJ	PREVOD NA UCET	21	58823	POJISTNE	IJ	79572272
908108	3094	1996-04-13	VYDAJ	PREVOD NA UCET	21	64058	POJISTNE	IJ	79572272
908109	3094	1996-05-13	VYDAJ	PREVOD NA UCET	21	66013	POJISTNE	IJ	79572272
908110	3094	1996-06-13	VYDAJ	PREVOD NA UCET	21	68766	POJISTNE	IJ	79572272
908111	3094	1996-07-13	VYDAJ	PREVOD NA UCET	21	63710	POJISTNE	IJ	79572272
908112	3094	1996-08-13	VYDAJ	PREVOD NA UCET	21	59567	POJISTNE	IJ	79572272
908113	3094	1996-09-13	VYDAJ	PREVOD NA UCET	21	59506	POJISTNE	IJ	79572272
908114	3094	1996-10-13	VYDAJ	PREVOD NA UCET	21	59539	POJISTNE	IJ	79572272
908115	3094	1996-11-13	VYDAJ	PREVOD NA UCET	21	57373	POJISTNE	IJ	79572272
908116	3094	1996-12-13	VYDAJ	PREVOD NA UCET	21	63510	POJISTNE	IJ	79572272
908117	3094	1997-01-13	VYDAJ	PREVOD NA UCET	21	49749	POJISTNE	IJ	79572272
908118	3094	1997-02-13	VYDAJ	PREVOD NA UCET	21	53252	POJISTNE	IJ	79572272
908119	3094	1997-03-13	VYDAJ	PREVOD NA UCET	21	54256	POJISTNE	IJ	79572272
908120	3094	1997-04-13	VYDAJ	PREVOD NA UCET	21	54667	POJISTNE	IJ	79572272
908121	3094	1997-05-13	VYDAJ	PREVOD NA UCET	21	53779	POJISTNE	IJ	79572272
908122	3094	1997-06-13	VYDAJ	PREVOD NA UCET	21	42336	POJISTNE	IJ	79572272
908123	3094	1997-07-13	VYDAJ	PREVOD NA UCET	21	46247	POJISTNE	IJ	79572272
908124	3094	1997-08-13	VYDAJ	PREVOD NA UCET	21	44920	POJISTNE	IJ	79572272
908125	3094	1997-09-13	VYDAJ	PREVOD NA UCET	21	42091	POJISTNE	IJ	79572272
908126	3094	1997-10-13	VYDAJ	PREVOD NA UCET	21	44647	POJISTNE	IJ	79572272
908127	3094	1997-11-13	VYDAJ	PREVOD NA UCET	21	45209	POJISTNE	IJ	79572272
908128	3094	1997-12-13	VYDAJ	PREVOD NA UCET	21	53585	POJISTNE	IJ	79572272
908129	3094	1998-01-13	VYDAJ	PREVOD NA UCET	21	46871	POJISTNE	IJ	79572272
908130	3094	1998-02-13	VYDAJ	PREVOD NA UCET	21	37752	POJISTNE	IJ	79572272
908131	3094	1998-03-13	VYDAJ	PREVOD NA UCET	21	37683	POJISTNE	IJ	79572272
908132	3094	1998-04-13	VYDAJ	PREVOD NA UCET	21	34627	POJISTNE	IJ	79572272
908133	3094	1998-05-13	VYDAJ	PREVOD NA UCET	21	38547	POJISTNE	IJ	79572272
908134	3094	1998-06-13	VYDAJ	PREVOD NA UCET	21	50273	POJISTNE	IJ	79572272
908135	3094	1998-07-13	VYDAJ	PREVOD NA UCET	21	34366	POJISTNE	IJ	79572272
908136	3094	1998-08-13	VYDAJ	PREVOD NA UCET	21	41885	POJISTNE	IJ	79572272
908137	3094	1998-09-13	VYDAJ	PREVOD NA UCET	21	41629	POJISTNE	IJ	79572272
908138	3094	1998-10-13	VYDAJ	PREVOD NA UCET	21	46714	POJISTNE	IJ	79572272
908139	3094	1998-11-13	VYDAJ	PREVOD NA UCET	21	43296	POJISTNE	IJ	79572272
908140	3094	1998-12-13	VYDAJ	PREVOD NA UCET	21	46816	POJISTNE	IJ	79572272
908157	3094	1994-05-14	VYDAJ	PREVOD NA UCET	17	55993	 	IJ	4935080
908158	3094	1994-06-14	VYDAJ	PREVOD NA UCET	17	34365	 	IJ	4935080
908159	3094	1994-07-14	VYDAJ	PREVOD NA UCET	17	38410	 	IJ	4935080
908160	3094	1994-08-14	VYDAJ	PREVOD NA UCET	17	44144	 	IJ	4935080
908161	3094	1994-09-14	VYDAJ	PREVOD NA UCET	17	39005	 	IJ	4935080
908162	3094	1994-10-14	VYDAJ	PREVOD NA UCET	17	42020	 	IJ	4935080
908163	3094	1994-11-14	VYDAJ	PREVOD NA UCET	17	38399	 	IJ	4935080
908164	3094	1994-12-14	VYDAJ	PREVOD NA UCET	17	46309	 	IJ	4935080
908165	3094	1995-01-14	VYDAJ	PREVOD NA UCET	17	44916	 	IJ	4935080
908166	3094	1995-02-14	VYDAJ	PREVOD NA UCET	17	37587	 	IJ	4935080
908167	3094	1995-03-14	VYDAJ	PREVOD NA UCET	17	47635	 	IJ	4935080
908168	3094	1995-04-14	VYDAJ	PREVOD NA UCET	17	45687	 	IJ	4935080
908169	3094	1995-05-14	VYDAJ	PREVOD NA UCET	17	34177	 	IJ	4935080
908170	3094	1995-06-14	VYDAJ	PREVOD NA UCET	17	36663	 	IJ	4935080
908171	3094	1995-07-14	VYDAJ	PREVOD NA UCET	17	29903	 	IJ	4935080
908172	3094	1995-08-14	VYDAJ	PREVOD NA UCET	17	35214	 	IJ	4935080
908173	3094	1995-09-14	VYDAJ	PREVOD NA UCET	17	43588	 	IJ	4935080
908174	3094	1995-10-14	VYDAJ	PREVOD NA UCET	17	51152	 	IJ	4935080
908175	3094	1995-11-14	VYDAJ	PREVOD NA UCET	17	54649	 	IJ	4935080
908176	3094	1995-12-14	VYDAJ	PREVOD NA UCET	17	61357	 	IJ	4935080
908177	3094	1996-01-14	VYDAJ	PREVOD NA UCET	17	59013	 	IJ	4935080
908178	3094	1996-02-14	VYDAJ	PREVOD NA UCET	17	56983	 	IJ	4935080
908179	3094	1996-03-14	VYDAJ	PREVOD NA UCET	17	58806	 	IJ	4935080
908180	3094	1996-04-14	VYDAJ	PREVOD NA UCET	17	64041	 	IJ	4935080
908181	3094	1996-05-14	VYDAJ	PREVOD NA UCET	17	65996	 	IJ	4935080
908182	3094	1996-06-14	VYDAJ	PREVOD NA UCET	17	68749	 	IJ	4935080
908183	3094	1996-07-14	VYDAJ	PREVOD NA UCET	17	63693	 	IJ	4935080
908184	3094	1996-08-14	VYDAJ	PREVOD NA UCET	17	59550	 	IJ	4935080
908185	3094	1996-09-14	VYDAJ	PREVOD NA UCET	17	59489	 	IJ	4935080
908186	3094	1996-10-14	VYDAJ	PREVOD NA UCET	17	59522	 	IJ	4935080
908187	3094	1996-11-14	VYDAJ	PREVOD NA UCET	17	57356	 	IJ	4935080
908188	3094	1996-12-14	VYDAJ	PREVOD NA UCET	17	63493	 	IJ	4935080
908189	3094	1997-01-14	VYDAJ	PREVOD NA UCET	17	49732	 	IJ	4935080
908190	3094	1997-02-14	VYDAJ	PREVOD NA UCET	17	53235	 	IJ	4935080
908191	3094	1997-03-14	VYDAJ	PREVOD NA UCET	17	54239	 	IJ	4935080
908192	3094	1997-04-14	VYDAJ	PREVOD NA UCET	17	54650	 	IJ	4935080
908193	3094	1997-05-14	VYDAJ	PREVOD NA UCET	17	53762	 	IJ	4935080
908194	3094	1997-06-14	VYDAJ	PREVOD NA UCET	17	42319	 	IJ	4935080
908195	3094	1997-07-14	VYDAJ	PREVOD NA UCET	17	46230	 	IJ	4935080
908196	3094	1997-08-14	VYDAJ	PREVOD NA UCET	17	44903	 	IJ	4935080
908197	3094	1997-09-14	VYDAJ	PREVOD NA UCET	17	42074	 	IJ	4935080
908198	3094	1997-10-14	VYDAJ	PREVOD NA UCET	17	44630	 	IJ	4935080
908199	3094	1997-11-14	VYDAJ	PREVOD NA UCET	17	45192	 	IJ	4935080
908200	3094	1997-12-14	VYDAJ	PREVOD NA UCET	17	53568	 	IJ	4935080
908201	3094	1998-01-14	VYDAJ	PREVOD NA UCET	17	46854	 	IJ	4935080
908202	3094	1998-02-14	VYDAJ	PREVOD NA UCET	17	37735	 	IJ	4935080
908203	3094	1998-03-14	VYDAJ	PREVOD NA UCET	17	37666	 	IJ	4935080
908204	3094	1998-04-14	VYDAJ	PREVOD NA UCET	17	34610	 	IJ	4935080
908205	3094	1998-05-14	VYDAJ	PREVOD NA UCET	17	38530	 	IJ	4935080
908206	3094	1998-06-14	VYDAJ	PREVOD NA UCET	17	50256	 	IJ	4935080
908207	3094	1998-07-14	VYDAJ	PREVOD NA UCET	17	34349	 	IJ	4935080
908208	3094	1998-08-14	VYDAJ	PREVOD NA UCET	17	41868	 	IJ	4935080
908209	3094	1998-09-14	VYDAJ	PREVOD NA UCET	17	41612	 	IJ	4935080
908210	3094	1998-10-14	VYDAJ	PREVOD NA UCET	17	46697	 	IJ	4935080
908211	3094	1998-11-14	VYDAJ	PREVOD NA UCET	17	43279	 	IJ	4935080
908212	3094	1998-12-14	VYDAJ	PREVOD NA UCET	17	46799	 	IJ	4935080
908214	3094	1994-06-13	VYDAJ	VYBER	24000	34382	\N	\N	\N
908215	3094	1995-06-16	VYDAJ	VYBER	12000	24663	\N	\N	\N
908217	3094	1997-06-11	VYDAJ	VYBER	14400	19283	\N	\N	\N
908218	3094	1998-06-25	VYDAJ	VYBER	24160	24896	\N	\N	\N
908221	3094	1995-01-12	VYDAJ	VYBER	2240	44954	\N	\N	\N
908222	3094	1996-01-22	VYDAJ	VYBER	6560	52453	\N	\N	\N
908223	3094	1997-01-12	VYDAJ	VYBER	5280	49770	\N	\N	\N
908224	3094	1998-01-26	VYDAJ	VYBER	11680	35174	\N	\N	\N
908226	3094	1994-12-09	VYDAJ	VYBER	4320	23273	\N	\N	\N
908227	3094	1995-12-15	VYDAJ	VYBER	1280	60077	\N	\N	\N
908228	3094	1996-12-30	VYDAJ	VYBER	4320	59173	\N	\N	\N
908229	3094	1997-12-08	VYDAJ	VYBER	2080	30532	\N	\N	\N
908230	3094	1998-12-07	VYDAJ	VYBER	4320	29184	\N	\N	\N
908234	3094	1994-09-13	VYDAJ	VYBER	2520	39022	\N	\N	\N
908235	3094	1994-08-18	VYDAJ	VYBER	2160	31484	\N	\N	\N
908236	3094	1994-09-29	VYDAJ	VYBER	720	31985	\N	\N	\N
908239	3094	1994-11-13	VYDAJ	VYBER	5760	38437	\N	\N	\N
908240	3094	1995-05-16	VYDAJ	VYBER	2640	31537	\N	\N	\N
908241	3094	1995-07-01	VYDAJ	VYBER	2280	22489	\N	\N	\N
908242	3094	1995-08-24	VYDAJ	VYBER	960	34254	\N	\N	\N
908243	3094	1995-05-01	VYDAJ	VYBER	3360	33063	\N	\N	\N
908244	3094	1996-07-04	VYDAJ	VYBER	4320	64679	\N	\N	\N
908245	3094	1996-05-30	VYDAJ	VYBER	4200	61796	\N	\N	\N
908246	3094	1996-12-08	VYDAJ	VYBER	2280	40457	\N	\N	\N
908247	3094	1997-05-18	VYDAJ	VYBER	1320	52442	\N	\N	\N
908248	3094	1997-05-23	VYDAJ	VYBER	720	51722	\N	\N	\N
908249	3094	1997-07-01	VYDAJ	VYBER	960	41516	\N	\N	\N
908250	3094	1997-09-06	VYDAJ	VYBER	3600	32150	\N	\N	\N
908251	3094	1998-03-17	VYDAJ	VYBER	3480	34186	\N	\N	\N
908252	3094	1998-11-06	VYDAJ	VYBER	2880	33355	\N	\N	\N
908253	3094	1998-06-19	VYDAJ	VYBER	1200	49056	\N	\N	\N
908254	3094	1998-09-21	VYDAJ	VYBER	1560	40052	\N	\N	\N
908255	3094	1998-01-11	VYDAJ	VYBER	600	31509	\N	\N	\N
908274	3094	1994-05-31	VYDAJ	VYBER	15	40760	SLUZBY	\N	\N
908275	3094	1994-06-30	VYDAJ	VYBER	15	28496	SLUZBY	\N	\N
908276	3094	1994-07-31	VYDAJ	VYBER	15	34230	SLUZBY	\N	\N
908277	3094	1994-08-31	VYDAJ	VYBER	15	31611	SLUZBY	\N	\N
908278	3094	1994-09-30	VYDAJ	VYBER	15	32106	SLUZBY	\N	\N
908279	3094	1994-10-31	VYDAJ	VYBER	15	34245	SLUZBY	\N	\N
908280	3094	1994-11-30	VYDAJ	VYBER	15	33024	SLUZBY	\N	\N
908281	3094	1994-12-31	VYDAJ	VYBER	15	37242	SLUZBY	\N	\N
908282	3094	1995-01-31	VYDAJ	VYBER	15	34373	SLUZBY	\N	\N
908283	3094	1995-02-28	VYDAJ	VYBER	15	37721	SLUZBY	\N	\N
908284	3094	1995-03-31	VYDAJ	VYBER	15	35773	SLUZBY	\N	\N
908285	3094	1995-04-30	VYDAJ	VYBER	15	36423	SLUZBY	\N	\N
908286	3094	1995-05-31	VYDAJ	VYBER	15	31658	SLUZBY	\N	\N
908287	3094	1995-06-30	VYDAJ	VYBER	15	24769	SLUZBY	\N	\N
908288	3094	1995-07-31	VYDAJ	VYBER	15	30000	SLUZBY	\N	\N
908289	3094	1995-08-31	VYDAJ	VYBER	15	34374	SLUZBY	\N	\N
908290	3094	1995-09-30	VYDAJ	VYBER	15	43738	SLUZBY	\N	\N
908291	3094	1995-10-31	VYDAJ	VYBER	15	51335	SLUZBY	\N	\N
908292	3094	1995-11-30	VYDAJ	VYBER	15	54852	SLUZBY	\N	\N
908293	3094	1995-12-31	VYDAJ	VYBER	15	60299	SLUZBY	\N	\N
908294	3094	1996-01-31	VYDAJ	VYBER	15	52669	SLUZBY	\N	\N
908295	3094	1996-02-29	VYDAJ	VYBER	15	57192	SLUZBY	\N	\N
908296	3094	1996-03-31	VYDAJ	VYBER	15	59027	SLUZBY	\N	\N
908297	3094	1996-04-30	VYDAJ	VYBER	15	64282	SLUZBY	\N	\N
908298	3094	1996-05-31	VYDAJ	VYBER	15	62044	SLUZBY	\N	\N
908299	3094	1996-06-30	VYDAJ	VYBER	15	68999	SLUZBY	\N	\N
908300	3094	1996-07-31	VYDAJ	VYBER	15	63936	SLUZBY	\N	\N
908301	3094	1996-08-31	VYDAJ	VYBER	15	59775	SLUZBY	\N	\N
908302	3094	1996-09-30	VYDAJ	VYBER	15	59708	SLUZBY	\N	\N
908303	3094	1996-10-31	VYDAJ	VYBER	15	59742	SLUZBY	\N	\N
908304	3094	1996-11-30	VYDAJ	VYBER	15	57568	SLUZBY	\N	\N
908305	3094	1996-12-31	VYDAJ	VYBER	15	59398	SLUZBY	\N	\N
908306	3094	1997-01-31	VYDAJ	VYBER	15	49921	SLUZBY	\N	\N
908307	3094	1997-02-28	VYDAJ	VYBER	15	53425	SLUZBY	\N	\N
908308	3094	1997-03-31	VYDAJ	VYBER	15	54436	SLUZBY	\N	\N
908309	3094	1997-04-30	VYDAJ	VYBER	15	54848	SLUZBY	\N	\N
908310	3094	1997-05-31	VYDAJ	VYBER	15	51914	SLUZBY	\N	\N
908311	3094	1997-06-30	VYDAJ	VYBER	15	42476	SLUZBY	\N	\N
908312	3094	1997-07-31	VYDAJ	VYBER	15	46389	SLUZBY	\N	\N
908313	3094	1997-08-31	VYDAJ	VYBER	15	35760	SLUZBY	\N	\N
908314	3094	1997-09-30	VYDAJ	VYBER	15	42216	SLUZBY	\N	\N
908315	3094	1997-10-31	VYDAJ	VYBER	15	35278	SLUZBY	\N	\N
908316	3094	1997-11-30	VYDAJ	VYBER	15	38043	SLUZBY	\N	\N
908317	3094	1997-12-31	VYDAJ	VYBER	15	37540	SLUZBY	\N	\N
908318	3094	1998-01-31	VYDAJ	VYBER	15	27821	SLUZBY	\N	\N
908319	3094	1998-02-28	VYDAJ	VYBER	15	27752	SLUZBY	\N	\N
908320	3094	1998-03-31	VYDAJ	VYBER	15	24696	SLUZBY	\N	\N
908321	3094	1998-04-30	VYDAJ	VYBER	15	28616	SLUZBY	\N	\N
908322	3094	1998-05-31	VYDAJ	VYBER	15	32651	SLUZBY	\N	\N
908323	3094	1998-06-30	VYDAJ	VYBER	15	24435	SLUZBY	\N	\N
908324	3094	1998-07-31	VYDAJ	VYBER	15	31954	SLUZBY	\N	\N
908325	3094	1998-08-31	VYDAJ	VYBER	15	31698	SLUZBY	\N	\N
908326	3094	1998-09-30	VYDAJ	VYBER	15	36783	SLUZBY	\N	\N
908327	3094	1998-10-31	VYDAJ	VYBER	15	36245	SLUZBY	\N	\N
908328	3094	1998-11-30	VYDAJ	VYBER	15	33514	SLUZBY	\N	\N
908329	3094	1994-01-19	PRIJEM	VKLAD	2000	17983	\N	\N	\N
908330	3094	1994-02-18	VYDAJ	VYBER	3700	29697	\N	\N	\N
908331	3094	1994-03-20	VYDAJ	VYBER	9300	35875	\N	\N	\N
908332	3094	1994-04-19	VYDAJ	VYBER	10900	40491	\N	\N	\N
908333	3094	1994-05-19	VYDAJ	VYBER	15400	40593	\N	\N	\N
908334	3094	1994-06-18	VYDAJ	VYBER	6000	28365	\N	\N	\N
908335	3094	1994-07-18	VYDAJ	VYBER	4300	34110	\N	\N	\N
908336	3094	1994-08-17	VYDAJ	VYBER	10500	33644	\N	\N	\N
908337	3094	1994-09-16	VYDAJ	VYBER	6300	32705	\N	\N	\N
908338	3094	1994-10-16	VYDAJ	VYBER	7900	34120	\N	\N	\N
908339	3094	1994-11-15	VYDAJ	VYBER	5500	32899	\N	\N	\N
908340	3094	1994-12-15	VYDAJ	VYBER	9200	37109	\N	\N	\N
908341	3094	1995-01-14	VYDAJ	VYBER	10700	34216	\N	\N	\N
908342	3094	1995-02-13	VYDAJ	VYBER	6700	37625	\N	\N	\N
908343	3094	1995-03-15	VYDAJ	VYBER	12000	35635	\N	\N	\N
908344	3094	1995-04-14	VYDAJ	VYBER	9400	36287	\N	\N	\N
908345	3094	1995-05-14	VYDAJ	VYBER	8800	34194	\N	\N	\N
908346	3094	1995-06-13	VYDAJ	VYBER	12600	36680	\N	\N	\N
908347	3094	1995-07-13	VYDAJ	VYBER	2500	29941	\N	\N	\N
908348	3094	1995-08-12	VYDAJ	VYBER	4700	35252	\N	\N	\N
908349	3094	1995-09-11	VYDAJ	VYBER	700	28243	\N	\N	\N
908350	3094	1995-10-11	VYDAJ	VYBER	2500	35807	\N	\N	\N
908351	3094	1995-11-10	VYDAJ	VYBER	6600	39304	\N	\N	\N
908352	3094	1995-12-10	VYDAJ	VYBER	11100	38321	\N	\N	\N
908353	3094	1996-01-09	VYDAJ	VYBER	11200	43668	\N	\N	\N
908354	3094	1996-02-08	VYDAJ	VYBER	5600	41638	\N	\N	\N
908355	3094	1996-03-09	VYDAJ	VYBER	8300	43461	\N	\N	\N
908356	3094	1996-04-08	VYDAJ	VYBER	4900	48696	\N	\N	\N
908357	3094	1996-05-08	VYDAJ	VYBER	8200	50651	\N	\N	\N
908358	3094	1996-06-07	VYDAJ	VYBER	10900	51134	\N	\N	\N
908359	3094	1996-07-07	VYDAJ	VYBER	10900	53769	\N	\N	\N
908360	3094	1996-08-06	VYDAJ	VYBER	14300	49626	\N	\N	\N
908361	3094	1996-09-05	VYDAJ	VYBER	10200	49565	\N	\N	\N
908362	3094	1996-10-05	VYDAJ	VYBER	10100	49608	\N	\N	\N
908363	3094	1996-11-04	VYDAJ	VYBER	12300	47442	\N	\N	\N
908364	3094	1996-12-04	VYDAJ	VYBER	9400	48168	\N	\N	\N
908365	3094	1997-01-03	VYDAJ	VYBER	14300	45098	\N	\N	\N
908366	3094	1997-02-02	VYDAJ	VYBER	6600	43321	\N	\N	\N
908367	3094	1997-03-04	VYDAJ	VYBER	9100	44325	\N	\N	\N
908368	3094	1997-04-03	VYDAJ	VYBER	9700	44736	\N	\N	\N
908369	3094	1997-05-03	VYDAJ	VYBER	11000	43848	\N	\N	\N
908370	3094	1997-06-02	VYDAJ	VYBER	12800	39114	\N	\N	\N
908371	3094	1997-07-02	VYDAJ	VYBER	5200	36316	\N	\N	\N
908372	3094	1997-08-01	VYDAJ	VYBER	11400	34989	\N	\N	\N
908373	3094	1997-08-31	VYDAJ	VYBER	9300	35775	\N	\N	\N
908374	3094	1997-09-30	VYDAJ	VYBER	7500	34716	\N	\N	\N
908375	3094	1997-10-30	VYDAJ	VYBER	9500	35130	\N	\N	\N
908376	3094	1997-11-29	VYDAJ	VYBER	7300	37892	\N	\N	\N
908377	3094	1997-12-29	VYDAJ	VYBER	16200	37368	\N	\N	\N
908378	3094	1998-01-28	VYDAJ	VYBER	7500	27674	\N	\N	\N
908379	3094	1998-02-27	VYDAJ	VYBER	10100	27635	\N	\N	\N
908380	3094	1998-03-29	VYDAJ	VYBER	9600	24586	\N	\N	\N
908381	3094	1998-04-28	VYDAJ	VYBER	6100	28510	\N	\N	\N
908382	3094	1998-05-28	VYDAJ	VYBER	6000	32530	\N	\N	\N
908383	3094	1998-06-27	VYDAJ	VYBER	600	24296	\N	\N	\N
908384	3094	1998-07-27	VYDAJ	VYBER	2500	31849	\N	\N	\N
908385	3094	1998-08-26	VYDAJ	VYBER	10300	31568	\N	\N	\N
908386	3094	1998-09-25	VYDAJ	VYBER	3400	36652	\N	\N	\N
908387	3094	1998-10-25	VYDAJ	VYBER	10600	36097	\N	\N	\N
908388	3094	1998-11-24	VYDAJ	VYBER	9900	33379	\N	\N	\N
908685	3096	1993-06-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
908692	3096	1993-07-09	PRIJEM	VKLAD	20684	21684	\N	\N	\N
908693	3096	1993-08-09	PRIJEM	VKLAD	20684	41977	\N	\N	\N
908694	3096	1993-09-09	PRIJEM	VKLAD	20684	51454	\N	\N	\N
908695	3096	1993-10-09	PRIJEM	VKLAD	20684	56369	\N	\N	\N
908696	3096	1993-11-09	PRIJEM	VKLAD	20684	62005	\N	\N	\N
908697	3096	1993-12-09	PRIJEM	VKLAD	31026	68480	\N	\N	\N
908698	3096	1994-01-09	PRIJEM	VKLAD	20684	59935	\N	\N	\N
908699	3096	1994-02-09	PRIJEM	VKLAD	20684	52051	\N	\N	\N
908700	3096	1994-03-09	PRIJEM	VKLAD	20684	53457	\N	\N	\N
908701	3096	1994-04-09	PRIJEM	VKLAD	20684	56265	\N	\N	\N
908702	3096	1994-05-09	PRIJEM	VKLAD	20684	58583	\N	\N	\N
908703	3096	1994-06-09	PRIJEM	VKLAD	31026	68751	\N	\N	\N
908704	3096	1994-07-09	PRIJEM	VKLAD	20684	62800	\N	\N	\N
908705	3096	1994-08-09	PRIJEM	VKLAD	20684	58637	\N	\N	\N
908706	3096	1994-09-09	PRIJEM	VKLAD	20684	55956	\N	\N	\N
908707	3096	1994-10-09	PRIJEM	VKLAD	20684	54163	\N	\N	\N
908708	3096	1994-11-09	PRIJEM	VKLAD	20684	55367	\N	\N	\N
908709	3096	1994-12-09	PRIJEM	VKLAD	31026	65114	\N	\N	\N
908710	3096	1995-01-09	PRIJEM	VKLAD	20684	48540	\N	\N	\N
908711	3096	1995-02-09	PRIJEM	VKLAD	20684	38812	\N	\N	\N
908712	3096	1995-03-09	PRIJEM	VKLAD	20684	43258	\N	\N	\N
908713	3096	1995-04-09	PRIJEM	VKLAD	20684	46317	\N	\N	\N
908714	3096	1995-05-09	PRIJEM	VKLAD	20684	50589	\N	\N	\N
908715	3096	1995-06-09	PRIJEM	VKLAD	31026	57909	\N	\N	\N
908716	3096	1995-07-09	PRIJEM	VKLAD	20684	52301	\N	\N	\N
908717	3096	1995-08-09	PRIJEM	VKLAD	20684	49182	\N	\N	\N
908718	3096	1995-09-09	PRIJEM	VKLAD	20684	49155	\N	\N	\N
908719	3096	1995-10-09	PRIJEM	VKLAD	20684	49029	\N	\N	\N
908720	3096	1995-11-09	PRIJEM	VKLAD	20684	46301	\N	\N	\N
908721	3096	1995-12-09	PRIJEM	VKLAD	31026	57706	\N	\N	\N
908722	3096	1996-01-09	PRIJEM	VKLAD	20684	50086	\N	\N	\N
908723	3096	1996-02-09	PRIJEM	VKLAD	20684	47252	\N	\N	\N
908724	3096	1996-03-09	PRIJEM	VKLAD	20684	47111	\N	\N	\N
908725	3096	1996-04-09	PRIJEM	VKLAD	20684	47572	\N	\N	\N
908726	3096	1996-05-09	PRIJEM	VKLAD	20684	51240	\N	\N	\N
908727	3096	1996-06-09	PRIJEM	VKLAD	31026	59552	\N	\N	\N
908728	3096	1996-07-09	PRIJEM	VKLAD	20684	51633	\N	\N	\N
908729	3096	1996-08-09	PRIJEM	VKLAD	20684	52209	\N	\N	\N
908730	3096	1996-09-09	PRIJEM	VKLAD	20684	49876	\N	\N	\N
908731	3096	1996-10-09	PRIJEM	VKLAD	20684	46337	\N	\N	\N
908732	3096	1996-11-09	PRIJEM	VKLAD	20684	40580	\N	\N	\N
908733	3096	1996-12-09	PRIJEM	VKLAD	31026	53355	\N	\N	\N
908734	3096	1997-01-09	PRIJEM	VKLAD	20684	50021	\N	\N	\N
908735	3096	1997-02-09	PRIJEM	VKLAD	20684	39458	\N	\N	\N
908736	3096	1997-03-09	PRIJEM	VKLAD	20684	52109	\N	\N	\N
908737	3096	1997-04-09	PRIJEM	VKLAD	20684	45561	\N	\N	\N
908738	3096	1997-05-09	PRIJEM	VKLAD	20684	42397	\N	\N	\N
908739	3096	1997-06-09	PRIJEM	VKLAD	31026	51368	\N	\N	\N
908740	3096	1997-07-09	PRIJEM	VKLAD	20684	45256	\N	\N	\N
908741	3096	1997-08-09	PRIJEM	VKLAD	20684	45850	\N	\N	\N
908742	3096	1997-09-09	PRIJEM	VKLAD	20684	39440	\N	\N	\N
908743	3096	1997-10-09	PRIJEM	VKLAD	20684	37008	\N	\N	\N
908744	3096	1997-11-09	PRIJEM	VKLAD	20684	49662	\N	\N	\N
908745	3096	1997-12-09	PRIJEM	VKLAD	31026	50293	\N	\N	\N
908746	3096	1998-01-09	PRIJEM	VKLAD	20684	38184	\N	\N	\N
908747	3096	1998-02-09	PRIJEM	VKLAD	20684	44128	\N	\N	\N
908748	3096	1998-03-09	PRIJEM	VKLAD	20684	40700	\N	\N	\N
908749	3096	1998-04-09	PRIJEM	VKLAD	20684	38667	\N	\N	\N
908750	3096	1998-05-09	PRIJEM	VKLAD	20684	51324	\N	\N	\N
908751	3096	1998-06-09	PRIJEM	VKLAD	31026	51670	\N	\N	\N
908752	3096	1998-07-09	PRIJEM	VKLAD	20684	39874	\N	\N	\N
908753	3096	1998-08-09	PRIJEM	VKLAD	20684	51039	\N	\N	\N
908754	3096	1998-09-09	PRIJEM	VKLAD	20684	38836	\N	\N	\N
908755	3096	1998-10-09	PRIJEM	VKLAD	20684	36696	\N	\N	\N
908756	3096	1998-11-09	PRIJEM	VKLAD	20684	49345	\N	\N	\N
908757	3096	1998-12-09	PRIJEM	VKLAD	31026	47781	\N	\N	\N
908768	3096	1993-11-12	VYDAJ	PREVOD NA UCET	6446	55486	SIPO	CD	81572884
908769	3096	1993-12-12	VYDAJ	PREVOD NA UCET	6446	61961	SIPO	CD	81572884
908770	3096	1994-01-12	VYDAJ	PREVOD NA UCET	6446	51416	SIPO	CD	81572884
908771	3096	1994-02-12	VYDAJ	PREVOD NA UCET	6446	45532	SIPO	CD	81572884
908772	3096	1994-03-12	VYDAJ	PREVOD NA UCET	6446	46938	SIPO	CD	81572884
908773	3096	1994-04-12	VYDAJ	PREVOD NA UCET	6446	49746	SIPO	CD	81572884
908774	3096	1994-05-12	VYDAJ	PREVOD NA UCET	6446	52064	SIPO	CD	81572884
908775	3096	1994-06-12	VYDAJ	PREVOD NA UCET	6446	62232	SIPO	CD	81572884
908776	3096	1994-07-12	VYDAJ	PREVOD NA UCET	6446	56281	SIPO	CD	81572884
908777	3096	1994-08-12	VYDAJ	PREVOD NA UCET	6446	52118	SIPO	CD	81572884
908778	3096	1994-09-12	VYDAJ	PREVOD NA UCET	6446	49437	SIPO	CD	81572884
908779	3096	1994-10-12	VYDAJ	PREVOD NA UCET	6446	47644	SIPO	CD	81572884
908780	3096	1994-11-12	VYDAJ	PREVOD NA UCET	6446	48848	SIPO	CD	81572884
908781	3096	1994-12-12	VYDAJ	PREVOD NA UCET	6446	58595	SIPO	CD	81572884
908782	3096	1995-01-12	VYDAJ	PREVOD NA UCET	6446	42021	SIPO	CD	81572884
908783	3096	1995-02-12	VYDAJ	PREVOD NA UCET	6446	32293	SIPO	CD	81572884
908784	3096	1995-03-12	VYDAJ	PREVOD NA UCET	6446	36739	SIPO	CD	81572884
908785	3096	1995-04-12	VYDAJ	PREVOD NA UCET	6446	39798	SIPO	CD	81572884
908786	3096	1995-05-12	VYDAJ	PREVOD NA UCET	6446	44070	SIPO	CD	81572884
908787	3096	1995-06-12	VYDAJ	PREVOD NA UCET	6446	51390	SIPO	CD	81572884
908788	3096	1995-07-12	VYDAJ	PREVOD NA UCET	6446	45782	SIPO	CD	81572884
908789	3096	1995-08-12	VYDAJ	PREVOD NA UCET	6446	42663	SIPO	CD	81572884
908790	3096	1995-09-12	VYDAJ	PREVOD NA UCET	6446	42636	SIPO	CD	81572884
908791	3096	1995-10-12	VYDAJ	PREVOD NA UCET	6446	42510	SIPO	CD	81572884
908792	3096	1995-11-12	VYDAJ	PREVOD NA UCET	6446	39782	SIPO	CD	81572884
908793	3096	1995-12-12	VYDAJ	PREVOD NA UCET	6446	51187	SIPO	CD	81572884
908794	3096	1996-01-12	VYDAJ	PREVOD NA UCET	6446	40467	SIPO	CD	81572884
908795	3096	1996-02-12	VYDAJ	PREVOD NA UCET	6446	40733	SIPO	CD	81572884
908796	3096	1996-03-12	VYDAJ	PREVOD NA UCET	6446	40592	SIPO	CD	81572884
908797	3096	1996-04-12	VYDAJ	PREVOD NA UCET	6446	41053	SIPO	CD	81572884
908798	3096	1996-05-12	VYDAJ	PREVOD NA UCET	6446	44721	SIPO	CD	81572884
908799	3096	1996-06-12	VYDAJ	PREVOD NA UCET	6446	53033	SIPO	CD	81572884
908800	3096	1996-07-12	VYDAJ	PREVOD NA UCET	6446	45114	SIPO	CD	81572884
908801	3096	1996-08-12	VYDAJ	PREVOD NA UCET	6446	30690	SIPO	CD	81572884
908802	3096	1996-09-12	VYDAJ	PREVOD NA UCET	6446	28957	SIPO	CD	81572884
908803	3096	1996-10-12	VYDAJ	PREVOD NA UCET	6446	25718	SIPO	CD	81572884
908804	3096	1996-11-12	VYDAJ	PREVOD NA UCET	6446	24861	SIPO	CD	81572884
908805	3096	1996-12-12	VYDAJ	PREVOD NA UCET	6446	34436	SIPO	CD	81572884
908806	3096	1997-01-12	VYDAJ	PREVOD NA UCET	6446	27802	SIPO	CD	81572884
908807	3096	1997-02-12	VYDAJ	PREVOD NA UCET	6446	32939	SIPO	CD	81572884
908808	3096	1997-03-12	VYDAJ	PREVOD NA UCET	6446	26390	SIPO	CD	81572884
908809	3096	1997-04-12	VYDAJ	PREVOD NA UCET	6446	23242	SIPO	CD	81572884
908810	3096	1997-05-12	VYDAJ	PREVOD NA UCET	6446	23478	SIPO	CD	81572884
908811	3096	1997-06-12	VYDAJ	PREVOD NA UCET	6446	44849	SIPO	CD	81572884
908812	3096	1997-07-12	VYDAJ	PREVOD NA UCET	6446	38737	SIPO	CD	81572884
908813	3096	1997-08-12	VYDAJ	PREVOD NA UCET	6446	39331	SIPO	CD	81572884
908814	3096	1997-09-12	VYDAJ	PREVOD NA UCET	6446	32921	SIPO	CD	81572884
908815	3096	1997-10-12	VYDAJ	PREVOD NA UCET	6446	30489	SIPO	CD	81572884
908816	3096	1997-11-12	VYDAJ	PREVOD NA UCET	6446	43143	SIPO	CD	81572884
908817	3096	1997-12-12	VYDAJ	PREVOD NA UCET	6446	43774	SIPO	CD	81572884
908818	3096	1998-01-12	VYDAJ	PREVOD NA UCET	6446	30465	SIPO	CD	81572884
908819	3096	1998-02-12	VYDAJ	PREVOD NA UCET	6446	37609	SIPO	CD	81572884
908820	3096	1998-03-12	VYDAJ	PREVOD NA UCET	6446	34181	SIPO	CD	81572884
908821	3096	1998-04-12	VYDAJ	PREVOD NA UCET	6446	32148	SIPO	CD	81572884
908822	3096	1998-05-12	VYDAJ	PREVOD NA UCET	6446	44805	SIPO	CD	81572884
908823	3096	1998-06-12	VYDAJ	PREVOD NA UCET	6446	45151	SIPO	CD	81572884
908824	3096	1998-07-12	VYDAJ	PREVOD NA UCET	6446	33355	SIPO	CD	81572884
908825	3096	1998-08-12	VYDAJ	PREVOD NA UCET	6446	44520	SIPO	CD	81572884
908826	3096	1998-09-12	VYDAJ	PREVOD NA UCET	6446	32317	SIPO	CD	81572884
908827	3096	1998-10-12	VYDAJ	PREVOD NA UCET	6446	30177	SIPO	CD	81572884
908828	3096	1998-11-12	VYDAJ	PREVOD NA UCET	6446	42826	SIPO	CD	81572884
908829	3096	1998-12-12	VYDAJ	PREVOD NA UCET	6446	38762	SIPO	CD	81572884
908840	3096	1993-11-11	VYDAJ	PREVOD NA UCET	65	61932	 	KL	64655774
908841	3096	1993-12-11	VYDAJ	PREVOD NA UCET	65	68407	 	KL	64655774
908842	3096	1994-01-11	VYDAJ	PREVOD NA UCET	65	57870	 	KL	64655774
908843	3096	1994-02-11	VYDAJ	PREVOD NA UCET	65	51986	 	KL	64655774
908844	3096	1994-03-11	VYDAJ	PREVOD NA UCET	65	53384	 	KL	64655774
908845	3096	1994-04-11	VYDAJ	PREVOD NA UCET	65	56200	 	KL	64655774
908846	3096	1994-05-11	VYDAJ	PREVOD NA UCET	65	58518	 	KL	64655774
908847	3096	1994-06-11	VYDAJ	PREVOD NA UCET	65	68686	 	KL	64655774
908848	3096	1994-07-11	VYDAJ	PREVOD NA UCET	65	62727	 	KL	64655774
908849	3096	1994-08-11	VYDAJ	PREVOD NA UCET	65	58564	 	KL	64655774
908850	3096	1994-09-11	VYDAJ	PREVOD NA UCET	65	55883	 	KL	64655774
908851	3096	1994-10-11	VYDAJ	PREVOD NA UCET	65	54090	 	KL	64655774
908852	3096	1994-11-11	VYDAJ	PREVOD NA UCET	65	55294	 	KL	64655774
908853	3096	1994-12-11	VYDAJ	PREVOD NA UCET	65	65041	 	KL	64655774
908854	3096	1995-01-11	VYDAJ	PREVOD NA UCET	65	48467	 	KL	64655774
908855	3096	1995-02-11	VYDAJ	PREVOD NA UCET	65	38747	 	KL	64655774
908856	3096	1995-03-11	VYDAJ	PREVOD NA UCET	65	43185	 	KL	64655774
908857	3096	1995-04-11	VYDAJ	PREVOD NA UCET	65	46244	 	KL	64655774
908858	3096	1995-05-11	VYDAJ	PREVOD NA UCET	65	50516	 	KL	64655774
908859	3096	1995-06-11	VYDAJ	PREVOD NA UCET	65	57836	 	KL	64655774
908860	3096	1995-07-11	VYDAJ	PREVOD NA UCET	65	52236	 	KL	64655774
908861	3096	1995-08-11	VYDAJ	PREVOD NA UCET	65	49109	 	KL	64655774
908862	3096	1995-09-11	VYDAJ	PREVOD NA UCET	65	49090	 	KL	64655774
908863	3096	1995-10-11	VYDAJ	PREVOD NA UCET	65	48956	 	KL	64655774
908864	3096	1995-11-11	VYDAJ	PREVOD NA UCET	65	46236	 	KL	64655774
908865	3096	1995-12-11	VYDAJ	PREVOD NA UCET	65	57633	 	KL	64655774
908866	3096	1996-01-11	VYDAJ	PREVOD NA UCET	65	48121	 	KL	64655774
908867	3096	1996-02-11	VYDAJ	PREVOD NA UCET	65	47179	 	KL	64655774
908868	3096	1996-03-11	VYDAJ	PREVOD NA UCET	65	47038	 	KL	64655774
908869	3096	1996-04-11	VYDAJ	PREVOD NA UCET	65	47507	 	KL	64655774
908870	3096	1996-05-11	VYDAJ	PREVOD NA UCET	65	51167	 	KL	64655774
908871	3096	1996-06-11	VYDAJ	PREVOD NA UCET	65	59479	 	KL	64655774
908872	3096	1996-07-11	VYDAJ	PREVOD NA UCET	65	51560	 	KL	64655774
908873	3096	1996-08-11	VYDAJ	PREVOD NA UCET	65	47544	 	KL	64655774
908874	3096	1996-09-11	VYDAJ	PREVOD NA UCET	65	35403	 	KL	64655774
908875	3096	1996-10-11	VYDAJ	PREVOD NA UCET	65	46272	 	KL	64655774
908876	3096	1996-11-11	VYDAJ	PREVOD NA UCET	65	31307	 	KL	64655774
908877	3096	1996-12-11	VYDAJ	PREVOD NA UCET	65	40882	 	KL	64655774
908878	3096	1997-01-11	VYDAJ	PREVOD NA UCET	65	34256	 	KL	64655774
908879	3096	1997-02-11	VYDAJ	PREVOD NA UCET	65	39393	 	KL	64655774
908880	3096	1997-03-11	VYDAJ	PREVOD NA UCET	65	32836	 	KL	64655774
908881	3096	1997-04-11	VYDAJ	PREVOD NA UCET	65	29688	 	KL	64655774
908882	3096	1997-05-11	VYDAJ	PREVOD NA UCET	65	29924	 	KL	64655774
908883	3096	1997-06-11	VYDAJ	PREVOD NA UCET	65	51295	 	KL	64655774
908884	3096	1997-07-11	VYDAJ	PREVOD NA UCET	65	45191	 	KL	64655774
908885	3096	1997-08-11	VYDAJ	PREVOD NA UCET	65	45785	 	KL	64655774
908886	3096	1997-09-11	VYDAJ	PREVOD NA UCET	65	39375	 	KL	64655774
908887	3096	1997-10-11	VYDAJ	PREVOD NA UCET	65	36935	 	KL	64655774
908888	3096	1997-11-11	VYDAJ	PREVOD NA UCET	65	49589	 	KL	64655774
908889	3096	1997-12-11	VYDAJ	PREVOD NA UCET	65	50220	 	KL	64655774
908890	3096	1998-01-11	VYDAJ	PREVOD NA UCET	65	38111	 	KL	64655774
908891	3096	1998-02-11	VYDAJ	PREVOD NA UCET	65	44055	 	KL	64655774
908892	3096	1998-03-11	VYDAJ	PREVOD NA UCET	65	40627	 	KL	64655774
908893	3096	1998-04-11	VYDAJ	PREVOD NA UCET	65	38602	 	KL	64655774
908894	3096	1998-05-11	VYDAJ	PREVOD NA UCET	65	51251	 	KL	64655774
908895	3096	1998-06-11	VYDAJ	PREVOD NA UCET	65	51597	 	KL	64655774
908896	3096	1998-07-11	VYDAJ	PREVOD NA UCET	65	39809	 	KL	64655774
908897	3096	1998-08-11	VYDAJ	PREVOD NA UCET	65	50966	 	KL	64655774
908898	3096	1998-09-11	VYDAJ	PREVOD NA UCET	65	38771	 	KL	64655774
908899	3096	1998-10-11	VYDAJ	PREVOD NA UCET	65	36631	 	KL	64655774
908900	3096	1998-11-11	VYDAJ	PREVOD NA UCET	65	49272	 	KL	64655774
908901	3096	1998-12-11	VYDAJ	PREVOD NA UCET	65	45216	 	KL	64655774
908912	3096	1993-11-11	VYDAJ	PREVOD NA UCET	8	61997	POJISTNE	EF	74155062
908913	3096	1993-12-11	VYDAJ	PREVOD NA UCET	8	68472	POJISTNE	EF	74155062
908914	3096	1994-01-11	VYDAJ	PREVOD NA UCET	8	57862	POJISTNE	EF	74155062
908915	3096	1994-02-11	VYDAJ	PREVOD NA UCET	8	51978	POJISTNE	EF	74155062
908916	3096	1994-03-11	VYDAJ	PREVOD NA UCET	8	53449	POJISTNE	EF	74155062
908917	3096	1994-04-11	VYDAJ	PREVOD NA UCET	8	56192	POJISTNE	EF	74155062
908918	3096	1994-05-11	VYDAJ	PREVOD NA UCET	8	58510	POJISTNE	EF	74155062
908919	3096	1994-06-11	VYDAJ	PREVOD NA UCET	8	68678	POJISTNE	EF	74155062
908920	3096	1994-07-11	VYDAJ	PREVOD NA UCET	8	62792	POJISTNE	EF	74155062
908921	3096	1994-08-11	VYDAJ	PREVOD NA UCET	8	58629	POJISTNE	EF	74155062
908922	3096	1994-09-11	VYDAJ	PREVOD NA UCET	8	55948	POJISTNE	EF	74155062
908923	3096	1994-10-11	VYDAJ	PREVOD NA UCET	8	54155	POJISTNE	EF	74155062
908924	3096	1994-11-11	VYDAJ	PREVOD NA UCET	8	55359	POJISTNE	EF	74155062
908925	3096	1994-12-11	VYDAJ	PREVOD NA UCET	8	65106	POJISTNE	EF	74155062
908926	3096	1995-01-11	VYDAJ	PREVOD NA UCET	8	48532	POJISTNE	EF	74155062
908927	3096	1995-02-11	VYDAJ	PREVOD NA UCET	8	38739	POJISTNE	EF	74155062
908928	3096	1995-03-11	VYDAJ	PREVOD NA UCET	8	43250	POJISTNE	EF	74155062
908929	3096	1995-04-11	VYDAJ	PREVOD NA UCET	8	46309	POJISTNE	EF	74155062
908930	3096	1995-05-11	VYDAJ	PREVOD NA UCET	8	50581	POJISTNE	EF	74155062
908931	3096	1995-06-11	VYDAJ	PREVOD NA UCET	8	57901	POJISTNE	EF	74155062
908932	3096	1995-07-11	VYDAJ	PREVOD NA UCET	8	52228	POJISTNE	EF	74155062
908933	3096	1995-08-11	VYDAJ	PREVOD NA UCET	8	49174	POJISTNE	EF	74155062
908934	3096	1995-09-11	VYDAJ	PREVOD NA UCET	8	49082	POJISTNE	EF	74155062
908935	3096	1995-10-11	VYDAJ	PREVOD NA UCET	8	49021	POJISTNE	EF	74155062
908936	3096	1995-11-11	VYDAJ	PREVOD NA UCET	8	46228	POJISTNE	EF	74155062
908937	3096	1995-12-11	VYDAJ	PREVOD NA UCET	8	57698	POJISTNE	EF	74155062
908938	3096	1996-01-11	VYDAJ	PREVOD NA UCET	8	48113	POJISTNE	EF	74155062
908939	3096	1996-02-11	VYDAJ	PREVOD NA UCET	8	47244	POJISTNE	EF	74155062
908940	3096	1996-03-11	VYDAJ	PREVOD NA UCET	8	47103	POJISTNE	EF	74155062
908941	3096	1996-04-11	VYDAJ	PREVOD NA UCET	8	47499	POJISTNE	EF	74155062
908942	3096	1996-05-11	VYDAJ	PREVOD NA UCET	8	51232	POJISTNE	EF	74155062
908943	3096	1996-06-11	VYDAJ	PREVOD NA UCET	8	59544	POJISTNE	EF	74155062
908944	3096	1996-07-11	VYDAJ	PREVOD NA UCET	8	51625	POJISTNE	EF	74155062
908945	3096	1996-08-11	VYDAJ	PREVOD NA UCET	8	47536	POJISTNE	EF	74155062
908946	3096	1996-09-11	VYDAJ	PREVOD NA UCET	8	49868	POJISTNE	EF	74155062
908947	3096	1996-10-11	VYDAJ	PREVOD NA UCET	8	46264	POJISTNE	EF	74155062
908948	3096	1996-11-11	VYDAJ	PREVOD NA UCET	8	31372	POJISTNE	EF	74155062
908949	3096	1996-12-11	VYDAJ	PREVOD NA UCET	8	40947	POJISTNE	EF	74155062
908950	3096	1997-01-11	VYDAJ	PREVOD NA UCET	8	34248	POJISTNE	EF	74155062
908951	3096	1997-02-11	VYDAJ	PREVOD NA UCET	8	39385	POJISTNE	EF	74155062
908952	3096	1997-03-11	VYDAJ	PREVOD NA UCET	8	32901	POJISTNE	EF	74155062
908953	3096	1997-04-11	VYDAJ	PREVOD NA UCET	8	29753	POJISTNE	EF	74155062
908954	3096	1997-05-11	VYDAJ	PREVOD NA UCET	8	29989	POJISTNE	EF	74155062
908955	3096	1997-06-11	VYDAJ	PREVOD NA UCET	8	51360	POJISTNE	EF	74155062
908956	3096	1997-07-11	VYDAJ	PREVOD NA UCET	8	45183	POJISTNE	EF	74155062
908957	3096	1997-08-11	VYDAJ	PREVOD NA UCET	8	45777	POJISTNE	EF	74155062
908958	3096	1997-09-11	VYDAJ	PREVOD NA UCET	8	39367	POJISTNE	EF	74155062
908959	3096	1997-10-11	VYDAJ	PREVOD NA UCET	8	37000	POJISTNE	EF	74155062
908960	3096	1997-11-11	VYDAJ	PREVOD NA UCET	8	49654	POJISTNE	EF	74155062
908961	3096	1997-12-11	VYDAJ	PREVOD NA UCET	8	50285	POJISTNE	EF	74155062
908962	3096	1998-01-11	VYDAJ	PREVOD NA UCET	8	38176	POJISTNE	EF	74155062
908963	3096	1998-02-11	VYDAJ	PREVOD NA UCET	8	44120	POJISTNE	EF	74155062
908964	3096	1998-03-11	VYDAJ	PREVOD NA UCET	8	40692	POJISTNE	EF	74155062
908965	3096	1998-04-11	VYDAJ	PREVOD NA UCET	8	38594	POJISTNE	EF	74155062
908966	3096	1998-05-11	VYDAJ	PREVOD NA UCET	8	51316	POJISTNE	EF	74155062
908967	3096	1998-06-11	VYDAJ	PREVOD NA UCET	8	51662	POJISTNE	EF	74155062
908968	3096	1998-07-11	VYDAJ	PREVOD NA UCET	8	39801	POJISTNE	EF	74155062
908969	3096	1998-08-11	VYDAJ	PREVOD NA UCET	8	51031	POJISTNE	EF	74155062
908970	3096	1998-09-11	VYDAJ	PREVOD NA UCET	8	38763	POJISTNE	EF	74155062
908971	3096	1998-10-11	VYDAJ	PREVOD NA UCET	8	36623	POJISTNE	EF	74155062
908972	3096	1998-11-11	VYDAJ	PREVOD NA UCET	8	49337	POJISTNE	EF	74155062
908973	3096	1998-12-11	VYDAJ	PREVOD NA UCET	8	45208	POJISTNE	EF	74155062
908985	3096	1993-12-05	VYDAJ	PREVOD NA UCET	1619	40354	 	KL	85654091
908986	3096	1994-01-05	VYDAJ	PREVOD NA UCET	1619	42151	 	KL	85654091
908987	3096	1994-02-05	VYDAJ	PREVOD NA UCET	1619	31367	 	KL	85654091
908988	3096	1994-03-05	VYDAJ	PREVOD NA UCET	1619	32773	 	KL	85654091
908989	3096	1994-04-05	VYDAJ	PREVOD NA UCET	1619	35581	 	KL	85654091
908990	3096	1994-05-05	VYDAJ	PREVOD NA UCET	1619	37899	 	KL	85654091
908991	3096	1994-06-05	VYDAJ	PREVOD NA UCET	1619	37725	 	KL	85654091
908992	3096	1994-07-05	VYDAJ	PREVOD NA UCET	1619	42116	 	KL	85654091
908993	3096	1994-08-05	VYDAJ	PREVOD NA UCET	1619	37953	 	KL	85654091
908994	3096	1994-09-05	VYDAJ	PREVOD NA UCET	1619	35272	 	KL	85654091
908995	3096	1994-10-05	VYDAJ	PREVOD NA UCET	1619	33479	 	KL	85654091
908996	3096	1994-11-05	VYDAJ	PREVOD NA UCET	1619	34683	 	KL	85654091
908997	3096	1994-12-05	VYDAJ	PREVOD NA UCET	1619	34088	 	KL	85654091
908998	3096	1995-01-05	VYDAJ	PREVOD NA UCET	1619	30556	 	KL	85654091
908999	3096	1995-02-05	VYDAJ	PREVOD NA UCET	1619	22528	 	KL	85654091
909000	3096	1995-03-05	VYDAJ	PREVOD NA UCET	1619	22574	 	KL	85654091
909001	3096	1995-04-05	VYDAJ	PREVOD NA UCET	1619	25633	 	KL	85654091
909002	3096	1995-05-05	VYDAJ	PREVOD NA UCET	1619	29905	 	KL	85654091
909003	3096	1995-06-05	VYDAJ	PREVOD NA UCET	1619	26883	 	KL	85654091
909004	3096	1995-07-05	VYDAJ	PREVOD NA UCET	1619	31617	 	KL	85654091
909005	3096	1995-08-05	VYDAJ	PREVOD NA UCET	1619	28498	 	KL	85654091
909006	3096	1995-09-05	VYDAJ	PREVOD NA UCET	1619	28471	 	KL	85654091
909007	3096	1995-10-05	VYDAJ	PREVOD NA UCET	1619	28345	 	KL	85654091
909008	3096	1995-11-05	VYDAJ	PREVOD NA UCET	1619	27817	 	KL	85654091
909009	3096	1995-12-05	VYDAJ	PREVOD NA UCET	1619	26680	 	KL	85654091
909010	3096	1996-01-05	VYDAJ	PREVOD NA UCET	1619	29402	 	KL	85654091
909011	3096	1996-02-05	VYDAJ	PREVOD NA UCET	1619	26568	 	KL	85654091
909012	3096	1996-03-05	VYDAJ	PREVOD NA UCET	1619	26427	 	KL	85654091
909013	3096	1996-04-05	VYDAJ	PREVOD NA UCET	1619	26888	 	KL	85654091
909014	3096	1996-05-05	VYDAJ	PREVOD NA UCET	1619	30556	 	KL	85654091
909015	3096	1996-06-05	VYDAJ	PREVOD NA UCET	1619	28526	 	KL	85654091
909016	3096	1996-07-05	VYDAJ	PREVOD NA UCET	1619	30949	 	KL	85654091
909017	3096	1996-08-05	VYDAJ	PREVOD NA UCET	1619	31525	 	KL	85654091
909018	3096	1996-09-05	VYDAJ	PREVOD NA UCET	1619	29192	 	KL	85654091
909019	3096	1996-10-05	VYDAJ	PREVOD NA UCET	1619	27453	 	KL	85654091
909020	3096	1996-11-05	VYDAJ	PREVOD NA UCET	1619	19896	 	KL	85654091
909021	3096	1996-12-05	VYDAJ	PREVOD NA UCET	1619	23329	 	KL	85654091
909022	3096	1997-01-05	VYDAJ	PREVOD NA UCET	1619	31237	 	KL	85654091
909023	3096	1997-02-05	VYDAJ	PREVOD NA UCET	1619	15974	 	KL	85654091
909024	3096	1997-03-05	VYDAJ	PREVOD NA UCET	1619	31425	 	KL	85654091
909025	3096	1997-04-05	VYDAJ	PREVOD NA UCET	1619	24877	 	KL	85654091
909026	3096	1997-05-05	VYDAJ	PREVOD NA UCET	1619	21713	 	KL	85654091
909027	3096	1997-06-05	VYDAJ	PREVOD NA UCET	1619	21942	 	KL	85654091
909028	3096	1997-07-05	VYDAJ	PREVOD NA UCET	1619	40572	 	KL	85654091
909029	3096	1997-08-05	VYDAJ	PREVOD NA UCET	1619	37266	 	KL	85654091
909030	3096	1997-09-05	VYDAJ	PREVOD NA UCET	1619	37856	 	KL	85654091
909031	3096	1997-10-05	VYDAJ	PREVOD NA UCET	1619	31424	 	KL	85654091
909032	3096	1997-11-05	VYDAJ	PREVOD NA UCET	1619	28978	 	KL	85654091
909033	3096	1997-12-05	VYDAJ	PREVOD NA UCET	1619	19267	 	KL	85654091
909034	3096	1998-01-05	VYDAJ	PREVOD NA UCET	1619	17500	 	KL	85654091
909035	3096	1998-02-05	VYDAJ	PREVOD NA UCET	1619	23444	 	KL	85654091
909036	3096	1998-03-05	VYDAJ	PREVOD NA UCET	1619	36116	 	KL	85654091
909037	3096	1998-04-05	VYDAJ	PREVOD NA UCET	1619	17983	 	KL	85654091
909038	3096	1998-05-05	VYDAJ	PREVOD NA UCET	1619	30640	 	KL	85654091
909039	3096	1998-06-05	VYDAJ	PREVOD NA UCET	1619	20644	 	KL	85654091
909040	3096	1998-07-05	VYDAJ	PREVOD NA UCET	1619	19190	 	KL	85654091
909041	3096	1998-08-05	VYDAJ	PREVOD NA UCET	1619	30355	 	KL	85654091
909042	3096	1998-09-05	VYDAJ	PREVOD NA UCET	1619	18152	 	KL	85654091
909043	3096	1998-10-05	VYDAJ	PREVOD NA UCET	1619	16012	 	KL	85654091
909044	3096	1998-11-05	VYDAJ	PREVOD NA UCET	1619	28661	 	KL	85654091
909045	3096	1998-12-05	VYDAJ	PREVOD NA UCET	1619	16755	 	KL	85654091
909046	3096	1993-12-07	VYDAJ	VYBER	2900	37454	\N	\N	\N
909047	3096	1994-12-28	VYDAJ	VYBER	2400	38995	\N	\N	\N
909048	3096	1995-12-22	VYDAJ	VYBER	2900	30887	\N	\N	\N
909049	3096	1996-12-06	VYDAJ	VYBER	1000	22329	\N	\N	\N
909050	3096	1997-12-14	VYDAJ	VYBER	2500	41274	\N	\N	\N
909051	3096	1998-12-25	VYDAJ	VYBER	1900	33562	\N	\N	\N
909058	3096	1994-01-06	VYDAJ	VYBER	2900	39251	\N	\N	\N
909059	3096	1994-01-29	VYDAJ	VYBER	1000	32816	\N	\N	\N
909060	3096	1994-01-16	VYDAJ	VYBER	1500	48116	\N	\N	\N
909061	3096	1994-01-22	VYDAJ	VYBER	1800	46316	\N	\N	\N
909062	3096	1994-01-12	VYDAJ	VYBER	1800	49616	\N	\N	\N
909063	3096	1994-01-09	VYDAJ	VYBER	2000	57935	\N	\N	\N
909064	3096	1995-01-30	VYDAJ	VYBER	1600	24021	\N	\N	\N
909065	3096	1995-01-03	VYDAJ	VYBER	2600	36575	\N	\N	\N
909066	3096	1995-01-06	VYDAJ	VYBER	2700	27856	\N	\N	\N
909067	3096	1995-01-16	VYDAJ	VYBER	2500	39521	\N	\N	\N
909068	3096	1995-01-21	VYDAJ	VYBER	2700	25621	\N	\N	\N
909069	3096	1995-01-19	VYDAJ	VYBER	1200	38321	\N	\N	\N
909070	3096	1996-01-21	VYDAJ	VYBER	1200	28867	\N	\N	\N
909071	3096	1996-01-11	VYDAJ	VYBER	600	48186	\N	\N	\N
909072	3096	1996-01-11	VYDAJ	VYBER	1200	46913	\N	\N	\N
909073	3096	1996-01-28	VYDAJ	VYBER	800	28067	\N	\N	\N
909074	3096	1996-01-11	VYDAJ	VYBER	1300	48786	\N	\N	\N
909075	3096	1996-01-14	VYDAJ	VYBER	1200	39267	\N	\N	\N
909076	3096	1997-01-14	VYDAJ	VYBER	500	26302	\N	\N	\N
909078	3096	1997-01-21	VYDAJ	VYBER	2200	17502	\N	\N	\N
909079	3096	1997-01-06	VYDAJ	VYBER	1900	29337	\N	\N	\N
909080	3096	1997-01-18	VYDAJ	VYBER	2200	24102	\N	\N	\N
909081	3096	1997-01-13	VYDAJ	VYBER	1000	26802	\N	\N	\N
909082	3096	1998-01-19	VYDAJ	VYBER	1800	26965	\N	\N	\N
909083	3096	1998-01-25	VYDAJ	VYBER	2000	24965	\N	\N	\N
909084	3096	1998-01-03	VYDAJ	VYBER	2200	37719	\N	\N	\N
909085	3096	1998-01-15	VYDAJ	VYBER	1700	28765	\N	\N	\N
909086	3096	1998-01-02	VYDAJ	VYBER	800	39919	\N	\N	\N
909087	3096	1998-01-12	VYDAJ	VYBER	1200	36911	\N	\N	\N
909089	3096	1993-11-22	VYDAJ	VYBER	900	54586	\N	\N	\N
909092	3096	1994-07-23	VYDAJ	VYBER	1400	54881	\N	\N	\N
909093	3096	1994-02-24	VYDAJ	VYBER	3400	42132	\N	\N	\N
909094	3096	1995-02-08	VYDAJ	VYBER	4400	18128	\N	\N	\N
909095	3096	1995-07-14	VYDAJ	VYBER	3200	42582	\N	\N	\N
909096	3096	1995-11-02	VYDAJ	VYBER	1200	29436	\N	\N	\N
909097	3096	1995-09-21	VYDAJ	VYBER	2200	29836	\N	\N	\N
909098	3096	1995-11-08	VYDAJ	VYBER	2200	25617	\N	\N	\N
909099	3096	1995-01-05	VYDAJ	VYBER	4400	32175	\N	\N	\N
909100	3096	1996-08-09	VYDAJ	VYBER	4600	47609	\N	\N	\N
909101	3096	1996-06-21	VYDAJ	VYBER	4300	32433	\N	\N	\N
909102	3096	1996-10-06	VYDAJ	VYBER	1800	25653	\N	\N	\N
909103	3096	1996-10-27	VYDAJ	VYBER	4300	21418	\N	\N	\N
909104	3096	1997-06-14	VYDAJ	VYBER	2800	42049	\N	\N	\N
909105	3096	1997-11-18	VYDAJ	VYBER	4300	38843	\N	\N	\N
909106	3096	1997-09-08	VYDAJ	VYBER	3900	18756	\N	\N	\N
909107	3096	1997-01-19	VYDAJ	VYBER	4400	19702	\N	\N	\N
909108	3096	1997-01-02	VYDAJ	VYBER	1700	32856	\N	\N	\N
909109	3096	1997-12-16	VYDAJ	VYBER	700	40574	\N	\N	\N
909110	3096	1997-03-09	VYDAJ	VYBER	3400	48709	\N	\N	\N
909113	3096	1998-12-25	VYDAJ	VYBER	3300	35462	\N	\N	\N
909114	3096	1998-08-17	VYDAJ	VYBER	1300	43220	\N	\N	\N
909115	3096	1998-12-10	VYDAJ	VYBER	2500	45281	\N	\N	\N
909116	3096	1998-08-26	VYDAJ	VYBER	3300	39920	\N	\N	\N
909117	3096	1998-07-21	VYDAJ	VYBER	1500	31855	\N	\N	\N
909129	3096	1993-11-30	VYDAJ	VYBER	15	41973	SLUZBY	\N	\N
909130	3096	1993-12-31	VYDAJ	VYBER	15	43770	SLUZBY	\N	\N
909131	3096	1994-01-31	VYDAJ	VYBER	15	32986	SLUZBY	\N	\N
909132	3096	1994-02-28	VYDAJ	VYBER	15	34392	SLUZBY	\N	\N
909133	3096	1994-03-31	VYDAJ	VYBER	15	37200	SLUZBY	\N	\N
909134	3096	1994-04-30	VYDAJ	VYBER	15	39518	SLUZBY	\N	\N
909135	3096	1994-05-31	VYDAJ	VYBER	15	39344	SLUZBY	\N	\N
909136	3096	1994-06-30	VYDAJ	VYBER	15	43735	SLUZBY	\N	\N
909137	3096	1994-07-31	VYDAJ	VYBER	15	39572	SLUZBY	\N	\N
909138	3096	1994-08-31	VYDAJ	VYBER	15	36891	SLUZBY	\N	\N
909139	3096	1994-09-30	VYDAJ	VYBER	15	35098	SLUZBY	\N	\N
909140	3096	1994-10-31	VYDAJ	VYBER	15	36302	SLUZBY	\N	\N
909141	3096	1994-11-30	VYDAJ	VYBER	15	35707	SLUZBY	\N	\N
909142	3096	1994-12-31	VYDAJ	VYBER	15	39175	SLUZBY	\N	\N
909143	3096	1995-01-31	VYDAJ	VYBER	15	24147	SLUZBY	\N	\N
909144	3096	1995-02-28	VYDAJ	VYBER	15	24193	SLUZBY	\N	\N
909145	3096	1995-03-31	VYDAJ	VYBER	15	27252	SLUZBY	\N	\N
909146	3096	1995-04-30	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
909147	3096	1995-05-31	VYDAJ	VYBER	15	28502	SLUZBY	\N	\N
909148	3096	1995-06-30	VYDAJ	VYBER	15	33236	SLUZBY	\N	\N
909149	3096	1995-07-31	VYDAJ	VYBER	15	30117	SLUZBY	\N	\N
909150	3096	1995-08-31	VYDAJ	VYBER	15	30090	SLUZBY	\N	\N
909151	3096	1995-09-30	VYDAJ	VYBER	15	29964	SLUZBY	\N	\N
909152	3096	1995-10-31	VYDAJ	VYBER	15	30636	SLUZBY	\N	\N
909153	3096	1995-11-30	VYDAJ	VYBER	15	28299	SLUZBY	\N	\N
909154	3096	1995-12-31	VYDAJ	VYBER	15	31021	SLUZBY	\N	\N
909155	3096	1996-01-31	VYDAJ	VYBER	15	28187	SLUZBY	\N	\N
909156	3096	1996-02-29	VYDAJ	VYBER	15	28046	SLUZBY	\N	\N
909157	3096	1996-03-31	VYDAJ	VYBER	15	28507	SLUZBY	\N	\N
909158	3096	1996-04-30	VYDAJ	VYBER	15	32175	SLUZBY	\N	\N
909159	3096	1996-05-31	VYDAJ	VYBER	15	30145	SLUZBY	\N	\N
909160	3096	1996-06-30	VYDAJ	VYBER	15	32568	SLUZBY	\N	\N
909161	3096	1996-07-31	VYDAJ	VYBER	15	33144	SLUZBY	\N	\N
909162	3096	1996-08-31	VYDAJ	VYBER	15	30811	SLUZBY	\N	\N
909163	3096	1996-09-30	VYDAJ	VYBER	15	29072	SLUZBY	\N	\N
909164	3096	1996-10-31	VYDAJ	VYBER	15	21515	SLUZBY	\N	\N
909165	3096	1996-11-30	VYDAJ	VYBER	15	24948	SLUZBY	\N	\N
909166	3096	1996-12-31	VYDAJ	VYBER	15	34556	SLUZBY	\N	\N
909167	3096	1997-01-31	VYDAJ	VYBER	15	17593	SLUZBY	\N	\N
909168	3096	1997-02-28	VYDAJ	VYBER	15	33044	SLUZBY	\N	\N
909169	3096	1997-03-31	VYDAJ	VYBER	15	26496	SLUZBY	\N	\N
909170	3096	1997-04-30	VYDAJ	VYBER	15	23332	SLUZBY	\N	\N
909171	3096	1997-05-31	VYDAJ	VYBER	15	23561	SLUZBY	\N	\N
909172	3096	1997-06-30	VYDAJ	VYBER	15	42191	SLUZBY	\N	\N
909173	3096	1997-07-31	VYDAJ	VYBER	15	38885	SLUZBY	\N	\N
909174	3096	1997-08-31	VYDAJ	VYBER	15	39475	SLUZBY	\N	\N
909175	3096	1997-09-30	VYDAJ	VYBER	15	33043	SLUZBY	\N	\N
909176	3096	1997-10-31	VYDAJ	VYBER	15	30597	SLUZBY	\N	\N
909177	3096	1997-11-30	VYDAJ	VYBER	15	38986	SLUZBY	\N	\N
909178	3096	1997-12-31	VYDAJ	VYBER	15	40719	SLUZBY	\N	\N
909179	3096	1998-01-31	VYDAJ	VYBER	15	25063	SLUZBY	\N	\N
909180	3096	1998-02-28	VYDAJ	VYBER	15	37735	SLUZBY	\N	\N
909181	3096	1998-03-31	VYDAJ	VYBER	15	34302	SLUZBY	\N	\N
909182	3096	1998-04-30	VYDAJ	VYBER	15	32259	SLUZBY	\N	\N
909183	3096	1998-05-31	VYDAJ	VYBER	15	44963	SLUZBY	\N	\N
909184	3096	1998-06-30	VYDAJ	VYBER	15	45309	SLUZBY	\N	\N
909185	3096	1998-07-31	VYDAJ	VYBER	15	31974	SLUZBY	\N	\N
909186	3096	1998-08-31	VYDAJ	VYBER	15	40071	SLUZBY	\N	\N
909187	3096	1998-09-30	VYDAJ	VYBER	15	32431	SLUZBY	\N	\N
909188	3096	1998-10-31	VYDAJ	VYBER	15	30280	SLUZBY	\N	\N
909189	3096	1998-11-30	VYDAJ	VYBER	15	42974	SLUZBY	\N	\N
909190	3096	1993-07-29	VYDAJ	VYBER	400	21284	\N	\N	\N
909191	3096	1993-08-28	VYDAJ	VYBER	11300	30677	\N	\N	\N
909192	3096	1993-09-27	VYDAJ	VYBER	15900	35554	\N	\N	\N
909193	3096	1993-10-27	VYDAJ	VYBER	15200	41169	\N	\N	\N
909194	3096	1993-11-26	VYDAJ	VYBER	12800	41786	\N	\N	\N
909195	3096	1993-12-26	VYDAJ	VYBER	18400	43561	\N	\N	\N
909196	3096	1994-01-25	VYDAJ	VYBER	12500	33816	\N	\N	\N
909197	3096	1994-02-24	VYDAJ	VYBER	7900	34232	\N	\N	\N
909198	3096	1994-03-26	VYDAJ	VYBER	9900	37038	\N	\N	\N
909199	3096	1994-04-25	VYDAJ	VYBER	10400	39346	\N	\N	\N
909200	3096	1994-05-25	VYDAJ	VYBER	12900	39164	\N	\N	\N
909201	3096	1994-06-24	VYDAJ	VYBER	18700	43532	\N	\N	\N
909202	3096	1994-07-24	VYDAJ	VYBER	15500	39381	\N	\N	\N
909203	3096	1994-08-23	VYDAJ	VYBER	15400	36718	\N	\N	\N
909204	3096	1994-09-22	VYDAJ	VYBER	14500	34937	\N	\N	\N
909205	3096	1994-10-22	VYDAJ	VYBER	11500	36144	\N	\N	\N
909206	3096	1994-11-21	VYDAJ	VYBER	13300	35548	\N	\N	\N
909207	3096	1994-12-21	VYDAJ	VYBER	17200	41395	\N	\N	\N
909208	3096	1995-01-20	VYDAJ	VYBER	10000	28321	\N	\N	\N
909209	3096	1995-02-19	VYDAJ	VYBER	8200	24093	\N	\N	\N
909210	3096	1995-03-21	VYDAJ	VYBER	9600	27139	\N	\N	\N
909211	3096	1995-04-20	VYDAJ	VYBER	8400	31398	\N	\N	\N
909212	3096	1995-05-20	VYDAJ	VYBER	15700	28370	\N	\N	\N
909213	3096	1995-06-19	VYDAJ	VYBER	18300	33090	\N	\N	\N
909214	3096	1995-07-19	VYDAJ	VYBER	12600	29982	\N	\N	\N
909215	3096	1995-08-18	VYDAJ	VYBER	12700	29963	\N	\N	\N
909216	3096	1995-09-17	VYDAJ	VYBER	10600	32036	\N	\N	\N
909217	3096	1995-10-17	VYDAJ	VYBER	12000	30510	\N	\N	\N
909218	3096	1995-11-16	VYDAJ	VYBER	11600	28182	\N	\N	\N
909219	3096	1995-12-16	VYDAJ	VYBER	17400	33787	\N	\N	\N
909220	3096	1996-01-15	VYDAJ	VYBER	9200	30067	\N	\N	\N
909221	3096	1996-02-14	VYDAJ	VYBER	12800	27933	\N	\N	\N
909222	3096	1996-03-15	VYDAJ	VYBER	12200	28392	\N	\N	\N
909223	3096	1996-04-14	VYDAJ	VYBER	9000	32053	\N	\N	\N
909224	3096	1996-05-14	VYDAJ	VYBER	14700	30021	\N	\N	\N
909225	3096	1996-06-13	VYDAJ	VYBER	16300	36733	\N	\N	\N
909226	3096	1996-07-13	VYDAJ	VYBER	12100	33014	\N	\N	\N
909227	3096	1996-08-12	VYDAJ	VYBER	10400	37136	\N	\N	\N
909228	3096	1996-09-11	VYDAJ	VYBER	14400	35468	\N	\N	\N
909229	3096	1996-10-11	VYDAJ	VYBER	14100	32164	\N	\N	\N
909230	3096	1996-11-10	VYDAJ	VYBER	9200	31380	\N	\N	\N
909231	3096	1996-12-10	VYDAJ	VYBER	12400	40955	\N	\N	\N
909232	3096	1997-01-09	VYDAJ	VYBER	15700	34321	\N	\N	\N
909233	3096	1997-02-08	PRIJEM	VKLAD	2800	18774	\N	\N	\N
909234	3096	1997-03-10	VYDAJ	VYBER	15800	32909	\N	\N	\N
909235	3096	1997-04-09	VYDAJ	VYBER	15800	29761	\N	\N	\N
909236	3096	1997-05-09	VYDAJ	VYBER	12400	29997	\N	\N	\N
909237	3096	1997-06-08	VYDAJ	VYBER	1600	20342	\N	\N	\N
909238	3096	1997-07-08	VYDAJ	VYBER	16000	24572	\N	\N	\N
909239	3096	1997-08-07	VYDAJ	VYBER	12100	25166	\N	\N	\N
909240	3096	1997-09-06	VYDAJ	VYBER	15200	22656	\N	\N	\N
909241	3096	1997-10-06	VYDAJ	VYBER	15100	16324	\N	\N	\N
909242	3096	1997-12-05	VYDAJ	VYBER	18100	20886	\N	\N	\N
909243	3096	1998-01-04	VYDAJ	VYBER	18600	19119	\N	\N	\N
909244	3096	1998-03-05	VYDAJ	VYBER	16100	20016	\N	\N	\N
909245	3096	1998-04-04	VYDAJ	VYBER	14700	19602	\N	\N	\N
909246	3096	1998-06-03	VYDAJ	VYBER	22700	22263	\N	\N	\N
909247	3096	1998-07-03	VYDAJ	VYBER	24500	20809	\N	\N	\N
909248	3096	1998-09-01	VYDAJ	VYBER	20300	19771	\N	\N	\N
909249	3096	1998-10-01	VYDAJ	VYBER	14800	17631	\N	\N	\N
909250	3096	1998-11-30	VYDAJ	VYBER	24600	18374	\N	\N	\N
909317	3097	1997-08-14	PRIJEM	VKLAD	900	900	\N	\N	\N
909326	3097	1997-09-06	PRIJEM	PREVOD Z UCTU	3784	4684	\N	OP	18094325
909327	3097	1997-10-06	PRIJEM	PREVOD Z UCTU	3784	18104	\N	OP	18094325
909328	3097	1997-11-06	PRIJEM	PREVOD Z UCTU	3784	19751	\N	OP	18094325
909482	3098	1998-01-10	PRIJEM	VKLAD	7581	36258	\N	\N	\N
909329	3097	1997-12-06	PRIJEM	PREVOD Z UCTU	3784	25116	\N	OP	18094325
909330	3097	1998-01-06	PRIJEM	PREVOD Z UCTU	3784	26693	\N	OP	18094325
909331	3097	1998-02-06	PRIJEM	PREVOD Z UCTU	3784	27220	\N	OP	18094325
909332	3097	1998-03-06	PRIJEM	PREVOD Z UCTU	3784	26767	\N	OP	18094325
909333	3097	1998-04-06	PRIJEM	PREVOD Z UCTU	3784	25811	\N	OP	18094325
909334	3097	1998-05-06	PRIJEM	PREVOD Z UCTU	3784	23747	\N	OP	18094325
909335	3097	1998-06-06	PRIJEM	PREVOD Z UCTU	3784	21675	\N	OP	18094325
909336	3097	1998-07-06	PRIJEM	PREVOD Z UCTU	3784	16946	\N	OP	18094325
909337	3097	1998-08-06	PRIJEM	PREVOD Z UCTU	3784	22467	\N	OP	18094325
909338	3097	1998-09-06	PRIJEM	PREVOD Z UCTU	3784	24020	\N	OP	18094325
909339	3097	1998-10-06	PRIJEM	PREVOD Z UCTU	3784	21145	\N	OP	18094325
909340	3097	1998-11-06	PRIJEM	PREVOD Z UCTU	3784	17456	\N	OP	18094325
909341	3097	1998-12-06	PRIJEM	PREVOD Z UCTU	3784	12647	\N	OP	18094325
909355	3097	1998-02-05	VYDAJ	PREVOD NA UCET	403	23436	SIPO	EF	18871748
909356	3097	1998-03-05	VYDAJ	PREVOD NA UCET	403	22983	SIPO	EF	18871748
909357	3097	1998-04-05	VYDAJ	PREVOD NA UCET	403	22027	SIPO	EF	18871748
909358	3097	1998-05-05	VYDAJ	PREVOD NA UCET	403	19963	SIPO	EF	18871748
909359	3097	1998-06-05	VYDAJ	PREVOD NA UCET	403	17891	SIPO	EF	18871748
909360	3097	1998-07-05	VYDAJ	PREVOD NA UCET	403	13162	SIPO	EF	18871748
909361	3097	1998-08-05	VYDAJ	PREVOD NA UCET	403	18683	SIPO	EF	18871748
909362	3097	1998-09-05	VYDAJ	PREVOD NA UCET	403	20236	SIPO	EF	18871748
909363	3097	1998-10-05	VYDAJ	PREVOD NA UCET	403	17361	SIPO	EF	18871748
909364	3097	1998-11-05	VYDAJ	PREVOD NA UCET	403	13672	SIPO	EF	18871748
909365	3097	1998-12-05	VYDAJ	PREVOD NA UCET	403	8863	SIPO	EF	18871748
909378	3097	1998-01-09	VYDAJ	PREVOD NA UCET	2119	24574	 	ST	70961040
909379	3097	1998-02-09	VYDAJ	PREVOD NA UCET	2119	25101	 	ST	70961040
909380	3097	1998-03-09	VYDAJ	PREVOD NA UCET	2119	24648	 	ST	70961040
909381	3097	1998-04-09	VYDAJ	PREVOD NA UCET	2119	23692	 	ST	70961040
909382	3097	1998-05-09	VYDAJ	PREVOD NA UCET	2119	21628	 	ST	70961040
909383	3097	1998-06-09	VYDAJ	PREVOD NA UCET	2119	19556	 	ST	70961040
909384	3097	1998-07-09	VYDAJ	PREVOD NA UCET	2119	14827	 	ST	70961040
909385	3097	1998-08-09	VYDAJ	PREVOD NA UCET	2119	20748	 	ST	70961040
909386	3097	1998-09-09	VYDAJ	PREVOD NA UCET	2119	17701	 	ST	70961040
909387	3097	1998-10-09	VYDAJ	PREVOD NA UCET	2119	14026	 	ST	70961040
909388	3097	1998-11-09	VYDAJ	PREVOD NA UCET	2119	9237	 	ST	70961040
909389	3097	1998-12-09	VYDAJ	PREVOD NA UCET	2119	10528	 	ST	70961040
909391	3097	1998-06-26	VYDAJ	VYBER	8250	13496	\N	\N	\N
909393	3097	1998-01-23	VYDAJ	VYBER	1020	23754	\N	\N	\N
909400	3097	1998-08-10	VYDAJ	VYBER	180	20568	\N	\N	\N
909401	3097	1998-06-10	VYDAJ	VYBER	510	21746	\N	\N	\N
909415	3097	1998-01-31	VYDAJ	VYBER	15	23839	SLUZBY	\N	\N
909416	3097	1998-02-28	VYDAJ	VYBER	15	23386	SLUZBY	\N	\N
909417	3097	1998-03-31	VYDAJ	VYBER	15	22430	SLUZBY	\N	\N
909418	3097	1998-04-30	VYDAJ	VYBER	15	20366	SLUZBY	\N	\N
909419	3097	1998-05-31	VYDAJ	VYBER	15	18294	SLUZBY	\N	\N
909420	3097	1998-06-30	VYDAJ	VYBER	15	13565	SLUZBY	\N	\N
909421	3097	1998-07-31	VYDAJ	VYBER	15	19086	SLUZBY	\N	\N
909422	3097	1998-08-31	VYDAJ	VYBER	15	20639	SLUZBY	\N	\N
909423	3097	1998-09-30	VYDAJ	VYBER	15	17764	SLUZBY	\N	\N
909424	3097	1998-10-31	VYDAJ	VYBER	15	14075	SLUZBY	\N	\N
909425	3097	1998-11-30	VYDAJ	VYBER	15	9266	SLUZBY	\N	\N
909426	3097	1997-09-13	PRIJEM	VKLAD	9600	14284	\N	\N	\N
909427	3097	1997-10-13	VYDAJ	VYBER	2200	15904	\N	\N	\N
909428	3097	1997-11-12	PRIJEM	VKLAD	1500	21251	\N	\N	\N
909429	3097	1997-12-12	VYDAJ	VYBER	2300	22816	\N	\N	\N
909430	3097	1998-01-11	PRIJEM	VKLAD	200	24774	\N	\N	\N
909431	3097	1998-02-10	VYDAJ	VYBER	1800	23301	\N	\N	\N
909432	3097	1998-03-12	VYDAJ	VYBER	2300	22348	\N	\N	\N
909433	3097	1998-04-11	VYDAJ	VYBER	3400	20292	\N	\N	\N
909434	3097	1998-05-11	VYDAJ	VYBER	3400	18228	\N	\N	\N
909435	3097	1998-06-10	PRIJEM	VKLAD	2700	22256	\N	\N	\N
909436	3097	1998-07-10	PRIJEM	VKLAD	4200	19027	\N	\N	\N
909437	3097	1998-08-09	PRIJEM	VKLAD	400	22867	\N	\N	\N
909438	3097	1998-09-08	VYDAJ	VYBER	4200	19820	\N	\N	\N
909439	3097	1998-10-08	VYDAJ	VYBER	5000	16145	\N	\N	\N
909440	3097	1998-11-07	VYDAJ	VYBER	6100	11356	\N	\N	\N
909457	3098	1996-09-16	PRIJEM	VKLAD	600	600	\N	\N	\N
909467	3098	1996-10-10	PRIJEM	VKLAD	7581	8181	\N	\N	\N
909468	3098	1996-11-10	PRIJEM	VKLAD	7581	25601	\N	\N	\N
909469	3098	1996-12-10	PRIJEM	VKLAD	11372	38066	\N	\N	\N
909470	3098	1997-01-10	PRIJEM	VKLAD	7581	40071	\N	\N	\N
909471	3098	1997-02-10	PRIJEM	VKLAD	7581	43495	\N	\N	\N
909472	3098	1997-03-10	PRIJEM	VKLAD	7581	34395	\N	\N	\N
909473	3098	1997-04-10	PRIJEM	VKLAD	7581	33988	\N	\N	\N
909474	3098	1997-05-10	PRIJEM	VKLAD	7581	25323	\N	\N	\N
909475	3098	1997-06-10	PRIJEM	VKLAD	11372	33487	\N	\N	\N
909476	3098	1997-07-10	PRIJEM	VKLAD	7581	36780	\N	\N	\N
909477	3098	1997-08-10	PRIJEM	VKLAD	7581	32179	\N	\N	\N
909478	3098	1997-09-10	PRIJEM	VKLAD	7581	32667	\N	\N	\N
909479	3098	1997-10-10	PRIJEM	VKLAD	7581	31938	\N	\N	\N
909480	3098	1997-11-10	PRIJEM	VKLAD	7581	32594	\N	\N	\N
909481	3098	1997-12-10	PRIJEM	VKLAD	11372	37214	\N	\N	\N
909483	3098	1998-02-10	PRIJEM	VKLAD	7581	36858	\N	\N	\N
909484	3098	1998-03-10	PRIJEM	VKLAD	7581	40325	\N	\N	\N
909485	3098	1998-04-10	PRIJEM	VKLAD	7581	41725	\N	\N	\N
909486	3098	1998-05-10	PRIJEM	VKLAD	7581	46458	\N	\N	\N
909487	3098	1998-06-10	PRIJEM	VKLAD	11372	47235	\N	\N	\N
909488	3098	1998-07-10	PRIJEM	VKLAD	7581	26920	\N	\N	\N
909489	3098	1998-08-10	PRIJEM	VKLAD	7581	32281	\N	\N	\N
909490	3098	1998-09-10	PRIJEM	VKLAD	7581	35470	\N	\N	\N
909491	3098	1998-10-10	PRIJEM	VKLAD	7581	41674	\N	\N	\N
909492	3098	1998-11-10	PRIJEM	VKLAD	7581	41201	\N	\N	\N
909493	3098	1998-12-10	PRIJEM	VKLAD	11372	35584	\N	\N	\N
909508	3098	1997-03-09	VYDAJ	PREVOD NA UCET	4605	26814	SIPO	WX	95756363
909509	3098	1997-04-09	VYDAJ	PREVOD NA UCET	4605	26407	SIPO	WX	95756363
909510	3098	1997-05-09	VYDAJ	PREVOD NA UCET	4605	17742	SIPO	WX	95756363
909511	3098	1997-06-09	VYDAJ	PREVOD NA UCET	4605	22116	SIPO	WX	95756363
909512	3098	1997-07-09	VYDAJ	PREVOD NA UCET	4605	29199	SIPO	WX	95756363
909513	3098	1997-08-09	VYDAJ	PREVOD NA UCET	4605	24598	SIPO	WX	95756363
909514	3098	1997-09-09	VYDAJ	PREVOD NA UCET	4605	25086	SIPO	WX	95756363
909515	3098	1997-10-09	VYDAJ	PREVOD NA UCET	4605	24357	SIPO	WX	95756363
909516	3098	1997-11-09	VYDAJ	PREVOD NA UCET	4605	23213	SIPO	WX	95756363
909517	3098	1997-12-09	VYDAJ	PREVOD NA UCET	4605	25843	SIPO	WX	95756363
909518	3098	1998-01-09	VYDAJ	PREVOD NA UCET	4605	28677	SIPO	WX	95756363
909519	3098	1998-02-09	VYDAJ	PREVOD NA UCET	4605	29277	SIPO	WX	95756363
909520	3098	1998-03-09	VYDAJ	PREVOD NA UCET	4605	29744	SIPO	WX	95756363
909521	3098	1998-04-09	VYDAJ	PREVOD NA UCET	4605	35844	SIPO	WX	95756363
909522	3098	1998-05-09	VYDAJ	PREVOD NA UCET	4605	38877	SIPO	WX	95756363
909523	3098	1998-06-09	VYDAJ	PREVOD NA UCET	4605	35863	SIPO	WX	95756363
909524	3098	1998-07-09	VYDAJ	PREVOD NA UCET	4605	19339	SIPO	WX	95756363
909525	3098	1998-08-09	VYDAJ	PREVOD NA UCET	4605	24700	SIPO	WX	95756363
909526	3098	1998-09-09	VYDAJ	PREVOD NA UCET	4605	27889	SIPO	WX	95756363
909527	3098	1998-10-09	VYDAJ	PREVOD NA UCET	4605	34093	SIPO	WX	95756363
909528	3098	1998-11-09	VYDAJ	PREVOD NA UCET	4605	33620	SIPO	WX	95756363
909529	3098	1998-12-09	VYDAJ	PREVOD NA UCET	4605	24213	SIPO	WX	95756363
909532	3098	1998-06-16	VYDAJ	VYBER	31200	16035	\N	\N	\N
909535	3098	1998-01-07	VYDAJ	VYBER	9760	21782	\N	\N	\N
909537	3098	1997-12-04	VYDAJ	VYBER	2240	30448	\N	\N	\N
909538	3098	1998-12-24	VYDAJ	VYBER	2720	32864	\N	\N	\N
909544	3098	1997-05-06	VYDAJ	VYBER	3720	26067	\N	\N	\N
909546	3098	1997-12-24	VYDAJ	VYBER	5400	31414	\N	\N	\N
909547	3098	1997-10-01	VYDAJ	VYBER	3120	28962	\N	\N	\N
909549	3098	1997-05-08	VYDAJ	VYBER	3720	22347	\N	\N	\N
909550	3098	1997-10-29	VYDAJ	VYBER	5640	27698	\N	\N	\N
909551	3098	1997-05-02	VYDAJ	VYBER	2520	29787	\N	\N	\N
909552	3098	1997-08-02	VYDAJ	VYBER	3000	29203	\N	\N	\N
909553	3098	1998-12-08	VYDAJ	VYBER	3960	28818	\N	\N	\N
909554	3098	1998-01-16	VYDAJ	VYBER	3000	33258	\N	\N	\N
909555	3098	1998-12-06	VYDAJ	VYBER	3720	32778	\N	\N	\N
909556	3098	1998-02-21	VYDAJ	VYBER	2640	34218	\N	\N	\N
909557	3098	1998-05-26	VYDAJ	VYBER	4560	41898	\N	\N	\N
909558	3098	1998-12-05	VYDAJ	VYBER	5760	36498	\N	\N	\N
909573	3098	1997-02-28	VYDAJ	VYBER	15	31419	SLUZBY	\N	\N
909574	3098	1997-03-31	VYDAJ	VYBER	15	31012	SLUZBY	\N	\N
909575	3098	1997-04-30	VYDAJ	VYBER	15	32307	SLUZBY	\N	\N
909576	3098	1997-05-31	VYDAJ	VYBER	15	26721	SLUZBY	\N	\N
909577	3098	1997-06-30	VYDAJ	VYBER	15	33804	SLUZBY	\N	\N
909578	3098	1997-07-31	VYDAJ	VYBER	15	32203	SLUZBY	\N	\N
909579	3098	1997-08-31	VYDAJ	VYBER	15	29691	SLUZBY	\N	\N
909580	3098	1997-09-30	VYDAJ	VYBER	15	32082	SLUZBY	\N	\N
909581	3098	1997-10-31	VYDAJ	VYBER	15	27818	SLUZBY	\N	\N
909582	3098	1997-11-30	VYDAJ	VYBER	15	32688	SLUZBY	\N	\N
909583	3098	1997-12-31	VYDAJ	VYBER	15	31542	SLUZBY	\N	\N
909584	3098	1998-01-31	VYDAJ	VYBER	15	33382	SLUZBY	\N	\N
909585	3098	1998-02-28	VYDAJ	VYBER	15	34349	SLUZBY	\N	\N
909586	3098	1998-03-31	VYDAJ	VYBER	15	40449	SLUZBY	\N	\N
909587	3098	1998-04-30	VYDAJ	VYBER	15	41882	SLUZBY	\N	\N
909588	3098	1998-05-31	VYDAJ	VYBER	15	42068	SLUZBY	\N	\N
909589	3098	1998-06-30	VYDAJ	VYBER	15	16144	SLUZBY	\N	\N
909590	3098	1998-07-31	VYDAJ	VYBER	15	27005	SLUZBY	\N	\N
909591	3098	1998-08-31	VYDAJ	VYBER	15	32394	SLUZBY	\N	\N
909592	3098	1998-09-30	VYDAJ	VYBER	15	35598	SLUZBY	\N	\N
909593	3098	1998-10-31	VYDAJ	VYBER	15	41825	SLUZBY	\N	\N
909594	3098	1998-11-30	VYDAJ	VYBER	15	41358	SLUZBY	\N	\N
909595	3098	1996-10-16	PRIJEM	VKLAD	9800	17981	\N	\N	\N
909596	3098	1996-11-15	PRIJEM	VKLAD	1000	26601	\N	\N	\N
909597	3098	1996-12-15	VYDAJ	VYBER	5700	32366	\N	\N	\N
909598	3098	1997-01-14	VYDAJ	VYBER	4300	35771	\N	\N	\N
909599	3098	1997-02-13	VYDAJ	VYBER	12200	31295	\N	\N	\N
909600	3098	1997-03-15	VYDAJ	VYBER	3500	30895	\N	\N	\N
909601	3098	1997-04-14	VYDAJ	VYBER	1800	32188	\N	\N	\N
909602	3098	1997-05-14	PRIJEM	VKLAD	1300	26623	\N	\N	\N
909603	3098	1997-06-13	PRIJEM	VKLAD	200	33687	\N	\N	\N
909604	3098	1997-07-13	VYDAJ	VYBER	4700	32080	\N	\N	\N
909605	3098	1997-08-12	VYDAJ	VYBER	2600	29579	\N	\N	\N
909606	3098	1997-09-11	VYDAJ	VYBER	700	31967	\N	\N	\N
909607	3098	1997-10-11	PRIJEM	VKLAD	1400	33338	\N	\N	\N
909608	3098	1997-11-10	PRIJEM	VKLAD	1800	25013	\N	\N	\N
909609	3098	1997-12-10	VYDAJ	VYBER	400	36814	\N	\N	\N
909610	3098	1998-01-09	PRIJEM	VKLAD	11500	33282	\N	\N	\N
909611	3098	1998-02-08	PRIJEM	VKLAD	500	33882	\N	\N	\N
909612	3098	1998-03-10	PRIJEM	VKLAD	3000	32744	\N	\N	\N
909613	3098	1998-04-09	VYDAJ	VYBER	1700	34144	\N	\N	\N
909614	3098	1998-05-09	PRIJEM	VKLAD	1600	43482	\N	\N	\N
909615	3098	1998-06-08	VYDAJ	VYBER	1600	40468	\N	\N	\N
909616	3098	1998-07-08	PRIJEM	VKLAD	7800	23944	\N	\N	\N
909617	3098	1998-08-07	PRIJEM	VKLAD	2300	29305	\N	\N	\N
909618	3098	1998-09-06	PRIJEM	VKLAD	100	32494	\N	\N	\N
909619	3098	1998-10-06	PRIJEM	VKLAD	3100	38698	\N	\N	\N
909620	3098	1998-11-05	VYDAJ	VYBER	3600	38225	\N	\N	\N
909621	3098	1998-12-05	PRIJEM	VKLAD	900	42258	\N	\N	\N
909649	3099	1993-05-20	PRIJEM	VKLAD	800	800	\N	\N	\N
909655	3099	1993-06-07	PRIJEM	PREVOD Z UCTU	6019	6819	DUCHOD	CD	2445555
909656	3099	1993-07-07	PRIJEM	PREVOD Z UCTU	6019	12838	DUCHOD	CD	2445555
909657	3099	1993-08-07	PRIJEM	PREVOD Z UCTU	6019	18857	DUCHOD	CD	2445555
909658	3099	1993-09-07	PRIJEM	PREVOD Z UCTU	6019	24876	DUCHOD	CD	2445555
909659	3099	1993-10-07	PRIJEM	PREVOD Z UCTU	6019	29941	DUCHOD	CD	2445555
909660	3099	1993-11-07	PRIJEM	PREVOD Z UCTU	6019	29942	DUCHOD	CD	2445555
909661	3099	1993-12-07	PRIJEM	PREVOD Z UCTU	6019	31828	DUCHOD	CD	2445555
909662	3099	1994-01-07	PRIJEM	PREVOD Z UCTU	6019	31288	DUCHOD	CD	2445555
909663	3099	1994-02-07	PRIJEM	PREVOD Z UCTU	6019	19802	DUCHOD	CD	2445555
909664	3099	1994-03-07	PRIJEM	PREVOD Z UCTU	6019	22666	DUCHOD	CD	2445555
909665	3099	1994-04-07	PRIJEM	PREVOD Z UCTU	6019	23541	DUCHOD	CD	2445555
909666	3099	1994-05-07	PRIJEM	PREVOD Z UCTU	6019	26421	DUCHOD	CD	2445555
909667	3099	1994-06-07	PRIJEM	PREVOD Z UCTU	6019	20950	DUCHOD	CD	2445555
909668	3099	1994-07-07	PRIJEM	PREVOD Z UCTU	6019	23828	DUCHOD	CD	2445555
909669	3099	1994-08-07	PRIJEM	PREVOD Z UCTU	6019	26709	DUCHOD	CD	2445555
909670	3099	1994-09-07	PRIJEM	PREVOD Z UCTU	6019	29602	DUCHOD	CD	2445555
909671	3099	1994-10-07	PRIJEM	PREVOD Z UCTU	6019	30554	DUCHOD	CD	2445555
909672	3099	1994-11-07	PRIJEM	PREVOD Z UCTU	6019	29430	DUCHOD	CD	2445555
909673	3099	1994-12-07	PRIJEM	PREVOD Z UCTU	6019	30174	DUCHOD	CD	2445555
909674	3099	1995-01-07	PRIJEM	PREVOD Z UCTU	6019	25466	DUCHOD	CD	2445555
909675	3099	1995-02-07	PRIJEM	PREVOD Z UCTU	6019	21708	DUCHOD	CD	2445555
909676	3099	1995-03-07	PRIJEM	PREVOD Z UCTU	6019	24579	DUCHOD	CD	2445555
909677	3099	1995-04-07	PRIJEM	PREVOD Z UCTU	6019	26183	DUCHOD	CD	2445555
909678	3099	1995-05-07	PRIJEM	PREVOD Z UCTU	6019	29073	DUCHOD	CD	2445555
909679	3099	1995-06-07	PRIJEM	PREVOD Z UCTU	6019	25876	DUCHOD	CD	2445555
909680	3099	1995-07-07	PRIJEM	PREVOD Z UCTU	6019	28775	DUCHOD	CD	2445555
909681	3099	1995-08-07	PRIJEM	PREVOD Z UCTU	6019	31676	DUCHOD	CD	2445555
909682	3099	1995-09-07	PRIJEM	PREVOD Z UCTU	6019	34589	DUCHOD	CD	2445555
909683	3099	1995-10-07	PRIJEM	PREVOD Z UCTU	6019	35211	DUCHOD	CD	2445555
909684	3099	1995-11-07	PRIJEM	PREVOD Z UCTU	6019	33227	DUCHOD	CD	2445555
909685	3099	1995-12-07	PRIJEM	PREVOD Z UCTU	6019	33347	DUCHOD	CD	2445555
909686	3099	1996-01-07	PRIJEM	PREVOD Z UCTU	6019	31653	DUCHOD	CD	2445555
909687	3099	1996-02-07	PRIJEM	PREVOD Z UCTU	6019	23299	DUCHOD	CD	2445555
909688	3099	1996-03-07	PRIJEM	PREVOD Z UCTU	6019	26177	DUCHOD	CD	2445555
909689	3099	1996-04-07	PRIJEM	PREVOD Z UCTU	6019	29067	DUCHOD	CD	2445555
909690	3099	1996-05-07	PRIJEM	PREVOD Z UCTU	6019	27563	DUCHOD	CD	2445555
909691	3099	1996-06-07	PRIJEM	PREVOD Z UCTU	6019	26040	DUCHOD	CD	2445555
909692	3099	1996-07-07	PRIJEM	PREVOD Z UCTU	6019	28936	DUCHOD	CD	2445555
909693	3099	1996-08-07	PRIJEM	PREVOD Z UCTU	6019	31537	DUCHOD	CD	2445555
909694	3099	1996-09-07	PRIJEM	PREVOD Z UCTU	6019	29154	DUCHOD	CD	2445555
909695	3099	1996-10-07	PRIJEM	PREVOD Z UCTU	6019	28220	DUCHOD	CD	2445555
909696	3099	1996-11-07	PRIJEM	PREVOD Z UCTU	6019	28718	DUCHOD	CD	2445555
909697	3099	1996-12-07	PRIJEM	PREVOD Z UCTU	6019	28718	DUCHOD	CD	2445555
909698	3099	1997-01-07	PRIJEM	PREVOD Z UCTU	6019	30516	DUCHOD	CD	2445555
909699	3099	1997-02-07	PRIJEM	PREVOD Z UCTU	6019	24417	DUCHOD	CD	2445555
909700	3099	1997-03-07	PRIJEM	PREVOD Z UCTU	6019	23379	DUCHOD	CD	2445555
909701	3099	1997-04-07	PRIJEM	PREVOD Z UCTU	6019	26264	DUCHOD	CD	2445555
909702	3099	1997-05-07	PRIJEM	PREVOD Z UCTU	6019	29154	DUCHOD	CD	2445555
909703	3099	1997-06-07	PRIJEM	PREVOD Z UCTU	6019	29096	DUCHOD	CD	2445555
909704	3099	1997-07-07	PRIJEM	PREVOD Z UCTU	6019	30303	DUCHOD	CD	2445555
909705	3099	1997-08-07	PRIJEM	PREVOD Z UCTU	6019	28808	DUCHOD	CD	2445555
909706	3099	1997-09-07	PRIJEM	PREVOD Z UCTU	6019	27005	DUCHOD	CD	2445555
909707	3099	1997-10-07	PRIJEM	PREVOD Z UCTU	6019	27496	DUCHOD	CD	2445555
909708	3099	1997-11-07	PRIJEM	PREVOD Z UCTU	6019	26787	DUCHOD	CD	2445555
909709	3099	1997-12-07	PRIJEM	PREVOD Z UCTU	6019	27777	DUCHOD	CD	2445555
909710	3099	1998-01-07	PRIJEM	PREVOD Z UCTU	6019	27311	DUCHOD	CD	2445555
909711	3099	1998-02-07	PRIJEM	PREVOD Z UCTU	6019	21975	DUCHOD	CD	2445555
909712	3099	1998-03-07	PRIJEM	PREVOD Z UCTU	6019	24246	DUCHOD	CD	2445555
909713	3099	1998-04-07	PRIJEM	PREVOD Z UCTU	6019	27126	DUCHOD	CD	2445555
909714	3099	1998-05-07	PRIJEM	PREVOD Z UCTU	6019	30019	DUCHOD	CD	2445555
909715	3099	1998-06-07	PRIJEM	PREVOD Z UCTU	6019	31122	DUCHOD	CD	2445555
909716	3099	1998-07-07	PRIJEM	PREVOD Z UCTU	6019	31029	DUCHOD	CD	2445555
909717	3099	1998-08-07	PRIJEM	PREVOD Z UCTU	6019	33938	DUCHOD	CD	2445555
909718	3099	1998-09-07	PRIJEM	PREVOD Z UCTU	6019	34255	DUCHOD	CD	2445555
909719	3099	1998-10-07	PRIJEM	PREVOD Z UCTU	6019	32070	DUCHOD	CD	2445555
909720	3099	1998-11-07	PRIJEM	PREVOD Z UCTU	6019	25053	DUCHOD	CD	2445555
909721	3099	1998-12-07	PRIJEM	PREVOD Z UCTU	6019	24438	DUCHOD	CD	2445555
909731	3099	1993-10-12	VYDAJ	PREVOD NA UCET	3205	26736	SIPO	OP	30212110
909732	3099	1993-11-12	VYDAJ	PREVOD NA UCET	3205	26737	SIPO	OP	30212110
909733	3099	1993-12-12	VYDAJ	PREVOD NA UCET	3205	28623	SIPO	OP	30212110
909734	3099	1994-01-12	VYDAJ	PREVOD NA UCET	3205	26243	SIPO	OP	30212110
909735	3099	1994-02-12	VYDAJ	PREVOD NA UCET	3205	16597	SIPO	OP	30212110
909736	3099	1994-03-12	VYDAJ	PREVOD NA UCET	3205	19461	SIPO	OP	30212110
909737	3099	1994-04-12	VYDAJ	PREVOD NA UCET	3205	20336	SIPO	OP	30212110
909738	3099	1994-05-12	VYDAJ	PREVOD NA UCET	3205	21056	SIPO	OP	30212110
909739	3099	1994-06-12	VYDAJ	PREVOD NA UCET	3205	17745	SIPO	OP	30212110
909740	3099	1994-07-12	VYDAJ	PREVOD NA UCET	3205	20623	SIPO	OP	30212110
909741	3099	1994-08-12	VYDAJ	PREVOD NA UCET	3205	23504	SIPO	OP	30212110
909742	3099	1994-09-12	VYDAJ	PREVOD NA UCET	3205	25797	SIPO	OP	30212110
909743	3099	1994-10-12	VYDAJ	PREVOD NA UCET	3205	25549	SIPO	OP	30212110
909744	3099	1994-11-12	VYDAJ	PREVOD NA UCET	3205	26225	SIPO	OP	30212110
909745	3099	1994-12-12	VYDAJ	PREVOD NA UCET	3205	23649	SIPO	OP	30212110
909746	3099	1995-01-12	VYDAJ	PREVOD NA UCET	3205	20981	SIPO	OP	30212110
909747	3099	1995-02-12	VYDAJ	PREVOD NA UCET	3205	18503	SIPO	OP	30212110
909748	3099	1995-03-12	VYDAJ	PREVOD NA UCET	3205	21374	SIPO	OP	30212110
909749	3099	1995-04-12	VYDAJ	PREVOD NA UCET	3205	22978	SIPO	OP	30212110
909750	3099	1995-05-12	VYDAJ	PREVOD NA UCET	3205	25868	SIPO	OP	30212110
909751	3099	1995-06-12	VYDAJ	PREVOD NA UCET	3205	22671	SIPO	OP	30212110
909752	3099	1995-07-12	VYDAJ	PREVOD NA UCET	3205	25570	SIPO	OP	30212110
909753	3099	1995-08-12	VYDAJ	PREVOD NA UCET	3205	28471	SIPO	OP	30212110
909754	3099	1995-09-12	VYDAJ	PREVOD NA UCET	3205	29084	SIPO	OP	30212110
909755	3099	1995-10-12	VYDAJ	PREVOD NA UCET	3205	27106	SIPO	OP	30212110
909756	3099	1995-11-12	VYDAJ	PREVOD NA UCET	3205	30022	SIPO	OP	30212110
909757	3099	1995-12-12	VYDAJ	PREVOD NA UCET	3205	30142	SIPO	OP	30212110
909758	3099	1996-01-12	VYDAJ	PREVOD NA UCET	3205	24048	SIPO	OP	30212110
909759	3099	1996-02-12	VYDAJ	PREVOD NA UCET	3205	20094	SIPO	OP	30212110
909760	3099	1996-03-12	VYDAJ	PREVOD NA UCET	3205	22972	SIPO	OP	30212110
909761	3099	1996-04-12	VYDAJ	PREVOD NA UCET	3205	23462	SIPO	OP	30212110
909762	3099	1996-05-12	VYDAJ	PREVOD NA UCET	3205	22838	SIPO	OP	30212110
909763	3099	1996-06-12	VYDAJ	PREVOD NA UCET	3205	22835	SIPO	OP	30212110
909764	3099	1996-07-12	VYDAJ	PREVOD NA UCET	3205	25731	SIPO	OP	30212110
909765	3099	1996-08-12	VYDAJ	PREVOD NA UCET	3205	28332	SIPO	OP	30212110
909766	3099	1996-09-12	VYDAJ	PREVOD NA UCET	3205	25949	SIPO	OP	30212110
909767	3099	1996-10-12	VYDAJ	PREVOD NA UCET	3205	25015	SIPO	OP	30212110
909768	3099	1996-11-12	VYDAJ	PREVOD NA UCET	3205	25513	SIPO	OP	30212110
909769	3099	1996-12-12	VYDAJ	PREVOD NA UCET	3205	25513	SIPO	OP	30212110
909770	3099	1997-01-12	VYDAJ	PREVOD NA UCET	3205	27311	SIPO	OP	30212110
909771	3099	1997-02-12	VYDAJ	PREVOD NA UCET	3205	21212	SIPO	OP	30212110
909772	3099	1997-03-12	VYDAJ	PREVOD NA UCET	3205	20174	SIPO	OP	30212110
909773	3099	1997-04-12	VYDAJ	PREVOD NA UCET	3205	23059	SIPO	OP	30212110
909774	3099	1997-05-12	VYDAJ	PREVOD NA UCET	3205	25949	SIPO	OP	30212110
909775	3099	1997-06-12	VYDAJ	PREVOD NA UCET	3205	25891	SIPO	OP	30212110
909776	3099	1997-07-12	VYDAJ	PREVOD NA UCET	3205	27098	SIPO	OP	30212110
909777	3099	1997-08-12	VYDAJ	PREVOD NA UCET	3205	25603	SIPO	OP	30212110
909778	3099	1997-09-12	VYDAJ	PREVOD NA UCET	3205	23800	SIPO	OP	30212110
909779	3099	1997-10-12	VYDAJ	PREVOD NA UCET	3205	24291	SIPO	OP	30212110
909780	3099	1997-11-12	VYDAJ	PREVOD NA UCET	3205	23582	SIPO	OP	30212110
909781	3099	1997-12-12	VYDAJ	PREVOD NA UCET	3205	24572	SIPO	OP	30212110
909782	3099	1998-01-12	VYDAJ	PREVOD NA UCET	3205	22186	SIPO	OP	30212110
909783	3099	1998-02-12	VYDAJ	PREVOD NA UCET	3205	18770	SIPO	OP	30212110
909784	3099	1998-03-12	VYDAJ	PREVOD NA UCET	3205	21041	SIPO	OP	30212110
909785	3099	1998-04-12	VYDAJ	PREVOD NA UCET	3205	23921	SIPO	OP	30212110
909786	3099	1998-05-12	VYDAJ	PREVOD NA UCET	3205	26814	SIPO	OP	30212110
909787	3099	1998-06-12	VYDAJ	PREVOD NA UCET	3205	27917	SIPO	OP	30212110
909788	3099	1998-07-12	VYDAJ	PREVOD NA UCET	3205	27824	SIPO	OP	30212110
909789	3099	1998-08-12	VYDAJ	PREVOD NA UCET	3205	30733	SIPO	OP	30212110
909790	3099	1998-09-12	VYDAJ	PREVOD NA UCET	3205	31050	SIPO	OP	30212110
909791	3099	1998-10-12	VYDAJ	PREVOD NA UCET	3205	28865	SIPO	OP	30212110
909792	3099	1998-11-12	VYDAJ	PREVOD NA UCET	3205	21848	SIPO	OP	30212110
909793	3099	1998-12-12	VYDAJ	PREVOD NA UCET	3205	20983	SIPO	OP	30212110
909795	3099	1994-06-01	VYDAJ	VYBER	6200	14931	\N	\N	\N
909796	3099	1995-06-03	VYDAJ	VYBER	6100	19857	\N	\N	\N
909799	3099	1998-06-28	VYDAJ	VYBER	3000	24917	\N	\N	\N
909801	3099	1994-01-17	VYDAJ	VYBER	1900	20263	\N	\N	\N
909802	3099	1995-01-06	VYDAJ	VYBER	1050	19447	\N	\N	\N
909803	3099	1996-01-20	VYDAJ	VYBER	3250	20398	\N	\N	\N
909804	3099	1997-01-19	VYDAJ	VYBER	1150	21521	\N	\N	\N
909805	3099	1998-01-23	VYDAJ	VYBER	1400	17986	\N	\N	\N
909806	3099	1993-12-26	VYDAJ	VYBER	1350	25973	\N	\N	\N
909807	3099	1994-12-23	VYDAJ	VYBER	1000	22649	\N	\N	\N
909808	3099	1995-12-03	VYDAJ	VYBER	1000	29128	\N	\N	\N
909809	3099	1996-12-14	VYDAJ	VYBER	1100	24413	\N	\N	\N
909810	3099	1997-12-18	VYDAJ	VYBER	300	24272	\N	\N	\N
909811	3099	1998-12-09	VYDAJ	VYBER	250	24188	\N	\N	\N
909818	3099	1994-01-29	VYDAJ	VYBER	2240	13703	\N	\N	\N
909819	3099	1994-01-06	VYDAJ	VYBER	800	25269	\N	\N	\N
909820	3099	1994-01-26	VYDAJ	VYBER	2320	15943	\N	\N	\N
909821	3099	1994-01-10	VYDAJ	VYBER	1840	29448	\N	\N	\N
909822	3099	1994-01-24	VYDAJ	VYBER	2000	18263	\N	\N	\N
909823	3099	1994-01-15	VYDAJ	VYBER	2080	24163	\N	\N	\N
909824	3099	1995-01-28	VYDAJ	VYBER	560	16741	\N	\N	\N
909825	3099	1995-01-05	VYDAJ	VYBER	2240	20497	\N	\N	\N
909826	3099	1995-01-18	VYDAJ	VYBER	1760	17301	\N	\N	\N
909827	3099	1995-01-14	VYDAJ	VYBER	1920	19061	\N	\N	\N
909828	3099	1995-01-11	VYDAJ	VYBER	1280	24186	\N	\N	\N
909829	3099	1995-01-30	VYDAJ	VYBER	1120	15621	\N	\N	\N
909830	3099	1996-01-15	VYDAJ	VYBER	400	23648	\N	\N	\N
909831	3099	1996-01-21	VYDAJ	VYBER	2320	18078	\N	\N	\N
909832	3099	1996-01-09	VYDAJ	VYBER	2240	29413	\N	\N	\N
909833	3099	1996-01-29	VYDAJ	VYBER	880	17198	\N	\N	\N
909834	3099	1996-01-06	VYDAJ	VYBER	480	25634	\N	\N	\N
909835	3099	1996-01-10	VYDAJ	VYBER	2160	27253	\N	\N	\N
909836	3099	1997-01-18	VYDAJ	VYBER	960	22671	\N	\N	\N
909837	3099	1997-01-30	VYDAJ	VYBER	1040	18321	\N	\N	\N
909838	3099	1997-01-13	VYDAJ	VYBER	1200	26111	\N	\N	\N
909839	3099	1997-01-23	VYDAJ	VYBER	2160	19361	\N	\N	\N
909840	3099	1997-01-14	VYDAJ	VYBER	560	23631	\N	\N	\N
909841	3099	1997-01-13	VYDAJ	VYBER	1920	24191	\N	\N	\N
909842	3099	1998-01-11	VYDAJ	VYBER	1360	25391	\N	\N	\N
909844	3099	1998-01-22	VYDAJ	VYBER	2000	19386	\N	\N	\N
909845	3099	1998-01-17	VYDAJ	VYBER	800	21386	\N	\N	\N
909846	3099	1998-01-09	VYDAJ	VYBER	560	26751	\N	\N	\N
909847	3099	1998-01-04	VYDAJ	VYBER	1360	21292	\N	\N	\N
909850	3099	1993-11-27	VYDAJ	VYBER	720	25717	\N	\N	\N
909852	3099	1994-10-05	VYDAJ	VYBER	1360	24535	\N	\N	\N
909853	3099	1994-12-06	VYDAJ	VYBER	2160	24155	\N	\N	\N
909854	3099	1994-03-29	VYDAJ	VYBER	2000	17461	\N	\N	\N
909855	3099	1994-05-07	VYDAJ	VYBER	2160	24261	\N	\N	\N
909856	3099	1994-10-30	VYDAJ	VYBER	2240	23309	\N	\N	\N
909857	3099	1994-12-08	VYDAJ	VYBER	3120	27054	\N	\N	\N
909858	3099	1995-12-30	VYDAJ	VYBER	1040	29102	\N	\N	\N
909859	3099	1995-03-30	VYDAJ	VYBER	1280	20094	\N	\N	\N
909860	3099	1996-09-22	VYDAJ	VYBER	2560	23389	\N	\N	\N
909861	3099	1996-05-11	VYDAJ	VYBER	1520	26043	\N	\N	\N
909862	3099	1996-09-23	VYDAJ	VYBER	1280	22109	\N	\N	\N
909863	3099	1996-04-22	VYDAJ	VYBER	800	22662	\N	\N	\N
909864	3099	1996-05-03	VYDAJ	VYBER	1200	21544	\N	\N	\N
909865	3099	1996-04-10	VYDAJ	VYBER	2400	26667	\N	\N	\N
909866	3099	1997-03-04	VYDAJ	VYBER	3920	17360	\N	\N	\N
909867	3099	1997-06-06	VYDAJ	VYBER	2960	23077	\N	\N	\N
909869	3099	1998-12-28	VYDAJ	VYBER	2000	18983	\N	\N	\N
909870	3099	1998-09-22	VYDAJ	VYBER	2800	25950	\N	\N	\N
909871	3099	1998-11-05	VYDAJ	VYBER	3520	19034	\N	\N	\N
909882	3099	1993-10-31	VYDAJ	VYBER	15	23923	SLUZBY	\N	\N
909883	3099	1993-11-30	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
909884	3099	1993-12-31	VYDAJ	VYBER	15	26069	SLUZBY	\N	\N
909885	3099	1994-01-31	VYDAJ	VYBER	15	13783	SLUZBY	\N	\N
909886	3099	1994-02-28	VYDAJ	VYBER	15	16647	SLUZBY	\N	\N
909887	3099	1994-03-31	VYDAJ	VYBER	15	17522	SLUZBY	\N	\N
909888	3099	1994-04-30	VYDAJ	VYBER	15	20402	SLUZBY	\N	\N
909889	3099	1994-05-31	VYDAJ	VYBER	15	21131	SLUZBY	\N	\N
909890	3099	1994-06-30	VYDAJ	VYBER	15	17809	SLUZBY	\N	\N
909891	3099	1994-07-31	VYDAJ	VYBER	15	20690	SLUZBY	\N	\N
909892	3099	1994-08-31	VYDAJ	VYBER	15	23583	SLUZBY	\N	\N
909893	3099	1994-09-30	VYDAJ	VYBER	15	25895	SLUZBY	\N	\N
909894	3099	1994-10-31	VYDAJ	VYBER	15	23411	SLUZBY	\N	\N
909895	3099	1994-11-30	VYDAJ	VYBER	15	26315	SLUZBY	\N	\N
909896	3099	1994-12-31	VYDAJ	VYBER	15	22737	SLUZBY	\N	\N
909897	3099	1995-01-31	VYDAJ	VYBER	15	15689	SLUZBY	\N	\N
909898	3099	1995-02-28	VYDAJ	VYBER	15	18560	SLUZBY	\N	\N
909899	3099	1995-03-31	VYDAJ	VYBER	15	20164	SLUZBY	\N	\N
909900	3099	1995-04-30	VYDAJ	VYBER	15	23054	SLUZBY	\N	\N
909901	3099	1995-05-31	VYDAJ	VYBER	15	25957	SLUZBY	\N	\N
909902	3099	1995-06-30	VYDAJ	VYBER	15	22756	SLUZBY	\N	\N
909903	3099	1995-07-31	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
909904	3099	1995-08-31	VYDAJ	VYBER	15	28570	SLUZBY	\N	\N
909905	3099	1995-09-30	VYDAJ	VYBER	15	29192	SLUZBY	\N	\N
909906	3099	1995-10-31	VYDAJ	VYBER	15	27208	SLUZBY	\N	\N
909907	3099	1995-11-30	VYDAJ	VYBER	15	30128	SLUZBY	\N	\N
909908	3099	1995-12-31	VYDAJ	VYBER	15	29214	SLUZBY	\N	\N
909909	3099	1996-01-31	VYDAJ	VYBER	15	17280	SLUZBY	\N	\N
909910	3099	1996-02-29	VYDAJ	VYBER	15	20158	SLUZBY	\N	\N
909911	3099	1996-03-31	VYDAJ	VYBER	15	23048	SLUZBY	\N	\N
909912	3099	1996-04-30	VYDAJ	VYBER	15	22744	SLUZBY	\N	\N
909913	3099	1996-05-31	VYDAJ	VYBER	15	22921	SLUZBY	\N	\N
909914	3099	1996-06-30	VYDAJ	VYBER	15	22917	SLUZBY	\N	\N
909915	3099	1996-07-31	VYDAJ	VYBER	15	25818	SLUZBY	\N	\N
909916	3099	1996-08-31	VYDAJ	VYBER	15	28435	SLUZBY	\N	\N
909917	3099	1996-09-30	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
909918	3099	1996-10-31	VYDAJ	VYBER	15	22699	SLUZBY	\N	\N
909919	3099	1996-11-30	VYDAJ	VYBER	15	22699	SLUZBY	\N	\N
909920	3099	1996-12-31	VYDAJ	VYBER	15	24497	SLUZBY	\N	\N
909921	3099	1997-01-31	VYDAJ	VYBER	15	18398	SLUZBY	\N	\N
909922	3099	1997-02-28	VYDAJ	VYBER	15	21280	SLUZBY	\N	\N
909923	3099	1997-03-31	VYDAJ	VYBER	15	20245	SLUZBY	\N	\N
909924	3099	1997-04-30	VYDAJ	VYBER	15	23135	SLUZBY	\N	\N
909925	3099	1997-05-31	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
909926	3099	1997-06-30	VYDAJ	VYBER	15	24284	SLUZBY	\N	\N
909927	3099	1997-07-31	VYDAJ	VYBER	15	22789	SLUZBY	\N	\N
909928	3099	1997-08-31	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
909929	3099	1997-09-30	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
909930	3099	1997-10-31	VYDAJ	VYBER	15	20768	SLUZBY	\N	\N
909931	3099	1997-11-30	VYDAJ	VYBER	15	21758	SLUZBY	\N	\N
909932	3099	1997-12-31	VYDAJ	VYBER	15	22652	SLUZBY	\N	\N
909933	3099	1998-01-31	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
909934	3099	1998-02-28	VYDAJ	VYBER	15	18227	SLUZBY	\N	\N
909935	3099	1998-03-31	VYDAJ	VYBER	15	21107	SLUZBY	\N	\N
909936	3099	1998-04-30	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
909937	3099	1998-05-31	VYDAJ	VYBER	15	25103	SLUZBY	\N	\N
909938	3099	1998-06-30	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
909939	3099	1998-07-31	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
909940	3099	1998-08-31	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
909941	3099	1998-09-30	VYDAJ	VYBER	15	26051	SLUZBY	\N	\N
909942	3099	1998-10-31	VYDAJ	VYBER	15	22554	SLUZBY	\N	\N
909943	3099	1998-11-30	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
909944	3099	1993-09-17	VYDAJ	VYBER	1000	23876	\N	\N	\N
909945	3099	1993-10-17	VYDAJ	VYBER	2900	23836	\N	\N	\N
909946	3099	1993-11-16	VYDAJ	VYBER	300	26437	\N	\N	\N
909947	3099	1993-12-16	VYDAJ	VYBER	1300	27323	\N	\N	\N
909948	3099	1994-01-15	VYDAJ	VYBER	2000	22163	\N	\N	\N
909949	3099	1994-09-12	VYDAJ	VYBER	600	29002	\N	\N	\N
909950	3099	1994-10-12	VYDAJ	VYBER	1800	28754	\N	\N	\N
909951	3099	1994-12-11	VYDAJ	VYBER	200	26854	\N	\N	\N
909952	3099	1995-09-07	VYDAJ	VYBER	2300	32289	\N	\N	\N
909953	3099	1995-10-07	VYDAJ	VYBER	4900	30311	\N	\N	\N
909954	3099	1995-12-06	VYDAJ	VYBER	1800	27328	\N	\N	\N
909955	3099	1996-01-05	VYDAJ	VYBER	3100	26114	\N	\N	\N
909956	3099	1996-06-03	VYDAJ	VYBER	2900	20021	\N	\N	\N
909957	3099	1996-08-02	VYDAJ	VYBER	300	25518	\N	\N	\N
909958	3099	1996-09-01	VYDAJ	VYBER	5300	23135	\N	\N	\N
909959	3099	1996-10-31	VYDAJ	VYBER	2400	22714	\N	\N	\N
909960	3099	1996-11-30	VYDAJ	VYBER	2900	22714	\N	\N	\N
909961	3099	1997-06-28	VYDAJ	VYBER	1700	24191	\N	\N	\N
909962	3099	1997-07-28	VYDAJ	VYBER	4400	22698	\N	\N	\N
909963	3099	1997-08-27	VYDAJ	VYBER	4700	20903	\N	\N	\N
909964	3099	1997-09-26	VYDAJ	VYBER	2400	21400	\N	\N	\N
909965	3099	1997-10-26	VYDAJ	VYBER	3600	20691	\N	\N	\N
909966	3099	1997-11-25	VYDAJ	VYBER	1900	21682	\N	\N	\N
909967	3099	1997-12-25	VYDAJ	VYBER	1700	22572	\N	\N	\N
909968	3099	1998-01-24	VYDAJ	VYBER	2100	15886	\N	\N	\N
909969	3099	1998-02-23	VYDAJ	VYBER	600	18170	\N	\N	\N
909970	3099	1998-05-24	VYDAJ	VYBER	1800	25014	\N	\N	\N
909971	3099	1998-08-22	VYDAJ	VYBER	2600	28133	\N	\N	\N
909972	3099	1998-09-21	VYDAJ	VYBER	2300	28750	\N	\N	\N
909973	3099	1998-10-21	VYDAJ	VYBER	6400	22465	\N	\N	\N
909974	3099	1998-11-20	VYDAJ	VYBER	3500	18348	\N	\N	\N
910039	3100	1997-06-22	PRIJEM	VKLAD	600	600	\N	\N	\N
910046	3100	1997-07-12	PRIJEM	VKLAD	20248	20848	\N	\N	\N
910047	3100	1997-08-12	PRIJEM	VKLAD	20248	42426	\N	\N	\N
910048	3100	1997-09-12	PRIJEM	VKLAD	20248	47273	\N	\N	\N
910049	3100	1997-10-12	PRIJEM	VKLAD	20248	51640	\N	\N	\N
910050	3100	1997-11-12	PRIJEM	VKLAD	20248	54022	\N	\N	\N
910051	3100	1997-12-12	PRIJEM	VKLAD	30372	56421	\N	\N	\N
910052	3100	1998-01-12	PRIJEM	VKLAD	20248	48117	\N	\N	\N
910053	3100	1998-02-12	PRIJEM	VKLAD	20248	44183	\N	\N	\N
910054	3100	1998-03-12	PRIJEM	VKLAD	20248	42253	\N	\N	\N
910055	3100	1998-04-12	PRIJEM	VKLAD	20248	39515	\N	\N	\N
910056	3100	1998-05-12	PRIJEM	VKLAD	20248	37264	\N	\N	\N
910057	3100	1998-06-12	PRIJEM	VKLAD	30372	50237	\N	\N	\N
910058	3100	1998-07-12	PRIJEM	VKLAD	20248	33825	\N	\N	\N
910059	3100	1998-08-12	PRIJEM	VKLAD	20248	34253	\N	\N	\N
910060	3100	1998-09-12	PRIJEM	VKLAD	20248	35784	\N	\N	\N
910061	3100	1998-10-12	PRIJEM	VKLAD	20248	37519	\N	\N	\N
910062	3100	1998-11-12	PRIJEM	VKLAD	20248	35085	\N	\N	\N
910063	3100	1998-12-12	PRIJEM	VKLAD	30372	46144	\N	\N	\N
910075	3100	1997-12-08	VYDAJ	PREVOD NA UCET	222	32324	SIPO	AB	66114073
910076	3100	1998-01-08	VYDAJ	PREVOD NA UCET	222	34144	SIPO	AB	66114073
910077	3100	1998-02-08	VYDAJ	PREVOD NA UCET	222	30210	SIPO	AB	66114073
910078	3100	1998-03-08	VYDAJ	PREVOD NA UCET	222	28280	SIPO	AB	66114073
910079	3100	1998-04-08	VYDAJ	PREVOD NA UCET	222	25542	SIPO	AB	66114073
910080	3100	1998-05-08	VYDAJ	PREVOD NA UCET	222	23291	SIPO	AB	66114073
910081	3100	1998-06-08	VYDAJ	PREVOD NA UCET	222	26140	SIPO	AB	66114073
910082	3100	1998-07-08	VYDAJ	PREVOD NA UCET	222	19852	SIPO	AB	66114073
910083	3100	1998-08-08	VYDAJ	PREVOD NA UCET	222	20280	SIPO	AB	66114073
910084	3100	1998-09-08	VYDAJ	PREVOD NA UCET	222	21811	SIPO	AB	66114073
910085	3100	1998-10-08	VYDAJ	PREVOD NA UCET	222	23546	SIPO	AB	66114073
910086	3100	1998-11-08	VYDAJ	PREVOD NA UCET	222	26392	SIPO	AB	66114073
910087	3100	1998-12-08	VYDAJ	PREVOD NA UCET	222	22047	SIPO	AB	66114073
910099	3100	1997-12-10	VYDAJ	PREVOD NA UCET	6275	26049	 	CD	8754432
910100	3100	1998-01-10	VYDAJ	PREVOD NA UCET	6275	27869	 	CD	8754432
910101	3100	1998-02-10	VYDAJ	PREVOD NA UCET	6275	23935	 	CD	8754432
910102	3100	1998-03-10	VYDAJ	PREVOD NA UCET	6275	22005	 	CD	8754432
910103	3100	1998-04-10	VYDAJ	PREVOD NA UCET	6275	19267	 	CD	8754432
910104	3100	1998-05-10	VYDAJ	PREVOD NA UCET	6275	17016	 	CD	8754432
910105	3100	1998-06-10	VYDAJ	PREVOD NA UCET	6275	19865	 	CD	8754432
910106	3100	1998-07-10	VYDAJ	PREVOD NA UCET	6275	13577	 	CD	8754432
910107	3100	1998-08-10	VYDAJ	PREVOD NA UCET	6275	14005	 	CD	8754432
910108	3100	1998-09-10	VYDAJ	PREVOD NA UCET	6275	15536	 	CD	8754432
910109	3100	1998-10-10	VYDAJ	PREVOD NA UCET	6275	17271	 	CD	8754432
910110	3100	1998-11-10	VYDAJ	PREVOD NA UCET	6275	14837	 	CD	8754432
910111	3100	1998-12-10	VYDAJ	PREVOD NA UCET	6275	15772	 	CD	8754432
910113	3100	1998-06-17	VYDAJ	VYBER	28160	19977	\N	\N	\N
910114	3100	1997-12-21	VYDAJ	VYBER	2400	34221	\N	\N	\N
910115	3100	1998-12-22	VYDAJ	VYBER	960	24184	\N	\N	\N
910121	3100	1998-02-04	VYDAJ	VYBER	2520	30432	\N	\N	\N
910122	3100	1998-11-09	VYDAJ	VYBER	5280	21112	\N	\N	\N
910123	3100	1998-12-24	VYDAJ	VYBER	5760	18424	\N	\N	\N
910124	3100	1998-05-19	VYDAJ	VYBER	1200	26264	\N	\N	\N
910136	3100	1997-11-30	VYDAJ	VYBER	15	32546	SLUZBY	\N	\N
910137	3100	1997-12-31	VYDAJ	VYBER	15	34366	SLUZBY	\N	\N
910138	3100	1998-01-31	VYDAJ	VYBER	15	32952	SLUZBY	\N	\N
910139	3100	1998-02-28	VYDAJ	VYBER	15	28502	SLUZBY	\N	\N
910140	3100	1998-03-31	VYDAJ	VYBER	15	25764	SLUZBY	\N	\N
910141	3100	1998-04-30	VYDAJ	VYBER	15	23513	SLUZBY	\N	\N
910142	3100	1998-05-31	VYDAJ	VYBER	15	26362	SLUZBY	\N	\N
910143	3100	1998-06-30	VYDAJ	VYBER	15	20074	SLUZBY	\N	\N
910144	3100	1998-07-31	VYDAJ	VYBER	15	20502	SLUZBY	\N	\N
910145	3100	1998-08-31	VYDAJ	VYBER	15	22033	SLUZBY	\N	\N
910146	3100	1998-09-30	VYDAJ	VYBER	15	23768	SLUZBY	\N	\N
910147	3100	1998-10-31	VYDAJ	VYBER	15	26614	SLUZBY	\N	\N
910148	3100	1998-11-30	VYDAJ	VYBER	15	22269	SLUZBY	\N	\N
910149	3100	1997-07-22	PRIJEM	VKLAD	1300	22148	\N	\N	\N
910150	3100	1997-08-21	VYDAJ	VYBER	15500	26926	\N	\N	\N
910151	3100	1997-09-20	VYDAJ	VYBER	16000	31273	\N	\N	\N
910152	3100	1997-10-20	VYDAJ	VYBER	18000	33640	\N	\N	\N
910153	3100	1997-11-19	VYDAJ	VYBER	21600	32422	\N	\N	\N
910154	3100	1997-12-19	VYDAJ	VYBER	19800	36621	\N	\N	\N
910155	3100	1998-01-18	VYDAJ	VYBER	15300	32817	\N	\N	\N
910156	3100	1998-02-17	VYDAJ	VYBER	15800	28383	\N	\N	\N
910157	3100	1998-03-19	VYDAJ	VYBER	16600	25653	\N	\N	\N
910158	3100	1998-04-18	VYDAJ	VYBER	16100	23415	\N	\N	\N
910159	3100	1998-05-18	VYDAJ	VYBER	9800	27464	\N	\N	\N
910160	3100	1998-06-17	VYDAJ	VYBER	2100	48137	\N	\N	\N
910161	3100	1998-07-17	VYDAJ	VYBER	13400	20425	\N	\N	\N
910162	3100	1998-08-16	VYDAJ	VYBER	12300	21953	\N	\N	\N
910163	3100	1998-09-15	VYDAJ	VYBER	12100	23684	\N	\N	\N
910164	3100	1998-10-15	VYDAJ	VYBER	11000	26519	\N	\N	\N
910165	3100	1998-11-14	VYDAJ	VYBER	12900	22185	\N	\N	\N
910166	3100	1998-12-14	VYDAJ	VYBER	21000	25144	\N	\N	\N
910185	3101	1994-02-27	PRIJEM	VKLAD	700	700	\N	\N	\N
910188	3101	1994-03-11	PRIJEM	PREVOD Z UCTU	2907	3607	\N	WX	35845464
910189	3101	1994-04-11	PRIJEM	PREVOD Z UCTU	2907	6514	\N	WX	35845464
910190	3101	1994-05-11	PRIJEM	PREVOD Z UCTU	2907	9421	\N	WX	35845464
910191	3101	1994-06-11	PRIJEM	PREVOD Z UCTU	2907	12328	\N	WX	35845464
910192	3101	1994-07-11	PRIJEM	PREVOD Z UCTU	2907	15235	\N	WX	35845464
910193	3101	1994-08-11	PRIJEM	PREVOD Z UCTU	2907	15447	\N	WX	35845464
910194	3101	1994-09-11	PRIJEM	PREVOD Z UCTU	2907	16465	\N	WX	35845464
910195	3101	1994-10-11	PRIJEM	PREVOD Z UCTU	2907	17216	\N	WX	35845464
910196	3101	1994-11-11	PRIJEM	PREVOD Z UCTU	2907	18241	\N	WX	35845464
910197	3101	1994-12-11	PRIJEM	PREVOD Z UCTU	2907	18850	\N	WX	35845464
910198	3101	1995-01-11	PRIJEM	PREVOD Z UCTU	2907	16161	\N	WX	35845464
910199	3101	1995-02-11	PRIJEM	PREVOD Z UCTU	2907	15350	\N	WX	35845464
910200	3101	1995-03-11	PRIJEM	PREVOD Z UCTU	2907	16367	\N	WX	35845464
910201	3101	1995-04-11	PRIJEM	PREVOD Z UCTU	2907	17388	\N	WX	35845464
910202	3101	1995-05-11	PRIJEM	PREVOD Z UCTU	2907	18414	\N	WX	35845464
910203	3101	1995-06-11	PRIJEM	PREVOD Z UCTU	2907	18244	\N	WX	35845464
910204	3101	1995-07-11	PRIJEM	PREVOD Z UCTU	2907	19273	\N	WX	35845464
910205	3101	1995-08-11	PRIJEM	PREVOD Z UCTU	2907	19505	\N	WX	35845464
910206	3101	1995-09-11	PRIJEM	PREVOD Z UCTU	2907	20540	\N	WX	35845464
910207	3101	1995-10-11	PRIJEM	PREVOD Z UCTU	2907	19147	\N	WX	35845464
910208	3101	1995-11-11	PRIJEM	PREVOD Z UCTU	2907	18977	\N	WX	35845464
910209	3101	1995-12-11	PRIJEM	PREVOD Z UCTU	2907	20009	\N	WX	35845464
910210	3101	1996-01-11	PRIJEM	PREVOD Z UCTU	2907	19804	\N	WX	35845464
910211	3101	1996-02-11	PRIJEM	PREVOD Z UCTU	2907	15012	\N	WX	35845464
910212	3101	1996-03-11	PRIJEM	PREVOD Z UCTU	2907	16027	\N	WX	35845464
910213	3101	1996-04-11	PRIJEM	PREVOD Z UCTU	2907	17047	\N	WX	35845464
910214	3101	1996-05-11	PRIJEM	PREVOD Z UCTU	2907	18071	\N	WX	35845464
910215	3101	1996-06-11	PRIJEM	PREVOD Z UCTU	2907	18889	\N	WX	35845464
910216	3101	1996-07-11	PRIJEM	PREVOD Z UCTU	2907	15080	\N	WX	35845464
910217	3101	1996-08-11	PRIJEM	PREVOD Z UCTU	2907	14625	\N	WX	35845464
910218	3101	1996-09-11	PRIJEM	PREVOD Z UCTU	2907	15639	\N	WX	35845464
910219	3101	1996-10-11	PRIJEM	PREVOD Z UCTU	2907	16657	\N	WX	35845464
910220	3101	1996-11-11	PRIJEM	PREVOD Z UCTU	2907	16509	\N	WX	35845464
910221	3101	1996-12-11	PRIJEM	PREVOD Z UCTU	2907	17531	\N	WX	35845464
910222	3101	1997-01-11	PRIJEM	PREVOD Z UCTU	2907	14955	\N	WX	35845464
910223	3101	1997-02-11	PRIJEM	PREVOD Z UCTU	2907	14979	\N	WX	35845464
910224	3101	1997-03-11	PRIJEM	PREVOD Z UCTU	2907	15994	\N	WX	35845464
910225	3101	1997-04-11	PRIJEM	PREVOD Z UCTU	2907	17013	\N	WX	35845464
910226	3101	1997-05-11	PRIJEM	PREVOD Z UCTU	2907	18036	\N	WX	35845464
910227	3101	1997-06-11	PRIJEM	PREVOD Z UCTU	2907	18164	\N	WX	35845464
910228	3101	1997-07-11	PRIJEM	PREVOD Z UCTU	2907	19192	\N	WX	35845464
910229	3101	1997-08-11	PRIJEM	PREVOD Z UCTU	2907	19744	\N	WX	35845464
910230	3101	1997-09-11	PRIJEM	PREVOD Z UCTU	2907	20779	\N	WX	35845464
910231	3101	1997-10-11	PRIJEM	PREVOD Z UCTU	2907	21818	\N	WX	35845464
910232	3101	1997-11-11	PRIJEM	PREVOD Z UCTU	2907	22861	\N	WX	35845464
910233	3101	1997-12-11	PRIJEM	PREVOD Z UCTU	2907	23908	\N	WX	35845464
910234	3101	1998-01-11	PRIJEM	PREVOD Z UCTU	2907	19589	\N	WX	35845464
910235	3101	1998-02-11	PRIJEM	PREVOD Z UCTU	2907	18765	\N	WX	35845464
910236	3101	1998-03-11	PRIJEM	PREVOD Z UCTU	2907	19795	\N	WX	35845464
910237	3101	1998-04-11	PRIJEM	PREVOD Z UCTU	2907	20830	\N	WX	35845464
910238	3101	1998-05-11	PRIJEM	PREVOD Z UCTU	2907	21868	\N	WX	35845464
910239	3101	1998-06-11	PRIJEM	PREVOD Z UCTU	2907	22371	\N	WX	35845464
910240	3101	1998-07-11	PRIJEM	PREVOD Z UCTU	2907	17671	\N	WX	35845464
910241	3101	1998-08-11	PRIJEM	PREVOD Z UCTU	2907	18696	\N	WX	35845464
910242	3101	1998-09-11	PRIJEM	PREVOD Z UCTU	2907	18705	\N	WX	35845464
910243	3101	1998-10-11	PRIJEM	PREVOD Z UCTU	2907	19735	\N	WX	35845464
910244	3101	1998-11-11	PRIJEM	PREVOD Z UCTU	2907	20619	\N	WX	35845464
910245	3101	1998-12-11	PRIJEM	PREVOD Z UCTU	2907	21656	\N	WX	35845464
910253	3101	1994-08-08	VYDAJ	PREVOD NA UCET	1938	12540	\N	EF	52626574
910254	3101	1994-09-08	VYDAJ	PREVOD NA UCET	1938	13558	\N	EF	52626574
910255	3101	1994-10-08	VYDAJ	PREVOD NA UCET	1938	14309	\N	EF	52626574
910256	3101	1994-11-08	VYDAJ	PREVOD NA UCET	1938	15334	\N	EF	52626574
910257	3101	1994-12-08	VYDAJ	PREVOD NA UCET	1938	15943	\N	EF	52626574
910258	3101	1995-01-08	VYDAJ	PREVOD NA UCET	1938	13254	\N	EF	52626574
910259	3101	1995-02-08	VYDAJ	PREVOD NA UCET	1938	12443	\N	EF	52626574
910260	3101	1995-03-08	VYDAJ	PREVOD NA UCET	1938	13460	\N	EF	52626574
910261	3101	1995-04-08	VYDAJ	PREVOD NA UCET	1938	14481	\N	EF	52626574
910262	3101	1995-05-08	VYDAJ	PREVOD NA UCET	1938	15507	\N	EF	52626574
910263	3101	1995-06-08	VYDAJ	PREVOD NA UCET	1938	15337	\N	EF	52626574
910264	3101	1995-07-08	VYDAJ	PREVOD NA UCET	1938	16366	\N	EF	52626574
910265	3101	1995-08-08	VYDAJ	PREVOD NA UCET	1938	16598	\N	EF	52626574
910266	3101	1995-09-08	VYDAJ	PREVOD NA UCET	1938	17633	\N	EF	52626574
910267	3101	1995-10-08	VYDAJ	PREVOD NA UCET	1938	16240	\N	EF	52626574
910268	3101	1995-11-08	VYDAJ	PREVOD NA UCET	1938	16070	\N	EF	52626574
910269	3101	1995-12-08	VYDAJ	PREVOD NA UCET	1938	17102	\N	EF	52626574
910270	3101	1996-01-08	VYDAJ	PREVOD NA UCET	1938	16897	\N	EF	52626574
910271	3101	1996-02-08	VYDAJ	PREVOD NA UCET	1938	12105	\N	EF	52626574
910272	3101	1996-03-08	VYDAJ	PREVOD NA UCET	1938	13120	\N	EF	52626574
910273	3101	1996-04-08	VYDAJ	PREVOD NA UCET	1938	14140	\N	EF	52626574
910274	3101	1996-05-08	VYDAJ	PREVOD NA UCET	1938	15164	\N	EF	52626574
910275	3101	1996-06-08	VYDAJ	PREVOD NA UCET	1938	15982	\N	EF	52626574
910276	3101	1996-07-08	VYDAJ	PREVOD NA UCET	1938	12173	\N	EF	52626574
910277	3101	1996-08-08	VYDAJ	PREVOD NA UCET	1938	11718	\N	EF	52626574
910278	3101	1996-09-08	VYDAJ	PREVOD NA UCET	1938	12732	\N	EF	52626574
910279	3101	1996-10-08	VYDAJ	PREVOD NA UCET	1938	13750	\N	EF	52626574
910280	3101	1996-11-08	VYDAJ	PREVOD NA UCET	1938	13602	\N	EF	52626574
910281	3101	1996-12-08	VYDAJ	PREVOD NA UCET	1938	14624	\N	EF	52626574
910282	3101	1997-01-08	VYDAJ	PREVOD NA UCET	1938	12048	\N	EF	52626574
910283	3101	1997-02-08	VYDAJ	PREVOD NA UCET	1938	12072	\N	EF	52626574
910284	3101	1997-03-08	VYDAJ	PREVOD NA UCET	1938	13087	\N	EF	52626574
910285	3101	1997-04-08	VYDAJ	PREVOD NA UCET	1938	14106	\N	EF	52626574
910286	3101	1997-05-08	VYDAJ	PREVOD NA UCET	1938	15129	\N	EF	52626574
910287	3101	1997-06-08	VYDAJ	PREVOD NA UCET	1938	15257	\N	EF	52626574
910288	3101	1997-07-08	VYDAJ	PREVOD NA UCET	1938	16285	\N	EF	52626574
910289	3101	1997-08-08	VYDAJ	PREVOD NA UCET	1938	16837	\N	EF	52626574
910290	3101	1997-09-08	VYDAJ	PREVOD NA UCET	1938	17872	\N	EF	52626574
910291	3101	1997-10-08	VYDAJ	PREVOD NA UCET	1938	18911	\N	EF	52626574
910292	3101	1997-11-08	VYDAJ	PREVOD NA UCET	1938	19954	\N	EF	52626574
910293	3101	1997-12-08	VYDAJ	PREVOD NA UCET	1938	21001	\N	EF	52626574
910294	3101	1998-01-08	VYDAJ	PREVOD NA UCET	1938	18152	\N	EF	52626574
910295	3101	1998-02-08	VYDAJ	PREVOD NA UCET	1938	15858	\N	EF	52626574
910296	3101	1998-03-08	VYDAJ	PREVOD NA UCET	1938	16888	\N	EF	52626574
910297	3101	1998-04-08	VYDAJ	PREVOD NA UCET	1938	17923	\N	EF	52626574
910298	3101	1998-05-08	VYDAJ	PREVOD NA UCET	1938	18961	\N	EF	52626574
910299	3101	1998-06-08	VYDAJ	PREVOD NA UCET	1938	19464	\N	EF	52626574
910300	3101	1998-07-08	VYDAJ	PREVOD NA UCET	1938	14764	\N	EF	52626574
910301	3101	1998-08-08	VYDAJ	PREVOD NA UCET	1938	15789	\N	EF	52626574
910302	3101	1998-09-08	VYDAJ	PREVOD NA UCET	1938	15798	\N	EF	52626574
910303	3101	1998-10-08	VYDAJ	PREVOD NA UCET	1938	16828	\N	EF	52626574
910304	3101	1998-11-08	VYDAJ	PREVOD NA UCET	1938	17712	\N	EF	52626574
910305	3101	1998-12-08	VYDAJ	PREVOD NA UCET	1938	18749	\N	EF	52626574
910307	3101	1995-06-04	VYDAJ	VYBER	1200	17275	\N	\N	\N
910308	3101	1996-06-16	VYDAJ	VYBER	4830	14059	\N	\N	\N
910309	3101	1997-06-06	VYDAJ	VYBER	900	17195	\N	\N	\N
910310	3101	1998-06-12	VYDAJ	VYBER	5730	16641	\N	\N	\N
910312	3101	1995-01-06	VYDAJ	VYBER	2760	15372	\N	\N	\N
910313	3101	1996-01-23	VYDAJ	VYBER	2130	15424	\N	\N	\N
910315	3101	1998-01-04	VYDAJ	VYBER	2940	20510	\N	\N	\N
910316	3101	1994-12-05	VYDAJ	VYBER	420	17881	\N	\N	\N
910317	3101	1995-12-30	VYDAJ	VYBER	540	18769	\N	\N	\N
910318	3101	1996-12-30	VYDAJ	VYBER	780	15401	\N	\N	\N
910319	3101	1997-12-21	VYDAJ	VYBER	540	23368	\N	\N	\N
910320	3101	1998-12-22	VYDAJ	VYBER	810	20846	\N	\N	\N
910327	3101	1995-01-25	VYDAJ	VYBER	420	14721	\N	\N	\N
910328	3101	1995-01-02	VYDAJ	VYBER	780	18132	\N	\N	\N
910329	3101	1995-01-26	VYDAJ	VYBER	390	14331	\N	\N	\N
910330	3101	1995-01-17	VYDAJ	VYBER	360	15141	\N	\N	\N
910331	3101	1995-01-12	VYDAJ	VYBER	660	15501	\N	\N	\N
910332	3101	1995-01-08	VYDAJ	VYBER	180	15192	\N	\N	\N
910333	3101	1996-01-20	VYDAJ	VYBER	750	17554	\N	\N	\N
910334	3101	1996-01-15	VYDAJ	VYBER	630	18574	\N	\N	\N
910335	3101	1996-01-15	VYDAJ	VYBER	270	18304	\N	\N	\N
910336	3101	1996-01-14	VYDAJ	VYBER	600	19204	\N	\N	\N
910337	3101	1996-01-30	VYDAJ	VYBER	780	13984	\N	\N	\N
910338	3101	1996-01-26	VYDAJ	VYBER	660	14764	\N	\N	\N
910339	3101	1997-01-15	VYDAJ	VYBER	300	14655	\N	\N	\N
910340	3101	1997-01-02	VYDAJ	VYBER	840	14616	\N	\N	\N
910341	3101	1997-01-17	VYDAJ	VYBER	690	13965	\N	\N	\N
910342	3101	1997-01-08	VYDAJ	VYBER	630	13986	\N	\N	\N
910345	3101	1998-01-06	VYDAJ	VYBER	420	20090	\N	\N	\N
910346	3101	1998-01-28	VYDAJ	VYBER	660	18749	\N	\N	\N
910347	3101	1998-01-10	VYDAJ	VYBER	750	16682	\N	\N	\N
910348	3101	1998-01-29	VYDAJ	VYBER	390	18359	\N	\N	\N
910349	3101	1998-01-09	VYDAJ	VYBER	720	17432	\N	\N	\N
910350	3101	1998-01-11	VYDAJ	VYBER	180	19409	\N	\N	\N
910351	3101	1994-09-24	VYDAJ	VYBER	270	16195	\N	\N	\N
910355	3101	1994-07-28	VYDAJ	VYBER	750	14485	\N	\N	\N
910356	3101	1995-10-04	VYDAJ	VYBER	600	18178	\N	\N	\N
910357	3101	1995-09-30	VYDAJ	VYBER	1110	18792	\N	\N	\N
910358	3101	1995-09-20	VYDAJ	VYBER	720	19820	\N	\N	\N
910359	3101	1996-06-06	VYDAJ	VYBER	210	17920	\N	\N	\N
910360	3101	1996-11-03	VYDAJ	VYBER	1170	15540	\N	\N	\N
910361	3101	1996-08-03	VYDAJ	VYBER	540	14586	\N	\N	\N
910362	3101	1996-08-07	VYDAJ	VYBER	930	13656	\N	\N	\N
910363	3101	1996-12-25	VYDAJ	VYBER	1350	16181	\N	\N	\N
910367	3101	1997-07-29	VYDAJ	VYBER	480	18712	\N	\N	\N
910369	3101	1998-10-21	VYDAJ	VYBER	150	19585	\N	\N	\N
910370	3101	1998-06-07	VYDAJ	VYBER	540	21402	\N	\N	\N
910371	3101	1998-02-01	VYDAJ	VYBER	630	17796	\N	\N	\N
910372	3101	1998-08-27	VYDAJ	VYBER	1020	17676	\N	\N	\N
910380	3101	1994-07-31	VYDAJ	VYBER	15	14478	SLUZBY	\N	\N
910381	3101	1994-08-31	VYDAJ	VYBER	15	15496	SLUZBY	\N	\N
910382	3101	1994-09-30	VYDAJ	VYBER	15	16247	SLUZBY	\N	\N
910383	3101	1994-10-31	VYDAJ	VYBER	15	17272	SLUZBY	\N	\N
910384	3101	1994-11-30	VYDAJ	VYBER	15	18301	SLUZBY	\N	\N
910385	3101	1994-12-31	VYDAJ	VYBER	15	18912	SLUZBY	\N	\N
910386	3101	1995-01-31	VYDAJ	VYBER	15	14381	SLUZBY	\N	\N
910387	3101	1995-02-28	VYDAJ	VYBER	15	15398	SLUZBY	\N	\N
910388	3101	1995-03-31	VYDAJ	VYBER	15	16419	SLUZBY	\N	\N
910389	3101	1995-04-30	VYDAJ	VYBER	15	17445	SLUZBY	\N	\N
910390	3101	1995-05-31	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
910391	3101	1995-06-30	VYDAJ	VYBER	15	18304	SLUZBY	\N	\N
910392	3101	1995-07-31	VYDAJ	VYBER	15	18536	SLUZBY	\N	\N
910393	3101	1995-08-31	VYDAJ	VYBER	15	19571	SLUZBY	\N	\N
910394	3101	1995-09-30	VYDAJ	VYBER	15	18778	SLUZBY	\N	\N
910395	3101	1995-10-31	VYDAJ	VYBER	15	18008	SLUZBY	\N	\N
910396	3101	1995-11-30	VYDAJ	VYBER	15	19040	SLUZBY	\N	\N
910397	3101	1995-12-31	VYDAJ	VYBER	15	18835	SLUZBY	\N	\N
910398	3101	1996-01-31	VYDAJ	VYBER	15	14043	SLUZBY	\N	\N
910399	3101	1996-02-29	VYDAJ	VYBER	15	15058	SLUZBY	\N	\N
910400	3101	1996-03-31	VYDAJ	VYBER	15	16078	SLUZBY	\N	\N
910401	3101	1996-04-30	VYDAJ	VYBER	15	17102	SLUZBY	\N	\N
910402	3101	1996-05-31	VYDAJ	VYBER	15	18130	SLUZBY	\N	\N
910403	3101	1996-06-30	VYDAJ	VYBER	15	14111	SLUZBY	\N	\N
910404	3101	1996-07-31	VYDAJ	VYBER	15	15126	SLUZBY	\N	\N
910405	3101	1996-08-31	VYDAJ	VYBER	15	14670	SLUZBY	\N	\N
910406	3101	1996-09-30	VYDAJ	VYBER	15	15688	SLUZBY	\N	\N
910407	3101	1996-10-31	VYDAJ	VYBER	15	16710	SLUZBY	\N	\N
910408	3101	1996-11-30	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
910409	3101	1996-12-31	VYDAJ	VYBER	15	15456	SLUZBY	\N	\N
910410	3101	1997-01-31	VYDAJ	VYBER	15	14010	SLUZBY	\N	\N
910411	3101	1997-02-28	VYDAJ	VYBER	15	15025	SLUZBY	\N	\N
910412	3101	1997-03-31	VYDAJ	VYBER	15	16044	SLUZBY	\N	\N
910413	3101	1997-04-30	VYDAJ	VYBER	15	17067	SLUZBY	\N	\N
910414	3101	1997-05-31	VYDAJ	VYBER	15	18095	SLUZBY	\N	\N
910415	3101	1997-06-30	VYDAJ	VYBER	15	18223	SLUZBY	\N	\N
910416	3101	1997-07-31	VYDAJ	VYBER	15	18775	SLUZBY	\N	\N
910417	3101	1997-08-31	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
910418	3101	1997-09-30	VYDAJ	VYBER	15	20849	SLUZBY	\N	\N
910419	3101	1997-10-31	VYDAJ	VYBER	15	21892	SLUZBY	\N	\N
910420	3101	1997-11-30	VYDAJ	VYBER	15	22939	SLUZBY	\N	\N
910421	3101	1997-12-31	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
910422	3101	1998-01-31	VYDAJ	VYBER	15	18426	SLUZBY	\N	\N
910423	3101	1998-02-28	VYDAJ	VYBER	15	18826	SLUZBY	\N	\N
910424	3101	1998-03-31	VYDAJ	VYBER	15	19861	SLUZBY	\N	\N
910425	3101	1998-04-30	VYDAJ	VYBER	15	20899	SLUZBY	\N	\N
910426	3101	1998-05-31	VYDAJ	VYBER	15	21942	SLUZBY	\N	\N
910427	3101	1998-06-30	VYDAJ	VYBER	15	16702	SLUZBY	\N	\N
910428	3101	1998-07-31	VYDAJ	VYBER	15	17727	SLUZBY	\N	\N
910429	3101	1998-08-31	VYDAJ	VYBER	15	17736	SLUZBY	\N	\N
910430	3101	1998-09-30	VYDAJ	VYBER	15	18766	SLUZBY	\N	\N
910431	3101	1998-10-31	VYDAJ	VYBER	15	19650	SLUZBY	\N	\N
910432	3101	1998-11-30	VYDAJ	VYBER	15	20687	SLUZBY	\N	\N
910433	3101	1995-07-22	VYDAJ	VYBER	800	18473	\N	\N	\N
910434	3101	1995-10-20	VYDAJ	VYBER	1200	17947	\N	\N	\N
910435	3101	1995-12-19	VYDAJ	VYBER	700	19309	\N	\N	\N
910490	3102	1997-11-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
910502	3102	1997-12-14	PRIJEM	VKLAD	24513	25613	\N	\N	\N
910503	3102	1998-01-14	PRIJEM	VKLAD	16342	39984	\N	\N	\N
910504	3102	1998-02-14	PRIJEM	VKLAD	16342	47334	\N	\N	\N
910505	3102	1998-03-14	PRIJEM	VKLAD	16342	50809	\N	\N	\N
910506	3102	1998-04-14	PRIJEM	VKLAD	16342	53096	\N	\N	\N
910507	3102	1998-05-14	PRIJEM	VKLAD	16342	49458	\N	\N	\N
910508	3102	1998-06-14	PRIJEM	VKLAD	24513	57210	\N	\N	\N
910509	3102	1998-07-14	PRIJEM	VKLAD	16342	53485	\N	\N	\N
910510	3102	1998-08-14	PRIJEM	VKLAD	16342	48278	\N	\N	\N
910511	3102	1998-09-14	PRIJEM	VKLAD	16342	52760	\N	\N	\N
910512	3102	1998-10-14	PRIJEM	VKLAD	16342	53653	\N	\N	\N
910513	3102	1998-11-14	PRIJEM	VKLAD	16342	56553	\N	\N	\N
910514	3102	1998-12-14	PRIJEM	VKLAD	24513	62726	\N	\N	\N
910531	3102	1998-05-11	VYDAJ	PREVOD NA UCET	6722	33116	SIPO	ST	24365711
910532	3102	1998-06-11	VYDAJ	PREVOD NA UCET	6722	32697	SIPO	ST	24365711
910533	3102	1998-07-11	VYDAJ	PREVOD NA UCET	6722	37143	SIPO	ST	24365711
910534	3102	1998-08-11	VYDAJ	PREVOD NA UCET	6722	31936	SIPO	ST	24365711
910535	3102	1998-09-11	VYDAJ	PREVOD NA UCET	6722	36418	SIPO	ST	24365711
910536	3102	1998-10-11	VYDAJ	PREVOD NA UCET	6722	37311	SIPO	ST	24365711
910537	3102	1998-11-11	VYDAJ	PREVOD NA UCET	6722	40211	SIPO	ST	24365711
910538	3102	1998-12-11	VYDAJ	PREVOD NA UCET	6722	38213	SIPO	ST	24365711
910542	3102	1998-12-30	VYDAJ	VYBER KARTOU	4000	47826	\N	\N	0
910561	3102	1998-07-10	VYDAJ	VYBER	1320	43865	\N	\N	\N
910562	3102	1998-08-06	VYDAJ	VYBER	3000	38658	\N	\N	\N
910579	3102	1998-04-30	VYDAJ	VYBER	15	39838	SLUZBY	\N	\N
910580	3102	1998-05-31	VYDAJ	VYBER	15	39419	SLUZBY	\N	\N
910581	3102	1998-06-30	VYDAJ	VYBER	15	45185	SLUZBY	\N	\N
910582	3102	1998-07-31	VYDAJ	VYBER	15	41658	SLUZBY	\N	\N
910583	3102	1998-08-31	VYDAJ	VYBER	15	43140	SLUZBY	\N	\N
910584	3102	1998-09-30	VYDAJ	VYBER	15	44033	SLUZBY	\N	\N
910585	3102	1998-10-31	VYDAJ	VYBER	15	46933	SLUZBY	\N	\N
910586	3102	1998-11-30	VYDAJ	VYBER	15	44935	SLUZBY	\N	\N
910587	3102	1997-12-23	VYDAJ	VYBER	2000	23613	\N	\N	\N
910588	3102	1998-01-22	VYDAJ	VYBER	9100	30884	\N	\N	\N
910589	3102	1998-02-21	VYDAJ	VYBER	13000	34334	\N	\N	\N
910590	3102	1998-03-23	VYDAJ	VYBER	14200	36609	\N	\N	\N
910591	3102	1998-04-22	VYDAJ	VYBER	13400	39696	\N	\N	\N
910592	3102	1998-05-22	VYDAJ	VYBER	10200	39258	\N	\N	\N
910593	3102	1998-06-21	VYDAJ	VYBER	12200	45010	\N	\N	\N
910594	3102	1998-07-21	VYDAJ	VYBER	12000	41485	\N	\N	\N
910595	3102	1998-08-20	VYDAJ	VYBER	5300	42978	\N	\N	\N
910596	3102	1998-09-19	VYDAJ	VYBER	8900	43860	\N	\N	\N
910597	3102	1998-10-19	VYDAJ	VYBER	6900	46753	\N	\N	\N
910598	3102	1998-11-18	VYDAJ	VYBER	11800	44753	\N	\N	\N
910599	3102	1998-12-18	VYDAJ	VYBER	10900	51826	\N	\N	\N
910613	3103	1997-09-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
910614	3103	1998-01-21	PRIJEM	VKLAD	37781	60481	\N	\N	\N
910615	3103	1998-01-23	PRIJEM	VKLAD	18638	79119	\N	\N	\N
910740	3103	1997-10-21	PRIJEM	VKLAD	13200	14200	\N	\N	\N
910741	3103	1997-11-20	PRIJEM	VKLAD	900	15100	\N	\N	\N
910742	3103	1997-12-20	PRIJEM	VKLAD	5100	20200	\N	\N	\N
910743	3103	1998-01-19	PRIJEM	VKLAD	2500	22700	\N	\N	\N
910744	3103	1998-02-18	VYDAJ	VYBER	26100	53131	\N	\N	\N
910745	3103	1998-03-20	VYDAJ	VYBER	11300	42161	\N	\N	\N
910746	3103	1998-04-19	VYDAJ	VYBER	5000	37490	\N	\N	\N
910747	3103	1998-05-19	VYDAJ	VYBER	2700	35120	\N	\N	\N
910748	3103	1998-06-18	VYDAJ	VYBER	1400	34050	\N	\N	\N
910749	3103	1998-07-18	VYDAJ	VYBER	1100	33279	\N	\N	\N
910750	3103	1998-08-17	PRIJEM	VKLAD	300	33909	\N	\N	\N
910751	3103	1998-09-16	VYDAJ	VYBER	1700	32539	\N	\N	\N
910752	3103	1998-10-16	VYDAJ	VYBER KARTOU	400	32468	\N	\N	0
910753	3103	1998-11-15	VYDAJ	VYBER KARTOU	400	32398	\N	\N	0
910754	3103	1998-12-15	PRIJEM	VKLAD	4400	37128	\N	\N	\N
910766	3104	1997-04-29	PRIJEM	VKLAD	700	700	\N	\N	\N
910771	3104	1997-05-13	PRIJEM	PREVOD Z UCTU	3006	3706	\N	MN	80380326
910772	3104	1997-06-13	PRIJEM	PREVOD Z UCTU	3006	17418	\N	MN	80380326
910773	3104	1997-07-13	PRIJEM	PREVOD Z UCTU	3006	25787	\N	MN	80380326
910774	3104	1997-08-13	PRIJEM	PREVOD Z UCTU	3006	34593	\N	MN	80380326
910775	3104	1997-09-13	PRIJEM	PREVOD Z UCTU	3006	42635	\N	MN	80380326
910776	3104	1997-10-13	PRIJEM	PREVOD Z UCTU	3006	41719	\N	MN	80380326
910777	3104	1997-11-13	PRIJEM	PREVOD Z UCTU	3006	39394	\N	MN	80380326
910778	3104	1997-12-13	PRIJEM	PREVOD Z UCTU	3006	37460	\N	MN	80380326
910779	3104	1998-01-13	PRIJEM	PREVOD Z UCTU	3006	33399	\N	MN	80380326
910780	3104	1998-02-13	PRIJEM	PREVOD Z UCTU	3006	35546	\N	MN	80380326
910781	3104	1998-03-13	PRIJEM	PREVOD Z UCTU	3006	38782	\N	MN	80380326
910782	3104	1998-04-13	PRIJEM	PREVOD Z UCTU	3006	36726	\N	MN	80380326
910783	3104	1998-05-13	PRIJEM	PREVOD Z UCTU	3006	36764	\N	MN	80380326
910784	3104	1998-06-13	PRIJEM	PREVOD Z UCTU	3006	37241	\N	MN	80380326
910785	3104	1998-07-13	PRIJEM	PREVOD Z UCTU	3006	35879	\N	MN	80380326
910786	3104	1998-08-13	PRIJEM	PREVOD Z UCTU	3006	29698	\N	MN	80380326
910787	3104	1998-09-13	PRIJEM	PREVOD Z UCTU	3006	28196	\N	MN	80380326
910788	3104	1998-10-13	PRIJEM	PREVOD Z UCTU	3006	26384	\N	MN	80380326
910789	3104	1998-11-13	PRIJEM	PREVOD Z UCTU	3006	27480	\N	MN	80380326
910790	3104	1998-12-13	PRIJEM	PREVOD Z UCTU	3006	23972	\N	MN	80380326
910800	3104	1997-10-09	VYDAJ	PREVOD NA UCET	2004	38713	SIPO	OP	58133125
910801	3104	1997-11-09	VYDAJ	PREVOD NA UCET	2004	36388	SIPO	OP	58133125
910802	3104	1997-12-09	VYDAJ	PREVOD NA UCET	2004	34454	SIPO	OP	58133125
910803	3104	1998-01-09	VYDAJ	PREVOD NA UCET	2004	31113	SIPO	OP	58133125
910804	3104	1998-02-09	VYDAJ	PREVOD NA UCET	2004	32540	SIPO	OP	58133125
910805	3104	1998-03-09	VYDAJ	PREVOD NA UCET	2004	35776	SIPO	OP	58133125
910806	3104	1998-04-09	VYDAJ	PREVOD NA UCET	2004	33720	SIPO	OP	58133125
910807	3104	1998-05-09	VYDAJ	PREVOD NA UCET	2004	33758	SIPO	OP	58133125
910808	3104	1998-06-09	VYDAJ	PREVOD NA UCET	2004	34235	SIPO	OP	58133125
910809	3104	1998-07-09	VYDAJ	PREVOD NA UCET	2004	32873	SIPO	OP	58133125
910810	3104	1998-08-09	VYDAJ	PREVOD NA UCET	2004	27682	SIPO	OP	58133125
910811	3104	1998-09-09	VYDAJ	PREVOD NA UCET	2004	25190	SIPO	OP	58133125
910812	3104	1998-10-09	VYDAJ	PREVOD NA UCET	2004	23378	SIPO	OP	58133125
910813	3104	1998-11-09	VYDAJ	PREVOD NA UCET	2004	24474	SIPO	OP	58133125
910814	3104	1998-12-09	VYDAJ	PREVOD NA UCET	2004	20966	SIPO	OP	58133125
910815	3104	1997-12-23	VYDAJ	VYBER	390	37070	\N	\N	\N
910816	3104	1998-12-27	VYDAJ	VYBER	600	16072	\N	\N	\N
910823	3104	1998-01-10	VYDAJ	VYBER	720	30393	\N	\N	\N
910824	3104	1998-01-16	VYDAJ	VYBER	450	32949	\N	\N	\N
910825	3104	1998-01-09	VYDAJ	VYBER	570	33117	\N	\N	\N
910826	3104	1998-01-06	VYDAJ	VYBER	540	33867	\N	\N	\N
910827	3104	1998-01-30	VYDAJ	VYBER	630	34419	\N	\N	\N
910828	3104	1998-01-08	VYDAJ	VYBER	180	33687	\N	\N	\N
910832	3104	1997-10-01	VYDAJ	VYBER	480	40717	\N	\N	\N
910834	3104	1997-09-29	VYDAJ	VYBER	690	41045	\N	\N	\N
910835	3104	1997-10-17	VYDAJ	VYBER	1080	40639	\N	\N	\N
910836	3104	1997-11-21	VYDAJ	VYBER	1380	38014	\N	\N	\N
910837	3104	1998-09-15	VYDAJ	VYBER	990	25286	\N	\N	\N
910838	3104	1998-05-15	VYDAJ	VYBER	660	36104	\N	\N	\N
910839	3104	1998-08-22	VYDAJ	VYBER	1110	27088	\N	\N	\N
910840	3104	1998-09-15	VYDAJ	VYBER	1350	26276	\N	\N	\N
910841	3104	1998-07-30	VYDAJ	VYBER	1320	29559	\N	\N	\N
910842	3104	1998-08-11	VYDAJ	VYBER	990	26692	\N	\N	\N
910843	3104	1998-09-14	VYDAJ	VYBER	570	27626	\N	\N	\N
910853	3104	1997-09-30	VYDAJ	VYBER	15	41197	SLUZBY	\N	\N
910854	3104	1997-10-31	VYDAJ	VYBER	15	38392	SLUZBY	\N	\N
910855	3104	1997-11-30	VYDAJ	VYBER	15	36458	SLUZBY	\N	\N
910856	3104	1997-12-31	VYDAJ	VYBER	15	34407	SLUZBY	\N	\N
910857	3104	1998-01-31	VYDAJ	VYBER	15	34544	SLUZBY	\N	\N
910858	3104	1998-02-28	VYDAJ	VYBER	15	37780	SLUZBY	\N	\N
910859	3104	1998-03-31	VYDAJ	VYBER	15	35724	SLUZBY	\N	\N
910860	3104	1998-04-30	VYDAJ	VYBER	15	35762	SLUZBY	\N	\N
910861	3104	1998-05-31	VYDAJ	VYBER	15	36239	SLUZBY	\N	\N
910862	3104	1998-06-30	VYDAJ	VYBER	15	34877	SLUZBY	\N	\N
910863	3104	1998-07-31	VYDAJ	VYBER	15	29686	SLUZBY	\N	\N
910864	3104	1998-08-31	VYDAJ	VYBER	15	27194	SLUZBY	\N	\N
910865	3104	1998-09-30	VYDAJ	VYBER	15	25382	SLUZBY	\N	\N
910866	3104	1998-10-31	VYDAJ	VYBER	15	26478	SLUZBY	\N	\N
910867	3104	1998-11-30	VYDAJ	VYBER	15	22970	SLUZBY	\N	\N
910868	3104	1997-05-29	PRIJEM	VKLAD	10700	14406	\N	\N	\N
910869	3104	1997-06-28	PRIJEM	VKLAD	5300	22718	\N	\N	\N
910870	3104	1997-07-28	PRIJEM	VKLAD	5700	31487	\N	\N	\N
910871	3104	1997-08-27	PRIJEM	VKLAD	4900	39493	\N	\N	\N
910872	3104	1997-09-26	VYDAJ	VYBER	900	41735	\N	\N	\N
910873	3104	1997-10-26	VYDAJ	VYBER	2400	38239	\N	\N	\N
910874	3104	1997-11-25	VYDAJ	VYBER	1700	36314	\N	\N	\N
910875	3104	1997-12-25	VYDAJ	VYBER	2800	34270	\N	\N	\N
910876	3104	1998-01-24	PRIJEM	VKLAD	2100	35049	\N	\N	\N
910877	3104	1998-02-23	PRIJEM	VKLAD	2100	37646	\N	\N	\N
910878	3104	1998-03-25	VYDAJ	VYBER	3200	35582	\N	\N	\N
910879	3104	1998-04-24	VYDAJ	VYBER	1100	35626	\N	\N	\N
910880	3104	1998-06-23	VYDAJ	VYBER	2500	34741	\N	\N	\N
910881	3104	1998-07-23	VYDAJ	VYBER	5000	30879	\N	\N	\N
910882	3104	1998-08-22	VYDAJ	VYBER	1500	28198	\N	\N	\N
910883	3104	1998-11-20	VYDAJ	VYBER	4600	22880	\N	\N	\N
910884	3104	1998-12-20	VYDAJ	VYBER	7300	16672	\N	\N	\N
910905	3105	1997-11-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
910917	3105	1997-12-11	PRIJEM	PREVOD Z UCTU	3218	4218	\N	ST	8108169
910918	3105	1998-01-11	PRIJEM	PREVOD Z UCTU	3218	7436	\N	ST	8108169
910919	3105	1998-02-11	PRIJEM	PREVOD Z UCTU	3218	10654	\N	ST	8108169
910920	3105	1998-03-11	PRIJEM	PREVOD Z UCTU	3218	13872	\N	ST	8108169
910921	3105	1998-04-11	PRIJEM	PREVOD Z UCTU	3218	17090	\N	ST	8108169
910922	3105	1998-05-11	PRIJEM	PREVOD Z UCTU	3218	18184	\N	ST	8108169
910923	3105	1998-06-11	PRIJEM	PREVOD Z UCTU	3218	19307	\N	ST	8108169
910924	3105	1998-07-11	PRIJEM	PREVOD Z UCTU	3218	20435	\N	ST	8108169
910925	3105	1998-08-11	PRIJEM	PREVOD Z UCTU	3218	21568	\N	ST	8108169
910926	3105	1998-09-11	PRIJEM	PREVOD Z UCTU	3218	22705	\N	ST	8108169
910927	3105	1998-10-11	PRIJEM	PREVOD Z UCTU	3218	23297	\N	ST	8108169
910928	3105	1998-11-11	PRIJEM	PREVOD Z UCTU	3218	23483	\N	ST	8108169
910929	3105	1998-12-11	PRIJEM	PREVOD Z UCTU	3218	24631	\N	ST	8108169
910945	3105	1998-04-14	VYDAJ	PREVOD NA UCET	2145	14945	SIPO	ST	35257673
910946	3105	1998-05-14	VYDAJ	PREVOD NA UCET	2145	16039	SIPO	ST	35257673
910947	3105	1998-06-14	VYDAJ	PREVOD NA UCET	2145	17162	SIPO	ST	35257673
910948	3105	1998-07-14	VYDAJ	PREVOD NA UCET	2145	18290	SIPO	ST	35257673
910949	3105	1998-08-14	VYDAJ	PREVOD NA UCET	2145	19423	SIPO	ST	35257673
910950	3105	1998-09-14	VYDAJ	PREVOD NA UCET	2145	20560	SIPO	ST	35257673
910951	3105	1998-10-14	VYDAJ	PREVOD NA UCET	2145	21152	SIPO	ST	35257673
910952	3105	1998-11-14	VYDAJ	PREVOD NA UCET	2145	21338	SIPO	ST	35257673
910953	3105	1998-12-14	VYDAJ	PREVOD NA UCET	2145	21826	SIPO	ST	35257673
910959	3105	1998-12-14	VYDAJ	VYBER	660	23971	\N	\N	\N
910977	3105	1998-10-05	VYDAJ	VYBER	150	20079	\N	\N	\N
910979	3105	1998-11-09	VYDAJ	VYBER	960	20265	\N	\N	\N
910997	3105	1998-04-30	VYDAJ	VYBER	15	14966	SLUZBY	\N	\N
910998	3105	1998-05-31	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
910999	3105	1998-06-30	VYDAJ	VYBER	15	17217	SLUZBY	\N	\N
911000	3105	1998-07-31	VYDAJ	VYBER	15	18350	SLUZBY	\N	\N
911001	3105	1998-08-31	VYDAJ	VYBER	15	19487	SLUZBY	\N	\N
911002	3105	1998-09-30	VYDAJ	VYBER	15	20229	SLUZBY	\N	\N
911003	3105	1998-10-31	VYDAJ	VYBER	15	21225	SLUZBY	\N	\N
911004	3105	1998-11-30	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
911005	3105	1998-09-17	VYDAJ	VYBER	400	20160	\N	\N	\N
911015	3106	1997-09-26	PRIJEM	VKLAD	400	400	\N	\N	\N
911016	3106	1997-10-27	PRIJEM	VKLAD	22729	51670	\N	\N	\N
911017	3106	1997-12-24	PRIJEM	VKLAD	25532	123636	\N	\N	\N
911018	3106	1997-12-30	PRIJEM	VKLAD	30642	99519	\N	\N	\N
911019	3106	1997-12-21	PRIJEM	VKLAD	8087	98104	\N	\N	\N
911021	3106	1997-12-15	PRIJEM	VKLAD	27176	90017	\N	\N	\N
911022	3106	1997-11-04	PRIJEM	VKLAD	44608	96317	\N	\N	\N
911025	3106	1997-12-28	PRIJEM	VKLAD	12241	68877	\N	\N	\N
911027	3106	1997-10-07	PRIJEM	VKLAD	29241	29641	\N	\N	\N
911028	3106	1998-07-11	PRIJEM	VKLAD	25391	106873	\N	\N	\N
911029	3106	1998-12-30	PRIJEM	VKLAD	22415	44916	\N	\N	\N
911030	3106	1998-01-07	PRIJEM	VKLAD	17658	97333	\N	\N	\N
911031	3106	1998-09-25	PRIJEM	VKLAD	15595	56566	\N	\N	\N
911032	3106	1998-06-27	PRIJEM	VKLAD	26262	85523	\N	\N	\N
911033	3106	1998-06-18	PRIJEM	VKLAD	47877	83361	\N	\N	\N
911034	3106	1998-08-18	PRIJEM	VKLAD	45416	102256	\N	\N	\N
911035	3106	1998-02-03	PRIJEM	VKLAD	27803	76631	\N	\N	\N
911036	3106	1998-04-07	PRIJEM	VKLAD	22619	59673	\N	\N	\N
911037	3106	1998-07-23	PRIJEM	VKLAD	28488	135361	\N	\N	\N
911048	3106	1998-04-10	VYBER	VYBER	16767	42906	\N	\N	\N
911052	3106	1998-01-02	VYDAJ	VYBER	7200	84175	\N	\N	\N
911054	3106	1998-12-23	VYDAJ	VYBER	8700	22501	\N	\N	\N
911061	3106	1998-01-30	VYDAJ	VYBER	6900	48533	\N	\N	\N
911062	3106	1998-01-17	VYDAJ	VYBER	6600	82333	\N	\N	\N
911063	3106	1998-01-04	VYDAJ	VYBER	4500	79675	\N	\N	\N
911064	3106	1998-01-01	VYDAJ	VYBER	8400	91375	\N	\N	\N
911065	3106	1998-01-08	VYDAJ	VYBER	5400	91933	\N	\N	\N
911066	3106	1998-01-11	VYDAJ	VYBER	3000	88933	\N	\N	\N
911075	3106	1998-12-09	VYDAJ	VYBER	4800	32601	\N	\N	\N
911076	3106	1998-02-19	VYDAJ	VYBER	11400	65231	\N	\N	\N
911077	3106	1998-08-30	VYDAJ	VYBER	9000	55656	\N	\N	\N
911078	3106	1998-09-27	VYDAJ	VYBER KARTOU	3600	52966	\N	\N	0
911079	3106	1998-02-21	VYDAJ	VYBER	12000	53231	\N	\N	\N
911080	3106	1998-06-30	VYDAJ	VYBER	4200	81512	\N	\N	\N
911093	3106	1997-12-31	VYDAJ	VYBER	30	99775	SLUZBY	\N	\N
911094	3106	1998-01-31	VYDAJ	VYBER	30	48828	SLUZBY	\N	\N
911095	3106	1998-02-28	VYDAJ	VYBER	30	43006	SLUZBY	\N	\N
911096	3106	1998-03-31	VYDAJ	VYBER	30	37054	SLUZBY	\N	\N
911097	3106	1998-04-30	VYDAJ	VYBER	30	40745	SLUZBY	\N	\N
911098	3106	1998-05-31	VYDAJ	VYBER	30	35484	SLUZBY	\N	\N
911099	3106	1998-06-30	VYDAJ	VYBER	30	81482	SLUZBY	\N	\N
911100	3106	1998-07-31	VYDAJ	VYBER	30	56840	SLUZBY	\N	\N
911101	3106	1998-08-31	VYDAJ	VYBER	30	55871	SLUZBY	\N	\N
911102	3106	1998-09-30	VYDAJ	VYBER	30	53167	SLUZBY	\N	\N
911103	3106	1998-10-31	VYDAJ	VYBER	30	42157	SLUZBY	\N	\N
911104	3106	1998-11-30	VYDAJ	VYBER	30	37401	SLUZBY	\N	\N
911105	3106	1997-10-26	VYDAJ	VYBER	700	28941	\N	\N	\N
911106	3106	1997-11-25	VYDAJ	VYBER	33700	62617	\N	\N	\N
911107	3106	1997-12-24	VYDAJ	VYBER	48300	75336	\N	\N	\N
911108	3106	1997-12-25	VYDAJ	VYBER	18700	56636	\N	\N	\N
911109	3106	1998-01-24	VYDAJ	VYBER	26900	55433	\N	\N	\N
911110	3106	1998-02-23	VYDAJ	VYBER	10400	42831	\N	\N	\N
911111	3106	1998-03-25	VYDAJ	VYBER	6100	36906	\N	\N	\N
911112	3106	1998-04-24	VYDAJ	VYBER	2300	40606	\N	\N	\N
911113	3106	1998-05-24	VYDAJ	VYBER	5400	35345	\N	\N	\N
911114	3106	1998-06-23	VYDAJ	VYBER	24100	59261	\N	\N	\N
911115	3106	1998-07-23	VYDAJ	VYBER	49800	85561	\N	\N	\N
911116	3106	1998-07-23	VYDAJ	VYBER	29000	56561	\N	\N	\N
911117	3106	1998-08-22	VYDAJ	VYBER	37600	64656	\N	\N	\N
911118	3106	1998-09-21	VYDAJ	VYBER	14900	40971	\N	\N	\N
911119	3106	1998-10-21	VYDAJ	VYBER	11200	41967	\N	\N	\N
911120	3106	1998-11-20	VYDAJ	VYBER	4900	37257	\N	\N	\N
911121	3106	1998-12-20	VYDAJ	VYBER KARTOU	1400	31201	\N	\N	0
911137	3107	1993-11-20	PRIJEM	VKLAD	200	200	\N	\N	\N
911149	3107	1993-12-11	PRIJEM	PREVOD Z UCTU	6300	6500	DUCHOD	QR	51595199
911150	3107	1994-01-11	PRIJEM	PREVOD Z UCTU	6300	12800	DUCHOD	QR	51595199
911151	3107	1994-02-11	PRIJEM	PREVOD Z UCTU	6300	19100	DUCHOD	QR	51595199
911152	3107	1994-03-11	PRIJEM	PREVOD Z UCTU	6300	25400	DUCHOD	QR	51595199
911153	3107	1994-04-11	PRIJEM	PREVOD Z UCTU	6300	31700	DUCHOD	QR	51595199
911154	3107	1994-05-11	PRIJEM	PREVOD Z UCTU	6300	35212	DUCHOD	QR	51595199
911155	3107	1994-06-11	PRIJEM	PREVOD Z UCTU	6300	22425	DUCHOD	QR	51595199
911156	3107	1994-07-11	PRIJEM	PREVOD Z UCTU	6300	25283	DUCHOD	QR	51595199
911157	3107	1994-08-11	PRIJEM	PREVOD Z UCTU	6300	29018	DUCHOD	QR	51595199
911158	3107	1994-09-11	PRIJEM	PREVOD Z UCTU	6300	29824	DUCHOD	QR	51595199
911159	3107	1994-10-11	PRIJEM	PREVOD Z UCTU	6300	33073	DUCHOD	QR	51595199
911160	3107	1994-11-11	PRIJEM	PREVOD Z UCTU	6300	35313	DUCHOD	QR	51595199
911161	3107	1994-12-11	PRIJEM	PREVOD Z UCTU	6300	34721	DUCHOD	QR	51595199
911162	3107	1995-01-11	PRIJEM	PREVOD Z UCTU	6300	29130	DUCHOD	QR	51595199
911163	3107	1995-02-11	PRIJEM	PREVOD Z UCTU	6300	29516	DUCHOD	QR	51595199
911164	3107	1995-03-11	PRIJEM	PREVOD Z UCTU	6300	33268	DUCHOD	QR	51595199
911165	3107	1995-04-11	PRIJEM	PREVOD Z UCTU	6300	30308	DUCHOD	QR	51595199
911166	3107	1995-05-11	PRIJEM	PREVOD Z UCTU	6300	34060	DUCHOD	QR	51595199
911167	3107	1995-06-11	PRIJEM	PREVOD Z UCTU	6300	30898	DUCHOD	QR	51595199
911168	3107	1995-07-11	PRIJEM	PREVOD Z UCTU	6300	30340	DUCHOD	QR	51595199
911169	3107	1995-08-11	PRIJEM	PREVOD Z UCTU	6300	34099	DUCHOD	QR	51595199
911170	3107	1995-09-11	PRIJEM	PREVOD Z UCTU	6300	37867	DUCHOD	QR	51595199
911171	3107	1995-10-11	PRIJEM	PREVOD Z UCTU	6300	41651	DUCHOD	QR	51595199
911172	3107	1995-11-11	PRIJEM	PREVOD Z UCTU	6300	42945	DUCHOD	QR	51595199
911173	3107	1995-12-11	PRIJEM	PREVOD Z UCTU	6300	44000	DUCHOD	QR	51595199
911174	3107	1996-01-11	PRIJEM	PREVOD Z UCTU	6300	45093	DUCHOD	QR	51595199
911175	3107	1996-02-11	PRIJEM	PREVOD Z UCTU	6300	41382	DUCHOD	QR	51595199
911176	3107	1996-03-11	PRIJEM	PREVOD Z UCTU	6300	45187	DUCHOD	QR	51595199
911177	3107	1996-04-11	PRIJEM	PREVOD Z UCTU	6300	49001	DUCHOD	QR	51595199
911178	3107	1996-05-11	PRIJEM	PREVOD Z UCTU	6300	47301	DUCHOD	QR	51595199
911179	3107	1996-06-11	PRIJEM	PREVOD Z UCTU	6300	47024	DUCHOD	QR	51595199
911180	3107	1996-07-11	PRIJEM	PREVOD Z UCTU	6300	49253	DUCHOD	QR	51595199
911181	3107	1996-08-11	PRIJEM	PREVOD Z UCTU	6300	49569	DUCHOD	QR	51595199
911182	3107	1996-09-11	PRIJEM	PREVOD Z UCTU	6300	53408	DUCHOD	QR	51595199
911183	3107	1996-10-11	PRIJEM	PREVOD Z UCTU	6300	57255	DUCHOD	QR	51595199
911184	3107	1996-11-11	PRIJEM	PREVOD Z UCTU	6300	61119	DUCHOD	QR	51595199
911185	3107	1996-12-11	PRIJEM	PREVOD Z UCTU	6300	63636	DUCHOD	QR	51595199
911186	3107	1997-01-11	PRIJEM	PREVOD Z UCTU	6300	59300	DUCHOD	QR	51595199
911187	3107	1997-02-11	PRIJEM	PREVOD Z UCTU	6300	60691	DUCHOD	QR	51595199
911188	3107	1997-03-11	PRIJEM	PREVOD Z UCTU	6300	63127	DUCHOD	QR	51595199
911189	3107	1997-04-11	PRIJEM	PREVOD Z UCTU	6300	67019	DUCHOD	QR	51595199
911190	3107	1997-05-11	PRIJEM	PREVOD Z UCTU	6300	68921	DUCHOD	QR	51595199
911191	3107	1997-06-11	PRIJEM	PREVOD Z UCTU	6300	72833	DUCHOD	QR	51595199
911192	3107	1997-07-11	PRIJEM	PREVOD Z UCTU	6300	64083	DUCHOD	QR	51595199
911193	3107	1997-08-11	PRIJEM	PREVOD Z UCTU	6300	66134	DUCHOD	QR	51595199
911194	3107	1997-09-11	PRIJEM	PREVOD Z UCTU	6300	70039	DUCHOD	QR	51595199
911195	3107	1997-10-11	PRIJEM	PREVOD Z UCTU	6300	72194	DUCHOD	QR	51595199
911196	3107	1997-11-11	PRIJEM	PREVOD Z UCTU	6300	73638	DUCHOD	QR	51595199
911197	3107	1997-12-11	PRIJEM	PREVOD Z UCTU	6300	74785	DUCHOD	QR	51595199
911198	3107	1998-01-11	PRIJEM	PREVOD Z UCTU	6300	76005	DUCHOD	QR	51595199
911199	3107	1998-02-11	PRIJEM	PREVOD Z UCTU	6300	75464	DUCHOD	QR	51595199
911200	3107	1998-03-11	PRIJEM	PREVOD Z UCTU	6300	79402	DUCHOD	QR	51595199
911201	3107	1998-04-11	PRIJEM	PREVOD Z UCTU	6300	83356	DUCHOD	QR	51595199
911202	3107	1998-05-11	PRIJEM	PREVOD Z UCTU	6300	87327	DUCHOD	QR	51595199
911203	3107	1998-06-11	PRIJEM	PREVOD Z UCTU	6300	84191	DUCHOD	QR	51595199
911204	3107	1998-07-11	PRIJEM	PREVOD Z UCTU	6300	87274	DUCHOD	QR	51595199
911205	3107	1998-08-11	PRIJEM	PREVOD Z UCTU	6300	91160	DUCHOD	QR	51595199
911206	3107	1998-09-11	PRIJEM	PREVOD Z UCTU	6300	95063	DUCHOD	QR	51595199
911207	3107	1998-10-11	PRIJEM	PREVOD Z UCTU	6300	96979	DUCHOD	QR	51595199
911208	3107	1998-11-11	PRIJEM	PREVOD Z UCTU	6300	100906	DUCHOD	QR	51595199
911209	3107	1998-12-11	PRIJEM	PREVOD Z UCTU	6300	103276	DUCHOD	QR	51595199
911225	3107	1994-04-14	VYDAJ	PREVOD NA UCET	2642	29058	SIPO	EF	71699601
911226	3107	1994-05-14	VYDAJ	PREVOD NA UCET	2642	32570	SIPO	EF	71699601
911227	3107	1994-06-14	VYDAJ	PREVOD NA UCET	2642	19783	SIPO	EF	71699601
911228	3107	1994-07-14	VYDAJ	PREVOD NA UCET	2642	22641	SIPO	EF	71699601
911229	3107	1994-08-14	VYDAJ	PREVOD NA UCET	2642	26376	SIPO	EF	71699601
911230	3107	1994-09-14	VYDAJ	PREVOD NA UCET	2642	27182	SIPO	EF	71699601
911231	3107	1994-10-14	VYDAJ	PREVOD NA UCET	2642	28911	SIPO	EF	71699601
911232	3107	1994-11-14	VYDAJ	PREVOD NA UCET	2642	32671	SIPO	EF	71699601
911233	3107	1994-12-14	VYDAJ	PREVOD NA UCET	2642	32079	SIPO	EF	71699601
911234	3107	1995-01-14	VYDAJ	PREVOD NA UCET	2642	24648	SIPO	EF	71699601
911235	3107	1995-02-14	VYDAJ	PREVOD NA UCET	2642	26874	SIPO	EF	71699601
911236	3107	1995-03-14	VYDAJ	PREVOD NA UCET	2642	30626	SIPO	EF	71699601
911237	3107	1995-04-14	VYDAJ	PREVOD NA UCET	2642	27666	SIPO	EF	71699601
911238	3107	1995-05-14	VYDAJ	PREVOD NA UCET	2642	31418	SIPO	EF	71699601
911239	3107	1995-06-14	VYDAJ	PREVOD NA UCET	2642	28256	SIPO	EF	71699601
911240	3107	1995-07-14	VYDAJ	PREVOD NA UCET	2642	27698	SIPO	EF	71699601
911241	3107	1995-08-14	VYDAJ	PREVOD NA UCET	2642	31457	SIPO	EF	71699601
911242	3107	1995-09-14	VYDAJ	PREVOD NA UCET	2642	35225	SIPO	EF	71699601
911243	3107	1995-10-14	VYDAJ	PREVOD NA UCET	2642	36509	SIPO	EF	71699601
911244	3107	1995-11-14	VYDAJ	PREVOD NA UCET	2642	40303	SIPO	EF	71699601
911245	3107	1995-12-14	VYDAJ	PREVOD NA UCET	2642	41358	SIPO	EF	71699601
911246	3107	1996-01-14	VYDAJ	PREVOD NA UCET	2642	40451	SIPO	EF	71699601
911247	3107	1996-02-14	VYDAJ	PREVOD NA UCET	2642	38740	SIPO	EF	71699601
911248	3107	1996-03-14	VYDAJ	PREVOD NA UCET	2642	42545	SIPO	EF	71699601
911249	3107	1996-04-14	VYDAJ	PREVOD NA UCET	2642	46359	SIPO	EF	71699601
911250	3107	1996-05-14	VYDAJ	PREVOD NA UCET	2642	44659	SIPO	EF	71699601
911251	3107	1996-06-14	VYDAJ	PREVOD NA UCET	2642	44382	SIPO	EF	71699601
911252	3107	1996-07-14	VYDAJ	PREVOD NA UCET	2642	46611	SIPO	EF	71699601
911253	3107	1996-08-14	VYDAJ	PREVOD NA UCET	2642	46927	SIPO	EF	71699601
911254	3107	1996-09-14	VYDAJ	PREVOD NA UCET	2642	50766	SIPO	EF	71699601
911255	3107	1996-10-14	VYDAJ	PREVOD NA UCET	2642	54613	SIPO	EF	71699601
911256	3107	1996-11-14	VYDAJ	PREVOD NA UCET	2642	58477	SIPO	EF	71699601
911257	3107	1996-12-14	VYDAJ	PREVOD NA UCET	2642	60994	SIPO	EF	71699601
911258	3107	1997-01-14	VYDAJ	PREVOD NA UCET	2642	56658	SIPO	EF	71699601
911259	3107	1997-02-14	VYDAJ	PREVOD NA UCET	2642	58049	SIPO	EF	71699601
911260	3107	1997-03-14	VYDAJ	PREVOD NA UCET	2642	60485	SIPO	EF	71699601
911261	3107	1997-04-14	VYDAJ	PREVOD NA UCET	2642	64377	SIPO	EF	71699601
911262	3107	1997-05-14	VYDAJ	PREVOD NA UCET	2642	66279	SIPO	EF	71699601
911263	3107	1997-06-14	VYDAJ	PREVOD NA UCET	2642	70191	SIPO	EF	71699601
911264	3107	1997-07-14	VYDAJ	PREVOD NA UCET	2642	61441	SIPO	EF	71699601
911265	3107	1997-08-14	VYDAJ	PREVOD NA UCET	2642	63492	SIPO	EF	71699601
911266	3107	1997-09-14	VYDAJ	PREVOD NA UCET	2642	67397	SIPO	EF	71699601
911267	3107	1997-10-14	VYDAJ	PREVOD NA UCET	2642	69552	SIPO	EF	71699601
911268	3107	1997-11-14	VYDAJ	PREVOD NA UCET	2642	70996	SIPO	EF	71699601
911269	3107	1997-12-14	VYDAJ	PREVOD NA UCET	2642	72143	SIPO	EF	71699601
911270	3107	1998-01-14	VYDAJ	PREVOD NA UCET	2642	73363	SIPO	EF	71699601
911271	3107	1998-02-14	VYDAJ	PREVOD NA UCET	2642	72822	SIPO	EF	71699601
911272	3107	1998-03-14	VYDAJ	PREVOD NA UCET	2642	76760	SIPO	EF	71699601
911273	3107	1998-04-14	VYDAJ	PREVOD NA UCET	2642	80714	SIPO	EF	71699601
911274	3107	1998-05-14	VYDAJ	PREVOD NA UCET	2642	84685	SIPO	EF	71699601
911275	3107	1998-06-14	VYDAJ	PREVOD NA UCET	2642	81549	SIPO	EF	71699601
911276	3107	1998-07-14	VYDAJ	PREVOD NA UCET	2642	84632	SIPO	EF	71699601
911277	3107	1998-08-14	VYDAJ	PREVOD NA UCET	2642	88518	SIPO	EF	71699601
911278	3107	1998-09-14	VYDAJ	PREVOD NA UCET	2642	92421	SIPO	EF	71699601
911279	3107	1998-10-14	VYDAJ	PREVOD NA UCET	2642	94337	SIPO	EF	71699601
911280	3107	1998-11-14	VYDAJ	PREVOD NA UCET	2642	98264	SIPO	EF	71699601
911281	3107	1998-12-14	VYDAJ	PREVOD NA UCET	2642	100634	SIPO	EF	71699601
911283	3107	1994-06-07	VYDAJ	VYBER	11250	16125	\N	\N	\N
911284	3107	1995-06-04	VYDAJ	VYBER	4050	27478	\N	\N	\N
911285	3107	1996-06-03	VYDAJ	VYBER	4100	40724	\N	\N	\N
911286	3107	1997-06-15	VYDAJ	VYBER	12650	57541	\N	\N	\N
911287	3107	1998-06-06	VYDAJ	VYBER	5200	77891	\N	\N	\N
911289	3107	1994-12-14	VYDAJ	VYBER	800	31279	\N	\N	\N
911290	3107	1995-12-07	VYDAJ	VYBER	1250	39200	\N	\N	\N
911291	3107	1996-12-24	VYDAJ	VYBER	700	57654	\N	\N	\N
911292	3107	1997-12-06	VYDAJ	VYBER	1350	68485	\N	\N	\N
911293	3107	1998-12-05	VYDAJ	VYBER	550	96976	\N	\N	\N
911306	3107	1995-01-12	VYDAJ	VYBER	880	27290	\N	\N	\N
911307	3107	1995-01-02	VYDAJ	VYBER	880	26670	\N	\N	\N
911308	3107	1995-01-25	VYDAJ	VYBER	400	23528	\N	\N	\N
911309	3107	1995-01-25	VYDAJ	VYBER	720	23928	\N	\N	\N
911310	3107	1995-01-11	VYDAJ	VYBER	960	28170	\N	\N	\N
911311	3107	1995-01-06	VYDAJ	VYBER	1440	22830	\N	\N	\N
911312	3107	1996-01-01	VYDAJ	VYBER	400	40073	\N	\N	\N
911313	3107	1996-01-30	VYDAJ	VYBER	1200	37811	\N	\N	\N
911314	3107	1996-01-10	VYDAJ	VYBER	1280	38793	\N	\N	\N
911315	3107	1996-01-11	VYDAJ	VYBER	2000	43093	\N	\N	\N
911316	3107	1996-01-15	VYDAJ	VYBER	640	39811	\N	\N	\N
911317	3107	1996-01-23	VYDAJ	VYBER	800	39011	\N	\N	\N
911318	3107	1997-01-09	VYDAJ	VYBER	800	53000	\N	\N	\N
911319	3107	1997-01-15	VYDAJ	VYBER	1520	55138	\N	\N	\N
911320	3107	1997-01-02	VYDAJ	VYBER	2160	55720	\N	\N	\N
911321	3107	1997-01-02	VYDAJ	VYBER	1200	54520	\N	\N	\N
911322	3107	1997-01-21	VYDAJ	VYBER	960	54178	\N	\N	\N
911323	3107	1997-01-04	VYDAJ	VYBER	720	53800	\N	\N	\N
911324	3107	1998-01-08	VYDAJ	VYBER	960	70585	\N	\N	\N
911325	3107	1998-01-18	VYDAJ	VYBER	2160	71203	\N	\N	\N
911326	3107	1998-01-22	VYDAJ	VYBER	560	70643	\N	\N	\N
911327	3107	1998-01-24	VYDAJ	VYBER	800	68883	\N	\N	\N
911328	3107	1998-01-24	VYDAJ	VYBER	960	69683	\N	\N	\N
911329	3107	1998-01-09	VYDAJ	VYBER	880	69705	\N	\N	\N
911335	3107	1994-08-31	VYDAJ	VYBER	2640	23538	\N	\N	\N
911336	3107	1994-12-08	VYDAJ	VYBER	2160	28421	\N	\N	\N
911337	3107	1994-07-06	VYDAJ	VYBER	880	18983	\N	\N	\N
911338	3107	1994-10-13	VYDAJ	VYBER	1520	31553	\N	\N	\N
911339	3107	1994-12-21	VYDAJ	VYBER	3840	27439	\N	\N	\N
911340	3107	1995-12-17	VYDAJ	VYBER	1040	40318	\N	\N	\N
911341	3107	1995-03-27	VYDAJ	VYBER	3120	27506	\N	\N	\N
911342	3107	1995-07-06	VYDAJ	VYBER	3680	24040	\N	\N	\N
911343	3107	1995-06-07	VYDAJ	VYBER	2880	24598	\N	\N	\N
911344	3107	1995-03-27	VYDAJ	VYBER	2480	25026	\N	\N	\N
911345	3107	1995-06-23	VYDAJ	VYBER	640	27616	\N	\N	\N
911346	3107	1995-01-04	VYDAJ	VYBER	2400	24270	\N	\N	\N
911347	3107	1995-02-09	VYDAJ	VYBER	400	23216	\N	\N	\N
911348	3107	1995-03-29	VYDAJ	VYBER	1120	23906	\N	\N	\N
911349	3107	1996-04-17	VYDAJ	VYBER	3360	42999	\N	\N	\N
911350	3107	1996-12-16	VYDAJ	VYBER	2640	58354	\N	\N	\N
911351	3107	1996-04-24	VYDAJ	VYBER	2160	40839	\N	\N	\N
911352	3107	1996-08-08	VYDAJ	VYBER	3520	43269	\N	\N	\N
911353	3107	1996-07-07	VYDAJ	VYBER	1600	42953	\N	\N	\N
911354	3107	1996-02-07	VYDAJ	VYBER	2880	35082	\N	\N	\N
911355	3107	1996-11-17	VYDAJ	VYBER	1360	57117	\N	\N	\N
911356	3107	1997-09-25	VYDAJ	VYBER	1760	65637	\N	\N	\N
911357	3107	1997-04-26	VYDAJ	VYBER	2000	62377	\N	\N	\N
911358	3107	1997-02-16	VYDAJ	VYBER	400	57649	\N	\N	\N
911359	3107	1997-08-06	VYDAJ	VYBER	1840	59834	\N	\N	\N
911360	3107	1997-03-01	VYDAJ	VYBER	1040	56827	\N	\N	\N
911361	3107	1997-11-30	VYDAJ	VYBER	1440	69835	\N	\N	\N
911362	3107	1997-11-01	VYDAJ	VYBER	2480	67338	\N	\N	\N
911363	3107	1998-05-21	VYDAJ	VYBER	1920	82765	\N	\N	\N
911364	3107	1998-01-07	VYDAJ	VYBER	880	71545	\N	\N	\N
911365	3107	1998-11-16	VYDAJ	VYBER	1120	97144	\N	\N	\N
911382	3107	1994-04-30	VYDAJ	VYBER	15	28912	SLUZBY	\N	\N
911383	3107	1994-05-31	VYDAJ	VYBER	15	27375	SLUZBY	\N	\N
911384	3107	1994-06-30	VYDAJ	VYBER	15	19863	SLUZBY	\N	\N
911385	3107	1994-07-31	VYDAJ	VYBER	15	22718	SLUZBY	\N	\N
911386	3107	1994-08-31	VYDAJ	VYBER	15	23524	SLUZBY	\N	\N
911387	3107	1994-09-30	VYDAJ	VYBER	15	26773	SLUZBY	\N	\N
911388	3107	1994-10-31	VYDAJ	VYBER	15	29013	SLUZBY	\N	\N
911389	3107	1994-11-30	VYDAJ	VYBER	15	30581	SLUZBY	\N	\N
911390	3107	1994-12-31	VYDAJ	VYBER	15	27550	SLUZBY	\N	\N
911391	3107	1995-01-31	VYDAJ	VYBER	15	23616	SLUZBY	\N	\N
911392	3107	1995-02-28	VYDAJ	VYBER	15	26968	SLUZBY	\N	\N
911393	3107	1995-03-31	VYDAJ	VYBER	15	24008	SLUZBY	\N	\N
911394	3107	1995-04-30	VYDAJ	VYBER	15	27760	SLUZBY	\N	\N
911395	3107	1995-05-31	VYDAJ	VYBER	15	31528	SLUZBY	\N	\N
911396	3107	1995-06-30	VYDAJ	VYBER	15	27720	SLUZBY	\N	\N
911397	3107	1995-07-31	VYDAJ	VYBER	15	27799	SLUZBY	\N	\N
911398	3107	1995-08-31	VYDAJ	VYBER	15	31567	SLUZBY	\N	\N
911399	3107	1995-09-30	VYDAJ	VYBER	15	35351	SLUZBY	\N	\N
911400	3107	1995-10-31	VYDAJ	VYBER	15	36645	SLUZBY	\N	\N
911401	3107	1995-11-30	VYDAJ	VYBER	15	40450	SLUZBY	\N	\N
911402	3107	1995-12-31	VYDAJ	VYBER	15	40473	SLUZBY	\N	\N
911403	3107	1996-01-31	VYDAJ	VYBER	15	37962	SLUZBY	\N	\N
911404	3107	1996-02-29	VYDAJ	VYBER	15	38887	SLUZBY	\N	\N
911405	3107	1996-03-31	VYDAJ	VYBER	15	42701	SLUZBY	\N	\N
911406	3107	1996-04-30	VYDAJ	VYBER	15	41001	SLUZBY	\N	\N
911407	3107	1996-05-31	VYDAJ	VYBER	15	44824	SLUZBY	\N	\N
911408	3107	1996-06-30	VYDAJ	VYBER	15	44553	SLUZBY	\N	\N
911409	3107	1996-07-31	VYDAJ	VYBER	15	46789	SLUZBY	\N	\N
911410	3107	1996-08-31	VYDAJ	VYBER	15	47108	SLUZBY	\N	\N
911411	3107	1996-09-30	VYDAJ	VYBER	15	50955	SLUZBY	\N	\N
911412	3107	1996-10-31	VYDAJ	VYBER	15	54819	SLUZBY	\N	\N
911413	3107	1996-11-30	VYDAJ	VYBER	15	57336	SLUZBY	\N	\N
911414	3107	1996-12-31	VYDAJ	VYBER	15	57880	SLUZBY	\N	\N
911415	3107	1997-01-31	VYDAJ	VYBER	15	54391	SLUZBY	\N	\N
911416	3107	1997-02-28	VYDAJ	VYBER	15	57867	SLUZBY	\N	\N
911417	3107	1997-03-31	VYDAJ	VYBER	15	60719	SLUZBY	\N	\N
911418	3107	1997-04-30	VYDAJ	VYBER	15	62621	SLUZBY	\N	\N
911419	3107	1997-05-31	VYDAJ	VYBER	15	66533	SLUZBY	\N	\N
911420	3107	1997-06-30	VYDAJ	VYBER	15	57783	SLUZBY	\N	\N
911421	3107	1997-07-31	VYDAJ	VYBER	15	61674	SLUZBY	\N	\N
911422	3107	1997-08-31	VYDAJ	VYBER	15	63739	SLUZBY	\N	\N
911423	3107	1997-09-30	VYDAJ	VYBER	15	65894	SLUZBY	\N	\N
911424	3107	1997-10-31	VYDAJ	VYBER	15	69818	SLUZBY	\N	\N
911425	3107	1997-11-30	VYDAJ	VYBER	15	71275	SLUZBY	\N	\N
911426	3107	1997-12-31	VYDAJ	VYBER	15	72425	SLUZBY	\N	\N
911427	3107	1998-01-31	VYDAJ	VYBER	15	69164	SLUZBY	\N	\N
911428	3107	1998-02-28	VYDAJ	VYBER	15	73102	SLUZBY	\N	\N
911429	3107	1998-03-31	VYDAJ	VYBER	15	77056	SLUZBY	\N	\N
911430	3107	1998-04-30	VYDAJ	VYBER	15	81027	SLUZBY	\N	\N
911431	3107	1998-05-31	VYDAJ	VYBER	15	83091	SLUZBY	\N	\N
911432	3107	1998-06-30	VYDAJ	VYBER	15	80974	SLUZBY	\N	\N
911433	3107	1998-07-31	VYDAJ	VYBER	15	84860	SLUZBY	\N	\N
911434	3107	1998-08-31	VYDAJ	VYBER	15	88763	SLUZBY	\N	\N
911435	3107	1998-09-30	VYDAJ	VYBER	15	90679	SLUZBY	\N	\N
911436	3107	1998-10-31	VYDAJ	VYBER	15	94606	SLUZBY	\N	\N
911437	3107	1998-11-30	VYDAJ	VYBER	15	97526	SLUZBY	\N	\N
911438	3107	1994-04-19	VYDAJ	VYBER	200	28858	\N	\N	\N
911439	3107	1994-05-19	VYDAJ	VYBER	5300	27270	\N	\N	\N
911440	3107	1994-08-17	VYDAJ	VYBER	300	26076	\N	\N	\N
911441	3107	1994-09-16	VYDAJ	VYBER	500	26682	\N	\N	\N
911442	3107	1994-11-15	VYDAJ	VYBER	2200	30471	\N	\N	\N
911443	3107	1995-10-11	VYDAJ	VYBER	2500	39151	\N	\N	\N
911444	3107	1995-12-10	VYDAJ	VYBER	1500	37700	\N	\N	\N
911445	3107	1998-06-27	VYDAJ	VYBER	900	80649	\N	\N	\N
911446	3107	1998-07-27	VYDAJ	VYBER	100	84532	\N	\N	\N
911447	3107	1998-08-26	VYDAJ	VYBER	100	88418	\N	\N	\N
911448	3107	1998-09-25	VYDAJ	VYBER	2100	90321	\N	\N	\N
911449	3107	1998-10-25	VYDAJ	VYBER	100	94237	\N	\N	\N
911507	3108	1993-03-14	PRIJEM	VKLAD	600	600	\N	\N	\N
911511	3108	1993-04-14	PRIJEM	PREVOD Z UCTU	3063	3663	\N	QR	40405446
911512	3108	1993-05-14	PRIJEM	PREVOD Z UCTU	3063	6726	\N	QR	40405446
911513	3108	1993-06-14	PRIJEM	PREVOD Z UCTU	3063	9789	\N	QR	40405446
911514	3108	1993-07-14	PRIJEM	PREVOD Z UCTU	3063	12852	\N	QR	40405446
911515	3108	1993-08-14	PRIJEM	PREVOD Z UCTU	3063	15915	\N	QR	40405446
911516	3108	1993-09-14	PRIJEM	PREVOD Z UCTU	3063	16220	\N	QR	40405446
911517	3108	1993-10-14	PRIJEM	PREVOD Z UCTU	3063	17291	\N	QR	40405446
911518	3108	1993-11-14	PRIJEM	PREVOD Z UCTU	3063	18366	\N	QR	40405446
911519	3108	1993-12-14	PRIJEM	PREVOD Z UCTU	3063	18635	\N	QR	40405446
911520	3108	1994-01-14	PRIJEM	PREVOD Z UCTU	3063	17587	\N	QR	40405446
911521	3108	1994-02-14	PRIJEM	PREVOD Z UCTU	3063	15122	\N	QR	40405446
911522	3108	1994-03-14	PRIJEM	PREVOD Z UCTU	3063	15859	\N	QR	40405446
911523	3108	1994-04-14	PRIJEM	PREVOD Z UCTU	3063	15669	\N	QR	40405446
911524	3108	1994-05-14	PRIJEM	PREVOD Z UCTU	3063	16738	\N	QR	40405446
911525	3108	1994-06-14	PRIJEM	PREVOD Z UCTU	3063	17811	\N	QR	40405446
911526	3108	1994-07-14	PRIJEM	PREVOD Z UCTU	3063	18888	\N	QR	40405446
911527	3108	1994-08-14	PRIJEM	PREVOD Z UCTU	3063	19008	\N	QR	40405446
911528	3108	1994-09-14	PRIJEM	PREVOD Z UCTU	3063	18680	\N	QR	40405446
911529	3108	1994-10-14	PRIJEM	PREVOD Z UCTU	3063	19763	\N	QR	40405446
911530	3108	1994-11-14	PRIJEM	PREVOD Z UCTU	3063	20849	\N	QR	40405446
911531	3108	1994-12-14	PRIJEM	PREVOD Z UCTU	3063	19709	\N	QR	40405446
911532	3108	1995-01-14	PRIJEM	PREVOD Z UCTU	3063	16776	\N	QR	40405446
911533	3108	1995-02-14	PRIJEM	PREVOD Z UCTU	3063	14188	\N	QR	40405446
911534	3108	1995-03-14	PRIJEM	PREVOD Z UCTU	3063	15250	\N	QR	40405446
911535	3108	1995-04-14	PRIJEM	PREVOD Z UCTU	3063	15267	\N	QR	40405446
911536	3108	1995-05-14	PRIJEM	PREVOD Z UCTU	3063	16335	\N	QR	40405446
911537	3108	1995-06-14	PRIJEM	PREVOD Z UCTU	3063	17406	\N	QR	40405446
911538	3108	1995-07-14	PRIJEM	PREVOD Z UCTU	3063	18481	\N	QR	40405446
911539	3108	1995-08-14	PRIJEM	PREVOD Z UCTU	3063	17781	\N	QR	40405446
911540	3108	1995-09-14	PRIJEM	PREVOD Z UCTU	3063	18558	\N	QR	40405446
911541	3108	1995-10-14	PRIJEM	PREVOD Z UCTU	3063	18538	\N	QR	40405446
911542	3108	1995-11-14	PRIJEM	PREVOD Z UCTU	3063	19219	\N	QR	40405446
911543	3108	1995-12-14	PRIJEM	PREVOD Z UCTU	3063	14901	\N	QR	40405446
911544	3108	1996-01-14	PRIJEM	PREVOD Z UCTU	3063	15274	\N	QR	40405446
911545	3108	1996-02-14	PRIJEM	PREVOD Z UCTU	3063	15349	\N	QR	40405446
911546	3108	1996-03-14	PRIJEM	PREVOD Z UCTU	3063	13814	\N	QR	40405446
911547	3108	1996-04-14	PRIJEM	PREVOD Z UCTU	3063	13574	\N	QR	40405446
911548	3108	1996-05-14	PRIJEM	PREVOD Z UCTU	3063	14633	\N	QR	40405446
911549	3108	1996-06-14	PRIJEM	PREVOD Z UCTU	3063	15696	\N	QR	40405446
911550	3108	1996-07-14	PRIJEM	PREVOD Z UCTU	3063	16764	\N	QR	40405446
911551	3108	1996-08-14	PRIJEM	PREVOD Z UCTU	3063	15435	\N	QR	40405446
911552	3108	1996-09-14	PRIJEM	PREVOD Z UCTU	3063	16001	\N	QR	40405446
911553	3108	1996-10-14	PRIJEM	PREVOD Z UCTU	3063	15869	\N	QR	40405446
911554	3108	1996-11-14	PRIJEM	PREVOD Z UCTU	3063	16938	\N	QR	40405446
911555	3108	1996-12-14	PRIJEM	PREVOD Z UCTU	3063	14607	\N	QR	40405446
911556	3108	1997-01-14	PRIJEM	PREVOD Z UCTU	3063	13868	\N	QR	40405446
911557	3108	1997-02-14	PRIJEM	PREVOD Z UCTU	3063	14027	\N	QR	40405446
911558	3108	1997-03-14	PRIJEM	PREVOD Z UCTU	3063	15087	\N	QR	40405446
911559	3108	1997-04-14	PRIJEM	PREVOD Z UCTU	3063	14150	\N	QR	40405446
911560	3108	1997-05-14	PRIJEM	PREVOD Z UCTU	3063	15211	\N	QR	40405446
911561	3108	1997-06-14	PRIJEM	PREVOD Z UCTU	3063	14574	\N	QR	40405446
911562	3108	1997-07-14	PRIJEM	PREVOD Z UCTU	3063	15637	\N	QR	40405446
911563	3108	1997-08-14	PRIJEM	PREVOD Z UCTU	3063	15983	\N	QR	40405446
911564	3108	1997-09-14	PRIJEM	PREVOD Z UCTU	3063	17052	\N	QR	40405446
911565	3108	1997-10-14	PRIJEM	PREVOD Z UCTU	3063	18125	\N	QR	40405446
911566	3108	1997-11-14	PRIJEM	PREVOD Z UCTU	3063	19202	\N	QR	40405446
911567	3108	1997-12-14	PRIJEM	PREVOD Z UCTU	3063	16298	\N	QR	40405446
911568	3108	1998-01-14	PRIJEM	PREVOD Z UCTU	3063	16228	\N	QR	40405446
911569	3108	1998-02-14	PRIJEM	PREVOD Z UCTU	3063	15976	\N	QR	40405446
911570	3108	1998-03-14	PRIJEM	PREVOD Z UCTU	3063	17044	\N	QR	40405446
911571	3108	1998-04-14	PRIJEM	PREVOD Z UCTU	3063	14410	\N	QR	40405446
911572	3108	1998-05-14	PRIJEM	PREVOD Z UCTU	3063	15472	\N	QR	40405446
911573	3108	1998-06-14	PRIJEM	PREVOD Z UCTU	3063	16538	\N	QR	40405446
911574	3108	1998-07-14	PRIJEM	PREVOD Z UCTU	3063	17608	\N	QR	40405446
911575	3108	1998-08-14	PRIJEM	PREVOD Z UCTU	3063	16658	\N	QR	40405446
911576	3108	1998-09-14	PRIJEM	PREVOD Z UCTU	3063	17028	\N	QR	40405446
911577	3108	1998-10-14	PRIJEM	PREVOD Z UCTU	3063	13972	\N	QR	40405446
911578	3108	1998-11-14	PRIJEM	PREVOD Z UCTU	3063	15031	\N	QR	40405446
911579	3108	1998-12-14	PRIJEM	PREVOD Z UCTU	3063	16095	\N	QR	40405446
911588	3108	1993-09-09	VYDAJ	PREVOD NA UCET	1560	13157	\N	UV	40014571
911589	3108	1993-10-09	VYDAJ	PREVOD NA UCET	1560	14228	\N	UV	40014571
911590	3108	1993-11-09	VYDAJ	PREVOD NA UCET	1560	15303	\N	UV	40014571
911591	3108	1993-12-09	VYDAJ	PREVOD NA UCET	1560	15572	\N	UV	40014571
911592	3108	1994-01-09	VYDAJ	PREVOD NA UCET	1560	15424	\N	UV	40014571
911593	3108	1994-02-09	VYDAJ	PREVOD NA UCET	1560	12059	\N	UV	40014571
911594	3108	1994-03-09	VYDAJ	PREVOD NA UCET	1560	12796	\N	UV	40014571
911595	3108	1994-04-09	VYDAJ	PREVOD NA UCET	1560	12606	\N	UV	40014571
911596	3108	1994-05-09	VYDAJ	PREVOD NA UCET	1560	13675	\N	UV	40014571
911597	3108	1994-06-09	VYDAJ	PREVOD NA UCET	1560	14748	\N	UV	40014571
911598	3108	1994-07-09	VYDAJ	PREVOD NA UCET	1560	15825	\N	UV	40014571
911599	3108	1994-08-09	VYDAJ	PREVOD NA UCET	1560	15945	\N	UV	40014571
911600	3108	1994-09-09	VYDAJ	PREVOD NA UCET	1560	17027	\N	UV	40014571
911601	3108	1994-10-09	VYDAJ	PREVOD NA UCET	1560	16700	\N	UV	40014571
911602	3108	1994-11-09	VYDAJ	PREVOD NA UCET	1560	17786	\N	UV	40014571
911603	3108	1994-12-09	VYDAJ	PREVOD NA UCET	1560	18176	\N	UV	40014571
911604	3108	1995-01-09	VYDAJ	PREVOD NA UCET	1560	15693	\N	UV	40014571
911605	3108	1995-02-09	VYDAJ	PREVOD NA UCET	1560	11125	\N	UV	40014571
911606	3108	1995-03-09	VYDAJ	PREVOD NA UCET	1560	12187	\N	UV	40014571
911607	3108	1995-04-09	VYDAJ	PREVOD NA UCET	1560	12204	\N	UV	40014571
911608	3108	1995-05-09	VYDAJ	PREVOD NA UCET	1560	13272	\N	UV	40014571
911609	3108	1995-06-09	VYDAJ	PREVOD NA UCET	1560	14343	\N	UV	40014571
911610	3108	1995-07-09	VYDAJ	PREVOD NA UCET	1560	15418	\N	UV	40014571
911611	3108	1995-08-09	VYDAJ	PREVOD NA UCET	1560	14718	\N	UV	40014571
911612	3108	1995-09-09	VYDAJ	PREVOD NA UCET	1560	15495	\N	UV	40014571
911613	3108	1995-10-09	VYDAJ	PREVOD NA UCET	1560	15475	\N	UV	40014571
911614	3108	1995-11-09	VYDAJ	PREVOD NA UCET	1560	16156	\N	UV	40014571
911615	3108	1995-12-09	VYDAJ	PREVOD NA UCET	1560	11838	\N	UV	40014571
911616	3108	1996-01-09	VYDAJ	PREVOD NA UCET	1560	12211	\N	UV	40014571
911617	3108	1996-02-09	VYDAJ	PREVOD NA UCET	1560	12286	\N	UV	40014571
911618	3108	1996-03-09	VYDAJ	PREVOD NA UCET	1560	10751	\N	UV	40014571
911619	3108	1996-04-09	VYDAJ	PREVOD NA UCET	1560	10511	\N	UV	40014571
911620	3108	1996-05-09	VYDAJ	PREVOD NA UCET	1560	11570	\N	UV	40014571
911621	3108	1996-06-09	VYDAJ	PREVOD NA UCET	1560	12633	\N	UV	40014571
911622	3108	1996-07-09	VYDAJ	PREVOD NA UCET	1560	13701	\N	UV	40014571
911623	3108	1996-08-09	VYDAJ	PREVOD NA UCET	1560	12372	\N	UV	40014571
911624	3108	1996-09-09	VYDAJ	PREVOD NA UCET	1560	12938	\N	UV	40014571
911625	3108	1996-10-09	VYDAJ	PREVOD NA UCET	1560	12806	\N	UV	40014571
911626	3108	1996-11-09	VYDAJ	PREVOD NA UCET	1560	13875	\N	UV	40014571
911627	3108	1996-12-09	VYDAJ	PREVOD NA UCET	1560	11544	\N	UV	40014571
911628	3108	1997-01-09	VYDAJ	PREVOD NA UCET	1560	10805	\N	UV	40014571
911629	3108	1997-02-09	VYDAJ	PREVOD NA UCET	1560	10964	\N	UV	40014571
911630	3108	1997-03-09	VYDAJ	PREVOD NA UCET	1560	12024	\N	UV	40014571
911631	3108	1997-04-09	VYDAJ	PREVOD NA UCET	1560	11087	\N	UV	40014571
911632	3108	1997-05-09	VYDAJ	PREVOD NA UCET	1560	12148	\N	UV	40014571
911633	3108	1997-06-09	VYDAJ	PREVOD NA UCET	1560	11511	\N	UV	40014571
911634	3108	1997-07-09	VYDAJ	PREVOD NA UCET	1560	12574	\N	UV	40014571
911635	3108	1997-08-09	VYDAJ	PREVOD NA UCET	1560	12920	\N	UV	40014571
911636	3108	1997-09-09	VYDAJ	PREVOD NA UCET	1560	13989	\N	UV	40014571
911637	3108	1997-10-09	VYDAJ	PREVOD NA UCET	1560	15062	\N	UV	40014571
911638	3108	1997-11-09	VYDAJ	PREVOD NA UCET	1560	16139	\N	UV	40014571
911639	3108	1997-12-09	VYDAJ	PREVOD NA UCET	1560	13235	\N	UV	40014571
911640	3108	1998-01-09	VYDAJ	PREVOD NA UCET	1560	13165	\N	UV	40014571
911641	3108	1998-02-09	VYDAJ	PREVOD NA UCET	1560	12913	\N	UV	40014571
911642	3108	1998-03-09	VYDAJ	PREVOD NA UCET	1560	13981	\N	UV	40014571
911643	3108	1998-04-09	VYDAJ	PREVOD NA UCET	1560	11347	\N	UV	40014571
911644	3108	1998-05-09	VYDAJ	PREVOD NA UCET	1560	12409	\N	UV	40014571
911645	3108	1998-06-09	VYDAJ	PREVOD NA UCET	1560	13475	\N	UV	40014571
911646	3108	1998-07-09	VYDAJ	PREVOD NA UCET	1560	14545	\N	UV	40014571
911647	3108	1998-08-09	VYDAJ	PREVOD NA UCET	1560	13595	\N	UV	40014571
911648	3108	1998-09-09	VYDAJ	PREVOD NA UCET	1560	13965	\N	UV	40014571
911649	3108	1998-10-09	VYDAJ	PREVOD NA UCET	1560	10909	\N	UV	40014571
911650	3108	1998-11-09	VYDAJ	PREVOD NA UCET	1560	11968	\N	UV	40014571
911651	3108	1998-12-09	VYDAJ	PREVOD NA UCET	1560	13032	\N	UV	40014571
911660	3108	1993-09-07	VYDAJ	PREVOD NA UCET	482	14717	\N	UV	61451268
911661	3108	1993-10-07	VYDAJ	PREVOD NA UCET	482	15788	\N	UV	61451268
911662	3108	1993-11-07	VYDAJ	PREVOD NA UCET	482	16863	\N	UV	61451268
911663	3108	1993-12-07	VYDAJ	PREVOD NA UCET	482	17132	\N	UV	61451268
911664	3108	1994-01-07	VYDAJ	PREVOD NA UCET	482	16984	\N	UV	61451268
911665	3108	1994-02-07	VYDAJ	PREVOD NA UCET	482	13619	\N	UV	61451268
911666	3108	1994-03-07	VYDAJ	PREVOD NA UCET	482	14686	\N	UV	61451268
911667	3108	1994-04-07	VYDAJ	PREVOD NA UCET	482	14166	\N	UV	61451268
911668	3108	1994-05-07	VYDAJ	PREVOD NA UCET	482	15235	\N	UV	61451268
911669	3108	1994-06-07	VYDAJ	PREVOD NA UCET	482	16308	\N	UV	61451268
911670	3108	1994-07-07	VYDAJ	PREVOD NA UCET	482	17385	\N	UV	61451268
911671	3108	1994-08-07	VYDAJ	PREVOD NA UCET	482	17505	\N	UV	61451268
911672	3108	1994-09-07	VYDAJ	PREVOD NA UCET	482	18587	\N	UV	61451268
911673	3108	1994-10-07	VYDAJ	PREVOD NA UCET	482	18260	\N	UV	61451268
911674	3108	1994-11-07	VYDAJ	PREVOD NA UCET	482	19346	\N	UV	61451268
911675	3108	1994-12-07	VYDAJ	PREVOD NA UCET	482	19736	\N	UV	61451268
911676	3108	1995-01-07	VYDAJ	PREVOD NA UCET	482	18123	\N	UV	61451268
911677	3108	1995-02-07	VYDAJ	PREVOD NA UCET	482	12685	\N	UV	61451268
911678	3108	1995-03-07	VYDAJ	PREVOD NA UCET	482	13747	\N	UV	61451268
911679	3108	1995-04-07	VYDAJ	PREVOD NA UCET	482	14814	\N	UV	61451268
911680	3108	1995-05-07	VYDAJ	PREVOD NA UCET	482	14832	\N	UV	61451268
911681	3108	1995-06-07	VYDAJ	PREVOD NA UCET	482	15903	\N	UV	61451268
911682	3108	1995-07-07	VYDAJ	PREVOD NA UCET	482	16978	\N	UV	61451268
911683	3108	1995-08-07	VYDAJ	PREVOD NA UCET	482	16278	\N	UV	61451268
911684	3108	1995-09-07	VYDAJ	PREVOD NA UCET	482	17055	\N	UV	61451268
911685	3108	1995-10-07	VYDAJ	PREVOD NA UCET	482	17035	\N	UV	61451268
911686	3108	1995-11-07	VYDAJ	PREVOD NA UCET	482	17716	\N	UV	61451268
911687	3108	1995-12-07	VYDAJ	PREVOD NA UCET	482	13398	\N	UV	61451268
911688	3108	1996-01-07	VYDAJ	PREVOD NA UCET	482	13771	\N	UV	61451268
911689	3108	1996-02-07	VYDAJ	PREVOD NA UCET	482	13846	\N	UV	61451268
911690	3108	1996-03-07	VYDAJ	PREVOD NA UCET	482	12311	\N	UV	61451268
911691	3108	1996-04-07	VYDAJ	PREVOD NA UCET	482	12071	\N	UV	61451268
911692	3108	1996-05-07	VYDAJ	PREVOD NA UCET	482	13130	\N	UV	61451268
911693	3108	1996-06-07	VYDAJ	PREVOD NA UCET	482	14193	\N	UV	61451268
911694	3108	1996-07-07	VYDAJ	PREVOD NA UCET	482	15261	\N	UV	61451268
911695	3108	1996-08-07	VYDAJ	PREVOD NA UCET	482	13932	\N	UV	61451268
911696	3108	1996-09-07	VYDAJ	PREVOD NA UCET	482	14498	\N	UV	61451268
911697	3108	1996-10-07	VYDAJ	PREVOD NA UCET	482	14366	\N	UV	61451268
911698	3108	1996-11-07	VYDAJ	PREVOD NA UCET	482	15435	\N	UV	61451268
911699	3108	1996-12-07	VYDAJ	PREVOD NA UCET	482	13104	\N	UV	61451268
911700	3108	1997-01-07	VYDAJ	PREVOD NA UCET	482	12365	\N	UV	61451268
911701	3108	1997-02-07	VYDAJ	PREVOD NA UCET	482	12524	\N	UV	61451268
911702	3108	1997-03-07	VYDAJ	PREVOD NA UCET	482	13584	\N	UV	61451268
911703	3108	1997-04-07	VYDAJ	PREVOD NA UCET	482	12647	\N	UV	61451268
911704	3108	1997-05-07	VYDAJ	PREVOD NA UCET	482	13708	\N	UV	61451268
911705	3108	1997-06-07	VYDAJ	PREVOD NA UCET	482	13071	\N	UV	61451268
911706	3108	1997-07-07	VYDAJ	PREVOD NA UCET	482	14134	\N	UV	61451268
911707	3108	1997-08-07	VYDAJ	PREVOD NA UCET	482	14480	\N	UV	61451268
911708	3108	1997-09-07	VYDAJ	PREVOD NA UCET	482	15549	\N	UV	61451268
911709	3108	1997-10-07	VYDAJ	PREVOD NA UCET	482	16622	\N	UV	61451268
911710	3108	1997-11-07	VYDAJ	PREVOD NA UCET	482	17699	\N	UV	61451268
911711	3108	1997-12-07	VYDAJ	PREVOD NA UCET	482	14795	\N	UV	61451268
911712	3108	1998-01-07	VYDAJ	PREVOD NA UCET	482	14725	\N	UV	61451268
911713	3108	1998-02-07	VYDAJ	PREVOD NA UCET	482	14473	\N	UV	61451268
911714	3108	1998-03-07	VYDAJ	PREVOD NA UCET	482	15541	\N	UV	61451268
911715	3108	1998-04-07	VYDAJ	PREVOD NA UCET	482	12907	\N	UV	61451268
911716	3108	1998-05-07	VYDAJ	PREVOD NA UCET	482	13969	\N	UV	61451268
911717	3108	1998-06-07	VYDAJ	PREVOD NA UCET	482	15035	\N	UV	61451268
911718	3108	1998-07-07	VYDAJ	PREVOD NA UCET	482	16105	\N	UV	61451268
911719	3108	1998-08-07	VYDAJ	PREVOD NA UCET	482	15155	\N	UV	61451268
911720	3108	1998-09-07	VYDAJ	PREVOD NA UCET	482	15525	\N	UV	61451268
911721	3108	1998-10-07	VYDAJ	PREVOD NA UCET	482	12469	\N	UV	61451268
911722	3108	1998-11-07	VYDAJ	PREVOD NA UCET	482	13528	\N	UV	61451268
911723	3108	1998-12-07	VYDAJ	PREVOD NA UCET	482	14592	\N	UV	61451268
911731	3108	1994-01-11	VYDAJ	VYBER	900	14524	\N	\N	\N
911732	3108	1995-01-30	VYDAJ	VYBER	1050	13116	\N	\N	\N
911736	3108	1993-12-14	VYDAJ	VYBER	390	18245	\N	\N	\N
911737	3108	1994-12-12	VYDAJ	VYBER	360	16646	\N	\N	\N
911738	3108	1995-12-15	VYDAJ	VYBER	690	14211	\N	\N	\N
911740	3108	1997-12-04	VYDAJ	VYBER	780	15277	\N	\N	\N
911748	3108	1994-01-24	VYDAJ	VYBER	330	16567	\N	\N	\N
911749	3108	1994-01-26	VYDAJ	VYBER	660	15487	\N	\N	\N
911750	3108	1994-01-25	VYDAJ	VYBER	420	16147	\N	\N	\N
911751	3108	1994-01-21	VYDAJ	VYBER	690	16897	\N	\N	\N
911752	3108	1994-01-27	VYDAJ	VYBER	390	15097	\N	\N	\N
911753	3108	1994-01-04	VYDAJ	VYBER	840	17466	\N	\N	\N
911754	3108	1995-01-06	VYDAJ	VYBER	270	18605	\N	\N	\N
911755	3108	1995-01-20	VYDAJ	VYBER	690	15036	\N	\N	\N
911756	3108	1995-01-22	VYDAJ	VYBER	870	14166	\N	\N	\N
911757	3108	1995-01-12	VYDAJ	VYBER	420	14193	\N	\N	\N
911758	3108	1995-01-08	VYDAJ	VYBER	870	17253	\N	\N	\N
911759	3108	1995-01-13	VYDAJ	VYBER	480	13713	\N	\N	\N
911762	3108	1996-01-21	VYDAJ	VYBER	720	14284	\N	\N	\N
911763	3108	1996-01-14	VYDAJ	VYBER	270	15004	\N	\N	\N
911772	3108	1998-01-23	VYDAJ	VYBER	750	14908	\N	\N	\N
911774	3108	1998-01-06	VYDAJ	VYBER	360	15987	\N	\N	\N
911775	3108	1998-01-14	VYDAJ	VYBER	300	15928	\N	\N	\N
911776	3108	1998-01-18	VYDAJ	VYBER	270	15658	\N	\N	\N
911777	3108	1998-01-06	VYDAJ	VYBER	780	15207	\N	\N	\N
911781	3108	1993-08-23	VYDAJ	VYBER	720	15195	\N	\N	\N
911782	3108	1993-12-01	VYDAJ	VYBER	630	17614	\N	\N	\N
911783	3108	1993-11-28	VYDAJ	VYBER	180	18186	\N	\N	\N
911784	3108	1994-02-06	VYDAJ	VYBER	1050	14101	\N	\N	\N
911785	3108	1994-03-08	VYDAJ	VYBER	330	14356	\N	\N	\N
911786	3108	1994-07-15	VYDAJ	VYBER	960	17928	\N	\N	\N
911787	3108	1994-12-10	VYDAJ	VYBER	1170	17006	\N	\N	\N
911788	3108	1994-09-11	VYDAJ	VYBER	1410	15617	\N	\N	\N
911789	3108	1994-04-02	VYDAJ	VYBER	1260	14648	\N	\N	\N
911791	3108	1995-08-01	VYDAJ	VYBER	1080	16760	\N	\N	\N
911792	3108	1995-01-11	VYDAJ	VYBER	1080	14613	\N	\N	\N
911793	3108	1995-01-15	VYDAJ	VYBER	1050	15726	\N	\N	\N
911794	3108	1995-01-02	VYDAJ	VYBER	900	18875	\N	\N	\N
911795	3108	1995-04-09	VYDAJ	VYBER	1050	13764	\N	\N	\N
911796	3108	1995-08-28	VYDAJ	VYBER	300	17481	\N	\N	\N
911802	3108	1997-07-21	VYDAJ	VYBER	720	14917	\N	\N	\N
911806	3108	1998-07-17	VYDAJ	VYBER	720	15588	\N	\N	\N
911807	3108	1998-09-14	VYDAJ	VYBER	720	12908	\N	\N	\N
911808	3108	1998-12-14	VYDAJ	VYBER	990	15105	\N	\N	\N
911821	3108	1993-08-31	VYDAJ	VYBER	15	15199	SLUZBY	\N	\N
911822	3108	1993-09-30	VYDAJ	VYBER	15	16270	SLUZBY	\N	\N
911823	3108	1993-10-31	VYDAJ	VYBER	15	17345	SLUZBY	\N	\N
911824	3108	1993-11-30	VYDAJ	VYBER	15	18244	SLUZBY	\N	\N
911825	3108	1993-12-31	VYDAJ	VYBER	15	18306	SLUZBY	\N	\N
911826	3108	1994-01-31	VYDAJ	VYBER	15	15151	SLUZBY	\N	\N
911827	3108	1994-02-28	VYDAJ	VYBER	15	15168	SLUZBY	\N	\N
911828	3108	1994-03-31	VYDAJ	VYBER	15	15908	SLUZBY	\N	\N
911829	3108	1994-04-30	VYDAJ	VYBER	15	15717	SLUZBY	\N	\N
911830	3108	1994-05-31	VYDAJ	VYBER	15	16790	SLUZBY	\N	\N
911831	3108	1994-06-30	VYDAJ	VYBER	15	17867	SLUZBY	\N	\N
911832	3108	1994-07-31	VYDAJ	VYBER	15	17987	SLUZBY	\N	\N
911833	3108	1994-08-31	VYDAJ	VYBER	15	19069	SLUZBY	\N	\N
911834	3108	1994-09-30	VYDAJ	VYBER	15	18742	SLUZBY	\N	\N
911835	3108	1994-10-31	VYDAJ	VYBER	15	19828	SLUZBY	\N	\N
911836	3108	1994-11-30	VYDAJ	VYBER	15	20918	SLUZBY	\N	\N
911837	3108	1994-12-31	VYDAJ	VYBER	15	19775	SLUZBY	\N	\N
911838	3108	1995-01-31	VYDAJ	VYBER	15	13167	SLUZBY	\N	\N
911839	3108	1995-02-28	VYDAJ	VYBER	15	14229	SLUZBY	\N	\N
911840	3108	1995-03-31	VYDAJ	VYBER	15	15296	SLUZBY	\N	\N
911841	3108	1995-04-30	VYDAJ	VYBER	15	15314	SLUZBY	\N	\N
911842	3108	1995-05-31	VYDAJ	VYBER	15	16385	SLUZBY	\N	\N
911843	3108	1995-06-30	VYDAJ	VYBER	15	17460	SLUZBY	\N	\N
911844	3108	1995-07-31	VYDAJ	VYBER	15	18540	SLUZBY	\N	\N
911845	3108	1995-08-31	VYDAJ	VYBER	15	17537	SLUZBY	\N	\N
911846	3108	1995-09-30	VYDAJ	VYBER	15	18617	SLUZBY	\N	\N
911847	3108	1995-10-31	VYDAJ	VYBER	15	18198	SLUZBY	\N	\N
911848	3108	1995-11-30	VYDAJ	VYBER	15	13880	SLUZBY	\N	\N
911849	3108	1995-12-31	VYDAJ	VYBER	15	14253	SLUZBY	\N	\N
911850	3108	1996-01-31	VYDAJ	VYBER	15	14328	SLUZBY	\N	\N
911851	3108	1996-02-29	VYDAJ	VYBER	15	12793	SLUZBY	\N	\N
911852	3108	1996-03-31	VYDAJ	VYBER	15	12553	SLUZBY	\N	\N
911853	3108	1996-04-30	VYDAJ	VYBER	15	13612	SLUZBY	\N	\N
911854	3108	1996-05-31	VYDAJ	VYBER	15	14675	SLUZBY	\N	\N
911855	3108	1996-06-30	VYDAJ	VYBER	15	15743	SLUZBY	\N	\N
911856	3108	1996-07-31	VYDAJ	VYBER	15	14414	SLUZBY	\N	\N
911857	3108	1996-08-31	VYDAJ	VYBER	15	14980	SLUZBY	\N	\N
911858	3108	1996-09-30	VYDAJ	VYBER	15	14848	SLUZBY	\N	\N
911859	3108	1996-10-31	VYDAJ	VYBER	15	15917	SLUZBY	\N	\N
911860	3108	1996-11-30	VYDAJ	VYBER	15	13586	SLUZBY	\N	\N
911861	3108	1996-12-31	VYDAJ	VYBER	15	12847	SLUZBY	\N	\N
911862	3108	1997-01-31	VYDAJ	VYBER	15	13006	SLUZBY	\N	\N
911863	3108	1997-02-28	VYDAJ	VYBER	15	14066	SLUZBY	\N	\N
911864	3108	1997-03-31	VYDAJ	VYBER	15	13129	SLUZBY	\N	\N
911865	3108	1997-04-30	VYDAJ	VYBER	15	14190	SLUZBY	\N	\N
911866	3108	1997-05-31	VYDAJ	VYBER	15	13553	SLUZBY	\N	\N
911867	3108	1997-06-30	VYDAJ	VYBER	15	14616	SLUZBY	\N	\N
911868	3108	1997-07-31	VYDAJ	VYBER	15	14962	SLUZBY	\N	\N
911869	3108	1997-08-31	VYDAJ	VYBER	15	16031	SLUZBY	\N	\N
911870	3108	1997-09-30	VYDAJ	VYBER	15	17104	SLUZBY	\N	\N
911871	3108	1997-10-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
911872	3108	1997-11-30	VYDAJ	VYBER	15	16057	SLUZBY	\N	\N
911873	3108	1997-12-31	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
911874	3108	1998-01-31	VYDAJ	VYBER	15	14955	SLUZBY	\N	\N
911875	3108	1998-02-28	VYDAJ	VYBER	15	16023	SLUZBY	\N	\N
911876	3108	1998-03-31	VYDAJ	VYBER	15	13389	SLUZBY	\N	\N
911877	3108	1998-04-30	VYDAJ	VYBER	15	14451	SLUZBY	\N	\N
911878	3108	1998-05-31	VYDAJ	VYBER	15	15517	SLUZBY	\N	\N
911879	3108	1998-06-30	VYDAJ	VYBER	15	16587	SLUZBY	\N	\N
911880	3108	1998-07-31	VYDAJ	VYBER	15	15637	SLUZBY	\N	\N
911881	3108	1998-08-31	VYDAJ	VYBER	15	16007	SLUZBY	\N	\N
911882	3108	1998-09-30	VYDAJ	VYBER	15	12951	SLUZBY	\N	\N
911883	3108	1998-10-31	VYDAJ	VYBER	15	14010	SLUZBY	\N	\N
911884	3108	1998-11-30	VYDAJ	VYBER	15	15074	SLUZBY	\N	\N
911885	3108	1994-12-04	VYDAJ	VYBER	700	20218	\N	\N	\N
911886	3108	1995-08-01	VYDAJ	VYBER	700	17840	\N	\N	\N
911887	3108	1995-09-30	VYDAJ	VYBER	1100	17517	\N	\N	\N
911888	3108	1995-10-30	VYDAJ	VYBER	400	18138	\N	\N	\N
911889	3108	1995-11-29	VYDAJ	VYBER	5400	13819	\N	\N	\N
911890	3108	1996-02-27	VYDAJ	VYBER	2600	12749	\N	\N	\N
911891	3108	1996-03-28	VYDAJ	VYBER	1300	12514	\N	\N	\N
911892	3108	1996-07-26	VYDAJ	VYBER	2400	14364	\N	\N	\N
911893	3108	1996-08-25	VYDAJ	VYBER	500	14935	\N	\N	\N
911894	3108	1996-09-24	VYDAJ	VYBER	1200	14801	\N	\N	\N
911895	3108	1996-11-23	VYDAJ	VYBER	3400	13538	\N	\N	\N
911896	3108	1996-12-23	VYDAJ	VYBER	1800	12807	\N	\N	\N
911897	3108	1997-01-22	VYDAJ	VYBER	900	12968	\N	\N	\N
911898	3108	1997-03-23	VYDAJ	VYBER	2000	13087	\N	\N	\N
911899	3108	1997-05-22	VYDAJ	VYBER	1700	13511	\N	\N	\N
911900	3108	1997-11-18	VYDAJ	VYBER	3200	16002	\N	\N	\N
911901	3108	1998-03-18	VYDAJ	VYBER	3700	13344	\N	\N	\N
911902	3108	1998-07-16	VYDAJ	VYBER	1300	16308	\N	\N	\N
911903	3108	1998-08-15	VYDAJ	VYBER	700	15958	\N	\N	\N
911904	3108	1998-09-14	VYDAJ	VYBER	3400	13628	\N	\N	\N
911970	3109	1995-04-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
911975	3109	1995-05-08	PRIJEM	PREVOD Z UCTU	15404	20504	\N	WX	62657683
911976	3109	1995-06-08	PRIJEM	PREVOD Z UCTU	23106	46363	\N	WX	62657683
911977	3109	1995-07-08	PRIJEM	PREVOD Z UCTU	15404	52831	\N	WX	62657683
911978	3109	1995-08-08	PRIJEM	PREVOD Z UCTU	15404	53549	\N	WX	62657683
911979	3109	1995-09-08	PRIJEM	PREVOD Z UCTU	15404	53176	\N	WX	62657683
911980	3109	1995-10-08	PRIJEM	PREVOD Z UCTU	15404	44631	\N	WX	62657683
911981	3109	1995-11-08	PRIJEM	PREVOD Z UCTU	15404	47163	\N	WX	62657683
911982	3109	1995-12-08	PRIJEM	PREVOD Z UCTU	23106	56539	\N	WX	62657683
911983	3109	1996-01-08	PRIJEM	PREVOD Z UCTU	15404	40576	\N	WX	62657683
911984	3109	1996-02-08	PRIJEM	PREVOD Z UCTU	15404	14404	\N	WX	62657683
911985	3109	1996-03-08	PRIJEM	PREVOD Z UCTU	15404	38441	\N	WX	62657683
911986	3109	1996-04-08	PRIJEM	PREVOD Z UCTU	15404	36510	\N	WX	62657683
911987	3109	1996-05-08	PRIJEM	PREVOD Z UCTU	15404	50437	\N	WX	62657683
911988	3109	1996-06-08	PRIJEM	PREVOD Z UCTU	23106	53347	\N	WX	62657683
911989	3109	1996-07-08	PRIJEM	PREVOD Z UCTU	15404	40673	\N	WX	62657683
911990	3109	1996-08-08	PRIJEM	PREVOD Z UCTU	15404	38841	\N	WX	62657683
911991	3109	1996-09-08	PRIJEM	PREVOD Z UCTU	15404	30636	\N	WX	62657683
911992	3109	1996-10-08	PRIJEM	PREVOD Z UCTU	15404	32641	\N	WX	62657683
911993	3109	1996-11-08	PRIJEM	PREVOD Z UCTU	15404	37946	\N	WX	62657683
911994	3109	1996-12-08	PRIJEM	PREVOD Z UCTU	23106	61034	\N	WX	62657683
911995	3109	1997-01-08	PRIJEM	PREVOD Z UCTU	15404	50445	\N	WX	62657683
911996	3109	1997-02-08	PRIJEM	PREVOD Z UCTU	15404	36351	\N	WX	62657683
911997	3109	1997-03-08	PRIJEM	PREVOD Z UCTU	15404	51034	\N	WX	62657683
911998	3109	1997-04-08	PRIJEM	PREVOD Z UCTU	15404	53179	\N	WX	62657683
911999	3109	1997-05-08	PRIJEM	PREVOD Z UCTU	15404	49327	\N	WX	62657683
912000	3109	1997-06-08	PRIJEM	PREVOD Z UCTU	23106	58440	\N	WX	62657683
912001	3109	1997-07-08	PRIJEM	PREVOD Z UCTU	15404	40370	\N	WX	62657683
912002	3109	1997-08-08	PRIJEM	PREVOD Z UCTU	15404	29410	\N	WX	62657683
912003	3109	1997-09-08	PRIJEM	PREVOD Z UCTU	15404	38475	\N	WX	62657683
912004	3109	1997-10-08	PRIJEM	PREVOD Z UCTU	15404	24858	\N	WX	62657683
912005	3109	1997-11-08	PRIJEM	PREVOD Z UCTU	15404	39757	\N	WX	62657683
912006	3109	1997-12-08	PRIJEM	PREVOD Z UCTU	23106	53505	\N	WX	62657683
912007	3109	1998-01-08	PRIJEM	PREVOD Z UCTU	15404	15237	\N	WX	62657683
912008	3109	1998-02-08	PRIJEM	PREVOD Z UCTU	15404	21961	\N	WX	62657683
912009	3109	1998-03-08	PRIJEM	PREVOD Z UCTU	15404	31588	\N	WX	62657683
912010	3109	1998-04-08	PRIJEM	PREVOD Z UCTU	15404	24891	\N	WX	62657683
912011	3109	1998-05-08	PRIJEM	PREVOD Z UCTU	15404	18492	\N	WX	62657683
912012	3109	1998-06-08	PRIJEM	PREVOD Z UCTU	23106	33540	\N	WX	62657683
912013	3109	1998-07-08	PRIJEM	PREVOD Z UCTU	15404	22548	\N	WX	62657683
912014	3109	1998-08-08	PRIJEM	PREVOD Z UCTU	15404	16548	\N	WX	62657683
912015	3109	1998-09-08	PRIJEM	PREVOD Z UCTU	15404	16340	\N	WX	62657683
912016	3109	1998-10-08	PRIJEM	PREVOD Z UCTU	15404	17234	\N	WX	62657683
912017	3109	1998-11-08	PRIJEM	PREVOD Z UCTU	15404	9119	\N	WX	62657683
912018	3109	1998-12-08	PRIJEM	PREVOD Z UCTU	23106	18667	\N	WX	62657683
912021	3109	1995-10-05	VYBER	VYBER	21656	31727	\N	\N	\N
912023	3109	1995-10-15	VYBER	VYBER	8622	36009	\N	\N	\N
912025	3109	1995-12-27	VYBER	VYBER	11663	44876	\N	\N	\N
912030	3109	1996-12-02	VYBER	VYBER	2505	37928	\N	\N	\N
912031	3109	1996-10-09	VYBER	VYBER	13926	18715	\N	\N	\N
912032	3109	1996-06-02	VYBER	VYBER	3669	30241	\N	\N	\N
912033	3109	1996-09-11	VYBER	VYBER	9494	21142	\N	\N	\N
912034	3109	1996-09-26	VYBER	VYBER	13663	7479	\N	\N	\N
912035	3109	1996-07-08	VYBER	VYBER	19313	21360	\N	\N	\N
912039	3109	1996-02-03	VYBER	VYBER	20389	-1000	\N	\N	\N
912040	3109	1996-03-08	VYBER	VYBER	16605	21836	\N	\N	\N
912041	3109	1996-08-31	VYBER	VYBER	17792	15247	\N	\N	\N
912042	3109	1996-05-24	VYBER	VYBER	12196	38241	\N	\N	\N
912043	3109	1996-10-25	VYBER	VYBER	10830	7885	\N	\N	\N
912044	3109	1997-04-16	VYBER	VYBER	21288	31891	\N	\N	\N
912045	3109	1997-07-27	VYBER	VYBER	17162	13908	\N	\N	\N
912046	3109	1997-11-14	VYBER	VYBER	6762	32995	\N	\N	\N
912047	3109	1997-12-09	VYBER	VYBER	4273	49232	\N	\N	\N
912048	3109	1997-05-17	VYBER	VYBER	8329	40998	\N	\N	\N
912049	3109	1997-12-12	VYBER	VYBER	18519	30713	\N	\N	\N
912050	3109	1997-10-07	VYBER	VYBER	22856	9454	\N	\N	\N
912054	3109	1998-05-01	VYBER	VYBER	7131	3088	\N	\N	\N
912055	3109	1998-07-06	VYBER	VYBER	10935	7144	\N	\N	\N
912056	3109	1998-03-13	VYBER	VYBER	23632	7956	\N	\N	\N
912059	3109	1998-07-30	VYBER	VYBER	9458	1090	\N	\N	\N
912060	3109	1998-01-06	VYBER	VYBER	16291	-167	\N	\N	\N
912061	3109	1998-10-13	VYBER	VYBER	12097	5137	\N	\N	\N
912063	3109	1998-12-15	VYBER	VYBER	16227	2440	\N	\N	\N
912065	3109	1996-06-15	VYDAJ	VYBER	29100	24247	\N	\N	\N
912066	3109	1997-06-26	VYDAJ	VYBER	42000	24840	\N	\N	\N
912070	3109	1997-01-16	VYDAJ	VYBER	26100	17145	\N	\N	\N
912072	3109	1995-12-03	VYDAJ	VYBER	6600	38933	\N	\N	\N
912073	3109	1996-12-27	VYDAJ	VYBER	7500	49634	\N	\N	\N
912074	3109	1997-12-13	VYDAJ	VYBER	2700	28013	\N	\N	\N
912082	3109	1996-01-04	VYDAJ	VYBER	2400	33572	\N	\N	\N
912083	3109	1996-01-25	VYDAJ	VYBER	1800	17176	\N	\N	\N
912084	3109	1996-01-29	VYDAJ	VYBER	2700	14476	\N	\N	\N
912085	3109	1996-01-07	VYDAJ	VYBER	8400	25172	\N	\N	\N
912086	3109	1996-01-23	VYDAJ	VYBER	8700	18976	\N	\N	\N
912087	3109	1996-01-09	VYDAJ	VYBER	2100	38476	\N	\N	\N
912088	3109	1997-01-07	VYDAJ	VYBER	5100	35041	\N	\N	\N
912089	3109	1997-01-08	VYDAJ	VYBER	7200	43245	\N	\N	\N
912090	3109	1997-01-16	VYDAJ	VYBER	8100	9045	\N	\N	\N
912091	3109	1997-01-23	VYDAJ	VYBER	7200	1845	\N	\N	\N
912093	3109	1997-01-01	VYDAJ	VYBER	2100	40141	\N	\N	\N
912095	3109	1998-01-02	VYDAJ	VYBER	6600	16124	\N	\N	\N
912096	3109	1998-01-23	VYDAJ	VYBER	5700	6537	\N	\N	\N
912097	3109	1998-01-09	VYDAJ	VYBER	7200	8037	\N	\N	\N
912098	3109	1998-01-02	VYDAJ	VYBER	4200	22724	\N	\N	\N
912099	3109	1998-01-14	VYDAJ	VYBER	2700	5337	\N	\N	\N
912100	3109	1995-11-25	VYDAJ	VYBER	1800	45363	\N	\N	\N
912103	3109	1996-01-19	VYDAJ	VYBER	10800	27676	\N	\N	\N
912104	3109	1996-04-01	VYDAJ	VYBER	4800	17106	\N	\N	\N
912105	3109	1996-07-30	VYDAJ	VYBER	4800	16560	\N	\N	\N
912106	3109	1996-09-27	VYDAJ	VYBER	4200	3279	\N	\N	\N
912107	3109	1996-12-24	VYDAJ	VYBER	3900	57134	\N	\N	\N
912108	3109	1997-09-03	VYDAJ	VYBER	10500	23071	\N	\N	\N
912109	3109	1997-03-22	VYDAJ	VYBER	8100	42934	\N	\N	\N
912110	3109	1997-07-08	VYDAJ	VYBER	9000	31370	\N	\N	\N
912114	3109	1998-04-10	VYDAJ	VYBER	13500	11391	\N	\N	\N
912115	3109	1998-03-14	VYDAJ	VYBER	2100	5856	\N	\N	\N
912125	3109	1995-09-30	VYDAJ	VYBER	15	53383	SLUZBY	\N	\N
912126	3109	1995-10-31	VYDAJ	VYBER	15	36159	SLUZBY	\N	\N
912127	3109	1995-11-30	VYDAJ	VYBER	15	45533	SLUZBY	\N	\N
912128	3109	1995-12-31	VYDAJ	VYBER	15	45072	SLUZBY	\N	\N
912129	3109	1996-01-31	VYDAJ	VYBER	15	14589	SLUZBY	\N	\N
912130	3109	1996-02-29	VYDAJ	VYBER	15	14439	SLUZBY	\N	\N
912131	3109	1996-03-31	VYDAJ	VYBER	15	21906	SLUZBY	\N	\N
912132	3109	1996-04-30	VYDAJ	VYBER	15	36633	SLUZBY	\N	\N
912133	3109	1996-05-31	VYDAJ	VYBER	15	38410	SLUZBY	\N	\N
912134	3109	1996-06-30	VYDAJ	VYBER	15	24369	SLUZBY	\N	\N
912135	3109	1996-07-31	VYDAJ	VYBER	15	23437	SLUZBY	\N	\N
912136	3109	1996-08-31	VYDAJ	VYBER	15	15232	SLUZBY	\N	\N
912137	3109	1996-09-30	VYDAJ	VYBER	15	17237	SLUZBY	\N	\N
912138	3109	1996-10-31	VYDAJ	VYBER	15	22542	SLUZBY	\N	\N
912139	3109	1996-11-30	VYDAJ	VYBER	15	40433	SLUZBY	\N	\N
912140	3109	1996-12-31	VYDAJ	VYBER	15	42241	SLUZBY	\N	\N
912141	3109	1997-01-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
912142	3109	1997-02-28	VYDAJ	VYBER	15	35630	SLUZBY	\N	\N
912143	3109	1997-03-31	VYDAJ	VYBER	15	37775	SLUZBY	\N	\N
912144	3109	1997-04-30	VYDAJ	VYBER	15	33923	SLUZBY	\N	\N
912145	3109	1997-05-31	VYDAJ	VYBER	15	35334	SLUZBY	\N	\N
912146	3109	1997-06-30	VYDAJ	VYBER	15	24966	SLUZBY	\N	\N
912147	3109	1997-07-31	VYDAJ	VYBER	15	14006	SLUZBY	\N	\N
912148	3109	1997-08-31	VYDAJ	VYBER	15	33571	SLUZBY	\N	\N
912149	3109	1997-09-30	VYDAJ	VYBER	15	32310	SLUZBY	\N	\N
912150	3109	1997-10-31	VYDAJ	VYBER	15	24353	SLUZBY	\N	\N
912151	3109	1997-11-30	VYDAJ	VYBER	15	30399	SLUZBY	\N	\N
912152	3109	1997-12-31	VYDAJ	VYBER	15	26924	SLUZBY	\N	\N
912153	3109	1998-01-31	VYDAJ	VYBER	15	6557	SLUZBY	\N	\N
912154	3109	1998-02-28	VYDAJ	VYBER	15	16184	SLUZBY	\N	\N
912155	3109	1998-03-31	VYDAJ	VYBER	15	9487	SLUZBY	\N	\N
912156	3109	1998-04-30	VYDAJ	VYBER	15	10219	SLUZBY	\N	\N
912157	3109	1998-05-31	VYDAJ	VYBER	15	10434	SLUZBY	\N	\N
912158	3109	1998-06-30	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
912159	3109	1998-07-31	VYDAJ	VYBER	15	1144	SLUZBY	\N	\N
912160	3109	1998-08-31	VYDAJ	VYBER	15	936	SLUZBY	\N	\N
912161	3109	1998-09-30	VYDAJ	VYBER	15	1830	SLUZBY	\N	\N
912164	3109	1995-05-08	PRIJEM	VKLAD	4100	5100	\N	\N	\N
912165	3109	1995-06-07	PRIJEM	VKLAD	2700	23257	\N	\N	\N
912166	3109	1995-07-07	VYDAJ	VYBER	9100	37427	\N	\N	\N
912167	3109	1995-08-06	VYDAJ	VYBER	14900	38145	\N	\N	\N
912168	3109	1995-09-05	VYDAJ	VYBER	16000	37772	\N	\N	\N
912169	3109	1995-10-05	VYDAJ	VYBER	2500	29227	\N	\N	\N
912170	3109	1995-11-04	VYDAJ	VYBER	4400	31759	\N	\N	\N
912171	3109	1995-12-04	VYDAJ	VYBER	5500	33433	\N	\N	\N
912172	3109	1996-01-03	VYDAJ	VYBER	9100	35972	\N	\N	\N
912173	3109	1996-02-02	PRIJEM	VKLAD	4800	19389	\N	\N	\N
912174	3109	1996-03-03	PRIJEM	VKLAD	8600	23037	\N	\N	\N
912175	3109	1996-04-02	PRIJEM	VKLAD	4000	21106	\N	\N	\N
912176	3109	1996-05-02	VYDAJ	VYBER	1600	35033	\N	\N	\N
912177	3109	1996-06-01	VYDAJ	VYBER	4500	33910	\N	\N	\N
912178	3109	1996-07-01	PRIJEM	VKLAD	900	25269	\N	\N	\N
912179	3109	1996-07-31	PRIJEM	VKLAD	6800	23451	\N	\N	\N
912180	3109	1996-08-30	VYDAJ	VYBER	5900	32941	\N	\N	\N
912181	3109	1996-09-29	PRIJEM	VKLAD	13900	17179	\N	\N	\N
912182	3109	1996-10-29	PRIJEM	VKLAD	14600	22485	\N	\N	\N
912183	3109	1996-11-28	PRIJEM	VKLAD	2400	40346	\N	\N	\N
912184	3109	1996-12-28	VYDAJ	VYBER	7600	42034	\N	\N	\N
912185	3109	1997-01-27	PRIJEM	VKLAD	19000	20845	\N	\N	\N
912186	3109	1997-02-26	VYDAJ	VYBER	800	35551	\N	\N	\N
912187	3109	1997-03-28	VYDAJ	VYBER	5300	37634	\N	\N	\N
912188	3109	1997-04-27	PRIJEM	VKLAD	1900	33791	\N	\N	\N
912189	3109	1997-05-27	VYDAJ	VYBER	5800	35198	\N	\N	\N
912190	3109	1997-06-26	PRIJEM	VKLAD	8400	66840	\N	\N	\N
912191	3109	1997-07-26	VYDAJ	VYBER	300	31070	\N	\N	\N
912192	3109	1997-08-25	PRIJEM	VKLAD	4100	33510	\N	\N	\N
912193	3109	1997-09-24	VYDAJ	VYBER	6300	32175	\N	\N	\N
912194	3109	1997-10-24	VYDAJ	VYBER	600	24258	\N	\N	\N
912195	3109	1997-11-23	VYDAJ	VYBER	2700	30295	\N	\N	\N
912196	3109	1997-12-23	VYDAJ	VYBER	1200	26813	\N	\N	\N
912197	3109	1998-01-22	PRIJEM	VKLAD	6900	12237	\N	\N	\N
912198	3109	1998-02-21	VYDAJ	VYBER	5800	16161	\N	\N	\N
912199	3109	1998-03-23	PRIJEM	VKLAD	3600	9456	\N	\N	\N
912200	3109	1998-04-22	VYDAJ	VYBER	1200	10191	\N	\N	\N
912201	3109	1998-05-22	VYDAJ	VYBER	8100	10392	\N	\N	\N
912202	3109	1998-06-21	VYDAJ	VYBER	15500	18040	\N	\N	\N
912203	3109	1998-07-21	VYDAJ	VYBER	12000	10548	\N	\N	\N
912204	3109	1998-08-20	VYDAJ	VYBER	15600	948	\N	\N	\N
912205	3109	1998-09-19	VYDAJ	VYBER	14500	1840	\N	\N	\N
912206	3109	1998-10-19	VYDAJ	VYBER	11400	-6263	\N	\N	\N
912207	3109	1998-11-18	VYDAJ	VYBER	13500	-4381	\N	\N	\N
912208	3109	1998-12-18	VYDAJ	VYBER	6700	-4260	\N	\N	\N
912258	3110	1997-01-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
912259	3110	1997-06-10	PRIJEM	VKLAD	49874	123735	\N	\N	\N
912260	3110	1997-05-13	PRIJEM	VKLAD	42300	73740	\N	\N	\N
912261	3110	1998-08-15	PRIJEM	VKLAD	42540	59091	\N	\N	\N
912262	3110	1998-11-26	PRIJEM	VKLAD	12321	42880	\N	\N	\N
912263	3110	1997-01-13	PRIJEM	VKLAD	1500	2500	\N	\N	\N
912264	3110	1997-02-16	PRIJEM	VKLAD	1500	14606	\N	\N	\N
912265	3110	1997-03-16	PRIJEM	VKLAD	1500	24340	\N	\N	\N
912266	3110	1997-04-13	PRIJEM	VKLAD	1500	30822	\N	\N	\N
912267	3110	1997-05-13	PRIJEM	VKLAD	1500	31440	\N	\N	\N
912268	3110	1997-06-15	PRIJEM	VKLAD	1500	49735	\N	\N	\N
912269	3110	1997-07-17	PRIJEM	VKLAD	1500	33340	\N	\N	\N
912270	3110	1997-08-15	PRIJEM	VKLAD	1500	30998	\N	\N	\N
912271	3110	1997-09-16	PRIJEM	VKLAD	1500	30663	\N	\N	\N
912272	3110	1997-10-16	PRIJEM	VKLAD	1500	30124	\N	\N	\N
912273	3110	1997-11-14	PRIJEM	VKLAD	1500	30834	\N	\N	\N
912274	3110	1997-12-17	PRIJEM	VKLAD	1500	25447	\N	\N	\N
912275	3110	1998-01-14	PRIJEM	VKLAD	1500	23545	\N	\N	\N
912276	3110	1998-02-16	PRIJEM	VKLAD	1500	28731	\N	\N	\N
912277	3110	1998-03-13	PRIJEM	VKLAD	1500	26925	\N	\N	\N
912278	3110	1998-04-15	PRIJEM	VKLAD	1500	22526	\N	\N	\N
912279	3110	1998-05-17	PRIJEM	VKLAD	1500	14714	\N	\N	\N
912280	3110	1998-06-15	PRIJEM	VKLAD	1500	14964	\N	\N	\N
912281	3110	1998-07-17	PRIJEM	VKLAD	1500	12511	\N	\N	\N
912282	3110	1998-08-15	PRIJEM	VKLAD	1500	16551	\N	\N	\N
912283	3110	1998-09-16	PRIJEM	VKLAD	1500	39623	\N	\N	\N
912284	3110	1998-10-17	PRIJEM	VKLAD	1500	31519	\N	\N	\N
912285	3110	1998-11-15	PRIJEM	VKLAD	1500	29259	\N	\N	\N
912286	3110	1998-12-13	PRIJEM	VKLAD	1500	31106	\N	\N	\N
912287	3110	1998-07-18	PRIJEM	VKLAD	1300	13811	\N	\N	\N
912288	3110	1998-08-18	PRIJEM	VKLAD	1300	60391	\N	\N	\N
912289	3110	1998-09-18	PRIJEM	VKLAD	1300	40923	\N	\N	\N
912290	3110	1998-10-18	PRIJEM	VKLAD	1300	32819	\N	\N	\N
912291	3110	1998-11-18	PRIJEM	VKLAD	1300	30559	\N	\N	\N
912292	3110	1998-12-18	PRIJEM	VKLAD	1300	32406	\N	\N	\N
912296	3110	1998-01-11	VYDAJ	VYBER	4900	22045	\N	\N	\N
912297	3110	1997-06-25	VYDAJ	VYBER	24200	25535	\N	\N	\N
912299	3110	1997-12-11	VYDAJ	VYBER	2900	23947	\N	\N	\N
912300	3110	1998-12-09	VYDAJ	VYBER	1200	29606	\N	\N	\N
912302	3110	1997-10-08	VYDAJ	VYBER	350	30424	\N	\N	\N
912304	3110	1997-08-04	VYDAJ	VYBER	1750	31698	\N	\N	\N
912305	3110	1997-08-22	VYDAJ	VYBER	1750	29248	\N	\N	\N
912306	3110	1998-06-05	VYDAJ	VYBER	1300	13464	\N	\N	\N
912307	3110	1998-05-07	VYDAJ	VYBER	1650	18814	\N	\N	\N
912308	3110	1998-04-28	VYDAJ	VYBER	850	21676	\N	\N	\N
912309	3110	1998-12-30	VYDAJ	VYBER	1500	30906	\N	\N	\N
912311	3110	1998-07-02	VYDAJ	VYBER	1400	13611	\N	\N	\N
912312	3110	1998-04-30	VYDAJ	VYBER	1300	20464	\N	\N	\N
912318	3110	1997-05-31	VYDAJ	VYBER	15	73861	SLUZBY	\N	\N
912319	3110	1997-06-30	VYDAJ	VYBER	15	25740	SLUZBY	\N	\N
912320	3110	1997-07-31	VYDAJ	VYBER	15	33448	SLUZBY	\N	\N
912321	3110	1997-08-31	VYDAJ	VYBER	15	29363	SLUZBY	\N	\N
912322	3110	1997-09-30	VYDAJ	VYBER	15	30774	SLUZBY	\N	\N
912323	3110	1997-10-31	VYDAJ	VYBER	15	30234	SLUZBY	\N	\N
912324	3110	1997-11-30	VYDAJ	VYBER	15	30947	SLUZBY	\N	\N
912325	3110	1997-12-31	VYDAJ	VYBER	15	25545	SLUZBY	\N	\N
912326	3110	1998-01-31	VYDAJ	VYBER	15	23631	SLUZBY	\N	\N
912327	3110	1998-02-28	VYDAJ	VYBER	15	28825	SLUZBY	\N	\N
912328	3110	1998-03-31	VYDAJ	VYBER	15	27026	SLUZBY	\N	\N
912329	3110	1998-04-30	VYDAJ	VYBER	15	21764	SLUZBY	\N	\N
912330	3110	1998-05-31	VYDAJ	VYBER	15	14764	SLUZBY	\N	\N
912331	3110	1998-06-30	VYDAJ	VYBER	15	15011	SLUZBY	\N	\N
912332	3110	1998-07-31	VYDAJ	VYBER	15	13851	SLUZBY	\N	\N
912333	3110	1998-08-31	VYDAJ	VYBER	15	60523	SLUZBY	\N	\N
912334	3110	1998-09-30	VYDAJ	VYBER	15	41119	SLUZBY	\N	\N
912335	3110	1998-10-31	VYDAJ	VYBER	15	32959	SLUZBY	\N	\N
912336	3110	1998-11-30	VYDAJ	VYBER	15	43006	SLUZBY	\N	\N
912337	3110	1997-02-11	PRIJEM	VKLAD	10600	13106	\N	\N	\N
912338	3110	1997-03-13	PRIJEM	VKLAD	8200	22840	\N	\N	\N
912339	3110	1997-04-12	PRIJEM	VKLAD	4900	29322	\N	\N	\N
912340	3110	1997-05-12	VYDAJ	VYBER	1000	29940	\N	\N	\N
912341	3110	1997-06-10	VYDAJ	VYBER	54600	69135	\N	\N	\N
912342	3110	1997-06-11	VYDAJ	VYBER	20900	48235	\N	\N	\N
912343	3110	1997-07-11	PRIJEM	VKLAD	6100	31840	\N	\N	\N
912344	3110	1997-08-10	VYDAJ	VYBER	2200	29498	\N	\N	\N
912345	3110	1997-09-09	VYDAJ	VYBER	200	29163	\N	\N	\N
912346	3110	1997-10-09	VYDAJ	VYBER	1800	28624	\N	\N	\N
912347	3110	1997-11-08	VYDAJ	VYBER	900	29334	\N	\N	\N
912348	3110	1997-12-08	VYDAJ	VYBER	4100	26847	\N	\N	\N
912349	3110	1998-01-07	PRIJEM	VKLAD	1400	26945	\N	\N	\N
912350	3110	1998-02-06	PRIJEM	VKLAD	3600	27231	\N	\N	\N
912351	3110	1998-03-08	VYDAJ	VYBER	3400	25425	\N	\N	\N
912352	3110	1998-04-07	VYDAJ	VYBER	6000	21026	\N	\N	\N
912353	3110	1998-05-07	VYDAJ	VYBER	5600	13214	\N	\N	\N
912354	3110	1998-07-06	VYDAJ	VYBER	2600	11011	\N	\N	\N
912355	3110	1998-08-05	PRIJEM	VKLAD	1200	15051	\N	\N	\N
912356	3110	1998-09-04	VYDAJ	VYBER	22400	38123	\N	\N	\N
912357	3110	1998-10-04	VYDAJ	VYBER	11100	30019	\N	\N	\N
912358	3110	1998-11-03	VYDAJ	VYBER	5200	27759	\N	\N	\N
912359	3110	1998-12-03	VYDAJ	VYBER	12200	30806	\N	\N	\N
912384	3111	1995-11-08	PRIJEM	VKLAD	200	200	\N	\N	\N
912395	3111	1995-11-09	PRIJEM	VKLAD	18852	19052	\N	\N	\N
912396	3111	1995-12-09	PRIJEM	VKLAD	28278	49888	\N	\N	\N
912397	3111	1996-01-09	PRIJEM	VKLAD	18852	53615	\N	\N	\N
912398	3111	1996-02-09	PRIJEM	VKLAD	18852	56586	\N	\N	\N
912399	3111	1996-03-09	PRIJEM	VKLAD	18852	56171	\N	\N	\N
912400	3111	1996-04-09	PRIJEM	VKLAD	18852	53602	\N	\N	\N
912401	3111	1996-05-09	PRIJEM	VKLAD	18852	54215	\N	\N	\N
912402	3111	1996-06-09	PRIJEM	VKLAD	28278	60851	\N	\N	\N
912403	3111	1996-07-09	PRIJEM	VKLAD	18852	48136	\N	\N	\N
912404	3111	1996-08-09	PRIJEM	VKLAD	18852	48724	\N	\N	\N
912405	3111	1996-09-09	PRIJEM	VKLAD	18852	49813	\N	\N	\N
912406	3111	1996-10-09	PRIJEM	VKLAD	18852	52206	\N	\N	\N
912407	3111	1996-11-09	PRIJEM	VKLAD	18852	55708	\N	\N	\N
912408	3111	1996-12-09	PRIJEM	VKLAD	28278	66850	\N	\N	\N
912409	3111	1997-01-09	PRIJEM	VKLAD	18852	62422	\N	\N	\N
912410	3111	1997-02-09	PRIJEM	VKLAD	18852	59983	\N	\N	\N
912411	3111	1997-03-09	PRIJEM	VKLAD	18852	58808	\N	\N	\N
912412	3111	1997-04-09	PRIJEM	VKLAD	18852	63838	\N	\N	\N
912413	3111	1997-05-09	PRIJEM	VKLAD	18852	61690	\N	\N	\N
912414	3111	1997-06-09	PRIJEM	VKLAD	28278	73057	\N	\N	\N
912415	3111	1997-07-09	PRIJEM	VKLAD	18852	47246	\N	\N	\N
912416	3111	1997-08-09	PRIJEM	VKLAD	18852	55590	\N	\N	\N
912417	3111	1997-09-09	PRIJEM	VKLAD	18852	59496	\N	\N	\N
912418	3111	1997-10-09	PRIJEM	VKLAD	18852	63418	\N	\N	\N
912419	3111	1997-11-09	PRIJEM	VKLAD	18852	64528	\N	\N	\N
912420	3111	1997-12-09	PRIJEM	VKLAD	28278	66747	\N	\N	\N
912421	3111	1998-01-09	PRIJEM	VKLAD	18852	60916	\N	\N	\N
912422	3111	1998-02-09	PRIJEM	VKLAD	18852	54955	\N	\N	\N
912423	3111	1998-03-09	PRIJEM	VKLAD	18852	56352	\N	\N	\N
912424	3111	1998-04-09	PRIJEM	VKLAD	18852	56955	\N	\N	\N
912425	3111	1998-05-09	PRIJEM	VKLAD	18852	53214	\N	\N	\N
912426	3111	1998-06-09	PRIJEM	VKLAD	28278	65330	\N	\N	\N
912427	3111	1998-07-09	PRIJEM	VKLAD	18852	43077	\N	\N	\N
912428	3111	1998-08-09	PRIJEM	VKLAD	18852	44807	\N	\N	\N
912429	3111	1998-09-09	PRIJEM	VKLAD	18852	51663	\N	\N	\N
912430	3111	1998-10-09	PRIJEM	VKLAD	18852	50773	\N	\N	\N
912431	3111	1998-11-09	PRIJEM	VKLAD	18852	52471	\N	\N	\N
912432	3111	1998-12-09	PRIJEM	VKLAD	28278	56714	\N	\N	\N
912448	3111	1996-04-05	VYDAJ	PREVOD NA UCET	3641	52750	SIPO	EF	58687466
912449	3111	1996-05-05	VYDAJ	PREVOD NA UCET	3641	50163	SIPO	EF	58687466
912450	3111	1996-06-05	VYDAJ	PREVOD NA UCET	3641	48373	SIPO	EF	58687466
912451	3111	1996-07-05	VYDAJ	PREVOD NA UCET	3641	38184	SIPO	EF	58687466
912452	3111	1996-08-05	VYDAJ	PREVOD NA UCET	3641	29872	SIPO	EF	58687466
912453	3111	1996-09-05	VYDAJ	PREVOD NA UCET	3641	30961	SIPO	EF	58687466
912454	3111	1996-10-05	VYDAJ	PREVOD NA UCET	3641	33354	SIPO	EF	58687466
912455	3111	1996-11-05	VYDAJ	PREVOD NA UCET	3641	36856	SIPO	EF	58687466
912456	3111	1996-12-05	VYDAJ	PREVOD NA UCET	3641	38572	SIPO	EF	58687466
912457	3111	1997-01-05	VYDAJ	PREVOD NA UCET	3641	43570	SIPO	EF	58687466
912458	3111	1997-02-05	VYDAJ	PREVOD NA UCET	3641	41131	SIPO	EF	58687466
912459	3111	1997-03-05	VYDAJ	PREVOD NA UCET	3641	39956	SIPO	EF	58687466
912460	3111	1997-04-05	VYDAJ	PREVOD NA UCET	3641	44986	SIPO	EF	58687466
912461	3111	1997-05-05	VYDAJ	PREVOD NA UCET	3641	42838	SIPO	EF	58687466
912462	3111	1997-06-05	VYDAJ	PREVOD NA UCET	3641	44779	SIPO	EF	58687466
912463	3111	1997-07-05	VYDAJ	PREVOD NA UCET	3641	28394	SIPO	EF	58687466
912464	3111	1997-08-05	VYDAJ	PREVOD NA UCET	3641	36738	SIPO	EF	58687466
912465	3111	1997-09-05	VYDAJ	PREVOD NA UCET	3641	40644	SIPO	EF	58687466
912466	3111	1997-10-05	VYDAJ	PREVOD NA UCET	3641	44566	SIPO	EF	58687466
912467	3111	1997-11-05	VYDAJ	PREVOD NA UCET	3641	45676	SIPO	EF	58687466
912468	3111	1997-12-05	VYDAJ	PREVOD NA UCET	3641	38469	SIPO	EF	58687466
912469	3111	1998-01-05	VYDAJ	PREVOD NA UCET	3641	42064	SIPO	EF	58687466
912470	3111	1998-02-05	VYDAJ	PREVOD NA UCET	3641	36103	SIPO	EF	58687466
912471	3111	1998-03-05	VYDAJ	PREVOD NA UCET	3641	37500	SIPO	EF	58687466
912472	3111	1998-04-05	VYDAJ	PREVOD NA UCET	3641	38103	SIPO	EF	58687466
912473	3111	1998-05-05	VYDAJ	PREVOD NA UCET	3641	34362	SIPO	EF	58687466
912474	3111	1998-06-05	VYDAJ	PREVOD NA UCET	3641	37052	SIPO	EF	58687466
912475	3111	1998-07-05	VYDAJ	PREVOD NA UCET	3641	24225	SIPO	EF	58687466
912476	3111	1998-08-05	VYDAJ	PREVOD NA UCET	3641	25955	SIPO	EF	58687466
912477	3111	1998-09-05	VYDAJ	PREVOD NA UCET	3641	32811	SIPO	EF	58687466
912478	3111	1998-10-05	VYDAJ	PREVOD NA UCET	3641	31921	SIPO	EF	58687466
912479	3111	1998-11-05	VYDAJ	PREVOD NA UCET	3641	37099	SIPO	EF	58687466
912480	3111	1998-12-05	VYDAJ	PREVOD NA UCET	3641	28436	SIPO	EF	58687466
912482	3111	1996-06-11	VYDAJ	VYBER	19200	41651	\N	\N	\N
912483	3111	1997-06-10	VYDAJ	VYBER	37440	35617	\N	\N	\N
912484	3111	1998-06-21	VYDAJ	VYBER	37440	27890	\N	\N	\N
912486	3111	1996-12-29	VYDAJ	VYBER	2560	63570	\N	\N	\N
912487	3111	1997-12-19	VYDAJ	VYBER	3360	63387	\N	\N	\N
912488	3111	1998-12-30	VYDAJ	VYBER	1440	37974	\N	\N	\N
912501	3111	1997-01-10	VYDAJ	VYBER	1800	60622	\N	\N	\N
912502	3111	1997-01-14	VYDAJ	VYBER	2760	56542	\N	\N	\N
912503	3111	1997-01-21	VYDAJ	VYBER	3120	53422	\N	\N	\N
912504	3111	1997-01-21	VYDAJ	VYBER	3480	49942	\N	\N	\N
912505	3111	1997-01-21	VYDAJ	VYBER	1080	48862	\N	\N	\N
912506	3111	1997-01-14	VYDAJ	VYBER	1320	59302	\N	\N	\N
912507	3111	1998-01-10	VYDAJ	VYBER	1440	59476	\N	\N	\N
912508	3111	1998-01-16	VYDAJ	VYBER	2520	54556	\N	\N	\N
912509	3111	1998-01-19	VYDAJ	VYBER	2640	48916	\N	\N	\N
912510	3111	1998-01-23	VYDAJ	VYBER	2160	46756	\N	\N	\N
912511	3111	1998-01-12	VYDAJ	VYBER	2400	57076	\N	\N	\N
912512	3111	1998-01-19	VYDAJ	VYBER	3000	51556	\N	\N	\N
912517	3111	1996-12-28	VYDAJ	VYBER	720	66130	\N	\N	\N
912518	3111	1996-05-18	VYDAJ	VYBER	2400	51815	\N	\N	\N
912521	3111	1997-10-17	VYDAJ	VYBER	3720	59698	\N	\N	\N
912522	3111	1997-06-02	VYDAJ	VYBER	3000	48420	\N	\N	\N
912523	3111	1997-04-11	VYDAJ	VYBER	5880	57958	\N	\N	\N
912524	3111	1997-07-04	VYDAJ	VYBER	3840	32035	\N	\N	\N
912525	3111	1997-12-04	VYDAJ	VYBER	3960	42110	\N	\N	\N
912526	3111	1997-02-11	VYDAJ	VYBER	3000	56983	\N	\N	\N
912527	3111	1997-07-14	VYDAJ	VYBER	4920	42326	\N	\N	\N
912528	3111	1997-11-22	VYDAJ	VYBER	5280	59248	\N	\N	\N
912529	3111	1998-04-17	VYDAJ	VYBER	2640	54315	\N	\N	\N
912530	3111	1998-02-24	VYDAJ	VYBER	4800	50155	\N	\N	\N
912531	3111	1998-09-16	VYDAJ	VYBER	4560	47103	\N	\N	\N
912532	3111	1998-11-05	VYDAJ	VYBER	3480	33619	\N	\N	\N
912533	3111	1998-08-01	VYDAJ	VYBER	4920	29596	\N	\N	\N
912534	3111	1998-11-29	VYDAJ	VYBER	5760	31911	\N	\N	\N
912550	3111	1996-03-31	VYDAJ	VYBER	15	56391	SLUZBY	\N	\N
912551	3111	1996-04-30	VYDAJ	VYBER	15	53804	SLUZBY	\N	\N
912552	3111	1996-05-31	VYDAJ	VYBER	15	52014	SLUZBY	\N	\N
912553	3111	1996-06-30	VYDAJ	VYBER	15	41825	SLUZBY	\N	\N
912554	3111	1996-07-31	VYDAJ	VYBER	15	48313	SLUZBY	\N	\N
912555	3111	1996-08-31	VYDAJ	VYBER	15	48902	SLUZBY	\N	\N
912556	3111	1996-09-30	VYDAJ	VYBER	15	49995	SLUZBY	\N	\N
912557	3111	1996-10-31	VYDAJ	VYBER	15	52397	SLUZBY	\N	\N
912558	3111	1996-11-30	VYDAJ	VYBER	15	55913	SLUZBY	\N	\N
912559	3111	1996-12-31	VYDAJ	VYBER	15	63811	SLUZBY	\N	\N
912560	3111	1997-01-31	VYDAJ	VYBER	15	49072	SLUZBY	\N	\N
912561	3111	1997-02-28	VYDAJ	VYBER	15	57197	SLUZBY	\N	\N
912562	3111	1997-03-31	VYDAJ	VYBER	15	59027	SLUZBY	\N	\N
912563	3111	1997-04-30	VYDAJ	VYBER	15	58179	SLUZBY	\N	\N
912564	3111	1997-05-31	VYDAJ	VYBER	15	61920	SLUZBY	\N	\N
912565	3111	1997-06-30	VYDAJ	VYBER	15	35875	SLUZBY	\N	\N
912566	3111	1997-07-31	VYDAJ	VYBER	15	40379	SLUZBY	\N	\N
912567	3111	1997-08-31	VYDAJ	VYBER	15	44285	SLUZBY	\N	\N
912568	3111	1997-09-30	VYDAJ	VYBER	15	48207	SLUZBY	\N	\N
912569	3111	1997-10-31	VYDAJ	VYBER	15	49317	SLUZBY	\N	\N
912570	3111	1997-11-30	VYDAJ	VYBER	15	46070	SLUZBY	\N	\N
912571	3111	1997-12-31	VYDAJ	VYBER	15	45705	SLUZBY	\N	\N
912572	3111	1998-01-31	VYDAJ	VYBER	15	39744	SLUZBY	\N	\N
912573	3111	1998-02-28	VYDAJ	VYBER	15	41141	SLUZBY	\N	\N
912574	3111	1998-03-31	VYDAJ	VYBER	15	41744	SLUZBY	\N	\N
912575	3111	1998-04-30	VYDAJ	VYBER	15	38003	SLUZBY	\N	\N
912576	3111	1998-05-31	VYDAJ	VYBER	15	40693	SLUZBY	\N	\N
912577	3111	1998-06-30	VYDAJ	VYBER	15	27866	SLUZBY	\N	\N
912578	3111	1998-07-31	VYDAJ	VYBER	15	34516	SLUZBY	\N	\N
912579	3111	1998-08-31	VYDAJ	VYBER	15	36452	SLUZBY	\N	\N
912580	3111	1998-09-30	VYDAJ	VYBER	15	35562	SLUZBY	\N	\N
912581	3111	1998-10-31	VYDAJ	VYBER	15	40740	SLUZBY	\N	\N
912582	3111	1998-11-30	VYDAJ	VYBER	15	32077	SLUZBY	\N	\N
912583	3111	1995-12-08	PRIJEM	VKLAD	2500	21610	\N	\N	\N
912584	3111	1996-01-07	VYDAJ	VYBER	15300	34763	\N	\N	\N
912585	3111	1996-02-06	VYDAJ	VYBER	16100	37734	\N	\N	\N
912586	3111	1996-03-07	VYDAJ	VYBER	19500	37319	\N	\N	\N
912587	3111	1996-04-06	VYDAJ	VYBER	18000	34750	\N	\N	\N
912588	3111	1996-05-06	VYDAJ	VYBER	14800	35363	\N	\N	\N
912589	3111	1996-06-05	VYDAJ	VYBER	15800	32573	\N	\N	\N
912590	3111	1996-07-05	VYDAJ	VYBER	8900	29284	\N	\N	\N
912591	3111	1996-08-04	VYDAJ	VYBER	14800	33513	\N	\N	\N
912592	3111	1996-09-03	VYDAJ	VYBER	14300	34602	\N	\N	\N
912593	3111	1996-10-03	VYDAJ	VYBER	13000	36995	\N	\N	\N
912594	3111	1996-11-02	VYDAJ	VYBER	11900	40497	\N	\N	\N
912595	3111	1996-12-02	VYDAJ	VYBER	13700	42213	\N	\N	\N
912596	3111	1997-01-01	VYDAJ	VYBER	16600	47211	\N	\N	\N
912597	3111	1997-01-31	VYDAJ	VYBER	4300	44772	\N	\N	\N
912598	3111	1997-03-02	VYDAJ	VYBER	13600	43597	\N	\N	\N
912599	3111	1997-04-01	VYDAJ	VYBER	10400	48627	\N	\N	\N
912600	3111	1997-05-01	VYDAJ	VYBER	11700	46479	\N	\N	\N
912601	3111	1997-05-31	VYDAJ	VYBER	10500	51420	\N	\N	\N
912602	3111	1997-06-30	PRIJEM	VKLAD	100	35717	\N	\N	\N
912603	3111	1997-07-30	VYDAJ	VYBER	2100	40226	\N	\N	\N
912604	3111	1997-08-29	VYDAJ	VYBER	11500	44090	\N	\N	\N
912605	3111	1997-09-28	VYDAJ	VYBER	11500	47996	\N	\N	\N
912606	3111	1997-10-28	VYDAJ	VYBER	10600	49098	\N	\N	\N
912607	3111	1997-11-27	VYDAJ	VYBER	13400	45848	\N	\N	\N
912608	3111	1997-12-27	VYDAJ	VYBER	17900	45487	\N	\N	\N
912609	3111	1998-01-26	VYDAJ	VYBER	7200	39556	\N	\N	\N
912610	3111	1998-02-25	VYDAJ	VYBER	9200	40955	\N	\N	\N
912611	3111	1998-03-27	VYDAJ	VYBER	14800	41552	\N	\N	\N
912612	3111	1998-04-26	VYDAJ	VYBER	16500	37815	\N	\N	\N
912613	3111	1998-05-26	VYDAJ	VYBER	12700	40514	\N	\N	\N
912614	3111	1998-06-25	VYDAJ	VYBER	200	27690	\N	\N	\N
912615	3111	1998-07-25	VYDAJ	VYBER	8700	34377	\N	\N	\N
912616	3111	1998-08-24	VYDAJ	VYBER	8500	36307	\N	\N	\N
912617	3111	1998-09-23	VYDAJ	VYBER	11700	35403	\N	\N	\N
912618	3111	1998-10-23	VYDAJ	VYBER	10200	40573	\N	\N	\N
912619	3111	1998-11-22	VYDAJ	VYBER	14800	37671	\N	\N	\N
912620	3111	1998-12-22	VYDAJ	VYBER	17300	39414	\N	\N	\N
912659	3112	1994-08-12	PRIJEM	VKLAD	700	700	\N	\N	\N
912664	3112	1994-08-19	PRIJEM	VKLAD	30719	31419	\N	\N	\N
912665	3112	1995-06-16	PRIJEM	VKLAD	35879	98666	\N	\N	\N
912666	3112	1995-05-07	PRIJEM	VKLAD	8510	94381	\N	\N	\N
912667	3112	1995-05-22	PRIJEM	VKLAD	20382	104574	\N	\N	\N
912668	3112	1995-07-31	PRIJEM	VKLAD	43435	138133	\N	\N	\N
912669	3112	1995-05-08	PRIJEM	VKLAD	14282	107195	\N	\N	\N
912670	3112	1995-01-01	PRIJEM	VKLAD	29697	55795	\N	\N	\N
912671	3112	1995-12-05	PRIJEM	VKLAD	36030	92180	\N	\N	\N
912672	3112	1995-06-22	PRIJEM	VKLAD	48959	96802	\N	\N	\N
912673	3112	1995-07-24	PRIJEM	VKLAD	16225	75133	\N	\N	\N
912674	3112	1995-07-29	PRIJEM	VKLAD	22265	94698	\N	\N	\N
912675	3112	1995-01-23	PRIJEM	VKLAD	14890	54685	\N	\N	\N
912676	3112	1995-03-27	PRIJEM	VKLAD	45430	84717	\N	\N	\N
912677	3112	1995-05-18	PRIJEM	VKLAD	44981	113492	\N	\N	\N
912678	3112	1995-08-11	PRIJEM	VKLAD	15680	68931	\N	\N	\N
912679	3112	1995-08-11	PRIJEM	VKLAD	42152	111083	\N	\N	\N
912680	3112	1995-04-02	PRIJEM	VKLAD	34541	119506	\N	\N	\N
912681	3112	1995-04-13	PRIJEM	VKLAD	25776	87114	\N	\N	\N
912682	3112	1995-06-20	PRIJEM	VKLAD	11985	118943	\N	\N	\N
912683	3112	1995-11-05	PRIJEM	VKLAD	46206	85195	\N	\N	\N
912684	3112	1995-12-27	PRIJEM	VKLAD	46813	95941	\N	\N	\N
912685	3112	1995-06-18	PRIJEM	VKLAD	8292	106958	\N	\N	\N
912686	3112	1995-11-03	PRIJEM	VKLAD	8301	38989	\N	\N	\N
912687	3112	1996-07-14	PRIJEM	VKLAD	49926	107422	\N	\N	\N
912688	3112	1996-02-03	PRIJEM	VKLAD	27268	117779	\N	\N	\N
912689	3112	1996-04-26	PRIJEM	VKLAD	18907	64206	\N	\N	\N
912690	3112	1996-10-04	PRIJEM	VKLAD	16268	96488	\N	\N	\N
912691	3112	1996-12-07	PRIJEM	VKLAD	38497	96495	\N	\N	\N
912692	3112	1996-08-27	PRIJEM	VKLAD	44854	93980	\N	\N	\N
912693	3112	1996-02-09	PRIJEM	VKLAD	46274	93685	\N	\N	\N
912694	3112	1996-05-30	PRIJEM	VKLAD	29357	86192	\N	\N	\N
912695	3112	1996-09-22	PRIJEM	VKLAD	37342	92199	\N	\N	\N
912696	3112	1996-02-28	PRIJEM	VKLAD	43828	126762	\N	\N	\N
912697	3112	1996-01-18	PRIJEM	VKLAD	31282	91743	\N	\N	\N
912698	3112	1996-05-03	PRIJEM	VKLAD	22615	87055	\N	\N	\N
912699	3112	1996-02-25	PRIJEM	VKLAD	5353	82934	\N	\N	\N
912700	3112	1996-10-11	PRIJEM	VKLAD	14191	127657	\N	\N	\N
912701	3112	1996-08-22	PRIJEM	VKLAD	18952	49126	\N	\N	\N
912702	3112	1996-01-11	PRIJEM	VKLAD	41237	70445	\N	\N	\N
912703	3112	1996-08-04	PRIJEM	VKLAD	34309	109693	\N	\N	\N
912704	3112	1996-12-08	PRIJEM	VKLAD	16962	111989	\N	\N	\N
912705	3112	1996-10-09	PRIJEM	VKLAD	18446	113466	\N	\N	\N
912706	3112	1996-06-24	PRIJEM	VKLAD	32688	75969	\N	\N	\N
912707	3112	1996-01-27	PRIJEM	VKLAD	11379	90222	\N	\N	\N
912708	3112	1996-11-01	PRIJEM	VKLAD	26675	83841	\N	\N	\N
912709	3112	1996-03-22	PRIJEM	VKLAD	25568	95435	\N	\N	\N
912710	3112	1996-09-18	PRIJEM	VKLAD	49197	113157	\N	\N	\N
912711	3112	1996-09-30	PRIJEM	VKLAD	46625	139135	\N	\N	\N
912712	3112	1996-12-09	PRIJEM	VKLAD	43878	155867	\N	\N	\N
912713	3112	1996-03-01	PRIJEM	VKLAD	45263	108587	\N	\N	\N
912714	3112	1997-11-24	PRIJEM	VKLAD	17117	117586	\N	\N	\N
912715	3112	1997-07-03	PRIJEM	VKLAD	24421	70776	\N	\N	\N
912716	3112	1997-06-04	PRIJEM	VKLAD	26490	97433	\N	\N	\N
912717	3112	1997-09-01	PRIJEM	VKLAD	34625	107184	\N	\N	\N
912718	3112	1997-12-01	PRIJEM	VKLAD	35915	102419	\N	\N	\N
912719	3112	1997-01-25	PRIJEM	VKLAD	7672	84192	\N	\N	\N
912720	3112	1997-01-24	PRIJEM	VKLAD	47360	76520	\N	\N	\N
912721	3112	1997-06-14	PRIJEM	VKLAD	11909	43844	\N	\N	\N
912722	3112	1997-04-15	PRIJEM	VKLAD	6588	82919	\N	\N	\N
912723	3112	1997-04-21	PRIJEM	VKLAD	14830	97749	\N	\N	\N
912724	3112	1997-07-12	PRIJEM	VKLAD	31673	100981	\N	\N	\N
912725	3112	1997-09-18	PRIJEM	VKLAD	49717	144681	\N	\N	\N
912726	3112	1997-04-06	PRIJEM	VKLAD	22762	81951	\N	\N	\N
912727	3112	1997-07-15	PRIJEM	VKLAD	33525	130355	\N	\N	\N
912728	3112	1997-09-29	PRIJEM	VKLAD	48094	133575	\N	\N	\N
912729	3112	1997-10-04	PRIJEM	VKLAD	46030	139391	\N	\N	\N
912730	3112	1997-07-22	PRIJEM	VKLAD	21265	141307	\N	\N	\N
912731	3112	1997-03-03	PRIJEM	VKLAD	35214	89238	\N	\N	\N
912732	3112	1997-05-03	PRIJEM	VKLAD	19742	96820	\N	\N	\N
912733	3112	1997-03-20	PRIJEM	VKLAD	28907	115296	\N	\N	\N
912734	3112	1997-10-30	PRIJEM	VKLAD	29629	105701	\N	\N	\N
912735	3112	1997-03-07	PRIJEM	VKLAD	42682	131920	\N	\N	\N
912736	3112	1997-02-18	PRIJEM	VKLAD	16686	77752	\N	\N	\N
912737	3112	1997-07-17	PRIJEM	VKLAD	43987	146542	\N	\N	\N
912738	3112	1997-03-18	PRIJEM	VKLAD	8589	86389	\N	\N	\N
912739	3112	1997-08-19	PRIJEM	VKLAD	17543	87359	\N	\N	\N
912740	3112	1998-10-27	PRIJEM	VKLAD	34947	110109	\N	\N	\N
912741	3112	1998-02-07	PRIJEM	VKLAD	28486	62080	\N	\N	\N
912757	3112	1995-04-07	VYDAJ	VYBER	1700	96706	\N	\N	0
912758	3112	1995-05-18	VYDAJ	VYBER	2700	110792	\N	\N	0
912759	3112	1995-06-12	VYDAJ	VYBER	2000	64371	\N	\N	0
912760	3112	1995-07-12	VYDAJ	VYBER	2700	60492	\N	\N	0
912761	3112	1995-07-25	VYDAJ	VYBER	2700	72433	\N	\N	0
912762	3112	1995-09-11	VYDAJ	VYBER	3400	53869	\N	\N	0
912763	3112	1995-10-07	VYDAJ	VYBER	2200	34143	\N	\N	0
912764	3112	1995-10-26	VYDAJ	VYBER	2000	30559	\N	\N	0
912765	3112	1995-12-07	VYDAJ	VYBER	1800	62412	\N	\N	0
912766	3112	1996-01-08	VYDAJ	VYBER	2400	29208	\N	\N	0
912767	3112	1996-02-22	VYDAJ	VYBER	3400	77581	\N	\N	0
912768	3112	1996-03-12	VYDAJ	PREVOD NA UCET	2567	71451	UVER	IJ	66820907
912769	3112	1996-04-12	VYDAJ	PREVOD NA UCET	2567	46883	UVER	IJ	66820907
912770	3112	1996-05-12	VYDAJ	PREVOD NA UCET	2567	58419	UVER	IJ	66820907
912771	3112	1996-06-12	VYDAJ	PREVOD NA UCET	2567	44865	UVER	IJ	66820907
912772	3112	1996-07-12	VYDAJ	PREVOD NA UCET	2567	59080	UVER	IJ	66820907
912773	3112	1996-08-12	VYDAJ	PREVOD NA UCET	2567	31758	UVER	IJ	66820907
912774	3112	1996-09-12	VYDAJ	PREVOD NA UCET	2567	65544	UVER	IJ	66820907
912775	3112	1996-10-12	VYDAJ	PREVOD NA UCET	2567	78390	UVER	IJ	66820907
912776	3112	1996-11-12	VYDAJ	PREVOD NA UCET	2567	73206	UVER	IJ	66820907
912777	3112	1996-12-12	VYDAJ	PREVOD NA UCET	2567	94699	UVER	IJ	66820907
912778	3112	1997-01-12	VYDAJ	PREVOD NA UCET	2567	38244	UVER	IJ	66820907
912779	3112	1997-02-12	VYDAJ	PREVOD NA UCET	2567	62650	UVER	IJ	66820907
912780	3112	1997-03-12	VYDAJ	PREVOD NA UCET	2567	79384	UVER	IJ	66820907
912781	3112	1997-04-12	VYDAJ	PREVOD NA UCET	2567	77915	UVER	IJ	66820907
912782	3112	1997-05-12	VYDAJ	PREVOD NA UCET	2567	92784	UVER	IJ	66820907
912783	3112	1997-06-12	VYDAJ	PREVOD NA UCET	2567	46898	UVER	IJ	66820907
912784	3112	1997-07-12	VYDAJ	PREVOD NA UCET	2567	98414	UVER	IJ	66820907
912785	3112	1997-08-12	VYDAJ	PREVOD NA UCET	2567	71400	UVER	IJ	66820907
912786	3112	1997-09-12	VYDAJ	PREVOD NA UCET	2567	103148	UVER	IJ	66820907
912787	3112	1997-10-12	VYDAJ	PREVOD NA UCET	2567	100956	UVER	IJ	66820907
912788	3112	1997-11-12	VYDAJ	PREVOD NA UCET	2567	102053	UVER	IJ	66820907
912789	3112	1997-12-12	VYDAJ	PREVOD NA UCET	2567	93884	UVER	IJ	66820907
912790	3112	1998-01-12	VYDAJ	PREVOD NA UCET	2567	44298	UVER	IJ	66820907
912791	3112	1998-02-12	VYDAJ	PREVOD NA UCET	2567	39415	UVER	IJ	66820907
912792	3112	1998-03-12	VYDAJ	PREVOD NA UCET	2567	45842	UVER	IJ	66820907
912793	3112	1998-04-12	VYDAJ	PREVOD NA UCET	2567	54211	UVER	IJ	66820907
912794	3112	1998-05-12	VYDAJ	PREVOD NA UCET	2567	54289	UVER	IJ	66820907
912795	3112	1998-06-12	VYDAJ	PREVOD NA UCET	2567	39184	UVER	IJ	66820907
912796	3112	1998-07-12	VYDAJ	PREVOD NA UCET	2567	52344	UVER	IJ	66820907
912797	3112	1998-08-12	VYDAJ	PREVOD NA UCET	2567	64448	UVER	IJ	66820907
912798	3112	1998-09-12	VYDAJ	PREVOD NA UCET	2567	44861	UVER	IJ	66820907
912799	3112	1998-10-12	VYDAJ	PREVOD NA UCET	2567	63046	UVER	IJ	66820907
912800	3112	1998-11-12	VYDAJ	PREVOD NA UCET	2567	99763	UVER	IJ	66820907
912801	3112	1998-12-12	VYDAJ	PREVOD NA UCET	2567	79084	UVER	IJ	66820907
912817	3112	1995-04-07	VYDAJ	PREVOD NA UCET	1468	95238	SIPO	OP	66618603
912818	3112	1995-05-07	VYDAJ	PREVOD NA UCET	1468	92913	SIPO	OP	66618603
912819	3112	1995-06-07	VYDAJ	PREVOD NA UCET	1468	103471	SIPO	OP	66618603
912820	3112	1995-07-07	VYDAJ	PREVOD NA UCET	1468	89992	SIPO	OP	66618603
912821	3112	1995-08-07	VYDAJ	PREVOD NA UCET	1468	84851	SIPO	OP	66618603
912822	3112	1995-09-07	VYDAJ	PREVOD NA UCET	1468	57269	SIPO	OP	66618603
912823	3112	1995-10-07	VYDAJ	PREVOD NA UCET	1468	36343	SIPO	OP	66618603
912824	3112	1995-11-07	VYDAJ	PREVOD NA UCET	1468	57527	SIPO	OP	66618603
912825	3112	1995-12-07	VYDAJ	PREVOD NA UCET	1468	64212	SIPO	OP	66618603
912826	3112	1996-01-07	VYDAJ	PREVOD NA UCET	1468	57708	SIPO	OP	66618603
912827	3112	1996-02-07	VYDAJ	PREVOD NA UCET	1468	47411	SIPO	OP	66618603
912828	3112	1996-03-07	VYDAJ	PREVOD NA UCET	1468	74019	SIPO	OP	66618603
912829	3112	1996-04-07	VYDAJ	PREVOD NA UCET	1468	66780	SIPO	OP	66618603
912830	3112	1996-05-07	VYDAJ	PREVOD NA UCET	1468	60987	SIPO	OP	66618603
912831	3112	1996-06-07	VYDAJ	PREVOD NA UCET	1468	66675	SIPO	OP	66618603
912832	3112	1996-07-07	VYDAJ	PREVOD NA UCET	1468	61648	SIPO	OP	66618603
912833	3112	1996-08-07	VYDAJ	PREVOD NA UCET	1468	34325	SIPO	OP	66618603
912834	3112	1996-09-07	VYDAJ	PREVOD NA UCET	1468	68111	SIPO	OP	66618603
912835	3112	1996-10-07	VYDAJ	PREVOD NA UCET	1468	95020	SIPO	OP	66618603
912836	3112	1996-11-07	VYDAJ	PREVOD NA UCET	1468	75773	SIPO	OP	66618603
912837	3112	1996-12-07	VYDAJ	PREVOD NA UCET	1468	95027	SIPO	OP	66618603
912838	3112	1997-01-07	VYDAJ	PREVOD NA UCET	1468	44411	SIPO	OP	66618603
912839	3112	1997-02-07	VYDAJ	PREVOD NA UCET	1468	65218	SIPO	OP	66618603
912840	3112	1997-03-07	VYDAJ	PREVOD NA UCET	1468	130452	SIPO	OP	66618603
912841	3112	1997-04-07	VYDAJ	PREVOD NA UCET	1468	80483	SIPO	OP	66618603
912842	3112	1997-05-07	VYDAJ	PREVOD NA UCET	1468	95352	SIPO	OP	66618603
912843	3112	1997-06-07	VYDAJ	PREVOD NA UCET	1468	95965	SIPO	OP	66618603
912844	3112	1997-07-07	VYDAJ	PREVOD NA UCET	1468	69308	SIPO	OP	66618603
912845	3112	1997-08-07	VYDAJ	PREVOD NA UCET	1468	73967	SIPO	OP	66618603
912846	3112	1997-09-07	VYDAJ	PREVOD NA UCET	1468	105716	SIPO	OP	66618603
912847	3112	1997-10-07	VYDAJ	PREVOD NA UCET	1468	103523	SIPO	OP	66618603
912848	3112	1997-11-07	VYDAJ	PREVOD NA UCET	1468	104620	SIPO	OP	66618603
912849	3112	1997-12-07	VYDAJ	PREVOD NA UCET	1468	100951	SIPO	OP	66618603
912850	3112	1998-01-07	VYDAJ	PREVOD NA UCET	1468	55865	SIPO	OP	66618603
912851	3112	1998-02-07	VYDAJ	PREVOD NA UCET	1468	60612	SIPO	OP	66618603
912852	3112	1998-03-07	VYDAJ	PREVOD NA UCET	1468	48409	SIPO	OP	66618603
912853	3112	1998-04-07	VYDAJ	PREVOD NA UCET	1468	56778	SIPO	OP	66618603
912854	3112	1998-05-07	VYDAJ	PREVOD NA UCET	1468	56856	SIPO	OP	66618603
912855	3112	1998-06-07	VYDAJ	PREVOD NA UCET	1468	41752	SIPO	OP	66618603
912856	3112	1998-07-07	VYDAJ	PREVOD NA UCET	1468	54911	SIPO	OP	66618603
912857	3112	1998-08-07	VYDAJ	PREVOD NA UCET	1468	67015	SIPO	OP	66618603
912858	3112	1998-09-07	VYDAJ	PREVOD NA UCET	1468	47429	SIPO	OP	66618603
912859	3112	1998-10-07	VYDAJ	PREVOD NA UCET	1468	65614	SIPO	OP	66618603
912860	3112	1998-11-07	VYDAJ	PREVOD NA UCET	1468	102331	SIPO	OP	66618603
912861	3112	1998-12-07	VYDAJ	PREVOD NA UCET	1468	84351	SIPO	OP	66618603
912877	3112	1995-04-13	VYDAJ	PREVOD NA UCET	1584	85530	 	KL	83437150
912878	3112	1995-05-13	VYDAJ	PREVOD NA UCET	1584	68511	 	KL	83437150
912879	3112	1995-06-13	VYDAJ	PREVOD NA UCET	1584	62787	 	KL	83437150
912880	3112	1995-07-13	VYDAJ	PREVOD NA UCET	1584	58908	 	KL	83437150
912881	3112	1995-08-13	VYDAJ	PREVOD NA UCET	1584	86799	 	KL	83437150
912882	3112	1995-09-13	VYDAJ	PREVOD NA UCET	1584	52285	 	KL	83437150
912883	3112	1995-10-13	VYDAJ	PREVOD NA UCET	1584	32559	 	KL	83437150
912884	3112	1995-11-13	VYDAJ	PREVOD NA UCET	1584	55943	 	KL	83437150
912885	3112	1995-12-13	VYDAJ	PREVOD NA UCET	1584	49128	 	KL	83437150
912886	3112	1996-01-13	VYDAJ	PREVOD NA UCET	1584	64061	 	KL	83437150
912887	3112	1996-02-13	VYDAJ	PREVOD NA UCET	1584	80981	 	KL	83437150
912888	3112	1996-03-13	VYDAJ	PREVOD NA UCET	1584	69867	 	KL	83437150
912889	3112	1996-04-13	VYDAJ	PREVOD NA UCET	1584	45299	 	KL	83437150
912890	3112	1996-05-13	VYDAJ	PREVOD NA UCET	1584	56835	 	KL	83437150
912891	3112	1996-06-13	VYDAJ	PREVOD NA UCET	1584	43281	 	KL	83437150
912892	3112	1996-07-13	VYDAJ	PREVOD NA UCET	1584	57496	 	KL	83437150
912893	3112	1996-08-13	VYDAJ	PREVOD NA UCET	1584	30174	 	KL	83437150
912894	3112	1996-09-13	VYDAJ	PREVOD NA UCET	1584	63960	 	KL	83437150
912895	3112	1996-10-13	VYDAJ	PREVOD NA UCET	1584	76806	 	KL	83437150
912896	3112	1996-11-13	VYDAJ	PREVOD NA UCET	1584	71622	 	KL	83437150
912897	3112	1996-12-13	VYDAJ	PREVOD NA UCET	1584	93115	 	KL	83437150
912898	3112	1997-01-13	VYDAJ	PREVOD NA UCET	1584	33660	 	KL	83437150
912899	3112	1997-02-13	VYDAJ	PREVOD NA UCET	1584	61066	 	KL	83437150
912900	3112	1997-03-13	VYDAJ	PREVOD NA UCET	1584	77800	 	KL	83437150
912901	3112	1997-04-13	VYDAJ	PREVOD NA UCET	1584	76331	 	KL	83437150
912902	3112	1997-05-13	VYDAJ	PREVOD NA UCET	1584	91200	 	KL	83437150
912903	3112	1997-06-13	VYDAJ	PREVOD NA UCET	1584	31935	 	KL	83437150
912904	3112	1997-07-13	VYDAJ	PREVOD NA UCET	1584	96830	 	KL	83437150
912905	3112	1997-08-13	VYDAJ	PREVOD NA UCET	1584	69816	 	KL	83437150
912906	3112	1997-09-13	VYDAJ	PREVOD NA UCET	1584	101564	 	KL	83437150
912907	3112	1997-10-13	VYDAJ	PREVOD NA UCET	1584	99372	 	KL	83437150
912908	3112	1997-11-13	VYDAJ	PREVOD NA UCET	1584	100469	 	KL	83437150
912909	3112	1997-12-13	VYDAJ	PREVOD NA UCET	1584	92300	 	KL	83437150
912910	3112	1998-01-13	VYDAJ	PREVOD NA UCET	1584	39714	 	KL	83437150
912911	3112	1998-02-13	VYDAJ	PREVOD NA UCET	1584	37831	 	KL	83437150
912912	3112	1998-03-13	VYDAJ	PREVOD NA UCET	1584	44258	 	KL	83437150
912913	3112	1998-04-13	VYDAJ	PREVOD NA UCET	1584	41227	 	KL	83437150
912914	3112	1998-05-13	VYDAJ	PREVOD NA UCET	1584	52705	 	KL	83437150
912915	3112	1998-06-13	VYDAJ	PREVOD NA UCET	1584	37600	 	KL	83437150
912916	3112	1998-07-13	VYDAJ	PREVOD NA UCET	1584	50760	 	KL	83437150
912917	3112	1998-08-13	VYDAJ	PREVOD NA UCET	1584	62864	 	KL	83437150
912918	3112	1998-09-13	VYDAJ	PREVOD NA UCET	1584	43277	 	KL	83437150
912919	3112	1998-10-13	VYDAJ	PREVOD NA UCET	1584	61462	 	KL	83437150
912920	3112	1998-11-13	VYDAJ	PREVOD NA UCET	1584	98179	 	KL	83437150
912921	3112	1998-12-13	VYDAJ	PREVOD NA UCET	1584	77500	 	KL	83437150
912922	3112	1996-04-08	VYBER	VYBER	17330	49450	\N	\N	\N
912923	3112	1996-02-28	VYBER	VYBER	23684	103078	\N	\N	\N
912924	3112	1996-06-11	VYBER	VYBER	19242	47433	\N	\N	\N
912925	3112	1996-02-12	VYBER	VYBER	11120	82565	\N	\N	\N
912926	3112	1997-06-13	VYBER	VYBER	13379	33519	\N	\N	\N
912927	3112	1997-01-07	VYBER	VYBER	15902	45879	\N	\N	\N
912928	3112	1998-11-30	VYBER	VYBER	6450	85834	\N	\N	\N
912929	3112	1998-08-28	VYBER	VYBER	18204	57060	\N	\N	\N
912930	3112	1998-08-29	VYBER	VYBER	8418	48642	\N	\N	\N
912931	3112	1998-02-08	VYBER	VYBER	18630	41982	\N	\N	\N
912933	3112	1995-06-21	VYDAJ	VYBER	49200	47843	\N	\N	\N
912935	3112	1997-06-10	VYDAJ	VYBER	46500	49465	\N	\N	\N
912939	3112	1996-01-08	VYDAJ	VYBER	26100	31608	\N	\N	\N
912941	3112	1998-01-11	VYDAJ	VYBER	9000	46865	\N	\N	\N
912943	3112	1995-12-30	VYDAJ	VYBER	7800	88141	\N	\N	\N
912944	3112	1996-12-06	VYDAJ	VYBER KARTOU	3900	57998	\N	\N	0
912945	3112	1997-12-07	VYDAJ	VYBER	4500	96451	\N	\N	\N
912946	3112	1998-12-11	VYDAJ	VYBER KARTOU	2700	81651	\N	\N	0
912959	3112	1996-01-15	VYDAJ	VYBER	3600	60461	\N	\N	\N
912960	3112	1996-01-13	VYDAJ	VYBER	4800	65645	\N	\N	\N
912961	3112	1996-01-04	VYDAJ	VYBER	4200	59176	\N	\N	\N
912962	3112	1996-01-18	VYDAJ	VYBER	3900	87843	\N	\N	\N
912963	3112	1996-01-26	VYDAJ	VYBER	6600	78843	\N	\N	\N
912964	3112	1996-01-18	VYDAJ	VYBER	2400	85443	\N	\N	\N
912965	3112	1997-01-12	VYDAJ	VYBER KARTOU	3000	35244	\N	\N	0
912966	3112	1997-01-03	VYDAJ	VYBER	7500	61781	\N	\N	\N
912967	3112	1997-01-02	VYDAJ	VYBER KARTOU	2700	69281	\N	\N	0
912968	3112	1997-01-10	VYDAJ	VYBER KARTOU	3600	40811	\N	\N	0
912970	3112	1997-01-15	VYDAJ	VYBER	4500	29160	\N	\N	\N
912971	3112	1998-01-04	VYDAJ	VYBER	7800	68133	\N	\N	\N
912972	3112	1998-01-30	VYDAJ	VYBER KARTOU	3900	33414	\N	\N	0
912973	3112	1998-01-25	VYDAJ	VYBER	6300	40914	\N	\N	\N
912974	3112	1998-01-21	VYDAJ	VYBER KARTOU	1800	37914	\N	\N	0
912975	3112	1998-01-27	VYDAJ	VYBER KARTOU	3600	37314	\N	\N	0
912976	3112	1998-01-12	VYDAJ	VYBER KARTOU	3000	41298	\N	\N	0
912984	3112	1995-12-11	VYDAJ	VYBER	11700	50712	\N	\N	\N
912986	3112	1995-08-09	VYDAJ	VYBER	2100	53251	\N	\N	\N
912987	3112	1995-06-27	VYDAJ	VYBER	5700	91102	\N	\N	\N
912988	3112	1995-09-23	VYDAJ	VYBER	8400	43885	\N	\N	\N
912989	3112	1996-11-05	VYDAJ	VYBER	6600	77241	\N	\N	\N
912990	3112	1996-07-27	VYDAJ	VYBER	1800	105622	\N	\N	\N
912991	3112	1996-10-27	VYDAJ	VYBER	10200	66606	\N	\N	\N
912992	3112	1996-08-05	VYDAJ	VYBER	13200	35793	\N	\N	\N
912993	3112	1997-09-16	VYDAJ	VYBER	6600	94964	\N	\N	\N
912994	3112	1997-03-02	VYDAJ	VYBER	13800	54024	\N	\N	\N
912995	3112	1997-10-25	VYDAJ	VYBER	7200	76072	\N	\N	\N
912996	3112	1997-04-01	VYDAJ	VYBER	13200	59189	\N	\N	\N
912997	3112	1997-10-03	VYDAJ	VYBER	7200	93361	\N	\N	\N
912998	3112	1998-11-06	VYDAJ	VYBER	6600	103799	\N	\N	\N
912999	3112	1998-05-25	VYDAJ	VYBER	6600	56805	\N	\N	\N
913000	3112	1998-04-12	VYDAJ	VYBER	11400	42811	\N	\N	\N
913001	3112	1998-01-05	VYDAJ	VYBER	10800	57333	\N	\N	\N
913002	3112	1998-02-14	VYDAJ	VYBER	5400	32431	\N	\N	\N
913003	3112	1998-06-06	VYDAJ	VYBER	13800	43220	\N	\N	\N
913004	3112	1998-01-23	VYDAJ	VYBER KARTOU	2400	47214	\N	\N	0
913021	3112	1995-04-30	VYDAJ	VYBER	15	85871	SLUZBY	\N	\N
913022	3112	1995-05-31	VYDAJ	VYBER	15	104939	SLUZBY	\N	\N
913023	3112	1995-06-30	VYDAJ	VYBER	15	91460	SLUZBY	\N	\N
913024	3112	1995-07-31	VYDAJ	VYBER	15	138419	SLUZBY	\N	\N
913025	3112	1995-08-31	VYDAJ	VYBER	15	87137	SLUZBY	\N	\N
913026	3112	1995-09-30	VYDAJ	VYBER	15	44111	SLUZBY	\N	\N
913027	3112	1995-10-31	VYDAJ	VYBER	15	30688	SLUZBY	\N	\N
913028	3112	1995-11-30	VYDAJ	VYBER	15	56150	SLUZBY	\N	\N
913029	3112	1995-12-31	VYDAJ	VYBER	15	88376	SLUZBY	\N	\N
913030	3112	1996-01-31	VYDAJ	VYBER	15	90511	SLUZBY	\N	\N
913031	3112	1996-02-29	VYDAJ	VYBER	15	63324	SLUZBY	\N	\N
913032	3112	1996-03-31	VYDAJ	VYBER	15	95748	SLUZBY	\N	\N
913033	3112	1996-04-30	VYDAJ	VYBER	15	64440	SLUZBY	\N	\N
913034	3112	1996-05-31	VYDAJ	VYBER	15	86443	SLUZBY	\N	\N
913035	3112	1996-06-30	VYDAJ	VYBER	15	76216	SLUZBY	\N	\N
913036	3112	1996-07-31	VYDAJ	VYBER	15	105984	SLUZBY	\N	\N
913037	3112	1996-08-31	VYDAJ	VYBER	15	94179	SLUZBY	\N	\N
913038	3112	1996-09-30	VYDAJ	VYBER	15	111120	SLUZBY	\N	\N
913039	3112	1996-10-31	VYDAJ	VYBER	15	57166	SLUZBY	\N	\N
913040	3112	1996-11-30	VYDAJ	VYBER	15	61898	SLUZBY	\N	\N
913041	3112	1996-12-31	VYDAJ	VYBER	15	71981	SLUZBY	\N	\N
913042	3112	1997-01-31	VYDAJ	VYBER	15	66686	SLUZBY	\N	\N
913043	3112	1997-02-28	VYDAJ	VYBER	15	67824	SLUZBY	\N	\N
913044	3112	1997-03-31	VYDAJ	VYBER	15	72389	SLUZBY	\N	\N
913045	3112	1997-04-30	VYDAJ	VYBER	15	77078	SLUZBY	\N	\N
913046	3112	1997-05-31	VYDAJ	VYBER	15	70943	SLUZBY	\N	\N
913047	3112	1997-06-30	VYDAJ	VYBER	15	46355	SLUZBY	\N	\N
913048	3112	1997-07-31	VYDAJ	VYBER	15	75435	SLUZBY	\N	\N
913049	3112	1997-08-31	VYDAJ	VYBER	15	72559	SLUZBY	\N	\N
913050	3112	1997-09-30	VYDAJ	VYBER	15	100561	SLUZBY	\N	\N
913051	3112	1997-10-31	VYDAJ	VYBER	15	106088	SLUZBY	\N	\N
913052	3112	1997-11-30	VYDAJ	VYBER	15	66504	SLUZBY	\N	\N
913053	3112	1997-12-31	VYDAJ	VYBER	15	75933	SLUZBY	\N	\N
913054	3112	1998-01-31	VYDAJ	VYBER	15	33594	SLUZBY	\N	\N
913055	3112	1998-02-28	VYDAJ	VYBER	15	49877	SLUZBY	\N	\N
913056	3112	1998-03-31	VYDAJ	VYBER	15	58246	SLUZBY	\N	\N
913057	3112	1998-04-30	VYDAJ	VYBER	15	58324	SLUZBY	\N	\N
913058	3112	1998-05-31	VYDAJ	VYBER	15	57020	SLUZBY	\N	\N
913059	3112	1998-06-30	VYDAJ	VYBER	15	56379	SLUZBY	\N	\N
913060	3112	1998-07-31	VYDAJ	VYBER	15	68483	SLUZBY	\N	\N
913061	3112	1998-08-31	VYDAJ	VYBER	15	48897	SLUZBY	\N	\N
913062	3112	1998-09-30	VYDAJ	VYBER	15	67082	SLUZBY	\N	\N
913063	3112	1998-10-31	VYDAJ	VYBER	15	110399	SLUZBY	\N	\N
913064	3112	1998-11-30	VYDAJ	VYBER	15	85819	SLUZBY	\N	\N
913065	3112	1994-09-11	VYDAJ	VYBER	3900	27574	\N	\N	\N
913066	3112	1994-10-11	VYDAJ	VYBER	2500	25205	\N	\N	\N
913067	3112	1994-11-10	PRIJEM	VKLAD	1800	27136	\N	\N	\N
913068	3112	1994-12-10	VYDAJ	VYBER	1300	25967	\N	\N	\N
913069	3112	1995-01-09	VYDAJ	VYBER	16000	39795	\N	\N	\N
913070	3112	1995-02-08	VYDAJ	VYBER	11600	43259	\N	\N	\N
913071	3112	1995-03-10	VYDAJ	VYBER	4200	39287	\N	\N	\N
913072	3112	1995-04-02	VYDAJ	VYBER	21100	98406	\N	\N	\N
913073	3112	1995-04-09	VYDAJ	VYBER	33900	61338	\N	\N	\N
913074	3112	1995-05-09	VYDAJ	VYBER	37100	70095	\N	\N	\N
913075	3112	1995-05-18	VYDAJ	VYBER	26600	84192	\N	\N	\N
913076	3112	1995-06-08	VYDAJ	VYBER	37100	66371	\N	\N	\N
913077	3112	1995-06-20	VYDAJ	VYBER	21900	97043	\N	\N	\N
913078	3112	1995-07-08	VYDAJ	VYBER	26800	63192	\N	\N	\N
913079	3112	1995-07-31	VYDAJ	VYBER	52100	86319	\N	\N	\N
913080	3112	1995-08-07	VYDAJ	VYBER	29500	55351	\N	\N	\N
913081	3112	1995-08-11	VYDAJ	VYBER	22700	88383	\N	\N	\N
913082	3112	1995-09-06	VYDAJ	VYBER	28400	58737	\N	\N	\N
913083	3112	1995-10-06	VYDAJ	VYBER	6300	37811	\N	\N	\N
913084	3112	1995-11-05	VYDAJ	VYBER	26200	58995	\N	\N	\N
913085	3112	1995-12-05	VYDAJ	VYBER	26500	65680	\N	\N	\N
913086	3112	1996-01-04	VYDAJ	VYBER	25000	63376	\N	\N	\N
913087	3112	1996-02-03	VYDAJ	VYBER	59200	48879	\N	\N	\N
913088	3112	1996-02-03	VYDAJ	VYBER	9700	108079	\N	\N	\N
913089	3112	1996-02-28	VYDAJ	VYBER	40100	62978	\N	\N	\N
913090	3112	1996-03-04	VYDAJ	VYBER	33100	75487	\N	\N	\N
913091	3112	1996-04-03	VYDAJ	VYBER	27500	68248	\N	\N	\N
913092	3112	1996-05-03	VYDAJ	VYBER	24600	62455	\N	\N	\N
913093	3112	1996-06-02	VYDAJ	VYBER	18300	68143	\N	\N	\N
913094	3112	1996-07-02	VYDAJ	VYBER	13100	63116	\N	\N	\N
913095	3112	1996-08-01	VYDAJ	VYBER	30600	75384	\N	\N	\N
913096	3112	1996-08-04	VYDAJ	VYBER	60700	48993	\N	\N	\N
913097	3112	1996-08-31	VYDAJ	VYBER	24600	69579	\N	\N	\N
913098	3112	1996-09-18	VYDAJ	VYBER	58300	54857	\N	\N	\N
913099	3112	1996-09-30	VYDAJ	VYBER	30900	80220	\N	\N	\N
913100	3112	1996-09-30	VYDAJ	VYBER	28000	111135	\N	\N	\N
913101	3112	1996-10-11	VYDAJ	VYBER	46700	80957	\N	\N	\N
913102	3112	1996-10-30	VYDAJ	VYBER	9800	56806	\N	\N	\N
913103	3112	1996-11-29	VYDAJ	VYBER	10000	61622	\N	\N	\N
913104	3112	1996-12-09	VYDAJ	VYBER	58600	97267	\N	\N	\N
913105	3112	1996-12-29	VYDAJ	VYBER	21500	71615	\N	\N	\N
913106	3112	1997-01-28	VYDAJ	VYBER	17700	66492	\N	\N	\N
913107	3112	1997-02-27	VYDAJ	VYBER	10200	67552	\N	\N	\N
913108	3112	1997-03-07	VYDAJ	VYBER	48500	81952	\N	\N	\N
913109	3112	1997-03-20	VYDAJ	VYBER	19300	95996	\N	\N	\N
913110	3112	1997-03-29	VYDAJ	VYBER	24000	71996	\N	\N	\N
913111	3112	1997-04-28	VYDAJ	VYBER	21000	76749	\N	\N	\N
913112	3112	1997-05-28	VYDAJ	VYBER	20600	70600	\N	\N	\N
913113	3112	1997-06-27	PRIJEM	VKLAD	2300	46144	\N	\N	\N
913114	3112	1997-07-15	VYDAJ	VYBER	27800	102555	\N	\N	\N
913115	3112	1997-07-17	VYDAJ	VYBER	26500	120042	\N	\N	\N
913116	3112	1997-07-22	VYDAJ	VYBER	46100	95207	\N	\N	\N
913117	3112	1997-07-27	VYDAJ	VYBER	20100	75107	\N	\N	\N
913118	3112	1997-08-26	VYDAJ	VYBER	15100	72259	\N	\N	\N
913119	3112	1997-09-18	VYDAJ	VYBER	29800	114881	\N	\N	\N
913120	3112	1997-09-25	VYDAJ	VYBER	29400	85481	\N	\N	\N
913121	3112	1997-09-29	VYDAJ	VYBER	33400	100175	\N	\N	\N
913122	3112	1997-10-04	VYDAJ	VYBER	34400	104991	\N	\N	\N
913123	3112	1997-10-25	VYDAJ	VYBER	16100	83272	\N	\N	\N
913124	3112	1997-11-24	VYDAJ	VYBER	49100	66086	\N	\N	\N
913125	3112	1997-11-24	VYDAJ	VYBER KARTOU	2400	115186	\N	\N	0
913126	3112	1997-12-24	VYDAJ	VYBER	16700	75600	\N	\N	\N
913127	3112	1998-01-23	PRIJEM	VKLAD	11700	49614	\N	\N	\N
913128	3112	1998-02-22	PRIJEM	VKLAD	17300	49731	\N	\N	\N
913129	3112	1998-03-24	PRIJEM	VKLAD	13800	58058	\N	\N	\N
913130	3112	1998-04-23	PRIJEM	VKLAD	16900	58127	\N	\N	\N
913131	3112	1998-05-23	PRIJEM	VKLAD	10700	63405	\N	\N	\N
913132	3112	1998-06-22	PRIJEM	VKLAD	18600	56200	\N	\N	\N
913133	3112	1998-07-22	PRIJEM	VKLAD	17500	68260	\N	\N	\N
913134	3112	1998-08-21	PRIJEM	VKLAD	12400	75264	\N	\N	\N
913135	3112	1998-09-20	PRIJEM	VKLAD	23600	66877	\N	\N	\N
913136	3112	1998-10-20	PRIJEM	VKLAD	13700	75162	\N	\N	\N
913137	3112	1998-11-19	VYDAJ	VYBER	6300	91879	\N	\N	\N
913191	3113	1993-08-16	PRIJEM	VKLAD	400	400	\N	\N	\N
913195	3113	1993-10-11	PRIJEM	VKLAD	38014	51714	\N	\N	\N
913196	3113	1994-03-31	PRIJEM	VKLAD	22774	52338	\N	\N	\N
913197	3113	1994-11-21	PRIJEM	VKLAD	48768	65857	\N	\N	\N
913198	3113	1994-05-08	PRIJEM	VKLAD	6535	50059	\N	\N	\N
913199	3113	1994-12-10	PRIJEM	VKLAD	43269	97216	\N	\N	\N
913200	3113	1994-12-09	PRIJEM	VKLAD	7868	86347	\N	\N	\N
913201	3113	1994-04-12	PRIJEM	VKLAD	17671	70009	\N	\N	\N
913202	3113	1994-01-05	PRIJEM	VKLAD	24128	51739	\N	\N	\N
913203	3113	1994-06-02	PRIJEM	VKLAD	43794	77029	\N	\N	\N
913204	3113	1994-11-25	PRIJEM	VKLAD	32322	126654	\N	\N	\N
913205	3113	1994-02-05	PRIJEM	VKLAD	10338	50440	\N	\N	\N
913206	3113	1994-11-01	PRIJEM	VKLAD	26378	33255	\N	\N	\N
913207	3113	1994-11-23	PRIJEM	VKLAD	48275	114132	\N	\N	\N
913208	3113	1995-05-22	PRIJEM	VKLAD	34884	94854	\N	\N	\N
913209	3113	1995-04-30	PRIJEM	VKLAD	11042	33153	\N	\N	\N
913210	3113	1995-06-08	PRIJEM	VKLAD	45298	100730	\N	\N	\N
913211	3113	1995-11-15	PRIJEM	VKLAD	5560	5284	\N	\N	\N
913212	3113	1995-05-21	PRIJEM	VKLAD	48101	59970	\N	\N	\N
913213	3113	1995-08-22	PRIJEM	VKLAD	5066	31065	\N	\N	\N
913214	3113	1995-03-20	PRIJEM	VKLAD	37080	46968	\N	\N	\N
913215	3113	1995-07-16	PRIJEM	VKLAD	26744	66706	\N	\N	\N
913216	3113	1995-04-19	PRIJEM	VKLAD	15026	29980	\N	\N	\N
913217	3113	1995-02-02	PRIJEM	VKLAD	33859	55304	\N	\N	\N
913218	3113	1996-08-07	PRIJEM	VKLAD	21510	27038	\N	\N	\N
913219	3113	1996-02-06	PRIJEM	VKLAD	48505	61723	\N	\N	\N
913220	3113	1996-10-27	PRIJEM	VKLAD	36626	72872	\N	\N	\N
913221	3113	1996-12-24	PRIJEM	VKLAD	43771	139965	\N	\N	\N
913222	3113	1996-09-27	PRIJEM	VKLAD	32014	86775	\N	\N	\N
913223	3113	1996-12-06	PRIJEM	VKLAD	29176	88520	\N	\N	\N
913224	3113	1996-08-24	PRIJEM	VKLAD	7906	22178	\N	\N	\N
913225	3113	1996-04-01	PRIJEM	VKLAD	12445	40723	\N	\N	\N
913226	3113	1996-11-05	PRIJEM	VKLAD	39464	80200	\N	\N	\N
913227	3113	1996-04-09	PRIJEM	VKLAD	45647	93950	\N	\N	\N
913228	3113	1996-01-14	PRIJEM	VKLAD	15915	15000	\N	\N	\N
913229	3113	1996-11-25	PRIJEM	VKLAD	37453	104887	\N	\N	\N
913230	3113	1996-12-13	PRIJEM	VKLAD	20943	96697	\N	\N	\N
913231	3113	1996-05-13	PRIJEM	VKLAD	26660	85007	\N	\N	\N
913232	3113	1996-04-01	PRIJEM	VKLAD	49335	90058	\N	\N	\N
913233	3113	1996-03-24	PRIJEM	VKLAD	16950	28186	\N	\N	\N
913234	3113	1996-08-28	PRIJEM	VKLAD	49862	120499	\N	\N	\N
913235	3113	1996-08-30	PRIJEM	VKLAD	47911	146810	\N	\N	\N
913236	3113	1996-05-13	PRIJEM	VKLAD	24429	58347	\N	\N	\N
913237	3113	1996-12-20	PRIJEM	VKLAD	7297	96194	\N	\N	\N
913238	3113	1996-08-26	PRIJEM	VKLAD	48459	70637	\N	\N	\N
913239	3113	1996-04-30	PRIJEM	VKLAD	39549	114085	\N	\N	\N
913240	3113	1997-05-06	PRIJEM	VKLAD	40823	74213	\N	\N	\N
913241	3113	1997-09-03	PRIJEM	VKLAD	42275	104513	\N	\N	\N
913242	3113	1997-08-20	PRIJEM	VKLAD	13866	79823	\N	\N	\N
913243	3113	1997-12-11	PRIJEM	VKLAD	37424	90356	\N	\N	\N
913244	3113	1997-12-06	PRIJEM	VKLAD	40104	57330	\N	\N	\N
913245	3113	1997-03-04	PRIJEM	VKLAD	47620	79644	\N	\N	\N
913246	3113	1997-01-15	PRIJEM	VKLAD	33363	61706	\N	\N	\N
913247	3113	1997-09-29	PRIJEM	VKLAD	45421	105513	\N	\N	\N
913248	3113	1997-08-12	PRIJEM	VKLAD	44799	74325	\N	\N	\N
913249	3113	1997-08-28	PRIJEM	VKLAD	24349	77272	\N	\N	\N
913250	3113	1997-09-21	PRIJEM	VKLAD	44223	92892	\N	\N	\N
913251	3113	1997-09-17	PRIJEM	VKLAD	10839	110669	\N	\N	\N
913252	3113	1997-09-12	PRIJEM	VKLAD	27683	127798	\N	\N	\N
913253	3113	1997-12-18	PRIJEM	VKLAD	42445	124433	\N	\N	\N
913254	3113	1997-03-13	PRIJEM	VKLAD	46291	113169	\N	\N	\N
913255	3113	1997-06-09	PRIJEM	VKLAD	22293	66992	\N	\N	\N
913256	3113	1997-07-10	PRIJEM	VKLAD	21299	62019	\N	\N	\N
913257	3113	1997-01-24	PRIJEM	VKLAD	34782	96488	\N	\N	\N
913258	3113	1998-10-31	PRIJEM	VKLAD	15478	36711	\N	\N	\N
913259	3113	1998-01-04	PRIJEM	VKLAD	45683	82563	\N	\N	\N
913260	3113	1998-11-17	PRIJEM	VKLAD	46969	70962	\N	\N	\N
913261	3113	1998-10-19	PRIJEM	VKLAD	31005	34033	\N	\N	\N
913262	3113	1998-05-10	PRIJEM	VKLAD	21941	75914	\N	\N	\N
913263	3113	1998-04-30	PRIJEM	VKLAD	49401	54343	\N	\N	\N
913264	3113	1998-05-27	PRIJEM	VKLAD	40403	79306	\N	\N	\N
913265	3113	1998-07-09	PRIJEM	VKLAD	16599	43189	\N	\N	\N
913266	3113	1998-01-10	PRIJEM	VKLAD	24521	133134	\N	\N	\N
913267	3113	1998-01-08	PRIJEM	VKLAD	47705	108968	\N	\N	\N
913283	3113	1994-04-12	VYDAJ	PREVOD NA UCET	8001	62008	SIPO	CD	35737115
913284	3113	1994-05-12	VYDAJ	PREVOD NA UCET	8001	37660	SIPO	CD	35737115
913285	3113	1994-06-12	VYDAJ	PREVOD NA UCET	8001	44063	SIPO	CD	35737115
913286	3113	1994-07-12	VYDAJ	PREVOD NA UCET	8001	21454	SIPO	CD	35737115
913287	3113	1994-08-12	VYDAJ	PREVOD NA UCET	8001	14008	SIPO	CD	35737115
913288	3113	1994-09-12	VYDAJ	PREVOD NA UCET	8001	7996	SIPO	CD	35737115
913289	3113	1994-10-12	VYDAJ	PREVOD NA UCET	8001	6858	SIPO	CD	35737115
913290	3113	1994-11-12	VYDAJ	PREVOD NA UCET	8001	17089	SIPO	CD	35737115
913291	3113	1994-12-12	VYDAJ	PREVOD NA UCET	8001	84805	SIPO	CD	35737115
913292	3113	1995-01-12	VYDAJ	PREVOD NA UCET	8001	37476	SIPO	CD	35737115
913293	3113	1995-02-12	VYDAJ	PREVOD NA UCET	8001	26038	SIPO	CD	35737115
913294	3113	1995-03-12	VYDAJ	PREVOD NA UCET	8001	9888	SIPO	CD	35737115
913295	3113	1995-04-12	VYDAJ	PREVOD NA UCET	8001	14954	SIPO	CD	35737115
913296	3113	1995-05-12	VYDAJ	PREVOD NA UCET	8001	11869	SIPO	CD	35737115
913297	3113	1995-06-12	VYDAJ	PREVOD NA UCET	8001	87964	SIPO	CD	35737115
913298	3113	1995-07-12	VYDAJ	PREVOD NA UCET	8001	39962	SIPO	CD	35737115
913299	3113	1995-08-12	VYDAJ	PREVOD NA UCET	8001	26366	SIPO	CD	35737115
913300	3113	1995-09-12	VYDAJ	PREVOD NA UCET	8001	11454	SIPO	CD	35737115
913301	3113	1995-10-12	VYDAJ	PREVOD NA UCET	8001	443	SIPO	CD	35737115
913303	3113	1995-12-12	VYDAJ	PREVOD NA UCET	8001	181	SIPO	CD	35737115
913305	3113	1996-02-12	VYDAJ	PREVOD NA UCET	8001	37857	SIPO	CD	35737115
913306	3113	1996-03-12	VYDAJ	PREVOD NA UCET	8001	11236	SIPO	CD	35737115
913307	3113	1996-04-12	VYDAJ	PREVOD NA UCET	8001	81906	SIPO	CD	35737115
913308	3113	1996-05-12	VYDAJ	PREVOD NA UCET	8001	34285	SIPO	CD	35737115
913309	3113	1996-06-12	VYDAJ	PREVOD NA UCET	8001	22395	SIPO	CD	35737115
913310	3113	1996-07-12	VYDAJ	PREVOD NA UCET	8001	5866	SIPO	CD	35737115
913311	3113	1996-08-12	VYDAJ	PREVOD NA UCET	8001	14639	SIPO	CD	35737115
913312	3113	1996-09-12	VYDAJ	PREVOD NA UCET	8001	54761	SIPO	CD	35737115
913313	3113	1996-10-12	VYDAJ	PREVOD NA UCET	8001	36613	SIPO	CD	35737115
913314	3113	1996-11-12	VYDAJ	PREVOD NA UCET	8001	67434	SIPO	CD	35737115
913315	3113	1996-12-12	VYDAJ	PREVOD NA UCET	8001	75754	SIPO	CD	35737115
913316	3113	1997-01-12	VYDAJ	PREVOD NA UCET	8001	28710	SIPO	CD	35737115
913317	3113	1997-02-12	VYDAJ	PREVOD NA UCET	8001	40309	SIPO	CD	35737115
913318	3113	1997-03-12	VYDAJ	PREVOD NA UCET	8001	67245	SIPO	CD	35737115
913319	3113	1997-04-12	VYDAJ	PREVOD NA UCET	8001	40591	SIPO	CD	35737115
913320	3113	1997-05-12	VYDAJ	PREVOD NA UCET	8001	61447	SIPO	CD	35737115
913321	3113	1997-06-12	VYDAJ	PREVOD NA UCET	8001	54948	SIPO	CD	35737115
913322	3113	1997-07-12	VYDAJ	PREVOD NA UCET	8001	49608	SIPO	CD	35737115
913323	3113	1997-08-12	VYDAJ	PREVOD NA UCET	8001	65957	SIPO	CD	35737115
913324	3113	1997-09-12	VYDAJ	PREVOD NA UCET	8001	119430	SIPO	CD	35737115
913325	3113	1997-10-12	VYDAJ	PREVOD NA UCET	8001	62728	SIPO	CD	35737115
913326	3113	1997-11-12	VYDAJ	PREVOD NA UCET	8001	15257	SIPO	CD	35737115
913327	3113	1997-12-12	VYDAJ	PREVOD NA UCET	8001	81988	SIPO	CD	35737115
913328	3113	1998-01-12	VYDAJ	PREVOD NA UCET	8001	69923	SIPO	CD	35737115
913329	3113	1998-02-12	VYDAJ	PREVOD NA UCET	8001	18804	SIPO	CD	35737115
913330	3113	1998-03-12	VYDAJ	PREVOD NA UCET	8001	5617	SIPO	CD	35737115
913332	3113	1998-05-12	VYDAJ	PREVOD NA UCET	8001	63503	SIPO	CD	35737115
913333	3113	1998-06-12	VYDAJ	PREVOD NA UCET	8001	38872	SIPO	CD	35737115
913334	3113	1998-07-12	VYDAJ	PREVOD NA UCET	8001	30778	SIPO	CD	35737115
913335	3113	1998-08-12	VYDAJ	PREVOD NA UCET	8001	8483	SIPO	CD	35737115
913338	3113	1998-11-12	VYDAJ	PREVOD NA UCET	8001	23993	SIPO	CD	35737115
913339	3113	1998-12-12	VYDAJ	PREVOD NA UCET	8001	29433	SIPO	CD	35737115
913356	3113	1994-05-10	VYDAJ	PREVOD NA UCET	4043	45661	 	WX	14441299
913357	3113	1994-06-10	VYDAJ	PREVOD NA UCET	4043	72631	 	WX	14441299
913358	3113	1994-07-10	VYDAJ	PREVOD NA UCET	4043	26655	 	WX	14441299
913359	3113	1994-08-10	VYDAJ	PREVOD NA UCET	4043	16776	 	WX	14441299
913360	3113	1994-09-10	VYDAJ	PREVOD NA UCET	4043	16364	 	WX	14441299
913361	3113	1994-10-10	VYDAJ	PREVOD NA UCET	4043	15226	 	WX	14441299
913362	3113	1994-11-10	VYDAJ	PREVOD NA UCET	4043	25457	 	WX	14441299
913363	3113	1994-12-10	VYDAJ	PREVOD NA UCET	4043	93173	 	WX	14441299
913364	3113	1995-01-10	VYDAJ	PREVOD NA UCET	4043	45844	 	WX	14441299
913365	3113	1995-02-10	VYDAJ	PREVOD NA UCET	4043	34406	 	WX	14441299
913366	3113	1995-03-10	VYDAJ	PREVOD NA UCET	4043	18256	 	WX	14441299
913367	3113	1995-04-10	VYDAJ	PREVOD NA UCET	4043	23322	 	WX	14441299
913368	3113	1995-05-10	VYDAJ	PREVOD NA UCET	4043	20237	 	WX	14441299
913369	3113	1995-06-10	VYDAJ	PREVOD NA UCET	4043	96332	 	WX	14441299
913370	3113	1995-07-10	VYDAJ	PREVOD NA UCET	4043	48330	 	WX	14441299
913371	3113	1995-08-10	VYDAJ	PREVOD NA UCET	4043	34367	 	WX	14441299
913372	3113	1995-09-10	VYDAJ	PREVOD NA UCET	4043	19822	 	WX	14441299
913373	3113	1995-10-10	VYDAJ	PREVOD NA UCET	4043	8811	 	WX	14441299
913375	3113	1995-12-10	VYDAJ	PREVOD NA UCET	4043	8182	 	WX	14441299
913377	3113	1996-02-10	VYDAJ	PREVOD NA UCET	4043	57325	 	WX	14441299
913378	3113	1996-03-10	VYDAJ	PREVOD NA UCET	4043	19604	 	WX	14441299
913582	3113	1996-04-27	VYBER	VYBER	7003	74536	\N	\N	\N
913379	3113	1996-04-10	VYDAJ	PREVOD NA UCET	4043	89907	 	WX	14441299
913380	3113	1996-05-10	VYDAJ	PREVOD NA UCET	4043	42286	 	WX	14441299
913381	3113	1996-06-10	VYDAJ	PREVOD NA UCET	4043	30396	 	WX	14441299
913382	3113	1996-07-10	VYDAJ	PREVOD NA UCET	4043	13867	 	WX	14441299
913383	3113	1996-08-10	VYDAJ	PREVOD NA UCET	4043	22640	 	WX	14441299
913384	3113	1996-09-10	VYDAJ	PREVOD NA UCET	4043	63129	 	WX	14441299
913385	3113	1996-10-10	VYDAJ	PREVOD NA UCET	4043	44614	 	WX	14441299
913386	3113	1996-11-10	VYDAJ	PREVOD NA UCET	4043	75802	 	WX	14441299
913387	3113	1996-12-10	VYDAJ	PREVOD NA UCET	4043	84122	 	WX	14441299
913388	3113	1997-01-10	VYDAJ	PREVOD NA UCET	4043	36711	 	WX	14441299
913389	3113	1997-02-10	VYDAJ	PREVOD NA UCET	4043	48310	 	WX	14441299
913390	3113	1997-03-10	VYDAJ	PREVOD NA UCET	4043	75246	 	WX	14441299
913391	3113	1997-04-10	VYDAJ	PREVOD NA UCET	4043	48592	 	WX	14441299
913392	3113	1997-05-10	VYDAJ	PREVOD NA UCET	4043	69815	 	WX	14441299
913393	3113	1997-06-10	VYDAJ	PREVOD NA UCET	4043	62949	 	WX	14441299
913394	3113	1997-07-10	VYDAJ	PREVOD NA UCET	4043	57976	 	WX	14441299
913395	3113	1997-08-10	VYDAJ	PREVOD NA UCET	4043	29526	 	WX	14441299
913396	3113	1997-09-10	VYDAJ	PREVOD NA UCET	4043	100115	 	WX	14441299
913397	3113	1997-10-10	VYDAJ	PREVOD NA UCET	4043	70729	 	WX	14441299
913398	3113	1997-11-10	VYDAJ	PREVOD NA UCET	4043	23625	 	WX	14441299
913399	3113	1997-12-10	VYDAJ	PREVOD NA UCET	4043	52932	 	WX	14441299
913400	3113	1998-01-10	VYDAJ	PREVOD NA UCET	4043	78291	 	WX	14441299
913401	3113	1998-02-10	VYDAJ	PREVOD NA UCET	4043	27172	 	WX	14441299
913402	3113	1998-03-10	VYDAJ	PREVOD NA UCET	4043	13985	 	WX	14441299
913404	3113	1998-05-10	VYDAJ	PREVOD NA UCET	4043	71871	 	WX	14441299
913405	3113	1998-06-10	VYDAJ	PREVOD NA UCET	4043	47240	 	WX	14441299
913406	3113	1998-07-10	VYDAJ	PREVOD NA UCET	4043	39146	 	WX	14441299
913407	3113	1998-08-10	VYDAJ	PREVOD NA UCET	4043	16484	 	WX	14441299
913408	3113	1998-09-10	VYDAJ	PREVOD NA UCET	4043	3750	 	WX	14441299
913410	3113	1998-11-10	VYDAJ	PREVOD NA UCET	4043	32361	 	WX	14441299
913411	3113	1998-12-10	VYDAJ	PREVOD NA UCET	4043	37801	 	WX	14441299
913427	3113	1994-04-12	VYDAJ	PREVOD NA UCET	367	61641	POJISTNE	ST	47521537
913428	3113	1994-05-12	VYDAJ	PREVOD NA UCET	367	37293	POJISTNE	ST	47521537
913429	3113	1994-06-12	VYDAJ	PREVOD NA UCET	367	72264	POJISTNE	ST	47521537
913430	3113	1994-07-12	VYDAJ	PREVOD NA UCET	367	21087	POJISTNE	ST	47521537
913431	3113	1994-08-12	VYDAJ	PREVOD NA UCET	367	22009	POJISTNE	ST	47521537
913432	3113	1994-09-12	VYDAJ	PREVOD NA UCET	367	15997	POJISTNE	ST	47521537
913433	3113	1994-10-12	VYDAJ	PREVOD NA UCET	367	14859	POJISTNE	ST	47521537
913434	3113	1994-11-12	VYDAJ	PREVOD NA UCET	367	25090	POJISTNE	ST	47521537
913435	3113	1994-12-12	VYDAJ	PREVOD NA UCET	367	92806	POJISTNE	ST	47521537
913436	3113	1995-01-12	VYDAJ	PREVOD NA UCET	367	45477	POJISTNE	ST	47521537
913437	3113	1995-02-12	VYDAJ	PREVOD NA UCET	367	34039	POJISTNE	ST	47521537
913438	3113	1995-03-12	VYDAJ	PREVOD NA UCET	367	17889	POJISTNE	ST	47521537
913439	3113	1995-04-12	VYDAJ	PREVOD NA UCET	367	22955	POJISTNE	ST	47521537
913440	3113	1995-05-12	VYDAJ	PREVOD NA UCET	367	19870	POJISTNE	ST	47521537
913441	3113	1995-06-12	VYDAJ	PREVOD NA UCET	367	95965	POJISTNE	ST	47521537
913442	3113	1995-07-12	VYDAJ	PREVOD NA UCET	367	47963	POJISTNE	ST	47521537
913443	3113	1995-08-12	VYDAJ	PREVOD NA UCET	367	25999	POJISTNE	ST	47521537
913444	3113	1995-09-12	VYDAJ	PREVOD NA UCET	367	19455	POJISTNE	ST	47521537
913445	3113	1995-10-12	VYDAJ	PREVOD NA UCET	367	8444	POJISTNE	ST	47521537
913446	3113	1995-11-12	VYDAJ	PREVOD NA UCET	367	-276	POJISTNE	ST	47521537
913447	3113	1995-12-12	VYDAJ	PREVOD NA UCET	367	-186	POJISTNE	ST	47521537
913448	3113	1996-01-12	VYDAJ	PREVOD NA UCET	367	-915	POJISTNE	ST	47521537
913449	3113	1996-02-12	VYDAJ	PREVOD NA UCET	367	45858	POJISTNE	ST	47521537
913450	3113	1996-03-12	VYDAJ	PREVOD NA UCET	367	19237	POJISTNE	ST	47521537
913451	3113	1996-04-12	VYDAJ	PREVOD NA UCET	367	81539	POJISTNE	ST	47521537
913452	3113	1996-05-12	VYDAJ	PREVOD NA UCET	367	33918	POJISTNE	ST	47521537
913453	3113	1996-06-12	VYDAJ	PREVOD NA UCET	367	22028	POJISTNE	ST	47521537
913454	3113	1996-07-12	VYDAJ	PREVOD NA UCET	367	5499	POJISTNE	ST	47521537
913455	3113	1996-08-12	VYDAJ	PREVOD NA UCET	367	14272	POJISTNE	ST	47521537
913456	3113	1996-09-12	VYDAJ	PREVOD NA UCET	367	62762	POJISTNE	ST	47521537
913457	3113	1996-10-12	VYDAJ	PREVOD NA UCET	367	36246	POJISTNE	ST	47521537
913458	3113	1996-11-12	VYDAJ	PREVOD NA UCET	367	75435	POJISTNE	ST	47521537
913459	3113	1996-12-12	VYDAJ	PREVOD NA UCET	367	83755	POJISTNE	ST	47521537
913460	3113	1997-01-12	VYDAJ	PREVOD NA UCET	367	28343	POJISTNE	ST	47521537
913461	3113	1997-02-12	VYDAJ	PREVOD NA UCET	367	39942	POJISTNE	ST	47521537
913462	3113	1997-03-12	VYDAJ	PREVOD NA UCET	367	66878	POJISTNE	ST	47521537
913463	3113	1997-04-12	VYDAJ	PREVOD NA UCET	367	40224	POJISTNE	ST	47521537
913464	3113	1997-05-12	VYDAJ	PREVOD NA UCET	367	69448	POJISTNE	ST	47521537
913465	3113	1997-06-12	VYDAJ	PREVOD NA UCET	367	54581	POJISTNE	ST	47521537
913466	3113	1997-07-12	VYDAJ	PREVOD NA UCET	367	57609	POJISTNE	ST	47521537
913467	3113	1997-08-12	VYDAJ	PREVOD NA UCET	367	73958	POJISTNE	ST	47521537
913468	3113	1997-09-12	VYDAJ	PREVOD NA UCET	367	127431	POJISTNE	ST	47521537
913469	3113	1997-10-12	VYDAJ	PREVOD NA UCET	367	62361	POJISTNE	ST	47521537
913470	3113	1997-11-12	VYDAJ	PREVOD NA UCET	367	23258	POJISTNE	ST	47521537
913471	3113	1997-12-12	VYDAJ	PREVOD NA UCET	367	89989	POJISTNE	ST	47521537
913472	3113	1998-01-12	VYDAJ	PREVOD NA UCET	367	77924	POJISTNE	ST	47521537
913473	3113	1998-02-12	VYDAJ	PREVOD NA UCET	367	26805	POJISTNE	ST	47521537
913474	3113	1998-03-12	VYDAJ	PREVOD NA UCET	367	13618	POJISTNE	ST	47521537
913475	3113	1998-04-12	VYDAJ	PREVOD NA UCET	367	4918	POJISTNE	ST	47521537
913476	3113	1998-05-12	VYDAJ	PREVOD NA UCET	367	71504	POJISTNE	ST	47521537
913477	3113	1998-06-12	VYDAJ	PREVOD NA UCET	367	46873	POJISTNE	ST	47521537
913478	3113	1998-07-12	VYDAJ	PREVOD NA UCET	367	38779	POJISTNE	ST	47521537
913479	3113	1998-08-12	VYDAJ	PREVOD NA UCET	367	8116	POJISTNE	ST	47521537
913480	3113	1998-09-12	VYDAJ	PREVOD NA UCET	367	3383	POJISTNE	ST	47521537
913482	3113	1998-11-12	VYDAJ	PREVOD NA UCET	367	31994	POJISTNE	ST	47521537
913483	3113	1998-12-12	VYDAJ	PREVOD NA UCET	367	37434	POJISTNE	ST	47521537
913500	3113	1994-05-08	VYDAJ	PREVOD NA UCET	355	49704	 	GH	11477154
913501	3113	1994-06-08	VYDAJ	PREVOD NA UCET	355	76674	 	GH	11477154
913502	3113	1994-07-08	VYDAJ	PREVOD NA UCET	355	30698	 	GH	11477154
913503	3113	1994-08-08	VYDAJ	PREVOD NA UCET	355	20819	 	GH	11477154
913504	3113	1994-09-08	VYDAJ	PREVOD NA UCET	355	13707	 	GH	11477154
913505	3113	1994-10-08	VYDAJ	PREVOD NA UCET	355	7669	 	GH	11477154
913506	3113	1994-11-08	VYDAJ	PREVOD NA UCET	355	32900	 	GH	11477154
913507	3113	1994-12-08	VYDAJ	PREVOD NA UCET	355	78479	 	GH	11477154
913508	3113	1995-01-08	VYDAJ	PREVOD NA UCET	355	74887	 	GH	11477154
913509	3113	1995-02-08	VYDAJ	PREVOD NA UCET	355	38449	 	GH	11477154
913510	3113	1995-03-08	VYDAJ	PREVOD NA UCET	355	25799	 	GH	11477154
913511	3113	1995-04-08	VYDAJ	PREVOD NA UCET	355	27365	 	GH	11477154
913512	3113	1995-05-08	VYDAJ	PREVOD NA UCET	355	24280	 	GH	11477154
913513	3113	1995-06-08	VYDAJ	PREVOD NA UCET	355	100375	 	GH	11477154
913514	3113	1995-07-08	VYDAJ	PREVOD NA UCET	355	52373	 	GH	11477154
913515	3113	1995-08-08	VYDAJ	PREVOD NA UCET	355	38410	 	GH	11477154
913516	3113	1995-09-08	VYDAJ	PREVOD NA UCET	355	23865	 	GH	11477154
913517	3113	1995-10-08	VYDAJ	PREVOD NA UCET	355	12854	 	GH	11477154
913518	3113	1995-11-08	VYDAJ	PREVOD NA UCET	355	91	 	GH	11477154
913519	3113	1995-12-08	VYDAJ	PREVOD NA UCET	355	12225	 	GH	11477154
913520	3113	1996-01-08	VYDAJ	PREVOD NA UCET	355	-548	 	GH	11477154
913521	3113	1996-02-08	VYDAJ	PREVOD NA UCET	355	61368	 	GH	11477154
913522	3113	1996-03-08	VYDAJ	PREVOD NA UCET	355	23647	 	GH	11477154
913523	3113	1996-04-08	VYDAJ	PREVOD NA UCET	355	48303	 	GH	11477154
913524	3113	1996-05-08	VYDAJ	PREVOD NA UCET	355	46329	 	GH	11477154
913525	3113	1996-06-08	VYDAJ	PREVOD NA UCET	355	34439	 	GH	11477154
913526	3113	1996-07-08	VYDAJ	PREVOD NA UCET	355	17910	 	GH	11477154
913527	3113	1996-08-08	VYDAJ	PREVOD NA UCET	355	26683	 	GH	11477154
913528	3113	1996-09-08	VYDAJ	PREVOD NA UCET	355	67172	 	GH	11477154
913529	3113	1996-10-08	VYDAJ	PREVOD NA UCET	355	48657	 	GH	11477154
913530	3113	1996-11-08	VYDAJ	PREVOD NA UCET	355	79845	 	GH	11477154
913531	3113	1996-12-08	VYDAJ	PREVOD NA UCET	355	88165	 	GH	11477154
913532	3113	1997-01-08	VYDAJ	PREVOD NA UCET	355	46454	 	GH	11477154
913533	3113	1997-02-08	VYDAJ	PREVOD NA UCET	355	52353	 	GH	11477154
913534	3113	1997-03-08	VYDAJ	PREVOD NA UCET	355	79289	 	GH	11477154
913535	3113	1997-04-08	VYDAJ	PREVOD NA UCET	355	52635	 	GH	11477154
913536	3113	1997-05-08	VYDAJ	PREVOD NA UCET	355	73858	 	GH	11477154
913537	3113	1997-06-08	VYDAJ	PREVOD NA UCET	355	44699	 	GH	11477154
913538	3113	1997-07-08	VYDAJ	PREVOD NA UCET	355	40720	 	GH	11477154
913539	3113	1997-08-08	VYDAJ	PREVOD NA UCET	355	33569	 	GH	11477154
913540	3113	1997-09-08	VYDAJ	PREVOD NA UCET	355	104158	 	GH	11477154
913541	3113	1997-10-08	VYDAJ	PREVOD NA UCET	355	74772	 	GH	11477154
913542	3113	1997-11-08	VYDAJ	PREVOD NA UCET	355	27668	 	GH	11477154
913543	3113	1997-12-08	VYDAJ	PREVOD NA UCET	355	56975	 	GH	11477154
913544	3113	1998-01-08	VYDAJ	PREVOD NA UCET	355	108613	 	GH	11477154
913545	3113	1998-02-08	VYDAJ	PREVOD NA UCET	355	31215	 	GH	11477154
913546	3113	1998-03-08	VYDAJ	PREVOD NA UCET	355	18028	 	GH	11477154
913547	3113	1998-04-08	VYDAJ	PREVOD NA UCET	355	5285	 	GH	11477154
913548	3113	1998-05-08	VYDAJ	PREVOD NA UCET	355	53973	 	GH	11477154
913549	3113	1998-06-08	VYDAJ	PREVOD NA UCET	355	51283	 	GH	11477154
913550	3113	1998-07-08	VYDAJ	PREVOD NA UCET	355	26590	 	GH	11477154
913551	3113	1998-08-08	VYDAJ	PREVOD NA UCET	355	20527	 	GH	11477154
913552	3113	1998-09-08	VYDAJ	PREVOD NA UCET	355	7793	 	GH	11477154
913553	3113	1998-10-08	VYDAJ	PREVOD NA UCET	355	3028	 	GH	11477154
913554	3113	1998-11-08	VYDAJ	PREVOD NA UCET	355	36404	 	GH	11477154
913555	3113	1998-12-08	VYDAJ	PREVOD NA UCET	355	41844	 	GH	11477154
913572	3113	1995-04-19	VYBER	VYBER	7869	22111	\N	\N	\N
913576	3113	1995-03-24	VYBER	VYBER	16438	30530	\N	\N	\N
913579	3113	1996-05-15	VYBER	VYBER	6878	78129	\N	\N	\N
913581	3113	1996-06-08	VYBER	VYBER	10394	34794	\N	\N	\N
913583	3113	1997-08-07	VYBER	VYBER	3655	33924	\N	\N	\N
913584	3113	1997-08-28	VYBER	VYBER	15255	62017	\N	\N	\N
913586	3113	1997-09-29	VYBER	VYBER	7935	97578	\N	\N	\N
913587	3113	1997-10-06	VYBER	VYBER	22755	75127	\N	\N	\N
913592	3113	1998-06-04	VYBER	VYBER	16666	62882	\N	\N	\N
913596	3113	1998-06-06	VYBER	VYBER	11244	51638	\N	\N	\N
913598	3113	1994-12-02	VYDAJ	VYBER	5700	91434	\N	\N	\N
913600	3113	1996-12-19	VYDAJ	VYBER	7800	88897	\N	\N	\N
913615	3113	1995-01-01	VYDAJ	VYBER	1500	83642	\N	\N	\N
913616	3113	1995-01-02	VYDAJ	VYBER	8400	75242	\N	\N	\N
913617	3113	1995-01-17	VYDAJ	VYBER	2700	34776	\N	\N	\N
913618	3113	1995-01-22	VYDAJ	VYBER	5700	29076	\N	\N	\N
913619	3113	1995-01-30	VYDAJ	VYBER	6000	21276	\N	\N	\N
913620	3113	1995-01-30	VYDAJ	VYBER	1800	27276	\N	\N	\N
913627	3113	1997-01-07	VYDAJ	VYBER	4200	46809	\N	\N	\N
913628	3113	1997-01-03	VYDAJ	VYBER	7800	51009	\N	\N	\N
913630	3113	1997-01-09	VYDAJ	VYBER	3000	40754	\N	\N	\N
913631	3113	1997-01-29	VYDAJ	VYBER	6600	52488	\N	\N	\N
913632	3113	1997-01-09	VYDAJ	VYBER	2700	43754	\N	\N	\N
913633	3113	1998-01-06	VYDAJ	VYBER KARTOU	3900	71463	\N	\N	0
913634	3113	1998-01-07	VYDAJ	VYBER KARTOU	2700	61263	\N	\N	0
913635	3113	1998-01-07	VYDAJ	VYBER	7500	63963	\N	\N	\N
913636	3113	1998-01-25	VYDAJ	VYBER	8100	34323	\N	\N	\N
913637	3113	1998-01-26	VYDAJ	VYBER KARTOU	3000	31323	\N	\N	0
913638	3113	1998-01-04	VYDAJ	VYBER	7200	75363	\N	\N	\N
913643	3113	1994-12-02	VYDAJ	VYBER	12600	78834	\N	\N	\N
913644	3113	1994-06-29	VYDAJ	VYBER	13200	30863	\N	\N	\N
913648	3113	1995-09-01	VYDAJ	VYBER	2100	29120	\N	\N	\N
913651	3113	1996-02-10	VYDAJ	VYBER	11100	46225	\N	\N	\N
913652	3113	1996-05-02	VYDAJ	VYBER	3300	88084	\N	\N	\N
913653	3113	1997-12-28	VYDAJ	VYBER	7500	49233	\N	\N	\N
913654	3113	1997-11-07	VYDAJ	VYBER KARTOU	3000	28023	\N	\N	0
913655	3113	1997-10-26	VYDAJ	VYBER	10200	30761	\N	\N	\N
913661	3113	1998-01-01	VYDAJ	VYBER	12600	36880	\N	\N	\N
913678	3113	1994-04-30	VYDAJ	VYBER	15	43524	SLUZBY	\N	\N
913679	3113	1994-05-31	VYDAJ	VYBER	15	33235	SLUZBY	\N	\N
913680	3113	1994-06-30	VYDAJ	VYBER	15	31053	SLUZBY	\N	\N
913681	3113	1994-07-31	VYDAJ	VYBER	15	21174	SLUZBY	\N	\N
913682	3113	1994-08-31	VYDAJ	VYBER	15	14062	SLUZBY	\N	\N
913683	3113	1994-09-30	VYDAJ	VYBER	15	8024	SLUZBY	\N	\N
913684	3113	1994-10-31	VYDAJ	VYBER	15	6877	SLUZBY	\N	\N
913685	3113	1994-11-30	VYDAJ	VYBER	15	97134	SLUZBY	\N	\N
913686	3113	1994-12-31	VYDAJ	VYBER	15	85142	SLUZBY	\N	\N
913687	3113	1995-01-31	VYDAJ	VYBER	15	21445	SLUZBY	\N	\N
913688	3113	1995-02-28	VYDAJ	VYBER	15	26154	SLUZBY	\N	\N
913689	3113	1995-03-31	VYDAJ	VYBER	15	30620	SLUZBY	\N	\N
913690	3113	1995-04-30	VYDAJ	VYBER	15	33235	SLUZBY	\N	\N
913691	3113	1995-05-31	VYDAJ	VYBER	15	95032	SLUZBY	\N	\N
913692	3113	1995-06-30	VYDAJ	VYBER	15	88328	SLUZBY	\N	\N
913693	3113	1995-07-31	VYDAJ	VYBER	15	66965	SLUZBY	\N	\N
913694	3113	1995-08-31	VYDAJ	VYBER	15	31220	SLUZBY	\N	\N
913695	3113	1995-09-30	VYDAJ	VYBER	15	11509	SLUZBY	\N	\N
913696	3113	1995-10-31	VYDAJ	VYBER	15	446	SLUZBY	\N	\N
913697	3113	1995-11-30	VYDAJ	VYBER	15	5280	SLUZBY	\N	\N
913698	3113	1995-12-31	VYDAJ	VYBER	15	-193	SLUZBY	\N	\N
913699	3113	1996-01-31	VYDAJ	VYBER	15	15018	SLUZBY	\N	\N
913700	3113	1996-02-29	VYDAJ	VYBER	15	38002	SLUZBY	\N	\N
913701	3113	1996-03-31	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
913702	3113	1996-04-30	VYDAJ	VYBER	15	114384	SLUZBY	\N	\N
913703	3113	1996-05-31	VYDAJ	VYBER	15	78388	SLUZBY	\N	\N
913704	3113	1996-06-30	VYDAJ	VYBER	15	22165	SLUZBY	\N	\N
913705	3113	1996-07-31	VYDAJ	VYBER	15	5528	SLUZBY	\N	\N
913706	3113	1996-08-31	VYDAJ	VYBER	15	67527	SLUZBY	\N	\N
913707	3113	1996-09-30	VYDAJ	VYBER	15	49012	SLUZBY	\N	\N
913708	3113	1996-10-31	VYDAJ	VYBER	15	40736	SLUZBY	\N	\N
913709	3113	1996-11-30	VYDAJ	VYBER	15	59344	SLUZBY	\N	\N
913710	3113	1996-12-31	VYDAJ	VYBER	15	58809	SLUZBY	\N	\N
913711	3113	1997-01-31	VYDAJ	VYBER	15	52708	SLUZBY	\N	\N
913712	3113	1997-02-28	VYDAJ	VYBER	15	32024	SLUZBY	\N	\N
913713	3113	1997-03-31	VYDAJ	VYBER	15	52990	SLUZBY	\N	\N
913714	3113	1997-04-30	VYDAJ	VYBER	15	33390	SLUZBY	\N	\N
913715	3113	1997-05-31	VYDAJ	VYBER	15	45054	SLUZBY	\N	\N
913716	3113	1997-06-30	VYDAJ	VYBER	15	41075	SLUZBY	\N	\N
913717	3113	1997-07-31	VYDAJ	VYBER	15	37579	SLUZBY	\N	\N
913718	3113	1997-08-31	VYDAJ	VYBER	15	62238	SLUZBY	\N	\N
913719	3113	1997-09-30	VYDAJ	VYBER	15	97882	SLUZBY	\N	\N
913720	3113	1997-10-31	VYDAJ	VYBER	15	31023	SLUZBY	\N	\N
913721	3113	1997-11-30	VYDAJ	VYBER	15	17226	SLUZBY	\N	\N
913722	3113	1997-12-31	VYDAJ	VYBER	15	49480	SLUZBY	\N	\N
913723	3113	1998-01-31	VYDAJ	VYBER	15	31570	SLUZBY	\N	\N
913724	3113	1998-02-28	VYDAJ	VYBER	15	18383	SLUZBY	\N	\N
913725	3113	1998-03-31	VYDAJ	VYBER	15	5640	SLUZBY	\N	\N
913726	3113	1998-04-30	VYDAJ	VYBER	15	54328	SLUZBY	\N	\N
913727	3113	1998-05-31	VYDAJ	VYBER	15	79548	SLUZBY	\N	\N
913728	3113	1998-06-30	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
913729	3113	1998-07-31	VYDAJ	VYBER	15	20882	SLUZBY	\N	\N
913730	3113	1998-08-31	VYDAJ	VYBER	15	8148	SLUZBY	\N	\N
913731	3113	1998-09-30	VYDAJ	VYBER	15	3383	SLUZBY	\N	\N
913732	3113	1998-10-31	VYDAJ	VYBER	15	36759	SLUZBY	\N	\N
913733	3113	1998-11-30	VYDAJ	VYBER	15	42199	SLUZBY	\N	\N
913734	3113	1993-09-15	PRIJEM	VKLAD	13300	13700	\N	\N	\N
913735	3113	1993-10-15	VYDAJ	VYBER	14300	37414	\N	\N	\N
913736	3113	1993-11-14	VYDAJ	VYBER	7700	29800	\N	\N	\N
913737	3113	1993-12-14	VYDAJ	VYBER	2500	27455	\N	\N	\N
913738	3113	1994-01-13	VYDAJ	VYBER	11800	39939	\N	\N	\N
913739	3113	1994-02-12	VYDAJ	VYBER	12100	38340	\N	\N	\N
913740	3113	1994-03-14	VYDAJ	VYBER	9100	29402	\N	\N	\N
913741	3113	1994-04-13	VYDAJ	VYBER	18300	43341	\N	\N	\N
913742	3113	1994-05-13	VYDAJ	VYBER	4200	33093	\N	\N	\N
913743	3113	1994-06-12	VYDAJ	VYBER	20200	52064	\N	\N	\N
913744	3113	1994-07-12	PRIJEM	VKLAD	2800	29455	\N	\N	\N
913745	3113	1994-08-11	PRIJEM	VKLAD	5600	22376	\N	\N	\N
913746	3113	1994-09-10	PRIJEM	VKLAD	6700	20407	\N	\N	\N
913747	3113	1994-10-10	PRIJEM	VKLAD	11600	19269	\N	\N	\N
913748	3113	1994-11-09	VYDAJ	VYBER	3400	29500	\N	\N	\N
913749	3113	1994-11-23	VYDAJ	VYBER	19800	94332	\N	\N	\N
913750	3113	1994-11-25	VYDAJ	VYBER	29700	96954	\N	\N	\N
913751	3113	1994-12-09	VYDAJ	VYBER	32400	53947	\N	\N	\N
913752	3113	1995-01-08	VYDAJ	VYBER	25000	49887	\N	\N	\N
913753	3113	1995-02-07	VYDAJ	VYBER	16500	38804	\N	\N	\N
913754	3113	1995-03-09	VYDAJ	VYBER	3500	22299	\N	\N	\N
913755	3113	1995-04-08	VYDAJ	VYBER	2900	27720	\N	\N	\N
913756	3113	1995-05-08	VYDAJ	VYBER	8600	24635	\N	\N	\N
913757	3113	1995-06-07	VYDAJ	VYBER	39600	55432	\N	\N	\N
913758	3113	1995-07-07	VYDAJ	VYBER	35600	52728	\N	\N	\N
913759	3113	1995-08-06	VYDAJ	VYBER	28200	38765	\N	\N	\N
913760	3113	1995-09-05	VYDAJ	VYBER	4900	24220	\N	\N	\N
913761	3113	1995-10-05	PRIJEM	VKLAD	1700	13209	\N	\N	\N
913762	3113	1995-12-04	PRIJEM	VKLAD	7300	12580	\N	\N	\N
913763	3113	1996-02-02	VYDAJ	VYBER	1800	13218	\N	\N	\N
913764	3113	1996-03-03	VYDAJ	VYBER	14000	24002	\N	\N	\N
913765	3113	1996-04-02	VYDAJ	VYBER	41400	48658	\N	\N	\N
913766	3113	1996-04-30	VYDAJ	VYBER	23000	91384	\N	\N	\N
913767	3113	1996-05-02	VYDAJ	VYBER	41400	46684	\N	\N	\N
913768	3113	1996-06-01	VYDAJ	VYBER	33200	45188	\N	\N	\N
913769	3113	1996-07-01	VYDAJ	VYBER	3900	18265	\N	\N	\N
913770	3113	1996-08-28	VYDAJ	VYBER	21600	98899	\N	\N	\N
913771	3113	1996-08-30	VYDAJ	VYBER	25600	121210	\N	\N	\N
913772	3113	1996-08-30	VYDAJ	VYBER	53800	67410	\N	\N	\N
913773	3113	1996-09-29	VYDAJ	VYBER	38000	48775	\N	\N	\N
913774	3113	1996-10-29	VYDAJ	VYBER	32300	40572	\N	\N	\N
913775	3113	1996-11-28	VYDAJ	VYBER	45800	59087	\N	\N	\N
913776	3113	1996-12-24	VYDAJ	VYBER	45000	94965	\N	\N	\N
913777	3113	1996-12-28	VYDAJ	VYBER	36500	58465	\N	\N	\N
913778	3113	1997-01-27	VYDAJ	VYBER	37400	59088	\N	\N	\N
913779	3113	1997-02-26	VYDAJ	VYBER	8100	31842	\N	\N	\N
913780	3113	1997-03-13	VYDAJ	VYBER	28900	84269	\N	\N	\N
913781	3113	1997-03-28	VYDAJ	VYBER	31600	52669	\N	\N	\N
913782	3113	1997-04-27	VYDAJ	VYBER	7000	33224	\N	\N	\N
913783	3113	1997-05-27	VYDAJ	VYBER	16600	44847	\N	\N	\N
913784	3113	1997-06-26	VYDAJ	VYBER	13700	40881	\N	\N	\N
913785	3113	1997-07-26	VYDAJ	VYBER	12200	37408	\N	\N	\N
913786	3113	1997-08-25	VYDAJ	VYBER	26900	52923	\N	\N	\N
913787	3113	1997-09-12	VYDAJ	VYBER	19600	99830	\N	\N	\N
913788	3113	1997-09-17	VYDAJ	VYBER	62000	48669	\N	\N	\N
913789	3113	1997-09-24	VYDAJ	VYBER	32800	60092	\N	\N	\N
913790	3113	1997-10-24	VYDAJ	VYBER	21400	40961	\N	\N	\N
913791	3113	1997-11-23	PRIJEM	VKLAD	1900	17157	\N	\N	\N
913792	3113	1997-12-18	VYDAJ	VYBER	29600	94833	\N	\N	\N
913793	3113	1997-12-23	VYDAJ	VYBER	38100	56733	\N	\N	\N
913794	3113	1998-01-10	VYDAJ	VYBER	50800	82334	\N	\N	\N
913795	3113	1998-01-22	VYDAJ	VYBER	27500	42423	\N	\N	\N
913796	3113	1998-02-21	VYDAJ	VYBER KARTOU	500	18304	\N	\N	0
913797	3113	1998-05-22	VYDAJ	VYBER	24600	38903	\N	\N	\N
913798	3113	1998-06-21	VYDAJ	VYBER	12100	26772	\N	\N	\N
913799	3113	1998-07-21	VYDAJ	VYBER	10000	20778	\N	\N	\N
913800	3113	1998-10-19	VYDAJ	VYBER	12800	21233	\N	\N	\N
913801	3113	1998-11-18	VYDAJ	VYBER	28900	42062	\N	\N	\N
913873	3114	1996-06-15	PRIJEM	VKLAD	700	700	\N	\N	\N
913875	3114	1996-08-19	PRIJEM	VKLAD	41483	64921	\N	\N	\N
913876	3114	1997-12-02	PRIJEM	VKLAD	17145	70412	\N	\N	\N
913877	3114	1997-12-29	PRIJEM	VKLAD	29443	88555	\N	\N	\N
913878	3114	1998-06-08	PRIJEM	VKLAD	38189	92164	\N	\N	\N
913879	3114	1998-01-04	PRIJEM	VKLAD	39431	128229	\N	\N	\N
913885	3114	1996-06-16	PRIJEM	VKLAD	700	1400	\N	\N	\N
913886	3114	1996-07-14	PRIJEM	VKLAD	700	2103	\N	\N	\N
913887	3114	1996-08-17	PRIJEM	VKLAD	700	23438	\N	\N	\N
913888	3114	1996-09-16	PRIJEM	VKLAD	700	48872	\N	\N	\N
913889	3114	1996-10-13	PRIJEM	VKLAD	700	49794	\N	\N	\N
913890	3114	1996-11-17	PRIJEM	VKLAD	700	38885	\N	\N	\N
913891	3114	1996-12-16	PRIJEM	VKLAD	700	36638	\N	\N	\N
913892	3114	1997-01-13	PRIJEM	VKLAD	700	34179	\N	\N	\N
913893	3114	1997-02-13	PRIJEM	VKLAD	700	37902	\N	\N	\N
913894	3114	1997-03-14	PRIJEM	VKLAD	700	36830	\N	\N	\N
913895	3114	1997-04-14	PRIJEM	VKLAD	700	40968	\N	\N	\N
913896	3114	1997-05-14	PRIJEM	VKLAD	700	42714	\N	\N	\N
913897	3114	1997-06-14	PRIJEM	VKLAD	700	41574	\N	\N	\N
913898	3114	1997-07-14	PRIJEM	VKLAD	700	43516	\N	\N	\N
913899	3114	1997-08-17	PRIJEM	VKLAD	700	48767	\N	\N	\N
913900	3114	1997-09-15	PRIJEM	VKLAD	700	49744	\N	\N	\N
913901	3114	1997-10-16	PRIJEM	VKLAD	700	49933	\N	\N	\N
913902	3114	1997-11-13	PRIJEM	VKLAD	700	53070	\N	\N	\N
913903	3114	1997-12-16	PRIJEM	VKLAD	700	61312	\N	\N	\N
913904	3114	1998-01-14	PRIJEM	VKLAD	700	56129	\N	\N	\N
913905	3114	1998-02-13	PRIJEM	VKLAD	700	50663	\N	\N	\N
913906	3114	1998-03-17	PRIJEM	VKLAD	700	50862	\N	\N	\N
913907	3114	1998-04-15	PRIJEM	VKLAD	700	56659	\N	\N	\N
913908	3114	1998-05-13	PRIJEM	VKLAD	700	53068	\N	\N	\N
913909	3114	1998-06-13	PRIJEM	VKLAD	700	92064	\N	\N	\N
913910	3114	1998-07-17	PRIJEM	VKLAD	700	58957	\N	\N	\N
913911	3114	1998-08-13	PRIJEM	VKLAD	700	56897	\N	\N	\N
913912	3114	1998-09-13	PRIJEM	VKLAD	700	49123	\N	\N	\N
913913	3114	1998-10-14	PRIJEM	VKLAD	700	45218	\N	\N	\N
913914	3114	1998-11-16	PRIJEM	VKLAD	700	45797	\N	\N	\N
913915	3114	1998-12-14	PRIJEM	VKLAD	700	46372	\N	\N	\N
913917	3114	1997-06-06	VYDAJ	VYBER	5000	36274	\N	\N	\N
913918	3114	1998-06-17	VYDAJ	VYBER	12300	79764	\N	\N	\N
913920	3114	1997-01-05	VYDAJ	VYBER	3000	33779	\N	\N	\N
913921	3114	1998-01-28	VYDAJ	VYBER KARTOU	1700	51629	\N	\N	0
913923	3114	1997-06-16	VYDAJ	VYBER	7100	34474	\N	\N	\N
913924	3114	1998-06-25	VYDAJ	VYBER	15700	64064	\N	\N	\N
913926	3114	1997-01-25	VYDAJ	VYBER	1700	30429	\N	\N	\N
913927	3114	1998-01-07	VYDAJ	VYBER	8100	57329	\N	\N	\N
913928	3114	1996-12-13	VYDAJ	VYBER	800	35938	\N	\N	\N
913929	3114	1997-12-23	VYDAJ	VYBER KARTOU	2200	59112	\N	\N	0
913930	3114	1998-12-16	VYDAJ	VYBER KARTOU	1600	44772	\N	\N	0
913937	3114	1997-01-28	VYDAJ	VYBER	1350	29079	\N	\N	\N
913938	3114	1997-01-07	VYDAJ	VYBER	750	31679	\N	\N	\N
913939	3114	1997-01-17	VYDAJ	VYBER	250	33929	\N	\N	\N
913940	3114	1997-01-21	VYDAJ	VYBER	1400	32529	\N	\N	\N
913941	3114	1997-01-07	VYDAJ	VYBER	1350	32429	\N	\N	\N
913942	3114	1997-01-24	VYDAJ	VYBER	400	32129	\N	\N	\N
913943	3114	1998-01-28	VYDAJ	VYBER KARTOU	1300	53329	\N	\N	0
913944	3114	1998-01-08	VYDAJ	VYBER KARTOU	900	55429	\N	\N	0
913945	3114	1998-01-08	VYDAJ	VYBER KARTOU	1000	56329	\N	\N	0
913946	3114	1998-01-25	VYDAJ	VYBER KARTOU	300	54629	\N	\N	0
913947	3114	1998-01-24	VYDAJ	VYBER KARTOU	600	54929	\N	\N	0
913948	3114	1998-01-19	VYDAJ	VYBER KARTOU	600	55529	\N	\N	0
913956	3114	1997-03-16	VYDAJ	VYBER	1400	35430	\N	\N	\N
913957	3114	1997-06-11	VYDAJ	VYBER	2300	40874	\N	\N	\N
913958	3114	1997-09-25	VYDAJ	VYBER	2400	47344	\N	\N	\N
913959	3114	1997-10-26	VYDAJ	VYBER	2050	47883	\N	\N	\N
913960	3114	1997-06-03	VYDAJ	VYBER	1600	41274	\N	\N	\N
913961	3114	1998-06-09	VYDAJ	VYBER KARTOU	800	91364	\N	\N	0
913962	3114	1998-09-16	VYDAJ	VYBER KARTOU	1200	47923	\N	\N	0
913963	3114	1998-04-26	VYDAJ	VYBER KARTOU	2400	54259	\N	\N	0
913964	3114	1998-07-13	VYDAJ	VYBER KARTOU	2100	58257	\N	\N	0
913965	3114	1998-05-21	VYDAJ	VYBER KARTOU	800	52268	\N	\N	0
913966	3114	1998-09-09	VYDAJ	VYBER KARTOU	2200	48423	\N	\N	0
913976	3114	1996-09-30	VYDAJ	VYBER	15	49094	SLUZBY	\N	\N
913977	3114	1996-10-31	VYDAJ	VYBER	15	41285	SLUZBY	\N	\N
913978	3114	1996-11-30	VYDAJ	VYBER	15	39038	SLUZBY	\N	\N
913979	3114	1996-12-31	VYDAJ	VYBER	15	36779	SLUZBY	\N	\N
913980	3114	1997-01-31	VYDAJ	VYBER	15	29202	SLUZBY	\N	\N
913981	3114	1997-02-28	VYDAJ	VYBER	15	38030	SLUZBY	\N	\N
913982	3114	1997-03-31	VYDAJ	VYBER	15	35568	SLUZBY	\N	\N
913983	3114	1997-04-30	VYDAJ	VYBER	15	41114	SLUZBY	\N	\N
913984	3114	1997-05-31	VYDAJ	VYBER	15	42874	SLUZBY	\N	\N
913985	3114	1997-06-30	VYDAJ	VYBER	15	34616	SLUZBY	\N	\N
913986	3114	1997-07-31	VYDAJ	VYBER	15	43667	SLUZBY	\N	\N
913987	3114	1997-08-31	VYDAJ	VYBER	15	48944	SLUZBY	\N	\N
913988	3114	1997-09-30	VYDAJ	VYBER	15	47533	SLUZBY	\N	\N
913989	3114	1997-10-31	VYDAJ	VYBER	15	48070	SLUZBY	\N	\N
913990	3114	1997-11-30	VYDAJ	VYBER	15	53267	SLUZBY	\N	\N
913991	3114	1997-12-31	VYDAJ	VYBER	15	88798	SLUZBY	\N	\N
913992	3114	1998-01-31	VYDAJ	VYBER	15	51863	SLUZBY	\N	\N
913993	3114	1998-02-28	VYDAJ	VYBER	15	50862	SLUZBY	\N	\N
913994	3114	1998-03-31	VYDAJ	VYBER	15	51059	SLUZBY	\N	\N
913995	3114	1998-04-30	VYDAJ	VYBER	15	54468	SLUZBY	\N	\N
913996	3114	1998-05-31	VYDAJ	VYBER	15	52475	SLUZBY	\N	\N
913997	3114	1998-06-30	VYDAJ	VYBER	15	64357	SLUZBY	\N	\N
913998	3114	1998-07-31	VYDAJ	VYBER	15	59197	SLUZBY	\N	\N
913999	3114	1998-08-31	VYDAJ	VYBER	15	57123	SLUZBY	\N	\N
914000	3114	1998-09-30	VYDAJ	VYBER	15	48118	SLUZBY	\N	\N
914001	3114	1998-10-31	VYDAJ	VYBER	15	45397	SLUZBY	\N	\N
914002	3114	1998-11-30	VYDAJ	VYBER	15	45972	SLUZBY	\N	\N
914003	3114	1996-07-15	PRIJEM	VKLAD	12200	14303	\N	\N	\N
914004	3114	1996-08-14	PRIJEM	VKLAD	8400	22738	\N	\N	\N
914005	3114	1996-09-13	VYDAJ	VYBER	16900	48172	\N	\N	\N
914006	3114	1996-10-13	VYDAJ	VYBER	8700	41094	\N	\N	\N
914007	3114	1996-11-12	VYDAJ	VYBER	3100	38185	\N	\N	\N
914008	3114	1996-12-12	VYDAJ	VYBER	2300	36738	\N	\N	\N
914009	3114	1997-01-11	PRIJEM	VKLAD	1800	33479	\N	\N	\N
914010	3114	1997-02-10	PRIJEM	VKLAD	8000	37202	\N	\N	\N
914011	3114	1997-03-12	VYDAJ	VYBER	1900	36130	\N	\N	\N
914012	3114	1997-04-11	PRIJEM	VKLAD	4700	40268	\N	\N	\N
914013	3114	1997-05-11	PRIJEM	VKLAD	900	42014	\N	\N	\N
914014	3114	1997-06-10	PRIJEM	VKLAD	6900	43174	\N	\N	\N
914015	3114	1997-07-10	PRIJEM	VKLAD	8200	42816	\N	\N	\N
914016	3114	1997-08-09	PRIJEM	VKLAD	4400	48067	\N	\N	\N
914017	3114	1997-09-08	PRIJEM	VKLAD	100	49044	\N	\N	\N
914018	3114	1997-10-08	PRIJEM	VKLAD	1700	49233	\N	\N	\N
914019	3114	1997-11-07	PRIJEM	VKLAD	4300	52370	\N	\N	\N
914020	3114	1997-12-07	VYDAJ	VYBER	9800	60612	\N	\N	\N
914021	3114	1998-01-04	VYDAJ	VYBER	54800	73429	\N	\N	\N
914022	3114	1998-01-06	VYDAJ	VYBER	8000	65429	\N	\N	\N
914023	3114	1998-02-05	VYDAJ	VYBER KARTOU	1900	49963	\N	\N	0
914024	3114	1998-03-07	VYDAJ	VYBER KARTOU	700	50162	\N	\N	0
914025	3114	1998-04-06	PRIJEM	VKLAD	4900	55959	\N	\N	\N
914026	3114	1998-05-06	VYDAJ	VYBER KARTOU	2100	52368	\N	\N	0
914027	3114	1998-06-05	PRIJEM	VKLAD	1500	53975	\N	\N	\N
914028	3114	1998-07-05	VYDAJ	VYBER KARTOU	4000	60357	\N	\N	0
914029	3114	1998-08-04	VYDAJ	VYBER KARTOU	3000	56197	\N	\N	0
914030	3114	1998-09-03	VYDAJ	VYBER	6500	50623	\N	\N	\N
914031	3114	1998-10-03	VYDAJ	VYBER KARTOU	3600	44518	\N	\N	0
914032	3114	1998-11-02	VYDAJ	VYBER KARTOU	300	45097	\N	\N	0
914033	3114	1998-12-02	VYDAJ	VYBER KARTOU	300	45672	\N	\N	0
914065	3115	1996-03-27	PRIJEM	VKLAD	700	700	\N	\N	\N
914069	3115	1996-04-08	PRIJEM	PREVOD Z UCTU	32120	32820	\N	ST	41944837
914070	3115	1996-05-08	PRIJEM	PREVOD Z UCTU	32120	57658	\N	ST	41944837
914071	3115	1996-06-08	PRIJEM	PREVOD Z UCTU	48180	90257	\N	ST	41944837
914072	3115	1996-07-08	PRIJEM	PREVOD Z UCTU	32120	88564	\N	ST	41944837
914073	3115	1996-08-08	PRIJEM	PREVOD Z UCTU	32120	89519	\N	ST	41944837
914074	3115	1996-09-08	PRIJEM	PREVOD Z UCTU	32120	52264	\N	ST	41944837
914075	3115	1996-10-08	PRIJEM	PREVOD Z UCTU	32120	51840	\N	ST	41944837
914076	3115	1996-11-08	PRIJEM	PREVOD Z UCTU	32120	51907	\N	ST	41944837
914077	3115	1996-12-08	PRIJEM	PREVOD Z UCTU	48180	76107	\N	ST	41944837
914078	3115	1997-01-08	PRIJEM	PREVOD Z UCTU	32120	52969	\N	ST	41944837
914079	3115	1997-02-08	PRIJEM	PREVOD Z UCTU	32120	52110	\N	ST	41944837
914080	3115	1997-03-08	PRIJEM	PREVOD Z UCTU	32120	56384	\N	ST	41944837
914081	3115	1997-04-08	PRIJEM	PREVOD Z UCTU	32120	64462	\N	ST	41944837
914082	3115	1997-05-08	PRIJEM	PREVOD Z UCTU	32120	67755	\N	ST	41944837
914083	3115	1997-06-08	PRIJEM	PREVOD Z UCTU	48180	78408	\N	ST	41944837
914084	3115	1997-07-08	PRIJEM	PREVOD Z UCTU	32120	71234	\N	ST	41944837
914085	3115	1997-08-08	PRIJEM	PREVOD Z UCTU	32120	63463	\N	ST	41944837
914086	3115	1997-09-08	PRIJEM	PREVOD Z UCTU	32120	57138	\N	ST	41944837
914087	3115	1997-10-08	PRIJEM	PREVOD Z UCTU	32120	55484	\N	ST	41944837
914088	3115	1997-11-08	PRIJEM	PREVOD Z UCTU	32120	56234	\N	ST	41944837
914089	3115	1997-12-08	PRIJEM	PREVOD Z UCTU	48180	74654	\N	ST	41944837
914090	3115	1998-01-08	PRIJEM	PREVOD Z UCTU	32120	57148	\N	ST	41944837
914091	3115	1998-02-08	PRIJEM	PREVOD Z UCTU	32120	50279	\N	ST	41944837
914092	3115	1998-03-08	PRIJEM	PREVOD Z UCTU	32120	50508	\N	ST	41944837
914093	3115	1998-04-08	PRIJEM	PREVOD Z UCTU	32120	49628	\N	ST	41944837
914094	3115	1998-05-08	PRIJEM	PREVOD Z UCTU	32120	55157	\N	ST	41944837
914095	3115	1998-06-08	PRIJEM	PREVOD Z UCTU	48180	69954	\N	ST	41944837
914096	3115	1998-07-08	PRIJEM	PREVOD Z UCTU	32120	53754	\N	ST	41944837
914097	3115	1998-08-08	PRIJEM	PREVOD Z UCTU	32120	50587	\N	ST	41944837
914098	3115	1998-09-08	PRIJEM	PREVOD Z UCTU	32120	51407	\N	ST	41944837
914099	3115	1998-10-08	PRIJEM	PREVOD Z UCTU	32120	52437	\N	ST	41944837
914100	3115	1998-11-08	PRIJEM	PREVOD Z UCTU	32120	46253	\N	ST	41944837
914101	3115	1998-12-08	PRIJEM	PREVOD Z UCTU	48180	74449	\N	ST	41944837
914109	3115	1996-08-08	VYDAJ	VYBER	6700	68096	\N	\N	0
914110	3115	1996-08-29	VYDAJ	VYBER	6000	29996	\N	\N	0
914111	3115	1996-10-26	VYDAJ	VYBER	4100	19702	\N	\N	0
914112	3115	1996-11-27	VYDAJ	VYBER	5000	27784	\N	\N	0
914113	3115	1996-12-12	VYDAJ	PREVOD NA UCET	5353	32543	UVER	UV	94811379
914114	3115	1997-01-12	VYDAJ	PREVOD NA UCET	5353	32893	UVER	UV	94811379
914115	3115	1997-02-12	VYDAJ	PREVOD NA UCET	5353	28510	UVER	UV	94811379
914116	3115	1997-03-12	VYDAJ	PREVOD NA UCET	5353	36307	UVER	UV	94811379
914117	3115	1997-04-12	VYDAJ	PREVOD NA UCET	5353	44386	UVER	UV	94811379
914118	3115	1997-05-12	VYDAJ	PREVOD NA UCET	5353	47679	UVER	UV	94811379
914119	3115	1997-06-12	VYDAJ	PREVOD NA UCET	5353	58331	UVER	UV	94811379
914120	3115	1997-07-12	VYDAJ	PREVOD NA UCET	5353	51157	UVER	UV	94811379
914121	3115	1997-08-12	VYDAJ	PREVOD NA UCET	5353	43387	UVER	UV	94811379
914122	3115	1997-09-12	VYDAJ	PREVOD NA UCET	5353	30461	UVER	UV	94811379
914123	3115	1997-10-12	VYDAJ	PREVOD NA UCET	5353	35407	UVER	UV	94811379
914124	3115	1997-11-12	VYDAJ	PREVOD NA UCET	5353	36158	UVER	UV	94811379
914125	3115	1997-12-12	VYDAJ	PREVOD NA UCET	5353	54577	UVER	UV	94811379
914126	3115	1998-01-12	VYDAJ	PREVOD NA UCET	5353	28672	UVER	UV	94811379
914127	3115	1998-02-12	VYDAJ	PREVOD NA UCET	5353	30203	UVER	UV	94811379
914128	3115	1998-03-12	VYDAJ	PREVOD NA UCET	5353	30431	UVER	UV	94811379
914129	3115	1998-04-12	VYDAJ	PREVOD NA UCET	5353	29552	UVER	UV	94811379
914130	3115	1998-05-12	VYDAJ	PREVOD NA UCET	5353	35081	UVER	UV	94811379
914131	3115	1998-06-12	VYDAJ	PREVOD NA UCET	5353	38239	UVER	UV	94811379
914132	3115	1998-07-12	VYDAJ	PREVOD NA UCET	5353	33678	UVER	UV	94811379
914133	3115	1998-08-12	VYDAJ	PREVOD NA UCET	5353	30511	UVER	UV	94811379
914134	3115	1998-09-12	VYDAJ	PREVOD NA UCET	5353	31331	UVER	UV	94811379
914135	3115	1998-10-12	VYDAJ	PREVOD NA UCET	5353	32361	UVER	UV	94811379
914136	3115	1998-11-12	VYDAJ	PREVOD NA UCET	5353	26176	UVER	UV	94811379
914137	3115	1998-12-12	VYDAJ	PREVOD NA UCET	5353	54373	UVER	UV	94811379
914145	3115	1996-08-08	VYDAJ	PREVOD NA UCET	14723	74796	SIPO	IJ	68203913
914146	3115	1996-09-08	VYDAJ	PREVOD NA UCET	14723	37541	SIPO	IJ	68203913
914147	3115	1996-10-08	VYDAJ	PREVOD NA UCET	14723	37117	SIPO	IJ	68203913
914148	3115	1996-11-08	VYDAJ	PREVOD NA UCET	14723	37184	SIPO	IJ	68203913
914149	3115	1996-12-08	VYDAJ	PREVOD NA UCET	14723	37896	SIPO	IJ	68203913
914150	3115	1997-01-08	VYDAJ	PREVOD NA UCET	14723	38246	SIPO	IJ	68203913
914151	3115	1997-02-08	VYDAJ	PREVOD NA UCET	14723	37387	SIPO	IJ	68203913
914152	3115	1997-03-08	VYDAJ	PREVOD NA UCET	14723	41661	SIPO	IJ	68203913
914153	3115	1997-04-08	VYDAJ	PREVOD NA UCET	14723	49739	SIPO	IJ	68203913
914154	3115	1997-05-08	VYDAJ	PREVOD NA UCET	14723	53032	SIPO	IJ	68203913
914155	3115	1997-06-08	VYDAJ	PREVOD NA UCET	14723	63685	SIPO	IJ	68203913
914156	3115	1997-07-08	VYDAJ	PREVOD NA UCET	14723	56511	SIPO	IJ	68203913
914157	3115	1997-08-08	VYDAJ	PREVOD NA UCET	14723	48740	SIPO	IJ	68203913
914158	3115	1997-09-08	VYDAJ	PREVOD NA UCET	14723	42415	SIPO	IJ	68203913
914159	3115	1997-10-08	VYDAJ	PREVOD NA UCET	14723	40761	SIPO	IJ	68203913
914160	3115	1997-11-08	VYDAJ	PREVOD NA UCET	14723	41511	SIPO	IJ	68203913
914161	3115	1997-12-08	VYDAJ	PREVOD NA UCET	14723	59931	SIPO	IJ	68203913
914162	3115	1998-01-08	VYDAJ	PREVOD NA UCET	14723	42425	SIPO	IJ	68203913
914163	3115	1998-02-08	VYDAJ	PREVOD NA UCET	14723	35556	SIPO	IJ	68203913
914164	3115	1998-03-08	VYDAJ	PREVOD NA UCET	14723	35785	SIPO	IJ	68203913
914165	3115	1998-04-08	VYDAJ	PREVOD NA UCET	14723	34905	SIPO	IJ	68203913
914166	3115	1998-05-08	VYDAJ	PREVOD NA UCET	14723	40434	SIPO	IJ	68203913
914167	3115	1998-06-08	VYDAJ	PREVOD NA UCET	14723	55231	SIPO	IJ	68203913
914168	3115	1998-07-08	VYDAJ	PREVOD NA UCET	14723	39031	SIPO	IJ	68203913
914169	3115	1998-08-08	VYDAJ	PREVOD NA UCET	14723	35864	SIPO	IJ	68203913
914170	3115	1998-09-08	VYDAJ	PREVOD NA UCET	14723	36684	SIPO	IJ	68203913
914171	3115	1998-10-08	VYDAJ	PREVOD NA UCET	14723	37714	SIPO	IJ	68203913
914172	3115	1998-11-08	VYDAJ	PREVOD NA UCET	14723	31530	SIPO	IJ	68203913
914173	3115	1998-12-08	VYDAJ	PREVOD NA UCET	14723	59726	SIPO	IJ	68203913
914178	3115	1996-09-01	VYBER	VYBER	10124	20144	\N	\N	\N
914179	3115	1996-12-08	VYBER	VYBER	23488	52619	\N	\N	\N
914182	3115	1996-10-11	VYBER	VYBER	12415	24702	\N	\N	\N
914184	3115	1996-09-27	VYBER	VYBER	5449	19592	\N	\N	\N
914186	3115	1997-05-16	VYBER	VYBER	17888	29791	\N	\N	\N
914187	3115	1997-03-04	VYBER	VYBER	4853	24264	\N	\N	\N
914188	3115	1997-07-21	VYBER	VYBER	3080	31177	\N	\N	\N
914189	3115	1997-02-11	VYBER	VYBER	3524	33863	\N	\N	\N
914191	3115	1998-06-09	VYBER	VYBER	11639	43592	\N	\N	\N
914198	3115	1996-12-25	VYDAJ	VYBER	7500	20743	\N	\N	\N
914199	3115	1997-12-30	VYDAJ	VYBER	6600	30277	\N	\N	\N
914209	3115	1997-01-15	VYDAJ	VYBER	5100	27793	\N	\N	\N
914210	3115	1997-01-20	VYDAJ	VYBER	8100	19693	\N	\N	\N
914215	3115	1998-01-13	VYDAJ	VYBER	3300	25372	\N	\N	\N
914217	3115	1998-01-02	VYDAJ	VYBER	5400	25028	\N	\N	\N
914218	3115	1998-01-10	VYDAJ	VYBER	8400	34025	\N	\N	\N
914219	3115	1996-09-18	VYDAJ	VYBER	14400	23141	\N	\N	\N
914222	3115	1996-08-27	VYDAJ	VYBER	9600	35996	\N	\N	\N
914224	3115	1997-09-11	VYDAJ	VYBER	6600	35815	\N	\N	\N
914226	3115	1997-09-02	VYDAJ	VYBER	3300	25018	\N	\N	\N
914227	3115	1997-10-15	VYDAJ	VYBER	9600	25807	\N	\N	\N
914238	3115	1996-08-31	VYDAJ	VYBER	15	30268	SLUZBY	\N	\N
914239	3115	1996-09-30	VYDAJ	VYBER	15	19720	SLUZBY	\N	\N
914240	3115	1996-10-31	VYDAJ	VYBER	15	19787	SLUZBY	\N	\N
914241	3115	1996-11-30	VYDAJ	VYBER	15	27927	SLUZBY	\N	\N
914242	3115	1996-12-31	VYDAJ	VYBER	15	20849	SLUZBY	\N	\N
914243	3115	1997-01-31	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
914244	3115	1997-02-28	VYDAJ	VYBER	15	29117	SLUZBY	\N	\N
914245	3115	1997-03-31	VYDAJ	VYBER	15	32342	SLUZBY	\N	\N
914246	3115	1997-04-30	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
914247	3115	1997-05-31	VYDAJ	VYBER	15	30228	SLUZBY	\N	\N
914248	3115	1997-06-30	VYDAJ	VYBER	15	39114	SLUZBY	\N	\N
914249	3115	1997-07-31	VYDAJ	VYBER	15	31343	SLUZBY	\N	\N
914250	3115	1997-08-31	VYDAJ	VYBER	15	28318	SLUZBY	\N	\N
914251	3115	1997-09-30	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
914252	3115	1997-10-31	VYDAJ	VYBER	15	24114	SLUZBY	\N	\N
914253	3115	1997-11-30	VYDAJ	VYBER	15	26474	SLUZBY	\N	\N
914254	3115	1997-12-31	VYDAJ	VYBER	15	30428	SLUZBY	\N	\N
914255	3115	1998-01-31	VYDAJ	VYBER	15	18159	SLUZBY	\N	\N
914256	3115	1998-02-28	VYDAJ	VYBER	15	18388	SLUZBY	\N	\N
914257	3115	1998-03-31	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
914258	3115	1998-04-30	VYDAJ	VYBER	15	23037	SLUZBY	\N	\N
914259	3115	1998-05-31	VYDAJ	VYBER	15	21774	SLUZBY	\N	\N
914260	3115	1998-06-30	VYDAJ	VYBER	15	21634	SLUZBY	\N	\N
914261	3115	1998-07-31	VYDAJ	VYBER	15	18467	SLUZBY	\N	\N
914262	3115	1998-08-31	VYDAJ	VYBER	15	19287	SLUZBY	\N	\N
914263	3115	1998-09-30	VYDAJ	VYBER	15	20317	SLUZBY	\N	\N
914264	3115	1998-10-31	VYDAJ	VYBER	15	14133	SLUZBY	\N	\N
914265	3115	1998-11-30	VYDAJ	VYBER	15	26269	SLUZBY	\N	\N
914266	3115	1996-04-26	VYDAJ	VYBER	7300	25520	\N	\N	\N
914267	3115	1996-05-26	VYDAJ	VYBER	15700	41958	\N	\N	\N
914268	3115	1996-06-25	VYDAJ	VYBER	34000	56257	\N	\N	\N
914269	3115	1996-07-25	VYDAJ	VYBER	31400	57164	\N	\N	\N
914270	3115	1996-08-24	VYDAJ	VYBER	22500	45596	\N	\N	\N
914271	3115	1996-09-23	PRIJEM	VKLAD	1900	25041	\N	\N	\N
914272	3115	1996-10-23	VYDAJ	VYBER	900	23802	\N	\N	\N
914273	3115	1996-11-22	VYDAJ	VYBER	4400	32784	\N	\N	\N
914274	3115	1996-12-22	VYDAJ	VYBER	4300	28243	\N	\N	\N
914275	3115	1997-01-21	PRIJEM	VKLAD	200	19893	\N	\N	\N
914276	3115	1997-02-20	PRIJEM	VKLAD	500	29010	\N	\N	\N
914277	3115	1997-03-22	VYDAJ	VYBER	4100	32207	\N	\N	\N
914278	3115	1997-04-21	VYDAJ	VYBER	8900	35486	\N	\N	\N
914279	3115	1997-05-21	PRIJEM	VKLAD	300	30091	\N	\N	\N
914280	3115	1997-06-20	VYDAJ	VYBER	19400	38931	\N	\N	\N
914281	3115	1997-07-20	VYDAJ	VYBER	16900	34257	\N	\N	\N
914282	3115	1997-08-19	VYDAJ	VYBER	15200	28187	\N	\N	\N
914283	3115	1997-09-18	VYDAJ	VYBER	7200	23261	\N	\N	\N
914284	3115	1997-10-18	VYDAJ	VYBER	1800	24007	\N	\N	\N
914285	3115	1997-11-17	VYDAJ	VYBER	9800	26358	\N	\N	\N
914286	3115	1997-12-17	VYDAJ	VYBER	17700	36877	\N	\N	\N
914287	3115	1998-01-16	VYDAJ	VYBER	7300	18072	\N	\N	\N
914288	3115	1998-02-15	VYDAJ	VYBER	11900	18303	\N	\N	\N
914289	3115	1998-03-17	VYDAJ	VYBER	13000	17431	\N	\N	\N
914290	3115	1998-04-16	VYDAJ	VYBER	6600	22952	\N	\N	\N
914291	3115	1998-05-16	VYDAJ	VYBER	13400	21681	\N	\N	\N
914292	3115	1998-06-15	VYDAJ	VYBER	16700	21539	\N	\N	\N
914293	3115	1998-07-15	VYDAJ	VYBER	15300	18378	\N	\N	\N
914294	3115	1998-08-14	VYDAJ	VYBER	11300	19211	\N	\N	\N
914295	3115	1998-09-13	VYDAJ	VYBER	11100	20231	\N	\N	\N
914296	3115	1998-10-13	VYDAJ	VYBER	18300	14061	\N	\N	\N
914297	3115	1998-12-12	VYDAJ	VYBER	32500	21873	\N	\N	\N
914331	3116	1996-04-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
914335	3116	1996-04-08	PRIJEM	VKLAD	17758	18858	\N	\N	\N
914336	3116	1996-05-08	PRIJEM	VKLAD	17758	39676	\N	\N	\N
914337	3116	1996-06-08	PRIJEM	VKLAD	26637	62159	\N	\N	\N
914338	3116	1996-07-08	PRIJEM	VKLAD	17758	67054	\N	\N	\N
914339	3116	1996-08-08	PRIJEM	VKLAD	17758	67387	\N	\N	\N
914340	3116	1996-09-08	PRIJEM	VKLAD	17758	64750	\N	\N	\N
914341	3116	1996-10-08	PRIJEM	VKLAD	17758	62996	\N	\N	\N
914342	3116	1996-11-08	PRIJEM	VKLAD	17758	65034	\N	\N	\N
914343	3116	1996-12-08	PRIJEM	VKLAD	26637	71256	\N	\N	\N
914344	3116	1997-01-08	PRIJEM	VKLAD	17758	66819	\N	\N	\N
914345	3116	1997-02-08	PRIJEM	VKLAD	17758	64650	\N	\N	\N
914346	3116	1997-03-08	PRIJEM	VKLAD	17758	61274	\N	\N	\N
914347	3116	1997-04-08	PRIJEM	VKLAD	17758	54863	\N	\N	\N
914348	3116	1997-05-08	PRIJEM	VKLAD	17758	55137	\N	\N	\N
914349	3116	1997-06-08	PRIJEM	VKLAD	26637	63799	\N	\N	\N
914350	3116	1997-07-08	PRIJEM	VKLAD	17758	63103	\N	\N	\N
914351	3116	1997-08-08	PRIJEM	VKLAD	17758	63218	\N	\N	\N
914352	3116	1997-09-08	PRIJEM	VKLAD	17758	64633	\N	\N	\N
914353	3116	1997-10-08	PRIJEM	VKLAD	17758	66972	\N	\N	\N
914354	3116	1997-11-08	PRIJEM	VKLAD	17758	69602	\N	\N	\N
914355	3116	1997-12-08	PRIJEM	VKLAD	26637	78420	\N	\N	\N
914356	3116	1998-01-08	PRIJEM	VKLAD	17758	72577	\N	\N	\N
914357	3116	1998-02-08	PRIJEM	VKLAD	17758	71830	\N	\N	\N
914358	3116	1998-03-08	PRIJEM	VKLAD	17758	73478	\N	\N	\N
914359	3116	1998-04-08	PRIJEM	VKLAD	17758	72031	\N	\N	\N
914360	3116	1998-05-08	PRIJEM	VKLAD	17758	72178	\N	\N	\N
914361	3116	1998-06-08	PRIJEM	VKLAD	26637	85010	\N	\N	\N
914362	3116	1998-07-08	PRIJEM	VKLAD	17758	82694	\N	\N	\N
914363	3116	1998-08-08	PRIJEM	VKLAD	17758	79580	\N	\N	\N
914364	3116	1998-09-08	PRIJEM	VKLAD	17758	68246	\N	\N	\N
914365	3116	1998-10-08	PRIJEM	VKLAD	17758	70490	\N	\N	\N
914366	3116	1998-11-08	PRIJEM	VKLAD	17758	74732	\N	\N	\N
914367	3116	1998-12-08	PRIJEM	VKLAD	26637	80960	\N	\N	\N
914375	3116	1996-08-12	VYDAJ	PREVOD NA UCET	9037	58350	SIPO	CD	74016618
914376	3116	1996-09-12	VYDAJ	PREVOD NA UCET	9037	55713	SIPO	CD	74016618
914377	3116	1996-10-12	VYDAJ	PREVOD NA UCET	9037	53959	SIPO	CD	74016618
914378	3116	1996-11-12	VYDAJ	PREVOD NA UCET	9037	55997	SIPO	CD	74016618
914379	3116	1996-12-12	VYDAJ	PREVOD NA UCET	9037	62219	SIPO	CD	74016618
914380	3116	1997-01-12	VYDAJ	PREVOD NA UCET	9037	57782	SIPO	CD	74016618
914381	3116	1997-02-12	VYDAJ	PREVOD NA UCET	9037	55613	SIPO	CD	74016618
914382	3116	1997-03-12	VYDAJ	PREVOD NA UCET	9037	46477	SIPO	CD	74016618
914383	3116	1997-04-12	VYDAJ	PREVOD NA UCET	9037	45106	SIPO	CD	74016618
914384	3116	1997-05-12	VYDAJ	PREVOD NA UCET	9037	46100	SIPO	CD	74016618
914385	3116	1997-06-12	VYDAJ	PREVOD NA UCET	9037	54762	SIPO	CD	74016618
914386	3116	1997-07-12	VYDAJ	PREVOD NA UCET	9037	54066	SIPO	CD	74016618
914387	3116	1997-08-12	VYDAJ	PREVOD NA UCET	9037	54181	SIPO	CD	74016618
914388	3116	1997-09-12	VYDAJ	PREVOD NA UCET	9037	55596	SIPO	CD	74016618
914389	3116	1997-10-12	VYDAJ	PREVOD NA UCET	9037	57935	SIPO	CD	74016618
914390	3116	1997-11-12	VYDAJ	PREVOD NA UCET	9037	60565	SIPO	CD	74016618
914391	3116	1997-12-12	VYDAJ	PREVOD NA UCET	9037	69383	SIPO	CD	74016618
914392	3116	1998-01-12	VYDAJ	PREVOD NA UCET	9037	62540	SIPO	CD	74016618
914393	3116	1998-02-12	VYDAJ	PREVOD NA UCET	9037	62793	SIPO	CD	74016618
914394	3116	1998-03-12	VYDAJ	PREVOD NA UCET	9037	64441	SIPO	CD	74016618
914395	3116	1998-04-12	VYDAJ	PREVOD NA UCET	9037	62994	SIPO	CD	74016618
914396	3116	1998-05-12	VYDAJ	PREVOD NA UCET	9037	59941	SIPO	CD	74016618
914397	3116	1998-06-12	VYDAJ	PREVOD NA UCET	9037	75973	SIPO	CD	74016618
914398	3116	1998-07-12	VYDAJ	PREVOD NA UCET	9037	73657	SIPO	CD	74016618
914399	3116	1998-08-12	VYDAJ	PREVOD NA UCET	9037	70543	SIPO	CD	74016618
914400	3116	1998-09-12	VYDAJ	PREVOD NA UCET	9037	59209	SIPO	CD	74016618
914401	3116	1998-10-12	VYDAJ	PREVOD NA UCET	9037	61453	SIPO	CD	74016618
914402	3116	1998-11-12	VYDAJ	PREVOD NA UCET	9037	65695	SIPO	CD	74016618
914403	3116	1998-12-12	VYDAJ	PREVOD NA UCET	9037	71923	SIPO	CD	74016618
914406	3116	1997-03-20	VYDAJ	VYBER	2760	43717	\N	\N	\N
914407	3116	1997-09-21	VYDAJ	VYBER	2280	53316	\N	\N	\N
914408	3116	1997-03-09	VYDAJ	VYBER	5760	55514	\N	\N	\N
914409	3116	1997-04-02	VYDAJ	VYBER	3600	37105	\N	\N	\N
914410	3116	1997-04-08	VYDAJ	VYBER	720	54143	\N	\N	\N
914411	3116	1998-09-02	VYDAJ	VYBER	4320	50488	\N	\N	\N
914412	3116	1998-01-09	VYDAJ	VYBER KARTOU	1000	71577	\N	\N	0
914413	3116	1998-08-21	VYDAJ	VYBER	4080	66463	\N	\N	\N
914414	3116	1998-12-28	VYDAJ	VYBER	5040	48583	\N	\N	\N
914415	3116	1998-05-08	VYDAJ	VYBER KARTOU	3200	68978	\N	\N	0
914424	3116	1996-08-31	VYDAJ	VYBER	15	58592	SLUZBY	\N	\N
914425	3116	1996-09-30	VYDAJ	VYBER	15	55938	SLUZBY	\N	\N
914426	3116	1996-10-31	VYDAJ	VYBER	15	54176	SLUZBY	\N	\N
914427	3116	1996-11-30	VYDAJ	VYBER	15	56219	SLUZBY	\N	\N
914428	3116	1996-12-31	VYDAJ	VYBER	15	49061	SLUZBY	\N	\N
914429	3116	1997-01-31	VYDAJ	VYBER	15	46892	SLUZBY	\N	\N
914430	3116	1997-02-28	VYDAJ	VYBER	15	55816	SLUZBY	\N	\N
914431	3116	1997-03-31	VYDAJ	VYBER	15	40705	SLUZBY	\N	\N
914432	3116	1997-04-30	VYDAJ	VYBER	15	37379	SLUZBY	\N	\N
914433	3116	1997-05-31	VYDAJ	VYBER	15	37162	SLUZBY	\N	\N
914434	3116	1997-06-30	VYDAJ	VYBER	15	45345	SLUZBY	\N	\N
914435	3116	1997-07-31	VYDAJ	VYBER	15	45460	SLUZBY	\N	\N
914436	3116	1997-08-31	VYDAJ	VYBER	15	46875	SLUZBY	\N	\N
914437	3116	1997-09-30	VYDAJ	VYBER	15	49214	SLUZBY	\N	\N
914438	3116	1997-10-31	VYDAJ	VYBER	15	51844	SLUZBY	\N	\N
914439	3116	1997-11-30	VYDAJ	VYBER	15	51783	SLUZBY	\N	\N
914440	3116	1997-12-31	VYDAJ	VYBER	15	54819	SLUZBY	\N	\N
914441	3116	1998-01-31	VYDAJ	VYBER	15	54072	SLUZBY	\N	\N
914442	3116	1998-02-28	VYDAJ	VYBER	15	55720	SLUZBY	\N	\N
914443	3116	1998-03-31	VYDAJ	VYBER	15	54273	SLUZBY	\N	\N
914444	3116	1998-04-30	VYDAJ	VYBER	15	54420	SLUZBY	\N	\N
914445	3116	1998-05-31	VYDAJ	VYBER	15	58373	SLUZBY	\N	\N
914446	3116	1998-06-30	VYDAJ	VYBER	15	64936	SLUZBY	\N	\N
914447	3116	1998-07-31	VYDAJ	VYBER	15	61822	SLUZBY	\N	\N
914448	3116	1998-08-31	VYDAJ	VYBER	15	54808	SLUZBY	\N	\N
914449	3116	1998-09-30	VYDAJ	VYBER	15	52732	SLUZBY	\N	\N
914450	3116	1998-10-31	VYDAJ	VYBER	15	56974	SLUZBY	\N	\N
914451	3116	1998-11-30	VYDAJ	VYBER	15	54323	SLUZBY	\N	\N
914452	3116	1996-05-05	PRIJEM	VKLAD	3000	21918	\N	\N	\N
914453	3116	1996-06-04	VYDAJ	VYBER	4300	35522	\N	\N	\N
914454	3116	1996-07-04	VYDAJ	VYBER	13100	49296	\N	\N	\N
914455	3116	1996-08-03	VYDAJ	VYBER	17700	49629	\N	\N	\N
914456	3116	1996-09-02	VYDAJ	VYBER	11600	46992	\N	\N	\N
914457	3116	1996-10-02	VYDAJ	VYBER	10700	45238	\N	\N	\N
914458	3116	1996-11-01	VYDAJ	VYBER	6900	47276	\N	\N	\N
914459	3116	1996-12-01	VYDAJ	VYBER	11600	44619	\N	\N	\N
914460	3116	1996-12-31	VYDAJ	VYBER	13400	49075	\N	\N	\N
914461	3116	1997-01-30	VYDAJ	VYBER	11100	46682	\N	\N	\N
914462	3116	1997-03-01	VYDAJ	VYBER	12300	43516	\N	\N	\N
914463	3116	1997-03-31	VYDAJ	VYBER	3200	40720	\N	\N	\N
914464	3116	1997-04-30	VYDAJ	VYBER	7900	37393	\N	\N	\N
914465	3116	1997-05-30	VYDAJ	VYBER	9100	37000	\N	\N	\N
914466	3116	1997-06-29	VYDAJ	VYBER	9600	45162	\N	\N	\N
914467	3116	1997-07-29	VYDAJ	VYBER	8800	45266	\N	\N	\N
914468	3116	1997-08-28	VYDAJ	VYBER	7500	46681	\N	\N	\N
914469	3116	1997-09-27	VYDAJ	VYBER	4300	49016	\N	\N	\N
914470	3116	1997-10-27	VYDAJ	VYBER	6300	51635	\N	\N	\N
914471	3116	1997-11-26	VYDAJ	VYBER	9000	51565	\N	\N	\N
914472	3116	1997-12-26	VYDAJ	VYBER	14800	54583	\N	\N	\N
914473	3116	1998-01-25	VYDAJ	VYBER	8700	53840	\N	\N	\N
914474	3116	1998-02-24	VYDAJ	VYBER	7300	55493	\N	\N	\N
914475	3116	1998-03-26	VYDAJ	VYBER	10400	54041	\N	\N	\N
914476	3116	1998-04-25	VYDAJ	VYBER	8800	54194	\N	\N	\N
914477	3116	1998-05-25	VYDAJ	VYBER KARTOU	1800	58141	\N	\N	0
914478	3116	1998-06-24	VYDAJ	VYBER	11300	64673	\N	\N	\N
914479	3116	1998-07-24	VYDAJ	VYBER	12100	61557	\N	\N	\N
914480	3116	1998-08-23	VYDAJ	VYBER	11900	54563	\N	\N	\N
914481	3116	1998-09-22	VYDAJ	VYBER	6700	52509	\N	\N	\N
914482	3116	1998-10-22	VYDAJ	VYBER	4700	56753	\N	\N	\N
914483	3116	1998-11-21	VYDAJ	VYBER	11600	54095	\N	\N	\N
914484	3116	1998-12-21	VYDAJ	VYBER	18300	53623	\N	\N	\N
914518	3117	1993-02-24	PRIJEM	VKLAD	900	900	\N	\N	\N
914521	3117	1993-03-13	PRIJEM	PREVOD Z UCTU	5355	6255	DUCHOD	CD	1493776
914522	3117	1993-04-13	PRIJEM	PREVOD Z UCTU	5355	11610	DUCHOD	CD	1493776
914523	3117	1993-05-13	PRIJEM	PREVOD Z UCTU	5355	16965	DUCHOD	CD	1493776
914524	3117	1993-06-13	PRIJEM	PREVOD Z UCTU	5355	22320	DUCHOD	CD	1493776
914525	3117	1993-07-13	PRIJEM	PREVOD Z UCTU	5355	27675	DUCHOD	CD	1493776
914526	3117	1993-08-13	PRIJEM	PREVOD Z UCTU	5355	27903	DUCHOD	CD	1493776
914527	3117	1993-09-13	PRIJEM	PREVOD Z UCTU	5355	29772	DUCHOD	CD	1493776
914528	3117	1993-10-13	PRIJEM	PREVOD Z UCTU	5355	23472	DUCHOD	CD	1493776
914529	3117	1993-11-13	PRIJEM	PREVOD Z UCTU	5355	25323	DUCHOD	CD	1493776
914530	3117	1993-12-13	PRIJEM	PREVOD Z UCTU	5355	26130	DUCHOD	CD	1493776
914531	3117	1994-01-13	PRIJEM	PREVOD Z UCTU	5355	21041	DUCHOD	CD	1493776
914532	3117	1994-02-13	PRIJEM	PREVOD Z UCTU	5355	18161	DUCHOD	CD	1493776
914533	3117	1994-03-13	PRIJEM	PREVOD Z UCTU	5355	19989	DUCHOD	CD	1493776
914534	3117	1994-04-13	PRIJEM	PREVOD Z UCTU	5355	21825	DUCHOD	CD	1493776
914535	3117	1994-05-13	PRIJEM	PREVOD Z UCTU	5355	23668	DUCHOD	CD	1493776
914536	3117	1994-06-13	PRIJEM	PREVOD Z UCTU	5355	21019	DUCHOD	CD	1493776
914537	3117	1994-07-13	PRIJEM	PREVOD Z UCTU	5355	22867	DUCHOD	CD	1493776
914538	3117	1994-08-13	PRIJEM	PREVOD Z UCTU	5355	21274	DUCHOD	CD	1493776
914539	3117	1994-09-13	PRIJEM	PREVOD Z UCTU	5355	23122	DUCHOD	CD	1493776
914540	3117	1994-10-13	PRIJEM	PREVOD Z UCTU	5355	23127	DUCHOD	CD	1493776
914541	3117	1994-11-13	PRIJEM	PREVOD Z UCTU	5355	24975	DUCHOD	CD	1493776
914542	3117	1994-12-13	PRIJEM	PREVOD Z UCTU	5355	26832	DUCHOD	CD	1493776
914543	3117	1995-01-13	PRIJEM	PREVOD Z UCTU	5355	20079	DUCHOD	CD	1493776
914544	3117	1995-02-13	PRIJEM	PREVOD Z UCTU	5355	18797	DUCHOD	CD	1493776
914545	3117	1995-03-13	PRIJEM	PREVOD Z UCTU	5355	20627	DUCHOD	CD	1493776
914546	3117	1995-04-13	PRIJEM	PREVOD Z UCTU	5355	22465	DUCHOD	CD	1493776
914547	3117	1995-05-13	PRIJEM	PREVOD Z UCTU	5355	20909	DUCHOD	CD	1493776
914548	3117	1995-06-13	PRIJEM	PREVOD Z UCTU	5355	22754	DUCHOD	CD	1493776
914549	3117	1995-07-13	PRIJEM	PREVOD Z UCTU	5355	24601	DUCHOD	CD	1493776
914550	3117	1995-08-13	PRIJEM	PREVOD Z UCTU	5355	23891	DUCHOD	CD	1493776
914551	3117	1995-09-13	PRIJEM	PREVOD Z UCTU	5355	24842	DUCHOD	CD	1493776
914552	3117	1995-10-13	PRIJEM	PREVOD Z UCTU	5355	26700	DUCHOD	CD	1493776
914553	3117	1995-11-13	PRIJEM	PREVOD Z UCTU	5355	27663	DUCHOD	CD	1493776
914554	3117	1995-12-13	PRIJEM	PREVOD Z UCTU	5355	24732	DUCHOD	CD	1493776
914555	3117	1996-01-13	PRIJEM	PREVOD Z UCTU	5355	19960	DUCHOD	CD	1493776
914556	3117	1996-02-13	PRIJEM	PREVOD Z UCTU	5355	20759	DUCHOD	CD	1493776
914557	3117	1996-03-13	PRIJEM	PREVOD Z UCTU	5355	22597	DUCHOD	CD	1493776
914558	3117	1996-04-13	PRIJEM	PREVOD Z UCTU	5355	24443	DUCHOD	CD	1493776
914559	3117	1996-05-13	PRIJEM	PREVOD Z UCTU	5355	21596	DUCHOD	CD	1493776
914560	3117	1996-06-13	PRIJEM	PREVOD Z UCTU	5355	23444	DUCHOD	CD	1493776
914561	3117	1996-07-13	PRIJEM	PREVOD Z UCTU	5355	23773	DUCHOD	CD	1493776
914562	3117	1996-08-13	PRIJEM	PREVOD Z UCTU	5355	25627	DUCHOD	CD	1493776
914563	3117	1996-09-13	PRIJEM	PREVOD Z UCTU	5355	24985	DUCHOD	CD	1493776
914564	3117	1996-10-13	PRIJEM	PREVOD Z UCTU	5355	23720	DUCHOD	CD	1493776
914565	3117	1996-11-13	PRIJEM	PREVOD Z UCTU	5355	25570	DUCHOD	CD	1493776
914566	3117	1996-12-13	PRIJEM	PREVOD Z UCTU	5355	26928	DUCHOD	CD	1493776
914567	3117	1997-01-13	PRIJEM	PREVOD Z UCTU	5355	21651	DUCHOD	CD	1493776
914568	3117	1997-02-13	PRIJEM	PREVOD Z UCTU	5355	20535	DUCHOD	CD	1493776
914569	3117	1997-03-13	PRIJEM	PREVOD Z UCTU	5355	22372	DUCHOD	CD	1493776
914570	3117	1997-04-13	PRIJEM	PREVOD Z UCTU	5355	21892	DUCHOD	CD	1493776
914571	3117	1997-05-13	PRIJEM	PREVOD Z UCTU	5355	22694	DUCHOD	CD	1493776
914572	3117	1997-06-13	PRIJEM	PREVOD Z UCTU	5355	21589	DUCHOD	CD	1493776
914573	3117	1997-07-13	PRIJEM	PREVOD Z UCTU	5355	23435	DUCHOD	CD	1493776
914574	3117	1997-08-13	PRIJEM	PREVOD Z UCTU	5355	22079	DUCHOD	CD	1493776
914575	3117	1997-09-13	PRIJEM	PREVOD Z UCTU	5355	23921	DUCHOD	CD	1493776
914576	3117	1997-10-13	PRIJEM	PREVOD Z UCTU	5355	25572	DUCHOD	CD	1493776
914577	3117	1997-11-13	PRIJEM	PREVOD Z UCTU	5355	27430	DUCHOD	CD	1493776
914578	3117	1997-12-13	PRIJEM	PREVOD Z UCTU	5355	27795	DUCHOD	CD	1493776
914579	3117	1998-01-13	PRIJEM	PREVOD Z UCTU	5355	23690	DUCHOD	CD	1493776
914580	3117	1998-02-13	PRIJEM	PREVOD Z UCTU	5355	21304	DUCHOD	CD	1493776
914581	3117	1998-03-13	PRIJEM	PREVOD Z UCTU	5355	23143	DUCHOD	CD	1493776
914582	3117	1998-04-13	PRIJEM	PREVOD Z UCTU	5355	21527	DUCHOD	CD	1493776
914583	3117	1998-05-13	PRIJEM	PREVOD Z UCTU	5355	23367	DUCHOD	CD	1493776
914584	3117	1998-06-13	PRIJEM	PREVOD Z UCTU	5355	25215	DUCHOD	CD	1493776
914585	3117	1998-07-13	PRIJEM	PREVOD Z UCTU	5355	27070	DUCHOD	CD	1493776
914586	3117	1998-08-13	PRIJEM	PREVOD Z UCTU	5355	28933	DUCHOD	CD	1493776
914587	3117	1998-09-13	PRIJEM	PREVOD Z UCTU	5355	29203	DUCHOD	CD	1493776
914588	3117	1998-10-13	PRIJEM	PREVOD Z UCTU	5355	28172	DUCHOD	CD	1493776
914589	3117	1998-11-13	PRIJEM	PREVOD Z UCTU	5355	28639	DUCHOD	CD	1493776
914590	3117	1998-12-13	PRIJEM	PREVOD Z UCTU	5355	23401	DUCHOD	CD	1493776
914597	3117	1993-07-14	VYDAJ	PREVOD NA UCET	3570	24105	SIPO	OP	41120845
914598	3117	1993-08-14	VYDAJ	PREVOD NA UCET	3570	24333	SIPO	OP	41120845
914599	3117	1993-09-14	VYDAJ	PREVOD NA UCET	3570	24122	SIPO	OP	41120845
914600	3117	1993-10-14	VYDAJ	PREVOD NA UCET	3570	19902	SIPO	OP	41120845
914601	3117	1993-11-14	VYDAJ	PREVOD NA UCET	3570	21753	SIPO	OP	41120845
914602	3117	1993-12-14	VYDAJ	PREVOD NA UCET	3570	22560	SIPO	OP	41120845
914603	3117	1994-01-14	VYDAJ	PREVOD NA UCET	3570	15631	SIPO	OP	41120845
914604	3117	1994-02-14	VYDAJ	PREVOD NA UCET	3570	14591	SIPO	OP	41120845
914605	3117	1994-03-14	VYDAJ	PREVOD NA UCET	3570	16419	SIPO	OP	41120845
914606	3117	1994-04-14	VYDAJ	PREVOD NA UCET	3570	18255	SIPO	OP	41120845
914607	3117	1994-05-14	VYDAJ	PREVOD NA UCET	3570	20098	SIPO	OP	41120845
914608	3117	1994-06-14	VYDAJ	PREVOD NA UCET	3570	17449	SIPO	OP	41120845
914609	3117	1994-07-14	VYDAJ	PREVOD NA UCET	3570	19297	SIPO	OP	41120845
914610	3117	1994-08-14	VYDAJ	PREVOD NA UCET	3570	17704	SIPO	OP	41120845
914611	3117	1994-09-14	VYDAJ	PREVOD NA UCET	3570	19552	SIPO	OP	41120845
914612	3117	1994-10-14	VYDAJ	PREVOD NA UCET	3570	19557	SIPO	OP	41120845
914613	3117	1994-11-14	VYDAJ	PREVOD NA UCET	3570	21405	SIPO	OP	41120845
914614	3117	1994-12-14	VYDAJ	PREVOD NA UCET	3570	23262	SIPO	OP	41120845
914615	3117	1995-01-14	VYDAJ	PREVOD NA UCET	3570	15309	SIPO	OP	41120845
914616	3117	1995-02-14	VYDAJ	PREVOD NA UCET	3570	15227	SIPO	OP	41120845
914617	3117	1995-03-14	VYDAJ	PREVOD NA UCET	3570	17057	SIPO	OP	41120845
914618	3117	1995-04-14	VYDAJ	PREVOD NA UCET	3570	18895	SIPO	OP	41120845
914619	3117	1995-05-14	VYDAJ	PREVOD NA UCET	3570	17339	SIPO	OP	41120845
914620	3117	1995-06-14	VYDAJ	PREVOD NA UCET	3570	19184	SIPO	OP	41120845
914621	3117	1995-07-14	VYDAJ	PREVOD NA UCET	3570	21031	SIPO	OP	41120845
914622	3117	1995-08-14	VYDAJ	PREVOD NA UCET	3570	20321	SIPO	OP	41120845
914623	3117	1995-09-14	VYDAJ	PREVOD NA UCET	3570	21272	SIPO	OP	41120845
914624	3117	1995-10-14	VYDAJ	PREVOD NA UCET	3570	23130	SIPO	OP	41120845
914625	3117	1995-11-14	VYDAJ	PREVOD NA UCET	3570	24093	SIPO	OP	41120845
914626	3117	1995-12-14	VYDAJ	PREVOD NA UCET	3570	21162	SIPO	OP	41120845
914627	3117	1996-01-14	VYDAJ	PREVOD NA UCET	3570	16390	SIPO	OP	41120845
914628	3117	1996-02-14	VYDAJ	PREVOD NA UCET	3570	17189	SIPO	OP	41120845
914629	3117	1996-03-14	VYDAJ	PREVOD NA UCET	3570	19027	SIPO	OP	41120845
914630	3117	1996-04-14	VYDAJ	PREVOD NA UCET	3570	20873	SIPO	OP	41120845
914631	3117	1996-05-14	VYDAJ	PREVOD NA UCET	3570	18026	SIPO	OP	41120845
914632	3117	1996-06-14	VYDAJ	PREVOD NA UCET	3570	19874	SIPO	OP	41120845
914633	3117	1996-07-14	VYDAJ	PREVOD NA UCET	3570	20203	SIPO	OP	41120845
914634	3117	1996-08-14	VYDAJ	PREVOD NA UCET	3570	22057	SIPO	OP	41120845
914635	3117	1996-09-14	VYDAJ	PREVOD NA UCET	3570	21415	SIPO	OP	41120845
914636	3117	1996-10-14	VYDAJ	PREVOD NA UCET	3570	20150	SIPO	OP	41120845
914637	3117	1996-11-14	VYDAJ	PREVOD NA UCET	3570	22000	SIPO	OP	41120845
914638	3117	1996-12-14	VYDAJ	PREVOD NA UCET	3570	23358	SIPO	OP	41120845
914639	3117	1997-01-14	VYDAJ	PREVOD NA UCET	3570	16241	SIPO	OP	41120845
914640	3117	1997-02-14	VYDAJ	PREVOD NA UCET	3570	16965	SIPO	OP	41120845
914641	3117	1997-03-14	VYDAJ	PREVOD NA UCET	3570	18802	SIPO	OP	41120845
914642	3117	1997-04-14	VYDAJ	PREVOD NA UCET	3570	18322	SIPO	OP	41120845
914643	3117	1997-05-14	VYDAJ	PREVOD NA UCET	3570	19124	SIPO	OP	41120845
914644	3117	1997-06-14	VYDAJ	PREVOD NA UCET	3570	18019	SIPO	OP	41120845
914645	3117	1997-07-14	VYDAJ	PREVOD NA UCET	3570	19865	SIPO	OP	41120845
914646	3117	1997-08-14	VYDAJ	PREVOD NA UCET	3570	18509	SIPO	OP	41120845
914647	3117	1997-09-14	VYDAJ	PREVOD NA UCET	3570	20351	SIPO	OP	41120845
914648	3117	1997-10-14	VYDAJ	PREVOD NA UCET	3570	22002	SIPO	OP	41120845
914649	3117	1997-11-14	VYDAJ	PREVOD NA UCET	3570	23860	SIPO	OP	41120845
914650	3117	1997-12-14	VYDAJ	PREVOD NA UCET	3570	24225	SIPO	OP	41120845
914651	3117	1998-01-14	VYDAJ	PREVOD NA UCET	3570	16370	SIPO	OP	41120845
914652	3117	1998-02-14	VYDAJ	PREVOD NA UCET	3570	17734	SIPO	OP	41120845
914653	3117	1998-03-14	VYDAJ	PREVOD NA UCET	3570	19573	SIPO	OP	41120845
914654	3117	1998-04-14	VYDAJ	PREVOD NA UCET	3570	17957	SIPO	OP	41120845
914655	3117	1998-05-14	VYDAJ	PREVOD NA UCET	3570	19797	SIPO	OP	41120845
914656	3117	1998-06-14	VYDAJ	PREVOD NA UCET	3570	21645	SIPO	OP	41120845
914657	3117	1998-07-14	VYDAJ	PREVOD NA UCET	3570	23500	SIPO	OP	41120845
914658	3117	1998-08-14	VYDAJ	PREVOD NA UCET	3570	25363	SIPO	OP	41120845
914659	3117	1998-09-14	VYDAJ	PREVOD NA UCET	3570	25633	SIPO	OP	41120845
914660	3117	1998-10-14	VYDAJ	PREVOD NA UCET	3570	24602	SIPO	OP	41120845
914661	3117	1998-11-14	VYDAJ	PREVOD NA UCET	3570	25069	SIPO	OP	41120845
914662	3117	1998-12-14	VYDAJ	PREVOD NA UCET	3570	19831	SIPO	OP	41120845
914664	3117	1994-06-09	VYDAJ	VYBER	4500	15664	\N	\N	\N
914667	3117	1997-06-11	VYDAJ	VYBER	2850	16234	\N	\N	\N
914670	3117	1994-01-12	VYDAJ	VYBER	3950	15686	\N	\N	\N
914671	3117	1995-01-07	VYDAJ	VYBER	4800	14724	\N	\N	\N
914673	3117	1997-01-07	VYDAJ	VYBER	4500	18216	\N	\N	\N
914674	3117	1998-01-13	VYDAJ	VYBER	3750	19940	\N	\N	\N
914675	3117	1993-12-07	VYDAJ	VYBER	450	20775	\N	\N	\N
914676	3117	1994-12-25	VYDAJ	VYBER	450	19452	\N	\N	\N
914677	3117	1995-12-19	VYDAJ	VYBER	950	20212	\N	\N	\N
914678	3117	1996-12-07	VYDAJ	VYBER	500	21573	\N	\N	\N
914679	3117	1997-12-22	VYDAJ	VYBER	1250	22975	\N	\N	\N
914680	3117	1998-12-04	VYDAJ	VYBER	1000	18046	\N	\N	\N
914688	3117	1994-01-15	VYDAJ	VYBER	880	14751	\N	\N	\N
914689	3117	1994-01-16	VYDAJ	VYBER	2000	12751	\N	\N	\N
914690	3117	1994-01-04	VYDAJ	VYBER	800	21236	\N	\N	\N
914691	3117	1994-01-14	VYDAJ	VYBER	1840	19201	\N	\N	\N
914692	3117	1994-01-12	VYDAJ	VYBER	1600	19636	\N	\N	\N
914694	3117	1995-01-15	VYDAJ	VYBER	1920	13389	\N	\N	\N
914696	3117	1995-01-14	VYDAJ	VYBER	1200	18879	\N	\N	\N
914702	3117	1996-01-02	VYDAJ	VYBER	2160	14605	\N	\N	\N
914703	3117	1996-01-27	VYDAJ	VYBER	1040	15350	\N	\N	\N
914705	3117	1997-01-10	VYDAJ	VYBER	1920	16296	\N	\N	\N
914707	3117	1997-01-21	VYDAJ	VYBER	400	15841	\N	\N	\N
914708	3117	1997-01-13	VYDAJ	VYBER	1840	19811	\N	\N	\N
914710	3117	1997-01-27	VYDAJ	VYBER	720	15121	\N	\N	\N
914711	3117	1998-01-03	VYDAJ	VYBER	1840	20735	\N	\N	\N
914713	3117	1998-01-09	VYDAJ	VYBER	1440	18335	\N	\N	\N
914714	3117	1998-01-29	VYDAJ	VYBER	480	15890	\N	\N	\N
914715	3117	1998-01-01	VYDAJ	VYBER	480	22575	\N	\N	\N
914716	3117	1998-01-08	VYDAJ	VYBER	960	19775	\N	\N	\N
914717	3117	1993-09-13	VYDAJ	VYBER	2080	27692	\N	\N	\N
914718	3117	1993-07-29	VYDAJ	VYBER	1600	22505	\N	\N	\N
914719	3117	1993-09-19	VYDAJ	VYBER	2560	18042	\N	\N	\N
914721	3117	1993-09-16	VYDAJ	VYBER	3520	20602	\N	\N	\N
914723	3117	1994-12-19	VYDAJ	VYBER	3360	19902	\N	\N	\N
914724	3117	1994-09-18	VYDAJ	VYBER	1840	17712	\N	\N	\N
914725	3117	1994-08-11	VYDAJ	VYBER	3440	15919	\N	\N	\N
914726	3117	1995-05-04	VYDAJ	VYBER	2800	15554	\N	\N	\N
914727	3117	1995-12-24	VYDAJ	VYBER	3520	16692	\N	\N	\N
914728	3117	1995-07-19	VYDAJ	VYBER	2560	18471	\N	\N	\N
914729	3117	1996-07-12	VYDAJ	VYBER	1520	18418	\N	\N	\N
914730	3117	1996-12-15	VYDAJ	VYBER	720	22638	\N	\N	\N
914731	3117	1996-09-17	VYDAJ	VYBER	3120	18295	\N	\N	\N
914732	3117	1996-05-06	VYDAJ	VYBER	1600	19341	\N	\N	\N
914736	3117	1997-03-19	VYDAJ	VYBER	2320	16482	\N	\N	\N
914737	3117	1997-04-26	VYDAJ	VYBER	1040	17282	\N	\N	\N
914740	3117	1997-07-20	VYDAJ	VYBER	3200	16665	\N	\N	\N
914741	3117	1998-11-21	VYDAJ	VYBER	2800	22269	\N	\N	\N
914742	3117	1998-03-26	VYDAJ	VYBER	2160	17413	\N	\N	\N
914751	3117	1993-07-31	VYDAJ	VYBER	15	22548	SLUZBY	\N	\N
914752	3117	1993-08-31	VYDAJ	VYBER	15	24417	SLUZBY	\N	\N
914753	3117	1993-09-30	VYDAJ	VYBER	15	18117	SLUZBY	\N	\N
914754	3117	1993-10-31	VYDAJ	VYBER	15	19968	SLUZBY	\N	\N
914755	3117	1993-11-30	VYDAJ	VYBER	15	21225	SLUZBY	\N	\N
914756	3117	1993-12-31	VYDAJ	VYBER	15	22036	SLUZBY	\N	\N
914757	3117	1994-01-31	VYDAJ	VYBER	15	12806	SLUZBY	\N	\N
914758	3117	1994-02-28	VYDAJ	VYBER	15	14634	SLUZBY	\N	\N
914759	3117	1994-03-31	VYDAJ	VYBER	15	16470	SLUZBY	\N	\N
914760	3117	1994-04-30	VYDAJ	VYBER	15	18313	SLUZBY	\N	\N
914761	3117	1994-05-31	VYDAJ	VYBER	15	20164	SLUZBY	\N	\N
914762	3117	1994-06-30	VYDAJ	VYBER	15	17512	SLUZBY	\N	\N
914763	3117	1994-07-31	VYDAJ	VYBER	15	19359	SLUZBY	\N	\N
914764	3117	1994-08-31	VYDAJ	VYBER	15	17767	SLUZBY	\N	\N
914765	3117	1994-09-30	VYDAJ	VYBER	15	17772	SLUZBY	\N	\N
914766	3117	1994-10-31	VYDAJ	VYBER	15	19620	SLUZBY	\N	\N
914767	3117	1994-11-30	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
914768	3117	1994-12-31	VYDAJ	VYBER	15	19524	SLUZBY	\N	\N
914769	3117	1995-01-31	VYDAJ	VYBER	15	13442	SLUZBY	\N	\N
914770	3117	1995-02-28	VYDAJ	VYBER	15	15272	SLUZBY	\N	\N
914771	3117	1995-03-31	VYDAJ	VYBER	15	17110	SLUZBY	\N	\N
914772	3117	1995-04-30	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
914773	3117	1995-05-31	VYDAJ	VYBER	15	17399	SLUZBY	\N	\N
914774	3117	1995-06-30	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
914775	3117	1995-07-31	VYDAJ	VYBER	15	18536	SLUZBY	\N	\N
914776	3117	1995-08-31	VYDAJ	VYBER	15	20387	SLUZBY	\N	\N
914777	3117	1995-09-30	VYDAJ	VYBER	15	21345	SLUZBY	\N	\N
914778	3117	1995-10-31	VYDAJ	VYBER	15	23208	SLUZBY	\N	\N
914779	3117	1995-11-30	VYDAJ	VYBER	15	24177	SLUZBY	\N	\N
914780	3117	1995-12-31	VYDAJ	VYBER	15	16765	SLUZBY	\N	\N
914781	3117	1996-01-31	VYDAJ	VYBER	15	15404	SLUZBY	\N	\N
914782	3117	1996-02-29	VYDAJ	VYBER	15	17242	SLUZBY	\N	\N
914783	3117	1996-03-31	VYDAJ	VYBER	15	19088	SLUZBY	\N	\N
914784	3117	1996-04-30	VYDAJ	VYBER	15	20941	SLUZBY	\N	\N
914785	3117	1996-05-31	VYDAJ	VYBER	15	18089	SLUZBY	\N	\N
914786	3117	1996-06-30	VYDAJ	VYBER	15	19938	SLUZBY	\N	\N
914787	3117	1996-07-31	VYDAJ	VYBER	15	20272	SLUZBY	\N	\N
914788	3117	1996-08-31	VYDAJ	VYBER	15	22130	SLUZBY	\N	\N
914789	3117	1996-09-30	VYDAJ	VYBER	15	18365	SLUZBY	\N	\N
914790	3117	1996-10-31	VYDAJ	VYBER	15	20215	SLUZBY	\N	\N
914791	3117	1996-11-30	VYDAJ	VYBER	15	22073	SLUZBY	\N	\N
914792	3117	1996-12-31	VYDAJ	VYBER	15	22716	SLUZBY	\N	\N
914793	3117	1997-01-31	VYDAJ	VYBER	15	15180	SLUZBY	\N	\N
914794	3117	1997-02-28	VYDAJ	VYBER	15	17017	SLUZBY	\N	\N
914795	3117	1997-03-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
914796	3117	1997-04-30	VYDAJ	VYBER	15	17339	SLUZBY	\N	\N
914797	3117	1997-05-31	VYDAJ	VYBER	15	19184	SLUZBY	\N	\N
914798	3117	1997-06-30	VYDAJ	VYBER	15	18080	SLUZBY	\N	\N
914799	3117	1997-07-31	VYDAJ	VYBER	15	16724	SLUZBY	\N	\N
914800	3117	1997-08-31	VYDAJ	VYBER	15	18566	SLUZBY	\N	\N
914801	3117	1997-09-30	VYDAJ	VYBER	15	20417	SLUZBY	\N	\N
914802	3117	1997-10-31	VYDAJ	VYBER	15	22075	SLUZBY	\N	\N
914803	3117	1997-11-30	VYDAJ	VYBER	15	23940	SLUZBY	\N	\N
914804	3117	1997-12-31	VYDAJ	VYBER	15	23055	SLUZBY	\N	\N
914805	3117	1998-01-31	VYDAJ	VYBER	15	15949	SLUZBY	\N	\N
914806	3117	1998-02-28	VYDAJ	VYBER	15	17788	SLUZBY	\N	\N
914807	3117	1998-03-31	VYDAJ	VYBER	15	16172	SLUZBY	\N	\N
914808	3117	1998-04-30	VYDAJ	VYBER	15	18012	SLUZBY	\N	\N
914809	3117	1998-05-31	VYDAJ	VYBER	15	19860	SLUZBY	\N	\N
914810	3117	1998-06-30	VYDAJ	VYBER	15	21715	SLUZBY	\N	\N
914811	3117	1998-07-31	VYDAJ	VYBER	15	23578	SLUZBY	\N	\N
914812	3117	1998-08-31	VYDAJ	VYBER	15	23848	SLUZBY	\N	\N
914813	3117	1998-09-30	VYDAJ	VYBER	15	22817	SLUZBY	\N	\N
914814	3117	1998-10-31	VYDAJ	VYBER	15	23284	SLUZBY	\N	\N
914815	3117	1998-11-30	VYDAJ	VYBER	15	19046	SLUZBY	\N	\N
914816	3117	1993-11-21	VYDAJ	VYBER	600	21153	\N	\N	\N
914817	3117	1993-12-21	VYDAJ	VYBER	600	21960	\N	\N	\N
914818	3117	1995-04-15	VYDAJ	VYBER	600	18295	\N	\N	\N
914819	3117	1995-09-12	VYDAJ	VYBER	900	19487	\N	\N	\N
914820	3117	1995-11-11	VYDAJ	VYBER	900	22308	\N	\N	\N
914821	3117	1995-12-11	VYDAJ	VYBER	4800	19377	\N	\N	\N
914822	3117	1996-05-09	VYDAJ	VYBER	3100	16241	\N	\N	\N
914823	3117	1996-09-06	VYDAJ	VYBER	2500	19630	\N	\N	\N
914824	3117	1997-06-03	VYDAJ	VYBER	100	19084	\N	\N	\N
914825	3117	1997-10-01	VYDAJ	VYBER	200	20217	\N	\N	\N
914826	3117	1997-11-30	VYDAJ	VYBER	1500	22440	\N	\N	\N
914827	3117	1998-03-30	VYDAJ	VYBER	1300	16113	\N	\N	\N
914828	3117	1998-08-27	VYDAJ	VYBER	1600	23763	\N	\N	\N
914829	3117	1998-09-26	VYDAJ	VYBER	2900	22733	\N	\N	\N
914830	3117	1998-10-26	VYDAJ	VYBER	1400	23202	\N	\N	\N
914831	3117	1998-11-25	VYDAJ	VYBER	3300	18969	\N	\N	\N
914898	3118	1996-03-10	PRIJEM	VKLAD	500	500	\N	\N	\N
914901	3118	1996-03-13	PRIJEM	VKLAD	16312	16812	\N	\N	\N
914902	3118	1996-04-13	PRIJEM	VKLAD	16312	37067	\N	\N	\N
914903	3118	1996-05-13	PRIJEM	VKLAD	16312	48400	\N	\N	\N
914904	3118	1996-06-13	PRIJEM	VKLAD	24468	60251	\N	\N	\N
914905	3118	1996-07-13	PRIJEM	VKLAD	16312	60094	\N	\N	\N
914906	3118	1996-08-13	PRIJEM	VKLAD	16312	50356	\N	\N	\N
914907	3118	1996-09-13	PRIJEM	VKLAD	16312	45887	\N	\N	\N
914908	3118	1996-10-13	PRIJEM	VKLAD	16312	43891	\N	\N	\N
914909	3118	1996-11-13	PRIJEM	VKLAD	16312	42984	\N	\N	\N
914910	3118	1996-12-13	PRIJEM	VKLAD	24468	51087	\N	\N	\N
914911	3118	1997-01-13	PRIJEM	VKLAD	16312	30788	\N	\N	\N
914912	3118	1997-02-13	PRIJEM	VKLAD	16312	30571	\N	\N	\N
914913	3118	1997-03-13	PRIJEM	VKLAD	16312	35494	\N	\N	\N
914914	3118	1997-04-13	PRIJEM	VKLAD	16312	36801	\N	\N	\N
914915	3118	1997-05-13	PRIJEM	VKLAD	16312	39751	\N	\N	\N
914916	3118	1997-06-13	PRIJEM	VKLAD	24468	50275	\N	\N	\N
914917	3118	1997-07-13	PRIJEM	VKLAD	16312	37409	\N	\N	\N
914918	3118	1997-08-13	PRIJEM	VKLAD	16312	36974	\N	\N	\N
914919	3118	1997-09-13	PRIJEM	VKLAD	16312	34636	\N	\N	\N
914920	3118	1997-10-13	PRIJEM	VKLAD	16312	37490	\N	\N	\N
914921	3118	1997-11-13	PRIJEM	VKLAD	16312	36622	\N	\N	\N
914922	3118	1997-12-13	PRIJEM	VKLAD	24468	32928	\N	\N	\N
914923	3118	1998-01-13	PRIJEM	VKLAD	16312	31093	\N	\N	\N
914924	3118	1998-02-13	PRIJEM	VKLAD	16312	31087	\N	\N	\N
914925	3118	1998-03-13	PRIJEM	VKLAD	16312	34513	\N	\N	\N
914926	3118	1998-04-13	PRIJEM	VKLAD	16312	39162	\N	\N	\N
914927	3118	1998-05-13	PRIJEM	VKLAD	16312	43022	\N	\N	\N
914928	3118	1998-06-13	PRIJEM	VKLAD	24468	52353	\N	\N	\N
914929	3118	1998-07-13	PRIJEM	VKLAD	16312	45352	\N	\N	\N
914930	3118	1998-08-13	PRIJEM	VKLAD	16312	46578	\N	\N	\N
914931	3118	1998-09-13	PRIJEM	VKLAD	16312	51371	\N	\N	\N
914932	3118	1998-10-13	PRIJEM	VKLAD	16312	54363	\N	\N	\N
914933	3118	1998-11-13	PRIJEM	VKLAD	16312	58488	\N	\N	\N
914934	3118	1998-12-13	PRIJEM	VKLAD	24468	69381	\N	\N	\N
914942	3118	1996-08-11	VYDAJ	PREVOD NA UCET	8886	34044	SIPO	GH	73266708
914943	3118	1996-09-11	VYDAJ	PREVOD NA UCET	8886	29575	SIPO	GH	73266708
914944	3118	1996-10-11	VYDAJ	PREVOD NA UCET	8886	27579	SIPO	GH	73266708
914945	3118	1996-11-11	VYDAJ	PREVOD NA UCET	8886	26672	SIPO	GH	73266708
914946	3118	1996-12-11	VYDAJ	PREVOD NA UCET	8886	26619	SIPO	GH	73266708
914947	3118	1997-01-11	VYDAJ	PREVOD NA UCET	8886	28396	SIPO	GH	73266708
914948	3118	1997-02-11	VYDAJ	PREVOD NA UCET	8886	14259	SIPO	GH	73266708
914949	3118	1997-03-11	VYDAJ	PREVOD NA UCET	8886	19182	SIPO	GH	73266708
914950	3118	1997-04-11	VYDAJ	PREVOD NA UCET	8886	20489	SIPO	GH	73266708
914951	3118	1997-05-11	VYDAJ	PREVOD NA UCET	8886	23439	SIPO	GH	73266708
914952	3118	1997-06-11	VYDAJ	PREVOD NA UCET	8886	25807	SIPO	GH	73266708
914953	3118	1997-07-11	VYDAJ	PREVOD NA UCET	8886	21097	SIPO	GH	73266708
914954	3118	1997-08-11	VYDAJ	PREVOD NA UCET	8886	20662	SIPO	GH	73266708
914955	3118	1997-09-11	VYDAJ	PREVOD NA UCET	8886	18324	SIPO	GH	73266708
914956	3118	1997-10-11	VYDAJ	PREVOD NA UCET	8886	21178	SIPO	GH	73266708
914957	3118	1997-11-11	VYDAJ	PREVOD NA UCET	8886	20310	SIPO	GH	73266708
914958	3118	1997-12-11	VYDAJ	PREVOD NA UCET	8886	8460	SIPO	GH	73266708
914959	3118	1998-01-11	VYDAJ	PREVOD NA UCET	8886	14781	SIPO	GH	73266708
914960	3118	1998-02-11	VYDAJ	PREVOD NA UCET	8886	14775	SIPO	GH	73266708
914961	3118	1998-03-11	VYDAJ	PREVOD NA UCET	8886	18201	SIPO	GH	73266708
914962	3118	1998-04-11	VYDAJ	PREVOD NA UCET	8886	22850	SIPO	GH	73266708
914963	3118	1998-05-11	VYDAJ	PREVOD NA UCET	8886	26710	SIPO	GH	73266708
914964	3118	1998-06-11	VYDAJ	PREVOD NA UCET	8886	27885	SIPO	GH	73266708
914965	3118	1998-07-11	VYDAJ	PREVOD NA UCET	8886	29040	SIPO	GH	73266708
914966	3118	1998-08-11	VYDAJ	PREVOD NA UCET	8886	30266	SIPO	GH	73266708
914967	3118	1998-09-11	VYDAJ	PREVOD NA UCET	8886	35059	SIPO	GH	73266708
914968	3118	1998-10-11	VYDAJ	PREVOD NA UCET	8886	38051	SIPO	GH	73266708
914969	3118	1998-11-11	VYDAJ	PREVOD NA UCET	8886	42176	SIPO	GH	73266708
914970	3118	1998-12-11	VYDAJ	PREVOD NA UCET	8886	44913	SIPO	GH	73266708
914972	3118	1997-06-28	VYDAJ	VYBER	11360	38915	\N	\N	\N
914973	3118	1998-06-14	VYDAJ	VYBER	9280	43073	\N	\N	\N
914975	3118	1997-01-12	VYDAJ	VYBER	13920	14476	\N	\N	\N
914976	3118	1998-01-18	VYDAJ	VYBER	6880	22653	\N	\N	\N
914977	3118	1996-12-13	VYDAJ	VYBER	2720	48367	\N	\N	\N
914978	3118	1997-12-02	VYDAJ	VYBER	4160	17346	\N	\N	\N
914979	3118	1998-12-30	VYDAJ	VYBER	2560	56221	\N	\N	\N
914986	3118	1997-01-25	VYDAJ	VYBER	3120	24668	\N	\N	\N
914987	3118	1997-01-28	VYDAJ	VYBER	1440	23228	\N	\N	\N
914988	3118	1997-01-17	VYDAJ	VYBER	960	29828	\N	\N	\N
914989	3118	1997-01-03	VYDAJ	VYBER	2640	45902	\N	\N	\N
914990	3118	1997-01-10	VYDAJ	VYBER	1920	37282	\N	\N	\N
914991	3118	1997-01-21	VYDAJ	VYBER	2040	27788	\N	\N	\N
914992	3118	1998-01-25	VYDAJ	VYBER	1080	21573	\N	\N	\N
914993	3118	1998-01-06	VYDAJ	VYBER	1080	24507	\N	\N	\N
914994	3118	1998-01-05	VYDAJ	VYBER	3240	25587	\N	\N	\N
914995	3118	1998-01-15	VYDAJ	VYBER	600	30493	\N	\N	\N
914996	3118	1998-01-15	VYDAJ	VYBER	960	29533	\N	\N	\N
914997	3118	1998-01-09	VYDAJ	VYBER	840	23667	\N	\N	\N
915001	3118	1996-12-03	VYDAJ	VYBER	1440	41705	\N	\N	\N
915003	3118	1997-12-02	VYDAJ	VYBER	3840	21506	\N	\N	\N
915004	3118	1997-05-29	VYDAJ	VYBER	600	39151	\N	\N	\N
915005	3118	1997-03-30	VYDAJ	VYBER	5640	29854	\N	\N	\N
915006	3118	1997-10-18	VYDAJ	VYBER	3120	34370	\N	\N	\N
915007	3118	1998-08-07	VYDAJ	VYBER	3960	39152	\N	\N	\N
915008	3118	1998-10-06	VYDAJ	VYBER	4320	46937	\N	\N	\N
915016	3118	1996-07-31	VYDAJ	VYBER	15	60330	SLUZBY	\N	\N
915017	3118	1996-08-31	VYDAJ	VYBER	15	50561	SLUZBY	\N	\N
915018	3118	1996-09-30	VYDAJ	VYBER	15	46065	SLUZBY	\N	\N
915019	3118	1996-10-31	VYDAJ	VYBER	15	44058	SLUZBY	\N	\N
915020	3118	1996-11-30	VYDAJ	VYBER	15	43145	SLUZBY	\N	\N
915021	3118	1996-12-31	VYDAJ	VYBER	15	48542	SLUZBY	\N	\N
915022	3118	1997-01-31	VYDAJ	VYBER	15	23345	SLUZBY	\N	\N
915023	3118	1997-02-28	VYDAJ	VYBER	15	30668	SLUZBY	\N	\N
915024	3118	1997-03-31	VYDAJ	VYBER	15	29975	SLUZBY	\N	\N
915025	3118	1997-04-30	VYDAJ	VYBER	15	36925	SLUZBY	\N	\N
915026	3118	1997-05-31	VYDAJ	VYBER	15	39293	SLUZBY	\N	\N
915027	3118	1997-06-30	VYDAJ	VYBER	15	39083	SLUZBY	\N	\N
915028	3118	1997-07-31	VYDAJ	VYBER	15	37548	SLUZBY	\N	\N
915029	3118	1997-08-31	VYDAJ	VYBER	15	37110	SLUZBY	\N	\N
915030	3118	1997-09-30	VYDAJ	VYBER	15	34764	SLUZBY	\N	\N
915031	3118	1997-10-31	VYDAJ	VYBER	15	29196	SLUZBY	\N	\N
915032	3118	1997-11-30	VYDAJ	VYBER	15	25346	SLUZBY	\N	\N
915033	3118	1997-12-31	VYDAJ	VYBER	15	28827	SLUZBY	\N	\N
915034	3118	1998-01-31	VYDAJ	VYBER	15	23661	SLUZBY	\N	\N
915035	3118	1998-02-28	VYDAJ	VYBER	15	31187	SLUZBY	\N	\N
915036	3118	1998-03-31	VYDAJ	VYBER	15	31736	SLUZBY	\N	\N
915037	3118	1998-04-30	VYDAJ	VYBER	15	35596	SLUZBY	\N	\N
915038	3118	1998-05-31	VYDAJ	VYBER	15	36771	SLUZBY	\N	\N
915039	3118	1998-06-30	VYDAJ	VYBER	15	37926	SLUZBY	\N	\N
915040	3118	1998-07-31	VYDAJ	VYBER	15	43112	SLUZBY	\N	\N
915041	3118	1998-08-31	VYDAJ	VYBER	15	43945	SLUZBY	\N	\N
915042	3118	1998-09-30	VYDAJ	VYBER	15	51257	SLUZBY	\N	\N
915043	3118	1998-10-31	VYDAJ	VYBER	15	51062	SLUZBY	\N	\N
915044	3118	1998-11-30	VYDAJ	VYBER	15	53799	SLUZBY	\N	\N
915045	3118	1996-04-09	PRIJEM	VKLAD	3900	20755	\N	\N	\N
915046	3118	1996-05-09	VYDAJ	VYBER	5100	32088	\N	\N	\N
915047	3118	1996-06-08	VYDAJ	VYBER	12800	35783	\N	\N	\N
915048	3118	1996-07-08	VYDAJ	VYBER	16700	43782	\N	\N	\N
915049	3118	1996-08-07	VYDAJ	VYBER	17400	42930	\N	\N	\N
915050	3118	1996-09-06	VYDAJ	VYBER	12100	38461	\N	\N	\N
915051	3118	1996-10-06	VYDAJ	VYBER	9600	36465	\N	\N	\N
915052	3118	1996-11-05	VYDAJ	VYBER	8500	35558	\N	\N	\N
915053	3118	1996-12-05	VYDAJ	VYBER	6200	35505	\N	\N	\N
915054	3118	1997-01-04	VYDAJ	VYBER	6700	39202	\N	\N	\N
915055	3118	1997-02-03	VYDAJ	VYBER	200	23145	\N	\N	\N
915056	3118	1997-03-05	VYDAJ	VYBER	2600	28068	\N	\N	\N
915057	3118	1997-04-04	VYDAJ	VYBER	600	29375	\N	\N	\N
915058	3118	1997-05-04	VYDAJ	VYBER	4600	32325	\N	\N	\N
915059	3118	1997-06-03	VYDAJ	VYBER	4600	34693	\N	\N	\N
915060	3118	1997-07-03	VYDAJ	VYBER	9100	29983	\N	\N	\N
915061	3118	1997-08-02	VYDAJ	VYBER	8000	29548	\N	\N	\N
915062	3118	1997-09-01	VYDAJ	VYBER	9900	27210	\N	\N	\N
915063	3118	1997-10-01	VYDAJ	VYBER	4700	30064	\N	\N	\N
915064	3118	1997-10-31	VYDAJ	VYBER	5300	29211	\N	\N	\N
915065	3118	1997-11-30	VYDAJ	VYBER	11400	25360	\N	\N	\N
915066	3118	1997-12-30	VYDAJ	VYBER	4200	28728	\N	\N	\N
915067	3118	1998-01-29	PRIJEM	VKLAD	2000	23573	\N	\N	\N
915068	3118	1998-02-28	VYDAJ	VYBER	4100	27087	\N	\N	\N
915069	3118	1998-03-30	VYDAJ	VYBER	2900	31613	\N	\N	\N
915070	3118	1998-04-29	VYDAJ	VYBER	3700	35462	\N	\N	\N
915071	3118	1998-05-29	VYDAJ	VYBER	6400	36622	\N	\N	\N
915072	3118	1998-06-28	VYDAJ	VYBER	5300	37773	\N	\N	\N
915073	3118	1998-07-28	VYDAJ	VYBER	2400	42952	\N	\N	\N
915074	3118	1998-08-27	VYDAJ	VYBER	2800	43778	\N	\N	\N
915075	3118	1998-09-26	VYDAJ	VYBER	300	51071	\N	\N	\N
915076	3118	1998-10-26	VYDAJ	VYBER	3500	50863	\N	\N	\N
915077	3118	1998-11-25	VYDAJ	VYBER	4900	53588	\N	\N	\N
915078	3118	1998-12-25	VYDAJ	VYBER	10600	58781	\N	\N	\N
915113	3119	1997-05-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
915118	3119	1997-05-08	PRIJEM	PREVOD Z UCTU	3169	4269	\N	KL	8271283
915119	3119	1997-06-08	PRIJEM	PREVOD Z UCTU	3169	7452	\N	KL	8271283
915120	3119	1997-07-08	PRIJEM	PREVOD Z UCTU	3169	10639	\N	KL	8271283
915121	3119	1997-08-08	PRIJEM	PREVOD Z UCTU	3169	13825	\N	KL	8271283
915122	3119	1997-09-08	PRIJEM	PREVOD Z UCTU	3169	17012	\N	KL	8271283
915123	3119	1997-10-08	PRIJEM	PREVOD Z UCTU	3169	18109	\N	KL	8271283
915124	3119	1997-11-08	PRIJEM	PREVOD Z UCTU	3169	17809	\N	KL	8271283
915125	3119	1997-12-08	PRIJEM	PREVOD Z UCTU	3169	18920	\N	KL	8271283
915126	3119	1998-01-08	PRIJEM	PREVOD Z UCTU	3169	18354	\N	KL	8271283
915127	3119	1998-02-08	PRIJEM	PREVOD Z UCTU	3169	15771	\N	KL	8271283
915128	3119	1998-03-08	PRIJEM	PREVOD Z UCTU	3169	16876	\N	KL	8271283
915129	3119	1998-04-08	PRIJEM	PREVOD Z UCTU	3169	16543	\N	KL	8271283
915130	3119	1998-05-08	PRIJEM	PREVOD Z UCTU	3169	16839	\N	KL	8271283
915131	3119	1998-06-08	PRIJEM	PREVOD Z UCTU	3169	16656	\N	KL	8271283
915132	3119	1998-07-08	PRIJEM	PREVOD Z UCTU	3169	17766	\N	KL	8271283
915133	3119	1998-08-08	PRIJEM	PREVOD Z UCTU	3169	18880	\N	KL	8271283
915134	3119	1998-09-08	PRIJEM	PREVOD Z UCTU	3169	19995	\N	KL	8271283
915135	3119	1998-10-08	PRIJEM	PREVOD Z UCTU	3169	21114	\N	KL	8271283
915136	3119	1998-11-08	PRIJEM	PREVOD Z UCTU	3169	21939	\N	KL	8271283
915137	3119	1998-12-08	PRIJEM	PREVOD Z UCTU	3169	23070	\N	KL	8271283
915146	3119	1997-09-08	VYDAJ	PREVOD NA UCET	1144	15868	\N	AB	77515130
915147	3119	1997-10-08	VYDAJ	PREVOD NA UCET	1144	16965	\N	AB	77515130
915148	3119	1997-11-08	VYDAJ	PREVOD NA UCET	1144	16665	\N	AB	77515130
915149	3119	1997-12-08	VYDAJ	PREVOD NA UCET	1144	17236	\N	AB	77515130
915150	3119	1998-01-08	VYDAJ	PREVOD NA UCET	1144	16520	\N	AB	77515130
915151	3119	1998-02-08	VYDAJ	PREVOD NA UCET	1144	14627	\N	AB	77515130
915152	3119	1998-03-08	VYDAJ	PREVOD NA UCET	1144	15732	\N	AB	77515130
915153	3119	1998-04-08	VYDAJ	PREVOD NA UCET	1144	15399	\N	AB	77515130
915154	3119	1998-05-08	VYDAJ	PREVOD NA UCET	1144	15695	\N	AB	77515130
915155	3119	1998-06-08	VYDAJ	PREVOD NA UCET	1144	15512	\N	AB	77515130
915156	3119	1998-07-08	VYDAJ	PREVOD NA UCET	1144	16622	\N	AB	77515130
915157	3119	1998-08-08	VYDAJ	PREVOD NA UCET	1144	17736	\N	AB	77515130
915158	3119	1998-09-08	VYDAJ	PREVOD NA UCET	1144	18851	\N	AB	77515130
915159	3119	1998-10-08	VYDAJ	PREVOD NA UCET	1144	19970	\N	AB	77515130
915160	3119	1998-11-08	VYDAJ	PREVOD NA UCET	1144	20795	\N	AB	77515130
915161	3119	1998-12-08	VYDAJ	PREVOD NA UCET	1144	21926	\N	AB	77515130
915171	3119	1997-10-06	VYDAJ	PREVOD NA UCET	84	15824	\N	MN	30850821
915172	3119	1997-11-06	VYDAJ	PREVOD NA UCET	84	15524	\N	MN	30850821
915173	3119	1997-12-06	VYDAJ	PREVOD NA UCET	84	16635	\N	MN	30850821
915174	3119	1998-01-06	VYDAJ	PREVOD NA UCET	84	16069	\N	MN	30850821
915175	3119	1998-02-06	VYDAJ	PREVOD NA UCET	84	13486	\N	MN	30850821
915176	3119	1998-03-06	VYDAJ	PREVOD NA UCET	84	14591	\N	MN	30850821
915177	3119	1998-04-06	VYDAJ	PREVOD NA UCET	84	14258	\N	MN	30850821
915178	3119	1998-05-06	VYDAJ	PREVOD NA UCET	84	15364	\N	MN	30850821
915179	3119	1998-06-06	VYDAJ	PREVOD NA UCET	84	14371	\N	MN	30850821
915180	3119	1998-07-06	VYDAJ	PREVOD NA UCET	84	15481	\N	MN	30850821
915181	3119	1998-08-06	VYDAJ	PREVOD NA UCET	84	16595	\N	MN	30850821
915182	3119	1998-09-06	VYDAJ	PREVOD NA UCET	84	17710	\N	MN	30850821
915183	3119	1998-10-06	VYDAJ	PREVOD NA UCET	84	18829	\N	MN	30850821
915184	3119	1998-11-06	VYDAJ	PREVOD NA UCET	84	19654	\N	MN	30850821
915185	3119	1998-12-06	VYDAJ	PREVOD NA UCET	84	20785	\N	MN	30850821
915195	3119	1997-10-07	VYDAJ	PREVOD NA UCET	884	14940	\N	MN	80588805
915196	3119	1997-11-07	VYDAJ	PREVOD NA UCET	884	14640	\N	MN	80588805
915197	3119	1997-12-07	VYDAJ	PREVOD NA UCET	884	15751	\N	MN	80588805
915198	3119	1998-01-07	VYDAJ	PREVOD NA UCET	884	15185	\N	MN	80588805
915199	3119	1998-02-07	VYDAJ	PREVOD NA UCET	884	12602	\N	MN	80588805
915200	3119	1998-03-07	VYDAJ	PREVOD NA UCET	884	13707	\N	MN	80588805
915201	3119	1998-04-07	VYDAJ	PREVOD NA UCET	884	13374	\N	MN	80588805
915202	3119	1998-05-07	VYDAJ	PREVOD NA UCET	884	14480	\N	MN	80588805
915203	3119	1998-06-07	VYDAJ	PREVOD NA UCET	884	13487	\N	MN	80588805
915204	3119	1998-07-07	VYDAJ	PREVOD NA UCET	884	14597	\N	MN	80588805
915205	3119	1998-08-07	VYDAJ	PREVOD NA UCET	884	15711	\N	MN	80588805
915206	3119	1998-09-07	VYDAJ	PREVOD NA UCET	884	16826	\N	MN	80588805
915207	3119	1998-10-07	VYDAJ	PREVOD NA UCET	884	17945	\N	MN	80588805
915208	3119	1998-11-07	VYDAJ	PREVOD NA UCET	884	18770	\N	MN	80588805
915209	3119	1998-12-07	VYDAJ	PREVOD NA UCET	884	19901	\N	MN	80588805
915213	3119	1998-01-21	VYDAJ	VYBER	690	14360	\N	\N	\N
915214	3119	1997-12-08	VYDAJ	VYBER	540	18380	\N	\N	\N
915215	3119	1998-12-30	VYDAJ	VYBER	390	21536	\N	\N	\N
915222	3119	1998-01-20	VYDAJ	VYBER	150	15050	\N	\N	\N
915223	3119	1998-01-02	VYDAJ	VYBER	450	16153	\N	\N	\N
915224	3119	1998-01-17	VYDAJ	VYBER	510	15200	\N	\N	\N
915225	3119	1998-01-01	VYDAJ	VYBER	690	16603	\N	\N	\N
915226	3119	1998-01-14	VYDAJ	VYBER	810	15710	\N	\N	\N
915227	3119	1998-01-26	VYDAJ	VYBER	840	13520	\N	\N	\N
915228	3119	1997-10-21	VYDAJ	VYBER	1410	15555	\N	\N	\N
915231	3119	1998-04-02	VYDAJ	VYBER	1440	14342	\N	\N	\N
915232	3119	1998-05-07	VYDAJ	VYBER	810	13670	\N	\N	\N
915233	3119	1998-01-08	VYDAJ	VYBER	690	17664	\N	\N	\N
915234	3119	1998-05-30	VYDAJ	VYBER	1290	14405	\N	\N	\N
915244	3119	1997-09-30	VYDAJ	VYBER	15	15908	SLUZBY	\N	\N
915245	3119	1997-10-31	VYDAJ	VYBER	15	15608	SLUZBY	\N	\N
915246	3119	1997-11-30	VYDAJ	VYBER	15	16719	SLUZBY	\N	\N
915247	3119	1997-12-31	VYDAJ	VYBER	15	17293	SLUZBY	\N	\N
915248	3119	1998-01-31	VYDAJ	VYBER	15	13570	SLUZBY	\N	\N
915249	3119	1998-02-28	VYDAJ	VYBER	15	14675	SLUZBY	\N	\N
915250	3119	1998-03-31	VYDAJ	VYBER	15	15782	SLUZBY	\N	\N
915251	3119	1998-04-30	VYDAJ	VYBER	15	15448	SLUZBY	\N	\N
915252	3119	1998-05-31	VYDAJ	VYBER	15	14455	SLUZBY	\N	\N
915253	3119	1998-06-30	VYDAJ	VYBER	15	15565	SLUZBY	\N	\N
915254	3119	1998-07-31	VYDAJ	VYBER	15	16679	SLUZBY	\N	\N
915255	3119	1998-08-31	VYDAJ	VYBER	15	17794	SLUZBY	\N	\N
915256	3119	1998-09-30	VYDAJ	VYBER	15	18913	SLUZBY	\N	\N
915257	3119	1998-10-31	VYDAJ	VYBER	15	19738	SLUZBY	\N	\N
915258	3119	1998-11-30	VYDAJ	VYBER	15	20869	SLUZBY	\N	\N
915259	3119	1998-10-24	VYDAJ	VYBER	300	19670	\N	\N	\N
915280	3120	1996-06-20	PRIJEM	VKLAD	400	400	\N	\N	\N
915287	3120	1996-07-05	PRIJEM	PREVOD Z UCTU	5685	6085	DUCHOD	EF	86435359
915288	3120	1996-08-05	PRIJEM	PREVOD Z UCTU	5685	11770	DUCHOD	EF	86435359
915289	3120	1996-09-05	PRIJEM	PREVOD Z UCTU	5685	17455	DUCHOD	EF	86435359
915290	3120	1996-10-05	PRIJEM	PREVOD Z UCTU	5685	23140	DUCHOD	EF	86435359
915291	3120	1996-11-05	PRIJEM	PREVOD Z UCTU	5685	28825	DUCHOD	EF	86435359
915292	3120	1996-12-05	PRIJEM	PREVOD Z UCTU	5685	31678	DUCHOD	EF	86435359
915293	3120	1997-01-05	PRIJEM	PREVOD Z UCTU	5685	32741	DUCHOD	EF	86435359
915294	3120	1997-02-05	PRIJEM	PREVOD Z UCTU	5685	29707	DUCHOD	EF	86435359
915295	3120	1997-03-05	PRIJEM	PREVOD Z UCTU	5685	32583	DUCHOD	EF	86435359
915296	3120	1997-04-05	PRIJEM	PREVOD Z UCTU	5685	35470	DUCHOD	EF	86435359
915297	3120	1997-05-05	PRIJEM	PREVOD Z UCTU	5685	38370	DUCHOD	EF	86435359
915298	3120	1997-06-05	PRIJEM	PREVOD Z UCTU	5685	36271	DUCHOD	EF	86435359
915299	3120	1997-07-05	PRIJEM	PREVOD Z UCTU	5685	22930	DUCHOD	EF	86435359
915300	3120	1997-08-05	PRIJEM	PREVOD Z UCTU	5685	25778	DUCHOD	EF	86435359
915301	3120	1997-09-05	PRIJEM	PREVOD Z UCTU	5685	27836	DUCHOD	EF	86435359
915302	3120	1997-10-05	PRIJEM	PREVOD Z UCTU	5685	28544	DUCHOD	EF	86435359
915303	3120	1997-11-05	PRIJEM	PREVOD Z UCTU	5685	31417	DUCHOD	EF	86435359
915304	3120	1997-12-05	PRIJEM	PREVOD Z UCTU	5685	34200	DUCHOD	EF	86435359
915305	3120	1998-01-05	PRIJEM	PREVOD Z UCTU	5685	34207	DUCHOD	EF	86435359
915306	3120	1998-02-05	PRIJEM	PREVOD Z UCTU	5685	26983	DUCHOD	EF	86435359
915307	3120	1998-03-05	PRIJEM	PREVOD Z UCTU	5685	25914	DUCHOD	EF	86435359
915308	3120	1998-04-05	PRIJEM	PREVOD Z UCTU	5685	25324	DUCHOD	EF	86435359
915309	3120	1998-05-05	PRIJEM	PREVOD Z UCTU	5685	28181	DUCHOD	EF	86435359
915310	3120	1998-06-05	PRIJEM	PREVOD Z UCTU	5685	28973	DUCHOD	EF	86435359
915311	3120	1998-07-05	PRIJEM	PREVOD Z UCTU	5685	25036	DUCHOD	EF	86435359
915312	3120	1998-08-05	PRIJEM	PREVOD Z UCTU	5685	27892	DUCHOD	EF	86435359
915313	3120	1998-09-05	PRIJEM	PREVOD Z UCTU	5685	30198	DUCHOD	EF	86435359
915314	3120	1998-10-05	PRIJEM	PREVOD Z UCTU	5685	33076	DUCHOD	EF	86435359
915315	3120	1998-11-05	PRIJEM	PREVOD Z UCTU	5685	35965	DUCHOD	EF	86435359
915316	3120	1998-12-05	PRIJEM	PREVOD Z UCTU	5685	33058	DUCHOD	EF	86435359
915327	3120	1996-11-07	VYDAJ	PREVOD NA UCET	2904	25921	SIPO	CD	21733200
915328	3120	1996-12-07	VYDAJ	PREVOD NA UCET	2904	28774	SIPO	CD	21733200
915329	3120	1997-01-07	VYDAJ	PREVOD NA UCET	2904	29837	SIPO	CD	21733200
915330	3120	1997-02-07	VYDAJ	PREVOD NA UCET	2904	26803	SIPO	CD	21733200
915331	3120	1997-03-07	VYDAJ	PREVOD NA UCET	2904	29679	SIPO	CD	21733200
915332	3120	1997-04-07	VYDAJ	PREVOD NA UCET	2904	32566	SIPO	CD	21733200
915333	3120	1997-05-07	VYDAJ	PREVOD NA UCET	2904	35466	SIPO	CD	21733200
915334	3120	1997-06-07	VYDAJ	PREVOD NA UCET	2904	33367	SIPO	CD	21733200
915335	3120	1997-07-07	VYDAJ	PREVOD NA UCET	2904	20026	SIPO	CD	21733200
915336	3120	1997-08-07	VYDAJ	PREVOD NA UCET	2904	22074	SIPO	CD	21733200
915337	3120	1997-09-07	VYDAJ	PREVOD NA UCET	2904	24932	SIPO	CD	21733200
915338	3120	1997-10-07	VYDAJ	PREVOD NA UCET	2904	25640	SIPO	CD	21733200
915339	3120	1997-11-07	VYDAJ	PREVOD NA UCET	2904	28513	SIPO	CD	21733200
915340	3120	1997-12-07	VYDAJ	PREVOD NA UCET	2904	31296	SIPO	CD	21733200
915341	3120	1998-01-07	VYDAJ	PREVOD NA UCET	2904	31303	SIPO	CD	21733200
915342	3120	1998-02-07	VYDAJ	PREVOD NA UCET	2904	20159	SIPO	CD	21733200
915343	3120	1998-03-07	VYDAJ	PREVOD NA UCET	2904	23010	SIPO	CD	21733200
915344	3120	1998-04-07	VYDAJ	PREVOD NA UCET	2904	22420	SIPO	CD	21733200
915345	3120	1998-05-07	VYDAJ	PREVOD NA UCET	2904	23197	SIPO	CD	21733200
915346	3120	1998-06-07	VYDAJ	PREVOD NA UCET	2904	26069	SIPO	CD	21733200
915347	3120	1998-07-07	VYDAJ	PREVOD NA UCET	2904	22132	SIPO	CD	21733200
915348	3120	1998-08-07	VYDAJ	PREVOD NA UCET	2904	24428	SIPO	CD	21733200
915349	3120	1998-09-07	VYDAJ	PREVOD NA UCET	2904	27294	SIPO	CD	21733200
915350	3120	1998-10-07	VYDAJ	PREVOD NA UCET	2904	30172	SIPO	CD	21733200
915351	3120	1998-11-07	VYDAJ	PREVOD NA UCET	2904	32461	SIPO	CD	21733200
915352	3120	1998-12-07	VYDAJ	PREVOD NA UCET	2904	26634	SIPO	CD	21733200
915354	3120	1997-06-10	VYDAJ	VYBER	13000	20367	\N	\N	\N
915355	3120	1998-06-21	VYDAJ	VYBER	6800	19269	\N	\N	\N
915356	3120	1996-12-20	VYDAJ	VYBER	300	28474	\N	\N	\N
915357	3120	1997-12-09	VYDAJ	VYBER	1300	29996	\N	\N	\N
915358	3120	1998-12-20	VYDAJ	VYBER	500	26134	\N	\N	\N
915365	3120	1997-01-26	VYDAJ	VYBER	1600	27357	\N	\N	\N
915366	3120	1997-01-30	VYDAJ	VYBER	2320	23917	\N	\N	\N
915367	3120	1997-01-02	VYDAJ	VYBER	400	27056	\N	\N	\N
915368	3120	1997-01-01	VYDAJ	VYBER	1120	27456	\N	\N	\N
915369	3120	1997-01-27	VYDAJ	VYBER	1120	26237	\N	\N	\N
915370	3120	1997-01-15	VYDAJ	VYBER	880	28957	\N	\N	\N
915371	3120	1998-01-17	VYDAJ	VYBER	2240	24963	\N	\N	\N
915372	3120	1998-01-19	VYDAJ	VYBER	1600	23363	\N	\N	\N
915373	3120	1998-01-13	VYDAJ	VYBER	640	29363	\N	\N	\N
915374	3120	1998-01-13	VYDAJ	VYBER	2160	27203	\N	\N	\N
915375	3120	1998-01-02	VYDAJ	VYBER	480	28522	\N	\N	\N
915376	3120	1998-01-24	VYDAJ	VYBER	2160	21203	\N	\N	\N
915379	3120	1997-06-17	VYDAJ	VYBER	3200	17167	\N	\N	\N
915380	3120	1997-08-05	VYDAJ	VYBER	800	24978	\N	\N	\N
915381	3120	1997-10-03	VYDAJ	VYBER	2160	22859	\N	\N	\N
915382	3120	1998-11-17	VYDAJ	VYBER	3440	29021	\N	\N	\N
915383	3120	1998-08-06	VYDAJ	VYBER	560	27332	\N	\N	\N
915384	3120	1998-05-07	VYDAJ	VYBER	2080	26101	\N	\N	\N
915385	3120	1998-03-10	VYDAJ	VYBER	3440	19570	\N	\N	\N
915386	3120	1998-12-06	VYDAJ	VYBER	3520	29538	\N	\N	\N
915387	3120	1998-02-07	VYDAJ	VYBER	3920	23063	\N	\N	\N
915388	3120	1998-11-18	VYDAJ	VYBER	1760	27261	\N	\N	\N
915400	3120	1996-11-30	VYDAJ	VYBER	15	25993	SLUZBY	\N	\N
915401	3120	1996-12-31	VYDAJ	VYBER	15	28576	SLUZBY	\N	\N
915402	3120	1997-01-31	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
915403	3120	1997-02-28	VYDAJ	VYBER	15	26898	SLUZBY	\N	\N
915404	3120	1997-03-31	VYDAJ	VYBER	15	29785	SLUZBY	\N	\N
915405	3120	1997-04-30	VYDAJ	VYBER	15	32685	SLUZBY	\N	\N
915406	3120	1997-05-31	VYDAJ	VYBER	15	30586	SLUZBY	\N	\N
915407	3120	1997-06-30	VYDAJ	VYBER	15	17245	SLUZBY	\N	\N
915408	3120	1997-07-31	VYDAJ	VYBER	15	20093	SLUZBY	\N	\N
915409	3120	1997-08-31	VYDAJ	VYBER	15	22151	SLUZBY	\N	\N
915410	3120	1997-09-30	VYDAJ	VYBER	15	25019	SLUZBY	\N	\N
915411	3120	1997-10-31	VYDAJ	VYBER	15	25732	SLUZBY	\N	\N
915412	3120	1997-11-30	VYDAJ	VYBER	15	28515	SLUZBY	\N	\N
915413	3120	1997-12-31	VYDAJ	VYBER	15	29002	SLUZBY	\N	\N
915414	3120	1998-01-31	VYDAJ	VYBER	15	21298	SLUZBY	\N	\N
915415	3120	1998-02-28	VYDAJ	VYBER	15	20229	SLUZBY	\N	\N
915416	3120	1998-03-31	VYDAJ	VYBER	15	19639	SLUZBY	\N	\N
915417	3120	1998-04-30	VYDAJ	VYBER	15	22496	SLUZBY	\N	\N
915418	3120	1998-05-31	VYDAJ	VYBER	15	23288	SLUZBY	\N	\N
915419	3120	1998-06-30	VYDAJ	VYBER	15	19351	SLUZBY	\N	\N
915420	3120	1998-07-31	VYDAJ	VYBER	15	22207	SLUZBY	\N	\N
915421	3120	1998-08-31	VYDAJ	VYBER	15	24513	SLUZBY	\N	\N
915422	3120	1998-09-30	VYDAJ	VYBER	15	27391	SLUZBY	\N	\N
915423	3120	1998-10-31	VYDAJ	VYBER	15	30280	SLUZBY	\N	\N
915424	3120	1998-11-30	VYDAJ	VYBER	15	27373	SLUZBY	\N	\N
915425	3120	1997-05-16	VYDAJ	VYBER	5000	30466	\N	\N	\N
915426	3120	1997-11-12	VYDAJ	VYBER	100	28413	\N	\N	\N
915427	3120	1997-12-12	VYDAJ	VYBER	1100	28896	\N	\N	\N
915428	3120	1998-01-11	VYDAJ	VYBER	1300	30003	\N	\N	\N
915429	3120	1998-11-07	VYDAJ	VYBER	600	35365	\N	\N	\N
915456	3121	1996-03-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
915459	3121	1996-03-12	PRIJEM	PREVOD Z UCTU	4353	5353	DUCHOD	OP	79849677
915460	3121	1996-04-12	PRIJEM	PREVOD Z UCTU	4353	9720	DUCHOD	OP	79849677
915461	3121	1996-05-12	PRIJEM	PREVOD Z UCTU	4353	14096	DUCHOD	OP	79849677
915462	3121	1996-06-12	PRIJEM	PREVOD Z UCTU	4353	18471	DUCHOD	OP	79849677
915463	3121	1996-07-12	PRIJEM	PREVOD Z UCTU	4353	22846	DUCHOD	OP	79849677
915464	3121	1996-08-12	PRIJEM	PREVOD Z UCTU	4353	24307	DUCHOD	OP	79849677
915465	3121	1996-09-12	PRIJEM	PREVOD Z UCTU	4353	25843	DUCHOD	OP	79849677
915466	3121	1996-10-12	PRIJEM	PREVOD Z UCTU	4353	24024	DUCHOD	OP	79849677
915467	3121	1996-11-12	PRIJEM	PREVOD Z UCTU	4353	25559	DUCHOD	OP	79849677
915468	3121	1996-12-12	PRIJEM	PREVOD Z UCTU	4353	24819	DUCHOD	OP	79849677
915469	3121	1997-01-12	PRIJEM	PREVOD Z UCTU	4353	18675	DUCHOD	OP	79849677
915470	3121	1997-02-12	PRIJEM	PREVOD Z UCTU	4353	14902	DUCHOD	OP	79849677
915471	3121	1997-03-12	PRIJEM	PREVOD Z UCTU	4353	16398	DUCHOD	OP	79849677
915472	3121	1997-04-12	PRIJEM	PREVOD Z UCTU	4353	17901	DUCHOD	OP	79849677
915473	3121	1997-05-12	PRIJEM	PREVOD Z UCTU	4353	19410	DUCHOD	OP	79849677
915474	3121	1997-06-12	PRIJEM	PREVOD Z UCTU	4353	17159	DUCHOD	OP	79849677
915475	3121	1997-07-12	PRIJEM	PREVOD Z UCTU	4353	15865	DUCHOD	OP	79849677
915476	3121	1997-08-12	PRIJEM	PREVOD Z UCTU	4353	16064	DUCHOD	OP	79849677
915477	3121	1997-09-12	PRIJEM	PREVOD Z UCTU	4353	14404	DUCHOD	OP	79849677
915478	3121	1997-10-12	PRIJEM	PREVOD Z UCTU	4353	14398	DUCHOD	OP	79849677
915479	3121	1997-11-12	PRIJEM	PREVOD Z UCTU	4353	14791	DUCHOD	OP	79849677
915480	3121	1997-12-12	PRIJEM	PREVOD Z UCTU	4353	16287	DUCHOD	OP	79849677
915481	3121	1998-01-12	PRIJEM	PREVOD Z UCTU	4353	12936	DUCHOD	OP	79849677
915482	3121	1998-02-12	PRIJEM	PREVOD Z UCTU	4353	14424	DUCHOD	OP	79849677
915483	3121	1998-03-12	PRIJEM	PREVOD Z UCTU	4353	13617	DUCHOD	OP	79849677
915484	3121	1998-04-12	PRIJEM	PREVOD Z UCTU	4353	15107	DUCHOD	OP	79849677
915485	3121	1998-05-12	PRIJEM	PREVOD Z UCTU	4353	16604	DUCHOD	OP	79849677
915486	3121	1998-06-12	PRIJEM	PREVOD Z UCTU	4353	16106	DUCHOD	OP	79849677
915487	3121	1998-07-12	PRIJEM	PREVOD Z UCTU	4353	15705	DUCHOD	OP	79849677
915488	3121	1998-08-12	PRIJEM	PREVOD Z UCTU	4353	15103	DUCHOD	OP	79849677
915489	3121	1998-09-12	PRIJEM	PREVOD Z UCTU	4353	16600	DUCHOD	OP	79849677
915490	3121	1998-10-12	PRIJEM	PREVOD Z UCTU	4353	15500	DUCHOD	OP	79849677
915491	3121	1998-11-12	PRIJEM	PREVOD Z UCTU	4353	16998	DUCHOD	OP	79849677
915615	3121	1998-11-23	VYDAJ	VYBER	2800	14198	\N	\N	\N
915492	3121	1998-12-12	PRIJEM	PREVOD Z UCTU	4353	15700	DUCHOD	OP	79849677
915500	3121	1996-08-06	VYDAJ	PREVOD NA UCET	2902	19954	SIPO	CD	63130450
915501	3121	1996-09-06	VYDAJ	PREVOD NA UCET	2902	21490	SIPO	CD	63130450
915502	3121	1996-10-06	VYDAJ	PREVOD NA UCET	2902	19671	SIPO	CD	63130450
915503	3121	1996-11-06	VYDAJ	PREVOD NA UCET	2902	21206	SIPO	CD	63130450
915504	3121	1996-12-06	VYDAJ	PREVOD NA UCET	2902	20466	SIPO	CD	63130450
915505	3121	1997-01-06	VYDAJ	PREVOD NA UCET	2902	18242	SIPO	CD	63130450
915506	3121	1997-02-06	VYDAJ	PREVOD NA UCET	2902	10549	SIPO	CD	63130450
915507	3121	1997-03-06	VYDAJ	PREVOD NA UCET	2902	12045	SIPO	CD	63130450
915508	3121	1997-04-06	VYDAJ	PREVOD NA UCET	2902	13548	SIPO	CD	63130450
915509	3121	1997-05-06	VYDAJ	PREVOD NA UCET	2902	15057	SIPO	CD	63130450
915510	3121	1997-06-06	VYDAJ	PREVOD NA UCET	2902	12806	SIPO	CD	63130450
915511	3121	1997-07-06	VYDAJ	PREVOD NA UCET	2902	11512	SIPO	CD	63130450
915512	3121	1997-08-06	VYDAJ	PREVOD NA UCET	2902	11711	SIPO	CD	63130450
915513	3121	1997-09-06	VYDAJ	PREVOD NA UCET	2902	10051	SIPO	CD	63130450
915514	3121	1997-10-06	VYDAJ	PREVOD NA UCET	2902	10045	SIPO	CD	63130450
915515	3121	1997-11-06	VYDAJ	PREVOD NA UCET	2902	10438	SIPO	CD	63130450
915516	3121	1997-12-06	VYDAJ	PREVOD NA UCET	2902	11934	SIPO	CD	63130450
915517	3121	1998-01-06	VYDAJ	PREVOD NA UCET	2902	8583	SIPO	CD	63130450
915518	3121	1998-02-06	VYDAJ	PREVOD NA UCET	2902	10071	SIPO	CD	63130450
915519	3121	1998-03-06	VYDAJ	PREVOD NA UCET	2902	9264	SIPO	CD	63130450
915520	3121	1998-04-06	VYDAJ	PREVOD NA UCET	2902	10754	SIPO	CD	63130450
915521	3121	1998-05-06	VYDAJ	PREVOD NA UCET	2902	12251	SIPO	CD	63130450
915522	3121	1998-06-06	VYDAJ	PREVOD NA UCET	2902	11753	SIPO	CD	63130450
915523	3121	1998-07-06	VYDAJ	PREVOD NA UCET	2902	11352	SIPO	CD	63130450
915524	3121	1998-08-06	VYDAJ	PREVOD NA UCET	2902	10750	SIPO	CD	63130450
915525	3121	1998-09-06	VYDAJ	PREVOD NA UCET	2902	12247	SIPO	CD	63130450
915526	3121	1998-10-06	VYDAJ	PREVOD NA UCET	2902	11147	SIPO	CD	63130450
915527	3121	1998-11-06	VYDAJ	PREVOD NA UCET	2902	12645	SIPO	CD	63130450
915528	3121	1998-12-06	VYDAJ	PREVOD NA UCET	2902	11347	SIPO	CD	63130450
915535	3121	1996-12-24	VYDAJ	VYBER	600	24219	\N	\N	\N
915536	3121	1997-12-23	VYDAJ	VYBER	450	15837	\N	\N	\N
915537	3121	1998-12-19	VYDAJ	VYBER	350	15350	\N	\N	\N
915544	3121	1997-01-25	VYDAJ	VYBER	1280	14195	\N	\N	\N
915547	3121	1997-01-27	VYDAJ	VYBER	800	13395	\N	\N	\N
915548	3121	1997-01-06	VYDAJ	VYBER	960	21144	\N	\N	\N
915549	3121	1997-01-01	VYDAJ	VYBER	2000	22304	\N	\N	\N
915556	3121	1996-09-30	VYDAJ	VYBER	3360	22573	\N	\N	\N
915558	3121	1996-12-04	VYDAJ	VYBER	1680	23368	\N	\N	\N
915560	3121	1997-01-07	VYDAJ	VYBER	3920	14322	\N	\N	\N
915561	3121	1997-01-21	VYDAJ	VYBER	3200	15475	\N	\N	\N
915562	3121	1997-08-28	VYDAJ	VYBER	2160	13904	\N	\N	\N
915563	3121	1997-05-21	VYDAJ	VYBER	3760	15650	\N	\N	\N
915566	3121	1998-05-26	VYDAJ	VYBER	2000	14604	\N	\N	\N
915574	3121	1996-07-31	VYDAJ	VYBER	15	22856	SLUZBY	\N	\N
915575	3121	1996-08-31	VYDAJ	VYBER	15	24392	SLUZBY	\N	\N
915576	3121	1996-09-30	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
915577	3121	1996-10-31	VYDAJ	VYBER	15	24108	SLUZBY	\N	\N
915578	3121	1996-11-30	VYDAJ	VYBER	15	25648	SLUZBY	\N	\N
915579	3121	1996-12-31	VYDAJ	VYBER	15	24304	SLUZBY	\N	\N
915580	3121	1997-01-31	VYDAJ	VYBER	15	13451	SLUZBY	\N	\N
915581	3121	1997-02-28	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
915582	3121	1997-03-31	VYDAJ	VYBER	15	16450	SLUZBY	\N	\N
915583	3121	1997-04-30	VYDAJ	VYBER	15	17959	SLUZBY	\N	\N
915584	3121	1997-05-31	VYDAJ	VYBER	15	15708	SLUZBY	\N	\N
915585	3121	1997-06-30	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
915586	3121	1997-07-31	VYDAJ	VYBER	15	14613	SLUZBY	\N	\N
915587	3121	1997-08-31	VYDAJ	VYBER	15	12953	SLUZBY	\N	\N
915588	3121	1997-09-30	VYDAJ	VYBER	15	12947	SLUZBY	\N	\N
915589	3121	1997-10-31	VYDAJ	VYBER	15	13340	SLUZBY	\N	\N
915590	3121	1997-11-30	VYDAJ	VYBER	15	14836	SLUZBY	\N	\N
915591	3121	1997-12-31	VYDAJ	VYBER	15	11485	SLUZBY	\N	\N
915592	3121	1998-01-31	VYDAJ	VYBER	15	12973	SLUZBY	\N	\N
915593	3121	1998-02-28	VYDAJ	VYBER	15	12166	SLUZBY	\N	\N
915594	3121	1998-03-31	VYDAJ	VYBER	15	13656	SLUZBY	\N	\N
915595	3121	1998-04-30	VYDAJ	VYBER	15	15153	SLUZBY	\N	\N
915596	3121	1998-05-31	VYDAJ	VYBER	15	14655	SLUZBY	\N	\N
915597	3121	1998-06-30	VYDAJ	VYBER	15	14254	SLUZBY	\N	\N
915598	3121	1998-07-31	VYDAJ	VYBER	15	13652	SLUZBY	\N	\N
915599	3121	1998-08-31	VYDAJ	VYBER	15	15149	SLUZBY	\N	\N
915600	3121	1998-09-30	VYDAJ	VYBER	15	14049	SLUZBY	\N	\N
915601	3121	1998-10-31	VYDAJ	VYBER	15	15547	SLUZBY	\N	\N
915602	3121	1998-11-30	VYDAJ	VYBER	15	14249	SLUZBY	\N	\N
915603	3121	1996-12-03	VYDAJ	VYBER	600	25048	\N	\N	\N
915604	3121	1997-01-02	VYDAJ	VYBER	200	22104	\N	\N	\N
915605	3121	1997-07-01	VYDAJ	VYBER	2800	14414	\N	\N	\N
915606	3121	1997-07-31	VYDAJ	VYBER	1300	14628	\N	\N	\N
915607	3121	1997-08-30	VYDAJ	VYBER	1000	12904	\N	\N	\N
915608	3121	1997-09-29	VYDAJ	VYBER	1500	12904	\N	\N	\N
915609	3121	1997-10-29	VYDAJ	VYBER	1100	13298	\N	\N	\N
915610	3121	1997-12-28	VYDAJ	VYBER	4400	11437	\N	\N	\N
915611	3121	1998-02-26	VYDAJ	VYBER	2300	12124	\N	\N	\N
915612	3121	1998-06-26	VYDAJ	VYBER	1900	14206	\N	\N	\N
915613	3121	1998-07-26	VYDAJ	VYBER	2100	13605	\N	\N	\N
915614	3121	1998-09-24	VYDAJ	VYBER	2600	14000	\N	\N	\N
915650	3122	1997-05-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
915656	3122	1997-06-06	PRIJEM	VKLAD	11126	12226	\N	\N	\N
915657	3122	1997-07-06	PRIJEM	VKLAD	7417	27699	\N	\N	\N
915658	3122	1997-08-06	PRIJEM	VKLAD	7417	34319	\N	\N	\N
915659	3122	1997-09-06	PRIJEM	VKLAD	7417	40265	\N	\N	\N
915660	3122	1997-10-06	PRIJEM	VKLAD	7417	43528	\N	\N	\N
915661	3122	1997-11-06	PRIJEM	VKLAD	7417	46747	\N	\N	\N
915662	3122	1997-12-06	PRIJEM	VKLAD	11126	41793	\N	\N	\N
915663	3122	1998-01-06	PRIJEM	VKLAD	7417	34552	\N	\N	\N
915664	3122	1998-02-06	PRIJEM	VKLAD	7417	27722	\N	\N	\N
915665	3122	1998-03-06	PRIJEM	VKLAD	7417	30270	\N	\N	\N
915666	3122	1998-04-06	PRIJEM	VKLAD	7417	38551	\N	\N	\N
915667	3122	1998-05-06	PRIJEM	VKLAD	7417	45863	\N	\N	\N
915668	3122	1998-06-06	PRIJEM	VKLAD	11126	51713	\N	\N	\N
915669	3122	1998-07-06	PRIJEM	VKLAD	7417	24861	\N	\N	\N
915670	3122	1998-08-06	PRIJEM	VKLAD	7417	41611	\N	\N	\N
915671	3122	1998-09-06	PRIJEM	VKLAD	7417	47012	\N	\N	\N
915672	3122	1998-10-06	PRIJEM	VKLAD	7417	47297	\N	\N	\N
915673	3122	1998-11-06	PRIJEM	VKLAD	7417	49353	\N	\N	\N
915674	3122	1998-12-06	PRIJEM	VKLAD	11126	57000	\N	\N	\N
915684	3122	1997-10-07	VYDAJ	PREVOD NA UCET	4944	38584	SIPO	AB	14967674
915685	3122	1997-11-07	VYDAJ	PREVOD NA UCET	4944	41803	SIPO	AB	14967674
915686	3122	1997-12-07	VYDAJ	PREVOD NA UCET	4944	36849	SIPO	AB	14967674
915687	3122	1998-01-07	VYDAJ	PREVOD NA UCET	4944	34408	SIPO	AB	14967674
915688	3122	1998-02-07	VYDAJ	PREVOD NA UCET	4944	22778	SIPO	AB	14967674
915689	3122	1998-03-07	VYDAJ	PREVOD NA UCET	4944	25326	SIPO	AB	14967674
915690	3122	1998-04-07	VYDAJ	PREVOD NA UCET	4944	38307	SIPO	AB	14967674
915691	3122	1998-05-07	VYDAJ	PREVOD NA UCET	4944	40419	SIPO	AB	14967674
915692	3122	1998-06-07	VYDAJ	PREVOD NA UCET	4944	39469	SIPO	AB	14967674
915693	3122	1998-07-07	VYDAJ	PREVOD NA UCET	4944	30917	SIPO	AB	14967674
915694	3122	1998-08-07	VYDAJ	PREVOD NA UCET	4944	36667	SIPO	AB	14967674
915695	3122	1998-09-07	VYDAJ	PREVOD NA UCET	4944	42068	SIPO	AB	14967674
915696	3122	1998-10-07	VYDAJ	PREVOD NA UCET	4944	36593	SIPO	AB	14967674
915697	3122	1998-11-07	VYDAJ	PREVOD NA UCET	4944	44409	SIPO	AB	14967674
915698	3122	1998-12-07	VYDAJ	PREVOD NA UCET	4944	52056	SIPO	AB	14967674
915700	3122	1998-06-23	VYDAJ	VYBER	14720	24749	\N	\N	\N
915702	3122	1998-01-12	VYDAJ	VYBER	3680	28568	\N	\N	\N
915703	3122	1997-12-29	VYDAJ	VYBER	3040	31809	\N	\N	\N
915704	3122	1998-12-14	VYDAJ	VYBER	2880	44496	\N	\N	\N
915711	3122	1998-01-18	VYDAJ	VYBER	2880	25688	\N	\N	\N
915712	3122	1998-01-04	VYDAJ	VYBER	3120	28815	\N	\N	\N
915713	3122	1998-01-10	VYDAJ	VYBER	2160	32248	\N	\N	\N
915714	3122	1998-01-26	VYDAJ	VYBER	3000	18248	\N	\N	\N
915715	3122	1998-01-29	VYDAJ	VYBER	2040	16208	\N	\N	\N
915716	3122	1998-01-05	VYDAJ	VYBER	1680	27135	\N	\N	\N
915717	3122	1997-11-28	VYDAJ	VYBER	4680	30523	\N	\N	\N
915719	3122	1997-11-24	VYDAJ	VYBER	4200	35203	\N	\N	\N
915722	3122	1998-08-27	VYDAJ	VYBER	4200	32467	\N	\N	\N
915723	3122	1998-06-28	VYDAJ	VYBER	1920	22829	\N	\N	\N
915724	3122	1998-07-15	VYDAJ	VYBER	5520	25397	\N	\N	\N
915725	3122	1998-10-06	VYDAJ	VYBER	5760	41537	\N	\N	\N
915726	3122	1998-01-21	VYDAJ	VYBER	4440	21248	\N	\N	\N
915727	3122	1998-06-30	VYDAJ	VYBER	5520	17444	\N	\N	\N
915728	3122	1998-12-11	VYDAJ	VYBER	4680	47376	\N	\N	\N
915729	3122	1998-09-13	VYDAJ	VYBER	840	41228	\N	\N	\N
915740	3122	1997-10-31	VYDAJ	VYBER	15	39330	SLUZBY	\N	\N
915741	3122	1997-11-30	VYDAJ	VYBER	15	30667	SLUZBY	\N	\N
915742	3122	1997-12-31	VYDAJ	VYBER	15	31935	SLUZBY	\N	\N
915743	3122	1998-01-31	VYDAJ	VYBER	15	16305	SLUZBY	\N	\N
915744	3122	1998-02-28	VYDAJ	VYBER	15	22853	SLUZBY	\N	\N
915745	3122	1998-03-31	VYDAJ	VYBER	15	31134	SLUZBY	\N	\N
915746	3122	1998-04-30	VYDAJ	VYBER	15	38446	SLUZBY	\N	\N
915747	3122	1998-05-31	VYDAJ	VYBER	15	40587	SLUZBY	\N	\N
915748	3122	1998-06-30	VYDAJ	VYBER	15	22964	SLUZBY	\N	\N
915749	3122	1998-07-31	VYDAJ	VYBER	15	25494	SLUZBY	\N	\N
915750	3122	1998-08-31	VYDAJ	VYBER	15	32595	SLUZBY	\N	\N
915751	3122	1998-09-30	VYDAJ	VYBER	15	41380	SLUZBY	\N	\N
915752	3122	1998-10-31	VYDAJ	VYBER	15	36736	SLUZBY	\N	\N
915753	3122	1998-11-30	VYDAJ	VYBER	15	44574	SLUZBY	\N	\N
915754	3122	1997-06-11	PRIJEM	VKLAD	8000	20226	\N	\N	\N
915755	3122	1997-07-11	VYDAJ	VYBER	900	26799	\N	\N	\N
915756	3122	1997-08-10	VYDAJ	VYBER	1600	32719	\N	\N	\N
915757	3122	1997-09-09	VYDAJ	VYBER	4300	35965	\N	\N	\N
915758	3122	1997-10-09	PRIJEM	VKLAD	600	39184	\N	\N	\N
915759	3122	1997-11-08	VYDAJ	VYBER	2400	39403	\N	\N	\N
915760	3122	1997-12-08	VYDAJ	VYBER	2000	34849	\N	\N	\N
915761	3122	1998-01-07	PRIJEM	VKLAD	4800	39352	\N	\N	\N
915762	3122	1998-02-06	PRIJEM	VKLAD	4000	20305	\N	\N	\N
915763	3122	1998-03-08	PRIJEM	VKLAD	5700	31026	\N	\N	\N
915764	3122	1998-04-07	PRIJEM	VKLAD	4700	43251	\N	\N	\N
915765	3122	1998-05-07	VYDAJ	VYBER	500	45363	\N	\N	\N
915766	3122	1998-06-06	VYDAJ	VYBER	7300	44413	\N	\N	\N
915767	3122	1998-07-06	PRIJEM	VKLAD	11000	35861	\N	\N	\N
915768	3122	1998-08-05	PRIJEM	VKLAD	8700	34194	\N	\N	\N
915769	3122	1998-09-04	PRIJEM	VKLAD	7000	39595	\N	\N	\N
915770	3122	1998-10-04	VYDAJ	VYBER	1500	39880	\N	\N	\N
915771	3122	1998-11-03	PRIJEM	VKLAD	5200	41936	\N	\N	\N
915772	3122	1998-12-03	PRIJEM	VKLAD	1300	45874	\N	\N	\N
916263	3124	1995-06-13	PRIJEM	VKLAD	500	500	\N	\N	\N
916270	3124	1995-07-08	PRIJEM	VKLAD	15032	15532	\N	\N	\N
916271	3124	1995-08-08	PRIJEM	VKLAD	15032	35316	\N	\N	\N
916272	3124	1995-09-08	PRIJEM	VKLAD	15032	43554	\N	\N	\N
916273	3124	1995-10-08	PRIJEM	VKLAD	15032	47415	\N	\N	\N
916274	3124	1995-11-08	PRIJEM	VKLAD	15032	48785	\N	\N	\N
916275	3124	1995-12-08	PRIJEM	VKLAD	22548	53122	\N	\N	\N
916276	3124	1996-01-08	PRIJEM	VKLAD	15032	40434	\N	\N	\N
916277	3124	1996-02-08	PRIJEM	VKLAD	15032	32316	\N	\N	\N
916278	3124	1996-03-08	PRIJEM	VKLAD	15032	36285	\N	\N	\N
916279	3124	1996-04-08	PRIJEM	VKLAD	15032	38367	\N	\N	\N
916280	3124	1996-05-08	PRIJEM	VKLAD	15032	37054	\N	\N	\N
916281	3124	1996-06-08	PRIJEM	VKLAD	22548	48664	\N	\N	\N
916282	3124	1996-07-08	PRIJEM	VKLAD	15032	45110	\N	\N	\N
916283	3124	1996-08-08	PRIJEM	VKLAD	15032	39555	\N	\N	\N
916284	3124	1996-09-08	PRIJEM	VKLAD	15032	45177	\N	\N	\N
916285	3124	1996-10-08	PRIJEM	VKLAD	15032	44823	\N	\N	\N
916286	3124	1996-11-08	PRIJEM	VKLAD	15032	45973	\N	\N	\N
916287	3124	1996-12-08	PRIJEM	VKLAD	22548	55037	\N	\N	\N
916288	3124	1997-01-08	PRIJEM	VKLAD	15032	44613	\N	\N	\N
916289	3124	1997-02-08	PRIJEM	VKLAD	15032	41945	\N	\N	\N
916290	3124	1997-03-08	PRIJEM	VKLAD	15032	43579	\N	\N	\N
916291	3124	1997-04-08	PRIJEM	VKLAD	15032	47222	\N	\N	\N
916292	3124	1997-05-08	PRIJEM	VKLAD	15032	44572	\N	\N	\N
916293	3124	1997-06-08	PRIJEM	VKLAD	22548	53036	\N	\N	\N
916294	3124	1997-07-08	PRIJEM	VKLAD	15032	37686	\N	\N	\N
916295	3124	1997-08-08	PRIJEM	VKLAD	15032	38603	\N	\N	\N
916296	3124	1997-09-08	PRIJEM	VKLAD	15032	35223	\N	\N	\N
916297	3124	1997-10-08	PRIJEM	VKLAD	15032	33211	\N	\N	\N
916298	3124	1997-11-08	PRIJEM	VKLAD	15032	37801	\N	\N	\N
916299	3124	1997-12-08	PRIJEM	VKLAD	22548	46025	\N	\N	\N
916300	3124	1998-01-08	PRIJEM	VKLAD	15032	31354	\N	\N	\N
916301	3124	1998-02-08	PRIJEM	VKLAD	15032	32529	\N	\N	\N
916302	3124	1998-03-08	PRIJEM	VKLAD	15032	38416	\N	\N	\N
916303	3124	1998-04-08	PRIJEM	VKLAD	15032	36021	\N	\N	\N
916304	3124	1998-05-08	PRIJEM	VKLAD	15032	34621	\N	\N	\N
916305	3124	1998-06-08	PRIJEM	VKLAD	22548	43230	\N	\N	\N
916306	3124	1998-07-08	PRIJEM	VKLAD	15032	32425	\N	\N	\N
916307	3124	1998-08-08	PRIJEM	VKLAD	15032	38210	\N	\N	\N
916308	3124	1998-09-08	PRIJEM	VKLAD	15032	41516	\N	\N	\N
916309	3124	1998-10-08	PRIJEM	VKLAD	15032	43235	\N	\N	\N
916310	3124	1998-11-08	PRIJEM	VKLAD	15032	42858	\N	\N	\N
916311	3124	1998-12-08	PRIJEM	VKLAD	22548	49494	\N	\N	\N
916322	3124	1995-11-08	VYDAJ	PREVOD NA UCET	3649	45136	SIPO	KL	29770392
916323	3124	1995-12-08	VYDAJ	PREVOD NA UCET	3649	49473	SIPO	KL	29770392
916324	3124	1996-01-08	VYDAJ	PREVOD NA UCET	3649	36785	SIPO	KL	29770392
916325	3124	1996-02-08	VYDAJ	PREVOD NA UCET	3649	23367	SIPO	KL	29770392
916326	3124	1996-03-08	VYDAJ	PREVOD NA UCET	3649	32636	SIPO	KL	29770392
916327	3124	1996-04-08	VYDAJ	PREVOD NA UCET	3649	34718	SIPO	KL	29770392
916328	3124	1996-05-08	VYDAJ	PREVOD NA UCET	3649	33405	SIPO	KL	29770392
916329	3124	1996-06-08	VYDAJ	PREVOD NA UCET	3649	45015	SIPO	KL	29770392
916330	3124	1996-07-08	VYDAJ	PREVOD NA UCET	3649	41461	SIPO	KL	29770392
916331	3124	1996-08-08	VYDAJ	PREVOD NA UCET	3649	35906	SIPO	KL	29770392
916332	3124	1996-09-08	VYDAJ	PREVOD NA UCET	3649	41528	SIPO	KL	29770392
916333	3124	1996-10-08	VYDAJ	PREVOD NA UCET	3649	41174	SIPO	KL	29770392
916334	3124	1996-11-08	VYDAJ	PREVOD NA UCET	3649	42324	SIPO	KL	29770392
916335	3124	1996-12-08	VYDAJ	PREVOD NA UCET	3649	51388	SIPO	KL	29770392
916336	3124	1997-01-08	VYDAJ	PREVOD NA UCET	3649	40964	SIPO	KL	29770392
916337	3124	1997-02-08	VYDAJ	PREVOD NA UCET	3649	38296	SIPO	KL	29770392
916338	3124	1997-03-08	VYDAJ	PREVOD NA UCET	3649	39930	SIPO	KL	29770392
916339	3124	1997-04-08	VYDAJ	PREVOD NA UCET	3649	43573	SIPO	KL	29770392
916340	3124	1997-05-08	VYDAJ	PREVOD NA UCET	3649	40923	SIPO	KL	29770392
916341	3124	1997-06-08	VYDAJ	PREVOD NA UCET	3649	49387	SIPO	KL	29770392
916342	3124	1997-07-08	VYDAJ	PREVOD NA UCET	3649	34037	SIPO	KL	29770392
916343	3124	1997-08-08	VYDAJ	PREVOD NA UCET	3649	34954	SIPO	KL	29770392
916344	3124	1997-09-08	VYDAJ	PREVOD NA UCET	3649	31574	SIPO	KL	29770392
916345	3124	1997-10-08	VYDAJ	PREVOD NA UCET	3649	29562	SIPO	KL	29770392
916346	3124	1997-11-08	VYDAJ	PREVOD NA UCET	3649	34152	SIPO	KL	29770392
916347	3124	1997-12-08	VYDAJ	PREVOD NA UCET	3649	42376	SIPO	KL	29770392
916348	3124	1998-01-08	VYDAJ	PREVOD NA UCET	3649	27705	SIPO	KL	29770392
916349	3124	1998-02-08	VYDAJ	PREVOD NA UCET	3649	28880	SIPO	KL	29770392
916350	3124	1998-03-08	VYDAJ	PREVOD NA UCET	3649	34767	SIPO	KL	29770392
916351	3124	1998-04-08	VYDAJ	PREVOD NA UCET	3649	32372	SIPO	KL	29770392
916352	3124	1998-05-08	VYDAJ	PREVOD NA UCET	3649	30972	SIPO	KL	29770392
916353	3124	1998-06-08	VYDAJ	PREVOD NA UCET	3649	39581	SIPO	KL	29770392
916354	3124	1998-07-08	VYDAJ	PREVOD NA UCET	3649	28776	SIPO	KL	29770392
916355	3124	1998-08-08	VYDAJ	PREVOD NA UCET	3649	34561	SIPO	KL	29770392
916356	3124	1998-09-08	VYDAJ	PREVOD NA UCET	3649	37867	SIPO	KL	29770392
916357	3124	1998-10-08	VYDAJ	PREVOD NA UCET	3649	39586	SIPO	KL	29770392
916358	3124	1998-11-08	VYDAJ	PREVOD NA UCET	3649	39209	SIPO	KL	29770392
916359	3124	1998-12-08	VYDAJ	PREVOD NA UCET	3649	45845	SIPO	KL	29770392
916371	3124	1995-12-07	VYDAJ	PREVOD NA UCET	811	30574	 	ST	56739848
916372	3124	1996-01-07	VYDAJ	PREVOD NA UCET	811	25402	 	ST	56739848
916373	3124	1996-02-07	VYDAJ	PREVOD NA UCET	811	17284	 	ST	56739848
916374	3124	1996-03-07	VYDAJ	PREVOD NA UCET	811	21253	 	ST	56739848
916375	3124	1996-04-07	VYDAJ	PREVOD NA UCET	811	23335	 	ST	56739848
916376	3124	1996-05-07	VYDAJ	PREVOD NA UCET	811	22022	 	ST	56739848
916377	3124	1996-06-07	VYDAJ	PREVOD NA UCET	811	26116	 	ST	56739848
916378	3124	1996-07-07	VYDAJ	PREVOD NA UCET	811	30078	 	ST	56739848
916379	3124	1996-08-07	VYDAJ	PREVOD NA UCET	811	24523	 	ST	56739848
916380	3124	1996-09-07	VYDAJ	PREVOD NA UCET	811	30145	 	ST	56739848
916381	3124	1996-10-07	VYDAJ	PREVOD NA UCET	811	29791	 	ST	56739848
916382	3124	1996-11-07	VYDAJ	PREVOD NA UCET	811	30941	 	ST	56739848
916383	3124	1996-12-07	VYDAJ	PREVOD NA UCET	811	32489	 	ST	56739848
916384	3124	1997-01-07	VYDAJ	PREVOD NA UCET	811	29581	 	ST	56739848
916385	3124	1997-02-07	VYDAJ	PREVOD NA UCET	811	26913	 	ST	56739848
916386	3124	1997-03-07	VYDAJ	PREVOD NA UCET	811	28547	 	ST	56739848
916387	3124	1997-04-07	VYDAJ	PREVOD NA UCET	811	32190	 	ST	56739848
916388	3124	1997-05-07	VYDAJ	PREVOD NA UCET	811	29540	 	ST	56739848
916389	3124	1997-06-07	VYDAJ	PREVOD NA UCET	811	30488	 	ST	56739848
916390	3124	1997-07-07	VYDAJ	PREVOD NA UCET	811	22654	 	ST	56739848
916391	3124	1997-08-07	VYDAJ	PREVOD NA UCET	811	23571	 	ST	56739848
916392	3124	1997-09-07	VYDAJ	PREVOD NA UCET	811	20191	 	ST	56739848
916393	3124	1997-10-07	VYDAJ	PREVOD NA UCET	811	18179	 	ST	56739848
916394	3124	1997-11-07	VYDAJ	PREVOD NA UCET	811	22769	 	ST	56739848
916395	3124	1997-12-07	VYDAJ	PREVOD NA UCET	811	23477	 	ST	56739848
916396	3124	1998-01-07	VYDAJ	PREVOD NA UCET	811	16322	 	ST	56739848
916397	3124	1998-02-07	VYDAJ	PREVOD NA UCET	811	17497	 	ST	56739848
916398	3124	1998-03-07	VYDAJ	PREVOD NA UCET	811	23384	 	ST	56739848
916399	3124	1998-04-07	VYDAJ	PREVOD NA UCET	811	20989	 	ST	56739848
916400	3124	1998-05-07	VYDAJ	PREVOD NA UCET	811	19589	 	ST	56739848
916401	3124	1998-06-07	VYDAJ	PREVOD NA UCET	811	20682	 	ST	56739848
916402	3124	1998-07-07	VYDAJ	PREVOD NA UCET	811	17393	 	ST	56739848
916403	3124	1998-08-07	VYDAJ	PREVOD NA UCET	811	23178	 	ST	56739848
916404	3124	1998-09-07	VYDAJ	PREVOD NA UCET	811	26484	 	ST	56739848
916405	3124	1998-10-07	VYDAJ	PREVOD NA UCET	811	28203	 	ST	56739848
916406	3124	1998-11-07	VYDAJ	PREVOD NA UCET	811	27826	 	ST	56739848
916407	3124	1998-12-07	VYDAJ	PREVOD NA UCET	811	26946	 	ST	56739848
916418	3124	1995-11-11	VYDAJ	PREVOD NA UCET	876	31960	POJISTNE	ST	274038
916419	3124	1995-12-11	VYDAJ	PREVOD NA UCET	876	32097	POJISTNE	ST	274038
916420	3124	1996-01-11	VYDAJ	PREVOD NA UCET	876	28609	POJISTNE	ST	274038
916421	3124	1996-02-11	VYDAJ	PREVOD NA UCET	876	22491	POJISTNE	ST	274038
916422	3124	1996-03-11	VYDAJ	PREVOD NA UCET	876	24060	POJISTNE	ST	274038
916423	3124	1996-04-11	VYDAJ	PREVOD NA UCET	876	25642	POJISTNE	ST	274038
916424	3124	1996-05-11	VYDAJ	PREVOD NA UCET	876	27429	POJISTNE	ST	274038
916425	3124	1996-06-11	VYDAJ	PREVOD NA UCET	876	44139	POJISTNE	ST	274038
916426	3124	1996-07-11	VYDAJ	PREVOD NA UCET	876	40585	POJISTNE	ST	274038
916427	3124	1996-08-11	VYDAJ	PREVOD NA UCET	876	34330	POJISTNE	ST	274038
916428	3124	1996-09-11	VYDAJ	PREVOD NA UCET	876	40652	POJISTNE	ST	274038
916429	3124	1996-10-11	VYDAJ	PREVOD NA UCET	876	40298	POJISTNE	ST	274038
916430	3124	1996-11-11	VYDAJ	PREVOD NA UCET	876	41448	POJISTNE	ST	274038
916431	3124	1996-12-11	VYDAJ	PREVOD NA UCET	876	50512	POJISTNE	ST	274038
916432	3124	1997-01-11	VYDAJ	PREVOD NA UCET	876	40088	POJISTNE	ST	274038
916433	3124	1997-02-11	VYDAJ	PREVOD NA UCET	876	37420	POJISTNE	ST	274038
916434	3124	1997-03-11	VYDAJ	PREVOD NA UCET	876	39054	POJISTNE	ST	274038
916435	3124	1997-04-11	VYDAJ	PREVOD NA UCET	876	40297	POJISTNE	ST	274038
916436	3124	1997-05-11	VYDAJ	PREVOD NA UCET	876	40047	POJISTNE	ST	274038
916437	3124	1997-06-11	VYDAJ	PREVOD NA UCET	876	48511	POJISTNE	ST	274038
916438	3124	1997-07-11	VYDAJ	PREVOD NA UCET	876	33161	POJISTNE	ST	274038
916439	3124	1997-08-11	VYDAJ	PREVOD NA UCET	876	34078	POJISTNE	ST	274038
916440	3124	1997-09-11	VYDAJ	PREVOD NA UCET	876	27298	POJISTNE	ST	274038
916441	3124	1997-10-11	VYDAJ	PREVOD NA UCET	876	28686	POJISTNE	ST	274038
916442	3124	1997-11-11	VYDAJ	PREVOD NA UCET	876	33276	POJISTNE	ST	274038
916443	3124	1997-12-11	VYDAJ	PREVOD NA UCET	876	41500	POJISTNE	ST	274038
916444	3124	1998-01-11	VYDAJ	PREVOD NA UCET	876	25429	POJISTNE	ST	274038
916445	3124	1998-02-11	VYDAJ	PREVOD NA UCET	876	28004	POJISTNE	ST	274038
916446	3124	1998-03-11	VYDAJ	PREVOD NA UCET	876	33891	POJISTNE	ST	274038
916447	3124	1998-04-11	VYDAJ	PREVOD NA UCET	876	31496	POJISTNE	ST	274038
916448	3124	1998-05-11	VYDAJ	PREVOD NA UCET	876	30096	POJISTNE	ST	274038
916449	3124	1998-06-11	VYDAJ	PREVOD NA UCET	876	38705	POJISTNE	ST	274038
916450	3124	1998-07-11	VYDAJ	PREVOD NA UCET	876	27900	POJISTNE	ST	274038
916451	3124	1998-08-11	VYDAJ	PREVOD NA UCET	876	33685	POJISTNE	ST	274038
916452	3124	1998-09-11	VYDAJ	PREVOD NA UCET	876	36991	POJISTNE	ST	274038
916453	3124	1998-10-11	VYDAJ	PREVOD NA UCET	876	38710	POJISTNE	ST	274038
916565	3124	1996-02-08	VYDAJ	VYBER	5300	27016	\N	\N	\N
916454	3124	1998-11-11	VYDAJ	PREVOD NA UCET	876	38333	POJISTNE	ST	274038
916455	3124	1998-12-11	VYDAJ	PREVOD NA UCET	876	44969	POJISTNE	ST	274038
916457	3124	1996-06-25	VYDAJ	VYBER	4000	40139	\N	\N	\N
916458	3124	1997-06-22	VYDAJ	VYBER	19200	29311	\N	\N	\N
916459	3124	1998-06-14	VYDAJ	VYBER	9300	27505	\N	\N	\N
916461	3124	1996-01-14	VYDAJ	VYBER	2700	25909	\N	\N	\N
916462	3124	1997-01-02	VYDAJ	VYBER	1600	43392	\N	\N	\N
916463	3124	1998-01-01	VYDAJ	VYBER	8000	19233	\N	\N	\N
916464	3124	1995-12-05	VYDAJ	VYBER	700	31385	\N	\N	\N
916465	3124	1996-12-14	VYDAJ	VYBER	1700	48812	\N	\N	\N
916466	3124	1997-12-19	VYDAJ	VYBER KARTOU	1800	38400	\N	\N	0
916467	3124	1998-12-14	VYDAJ	VYBER KARTOU	2600	42369	\N	\N	0
916474	3124	1996-01-22	VYDAJ	VYBER	2200	18009	\N	\N	\N
916475	3124	1996-01-15	VYDAJ	VYBER	1800	24109	\N	\N	\N
916476	3124	1996-01-03	VYDAJ	VYBER	2200	26213	\N	\N	\N
916477	3124	1996-01-22	VYDAJ	VYBER	1700	20209	\N	\N	\N
916478	3124	1996-01-15	VYDAJ	VYBER	600	23509	\N	\N	\N
916479	3124	1996-01-18	VYDAJ	VYBER	1600	21909	\N	\N	\N
916480	3124	1997-01-19	VYDAJ	VYBER	600	35088	\N	\N	\N
916481	3124	1997-01-16	VYDAJ	VYBER	2500	35688	\N	\N	\N
916482	3124	1997-01-01	VYDAJ	VYBER	2500	44992	\N	\N	\N
916483	3124	1997-01-14	VYDAJ	VYBER	1900	38188	\N	\N	\N
916484	3124	1997-01-21	VYDAJ	VYBER	1300	33788	\N	\N	\N
916485	3124	1997-01-04	VYDAJ	VYBER	1400	30392	\N	\N	\N
916486	3124	1998-01-04	VYDAJ	VYBER KARTOU	2100	17133	\N	\N	0
916487	3124	1998-01-27	VYDAJ	VYBER KARTOU	700	20029	\N	\N	0
916488	3124	1998-01-21	VYDAJ	VYBER KARTOU	2000	23429	\N	\N	0
916489	3124	1998-01-11	VYDAJ	VYBER KARTOU	1400	26305	\N	\N	0
916490	3124	1998-01-01	VYDAJ	VYBER KARTOU	1900	27233	\N	\N	0
916491	3124	1998-01-24	VYDAJ	VYBER KARTOU	2700	20729	\N	\N	0
916493	3124	1995-12-14	VYDAJ	VYBER	3800	28297	\N	\N	\N
916495	3124	1996-12-19	VYDAJ	VYBER	1500	47312	\N	\N	\N
916496	3124	1996-07-23	VYDAJ	VYBER	3600	36985	\N	\N	\N
916497	3124	1996-11-01	VYDAJ	VYBER	1700	38752	\N	\N	\N
916498	3124	1996-05-02	VYDAJ	VYBER	2900	22833	\N	\N	\N
916499	3124	1996-02-13	VYDAJ	VYBER	500	21991	\N	\N	\N
916500	3124	1996-08-09	VYDAJ	VYBER	700	35206	\N	\N	\N
916501	3124	1996-07-29	VYDAJ	VYBER	4300	32685	\N	\N	\N
916502	3124	1997-09-09	VYDAJ	VYBER KARTOU	3400	28174	\N	\N	0
916503	3124	1997-04-08	VYDAJ	VYBER	2400	41173	\N	\N	\N
916504	3124	1997-12-16	VYDAJ	VYBER KARTOU	1300	40200	\N	\N	0
916505	3124	1998-03-21	VYDAJ	VYBER KARTOU	2700	31191	\N	\N	0
916506	3124	1998-06-13	VYDAJ	VYBER KARTOU	1900	36805	\N	\N	0
916507	3124	1998-05-06	VYDAJ	VYBER KARTOU	1200	20400	\N	\N	0
916508	3124	1998-09-23	VYDAJ	VYBER KARTOU	3200	33791	\N	\N	0
916509	3124	1998-06-28	VYDAJ	VYBER	4800	18105	\N	\N	\N
916521	3124	1995-11-30	VYDAJ	VYBER	15	32085	SLUZBY	\N	\N
916522	3124	1995-12-31	VYDAJ	VYBER	15	28413	SLUZBY	\N	\N
916523	3124	1996-01-31	VYDAJ	VYBER	15	18095	SLUZBY	\N	\N
916524	3124	1996-02-29	VYDAJ	VYBER	15	22064	SLUZBY	\N	\N
916525	3124	1996-03-31	VYDAJ	VYBER	15	24146	SLUZBY	\N	\N
916526	3124	1996-04-30	VYDAJ	VYBER	15	25733	SLUZBY	\N	\N
916527	3124	1996-05-31	VYDAJ	VYBER	15	27527	SLUZBY	\N	\N
916528	3124	1996-06-30	VYDAJ	VYBER	15	40289	SLUZBY	\N	\N
916529	3124	1996-07-31	VYDAJ	VYBER	15	32834	SLUZBY	\N	\N
916530	3124	1996-08-31	VYDAJ	VYBER	15	34456	SLUZBY	\N	\N
916531	3124	1996-09-30	VYDAJ	VYBER	15	40802	SLUZBY	\N	\N
916532	3124	1996-10-31	VYDAJ	VYBER	15	40452	SLUZBY	\N	\N
916533	3124	1996-11-30	VYDAJ	VYBER	15	41600	SLUZBY	\N	\N
916534	3124	1996-12-31	VYDAJ	VYBER	15	47492	SLUZBY	\N	\N
916535	3124	1997-01-31	VYDAJ	VYBER	15	33924	SLUZBY	\N	\N
916536	3124	1997-02-28	VYDAJ	VYBER	15	37558	SLUZBY	\N	\N
916537	3124	1997-03-31	VYDAJ	VYBER	15	39201	SLUZBY	\N	\N
916538	3124	1997-04-30	VYDAJ	VYBER	15	40451	SLUZBY	\N	\N
916539	3124	1997-05-31	VYDAJ	VYBER	15	40199	SLUZBY	\N	\N
916540	3124	1997-06-30	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
916541	3124	1997-07-31	VYDAJ	VYBER	15	33282	SLUZBY	\N	\N
916542	3124	1997-08-31	VYDAJ	VYBER	15	21002	SLUZBY	\N	\N
916543	3124	1997-09-30	VYDAJ	VYBER	15	27390	SLUZBY	\N	\N
916544	3124	1997-10-31	VYDAJ	VYBER	15	23580	SLUZBY	\N	\N
916545	3124	1997-11-30	VYDAJ	VYBER	15	24288	SLUZBY	\N	\N
916546	3124	1997-12-31	VYDAJ	VYBER	15	29133	SLUZBY	\N	\N
916547	3124	1998-01-31	VYDAJ	VYBER	15	18308	SLUZBY	\N	\N
916548	3124	1998-02-28	VYDAJ	VYBER	15	24195	SLUZBY	\N	\N
916549	3124	1998-03-31	VYDAJ	VYBER	15	21800	SLUZBY	\N	\N
916550	3124	1998-04-30	VYDAJ	VYBER	15	21600	SLUZBY	\N	\N
916551	3124	1998-05-31	VYDAJ	VYBER	15	21493	SLUZBY	\N	\N
916552	3124	1998-06-30	VYDAJ	VYBER	15	18204	SLUZBY	\N	\N
916553	3124	1998-07-31	VYDAJ	VYBER	15	23989	SLUZBY	\N	\N
916554	3124	1998-08-31	VYDAJ	VYBER	15	27295	SLUZBY	\N	\N
916555	3124	1998-09-30	VYDAJ	VYBER	15	29014	SLUZBY	\N	\N
916556	3124	1998-10-31	VYDAJ	VYBER	15	28637	SLUZBY	\N	\N
916557	3124	1998-11-30	VYDAJ	VYBER	15	27757	SLUZBY	\N	\N
916558	3124	1995-07-13	PRIJEM	VKLAD	4700	20232	\N	\N	\N
916559	3124	1995-08-12	VYDAJ	VYBER	6900	28416	\N	\N	\N
916560	3124	1995-09-11	VYDAJ	VYBER	11300	32254	\N	\N	\N
916561	3124	1995-10-11	VYDAJ	VYBER	13800	33615	\N	\N	\N
916562	3124	1995-11-10	VYDAJ	VYBER	12300	32836	\N	\N	\N
916563	3124	1995-12-10	VYDAJ	VYBER	16500	32973	\N	\N	\N
916564	3124	1996-01-09	VYDAJ	VYBER	7300	29485	\N	\N	\N
916566	3124	1996-03-09	VYDAJ	VYBER	7700	24936	\N	\N	\N
916567	3124	1996-04-08	VYDAJ	VYBER	8200	26518	\N	\N	\N
916568	3124	1996-05-08	VYDAJ	VYBER	5100	28305	\N	\N	\N
916569	3124	1996-06-07	VYDAJ	VYBER	600	26927	\N	\N	\N
916570	3124	1996-07-07	VYDAJ	VYBER	9400	30889	\N	\N	\N
916571	3124	1996-08-06	VYDAJ	VYBER	7500	25334	\N	\N	\N
916572	3124	1996-09-05	VYDAJ	VYBER	3500	30956	\N	\N	\N
916573	3124	1996-10-05	VYDAJ	VYBER	10200	30602	\N	\N	\N
916574	3124	1996-11-04	VYDAJ	VYBER	7000	31752	\N	\N	\N
916575	3124	1996-12-04	VYDAJ	VYBER	8300	33300	\N	\N	\N
916576	3124	1997-01-03	VYDAJ	VYBER	11600	31792	\N	\N	\N
916577	3124	1997-02-02	VYDAJ	VYBER	6200	27724	\N	\N	\N
916578	3124	1997-03-04	VYDAJ	VYBER	8200	29358	\N	\N	\N
916579	3124	1997-04-03	VYDAJ	VYBER	6200	33001	\N	\N	\N
916580	3124	1997-05-03	VYDAJ	VYBER	10100	30351	\N	\N	\N
916581	3124	1997-06-02	VYDAJ	VYBER	8900	31299	\N	\N	\N
916582	3124	1997-07-02	VYDAJ	VYBER	6000	23465	\N	\N	\N
916583	3124	1997-08-01	VYDAJ	VYBER	8900	24382	\N	\N	\N
916584	3124	1997-08-31	VYDAJ	VYBER	13200	21017	\N	\N	\N
916585	3124	1997-09-30	VYDAJ	VYBER	8400	18990	\N	\N	\N
916586	3124	1997-10-30	VYDAJ	VYBER	5200	23486	\N	\N	\N
916587	3124	1997-11-29	VYDAJ	VYBER	9100	24176	\N	\N	\N
916588	3124	1997-12-29	VYDAJ	VYBER	9400	29000	\N	\N	\N
916589	3124	1998-01-28	VYDAJ	VYBER KARTOU	1800	18229	\N	\N	0
916590	3124	1998-02-27	VYDAJ	VYBER KARTOU	3900	24104	\N	\N	0
916591	3124	1998-03-29	VYDAJ	VYBER	9500	21691	\N	\N	\N
916592	3124	1998-04-28	VYDAJ	VYBER	10000	21496	\N	\N	\N
916593	3124	1998-05-28	VYDAJ	VYBER	8700	21396	\N	\N	\N
916594	3124	1998-06-27	VYDAJ	VYBER	4600	22905	\N	\N	\N
916595	3124	1998-07-27	VYDAJ	VYBER KARTOU	4000	23900	\N	\N	0
916596	3124	1998-08-26	VYDAJ	VYBER	6500	27185	\N	\N	\N
916597	3124	1998-09-25	VYDAJ	VYBER	4900	28891	\N	\N	\N
916598	3124	1998-10-25	VYDAJ	VYBER	10200	28510	\N	\N	\N
916599	3124	1998-11-24	VYDAJ	VYBER	10700	27633	\N	\N	\N
916642	3125	1996-12-16	PRIJEM	VKLAD	400	400	\N	\N	\N
916655	3125	1997-01-14	PRIJEM	VKLAD	6368	6768	\N	\N	\N
916656	3125	1997-02-14	PRIJEM	VKLAD	6368	21671	\N	\N	\N
916657	3125	1997-03-14	PRIJEM	VKLAD	6368	26814	\N	\N	\N
916658	3125	1997-04-14	PRIJEM	VKLAD	6368	27067	\N	\N	\N
916659	3125	1997-05-14	PRIJEM	VKLAD	6368	30729	\N	\N	\N
916660	3125	1997-06-14	PRIJEM	VKLAD	9552	32229	\N	\N	\N
916661	3125	1997-07-14	PRIJEM	VKLAD	6368	28748	\N	\N	\N
916662	3125	1997-08-14	PRIJEM	VKLAD	6368	18947	\N	\N	\N
916663	3125	1997-09-14	PRIJEM	VKLAD	6368	25529	\N	\N	\N
916664	3125	1997-10-14	PRIJEM	VKLAD	6368	26232	\N	\N	\N
916665	3125	1997-11-14	PRIJEM	VKLAD	6368	26047	\N	\N	\N
916666	3125	1997-12-14	PRIJEM	VKLAD	9552	30865	\N	\N	\N
916667	3125	1998-01-14	PRIJEM	VKLAD	6368	31590	\N	\N	\N
916668	3125	1998-02-14	PRIJEM	VKLAD	6368	30219	\N	\N	\N
916669	3125	1998-03-14	PRIJEM	VKLAD	6368	28751	\N	\N	\N
916670	3125	1998-04-14	PRIJEM	VKLAD	6368	29378	\N	\N	\N
916671	3125	1998-05-14	PRIJEM	VKLAD	6368	27105	\N	\N	\N
916672	3125	1998-06-14	PRIJEM	VKLAD	9552	27466	\N	\N	\N
916673	3125	1998-07-14	PRIJEM	VKLAD	6368	21179	\N	\N	\N
916674	3125	1998-08-14	PRIJEM	VKLAD	6368	18098	\N	\N	\N
916675	3125	1998-09-14	PRIJEM	VKLAD	6368	20277	\N	\N	\N
916676	3125	1998-10-14	PRIJEM	VKLAD	6368	22466	\N	\N	\N
916677	3125	1998-11-14	PRIJEM	VKLAD	6368	18364	\N	\N	\N
916678	3125	1998-12-14	PRIJEM	VKLAD	9552	23736	\N	\N	\N
916696	3125	1997-06-06	VYDAJ	PREVOD NA UCET	4245	22677	SIPO	CD	77198278
916697	3125	1997-07-06	VYDAJ	PREVOD NA UCET	4245	22380	SIPO	CD	77198278
916698	3125	1997-08-06	VYDAJ	PREVOD NA UCET	4245	11779	SIPO	CD	77198278
916699	3125	1997-09-06	VYDAJ	PREVOD NA UCET	4245	14761	SIPO	CD	77198278
916700	3125	1997-10-06	VYDAJ	PREVOD NA UCET	4245	21364	SIPO	CD	77198278
916701	3125	1997-11-06	VYDAJ	PREVOD NA UCET	4245	22079	SIPO	CD	77198278
916702	3125	1997-12-06	VYDAJ	PREVOD NA UCET	4245	21893	SIPO	CD	77198278
916703	3125	1998-01-06	VYDAJ	PREVOD NA UCET	4245	18722	SIPO	CD	77198278
916704	3125	1998-02-06	VYDAJ	PREVOD NA UCET	4245	27451	SIPO	CD	77198278
916705	3125	1998-03-06	VYDAJ	PREVOD NA UCET	4245	26083	SIPO	CD	77198278
916706	3125	1998-04-06	VYDAJ	PREVOD NA UCET	4245	24610	SIPO	CD	77198278
916707	3125	1998-05-06	VYDAJ	PREVOD NA UCET	4245	25237	SIPO	CD	77198278
916708	3125	1998-06-06	VYDAJ	PREVOD NA UCET	4245	20314	SIPO	CD	77198278
916709	3125	1998-07-06	VYDAJ	PREVOD NA UCET	4245	23311	SIPO	CD	77198278
916710	3125	1998-08-06	VYDAJ	PREVOD NA UCET	4245	11730	SIPO	CD	77198278
916711	3125	1998-09-06	VYDAJ	PREVOD NA UCET	4245	13909	SIPO	CD	77198278
916712	3125	1998-10-06	VYDAJ	PREVOD NA UCET	4245	16098	SIPO	CD	77198278
916713	3125	1998-11-06	VYDAJ	PREVOD NA UCET	4245	18296	SIPO	CD	77198278
916714	3125	1998-12-06	VYDAJ	PREVOD NA UCET	4245	14184	SIPO	CD	77198278
916720	3125	1998-01-03	VYDAJ	VYBER	8000	22967	\N	\N	\N
916722	3125	1997-12-09	VYDAJ	VYBER	3680	18213	\N	\N	\N
916723	3125	1998-12-27	VYDAJ	VYBER	2080	21656	\N	\N	\N
916731	3125	1997-07-17	VYDAJ	VYBER	4800	20148	\N	\N	\N
916732	3125	1997-07-19	VYDAJ	VYBER	4200	15948	\N	\N	\N
916735	3125	1998-05-23	VYDAJ	VYBER	2640	24465	\N	\N	\N
916736	3125	1998-08-02	VYDAJ	VYBER	5280	15975	\N	\N	\N
916755	3125	1997-05-31	VYDAJ	VYBER	15	26922	SLUZBY	\N	\N
916756	3125	1997-06-30	VYDAJ	VYBER	15	26625	SLUZBY	\N	\N
916757	3125	1997-07-31	VYDAJ	VYBER	15	16024	SLUZBY	\N	\N
916758	3125	1997-08-31	VYDAJ	VYBER	15	19006	SLUZBY	\N	\N
916759	3125	1997-09-30	VYDAJ	VYBER	15	25609	SLUZBY	\N	\N
916760	3125	1997-10-31	VYDAJ	VYBER	15	26324	SLUZBY	\N	\N
916761	3125	1997-11-30	VYDAJ	VYBER	15	26138	SLUZBY	\N	\N
916762	3125	1997-12-31	VYDAJ	VYBER	15	30967	SLUZBY	\N	\N
916763	3125	1998-01-31	VYDAJ	VYBER	15	31696	SLUZBY	\N	\N
916764	3125	1998-02-28	VYDAJ	VYBER	15	30328	SLUZBY	\N	\N
916765	3125	1998-03-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
916766	3125	1998-04-30	VYDAJ	VYBER	15	29482	SLUZBY	\N	\N
916767	3125	1998-05-31	VYDAJ	VYBER	15	24559	SLUZBY	\N	\N
916768	3125	1998-06-30	VYDAJ	VYBER	15	27556	SLUZBY	\N	\N
916769	3125	1998-07-31	VYDAJ	VYBER	15	21255	SLUZBY	\N	\N
916770	3125	1998-08-31	VYDAJ	VYBER	15	18154	SLUZBY	\N	\N
916771	3125	1998-09-30	VYDAJ	VYBER	15	20343	SLUZBY	\N	\N
916772	3125	1998-10-31	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
916773	3125	1998-11-30	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
916774	3125	1997-01-15	PRIJEM	VKLAD	8500	15268	\N	\N	\N
916775	3125	1997-02-14	VYDAJ	VYBER	1300	20371	\N	\N	\N
916776	3125	1997-03-16	VYDAJ	VYBER	6200	20614	\N	\N	\N
916777	3125	1997-04-15	VYDAJ	VYBER	2800	24267	\N	\N	\N
916778	3125	1997-05-15	VYDAJ	VYBER	3900	26829	\N	\N	\N
916779	3125	1997-06-14	VYDAJ	VYBER	5700	26529	\N	\N	\N
916780	3125	1997-07-14	VYDAJ	VYBER	3800	24948	\N	\N	\N
916781	3125	1997-08-13	PRIJEM	VKLAD	800	12579	\N	\N	\N
916782	3125	1997-09-12	PRIJEM	VKLAD	4400	19161	\N	\N	\N
916783	3125	1997-10-12	VYDAJ	VYBER	1500	19864	\N	\N	\N
916784	3125	1997-11-11	VYDAJ	VYBER	2400	19679	\N	\N	\N
916785	3125	1997-12-11	PRIJEM	VKLAD	3100	21313	\N	\N	\N
916786	3125	1998-01-10	PRIJEM	VKLAD	6500	25222	\N	\N	\N
916787	3125	1998-02-09	VYDAJ	VYBER	3600	23851	\N	\N	\N
916788	3125	1998-03-11	VYDAJ	VYBER	3700	22383	\N	\N	\N
916789	3125	1998-04-10	VYDAJ	VYBER	1600	23010	\N	\N	\N
916790	3125	1998-05-10	VYDAJ	VYBER	4500	20737	\N	\N	\N
916791	3125	1998-06-09	VYDAJ	VYBER	2400	17914	\N	\N	\N
916792	3125	1998-07-09	VYDAJ	VYBER	8500	14811	\N	\N	\N
916793	3125	1998-11-06	VYDAJ	VYBER	6300	11996	\N	\N	\N
916818	3126	1996-09-03	PRIJEM	VKLAD	400	400	\N	\N	\N
916827	3126	1996-09-11	PRIJEM	VKLAD	5989	6389	\N	\N	\N
916828	3126	1996-10-11	PRIJEM	VKLAD	5989	22496	\N	\N	\N
916829	3126	1996-11-11	PRIJEM	VKLAD	5989	30357	\N	\N	\N
916830	3126	1996-12-11	PRIJEM	VKLAD	8984	37556	\N	\N	\N
916831	3126	1997-01-11	PRIJEM	VKLAD	5989	35592	\N	\N	\N
916832	3126	1997-02-11	PRIJEM	VKLAD	5989	29299	\N	\N	\N
916833	3126	1997-03-11	PRIJEM	VKLAD	5989	29083	\N	\N	\N
916834	3126	1997-04-11	PRIJEM	VKLAD	5989	31972	\N	\N	\N
916835	3126	1997-05-11	PRIJEM	VKLAD	5989	33169	\N	\N	\N
916836	3126	1997-06-11	PRIJEM	VKLAD	8984	32768	\N	\N	\N
916837	3126	1997-07-11	PRIJEM	VKLAD	5989	28057	\N	\N	\N
916838	3126	1997-08-11	PRIJEM	VKLAD	5989	23635	\N	\N	\N
916839	3126	1997-09-11	PRIJEM	VKLAD	5989	21794	\N	\N	\N
916840	3126	1997-10-11	PRIJEM	VKLAD	5989	24147	\N	\N	\N
916841	3126	1997-11-11	PRIJEM	VKLAD	5989	22406	\N	\N	\N
916842	3126	1997-12-11	PRIJEM	VKLAD	8984	24752	\N	\N	\N
916843	3126	1998-01-11	PRIJEM	VKLAD	5989	19808	\N	\N	\N
916844	3126	1998-02-11	PRIJEM	VKLAD	5989	18551	\N	\N	\N
916845	3126	1998-03-11	PRIJEM	VKLAD	5989	18589	\N	\N	\N
916846	3126	1998-04-11	PRIJEM	VKLAD	5989	21929	\N	\N	\N
916847	3126	1998-05-11	PRIJEM	VKLAD	5989	20080	\N	\N	\N
916848	3126	1998-06-11	PRIJEM	VKLAD	8984	20016	\N	\N	\N
916849	3126	1998-07-11	PRIJEM	VKLAD	5989	17352	\N	\N	\N
916850	3126	1998-08-11	PRIJEM	VKLAD	5989	19386	\N	\N	\N
916851	3126	1998-09-11	PRIJEM	VKLAD	5989	21429	\N	\N	\N
916852	3126	1998-10-11	PRIJEM	VKLAD	5989	21480	\N	\N	\N
916853	3126	1998-11-11	PRIJEM	VKLAD	5989	23536	\N	\N	\N
916854	3126	1998-12-11	PRIJEM	VKLAD	8984	28591	\N	\N	\N
916867	3126	1997-01-14	VYDAJ	PREVOD NA UCET	3992	25500	SIPO	QR	39072895
916868	3126	1997-02-14	VYDAJ	PREVOD NA UCET	3992	25307	SIPO	QR	39072895
916869	3126	1997-03-14	VYDAJ	PREVOD NA UCET	3992	25091	SIPO	QR	39072895
916870	3126	1997-04-14	VYDAJ	PREVOD NA UCET	3992	27980	SIPO	QR	39072895
916871	3126	1997-05-14	VYDAJ	PREVOD NA UCET	3992	29177	SIPO	QR	39072895
916872	3126	1997-06-14	VYDAJ	PREVOD NA UCET	3992	28776	SIPO	QR	39072895
916873	3126	1997-07-14	VYDAJ	PREVOD NA UCET	3992	24065	SIPO	QR	39072895
916874	3126	1997-08-14	VYDAJ	PREVOD NA UCET	3992	19643	SIPO	QR	39072895
916875	3126	1997-09-14	VYDAJ	PREVOD NA UCET	3992	17802	SIPO	QR	39072895
916876	3126	1997-10-14	VYDAJ	PREVOD NA UCET	3992	20155	SIPO	QR	39072895
916877	3126	1997-11-14	VYDAJ	PREVOD NA UCET	3992	18414	SIPO	QR	39072895
916878	3126	1997-12-14	VYDAJ	PREVOD NA UCET	3992	20760	SIPO	QR	39072895
916879	3126	1998-01-14	VYDAJ	PREVOD NA UCET	3992	15816	SIPO	QR	39072895
916880	3126	1998-02-14	VYDAJ	PREVOD NA UCET	3992	14559	SIPO	QR	39072895
916881	3126	1998-03-14	VYDAJ	PREVOD NA UCET	3992	14597	SIPO	QR	39072895
916882	3126	1998-04-14	VYDAJ	PREVOD NA UCET	3992	17937	SIPO	QR	39072895
916883	3126	1998-05-14	VYDAJ	PREVOD NA UCET	3992	16088	SIPO	QR	39072895
916884	3126	1998-06-14	VYDAJ	PREVOD NA UCET	3992	16024	SIPO	QR	39072895
916885	3126	1998-07-14	VYDAJ	PREVOD NA UCET	3992	13360	SIPO	QR	39072895
916886	3126	1998-08-14	VYDAJ	PREVOD NA UCET	3992	15394	SIPO	QR	39072895
916887	3126	1998-09-14	VYDAJ	PREVOD NA UCET	3992	17437	SIPO	QR	39072895
916888	3126	1998-10-14	VYDAJ	PREVOD NA UCET	3992	17488	SIPO	QR	39072895
916889	3126	1998-11-14	VYDAJ	PREVOD NA UCET	3992	19544	SIPO	QR	39072895
916890	3126	1998-12-14	VYDAJ	PREVOD NA UCET	3992	24599	SIPO	QR	39072895
916898	3126	1997-12-26	VYDAJ	VYBER	1700	19060	\N	\N	\N
916899	3126	1998-12-19	VYDAJ	VYBER	2200	22399	\N	\N	\N
916906	3126	1997-01-30	VYDAJ	VYBER	1500	20200	\N	\N	\N
916907	3126	1997-01-14	VYDAJ	VYBER	1900	29492	\N	\N	\N
916908	3126	1997-01-13	VYDAJ	VYBER	2200	31392	\N	\N	\N
916909	3126	1997-01-26	VYDAJ	VYBER	2700	21700	\N	\N	\N
916910	3126	1997-01-11	VYDAJ	VYBER	2000	33592	\N	\N	\N
916911	3126	1997-01-20	VYDAJ	VYBER	1100	24400	\N	\N	\N
916914	3126	1998-01-19	VYDAJ	VYBER	1100	13516	\N	\N	\N
916917	3126	1998-01-17	VYDAJ	VYBER	1200	14616	\N	\N	\N
916924	3126	1997-06-15	VYDAJ	VYBER	3600	25176	\N	\N	\N
916925	3126	1997-06-20	VYDAJ	VYBER	3900	21276	\N	\N	\N
916926	3126	1997-10-18	VYDAJ	VYBER	1000	19155	\N	\N	\N
916927	3126	1997-11-19	VYDAJ	VYBER	2700	15714	\N	\N	\N
916929	3126	1998-10-08	VYDAJ	VYBER	2000	15491	\N	\N	\N
916930	3126	1998-01-07	VYDAJ	VYBER	1300	13819	\N	\N	\N
916945	3126	1997-01-31	VYDAJ	VYBER	15	23310	SLUZBY	\N	\N
916946	3126	1997-02-28	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
916947	3126	1997-03-31	VYDAJ	VYBER	15	25183	SLUZBY	\N	\N
916948	3126	1997-04-30	VYDAJ	VYBER	15	28080	SLUZBY	\N	\N
916949	3126	1997-05-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
916950	3126	1997-06-30	VYDAJ	VYBER	15	22068	SLUZBY	\N	\N
916951	3126	1997-07-31	VYDAJ	VYBER	15	17646	SLUZBY	\N	\N
916952	3126	1997-08-31	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
916953	3126	1997-09-30	VYDAJ	VYBER	15	18158	SLUZBY	\N	\N
916954	3126	1997-10-31	VYDAJ	VYBER	15	16417	SLUZBY	\N	\N
916955	3126	1997-11-30	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
916956	3126	1997-12-31	VYDAJ	VYBER	15	15119	SLUZBY	\N	\N
916957	3126	1998-01-31	VYDAJ	VYBER	15	12562	SLUZBY	\N	\N
916958	3126	1998-02-28	VYDAJ	VYBER	15	12600	SLUZBY	\N	\N
916959	3126	1998-03-31	VYDAJ	VYBER	15	15940	SLUZBY	\N	\N
916960	3126	1998-04-30	VYDAJ	VYBER	15	14091	SLUZBY	\N	\N
916961	3126	1998-05-31	VYDAJ	VYBER	15	11032	SLUZBY	\N	\N
916962	3126	1998-06-30	VYDAJ	VYBER	15	11363	SLUZBY	\N	\N
916963	3126	1998-07-31	VYDAJ	VYBER	15	13397	SLUZBY	\N	\N
916964	3126	1998-08-31	VYDAJ	VYBER	15	15440	SLUZBY	\N	\N
916965	3126	1998-09-30	VYDAJ	VYBER	15	17491	SLUZBY	\N	\N
916966	3126	1998-10-31	VYDAJ	VYBER	15	17547	SLUZBY	\N	\N
916967	3126	1998-11-30	VYDAJ	VYBER	15	19607	SLUZBY	\N	\N
916968	3126	1996-10-03	PRIJEM	VKLAD	10100	16507	\N	\N	\N
916969	3126	1996-11-02	PRIJEM	VKLAD	1800	24368	\N	\N	\N
916970	3126	1996-12-02	VYDAJ	VYBER	1900	28572	\N	\N	\N
916971	3126	1997-01-01	VYDAJ	VYBER	8100	29603	\N	\N	\N
916972	3126	1997-01-31	PRIJEM	VKLAD	3000	23200	\N	\N	\N
916973	3126	1997-03-02	VYDAJ	VYBER	2300	23094	\N	\N	\N
916974	3126	1997-04-01	PRIJEM	VKLAD	800	25983	\N	\N	\N
916975	3126	1997-05-01	VYDAJ	VYBER	900	27180	\N	\N	\N
916976	3126	1997-05-31	VYDAJ	VYBER	5500	23784	\N	\N	\N
916977	3126	1997-06-30	PRIJEM	VKLAD	700	21976	\N	\N	\N
916978	3126	1997-07-30	VYDAJ	VYBER	6500	17565	\N	\N	\N
916979	3126	1997-08-29	VYDAJ	VYBER	3900	15743	\N	\N	\N
916980	3126	1997-09-28	PRIJEM	VKLAD	300	18102	\N	\N	\N
916981	3126	1997-10-28	VYDAJ	VYBER	2800	16355	\N	\N	\N
916982	3126	1997-12-27	VYDAJ	VYBER	4000	15060	\N	\N	\N
916983	3126	1998-01-26	VYDAJ	VYBER	1000	12516	\N	\N	\N
916984	3126	1998-02-25	VYDAJ	VYBER	2000	12559	\N	\N	\N
916985	3126	1998-03-27	PRIJEM	VKLAD	1300	15897	\N	\N	\N
916986	3126	1998-04-26	VYDAJ	VYBER	3900	14037	\N	\N	\N
916987	3126	1998-05-26	VYDAJ	VYBER	5100	10988	\N	\N	\N
916988	3126	1998-06-25	VYDAJ	VYBER	4700	11324	\N	\N	\N
917017	3127	1993-08-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
917018	3127	1993-08-14	PRIJEM	VKLAD	42418	43518	\N	\N	\N
917019	3127	1994-02-03	PRIJEM	VKLAD	25722	73391	\N	\N	\N
917020	3127	1994-11-20	PRIJEM	VKLAD	35742	79486	\N	\N	\N
917021	3127	1994-05-02	PRIJEM	VKLAD	5739	49737	\N	\N	\N
917022	3127	1994-03-09	PRIJEM	VKLAD	26602	79091	\N	\N	\N
917023	3127	1994-01-21	PRIJEM	VKLAD	19833	47482	\N	\N	\N
917024	3127	1994-05-22	PRIJEM	VKLAD	30601	67004	\N	\N	\N
917025	3127	1994-02-05	PRIJEM	VKLAD	30181	80772	\N	\N	\N
917026	3127	1994-08-18	PRIJEM	VKLAD	27955	47501	\N	\N	\N
917027	3127	1994-04-05	PRIJEM	VKLAD	44356	135744	\N	\N	\N
917028	3127	1994-10-22	PRIJEM	VKLAD	47439	72920	\N	\N	\N
917029	3127	1994-03-22	PRIJEM	VKLAD	11964	91055	\N	\N	\N
917030	3127	1995-12-11	PRIJEM	VKLAD	31837	113667	\N	\N	\N
917031	3127	1995-06-16	PRIJEM	VKLAD	34360	88395	\N	\N	\N
917032	3127	1995-08-29	PRIJEM	VKLAD	36768	73765	\N	\N	\N
917033	3127	1995-05-31	PRIJEM	VKLAD	33322	73649	\N	\N	\N
917034	3127	1995-01-12	PRIJEM	VKLAD	23677	38557	\N	\N	\N
917035	3127	1995-07-11	PRIJEM	VKLAD	16687	61398	\N	\N	\N
917036	3127	1995-10-27	PRIJEM	VKLAD	19615	118955	\N	\N	\N
917037	3127	1995-09-29	PRIJEM	VKLAD	31038	103024	\N	\N	\N
917038	3127	1995-10-07	PRIJEM	VKLAD	21970	118002	\N	\N	\N
917039	3127	1995-10-31	PRIJEM	VKLAD	35992	137106	\N	\N	\N
917040	3127	1995-10-13	PRIJEM	VKLAD	10419	80121	\N	\N	\N
917041	3127	1995-03-01	PRIJEM	VKLAD	11778	30575	\N	\N	\N
917042	3127	1995-06-04	PRIJEM	VKLAD	15135	88969	\N	\N	\N
917043	3127	1995-10-28	PRIJEM	VKLAD	33059	101114	\N	\N	\N
917044	3127	1995-07-28	PRIJEM	VKLAD	16235	69657	\N	\N	\N
917045	3127	1995-12-07	PRIJEM	VKLAD	39020	81830	\N	\N	\N
917046	3127	1995-05-30	PRIJEM	VKLAD	34484	108027	\N	\N	\N
917047	3127	1995-03-21	PRIJEM	VKLAD	19687	76241	\N	\N	\N
917048	3127	1995-08-10	PRIJEM	VKLAD	8254	44997	\N	\N	\N
917049	3127	1995-11-03	PRIJEM	VKLAD	33511	112830	\N	\N	\N
917050	3127	1995-10-13	PRIJEM	VKLAD	41719	121840	\N	\N	\N
917051	3127	1995-06-27	PRIJEM	VKLAD	11191	99586	\N	\N	\N
917052	3127	1995-03-16	PRIJEM	VKLAD	34313	56554	\N	\N	\N
917053	3127	1995-09-07	PRIJEM	VKLAD	20759	87354	\N	\N	\N
917054	3127	1995-09-26	PRIJEM	VKLAD	41432	128786	\N	\N	\N
917055	3127	1995-05-19	PRIJEM	VKLAD	48901	73543	\N	\N	\N
917056	3127	1995-01-23	PRIJEM	VKLAD	16386	44143	\N	\N	\N
917057	3127	1996-03-10	PRIJEM	VKLAD	40009	58951	\N	\N	\N
917058	3127	1996-11-01	PRIJEM	VKLAD	9758	46799	\N	\N	\N
917059	3127	1996-11-04	PRIJEM	VKLAD	23285	70084	\N	\N	\N
917060	3127	1996-03-17	PRIJEM	VKLAD	39618	98569	\N	\N	\N
917061	3127	1996-06-20	PRIJEM	VKLAD	25388	65837	\N	\N	\N
917062	3127	1996-04-18	PRIJEM	VKLAD	43800	104275	\N	\N	\N
917063	3127	1996-08-08	PRIJEM	VKLAD	20338	42601	\N	\N	\N
917064	3127	1996-08-16	PRIJEM	VKLAD	19111	87523	\N	\N	\N
917065	3127	1996-08-08	PRIJEM	VKLAD	30011	72612	\N	\N	\N
917066	3127	1997-09-22	PRIJEM	VKLAD	5311	38991	\N	\N	\N
917067	3127	1997-07-26	PRIJEM	VKLAD	23050	53041	\N	\N	\N
917068	3127	1997-12-12	PRIJEM	VKLAD	24334	56859	\N	\N	\N
917069	3127	1997-02-23	PRIJEM	VKLAD	28077	64662	\N	\N	\N
917070	3127	1997-05-14	PRIJEM	VKLAD	13965	62739	\N	\N	\N
917071	3127	1997-10-17	PRIJEM	VKLAD	19243	49334	\N	\N	\N
917072	3127	1997-01-03	PRIJEM	VKLAD	19823	49240	\N	\N	\N
917073	3127	1997-10-29	PRIJEM	VKLAD	30235	70906	\N	\N	\N
917074	3127	1997-11-02	PRIJEM	VKLAD	13213	73780	\N	\N	\N
917075	3127	1997-02-24	PRIJEM	VKLAD	10935	75597	\N	\N	\N
917076	3127	1997-02-15	PRIJEM	VKLAD	21209	40585	\N	\N	\N
917077	3127	1997-03-16	PRIJEM	VKLAD	8127	75383	\N	\N	\N
917078	3127	1997-12-24	PRIJEM	VKLAD	42979	78438	\N	\N	\N
917079	3127	1997-03-06	PRIJEM	VKLAD	42445	110856	\N	\N	\N
917080	3127	1997-03-19	PRIJEM	VKLAD	22363	97746	\N	\N	\N
917081	3127	1997-06-15	PRIJEM	VKLAD	41581	70853	\N	\N	\N
917082	3127	1997-05-24	PRIJEM	VKLAD	11702	60241	\N	\N	\N
917083	3127	1997-04-26	PRIJEM	VKLAD	9733	55876	\N	\N	\N
917084	3127	1998-07-08	PRIJEM	VKLAD	13742	40822	\N	\N	\N
917085	3127	1998-08-22	PRIJEM	VKLAD	45417	103799	\N	\N	\N
917086	3127	1998-11-03	PRIJEM	VKLAD	47805	76943	\N	\N	\N
917087	3127	1998-01-07	PRIJEM	VKLAD	22592	60290	\N	\N	\N
917088	3127	1998-05-13	PRIJEM	VKLAD	27849	94817	\N	\N	\N
917089	3127	1998-12-09	PRIJEM	VKLAD	27235	65498	\N	\N	\N
917090	3127	1998-08-20	PRIJEM	VKLAD	17808	37471	\N	\N	\N
917091	3127	1998-12-27	PRIJEM	VKLAD	10362	39886	\N	\N	\N
917092	3127	1998-06-27	PRIJEM	VKLAD	32438	86761	\N	\N	\N
917093	3127	1998-04-02	PRIJEM	VKLAD	20414	32741	\N	\N	\N
917094	3127	1998-04-15	PRIJEM	VKLAD	18338	39745	\N	\N	\N
917095	3127	1998-09-11	PRIJEM	VKLAD	32400	129059	\N	\N	\N
917096	3127	1998-06-21	PRIJEM	VKLAD	26211	54323	\N	\N	\N
917097	3127	1998-11-04	PRIJEM	VKLAD	13286	90229	\N	\N	\N
917098	3127	1998-04-18	PRIJEM	VKLAD	34386	74131	\N	\N	\N
917099	3127	1998-08-20	PRIJEM	VKLAD	43639	81110	\N	\N	\N
917100	3127	1998-11-08	PRIJEM	VKLAD	8576	91471	\N	\N	\N
917116	3127	1994-04-05	VYDAJ	PREVOD NA UCET	7334	128410	SIPO	YZ	63558506
917117	3127	1994-05-05	VYDAJ	PREVOD NA UCET	7334	36403	SIPO	YZ	63558506
917118	3127	1994-06-05	VYDAJ	PREVOD NA UCET	7334	39451	SIPO	YZ	63558506
917119	3127	1994-07-05	VYDAJ	PREVOD NA UCET	7334	25981	SIPO	YZ	63558506
917120	3127	1994-08-05	VYDAJ	PREVOD NA UCET	7334	19546	SIPO	YZ	63558506
917121	3127	1994-09-05	VYDAJ	PREVOD NA UCET	7334	32089	SIPO	YZ	63558506
917122	3127	1994-10-05	VYDAJ	PREVOD NA UCET	7334	25481	SIPO	YZ	63558506
917123	3127	1994-11-05	VYDAJ	PREVOD NA UCET	7334	43744	SIPO	YZ	63558506
917124	3127	1994-12-05	VYDAJ	PREVOD NA UCET	7334	47989	SIPO	YZ	63558506
917125	3127	1995-01-05	VYDAJ	PREVOD NA UCET	7334	14880	SIPO	YZ	63558506
917126	3127	1995-02-05	VYDAJ	PREVOD NA UCET	7334	18706	SIPO	YZ	63558506
917127	3127	1995-03-05	VYDAJ	PREVOD NA UCET	7334	22241	SIPO	YZ	63558506
917128	3127	1995-04-05	VYDAJ	PREVOD NA UCET	7334	44987	SIPO	YZ	63558506
917129	3127	1995-05-05	VYDAJ	PREVOD NA UCET	7334	24642	SIPO	YZ	63558506
917130	3127	1995-06-05	VYDAJ	PREVOD NA UCET	7334	81635	SIPO	YZ	63558506
917131	3127	1995-07-05	VYDAJ	PREVOD NA UCET	7334	44711	SIPO	YZ	63558506
917132	3127	1995-08-05	VYDAJ	PREVOD NA UCET	7334	36743	SIPO	YZ	63558506
917133	3127	1995-09-05	VYDAJ	PREVOD NA UCET	7334	66595	SIPO	YZ	63558506
917134	3127	1995-10-05	VYDAJ	PREVOD NA UCET	7334	96032	SIPO	YZ	63558506
917135	3127	1995-11-05	VYDAJ	PREVOD NA UCET	7334	60696	SIPO	YZ	63558506
917136	3127	1995-12-05	VYDAJ	PREVOD NA UCET	7334	42810	SIPO	YZ	63558506
917137	3127	1996-01-05	VYDAJ	PREVOD NA UCET	7334	20147	SIPO	YZ	63558506
917138	3127	1996-02-05	VYDAJ	PREVOD NA UCET	7334	16792	SIPO	YZ	63558506
917139	3127	1996-03-05	VYDAJ	PREVOD NA UCET	7334	18942	SIPO	YZ	63558506
917140	3127	1996-04-05	VYDAJ	PREVOD NA UCET	7334	60475	SIPO	YZ	63558506
917141	3127	1996-05-05	VYDAJ	PREVOD NA UCET	7334	61637	SIPO	YZ	63558506
917142	3127	1996-06-05	VYDAJ	PREVOD NA UCET	7334	40449	SIPO	YZ	63558506
917143	3127	1996-07-05	VYDAJ	PREVOD NA UCET	7334	27177	SIPO	YZ	63558506
917144	3127	1996-08-05	VYDAJ	PREVOD NA UCET	7334	22263	SIPO	YZ	63558506
917145	3127	1996-09-05	VYDAJ	PREVOD NA UCET	7334	53603	SIPO	YZ	63558506
917146	3127	1996-10-05	VYDAJ	PREVOD NA UCET	7334	37883	SIPO	YZ	63558506
917147	3127	1996-11-05	VYDAJ	PREVOD NA UCET	7334	62750	SIPO	YZ	63558506
917148	3127	1996-12-05	VYDAJ	PREVOD NA UCET	7334	28500	SIPO	YZ	63558506
917149	3127	1997-01-05	VYDAJ	PREVOD NA UCET	7334	38906	SIPO	YZ	63558506
917150	3127	1997-02-05	VYDAJ	PREVOD NA UCET	7334	19376	SIPO	YZ	63558506
917151	3127	1997-03-05	VYDAJ	PREVOD NA UCET	7334	68411	SIPO	YZ	63558506
917152	3127	1997-04-05	VYDAJ	PREVOD NA UCET	7334	59243	SIPO	YZ	63558506
917153	3127	1997-05-05	VYDAJ	PREVOD NA UCET	7334	48774	SIPO	YZ	63558506
917154	3127	1997-06-05	VYDAJ	PREVOD NA UCET	7334	29272	SIPO	YZ	63558506
917155	3127	1997-07-05	VYDAJ	PREVOD NA UCET	7334	26791	SIPO	YZ	63558506
917156	3127	1997-08-05	VYDAJ	PREVOD NA UCET	7334	45840	SIPO	YZ	63558506
917157	3127	1997-09-05	VYDAJ	PREVOD NA UCET	7334	31880	SIPO	YZ	63558506
917158	3127	1997-10-05	VYDAJ	PREVOD NA UCET	7334	28191	SIPO	YZ	63558506
917159	3127	1997-11-05	VYDAJ	PREVOD NA UCET	7334	66446	SIPO	YZ	63558506
917160	3127	1997-12-05	VYDAJ	PREVOD NA UCET	7334	41225	SIPO	YZ	63558506
917161	3127	1998-01-05	VYDAJ	PREVOD NA UCET	7334	37698	SIPO	YZ	63558506
917162	3127	1998-02-05	VYDAJ	PREVOD NA UCET	7334	19511	SIPO	YZ	63558506
917163	3127	1998-03-05	VYDAJ	PREVOD NA UCET	7334	12267	SIPO	YZ	63558506
917164	3127	1998-04-05	VYDAJ	PREVOD NA UCET	7334	25407	SIPO	YZ	63558506
917165	3127	1998-05-05	VYDAJ	PREVOD NA UCET	7334	66968	SIPO	YZ	63558506
917166	3127	1998-06-05	VYDAJ	PREVOD NA UCET	7334	34012	SIPO	YZ	63558506
917167	3127	1998-07-05	VYDAJ	PREVOD NA UCET	7334	31280	SIPO	YZ	63558506
917168	3127	1998-08-05	VYDAJ	PREVOD NA UCET	7334	23463	SIPO	YZ	63558506
917169	3127	1998-09-05	VYDAJ	PREVOD NA UCET	7334	96659	SIPO	YZ	63558506
917170	3127	1998-10-05	VYDAJ	PREVOD NA UCET	7334	43096	SIPO	YZ	63558506
917171	3127	1998-11-05	VYDAJ	PREVOD NA UCET	7334	82895	SIPO	YZ	63558506
917172	3127	1998-12-05	VYDAJ	PREVOD NA UCET	7334	38263	SIPO	YZ	63558506
917180	3127	1995-07-02	VYBER	VYBER	17068	52045	\N	\N	\N
917181	3127	1995-04-30	VYBER	VYBER	15810	31991	\N	\N	\N
917182	3127	1995-07-23	VYBER	VYBER	7976	53422	\N	\N	\N
917184	3127	1997-06-30	VYBER	VYBER	20405	34139	\N	\N	\N
917185	3127	1997-05-27	VYBER	VYBER	23837	36404	\N	\N	\N
917186	3127	1997-10-27	VYBER	VYBER	8663	40671	\N	\N	\N
917189	3127	1998-08-20	VYBER	VYBER	22728	58382	\N	\N	\N
917191	3127	1998-10-17	VYBER	VYBER	2191	31105	\N	\N	\N
917192	3127	1998-05-30	VYBER	VYBER	4132	41112	\N	\N	\N
917193	3127	1998-12-18	VYBER	VYBER	8088	29524	\N	\N	\N
917194	3127	1998-07-23	VYBER	VYBER	2546	30676	\N	\N	\N
917195	3127	1998-12-12	VYBER	VYBER	7886	37612	\N	\N	\N
917196	3127	1998-05-23	VYBER	VYBER	12373	45244	\N	\N	\N
917201	3127	1995-06-15	VYDAJ	VYBER	27600	54035	\N	\N	\N
917202	3127	1996-06-23	VYDAJ	VYBER	28200	34337	\N	\N	\N
917204	3127	1998-06-28	VYDAJ	VYBER	48300	38461	\N	\N	\N
917207	3127	1995-01-23	VYDAJ	VYBER	12600	31543	\N	\N	\N
917210	3127	1998-01-03	VYDAJ	VYBER	16800	45032	\N	\N	\N
917212	3127	1994-12-15	VYDAJ	VYBER	2700	32689	\N	\N	\N
917213	3127	1995-12-12	VYDAJ	VYBER KARTOU	3000	54567	\N	\N	0
917214	3127	1996-12-17	VYDAJ	VYBER KARTOU	2700	25800	\N	\N	0
917215	3127	1997-12-11	VYDAJ	VYBER	8700	32525	\N	\N	\N
917229	3127	1995-01-30	VYDAJ	VYBER	3300	25943	\N	\N	\N
917230	3127	1995-01-21	VYDAJ	VYBER	5400	29257	\N	\N	\N
917231	3127	1995-01-01	VYDAJ	VYBER	1800	24614	\N	\N	\N
917232	3127	1995-01-24	VYDAJ	VYBER	6900	24643	\N	\N	\N
917233	3127	1995-01-02	VYDAJ	VYBER	2400	22214	\N	\N	\N
917234	3127	1995-01-21	VYDAJ	VYBER	1500	27757	\N	\N	\N
917236	3127	1996-01-01	VYDAJ	VYBER	6600	27481	\N	\N	\N
917238	3127	1996-01-26	VYDAJ	VYBER	5100	24047	\N	\N	\N
917241	3127	1997-01-04	VYDAJ	VYBER KARTOU	3000	46240	\N	\N	0
917242	3127	1997-01-07	VYDAJ	VYBER	6600	32306	\N	\N	\N
917243	3127	1997-01-20	VYDAJ	VYBER KARTOU	1800	26606	\N	\N	0
917245	3127	1997-01-14	VYDAJ	VYBER	6600	25706	\N	\N	\N
917247	3127	1998-01-03	VYDAJ	VYBER	8700	61832	\N	\N	\N
917248	3127	1998-01-28	VYDAJ	VYBER KARTOU	2100	26690	\N	\N	0
917249	3127	1998-01-02	VYDAJ	VYBER	8100	70532	\N	\N	\N
917250	3127	1998-01-19	VYDAJ	VYBER KARTOU	2100	28790	\N	\N	0
917252	3127	1998-01-15	VYDAJ	VYBER	6300	30890	\N	\N	\N
917257	3127	1994-12-16	VYDAJ	VYBER	12000	20689	\N	\N	\N
917258	3127	1994-12-06	VYDAJ	VYBER	12600	35389	\N	\N	\N
917259	3127	1995-08-13	VYDAJ	VYBER	7800	37197	\N	\N	\N
917260	3127	1995-07-30	VYDAJ	VYBER	5700	43857	\N	\N	\N
917261	3127	1995-12-27	VYDAJ	VYBER	12600	33867	\N	\N	\N
917262	3127	1995-01-18	VYDAJ	VYBER	3900	34657	\N	\N	\N
917264	3127	1996-08-14	VYDAJ	VYBER	4200	68412	\N	\N	\N
917266	3127	1996-11-23	VYDAJ	VYBER KARTOU	1500	35650	\N	\N	0
917267	3127	1996-11-19	VYDAJ	VYBER	12600	39050	\N	\N	\N
917268	3127	1996-11-16	VYDAJ	VYBER	11100	51650	\N	\N	\N
917269	3127	1996-08-20	VYDAJ	VYBER KARTOU	2700	84823	\N	\N	0
917271	3127	1997-10-31	VYDAJ	VYBER	10500	60581	\N	\N	\N
917274	3127	1997-09-23	VYDAJ	VYBER KARTOU	3600	35391	\N	\N	0
917275	3127	1997-12-12	VYDAJ	VYBER	14700	42159	\N	\N	\N
917276	3127	1998-01-07	VYDAJ	VYBER	5400	54890	\N	\N	\N
917277	3127	1998-10-27	VYDAJ	VYBER KARTOU	2100	29005	\N	\N	0
917278	3127	1998-07-05	VYDAJ	VYBER	4200	27080	\N	\N	\N
917280	3127	1998-12-03	VYDAJ	VYBER	11100	45597	\N	\N	\N
917298	3127	1994-03-31	VYDAJ	VYBER	15	91388	SLUZBY	\N	\N
917299	3127	1994-04-30	VYDAJ	VYBER	15	43998	SLUZBY	\N	\N
917300	3127	1994-05-31	VYDAJ	VYBER	15	67185	SLUZBY	\N	\N
917301	3127	1994-06-30	VYDAJ	VYBER	15	39615	SLUZBY	\N	\N
917302	3127	1994-07-31	VYDAJ	VYBER	15	26080	SLUZBY	\N	\N
917303	3127	1994-08-31	VYDAJ	VYBER	15	47623	SLUZBY	\N	\N
917304	3127	1994-09-30	VYDAJ	VYBER	15	32215	SLUZBY	\N	\N
917305	3127	1994-10-31	VYDAJ	VYBER	15	73078	SLUZBY	\N	\N
917306	3127	1994-11-30	VYDAJ	VYBER	15	79723	SLUZBY	\N	\N
917307	3127	1994-12-31	VYDAJ	VYBER	15	26414	SLUZBY	\N	\N
917308	3127	1995-01-31	VYDAJ	VYBER	15	26040	SLUZBY	\N	\N
917309	3127	1995-02-28	VYDAJ	VYBER	15	18797	SLUZBY	\N	\N
917310	3127	1995-03-31	VYDAJ	VYBER	15	52321	SLUZBY	\N	\N
917311	3127	1995-04-30	VYDAJ	VYBER	15	31976	SLUZBY	\N	\N
917312	3127	1995-05-31	VYDAJ	VYBER	15	73834	SLUZBY	\N	\N
917313	3127	1995-06-30	VYDAJ	VYBER	15	69113	SLUZBY	\N	\N
917314	3127	1995-07-31	VYDAJ	VYBER	15	44077	SLUZBY	\N	\N
917315	3127	1995-08-31	VYDAJ	VYBER	15	73929	SLUZBY	\N	\N
917316	3127	1995-09-30	VYDAJ	VYBER	15	103366	SLUZBY	\N	\N
917317	3127	1995-10-31	VYDAJ	VYBER	15	79319	SLUZBY	\N	\N
917318	3127	1995-11-30	VYDAJ	VYBER	15	50144	SLUZBY	\N	\N
917319	3127	1995-12-31	VYDAJ	VYBER	15	34081	SLUZBY	\N	\N
917320	3127	1996-01-31	VYDAJ	VYBER	15	24126	SLUZBY	\N	\N
917321	3127	1996-02-29	VYDAJ	VYBER	15	26276	SLUZBY	\N	\N
917322	3127	1996-03-31	VYDAJ	VYBER	15	67809	SLUZBY	\N	\N
917323	3127	1996-04-30	VYDAJ	VYBER	15	68971	SLUZBY	\N	\N
917324	3127	1996-05-31	VYDAJ	VYBER	15	47783	SLUZBY	\N	\N
917325	3127	1996-06-30	VYDAJ	VYBER	15	34511	SLUZBY	\N	\N
917326	3127	1996-07-31	VYDAJ	VYBER	15	29597	SLUZBY	\N	\N
917327	3127	1996-08-31	VYDAJ	VYBER	15	60937	SLUZBY	\N	\N
917328	3127	1996-09-30	VYDAJ	VYBER	15	45217	SLUZBY	\N	\N
917329	3127	1996-10-31	VYDAJ	VYBER	15	37041	SLUZBY	\N	\N
917330	3127	1996-11-30	VYDAJ	VYBER	15	35834	SLUZBY	\N	\N
917331	3127	1996-12-31	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
917332	3127	1997-01-31	VYDAJ	VYBER	15	26710	SLUZBY	\N	\N
917333	3127	1997-02-28	VYDAJ	VYBER	15	75745	SLUZBY	\N	\N
917334	3127	1997-03-31	VYDAJ	VYBER	15	66577	SLUZBY	\N	\N
917335	3127	1997-04-30	VYDAJ	VYBER	15	56108	SLUZBY	\N	\N
917336	3127	1997-05-31	VYDAJ	VYBER	15	36606	SLUZBY	\N	\N
917337	3127	1997-06-30	VYDAJ	VYBER	15	34125	SLUZBY	\N	\N
917338	3127	1997-07-31	VYDAJ	VYBER	15	53174	SLUZBY	\N	\N
917339	3127	1997-08-31	VYDAJ	VYBER	15	39214	SLUZBY	\N	\N
917340	3127	1997-09-30	VYDAJ	VYBER	15	35525	SLUZBY	\N	\N
917341	3127	1997-10-31	VYDAJ	VYBER	15	60567	SLUZBY	\N	\N
917342	3127	1997-11-30	VYDAJ	VYBER	15	48559	SLUZBY	\N	\N
917343	3127	1997-12-31	VYDAJ	VYBER	15	78632	SLUZBY	\N	\N
917344	3127	1998-01-31	VYDAJ	VYBER	15	26845	SLUZBY	\N	\N
917345	3127	1998-02-28	VYDAJ	VYBER	15	19601	SLUZBY	\N	\N
917346	3127	1998-03-31	VYDAJ	VYBER	15	12327	SLUZBY	\N	\N
917347	3127	1998-04-30	VYDAJ	VYBER	15	74302	SLUZBY	\N	\N
917348	3127	1998-05-31	VYDAJ	VYBER	15	41346	SLUZBY	\N	\N
917349	3127	1998-06-30	VYDAJ	VYBER	15	38614	SLUZBY	\N	\N
917350	3127	1998-07-31	VYDAJ	VYBER	15	30797	SLUZBY	\N	\N
917351	3127	1998-08-31	VYDAJ	VYBER	15	103993	SLUZBY	\N	\N
917352	3127	1998-09-30	VYDAJ	VYBER	15	50430	SLUZBY	\N	\N
917353	3127	1998-10-31	VYDAJ	VYBER	15	29138	SLUZBY	\N	\N
917354	3127	1998-11-30	VYDAJ	VYBER	15	56697	SLUZBY	\N	\N
917355	3127	1993-09-07	VYDAJ	VYBER	9300	34323	\N	\N	\N
917356	3127	1993-10-07	VYDAJ	VYBER	5300	29205	\N	\N	\N
917357	3127	1993-11-06	VYDAJ	VYBER	3700	25686	\N	\N	\N
917358	3127	1993-12-06	PRIJEM	VKLAD	1700	27567	\N	\N	\N
917359	3127	1994-01-05	VYDAJ	VYBER	100	27649	\N	\N	\N
917360	3127	1994-02-04	VYDAJ	VYBER	22800	50591	\N	\N	\N
917361	3127	1994-03-06	VYDAJ	VYBER	28600	52489	\N	\N	\N
917362	3127	1994-04-05	VYDAJ	VYBER	15300	113110	\N	\N	\N
917363	3127	1994-04-05	VYDAJ	VYBER	47600	43510	\N	\N	\N
917364	3127	1994-04-05	VYDAJ	VYBER	22000	91110	\N	\N	\N
917365	3127	1994-05-05	VYDAJ	VYBER	6000	43737	\N	\N	\N
917366	3127	1994-06-04	VYDAJ	VYBER	20400	46785	\N	\N	\N
917367	3127	1994-07-04	VYDAJ	VYBER	6300	33315	\N	\N	\N
917368	3127	1994-08-03	PRIJEM	VKLAD	800	26880	\N	\N	\N
917369	3127	1994-09-02	VYDAJ	VYBER	8200	39423	\N	\N	\N
917370	3127	1994-10-02	PRIJEM	VKLAD	600	32815	\N	\N	\N
917371	3127	1994-11-01	VYDAJ	VYBER	22000	51078	\N	\N	\N
917372	3127	1994-12-01	VYDAJ	VYBER	24400	55323	\N	\N	\N
917373	3127	1994-12-31	PRIJEM	VKLAD	5600	26429	\N	\N	\N
917374	3127	1995-01-30	PRIJEM	VKLAD	4600	29243	\N	\N	\N
917375	3127	1995-03-01	VYDAJ	VYBER	1000	29575	\N	\N	\N
917376	3127	1995-03-31	VYDAJ	VYBER	24100	52336	\N	\N	\N
917377	3127	1995-04-30	PRIJEM	VKLAD	2600	47587	\N	\N	\N
917378	3127	1995-05-30	VYDAJ	VYBER	58200	40327	\N	\N	\N
917379	3127	1995-05-30	VYDAJ	VYBER	9500	98527	\N	\N	\N
917380	3127	1995-06-29	VYDAJ	VYBER	30800	68786	\N	\N	\N
917381	3127	1995-07-29	VYDAJ	VYBER	20100	49557	\N	\N	\N
917382	3127	1995-08-28	VYDAJ	VYBER KARTOU	200	36997	\N	\N	0
917383	3127	1995-09-26	VYDAJ	VYBER	16800	111986	\N	\N	\N
917384	3127	1995-09-27	VYDAJ	VYBER	40000	71986	\N	\N	\N
917385	3127	1995-10-07	VYDAJ	VYBER	48300	69702	\N	\N	\N
917386	3127	1995-10-13	VYDAJ	VYBER	22500	99340	\N	\N	\N
917387	3127	1995-10-27	VYDAJ	VYBER	17800	101155	\N	\N	\N
917388	3127	1995-10-27	VYDAJ	VYBER	33100	68055	\N	\N	\N
917389	3127	1995-10-31	VYDAJ	VYBER	58200	79333	\N	\N	\N
917390	3127	1995-11-03	VYDAJ	VYBER	44800	68030	\N	\N	\N
917391	3127	1995-11-26	VYDAJ	VYBER	10800	49896	\N	\N	\N
917392	3127	1995-12-11	VYDAJ	VYBER	56100	57567	\N	\N	\N
917393	3127	1995-12-26	VYDAJ	VYBER	8100	46467	\N	\N	\N
917394	3127	1996-01-25	PRIJEM	VKLAD	9000	29147	\N	\N	\N
917395	3127	1996-02-24	PRIJEM	VKLAD	9400	26192	\N	\N	\N
917396	3127	1996-03-25	VYDAJ	VYBER	31000	67569	\N	\N	\N
917397	3127	1996-04-24	VYDAJ	VYBER	35600	68675	\N	\N	\N
917398	3127	1996-05-24	VYDAJ	VYBER	14100	47537	\N	\N	\N
917399	3127	1996-06-23	VYDAJ	VYBER KARTOU	3300	62537	\N	\N	0
917400	3127	1996-07-23	PRIJEM	VKLAD	2300	29477	\N	\N	\N
917401	3127	1996-08-22	VYDAJ	VYBER	24100	60723	\N	\N	\N
917402	3127	1996-09-21	VYDAJ	VYBER	8600	45003	\N	\N	\N
917403	3127	1996-10-21	VYDAJ	VYBER KARTOU	1000	36883	\N	\N	0
917404	3127	1996-11-20	VYDAJ	VYBER KARTOU	1900	37150	\N	\N	0
917405	3127	1996-12-20	PRIJEM	VKLAD	3500	29300	\N	\N	\N
917406	3127	1997-01-19	PRIJEM	VKLAD	2700	28406	\N	\N	\N
917407	3127	1997-02-18	VYDAJ	VYBER KARTOU	4000	36585	\N	\N	0
917408	3127	1997-03-06	VYDAJ	VYBER	43600	67256	\N	\N	\N
917409	3127	1997-03-20	VYDAJ	VYBER	31500	66246	\N	\N	\N
917410	3127	1997-04-19	VYDAJ	VYBER	13100	46143	\N	\N	\N
917411	3127	1997-05-19	VYDAJ	VYBER	14200	48539	\N	\N	\N
917412	3127	1997-06-18	VYDAJ	VYBER	16500	54353	\N	\N	\N
917413	3127	1997-07-18	PRIJEM	VKLAD	3200	29991	\N	\N	\N
917414	3127	1997-08-17	VYDAJ	VYBER	6800	39040	\N	\N	\N
917415	3127	1997-09-16	PRIJEM	VKLAD	1800	33680	\N	\N	\N
917416	3127	1997-10-16	PRIJEM	VKLAD	1900	30091	\N	\N	\N
917417	3127	1997-11-15	VYDAJ	VYBER	18100	48346	\N	\N	\N
917418	3127	1997-12-15	VYDAJ	VYBER	6700	35459	\N	\N	\N
917419	3127	1998-01-14	VYDAJ	VYBER	17700	37190	\N	\N	\N
917420	3127	1998-04-14	VYDAJ	VYBER KARTOU	4000	21407	\N	\N	0
917421	3127	1998-05-14	VYDAJ	VYBER	37200	57617	\N	\N	\N
917422	3127	1998-06-13	VYDAJ	VYBER	5900	28112	\N	\N	\N
917423	3127	1998-07-13	VYDAJ	VYBER	7600	33222	\N	\N	\N
917424	3127	1998-08-12	VYDAJ	VYBER KARTOU	3800	19663	\N	\N	0
917425	3127	1998-09-11	VYDAJ	VYBER	40200	88859	\N	\N	\N
917426	3127	1998-09-11	VYDAJ	VYBER	38900	49959	\N	\N	\N
917427	3127	1998-10-11	VYDAJ	VYBER	9800	33296	\N	\N	\N
917428	3127	1998-11-10	VYDAJ	VYBER	35000	56471	\N	\N	\N
917429	3127	1998-12-10	VYDAJ	VYBER	20000	45498	\N	\N	\N
917495	3128	1995-01-06	PRIJEM	VKLAD	200	200	\N	\N	\N
917496	3128	1995-01-11	PRIJEM	VKLAD	6829	7029	\N	\N	\N
917497	3128	1995-02-11	PRIJEM	VKLAD	6829	20478	\N	\N	\N
917498	3128	1995-03-11	PRIJEM	VKLAD	6829	28572	\N	\N	\N
917499	3128	1995-04-11	PRIJEM	VKLAD	6829	34809	\N	\N	\N
917500	3128	1995-05-11	PRIJEM	VKLAD	6829	34575	\N	\N	\N
917501	3128	1995-06-11	PRIJEM	VKLAD	10244	37849	\N	\N	\N
917502	3128	1995-07-11	PRIJEM	VKLAD	6829	37396	\N	\N	\N
917503	3128	1995-08-11	PRIJEM	VKLAD	6829	35341	\N	\N	\N
917504	3128	1995-09-11	PRIJEM	VKLAD	6829	31820	\N	\N	\N
917505	3128	1995-10-11	PRIJEM	VKLAD	6829	33962	\N	\N	\N
917506	3128	1995-11-11	PRIJEM	VKLAD	6829	35215	\N	\N	\N
917507	3128	1995-12-11	PRIJEM	VKLAD	10244	36410	\N	\N	\N
917508	3128	1996-01-11	PRIJEM	VKLAD	6829	28688	\N	\N	\N
917509	3128	1996-02-11	PRIJEM	VKLAD	6829	26616	\N	\N	\N
917510	3128	1996-03-11	PRIJEM	VKLAD	6829	29975	\N	\N	\N
917511	3128	1996-04-11	PRIJEM	VKLAD	6829	33405	\N	\N	\N
917512	3128	1996-05-11	PRIJEM	VKLAD	6829	38831	\N	\N	\N
917513	3128	1996-06-11	PRIJEM	VKLAD	10244	43060	\N	\N	\N
917514	3128	1996-07-11	PRIJEM	VKLAD	6829	43438	\N	\N	\N
917515	3128	1996-08-11	PRIJEM	VKLAD	6829	40203	\N	\N	\N
917516	3128	1996-09-11	PRIJEM	VKLAD	6829	39756	\N	\N	\N
917517	3128	1996-10-11	PRIJEM	VKLAD	6829	41008	\N	\N	\N
917518	3128	1996-11-11	PRIJEM	VKLAD	6829	43666	\N	\N	\N
917519	3128	1996-12-11	PRIJEM	VKLAD	10244	51951	\N	\N	\N
917520	3128	1997-01-11	PRIJEM	VKLAD	6829	42681	\N	\N	\N
917521	3128	1997-02-11	PRIJEM	VKLAD	6829	48642	\N	\N	\N
917522	3128	1997-03-11	PRIJEM	VKLAD	6829	51632	\N	\N	\N
917523	3128	1997-04-11	PRIJEM	VKLAD	6829	56336	\N	\N	\N
917524	3128	1997-05-11	PRIJEM	VKLAD	6829	54275	\N	\N	\N
917525	3128	1997-06-11	PRIJEM	VKLAD	10244	56600	\N	\N	\N
917526	3128	1997-07-11	PRIJEM	VKLAD	6829	55208	\N	\N	\N
917527	3128	1997-08-11	PRIJEM	VKLAD	6829	59027	\N	\N	\N
917528	3128	1997-09-11	PRIJEM	VKLAD	6829	61060	\N	\N	\N
917529	3128	1997-10-11	PRIJEM	VKLAD	6829	61300	\N	\N	\N
917530	3128	1997-11-11	PRIJEM	VKLAD	6829	55159	\N	\N	\N
917531	3128	1997-12-11	PRIJEM	VKLAD	10244	59306	\N	\N	\N
917532	3128	1998-01-11	PRIJEM	VKLAD	6829	49704	\N	\N	\N
917533	3128	1998-02-11	PRIJEM	VKLAD	6829	44881	\N	\N	\N
917534	3128	1998-03-11	PRIJEM	VKLAD	6829	51162	\N	\N	\N
917535	3128	1998-04-11	PRIJEM	VKLAD	6829	55365	\N	\N	\N
917536	3128	1998-05-11	PRIJEM	VKLAD	6829	61289	\N	\N	\N
917537	3128	1998-06-11	PRIJEM	VKLAD	10244	68249	\N	\N	\N
917538	3128	1998-07-11	PRIJEM	VKLAD	6829	70197	\N	\N	\N
917539	3128	1998-08-11	PRIJEM	VKLAD	6829	70975	\N	\N	\N
917540	3128	1998-09-11	PRIJEM	VKLAD	6829	68148	\N	\N	\N
917541	3128	1998-10-11	PRIJEM	VKLAD	6829	61431	\N	\N	\N
917542	3128	1998-11-11	PRIJEM	VKLAD	6829	66291	\N	\N	\N
917543	3128	1998-12-11	PRIJEM	VKLAD	10244	72491	\N	\N	\N
917544	3128	1995-12-30	VYDAJ	VYBER	3680	32730	\N	\N	\N
917545	3128	1996-12-30	VYDAJ	VYBER	2080	42771	\N	\N	\N
917546	3128	1997-12-27	VYDAJ	VYBER	1280	47126	\N	\N	\N
917547	3128	1998-12-28	VYDAJ	VYBER	3520	65571	\N	\N	\N
917554	3128	1996-01-16	VYDAJ	VYBER	3240	22928	\N	\N	\N
917555	3128	1996-01-15	VYDAJ	VYBER	2520	26168	\N	\N	\N
917556	3128	1996-01-02	VYDAJ	VYBER	3000	21859	\N	\N	\N
917557	3128	1996-01-26	VYDAJ	VYBER	2640	18128	\N	\N	\N
917558	3128	1996-01-19	VYDAJ	VYBER	2160	20768	\N	\N	\N
917559	3128	1996-01-28	VYDAJ	VYBER	720	17408	\N	\N	\N
917560	3128	1997-01-18	VYDAJ	VYBER	960	39081	\N	\N	\N
917561	3128	1997-01-09	VYDAJ	VYBER	3240	35852	\N	\N	\N
917562	3128	1997-01-13	VYDAJ	VYBER	2640	40041	\N	\N	\N
917563	3128	1997-01-01	VYDAJ	VYBER	1200	41732	\N	\N	\N
917564	3128	1997-01-03	VYDAJ	VYBER	2640	39092	\N	\N	\N
917565	3128	1997-01-24	VYDAJ	VYBER	1920	37161	\N	\N	\N
917566	3128	1998-01-22	VYDAJ	VYBER	3360	37884	\N	\N	\N
917567	3128	1998-01-06	VYDAJ	VYBER	2040	45275	\N	\N	\N
917568	3128	1998-01-20	VYDAJ	VYBER	2280	41244	\N	\N	\N
917569	3128	1998-01-09	VYDAJ	VYBER	2400	42875	\N	\N	\N
917570	3128	1998-01-18	VYDAJ	VYBER	960	48024	\N	\N	\N
917571	3128	1998-01-14	VYDAJ	VYBER	720	48984	\N	\N	\N
917572	3128	1995-08-09	VYDAJ	VYBER	720	28512	\N	\N	\N
917574	3128	1995-08-23	VYDAJ	VYBER	4560	28261	\N	\N	\N
917576	3128	1995-12-07	VYDAJ	VYBER	2880	26166	\N	\N	\N
917577	3128	1995-08-23	VYDAJ	VYBER	2520	32821	\N	\N	\N
917579	3128	1995-07-01	VYDAJ	VYBER	3720	34267	\N	\N	\N
917580	3128	1996-02-25	VYDAJ	VYBER	3240	23376	\N	\N	\N
917581	3128	1996-05-12	VYDAJ	VYBER	5040	33791	\N	\N	\N
917582	3128	1996-06-22	VYDAJ	VYBER	4080	38980	\N	\N	\N
917583	3128	1997-11-01	VYDAJ	VYBER	5280	48330	\N	\N	\N
917584	3128	1997-12-18	VYDAJ	VYBER	4800	54506	\N	\N	\N
917585	3128	1997-04-24	VYDAJ	VYBER	1080	55256	\N	\N	\N
917586	3128	1998-06-12	VYDAJ	VYBER	4320	63929	\N	\N	\N
917587	3128	1998-10-08	VYDAJ	VYBER	4080	54602	\N	\N	\N
917588	3128	1998-12-24	VYDAJ	VYBER	1800	69091	\N	\N	\N
917589	3128	1998-11-15	VYDAJ	VYBER	4680	61611	\N	\N	\N
917595	3128	1995-05-31	VYDAJ	VYBER	15	34705	SLUZBY	\N	\N
917596	3128	1995-06-30	VYDAJ	VYBER	15	37987	SLUZBY	\N	\N
917597	3128	1995-07-31	VYDAJ	VYBER	15	37532	SLUZBY	\N	\N
917598	3128	1995-08-31	VYDAJ	VYBER	15	28391	SLUZBY	\N	\N
917599	3128	1995-09-30	VYDAJ	VYBER	15	31933	SLUZBY	\N	\N
917600	3128	1995-10-31	VYDAJ	VYBER	15	34086	SLUZBY	\N	\N
917601	3128	1995-11-30	VYDAJ	VYBER	15	35346	SLUZBY	\N	\N
917602	3128	1995-12-31	VYDAJ	VYBER	15	32859	SLUZBY	\N	\N
917603	3128	1996-01-31	VYDAJ	VYBER	15	19787	SLUZBY	\N	\N
917604	3128	1996-02-29	VYDAJ	VYBER	15	23446	SLUZBY	\N	\N
917605	3128	1996-03-31	VYDAJ	VYBER	15	30076	SLUZBY	\N	\N
917606	3128	1996-04-30	VYDAJ	VYBER	15	33502	SLUZBY	\N	\N
917607	3128	1996-05-31	VYDAJ	VYBER	15	32816	SLUZBY	\N	\N
917608	3128	1996-06-30	VYDAJ	VYBER	15	36609	SLUZBY	\N	\N
917609	3128	1996-07-31	VYDAJ	VYBER	15	33374	SLUZBY	\N	\N
917610	3128	1996-08-31	VYDAJ	VYBER	15	32927	SLUZBY	\N	\N
917611	3128	1996-09-30	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
917612	3128	1996-10-31	VYDAJ	VYBER	15	36837	SLUZBY	\N	\N
917613	3128	1996-11-30	VYDAJ	VYBER	15	41707	SLUZBY	\N	\N
917614	3128	1996-12-31	VYDAJ	VYBER	15	42932	SLUZBY	\N	\N
917615	3128	1997-01-31	VYDAJ	VYBER	15	41813	SLUZBY	\N	\N
917616	3128	1997-02-28	VYDAJ	VYBER	15	44803	SLUZBY	\N	\N
917617	3128	1997-03-31	VYDAJ	VYBER	15	49507	SLUZBY	\N	\N
917618	3128	1997-04-30	VYDAJ	VYBER	15	47446	SLUZBY	\N	\N
917619	3128	1997-05-31	VYDAJ	VYBER	15	46356	SLUZBY	\N	\N
917620	3128	1997-06-30	VYDAJ	VYBER	15	48379	SLUZBY	\N	\N
917621	3128	1997-07-31	VYDAJ	VYBER	15	52198	SLUZBY	\N	\N
917622	3128	1997-08-31	VYDAJ	VYBER	15	54231	SLUZBY	\N	\N
917623	3128	1997-09-30	VYDAJ	VYBER	15	54471	SLUZBY	\N	\N
917624	3128	1997-10-31	VYDAJ	VYBER	15	53610	SLUZBY	\N	\N
917625	3128	1997-11-30	VYDAJ	VYBER	15	49062	SLUZBY	\N	\N
917626	3128	1997-12-31	VYDAJ	VYBER	15	47315	SLUZBY	\N	\N
917627	3128	1998-01-31	VYDAJ	VYBER	15	38052	SLUZBY	\N	\N
917628	3128	1998-02-28	VYDAJ	VYBER	15	44333	SLUZBY	\N	\N
917629	3128	1998-03-31	VYDAJ	VYBER	15	48536	SLUZBY	\N	\N
917630	3128	1998-04-30	VYDAJ	VYBER	15	54460	SLUZBY	\N	\N
917631	3128	1998-05-31	VYDAJ	VYBER	15	58005	SLUZBY	\N	\N
917632	3128	1998-06-30	VYDAJ	VYBER	15	63368	SLUZBY	\N	\N
917633	3128	1998-07-31	VYDAJ	VYBER	15	64146	SLUZBY	\N	\N
917634	3128	1998-08-31	VYDAJ	VYBER	15	61319	SLUZBY	\N	\N
917635	3128	1998-09-30	VYDAJ	VYBER	15	58682	SLUZBY	\N	\N
917636	3128	1998-10-31	VYDAJ	VYBER	15	59462	SLUZBY	\N	\N
917637	3128	1998-11-30	VYDAJ	VYBER	15	62247	SLUZBY	\N	\N
917638	3128	1995-02-05	PRIJEM	VKLAD	6600	13649	\N	\N	\N
917639	3128	1995-03-07	PRIJEM	VKLAD	1200	21743	\N	\N	\N
917640	3128	1995-04-06	VYDAJ	VYBER	700	27980	\N	\N	\N
917641	3128	1995-05-06	VYDAJ	VYBER	7200	27746	\N	\N	\N
917642	3128	1995-06-05	VYDAJ	VYBER	7100	27605	\N	\N	\N
917643	3128	1995-07-05	VYDAJ	VYBER	3700	30567	\N	\N	\N
917644	3128	1995-08-04	VYDAJ	VYBER	8300	29232	\N	\N	\N
917645	3128	1995-09-03	VYDAJ	VYBER	3400	24991	\N	\N	\N
917646	3128	1995-10-03	VYDAJ	VYBER	4800	27133	\N	\N	\N
917647	3128	1995-11-02	VYDAJ	VYBER	5700	28386	\N	\N	\N
917648	3128	1995-12-02	VYDAJ	VYBER	6300	29046	\N	\N	\N
917649	3128	1996-01-01	VYDAJ	VYBER	8000	24859	\N	\N	\N
917650	3128	1996-01-31	PRIJEM	VKLAD	2300	19801	\N	\N	\N
917651	3128	1996-03-01	VYDAJ	VYBER	300	23146	\N	\N	\N
917652	3128	1996-03-31	VYDAJ	VYBER	3500	26576	\N	\N	\N
917653	3128	1996-04-30	VYDAJ	VYBER	1500	32002	\N	\N	\N
917654	3128	1996-05-30	VYDAJ	VYBER	1100	32691	\N	\N	\N
917655	3128	1996-06-29	VYDAJ	VYBER	2500	36480	\N	\N	\N
917656	3128	1996-07-29	VYDAJ	VYBER	10200	33238	\N	\N	\N
917657	3128	1996-08-28	VYDAJ	VYBER	7400	32803	\N	\N	\N
917658	3128	1996-09-27	VYDAJ	VYBER	5700	34056	\N	\N	\N
917659	3128	1996-10-27	VYDAJ	VYBER	4300	36708	\N	\N	\N
917660	3128	1996-11-26	VYDAJ	VYBER	2100	41566	\N	\N	\N
917661	3128	1996-12-26	VYDAJ	VYBER	7100	44851	\N	\N	\N
917662	3128	1997-01-25	PRIJEM	VKLAD	4500	41661	\N	\N	\N
917663	3128	1997-02-24	VYDAJ	VYBER	4000	44642	\N	\N	\N
917664	3128	1997-03-26	VYDAJ	VYBER	2300	49332	\N	\N	\N
917665	3128	1997-04-25	VYDAJ	VYBER	8000	47256	\N	\N	\N
917666	3128	1997-05-25	VYDAJ	VYBER	8100	46175	\N	\N	\N
917667	3128	1997-06-24	VYDAJ	VYBER	8400	48200	\N	\N	\N
917668	3128	1997-07-24	VYDAJ	VYBER	3200	52008	\N	\N	\N
917669	3128	1997-08-23	VYDAJ	VYBER	5000	54027	\N	\N	\N
917670	3128	1997-09-22	VYDAJ	VYBER	6800	54260	\N	\N	\N
917671	3128	1997-10-22	VYDAJ	VYBER	7900	53400	\N	\N	\N
917672	3128	1997-11-21	VYDAJ	VYBER	6300	48859	\N	\N	\N
917673	3128	1997-12-21	VYDAJ	VYBER	6100	48406	\N	\N	\N
917674	3128	1998-01-20	VYDAJ	VYBER	4500	43524	\N	\N	\N
917675	3128	1998-02-19	VYDAJ	VYBER	700	44181	\N	\N	\N
917676	3128	1998-03-21	VYDAJ	VYBER	2800	48362	\N	\N	\N
917677	3128	1998-04-20	VYDAJ	VYBER	1100	54265	\N	\N	\N
917678	3128	1998-05-20	VYDAJ	VYBER	3500	57789	\N	\N	\N
917679	3128	1998-06-19	VYDAJ	VYBER	800	63129	\N	\N	\N
917680	3128	1998-07-19	VYDAJ	VYBER	6300	63897	\N	\N	\N
917681	3128	1998-08-18	VYDAJ	VYBER	9900	61075	\N	\N	\N
917682	3128	1998-09-17	VYDAJ	VYBER	9700	58448	\N	\N	\N
917683	3128	1998-10-17	VYDAJ	VYBER	2200	59231	\N	\N	\N
917684	3128	1998-11-16	PRIJEM	VKLAD	400	62011	\N	\N	\N
917685	3128	1998-12-16	VYDAJ	VYBER	1600	70891	\N	\N	\N
917734	3129	1993-12-05	PRIJEM	VKLAD	200	200	\N	\N	\N
917746	3129	1993-12-14	PRIJEM	PREVOD Z UCTU	6727	6927	DUCHOD	QR	94994931
917747	3129	1994-01-14	PRIJEM	PREVOD Z UCTU	6727	13671	DUCHOD	QR	94994931
917748	3129	1994-02-14	PRIJEM	PREVOD Z UCTU	6727	20427	DUCHOD	QR	94994931
917749	3129	1994-03-14	PRIJEM	PREVOD Z UCTU	6727	27183	DUCHOD	QR	94994931
917750	3129	1994-04-14	PRIJEM	PREVOD Z UCTU	6727	33938	DUCHOD	QR	94994931
917751	3129	1994-05-14	PRIJEM	PREVOD Z UCTU	6727	30776	DUCHOD	QR	94994931
917752	3129	1994-06-14	PRIJEM	PREVOD Z UCTU	6727	31513	DUCHOD	QR	94994931
917753	3129	1994-07-14	PRIJEM	PREVOD Z UCTU	6727	22374	DUCHOD	QR	94994931
917754	3129	1994-08-14	PRIJEM	PREVOD Z UCTU	6727	26466	DUCHOD	QR	94994931
917755	3129	1994-09-14	PRIJEM	PREVOD Z UCTU	6727	24855	DUCHOD	QR	94994931
917756	3129	1994-10-14	PRIJEM	PREVOD Z UCTU	6727	25759	DUCHOD	QR	94994931
917757	3129	1994-11-14	PRIJEM	PREVOD Z UCTU	6727	22788	DUCHOD	QR	94994931
917758	3129	1994-12-14	PRIJEM	PREVOD Z UCTU	6727	25586	DUCHOD	QR	94994931
917759	3129	1995-01-14	PRIJEM	PREVOD Z UCTU	6727	22303	DUCHOD	QR	94994931
917760	3129	1995-02-14	PRIJEM	PREVOD Z UCTU	6727	20476	DUCHOD	QR	94994931
917761	3129	1995-03-14	PRIJEM	PREVOD Z UCTU	6727	21923	DUCHOD	QR	94994931
917762	3129	1995-04-14	PRIJEM	PREVOD Z UCTU	6727	26013	DUCHOD	QR	94994931
917763	3129	1995-05-14	PRIJEM	PREVOD Z UCTU	6727	29319	DUCHOD	QR	94994931
917764	3129	1995-06-14	PRIJEM	PREVOD Z UCTU	6727	28617	DUCHOD	QR	94994931
917765	3129	1995-07-14	PRIJEM	PREVOD Z UCTU	6727	28932	DUCHOD	QR	94994931
917766	3129	1995-08-14	PRIJEM	PREVOD Z UCTU	6727	30950	DUCHOD	QR	94994931
917767	3129	1995-09-14	PRIJEM	PREVOD Z UCTU	6727	32875	DUCHOD	QR	94994931
917768	3129	1995-10-14	PRIJEM	PREVOD Z UCTU	6727	28527	DUCHOD	QR	94994931
917769	3129	1995-11-14	PRIJEM	PREVOD Z UCTU	6727	29945	DUCHOD	QR	94994931
917770	3129	1995-12-14	PRIJEM	PREVOD Z UCTU	6727	26624	DUCHOD	QR	94994931
917771	3129	1996-01-14	PRIJEM	PREVOD Z UCTU	6727	18105	DUCHOD	QR	94994931
917772	3129	1996-02-14	PRIJEM	PREVOD Z UCTU	6727	20741	DUCHOD	QR	94994931
917773	3129	1996-03-14	PRIJEM	PREVOD Z UCTU	6727	22500	DUCHOD	QR	94994931
917774	3129	1996-04-14	PRIJEM	PREVOD Z UCTU	6727	26092	DUCHOD	QR	94994931
917775	3129	1996-05-14	PRIJEM	PREVOD Z UCTU	6727	27094	DUCHOD	QR	94994931
917776	3129	1996-06-14	PRIJEM	PREVOD Z UCTU	6727	25550	DUCHOD	QR	94994931
917777	3129	1996-07-14	PRIJEM	PREVOD Z UCTU	6727	28155	DUCHOD	QR	94994931
917778	3129	1996-08-14	PRIJEM	PREVOD Z UCTU	6727	23958	DUCHOD	QR	94994931
917779	3129	1996-09-14	PRIJEM	PREVOD Z UCTU	6727	20689	DUCHOD	QR	94994931
917780	3129	1996-10-14	PRIJEM	PREVOD Z UCTU	6727	22354	DUCHOD	QR	94994931
917781	3129	1996-11-14	PRIJEM	PREVOD Z UCTU	6727	25483	DUCHOD	QR	94994931
917782	3129	1996-12-14	PRIJEM	PREVOD Z UCTU	6727	28785	DUCHOD	QR	94994931
917783	3129	1997-01-14	PRIJEM	PREVOD Z UCTU	6727	26632	DUCHOD	QR	94994931
917784	3129	1997-02-14	PRIJEM	PREVOD Z UCTU	6727	26659	DUCHOD	QR	94994931
917785	3129	1997-03-14	PRIJEM	PREVOD Z UCTU	6727	30767	DUCHOD	QR	94994931
917786	3129	1997-04-14	PRIJEM	PREVOD Z UCTU	6727	28484	DUCHOD	QR	94994931
917787	3129	1997-05-14	PRIJEM	PREVOD Z UCTU	6727	32599	DUCHOD	QR	94994931
917788	3129	1997-06-14	PRIJEM	PREVOD Z UCTU	6727	32625	DUCHOD	QR	94994931
917789	3129	1997-07-14	PRIJEM	PREVOD Z UCTU	6727	29026	DUCHOD	QR	94994931
917790	3129	1997-08-14	PRIJEM	PREVOD Z UCTU	6727	31341	DUCHOD	QR	94994931
917791	3129	1997-09-14	PRIJEM	PREVOD Z UCTU	6727	35468	DUCHOD	QR	94994931
917792	3129	1997-10-14	PRIJEM	PREVOD Z UCTU	6727	32705	DUCHOD	QR	94994931
917793	3129	1997-11-14	PRIJEM	PREVOD Z UCTU	6727	36842	DUCHOD	QR	94994931
917794	3129	1997-12-14	PRIJEM	PREVOD Z UCTU	6727	30617	DUCHOD	QR	94994931
917795	3129	1998-01-14	PRIJEM	PREVOD Z UCTU	6727	27577	DUCHOD	QR	94994931
917796	3129	1998-02-14	PRIJEM	PREVOD Z UCTU	6727	24659	DUCHOD	QR	94994931
917797	3129	1998-03-14	PRIJEM	PREVOD Z UCTU	6727	28277	DUCHOD	QR	94994931
917798	3129	1998-04-14	PRIJEM	PREVOD Z UCTU	6727	22874	DUCHOD	QR	94994931
917799	3129	1998-05-14	PRIJEM	PREVOD Z UCTU	6727	24247	DUCHOD	QR	94994931
917800	3129	1998-06-14	PRIJEM	PREVOD Z UCTU	6727	27744	DUCHOD	QR	94994931
917801	3129	1998-07-14	PRIJEM	PREVOD Z UCTU	6727	26603	DUCHOD	QR	94994931
917802	3129	1998-08-14	PRIJEM	PREVOD Z UCTU	6727	28010	DUCHOD	QR	94994931
917803	3129	1998-09-14	PRIJEM	PREVOD Z UCTU	6727	27726	DUCHOD	QR	94994931
917804	3129	1998-10-14	PRIJEM	PREVOD Z UCTU	6727	24544	DUCHOD	QR	94994931
917805	3129	1998-11-14	PRIJEM	PREVOD Z UCTU	6727	22953	DUCHOD	QR	94994931
917806	3129	1998-12-14	PRIJEM	PREVOD Z UCTU	6727	19302	DUCHOD	QR	94994931
917823	3129	1994-05-12	VYDAJ	PREVOD NA UCET	2707	24049	SIPO	GH	18722367
917824	3129	1994-06-12	VYDAJ	PREVOD NA UCET	2707	24786	SIPO	GH	18722367
917825	3129	1994-07-12	VYDAJ	PREVOD NA UCET	2707	15647	SIPO	GH	18722367
917826	3129	1994-08-12	VYDAJ	PREVOD NA UCET	2707	19739	SIPO	GH	18722367
917827	3129	1994-09-12	VYDAJ	PREVOD NA UCET	2707	18128	SIPO	GH	18722367
917828	3129	1994-10-12	VYDAJ	PREVOD NA UCET	2707	19032	SIPO	GH	18722367
917829	3129	1994-11-12	VYDAJ	PREVOD NA UCET	2707	19501	SIPO	GH	18722367
917830	3129	1994-12-12	VYDAJ	PREVOD NA UCET	2707	18859	SIPO	GH	18722367
917831	3129	1995-01-12	VYDAJ	PREVOD NA UCET	2707	17496	SIPO	GH	18722367
917832	3129	1995-02-12	VYDAJ	PREVOD NA UCET	2707	13749	SIPO	GH	18722367
917833	3129	1995-03-12	VYDAJ	PREVOD NA UCET	2707	15196	SIPO	GH	18722367
917834	3129	1995-04-12	VYDAJ	PREVOD NA UCET	2707	19286	SIPO	GH	18722367
917835	3129	1995-05-12	VYDAJ	PREVOD NA UCET	2707	22592	SIPO	GH	18722367
917836	3129	1995-06-12	VYDAJ	PREVOD NA UCET	2707	21890	SIPO	GH	18722367
917837	3129	1995-07-12	VYDAJ	PREVOD NA UCET	2707	22205	SIPO	GH	18722367
917838	3129	1995-08-12	VYDAJ	PREVOD NA UCET	2707	24223	SIPO	GH	18722367
917839	3129	1995-09-12	VYDAJ	PREVOD NA UCET	2707	26148	SIPO	GH	18722367
917840	3129	1995-10-12	VYDAJ	PREVOD NA UCET	2707	21800	SIPO	GH	18722367
917841	3129	1995-11-12	VYDAJ	PREVOD NA UCET	2707	23218	SIPO	GH	18722367
917842	3129	1995-12-12	VYDAJ	PREVOD NA UCET	2707	19897	SIPO	GH	18722367
917843	3129	1996-01-12	VYDAJ	PREVOD NA UCET	2707	11378	SIPO	GH	18722367
917844	3129	1996-02-12	VYDAJ	PREVOD NA UCET	2707	14014	SIPO	GH	18722367
917845	3129	1996-03-12	VYDAJ	PREVOD NA UCET	2707	15773	SIPO	GH	18722367
917846	3129	1996-04-12	VYDAJ	PREVOD NA UCET	2707	19365	SIPO	GH	18722367
917847	3129	1996-05-12	VYDAJ	PREVOD NA UCET	2707	20367	SIPO	GH	18722367
917848	3129	1996-06-12	VYDAJ	PREVOD NA UCET	2707	18823	SIPO	GH	18722367
917849	3129	1996-07-12	VYDAJ	PREVOD NA UCET	2707	21428	SIPO	GH	18722367
917850	3129	1996-08-12	VYDAJ	PREVOD NA UCET	2707	17231	SIPO	GH	18722367
917851	3129	1996-09-12	VYDAJ	PREVOD NA UCET	2707	16522	SIPO	GH	18722367
917852	3129	1996-10-12	VYDAJ	PREVOD NA UCET	2707	15627	SIPO	GH	18722367
917853	3129	1996-11-12	VYDAJ	PREVOD NA UCET	2707	18756	SIPO	GH	18722367
917854	3129	1996-12-12	VYDAJ	PREVOD NA UCET	2707	22058	SIPO	GH	18722367
917855	3129	1997-01-12	VYDAJ	PREVOD NA UCET	2707	19905	SIPO	GH	18722367
917856	3129	1997-02-12	VYDAJ	PREVOD NA UCET	2707	19932	SIPO	GH	18722367
917857	3129	1997-03-12	VYDAJ	PREVOD NA UCET	2707	24040	SIPO	GH	18722367
917858	3129	1997-04-12	VYDAJ	PREVOD NA UCET	2707	21757	SIPO	GH	18722367
917859	3129	1997-05-12	VYDAJ	PREVOD NA UCET	2707	25872	SIPO	GH	18722367
917860	3129	1997-06-12	VYDAJ	PREVOD NA UCET	2707	25898	SIPO	GH	18722367
917861	3129	1997-07-12	VYDAJ	PREVOD NA UCET	2707	22299	SIPO	GH	18722367
917862	3129	1997-08-12	VYDAJ	PREVOD NA UCET	2707	24614	SIPO	GH	18722367
917863	3129	1997-09-12	VYDAJ	PREVOD NA UCET	2707	28741	SIPO	GH	18722367
917864	3129	1997-10-12	VYDAJ	PREVOD NA UCET	2707	25978	SIPO	GH	18722367
917865	3129	1997-11-12	VYDAJ	PREVOD NA UCET	2707	30115	SIPO	GH	18722367
917866	3129	1997-12-12	VYDAJ	PREVOD NA UCET	2707	23890	SIPO	GH	18722367
917867	3129	1998-01-12	VYDAJ	PREVOD NA UCET	2707	20850	SIPO	GH	18722367
917868	3129	1998-02-12	VYDAJ	PREVOD NA UCET	2707	17932	SIPO	GH	18722367
917869	3129	1998-03-12	VYDAJ	PREVOD NA UCET	2707	21550	SIPO	GH	18722367
917870	3129	1998-04-12	VYDAJ	PREVOD NA UCET	2707	18547	SIPO	GH	18722367
917871	3129	1998-05-12	VYDAJ	PREVOD NA UCET	2707	17520	SIPO	GH	18722367
917872	3129	1998-06-12	VYDAJ	PREVOD NA UCET	2707	21617	SIPO	GH	18722367
917873	3129	1998-07-12	VYDAJ	PREVOD NA UCET	2707	19876	SIPO	GH	18722367
917874	3129	1998-08-12	VYDAJ	PREVOD NA UCET	2707	21283	SIPO	GH	18722367
917875	3129	1998-09-12	VYDAJ	PREVOD NA UCET	2707	20999	SIPO	GH	18722367
917876	3129	1998-10-12	VYDAJ	PREVOD NA UCET	2707	17817	SIPO	GH	18722367
917877	3129	1998-11-12	VYDAJ	PREVOD NA UCET	2707	16226	SIPO	GH	18722367
917878	3129	1998-12-12	VYDAJ	PREVOD NA UCET	2707	12575	SIPO	GH	18722367
917880	3129	1994-06-23	VYDAJ	VYBER	11900	19613	\N	\N	\N
917882	3129	1996-06-03	VYDAJ	VYBER	1650	21530	\N	\N	\N
917883	3129	1997-06-18	VYDAJ	VYBER	6100	26025	\N	\N	\N
917884	3129	1998-06-27	VYDAJ	VYBER	4850	22894	\N	\N	\N
917887	3129	1995-01-09	VYDAJ	VYBER	1400	20203	\N	\N	\N
917888	3129	1996-01-17	VYDAJ	VYBER	800	16665	\N	\N	\N
917889	3129	1997-01-05	VYDAJ	VYBER	3500	24052	\N	\N	\N
917890	3129	1998-01-20	VYDAJ	VYBER	3900	21597	\N	\N	\N
917892	3129	1994-12-30	VYDAJ	VYBER	850	24736	\N	\N	\N
917893	3129	1995-12-29	VYDAJ	VYBER	550	22794	\N	\N	\N
917894	3129	1996-12-28	VYDAJ	VYBER	450	28335	\N	\N	\N
917895	3129	1997-12-26	VYDAJ	VYBER	1100	25617	\N	\N	\N
917896	3129	1998-12-04	VYDAJ	VYBER	1450	21582	\N	\N	\N
917909	3129	1995-01-07	VYDAJ	VYBER	1440	21603	\N	\N	\N
917910	3129	1995-01-29	VYDAJ	VYBER	720	19583	\N	\N	\N
917911	3129	1995-01-17	VYDAJ	VYBER	800	20303	\N	\N	\N
917912	3129	1995-01-16	VYDAJ	VYBER	1200	21103	\N	\N	\N
917913	3129	1995-01-12	VYDAJ	VYBER	1920	15576	\N	\N	\N
917914	3129	1995-01-01	VYDAJ	VYBER	1280	23043	\N	\N	\N
917915	3129	1996-01-02	VYDAJ	VYBER	1600	21285	\N	\N	\N
917916	3129	1996-01-07	VYDAJ	VYBER	960	16325	\N	\N	\N
917917	3129	1996-01-15	VYDAJ	VYBER	640	17465	\N	\N	\N
917918	3129	1996-01-05	VYDAJ	VYBER	800	17285	\N	\N	\N
917919	3129	1996-01-04	VYDAJ	VYBER	1680	18085	\N	\N	\N
917920	3129	1996-01-11	VYDAJ	VYBER	2240	14085	\N	\N	\N
917921	3129	1997-01-01	VYDAJ	VYBER	880	27552	\N	\N	\N
917922	3129	1997-01-29	VYDAJ	VYBER	1120	22552	\N	\N	\N
917923	3129	1997-01-08	VYDAJ	VYBER	400	23652	\N	\N	\N
917924	3129	1997-01-10	VYDAJ	VYBER	1040	22612	\N	\N	\N
917925	3129	1997-01-18	VYDAJ	VYBER	1280	25352	\N	\N	\N
917926	3129	1997-01-22	VYDAJ	VYBER	1680	23672	\N	\N	\N
917927	3129	1998-01-09	VYDAJ	VYBER	880	24357	\N	\N	\N
917928	3129	1998-01-14	VYDAJ	VYBER	1440	26137	\N	\N	\N
917929	3129	1998-01-10	VYDAJ	VYBER	800	23557	\N	\N	\N
917930	3129	1998-01-01	VYDAJ	VYBER	480	25237	\N	\N	\N
917931	3129	1998-01-25	VYDAJ	VYBER	1040	20557	\N	\N	\N
917932	3129	1998-01-18	VYDAJ	VYBER	640	25497	\N	\N	\N
917938	3129	1994-10-26	VYDAJ	VYBER	1040	24719	\N	\N	\N
917939	3129	1994-09-05	VYDAJ	VYBER	2320	20835	\N	\N	\N
917941	3129	1994-07-09	VYDAJ	VYBER	1360	18354	\N	\N	\N
917942	3129	1994-11-13	VYDAJ	VYBER	3440	16061	\N	\N	\N
917944	3129	1995-10-11	VYDAJ	VYBER	2720	24507	\N	\N	\N
917945	3129	1995-05-26	VYDAJ	VYBER	1520	27799	\N	\N	\N
917946	3129	1995-12-05	VYDAJ	VYBER	3840	22604	\N	\N	\N
917947	3129	1995-09-27	VYDAJ	VYBER	1360	27115	\N	\N	\N
917948	3129	1995-02-28	VYDAJ	VYBER	2640	17918	\N	\N	\N
917949	3129	1995-12-27	VYDAJ	VYBER	880	23344	\N	\N	\N
917950	3129	1995-02-04	VYDAJ	VYBER	3200	16456	\N	\N	\N
917951	3129	1996-01-04	VYDAJ	VYBER	1520	19765	\N	\N	\N
917952	3129	1996-09-13	VYDAJ	VYBER	2560	13962	\N	\N	\N
917953	3129	1996-06-27	VYDAJ	VYBER	400	24050	\N	\N	\N
917954	3129	1996-02-17	VYDAJ	VYBER	2320	18421	\N	\N	\N
917955	3129	1996-09-24	VYDAJ	VYBER	1920	18269	\N	\N	\N
917956	3129	1996-10-20	VYDAJ	VYBER	960	21394	\N	\N	\N
917957	3129	1997-11-18	VYDAJ	VYBER	2640	28802	\N	\N	\N
917958	3129	1997-03-16	VYDAJ	VYBER	2880	27887	\N	\N	\N
917959	3129	1997-03-25	VYDAJ	VYBER	1840	26047	\N	\N	\N
917960	3129	1997-11-29	VYDAJ	VYBER	2320	26482	\N	\N	\N
917961	3129	1997-07-04	VYDAJ	VYBER	1120	25006	\N	\N	\N
917962	3129	1997-10-02	VYDAJ	VYBER	3200	28685	\N	\N	\N
917963	3129	1997-03-29	VYDAJ	VYBER	1680	24367	\N	\N	\N
917964	3129	1998-02-25	VYDAJ	VYBER	480	24179	\N	\N	\N
917965	3129	1998-07-10	VYDAJ	VYBER	400	22583	\N	\N	\N
917966	3129	1998-10-12	VYDAJ	VYBER	2800	20524	\N	\N	\N
917967	3129	1998-04-25	VYDAJ	VYBER	2720	20154	\N	\N	\N
917984	3129	1994-04-30	VYDAJ	VYBER	15	33956	SLUZBY	\N	\N
917985	3129	1994-05-31	VYDAJ	VYBER	15	30893	SLUZBY	\N	\N
917986	3129	1994-06-30	VYDAJ	VYBER	15	19714	SLUZBY	\N	\N
917987	3129	1994-07-31	VYDAJ	VYBER	15	22446	SLUZBY	\N	\N
917988	3129	1994-08-31	VYDAJ	VYBER	15	26555	SLUZBY	\N	\N
917989	3129	1994-09-30	VYDAJ	VYBER	15	24939	SLUZBY	\N	\N
917990	3129	1994-10-31	VYDAJ	VYBER	15	24808	SLUZBY	\N	\N
917991	3129	1994-11-30	VYDAJ	VYBER	15	22866	SLUZBY	\N	\N
917992	3129	1994-12-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
917993	3129	1995-01-31	VYDAJ	VYBER	15	19656	SLUZBY	\N	\N
917994	3129	1995-02-28	VYDAJ	VYBER	15	17903	SLUZBY	\N	\N
917995	3129	1995-03-31	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
917996	3129	1995-04-30	VYDAJ	VYBER	15	25299	SLUZBY	\N	\N
917997	3129	1995-05-31	VYDAJ	VYBER	15	24597	SLUZBY	\N	\N
917998	3129	1995-06-30	VYDAJ	VYBER	15	24912	SLUZBY	\N	\N
917999	3129	1995-07-31	VYDAJ	VYBER	15	26930	SLUZBY	\N	\N
918000	3129	1995-08-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
918001	3129	1995-09-30	VYDAJ	VYBER	15	27227	SLUZBY	\N	\N
918002	3129	1995-10-31	VYDAJ	VYBER	15	25925	SLUZBY	\N	\N
918003	3129	1995-11-30	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
918004	3129	1995-12-31	VYDAJ	VYBER	15	22885	SLUZBY	\N	\N
918005	3129	1996-01-31	VYDAJ	VYBER	15	16721	SLUZBY	\N	\N
918006	3129	1996-02-29	VYDAJ	VYBER	15	18480	SLUZBY	\N	\N
918007	3129	1996-03-31	VYDAJ	VYBER	15	22072	SLUZBY	\N	\N
918008	3129	1996-04-30	VYDAJ	VYBER	15	23074	SLUZBY	\N	\N
918009	3129	1996-05-31	VYDAJ	VYBER	15	23180	SLUZBY	\N	\N
918010	3129	1996-06-30	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
918011	3129	1996-07-31	VYDAJ	VYBER	15	19938	SLUZBY	\N	\N
918012	3129	1996-08-31	VYDAJ	VYBER	15	19229	SLUZBY	\N	\N
918013	3129	1996-09-30	VYDAJ	VYBER	15	18334	SLUZBY	\N	\N
918014	3129	1996-10-31	VYDAJ	VYBER	15	21463	SLUZBY	\N	\N
918015	3129	1996-11-30	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
918016	3129	1996-12-31	VYDAJ	VYBER	15	28432	SLUZBY	\N	\N
918017	3129	1997-01-31	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
918018	3129	1997-02-28	VYDAJ	VYBER	15	26747	SLUZBY	\N	\N
918019	3129	1997-03-31	VYDAJ	VYBER	15	24464	SLUZBY	\N	\N
918020	3129	1997-04-30	VYDAJ	VYBER	15	28579	SLUZBY	\N	\N
918021	3129	1997-05-31	VYDAJ	VYBER	15	28605	SLUZBY	\N	\N
918022	3129	1997-06-30	VYDAJ	VYBER	15	26126	SLUZBY	\N	\N
918023	3129	1997-07-31	VYDAJ	VYBER	15	27321	SLUZBY	\N	\N
918024	3129	1997-08-31	VYDAJ	VYBER	15	31448	SLUZBY	\N	\N
918025	3129	1997-09-30	VYDAJ	VYBER	15	31885	SLUZBY	\N	\N
918026	3129	1997-10-31	VYDAJ	VYBER	15	32822	SLUZBY	\N	\N
918027	3129	1997-11-30	VYDAJ	VYBER	15	26597	SLUZBY	\N	\N
918028	3129	1997-12-31	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
918029	3129	1998-01-31	VYDAJ	VYBER	15	20639	SLUZBY	\N	\N
918030	3129	1998-02-28	VYDAJ	VYBER	15	24257	SLUZBY	\N	\N
918031	3129	1998-03-31	VYDAJ	VYBER	15	21254	SLUZBY	\N	\N
918032	3129	1998-04-30	VYDAJ	VYBER	15	20227	SLUZBY	\N	\N
918033	3129	1998-05-31	VYDAJ	VYBER	15	24324	SLUZBY	\N	\N
918034	3129	1998-06-30	VYDAJ	VYBER	15	22983	SLUZBY	\N	\N
918035	3129	1998-07-31	VYDAJ	VYBER	15	26690	SLUZBY	\N	\N
918036	3129	1998-08-31	VYDAJ	VYBER	15	28106	SLUZBY	\N	\N
918037	3129	1998-09-30	VYDAJ	VYBER	15	27824	SLUZBY	\N	\N
918038	3129	1998-10-31	VYDAJ	VYBER	15	24633	SLUZBY	\N	\N
918039	3129	1998-11-30	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
918040	3129	1994-05-04	VYDAJ	VYBER	7200	26756	\N	\N	\N
918041	3129	1994-06-03	VYDAJ	VYBER	3400	27493	\N	\N	\N
918042	3129	1994-09-01	VYDAJ	VYBER	3400	23155	\N	\N	\N
918043	3129	1994-10-01	VYDAJ	VYBER	3200	21739	\N	\N	\N
918044	3129	1994-10-31	VYDAJ	VYBER	2600	22208	\N	\N	\N
918045	3129	1994-11-30	VYDAJ	VYBER	1300	21566	\N	\N	\N
918046	3129	1994-12-30	VYDAJ	VYBER	500	24236	\N	\N	\N
918047	3129	1995-04-29	VYDAJ	VYBER	800	25213	\N	\N	\N
918048	3129	1995-05-29	VYDAJ	VYBER	3300	24499	\N	\N	\N
918049	3129	1995-06-28	VYDAJ	VYBER	3800	24817	\N	\N	\N
918050	3129	1995-07-28	VYDAJ	VYBER	2100	26832	\N	\N	\N
918051	3129	1995-08-27	VYDAJ	VYBER	2200	28750	\N	\N	\N
918052	3129	1995-09-26	VYDAJ	VYBER	4400	28475	\N	\N	\N
918053	3129	1995-10-26	VYDAJ	VYBER	2700	25827	\N	\N	\N
918054	3129	1995-11-25	VYDAJ	VYBER	3600	26345	\N	\N	\N
918055	3129	1995-12-25	VYDAJ	VYBER	2400	24224	\N	\N	\N
918056	3129	1996-03-24	VYDAJ	VYBER	500	22000	\N	\N	\N
918057	3129	1996-04-23	VYDAJ	VYBER	3100	22992	\N	\N	\N
918058	3129	1996-05-23	VYDAJ	VYBER	4000	23094	\N	\N	\N
918059	3129	1996-06-22	VYDAJ	VYBER	1100	24450	\N	\N	\N
918060	3129	1996-07-22	VYDAJ	VYBER	8300	19855	\N	\N	\N
918061	3129	1996-08-21	VYDAJ	VYBER	4800	19158	\N	\N	\N
918062	3129	1996-09-20	VYDAJ	VYBER	500	20189	\N	\N	\N
918063	3129	1996-11-19	VYDAJ	VYBER	800	24683	\N	\N	\N
918064	3129	1997-05-18	VYDAJ	VYBER	4100	28499	\N	\N	\N
918065	3129	1997-06-17	VYDAJ	VYBER	500	32125	\N	\N	\N
918066	3129	1997-07-17	VYDAJ	VYBER	1800	27226	\N	\N	\N
918067	3129	1997-09-15	VYDAJ	VYBER	3700	31768	\N	\N	\N
918068	3129	1997-11-14	VYDAJ	VYBER	5400	31442	\N	\N	\N
918069	3129	1997-12-14	VYDAJ	VYBER	3900	26717	\N	\N	\N
918070	3129	1998-03-14	VYDAJ	VYBER	7100	21177	\N	\N	\N
918071	3129	1998-04-13	VYDAJ	VYBER	2400	16147	\N	\N	\N
918072	3129	1998-06-12	VYDAJ	VYBER	600	21017	\N	\N	\N
918073	3129	1998-08-11	VYDAJ	VYBER	2700	23990	\N	\N	\N
918074	3129	1998-09-10	VYDAJ	VYBER	4400	23706	\N	\N	\N
918075	3129	1998-10-10	VYDAJ	VYBER	4500	23324	\N	\N	\N
918076	3129	1998-11-09	VYDAJ	VYBER	5700	18933	\N	\N	\N
918077	3129	1998-12-09	VYDAJ	VYBER	6300	15282	\N	\N	\N
918139	3130	1996-03-20	PRIJEM	VKLAD	500	500	\N	\N	\N
918143	3130	1996-04-10	PRIJEM	PREVOD Z UCTU	6359	6859	DUCHOD	ST	14970285
918144	3130	1996-05-10	PRIJEM	PREVOD Z UCTU	6359	13218	DUCHOD	ST	14970285
918145	3130	1996-06-10	PRIJEM	PREVOD Z UCTU	6359	19577	DUCHOD	ST	14970285
918146	3130	1996-07-10	PRIJEM	PREVOD Z UCTU	6359	25936	DUCHOD	ST	14970285
918147	3130	1996-08-10	PRIJEM	PREVOD Z UCTU	6359	31442	DUCHOD	ST	14970285
918148	3130	1996-09-10	PRIJEM	PREVOD Z UCTU	6359	36359	DUCHOD	ST	14970285
918149	3130	1996-10-10	PRIJEM	PREVOD Z UCTU	6359	38389	DUCHOD	ST	14970285
918150	3130	1996-11-10	PRIJEM	PREVOD Z UCTU	6359	37623	DUCHOD	ST	14970285
918151	3130	1996-12-10	PRIJEM	PREVOD Z UCTU	6359	41763	DUCHOD	ST	14970285
918152	3130	1997-01-10	PRIJEM	PREVOD Z UCTU	6359	35921	DUCHOD	ST	14970285
918153	3130	1997-02-10	PRIJEM	PREVOD Z UCTU	6359	33411	DUCHOD	ST	14970285
918154	3130	1997-03-10	PRIJEM	PREVOD Z UCTU	6359	36392	DUCHOD	ST	14970285
918155	3130	1997-04-10	PRIJEM	PREVOD Z UCTU	6359	41329	DUCHOD	ST	14970285
918156	3130	1997-05-10	PRIJEM	PREVOD Z UCTU	6359	43521	DUCHOD	ST	14970285
918157	3130	1997-06-10	PRIJEM	PREVOD Z UCTU	6359	42457	DUCHOD	ST	14970285
918158	3130	1997-07-10	PRIJEM	PREVOD Z UCTU	6359	43649	DUCHOD	ST	14970285
918159	3130	1997-08-10	PRIJEM	PREVOD Z UCTU	6359	46852	DUCHOD	ST	14970285
918160	3130	1997-09-10	PRIJEM	PREVOD Z UCTU	6359	51833	DUCHOD	ST	14970285
918161	3130	1997-10-10	PRIJEM	PREVOD Z UCTU	6359	51218	DUCHOD	ST	14970285
918271	3130	1997-09-30	VYDAJ	VYBER	15	44859	SLUZBY	\N	\N
918162	3130	1997-11-10	PRIJEM	PREVOD Z UCTU	6359	52735	DUCHOD	ST	14970285
918163	3130	1997-12-10	PRIJEM	PREVOD Z UCTU	6359	56539	DUCHOD	ST	14970285
918164	3130	1998-01-10	PRIJEM	PREVOD Z UCTU	6359	55588	DUCHOD	ST	14970285
918165	3130	1998-02-10	PRIJEM	PREVOD Z UCTU	6359	52193	DUCHOD	ST	14970285
918166	3130	1998-03-10	PRIJEM	PREVOD Z UCTU	6359	57197	DUCHOD	ST	14970285
918167	3130	1998-04-10	PRIJEM	PREVOD Z UCTU	6359	60115	DUCHOD	ST	14970285
918168	3130	1998-05-10	PRIJEM	PREVOD Z UCTU	6359	64270	DUCHOD	ST	14970285
918169	3130	1998-06-10	PRIJEM	PREVOD Z UCTU	6359	65803	DUCHOD	ST	14970285
918170	3130	1998-07-10	PRIJEM	PREVOD Z UCTU	6359	70867	DUCHOD	ST	14970285
918171	3130	1998-08-10	PRIJEM	PREVOD Z UCTU	6359	75947	DUCHOD	ST	14970285
918172	3130	1998-09-10	PRIJEM	PREVOD Z UCTU	6359	81048	DUCHOD	ST	14970285
918173	3130	1998-10-10	PRIJEM	PREVOD Z UCTU	6359	86170	DUCHOD	ST	14970285
918174	3130	1998-11-10	PRIJEM	PREVOD Z UCTU	6359	91314	DUCHOD	ST	14970285
918175	3130	1998-12-10	PRIJEM	PREVOD Z UCTU	6359	94779	DUCHOD	ST	14970285
918183	3130	1996-08-11	VYDAJ	PREVOD NA UCET	1546	29896	SIPO	ST	47109222
918184	3130	1996-09-11	VYDAJ	PREVOD NA UCET	1546	34813	SIPO	ST	47109222
918185	3130	1996-10-11	VYDAJ	PREVOD NA UCET	1546	36843	SIPO	ST	47109222
918186	3130	1996-11-11	VYDAJ	PREVOD NA UCET	1546	36077	SIPO	ST	47109222
918187	3130	1996-12-11	VYDAJ	PREVOD NA UCET	1546	39567	SIPO	ST	47109222
918188	3130	1997-01-11	VYDAJ	PREVOD NA UCET	1546	34375	SIPO	ST	47109222
918189	3130	1997-02-11	VYDAJ	PREVOD NA UCET	1546	31865	SIPO	ST	47109222
918190	3130	1997-03-11	VYDAJ	PREVOD NA UCET	1546	34846	SIPO	ST	47109222
918191	3130	1997-04-11	VYDAJ	PREVOD NA UCET	1546	39783	SIPO	ST	47109222
918192	3130	1997-05-11	VYDAJ	PREVOD NA UCET	1546	41975	SIPO	ST	47109222
918193	3130	1997-06-11	VYDAJ	PREVOD NA UCET	1546	37151	SIPO	ST	47109222
918194	3130	1997-07-11	VYDAJ	PREVOD NA UCET	1546	40343	SIPO	ST	47109222
918195	3130	1997-08-11	VYDAJ	PREVOD NA UCET	1546	45306	SIPO	ST	47109222
918196	3130	1997-09-11	VYDAJ	PREVOD NA UCET	1546	44687	SIPO	ST	47109222
918197	3130	1997-10-11	VYDAJ	PREVOD NA UCET	1546	47472	SIPO	ST	47109222
918198	3130	1997-11-11	VYDAJ	PREVOD NA UCET	1546	49989	SIPO	ST	47109222
918199	3130	1997-12-11	VYDAJ	PREVOD NA UCET	1546	50993	SIPO	ST	47109222
918200	3130	1998-01-11	VYDAJ	PREVOD NA UCET	1546	54042	SIPO	ST	47109222
918201	3130	1998-02-11	VYDAJ	PREVOD NA UCET	1546	50647	SIPO	ST	47109222
918202	3130	1998-03-11	VYDAJ	PREVOD NA UCET	1546	53551	SIPO	ST	47109222
918203	3130	1998-04-11	VYDAJ	PREVOD NA UCET	1546	58569	SIPO	ST	47109222
918204	3130	1998-05-11	VYDAJ	PREVOD NA UCET	1546	62724	SIPO	ST	47109222
918205	3130	1998-06-11	VYDAJ	PREVOD NA UCET	1546	64257	SIPO	ST	47109222
918206	3130	1998-07-11	VYDAJ	PREVOD NA UCET	1546	69321	SIPO	ST	47109222
918207	3130	1998-08-11	VYDAJ	PREVOD NA UCET	1546	74401	SIPO	ST	47109222
918208	3130	1998-09-11	VYDAJ	PREVOD NA UCET	1546	79502	SIPO	ST	47109222
918209	3130	1998-10-11	VYDAJ	PREVOD NA UCET	1546	84624	SIPO	ST	47109222
918210	3130	1998-11-11	VYDAJ	PREVOD NA UCET	1546	89768	SIPO	ST	47109222
918211	3130	1998-12-11	VYDAJ	PREVOD NA UCET	1546	93233	SIPO	ST	47109222
918212	3130	1996-12-10	VYDAJ	VYBER	650	41113	\N	\N	\N
918213	3130	1997-12-25	VYDAJ	VYBER	600	50393	\N	\N	\N
918214	3130	1998-12-29	VYDAJ	VYBER	700	92533	\N	\N	\N
918221	3130	1997-01-11	VYDAJ	VYBER	960	33415	\N	\N	\N
918222	3130	1997-01-26	VYDAJ	VYBER	1920	30295	\N	\N	\N
918223	3130	1997-01-07	VYDAJ	VYBER	1840	29562	\N	\N	\N
918224	3130	1997-01-28	VYDAJ	VYBER	2320	27975	\N	\N	\N
918225	3130	1997-01-01	VYDAJ	VYBER	1360	34042	\N	\N	\N
918226	3130	1997-01-29	VYDAJ	VYBER	1040	26935	\N	\N	\N
918227	3130	1998-01-02	VYDAJ	VYBER	1360	49229	\N	\N	\N
918228	3130	1998-01-14	VYDAJ	VYBER	1120	52922	\N	\N	\N
918229	3130	1998-01-22	VYDAJ	VYBER	720	46442	\N	\N	\N
918230	3130	1998-01-20	VYDAJ	VYBER	1440	47162	\N	\N	\N
918231	3130	1998-01-17	VYDAJ	VYBER	2240	48602	\N	\N	\N
918232	3130	1998-01-17	VYDAJ	VYBER	2080	50842	\N	\N	\N
918239	3130	1997-11-08	VYDAJ	VYBER	1280	46376	\N	\N	\N
918240	3130	1997-07-10	VYDAJ	VYBER	1760	41889	\N	\N	\N
918241	3130	1997-06-10	VYDAJ	VYBER	3760	38697	\N	\N	\N
918242	3130	1997-02-23	VYDAJ	VYBER	1440	29925	\N	\N	\N
918243	3130	1997-05-24	VYDAJ	VYBER	3120	35955	\N	\N	\N
918244	3130	1997-04-23	VYDAJ	VYBER	560	37023	\N	\N	\N
918245	3130	1997-01-02	VYDAJ	VYBER	2640	31402	\N	\N	\N
918246	3130	1998-06-07	VYDAJ	VYBER	3520	59444	\N	\N	\N
918247	3130	1998-02-07	VYDAJ	VYBER	800	45834	\N	\N	\N
918248	3130	1998-12-30	VYDAJ	VYBER	3920	88613	\N	\N	\N
918249	3130	1998-04-28	VYDAJ	VYBER	880	57689	\N	\N	\N
918258	3130	1996-08-31	VYDAJ	VYBER	15	30000	SLUZBY	\N	\N
918259	3130	1996-09-30	VYDAJ	VYBER	15	32030	SLUZBY	\N	\N
918260	3130	1996-10-31	VYDAJ	VYBER	15	31264	SLUZBY	\N	\N
918261	3130	1996-11-30	VYDAJ	VYBER	15	35404	SLUZBY	\N	\N
918262	3130	1996-12-31	VYDAJ	VYBER	15	35402	SLUZBY	\N	\N
918263	3130	1997-01-31	VYDAJ	VYBER	15	27052	SLUZBY	\N	\N
918264	3130	1997-02-28	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
918265	3130	1997-03-31	VYDAJ	VYBER	15	34970	SLUZBY	\N	\N
918266	3130	1997-04-30	VYDAJ	VYBER	15	37162	SLUZBY	\N	\N
918267	3130	1997-05-31	VYDAJ	VYBER	15	36098	SLUZBY	\N	\N
918268	3130	1997-06-30	VYDAJ	VYBER	15	37290	SLUZBY	\N	\N
918269	3130	1997-07-31	VYDAJ	VYBER	15	40493	SLUZBY	\N	\N
918270	3130	1997-08-31	VYDAJ	VYBER	15	45474	SLUZBY	\N	\N
918272	3130	1997-10-31	VYDAJ	VYBER	15	47656	SLUZBY	\N	\N
918273	3130	1997-11-30	VYDAJ	VYBER	15	50180	SLUZBY	\N	\N
918274	3130	1997-12-31	VYDAJ	VYBER	15	50589	SLUZBY	\N	\N
918275	3130	1998-01-31	VYDAJ	VYBER	15	46634	SLUZBY	\N	\N
918276	3130	1998-02-28	VYDAJ	VYBER	15	50838	SLUZBY	\N	\N
918277	3130	1998-03-31	VYDAJ	VYBER	15	53756	SLUZBY	\N	\N
918278	3130	1998-04-30	VYDAJ	VYBER	15	57911	SLUZBY	\N	\N
918279	3130	1998-05-31	VYDAJ	VYBER	15	62964	SLUZBY	\N	\N
918280	3130	1998-06-30	VYDAJ	VYBER	15	64508	SLUZBY	\N	\N
918281	3130	1998-07-31	VYDAJ	VYBER	15	69588	SLUZBY	\N	\N
918282	3130	1998-08-31	VYDAJ	VYBER	15	74689	SLUZBY	\N	\N
918283	3130	1998-09-30	VYDAJ	VYBER	15	79811	SLUZBY	\N	\N
918284	3130	1998-10-31	VYDAJ	VYBER	15	84955	SLUZBY	\N	\N
918285	3130	1998-11-30	VYDAJ	VYBER	15	90120	SLUZBY	\N	\N
918286	3130	1996-07-18	VYDAJ	VYBER	900	25036	\N	\N	\N
918287	3130	1996-09-16	VYDAJ	VYBER	2900	31913	\N	\N	\N
918288	3130	1996-10-16	VYDAJ	VYBER	5700	31143	\N	\N	\N
918289	3130	1996-11-15	VYDAJ	VYBER	800	35277	\N	\N	\N
918290	3130	1996-12-15	VYDAJ	VYBER	4300	35267	\N	\N	\N
918291	3130	1997-01-14	VYDAJ	VYBER	1200	32215	\N	\N	\N
918292	3130	1997-02-13	VYDAJ	VYBER	500	31365	\N	\N	\N
918293	3130	1997-04-14	VYDAJ	VYBER	2200	37583	\N	\N	\N
918294	3130	1997-05-14	VYDAJ	VYBER	2900	39075	\N	\N	\N
918295	3130	1997-09-11	VYDAJ	VYBER	5600	46233	\N	\N	\N
918296	3130	1997-10-11	VYDAJ	VYBER	2200	49018	\N	\N	\N
918297	3130	1997-11-10	VYDAJ	VYBER	1200	51535	\N	\N	\N
918298	3130	1997-12-10	VYDAJ	VYBER	4000	52539	\N	\N	\N
918299	3130	1998-03-10	VYDAJ	VYBER	2100	55097	\N	\N	\N
918300	3130	1998-12-05	VYDAJ	VYBER	1700	88420	\N	\N	\N
918331	3131	1995-10-23	PRIJEM	VKLAD	300	300	\N	\N	\N
918342	3131	1995-11-07	PRIJEM	PREVOD Z UCTU	21253	21553	\N	MN	16171330
918343	3131	1995-12-07	PRIJEM	PREVOD Z UCTU	31880	53961	\N	MN	16171330
918344	3131	1996-01-07	PRIJEM	PREVOD Z UCTU	21253	58426	\N	MN	16171330
918345	3131	1996-02-07	PRIJEM	PREVOD Z UCTU	21253	61337	\N	MN	16171330
918346	3131	1996-03-07	PRIJEM	PREVOD Z UCTU	21253	63059	\N	MN	16171330
918347	3131	1996-04-07	PRIJEM	PREVOD Z UCTU	21253	50586	\N	MN	16171330
918348	3131	1996-05-07	PRIJEM	PREVOD Z UCTU	21253	41697	\N	MN	16171330
918349	3131	1996-06-07	PRIJEM	PREVOD Z UCTU	31880	61345	\N	MN	16171330
918350	3131	1996-07-07	PRIJEM	PREVOD Z UCTU	21253	45567	\N	MN	16171330
918351	3131	1996-08-07	PRIJEM	PREVOD Z UCTU	21253	48193	\N	MN	16171330
918352	3131	1996-09-07	PRIJEM	PREVOD Z UCTU	21253	46721	\N	MN	16171330
918353	3131	1996-10-07	PRIJEM	PREVOD Z UCTU	21253	44140	\N	MN	16171330
918354	3131	1996-11-07	PRIJEM	PREVOD Z UCTU	21253	41040	\N	MN	16171330
918355	3131	1996-12-07	PRIJEM	PREVOD Z UCTU	31880	51837	\N	MN	16171330
918356	3131	1997-01-07	PRIJEM	PREVOD Z UCTU	21253	41181	\N	MN	16171330
918357	3131	1997-02-07	PRIJEM	PREVOD Z UCTU	21253	41889	\N	MN	16171330
918358	3131	1997-03-07	PRIJEM	PREVOD Z UCTU	21253	46598	\N	MN	16171330
918359	3131	1997-04-07	PRIJEM	PREVOD Z UCTU	21253	50427	\N	MN	16171330
918360	3131	1997-05-07	PRIJEM	PREVOD Z UCTU	21253	49964	\N	MN	16171330
918361	3131	1997-06-07	PRIJEM	PREVOD Z UCTU	31880	61531	\N	MN	16171330
918362	3131	1997-07-07	PRIJEM	PREVOD Z UCTU	21253	61797	\N	MN	16171330
918363	3131	1997-08-07	PRIJEM	PREVOD Z UCTU	21253	48360	\N	MN	16171330
918364	3131	1997-09-07	PRIJEM	PREVOD Z UCTU	21253	51370	\N	MN	16171330
918365	3131	1997-10-07	PRIJEM	PREVOD Z UCTU	21253	64037	\N	MN	16171330
918366	3131	1997-11-07	PRIJEM	PREVOD Z UCTU	21253	49257	\N	MN	16171330
918367	3131	1997-12-07	PRIJEM	PREVOD Z UCTU	31880	70241	\N	MN	16171330
918368	3131	1998-01-07	PRIJEM	PREVOD Z UCTU	21253	69261	\N	MN	16171330
918369	3131	1998-02-07	PRIJEM	PREVOD Z UCTU	21253	42219	\N	MN	16171330
918370	3131	1998-03-07	PRIJEM	PREVOD Z UCTU	21253	51543	\N	MN	16171330
918371	3131	1998-04-07	PRIJEM	PREVOD Z UCTU	21253	51072	\N	MN	16171330
918372	3131	1998-05-07	PRIJEM	PREVOD Z UCTU	21253	55516	\N	MN	16171330
918373	3131	1998-06-07	PRIJEM	PREVOD Z UCTU	31880	69904	\N	MN	16171330
918374	3131	1998-07-07	PRIJEM	PREVOD Z UCTU	21253	49443	\N	MN	16171330
918375	3131	1998-08-07	PRIJEM	PREVOD Z UCTU	21253	52779	\N	MN	16171330
918376	3131	1998-09-07	PRIJEM	PREVOD Z UCTU	21253	59542	\N	MN	16171330
918377	3131	1998-10-07	PRIJEM	PREVOD Z UCTU	21253	60314	\N	MN	16171330
918378	3131	1998-11-07	PRIJEM	PREVOD Z UCTU	21253	53984	\N	MN	16171330
918379	3131	1998-12-07	PRIJEM	PREVOD Z UCTU	31880	69502	\N	MN	16171330
918394	3131	1996-03-11	VYDAJ	PREVOD NA UCET	9131	53928	SIPO	GH	1389563
918395	3131	1996-04-11	VYDAJ	PREVOD NA UCET	9131	41455	SIPO	GH	1389563
918396	3131	1996-05-11	VYDAJ	PREVOD NA UCET	9131	32566	SIPO	GH	1389563
918397	3131	1996-06-11	VYDAJ	PREVOD NA UCET	9131	52214	SIPO	GH	1389563
918398	3131	1996-07-11	VYDAJ	PREVOD NA UCET	9131	36436	SIPO	GH	1389563
918399	3131	1996-08-11	VYDAJ	PREVOD NA UCET	9131	39062	SIPO	GH	1389563
918400	3131	1996-09-11	VYDAJ	PREVOD NA UCET	9131	37590	SIPO	GH	1389563
918401	3131	1996-10-11	VYDAJ	PREVOD NA UCET	9131	35009	SIPO	GH	1389563
918402	3131	1996-11-11	VYDAJ	PREVOD NA UCET	9131	31909	SIPO	GH	1389563
918403	3131	1996-12-11	VYDAJ	PREVOD NA UCET	9131	42706	SIPO	GH	1389563
918404	3131	1997-01-11	VYDAJ	PREVOD NA UCET	9131	22150	SIPO	GH	1389563
918405	3131	1997-02-11	VYDAJ	PREVOD NA UCET	9131	32758	SIPO	GH	1389563
918406	3131	1997-03-11	VYDAJ	PREVOD NA UCET	9131	37467	SIPO	GH	1389563
918407	3131	1997-04-11	VYDAJ	PREVOD NA UCET	9131	41296	SIPO	GH	1389563
918408	3131	1997-05-11	VYDAJ	PREVOD NA UCET	9131	40833	SIPO	GH	1389563
918409	3131	1997-06-11	VYDAJ	PREVOD NA UCET	9131	52400	SIPO	GH	1389563
918410	3131	1997-07-11	VYDAJ	PREVOD NA UCET	9131	52666	SIPO	GH	1389563
918411	3131	1997-08-11	VYDAJ	PREVOD NA UCET	9131	39229	SIPO	GH	1389563
918412	3131	1997-09-11	VYDAJ	PREVOD NA UCET	9131	42239	SIPO	GH	1389563
918413	3131	1997-10-11	VYDAJ	PREVOD NA UCET	9131	54906	SIPO	GH	1389563
918414	3131	1997-11-11	VYDAJ	PREVOD NA UCET	9131	40126	SIPO	GH	1389563
918415	3131	1997-12-11	VYDAJ	PREVOD NA UCET	9131	53010	SIPO	GH	1389563
918416	3131	1998-01-11	VYDAJ	PREVOD NA UCET	9131	38830	SIPO	GH	1389563
918417	3131	1998-02-11	VYDAJ	PREVOD NA UCET	9131	30188	SIPO	GH	1389563
918418	3131	1998-03-11	VYDAJ	PREVOD NA UCET	9131	42612	SIPO	GH	1389563
918419	3131	1998-04-11	VYDAJ	PREVOD NA UCET	9131	34141	SIPO	GH	1389563
918420	3131	1998-05-11	VYDAJ	PREVOD NA UCET	9131	37885	SIPO	GH	1389563
918421	3131	1998-06-11	VYDAJ	PREVOD NA UCET	9131	28073	SIPO	GH	1389563
918422	3131	1998-07-11	VYDAJ	PREVOD NA UCET	9131	31412	SIPO	GH	1389563
918423	3131	1998-08-11	VYDAJ	PREVOD NA UCET	9131	38148	SIPO	GH	1389563
918424	3131	1998-09-11	VYDAJ	PREVOD NA UCET	9131	38911	SIPO	GH	1389563
918425	3131	1998-10-11	VYDAJ	PREVOD NA UCET	9131	39683	SIPO	GH	1389563
918426	3131	1998-11-11	VYDAJ	PREVOD NA UCET	9131	44853	SIPO	GH	1389563
918427	3131	1998-12-11	VYDAJ	PREVOD NA UCET	9131	58571	SIPO	GH	1389563
918441	3131	1996-09-23	VYBER	VYBER	5704	22786	\N	\N	\N
918442	3131	1996-11-29	VYBER	VYBER	4440	21369	\N	\N	\N
918443	3131	1996-03-27	VYBER	VYBER	5059	32169	\N	\N	\N
918446	3131	1996-06-26	VYBER	VYBER	11736	24178	\N	\N	\N
918447	3131	1996-04-25	VYBER	VYBER	9927	20328	\N	\N	\N
918450	3131	1997-08-03	VYBER	VYBER	11813	27107	\N	\N	\N
918452	3131	1997-10-29	VYBER	VYBER	18569	27837	\N	\N	\N
918453	3131	1997-08-24	VYBER	VYBER	3350	32079	\N	\N	\N
918456	3131	1998-03-19	VYBER	VYBER	12926	29686	\N	\N	\N
918463	3131	1997-01-02	VYDAJ	VYBER	3000	26528	\N	\N	\N
918466	3131	1996-12-04	VYDAJ	VYBER	1500	19957	\N	\N	\N
918467	3131	1997-12-07	VYDAJ	VYBER	8100	62141	\N	\N	\N
918468	3131	1998-12-08	VYDAJ	VYBER KARTOU	1800	67702	\N	\N	0
918481	3131	1997-01-10	VYDAJ	VYBER	7500	31281	\N	\N	\N
918482	3131	1997-01-08	VYDAJ	VYBER	2400	38781	\N	\N	\N
918485	3131	1997-01-05	VYDAJ	VYBER	6600	19928	\N	\N	\N
918487	3131	1998-01-20	VYDAJ	VYBER	7800	25630	\N	\N	\N
918488	3131	1998-01-27	VYDAJ	VYBER	4800	20830	\N	\N	\N
918490	3131	1998-01-19	VYDAJ	VYBER	5400	33430	\N	\N	\N
918491	3131	1998-01-09	VYDAJ	VYBER	8400	55461	\N	\N	\N
918492	3131	1998-01-09	VYDAJ	VYBER	5400	63861	\N	\N	\N
918501	3131	1996-03-27	VYDAJ	VYBER	3000	29169	\N	\N	\N
918505	3131	1996-10-12	VYDAJ	VYBER	9000	26009	\N	\N	\N
918508	3131	1997-08-24	VYDAJ	VYBER	2100	29979	\N	\N	\N
918509	3131	1997-05-26	VYDAJ	VYBER	3300	29533	\N	\N	\N
918512	3131	1997-04-20	VYDAJ	VYBER	5100	28596	\N	\N	\N
918513	3131	1998-10-07	VYDAJ	VYBER KARTOU	2100	48814	\N	\N	0
918514	3131	1998-06-10	VYDAJ	VYBER	10800	37204	\N	\N	\N
918516	3131	1998-11-05	VYDAJ	VYBER KARTOU	1500	35631	\N	\N	0
918517	3131	1998-10-16	VYDAJ	VYBER KARTOU	2700	36983	\N	\N	0
918533	3131	1996-03-31	VYDAJ	VYBER	15	29333	SLUZBY	\N	\N
918534	3131	1996-04-30	VYDAJ	VYBER	15	20444	SLUZBY	\N	\N
918535	3131	1996-05-31	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
918536	3131	1996-06-30	VYDAJ	VYBER	15	24314	SLUZBY	\N	\N
918537	3131	1996-07-31	VYDAJ	VYBER	15	26940	SLUZBY	\N	\N
918538	3131	1996-08-31	VYDAJ	VYBER	15	25468	SLUZBY	\N	\N
918539	3131	1996-09-30	VYDAJ	VYBER	15	22887	SLUZBY	\N	\N
918540	3131	1996-10-31	VYDAJ	VYBER	15	19787	SLUZBY	\N	\N
918541	3131	1996-11-30	VYDAJ	VYBER	15	21457	SLUZBY	\N	\N
918542	3131	1996-12-31	VYDAJ	VYBER	15	29528	SLUZBY	\N	\N
918543	3131	1997-01-31	VYDAJ	VYBER	15	20636	SLUZBY	\N	\N
918544	3131	1997-02-28	VYDAJ	VYBER	15	25345	SLUZBY	\N	\N
918545	3131	1997-03-31	VYDAJ	VYBER	15	29174	SLUZBY	\N	\N
918546	3131	1997-04-30	VYDAJ	VYBER	15	28711	SLUZBY	\N	\N
918547	3131	1997-05-31	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
918548	3131	1997-06-30	VYDAJ	VYBER	15	40544	SLUZBY	\N	\N
918549	3131	1997-07-31	VYDAJ	VYBER	15	38920	SLUZBY	\N	\N
918550	3131	1997-08-31	VYDAJ	VYBER	15	30117	SLUZBY	\N	\N
918551	3131	1997-09-30	VYDAJ	VYBER	15	42784	SLUZBY	\N	\N
918552	3131	1997-10-31	VYDAJ	VYBER	15	28004	SLUZBY	\N	\N
918553	3131	1997-11-30	VYDAJ	VYBER	15	38361	SLUZBY	\N	\N
918554	3131	1997-12-31	VYDAJ	VYBER	15	48008	SLUZBY	\N	\N
918555	3131	1998-01-31	VYDAJ	VYBER	15	20966	SLUZBY	\N	\N
918556	3131	1998-02-28	VYDAJ	VYBER	15	30290	SLUZBY	\N	\N
918557	3131	1998-03-31	VYDAJ	VYBER	15	29819	SLUZBY	\N	\N
918558	3131	1998-04-30	VYDAJ	VYBER	15	34263	SLUZBY	\N	\N
918559	3131	1998-05-31	VYDAJ	VYBER	15	38024	SLUZBY	\N	\N
918560	3131	1998-06-30	VYDAJ	VYBER	15	28190	SLUZBY	\N	\N
918561	3131	1998-07-31	VYDAJ	VYBER	15	31526	SLUZBY	\N	\N
918562	3131	1998-08-31	VYDAJ	VYBER	15	38289	SLUZBY	\N	\N
918563	3131	1998-09-30	VYDAJ	VYBER	15	39061	SLUZBY	\N	\N
918564	3131	1998-10-31	VYDAJ	VYBER	15	37131	SLUZBY	\N	\N
918565	3131	1998-11-30	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
918566	3131	1995-11-22	PRIJEM	VKLAD	500	22053	\N	\N	\N
918567	3131	1995-12-22	VYDAJ	VYBER	16900	37061	\N	\N	\N
918568	3131	1996-01-21	VYDAJ	VYBER	18500	39926	\N	\N	\N
918569	3131	1996-02-20	VYDAJ	VYBER	19700	41637	\N	\N	\N
918570	3131	1996-03-21	VYDAJ	VYBER	16700	37228	\N	\N	\N
918571	3131	1996-04-20	VYDAJ	VYBER	11200	30255	\N	\N	\N
918572	3131	1996-05-20	VYDAJ	VYBER	3200	29366	\N	\N	\N
918573	3131	1996-06-19	VYDAJ	VYBER	16300	35914	\N	\N	\N
918574	3131	1996-07-19	VYDAJ	VYBER	9600	26836	\N	\N	\N
918575	3131	1996-08-18	VYDAJ	VYBER	13700	25362	\N	\N	\N
918576	3131	1996-09-17	VYDAJ	VYBER	9100	28490	\N	\N	\N
918577	3131	1996-10-17	VYDAJ	VYBER	6300	19709	\N	\N	\N
918578	3131	1996-11-16	VYDAJ	VYBER	6100	25809	\N	\N	\N
918579	3131	1996-12-16	VYDAJ	VYBER	13300	29406	\N	\N	\N
918580	3131	1997-01-15	VYDAJ	VYBER	1600	20550	\N	\N	\N
918581	3131	1997-02-14	VYDAJ	VYBER	7500	25258	\N	\N	\N
918582	3131	1997-03-16	VYDAJ	VYBER	8400	29067	\N	\N	\N
918583	3131	1997-04-15	VYDAJ	VYBER	7600	33696	\N	\N	\N
918584	3131	1997-05-15	VYDAJ	VYBER	8000	32833	\N	\N	\N
918585	3131	1997-06-14	VYDAJ	VYBER	12000	40400	\N	\N	\N
918586	3131	1997-07-14	VYDAJ	VYBER	13900	38766	\N	\N	\N
918587	3131	1997-08-13	VYDAJ	VYBER	3800	35429	\N	\N	\N
918588	3131	1997-09-12	PRIJEM	VKLAD	400	42639	\N	\N	\N
918589	3131	1997-10-12	VYDAJ	VYBER	8500	46406	\N	\N	\N
918590	3131	1997-11-11	VYDAJ	VYBER	1900	38226	\N	\N	\N
918591	3131	1997-12-11	VYDAJ	VYBER	5200	47810	\N	\N	\N
918592	3131	1998-01-10	VYDAJ	VYBER	7500	47961	\N	\N	\N
918593	3131	1998-02-09	VYDAJ	VYBER KARTOU	2900	39319	\N	\N	0
918594	3131	1998-03-11	PRIJEM	VKLAD	200	51743	\N	\N	\N
918595	3131	1998-04-10	VYDAJ	VYBER	7800	43272	\N	\N	\N
918596	3131	1998-05-10	VYDAJ	VYBER	8500	47016	\N	\N	\N
918597	3131	1998-06-09	VYDAJ	VYBER	21900	48004	\N	\N	\N
918598	3131	1998-07-09	VYDAJ	VYBER	8900	40543	\N	\N	\N
918599	3131	1998-08-08	VYDAJ	VYBER	5500	47279	\N	\N	\N
918600	3131	1998-09-07	VYDAJ	VYBER	11500	48042	\N	\N	\N
918601	3131	1998-10-07	VYDAJ	VYBER	9400	50914	\N	\N	\N
918602	3131	1998-11-06	VYDAJ	VYBER KARTOU	2900	32731	\N	\N	0
918603	3131	1998-12-06	VYDAJ	VYBER	7400	37622	\N	\N	\N
918642	3132	1995-10-08	PRIJEM	VKLAD	400	400	\N	\N	\N
918652	3132	1995-10-14	PRIJEM	VKLAD	6583	6983	\N	\N	\N
918653	3132	1995-11-14	PRIJEM	VKLAD	6583	24783	\N	\N	\N
918654	3132	1995-12-14	PRIJEM	VKLAD	9874	35128	\N	\N	\N
918655	3132	1996-01-14	PRIJEM	VKLAD	6583	33339	\N	\N	\N
918656	3132	1996-02-14	PRIJEM	VKLAD	6583	33564	\N	\N	\N
918657	3132	1996-03-14	PRIJEM	VKLAD	6583	30476	\N	\N	\N
918658	3132	1996-04-14	PRIJEM	VKLAD	6583	30775	\N	\N	\N
918659	3132	1996-05-14	PRIJEM	VKLAD	6583	31069	\N	\N	\N
918660	3132	1996-06-14	PRIJEM	VKLAD	9874	28060	\N	\N	\N
918661	3132	1996-07-14	PRIJEM	VKLAD	6583	30043	\N	\N	\N
918662	3132	1996-08-14	PRIJEM	VKLAD	6583	26729	\N	\N	\N
918663	3132	1996-09-14	PRIJEM	VKLAD	6583	26708	\N	\N	\N
918664	3132	1996-10-14	PRIJEM	VKLAD	6583	26889	\N	\N	\N
918665	3132	1996-11-14	PRIJEM	VKLAD	6583	27964	\N	\N	\N
918666	3132	1996-12-14	PRIJEM	VKLAD	9874	29342	\N	\N	\N
918667	3132	1997-01-14	PRIJEM	VKLAD	6583	22423	\N	\N	\N
918668	3132	1997-02-14	PRIJEM	VKLAD	6583	22779	\N	\N	\N
918669	3132	1997-03-14	PRIJEM	VKLAD	6583	24242	\N	\N	\N
918670	3132	1997-04-14	PRIJEM	VKLAD	6583	24605	\N	\N	\N
918671	3132	1997-05-14	PRIJEM	VKLAD	6583	20468	\N	\N	\N
918672	3132	1997-06-14	PRIJEM	VKLAD	9874	24912	\N	\N	\N
918673	3132	1997-07-14	PRIJEM	VKLAD	6583	22169	\N	\N	\N
918674	3132	1997-08-14	PRIJEM	VKLAD	6583	19221	\N	\N	\N
918675	3132	1997-09-14	PRIJEM	VKLAD	6583	21471	\N	\N	\N
918676	3132	1997-10-14	PRIJEM	VKLAD	6583	17119	\N	\N	\N
918677	3132	1997-11-14	PRIJEM	VKLAD	6583	18451	\N	\N	\N
918678	3132	1997-12-14	PRIJEM	VKLAD	9874	24987	\N	\N	\N
918679	3132	1998-01-14	PRIJEM	VKLAD	6583	20347	\N	\N	\N
918680	3132	1998-02-14	PRIJEM	VKLAD	6583	20993	\N	\N	\N
918681	3132	1998-03-14	PRIJEM	VKLAD	6583	25843	\N	\N	\N
918682	3132	1998-04-14	PRIJEM	VKLAD	6583	27211	\N	\N	\N
918683	3132	1998-05-14	PRIJEM	VKLAD	6583	28092	\N	\N	\N
918684	3132	1998-06-14	PRIJEM	VKLAD	9874	32768	\N	\N	\N
918685	3132	1998-07-14	PRIJEM	VKLAD	6583	33465	\N	\N	\N
918686	3132	1998-08-14	PRIJEM	VKLAD	6583	29461	\N	\N	\N
918687	3132	1998-09-14	PRIJEM	VKLAD	6583	25540	\N	\N	\N
918688	3132	1998-10-14	PRIJEM	VKLAD	6583	29509	\N	\N	\N
918689	3132	1998-11-14	PRIJEM	VKLAD	6583	32698	\N	\N	\N
918690	3132	1998-12-14	PRIJEM	VKLAD	9874	34584	\N	\N	\N
918704	3132	1996-02-14	VYDAJ	PREVOD NA UCET	3520	30044	SIPO	ST	49754077
918705	3132	1996-03-14	VYDAJ	PREVOD NA UCET	3520	26956	SIPO	ST	49754077
918706	3132	1996-04-14	VYDAJ	PREVOD NA UCET	3520	27255	SIPO	ST	49754077
918707	3132	1996-05-14	VYDAJ	PREVOD NA UCET	3520	27549	SIPO	ST	49754077
918708	3132	1996-06-14	VYDAJ	PREVOD NA UCET	3520	24540	SIPO	ST	49754077
918709	3132	1996-07-14	VYDAJ	PREVOD NA UCET	3520	26523	SIPO	ST	49754077
918710	3132	1996-08-14	VYDAJ	PREVOD NA UCET	3520	23209	SIPO	ST	49754077
918711	3132	1996-09-14	VYDAJ	PREVOD NA UCET	3520	23188	SIPO	ST	49754077
918712	3132	1996-10-14	VYDAJ	PREVOD NA UCET	3520	23369	SIPO	ST	49754077
918713	3132	1996-11-14	VYDAJ	PREVOD NA UCET	3520	24444	SIPO	ST	49754077
918714	3132	1996-12-14	VYDAJ	PREVOD NA UCET	3520	25822	SIPO	ST	49754077
918715	3132	1997-01-14	VYDAJ	PREVOD NA UCET	3520	18903	SIPO	ST	49754077
918716	3132	1997-02-14	VYDAJ	PREVOD NA UCET	3520	19259	SIPO	ST	49754077
918717	3132	1997-03-14	VYDAJ	PREVOD NA UCET	3520	20722	SIPO	ST	49754077
918718	3132	1997-04-14	VYDAJ	PREVOD NA UCET	3520	21085	SIPO	ST	49754077
918719	3132	1997-05-14	VYDAJ	PREVOD NA UCET	3520	16948	SIPO	ST	49754077
918720	3132	1997-06-14	VYDAJ	PREVOD NA UCET	3520	21392	SIPO	ST	49754077
918721	3132	1997-07-14	VYDAJ	PREVOD NA UCET	3520	18649	SIPO	ST	49754077
918722	3132	1997-08-14	VYDAJ	PREVOD NA UCET	3520	15701	SIPO	ST	49754077
918723	3132	1997-09-14	VYDAJ	PREVOD NA UCET	3520	17951	SIPO	ST	49754077
918724	3132	1997-10-14	VYDAJ	PREVOD NA UCET	3520	13599	SIPO	ST	49754077
918725	3132	1997-11-14	VYDAJ	PREVOD NA UCET	3520	14931	SIPO	ST	49754077
918726	3132	1997-12-14	VYDAJ	PREVOD NA UCET	3520	21467	SIPO	ST	49754077
918727	3132	1998-01-14	VYDAJ	PREVOD NA UCET	3520	16827	SIPO	ST	49754077
918728	3132	1998-02-14	VYDAJ	PREVOD NA UCET	3520	17473	SIPO	ST	49754077
918729	3132	1998-03-14	VYDAJ	PREVOD NA UCET	3520	22323	SIPO	ST	49754077
918730	3132	1998-04-14	VYDAJ	PREVOD NA UCET	3520	23691	SIPO	ST	49754077
918731	3132	1998-05-14	VYDAJ	PREVOD NA UCET	3520	24572	SIPO	ST	49754077
918732	3132	1998-06-14	VYDAJ	PREVOD NA UCET	3520	29248	SIPO	ST	49754077
918733	3132	1998-07-14	VYDAJ	PREVOD NA UCET	3520	29945	SIPO	ST	49754077
918734	3132	1998-08-14	VYDAJ	PREVOD NA UCET	3520	25941	SIPO	ST	49754077
918735	3132	1998-09-14	VYDAJ	PREVOD NA UCET	3520	22020	SIPO	ST	49754077
918736	3132	1998-10-14	VYDAJ	PREVOD NA UCET	3520	25989	SIPO	ST	49754077
918737	3132	1998-11-14	VYDAJ	PREVOD NA UCET	3520	29178	SIPO	ST	49754077
918738	3132	1998-12-14	VYDAJ	PREVOD NA UCET	3520	31064	SIPO	ST	49754077
918753	3132	1996-03-12	VYDAJ	PREVOD NA UCET	855	23893	 	OP	96756225
918754	3132	1996-04-12	VYDAJ	PREVOD NA UCET	855	24192	 	OP	96756225
918755	3132	1996-05-12	VYDAJ	PREVOD NA UCET	855	24486	 	OP	96756225
918756	3132	1996-06-12	VYDAJ	PREVOD NA UCET	855	23486	 	OP	96756225
918757	3132	1996-07-12	VYDAJ	PREVOD NA UCET	855	23460	 	OP	96756225
918758	3132	1996-08-12	VYDAJ	PREVOD NA UCET	855	20146	 	OP	96756225
918759	3132	1996-09-12	VYDAJ	PREVOD NA UCET	855	20125	 	OP	96756225
918760	3132	1996-10-12	VYDAJ	PREVOD NA UCET	855	20306	 	OP	96756225
918761	3132	1996-11-12	VYDAJ	PREVOD NA UCET	855	21381	 	OP	96756225
918762	3132	1996-12-12	VYDAJ	PREVOD NA UCET	855	19468	 	OP	96756225
918763	3132	1997-01-12	VYDAJ	PREVOD NA UCET	855	19040	 	OP	96756225
918764	3132	1997-02-12	VYDAJ	PREVOD NA UCET	855	16196	 	OP	96756225
918765	3132	1997-03-12	VYDAJ	PREVOD NA UCET	855	17659	 	OP	96756225
918766	3132	1997-04-12	VYDAJ	PREVOD NA UCET	855	18022	 	OP	96756225
918767	3132	1997-05-12	VYDAJ	PREVOD NA UCET	855	13885	 	OP	96756225
918768	3132	1997-06-12	VYDAJ	PREVOD NA UCET	855	15038	 	OP	96756225
918769	3132	1997-07-12	VYDAJ	PREVOD NA UCET	855	15586	 	OP	96756225
918770	3132	1997-08-12	VYDAJ	PREVOD NA UCET	855	12638	 	OP	96756225
918771	3132	1997-09-12	VYDAJ	PREVOD NA UCET	855	14888	 	OP	96756225
918772	3132	1997-10-12	VYDAJ	PREVOD NA UCET	855	10536	 	OP	96756225
918773	3132	1997-11-12	VYDAJ	PREVOD NA UCET	855	11868	 	OP	96756225
918774	3132	1997-12-12	VYDAJ	PREVOD NA UCET	855	15113	 	OP	96756225
918775	3132	1998-01-12	VYDAJ	PREVOD NA UCET	855	13764	 	OP	96756225
918776	3132	1998-02-12	VYDAJ	PREVOD NA UCET	855	14410	 	OP	96756225
918777	3132	1998-03-12	VYDAJ	PREVOD NA UCET	855	19260	 	OP	96756225
918778	3132	1998-04-12	VYDAJ	PREVOD NA UCET	855	20628	 	OP	96756225
918779	3132	1998-05-12	VYDAJ	PREVOD NA UCET	855	21509	 	OP	96756225
918780	3132	1998-06-12	VYDAJ	PREVOD NA UCET	855	22894	 	OP	96756225
918781	3132	1998-07-12	VYDAJ	PREVOD NA UCET	855	26882	 	OP	96756225
918782	3132	1998-08-12	VYDAJ	PREVOD NA UCET	855	22878	 	OP	96756225
918783	3132	1998-09-12	VYDAJ	PREVOD NA UCET	855	18957	 	OP	96756225
918784	3132	1998-10-12	VYDAJ	PREVOD NA UCET	855	22926	 	OP	96756225
918785	3132	1998-11-12	VYDAJ	PREVOD NA UCET	855	26115	 	OP	96756225
918786	3132	1998-12-12	VYDAJ	PREVOD NA UCET	855	24710	 	OP	96756225
918801	3132	1996-03-08	VYDAJ	PREVOD NA UCET	13	24748	POJISTNE	OP	68989574
918802	3132	1996-04-08	VYDAJ	PREVOD NA UCET	13	25047	POJISTNE	OP	68989574
918803	3132	1996-05-08	VYDAJ	PREVOD NA UCET	13	25341	POJISTNE	OP	68989574
918804	3132	1996-06-08	VYDAJ	PREVOD NA UCET	13	24341	POJISTNE	OP	68989574
918805	3132	1996-07-08	VYDAJ	PREVOD NA UCET	13	24315	POJISTNE	OP	68989574
918806	3132	1996-08-08	VYDAJ	PREVOD NA UCET	13	21001	POJISTNE	OP	68989574
918807	3132	1996-09-08	VYDAJ	PREVOD NA UCET	13	20980	POJISTNE	OP	68989574
918808	3132	1996-10-08	VYDAJ	PREVOD NA UCET	13	21161	POJISTNE	OP	68989574
918809	3132	1996-11-08	VYDAJ	PREVOD NA UCET	13	22236	POJISTNE	OP	68989574
918810	3132	1996-12-08	VYDAJ	PREVOD NA UCET	13	20323	POJISTNE	OP	68989574
918811	3132	1997-01-08	VYDAJ	PREVOD NA UCET	13	19895	POJISTNE	OP	68989574
918812	3132	1997-02-08	VYDAJ	PREVOD NA UCET	13	17051	POJISTNE	OP	68989574
918813	3132	1997-03-08	VYDAJ	PREVOD NA UCET	13	18514	POJISTNE	OP	68989574
918814	3132	1997-04-08	VYDAJ	PREVOD NA UCET	13	18877	POJISTNE	OP	68989574
918815	3132	1997-05-08	VYDAJ	PREVOD NA UCET	13	18740	POJISTNE	OP	68989574
918816	3132	1997-06-08	VYDAJ	PREVOD NA UCET	13	15893	POJISTNE	OP	68989574
918817	3132	1997-07-08	VYDAJ	PREVOD NA UCET	13	16441	POJISTNE	OP	68989574
918818	3132	1997-08-08	VYDAJ	PREVOD NA UCET	13	13493	POJISTNE	OP	68989574
918819	3132	1997-09-08	VYDAJ	PREVOD NA UCET	13	15743	POJISTNE	OP	68989574
918820	3132	1997-10-08	VYDAJ	PREVOD NA UCET	13	11391	POJISTNE	OP	68989574
918821	3132	1997-11-08	VYDAJ	PREVOD NA UCET	13	12723	POJISTNE	OP	68989574
918822	3132	1997-12-08	VYDAJ	PREVOD NA UCET	13	15968	POJISTNE	OP	68989574
918823	3132	1998-01-08	VYDAJ	PREVOD NA UCET	13	14619	POJISTNE	OP	68989574
918824	3132	1998-02-08	VYDAJ	PREVOD NA UCET	13	15265	POJISTNE	OP	68989574
918825	3132	1998-03-08	VYDAJ	PREVOD NA UCET	13	20115	POJISTNE	OP	68989574
918826	3132	1998-04-08	VYDAJ	PREVOD NA UCET	13	21483	POJISTNE	OP	68989574
918827	3132	1998-05-08	VYDAJ	PREVOD NA UCET	13	22364	POJISTNE	OP	68989574
918828	3132	1998-06-08	VYDAJ	PREVOD NA UCET	13	23749	POJISTNE	OP	68989574
918829	3132	1998-07-08	VYDAJ	PREVOD NA UCET	13	27737	POJISTNE	OP	68989574
918830	3132	1998-08-08	VYDAJ	PREVOD NA UCET	13	23733	POJISTNE	OP	68989574
918831	3132	1998-09-08	VYDAJ	PREVOD NA UCET	13	19812	POJISTNE	OP	68989574
918832	3132	1998-10-08	VYDAJ	PREVOD NA UCET	13	23781	POJISTNE	OP	68989574
918833	3132	1998-11-08	VYDAJ	PREVOD NA UCET	13	26970	POJISTNE	OP	68989574
918834	3132	1998-12-08	VYDAJ	PREVOD NA UCET	13	25565	POJISTNE	OP	68989574
918836	3132	1996-06-12	VYDAJ	VYBER	5300	18186	\N	\N	\N
918840	3132	1996-12-08	VYDAJ	VYBER	1300	20336	\N	\N	\N
918841	3132	1997-12-27	VYDAJ	VYBER	1500	14567	\N	\N	\N
918842	3132	1998-12-22	VYDAJ	VYBER	1800	23764	\N	\N	\N
918855	3132	1997-01-12	VYDAJ	VYBER	800	18240	\N	\N	\N
918856	3132	1997-01-27	VYDAJ	VYBER	1200	14903	\N	\N	\N
918857	3132	1997-01-27	VYDAJ	VYBER	2000	12903	\N	\N	\N
918858	3132	1997-01-20	VYDAJ	VYBER	2800	16103	\N	\N	\N
918859	3132	1997-01-02	VYDAJ	VYBER	1700	19908	\N	\N	\N
918860	3132	1997-01-01	VYDAJ	VYBER	900	21608	\N	\N	\N
918863	3132	1998-01-21	VYDAJ	VYBER	2400	14427	\N	\N	\N
918873	3132	1996-02-28	VYDAJ	VYBER	2100	27944	\N	\N	\N
918874	3132	1996-04-22	VYDAJ	VYBER	1400	25855	\N	\N	\N
918875	3132	1996-12-29	VYDAJ	VYBER	4200	21622	\N	\N	\N
918876	3132	1996-06-21	VYDAJ	VYBER	1300	23240	\N	\N	\N
918877	3132	1996-09-03	VYDAJ	VYBER	1800	20993	\N	\N	\N
918878	3132	1997-01-13	VYDAJ	VYBER	2400	15840	\N	\N	\N
918880	3132	1997-05-08	VYDAJ	VYBER	4000	14740	\N	\N	\N
918881	3132	1997-03-18	VYDAJ	VYBER	1100	19622	\N	\N	\N
918883	3132	1997-09-20	VYDAJ	VYBER	1300	16651	\N	\N	\N
918884	3132	1998-12-28	VYDAJ	VYBER	4800	18964	\N	\N	\N
918885	3132	1998-08-28	VYDAJ	VYBER	3800	19741	\N	\N	\N
918886	3132	1998-07-06	VYDAJ	VYBER	3000	27750	\N	\N	\N
918887	3132	1998-07-23	VYDAJ	VYBER	3300	26645	\N	\N	\N
918888	3132	1998-05-04	VYDAJ	VYBER	2400	22377	\N	\N	\N
918903	3132	1996-02-29	VYDAJ	VYBER	15	28061	SLUZBY	\N	\N
918904	3132	1996-03-31	VYDAJ	VYBER	15	27060	SLUZBY	\N	\N
918905	3132	1996-04-30	VYDAJ	VYBER	15	25954	SLUZBY	\N	\N
918906	3132	1996-05-31	VYDAJ	VYBER	15	27654	SLUZBY	\N	\N
918907	3132	1996-06-30	VYDAJ	VYBER	15	23328	SLUZBY	\N	\N
918908	3132	1996-07-31	VYDAJ	VYBER	15	26614	SLUZBY	\N	\N
918909	3132	1996-08-31	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
918910	3132	1996-09-30	VYDAJ	VYBER	15	23274	SLUZBY	\N	\N
918911	3132	1996-10-31	VYDAJ	VYBER	15	23449	SLUZBY	\N	\N
918912	3132	1996-11-30	VYDAJ	VYBER	15	24536	SLUZBY	\N	\N
918913	3132	1996-12-31	VYDAJ	VYBER	15	22508	SLUZBY	\N	\N
918914	3132	1997-01-31	VYDAJ	VYBER	15	17064	SLUZBY	\N	\N
918915	3132	1997-02-28	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
918916	3132	1997-03-31	VYDAJ	VYBER	15	18890	SLUZBY	\N	\N
918917	3132	1997-04-30	VYDAJ	VYBER	15	18753	SLUZBY	\N	\N
918918	3132	1997-05-31	VYDAJ	VYBER	15	15906	SLUZBY	\N	\N
918919	3132	1997-06-30	VYDAJ	VYBER	15	16454	SLUZBY	\N	\N
918920	3132	1997-07-31	VYDAJ	VYBER	15	13506	SLUZBY	\N	\N
918921	3132	1997-08-31	VYDAJ	VYBER	15	15756	SLUZBY	\N	\N
918922	3132	1997-09-30	VYDAJ	VYBER	15	11404	SLUZBY	\N	\N
918923	3132	1997-10-31	VYDAJ	VYBER	15	12736	SLUZBY	\N	\N
918924	3132	1997-11-30	VYDAJ	VYBER	15	15981	SLUZBY	\N	\N
918925	3132	1997-12-31	VYDAJ	VYBER	15	14632	SLUZBY	\N	\N
918926	3132	1998-01-31	VYDAJ	VYBER	15	15278	SLUZBY	\N	\N
918927	3132	1998-02-28	VYDAJ	VYBER	15	20128	SLUZBY	\N	\N
918928	3132	1998-03-31	VYDAJ	VYBER	15	21496	SLUZBY	\N	\N
918929	3132	1998-04-30	VYDAJ	VYBER	15	24777	SLUZBY	\N	\N
918930	3132	1998-05-31	VYDAJ	VYBER	15	23762	SLUZBY	\N	\N
918931	3132	1998-06-30	VYDAJ	VYBER	15	30750	SLUZBY	\N	\N
918932	3132	1998-07-31	VYDAJ	VYBER	15	23746	SLUZBY	\N	\N
918933	3132	1998-08-31	VYDAJ	VYBER	15	19825	SLUZBY	\N	\N
918934	3132	1998-09-30	VYDAJ	VYBER	15	23794	SLUZBY	\N	\N
918935	3132	1998-10-31	VYDAJ	VYBER	15	26983	SLUZBY	\N	\N
918936	3132	1998-11-30	VYDAJ	VYBER	15	25578	SLUZBY	\N	\N
918937	3132	1995-11-07	PRIJEM	VKLAD	11200	18200	\N	\N	\N
918938	3132	1995-12-07	PRIJEM	VKLAD	400	25254	\N	\N	\N
918939	3132	1996-01-06	VYDAJ	VYBER	8500	26756	\N	\N	\N
918940	3132	1996-02-05	VYDAJ	VYBER	6500	26981	\N	\N	\N
918941	3132	1996-03-06	VYDAJ	VYBER	3300	24761	\N	\N	\N
918942	3132	1996-04-05	VYDAJ	VYBER	2000	25060	\N	\N	\N
918943	3132	1996-05-05	VYDAJ	VYBER	600	25354	\N	\N	\N
918944	3132	1996-06-04	VYDAJ	VYBER	3300	24354	\N	\N	\N
918945	3132	1996-07-04	PRIJEM	VKLAD	1000	24328	\N	\N	\N
918946	3132	1996-08-03	VYDAJ	VYBER	5600	21014	\N	\N	\N
918947	3132	1996-09-02	VYDAJ	VYBER	500	22793	\N	\N	\N
918948	3132	1996-10-02	VYDAJ	VYBER	2100	21174	\N	\N	\N
918949	3132	1996-11-01	VYDAJ	VYBER	1200	22249	\N	\N	\N
918950	3132	1996-12-01	VYDAJ	VYBER	2900	21636	\N	\N	\N
918951	3132	1996-12-31	PRIJEM	VKLAD	800	22422	\N	\N	\N
918952	3132	1997-01-30	PRIJEM	VKLAD	4100	17003	\N	\N	\N
918953	3132	1997-03-01	VYDAJ	VYBER	800	18527	\N	\N	\N
918954	3132	1997-03-31	VYDAJ	VYBER	800	18904	\N	\N	\N
918955	3132	1997-04-30	VYDAJ	VYBER	2400	18768	\N	\N	\N
918956	3132	1997-05-30	VYDAJ	VYBER	1100	15848	\N	\N	\N
918957	3132	1997-06-29	VYDAJ	VYBER	5000	16392	\N	\N	\N
918958	3132	1997-07-29	VYDAJ	VYBER	5200	13449	\N	\N	\N
918959	3132	1997-09-27	VYDAJ	VYBER	5300	11351	\N	\N	\N
918960	3132	1997-10-27	VYDAJ	VYBER	900	12699	\N	\N	\N
918961	3132	1997-11-26	PRIJEM	VKLAD	1000	15931	\N	\N	\N
918962	3132	1997-12-26	VYDAJ	VYBER	5400	16067	\N	\N	\N
918963	3132	1998-01-25	PRIJEM	VKLAD	800	15227	\N	\N	\N
918964	3132	1998-02-24	PRIJEM	VKLAD	2600	20073	\N	\N	\N
918965	3132	1998-03-26	VYDAJ	VYBER	900	21423	\N	\N	\N
918966	3132	1998-04-25	PRIJEM	VKLAD	1000	24691	\N	\N	\N
918967	3132	1998-05-25	VYDAJ	VYBER	900	23672	\N	\N	\N
918968	3132	1998-06-24	PRIJEM	VKLAD	1400	30648	\N	\N	\N
918969	3132	1998-07-24	VYDAJ	VYBER	3000	23645	\N	\N	\N
918970	3132	1998-08-23	VYDAJ	VYBER	2400	23541	\N	\N	\N
918971	3132	1998-09-22	PRIJEM	VKLAD	1700	23720	\N	\N	\N
918972	3132	1998-10-22	PRIJEM	VKLAD	900	26889	\N	\N	\N
918973	3132	1998-11-21	VYDAJ	VYBER	3700	25478	\N	\N	\N
918974	3132	1998-12-21	VYDAJ	VYBER	5500	25564	\N	\N	\N
919014	3133	1993-06-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
919021	3133	1993-07-12	PRIJEM	VKLAD	19594	20594	\N	\N	\N
919022	3133	1993-08-12	PRIJEM	VKLAD	19594	42644	\N	\N	\N
919023	3133	1993-09-12	PRIJEM	VKLAD	19594	55667	\N	\N	\N
919024	3133	1993-10-12	PRIJEM	VKLAD	19594	60162	\N	\N	\N
919025	3133	1993-11-12	PRIJEM	VKLAD	19594	54400	\N	\N	\N
919026	3133	1993-12-12	PRIJEM	VKLAD	29391	61083	\N	\N	\N
919027	3133	1994-01-12	PRIJEM	VKLAD	19594	46110	\N	\N	\N
919028	3133	1994-02-12	PRIJEM	VKLAD	19594	45562	\N	\N	\N
919029	3133	1994-03-12	PRIJEM	VKLAD	19594	47946	\N	\N	\N
919030	3133	1994-04-12	PRIJEM	VKLAD	19594	52881	\N	\N	\N
919031	3133	1994-05-12	PRIJEM	VKLAD	19594	51939	\N	\N	\N
919032	3133	1994-06-12	PRIJEM	VKLAD	29391	59097	\N	\N	\N
919033	3133	1994-07-12	PRIJEM	VKLAD	19594	42402	\N	\N	\N
919034	3133	1994-08-12	PRIJEM	VKLAD	19594	47317	\N	\N	\N
919035	3133	1994-09-12	PRIJEM	VKLAD	19594	47552	\N	\N	\N
919036	3133	1994-10-12	PRIJEM	VKLAD	19594	46193	\N	\N	\N
919037	3133	1994-11-12	PRIJEM	VKLAD	19594	43451	\N	\N	\N
919038	3133	1994-12-12	PRIJEM	VKLAD	29391	53992	\N	\N	\N
919039	3133	1995-01-12	PRIJEM	VKLAD	19594	35278	\N	\N	\N
919040	3133	1995-02-12	PRIJEM	VKLAD	19594	41066	\N	\N	\N
919041	3133	1995-03-12	PRIJEM	VKLAD	19594	39651	\N	\N	\N
919042	3133	1995-04-12	PRIJEM	VKLAD	19594	41533	\N	\N	\N
919043	3133	1995-05-12	PRIJEM	VKLAD	19594	46248	\N	\N	\N
919044	3133	1995-06-12	PRIJEM	VKLAD	29391	55575	\N	\N	\N
919045	3133	1995-07-12	PRIJEM	VKLAD	19594	35904	\N	\N	\N
919046	3133	1995-08-12	PRIJEM	VKLAD	19594	35769	\N	\N	\N
919047	3133	1995-09-12	PRIJEM	VKLAD	19594	40455	\N	\N	\N
919048	3133	1995-10-12	PRIJEM	VKLAD	19594	38961	\N	\N	\N
919049	3133	1995-11-12	PRIJEM	VKLAD	19594	42768	\N	\N	\N
919050	3133	1995-12-12	PRIJEM	VKLAD	29391	44439	\N	\N	\N
919051	3133	1996-01-12	PRIJEM	VKLAD	19594	41546	\N	\N	\N
919052	3133	1996-02-12	PRIJEM	VKLAD	19594	31922	\N	\N	\N
919053	3133	1996-03-12	PRIJEM	VKLAD	19594	37786	\N	\N	\N
919054	3133	1996-04-12	PRIJEM	VKLAD	19594	38380	\N	\N	\N
919055	3133	1996-05-12	PRIJEM	VKLAD	19594	40669	\N	\N	\N
919056	3133	1996-06-12	PRIJEM	VKLAD	29391	48762	\N	\N	\N
919057	3133	1996-07-12	PRIJEM	VKLAD	19594	42975	\N	\N	\N
919058	3133	1996-08-12	PRIJEM	VKLAD	19594	42780	\N	\N	\N
919059	3133	1996-09-12	PRIJEM	VKLAD	19594	32500	\N	\N	\N
919060	3133	1996-10-12	PRIJEM	VKLAD	19594	33562	\N	\N	\N
919061	3133	1996-11-12	PRIJEM	VKLAD	19594	30722	\N	\N	\N
919062	3133	1996-12-12	PRIJEM	VKLAD	29391	39471	\N	\N	\N
919063	3133	1997-01-12	PRIJEM	VKLAD	19594	33395	\N	\N	\N
919064	3133	1997-02-12	PRIJEM	VKLAD	19594	31470	\N	\N	\N
919065	3133	1997-03-12	PRIJEM	VKLAD	19594	34224	\N	\N	\N
919066	3133	1997-04-12	PRIJEM	VKLAD	19594	32230	\N	\N	\N
919067	3133	1997-05-12	PRIJEM	VKLAD	19594	33386	\N	\N	\N
919068	3133	1997-06-12	PRIJEM	VKLAD	29391	41481	\N	\N	\N
919069	3133	1997-07-12	PRIJEM	VKLAD	19594	41153	\N	\N	\N
919070	3133	1997-08-12	PRIJEM	VKLAD	19594	42945	\N	\N	\N
919071	3133	1997-09-12	PRIJEM	VKLAD	19594	36734	\N	\N	\N
919072	3133	1997-10-12	PRIJEM	VKLAD	19594	38585	\N	\N	\N
919073	3133	1997-11-12	PRIJEM	VKLAD	19594	41465	\N	\N	\N
919074	3133	1997-12-12	PRIJEM	VKLAD	29391	49947	\N	\N	\N
919075	3133	1998-01-12	PRIJEM	VKLAD	19594	38281	\N	\N	\N
919076	3133	1998-02-12	PRIJEM	VKLAD	19594	31319	\N	\N	\N
919077	3133	1998-03-12	PRIJEM	VKLAD	19594	30459	\N	\N	\N
919078	3133	1998-04-12	PRIJEM	VKLAD	19594	40616	\N	\N	\N
919079	3133	1998-05-12	PRIJEM	VKLAD	19594	30420	\N	\N	\N
919080	3133	1998-06-12	PRIJEM	VKLAD	29391	39654	\N	\N	\N
919081	3133	1998-07-12	PRIJEM	VKLAD	19594	31500	\N	\N	\N
919082	3133	1998-08-12	PRIJEM	VKLAD	19594	41661	\N	\N	\N
919083	3133	1998-09-12	PRIJEM	VKLAD	19594	48014	\N	\N	\N
919084	3133	1998-10-12	PRIJEM	VKLAD	19594	31086	\N	\N	\N
919085	3133	1998-11-12	PRIJEM	VKLAD	19594	41244	\N	\N	\N
919086	3133	1998-12-12	PRIJEM	VKLAD	29391	55511	\N	\N	\N
919097	3133	1993-11-13	VYDAJ	PREVOD NA UCET	3191	51209	SIPO	IJ	62989395
919098	3133	1993-12-13	VYDAJ	PREVOD NA UCET	3191	57892	SIPO	IJ	62989395
919099	3133	1994-01-13	VYDAJ	PREVOD NA UCET	3191	42919	SIPO	IJ	62989395
919100	3133	1994-02-13	VYDAJ	PREVOD NA UCET	3191	42371	SIPO	IJ	62989395
919101	3133	1994-03-13	VYDAJ	PREVOD NA UCET	3191	44755	SIPO	IJ	62989395
919102	3133	1994-04-13	VYDAJ	PREVOD NA UCET	3191	49690	SIPO	IJ	62989395
919103	3133	1994-05-13	VYDAJ	PREVOD NA UCET	3191	48748	SIPO	IJ	62989395
919104	3133	1994-06-13	VYDAJ	PREVOD NA UCET	3191	35106	SIPO	IJ	62989395
919105	3133	1994-07-13	VYDAJ	PREVOD NA UCET	3191	39211	SIPO	IJ	62989395
919106	3133	1994-08-13	VYDAJ	PREVOD NA UCET	3191	44126	SIPO	IJ	62989395
919107	3133	1994-09-13	VYDAJ	PREVOD NA UCET	3191	44361	SIPO	IJ	62989395
919108	3133	1994-10-13	VYDAJ	PREVOD NA UCET	3191	43002	SIPO	IJ	62989395
919109	3133	1994-11-13	VYDAJ	PREVOD NA UCET	3191	40260	SIPO	IJ	62989395
919110	3133	1994-12-13	VYDAJ	PREVOD NA UCET	3191	50801	SIPO	IJ	62989395
919111	3133	1995-01-13	VYDAJ	PREVOD NA UCET	3191	31247	SIPO	IJ	62989395
919112	3133	1995-02-13	VYDAJ	PREVOD NA UCET	3191	37875	SIPO	IJ	62989395
919113	3133	1995-03-13	VYDAJ	PREVOD NA UCET	3191	36460	SIPO	IJ	62989395
919114	3133	1995-04-13	VYDAJ	PREVOD NA UCET	3191	38342	SIPO	IJ	62989395
919115	3133	1995-05-13	VYDAJ	PREVOD NA UCET	3191	43057	SIPO	IJ	62989395
919116	3133	1995-06-13	VYDAJ	PREVOD NA UCET	3191	52384	SIPO	IJ	62989395
919117	3133	1995-07-13	VYDAJ	PREVOD NA UCET	3191	32713	SIPO	IJ	62989395
919118	3133	1995-08-13	VYDAJ	PREVOD NA UCET	3191	32578	SIPO	IJ	62989395
919119	3133	1995-09-13	VYDAJ	PREVOD NA UCET	3191	37264	SIPO	IJ	62989395
919120	3133	1995-10-13	VYDAJ	PREVOD NA UCET	3191	35770	SIPO	IJ	62989395
919121	3133	1995-11-13	VYDAJ	PREVOD NA UCET	3191	39577	SIPO	IJ	62989395
919122	3133	1995-12-13	VYDAJ	PREVOD NA UCET	3191	41248	SIPO	IJ	62989395
919123	3133	1996-01-13	VYDAJ	PREVOD NA UCET	3191	36675	SIPO	IJ	62989395
919124	3133	1996-02-13	VYDAJ	PREVOD NA UCET	3191	28731	SIPO	IJ	62989395
919125	3133	1996-03-13	VYDAJ	PREVOD NA UCET	3191	34595	SIPO	IJ	62989395
919126	3133	1996-04-13	VYDAJ	PREVOD NA UCET	3191	35189	SIPO	IJ	62989395
919127	3133	1996-05-13	VYDAJ	PREVOD NA UCET	3191	37478	SIPO	IJ	62989395
919128	3133	1996-06-13	VYDAJ	PREVOD NA UCET	3191	45571	SIPO	IJ	62989395
919129	3133	1996-07-13	VYDAJ	PREVOD NA UCET	3191	39784	SIPO	IJ	62989395
919130	3133	1996-08-13	VYDAJ	PREVOD NA UCET	3191	39589	SIPO	IJ	62989395
919131	3133	1996-09-13	VYDAJ	PREVOD NA UCET	3191	29309	SIPO	IJ	62989395
919132	3133	1996-10-13	VYDAJ	PREVOD NA UCET	3191	30371	SIPO	IJ	62989395
919133	3133	1996-11-13	VYDAJ	PREVOD NA UCET	3191	27531	SIPO	IJ	62989395
919134	3133	1996-12-13	VYDAJ	PREVOD NA UCET	3191	36280	SIPO	IJ	62989395
919135	3133	1997-01-13	VYDAJ	PREVOD NA UCET	3191	30204	SIPO	IJ	62989395
919136	3133	1997-02-13	VYDAJ	PREVOD NA UCET	3191	28279	SIPO	IJ	62989395
919137	3133	1997-03-13	VYDAJ	PREVOD NA UCET	3191	31033	SIPO	IJ	62989395
919138	3133	1997-04-13	VYDAJ	PREVOD NA UCET	3191	29039	SIPO	IJ	62989395
919139	3133	1997-05-13	VYDAJ	PREVOD NA UCET	3191	30195	SIPO	IJ	62989395
919140	3133	1997-06-13	VYDAJ	PREVOD NA UCET	3191	35290	SIPO	IJ	62989395
919141	3133	1997-07-13	VYDAJ	PREVOD NA UCET	3191	37962	SIPO	IJ	62989395
919142	3133	1997-08-13	VYDAJ	PREVOD NA UCET	3191	39754	SIPO	IJ	62989395
919143	3133	1997-09-13	VYDAJ	PREVOD NA UCET	3191	33543	SIPO	IJ	62989395
919144	3133	1997-10-13	VYDAJ	PREVOD NA UCET	3191	35394	SIPO	IJ	62989395
919145	3133	1997-11-13	VYDAJ	PREVOD NA UCET	3191	38274	SIPO	IJ	62989395
919146	3133	1997-12-13	VYDAJ	PREVOD NA UCET	3191	46756	SIPO	IJ	62989395
919147	3133	1998-01-13	VYDAJ	PREVOD NA UCET	3191	34130	SIPO	IJ	62989395
919148	3133	1998-02-13	VYDAJ	PREVOD NA UCET	3191	28128	SIPO	IJ	62989395
919149	3133	1998-03-13	VYDAJ	PREVOD NA UCET	3191	27268	SIPO	IJ	62989395
919150	3133	1998-04-13	VYDAJ	PREVOD NA UCET	3191	37425	SIPO	IJ	62989395
919151	3133	1998-05-13	VYDAJ	PREVOD NA UCET	3191	27229	SIPO	IJ	62989395
919152	3133	1998-06-13	VYDAJ	PREVOD NA UCET	3191	36463	SIPO	IJ	62989395
919153	3133	1998-07-13	VYDAJ	PREVOD NA UCET	3191	28309	SIPO	IJ	62989395
919154	3133	1998-08-13	VYDAJ	PREVOD NA UCET	3191	38470	SIPO	IJ	62989395
919155	3133	1998-09-13	VYDAJ	PREVOD NA UCET	3191	44823	SIPO	IJ	62989395
919156	3133	1998-10-13	VYDAJ	PREVOD NA UCET	3191	27895	SIPO	IJ	62989395
919157	3133	1998-11-13	VYDAJ	PREVOD NA UCET	3191	38053	SIPO	IJ	62989395
919158	3133	1998-12-13	VYDAJ	PREVOD NA UCET	3191	52320	SIPO	IJ	62989395
919170	3133	1993-12-10	VYDAJ	PREVOD NA UCET	6327	40892	 	ST	98308729
919171	3133	1994-01-10	VYDAJ	PREVOD NA UCET	6327	26516	 	ST	98308729
919172	3133	1994-02-10	VYDAJ	PREVOD NA UCET	6327	25968	 	ST	98308729
919173	3133	1994-03-10	VYDAJ	PREVOD NA UCET	6327	30552	 	ST	98308729
919174	3133	1994-04-10	VYDAJ	PREVOD NA UCET	6327	33287	 	ST	98308729
919175	3133	1994-05-10	VYDAJ	PREVOD NA UCET	6327	32345	 	ST	98308729
919176	3133	1994-06-10	VYDAJ	PREVOD NA UCET	6327	29706	 	ST	98308729
919177	3133	1994-07-10	VYDAJ	PREVOD NA UCET	6327	22808	 	ST	98308729
919178	3133	1994-08-10	VYDAJ	PREVOD NA UCET	6327	27723	 	ST	98308729
919179	3133	1994-09-10	VYDAJ	PREVOD NA UCET	6327	27958	 	ST	98308729
919180	3133	1994-10-10	VYDAJ	PREVOD NA UCET	6327	26599	 	ST	98308729
919181	3133	1994-11-10	VYDAJ	PREVOD NA UCET	6327	26017	 	ST	98308729
919182	3133	1994-12-10	VYDAJ	PREVOD NA UCET	6327	24601	 	ST	98308729
919183	3133	1995-01-10	VYDAJ	PREVOD NA UCET	6327	15684	 	ST	98308729
919184	3133	1995-02-10	VYDAJ	PREVOD NA UCET	6327	21472	 	ST	98308729
919185	3133	1995-03-10	VYDAJ	PREVOD NA UCET	6327	20057	 	ST	98308729
919186	3133	1995-04-10	VYDAJ	PREVOD NA UCET	6327	23259	 	ST	98308729
919187	3133	1995-05-10	VYDAJ	PREVOD NA UCET	6327	26654	 	ST	98308729
919188	3133	1995-06-10	VYDAJ	PREVOD NA UCET	6327	26184	 	ST	98308729
919189	3133	1995-07-10	VYDAJ	PREVOD NA UCET	6327	16310	 	ST	98308729
919190	3133	1995-08-10	VYDAJ	PREVOD NA UCET	6327	16175	 	ST	98308729
919191	3133	1995-09-10	VYDAJ	PREVOD NA UCET	6327	20861	 	ST	98308729
919192	3133	1995-10-10	VYDAJ	PREVOD NA UCET	6327	19367	 	ST	98308729
919193	3133	1995-11-10	VYDAJ	PREVOD NA UCET	6327	23174	 	ST	98308729
919194	3133	1995-12-10	VYDAJ	PREVOD NA UCET	6327	15048	 	ST	98308729
919195	3133	1996-01-10	VYDAJ	PREVOD NA UCET	6327	21952	 	ST	98308729
919196	3133	1996-02-10	VYDAJ	PREVOD NA UCET	6327	12328	 	ST	98308729
919197	3133	1996-03-10	VYDAJ	PREVOD NA UCET	6327	18192	 	ST	98308729
919198	3133	1996-04-10	VYDAJ	PREVOD NA UCET	6327	18786	 	ST	98308729
919199	3133	1996-05-10	VYDAJ	PREVOD NA UCET	6327	21075	 	ST	98308729
919200	3133	1996-06-10	VYDAJ	PREVOD NA UCET	6327	19371	 	ST	98308729
919201	3133	1996-07-10	VYDAJ	PREVOD NA UCET	6327	23381	 	ST	98308729
919202	3133	1996-08-10	VYDAJ	PREVOD NA UCET	6327	23186	 	ST	98308729
919203	3133	1996-09-10	VYDAJ	PREVOD NA UCET	6327	12906	 	ST	98308729
919204	3133	1996-10-10	VYDAJ	PREVOD NA UCET	6327	13968	 	ST	98308729
919205	3133	1996-11-10	VYDAJ	PREVOD NA UCET	6327	11128	 	ST	98308729
919206	3133	1996-12-10	VYDAJ	PREVOD NA UCET	6327	10080	 	ST	98308729
919207	3133	1997-01-10	VYDAJ	PREVOD NA UCET	6327	13801	 	ST	98308729
919208	3133	1997-02-10	VYDAJ	PREVOD NA UCET	6327	11876	 	ST	98308729
919209	3133	1997-03-10	VYDAJ	PREVOD NA UCET	6327	14630	 	ST	98308729
919210	3133	1997-04-10	VYDAJ	PREVOD NA UCET	6327	12636	 	ST	98308729
919211	3133	1997-05-10	VYDAJ	PREVOD NA UCET	6327	13792	 	ST	98308729
919212	3133	1997-06-10	VYDAJ	PREVOD NA UCET	6327	12090	 	ST	98308729
919213	3133	1997-07-10	VYDAJ	PREVOD NA UCET	6327	21559	 	ST	98308729
919214	3133	1997-08-10	VYDAJ	PREVOD NA UCET	6327	23351	 	ST	98308729
919215	3133	1997-09-10	VYDAJ	PREVOD NA UCET	6327	17140	 	ST	98308729
919216	3133	1997-10-10	VYDAJ	PREVOD NA UCET	6327	18991	 	ST	98308729
919217	3133	1997-11-10	VYDAJ	PREVOD NA UCET	6327	21871	 	ST	98308729
919218	3133	1997-12-10	VYDAJ	PREVOD NA UCET	6327	20556	 	ST	98308729
919219	3133	1998-01-10	VYDAJ	PREVOD NA UCET	6327	18687	 	ST	98308729
919220	3133	1998-02-10	VYDAJ	PREVOD NA UCET	6327	11725	 	ST	98308729
919221	3133	1998-03-10	VYDAJ	PREVOD NA UCET	6327	10865	 	ST	98308729
919222	3133	1998-04-10	VYDAJ	PREVOD NA UCET	6327	21022	 	ST	98308729
919223	3133	1998-05-10	VYDAJ	PREVOD NA UCET	6327	10826	 	ST	98308729
919224	3133	1998-06-10	VYDAJ	PREVOD NA UCET	6327	10263	 	ST	98308729
919225	3133	1998-07-10	VYDAJ	PREVOD NA UCET	6327	11906	 	ST	98308729
919226	3133	1998-08-10	VYDAJ	PREVOD NA UCET	6327	22067	 	ST	98308729
919227	3133	1998-09-10	VYDAJ	PREVOD NA UCET	6327	28420	 	ST	98308729
919228	3133	1998-10-10	VYDAJ	PREVOD NA UCET	6327	11492	 	ST	98308729
919229	3133	1998-11-10	VYDAJ	PREVOD NA UCET	6327	21650	 	ST	98308729
919230	3133	1998-12-10	VYDAJ	PREVOD NA UCET	6327	26120	 	ST	98308729
919232	3133	1994-06-12	VYDAJ	VYBER	20800	38297	\N	\N	\N
919233	3133	1995-06-22	VYDAJ	VYBER	24800	27584	\N	\N	\N
919238	3133	1994-01-01	VYDAJ	VYBER	14240	43863	\N	\N	\N
919239	3133	1995-01-06	VYDAJ	VYBER	14880	25491	\N	\N	\N
919240	3133	1996-01-21	VYDAJ	VYBER	11840	23515	\N	\N	\N
919242	3133	1998-01-23	VYDAJ	VYBER	2240	17970	\N	\N	\N
919243	3133	1993-12-05	VYDAJ	VYBER	2400	47219	\N	\N	\N
919244	3133	1994-12-29	VYDAJ	VYBER	1600	49201	\N	\N	\N
919245	3133	1995-12-05	VYDAJ	VYBER	4160	21375	\N	\N	\N
919246	3133	1996-12-03	VYDAJ	VYBER	3200	16407	\N	\N	\N
919247	3133	1997-12-25	VYDAJ	VYBER	4480	27176	\N	\N	\N
919248	3133	1998-12-10	VYDAJ	VYBER	1760	32447	\N	\N	\N
919255	3133	1994-01-05	VYDAJ	VYBER	3480	40383	\N	\N	\N
919256	3133	1994-01-16	VYDAJ	VYBER	1680	37639	\N	\N	\N
919257	3133	1994-01-13	VYDAJ	VYBER	2880	40039	\N	\N	\N
919258	3133	1994-01-15	VYDAJ	VYBER	720	39319	\N	\N	\N
919259	3133	1994-01-10	VYDAJ	VYBER	1800	32843	\N	\N	\N
919260	3133	1994-01-06	VYDAJ	VYBER	840	39543	\N	\N	\N
919261	3133	1995-01-07	VYDAJ	VYBER	2760	22731	\N	\N	\N
919262	3133	1995-01-20	VYDAJ	VYBER	600	26087	\N	\N	\N
919263	3133	1995-01-18	VYDAJ	VYBER	3120	28127	\N	\N	\N
919264	3133	1995-01-12	VYDAJ	VYBER	840	34438	\N	\N	\N
919265	3133	1995-01-20	VYDAJ	VYBER	1440	26687	\N	\N	\N
919266	3133	1995-01-10	VYDAJ	VYBER	720	22011	\N	\N	\N
919267	3133	1996-01-16	VYDAJ	VYBER	1320	35355	\N	\N	\N
919268	3133	1996-01-30	VYDAJ	VYBER	1080	18555	\N	\N	\N
919269	3133	1996-01-12	VYDAJ	VYBER	1680	39866	\N	\N	\N
919270	3133	1996-01-25	VYDAJ	VYBER	1920	21595	\N	\N	\N
919271	3133	1996-01-03	VYDAJ	VYBER	1200	28279	\N	\N	\N
919272	3133	1996-01-27	VYDAJ	VYBER	3360	18235	\N	\N	\N
919274	3133	1997-01-24	VYDAJ	VYBER	2160	18124	\N	\N	\N
919275	3133	1997-01-08	VYDAJ	VYBER	960	20128	\N	\N	\N
919276	3133	1997-01-20	VYDAJ	VYBER	3480	25764	\N	\N	\N
919277	3133	1997-01-18	VYDAJ	VYBER	960	29244	\N	\N	\N
919278	3133	1997-01-22	VYDAJ	VYBER	3480	22284	\N	\N	\N
919279	3133	1998-01-12	VYDAJ	VYBER	960	37321	\N	\N	\N
919281	3133	1998-01-01	VYDAJ	VYBER	2280	25014	\N	\N	\N
919282	3133	1998-01-13	VYDAJ	VYBER	1560	32570	\N	\N	\N
919284	3133	1998-01-19	VYDAJ	VYBER	1680	20210	\N	\N	\N
919285	3133	1993-11-18	VYDAJ	VYBER	1800	49409	\N	\N	\N
919288	3133	1994-11-10	VYDAJ	VYBER	2160	23857	\N	\N	\N
919289	3133	1994-12-05	VYDAJ	VYBER	4320	31528	\N	\N	\N
919290	3133	1994-12-02	VYDAJ	VYBER	4560	35848	\N	\N	\N
919291	3133	1994-02-25	VYDAJ	VYBER	5640	36731	\N	\N	\N
919292	3133	1994-10-31	VYDAJ	VYBER	3120	40058	\N	\N	\N
919293	3133	1994-06-15	VYDAJ	VYBER	720	34386	\N	\N	\N
919294	3133	1995-07-29	VYDAJ	VYBER	4920	27793	\N	\N	\N
919295	3133	1995-04-11	VYDAJ	VYBER	1320	21939	\N	\N	\N
919296	3133	1995-02-16	VYDAJ	VYBER	1080	31275	\N	\N	\N
919297	3133	1995-02-16	VYDAJ	VYBER	5520	32355	\N	\N	\N
919298	3133	1995-11-29	VYDAJ	VYBER	5880	33697	\N	\N	\N
919299	3133	1996-09-02	VYDAJ	VYBER	4320	21393	\N	\N	\N
919300	3133	1996-09-04	VYDAJ	VYBER	2160	19233	\N	\N	\N
919301	3133	1996-12-18	VYDAJ	VYBER	5280	31000	\N	\N	\N
919302	3133	1997-09-16	VYDAJ	VYBER	720	32823	\N	\N	\N
919303	3133	1997-08-25	VYDAJ	VYBER	5400	23354	\N	\N	\N
919304	3133	1997-03-30	VYDAJ	VYBER	5760	18873	\N	\N	\N
919305	3133	1997-05-26	VYDAJ	VYBER	3360	18335	\N	\N	\N
919306	3133	1997-06-12	VYDAJ	VYBER	3000	38481	\N	\N	\N
919307	3133	1998-11-13	VYDAJ	VYBER	3960	34093	\N	\N	\N
919309	3133	1998-08-14	VYDAJ	VYBER	3840	34630	\N	\N	\N
919310	3133	1998-01-16	VYDAJ	VYBER	5280	27290	\N	\N	\N
919311	3133	1998-04-19	VYDAJ	VYBER	2160	17065	\N	\N	\N
919323	3133	1993-11-30	VYDAJ	VYBER	15	49619	SLUZBY	\N	\N
919324	3133	1993-12-31	VYDAJ	VYBER	15	58103	SLUZBY	\N	\N
919325	3133	1994-01-31	VYDAJ	VYBER	15	37795	SLUZBY	\N	\N
919326	3133	1994-02-28	VYDAJ	VYBER	15	36879	SLUZBY	\N	\N
919327	3133	1994-03-31	VYDAJ	VYBER	15	44914	SLUZBY	\N	\N
919328	3133	1994-04-30	VYDAJ	VYBER	15	49872	SLUZBY	\N	\N
919329	3133	1994-05-31	VYDAJ	VYBER	15	48933	SLUZBY	\N	\N
919330	3133	1994-06-30	VYDAJ	VYBER	15	34535	SLUZBY	\N	\N
919331	3133	1994-07-31	VYDAJ	VYBER	15	39350	SLUZBY	\N	\N
919332	3133	1994-08-31	VYDAJ	VYBER	15	44285	SLUZBY	\N	\N
919333	3133	1994-09-30	VYDAJ	VYBER	15	44526	SLUZBY	\N	\N
919334	3133	1994-10-31	VYDAJ	VYBER	15	40044	SLUZBY	\N	\N
919335	3133	1994-11-30	VYDAJ	VYBER	15	40408	SLUZBY	\N	\N
919336	3133	1994-12-31	VYDAJ	VYBER	15	49371	SLUZBY	\N	\N
919337	3133	1995-01-31	VYDAJ	VYBER	15	26199	SLUZBY	\N	\N
919338	3133	1995-02-28	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
919339	3133	1995-03-31	VYDAJ	VYBER	15	36586	SLUZBY	\N	\N
919340	3133	1995-04-30	VYDAJ	VYBER	15	38481	SLUZBY	\N	\N
919341	3133	1995-05-31	VYDAJ	VYBER	15	43211	SLUZBY	\N	\N
919342	3133	1995-06-30	VYDAJ	VYBER	15	27737	SLUZBY	\N	\N
919343	3133	1995-07-31	VYDAJ	VYBER	15	27902	SLUZBY	\N	\N
919344	3133	1995-08-31	VYDAJ	VYBER	15	32688	SLUZBY	\N	\N
919345	3133	1995-09-30	VYDAJ	VYBER	15	37394	SLUZBY	\N	\N
919346	3133	1995-10-31	VYDAJ	VYBER	15	35901	SLUZBY	\N	\N
919347	3133	1995-11-30	VYDAJ	VYBER	15	33835	SLUZBY	\N	\N
919348	3133	1995-12-31	VYDAJ	VYBER	15	29479	SLUZBY	\N	\N
919349	3133	1996-01-31	VYDAJ	VYBER	15	18655	SLUZBY	\N	\N
919350	3133	1996-02-29	VYDAJ	VYBER	15	28819	SLUZBY	\N	\N
919351	3133	1996-03-31	VYDAJ	VYBER	15	25113	SLUZBY	\N	\N
919352	3133	1996-04-30	VYDAJ	VYBER	15	27402	SLUZBY	\N	\N
919353	3133	1996-05-31	VYDAJ	VYBER	15	25698	SLUZBY	\N	\N
919354	3133	1996-06-30	VYDAJ	VYBER	15	29708	SLUZBY	\N	\N
919355	3133	1996-07-31	VYDAJ	VYBER	15	29513	SLUZBY	\N	\N
919356	3133	1996-08-31	VYDAJ	VYBER	15	25713	SLUZBY	\N	\N
919357	3133	1996-09-30	VYDAJ	VYBER	15	20295	SLUZBY	\N	\N
919358	3133	1996-10-31	VYDAJ	VYBER	15	17455	SLUZBY	\N	\N
919359	3133	1996-11-30	VYDAJ	VYBER	15	19607	SLUZBY	\N	\N
919360	3133	1996-12-31	VYDAJ	VYBER	15	21088	SLUZBY	\N	\N
919361	3133	1997-01-31	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
919362	3133	1997-02-28	VYDAJ	VYBER	15	20957	SLUZBY	\N	\N
919363	3133	1997-03-31	VYDAJ	VYBER	15	18963	SLUZBY	\N	\N
919364	3133	1997-04-30	VYDAJ	VYBER	15	20119	SLUZBY	\N	\N
919365	3133	1997-05-31	VYDAJ	VYBER	15	18417	SLUZBY	\N	\N
919366	3133	1997-06-30	VYDAJ	VYBER	15	27886	SLUZBY	\N	\N
919367	3133	1997-07-31	VYDAJ	VYBER	15	29678	SLUZBY	\N	\N
919368	3133	1997-08-31	VYDAJ	VYBER	15	23467	SLUZBY	\N	\N
919369	3133	1997-09-30	VYDAJ	VYBER	15	25318	SLUZBY	\N	\N
919370	3133	1997-10-31	VYDAJ	VYBER	15	28198	SLUZBY	\N	\N
919371	3133	1997-11-30	VYDAJ	VYBER	15	26883	SLUZBY	\N	\N
919372	3133	1997-12-31	VYDAJ	VYBER	15	27294	SLUZBY	\N	\N
919373	3133	1998-01-31	VYDAJ	VYBER	15	18052	SLUZBY	\N	\N
919374	3133	1998-02-28	VYDAJ	VYBER	15	17192	SLUZBY	\N	\N
919375	3133	1998-03-31	VYDAJ	VYBER	15	27349	SLUZBY	\N	\N
919376	3133	1998-04-30	VYDAJ	VYBER	15	17153	SLUZBY	\N	\N
919377	3133	1998-05-31	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
919378	3133	1998-06-30	VYDAJ	VYBER	15	18233	SLUZBY	\N	\N
919379	3133	1998-07-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
919380	3133	1998-08-31	VYDAJ	VYBER	15	34747	SLUZBY	\N	\N
919381	3133	1998-09-30	VYDAJ	VYBER	15	17819	SLUZBY	\N	\N
919382	3133	1998-10-31	VYDAJ	VYBER	15	27977	SLUZBY	\N	\N
919383	3133	1998-11-30	VYDAJ	VYBER	15	34207	SLUZBY	\N	\N
919384	3133	1993-07-14	PRIJEM	VKLAD	2400	22994	\N	\N	\N
919385	3133	1993-08-13	VYDAJ	VYBER	6700	35944	\N	\N	\N
919386	3133	1993-09-12	VYDAJ	VYBER	15300	40367	\N	\N	\N
919387	3133	1993-10-12	VYDAJ	VYBER	18100	42062	\N	\N	\N
919388	3133	1993-11-11	VYDAJ	VYBER	7500	34806	\N	\N	\N
919389	3133	1993-12-11	VYDAJ	VYBER	9200	31692	\N	\N	\N
919390	3133	1994-01-10	VYDAJ	VYBER	4900	34643	\N	\N	\N
919391	3133	1994-02-09	VYDAJ	VYBER	5500	32295	\N	\N	\N
919392	3133	1994-03-11	VYDAJ	VYBER	2200	28352	\N	\N	\N
919393	3133	1994-04-10	VYDAJ	VYBER	5300	39614	\N	\N	\N
919394	3133	1994-05-10	VYDAJ	VYBER	11200	38672	\N	\N	\N
919395	3133	1994-06-09	VYDAJ	VYBER	12900	36033	\N	\N	\N
919396	3133	1994-07-09	VYDAJ	VYBER	5400	29135	\N	\N	\N
919397	3133	1994-08-08	VYDAJ	VYBER	5300	34050	\N	\N	\N
919398	3133	1994-09-07	VYDAJ	VYBER	10000	34285	\N	\N	\N
919399	3133	1994-10-07	VYDAJ	VYBER	11600	32926	\N	\N	\N
919400	3133	1994-11-06	VYDAJ	VYBER	7700	32344	\N	\N	\N
919401	3133	1994-12-06	VYDAJ	VYBER	600	30928	\N	\N	\N
919402	3133	1995-01-05	VYDAJ	VYBER	9000	40371	\N	\N	\N
919403	3133	1995-02-04	PRIJEM	VKLAD	1600	27799	\N	\N	\N
919404	3133	1995-03-06	VYDAJ	VYBER	5000	26384	\N	\N	\N
919405	3133	1995-04-05	VYDAJ	VYBER	7000	29586	\N	\N	\N
919406	3133	1995-05-05	VYDAJ	VYBER	5500	32981	\N	\N	\N
919407	3133	1995-06-04	VYDAJ	VYBER	10700	32511	\N	\N	\N
919408	3133	1995-07-04	VYDAJ	VYBER	5100	22637	\N	\N	\N
919409	3133	1995-08-03	VYDAJ	VYBER	5400	22502	\N	\N	\N
919410	3133	1995-09-02	VYDAJ	VYBER	5500	27188	\N	\N	\N
919411	3133	1995-10-02	VYDAJ	VYBER	11700	25694	\N	\N	\N
919412	3133	1995-11-01	VYDAJ	VYBER	6400	29501	\N	\N	\N
919413	3133	1995-12-01	VYDAJ	VYBER	8300	25535	\N	\N	\N
919414	3133	1995-12-31	VYDAJ	VYBER	11900	29493	\N	\N	\N
919415	3133	1996-01-30	PRIJEM	VKLAD	1400	19635	\N	\N	\N
919416	3133	1996-02-29	VYDAJ	VYBER	4300	24519	\N	\N	\N
919417	3133	1996-03-30	VYDAJ	VYBER	9600	24995	\N	\N	\N
919418	3133	1996-04-29	VYDAJ	VYBER	7900	27289	\N	\N	\N
919419	3133	1996-05-29	VYDAJ	VYBER	11900	25578	\N	\N	\N
919420	3133	1996-06-28	VYDAJ	VYBER	16000	29571	\N	\N	\N
919421	3133	1996-07-28	VYDAJ	VYBER	10400	29384	\N	\N	\N
919422	3133	1996-08-27	VYDAJ	VYBER	14000	25589	\N	\N	\N
919423	3133	1996-09-26	VYDAJ	VYBER	9100	20209	\N	\N	\N
919424	3133	1996-10-26	VYDAJ	VYBER	13000	17371	\N	\N	\N
919425	3133	1996-11-25	VYDAJ	VYBER	8000	19531	\N	\N	\N
919426	3133	1996-12-25	VYDAJ	VYBER	10000	21000	\N	\N	\N
919427	3133	1997-01-24	VYDAJ	VYBER	2000	20284	\N	\N	\N
919428	3133	1997-02-23	VYDAJ	VYBER	7400	20879	\N	\N	\N
919429	3133	1997-03-25	VYDAJ	VYBER	6400	24633	\N	\N	\N
919430	3133	1997-04-24	VYDAJ	VYBER	9000	20039	\N	\N	\N
919431	3133	1997-05-24	VYDAJ	VYBER	8500	21695	\N	\N	\N
919432	3133	1997-06-23	VYDAJ	VYBER	7500	27790	\N	\N	\N
919433	3133	1997-07-23	VYDAJ	VYBER	8400	29562	\N	\N	\N
919434	3133	1997-08-22	VYDAJ	VYBER	11000	28754	\N	\N	\N
919435	3133	1997-09-21	VYDAJ	VYBER	7600	25223	\N	\N	\N
919436	3133	1997-10-21	VYDAJ	VYBER	7300	28094	\N	\N	\N
919437	3133	1997-11-20	VYDAJ	VYBER	11500	26774	\N	\N	\N
919438	3133	1997-12-20	VYDAJ	VYBER	15100	31656	\N	\N	\N
919439	3133	1998-01-19	VYDAJ	VYBER	5400	21890	\N	\N	\N
919440	3133	1998-02-18	VYDAJ	VYBER	11000	17128	\N	\N	\N
919441	3133	1998-04-19	VYDAJ	VYBER	18200	19225	\N	\N	\N
919442	3133	1998-05-19	VYDAJ	VYBER	10700	16529	\N	\N	\N
919443	3133	1998-06-18	VYDAJ	VYBER	18300	18163	\N	\N	\N
919444	3133	1998-09-16	VYDAJ	VYBER	27100	17723	\N	\N	\N
919511	3134	1994-04-29	PRIJEM	VKLAD	600	600	\N	\N	\N
919516	3134	1994-05-06	PRIJEM	VKLAD	19951	20551	\N	\N	\N
919517	3134	1994-06-06	PRIJEM	VKLAD	29927	50686	\N	\N	\N
919518	3134	1994-07-06	PRIJEM	VKLAD	19951	59031	\N	\N	\N
919519	3134	1994-08-06	PRIJEM	VKLAD	19951	60345	\N	\N	\N
919520	3134	1994-09-06	PRIJEM	VKLAD	19951	64567	\N	\N	\N
919521	3134	1994-10-06	PRIJEM	VKLAD	19951	63157	\N	\N	\N
919522	3134	1994-11-06	PRIJEM	VKLAD	19951	61740	\N	\N	\N
919523	3134	1994-12-06	PRIJEM	VKLAD	29927	70691	\N	\N	\N
919524	3134	1995-01-06	PRIJEM	VKLAD	19951	62695	\N	\N	\N
919525	3134	1995-02-06	PRIJEM	VKLAD	19951	52745	\N	\N	\N
919526	3134	1995-03-06	PRIJEM	VKLAD	19951	57870	\N	\N	\N
919527	3134	1995-04-06	PRIJEM	VKLAD	19951	56277	\N	\N	\N
919528	3134	1995-05-06	PRIJEM	VKLAD	19951	60533	\N	\N	\N
919529	3134	1995-06-06	PRIJEM	VKLAD	29927	69869	\N	\N	\N
919530	3134	1995-07-06	PRIJEM	VKLAD	19951	63325	\N	\N	\N
919531	3134	1995-08-06	PRIJEM	VKLAD	19951	62802	\N	\N	\N
919532	3134	1995-09-06	PRIJEM	VKLAD	19951	63176	\N	\N	\N
919533	3134	1995-10-06	PRIJEM	VKLAD	19951	64050	\N	\N	\N
919534	3134	1995-11-06	PRIJEM	VKLAD	19951	60642	\N	\N	\N
919535	3134	1995-12-06	PRIJEM	VKLAD	29927	63530	\N	\N	\N
919536	3134	1996-01-06	PRIJEM	VKLAD	19951	56825	\N	\N	\N
919537	3134	1996-02-06	PRIJEM	VKLAD	19951	42117	\N	\N	\N
919538	3134	1996-03-06	PRIJEM	VKLAD	19951	50410	\N	\N	\N
919539	3134	1996-04-06	PRIJEM	VKLAD	19951	55233	\N	\N	\N
919540	3134	1996-05-06	PRIJEM	VKLAD	19951	58773	\N	\N	\N
919541	3134	1996-06-06	PRIJEM	VKLAD	29927	68895	\N	\N	\N
919542	3134	1996-07-06	PRIJEM	VKLAD	19951	62035	\N	\N	\N
919543	3134	1996-08-06	PRIJEM	VKLAD	19951	61793	\N	\N	\N
919544	3134	1996-09-06	PRIJEM	VKLAD	19951	59543	\N	\N	\N
919545	3134	1996-10-06	PRIJEM	VKLAD	19951	58283	\N	\N	\N
919546	3134	1996-11-06	PRIJEM	VKLAD	19951	59123	\N	\N	\N
919547	3134	1996-12-06	PRIJEM	VKLAD	29927	68737	\N	\N	\N
919548	3134	1997-01-06	PRIJEM	VKLAD	19951	44163	\N	\N	\N
919549	3134	1997-02-06	PRIJEM	VKLAD	19951	43892	\N	\N	\N
919550	3134	1997-03-06	PRIJEM	VKLAD	19951	52184	\N	\N	\N
919551	3134	1997-04-06	PRIJEM	VKLAD	19951	55388	\N	\N	\N
919552	3134	1997-05-06	PRIJEM	VKLAD	19951	58918	\N	\N	\N
919553	3134	1997-06-06	PRIJEM	VKLAD	29927	55014	\N	\N	\N
919554	3134	1997-07-06	PRIJEM	VKLAD	19951	60035	\N	\N	\N
919555	3134	1997-08-06	PRIJEM	VKLAD	19951	67493	\N	\N	\N
919556	3134	1997-09-06	PRIJEM	VKLAD	19951	71270	\N	\N	\N
919557	3134	1997-10-06	PRIJEM	VKLAD	19951	70355	\N	\N	\N
919558	3134	1997-11-06	PRIJEM	VKLAD	19951	69027	\N	\N	\N
919559	3134	1997-12-06	PRIJEM	VKLAD	29927	80578	\N	\N	\N
919560	3134	1998-01-06	PRIJEM	VKLAD	19951	72446	\N	\N	\N
919561	3134	1998-02-06	PRIJEM	VKLAD	19951	53190	\N	\N	\N
919562	3134	1998-03-06	PRIJEM	VKLAD	19951	55826	\N	\N	\N
919563	3134	1998-04-06	PRIJEM	VKLAD	19951	59753	\N	\N	\N
919564	3134	1998-05-06	PRIJEM	VKLAD	19951	63195	\N	\N	\N
919565	3134	1998-06-06	PRIJEM	VKLAD	29927	76628	\N	\N	\N
919566	3134	1998-07-06	PRIJEM	VKLAD	19951	57281	\N	\N	\N
919567	3134	1998-08-06	PRIJEM	VKLAD	19951	64366	\N	\N	\N
919568	3134	1998-09-06	PRIJEM	VKLAD	19951	58828	\N	\N	\N
919569	3134	1998-10-06	PRIJEM	VKLAD	19951	61620	\N	\N	\N
919570	3134	1998-11-06	PRIJEM	VKLAD	19951	64846	\N	\N	\N
919571	3134	1998-12-06	PRIJEM	VKLAD	29927	77140	\N	\N	\N
919580	3134	1994-09-10	VYDAJ	PREVOD NA UCET	3268	61299	SIPO	WX	32364529
919581	3134	1994-10-10	VYDAJ	PREVOD NA UCET	3268	59889	SIPO	WX	32364529
919582	3134	1994-11-10	VYDAJ	PREVOD NA UCET	3268	58472	SIPO	WX	32364529
919583	3134	1994-12-10	VYDAJ	PREVOD NA UCET	3268	67423	SIPO	WX	32364529
919584	3134	1995-01-10	VYDAJ	PREVOD NA UCET	3268	56187	SIPO	WX	32364529
919585	3134	1995-02-10	VYDAJ	PREVOD NA UCET	3268	49477	SIPO	WX	32364529
919586	3134	1995-03-10	VYDAJ	PREVOD NA UCET	3268	54602	SIPO	WX	32364529
919587	3134	1995-04-10	VYDAJ	PREVOD NA UCET	3268	53009	SIPO	WX	32364529
919588	3134	1995-05-10	VYDAJ	PREVOD NA UCET	3268	52465	SIPO	WX	32364529
919589	3134	1995-06-10	VYDAJ	PREVOD NA UCET	3268	66601	SIPO	WX	32364529
919590	3134	1995-07-10	VYDAJ	PREVOD NA UCET	3268	60057	SIPO	WX	32364529
919591	3134	1995-08-10	VYDAJ	PREVOD NA UCET	3268	59534	SIPO	WX	32364529
919592	3134	1995-09-10	VYDAJ	PREVOD NA UCET	3268	59908	SIPO	WX	32364529
919593	3134	1995-10-10	VYDAJ	PREVOD NA UCET	3268	60782	SIPO	WX	32364529
919594	3134	1995-11-10	VYDAJ	PREVOD NA UCET	3268	53774	SIPO	WX	32364529
919595	3134	1995-12-10	VYDAJ	PREVOD NA UCET	3268	60262	SIPO	WX	32364529
919596	3134	1996-01-10	VYDAJ	PREVOD NA UCET	3268	47797	SIPO	WX	32364529
919597	3134	1996-02-10	VYDAJ	PREVOD NA UCET	3268	38849	SIPO	WX	32364529
919598	3134	1996-03-10	VYDAJ	PREVOD NA UCET	3268	47142	SIPO	WX	32364529
919599	3134	1996-04-10	VYDAJ	PREVOD NA UCET	3268	51965	SIPO	WX	32364529
919600	3134	1996-05-10	VYDAJ	PREVOD NA UCET	3268	55505	SIPO	WX	32364529
919601	3134	1996-06-10	VYDAJ	PREVOD NA UCET	3268	65627	SIPO	WX	32364529
919602	3134	1996-07-10	VYDAJ	PREVOD NA UCET	3268	58767	SIPO	WX	32364529
919603	3134	1996-08-10	VYDAJ	PREVOD NA UCET	3268	58525	SIPO	WX	32364529
919604	3134	1996-09-10	VYDAJ	PREVOD NA UCET	3268	56275	SIPO	WX	32364529
919605	3134	1996-10-10	VYDAJ	PREVOD NA UCET	3268	55015	SIPO	WX	32364529
919606	3134	1996-11-10	VYDAJ	PREVOD NA UCET	3268	55855	SIPO	WX	32364529
919607	3134	1996-12-10	VYDAJ	PREVOD NA UCET	3268	65469	SIPO	WX	32364529
919608	3134	1997-01-10	VYDAJ	PREVOD NA UCET	3268	40175	SIPO	WX	32364529
919609	3134	1997-02-10	VYDAJ	PREVOD NA UCET	3268	40624	SIPO	WX	32364529
919610	3134	1997-03-10	VYDAJ	PREVOD NA UCET	3268	45196	SIPO	WX	32364529
919611	3134	1997-04-10	VYDAJ	PREVOD NA UCET	3268	52120	SIPO	WX	32364529
919612	3134	1997-05-10	VYDAJ	PREVOD NA UCET	3268	55650	SIPO	WX	32364529
919613	3134	1997-06-10	VYDAJ	PREVOD NA UCET	3268	51746	SIPO	WX	32364529
919614	3134	1997-07-10	VYDAJ	PREVOD NA UCET	3268	56767	SIPO	WX	32364529
919615	3134	1997-08-10	VYDAJ	PREVOD NA UCET	3268	64225	SIPO	WX	32364529
919616	3134	1997-09-10	VYDAJ	PREVOD NA UCET	3268	50202	SIPO	WX	32364529
919617	3134	1997-10-10	VYDAJ	PREVOD NA UCET	3268	67087	SIPO	WX	32364529
919618	3134	1997-11-10	VYDAJ	PREVOD NA UCET	3268	50459	SIPO	WX	32364529
919619	3134	1997-12-10	VYDAJ	PREVOD NA UCET	3268	55210	SIPO	WX	32364529
919620	3134	1998-01-10	VYDAJ	PREVOD NA UCET	3268	46838	SIPO	WX	32364529
919621	3134	1998-02-10	VYDAJ	PREVOD NA UCET	3268	38022	SIPO	WX	32364529
919622	3134	1998-03-10	VYDAJ	PREVOD NA UCET	3268	39658	SIPO	WX	32364529
919623	3134	1998-04-10	VYDAJ	PREVOD NA UCET	3268	43085	SIPO	WX	32364529
919624	3134	1998-05-10	VYDAJ	PREVOD NA UCET	3268	46527	SIPO	WX	32364529
919625	3134	1998-06-10	VYDAJ	PREVOD NA UCET	3268	37180	SIPO	WX	32364529
919626	3134	1998-07-10	VYDAJ	PREVOD NA UCET	3268	44253	SIPO	WX	32364529
919627	3134	1998-08-10	VYDAJ	PREVOD NA UCET	3268	47198	SIPO	WX	32364529
919628	3134	1998-09-10	VYDAJ	PREVOD NA UCET	3268	55560	SIPO	WX	32364529
919629	3134	1998-10-10	VYDAJ	PREVOD NA UCET	3268	58352	SIPO	WX	32364529
919630	3134	1998-11-10	VYDAJ	PREVOD NA UCET	3268	61578	SIPO	WX	32364529
919631	3134	1998-12-10	VYDAJ	PREVOD NA UCET	3268	73872	SIPO	WX	32364529
919633	3134	1995-06-13	VYDAJ	VYBER	7520	59081	\N	\N	\N
919635	3134	1997-06-01	VYDAJ	VYBER	11680	29528	\N	\N	\N
919636	3134	1998-06-06	VYDAJ	VYBER	34080	42548	\N	\N	\N
919638	3134	1995-01-12	VYDAJ	VYBER	11200	44987	\N	\N	\N
919639	3134	1996-01-27	VYDAJ	VYBER	12160	22017	\N	\N	\N
919640	3134	1997-01-02	VYDAJ	VYBER	13440	24212	\N	\N	\N
919641	3134	1998-01-12	VYDAJ	VYBER	8960	37878	\N	\N	\N
919642	3134	1994-12-15	VYDAJ	VYBER	4480	62943	\N	\N	\N
919643	3134	1995-12-02	VYDAJ	VYBER	3840	33604	\N	\N	\N
919644	3134	1996-12-25	VYDAJ	VYBER	4480	37489	\N	\N	\N
919645	3134	1997-12-12	VYDAJ	VYBER	1120	54090	\N	\N	\N
919646	3134	1998-12-10	VYDAJ	VYBER	2240	71632	\N	\N	\N
919653	3134	1995-01-09	VYDAJ	VYBER	720	59455	\N	\N	\N
919654	3134	1995-01-08	VYDAJ	VYBER	2520	60175	\N	\N	\N
919655	3134	1995-01-02	VYDAJ	VYBER	1320	43824	\N	\N	\N
919656	3134	1995-01-13	VYDAJ	VYBER	2640	42347	\N	\N	\N
919657	3134	1995-01-03	VYDAJ	VYBER	1080	42744	\N	\N	\N
919658	3134	1995-01-28	VYDAJ	VYBER	1320	32627	\N	\N	\N
919659	3134	1996-01-07	VYDAJ	VYBER	1440	55385	\N	\N	\N
919660	3134	1996-01-08	VYDAJ	VYBER	2760	52625	\N	\N	\N
919661	3134	1996-01-11	VYDAJ	VYBER	1560	46237	\N	\N	\N
919662	3134	1996-01-26	VYDAJ	VYBER	960	34177	\N	\N	\N
919663	3134	1996-01-03	VYDAJ	VYBER	1680	39034	\N	\N	\N
919664	3134	1996-01-03	VYDAJ	VYBER	2160	36874	\N	\N	\N
919665	3134	1997-01-15	VYDAJ	VYBER	1920	31975	\N	\N	\N
919666	3134	1997-01-30	VYDAJ	VYBER	1920	23815	\N	\N	\N
919667	3134	1997-01-09	VYDAJ	VYBER	720	43443	\N	\N	\N
919668	3134	1997-01-20	VYDAJ	VYBER	2760	29215	\N	\N	\N
919669	3134	1997-01-30	VYDAJ	VYBER	3480	25735	\N	\N	\N
919670	3134	1997-01-13	VYDAJ	VYBER	1680	33895	\N	\N	\N
919671	3134	1998-01-22	VYDAJ	VYBER	2160	35718	\N	\N	\N
919672	3134	1998-01-01	VYDAJ	VYBER	840	53455	\N	\N	\N
919673	3134	1998-01-25	VYDAJ	VYBER	600	35118	\N	\N	\N
919674	3134	1998-01-29	VYDAJ	VYBER	2040	33078	\N	\N	\N
919675	3134	1998-01-03	VYDAJ	VYBER	960	52495	\N	\N	\N
919676	3134	1998-01-07	VYDAJ	VYBER	840	71606	\N	\N	\N
919679	3134	1994-12-25	VYDAJ	VYBER	1320	61623	\N	\N	\N
919680	3134	1995-12-24	VYDAJ	VYBER	1440	40522	\N	\N	\N
919681	3134	1995-03-19	VYDAJ	VYBER	5760	48842	\N	\N	\N
919682	3134	1995-03-03	VYDAJ	VYBER	3720	37919	\N	\N	\N
919683	3134	1995-10-22	VYDAJ	VYBER	4680	40502	\N	\N	\N
919684	3134	1995-11-09	VYDAJ	VYBER	3600	57042	\N	\N	\N
919685	3134	1995-05-09	VYDAJ	VYBER	4800	55733	\N	\N	\N
919686	3134	1996-01-08	VYDAJ	VYBER	1560	51065	\N	\N	\N
919687	3134	1996-06-13	VYDAJ	VYBER	3120	62507	\N	\N	\N
919688	3134	1997-06-04	VYDAJ	VYBER	4440	25088	\N	\N	\N
919689	3134	1997-03-06	VYDAJ	VYBER	3720	48464	\N	\N	\N
919690	3134	1997-06-12	VYDAJ	VYBER	1320	50426	\N	\N	\N
919691	3134	1998-02-12	VYDAJ	VYBER	2280	35742	\N	\N	\N
919692	3134	1998-07-08	VYDAJ	VYBER	960	47521	\N	\N	\N
919693	3134	1998-10-29	VYDAJ	VYBER	3480	54872	\N	\N	\N
919703	3134	1994-09-30	VYDAJ	VYBER	15	43206	SLUZBY	\N	\N
919704	3134	1994-10-31	VYDAJ	VYBER	15	41789	SLUZBY	\N	\N
919705	3134	1994-11-30	VYDAJ	VYBER	15	40765	SLUZBY	\N	\N
919706	3134	1994-12-31	VYDAJ	VYBER	15	45144	SLUZBY	\N	\N
919707	3134	1995-01-31	VYDAJ	VYBER	15	32794	SLUZBY	\N	\N
919708	3134	1995-02-28	VYDAJ	VYBER	15	41639	SLUZBY	\N	\N
919709	3134	1995-03-31	VYDAJ	VYBER	15	36326	SLUZBY	\N	\N
919710	3134	1995-04-30	VYDAJ	VYBER	15	40582	SLUZBY	\N	\N
919711	3134	1995-05-31	VYDAJ	VYBER	15	39942	SLUZBY	\N	\N
919712	3134	1995-06-30	VYDAJ	VYBER	15	43374	SLUZBY	\N	\N
919713	3134	1995-07-31	VYDAJ	VYBER	15	42851	SLUZBY	\N	\N
919714	3134	1995-08-31	VYDAJ	VYBER	15	43225	SLUZBY	\N	\N
919715	3134	1995-09-30	VYDAJ	VYBER	15	44099	SLUZBY	\N	\N
919716	3134	1995-10-31	VYDAJ	VYBER	15	40691	SLUZBY	\N	\N
919717	3134	1995-11-30	VYDAJ	VYBER	15	37444	SLUZBY	\N	\N
919718	3134	1995-12-31	VYDAJ	VYBER	15	40714	SLUZBY	\N	\N
919719	3134	1996-01-31	VYDAJ	VYBER	15	22166	SLUZBY	\N	\N
919720	3134	1996-02-29	VYDAJ	VYBER	15	30459	SLUZBY	\N	\N
919721	3134	1996-03-31	VYDAJ	VYBER	15	35282	SLUZBY	\N	\N
919722	3134	1996-04-30	VYDAJ	VYBER	15	38822	SLUZBY	\N	\N
919723	3134	1996-05-31	VYDAJ	VYBER	15	38969	SLUZBY	\N	\N
919724	3134	1996-06-30	VYDAJ	VYBER	15	42084	SLUZBY	\N	\N
919725	3134	1996-07-31	VYDAJ	VYBER	15	41842	SLUZBY	\N	\N
919726	3134	1996-08-31	VYDAJ	VYBER	15	39592	SLUZBY	\N	\N
919727	3134	1996-09-30	VYDAJ	VYBER	15	38332	SLUZBY	\N	\N
919728	3134	1996-10-31	VYDAJ	VYBER	15	39172	SLUZBY	\N	\N
919729	3134	1996-11-30	VYDAJ	VYBER	15	38810	SLUZBY	\N	\N
919730	3134	1996-12-31	VYDAJ	VYBER	15	37652	SLUZBY	\N	\N
919731	3134	1997-01-31	VYDAJ	VYBER	15	23941	SLUZBY	\N	\N
919732	3134	1997-02-28	VYDAJ	VYBER	15	32233	SLUZBY	\N	\N
919733	3134	1997-03-31	VYDAJ	VYBER	15	35437	SLUZBY	\N	\N
919734	3134	1997-04-30	VYDAJ	VYBER	15	38967	SLUZBY	\N	\N
919735	3134	1997-05-31	VYDAJ	VYBER	15	41208	SLUZBY	\N	\N
919736	3134	1997-06-30	VYDAJ	VYBER	15	40084	SLUZBY	\N	\N
919737	3134	1997-07-31	VYDAJ	VYBER	15	47542	SLUZBY	\N	\N
919738	3134	1997-08-31	VYDAJ	VYBER	15	51319	SLUZBY	\N	\N
919739	3134	1997-09-30	VYDAJ	VYBER	15	50404	SLUZBY	\N	\N
919740	3134	1997-10-31	VYDAJ	VYBER	15	49076	SLUZBY	\N	\N
919741	3134	1997-11-30	VYDAJ	VYBER	15	50651	SLUZBY	\N	\N
919742	3134	1997-12-31	VYDAJ	VYBER	15	54295	SLUZBY	\N	\N
919743	3134	1998-01-31	VYDAJ	VYBER	15	33239	SLUZBY	\N	\N
919744	3134	1998-02-28	VYDAJ	VYBER	15	35875	SLUZBY	\N	\N
919745	3134	1998-03-31	VYDAJ	VYBER	15	39802	SLUZBY	\N	\N
919746	3134	1998-04-30	VYDAJ	VYBER	15	43244	SLUZBY	\N	\N
919747	3134	1998-05-31	VYDAJ	VYBER	15	46701	SLUZBY	\N	\N
919748	3134	1998-06-30	VYDAJ	VYBER	15	37330	SLUZBY	\N	\N
919749	3134	1998-07-31	VYDAJ	VYBER	15	44415	SLUZBY	\N	\N
919750	3134	1998-08-31	VYDAJ	VYBER	15	47377	SLUZBY	\N	\N
919751	3134	1998-09-30	VYDAJ	VYBER	15	55769	SLUZBY	\N	\N
919752	3134	1998-10-31	VYDAJ	VYBER	15	55095	SLUZBY	\N	\N
919753	3134	1998-11-30	VYDAJ	VYBER	15	61813	SLUZBY	\N	\N
919754	3134	1994-05-29	PRIJEM	VKLAD	200	20751	\N	\N	\N
919755	3134	1994-06-28	VYDAJ	VYBER	11700	38986	\N	\N	\N
919756	3134	1994-07-28	VYDAJ	VYBER	18800	40231	\N	\N	\N
919757	3134	1994-08-27	VYDAJ	VYBER	15900	44445	\N	\N	\N
919758	3134	1994-09-26	VYDAJ	VYBER	18300	42999	\N	\N	\N
919759	3134	1994-10-26	VYDAJ	VYBER	18300	41589	\N	\N	\N
919760	3134	1994-11-25	VYDAJ	VYBER	17900	40572	\N	\N	\N
919761	3134	1994-12-25	VYDAJ	VYBER	16700	44923	\N	\N	\N
919762	3134	1995-01-24	VYDAJ	VYBER	8400	33947	\N	\N	\N
919763	3134	1995-02-23	VYDAJ	VYBER	8000	41477	\N	\N	\N
919764	3134	1995-03-25	VYDAJ	VYBER	12700	36142	\N	\N	\N
919765	3134	1995-04-24	VYDAJ	VYBER	12600	40409	\N	\N	\N
919766	3134	1995-05-24	VYDAJ	VYBER	12700	39765	\N	\N	\N
919767	3134	1995-06-23	VYDAJ	VYBER	15900	43181	\N	\N	\N
919768	3134	1995-07-23	VYDAJ	VYBER	17400	42657	\N	\N	\N
919769	3134	1995-08-22	VYDAJ	VYBER	16500	43034	\N	\N	\N
919770	3134	1995-09-21	VYDAJ	VYBER	16000	43908	\N	\N	\N
919771	3134	1995-10-21	VYDAJ	VYBER	15600	45182	\N	\N	\N
919772	3134	1995-11-20	VYDAJ	VYBER	16500	37274	\N	\N	\N
919773	3134	1995-12-20	VYDAJ	VYBER	18300	41962	\N	\N	\N
919774	3134	1996-01-19	VYDAJ	VYBER	11100	35137	\N	\N	\N
919775	3134	1996-02-18	VYDAJ	VYBER	8500	30349	\N	\N	\N
919776	3134	1996-03-19	VYDAJ	VYBER	12000	35142	\N	\N	\N
919777	3134	1996-04-18	VYDAJ	VYBER	13300	38665	\N	\N	\N
919778	3134	1996-05-18	VYDAJ	VYBER	16700	38805	\N	\N	\N
919779	3134	1996-06-17	VYDAJ	VYBER	20600	41907	\N	\N	\N
919780	3134	1996-07-17	VYDAJ	VYBER	17100	41667	\N	\N	\N
919781	3134	1996-08-16	VYDAJ	VYBER	19100	39425	\N	\N	\N
919782	3134	1996-09-15	VYDAJ	VYBER	18100	38175	\N	\N	\N
919783	3134	1996-10-15	VYDAJ	VYBER	16000	39015	\N	\N	\N
919784	3134	1996-11-14	VYDAJ	VYBER	17200	38655	\N	\N	\N
919785	3134	1996-12-14	VYDAJ	VYBER	23500	41969	\N	\N	\N
919786	3134	1997-01-13	VYDAJ	VYBER	4600	35575	\N	\N	\N
919787	3134	1997-02-12	VYDAJ	VYBER	8500	32124	\N	\N	\N
919788	3134	1997-03-14	VYDAJ	VYBER	9900	35296	\N	\N	\N
919789	3134	1997-04-13	VYDAJ	VYBER	13300	38820	\N	\N	\N
919790	3134	1997-05-13	VYDAJ	VYBER	14600	41050	\N	\N	\N
919791	3134	1997-06-12	VYDAJ	VYBER	10500	39926	\N	\N	\N
919792	3134	1997-07-12	VYDAJ	VYBER	9400	47367	\N	\N	\N
919793	3134	1997-08-11	VYDAJ	VYBER	13100	51125	\N	\N	\N
919794	3134	1997-09-10	VYDAJ	VYBER	17800	53470	\N	\N	\N
919795	3134	1997-10-10	VYDAJ	VYBER	18200	48887	\N	\N	\N
919796	3134	1997-11-09	VYDAJ	VYBER	15300	53727	\N	\N	\N
919797	3134	1997-12-09	VYDAJ	VYBER	22100	58478	\N	\N	\N
919798	3134	1998-01-08	VYDAJ	VYBER	21500	50106	\N	\N	\N
919799	3134	1998-02-07	VYDAJ	VYBER	11900	41290	\N	\N	\N
919800	3134	1998-03-09	VYDAJ	VYBER	12900	42926	\N	\N	\N
919801	3134	1998-04-08	VYDAJ	VYBER	13400	46353	\N	\N	\N
919802	3134	1998-05-08	VYDAJ	VYBER	13400	49795	\N	\N	\N
919803	3134	1998-06-07	VYDAJ	VYBER	2100	40448	\N	\N	\N
919804	3134	1998-07-07	VYDAJ	VYBER	8800	48481	\N	\N	\N
919805	3134	1998-08-06	VYDAJ	VYBER	13900	50466	\N	\N	\N
919806	3134	1998-09-05	VYDAJ	VYBER	8500	38877	\N	\N	\N
919807	3134	1998-10-05	VYDAJ	VYBER	14100	41669	\N	\N	\N
919808	3134	1998-11-04	VYDAJ	VYBER	10200	44895	\N	\N	\N
919809	3134	1998-12-04	VYDAJ	VYBER	14600	47213	\N	\N	\N
919866	3135	1993-12-27	PRIJEM	VKLAD	200	200	\N	\N	\N
919879	3135	1994-01-07	PRIJEM	VKLAD	20087	20287	\N	\N	\N
919880	3135	1994-02-07	PRIJEM	VKLAD	20087	44694	\N	\N	\N
919881	3135	1994-03-07	PRIJEM	VKLAD	20087	54389	\N	\N	\N
919882	3135	1994-04-07	PRIJEM	VKLAD	20087	59722	\N	\N	\N
919883	3135	1994-05-07	PRIJEM	VKLAD	20087	62075	\N	\N	\N
919884	3135	1994-06-07	PRIJEM	VKLAD	30131	67775	\N	\N	\N
919885	3135	1994-07-07	PRIJEM	VKLAD	20087	64742	\N	\N	\N
919886	3135	1994-08-07	PRIJEM	VKLAD	20087	61708	\N	\N	\N
919887	3135	1994-09-07	PRIJEM	VKLAD	20087	60762	\N	\N	\N
919888	3135	1994-10-07	PRIJEM	VKLAD	20087	59911	\N	\N	\N
919889	3135	1994-11-07	PRIJEM	VKLAD	20087	57057	\N	\N	\N
919890	3135	1994-12-07	PRIJEM	VKLAD	30131	70151	\N	\N	\N
919891	3135	1995-01-07	PRIJEM	VKLAD	20087	61868	\N	\N	\N
919892	3135	1995-02-07	PRIJEM	VKLAD	20087	59496	\N	\N	\N
919893	3135	1995-03-07	PRIJEM	VKLAD	20087	53169	\N	\N	\N
919894	3135	1995-04-07	PRIJEM	VKLAD	20087	47918	\N	\N	\N
919895	3135	1995-05-07	PRIJEM	VKLAD	20087	53233	\N	\N	\N
919896	3135	1995-06-07	PRIJEM	VKLAD	30131	64932	\N	\N	\N
919897	3135	1995-07-07	PRIJEM	VKLAD	20087	64078	\N	\N	\N
919898	3135	1995-08-07	PRIJEM	VKLAD	20087	60930	\N	\N	\N
919899	3135	1995-09-07	PRIJEM	VKLAD	20087	60972	\N	\N	\N
919900	3135	1995-10-07	PRIJEM	VKLAD	20087	54026	\N	\N	\N
919901	3135	1995-11-07	PRIJEM	VKLAD	20087	54999	\N	\N	\N
919902	3135	1995-12-07	PRIJEM	VKLAD	30131	63153	\N	\N	\N
919903	3135	1996-01-07	PRIJEM	VKLAD	20087	54891	\N	\N	\N
919904	3135	1996-02-07	PRIJEM	VKLAD	20087	53201	\N	\N	\N
919905	3135	1996-03-07	PRIJEM	VKLAD	20087	55509	\N	\N	\N
919906	3135	1996-04-07	PRIJEM	VKLAD	20087	55121	\N	\N	\N
919907	3135	1996-05-07	PRIJEM	VKLAD	20087	50708	\N	\N	\N
919908	3135	1996-06-07	PRIJEM	VKLAD	30131	66556	\N	\N	\N
919909	3135	1996-07-07	PRIJEM	VKLAD	20087	56226	\N	\N	\N
919910	3135	1996-08-07	PRIJEM	VKLAD	20087	58544	\N	\N	\N
919911	3135	1996-09-07	PRIJEM	VKLAD	20087	57763	\N	\N	\N
919912	3135	1996-10-07	PRIJEM	VKLAD	20087	58180	\N	\N	\N
919913	3135	1996-11-07	PRIJEM	VKLAD	20087	59901	\N	\N	\N
919914	3135	1996-12-07	PRIJEM	VKLAD	30131	71189	\N	\N	\N
919915	3135	1997-01-07	PRIJEM	VKLAD	20087	57982	\N	\N	\N
919916	3135	1997-02-07	PRIJEM	VKLAD	20087	51678	\N	\N	\N
919917	3135	1997-03-07	PRIJEM	VKLAD	20087	47556	\N	\N	\N
919918	3135	1997-04-07	PRIJEM	VKLAD	20087	50234	\N	\N	\N
919919	3135	1997-05-07	PRIJEM	VKLAD	20087	48813	\N	\N	\N
919920	3135	1997-06-07	PRIJEM	VKLAD	30131	61340	\N	\N	\N
919921	3135	1997-07-07	PRIJEM	VKLAD	20087	55139	\N	\N	\N
919922	3135	1997-08-07	PRIJEM	VKLAD	20087	51532	\N	\N	\N
919923	3135	1997-09-07	PRIJEM	VKLAD	20087	51668	\N	\N	\N
919924	3135	1997-10-07	PRIJEM	VKLAD	20087	50864	\N	\N	\N
919925	3135	1997-11-07	PRIJEM	VKLAD	20087	54468	\N	\N	\N
919926	3135	1997-12-07	PRIJEM	VKLAD	30131	73158	\N	\N	\N
919927	3135	1998-01-07	PRIJEM	VKLAD	20087	71529	\N	\N	\N
919928	3135	1998-02-07	PRIJEM	VKLAD	20087	72955	\N	\N	\N
919929	3135	1998-03-07	PRIJEM	VKLAD	20087	73348	\N	\N	\N
919930	3135	1998-04-07	PRIJEM	VKLAD	20087	77781	\N	\N	\N
919931	3135	1998-05-07	PRIJEM	VKLAD	20087	75732	\N	\N	\N
919932	3135	1998-06-07	PRIJEM	VKLAD	30131	87023	\N	\N	\N
919933	3135	1998-07-07	PRIJEM	VKLAD	20087	78906	\N	\N	\N
919934	3135	1998-08-07	PRIJEM	VKLAD	20087	74713	\N	\N	\N
919935	3135	1998-09-07	PRIJEM	VKLAD	20087	74451	\N	\N	\N
919936	3135	1998-10-07	PRIJEM	VKLAD	20087	81791	\N	\N	\N
919937	3135	1998-11-07	PRIJEM	VKLAD	20087	86356	\N	\N	\N
919938	3135	1998-12-07	PRIJEM	VKLAD	30131	97585	\N	\N	\N
919955	3135	1994-05-11	VYDAJ	PREVOD NA UCET	6814	55261	SIPO	CD	78418945
919956	3135	1994-06-11	VYDAJ	PREVOD NA UCET	6814	60961	SIPO	CD	78418945
919957	3135	1994-07-11	VYDAJ	PREVOD NA UCET	6814	57928	SIPO	CD	78418945
919958	3135	1994-08-11	VYDAJ	PREVOD NA UCET	6814	54894	SIPO	CD	78418945
919959	3135	1994-09-11	VYDAJ	PREVOD NA UCET	6814	53948	SIPO	CD	78418945
919960	3135	1994-10-11	VYDAJ	PREVOD NA UCET	6814	53097	SIPO	CD	78418945
919961	3135	1994-11-11	VYDAJ	PREVOD NA UCET	6814	50243	SIPO	CD	78418945
919962	3135	1994-12-11	VYDAJ	PREVOD NA UCET	6814	63337	SIPO	CD	78418945
919963	3135	1995-01-11	VYDAJ	PREVOD NA UCET	6814	55054	SIPO	CD	78418945
919964	3135	1995-02-11	VYDAJ	PREVOD NA UCET	6814	52682	SIPO	CD	78418945
919965	3135	1995-03-11	VYDAJ	PREVOD NA UCET	6814	46355	SIPO	CD	78418945
919966	3135	1995-04-11	VYDAJ	PREVOD NA UCET	6814	41104	SIPO	CD	78418945
919967	3135	1995-05-11	VYDAJ	PREVOD NA UCET	6814	44259	SIPO	CD	78418945
919968	3135	1995-06-11	VYDAJ	PREVOD NA UCET	6814	58118	SIPO	CD	78418945
919969	3135	1995-07-11	VYDAJ	PREVOD NA UCET	6814	57264	SIPO	CD	78418945
919970	3135	1995-08-11	VYDAJ	PREVOD NA UCET	6814	54116	SIPO	CD	78418945
919971	3135	1995-09-11	VYDAJ	PREVOD NA UCET	6814	54158	SIPO	CD	78418945
919972	3135	1995-10-11	VYDAJ	PREVOD NA UCET	6814	47212	SIPO	CD	78418945
919973	3135	1995-11-11	VYDAJ	PREVOD NA UCET	6814	48185	SIPO	CD	78418945
919974	3135	1995-12-11	VYDAJ	PREVOD NA UCET	6814	56339	SIPO	CD	78418945
919975	3135	1996-01-11	VYDAJ	PREVOD NA UCET	6814	48077	SIPO	CD	78418945
919976	3135	1996-02-11	VYDAJ	PREVOD NA UCET	6814	46387	SIPO	CD	78418945
919977	3135	1996-03-11	VYDAJ	PREVOD NA UCET	6814	48695	SIPO	CD	78418945
919978	3135	1996-04-11	VYDAJ	PREVOD NA UCET	6814	48307	SIPO	CD	78418945
919979	3135	1996-05-11	VYDAJ	PREVOD NA UCET	6814	43894	SIPO	CD	78418945
919980	3135	1996-06-11	VYDAJ	PREVOD NA UCET	6814	59742	SIPO	CD	78418945
919981	3135	1996-07-11	VYDAJ	PREVOD NA UCET	6814	49412	SIPO	CD	78418945
919982	3135	1996-08-11	VYDAJ	PREVOD NA UCET	6814	51730	SIPO	CD	78418945
919983	3135	1996-09-11	VYDAJ	PREVOD NA UCET	6814	50949	SIPO	CD	78418945
919984	3135	1996-10-11	VYDAJ	PREVOD NA UCET	6814	51366	SIPO	CD	78418945
919985	3135	1996-11-11	VYDAJ	PREVOD NA UCET	6814	40887	SIPO	CD	78418945
919986	3135	1996-12-11	VYDAJ	PREVOD NA UCET	6814	40615	SIPO	CD	78418945
919987	3135	1997-01-11	VYDAJ	PREVOD NA UCET	6814	31468	SIPO	CD	78418945
919988	3135	1997-02-11	VYDAJ	PREVOD NA UCET	6814	27364	SIPO	CD	78418945
919989	3135	1997-03-11	VYDAJ	PREVOD NA UCET	6814	30042	SIPO	CD	78418945
919990	3135	1997-04-11	VYDAJ	PREVOD NA UCET	6814	28620	SIPO	CD	78418945
919991	3135	1997-05-11	VYDAJ	PREVOD NA UCET	6814	31099	SIPO	CD	78418945
919992	3135	1997-06-11	VYDAJ	PREVOD NA UCET	6814	34926	SIPO	CD	78418945
919993	3135	1997-07-11	VYDAJ	PREVOD NA UCET	6814	31325	SIPO	CD	78418945
919994	3135	1997-08-11	VYDAJ	PREVOD NA UCET	6814	34818	SIPO	CD	78418945
919995	3135	1997-09-11	VYDAJ	PREVOD NA UCET	6814	30654	SIPO	CD	78418945
919996	3135	1997-10-11	VYDAJ	PREVOD NA UCET	6814	34150	SIPO	CD	78418945
919997	3135	1997-11-11	VYDAJ	PREVOD NA UCET	6814	47654	SIPO	CD	78418945
919998	3135	1997-12-11	VYDAJ	PREVOD NA UCET	6814	66344	SIPO	CD	78418945
919999	3135	1998-01-11	VYDAJ	PREVOD NA UCET	6814	64715	SIPO	CD	78418945
920000	3135	1998-02-11	VYDAJ	PREVOD NA UCET	6814	66141	SIPO	CD	78418945
920001	3135	1998-03-11	VYDAJ	PREVOD NA UCET	6814	66534	SIPO	CD	78418945
920002	3135	1998-04-11	VYDAJ	PREVOD NA UCET	6814	70967	SIPO	CD	78418945
920003	3135	1998-05-11	VYDAJ	PREVOD NA UCET	6814	68918	SIPO	CD	78418945
920004	3135	1998-06-11	VYDAJ	PREVOD NA UCET	6814	80209	SIPO	CD	78418945
920005	3135	1998-07-11	VYDAJ	PREVOD NA UCET	6814	72092	SIPO	CD	78418945
920006	3135	1998-08-11	VYDAJ	PREVOD NA UCET	6814	67899	SIPO	CD	78418945
920007	3135	1998-09-11	VYDAJ	PREVOD NA UCET	6814	67637	SIPO	CD	78418945
920008	3135	1998-10-11	VYDAJ	PREVOD NA UCET	6814	74977	SIPO	CD	78418945
920009	3135	1998-11-11	VYDAJ	PREVOD NA UCET	6814	79542	SIPO	CD	78418945
920010	3135	1998-12-11	VYDAJ	PREVOD NA UCET	6814	90771	SIPO	CD	78418945
920012	3135	1994-12-12	VYDAJ	VYBER	3040	60297	\N	\N	\N
920013	3135	1995-12-18	VYDAJ	VYBER	1280	34659	\N	\N	\N
920014	3135	1996-12-16	VYDAJ	VYBER	2880	37735	\N	\N	\N
920015	3135	1997-12-16	VYDAJ	VYBER	4640	61704	\N	\N	\N
920016	3135	1998-12-29	VYDAJ	VYBER	3200	87571	\N	\N	\N
920020	3135	1994-06-30	VYDAJ	VYBER	600	44669	\N	\N	\N
920021	3135	1994-11-06	VYDAJ	VYBER	3600	36970	\N	\N	\N
920022	3135	1995-01-23	VYDAJ	VYBER	3120	39234	\N	\N	\N
920023	3135	1995-02-23	VYDAJ	VYBER	3960	32922	\N	\N	\N
920024	3135	1995-04-06	VYDAJ	VYBER	4560	27831	\N	\N	\N
920025	3135	1995-10-17	VYDAJ	VYBER	1440	45772	\N	\N	\N
920026	3135	1995-09-25	VYDAJ	VYBER	5880	33778	\N	\N	\N
920027	3135	1995-03-12	VYDAJ	VYBER	4200	42155	\N	\N	\N
920028	3135	1995-05-10	VYDAJ	VYBER	2160	51073	\N	\N	\N
920029	3135	1996-04-22	VYDAJ	VYBER	5520	30487	\N	\N	\N
920030	3135	1996-06-22	VYDAJ	VYBER	5040	40302	\N	\N	\N
920031	3135	1996-12-07	VYDAJ	VYBER	5760	65429	\N	\N	\N
920032	3135	1996-06-25	VYDAJ	VYBER	4320	35982	\N	\N	\N
920033	3135	1996-01-22	VYDAJ	VYBER	3000	32977	\N	\N	\N
920034	3135	1997-08-22	VYDAJ	VYBER	3360	31458	\N	\N	\N
920035	3135	1998-07-16	VYDAJ	VYBER	4920	64052	\N	\N	\N
920036	3135	1998-02-28	VYDAJ	VYBER	4440	61961	\N	\N	\N
920037	3135	1998-07-12	VYDAJ	VYBER	3120	68972	\N	\N	\N
920055	3135	1994-05-31	VYDAJ	VYBER	15	37644	SLUZBY	\N	\N
920056	3135	1994-06-30	VYDAJ	VYBER	15	44655	SLUZBY	\N	\N
920057	3135	1994-07-31	VYDAJ	VYBER	15	41621	SLUZBY	\N	\N
920058	3135	1994-08-31	VYDAJ	VYBER	15	40675	SLUZBY	\N	\N
920059	3135	1994-09-30	VYDAJ	VYBER	15	39824	SLUZBY	\N	\N
920060	3135	1994-10-31	VYDAJ	VYBER	15	40570	SLUZBY	\N	\N
920061	3135	1994-11-30	VYDAJ	VYBER	15	40020	SLUZBY	\N	\N
920062	3135	1994-12-31	VYDAJ	VYBER	15	41781	SLUZBY	\N	\N
920063	3135	1995-01-31	VYDAJ	VYBER	15	39409	SLUZBY	\N	\N
920064	3135	1995-02-28	VYDAJ	VYBER	15	33082	SLUZBY	\N	\N
920065	3135	1995-03-31	VYDAJ	VYBER	15	32391	SLUZBY	\N	\N
920066	3135	1995-04-30	VYDAJ	VYBER	15	33146	SLUZBY	\N	\N
920067	3135	1995-05-31	VYDAJ	VYBER	15	34801	SLUZBY	\N	\N
920068	3135	1995-06-30	VYDAJ	VYBER	15	43991	SLUZBY	\N	\N
920069	3135	1995-07-31	VYDAJ	VYBER	15	40843	SLUZBY	\N	\N
920070	3135	1995-08-31	VYDAJ	VYBER	15	40885	SLUZBY	\N	\N
920071	3135	1995-09-30	VYDAJ	VYBER	15	33939	SLUZBY	\N	\N
920072	3135	1995-10-31	VYDAJ	VYBER	15	34912	SLUZBY	\N	\N
920073	3135	1995-11-30	VYDAJ	VYBER	15	33023	SLUZBY	\N	\N
920074	3135	1995-12-31	VYDAJ	VYBER	15	34804	SLUZBY	\N	\N
920075	3135	1996-01-31	VYDAJ	VYBER	15	33114	SLUZBY	\N	\N
920076	3135	1996-02-29	VYDAJ	VYBER	15	35422	SLUZBY	\N	\N
920077	3135	1996-03-31	VYDAJ	VYBER	15	35034	SLUZBY	\N	\N
920078	3135	1996-04-30	VYDAJ	VYBER	15	30621	SLUZBY	\N	\N
920079	3135	1996-05-31	VYDAJ	VYBER	15	36426	SLUZBY	\N	\N
920080	3135	1996-06-30	VYDAJ	VYBER	15	36139	SLUZBY	\N	\N
920081	3135	1996-07-31	VYDAJ	VYBER	15	38457	SLUZBY	\N	\N
920082	3135	1996-08-31	VYDAJ	VYBER	15	37676	SLUZBY	\N	\N
920083	3135	1996-09-30	VYDAJ	VYBER	15	38093	SLUZBY	\N	\N
920084	3135	1996-10-31	VYDAJ	VYBER	15	39814	SLUZBY	\N	\N
920085	3135	1996-11-30	VYDAJ	VYBER	15	41058	SLUZBY	\N	\N
920086	3135	1996-12-31	VYDAJ	VYBER	15	37895	SLUZBY	\N	\N
920087	3135	1997-01-31	VYDAJ	VYBER	15	31591	SLUZBY	\N	\N
920088	3135	1997-02-28	VYDAJ	VYBER	15	27469	SLUZBY	\N	\N
920089	3135	1997-03-31	VYDAJ	VYBER	15	30147	SLUZBY	\N	\N
920090	3135	1997-04-30	VYDAJ	VYBER	15	28726	SLUZBY	\N	\N
920091	3135	1997-05-31	VYDAJ	VYBER	15	31209	SLUZBY	\N	\N
920092	3135	1997-06-30	VYDAJ	VYBER	15	35052	SLUZBY	\N	\N
920093	3135	1997-07-31	VYDAJ	VYBER	15	31445	SLUZBY	\N	\N
920094	3135	1997-08-31	VYDAJ	VYBER	15	31581	SLUZBY	\N	\N
920095	3135	1997-09-30	VYDAJ	VYBER	15	30777	SLUZBY	\N	\N
920096	3135	1997-10-31	VYDAJ	VYBER	15	34281	SLUZBY	\N	\N
920097	3135	1997-11-30	VYDAJ	VYBER	15	47828	SLUZBY	\N	\N
920098	3135	1997-12-31	VYDAJ	VYBER	15	61942	SLUZBY	\N	\N
920099	3135	1998-01-31	VYDAJ	VYBER	15	64968	SLUZBY	\N	\N
920100	3135	1998-02-28	VYDAJ	VYBER	15	66401	SLUZBY	\N	\N
920101	3135	1998-03-31	VYDAJ	VYBER	15	66794	SLUZBY	\N	\N
920102	3135	1998-04-30	VYDAJ	VYBER	15	71245	SLUZBY	\N	\N
920103	3135	1998-05-31	VYDAJ	VYBER	15	69192	SLUZBY	\N	\N
920104	3135	1998-06-30	VYDAJ	VYBER	15	80519	SLUZBY	\N	\N
920105	3135	1998-07-31	VYDAJ	VYBER	15	64326	SLUZBY	\N	\N
920106	3135	1998-08-31	VYDAJ	VYBER	15	68164	SLUZBY	\N	\N
920107	3135	1998-09-30	VYDAJ	VYBER	15	67904	SLUZBY	\N	\N
920108	3135	1998-10-31	VYDAJ	VYBER	15	75269	SLUZBY	\N	\N
920109	3135	1998-11-30	VYDAJ	VYBER	15	79854	SLUZBY	\N	\N
920110	3135	1994-01-26	PRIJEM	VKLAD	4300	24587	\N	\N	\N
920111	3135	1994-02-25	VYDAJ	VYBER	10500	34194	\N	\N	\N
920112	3135	1994-03-27	VYDAJ	VYBER	14900	39489	\N	\N	\N
920113	3135	1994-04-26	VYDAJ	VYBER	17900	41822	\N	\N	\N
920114	3135	1994-05-26	VYDAJ	VYBER	17800	37461	\N	\N	\N
920115	3135	1994-06-25	VYDAJ	VYBER	15900	45061	\N	\N	\N
920116	3135	1994-07-25	VYDAJ	VYBER	16500	41428	\N	\N	\N
920117	3135	1994-08-24	VYDAJ	VYBER	14400	40494	\N	\N	\N
920118	3135	1994-09-23	VYDAJ	VYBER	14300	39648	\N	\N	\N
920119	3135	1994-10-23	VYDAJ	VYBER	12700	40397	\N	\N	\N
920120	3135	1994-11-22	VYDAJ	VYBER	10400	39843	\N	\N	\N
920121	3135	1994-12-22	VYDAJ	VYBER	18700	41597	\N	\N	\N
920122	3135	1995-01-21	VYDAJ	VYBER	12700	42354	\N	\N	\N
920123	3135	1995-02-20	VYDAJ	VYBER	15800	36882	\N	\N	\N
920124	3135	1995-03-22	VYDAJ	VYBER	9900	32255	\N	\N	\N
920125	3135	1995-04-21	VYDAJ	VYBER	8100	33004	\N	\N	\N
920126	3135	1995-05-21	VYDAJ	VYBER	9600	34659	\N	\N	\N
920127	3135	1995-06-20	VYDAJ	VYBER	14300	43818	\N	\N	\N
920128	3135	1995-07-20	VYDAJ	VYBER	16600	40664	\N	\N	\N
920129	3135	1995-08-19	VYDAJ	VYBER	13400	40716	\N	\N	\N
920130	3135	1995-09-18	VYDAJ	VYBER	14500	39658	\N	\N	\N
920131	3135	1995-10-18	VYDAJ	VYBER	11000	34772	\N	\N	\N
920132	3135	1995-11-17	VYDAJ	VYBER	15300	32885	\N	\N	\N
920133	3135	1995-12-17	VYDAJ	VYBER	20400	35939	\N	\N	\N
920134	3135	1996-01-16	VYDAJ	VYBER	12100	35977	\N	\N	\N
920135	3135	1996-02-15	VYDAJ	VYBER	11100	35287	\N	\N	\N
920136	3135	1996-03-16	VYDAJ	VYBER	13800	34895	\N	\N	\N
920137	3135	1996-04-15	VYDAJ	VYBER	12300	36007	\N	\N	\N
920138	3135	1996-05-15	VYDAJ	VYBER	7600	36294	\N	\N	\N
920139	3135	1996-06-14	VYDAJ	VYBER	14400	45342	\N	\N	\N
920140	3135	1996-07-14	VYDAJ	VYBER	11100	38312	\N	\N	\N
920141	3135	1996-08-13	VYDAJ	VYBER	14200	37530	\N	\N	\N
920142	3135	1996-09-12	VYDAJ	VYBER	13000	37949	\N	\N	\N
920143	3135	1996-10-12	VYDAJ	VYBER	11700	39666	\N	\N	\N
920144	3135	1996-11-11	VYDAJ	VYBER	12200	47701	\N	\N	\N
920145	3135	1996-12-11	VYDAJ	VYBER	18000	47429	\N	\N	\N
920146	3135	1997-01-10	VYDAJ	VYBER	19700	38282	\N	\N	\N
920147	3135	1997-02-09	VYDAJ	VYBER	17500	34178	\N	\N	\N
920148	3135	1997-03-11	VYDAJ	VYBER	10700	36856	\N	\N	\N
920149	3135	1997-04-10	VYDAJ	VYBER	14800	35434	\N	\N	\N
920150	3135	1997-05-10	VYDAJ	VYBER	10900	37913	\N	\N	\N
920151	3135	1997-06-09	VYDAJ	VYBER	19600	41740	\N	\N	\N
920152	3135	1997-07-09	VYDAJ	VYBER	17000	38139	\N	\N	\N
920153	3135	1997-08-08	VYDAJ	VYBER	9900	41632	\N	\N	\N
920154	3135	1997-09-07	VYDAJ	VYBER	14200	37468	\N	\N	\N
920155	3135	1997-10-07	VYDAJ	VYBER	9900	40964	\N	\N	\N
920156	3135	1997-11-06	PRIJEM	VKLAD	100	34381	\N	\N	\N
920157	3135	1997-12-06	VYDAJ	VYBER	4800	43028	\N	\N	\N
920158	3135	1998-01-05	VYDAJ	VYBER	10500	51442	\N	\N	\N
920159	3135	1998-02-04	VYDAJ	VYBER	12100	52868	\N	\N	\N
920160	3135	1998-03-06	VYDAJ	VYBER	8700	53261	\N	\N	\N
920161	3135	1998-04-05	VYDAJ	VYBER	9100	57694	\N	\N	\N
920162	3135	1998-05-05	VYDAJ	VYBER	15600	55645	\N	\N	\N
920163	3135	1998-06-04	VYDAJ	VYBER	12300	56892	\N	\N	\N
920164	3135	1998-07-04	VYDAJ	VYBER	21700	58819	\N	\N	\N
920165	3135	1998-08-03	VYDAJ	VYBER	9700	54626	\N	\N	\N
920166	3135	1998-09-02	VYDAJ	VYBER	13800	54364	\N	\N	\N
920167	3135	1998-10-02	VYDAJ	VYBER	6200	61704	\N	\N	\N
920168	3135	1998-11-01	VYDAJ	VYBER	9000	66269	\N	\N	\N
920169	3135	1998-12-01	VYDAJ	VYBER	12400	67454	\N	\N	\N
920230	3136	1993-08-07	PRIJEM	VKLAD	900	900	\N	\N	\N
920239	3136	1993-09-07	PRIJEM	VKLAD	11429	22529	\N	\N	\N
920240	3136	1993-10-07	PRIJEM	VKLAD	11429	33733	\N	\N	\N
920241	3136	1993-11-07	PRIJEM	VKLAD	11429	40294	\N	\N	\N
920242	3136	1993-12-07	PRIJEM	VKLAD	17144	50900	\N	\N	\N
920243	3136	1994-01-07	PRIJEM	VKLAD	11429	47133	\N	\N	\N
920244	3136	1994-02-07	PRIJEM	VKLAD	11429	38071	\N	\N	\N
920245	3136	1994-03-07	PRIJEM	VKLAD	11429	38178	\N	\N	\N
920246	3136	1994-04-07	PRIJEM	VKLAD	11429	39585	\N	\N	\N
920247	3136	1994-05-07	PRIJEM	VKLAD	11429	38497	\N	\N	\N
920248	3136	1994-06-07	PRIJEM	VKLAD	17144	45522	\N	\N	\N
920249	3136	1994-07-07	PRIJEM	VKLAD	11429	44254	\N	\N	\N
920250	3136	1994-08-07	PRIJEM	VKLAD	11429	42188	\N	\N	\N
920251	3136	1994-09-07	PRIJEM	VKLAD	11429	42908	\N	\N	\N
920252	3136	1994-10-07	PRIJEM	VKLAD	11429	43035	\N	\N	\N
920253	3136	1994-11-07	PRIJEM	VKLAD	11429	43562	\N	\N	\N
920254	3136	1994-12-07	PRIJEM	VKLAD	17144	43204	\N	\N	\N
920255	3136	1995-01-07	PRIJEM	VKLAD	11429	37222	\N	\N	\N
920256	3136	1995-02-07	PRIJEM	VKLAD	11429	37715	\N	\N	\N
920257	3136	1995-03-07	PRIJEM	VKLAD	11429	38003	\N	\N	\N
920258	3136	1995-04-07	PRIJEM	VKLAD	11429	41302	\N	\N	\N
920259	3136	1995-05-07	PRIJEM	VKLAD	11429	43513	\N	\N	\N
920260	3136	1995-06-07	PRIJEM	VKLAD	17144	51949	\N	\N	\N
920261	3136	1995-07-07	PRIJEM	VKLAD	11429	37358	\N	\N	\N
920262	3136	1995-08-07	PRIJEM	VKLAD	11429	43154	\N	\N	\N
920263	3136	1995-09-07	PRIJEM	VKLAD	11429	46973	\N	\N	\N
920264	3136	1995-10-07	PRIJEM	VKLAD	11429	45704	\N	\N	\N
920265	3136	1995-11-07	PRIJEM	VKLAD	11429	45130	\N	\N	\N
920266	3136	1995-12-07	PRIJEM	VKLAD	17144	53070	\N	\N	\N
920267	3136	1996-01-07	PRIJEM	VKLAD	11429	50519	\N	\N	\N
920268	3136	1996-02-07	PRIJEM	VKLAD	11429	45351	\N	\N	\N
920269	3136	1996-03-07	PRIJEM	VKLAD	11429	49278	\N	\N	\N
920270	3136	1996-04-07	PRIJEM	VKLAD	11429	51219	\N	\N	\N
920271	3136	1996-05-07	PRIJEM	VKLAD	11429	54570	\N	\N	\N
920272	3136	1996-06-07	PRIJEM	VKLAD	17144	62345	\N	\N	\N
920273	3136	1996-07-07	PRIJEM	VKLAD	11429	34722	\N	\N	\N
920274	3136	1996-08-07	PRIJEM	VKLAD	11429	47516	\N	\N	\N
920275	3136	1996-09-07	PRIJEM	VKLAD	11429	54556	\N	\N	\N
920276	3136	1996-10-07	PRIJEM	VKLAD	11429	58821	\N	\N	\N
920277	3136	1996-11-07	PRIJEM	VKLAD	11429	58295	\N	\N	\N
920278	3136	1996-12-07	PRIJEM	VKLAD	17144	61684	\N	\N	\N
920279	3136	1997-01-07	PRIJEM	VKLAD	11429	59267	\N	\N	\N
920280	3136	1997-02-07	PRIJEM	VKLAD	11429	59754	\N	\N	\N
920281	3136	1997-03-07	PRIJEM	VKLAD	11429	62038	\N	\N	\N
920282	3136	1997-04-07	PRIJEM	VKLAD	11429	68541	\N	\N	\N
920283	3136	1997-05-07	PRIJEM	VKLAD	11429	74366	\N	\N	\N
920284	3136	1997-06-07	PRIJEM	VKLAD	17144	70421	\N	\N	\N
920285	3136	1997-07-07	PRIJEM	VKLAD	11429	75259	\N	\N	\N
920286	3136	1997-08-07	PRIJEM	VKLAD	11429	73304	\N	\N	\N
920287	3136	1997-09-07	PRIJEM	VKLAD	11429	72841	\N	\N	\N
920288	3136	1997-10-07	PRIJEM	VKLAD	11429	72979	\N	\N	\N
920289	3136	1997-11-07	PRIJEM	VKLAD	11429	74918	\N	\N	\N
920290	3136	1997-12-07	PRIJEM	VKLAD	17144	82875	\N	\N	\N
920291	3136	1998-01-07	PRIJEM	VKLAD	11429	69230	\N	\N	\N
920292	3136	1998-02-07	PRIJEM	VKLAD	11429	67748	\N	\N	\N
920293	3136	1998-03-07	PRIJEM	VKLAD	11429	69157	\N	\N	\N
920294	3136	1998-04-07	PRIJEM	VKLAD	11429	74883	\N	\N	\N
920295	3136	1998-05-07	PRIJEM	VKLAD	11429	78727	\N	\N	\N
920296	3136	1998-06-07	PRIJEM	VKLAD	17144	81795	\N	\N	\N
920297	3136	1998-07-07	PRIJEM	VKLAD	11429	61329	\N	\N	\N
920298	3136	1998-08-07	PRIJEM	VKLAD	11429	65818	\N	\N	\N
920299	3136	1998-09-07	PRIJEM	VKLAD	11429	69123	\N	\N	\N
920300	3136	1998-10-07	PRIJEM	VKLAD	11429	71840	\N	\N	\N
920301	3136	1998-11-07	PRIJEM	VKLAD	11429	76673	\N	\N	\N
920302	3136	1998-12-07	PRIJEM	VKLAD	17144	86549	\N	\N	\N
920315	3136	1994-01-14	VYDAJ	PREVOD NA UCET	2655	39589	SIPO	CD	66834139
920316	3136	1994-02-14	VYDAJ	PREVOD NA UCET	2655	31927	SIPO	CD	66834139
920317	3136	1994-03-14	VYDAJ	PREVOD NA UCET	2655	32034	SIPO	CD	66834139
920318	3136	1994-04-14	VYDAJ	PREVOD NA UCET	2655	33441	SIPO	CD	66834139
920319	3136	1994-05-14	VYDAJ	PREVOD NA UCET	2655	32353	SIPO	CD	66834139
920320	3136	1994-06-14	VYDAJ	PREVOD NA UCET	2655	39378	SIPO	CD	66834139
920321	3136	1994-07-14	VYDAJ	PREVOD NA UCET	2655	38110	SIPO	CD	66834139
920322	3136	1994-08-14	VYDAJ	PREVOD NA UCET	2655	36044	SIPO	CD	66834139
920323	3136	1994-09-14	VYDAJ	PREVOD NA UCET	2655	36764	SIPO	CD	66834139
920324	3136	1994-10-14	VYDAJ	PREVOD NA UCET	2655	36891	SIPO	CD	66834139
920325	3136	1994-11-14	VYDAJ	PREVOD NA UCET	2655	37418	SIPO	CD	66834139
920326	3136	1994-12-14	VYDAJ	PREVOD NA UCET	2655	36160	SIPO	CD	66834139
920327	3136	1995-01-14	VYDAJ	PREVOD NA UCET	2655	31078	SIPO	CD	66834139
920328	3136	1995-02-14	VYDAJ	PREVOD NA UCET	2655	28271	SIPO	CD	66834139
920329	3136	1995-03-14	VYDAJ	PREVOD NA UCET	2655	31859	SIPO	CD	66834139
920330	3136	1995-04-14	VYDAJ	PREVOD NA UCET	2655	35158	SIPO	CD	66834139
920331	3136	1995-05-14	VYDAJ	PREVOD NA UCET	2655	37369	SIPO	CD	66834139
920332	3136	1995-06-14	VYDAJ	PREVOD NA UCET	2655	45805	SIPO	CD	66834139
920333	3136	1995-07-14	VYDAJ	PREVOD NA UCET	2655	31214	SIPO	CD	66834139
920334	3136	1995-08-14	VYDAJ	PREVOD NA UCET	2655	37010	SIPO	CD	66834139
920335	3136	1995-09-14	VYDAJ	PREVOD NA UCET	2655	40829	SIPO	CD	66834139
920336	3136	1995-10-14	VYDAJ	PREVOD NA UCET	2655	39560	SIPO	CD	66834139
920337	3136	1995-11-14	VYDAJ	PREVOD NA UCET	2655	38986	SIPO	CD	66834139
920338	3136	1995-12-14	VYDAJ	PREVOD NA UCET	2655	46926	SIPO	CD	66834139
920339	3136	1996-01-14	VYDAJ	PREVOD NA UCET	2655	41075	SIPO	CD	66834139
920340	3136	1996-02-14	VYDAJ	PREVOD NA UCET	2655	39207	SIPO	CD	66834139
920341	3136	1996-03-14	VYDAJ	PREVOD NA UCET	2655	43134	SIPO	CD	66834139
920342	3136	1996-04-14	VYDAJ	PREVOD NA UCET	2655	45075	SIPO	CD	66834139
920343	3136	1996-05-14	VYDAJ	PREVOD NA UCET	2655	48426	SIPO	CD	66834139
920344	3136	1996-06-14	VYDAJ	PREVOD NA UCET	2655	56201	SIPO	CD	66834139
920345	3136	1996-07-14	VYDAJ	PREVOD NA UCET	2655	28578	SIPO	CD	66834139
920346	3136	1996-08-14	VYDAJ	PREVOD NA UCET	2655	41372	SIPO	CD	66834139
920347	3136	1996-09-14	VYDAJ	PREVOD NA UCET	2655	48412	SIPO	CD	66834139
920348	3136	1996-10-14	VYDAJ	PREVOD NA UCET	2655	52677	SIPO	CD	66834139
920349	3136	1996-11-14	VYDAJ	PREVOD NA UCET	2655	52151	SIPO	CD	66834139
920350	3136	1996-12-14	VYDAJ	PREVOD NA UCET	2655	51940	SIPO	CD	66834139
920351	3136	1997-01-14	VYDAJ	PREVOD NA UCET	2655	49523	SIPO	CD	66834139
920352	3136	1997-02-14	VYDAJ	PREVOD NA UCET	2655	53610	SIPO	CD	66834139
920353	3136	1997-03-14	VYDAJ	PREVOD NA UCET	2655	55894	SIPO	CD	66834139
920354	3136	1997-04-14	VYDAJ	PREVOD NA UCET	2655	62397	SIPO	CD	66834139
920355	3136	1997-05-14	VYDAJ	PREVOD NA UCET	2655	68222	SIPO	CD	66834139
920356	3136	1997-06-14	VYDAJ	PREVOD NA UCET	2655	64277	SIPO	CD	66834139
920357	3136	1997-07-14	VYDAJ	PREVOD NA UCET	2655	69115	SIPO	CD	66834139
920358	3136	1997-08-14	VYDAJ	PREVOD NA UCET	2655	67160	SIPO	CD	66834139
920359	3136	1997-09-14	VYDAJ	PREVOD NA UCET	2655	66697	SIPO	CD	66834139
920360	3136	1997-10-14	VYDAJ	PREVOD NA UCET	2655	64435	SIPO	CD	66834139
920361	3136	1997-11-14	VYDAJ	PREVOD NA UCET	2655	65474	SIPO	CD	66834139
920362	3136	1997-12-14	VYDAJ	PREVOD NA UCET	2655	76731	SIPO	CD	66834139
920363	3136	1998-01-14	VYDAJ	PREVOD NA UCET	2655	62986	SIPO	CD	66834139
920364	3136	1998-02-14	VYDAJ	PREVOD NA UCET	2655	57504	SIPO	CD	66834139
920365	3136	1998-03-14	VYDAJ	PREVOD NA UCET	2655	63213	SIPO	CD	66834139
920366	3136	1998-04-14	VYDAJ	PREVOD NA UCET	2655	67039	SIPO	CD	66834139
920367	3136	1998-05-14	VYDAJ	PREVOD NA UCET	2655	67883	SIPO	CD	66834139
920368	3136	1998-06-14	VYDAJ	PREVOD NA UCET	2655	68551	SIPO	CD	66834139
920369	3136	1998-07-14	VYDAJ	PREVOD NA UCET	2655	54185	SIPO	CD	66834139
920370	3136	1998-08-14	VYDAJ	PREVOD NA UCET	2655	57474	SIPO	CD	66834139
920371	3136	1998-09-14	VYDAJ	PREVOD NA UCET	2655	61879	SIPO	CD	66834139
920372	3136	1998-10-14	VYDAJ	PREVOD NA UCET	2655	64996	SIPO	CD	66834139
920373	3136	1998-11-14	VYDAJ	PREVOD NA UCET	2655	72429	SIPO	CD	66834139
920374	3136	1998-12-14	VYDAJ	PREVOD NA UCET	2655	69705	SIPO	CD	66834139
920387	3136	1994-01-09	VYDAJ	PREVOD NA UCET	3489	43644	 	UV	29040438
920388	3136	1994-02-09	VYDAJ	PREVOD NA UCET	3489	34582	 	UV	29040438
920389	3136	1994-03-09	VYDAJ	PREVOD NA UCET	3489	34689	 	UV	29040438
920390	3136	1994-04-09	VYDAJ	PREVOD NA UCET	3489	36096	 	UV	29040438
920391	3136	1994-05-09	VYDAJ	PREVOD NA UCET	3489	35008	 	UV	29040438
920392	3136	1994-06-09	VYDAJ	PREVOD NA UCET	3489	42033	 	UV	29040438
920393	3136	1994-07-09	VYDAJ	PREVOD NA UCET	3489	40765	 	UV	29040438
920394	3136	1994-08-09	VYDAJ	PREVOD NA UCET	3489	38699	 	UV	29040438
920395	3136	1994-09-09	VYDAJ	PREVOD NA UCET	3489	39419	 	UV	29040438
920396	3136	1994-10-09	VYDAJ	PREVOD NA UCET	3489	39546	 	UV	29040438
920397	3136	1994-11-09	VYDAJ	PREVOD NA UCET	3489	40073	 	UV	29040438
920398	3136	1994-12-09	VYDAJ	PREVOD NA UCET	3489	39715	 	UV	29040438
920399	3136	1995-01-09	VYDAJ	PREVOD NA UCET	3489	33733	 	UV	29040438
920400	3136	1995-02-09	VYDAJ	PREVOD NA UCET	3489	34226	 	UV	29040438
920401	3136	1995-03-09	VYDAJ	PREVOD NA UCET	3489	34514	 	UV	29040438
920402	3136	1995-04-09	VYDAJ	PREVOD NA UCET	3489	37813	 	UV	29040438
920403	3136	1995-05-09	VYDAJ	PREVOD NA UCET	3489	40024	 	UV	29040438
920404	3136	1995-06-09	VYDAJ	PREVOD NA UCET	3489	48460	 	UV	29040438
920405	3136	1995-07-09	VYDAJ	PREVOD NA UCET	3489	33869	 	UV	29040438
920406	3136	1995-08-09	VYDAJ	PREVOD NA UCET	3489	39665	 	UV	29040438
920407	3136	1995-09-09	VYDAJ	PREVOD NA UCET	3489	43484	 	UV	29040438
920408	3136	1995-10-09	VYDAJ	PREVOD NA UCET	3489	42215	 	UV	29040438
920409	3136	1995-11-09	VYDAJ	PREVOD NA UCET	3489	41641	 	UV	29040438
920410	3136	1995-12-09	VYDAJ	PREVOD NA UCET	3489	49581	 	UV	29040438
920411	3136	1996-01-09	VYDAJ	PREVOD NA UCET	3489	46230	 	UV	29040438
920412	3136	1996-02-09	VYDAJ	PREVOD NA UCET	3489	41862	 	UV	29040438
920413	3136	1996-03-09	VYDAJ	PREVOD NA UCET	3489	45789	 	UV	29040438
920414	3136	1996-04-09	VYDAJ	PREVOD NA UCET	3489	47730	 	UV	29040438
920415	3136	1996-05-09	VYDAJ	PREVOD NA UCET	3489	51081	 	UV	29040438
920416	3136	1996-06-09	VYDAJ	PREVOD NA UCET	3489	58856	 	UV	29040438
920417	3136	1996-07-09	VYDAJ	PREVOD NA UCET	3489	31233	 	UV	29040438
920418	3136	1996-08-09	VYDAJ	PREVOD NA UCET	3489	44027	 	UV	29040438
920419	3136	1996-09-09	VYDAJ	PREVOD NA UCET	3489	51067	 	UV	29040438
920420	3136	1996-10-09	VYDAJ	PREVOD NA UCET	3489	55332	 	UV	29040438
920421	3136	1996-11-09	VYDAJ	PREVOD NA UCET	3489	54806	 	UV	29040438
920422	3136	1996-12-09	VYDAJ	PREVOD NA UCET	3489	58195	 	UV	29040438
920423	3136	1997-01-09	VYDAJ	PREVOD NA UCET	3489	54878	 	UV	29040438
920424	3136	1997-02-09	VYDAJ	PREVOD NA UCET	3489	56265	 	UV	29040438
920425	3136	1997-03-09	VYDAJ	PREVOD NA UCET	3489	58549	 	UV	29040438
920426	3136	1997-04-09	VYDAJ	PREVOD NA UCET	3489	65052	 	UV	29040438
920427	3136	1997-05-09	VYDAJ	PREVOD NA UCET	3489	70877	 	UV	29040438
920428	3136	1997-06-09	VYDAJ	PREVOD NA UCET	3489	66932	 	UV	29040438
920429	3136	1997-07-09	VYDAJ	PREVOD NA UCET	3489	71770	 	UV	29040438
920430	3136	1997-08-09	VYDAJ	PREVOD NA UCET	3489	69815	 	UV	29040438
920431	3136	1997-09-09	VYDAJ	PREVOD NA UCET	3489	69352	 	UV	29040438
920432	3136	1997-10-09	VYDAJ	PREVOD NA UCET	3489	67090	 	UV	29040438
920433	3136	1997-11-09	VYDAJ	PREVOD NA UCET	3489	71429	 	UV	29040438
920434	3136	1997-12-09	VYDAJ	PREVOD NA UCET	3489	79386	 	UV	29040438
920435	3136	1998-01-09	VYDAJ	PREVOD NA UCET	3489	65741	 	UV	29040438
920436	3136	1998-02-09	VYDAJ	PREVOD NA UCET	3489	64259	 	UV	29040438
920437	3136	1998-03-09	VYDAJ	PREVOD NA UCET	3489	65668	 	UV	29040438
920438	3136	1998-04-09	VYDAJ	PREVOD NA UCET	3489	71394	 	UV	29040438
920439	3136	1998-05-09	VYDAJ	PREVOD NA UCET	3489	75238	 	UV	29040438
920440	3136	1998-06-09	VYDAJ	PREVOD NA UCET	3489	78306	 	UV	29040438
920441	3136	1998-07-09	VYDAJ	PREVOD NA UCET	3489	57840	 	UV	29040438
920442	3136	1998-08-09	VYDAJ	PREVOD NA UCET	3489	62329	 	UV	29040438
920443	3136	1998-09-09	VYDAJ	PREVOD NA UCET	3489	65634	 	UV	29040438
920444	3136	1998-10-09	VYDAJ	PREVOD NA UCET	3489	68351	 	UV	29040438
920445	3136	1998-11-09	VYDAJ	PREVOD NA UCET	3489	75084	 	UV	29040438
920446	3136	1998-12-09	VYDAJ	PREVOD NA UCET	3489	83060	 	UV	29040438
920449	3136	1995-06-15	VYDAJ	VYBER	16800	29005	\N	\N	\N
920450	3136	1996-06-29	VYDAJ	VYBER	26500	23101	\N	\N	\N
920451	3136	1997-06-03	VYDAJ	VYBER	11000	53277	\N	\N	\N
920452	3136	1998-06-21	VYDAJ	VYBER	18900	49651	\N	\N	\N
920454	3136	1994-12-11	VYDAJ	VYBER	900	38815	\N	\N	\N
920455	3136	1995-12-30	VYDAJ	VYBER	1700	38926	\N	\N	\N
920456	3136	1996-12-05	VYDAJ	VYBER	2900	44540	\N	\N	\N
920457	3136	1997-12-18	VYDAJ	VYBER	2800	65131	\N	\N	\N
920458	3136	1998-12-12	VYDAJ	VYBER	2800	72360	\N	\N	\N
920465	3136	1994-01-11	VYDAJ	VYBER	1400	42244	\N	\N	\N
920467	3136	1994-01-24	VYDAJ	VYBER	2700	31789	\N	\N	\N
920469	3136	1994-01-22	VYDAJ	VYBER	2800	34489	\N	\N	\N
920470	3136	1994-01-19	VYDAJ	VYBER	2300	37289	\N	\N	\N
920471	3136	1995-01-19	VYDAJ	VYBER	600	28078	\N	\N	\N
920472	3136	1995-01-02	VYDAJ	VYBER	2100	25793	\N	\N	\N
920473	3136	1995-01-29	VYDAJ	VYBER	1400	26178	\N	\N	\N
920474	3136	1995-01-14	VYDAJ	VYBER	2400	28678	\N	\N	\N
920475	3136	1995-01-22	VYDAJ	VYBER	500	27578	\N	\N	\N
920476	3136	1995-01-28	VYDAJ	VYBER	2800	24778	\N	\N	\N
920477	3136	1996-01-08	VYDAJ	VYBER	800	49719	\N	\N	\N
920478	3136	1996-01-24	VYDAJ	VYBER	2600	34375	\N	\N	\N
920479	3136	1996-01-12	VYDAJ	VYBER	2500	43730	\N	\N	\N
920480	3136	1996-01-18	VYDAJ	VYBER	2700	38375	\N	\N	\N
920481	3136	1996-01-22	VYDAJ	VYBER	2800	35575	\N	\N	\N
920482	3136	1996-01-26	VYDAJ	VYBER	600	33775	\N	\N	\N
920483	3136	1997-01-07	VYDAJ	VYBER	900	58367	\N	\N	\N
920484	3136	1997-01-11	VYDAJ	VYBER	1100	53778	\N	\N	\N
920485	3136	1997-01-02	VYDAJ	VYBER	1700	47838	\N	\N	\N
920486	3136	1997-01-18	VYDAJ	VYBER	2700	48123	\N	\N	\N
920487	3136	1997-01-18	VYDAJ	VYBER	2400	50823	\N	\N	\N
920488	3136	1997-01-13	VYDAJ	VYBER	1600	52178	\N	\N	\N
920489	3136	1998-01-26	VYDAJ	VYBER	2100	56086	\N	\N	\N
920490	3136	1998-01-03	VYDAJ	VYBER	2500	57801	\N	\N	\N
920491	3136	1998-01-02	VYDAJ	VYBER	2600	60301	\N	\N	\N
920492	3136	1998-01-11	VYDAJ	VYBER	900	64841	\N	\N	\N
920493	3136	1998-01-12	VYDAJ	VYBER	1100	63741	\N	\N	\N
920494	3136	1998-01-01	VYDAJ	VYBER	2500	62901	\N	\N	\N
920502	3136	1994-12-06	VYDAJ	VYBER	4000	26060	\N	\N	\N
920503	3136	1994-08-02	VYDAJ	VYBER	1800	30759	\N	\N	\N
920504	3136	1994-07-31	VYDAJ	VYBER	1400	36873	\N	\N	\N
920505	3136	1994-12-17	VYDAJ	VYBER	3700	32460	\N	\N	\N
920506	3136	1995-02-11	VYDAJ	VYBER	3300	30926	\N	\N	\N
920507	3136	1995-03-31	VYDAJ	VYBER	700	29887	\N	\N	\N
920508	3136	1995-06-22	VYDAJ	VYBER	3100	25905	\N	\N	\N
920509	3136	1996-10-18	VYDAJ	VYBER	800	51877	\N	\N	\N
920510	3136	1996-05-17	VYDAJ	VYBER	3200	45226	\N	\N	\N
920511	3136	1996-12-13	VYDAJ	VYBER	3600	54595	\N	\N	\N
920512	3136	1997-10-07	VYDAJ	VYBER	2400	70579	\N	\N	\N
920513	3136	1997-08-05	VYDAJ	VYBER	3900	61875	\N	\N	\N
920514	3136	1997-02-16	VYDAJ	VYBER	1300	52310	\N	\N	\N
920515	3136	1997-04-17	VYDAJ	VYBER	2000	60397	\N	\N	\N
920516	3136	1997-03-03	VYDAJ	VYBER	1500	50609	\N	\N	\N
920517	3136	1997-10-01	VYDAJ	VYBER	4100	61550	\N	\N	\N
920518	3136	1998-01-17	VYDAJ	VYBER	4800	58186	\N	\N	\N
920519	3136	1998-06-05	VYDAJ	VYBER	3500	64651	\N	\N	\N
920520	3136	1998-12-02	VYDAJ	VYBER	3300	69405	\N	\N	\N
920521	3136	1998-09-16	VYDAJ	VYBER	1700	60179	\N	\N	\N
920535	3136	1994-01-31	VYDAJ	VYBER	15	31942	SLUZBY	\N	\N
920536	3136	1994-02-28	VYDAJ	VYBER	15	32049	SLUZBY	\N	\N
920537	3136	1994-03-31	VYDAJ	VYBER	15	32156	SLUZBY	\N	\N
920538	3136	1994-04-30	VYDAJ	VYBER	15	33568	SLUZBY	\N	\N
920539	3136	1994-05-31	VYDAJ	VYBER	15	32478	SLUZBY	\N	\N
920540	3136	1994-06-30	VYDAJ	VYBER	15	39525	SLUZBY	\N	\N
920541	3136	1994-07-31	VYDAJ	VYBER	15	36859	SLUZBY	\N	\N
920542	3136	1994-08-31	VYDAJ	VYBER	15	36179	SLUZBY	\N	\N
920543	3136	1994-09-30	VYDAJ	VYBER	15	36906	SLUZBY	\N	\N
920544	3136	1994-10-31	VYDAJ	VYBER	15	37033	SLUZBY	\N	\N
920545	3136	1994-11-30	VYDAJ	VYBER	15	37560	SLUZBY	\N	\N
920546	3136	1994-12-31	VYDAJ	VYBER	15	27893	SLUZBY	\N	\N
920547	3136	1995-01-31	VYDAJ	VYBER	15	26286	SLUZBY	\N	\N
920548	3136	1995-02-28	VYDAJ	VYBER	15	28374	SLUZBY	\N	\N
920549	3136	1995-03-31	VYDAJ	VYBER	15	29873	SLUZBY	\N	\N
920550	3136	1995-04-30	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
920551	3136	1995-05-31	VYDAJ	VYBER	15	34805	SLUZBY	\N	\N
920552	3136	1995-06-30	VYDAJ	VYBER	15	25929	SLUZBY	\N	\N
920553	3136	1995-07-31	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
920554	3136	1995-08-31	VYDAJ	VYBER	15	35544	SLUZBY	\N	\N
920555	3136	1995-09-30	VYDAJ	VYBER	15	34275	SLUZBY	\N	\N
920556	3136	1995-10-31	VYDAJ	VYBER	15	33701	SLUZBY	\N	\N
920557	3136	1995-11-30	VYDAJ	VYBER	15	35926	SLUZBY	\N	\N
920558	3136	1995-12-31	VYDAJ	VYBER	15	39090	SLUZBY	\N	\N
920559	3136	1996-01-31	VYDAJ	VYBER	15	33922	SLUZBY	\N	\N
920560	3136	1996-02-29	VYDAJ	VYBER	15	37849	SLUZBY	\N	\N
920561	3136	1996-03-31	VYDAJ	VYBER	15	39790	SLUZBY	\N	\N
920562	3136	1996-04-30	VYDAJ	VYBER	15	43141	SLUZBY	\N	\N
920563	3136	1996-05-31	VYDAJ	VYBER	15	45201	SLUZBY	\N	\N
920564	3136	1996-06-30	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
920565	3136	1996-07-31	VYDAJ	VYBER	15	36087	SLUZBY	\N	\N
920566	3136	1996-08-31	VYDAJ	VYBER	15	43127	SLUZBY	\N	\N
920567	3136	1996-09-30	VYDAJ	VYBER	15	47392	SLUZBY	\N	\N
920568	3136	1996-10-31	VYDAJ	VYBER	15	46866	SLUZBY	\N	\N
920569	3136	1996-11-30	VYDAJ	VYBER	15	47440	SLUZBY	\N	\N
920570	3136	1996-12-31	VYDAJ	VYBER	15	49538	SLUZBY	\N	\N
920571	3136	1997-01-31	VYDAJ	VYBER	15	48325	SLUZBY	\N	\N
920572	3136	1997-02-28	VYDAJ	VYBER	15	52109	SLUZBY	\N	\N
920573	3136	1997-03-31	VYDAJ	VYBER	15	57112	SLUZBY	\N	\N
920574	3136	1997-04-30	VYDAJ	VYBER	15	62937	SLUZBY	\N	\N
920575	3136	1997-05-31	VYDAJ	VYBER	15	64277	SLUZBY	\N	\N
920576	3136	1997-06-30	VYDAJ	VYBER	15	63830	SLUZBY	\N	\N
920577	3136	1997-07-31	VYDAJ	VYBER	15	65775	SLUZBY	\N	\N
920578	3136	1997-08-31	VYDAJ	VYBER	15	61412	SLUZBY	\N	\N
920579	3136	1997-09-30	VYDAJ	VYBER	15	65650	SLUZBY	\N	\N
920580	3136	1997-10-31	VYDAJ	VYBER	15	63489	SLUZBY	\N	\N
920581	3136	1997-11-30	VYDAJ	VYBER	15	65731	SLUZBY	\N	\N
920582	3136	1997-12-31	VYDAJ	VYBER	15	65401	SLUZBY	\N	\N
920583	3136	1998-01-31	VYDAJ	VYBER	15	56319	SLUZBY	\N	\N
920584	3136	1998-02-28	VYDAJ	VYBER	15	57728	SLUZBY	\N	\N
920585	3136	1998-03-31	VYDAJ	VYBER	15	63454	SLUZBY	\N	\N
920586	3136	1998-04-30	VYDAJ	VYBER	15	67298	SLUZBY	\N	\N
920587	3136	1998-05-31	VYDAJ	VYBER	15	68151	SLUZBY	\N	\N
920588	3136	1998-06-30	VYDAJ	VYBER	15	49900	SLUZBY	\N	\N
920589	3136	1998-07-31	VYDAJ	VYBER	15	54389	SLUZBY	\N	\N
920590	3136	1998-08-31	VYDAJ	VYBER	15	57694	SLUZBY	\N	\N
920591	3136	1998-09-30	VYDAJ	VYBER	15	60411	SLUZBY	\N	\N
920592	3136	1998-10-31	VYDAJ	VYBER	15	65244	SLUZBY	\N	\N
920593	3136	1998-11-30	VYDAJ	VYBER	15	72705	SLUZBY	\N	\N
920594	3136	1993-09-06	PRIJEM	VKLAD	10200	11100	\N	\N	\N
920595	3136	1993-10-06	VYDAJ	VYBER	300	22304	\N	\N	\N
920596	3136	1993-11-05	VYDAJ	VYBER	5000	28865	\N	\N	\N
920597	3136	1993-12-05	VYDAJ	VYBER	6700	33756	\N	\N	\N
920598	3136	1994-01-04	VYDAJ	VYBER	15400	35704	\N	\N	\N
920599	3136	1994-02-03	VYDAJ	VYBER	5300	26642	\N	\N	\N
920600	3136	1994-03-05	VYDAJ	VYBER	5300	26749	\N	\N	\N
920601	3136	1994-04-04	VYDAJ	VYBER	4000	28156	\N	\N	\N
920602	3136	1994-05-04	VYDAJ	VYBER	6500	27068	\N	\N	\N
920603	3136	1994-06-03	VYDAJ	VYBER	4100	28378	\N	\N	\N
920604	3136	1994-07-03	VYDAJ	VYBER	6700	32825	\N	\N	\N
920605	3136	1994-08-02	VYDAJ	VYBER	4300	32559	\N	\N	\N
920606	3136	1994-09-01	VYDAJ	VYBER	4700	31479	\N	\N	\N
920607	3136	1994-10-01	VYDAJ	VYBER	5300	31606	\N	\N	\N
920608	3136	1994-10-31	VYDAJ	VYBER	4900	32133	\N	\N	\N
920609	3136	1994-11-30	VYDAJ	VYBER	7500	30060	\N	\N	\N
920610	3136	1994-12-30	VYDAJ	VYBER	4700	27760	\N	\N	\N
920611	3136	1995-01-29	PRIJEM	VKLAD	2800	27578	\N	\N	\N
920612	3136	1995-02-28	VYDAJ	VYBER	1800	26574	\N	\N	\N
920613	3136	1995-03-30	VYDAJ	VYBER	1400	30459	\N	\N	\N
920614	3136	1995-04-29	VYDAJ	VYBER	3200	31958	\N	\N	\N
920615	3136	1995-05-29	VYDAJ	VYBER	2700	34669	\N	\N	\N
920616	3136	1995-06-28	VYDAJ	VYBER	100	25805	\N	\N	\N
920617	3136	1995-07-28	PRIJEM	VKLAD	400	31614	\N	\N	\N
920618	3136	1995-08-27	VYDAJ	VYBER	1600	35410	\N	\N	\N
920619	3136	1995-09-26	VYDAJ	VYBER	6700	34129	\N	\N	\N
920620	3136	1995-10-26	VYDAJ	VYBER	6000	33560	\N	\N	\N
920621	3136	1995-11-25	VYDAJ	VYBER	3200	35786	\N	\N	\N
920622	3136	1995-12-25	VYDAJ	VYBER	6300	40626	\N	\N	\N
920623	3136	1996-01-24	PRIJEM	VKLAD	1400	36975	\N	\N	\N
920624	3136	1996-02-23	VYDAJ	VYBER	1500	37707	\N	\N	\N
920625	3136	1996-03-24	VYDAJ	VYBER	3500	39634	\N	\N	\N
920626	3136	1996-04-23	VYDAJ	VYBER	2100	42975	\N	\N	\N
920627	3136	1996-05-23	VYDAJ	VYBER	200	45026	\N	\N	\N
920628	3136	1996-06-22	VYDAJ	VYBER	6600	49601	\N	\N	\N
920629	3136	1996-07-22	PRIJEM	VKLAD	7400	35978	\N	\N	\N
920630	3136	1996-08-21	PRIJEM	VKLAD	1600	42972	\N	\N	\N
920631	3136	1996-09-20	VYDAJ	VYBER	1200	47212	\N	\N	\N
920632	3136	1996-10-20	VYDAJ	VYBER	5200	46677	\N	\N	\N
920633	3136	1996-11-19	VYDAJ	VYBER	4900	47251	\N	\N	\N
920634	3136	1996-12-19	VYDAJ	VYBER	2600	49340	\N	\N	\N
920635	3136	1997-01-18	PRIJEM	VKLAD	3700	53223	\N	\N	\N
920636	3136	1997-02-17	VYDAJ	VYBER	400	51910	\N	\N	\N
920637	3136	1997-03-19	PRIJEM	VKLAD	1000	56894	\N	\N	\N
920638	3136	1997-04-18	PRIJEM	VKLAD	2300	62697	\N	\N	\N
920639	3136	1997-05-18	VYDAJ	VYBER	4200	64022	\N	\N	\N
920640	3136	1997-06-17	VYDAJ	VYBER	700	63577	\N	\N	\N
920641	3136	1997-07-17	VYDAJ	VYBER	3600	65515	\N	\N	\N
920642	3136	1997-08-16	VYDAJ	VYBER	6000	61160	\N	\N	\N
920643	3136	1997-09-15	VYDAJ	VYBER	1300	65397	\N	\N	\N
920644	3136	1997-10-15	VYDAJ	VYBER	1200	63235	\N	\N	\N
920645	3136	1997-11-14	VYDAJ	VYBER	3300	68129	\N	\N	\N
920646	3136	1997-12-14	VYDAJ	VYBER	8800	67931	\N	\N	\N
920647	3136	1998-01-13	PRIJEM	VKLAD	1900	65641	\N	\N	\N
920648	3136	1998-02-12	VYDAJ	VYBER	4100	60159	\N	\N	\N
920649	3136	1998-03-14	PRIJEM	VKLAD	200	65868	\N	\N	\N
920650	3136	1998-04-13	VYDAJ	VYBER	1700	69694	\N	\N	\N
920651	3136	1998-05-13	VYDAJ	VYBER	4700	70538	\N	\N	\N
920652	3136	1998-06-12	VYDAJ	VYBER	7100	71206	\N	\N	\N
920653	3136	1998-07-12	VYDAJ	VYBER	1000	56840	\N	\N	\N
920654	3136	1998-08-11	VYDAJ	VYBER	2200	60129	\N	\N	\N
920655	3136	1998-09-10	VYDAJ	VYBER	1100	64534	\N	\N	\N
920656	3136	1998-10-10	VYDAJ	VYBER	700	67651	\N	\N	\N
920657	3136	1998-11-09	PRIJEM	VKLAD	1900	78573	\N	\N	\N
920658	3136	1998-12-09	VYDAJ	VYBER	7900	75160	\N	\N	\N
920723	3137	1996-12-15	PRIJEM	VKLAD	900	900	\N	\N	\N
920736	3137	1997-01-05	PRIJEM	PREVOD Z UCTU	25359	26259	\N	WX	96778356
920737	3137	1997-02-05	PRIJEM	PREVOD Z UCTU	25359	53787	\N	WX	96778356
920738	3137	1997-03-05	PRIJEM	PREVOD Z UCTU	25359	66694	\N	WX	96778356
920739	3137	1997-04-05	PRIJEM	PREVOD Z UCTU	25359	74342	\N	WX	96778356
920740	3137	1997-05-05	PRIJEM	PREVOD Z UCTU	25359	76510	\N	WX	96778356
920741	3137	1997-06-05	PRIJEM	PREVOD Z UCTU	38038	69493	\N	WX	96778356
920742	3137	1997-07-05	PRIJEM	PREVOD Z UCTU	25359	50669	\N	WX	96778356
920743	3137	1997-08-05	PRIJEM	PREVOD Z UCTU	25359	60847	\N	WX	96778356
920744	3137	1997-09-05	PRIJEM	PREVOD Z UCTU	25359	51805	\N	WX	96778356
920745	3137	1997-10-05	PRIJEM	PREVOD Z UCTU	25359	58701	\N	WX	96778356
920746	3137	1997-11-05	PRIJEM	PREVOD Z UCTU	25359	56184	\N	WX	96778356
920747	3137	1997-12-05	PRIJEM	PREVOD Z UCTU	38038	72253	\N	WX	96778356
920748	3137	1998-01-05	PRIJEM	PREVOD Z UCTU	25359	52152	\N	WX	96778356
920749	3137	1998-02-05	PRIJEM	PREVOD Z UCTU	25359	44311	\N	WX	96778356
920750	3137	1998-03-05	PRIJEM	PREVOD Z UCTU	25359	53262	\N	WX	96778356
920751	3137	1998-04-05	PRIJEM	PREVOD Z UCTU	25359	48637	\N	WX	96778356
920752	3137	1998-05-05	PRIJEM	PREVOD Z UCTU	25359	52691	\N	WX	96778356
920753	3137	1998-06-05	PRIJEM	PREVOD Z UCTU	38038	72756	\N	WX	96778356
920754	3137	1998-07-05	PRIJEM	PREVOD Z UCTU	25359	68376	\N	WX	96778356
920755	3137	1998-08-05	PRIJEM	PREVOD Z UCTU	25359	67101	\N	WX	96778356
920756	3137	1998-09-05	PRIJEM	PREVOD Z UCTU	25359	67019	\N	WX	96778356
920757	3137	1998-10-05	PRIJEM	PREVOD Z UCTU	25359	54026	\N	WX	96778356
920758	3137	1998-11-05	PRIJEM	PREVOD Z UCTU	25359	64201	\N	WX	96778356
920759	3137	1998-12-05	PRIJEM	PREVOD Z UCTU	38038	74884	\N	WX	96778356
920776	3137	1997-05-07	VYDAJ	VYBER	4400	45618	\N	\N	0
920777	3137	1997-06-20	VYDAJ	VYBER	3800	25191	\N	\N	0
920778	3137	1997-07-12	VYDAJ	VYBER	3900	46769	\N	\N	0
920779	3137	1997-08-17	VYDAJ	VYBER	2600	29521	\N	\N	0
920780	3137	1997-09-01	VYDAJ	VYBER	3200	26446	\N	\N	0
920781	3137	1997-10-10	VYDAJ	VYBER	3500	55201	\N	\N	0
920782	3137	1997-11-23	VYDAJ	VYBER	4700	34084	\N	\N	0
920783	3137	1997-12-10	VYDAJ	VYBER	5400	41653	\N	\N	0
920784	3137	1997-12-30	VYDAJ	VYBER	3600	26653	\N	\N	0
920785	3137	1998-01-31	VYDAJ	VYBER	3500	18967	\N	\N	0
920786	3137	1998-03-06	VYDAJ	VYBER	4000	49262	\N	\N	0
920787	3137	1998-04-10	VYDAJ	VYBER	4800	27237	\N	\N	0
920788	3137	1998-05-20	VYDAJ	VYBER	4100	34591	\N	\N	0
920789	3137	1998-06-19	VYDAJ	VYBER	4000	42856	\N	\N	0
920790	3137	1998-07-21	VYDAJ	VYBER	3700	41576	\N	\N	0
920791	3137	1998-08-09	VYDAJ	VYBER	4600	41501	\N	\N	0
920792	3137	1998-09-10	VYDAJ	VYBER	3200	40619	\N	\N	0
920793	3137	1998-10-12	VYDAJ	PREVOD NA UCET	4227	38700	UVER	ST	85610150
920794	3137	1998-11-12	VYDAJ	PREVOD NA UCET	4227	45974	UVER	ST	85610150
920795	3137	1998-12-12	VYDAJ	PREVOD NA UCET	4227	50558	UVER	ST	85610150
920809	3137	1997-06-18	VYBER	VYBER	20402	28991	\N	\N	\N
920811	3137	1997-08-12	VYBER	VYBER	20626	40221	\N	\N	\N
920812	3137	1997-05-05	VYBER	VYBER	22892	53618	\N	\N	\N
920818	3137	1998-09-27	VYBER	VYBER	8197	28522	\N	\N	\N
920842	3137	1998-01-23	VYDAJ	VYBER	8400	22352	\N	\N	\N
920852	3137	1997-10-16	VYDAJ	VYBER	5400	30701	\N	\N	\N
920853	3137	1997-05-05	VYDAJ	VYBER	3600	50018	\N	\N	\N
920855	3137	1997-05-10	VYDAJ	VYBER	13800	31818	\N	\N	\N
920856	3137	1997-12-26	VYDAJ	VYBER	11400	30253	\N	\N	\N
920857	3137	1998-09-20	VYDAJ	VYBER	3900	36719	\N	\N	\N
920858	3137	1998-11-28	VYDAJ	VYBER	9300	36674	\N	\N	\N
920859	3137	1998-03-24	VYDAJ	VYBER	9600	23162	\N	\N	\N
920860	3137	1998-04-09	VYDAJ	VYBER	3900	44737	\N	\N	\N
920861	3137	1998-01-13	VYDAJ	VYBER	3300	30752	\N	\N	\N
920880	3137	1997-05-31	VYDAJ	VYBER	15	31455	SLUZBY	\N	\N
920881	3137	1997-06-30	VYDAJ	VYBER	15	25310	SLUZBY	\N	\N
920882	3137	1997-07-31	VYDAJ	VYBER	15	35488	SLUZBY	\N	\N
920883	3137	1997-08-31	VYDAJ	VYBER	15	29646	SLUZBY	\N	\N
920884	3137	1997-09-30	VYDAJ	VYBER	15	33342	SLUZBY	\N	\N
920885	3137	1997-10-31	VYDAJ	VYBER	15	30825	SLUZBY	\N	\N
920886	3137	1997-11-30	VYDAJ	VYBER	15	34215	SLUZBY	\N	\N
920887	3137	1997-12-31	VYDAJ	VYBER	15	26793	SLUZBY	\N	\N
920888	3137	1998-01-31	VYDAJ	VYBER	15	18952	SLUZBY	\N	\N
920889	3137	1998-02-28	VYDAJ	VYBER	15	27903	SLUZBY	\N	\N
920890	3137	1998-03-31	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
920891	3137	1998-04-30	VYDAJ	VYBER	15	27332	SLUZBY	\N	\N
920892	3137	1998-05-31	VYDAJ	VYBER	15	34718	SLUZBY	\N	\N
920893	3137	1998-06-30	VYDAJ	VYBER	15	43017	SLUZBY	\N	\N
920894	3137	1998-07-31	VYDAJ	VYBER	15	41742	SLUZBY	\N	\N
920895	3137	1998-08-31	VYDAJ	VYBER	15	41660	SLUZBY	\N	\N
920896	3137	1998-09-30	VYDAJ	VYBER	15	28667	SLUZBY	\N	\N
920897	3137	1998-10-31	VYDAJ	VYBER	15	38842	SLUZBY	\N	\N
920898	3137	1998-11-30	VYDAJ	VYBER	15	36846	SLUZBY	\N	\N
920899	3137	1997-01-14	PRIJEM	VKLAD	2100	28359	\N	\N	\N
920900	3137	1997-02-13	VYDAJ	VYBER	12600	41187	\N	\N	\N
920901	3137	1997-03-15	VYDAJ	VYBER	17900	48794	\N	\N	\N
920902	3137	1997-04-14	VYDAJ	VYBER	23400	50942	\N	\N	\N
920903	3137	1997-05-14	VYDAJ	VYBER	500	31318	\N	\N	\N
920904	3137	1997-06-13	VYDAJ	VYBER	20100	49393	\N	\N	\N
920905	3137	1997-07-13	VYDAJ	VYBER	11400	35369	\N	\N	\N
920906	3137	1997-08-12	VYDAJ	VYBER	8100	32121	\N	\N	\N
920907	3137	1997-09-11	VYDAJ	VYBER	18600	33205	\N	\N	\N
920908	3137	1997-10-11	VYDAJ	VYBER	19100	36101	\N	\N	\N
920909	3137	1997-11-10	VYDAJ	VYBER	17400	38784	\N	\N	\N
920910	3137	1997-12-10	VYDAJ	VYBER	25200	47053	\N	\N	\N
920911	3137	1998-01-09	VYDAJ	VYBER	18100	34052	\N	\N	\N
920912	3137	1998-02-08	VYDAJ	VYBER	16500	27811	\N	\N	\N
920913	3137	1998-03-10	VYDAJ	VYBER	16500	32762	\N	\N	\N
920914	3137	1998-04-09	VYDAJ	VYBER	12700	32037	\N	\N	\N
920915	3137	1998-05-09	VYDAJ	VYBER	14000	38691	\N	\N	\N
920916	3137	1998-06-08	VYDAJ	VYBER	25900	46856	\N	\N	\N
920917	3137	1998-07-08	VYDAJ	VYBER	23100	45276	\N	\N	\N
920918	3137	1998-08-07	VYDAJ	VYBER	21000	46101	\N	\N	\N
920919	3137	1998-09-06	VYDAJ	VYBER	23200	43819	\N	\N	\N
920920	3137	1998-10-06	VYDAJ	VYBER	11100	42926	\N	\N	\N
920921	3137	1998-11-05	VYDAJ	VYBER	14000	50201	\N	\N	\N
920922	3137	1998-12-05	VYDAJ	VYBER	20100	54784	\N	\N	\N
920947	3138	1996-03-24	PRIJEM	VKLAD	300	300	\N	\N	\N
920948	3138	1996-04-03	PRIJEM	VKLAD	41361	41661	\N	\N	\N
920949	3138	1996-08-27	PRIJEM	VKLAD	2346	34228	\N	\N	\N
920950	3138	1997-01-25	PRIJEM	VKLAD	24908	39255	\N	\N	\N
920951	3138	1997-08-31	PRIJEM	VKLAD	15257	35459	\N	\N	\N
920952	3138	1998-08-08	PRIJEM	VKLAD	6043	19752	\N	\N	\N
920953	3138	1998-06-10	PRIJEM	VKLAD	21839	36217	\N	\N	\N
920957	3138	1996-04-13	PRIJEM	VKLAD	300	41961	\N	\N	\N
920958	3138	1996-05-17	PRIJEM	VKLAD	300	37360	\N	\N	\N
920959	3138	1996-06-14	PRIJEM	VKLAD	300	35412	\N	\N	\N
920960	3138	1996-07-17	PRIJEM	VKLAD	300	34557	\N	\N	\N
920961	3138	1996-08-15	PRIJEM	VKLAD	300	32982	\N	\N	\N
920962	3138	1996-09-17	PRIJEM	VKLAD	300	34650	\N	\N	\N
920963	3138	1996-10-16	PRIJEM	VKLAD	300	35179	\N	\N	\N
920964	3138	1996-11-16	PRIJEM	VKLAD	300	33106	\N	\N	\N
920965	3138	1996-12-15	PRIJEM	VKLAD	300	33329	\N	\N	\N
920966	3138	1997-01-14	PRIJEM	VKLAD	300	21747	\N	\N	\N
920967	3138	1997-02-15	PRIJEM	VKLAD	300	35752	\N	\N	\N
920968	3138	1997-03-17	PRIJEM	VKLAD	300	30279	\N	\N	\N
920969	3138	1997-04-17	PRIJEM	VKLAD	300	31592	\N	\N	\N
920970	3138	1997-05-15	PRIJEM	VKLAD	300	30206	\N	\N	\N
920971	3138	1997-06-13	PRIJEM	VKLAD	300	28117	\N	\N	\N
920972	3138	1997-07-15	PRIJEM	VKLAD	300	25918	\N	\N	\N
920973	3138	1997-08-14	PRIJEM	VKLAD	300	24207	\N	\N	\N
920974	3138	1997-09-16	PRIJEM	VKLAD	300	26444	\N	\N	\N
920975	3138	1997-10-14	PRIJEM	VKLAD	300	23959	\N	\N	\N
920976	3138	1997-11-17	PRIJEM	VKLAD	300	20843	\N	\N	\N
920977	3138	1997-12-15	PRIJEM	VKLAD	300	14118	\N	\N	\N
920978	3138	1998-01-15	PRIJEM	VKLAD	300	11975	\N	\N	\N
920979	3138	1998-02-14	PRIJEM	VKLAD	300	12215	\N	\N	\N
920980	3138	1998-03-13	PRIJEM	VKLAD	300	12553	\N	\N	\N
920981	3138	1998-04-15	PRIJEM	VKLAD	300	13991	\N	\N	\N
920982	3138	1998-05-15	PRIJEM	VKLAD	300	14333	\N	\N	\N
920983	3138	1998-06-15	PRIJEM	VKLAD	300	13317	\N	\N	\N
920984	3138	1998-07-17	PRIJEM	VKLAD	300	13667	\N	\N	\N
920985	3138	1998-08-13	PRIJEM	VKLAD	300	12752	\N	\N	\N
920986	3138	1998-09-16	PRIJEM	VKLAD	300	13093	\N	\N	\N
920987	3138	1998-10-13	PRIJEM	VKLAD	300	13433	\N	\N	\N
920988	3138	1998-11-15	PRIJEM	VKLAD	300	13774	\N	\N	\N
920989	3138	1998-12-13	PRIJEM	VKLAD	300	14116	\N	\N	\N
920992	3138	1998-06-12	VYDAJ	VYBER	15100	13017	\N	\N	\N
920994	3138	1997-01-19	VYDAJ	VYBER	9600	15247	\N	\N	\N
921000	3138	1997-01-06	VYDAJ	VYBER	6700	23947	\N	\N	\N
921002	3138	1996-12-19	VYDAJ	VYBER	900	32429	\N	\N	\N
921003	3138	1997-12-06	VYDAJ	VYBER KARTOU	1500	19418	\N	\N	0
921011	3138	1997-01-30	VYDAJ	VYBER KARTOU	1300	37955	\N	\N	0
921012	3138	1997-01-30	VYDAJ	VYBER KARTOU	1300	36655	\N	\N	0
921013	3138	1997-01-09	VYDAJ	VYBER KARTOU	1500	21747	\N	\N	0
921014	3138	1997-01-09	VYDAJ	VYBER KARTOU	700	23247	\N	\N	0
921015	3138	1997-01-23	VYDAJ	VYBER KARTOU	900	14347	\N	\N	0
921016	3138	1997-01-13	VYDAJ	VYBER KARTOU	300	21447	\N	\N	0
921017	3138	1998-01-04	VYDAJ	VYBER KARTOU	400	13775	\N	\N	0
921027	3138	1997-01-19	VYDAJ	VYBER KARTOU	800	24847	\N	\N	0
921028	3138	1997-10-10	VYDAJ	VYBER KARTOU	1800	23659	\N	\N	0
921029	3138	1997-11-15	VYDAJ	VYBER KARTOU	400	20543	\N	\N	0
921030	3138	1997-06-06	VYDAJ	VYBER KARTOU	2100	27817	\N	\N	0
921031	3138	1997-09-29	VYDAJ	VYBER KARTOU	1100	25344	\N	\N	0
921032	3138	1997-02-01	VYDAJ	VYBER KARTOU	1300	35452	\N	\N	0
921045	3138	1996-07-31	VYDAJ	VYBER	15	32682	SLUZBY	\N	\N
921046	3138	1996-08-31	VYDAJ	VYBER	15	34350	SLUZBY	\N	\N
921047	3138	1996-09-30	VYDAJ	VYBER	15	34879	SLUZBY	\N	\N
921048	3138	1996-10-31	VYDAJ	VYBER	15	32806	SLUZBY	\N	\N
921049	3138	1996-11-30	VYDAJ	VYBER	15	33029	SLUZBY	\N	\N
921050	3138	1996-12-31	VYDAJ	VYBER	15	30647	SLUZBY	\N	\N
921051	3138	1997-01-31	VYDAJ	VYBER	15	36752	SLUZBY	\N	\N
921052	3138	1997-02-28	VYDAJ	VYBER	15	29979	SLUZBY	\N	\N
921053	3138	1997-03-31	VYDAJ	VYBER	15	31292	SLUZBY	\N	\N
921054	3138	1997-04-30	VYDAJ	VYBER	15	29906	SLUZBY	\N	\N
921055	3138	1997-05-31	VYDAJ	VYBER	15	29917	SLUZBY	\N	\N
921056	3138	1997-06-30	VYDAJ	VYBER	15	25618	SLUZBY	\N	\N
921057	3138	1997-07-31	VYDAJ	VYBER	15	23907	SLUZBY	\N	\N
921058	3138	1997-08-31	VYDAJ	VYBER	15	35444	SLUZBY	\N	\N
921059	3138	1997-09-30	VYDAJ	VYBER	15	25459	SLUZBY	\N	\N
921060	3138	1997-10-31	VYDAJ	VYBER	15	21843	SLUZBY	\N	\N
921061	3138	1997-11-30	VYDAJ	VYBER	15	20918	SLUZBY	\N	\N
921062	3138	1997-12-31	VYDAJ	VYBER	15	14175	SLUZBY	\N	\N
921063	3138	1998-01-31	VYDAJ	VYBER	15	12015	SLUZBY	\N	\N
921064	3138	1998-02-28	VYDAJ	VYBER	15	12253	SLUZBY	\N	\N
921065	3138	1998-03-31	VYDAJ	VYBER	15	12591	SLUZBY	\N	\N
921066	3138	1998-04-30	VYDAJ	VYBER	15	14033	SLUZBY	\N	\N
921067	3138	1998-05-31	VYDAJ	VYBER	15	14378	SLUZBY	\N	\N
921068	3138	1998-06-30	VYDAJ	VYBER	15	13367	SLUZBY	\N	\N
921069	3138	1998-07-31	VYDAJ	VYBER	15	13709	SLUZBY	\N	\N
921070	3138	1998-08-31	VYDAJ	VYBER	15	12793	SLUZBY	\N	\N
921071	3138	1998-09-30	VYDAJ	VYBER	15	13133	SLUZBY	\N	\N
921072	3138	1998-10-31	VYDAJ	VYBER	15	13474	SLUZBY	\N	\N
921073	3138	1998-11-30	VYDAJ	VYBER	15	13816	SLUZBY	\N	\N
921074	3138	1996-04-23	VYDAJ	VYBER	5000	36961	\N	\N	\N
921075	3138	1996-05-23	VYDAJ	VYBER	2400	34960	\N	\N	\N
921076	3138	1996-06-22	VYDAJ	VYBER	1300	34112	\N	\N	\N
921077	3138	1996-07-22	VYDAJ	VYBER	2000	32557	\N	\N	\N
921078	3138	1996-08-21	VYDAJ	VYBER	1100	31882	\N	\N	\N
921079	3138	1996-09-20	PRIJEM	VKLAD	100	34750	\N	\N	\N
921080	3138	1996-10-20	VYDAJ	VYBER	2500	32679	\N	\N	\N
921081	3138	1996-11-19	VYDAJ	VYBER	200	32906	\N	\N	\N
921082	3138	1996-12-19	VYDAJ	VYBER	1900	30529	\N	\N	\N
921083	3138	1997-01-18	PRIJEM	VKLAD	3900	25647	\N	\N	\N
921084	3138	1997-02-17	VYDAJ	VYBER	5900	29852	\N	\N	\N
921085	3138	1997-03-19	PRIJEM	VKLAD	900	31179	\N	\N	\N
921086	3138	1997-04-18	VYDAJ	VYBER KARTOU	1800	29792	\N	\N	0
921087	3138	1997-05-18	VYDAJ	VYBER KARTOU	400	29806	\N	\N	0
921088	3138	1997-06-17	VYDAJ	VYBER KARTOU	2600	25517	\N	\N	0
921089	3138	1997-07-17	VYDAJ	VYBER KARTOU	2100	23818	\N	\N	0
921090	3138	1997-08-16	VYDAJ	VYBER	4100	20107	\N	\N	\N
921091	3138	1997-09-15	VYDAJ	VYBER	9300	26144	\N	\N	\N
921092	3138	1997-10-15	VYDAJ	VYBER KARTOU	2200	21759	\N	\N	0
921093	3138	1997-11-14	VYDAJ	VYBER KARTOU	900	20943	\N	\N	0
921094	3138	1997-12-14	VYDAJ	VYBER	5600	13818	\N	\N	\N
921095	3138	1998-01-13	VYDAJ	VYBER KARTOU	2100	11675	\N	\N	0
921096	3138	1998-02-12	VYDAJ	VYBER KARTOU	100	11915	\N	\N	0
921097	3138	1998-04-13	PRIJEM	VKLAD	1100	13691	\N	\N	\N
921098	3138	1998-06-12	VYDAJ	VYBER	8100	28117	\N	\N	\N
921099	3138	1998-08-11	VYDAJ	VYBER	7300	12452	\N	\N	\N
921132	3139	1995-08-30	PRIJEM	VKLAD	200	200	\N	\N	\N
921135	3139	1996-05-12	PRIJEM	VKLAD	23189	37989	\N	\N	\N
921136	3139	1996-05-24	PRIJEM	VKLAD	33231	71220	\N	\N	\N
921137	3139	1997-06-19	PRIJEM	VKLAD	24757	37199	\N	\N	\N
921138	3139	1997-07-10	PRIJEM	VKLAD	42861	63301	\N	\N	\N
921139	3139	1998-05-19	PRIJEM	VKLAD	23141	34186	\N	\N	\N
921140	3139	1998-10-03	PRIJEM	VKLAD	49720	63546	\N	\N	\N
921152	3139	1998-06-02	VYDAJ	VYBER	20000	14317	\N	\N	\N
921160	3139	1998-12-04	VYDAJ	VYBER	1200	15250	\N	\N	\N
921174	3139	1998-08-19	VYDAJ	VYBER	750	13738	\N	\N	\N
921219	3139	1998-05-31	VYDAJ	VYBER	15	34317	SLUZBY	\N	\N
921220	3139	1998-06-30	VYDAJ	VYBER	15	14443	SLUZBY	\N	\N
921221	3139	1998-07-31	VYDAJ	VYBER	15	14488	SLUZBY	\N	\N
921222	3139	1998-08-31	VYDAJ	VYBER	15	13783	SLUZBY	\N	\N
921223	3139	1998-09-30	VYDAJ	VYBER	15	13826	SLUZBY	\N	\N
921224	3139	1998-10-31	VYDAJ	VYBER	15	31835	SLUZBY	\N	\N
921225	3139	1998-11-30	VYDAJ	VYBER	15	16450	SLUZBY	\N	\N
921226	3139	1995-09-29	PRIJEM	VKLAD	13200	13400	\N	\N	\N
921227	3139	1995-10-29	PRIJEM	VKLAD	5600	19000	\N	\N	\N
921228	3139	1995-11-28	PRIJEM	VKLAD	1900	20900	\N	\N	\N
921229	3139	1995-12-28	VYDAJ	VYBER	4200	16700	\N	\N	\N
921230	3139	1996-01-27	PRIJEM	VKLAD	400	17100	\N	\N	\N
921231	3139	1996-02-26	VYDAJ	VYBER	1100	16000	\N	\N	\N
921232	3139	1996-03-27	VYDAJ	VYBER	1300	14700	\N	\N	\N
921233	3139	1996-04-26	PRIJEM	VKLAD	100	14800	\N	\N	\N
921234	3139	1996-05-26	VYDAJ	VYBER	29500	41720	\N	\N	\N
921235	3139	1996-06-25	VYDAJ	VYBER	15300	26473	\N	\N	\N
921236	3139	1996-07-25	VYDAJ	VYBER	7800	18847	\N	\N	\N
921237	3139	1996-08-24	VYDAJ	VYBER	4000	15021	\N	\N	\N
921238	3139	1996-09-23	VYDAJ	VYBER	400	14794	\N	\N	\N
921239	3139	1996-10-23	VYDAJ	VYBER	2700	12268	\N	\N	\N
921240	3139	1997-06-20	VYDAJ	VYBER	16900	20299	\N	\N	\N
921241	3139	1997-07-20	VYDAJ	VYBER	28400	34901	\N	\N	\N
921242	3139	1997-08-19	VYDAJ	VYBER	15500	19509	\N	\N	\N
921243	3139	1997-10-18	VYDAJ	VYBER	5400	14255	\N	\N	\N
921244	3139	1997-12-17	VYDAJ	VYBER	3500	10900	\N	\N	\N
921245	3139	1998-10-13	VYDAJ	VYBER	31800	31746	\N	\N	\N
921246	3139	1998-11-12	VYDAJ	VYBER	15500	16335	\N	\N	\N
921265	3140	1997-05-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
921271	3140	1997-06-12	PRIJEM	VKLAD	9798	10798	\N	\N	\N
921272	3140	1997-07-12	PRIJEM	VKLAD	6532	21670	\N	\N	\N
921273	3140	1997-08-12	PRIJEM	VKLAD	6532	29579	\N	\N	\N
921274	3140	1997-09-12	PRIJEM	VKLAD	6532	36120	\N	\N	\N
921275	3140	1997-10-12	PRIJEM	VKLAD	6532	35693	\N	\N	\N
921276	3140	1997-11-12	PRIJEM	VKLAD	6532	33699	\N	\N	\N
921277	3140	1997-12-12	PRIJEM	VKLAD	9798	36707	\N	\N	\N
921278	3140	1998-01-12	PRIJEM	VKLAD	6532	27566	\N	\N	\N
921279	3140	1998-02-12	PRIJEM	VKLAD	6532	23770	\N	\N	\N
921280	3140	1998-03-12	PRIJEM	VKLAD	6532	28710	\N	\N	\N
921281	3140	1998-04-12	PRIJEM	VKLAD	6532	29376	\N	\N	\N
921282	3140	1998-05-12	PRIJEM	VKLAD	6532	31550	\N	\N	\N
921283	3140	1998-06-12	PRIJEM	VKLAD	9798	29538	\N	\N	\N
921284	3140	1998-07-12	PRIJEM	VKLAD	6532	31037	\N	\N	\N
921285	3140	1998-08-12	PRIJEM	VKLAD	6532	31092	\N	\N	\N
921286	3140	1998-09-12	PRIJEM	VKLAD	6532	28658	\N	\N	\N
921287	3140	1998-10-12	PRIJEM	VKLAD	6532	28321	\N	\N	\N
921288	3140	1998-11-12	PRIJEM	VKLAD	6532	26391	\N	\N	\N
921289	3140	1998-12-12	PRIJEM	VKLAD	9798	22502	\N	\N	\N
921299	3140	1997-10-12	VYDAJ	PREVOD NA UCET	2376	33317	SIPO	OP	56121855
921300	3140	1997-11-12	VYDAJ	PREVOD NA UCET	2376	31323	SIPO	OP	56121855
921301	3140	1997-12-12	VYDAJ	PREVOD NA UCET	2376	34331	SIPO	OP	56121855
921302	3140	1998-01-12	VYDAJ	PREVOD NA UCET	2376	25190	SIPO	OP	56121855
921303	3140	1998-02-12	VYDAJ	PREVOD NA UCET	2376	21394	SIPO	OP	56121855
921304	3140	1998-03-12	VYDAJ	PREVOD NA UCET	2376	26334	SIPO	OP	56121855
921305	3140	1998-04-12	VYDAJ	PREVOD NA UCET	2376	27000	SIPO	OP	56121855
921306	3140	1998-05-12	VYDAJ	PREVOD NA UCET	2376	29174	SIPO	OP	56121855
921307	3140	1998-06-12	VYDAJ	PREVOD NA UCET	2376	27162	SIPO	OP	56121855
921308	3140	1998-07-12	VYDAJ	PREVOD NA UCET	2376	24341	SIPO	OP	56121855
921309	3140	1998-08-12	VYDAJ	PREVOD NA UCET	2376	28716	SIPO	OP	56121855
921310	3140	1998-09-12	VYDAJ	PREVOD NA UCET	2376	26282	SIPO	OP	56121855
921311	3140	1998-10-12	VYDAJ	PREVOD NA UCET	2376	25945	SIPO	OP	56121855
921312	3140	1998-11-12	VYDAJ	PREVOD NA UCET	2376	24015	SIPO	OP	56121855
921313	3140	1998-12-12	VYDAJ	PREVOD NA UCET	2376	20126	SIPO	OP	56121855
921324	3140	1997-11-10	VYDAJ	PREVOD NA UCET	1978	27167	 	WX	26200568
921325	3140	1997-12-10	VYDAJ	PREVOD NA UCET	1978	26909	 	WX	26200568
921326	3140	1998-01-10	VYDAJ	PREVOD NA UCET	1978	22354	 	WX	26200568
921327	3140	1998-02-10	VYDAJ	PREVOD NA UCET	1978	17238	 	WX	26200568
921328	3140	1998-03-10	VYDAJ	PREVOD NA UCET	1978	22178	 	WX	26200568
921329	3140	1998-04-10	VYDAJ	PREVOD NA UCET	1978	22844	 	WX	26200568
921330	3140	1998-05-10	VYDAJ	PREVOD NA UCET	1978	25018	 	WX	26200568
921331	3140	1998-06-10	VYDAJ	PREVOD NA UCET	1978	19740	 	WX	26200568
921332	3140	1998-07-10	VYDAJ	PREVOD NA UCET	1978	24505	 	WX	26200568
921333	3140	1998-08-10	VYDAJ	PREVOD NA UCET	1978	24560	 	WX	26200568
921334	3140	1998-09-10	VYDAJ	PREVOD NA UCET	1978	22126	 	WX	26200568
921335	3140	1998-10-10	VYDAJ	PREVOD NA UCET	1978	21789	 	WX	26200568
921336	3140	1998-11-10	VYDAJ	PREVOD NA UCET	1978	19859	 	WX	26200568
921337	3140	1998-12-10	VYDAJ	PREVOD NA UCET	1978	12704	 	WX	26200568
921339	3140	1998-06-05	VYDAJ	VYBER	8960	20318	\N	\N	\N
921341	3140	1998-01-12	VYDAJ	VYBER	7840	17350	\N	\N	\N
921342	3140	1997-12-03	VYDAJ	VYBER	4160	27287	\N	\N	\N
921343	3140	1998-12-17	VYDAJ	VYBER	4000	16126	\N	\N	\N
921350	3140	1998-01-14	VYDAJ	VYBER	3360	13150	\N	\N	\N
921351	3140	1998-01-11	VYDAJ	VYBER	1320	21034	\N	\N	\N
921353	3140	1998-01-09	VYDAJ	VYBER	2520	24332	\N	\N	\N
921354	3140	1998-01-13	VYDAJ	VYBER	840	16510	\N	\N	\N
921355	3140	1998-01-08	VYDAJ	VYBER	1680	31452	\N	\N	\N
921359	3140	1997-12-27	VYDAJ	VYBER	1320	33011	\N	\N	\N
921360	3140	1998-08-22	VYDAJ	VYBER	4200	19116	\N	\N	\N
921361	3140	1998-12-06	VYDAJ	VYBER	5520	14682	\N	\N	\N
921362	3140	1998-08-21	VYDAJ	VYBER	5400	23316	\N	\N	\N
921363	3140	1998-07-12	VYDAJ	VYBER	4320	26717	\N	\N	\N
921364	3140	1998-07-07	VYDAJ	VYBER	1680	26483	\N	\N	\N
921375	3140	1997-10-31	VYDAJ	VYBER	15	33445	SLUZBY	\N	\N
921376	3140	1997-11-30	VYDAJ	VYBER	15	31447	SLUZBY	\N	\N
921377	3140	1997-12-31	VYDAJ	VYBER	15	33132	SLUZBY	\N	\N
921378	3140	1998-01-31	VYDAJ	VYBER	15	13216	SLUZBY	\N	\N
921379	3140	1998-02-28	VYDAJ	VYBER	15	21456	SLUZBY	\N	\N
921380	3140	1998-03-31	VYDAJ	VYBER	15	26422	SLUZBY	\N	\N
921381	3140	1998-04-30	VYDAJ	VYBER	15	27096	SLUZBY	\N	\N
921382	3140	1998-05-31	VYDAJ	VYBER	15	29278	SLUZBY	\N	\N
921383	3140	1998-06-30	VYDAJ	VYBER	15	27263	SLUZBY	\N	\N
921384	3140	1998-07-31	VYDAJ	VYBER	15	24438	SLUZBY	\N	\N
921385	3140	1998-08-31	VYDAJ	VYBER	15	19204	SLUZBY	\N	\N
921386	3140	1998-09-30	VYDAJ	VYBER	15	26367	SLUZBY	\N	\N
921387	3140	1998-10-31	VYDAJ	VYBER	15	26037	SLUZBY	\N	\N
921388	3140	1998-11-30	VYDAJ	VYBER	15	24102	SLUZBY	\N	\N
921389	3140	1997-06-12	PRIJEM	VKLAD	4300	15098	\N	\N	\N
921390	3140	1997-07-12	VYDAJ	VYBER	1400	20270	\N	\N	\N
921391	3140	1997-08-11	PRIJEM	VKLAD	2700	23047	\N	\N	\N
921392	3140	1997-09-10	VYDAJ	VYBER	100	29588	\N	\N	\N
921393	3140	1997-10-10	VYDAJ	VYBER	7100	29161	\N	\N	\N
921394	3140	1997-11-09	VYDAJ	VYBER	4300	29145	\N	\N	\N
921395	3140	1997-12-09	PRIJEM	VKLAD	1600	28887	\N	\N	\N
921396	3140	1998-01-08	VYDAJ	VYBER	4600	26852	\N	\N	\N
921397	3140	1998-02-07	PRIJEM	VKLAD	6000	19216	\N	\N	\N
921398	3140	1998-03-09	PRIJEM	VKLAD	2700	24156	\N	\N	\N
921399	3140	1998-04-08	VYDAJ	VYBER	1600	24822	\N	\N	\N
921400	3140	1998-05-08	VYDAJ	VYBER	100	26996	\N	\N	\N
921401	3140	1998-06-07	PRIJEM	VKLAD	1400	21718	\N	\N	\N
921402	3140	1998-07-07	PRIJEM	VKLAD	900	28163	\N	\N	\N
921403	3140	1998-08-06	PRIJEM	VKLAD	2100	26538	\N	\N	\N
921404	3140	1998-09-05	PRIJEM	VKLAD	4900	24104	\N	\N	\N
921405	3140	1998-10-05	VYDAJ	VYBER	2600	23767	\N	\N	\N
921406	3140	1998-11-04	VYDAJ	VYBER	4200	21837	\N	\N	\N
921407	3140	1998-12-04	VYDAJ	VYBER	3900	20202	\N	\N	\N
921427	3141	1995-01-06	PRIJEM	VKLAD	1100	1100	\N	\N	\N
921428	3141	1995-01-07	PRIJEM	PREVOD Z UCTU	10870	11970	\N	EF	70251357
921429	3141	1995-02-07	PRIJEM	PREVOD Z UCTU	10870	30980	\N	EF	70251357
921430	3141	1995-03-07	PRIJEM	PREVOD Z UCTU	10870	41962	\N	EF	70251357
921431	3141	1995-04-07	PRIJEM	PREVOD Z UCTU	10870	40266	\N	EF	70251357
921432	3141	1995-05-07	PRIJEM	PREVOD Z UCTU	10870	44597	\N	EF	70251357
921433	3141	1995-06-07	PRIJEM	PREVOD Z UCTU	16305	38592	\N	EF	70251357
921434	3141	1995-07-07	PRIJEM	PREVOD Z UCTU	10870	38880	\N	EF	70251357
921435	3141	1995-08-07	PRIJEM	PREVOD Z UCTU	10870	34074	\N	EF	70251357
921436	3141	1995-09-07	PRIJEM	PREVOD Z UCTU	10870	35551	\N	EF	70251357
921437	3141	1995-10-07	PRIJEM	PREVOD Z UCTU	10870	29818	\N	EF	70251357
921438	3141	1995-11-07	PRIJEM	PREVOD Z UCTU	10870	35571	\N	EF	70251357
921439	3141	1995-12-07	PRIJEM	PREVOD Z UCTU	16305	35087	\N	EF	70251357
921440	3141	1996-01-07	PRIJEM	PREVOD Z UCTU	10870	36559	\N	EF	70251357
921441	3141	1996-02-07	PRIJEM	PREVOD Z UCTU	10870	29316	\N	EF	70251357
921442	3141	1996-03-07	PRIJEM	PREVOD Z UCTU	10870	35272	\N	EF	70251357
921443	3141	1996-04-07	PRIJEM	PREVOD Z UCTU	10870	38348	\N	EF	70251357
921444	3141	1996-05-07	PRIJEM	PREVOD Z UCTU	10870	40242	\N	EF	70251357
921445	3141	1996-06-07	PRIJEM	PREVOD Z UCTU	16305	41170	\N	EF	70251357
921446	3141	1996-07-07	PRIJEM	PREVOD Z UCTU	10870	39462	\N	EF	70251357
921447	3141	1996-08-07	PRIJEM	PREVOD Z UCTU	10870	31161	\N	EF	70251357
921448	3141	1996-09-07	PRIJEM	PREVOD Z UCTU	10870	38230	\N	EF	70251357
921449	3141	1996-10-07	PRIJEM	PREVOD Z UCTU	10870	34124	\N	EF	70251357
921450	3141	1996-11-07	PRIJEM	PREVOD Z UCTU	10870	35902	\N	EF	70251357
921451	3141	1996-12-07	PRIJEM	PREVOD Z UCTU	16305	35519	\N	EF	70251357
921452	3141	1997-01-07	PRIJEM	PREVOD Z UCTU	10870	30095	\N	EF	70251357
921453	3141	1997-02-07	PRIJEM	PREVOD Z UCTU	10870	25140	\N	EF	70251357
921454	3141	1997-03-07	PRIJEM	PREVOD Z UCTU	10870	36986	\N	EF	70251357
921455	3141	1997-04-07	PRIJEM	PREVOD Z UCTU	10870	42577	\N	EF	70251357
921456	3141	1997-05-07	PRIJEM	PREVOD Z UCTU	10870	37651	\N	EF	70251357
921457	3141	1997-06-07	PRIJEM	PREVOD Z UCTU	16305	49281	\N	EF	70251357
921458	3141	1997-07-07	PRIJEM	PREVOD Z UCTU	10870	31029	\N	EF	70251357
921459	3141	1997-08-07	PRIJEM	PREVOD Z UCTU	10870	29336	\N	EF	70251357
921460	3141	1997-09-07	PRIJEM	PREVOD Z UCTU	10870	46814	\N	EF	70251357
921461	3141	1997-10-07	PRIJEM	PREVOD Z UCTU	10870	53850	\N	EF	70251357
921462	3141	1997-11-07	PRIJEM	PREVOD Z UCTU	10870	63318	\N	EF	70251357
921463	3141	1997-12-07	PRIJEM	PREVOD Z UCTU	16305	46352	\N	EF	70251357
921464	3141	1998-01-07	PRIJEM	PREVOD Z UCTU	10870	36597	\N	EF	70251357
921465	3141	1998-02-07	PRIJEM	PREVOD Z UCTU	10870	29887	\N	EF	70251357
921466	3141	1998-03-07	PRIJEM	PREVOD Z UCTU	10870	50273	\N	EF	70251357
921467	3141	1998-04-07	PRIJEM	PREVOD Z UCTU	10870	62131	\N	EF	70251357
921468	3141	1998-05-07	PRIJEM	PREVOD Z UCTU	10870	71735	\N	EF	70251357
921469	3141	1998-06-07	PRIJEM	PREVOD Z UCTU	16305	81607	\N	EF	70251357
921470	3141	1998-07-07	PRIJEM	PREVOD Z UCTU	10870	71340	\N	EF	70251357
921471	3141	1998-08-07	PRIJEM	PREVOD Z UCTU	10870	80784	\N	EF	70251357
921472	3141	1998-09-07	PRIJEM	PREVOD Z UCTU	10870	87663	\N	EF	70251357
921473	3141	1998-10-07	PRIJEM	PREVOD Z UCTU	10870	94872	\N	EF	70251357
921474	3141	1998-11-07	PRIJEM	PREVOD Z UCTU	10870	88196	\N	EF	70251357
921475	3141	1998-12-07	PRIJEM	PREVOD Z UCTU	16305	103548	\N	EF	70251357
921529	3141	1995-06-05	VYDAJ	PREVOD NA UCET	9905	22287	SIPO	QR	83041977
921530	3141	1995-07-05	VYDAJ	PREVOD NA UCET	9905	28810	SIPO	QR	83041977
921531	3141	1995-08-05	VYDAJ	PREVOD NA UCET	9905	23204	SIPO	QR	83041977
921532	3141	1995-09-05	VYDAJ	PREVOD NA UCET	9905	24681	SIPO	QR	83041977
921533	3141	1995-10-05	VYDAJ	PREVOD NA UCET	9905	18948	SIPO	QR	83041977
921534	3141	1995-11-05	VYDAJ	PREVOD NA UCET	9905	24701	SIPO	QR	83041977
921535	3141	1995-12-05	VYDAJ	PREVOD NA UCET	9905	18782	SIPO	QR	83041977
921536	3141	1996-01-05	VYDAJ	PREVOD NA UCET	9905	25689	SIPO	QR	83041977
921537	3141	1996-02-05	VYDAJ	PREVOD NA UCET	9905	18446	SIPO	QR	83041977
921538	3141	1996-03-05	VYDAJ	PREVOD NA UCET	9905	24402	SIPO	QR	83041977
921539	3141	1996-04-05	VYDAJ	PREVOD NA UCET	9905	27478	SIPO	QR	83041977
921540	3141	1996-05-05	VYDAJ	PREVOD NA UCET	9905	29372	SIPO	QR	83041977
921541	3141	1996-06-05	VYDAJ	PREVOD NA UCET	9905	24865	SIPO	QR	83041977
921542	3141	1996-07-05	VYDAJ	PREVOD NA UCET	9905	28592	SIPO	QR	83041977
921543	3141	1996-08-05	VYDAJ	PREVOD NA UCET	9905	20291	SIPO	QR	83041977
921544	3141	1996-09-05	VYDAJ	PREVOD NA UCET	9905	27360	SIPO	QR	83041977
921545	3141	1996-10-05	VYDAJ	PREVOD NA UCET	9905	23254	SIPO	QR	83041977
921546	3141	1996-11-05	VYDAJ	PREVOD NA UCET	9905	25032	SIPO	QR	83041977
921547	3141	1996-12-05	VYDAJ	PREVOD NA UCET	9905	19214	SIPO	QR	83041977
921548	3141	1997-01-05	VYDAJ	PREVOD NA UCET	9905	22225	SIPO	QR	83041977
921549	3141	1997-02-05	VYDAJ	PREVOD NA UCET	9905	14270	SIPO	QR	83041977
921550	3141	1997-03-05	VYDAJ	PREVOD NA UCET	9905	26116	SIPO	QR	83041977
921551	3141	1997-04-05	VYDAJ	PREVOD NA UCET	9905	31707	SIPO	QR	83041977
921552	3141	1997-05-05	VYDAJ	PREVOD NA UCET	9905	26781	SIPO	QR	83041977
921553	3141	1997-06-05	VYDAJ	PREVOD NA UCET	9905	32976	SIPO	QR	83041977
921554	3141	1997-07-05	VYDAJ	PREVOD NA UCET	9905	20159	SIPO	QR	83041977
921555	3141	1997-08-05	VYDAJ	PREVOD NA UCET	9905	18466	SIPO	QR	83041977
921556	3141	1997-09-05	VYDAJ	PREVOD NA UCET	9905	35944	SIPO	QR	83041977
921557	3141	1997-10-05	VYDAJ	PREVOD NA UCET	9905	42980	SIPO	QR	83041977
921558	3141	1997-11-05	VYDAJ	PREVOD NA UCET	9905	52448	SIPO	QR	83041977
921559	3141	1997-12-05	VYDAJ	PREVOD NA UCET	9905	30047	SIPO	QR	83041977
921560	3141	1998-01-05	VYDAJ	PREVOD NA UCET	9905	39527	SIPO	QR	83041977
921561	3141	1998-02-05	VYDAJ	PREVOD NA UCET	9905	19017	SIPO	QR	83041977
921562	3141	1998-03-05	VYDAJ	PREVOD NA UCET	9905	39403	SIPO	QR	83041977
921563	3141	1998-04-05	VYDAJ	PREVOD NA UCET	9905	51261	SIPO	QR	83041977
921564	3141	1998-05-05	VYDAJ	PREVOD NA UCET	9905	60865	SIPO	QR	83041977
921565	3141	1998-06-05	VYDAJ	PREVOD NA UCET	9905	65302	SIPO	QR	83041977
921566	3141	1998-07-05	VYDAJ	PREVOD NA UCET	9905	60470	SIPO	QR	83041977
921567	3141	1998-08-05	VYDAJ	PREVOD NA UCET	9905	69914	SIPO	QR	83041977
921568	3141	1998-09-05	VYDAJ	PREVOD NA UCET	9905	76793	SIPO	QR	83041977
921569	3141	1998-10-05	VYDAJ	PREVOD NA UCET	9905	84002	SIPO	QR	83041977
921570	3141	1998-11-05	VYDAJ	PREVOD NA UCET	9905	77326	SIPO	QR	83041977
921571	3141	1998-12-05	VYDAJ	PREVOD NA UCET	9905	87243	SIPO	QR	83041977
921572	3141	1995-09-13	VYBER	VYBER	10686	24865	\N	\N	\N
921576	3141	1995-11-11	VYBER	VYBER	10168	25403	\N	\N	\N
921577	3141	1995-05-21	VYBER	VYBER	16533	28064	\N	\N	\N
921580	3141	1997-08-04	VYBER	VYBER	2268	28371	\N	\N	\N
921581	3141	1997-12-05	VYBER	VYBER	24231	39952	\N	\N	\N
921582	3141	1997-06-26	VYBER	VYBER	12860	29921	\N	\N	\N
921585	3141	1997-04-19	VYBER	VYBER	15719	26858	\N	\N	\N
921586	3141	1997-11-24	VYBER	VYBER	4370	63948	\N	\N	\N
921590	3141	1998-06-15	VYDAJ	VYBER	27600	54007	\N	\N	\N
921593	3141	1997-01-14	VYDAJ	VYBER	4200	25895	\N	\N	\N
921594	3141	1998-01-26	VYDAJ	VYBER	6300	39597	\N	\N	\N
921596	3141	1996-12-28	VYDAJ	VYBER	5700	32019	\N	\N	\N
921597	3141	1997-12-27	VYDAJ	VYBER	8400	49252	\N	\N	\N
921598	3141	1998-12-29	VYDAJ	VYBER	5100	101348	\N	\N	\N
921609	3141	1996-01-01	VYDAJ	VYBER	4500	35594	\N	\N	\N
921610	3141	1996-01-21	VYDAJ	VYBER	4500	22759	\N	\N	\N
921612	3141	1997-01-05	VYDAJ	VYBER	3000	19225	\N	\N	\N
921613	3141	1997-01-23	VYDAJ	VYBER	1500	21395	\N	\N	\N
921614	3141	1997-01-26	VYDAJ	VYBER	2700	30395	\N	\N	\N
921615	3141	1997-01-15	VYDAJ	VYBER	3000	22895	\N	\N	\N
921617	3141	1998-01-17	VYDAJ	VYBER	6900	23697	\N	\N	\N
921618	3141	1998-01-16	VYDAJ	VYBER	6000	30597	\N	\N	\N
921619	3141	1998-01-05	VYDAJ	VYBER	6600	32927	\N	\N	\N
921621	3141	1998-01-06	VYDAJ	VYBER	7200	25727	\N	\N	\N
921626	3141	1996-01-13	VYDAJ	VYBER	5100	31459	\N	\N	\N
921627	3141	1996-06-22	VYDAJ	VYBER	3300	37870	\N	\N	\N
921628	3141	1996-01-19	VYDAJ	VYBER	4200	27259	\N	\N	\N
921629	3141	1996-10-01	VYDAJ	VYBER	8100	33159	\N	\N	\N
921630	3141	1996-11-28	VYDAJ	VYBER	9300	29002	\N	\N	\N
921631	3141	1996-05-24	VYDAJ	VYBER	8400	31842	\N	\N	\N
921632	3141	1996-08-02	VYDAJ	VYBER	9000	30196	\N	\N	\N
921633	3141	1996-06-24	VYDAJ	VYBER	7200	30670	\N	\N	\N
921634	3141	1997-08-01	VYDAJ	VYBER	11700	30639	\N	\N	\N
921635	3141	1997-03-26	VYDAJ	VYBER	1800	41486	\N	\N	\N
921636	3141	1997-06-14	VYDAJ	VYBER	7800	41481	\N	\N	\N
921638	3141	1997-01-28	VYDAJ	VYBER	6300	24095	\N	\N	\N
921639	3141	1998-01-28	VYDAJ	VYBER	10800	28797	\N	\N	\N
921640	3141	1998-10-08	VYDAJ	VYBER	1500	93372	\N	\N	\N
921641	3141	1998-03-20	VYDAJ	VYBER	2700	47573	\N	\N	\N
921642	3141	1998-10-29	VYDAJ	VYBER	9000	86872	\N	\N	\N
921648	3141	1995-05-31	VYDAJ	VYBER	30	28192	SLUZBY	\N	\N
921649	3141	1995-06-30	VYDAJ	VYBER	30	38715	SLUZBY	\N	\N
921650	3141	1995-07-31	VYDAJ	VYBER	30	39009	SLUZBY	\N	\N
921651	3141	1995-08-31	VYDAJ	VYBER	30	34186	SLUZBY	\N	\N
921652	3141	1995-09-30	VYDAJ	VYBER	30	24953	SLUZBY	\N	\N
921653	3141	1995-10-31	VYDAJ	VYBER	30	29906	SLUZBY	\N	\N
921654	3141	1995-11-30	VYDAJ	VYBER	30	25487	SLUZBY	\N	\N
921655	3141	1995-12-31	VYDAJ	VYBER	30	35194	SLUZBY	\N	\N
921656	3141	1996-01-31	VYDAJ	VYBER	30	28351	SLUZBY	\N	\N
921657	3141	1996-02-29	VYDAJ	VYBER	30	29407	SLUZBY	\N	\N
921658	3141	1996-03-31	VYDAJ	VYBER	30	37383	SLUZBY	\N	\N
921659	3141	1996-04-30	VYDAJ	VYBER	30	39277	SLUZBY	\N	\N
921660	3141	1996-05-31	VYDAJ	VYBER	30	34770	SLUZBY	\N	\N
921661	3141	1996-06-30	VYDAJ	VYBER	30	38497	SLUZBY	\N	\N
921662	3141	1996-07-31	VYDAJ	VYBER	30	39196	SLUZBY	\N	\N
921663	3141	1996-08-31	VYDAJ	VYBER	30	37265	SLUZBY	\N	\N
921664	3141	1996-09-30	VYDAJ	VYBER	30	41259	SLUZBY	\N	\N
921665	3141	1996-10-31	VYDAJ	VYBER	30	34937	SLUZBY	\N	\N
921666	3141	1996-11-30	VYDAJ	VYBER	30	29119	SLUZBY	\N	\N
921667	3141	1996-12-31	VYDAJ	VYBER	30	32130	SLUZBY	\N	\N
921668	3141	1997-01-31	VYDAJ	VYBER	30	24175	SLUZBY	\N	\N
921669	3141	1997-02-28	VYDAJ	VYBER	30	36021	SLUZBY	\N	\N
921670	3141	1997-03-31	VYDAJ	VYBER	30	41612	SLUZBY	\N	\N
921671	3141	1997-04-30	VYDAJ	VYBER	30	36686	SLUZBY	\N	\N
921672	3141	1997-05-31	VYDAJ	VYBER	30	42881	SLUZBY	\N	\N
921673	3141	1997-06-30	VYDAJ	VYBER	30	30064	SLUZBY	\N	\N
921674	3141	1997-07-31	VYDAJ	VYBER	30	42339	SLUZBY	\N	\N
921675	3141	1997-08-31	VYDAJ	VYBER	30	45849	SLUZBY	\N	\N
921676	3141	1997-09-30	VYDAJ	VYBER	30	52885	SLUZBY	\N	\N
921677	3141	1997-10-31	VYDAJ	VYBER	30	62353	SLUZBY	\N	\N
921678	3141	1997-11-30	VYDAJ	VYBER	30	64183	SLUZBY	\N	\N
921679	3141	1997-12-31	VYDAJ	VYBER	30	49432	SLUZBY	\N	\N
921680	3141	1998-01-31	VYDAJ	VYBER	30	28922	SLUZBY	\N	\N
921681	3141	1998-02-28	VYDAJ	VYBER	30	49308	SLUZBY	\N	\N
921682	3141	1998-03-31	VYDAJ	VYBER	30	61166	SLUZBY	\N	\N
921683	3141	1998-04-30	VYDAJ	VYBER	30	70770	SLUZBY	\N	\N
921684	3141	1998-05-31	VYDAJ	VYBER	30	75207	SLUZBY	\N	\N
921685	3141	1998-06-30	VYDAJ	VYBER	30	70375	SLUZBY	\N	\N
921686	3141	1998-07-31	VYDAJ	VYBER	30	79819	SLUZBY	\N	\N
921687	3141	1998-08-31	VYDAJ	VYBER	30	86698	SLUZBY	\N	\N
921688	3141	1998-09-30	VYDAJ	VYBER	30	93907	SLUZBY	\N	\N
921689	3141	1998-10-31	VYDAJ	VYBER	30	87231	SLUZBY	\N	\N
921690	3141	1998-11-30	VYDAJ	VYBER	30	97148	SLUZBY	\N	\N
921691	3141	1995-02-05	PRIJEM	VKLAD	8100	20110	\N	\N	\N
921692	3141	1995-03-07	VYDAJ	VYBER	9600	32362	\N	\N	\N
921693	3141	1995-04-06	VYDAJ	VYBER	3100	29396	\N	\N	\N
921694	3141	1995-05-06	VYDAJ	VYBER	6700	33727	\N	\N	\N
921695	3141	1995-06-05	PRIJEM	VKLAD	4000	32192	\N	\N	\N
921696	3141	1995-07-05	VYDAJ	VYBER	800	28010	\N	\N	\N
921697	3141	1995-08-04	VYDAJ	VYBER	5900	33109	\N	\N	\N
921698	3141	1995-09-03	PRIJEM	VKLAD	400	34586	\N	\N	\N
921699	3141	1995-10-03	PRIJEM	VKLAD	3900	28853	\N	\N	\N
921700	3141	1995-11-02	PRIJEM	VKLAD	4700	34606	\N	\N	\N
921701	3141	1995-12-02	PRIJEM	VKLAD	3200	28687	\N	\N	\N
921702	3141	1996-01-01	PRIJEM	VKLAD	4900	40094	\N	\N	\N
921703	3141	1996-01-31	PRIJEM	VKLAD	5500	28381	\N	\N	\N
921704	3141	1996-03-01	PRIJEM	VKLAD	4900	34307	\N	\N	\N
921705	3141	1996-03-31	PRIJEM	VKLAD	2000	37272	\N	\N	\N
921706	3141	1996-04-30	PRIJEM	VKLAD	800	39307	\N	\N	\N
921707	3141	1996-05-30	PRIJEM	VKLAD	2800	34642	\N	\N	\N
921708	3141	1996-06-29	PRIJEM	VKLAD	7700	38370	\N	\N	\N
921709	3141	1996-07-29	VYDAJ	VYBER	400	39062	\N	\N	\N
921710	3141	1996-08-28	PRIJEM	VKLAD	6000	37161	\N	\N	\N
921711	3141	1996-09-27	PRIJEM	VKLAD	2900	41130	\N	\N	\N
921712	3141	1996-10-27	PRIJEM	VKLAD	700	34824	\N	\N	\N
921713	3141	1996-11-26	PRIJEM	VKLAD	2400	38302	\N	\N	\N
921714	3141	1996-12-26	PRIJEM	VKLAD	2200	37719	\N	\N	\N
921715	3141	1997-01-25	PRIJEM	VKLAD	11700	33095	\N	\N	\N
921716	3141	1997-02-24	PRIJEM	VKLAD	10800	35940	\N	\N	\N
921717	3141	1997-03-26	PRIJEM	VKLAD	6300	43286	\N	\N	\N
921718	3141	1997-04-25	PRIJEM	VKLAD	9700	36558	\N	\N	\N
921719	3141	1997-05-25	PRIJEM	VKLAD	5100	42751	\N	\N	\N
921720	3141	1997-06-24	PRIJEM	VKLAD	1300	42781	\N	\N	\N
921721	3141	1997-07-24	PRIJEM	VKLAD	11200	42229	\N	\N	\N
921722	3141	1997-08-23	PRIJEM	VKLAD	16400	45736	\N	\N	\N
921723	3141	1997-09-22	PRIJEM	VKLAD	5900	52714	\N	\N	\N
921724	3141	1997-10-22	PRIJEM	VKLAD	8300	62150	\N	\N	\N
921725	3141	1997-11-21	PRIJEM	VKLAD	5000	68318	\N	\N	\N
921726	3141	1997-12-21	PRIJEM	VKLAD	11300	57652	\N	\N	\N
921727	3141	1998-01-20	PRIJEM	VKLAD	22200	45897	\N	\N	\N
921728	3141	1998-02-19	PRIJEM	VKLAD	19300	49187	\N	\N	\N
921729	3141	1998-03-21	PRIJEM	VKLAD	13400	60973	\N	\N	\N
921730	3141	1998-04-20	PRIJEM	VKLAD	8400	70531	\N	\N	\N
921731	3141	1998-05-20	PRIJEM	VKLAD	3200	74935	\N	\N	\N
921732	3141	1998-06-19	PRIJEM	VKLAD	16100	70107	\N	\N	\N
921733	3141	1998-07-19	PRIJEM	VKLAD	8200	79540	\N	\N	\N
921734	3141	1998-08-18	PRIJEM	VKLAD	5600	86384	\N	\N	\N
921735	3141	1998-09-17	PRIJEM	VKLAD	5900	93563	\N	\N	\N
921736	3141	1998-10-17	PRIJEM	VKLAD	2500	95872	\N	\N	\N
921737	3141	1998-11-16	PRIJEM	VKLAD	8600	96796	\N	\N	\N
921738	3141	1998-12-16	PRIJEM	VKLAD	2900	106448	\N	\N	\N
921787	3142	1994-09-14	PRIJEM	VKLAD	200	200	\N	\N	\N
921797	3142	1994-10-12	PRIJEM	PREVOD Z UCTU	6029	6229	DUCHOD	OP	10931772
921798	3142	1994-11-12	PRIJEM	PREVOD Z UCTU	6029	12258	DUCHOD	OP	10931772
921799	3142	1994-12-12	PRIJEM	PREVOD Z UCTU	6029	18287	DUCHOD	OP	10931772
921800	3142	1995-01-12	PRIJEM	PREVOD Z UCTU	6029	24316	DUCHOD	OP	10931772
921801	3142	1995-02-12	PRIJEM	PREVOD Z UCTU	6029	30245	DUCHOD	OP	10931772
921802	3142	1995-03-12	PRIJEM	PREVOD Z UCTU	6029	33101	DUCHOD	OP	10931772
921803	3142	1995-04-12	PRIJEM	PREVOD Z UCTU	6029	33603	DUCHOD	OP	10931772
921804	3142	1995-05-12	PRIJEM	PREVOD Z UCTU	6029	31800	DUCHOD	OP	10931772
921805	3142	1995-06-12	PRIJEM	PREVOD Z UCTU	6029	31598	DUCHOD	OP	10931772
921806	3142	1995-07-12	PRIJEM	PREVOD Z UCTU	6029	31095	DUCHOD	OP	10931772
921807	3142	1995-08-12	PRIJEM	PREVOD Z UCTU	6029	29535	DUCHOD	OP	10931772
921808	3142	1995-09-12	PRIJEM	PREVOD Z UCTU	6029	28532	DUCHOD	OP	10931772
921809	3142	1995-10-12	PRIJEM	PREVOD Z UCTU	6029	27283	DUCHOD	OP	10931772
921810	3142	1995-11-12	PRIJEM	PREVOD Z UCTU	6029	22321	DUCHOD	OP	10931772
921811	3142	1995-12-12	PRIJEM	PREVOD Z UCTU	6029	23733	DUCHOD	OP	10931772
921812	3142	1996-01-12	PRIJEM	PREVOD Z UCTU	6029	20204	DUCHOD	OP	10931772
921813	3142	1996-02-12	PRIJEM	PREVOD Z UCTU	6029	21057	DUCHOD	OP	10931772
921814	3142	1996-03-12	PRIJEM	PREVOD Z UCTU	6029	21994	DUCHOD	OP	10931772
921815	3142	1996-04-12	PRIJEM	PREVOD Z UCTU	6029	19658	DUCHOD	OP	10931772
921816	3142	1996-05-12	PRIJEM	PREVOD Z UCTU	6029	20512	DUCHOD	OP	10931772
921817	3142	1996-06-12	PRIJEM	PREVOD Z UCTU	6029	21466	DUCHOD	OP	10931772
921818	3142	1996-07-12	PRIJEM	PREVOD Z UCTU	6029	21372	DUCHOD	OP	10931772
921819	3142	1996-08-12	PRIJEM	PREVOD Z UCTU	6029	22530	DUCHOD	OP	10931772
921820	3142	1996-09-12	PRIJEM	PREVOD Z UCTU	6029	25396	DUCHOD	OP	10931772
921821	3142	1996-10-12	PRIJEM	PREVOD Z UCTU	6029	23371	DUCHOD	OP	10931772
921822	3142	1996-11-12	PRIJEM	PREVOD Z UCTU	6029	22545	DUCHOD	OP	10931772
921823	3142	1996-12-12	PRIJEM	PREVOD Z UCTU	6029	20492	DUCHOD	OP	10931772
921824	3142	1997-01-12	PRIJEM	PREVOD Z UCTU	6029	20448	DUCHOD	OP	10931772
921825	3142	1997-02-12	PRIJEM	PREVOD Z UCTU	6029	20641	DUCHOD	OP	10931772
921826	3142	1997-03-12	PRIJEM	PREVOD Z UCTU	6029	20455	DUCHOD	OP	10931772
921827	3142	1997-04-12	PRIJEM	PREVOD Z UCTU	6029	23309	DUCHOD	OP	10931772
921828	3142	1997-05-12	PRIJEM	PREVOD Z UCTU	6029	22675	DUCHOD	OP	10931772
921829	3142	1997-06-12	PRIJEM	PREVOD Z UCTU	6029	20142	DUCHOD	OP	10931772
921830	3142	1997-07-12	PRIJEM	PREVOD Z UCTU	6029	22295	DUCHOD	OP	10931772
921831	3142	1997-08-12	PRIJEM	PREVOD Z UCTU	6029	23956	DUCHOD	OP	10931772
921832	3142	1997-09-12	PRIJEM	PREVOD Z UCTU	6029	21784	DUCHOD	OP	10931772
921833	3142	1997-10-12	PRIJEM	PREVOD Z UCTU	6029	24648	DUCHOD	OP	10931772
921834	3142	1997-11-12	PRIJEM	PREVOD Z UCTU	6029	25014	DUCHOD	OP	10931772
921835	3142	1997-12-12	PRIJEM	PREVOD Z UCTU	6029	24785	DUCHOD	OP	10931772
921836	3142	1998-01-12	PRIJEM	PREVOD Z UCTU	6029	22953	DUCHOD	OP	10931772
921837	3142	1998-02-12	PRIJEM	PREVOD Z UCTU	6029	19968	DUCHOD	OP	10931772
921838	3142	1998-03-12	PRIJEM	PREVOD Z UCTU	6029	22178	DUCHOD	OP	10931772
921839	3142	1998-04-12	PRIJEM	PREVOD Z UCTU	6029	24538	DUCHOD	OP	10931772
921840	3142	1998-05-12	PRIJEM	PREVOD Z UCTU	6029	21305	DUCHOD	OP	10931772
921841	3142	1998-06-12	PRIJEM	PREVOD Z UCTU	6029	23861	DUCHOD	OP	10931772
921842	3142	1998-07-12	PRIJEM	PREVOD Z UCTU	6029	20217	DUCHOD	OP	10931772
921843	3142	1998-08-12	PRIJEM	PREVOD Z UCTU	6029	21269	DUCHOD	OP	10931772
921844	3142	1998-09-12	PRIJEM	PREVOD Z UCTU	6029	21084	DUCHOD	OP	10931772
921845	3142	1998-10-12	PRIJEM	PREVOD Z UCTU	6029	23939	DUCHOD	OP	10931772
921846	3142	1998-11-12	PRIJEM	PREVOD Z UCTU	6029	26807	DUCHOD	OP	10931772
921847	3142	1998-12-12	PRIJEM	PREVOD Z UCTU	6029	28586	DUCHOD	OP	10931772
921861	3142	1995-02-12	VYDAJ	PREVOD NA UCET	1974	28271	SIPO	MN	52314406
921862	3142	1995-03-12	VYDAJ	PREVOD NA UCET	1974	31127	SIPO	MN	52314406
921863	3142	1995-04-12	VYDAJ	PREVOD NA UCET	1974	26929	SIPO	MN	52314406
921864	3142	1995-05-12	VYDAJ	PREVOD NA UCET	1974	29826	SIPO	MN	52314406
921865	3142	1995-06-12	VYDAJ	PREVOD NA UCET	1974	29624	SIPO	MN	52314406
921866	3142	1995-07-12	VYDAJ	PREVOD NA UCET	1974	29121	SIPO	MN	52314406
921867	3142	1995-08-12	VYDAJ	PREVOD NA UCET	1974	27561	SIPO	MN	52314406
921868	3142	1995-09-12	VYDAJ	PREVOD NA UCET	1974	26558	SIPO	MN	52314406
921869	3142	1995-10-12	VYDAJ	PREVOD NA UCET	1974	25309	SIPO	MN	52314406
921870	3142	1995-11-12	VYDAJ	PREVOD NA UCET	1974	20347	SIPO	MN	52314406
921871	3142	1995-12-12	VYDAJ	PREVOD NA UCET	1974	21759	SIPO	MN	52314406
921872	3142	1996-01-12	VYDAJ	PREVOD NA UCET	1974	18230	SIPO	MN	52314406
921873	3142	1996-02-12	VYDAJ	PREVOD NA UCET	1974	19083	SIPO	MN	52314406
921874	3142	1996-03-12	VYDAJ	PREVOD NA UCET	1974	20020	SIPO	MN	52314406
921875	3142	1996-04-12	VYDAJ	PREVOD NA UCET	1974	17684	SIPO	MN	52314406
921876	3142	1996-05-12	VYDAJ	PREVOD NA UCET	1974	18538	SIPO	MN	52314406
921877	3142	1996-06-12	VYDAJ	PREVOD NA UCET	1974	19492	SIPO	MN	52314406
921878	3142	1996-07-12	VYDAJ	PREVOD NA UCET	1974	19398	SIPO	MN	52314406
921879	3142	1996-08-12	VYDAJ	PREVOD NA UCET	1974	20556	SIPO	MN	52314406
921880	3142	1996-09-12	VYDAJ	PREVOD NA UCET	1974	23422	SIPO	MN	52314406
921881	3142	1996-10-12	VYDAJ	PREVOD NA UCET	1974	21397	SIPO	MN	52314406
921882	3142	1996-11-12	VYDAJ	PREVOD NA UCET	1974	20571	SIPO	MN	52314406
921883	3142	1996-12-12	VYDAJ	PREVOD NA UCET	1974	18518	SIPO	MN	52314406
921884	3142	1997-01-12	VYDAJ	PREVOD NA UCET	1974	18474	SIPO	MN	52314406
921885	3142	1997-02-12	VYDAJ	PREVOD NA UCET	1974	18667	SIPO	MN	52314406
921886	3142	1997-03-12	VYDAJ	PREVOD NA UCET	1974	18481	SIPO	MN	52314406
921887	3142	1997-04-12	VYDAJ	PREVOD NA UCET	1974	21335	SIPO	MN	52314406
921888	3142	1997-05-12	VYDAJ	PREVOD NA UCET	1974	20701	SIPO	MN	52314406
921889	3142	1997-06-12	VYDAJ	PREVOD NA UCET	1974	18168	SIPO	MN	52314406
921890	3142	1997-07-12	VYDAJ	PREVOD NA UCET	1974	20321	SIPO	MN	52314406
921891	3142	1997-08-12	VYDAJ	PREVOD NA UCET	1974	21982	SIPO	MN	52314406
921892	3142	1997-09-12	VYDAJ	PREVOD NA UCET	1974	19810	SIPO	MN	52314406
921893	3142	1997-10-12	VYDAJ	PREVOD NA UCET	1974	22674	SIPO	MN	52314406
921894	3142	1997-11-12	VYDAJ	PREVOD NA UCET	1974	23040	SIPO	MN	52314406
921895	3142	1997-12-12	VYDAJ	PREVOD NA UCET	1974	22811	SIPO	MN	52314406
921896	3142	1998-01-12	VYDAJ	PREVOD NA UCET	1974	20979	SIPO	MN	52314406
921897	3142	1998-02-12	VYDAJ	PREVOD NA UCET	1974	17994	SIPO	MN	52314406
921898	3142	1998-03-12	VYDAJ	PREVOD NA UCET	1974	20204	SIPO	MN	52314406
921899	3142	1998-04-12	VYDAJ	PREVOD NA UCET	1974	22564	SIPO	MN	52314406
921900	3142	1998-05-12	VYDAJ	PREVOD NA UCET	1974	19331	SIPO	MN	52314406
921901	3142	1998-06-12	VYDAJ	PREVOD NA UCET	1974	21887	SIPO	MN	52314406
921902	3142	1998-07-12	VYDAJ	PREVOD NA UCET	1974	18243	SIPO	MN	52314406
921903	3142	1998-08-12	VYDAJ	PREVOD NA UCET	1974	19295	SIPO	MN	52314406
921904	3142	1998-09-12	VYDAJ	PREVOD NA UCET	1974	19110	SIPO	MN	52314406
921905	3142	1998-10-12	VYDAJ	PREVOD NA UCET	1974	21965	SIPO	MN	52314406
921906	3142	1998-11-12	VYDAJ	PREVOD NA UCET	1974	24833	SIPO	MN	52314406
921907	3142	1998-12-12	VYDAJ	PREVOD NA UCET	1974	26612	SIPO	MN	52314406
921921	3142	1995-02-14	VYDAJ	PREVOD NA UCET	1254	27017	 	WX	91892325
921922	3142	1995-03-14	VYDAJ	PREVOD NA UCET	1254	27873	 	WX	91892325
921923	3142	1995-04-14	VYDAJ	PREVOD NA UCET	1254	25675	 	WX	91892325
921924	3142	1995-05-14	VYDAJ	PREVOD NA UCET	1254	26772	 	WX	91892325
921925	3142	1995-06-14	VYDAJ	PREVOD NA UCET	1254	28370	 	WX	91892325
921926	3142	1995-07-14	VYDAJ	PREVOD NA UCET	1254	27867	 	WX	91892325
921927	3142	1995-08-14	VYDAJ	PREVOD NA UCET	1254	26307	 	WX	91892325
921928	3142	1995-09-14	VYDAJ	PREVOD NA UCET	1254	25304	 	WX	91892325
921929	3142	1995-10-14	VYDAJ	PREVOD NA UCET	1254	24055	 	WX	91892325
921930	3142	1995-11-14	VYDAJ	PREVOD NA UCET	1254	19093	 	WX	91892325
921931	3142	1995-12-14	VYDAJ	PREVOD NA UCET	1254	20505	 	WX	91892325
921932	3142	1996-01-14	VYDAJ	PREVOD NA UCET	1254	16976	 	WX	91892325
921933	3142	1996-02-14	VYDAJ	PREVOD NA UCET	1254	17829	 	WX	91892325
921934	3142	1996-03-14	VYDAJ	PREVOD NA UCET	1254	18766	 	WX	91892325
921935	3142	1996-04-14	VYDAJ	PREVOD NA UCET	1254	16430	 	WX	91892325
921936	3142	1996-05-14	VYDAJ	PREVOD NA UCET	1254	17284	 	WX	91892325
921937	3142	1996-06-14	VYDAJ	PREVOD NA UCET	1254	18238	 	WX	91892325
921938	3142	1996-07-14	VYDAJ	PREVOD NA UCET	1254	18144	 	WX	91892325
921939	3142	1996-08-14	VYDAJ	PREVOD NA UCET	1254	19302	 	WX	91892325
921940	3142	1996-09-14	VYDAJ	PREVOD NA UCET	1254	22168	 	WX	91892325
921941	3142	1996-10-14	VYDAJ	PREVOD NA UCET	1254	20143	 	WX	91892325
921942	3142	1996-11-14	VYDAJ	PREVOD NA UCET	1254	19317	 	WX	91892325
921943	3142	1996-12-14	VYDAJ	PREVOD NA UCET	1254	17264	 	WX	91892325
921944	3142	1997-01-14	VYDAJ	PREVOD NA UCET	1254	17220	 	WX	91892325
921945	3142	1997-02-14	VYDAJ	PREVOD NA UCET	1254	17413	 	WX	91892325
921946	3142	1997-03-14	VYDAJ	PREVOD NA UCET	1254	17227	 	WX	91892325
921947	3142	1997-04-14	VYDAJ	PREVOD NA UCET	1254	20081	 	WX	91892325
921948	3142	1997-05-14	VYDAJ	PREVOD NA UCET	1254	19447	 	WX	91892325
921949	3142	1997-06-14	VYDAJ	PREVOD NA UCET	1254	16914	 	WX	91892325
921950	3142	1997-07-14	VYDAJ	PREVOD NA UCET	1254	19067	 	WX	91892325
921951	3142	1997-08-14	VYDAJ	PREVOD NA UCET	1254	20728	 	WX	91892325
921952	3142	1997-09-14	VYDAJ	PREVOD NA UCET	1254	18556	 	WX	91892325
921953	3142	1997-10-14	VYDAJ	PREVOD NA UCET	1254	19420	 	WX	91892325
921954	3142	1997-11-14	VYDAJ	PREVOD NA UCET	1254	21786	 	WX	91892325
921955	3142	1997-12-14	VYDAJ	PREVOD NA UCET	1254	21557	 	WX	91892325
921956	3142	1998-01-14	VYDAJ	PREVOD NA UCET	1254	19725	 	WX	91892325
921957	3142	1998-02-14	VYDAJ	PREVOD NA UCET	1254	16740	 	WX	91892325
921958	3142	1998-03-14	VYDAJ	PREVOD NA UCET	1254	18950	 	WX	91892325
921959	3142	1998-04-14	VYDAJ	PREVOD NA UCET	1254	21310	 	WX	91892325
921960	3142	1998-05-14	VYDAJ	PREVOD NA UCET	1254	18077	 	WX	91892325
921961	3142	1998-06-14	VYDAJ	PREVOD NA UCET	1254	20633	 	WX	91892325
921962	3142	1998-07-14	VYDAJ	PREVOD NA UCET	1254	16989	 	WX	91892325
921963	3142	1998-08-14	VYDAJ	PREVOD NA UCET	1254	18041	 	WX	91892325
921964	3142	1998-09-14	VYDAJ	PREVOD NA UCET	1254	17856	 	WX	91892325
921965	3142	1998-10-14	VYDAJ	PREVOD NA UCET	1254	20711	 	WX	91892325
921966	3142	1998-11-14	VYDAJ	PREVOD NA UCET	1254	23579	 	WX	91892325
921967	3142	1998-12-14	VYDAJ	PREVOD NA UCET	1254	25358	 	WX	91892325
921969	3142	1995-06-15	VYDAJ	VYBER	2400	25970	\N	\N	\N
921970	3142	1996-06-16	VYDAJ	VYBER	2950	15288	\N	\N	\N
921972	3142	1998-06-17	VYDAJ	VYBER	5900	14733	\N	\N	\N
921974	3142	1995-12-09	VYDAJ	VYBER	1450	17704	\N	\N	\N
921975	3142	1996-12-05	VYDAJ	VYBER	800	14463	\N	\N	\N
921976	3142	1997-12-28	VYDAJ	VYBER	500	16857	\N	\N	\N
921977	3142	1998-12-25	VYDAJ	VYBER	1000	23558	\N	\N	\N
921990	3142	1996-01-01	VYDAJ	VYBER	1840	16575	\N	\N	\N
921991	3142	1996-01-16	VYDAJ	VYBER	1600	15376	\N	\N	\N
921992	3142	1996-01-07	VYDAJ	VYBER	480	14175	\N	\N	\N
921993	3142	1996-01-20	VYDAJ	VYBER	400	14976	\N	\N	\N
921994	3142	1996-01-01	VYDAJ	VYBER	2160	18415	\N	\N	\N
921995	3142	1996-01-07	VYDAJ	VYBER	1920	14655	\N	\N	\N
921998	3142	1997-01-09	VYDAJ	VYBER	1200	14419	\N	\N	\N
921999	3142	1997-01-18	VYDAJ	VYBER	2160	15060	\N	\N	\N
922003	3142	1998-01-20	VYDAJ	VYBER	640	14445	\N	\N	\N
922004	3142	1998-01-30	VYDAJ	VYBER	560	13885	\N	\N	\N
922005	3142	1998-01-19	VYDAJ	VYBER	880	15085	\N	\N	\N
922013	3142	1995-04-04	VYDAJ	VYBER	400	27574	\N	\N	\N
922015	3142	1995-10-29	VYDAJ	VYBER	1680	16615	\N	\N	\N
922016	3142	1995-07-29	VYDAJ	VYBER	1360	26507	\N	\N	\N
922017	3142	1995-09-20	VYDAJ	VYBER	2240	23064	\N	\N	\N
922018	3142	1995-10-17	VYDAJ	VYBER	2720	21335	\N	\N	\N
922019	3142	1995-10-26	VYDAJ	VYBER	3040	18295	\N	\N	\N
922020	3142	1996-04-09	VYDAJ	VYBER	3600	13629	\N	\N	\N
922021	3142	1996-04-18	VYDAJ	VYBER	2000	14430	\N	\N	\N
922022	3142	1996-03-09	VYDAJ	VYBER	1920	15965	\N	\N	\N
922023	3142	1996-11-21	VYDAJ	VYBER	400	18917	\N	\N	\N
922024	3142	1996-11-29	VYDAJ	VYBER	1520	17397	\N	\N	\N
922025	3142	1997-09-01	VYDAJ	VYBER	3440	15755	\N	\N	\N
922027	3142	1997-02-25	VYDAJ	VYBER	3040	14373	\N	\N	\N
922029	3142	1997-10-13	VYDAJ	VYBER	2000	20674	\N	\N	\N
922031	3142	1998-01-18	VYDAJ	VYBER	3760	15965	\N	\N	\N
922032	3142	1998-02-19	VYDAJ	VYBER	640	16100	\N	\N	\N
922033	3142	1998-07-01	VYDAJ	VYBER	400	14188	\N	\N	\N
922035	3142	1998-08-30	VYDAJ	VYBER	2240	15001	\N	\N	\N
922050	3142	1995-02-28	VYDAJ	VYBER	15	27072	SLUZBY	\N	\N
922051	3142	1995-03-31	VYDAJ	VYBER	15	27974	SLUZBY	\N	\N
922052	3142	1995-04-30	VYDAJ	VYBER	15	25771	SLUZBY	\N	\N
922053	3142	1995-05-31	VYDAJ	VYBER	15	26869	SLUZBY	\N	\N
922054	3142	1995-06-30	VYDAJ	VYBER	15	26066	SLUZBY	\N	\N
922055	3142	1995-07-31	VYDAJ	VYBER	15	26606	SLUZBY	\N	\N
922056	3142	1995-08-31	VYDAJ	VYBER	15	26403	SLUZBY	\N	\N
922057	3142	1995-09-30	VYDAJ	VYBER	15	23154	SLUZBY	\N	\N
922058	3142	1995-10-31	VYDAJ	VYBER	15	16692	SLUZBY	\N	\N
922059	3142	1995-11-30	VYDAJ	VYBER	15	19154	SLUZBY	\N	\N
922060	3142	1995-12-31	VYDAJ	VYBER	15	20575	SLUZBY	\N	\N
922061	3142	1996-01-31	VYDAJ	VYBER	15	15028	SLUZBY	\N	\N
922062	3142	1996-02-29	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
922063	3142	1996-03-31	VYDAJ	VYBER	15	18829	SLUZBY	\N	\N
922064	3142	1996-04-30	VYDAJ	VYBER	15	14483	SLUZBY	\N	\N
922065	3142	1996-05-31	VYDAJ	VYBER	15	17337	SLUZBY	\N	\N
922066	3142	1996-06-30	VYDAJ	VYBER	15	15343	SLUZBY	\N	\N
922067	3142	1996-07-31	VYDAJ	VYBER	15	18201	SLUZBY	\N	\N
922068	3142	1996-08-31	VYDAJ	VYBER	15	19367	SLUZBY	\N	\N
922069	3142	1996-09-30	VYDAJ	VYBER	15	22242	SLUZBY	\N	\N
922070	3142	1996-10-31	VYDAJ	VYBER	15	20216	SLUZBY	\N	\N
922071	3142	1996-11-30	VYDAJ	VYBER	15	17463	SLUZBY	\N	\N
922072	3142	1996-12-31	VYDAJ	VYBER	15	17319	SLUZBY	\N	\N
922073	3142	1997-01-31	VYDAJ	VYBER	15	15112	SLUZBY	\N	\N
922074	3142	1997-02-28	VYDAJ	VYBER	15	14426	SLUZBY	\N	\N
922075	3142	1997-03-31	VYDAJ	VYBER	15	17280	SLUZBY	\N	\N
922076	3142	1997-04-30	VYDAJ	VYBER	15	20146	SLUZBY	\N	\N
922077	3142	1997-05-31	VYDAJ	VYBER	15	14113	SLUZBY	\N	\N
922078	3142	1997-06-30	VYDAJ	VYBER	15	16966	SLUZBY	\N	\N
922079	3142	1997-07-31	VYDAJ	VYBER	15	17927	SLUZBY	\N	\N
922080	3142	1997-08-31	VYDAJ	VYBER	15	19195	SLUZBY	\N	\N
922081	3142	1997-09-30	VYDAJ	VYBER	15	18619	SLUZBY	\N	\N
922082	3142	1997-10-31	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
922083	3142	1997-11-30	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
922084	3142	1997-12-31	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
922085	3142	1998-01-31	VYDAJ	VYBER	15	13939	SLUZBY	\N	\N
922086	3142	1998-02-28	VYDAJ	VYBER	15	16149	SLUZBY	\N	\N
922087	3142	1998-03-31	VYDAJ	VYBER	15	18509	SLUZBY	\N	\N
922088	3142	1998-04-30	VYDAJ	VYBER	15	15276	SLUZBY	\N	\N
922089	3142	1998-05-31	VYDAJ	VYBER	15	17832	SLUZBY	\N	\N
922090	3142	1998-06-30	VYDAJ	VYBER	15	14588	SLUZBY	\N	\N
922091	3142	1998-07-31	VYDAJ	VYBER	15	15240	SLUZBY	\N	\N
922092	3142	1998-08-31	VYDAJ	VYBER	15	15055	SLUZBY	\N	\N
922093	3142	1998-09-30	VYDAJ	VYBER	15	17910	SLUZBY	\N	\N
922094	3142	1998-10-31	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
922095	3142	1998-11-30	VYDAJ	VYBER	15	22557	SLUZBY	\N	\N
922096	3142	1995-02-11	VYDAJ	VYBER	100	24216	\N	\N	\N
922097	3142	1995-03-13	VYDAJ	VYBER	2000	29127	\N	\N	\N
922098	3142	1995-04-12	VYDAJ	VYBER	4700	28903	\N	\N	\N
922099	3142	1995-05-12	VYDAJ	VYBER	1800	28026	\N	\N	\N
922100	3142	1995-06-11	VYDAJ	VYBER	1300	25569	\N	\N	\N
922101	3142	1995-07-11	VYDAJ	VYBER	1000	25066	\N	\N	\N
922102	3142	1995-08-10	VYDAJ	VYBER	3100	23506	\N	\N	\N
922103	3142	1995-09-09	VYDAJ	VYBER	3900	22503	\N	\N	\N
922104	3142	1995-10-09	VYDAJ	VYBER	1900	21254	\N	\N	\N
922105	3142	1995-11-08	VYDAJ	VYBER	400	16292	\N	\N	\N
922106	3142	1996-04-06	VYDAJ	VYBER	1600	17229	\N	\N	\N
922107	3142	1996-06-05	VYDAJ	VYBER	1900	15437	\N	\N	\N
922108	3142	1996-08-04	VYDAJ	VYBER	1700	16501	\N	\N	\N
922109	3142	1996-10-03	VYDAJ	VYBER	4900	17342	\N	\N	\N
922110	3142	1996-11-02	VYDAJ	VYBER	3700	16516	\N	\N	\N
922111	3142	1996-12-02	VYDAJ	VYBER	2200	15263	\N	\N	\N
922112	3142	1997-01-01	VYDAJ	VYBER	1700	15619	\N	\N	\N
922113	3142	1997-01-31	VYDAJ	VYBER	500	14612	\N	\N	\N
922114	3142	1997-05-01	VYDAJ	VYBER	3500	16646	\N	\N	\N
922115	3142	1997-05-31	VYDAJ	VYBER	5400	14128	\N	\N	\N
922116	3142	1997-06-30	VYDAJ	VYBER	700	16266	\N	\N	\N
922117	3142	1997-07-30	VYDAJ	VYBER	1200	17867	\N	\N	\N
922118	3142	1997-08-29	VYDAJ	VYBER	1600	19128	\N	\N	\N
922119	3142	1997-10-28	VYDAJ	VYBER	500	18920	\N	\N	\N
922120	3142	1997-11-27	VYDAJ	VYBER	3100	18686	\N	\N	\N
922121	3142	1997-12-27	VYDAJ	VYBER	4200	17357	\N	\N	\N
922122	3142	1998-03-27	VYDAJ	VYBER	500	18450	\N	\N	\N
922123	3142	1998-04-26	VYDAJ	VYBER	6100	15210	\N	\N	\N
922124	3142	1998-05-26	VYDAJ	VYBER	300	17777	\N	\N	\N
922125	3142	1998-06-25	VYDAJ	VYBER	200	14533	\N	\N	\N
922126	3142	1998-07-25	VYDAJ	VYBER	1800	15189	\N	\N	\N
922127	3142	1998-08-24	VYDAJ	VYBER	800	17241	\N	\N	\N
922128	3142	1998-11-22	VYDAJ	VYBER	1100	22479	\N	\N	\N
922129	3142	1998-12-22	VYDAJ	VYBER	800	24558	\N	\N	\N
922177	3143	1996-10-18	PRIJEM	VKLAD	300	300	\N	\N	\N
922188	3143	1996-11-09	PRIJEM	VKLAD	6712	7012	\N	\N	\N
922189	3143	1996-12-09	PRIJEM	VKLAD	10068	25109	\N	\N	\N
922190	3143	1997-01-09	PRIJEM	VKLAD	6712	31804	\N	\N	\N
922191	3143	1997-02-09	PRIJEM	VKLAD	6712	37833	\N	\N	\N
922192	3143	1997-03-09	PRIJEM	VKLAD	6712	35077	\N	\N	\N
922193	3143	1997-04-09	PRIJEM	VKLAD	6712	26338	\N	\N	\N
922194	3143	1997-05-09	PRIJEM	VKLAD	6712	25568	\N	\N	\N
922195	3143	1997-06-09	PRIJEM	VKLAD	10068	29678	\N	\N	\N
922196	3143	1997-07-09	PRIJEM	VKLAD	6712	24316	\N	\N	\N
922197	3143	1997-08-09	PRIJEM	VKLAD	6712	23147	\N	\N	\N
922198	3143	1997-09-09	PRIJEM	VKLAD	6712	25968	\N	\N	\N
922199	3143	1997-10-09	PRIJEM	VKLAD	6712	29481	\N	\N	\N
922200	3143	1997-11-09	PRIJEM	VKLAD	6712	38343	\N	\N	\N
922201	3143	1997-12-09	PRIJEM	VKLAD	10068	45493	\N	\N	\N
922202	3143	1998-01-09	PRIJEM	VKLAD	6712	35796	\N	\N	\N
922203	3143	1998-02-09	PRIJEM	VKLAD	6712	33690	\N	\N	\N
922204	3143	1998-03-09	PRIJEM	VKLAD	6712	37178	\N	\N	\N
922205	3143	1998-04-09	PRIJEM	VKLAD	6712	38369	\N	\N	\N
922206	3143	1998-05-09	PRIJEM	VKLAD	6712	38148	\N	\N	\N
922207	3143	1998-06-09	PRIJEM	VKLAD	10068	49405	\N	\N	\N
922208	3143	1998-07-09	PRIJEM	VKLAD	6712	48064	\N	\N	\N
922209	3143	1998-08-09	PRIJEM	VKLAD	6712	54323	\N	\N	\N
922210	3143	1998-09-09	PRIJEM	VKLAD	6712	59233	\N	\N	\N
922211	3143	1998-10-09	PRIJEM	VKLAD	6712	58622	\N	\N	\N
922212	3143	1998-11-09	PRIJEM	VKLAD	6712	54914	\N	\N	\N
922213	3143	1998-12-09	PRIJEM	VKLAD	10068	59127	\N	\N	\N
922229	3143	1997-04-06	VYDAJ	PREVOD NA UCET	4474	19626	SIPO	IJ	86599880
922230	3143	1997-05-06	VYDAJ	PREVOD NA UCET	4474	18856	SIPO	IJ	86599880
922231	3143	1997-06-06	VYDAJ	PREVOD NA UCET	4474	19610	SIPO	IJ	86599880
922232	3143	1997-07-06	VYDAJ	PREVOD NA UCET	4474	17604	SIPO	IJ	86599880
922233	3143	1997-08-06	VYDAJ	PREVOD NA UCET	4474	16435	SIPO	IJ	86599880
922234	3143	1997-09-06	VYDAJ	PREVOD NA UCET	4474	24856	SIPO	IJ	86599880
922235	3143	1997-10-06	VYDAJ	PREVOD NA UCET	4474	22769	SIPO	IJ	86599880
922236	3143	1997-11-06	VYDAJ	PREVOD NA UCET	4474	31631	SIPO	IJ	86599880
922237	3143	1997-12-06	VYDAJ	PREVOD NA UCET	4474	35425	SIPO	IJ	86599880
922238	3143	1998-01-06	VYDAJ	PREVOD NA UCET	4474	29084	SIPO	IJ	86599880
922239	3143	1998-02-06	VYDAJ	PREVOD NA UCET	4474	26978	SIPO	IJ	86599880
922240	3143	1998-03-06	VYDAJ	PREVOD NA UCET	4474	30466	SIPO	IJ	86599880
922241	3143	1998-04-06	VYDAJ	PREVOD NA UCET	4474	38257	SIPO	IJ	86599880
922242	3143	1998-05-06	VYDAJ	PREVOD NA UCET	4474	38736	SIPO	IJ	86599880
922243	3143	1998-06-06	VYDAJ	PREVOD NA UCET	4474	39337	SIPO	IJ	86599880
922244	3143	1998-07-06	VYDAJ	PREVOD NA UCET	4474	41352	SIPO	IJ	86599880
922245	3143	1998-08-06	VYDAJ	PREVOD NA UCET	4474	40911	SIPO	IJ	86599880
922246	3143	1998-09-06	VYDAJ	PREVOD NA UCET	4474	43621	SIPO	IJ	86599880
922247	3143	1998-10-06	VYDAJ	PREVOD NA UCET	4474	49510	SIPO	IJ	86599880
922248	3143	1998-11-06	VYDAJ	PREVOD NA UCET	4474	44102	SIPO	IJ	86599880
922249	3143	1998-12-06	VYDAJ	PREVOD NA UCET	4474	44459	SIPO	IJ	86599880
922264	3143	1997-03-08	VYDAJ	VYBER	3900	28365	\N	\N	0
922265	3143	1997-04-02	VYDAJ	VYBER	4800	24100	\N	\N	0
922266	3143	1997-05-04	VYDAJ	VYBER	3500	23330	\N	\N	0
922267	3143	1997-06-18	VYDAJ	VYBER	4800	27378	\N	\N	0
922268	3143	1997-07-02	VYDAJ	VYBER	5400	22078	\N	\N	0
922269	3143	1997-07-31	VYDAJ	VYBER	5900	20909	\N	\N	0
922270	3143	1997-09-07	VYDAJ	VYBER	5600	19256	\N	\N	0
922271	3143	1997-10-02	VYDAJ	VYBER	6400	27243	\N	\N	0
922272	3143	1997-11-22	VYDAJ	VYBER	7200	39743	\N	\N	0
922273	3143	1997-12-21	VYDAJ	VYBER	5900	43193	\N	\N	0
922274	3143	1998-01-17	VYDAJ	VYBER	3800	37916	\N	\N	0
922275	3143	1998-02-21	VYDAJ	VYBER	5800	39890	\N	\N	0
922276	3143	1998-03-01	VYDAJ	VYBER	5100	34940	\N	\N	0
922277	3143	1998-04-08	VYDAJ	VYBER	6600	31657	\N	\N	0
922278	3143	1998-05-08	VYDAJ	VYBER	7300	31436	\N	\N	0
922279	3143	1998-06-12	VYDAJ	PREVOD NA UCET	5454	45651	UVER	OP	92271554
922280	3143	1998-07-12	VYDAJ	PREVOD NA UCET	5454	45210	UVER	OP	92271554
922281	3143	1998-08-12	VYDAJ	PREVOD NA UCET	5454	48869	UVER	OP	92271554
922282	3143	1998-09-12	VYDAJ	PREVOD NA UCET	5454	53779	UVER	OP	92271554
922283	3143	1998-10-12	VYDAJ	PREVOD NA UCET	5454	53168	UVER	OP	92271554
922284	3143	1998-11-12	VYDAJ	PREVOD NA UCET	5454	49460	UVER	OP	92271554
922285	3143	1998-12-12	VYDAJ	PREVOD NA UCET	5454	53673	UVER	OP	92271554
922287	3143	1997-12-22	VYDAJ	VYBER	3200	39993	\N	\N	\N
922288	3143	1998-12-18	VYDAJ	VYBER	1760	51913	\N	\N	\N
922301	3143	1998-01-13	VYDAJ	VYBER	2280	41716	\N	\N	\N
922302	3143	1998-01-29	VYDAJ	VYBER	2880	31316	\N	\N	\N
922303	3143	1998-01-22	VYDAJ	VYBER	2640	35276	\N	\N	\N
922304	3143	1998-01-25	VYDAJ	VYBER	1080	34196	\N	\N	\N
922305	3143	1998-01-03	VYDAJ	VYBER	3120	37038	\N	\N	\N
922306	3143	1998-01-04	VYDAJ	VYBER	3480	33558	\N	\N	\N
922315	3143	1997-09-16	VYDAJ	VYBER	840	33528	\N	\N	\N
922316	3143	1997-07-18	VYDAJ	VYBER	2400	26716	\N	\N	\N
922318	3143	1997-08-31	VYDAJ	VYBER	1320	29330	\N	\N	\N
922319	3143	1997-06-02	VYDAJ	VYBER	4080	24084	\N	\N	\N
922320	3143	1997-04-01	VYDAJ	VYBER	3600	28900	\N	\N	\N
922322	3143	1998-10-31	VYDAJ	VYBER	1920	48576	\N	\N	\N
922323	3143	1998-12-02	VYDAJ	VYBER	720	48933	\N	\N	\N
922324	3143	1998-08-26	VYDAJ	VYBER	960	47909	\N	\N	\N
922325	3143	1998-10-30	VYDAJ	VYBER	2880	50288	\N	\N	\N
922326	3143	1998-04-13	VYDAJ	VYBER	720	43049	\N	\N	\N
922342	3143	1997-03-31	VYDAJ	VYBER	15	32500	SLUZBY	\N	\N
922343	3143	1997-04-30	VYDAJ	VYBER	15	26830	SLUZBY	\N	\N
922344	3143	1997-05-31	VYDAJ	VYBER	15	28164	SLUZBY	\N	\N
922345	3143	1997-06-30	VYDAJ	VYBER	15	27478	SLUZBY	\N	\N
922346	3143	1997-07-31	VYDAJ	VYBER	15	26809	SLUZBY	\N	\N
922347	3143	1997-08-31	VYDAJ	VYBER	15	30650	SLUZBY	\N	\N
922348	3143	1997-09-30	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
922349	3143	1997-10-31	VYDAJ	VYBER	15	36105	SLUZBY	\N	\N
922350	3143	1997-11-30	VYDAJ	VYBER	15	39899	SLUZBY	\N	\N
922351	3143	1997-12-31	VYDAJ	VYBER	15	40158	SLUZBY	\N	\N
922352	3143	1998-01-31	VYDAJ	VYBER	15	31452	SLUZBY	\N	\N
922353	3143	1998-02-28	VYDAJ	VYBER	15	40040	SLUZBY	\N	\N
922354	3143	1998-03-31	VYDAJ	VYBER	15	42731	SLUZBY	\N	\N
922355	3143	1998-04-30	VYDAJ	VYBER	15	43210	SLUZBY	\N	\N
922356	3143	1998-05-31	VYDAJ	VYBER	15	43811	SLUZBY	\N	\N
922357	3143	1998-06-30	VYDAJ	VYBER	15	45826	SLUZBY	\N	\N
922358	3143	1998-07-31	VYDAJ	VYBER	15	45385	SLUZBY	\N	\N
922359	3143	1998-08-31	VYDAJ	VYBER	15	48095	SLUZBY	\N	\N
922360	3143	1998-09-30	VYDAJ	VYBER	15	53984	SLUZBY	\N	\N
922361	3143	1998-10-31	VYDAJ	VYBER	15	50496	SLUZBY	\N	\N
922362	3143	1998-11-30	VYDAJ	VYBER	15	49653	SLUZBY	\N	\N
922363	3143	1996-11-17	PRIJEM	VKLAD	8000	15012	\N	\N	\N
922364	3143	1996-12-17	VYDAJ	VYBER	100	25009	\N	\N	\N
922365	3143	1997-01-16	VYDAJ	VYBER	800	31004	\N	\N	\N
922366	3143	1997-02-15	VYDAJ	VYBER	5700	32133	\N	\N	\N
922367	3143	1997-03-17	VYDAJ	VYBER	2700	32377	\N	\N	\N
922368	3143	1997-04-16	PRIJEM	VKLAD	400	26738	\N	\N	\N
922369	3143	1997-05-16	PRIJEM	VKLAD	2500	28068	\N	\N	\N
922370	3143	1997-06-15	PRIJEM	VKLAD	2500	32178	\N	\N	\N
922371	3143	1997-07-15	PRIJEM	VKLAD	4800	29116	\N	\N	\N
922372	3143	1997-08-14	PRIJEM	VKLAD	7400	30547	\N	\N	\N
922373	3143	1997-09-13	PRIJEM	VKLAD	8400	34368	\N	\N	\N
922374	3143	1997-10-13	PRIJEM	VKLAD	6500	35981	\N	\N	\N
922375	3143	1997-11-12	PRIJEM	VKLAD	8600	46943	\N	\N	\N
922376	3143	1997-12-12	PRIJEM	VKLAD	3600	49093	\N	\N	\N
922377	3143	1998-01-11	PRIJEM	VKLAD	8200	43996	\N	\N	\N
922378	3143	1998-02-10	PRIJEM	VKLAD	12000	45690	\N	\N	\N
922379	3143	1998-03-12	PRIJEM	VKLAD	5400	42578	\N	\N	\N
922380	3143	1998-04-11	PRIJEM	VKLAD	5400	43769	\N	\N	\N
922381	3143	1998-05-11	PRIJEM	VKLAD	5500	43648	\N	\N	\N
922382	3143	1998-06-10	PRIJEM	VKLAD	1700	51105	\N	\N	\N
922383	3143	1998-07-10	PRIJEM	VKLAD	2600	50664	\N	\N	\N
922384	3143	1998-08-09	PRIJEM	VKLAD	6700	47611	\N	\N	\N
922385	3143	1998-09-08	PRIJEM	VKLAD	8900	52521	\N	\N	\N
922386	3143	1998-10-08	PRIJEM	VKLAD	2400	51910	\N	\N	\N
922387	3143	1998-11-07	PRIJEM	VKLAD	4100	48202	\N	\N	\N
922388	3143	1998-12-07	PRIJEM	VKLAD	4600	49059	\N	\N	\N
922415	3144	1996-03-09	PRIJEM	VKLAD	800	800	\N	\N	\N
922419	3144	1996-04-07	PRIJEM	PREVOD Z UCTU	6085	6885	DUCHOD	ST	22013318
922420	3144	1996-05-07	PRIJEM	PREVOD Z UCTU	6085	12970	DUCHOD	ST	22013318
922421	3144	1996-06-07	PRIJEM	PREVOD Z UCTU	6085	19055	DUCHOD	ST	22013318
922422	3144	1996-07-07	PRIJEM	PREVOD Z UCTU	6085	25140	DUCHOD	ST	22013318
922423	3144	1996-08-07	PRIJEM	PREVOD Z UCTU	6085	26808	DUCHOD	ST	22013318
922424	3144	1996-09-07	PRIJEM	PREVOD Z UCTU	6085	22991	DUCHOD	ST	22013318
922425	3144	1996-10-07	PRIJEM	PREVOD Z UCTU	6085	22637	DUCHOD	ST	22013318
922426	3144	1996-11-07	PRIJEM	PREVOD Z UCTU	6085	24997	DUCHOD	ST	22013318
922427	3144	1996-12-07	PRIJEM	PREVOD Z UCTU	6085	25287	DUCHOD	ST	22013318
922428	3144	1997-01-07	PRIJEM	PREVOD Z UCTU	6085	19211	DUCHOD	ST	22013318
922429	3144	1997-02-07	PRIJEM	PREVOD Z UCTU	6085	18756	DUCHOD	ST	22013318
922430	3144	1997-03-07	PRIJEM	PREVOD Z UCTU	6085	19185	DUCHOD	ST	22013318
922431	3144	1997-04-07	PRIJEM	PREVOD Z UCTU	6085	19766	DUCHOD	ST	22013318
922432	3144	1997-05-07	PRIJEM	PREVOD Z UCTU	6085	21315	DUCHOD	ST	22013318
922433	3144	1997-06-07	PRIJEM	PREVOD Z UCTU	6085	23672	DUCHOD	ST	22013318
922434	3144	1997-07-07	PRIJEM	PREVOD Z UCTU	6085	19227	DUCHOD	ST	22013318
922435	3144	1997-08-07	PRIJEM	PREVOD Z UCTU	6085	17477	DUCHOD	ST	22013318
922436	3144	1997-09-07	PRIJEM	PREVOD Z UCTU	6085	17721	DUCHOD	ST	22013318
922437	3144	1997-10-07	PRIJEM	PREVOD Z UCTU	6085	20061	DUCHOD	ST	22013318
922438	3144	1997-11-07	PRIJEM	PREVOD Z UCTU	6085	20710	DUCHOD	ST	22013318
922439	3144	1997-12-07	PRIJEM	PREVOD Z UCTU	6085	23062	DUCHOD	ST	22013318
922440	3144	1998-01-07	PRIJEM	PREVOD Z UCTU	6085	23383	DUCHOD	ST	22013318
922441	3144	1998-02-07	PRIJEM	PREVOD Z UCTU	6085	20456	DUCHOD	ST	22013318
922442	3144	1998-03-07	PRIJEM	PREVOD Z UCTU	6085	22807	DUCHOD	ST	22013318
922443	3144	1998-04-07	PRIJEM	PREVOD Z UCTU	6085	23165	DUCHOD	ST	22013318
922444	3144	1998-05-07	PRIJEM	PREVOD Z UCTU	6085	22726	DUCHOD	ST	22013318
922445	3144	1998-06-07	PRIJEM	PREVOD Z UCTU	6085	20984	DUCHOD	ST	22013318
922446	3144	1998-07-07	PRIJEM	PREVOD Z UCTU	6085	23337	DUCHOD	ST	22013318
922447	3144	1998-08-07	PRIJEM	PREVOD Z UCTU	6085	25700	DUCHOD	ST	22013318
922448	3144	1998-09-07	PRIJEM	PREVOD Z UCTU	6085	21180	DUCHOD	ST	22013318
922449	3144	1998-10-07	PRIJEM	PREVOD Z UCTU	6085	23533	DUCHOD	ST	22013318
922450	3144	1998-11-07	PRIJEM	PREVOD Z UCTU	6085	20651	DUCHOD	ST	22013318
922451	3144	1998-12-07	PRIJEM	PREVOD Z UCTU	6085	19803	DUCHOD	ST	22013318
922459	3144	1996-08-09	VYDAJ	PREVOD NA UCET	3786	23022	SIPO	KL	24305564
922460	3144	1996-09-09	VYDAJ	PREVOD NA UCET	3786	19205	SIPO	KL	24305564
922461	3144	1996-10-09	VYDAJ	PREVOD NA UCET	3786	18851	SIPO	KL	24305564
922462	3144	1996-11-09	VYDAJ	PREVOD NA UCET	3786	21211	SIPO	KL	24305564
922463	3144	1996-12-09	VYDAJ	PREVOD NA UCET	3786	21501	SIPO	KL	24305564
922464	3144	1997-01-09	VYDAJ	PREVOD NA UCET	3786	15425	SIPO	KL	24305564
922465	3144	1997-02-09	VYDAJ	PREVOD NA UCET	3786	13050	SIPO	KL	24305564
922466	3144	1997-03-09	VYDAJ	PREVOD NA UCET	3786	15399	SIPO	KL	24305564
922467	3144	1997-04-09	VYDAJ	PREVOD NA UCET	3786	15980	SIPO	KL	24305564
922468	3144	1997-05-09	VYDAJ	PREVOD NA UCET	3786	17529	SIPO	KL	24305564
922469	3144	1997-06-09	VYDAJ	PREVOD NA UCET	3786	19886	SIPO	KL	24305564
922470	3144	1997-07-09	VYDAJ	PREVOD NA UCET	3786	15441	SIPO	KL	24305564
922471	3144	1997-08-09	VYDAJ	PREVOD NA UCET	3786	13691	SIPO	KL	24305564
922472	3144	1997-09-09	VYDAJ	PREVOD NA UCET	3786	13935	SIPO	KL	24305564
922473	3144	1997-10-09	VYDAJ	PREVOD NA UCET	3786	16275	SIPO	KL	24305564
922474	3144	1997-11-09	VYDAJ	PREVOD NA UCET	3786	16924	SIPO	KL	24305564
922475	3144	1997-12-09	VYDAJ	PREVOD NA UCET	3786	19276	SIPO	KL	24305564
922476	3144	1998-01-09	VYDAJ	PREVOD NA UCET	3786	17757	SIPO	KL	24305564
922477	3144	1998-02-09	VYDAJ	PREVOD NA UCET	3786	16670	SIPO	KL	24305564
922478	3144	1998-03-09	VYDAJ	PREVOD NA UCET	3786	19021	SIPO	KL	24305564
922479	3144	1998-04-09	VYDAJ	PREVOD NA UCET	3786	19379	SIPO	KL	24305564
922480	3144	1998-05-09	VYDAJ	PREVOD NA UCET	3786	18940	SIPO	KL	24305564
922481	3144	1998-06-09	VYDAJ	PREVOD NA UCET	3786	17198	SIPO	KL	24305564
922482	3144	1998-07-09	VYDAJ	PREVOD NA UCET	3786	19551	SIPO	KL	24305564
922483	3144	1998-08-09	VYDAJ	PREVOD NA UCET	3786	18234	SIPO	KL	24305564
922484	3144	1998-09-09	VYDAJ	PREVOD NA UCET	3786	17394	SIPO	KL	24305564
922485	3144	1998-10-09	VYDAJ	PREVOD NA UCET	3786	19747	SIPO	KL	24305564
922486	3144	1998-11-09	VYDAJ	PREVOD NA UCET	3786	16865	SIPO	KL	24305564
922487	3144	1998-12-09	VYDAJ	PREVOD NA UCET	3786	16017	SIPO	KL	24305564
922492	3144	1997-01-02	VYDAJ	VYBER	2750	17826	\N	\N	\N
922494	3144	1996-12-26	VYDAJ	VYBER	1000	20501	\N	\N	\N
922495	3144	1997-12-25	VYDAJ	VYBER	1000	18276	\N	\N	\N
922496	3144	1998-12-12	VYDAJ	VYBER	250	15767	\N	\N	\N
922503	3144	1997-01-28	VYDAJ	VYBER	960	13185	\N	\N	\N
922504	3144	1997-01-11	VYDAJ	VYBER	1280	14145	\N	\N	\N
922507	3144	1997-01-02	VYDAJ	VYBER	1200	16626	\N	\N	\N
922508	3144	1997-01-29	VYDAJ	VYBER	560	12625	\N	\N	\N
922509	3144	1998-01-11	VYDAJ	VYBER	1040	14317	\N	\N	\N
922510	3144	1998-01-03	VYDAJ	VYBER	1040	17298	\N	\N	\N
922511	3144	1998-01-11	VYDAJ	VYBER	1520	15357	\N	\N	\N
922513	3144	1998-01-07	VYDAJ	VYBER	1840	21543	\N	\N	\N
922514	3144	1998-01-09	VYDAJ	VYBER	880	16877	\N	\N	\N
922515	3144	1996-09-27	VYDAJ	VYBER	960	16485	\N	\N	\N
922516	3144	1996-12-05	VYDAJ	VYBER	1120	19202	\N	\N	\N
922518	3144	1996-09-21	VYDAJ	VYBER	1760	17445	\N	\N	\N
922519	3144	1996-11-30	VYDAJ	VYBER	960	20322	\N	\N	\N
922521	3144	1997-06-10	VYDAJ	VYBER	3280	16606	\N	\N	\N
922522	3144	1997-03-11	VYDAJ	VYBER	1760	13639	\N	\N	\N
922523	3144	1997-07-02	VYDAJ	VYBER	3520	13142	\N	\N	\N
922525	3144	1997-02-09	VYDAJ	VYBER	1920	16836	\N	\N	\N
922526	3144	1998-03-19	VYDAJ	VYBER	2000	17021	\N	\N	\N
922527	3144	1998-12-04	VYDAJ	VYBER	3200	13718	\N	\N	\N
922528	3144	1998-10-23	VYDAJ	VYBER	3040	16707	\N	\N	\N
922531	3144	1998-08-07	VYDAJ	VYBER	3680	22020	\N	\N	\N
922540	3144	1996-08-31	VYDAJ	VYBER	15	23106	SLUZBY	\N	\N
922541	3144	1996-09-30	VYDAJ	VYBER	15	16552	SLUZBY	\N	\N
922542	3144	1996-10-31	VYDAJ	VYBER	15	18912	SLUZBY	\N	\N
922543	3144	1996-11-30	VYDAJ	VYBER	15	21282	SLUZBY	\N	\N
922544	3144	1996-12-31	VYDAJ	VYBER	15	20576	SLUZBY	\N	\N
922545	3144	1997-01-31	VYDAJ	VYBER	15	12671	SLUZBY	\N	\N
922546	3144	1997-02-28	VYDAJ	VYBER	15	13100	SLUZBY	\N	\N
922547	3144	1997-03-31	VYDAJ	VYBER	15	13681	SLUZBY	\N	\N
922548	3144	1997-04-30	VYDAJ	VYBER	15	16030	SLUZBY	\N	\N
922549	3144	1997-05-31	VYDAJ	VYBER	15	17587	SLUZBY	\N	\N
922550	3144	1997-06-30	VYDAJ	VYBER	15	16662	SLUZBY	\N	\N
922551	3144	1997-07-31	VYDAJ	VYBER	15	15492	SLUZBY	\N	\N
922552	3144	1997-08-31	VYDAJ	VYBER	15	11636	SLUZBY	\N	\N
922553	3144	1997-09-30	VYDAJ	VYBER	15	13976	SLUZBY	\N	\N
922554	3144	1997-10-31	VYDAJ	VYBER	15	14625	SLUZBY	\N	\N
922555	3144	1997-11-30	VYDAJ	VYBER	15	16977	SLUZBY	\N	\N
922556	3144	1997-12-31	VYDAJ	VYBER	15	18338	SLUZBY	\N	\N
922557	3144	1998-01-31	VYDAJ	VYBER	15	14371	SLUZBY	\N	\N
922558	3144	1998-02-28	VYDAJ	VYBER	15	16722	SLUZBY	\N	\N
922559	3144	1998-03-31	VYDAJ	VYBER	15	17080	SLUZBY	\N	\N
922560	3144	1998-04-30	VYDAJ	VYBER	15	16641	SLUZBY	\N	\N
922561	3144	1998-05-31	VYDAJ	VYBER	15	14899	SLUZBY	\N	\N
922562	3144	1998-06-30	VYDAJ	VYBER	15	17252	SLUZBY	\N	\N
922563	3144	1998-07-31	VYDAJ	VYBER	15	19615	SLUZBY	\N	\N
922564	3144	1998-08-31	VYDAJ	VYBER	15	15095	SLUZBY	\N	\N
922565	3144	1998-09-30	VYDAJ	VYBER	15	17448	SLUZBY	\N	\N
922566	3144	1998-10-31	VYDAJ	VYBER	15	14566	SLUZBY	\N	\N
922567	3144	1998-11-30	VYDAJ	VYBER	15	16918	SLUZBY	\N	\N
922568	3144	1996-07-07	VYDAJ	VYBER	400	24740	\N	\N	\N
922569	3144	1996-08-06	VYDAJ	VYBER	4100	20723	\N	\N	\N
922570	3144	1996-09-05	VYDAJ	VYBER	6200	16906	\N	\N	\N
922571	3144	1997-01-03	VYDAJ	VYBER	3500	13126	\N	\N	\N
922572	3144	1997-05-03	VYDAJ	VYBER	800	15230	\N	\N	\N
922573	3144	1997-08-01	VYDAJ	VYBER	4100	11392	\N	\N	\N
922574	3144	1997-08-31	VYDAJ	VYBER	2100	11651	\N	\N	\N
922575	3144	1997-10-30	VYDAJ	VYBER	1700	14575	\N	\N	\N
922576	3144	1998-04-28	VYDAJ	VYBER	2800	16579	\N	\N	\N
922577	3144	1998-05-28	VYDAJ	VYBER	4100	14840	\N	\N	\N
922578	3144	1998-08-26	VYDAJ	VYBER	3200	15034	\N	\N	\N
922579	3144	1998-10-25	VYDAJ	VYBER	2200	14507	\N	\N	\N
922610	3145	1993-12-03	PRIJEM	VKLAD	300	300	\N	\N	\N
922622	3145	1993-12-09	PRIJEM	PREVOD Z UCTU	5611	5911	DUCHOD	MN	42512309
922623	3145	1994-01-09	PRIJEM	PREVOD Z UCTU	5611	11540	DUCHOD	MN	42512309
922624	3145	1994-02-09	PRIJEM	PREVOD Z UCTU	5611	17176	DUCHOD	MN	42512309
922625	3145	1994-03-09	PRIJEM	PREVOD Z UCTU	5611	22812	DUCHOD	MN	42512309
922626	3145	1994-04-09	PRIJEM	PREVOD Z UCTU	5611	28447	DUCHOD	MN	42512309
922627	3145	1994-05-09	PRIJEM	PREVOD Z UCTU	5611	26904	DUCHOD	MN	42512309
922628	3145	1994-06-09	PRIJEM	PREVOD Z UCTU	5611	27083	DUCHOD	MN	42512309
922629	3145	1994-07-09	PRIJEM	PREVOD Z UCTU	5611	30063	DUCHOD	MN	42512309
922630	3145	1994-08-09	PRIJEM	PREVOD Z UCTU	5611	32854	DUCHOD	MN	42512309
922631	3145	1994-09-09	PRIJEM	PREVOD Z UCTU	5611	28336	DUCHOD	MN	42512309
922632	3145	1994-10-09	PRIJEM	PREVOD Z UCTU	5611	30721	DUCHOD	MN	42512309
922633	3145	1994-11-09	PRIJEM	PREVOD Z UCTU	5611	32914	DUCHOD	MN	42512309
922634	3145	1994-12-09	PRIJEM	PREVOD Z UCTU	5611	31666	DUCHOD	MN	42512309
922635	3145	1995-01-09	PRIJEM	PREVOD Z UCTU	5611	26257	DUCHOD	MN	42512309
922636	3145	1995-02-09	PRIJEM	PREVOD Z UCTU	5611	20317	DUCHOD	MN	42512309
922637	3145	1995-03-09	PRIJEM	PREVOD Z UCTU	5611	21624	DUCHOD	MN	42512309
922638	3145	1995-04-09	PRIJEM	PREVOD Z UCTU	5611	18764	DUCHOD	MN	42512309
922639	3145	1995-05-09	PRIJEM	PREVOD Z UCTU	5611	21908	DUCHOD	MN	42512309
922640	3145	1995-06-09	PRIJEM	PREVOD Z UCTU	5611	20963	DUCHOD	MN	42512309
922641	3145	1995-07-09	PRIJEM	PREVOD Z UCTU	5611	18910	DUCHOD	MN	42512309
922642	3145	1995-08-09	PRIJEM	PREVOD Z UCTU	5611	21755	DUCHOD	MN	42512309
922643	3145	1995-09-09	PRIJEM	PREVOD Z UCTU	5611	24010	DUCHOD	MN	42512309
922644	3145	1995-10-09	PRIJEM	PREVOD Z UCTU	5611	26776	DUCHOD	MN	42512309
922645	3145	1995-11-09	PRIJEM	PREVOD Z UCTU	5611	27810	DUCHOD	MN	42512309
922646	3145	1995-12-09	PRIJEM	PREVOD Z UCTU	5611	29469	DUCHOD	MN	42512309
922647	3145	1996-01-09	PRIJEM	PREVOD Z UCTU	5611	27648	DUCHOD	MN	42512309
922648	3145	1996-02-09	PRIJEM	PREVOD Z UCTU	5611	22172	DUCHOD	MN	42512309
922649	3145	1996-03-09	PRIJEM	PREVOD Z UCTU	5611	21484	DUCHOD	MN	42512309
922650	3145	1996-04-09	PRIJEM	PREVOD Z UCTU	5611	21680	DUCHOD	MN	42512309
922651	3145	1996-05-09	PRIJEM	PREVOD Z UCTU	5611	24836	DUCHOD	MN	42512309
922652	3145	1996-06-09	PRIJEM	PREVOD Z UCTU	5611	23581	DUCHOD	MN	42512309
922653	3145	1996-07-09	PRIJEM	PREVOD Z UCTU	5611	19388	DUCHOD	MN	42512309
922654	3145	1996-08-09	PRIJEM	PREVOD Z UCTU	5611	22534	DUCHOD	MN	42512309
922655	3145	1996-09-09	PRIJEM	PREVOD Z UCTU	5611	25693	DUCHOD	MN	42512309
922656	3145	1996-10-09	PRIJEM	PREVOD Z UCTU	5611	25906	DUCHOD	MN	42512309
922657	3145	1996-11-09	PRIJEM	PREVOD Z UCTU	5611	25793	DUCHOD	MN	42512309
922658	3145	1996-12-09	PRIJEM	PREVOD Z UCTU	5611	27615	DUCHOD	MN	42512309
922659	3145	1997-01-09	PRIJEM	PREVOD Z UCTU	5611	30795	DUCHOD	MN	42512309
922660	3145	1997-02-09	PRIJEM	PREVOD Z UCTU	5611	22284	DUCHOD	MN	42512309
922661	3145	1997-03-09	PRIJEM	PREVOD Z UCTU	5611	22557	DUCHOD	MN	42512309
922662	3145	1997-04-09	PRIJEM	PREVOD Z UCTU	5611	25716	DUCHOD	MN	42512309
922663	3145	1997-05-09	PRIJEM	PREVOD Z UCTU	5611	28888	DUCHOD	MN	42512309
922664	3145	1997-06-09	PRIJEM	PREVOD Z UCTU	5611	32073	DUCHOD	MN	42512309
922665	3145	1997-07-09	PRIJEM	PREVOD Z UCTU	5611	27062	DUCHOD	MN	42512309
922666	3145	1997-08-09	PRIJEM	PREVOD Z UCTU	5611	30239	DUCHOD	MN	42512309
922667	3145	1997-09-09	PRIJEM	PREVOD Z UCTU	5611	33430	DUCHOD	MN	42512309
922668	3145	1997-10-09	PRIJEM	PREVOD Z UCTU	5611	36634	DUCHOD	MN	42512309
922669	3145	1997-11-09	PRIJEM	PREVOD Z UCTU	5611	39851	DUCHOD	MN	42512309
922670	3145	1997-12-09	PRIJEM	PREVOD Z UCTU	5611	40839	DUCHOD	MN	42512309
922671	3145	1998-01-09	PRIJEM	PREVOD Z UCTU	5611	42822	DUCHOD	MN	42512309
922672	3145	1998-02-09	PRIJEM	PREVOD Z UCTU	5611	37328	DUCHOD	MN	42512309
922673	3145	1998-03-09	PRIJEM	PREVOD Z UCTU	5611	40548	DUCHOD	MN	42512309
922674	3145	1998-04-09	PRIJEM	PREVOD Z UCTU	5611	43781	DUCHOD	MN	42512309
922675	3145	1998-05-09	PRIJEM	PREVOD Z UCTU	5611	45744	DUCHOD	MN	42512309
922676	3145	1998-06-09	PRIJEM	PREVOD Z UCTU	5611	34599	DUCHOD	MN	42512309
922677	3145	1998-07-09	PRIJEM	PREVOD Z UCTU	5611	35974	DUCHOD	MN	42512309
922678	3145	1998-08-09	PRIJEM	PREVOD Z UCTU	5611	35659	DUCHOD	MN	42512309
922679	3145	1998-09-09	PRIJEM	PREVOD Z UCTU	5611	36791	DUCHOD	MN	42512309
922680	3145	1998-10-09	PRIJEM	PREVOD Z UCTU	5611	40011	DUCHOD	MN	42512309
922681	3145	1998-11-09	PRIJEM	PREVOD Z UCTU	5611	43241	DUCHOD	MN	42512309
922682	3145	1998-12-09	PRIJEM	PREVOD Z UCTU	5611	45185	DUCHOD	MN	42512309
922699	3145	1994-05-06	VYDAJ	PREVOD NA UCET	2527	21293	SIPO	ST	71322232
922700	3145	1994-06-06	VYDAJ	PREVOD NA UCET	2527	21472	SIPO	ST	71322232
922701	3145	1994-07-06	VYDAJ	PREVOD NA UCET	2527	24452	SIPO	ST	71322232
922702	3145	1994-08-06	VYDAJ	PREVOD NA UCET	2527	27243	SIPO	ST	71322232
922703	3145	1994-09-06	VYDAJ	PREVOD NA UCET	2527	22725	SIPO	ST	71322232
922704	3145	1994-10-06	VYDAJ	PREVOD NA UCET	2527	25110	SIPO	ST	71322232
922705	3145	1994-11-06	VYDAJ	PREVOD NA UCET	2527	27303	SIPO	ST	71322232
922706	3145	1994-12-06	VYDAJ	PREVOD NA UCET	2527	26055	SIPO	ST	71322232
922707	3145	1995-01-06	VYDAJ	PREVOD NA UCET	2527	20646	SIPO	ST	71322232
922708	3145	1995-02-06	VYDAJ	PREVOD NA UCET	2527	14706	SIPO	ST	71322232
922709	3145	1995-03-06	VYDAJ	PREVOD NA UCET	2527	16013	SIPO	ST	71322232
922710	3145	1995-04-06	VYDAJ	PREVOD NA UCET	2527	13153	SIPO	ST	71322232
922711	3145	1995-05-06	VYDAJ	PREVOD NA UCET	2527	16297	SIPO	ST	71322232
922712	3145	1995-06-06	VYDAJ	PREVOD NA UCET	2527	15352	SIPO	ST	71322232
922713	3145	1995-07-06	VYDAJ	PREVOD NA UCET	2527	13299	SIPO	ST	71322232
922714	3145	1995-08-06	VYDAJ	PREVOD NA UCET	2527	16144	SIPO	ST	71322232
922715	3145	1995-09-06	VYDAJ	PREVOD NA UCET	2527	18399	SIPO	ST	71322232
922716	3145	1995-10-06	VYDAJ	PREVOD NA UCET	2527	21165	SIPO	ST	71322232
922717	3145	1995-11-06	VYDAJ	PREVOD NA UCET	2527	22199	SIPO	ST	71322232
922718	3145	1995-12-06	VYDAJ	PREVOD NA UCET	2527	23858	SIPO	ST	71322232
922719	3145	1996-01-06	VYDAJ	PREVOD NA UCET	2527	24197	SIPO	ST	71322232
922720	3145	1996-02-06	VYDAJ	PREVOD NA UCET	2527	16561	SIPO	ST	71322232
922721	3145	1996-03-06	VYDAJ	PREVOD NA UCET	2527	15873	SIPO	ST	71322232
922722	3145	1996-04-06	VYDAJ	PREVOD NA UCET	2527	16069	SIPO	ST	71322232
922723	3145	1996-05-06	VYDAJ	PREVOD NA UCET	2527	19225	SIPO	ST	71322232
922724	3145	1996-06-06	VYDAJ	PREVOD NA UCET	2527	17970	SIPO	ST	71322232
922725	3145	1996-07-06	VYDAJ	PREVOD NA UCET	2527	13777	SIPO	ST	71322232
922726	3145	1996-08-06	VYDAJ	PREVOD NA UCET	2527	16923	SIPO	ST	71322232
922727	3145	1996-09-06	VYDAJ	PREVOD NA UCET	2527	20082	SIPO	ST	71322232
922728	3145	1996-10-06	VYDAJ	PREVOD NA UCET	2527	23255	SIPO	ST	71322232
922729	3145	1996-11-06	VYDAJ	PREVOD NA UCET	2527	20182	SIPO	ST	71322232
922730	3145	1996-12-06	VYDAJ	PREVOD NA UCET	2527	22004	SIPO	ST	71322232
922731	3145	1997-01-06	VYDAJ	PREVOD NA UCET	2527	25184	SIPO	ST	71322232
922732	3145	1997-02-06	VYDAJ	PREVOD NA UCET	2527	16673	SIPO	ST	71322232
922733	3145	1997-03-06	VYDAJ	PREVOD NA UCET	2527	16946	SIPO	ST	71322232
922734	3145	1997-04-06	VYDAJ	PREVOD NA UCET	2527	20105	SIPO	ST	71322232
922735	3145	1997-05-06	VYDAJ	PREVOD NA UCET	2527	23277	SIPO	ST	71322232
922736	3145	1997-06-06	VYDAJ	PREVOD NA UCET	2527	26462	SIPO	ST	71322232
922737	3145	1997-07-06	VYDAJ	PREVOD NA UCET	2527	21451	SIPO	ST	71322232
922738	3145	1997-08-06	VYDAJ	PREVOD NA UCET	2527	24628	SIPO	ST	71322232
922739	3145	1997-09-06	VYDAJ	PREVOD NA UCET	2527	27819	SIPO	ST	71322232
922740	3145	1997-10-06	VYDAJ	PREVOD NA UCET	2527	31023	SIPO	ST	71322232
922741	3145	1997-11-06	VYDAJ	PREVOD NA UCET	2527	34240	SIPO	ST	71322232
922742	3145	1997-12-06	VYDAJ	PREVOD NA UCET	2527	35228	SIPO	ST	71322232
922743	3145	1998-01-06	VYDAJ	PREVOD NA UCET	2527	37761	SIPO	ST	71322232
922744	3145	1998-02-06	VYDAJ	PREVOD NA UCET	2527	31717	SIPO	ST	71322232
922745	3145	1998-03-06	VYDAJ	PREVOD NA UCET	2527	34937	SIPO	ST	71322232
922746	3145	1998-04-06	VYDAJ	PREVOD NA UCET	2527	38170	SIPO	ST	71322232
922747	3145	1998-05-06	VYDAJ	PREVOD NA UCET	2527	40133	SIPO	ST	71322232
922748	3145	1998-06-06	VYDAJ	PREVOD NA UCET	2527	43388	SIPO	ST	71322232
922749	3145	1998-07-06	VYDAJ	PREVOD NA UCET	2527	30363	SIPO	ST	71322232
922750	3145	1998-08-06	VYDAJ	PREVOD NA UCET	2527	30048	SIPO	ST	71322232
922751	3145	1998-09-06	VYDAJ	PREVOD NA UCET	2527	31180	SIPO	ST	71322232
922752	3145	1998-10-06	VYDAJ	PREVOD NA UCET	2527	34400	SIPO	ST	71322232
922753	3145	1998-11-06	VYDAJ	PREVOD NA UCET	2527	37630	SIPO	ST	71322232
922754	3145	1998-12-06	VYDAJ	PREVOD NA UCET	2527	39574	SIPO	ST	71322232
922757	3145	1995-06-23	VYDAJ	VYBER	5200	15763	\N	\N	\N
922758	3145	1996-06-25	VYDAJ	VYBER	6850	16231	\N	\N	\N
922759	3145	1997-06-22	VYDAJ	VYBER	8200	23873	\N	\N	\N
922760	3145	1998-06-06	VYDAJ	VYBER	14400	28988	\N	\N	\N
922763	3145	1995-01-10	VYDAJ	VYBER	1900	24357	\N	\N	\N
922764	3145	1996-01-06	VYDAJ	VYBER	2600	26724	\N	\N	\N
922765	3145	1997-01-10	VYDAJ	VYBER	2800	27995	\N	\N	\N
922766	3145	1998-01-08	VYDAJ	VYBER	550	37211	\N	\N	\N
922768	3145	1994-12-05	VYDAJ	VYBER	1150	28582	\N	\N	\N
922769	3145	1995-12-24	VYDAJ	VYBER	250	29219	\N	\N	\N
922770	3145	1996-12-02	VYDAJ	VYBER	1350	24531	\N	\N	\N
922771	3145	1997-12-19	VYDAJ	VYBER	700	40139	\N	\N	\N
922772	3145	1998-12-03	VYDAJ	VYBER	1300	42101	\N	\N	\N
922785	3145	1995-01-10	VYDAJ	VYBER	1520	22837	\N	\N	\N
922786	3145	1995-01-24	VYDAJ	VYBER	1440	20597	\N	\N	\N
922787	3145	1995-01-28	VYDAJ	VYBER	1680	17157	\N	\N	\N
922788	3145	1995-01-04	VYDAJ	VYBER	1280	23173	\N	\N	\N
922789	3145	1995-01-26	VYDAJ	VYBER	1760	18837	\N	\N	\N
922790	3145	1995-01-03	VYDAJ	VYBER	1920	24453	\N	\N	\N
922791	3145	1996-01-22	VYDAJ	VYBER	1040	20528	\N	\N	\N
922792	3145	1996-01-13	VYDAJ	VYBER	2240	21568	\N	\N	\N
922793	3145	1996-01-26	VYDAJ	VYBER	400	20128	\N	\N	\N
922794	3145	1996-01-29	VYDAJ	VYBER	1120	19008	\N	\N	\N
922795	3145	1996-01-12	VYDAJ	VYBER	720	23808	\N	\N	\N
922796	3145	1996-01-08	VYDAJ	VYBER	2160	22037	\N	\N	\N
922797	3145	1997-01-24	VYDAJ	VYBER	2160	20235	\N	\N	\N
922798	3145	1997-01-24	VYDAJ	VYBER	1120	19115	\N	\N	\N
922799	3145	1997-01-19	VYDAJ	VYBER	1280	22395	\N	\N	\N
922800	3145	1997-01-10	VYDAJ	VYBER	1600	25195	\N	\N	\N
922801	3145	1997-01-11	VYDAJ	VYBER	1520	23675	\N	\N	\N
922802	3145	1997-01-10	VYDAJ	VYBER	1200	26795	\N	\N	\N
922803	3145	1998-01-19	VYDAJ	VYBER	1520	37462	\N	\N	\N
922804	3145	1998-01-29	VYDAJ	VYBER	640	34742	\N	\N	\N
922805	3145	1998-01-22	VYDAJ	VYBER	2080	35382	\N	\N	\N
922806	3145	1998-01-30	VYDAJ	VYBER	640	34102	\N	\N	\N
922807	3145	1998-01-11	VYDAJ	VYBER	1760	38982	\N	\N	\N
922808	3145	1998-01-11	VYDAJ	VYBER	2080	40742	\N	\N	\N
922815	3145	1994-05-04	VYDAJ	VYBER	3040	23820	\N	\N	\N
922816	3145	1994-09-02	VYDAJ	VYBER	3120	25252	\N	\N	\N
922817	3145	1994-12-13	VYDAJ	VYBER	2000	29666	\N	\N	\N
922818	3145	1995-03-10	VYDAJ	VYBER	2800	18824	\N	\N	\N
922819	3145	1995-01-16	VYDAJ	VYBER	800	22037	\N	\N	\N
922820	3145	1995-03-15	VYDAJ	VYBER	3200	15624	\N	\N	\N
922821	3145	1995-11-19	VYDAJ	VYBER	1520	26290	\N	\N	\N
922822	3145	1995-02-17	VYDAJ	VYBER	1840	18477	\N	\N	\N
922823	3145	1995-10-22	VYDAJ	VYBER	1440	25336	\N	\N	\N
922824	3145	1995-05-09	VYDAJ	VYBER	2000	19908	\N	\N	\N
922825	3145	1996-05-30	VYDAJ	VYBER	1520	20416	\N	\N	\N
922826	3145	1996-10-13	VYDAJ	VYBER	3280	22626	\N	\N	\N
922827	3145	1996-01-10	VYDAJ	VYBER	3120	24528	\N	\N	\N
922828	3145	1996-10-06	VYDAJ	VYBER	2960	20295	\N	\N	\N
922829	3145	1996-04-01	VYDAJ	VYBER	2240	19316	\N	\N	\N
922830	3145	1996-02-20	VYDAJ	VYBER	3840	18332	\N	\N	\N
922831	3145	1996-04-06	VYDAJ	VYBER	720	18596	\N	\N	\N
922832	3145	1997-11-22	VYDAJ	VYBER	2240	37611	\N	\N	\N
922833	3145	1997-02-19	VYDAJ	VYBER	2880	19404	\N	\N	\N
922834	3145	1998-06-15	VYDAJ	VYBER	960	33639	\N	\N	\N
922835	3145	1998-12-13	VYDAJ	VYBER	1440	43745	\N	\N	\N
922836	3145	1998-07-02	VYDAJ	VYBER	880	32890	\N	\N	\N
922837	3145	1998-04-13	VYDAJ	VYBER	1280	42501	\N	\N	\N
922838	3145	1998-07-14	VYDAJ	VYBER	3520	32454	\N	\N	\N
922839	3145	1998-08-31	VYDAJ	VYBER	2080	33707	\N	\N	\N
922856	3145	1994-04-30	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
922857	3145	1994-05-31	VYDAJ	VYBER	15	26999	SLUZBY	\N	\N
922858	3145	1994-06-30	VYDAJ	VYBER	15	27179	SLUZBY	\N	\N
922859	3145	1994-07-31	VYDAJ	VYBER	15	30170	SLUZBY	\N	\N
922860	3145	1994-08-31	VYDAJ	VYBER	15	28372	SLUZBY	\N	\N
922861	3145	1994-09-30	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
922862	3145	1994-10-31	VYDAJ	VYBER	15	29830	SLUZBY	\N	\N
922863	3145	1994-11-30	VYDAJ	VYBER	15	29732	SLUZBY	\N	\N
922864	3145	1994-12-31	VYDAJ	VYBER	15	26373	SLUZBY	\N	\N
922865	3145	1995-01-31	VYDAJ	VYBER	15	17233	SLUZBY	\N	\N
922866	3145	1995-02-28	VYDAJ	VYBER	15	18540	SLUZBY	\N	\N
922867	3145	1995-03-31	VYDAJ	VYBER	15	15680	SLUZBY	\N	\N
922868	3145	1995-04-30	VYDAJ	VYBER	15	18824	SLUZBY	\N	\N
922869	3145	1995-05-31	VYDAJ	VYBER	15	17879	SLUZBY	\N	\N
922870	3145	1995-06-30	VYDAJ	VYBER	15	15826	SLUZBY	\N	\N
922871	3145	1995-07-31	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
922872	3145	1995-08-31	VYDAJ	VYBER	15	20926	SLUZBY	\N	\N
922873	3145	1995-09-30	VYDAJ	VYBER	15	23692	SLUZBY	\N	\N
922874	3145	1995-10-31	VYDAJ	VYBER	15	24726	SLUZBY	\N	\N
922875	3145	1995-11-30	VYDAJ	VYBER	15	26385	SLUZBY	\N	\N
922876	3145	1995-12-31	VYDAJ	VYBER	15	29324	SLUZBY	\N	\N
922877	3145	1996-01-31	VYDAJ	VYBER	15	19088	SLUZBY	\N	\N
922878	3145	1996-02-29	VYDAJ	VYBER	15	18400	SLUZBY	\N	\N
922879	3145	1996-03-31	VYDAJ	VYBER	15	21556	SLUZBY	\N	\N
922880	3145	1996-04-30	VYDAJ	VYBER	15	21752	SLUZBY	\N	\N
922881	3145	1996-05-31	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
922882	3145	1996-06-30	VYDAJ	VYBER	15	16304	SLUZBY	\N	\N
922883	3145	1996-07-31	VYDAJ	VYBER	15	19450	SLUZBY	\N	\N
922884	3145	1996-08-31	VYDAJ	VYBER	15	22609	SLUZBY	\N	\N
922885	3145	1996-09-30	VYDAJ	VYBER	15	25782	SLUZBY	\N	\N
922886	3145	1996-10-31	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
922887	3145	1996-11-30	VYDAJ	VYBER	15	25881	SLUZBY	\N	\N
922888	3145	1996-12-31	VYDAJ	VYBER	15	27711	SLUZBY	\N	\N
922889	3145	1997-01-31	VYDAJ	VYBER	15	19200	SLUZBY	\N	\N
922890	3145	1997-02-28	VYDAJ	VYBER	15	19473	SLUZBY	\N	\N
922891	3145	1997-03-31	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
922892	3145	1997-04-30	VYDAJ	VYBER	15	25804	SLUZBY	\N	\N
922893	3145	1997-05-31	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
922894	3145	1997-06-30	VYDAJ	VYBER	15	23978	SLUZBY	\N	\N
922895	3145	1997-07-31	VYDAJ	VYBER	15	27155	SLUZBY	\N	\N
922896	3145	1997-08-31	VYDAJ	VYBER	15	30346	SLUZBY	\N	\N
922897	3145	1997-09-30	VYDAJ	VYBER	15	33550	SLUZBY	\N	\N
922898	3145	1997-10-31	VYDAJ	VYBER	15	36767	SLUZBY	\N	\N
922899	3145	1997-11-30	VYDAJ	VYBER	15	37755	SLUZBY	\N	\N
922900	3145	1997-12-31	VYDAJ	VYBER	15	40288	SLUZBY	\N	\N
922901	3145	1998-01-31	VYDAJ	VYBER	15	34244	SLUZBY	\N	\N
922902	3145	1998-02-28	VYDAJ	VYBER	15	37464	SLUZBY	\N	\N
922903	3145	1998-03-31	VYDAJ	VYBER	15	40697	SLUZBY	\N	\N
922904	3145	1998-04-30	VYDAJ	VYBER	15	42660	SLUZBY	\N	\N
922905	3145	1998-05-31	VYDAJ	VYBER	15	45915	SLUZBY	\N	\N
922906	3145	1998-06-30	VYDAJ	VYBER	15	33770	SLUZBY	\N	\N
922907	3145	1998-07-31	VYDAJ	VYBER	15	32575	SLUZBY	\N	\N
922908	3145	1998-08-31	VYDAJ	VYBER	15	35787	SLUZBY	\N	\N
922909	3145	1998-09-30	VYDAJ	VYBER	15	36927	SLUZBY	\N	\N
922910	3145	1998-10-31	VYDAJ	VYBER	15	40157	SLUZBY	\N	\N
922911	3145	1998-11-30	VYDAJ	VYBER	15	43401	SLUZBY	\N	\N
922912	3145	1994-05-02	VYDAJ	VYBER	1600	26860	\N	\N	\N
922913	3145	1994-06-01	VYDAJ	VYBER	3000	23999	\N	\N	\N
922914	3145	1994-07-01	VYDAJ	VYBER	200	26979	\N	\N	\N
922915	3145	1994-07-31	VYDAJ	VYBER	400	29770	\N	\N	\N
922916	3145	1994-08-30	VYDAJ	VYBER	4600	28254	\N	\N	\N
922917	3145	1994-09-29	VYDAJ	VYBER	800	27536	\N	\N	\N
922918	3145	1994-10-29	VYDAJ	VYBER	1000	29721	\N	\N	\N
922919	3145	1994-11-28	VYDAJ	VYBER	3300	29614	\N	\N	\N
922920	3145	1994-12-28	VYDAJ	VYBER	3400	26266	\N	\N	\N
922921	3145	1995-05-27	VYDAJ	VYBER	2100	17808	\N	\N	\N
922922	3145	1995-07-26	VYDAJ	VYBER	300	18610	\N	\N	\N
922923	3145	1995-08-25	VYDAJ	VYBER	900	20855	\N	\N	\N
922924	3145	1995-09-24	VYDAJ	VYBER	400	23610	\N	\N	\N
922925	3145	1995-10-24	VYDAJ	VYBER	700	24636	\N	\N	\N
922926	3145	1996-05-21	VYDAJ	VYBER	2900	21936	\N	\N	\N
922927	3145	1996-06-20	VYDAJ	VYBER	500	23081	\N	\N	\N
922989	3146	1993-10-26	PRIJEM	VKLAD	300	300	\N	\N	\N
923000	3146	1993-11-07	PRIJEM	PREVOD Z UCTU	3688	3988	\N	OP	39541465
923001	3146	1993-12-07	PRIJEM	PREVOD Z UCTU	3688	16186	\N	OP	39541465
923002	3146	1994-01-07	PRIJEM	PREVOD Z UCTU	3688	23333	\N	OP	39541465
923003	3146	1994-02-07	PRIJEM	PREVOD Z UCTU	3688	29409	\N	OP	39541465
923004	3146	1994-03-07	PRIJEM	PREVOD Z UCTU	3688	31806	\N	OP	39541465
923005	3146	1994-04-07	PRIJEM	PREVOD Z UCTU	3688	32478	\N	OP	39541465
923006	3146	1994-05-07	PRIJEM	PREVOD Z UCTU	3688	33061	\N	OP	39541465
923007	3146	1994-06-07	PRIJEM	PREVOD Z UCTU	3688	30904	\N	OP	39541465
923008	3146	1994-07-07	PRIJEM	PREVOD Z UCTU	3688	28626	\N	OP	39541465
923009	3146	1994-08-07	PRIJEM	PREVOD Z UCTU	3688	30887	\N	OP	39541465
923010	3146	1994-09-07	PRIJEM	PREVOD Z UCTU	3688	31955	\N	OP	39541465
923011	3146	1994-10-07	PRIJEM	PREVOD Z UCTU	3688	32026	\N	OP	39541465
923012	3146	1994-11-07	PRIJEM	PREVOD Z UCTU	3688	31087	\N	OP	39541465
923013	3146	1994-12-07	PRIJEM	PREVOD Z UCTU	3688	27749	\N	OP	39541465
923014	3146	1995-01-07	PRIJEM	PREVOD Z UCTU	3688	26665	\N	OP	39541465
923015	3146	1995-02-07	PRIJEM	PREVOD Z UCTU	3688	26292	\N	OP	39541465
923016	3146	1995-03-07	PRIJEM	PREVOD Z UCTU	3688	28342	\N	OP	39541465
923017	3146	1995-04-07	PRIJEM	PREVOD Z UCTU	3688	25795	\N	OP	39541465
923018	3146	1995-05-07	PRIJEM	PREVOD Z UCTU	3688	24849	\N	OP	39541465
923019	3146	1995-06-07	PRIJEM	PREVOD Z UCTU	3688	21096	\N	OP	39541465
923020	3146	1995-07-07	PRIJEM	PREVOD Z UCTU	3688	23033	\N	OP	39541465
923021	3146	1995-08-07	PRIJEM	PREVOD Z UCTU	3688	22866	\N	OP	39541465
923022	3146	1995-09-07	PRIJEM	PREVOD Z UCTU	3688	26004	\N	OP	39541465
923023	3146	1995-10-07	PRIJEM	PREVOD Z UCTU	3688	27664	\N	OP	39541465
923024	3146	1995-11-07	PRIJEM	PREVOD Z UCTU	3688	29219	\N	OP	39541465
923025	3146	1995-12-07	PRIJEM	PREVOD Z UCTU	3688	22796	\N	OP	39541465
923026	3146	1996-01-07	PRIJEM	PREVOD Z UCTU	3688	24033	\N	OP	39541465
923027	3146	1996-02-07	PRIJEM	PREVOD Z UCTU	3688	21858	\N	OP	39541465
923028	3146	1996-03-07	PRIJEM	PREVOD Z UCTU	3688	25293	\N	OP	39541465
923029	3146	1996-04-07	PRIJEM	PREVOD Z UCTU	3688	27440	\N	OP	39541465
923030	3146	1996-05-07	PRIJEM	PREVOD Z UCTU	3688	28293	\N	OP	39541465
923031	3146	1996-06-07	PRIJEM	PREVOD Z UCTU	3688	28739	\N	OP	39541465
923032	3146	1996-07-07	PRIJEM	PREVOD Z UCTU	3688	23720	\N	OP	39541465
923033	3146	1996-08-07	PRIJEM	PREVOD Z UCTU	3688	26662	\N	OP	39541465
923034	3146	1996-09-07	PRIJEM	PREVOD Z UCTU	3688	25721	\N	OP	39541465
923035	3146	1996-10-07	PRIJEM	PREVOD Z UCTU	3688	25463	\N	OP	39541465
923036	3146	1996-11-07	PRIJEM	PREVOD Z UCTU	3688	26006	\N	OP	39541465
923037	3146	1996-12-07	PRIJEM	PREVOD Z UCTU	3688	29059	\N	OP	39541465
923038	3146	1997-01-07	PRIJEM	PREVOD Z UCTU	3688	25126	\N	OP	39541465
923039	3146	1997-02-07	PRIJEM	PREVOD Z UCTU	3688	24004	\N	OP	39541465
923040	3146	1997-03-07	PRIJEM	PREVOD Z UCTU	3688	24943	\N	OP	39541465
923041	3146	1997-04-07	PRIJEM	PREVOD Z UCTU	3688	23678	\N	OP	39541465
923042	3146	1997-05-07	PRIJEM	PREVOD Z UCTU	3688	21806	\N	OP	39541465
923043	3146	1997-06-07	PRIJEM	PREVOD Z UCTU	3688	16184	\N	OP	39541465
923044	3146	1997-07-07	PRIJEM	PREVOD Z UCTU	3688	16188	\N	OP	39541465
923045	3146	1997-08-07	PRIJEM	PREVOD Z UCTU	3688	20696	\N	OP	39541465
923046	3146	1997-09-07	PRIJEM	PREVOD Z UCTU	3688	20320	\N	OP	39541465
923047	3146	1997-10-07	PRIJEM	PREVOD Z UCTU	3688	18947	\N	OP	39541465
923048	3146	1997-11-07	PRIJEM	PREVOD Z UCTU	3688	19569	\N	OP	39541465
923049	3146	1997-12-07	PRIJEM	PREVOD Z UCTU	3688	18792	\N	OP	39541465
923050	3146	1998-01-07	PRIJEM	PREVOD Z UCTU	3688	18971	\N	OP	39541465
923051	3146	1998-02-07	PRIJEM	PREVOD Z UCTU	3688	20591	\N	OP	39541465
923052	3146	1998-03-07	PRIJEM	PREVOD Z UCTU	3688	17215	\N	OP	39541465
923053	3146	1998-04-07	PRIJEM	PREVOD Z UCTU	3688	18831	\N	OP	39541465
923054	3146	1998-05-07	PRIJEM	PREVOD Z UCTU	3688	22148	\N	OP	39541465
923055	3146	1998-06-07	PRIJEM	PREVOD Z UCTU	3688	19998	\N	OP	39541465
923056	3146	1998-07-07	PRIJEM	PREVOD Z UCTU	3688	18224	\N	OP	39541465
923057	3146	1998-08-07	PRIJEM	PREVOD Z UCTU	3688	21843	\N	OP	39541465
923058	3146	1998-09-07	PRIJEM	PREVOD Z UCTU	3688	25472	\N	OP	39541465
923059	3146	1998-10-07	PRIJEM	PREVOD Z UCTU	3688	27617	\N	OP	39541465
923060	3146	1998-11-07	PRIJEM	PREVOD Z UCTU	3688	31057	\N	OP	39541465
923061	3146	1998-12-07	PRIJEM	PREVOD Z UCTU	3688	27613	\N	OP	39541465
923076	3146	1994-03-11	VYDAJ	PREVOD NA UCET	2122	29684	SIPO	OP	91693257
923077	3146	1994-04-11	VYDAJ	PREVOD NA UCET	2122	29666	SIPO	OP	91693257
923078	3146	1994-05-11	VYDAJ	PREVOD NA UCET	2122	29709	SIPO	OP	91693257
923079	3146	1994-06-11	VYDAJ	PREVOD NA UCET	2122	28782	SIPO	OP	91693257
923080	3146	1994-07-11	VYDAJ	PREVOD NA UCET	2122	26504	SIPO	OP	91693257
923081	3146	1994-08-11	VYDAJ	PREVOD NA UCET	2122	28765	SIPO	OP	91693257
923082	3146	1994-09-11	VYDAJ	PREVOD NA UCET	2122	29833	SIPO	OP	91693257
923083	3146	1994-10-11	VYDAJ	PREVOD NA UCET	2122	29694	SIPO	OP	91693257
923084	3146	1994-11-11	VYDAJ	PREVOD NA UCET	2122	28965	SIPO	OP	91693257
923085	3146	1994-12-11	VYDAJ	PREVOD NA UCET	2122	24907	SIPO	OP	91693257
923086	3146	1995-01-11	VYDAJ	PREVOD NA UCET	2122	22323	SIPO	OP	91693257
923087	3146	1995-02-11	VYDAJ	PREVOD NA UCET	2122	24170	SIPO	OP	91693257
923088	3146	1995-03-11	VYDAJ	PREVOD NA UCET	2122	26220	SIPO	OP	91693257
923089	3146	1995-04-11	VYDAJ	PREVOD NA UCET	2122	23673	SIPO	OP	91693257
923090	3146	1995-05-11	VYDAJ	PREVOD NA UCET	2122	22727	SIPO	OP	91693257
923091	3146	1995-06-11	VYDAJ	PREVOD NA UCET	2122	18974	SIPO	OP	91693257
923092	3146	1995-07-11	VYDAJ	PREVOD NA UCET	2122	20911	SIPO	OP	91693257
923093	3146	1995-08-11	VYDAJ	PREVOD NA UCET	2122	20744	SIPO	OP	91693257
923094	3146	1995-09-11	VYDAJ	PREVOD NA UCET	2122	23882	SIPO	OP	91693257
923095	3146	1995-10-11	VYDAJ	PREVOD NA UCET	2122	25542	SIPO	OP	91693257
923096	3146	1995-11-11	VYDAJ	PREVOD NA UCET	2122	27097	SIPO	OP	91693257
923097	3146	1995-12-11	VYDAJ	PREVOD NA UCET	2122	20674	SIPO	OP	91693257
923098	3146	1996-01-11	VYDAJ	PREVOD NA UCET	2122	21911	SIPO	OP	91693257
923099	3146	1996-02-11	VYDAJ	PREVOD NA UCET	2122	19736	SIPO	OP	91693257
923100	3146	1996-03-11	VYDAJ	PREVOD NA UCET	2122	23171	SIPO	OP	91693257
923101	3146	1996-04-11	VYDAJ	PREVOD NA UCET	2122	25318	SIPO	OP	91693257
923102	3146	1996-05-11	VYDAJ	PREVOD NA UCET	2122	26171	SIPO	OP	91693257
923103	3146	1996-06-11	VYDAJ	PREVOD NA UCET	2122	26617	SIPO	OP	91693257
923104	3146	1996-07-11	VYDAJ	PREVOD NA UCET	2122	21598	SIPO	OP	91693257
923105	3146	1996-08-11	VYDAJ	PREVOD NA UCET	2122	24540	SIPO	OP	91693257
923106	3146	1996-09-11	VYDAJ	PREVOD NA UCET	2122	21699	SIPO	OP	91693257
923107	3146	1996-10-11	VYDAJ	PREVOD NA UCET	2122	22241	SIPO	OP	91693257
923108	3146	1996-11-11	VYDAJ	PREVOD NA UCET	2122	25284	SIPO	OP	91693257
923109	3146	1996-12-11	VYDAJ	PREVOD NA UCET	2122	22767	SIPO	OP	91693257
923110	3146	1997-01-11	VYDAJ	PREVOD NA UCET	2122	20694	SIPO	OP	91693257
923111	3146	1997-02-11	VYDAJ	PREVOD NA UCET	2122	21182	SIPO	OP	91693257
923112	3146	1997-03-11	VYDAJ	PREVOD NA UCET	2122	19921	SIPO	OP	91693257
923113	3146	1997-04-11	VYDAJ	PREVOD NA UCET	2122	18056	SIPO	OP	91693257
923114	3146	1997-05-11	VYDAJ	PREVOD NA UCET	2122	12454	SIPO	OP	91693257
923115	3146	1997-06-11	VYDAJ	PREVOD NA UCET	2122	12462	SIPO	OP	91693257
923116	3146	1997-07-11	VYDAJ	PREVOD NA UCET	2122	13766	SIPO	OP	91693257
923117	3146	1997-08-11	VYDAJ	PREVOD NA UCET	2122	18574	SIPO	OP	91693257
923118	3146	1997-09-11	VYDAJ	PREVOD NA UCET	2122	18198	SIPO	OP	91693257
923119	3146	1997-10-11	VYDAJ	PREVOD NA UCET	2122	16825	SIPO	OP	91693257
923120	3146	1997-11-11	VYDAJ	PREVOD NA UCET	2122	17447	SIPO	OP	91693257
923121	3146	1997-12-11	VYDAJ	PREVOD NA UCET	2122	16670	SIPO	OP	91693257
923122	3146	1998-01-11	VYDAJ	PREVOD NA UCET	2122	16849	SIPO	OP	91693257
923123	3146	1998-02-11	VYDAJ	PREVOD NA UCET	2122	18469	SIPO	OP	91693257
923124	3146	1998-03-11	VYDAJ	PREVOD NA UCET	2122	15093	SIPO	OP	91693257
923125	3146	1998-04-11	VYDAJ	PREVOD NA UCET	2122	16709	SIPO	OP	91693257
923126	3146	1998-05-11	VYDAJ	PREVOD NA UCET	2122	20026	SIPO	OP	91693257
923127	3146	1998-06-11	VYDAJ	PREVOD NA UCET	2122	17876	SIPO	OP	91693257
923128	3146	1998-07-11	VYDAJ	PREVOD NA UCET	2122	16102	SIPO	OP	91693257
923129	3146	1998-08-11	VYDAJ	PREVOD NA UCET	2122	19721	SIPO	OP	91693257
923130	3146	1998-09-11	VYDAJ	PREVOD NA UCET	2122	23350	SIPO	OP	91693257
923131	3146	1998-10-11	VYDAJ	PREVOD NA UCET	2122	25495	SIPO	OP	91693257
923132	3146	1998-11-11	VYDAJ	PREVOD NA UCET	2122	28935	SIPO	OP	91693257
923133	3146	1998-12-11	VYDAJ	PREVOD NA UCET	2122	24021	SIPO	OP	91693257
923135	3146	1994-06-11	VYDAJ	VYBER	1710	27072	\N	\N	\N
923136	3146	1995-06-05	VYDAJ	VYBER	7500	17408	\N	\N	\N
923137	3146	1996-06-19	VYDAJ	VYBER	5970	19947	\N	\N	\N
923142	3146	1995-01-08	VYDAJ	VYBER	2220	24445	\N	\N	\N
923143	3146	1996-01-28	VYDAJ	VYBER	2310	18101	\N	\N	\N
923144	3146	1997-01-08	VYDAJ	VYBER	2010	22816	\N	\N	\N
923147	3146	1994-12-11	VYDAJ	VYBER	720	27029	\N	\N	\N
923148	3146	1995-12-04	VYDAJ	VYBER	660	19918	\N	\N	\N
923149	3146	1996-12-08	VYDAJ	VYBER	570	28489	\N	\N	\N
923150	3146	1997-12-13	VYDAJ	VYBER	540	16130	\N	\N	\N
923151	3146	1998-12-05	VYDAJ	VYBER	510	23925	\N	\N	\N
923156	3146	1994-05-08	VYDAJ	VYBER	1230	31831	\N	\N	\N
923157	3146	1994-10-09	VYDAJ	VYBER	210	31816	\N	\N	\N
923158	3146	1994-06-13	VYDAJ	VYBER	330	26742	\N	\N	\N
923159	3146	1994-04-11	VYDAJ	VYBER	690	31788	\N	\N	\N
923160	3146	1994-06-29	VYDAJ	VYBER	600	24842	\N	\N	\N
923161	3146	1995-01-03	VYDAJ	VYBER	1320	22977	\N	\N	\N
923162	3146	1995-04-24	VYDAJ	VYBER	1470	21083	\N	\N	\N
923163	3146	1995-09-25	VYDAJ	VYBER	990	23892	\N	\N	\N
923164	3146	1995-03-24	VYDAJ	VYBER	1200	22020	\N	\N	\N
923165	3146	1995-12-06	VYDAJ	VYBER	810	19108	\N	\N	\N
923166	3146	1995-04-18	VYDAJ	VYBER	1020	22653	\N	\N	\N
923167	3146	1996-04-27	VYDAJ	VYBER	450	24518	\N	\N	\N
923168	3146	1996-12-24	VYDAJ	VYBER	1410	21357	\N	\N	\N
923169	3146	1996-04-14	VYDAJ	VYBER	1050	24968	\N	\N	\N
923170	3146	1996-06-04	VYDAJ	VYBER	810	25051	\N	\N	\N
923171	3146	1996-08-29	VYDAJ	VYBER	1290	21950	\N	\N	\N
923172	3146	1997-01-27	VYDAJ	VYBER	450	20244	\N	\N	\N
923174	3146	1997-05-10	VYDAJ	VYBER	630	14576	\N	\N	\N
923175	3146	1997-10-26	VYDAJ	VYBER	600	16225	\N	\N	\N
923176	3146	1998-10-17	VYDAJ	VYBER	1410	24085	\N	\N	\N
923177	3146	1998-12-10	VYDAJ	VYBER	1470	26143	\N	\N	\N
923178	3146	1998-05-25	VYDAJ	VYBER	1080	18946	\N	\N	\N
923194	3146	1994-03-31	VYDAJ	VYBER	15	28790	SLUZBY	\N	\N
923195	3146	1994-04-30	VYDAJ	VYBER	15	29373	SLUZBY	\N	\N
923196	3146	1994-05-31	VYDAJ	VYBER	15	27216	SLUZBY	\N	\N
923197	3146	1994-06-30	VYDAJ	VYBER	15	24938	SLUZBY	\N	\N
923198	3146	1994-07-31	VYDAJ	VYBER	15	27199	SLUZBY	\N	\N
923199	3146	1994-08-31	VYDAJ	VYBER	15	28267	SLUZBY	\N	\N
923200	3146	1994-09-30	VYDAJ	VYBER	15	28338	SLUZBY	\N	\N
923201	3146	1994-10-31	VYDAJ	VYBER	15	27399	SLUZBY	\N	\N
923202	3146	1994-11-30	VYDAJ	VYBER	15	24061	SLUZBY	\N	\N
923203	3146	1994-12-31	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
923204	3146	1995-01-31	VYDAJ	VYBER	15	22604	SLUZBY	\N	\N
923205	3146	1995-02-28	VYDAJ	VYBER	15	24654	SLUZBY	\N	\N
923206	3146	1995-03-31	VYDAJ	VYBER	15	22107	SLUZBY	\N	\N
923207	3146	1995-04-30	VYDAJ	VYBER	15	21161	SLUZBY	\N	\N
923208	3146	1995-05-31	VYDAJ	VYBER	15	24908	SLUZBY	\N	\N
923209	3146	1995-06-30	VYDAJ	VYBER	15	19345	SLUZBY	\N	\N
923210	3146	1995-07-31	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
923211	3146	1995-08-31	VYDAJ	VYBER	15	22316	SLUZBY	\N	\N
923212	3146	1995-09-30	VYDAJ	VYBER	15	23976	SLUZBY	\N	\N
923213	3146	1995-10-31	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
923214	3146	1995-11-30	VYDAJ	VYBER	15	20578	SLUZBY	\N	\N
923215	3146	1995-12-31	VYDAJ	VYBER	15	20345	SLUZBY	\N	\N
923216	3146	1996-01-31	VYDAJ	VYBER	15	18170	SLUZBY	\N	\N
923217	3146	1996-02-29	VYDAJ	VYBER	15	21605	SLUZBY	\N	\N
923218	3146	1996-03-31	VYDAJ	VYBER	15	23752	SLUZBY	\N	\N
923219	3146	1996-04-30	VYDAJ	VYBER	15	24605	SLUZBY	\N	\N
923220	3146	1996-05-31	VYDAJ	VYBER	15	25861	SLUZBY	\N	\N
923221	3146	1996-06-30	VYDAJ	VYBER	15	20032	SLUZBY	\N	\N
923222	3146	1996-07-31	VYDAJ	VYBER	15	22974	SLUZBY	\N	\N
923223	3146	1996-08-31	VYDAJ	VYBER	15	22033	SLUZBY	\N	\N
923224	3146	1996-09-30	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
923225	3146	1996-10-31	VYDAJ	VYBER	15	22318	SLUZBY	\N	\N
923226	3146	1996-11-30	VYDAJ	VYBER	15	25371	SLUZBY	\N	\N
923227	3146	1996-12-31	VYDAJ	VYBER	15	21438	SLUZBY	\N	\N
923228	3146	1997-01-31	VYDAJ	VYBER	15	20316	SLUZBY	\N	\N
923229	3146	1997-02-28	VYDAJ	VYBER	15	21255	SLUZBY	\N	\N
923230	3146	1997-03-31	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
923231	3146	1997-04-30	VYDAJ	VYBER	15	18118	SLUZBY	\N	\N
923232	3146	1997-05-31	VYDAJ	VYBER	15	12496	SLUZBY	\N	\N
923233	3146	1997-06-30	VYDAJ	VYBER	15	12500	SLUZBY	\N	\N
923234	3146	1997-07-31	VYDAJ	VYBER	15	13808	SLUZBY	\N	\N
923235	3146	1997-08-31	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
923236	3146	1997-09-30	VYDAJ	VYBER	15	18259	SLUZBY	\N	\N
923237	3146	1997-10-31	VYDAJ	VYBER	15	16281	SLUZBY	\N	\N
923238	3146	1997-11-30	VYDAJ	VYBER	15	17504	SLUZBY	\N	\N
923239	3146	1997-12-31	VYDAJ	VYBER	15	16183	SLUZBY	\N	\N
923240	3146	1998-01-31	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
923241	3146	1998-02-28	VYDAJ	VYBER	15	18527	SLUZBY	\N	\N
923242	3146	1998-03-31	VYDAJ	VYBER	15	15143	SLUZBY	\N	\N
923243	3146	1998-04-30	VYDAJ	VYBER	15	16760	SLUZBY	\N	\N
923244	3146	1998-05-31	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
923245	3146	1998-06-30	VYDAJ	VYBER	15	17936	SLUZBY	\N	\N
923246	3146	1998-07-31	VYDAJ	VYBER	15	16155	SLUZBY	\N	\N
923247	3146	1998-08-31	VYDAJ	VYBER	15	21784	SLUZBY	\N	\N
923248	3146	1998-09-30	VYDAJ	VYBER	15	23929	SLUZBY	\N	\N
923249	3146	1998-10-31	VYDAJ	VYBER	15	27369	SLUZBY	\N	\N
923250	3146	1998-11-30	VYDAJ	VYBER	15	24435	SLUZBY	\N	\N
923251	3146	1993-11-25	PRIJEM	VKLAD	8500	12488	\N	\N	\N
923252	3146	1993-12-25	PRIJEM	VKLAD	3400	19586	\N	\N	\N
923253	3146	1994-01-24	PRIJEM	VKLAD	2300	25633	\N	\N	\N
923254	3146	1994-02-23	VYDAJ	VYBER	1400	28009	\N	\N	\N
923255	3146	1994-03-25	VYDAJ	VYBER	1000	28684	\N	\N	\N
923256	3146	1994-04-24	VYDAJ	VYBER	400	29266	\N	\N	\N
923257	3146	1994-05-24	VYDAJ	VYBER	2600	27109	\N	\N	\N
923258	3146	1994-06-23	VYDAJ	VYBER	1300	25442	\N	\N	\N
923259	3146	1994-07-23	PRIJEM	VKLAD	600	27104	\N	\N	\N
923260	3146	1994-08-22	VYDAJ	VYBER	600	28165	\N	\N	\N
923261	3146	1994-09-21	VYDAJ	VYBER	1600	28233	\N	\N	\N
923262	3146	1994-10-21	VYDAJ	VYBER	2400	27294	\N	\N	\N
923263	3146	1994-11-20	VYDAJ	VYBER	5000	23965	\N	\N	\N
923264	3146	1994-12-20	VYDAJ	VYBER	700	24207	\N	\N	\N
923265	3146	1995-01-19	PRIJEM	VKLAD	200	22523	\N	\N	\N
923266	3146	1995-02-18	PRIJEM	VKLAD	400	24570	\N	\N	\N
923267	3146	1995-03-20	VYDAJ	VYBER	3000	23220	\N	\N	\N
923268	3146	1995-04-19	VYDAJ	VYBER	100	22553	\N	\N	\N
923269	3146	1995-05-19	PRIJEM	VKLAD	2100	24827	\N	\N	\N
923270	3146	1995-06-18	PRIJEM	VKLAD	300	19274	\N	\N	\N
923271	3146	1995-07-18	VYDAJ	VYBER	1800	19111	\N	\N	\N
923272	3146	1995-08-17	PRIJEM	VKLAD	1500	22244	\N	\N	\N
923273	3146	1995-09-16	PRIJEM	VKLAD	1000	24882	\N	\N	\N
923274	3146	1995-10-16	VYDAJ	VYBER	100	25442	\N	\N	\N
923275	3146	1995-11-15	VYDAJ	VYBER	6600	20497	\N	\N	\N
923276	3146	1995-12-15	VYDAJ	VYBER	400	20274	\N	\N	\N
923277	3146	1996-01-14	VYDAJ	VYBER	1500	20411	\N	\N	\N
923278	3146	1996-02-13	PRIJEM	VKLAD	1800	21536	\N	\N	\N
923279	3146	1996-03-14	PRIJEM	VKLAD	500	23671	\N	\N	\N
923280	3146	1996-04-13	PRIJEM	VKLAD	700	26018	\N	\N	\N
923281	3146	1996-05-13	VYDAJ	VYBER	400	25771	\N	\N	\N
923282	3146	1996-06-12	VYDAJ	VYBER	700	25917	\N	\N	\N
923283	3146	1996-07-12	PRIJEM	VKLAD	1300	22898	\N	\N	\N
923284	3146	1996-08-11	VYDAJ	VYBER	1300	23240	\N	\N	\N
923285	3146	1996-09-10	VYDAJ	VYBER	1900	23821	\N	\N	\N
923286	3146	1996-10-10	VYDAJ	VYBER	1100	24363	\N	\N	\N
923287	3146	1996-11-09	PRIJEM	VKLAD	1400	27406	\N	\N	\N
923288	3146	1996-12-09	VYDAJ	VYBER	3600	24889	\N	\N	\N
923289	3146	1997-01-08	VYDAJ	VYBER	300	24826	\N	\N	\N
923290	3146	1997-02-07	VYDAJ	VYBER	700	23304	\N	\N	\N
923291	3146	1997-03-09	VYDAJ	VYBER	2900	22043	\N	\N	\N
923292	3146	1997-04-08	VYDAJ	VYBER	3500	20178	\N	\N	\N
923293	3146	1997-05-08	VYDAJ	VYBER	6600	15206	\N	\N	\N
923294	3146	1997-06-07	VYDAJ	VYBER	1600	14584	\N	\N	\N
923295	3146	1997-07-07	VYDAJ	VYBER	300	15888	\N	\N	\N
923296	3146	1997-08-06	PRIJEM	VKLAD	3200	17008	\N	\N	\N
923297	3146	1997-09-05	VYDAJ	VYBER	2000	16632	\N	\N	\N
923298	3146	1997-10-05	VYDAJ	VYBER	3000	15259	\N	\N	\N
923299	3146	1997-11-04	VYDAJ	VYBER	400	15881	\N	\N	\N
923300	3146	1997-12-04	VYDAJ	VYBER	2400	15104	\N	\N	\N
923301	3146	1998-01-03	VYDAJ	VYBER	900	15283	\N	\N	\N
923302	3146	1998-03-04	VYDAJ	VYBER	5000	13527	\N	\N	\N
923303	3146	1998-05-03	PRIJEM	VKLAD	1700	18460	\N	\N	\N
923304	3146	1998-06-02	VYDAJ	VYBER	2700	16310	\N	\N	\N
923305	3146	1998-07-02	VYDAJ	VYBER	3400	14536	\N	\N	\N
923306	3146	1998-08-01	PRIJEM	VKLAD	2000	18155	\N	\N	\N
923307	3146	1998-08-31	PRIJEM	VKLAD	2000	21799	\N	\N	\N
923308	3146	1998-09-30	PRIJEM	VKLAD	500	23943	\N	\N	\N
923309	3146	1998-10-30	PRIJEM	VKLAD	3200	27285	\N	\N	\N
923310	3146	1998-11-29	VYDAJ	VYBER	4600	24335	\N	\N	\N
923373	3147	1995-04-05	PRIJEM	VKLAD	300	300	\N	\N	\N
923377	3147	1995-04-11	PRIJEM	VKLAD	12662	12962	\N	\N	\N
923378	3147	1995-05-11	PRIJEM	VKLAD	12662	33060	\N	\N	\N
923379	3147	1995-06-11	PRIJEM	VKLAD	18993	47264	\N	\N	\N
923380	3147	1995-07-11	PRIJEM	VKLAD	12662	45903	\N	\N	\N
923381	3147	1995-08-11	PRIJEM	VKLAD	12662	49158	\N	\N	\N
923382	3147	1995-09-11	PRIJEM	VKLAD	12662	44255	\N	\N	\N
923383	3147	1995-10-11	PRIJEM	VKLAD	12662	44927	\N	\N	\N
923384	3147	1995-11-11	PRIJEM	VKLAD	12662	45901	\N	\N	\N
923385	3147	1995-12-11	PRIJEM	VKLAD	18993	52110	\N	\N	\N
923386	3147	1996-01-11	PRIJEM	VKLAD	12662	43101	\N	\N	\N
923387	3147	1996-02-11	PRIJEM	VKLAD	12662	39663	\N	\N	\N
923388	3147	1996-03-11	PRIJEM	VKLAD	12662	38910	\N	\N	\N
923389	3147	1996-04-11	PRIJEM	VKLAD	12662	38348	\N	\N	\N
923390	3147	1996-05-11	PRIJEM	VKLAD	12662	45093	\N	\N	\N
923391	3147	1996-06-11	PRIJEM	VKLAD	18993	41095	\N	\N	\N
923392	3147	1996-07-11	PRIJEM	VKLAD	12662	42846	\N	\N	\N
923393	3147	1996-08-11	PRIJEM	VKLAD	12662	46808	\N	\N	\N
923394	3147	1996-09-11	PRIJEM	VKLAD	12662	49886	\N	\N	\N
923395	3147	1996-10-11	PRIJEM	VKLAD	12662	44877	\N	\N	\N
923396	3147	1996-11-11	PRIJEM	VKLAD	12662	45345	\N	\N	\N
923397	3147	1996-12-11	PRIJEM	VKLAD	18993	51845	\N	\N	\N
923398	3147	1997-01-11	PRIJEM	VKLAD	12662	44430	\N	\N	\N
923399	3147	1997-02-11	PRIJEM	VKLAD	12662	42889	\N	\N	\N
923400	3147	1997-03-11	PRIJEM	VKLAD	12662	45348	\N	\N	\N
923401	3147	1997-04-11	PRIJEM	VKLAD	12662	42313	\N	\N	\N
923402	3147	1997-05-11	PRIJEM	VKLAD	12662	43670	\N	\N	\N
923403	3147	1997-06-11	PRIJEM	VKLAD	18993	54666	\N	\N	\N
923404	3147	1997-07-11	PRIJEM	VKLAD	12662	42854	\N	\N	\N
923405	3147	1997-08-11	PRIJEM	VKLAD	12662	49218	\N	\N	\N
923406	3147	1997-09-11	PRIJEM	VKLAD	12662	48595	\N	\N	\N
923407	3147	1997-10-11	PRIJEM	VKLAD	12662	53883	\N	\N	\N
923408	3147	1997-11-11	PRIJEM	VKLAD	12662	57690	\N	\N	\N
923409	3147	1997-12-11	PRIJEM	VKLAD	18993	63439	\N	\N	\N
923410	3147	1998-01-11	PRIJEM	VKLAD	12662	60369	\N	\N	\N
923411	3147	1998-02-11	PRIJEM	VKLAD	12662	56691	\N	\N	\N
923412	3147	1998-03-11	PRIJEM	VKLAD	12662	58906	\N	\N	\N
923413	3147	1998-04-11	PRIJEM	VKLAD	12662	63434	\N	\N	\N
923414	3147	1998-05-11	PRIJEM	VKLAD	12662	69583	\N	\N	\N
923415	3147	1998-06-11	PRIJEM	VKLAD	18993	68987	\N	\N	\N
923416	3147	1998-07-11	PRIJEM	VKLAD	12662	71255	\N	\N	\N
923417	3147	1998-08-11	PRIJEM	VKLAD	12662	75437	\N	\N	\N
923418	3147	1998-09-11	PRIJEM	VKLAD	12662	77327	\N	\N	\N
923419	3147	1998-10-11	PRIJEM	VKLAD	12662	76620	\N	\N	\N
923420	3147	1998-11-11	PRIJEM	VKLAD	12662	75207	\N	\N	\N
923421	3147	1998-12-11	PRIJEM	VKLAD	18993	81225	\N	\N	\N
923429	3147	1995-08-14	VYDAJ	PREVOD NA UCET	7729	41359	SIPO	ST	93076461
923430	3147	1995-09-14	VYDAJ	PREVOD NA UCET	7729	36456	SIPO	ST	93076461
923431	3147	1995-10-14	VYDAJ	PREVOD NA UCET	7729	37128	SIPO	ST	93076461
923432	3147	1995-11-14	VYDAJ	PREVOD NA UCET	7729	38102	SIPO	ST	93076461
923433	3147	1995-12-14	VYDAJ	PREVOD NA UCET	7729	44311	SIPO	ST	93076461
923434	3147	1996-01-14	VYDAJ	PREVOD NA UCET	7729	33502	SIPO	ST	93076461
923435	3147	1996-02-14	VYDAJ	PREVOD NA UCET	7729	31864	SIPO	ST	93076461
923436	3147	1996-03-14	VYDAJ	PREVOD NA UCET	7729	29111	SIPO	ST	93076461
923437	3147	1996-04-14	VYDAJ	PREVOD NA UCET	7729	30549	SIPO	ST	93076461
923438	3147	1996-05-14	VYDAJ	PREVOD NA UCET	7729	37294	SIPO	ST	93076461
923439	3147	1996-06-14	VYDAJ	PREVOD NA UCET	7729	33296	SIPO	ST	93076461
923440	3147	1996-07-14	VYDAJ	PREVOD NA UCET	7729	35047	SIPO	ST	93076461
923441	3147	1996-08-14	VYDAJ	PREVOD NA UCET	7729	39009	SIPO	ST	93076461
923442	3147	1996-09-14	VYDAJ	PREVOD NA UCET	7729	37887	SIPO	ST	93076461
923443	3147	1996-10-14	VYDAJ	PREVOD NA UCET	7729	37078	SIPO	ST	93076461
923444	3147	1996-11-14	VYDAJ	PREVOD NA UCET	7729	37546	SIPO	ST	93076461
923445	3147	1996-12-14	VYDAJ	PREVOD NA UCET	7729	44046	SIPO	ST	93076461
923446	3147	1997-01-14	VYDAJ	PREVOD NA UCET	7729	33731	SIPO	ST	93076461
923447	3147	1997-02-14	VYDAJ	PREVOD NA UCET	7729	34390	SIPO	ST	93076461
923448	3147	1997-03-14	VYDAJ	PREVOD NA UCET	7729	37549	SIPO	ST	93076461
923449	3147	1997-04-14	VYDAJ	PREVOD NA UCET	7729	34514	SIPO	ST	93076461
923450	3147	1997-05-14	VYDAJ	PREVOD NA UCET	7729	35871	SIPO	ST	93076461
923451	3147	1997-06-14	VYDAJ	PREVOD NA UCET	7729	46867	SIPO	ST	93076461
923452	3147	1997-07-14	VYDAJ	PREVOD NA UCET	7729	35055	SIPO	ST	93076461
923453	3147	1997-08-14	VYDAJ	PREVOD NA UCET	7729	38819	SIPO	ST	93076461
923454	3147	1997-09-14	VYDAJ	PREVOD NA UCET	7729	40796	SIPO	ST	93076461
923455	3147	1997-10-14	VYDAJ	PREVOD NA UCET	7729	46084	SIPO	ST	93076461
923456	3147	1997-11-14	VYDAJ	PREVOD NA UCET	7729	49891	SIPO	ST	93076461
923457	3147	1997-12-14	VYDAJ	PREVOD NA UCET	7729	55640	SIPO	ST	93076461
923458	3147	1998-01-14	VYDAJ	PREVOD NA UCET	7729	52570	SIPO	ST	93076461
923459	3147	1998-02-14	VYDAJ	PREVOD NA UCET	7729	48892	SIPO	ST	93076461
923460	3147	1998-03-14	VYDAJ	PREVOD NA UCET	7729	51107	SIPO	ST	93076461
923461	3147	1998-04-14	VYDAJ	PREVOD NA UCET	7729	55635	SIPO	ST	93076461
923462	3147	1998-05-14	VYDAJ	PREVOD NA UCET	7729	61784	SIPO	ST	93076461
923463	3147	1998-06-14	VYDAJ	PREVOD NA UCET	7729	61188	SIPO	ST	93076461
923464	3147	1998-07-14	VYDAJ	PREVOD NA UCET	7729	63456	SIPO	ST	93076461
923465	3147	1998-08-14	VYDAJ	PREVOD NA UCET	7729	67638	SIPO	ST	93076461
923466	3147	1998-09-14	VYDAJ	PREVOD NA UCET	7729	69528	SIPO	ST	93076461
923467	3147	1998-10-14	VYDAJ	PREVOD NA UCET	7729	68821	SIPO	ST	93076461
923468	3147	1998-11-14	VYDAJ	PREVOD NA UCET	7729	67408	SIPO	ST	93076461
923469	3147	1998-12-14	VYDAJ	PREVOD NA UCET	7729	72026	SIPO	ST	93076461
923478	3147	1995-09-05	VYDAJ	PREVOD NA UCET	28	31593	 	MN	78769749
923479	3147	1995-10-05	VYDAJ	PREVOD NA UCET	28	32265	 	MN	78769749
923480	3147	1995-11-05	VYDAJ	PREVOD NA UCET	28	33239	 	MN	78769749
923481	3147	1995-12-05	VYDAJ	PREVOD NA UCET	28	33117	 	MN	78769749
923482	3147	1996-01-05	VYDAJ	PREVOD NA UCET	28	33939	 	MN	78769749
923483	3147	1996-02-05	VYDAJ	PREVOD NA UCET	28	29601	 	MN	78769749
923484	3147	1996-03-05	VYDAJ	PREVOD NA UCET	28	26248	 	MN	78769749
923485	3147	1996-04-05	VYDAJ	PREVOD NA UCET	28	25686	 	MN	78769749
923486	3147	1996-05-05	VYDAJ	PREVOD NA UCET	28	32431	 	MN	78769749
923487	3147	1996-06-05	VYDAJ	PREVOD NA UCET	28	22102	 	MN	78769749
923488	3147	1996-07-05	VYDAJ	PREVOD NA UCET	28	30184	 	MN	78769749
923489	3147	1996-08-05	VYDAJ	PREVOD NA UCET	28	34146	 	MN	78769749
923490	3147	1996-09-05	VYDAJ	PREVOD NA UCET	28	37224	 	MN	78769749
923491	3147	1996-10-05	VYDAJ	PREVOD NA UCET	28	32215	 	MN	78769749
923492	3147	1996-11-05	VYDAJ	PREVOD NA UCET	28	32683	 	MN	78769749
923493	3147	1996-12-05	VYDAJ	PREVOD NA UCET	28	32852	 	MN	78769749
923494	3147	1997-01-05	VYDAJ	PREVOD NA UCET	28	32868	 	MN	78769749
923495	3147	1997-02-05	VYDAJ	PREVOD NA UCET	28	30227	 	MN	78769749
923496	3147	1997-03-05	VYDAJ	PREVOD NA UCET	28	32686	 	MN	78769749
923497	3147	1997-04-05	VYDAJ	PREVOD NA UCET	28	29651	 	MN	78769749
923498	3147	1997-05-05	VYDAJ	PREVOD NA UCET	28	31008	 	MN	78769749
923499	3147	1997-06-05	VYDAJ	PREVOD NA UCET	28	35673	 	MN	78769749
923500	3147	1997-07-05	VYDAJ	PREVOD NA UCET	28	30192	 	MN	78769749
923501	3147	1997-08-05	VYDAJ	PREVOD NA UCET	28	36556	 	MN	78769749
923502	3147	1997-09-05	VYDAJ	PREVOD NA UCET	28	35933	 	MN	78769749
923503	3147	1997-10-05	VYDAJ	PREVOD NA UCET	28	41221	 	MN	78769749
923504	3147	1997-11-05	VYDAJ	PREVOD NA UCET	28	45028	 	MN	78769749
923505	3147	1997-12-05	VYDAJ	PREVOD NA UCET	28	46146	 	MN	78769749
923506	3147	1998-01-05	VYDAJ	PREVOD NA UCET	28	47707	 	MN	78769749
923507	3147	1998-02-05	VYDAJ	PREVOD NA UCET	28	44029	 	MN	78769749
923508	3147	1998-03-05	VYDAJ	PREVOD NA UCET	28	46244	 	MN	78769749
923509	3147	1998-04-05	VYDAJ	PREVOD NA UCET	28	50772	 	MN	78769749
923510	3147	1998-05-05	VYDAJ	PREVOD NA UCET	28	56921	 	MN	78769749
923511	3147	1998-06-05	VYDAJ	PREVOD NA UCET	28	49994	 	MN	78769749
923512	3147	1998-07-05	VYDAJ	PREVOD NA UCET	28	61593	 	MN	78769749
923513	3147	1998-08-05	VYDAJ	PREVOD NA UCET	28	62775	 	MN	78769749
923514	3147	1998-09-05	VYDAJ	PREVOD NA UCET	28	64665	 	MN	78769749
923515	3147	1998-10-05	VYDAJ	PREVOD NA UCET	28	63958	 	MN	78769749
923516	3147	1998-11-05	VYDAJ	PREVOD NA UCET	28	62545	 	MN	78769749
923517	3147	1998-12-05	VYDAJ	PREVOD NA UCET	28	62232	 	MN	78769749
923525	3147	1995-08-11	VYDAJ	PREVOD NA UCET	33	49125	POJISTNE	CD	85648721
923526	3147	1995-09-11	VYDAJ	PREVOD NA UCET	33	44185	POJISTNE	CD	85648721
923527	3147	1995-10-11	VYDAJ	PREVOD NA UCET	33	44894	POJISTNE	CD	85648721
923528	3147	1995-11-11	VYDAJ	PREVOD NA UCET	33	45831	POJISTNE	CD	85648721
923529	3147	1995-12-11	VYDAJ	PREVOD NA UCET	33	52077	POJISTNE	CD	85648721
923530	3147	1996-01-11	VYDAJ	PREVOD NA UCET	33	43031	POJISTNE	CD	85648721
923531	3147	1996-02-11	VYDAJ	PREVOD NA UCET	33	39593	POJISTNE	CD	85648721
923532	3147	1996-03-11	VYDAJ	PREVOD NA UCET	33	38840	POJISTNE	CD	85648721
923533	3147	1996-04-11	VYDAJ	PREVOD NA UCET	33	38315	POJISTNE	CD	85648721
923534	3147	1996-05-11	VYDAJ	PREVOD NA UCET	33	45023	POJISTNE	CD	85648721
923535	3147	1996-06-11	VYDAJ	PREVOD NA UCET	33	41025	POJISTNE	CD	85648721
923536	3147	1996-07-11	VYDAJ	PREVOD NA UCET	33	42776	POJISTNE	CD	85648721
923537	3147	1996-08-11	VYDAJ	PREVOD NA UCET	33	46775	POJISTNE	CD	85648721
923538	3147	1996-09-11	VYDAJ	PREVOD NA UCET	33	49816	POJISTNE	CD	85648721
923539	3147	1996-10-11	VYDAJ	PREVOD NA UCET	33	44807	POJISTNE	CD	85648721
923540	3147	1996-11-11	VYDAJ	PREVOD NA UCET	33	45312	POJISTNE	CD	85648721
923541	3147	1996-12-11	VYDAJ	PREVOD NA UCET	33	51775	POJISTNE	CD	85648721
923542	3147	1997-01-11	VYDAJ	PREVOD NA UCET	33	44360	POJISTNE	CD	85648721
923543	3147	1997-02-11	VYDAJ	PREVOD NA UCET	33	42819	POJISTNE	CD	85648721
923544	3147	1997-03-11	VYDAJ	PREVOD NA UCET	33	45278	POJISTNE	CD	85648721
923545	3147	1997-04-11	VYDAJ	PREVOD NA UCET	33	42243	POJISTNE	CD	85648721
923546	3147	1997-05-11	VYDAJ	PREVOD NA UCET	33	43637	POJISTNE	CD	85648721
923547	3147	1997-06-11	VYDAJ	PREVOD NA UCET	33	54633	POJISTNE	CD	85648721
923548	3147	1997-07-11	VYDAJ	PREVOD NA UCET	33	42784	POJISTNE	CD	85648721
923549	3147	1997-08-11	VYDAJ	PREVOD NA UCET	33	49185	POJISTNE	CD	85648721
923550	3147	1997-09-11	VYDAJ	PREVOD NA UCET	33	48525	POJISTNE	CD	85648721
923551	3147	1997-10-11	VYDAJ	PREVOD NA UCET	33	53850	POJISTNE	CD	85648721
923552	3147	1997-11-11	VYDAJ	PREVOD NA UCET	33	57657	POJISTNE	CD	85648721
923553	3147	1997-12-11	VYDAJ	PREVOD NA UCET	33	63369	POJISTNE	CD	85648721
923554	3147	1998-01-11	VYDAJ	PREVOD NA UCET	33	60299	POJISTNE	CD	85648721
923555	3147	1998-02-11	VYDAJ	PREVOD NA UCET	33	56621	POJISTNE	CD	85648721
923556	3147	1998-03-11	VYDAJ	PREVOD NA UCET	33	58836	POJISTNE	CD	85648721
923557	3147	1998-04-11	VYDAJ	PREVOD NA UCET	33	63364	POJISTNE	CD	85648721
923558	3147	1998-05-11	VYDAJ	PREVOD NA UCET	33	69550	POJISTNE	CD	85648721
923559	3147	1998-06-11	VYDAJ	PREVOD NA UCET	33	68917	POJISTNE	CD	85648721
923560	3147	1998-07-11	VYDAJ	PREVOD NA UCET	33	71185	POJISTNE	CD	85648721
923561	3147	1998-08-11	VYDAJ	PREVOD NA UCET	33	75404	POJISTNE	CD	85648721
923562	3147	1998-09-11	VYDAJ	PREVOD NA UCET	33	77257	POJISTNE	CD	85648721
923563	3147	1998-10-11	VYDAJ	PREVOD NA UCET	33	76550	POJISTNE	CD	85648721
923564	3147	1998-11-11	VYDAJ	PREVOD NA UCET	33	75137	POJISTNE	CD	85648721
923565	3147	1998-12-11	VYDAJ	PREVOD NA UCET	33	81155	POJISTNE	CD	85648721
923573	3147	1995-08-11	VYDAJ	PREVOD NA UCET	37	49088	 	AB	80525493
923574	3147	1995-09-11	VYDAJ	PREVOD NA UCET	37	44218	 	AB	80525493
923575	3147	1995-10-11	VYDAJ	PREVOD NA UCET	37	44857	 	AB	80525493
923576	3147	1995-11-11	VYDAJ	PREVOD NA UCET	37	45864	 	AB	80525493
923577	3147	1995-12-11	VYDAJ	PREVOD NA UCET	37	52040	 	AB	80525493
923578	3147	1996-01-11	VYDAJ	PREVOD NA UCET	37	43064	 	AB	80525493
923579	3147	1996-02-11	VYDAJ	PREVOD NA UCET	37	39626	 	AB	80525493
923580	3147	1996-03-11	VYDAJ	PREVOD NA UCET	37	38873	 	AB	80525493
923581	3147	1996-04-11	VYDAJ	PREVOD NA UCET	37	38278	 	AB	80525493
923582	3147	1996-05-11	VYDAJ	PREVOD NA UCET	37	45056	 	AB	80525493
923583	3147	1996-06-11	VYDAJ	PREVOD NA UCET	37	41058	 	AB	80525493
923584	3147	1996-07-11	VYDAJ	PREVOD NA UCET	37	42809	 	AB	80525493
923585	3147	1996-08-11	VYDAJ	PREVOD NA UCET	37	46738	 	AB	80525493
923586	3147	1996-09-11	VYDAJ	PREVOD NA UCET	37	49849	 	AB	80525493
923587	3147	1996-10-11	VYDAJ	PREVOD NA UCET	37	44840	 	AB	80525493
923588	3147	1996-11-11	VYDAJ	PREVOD NA UCET	37	45275	 	AB	80525493
923589	3147	1996-12-11	VYDAJ	PREVOD NA UCET	37	51808	 	AB	80525493
923590	3147	1997-01-11	VYDAJ	PREVOD NA UCET	37	44393	 	AB	80525493
923591	3147	1997-02-11	VYDAJ	PREVOD NA UCET	37	42852	 	AB	80525493
923592	3147	1997-03-11	VYDAJ	PREVOD NA UCET	37	45311	 	AB	80525493
923593	3147	1997-04-11	VYDAJ	PREVOD NA UCET	37	42276	 	AB	80525493
923594	3147	1997-05-11	VYDAJ	PREVOD NA UCET	37	43600	 	AB	80525493
923595	3147	1997-06-11	VYDAJ	PREVOD NA UCET	37	54596	 	AB	80525493
923596	3147	1997-07-11	VYDAJ	PREVOD NA UCET	37	42817	 	AB	80525493
923597	3147	1997-08-11	VYDAJ	PREVOD NA UCET	37	49148	 	AB	80525493
923598	3147	1997-09-11	VYDAJ	PREVOD NA UCET	37	48558	 	AB	80525493
923599	3147	1997-10-11	VYDAJ	PREVOD NA UCET	37	53813	 	AB	80525493
923600	3147	1997-11-11	VYDAJ	PREVOD NA UCET	37	57620	 	AB	80525493
923601	3147	1997-12-11	VYDAJ	PREVOD NA UCET	37	63402	 	AB	80525493
923602	3147	1998-01-11	VYDAJ	PREVOD NA UCET	37	60332	 	AB	80525493
923603	3147	1998-02-11	VYDAJ	PREVOD NA UCET	37	56654	 	AB	80525493
923604	3147	1998-03-11	VYDAJ	PREVOD NA UCET	37	58869	 	AB	80525493
923605	3147	1998-04-11	VYDAJ	PREVOD NA UCET	37	63397	 	AB	80525493
923606	3147	1998-05-11	VYDAJ	PREVOD NA UCET	37	69513	 	AB	80525493
923607	3147	1998-06-11	VYDAJ	PREVOD NA UCET	37	68950	 	AB	80525493
923608	3147	1998-07-11	VYDAJ	PREVOD NA UCET	37	71218	 	AB	80525493
923609	3147	1998-08-11	VYDAJ	PREVOD NA UCET	37	75367	 	AB	80525493
923610	3147	1998-09-11	VYDAJ	PREVOD NA UCET	37	77290	 	AB	80525493
923611	3147	1998-10-11	VYDAJ	PREVOD NA UCET	37	76583	 	AB	80525493
923612	3147	1998-11-11	VYDAJ	PREVOD NA UCET	37	75170	 	AB	80525493
923613	3147	1998-12-11	VYDAJ	PREVOD NA UCET	37	81188	 	AB	80525493
923615	3147	1996-06-04	VYDAJ	VYBER	10300	22130	\N	\N	\N
923616	3147	1997-06-26	VYDAJ	VYBER	9000	30067	\N	\N	\N
923617	3147	1998-06-04	VYDAJ	VYBER	12000	50022	\N	\N	\N
923618	3147	1995-12-16	VYDAJ	VYBER	1800	42511	\N	\N	\N
923619	3147	1996-12-23	VYDAJ	VYBER	1100	42946	\N	\N	\N
923620	3147	1997-12-15	VYDAJ	VYBER	800	54840	\N	\N	\N
923621	3147	1998-12-14	VYDAJ	VYBER	1400	79755	\N	\N	\N
923628	3147	1996-01-09	VYDAJ	VYBER	900	30439	\N	\N	\N
923629	3147	1996-01-02	VYDAJ	VYBER	2700	33967	\N	\N	\N
923630	3147	1996-01-06	VYDAJ	VYBER	2600	31339	\N	\N	\N
923631	3147	1996-01-13	VYDAJ	VYBER	1800	41231	\N	\N	\N
923632	3147	1996-01-23	VYDAJ	VYBER	600	32902	\N	\N	\N
923633	3147	1996-01-28	VYDAJ	VYBER	1700	31202	\N	\N	\N
923634	3147	1997-01-11	VYDAJ	VYBER	2900	41460	\N	\N	\N
923635	3147	1997-01-06	VYDAJ	VYBER	1100	31768	\N	\N	\N
923636	3147	1997-01-26	VYDAJ	VYBER	1700	30131	\N	\N	\N
923637	3147	1997-01-01	VYDAJ	VYBER	2300	35396	\N	\N	\N
923638	3147	1997-01-16	VYDAJ	VYBER	1700	32031	\N	\N	\N
923639	3147	1997-01-02	VYDAJ	VYBER	2500	32896	\N	\N	\N
923640	3147	1998-01-27	VYDAJ	VYBER	800	45070	\N	\N	\N
923641	3147	1998-01-30	VYDAJ	VYBER	1200	43870	\N	\N	\N
923642	3147	1998-01-04	VYDAJ	VYBER	1000	47735	\N	\N	\N
923643	3147	1998-01-02	VYDAJ	VYBER	1200	48735	\N	\N	\N
923644	3147	1998-01-17	VYDAJ	VYBER	1100	49970	\N	\N	\N
923645	3147	1998-01-15	VYDAJ	VYBER	1500	51070	\N	\N	\N
923648	3147	1995-08-19	VYDAJ	VYBER	3000	38359	\N	\N	\N
923651	3147	1996-02-14	VYDAJ	VYBER	2100	29764	\N	\N	\N
923652	3147	1996-03-23	VYDAJ	VYBER	2100	27011	\N	\N	\N
923653	3147	1996-09-14	VYDAJ	VYBER	4200	45616	\N	\N	\N
923654	3147	1996-03-13	VYDAJ	VYBER	2000	36840	\N	\N	\N
923655	3147	1996-04-01	VYDAJ	VYBER	1400	25714	\N	\N	\N
923656	3147	1996-02-08	VYDAJ	VYBER	2600	27001	\N	\N	\N
923657	3147	1996-03-26	VYDAJ	VYBER	1600	25411	\N	\N	\N
923658	3147	1997-12-07	VYDAJ	VYBER	1700	44446	\N	\N	\N
923659	3147	1997-02-12	VYDAJ	VYBER	700	42119	\N	\N	\N
923660	3147	1997-08-12	VYDAJ	VYBER	2600	46548	\N	\N	\N
923661	3147	1997-10-04	VYDAJ	VYBER	1000	41249	\N	\N	\N
923662	3147	1997-04-14	VYDAJ	VYBER	3800	30714	\N	\N	\N
923663	3147	1998-12-30	VYDAJ	VYBER	2300	63326	\N	\N	\N
923664	3147	1998-03-23	VYDAJ	VYBER	700	50607	\N	\N	\N
923665	3147	1998-07-09	VYDAJ	VYBER	3000	58593	\N	\N	\N
923666	3147	1998-11-23	VYDAJ	VYBER	2300	62008	\N	\N	\N
923675	3147	1995-08-31	VYDAJ	VYBER	15	38521	SLUZBY	\N	\N
923676	3147	1995-09-30	VYDAJ	VYBER	15	36593	SLUZBY	\N	\N
923677	3147	1995-10-31	VYDAJ	VYBER	15	37267	SLUZBY	\N	\N
923678	3147	1995-11-30	VYDAJ	VYBER	15	38245	SLUZBY	\N	\N
923679	3147	1995-12-31	VYDAJ	VYBER	15	42667	SLUZBY	\N	\N
923680	3147	1996-01-31	VYDAJ	VYBER	15	29629	SLUZBY	\N	\N
923681	3147	1996-02-29	VYDAJ	VYBER	15	26276	SLUZBY	\N	\N
923682	3147	1996-03-31	VYDAJ	VYBER	15	27114	SLUZBY	\N	\N
923683	3147	1996-04-30	VYDAJ	VYBER	15	32459	SLUZBY	\N	\N
923684	3147	1996-05-31	VYDAJ	VYBER	15	32430	SLUZBY	\N	\N
923685	3147	1996-06-30	VYDAJ	VYBER	15	30212	SLUZBY	\N	\N
923686	3147	1996-07-31	VYDAJ	VYBER	15	34174	SLUZBY	\N	\N
923687	3147	1996-08-31	VYDAJ	VYBER	15	37252	SLUZBY	\N	\N
923688	3147	1996-09-30	VYDAJ	VYBER	15	32243	SLUZBY	\N	\N
923689	3147	1996-10-31	VYDAJ	VYBER	15	32711	SLUZBY	\N	\N
923690	3147	1996-11-30	VYDAJ	VYBER	15	32880	SLUZBY	\N	\N
923691	3147	1996-12-31	VYDAJ	VYBER	15	37696	SLUZBY	\N	\N
923692	3147	1997-01-31	VYDAJ	VYBER	15	30255	SLUZBY	\N	\N
923693	3147	1997-02-28	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
923694	3147	1997-03-31	VYDAJ	VYBER	15	29679	SLUZBY	\N	\N
923695	3147	1997-04-30	VYDAJ	VYBER	15	31036	SLUZBY	\N	\N
923696	3147	1997-05-31	VYDAJ	VYBER	15	35701	SLUZBY	\N	\N
923697	3147	1997-06-30	VYDAJ	VYBER	15	30220	SLUZBY	\N	\N
923698	3147	1997-07-31	VYDAJ	VYBER	15	36584	SLUZBY	\N	\N
923699	3147	1997-08-31	VYDAJ	VYBER	15	35961	SLUZBY	\N	\N
923700	3147	1997-09-30	VYDAJ	VYBER	15	42249	SLUZBY	\N	\N
923701	3147	1997-10-31	VYDAJ	VYBER	15	45056	SLUZBY	\N	\N
923702	3147	1997-11-30	VYDAJ	VYBER	15	46174	SLUZBY	\N	\N
923703	3147	1997-12-31	VYDAJ	VYBER	15	49935	SLUZBY	\N	\N
923704	3147	1998-01-31	VYDAJ	VYBER	15	44057	SLUZBY	\N	\N
923705	3147	1998-02-28	VYDAJ	VYBER	15	46272	SLUZBY	\N	\N
923706	3147	1998-03-31	VYDAJ	VYBER	15	50800	SLUZBY	\N	\N
923707	3147	1998-04-30	VYDAJ	VYBER	15	56949	SLUZBY	\N	\N
923708	3147	1998-05-31	VYDAJ	VYBER	15	62022	SLUZBY	\N	\N
923709	3147	1998-06-30	VYDAJ	VYBER	15	61621	SLUZBY	\N	\N
923710	3147	1998-07-31	VYDAJ	VYBER	15	62803	SLUZBY	\N	\N
923711	3147	1998-08-31	VYDAJ	VYBER	15	64693	SLUZBY	\N	\N
923712	3147	1998-09-30	VYDAJ	VYBER	15	63986	SLUZBY	\N	\N
923713	3147	1998-10-31	VYDAJ	VYBER	15	62573	SLUZBY	\N	\N
923714	3147	1998-11-30	VYDAJ	VYBER	15	62260	SLUZBY	\N	\N
923715	3147	1995-05-05	PRIJEM	VKLAD	7400	20398	\N	\N	\N
923716	3147	1995-06-04	VYDAJ	VYBER	4900	28271	\N	\N	\N
923717	3147	1995-07-04	VYDAJ	VYBER	14200	33241	\N	\N	\N
923718	3147	1995-08-03	VYDAJ	VYBER	9600	36496	\N	\N	\N
923719	3147	1995-09-02	VYDAJ	VYBER	6900	31621	\N	\N	\N
923720	3147	1995-10-02	VYDAJ	VYBER	4300	32293	\N	\N	\N
923721	3147	1995-11-01	VYDAJ	VYBER	4000	33267	\N	\N	\N
923722	3147	1995-12-01	VYDAJ	VYBER	5100	33145	\N	\N	\N
923723	3147	1995-12-31	VYDAJ	VYBER	6000	36667	\N	\N	\N
923724	3147	1996-01-30	VYDAJ	VYBER	1700	29502	\N	\N	\N
923725	3147	1996-02-29	VYDAJ	VYBER	3600	26290	\N	\N	\N
923726	3147	1996-03-30	PRIJEM	VKLAD	1600	27011	\N	\N	\N
923727	3147	1996-04-29	PRIJEM	VKLAD	1800	32349	\N	\N	\N
923728	3147	1996-05-29	VYDAJ	VYBER	5000	32294	\N	\N	\N
923729	3147	1996-06-28	VYDAJ	VYBER	3200	30096	\N	\N	\N
923730	3147	1996-07-28	VYDAJ	VYBER	1000	34047	\N	\N	\N
923731	3147	1996-08-27	VYDAJ	VYBER	1900	37109	\N	\N	\N
923732	3147	1996-09-26	VYDAJ	VYBER	5800	32087	\N	\N	\N
923733	3147	1996-10-26	VYDAJ	VYBER	4500	32578	\N	\N	\N
923734	3147	1996-11-25	VYDAJ	VYBER	4800	32746	\N	\N	\N
923735	3147	1996-12-25	VYDAJ	VYBER	5400	37546	\N	\N	\N
923736	3147	1997-01-24	VYDAJ	VYBER	200	31831	\N	\N	\N
923737	3147	1997-02-23	VYDAJ	VYBER	1800	32590	\N	\N	\N
923738	3147	1997-03-25	VYDAJ	VYBER	8000	29549	\N	\N	\N
923739	3147	1997-04-24	PRIJEM	VKLAD	200	30914	\N	\N	\N
923740	3147	1997-05-24	VYDAJ	VYBER	300	35571	\N	\N	\N
923741	3147	1997-06-23	VYDAJ	VYBER	7800	39067	\N	\N	\N
923742	3147	1997-07-23	PRIJEM	VKLAD	1400	36455	\N	\N	\N
923743	3147	1997-08-22	VYDAJ	VYBER	3000	35819	\N	\N	\N
923744	3147	1997-09-21	PRIJEM	VKLAD	1300	42096	\N	\N	\N
923745	3147	1997-10-21	VYDAJ	VYBER	1200	44884	\N	\N	\N
923746	3147	1997-11-20	VYDAJ	VYBER	3900	45991	\N	\N	\N
923747	3147	1997-12-20	VYDAJ	VYBER	5100	49740	\N	\N	\N
923748	3147	1998-01-19	VYDAJ	VYBER	4100	45870	\N	\N	\N
923749	3147	1998-02-18	VYDAJ	VYBER	2800	46092	\N	\N	\N
923750	3147	1998-03-20	PRIJEM	VKLAD	200	51307	\N	\N	\N
923751	3147	1998-04-19	PRIJEM	VKLAD	1100	56735	\N	\N	\N
923752	3147	1998-06-18	PRIJEM	VKLAD	200	61388	\N	\N	\N
923753	3147	1998-07-18	VYDAJ	VYBER	900	62556	\N	\N	\N
923754	3147	1998-08-17	VYDAJ	VYBER	3200	64438	\N	\N	\N
923755	3147	1998-09-16	VYDAJ	VYBER	5800	63728	\N	\N	\N
923756	3147	1998-10-16	VYDAJ	VYBER	6500	62321	\N	\N	\N
923757	3147	1998-11-15	VYDAJ	VYBER	3100	64308	\N	\N	\N
923758	3147	1998-12-15	VYDAJ	VYBER	6400	65626	\N	\N	\N
923804	3148	1995-11-19	PRIJEM	VKLAD	400	400	\N	\N	\N
923816	3148	1995-12-07	PRIJEM	PREVOD Z UCTU	3718	4118	\N	ST	60092472
923817	3148	1996-01-07	PRIJEM	PREVOD Z UCTU	3718	17360	\N	ST	60092472
923818	3148	1996-02-07	PRIJEM	PREVOD Z UCTU	3718	26652	\N	ST	60092472
923819	3148	1996-03-07	PRIJEM	PREVOD Z UCTU	3718	29270	\N	ST	60092472
923820	3148	1996-04-07	PRIJEM	PREVOD Z UCTU	3718	32099	\N	ST	60092472
923821	3148	1996-05-07	PRIJEM	PREVOD Z UCTU	3718	31504	\N	ST	60092472
923822	3148	1996-06-07	PRIJEM	PREVOD Z UCTU	3718	34051	\N	ST	60092472
923823	3148	1996-07-07	PRIJEM	PREVOD Z UCTU	3718	28138	\N	ST	60092472
923824	3148	1996-08-07	PRIJEM	PREVOD Z UCTU	3718	28666	\N	ST	60092472
923825	3148	1996-09-07	PRIJEM	PREVOD Z UCTU	3718	31802	\N	ST	60092472
923826	3148	1996-10-07	PRIJEM	PREVOD Z UCTU	3718	33753	\N	ST	60092472
923827	3148	1996-11-07	PRIJEM	PREVOD Z UCTU	3718	30406	\N	ST	60092472
923828	3148	1996-12-07	PRIJEM	PREVOD Z UCTU	3718	27937	\N	ST	60092472
923829	3148	1997-01-07	PRIJEM	PREVOD Z UCTU	3718	27452	\N	ST	60092472
923830	3148	1997-02-07	PRIJEM	PREVOD Z UCTU	3718	24554	\N	ST	60092472
923831	3148	1997-03-07	PRIJEM	PREVOD Z UCTU	3718	23464	\N	ST	60092472
923832	3148	1997-04-07	PRIJEM	PREVOD Z UCTU	3718	20756	\N	ST	60092472
923833	3148	1997-05-07	PRIJEM	PREVOD Z UCTU	3718	22487	\N	ST	60092472
923834	3148	1997-06-07	PRIJEM	PREVOD Z UCTU	3718	21820	\N	ST	60092472
923835	3148	1997-07-07	PRIJEM	PREVOD Z UCTU	3718	19065	\N	ST	60092472
923836	3148	1997-08-07	PRIJEM	PREVOD Z UCTU	3718	21562	\N	ST	60092472
923837	3148	1997-09-07	PRIJEM	PREVOD Z UCTU	3718	20058	\N	ST	60092472
923838	3148	1997-10-07	PRIJEM	PREVOD Z UCTU	3718	22360	\N	ST	60092472
923839	3148	1997-11-07	PRIJEM	PREVOD Z UCTU	3718	21060	\N	ST	60092472
923840	3148	1997-12-07	PRIJEM	PREVOD Z UCTU	3718	18551	\N	ST	60092472
923841	3148	1998-01-07	PRIJEM	PREVOD Z UCTU	3718	17506	\N	ST	60092472
923842	3148	1998-02-07	PRIJEM	PREVOD Z UCTU	3718	14977	\N	ST	60092472
923843	3148	1998-03-07	PRIJEM	PREVOD Z UCTU	3718	16255	\N	ST	60092472
923844	3148	1998-04-07	PRIJEM	PREVOD Z UCTU	3718	18702	\N	ST	60092472
923845	3148	1998-05-07	PRIJEM	PREVOD Z UCTU	3718	15611	\N	ST	60092472
923846	3148	1998-06-07	PRIJEM	PREVOD Z UCTU	3718	15191	\N	ST	60092472
923847	3148	1998-07-07	PRIJEM	PREVOD Z UCTU	3718	17672	\N	ST	60092472
923848	3148	1998-08-07	PRIJEM	PREVOD Z UCTU	3718	17060	\N	ST	60092472
923849	3148	1998-09-07	PRIJEM	PREVOD Z UCTU	3718	21048	\N	ST	60092472
923850	3148	1998-10-07	PRIJEM	PREVOD Z UCTU	3718	25049	\N	ST	60092472
923851	3148	1998-11-07	PRIJEM	PREVOD Z UCTU	3718	27903	\N	ST	60092472
923852	3148	1998-12-07	PRIJEM	PREVOD Z UCTU	3718	31762	\N	ST	60092472
923868	3148	1996-04-14	VYDAJ	PREVOD NA UCET	2478	29621	SIPO	ST	29701394
923869	3148	1996-05-14	VYDAJ	PREVOD NA UCET	2478	29026	SIPO	ST	29701394
923870	3148	1996-06-14	VYDAJ	PREVOD NA UCET	2478	24043	SIPO	ST	29701394
923871	3148	1996-07-14	VYDAJ	PREVOD NA UCET	2478	25660	SIPO	ST	29701394
923872	3148	1996-08-14	VYDAJ	PREVOD NA UCET	2478	26188	SIPO	ST	29701394
923873	3148	1996-09-14	VYDAJ	PREVOD NA UCET	2478	30824	SIPO	ST	29701394
923874	3148	1996-10-14	VYDAJ	PREVOD NA UCET	2478	31275	SIPO	ST	29701394
923875	3148	1996-11-14	VYDAJ	PREVOD NA UCET	2478	24128	SIPO	ST	29701394
923876	3148	1996-12-14	VYDAJ	PREVOD NA UCET	2478	23649	SIPO	ST	29701394
923877	3148	1997-01-14	VYDAJ	PREVOD NA UCET	2478	23754	SIPO	ST	29701394
923878	3148	1997-02-14	VYDAJ	PREVOD NA UCET	2478	19676	SIPO	ST	29701394
923879	3148	1997-03-14	VYDAJ	PREVOD NA UCET	2478	17486	SIPO	ST	29701394
923880	3148	1997-04-14	VYDAJ	PREVOD NA UCET	2478	19578	SIPO	ST	29701394
923881	3148	1997-05-14	VYDAJ	PREVOD NA UCET	2478	18909	SIPO	ST	29701394
923882	3148	1997-06-14	VYDAJ	PREVOD NA UCET	2478	16642	SIPO	ST	29701394
923883	3148	1997-07-14	VYDAJ	PREVOD NA UCET	2478	17787	SIPO	ST	29701394
923884	3148	1997-08-14	VYDAJ	PREVOD NA UCET	2478	16284	SIPO	ST	29701394
923885	3148	1997-09-14	VYDAJ	PREVOD NA UCET	2478	18580	SIPO	ST	29701394
923886	3148	1997-10-14	VYDAJ	PREVOD NA UCET	2478	17282	SIPO	ST	29701394
923887	3148	1997-11-14	VYDAJ	PREVOD NA UCET	2478	14782	SIPO	ST	29701394
923888	3148	1997-12-14	VYDAJ	PREVOD NA UCET	2478	14073	SIPO	ST	29701394
923889	3148	1998-01-14	VYDAJ	PREVOD NA UCET	2478	9728	SIPO	ST	29701394
923890	3148	1998-02-14	VYDAJ	PREVOD NA UCET	2478	12499	SIPO	ST	29701394
923891	3148	1998-03-14	VYDAJ	PREVOD NA UCET	2478	14937	SIPO	ST	29701394
923892	3148	1998-04-14	VYDAJ	PREVOD NA UCET	2478	11554	SIPO	ST	29701394
923893	3148	1998-05-14	VYDAJ	PREVOD NA UCET	2478	13133	SIPO	ST	29701394
923894	3148	1998-06-14	VYDAJ	PREVOD NA UCET	2478	12713	SIPO	ST	29701394
923895	3148	1998-07-14	VYDAJ	PREVOD NA UCET	2478	15194	SIPO	ST	29701394
923896	3148	1998-08-14	VYDAJ	PREVOD NA UCET	2478	14582	SIPO	ST	29701394
923897	3148	1998-09-14	VYDAJ	PREVOD NA UCET	2478	18570	SIPO	ST	29701394
923898	3148	1998-10-14	VYDAJ	PREVOD NA UCET	2478	22571	SIPO	ST	29701394
923899	3148	1998-11-14	VYDAJ	PREVOD NA UCET	2478	25425	SIPO	ST	29701394
923900	3148	1998-12-14	VYDAJ	PREVOD NA UCET	2478	29284	SIPO	ST	29701394
923902	3148	1996-06-10	VYDAJ	VYBER	6180	26521	\N	\N	\N
923907	3148	1997-01-25	VYDAJ	VYBER	780	21744	\N	\N	\N
923910	3148	1996-12-13	VYDAJ	VYBER	810	26127	\N	\N	\N
923911	3148	1997-12-19	VYDAJ	VYBER	330	13743	\N	\N	\N
923912	3148	1998-12-02	VYDAJ	VYBER	270	25244	\N	\N	\N
923925	3148	1997-01-14	VYDAJ	VYBER	540	26232	\N	\N	\N
923926	3148	1997-01-30	VYDAJ	VYBER	750	20994	\N	\N	\N
923927	3148	1997-01-15	VYDAJ	VYBER	600	23154	\N	\N	\N
923928	3148	1997-01-30	VYDAJ	VYBER	240	20754	\N	\N	\N
923929	3148	1997-01-13	VYDAJ	VYBER	780	26772	\N	\N	\N
923930	3148	1997-01-24	VYDAJ	VYBER	630	22524	\N	\N	\N
923941	3148	1996-09-23	VYDAJ	VYBER	900	29924	\N	\N	\N
923942	3148	1996-06-09	VYDAJ	VYBER	1350	32701	\N	\N	\N
923943	3148	1996-04-17	VYDAJ	VYBER	840	28781	\N	\N	\N
923945	3148	1996-06-29	VYDAJ	VYBER	720	24323	\N	\N	\N
923946	3148	1997-04-16	VYDAJ	VYBER	870	18708	\N	\N	\N
923947	3148	1997-03-25	VYDAJ	VYBER	510	16976	\N	\N	\N
923948	3148	1997-06-16	VYDAJ	VYBER	600	15292	\N	\N	\N
923949	3148	1997-06-16	VYDAJ	VYBER	750	15892	\N	\N	\N
923950	3148	1997-05-19	VYDAJ	VYBER	870	18039	\N	\N	\N
923951	3148	1998-04-08	VYDAJ	VYBER	570	14032	\N	\N	\N
923955	3148	1998-10-15	VYDAJ	VYBER	900	21011	\N	\N	\N
923956	3148	1998-03-12	VYDAJ	VYBER	840	17415	\N	\N	\N
923958	3148	1998-10-15	VYDAJ	VYBER	660	21911	\N	\N	\N
923975	3148	1996-04-30	VYDAJ	VYBER	15	27786	SLUZBY	\N	\N
923976	3148	1996-05-31	VYDAJ	VYBER	15	30333	SLUZBY	\N	\N
923977	3148	1996-06-30	VYDAJ	VYBER	15	24420	SLUZBY	\N	\N
923978	3148	1996-07-31	VYDAJ	VYBER	15	24948	SLUZBY	\N	\N
923979	3148	1996-08-31	VYDAJ	VYBER	15	28084	SLUZBY	\N	\N
923980	3148	1996-09-30	VYDAJ	VYBER	15	30035	SLUZBY	\N	\N
923981	3148	1996-10-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
923982	3148	1996-11-30	VYDAJ	VYBER	15	24219	SLUZBY	\N	\N
923983	3148	1996-12-31	VYDAJ	VYBER	15	23734	SLUZBY	\N	\N
923984	3148	1997-01-31	VYDAJ	VYBER	15	20836	SLUZBY	\N	\N
923985	3148	1997-02-28	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
923986	3148	1997-03-31	VYDAJ	VYBER	15	17038	SLUZBY	\N	\N
923987	3148	1997-04-30	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
923988	3148	1997-05-31	VYDAJ	VYBER	15	18102	SLUZBY	\N	\N
923989	3148	1997-06-30	VYDAJ	VYBER	15	15347	SLUZBY	\N	\N
923990	3148	1997-07-31	VYDAJ	VYBER	15	17844	SLUZBY	\N	\N
923991	3148	1997-08-31	VYDAJ	VYBER	15	16340	SLUZBY	\N	\N
923992	3148	1997-09-30	VYDAJ	VYBER	15	18642	SLUZBY	\N	\N
923993	3148	1997-10-31	VYDAJ	VYBER	15	17342	SLUZBY	\N	\N
923994	3148	1997-11-30	VYDAJ	VYBER	15	14833	SLUZBY	\N	\N
923995	3148	1997-12-31	VYDAJ	VYBER	15	13788	SLUZBY	\N	\N
923996	3148	1998-01-31	VYDAJ	VYBER	15	9759	SLUZBY	\N	\N
923997	3148	1998-02-28	VYDAJ	VYBER	15	12537	SLUZBY	\N	\N
923998	3148	1998-03-31	VYDAJ	VYBER	15	14984	SLUZBY	\N	\N
923999	3148	1998-04-30	VYDAJ	VYBER	15	11593	SLUZBY	\N	\N
924000	3148	1998-05-31	VYDAJ	VYBER	15	13173	SLUZBY	\N	\N
924001	3148	1998-06-30	VYDAJ	VYBER	15	12754	SLUZBY	\N	\N
924002	3148	1998-07-31	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
924003	3148	1998-08-31	VYDAJ	VYBER	15	14630	SLUZBY	\N	\N
924004	3148	1998-09-30	VYDAJ	VYBER	15	18631	SLUZBY	\N	\N
924005	3148	1998-10-31	VYDAJ	VYBER	15	21085	SLUZBY	\N	\N
924006	3148	1998-11-30	VYDAJ	VYBER	15	25514	SLUZBY	\N	\N
924007	3148	1995-12-19	PRIJEM	VKLAD	9500	13618	\N	\N	\N
924008	3148	1996-01-18	PRIJEM	VKLAD	5500	22860	\N	\N	\N
924009	3148	1996-02-17	VYDAJ	VYBER	1200	25452	\N	\N	\N
924010	3148	1996-03-18	VYDAJ	VYBER	1000	28270	\N	\N	\N
924011	3148	1996-04-17	VYDAJ	VYBER	1100	27681	\N	\N	\N
924012	3148	1996-05-17	PRIJEM	VKLAD	1200	30226	\N	\N	\N
924013	3148	1996-06-16	PRIJEM	VKLAD	1000	25043	\N	\N	\N
924014	3148	1996-07-16	VYDAJ	VYBER	800	24860	\N	\N	\N
924015	3148	1996-08-15	PRIJEM	VKLAD	1800	27988	\N	\N	\N
924016	3148	1996-09-14	PRIJEM	VKLAD	1500	33302	\N	\N	\N
924017	3148	1996-10-14	VYDAJ	VYBER	4700	26575	\N	\N	\N
924018	3148	1996-11-13	VYDAJ	VYBER	3800	26606	\N	\N	\N
924019	3148	1996-12-13	VYDAJ	VYBER	1000	26937	\N	\N	\N
924020	3148	1997-01-12	PRIJEM	VKLAD	100	27552	\N	\N	\N
924021	3148	1997-02-11	VYDAJ	VYBER	2400	22154	\N	\N	\N
924022	3148	1997-03-13	VYDAJ	VYBER	3500	19964	\N	\N	\N
924023	3148	1997-04-12	PRIJEM	VKLAD	1300	22056	\N	\N	\N
924024	3148	1997-05-12	VYDAJ	VYBER	1100	21387	\N	\N	\N
924025	3148	1997-06-11	VYDAJ	VYBER	2700	19120	\N	\N	\N
924026	3148	1997-07-11	PRIJEM	VKLAD	1200	20265	\N	\N	\N
924027	3148	1997-08-10	VYDAJ	VYBER	2800	18762	\N	\N	\N
924028	3148	1997-09-09	PRIJEM	VKLAD	1000	21058	\N	\N	\N
924029	3148	1997-10-09	VYDAJ	VYBER	2600	19760	\N	\N	\N
924030	3148	1997-11-08	VYDAJ	VYBER	3800	17260	\N	\N	\N
924031	3148	1997-12-08	VYDAJ	VYBER	2000	16551	\N	\N	\N
924032	3148	1998-01-07	VYDAJ	VYBER	5300	12206	\N	\N	\N
924033	3148	1998-02-06	PRIJEM	VKLAD	1500	11259	\N	\N	\N
924034	3148	1998-03-08	PRIJEM	VKLAD	2000	18255	\N	\N	\N
924035	3148	1998-04-07	VYDAJ	VYBER	4100	14602	\N	\N	\N
924036	3148	1998-05-07	PRIJEM	VKLAD	300	11893	\N	\N	\N
924037	3148	1998-06-06	VYDAJ	VYBER	1700	11473	\N	\N	\N
924038	3148	1998-07-06	PRIJEM	VKLAD	1200	13954	\N	\N	\N
924039	3148	1998-08-05	VYDAJ	VYBER	1900	13342	\N	\N	\N
924040	3148	1998-09-04	PRIJEM	VKLAD	2700	17330	\N	\N	\N
924041	3148	1998-10-04	PRIJEM	VKLAD	2700	21331	\N	\N	\N
924042	3148	1998-11-03	PRIJEM	VKLAD	3100	24185	\N	\N	\N
924043	3148	1998-12-03	PRIJEM	VKLAD	2800	28044	\N	\N	\N
924081	3149	1996-06-27	PRIJEM	VKLAD	800	800	\N	\N	\N
924088	3149	1996-07-06	PRIJEM	VKLAD	8322	9122	\N	\N	\N
924089	3149	1996-08-06	PRIJEM	VKLAD	8322	21653	\N	\N	\N
924090	3149	1996-09-06	PRIJEM	VKLAD	8322	29237	\N	\N	\N
924091	3149	1996-10-06	PRIJEM	VKLAD	8322	33649	\N	\N	\N
924092	3149	1996-11-06	PRIJEM	VKLAD	8322	34377	\N	\N	\N
924093	3149	1996-12-06	PRIJEM	VKLAD	12483	38044	\N	\N	\N
924094	3149	1997-01-06	PRIJEM	VKLAD	8322	30561	\N	\N	\N
924095	3149	1997-02-06	PRIJEM	VKLAD	8322	22614	\N	\N	\N
924096	3149	1997-03-06	PRIJEM	VKLAD	8322	31790	\N	\N	\N
924097	3149	1997-04-06	PRIJEM	VKLAD	8322	37201	\N	\N	\N
924098	3149	1997-05-06	PRIJEM	VKLAD	8322	33993	\N	\N	\N
924099	3149	1997-06-06	PRIJEM	VKLAD	12483	37475	\N	\N	\N
924100	3149	1997-07-06	PRIJEM	VKLAD	8322	35071	\N	\N	\N
924101	3149	1997-08-06	PRIJEM	VKLAD	8322	37693	\N	\N	\N
924102	3149	1997-09-06	PRIJEM	VKLAD	8322	43231	\N	\N	\N
924103	3149	1997-10-06	PRIJEM	VKLAD	8322	37198	\N	\N	\N
924104	3149	1997-11-06	PRIJEM	VKLAD	8322	44352	\N	\N	\N
924105	3149	1997-12-06	PRIJEM	VKLAD	12483	49672	\N	\N	\N
924106	3149	1998-01-06	PRIJEM	VKLAD	8322	45129	\N	\N	\N
924107	3149	1998-02-06	PRIJEM	VKLAD	8322	28515	\N	\N	\N
924108	3149	1998-03-06	PRIJEM	VKLAD	8322	43232	\N	\N	\N
924109	3149	1998-04-06	PRIJEM	VKLAD	8322	46898	\N	\N	\N
924110	3149	1998-05-06	PRIJEM	VKLAD	8322	53878	\N	\N	\N
924111	3149	1998-06-06	PRIJEM	VKLAD	12483	23100	\N	\N	\N
924112	3149	1998-07-06	PRIJEM	VKLAD	8322	40705	\N	\N	\N
924113	3149	1998-08-06	PRIJEM	VKLAD	8322	44938	\N	\N	\N
924114	3149	1998-09-06	PRIJEM	VKLAD	8322	54116	\N	\N	\N
924115	3149	1998-10-06	PRIJEM	VKLAD	8322	54114	\N	\N	\N
924116	3149	1998-11-06	PRIJEM	VKLAD	8322	53610	\N	\N	\N
924117	3149	1998-12-06	PRIJEM	VKLAD	12483	58668	\N	\N	\N
924119	3149	1997-06-17	VYDAJ	VYBER	8320	29155	\N	\N	\N
924120	3149	1998-06-05	VYDAJ	VYBER	35840	10617	\N	\N	\N
924122	3149	1997-01-04	VYDAJ	VYBER	6240	22239	\N	\N	\N
924123	3149	1998-01-25	VYDAJ	VYBER	15840	23529	\N	\N	\N
924124	3149	1996-12-26	VYDAJ	VYBER	960	28384	\N	\N	\N
924125	3149	1997-12-15	VYDAJ	VYBER	3040	46632	\N	\N	\N
924126	3149	1998-12-23	VYDAJ	VYBER	800	45968	\N	\N	\N
924133	3149	1997-01-20	VYDAJ	VYBER	1800	24321	\N	\N	\N
924134	3149	1997-01-13	VYDAJ	VYBER	2160	26121	\N	\N	\N
924135	3149	1997-01-26	VYDAJ	VYBER	1920	21401	\N	\N	\N
924136	3149	1997-01-30	VYDAJ	VYBER	3480	14201	\N	\N	\N
924137	3149	1997-01-06	VYDAJ	VYBER	1320	29241	\N	\N	\N
924138	3149	1997-01-13	VYDAJ	VYBER	960	28281	\N	\N	\N
924139	3149	1998-01-29	VYDAJ	VYBER	2160	21369	\N	\N	\N
924140	3149	1998-01-04	VYDAJ	VYBER	1200	39927	\N	\N	\N
924141	3149	1998-01-05	VYDAJ	VYBER	3120	36807	\N	\N	\N
924142	3149	1998-01-20	VYDAJ	VYBER	2760	39369	\N	\N	\N
924143	3149	1998-01-29	VYDAJ	VYBER	1320	20049	\N	\N	\N
924144	3149	1998-01-03	VYDAJ	VYBER	1560	41127	\N	\N	\N
924146	3149	1996-11-14	VYDAJ	VYBER	720	33657	\N	\N	\N
924147	3149	1997-10-03	VYDAJ	VYBER	720	28876	\N	\N	\N
924148	3149	1997-10-11	VYDAJ	VYBER	1200	35998	\N	\N	\N
924149	3149	1997-05-14	VYDAJ	VYBER	2400	31593	\N	\N	\N
924150	3149	1997-09-25	VYDAJ	VYBER	4560	29471	\N	\N	\N
924151	3149	1997-01-27	VYDAJ	VYBER	3720	17681	\N	\N	\N
924152	3149	1997-04-14	VYDAJ	VYBER	2040	35161	\N	\N	\N
924153	3149	1998-03-11	VYDAJ	VYBER	1800	41432	\N	\N	\N
924154	3149	1998-05-15	VYDAJ	VYBER	1200	52678	\N	\N	\N
924155	3149	1998-06-27	VYDAJ	VYBER	5040	32260	\N	\N	\N
924156	3149	1998-07-22	VYDAJ	VYBER	4320	36485	\N	\N	\N
924168	3149	1996-11-30	VYDAJ	VYBER	15	25561	SLUZBY	\N	\N
924169	3149	1996-12-31	VYDAJ	VYBER	15	28479	SLUZBY	\N	\N
924170	3149	1997-01-31	VYDAJ	VYBER	15	14292	SLUZBY	\N	\N
924171	3149	1997-02-28	VYDAJ	VYBER	15	23468	SLUZBY	\N	\N
924172	3149	1997-03-31	VYDAJ	VYBER	15	28879	SLUZBY	\N	\N
924173	3149	1997-04-30	VYDAJ	VYBER	15	25671	SLUZBY	\N	\N
924174	3149	1997-05-31	VYDAJ	VYBER	15	24992	SLUZBY	\N	\N
924175	3149	1997-06-30	VYDAJ	VYBER	15	26749	SLUZBY	\N	\N
924176	3149	1997-07-31	VYDAJ	VYBER	15	29371	SLUZBY	\N	\N
924177	3149	1997-08-31	VYDAJ	VYBER	15	34909	SLUZBY	\N	\N
924178	3149	1997-09-30	VYDAJ	VYBER	15	29596	SLUZBY	\N	\N
924179	3149	1997-10-31	VYDAJ	VYBER	15	36030	SLUZBY	\N	\N
924180	3149	1997-11-30	VYDAJ	VYBER	15	37189	SLUZBY	\N	\N
924181	3149	1997-12-31	VYDAJ	VYBER	15	42687	SLUZBY	\N	\N
924182	3149	1998-01-31	VYDAJ	VYBER	15	20193	SLUZBY	\N	\N
924183	3149	1998-02-28	VYDAJ	VYBER	15	34910	SLUZBY	\N	\N
924184	3149	1998-03-31	VYDAJ	VYBER	15	38576	SLUZBY	\N	\N
924185	3149	1998-04-30	VYDAJ	VYBER	15	45556	SLUZBY	\N	\N
924186	3149	1998-05-31	VYDAJ	VYBER	15	46457	SLUZBY	\N	\N
924187	3149	1998-06-30	VYDAJ	VYBER	15	32383	SLUZBY	\N	\N
924188	3149	1998-07-31	VYDAJ	VYBER	15	36616	SLUZBY	\N	\N
924189	3149	1998-08-31	VYDAJ	VYBER	15	45794	SLUZBY	\N	\N
924190	3149	1998-09-30	VYDAJ	VYBER	15	45792	SLUZBY	\N	\N
924191	3149	1998-10-31	VYDAJ	VYBER	15	45288	SLUZBY	\N	\N
924192	3149	1998-11-30	VYDAJ	VYBER	15	46185	SLUZBY	\N	\N
924193	3149	1996-07-27	PRIJEM	VKLAD	4200	13322	\N	\N	\N
924194	3149	1996-08-26	VYDAJ	VYBER	800	20853	\N	\N	\N
924195	3149	1996-09-25	VYDAJ	VYBER	4000	25237	\N	\N	\N
924196	3149	1996-10-25	VYDAJ	VYBER	7700	25949	\N	\N	\N
924197	3149	1996-11-24	VYDAJ	VYBER	8200	25457	\N	\N	\N
924198	3149	1996-12-24	VYDAJ	VYBER	8700	29344	\N	\N	\N
924199	3149	1997-01-23	VYDAJ	VYBER	1000	23321	\N	\N	\N
924200	3149	1997-02-22	PRIJEM	VKLAD	800	23414	\N	\N	\N
924201	3149	1997-03-24	VYDAJ	VYBER	3000	28790	\N	\N	\N
924202	3149	1997-04-23	VYDAJ	VYBER	9600	25561	\N	\N	\N
924203	3149	1997-05-23	VYDAJ	VYBER	6700	24893	\N	\N	\N
924204	3149	1997-06-22	VYDAJ	VYBER	2500	26655	\N	\N	\N
924205	3149	1997-07-22	VYDAJ	VYBER	5800	29271	\N	\N	\N
924206	3149	1997-08-21	VYDAJ	VYBER	2900	34793	\N	\N	\N
924207	3149	1997-09-20	VYDAJ	VYBER	9200	34031	\N	\N	\N
924208	3149	1997-10-20	VYDAJ	VYBER	100	35898	\N	\N	\N
924209	3149	1997-11-19	VYDAJ	VYBER	7300	37052	\N	\N	\N
924210	3149	1997-12-19	VYDAJ	VYBER	4100	42532	\N	\N	\N
924211	3149	1998-01-18	VYDAJ	VYBER	3000	42129	\N	\N	\N
924212	3149	1998-02-17	PRIJEM	VKLAD	6300	34815	\N	\N	\N
924213	3149	1998-03-19	VYDAJ	VYBER	3000	38432	\N	\N	\N
924214	3149	1998-04-18	VYDAJ	VYBER	1500	45398	\N	\N	\N
924215	3149	1998-05-18	VYDAJ	VYBER	6400	46278	\N	\N	\N
924216	3149	1998-06-17	PRIJEM	VKLAD	14200	37300	\N	\N	\N
924217	3149	1998-07-17	PRIJEM	VKLAD	100	40805	\N	\N	\N
924218	3149	1998-08-16	PRIJEM	VKLAD	700	45638	\N	\N	\N
924219	3149	1998-09-15	VYDAJ	VYBER	8500	45616	\N	\N	\N
924220	3149	1998-10-15	VYDAJ	VYBER	9000	45114	\N	\N	\N
924221	3149	1998-11-14	VYDAJ	VYBER	7600	46010	\N	\N	\N
924222	3149	1998-12-14	VYDAJ	VYBER	11900	46768	\N	\N	\N
924544	3151	1996-02-21	PRIJEM	VKLAD	200	200	\N	\N	\N
924547	3151	1996-03-14	PRIJEM	VKLAD	11645	11845	\N	\N	\N
924548	3151	1996-04-14	PRIJEM	VKLAD	11645	30315	\N	\N	\N
924549	3151	1996-05-14	PRIJEM	VKLAD	11645	36346	\N	\N	\N
924550	3151	1996-06-14	PRIJEM	VKLAD	17468	47525	\N	\N	\N
924551	3151	1996-07-14	PRIJEM	VKLAD	11645	48905	\N	\N	\N
924552	3151	1996-08-14	PRIJEM	VKLAD	11645	42647	\N	\N	\N
924553	3151	1996-09-14	PRIJEM	VKLAD	11645	42989	\N	\N	\N
924554	3151	1996-10-14	PRIJEM	VKLAD	11645	40722	\N	\N	\N
924555	3151	1996-11-14	PRIJEM	VKLAD	11645	37644	\N	\N	\N
924556	3151	1996-12-14	PRIJEM	VKLAD	17468	44485	\N	\N	\N
924557	3151	1997-01-14	PRIJEM	VKLAD	11645	38312	\N	\N	\N
924558	3151	1997-02-14	PRIJEM	VKLAD	11645	40339	\N	\N	\N
924559	3151	1997-03-14	PRIJEM	VKLAD	11645	35972	\N	\N	\N
924560	3151	1997-04-14	PRIJEM	VKLAD	11645	45406	\N	\N	\N
924561	3151	1997-05-14	PRIJEM	VKLAD	11645	48562	\N	\N	\N
924562	3151	1997-06-14	PRIJEM	VKLAD	17468	58153	\N	\N	\N
924563	3151	1997-07-14	PRIJEM	VKLAD	11645	55735	\N	\N	\N
924564	3151	1997-08-14	PRIJEM	VKLAD	11645	56123	\N	\N	\N
924565	3151	1997-09-14	PRIJEM	VKLAD	11645	59510	\N	\N	\N
924566	3151	1997-10-14	PRIJEM	VKLAD	11645	64922	\N	\N	\N
924567	3151	1997-11-14	PRIJEM	VKLAD	11645	70767	\N	\N	\N
924568	3151	1997-12-14	PRIJEM	VKLAD	17468	82759	\N	\N	\N
924569	3151	1998-01-14	PRIJEM	VKLAD	11645	78963	\N	\N	\N
924570	3151	1998-02-14	PRIJEM	VKLAD	11645	76865	\N	\N	\N
924571	3151	1998-03-14	PRIJEM	VKLAD	11645	81652	\N	\N	\N
924572	3151	1998-04-14	PRIJEM	VKLAD	11645	88457	\N	\N	\N
924573	3151	1998-05-14	PRIJEM	VKLAD	11645	96894	\N	\N	\N
924574	3151	1998-06-14	PRIJEM	VKLAD	17468	90191	\N	\N	\N
924575	3151	1998-07-14	PRIJEM	VKLAD	11645	93445	\N	\N	\N
924576	3151	1998-08-14	PRIJEM	VKLAD	11645	92003	\N	\N	\N
924577	3151	1998-09-14	PRIJEM	VKLAD	11645	99761	\N	\N	\N
924578	3151	1998-10-14	PRIJEM	VKLAD	11645	105146	\N	\N	\N
924579	3151	1998-11-14	PRIJEM	VKLAD	11645	107057	\N	\N	\N
924580	3151	1998-12-14	PRIJEM	VKLAD	17468	108602	\N	\N	\N
924588	3151	1996-08-08	VYDAJ	PREVOD NA UCET	363	37583	SIPO	IJ	53186309
924589	3151	1996-09-08	VYDAJ	PREVOD NA UCET	363	35425	SIPO	IJ	53186309
924590	3151	1996-10-08	VYDAJ	PREVOD NA UCET	363	33158	SIPO	IJ	53186309
924591	3151	1996-11-08	VYDAJ	PREVOD NA UCET	363	30080	SIPO	IJ	53186309
924592	3151	1996-12-08	VYDAJ	PREVOD NA UCET	363	31098	SIPO	IJ	53186309
924593	3151	1997-01-08	VYDAJ	PREVOD NA UCET	363	34048	SIPO	IJ	53186309
924594	3151	1997-02-08	VYDAJ	PREVOD NA UCET	363	32775	SIPO	IJ	53186309
924595	3151	1997-03-08	VYDAJ	PREVOD NA UCET	363	32508	SIPO	IJ	53186309
924596	3151	1997-04-08	VYDAJ	PREVOD NA UCET	363	37842	SIPO	IJ	53186309
924597	3151	1997-05-08	VYDAJ	PREVOD NA UCET	363	42798	SIPO	IJ	53186309
924598	3151	1997-06-08	VYDAJ	PREVOD NA UCET	363	44766	SIPO	IJ	53186309
924599	3151	1997-07-08	VYDAJ	PREVOD NA UCET	363	48171	SIPO	IJ	53186309
924600	3151	1997-08-08	VYDAJ	PREVOD NA UCET	363	48559	SIPO	IJ	53186309
924601	3151	1997-09-08	VYDAJ	PREVOD NA UCET	363	47446	SIPO	IJ	53186309
924602	3151	1997-10-08	VYDAJ	PREVOD NA UCET	363	59358	SIPO	IJ	53186309
924603	3151	1997-11-08	VYDAJ	PREVOD NA UCET	363	64803	SIPO	IJ	53186309
924604	3151	1997-12-08	VYDAJ	PREVOD NA UCET	363	70672	SIPO	IJ	53186309
924605	3151	1998-01-08	VYDAJ	PREVOD NA UCET	363	75299	SIPO	IJ	53186309
924606	3151	1998-02-08	VYDAJ	PREVOD NA UCET	363	73301	SIPO	IJ	53186309
924607	3151	1998-03-08	VYDAJ	PREVOD NA UCET	363	71988	SIPO	IJ	53186309
924608	3151	1998-04-08	VYDAJ	PREVOD NA UCET	363	79293	SIPO	IJ	53186309
924609	3151	1998-05-08	VYDAJ	PREVOD NA UCET	363	88430	SIPO	IJ	53186309
924610	3151	1998-06-08	VYDAJ	PREVOD NA UCET	363	71504	SIPO	IJ	53186309
924611	3151	1998-07-08	VYDAJ	PREVOD NA UCET	363	90181	SIPO	IJ	53186309
924612	3151	1998-08-08	VYDAJ	PREVOD NA UCET	363	88339	SIPO	IJ	53186309
924613	3151	1998-09-08	VYDAJ	PREVOD NA UCET	363	92197	SIPO	IJ	53186309
924614	3151	1998-10-08	VYDAJ	PREVOD NA UCET	363	99082	SIPO	IJ	53186309
924615	3151	1998-11-08	VYDAJ	PREVOD NA UCET	363	99493	SIPO	IJ	53186309
924616	3151	1998-12-08	VYDAJ	PREVOD NA UCET	363	95215	SIPO	IJ	53186309
924624	3151	1996-08-11	VYDAJ	PREVOD NA UCET	4081	33502	 	EF	48056763
924625	3151	1996-09-11	VYDAJ	PREVOD NA UCET	4081	31344	 	EF	48056763
924626	3151	1996-10-11	VYDAJ	PREVOD NA UCET	4081	29077	 	EF	48056763
924627	3151	1996-11-11	VYDAJ	PREVOD NA UCET	4081	25999	 	EF	48056763
924628	3151	1996-12-11	VYDAJ	PREVOD NA UCET	4081	27017	 	EF	48056763
924629	3151	1997-01-11	VYDAJ	PREVOD NA UCET	4081	28567	 	EF	48056763
924630	3151	1997-02-11	VYDAJ	PREVOD NA UCET	4081	28694	 	EF	48056763
924631	3151	1997-03-11	VYDAJ	PREVOD NA UCET	4081	24327	 	EF	48056763
924632	3151	1997-04-11	VYDAJ	PREVOD NA UCET	4081	33761	 	EF	48056763
924633	3151	1997-05-11	VYDAJ	PREVOD NA UCET	4081	36917	 	EF	48056763
924634	3151	1997-06-11	VYDAJ	PREVOD NA UCET	4081	40685	 	EF	48056763
924635	3151	1997-07-11	VYDAJ	PREVOD NA UCET	4081	44090	 	EF	48056763
924636	3151	1997-08-11	VYDAJ	PREVOD NA UCET	4081	44478	 	EF	48056763
924637	3151	1997-09-11	VYDAJ	PREVOD NA UCET	4081	43365	 	EF	48056763
924638	3151	1997-10-11	VYDAJ	PREVOD NA UCET	4081	55277	 	EF	48056763
924639	3151	1997-11-11	VYDAJ	PREVOD NA UCET	4081	60722	 	EF	48056763
924640	3151	1997-12-11	VYDAJ	PREVOD NA UCET	4081	66591	 	EF	48056763
924641	3151	1998-01-11	VYDAJ	PREVOD NA UCET	4081	70018	 	EF	48056763
924642	3151	1998-02-11	VYDAJ	PREVOD NA UCET	4081	65220	 	EF	48056763
924643	3151	1998-03-11	VYDAJ	PREVOD NA UCET	4081	67907	 	EF	48056763
924644	3151	1998-04-11	VYDAJ	PREVOD NA UCET	4081	76812	 	EF	48056763
924645	3151	1998-05-11	VYDAJ	PREVOD NA UCET	4081	85249	 	EF	48056763
924646	3151	1998-06-11	VYDAJ	PREVOD NA UCET	4081	72723	 	EF	48056763
924647	3151	1998-07-11	VYDAJ	PREVOD NA UCET	4081	81800	 	EF	48056763
924648	3151	1998-08-11	VYDAJ	PREVOD NA UCET	4081	80358	 	EF	48056763
924649	3151	1998-09-11	VYDAJ	PREVOD NA UCET	4081	88116	 	EF	48056763
924650	3151	1998-10-11	VYDAJ	PREVOD NA UCET	4081	93501	 	EF	48056763
924651	3151	1998-11-11	VYDAJ	PREVOD NA UCET	4081	95412	 	EF	48056763
924652	3151	1998-12-11	VYDAJ	PREVOD NA UCET	4081	91134	 	EF	48056763
924654	3151	1997-06-16	VYDAJ	VYBER	5500	48353	\N	\N	\N
924655	3151	1998-06-07	VYDAJ	VYBER	25400	71867	\N	\N	\N
924657	3151	1997-01-11	VYDAJ	VYBER	1400	32648	\N	\N	\N
924658	3151	1998-01-08	VYDAJ	VYBER	4200	75662	\N	\N	\N
924659	3151	1996-12-14	VYDAJ	VYBER	1600	42885	\N	\N	\N
924660	3151	1997-12-21	VYDAJ	VYBER KARTOU	2500	80259	\N	\N	0
924661	3151	1998-12-30	VYDAJ	VYBER KARTOU	1800	106802	\N	\N	0
924668	3151	1997-01-17	VYDAJ	VYBER	700	34212	\N	\N	\N
924669	3151	1997-01-18	VYDAJ	VYBER	700	33512	\N	\N	\N
924670	3151	1997-01-13	VYDAJ	VYBER	1900	26667	\N	\N	\N
924671	3151	1997-01-16	VYDAJ	VYBER	2500	34912	\N	\N	\N
924672	3151	1997-01-16	VYDAJ	VYBER	1700	37412	\N	\N	\N
924673	3151	1997-01-20	VYDAJ	VYBER	500	33012	\N	\N	\N
924674	3151	1998-01-18	VYDAJ	VYBER KARTOU	1300	75663	\N	\N	0
924675	3151	1998-01-16	VYDAJ	VYBER KARTOU	1200	76963	\N	\N	0
924676	3151	1998-01-23	VYDAJ	VYBER KARTOU	2300	73363	\N	\N	0
924677	3151	1998-01-15	VYDAJ	VYBER KARTOU	800	78163	\N	\N	0
924678	3151	1998-01-12	VYDAJ	VYBER KARTOU	2700	67318	\N	\N	0
924679	3151	1998-01-05	VYDAJ	VYBER KARTOU	700	79862	\N	\N	0
924680	3151	1996-11-26	VYDAJ	VYBER	1400	31344	\N	\N	\N
924681	3151	1996-08-12	VYDAJ	VYBER	2500	31002	\N	\N	\N
924685	3151	1997-03-10	VYDAJ	VYBER	4100	28408	\N	\N	\N
924686	3151	1997-02-24	VYDAJ	VYBER	2700	36039	\N	\N	\N
924687	3151	1997-05-09	VYDAJ	VYBER	1800	40998	\N	\N	\N
924688	3151	1997-03-01	VYDAJ	VYBER	3300	32871	\N	\N	\N
924689	3151	1997-08-16	VYDAJ	VYBER	2100	47623	\N	\N	\N
924690	3151	1998-07-25	VYDAJ	VYBER KARTOU	2200	88345	\N	\N	0
924691	3151	1998-07-18	VYDAJ	VYBER KARTOU	2900	90545	\N	\N	0
924692	3151	1998-02-18	VYDAJ	VYBER	4800	72065	\N	\N	\N
924693	3151	1998-09-21	VYDAJ	VYBER KARTOU	700	99061	\N	\N	0
924694	3151	1998-03-20	VYDAJ	VYBER KARTOU	2300	79352	\N	\N	0
924702	3151	1996-07-31	VYDAJ	VYBER	15	37946	SLUZBY	\N	\N
924703	3151	1996-08-31	VYDAJ	VYBER	15	35788	SLUZBY	\N	\N
924704	3151	1996-09-30	VYDAJ	VYBER	15	33521	SLUZBY	\N	\N
924705	3151	1996-10-31	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
924706	3151	1996-11-30	VYDAJ	VYBER	15	31461	SLUZBY	\N	\N
924707	3151	1996-12-31	VYDAJ	VYBER	15	34411	SLUZBY	\N	\N
924708	3151	1997-01-31	VYDAJ	VYBER	15	33138	SLUZBY	\N	\N
924709	3151	1997-02-28	VYDAJ	VYBER	15	36171	SLUZBY	\N	\N
924710	3151	1997-03-31	VYDAJ	VYBER	15	38205	SLUZBY	\N	\N
924711	3151	1997-04-30	VYDAJ	VYBER	15	43161	SLUZBY	\N	\N
924712	3151	1997-05-31	VYDAJ	VYBER	15	45129	SLUZBY	\N	\N
924713	3151	1997-06-30	VYDAJ	VYBER	15	48534	SLUZBY	\N	\N
924714	3151	1997-07-31	VYDAJ	VYBER	15	48922	SLUZBY	\N	\N
924715	3151	1997-08-31	VYDAJ	VYBER	15	47809	SLUZBY	\N	\N
924716	3151	1997-09-30	VYDAJ	VYBER	15	59721	SLUZBY	\N	\N
924717	3151	1997-10-31	VYDAJ	VYBER	15	65166	SLUZBY	\N	\N
924718	3151	1997-11-30	VYDAJ	VYBER	15	71035	SLUZBY	\N	\N
924719	3151	1997-12-31	VYDAJ	VYBER	15	80562	SLUZBY	\N	\N
924720	3151	1998-01-31	VYDAJ	VYBER	15	73664	SLUZBY	\N	\N
924721	3151	1998-02-28	VYDAJ	VYBER	15	72351	SLUZBY	\N	\N
924722	3151	1998-03-31	VYDAJ	VYBER	15	79656	SLUZBY	\N	\N
924723	3151	1998-04-30	VYDAJ	VYBER	15	88793	SLUZBY	\N	\N
924724	3151	1998-05-31	VYDAJ	VYBER	15	97267	SLUZBY	\N	\N
924725	3151	1998-06-30	VYDAJ	VYBER	15	90544	SLUZBY	\N	\N
924726	3151	1998-07-31	VYDAJ	VYBER	15	88702	SLUZBY	\N	\N
924727	3151	1998-08-31	VYDAJ	VYBER	15	92360	SLUZBY	\N	\N
924728	3151	1998-09-30	VYDAJ	VYBER	15	99445	SLUZBY	\N	\N
924729	3151	1998-10-31	VYDAJ	VYBER	15	105556	SLUZBY	\N	\N
924730	3151	1998-11-30	VYDAJ	VYBER	15	107478	SLUZBY	\N	\N
924731	3151	1996-03-22	PRIJEM	VKLAD	6800	18645	\N	\N	\N
924732	3151	1996-04-21	VYDAJ	VYBER	5700	24615	\N	\N	\N
924733	3151	1996-05-21	VYDAJ	VYBER	6400	29946	\N	\N	\N
924734	3151	1996-06-20	VYDAJ	VYBER	10400	37125	\N	\N	\N
924735	3151	1996-07-20	VYDAJ	VYBER	11100	37805	\N	\N	\N
924736	3151	1996-08-19	VYDAJ	VYBER	7000	35647	\N	\N	\N
924737	3151	1996-09-18	VYDAJ	VYBER	9600	33389	\N	\N	\N
924738	3151	1996-10-18	VYDAJ	VYBER	10400	30322	\N	\N	\N
924739	3151	1996-11-17	VYDAJ	VYBER	4900	32744	\N	\N	\N
924740	3151	1996-12-17	VYDAJ	VYBER	8600	34285	\N	\N	\N
924741	3151	1997-01-16	PRIJEM	VKLAD	800	39112	\N	\N	\N
924742	3151	1997-02-15	VYDAJ	VYBER	1600	38739	\N	\N	\N
924743	3151	1997-03-17	PRIJEM	VKLAD	2100	38072	\N	\N	\N
924744	3151	1997-04-16	VYDAJ	VYBER	2400	43006	\N	\N	\N
924745	3151	1997-05-16	VYDAJ	VYBER	3600	44962	\N	\N	\N
924746	3151	1997-06-15	VYDAJ	VYBER	4300	53853	\N	\N	\N
924747	3151	1997-07-15	VYDAJ	VYBER	7000	48735	\N	\N	\N
924748	3151	1997-08-14	VYDAJ	VYBER	6400	49723	\N	\N	\N
924749	3151	1997-09-13	PRIJEM	VKLAD	4500	47865	\N	\N	\N
924750	3151	1997-10-13	VYDAJ	VYBER	2000	53277	\N	\N	\N
924751	3151	1997-11-12	VYDAJ	VYBER KARTOU	1600	59122	\N	\N	0
924752	3151	1997-12-12	VYDAJ	VYBER KARTOU	1300	65291	\N	\N	0
924753	3151	1998-01-11	VYDAJ	VYBER KARTOU	1200	74099	\N	\N	0
924754	3151	1998-02-10	VYDAJ	VYBER KARTOU	4000	69301	\N	\N	0
924755	3151	1998-03-12	PRIJEM	VKLAD	2100	70007	\N	\N	\N
924756	3151	1998-04-11	PRIJEM	VKLAD	1600	80893	\N	\N	\N
924757	3151	1998-05-11	PRIJEM	VKLAD	900	89330	\N	\N	\N
924758	3151	1998-06-10	PRIJEM	VKLAD	5300	76804	\N	\N	\N
924759	3151	1998-07-10	VYDAJ	VYBER	4300	85881	\N	\N	\N
924760	3151	1998-08-09	VYDAJ	VYBER KARTOU	3900	84439	\N	\N	0
924761	3151	1998-09-08	PRIJEM	VKLAD	200	92560	\N	\N	\N
924762	3151	1998-10-08	VYDAJ	VYBER KARTOU	1500	97582	\N	\N	0
924763	3151	1998-11-07	VYDAJ	VYBER	5700	99856	\N	\N	\N
924764	3151	1998-12-07	VYDAJ	VYBER	11900	95578	\N	\N	\N
924799	3152	1993-07-16	PRIJEM	VKLAD	500	500	\N	\N	\N
924807	3152	1993-08-06	PRIJEM	VKLAD	11922	12422	\N	\N	\N
924808	3152	1993-09-06	PRIJEM	VKLAD	11922	30887	\N	\N	\N
924809	3152	1993-10-06	PRIJEM	VKLAD	11922	39408	\N	\N	\N
924810	3152	1993-11-06	PRIJEM	VKLAD	11922	43755	\N	\N	\N
924811	3152	1993-12-06	PRIJEM	VKLAD	17883	49870	\N	\N	\N
924812	3152	1994-01-06	PRIJEM	VKLAD	11922	41180	\N	\N	\N
924813	3152	1994-02-06	PRIJEM	VKLAD	11922	36564	\N	\N	\N
924814	3152	1994-03-06	PRIJEM	VKLAD	11922	34733	\N	\N	\N
924815	3152	1994-04-06	PRIJEM	VKLAD	11922	39110	\N	\N	\N
924816	3152	1994-05-06	PRIJEM	VKLAD	11922	40095	\N	\N	\N
924817	3152	1994-06-06	PRIJEM	VKLAD	17883	41832	\N	\N	\N
924818	3152	1994-07-06	PRIJEM	VKLAD	11922	24884	\N	\N	\N
924819	3152	1994-08-06	PRIJEM	VKLAD	11922	32329	\N	\N	\N
924820	3152	1994-09-06	PRIJEM	VKLAD	11922	34692	\N	\N	\N
924821	3152	1994-10-06	PRIJEM	VKLAD	11922	29253	\N	\N	\N
924822	3152	1994-11-06	PRIJEM	VKLAD	11922	28701	\N	\N	\N
924823	3152	1994-12-06	PRIJEM	VKLAD	17883	37112	\N	\N	\N
924824	3152	1995-01-06	PRIJEM	VKLAD	11922	30765	\N	\N	\N
924825	3152	1995-02-06	PRIJEM	VKLAD	11922	29316	\N	\N	\N
924826	3152	1995-03-06	PRIJEM	VKLAD	11922	29864	\N	\N	\N
924827	3152	1995-04-06	PRIJEM	VKLAD	11922	29209	\N	\N	\N
924828	3152	1995-05-06	PRIJEM	VKLAD	11922	26652	\N	\N	\N
924829	3152	1995-06-06	PRIJEM	VKLAD	17883	29638	\N	\N	\N
924830	3152	1995-07-06	PRIJEM	VKLAD	11922	27683	\N	\N	\N
924831	3152	1995-08-06	PRIJEM	VKLAD	11922	29429	\N	\N	\N
924832	3152	1995-09-06	PRIJEM	VKLAD	11922	31395	\N	\N	\N
924833	3152	1995-10-06	PRIJEM	VKLAD	11922	28472	\N	\N	\N
924834	3152	1995-11-06	PRIJEM	VKLAD	11922	26540	\N	\N	\N
924835	3152	1995-12-06	PRIJEM	VKLAD	17883	35261	\N	\N	\N
924836	3152	1996-01-06	PRIJEM	VKLAD	11922	26537	\N	\N	\N
924837	3152	1996-02-06	PRIJEM	VKLAD	11922	30894	\N	\N	\N
924838	3152	1996-03-06	PRIJEM	VKLAD	11922	29267	\N	\N	\N
924839	3152	1996-04-06	PRIJEM	VKLAD	11922	29438	\N	\N	\N
924840	3152	1996-05-06	PRIJEM	VKLAD	11922	26998	\N	\N	\N
924841	3152	1996-06-06	PRIJEM	VKLAD	17883	33717	\N	\N	\N
924842	3152	1996-07-06	PRIJEM	VKLAD	11922	32179	\N	\N	\N
924843	3152	1996-08-06	PRIJEM	VKLAD	11922	30155	\N	\N	\N
924844	3152	1996-09-06	PRIJEM	VKLAD	11922	23908	\N	\N	\N
924845	3152	1996-10-06	PRIJEM	VKLAD	11922	29539	\N	\N	\N
924846	3152	1996-11-06	PRIJEM	VKLAD	11922	30287	\N	\N	\N
924847	3152	1996-12-06	PRIJEM	VKLAD	17883	38903	\N	\N	\N
924848	3152	1997-01-06	PRIJEM	VKLAD	11922	25283	\N	\N	\N
924849	3152	1997-02-06	PRIJEM	VKLAD	11922	25206	\N	\N	\N
924850	3152	1997-03-06	PRIJEM	VKLAD	11922	26335	\N	\N	\N
924851	3152	1997-04-06	PRIJEM	VKLAD	11922	31976	\N	\N	\N
924852	3152	1997-05-06	PRIJEM	VKLAD	11922	33032	\N	\N	\N
924853	3152	1997-06-06	PRIJEM	VKLAD	17883	44662	\N	\N	\N
924854	3152	1997-07-06	PRIJEM	VKLAD	11922	27851	\N	\N	\N
924855	3152	1997-08-06	PRIJEM	VKLAD	11922	33498	\N	\N	\N
924856	3152	1997-09-06	PRIJEM	VKLAD	11922	39169	\N	\N	\N
924857	3152	1997-10-06	PRIJEM	VKLAD	11922	44863	\N	\N	\N
924858	3152	1997-11-06	PRIJEM	VKLAD	11922	50581	\N	\N	\N
924859	3152	1997-12-06	PRIJEM	VKLAD	17883	33247	\N	\N	\N
924860	3152	1998-01-06	PRIJEM	VKLAD	11922	33403	\N	\N	\N
924861	3152	1998-02-06	PRIJEM	VKLAD	11922	30172	\N	\N	\N
924862	3152	1998-03-06	PRIJEM	VKLAD	11922	35827	\N	\N	\N
924863	3152	1998-04-06	PRIJEM	VKLAD	11922	41507	\N	\N	\N
924864	3152	1998-05-06	PRIJEM	VKLAD	11922	47210	\N	\N	\N
924865	3152	1998-06-06	PRIJEM	VKLAD	17883	58199	\N	\N	\N
924866	3152	1998-07-06	PRIJEM	VKLAD	11922	26522	\N	\N	\N
924867	3152	1998-08-06	PRIJEM	VKLAD	11922	31363	\N	\N	\N
924868	3152	1998-09-06	PRIJEM	VKLAD	11922	37035	\N	\N	\N
924869	3152	1998-10-06	PRIJEM	VKLAD	11922	38619	\N	\N	\N
924870	3152	1998-11-06	PRIJEM	VKLAD	11922	44324	\N	\N	\N
924871	3152	1998-12-06	PRIJEM	VKLAD	17883	51496	\N	\N	\N
924883	3152	1993-12-13	VYDAJ	PREVOD NA UCET	6339	32631	SIPO	KL	22302586
924884	3152	1994-01-13	VYDAJ	PREVOD NA UCET	6339	24541	SIPO	KL	22302586
924885	3152	1994-02-13	VYDAJ	PREVOD NA UCET	6339	25125	SIPO	KL	22302586
924886	3152	1994-03-13	VYDAJ	PREVOD NA UCET	6339	28394	SIPO	KL	22302586
924887	3152	1994-04-13	VYDAJ	PREVOD NA UCET	6339	28071	SIPO	KL	22302586
924888	3152	1994-05-13	VYDAJ	PREVOD NA UCET	6339	24956	SIPO	KL	22302586
924889	3152	1994-06-13	VYDAJ	PREVOD NA UCET	6339	24493	SIPO	KL	22302586
924890	3152	1994-07-13	VYDAJ	PREVOD NA UCET	6339	20345	SIPO	KL	22302586
924891	3152	1994-08-13	VYDAJ	PREVOD NA UCET	6339	22690	SIPO	KL	22302586
924892	3152	1994-09-13	VYDAJ	PREVOD NA UCET	6339	23753	SIPO	KL	22302586
924893	3152	1994-10-13	VYDAJ	PREVOD NA UCET	6339	19314	SIPO	KL	22302586
924894	3152	1994-11-13	VYDAJ	PREVOD NA UCET	6339	19162	SIPO	KL	22302586
924895	3152	1994-12-13	VYDAJ	PREVOD NA UCET	6339	20173	SIPO	KL	22302586
924896	3152	1995-01-13	VYDAJ	PREVOD NA UCET	6339	17326	SIPO	KL	22302586
924897	3152	1995-02-13	VYDAJ	PREVOD NA UCET	6339	17877	SIPO	KL	22302586
924898	3152	1995-03-13	VYDAJ	PREVOD NA UCET	6339	17225	SIPO	KL	22302586
924899	3152	1995-04-13	VYDAJ	PREVOD NA UCET	6339	18870	SIPO	KL	22302586
924900	3152	1995-05-13	VYDAJ	PREVOD NA UCET	6339	11713	SIPO	KL	22302586
924901	3152	1995-06-13	VYDAJ	PREVOD NA UCET	6339	18699	SIPO	KL	22302586
924902	3152	1995-07-13	VYDAJ	PREVOD NA UCET	6339	17344	SIPO	KL	22302586
924903	3152	1995-08-13	VYDAJ	PREVOD NA UCET	6339	23090	SIPO	KL	22302586
924904	3152	1995-09-13	VYDAJ	PREVOD NA UCET	6339	25056	SIPO	KL	22302586
924905	3152	1995-10-13	VYDAJ	PREVOD NA UCET	6339	22133	SIPO	KL	22302586
924906	3152	1995-11-13	VYDAJ	PREVOD NA UCET	6339	20201	SIPO	KL	22302586
924907	3152	1995-12-13	VYDAJ	PREVOD NA UCET	6339	25122	SIPO	KL	22302586
924908	3152	1996-01-13	VYDAJ	PREVOD NA UCET	6339	20198	SIPO	KL	22302586
924909	3152	1996-02-13	VYDAJ	PREVOD NA UCET	6339	24555	SIPO	KL	22302586
924910	3152	1996-03-13	VYDAJ	PREVOD NA UCET	6339	22928	SIPO	KL	22302586
924911	3152	1996-04-13	VYDAJ	PREVOD NA UCET	6339	22399	SIPO	KL	22302586
924912	3152	1996-05-13	VYDAJ	PREVOD NA UCET	6339	20659	SIPO	KL	22302586
924913	3152	1996-06-13	VYDAJ	PREVOD NA UCET	6339	27378	SIPO	KL	22302586
924914	3152	1996-07-13	VYDAJ	PREVOD NA UCET	6339	25840	SIPO	KL	22302586
924915	3152	1996-08-13	VYDAJ	PREVOD NA UCET	6339	23816	SIPO	KL	22302586
924916	3152	1996-09-13	VYDAJ	PREVOD NA UCET	6339	17569	SIPO	KL	22302586
924917	3152	1996-10-13	VYDAJ	PREVOD NA UCET	6339	23200	SIPO	KL	22302586
924918	3152	1996-11-13	VYDAJ	PREVOD NA UCET	6339	23948	SIPO	KL	22302586
924919	3152	1996-12-13	VYDAJ	PREVOD NA UCET	6339	30964	SIPO	KL	22302586
924920	3152	1997-01-13	VYDAJ	PREVOD NA UCET	6339	13244	SIPO	KL	22302586
924921	3152	1997-02-13	VYDAJ	PREVOD NA UCET	6339	18867	SIPO	KL	22302586
924922	3152	1997-03-13	VYDAJ	PREVOD NA UCET	6339	19996	SIPO	KL	22302586
924923	3152	1997-04-13	VYDAJ	PREVOD NA UCET	6339	21037	SIPO	KL	22302586
924924	3152	1997-05-13	VYDAJ	PREVOD NA UCET	6339	26693	SIPO	KL	22302586
924925	3152	1997-06-13	VYDAJ	PREVOD NA UCET	6339	38323	SIPO	KL	22302586
924926	3152	1997-07-13	VYDAJ	PREVOD NA UCET	6339	21512	SIPO	KL	22302586
924927	3152	1997-08-13	VYDAJ	PREVOD NA UCET	6339	27159	SIPO	KL	22302586
924928	3152	1997-09-13	VYDAJ	PREVOD NA UCET	6339	32830	SIPO	KL	22302586
924929	3152	1997-10-13	VYDAJ	PREVOD NA UCET	6339	38524	SIPO	KL	22302586
924930	3152	1997-11-13	VYDAJ	PREVOD NA UCET	6339	44242	SIPO	KL	22302586
924931	3152	1997-12-13	VYDAJ	PREVOD NA UCET	6339	26908	SIPO	KL	22302586
924932	3152	1998-01-13	VYDAJ	PREVOD NA UCET	6339	27064	SIPO	KL	22302586
924933	3152	1998-02-13	VYDAJ	PREVOD NA UCET	6339	23833	SIPO	KL	22302586
924934	3152	1998-03-13	VYDAJ	PREVOD NA UCET	6339	29488	SIPO	KL	22302586
924935	3152	1998-04-13	VYDAJ	PREVOD NA UCET	6339	35168	SIPO	KL	22302586
924936	3152	1998-05-13	VYDAJ	PREVOD NA UCET	6339	40871	SIPO	KL	22302586
924937	3152	1998-06-13	VYDAJ	PREVOD NA UCET	6339	51860	SIPO	KL	22302586
924938	3152	1998-07-13	VYDAJ	PREVOD NA UCET	6339	20183	SIPO	KL	22302586
924939	3152	1998-08-13	VYDAJ	PREVOD NA UCET	6339	25024	SIPO	KL	22302586
924940	3152	1998-09-13	VYDAJ	PREVOD NA UCET	6339	30696	SIPO	KL	22302586
924941	3152	1998-10-13	VYDAJ	PREVOD NA UCET	6339	32280	SIPO	KL	22302586
924942	3152	1998-11-13	VYDAJ	PREVOD NA UCET	6339	37985	SIPO	KL	22302586
924943	3152	1998-12-13	VYDAJ	PREVOD NA UCET	6339	44357	SIPO	KL	22302586
924945	3152	1994-06-19	VYDAJ	VYBER	11600	12893	\N	\N	\N
924951	3152	1994-01-07	VYDAJ	VYBER	4600	36580	\N	\N	\N
924952	3152	1995-01-07	VYDAJ	VYBER	1800	28965	\N	\N	\N
924954	3152	1997-01-12	VYDAJ	VYBER	5700	19583	\N	\N	\N
924955	3152	1998-01-13	VYDAJ	VYBER	8900	18164	\N	\N	\N
924956	3152	1993-12-11	VYDAJ	VYBER	2400	47470	\N	\N	\N
924957	3152	1994-12-16	VYDAJ	VYBER	1400	18773	\N	\N	\N
924958	3152	1995-12-07	VYDAJ	VYBER	700	34561	\N	\N	\N
924959	3152	1996-12-07	VYDAJ	VYBER	1600	37303	\N	\N	\N
924960	3152	1997-12-27	VYDAJ	VYBER	1200	21408	\N	\N	\N
924961	3152	1998-12-28	VYDAJ	VYBER	2300	42057	\N	\N	\N
924962	3152	1993-12-22	VYDAJ	VYBER	3500	29131	\N	\N	\N
924969	3152	1994-05-20	VYDAJ	VYBER	1100	23856	\N	\N	\N
924970	3152	1994-09-20	VYDAJ	VYBER	2400	21353	\N	\N	\N
924971	3152	1994-02-15	VYDAJ	VYBER	2400	22725	\N	\N	\N
924972	3152	1994-09-23	VYDAJ	VYBER	4100	17253	\N	\N	\N
924973	3152	1994-10-26	VYDAJ	VYBER	2600	16714	\N	\N	\N
924974	3152	1995-04-18	VYDAJ	VYBER	4200	14670	\N	\N	\N
924975	3152	1995-05-08	VYDAJ	VYBER	4800	18052	\N	\N	\N
924976	3152	1995-06-26	VYDAJ	VYBER	3000	15699	\N	\N	\N
924977	3152	1995-12-09	VYDAJ	VYBER	3100	31461	\N	\N	\N
924978	3152	1996-04-10	VYDAJ	VYBER	700	28738	\N	\N	\N
924979	3152	1996-04-15	VYDAJ	VYBER	3400	18999	\N	\N	\N
924980	3152	1996-01-03	VYDAJ	VYBER	2800	14615	\N	\N	\N
924981	3152	1996-11-25	VYDAJ	VYBER	3000	20948	\N	\N	\N
924982	3152	1996-10-22	VYDAJ	VYBER	4900	18300	\N	\N	\N
924983	3152	1996-12-19	VYDAJ	VYBER	1300	29664	\N	\N	\N
924984	3152	1997-02-23	VYDAJ	VYBER	800	14367	\N	\N	\N
924985	3152	1997-12-27	VYDAJ	VYBER	4300	22608	\N	\N	\N
924986	3152	1997-02-18	VYDAJ	VYBER	3700	15167	\N	\N	\N
924988	3152	1997-04-10	VYDAJ	VYBER	4600	27376	\N	\N	\N
924990	3152	1998-11-26	VYDAJ	VYBER	4500	33485	\N	\N	\N
924991	3152	1998-08-05	VYDAJ	VYBER	800	19441	\N	\N	\N
924992	3152	1998-12-07	VYDAJ	VYBER	800	50696	\N	\N	\N
924993	3152	1998-10-01	VYDAJ	VYBER	4100	26697	\N	\N	\N
924994	3152	1998-06-05	VYDAJ	VYBER	700	40316	\N	\N	\N
925007	3152	1993-12-31	VYDAJ	VYBER	15	29258	SLUZBY	\N	\N
925008	3152	1994-01-31	VYDAJ	VYBER	15	24642	SLUZBY	\N	\N
925009	3152	1994-02-28	VYDAJ	VYBER	15	22811	SLUZBY	\N	\N
925010	3152	1994-03-31	VYDAJ	VYBER	15	27188	SLUZBY	\N	\N
925011	3152	1994-04-30	VYDAJ	VYBER	15	28173	SLUZBY	\N	\N
925012	3152	1994-05-31	VYDAJ	VYBER	15	23949	SLUZBY	\N	\N
925013	3152	1994-06-30	VYDAJ	VYBER	15	12962	SLUZBY	\N	\N
925014	3152	1994-07-31	VYDAJ	VYBER	15	20407	SLUZBY	\N	\N
925015	3152	1994-08-31	VYDAJ	VYBER	15	22770	SLUZBY	\N	\N
925016	3152	1994-09-30	VYDAJ	VYBER	15	17331	SLUZBY	\N	\N
925017	3152	1994-10-31	VYDAJ	VYBER	15	16779	SLUZBY	\N	\N
925018	3152	1994-11-30	VYDAJ	VYBER	15	19229	SLUZBY	\N	\N
925019	3152	1994-12-31	VYDAJ	VYBER	15	18843	SLUZBY	\N	\N
925020	3152	1995-01-31	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
925021	3152	1995-02-28	VYDAJ	VYBER	15	17942	SLUZBY	\N	\N
925022	3152	1995-03-31	VYDAJ	VYBER	15	17287	SLUZBY	\N	\N
925023	3152	1995-04-30	VYDAJ	VYBER	15	14730	SLUZBY	\N	\N
925024	3152	1995-05-31	VYDAJ	VYBER	15	11755	SLUZBY	\N	\N
925025	3152	1995-06-30	VYDAJ	VYBER	15	15761	SLUZBY	\N	\N
925026	3152	1995-07-31	VYDAJ	VYBER	15	17407	SLUZBY	\N	\N
925027	3152	1995-08-31	VYDAJ	VYBER	15	23173	SLUZBY	\N	\N
925028	3152	1995-09-30	VYDAJ	VYBER	15	25150	SLUZBY	\N	\N
925029	3152	1995-10-31	VYDAJ	VYBER	15	22218	SLUZBY	\N	\N
925030	3152	1995-11-30	VYDAJ	VYBER	15	20278	SLUZBY	\N	\N
925031	3152	1995-12-31	VYDAJ	VYBER	15	25215	SLUZBY	\N	\N
925032	3152	1996-01-31	VYDAJ	VYBER	15	20272	SLUZBY	\N	\N
925033	3152	1996-02-29	VYDAJ	VYBER	15	24645	SLUZBY	\N	\N
925034	3152	1996-03-31	VYDAJ	VYBER	15	23016	SLUZBY	\N	\N
925035	3152	1996-04-30	VYDAJ	VYBER	15	19076	SLUZBY	\N	\N
925036	3152	1996-05-31	VYDAJ	VYBER	15	20734	SLUZBY	\N	\N
925037	3152	1996-06-30	VYDAJ	VYBER	15	27457	SLUZBY	\N	\N
925038	3152	1996-07-31	VYDAJ	VYBER	15	18233	SLUZBY	\N	\N
925039	3152	1996-08-31	VYDAJ	VYBER	15	11986	SLUZBY	\N	\N
925040	3152	1996-09-30	VYDAJ	VYBER	15	17617	SLUZBY	\N	\N
925041	3152	1996-10-31	VYDAJ	VYBER	15	18365	SLUZBY	\N	\N
925042	3152	1996-11-30	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
925043	3152	1996-12-31	VYDAJ	VYBER	15	13361	SLUZBY	\N	\N
925044	3152	1997-01-31	VYDAJ	VYBER	15	13284	SLUZBY	\N	\N
925045	3152	1997-02-28	VYDAJ	VYBER	15	14413	SLUZBY	\N	\N
925046	3152	1997-03-31	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
925047	3152	1997-04-30	VYDAJ	VYBER	15	21110	SLUZBY	\N	\N
925048	3152	1997-05-31	VYDAJ	VYBER	15	26779	SLUZBY	\N	\N
925049	3152	1997-06-30	VYDAJ	VYBER	15	15929	SLUZBY	\N	\N
925050	3152	1997-07-31	VYDAJ	VYBER	15	21576	SLUZBY	\N	\N
925051	3152	1997-08-31	VYDAJ	VYBER	15	27247	SLUZBY	\N	\N
925052	3152	1997-09-30	VYDAJ	VYBER	15	32941	SLUZBY	\N	\N
925053	3152	1997-10-31	VYDAJ	VYBER	15	38659	SLUZBY	\N	\N
925054	3152	1997-11-30	VYDAJ	VYBER	15	15364	SLUZBY	\N	\N
925055	3152	1997-12-31	VYDAJ	VYBER	15	21481	SLUZBY	\N	\N
925056	3152	1998-01-31	VYDAJ	VYBER	15	18250	SLUZBY	\N	\N
925057	3152	1998-02-28	VYDAJ	VYBER	15	23905	SLUZBY	\N	\N
925058	3152	1998-03-31	VYDAJ	VYBER	15	29585	SLUZBY	\N	\N
925059	3152	1998-04-30	VYDAJ	VYBER	15	35288	SLUZBY	\N	\N
925060	3152	1998-05-31	VYDAJ	VYBER	15	41016	SLUZBY	\N	\N
925061	3152	1998-06-30	VYDAJ	VYBER	15	14600	SLUZBY	\N	\N
925062	3152	1998-07-31	VYDAJ	VYBER	15	20241	SLUZBY	\N	\N
925063	3152	1998-08-31	VYDAJ	VYBER	15	25113	SLUZBY	\N	\N
925064	3152	1998-09-30	VYDAJ	VYBER	15	30797	SLUZBY	\N	\N
925065	3152	1998-10-31	VYDAJ	VYBER	15	32402	SLUZBY	\N	\N
925066	3152	1998-11-30	VYDAJ	VYBER	15	33613	SLUZBY	\N	\N
925067	3152	1993-08-15	PRIJEM	VKLAD	6500	18922	\N	\N	\N
925068	3152	1993-09-14	VYDAJ	VYBER	3500	27387	\N	\N	\N
925069	3152	1993-10-14	VYDAJ	VYBER	7700	31708	\N	\N	\N
925070	3152	1993-11-13	VYDAJ	VYBER	11900	31855	\N	\N	\N
925071	3152	1993-12-13	VYDAJ	VYBER	8500	38970	\N	\N	\N
925072	3152	1994-01-12	VYDAJ	VYBER	5700	30880	\N	\N	\N
925073	3152	1994-02-11	VYDAJ	VYBER	5100	31464	\N	\N	\N
925074	3152	1994-03-13	VYDAJ	VYBER	1300	27094	\N	\N	\N
925075	3152	1994-04-12	VYDAJ	VYBER	4700	34410	\N	\N	\N
925076	3152	1994-05-12	VYDAJ	VYBER	8800	31295	\N	\N	\N
925077	3152	1994-06-11	VYDAJ	VYBER	11000	30832	\N	\N	\N
925078	3152	1994-07-11	PRIJEM	VKLAD	1800	26684	\N	\N	\N
925079	3152	1994-08-10	VYDAJ	VYBER	3300	29029	\N	\N	\N
925080	3152	1994-09-09	VYDAJ	VYBER	4600	30092	\N	\N	\N
925081	3152	1994-10-09	VYDAJ	VYBER	3600	25653	\N	\N	\N
925082	3152	1994-11-08	VYDAJ	VYBER	3200	25501	\N	\N	\N
925083	3152	1994-12-08	VYDAJ	VYBER	10600	26512	\N	\N	\N
925084	3152	1995-01-07	VYDAJ	VYBER	5300	23665	\N	\N	\N
925085	3152	1995-02-06	VYDAJ	VYBER	5100	24216	\N	\N	\N
925086	3152	1995-03-08	VYDAJ	VYBER	6300	23564	\N	\N	\N
925087	3152	1995-04-07	VYDAJ	VYBER	4000	25209	\N	\N	\N
925088	3152	1995-05-07	VYDAJ	VYBER	3800	22852	\N	\N	\N
925089	3152	1995-06-06	VYDAJ	VYBER	4600	25038	\N	\N	\N
925090	3152	1995-07-06	VYDAJ	VYBER	4000	23683	\N	\N	\N
925091	3152	1995-08-05	PRIJEM	VKLAD	100	17507	\N	\N	\N
925092	3152	1995-09-04	VYDAJ	VYBER	3700	19473	\N	\N	\N
925093	3152	1995-10-04	VYDAJ	VYBER	8600	16550	\N	\N	\N
925094	3152	1995-11-03	VYDAJ	VYBER	7600	14618	\N	\N	\N
925095	3152	1995-12-03	VYDAJ	VYBER	2900	17378	\N	\N	\N
925096	3152	1996-01-02	VYDAJ	VYBER	7800	17415	\N	\N	\N
925097	3152	1996-02-01	VYDAJ	VYBER	1300	18972	\N	\N	\N
925098	3152	1996-03-02	VYDAJ	VYBER	7300	17345	\N	\N	\N
925099	3152	1996-04-01	VYDAJ	VYBER	5500	17516	\N	\N	\N
925100	3152	1996-05-01	VYDAJ	VYBER	4000	15076	\N	\N	\N
925101	3152	1996-05-31	VYDAJ	VYBER	4900	15834	\N	\N	\N
925102	3152	1996-06-30	VYDAJ	VYBER	7200	20257	\N	\N	\N
925103	3152	1996-07-30	VYDAJ	VYBER	7700	18140	\N	\N	\N
925104	3152	1996-08-29	VYDAJ	VYBER	11900	11916	\N	\N	\N
925105	3152	1996-12-27	VYDAJ	VYBER	16400	13264	\N	\N	\N
925106	3152	1997-06-25	VYDAJ	VYBER	22500	15823	\N	\N	\N
925107	3152	1997-11-22	VYDAJ	VYBER	29000	15242	\N	\N	\N
925108	3152	1998-06-20	VYDAJ	VYBER	37400	14460	\N	\N	\N
925174	3153	1996-07-05	PRIJEM	VKLAD	800	800	\N	\N	\N
925176	3153	1996-09-20	PRIJEM	VKLAD	20021	94145	\N	\N	\N
925177	3153	1996-12-16	PRIJEM	VKLAD	32623	78290	\N	\N	\N
925178	3153	1996-12-04	PRIJEM	VKLAD	17643	50843	\N	\N	\N
925181	3153	1996-08-23	PRIJEM	VKLAD	33946	114575	\N	\N	\N
925182	3153	1996-07-11	PRIJEM	VKLAD	23092	23892	\N	\N	\N
925183	3153	1996-09-13	PRIJEM	VKLAD	45654	74124	\N	\N	\N
925184	3153	1996-11-18	PRIJEM	VKLAD	48414	90340	\N	\N	\N
925187	3153	1996-07-21	PRIJEM	VKLAD	46262	70154	\N	\N	\N
925191	3153	1996-08-22	PRIJEM	VKLAD	38849	124129	\N	\N	\N
925193	3153	1996-09-26	PRIJEM	VKLAD	18150	105995	\N	\N	\N
925194	3153	1996-08-07	PRIJEM	VKLAD	27484	85280	\N	\N	\N
925196	3153	1996-11-21	PRIJEM	VKLAD	26474	107601	\N	\N	\N
925197	3153	1996-10-15	PRIJEM	VKLAD	41174	84085	\N	\N	\N
925199	3153	1996-08-03	PRIJEM	VKLAD	14106	84396	\N	\N	\N
925200	3153	1997-08-02	PRIJEM	VKLAD	48123	106441	\N	\N	\N
925201	3153	1997-05-27	PRIJEM	VKLAD	49065	72795	\N	\N	\N
925202	3153	1997-06-02	PRIJEM	VKLAD	6098	53520	\N	\N	\N
925203	3153	1997-03-11	PRIJEM	VKLAD	33857	56046	\N	\N	\N
925204	3153	1997-03-18	PRIJEM	VKLAD	31316	127786	\N	\N	\N
925205	3153	1997-07-21	PRIJEM	VKLAD	9647	84665	\N	\N	\N
925206	3153	1997-08-30	PRIJEM	VKLAD	27901	77924	\N	\N	\N
925207	3153	1997-06-13	PRIJEM	VKLAD	19186	67530	\N	\N	\N
925208	3153	1997-01-25	PRIJEM	VKLAD	26233	46961	\N	\N	\N
925209	3153	1997-02-02	PRIJEM	VKLAD	26518	99283	\N	\N	\N
925210	3153	1997-12-06	PRIJEM	VKLAD	23337	115358	\N	\N	\N
925211	3153	1997-09-12	PRIJEM	VKLAD	10497	75542	\N	\N	\N
925212	3153	1997-11-17	PRIJEM	VKLAD	14525	60606	\N	\N	\N
925213	3153	1997-07-11	PRIJEM	VKLAD	24553	75018	\N	\N	\N
925214	3153	1997-10-18	PRIJEM	VKLAD	36286	88883	\N	\N	\N
925215	3153	1997-02-11	PRIJEM	VKLAD	42706	116350	\N	\N	\N
925216	3153	1997-03-16	PRIJEM	VKLAD	40424	96470	\N	\N	\N
925217	3153	1997-10-25	PRIJEM	VKLAD	41832	118115	\N	\N	\N
925218	3153	1997-11-29	PRIJEM	VKLAD	49455	119422	\N	\N	\N
925219	3153	1997-07-26	PRIJEM	VKLAD	5180	89845	\N	\N	\N
925220	3153	1997-11-30	PRIJEM	VKLAD	8240	97211	\N	\N	\N
925221	3153	1997-11-17	PRIJEM	VKLAD	27135	87741	\N	\N	\N
925222	3153	1997-07-06	PRIJEM	VKLAD	6880	50465	\N	\N	\N
925223	3153	1997-02-20	PRIJEM	VKLAD	24239	82289	\N	\N	\N
925224	3153	1997-09-20	PRIJEM	VKLAD	19858	91072	\N	\N	\N
925225	3153	1997-02-01	PRIJEM	VKLAD	42449	72765	\N	\N	\N
925226	3153	1997-11-25	PRIJEM	VKLAD	16426	104167	\N	\N	\N
925227	3153	1997-08-10	PRIJEM	VKLAD	35658	118023	\N	\N	\N
925228	3153	1998-03-26	PRIJEM	VKLAD	34612	100118	\N	\N	\N
925229	3153	1998-02-28	PRIJEM	VKLAD	38757	90393	\N	\N	\N
925230	3153	1998-08-08	PRIJEM	VKLAD	48648	112649	\N	\N	\N
925231	3153	1998-10-10	PRIJEM	VKLAD	48466	92286	\N	\N	\N
925232	3153	1998-08-07	PRIJEM	VKLAD	31547	64001	\N	\N	\N
925233	3153	1998-12-10	PRIJEM	VKLAD	34242	99034	\N	\N	\N
925234	3153	1998-10-18	PRIJEM	VKLAD	35652	127938	\N	\N	\N
925235	3153	1998-12-11	PRIJEM	VKLAD	45284	144318	\N	\N	\N
925236	3153	1998-11-11	PRIJEM	VKLAD	36884	94641	\N	\N	\N
925237	3153	1998-12-01	PRIJEM	VKLAD	28005	79701	\N	\N	\N
925238	3153	1998-02-19	PRIJEM	VKLAD	31071	71220	\N	\N	\N
925239	3153	1998-01-19	PRIJEM	VKLAD	17980	68273	\N	\N	\N
925240	3153	1998-06-16	PRIJEM	VKLAD	6525	39220	\N	\N	\N
925241	3153	1998-01-17	PRIJEM	VKLAD	28155	57493	\N	\N	\N
925242	3153	1998-04-02	PRIJEM	VKLAD	17874	84667	\N	\N	\N
925243	3153	1998-10-23	PRIJEM	VKLAD	38295	119533	\N	\N	\N
925244	3153	1998-11-03	PRIJEM	VKLAD	46136	116833	\N	\N	\N
925245	3153	1998-06-04	PRIJEM	VKLAD	40690	88545	\N	\N	\N
925246	3153	1998-01-16	PRIJEM	VKLAD	5048	29338	\N	\N	\N
925247	3153	1998-05-02	PRIJEM	VKLAD	7108	67800	\N	\N	\N
925248	3153	1998-12-25	PRIJEM	VKLAD	28648	89863	\N	\N	\N
925257	3153	1996-09-05	VYDAJ	PREVOD NA UCET	3175	51560	SIPO	WX	47472262
925258	3153	1996-10-05	VYDAJ	PREVOD NA UCET	3175	42911	SIPO	WX	47472262
925259	3153	1996-11-05	VYDAJ	PREVOD NA UCET	3175	43927	SIPO	WX	47472262
925260	3153	1996-12-05	VYDAJ	PREVOD NA UCET	3175	47668	SIPO	WX	47472262
925261	3153	1997-01-05	VYDAJ	PREVOD NA UCET	3175	46760	SIPO	WX	47472262
925262	3153	1997-02-05	VYDAJ	PREVOD NA UCET	3175	75645	SIPO	WX	47472262
925263	3153	1997-03-05	VYDAJ	PREVOD NA UCET	3175	42013	SIPO	WX	47472262
925264	3153	1997-04-05	VYDAJ	PREVOD NA UCET	3175	51651	SIPO	WX	47472262
925265	3153	1997-05-05	VYDAJ	PREVOD NA UCET	3175	23730	SIPO	WX	47472262
925266	3153	1997-06-05	VYDAJ	PREVOD NA UCET	3175	50345	SIPO	WX	47472262
925267	3153	1997-07-05	VYDAJ	PREVOD NA UCET	3175	45586	SIPO	WX	47472262
925268	3153	1997-08-05	VYDAJ	PREVOD NA UCET	3175	82365	SIPO	WX	47472262
925269	3153	1997-09-05	VYDAJ	PREVOD NA UCET	3175	67046	SIPO	WX	47472262
925270	3153	1997-10-05	VYDAJ	PREVOD NA UCET	3175	52597	SIPO	WX	47472262
925271	3153	1997-11-05	VYDAJ	PREVOD NA UCET	3175	48082	SIPO	WX	47472262
925272	3153	1997-12-05	VYDAJ	PREVOD NA UCET	3175	92021	SIPO	WX	47472262
925273	3153	1998-01-05	VYDAJ	PREVOD NA UCET	3175	26990	SIPO	WX	47472262
925274	3153	1998-02-05	VYDAJ	PREVOD NA UCET	3175	40149	SIPO	WX	47472262
925275	3153	1998-03-05	VYDAJ	PREVOD NA UCET	3175	65506	SIPO	WX	47472262
925276	3153	1998-04-05	VYDAJ	PREVOD NA UCET	3175	81492	SIPO	WX	47472262
925277	3153	1998-05-05	VYDAJ	PREVOD NA UCET	3175	64625	SIPO	WX	47472262
925410	3153	1997-05-31	VYDAJ	VYBER	15	47422	SLUZBY	\N	\N
925278	3153	1998-06-05	VYDAJ	PREVOD NA UCET	3175	85370	SIPO	WX	47472262
925279	3153	1998-07-05	VYDAJ	PREVOD NA UCET	3175	38232	SIPO	WX	47472262
925280	3153	1998-08-05	VYDAJ	PREVOD NA UCET	3175	34455	SIPO	WX	47472262
925281	3153	1998-09-05	VYDAJ	PREVOD NA UCET	3175	50103	SIPO	WX	47472262
925282	3153	1998-10-05	VYDAJ	PREVOD NA UCET	3175	45821	SIPO	WX	47472262
925283	3153	1998-11-05	VYDAJ	PREVOD NA UCET	3175	57757	SIPO	WX	47472262
925284	3153	1998-12-05	VYDAJ	PREVOD NA UCET	3175	64792	SIPO	WX	47472262
925293	3153	1996-09-05	VYDAJ	PREVOD NA UCET	2001	54735	 	OP	43252468
925294	3153	1996-10-05	VYDAJ	PREVOD NA UCET	2001	46086	 	OP	43252468
925295	3153	1996-11-05	VYDAJ	PREVOD NA UCET	2001	41926	 	OP	43252468
925296	3153	1996-12-05	VYDAJ	PREVOD NA UCET	2001	45667	 	OP	43252468
925297	3153	1997-01-05	VYDAJ	PREVOD NA UCET	2001	49935	 	OP	43252468
925298	3153	1997-02-05	VYDAJ	PREVOD NA UCET	2001	73644	 	OP	43252468
925299	3153	1997-03-05	VYDAJ	PREVOD NA UCET	2001	40012	 	OP	43252468
925300	3153	1997-04-05	VYDAJ	PREVOD NA UCET	2001	54826	 	OP	43252468
925301	3153	1997-05-05	VYDAJ	PREVOD NA UCET	2001	26905	 	OP	43252468
925302	3153	1997-06-05	VYDAJ	PREVOD NA UCET	2001	48344	 	OP	43252468
925303	3153	1997-07-05	VYDAJ	PREVOD NA UCET	2001	43585	 	OP	43252468
925304	3153	1997-08-05	VYDAJ	PREVOD NA UCET	2001	85540	 	OP	43252468
925305	3153	1997-09-05	VYDAJ	PREVOD NA UCET	2001	65045	 	OP	43252468
925306	3153	1997-10-05	VYDAJ	PREVOD NA UCET	2001	55772	 	OP	43252468
925307	3153	1997-11-05	VYDAJ	PREVOD NA UCET	2001	46081	 	OP	43252468
925308	3153	1997-12-05	VYDAJ	PREVOD NA UCET	2001	95196	 	OP	43252468
925309	3153	1998-01-05	VYDAJ	PREVOD NA UCET	2001	30165	 	OP	43252468
925310	3153	1998-02-05	VYDAJ	PREVOD NA UCET	2001	43324	 	OP	43252468
925311	3153	1998-03-05	VYDAJ	PREVOD NA UCET	2001	68681	 	OP	43252468
925312	3153	1998-04-05	VYDAJ	PREVOD NA UCET	2001	79491	 	OP	43252468
925313	3153	1998-05-05	VYDAJ	PREVOD NA UCET	2001	62624	 	OP	43252468
925314	3153	1998-06-05	VYDAJ	PREVOD NA UCET	2001	83369	 	OP	43252468
925315	3153	1998-07-05	VYDAJ	PREVOD NA UCET	2001	36231	 	OP	43252468
925316	3153	1998-08-05	VYDAJ	PREVOD NA UCET	2001	32454	 	OP	43252468
925317	3153	1998-09-05	VYDAJ	PREVOD NA UCET	2001	53278	 	OP	43252468
925318	3153	1998-10-05	VYDAJ	PREVOD NA UCET	2001	43820	 	OP	43252468
925319	3153	1998-11-05	VYDAJ	PREVOD NA UCET	2001	60932	 	OP	43252468
925320	3153	1998-12-05	VYDAJ	PREVOD NA UCET	2001	67967	 	OP	43252468
925325	3153	1996-09-07	VYBER	VYBER	23090	28470	\N	\N	\N
925327	3153	1996-11-19	VYBER	VYBER	9213	81127	\N	\N	\N
925328	3153	1996-10-16	VYBER	VYBER	21812	62273	\N	\N	\N
925332	3153	1997-03-07	VYBER	VYBER	17823	22189	\N	\N	\N
925333	3153	1997-04-30	VYBER	VYBER	20462	31421	\N	\N	\N
925334	3153	1997-12-18	VYBER	VYBER	13309	47449	\N	\N	\N
925335	3153	1997-09-16	VYBER	VYBER	4328	71214	\N	\N	\N
925336	3153	1997-02-24	VYBER	VYBER	19548	62741	\N	\N	\N
925337	3153	1997-02-03	VYBER	VYBER	20463	78820	\N	\N	\N
925338	3153	1997-01-16	VYBER	VYBER	11632	33028	\N	\N	\N
925339	3153	1998-12-27	VYBER	VYBER	11125	78738	\N	\N	\N
925340	3153	1998-06-16	VYBER	VYBER	4668	34552	\N	\N	\N
925343	3153	1998-03-04	VYBER	VYBER	19697	70682	\N	\N	\N
925344	3153	1998-12-22	VYBER	VYBER	6003	72015	\N	\N	\N
925345	3153	1998-06-06	VYBER	VYBER	21058	62311	\N	\N	\N
925346	3153	1998-12-02	VYBER	VYBER	9733	69968	\N	\N	\N
925347	3153	1998-06-08	VYBER	VYBER	23916	38395	\N	\N	\N
925348	3153	1998-07-11	VYBER	VYBER	12019	24212	\N	\N	\N
925349	3153	1998-11-24	VYBER	VYBER	17542	51399	\N	\N	\N
925356	3153	1996-12-02	VYDAJ	VYBER	1800	33200	\N	\N	\N
925357	3153	1997-12-30	VYDAJ	VYBER	8700	31849	\N	\N	\N
925358	3153	1998-12-14	VYDAJ	VYBER	4800	120818	\N	\N	\N
925365	3153	1997-01-21	VYDAJ	VYBER	2400	26428	\N	\N	\N
925366	3153	1997-01-25	VYDAJ	VYBER	5100	41861	\N	\N	\N
925368	3153	1997-01-23	VYDAJ	VYBER	5700	20728	\N	\N	\N
925369	3153	1997-01-07	VYDAJ	VYBER	2100	44660	\N	\N	\N
925370	3153	1997-01-16	VYDAJ	VYBER	4200	28828	\N	\N	\N
925371	3153	1998-01-18	VYDAJ	VYBER	7200	50293	\N	\N	\N
925372	3153	1998-01-21	VYDAJ	VYBER KARTOU	3900	60173	\N	\N	0
925374	3153	1998-01-20	VYDAJ	VYBER	4200	64073	\N	\N	\N
925375	3153	1998-01-10	VYDAJ	VYBER KARTOU	2700	24290	\N	\N	0
925376	3153	1998-01-22	VYDAJ	VYBER	4800	55373	\N	\N	\N
925381	3153	1996-09-25	VYDAJ	VYBER	6300	87845	\N	\N	\N
925383	3153	1997-10-18	VYDAJ	VYBER	12600	76283	\N	\N	\N
925384	3153	1997-10-04	VYDAJ	VYBER	5100	57773	\N	\N	\N
925385	3153	1997-01-25	VYDAJ	VYBER	10200	31661	\N	\N	\N
925387	3153	1997-08-25	VYDAJ	VYBER	5400	71523	\N	\N	\N
925388	3153	1997-09-01	VYDAJ	VYBER	8100	70221	\N	\N	\N
925389	3153	1998-08-16	VYDAJ	VYBER KARTOU	1500	68649	\N	\N	0
925390	3153	1998-12-20	VYDAJ	VYBER	5100	78018	\N	\N	\N
925392	3153	1998-06-10	VYDAJ	VYBER	5700	32695	\N	\N	\N
925401	3153	1996-08-31	VYDAJ	VYBER	15	90436	SLUZBY	\N	\N
925402	3153	1996-09-30	VYDAJ	VYBER	15	68687	SLUZBY	\N	\N
925403	3153	1996-10-31	VYDAJ	VYBER	15	62502	SLUZBY	\N	\N
925404	3153	1996-11-30	VYDAJ	VYBER	15	46400	SLUZBY	\N	\N
925405	3153	1996-12-31	VYDAJ	VYBER	15	78536	SLUZBY	\N	\N
925406	3153	1997-01-31	VYDAJ	VYBER	15	30316	SLUZBY	\N	\N
925407	3153	1997-02-28	VYDAJ	VYBER	15	63088	SLUZBY	\N	\N
925408	3153	1997-03-31	VYDAJ	VYBER	15	88627	SLUZBY	\N	\N
925409	3153	1997-04-30	VYDAJ	VYBER	15	31406	SLUZBY	\N	\N
925411	3153	1997-06-30	VYDAJ	VYBER	15	67761	SLUZBY	\N	\N
925412	3153	1997-07-31	VYDAJ	VYBER	15	58318	SLUZBY	\N	\N
925413	3153	1997-08-31	VYDAJ	VYBER	15	78321	SLUZBY	\N	\N
925414	3153	1997-09-30	VYDAJ	VYBER	15	62873	SLUZBY	\N	\N
925415	3153	1997-10-31	VYDAJ	VYBER	15	51257	SLUZBY	\N	\N
925416	3153	1997-11-30	VYDAJ	VYBER	15	97197	SLUZBY	\N	\N
925417	3153	1997-12-31	VYDAJ	VYBER	15	32166	SLUZBY	\N	\N
925418	3153	1998-01-31	VYDAJ	VYBER	15	45325	SLUZBY	\N	\N
925419	3153	1998-02-28	VYDAJ	VYBER	15	90379	SLUZBY	\N	\N
925420	3153	1998-03-31	VYDAJ	VYBER	15	66793	SLUZBY	\N	\N
925421	3153	1998-04-30	VYDAJ	VYBER	15	60692	SLUZBY	\N	\N
925422	3153	1998-05-31	VYDAJ	VYBER	15	47855	SLUZBY	\N	\N
925423	3153	1998-06-30	VYDAJ	VYBER	15	41407	SLUZBY	\N	\N
925424	3153	1998-07-31	VYDAJ	VYBER	15	37630	SLUZBY	\N	\N
925425	3153	1998-08-31	VYDAJ	VYBER	15	55279	SLUZBY	\N	\N
925426	3153	1998-09-30	VYDAJ	VYBER	15	48996	SLUZBY	\N	\N
925427	3153	1998-10-31	VYDAJ	VYBER	15	70697	SLUZBY	\N	\N
925428	3153	1998-11-30	VYDAJ	VYBER	15	51696	SLUZBY	\N	\N
925429	3153	1996-08-04	VYDAJ	VYBER	26600	57796	\N	\N	\N
925430	3153	1996-08-22	VYDAJ	VYBER	43500	80629	\N	\N	\N
925431	3153	1996-08-23	VYDAJ	VYBER	24500	90075	\N	\N	\N
925432	3153	1996-09-03	VYDAJ	VYBER	33700	56736	\N	\N	\N
925433	3153	1996-09-26	VYDAJ	VYBER	37600	68395	\N	\N	\N
925434	3153	1996-10-03	VYDAJ	VYBER	20600	48087	\N	\N	\N
925435	3153	1996-11-02	VYDAJ	VYBER	15400	47102	\N	\N	\N
925436	3153	1996-11-21	VYDAJ	VYBER	61400	46201	\N	\N	\N
925437	3153	1996-12-02	VYDAJ	VYBER	11400	35000	\N	\N	\N
925438	3153	1997-01-01	VYDAJ	VYBER	26600	51936	\N	\N	\N
925439	3153	1997-01-31	VYDAJ	VYBER	1500	30331	\N	\N	\N
925440	3153	1997-02-11	VYDAJ	VYBER	58300	58050	\N	\N	\N
925441	3153	1997-03-02	VYDAJ	VYBER	17900	45188	\N	\N	\N
925442	3153	1997-03-18	VYDAJ	VYBER	39500	88286	\N	\N	\N
925443	3153	1997-04-01	VYDAJ	VYBER	31800	56827	\N	\N	\N
925444	3153	1997-05-01	VYDAJ	VYBER	2500	28906	\N	\N	\N
925445	3153	1997-05-31	VYDAJ	VYBER	25500	47437	\N	\N	\N
925446	3153	1997-06-30	VYDAJ	VYBER	19000	48761	\N	\N	\N
925447	3153	1997-07-30	VYDAJ	VYBER	31800	58045	\N	\N	\N
925448	3153	1997-08-02	VYDAJ	VYBER	18900	87541	\N	\N	\N
925449	3153	1997-08-10	VYDAJ	VYBER	41100	76923	\N	\N	\N
925450	3153	1997-08-29	VYDAJ	VYBER	21500	50023	\N	\N	\N
925451	3153	1997-09-28	VYDAJ	VYBER	28500	62572	\N	\N	\N
925452	3153	1997-10-25	VYDAJ	VYBER	52000	66115	\N	\N	\N
925453	3153	1997-10-28	VYDAJ	VYBER	15100	51015	\N	\N	\N
925454	3153	1997-11-27	VYDAJ	VYBER	34200	69967	\N	\N	\N
925455	3153	1997-11-29	VYDAJ	VYBER	30700	88722	\N	\N	\N
925456	3153	1997-12-06	VYDAJ	VYBER	54600	60758	\N	\N	\N
925457	3153	1997-12-27	VYDAJ	VYBER	6900	40549	\N	\N	\N
925458	3153	1998-01-26	VYDAJ	VYBER	10200	45173	\N	\N	\N
925459	3153	1998-02-25	VYDAJ	VYBER	19800	51420	\N	\N	\N
925460	3153	1998-03-27	VYDAJ	VYBER	33600	66518	\N	\N	\N
925461	3153	1998-04-26	VYDAJ	VYBER	19100	60391	\N	\N	\N
925462	3153	1998-05-26	VYDAJ	VYBER	15000	47624	\N	\N	\N
925463	3153	1998-06-25	PRIJEM	VKLAD	6700	41252	\N	\N	\N
925464	3153	1998-07-25	PRIJEM	VKLAD	13300	37512	\N	\N	\N
925465	3153	1998-08-08	VYDAJ	VYBER	42500	70149	\N	\N	\N
925466	3153	1998-08-24	VYDAJ	VYBER	13600	55049	\N	\N	\N
925467	3153	1998-09-23	VYDAJ	VYBER KARTOU	1300	48803	\N	\N	0
925468	3153	1998-10-18	VYDAJ	VYBER	46700	81238	\N	\N	\N
925469	3153	1998-10-23	VYDAJ	VYBER	22400	97133	\N	\N	\N
925470	3153	1998-10-23	VYDAJ	VYBER	26800	70333	\N	\N	\N
925471	3153	1998-11-03	VYDAJ	VYBER	53900	62933	\N	\N	\N
925472	3153	1998-11-22	VYDAJ	VYBER	25700	68941	\N	\N	\N
925473	3153	1998-12-11	VYDAJ	VYBER	18700	125618	\N	\N	\N
925474	3153	1998-12-14	VYDAJ	VYBER	37700	83118	\N	\N	\N
925475	3153	1998-12-22	VYDAJ	VYBER	10800	61215	\N	\N	\N
925506	3154	1997-07-02	PRIJEM	VKLAD	400	400	\N	\N	\N
925513	3154	1997-07-14	PRIJEM	VKLAD	22426	22826	\N	\N	\N
925514	3154	1997-08-14	PRIJEM	VKLAD	22426	47407	\N	\N	\N
925515	3154	1997-09-14	PRIJEM	VKLAD	22426	58186	\N	\N	\N
925516	3154	1997-10-14	PRIJEM	VKLAD	22426	62662	\N	\N	\N
925517	3154	1997-11-14	PRIJEM	VKLAD	22426	65356	\N	\N	\N
925518	3154	1997-12-14	PRIJEM	VKLAD	33639	74089	\N	\N	\N
925519	3154	1998-01-14	PRIJEM	VKLAD	22426	69401	\N	\N	\N
925520	3154	1998-02-14	PRIJEM	VKLAD	22426	68714	\N	\N	\N
925521	3154	1998-03-14	PRIJEM	VKLAD	22426	66743	\N	\N	\N
925522	3154	1998-04-14	PRIJEM	VKLAD	22426	68467	\N	\N	\N
925523	3154	1998-05-14	PRIJEM	VKLAD	22426	73798	\N	\N	\N
925524	3154	1998-06-14	PRIJEM	VKLAD	33639	69522	\N	\N	\N
925525	3154	1998-07-14	PRIJEM	VKLAD	22426	70220	\N	\N	\N
925526	3154	1998-08-14	PRIJEM	VKLAD	22426	70714	\N	\N	\N
925527	3154	1998-09-14	PRIJEM	VKLAD	22426	70448	\N	\N	\N
925528	3154	1998-10-14	PRIJEM	VKLAD	22426	70778	\N	\N	\N
925529	3154	1998-11-14	PRIJEM	VKLAD	22426	76713	\N	\N	\N
925530	3154	1998-12-14	PRIJEM	VKLAD	33639	89082	\N	\N	\N
925542	3154	1997-12-09	VYDAJ	PREVOD NA UCET	3609	40450	SIPO	WX	76435845
925543	3154	1998-01-09	VYDAJ	PREVOD NA UCET	3609	46975	SIPO	WX	76435845
925544	3154	1998-02-09	VYDAJ	PREVOD NA UCET	3609	46288	SIPO	WX	76435845
925545	3154	1998-03-09	VYDAJ	PREVOD NA UCET	3609	44317	SIPO	WX	76435845
925546	3154	1998-04-09	VYDAJ	PREVOD NA UCET	3609	46041	SIPO	WX	76435845
925547	3154	1998-05-09	VYDAJ	PREVOD NA UCET	3609	51372	SIPO	WX	76435845
925548	3154	1998-06-09	VYDAJ	PREVOD NA UCET	3609	35883	SIPO	WX	76435845
925549	3154	1998-07-09	VYDAJ	PREVOD NA UCET	3609	47794	SIPO	WX	76435845
925550	3154	1998-08-09	VYDAJ	PREVOD NA UCET	3609	49728	SIPO	WX	76435845
925551	3154	1998-09-09	VYDAJ	PREVOD NA UCET	3609	48022	SIPO	WX	76435845
925552	3154	1998-10-09	VYDAJ	PREVOD NA UCET	3609	48352	SIPO	WX	76435845
925553	3154	1998-11-09	VYDAJ	PREVOD NA UCET	3609	54287	SIPO	WX	76435845
925554	3154	1998-12-09	VYDAJ	PREVOD NA UCET	3609	57043	SIPO	WX	76435845
925566	3154	1997-12-06	VYDAJ	PREVOD NA UCET	515	44059	 	KL	5445003
925567	3154	1998-01-06	VYDAJ	PREVOD NA UCET	515	50584	 	KL	5445003
925568	3154	1998-02-06	VYDAJ	PREVOD NA UCET	515	49897	 	KL	5445003
925569	3154	1998-03-06	VYDAJ	PREVOD NA UCET	515	47926	 	KL	5445003
925570	3154	1998-04-06	VYDAJ	PREVOD NA UCET	515	49650	 	KL	5445003
925571	3154	1998-05-06	VYDAJ	PREVOD NA UCET	515	54981	 	KL	5445003
925572	3154	1998-06-06	VYDAJ	PREVOD NA UCET	515	39492	 	KL	5445003
925573	3154	1998-07-06	VYDAJ	PREVOD NA UCET	515	51403	 	KL	5445003
925574	3154	1998-08-06	VYDAJ	PREVOD NA UCET	515	53337	 	KL	5445003
925575	3154	1998-09-06	VYDAJ	PREVOD NA UCET	515	51631	 	KL	5445003
925576	3154	1998-10-06	VYDAJ	PREVOD NA UCET	515	51961	 	KL	5445003
925577	3154	1998-11-06	VYDAJ	PREVOD NA UCET	515	57896	 	KL	5445003
925578	3154	1998-12-06	VYDAJ	PREVOD NA UCET	515	60652	 	KL	5445003
925580	3154	1998-06-04	VYDAJ	VYBER	14880	40007	\N	\N	\N
925582	3154	1998-01-28	VYDAJ	VYBER	3520	50181	\N	\N	\N
925583	3154	1997-12-22	VYDAJ	VYBER	1120	72969	\N	\N	\N
925584	3154	1998-12-12	VYDAJ	VYBER	1600	55443	\N	\N	\N
925586	3154	1997-11-23	VYDAJ	VYBER	5760	59596	\N	\N	\N
925589	3154	1998-08-12	VYDAJ	VYBER	1440	48288	\N	\N	\N
925590	3154	1998-07-05	VYDAJ	VYBER	1440	51918	\N	\N	\N
925591	3154	1998-06-01	VYDAJ	VYBER	3360	54887	\N	\N	\N
925592	3154	1998-06-19	VYDAJ	VYBER	1680	67842	\N	\N	\N
925604	3154	1997-11-30	VYDAJ	VYBER	15	44574	SLUZBY	\N	\N
925605	3154	1997-12-31	VYDAJ	VYBER	15	51099	SLUZBY	\N	\N
925606	3154	1998-01-31	VYDAJ	VYBER	15	50412	SLUZBY	\N	\N
925607	3154	1998-02-28	VYDAJ	VYBER	15	48441	SLUZBY	\N	\N
925608	3154	1998-03-31	VYDAJ	VYBER	15	50165	SLUZBY	\N	\N
925609	3154	1998-04-30	VYDAJ	VYBER	15	55496	SLUZBY	\N	\N
925610	3154	1998-05-31	VYDAJ	VYBER	15	58247	SLUZBY	\N	\N
925611	3154	1998-06-30	VYDAJ	VYBER	15	53358	SLUZBY	\N	\N
925612	3154	1998-07-31	VYDAJ	VYBER	15	53852	SLUZBY	\N	\N
925613	3154	1998-08-31	VYDAJ	VYBER	15	52146	SLUZBY	\N	\N
925614	3154	1998-09-30	VYDAJ	VYBER	15	52476	SLUZBY	\N	\N
925615	3154	1998-10-31	VYDAJ	VYBER	15	58411	SLUZBY	\N	\N
925616	3154	1998-11-30	VYDAJ	VYBER	15	61167	SLUZBY	\N	\N
925617	3154	1997-08-01	PRIJEM	VKLAD	2100	24981	\N	\N	\N
925618	3154	1997-08-31	VYDAJ	VYBER	11800	35760	\N	\N	\N
925619	3154	1997-09-30	VYDAJ	VYBER	18100	40236	\N	\N	\N
925620	3154	1997-10-30	VYDAJ	VYBER	19900	42762	\N	\N	\N
925621	3154	1997-11-29	VYDAJ	VYBER	15200	44396	\N	\N	\N
925622	3154	1997-12-29	VYDAJ	VYBER	22100	50869	\N	\N	\N
925623	3154	1998-01-28	VYDAJ	VYBER	15700	53701	\N	\N	\N
925624	3154	1998-02-27	VYDAJ	VYBER	20500	48214	\N	\N	\N
925625	3154	1998-03-29	VYDAJ	VYBER	16800	49943	\N	\N	\N
925626	3154	1998-04-28	VYDAJ	VYBER	13200	55267	\N	\N	\N
925627	3154	1998-05-28	VYDAJ	VYBER	15800	57998	\N	\N	\N
925628	3154	1998-06-27	VYDAJ	VYBER	14700	53142	\N	\N	\N
925629	3154	1998-07-27	VYDAJ	VYBER	16600	53620	\N	\N	\N
925630	3154	1998-08-26	VYDAJ	VYBER	18800	51914	\N	\N	\N
925631	3154	1998-09-25	VYDAJ	VYBER	18200	52248	\N	\N	\N
925632	3154	1998-10-25	VYDAJ	VYBER	12600	58178	\N	\N	\N
925633	3154	1998-11-24	VYDAJ	VYBER	15800	60913	\N	\N	\N
925652	3155	1996-08-29	PRIJEM	VKLAD	700	700	\N	\N	\N
925661	3155	1996-09-09	PRIJEM	VKLAD	19375	20075	\N	\N	\N
925662	3155	1996-10-09	PRIJEM	VKLAD	19375	41059	\N	\N	\N
925663	3155	1996-11-09	PRIJEM	VKLAD	19375	54031	\N	\N	\N
925664	3155	1996-12-09	PRIJEM	VKLAD	29062	67639	\N	\N	\N
925665	3155	1997-01-09	PRIJEM	VKLAD	19375	63278	\N	\N	\N
925666	3155	1997-02-09	PRIJEM	VKLAD	19375	37555	\N	\N	\N
925667	3155	1997-03-09	PRIJEM	VKLAD	19375	35047	\N	\N	\N
925668	3155	1997-04-09	PRIJEM	VKLAD	19375	34930	\N	\N	\N
925669	3155	1997-05-09	PRIJEM	VKLAD	19375	33247	\N	\N	\N
925670	3155	1997-06-09	PRIJEM	VKLAD	29062	43281	\N	\N	\N
925671	3155	1997-07-09	PRIJEM	VKLAD	19375	32427	\N	\N	\N
925672	3155	1997-08-09	PRIJEM	VKLAD	19375	30076	\N	\N	\N
925673	3155	1997-09-09	PRIJEM	VKLAD	19375	33138	\N	\N	\N
925674	3155	1997-10-09	PRIJEM	VKLAD	19375	30105	\N	\N	\N
925675	3155	1997-11-09	PRIJEM	VKLAD	19375	30025	\N	\N	\N
925676	3155	1997-12-09	PRIJEM	VKLAD	29062	37700	\N	\N	\N
925677	3155	1998-01-09	PRIJEM	VKLAD	19375	25668	\N	\N	\N
925678	3155	1998-02-09	PRIJEM	VKLAD	19375	24358	\N	\N	\N
925679	3155	1998-03-09	PRIJEM	VKLAD	19375	27092	\N	\N	\N
925680	3155	1998-04-09	PRIJEM	VKLAD	19375	26534	\N	\N	\N
925681	3155	1998-05-09	PRIJEM	VKLAD	19375	30179	\N	\N	\N
925682	3155	1998-06-09	PRIJEM	VKLAD	29062	35457	\N	\N	\N
925683	3155	1998-07-09	PRIJEM	VKLAD	19375	32718	\N	\N	\N
925684	3155	1998-08-09	PRIJEM	VKLAD	19375	28074	\N	\N	\N
925685	3155	1998-09-09	PRIJEM	VKLAD	19375	25913	\N	\N	\N
925686	3155	1998-10-09	PRIJEM	VKLAD	19375	28450	\N	\N	\N
925687	3155	1998-11-09	PRIJEM	VKLAD	19375	24856	\N	\N	\N
925688	3155	1998-12-09	PRIJEM	VKLAD	29062	43172	\N	\N	\N
925702	3155	1997-02-08	VYDAJ	PREVOD NA UCET	8704	18180	SIPO	KL	66843986
925703	3155	1997-03-08	VYDAJ	PREVOD NA UCET	8704	15672	SIPO	KL	66843986
925704	3155	1997-04-08	VYDAJ	PREVOD NA UCET	8704	15555	SIPO	KL	66843986
925705	3155	1997-05-08	VYDAJ	PREVOD NA UCET	8704	13872	SIPO	KL	66843986
925706	3155	1997-06-08	VYDAJ	PREVOD NA UCET	8704	14219	SIPO	KL	66843986
925707	3155	1997-07-08	VYDAJ	PREVOD NA UCET	8704	13052	SIPO	KL	66843986
925708	3155	1997-08-08	VYDAJ	PREVOD NA UCET	8704	10701	SIPO	KL	66843986
925709	3155	1997-09-08	VYDAJ	PREVOD NA UCET	8704	13763	SIPO	KL	66843986
925710	3155	1997-10-08	VYDAJ	PREVOD NA UCET	8704	10730	SIPO	KL	66843986
925711	3155	1997-11-08	VYDAJ	PREVOD NA UCET	8704	10650	SIPO	KL	66843986
925712	3155	1997-12-08	VYDAJ	PREVOD NA UCET	8704	8638	SIPO	KL	66843986
925713	3155	1998-01-08	VYDAJ	PREVOD NA UCET	8704	6293	SIPO	KL	66843986
925714	3155	1998-02-08	VYDAJ	PREVOD NA UCET	8704	4983	SIPO	KL	66843986
925715	3155	1998-03-08	VYDAJ	PREVOD NA UCET	8704	7717	SIPO	KL	66843986
925716	3155	1998-04-08	VYDAJ	PREVOD NA UCET	8704	7159	SIPO	KL	66843986
925717	3155	1998-05-08	VYDAJ	PREVOD NA UCET	8704	10804	SIPO	KL	66843986
925718	3155	1998-06-08	VYDAJ	PREVOD NA UCET	8704	6395	SIPO	KL	66843986
925719	3155	1998-07-08	VYDAJ	PREVOD NA UCET	8704	13343	SIPO	KL	66843986
925720	3155	1998-08-08	VYDAJ	PREVOD NA UCET	8704	8699	SIPO	KL	66843986
925721	3155	1998-09-08	VYDAJ	PREVOD NA UCET	8704	6538	SIPO	KL	66843986
925722	3155	1998-10-08	VYDAJ	PREVOD NA UCET	8704	9075	SIPO	KL	66843986
925723	3155	1998-11-08	VYDAJ	PREVOD NA UCET	8704	5481	SIPO	KL	66843986
925724	3155	1998-12-08	VYDAJ	PREVOD NA UCET	8704	14110	SIPO	KL	66843986
925726	3155	1997-06-16	VYDAJ	VYBER	7200	36081	\N	\N	\N
925729	3155	1997-01-18	VYDAJ	VYBER	9920	47238	\N	\N	\N
925730	3155	1998-01-20	VYDAJ	VYBER	5280	17148	\N	\N	\N
925732	3155	1997-12-28	VYDAJ	VYBER	3040	18260	\N	\N	\N
925733	3155	1998-12-14	VYDAJ	VYBER	2400	40772	\N	\N	\N
925740	3155	1997-01-15	VYDAJ	VYBER	840	59078	\N	\N	\N
925741	3155	1997-01-17	VYDAJ	VYBER	1920	57158	\N	\N	\N
925742	3155	1997-01-29	VYDAJ	VYBER	840	26718	\N	\N	\N
925743	3155	1997-01-26	VYDAJ	VYBER	3360	28638	\N	\N	\N
925744	3155	1997-01-29	VYDAJ	VYBER	1080	27558	\N	\N	\N
925745	3155	1997-01-22	VYDAJ	VYBER	2040	45198	\N	\N	\N
925746	3155	1998-01-02	VYDAJ	VYBER	1320	14997	\N	\N	\N
925747	3155	1998-01-18	VYDAJ	VYBER	2280	22428	\N	\N	\N
925748	3155	1998-01-01	VYDAJ	VYBER	2040	16317	\N	\N	\N
925750	3155	1998-01-21	VYDAJ	VYBER	720	13628	\N	\N	\N
925751	3155	1998-01-09	VYDAJ	VYBER	960	24708	\N	\N	\N
925759	3155	1997-05-11	VYDAJ	VYBER	4320	28927	\N	\N	\N
925760	3155	1997-04-20	VYDAJ	VYBER	5640	29290	\N	\N	\N
925761	3155	1997-06-21	VYDAJ	VYBER	1440	34641	\N	\N	\N
925762	3155	1997-01-14	VYDAJ	VYBER	3360	59918	\N	\N	\N
925763	3155	1997-11-15	VYDAJ	VYBER	5160	24865	\N	\N	\N
925764	3155	1997-04-27	VYDAJ	VYBER	1920	22470	\N	\N	\N
925765	3155	1997-08-04	VYDAJ	VYBER	1320	19405	\N	\N	\N
925766	3155	1997-10-28	VYDAJ	VYBER	3840	19265	\N	\N	\N
925768	3155	1998-11-01	VYDAJ	VYBER	5640	14185	\N	\N	\N
925769	3155	1998-05-29	VYDAJ	VYBER	2760	15019	\N	\N	\N
925771	3155	1998-11-27	VYDAJ	VYBER	720	22736	\N	\N	\N
925772	3155	1998-12-14	VYDAJ	VYBER	5400	35372	\N	\N	\N
925786	3155	1997-01-31	VYDAJ	VYBER	15	26884	SLUZBY	\N	\N
925787	3155	1997-02-28	VYDAJ	VYBER	15	24376	SLUZBY	\N	\N
925788	3155	1997-03-31	VYDAJ	VYBER	15	24259	SLUZBY	\N	\N
925789	3155	1997-04-30	VYDAJ	VYBER	15	22576	SLUZBY	\N	\N
925790	3155	1997-05-31	VYDAJ	VYBER	15	22923	SLUZBY	\N	\N
925791	3155	1997-06-30	VYDAJ	VYBER	15	21756	SLUZBY	\N	\N
925792	3155	1997-07-31	VYDAJ	VYBER	15	20725	SLUZBY	\N	\N
925793	3155	1997-08-31	VYDAJ	VYBER	15	22467	SLUZBY	\N	\N
925794	3155	1997-09-30	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
925795	3155	1997-10-31	VYDAJ	VYBER	15	19354	SLUZBY	\N	\N
925796	3155	1997-11-30	VYDAJ	VYBER	15	17342	SLUZBY	\N	\N
925797	3155	1997-12-31	VYDAJ	VYBER	15	18357	SLUZBY	\N	\N
925798	3155	1998-01-31	VYDAJ	VYBER	15	13687	SLUZBY	\N	\N
925799	3155	1998-02-28	VYDAJ	VYBER	15	16421	SLUZBY	\N	\N
925800	3155	1998-03-31	VYDAJ	VYBER	15	15863	SLUZBY	\N	\N
925801	3155	1998-04-30	VYDAJ	VYBER	15	19508	SLUZBY	\N	\N
925802	3155	1998-05-31	VYDAJ	VYBER	15	15099	SLUZBY	\N	\N
925803	3155	1998-06-30	VYDAJ	VYBER	15	22047	SLUZBY	\N	\N
925804	3155	1998-07-31	VYDAJ	VYBER	15	17403	SLUZBY	\N	\N
925805	3155	1998-08-31	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
925806	3155	1998-09-30	VYDAJ	VYBER	15	17779	SLUZBY	\N	\N
925807	3155	1998-10-31	VYDAJ	VYBER	15	19825	SLUZBY	\N	\N
925808	3155	1998-11-30	VYDAJ	VYBER	15	22814	SLUZBY	\N	\N
925809	3155	1996-09-28	PRIJEM	VKLAD	1600	21675	\N	\N	\N
925810	3155	1996-10-28	VYDAJ	VYBER	6500	34559	\N	\N	\N
925811	3155	1996-11-27	VYDAJ	VYBER	15600	38431	\N	\N	\N
925812	3155	1996-12-27	VYDAJ	VYBER	23900	43739	\N	\N	\N
925813	3155	1997-01-26	VYDAJ	VYBER	13200	31998	\N	\N	\N
925814	3155	1997-02-25	VYDAJ	VYBER	13300	24255	\N	\N	\N
925815	3155	1997-03-27	VYDAJ	VYBER	10900	24147	\N	\N	\N
925816	3155	1997-04-26	VYDAJ	VYBER	4900	24390	\N	\N	\N
925817	3155	1997-05-26	VYDAJ	VYBER	6100	22827	\N	\N	\N
925818	3155	1997-06-25	VYDAJ	VYBER	13000	21641	\N	\N	\N
925819	3155	1997-07-25	VYDAJ	VYBER	11800	20627	\N	\N	\N
925820	3155	1997-08-24	VYDAJ	VYBER	7700	22376	\N	\N	\N
925821	3155	1997-09-23	VYDAJ	VYBER	13800	19338	\N	\N	\N
925822	3155	1997-10-23	VYDAJ	VYBER	7000	23105	\N	\N	\N
925823	3155	1997-11-22	VYDAJ	VYBER	7600	17265	\N	\N	\N
925824	3155	1997-12-22	VYDAJ	VYBER	16400	21300	\N	\N	\N
925825	3155	1998-01-21	VYDAJ	VYBER	2800	14348	\N	\N	\N
925826	3155	1998-02-20	VYDAJ	VYBER	8000	16358	\N	\N	\N
925827	3155	1998-03-22	VYDAJ	VYBER	11300	15792	\N	\N	\N
925828	3155	1998-04-21	VYDAJ	VYBER	7100	19434	\N	\N	\N
925829	3155	1998-05-21	VYDAJ	VYBER	12400	17779	\N	\N	\N
925830	3155	1998-06-20	VYDAJ	VYBER	13500	21957	\N	\N	\N
925831	3155	1998-07-20	VYDAJ	VYBER	15400	17318	\N	\N	\N
925832	3155	1998-08-19	VYDAJ	VYBER	12900	15174	\N	\N	\N
925833	3155	1998-09-18	VYDAJ	VYBER	8200	17713	\N	\N	\N
925834	3155	1998-10-18	VYDAJ	VYBER	8700	19750	\N	\N	\N
925835	3155	1998-11-17	VYDAJ	VYBER	1400	23456	\N	\N	\N
925864	3156	1997-11-16	PRIJEM	VKLAD	200	200	\N	\N	\N
925869	3156	1998-09-24	PRIJEM	VKLAD	26371	81475	\N	\N	\N
925870	3156	1998-07-18	PRIJEM	VKLAD	33952	94904	\N	\N	\N
925871	3156	1998-12-05	PRIJEM	VKLAD	44715	105158	\N	\N	\N
925872	3156	1998-08-19	PRIJEM	VKLAD	6855	48207	\N	\N	\N
925873	3156	1998-07-16	PRIJEM	VKLAD	6086	60952	\N	\N	\N
925874	3156	1998-06-18	PRIJEM	VKLAD	21416	48605	\N	\N	\N
925875	3156	1998-03-07	PRIJEM	VKLAD	22109	50682	\N	\N	\N
925876	3156	1998-09-30	PRIJEM	VKLAD	30375	103550	\N	\N	\N
925877	3156	1998-05-25	PRIJEM	VKLAD	10563	33643	\N	\N	\N
925878	3156	1998-07-05	PRIJEM	VKLAD	41886	118543	\N	\N	\N
925879	3156	1998-06-26	PRIJEM	VKLAD	27966	76571	\N	\N	\N
925880	3156	1998-07-09	PRIJEM	VKLAD	7723	88966	\N	\N	\N
925881	3156	1998-07-26	PRIJEM	VKLAD	28397	123301	\N	\N	\N
925882	3156	1998-01-10	PRIJEM	VKLAD	37728	49428	\N	\N	\N
925883	3156	1998-12-04	PRIJEM	VKLAD	38578	60443	\N	\N	\N
925884	3156	1998-09-03	PRIJEM	VKLAD	40522	88904	\N	\N	\N
925885	3156	1998-07-30	PRIJEM	VKLAD	29200	123801	\N	\N	\N
925914	3156	1998-09-30	VYBER	VYBER	15988	87562	\N	\N	\N
925915	3156	1998-09-27	VYBER	VYBER	8548	72927	\N	\N	\N
925916	3156	1998-11-16	VYBER	VYBER	10751	21828	\N	\N	\N
925936	3156	1998-09-11	VYDAJ	VYBER	4800	84104	\N	\N	\N
925937	3156	1998-08-17	VYDAJ	VYBER	9600	41352	\N	\N	\N
925938	3156	1998-10-24	VYDAJ	VYBER	12600	43662	\N	\N	\N
925939	3156	1998-12-06	VYDAJ	VYBER	3600	101558	\N	\N	\N
925960	3156	1998-06-30	VYDAJ	VYBER	100	76657	SLUZBY	\N	\N
925961	3156	1998-07-31	VYDAJ	VYBER	100	83552	SLUZBY	\N	\N
925962	3156	1998-08-31	VYDAJ	VYBER	100	48382	SLUZBY	\N	\N
925963	3156	1998-09-30	VYDAJ	VYBER	100	87462	SLUZBY	\N	\N
925964	3156	1998-10-31	VYDAJ	VYBER	100	43879	SLUZBY	\N	\N
925965	3156	1998-11-30	VYDAJ	VYBER	100	21865	SLUZBY	\N	\N
925966	3156	1997-12-16	PRIJEM	VKLAD	11500	11700	\N	\N	\N
925967	3156	1998-01-15	VYDAJ	VYBER	11500	37928	\N	\N	\N
925968	3156	1998-02-14	VYDAJ	VYBER	9600	28415	\N	\N	\N
925969	3156	1998-03-16	VYDAJ	VYBER	15500	35182	\N	\N	\N
925970	3156	1998-04-15	VYDAJ	VYBER	10000	25334	\N	\N	\N
925971	3156	1998-05-15	VYDAJ	VYBER	2400	23080	\N	\N	\N
925972	3156	1998-06-14	VYDAJ	VYBER	6600	27189	\N	\N	\N
925973	3156	1998-07-05	VYDAJ	VYBER	37300	81243	\N	\N	\N
925974	3156	1998-07-14	VYDAJ	VYBER	34100	54866	\N	\N	\N
925975	3156	1998-07-26	VYDAJ	VYBER	28700	94601	\N	\N	\N
925976	3156	1998-07-30	VYDAJ	VYBER	40500	83301	\N	\N	\N
925977	3156	1998-08-13	VYDAJ	VYBER	32600	50952	\N	\N	\N
925978	3156	1998-09-12	VYDAJ	VYBER	29000	55104	\N	\N	\N
925979	3156	1998-10-12	VYDAJ	VYBER	31200	56262	\N	\N	\N
925980	3156	1998-11-11	VYDAJ	VYBER	11300	32579	\N	\N	\N
925981	3156	1998-12-11	VYDAJ	VYBER	38400	63158	\N	\N	\N
925994	3157	1993-09-10	PRIJEM	VKLAD	400	400	\N	\N	\N
926003	3157	1993-09-11	PRIJEM	PREVOD Z UCTU	6273	6673	DUCHOD	EF	36065280
926004	3157	1993-10-11	PRIJEM	PREVOD Z UCTU	6273	12965	DUCHOD	EF	36065280
926005	3157	1993-11-11	PRIJEM	PREVOD Z UCTU	6273	19265	DUCHOD	EF	36065280
926006	3157	1993-12-11	PRIJEM	PREVOD Z UCTU	6273	25566	DUCHOD	EF	36065280
926007	3157	1994-01-11	PRIJEM	PREVOD Z UCTU	6273	31067	DUCHOD	EF	36065280
926008	3157	1994-02-11	PRIJEM	PREVOD Z UCTU	6273	28789	DUCHOD	EF	36065280
926009	3157	1994-03-11	PRIJEM	PREVOD Z UCTU	6273	32525	DUCHOD	EF	36065280
926010	3157	1994-04-11	PRIJEM	PREVOD Z UCTU	6273	35076	DUCHOD	EF	36065280
926011	3157	1994-05-11	PRIJEM	PREVOD Z UCTU	6273	36340	DUCHOD	EF	36065280
926012	3157	1994-06-11	PRIJEM	PREVOD Z UCTU	6273	35127	DUCHOD	EF	36065280
926013	3157	1994-07-11	PRIJEM	PREVOD Z UCTU	6273	24327	DUCHOD	EF	36065280
926014	3157	1994-08-11	PRIJEM	PREVOD Z UCTU	6273	27845	DUCHOD	EF	36065280
926015	3157	1994-09-11	PRIJEM	PREVOD Z UCTU	6273	29134	DUCHOD	EF	36065280
926016	3157	1994-10-11	PRIJEM	PREVOD Z UCTU	6273	30871	DUCHOD	EF	36065280
926017	3157	1994-11-11	PRIJEM	PREVOD Z UCTU	6273	32018	DUCHOD	EF	36065280
926018	3157	1994-12-11	PRIJEM	PREVOD Z UCTU	6273	33568	DUCHOD	EF	36065280
926019	3157	1995-01-11	PRIJEM	PREVOD Z UCTU	6273	31942	DUCHOD	EF	36065280
926020	3157	1995-02-11	PRIJEM	PREVOD Z UCTU	6273	24657	DUCHOD	EF	36065280
926021	3157	1995-03-11	PRIJEM	PREVOD Z UCTU	6273	24031	DUCHOD	EF	36065280
926022	3157	1995-04-11	PRIJEM	PREVOD Z UCTU	6273	27949	DUCHOD	EF	36065280
926023	3157	1995-05-11	PRIJEM	PREVOD Z UCTU	6273	29981	DUCHOD	EF	36065280
926024	3157	1995-06-11	PRIJEM	PREVOD Z UCTU	6273	23942	DUCHOD	EF	36065280
926025	3157	1995-07-11	PRIJEM	PREVOD Z UCTU	6273	27866	DUCHOD	EF	36065280
926026	3157	1995-08-11	PRIJEM	PREVOD Z UCTU	6273	31798	DUCHOD	EF	36065280
926027	3157	1995-09-11	PRIJEM	PREVOD Z UCTU	6273	33346	DUCHOD	EF	36065280
926028	3157	1995-10-11	PRIJEM	PREVOD Z UCTU	6273	35401	DUCHOD	EF	36065280
926029	3157	1995-11-11	PRIJEM	PREVOD Z UCTU	6273	39365	DUCHOD	EF	36065280
926030	3157	1995-12-11	PRIJEM	PREVOD Z UCTU	6273	39644	DUCHOD	EF	36065280
926031	3157	1996-01-11	PRIJEM	PREVOD Z UCTU	6273	37962	DUCHOD	EF	36065280
926032	3157	1996-02-11	PRIJEM	PREVOD Z UCTU	6273	35372	DUCHOD	EF	36065280
926033	3157	1996-03-11	PRIJEM	PREVOD Z UCTU	6273	39335	DUCHOD	EF	36065280
926034	3157	1996-04-11	PRIJEM	PREVOD Z UCTU	6273	39467	DUCHOD	EF	36065280
926035	3157	1996-05-11	PRIJEM	PREVOD Z UCTU	6273	42947	DUCHOD	EF	36065280
926036	3157	1996-06-11	PRIJEM	PREVOD Z UCTU	6273	44940	DUCHOD	EF	36065280
926037	3157	1996-07-11	PRIJEM	PREVOD Z UCTU	6273	35613	DUCHOD	EF	36065280
926038	3157	1996-08-11	PRIJEM	PREVOD Z UCTU	6273	38176	DUCHOD	EF	36065280
926039	3157	1996-09-11	PRIJEM	PREVOD Z UCTU	6273	38091	DUCHOD	EF	36065280
926040	3157	1996-10-11	PRIJEM	PREVOD Z UCTU	6273	39225	DUCHOD	EF	36065280
926041	3157	1996-11-11	PRIJEM	PREVOD Z UCTU	6273	41244	DUCHOD	EF	36065280
926042	3157	1996-12-11	PRIJEM	PREVOD Z UCTU	6273	40397	DUCHOD	EF	36065280
926043	3157	1997-01-11	PRIJEM	PREVOD Z UCTU	6273	35135	DUCHOD	EF	36065280
926044	3157	1997-02-11	PRIJEM	PREVOD Z UCTU	6273	32815	DUCHOD	EF	36065280
926045	3157	1997-03-11	PRIJEM	PREVOD Z UCTU	6273	32287	DUCHOD	EF	36065280
926046	3157	1997-04-11	PRIJEM	PREVOD Z UCTU	6273	34436	DUCHOD	EF	36065280
926047	3157	1997-05-11	PRIJEM	PREVOD Z UCTU	6273	35750	DUCHOD	EF	36065280
926048	3157	1997-06-11	PRIJEM	PREVOD Z UCTU	6273	25910	DUCHOD	EF	36065280
926049	3157	1997-07-11	PRIJEM	PREVOD Z UCTU	6273	29844	DUCHOD	EF	36065280
926050	3157	1997-08-11	PRIJEM	PREVOD Z UCTU	6273	33783	DUCHOD	EF	36065280
926051	3157	1997-09-11	PRIJEM	PREVOD Z UCTU	6273	35017	DUCHOD	EF	36065280
926052	3157	1997-10-11	PRIJEM	PREVOD Z UCTU	6273	38677	DUCHOD	EF	36065280
926053	3157	1997-11-11	PRIJEM	PREVOD Z UCTU	6273	42653	DUCHOD	EF	36065280
926054	3157	1997-12-11	PRIJEM	PREVOD Z UCTU	6273	46645	DUCHOD	EF	36065280
926055	3157	1998-01-11	PRIJEM	PREVOD Z UCTU	6273	41783	DUCHOD	EF	36065280
926056	3157	1998-02-11	PRIJEM	PREVOD Z UCTU	6273	39762	DUCHOD	EF	36065280
926057	3157	1998-03-11	PRIJEM	PREVOD Z UCTU	6273	42061	DUCHOD	EF	36065280
926058	3157	1998-04-11	PRIJEM	PREVOD Z UCTU	6273	46051	DUCHOD	EF	36065280
926059	3157	1998-05-11	PRIJEM	PREVOD Z UCTU	6273	49495	DUCHOD	EF	36065280
926060	3157	1998-06-11	PRIJEM	PREVOD Z UCTU	6273	48205	DUCHOD	EF	36065280
926061	3157	1998-07-11	PRIJEM	PREVOD Z UCTU	6273	47057	DUCHOD	EF	36065280
926062	3157	1998-08-11	PRIJEM	PREVOD Z UCTU	6273	51066	DUCHOD	EF	36065280
926063	3157	1998-09-11	PRIJEM	PREVOD Z UCTU	6273	54191	DUCHOD	EF	36065280
926064	3157	1998-10-11	PRIJEM	PREVOD Z UCTU	6273	47229	DUCHOD	EF	36065280
926065	3157	1998-11-11	PRIJEM	PREVOD Z UCTU	6273	48434	DUCHOD	EF	36065280
926066	3157	1998-12-11	PRIJEM	PREVOD Z UCTU	6273	46611	DUCHOD	EF	36065280
926079	3157	1994-01-14	VYDAJ	PREVOD NA UCET	694	29573	SIPO	EF	12642550
926080	3157	1994-02-14	VYDAJ	PREVOD NA UCET	694	28095	SIPO	EF	12642550
926081	3157	1994-03-14	VYDAJ	PREVOD NA UCET	694	31831	SIPO	EF	12642550
926082	3157	1994-04-14	VYDAJ	PREVOD NA UCET	694	34382	SIPO	EF	12642550
926083	3157	1994-05-14	VYDAJ	PREVOD NA UCET	694	35646	SIPO	EF	12642550
926084	3157	1994-06-14	VYDAJ	PREVOD NA UCET	694	34433	SIPO	EF	12642550
926085	3157	1994-07-14	VYDAJ	PREVOD NA UCET	694	23633	SIPO	EF	12642550
926086	3157	1994-08-14	VYDAJ	PREVOD NA UCET	694	27151	SIPO	EF	12642550
926087	3157	1994-09-14	VYDAJ	PREVOD NA UCET	694	28440	SIPO	EF	12642550
926088	3157	1994-10-14	VYDAJ	PREVOD NA UCET	694	30177	SIPO	EF	12642550
926089	3157	1994-11-14	VYDAJ	PREVOD NA UCET	694	31324	SIPO	EF	12642550
926090	3157	1994-12-14	VYDAJ	PREVOD NA UCET	694	32874	SIPO	EF	12642550
926091	3157	1995-01-14	VYDAJ	PREVOD NA UCET	694	31248	SIPO	EF	12642550
926092	3157	1995-02-14	VYDAJ	PREVOD NA UCET	694	22523	SIPO	EF	12642550
926093	3157	1995-03-14	VYDAJ	PREVOD NA UCET	694	23337	SIPO	EF	12642550
926094	3157	1995-04-14	VYDAJ	PREVOD NA UCET	694	27255	SIPO	EF	12642550
926095	3157	1995-05-14	VYDAJ	PREVOD NA UCET	694	29287	SIPO	EF	12642550
926096	3157	1995-06-14	VYDAJ	PREVOD NA UCET	694	23248	SIPO	EF	12642550
926097	3157	1995-07-14	VYDAJ	PREVOD NA UCET	694	27172	SIPO	EF	12642550
926098	3157	1995-08-14	VYDAJ	PREVOD NA UCET	694	31104	SIPO	EF	12642550
926099	3157	1995-09-14	VYDAJ	PREVOD NA UCET	694	32652	SIPO	EF	12642550
926100	3157	1995-10-14	VYDAJ	PREVOD NA UCET	694	34707	SIPO	EF	12642550
926101	3157	1995-11-14	VYDAJ	PREVOD NA UCET	694	38671	SIPO	EF	12642550
926102	3157	1995-12-14	VYDAJ	PREVOD NA UCET	694	38950	SIPO	EF	12642550
926103	3157	1996-01-14	VYDAJ	PREVOD NA UCET	694	37268	SIPO	EF	12642550
926104	3157	1996-02-14	VYDAJ	PREVOD NA UCET	694	34678	SIPO	EF	12642550
926105	3157	1996-03-14	VYDAJ	PREVOD NA UCET	694	38641	SIPO	EF	12642550
926106	3157	1996-04-14	VYDAJ	PREVOD NA UCET	694	38773	SIPO	EF	12642550
926107	3157	1996-05-14	VYDAJ	PREVOD NA UCET	694	42253	SIPO	EF	12642550
926108	3157	1996-06-14	VYDAJ	PREVOD NA UCET	694	30946	SIPO	EF	12642550
926109	3157	1996-07-14	VYDAJ	PREVOD NA UCET	694	34919	SIPO	EF	12642550
926110	3157	1996-08-14	VYDAJ	PREVOD NA UCET	694	37482	SIPO	EF	12642550
926111	3157	1996-09-14	VYDAJ	PREVOD NA UCET	694	37397	SIPO	EF	12642550
926112	3157	1996-10-14	VYDAJ	PREVOD NA UCET	694	38531	SIPO	EF	12642550
926113	3157	1996-11-14	VYDAJ	PREVOD NA UCET	694	40550	SIPO	EF	12642550
926114	3157	1996-12-14	VYDAJ	PREVOD NA UCET	694	39703	SIPO	EF	12642550
926115	3157	1997-01-14	VYDAJ	PREVOD NA UCET	694	34441	SIPO	EF	12642550
926116	3157	1997-02-14	VYDAJ	PREVOD NA UCET	694	32121	SIPO	EF	12642550
926117	3157	1997-03-14	VYDAJ	PREVOD NA UCET	694	31593	SIPO	EF	12642550
926118	3157	1997-04-14	VYDAJ	PREVOD NA UCET	694	33742	SIPO	EF	12642550
926119	3157	1997-05-14	VYDAJ	PREVOD NA UCET	694	35056	SIPO	EF	12642550
926120	3157	1997-06-14	VYDAJ	PREVOD NA UCET	694	25216	SIPO	EF	12642550
926121	3157	1997-07-14	VYDAJ	PREVOD NA UCET	694	29150	SIPO	EF	12642550
926122	3157	1997-08-14	VYDAJ	PREVOD NA UCET	694	33089	SIPO	EF	12642550
926123	3157	1997-09-14	VYDAJ	PREVOD NA UCET	694	34323	SIPO	EF	12642550
926124	3157	1997-10-14	VYDAJ	PREVOD NA UCET	694	37983	SIPO	EF	12642550
926125	3157	1997-11-14	VYDAJ	PREVOD NA UCET	694	41959	SIPO	EF	12642550
926126	3157	1997-12-14	VYDAJ	PREVOD NA UCET	694	45951	SIPO	EF	12642550
926127	3157	1998-01-14	VYDAJ	PREVOD NA UCET	694	37649	SIPO	EF	12642550
926128	3157	1998-02-14	VYDAJ	PREVOD NA UCET	694	39068	SIPO	EF	12642550
926129	3157	1998-03-14	VYDAJ	PREVOD NA UCET	694	41367	SIPO	EF	12642550
926130	3157	1998-04-14	VYDAJ	PREVOD NA UCET	694	45357	SIPO	EF	12642550
926131	3157	1998-05-14	VYDAJ	PREVOD NA UCET	694	48801	SIPO	EF	12642550
926132	3157	1998-06-14	VYDAJ	PREVOD NA UCET	694	42361	SIPO	EF	12642550
926133	3157	1998-07-14	VYDAJ	PREVOD NA UCET	694	46363	SIPO	EF	12642550
926134	3157	1998-08-14	VYDAJ	PREVOD NA UCET	694	50372	SIPO	EF	12642550
926135	3157	1998-09-14	VYDAJ	PREVOD NA UCET	694	47797	SIPO	EF	12642550
926136	3157	1998-10-14	VYDAJ	PREVOD NA UCET	694	46535	SIPO	EF	12642550
926137	3157	1998-11-14	VYDAJ	PREVOD NA UCET	694	45040	SIPO	EF	12642550
926138	3157	1998-12-14	VYDAJ	PREVOD NA UCET	694	45917	SIPO	EF	12642550
926152	3157	1994-02-05	VYDAJ	PREVOD NA UCET	1740	22516	 	YZ	78150850
926153	3157	1994-03-05	VYDAJ	PREVOD NA UCET	1740	26452	 	YZ	78150850
926154	3157	1994-04-05	VYDAJ	PREVOD NA UCET	1740	30203	 	YZ	78150850
926155	3157	1994-05-05	VYDAJ	PREVOD NA UCET	1740	32767	 	YZ	78150850
926156	3157	1994-06-05	VYDAJ	PREVOD NA UCET	1740	32354	 	YZ	78150850
926157	3157	1994-07-05	VYDAJ	PREVOD NA UCET	1740	18054	 	YZ	78150850
926158	3157	1994-08-05	VYDAJ	PREVOD NA UCET	1740	21972	 	YZ	78150850
926159	3157	1994-09-05	VYDAJ	PREVOD NA UCET	1740	22861	 	YZ	78150850
926160	3157	1994-10-05	VYDAJ	PREVOD NA UCET	1740	24598	 	YZ	78150850
926161	3157	1994-11-05	VYDAJ	PREVOD NA UCET	1740	25745	 	YZ	78150850
926162	3157	1994-12-05	VYDAJ	PREVOD NA UCET	1740	27295	 	YZ	78150850
926163	3157	1995-01-05	VYDAJ	PREVOD NA UCET	1740	27349	 	YZ	78150850
926164	3157	1995-02-05	VYDAJ	PREVOD NA UCET	1740	18384	 	YZ	78150850
926165	3157	1995-03-05	VYDAJ	PREVOD NA UCET	1740	19358	 	YZ	78150850
926166	3157	1995-04-05	VYDAJ	PREVOD NA UCET	1740	21676	 	YZ	78150850
926167	3157	1995-05-05	VYDAJ	PREVOD NA UCET	1740	23708	 	YZ	78150850
926168	3157	1995-06-05	VYDAJ	PREVOD NA UCET	1740	25269	 	YZ	78150850
926169	3157	1995-07-05	VYDAJ	PREVOD NA UCET	1740	21593	 	YZ	78150850
926170	3157	1995-08-05	VYDAJ	PREVOD NA UCET	1740	25525	 	YZ	78150850
926171	3157	1995-09-05	VYDAJ	PREVOD NA UCET	1740	27073	 	YZ	78150850
926172	3157	1995-10-05	VYDAJ	PREVOD NA UCET	1740	29128	 	YZ	78150850
926173	3157	1995-11-05	VYDAJ	PREVOD NA UCET	1740	33092	 	YZ	78150850
926174	3157	1995-12-05	VYDAJ	PREVOD NA UCET	1740	33371	 	YZ	78150850
926175	3157	1996-01-05	VYDAJ	PREVOD NA UCET	1740	34659	 	YZ	78150850
926176	3157	1996-02-05	VYDAJ	PREVOD NA UCET	1740	29099	 	YZ	78150850
926177	3157	1996-03-05	VYDAJ	PREVOD NA UCET	1740	33062	 	YZ	78150850
926178	3157	1996-04-05	VYDAJ	PREVOD NA UCET	1740	33194	 	YZ	78150850
926179	3157	1996-05-05	VYDAJ	PREVOD NA UCET	1740	36674	 	YZ	78150850
926180	3157	1996-06-05	VYDAJ	PREVOD NA UCET	1740	38667	 	YZ	78150850
926181	3157	1996-07-05	VYDAJ	PREVOD NA UCET	1740	29340	 	YZ	78150850
926182	3157	1996-08-05	VYDAJ	PREVOD NA UCET	1740	31903	 	YZ	78150850
926183	3157	1996-09-05	VYDAJ	PREVOD NA UCET	1740	32618	 	YZ	78150850
926184	3157	1996-10-05	VYDAJ	PREVOD NA UCET	1740	35592	 	YZ	78150850
926185	3157	1996-11-05	VYDAJ	PREVOD NA UCET	1740	34971	 	YZ	78150850
926186	3157	1996-12-05	VYDAJ	PREVOD NA UCET	1740	34124	 	YZ	78150850
926187	3157	1997-01-05	VYDAJ	PREVOD NA UCET	1740	31762	 	YZ	78150850
926188	3157	1997-02-05	VYDAJ	PREVOD NA UCET	1740	26542	 	YZ	78150850
926189	3157	1997-03-05	VYDAJ	PREVOD NA UCET	1740	27774	 	YZ	78150850
926190	3157	1997-04-05	VYDAJ	PREVOD NA UCET	1740	28163	 	YZ	78150850
926191	3157	1997-05-05	VYDAJ	PREVOD NA UCET	1740	29477	 	YZ	78150850
926192	3157	1997-06-05	VYDAJ	PREVOD NA UCET	1740	30137	 	YZ	78150850
926193	3157	1997-07-05	VYDAJ	PREVOD NA UCET	1740	23571	 	YZ	78150850
926194	3157	1997-08-05	VYDAJ	PREVOD NA UCET	1740	27510	 	YZ	78150850
926195	3157	1997-09-05	VYDAJ	PREVOD NA UCET	1740	30664	 	YZ	78150850
926196	3157	1997-10-05	VYDAJ	PREVOD NA UCET	1740	32404	 	YZ	78150850
926197	3157	1997-11-05	VYDAJ	PREVOD NA UCET	1740	36380	 	YZ	78150850
926198	3157	1997-12-05	VYDAJ	PREVOD NA UCET	1740	40372	 	YZ	78150850
926199	3157	1998-01-05	VYDAJ	PREVOD NA UCET	1740	43730	 	YZ	78150850
926200	3157	1998-02-05	VYDAJ	PREVOD NA UCET	1740	33489	 	YZ	78150850
926201	3157	1998-03-05	VYDAJ	PREVOD NA UCET	1740	35788	 	YZ	78150850
926202	3157	1998-04-05	VYDAJ	PREVOD NA UCET	1740	39778	 	YZ	78150850
926203	3157	1998-05-05	VYDAJ	PREVOD NA UCET	1740	43222	 	YZ	78150850
926204	3157	1998-06-05	VYDAJ	PREVOD NA UCET	1740	41932	 	YZ	78150850
926205	3157	1998-07-05	VYDAJ	PREVOD NA UCET	1740	40784	 	YZ	78150850
926206	3157	1998-08-05	VYDAJ	PREVOD NA UCET	1740	44793	 	YZ	78150850
926207	3157	1998-09-05	VYDAJ	PREVOD NA UCET	1740	47918	 	YZ	78150850
926208	3157	1998-10-05	VYDAJ	PREVOD NA UCET	1740	42876	 	YZ	78150850
926209	3157	1998-11-05	VYDAJ	PREVOD NA UCET	1740	42161	 	YZ	78150850
926210	3157	1998-12-05	VYDAJ	PREVOD NA UCET	1740	40338	 	YZ	78150850
926212	3157	1994-06-24	VYDAJ	VYBER	14750	19683	\N	\N	\N
926213	3157	1995-06-09	VYDAJ	VYBER	7600	17669	\N	\N	\N
926214	3157	1996-06-14	VYDAJ	VYBER	13300	31640	\N	\N	\N
926215	3157	1997-06-09	VYDAJ	VYBER	10500	19637	\N	\N	\N
926216	3157	1998-06-14	VYDAJ	VYBER	5150	43055	\N	\N	\N
926218	3157	1994-01-27	VYDAJ	VYBER	1950	24183	\N	\N	\N
926219	3157	1995-01-29	VYDAJ	VYBER	3650	23518	\N	\N	\N
926220	3157	1996-01-07	VYDAJ	VYBER	2250	32409	\N	\N	\N
926221	3157	1997-01-10	VYDAJ	VYBER	2100	28862	\N	\N	\N
926222	3157	1998-01-05	VYDAJ	VYBER	3900	39830	\N	\N	\N
926224	3157	1994-12-16	VYDAJ	VYBER	800	32074	\N	\N	\N
926225	3157	1995-12-21	VYDAJ	VYBER	850	38100	\N	\N	\N
926226	3157	1996-12-03	VYDAJ	VYBER	550	36344	\N	\N	\N
926227	3157	1997-12-30	VYDAJ	VYBER	650	45301	\N	\N	\N
926228	3157	1998-12-03	VYDAJ	VYBER	650	42078	\N	\N	\N
926235	3157	1994-01-15	VYDAJ	VYBER	480	29093	\N	\N	\N
926237	3157	1994-01-14	VYDAJ	VYBER	800	30267	\N	\N	\N
926239	3157	1994-01-18	VYDAJ	VYBER	720	28373	\N	\N	\N
926240	3157	1994-01-24	VYDAJ	VYBER	1600	26773	\N	\N	\N
926241	3157	1995-01-22	VYDAJ	VYBER	2080	29168	\N	\N	\N
926242	3157	1995-01-30	VYDAJ	VYBER	2240	21278	\N	\N	\N
926243	3157	1995-01-02	VYDAJ	VYBER	400	31789	\N	\N	\N
926244	3157	1995-01-26	VYDAJ	VYBER	1360	27808	\N	\N	\N
926245	3157	1995-01-28	VYDAJ	VYBER	640	27168	\N	\N	\N
926246	3157	1995-01-10	VYDAJ	VYBER	1680	25669	\N	\N	\N
926247	3157	1996-01-21	VYDAJ	VYBER	800	34708	\N	\N	\N
926248	3157	1996-01-19	VYDAJ	VYBER	1760	35508	\N	\N	\N
926249	3157	1996-01-27	VYDAJ	VYBER	880	31988	\N	\N	\N
926250	3157	1996-01-07	VYDAJ	VYBER	720	31689	\N	\N	\N
926251	3157	1996-01-26	VYDAJ	VYBER	1840	32868	\N	\N	\N
926252	3157	1996-01-27	VYDAJ	VYBER	1280	30708	\N	\N	\N
926253	3157	1997-01-08	VYDAJ	VYBER	800	30962	\N	\N	\N
926254	3157	1997-01-28	VYDAJ	VYBER	2160	28161	\N	\N	\N
926255	3157	1997-01-05	VYDAJ	VYBER	1520	33502	\N	\N	\N
926256	3157	1997-01-25	VYDAJ	VYBER	1520	30321	\N	\N	\N
926257	3157	1997-01-05	VYDAJ	VYBER	560	35022	\N	\N	\N
926258	3157	1997-01-02	VYDAJ	VYBER	560	35582	\N	\N	\N
926259	3157	1998-01-25	VYDAJ	VYBER	640	35089	\N	\N	\N
926260	3157	1998-01-08	VYDAJ	VYBER	2240	35510	\N	\N	\N
926261	3157	1998-01-16	VYDAJ	VYBER	1920	35729	\N	\N	\N
926262	3157	1998-01-12	VYDAJ	VYBER	1200	40583	\N	\N	\N
926263	3157	1998-01-06	VYDAJ	VYBER	2080	37750	\N	\N	\N
926264	3157	1998-01-13	VYDAJ	VYBER	2240	38343	\N	\N	\N
926271	3157	1994-01-24	VYDAJ	VYBER	640	26133	\N	\N	\N
926272	3157	1994-08-23	VYDAJ	VYBER	2640	24511	\N	\N	\N
926273	3157	1994-05-19	VYDAJ	VYBER	1680	33966	\N	\N	\N
926274	3157	1995-02-12	VYDAJ	VYBER	1440	23217	\N	\N	\N
926275	3157	1995-06-03	VYDAJ	VYBER	880	27009	\N	\N	\N
926276	3157	1995-03-09	VYDAJ	VYBER	1600	17758	\N	\N	\N
926277	3157	1995-08-25	VYDAJ	VYBER	400	30704	\N	\N	\N
926278	3157	1995-02-05	VYDAJ	VYBER	560	20124	\N	\N	\N
926279	3157	1995-12-26	VYDAJ	VYBER	1840	36260	\N	\N	\N
926280	3157	1996-12-04	VYDAJ	VYBER	480	35864	\N	\N	\N
926281	3157	1996-09-06	VYDAJ	VYBER	800	31818	\N	\N	\N
926282	3157	1996-03-17	VYDAJ	VYBER	3040	35601	\N	\N	\N
926283	3157	1996-10-27	VYDAJ	VYBER	560	36571	\N	\N	\N
926284	3157	1996-10-08	VYDAJ	VYBER	2640	32952	\N	\N	\N
926285	3157	1996-09-02	VYDAJ	VYBER	2960	34358	\N	\N	\N
926286	3157	1996-03-18	VYDAJ	VYBER	800	34801	\N	\N	\N
926287	3157	1997-04-20	VYDAJ	VYBER	2640	31102	\N	\N	\N
926288	3157	1997-03-02	VYDAJ	VYBER	2720	29514	\N	\N	\N
926289	3157	1997-03-07	VYDAJ	VYBER	1760	26014	\N	\N	\N
926290	3157	1997-09-06	VYDAJ	VYBER	1920	28744	\N	\N	\N
926291	3157	1998-09-15	VYDAJ	VYBER	3360	44437	\N	\N	\N
926292	3157	1998-04-15	VYDAJ	VYBER	560	44797	\N	\N	\N
926293	3157	1998-11-29	VYDAJ	VYBER	2480	42560	\N	\N	\N
926294	3157	1998-10-09	VYDAJ	VYBER	1920	40956	\N	\N	\N
926295	3157	1998-02-28	VYDAJ	VYBER	1680	37528	\N	\N	\N
926309	3157	1994-01-31	VYDAJ	VYBER	15	24256	SLUZBY	\N	\N
926310	3157	1994-02-28	VYDAJ	VYBER	15	28192	SLUZBY	\N	\N
926311	3157	1994-03-31	VYDAJ	VYBER	15	31943	SLUZBY	\N	\N
926312	3157	1994-04-30	VYDAJ	VYBER	15	34507	SLUZBY	\N	\N
926313	3157	1994-05-31	VYDAJ	VYBER	15	34094	SLUZBY	\N	\N
926314	3157	1994-06-30	VYDAJ	VYBER	15	19794	SLUZBY	\N	\N
926315	3157	1994-07-31	VYDAJ	VYBER	15	23712	SLUZBY	\N	\N
926316	3157	1994-08-31	VYDAJ	VYBER	15	24601	SLUZBY	\N	\N
926317	3157	1994-09-30	VYDAJ	VYBER	15	28538	SLUZBY	\N	\N
926318	3157	1994-10-31	VYDAJ	VYBER	15	30285	SLUZBY	\N	\N
926319	3157	1994-11-30	VYDAJ	VYBER	15	31435	SLUZBY	\N	\N
926320	3157	1994-12-31	VYDAJ	VYBER	15	32189	SLUZBY	\N	\N
926321	3157	1995-01-31	VYDAJ	VYBER	15	21384	SLUZBY	\N	\N
926322	3157	1995-02-28	VYDAJ	VYBER	15	22598	SLUZBY	\N	\N
926323	3157	1995-03-31	VYDAJ	VYBER	15	23416	SLUZBY	\N	\N
926324	3157	1995-04-30	VYDAJ	VYBER	15	27348	SLUZBY	\N	\N
926325	3157	1995-05-31	VYDAJ	VYBER	15	29389	SLUZBY	\N	\N
926326	3157	1995-06-30	VYDAJ	VYBER	15	23333	SLUZBY	\N	\N
926327	3157	1995-07-31	VYDAJ	VYBER	15	27265	SLUZBY	\N	\N
926328	3157	1995-08-31	VYDAJ	VYBER	15	30813	SLUZBY	\N	\N
926329	3157	1995-09-30	VYDAJ	VYBER	15	30868	SLUZBY	\N	\N
926330	3157	1995-10-31	VYDAJ	VYBER	15	34832	SLUZBY	\N	\N
926331	3157	1995-11-30	VYDAJ	VYBER	15	35111	SLUZBY	\N	\N
926332	3157	1995-12-31	VYDAJ	VYBER	15	36399	SLUZBY	\N	\N
926333	3157	1996-01-31	VYDAJ	VYBER	15	30839	SLUZBY	\N	\N
926334	3157	1996-02-29	VYDAJ	VYBER	15	34802	SLUZBY	\N	\N
926335	3157	1996-03-31	VYDAJ	VYBER	15	34934	SLUZBY	\N	\N
926336	3157	1996-04-30	VYDAJ	VYBER	15	38414	SLUZBY	\N	\N
926337	3157	1996-05-31	VYDAJ	VYBER	15	40407	SLUZBY	\N	\N
926338	3157	1996-06-30	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
926339	3157	1996-07-31	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
926340	3157	1996-08-31	VYDAJ	VYBER	15	37318	SLUZBY	\N	\N
926341	3157	1996-09-30	VYDAJ	VYBER	15	37332	SLUZBY	\N	\N
926342	3157	1996-10-31	VYDAJ	VYBER	15	36711	SLUZBY	\N	\N
926343	3157	1996-11-30	VYDAJ	VYBER	15	36894	SLUZBY	\N	\N
926344	3157	1996-12-31	VYDAJ	VYBER	15	36142	SLUZBY	\N	\N
926345	3157	1997-01-31	VYDAJ	VYBER	15	28282	SLUZBY	\N	\N
926346	3157	1997-02-28	VYDAJ	VYBER	15	32234	SLUZBY	\N	\N
926347	3157	1997-03-31	VYDAJ	VYBER	15	29903	SLUZBY	\N	\N
926348	3157	1997-04-30	VYDAJ	VYBER	15	31217	SLUZBY	\N	\N
926349	3157	1997-05-31	VYDAJ	VYBER	15	31877	SLUZBY	\N	\N
926350	3157	1997-06-30	VYDAJ	VYBER	15	25311	SLUZBY	\N	\N
926351	3157	1997-07-31	VYDAJ	VYBER	15	29250	SLUZBY	\N	\N
926352	3157	1997-08-31	VYDAJ	VYBER	15	32404	SLUZBY	\N	\N
926353	3157	1997-09-30	VYDAJ	VYBER	15	34144	SLUZBY	\N	\N
926354	3157	1997-10-31	VYDAJ	VYBER	15	38120	SLUZBY	\N	\N
926355	3157	1997-11-30	VYDAJ	VYBER	15	42112	SLUZBY	\N	\N
926356	3157	1997-12-31	VYDAJ	VYBER	15	45470	SLUZBY	\N	\N
926357	3157	1998-01-31	VYDAJ	VYBER	15	35229	SLUZBY	\N	\N
926358	3157	1998-02-28	VYDAJ	VYBER	15	39208	SLUZBY	\N	\N
926359	3157	1998-03-31	VYDAJ	VYBER	15	41518	SLUZBY	\N	\N
926360	3157	1998-04-30	VYDAJ	VYBER	15	44962	SLUZBY	\N	\N
926361	3157	1998-05-31	VYDAJ	VYBER	15	43672	SLUZBY	\N	\N
926362	3157	1998-06-30	VYDAJ	VYBER	15	42524	SLUZBY	\N	\N
926363	3157	1998-07-31	VYDAJ	VYBER	15	46533	SLUZBY	\N	\N
926364	3157	1998-08-31	VYDAJ	VYBER	15	49658	SLUZBY	\N	\N
926365	3157	1998-09-30	VYDAJ	VYBER	15	44616	SLUZBY	\N	\N
926366	3157	1998-10-31	VYDAJ	VYBER	15	43901	SLUZBY	\N	\N
926367	3157	1998-11-30	VYDAJ	VYBER	15	42728	SLUZBY	\N	\N
926368	3157	1994-01-08	VYDAJ	VYBER	800	24794	\N	\N	\N
926369	3157	1994-03-09	VYDAJ	VYBER	200	26252	\N	\N	\N
926370	3157	1994-04-08	VYDAJ	VYBER	1400	28803	\N	\N	\N
926371	3157	1994-05-08	VYDAJ	VYBER	2700	30067	\N	\N	\N
926372	3157	1994-06-07	VYDAJ	VYBER	3500	28854	\N	\N	\N
926373	3157	1994-08-06	VYDAJ	VYBER	400	21572	\N	\N	\N
926374	3157	1994-10-05	VYDAJ	VYBER	2200	26338	\N	\N	\N
926375	3157	1994-11-04	VYDAJ	VYBER	2800	27485	\N	\N	\N
926376	3157	1994-12-04	VYDAJ	VYBER	2400	29035	\N	\N	\N
926377	3157	1995-01-03	VYDAJ	VYBER	2700	29089	\N	\N	\N
926378	3157	1995-02-02	VYDAJ	VYBER	700	20684	\N	\N	\N
926379	3157	1995-03-04	VYDAJ	VYBER	1500	21098	\N	\N	\N
926380	3157	1995-05-03	VYDAJ	VYBER	1900	25448	\N	\N	\N
926381	3157	1995-06-02	VYDAJ	VYBER	1500	27889	\N	\N	\N
926382	3157	1995-08-31	VYDAJ	VYBER	2000	28813	\N	\N	\N
926383	3157	1995-09-30	VYDAJ	VYBER	1900	30883	\N	\N	\N
926384	3157	1995-11-29	VYDAJ	VYBER	3700	34971	\N	\N	\N
926385	3157	1996-04-27	VYDAJ	VYBER	500	38273	\N	\N	\N
926386	3157	1996-05-27	VYDAJ	VYBER	2000	40253	\N	\N	\N
926387	3157	1996-07-26	VYDAJ	VYBER	1400	33519	\N	\N	\N
926388	3157	1996-08-25	VYDAJ	VYBER	300	37182	\N	\N	\N
926389	3157	1996-09-24	VYDAJ	VYBER	200	37197	\N	\N	\N
926390	3157	1996-10-24	VYDAJ	VYBER	1400	37131	\N	\N	\N
926391	3157	1996-11-23	VYDAJ	VYBER	3800	36750	\N	\N	\N
926392	3157	1996-12-23	VYDAJ	VYBER	3700	36003	\N	\N	\N
926393	3157	1997-01-22	VYDAJ	VYBER	2600	31841	\N	\N	\N
926394	3157	1997-03-23	VYDAJ	VYBER	1800	29793	\N	\N	\N
926395	3157	1997-05-22	VYDAJ	VYBER	3300	31756	\N	\N	\N
926396	3157	1997-08-20	VYDAJ	VYBER	800	32289	\N	\N	\N
926397	3157	1997-09-19	VYDAJ	VYBER	300	34023	\N	\N	\N
926398	3157	1998-05-17	VYDAJ	VYBER	5300	43501	\N	\N	\N
926399	3157	1998-08-15	VYDAJ	VYBER	900	49472	\N	\N	\N
926400	3157	1998-09-14	VYDAJ	VYBER	5700	48491	\N	\N	\N
926401	3157	1998-10-14	VYDAJ	VYBER	2800	43735	\N	\N	\N
926402	3157	1998-11-13	VYDAJ	VYBER	2700	45734	\N	\N	\N
926467	3158	1996-10-03	PRIJEM	VKLAD	200	200	\N	\N	\N
926477	3158	1996-10-11	PRIJEM	PREVOD Z UCTU	3151	3351	\N	EF	50709575
926478	3158	1996-11-11	PRIJEM	PREVOD Z UCTU	3151	6511	\N	EF	50709575
926479	3158	1996-12-11	PRIJEM	PREVOD Z UCTU	3151	9676	\N	EF	50709575
926480	3158	1997-01-11	PRIJEM	PREVOD Z UCTU	3151	12841	\N	EF	50709575
926481	3158	1997-02-11	PRIJEM	PREVOD Z UCTU	3151	16006	\N	EF	50709575
926482	3158	1997-03-11	PRIJEM	PREVOD Z UCTU	3151	15870	\N	EF	50709575
926483	3158	1997-04-11	PRIJEM	PREVOD Z UCTU	3151	16971	\N	EF	50709575
926484	3158	1997-05-11	PRIJEM	PREVOD Z UCTU	3151	18077	\N	EF	50709575
926485	3158	1997-06-11	PRIJEM	PREVOD Z UCTU	3151	19187	\N	EF	50709575
926486	3158	1997-07-11	PRIJEM	PREVOD Z UCTU	3151	20302	\N	EF	50709575
926487	3158	1997-08-11	PRIJEM	PREVOD Z UCTU	3151	20581	\N	EF	50709575
926488	3158	1997-09-11	PRIJEM	PREVOD Z UCTU	3151	20742	\N	EF	50709575
926489	3158	1997-10-11	PRIJEM	PREVOD Z UCTU	3151	21862	\N	EF	50709575
926490	3158	1997-11-11	PRIJEM	PREVOD Z UCTU	3151	22988	\N	EF	50709575
926491	3158	1997-12-11	PRIJEM	PREVOD Z UCTU	3151	24118	\N	EF	50709575
926492	3158	1998-01-11	PRIJEM	PREVOD Z UCTU	3151	23453	\N	EF	50709575
926493	3158	1998-02-11	PRIJEM	PREVOD Z UCTU	3151	24586	\N	EF	50709575
926494	3158	1998-03-11	PRIJEM	PREVOD Z UCTU	3151	25723	\N	EF	50709575
926495	3158	1998-04-11	PRIJEM	PREVOD Z UCTU	3151	26865	\N	EF	50709575
926496	3158	1998-05-11	PRIJEM	PREVOD Z UCTU	3151	27862	\N	EF	50709575
926497	3158	1998-06-11	PRIJEM	PREVOD Z UCTU	3151	26043	\N	EF	50709575
926498	3158	1998-07-11	PRIJEM	PREVOD Z UCTU	3151	26915	\N	EF	50709575
926499	3158	1998-08-11	PRIJEM	PREVOD Z UCTU	3151	28062	\N	EF	50709575
926500	3158	1998-09-11	PRIJEM	PREVOD Z UCTU	3151	28013	\N	EF	50709575
926501	3158	1998-10-11	PRIJEM	PREVOD Z UCTU	3151	26561	\N	EF	50709575
926502	3158	1998-11-11	PRIJEM	PREVOD Z UCTU	3151	25692	\N	EF	50709575
926503	3158	1998-12-11	PRIJEM	PREVOD Z UCTU	3151	25432	\N	EF	50709575
926518	3158	1997-03-05	VYDAJ	PREVOD NA UCET	2100	12719	SIPO	UV	24583161
926519	3158	1997-04-05	VYDAJ	PREVOD NA UCET	2100	13820	SIPO	UV	24583161
926520	3158	1997-05-05	VYDAJ	PREVOD NA UCET	2100	14926	SIPO	UV	24583161
926521	3158	1997-06-05	VYDAJ	PREVOD NA UCET	2100	16036	SIPO	UV	24583161
926522	3158	1997-07-05	VYDAJ	PREVOD NA UCET	2100	17151	SIPO	UV	24583161
926523	3158	1997-08-05	VYDAJ	PREVOD NA UCET	2100	17430	SIPO	UV	24583161
926524	3158	1997-09-05	VYDAJ	PREVOD NA UCET	2100	17591	SIPO	UV	24583161
926525	3158	1997-10-05	VYDAJ	PREVOD NA UCET	2100	18711	SIPO	UV	24583161
926526	3158	1997-11-05	VYDAJ	PREVOD NA UCET	2100	19837	SIPO	UV	24583161
926527	3158	1997-12-05	VYDAJ	PREVOD NA UCET	2100	20967	SIPO	UV	24583161
926528	3158	1998-01-05	VYDAJ	PREVOD NA UCET	2100	21232	SIPO	UV	24583161
926529	3158	1998-02-05	VYDAJ	PREVOD NA UCET	2100	21435	SIPO	UV	24583161
926530	3158	1998-03-05	VYDAJ	PREVOD NA UCET	2100	22572	SIPO	UV	24583161
926531	3158	1998-04-05	VYDAJ	PREVOD NA UCET	2100	23714	SIPO	UV	24583161
926532	3158	1998-05-05	VYDAJ	PREVOD NA UCET	2100	24711	SIPO	UV	24583161
926533	3158	1998-06-05	VYDAJ	PREVOD NA UCET	2100	22892	SIPO	UV	24583161
926534	3158	1998-07-05	VYDAJ	PREVOD NA UCET	2100	23764	SIPO	UV	24583161
926535	3158	1998-08-05	VYDAJ	PREVOD NA UCET	2100	24911	SIPO	UV	24583161
926536	3158	1998-09-05	VYDAJ	PREVOD NA UCET	2100	24862	SIPO	UV	24583161
926537	3158	1998-10-05	VYDAJ	PREVOD NA UCET	2100	23410	SIPO	UV	24583161
926538	3158	1998-11-05	VYDAJ	PREVOD NA UCET	2100	22541	SIPO	UV	24583161
926539	3158	1998-12-05	VYDAJ	PREVOD NA UCET	2100	22281	SIPO	UV	24583161
926542	3158	1998-06-01	VYDAJ	VYBER	2970	24992	\N	\N	\N
926544	3158	1997-12-26	VYDAJ	VYBER	870	23248	\N	\N	\N
926545	3158	1998-12-16	VYDAJ	VYBER	660	23302	\N	\N	\N
926550	3158	1997-09-01	VYDAJ	VYBER	960	19691	\N	\N	\N
926552	3158	1997-02-21	VYDAJ	VYBER	1200	14806	\N	\N	\N
926553	3158	1997-07-23	VYDAJ	VYBER	840	19462	\N	\N	\N
926554	3158	1998-12-11	VYDAJ	VYBER	1470	23962	\N	\N	\N
926555	3158	1998-01-08	VYDAJ	VYBER	930	20302	\N	\N	\N
926556	3158	1998-10-17	VYDAJ	VYBER	960	24551	\N	\N	\N
926557	3158	1998-04-29	VYDAJ	VYBER	150	26715	\N	\N	\N
926558	3158	1998-06-15	VYDAJ	VYBER	270	25773	\N	\N	\N
926559	3158	1998-10-16	VYDAJ	VYBER	1050	25511	\N	\N	\N
926574	3158	1997-02-28	VYDAJ	VYBER	15	14819	SLUZBY	\N	\N
926575	3158	1997-03-31	VYDAJ	VYBER	15	15920	SLUZBY	\N	\N
926576	3158	1997-04-30	VYDAJ	VYBER	15	17026	SLUZBY	\N	\N
926577	3158	1997-05-31	VYDAJ	VYBER	15	18136	SLUZBY	\N	\N
926578	3158	1997-06-30	VYDAJ	VYBER	15	19251	SLUZBY	\N	\N
926579	3158	1997-07-31	VYDAJ	VYBER	15	19530	SLUZBY	\N	\N
926580	3158	1997-08-31	VYDAJ	VYBER	15	20651	SLUZBY	\N	\N
926581	3158	1997-09-30	VYDAJ	VYBER	15	20811	SLUZBY	\N	\N
926582	3158	1997-10-31	VYDAJ	VYBER	15	21937	SLUZBY	\N	\N
926583	3158	1997-11-30	VYDAJ	VYBER	15	23067	SLUZBY	\N	\N
926584	3158	1997-12-31	VYDAJ	VYBER	15	23332	SLUZBY	\N	\N
926585	3158	1998-01-31	VYDAJ	VYBER	15	23535	SLUZBY	\N	\N
926586	3158	1998-02-28	VYDAJ	VYBER	15	24672	SLUZBY	\N	\N
926587	3158	1998-03-31	VYDAJ	VYBER	15	25814	SLUZBY	\N	\N
926588	3158	1998-04-30	VYDAJ	VYBER	15	26811	SLUZBY	\N	\N
926589	3158	1998-05-31	VYDAJ	VYBER	15	27962	SLUZBY	\N	\N
926590	3158	1998-06-30	VYDAJ	VYBER	15	25864	SLUZBY	\N	\N
926591	3158	1998-07-31	VYDAJ	VYBER	15	27011	SLUZBY	\N	\N
926592	3158	1998-08-31	VYDAJ	VYBER	15	26962	SLUZBY	\N	\N
926593	3158	1998-09-30	VYDAJ	VYBER	15	25510	SLUZBY	\N	\N
926594	3158	1998-10-31	VYDAJ	VYBER	15	24641	SLUZBY	\N	\N
926595	3158	1998-11-30	VYDAJ	VYBER	15	24381	SLUZBY	\N	\N
926596	3158	1998-08-24	VYDAJ	VYBER	1200	26862	\N	\N	\N
926597	3158	1998-09-23	VYDAJ	VYBER	2600	25413	\N	\N	\N
926598	3158	1998-11-22	VYDAJ	VYBER	1400	24292	\N	\N	\N
927018	3160	1994-06-19	PRIJEM	VKLAD	400	400	\N	\N	\N
927025	3160	1994-07-05	PRIJEM	VKLAD	23003	23403	\N	\N	\N
927026	3160	1994-08-05	PRIJEM	VKLAD	23003	49452	\N	\N	\N
927027	3160	1994-09-05	PRIJEM	VKLAD	23003	60185	\N	\N	\N
927028	3160	1994-10-05	PRIJEM	VKLAD	23003	67657	\N	\N	\N
927029	3160	1994-11-05	PRIJEM	VKLAD	23003	71553	\N	\N	\N
927030	3160	1994-12-05	PRIJEM	VKLAD	34504	79777	\N	\N	\N
927031	3160	1995-01-05	PRIJEM	VKLAD	23003	67133	\N	\N	\N
927032	3160	1995-02-05	PRIJEM	VKLAD	23003	59544	\N	\N	\N
927033	3160	1995-03-05	PRIJEM	VKLAD	23003	58382	\N	\N	\N
927034	3160	1995-04-05	PRIJEM	VKLAD	23003	59159	\N	\N	\N
927035	3160	1995-05-05	PRIJEM	VKLAD	23003	56430	\N	\N	\N
927036	3160	1995-06-05	PRIJEM	VKLAD	34504	66294	\N	\N	\N
927037	3160	1995-07-05	PRIJEM	VKLAD	23003	56063	\N	\N	\N
927038	3160	1995-08-05	PRIJEM	VKLAD	23003	60335	\N	\N	\N
927039	3160	1995-09-05	PRIJEM	VKLAD	23003	59112	\N	\N	\N
927040	3160	1995-10-05	PRIJEM	VKLAD	23003	49873	\N	\N	\N
927041	3160	1995-11-05	PRIJEM	VKLAD	23003	52919	\N	\N	\N
927042	3160	1995-12-05	PRIJEM	VKLAD	34504	61169	\N	\N	\N
927043	3160	1996-01-05	PRIJEM	VKLAD	23003	54225	\N	\N	\N
927044	3160	1996-02-05	PRIJEM	VKLAD	23003	43576	\N	\N	\N
927045	3160	1996-03-05	PRIJEM	VKLAD	23003	52029	\N	\N	\N
927046	3160	1996-04-05	PRIJEM	VKLAD	23003	55589	\N	\N	\N
927047	3160	1996-05-05	PRIJEM	VKLAD	23003	47337	\N	\N	\N
927048	3160	1996-06-05	PRIJEM	VKLAD	34504	62079	\N	\N	\N
927049	3160	1996-07-05	PRIJEM	VKLAD	23003	46827	\N	\N	\N
927050	3160	1996-08-05	PRIJEM	VKLAD	23003	54481	\N	\N	\N
927051	3160	1996-09-05	PRIJEM	VKLAD	23003	59159	\N	\N	\N
927052	3160	1996-10-05	PRIJEM	VKLAD	23003	60045	\N	\N	\N
927053	3160	1996-11-05	PRIJEM	VKLAD	23003	54322	\N	\N	\N
927054	3160	1996-12-05	PRIJEM	VKLAD	34504	71319	\N	\N	\N
927055	3160	1997-01-05	PRIJEM	VKLAD	23003	59836	\N	\N	\N
927056	3160	1997-02-05	PRIJEM	VKLAD	23003	61655	\N	\N	\N
927057	3160	1997-03-05	PRIJEM	VKLAD	23003	76504	\N	\N	\N
927058	3160	1997-04-05	PRIJEM	VKLAD	23003	62261	\N	\N	\N
927059	3160	1997-05-05	PRIJEM	VKLAD	23003	64309	\N	\N	\N
927060	3160	1997-06-05	PRIJEM	VKLAD	34504	71958	\N	\N	\N
927061	3160	1997-07-05	PRIJEM	VKLAD	23003	62523	\N	\N	\N
927062	3160	1997-08-05	PRIJEM	VKLAD	23003	61576	\N	\N	\N
927063	3160	1997-09-05	PRIJEM	VKLAD	23003	62731	\N	\N	\N
927064	3160	1997-10-05	PRIJEM	VKLAD	23003	65490	\N	\N	\N
927065	3160	1997-11-05	PRIJEM	VKLAD	23003	67257	\N	\N	\N
927066	3160	1997-12-05	PRIJEM	VKLAD	34504	82399	\N	\N	\N
927067	3160	1998-01-05	PRIJEM	VKLAD	23003	79699	\N	\N	\N
927068	3160	1998-02-05	PRIJEM	VKLAD	23003	71993	\N	\N	\N
927069	3160	1998-03-05	PRIJEM	VKLAD	23003	73552	\N	\N	\N
927070	3160	1998-04-05	PRIJEM	VKLAD	23003	75538	\N	\N	\N
927071	3160	1998-05-05	PRIJEM	VKLAD	23003	76807	\N	\N	\N
927072	3160	1998-06-05	PRIJEM	VKLAD	34504	89881	\N	\N	\N
927073	3160	1998-07-05	PRIJEM	VKLAD	23003	78106	\N	\N	\N
927074	3160	1998-08-05	PRIJEM	VKLAD	23003	85087	\N	\N	\N
927075	3160	1998-09-05	PRIJEM	VKLAD	23003	83593	\N	\N	\N
927076	3160	1998-10-05	PRIJEM	VKLAD	23003	86323	\N	\N	\N
927077	3160	1998-11-05	PRIJEM	VKLAD	23003	85732	\N	\N	\N
927078	3160	1998-12-05	PRIJEM	VKLAD	34504	105068	\N	\N	\N
927089	3160	1994-11-14	VYDAJ	PREVOD NA UCET	8364	63189	SIPO	IJ	5269879
927090	3160	1994-12-14	VYDAJ	PREVOD NA UCET	8364	68313	SIPO	IJ	5269879
927091	3160	1995-01-14	VYDAJ	PREVOD NA UCET	8364	45469	SIPO	IJ	5269879
927092	3160	1995-02-14	VYDAJ	PREVOD NA UCET	8364	51180	SIPO	IJ	5269879
927093	3160	1995-03-14	VYDAJ	PREVOD NA UCET	8364	50018	SIPO	IJ	5269879
927094	3160	1995-04-14	VYDAJ	PREVOD NA UCET	8364	50795	SIPO	IJ	5269879
927095	3160	1995-05-14	VYDAJ	PREVOD NA UCET	8364	48066	SIPO	IJ	5269879
927096	3160	1995-06-14	VYDAJ	PREVOD NA UCET	8364	41230	SIPO	IJ	5269879
927097	3160	1995-07-14	VYDAJ	PREVOD NA UCET	8364	37199	SIPO	IJ	5269879
927098	3160	1995-08-14	VYDAJ	PREVOD NA UCET	8364	35971	SIPO	IJ	5269879
927099	3160	1995-09-14	VYDAJ	PREVOD NA UCET	8364	31648	SIPO	IJ	5269879
927100	3160	1995-10-14	VYDAJ	PREVOD NA UCET	8364	29809	SIPO	IJ	5269879
927101	3160	1995-11-14	VYDAJ	PREVOD NA UCET	8364	29755	SIPO	IJ	5269879
927102	3160	1995-12-14	VYDAJ	PREVOD NA UCET	8364	33705	SIPO	IJ	5269879
927103	3160	1996-01-14	VYDAJ	PREVOD NA UCET	8364	29761	SIPO	IJ	5269879
927104	3160	1996-02-14	VYDAJ	PREVOD NA UCET	8364	28912	SIPO	IJ	5269879
927105	3160	1996-03-14	VYDAJ	PREVOD NA UCET	8364	32465	SIPO	IJ	5269879
927106	3160	1996-04-14	VYDAJ	PREVOD NA UCET	8364	29825	SIPO	IJ	5269879
927107	3160	1996-05-14	VYDAJ	PREVOD NA UCET	8364	27473	SIPO	IJ	5269879
927108	3160	1996-06-14	VYDAJ	PREVOD NA UCET	8364	37815	SIPO	IJ	5269879
927109	3160	1996-07-14	VYDAJ	PREVOD NA UCET	8364	31363	SIPO	IJ	5269879
927110	3160	1996-08-14	VYDAJ	PREVOD NA UCET	8364	36017	SIPO	IJ	5269879
927111	3160	1996-09-14	VYDAJ	PREVOD NA UCET	8364	36895	SIPO	IJ	5269879
927112	3160	1996-10-14	VYDAJ	PREVOD NA UCET	8364	35181	SIPO	IJ	5269879
927113	3160	1996-11-14	VYDAJ	PREVOD NA UCET	8364	36658	SIPO	IJ	5269879
927114	3160	1996-12-14	VYDAJ	PREVOD NA UCET	8364	41355	SIPO	IJ	5269879
927115	3160	1997-01-14	VYDAJ	PREVOD NA UCET	8364	46172	SIPO	IJ	5269879
927116	3160	1997-02-14	VYDAJ	PREVOD NA UCET	8364	53291	SIPO	IJ	5269879
927117	3160	1997-03-14	VYDAJ	PREVOD NA UCET	8364	46540	SIPO	IJ	5269879
927118	3160	1997-04-14	VYDAJ	PREVOD NA UCET	8364	53897	SIPO	IJ	5269879
927119	3160	1997-05-14	VYDAJ	PREVOD NA UCET	8364	50945	SIPO	IJ	5269879
927120	3160	1997-06-14	VYDAJ	PREVOD NA UCET	8364	63594	SIPO	IJ	5269879
927121	3160	1997-07-14	VYDAJ	PREVOD NA UCET	8364	54159	SIPO	IJ	5269879
927122	3160	1997-08-14	VYDAJ	PREVOD NA UCET	8364	53212	SIPO	IJ	5269879
927123	3160	1997-09-14	VYDAJ	PREVOD NA UCET	8364	54367	SIPO	IJ	5269879
927124	3160	1997-10-14	VYDAJ	PREVOD NA UCET	8364	57126	SIPO	IJ	5269879
927125	3160	1997-11-14	VYDAJ	PREVOD NA UCET	8364	58893	SIPO	IJ	5269879
927126	3160	1997-12-14	VYDAJ	PREVOD NA UCET	8364	74035	SIPO	IJ	5269879
927127	3160	1998-01-14	VYDAJ	PREVOD NA UCET	8364	66535	SIPO	IJ	5269879
927128	3160	1998-02-14	VYDAJ	PREVOD NA UCET	8364	63629	SIPO	IJ	5269879
927129	3160	1998-03-14	VYDAJ	PREVOD NA UCET	8364	65188	SIPO	IJ	5269879
927130	3160	1998-04-14	VYDAJ	PREVOD NA UCET	8364	67174	SIPO	IJ	5269879
927131	3160	1998-05-14	VYDAJ	PREVOD NA UCET	8364	68443	SIPO	IJ	5269879
927132	3160	1998-06-14	VYDAJ	PREVOD NA UCET	8364	80717	SIPO	IJ	5269879
927133	3160	1998-07-14	VYDAJ	PREVOD NA UCET	8364	69742	SIPO	IJ	5269879
927134	3160	1998-08-14	VYDAJ	PREVOD NA UCET	8364	76723	SIPO	IJ	5269879
927135	3160	1998-09-14	VYDAJ	PREVOD NA UCET	8364	75229	SIPO	IJ	5269879
927136	3160	1998-10-14	VYDAJ	PREVOD NA UCET	8364	77959	SIPO	IJ	5269879
927137	3160	1998-11-14	VYDAJ	PREVOD NA UCET	8364	75468	SIPO	IJ	5269879
927138	3160	1998-12-14	VYDAJ	PREVOD NA UCET	8364	96704	SIPO	IJ	5269879
927140	3160	1995-06-23	VYDAJ	VYBER	8300	32930	\N	\N	\N
927141	3160	1996-06-16	VYDAJ	VYBER	14100	23715	\N	\N	\N
927142	3160	1997-06-22	VYDAJ	VYBER	19400	44194	\N	\N	\N
927143	3160	1998-06-25	VYDAJ	VYBER	11900	68817	\N	\N	\N
927145	3160	1995-01-07	VYDAJ	VYBER	8700	58433	\N	\N	\N
927146	3160	1996-01-19	VYDAJ	VYBER	1400	27061	\N	\N	\N
927147	3160	1997-01-10	VYDAJ	VYBER	5300	54536	\N	\N	\N
927148	3160	1998-01-26	VYDAJ	VYBER KARTOU	1200	57335	\N	\N	0
927149	3160	1994-12-17	VYDAJ	VYBER	1000	48313	\N	\N	\N
927150	3160	1995-12-27	VYDAJ	VYBER	2600	31105	\N	\N	\N
927151	3160	1996-12-10	VYDAJ	VYBER	1100	49719	\N	\N	\N
927152	3160	1997-12-27	VYDAJ	VYBER KARTOU	1200	72835	\N	\N	0
927153	3160	1998-12-22	VYDAJ	VYBER KARTOU	1900	94804	\N	\N	0
927160	3160	1995-01-11	VYDAJ	VYBER	1400	54933	\N	\N	\N
927161	3160	1995-01-04	VYDAJ	VYBER	2400	46130	\N	\N	\N
927162	3160	1995-01-11	VYDAJ	VYBER	600	54333	\N	\N	\N
927163	3160	1995-01-04	VYDAJ	VYBER	2000	44130	\N	\N	\N
927164	3160	1995-01-09	VYDAJ	VYBER	2100	56333	\N	\N	\N
927165	3160	1995-01-13	VYDAJ	VYBER	500	53833	\N	\N	\N
927166	3160	1996-01-16	VYDAJ	VYBER	1300	28461	\N	\N	\N
927167	3160	1996-01-08	VYDAJ	VYBER	2400	51825	\N	\N	\N
927168	3160	1996-01-21	VYDAJ	VYBER	2800	24261	\N	\N	\N
927169	3160	1996-01-27	VYDAJ	VYBER	2000	20461	\N	\N	\N
927170	3160	1996-01-14	VYDAJ	VYBER	2700	38125	\N	\N	\N
927171	3160	1996-01-27	VYDAJ	VYBER	1800	22461	\N	\N	\N
927172	3160	1997-01-03	VYDAJ	VYBER	2600	37433	\N	\N	\N
927173	3160	1997-01-18	VYDAJ	VYBER	1200	44972	\N	\N	\N
927174	3160	1997-01-27	VYDAJ	VYBER	600	40972	\N	\N	\N
927175	3160	1997-01-24	VYDAJ	VYBER	800	41572	\N	\N	\N
927176	3160	1997-01-03	VYDAJ	VYBER	1500	40033	\N	\N	\N
927177	3160	1997-01-22	VYDAJ	VYBER	2600	42372	\N	\N	\N
927178	3160	1998-01-26	VYDAJ	VYBER KARTOU	1900	58535	\N	\N	0
927179	3160	1998-01-07	VYDAJ	VYBER KARTOU	500	76099	\N	\N	0
927180	3160	1998-01-24	VYDAJ	VYBER KARTOU	1400	65135	\N	\N	0
927181	3160	1998-01-07	VYDAJ	VYBER KARTOU	1700	76599	\N	\N	0
927182	3160	1998-01-05	VYDAJ	VYBER KARTOU	1400	78299	\N	\N	0
927183	3160	1998-01-10	VYDAJ	VYBER KARTOU	1200	74899	\N	\N	0
927185	3160	1994-12-07	VYDAJ	VYBER	3100	76677	\N	\N	\N
927189	3160	1995-09-24	VYDAJ	VYBER	4900	26748	\N	\N	\N
927190	3160	1995-02-04	VYDAJ	VYBER	600	36541	\N	\N	\N
927191	3160	1995-05-19	VYDAJ	VYBER	2100	31666	\N	\N	\N
927192	3160	1995-11-25	VYDAJ	VYBER	3200	26555	\N	\N	\N
927193	3160	1995-04-19	VYDAJ	VYBER	900	33295	\N	\N	\N
927194	3160	1996-02-05	VYDAJ	VYBER	3200	40376	\N	\N	\N
927195	3160	1996-10-27	VYDAJ	VYBER	4000	31181	\N	\N	\N
927196	3160	1996-04-25	VYDAJ	VYBER	900	24225	\N	\N	\N
927197	3160	1996-04-19	VYDAJ	VYBER	4700	25125	\N	\N	\N
927198	3160	1997-04-15	VYDAJ	VYBER	2700	51197	\N	\N	\N
927199	3160	1997-05-14	VYDAJ	VYBER	4000	59309	\N	\N	\N
927200	3160	1997-05-25	VYDAJ	VYBER	2900	48045	\N	\N	\N
927201	3160	1997-05-09	VYDAJ	VYBER	1000	63309	\N	\N	\N
927202	3160	1998-10-20	VYDAJ	VYBER KARTOU	1200	76759	\N	\N	0
927203	3160	1998-09-02	VYDAJ	VYBER KARTOU	3100	60590	\N	\N	0
927204	3160	1998-11-03	VYDAJ	VYBER KARTOU	2500	62729	\N	\N	0
927205	3160	1998-01-26	VYDAJ	VYBER	4700	60435	\N	\N	\N
927206	3160	1998-11-07	VYDAJ	VYBER KARTOU	1900	83832	\N	\N	0
927207	3160	1998-06-08	VYDAJ	VYBER KARTOU	800	89081	\N	\N	0
927208	3160	1998-03-23	VYDAJ	VYBER KARTOU	1600	63588	\N	\N	0
927209	3160	1998-05-25	VYDAJ	VYBER	4200	64243	\N	\N	\N
927210	3160	1998-04-18	VYDAJ	VYBER KARTOU	1000	66174	\N	\N	0
927222	3160	1994-11-30	VYDAJ	VYBER	15	45273	SLUZBY	\N	\N
927223	3160	1994-12-31	VYDAJ	VYBER	15	48530	SLUZBY	\N	\N
927224	3160	1995-01-31	VYDAJ	VYBER	15	37141	SLUZBY	\N	\N
927225	3160	1995-02-28	VYDAJ	VYBER	15	35379	SLUZBY	\N	\N
927226	3160	1995-03-31	VYDAJ	VYBER	15	36156	SLUZBY	\N	\N
927227	3160	1995-04-30	VYDAJ	VYBER	15	33427	SLUZBY	\N	\N
927228	3160	1995-05-31	VYDAJ	VYBER	15	31790	SLUZBY	\N	\N
927229	3160	1995-06-30	VYDAJ	VYBER	15	33060	SLUZBY	\N	\N
927230	3160	1995-07-31	VYDAJ	VYBER	15	37332	SLUZBY	\N	\N
927231	3160	1995-08-31	VYDAJ	VYBER	15	36109	SLUZBY	\N	\N
927232	3160	1995-09-30	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
927233	3160	1995-10-31	VYDAJ	VYBER	15	29916	SLUZBY	\N	\N
927234	3160	1995-11-30	VYDAJ	VYBER	15	26665	SLUZBY	\N	\N
927235	3160	1995-12-31	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
927236	3160	1996-01-31	VYDAJ	VYBER	15	20573	SLUZBY	\N	\N
927237	3160	1996-02-29	VYDAJ	VYBER	15	29026	SLUZBY	\N	\N
927238	3160	1996-03-31	VYDAJ	VYBER	15	32586	SLUZBY	\N	\N
927239	3160	1996-04-30	VYDAJ	VYBER	15	24334	SLUZBY	\N	\N
927240	3160	1996-05-31	VYDAJ	VYBER	15	27575	SLUZBY	\N	\N
927241	3160	1996-06-30	VYDAJ	VYBER	15	23824	SLUZBY	\N	\N
927242	3160	1996-07-31	VYDAJ	VYBER	15	31478	SLUZBY	\N	\N
927243	3160	1996-08-31	VYDAJ	VYBER	15	36156	SLUZBY	\N	\N
927244	3160	1996-09-30	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
927245	3160	1996-10-31	VYDAJ	VYBER	15	31319	SLUZBY	\N	\N
927246	3160	1996-11-30	VYDAJ	VYBER	15	36815	SLUZBY	\N	\N
927247	3160	1996-12-31	VYDAJ	VYBER	15	41533	SLUZBY	\N	\N
927248	3160	1997-01-31	VYDAJ	VYBER	15	41152	SLUZBY	\N	\N
927249	3160	1997-02-28	VYDAJ	VYBER	15	53501	SLUZBY	\N	\N
927250	3160	1997-03-31	VYDAJ	VYBER	15	46758	SLUZBY	\N	\N
927251	3160	1997-04-30	VYDAJ	VYBER	15	51406	SLUZBY	\N	\N
927252	3160	1997-05-31	VYDAJ	VYBER	15	48254	SLUZBY	\N	\N
927253	3160	1997-06-30	VYDAJ	VYBER	15	44420	SLUZBY	\N	\N
927254	3160	1997-07-31	VYDAJ	VYBER	15	54373	SLUZBY	\N	\N
927255	3160	1997-08-31	VYDAJ	VYBER	15	53428	SLUZBY	\N	\N
927256	3160	1997-09-30	VYDAJ	VYBER	15	54587	SLUZBY	\N	\N
927257	3160	1997-10-31	VYDAJ	VYBER	15	44254	SLUZBY	\N	\N
927258	3160	1997-11-30	VYDAJ	VYBER	15	59095	SLUZBY	\N	\N
927259	3160	1997-12-31	VYDAJ	VYBER	15	56696	SLUZBY	\N	\N
927260	3160	1998-01-31	VYDAJ	VYBER	15	48990	SLUZBY	\N	\N
927261	3160	1998-02-28	VYDAJ	VYBER	15	63849	SLUZBY	\N	\N
927262	3160	1998-03-31	VYDAJ	VYBER	15	52535	SLUZBY	\N	\N
927263	3160	1998-04-30	VYDAJ	VYBER	15	53804	SLUZBY	\N	\N
927264	3160	1998-05-31	VYDAJ	VYBER	15	55377	SLUZBY	\N	\N
927265	3160	1998-06-30	VYDAJ	VYBER	15	55103	SLUZBY	\N	\N
927266	3160	1998-07-31	VYDAJ	VYBER	15	62084	SLUZBY	\N	\N
927267	3160	1998-08-31	VYDAJ	VYBER	15	63690	SLUZBY	\N	\N
927268	3160	1998-09-30	VYDAJ	VYBER	15	63320	SLUZBY	\N	\N
927269	3160	1998-10-31	VYDAJ	VYBER	15	65229	SLUZBY	\N	\N
927270	3160	1998-11-30	VYDAJ	VYBER	15	70564	SLUZBY	\N	\N
927271	3160	1994-07-19	PRIJEM	VKLAD	3000	26403	\N	\N	\N
927272	3160	1994-08-18	VYDAJ	VYBER	12400	37052	\N	\N	\N
927273	3160	1994-09-17	VYDAJ	VYBER	15700	44485	\N	\N	\N
927274	3160	1994-10-17	VYDAJ	VYBER	19300	48357	\N	\N	\N
927275	3160	1994-11-16	VYDAJ	VYBER	18100	45089	\N	\N	\N
927276	3160	1994-12-16	VYDAJ	VYBER	19000	49313	\N	\N	\N
927277	3160	1995-01-15	VYDAJ	VYBER	8500	36969	\N	\N	\N
927278	3160	1995-02-14	VYDAJ	VYBER	16000	35180	\N	\N	\N
927279	3160	1995-03-16	VYDAJ	VYBER	14000	36018	\N	\N	\N
927280	3160	1995-04-15	VYDAJ	VYBER	16600	34195	\N	\N	\N
927281	3160	1995-05-15	VYDAJ	VYBER	14300	33766	\N	\N	\N
927282	3160	1995-06-14	VYDAJ	VYBER	16700	49594	\N	\N	\N
927283	3160	1995-07-14	VYDAJ	VYBER	10500	45563	\N	\N	\N
927284	3160	1995-08-13	VYDAJ	VYBER	16000	44335	\N	\N	\N
927285	3160	1995-09-12	VYDAJ	VYBER	19100	40012	\N	\N	\N
927286	3160	1995-10-12	VYDAJ	VYBER	11700	38173	\N	\N	\N
927287	3160	1995-11-11	VYDAJ	VYBER	14800	38119	\N	\N	\N
927288	3160	1995-12-11	VYDAJ	VYBER	19100	42069	\N	\N	\N
927289	3160	1996-01-10	VYDAJ	VYBER	11000	40825	\N	\N	\N
927290	3160	1996-02-09	VYDAJ	VYBER	3100	37276	\N	\N	\N
927291	3160	1996-03-10	VYDAJ	VYBER	11200	40829	\N	\N	\N
927292	3160	1996-04-09	VYDAJ	VYBER	17400	38189	\N	\N	\N
927293	3160	1996-05-09	VYDAJ	VYBER	11500	35837	\N	\N	\N
927294	3160	1996-06-08	VYDAJ	VYBER	15900	46179	\N	\N	\N
927295	3160	1996-07-08	VYDAJ	VYBER	7100	39727	\N	\N	\N
927296	3160	1996-08-07	VYDAJ	VYBER	10100	44381	\N	\N	\N
927297	3160	1996-09-06	VYDAJ	VYBER	13900	45259	\N	\N	\N
927298	3160	1996-10-06	VYDAJ	VYBER	16500	43545	\N	\N	\N
927299	3160	1996-11-05	VYDAJ	VYBER	9300	45022	\N	\N	\N
927300	3160	1996-12-05	VYDAJ	VYBER	20500	50819	\N	\N	\N
927301	3160	1997-01-04	VYDAJ	VYBER	600	36833	\N	\N	\N
927302	3160	1997-02-03	VYDAJ	VYBER	2500	38652	\N	\N	\N
927303	3160	1997-03-05	VYDAJ	VYBER	21600	54904	\N	\N	\N
927304	3160	1997-04-04	VYDAJ	VYBER	7500	39258	\N	\N	\N
927305	3160	1997-05-04	VYDAJ	VYBER	10100	41306	\N	\N	\N
927306	3160	1997-06-03	VYDAJ	VYBER	10800	37454	\N	\N	\N
927307	3160	1997-07-03	VYDAJ	VYBER	4900	39520	\N	\N	\N
927308	3160	1997-08-02	VYDAJ	VYBER	15800	38573	\N	\N	\N
927309	3160	1997-09-01	VYDAJ	VYBER	13700	39728	\N	\N	\N
927310	3160	1997-10-01	VYDAJ	VYBER	12100	42487	\N	\N	\N
927311	3160	1997-10-31	VYDAJ	VYBER	13100	44269	\N	\N	\N
927312	3160	1997-11-30	VYDAJ	VYBER	11200	47895	\N	\N	\N
927313	3160	1997-12-30	VYDAJ	VYBER	16400	56435	\N	\N	\N
927314	3160	1998-01-29	VYDAJ	VYBER	8600	48735	\N	\N	\N
927315	3160	1998-02-28	VYDAJ	VYBER	13300	50549	\N	\N	\N
927316	3160	1998-03-30	VYDAJ	VYBER	11300	52288	\N	\N	\N
927317	3160	1998-04-29	VYDAJ	VYBER	12600	53574	\N	\N	\N
927318	3160	1998-05-29	VYDAJ	VYBER	9100	55143	\N	\N	\N
927319	3160	1998-06-28	VYDAJ	VYBER	14000	54817	\N	\N	\N
927320	3160	1998-07-28	VYDAJ	VYBER	7900	61842	\N	\N	\N
927321	3160	1998-08-27	VYDAJ	VYBER	13300	63423	\N	\N	\N
927322	3160	1998-09-26	VYDAJ	VYBER	12200	63029	\N	\N	\N
927323	3160	1998-10-26	VYDAJ	VYBER	11800	64959	\N	\N	\N
927324	3160	1998-11-25	VYDAJ	VYBER	5200	70268	\N	\N	\N
927379	3161	1996-08-26	PRIJEM	VKLAD	700	700	\N	\N	\N
927381	3161	1996-10-06	PRIJEM	VKLAD	18797	33572	\N	\N	\N
927383	3161	1996-09-14	PRIJEM	VKLAD	6463	7163	\N	\N	\N
927388	3161	1997-01-30	PRIJEM	VKLAD	7438	32261	\N	\N	\N
927389	3161	1997-07-17	PRIJEM	VKLAD	28739	89714	\N	\N	\N
927390	3161	1997-06-04	PRIJEM	VKLAD	33207	76980	\N	\N	\N
927391	3161	1997-06-12	PRIJEM	VKLAD	30764	107744	\N	\N	\N
927392	3161	1997-12-28	PRIJEM	VKLAD	7340	31917	\N	\N	\N
927393	3161	1997-07-13	PRIJEM	VKLAD	31065	60975	\N	\N	\N
927394	3161	1997-05-23	PRIJEM	VKLAD	38021	66721	\N	\N	\N
927395	3161	1997-10-27	PRIJEM	VKLAD	18933	36723	\N	\N	\N
927396	3161	1998-09-26	PRIJEM	VKLAD	26513	77841	\N	\N	\N
927397	3161	1998-09-15	PRIJEM	VKLAD	37128	105928	\N	\N	\N
927398	3161	1998-01-01	PRIJEM	VKLAD	22898	54927	\N	\N	\N
927399	3161	1998-04-07	PRIJEM	VKLAD	9455	104073	\N	\N	\N
927400	3161	1998-08-11	PRIJEM	VKLAD	42546	69687	\N	\N	\N
927401	3161	1998-01-07	PRIJEM	VKLAD	39613	89740	\N	\N	\N
927402	3161	1998-11-21	PRIJEM	VKLAD	28966	75020	\N	\N	\N
927403	3161	1998-01-18	PRIJEM	VKLAD	7328	91668	\N	\N	\N
927404	3161	1998-09-11	PRIJEM	VKLAD	7803	71301	\N	\N	\N
927405	3161	1998-02-26	PRIJEM	VKLAD	36527	80571	\N	\N	\N
927406	3161	1998-05-11	PRIJEM	VKLAD	42540	76841	\N	\N	\N
927407	3161	1998-06-08	PRIJEM	VKLAD	6671	94720	\N	\N	\N
927408	3161	1998-11-19	PRIJEM	VKLAD	21448	46054	\N	\N	\N
927409	3161	1998-02-12	PRIJEM	VKLAD	20332	62844	\N	\N	\N
927410	3161	1998-06-04	PRIJEM	VKLAD	40792	90549	\N	\N	\N
927411	3161	1998-08-17	PRIJEM	VKLAD	27018	63304	\N	\N	\N
927412	3161	1998-12-14	PRIJEM	VKLAD	34283	127752	\N	\N	\N
927413	3161	1998-12-03	PRIJEM	VKLAD	43257	118470	\N	\N	\N
927414	3161	1998-04-02	PRIJEM	VKLAD	43783	94618	\N	\N	\N
927432	3161	1997-06-02	VYDAJ	VYBER	3000	43773	\N	\N	0
927433	3161	1997-07-21	VYDAJ	VYBER	2500	87214	\N	\N	0
927434	3161	1997-08-14	VYDAJ	VYBER	2300	40556	\N	\N	0
927435	3161	1997-09-13	VYDAJ	VYBER	2700	17180	\N	\N	0
927436	3161	1997-10-10	VYDAJ	VYBER	3400	7690	\N	\N	0
927437	3161	1997-11-21	VYDAJ	VYBER	2000	30847	\N	\N	0
927438	3161	1997-12-13	VYDAJ	VYBER	2500	28477	\N	\N	0
927439	3161	1998-01-24	VYDAJ	VYBER	2400	42268	\N	\N	0
927440	3161	1998-02-12	VYDAJ	VYBER	2600	60244	\N	\N	0
927441	3161	1998-03-07	VYDAJ	VYBER	2600	78166	\N	\N	0
927442	3161	1998-04-23	VYDAJ	VYBER	2800	52373	\N	\N	0
927443	3161	1998-05-09	VYDAJ	VYBER	2000	34301	\N	\N	0
927444	3161	1998-06-06	VYDAJ	VYBER	2500	88049	\N	\N	0
927445	3161	1998-07-12	VYDAJ	PREVOD NA UCET	2501	53390	UVER	CD	21771204
927446	3161	1998-08-12	VYDAJ	PREVOD NA UCET	2501	67186	UVER	CD	21771204
927447	3161	1998-09-12	VYDAJ	PREVOD NA UCET	2501	68800	UVER	CD	21771204
927448	3161	1998-10-12	VYDAJ	PREVOD NA UCET	2501	75582	UVER	CD	21771204
927449	3161	1998-11-12	VYDAJ	PREVOD NA UCET	2501	38506	UVER	CD	21771204
927450	3161	1998-12-12	VYDAJ	PREVOD NA UCET	2501	93469	UVER	CD	21771204
927451	3161	1997-10-04	VYBER	VYBER	9259	11090	\N	\N	\N
927452	3161	1997-11-09	VYBER	VYBER	7234	29547	\N	\N	\N
927453	3161	1997-08-28	VYBER	VYBER	14642	19714	\N	\N	\N
927454	3161	1997-07-06	VYBER	VYBER	24516	29910	\N	\N	\N
927455	3161	1998-05-03	VYBER	VYBER	16325	36301	\N	\N	\N
927457	3161	1997-12-25	VYDAJ	VYBER	3900	24577	\N	\N	\N
927458	3161	1998-12-16	VYDAJ	VYBER	3300	36052	\N	\N	\N
927471	3161	1998-01-24	VYDAJ	VYBER	5700	51568	\N	\N	\N
927472	3161	1998-01-04	VYDAJ	VYBER	4800	50127	\N	\N	\N
927473	3161	1998-01-24	VYDAJ	VYBER	6900	44668	\N	\N	\N
927474	3161	1998-01-07	VYDAJ	VYBER	2400	87340	\N	\N	\N
927475	3161	1998-01-11	VYDAJ	VYBER	3000	84340	\N	\N	\N
927476	3161	1998-01-18	VYDAJ	VYBER	5700	57268	\N	\N	\N
927480	3161	1997-08-08	VYDAJ	VYBER	14400	42856	\N	\N	\N
927482	3161	1997-10-14	VYDAJ	VYBER	3600	4090	\N	\N	\N
927483	3161	1998-07-13	VYDAJ	VYBER	12900	40490	\N	\N	\N
927484	3161	1998-12-07	VYDAJ	VYBER	5100	95970	\N	\N	\N
927503	3161	1997-06-30	VYDAJ	VYBER	15	54426	SLUZBY	\N	\N
927504	3161	1997-07-31	VYDAJ	VYBER	15	57256	SLUZBY	\N	\N
927505	3161	1997-08-31	VYDAJ	VYBER	15	19880	SLUZBY	\N	\N
927506	3161	1997-09-30	VYDAJ	VYBER	15	20349	SLUZBY	\N	\N
927507	3161	1997-10-31	VYDAJ	VYBER	15	36781	SLUZBY	\N	\N
927508	3161	1997-11-30	VYDAJ	VYBER	15	30977	SLUZBY	\N	\N
927509	3161	1997-12-31	VYDAJ	VYBER	15	32029	SLUZBY	\N	\N
927510	3161	1998-01-31	VYDAJ	VYBER	15	42512	SLUZBY	\N	\N
927511	3161	1998-02-28	VYDAJ	VYBER	15	80766	SLUZBY	\N	\N
927512	3161	1998-03-31	VYDAJ	VYBER	15	50835	SLUZBY	\N	\N
927513	3161	1998-04-30	VYDAJ	VYBER	15	52626	SLUZBY	\N	\N
927514	3161	1998-05-31	VYDAJ	VYBER	15	49757	SLUZBY	\N	\N
927515	3161	1998-06-30	VYDAJ	VYBER	15	55891	SLUZBY	\N	\N
927516	3161	1998-07-31	VYDAJ	VYBER	15	27141	SLUZBY	\N	\N
927517	3161	1998-08-31	VYDAJ	VYBER	15	63498	SLUZBY	\N	\N
927518	3161	1998-09-30	VYDAJ	VYBER	15	78083	SLUZBY	\N	\N
927519	3161	1998-10-31	VYDAJ	VYBER	15	41007	SLUZBY	\N	\N
927520	3161	1998-11-30	VYDAJ	VYBER	15	75213	SLUZBY	\N	\N
927521	3161	1996-09-25	PRIJEM	VKLAD	7600	14763	\N	\N	\N
927522	3161	1996-10-25	VYDAJ	VYBER	900	32672	\N	\N	\N
927523	3161	1996-11-24	VYDAJ	VYBER	4800	27951	\N	\N	\N
927524	3161	1996-12-24	VYDAJ	VYBER	3100	24987	\N	\N	\N
927525	3161	1997-01-23	VYDAJ	VYBER	300	24823	\N	\N	\N
927526	3161	1997-02-22	VYDAJ	VYBER	3700	28697	\N	\N	\N
927527	3161	1997-03-24	VYDAJ	VYBER	1100	27731	\N	\N	\N
927528	3161	1997-04-23	PRIJEM	VKLAD	700	28566	\N	\N	\N
927529	3161	1997-05-23	VYDAJ	VYBER	20100	46621	\N	\N	\N
927530	3161	1997-06-12	VYDAJ	VYBER	18800	88944	\N	\N	\N
927531	3161	1997-06-22	VYDAJ	VYBER	34800	54144	\N	\N	\N
927532	3161	1997-07-22	VYDAJ	VYBER	30200	57014	\N	\N	\N
927533	3161	1997-08-21	VYDAJ	VYBER	6200	34356	\N	\N	\N
927534	3161	1997-09-20	PRIJEM	VKLAD	3100	20280	\N	\N	\N
927535	3161	1997-10-20	PRIJEM	VKLAD	13700	17790	\N	\N	\N
927536	3161	1997-11-19	PRIJEM	VKLAD	3300	32847	\N	\N	\N
927537	3161	1998-01-18	VYDAJ	VYBER	28700	62968	\N	\N	\N
927538	3161	1998-02-17	VYDAJ	VYBER	16200	44044	\N	\N	\N
927539	3161	1998-03-19	VYDAJ	VYBER	27600	50566	\N	\N	\N
927540	3161	1998-04-07	VYDAJ	VYBER	19200	84873	\N	\N	\N
927541	3161	1998-04-18	VYDAJ	VYBER	29700	55173	\N	\N	\N
927542	3161	1998-05-18	VYDAJ	VYBER	27300	49541	\N	\N	\N
927543	3161	1998-06-17	VYDAJ	VYBER	39100	55620	\N	\N	\N
927544	3161	1998-07-17	VYDAJ	VYBER	13500	26990	\N	\N	\N
927545	3161	1998-08-16	VYDAJ	VYBER	30900	36286	\N	\N	\N
927546	3161	1998-09-15	VYDAJ	VYBER	54600	51328	\N	\N	\N
927547	3161	1998-10-15	VYDAJ	VYBER	34800	40782	\N	\N	\N
927548	3161	1998-11-14	VYDAJ	VYBER	13900	24606	\N	\N	\N
927549	3161	1998-12-03	VYDAJ	VYBER	17400	101070	\N	\N	\N
927550	3161	1998-12-14	VYDAJ	VYBER	56000	39352	\N	\N	\N
927551	3161	1998-12-14	VYDAJ	VYBER	32400	95352	\N	\N	\N
927580	3162	1996-05-18	PRIJEM	VKLAD	700	700	\N	\N	\N
927581	3162	1996-06-06	PRIJEM	VKLAD	20288	20988	\N	\N	\N
927583	3162	1996-09-08	PRIJEM	VKLAD	8676	85043	\N	\N	\N
927584	3162	1996-12-14	PRIJEM	VKLAD	10831	71104	\N	\N	\N
927585	3162	1996-07-23	PRIJEM	VKLAD	15610	74375	\N	\N	\N
927586	3162	1996-07-16	PRIJEM	VKLAD	39514	93965	\N	\N	\N
927587	3162	1996-07-31	PRIJEM	VKLAD	15199	89574	\N	\N	\N
927589	3162	1996-08-18	PRIJEM	VKLAD	36438	90628	\N	\N	\N
927590	3162	1996-12-13	PRIJEM	VKLAD	35408	60273	\N	\N	\N
927593	3162	1996-11-19	PRIJEM	VKLAD	26631	48073	\N	\N	\N
927594	3162	1996-07-15	PRIJEM	VKLAD	32621	54451	\N	\N	\N
927596	3162	1997-05-08	PRIJEM	VKLAD	37243	77468	\N	\N	\N
927597	3162	1997-06-29	PRIJEM	VKLAD	28329	51829	\N	\N	\N
927598	3162	1997-01-19	PRIJEM	VKLAD	7879	28737	\N	\N	\N
927599	3162	1997-12-16	PRIJEM	VKLAD	24324	49633	\N	\N	\N
927600	3162	1997-08-03	PRIJEM	VKLAD	19231	62461	\N	\N	\N
927601	3162	1997-11-13	PRIJEM	VKLAD	13041	31856	\N	\N	\N
927602	3162	1997-05-03	PRIJEM	VKLAD	21685	40225	\N	\N	\N
927603	3162	1997-09-03	PRIJEM	VKLAD	26103	83950	\N	\N	\N
927604	3162	1997-07-02	PRIJEM	VKLAD	12961	64903	\N	\N	\N
927605	3162	1997-06-07	PRIJEM	VKLAD	26091	61650	\N	\N	\N
927606	3162	1997-09-22	PRIJEM	VKLAD	44432	79132	\N	\N	\N
927607	3162	1997-01-03	PRIJEM	VKLAD	8505	57008	\N	\N	\N
927608	3162	1997-11-23	PRIJEM	VKLAD	13709	45565	\N	\N	\N
927609	3162	1997-07-09	PRIJEM	VKLAD	24961	80514	\N	\N	\N
927610	3162	1997-03-26	PRIJEM	VKLAD	8466	38695	\N	\N	\N
927611	3162	1997-01-20	PRIJEM	VKLAD	37647	66384	\N	\N	\N
927612	3162	1997-08-10	PRIJEM	VKLAD	31517	94653	\N	\N	\N
927613	3162	1997-08-09	PRIJEM	VKLAD	10025	63136	\N	\N	\N
927614	3162	1997-02-18	PRIJEM	VKLAD	7149	46693	\N	\N	\N
927615	3162	1998-06-01	PRIJEM	VKLAD	18275	38056	\N	\N	\N
927616	3162	1998-12-07	PRIJEM	VKLAD	49208	67434	\N	\N	\N
927624	3162	1996-08-08	VYDAJ	PREVOD NA UCET	9350	80390	SIPO	IJ	32623553
927625	3162	1996-09-08	VYDAJ	PREVOD NA UCET	9350	75693	SIPO	IJ	32623553
927626	3162	1996-10-08	VYDAJ	PREVOD NA UCET	9350	31974	SIPO	IJ	32623553
927627	3162	1996-11-08	VYDAJ	PREVOD NA UCET	9350	21742	SIPO	IJ	32623553
927628	3162	1996-12-08	VYDAJ	PREVOD NA UCET	9350	28165	SIPO	IJ	32623553
927629	3162	1997-01-08	VYDAJ	PREVOD NA UCET	9350	47658	SIPO	IJ	32623553
927630	3162	1997-02-08	VYDAJ	PREVOD NA UCET	9350	54444	SIPO	IJ	32623553
927631	3162	1997-03-08	VYDAJ	PREVOD NA UCET	9350	37529	SIPO	IJ	32623553
927632	3162	1997-04-08	VYDAJ	PREVOD NA UCET	9350	22271	SIPO	IJ	32623553
927633	3162	1997-05-08	VYDAJ	PREVOD NA UCET	9350	68118	SIPO	IJ	32623553
927634	3162	1997-06-08	VYDAJ	PREVOD NA UCET	9350	52300	SIPO	IJ	32623553
927635	3162	1997-07-08	VYDAJ	PREVOD NA UCET	9350	55553	SIPO	IJ	32623553
927636	3162	1997-08-08	VYDAJ	PREVOD NA UCET	9350	53111	SIPO	IJ	32623553
927637	3162	1997-09-08	VYDAJ	PREVOD NA UCET	9350	74600	SIPO	IJ	32623553
927638	3162	1997-10-08	VYDAJ	PREVOD NA UCET	9350	70000	SIPO	IJ	32623553
927639	3162	1997-11-08	VYDAJ	PREVOD NA UCET	9350	11815	SIPO	IJ	32623553
927640	3162	1997-12-08	VYDAJ	PREVOD NA UCET	9350	25509	SIPO	IJ	32623553
927641	3162	1998-01-08	VYDAJ	PREVOD NA UCET	9350	38319	SIPO	IJ	32623553
927642	3162	1998-02-08	VYDAJ	PREVOD NA UCET	9350	10296	SIPO	IJ	32623553
927643	3162	1998-03-08	VYDAJ	PREVOD NA UCET	9350	970	SIPO	IJ	32623553
927645	3162	1998-05-08	VYDAJ	PREVOD NA UCET	9350	19705	SIPO	IJ	32623553
927646	3162	1998-06-08	VYDAJ	PREVOD NA UCET	9350	25606	SIPO	IJ	32623553
927647	3162	1998-07-08	VYDAJ	PREVOD NA UCET	9350	15727	SIPO	IJ	32623553
927648	3162	1998-08-08	VYDAJ	PREVOD NA UCET	9350	12420	SIPO	IJ	32623553
927649	3162	1998-09-08	VYDAJ	PREVOD NA UCET	9350	6693	SIPO	IJ	32623553
927650	3162	1998-10-08	VYDAJ	PREVOD NA UCET	9350	5245	SIPO	IJ	32623553
927652	3162	1998-12-08	VYDAJ	PREVOD NA UCET	9350	58084	SIPO	IJ	32623553
927653	3162	1996-08-21	VYBER	VYBER	14576	76052	\N	\N	\N
927654	3162	1996-09-14	VYBER	VYBER	7684	55919	\N	\N	\N
927657	3162	1996-09-11	VYBER	VYBER	12090	63603	\N	\N	\N
927658	3162	1996-11-28	VYBER	VYBER	10675	37398	\N	\N	\N
927661	3162	1997-07-16	VYBER	VYBER	6262	43052	\N	\N	\N
927662	3162	1997-01-25	VYBER	VYBER	2767	63617	\N	\N	\N
927670	3162	1997-06-18	VYDAJ	VYBER	12900	23500	\N	\N	\N
927673	3162	1997-01-15	VYDAJ	VYBER	15300	20858	\N	\N	\N
927675	3162	1996-12-08	VYDAJ	VYBER	3300	24865	\N	\N	\N
927676	3162	1997-12-29	VYDAJ	VYBER	2100	47533	\N	\N	\N
927677	3162	1998-12-30	VYDAJ	VYBER	5100	52984	\N	\N	\N
927683	3162	1997-03-27	VYDAJ	VYBER	7200	31495	\N	\N	\N
927684	3162	1997-08-11	VYDAJ	VYBER	2400	57553	\N	\N	\N
927686	3162	1997-11-29	VYDAJ	VYBER	10800	34765	\N	\N	\N
927687	3162	1997-10-31	VYDAJ	VYBER	12600	21165	\N	\N	\N
927688	3162	1997-05-27	VYDAJ	VYBER	6000	35418	\N	\N	\N
927689	3162	1997-09-20	VYDAJ	VYBER	11100	34700	\N	\N	\N
927690	3162	1997-10-11	VYDAJ	VYBER	12300	33600	\N	\N	\N
927693	3162	1998-01-26	VYDAJ	VYBER	8400	21819	\N	\N	\N
927705	3162	1996-07-31	VYDAJ	VYBER	30	89740	SLUZBY	\N	\N
927706	3162	1996-08-31	VYDAJ	VYBER	30	76367	SLUZBY	\N	\N
927707	3162	1996-09-30	VYDAJ	VYBER	30	41324	SLUZBY	\N	\N
927708	3162	1996-10-31	VYDAJ	VYBER	30	31092	SLUZBY	\N	\N
927709	3162	1996-11-30	VYDAJ	VYBER	30	37515	SLUZBY	\N	\N
927710	3162	1996-12-31	VYDAJ	VYBER	30	48503	SLUZBY	\N	\N
927711	3162	1997-01-31	VYDAJ	VYBER	30	63794	SLUZBY	\N	\N
927712	3162	1997-02-28	VYDAJ	VYBER	30	46879	SLUZBY	\N	\N
927713	3162	1997-03-31	VYDAJ	VYBER	30	31621	SLUZBY	\N	\N
927714	3162	1997-04-30	VYDAJ	VYBER	30	18540	SLUZBY	\N	\N
927715	3162	1997-05-31	VYDAJ	VYBER	30	35559	SLUZBY	\N	\N
927716	3162	1997-06-30	VYDAJ	VYBER	30	51942	SLUZBY	\N	\N
927717	3162	1997-07-31	VYDAJ	VYBER	30	43230	SLUZBY	\N	\N
927718	3162	1997-08-31	VYDAJ	VYBER	30	57847	SLUZBY	\N	\N
927719	3162	1997-09-30	VYDAJ	VYBER	30	79350	SLUZBY	\N	\N
927720	3162	1997-10-31	VYDAJ	VYBER	30	33765	SLUZBY	\N	\N
927721	3162	1997-11-30	VYDAJ	VYBER	30	34859	SLUZBY	\N	\N
927722	3162	1997-12-31	VYDAJ	VYBER	30	47669	SLUZBY	\N	\N
927723	3162	1998-01-31	VYDAJ	VYBER	30	21946	SLUZBY	\N	\N
927724	3162	1998-02-28	VYDAJ	VYBER	30	10320	SLUZBY	\N	\N
927725	3162	1998-03-31	VYDAJ	VYBER	30	981	SLUZBY	\N	\N
927726	3162	1998-04-30	VYDAJ	VYBER	30	15755	SLUZBY	\N	\N
927727	3162	1998-05-31	VYDAJ	VYBER	30	19781	SLUZBY	\N	\N
927728	3162	1998-06-30	VYDAJ	VYBER	30	25677	SLUZBY	\N	\N
927729	3162	1998-07-31	VYDAJ	VYBER	30	15770	SLUZBY	\N	\N
927730	3162	1998-08-31	VYDAJ	VYBER	30	12443	SLUZBY	\N	\N
927731	3162	1998-09-30	VYDAJ	VYBER	30	6695	SLUZBY	\N	\N
927732	3162	1998-10-31	VYDAJ	VYBER	30	5236	SLUZBY	\N	\N
927733	3162	1998-11-30	VYDAJ	VYBER	30	5226	SLUZBY	\N	\N
927734	3162	1996-06-17	PRIJEM	VKLAD	800	21788	\N	\N	\N
927735	3162	1996-07-17	VYDAJ	VYBER	35200	58765	\N	\N	\N
927736	3162	1996-08-16	VYDAJ	VYBER	26200	54190	\N	\N	\N
927737	3162	1996-09-15	VYDAJ	VYBER	14800	41119	\N	\N	\N
927738	3162	1996-10-15	VYDAJ	VYBER	1000	30974	\N	\N	\N
927739	3162	1996-11-14	VYDAJ	VYBER	300	21442	\N	\N	\N
927740	3162	1996-12-14	VYDAJ	VYBER	22800	48304	\N	\N	\N
927741	3162	1997-01-13	VYDAJ	VYBER	11500	36158	\N	\N	\N
927742	3162	1997-02-12	VYDAJ	VYBER	14900	39544	\N	\N	\N
927743	3162	1997-03-14	VYDAJ	VYBER	7300	30229	\N	\N	\N
927744	3162	1997-04-13	VYDAJ	VYBER	3800	18471	\N	\N	\N
927745	3162	1997-05-13	VYDAJ	VYBER	26700	41418	\N	\N	\N
927746	3162	1997-06-12	VYDAJ	VYBER	15900	36400	\N	\N	\N
927747	3162	1997-07-12	VYDAJ	VYBER	31200	49314	\N	\N	\N
927748	3162	1997-08-11	VYDAJ	VYBER	34700	59953	\N	\N	\N
927749	3162	1997-09-10	VYDAJ	VYBER	28800	45800	\N	\N	\N
927750	3162	1997-10-10	VYDAJ	VYBER	24100	45900	\N	\N	\N
927751	3162	1997-11-09	PRIJEM	VKLAD	7000	18815	\N	\N	\N
927752	3162	1997-12-09	VYDAJ	VYBER	200	25309	\N	\N	\N
927753	3162	1998-01-08	VYDAJ	VYBER	8100	30219	\N	\N	\N
927754	3162	1998-02-07	VYDAJ	VYBER	2300	19646	\N	\N	\N
927755	3162	1998-04-08	PRIJEM	VKLAD	14800	15781	\N	\N	\N
927756	3162	1998-05-08	PRIJEM	VKLAD	13300	29055	\N	\N	\N
927757	3162	1998-06-07	VYDAJ	VYBER	3100	34956	\N	\N	\N
927758	3162	1998-07-07	VYDAJ	VYBER	600	25077	\N	\N	\N
927759	3162	1998-08-06	PRIJEM	VKLAD	6000	21770	\N	\N	\N
927760	3162	1998-09-05	PRIJEM	VKLAD	3600	16043	\N	\N	\N
927761	3162	1998-10-05	PRIJEM	VKLAD	7900	14595	\N	\N	\N
927762	3162	1998-12-04	PRIJEM	VKLAD	13000	18226	\N	\N	\N
927796	3163	1997-05-24	PRIJEM	VKLAD	500	500	\N	\N	\N
927797	3163	1997-07-31	PRIJEM	VKLAD	46092	69492	\N	\N	\N
927799	3163	1998-08-05	PRIJEM	VKLAD	36228	113409	\N	\N	\N
927800	3163	1998-03-21	PRIJEM	VKLAD	24597	70638	\N	\N	\N
927801	3163	1998-12-17	PRIJEM	VKLAD	11646	57654	\N	\N	\N
927802	3163	1998-05-14	PRIJEM	VKLAD	23111	87859	\N	\N	\N
927803	3163	1998-12-14	PRIJEM	VKLAD	41004	123108	\N	\N	\N
927804	3163	1998-03-02	PRIJEM	VKLAD	41957	96636	\N	\N	\N
927805	3163	1998-11-07	PRIJEM	VKLAD	27304	59085	\N	\N	\N
927806	3163	1998-09-29	PRIJEM	VKLAD	23802	97280	\N	\N	\N
927807	3163	1998-07-01	PRIJEM	VKLAD	45159	108219	\N	\N	\N
927808	3163	1998-04-13	PRIJEM	VKLAD	15768	76219	\N	\N	\N
927809	3163	1998-01-18	PRIJEM	VKLAD	29301	69701	\N	\N	\N
927810	3163	1998-11-12	PRIJEM	VKLAD	21077	86577	\N	\N	\N
927811	3163	1998-01-04	PRIJEM	VKLAD	14351	40400	\N	\N	\N
927812	3163	1998-09-02	PRIJEM	VKLAD	41940	81548	\N	\N	\N
927813	3163	1998-06-30	PRIJEM	VKLAD	25833	62947	\N	\N	\N
927814	3163	1998-04-25	PRIJEM	VKLAD	43698	94517	\N	\N	\N
927815	3163	1998-09-26	PRIJEM	VKLAD	27440	73478	\N	\N	\N
927816	3163	1998-07-09	PRIJEM	VKLAD	20213	90462	\N	\N	\N
927817	3163	1998-11-08	PRIJEM	VKLAD	14549	72014	\N	\N	\N
927818	3163	1998-12-30	PRIJEM	VKLAD	25506	88211	\N	\N	\N
927819	3163	1998-11-15	PRIJEM	VKLAD	28988	115565	\N	\N	\N
927820	3163	1998-08-04	PRIJEM	VKLAD	36653	77181	\N	\N	\N
927821	3163	1998-12-26	PRIJEM	VKLAD	5051	62705	\N	\N	\N
927822	3163	1998-08-28	PRIJEM	VKLAD	7919	39444	\N	\N	\N
927823	3163	1998-01-27	PRIJEM	VKLAD	31762	81463	\N	\N	\N
927824	3163	1998-09-21	PRIJEM	VKLAD	26155	70719	\N	\N	\N
927825	3163	1998-06-15	PRIJEM	VKLAD	41394	53414	\N	\N	\N
927826	3163	1998-05-12	PRIJEM	VKLAD	27433	111748	\N	\N	\N
927827	3163	1998-12-05	PRIJEM	VKLAD	49231	92588	\N	\N	\N
927866	3163	1998-03-05	VYDAJ	PREVOD NA UCET	2350	94286	SIPO	MN	79781448
927867	3163	1998-04-05	VYDAJ	PREVOD NA UCET	2350	68585	SIPO	MN	79781448
927868	3163	1998-05-05	VYDAJ	PREVOD NA UCET	2350	92449	SIPO	MN	79781448
927869	3163	1998-06-05	VYDAJ	PREVOD NA UCET	2350	20154	SIPO	MN	79781448
927870	3163	1998-07-05	VYDAJ	PREVOD NA UCET	2350	71869	SIPO	MN	79781448
927871	3163	1998-08-05	VYDAJ	PREVOD NA UCET	2350	111059	SIPO	MN	79781448
927872	3163	1998-09-05	VYDAJ	PREVOD NA UCET	2350	79198	SIPO	MN	79781448
927873	3163	1998-10-05	VYDAJ	PREVOD NA UCET	2350	95175	SIPO	MN	79781448
927874	3163	1998-11-05	VYDAJ	PREVOD NA UCET	2350	31781	SIPO	MN	79781448
927875	3163	1998-12-05	VYDAJ	PREVOD NA UCET	2350	90238	SIPO	MN	79781448
927890	3163	1998-03-10	VYDAJ	PREVOD NA UCET	6514	71941	 	OP	11820799
927891	3163	1998-04-10	VYDAJ	PREVOD NA UCET	6514	60451	 	OP	11820799
927892	3163	1998-05-10	VYDAJ	PREVOD NA UCET	6514	84315	 	OP	11820799
927893	3163	1998-06-10	VYDAJ	PREVOD NA UCET	6514	12020	 	OP	11820799
927894	3163	1998-07-10	VYDAJ	PREVOD NA UCET	6514	83948	 	OP	11820799
927895	3163	1998-08-10	VYDAJ	PREVOD NA UCET	6514	42125	 	OP	11820799
927896	3163	1998-09-10	VYDAJ	PREVOD NA UCET	6514	71064	 	OP	11820799
927897	3163	1998-10-10	VYDAJ	PREVOD NA UCET	6514	87041	 	OP	11820799
927898	3163	1998-11-10	VYDAJ	PREVOD NA UCET	6514	65500	 	OP	11820799
927899	3163	1998-12-10	VYDAJ	PREVOD NA UCET	6514	82104	 	OP	11820799
927914	3163	1998-03-07	VYDAJ	PREVOD NA UCET	1620	92666	POJISTNE	UV	83438044
927915	3163	1998-04-07	VYDAJ	PREVOD NA UCET	1620	66965	POJISTNE	UV	83438044
927916	3163	1998-05-07	VYDAJ	PREVOD NA UCET	1620	90829	POJISTNE	UV	83438044
927917	3163	1998-06-07	VYDAJ	PREVOD NA UCET	1620	18534	POJISTNE	UV	83438044
927918	3163	1998-07-07	VYDAJ	PREVOD NA UCET	1620	70249	POJISTNE	UV	83438044
927919	3163	1998-08-07	VYDAJ	PREVOD NA UCET	1620	48639	POJISTNE	UV	83438044
927920	3163	1998-09-07	VYDAJ	PREVOD NA UCET	1620	77578	POJISTNE	UV	83438044
927921	3163	1998-10-07	VYDAJ	PREVOD NA UCET	1620	93555	POJISTNE	UV	83438044
927922	3163	1998-11-07	VYDAJ	PREVOD NA UCET	1620	57465	POJISTNE	UV	83438044
927923	3163	1998-12-07	VYDAJ	PREVOD NA UCET	1620	88618	POJISTNE	UV	83438044
927924	3163	1998-07-14	VYBER	VYBER	15872	68076	\N	\N	\N
927925	3163	1998-05-30	VYBER	VYBER	22021	22246	\N	\N	\N
927926	3163	1998-05-15	VYBER	VYBER	9692	78167	\N	\N	\N
927927	3163	1998-03-09	VYBER	VYBER	14211	78455	\N	\N	\N
927928	3163	1998-09-22	VYBER	VYBER	24681	46038	\N	\N	\N
927929	3163	1998-10-22	VYBER	VYBER	19570	33871	\N	\N	\N
927935	3163	1998-12-01	VYDAJ	VYBER KARTOU	1500	43357	\N	\N	0
927953	3163	1998-05-16	VYDAJ	VYBER	14100	64067	\N	\N	\N
927954	3163	1998-07-05	VYDAJ	VYBER KARTOU	1500	74219	\N	\N	0
927970	3163	1998-03-31	VYDAJ	VYBER	15	70935	SLUZBY	\N	\N
927971	3163	1998-04-30	VYDAJ	VYBER	15	94799	SLUZBY	\N	\N
927972	3163	1998-05-31	VYDAJ	VYBER	15	22504	SLUZBY	\N	\N
927973	3163	1998-06-30	VYDAJ	VYBER	15	63060	SLUZBY	\N	\N
927974	3163	1998-07-31	VYDAJ	VYBER	15	40528	SLUZBY	\N	\N
927975	3163	1998-08-31	VYDAJ	VYBER	15	39608	SLUZBY	\N	\N
927976	3163	1998-09-30	VYDAJ	VYBER	15	97525	SLUZBY	\N	\N
927977	3163	1998-10-31	VYDAJ	VYBER	15	34131	SLUZBY	\N	\N
927978	3163	1998-11-30	VYDAJ	VYBER	15	44857	SLUZBY	\N	\N
927979	3163	1997-06-23	PRIJEM	VKLAD	13600	14100	\N	\N	\N
927980	3163	1997-07-23	PRIJEM	VKLAD	9300	23400	\N	\N	\N
927981	3163	1997-08-22	VYDAJ	VYBER	20200	49301	\N	\N	\N
927982	3163	1997-09-21	VYDAJ	VYBER	9400	40191	\N	\N	\N
927983	3163	1997-10-21	VYDAJ	VYBER	8300	32180	\N	\N	\N
927984	3163	1997-11-20	VYDAJ	VYBER	2900	29570	\N	\N	\N
927985	3163	1997-12-20	VYDAJ	VYBER	4100	25760	\N	\N	\N
927986	3163	1998-01-19	VYDAJ	VYBER	20000	49701	\N	\N	\N
927987	3163	1998-02-18	VYDAJ	VYBER	27400	54339	\N	\N	\N
927988	3163	1998-03-20	VYDAJ	VYBER	25900	46041	\N	\N	\N
927989	3163	1998-04-19	VYDAJ	VYBER	25400	50819	\N	\N	\N
927990	3163	1998-05-12	VYDAJ	VYBER	47000	64748	\N	\N	\N
927991	3163	1998-05-19	VYDAJ	VYBER	19800	44267	\N	\N	\N
927992	3163	1998-06-18	VYDAJ	VYBER	16300	37114	\N	\N	\N
927993	3163	1998-07-01	VYDAJ	VYBER	32500	75719	\N	\N	\N
927994	3163	1998-07-18	VYDAJ	VYBER	27800	40276	\N	\N	\N
927995	3163	1998-08-05	VYDAJ	VYBER	60800	50259	\N	\N	\N
927996	3163	1998-08-17	VYDAJ	VYBER	10600	31525	\N	\N	\N
927997	3163	1998-09-16	VYDAJ	VYBER	26500	44564	\N	\N	\N
927998	3163	1998-10-16	VYDAJ	VYBER	33600	53441	\N	\N	\N
927999	3163	1998-11-15	VYDAJ	VYBER	46500	44565	\N	\N	\N
928000	3163	1998-11-15	VYDAJ	VYBER	24500	91065	\N	\N	\N
928001	3163	1998-12-14	VYDAJ	VYBER	52500	70608	\N	\N	\N
928002	3163	1998-12-15	VYDAJ	VYBER	24600	46008	\N	\N	\N
928021	3164	1993-12-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
928034	3164	1994-01-11	PRIJEM	PREVOD Z UCTU	6154	7154	DUCHOD	WX	80071824
928035	3164	1994-02-11	PRIJEM	PREVOD Z UCTU	6154	13308	DUCHOD	WX	80071824
928036	3164	1994-03-11	PRIJEM	PREVOD Z UCTU	6154	19462	DUCHOD	WX	80071824
928037	3164	1994-04-11	PRIJEM	PREVOD Z UCTU	6154	25616	DUCHOD	WX	80071824
928038	3164	1994-05-11	PRIJEM	PREVOD Z UCTU	6154	31770	DUCHOD	WX	80071824
928039	3164	1994-06-11	PRIJEM	PREVOD Z UCTU	6154	22058	DUCHOD	WX	80071824
928040	3164	1994-07-11	PRIJEM	PREVOD Z UCTU	6154	23882	DUCHOD	WX	80071824
928041	3164	1994-08-11	PRIJEM	PREVOD Z UCTU	6154	26011	DUCHOD	WX	80071824
928042	3164	1994-09-11	PRIJEM	PREVOD Z UCTU	6154	28849	DUCHOD	WX	80071824
928043	3164	1994-10-11	PRIJEM	PREVOD Z UCTU	6154	27132	DUCHOD	WX	80071824
928044	3164	1994-11-11	PRIJEM	PREVOD Z UCTU	6154	26610	DUCHOD	WX	80071824
928045	3164	1994-12-11	PRIJEM	PREVOD Z UCTU	6154	27149	DUCHOD	WX	80071824
928046	3164	1995-01-11	PRIJEM	PREVOD Z UCTU	6154	25967	DUCHOD	WX	80071824
928047	3164	1995-02-11	PRIJEM	PREVOD Z UCTU	6154	20411	DUCHOD	WX	80071824
928048	3164	1995-03-11	PRIJEM	PREVOD Z UCTU	6154	16337	DUCHOD	WX	80071824
928049	3164	1995-04-11	PRIJEM	PREVOD Z UCTU	6154	16731	DUCHOD	WX	80071824
928050	3164	1995-05-11	PRIJEM	PREVOD Z UCTU	6154	18809	DUCHOD	WX	80071824
928051	3164	1995-06-11	PRIJEM	PREVOD Z UCTU	6154	16567	DUCHOD	WX	80071824
928052	3164	1995-07-11	PRIJEM	PREVOD Z UCTU	6154	19368	DUCHOD	WX	80071824
928053	3164	1995-08-11	PRIJEM	PREVOD Z UCTU	6154	21477	DUCHOD	WX	80071824
928054	3164	1995-09-11	PRIJEM	PREVOD Z UCTU	6154	21190	DUCHOD	WX	80071824
928055	3164	1995-10-11	PRIJEM	PREVOD Z UCTU	6154	23707	DUCHOD	WX	80071824
928056	3164	1995-11-11	PRIJEM	PREVOD Z UCTU	6154	22951	DUCHOD	WX	80071824
928057	3164	1995-12-11	PRIJEM	PREVOD Z UCTU	6154	18981	DUCHOD	WX	80071824
928058	3164	1996-01-11	PRIJEM	PREVOD Z UCTU	6154	16478	DUCHOD	WX	80071824
928059	3164	1996-02-11	PRIJEM	PREVOD Z UCTU	6154	15171	DUCHOD	WX	80071824
928060	3164	1996-03-11	PRIJEM	PREVOD Z UCTU	6154	16661	DUCHOD	WX	80071824
928061	3164	1996-04-11	PRIJEM	PREVOD Z UCTU	6154	15359	DUCHOD	WX	80071824
928062	3164	1996-05-11	PRIJEM	PREVOD Z UCTU	6154	14744	DUCHOD	WX	80071824
928063	3164	1996-06-11	PRIJEM	PREVOD Z UCTU	6154	17234	DUCHOD	WX	80071824
928064	3164	1996-07-11	PRIJEM	PREVOD Z UCTU	6154	16927	DUCHOD	WX	80071824
928065	3164	1996-08-11	PRIJEM	PREVOD Z UCTU	6154	15617	DUCHOD	WX	80071824
928066	3164	1996-09-11	PRIJEM	PREVOD Z UCTU	6154	17511	DUCHOD	WX	80071824
928067	3164	1996-10-11	PRIJEM	PREVOD Z UCTU	6154	17914	DUCHOD	WX	80071824
928068	3164	1996-11-11	PRIJEM	PREVOD Z UCTU	6154	18019	DUCHOD	WX	80071824
928069	3164	1996-12-11	PRIJEM	PREVOD Z UCTU	6154	19225	DUCHOD	WX	80071824
928070	3164	1997-01-11	PRIJEM	PREVOD Z UCTU	6154	18893	DUCHOD	WX	80071824
928071	3164	1997-02-11	PRIJEM	PREVOD Z UCTU	6154	17217	DUCHOD	WX	80071824
928072	3164	1997-03-11	PRIJEM	PREVOD Z UCTU	6154	20017	DUCHOD	WX	80071824
928073	3164	1997-04-11	PRIJEM	PREVOD Z UCTU	6154	22830	DUCHOD	WX	80071824
928074	3164	1997-05-11	PRIJEM	PREVOD Z UCTU	6154	21894	DUCHOD	WX	80071824
928075	3164	1997-06-11	PRIJEM	PREVOD Z UCTU	6154	24716	DUCHOD	WX	80071824
928076	3164	1997-07-11	PRIJEM	PREVOD Z UCTU	6154	27548	DUCHOD	WX	80071824
928077	3164	1997-08-11	PRIJEM	PREVOD Z UCTU	6154	30392	DUCHOD	WX	80071824
928078	3164	1997-09-11	PRIJEM	PREVOD Z UCTU	6154	29647	DUCHOD	WX	80071824
928079	3164	1997-10-11	PRIJEM	PREVOD Z UCTU	6154	29050	DUCHOD	WX	80071824
928080	3164	1997-11-11	PRIJEM	PREVOD Z UCTU	6154	16600	DUCHOD	WX	80071824
928081	3164	1997-12-11	PRIJEM	PREVOD Z UCTU	6154	19409	DUCHOD	WX	80071824
928082	3164	1998-01-11	PRIJEM	PREVOD Z UCTU	6154	17514	DUCHOD	WX	80071824
928083	3164	1998-02-11	PRIJEM	PREVOD Z UCTU	6154	17670	DUCHOD	WX	80071824
928084	3164	1998-03-11	PRIJEM	PREVOD Z UCTU	6154	20472	DUCHOD	WX	80071824
928085	3164	1998-04-11	PRIJEM	PREVOD Z UCTU	6154	23286	DUCHOD	WX	80071824
928086	3164	1998-05-11	PRIJEM	PREVOD Z UCTU	6154	26112	DUCHOD	WX	80071824
928087	3164	1998-06-11	PRIJEM	PREVOD Z UCTU	6154	28949	DUCHOD	WX	80071824
928088	3164	1998-07-11	PRIJEM	PREVOD Z UCTU	6154	28138	DUCHOD	WX	80071824
928089	3164	1998-08-11	PRIJEM	PREVOD Z UCTU	6154	30983	DUCHOD	WX	80071824
928090	3164	1998-09-11	PRIJEM	PREVOD Z UCTU	6154	33841	DUCHOD	WX	80071824
928091	3164	1998-10-11	PRIJEM	PREVOD Z UCTU	6154	33907	DUCHOD	WX	80071824
928092	3164	1998-11-11	PRIJEM	PREVOD Z UCTU	6154	36776	DUCHOD	WX	80071824
928093	3164	1998-12-11	PRIJEM	PREVOD Z UCTU	6154	39658	DUCHOD	WX	80071824
928111	3164	1994-06-07	VYDAJ	PREVOD NA UCET	2971	15904	SIPO	UV	53459769
928112	3164	1994-07-07	VYDAJ	PREVOD NA UCET	2971	17728	SIPO	UV	53459769
928113	3164	1994-08-07	VYDAJ	PREVOD NA UCET	2971	19857	SIPO	UV	53459769
928114	3164	1994-09-07	VYDAJ	PREVOD NA UCET	2971	22695	SIPO	UV	53459769
928115	3164	1994-10-07	VYDAJ	PREVOD NA UCET	2971	20978	SIPO	UV	53459769
928116	3164	1994-11-07	VYDAJ	PREVOD NA UCET	2971	20456	SIPO	UV	53459769
928117	3164	1994-12-07	VYDAJ	PREVOD NA UCET	2971	22395	SIPO	UV	53459769
928118	3164	1995-01-07	VYDAJ	PREVOD NA UCET	2971	20933	SIPO	UV	53459769
928119	3164	1995-02-07	VYDAJ	PREVOD NA UCET	2971	14257	SIPO	UV	53459769
928120	3164	1995-03-07	VYDAJ	PREVOD NA UCET	2971	10183	SIPO	UV	53459769
928121	3164	1995-04-07	VYDAJ	PREVOD NA UCET	2971	10577	SIPO	UV	53459769
928122	3164	1995-05-07	VYDAJ	PREVOD NA UCET	2971	12655	SIPO	UV	53459769
928123	3164	1995-06-07	VYDAJ	PREVOD NA UCET	2971	10413	SIPO	UV	53459769
928124	3164	1995-07-07	VYDAJ	PREVOD NA UCET	2971	13214	SIPO	UV	53459769
928125	3164	1995-08-07	VYDAJ	PREVOD NA UCET	2971	15323	SIPO	UV	53459769
928126	3164	1995-09-07	VYDAJ	PREVOD NA UCET	2971	15036	SIPO	UV	53459769
928127	3164	1995-10-07	VYDAJ	PREVOD NA UCET	2971	17553	SIPO	UV	53459769
928128	3164	1995-11-07	VYDAJ	PREVOD NA UCET	2971	16797	SIPO	UV	53459769
928129	3164	1995-12-07	VYDAJ	PREVOD NA UCET	2971	12827	SIPO	UV	53459769
928130	3164	1996-01-07	VYDAJ	PREVOD NA UCET	2971	10324	SIPO	UV	53459769
928131	3164	1996-02-07	VYDAJ	PREVOD NA UCET	2971	9017	SIPO	UV	53459769
928132	3164	1996-03-07	VYDAJ	PREVOD NA UCET	2971	10507	SIPO	UV	53459769
928133	3164	1996-04-07	VYDAJ	PREVOD NA UCET	2971	9205	SIPO	UV	53459769
928134	3164	1996-05-07	VYDAJ	PREVOD NA UCET	2971	8590	SIPO	UV	53459769
928135	3164	1996-06-07	VYDAJ	PREVOD NA UCET	2971	11080	SIPO	UV	53459769
928136	3164	1996-07-07	VYDAJ	PREVOD NA UCET	2971	10773	SIPO	UV	53459769
928137	3164	1996-08-07	VYDAJ	PREVOD NA UCET	2971	9463	SIPO	UV	53459769
928138	3164	1996-09-07	VYDAJ	PREVOD NA UCET	2971	12257	SIPO	UV	53459769
928139	3164	1996-10-07	VYDAJ	PREVOD NA UCET	2971	14160	SIPO	UV	53459769
928140	3164	1996-11-07	VYDAJ	PREVOD NA UCET	2971	14565	SIPO	UV	53459769
928141	3164	1996-12-07	VYDAJ	PREVOD NA UCET	2971	14671	SIPO	UV	53459769
928142	3164	1997-01-07	VYDAJ	PREVOD NA UCET	2971	12739	SIPO	UV	53459769
928143	3164	1997-02-07	VYDAJ	PREVOD NA UCET	2971	11063	SIPO	UV	53459769
928144	3164	1997-03-07	VYDAJ	PREVOD NA UCET	2971	13863	SIPO	UV	53459769
928145	3164	1997-04-07	VYDAJ	PREVOD NA UCET	2971	16676	SIPO	UV	53459769
928146	3164	1997-05-07	VYDAJ	PREVOD NA UCET	2971	15740	SIPO	UV	53459769
928147	3164	1997-06-07	VYDAJ	PREVOD NA UCET	2971	18562	SIPO	UV	53459769
928148	3164	1997-07-07	VYDAJ	PREVOD NA UCET	2971	21394	SIPO	UV	53459769
928149	3164	1997-08-07	VYDAJ	PREVOD NA UCET	2971	24238	SIPO	UV	53459769
928150	3164	1997-09-07	VYDAJ	PREVOD NA UCET	2971	23493	SIPO	UV	53459769
928151	3164	1997-10-07	VYDAJ	PREVOD NA UCET	2971	22896	SIPO	UV	53459769
928152	3164	1997-11-07	VYDAJ	PREVOD NA UCET	2971	10446	SIPO	UV	53459769
928153	3164	1997-12-07	VYDAJ	PREVOD NA UCET	2971	13255	SIPO	UV	53459769
928154	3164	1998-01-07	VYDAJ	PREVOD NA UCET	2971	11360	SIPO	UV	53459769
928155	3164	1998-02-07	VYDAJ	PREVOD NA UCET	2971	11516	SIPO	UV	53459769
928156	3164	1998-03-07	VYDAJ	PREVOD NA UCET	2971	14318	SIPO	UV	53459769
928157	3164	1998-04-07	VYDAJ	PREVOD NA UCET	2971	17132	SIPO	UV	53459769
928158	3164	1998-05-07	VYDAJ	PREVOD NA UCET	2971	19958	SIPO	UV	53459769
928159	3164	1998-06-07	VYDAJ	PREVOD NA UCET	2971	22795	SIPO	UV	53459769
928160	3164	1998-07-07	VYDAJ	PREVOD NA UCET	2971	21984	SIPO	UV	53459769
928161	3164	1998-08-07	VYDAJ	PREVOD NA UCET	2971	24829	SIPO	UV	53459769
928162	3164	1998-09-07	VYDAJ	PREVOD NA UCET	2971	27687	SIPO	UV	53459769
928163	3164	1998-10-07	VYDAJ	PREVOD NA UCET	2971	27753	SIPO	UV	53459769
928164	3164	1998-11-07	VYDAJ	PREVOD NA UCET	2971	30622	SIPO	UV	53459769
928165	3164	1998-12-07	VYDAJ	PREVOD NA UCET	2971	33504	SIPO	UV	53459769
928182	3164	1994-05-13	VYDAJ	PREVOD NA UCET	433	31337	 	WX	37334716
928183	3164	1994-06-13	VYDAJ	PREVOD NA UCET	433	21625	 	WX	37334716
928184	3164	1994-07-13	VYDAJ	PREVOD NA UCET	433	23449	 	WX	37334716
928185	3164	1994-08-13	VYDAJ	PREVOD NA UCET	433	25578	 	WX	37334716
928186	3164	1994-09-13	VYDAJ	PREVOD NA UCET	433	28416	 	WX	37334716
928187	3164	1994-10-13	VYDAJ	PREVOD NA UCET	433	26699	 	WX	37334716
928188	3164	1994-11-13	VYDAJ	PREVOD NA UCET	433	26177	 	WX	37334716
928189	3164	1994-12-13	VYDAJ	PREVOD NA UCET	433	26716	 	WX	37334716
928190	3164	1995-01-13	VYDAJ	PREVOD NA UCET	433	25534	 	WX	37334716
928191	3164	1995-02-13	VYDAJ	PREVOD NA UCET	433	19978	 	WX	37334716
928192	3164	1995-03-13	VYDAJ	PREVOD NA UCET	433	15904	 	WX	37334716
928193	3164	1995-04-13	VYDAJ	PREVOD NA UCET	433	15578	 	WX	37334716
928194	3164	1995-05-13	VYDAJ	PREVOD NA UCET	433	18376	 	WX	37334716
928195	3164	1995-06-13	VYDAJ	PREVOD NA UCET	433	16134	 	WX	37334716
928196	3164	1995-07-13	VYDAJ	PREVOD NA UCET	433	18935	 	WX	37334716
928197	3164	1995-08-13	VYDAJ	PREVOD NA UCET	433	21044	 	WX	37334716
928198	3164	1995-09-13	VYDAJ	PREVOD NA UCET	433	20757	 	WX	37334716
928199	3164	1995-10-13	VYDAJ	PREVOD NA UCET	433	23274	 	WX	37334716
928200	3164	1995-11-13	VYDAJ	PREVOD NA UCET	433	22518	 	WX	37334716
928201	3164	1995-12-13	VYDAJ	PREVOD NA UCET	433	18548	 	WX	37334716
928202	3164	1996-01-13	VYDAJ	PREVOD NA UCET	433	14445	 	WX	37334716
928203	3164	1996-02-13	VYDAJ	PREVOD NA UCET	433	13438	 	WX	37334716
928204	3164	1996-03-13	VYDAJ	PREVOD NA UCET	433	16228	 	WX	37334716
928205	3164	1996-04-13	VYDAJ	PREVOD NA UCET	433	11526	 	WX	37334716
928206	3164	1996-05-13	VYDAJ	PREVOD NA UCET	433	14011	 	WX	37334716
928207	3164	1996-06-13	VYDAJ	PREVOD NA UCET	433	13701	 	WX	37334716
928208	3164	1996-07-13	VYDAJ	PREVOD NA UCET	433	12394	 	WX	37334716
928209	3164	1996-08-13	VYDAJ	PREVOD NA UCET	433	15184	 	WX	37334716
928210	3164	1996-09-13	VYDAJ	PREVOD NA UCET	433	17078	 	WX	37334716
928211	3164	1996-10-13	VYDAJ	PREVOD NA UCET	433	17481	 	WX	37334716
928212	3164	1996-11-13	VYDAJ	PREVOD NA UCET	433	17586	 	WX	37334716
928213	3164	1996-12-13	VYDAJ	PREVOD NA UCET	433	18792	 	WX	37334716
928214	3164	1997-01-13	VYDAJ	PREVOD NA UCET	433	18460	 	WX	37334716
928215	3164	1997-02-13	VYDAJ	PREVOD NA UCET	433	16784	 	WX	37334716
928216	3164	1997-03-13	VYDAJ	PREVOD NA UCET	433	19584	 	WX	37334716
928217	3164	1997-04-13	VYDAJ	PREVOD NA UCET	433	22397	 	WX	37334716
928218	3164	1997-05-13	VYDAJ	PREVOD NA UCET	433	21461	 	WX	37334716
928219	3164	1997-06-13	VYDAJ	PREVOD NA UCET	433	24283	 	WX	37334716
928220	3164	1997-07-13	VYDAJ	PREVOD NA UCET	433	27115	 	WX	37334716
928221	3164	1997-08-13	VYDAJ	PREVOD NA UCET	433	29959	 	WX	37334716
928222	3164	1997-09-13	VYDAJ	PREVOD NA UCET	433	25774	 	WX	37334716
928223	3164	1997-10-13	VYDAJ	PREVOD NA UCET	433	28617	 	WX	37334716
928224	3164	1997-11-13	VYDAJ	PREVOD NA UCET	433	16167	 	WX	37334716
928225	3164	1997-12-13	VYDAJ	PREVOD NA UCET	433	18676	 	WX	37334716
928226	3164	1998-01-13	VYDAJ	PREVOD NA UCET	433	17081	 	WX	37334716
928227	3164	1998-02-13	VYDAJ	PREVOD NA UCET	433	17237	 	WX	37334716
928228	3164	1998-03-13	VYDAJ	PREVOD NA UCET	433	20039	 	WX	37334716
928229	3164	1998-04-13	VYDAJ	PREVOD NA UCET	433	22853	 	WX	37334716
928230	3164	1998-05-13	VYDAJ	PREVOD NA UCET	433	25679	 	WX	37334716
928231	3164	1998-06-13	VYDAJ	PREVOD NA UCET	433	24866	 	WX	37334716
928232	3164	1998-07-13	VYDAJ	PREVOD NA UCET	433	27705	 	WX	37334716
928233	3164	1998-08-13	VYDAJ	PREVOD NA UCET	433	30550	 	WX	37334716
928234	3164	1998-09-13	VYDAJ	PREVOD NA UCET	433	33408	 	WX	37334716
928235	3164	1998-10-13	VYDAJ	PREVOD NA UCET	433	33474	 	WX	37334716
928236	3164	1998-11-13	VYDAJ	PREVOD NA UCET	433	36343	 	WX	37334716
928237	3164	1998-12-13	VYDAJ	PREVOD NA UCET	433	39225	 	WX	37334716
928239	3164	1994-06-07	VYDAJ	VYBER	6300	18875	\N	\N	\N
928240	3164	1995-06-06	VYDAJ	VYBER	5050	13384	\N	\N	\N
928243	3164	1998-06-11	VYDAJ	VYBER	3650	25299	\N	\N	\N
928246	3164	1995-01-15	VYDAJ	VYBER	3400	22134	\N	\N	\N
928251	3164	1994-12-08	VYDAJ	VYBER	1400	20995	\N	\N	\N
928252	3164	1995-12-18	VYDAJ	VYBER	800	13248	\N	\N	\N
928253	3164	1996-12-14	VYDAJ	VYBER	600	18192	\N	\N	\N
928254	3164	1997-12-12	VYDAJ	VYBER	300	19109	\N	\N	\N
928255	3164	1998-12-24	VYDAJ	VYBER	550	38675	\N	\N	\N
928268	3164	1995-01-29	VYDAJ	VYBER	640	17154	\N	\N	\N
928269	3164	1995-01-24	VYDAJ	VYBER	1440	18354	\N	\N	\N
928270	3164	1995-01-21	VYDAJ	VYBER	400	19794	\N	\N	\N
928271	3164	1995-01-07	VYDAJ	VYBER	1120	19813	\N	\N	\N
928272	3164	1995-01-27	VYDAJ	VYBER	560	17794	\N	\N	\N
928273	3164	1995-01-16	VYDAJ	VYBER	1840	20294	\N	\N	\N
928276	3164	1996-01-12	VYDAJ	VYBER	400	14878	\N	\N	\N
928279	3164	1996-01-11	VYDAJ	VYBER	1200	15278	\N	\N	\N
928280	3164	1997-01-21	VYDAJ	VYBER	2240	16220	\N	\N	\N
928285	3164	1997-01-26	VYDAJ	VYBER	2240	13980	\N	\N	\N
928286	3164	1998-01-16	VYDAJ	VYBER	2240	14841	\N	\N	\N
928287	3164	1998-01-27	VYDAJ	VYBER	400	14441	\N	\N	\N
928288	3164	1998-01-06	VYDAJ	VYBER	1120	14331	\N	\N	\N
928299	3164	1994-09-29	VYDAJ	VYBER	800	23856	\N	\N	\N
928300	3164	1994-10-20	VYDAJ	VYBER	3360	23339	\N	\N	\N
928301	3164	1994-09-13	VYDAJ	VYBER	1360	27056	\N	\N	\N
928302	3164	1994-05-24	VYDAJ	VYBER	1120	25117	\N	\N	\N
928304	3164	1995-02-15	VYDAJ	VYBER	3600	16378	\N	\N	\N
928305	3164	1995-10-30	VYDAJ	VYBER	1680	19694	\N	\N	\N
928306	3164	1995-04-12	VYDAJ	VYBER	720	16011	\N	\N	\N
928307	3164	1995-02-28	VYDAJ	VYBER	3280	13154	\N	\N	\N
928308	3164	1995-11-20	VYDAJ	VYBER	880	15738	\N	\N	\N
928312	3164	1997-12-24	VYDAJ	VYBER	3280	15396	\N	\N	\N
928313	3164	1997-08-31	VYDAJ	VYBER	3600	26464	\N	\N	\N
928314	3164	1997-01-06	VYDAJ	VYBER	1040	17210	\N	\N	\N
928315	3164	1997-05-01	VYDAJ	VYBER	3760	18711	\N	\N	\N
928316	3164	1997-09-12	VYDAJ	VYBER	3440	26207	\N	\N	\N
928317	3164	1998-09-23	VYDAJ	VYBER	1600	31808	\N	\N	\N
928318	3164	1998-09-24	VYDAJ	VYBER	1200	30608	\N	\N	\N
928319	3164	1998-12-27	VYDAJ	VYBER	3200	35475	\N	\N	\N
928337	3164	1994-05-31	VYDAJ	VYBER	15	25175	SLUZBY	\N	\N
928338	3164	1994-06-30	VYDAJ	VYBER	15	20699	SLUZBY	\N	\N
928339	3164	1994-07-31	VYDAJ	VYBER	15	22828	SLUZBY	\N	\N
928340	3164	1994-08-31	VYDAJ	VYBER	15	25666	SLUZBY	\N	\N
928341	3164	1994-09-30	VYDAJ	VYBER	15	23949	SLUZBY	\N	\N
928342	3164	1994-10-31	VYDAJ	VYBER	15	23427	SLUZBY	\N	\N
928343	3164	1994-11-30	VYDAJ	VYBER	15	25366	SLUZBY	\N	\N
928344	3164	1994-12-31	VYDAJ	VYBER	15	23904	SLUZBY	\N	\N
928345	3164	1995-01-31	VYDAJ	VYBER	15	17228	SLUZBY	\N	\N
928346	3164	1995-02-28	VYDAJ	VYBER	15	16434	SLUZBY	\N	\N
928347	3164	1995-03-31	VYDAJ	VYBER	15	13548	SLUZBY	\N	\N
928348	3164	1995-04-30	VYDAJ	VYBER	15	15626	SLUZBY	\N	\N
928349	3164	1995-05-31	VYDAJ	VYBER	15	18434	SLUZBY	\N	\N
928350	3164	1995-06-30	VYDAJ	VYBER	15	16185	SLUZBY	\N	\N
928351	3164	1995-07-31	VYDAJ	VYBER	15	18294	SLUZBY	\N	\N
928352	3164	1995-08-31	VYDAJ	VYBER	15	18007	SLUZBY	\N	\N
928353	3164	1995-09-30	VYDAJ	VYBER	15	20524	SLUZBY	\N	\N
928354	3164	1995-10-31	VYDAJ	VYBER	15	19768	SLUZBY	\N	\N
928355	3164	1995-11-30	VYDAJ	VYBER	15	15798	SLUZBY	\N	\N
928356	3164	1995-12-31	VYDAJ	VYBER	15	13295	SLUZBY	\N	\N
928357	3164	1996-01-31	VYDAJ	VYBER	15	11988	SLUZBY	\N	\N
928358	3164	1996-02-29	VYDAJ	VYBER	15	13478	SLUZBY	\N	\N
928359	3164	1996-03-31	VYDAJ	VYBER	15	12176	SLUZBY	\N	\N
928360	3164	1996-04-30	VYDAJ	VYBER	15	11561	SLUZBY	\N	\N
928361	3164	1996-05-31	VYDAJ	VYBER	15	14051	SLUZBY	\N	\N
928362	3164	1996-06-30	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
928363	3164	1996-07-31	VYDAJ	VYBER	15	12434	SLUZBY	\N	\N
928364	3164	1996-08-31	VYDAJ	VYBER	15	15228	SLUZBY	\N	\N
928365	3164	1996-09-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
928366	3164	1996-10-31	VYDAJ	VYBER	15	17536	SLUZBY	\N	\N
928367	3164	1996-11-30	VYDAJ	VYBER	15	17642	SLUZBY	\N	\N
928368	3164	1996-12-31	VYDAJ	VYBER	15	18250	SLUZBY	\N	\N
928369	3164	1997-01-31	VYDAJ	VYBER	15	14034	SLUZBY	\N	\N
928370	3164	1997-02-28	VYDAJ	VYBER	15	16834	SLUZBY	\N	\N
928371	3164	1997-03-31	VYDAJ	VYBER	15	19647	SLUZBY	\N	\N
928372	3164	1997-04-30	VYDAJ	VYBER	15	22471	SLUZBY	\N	\N
928373	3164	1997-05-31	VYDAJ	VYBER	15	21533	SLUZBY	\N	\N
928374	3164	1997-06-30	VYDAJ	VYBER	15	24365	SLUZBY	\N	\N
928375	3164	1997-07-31	VYDAJ	VYBER	15	27209	SLUZBY	\N	\N
928376	3164	1997-08-31	VYDAJ	VYBER	15	30064	SLUZBY	\N	\N
928377	3164	1997-09-30	VYDAJ	VYBER	15	25867	SLUZBY	\N	\N
928378	3164	1997-10-31	VYDAJ	VYBER	15	28717	SLUZBY	\N	\N
928379	3164	1997-11-30	VYDAJ	VYBER	15	16226	SLUZBY	\N	\N
928380	3164	1997-12-31	VYDAJ	VYBER	15	15451	SLUZBY	\N	\N
928381	3164	1998-01-31	VYDAJ	VYBER	15	14487	SLUZBY	\N	\N
928382	3164	1998-02-28	VYDAJ	VYBER	15	17289	SLUZBY	\N	\N
928383	3164	1998-03-31	VYDAJ	VYBER	15	20103	SLUZBY	\N	\N
928384	3164	1998-04-30	VYDAJ	VYBER	15	22929	SLUZBY	\N	\N
928385	3164	1998-05-31	VYDAJ	VYBER	15	25766	SLUZBY	\N	\N
928386	3164	1998-06-30	VYDAJ	VYBER	15	24955	SLUZBY	\N	\N
928387	3164	1998-07-31	VYDAJ	VYBER	15	27800	SLUZBY	\N	\N
928388	3164	1998-08-31	VYDAJ	VYBER	15	30658	SLUZBY	\N	\N
928389	3164	1998-09-30	VYDAJ	VYBER	15	30724	SLUZBY	\N	\N
928390	3164	1998-10-31	VYDAJ	VYBER	15	33593	SLUZBY	\N	\N
928391	3164	1998-11-30	VYDAJ	VYBER	15	36475	SLUZBY	\N	\N
928392	3164	1994-05-23	VYDAJ	VYBER	5100	26237	\N	\N	\N
928393	3164	1994-06-22	VYDAJ	VYBER	1000	20625	\N	\N	\N
928394	3164	1994-07-22	VYDAJ	VYBER	700	22749	\N	\N	\N
928395	3164	1994-09-20	VYDAJ	VYBER	2400	24656	\N	\N	\N
928396	3164	1994-11-19	VYDAJ	VYBER	900	25277	\N	\N	\N
928397	3164	1994-12-19	VYDAJ	VYBER	2900	23816	\N	\N	\N
928398	3164	1995-01-18	VYDAJ	VYBER	100	20194	\N	\N	\N
928399	3164	1995-03-19	VYDAJ	VYBER	2400	13504	\N	\N	\N
928400	3164	1995-07-17	VYDAJ	VYBER	700	18235	\N	\N	\N
928401	3164	1995-08-16	VYDAJ	VYBER	3100	17944	\N	\N	\N
928402	3164	1995-09-15	VYDAJ	VYBER	300	20457	\N	\N	\N
928403	3164	1995-10-15	VYDAJ	VYBER	1900	21374	\N	\N	\N
928404	3164	1995-11-14	VYDAJ	VYBER	5900	16618	\N	\N	\N
928405	3164	1995-12-14	VYDAJ	VYBER	4500	14048	\N	\N	\N
928406	3164	1996-01-13	VYDAJ	VYBER	2500	11945	\N	\N	\N
928407	3164	1996-02-12	VYDAJ	VYBER	1300	13871	\N	\N	\N
928408	3164	1996-03-13	VYDAJ	VYBER	4100	12128	\N	\N	\N
928409	3164	1996-04-12	VYDAJ	VYBER	3400	11959	\N	\N	\N
928410	3164	1996-05-12	VYDAJ	VYBER	300	14444	\N	\N	\N
928411	3164	1996-06-11	VYDAJ	VYBER	3100	14134	\N	\N	\N
928412	3164	1996-07-11	VYDAJ	VYBER	4100	12827	\N	\N	\N
928413	3164	1996-09-09	VYDAJ	VYBER	900	11357	\N	\N	\N
928414	3164	1996-10-09	VYDAJ	VYBER	2400	11760	\N	\N	\N
928415	3164	1996-11-08	VYDAJ	VYBER	2700	11865	\N	\N	\N
928416	3164	1996-12-08	VYDAJ	VYBER	1600	13071	\N	\N	\N
928417	3164	1997-01-07	VYDAJ	VYBER	1500	15710	\N	\N	\N
928418	3164	1997-11-03	VYDAJ	VYBER	15300	13417	\N	\N	\N
928799	3166	1993-08-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
928801	3166	1993-11-16	PRIJEM	VKLAD	24257	89428	\N	\N	\N
928806	3166	1993-12-15	PRIJEM	VKLAD	21387	68306	\N	\N	\N
928813	3166	1993-10-10	PRIJEM	VKLAD	25107	55645	\N	\N	\N
928816	3166	1993-10-02	PRIJEM	VKLAD	21538	36038	\N	\N	\N
928819	3166	1993-11-13	PRIJEM	VKLAD	5998	65171	\N	\N	\N
928824	3166	1993-11-10	PRIJEM	VKLAD	17259	59173	\N	\N	\N
928827	3166	1994-06-06	PRIJEM	VKLAD	45056	48307	\N	\N	\N
928828	3166	1994-10-28	PRIJEM	VKLAD	12510	47850	\N	\N	\N
928829	3166	1994-05-07	PRIJEM	VKLAD	24019	39182	\N	\N	\N
928830	3166	1994-02-25	PRIJEM	VKLAD	9880	14559	\N	\N	\N
928831	3166	1994-10-08	PRIJEM	VKLAD	15662	37740	\N	\N	\N
928832	3166	1994-04-05	PRIJEM	VKLAD	27501	32670	\N	\N	\N
928833	3166	1994-07-10	PRIJEM	VKLAD	19757	42589	\N	\N	\N
928834	3166	1995-07-14	PRIJEM	VKLAD	14791	31763	\N	\N	\N
928835	3166	1995-07-21	PRIJEM	VKLAD	45379	77142	\N	\N	\N
928836	3166	1995-02-14	PRIJEM	VKLAD	18335	19944	\N	\N	\N
928837	3166	1995-05-21	PRIJEM	VKLAD	46448	79363	\N	\N	\N
928838	3166	1995-08-07	PRIJEM	VKLAD	20506	68366	\N	\N	\N
928839	3166	1995-08-29	PRIJEM	VKLAD	43941	89163	\N	\N	\N
928840	3166	1995-10-24	PRIJEM	VKLAD	24601	48946	\N	\N	\N
928841	3166	1995-02-03	PRIJEM	VKLAD	5673	18750	\N	\N	\N
928842	3166	1995-04-06	PRIJEM	VKLAD	39061	40644	\N	\N	\N
928843	3166	1995-04-19	PRIJEM	VKLAD	35729	59471	\N	\N	\N
928844	3166	1995-09-05	PRIJEM	VKLAD	38796	82835	\N	\N	\N
928845	3166	1995-01-10	PRIJEM	VKLAD	26424	40655	\N	\N	\N
928846	3166	1996-10-23	PRIJEM	VKLAD	44024	109425	\N	\N	\N
928847	3166	1996-05-24	PRIJEM	VKLAD	31218	85629	\N	\N	\N
928848	3166	1996-09-05	PRIJEM	VKLAD	39331	113173	\N	\N	\N
928849	3166	1996-12-20	PRIJEM	VKLAD	30136	86050	\N	\N	\N
928850	3166	1996-08-30	PRIJEM	VKLAD	39985	99516	\N	\N	\N
928851	3166	1996-02-06	PRIJEM	VKLAD	39554	59673	\N	\N	\N
928852	3166	1996-03-15	PRIJEM	VKLAD	21587	91096	\N	\N	\N
928853	3166	1996-05-11	PRIJEM	VKLAD	25517	105514	\N	\N	\N
928854	3166	1996-02-10	PRIJEM	VKLAD	44158	103831	\N	\N	\N
928855	3166	1996-09-02	PRIJEM	VKLAD	38838	138642	\N	\N	\N
928856	3166	1996-05-01	PRIJEM	VKLAD	30655	79997	\N	\N	\N
928857	3166	1996-03-16	PRIJEM	VKLAD	21744	112840	\N	\N	\N
928858	3166	1996-12-21	PRIJEM	VKLAD	6732	92782	\N	\N	\N
928859	3166	1996-07-02	PRIJEM	VKLAD	30762	75713	\N	\N	\N
928860	3166	1996-07-19	PRIJEM	VKLAD	36763	95273	\N	\N	\N
928861	3166	1997-09-09	PRIJEM	VKLAD	44498	130533	\N	\N	\N
928862	3166	1997-11-27	PRIJEM	VKLAD	28455	79083	\N	\N	\N
928863	3166	1997-11-17	PRIJEM	VKLAD	7481	52828	\N	\N	\N
928864	3166	1997-05-02	PRIJEM	VKLAD	6902	49560	\N	\N	\N
928865	3166	1997-04-02	PRIJEM	VKLAD	7845	43515	\N	\N	\N
928866	3166	1997-07-29	PRIJEM	VKLAD	49311	82454	\N	\N	\N
928867	3166	1997-06-18	PRIJEM	VKLAD	21730	44829	\N	\N	\N
928868	3166	1997-08-22	PRIJEM	VKLAD	14073	79680	\N	\N	\N
928869	3166	1997-08-29	PRIJEM	VKLAD	17762	85742	\N	\N	\N
928870	3166	1997-01-14	PRIJEM	VKLAD	6944	40891	\N	\N	\N
928871	3166	1998-02-14	PRIJEM	VKLAD	31393	103324	\N	\N	\N
928872	3166	1998-05-21	PRIJEM	VKLAD	27161	101126	\N	\N	\N
928873	3166	1998-05-01	PRIJEM	VKLAD	44408	115744	\N	\N	\N
928874	3166	1998-05-13	PRIJEM	VKLAD	45178	101319	\N	\N	\N
928875	3166	1998-02-06	PRIJEM	VKLAD	34494	75633	\N	\N	\N
928876	3166	1998-01-19	PRIJEM	VKLAD	27336	68854	\N	\N	\N
928877	3166	1998-12-06	PRIJEM	VKLAD	21417	105617	\N	\N	\N
928878	3166	1998-07-08	PRIJEM	VKLAD	22164	77923	\N	\N	\N
928879	3166	1998-02-21	PRIJEM	VKLAD	42566	121190	\N	\N	\N
928880	3166	1998-04-11	PRIJEM	VKLAD	11790	82458	\N	\N	\N
928881	3166	1998-11-20	PRIJEM	VKLAD	32719	97799	\N	\N	\N
928882	3166	1998-05-23	PRIJEM	VKLAD	44831	145957	\N	\N	\N
928883	3166	1998-06-10	PRIJEM	VKLAD	30057	120350	\N	\N	\N
928884	3166	1998-11-24	PRIJEM	VKLAD	20536	111669	\N	\N	\N
928885	3166	1998-09-09	PRIJEM	VKLAD	33427	87032	\N	\N	\N
928886	3166	1998-06-03	PRIJEM	VKLAD	24170	90293	\N	\N	\N
928887	3166	1998-11-29	PRIJEM	VKLAD	5864	83933	\N	\N	\N
928899	3166	1993-12-19	VYDAJ	VYBER	3100	65206	\N	\N	0
928900	3166	1994-01-17	VYDAJ	VYBER	3800	19615	\N	\N	0
928901	3166	1994-01-27	VYDAJ	VYBER	2900	-386	\N	\N	0
928902	3166	1994-03-10	VYDAJ	VYBER	4000	14136	\N	\N	0
928903	3166	1994-04-16	VYDAJ	VYBER	4900	25670	\N	\N	0
928904	3166	1994-05-20	VYDAJ	VYBER	4100	29482	\N	\N	0
928905	3166	1994-06-19	VYDAJ	VYBER	4500	33907	\N	\N	0
928906	3166	1994-07-17	VYDAJ	VYBER	3100	39489	\N	\N	0
928907	3166	1994-08-04	VYDAJ	VYBER	3900	28504	\N	\N	0
928908	3166	1994-09-09	VYDAJ	VYBER	3200	21100	\N	\N	0
928909	3166	1994-10-08	VYDAJ	VYBER	2400	35340	\N	\N	0
928910	3166	1994-11-16	VYDAJ	VYBER	3100	13427	\N	\N	0
928911	3166	1994-12-28	VYDAJ	VYBER	4500	2810	\N	\N	0
928912	3166	1995-01-12	VYDAJ	PREVOD NA UCET	3703	33952	UVER	UV	16657728
928913	3166	1995-02-12	VYDAJ	PREVOD NA UCET	3703	10847	UVER	UV	16657728
928915	3166	1995-04-12	VYDAJ	PREVOD NA UCET	3703	23742	UVER	UV	16657728
928916	3166	1995-05-12	VYDAJ	PREVOD NA UCET	3703	32915	UVER	UV	16657728
928917	3166	1995-06-12	VYDAJ	PREVOD NA UCET	3703	33676	UVER	UV	16657728
928918	3166	1995-07-12	VYDAJ	PREVOD NA UCET	3703	16972	UVER	UV	16657728
928919	3166	1995-08-12	VYDAJ	PREVOD NA UCET	3703	64663	UVER	UV	16657728
928920	3166	1995-09-12	VYDAJ	PREVOD NA UCET	3703	79132	UVER	UV	16657728
928921	3166	1995-10-12	VYDAJ	PREVOD NA UCET	3703	40798	UVER	UV	16657728
928922	3166	1995-11-12	VYDAJ	PREVOD NA UCET	3703	41319	UVER	UV	16657728
928923	3166	1995-12-12	VYDAJ	PREVOD NA UCET	3703	15820	UVER	UV	16657728
928925	3166	1996-02-12	VYDAJ	PREVOD NA UCET	3703	100128	UVER	UV	16657728
928926	3166	1996-03-12	VYDAJ	PREVOD NA UCET	3703	69509	UVER	UV	16657728
928927	3166	1996-04-12	VYDAJ	PREVOD NA UCET	3703	48742	UVER	UV	16657728
928928	3166	1996-05-12	VYDAJ	PREVOD NA UCET	3703	54411	UVER	UV	16657728
928929	3166	1996-06-12	VYDAJ	PREVOD NA UCET	3703	65551	UVER	UV	16657728
928930	3166	1996-07-12	VYDAJ	PREVOD NA UCET	3703	58510	UVER	UV	16657728
928931	3166	1996-08-12	VYDAJ	PREVOD NA UCET	3703	70431	UVER	UV	16657728
928932	3166	1996-09-12	VYDAJ	PREVOD NA UCET	3703	90070	UVER	UV	16657728
928933	3166	1996-10-12	VYDAJ	PREVOD NA UCET	3703	65401	UVER	UV	16657728
928934	3166	1996-11-12	VYDAJ	PREVOD NA UCET	3703	78610	UVER	UV	16657728
928935	3166	1996-12-12	VYDAJ	PREVOD NA UCET	3703	59814	UVER	UV	16657728
928936	3166	1997-01-12	VYDAJ	PREVOD NA UCET	3703	33947	UVER	UV	16657728
928937	3166	1997-02-12	VYDAJ	PREVOD NA UCET	3703	27153	UVER	UV	16657728
928938	3166	1997-03-12	VYDAJ	PREVOD NA UCET	3703	29680	UVER	UV	16657728
928939	3166	1997-04-12	VYDAJ	PREVOD NA UCET	3703	39812	UVER	UV	16657728
928940	3166	1997-05-12	VYDAJ	PREVOD NA UCET	3703	43158	UVER	UV	16657728
928941	3166	1997-06-12	VYDAJ	PREVOD NA UCET	3703	23099	UVER	UV	16657728
928943	3166	1997-08-12	VYDAJ	PREVOD NA UCET	3703	68107	UVER	UV	16657728
928944	3166	1997-09-12	VYDAJ	PREVOD NA UCET	3703	95011	UVER	UV	16657728
928945	3166	1997-10-12	VYDAJ	PREVOD NA UCET	3703	51829	UVER	UV	16657728
928946	3166	1997-11-12	VYDAJ	PREVOD NA UCET	3703	45347	UVER	UV	16657728
928947	3166	1997-12-12	VYDAJ	PREVOD NA UCET	3703	63968	UVER	UV	16657728
928948	3166	1998-01-12	VYDAJ	PREVOD NA UCET	3703	35718	UVER	UV	16657728
928949	3166	1998-02-12	VYDAJ	PREVOD NA UCET	3703	71931	UVER	UV	16657728
928950	3166	1998-03-12	VYDAJ	PREVOD NA UCET	3703	74976	UVER	UV	16657728
928951	3166	1998-04-12	VYDAJ	PREVOD NA UCET	3703	78755	UVER	UV	16657728
928952	3166	1998-05-12	VYDAJ	PREVOD NA UCET	3703	56141	UVER	UV	16657728
928953	3166	1998-06-12	VYDAJ	PREVOD NA UCET	3703	73047	UVER	UV	16657728
928954	3166	1998-07-12	VYDAJ	PREVOD NA UCET	3703	74220	UVER	UV	16657728
928955	3166	1998-08-12	VYDAJ	PREVOD NA UCET	3703	63194	UVER	UV	16657728
928956	3166	1998-09-12	VYDAJ	PREVOD NA UCET	3703	83329	UVER	UV	16657728
928957	3166	1998-10-12	VYDAJ	PREVOD NA UCET	3703	66307	UVER	UV	16657728
928958	3166	1998-11-12	VYDAJ	PREVOD NA UCET	3703	65080	UVER	UV	16657728
928959	3166	1998-12-12	VYDAJ	PREVOD NA UCET	3703	101914	UVER	UV	16657728
928967	3166	1993-12-25	VYBER	VYBER	24443	40763	\N	\N	\N
928972	3166	1994-04-20	VYBER	VYBER	10573	15097	\N	\N	\N
928974	3166	1994-11-09	VYBER	VYBER	19555	16527	\N	\N	\N
928976	3166	1994-05-26	VYBER	VYBER	24514	4968	\N	\N	\N
928977	3166	1995-09-01	VYBER	VYBER	22337	44039	\N	\N	\N
928978	3166	1995-03-10	VYBER	VYBER	14444	4953	\N	\N	\N
928979	3166	1995-07-26	VYBER	VYBER	16609	60533	\N	\N	\N
928980	3166	1995-10-21	VYBER	VYBER	16453	24345	\N	\N	\N
928981	3166	1995-10-10	VYBER	VYBER	10713	44501	\N	\N	\N
928982	3166	1995-04-29	VYBER	VYBER	23588	35883	\N	\N	\N
928983	3166	1995-04-05	VYBER	VYBER	18793	1583	\N	\N	\N
928985	3166	1995-08-14	VYBER	VYBER	19441	45222	\N	\N	\N
928987	3166	1995-02-13	VYBER	VYBER	9238	1609	\N	\N	\N
928988	3166	1995-05-31	VYBER	VYBER	6579	72993	\N	\N	\N
928989	3166	1995-12-07	VYBER	VYBER	16055	19523	\N	\N	\N
928992	3166	1997-02-28	VYBER	VYBER	8696	33397	\N	\N	\N
928994	3166	1997-05-29	VYBER	VYBER	15873	34685	\N	\N	\N
928995	3166	1997-10-06	VYBER	VYBER	22133	55531	\N	\N	\N
928996	3166	1997-12-06	VYBER	VYBER	11617	67671	\N	\N	\N
928997	3166	1997-09-12	VYBER	VYBER	16720	98713	\N	\N	\N
928998	3166	1997-03-29	VYBER	VYBER	5940	35540	\N	\N	\N
928999	3166	1997-06-09	VYBER	VYBER	8051	26801	\N	\N	\N
929000	3166	1997-08-07	VYBER	VYBER	10677	71810	\N	\N	\N
929001	3166	1998-12-15	VYBER	VYBER	2666	83048	\N	\N	\N
929002	3166	1998-10-08	VYBER	VYBER	3402	70010	\N	\N	\N
929003	3166	1998-10-26	VYBER	VYBER	13984	53923	\N	\N	\N
929004	3166	1998-05-13	VYBER	VYBER	18354	82965	\N	\N	\N
929005	3166	1998-09-06	VYBER	VYBER	10343	53605	\N	\N	\N
929006	3166	1998-11-20	VYBER	VYBER	6666	91133	\N	\N	\N
929007	3166	1998-02-28	VYBER	VYBER	2863	78693	\N	\N	\N
929009	3166	1994-06-28	VYDAJ	VYBER	15600	18307	\N	\N	\N
929010	3166	1995-06-18	VYDAJ	VYBER	28800	4876	\N	\N	\N
929011	3166	1996-06-14	VYDAJ	VYBER	15600	37051	\N	\N	\N
929012	3166	1997-06-26	VYDAJ	VYBER	48300	4529	\N	\N	\N
929013	3166	1998-06-02	VYDAJ	VYBER	42600	66123	\N	\N	\N
929015	3166	1994-01-22	VYDAJ	VYBER	3900	4015	\N	\N	\N
929016	3166	1995-01-18	VYDAJ	VYBER	27600	6352	\N	\N	\N
929018	3166	1997-01-05	VYDAJ	VYBER	27600	42750	\N	\N	\N
929019	3166	1998-01-19	VYDAJ	VYBER	22500	46354	\N	\N	\N
929020	3166	1993-12-14	VYDAJ	VYBER	3300	46919	\N	\N	\N
929022	3166	1995-12-20	VYDAJ	VYBER	6900	8920	\N	\N	\N
929023	3166	1996-12-04	VYDAJ	VYBER KARTOU	3300	63517	\N	\N	0
929024	3166	1997-12-23	VYDAJ	VYBER	5100	52968	\N	\N	\N
929025	3166	1998-12-20	VYDAJ	VYBER KARTOU	3300	79748	\N	\N	0
929032	3166	1994-01-20	VYDAJ	VYBER	8400	7915	\N	\N	\N
929033	3166	1994-01-17	VYDAJ	VYBER	5400	23415	\N	\N	\N
929034	3166	1994-01-06	VYDAJ	VYBER	5100	32615	\N	\N	\N
929035	3166	1994-01-19	VYDAJ	VYBER	3300	16315	\N	\N	\N
929036	3166	1994-01-26	VYDAJ	VYBER	1500	2515	\N	\N	\N
929037	3166	1994-01-28	VYDAJ	VYBER	2100	-2486	\N	\N	\N
929040	3166	1995-01-10	VYDAJ	VYBER	3000	37655	\N	\N	\N
929042	3166	1995-01-23	VYDAJ	VYBER	8400	-2048	\N	\N	\N
929044	3166	1996-01-11	VYDAJ	VYBER	8400	3997	\N	\N	\N
929045	3166	1996-01-03	VYDAJ	VYBER	6300	12397	\N	\N	\N
929046	3166	1996-01-13	VYDAJ	VYBER	2100	1897	\N	\N	\N
929049	3166	1996-01-02	VYDAJ	VYBER	5700	18697	\N	\N	\N
929050	3166	1997-01-29	VYDAJ	VYBER KARTOU	3600	30691	\N	\N	0
929051	3166	1997-01-09	VYDAJ	VYBER	5100	37650	\N	\N	\N
929052	3166	1997-01-02	VYDAJ	VYBER KARTOU	1500	70350	\N	\N	0
929053	3166	1997-01-27	VYDAJ	VYBER	8700	34291	\N	\N	\N
929054	3166	1997-01-02	VYDAJ	VYBER KARTOU	2100	71850	\N	\N	0
929055	3166	1997-01-23	VYDAJ	VYBER KARTOU	3000	42991	\N	\N	0
929056	3166	1998-01-05	VYDAJ	VYBER KARTOU	2700	47820	\N	\N	0
929057	3166	1998-01-05	VYDAJ	VYBER KARTOU	2700	50520	\N	\N	0
929058	3166	1998-01-17	VYDAJ	VYBER	4500	41518	\N	\N	\N
929059	3166	1998-01-06	VYDAJ	VYBER	8400	39420	\N	\N	\N
929060	3166	1998-01-27	VYDAJ	VYBER	5400	40954	\N	\N	\N
929061	3166	1998-01-13	VYDAJ	VYBER KARTOU	2100	33618	\N	\N	0
929063	3166	1993-11-30	VYDAJ	VYBER	13500	76219	\N	\N	\N
929066	3166	1993-12-30	VYDAJ	VYBER	3300	37463	\N	\N	\N
929068	3166	1994-02-23	VYDAJ	VYBER	5100	4679	\N	\N	\N
929069	3166	1994-07-19	VYDAJ	VYBER	7200	32289	\N	\N	\N
929070	3166	1994-12-10	VYDAJ	VYBER	14100	7310	\N	\N	\N
929071	3166	1994-05-30	VYDAJ	VYBER	1800	3168	\N	\N	\N
929073	3166	1994-03-23	VYDAJ	VYBER	9000	5136	\N	\N	\N
929074	3166	1995-04-11	VYDAJ	VYBER	13200	27444	\N	\N	\N
929075	3166	1995-03-04	VYDAJ	VYBER	8400	19397	\N	\N	\N
929076	3166	1995-09-14	VYDAJ	VYBER	10800	68332	\N	\N	\N
929077	3166	1995-02-09	VYDAJ	VYBER	4200	14550	\N	\N	\N
929078	3166	1995-11-23	VYDAJ	VYBER	10200	31119	\N	\N	\N
929079	3166	1995-06-05	VYDAJ	VYBER	14100	37379	\N	\N	\N
929080	3166	1996-12-18	VYDAJ	VYBER KARTOU	3900	55914	\N	\N	0
929081	3166	1996-10-28	VYDAJ	VYBER KARTOU	2100	82025	\N	\N	0
929082	3166	1996-03-23	VYDAJ	VYBER	11700	54940	\N	\N	\N
929083	3166	1996-09-02	VYDAJ	VYBER	7200	89342	\N	\N	\N
929084	3166	1996-06-13	VYDAJ	VYBER	12900	52651	\N	\N	\N
929085	3166	1996-07-08	VYDAJ	VYBER	13500	62213	\N	\N	\N
929086	3166	1997-05-09	VYDAJ	VYBER KARTOU	2700	46860	\N	\N	0
929087	3166	1997-04-12	VYDAJ	VYBER	7200	32612	\N	\N	\N
929088	3166	1997-10-13	VYDAJ	VYBER	14400	37429	\N	\N	\N
929089	3166	1997-08-22	VYDAJ	VYBER	11700	67980	\N	\N	\N
929090	3166	1998-07-21	VYDAJ	VYBER KARTOU	3900	69020	\N	\N	0
929091	3166	1998-09-14	VYDAJ	VYBER	6000	73129	\N	\N	\N
929092	3166	1998-12-21	VYDAJ	VYBER	14700	65048	\N	\N	\N
929093	3166	1998-07-06	VYDAJ	VYBER	7800	55759	\N	\N	\N
929094	3166	1998-08-02	VYDAJ	VYBER KARTOU	2400	66897	\N	\N	0
929095	3166	1998-07-04	VYDAJ	VYBER	9300	63559	\N	\N	\N
929107	3166	1993-11-30	VYDAJ	VYBER	15	89719	SLUZBY	\N	\N
929108	3166	1993-12-31	VYDAJ	VYBER	15	37715	SLUZBY	\N	\N
929109	3166	1994-01-31	VYDAJ	VYBER	15	-2421	SLUZBY	\N	\N
929110	3166	1994-02-28	VYDAJ	VYBER	15	14536	SLUZBY	\N	\N
929111	3166	1994-03-31	VYDAJ	VYBER	15	5169	SLUZBY	\N	\N
929112	3166	1994-04-30	VYDAJ	VYBER	15	15163	SLUZBY	\N	\N
929113	3166	1994-05-31	VYDAJ	VYBER	15	3251	SLUZBY	\N	\N
929114	3166	1994-06-30	VYDAJ	VYBER	15	18432	SLUZBY	\N	\N
929115	3166	1994-07-31	VYDAJ	VYBER	15	32404	SLUZBY	\N	\N
929116	3166	1994-08-31	VYDAJ	VYBER	15	25800	SLUZBY	\N	\N
929117	3166	1994-09-30	VYDAJ	VYBER	15	21178	SLUZBY	\N	\N
929118	3166	1994-10-31	VYDAJ	VYBER	15	47982	SLUZBY	\N	\N
929119	3166	1994-11-30	VYDAJ	VYBER	15	13510	SLUZBY	\N	\N
929120	3166	1994-12-31	VYDAJ	VYBER	15	2831	SLUZBY	\N	\N
929121	3166	1995-01-31	VYDAJ	VYBER	15	-2023	SLUZBY	\N	\N
929122	3166	1995-02-28	VYDAJ	VYBER	15	19999	SLUZBY	\N	\N
929123	3166	1995-03-31	VYDAJ	VYBER	15	4976	SLUZBY	\N	\N
929124	3166	1995-04-30	VYDAJ	VYBER	15	36018	SLUZBY	\N	\N
929125	3166	1995-05-31	VYDAJ	VYBER	15	72979	SLUZBY	\N	\N
929126	3166	1995-06-30	VYDAJ	VYBER	15	4975	SLUZBY	\N	\N
929127	3166	1995-07-31	VYDAJ	VYBER	15	60660	SLUZBY	\N	\N
929128	3166	1995-08-31	VYDAJ	VYBER	15	66376	SLUZBY	\N	\N
929129	3166	1995-09-30	VYDAJ	VYBER	15	55214	SLUZBY	\N	\N
929130	3166	1995-10-31	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
929131	3166	1995-11-30	VYDAJ	VYBER	15	35578	SLUZBY	\N	\N
929132	3166	1995-12-31	VYDAJ	VYBER	15	24397	SLUZBY	\N	\N
929133	3166	1996-01-31	VYDAJ	VYBER	15	20119	SLUZBY	\N	\N
929134	3166	1996-02-29	VYDAJ	VYBER	15	73212	SLUZBY	\N	\N
929135	3166	1996-03-31	VYDAJ	VYBER	15	52445	SLUZBY	\N	\N
929136	3166	1996-04-30	VYDAJ	VYBER	15	49342	SLUZBY	\N	\N
929137	3166	1996-05-31	VYDAJ	VYBER	15	69254	SLUZBY	\N	\N
929138	3166	1996-06-30	VYDAJ	VYBER	15	44951	SLUZBY	\N	\N
929139	3166	1996-07-31	VYDAJ	VYBER	15	74134	SLUZBY	\N	\N
929140	3166	1996-08-31	VYDAJ	VYBER	15	99804	SLUZBY	\N	\N
929141	3166	1996-09-30	VYDAJ	VYBER	15	69103	SLUZBY	\N	\N
929142	3166	1996-10-31	VYDAJ	VYBER	15	82313	SLUZBY	\N	\N
929143	3166	1996-11-30	VYDAJ	VYBER	15	66817	SLUZBY	\N	\N
929144	3166	1996-12-31	VYDAJ	VYBER	15	73950	SLUZBY	\N	\N
929145	3166	1997-01-31	VYDAJ	VYBER	15	30856	SLUZBY	\N	\N
929146	3166	1997-02-28	VYDAJ	VYBER	15	33383	SLUZBY	\N	\N
929147	3166	1997-03-31	VYDAJ	VYBER	15	35670	SLUZBY	\N	\N
929148	3166	1997-04-30	VYDAJ	VYBER	15	42658	SLUZBY	\N	\N
929149	3166	1997-05-31	VYDAJ	VYBER	15	34852	SLUZBY	\N	\N
929150	3166	1997-06-30	VYDAJ	VYBER	15	4643	SLUZBY	\N	\N
929151	3166	1997-07-31	VYDAJ	VYBER	15	82487	SLUZBY	\N	\N
929152	3166	1997-08-31	VYDAJ	VYBER	15	86035	SLUZBY	\N	\N
929153	3166	1997-09-30	VYDAJ	VYBER	15	77664	SLUZBY	\N	\N
929154	3166	1997-10-31	VYDAJ	VYBER	15	49049	SLUZBY	\N	\N
929155	3166	1997-11-30	VYDAJ	VYBER	15	79288	SLUZBY	\N	\N
929156	3166	1997-12-31	VYDAJ	VYBER	15	53220	SLUZBY	\N	\N
929157	3166	1998-01-31	VYDAJ	VYBER	15	41139	SLUZBY	\N	\N
929158	3166	1998-02-28	VYDAJ	VYBER	15	78679	SLUZBY	\N	\N
929159	3166	1998-03-31	VYDAJ	VYBER	15	70668	SLUZBY	\N	\N
929160	3166	1998-04-30	VYDAJ	VYBER	15	71336	SLUZBY	\N	\N
929161	3166	1998-05-31	VYDAJ	VYBER	15	108723	SLUZBY	\N	\N
929162	3166	1998-06-30	VYDAJ	VYBER	15	72859	SLUZBY	\N	\N
929163	3166	1998-07-31	VYDAJ	VYBER	15	69297	SLUZBY	\N	\N
929164	3166	1998-08-31	VYDAJ	VYBER	15	63948	SLUZBY	\N	\N
929165	3166	1998-09-30	VYDAJ	VYBER	15	73412	SLUZBY	\N	\N
929166	3166	1998-10-31	VYDAJ	VYBER	15	54183	SLUZBY	\N	\N
929167	3166	1998-11-30	VYDAJ	VYBER	15	84200	SLUZBY	\N	\N
929168	3166	1993-09-09	PRIJEM	VKLAD	13500	14500	\N	\N	\N
929169	3166	1993-10-09	VYDAJ	VYBER	5500	30538	\N	\N	\N
929170	3166	1993-11-08	VYDAJ	VYBER	13900	41914	\N	\N	\N
929171	3166	1993-12-08	VYDAJ	VYBER	26000	50219	\N	\N	\N
929172	3166	1994-01-07	VYDAJ	VYBER	3800	28815	\N	\N	\N
929173	3166	1994-02-06	PRIJEM	VKLAD	12200	9779	\N	\N	\N
929174	3166	1994-03-08	PRIJEM	VKLAD	3600	18136	\N	\N	\N
929175	3166	1994-04-07	VYDAJ	VYBER	2100	30570	\N	\N	\N
929176	3166	1994-05-07	VYDAJ	VYBER	5600	33582	\N	\N	\N
929177	3166	1994-06-06	VYDAJ	VYBER	9900	38407	\N	\N	\N
929178	3166	1994-07-06	PRIJEM	VKLAD	4400	22832	\N	\N	\N
929179	3166	1994-08-05	VYDAJ	VYBER	2800	25704	\N	\N	\N
929180	3166	1994-09-04	VYDAJ	VYBER	1500	24300	\N	\N	\N
929181	3166	1994-10-04	PRIJEM	VKLAD	900	22078	\N	\N	\N
929182	3166	1994-11-03	VYDAJ	VYBER	11900	36082	\N	\N	\N
929183	3166	1994-12-03	PRIJEM	VKLAD	7900	21410	\N	\N	\N
929184	3166	1995-01-02	PRIJEM	VKLAD	11400	14231	\N	\N	\N
929185	3166	1995-02-01	PRIJEM	VKLAD	15100	13077	\N	\N	\N
929186	3166	1995-03-03	PRIJEM	VKLAD	7800	27797	\N	\N	\N
929187	3166	1995-04-02	PRIJEM	VKLAD	15400	20376	\N	\N	\N
929188	3166	1995-05-02	PRIJEM	VKLAD	600	36618	\N	\N	\N
929189	3166	1995-06-01	VYDAJ	VYBER	21500	51479	\N	\N	\N
929190	3166	1995-07-01	PRIJEM	VKLAD	15700	20675	\N	\N	\N
929191	3166	1995-07-31	VYDAJ	VYBER	12800	47860	\N	\N	\N
929192	3166	1995-08-30	VYDAJ	VYBER	23000	66163	\N	\N	\N
929193	3166	1995-09-29	VYDAJ	VYBER	13400	54932	\N	\N	\N
929194	3166	1995-10-29	VYDAJ	VYBER	4100	44846	\N	\N	\N
929195	3166	1995-11-28	PRIJEM	VKLAD	4300	35419	\N	\N	\N
929196	3166	1995-12-28	PRIJEM	VKLAD	15400	24320	\N	\N	\N
929197	3166	1996-01-27	PRIJEM	VKLAD	18200	20097	\N	\N	\N
929198	3166	1996-02-26	VYDAJ	VYBER	27200	72928	\N	\N	\N
929199	3166	1996-03-16	VYDAJ	VYBER	46200	66640	\N	\N	\N
929200	3166	1996-03-27	VYDAJ	VYBER	2800	52140	\N	\N	\N
929201	3166	1996-04-26	PRIJEM	VKLAD	400	49142	\N	\N	\N
929202	3166	1996-05-11	VYDAJ	VYBER	47400	58114	\N	\N	\N
929203	3166	1996-05-26	VYDAJ	VYBER	16600	69029	\N	\N	\N
929204	3166	1996-06-25	PRIJEM	VKLAD	7700	44751	\N	\N	\N
929205	3166	1996-07-25	VYDAJ	VYBER	21400	73873	\N	\N	\N
929206	3166	1996-08-24	VYDAJ	VYBER	10900	59531	\N	\N	\N
929207	3166	1996-09-02	VYDAJ	VYBER	15500	73842	\N	\N	\N
929208	3166	1996-09-02	VYDAJ	VYBER	42100	96542	\N	\N	\N
929209	3166	1996-09-05	VYDAJ	VYBER	19400	93773	\N	\N	\N
929210	3166	1996-09-23	VYDAJ	VYBER	21300	68770	\N	\N	\N
929211	3166	1996-10-23	VYDAJ	VYBER	25300	84125	\N	\N	\N
929212	3166	1996-11-22	VYDAJ	VYBER	12100	66510	\N	\N	\N
929213	3166	1996-12-22	VYDAJ	VYBER	19100	73682	\N	\N	\N
929214	3166	1997-01-21	PRIJEM	VKLAD	5100	45991	\N	\N	\N
929215	3166	1997-02-20	PRIJEM	VKLAD	14800	41953	\N	\N	\N
929216	3166	1997-03-22	PRIJEM	VKLAD	11800	41480	\N	\N	\N
929217	3166	1997-04-21	PRIJEM	VKLAD	9900	42512	\N	\N	\N
929218	3166	1997-05-21	PRIJEM	VKLAD	7400	50558	\N	\N	\N
929219	3166	1997-06-20	PRIJEM	VKLAD	8000	52829	\N	\N	\N
929220	3166	1997-07-20	PRIJEM	VKLAD	28500	33143	\N	\N	\N
929221	3166	1997-08-19	VYDAJ	VYBER KARTOU	2500	65607	\N	\N	0
929222	3166	1997-09-09	VYDAJ	VYBER	15100	115433	\N	\N	\N
929223	3166	1997-09-18	VYDAJ	VYBER	17700	77311	\N	\N	\N
929224	3166	1997-10-18	PRIJEM	VKLAD	11400	48829	\N	\N	\N
929225	3166	1997-11-17	VYDAJ	VYBER KARTOU	2200	50628	\N	\N	0
929226	3166	1997-12-17	VYDAJ	VYBER	5900	58068	\N	\N	\N
929227	3166	1998-01-16	PRIJEM	VKLAD	12400	46018	\N	\N	\N
929228	3166	1998-02-15	VYDAJ	VYBER	24700	78624	\N	\N	\N
929229	3166	1998-02-21	VYDAJ	VYBER	39900	81290	\N	\N	\N
929230	3166	1998-03-17	VYDAJ	VYBER	4600	70376	\N	\N	\N
929231	3166	1998-04-16	VYDAJ	VYBER	7700	71055	\N	\N	\N
929232	3166	1998-05-01	VYDAJ	VYBER	55900	59844	\N	\N	\N
929233	3166	1998-05-16	VYDAJ	VYBER	9000	73965	\N	\N	\N
929234	3166	1998-05-23	VYDAJ	VYBER	37600	108357	\N	\N	\N
929235	3166	1998-06-10	VYDAJ	VYBER	43600	76750	\N	\N	\N
929236	3166	1998-06-15	VYDAJ	VYBER KARTOU	500	72547	\N	\N	0
929237	3166	1998-07-15	VYDAJ	VYBER KARTOU	1300	72920	\N	\N	0
929238	3166	1998-08-14	PRIJEM	VKLAD	500	63694	\N	\N	\N
929239	3166	1998-09-13	VYDAJ	VYBER	4200	79129	\N	\N	\N
929240	3166	1998-10-13	PRIJEM	VKLAD	1600	67907	\N	\N	\N
929241	3166	1998-11-12	PRIJEM	VKLAD	14600	68783	\N	\N	\N
929242	3166	1998-11-24	VYDAJ	VYBER	33600	78069	\N	\N	\N
929243	3166	1998-12-12	VYDAJ	VYBER	16200	85714	\N	\N	\N
929315	3167	1994-08-08	PRIJEM	VKLAD	200	200	\N	\N	\N
929324	3167	1994-09-06	PRIJEM	VKLAD	21257	21457	\N	\N	\N
929325	3167	1994-10-06	PRIJEM	VKLAD	21257	45695	\N	\N	\N
929326	3167	1994-11-06	PRIJEM	VKLAD	21257	54985	\N	\N	\N
929327	3167	1994-12-06	PRIJEM	VKLAD	31886	70829	\N	\N	\N
929328	3167	1995-01-06	PRIJEM	VKLAD	21257	56959	\N	\N	\N
929329	3167	1995-02-06	PRIJEM	VKLAD	21257	55831	\N	\N	\N
929330	3167	1995-03-06	PRIJEM	VKLAD	21257	77297	\N	\N	\N
929331	3167	1995-04-06	PRIJEM	VKLAD	21257	56443	\N	\N	\N
929332	3167	1995-05-06	PRIJEM	VKLAD	21257	58112	\N	\N	\N
929333	3167	1995-06-06	PRIJEM	VKLAD	31886	70423	\N	\N	\N
929334	3167	1995-07-06	PRIJEM	VKLAD	21257	59028	\N	\N	\N
929335	3167	1995-08-06	PRIJEM	VKLAD	21257	62710	\N	\N	\N
929336	3167	1995-09-06	PRIJEM	VKLAD	21257	64511	\N	\N	\N
929337	3167	1995-10-06	PRIJEM	VKLAD	21257	64421	\N	\N	\N
929338	3167	1995-11-06	PRIJEM	VKLAD	21257	66132	\N	\N	\N
929339	3167	1995-12-06	PRIJEM	VKLAD	31886	79872	\N	\N	\N
929340	3167	1996-01-06	PRIJEM	VKLAD	21257	73119	\N	\N	\N
929341	3167	1996-02-06	PRIJEM	VKLAD	21257	59597	\N	\N	\N
929342	3167	1996-03-06	PRIJEM	VKLAD	21257	60838	\N	\N	\N
929343	3167	1996-04-06	PRIJEM	VKLAD	21257	64746	\N	\N	\N
929344	3167	1996-05-06	PRIJEM	VKLAD	21257	66169	\N	\N	\N
929345	3167	1996-06-06	PRIJEM	VKLAD	31886	78027	\N	\N	\N
929346	3167	1996-07-06	PRIJEM	VKLAD	21257	68373	\N	\N	\N
929347	3167	1996-08-06	PRIJEM	VKLAD	21257	68332	\N	\N	\N
929348	3167	1996-09-06	PRIJEM	VKLAD	21257	69170	\N	\N	\N
929349	3167	1996-10-06	PRIJEM	VKLAD	21257	71012	\N	\N	\N
929350	3167	1996-11-06	PRIJEM	VKLAD	21257	67160	\N	\N	\N
929351	3167	1996-12-06	PRIJEM	VKLAD	31886	78922	\N	\N	\N
929352	3167	1997-01-06	PRIJEM	VKLAD	21257	69492	\N	\N	\N
929353	3167	1997-02-06	PRIJEM	VKLAD	21257	56360	\N	\N	\N
929354	3167	1997-03-06	PRIJEM	VKLAD	21257	60050	\N	\N	\N
929355	3167	1997-04-06	PRIJEM	VKLAD	21257	63956	\N	\N	\N
929356	3167	1997-05-06	PRIJEM	VKLAD	21257	67478	\N	\N	\N
929357	3167	1997-06-06	PRIJEM	VKLAD	31886	76655	\N	\N	\N
929358	3167	1997-07-06	PRIJEM	VKLAD	21257	64002	\N	\N	\N
929359	3167	1997-08-06	PRIJEM	VKLAD	21257	68426	\N	\N	\N
929360	3167	1997-09-06	PRIJEM	VKLAD	21257	75371	\N	\N	\N
929361	3167	1997-10-06	PRIJEM	VKLAD	21257	75142	\N	\N	\N
929362	3167	1997-11-06	PRIJEM	VKLAD	21257	71543	\N	\N	\N
929363	3167	1997-12-06	PRIJEM	VKLAD	31886	82121	\N	\N	\N
929364	3167	1998-01-06	PRIJEM	VKLAD	21257	76616	\N	\N	\N
929365	3167	1998-02-06	PRIJEM	VKLAD	21257	68085	\N	\N	\N
929366	3167	1998-03-06	PRIJEM	VKLAD	21257	70524	\N	\N	\N
929367	3167	1998-04-06	PRIJEM	VKLAD	21257	74374	\N	\N	\N
929368	3167	1998-05-06	PRIJEM	VKLAD	21257	74434	\N	\N	\N
929369	3167	1998-06-06	PRIJEM	VKLAD	31886	85324	\N	\N	\N
929370	3167	1998-07-06	PRIJEM	VKLAD	21257	77920	\N	\N	\N
929371	3167	1998-08-06	PRIJEM	VKLAD	21257	81702	\N	\N	\N
929372	3167	1998-09-06	PRIJEM	VKLAD	21257	81591	\N	\N	\N
929373	3167	1998-10-06	PRIJEM	VKLAD	21257	81781	\N	\N	\N
929374	3167	1998-11-06	PRIJEM	VKLAD	21257	85279	\N	\N	\N
929375	3167	1998-12-06	PRIJEM	VKLAD	31886	99723	\N	\N	\N
929377	3167	1995-06-23	VYDAJ	VYBER	18100	52323	\N	\N	\N
929378	3167	1996-06-22	VYDAJ	VYBER	18600	59427	\N	\N	\N
929379	3167	1997-06-08	VYDAJ	VYBER	19700	56955	\N	\N	\N
929380	3167	1998-06-08	VYDAJ	VYBER	10800	74524	\N	\N	\N
929383	3167	1996-01-17	VYDAJ	VYBER	7500	61219	\N	\N	\N
929384	3167	1997-01-27	VYDAJ	VYBER KARTOU	2700	34892	\N	\N	0
929385	3167	1998-01-27	VYDAJ	VYBER KARTOU	2100	46616	\N	\N	0
929387	3167	1995-12-16	VYDAJ	VYBER	2000	74672	\N	\N	\N
929388	3167	1996-12-17	VYDAJ	VYBER KARTOU	2300	76622	\N	\N	0
929389	3167	1997-12-11	VYDAJ	VYBER KARTOU	1100	81021	\N	\N	0
929390	3167	1998-12-04	VYDAJ	VYBER KARTOU	1100	67837	\N	\N	0
929397	3167	1995-01-15	VYDAJ	VYBER	1500	50859	\N	\N	\N
929398	3167	1995-01-30	VYDAJ	VYBER	1300	49059	\N	\N	\N
929399	3167	1995-01-26	VYDAJ	VYBER	500	50359	\N	\N	\N
929400	3167	1995-01-09	VYDAJ	VYBER	2400	54559	\N	\N	\N
929401	3167	1995-01-13	VYDAJ	VYBER	2200	52359	\N	\N	\N
929403	3167	1996-01-15	VYDAJ	VYBER	1600	68719	\N	\N	\N
929404	3167	1996-01-26	VYDAJ	VYBER	2000	53319	\N	\N	\N
929405	3167	1996-01-11	VYDAJ	VYBER	2800	70319	\N	\N	\N
929406	3167	1996-01-24	VYDAJ	VYBER	1400	57619	\N	\N	\N
929407	3167	1996-01-21	VYDAJ	VYBER	2200	59019	\N	\N	\N
929408	3167	1996-01-25	VYDAJ	VYBER	2300	55319	\N	\N	\N
929409	3167	1997-01-08	VYDAJ	VYBER KARTOU	1900	65792	\N	\N	0
929410	3167	1997-01-06	VYDAJ	VYBER KARTOU	1800	67692	\N	\N	0
929411	3167	1997-01-22	VYDAJ	VYBER KARTOU	1700	61492	\N	\N	0
929412	3167	1997-01-14	VYDAJ	VYBER KARTOU	2600	63192	\N	\N	0
929413	3167	1997-01-24	VYDAJ	VYBER KARTOU	1200	60292	\N	\N	0
929414	3167	1997-01-25	VYDAJ	VYBER KARTOU	1900	37592	\N	\N	0
929415	3167	1998-01-20	VYDAJ	VYBER KARTOU	500	53216	\N	\N	0
929416	3167	1998-01-16	VYDAJ	VYBER KARTOU	1000	75616	\N	\N	0
929417	3167	1998-01-18	VYDAJ	VYBER KARTOU	1200	74416	\N	\N	0
929418	3167	1998-01-24	VYDAJ	VYBER KARTOU	2800	49816	\N	\N	0
929419	3167	1998-01-27	VYDAJ	VYBER KARTOU	1100	48716	\N	\N	0
929420	3167	1998-01-21	VYDAJ	VYBER KARTOU	600	52616	\N	\N	0
929428	3167	1995-02-02	VYDAJ	VYBER	3300	45974	\N	\N	\N
929429	3167	1995-06-27	VYDAJ	VYBER	3600	48723	\N	\N	\N
929430	3167	1995-11-07	VYDAJ	VYBER	1500	64632	\N	\N	\N
929431	3167	1995-04-21	VYDAJ	VYBER	2500	53943	\N	\N	\N
929432	3167	1995-12-06	VYDAJ	VYBER	3200	76672	\N	\N	\N
929433	3167	1996-02-20	VYDAJ	VYBER	4400	51097	\N	\N	\N
929434	3167	1996-07-20	VYDAJ	VYBER	1100	67273	\N	\N	\N
929435	3167	1996-02-11	VYDAJ	VYBER	4100	55497	\N	\N	\N
929436	3167	1996-08-28	VYDAJ	VYBER	1600	47732	\N	\N	\N
929437	3167	1996-07-27	VYDAJ	VYBER	3700	63573	\N	\N	\N
929438	3167	1996-10-25	VYDAJ	VYBER KARTOU	3900	67112	\N	\N	0
929439	3167	1997-09-19	VYDAJ	VYBER KARTOU	2300	73071	\N	\N	0
929440	3167	1997-06-15	VYDAJ	VYBER KARTOU	2300	54655	\N	\N	0
929441	3167	1997-05-17	VYDAJ	VYBER	4300	63178	\N	\N	\N
929442	3167	1997-10-06	VYDAJ	VYBER KARTOU	3800	71342	\N	\N	0
929443	3167	1998-10-17	VYDAJ	VYBER KARTOU	1400	63781	\N	\N	0
929457	3167	1995-01-31	VYDAJ	VYBER	15	49274	SLUZBY	\N	\N
929458	3167	1995-02-28	VYDAJ	VYBER	15	56040	SLUZBY	\N	\N
929459	3167	1995-03-31	VYDAJ	VYBER	15	48986	SLUZBY	\N	\N
929460	3167	1995-04-30	VYDAJ	VYBER	15	54155	SLUZBY	\N	\N
929461	3167	1995-05-31	VYDAJ	VYBER	15	58337	SLUZBY	\N	\N
929462	3167	1995-06-30	VYDAJ	VYBER	15	48971	SLUZBY	\N	\N
929463	3167	1995-07-31	VYDAJ	VYBER	15	59253	SLUZBY	\N	\N
929464	3167	1995-08-31	VYDAJ	VYBER	15	62954	SLUZBY	\N	\N
929465	3167	1995-09-30	VYDAJ	VYBER	15	64764	SLUZBY	\N	\N
929466	3167	1995-10-31	VYDAJ	VYBER	15	64675	SLUZBY	\N	\N
929467	3167	1995-11-30	VYDAJ	VYBER	15	64886	SLUZBY	\N	\N
929468	3167	1995-12-31	VYDAJ	VYBER	15	51862	SLUZBY	\N	\N
929469	3167	1996-01-31	VYDAJ	VYBER	15	38340	SLUZBY	\N	\N
929470	3167	1996-02-29	VYDAJ	VYBER	15	39581	SLUZBY	\N	\N
929471	3167	1996-03-31	VYDAJ	VYBER	15	43489	SLUZBY	\N	\N
929472	3167	1996-04-30	VYDAJ	VYBER	15	44912	SLUZBY	\N	\N
929473	3167	1996-05-31	VYDAJ	VYBER	15	46141	SLUZBY	\N	\N
929474	3167	1996-06-30	VYDAJ	VYBER	15	47116	SLUZBY	\N	\N
929475	3167	1996-07-31	VYDAJ	VYBER	15	47075	SLUZBY	\N	\N
929476	3167	1996-08-31	VYDAJ	VYBER	15	47913	SLUZBY	\N	\N
929477	3167	1996-09-30	VYDAJ	VYBER	15	49755	SLUZBY	\N	\N
929478	3167	1996-10-31	VYDAJ	VYBER	15	45903	SLUZBY	\N	\N
929479	3167	1996-11-30	VYDAJ	VYBER	15	47036	SLUZBY	\N	\N
929480	3167	1996-12-31	VYDAJ	VYBER	15	48235	SLUZBY	\N	\N
929481	3167	1997-01-31	VYDAJ	VYBER	15	35103	SLUZBY	\N	\N
929482	3167	1997-02-28	VYDAJ	VYBER	15	38793	SLUZBY	\N	\N
929483	3167	1997-03-31	VYDAJ	VYBER	15	42699	SLUZBY	\N	\N
929484	3167	1997-04-30	VYDAJ	VYBER	15	46221	SLUZBY	\N	\N
929485	3167	1997-05-31	VYDAJ	VYBER	15	44769	SLUZBY	\N	\N
929486	3167	1997-06-30	VYDAJ	VYBER	15	42745	SLUZBY	\N	\N
929487	3167	1997-07-31	VYDAJ	VYBER	15	47169	SLUZBY	\N	\N
929488	3167	1997-08-31	VYDAJ	VYBER	15	54114	SLUZBY	\N	\N
929489	3167	1997-09-30	VYDAJ	VYBER	15	53885	SLUZBY	\N	\N
929490	3167	1997-10-31	VYDAJ	VYBER	15	50286	SLUZBY	\N	\N
929491	3167	1997-11-30	VYDAJ	VYBER	15	50235	SLUZBY	\N	\N
929492	3167	1997-12-31	VYDAJ	VYBER	15	55359	SLUZBY	\N	\N
929493	3167	1998-01-31	VYDAJ	VYBER	15	46828	SLUZBY	\N	\N
929494	3167	1998-02-28	VYDAJ	VYBER	15	49267	SLUZBY	\N	\N
929495	3167	1998-03-31	VYDAJ	VYBER	15	53117	SLUZBY	\N	\N
929496	3167	1998-04-30	VYDAJ	VYBER	15	53177	SLUZBY	\N	\N
929497	3167	1998-05-31	VYDAJ	VYBER	15	53438	SLUZBY	\N	\N
929498	3167	1998-06-30	VYDAJ	VYBER	15	56663	SLUZBY	\N	\N
929499	3167	1998-07-31	VYDAJ	VYBER	15	60445	SLUZBY	\N	\N
929500	3167	1998-08-31	VYDAJ	VYBER	15	60334	SLUZBY	\N	\N
929501	3167	1998-09-30	VYDAJ	VYBER	15	60524	SLUZBY	\N	\N
929502	3167	1998-10-31	VYDAJ	VYBER	15	64022	SLUZBY	\N	\N
929503	3167	1998-11-30	VYDAJ	VYBER	15	68937	SLUZBY	\N	\N
929504	3167	1994-09-07	PRIJEM	VKLAD	2900	24357	\N	\N	\N
929505	3167	1994-10-07	VYDAJ	VYBER	12100	33595	\N	\N	\N
929506	3167	1994-11-06	VYDAJ	VYBER	16200	38785	\N	\N	\N
929507	3167	1994-12-06	VYDAJ	VYBER	24000	46829	\N	\N	\N
929508	3167	1995-01-05	VYDAJ	VYBER	11400	35702	\N	\N	\N
929509	3167	1995-02-04	VYDAJ	VYBER	11400	34574	\N	\N	\N
929510	3167	1995-03-06	VYDAJ	VYBER	28600	48697	\N	\N	\N
929511	3167	1995-04-05	VYDAJ	VYBER	13800	35186	\N	\N	\N
929512	3167	1995-05-05	VYDAJ	VYBER	17300	36855	\N	\N	\N
929513	3167	1995-06-04	VYDAJ	VYBER	19800	38537	\N	\N	\N
929514	3167	1995-07-04	VYDAJ	VYBER	11200	37771	\N	\N	\N
929515	3167	1995-08-03	VYDAJ	VYBER	17800	41453	\N	\N	\N
929516	3167	1995-09-02	VYDAJ	VYBER	19700	43254	\N	\N	\N
929517	3167	1995-10-02	VYDAJ	VYBER	21600	43164	\N	\N	\N
929518	3167	1995-11-01	VYDAJ	VYBER	19800	44875	\N	\N	\N
929519	3167	1995-12-01	VYDAJ	VYBER	16900	47986	\N	\N	\N
929520	3167	1995-12-31	VYDAJ	VYBER	23100	51876	\N	\N	\N
929521	3167	1996-01-30	VYDAJ	VYBER	15200	38119	\N	\N	\N
929522	3167	1996-02-29	VYDAJ	VYBER	11700	39596	\N	\N	\N
929523	3167	1996-03-30	VYDAJ	VYBER	17500	43338	\N	\N	\N
929524	3167	1996-04-29	VYDAJ	VYBER	20000	44746	\N	\N	\N
929525	3167	1996-05-29	VYDAJ	VYBER	20200	45969	\N	\N	\N
929526	3167	1996-06-28	VYDAJ	VYBER	12500	46927	\N	\N	\N
929527	3167	1996-07-28	VYDAJ	VYBER	16700	46873	\N	\N	\N
929528	3167	1996-08-27	VYDAJ	VYBER	19000	49332	\N	\N	\N
929529	3167	1996-09-26	VYDAJ	VYBER	19600	49570	\N	\N	\N
929530	3167	1996-10-26	VYDAJ	VYBER	21400	45712	\N	\N	\N
929531	3167	1996-11-25	VYDAJ	VYBER	20300	46860	\N	\N	\N
929532	3167	1996-12-25	VYDAJ	VYBER	28600	48022	\N	\N	\N
929533	3167	1997-01-24	VYDAJ	VYBER	20800	39492	\N	\N	\N
929534	3167	1997-02-23	VYDAJ	VYBER	17700	38660	\N	\N	\N
929535	3167	1997-03-25	VYDAJ	VYBER	17500	42550	\N	\N	\N
929536	3167	1997-04-24	VYDAJ	VYBER	17900	46056	\N	\N	\N
929537	3167	1997-05-24	VYDAJ	VYBER	18600	44578	\N	\N	\N
929538	3167	1997-06-23	VYDAJ	VYBER	12100	42555	\N	\N	\N
929539	3167	1997-07-23	VYDAJ	VYBER	17000	47002	\N	\N	\N
929540	3167	1997-08-22	VYDAJ	VYBER	14500	53926	\N	\N	\N
929541	3167	1997-09-21	VYDAJ	VYBER	19400	53671	\N	\N	\N
929542	3167	1997-10-21	VYDAJ	VYBER	21300	50042	\N	\N	\N
929543	3167	1997-11-20	VYDAJ	VYBER	21500	50043	\N	\N	\N
929544	3167	1997-12-20	VYDAJ	VYBER	25900	55121	\N	\N	\N
929545	3167	1998-01-19	VYDAJ	VYBER	20700	53716	\N	\N	\N
929546	3167	1998-02-18	VYDAJ	VYBER	19000	49085	\N	\N	\N
929547	3167	1998-03-20	VYDAJ	VYBER	17600	52924	\N	\N	\N
929548	3167	1998-04-19	VYDAJ	VYBER	21400	52974	\N	\N	\N
929549	3167	1998-05-19	VYDAJ	VYBER	21200	53234	\N	\N	\N
929550	3167	1998-06-18	VYDAJ	VYBER	18100	56424	\N	\N	\N
929551	3167	1998-07-18	VYDAJ	VYBER	17700	60220	\N	\N	\N
929552	3167	1998-08-17	VYDAJ	VYBER	21600	60102	\N	\N	\N
929553	3167	1998-09-16	VYDAJ	VYBER	21300	60291	\N	\N	\N
929554	3167	1998-10-16	VYDAJ	VYBER	16600	65181	\N	\N	\N
929555	3167	1998-11-15	VYDAJ	VYBER	16600	68679	\N	\N	\N
929608	3168	1993-02-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
929611	3168	1993-03-08	PRIJEM	PREVOD Z UCTU	6303	7303	DUCHOD	AB	54928976
929612	3168	1993-04-08	PRIJEM	PREVOD Z UCTU	6303	13606	DUCHOD	AB	54928976
929613	3168	1993-05-08	PRIJEM	PREVOD Z UCTU	6303	19909	DUCHOD	AB	54928976
929614	3168	1993-06-08	PRIJEM	PREVOD Z UCTU	6303	26212	DUCHOD	AB	54928976
929615	3168	1993-07-08	PRIJEM	PREVOD Z UCTU	6303	32515	DUCHOD	AB	54928976
929616	3168	1993-08-08	PRIJEM	PREVOD Z UCTU	6303	29701	DUCHOD	AB	54928976
929617	3168	1993-09-08	PRIJEM	PREVOD Z UCTU	6303	28873	DUCHOD	AB	54928976
929618	3168	1993-10-08	PRIJEM	PREVOD Z UCTU	6303	27084	DUCHOD	AB	54928976
929619	3168	1993-11-08	PRIJEM	PREVOD Z UCTU	6303	30175	DUCHOD	AB	54928976
929620	3168	1993-12-08	PRIJEM	PREVOD Z UCTU	6303	30674	DUCHOD	AB	54928976
929621	3168	1994-01-08	PRIJEM	PREVOD Z UCTU	6303	32170	DUCHOD	AB	54928976
929622	3168	1994-02-08	PRIJEM	PREVOD Z UCTU	6303	22659	DUCHOD	AB	54928976
929623	3168	1994-03-08	PRIJEM	PREVOD Z UCTU	6303	24369	DUCHOD	AB	54928976
929624	3168	1994-04-08	PRIJEM	PREVOD Z UCTU	6303	26728	DUCHOD	AB	54928976
929625	3168	1994-05-08	PRIJEM	PREVOD Z UCTU	6303	29717	DUCHOD	AB	54928976
929626	3168	1994-06-08	PRIJEM	PREVOD Z UCTU	6303	32819	DUCHOD	AB	54928976
929627	3168	1994-07-08	PRIJEM	PREVOD Z UCTU	6303	28325	DUCHOD	AB	54928976
929628	3168	1994-08-08	PRIJEM	PREVOD Z UCTU	6303	31421	DUCHOD	AB	54928976
929629	3168	1994-09-08	PRIJEM	PREVOD Z UCTU	6303	33127	DUCHOD	AB	54928976
929630	3168	1994-10-08	PRIJEM	PREVOD Z UCTU	6303	29950	DUCHOD	AB	54928976
929631	3168	1994-11-08	PRIJEM	PREVOD Z UCTU	6303	32352	DUCHOD	AB	54928976
929632	3168	1994-12-08	PRIJEM	PREVOD Z UCTU	6303	33432	DUCHOD	AB	54928976
929633	3168	1995-01-08	PRIJEM	PREVOD Z UCTU	6303	31767	DUCHOD	AB	54928976
929634	3168	1995-02-08	PRIJEM	PREVOD Z UCTU	6303	23156	DUCHOD	AB	54928976
929635	3168	1995-03-08	PRIJEM	PREVOD Z UCTU	6303	24629	DUCHOD	AB	54928976
929636	3168	1995-04-08	PRIJEM	PREVOD Z UCTU	6303	27709	DUCHOD	AB	54928976
929637	3168	1995-05-08	PRIJEM	PREVOD Z UCTU	6303	28998	DUCHOD	AB	54928976
929638	3168	1995-06-08	PRIJEM	PREVOD Z UCTU	6303	20087	DUCHOD	AB	54928976
929639	3168	1995-07-08	PRIJEM	PREVOD Z UCTU	6303	23161	DUCHOD	AB	54928976
929640	3168	1995-08-08	PRIJEM	PREVOD Z UCTU	6303	22546	DUCHOD	AB	54928976
929641	3168	1995-09-08	PRIJEM	PREVOD Z UCTU	6303	23778	DUCHOD	AB	54928976
929642	3168	1995-10-08	PRIJEM	PREVOD Z UCTU	6303	26860	DUCHOD	AB	54928976
929643	3168	1995-11-08	PRIJEM	PREVOD Z UCTU	6303	29949	DUCHOD	AB	54928976
929644	3168	1995-12-08	PRIJEM	PREVOD Z UCTU	6303	32202	DUCHOD	AB	54928976
929645	3168	1996-01-08	PRIJEM	PREVOD Z UCTU	6303	30968	DUCHOD	AB	54928976
929646	3168	1996-02-08	PRIJEM	PREVOD Z UCTU	6303	26306	DUCHOD	AB	54928976
929647	3168	1996-03-08	PRIJEM	PREVOD Z UCTU	6303	28832	DUCHOD	AB	54928976
929648	3168	1996-04-08	PRIJEM	PREVOD Z UCTU	6303	30808	DUCHOD	AB	54928976
929649	3168	1996-05-08	PRIJEM	PREVOD Z UCTU	6303	30630	DUCHOD	AB	54928976
929650	3168	1996-06-08	PRIJEM	PREVOD Z UCTU	6303	33735	DUCHOD	AB	54928976
929651	3168	1996-07-08	PRIJEM	PREVOD Z UCTU	6303	25915	DUCHOD	AB	54928976
929652	3168	1996-08-08	PRIJEM	PREVOD Z UCTU	6303	29000	DUCHOD	AB	54928976
929653	3168	1996-09-08	PRIJEM	PREVOD Z UCTU	6303	32098	DUCHOD	AB	54928976
929654	3168	1996-10-08	PRIJEM	PREVOD Z UCTU	6303	32485	DUCHOD	AB	54928976
929655	3168	1996-11-08	PRIJEM	PREVOD Z UCTU	6303	35597	DUCHOD	AB	54928976
929656	3168	1996-12-08	PRIJEM	PREVOD Z UCTU	6303	35422	DUCHOD	AB	54928976
929657	3168	1997-01-08	PRIJEM	PREVOD Z UCTU	6303	32458	DUCHOD	AB	54928976
929658	3168	1997-02-08	PRIJEM	PREVOD Z UCTU	6303	26388	DUCHOD	AB	54928976
929659	3168	1997-03-08	PRIJEM	PREVOD Z UCTU	6303	29474	DUCHOD	AB	54928976
929660	3168	1997-04-08	PRIJEM	PREVOD Z UCTU	6303	27205	DUCHOD	AB	54928976
929661	3168	1997-05-08	PRIJEM	PREVOD Z UCTU	6303	30295	DUCHOD	AB	54928976
929662	3168	1997-06-08	PRIJEM	PREVOD Z UCTU	6303	30270	DUCHOD	AB	54928976
929663	3168	1997-07-08	PRIJEM	PREVOD Z UCTU	6303	32491	DUCHOD	AB	54928976
929664	3168	1997-08-08	PRIJEM	PREVOD Z UCTU	6303	35607	DUCHOD	AB	54928976
929665	3168	1997-09-08	PRIJEM	PREVOD Z UCTU	6303	38732	DUCHOD	AB	54928976
929666	3168	1997-10-08	PRIJEM	PREVOD Z UCTU	6303	36824	DUCHOD	AB	54928976
929667	3168	1997-11-08	PRIJEM	PREVOD Z UCTU	6303	39954	DUCHOD	AB	54928976
929668	3168	1997-12-08	PRIJEM	PREVOD Z UCTU	6303	39648	DUCHOD	AB	54928976
929669	3168	1998-01-08	PRIJEM	PREVOD Z UCTU	6303	39817	DUCHOD	AB	54928976
929670	3168	1998-02-08	PRIJEM	PREVOD Z UCTU	6303	32354	DUCHOD	AB	54928976
929671	3168	1998-03-08	PRIJEM	PREVOD Z UCTU	6303	30019	DUCHOD	AB	54928976
929672	3168	1998-04-08	PRIJEM	PREVOD Z UCTU	6303	33126	DUCHOD	AB	54928976
929673	3168	1998-05-08	PRIJEM	PREVOD Z UCTU	6303	34236	DUCHOD	AB	54928976
929674	3168	1998-06-08	PRIJEM	PREVOD Z UCTU	6303	37354	DUCHOD	AB	54928976
929675	3168	1998-07-08	PRIJEM	PREVOD Z UCTU	6303	32402	DUCHOD	AB	54928976
929676	3168	1998-08-08	PRIJEM	PREVOD Z UCTU	6303	34477	DUCHOD	AB	54928976
929677	3168	1998-09-08	PRIJEM	PREVOD Z UCTU	6303	37600	DUCHOD	AB	54928976
929678	3168	1998-10-08	PRIJEM	PREVOD Z UCTU	6303	39531	DUCHOD	AB	54928976
929765	3168	1993-12-08	VYDAJ	VYBER	1050	29624	\N	\N	\N
929679	3168	1998-11-08	PRIJEM	PREVOD Z UCTU	6303	40368	DUCHOD	AB	54928976
929680	3168	1998-12-08	PRIJEM	PREVOD Z UCTU	6303	43511	DUCHOD	AB	54928976
929687	3168	1993-07-12	VYDAJ	PREVOD NA UCET	3292	29223	SIPO	YZ	85804390
929688	3168	1993-08-12	VYDAJ	PREVOD NA UCET	3292	22489	SIPO	YZ	85804390
929689	3168	1993-09-12	VYDAJ	PREVOD NA UCET	3292	25581	SIPO	YZ	85804390
929690	3168	1993-10-12	VYDAJ	PREVOD NA UCET	3292	23792	SIPO	YZ	85804390
929691	3168	1993-11-12	VYDAJ	PREVOD NA UCET	3292	26883	SIPO	YZ	85804390
929692	3168	1993-12-12	VYDAJ	PREVOD NA UCET	3292	26332	SIPO	YZ	85804390
929693	3168	1994-01-12	VYDAJ	PREVOD NA UCET	3292	28878	SIPO	YZ	85804390
929694	3168	1994-02-12	VYDAJ	PREVOD NA UCET	3292	19367	SIPO	YZ	85804390
929695	3168	1994-03-12	VYDAJ	PREVOD NA UCET	3292	20357	SIPO	YZ	85804390
929696	3168	1994-04-12	VYDAJ	PREVOD NA UCET	3292	23436	SIPO	YZ	85804390
929697	3168	1994-05-12	VYDAJ	PREVOD NA UCET	3292	26425	SIPO	YZ	85804390
929698	3168	1994-06-12	VYDAJ	PREVOD NA UCET	3292	29527	SIPO	YZ	85804390
929699	3168	1994-07-12	VYDAJ	PREVOD NA UCET	3292	25033	SIPO	YZ	85804390
929700	3168	1994-08-12	VYDAJ	PREVOD NA UCET	3292	28129	SIPO	YZ	85804390
929701	3168	1994-09-12	VYDAJ	PREVOD NA UCET	3292	29835	SIPO	YZ	85804390
929702	3168	1994-10-12	VYDAJ	PREVOD NA UCET	3292	26658	SIPO	YZ	85804390
929703	3168	1994-11-12	VYDAJ	PREVOD NA UCET	3292	29060	SIPO	YZ	85804390
929704	3168	1994-12-12	VYDAJ	PREVOD NA UCET	3292	30140	SIPO	YZ	85804390
929705	3168	1995-01-12	VYDAJ	PREVOD NA UCET	3292	26775	SIPO	YZ	85804390
929706	3168	1995-02-12	VYDAJ	PREVOD NA UCET	3292	19864	SIPO	YZ	85804390
929707	3168	1995-03-12	VYDAJ	PREVOD NA UCET	3292	21337	SIPO	YZ	85804390
929708	3168	1995-04-12	VYDAJ	PREVOD NA UCET	3292	22617	SIPO	YZ	85804390
929709	3168	1995-05-12	VYDAJ	PREVOD NA UCET	3292	25306	SIPO	YZ	85804390
929710	3168	1995-06-12	VYDAJ	PREVOD NA UCET	3292	16795	SIPO	YZ	85804390
929711	3168	1995-07-12	VYDAJ	PREVOD NA UCET	3292	16189	SIPO	YZ	85804390
929712	3168	1995-08-12	VYDAJ	PREVOD NA UCET	3292	19254	SIPO	YZ	85804390
929713	3168	1995-09-12	VYDAJ	PREVOD NA UCET	3292	20486	SIPO	YZ	85804390
929714	3168	1995-10-12	VYDAJ	PREVOD NA UCET	3292	23568	SIPO	YZ	85804390
929715	3168	1995-11-12	VYDAJ	PREVOD NA UCET	3292	26657	SIPO	YZ	85804390
929716	3168	1995-12-12	VYDAJ	PREVOD NA UCET	3292	28910	SIPO	YZ	85804390
929717	3168	1996-01-12	VYDAJ	PREVOD NA UCET	3292	26796	SIPO	YZ	85804390
929718	3168	1996-02-12	VYDAJ	PREVOD NA UCET	3292	23014	SIPO	YZ	85804390
929719	3168	1996-03-12	VYDAJ	PREVOD NA UCET	3292	24420	SIPO	YZ	85804390
929720	3168	1996-04-12	VYDAJ	PREVOD NA UCET	3292	27516	SIPO	YZ	85804390
929721	3168	1996-05-12	VYDAJ	PREVOD NA UCET	3292	27338	SIPO	YZ	85804390
929722	3168	1996-06-12	VYDAJ	PREVOD NA UCET	3292	21293	SIPO	YZ	85804390
929723	3168	1996-07-12	VYDAJ	PREVOD NA UCET	3292	22623	SIPO	YZ	85804390
929724	3168	1996-08-12	VYDAJ	PREVOD NA UCET	3292	25708	SIPO	YZ	85804390
929725	3168	1996-09-12	VYDAJ	PREVOD NA UCET	3292	28806	SIPO	YZ	85804390
929726	3168	1996-10-12	VYDAJ	PREVOD NA UCET	3292	29193	SIPO	YZ	85804390
929727	3168	1996-11-12	VYDAJ	PREVOD NA UCET	3292	32305	SIPO	YZ	85804390
929728	3168	1996-12-12	VYDAJ	PREVOD NA UCET	3292	31080	SIPO	YZ	85804390
929729	3168	1997-01-12	VYDAJ	PREVOD NA UCET	3292	24956	SIPO	YZ	85804390
929730	3168	1997-02-12	VYDAJ	PREVOD NA UCET	3292	23096	SIPO	YZ	85804390
929731	3168	1997-03-12	VYDAJ	PREVOD NA UCET	3292	26182	SIPO	YZ	85804390
929732	3168	1997-04-12	VYDAJ	PREVOD NA UCET	3292	23913	SIPO	YZ	85804390
929733	3168	1997-05-12	VYDAJ	PREVOD NA UCET	3292	27003	SIPO	YZ	85804390
929734	3168	1997-06-12	VYDAJ	PREVOD NA UCET	3292	26978	SIPO	YZ	85804390
929735	3168	1997-07-12	VYDAJ	PREVOD NA UCET	3292	29199	SIPO	YZ	85804390
929736	3168	1997-08-12	VYDAJ	PREVOD NA UCET	3292	32315	SIPO	YZ	85804390
929737	3168	1997-09-12	VYDAJ	PREVOD NA UCET	3292	35440	SIPO	YZ	85804390
929738	3168	1997-10-12	VYDAJ	PREVOD NA UCET	3292	33532	SIPO	YZ	85804390
929739	3168	1997-11-12	VYDAJ	PREVOD NA UCET	3292	33222	SIPO	YZ	85804390
929740	3168	1997-12-12	VYDAJ	PREVOD NA UCET	3292	36356	SIPO	YZ	85804390
929741	3168	1998-01-12	VYDAJ	PREVOD NA UCET	3292	36525	SIPO	YZ	85804390
929742	3168	1998-02-12	VYDAJ	PREVOD NA UCET	3292	26422	SIPO	YZ	85804390
929743	3168	1998-03-12	VYDAJ	PREVOD NA UCET	3292	26727	SIPO	YZ	85804390
929744	3168	1998-04-12	VYDAJ	PREVOD NA UCET	3292	29834	SIPO	YZ	85804390
929745	3168	1998-05-12	VYDAJ	PREVOD NA UCET	3292	30944	SIPO	YZ	85804390
929746	3168	1998-06-12	VYDAJ	PREVOD NA UCET	3292	34062	SIPO	YZ	85804390
929747	3168	1998-07-12	VYDAJ	PREVOD NA UCET	3292	29110	SIPO	YZ	85804390
929748	3168	1998-08-12	VYDAJ	PREVOD NA UCET	3292	31185	SIPO	YZ	85804390
929749	3168	1998-09-12	VYDAJ	PREVOD NA UCET	3292	33108	SIPO	YZ	85804390
929750	3168	1998-10-12	VYDAJ	PREVOD NA UCET	3292	36239	SIPO	YZ	85804390
929751	3168	1998-11-12	VYDAJ	PREVOD NA UCET	3292	37076	SIPO	YZ	85804390
929752	3168	1998-12-12	VYDAJ	PREVOD NA UCET	3292	40219	SIPO	YZ	85804390
929754	3168	1994-06-26	VYDAJ	VYBER	5500	21927	\N	\N	\N
929755	3168	1995-06-07	VYDAJ	VYBER	10250	13784	\N	\N	\N
929756	3168	1996-06-09	VYDAJ	VYBER	9150	24585	\N	\N	\N
929758	3168	1998-06-28	VYDAJ	VYBER	7600	26462	\N	\N	\N
929760	3168	1994-01-17	VYDAJ	VYBER	1100	20518	\N	\N	\N
929761	3168	1995-01-26	VYDAJ	VYBER	4250	17245	\N	\N	\N
929762	3168	1996-01-01	VYDAJ	VYBER	3950	25065	\N	\N	\N
929763	3168	1997-01-10	VYDAJ	VYBER	3250	28248	\N	\N	\N
929764	3168	1998-01-14	VYDAJ	VYBER	2350	34175	\N	\N	\N
929766	3168	1994-12-01	VYDAJ	VYBER	1050	27129	\N	\N	\N
929767	3168	1995-12-01	VYDAJ	VYBER	850	25899	\N	\N	\N
929768	3168	1996-12-09	VYDAJ	VYBER	1050	34372	\N	\N	\N
929769	3168	1997-12-22	VYDAJ	VYBER	250	34266	\N	\N	\N
929770	3168	1998-12-17	VYDAJ	VYBER	1150	39069	\N	\N	\N
929777	3168	1994-01-14	VYDAJ	VYBER	1840	24798	\N	\N	\N
929778	3168	1994-01-16	VYDAJ	VYBER	1200	22098	\N	\N	\N
929779	3168	1994-01-13	VYDAJ	VYBER	2240	26638	\N	\N	\N
929780	3168	1994-01-19	VYDAJ	VYBER	2000	18518	\N	\N	\N
929781	3168	1994-01-29	VYDAJ	VYBER	2240	16278	\N	\N	\N
929782	3168	1994-01-17	VYDAJ	VYBER	480	21618	\N	\N	\N
929783	3168	1995-01-15	VYDAJ	VYBER	960	25815	\N	\N	\N
929784	3168	1995-01-22	VYDAJ	VYBER	2320	22055	\N	\N	\N
929785	3168	1995-01-22	VYDAJ	VYBER	1440	24375	\N	\N	\N
929786	3168	1995-01-04	VYDAJ	VYBER	1200	25464	\N	\N	\N
929787	3168	1995-01-24	VYDAJ	VYBER	560	21495	\N	\N	\N
929788	3168	1995-01-26	VYDAJ	VYBER	480	16765	\N	\N	\N
929789	3168	1996-01-22	VYDAJ	VYBER	1200	21116	\N	\N	\N
929790	3168	1996-01-13	VYDAJ	VYBER	2240	24556	\N	\N	\N
929791	3168	1996-01-30	VYDAJ	VYBER	1200	19916	\N	\N	\N
929792	3168	1996-01-19	VYDAJ	VYBER	1840	22316	\N	\N	\N
929793	3168	1996-01-12	VYDAJ	VYBER	880	30088	\N	\N	\N
929794	3168	1996-01-16	VYDAJ	VYBER	400	24156	\N	\N	\N
929795	3168	1997-01-08	VYDAJ	VYBER	960	31498	\N	\N	\N
929796	3168	1997-01-24	VYDAJ	VYBER	2160	22796	\N	\N	\N
929797	3168	1997-01-25	VYDAJ	VYBER	720	22076	\N	\N	\N
929798	3168	1997-01-03	VYDAJ	VYBER	1760	26155	\N	\N	\N
929799	3168	1997-01-26	VYDAJ	VYBER	1280	20796	\N	\N	\N
929800	3168	1997-01-27	VYDAJ	VYBER	800	19996	\N	\N	\N
929801	3168	1998-01-17	VYDAJ	VYBER	720	33455	\N	\N	\N
929802	3168	1998-01-18	VYDAJ	VYBER	2240	29535	\N	\N	\N
929803	3168	1998-01-20	VYDAJ	VYBER	2000	27535	\N	\N	\N
929804	3168	1998-01-18	VYDAJ	VYBER	1680	31775	\N	\N	\N
929805	3168	1998-01-27	VYDAJ	VYBER	1600	25935	\N	\N	\N
929806	3168	1998-01-01	VYDAJ	VYBER	880	33514	\N	\N	\N
929807	3168	1993-07-20	VYDAJ	VYBER	3280	25943	\N	\N	\N
929809	3168	1993-09-22	VYDAJ	VYBER	3280	20701	\N	\N	\N
929810	3168	1993-08-09	VYDAJ	VYBER	3920	25781	\N	\N	\N
929812	3168	1993-12-22	VYDAJ	VYBER	560	25772	\N	\N	\N
929814	3168	1994-11-12	VYDAJ	VYBER	880	28080	\N	\N	\N
929815	3168	1994-02-19	VYDAJ	VYBER	1360	18007	\N	\N	\N
929816	3168	1994-03-11	VYDAJ	VYBER	720	23649	\N	\N	\N
929817	3168	1994-09-27	VYDAJ	VYBER	1680	23555	\N	\N	\N
929818	3168	1994-12-19	VYDAJ	VYBER	880	26560	\N	\N	\N
929819	3168	1995-06-01	VYDAJ	VYBER	1360	24034	\N	\N	\N
929820	3168	1995-02-24	VYDAJ	VYBER	1600	18264	\N	\N	\N
929821	3168	1995-07-10	VYDAJ	VYBER	3680	19481	\N	\N	\N
929822	3168	1995-09-05	VYDAJ	VYBER	1840	17475	\N	\N	\N
929823	3168	1996-12-27	VYDAJ	VYBER	3280	27800	\N	\N	\N
929824	3168	1996-03-09	VYDAJ	VYBER	1120	27712	\N	\N	\N
929825	3168	1996-04-23	VYDAJ	VYBER	3280	24236	\N	\N	\N
929826	3168	1996-09-21	VYDAJ	VYBER	2720	26086	\N	\N	\N
929827	3168	1996-06-19	VYDAJ	VYBER	1760	19533	\N	\N	\N
929828	3168	1996-02-12	VYDAJ	VYBER	560	22454	\N	\N	\N
929829	3168	1997-03-16	VYDAJ	VYBER	3600	22582	\N	\N	\N
929830	3168	1997-07-02	VYDAJ	VYBER	480	26188	\N	\N	\N
929831	3168	1997-11-09	VYDAJ	VYBER	3440	36514	\N	\N	\N
929832	3168	1997-06-13	VYDAJ	VYBER	400	26578	\N	\N	\N
929833	3168	1997-05-13	VYDAJ	VYBER	3120	23883	\N	\N	\N
929834	3168	1997-09-24	VYDAJ	VYBER	2080	30400	\N	\N	\N
929835	3168	1997-09-23	VYDAJ	VYBER	2960	32480	\N	\N	\N
929836	3168	1997-12-21	VYDAJ	VYBER	1840	34516	\N	\N	\N
929837	3168	1997-03-28	VYDAJ	VYBER	1760	20822	\N	\N	\N
929838	3168	1998-04-19	VYDAJ	VYBER	2000	27834	\N	\N	\N
929839	3168	1998-03-06	VYDAJ	VYBER	2800	23716	\N	\N	\N
929840	3168	1998-09-08	VYDAJ	VYBER	1200	36400	\N	\N	\N
929841	3168	1998-08-07	VYDAJ	VYBER	1040	28174	\N	\N	\N
929842	3168	1998-02-10	VYDAJ	VYBER	2640	29714	\N	\N	\N
929843	3168	1998-07-06	VYDAJ	VYBER	480	26099	\N	\N	\N
929851	3168	1993-07-31	VYDAJ	VYBER	15	23398	SLUZBY	\N	\N
929852	3168	1993-08-31	VYDAJ	VYBER	15	22570	SLUZBY	\N	\N
929853	3168	1993-09-30	VYDAJ	VYBER	15	20781	SLUZBY	\N	\N
929854	3168	1993-10-31	VYDAJ	VYBER	15	23872	SLUZBY	\N	\N
929855	3168	1993-11-30	VYDAJ	VYBER	15	24371	SLUZBY	\N	\N
929856	3168	1993-12-31	VYDAJ	VYBER	15	25867	SLUZBY	\N	\N
929857	3168	1994-01-31	VYDAJ	VYBER	15	16356	SLUZBY	\N	\N
929858	3168	1994-02-28	VYDAJ	VYBER	15	18066	SLUZBY	\N	\N
929859	3168	1994-03-31	VYDAJ	VYBER	15	20425	SLUZBY	\N	\N
929860	3168	1994-04-30	VYDAJ	VYBER	15	23414	SLUZBY	\N	\N
929861	3168	1994-05-31	VYDAJ	VYBER	15	26516	SLUZBY	\N	\N
929862	3168	1994-06-30	VYDAJ	VYBER	15	22022	SLUZBY	\N	\N
929863	3168	1994-07-31	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
929864	3168	1994-08-31	VYDAJ	VYBER	15	26824	SLUZBY	\N	\N
929865	3168	1994-09-30	VYDAJ	VYBER	15	23647	SLUZBY	\N	\N
929866	3168	1994-10-31	VYDAJ	VYBER	15	26049	SLUZBY	\N	\N
929867	3168	1994-11-30	VYDAJ	VYBER	15	28179	SLUZBY	\N	\N
929868	3168	1994-12-31	VYDAJ	VYBER	15	26664	SLUZBY	\N	\N
929869	3168	1995-01-31	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
929870	3168	1995-02-28	VYDAJ	VYBER	15	18326	SLUZBY	\N	\N
929871	3168	1995-03-31	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
929872	3168	1995-04-30	VYDAJ	VYBER	15	22695	SLUZBY	\N	\N
929873	3168	1995-05-31	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
929874	3168	1995-06-30	VYDAJ	VYBER	15	16858	SLUZBY	\N	\N
929875	3168	1995-07-31	VYDAJ	VYBER	15	16243	SLUZBY	\N	\N
929876	3168	1995-08-31	VYDAJ	VYBER	15	19315	SLUZBY	\N	\N
929877	3168	1995-09-30	VYDAJ	VYBER	15	20557	SLUZBY	\N	\N
929878	3168	1995-10-31	VYDAJ	VYBER	15	23646	SLUZBY	\N	\N
929879	3168	1995-11-30	VYDAJ	VYBER	15	26749	SLUZBY	\N	\N
929880	3168	1995-12-31	VYDAJ	VYBER	15	29015	SLUZBY	\N	\N
929881	3168	1996-01-31	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
929882	3168	1996-02-29	VYDAJ	VYBER	15	22529	SLUZBY	\N	\N
929883	3168	1996-03-31	VYDAJ	VYBER	15	24505	SLUZBY	\N	\N
929884	3168	1996-04-30	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
929885	3168	1996-05-31	VYDAJ	VYBER	15	27432	SLUZBY	\N	\N
929886	3168	1996-06-30	VYDAJ	VYBER	15	19612	SLUZBY	\N	\N
929887	3168	1996-07-31	VYDAJ	VYBER	15	22697	SLUZBY	\N	\N
929888	3168	1996-08-31	VYDAJ	VYBER	15	25795	SLUZBY	\N	\N
929889	3168	1996-09-30	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
929890	3168	1996-10-31	VYDAJ	VYBER	15	29294	SLUZBY	\N	\N
929891	3168	1996-11-30	VYDAJ	VYBER	15	32419	SLUZBY	\N	\N
929892	3168	1996-12-31	VYDAJ	VYBER	15	27915	SLUZBY	\N	\N
929893	3168	1997-01-31	VYDAJ	VYBER	15	20085	SLUZBY	\N	\N
929894	3168	1997-02-28	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
929895	3168	1997-03-31	VYDAJ	VYBER	15	20902	SLUZBY	\N	\N
929896	3168	1997-04-30	VYDAJ	VYBER	15	23992	SLUZBY	\N	\N
929897	3168	1997-05-31	VYDAJ	VYBER	15	23967	SLUZBY	\N	\N
929898	3168	1997-06-30	VYDAJ	VYBER	15	26668	SLUZBY	\N	\N
929899	3168	1997-07-31	VYDAJ	VYBER	15	29304	SLUZBY	\N	\N
929900	3168	1997-08-31	VYDAJ	VYBER	15	32429	SLUZBY	\N	\N
929901	3168	1997-09-30	VYDAJ	VYBER	15	30521	SLUZBY	\N	\N
929902	3168	1997-10-31	VYDAJ	VYBER	15	33651	SLUZBY	\N	\N
929903	3168	1997-11-30	VYDAJ	VYBER	15	33345	SLUZBY	\N	\N
929904	3168	1997-12-31	VYDAJ	VYBER	15	34394	SLUZBY	\N	\N
929905	3168	1998-01-31	VYDAJ	VYBER	15	26051	SLUZBY	\N	\N
929906	3168	1998-02-28	VYDAJ	VYBER	15	26516	SLUZBY	\N	\N
929907	3168	1998-03-31	VYDAJ	VYBER	15	26823	SLUZBY	\N	\N
929908	3168	1998-04-30	VYDAJ	VYBER	15	27933	SLUZBY	\N	\N
929909	3168	1998-05-31	VYDAJ	VYBER	15	31051	SLUZBY	\N	\N
929910	3168	1998-06-30	VYDAJ	VYBER	15	26579	SLUZBY	\N	\N
929911	3168	1998-07-31	VYDAJ	VYBER	15	29214	SLUZBY	\N	\N
929912	3168	1998-08-31	VYDAJ	VYBER	15	31297	SLUZBY	\N	\N
929913	3168	1998-09-30	VYDAJ	VYBER	15	33228	SLUZBY	\N	\N
929914	3168	1998-10-31	VYDAJ	VYBER	15	34065	SLUZBY	\N	\N
929915	3168	1998-11-30	VYDAJ	VYBER	15	37208	SLUZBY	\N	\N
929916	3168	1993-07-20	VYDAJ	VYBER	2600	23343	\N	\N	\N
929917	3168	1993-09-18	VYDAJ	VYBER	1600	23981	\N	\N	\N
929918	3168	1993-11-17	VYDAJ	VYBER	2600	24283	\N	\N	\N
929919	3168	1994-01-16	VYDAJ	VYBER	1500	23298	\N	\N	\N
929920	3168	1994-04-16	VYDAJ	VYBER	100	23336	\N	\N	\N
929921	3168	1994-06-15	VYDAJ	VYBER	2100	27427	\N	\N	\N
929922	3168	1994-08-14	VYDAJ	VYBER	1400	26729	\N	\N	\N
929923	3168	1994-09-13	VYDAJ	VYBER	4600	25235	\N	\N	\N
929924	3168	1994-10-13	VYDAJ	VYBER	700	25958	\N	\N	\N
929925	3168	1994-11-12	VYDAJ	VYBER	100	28960	\N	\N	\N
929926	3168	1994-12-12	VYDAJ	VYBER	2700	27440	\N	\N	\N
929927	3168	1995-01-11	VYDAJ	VYBER	1700	30067	\N	\N	\N
929928	3168	1995-04-11	VYDAJ	VYBER	1800	25909	\N	\N	\N
929929	3168	1995-05-11	VYDAJ	VYBER	400	28598	\N	\N	\N
929930	3168	1996-01-06	VYDAJ	VYBER	400	24665	\N	\N	\N
929931	3168	1996-12-01	VYDAJ	VYBER	3300	29119	\N	\N	\N
929932	3168	1998-10-22	VYDAJ	VYBER	2300	33939	\N	\N	\N
929999	3169	1997-12-19	PRIJEM	VKLAD	500	500	\N	\N	\N
930012	3169	1998-01-07	PRIJEM	VKLAD	18413	18913	\N	\N	\N
930013	3169	1998-02-07	PRIJEM	VKLAD	18413	38764	\N	\N	\N
930014	3169	1998-03-07	PRIJEM	VKLAD	18413	47377	\N	\N	\N
930015	3169	1998-04-07	PRIJEM	VKLAD	18413	52820	\N	\N	\N
930016	3169	1998-05-07	PRIJEM	VKLAD	18413	54879	\N	\N	\N
930017	3169	1998-06-07	PRIJEM	VKLAD	27620	54744	\N	\N	\N
930018	3169	1998-07-07	PRIJEM	VKLAD	18413	28842	\N	\N	\N
930019	3169	1998-08-07	PRIJEM	VKLAD	18413	24775	\N	\N	\N
930020	3169	1998-09-07	PRIJEM	VKLAD	18413	23929	\N	\N	\N
930021	3169	1998-10-07	PRIJEM	VKLAD	18413	24081	\N	\N	\N
930022	3169	1998-11-07	PRIJEM	VKLAD	18413	27440	\N	\N	\N
930023	3169	1998-12-07	PRIJEM	VKLAD	27620	36512	\N	\N	\N
930040	3169	1998-05-08	VYDAJ	PREVOD NA UCET	836	54043	SIPO	YZ	57548916
930041	3169	1998-06-08	VYDAJ	PREVOD NA UCET	836	53068	SIPO	YZ	57548916
930042	3169	1998-07-08	VYDAJ	PREVOD NA UCET	836	28006	SIPO	YZ	57548916
930043	3169	1998-08-08	VYDAJ	PREVOD NA UCET	836	23939	SIPO	YZ	57548916
930044	3169	1998-09-08	VYDAJ	PREVOD NA UCET	836	23093	SIPO	YZ	57548916
930045	3169	1998-10-08	VYDAJ	PREVOD NA UCET	836	23245	SIPO	YZ	57548916
930046	3169	1998-11-08	VYDAJ	PREVOD NA UCET	836	26604	SIPO	YZ	57548916
930047	3169	1998-12-08	VYDAJ	PREVOD NA UCET	836	35676	SIPO	YZ	57548916
930065	3169	1998-06-06	VYDAJ	PREVOD NA UCET	6674	27125	 	OP	67546647
930066	3169	1998-07-06	VYDAJ	PREVOD NA UCET	6674	10429	 	OP	67546647
930067	3169	1998-08-06	VYDAJ	PREVOD NA UCET	6674	6362	 	OP	67546647
930068	3169	1998-09-06	VYDAJ	PREVOD NA UCET	6674	5516	 	OP	67546647
930069	3169	1998-10-06	VYDAJ	PREVOD NA UCET	6674	5668	 	OP	67546647
930070	3169	1998-11-06	VYDAJ	PREVOD NA UCET	6674	9027	 	OP	67546647
930071	3169	1998-12-06	VYDAJ	PREVOD NA UCET	6674	8893	 	OP	67546647
930073	3169	1998-06-25	VYDAJ	VYBER	12800	16968	\N	\N	\N
930077	3169	1998-12-21	VYDAJ	VYBER	3360	20416	\N	\N	\N
930082	3169	1998-07-18	VYDAJ	VYBER	1080	17526	\N	\N	\N
930085	3169	1998-07-28	VYDAJ	VYBER	4560	12966	\N	\N	\N
930086	3169	1998-06-07	VYDAJ	VYBER	840	53904	\N	\N	\N
930088	3169	1998-11-26	VYDAJ	VYBER	1200	15504	\N	\N	\N
930107	3169	1998-05-31	VYDAJ	VYBER	15	33799	SLUZBY	\N	\N
930108	3169	1998-06-30	VYDAJ	VYBER	15	17103	SLUZBY	\N	\N
930109	3169	1998-07-31	VYDAJ	VYBER	15	13036	SLUZBY	\N	\N
930110	3169	1998-08-31	VYDAJ	VYBER	15	12190	SLUZBY	\N	\N
930111	3169	1998-09-30	VYDAJ	VYBER	15	12342	SLUZBY	\N	\N
930112	3169	1998-10-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
930113	3169	1998-11-30	VYDAJ	VYBER	15	15567	SLUZBY	\N	\N
930114	3169	1998-01-18	PRIJEM	VKLAD	1400	20313	\N	\N	\N
930115	3169	1998-02-17	VYDAJ	VYBER	9900	28864	\N	\N	\N
930116	3169	1998-03-19	VYDAJ	VYBER	13100	34277	\N	\N	\N
930117	3169	1998-04-18	VYDAJ	VYBER	16500	36320	\N	\N	\N
930118	3169	1998-05-18	VYDAJ	VYBER	20400	33643	\N	\N	\N
930119	3169	1998-06-17	VYDAJ	VYBER	23300	29768	\N	\N	\N
930120	3169	1998-07-17	VYDAJ	VYBER	9400	18606	\N	\N	\N
930121	3169	1998-08-16	VYDAJ	VYBER	11800	12139	\N	\N	\N
930122	3169	1998-09-15	VYDAJ	VYBER	10800	12293	\N	\N	\N
930123	3169	1998-10-15	VYDAJ	VYBER	7600	15645	\N	\N	\N
930124	3169	1998-11-14	VYDAJ	VYBER	9900	16704	\N	\N	\N
930125	3169	1998-12-14	VYDAJ	VYBER	11900	23776	\N	\N	\N
930138	3170	1996-01-12	PRIJEM	VKLAD	900	900	\N	\N	\N
930140	3170	1996-02-11	PRIJEM	VKLAD	6281	7181	\N	\N	\N
930141	3170	1996-03-11	PRIJEM	VKLAD	6281	23208	\N	\N	\N
930142	3170	1996-04-11	PRIJEM	VKLAD	6281	34089	\N	\N	\N
930143	3170	1996-05-11	PRIJEM	VKLAD	6281	37996	\N	\N	\N
930144	3170	1996-06-11	PRIJEM	VKLAD	9422	40967	\N	\N	\N
930145	3170	1996-07-11	PRIJEM	VKLAD	6281	31490	\N	\N	\N
930146	3170	1996-08-11	PRIJEM	VKLAD	6281	38392	\N	\N	\N
930147	3170	1996-09-11	PRIJEM	VKLAD	6281	40223	\N	\N	\N
930148	3170	1996-10-11	PRIJEM	VKLAD	6281	38856	\N	\N	\N
930149	3170	1996-11-11	PRIJEM	VKLAD	6281	38993	\N	\N	\N
930150	3170	1996-12-11	PRIJEM	VKLAD	9422	45574	\N	\N	\N
930151	3170	1997-01-11	PRIJEM	VKLAD	6281	28733	\N	\N	\N
930152	3170	1997-02-11	PRIJEM	VKLAD	6281	25326	\N	\N	\N
930153	3170	1997-03-11	PRIJEM	VKLAD	6281	33702	\N	\N	\N
930154	3170	1997-04-11	PRIJEM	VKLAD	6281	33713	\N	\N	\N
930155	3170	1997-05-11	PRIJEM	VKLAD	6281	34128	\N	\N	\N
930156	3170	1997-06-11	PRIJEM	VKLAD	9422	39685	\N	\N	\N
930157	3170	1997-07-11	PRIJEM	VKLAD	6281	27889	\N	\N	\N
930158	3170	1997-08-11	PRIJEM	VKLAD	6281	33075	\N	\N	\N
930159	3170	1997-09-11	PRIJEM	VKLAD	6281	27670	\N	\N	\N
930160	3170	1997-10-11	PRIJEM	VKLAD	6281	30952	\N	\N	\N
930161	3170	1997-11-11	PRIJEM	VKLAD	6281	38850	\N	\N	\N
930162	3170	1997-12-11	PRIJEM	VKLAD	9422	40622	\N	\N	\N
930163	3170	1998-01-11	PRIJEM	VKLAD	6281	42564	\N	\N	\N
930164	3170	1998-02-11	PRIJEM	VKLAD	6281	35286	\N	\N	\N
930165	3170	1998-03-11	PRIJEM	VKLAD	6281	38903	\N	\N	\N
930166	3170	1998-04-11	PRIJEM	VKLAD	6281	36033	\N	\N	\N
930167	3170	1998-05-11	PRIJEM	VKLAD	6281	37158	\N	\N	\N
930168	3170	1998-06-11	PRIJEM	VKLAD	9422	42529	\N	\N	\N
930169	3170	1998-07-11	PRIJEM	VKLAD	6281	31852	\N	\N	\N
930170	3170	1998-08-11	PRIJEM	VKLAD	6281	36755	\N	\N	\N
930171	3170	1998-09-11	PRIJEM	VKLAD	6281	44386	\N	\N	\N
930172	3170	1998-10-11	PRIJEM	VKLAD	6281	45246	\N	\N	\N
930173	3170	1998-11-11	PRIJEM	VKLAD	6281	44809	\N	\N	\N
930174	3170	1998-12-11	PRIJEM	VKLAD	9422	44409	\N	\N	\N
930181	3170	1996-07-07	VYDAJ	PREVOD NA UCET	4187	21909	SIPO	CD	79496711
930182	3170	1996-08-07	VYDAJ	PREVOD NA UCET	4187	27411	SIPO	CD	79496711
930183	3170	1996-09-07	VYDAJ	PREVOD NA UCET	4187	34342	SIPO	CD	79496711
930184	3170	1996-10-07	VYDAJ	PREVOD NA UCET	4187	32675	SIPO	CD	79496711
930185	3170	1996-11-07	VYDAJ	PREVOD NA UCET	4187	34812	SIPO	CD	79496711
930186	3170	1996-12-07	VYDAJ	PREVOD NA UCET	4187	36152	SIPO	CD	79496711
930187	3170	1997-01-07	VYDAJ	PREVOD NA UCET	4187	31752	SIPO	CD	79496711
930188	3170	1997-02-07	VYDAJ	PREVOD NA UCET	4187	19045	SIPO	CD	79496711
930189	3170	1997-03-07	VYDAJ	PREVOD NA UCET	4187	27421	SIPO	CD	79496711
930190	3170	1997-04-07	VYDAJ	PREVOD NA UCET	4187	27432	SIPO	CD	79496711
930191	3170	1997-05-07	VYDAJ	PREVOD NA UCET	4187	27847	SIPO	CD	79496711
930192	3170	1997-06-07	VYDAJ	PREVOD NA UCET	4187	30263	SIPO	CD	79496711
930193	3170	1997-07-07	VYDAJ	PREVOD NA UCET	4187	21608	SIPO	CD	79496711
930194	3170	1997-08-07	VYDAJ	PREVOD NA UCET	4187	26794	SIPO	CD	79496711
930195	3170	1997-09-07	VYDAJ	PREVOD NA UCET	4187	21389	SIPO	CD	79496711
930196	3170	1997-10-07	VYDAJ	PREVOD NA UCET	4187	24671	SIPO	CD	79496711
930197	3170	1997-11-07	VYDAJ	PREVOD NA UCET	4187	32569	SIPO	CD	79496711
930198	3170	1997-12-07	VYDAJ	PREVOD NA UCET	4187	32600	SIPO	CD	79496711
930199	3170	1998-01-07	VYDAJ	PREVOD NA UCET	4187	36283	SIPO	CD	79496711
930200	3170	1998-02-07	VYDAJ	PREVOD NA UCET	4187	29005	SIPO	CD	79496711
930201	3170	1998-03-07	VYDAJ	PREVOD NA UCET	4187	32622	SIPO	CD	79496711
930202	3170	1998-04-07	VYDAJ	PREVOD NA UCET	4187	29752	SIPO	CD	79496711
930203	3170	1998-05-07	VYDAJ	PREVOD NA UCET	4187	30877	SIPO	CD	79496711
930204	3170	1998-06-07	VYDAJ	PREVOD NA UCET	4187	33107	SIPO	CD	79496711
930205	3170	1998-07-07	VYDAJ	PREVOD NA UCET	4187	25571	SIPO	CD	79496711
930206	3170	1998-08-07	VYDAJ	PREVOD NA UCET	4187	30474	SIPO	CD	79496711
930207	3170	1998-09-07	VYDAJ	PREVOD NA UCET	4187	38105	SIPO	CD	79496711
930208	3170	1998-10-07	VYDAJ	PREVOD NA UCET	4187	38965	SIPO	CD	79496711
930209	3170	1998-11-07	VYDAJ	PREVOD NA UCET	4187	38528	SIPO	CD	79496711
930210	3170	1998-12-07	VYDAJ	PREVOD NA UCET	4187	34987	SIPO	CD	79496711
930211	3170	1996-06-19	VYDAJ	VYBER	14100	26867	\N	\N	\N
930212	3170	1997-06-19	VYDAJ	VYBER	18600	21085	\N	\N	\N
930213	3170	1998-06-25	VYDAJ	VYBER	22800	16529	\N	\N	\N
930215	3170	1997-01-09	VYDAJ	VYBER	9300	22452	\N	\N	\N
930216	3170	1998-01-15	VYDAJ	VYBER	5900	31564	\N	\N	\N
930217	3170	1996-12-01	VYDAJ	VYBER	2100	37039	\N	\N	\N
930218	3170	1997-12-07	VYDAJ	VYBER	1400	31200	\N	\N	\N
930219	3170	1998-12-25	VYDAJ	VYBER	600	43209	\N	\N	\N
930226	3170	1997-01-11	VYDAJ	VYBER	2100	26633	\N	\N	\N
930227	3170	1997-01-02	VYDAJ	VYBER	2800	42939	\N	\N	\N
930228	3170	1997-01-30	VYDAJ	VYBER	2700	18933	\N	\N	\N
930229	3170	1997-01-04	VYDAJ	VYBER	800	40139	\N	\N	\N
930230	3170	1997-01-19	VYDAJ	VYBER	2800	21633	\N	\N	\N
930231	3170	1997-01-04	VYDAJ	VYBER	2000	40939	\N	\N	\N
930232	3170	1998-01-13	VYDAJ	VYBER	2900	39664	\N	\N	\N
930233	3170	1998-01-15	VYDAJ	VYBER	1400	38264	\N	\N	\N
930234	3170	1998-01-15	VYDAJ	VYBER	800	37464	\N	\N	\N
930235	3170	1998-01-22	VYDAJ	VYBER	800	29064	\N	\N	\N
930236	3170	1998-01-06	VYDAJ	VYBER	1000	40470	\N	\N	\N
930237	3170	1998-01-16	VYDAJ	VYBER	1700	29864	\N	\N	\N
930238	3170	1996-07-04	VYDAJ	VYBER	900	26096	\N	\N	\N
930242	3170	1996-09-13	VYDAJ	VYBER	3500	36723	\N	\N	\N
930244	3170	1997-08-16	VYDAJ	VYBER	4200	26775	\N	\N	\N
930245	3170	1997-04-26	VYDAJ	VYBER	2200	31513	\N	\N	\N
930246	3170	1997-09-07	VYDAJ	VYBER	3000	25576	\N	\N	\N
930247	3170	1997-01-18	VYDAJ	VYBER	2200	24433	\N	\N	\N
930248	3170	1997-08-11	VYDAJ	VYBER	2100	30975	\N	\N	\N
930249	3170	1997-09-16	VYDAJ	VYBER	4900	22770	\N	\N	\N
930250	3170	1998-02-19	VYDAJ	VYBER	3500	31786	\N	\N	\N
930251	3170	1998-06-13	VYDAJ	VYBER	3200	39329	\N	\N	\N
930252	3170	1998-12-16	VYDAJ	VYBER	600	43809	\N	\N	\N
930253	3170	1998-03-28	VYDAJ	VYBER	3300	35603	\N	\N	\N
930254	3170	1998-07-19	VYDAJ	VYBER	3900	27952	\N	\N	\N
930261	3170	1996-06-30	VYDAJ	VYBER	15	26996	SLUZBY	\N	\N
930262	3170	1996-07-31	VYDAJ	VYBER	15	31598	SLUZBY	\N	\N
930263	3170	1996-08-31	VYDAJ	VYBER	15	38529	SLUZBY	\N	\N
930264	3170	1996-09-30	VYDAJ	VYBER	15	36862	SLUZBY	\N	\N
930265	3170	1996-10-31	VYDAJ	VYBER	15	38999	SLUZBY	\N	\N
930266	3170	1996-11-30	VYDAJ	VYBER	15	39139	SLUZBY	\N	\N
930267	3170	1996-12-31	VYDAJ	VYBER	15	45739	SLUZBY	\N	\N
930268	3170	1997-01-31	VYDAJ	VYBER	15	19032	SLUZBY	\N	\N
930269	3170	1997-02-28	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
930270	3170	1997-03-31	VYDAJ	VYBER	15	33819	SLUZBY	\N	\N
930271	3170	1997-04-30	VYDAJ	VYBER	15	31634	SLUZBY	\N	\N
930272	3170	1997-05-31	VYDAJ	VYBER	15	34250	SLUZBY	\N	\N
930273	3170	1997-06-30	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
930274	3170	1997-07-31	VYDAJ	VYBER	15	27981	SLUZBY	\N	\N
930275	3170	1997-08-31	VYDAJ	VYBER	15	26876	SLUZBY	\N	\N
930276	3170	1997-09-30	VYDAJ	VYBER	15	22858	SLUZBY	\N	\N
930277	3170	1997-10-31	VYDAJ	VYBER	15	31056	SLUZBY	\N	\N
930278	3170	1997-11-30	VYDAJ	VYBER	15	38987	SLUZBY	\N	\N
930279	3170	1997-12-31	VYDAJ	VYBER	15	40770	SLUZBY	\N	\N
930280	3170	1998-01-31	VYDAJ	VYBER	15	33192	SLUZBY	\N	\N
930281	3170	1998-02-28	VYDAJ	VYBER	15	31909	SLUZBY	\N	\N
930282	3170	1998-03-31	VYDAJ	VYBER	15	35739	SLUZBY	\N	\N
930283	3170	1998-04-30	VYDAJ	VYBER	15	36164	SLUZBY	\N	\N
930284	3170	1998-05-31	VYDAJ	VYBER	15	37294	SLUZBY	\N	\N
930285	3170	1998-06-30	VYDAJ	VYBER	15	29758	SLUZBY	\N	\N
930286	3170	1998-07-31	VYDAJ	VYBER	15	34661	SLUZBY	\N	\N
930287	3170	1998-08-31	VYDAJ	VYBER	15	42292	SLUZBY	\N	\N
930288	3170	1998-09-30	VYDAJ	VYBER	15	43152	SLUZBY	\N	\N
930289	3170	1998-10-31	VYDAJ	VYBER	15	42715	SLUZBY	\N	\N
930290	3170	1998-11-30	VYDAJ	VYBER	15	39174	SLUZBY	\N	\N
930291	3170	1996-02-11	PRIJEM	VKLAD	9700	16881	\N	\N	\N
930292	3170	1996-03-12	PRIJEM	VKLAD	4500	27708	\N	\N	\N
930293	3170	1996-04-11	VYDAJ	VYBER	2500	31589	\N	\N	\N
930294	3170	1996-05-11	VYDAJ	VYBER	2000	35996	\N	\N	\N
930295	3170	1996-06-10	VYDAJ	VYBER	4600	31545	\N	\N	\N
930296	3170	1996-07-10	PRIJEM	VKLAD	3300	25209	\N	\N	\N
930297	3170	1996-08-09	PRIJEM	VKLAD	4700	32111	\N	\N	\N
930298	3170	1996-09-08	VYDAJ	VYBER	400	33942	\N	\N	\N
930299	3170	1996-10-08	VYDAJ	VYBER	100	32575	\N	\N	\N
930300	3170	1996-11-07	VYDAJ	VYBER	2100	32712	\N	\N	\N
930301	3170	1996-12-07	PRIJEM	VKLAD	3300	40339	\N	\N	\N
930302	3170	1997-01-06	VYDAJ	VYBER	4200	35939	\N	\N	\N
930303	3170	1997-02-05	PRIJEM	VKLAD	4200	23232	\N	\N	\N
930304	3170	1997-03-07	PRIJEM	VKLAD	6200	31608	\N	\N	\N
930305	3170	1997-04-06	VYDAJ	VYBER	2200	31619	\N	\N	\N
930306	3170	1997-05-06	PRIJEM	VKLAD	400	32034	\N	\N	\N
930307	3170	1997-06-05	PRIJEM	VKLAD	200	34450	\N	\N	\N
930308	3170	1997-07-05	PRIJEM	VKLAD	4600	25795	\N	\N	\N
930309	3170	1997-08-04	PRIJEM	VKLAD	3000	30981	\N	\N	\N
930310	3170	1997-09-03	PRIJEM	VKLAD	1700	28576	\N	\N	\N
930311	3170	1997-10-03	PRIJEM	VKLAD	6000	28858	\N	\N	\N
930312	3170	1997-11-02	PRIJEM	VKLAD	5700	36756	\N	\N	\N
930313	3170	1997-12-02	VYDAJ	VYBER	2200	36787	\N	\N	\N
930314	3170	1998-01-01	PRIJEM	VKLAD	700	41470	\N	\N	\N
930315	3170	1998-01-31	PRIJEM	VKLAD	4000	33064	\N	\N	\N
930316	3170	1998-03-02	PRIJEM	VKLAD	4900	36809	\N	\N	\N
930317	3170	1998-04-01	VYDAJ	VYBER	1800	33939	\N	\N	\N
930318	3170	1998-05-01	VYDAJ	VYBER	1100	35064	\N	\N	\N
930319	3170	1998-06-30	PRIJEM	VKLAD	13100	29773	\N	\N	\N
930320	3170	1998-07-30	PRIJEM	VKLAD	6600	34552	\N	\N	\N
930321	3170	1998-08-29	PRIJEM	VKLAD	5400	42155	\N	\N	\N
930322	3170	1998-09-28	VYDAJ	VYBER	1400	42986	\N	\N	\N
930323	3170	1998-10-28	VYDAJ	VYBER	2700	42546	\N	\N	\N
930324	3170	1998-11-27	VYDAJ	VYBER	5800	39009	\N	\N	\N
930360	3171	1993-09-28	PRIJEM	VKLAD	900	900	\N	\N	\N
930370	3171	1993-10-14	PRIJEM	PREVOD Z UCTU	4848	5748	DUCHOD	WX	69677310
930371	3171	1993-11-14	PRIJEM	PREVOD Z UCTU	4848	10596	DUCHOD	WX	69677310
930372	3171	1993-12-14	PRIJEM	PREVOD Z UCTU	4848	15444	DUCHOD	WX	69677310
930373	3171	1994-01-14	PRIJEM	PREVOD Z UCTU	4848	20292	DUCHOD	WX	69677310
930374	3171	1994-02-14	PRIJEM	PREVOD Z UCTU	4848	25140	DUCHOD	WX	69677310
930375	3171	1994-03-14	PRIJEM	PREVOD Z UCTU	4848	25786	DUCHOD	WX	69677310
930376	3171	1994-04-14	PRIJEM	PREVOD Z UCTU	4848	24738	DUCHOD	WX	69677310
930377	3171	1994-05-14	PRIJEM	PREVOD Z UCTU	4848	26569	DUCHOD	WX	69677310
930378	3171	1994-06-14	PRIJEM	PREVOD Z UCTU	4848	25407	DUCHOD	WX	69677310
930379	3171	1994-07-14	PRIJEM	PREVOD Z UCTU	4848	21535	DUCHOD	WX	69677310
930380	3171	1994-08-14	PRIJEM	PREVOD Z UCTU	4848	23353	DUCHOD	WX	69677310
930381	3171	1994-09-14	PRIJEM	PREVOD Z UCTU	4848	24378	DUCHOD	WX	69677310
930382	3171	1994-10-14	PRIJEM	PREVOD Z UCTU	4848	24845	DUCHOD	WX	69677310
930383	3171	1994-11-14	PRIJEM	PREVOD Z UCTU	4848	24674	DUCHOD	WX	69677310
930384	3171	1994-12-14	PRIJEM	PREVOD Z UCTU	4848	25755	DUCHOD	WX	69677310
930385	3171	1995-01-14	PRIJEM	PREVOD Z UCTU	4848	23988	DUCHOD	WX	69677310
930386	3171	1995-02-14	PRIJEM	PREVOD Z UCTU	4848	18202	DUCHOD	WX	69677310
930387	3171	1995-03-14	PRIJEM	PREVOD Z UCTU	4848	20006	DUCHOD	WX	69677310
930388	3171	1995-04-14	PRIJEM	PREVOD Z UCTU	4848	21818	DUCHOD	WX	69677310
930389	3171	1995-05-14	PRIJEM	PREVOD Z UCTU	4848	23637	DUCHOD	WX	69677310
930390	3171	1995-06-14	PRIJEM	PREVOD Z UCTU	4848	22743	DUCHOD	WX	69677310
930391	3171	1995-07-14	PRIJEM	PREVOD Z UCTU	4848	17908	DUCHOD	WX	69677310
930392	3171	1995-08-14	PRIJEM	PREVOD Z UCTU	4848	19711	DUCHOD	WX	69677310
930393	3171	1995-09-14	PRIJEM	PREVOD Z UCTU	4848	21521	DUCHOD	WX	69677310
930394	3171	1995-10-14	PRIJEM	PREVOD Z UCTU	4848	19494	DUCHOD	WX	69677310
930395	3171	1995-11-14	PRIJEM	PREVOD Z UCTU	4848	17537	DUCHOD	WX	69677310
930396	3171	1995-12-14	PRIJEM	PREVOD Z UCTU	4848	18938	DUCHOD	WX	69677310
930397	3171	1996-01-14	PRIJEM	PREVOD Z UCTU	4848	18824	DUCHOD	WX	69677310
930398	3171	1996-02-14	PRIJEM	PREVOD Z UCTU	4848	16543	DUCHOD	WX	69677310
930399	3171	1996-03-14	PRIJEM	PREVOD Z UCTU	4848	17139	DUCHOD	WX	69677310
930400	3171	1996-04-14	PRIJEM	PREVOD Z UCTU	4848	18938	DUCHOD	WX	69677310
930401	3171	1996-05-14	PRIJEM	PREVOD Z UCTU	4848	20745	DUCHOD	WX	69677310
930402	3171	1996-06-14	PRIJEM	PREVOD Z UCTU	4848	18359	DUCHOD	WX	69677310
930403	3171	1996-07-14	PRIJEM	PREVOD Z UCTU	4848	20164	DUCHOD	WX	69677310
930404	3171	1996-08-14	PRIJEM	PREVOD Z UCTU	4848	21975	DUCHOD	WX	69677310
930405	3171	1996-09-14	PRIJEM	PREVOD Z UCTU	4848	20755	DUCHOD	WX	69677310
930406	3171	1996-10-14	PRIJEM	PREVOD Z UCTU	4848	22008	DUCHOD	WX	69677310
930407	3171	1996-11-14	PRIJEM	PREVOD Z UCTU	4848	23825	DUCHOD	WX	69677310
930408	3171	1996-12-14	PRIJEM	PREVOD Z UCTU	4848	25652	DUCHOD	WX	69677310
930409	3171	1997-01-14	PRIJEM	PREVOD Z UCTU	4848	19796	DUCHOD	WX	69677310
930410	3171	1997-02-14	PRIJEM	PREVOD Z UCTU	4848	18484	DUCHOD	WX	69677310
930411	3171	1997-03-14	PRIJEM	PREVOD Z UCTU	4848	20288	DUCHOD	WX	69677310
930412	3171	1997-04-14	PRIJEM	PREVOD Z UCTU	4848	22100	DUCHOD	WX	69677310
930413	3171	1997-05-14	PRIJEM	PREVOD Z UCTU	4848	21279	DUCHOD	WX	69677310
930414	3171	1997-06-14	PRIJEM	PREVOD Z UCTU	4848	19997	DUCHOD	WX	69677310
930415	3171	1997-07-14	PRIJEM	PREVOD Z UCTU	4848	21812	DUCHOD	WX	69677310
930416	3171	1997-08-14	PRIJEM	PREVOD Z UCTU	4848	23630	DUCHOD	WX	69677310
930417	3171	1997-09-14	PRIJEM	PREVOD Z UCTU	4848	25456	DUCHOD	WX	69677310
930418	3171	1997-10-14	PRIJEM	PREVOD Z UCTU	4848	25449	DUCHOD	WX	69677310
930419	3171	1997-11-14	PRIJEM	PREVOD Z UCTU	4848	25844	DUCHOD	WX	69677310
930420	3171	1997-12-14	PRIJEM	PREVOD Z UCTU	4848	26828	DUCHOD	WX	69677310
930421	3171	1998-01-14	PRIJEM	PREVOD Z UCTU	4848	23944	DUCHOD	WX	69677310
930422	3171	1998-02-14	PRIJEM	PREVOD Z UCTU	4848	20080	DUCHOD	WX	69677310
930423	3171	1998-03-14	PRIJEM	PREVOD Z UCTU	4848	18043	DUCHOD	WX	69677310
930424	3171	1998-04-14	PRIJEM	PREVOD Z UCTU	4848	18803	DUCHOD	WX	69677310
930425	3171	1998-05-14	PRIJEM	PREVOD Z UCTU	4848	20608	DUCHOD	WX	69677310
930426	3171	1998-06-14	PRIJEM	PREVOD Z UCTU	4848	22420	DUCHOD	WX	69677310
930427	3171	1998-07-14	PRIJEM	PREVOD Z UCTU	4848	21758	DUCHOD	WX	69677310
930428	3171	1998-08-14	PRIJEM	PREVOD Z UCTU	4848	21175	DUCHOD	WX	69677310
930429	3171	1998-09-14	PRIJEM	PREVOD Z UCTU	4848	22989	DUCHOD	WX	69677310
930430	3171	1998-10-14	PRIJEM	PREVOD Z UCTU	4848	24811	DUCHOD	WX	69677310
930431	3171	1998-11-14	PRIJEM	PREVOD Z UCTU	4848	26640	DUCHOD	WX	69677310
930432	3171	1998-12-14	PRIJEM	PREVOD Z UCTU	4848	28477	DUCHOD	WX	69677310
930447	3171	1994-03-07	VYDAJ	PREVOD NA UCET	3102	20938	SIPO	QR	49371123
930448	3171	1994-04-07	VYDAJ	PREVOD NA UCET	3102	19890	SIPO	QR	49371123
930449	3171	1994-05-07	VYDAJ	PREVOD NA UCET	3102	21721	SIPO	QR	49371123
930450	3171	1994-06-07	VYDAJ	PREVOD NA UCET	3102	20559	SIPO	QR	49371123
930451	3171	1994-07-07	VYDAJ	PREVOD NA UCET	3102	16687	SIPO	QR	49371123
930452	3171	1994-08-07	VYDAJ	PREVOD NA UCET	3102	18505	SIPO	QR	49371123
930453	3171	1994-09-07	VYDAJ	PREVOD NA UCET	3102	19530	SIPO	QR	49371123
930454	3171	1994-10-07	VYDAJ	PREVOD NA UCET	3102	19997	SIPO	QR	49371123
930455	3171	1994-11-07	VYDAJ	PREVOD NA UCET	3102	19826	SIPO	QR	49371123
930456	3171	1994-12-07	VYDAJ	PREVOD NA UCET	3102	21557	SIPO	QR	49371123
930457	3171	1995-01-07	VYDAJ	PREVOD NA UCET	3102	19140	SIPO	QR	49371123
930458	3171	1995-02-07	VYDAJ	PREVOD NA UCET	3102	13354	SIPO	QR	49371123
930459	3171	1995-03-07	VYDAJ	PREVOD NA UCET	3102	15158	SIPO	QR	49371123
930460	3171	1995-04-07	VYDAJ	PREVOD NA UCET	3102	16970	SIPO	QR	49371123
930461	3171	1995-05-07	VYDAJ	PREVOD NA UCET	3102	18789	SIPO	QR	49371123
930462	3171	1995-06-07	VYDAJ	PREVOD NA UCET	3102	17895	SIPO	QR	49371123
930463	3171	1995-07-07	VYDAJ	PREVOD NA UCET	3102	13060	SIPO	QR	49371123
930464	3171	1995-08-07	VYDAJ	PREVOD NA UCET	3102	14863	SIPO	QR	49371123
930465	3171	1995-09-07	VYDAJ	PREVOD NA UCET	3102	16673	SIPO	QR	49371123
930466	3171	1995-10-07	VYDAJ	PREVOD NA UCET	3102	14646	SIPO	QR	49371123
930467	3171	1995-11-07	VYDAJ	PREVOD NA UCET	3102	12689	SIPO	QR	49371123
930468	3171	1995-12-07	VYDAJ	PREVOD NA UCET	3102	14490	SIPO	QR	49371123
930469	3171	1996-01-07	VYDAJ	PREVOD NA UCET	3102	15896	SIPO	QR	49371123
930470	3171	1996-02-07	VYDAJ	PREVOD NA UCET	3102	11695	SIPO	QR	49371123
930471	3171	1996-03-07	VYDAJ	PREVOD NA UCET	3102	12291	SIPO	QR	49371123
930472	3171	1996-04-07	VYDAJ	PREVOD NA UCET	3102	14090	SIPO	QR	49371123
930473	3171	1996-05-07	VYDAJ	PREVOD NA UCET	3102	15897	SIPO	QR	49371123
930474	3171	1996-06-07	VYDAJ	PREVOD NA UCET	3102	13511	SIPO	QR	49371123
930475	3171	1996-07-07	VYDAJ	PREVOD NA UCET	3102	15316	SIPO	QR	49371123
930476	3171	1996-08-07	VYDAJ	PREVOD NA UCET	3102	17127	SIPO	QR	49371123
930477	3171	1996-09-07	VYDAJ	PREVOD NA UCET	3102	15907	SIPO	QR	49371123
930478	3171	1996-10-07	VYDAJ	PREVOD NA UCET	3102	17160	SIPO	QR	49371123
930479	3171	1996-11-07	VYDAJ	PREVOD NA UCET	3102	18977	SIPO	QR	49371123
930480	3171	1996-12-07	VYDAJ	PREVOD NA UCET	3102	20804	SIPO	QR	49371123
930481	3171	1997-01-07	VYDAJ	PREVOD NA UCET	3102	18708	SIPO	QR	49371123
930482	3171	1997-02-07	VYDAJ	PREVOD NA UCET	3102	13636	SIPO	QR	49371123
930483	3171	1997-03-07	VYDAJ	PREVOD NA UCET	3102	15440	SIPO	QR	49371123
930484	3171	1997-04-07	VYDAJ	PREVOD NA UCET	3102	17252	SIPO	QR	49371123
930485	3171	1997-05-07	VYDAJ	PREVOD NA UCET	3102	19071	SIPO	QR	49371123
930486	3171	1997-06-07	VYDAJ	PREVOD NA UCET	3102	18249	SIPO	QR	49371123
930487	3171	1997-07-07	VYDAJ	PREVOD NA UCET	3102	16964	SIPO	QR	49371123
930488	3171	1997-08-07	VYDAJ	PREVOD NA UCET	3102	18782	SIPO	QR	49371123
930489	3171	1997-09-07	VYDAJ	PREVOD NA UCET	3102	20608	SIPO	QR	49371123
930490	3171	1997-10-07	VYDAJ	PREVOD NA UCET	3102	22441	SIPO	QR	49371123
930491	3171	1997-11-07	VYDAJ	PREVOD NA UCET	3102	22436	SIPO	QR	49371123
930492	3171	1997-12-07	VYDAJ	PREVOD NA UCET	3102	22830	SIPO	QR	49371123
930493	3171	1998-01-07	VYDAJ	PREVOD NA UCET	3102	19096	SIPO	QR	49371123
930494	3171	1998-02-07	VYDAJ	PREVOD NA UCET	3102	15232	SIPO	QR	49371123
930495	3171	1998-03-07	VYDAJ	PREVOD NA UCET	3102	13195	SIPO	QR	49371123
930496	3171	1998-04-07	VYDAJ	PREVOD NA UCET	3102	13955	SIPO	QR	49371123
930497	3171	1998-05-07	VYDAJ	PREVOD NA UCET	3102	15760	SIPO	QR	49371123
930498	3171	1998-06-07	VYDAJ	PREVOD NA UCET	3102	17572	SIPO	QR	49371123
930499	3171	1998-07-07	VYDAJ	PREVOD NA UCET	3102	16910	SIPO	QR	49371123
930500	3171	1998-08-07	VYDAJ	PREVOD NA UCET	3102	16327	SIPO	QR	49371123
930501	3171	1998-09-07	VYDAJ	PREVOD NA UCET	3102	18141	SIPO	QR	49371123
930502	3171	1998-10-07	VYDAJ	PREVOD NA UCET	3102	19963	SIPO	QR	49371123
930503	3171	1998-11-07	VYDAJ	PREVOD NA UCET	3102	21792	SIPO	QR	49371123
930504	3171	1998-12-07	VYDAJ	PREVOD NA UCET	3102	23629	SIPO	QR	49371123
930506	3171	1994-06-28	VYDAJ	VYBER	3100	19707	\N	\N	\N
930507	3171	1995-06-23	VYDAJ	VYBER	6650	16093	\N	\N	\N
930508	3171	1996-06-03	VYDAJ	VYBER	4200	16613	\N	\N	\N
930509	3171	1997-06-13	VYDAJ	VYBER	3100	15149	\N	\N	\N
930512	3171	1994-12-07	VYDAJ	VYBER	650	20907	\N	\N	\N
930513	3171	1995-12-11	VYDAJ	VYBER	400	14090	\N	\N	\N
930514	3171	1996-12-30	VYDAJ	VYBER	1050	24602	\N	\N	\N
930515	3171	1997-12-12	VYDAJ	VYBER	850	21980	\N	\N	\N
930516	3171	1998-12-17	VYDAJ	VYBER	950	23607	\N	\N	\N
930529	3171	1995-01-15	VYDAJ	VYBER	1200	22788	\N	\N	\N
930530	3171	1995-01-07	VYDAJ	VYBER	1760	22242	\N	\N	\N
930531	3171	1995-01-23	VYDAJ	VYBER	1840	17188	\N	\N	\N
930532	3171	1995-01-24	VYDAJ	VYBER	800	16388	\N	\N	\N
930533	3171	1995-01-20	VYDAJ	VYBER	1920	19028	\N	\N	\N
930534	3171	1995-01-19	VYDAJ	VYBER	1840	20948	\N	\N	\N
930535	3171	1996-01-20	VYDAJ	VYBER	1200	15944	\N	\N	\N
930536	3171	1996-01-29	VYDAJ	VYBER	560	14744	\N	\N	\N
930537	3171	1996-01-07	VYDAJ	VYBER	1040	13976	\N	\N	\N
930538	3171	1996-01-16	VYDAJ	VYBER	1680	17144	\N	\N	\N
930539	3171	1996-01-23	VYDAJ	VYBER	640	15304	\N	\N	\N
930541	3171	1997-01-09	VYDAJ	VYBER	880	17828	\N	\N	\N
930542	3171	1997-01-03	VYDAJ	VYBER	1520	23170	\N	\N	\N
930543	3171	1997-01-18	VYDAJ	VYBER	2080	17716	\N	\N	\N
930544	3171	1997-01-03	VYDAJ	VYBER	1360	21810	\N	\N	\N
930545	3171	1997-01-23	VYDAJ	VYBER	480	17236	\N	\N	\N
930546	3171	1997-01-30	VYDAJ	VYBER	560	16676	\N	\N	\N
930547	3171	1998-01-21	VYDAJ	VYBER	880	20984	\N	\N	\N
930548	3171	1998-01-14	VYDAJ	VYBER	2080	21864	\N	\N	\N
930549	3171	1998-01-30	VYDAJ	VYBER	560	18264	\N	\N	\N
930550	3171	1998-01-23	VYDAJ	VYBER	2160	18824	\N	\N	\N
930551	3171	1998-01-06	VYDAJ	VYBER	560	24038	\N	\N	\N
930552	3171	1998-01-06	VYDAJ	VYBER	1840	22198	\N	\N	\N
930558	3171	1994-12-27	VYDAJ	VYBER	1840	23915	\N	\N	\N
930559	3171	1994-03-22	VYDAJ	VYBER	2880	22906	\N	\N	\N
930560	3171	1994-09-17	VYDAJ	VYBER	1360	23018	\N	\N	\N
930561	3171	1994-06-03	VYDAJ	VYBER	1200	23661	\N	\N	\N
930562	3171	1994-10-19	VYDAJ	VYBER	800	24045	\N	\N	\N
930563	3171	1995-10-19	VYDAJ	VYBER	3760	15734	\N	\N	\N
930564	3171	1995-05-30	VYDAJ	VYBER	2720	20917	\N	\N	\N
930565	3171	1995-09-22	VYDAJ	VYBER	3840	17681	\N	\N	\N
930566	3171	1996-09-02	VYDAJ	VYBER	3040	19009	\N	\N	\N
930567	3171	1996-01-07	VYDAJ	VYBER	880	15016	\N	\N	\N
930568	3171	1996-10-06	VYDAJ	VYBER	560	20262	\N	\N	\N
930569	3171	1996-02-22	VYDAJ	VYBER	1200	15343	\N	\N	\N
930570	3171	1997-05-07	VYDAJ	VYBER	2640	16431	\N	\N	\N
930571	3171	1997-01-10	VYDAJ	VYBER	2880	14948	\N	\N	\N
930572	3171	1997-10-12	VYDAJ	VYBER	1840	20601	\N	\N	\N
930573	3171	1997-12-20	VYDAJ	VYBER	2320	24508	\N	\N	\N
930574	3171	1997-11-10	VYDAJ	VYBER	1440	20996	\N	\N	\N
930575	3171	1998-06-22	VYDAJ	VYBER	880	21540	\N	\N	\N
930577	3171	1998-03-20	VYDAJ	VYBER	1040	17003	\N	\N	\N
930578	3171	1998-12-16	VYDAJ	VYBER	3920	24557	\N	\N	\N
930579	3171	1998-06-25	VYDAJ	VYBER	1600	19940	\N	\N	\N
930580	3171	1998-08-07	VYDAJ	VYBER	2400	19429	\N	\N	\N
930581	3171	1998-02-16	VYDAJ	VYBER	3840	16240	\N	\N	\N
930596	3171	1994-02-28	VYDAJ	VYBER	15	24040	SLUZBY	\N	\N
930597	3171	1994-03-31	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
930598	3171	1994-04-30	VYDAJ	VYBER	15	24823	SLUZBY	\N	\N
930599	3171	1994-05-31	VYDAJ	VYBER	15	24861	SLUZBY	\N	\N
930600	3171	1994-06-30	VYDAJ	VYBER	15	19789	SLUZBY	\N	\N
930601	3171	1994-07-31	VYDAJ	VYBER	15	21607	SLUZBY	\N	\N
930602	3171	1994-08-31	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
930603	3171	1994-09-30	VYDAJ	VYBER	15	23099	SLUZBY	\N	\N
930604	3171	1994-10-31	VYDAJ	VYBER	15	22928	SLUZBY	\N	\N
930605	3171	1994-11-30	VYDAJ	VYBER	15	24659	SLUZBY	\N	\N
930606	3171	1994-12-31	VYDAJ	VYBER	15	24002	SLUZBY	\N	\N
930607	3171	1995-01-31	VYDAJ	VYBER	15	16456	SLUZBY	\N	\N
930608	3171	1995-02-28	VYDAJ	VYBER	15	18260	SLUZBY	\N	\N
930609	3171	1995-03-31	VYDAJ	VYBER	15	20072	SLUZBY	\N	\N
930610	3171	1995-04-30	VYDAJ	VYBER	15	21891	SLUZBY	\N	\N
930611	3171	1995-05-31	VYDAJ	VYBER	15	20997	SLUZBY	\N	\N
930612	3171	1995-06-30	VYDAJ	VYBER	15	16162	SLUZBY	\N	\N
930613	3171	1995-07-31	VYDAJ	VYBER	15	17965	SLUZBY	\N	\N
930614	3171	1995-08-31	VYDAJ	VYBER	15	19775	SLUZBY	\N	\N
930615	3171	1995-09-30	VYDAJ	VYBER	15	17748	SLUZBY	\N	\N
930616	3171	1995-10-31	VYDAJ	VYBER	15	15791	SLUZBY	\N	\N
930617	3171	1995-11-30	VYDAJ	VYBER	15	17592	SLUZBY	\N	\N
930618	3171	1995-12-31	VYDAJ	VYBER	15	18998	SLUZBY	\N	\N
930619	3171	1996-01-31	VYDAJ	VYBER	15	14797	SLUZBY	\N	\N
930620	3171	1996-02-29	VYDAJ	VYBER	15	15393	SLUZBY	\N	\N
930621	3171	1996-03-31	VYDAJ	VYBER	15	17192	SLUZBY	\N	\N
930622	3171	1996-04-30	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
930623	3171	1996-05-31	VYDAJ	VYBER	15	20813	SLUZBY	\N	\N
930624	3171	1996-06-30	VYDAJ	VYBER	15	18418	SLUZBY	\N	\N
930625	3171	1996-07-31	VYDAJ	VYBER	15	20229	SLUZBY	\N	\N
930626	3171	1996-08-31	VYDAJ	VYBER	15	22049	SLUZBY	\N	\N
930627	3171	1996-09-30	VYDAJ	VYBER	15	20822	SLUZBY	\N	\N
930628	3171	1996-10-31	VYDAJ	VYBER	15	22079	SLUZBY	\N	\N
930629	3171	1996-11-30	VYDAJ	VYBER	15	23906	SLUZBY	\N	\N
930630	3171	1996-12-31	VYDAJ	VYBER	15	24690	SLUZBY	\N	\N
930631	3171	1997-01-31	VYDAJ	VYBER	15	16738	SLUZBY	\N	\N
930632	3171	1997-02-28	VYDAJ	VYBER	15	18542	SLUZBY	\N	\N
930633	3171	1997-03-31	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
930634	3171	1997-04-30	VYDAJ	VYBER	15	22173	SLUZBY	\N	\N
930635	3171	1997-05-31	VYDAJ	VYBER	15	21351	SLUZBY	\N	\N
930636	3171	1997-06-30	VYDAJ	VYBER	15	20066	SLUZBY	\N	\N
930637	3171	1997-07-31	VYDAJ	VYBER	15	21884	SLUZBY	\N	\N
930638	3171	1997-08-31	VYDAJ	VYBER	15	23710	SLUZBY	\N	\N
930639	3171	1997-09-30	VYDAJ	VYBER	15	25543	SLUZBY	\N	\N
930640	3171	1997-10-31	VYDAJ	VYBER	15	25538	SLUZBY	\N	\N
930641	3171	1997-11-30	VYDAJ	VYBER	15	25932	SLUZBY	\N	\N
930642	3171	1997-12-31	VYDAJ	VYBER	15	24598	SLUZBY	\N	\N
930643	3171	1998-01-31	VYDAJ	VYBER	15	18334	SLUZBY	\N	\N
930644	3171	1998-02-28	VYDAJ	VYBER	15	16297	SLUZBY	\N	\N
930645	3171	1998-03-31	VYDAJ	VYBER	15	17057	SLUZBY	\N	\N
930646	3171	1998-04-30	VYDAJ	VYBER	15	18862	SLUZBY	\N	\N
930647	3171	1998-05-31	VYDAJ	VYBER	15	20674	SLUZBY	\N	\N
930648	3171	1998-06-30	VYDAJ	VYBER	15	20012	SLUZBY	\N	\N
930649	3171	1998-07-31	VYDAJ	VYBER	15	21829	SLUZBY	\N	\N
930650	3171	1998-08-31	VYDAJ	VYBER	15	21243	SLUZBY	\N	\N
930651	3171	1998-09-30	VYDAJ	VYBER	15	23065	SLUZBY	\N	\N
930652	3171	1998-10-31	VYDAJ	VYBER	15	24894	SLUZBY	\N	\N
930653	3171	1998-11-30	VYDAJ	VYBER	15	26731	SLUZBY	\N	\N
930654	3171	1994-02-25	VYDAJ	VYBER	1100	24040	\N	\N	\N
930655	3171	1994-05-26	VYDAJ	VYBER	1800	24769	\N	\N	\N
930656	3171	1994-06-25	VYDAJ	VYBER	2600	22807	\N	\N	\N
930657	3171	1994-08-24	VYDAJ	VYBER	800	22553	\N	\N	\N
930658	3171	1994-10-23	VYDAJ	VYBER	1200	22845	\N	\N	\N
930659	3171	1994-11-22	VYDAJ	VYBER	100	24574	\N	\N	\N
930719	3172	1997-05-27	PRIJEM	VKLAD	600	600	\N	\N	\N
930725	3172	1997-06-10	PRIJEM	PREVOD Z UCTU	2913	3513	\N	CD	32833820
930726	3172	1997-07-10	PRIJEM	PREVOD Z UCTU	2913	6426	\N	CD	32833820
930727	3172	1997-08-10	PRIJEM	PREVOD Z UCTU	2913	9339	\N	CD	32833820
930728	3172	1997-09-10	PRIJEM	PREVOD Z UCTU	2913	12252	\N	CD	32833820
930729	3172	1997-10-10	PRIJEM	PREVOD Z UCTU	2913	15165	\N	CD	32833820
930730	3172	1997-11-10	PRIJEM	PREVOD Z UCTU	2913	16161	\N	CD	32833820
930731	3172	1997-12-10	PRIJEM	PREVOD Z UCTU	2913	17175	\N	CD	32833820
930732	3172	1998-01-10	PRIJEM	PREVOD Z UCTU	2913	15372	\N	CD	32833820
930733	3172	1998-02-10	PRIJEM	PREVOD Z UCTU	2913	15362	\N	CD	32833820
930734	3172	1998-03-10	PRIJEM	PREVOD Z UCTU	2913	16373	\N	CD	32833820
930735	3172	1998-04-10	PRIJEM	PREVOD Z UCTU	2913	17388	\N	CD	32833820
930736	3172	1998-05-10	PRIJEM	PREVOD Z UCTU	2913	18408	\N	CD	32833820
930737	3172	1998-06-10	PRIJEM	PREVOD Z UCTU	2913	19042	\N	CD	32833820
930738	3172	1998-07-10	PRIJEM	PREVOD Z UCTU	2913	19709	\N	CD	32833820
930739	3172	1998-08-10	PRIJEM	PREVOD Z UCTU	2913	18603	\N	CD	32833820
930740	3172	1998-09-10	PRIJEM	PREVOD Z UCTU	2913	19627	\N	CD	32833820
930741	3172	1998-10-10	PRIJEM	PREVOD Z UCTU	2913	20326	\N	CD	32833820
930742	3172	1998-11-10	PRIJEM	PREVOD Z UCTU	2913	20878	\N	CD	32833820
930743	3172	1998-12-10	PRIJEM	PREVOD Z UCTU	2913	20558	\N	CD	32833820
930753	3172	1997-10-10	VYDAJ	PREVOD NA UCET	1899	13266	\N	ST	38317006
930754	3172	1997-11-10	VYDAJ	PREVOD NA UCET	1899	14262	\N	ST	38317006
930755	3172	1997-12-10	VYDAJ	PREVOD NA UCET	1899	15276	\N	ST	38317006
930756	3172	1998-01-10	VYDAJ	PREVOD NA UCET	1899	13113	\N	ST	38317006
930757	3172	1998-02-10	VYDAJ	PREVOD NA UCET	1899	13463	\N	ST	38317006
930758	3172	1998-03-10	VYDAJ	PREVOD NA UCET	1899	14474	\N	ST	38317006
930759	3172	1998-04-10	VYDAJ	PREVOD NA UCET	1899	15489	\N	ST	38317006
930760	3172	1998-05-10	VYDAJ	PREVOD NA UCET	1899	16509	\N	ST	38317006
930761	3172	1998-06-10	VYDAJ	PREVOD NA UCET	1899	17143	\N	ST	38317006
930762	3172	1998-07-10	VYDAJ	PREVOD NA UCET	1899	17810	\N	ST	38317006
930763	3172	1998-08-10	VYDAJ	PREVOD NA UCET	1899	16704	\N	ST	38317006
930764	3172	1998-09-10	VYDAJ	PREVOD NA UCET	1899	17728	\N	ST	38317006
930765	3172	1998-10-10	VYDAJ	PREVOD NA UCET	1899	18427	\N	ST	38317006
930766	3172	1998-11-10	VYDAJ	PREVOD NA UCET	1899	18979	\N	ST	38317006
930767	3172	1998-12-10	VYDAJ	PREVOD NA UCET	1899	18659	\N	ST	38317006
930777	3172	1997-10-11	VYDAJ	PREVOD NA UCET	43	13223	\N	EF	26548195
930778	3172	1997-11-11	VYDAJ	PREVOD NA UCET	43	14219	\N	EF	26548195
930779	3172	1997-12-11	VYDAJ	PREVOD NA UCET	43	15233	\N	EF	26548195
930780	3172	1998-01-11	VYDAJ	PREVOD NA UCET	43	13070	\N	EF	26548195
930781	3172	1998-02-11	VYDAJ	PREVOD NA UCET	43	13420	\N	EF	26548195
930782	3172	1998-03-11	VYDAJ	PREVOD NA UCET	43	14431	\N	EF	26548195
930783	3172	1998-04-11	VYDAJ	PREVOD NA UCET	43	15446	\N	EF	26548195
930784	3172	1998-05-11	VYDAJ	PREVOD NA UCET	43	16466	\N	EF	26548195
930785	3172	1998-06-11	VYDAJ	PREVOD NA UCET	43	17100	\N	EF	26548195
930786	3172	1998-07-11	VYDAJ	PREVOD NA UCET	43	17767	\N	EF	26548195
930787	3172	1998-08-11	VYDAJ	PREVOD NA UCET	43	16661	\N	EF	26548195
930788	3172	1998-09-11	VYDAJ	PREVOD NA UCET	43	17685	\N	EF	26548195
930789	3172	1998-10-11	VYDAJ	PREVOD NA UCET	43	18384	\N	EF	26548195
930790	3172	1998-11-11	VYDAJ	PREVOD NA UCET	43	17586	\N	EF	26548195
930791	3172	1998-12-11	VYDAJ	PREVOD NA UCET	43	18046	\N	EF	26548195
930792	3172	1997-12-19	VYDAJ	VYBER	630	14153	\N	\N	\N
930793	3172	1998-12-10	VYDAJ	VYBER	570	18089	\N	\N	\N
930800	3172	1998-01-19	VYDAJ	VYBER	420	12410	\N	\N	\N
930801	3172	1998-01-04	VYDAJ	VYBER	390	13119	\N	\N	\N
930802	3172	1998-01-03	VYDAJ	VYBER	690	13509	\N	\N	\N
930803	3172	1998-01-05	VYDAJ	VYBER	660	12459	\N	\N	\N
930804	3172	1998-01-10	VYDAJ	VYBER	360	15012	\N	\N	\N
930805	3172	1998-01-18	VYDAJ	VYBER	240	12830	\N	\N	\N
930808	3172	1997-12-15	VYDAJ	VYBER	450	14783	\N	\N	\N
930812	3172	1998-10-18	VYDAJ	VYBER	480	17904	\N	\N	\N
930813	3172	1998-10-05	VYDAJ	VYBER	330	17413	\N	\N	\N
930814	3172	1998-07-11	VYDAJ	VYBER	990	16777	\N	\N	\N
930815	3172	1998-06-08	VYDAJ	VYBER	390	16129	\N	\N	\N
930816	3172	1998-06-14	VYDAJ	VYBER	360	16740	\N	\N	\N
930817	3172	1998-07-17	VYDAJ	VYBER	1140	15637	\N	\N	\N
930818	3172	1998-11-10	VYDAJ	VYBER	1350	17629	\N	\N	\N
930829	3172	1997-10-31	VYDAJ	VYBER	15	13248	SLUZBY	\N	\N
930830	3172	1997-11-30	VYDAJ	VYBER	15	14262	SLUZBY	\N	\N
930831	3172	1997-12-31	VYDAJ	VYBER	15	14199	SLUZBY	\N	\N
930832	3172	1998-01-31	VYDAJ	VYBER	15	12449	SLUZBY	\N	\N
930833	3172	1998-02-28	VYDAJ	VYBER	15	13460	SLUZBY	\N	\N
930834	3172	1998-03-31	VYDAJ	VYBER	15	14475	SLUZBY	\N	\N
930835	3172	1998-04-30	VYDAJ	VYBER	15	15495	SLUZBY	\N	\N
930836	3172	1998-05-31	VYDAJ	VYBER	15	16519	SLUZBY	\N	\N
930837	3172	1998-06-30	VYDAJ	VYBER	15	16796	SLUZBY	\N	\N
930838	3172	1998-07-31	VYDAJ	VYBER	15	15690	SLUZBY	\N	\N
930839	3172	1998-08-31	VYDAJ	VYBER	15	16714	SLUZBY	\N	\N
930840	3172	1998-09-30	VYDAJ	VYBER	15	17743	SLUZBY	\N	\N
930841	3172	1998-10-31	VYDAJ	VYBER	15	17965	SLUZBY	\N	\N
930842	3172	1998-11-30	VYDAJ	VYBER	15	17645	SLUZBY	\N	\N
930858	3173	1993-05-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
930864	3173	1993-06-10	PRIJEM	PREVOD Z UCTU	4235	5335	DUCHOD	OP	55758672
930865	3173	1993-07-10	PRIJEM	PREVOD Z UCTU	4235	9570	DUCHOD	OP	55758672
930866	3173	1993-08-10	PRIJEM	PREVOD Z UCTU	4235	13805	DUCHOD	OP	55758672
930867	3173	1993-09-10	PRIJEM	PREVOD Z UCTU	4235	18040	DUCHOD	OP	55758672
930868	3173	1993-10-10	PRIJEM	PREVOD Z UCTU	4235	22275	DUCHOD	OP	55758672
930869	3173	1993-11-10	PRIJEM	PREVOD Z UCTU	4235	22565	DUCHOD	OP	55758672
930870	3173	1993-12-10	PRIJEM	PREVOD Z UCTU	4235	22257	DUCHOD	OP	55758672
930871	3173	1994-01-10	PRIJEM	PREVOD Z UCTU	4235	23738	DUCHOD	OP	55758672
930872	3173	1994-02-10	PRIJEM	PREVOD Z UCTU	4235	20763	DUCHOD	OP	55758672
930873	3173	1994-03-10	PRIJEM	PREVOD Z UCTU	4235	22237	DUCHOD	OP	55758672
930874	3173	1994-04-10	PRIJEM	PREVOD Z UCTU	4235	20429	DUCHOD	OP	55758672
930875	3173	1994-05-10	PRIJEM	PREVOD Z UCTU	4235	21901	DUCHOD	OP	55758672
930876	3173	1994-06-10	PRIJEM	PREVOD Z UCTU	4235	16980	DUCHOD	OP	55758672
930877	3173	1994-07-10	PRIJEM	PREVOD Z UCTU	4235	17245	DUCHOD	OP	55758672
930878	3173	1994-08-10	PRIJEM	PREVOD Z UCTU	4235	18706	DUCHOD	OP	55758672
930879	3173	1994-09-10	PRIJEM	PREVOD Z UCTU	4235	20171	DUCHOD	OP	55758672
930880	3173	1994-10-10	PRIJEM	PREVOD Z UCTU	4235	17474	DUCHOD	OP	55758672
930881	3173	1994-11-10	PRIJEM	PREVOD Z UCTU	4235	18934	DUCHOD	OP	55758672
930882	3173	1994-12-10	PRIJEM	PREVOD Z UCTU	4235	17518	DUCHOD	OP	55758672
930883	3173	1995-01-10	PRIJEM	PREVOD Z UCTU	4235	17727	DUCHOD	OP	55758672
930884	3173	1995-02-10	PRIJEM	PREVOD Z UCTU	4235	16943	DUCHOD	OP	55758672
930885	3173	1995-03-10	PRIJEM	PREVOD Z UCTU	4235	17439	DUCHOD	OP	55758672
930886	3173	1995-04-10	PRIJEM	PREVOD Z UCTU	4235	18899	DUCHOD	OP	55758672
930887	3173	1995-05-10	PRIJEM	PREVOD Z UCTU	4235	19865	DUCHOD	OP	55758672
930888	3173	1995-06-10	PRIJEM	PREVOD Z UCTU	4235	17645	DUCHOD	OP	55758672
930889	3173	1995-07-10	PRIJEM	PREVOD Z UCTU	4235	19106	DUCHOD	OP	55758672
930890	3173	1995-08-10	PRIJEM	PREVOD Z UCTU	4235	18673	DUCHOD	OP	55758672
930891	3173	1995-09-10	PRIJEM	PREVOD Z UCTU	4235	19140	DUCHOD	OP	55758672
930892	3173	1995-10-10	PRIJEM	PREVOD Z UCTU	4235	19245	DUCHOD	OP	55758672
930893	3173	1995-11-10	PRIJEM	PREVOD Z UCTU	4235	20712	DUCHOD	OP	55758672
930894	3173	1995-12-10	PRIJEM	PREVOD Z UCTU	4235	20244	DUCHOD	OP	55758672
930895	3173	1996-01-10	PRIJEM	PREVOD Z UCTU	4235	21016	DUCHOD	OP	55758672
930896	3173	1996-02-10	PRIJEM	PREVOD Z UCTU	4235	15335	DUCHOD	OP	55758672
930897	3173	1996-03-10	PRIJEM	PREVOD Z UCTU	4235	15385	DUCHOD	OP	55758672
930898	3173	1996-04-10	PRIJEM	PREVOD Z UCTU	4235	16836	DUCHOD	OP	55758672
930899	3173	1996-05-10	PRIJEM	PREVOD Z UCTU	4235	18293	DUCHOD	OP	55758672
930900	3173	1996-06-10	PRIJEM	PREVOD Z UCTU	4235	17756	DUCHOD	OP	55758672
930901	3173	1996-07-10	PRIJEM	PREVOD Z UCTU	4235	15415	DUCHOD	OP	55758672
930902	3173	1996-08-10	PRIJEM	PREVOD Z UCTU	4235	16866	DUCHOD	OP	55758672
930903	3173	1996-09-10	PRIJEM	PREVOD Z UCTU	4235	18323	DUCHOD	OP	55758672
930904	3173	1996-10-10	PRIJEM	PREVOD Z UCTU	4235	19786	DUCHOD	OP	55758672
930905	3173	1996-11-10	PRIJEM	PREVOD Z UCTU	4235	21255	DUCHOD	OP	55758672
930906	3173	1996-12-10	PRIJEM	PREVOD Z UCTU	4235	21981	DUCHOD	OP	55758672
930907	3173	1997-01-10	PRIJEM	PREVOD Z UCTU	4235	21855	DUCHOD	OP	55758672
930908	3173	1997-02-10	PRIJEM	PREVOD Z UCTU	4235	22021	DUCHOD	OP	55758672
930909	3173	1997-03-10	PRIJEM	PREVOD Z UCTU	4235	23019	DUCHOD	OP	55758672
930910	3173	1997-04-10	PRIJEM	PREVOD Z UCTU	4235	23861	DUCHOD	OP	55758672
930911	3173	1997-05-10	PRIJEM	PREVOD Z UCTU	4235	22867	DUCHOD	OP	55758672
930912	3173	1997-06-10	PRIJEM	PREVOD Z UCTU	4235	23389	DUCHOD	OP	55758672
930913	3173	1997-07-10	PRIJEM	PREVOD Z UCTU	4235	24873	DUCHOD	OP	55758672
930914	3173	1997-08-10	PRIJEM	PREVOD Z UCTU	4235	26363	DUCHOD	OP	55758672
930915	3173	1997-09-10	PRIJEM	PREVOD Z UCTU	4235	27859	DUCHOD	OP	55758672
930916	3173	1997-10-10	PRIJEM	PREVOD Z UCTU	4235	29362	DUCHOD	OP	55758672
930917	3173	1997-11-10	PRIJEM	PREVOD Z UCTU	4235	30870	DUCHOD	OP	55758672
930918	3173	1997-12-10	PRIJEM	PREVOD Z UCTU	4235	17763	DUCHOD	OP	55758672
930919	3173	1998-01-10	PRIJEM	PREVOD Z UCTU	4235	18521	DUCHOD	OP	55758672
930920	3173	1998-02-10	PRIJEM	PREVOD Z UCTU	4235	19984	DUCHOD	OP	55758672
930921	3173	1998-03-10	PRIJEM	PREVOD Z UCTU	4235	21453	DUCHOD	OP	55758672
930922	3173	1998-04-10	PRIJEM	PREVOD Z UCTU	4235	22207	DUCHOD	OP	55758672
930923	3173	1998-05-10	PRIJEM	PREVOD Z UCTU	4235	22885	DUCHOD	OP	55758672
930924	3173	1998-06-10	PRIJEM	PREVOD Z UCTU	4235	21367	DUCHOD	OP	55758672
930925	3173	1998-07-10	PRIJEM	PREVOD Z UCTU	4235	22845	DUCHOD	OP	55758672
930926	3173	1998-08-10	PRIJEM	PREVOD Z UCTU	4235	24326	DUCHOD	OP	55758672
930927	3173	1998-09-10	PRIJEM	PREVOD Z UCTU	4235	25813	DUCHOD	OP	55758672
930928	3173	1998-10-10	PRIJEM	PREVOD Z UCTU	4235	25943	DUCHOD	OP	55758672
930929	3173	1998-11-10	PRIJEM	PREVOD Z UCTU	4235	25114	DUCHOD	OP	55758672
930930	3173	1998-12-10	PRIJEM	PREVOD Z UCTU	4235	26604	DUCHOD	OP	55758672
930940	3173	1993-10-13	VYDAJ	PREVOD NA UCET	2189	19486	SIPO	EF	9030479
930941	3173	1993-11-13	VYDAJ	PREVOD NA UCET	2189	20376	SIPO	EF	9030479
930942	3173	1993-12-13	VYDAJ	PREVOD NA UCET	2189	20068	SIPO	EF	9030479
930943	3173	1994-01-13	VYDAJ	PREVOD NA UCET	2189	21549	SIPO	EF	9030479
930944	3173	1994-02-13	VYDAJ	PREVOD NA UCET	2189	18574	SIPO	EF	9030479
930945	3173	1994-03-13	VYDAJ	PREVOD NA UCET	2189	18848	SIPO	EF	9030479
930946	3173	1994-04-13	VYDAJ	PREVOD NA UCET	2189	18240	SIPO	EF	9030479
930947	3173	1994-05-13	VYDAJ	PREVOD NA UCET	2189	19712	SIPO	EF	9030479
930948	3173	1994-06-13	VYDAJ	PREVOD NA UCET	2189	14791	SIPO	EF	9030479
930949	3173	1994-07-13	VYDAJ	PREVOD NA UCET	2189	15056	SIPO	EF	9030479
930950	3173	1994-08-13	VYDAJ	PREVOD NA UCET	2189	16517	SIPO	EF	9030479
930951	3173	1994-09-13	VYDAJ	PREVOD NA UCET	2189	17982	SIPO	EF	9030479
930952	3173	1994-10-13	VYDAJ	PREVOD NA UCET	2189	15285	SIPO	EF	9030479
930953	3173	1994-11-13	VYDAJ	PREVOD NA UCET	2189	16745	SIPO	EF	9030479
930954	3173	1994-12-13	VYDAJ	PREVOD NA UCET	2189	15329	SIPO	EF	9030479
930955	3173	1995-01-13	VYDAJ	PREVOD NA UCET	2189	15538	SIPO	EF	9030479
930956	3173	1995-02-13	VYDAJ	PREVOD NA UCET	2189	14754	SIPO	EF	9030479
930957	3173	1995-03-13	VYDAJ	PREVOD NA UCET	2189	15250	SIPO	EF	9030479
930958	3173	1995-04-13	VYDAJ	PREVOD NA UCET	2189	16710	SIPO	EF	9030479
930959	3173	1995-05-13	VYDAJ	PREVOD NA UCET	2189	13996	SIPO	EF	9030479
930960	3173	1995-06-13	VYDAJ	PREVOD NA UCET	2189	15456	SIPO	EF	9030479
930961	3173	1995-07-13	VYDAJ	PREVOD NA UCET	2189	16917	SIPO	EF	9030479
930962	3173	1995-08-13	VYDAJ	PREVOD NA UCET	2189	16484	SIPO	EF	9030479
930963	3173	1995-09-13	VYDAJ	PREVOD NA UCET	2189	16951	SIPO	EF	9030479
930964	3173	1995-10-13	VYDAJ	PREVOD NA UCET	2189	17056	SIPO	EF	9030479
930965	3173	1995-11-13	VYDAJ	PREVOD NA UCET	2189	18523	SIPO	EF	9030479
930966	3173	1995-12-13	VYDAJ	PREVOD NA UCET	2189	18055	SIPO	EF	9030479
930967	3173	1996-01-13	VYDAJ	PREVOD NA UCET	2189	18827	SIPO	EF	9030479
930968	3173	1996-02-13	VYDAJ	PREVOD NA UCET	2189	13146	SIPO	EF	9030479
930969	3173	1996-03-13	VYDAJ	PREVOD NA UCET	2189	13196	SIPO	EF	9030479
930970	3173	1996-04-13	VYDAJ	PREVOD NA UCET	2189	14647	SIPO	EF	9030479
930971	3173	1996-05-13	VYDAJ	PREVOD NA UCET	2189	16104	SIPO	EF	9030479
930972	3173	1996-06-13	VYDAJ	PREVOD NA UCET	2189	15567	SIPO	EF	9030479
930973	3173	1996-07-13	VYDAJ	PREVOD NA UCET	2189	13226	SIPO	EF	9030479
930974	3173	1996-08-13	VYDAJ	PREVOD NA UCET	2189	14677	SIPO	EF	9030479
930975	3173	1996-09-13	VYDAJ	PREVOD NA UCET	2189	16134	SIPO	EF	9030479
930976	3173	1996-10-13	VYDAJ	PREVOD NA UCET	2189	17597	SIPO	EF	9030479
930977	3173	1996-11-13	VYDAJ	PREVOD NA UCET	2189	19066	SIPO	EF	9030479
930978	3173	1996-12-13	VYDAJ	PREVOD NA UCET	2189	18192	SIPO	EF	9030479
930979	3173	1997-01-13	VYDAJ	PREVOD NA UCET	2189	18916	SIPO	EF	9030479
930980	3173	1997-02-13	VYDAJ	PREVOD NA UCET	2189	19352	SIPO	EF	9030479
930981	3173	1997-03-13	VYDAJ	PREVOD NA UCET	2189	20830	SIPO	EF	9030479
930982	3173	1997-04-13	VYDAJ	PREVOD NA UCET	2189	21672	SIPO	EF	9030479
930983	3173	1997-05-13	VYDAJ	PREVOD NA UCET	2189	20678	SIPO	EF	9030479
930984	3173	1997-06-13	VYDAJ	PREVOD NA UCET	2189	21200	SIPO	EF	9030479
930985	3173	1997-07-13	VYDAJ	PREVOD NA UCET	2189	22684	SIPO	EF	9030479
930986	3173	1997-08-13	VYDAJ	PREVOD NA UCET	2189	24174	SIPO	EF	9030479
930987	3173	1997-09-13	VYDAJ	PREVOD NA UCET	2189	25670	SIPO	EF	9030479
930988	3173	1997-10-13	VYDAJ	PREVOD NA UCET	2189	27173	SIPO	EF	9030479
930989	3173	1997-11-13	VYDAJ	PREVOD NA UCET	2189	28681	SIPO	EF	9030479
930990	3173	1997-12-13	VYDAJ	PREVOD NA UCET	2189	14874	SIPO	EF	9030479
930991	3173	1998-01-13	VYDAJ	PREVOD NA UCET	2189	16332	SIPO	EF	9030479
930992	3173	1998-02-13	VYDAJ	PREVOD NA UCET	2189	17795	SIPO	EF	9030479
930993	3173	1998-03-13	VYDAJ	PREVOD NA UCET	2189	19264	SIPO	EF	9030479
930994	3173	1998-04-13	VYDAJ	PREVOD NA UCET	2189	20018	SIPO	EF	9030479
930995	3173	1998-05-13	VYDAJ	PREVOD NA UCET	2189	20696	SIPO	EF	9030479
930996	3173	1998-06-13	VYDAJ	PREVOD NA UCET	2189	19178	SIPO	EF	9030479
930997	3173	1998-07-13	VYDAJ	PREVOD NA UCET	2189	20656	SIPO	EF	9030479
930998	3173	1998-08-13	VYDAJ	PREVOD NA UCET	2189	22137	SIPO	EF	9030479
930999	3173	1998-09-13	VYDAJ	PREVOD NA UCET	2189	23624	SIPO	EF	9030479
931000	3173	1998-10-13	VYDAJ	PREVOD NA UCET	2189	23754	SIPO	EF	9030479
931001	3173	1998-11-13	VYDAJ	PREVOD NA UCET	2189	22925	SIPO	EF	9030479
931002	3173	1998-12-13	VYDAJ	PREVOD NA UCET	2189	24415	SIPO	EF	9030479
931013	3173	1993-11-09	VYDAJ	PREVOD NA UCET	634	18330	 	IJ	2587175
931014	3173	1993-12-09	VYDAJ	PREVOD NA UCET	634	18022	 	IJ	2587175
931015	3173	1994-01-09	VYDAJ	PREVOD NA UCET	634	19503	 	IJ	2587175
931016	3173	1994-02-09	VYDAJ	PREVOD NA UCET	634	16528	 	IJ	2587175
931017	3173	1994-03-09	VYDAJ	PREVOD NA UCET	634	18002	 	IJ	2587175
931018	3173	1994-04-09	VYDAJ	PREVOD NA UCET	634	16194	 	IJ	2587175
931019	3173	1994-05-09	VYDAJ	PREVOD NA UCET	634	17666	 	IJ	2587175
931020	3173	1994-06-09	VYDAJ	PREVOD NA UCET	634	12745	 	IJ	2587175
931021	3173	1994-07-09	VYDAJ	PREVOD NA UCET	634	13010	 	IJ	2587175
931022	3173	1994-08-09	VYDAJ	PREVOD NA UCET	634	14471	 	IJ	2587175
931023	3173	1994-09-09	VYDAJ	PREVOD NA UCET	634	15936	 	IJ	2587175
931024	3173	1994-10-09	VYDAJ	PREVOD NA UCET	634	13239	 	IJ	2587175
931025	3173	1994-11-09	VYDAJ	PREVOD NA UCET	634	14699	 	IJ	2587175
931026	3173	1994-12-09	VYDAJ	PREVOD NA UCET	634	13283	 	IJ	2587175
931027	3173	1995-01-09	VYDAJ	PREVOD NA UCET	634	13492	 	IJ	2587175
931028	3173	1995-02-09	VYDAJ	PREVOD NA UCET	634	12708	 	IJ	2587175
931029	3173	1995-03-09	VYDAJ	PREVOD NA UCET	634	13204	 	IJ	2587175
931030	3173	1995-04-09	VYDAJ	PREVOD NA UCET	634	14664	 	IJ	2587175
931031	3173	1995-05-09	VYDAJ	PREVOD NA UCET	634	15630	 	IJ	2587175
931032	3173	1995-06-09	VYDAJ	PREVOD NA UCET	634	13410	 	IJ	2587175
931033	3173	1995-07-09	VYDAJ	PREVOD NA UCET	634	14871	 	IJ	2587175
931034	3173	1995-08-09	VYDAJ	PREVOD NA UCET	634	14438	 	IJ	2587175
931035	3173	1995-09-09	VYDAJ	PREVOD NA UCET	634	14905	 	IJ	2587175
931036	3173	1995-10-09	VYDAJ	PREVOD NA UCET	634	15010	 	IJ	2587175
931037	3173	1995-11-09	VYDAJ	PREVOD NA UCET	634	16477	 	IJ	2587175
931038	3173	1995-12-09	VYDAJ	PREVOD NA UCET	634	16009	 	IJ	2587175
931039	3173	1996-01-09	VYDAJ	PREVOD NA UCET	634	16781	 	IJ	2587175
931040	3173	1996-02-09	VYDAJ	PREVOD NA UCET	634	11100	 	IJ	2587175
931041	3173	1996-03-09	VYDAJ	PREVOD NA UCET	634	11150	 	IJ	2587175
931042	3173	1996-04-09	VYDAJ	PREVOD NA UCET	634	12601	 	IJ	2587175
931043	3173	1996-05-09	VYDAJ	PREVOD NA UCET	634	14058	 	IJ	2587175
931044	3173	1996-06-09	VYDAJ	PREVOD NA UCET	634	13521	 	IJ	2587175
931045	3173	1996-07-09	VYDAJ	PREVOD NA UCET	634	11180	 	IJ	2587175
931046	3173	1996-08-09	VYDAJ	PREVOD NA UCET	634	12631	 	IJ	2587175
931047	3173	1996-09-09	VYDAJ	PREVOD NA UCET	634	14088	 	IJ	2587175
931048	3173	1996-10-09	VYDAJ	PREVOD NA UCET	634	15551	 	IJ	2587175
931049	3173	1996-11-09	VYDAJ	PREVOD NA UCET	634	17020	 	IJ	2587175
931050	3173	1996-12-09	VYDAJ	PREVOD NA UCET	634	17746	 	IJ	2587175
931051	3173	1997-01-09	VYDAJ	PREVOD NA UCET	634	17620	 	IJ	2587175
931052	3173	1997-02-09	VYDAJ	PREVOD NA UCET	634	17786	 	IJ	2587175
931053	3173	1997-03-09	VYDAJ	PREVOD NA UCET	634	18784	 	IJ	2587175
931054	3173	1997-04-09	VYDAJ	PREVOD NA UCET	634	19626	 	IJ	2587175
931055	3173	1997-05-09	VYDAJ	PREVOD NA UCET	634	18632	 	IJ	2587175
931056	3173	1997-06-09	VYDAJ	PREVOD NA UCET	634	19154	 	IJ	2587175
931057	3173	1997-07-09	VYDAJ	PREVOD NA UCET	634	20638	 	IJ	2587175
931058	3173	1997-08-09	VYDAJ	PREVOD NA UCET	634	22128	 	IJ	2587175
931059	3173	1997-09-09	VYDAJ	PREVOD NA UCET	634	23624	 	IJ	2587175
931060	3173	1997-10-09	VYDAJ	PREVOD NA UCET	634	25127	 	IJ	2587175
931061	3173	1997-11-09	VYDAJ	PREVOD NA UCET	634	26635	 	IJ	2587175
931062	3173	1997-12-09	VYDAJ	PREVOD NA UCET	634	13528	 	IJ	2587175
931063	3173	1998-01-09	VYDAJ	PREVOD NA UCET	634	14286	 	IJ	2587175
931064	3173	1998-02-09	VYDAJ	PREVOD NA UCET	634	15749	 	IJ	2587175
931065	3173	1998-03-09	VYDAJ	PREVOD NA UCET	634	17218	 	IJ	2587175
931066	3173	1998-04-09	VYDAJ	PREVOD NA UCET	634	17972	 	IJ	2587175
931067	3173	1998-05-09	VYDAJ	PREVOD NA UCET	634	18650	 	IJ	2587175
931068	3173	1998-06-09	VYDAJ	PREVOD NA UCET	634	17132	 	IJ	2587175
931069	3173	1998-07-09	VYDAJ	PREVOD NA UCET	634	18610	 	IJ	2587175
931070	3173	1998-08-09	VYDAJ	PREVOD NA UCET	634	20091	 	IJ	2587175
931071	3173	1998-09-09	VYDAJ	PREVOD NA UCET	634	21578	 	IJ	2587175
931072	3173	1998-10-09	VYDAJ	PREVOD NA UCET	634	21708	 	IJ	2587175
931073	3173	1998-11-09	VYDAJ	PREVOD NA UCET	634	20879	 	IJ	2587175
931074	3173	1998-12-09	VYDAJ	PREVOD NA UCET	634	22369	 	IJ	2587175
931076	3173	1994-06-04	VYDAJ	VYBER	6400	13379	\N	\N	\N
931080	3173	1998-06-07	VYDAJ	VYBER	3000	17766	\N	\N	\N
931082	3173	1994-01-14	VYDAJ	VYBER	4450	17099	\N	\N	\N
931084	3173	1996-01-19	VYDAJ	VYBER	3550	15277	\N	\N	\N
931085	3173	1997-01-13	VYDAJ	VYBER	750	21105	\N	\N	\N
931087	3173	1993-12-03	VYDAJ	VYBER	350	18656	\N	\N	\N
931088	3173	1994-12-25	VYDAJ	VYBER	1250	14079	\N	\N	\N
931089	3173	1995-12-01	VYDAJ	VYBER	900	16643	\N	\N	\N
931090	3173	1996-12-01	VYDAJ	VYBER	750	18380	\N	\N	\N
931091	3173	1997-12-12	VYDAJ	VYBER	700	17063	\N	\N	\N
931092	3173	1998-12-14	VYDAJ	VYBER	1450	22965	\N	\N	\N
931093	3173	1993-12-01	VYDAJ	VYBER	1440	19006	\N	\N	\N
931097	3173	1993-11-02	VYDAJ	VYBER	560	18964	\N	\N	\N
931099	3173	1994-11-25	VYDAJ	VYBER	2880	13865	\N	\N	\N
931100	3173	1994-09-15	VYDAJ	VYBER	1680	14462	\N	\N	\N
931101	3173	1994-09-22	VYDAJ	VYBER	640	13822	\N	\N	\N
931102	3173	1994-09-14	VYDAJ	VYBER	1840	16142	\N	\N	\N
931103	3173	1994-07-01	VYDAJ	VYBER	1200	13644	\N	\N	\N
931104	3173	1994-03-14	VYDAJ	VYBER	2080	16768	\N	\N	\N
931106	3173	1995-09-18	VYDAJ	VYBER	1360	15591	\N	\N	\N
931107	3173	1995-01-15	VYDAJ	VYBER	2240	13298	\N	\N	\N
931108	3173	1995-05-12	VYDAJ	VYBER	3680	16185	\N	\N	\N
931109	3173	1995-11-19	VYDAJ	VYBER	1040	17483	\N	\N	\N
931110	3173	1995-02-15	VYDAJ	VYBER	960	13794	\N	\N	\N
931113	3173	1996-12-10	VYDAJ	VYBER	1600	20381	\N	\N	\N
931116	3173	1997-04-05	VYDAJ	VYBER	640	20260	\N	\N	\N
931117	3173	1997-06-02	VYDAJ	VYBER	960	19788	\N	\N	\N
931118	3173	1997-02-09	VYDAJ	VYBER	560	18420	\N	\N	\N
931119	3173	1997-02-12	VYDAJ	VYBER	480	21541	\N	\N	\N
931121	3173	1997-04-28	VYDAJ	VYBER	2480	19192	\N	\N	\N
931122	3173	1998-03-18	VYDAJ	VYBER	720	18544	\N	\N	\N
931123	3173	1998-10-24	VYDAJ	VYBER	2320	21434	\N	\N	\N
931124	3173	1998-05-03	VYDAJ	VYBER	800	19284	\N	\N	\N
931126	3173	1998-09-15	VYDAJ	VYBER	1360	22264	\N	\N	\N
931137	3173	1993-10-31	VYDAJ	VYBER	15	19524	SLUZBY	\N	\N
931138	3173	1993-11-30	VYDAJ	VYBER	15	20446	SLUZBY	\N	\N
931139	3173	1993-12-31	VYDAJ	VYBER	15	20137	SLUZBY	\N	\N
931140	3173	1994-01-31	VYDAJ	VYBER	15	17162	SLUZBY	\N	\N
931141	3173	1994-02-28	VYDAJ	VYBER	15	18636	SLUZBY	\N	\N
931142	3173	1994-03-31	VYDAJ	VYBER	15	16828	SLUZBY	\N	\N
931143	3173	1994-04-30	VYDAJ	VYBER	15	18300	SLUZBY	\N	\N
931144	3173	1994-05-31	VYDAJ	VYBER	15	19779	SLUZBY	\N	\N
931145	3173	1994-06-30	VYDAJ	VYBER	15	14844	SLUZBY	\N	\N
931146	3173	1994-07-31	VYDAJ	VYBER	15	15105	SLUZBY	\N	\N
931147	3173	1994-08-31	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
931148	3173	1994-09-30	VYDAJ	VYBER	15	13873	SLUZBY	\N	\N
931149	3173	1994-10-31	VYDAJ	VYBER	15	15333	SLUZBY	\N	\N
931150	3173	1994-11-30	VYDAJ	VYBER	15	13917	SLUZBY	\N	\N
931151	3173	1994-12-31	VYDAJ	VYBER	15	14126	SLUZBY	\N	\N
931152	3173	1995-01-31	VYDAJ	VYBER	15	13342	SLUZBY	\N	\N
931153	3173	1995-02-28	VYDAJ	VYBER	15	13838	SLUZBY	\N	\N
931154	3173	1995-03-31	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
931155	3173	1995-04-30	VYDAJ	VYBER	15	16764	SLUZBY	\N	\N
931156	3173	1995-05-31	VYDAJ	VYBER	15	14044	SLUZBY	\N	\N
931157	3173	1995-06-30	VYDAJ	VYBER	15	15505	SLUZBY	\N	\N
931158	3173	1995-07-31	VYDAJ	VYBER	15	16972	SLUZBY	\N	\N
931159	3173	1995-08-31	VYDAJ	VYBER	15	16539	SLUZBY	\N	\N
931160	3173	1995-09-30	VYDAJ	VYBER	15	15644	SLUZBY	\N	\N
931161	3173	1995-10-31	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
931162	3173	1995-11-30	VYDAJ	VYBER	15	17543	SLUZBY	\N	\N
931163	3173	1995-12-31	VYDAJ	VYBER	15	18115	SLUZBY	\N	\N
931164	3173	1996-01-31	VYDAJ	VYBER	15	11734	SLUZBY	\N	\N
931165	3173	1996-02-29	VYDAJ	VYBER	15	11784	SLUZBY	\N	\N
931166	3173	1996-03-31	VYDAJ	VYBER	15	13235	SLUZBY	\N	\N
931167	3173	1996-04-30	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
931168	3173	1996-05-31	VYDAJ	VYBER	15	14155	SLUZBY	\N	\N
931169	3173	1996-06-30	VYDAJ	VYBER	15	11814	SLUZBY	\N	\N
931170	3173	1996-07-31	VYDAJ	VYBER	15	13265	SLUZBY	\N	\N
931171	3173	1996-08-31	VYDAJ	VYBER	15	14722	SLUZBY	\N	\N
931172	3173	1996-09-30	VYDAJ	VYBER	15	16185	SLUZBY	\N	\N
931173	3173	1996-10-31	VYDAJ	VYBER	15	17654	SLUZBY	\N	\N
931174	3173	1996-11-30	VYDAJ	VYBER	15	19130	SLUZBY	\N	\N
931175	3173	1996-12-31	VYDAJ	VYBER	15	18254	SLUZBY	\N	\N
931176	3173	1997-01-31	VYDAJ	VYBER	15	18980	SLUZBY	\N	\N
931177	3173	1997-02-28	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
931178	3173	1997-03-31	VYDAJ	VYBER	15	20900	SLUZBY	\N	\N
931179	3173	1997-04-30	VYDAJ	VYBER	15	19266	SLUZBY	\N	\N
931180	3173	1997-05-31	VYDAJ	VYBER	15	20748	SLUZBY	\N	\N
931181	3173	1997-06-30	VYDAJ	VYBER	15	21272	SLUZBY	\N	\N
931182	3173	1997-07-31	VYDAJ	VYBER	15	22762	SLUZBY	\N	\N
931183	3173	1997-08-31	VYDAJ	VYBER	15	24258	SLUZBY	\N	\N
931184	3173	1997-09-30	VYDAJ	VYBER	15	25761	SLUZBY	\N	\N
931185	3173	1997-10-31	VYDAJ	VYBER	15	27269	SLUZBY	\N	\N
931186	3173	1997-11-30	VYDAJ	VYBER	15	14162	SLUZBY	\N	\N
931187	3173	1997-12-31	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
931188	3173	1998-01-31	VYDAJ	VYBER	15	16383	SLUZBY	\N	\N
931189	3173	1998-02-28	VYDAJ	VYBER	15	17852	SLUZBY	\N	\N
931190	3173	1998-03-31	VYDAJ	VYBER	15	18606	SLUZBY	\N	\N
931191	3173	1998-04-30	VYDAJ	VYBER	15	20084	SLUZBY	\N	\N
931192	3173	1998-05-31	VYDAJ	VYBER	15	20766	SLUZBY	\N	\N
931193	3173	1998-06-30	VYDAJ	VYBER	15	19244	SLUZBY	\N	\N
931194	3173	1998-07-31	VYDAJ	VYBER	15	20725	SLUZBY	\N	\N
931195	3173	1998-08-31	VYDAJ	VYBER	15	22212	SLUZBY	\N	\N
931196	3173	1998-09-30	VYDAJ	VYBER	15	22342	SLUZBY	\N	\N
931197	3173	1998-10-31	VYDAJ	VYBER	15	21513	SLUZBY	\N	\N
931198	3173	1998-11-30	VYDAJ	VYBER	15	23003	SLUZBY	\N	\N
931199	3173	1993-10-12	VYDAJ	VYBER	600	21675	\N	\N	\N
931200	3173	1994-03-11	VYDAJ	VYBER	1200	21037	\N	\N	\N
931201	3173	1995-05-05	VYDAJ	VYBER	500	16264	\N	\N	\N
931202	3173	1995-08-03	VYDAJ	VYBER	1900	15072	\N	\N	\N
931203	3173	1995-09-02	VYDAJ	VYBER	1000	15539	\N	\N	\N
931204	3173	1995-12-31	VYDAJ	VYBER	700	17415	\N	\N	\N
931205	3173	1996-01-30	VYDAJ	VYBER	3600	11677	\N	\N	\N
931206	3173	1996-02-29	VYDAJ	VYBER	1400	11799	\N	\N	\N
931207	3173	1996-05-29	VYDAJ	VYBER	2000	14104	\N	\N	\N
931208	3173	1996-06-28	VYDAJ	VYBER	3800	11767	\N	\N	\N
931209	3173	1997-11-20	VYDAJ	VYBER	14600	14081	\N	\N	\N
931273	3174	1997-12-10	PRIJEM	VKLAD	400	400	\N	\N	\N
931286	3174	1998-01-08	PRIJEM	PREVOD Z UCTU	5098	5498	DUCHOD	UV	94072901
931287	3174	1998-02-08	PRIJEM	PREVOD Z UCTU	5098	10596	DUCHOD	UV	94072901
931288	3174	1998-03-08	PRIJEM	PREVOD Z UCTU	5098	15694	DUCHOD	UV	94072901
931289	3174	1998-04-08	PRIJEM	PREVOD Z UCTU	5098	20792	DUCHOD	UV	94072901
931290	3174	1998-05-08	PRIJEM	PREVOD Z UCTU	5098	25890	DUCHOD	UV	94072901
931620	3176	1998-01-04	VYDAJ	VYBER	2080	13527	\N	\N	\N
931291	3174	1998-06-08	PRIJEM	PREVOD Z UCTU	5098	24829	DUCHOD	UV	94072901
931292	3174	1998-07-08	PRIJEM	PREVOD Z UCTU	5098	27148	DUCHOD	UV	94072901
931293	3174	1998-08-08	PRIJEM	PREVOD Z UCTU	5098	29470	DUCHOD	UV	94072901
931294	3174	1998-09-08	PRIJEM	PREVOD Z UCTU	5098	29643	DUCHOD	UV	94072901
931295	3174	1998-10-08	PRIJEM	PREVOD Z UCTU	5098	31080	DUCHOD	UV	94072901
931296	3174	1998-11-08	PRIJEM	PREVOD Z UCTU	5098	27522	DUCHOD	UV	94072901
931297	3174	1998-12-08	PRIJEM	PREVOD Z UCTU	5098	29853	DUCHOD	UV	94072901
931314	3174	1998-05-11	VYDAJ	PREVOD NA UCET	2859	23031	SIPO	IJ	69832593
931315	3174	1998-06-11	VYDAJ	PREVOD NA UCET	2859	21970	SIPO	IJ	69832593
931316	3174	1998-07-11	VYDAJ	PREVOD NA UCET	2859	24289	SIPO	IJ	69832593
931317	3174	1998-08-11	VYDAJ	PREVOD NA UCET	2859	26611	SIPO	IJ	69832593
931318	3174	1998-09-11	VYDAJ	PREVOD NA UCET	2859	26784	SIPO	IJ	69832593
931319	3174	1998-10-11	VYDAJ	PREVOD NA UCET	2859	28221	SIPO	IJ	69832593
931320	3174	1998-11-11	VYDAJ	PREVOD NA UCET	2859	24663	SIPO	IJ	69832593
931321	3174	1998-12-11	VYDAJ	PREVOD NA UCET	2859	26994	SIPO	IJ	69832593
931323	3174	1998-06-02	VYDAJ	VYBER	3350	19731	\N	\N	\N
931327	3174	1998-12-21	VYDAJ	VYBER	650	26344	\N	\N	\N
931346	3174	1998-09-04	VYDAJ	VYBER	2160	24545	\N	\N	\N
931365	3174	1998-05-31	VYDAJ	VYBER	15	23081	SLUZBY	\N	\N
931366	3174	1998-06-30	VYDAJ	VYBER	15	22050	SLUZBY	\N	\N
931367	3174	1998-07-31	VYDAJ	VYBER	15	24372	SLUZBY	\N	\N
931368	3174	1998-08-31	VYDAJ	VYBER	15	26705	SLUZBY	\N	\N
931369	3174	1998-09-30	VYDAJ	VYBER	15	26882	SLUZBY	\N	\N
931370	3174	1998-10-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
931371	3174	1998-11-30	VYDAJ	VYBER	15	24755	SLUZBY	\N	\N
931372	3174	1998-10-06	VYDAJ	VYBER	900	25982	\N	\N	\N
931373	3174	1998-11-05	VYDAJ	VYBER	5900	22424	\N	\N	\N
931382	3175	1996-10-08	PRIJEM	VKLAD	600	600	\N	\N	\N
931392	3175	1996-10-12	PRIJEM	PREVOD Z UCTU	4920	5520	DUCHOD	UV	74043953
931393	3175	1996-11-12	PRIJEM	PREVOD Z UCTU	4920	10455	DUCHOD	UV	74043953
931394	3175	1996-12-12	PRIJEM	PREVOD Z UCTU	4920	15398	DUCHOD	UV	74043953
931395	3175	1997-01-12	PRIJEM	PREVOD Z UCTU	4920	20341	DUCHOD	UV	74043953
931396	3175	1997-02-12	PRIJEM	PREVOD Z UCTU	4920	25284	DUCHOD	UV	74043953
931397	3175	1997-03-12	PRIJEM	PREVOD Z UCTU	4920	26172	DUCHOD	UV	74043953
931398	3175	1997-04-12	PRIJEM	PREVOD Z UCTU	4920	27892	DUCHOD	UV	74043953
931399	3175	1997-05-12	PRIJEM	PREVOD Z UCTU	4920	28517	DUCHOD	UV	74043953
931400	3175	1997-06-12	PRIJEM	PREVOD Z UCTU	4920	30247	DUCHOD	UV	74043953
931401	3175	1997-07-12	PRIJEM	PREVOD Z UCTU	4920	17378	DUCHOD	UV	74043953
931402	3175	1997-08-12	PRIJEM	PREVOD Z UCTU	4920	19059	DUCHOD	UV	74043953
931403	3175	1997-09-12	PRIJEM	PREVOD Z UCTU	4920	20748	DUCHOD	UV	74043953
931404	3175	1997-10-12	PRIJEM	PREVOD Z UCTU	4920	18923	DUCHOD	UV	74043953
931405	3175	1997-11-12	PRIJEM	PREVOD Z UCTU	4920	20617	DUCHOD	UV	74043953
931406	3175	1997-12-12	PRIJEM	PREVOD Z UCTU	4920	22312	DUCHOD	UV	74043953
931407	3175	1998-01-12	PRIJEM	PREVOD Z UCTU	4920	17792	DUCHOD	UV	74043953
931408	3175	1998-02-12	PRIJEM	PREVOD Z UCTU	4920	17314	DUCHOD	UV	74043953
931409	3175	1998-03-12	PRIJEM	PREVOD Z UCTU	4920	18995	DUCHOD	UV	74043953
931410	3175	1998-04-12	PRIJEM	PREVOD Z UCTU	4920	20282	DUCHOD	UV	74043953
931411	3175	1998-05-12	PRIJEM	PREVOD Z UCTU	4920	21976	DUCHOD	UV	74043953
931412	3175	1998-06-12	PRIJEM	PREVOD Z UCTU	4920	23676	DUCHOD	UV	74043953
931413	3175	1998-07-12	PRIJEM	PREVOD Z UCTU	4920	16962	DUCHOD	UV	74043953
931414	3175	1998-08-12	PRIJEM	PREVOD Z UCTU	4920	18642	DUCHOD	UV	74043953
931415	3175	1998-09-12	PRIJEM	PREVOD Z UCTU	4920	20328	DUCHOD	UV	74043953
931416	3175	1998-10-12	PRIJEM	PREVOD Z UCTU	4920	20342	DUCHOD	UV	74043953
931417	3175	1998-11-12	PRIJEM	PREVOD Z UCTU	4920	22039	DUCHOD	UV	74043953
931418	3175	1998-12-12	PRIJEM	PREVOD Z UCTU	4920	23739	DUCHOD	UV	74043953
931432	3175	1997-02-13	VYDAJ	PREVOD NA UCET	3280	22004	SIPO	AB	73805624
931433	3175	1997-03-13	VYDAJ	PREVOD NA UCET	3280	22892	SIPO	AB	73805624
931434	3175	1997-04-13	VYDAJ	PREVOD NA UCET	3280	24612	SIPO	AB	73805624
931435	3175	1997-05-13	VYDAJ	PREVOD NA UCET	3280	25237	SIPO	AB	73805624
931436	3175	1997-06-13	VYDAJ	PREVOD NA UCET	3280	26967	SIPO	AB	73805624
931437	3175	1997-07-13	VYDAJ	PREVOD NA UCET	3280	14098	SIPO	AB	73805624
931438	3175	1997-08-13	VYDAJ	PREVOD NA UCET	3280	15779	SIPO	AB	73805624
931439	3175	1997-09-13	VYDAJ	PREVOD NA UCET	3280	17468	SIPO	AB	73805624
931440	3175	1997-10-13	VYDAJ	PREVOD NA UCET	3280	15643	SIPO	AB	73805624
931441	3175	1997-11-13	VYDAJ	PREVOD NA UCET	3280	17337	SIPO	AB	73805624
931442	3175	1997-12-13	VYDAJ	PREVOD NA UCET	3280	19032	SIPO	AB	73805624
931443	3175	1998-01-13	VYDAJ	PREVOD NA UCET	3280	14512	SIPO	AB	73805624
931444	3175	1998-02-13	VYDAJ	PREVOD NA UCET	3280	14034	SIPO	AB	73805624
931445	3175	1998-03-13	VYDAJ	PREVOD NA UCET	3280	15715	SIPO	AB	73805624
931446	3175	1998-04-13	VYDAJ	PREVOD NA UCET	3280	17002	SIPO	AB	73805624
931447	3175	1998-05-13	VYDAJ	PREVOD NA UCET	3280	18696	SIPO	AB	73805624
931448	3175	1998-06-13	VYDAJ	PREVOD NA UCET	3280	11996	SIPO	AB	73805624
931449	3175	1998-07-13	VYDAJ	PREVOD NA UCET	3280	13682	SIPO	AB	73805624
931450	3175	1998-08-13	VYDAJ	PREVOD NA UCET	3280	15362	SIPO	AB	73805624
931451	3175	1998-09-13	VYDAJ	PREVOD NA UCET	3280	17048	SIPO	AB	73805624
931452	3175	1998-10-13	VYDAJ	PREVOD NA UCET	3280	17062	SIPO	AB	73805624
931453	3175	1998-11-13	VYDAJ	PREVOD NA UCET	3280	18759	SIPO	AB	73805624
931454	3175	1998-12-13	VYDAJ	PREVOD NA UCET	3280	20459	SIPO	AB	73805624
931456	3175	1997-06-29	VYDAJ	VYBER	14600	12367	\N	\N	\N
931457	3175	1998-06-12	VYDAJ	VYBER	8400	15276	\N	\N	\N
931460	3175	1998-01-10	VYDAJ	VYBER	2000	13912	\N	\N	\N
931462	3175	1997-12-18	VYDAJ	VYBER	1100	17932	\N	\N	\N
931463	3175	1998-12-27	VYDAJ	VYBER	550	19909	\N	\N	\N
931476	3175	1998-01-03	VYDAJ	VYBER	640	15912	\N	\N	\N
931477	3175	1998-01-01	VYDAJ	VYBER	1440	16552	\N	\N	\N
931479	3175	1998-01-13	VYDAJ	VYBER	2160	12352	\N	\N	\N
931480	3175	1998-01-11	VYDAJ	VYBER	1040	12872	\N	\N	\N
931487	3175	1997-10-03	VYDAJ	VYBER	3520	14003	\N	\N	\N
931490	3175	1998-10-04	VYDAJ	VYBER	1680	15422	\N	\N	\N
931491	3175	1998-03-16	VYDAJ	VYBER	400	15315	\N	\N	\N
931506	3175	1997-02-28	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
931507	3175	1997-03-31	VYDAJ	VYBER	15	22972	SLUZBY	\N	\N
931508	3175	1997-04-30	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
931509	3175	1997-05-31	VYDAJ	VYBER	15	25327	SLUZBY	\N	\N
931510	3175	1997-06-30	VYDAJ	VYBER	15	12458	SLUZBY	\N	\N
931511	3175	1997-07-31	VYDAJ	VYBER	15	14139	SLUZBY	\N	\N
931512	3175	1997-08-31	VYDAJ	VYBER	15	15828	SLUZBY	\N	\N
931513	3175	1997-09-30	VYDAJ	VYBER	15	17523	SLUZBY	\N	\N
931514	3175	1997-10-31	VYDAJ	VYBER	15	15697	SLUZBY	\N	\N
931515	3175	1997-11-30	VYDAJ	VYBER	15	17392	SLUZBY	\N	\N
931516	3175	1997-12-31	VYDAJ	VYBER	15	17992	SLUZBY	\N	\N
931517	3175	1998-01-31	VYDAJ	VYBER	15	12394	SLUZBY	\N	\N
931518	3175	1998-02-28	VYDAJ	VYBER	15	14075	SLUZBY	\N	\N
931519	3175	1998-03-31	VYDAJ	VYBER	15	15362	SLUZBY	\N	\N
931520	3175	1998-04-30	VYDAJ	VYBER	15	17056	SLUZBY	\N	\N
931521	3175	1998-05-31	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
931522	3175	1998-06-30	VYDAJ	VYBER	15	12042	SLUZBY	\N	\N
931523	3175	1998-07-31	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
931524	3175	1998-08-31	VYDAJ	VYBER	15	15408	SLUZBY	\N	\N
931525	3175	1998-09-30	VYDAJ	VYBER	15	17102	SLUZBY	\N	\N
931526	3175	1998-10-31	VYDAJ	VYBER	15	17119	SLUZBY	\N	\N
931527	3175	1998-11-30	VYDAJ	VYBER	15	18819	SLUZBY	\N	\N
931528	3175	1997-03-07	VYDAJ	VYBER	800	21252	\N	\N	\N
931529	3175	1997-05-06	VYDAJ	VYBER	1100	23597	\N	\N	\N
931557	3176	1997-03-26	PRIJEM	VKLAD	600	600	\N	\N	\N
931561	3176	1997-04-07	PRIJEM	PREVOD Z UCTU	4595	5195	DUCHOD	GH	56618773
931562	3176	1997-05-07	PRIJEM	PREVOD Z UCTU	4595	9790	DUCHOD	GH	56618773
931563	3176	1997-06-07	PRIJEM	PREVOD Z UCTU	4595	14385	DUCHOD	GH	56618773
931564	3176	1997-07-07	PRIJEM	PREVOD Z UCTU	4595	18980	DUCHOD	GH	56618773
931565	3176	1997-08-07	PRIJEM	PREVOD Z UCTU	4595	20592	DUCHOD	GH	56618773
931566	3176	1997-09-07	PRIJEM	PREVOD Z UCTU	4595	22782	DUCHOD	GH	56618773
931567	3176	1997-10-07	PRIJEM	PREVOD Z UCTU	4595	20735	DUCHOD	GH	56618773
931568	3176	1997-11-07	PRIJEM	PREVOD Z UCTU	4595	21423	DUCHOD	GH	56618773
931569	3176	1997-12-07	PRIJEM	PREVOD Z UCTU	4595	22014	DUCHOD	GH	56618773
931570	3176	1998-01-07	PRIJEM	PREVOD Z UCTU	4595	18122	DUCHOD	GH	56618773
931571	3176	1998-02-07	PRIJEM	PREVOD Z UCTU	4595	16934	DUCHOD	GH	56618773
931572	3176	1998-03-07	PRIJEM	PREVOD Z UCTU	4595	16905	DUCHOD	GH	56618773
931573	3176	1998-04-07	PRIJEM	PREVOD Z UCTU	4595	17678	DUCHOD	GH	56618773
931574	3176	1998-05-07	PRIJEM	PREVOD Z UCTU	4595	16969	DUCHOD	GH	56618773
931575	3176	1998-06-07	PRIJEM	PREVOD Z UCTU	4595	18382	DUCHOD	GH	56618773
931576	3176	1998-07-07	PRIJEM	PREVOD Z UCTU	4595	16055	DUCHOD	GH	56618773
931577	3176	1998-08-07	PRIJEM	PREVOD Z UCTU	4595	16122	DUCHOD	GH	56618773
931578	3176	1998-09-07	PRIJEM	PREVOD Z UCTU	4595	17291	DUCHOD	GH	56618773
931579	3176	1998-10-07	PRIJEM	PREVOD Z UCTU	4595	16461	DUCHOD	GH	56618773
931580	3176	1998-11-07	PRIJEM	PREVOD Z UCTU	4595	16530	DUCHOD	GH	56618773
931581	3176	1998-12-07	PRIJEM	PREVOD Z UCTU	4595	18703	DUCHOD	GH	56618773
931589	3176	1997-08-08	VYDAJ	PREVOD NA UCET	2464	18128	SIPO	WX	84174042
931590	3176	1997-09-08	VYDAJ	PREVOD NA UCET	2464	17278	SIPO	WX	84174042
931591	3176	1997-10-08	VYDAJ	PREVOD NA UCET	2464	18271	SIPO	WX	84174042
931592	3176	1997-11-08	VYDAJ	PREVOD NA UCET	2464	18959	SIPO	WX	84174042
931593	3176	1997-12-08	VYDAJ	PREVOD NA UCET	2464	18250	SIPO	WX	84174042
931594	3176	1998-01-08	VYDAJ	PREVOD NA UCET	2464	15658	SIPO	WX	84174042
931595	3176	1998-02-08	VYDAJ	PREVOD NA UCET	2464	14470	SIPO	WX	84174042
931596	3176	1998-03-08	VYDAJ	PREVOD NA UCET	2464	14441	SIPO	WX	84174042
931597	3176	1998-04-08	VYDAJ	PREVOD NA UCET	2464	15214	SIPO	WX	84174042
931598	3176	1998-05-08	VYDAJ	PREVOD NA UCET	2464	14505	SIPO	WX	84174042
931599	3176	1998-06-08	VYDAJ	PREVOD NA UCET	2464	15918	SIPO	WX	84174042
931600	3176	1998-07-08	VYDAJ	PREVOD NA UCET	2464	13591	SIPO	WX	84174042
931601	3176	1998-08-08	VYDAJ	PREVOD NA UCET	2464	13658	SIPO	WX	84174042
931602	3176	1998-09-08	VYDAJ	PREVOD NA UCET	2464	14827	SIPO	WX	84174042
931603	3176	1998-10-08	VYDAJ	PREVOD NA UCET	2464	13997	SIPO	WX	84174042
931604	3176	1998-11-08	VYDAJ	PREVOD NA UCET	2464	14066	SIPO	WX	84174042
931605	3176	1998-12-08	VYDAJ	PREVOD NA UCET	2464	13269	SIPO	WX	84174042
931610	3176	1997-12-08	VYDAJ	VYBER	1300	20714	\N	\N	\N
931611	3176	1998-12-07	VYDAJ	VYBER	650	18053	\N	\N	\N
931618	3176	1998-01-08	VYDAJ	VYBER	880	14778	\N	\N	\N
931621	3176	1998-01-16	VYDAJ	VYBER	480	12298	\N	\N	\N
931622	3176	1998-01-11	VYDAJ	VYBER	2000	12778	\N	\N	\N
931625	3176	1997-09-08	VYDAJ	VYBER	3040	19742	\N	\N	\N
931629	3176	1998-04-14	VYDAJ	VYBER	2880	12334	\N	\N	\N
931631	3176	1998-05-10	VYDAJ	VYBER	560	13945	\N	\N	\N
931634	3176	1998-12-07	VYDAJ	VYBER	2320	15733	\N	\N	\N
931643	3176	1997-08-31	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
931644	3176	1997-09-30	VYDAJ	VYBER	15	16140	SLUZBY	\N	\N
931645	3176	1997-10-31	VYDAJ	VYBER	15	16828	SLUZBY	\N	\N
931646	3176	1997-11-30	VYDAJ	VYBER	15	17419	SLUZBY	\N	\N
931647	3176	1997-12-31	VYDAJ	VYBER	15	15607	SLUZBY	\N	\N
931648	3176	1998-01-31	VYDAJ	VYBER	15	12339	SLUZBY	\N	\N
931649	3176	1998-02-28	VYDAJ	VYBER	15	12310	SLUZBY	\N	\N
931650	3176	1998-03-31	VYDAJ	VYBER	15	13083	SLUZBY	\N	\N
931651	3176	1998-04-30	VYDAJ	VYBER	15	12374	SLUZBY	\N	\N
931652	3176	1998-05-31	VYDAJ	VYBER	15	13787	SLUZBY	\N	\N
931653	3176	1998-06-30	VYDAJ	VYBER	15	11460	SLUZBY	\N	\N
931654	3176	1998-07-31	VYDAJ	VYBER	15	11527	SLUZBY	\N	\N
931655	3176	1998-08-31	VYDAJ	VYBER	15	12696	SLUZBY	\N	\N
931656	3176	1998-09-30	VYDAJ	VYBER	15	11866	SLUZBY	\N	\N
931657	3176	1998-10-31	VYDAJ	VYBER	15	11935	SLUZBY	\N	\N
931658	3176	1998-11-30	VYDAJ	VYBER	15	14108	SLUZBY	\N	\N
931659	3176	1997-07-24	VYDAJ	VYBER	3000	15980	\N	\N	\N
931660	3176	1997-09-22	VYDAJ	VYBER	1200	16078	\N	\N	\N
931661	3176	1997-10-22	VYDAJ	VYBER	1500	16771	\N	\N	\N
931662	3176	1997-11-21	VYDAJ	VYBER	1600	17359	\N	\N	\N
931663	3176	1997-12-21	VYDAJ	VYBER	2700	15550	\N	\N	\N
931664	3176	1998-02-19	VYDAJ	VYBER	2200	12270	\N	\N	\N
931665	3176	1998-03-21	VYDAJ	VYBER	1400	13041	\N	\N	\N
931666	3176	1998-05-20	VYDAJ	VYBER	200	13745	\N	\N	\N
931667	3176	1998-06-19	VYDAJ	VYBER	4500	11418	\N	\N	\N
931668	3176	1998-07-19	VYDAJ	VYBER	2100	11491	\N	\N	\N
931669	3176	1998-08-18	VYDAJ	VYBER	1000	12658	\N	\N	\N
931670	3176	1998-09-17	VYDAJ	VYBER	3000	11827	\N	\N	\N
931671	3176	1998-10-17	VYDAJ	VYBER	2100	11897	\N	\N	\N
931690	3177	1996-11-12	PRIJEM	VKLAD	500	500	\N	\N	\N
931693	3177	1997-03-15	PRIJEM	VKLAD	9580	41991	\N	\N	\N
931694	3177	1997-01-17	PRIJEM	VKLAD	40831	61531	\N	\N	\N
931695	3177	1998-03-06	PRIJEM	VKLAD	15858	49211	\N	\N	\N
931696	3177	1998-09-28	PRIJEM	VKLAD	35106	63716	\N	\N	\N
931778	3177	1996-12-12	PRIJEM	VKLAD	11800	12300	\N	\N	\N
931779	3177	1997-01-11	PRIJEM	VKLAD	8400	20700	\N	\N	\N
931780	3177	1997-02-10	VYDAJ	VYBER	17100	44555	\N	\N	\N
931781	3177	1997-03-12	VYDAJ	VYBER	12400	32411	\N	\N	\N
931782	3177	1997-04-11	VYDAJ	VYBER	6000	36203	\N	\N	\N
931783	3177	1997-05-11	VYDAJ	VYBER	5900	30478	\N	\N	\N
931784	3177	1997-06-10	VYDAJ	VYBER	100	30553	\N	\N	\N
931785	3177	1997-07-10	VYDAJ	VYBER	400	30328	\N	\N	\N
931786	3177	1997-08-09	VYDAJ	VYBER	700	29803	\N	\N	\N
931787	3177	1997-09-08	PRIJEM	VKLAD	3300	33278	\N	\N	\N
931788	3177	1997-10-08	VYDAJ	VYBER	1000	32453	\N	\N	\N
931789	3177	1997-12-07	VYDAJ	VYBER	2400	30228	\N	\N	\N
931790	3177	1998-01-06	PRIJEM	VKLAD	3900	34303	\N	\N	\N
931791	3177	1998-02-05	VYDAJ	VYBER	1300	33178	\N	\N	\N
931792	3177	1998-03-07	VYDAJ	VYBER	9300	39911	\N	\N	\N
931793	3177	1998-04-06	VYDAJ	VYBER	3100	36979	\N	\N	\N
931794	3177	1998-05-06	VYDAJ	VYBER	3600	33545	\N	\N	\N
931795	3177	1998-06-05	VYDAJ	VYBER	4500	29211	\N	\N	\N
931796	3177	1998-07-05	PRIJEM	VKLAD	3500	32877	\N	\N	\N
931797	3177	1998-08-04	VYDAJ	VYBER	2600	30444	\N	\N	\N
931798	3177	1998-09-03	VYDAJ	VYBER	2000	28610	\N	\N	\N
931799	3177	1998-10-03	VYDAJ	VYBER	14900	48992	\N	\N	\N
931800	3177	1998-11-02	VYDAJ	VYBER	7200	42057	\N	\N	\N
931801	3177	1998-12-02	VYDAJ	VYBER	6400	35922	\N	\N	\N
931824	3178	1996-04-27	PRIJEM	VKLAD	600	600	\N	\N	\N
931829	3178	1996-05-12	PRIJEM	PREVOD Z UCTU	2929	3529	\N	QR	36391699
931830	3178	1996-06-12	PRIJEM	PREVOD Z UCTU	2929	6458	\N	QR	36391699
931831	3178	1996-07-12	PRIJEM	PREVOD Z UCTU	2929	9387	\N	QR	36391699
931832	3178	1996-08-12	PRIJEM	PREVOD Z UCTU	2929	12316	\N	QR	36391699
931833	3178	1996-09-12	PRIJEM	PREVOD Z UCTU	2929	15245	\N	QR	36391699
931834	3178	1996-10-12	PRIJEM	PREVOD Z UCTU	2929	16245	\N	QR	36391699
931835	3178	1996-11-12	PRIJEM	PREVOD Z UCTU	2929	15570	\N	QR	36391699
931836	3178	1996-12-12	PRIJEM	PREVOD Z UCTU	2929	16595	\N	QR	36391699
931837	3178	1997-01-12	PRIJEM	PREVOD Z UCTU	2929	15283	\N	QR	36391699
931838	3178	1997-02-12	PRIJEM	PREVOD Z UCTU	2929	13702	\N	QR	36391699
931839	3178	1997-03-12	PRIJEM	PREVOD Z UCTU	2929	14719	\N	QR	36391699
931840	3178	1997-04-12	PRIJEM	PREVOD Z UCTU	2929	15740	\N	QR	36391699
931841	3178	1997-05-12	PRIJEM	PREVOD Z UCTU	2929	16765	\N	QR	36391699
931842	3178	1997-06-12	PRIJEM	PREVOD Z UCTU	2929	17795	\N	QR	36391699
931843	3178	1997-07-12	PRIJEM	PREVOD Z UCTU	2929	14471	\N	QR	36391699
931844	3178	1997-08-12	PRIJEM	PREVOD Z UCTU	2929	15491	\N	QR	36391699
931845	3178	1997-09-12	PRIJEM	PREVOD Z UCTU	2929	16515	\N	QR	36391699
931846	3178	1997-10-12	PRIJEM	PREVOD Z UCTU	2929	17544	\N	QR	36391699
931847	3178	1997-11-12	PRIJEM	PREVOD Z UCTU	2929	18576	\N	QR	36391699
931848	3178	1997-12-12	PRIJEM	PREVOD Z UCTU	2929	19614	\N	QR	36391699
931849	3178	1998-01-12	PRIJEM	PREVOD Z UCTU	2929	17112	\N	QR	36391699
931850	3178	1998-02-12	PRIJEM	PREVOD Z UCTU	2929	14449	\N	QR	36391699
931851	3178	1998-03-12	PRIJEM	PREVOD Z UCTU	2929	15469	\N	QR	36391699
931852	3178	1998-04-12	PRIJEM	PREVOD Z UCTU	2929	15351	\N	QR	36391699
931853	3178	1998-05-12	PRIJEM	PREVOD Z UCTU	2929	16374	\N	QR	36391699
931854	3178	1998-06-12	PRIJEM	PREVOD Z UCTU	2929	17402	\N	QR	36391699
931855	3178	1998-07-12	PRIJEM	PREVOD Z UCTU	2929	18434	\N	QR	36391699
931856	3178	1998-08-12	PRIJEM	PREVOD Z UCTU	2929	19471	\N	QR	36391699
931857	3178	1998-09-12	PRIJEM	PREVOD Z UCTU	2929	20511	\N	QR	36391699
931858	3178	1998-10-12	PRIJEM	PREVOD Z UCTU	2929	20474	\N	QR	36391699
931859	3178	1998-11-12	PRIJEM	PREVOD Z UCTU	2929	21519	\N	QR	36391699
931860	3178	1998-12-12	PRIJEM	PREVOD Z UCTU	2929	21305	\N	QR	36391699
931870	3178	1996-10-08	VYDAJ	PREVOD NA UCET	1665	13316	\N	EF	10611677
931871	3178	1996-11-08	VYDAJ	PREVOD NA UCET	1665	12641	\N	EF	10611677
931872	3178	1996-12-08	VYDAJ	PREVOD NA UCET	1665	13666	\N	EF	10611677
931873	3178	1997-01-08	VYDAJ	PREVOD NA UCET	1665	12354	\N	EF	10611677
931874	3178	1997-02-08	VYDAJ	PREVOD NA UCET	1665	10773	\N	EF	10611677
931875	3178	1997-03-08	VYDAJ	PREVOD NA UCET	1665	11790	\N	EF	10611677
931876	3178	1997-04-08	VYDAJ	PREVOD NA UCET	1665	12811	\N	EF	10611677
931877	3178	1997-05-08	VYDAJ	PREVOD NA UCET	1665	13836	\N	EF	10611677
931878	3178	1997-06-08	VYDAJ	PREVOD NA UCET	1665	14866	\N	EF	10611677
931879	3178	1997-07-08	VYDAJ	PREVOD NA UCET	1665	11542	\N	EF	10611677
931880	3178	1997-08-08	VYDAJ	PREVOD NA UCET	1665	12562	\N	EF	10611677
931881	3178	1997-09-08	VYDAJ	PREVOD NA UCET	1665	13586	\N	EF	10611677
931882	3178	1997-10-08	VYDAJ	PREVOD NA UCET	1665	14615	\N	EF	10611677
931883	3178	1997-11-08	VYDAJ	PREVOD NA UCET	1665	15647	\N	EF	10611677
931884	3178	1997-12-08	VYDAJ	PREVOD NA UCET	1665	16685	\N	EF	10611677
931885	3178	1998-01-08	VYDAJ	PREVOD NA UCET	1665	15503	\N	EF	10611677
931886	3178	1998-02-08	VYDAJ	PREVOD NA UCET	1665	11520	\N	EF	10611677
931887	3178	1998-03-08	VYDAJ	PREVOD NA UCET	1665	12540	\N	EF	10611677
931888	3178	1998-04-08	VYDAJ	PREVOD NA UCET	1665	12422	\N	EF	10611677
931889	3178	1998-05-08	VYDAJ	PREVOD NA UCET	1665	13445	\N	EF	10611677
931890	3178	1998-06-08	VYDAJ	PREVOD NA UCET	1665	14473	\N	EF	10611677
931891	3178	1998-07-08	VYDAJ	PREVOD NA UCET	1665	15505	\N	EF	10611677
931892	3178	1998-08-08	VYDAJ	PREVOD NA UCET	1665	16542	\N	EF	10611677
931893	3178	1998-09-08	VYDAJ	PREVOD NA UCET	1665	17582	\N	EF	10611677
931894	3178	1998-10-08	VYDAJ	PREVOD NA UCET	1665	17545	\N	EF	10611677
931895	3178	1998-11-08	VYDAJ	PREVOD NA UCET	1665	18590	\N	EF	10611677
931896	3178	1998-12-08	VYDAJ	PREVOD NA UCET	1665	18376	\N	EF	10611677
931905	3178	1996-09-13	VYDAJ	PREVOD NA UCET	287	14958	\N	OP	35352593
931906	3178	1996-10-13	VYDAJ	PREVOD NA UCET	287	15958	\N	OP	35352593
931907	3178	1996-11-13	VYDAJ	PREVOD NA UCET	287	15283	\N	OP	35352593
931908	3178	1996-12-13	VYDAJ	PREVOD NA UCET	287	16308	\N	OP	35352593
931909	3178	1997-01-13	VYDAJ	PREVOD NA UCET	287	14396	\N	OP	35352593
931910	3178	1997-02-13	VYDAJ	PREVOD NA UCET	287	13415	\N	OP	35352593
931911	3178	1997-03-13	VYDAJ	PREVOD NA UCET	287	14432	\N	OP	35352593
931912	3178	1997-04-13	VYDAJ	PREVOD NA UCET	287	15453	\N	OP	35352593
931913	3178	1997-05-13	VYDAJ	PREVOD NA UCET	287	16478	\N	OP	35352593
931914	3178	1997-06-13	VYDAJ	PREVOD NA UCET	287	17508	\N	OP	35352593
931915	3178	1997-07-13	VYDAJ	PREVOD NA UCET	287	14184	\N	OP	35352593
931916	3178	1997-08-13	VYDAJ	PREVOD NA UCET	287	15204	\N	OP	35352593
931917	3178	1997-09-13	VYDAJ	PREVOD NA UCET	287	16228	\N	OP	35352593
931918	3178	1997-10-13	VYDAJ	PREVOD NA UCET	287	17257	\N	OP	35352593
931919	3178	1997-11-13	VYDAJ	PREVOD NA UCET	287	18289	\N	OP	35352593
931920	3178	1997-12-13	VYDAJ	PREVOD NA UCET	287	18217	\N	OP	35352593
931921	3178	1998-01-13	VYDAJ	PREVOD NA UCET	287	16825	\N	OP	35352593
931922	3178	1998-02-13	VYDAJ	PREVOD NA UCET	287	14162	\N	OP	35352593
931923	3178	1998-03-13	VYDAJ	PREVOD NA UCET	287	15182	\N	OP	35352593
931924	3178	1998-04-13	VYDAJ	PREVOD NA UCET	287	15064	\N	OP	35352593
931925	3178	1998-05-13	VYDAJ	PREVOD NA UCET	287	16087	\N	OP	35352593
931926	3178	1998-06-13	VYDAJ	PREVOD NA UCET	287	17115	\N	OP	35352593
931927	3178	1998-07-13	VYDAJ	PREVOD NA UCET	287	18147	\N	OP	35352593
931928	3178	1998-08-13	VYDAJ	PREVOD NA UCET	287	19184	\N	OP	35352593
931929	3178	1998-09-13	VYDAJ	PREVOD NA UCET	287	20224	\N	OP	35352593
931930	3178	1998-10-13	VYDAJ	PREVOD NA UCET	287	20187	\N	OP	35352593
931931	3178	1998-11-13	VYDAJ	PREVOD NA UCET	287	19972	\N	OP	35352593
931932	3178	1998-12-13	VYDAJ	PREVOD NA UCET	287	21018	\N	OP	35352593
931934	3178	1997-06-18	VYDAJ	VYBER	4050	13458	\N	\N	\N
931939	3178	1996-12-28	VYDAJ	VYBER	540	15468	\N	\N	\N
931940	3178	1997-12-19	VYDAJ	VYBER	360	17857	\N	\N	\N
931941	3178	1998-12-19	VYDAJ	VYBER	390	19458	\N	\N	\N
931948	3178	1997-01-06	VYDAJ	VYBER	180	14019	\N	\N	\N
931949	3178	1997-01-21	VYDAJ	VYBER	600	13796	\N	\N	\N
931951	3178	1997-01-12	VYDAJ	VYBER	600	14683	\N	\N	\N
931952	3178	1997-01-03	VYDAJ	VYBER	480	14199	\N	\N	\N
931953	3178	1997-01-01	VYDAJ	VYBER	840	14679	\N	\N	\N
931954	3178	1998-01-10	VYDAJ	VYBER	750	14183	\N	\N	\N
931955	3178	1998-01-09	VYDAJ	VYBER	570	14933	\N	\N	\N
931956	3178	1998-01-16	VYDAJ	VYBER	600	15595	\N	\N	\N
931957	3178	1998-01-15	VYDAJ	VYBER	630	16195	\N	\N	\N
931958	3178	1998-01-22	VYDAJ	VYBER	270	14215	\N	\N	\N
931959	3178	1998-01-03	VYDAJ	VYBER	750	17168	\N	\N	\N
931966	3178	1997-12-12	VYDAJ	VYBER	1110	18504	\N	\N	\N
931967	3178	1997-07-03	VYDAJ	VYBER	300	13207	\N	\N	\N
931968	3178	1998-12-15	VYDAJ	VYBER	1170	19848	\N	\N	\N
931969	3178	1998-02-06	VYDAJ	VYBER	1080	13185	\N	\N	\N
931970	3178	1998-01-19	VYDAJ	VYBER	1110	14485	\N	\N	\N
931971	3178	1998-11-13	VYDAJ	VYBER	1260	20259	\N	\N	\N
931972	3178	1998-09-15	VYDAJ	VYBER	1080	19144	\N	\N	\N
931973	3178	1998-03-20	VYDAJ	VYBER	1140	14042	\N	\N	\N
931983	3178	1996-09-30	VYDAJ	VYBER	15	14981	SLUZBY	\N	\N
931984	3178	1996-10-31	VYDAJ	VYBER	15	14306	SLUZBY	\N	\N
931985	3178	1996-11-30	VYDAJ	VYBER	15	15331	SLUZBY	\N	\N
931986	3178	1996-12-31	VYDAJ	VYBER	15	15519	SLUZBY	\N	\N
931987	3178	1997-01-31	VYDAJ	VYBER	15	12438	SLUZBY	\N	\N
931988	3178	1997-02-28	VYDAJ	VYBER	15	13455	SLUZBY	\N	\N
931989	3178	1997-03-31	VYDAJ	VYBER	15	14476	SLUZBY	\N	\N
931990	3178	1997-04-30	VYDAJ	VYBER	15	15501	SLUZBY	\N	\N
931991	3178	1997-05-31	VYDAJ	VYBER	15	16531	SLUZBY	\N	\N
931992	3178	1997-06-30	VYDAJ	VYBER	15	13507	SLUZBY	\N	\N
931993	3178	1997-07-31	VYDAJ	VYBER	15	14227	SLUZBY	\N	\N
931994	3178	1997-08-31	VYDAJ	VYBER	15	15251	SLUZBY	\N	\N
931995	3178	1997-09-30	VYDAJ	VYBER	15	16280	SLUZBY	\N	\N
931996	3178	1997-10-31	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
931997	3178	1997-11-30	VYDAJ	VYBER	15	18350	SLUZBY	\N	\N
931998	3178	1997-12-31	VYDAJ	VYBER	15	17918	SLUZBY	\N	\N
931999	3178	1998-01-31	VYDAJ	VYBER	15	14265	SLUZBY	\N	\N
932000	3178	1998-02-28	VYDAJ	VYBER	15	14205	SLUZBY	\N	\N
932001	3178	1998-03-31	VYDAJ	VYBER	15	14087	SLUZBY	\N	\N
932002	3178	1998-04-30	VYDAJ	VYBER	15	15110	SLUZBY	\N	\N
932003	3178	1998-05-31	VYDAJ	VYBER	15	16138	SLUZBY	\N	\N
932004	3178	1998-06-30	VYDAJ	VYBER	15	17170	SLUZBY	\N	\N
932005	3178	1998-07-31	VYDAJ	VYBER	15	18207	SLUZBY	\N	\N
932006	3178	1998-08-31	VYDAJ	VYBER	15	19247	SLUZBY	\N	\N
932007	3178	1998-09-30	VYDAJ	VYBER	15	19210	SLUZBY	\N	\N
932008	3178	1998-10-31	VYDAJ	VYBER	15	20255	SLUZBY	\N	\N
932009	3178	1998-11-30	VYDAJ	VYBER	15	20041	SLUZBY	\N	\N
932010	3178	1996-10-24	VYDAJ	VYBER	1700	14258	\N	\N	\N
932011	3178	1996-12-23	VYDAJ	VYBER	300	16008	\N	\N	\N
932012	3178	1997-01-22	VYDAJ	VYBER	1400	12396	\N	\N	\N
932041	3179	1996-09-20	PRIJEM	VKLAD	800	800	\N	\N	\N
932051	3179	1996-10-11	PRIJEM	VKLAD	14846	15646	\N	\N	\N
932052	3179	1996-11-11	PRIJEM	VKLAD	14846	34023	\N	\N	\N
932053	3179	1996-12-11	PRIJEM	VKLAD	22269	51288	\N	\N	\N
932054	3179	1997-01-11	PRIJEM	VKLAD	14846	51768	\N	\N	\N
932055	3179	1997-02-11	PRIJEM	VKLAD	14846	53471	\N	\N	\N
932056	3179	1997-03-11	PRIJEM	VKLAD	14846	49996	\N	\N	\N
932057	3179	1997-04-11	PRIJEM	VKLAD	14846	51660	\N	\N	\N
932058	3179	1997-05-11	PRIJEM	VKLAD	14846	52288	\N	\N	\N
932059	3179	1997-06-11	PRIJEM	VKLAD	22269	54016	\N	\N	\N
932060	3179	1997-07-11	PRIJEM	VKLAD	14846	28897	\N	\N	\N
932061	3179	1997-08-11	PRIJEM	VKLAD	14846	38544	\N	\N	\N
932062	3179	1997-09-11	PRIJEM	VKLAD	14846	47029	\N	\N	\N
932063	3179	1997-10-11	PRIJEM	VKLAD	14846	39826	\N	\N	\N
932064	3179	1997-11-11	PRIJEM	VKLAD	14846	44911	\N	\N	\N
932065	3179	1997-12-11	PRIJEM	VKLAD	22269	54229	\N	\N	\N
932066	3179	1998-01-11	PRIJEM	VKLAD	14846	46254	\N	\N	\N
932067	3179	1998-02-11	PRIJEM	VKLAD	14846	42238	\N	\N	\N
932068	3179	1998-03-11	PRIJEM	VKLAD	14846	35598	\N	\N	\N
932069	3179	1998-04-11	PRIJEM	VKLAD	14846	35248	\N	\N	\N
932070	3179	1998-05-11	PRIJEM	VKLAD	14846	35497	\N	\N	\N
932071	3179	1998-06-11	PRIJEM	VKLAD	22269	39043	\N	\N	\N
932072	3179	1998-07-11	PRIJEM	VKLAD	14846	33180	\N	\N	\N
932073	3179	1998-08-11	PRIJEM	VKLAD	14846	34725	\N	\N	\N
932074	3179	1998-09-11	PRIJEM	VKLAD	14846	35159	\N	\N	\N
932075	3179	1998-10-11	PRIJEM	VKLAD	14846	35699	\N	\N	\N
932076	3179	1998-11-11	PRIJEM	VKLAD	14846	35692	\N	\N	\N
932077	3179	1998-12-11	PRIJEM	VKLAD	22269	45209	\N	\N	\N
932091	3179	1997-02-11	VYDAJ	PREVOD NA UCET	2556	50915	SIPO	ST	29653591
932092	3179	1997-03-11	VYDAJ	PREVOD NA UCET	2556	47440	SIPO	ST	29653591
932093	3179	1997-04-11	VYDAJ	PREVOD NA UCET	2556	49104	SIPO	ST	29653591
932094	3179	1997-05-11	VYDAJ	PREVOD NA UCET	2556	49732	SIPO	ST	29653591
932095	3179	1997-06-11	VYDAJ	PREVOD NA UCET	2556	51460	SIPO	ST	29653591
932096	3179	1997-07-11	VYDAJ	PREVOD NA UCET	2556	26341	SIPO	ST	29653591
932097	3179	1997-08-11	VYDAJ	PREVOD NA UCET	2556	35988	SIPO	ST	29653591
932098	3179	1997-09-11	VYDAJ	PREVOD NA UCET	2556	44473	SIPO	ST	29653591
932099	3179	1997-10-11	VYDAJ	PREVOD NA UCET	2556	37270	SIPO	ST	29653591
932100	3179	1997-11-11	VYDAJ	PREVOD NA UCET	2556	42355	SIPO	ST	29653591
932101	3179	1997-12-11	VYDAJ	PREVOD NA UCET	2556	51673	SIPO	ST	29653591
932102	3179	1998-01-11	VYDAJ	PREVOD NA UCET	2556	43698	SIPO	ST	29653591
932103	3179	1998-02-11	VYDAJ	PREVOD NA UCET	2556	39682	SIPO	ST	29653591
932104	3179	1998-03-11	VYDAJ	PREVOD NA UCET	2556	33042	SIPO	ST	29653591
932105	3179	1998-04-11	VYDAJ	PREVOD NA UCET	2556	32692	SIPO	ST	29653591
932106	3179	1998-05-11	VYDAJ	PREVOD NA UCET	2556	32941	SIPO	ST	29653591
932107	3179	1998-06-11	VYDAJ	PREVOD NA UCET	2556	36487	SIPO	ST	29653591
932108	3179	1998-07-11	VYDAJ	PREVOD NA UCET	2556	30624	SIPO	ST	29653591
932109	3179	1998-08-11	VYDAJ	PREVOD NA UCET	2556	32169	SIPO	ST	29653591
932110	3179	1998-09-11	VYDAJ	PREVOD NA UCET	2556	32603	SIPO	ST	29653591
932111	3179	1998-10-11	VYDAJ	PREVOD NA UCET	2556	33143	SIPO	ST	29653591
932112	3179	1998-11-11	VYDAJ	PREVOD NA UCET	2556	33136	SIPO	ST	29653591
932113	3179	1998-12-11	VYDAJ	PREVOD NA UCET	2556	42653	SIPO	ST	29653591
932127	3179	1997-02-12	VYDAJ	PREVOD NA UCET	1015	49900	 	WX	81993627
932128	3179	1997-03-12	VYDAJ	PREVOD NA UCET	1015	46425	 	WX	81993627
932129	3179	1997-04-12	VYDAJ	PREVOD NA UCET	1015	48089	 	WX	81993627
932130	3179	1997-05-12	VYDAJ	PREVOD NA UCET	1015	48717	 	WX	81993627
932131	3179	1997-06-12	VYDAJ	PREVOD NA UCET	1015	50445	 	WX	81993627
932132	3179	1997-07-12	VYDAJ	PREVOD NA UCET	1015	25326	 	WX	81993627
932133	3179	1997-08-12	VYDAJ	PREVOD NA UCET	1015	34973	 	WX	81993627
932134	3179	1997-09-12	VYDAJ	PREVOD NA UCET	1015	43458	 	WX	81993627
932135	3179	1997-10-12	VYDAJ	PREVOD NA UCET	1015	36255	 	WX	81993627
932136	3179	1997-11-12	VYDAJ	PREVOD NA UCET	1015	41340	 	WX	81993627
932137	3179	1997-12-12	VYDAJ	PREVOD NA UCET	1015	50658	 	WX	81993627
932138	3179	1998-01-12	VYDAJ	PREVOD NA UCET	1015	42683	 	WX	81993627
932139	3179	1998-02-12	VYDAJ	PREVOD NA UCET	1015	20667	 	WX	81993627
932140	3179	1998-03-12	VYDAJ	PREVOD NA UCET	1015	32027	 	WX	81993627
932141	3179	1998-04-12	VYDAJ	PREVOD NA UCET	1015	31677	 	WX	81993627
932142	3179	1998-05-12	VYDAJ	PREVOD NA UCET	1015	31926	 	WX	81993627
932143	3179	1998-06-12	VYDAJ	PREVOD NA UCET	1015	18272	 	WX	81993627
932144	3179	1998-07-12	VYDAJ	PREVOD NA UCET	1015	19809	 	WX	81993627
932145	3179	1998-08-12	VYDAJ	PREVOD NA UCET	1015	23454	 	WX	81993627
932146	3179	1998-09-12	VYDAJ	PREVOD NA UCET	1015	31588	 	WX	81993627
932147	3179	1998-10-12	VYDAJ	PREVOD NA UCET	1015	32128	 	WX	81993627
932148	3179	1998-11-12	VYDAJ	PREVOD NA UCET	1015	32121	 	WX	81993627
932149	3179	1998-12-12	VYDAJ	PREVOD NA UCET	1015	41638	 	WX	81993627
932151	3179	1997-06-24	VYDAJ	VYBER	21920	13925	\N	\N	\N
932154	3179	1997-12-23	VYDAJ	VYBER	4480	31278	\N	\N	\N
932155	3179	1998-12-16	VYDAJ	VYBER	3520	38118	\N	\N	\N
932160	3179	1997-06-04	VYDAJ	VYBER	4320	31747	\N	\N	\N
932161	3179	1997-04-04	VYDAJ	VYBER	1560	36814	\N	\N	\N
932162	3179	1997-09-30	VYDAJ	VYBER	3720	27275	\N	\N	\N
932163	3179	1997-10-10	VYDAJ	VYBER	2280	24980	\N	\N	\N
932164	3179	1998-05-19	VYDAJ	VYBER	4920	16706	\N	\N	\N
932165	3179	1998-10-08	VYDAJ	VYBER	1440	30253	\N	\N	\N
932166	3179	1998-12-20	VYDAJ	VYBER	2400	35718	\N	\N	\N
932167	3179	1998-09-01	VYDAJ	VYBER	3720	19813	\N	\N	\N
932182	3179	1997-02-28	VYDAJ	VYBER	15	35150	SLUZBY	\N	\N
932183	3179	1997-03-31	VYDAJ	VYBER	15	38374	SLUZBY	\N	\N
932184	3179	1997-04-30	VYDAJ	VYBER	15	37442	SLUZBY	\N	\N
932185	3179	1997-05-31	VYDAJ	VYBER	15	36067	SLUZBY	\N	\N
932186	3179	1997-06-30	VYDAJ	VYBER	15	14051	SLUZBY	\N	\N
932187	3179	1997-07-31	VYDAJ	VYBER	15	23698	SLUZBY	\N	\N
932188	3179	1997-08-31	VYDAJ	VYBER	15	32183	SLUZBY	\N	\N
932189	3179	1997-09-30	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
932190	3179	1997-10-31	VYDAJ	VYBER	15	30065	SLUZBY	\N	\N
932191	3179	1997-11-30	VYDAJ	VYBER	15	31960	SLUZBY	\N	\N
932192	3179	1997-12-31	VYDAJ	VYBER	15	31408	SLUZBY	\N	\N
932193	3179	1998-01-31	VYDAJ	VYBER	15	27392	SLUZBY	\N	\N
932194	3179	1998-02-28	VYDAJ	VYBER	15	20752	SLUZBY	\N	\N
932195	3179	1998-03-31	VYDAJ	VYBER	15	20402	SLUZBY	\N	\N
932196	3179	1998-04-30	VYDAJ	VYBER	15	20651	SLUZBY	\N	\N
932197	3179	1998-05-31	VYDAJ	VYBER	15	16774	SLUZBY	\N	\N
932198	3179	1998-06-30	VYDAJ	VYBER	15	18334	SLUZBY	\N	\N
932199	3179	1998-07-31	VYDAJ	VYBER	15	19879	SLUZBY	\N	\N
932200	3179	1998-08-31	VYDAJ	VYBER	15	23533	SLUZBY	\N	\N
932201	3179	1998-09-30	VYDAJ	VYBER	15	31693	SLUZBY	\N	\N
932202	3179	1998-10-31	VYDAJ	VYBER	15	32246	SLUZBY	\N	\N
932203	3179	1998-11-30	VYDAJ	VYBER	15	32240	SLUZBY	\N	\N
932204	3179	1996-10-20	PRIJEM	VKLAD	3500	19146	\N	\N	\N
932205	3179	1996-11-19	VYDAJ	VYBER	5100	28923	\N	\N	\N
932206	3179	1996-12-19	VYDAJ	VYBER	14500	36788	\N	\N	\N
932207	3179	1997-01-18	VYDAJ	VYBER	13300	38468	\N	\N	\N
932208	3179	1997-02-17	VYDAJ	VYBER	14900	35000	\N	\N	\N
932209	3179	1997-03-19	VYDAJ	VYBER	8200	38225	\N	\N	\N
932210	3179	1997-04-18	VYDAJ	VYBER	10800	37289	\N	\N	\N
932211	3179	1997-05-18	VYDAJ	VYBER	12800	35917	\N	\N	\N
932212	3179	1997-06-17	VYDAJ	VYBER	14600	35845	\N	\N	\N
932213	3179	1997-07-17	VYDAJ	VYBER	1700	23626	\N	\N	\N
932214	3179	1997-08-16	VYDAJ	VYBER	2900	32073	\N	\N	\N
932215	3179	1997-09-15	VYDAJ	VYBER	12600	30858	\N	\N	\N
932216	3179	1997-10-15	VYDAJ	VYBER	6300	29955	\N	\N	\N
932217	3179	1997-11-14	VYDAJ	VYBER	9500	31840	\N	\N	\N
932218	3179	1997-12-14	VYDAJ	VYBER	14900	35758	\N	\N	\N
932219	3179	1998-01-13	VYDAJ	VYBER	15400	27283	\N	\N	\N
932220	3179	1998-02-12	VYDAJ	VYBER	18000	21682	\N	\N	\N
932221	3179	1998-03-14	VYDAJ	VYBER	11700	20327	\N	\N	\N
932222	3179	1998-04-13	VYDAJ	VYBER	11100	20577	\N	\N	\N
932223	3179	1998-05-13	VYDAJ	VYBER	10300	21626	\N	\N	\N
932224	3179	1998-06-12	VYDAJ	VYBER	17200	19287	\N	\N	\N
932225	3179	1998-07-12	VYDAJ	VYBER	9800	20824	\N	\N	\N
932226	3179	1998-08-11	VYDAJ	VYBER	7700	24469	\N	\N	\N
932227	3179	1998-09-10	PRIJEM	VKLAD	500	20313	\N	\N	\N
932228	3179	1998-10-10	VYDAJ	VYBER	9400	20853	\N	\N	\N
932229	3179	1998-11-09	VYDAJ	VYBER	11400	20846	\N	\N	\N
932230	3179	1998-12-09	VYDAJ	VYBER	9300	22940	\N	\N	\N
932258	3180	1996-06-18	PRIJEM	VKLAD	500	500	\N	\N	\N
932265	3180	1996-07-12	PRIJEM	VKLAD	16714	17214	\N	\N	\N
932266	3180	1996-08-12	PRIJEM	VKLAD	16714	36966	\N	\N	\N
932267	3180	1996-09-12	PRIJEM	VKLAD	16714	47886	\N	\N	\N
932268	3180	1996-10-12	PRIJEM	VKLAD	16714	49433	\N	\N	\N
932269	3180	1996-11-12	PRIJEM	VKLAD	16714	51287	\N	\N	\N
932270	3180	1996-12-12	PRIJEM	VKLAD	25071	48721	\N	\N	\N
932271	3180	1997-01-12	PRIJEM	VKLAD	16714	32069	\N	\N	\N
932272	3180	1997-02-12	PRIJEM	VKLAD	16714	31777	\N	\N	\N
932273	3180	1997-03-12	PRIJEM	VKLAD	16714	39222	\N	\N	\N
932274	3180	1997-04-12	PRIJEM	VKLAD	16714	41770	\N	\N	\N
932275	3180	1997-05-12	PRIJEM	VKLAD	16714	41321	\N	\N	\N
932276	3180	1997-06-12	PRIJEM	VKLAD	25071	44280	\N	\N	\N
932277	3180	1997-07-12	PRIJEM	VKLAD	16714	41921	\N	\N	\N
932278	3180	1997-08-12	PRIJEM	VKLAD	16714	45781	\N	\N	\N
932279	3180	1997-09-12	PRIJEM	VKLAD	16714	33644	\N	\N	\N
932280	3180	1997-10-12	PRIJEM	VKLAD	16714	35011	\N	\N	\N
932281	3180	1997-11-12	PRIJEM	VKLAD	16714	35183	\N	\N	\N
932282	3180	1997-12-12	PRIJEM	VKLAD	25071	41315	\N	\N	\N
932283	3180	1998-01-12	PRIJEM	VKLAD	16714	29219	\N	\N	\N
932284	3180	1998-02-12	PRIJEM	VKLAD	16714	31222	\N	\N	\N
932285	3180	1998-03-12	PRIJEM	VKLAD	16714	32611	\N	\N	\N
932286	3180	1998-04-12	PRIJEM	VKLAD	16714	29860	\N	\N	\N
932287	3180	1998-05-12	PRIJEM	VKLAD	16714	28417	\N	\N	\N
932288	3180	1998-06-12	PRIJEM	VKLAD	25071	50422	\N	\N	\N
932289	3180	1998-07-12	PRIJEM	VKLAD	16714	46349	\N	\N	\N
932290	3180	1998-08-12	PRIJEM	VKLAD	16714	30952	\N	\N	\N
932291	3180	1998-09-12	PRIJEM	VKLAD	16714	27430	\N	\N	\N
932292	3180	1998-10-12	PRIJEM	VKLAD	16714	41077	\N	\N	\N
932293	3180	1998-11-12	PRIJEM	VKLAD	16714	30078	\N	\N	\N
932294	3180	1998-12-12	PRIJEM	VKLAD	25071	52082	\N	\N	\N
932305	3180	1996-11-13	VYDAJ	PREVOD NA UCET	1210	50077	SIPO	EF	50436025
932306	3180	1996-12-13	VYDAJ	PREVOD NA UCET	1210	47511	SIPO	EF	50436025
932307	3180	1997-01-13	VYDAJ	PREVOD NA UCET	1210	30139	SIPO	EF	50436025
932308	3180	1997-02-13	VYDAJ	PREVOD NA UCET	1210	30567	SIPO	EF	50436025
932309	3180	1997-03-13	VYDAJ	PREVOD NA UCET	1210	38012	SIPO	EF	50436025
932310	3180	1997-04-13	VYDAJ	PREVOD NA UCET	1210	40560	SIPO	EF	50436025
932311	3180	1997-05-13	VYDAJ	PREVOD NA UCET	1210	40111	SIPO	EF	50436025
932312	3180	1997-06-13	VYDAJ	PREVOD NA UCET	1210	43070	SIPO	EF	50436025
932313	3180	1997-07-13	VYDAJ	PREVOD NA UCET	1210	30911	SIPO	EF	50436025
932314	3180	1997-08-13	VYDAJ	PREVOD NA UCET	1210	29771	SIPO	EF	50436025
932315	3180	1997-09-13	VYDAJ	PREVOD NA UCET	1210	32434	SIPO	EF	50436025
932316	3180	1997-10-13	VYDAJ	PREVOD NA UCET	1210	33801	SIPO	EF	50436025
932317	3180	1997-11-13	VYDAJ	PREVOD NA UCET	1210	33973	SIPO	EF	50436025
932318	3180	1997-12-13	VYDAJ	PREVOD NA UCET	1210	40105	SIPO	EF	50436025
932319	3180	1998-01-13	VYDAJ	PREVOD NA UCET	1210	28009	SIPO	EF	50436025
932320	3180	1998-02-13	VYDAJ	PREVOD NA UCET	1210	30012	SIPO	EF	50436025
932321	3180	1998-03-13	VYDAJ	PREVOD NA UCET	1210	31401	SIPO	EF	50436025
932322	3180	1998-04-13	VYDAJ	PREVOD NA UCET	1210	28650	SIPO	EF	50436025
932323	3180	1998-05-13	VYDAJ	PREVOD NA UCET	1210	27207	SIPO	EF	50436025
932324	3180	1998-06-13	VYDAJ	PREVOD NA UCET	1210	49212	SIPO	EF	50436025
932325	3180	1998-07-13	VYDAJ	PREVOD NA UCET	1210	45139	SIPO	EF	50436025
932326	3180	1998-08-13	VYDAJ	PREVOD NA UCET	1210	29742	SIPO	EF	50436025
932327	3180	1998-09-13	VYDAJ	PREVOD NA UCET	1210	26220	SIPO	EF	50436025
932328	3180	1998-10-13	VYDAJ	PREVOD NA UCET	1210	39867	SIPO	EF	50436025
932329	3180	1998-11-13	VYDAJ	PREVOD NA UCET	1210	28868	SIPO	EF	50436025
932330	3180	1998-12-13	VYDAJ	PREVOD NA UCET	1210	50872	SIPO	EF	50436025
932342	3180	1996-12-11	VYDAJ	PREVOD NA UCET	1954	23650	 	CD	25152552
932343	3180	1997-01-11	VYDAJ	PREVOD NA UCET	1954	15355	 	CD	25152552
932344	3180	1997-02-11	VYDAJ	PREVOD NA UCET	1954	15063	 	CD	25152552
932345	3180	1997-03-11	VYDAJ	PREVOD NA UCET	1954	22508	 	CD	25152552
932346	3180	1997-04-11	VYDAJ	PREVOD NA UCET	1954	25056	 	CD	25152552
932347	3180	1997-05-11	VYDAJ	PREVOD NA UCET	1954	24607	 	CD	25152552
932348	3180	1997-06-11	VYDAJ	PREVOD NA UCET	1954	19209	 	CD	25152552
932349	3180	1997-07-11	VYDAJ	PREVOD NA UCET	1954	25207	 	CD	25152552
932350	3180	1997-08-11	VYDAJ	PREVOD NA UCET	1954	29067	 	CD	25152552
932351	3180	1997-09-11	VYDAJ	PREVOD NA UCET	1954	27930	 	CD	25152552
932352	3180	1997-10-11	VYDAJ	PREVOD NA UCET	1954	30597	 	CD	25152552
932353	3180	1997-11-11	VYDAJ	PREVOD NA UCET	1954	18469	 	CD	25152552
932354	3180	1997-12-11	VYDAJ	PREVOD NA UCET	1954	16244	 	CD	25152552
932355	3180	1998-01-11	VYDAJ	PREVOD NA UCET	1954	12505	 	CD	25152552
932356	3180	1998-02-11	VYDAJ	PREVOD NA UCET	1954	14508	 	CD	25152552
932357	3180	1998-03-11	VYDAJ	PREVOD NA UCET	1954	15897	 	CD	25152552
932504	3181	1996-06-13	PRIJEM	VKLAD	12717	32143	\N	\N	\N
932358	3180	1998-04-11	VYDAJ	PREVOD NA UCET	1954	13146	 	CD	25152552
932359	3180	1998-05-11	VYDAJ	PREVOD NA UCET	1954	11703	 	CD	25152552
932360	3180	1998-06-11	VYDAJ	PREVOD NA UCET	1954	25351	 	CD	25152552
932361	3180	1998-07-11	VYDAJ	PREVOD NA UCET	1954	29635	 	CD	25152552
932362	3180	1998-08-11	VYDAJ	PREVOD NA UCET	1954	14238	 	CD	25152552
932363	3180	1998-09-11	VYDAJ	PREVOD NA UCET	1954	10716	 	CD	25152552
932364	3180	1998-10-11	VYDAJ	PREVOD NA UCET	1954	24363	 	CD	25152552
932365	3180	1998-11-11	VYDAJ	PREVOD NA UCET	1954	13364	 	CD	25152552
932366	3180	1998-12-11	VYDAJ	PREVOD NA UCET	1954	27011	 	CD	25152552
932369	3180	1998-06-23	VYDAJ	VYBER	17760	31452	\N	\N	\N
932371	3180	1997-01-03	VYDAJ	VYBER	8800	19349	\N	\N	\N
932372	3180	1998-01-28	VYDAJ	VYBER	2400	16369	\N	\N	\N
932373	3180	1996-12-17	VYDAJ	VYBER	4000	29711	\N	\N	\N
932374	3180	1997-12-13	VYDAJ	VYBER	2720	37385	\N	\N	\N
932375	3180	1998-12-13	VYDAJ	VYBER	3520	47352	\N	\N	\N
932382	3180	1997-01-05	VYDAJ	VYBER	1440	17309	\N	\N	\N
932383	3180	1997-01-27	VYDAJ	VYBER	720	20539	\N	\N	\N
932384	3180	1997-01-03	VYDAJ	VYBER	600	18749	\N	\N	\N
932385	3180	1997-01-22	VYDAJ	VYBER	720	21259	\N	\N	\N
932386	3180	1997-01-13	VYDAJ	VYBER	720	31349	\N	\N	\N
932387	3180	1997-01-14	VYDAJ	VYBER	3360	21979	\N	\N	\N
932388	3180	1998-01-27	VYDAJ	VYBER	2760	18769	\N	\N	\N
932389	3180	1998-01-06	VYDAJ	VYBER	1080	31519	\N	\N	\N
932390	3180	1998-01-26	VYDAJ	VYBER	3240	21529	\N	\N	\N
932391	3180	1998-01-20	VYDAJ	VYBER	1080	24769	\N	\N	\N
932392	3180	1998-01-10	VYDAJ	VYBER	960	14459	\N	\N	\N
932393	3180	1998-01-19	VYDAJ	VYBER	2160	25849	\N	\N	\N
932394	3180	1996-12-29	VYDAJ	VYBER	1680	28031	\N	\N	\N
932395	3180	1996-11-20	VYDAJ	VYBER	5280	30397	\N	\N	\N
932396	3180	1996-12-07	VYDAJ	VYBER	4920	25604	\N	\N	\N
932400	3180	1997-05-25	VYDAJ	VYBER	3840	21071	\N	\N	\N
932401	3180	1997-02-11	VYDAJ	VYBER	3600	17017	\N	\N	\N
932402	3180	1998-01-01	VYDAJ	VYBER	4920	32599	\N	\N	\N
932403	3180	1998-11-02	VYDAJ	VYBER	3480	36518	\N	\N	\N
932404	3180	1998-02-23	VYDAJ	VYBER	4560	20772	\N	\N	\N
932405	3180	1998-03-02	VYDAJ	VYBER	3000	17851	\N	\N	\N
932406	3180	1998-02-22	VYDAJ	VYBER	4680	25332	\N	\N	\N
932418	3180	1996-11-30	VYDAJ	VYBER	15	30524	SLUZBY	\N	\N
932419	3180	1996-12-31	VYDAJ	VYBER	15	28149	SLUZBY	\N	\N
932420	3180	1997-01-31	VYDAJ	VYBER	15	20617	SLUZBY	\N	\N
932421	3180	1997-02-28	VYDAJ	VYBER	15	24462	SLUZBY	\N	\N
932422	3180	1997-03-31	VYDAJ	VYBER	15	27010	SLUZBY	\N	\N
932423	3180	1997-04-30	VYDAJ	VYBER	15	26561	SLUZBY	\N	\N
932424	3180	1997-05-31	VYDAJ	VYBER	15	21163	SLUZBY	\N	\N
932425	3180	1997-06-30	VYDAJ	VYBER	15	27161	SLUZBY	\N	\N
932426	3180	1997-07-31	VYDAJ	VYBER	15	31021	SLUZBY	\N	\N
932427	3180	1997-08-31	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
932428	3180	1997-09-30	VYDAJ	VYBER	15	32551	SLUZBY	\N	\N
932429	3180	1997-10-31	VYDAJ	VYBER	15	33923	SLUZBY	\N	\N
932430	3180	1997-11-30	VYDAJ	VYBER	15	34098	SLUZBY	\N	\N
932431	3180	1997-12-31	VYDAJ	VYBER	15	37519	SLUZBY	\N	\N
932432	3180	1998-01-31	VYDAJ	VYBER	15	16462	SLUZBY	\N	\N
932433	3180	1998-02-28	VYDAJ	VYBER	15	20851	SLUZBY	\N	\N
932434	3180	1998-03-31	VYDAJ	VYBER	15	31500	SLUZBY	\N	\N
932435	3180	1998-04-30	VYDAJ	VYBER	15	28757	SLUZBY	\N	\N
932436	3180	1998-05-31	VYDAJ	VYBER	15	27305	SLUZBY	\N	\N
932437	3180	1998-06-30	VYDAJ	VYBER	15	31589	SLUZBY	\N	\N
932438	3180	1998-07-31	VYDAJ	VYBER	15	45292	SLUZBY	\N	\N
932439	3180	1998-08-31	VYDAJ	VYBER	15	29870	SLUZBY	\N	\N
932440	3180	1998-09-30	VYDAJ	VYBER	15	26317	SLUZBY	\N	\N
932441	3180	1998-10-31	VYDAJ	VYBER	15	39998	SLUZBY	\N	\N
932442	3180	1998-11-30	VYDAJ	VYBER	15	28965	SLUZBY	\N	\N
932443	3180	1996-07-18	PRIJEM	VKLAD	3000	20214	\N	\N	\N
932444	3180	1996-08-17	VYDAJ	VYBER	5900	31066	\N	\N	\N
932445	3180	1996-09-16	VYDAJ	VYBER	15300	32586	\N	\N	\N
932446	3180	1996-10-16	VYDAJ	VYBER	15000	34433	\N	\N	\N
932447	3180	1996-11-15	VYDAJ	VYBER	14400	35677	\N	\N	\N
932448	3180	1996-12-15	VYDAJ	VYBER	13800	33711	\N	\N	\N
932449	3180	1997-01-14	VYDAJ	VYBER	4800	25339	\N	\N	\N
932450	3180	1997-02-13	VYDAJ	VYBER	6200	24367	\N	\N	\N
932451	3180	1997-03-15	VYDAJ	VYBER	11100	26912	\N	\N	\N
932452	3180	1997-04-14	VYDAJ	VYBER	14100	26460	\N	\N	\N
932453	3180	1997-05-14	VYDAJ	VYBER	15200	24911	\N	\N	\N
932454	3180	1997-06-13	VYDAJ	VYBER	16000	27070	\N	\N	\N
932455	3180	1997-07-13	VYDAJ	VYBER	9800	32121	\N	\N	\N
932456	3180	1997-08-12	VYDAJ	VYBER	14800	30981	\N	\N	\N
932457	3180	1997-09-11	VYDAJ	VYBER	11000	16930	\N	\N	\N
932458	3180	1997-10-11	VYDAJ	VYBER	12300	18297	\N	\N	\N
932459	3180	1997-11-10	VYDAJ	VYBER	13500	20423	\N	\N	\N
932460	3180	1997-12-10	VYDAJ	VYBER	15900	18198	\N	\N	\N
932461	3180	1998-01-09	VYDAJ	VYBER	16100	15419	\N	\N	\N
932462	3180	1998-04-09	VYDAJ	VYBER	16400	15100	\N	\N	\N
932463	3180	1998-05-09	VYDAJ	VYBER	15100	13657	\N	\N	\N
932464	3180	1998-08-07	VYDAJ	VYBER	29100	16192	\N	\N	\N
932465	3180	1998-09-06	VYDAJ	VYBER	17200	12670	\N	\N	\N
932466	3180	1998-11-05	VYDAJ	VYBER	21200	15318	\N	\N	\N
932497	3181	1993-05-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
932500	3181	1994-06-10	PRIJEM	VKLAD	32629	65652	\N	\N	\N
932501	3181	1994-02-19	PRIJEM	VKLAD	29653	55415	\N	\N	\N
932502	3181	1995-11-22	PRIJEM	VKLAD	35742	58449	\N	\N	\N
932503	3181	1995-12-03	PRIJEM	VKLAD	26384	67308	\N	\N	\N
932505	3181	1996-01-14	PRIJEM	VKLAD	20743	62362	\N	\N	\N
932506	3181	1997-05-19	PRIJEM	VKLAD	48224	86681	\N	\N	\N
932507	3181	1997-07-01	PRIJEM	VKLAD	12769	60600	\N	\N	\N
932508	3181	1998-06-27	PRIJEM	VKLAD	4607	35024	\N	\N	\N
932509	3181	1998-03-21	PRIJEM	VKLAD	17547	67011	\N	\N	\N
932515	3181	1993-06-14	PRIJEM	VKLAD	1300	2300	\N	\N	\N
932516	3181	1993-07-13	PRIJEM	VKLAD	1300	13026	\N	\N	\N
932517	3181	1993-08-14	PRIJEM	VKLAD	1300	23091	\N	\N	\N
932518	3181	1993-09-15	PRIJEM	VKLAD	1300	26980	\N	\N	\N
932519	3181	1993-10-14	PRIJEM	VKLAD	1300	26885	\N	\N	\N
932520	3181	1993-11-15	PRIJEM	VKLAD	1300	26882	\N	\N	\N
932521	3181	1993-12-13	PRIJEM	VKLAD	1300	28280	\N	\N	\N
932522	3181	1994-01-13	PRIJEM	VKLAD	1300	26277	\N	\N	\N
932523	3181	1994-02-16	PRIJEM	VKLAD	1300	25762	\N	\N	\N
932524	3181	1994-03-17	PRIJEM	VKLAD	1300	43743	\N	\N	\N
932525	3181	1994-04-17	PRIJEM	VKLAD	1300	37236	\N	\N	\N
932526	3181	1994-05-16	PRIJEM	VKLAD	1300	32892	\N	\N	\N
932527	3181	1994-06-16	PRIJEM	VKLAD	1300	48052	\N	\N	\N
932528	3181	1994-07-15	PRIJEM	VKLAD	1300	26090	\N	\N	\N
932529	3181	1994-08-16	PRIJEM	VKLAD	1300	25977	\N	\N	\N
932530	3181	1994-09-15	PRIJEM	VKLAD	1300	27570	\N	\N	\N
932531	3181	1994-10-17	PRIJEM	VKLAD	1300	28518	\N	\N	\N
932532	3181	1994-11-14	PRIJEM	VKLAD	1300	28219	\N	\N	\N
932533	3181	1994-12-16	PRIJEM	VKLAD	1300	28023	\N	\N	\N
932534	3181	1995-01-14	PRIJEM	VKLAD	1300	27623	\N	\N	\N
932535	3181	1995-02-17	PRIJEM	VKLAD	1300	28713	\N	\N	\N
932536	3181	1995-03-16	PRIJEM	VKLAD	1300	30004	\N	\N	\N
932537	3181	1995-04-13	PRIJEM	VKLAD	1300	29811	\N	\N	\N
932538	3181	1995-05-14	PRIJEM	VKLAD	1300	33171	\N	\N	\N
932539	3181	1995-06-16	PRIJEM	VKLAD	1300	26187	\N	\N	\N
932540	3181	1995-07-14	PRIJEM	VKLAD	1300	22175	\N	\N	\N
932541	3181	1995-08-17	PRIJEM	VKLAD	1300	26644	\N	\N	\N
932542	3181	1995-09-13	PRIJEM	VKLAD	1300	26036	\N	\N	\N
932543	3181	1995-10-15	PRIJEM	VKLAD	1300	23227	\N	\N	\N
932544	3181	1995-11-14	PRIJEM	VKLAD	1300	22707	\N	\N	\N
932545	3181	1995-12-14	PRIJEM	VKLAD	1300	68608	\N	\N	\N
932546	3181	1996-01-15	PRIJEM	VKLAD	1300	63662	\N	\N	\N
932547	3181	1996-02-13	PRIJEM	VKLAD	1300	41220	\N	\N	\N
932548	3181	1996-03-16	PRIJEM	VKLAD	1300	32271	\N	\N	\N
932549	3181	1996-04-15	PRIJEM	VKLAD	1300	27757	\N	\N	\N
932550	3181	1996-05-15	PRIJEM	VKLAD	1300	23051	\N	\N	\N
932551	3181	1996-06-13	PRIJEM	VKLAD	1300	33443	\N	\N	\N
932552	3181	1996-07-15	PRIJEM	VKLAD	1300	20232	\N	\N	\N
932553	3181	1996-08-15	PRIJEM	VKLAD	1300	20595	\N	\N	\N
932554	3181	1996-09-15	PRIJEM	VKLAD	1300	18761	\N	\N	\N
932555	3181	1996-10-16	PRIJEM	VKLAD	1300	21119	\N	\N	\N
932556	3181	1996-11-14	PRIJEM	VKLAD	1300	25088	\N	\N	\N
932557	3181	1996-12-14	PRIJEM	VKLAD	1300	30175	\N	\N	\N
932558	3181	1997-01-16	PRIJEM	VKLAD	1300	21580	\N	\N	\N
932559	3181	1997-02-16	PRIJEM	VKLAD	1300	25409	\N	\N	\N
932560	3181	1997-03-14	PRIJEM	VKLAD	1300	33252	\N	\N	\N
932561	3181	1997-04-17	PRIJEM	VKLAD	1300	37222	\N	\N	\N
932562	3181	1997-05-13	PRIJEM	VKLAD	1300	38457	\N	\N	\N
932563	3181	1997-06-13	PRIJEM	VKLAD	1300	60394	\N	\N	\N
932564	3181	1997-07-17	PRIJEM	VKLAD	1300	61900	\N	\N	\N
932565	3181	1997-08-13	PRIJEM	VKLAD	1300	54802	\N	\N	\N
932566	3181	1997-09-13	PRIJEM	VKLAD	1300	53106	\N	\N	\N
932567	3181	1997-10-13	PRIJEM	VKLAD	1300	52854	\N	\N	\N
932568	3181	1997-11-17	PRIJEM	VKLAD	1300	54454	\N	\N	\N
932569	3181	1997-12-15	PRIJEM	VKLAD	1300	55960	\N	\N	\N
932570	3181	1998-01-15	PRIJEM	VKLAD	1300	45424	\N	\N	\N
932571	3181	1998-02-17	PRIJEM	VKLAD	1300	43796	\N	\N	\N
932572	3181	1998-03-14	PRIJEM	VKLAD	1300	49464	\N	\N	\N
932573	3181	1998-04-13	PRIJEM	VKLAD	1300	58767	\N	\N	\N
932574	3181	1998-05-13	PRIJEM	VKLAD	1300	60892	\N	\N	\N
932575	3181	1998-06-17	PRIJEM	VKLAD	1300	57617	\N	\N	\N
932576	3181	1998-07-14	PRIJEM	VKLAD	1300	36510	\N	\N	\N
932577	3181	1998-08-17	PRIJEM	VKLAD	1300	46557	\N	\N	\N
932578	3181	1998-09-14	PRIJEM	VKLAD	1300	45428	\N	\N	\N
932579	3181	1998-10-16	PRIJEM	VKLAD	1300	52812	\N	\N	\N
932580	3181	1998-11-15	PRIJEM	VKLAD	1300	58020	\N	\N	\N
932581	3181	1998-12-16	PRIJEM	VKLAD	1300	54939	\N	\N	\N
932583	3181	1994-06-27	VYDAJ	VYBER	3500	20852	\N	\N	\N
932584	3181	1995-06-16	VYDAJ	VYBER	8700	17487	\N	\N	\N
932585	3181	1996-06-25	VYDAJ	VYBER	14500	18943	\N	\N	\N
932586	3181	1997-06-04	VYDAJ	VYBER	10200	59094	\N	\N	\N
932587	3181	1998-06-24	VYDAJ	VYBER	18600	30417	\N	\N	\N
932589	3181	1994-01-14	VYDAJ	VYBER	2000	24277	\N	\N	\N
932590	3181	1995-01-23	VYDAJ	VYBER	1100	23923	\N	\N	\N
932591	3181	1996-01-21	VYDAJ	VYBER	6100	55362	\N	\N	\N
932592	3181	1997-01-05	VYDAJ	VYBER	6600	21580	\N	\N	\N
932593	3181	1998-01-04	VYDAJ	VYBER	9600	46074	\N	\N	\N
932595	3181	1994-06-23	VYDAJ	VYBER	23700	24352	\N	\N	\N
932596	3181	1995-06-14	VYDAJ	VYBER	6200	24887	\N	\N	\N
932598	3181	1997-06-25	VYDAJ	VYBER	6900	47594	\N	\N	\N
932599	3181	1998-06-18	VYDAJ	VYBER	19700	37917	\N	\N	\N
932600	3181	1993-12-20	VYDAJ	VYBER	1700	26230	\N	\N	\N
932601	3181	1994-12-28	VYDAJ	VYBER	1900	23823	\N	\N	\N
932602	3181	1995-12-22	VYDAJ	VYBER	700	66858	\N	\N	\N
932603	3181	1996-12-25	VYDAJ	VYBER	1000	29175	\N	\N	\N
932604	3181	1997-12-03	VYDAJ	VYBER	500	54660	\N	\N	\N
932605	3181	1998-12-15	VYDAJ	VYBER KARTOU	2800	53639	\N	\N	0
932612	3181	1994-01-08	VYDAJ	VYBER	400	25927	\N	\N	\N
932613	3181	1994-01-17	VYDAJ	VYBER	350	22827	\N	\N	\N
932614	3181	1994-01-09	VYDAJ	VYBER	1450	23977	\N	\N	\N
932615	3181	1994-01-29	VYDAJ	VYBER	1050	21777	\N	\N	\N
932616	3181	1994-01-15	VYDAJ	VYBER	1100	23177	\N	\N	\N
932617	3181	1994-01-08	VYDAJ	VYBER	500	25427	\N	\N	\N
932618	3181	1995-01-05	VYDAJ	VYBER	250	22823	\N	\N	\N
932619	3181	1995-01-21	VYDAJ	VYBER	1050	25823	\N	\N	\N
932620	3181	1995-01-27	VYDAJ	VYBER	1200	22723	\N	\N	\N
932621	3181	1995-01-18	VYDAJ	VYBER	750	26873	\N	\N	\N
932622	3181	1995-01-22	VYDAJ	VYBER	800	25023	\N	\N	\N
932623	3181	1995-01-03	VYDAJ	VYBER	850	23073	\N	\N	\N
932624	3181	1996-01-27	VYDAJ	VYBER	750	54612	\N	\N	\N
932625	3181	1996-01-20	VYDAJ	VYBER	500	62062	\N	\N	\N
932626	3181	1996-01-18	VYDAJ	VYBER	1100	62562	\N	\N	\N
932627	3181	1996-01-08	VYDAJ	VYBER	1400	42919	\N	\N	\N
932628	3181	1996-01-10	VYDAJ	VYBER	1300	41619	\N	\N	\N
932629	3181	1996-01-20	VYDAJ	VYBER	600	61462	\N	\N	\N
932630	3181	1997-01-03	VYDAJ	VYBER	650	28180	\N	\N	\N
932631	3181	1997-01-23	VYDAJ	VYBER	650	20430	\N	\N	\N
932632	3181	1997-01-07	VYDAJ	VYBER	1300	20280	\N	\N	\N
932633	3181	1997-01-17	VYDAJ	VYBER	500	21080	\N	\N	\N
932634	3181	1997-01-01	VYDAJ	VYBER	300	30280	\N	\N	\N
932635	3181	1997-01-03	VYDAJ	VYBER	1450	28830	\N	\N	\N
932636	3181	1998-01-05	VYDAJ	VYBER	800	45274	\N	\N	\N
932637	3181	1998-01-18	VYDAJ	VYBER	1150	44274	\N	\N	\N
932638	3181	1998-01-27	VYDAJ	VYBER	1200	42324	\N	\N	\N
932639	3181	1998-01-07	VYDAJ	VYBER	1150	44124	\N	\N	\N
932640	3181	1998-01-23	VYDAJ	VYBER	550	43524	\N	\N	\N
932641	3181	1998-01-18	VYDAJ	VYBER	700	43574	\N	\N	\N
932647	3181	1993-12-17	VYDAJ	VYBER	350	27930	\N	\N	\N
932648	3181	1994-10-12	VYDAJ	VYBER	850	27218	\N	\N	\N
932649	3181	1994-12-27	VYDAJ	VYBER	2300	25723	\N	\N	\N
932650	3181	1994-07-02	VYDAJ	VYBER	500	20490	\N	\N	\N
932651	3181	1995-12-02	VYDAJ	VYBER	550	58024	\N	\N	\N
932652	3181	1995-08-04	VYDAJ	VYBER	600	25344	\N	\N	\N
932653	3181	1995-12-19	VYDAJ	VYBER	1050	67558	\N	\N	\N
932654	3181	1995-09-29	VYDAJ	VYBER	1550	22536	\N	\N	\N
932655	3181	1995-08-22	VYDAJ	VYBER	1200	25444	\N	\N	\N
932656	3181	1995-04-28	VYDAJ	VYBER	650	29161	\N	\N	\N
932657	3181	1995-09-27	VYDAJ	VYBER	1950	24086	\N	\N	\N
932658	3181	1996-06-11	VYDAJ	VYBER	2300	19426	\N	\N	\N
932659	3181	1996-03-30	VYDAJ	VYBER	1450	30821	\N	\N	\N
932660	3181	1996-08-15	VYDAJ	VYBER	800	19795	\N	\N	\N
932661	3181	1996-01-04	VYDAJ	VYBER	1000	44319	\N	\N	\N
932662	3181	1997-06-18	VYDAJ	VYBER	1400	58994	\N	\N	\N
932663	3181	1997-05-06	VYDAJ	VYBER	2200	37157	\N	\N	\N
932664	3181	1997-03-21	VYDAJ	VYBER	2150	31102	\N	\N	\N
932665	3181	1997-02-09	VYDAJ	VYBER	700	24109	\N	\N	\N
932666	3181	1997-02-24	VYDAJ	VYBER	1450	31859	\N	\N	\N
932667	3181	1997-09-24	VYDAJ	VYBER	550	51356	\N	\N	\N
932668	3181	1998-07-25	VYDAJ	VYBER KARTOU	1700	45110	\N	\N	0
932669	3181	1998-04-16	VYDAJ	VYBER	300	58467	\N	\N	\N
932670	3181	1998-03-21	VYDAJ	VYBER	2450	64561	\N	\N	\N
932671	3181	1998-11-07	VYDAJ	VYBER KARTOU	1100	56720	\N	\N	0
932672	3181	1998-09-10	VYDAJ	VYBER KARTOU	1800	44128	\N	\N	0
932683	3181	1993-10-31	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
932684	3181	1993-11-30	VYDAJ	VYBER	15	26980	SLUZBY	\N	\N
932685	3181	1993-12-31	VYDAJ	VYBER	15	26327	SLUZBY	\N	\N
932686	3181	1994-01-31	VYDAJ	VYBER	15	21862	SLUZBY	\N	\N
932687	3181	1994-02-28	VYDAJ	VYBER	15	55543	SLUZBY	\N	\N
932688	3181	1994-03-31	VYDAJ	VYBER	15	43936	SLUZBY	\N	\N
932689	3181	1994-04-30	VYDAJ	VYBER	15	37392	SLUZBY	\N	\N
932690	3181	1994-05-31	VYDAJ	VYBER	15	33023	SLUZBY	\N	\N
932691	3181	1994-06-30	VYDAJ	VYBER	15	20990	SLUZBY	\N	\N
932692	3181	1994-07-31	VYDAJ	VYBER	15	26177	SLUZBY	\N	\N
932693	3181	1994-08-31	VYDAJ	VYBER	15	26070	SLUZBY	\N	\N
932694	3181	1994-09-30	VYDAJ	VYBER	15	27668	SLUZBY	\N	\N
932695	3181	1994-10-31	VYDAJ	VYBER	15	28619	SLUZBY	\N	\N
932696	3181	1994-11-30	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
932697	3181	1994-12-31	VYDAJ	VYBER	15	23923	SLUZBY	\N	\N
932698	3181	1995-01-31	VYDAJ	VYBER	15	22813	SLUZBY	\N	\N
932699	3181	1995-02-28	VYDAJ	VYBER	15	28804	SLUZBY	\N	\N
932700	3181	1995-03-31	VYDAJ	VYBER	15	30111	SLUZBY	\N	\N
932701	3181	1995-04-30	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
932702	3181	1995-05-31	VYDAJ	VYBER	15	33287	SLUZBY	\N	\N
932703	3181	1995-06-30	VYDAJ	VYBER	15	17575	SLUZBY	\N	\N
932704	3181	1995-07-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
932705	3181	1995-08-31	VYDAJ	VYBER	15	25536	SLUZBY	\N	\N
932706	3181	1995-09-30	VYDAJ	VYBER	15	22627	SLUZBY	\N	\N
932707	3181	1995-10-31	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
932708	3181	1995-11-30	VYDAJ	VYBER	15	58574	SLUZBY	\N	\N
932709	3181	1995-12-31	VYDAJ	VYBER	15	67119	SLUZBY	\N	\N
932710	3181	1996-01-31	VYDAJ	VYBER	15	39920	SLUZBY	\N	\N
932711	3181	1996-02-29	VYDAJ	VYBER	15	41371	SLUZBY	\N	\N
932712	3181	1996-03-31	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
932713	3181	1996-04-30	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
932714	3181	1996-05-31	VYDAJ	VYBER	15	21726	SLUZBY	\N	\N
932715	3181	1996-06-30	VYDAJ	VYBER	15	18932	SLUZBY	\N	\N
932716	3181	1996-07-31	VYDAJ	VYBER	15	19295	SLUZBY	\N	\N
932717	3181	1996-08-31	VYDAJ	VYBER	15	17461	SLUZBY	\N	\N
932718	3181	1996-09-30	VYDAJ	VYBER	15	19819	SLUZBY	\N	\N
932719	3181	1996-10-31	VYDAJ	VYBER	15	23788	SLUZBY	\N	\N
932720	3181	1996-11-30	VYDAJ	VYBER	15	28875	SLUZBY	\N	\N
932721	3181	1996-12-31	VYDAJ	VYBER	15	30580	SLUZBY	\N	\N
932722	3181	1997-01-31	VYDAJ	VYBER	15	24809	SLUZBY	\N	\N
932723	3181	1997-02-28	VYDAJ	VYBER	15	31952	SLUZBY	\N	\N
932724	3181	1997-03-31	VYDAJ	VYBER	15	35922	SLUZBY	\N	\N
932725	3181	1997-04-30	VYDAJ	VYBER	15	39357	SLUZBY	\N	\N
932726	3181	1997-05-31	VYDAJ	VYBER	15	69294	SLUZBY	\N	\N
932727	3181	1997-06-30	VYDAJ	VYBER	15	47831	SLUZBY	\N	\N
932728	3181	1997-07-31	VYDAJ	VYBER	15	53502	SLUZBY	\N	\N
932729	3181	1997-08-31	VYDAJ	VYBER	15	51806	SLUZBY	\N	\N
932730	3181	1997-09-30	VYDAJ	VYBER	15	51554	SLUZBY	\N	\N
932731	3181	1997-10-31	VYDAJ	VYBER	15	53154	SLUZBY	\N	\N
932732	3181	1997-11-30	VYDAJ	VYBER	15	55160	SLUZBY	\N	\N
932733	3181	1997-12-31	VYDAJ	VYBER	15	55674	SLUZBY	\N	\N
932734	3181	1998-01-31	VYDAJ	VYBER	15	42496	SLUZBY	\N	\N
932735	3181	1998-02-28	VYDAJ	VYBER	15	48164	SLUZBY	\N	\N
932736	3181	1998-03-31	VYDAJ	VYBER	15	57467	SLUZBY	\N	\N
932737	3181	1998-04-30	VYDAJ	VYBER	15	59592	SLUZBY	\N	\N
932738	3181	1998-05-31	VYDAJ	VYBER	15	56317	SLUZBY	\N	\N
932739	3181	1998-06-30	VYDAJ	VYBER	15	35210	SLUZBY	\N	\N
932740	3181	1998-07-31	VYDAJ	VYBER	15	45257	SLUZBY	\N	\N
932741	3181	1998-08-31	VYDAJ	VYBER	15	45928	SLUZBY	\N	\N
932742	3181	1998-09-30	VYDAJ	VYBER	15	51512	SLUZBY	\N	\N
932743	3181	1998-10-31	VYDAJ	VYBER	15	57820	SLUZBY	\N	\N
932744	3181	1998-11-30	VYDAJ	VYBER	15	56439	SLUZBY	\N	\N
932745	3181	1993-06-15	PRIJEM	VKLAD	9400	11700	\N	\N	\N
932746	3181	1993-07-15	PRIJEM	VKLAD	5800	18826	\N	\N	\N
932747	3181	1993-08-14	PRIJEM	VKLAD	2900	21791	\N	\N	\N
932748	3181	1993-09-13	PRIJEM	VKLAD	2500	25680	\N	\N	\N
932749	3181	1993-10-13	VYDAJ	VYBER	1500	25585	\N	\N	\N
932750	3181	1993-11-12	VYDAJ	VYBER	1400	25582	\N	\N	\N
932751	3181	1994-01-11	PRIJEM	VKLAD	1000	24977	\N	\N	\N
932752	3181	1994-02-10	PRIJEM	VKLAD	2600	24462	\N	\N	\N
932753	3181	1994-03-12	VYDAJ	VYBER	13100	42443	\N	\N	\N
932754	3181	1994-04-11	VYDAJ	VYBER	8000	35936	\N	\N	\N
932755	3181	1994-05-11	VYDAJ	VYBER	5800	31592	\N	\N	\N
932756	3181	1994-06-10	VYDAJ	VYBER	18900	46752	\N	\N	\N
932757	3181	1994-07-10	PRIJEM	VKLAD	4300	24790	\N	\N	\N
932758	3181	1994-08-09	VYDAJ	VYBER	1500	24677	\N	\N	\N
932759	3181	1994-09-08	PRIJEM	VKLAD	200	26270	\N	\N	\N
932760	3181	1994-10-08	PRIJEM	VKLAD	400	28068	\N	\N	\N
932761	3181	1994-11-07	VYDAJ	VYBER	1700	26919	\N	\N	\N
932762	3181	1994-12-07	VYDAJ	VYBER	1600	26723	\N	\N	\N
932763	3181	1995-01-06	PRIJEM	VKLAD	3500	26323	\N	\N	\N
932764	3181	1995-02-05	PRIJEM	VKLAD	4600	27413	\N	\N	\N
932765	3181	1995-03-07	VYDAJ	VYBER	100	28704	\N	\N	\N
932766	3181	1995-04-06	VYDAJ	VYBER	1600	28511	\N	\N	\N
932767	3181	1995-05-06	PRIJEM	VKLAD	2600	31871	\N	\N	\N
932768	3181	1995-06-05	VYDAJ	VYBER	2200	31087	\N	\N	\N
932769	3181	1995-07-05	PRIJEM	VKLAD	3300	20875	\N	\N	\N
932770	3181	1995-08-04	PRIJEM	VKLAD	3700	25944	\N	\N	\N
932771	3181	1995-09-03	VYDAJ	VYBER	800	24736	\N	\N	\N
932772	3181	1995-10-03	VYDAJ	VYBER	700	21927	\N	\N	\N
932773	3181	1995-11-02	VYDAJ	VYBER	1900	21407	\N	\N	\N
932774	3181	1995-12-02	VYDAJ	VYBER	17100	40924	\N	\N	\N
932775	3181	1996-01-01	VYDAJ	VYBER	21800	45319	\N	\N	\N
932776	3181	1996-01-31	VYDAJ	VYBER	14900	39934	\N	\N	\N
932777	3181	1996-03-01	VYDAJ	VYBER	10400	30971	\N	\N	\N
932778	3181	1996-03-31	VYDAJ	VYBER	4500	26471	\N	\N	\N
932779	3181	1996-04-30	VYDAJ	VYBER	6100	21751	\N	\N	\N
932780	3181	1996-05-30	VYDAJ	VYBER	1400	21651	\N	\N	\N
932781	3181	1996-06-29	VYDAJ	VYBER	100	18843	\N	\N	\N
932782	3181	1996-07-29	VYDAJ	VYBER	1000	19232	\N	\N	\N
932783	3181	1996-08-28	VYDAJ	VYBER	2400	17395	\N	\N	\N
932784	3181	1996-09-27	PRIJEM	VKLAD	1000	19761	\N	\N	\N
932785	3181	1996-10-27	PRIJEM	VKLAD	2600	23719	\N	\N	\N
932786	3181	1996-11-26	PRIJEM	VKLAD	3700	28788	\N	\N	\N
932787	3181	1996-12-26	PRIJEM	VKLAD	1300	30475	\N	\N	\N
932788	3181	1997-01-25	PRIJEM	VKLAD	4300	24730	\N	\N	\N
932789	3181	1997-02-24	PRIJEM	VKLAD	7900	33309	\N	\N	\N
932790	3181	1997-03-26	PRIJEM	VKLAD	4700	35802	\N	\N	\N
932791	3181	1997-04-25	PRIJEM	VKLAD	2000	39222	\N	\N	\N
932792	3181	1997-05-25	VYDAJ	VYBER	17600	69081	\N	\N	\N
932793	3181	1997-06-24	VYDAJ	VYBER	4500	54494	\N	\N	\N
932794	3181	1997-07-24	VYDAJ	VYBER	8600	53300	\N	\N	\N
932795	3181	1997-08-23	VYDAJ	VYBER	3200	51602	\N	\N	\N
932796	3181	1997-09-22	VYDAJ	VYBER	1200	51906	\N	\N	\N
932797	3181	1997-10-22	PRIJEM	VKLAD	100	52954	\N	\N	\N
932798	3181	1997-11-21	PRIJEM	VKLAD	500	54954	\N	\N	\N
932799	3181	1997-12-21	VYDAJ	VYBER	500	55460	\N	\N	\N
932800	3181	1998-01-20	PRIJEM	VKLAD	500	44074	\N	\N	\N
932801	3181	1998-02-19	PRIJEM	VKLAD	4200	47996	\N	\N	\N
932802	3181	1998-03-21	VYDAJ	VYBER	7300	57261	\N	\N	\N
932803	3181	1998-04-20	PRIJEM	VKLAD	900	59367	\N	\N	\N
932804	3181	1998-05-20	VYDAJ	VYBER	4800	56092	\N	\N	\N
932805	3181	1998-06-19	PRIJEM	VKLAD	11100	49017	\N	\N	\N
932806	3181	1998-07-19	PRIJEM	VKLAD	10300	46810	\N	\N	\N
932807	3181	1998-08-18	VYDAJ	VYBER KARTOU	800	45757	\N	\N	0
932808	3181	1998-09-17	PRIJEM	VKLAD	5900	51328	\N	\N	\N
932809	3181	1998-10-17	PRIJEM	VKLAD	4800	57612	\N	\N	\N
932810	3181	1998-11-16	VYDAJ	VYBER KARTOU	1800	56220	\N	\N	0
932878	3182	1996-12-20	PRIJEM	VKLAD	200	200	\N	\N	\N
932891	3182	1997-01-08	PRIJEM	VKLAD	17009	17209	\N	\N	\N
932892	3182	1997-02-08	PRIJEM	VKLAD	17009	37654	\N	\N	\N
932893	3182	1997-03-08	PRIJEM	VKLAD	17009	46764	\N	\N	\N
932894	3182	1997-04-08	PRIJEM	VKLAD	17009	53006	\N	\N	\N
932895	3182	1997-05-08	PRIJEM	VKLAD	17009	54768	\N	\N	\N
932896	3182	1997-06-08	PRIJEM	VKLAD	25514	58454	\N	\N	\N
932897	3182	1997-07-08	PRIJEM	VKLAD	17009	54992	\N	\N	\N
932898	3182	1997-08-08	PRIJEM	VKLAD	17009	52326	\N	\N	\N
932899	3182	1997-09-08	PRIJEM	VKLAD	17009	53335	\N	\N	\N
932900	3182	1997-10-08	PRIJEM	VKLAD	17009	48353	\N	\N	\N
932901	3182	1997-11-08	PRIJEM	VKLAD	17009	45054	\N	\N	\N
932902	3182	1997-12-08	PRIJEM	VKLAD	25514	50044	\N	\N	\N
932903	3182	1998-01-08	PRIJEM	VKLAD	17009	39143	\N	\N	\N
932904	3182	1998-02-08	PRIJEM	VKLAD	17009	27649	\N	\N	\N
932905	3182	1998-03-08	PRIJEM	VKLAD	17009	25888	\N	\N	\N
932906	3182	1998-04-08	PRIJEM	VKLAD	17009	28934	\N	\N	\N
932907	3182	1998-05-08	PRIJEM	VKLAD	17009	30462	\N	\N	\N
932908	3182	1998-06-08	PRIJEM	VKLAD	25514	36291	\N	\N	\N
932909	3182	1998-07-08	PRIJEM	VKLAD	17009	30121	\N	\N	\N
932910	3182	1998-08-08	PRIJEM	VKLAD	17009	30650	\N	\N	\N
932911	3182	1998-09-08	PRIJEM	VKLAD	17009	28572	\N	\N	\N
932912	3182	1998-10-08	PRIJEM	VKLAD	17009	26485	\N	\N	\N
932913	3182	1998-11-08	PRIJEM	VKLAD	17009	25592	\N	\N	\N
932914	3182	1998-12-08	PRIJEM	VKLAD	25514	34083	\N	\N	\N
932932	3182	1997-06-07	VYDAJ	PREVOD NA UCET	6455	32940	SIPO	AB	83704822
932933	3182	1997-07-07	VYDAJ	PREVOD NA UCET	6455	37983	SIPO	AB	83704822
932934	3182	1997-08-07	VYDAJ	PREVOD NA UCET	6455	35317	SIPO	AB	83704822
932935	3182	1997-09-07	VYDAJ	PREVOD NA UCET	6455	36326	SIPO	AB	83704822
932936	3182	1997-10-07	VYDAJ	PREVOD NA UCET	6455	31344	SIPO	AB	83704822
932937	3182	1997-11-07	VYDAJ	PREVOD NA UCET	6455	28045	SIPO	AB	83704822
932938	3182	1997-12-07	VYDAJ	PREVOD NA UCET	6455	24530	SIPO	AB	83704822
932939	3182	1998-01-07	VYDAJ	PREVOD NA UCET	6455	22134	SIPO	AB	83704822
932940	3182	1998-02-07	VYDAJ	PREVOD NA UCET	6455	10640	SIPO	AB	83704822
932941	3182	1998-03-07	VYDAJ	PREVOD NA UCET	6455	8879	SIPO	AB	83704822
932942	3182	1998-04-07	VYDAJ	PREVOD NA UCET	6455	11925	SIPO	AB	83704822
932943	3182	1998-05-07	VYDAJ	PREVOD NA UCET	6455	13453	SIPO	AB	83704822
932944	3182	1998-06-07	VYDAJ	PREVOD NA UCET	6455	10777	SIPO	AB	83704822
932945	3182	1998-07-07	VYDAJ	PREVOD NA UCET	6455	13112	SIPO	AB	83704822
932946	3182	1998-08-07	VYDAJ	PREVOD NA UCET	6455	13641	SIPO	AB	83704822
932947	3182	1998-09-07	VYDAJ	PREVOD NA UCET	6455	11563	SIPO	AB	83704822
932948	3182	1998-10-07	VYDAJ	PREVOD NA UCET	6455	9476	SIPO	AB	83704822
932949	3182	1998-11-07	VYDAJ	PREVOD NA UCET	6455	8583	SIPO	AB	83704822
932950	3182	1998-12-07	VYDAJ	PREVOD NA UCET	6455	8569	SIPO	AB	83704822
932958	3182	1997-12-11	VYDAJ	VYBER	2880	47164	\N	\N	\N
932972	3182	1998-01-15	VYDAJ	VYBER	3120	23723	\N	\N	\N
932973	3182	1998-01-23	VYDAJ	VYBER	1920	18323	\N	\N	\N
932974	3182	1998-01-22	VYDAJ	VYBER	720	20243	\N	\N	\N
932975	3182	1998-01-30	VYDAJ	VYBER	1320	17003	\N	\N	\N
932976	3182	1998-01-20	VYDAJ	VYBER	2760	20963	\N	\N	\N
932977	3182	1998-01-10	VYDAJ	VYBER	3000	36143	\N	\N	\N
932984	3182	1997-05-25	VYDAJ	VYBER	3120	39248	\N	\N	\N
932985	3182	1997-09-01	VYDAJ	VYBER	720	42781	\N	\N	\N
932986	3182	1998-03-03	VYDAJ	VYBER	2280	15334	\N	\N	\N
932988	3182	1998-04-05	VYDAJ	VYBER	1920	18380	\N	\N	\N
932989	3182	1998-03-17	VYDAJ	VYBER	1560	20228	\N	\N	\N
932990	3182	1998-11-24	VYDAJ	VYBER	1320	14972	\N	\N	\N
933008	3182	1997-05-31	VYDAJ	VYBER	15	39395	SLUZBY	\N	\N
933009	3182	1997-06-30	VYDAJ	VYBER	15	44438	SLUZBY	\N	\N
933010	3182	1997-07-31	VYDAJ	VYBER	15	41772	SLUZBY	\N	\N
933011	3182	1997-08-31	VYDAJ	VYBER	15	43501	SLUZBY	\N	\N
933012	3182	1997-09-30	VYDAJ	VYBER	15	37799	SLUZBY	\N	\N
933013	3182	1997-10-31	VYDAJ	VYBER	15	34500	SLUZBY	\N	\N
933014	3182	1997-11-30	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
933015	3182	1997-12-31	VYDAJ	VYBER	15	28589	SLUZBY	\N	\N
933016	3182	1998-01-31	VYDAJ	VYBER	15	17095	SLUZBY	\N	\N
933017	3182	1998-02-28	VYDAJ	VYBER	15	17614	SLUZBY	\N	\N
933018	3182	1998-03-31	VYDAJ	VYBER	15	20300	SLUZBY	\N	\N
933019	3182	1998-04-30	VYDAJ	VYBER	15	19908	SLUZBY	\N	\N
933020	3182	1998-05-31	VYDAJ	VYBER	15	17232	SLUZBY	\N	\N
933021	3182	1998-06-30	VYDAJ	VYBER	15	19567	SLUZBY	\N	\N
933022	3182	1998-07-31	VYDAJ	VYBER	15	20096	SLUZBY	\N	\N
933023	3182	1998-08-31	VYDAJ	VYBER	15	18018	SLUZBY	\N	\N
933024	3182	1998-09-30	VYDAJ	VYBER	15	15931	SLUZBY	\N	\N
933025	3182	1998-10-31	VYDAJ	VYBER	15	15038	SLUZBY	\N	\N
933026	3182	1998-11-30	VYDAJ	VYBER	15	15024	SLUZBY	\N	\N
933027	3182	1997-01-19	PRIJEM	VKLAD	3400	20609	\N	\N	\N
933028	3182	1997-02-18	VYDAJ	VYBER	8000	29654	\N	\N	\N
933029	3182	1997-03-20	VYDAJ	VYBER	10900	35864	\N	\N	\N
933030	3182	1997-04-19	VYDAJ	VYBER	15400	37606	\N	\N	\N
933031	3182	1997-05-19	VYDAJ	VYBER	12400	42368	\N	\N	\N
933032	3182	1997-06-18	VYDAJ	VYBER	14200	44254	\N	\N	\N
933033	3182	1997-07-18	VYDAJ	VYBER	13400	41592	\N	\N	\N
933034	3182	1997-08-17	VYDAJ	VYBER	9000	43326	\N	\N	\N
933035	3182	1997-09-16	VYDAJ	VYBER	15700	37635	\N	\N	\N
933036	3182	1997-10-16	VYDAJ	VYBER	14000	34353	\N	\N	\N
933037	3182	1997-11-15	VYDAJ	VYBER	14200	30854	\N	\N	\N
933038	3182	1997-12-15	VYDAJ	VYBER	18700	28464	\N	\N	\N
933039	3182	1998-01-14	VYDAJ	VYBER	9300	26843	\N	\N	\N
933040	3182	1998-02-13	VYDAJ	VYBER	10100	17549	\N	\N	\N
933041	3182	1998-03-15	VYDAJ	VYBER	4100	21788	\N	\N	\N
933042	3182	1998-04-14	VYDAJ	VYBER	9100	19834	\N	\N	\N
933043	3182	1998-05-14	VYDAJ	VYBER	13300	17162	\N	\N	\N
933044	3182	1998-06-13	VYDAJ	VYBER	16800	19491	\N	\N	\N
933045	3182	1998-07-13	VYDAJ	VYBER	10100	20021	\N	\N	\N
933046	3182	1998-08-12	VYDAJ	VYBER	12700	17950	\N	\N	\N
933047	3182	1998-09-11	VYDAJ	VYBER	12700	15872	\N	\N	\N
933048	3182	1998-10-11	VYDAJ	VYBER	11500	14985	\N	\N	\N
933049	3182	1998-11-10	VYDAJ	VYBER	9300	16292	\N	\N	\N
933050	3182	1998-12-10	VYDAJ	VYBER	17600	16483	\N	\N	\N
933075	3183	1994-04-01	PRIJEM	VKLAD	600	600	\N	\N	\N
933079	3183	1994-04-11	PRIJEM	PREVOD Z UCTU	6877	7477	DUCHOD	WX	11260474
933080	3183	1994-05-11	PRIJEM	PREVOD Z UCTU	6877	14375	DUCHOD	WX	11260474
933081	3183	1994-06-11	PRIJEM	PREVOD Z UCTU	6877	21283	DUCHOD	WX	11260474
933082	3183	1994-07-11	PRIJEM	PREVOD Z UCTU	6877	28191	DUCHOD	WX	11260474
933083	3183	1994-08-11	PRIJEM	PREVOD Z UCTU	6877	35099	DUCHOD	WX	11260474
933084	3183	1994-09-11	PRIJEM	PREVOD Z UCTU	6877	34878	DUCHOD	WX	11260474
933085	3183	1994-10-11	PRIJEM	PREVOD Z UCTU	6877	32114	DUCHOD	WX	11260474
933086	3183	1994-11-11	PRIJEM	PREVOD Z UCTU	6877	34380	DUCHOD	WX	11260474
933087	3183	1994-12-11	PRIJEM	PREVOD Z UCTU	6877	34954	DUCHOD	WX	11260474
933088	3183	1995-01-11	PRIJEM	PREVOD Z UCTU	6877	32786	DUCHOD	WX	11260474
933089	3183	1995-02-11	PRIJEM	PREVOD Z UCTU	6877	29988	DUCHOD	WX	11260474
933090	3183	1995-03-11	PRIJEM	PREVOD Z UCTU	6877	33946	DUCHOD	WX	11260474
933091	3183	1995-04-11	PRIJEM	PREVOD Z UCTU	6877	37220	DUCHOD	WX	11260474
933092	3183	1995-05-11	PRIJEM	PREVOD Z UCTU	6877	36425	DUCHOD	WX	11260474
933093	3183	1995-06-11	PRIJEM	PREVOD Z UCTU	6877	29226	DUCHOD	WX	11260474
933094	3183	1995-07-11	PRIJEM	PREVOD Z UCTU	6877	31481	DUCHOD	WX	11260474
933095	3183	1995-08-11	PRIJEM	PREVOD Z UCTU	6877	35345	DUCHOD	WX	11260474
933096	3183	1995-09-11	PRIJEM	PREVOD Z UCTU	6877	37162	DUCHOD	WX	11260474
933097	3183	1995-10-11	PRIJEM	PREVOD Z UCTU	6877	36845	DUCHOD	WX	11260474
933098	3183	1995-11-11	PRIJEM	PREVOD Z UCTU	6877	38428	DUCHOD	WX	11260474
933099	3183	1995-12-11	PRIJEM	PREVOD Z UCTU	6877	36460	DUCHOD	WX	11260474
933100	3183	1996-01-11	PRIJEM	PREVOD Z UCTU	6877	31516	DUCHOD	WX	11260474
933101	3183	1996-02-11	PRIJEM	PREVOD Z UCTU	6877	25518	DUCHOD	WX	11260474
933102	3183	1996-03-11	PRIJEM	PREVOD Z UCTU	6877	26335	DUCHOD	WX	11260474
933103	3183	1996-04-11	PRIJEM	PREVOD Z UCTU	6877	29676	DUCHOD	WX	11260474
933104	3183	1996-05-11	PRIJEM	PREVOD Z UCTU	6877	31929	DUCHOD	WX	11260474
933105	3183	1996-06-11	PRIJEM	PREVOD Z UCTU	6877	32945	DUCHOD	WX	11260474
933106	3183	1996-07-11	PRIJEM	PREVOD Z UCTU	6877	33710	DUCHOD	WX	11260474
933107	3183	1996-08-11	PRIJEM	PREVOD Z UCTU	6877	32716	DUCHOD	WX	11260474
933108	3183	1996-09-11	PRIJEM	PREVOD Z UCTU	6877	34764	DUCHOD	WX	11260474
933109	3183	1996-10-11	PRIJEM	PREVOD Z UCTU	6877	38739	DUCHOD	WX	11260474
933110	3183	1996-11-11	PRIJEM	PREVOD Z UCTU	6877	40930	DUCHOD	WX	11260474
933111	3183	1996-12-11	PRIJEM	PREVOD Z UCTU	6877	37417	DUCHOD	WX	11260474
933112	3183	1997-01-11	PRIJEM	PREVOD Z UCTU	6877	29298	DUCHOD	WX	11260474
933113	3183	1997-02-11	PRIJEM	PREVOD Z UCTU	6877	22645	DUCHOD	WX	11260474
933114	3183	1997-03-11	PRIJEM	PREVOD Z UCTU	6877	26571	DUCHOD	WX	11260474
933115	3183	1997-04-11	PRIJEM	PREVOD Z UCTU	6877	26210	DUCHOD	WX	11260474
933116	3183	1997-05-11	PRIJEM	PREVOD Z UCTU	6877	28147	DUCHOD	WX	11260474
933117	3183	1997-06-11	PRIJEM	PREVOD Z UCTU	6877	30994	DUCHOD	WX	11260474
933118	3183	1997-07-11	PRIJEM	PREVOD Z UCTU	6877	25232	DUCHOD	WX	11260474
933119	3183	1997-08-11	PRIJEM	PREVOD Z UCTU	6877	28467	DUCHOD	WX	11260474
933120	3183	1997-09-11	PRIJEM	PREVOD Z UCTU	6877	30496	DUCHOD	WX	11260474
933121	3183	1997-10-11	PRIJEM	PREVOD Z UCTU	6877	33050	DUCHOD	WX	11260474
933122	3183	1997-11-11	PRIJEM	PREVOD Z UCTU	6877	31729	DUCHOD	WX	11260474
933123	3183	1997-12-11	PRIJEM	PREVOD Z UCTU	6877	25511	DUCHOD	WX	11260474
933124	3183	1998-01-11	PRIJEM	PREVOD Z UCTU	6877	22714	DUCHOD	WX	11260474
933125	3183	1998-02-11	PRIJEM	PREVOD Z UCTU	6877	21172	DUCHOD	WX	11260474
933126	3183	1998-03-11	PRIJEM	PREVOD Z UCTU	6877	25090	DUCHOD	WX	11260474
933127	3183	1998-04-11	PRIJEM	PREVOD Z UCTU	6877	17995	DUCHOD	WX	11260474
933128	3183	1998-05-11	PRIJEM	PREVOD Z UCTU	6877	21901	DUCHOD	WX	11260474
933129	3183	1998-06-11	PRIJEM	PREVOD Z UCTU	6877	25823	DUCHOD	WX	11260474
933130	3183	1998-07-11	PRIJEM	PREVOD Z UCTU	6877	29762	DUCHOD	WX	11260474
933131	3183	1998-08-11	PRIJEM	PREVOD Z UCTU	6877	31237	DUCHOD	WX	11260474
933132	3183	1998-09-11	PRIJEM	PREVOD Z UCTU	6877	32956	DUCHOD	WX	11260474
933133	3183	1998-10-11	PRIJEM	PREVOD Z UCTU	6877	22423	DUCHOD	WX	11260474
933134	3183	1998-11-11	PRIJEM	PREVOD Z UCTU	6877	26357	DUCHOD	WX	11260474
933135	3183	1998-12-11	PRIJEM	PREVOD Z UCTU	6877	30297	DUCHOD	WX	11260474
933144	3183	1994-09-05	VYDAJ	PREVOD NA UCET	3024	28001	SIPO	QR	52212673
933145	3183	1994-10-05	VYDAJ	PREVOD NA UCET	3024	26677	SIPO	QR	52212673
933146	3183	1994-11-05	VYDAJ	PREVOD NA UCET	3024	27503	SIPO	QR	52212673
933147	3183	1994-12-05	VYDAJ	PREVOD NA UCET	3024	28077	SIPO	QR	52212673
933148	3183	1995-01-05	VYDAJ	PREVOD NA UCET	3024	27919	SIPO	QR	52212673
933149	3183	1995-02-05	VYDAJ	PREVOD NA UCET	3024	23111	SIPO	QR	52212673
933150	3183	1995-03-05	VYDAJ	PREVOD NA UCET	3024	27069	SIPO	QR	52212673
933151	3183	1995-04-05	VYDAJ	PREVOD NA UCET	3024	30343	SIPO	QR	52212673
933152	3183	1995-05-05	VYDAJ	PREVOD NA UCET	3024	29548	SIPO	QR	52212673
933153	3183	1995-06-05	VYDAJ	PREVOD NA UCET	3024	22349	SIPO	QR	52212673
933154	3183	1995-07-05	VYDAJ	PREVOD NA UCET	3024	24604	SIPO	QR	52212673
933155	3183	1995-08-05	VYDAJ	PREVOD NA UCET	3024	28468	SIPO	QR	52212673
933156	3183	1995-09-05	VYDAJ	PREVOD NA UCET	3024	30285	SIPO	QR	52212673
933157	3183	1995-10-05	VYDAJ	PREVOD NA UCET	3024	29968	SIPO	QR	52212673
933158	3183	1995-11-05	VYDAJ	PREVOD NA UCET	3024	31551	SIPO	QR	52212673
933159	3183	1995-12-05	VYDAJ	PREVOD NA UCET	3024	29583	SIPO	QR	52212673
933160	3183	1996-01-05	VYDAJ	PREVOD NA UCET	3024	26959	SIPO	QR	52212673
933161	3183	1996-02-05	VYDAJ	PREVOD NA UCET	3024	18641	SIPO	QR	52212673
933162	3183	1996-03-05	VYDAJ	PREVOD NA UCET	3024	19458	SIPO	QR	52212673
933163	3183	1996-04-05	VYDAJ	PREVOD NA UCET	3024	22799	SIPO	QR	52212673
933164	3183	1996-05-05	VYDAJ	PREVOD NA UCET	3024	25052	SIPO	QR	52212673
933165	3183	1996-06-05	VYDAJ	PREVOD NA UCET	3024	28818	SIPO	QR	52212673
933166	3183	1996-07-05	VYDAJ	PREVOD NA UCET	3024	26833	SIPO	QR	52212673
933167	3183	1996-08-05	VYDAJ	PREVOD NA UCET	3024	25839	SIPO	QR	52212673
933168	3183	1996-09-05	VYDAJ	PREVOD NA UCET	3024	27887	SIPO	QR	52212673
933169	3183	1996-10-05	VYDAJ	PREVOD NA UCET	3024	31862	SIPO	QR	52212673
933170	3183	1996-11-05	VYDAJ	PREVOD NA UCET	3024	34053	SIPO	QR	52212673
933171	3183	1996-12-05	VYDAJ	PREVOD NA UCET	3024	30540	SIPO	QR	52212673
933172	3183	1997-01-05	VYDAJ	PREVOD NA UCET	3024	26661	SIPO	QR	52212673
933173	3183	1997-02-05	VYDAJ	PREVOD NA UCET	3024	15768	SIPO	QR	52212673
933174	3183	1997-03-05	VYDAJ	PREVOD NA UCET	3024	19694	SIPO	QR	52212673
933175	3183	1997-04-05	VYDAJ	PREVOD NA UCET	3024	19333	SIPO	QR	52212673
933176	3183	1997-05-05	VYDAJ	PREVOD NA UCET	3024	21270	SIPO	QR	52212673
933177	3183	1997-06-05	VYDAJ	PREVOD NA UCET	3024	24117	SIPO	QR	52212673
933178	3183	1997-07-05	VYDAJ	PREVOD NA UCET	3024	18355	SIPO	QR	52212673
933179	3183	1997-08-05	VYDAJ	PREVOD NA UCET	3024	21590	SIPO	QR	52212673
933180	3183	1997-09-05	VYDAJ	PREVOD NA UCET	3024	24739	SIPO	QR	52212673
933181	3183	1997-10-05	VYDAJ	PREVOD NA UCET	3024	26173	SIPO	QR	52212673
933182	3183	1997-11-05	VYDAJ	PREVOD NA UCET	3024	26132	SIPO	QR	52212673
933183	3183	1997-12-05	VYDAJ	PREVOD NA UCET	3024	18634	SIPO	QR	52212673
933184	3183	1998-01-05	VYDAJ	PREVOD NA UCET	3024	19937	SIPO	QR	52212673
933185	3183	1998-02-05	VYDAJ	PREVOD NA UCET	3024	14395	SIPO	QR	52212673
933186	3183	1998-03-05	VYDAJ	PREVOD NA UCET	3024	18213	SIPO	QR	52212673
933187	3183	1998-04-05	VYDAJ	PREVOD NA UCET	3024	11118	SIPO	QR	52212673
933188	3183	1998-05-05	VYDAJ	PREVOD NA UCET	3024	15024	SIPO	QR	52212673
933189	3183	1998-06-05	VYDAJ	PREVOD NA UCET	3024	18946	SIPO	QR	52212673
933190	3183	1998-07-05	VYDAJ	PREVOD NA UCET	3024	22885	SIPO	QR	52212673
933191	3183	1998-08-05	VYDAJ	PREVOD NA UCET	3024	24360	SIPO	QR	52212673
933192	3183	1998-09-05	VYDAJ	PREVOD NA UCET	3024	26079	SIPO	QR	52212673
933193	3183	1998-10-05	VYDAJ	PREVOD NA UCET	3024	30046	SIPO	QR	52212673
933194	3183	1998-11-05	VYDAJ	PREVOD NA UCET	3024	19480	SIPO	QR	52212673
933195	3183	1998-12-05	VYDAJ	PREVOD NA UCET	3024	23420	SIPO	QR	52212673
933197	3183	1995-06-04	VYDAJ	VYBER	7300	25373	\N	\N	\N
933198	3183	1996-06-07	VYDAJ	VYBER	2750	26068	\N	\N	\N
933199	3183	1997-06-11	VYDAJ	VYBER	2800	28194	\N	\N	\N
933202	3183	1995-01-07	VYDAJ	VYBER	1450	25909	\N	\N	\N
933203	3183	1996-01-18	VYDAJ	VYBER	3550	27246	\N	\N	\N
933204	3183	1997-01-16	VYDAJ	VYBER	4150	21828	\N	\N	\N
933206	3183	1994-12-23	VYDAJ	VYBER	650	31824	\N	\N	\N
933207	3183	1995-12-02	VYDAJ	VYBER	1100	36367	\N	\N	\N
933208	3183	1996-12-20	VYDAJ	VYBER	750	29567	\N	\N	\N
933209	3183	1997-12-19	VYDAJ	VYBER	950	23361	\N	\N	\N
933210	3183	1998-12-26	VYDAJ	VYBER	500	28997	\N	\N	\N
933217	3183	1995-01-22	VYDAJ	VYBER	640	30946	\N	\N	\N
933218	3183	1995-01-12	VYDAJ	VYBER	640	32146	\N	\N	\N
933219	3183	1995-01-21	VYDAJ	VYBER	560	31586	\N	\N	\N
933220	3183	1995-01-06	VYDAJ	VYBER	560	27359	\N	\N	\N
933221	3183	1995-01-28	VYDAJ	VYBER	1760	26026	\N	\N	\N
933222	3183	1995-01-25	VYDAJ	VYBER	1360	29586	\N	\N	\N
933223	3183	1996-01-03	VYDAJ	VYBER	1200	29983	\N	\N	\N
933224	3183	1996-01-11	VYDAJ	VYBER	720	30796	\N	\N	\N
933225	3183	1996-01-03	VYDAJ	VYBER	1040	31183	\N	\N	\N
933226	3183	1996-01-22	VYDAJ	VYBER	1040	24606	\N	\N	\N
933227	3183	1996-01-09	VYDAJ	VYBER	2320	24639	\N	\N	\N
933228	3183	1996-01-19	VYDAJ	VYBER	1600	25646	\N	\N	\N
933229	3183	1997-01-06	VYDAJ	VYBER	1440	25221	\N	\N	\N
933230	3183	1997-01-22	VYDAJ	VYBER	880	20948	\N	\N	\N
933231	3183	1997-01-08	VYDAJ	VYBER	880	22421	\N	\N	\N
933232	3183	1997-01-06	VYDAJ	VYBER	1920	23301	\N	\N	\N
933233	3183	1997-01-29	VYDAJ	VYBER	2240	18708	\N	\N	\N
933234	3183	1997-01-11	VYDAJ	VYBER	1520	27778	\N	\N	\N
933235	3183	1998-01-03	VYDAJ	VYBER	480	22961	\N	\N	\N
933236	3183	1998-01-18	VYDAJ	VYBER	480	20074	\N	\N	\N
933237	3183	1998-01-12	VYDAJ	VYBER	1760	20554	\N	\N	\N
933238	3183	1998-01-19	VYDAJ	VYBER	1920	18154	\N	\N	\N
933239	3183	1998-01-11	VYDAJ	VYBER	400	22314	\N	\N	\N
933240	3183	1998-01-27	VYDAJ	VYBER	800	17354	\N	\N	\N
933243	3183	1994-10-06	VYDAJ	VYBER	1440	25237	\N	\N	\N
933245	3183	1994-12-15	VYDAJ	VYBER	2480	32474	\N	\N	\N
933246	3183	1995-05-24	VYDAJ	VYBER	2080	34345	\N	\N	\N
933247	3183	1995-12-15	VYDAJ	VYBER	2960	33500	\N	\N	\N
933248	3183	1995-08-19	VYDAJ	VYBER	2160	33185	\N	\N	\N
933249	3183	1995-12-02	VYDAJ	VYBER	3760	32607	\N	\N	\N
933250	3183	1995-04-27	VYDAJ	VYBER	2880	32440	\N	\N	\N
933251	3183	1996-07-23	VYDAJ	VYBER	2560	28750	\N	\N	\N
933252	3183	1996-02-19	VYDAJ	VYBER	1040	24478	\N	\N	\N
933253	3183	1996-09-01	VYDAJ	VYBER	1520	30911	\N	\N	\N
933254	3183	1996-03-03	VYDAJ	VYBER	2080	22482	\N	\N	\N
933255	3183	1996-01-31	VYDAJ	VYBER	3040	21665	\N	\N	\N
933256	3183	1997-11-08	VYDAJ	VYBER	1280	24852	\N	\N	\N
933257	3183	1997-09-08	VYDAJ	VYBER	1120	23619	\N	\N	\N
933258	3183	1997-03-29	VYDAJ	VYBER	3200	22271	\N	\N	\N
933259	3183	1997-11-30	VYDAJ	VYBER	2480	21673	\N	\N	\N
933261	3183	1998-08-04	VYDAJ	VYBER	2480	27384	\N	\N	\N
933263	3183	1998-12-21	VYDAJ	VYBER	800	29497	\N	\N	\N
933265	3183	1998-09-03	VYDAJ	VYBER	2240	29103	\N	\N	\N
933274	3183	1994-08-31	VYDAJ	VYBER	15	31025	SLUZBY	\N	\N
933275	3183	1994-09-30	VYDAJ	VYBER	15	29701	SLUZBY	\N	\N
933276	3183	1994-10-31	VYDAJ	VYBER	15	30527	SLUZBY	\N	\N
933277	3183	1994-11-30	VYDAJ	VYBER	15	31101	SLUZBY	\N	\N
933278	3183	1994-12-31	VYDAJ	VYBER	15	30943	SLUZBY	\N	\N
933279	3183	1995-01-31	VYDAJ	VYBER	15	26135	SLUZBY	\N	\N
933280	3183	1995-02-28	VYDAJ	VYBER	15	30093	SLUZBY	\N	\N
933281	3183	1995-03-31	VYDAJ	VYBER	15	33367	SLUZBY	\N	\N
933282	3183	1995-04-30	VYDAJ	VYBER	15	32572	SLUZBY	\N	\N
933283	3183	1995-05-31	VYDAJ	VYBER	15	32673	SLUZBY	\N	\N
933284	3183	1995-06-30	VYDAJ	VYBER	15	27628	SLUZBY	\N	\N
933285	3183	1995-07-31	VYDAJ	VYBER	15	31492	SLUZBY	\N	\N
933286	3183	1995-08-31	VYDAJ	VYBER	15	33309	SLUZBY	\N	\N
933287	3183	1995-09-30	VYDAJ	VYBER	15	32992	SLUZBY	\N	\N
933288	3183	1995-10-31	VYDAJ	VYBER	15	34575	SLUZBY	\N	\N
933289	3183	1995-11-30	VYDAJ	VYBER	15	37467	SLUZBY	\N	\N
933290	3183	1995-12-31	VYDAJ	VYBER	15	32223	SLUZBY	\N	\N
933291	3183	1996-01-31	VYDAJ	VYBER	15	24705	SLUZBY	\N	\N
933292	3183	1996-02-29	VYDAJ	VYBER	15	24562	SLUZBY	\N	\N
933293	3183	1996-03-31	VYDAJ	VYBER	15	25823	SLUZBY	\N	\N
933294	3183	1996-04-30	VYDAJ	VYBER	15	28076	SLUZBY	\N	\N
933295	3183	1996-05-31	VYDAJ	VYBER	15	31842	SLUZBY	\N	\N
933296	3183	1996-06-30	VYDAJ	VYBER	15	29857	SLUZBY	\N	\N
933297	3183	1996-07-31	VYDAJ	VYBER	15	28863	SLUZBY	\N	\N
933298	3183	1996-08-31	VYDAJ	VYBER	15	32431	SLUZBY	\N	\N
933299	3183	1996-09-30	VYDAJ	VYBER	15	34886	SLUZBY	\N	\N
933300	3183	1996-10-31	VYDAJ	VYBER	15	37077	SLUZBY	\N	\N
933301	3183	1996-11-30	VYDAJ	VYBER	15	33564	SLUZBY	\N	\N
933302	3183	1996-12-31	VYDAJ	VYBER	15	29685	SLUZBY	\N	\N
933303	3183	1997-01-31	VYDAJ	VYBER	15	18792	SLUZBY	\N	\N
933304	3183	1997-02-28	VYDAJ	VYBER	15	22718	SLUZBY	\N	\N
933305	3183	1997-03-31	VYDAJ	VYBER	15	22357	SLUZBY	\N	\N
933306	3183	1997-04-30	VYDAJ	VYBER	15	24294	SLUZBY	\N	\N
933307	3183	1997-05-31	VYDAJ	VYBER	15	27141	SLUZBY	\N	\N
933308	3183	1997-06-30	VYDAJ	VYBER	15	21379	SLUZBY	\N	\N
933309	3183	1997-07-31	VYDAJ	VYBER	15	24614	SLUZBY	\N	\N
933310	3183	1997-08-31	VYDAJ	VYBER	15	27763	SLUZBY	\N	\N
933311	3183	1997-09-30	VYDAJ	VYBER	15	29197	SLUZBY	\N	\N
933312	3183	1997-10-31	VYDAJ	VYBER	15	29156	SLUZBY	\N	\N
933313	3183	1997-11-30	VYDAJ	VYBER	15	21658	SLUZBY	\N	\N
933314	3183	1997-12-31	VYDAJ	VYBER	15	23441	SLUZBY	\N	\N
933315	3183	1998-01-31	VYDAJ	VYBER	15	17419	SLUZBY	\N	\N
933316	3183	1998-02-28	VYDAJ	VYBER	15	21237	SLUZBY	\N	\N
933317	3183	1998-03-31	VYDAJ	VYBER	15	14142	SLUZBY	\N	\N
933318	3183	1998-04-30	VYDAJ	VYBER	15	18048	SLUZBY	\N	\N
933319	3183	1998-05-31	VYDAJ	VYBER	15	21970	SLUZBY	\N	\N
933320	3183	1998-06-30	VYDAJ	VYBER	15	25909	SLUZBY	\N	\N
933321	3183	1998-07-31	VYDAJ	VYBER	15	29864	SLUZBY	\N	\N
933322	3183	1998-08-31	VYDAJ	VYBER	15	31343	SLUZBY	\N	\N
933323	3183	1998-09-30	VYDAJ	VYBER	15	33070	SLUZBY	\N	\N
933324	3183	1998-10-31	VYDAJ	VYBER	15	22504	SLUZBY	\N	\N
933325	3183	1998-11-30	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
933326	3183	1994-08-29	VYDAJ	VYBER	4100	30999	\N	\N	\N
933327	3183	1994-09-28	VYDAJ	VYBER	5300	29578	\N	\N	\N
933328	3183	1994-10-28	VYDAJ	VYBER	1700	30414	\N	\N	\N
933329	3183	1994-11-27	VYDAJ	VYBER	3400	30980	\N	\N	\N
933330	3183	1994-12-27	VYDAJ	VYBER	1000	30824	\N	\N	\N
933331	3183	1995-01-26	VYDAJ	VYBER	1800	27786	\N	\N	\N
933332	3183	1995-03-27	VYDAJ	VYBER	700	33246	\N	\N	\N
933333	3183	1995-04-26	VYDAJ	VYBER	1900	35320	\N	\N	\N
933334	3183	1995-05-26	VYDAJ	VYBER	1800	32545	\N	\N	\N
933335	3183	1995-06-25	VYDAJ	VYBER	1700	27526	\N	\N	\N
933336	3183	1995-07-25	VYDAJ	VYBER	100	31381	\N	\N	\N
933337	3183	1995-09-23	VYDAJ	VYBER	4300	32862	\N	\N	\N
933338	3183	1995-10-23	VYDAJ	VYBER	2400	34445	\N	\N	\N
933339	3183	1995-11-22	VYDAJ	VYBER	1100	37328	\N	\N	\N
933340	3183	1995-12-22	VYDAJ	VYBER	1400	32100	\N	\N	\N
933341	3183	1996-03-21	VYDAJ	VYBER	600	25735	\N	\N	\N
933342	3183	1996-04-20	VYDAJ	VYBER	1700	27976	\N	\N	\N
933343	3183	1996-05-20	VYDAJ	VYBER	200	31729	\N	\N	\N
933344	3183	1996-06-19	VYDAJ	VYBER	3200	29745	\N	\N	\N
933345	3183	1996-07-19	VYDAJ	VYBER	2400	31310	\N	\N	\N
933346	3183	1996-08-18	VYDAJ	VYBER	400	32316	\N	\N	\N
933347	3183	1996-10-17	VYDAJ	VYBER	1800	36939	\N	\N	\N
933348	3183	1996-11-16	VYDAJ	VYBER	7500	33430	\N	\N	\N
933349	3183	1996-12-16	VYDAJ	VYBER	7100	30317	\N	\N	\N
933350	3183	1997-01-15	VYDAJ	VYBER	1800	25978	\N	\N	\N
933351	3183	1997-03-16	VYDAJ	VYBER	1100	25471	\N	\N	\N
933352	3183	1997-04-15	VYDAJ	VYBER	2000	24210	\N	\N	\N
933353	3183	1997-05-15	VYDAJ	VYBER	1100	27047	\N	\N	\N
933354	3183	1997-06-14	VYDAJ	VYBER	6900	21294	\N	\N	\N
933355	3183	1997-07-14	VYDAJ	VYBER	700	24532	\N	\N	\N
933356	3183	1997-08-13	VYDAJ	VYBER	800	27667	\N	\N	\N
933357	3183	1997-09-12	VYDAJ	VYBER	1400	29096	\N	\N	\N
933358	3183	1997-10-12	VYDAJ	VYBER	4000	29050	\N	\N	\N
933359	3183	1997-11-11	VYDAJ	VYBER	7700	24029	\N	\N	\N
933360	3183	1997-12-11	VYDAJ	VYBER	1200	24311	\N	\N	\N
933361	3183	1998-01-10	VYDAJ	VYBER	4100	15837	\N	\N	\N
933362	3183	1998-02-09	VYDAJ	VYBER	100	14295	\N	\N	\N
933363	3183	1998-03-11	VYDAJ	VYBER	11000	14090	\N	\N	\N
933364	3183	1998-10-07	VYDAJ	VYBER	14500	15546	\N	\N	\N
933422	3184	1994-02-18	PRIJEM	VKLAD	700	700	\N	\N	\N
933425	3184	1994-03-12	PRIJEM	PREVOD Z UCTU	5115	5815	DUCHOD	YZ	90299844
933426	3184	1994-04-12	PRIJEM	PREVOD Z UCTU	5115	10930	DUCHOD	YZ	90299844
933427	3184	1994-05-12	PRIJEM	PREVOD Z UCTU	5115	16045	DUCHOD	YZ	90299844
933428	3184	1994-06-12	PRIJEM	PREVOD Z UCTU	5115	21160	DUCHOD	YZ	90299844
933429	3184	1994-07-12	PRIJEM	PREVOD Z UCTU	5115	26213	DUCHOD	YZ	90299844
933430	3184	1994-08-12	PRIJEM	PREVOD Z UCTU	5115	27992	DUCHOD	YZ	90299844
933431	3184	1994-09-12	PRIJEM	PREVOD Z UCTU	5115	27373	DUCHOD	YZ	90299844
933432	3184	1994-10-12	PRIJEM	PREVOD Z UCTU	5115	29075	DUCHOD	YZ	90299844
933433	3184	1994-11-12	PRIJEM	PREVOD Z UCTU	5115	30884	DUCHOD	YZ	90299844
933434	3184	1994-12-12	PRIJEM	PREVOD Z UCTU	5115	32701	DUCHOD	YZ	90299844
933435	3184	1995-01-12	PRIJEM	PREVOD Z UCTU	5115	28350	DUCHOD	YZ	90299844
933436	3184	1995-02-12	PRIJEM	PREVOD Z UCTU	5115	24613	DUCHOD	YZ	90299844
933437	3184	1995-03-12	PRIJEM	PREVOD Z UCTU	5115	26403	DUCHOD	YZ	90299844
933438	3184	1995-04-12	PRIJEM	PREVOD Z UCTU	5115	24360	DUCHOD	YZ	90299844
933439	3184	1995-05-12	PRIJEM	PREVOD Z UCTU	5115	24630	DUCHOD	YZ	90299844
933440	3184	1995-06-12	PRIJEM	PREVOD Z UCTU	5115	15978	DUCHOD	YZ	90299844
933441	3184	1995-07-12	PRIJEM	PREVOD Z UCTU	5115	17740	DUCHOD	YZ	90299844
933442	3184	1995-08-12	PRIJEM	PREVOD Z UCTU	5115	19501	DUCHOD	YZ	90299844
933443	3184	1995-09-12	PRIJEM	PREVOD Z UCTU	5115	18070	DUCHOD	YZ	90299844
933444	3184	1995-10-12	PRIJEM	PREVOD Z UCTU	5115	18315	DUCHOD	YZ	90299844
933445	3184	1995-11-12	PRIJEM	PREVOD Z UCTU	5115	20079	DUCHOD	YZ	90299844
933446	3184	1995-12-12	PRIJEM	PREVOD Z UCTU	5115	21500	DUCHOD	YZ	90299844
933447	3184	1996-01-12	PRIJEM	PREVOD Z UCTU	5115	17306	DUCHOD	YZ	90299844
933448	3184	1996-02-12	PRIJEM	PREVOD Z UCTU	5115	15383	DUCHOD	YZ	90299844
933449	3184	1996-03-12	PRIJEM	PREVOD Z UCTU	5115	17134	DUCHOD	YZ	90299844
933450	3184	1996-04-12	PRIJEM	PREVOD Z UCTU	5115	18893	DUCHOD	YZ	90299844
933451	3184	1996-05-12	PRIJEM	PREVOD Z UCTU	5115	20659	DUCHOD	YZ	90299844
933452	3184	1996-06-12	PRIJEM	PREVOD Z UCTU	5115	22433	DUCHOD	YZ	90299844
933453	3184	1996-07-12	PRIJEM	PREVOD Z UCTU	5115	24213	DUCHOD	YZ	90299844
933454	3184	1996-08-12	PRIJEM	PREVOD Z UCTU	5115	26002	DUCHOD	YZ	90299844
933455	3184	1996-09-12	PRIJEM	PREVOD Z UCTU	5115	27797	DUCHOD	YZ	90299844
933456	3184	1996-10-12	PRIJEM	PREVOD Z UCTU	5115	27840	DUCHOD	YZ	90299844
933457	3184	1996-11-12	PRIJEM	PREVOD Z UCTU	5115	29243	DUCHOD	YZ	90299844
933458	3184	1996-12-12	PRIJEM	PREVOD Z UCTU	5115	31052	DUCHOD	YZ	90299844
933459	3184	1997-01-12	PRIJEM	PREVOD Z UCTU	5115	26558	DUCHOD	YZ	90299844
933460	3184	1997-02-12	PRIJEM	PREVOD Z UCTU	5115	18176	DUCHOD	YZ	90299844
933461	3184	1997-03-12	PRIJEM	PREVOD Z UCTU	5115	19938	DUCHOD	YZ	90299844
933462	3184	1997-04-12	PRIJEM	PREVOD Z UCTU	5115	21228	DUCHOD	YZ	90299844
933463	3184	1997-05-12	PRIJEM	PREVOD Z UCTU	5115	23003	DUCHOD	YZ	90299844
933464	3184	1997-06-12	PRIJEM	PREVOD Z UCTU	5115	24786	DUCHOD	YZ	90299844
933465	3184	1997-07-12	PRIJEM	PREVOD Z UCTU	5115	26576	DUCHOD	YZ	90299844
933466	3184	1997-08-12	PRIJEM	PREVOD Z UCTU	5115	28374	DUCHOD	YZ	90299844
933467	3184	1997-09-12	PRIJEM	PREVOD Z UCTU	5115	29136	DUCHOD	YZ	90299844
933468	3184	1997-10-12	PRIJEM	PREVOD Z UCTU	5115	28464	DUCHOD	YZ	90299844
933469	3184	1997-11-12	PRIJEM	PREVOD Z UCTU	5115	30271	DUCHOD	YZ	90299844
933470	3184	1997-12-12	PRIJEM	PREVOD Z UCTU	5115	32083	DUCHOD	YZ	90299844
933471	3184	1998-01-12	PRIJEM	PREVOD Z UCTU	5115	25231	DUCHOD	YZ	90299844
933472	3184	1998-02-12	PRIJEM	PREVOD Z UCTU	5115	19499	DUCHOD	YZ	90299844
933473	3184	1998-03-12	PRIJEM	PREVOD Z UCTU	5115	21266	DUCHOD	YZ	90299844
933474	3184	1998-04-12	PRIJEM	PREVOD Z UCTU	5115	19998	DUCHOD	YZ	90299844
933475	3184	1998-05-12	PRIJEM	PREVOD Z UCTU	5115	21767	DUCHOD	YZ	90299844
933476	3184	1998-06-12	PRIJEM	PREVOD Z UCTU	5115	23544	DUCHOD	YZ	90299844
933477	3184	1998-07-12	PRIJEM	PREVOD Z UCTU	5115	25328	DUCHOD	YZ	90299844
933478	3184	1998-08-12	PRIJEM	PREVOD Z UCTU	5115	24480	DUCHOD	YZ	90299844
933479	3184	1998-09-12	PRIJEM	PREVOD Z UCTU	5115	22746	DUCHOD	YZ	90299844
933480	3184	1998-10-12	PRIJEM	PREVOD Z UCTU	5115	24526	DUCHOD	YZ	90299844
933481	3184	1998-11-12	PRIJEM	PREVOD Z UCTU	5115	26314	DUCHOD	YZ	90299844
933482	3184	1998-12-12	PRIJEM	PREVOD Z UCTU	5115	28110	DUCHOD	YZ	90299844
933490	3184	1994-08-09	VYDAJ	PREVOD NA UCET	3410	22877	SIPO	OP	29959482
933491	3184	1994-09-09	VYDAJ	PREVOD NA UCET	3410	22258	SIPO	OP	29959482
933492	3184	1994-10-09	VYDAJ	PREVOD NA UCET	3410	23960	SIPO	OP	29959482
933493	3184	1994-11-09	VYDAJ	PREVOD NA UCET	3410	25769	SIPO	OP	29959482
933494	3184	1994-12-09	VYDAJ	PREVOD NA UCET	3410	27586	SIPO	OP	29959482
933495	3184	1995-01-09	VYDAJ	PREVOD NA UCET	3410	23235	SIPO	OP	29959482
933496	3184	1995-02-09	VYDAJ	PREVOD NA UCET	3410	19498	SIPO	OP	29959482
933497	3184	1995-03-09	VYDAJ	PREVOD NA UCET	3410	21288	SIPO	OP	29959482
933498	3184	1995-04-09	VYDAJ	PREVOD NA UCET	3410	19245	SIPO	OP	29959482
933499	3184	1995-05-09	VYDAJ	PREVOD NA UCET	3410	19515	SIPO	OP	29959482
933500	3184	1995-06-09	VYDAJ	PREVOD NA UCET	3410	10863	SIPO	OP	29959482
933501	3184	1995-07-09	VYDAJ	PREVOD NA UCET	3410	12625	SIPO	OP	29959482
933502	3184	1995-08-09	VYDAJ	PREVOD NA UCET	3410	14386	SIPO	OP	29959482
933503	3184	1995-09-09	VYDAJ	PREVOD NA UCET	3410	12955	SIPO	OP	29959482
933504	3184	1995-10-09	VYDAJ	PREVOD NA UCET	3410	13200	SIPO	OP	29959482
933505	3184	1995-11-09	VYDAJ	PREVOD NA UCET	3410	14964	SIPO	OP	29959482
933506	3184	1995-12-09	VYDAJ	PREVOD NA UCET	3410	16385	SIPO	OP	29959482
933507	3184	1996-01-09	VYDAJ	PREVOD NA UCET	3410	12191	SIPO	OP	29959482
933508	3184	1996-02-09	VYDAJ	PREVOD NA UCET	3410	10268	SIPO	OP	29959482
933509	3184	1996-03-09	VYDAJ	PREVOD NA UCET	3410	12019	SIPO	OP	29959482
933510	3184	1996-04-09	VYDAJ	PREVOD NA UCET	3410	13778	SIPO	OP	29959482
933511	3184	1996-05-09	VYDAJ	PREVOD NA UCET	3410	15544	SIPO	OP	29959482
933512	3184	1996-06-09	VYDAJ	PREVOD NA UCET	3410	17318	SIPO	OP	29959482
933513	3184	1996-07-09	VYDAJ	PREVOD NA UCET	3410	19098	SIPO	OP	29959482
933514	3184	1996-08-09	VYDAJ	PREVOD NA UCET	3410	20887	SIPO	OP	29959482
933515	3184	1996-09-09	VYDAJ	PREVOD NA UCET	3410	22682	SIPO	OP	29959482
933516	3184	1996-10-09	VYDAJ	PREVOD NA UCET	3410	22725	SIPO	OP	29959482
933517	3184	1996-11-09	VYDAJ	PREVOD NA UCET	3410	24128	SIPO	OP	29959482
933518	3184	1996-12-09	VYDAJ	PREVOD NA UCET	3410	25937	SIPO	OP	29959482
933519	3184	1997-01-09	VYDAJ	PREVOD NA UCET	3410	21443	SIPO	OP	29959482
933520	3184	1997-02-09	VYDAJ	PREVOD NA UCET	3410	13061	SIPO	OP	29959482
933521	3184	1997-03-09	VYDAJ	PREVOD NA UCET	3410	14823	SIPO	OP	29959482
933522	3184	1997-04-09	VYDAJ	PREVOD NA UCET	3410	16593	SIPO	OP	29959482
933523	3184	1997-05-09	VYDAJ	PREVOD NA UCET	3410	17888	SIPO	OP	29959482
933524	3184	1997-06-09	VYDAJ	PREVOD NA UCET	3410	19671	SIPO	OP	29959482
933525	3184	1997-07-09	VYDAJ	PREVOD NA UCET	3410	21461	SIPO	OP	29959482
933526	3184	1997-08-09	VYDAJ	PREVOD NA UCET	3410	23259	SIPO	OP	29959482
933527	3184	1997-09-09	VYDAJ	PREVOD NA UCET	3410	24021	SIPO	OP	29959482
933528	3184	1997-10-09	VYDAJ	PREVOD NA UCET	3410	23349	SIPO	OP	29959482
933529	3184	1997-11-09	VYDAJ	PREVOD NA UCET	3410	25156	SIPO	OP	29959482
933530	3184	1997-12-09	VYDAJ	PREVOD NA UCET	3410	26968	SIPO	OP	29959482
933531	3184	1998-01-09	VYDAJ	PREVOD NA UCET	3410	20116	SIPO	OP	29959482
933532	3184	1998-02-09	VYDAJ	PREVOD NA UCET	3410	14384	SIPO	OP	29959482
933533	3184	1998-03-09	VYDAJ	PREVOD NA UCET	3410	16151	SIPO	OP	29959482
933534	3184	1998-04-09	VYDAJ	PREVOD NA UCET	3410	14883	SIPO	OP	29959482
933535	3184	1998-05-09	VYDAJ	PREVOD NA UCET	3410	16652	SIPO	OP	29959482
933536	3184	1998-06-09	VYDAJ	PREVOD NA UCET	3410	18429	SIPO	OP	29959482
933537	3184	1998-07-09	VYDAJ	PREVOD NA UCET	3410	20213	SIPO	OP	29959482
933538	3184	1998-08-09	VYDAJ	PREVOD NA UCET	3410	19365	SIPO	OP	29959482
933539	3184	1998-09-09	VYDAJ	PREVOD NA UCET	3410	17631	SIPO	OP	29959482
933540	3184	1998-10-09	VYDAJ	PREVOD NA UCET	3410	19411	SIPO	OP	29959482
933541	3184	1998-11-09	VYDAJ	PREVOD NA UCET	3410	21199	SIPO	OP	29959482
933542	3184	1998-12-09	VYDAJ	PREVOD NA UCET	3410	22995	SIPO	OP	29959482
933544	3184	1995-06-02	VYDAJ	VYBER	8200	14273	\N	\N	\N
933549	3184	1995-01-25	VYDAJ	VYBER	500	23290	\N	\N	\N
933550	3184	1996-01-07	VYDAJ	VYBER	3650	15601	\N	\N	\N
933551	3184	1997-01-15	VYDAJ	VYBER	4000	20318	\N	\N	\N
933552	3184	1998-01-04	VYDAJ	VYBER	4700	26646	\N	\N	\N
933553	3184	1994-12-21	VYDAJ	VYBER	650	29651	\N	\N	\N
933554	3184	1995-12-05	VYDAJ	VYBER	350	19795	\N	\N	\N
933555	3184	1996-12-26	VYDAJ	VYBER	1350	29702	\N	\N	\N
933556	3184	1997-12-15	VYDAJ	VYBER	850	31233	\N	\N	\N
933557	3184	1998-12-24	VYDAJ	VYBER	750	27360	\N	\N	\N
933564	3184	1995-01-07	VYDAJ	VYBER	1680	28085	\N	\N	\N
933565	3184	1995-01-25	VYDAJ	VYBER	1040	23790	\N	\N	\N
933566	3184	1995-01-20	VYDAJ	VYBER	1040	26350	\N	\N	\N
933567	3184	1995-01-27	VYDAJ	VYBER	480	22810	\N	\N	\N
933568	3184	1995-01-24	VYDAJ	VYBER	1520	24830	\N	\N	\N
933569	3184	1995-01-18	VYDAJ	VYBER	960	27390	\N	\N	\N
933570	3184	1996-01-18	VYDAJ	VYBER	1600	14426	\N	\N	\N
933572	3184	1996-01-17	VYDAJ	VYBER	1280	16026	\N	\N	\N
933574	3184	1996-01-25	VYDAJ	VYBER	800	13626	\N	\N	\N
933575	3184	1996-01-01	VYDAJ	VYBER	2320	19251	\N	\N	\N
933576	3184	1997-01-19	VYDAJ	VYBER	1840	18478	\N	\N	\N
933577	3184	1997-01-26	VYDAJ	VYBER	2080	16398	\N	\N	\N
933578	3184	1997-01-02	VYDAJ	VYBER	640	27093	\N	\N	\N
933579	3184	1997-01-14	VYDAJ	VYBER	2240	24318	\N	\N	\N
933580	3184	1997-01-03	VYDAJ	VYBER	2240	24853	\N	\N	\N
933581	3184	1997-01-01	VYDAJ	VYBER	2080	27733	\N	\N	\N
933582	3184	1998-01-16	VYDAJ	VYBER	1120	24111	\N	\N	\N
933583	3184	1998-01-21	VYDAJ	VYBER	960	21791	\N	\N	\N
933584	3184	1998-01-23	VYDAJ	VYBER	2160	19631	\N	\N	\N
933585	3184	1998-01-18	VYDAJ	VYBER	1360	22751	\N	\N	\N
933586	3184	1998-01-08	VYDAJ	VYBER	2080	23526	\N	\N	\N
933587	3184	1998-01-07	VYDAJ	VYBER	1040	25606	\N	\N	\N
933590	3184	1994-08-26	VYDAJ	VYBER	1520	25572	\N	\N	\N
933592	3184	1994-12-12	VYDAJ	VYBER	2400	30301	\N	\N	\N
933593	3184	1995-05-16	VYDAJ	VYBER	2240	22390	\N	\N	\N
933594	3184	1995-03-12	VYDAJ	VYBER	2160	24243	\N	\N	\N
933595	3184	1995-04-06	VYDAJ	VYBER	1680	22655	\N	\N	\N
933596	3184	1995-09-27	VYDAJ	VYBER	1520	16550	\N	\N	\N
933597	3184	1995-01-09	VYDAJ	VYBER	1440	26645	\N	\N	\N
933598	3184	1995-04-30	VYDAJ	VYBER	1520	22925	\N	\N	\N
933599	3184	1995-09-05	VYDAJ	VYBER	3200	16365	\N	\N	\N
933600	3184	1996-10-01	VYDAJ	VYBER	1760	26135	\N	\N	\N
933602	3184	1996-10-12	VYDAJ	VYBER	400	27440	\N	\N	\N
933603	3184	1997-10-06	VYDAJ	VYBER	2480	26759	\N	\N	\N
933604	3184	1997-04-10	VYDAJ	VYBER	480	16113	\N	\N	\N
933606	3184	1997-08-12	VYDAJ	VYBER	1040	27334	\N	\N	\N
933607	3184	1998-08-19	VYDAJ	VYBER	960	23520	\N	\N	\N
933608	3184	1998-08-26	VYDAJ	VYBER	2560	20960	\N	\N	\N
933609	3184	1998-08-02	VYDAJ	VYBER	2640	22775	\N	\N	\N
933610	3184	1998-01-31	VYDAJ	VYBER	1920	17809	\N	\N	\N
933612	3184	1998-03-23	VYDAJ	VYBER	3040	18226	\N	\N	\N
933613	3184	1998-12-30	VYDAJ	VYBER	1200	26160	\N	\N	\N
933621	3184	1994-07-31	VYDAJ	VYBER	15	26287	SLUZBY	\N	\N
933622	3184	1994-08-31	VYDAJ	VYBER	15	25668	SLUZBY	\N	\N
933623	3184	1994-09-30	VYDAJ	VYBER	15	27370	SLUZBY	\N	\N
933624	3184	1994-10-31	VYDAJ	VYBER	15	29179	SLUZBY	\N	\N
933625	3184	1994-11-30	VYDAJ	VYBER	15	30996	SLUZBY	\N	\N
933626	3184	1994-12-31	VYDAJ	VYBER	15	29765	SLUZBY	\N	\N
933627	3184	1995-01-31	VYDAJ	VYBER	15	22908	SLUZBY	\N	\N
933628	3184	1995-02-28	VYDAJ	VYBER	15	24698	SLUZBY	\N	\N
933629	3184	1995-03-31	VYDAJ	VYBER	15	24335	SLUZBY	\N	\N
933630	3184	1995-04-30	VYDAJ	VYBER	15	24445	SLUZBY	\N	\N
933631	3184	1995-05-31	VYDAJ	VYBER	15	22473	SLUZBY	\N	\N
933632	3184	1995-06-30	VYDAJ	VYBER	15	16035	SLUZBY	\N	\N
933633	3184	1995-07-31	VYDAJ	VYBER	15	17796	SLUZBY	\N	\N
933634	3184	1995-08-31	VYDAJ	VYBER	15	19565	SLUZBY	\N	\N
933635	3184	1995-09-30	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
933636	3184	1995-10-31	VYDAJ	VYBER	15	18374	SLUZBY	\N	\N
933637	3184	1995-11-30	VYDAJ	VYBER	15	20145	SLUZBY	\N	\N
933638	3184	1995-12-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
933639	3184	1996-01-31	VYDAJ	VYBER	15	13678	SLUZBY	\N	\N
933640	3184	1996-02-29	VYDAJ	VYBER	15	15429	SLUZBY	\N	\N
933641	3184	1996-03-31	VYDAJ	VYBER	15	17188	SLUZBY	\N	\N
933642	3184	1996-04-30	VYDAJ	VYBER	15	18954	SLUZBY	\N	\N
933643	3184	1996-05-31	VYDAJ	VYBER	15	20728	SLUZBY	\N	\N
933644	3184	1996-06-30	VYDAJ	VYBER	15	22508	SLUZBY	\N	\N
933645	3184	1996-07-31	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
933646	3184	1996-08-31	VYDAJ	VYBER	15	26092	SLUZBY	\N	\N
933647	3184	1996-09-30	VYDAJ	VYBER	15	27895	SLUZBY	\N	\N
933648	3184	1996-10-31	VYDAJ	VYBER	15	27538	SLUZBY	\N	\N
933649	3184	1996-11-30	VYDAJ	VYBER	15	29347	SLUZBY	\N	\N
933650	3184	1996-12-31	VYDAJ	VYBER	15	29813	SLUZBY	\N	\N
933651	3184	1997-01-31	VYDAJ	VYBER	15	16471	SLUZBY	\N	\N
933652	3184	1997-02-28	VYDAJ	VYBER	15	18233	SLUZBY	\N	\N
933653	3184	1997-03-31	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
933654	3184	1997-04-30	VYDAJ	VYBER	15	21298	SLUZBY	\N	\N
933655	3184	1997-05-31	VYDAJ	VYBER	15	23081	SLUZBY	\N	\N
933656	3184	1997-06-30	VYDAJ	VYBER	15	24871	SLUZBY	\N	\N
933657	3184	1997-07-31	VYDAJ	VYBER	15	26669	SLUZBY	\N	\N
933658	3184	1997-08-31	VYDAJ	VYBER	15	27431	SLUZBY	\N	\N
933659	3184	1997-09-30	VYDAJ	VYBER	15	29239	SLUZBY	\N	\N
933660	3184	1997-10-31	VYDAJ	VYBER	15	28566	SLUZBY	\N	\N
933661	3184	1997-11-30	VYDAJ	VYBER	15	30378	SLUZBY	\N	\N
933662	3184	1997-12-31	VYDAJ	VYBER	15	31346	SLUZBY	\N	\N
933663	3184	1998-01-31	VYDAJ	VYBER	15	17794	SLUZBY	\N	\N
933664	3184	1998-02-28	VYDAJ	VYBER	15	19561	SLUZBY	\N	\N
933665	3184	1998-03-31	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
933666	3184	1998-04-30	VYDAJ	VYBER	15	20062	SLUZBY	\N	\N
933667	3184	1998-05-31	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
933668	3184	1998-06-30	VYDAJ	VYBER	15	23623	SLUZBY	\N	\N
933669	3184	1998-07-31	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
933670	3184	1998-08-31	VYDAJ	VYBER	15	21041	SLUZBY	\N	\N
933671	3184	1998-09-30	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
933672	3184	1998-10-31	VYDAJ	VYBER	15	24609	SLUZBY	\N	\N
933673	3184	1998-11-30	VYDAJ	VYBER	15	26405	SLUZBY	\N	\N
933674	3184	1994-06-18	VYDAJ	VYBER	100	21060	\N	\N	\N
933675	3184	1994-08-17	VYDAJ	VYBER	900	27092	\N	\N	\N
933676	3184	1994-09-16	VYDAJ	VYBER	100	27273	\N	\N	\N
933732	3185	1997-07-29	PRIJEM	VKLAD	800	800	\N	\N	\N
933740	3185	1997-08-05	PRIJEM	VKLAD	13424	14224	\N	\N	\N
933741	3185	1997-09-05	PRIJEM	VKLAD	13424	34559	\N	\N	\N
933742	3185	1997-10-05	PRIJEM	VKLAD	13424	48979	\N	\N	\N
933743	3185	1997-11-05	PRIJEM	VKLAD	13424	53454	\N	\N	\N
933744	3185	1997-12-05	PRIJEM	VKLAD	20136	65160	\N	\N	\N
933745	3185	1998-01-05	PRIJEM	VKLAD	13424	58109	\N	\N	\N
933746	3185	1998-02-05	PRIJEM	VKLAD	13424	49927	\N	\N	\N
933747	3185	1998-03-05	PRIJEM	VKLAD	13424	55972	\N	\N	\N
933748	3185	1998-04-05	PRIJEM	VKLAD	13424	54731	\N	\N	\N
933749	3185	1998-05-05	PRIJEM	VKLAD	13424	58629	\N	\N	\N
933750	3185	1998-06-05	PRIJEM	VKLAD	20136	69720	\N	\N	\N
933751	3185	1998-07-05	PRIJEM	VKLAD	13424	60104	\N	\N	\N
933752	3185	1998-08-05	PRIJEM	VKLAD	13424	59779	\N	\N	\N
933753	3185	1998-09-05	PRIJEM	VKLAD	13424	61550	\N	\N	\N
933754	3185	1998-10-05	PRIJEM	VKLAD	13424	60089	\N	\N	\N
933755	3185	1998-11-05	PRIJEM	VKLAD	13424	58953	\N	\N	\N
933756	3185	1998-12-05	PRIJEM	VKLAD	20136	64532	\N	\N	\N
933768	3185	1997-12-13	VYDAJ	PREVOD NA UCET	6404	56715	SIPO	AB	90867876
933769	3185	1998-01-13	VYDAJ	PREVOD NA UCET	6404	46184	SIPO	AB	90867876
933770	3185	1998-02-13	VYDAJ	PREVOD NA UCET	6404	41482	SIPO	AB	90867876
933771	3185	1998-03-13	VYDAJ	PREVOD NA UCET	6404	47527	SIPO	AB	90867876
933772	3185	1998-04-13	VYDAJ	PREVOD NA UCET	6404	46286	SIPO	AB	90867876
933773	3185	1998-05-13	VYDAJ	PREVOD NA UCET	6404	50184	SIPO	AB	90867876
933774	3185	1998-06-13	VYDAJ	PREVOD NA UCET	6404	61275	SIPO	AB	90867876
933775	3185	1998-07-13	VYDAJ	PREVOD NA UCET	6404	51659	SIPO	AB	90867876
933776	3185	1998-08-13	VYDAJ	PREVOD NA UCET	6404	48734	SIPO	AB	90867876
933777	3185	1998-09-13	VYDAJ	PREVOD NA UCET	6404	53105	SIPO	AB	90867876
933778	3185	1998-10-13	VYDAJ	PREVOD NA UCET	6404	47444	SIPO	AB	90867876
933779	3185	1998-11-13	VYDAJ	PREVOD NA UCET	6404	50508	SIPO	AB	90867876
933780	3185	1998-12-13	VYDAJ	PREVOD NA UCET	6404	51767	SIPO	AB	90867876
933792	3185	1997-12-07	VYDAJ	PREVOD NA UCET	2041	63119	 	ST	46145159
933793	3185	1998-01-07	VYDAJ	PREVOD NA UCET	2041	56068	 	ST	46145159
933794	3185	1998-02-07	VYDAJ	PREVOD NA UCET	2041	47886	 	ST	46145159
933795	3185	1998-03-07	VYDAJ	PREVOD NA UCET	2041	53931	 	ST	46145159
933796	3185	1998-04-07	VYDAJ	PREVOD NA UCET	2041	52690	 	ST	46145159
933797	3185	1998-05-07	VYDAJ	PREVOD NA UCET	2041	56588	 	ST	46145159
933798	3185	1998-06-07	VYDAJ	PREVOD NA UCET	2041	67679	 	ST	46145159
933799	3185	1998-07-07	VYDAJ	PREVOD NA UCET	2041	58063	 	ST	46145159
933800	3185	1998-08-07	VYDAJ	PREVOD NA UCET	2041	57738	 	ST	46145159
933801	3185	1998-09-07	VYDAJ	PREVOD NA UCET	2041	59509	 	ST	46145159
933802	3185	1998-10-07	VYDAJ	PREVOD NA UCET	2041	58048	 	ST	46145159
933803	3185	1998-11-07	VYDAJ	PREVOD NA UCET	2041	56912	 	ST	46145159
933804	3185	1998-12-07	VYDAJ	PREVOD NA UCET	2041	58171	 	ST	46145159
933806	3185	1998-12-07	VYDAJ	VYBER	4320	60212	\N	\N	\N
933813	3185	1998-01-23	VYDAJ	VYBER	1200	41384	\N	\N	\N
933814	3185	1998-01-04	VYDAJ	VYBER	1440	44685	\N	\N	\N
933815	3185	1998-01-15	VYDAJ	VYBER	1200	44984	\N	\N	\N
933816	3185	1998-01-02	VYDAJ	VYBER	1800	46125	\N	\N	\N
933817	3185	1998-01-20	VYDAJ	VYBER	2400	42584	\N	\N	\N
933818	3185	1998-01-12	VYDAJ	VYBER	3480	52588	\N	\N	\N
933826	3185	1998-09-29	VYDAJ	VYBER KARTOU	700	46465	\N	\N	0
933827	3185	1998-02-03	VYDAJ	VYBER	3360	36503	\N	\N	\N
933828	3185	1998-05-02	VYDAJ	VYBER	1560	45205	\N	\N	\N
933829	3185	1998-06-29	VYDAJ	VYBER	4680	46455	\N	\N	\N
933830	3185	1998-08-09	VYDAJ	VYBER KARTOU	2600	55138	\N	\N	0
933831	3185	1998-08-25	VYDAJ	VYBER KARTOU	1700	47934	\N	\N	0
933832	3185	1998-10-08	VYDAJ	VYBER	4200	53848	\N	\N	\N
933833	3185	1998-09-22	VYDAJ	VYBER	4440	48665	\N	\N	\N
933834	3185	1998-06-25	VYDAJ	VYBER	3840	51135	\N	\N	\N
933847	3185	1997-12-31	VYDAJ	VYBER	15	47925	SLUZBY	\N	\N
933848	3185	1998-01-31	VYDAJ	VYBER	15	39863	SLUZBY	\N	\N
933849	3185	1998-02-28	VYDAJ	VYBER	15	42548	SLUZBY	\N	\N
933850	3185	1998-03-31	VYDAJ	VYBER	15	41307	SLUZBY	\N	\N
933851	3185	1998-04-30	VYDAJ	VYBER	15	46765	SLUZBY	\N	\N
933852	3185	1998-05-31	VYDAJ	VYBER	15	49584	SLUZBY	\N	\N
933853	3185	1998-06-30	VYDAJ	VYBER	15	46680	SLUZBY	\N	\N
933854	3185	1998-07-31	VYDAJ	VYBER	15	46355	SLUZBY	\N	\N
933855	3185	1998-08-31	VYDAJ	VYBER	15	48126	SLUZBY	\N	\N
933856	3185	1998-09-30	VYDAJ	VYBER	15	46665	SLUZBY	\N	\N
933857	3185	1998-10-31	VYDAJ	VYBER	15	45529	SLUZBY	\N	\N
933858	3185	1998-11-30	VYDAJ	VYBER	15	44396	SLUZBY	\N	\N
933859	3185	1997-08-28	PRIJEM	VKLAD	6900	21124	\N	\N	\N
933860	3185	1997-09-27	PRIJEM	VKLAD	900	35459	\N	\N	\N
933861	3185	1997-10-27	VYDAJ	VYBER	9100	39879	\N	\N	\N
933862	3185	1997-11-26	VYDAJ	VYBER	8600	44854	\N	\N	\N
933863	3185	1997-12-26	VYDAJ	VYBER	9000	47715	\N	\N	\N
933864	3185	1998-01-25	VYDAJ	VYBER	1700	39684	\N	\N	\N
933865	3185	1998-02-24	PRIJEM	VKLAD	900	42382	\N	\N	\N
933866	3185	1998-03-26	VYDAJ	VYBER	6400	41127	\N	\N	\N
933867	3185	1998-04-25	PRIJEM	VKLAD	300	46586	\N	\N	\N
933868	3185	1998-05-25	VYDAJ	VYBER	800	49384	\N	\N	\N
933869	3185	1998-06-24	VYDAJ	VYBER	6300	54975	\N	\N	\N
933870	3185	1998-07-24	VYDAJ	VYBER	5500	46159	\N	\N	\N
933871	3185	1998-08-23	PRIJEM	VKLAD	900	49634	\N	\N	\N
933872	3185	1998-09-22	VYDAJ	VYBER KARTOU	1500	47165	\N	\N	0
933873	3185	1998-10-22	VYDAJ	VYBER KARTOU	2100	45344	\N	\N	0
933874	3185	1998-11-21	VYDAJ	VYBER	6300	44208	\N	\N	\N
933892	3186	1995-05-28	PRIJEM	VKLAD	700	700	\N	\N	\N
933898	3186	1995-06-12	PRIJEM	VKLAD	31250	31950	\N	\N	\N
933899	3186	1995-07-12	PRIJEM	VKLAD	20833	48198	\N	\N	\N
933900	3186	1995-08-12	PRIJEM	VKLAD	20833	56351	\N	\N	\N
933901	3186	1995-09-12	PRIJEM	VKLAD	20833	61635	\N	\N	\N
933902	3186	1995-10-12	PRIJEM	VKLAD	20833	65641	\N	\N	\N
933903	3186	1995-11-12	PRIJEM	VKLAD	20833	52590	\N	\N	\N
933904	3186	1995-12-12	PRIJEM	VKLAD	31250	65064	\N	\N	\N
933905	3186	1996-01-12	PRIJEM	VKLAD	20833	41139	\N	\N	\N
933906	3186	1996-02-12	PRIJEM	VKLAD	20833	40657	\N	\N	\N
933907	3186	1996-03-12	PRIJEM	VKLAD	20833	49767	\N	\N	\N
933908	3186	1996-04-12	PRIJEM	VKLAD	20833	52199	\N	\N	\N
933909	3186	1996-05-12	PRIJEM	VKLAD	20833	52842	\N	\N	\N
933910	3186	1996-06-12	PRIJEM	VKLAD	31250	52696	\N	\N	\N
933911	3186	1996-07-12	PRIJEM	VKLAD	20833	52928	\N	\N	\N
933912	3186	1996-08-12	PRIJEM	VKLAD	20833	55875	\N	\N	\N
933913	3186	1996-09-12	PRIJEM	VKLAD	20833	50623	\N	\N	\N
933914	3186	1996-10-12	PRIJEM	VKLAD	20833	52656	\N	\N	\N
933915	3186	1996-11-12	PRIJEM	VKLAD	20833	54998	\N	\N	\N
933916	3186	1996-12-12	PRIJEM	VKLAD	31250	57153	\N	\N	\N
933917	3186	1997-01-12	PRIJEM	VKLAD	20833	44885	\N	\N	\N
933918	3186	1997-02-12	PRIJEM	VKLAD	20833	43390	\N	\N	\N
933919	3186	1997-03-12	PRIJEM	VKLAD	20833	45094	\N	\N	\N
933920	3186	1997-04-12	PRIJEM	VKLAD	20833	51611	\N	\N	\N
933921	3186	1997-05-12	PRIJEM	VKLAD	20833	55454	\N	\N	\N
933922	3186	1997-06-12	PRIJEM	VKLAD	31250	51321	\N	\N	\N
933923	3186	1997-07-12	PRIJEM	VKLAD	20833	55062	\N	\N	\N
933924	3186	1997-08-12	PRIJEM	VKLAD	20833	55505	\N	\N	\N
933925	3186	1997-09-12	PRIJEM	VKLAD	20833	57853	\N	\N	\N
933926	3186	1997-10-12	PRIJEM	VKLAD	20833	59507	\N	\N	\N
933927	3186	1997-11-12	PRIJEM	VKLAD	20833	52658	\N	\N	\N
933928	3186	1997-12-12	PRIJEM	VKLAD	31250	67823	\N	\N	\N
933929	3186	1998-01-12	PRIJEM	VKLAD	20833	62092	\N	\N	\N
933930	3186	1998-02-12	PRIJEM	VKLAD	20833	43828	\N	\N	\N
933931	3186	1998-03-12	PRIJEM	VKLAD	20833	57340	\N	\N	\N
933932	3186	1998-04-12	PRIJEM	VKLAD	20833	55080	\N	\N	\N
933933	3186	1998-05-12	PRIJEM	VKLAD	20833	52209	\N	\N	\N
933934	3186	1998-06-12	PRIJEM	VKLAD	31250	52541	\N	\N	\N
933935	3186	1998-07-12	PRIJEM	VKLAD	20833	48888	\N	\N	\N
933936	3186	1998-08-12	PRIJEM	VKLAD	20833	44749	\N	\N	\N
933937	3186	1998-09-12	PRIJEM	VKLAD	20833	42794	\N	\N	\N
933938	3186	1998-10-12	PRIJEM	VKLAD	20833	46531	\N	\N	\N
933939	3186	1998-11-12	PRIJEM	VKLAD	20833	46978	\N	\N	\N
933940	3186	1998-12-12	PRIJEM	VKLAD	31250	54741	\N	\N	\N
933951	3186	1995-11-11	VYDAJ	PREVOD NA UCET	7456	31757	SIPO	KL	13502067
933952	3186	1995-12-11	VYDAJ	PREVOD NA UCET	7456	33814	SIPO	KL	13502067
933953	3186	1996-01-11	VYDAJ	PREVOD NA UCET	7456	20306	SIPO	KL	13502067
933954	3186	1996-02-11	VYDAJ	PREVOD NA UCET	7456	19824	SIPO	KL	13502067
933955	3186	1996-03-11	VYDAJ	PREVOD NA UCET	7456	28934	SIPO	KL	13502067
933956	3186	1996-04-11	VYDAJ	PREVOD NA UCET	7456	31366	SIPO	KL	13502067
933957	3186	1996-05-11	VYDAJ	PREVOD NA UCET	7456	32009	SIPO	KL	13502067
933958	3186	1996-06-11	VYDAJ	PREVOD NA UCET	7456	21446	SIPO	KL	13502067
933959	3186	1996-07-11	VYDAJ	PREVOD NA UCET	7456	32095	SIPO	KL	13502067
933960	3186	1996-08-11	VYDAJ	PREVOD NA UCET	7456	35042	SIPO	KL	13502067
933961	3186	1996-09-11	VYDAJ	PREVOD NA UCET	7456	29790	SIPO	KL	13502067
933962	3186	1996-10-11	VYDAJ	PREVOD NA UCET	7456	31823	SIPO	KL	13502067
933963	3186	1996-11-11	VYDAJ	PREVOD NA UCET	7456	34165	SIPO	KL	13502067
933964	3186	1996-12-11	VYDAJ	PREVOD NA UCET	7456	25903	SIPO	KL	13502067
933965	3186	1997-01-11	VYDAJ	PREVOD NA UCET	7456	24052	SIPO	KL	13502067
933966	3186	1997-02-11	VYDAJ	PREVOD NA UCET	7456	22557	SIPO	KL	13502067
933967	3186	1997-03-11	VYDAJ	PREVOD NA UCET	7456	24261	SIPO	KL	13502067
933968	3186	1997-04-11	VYDAJ	PREVOD NA UCET	7456	30778	SIPO	KL	13502067
933969	3186	1997-05-11	VYDAJ	PREVOD NA UCET	7456	34621	SIPO	KL	13502067
933970	3186	1997-06-11	VYDAJ	PREVOD NA UCET	7456	35371	SIPO	KL	13502067
933971	3186	1997-07-11	VYDAJ	PREVOD NA UCET	7456	34229	SIPO	KL	13502067
933972	3186	1997-08-11	VYDAJ	PREVOD NA UCET	7456	34672	SIPO	KL	13502067
933973	3186	1997-09-11	VYDAJ	PREVOD NA UCET	7456	37020	SIPO	KL	13502067
933974	3186	1997-10-11	VYDAJ	PREVOD NA UCET	7456	38674	SIPO	KL	13502067
933975	3186	1997-11-11	VYDAJ	PREVOD NA UCET	7456	36525	SIPO	KL	13502067
933976	3186	1997-12-11	VYDAJ	PREVOD NA UCET	7456	36573	SIPO	KL	13502067
933977	3186	1998-01-11	VYDAJ	PREVOD NA UCET	7456	41259	SIPO	KL	13502067
933978	3186	1998-02-11	VYDAJ	PREVOD NA UCET	7456	22995	SIPO	KL	13502067
933979	3186	1998-03-11	VYDAJ	PREVOD NA UCET	7456	36507	SIPO	KL	13502067
933980	3186	1998-04-11	VYDAJ	PREVOD NA UCET	7456	34247	SIPO	KL	13502067
933981	3186	1998-05-11	VYDAJ	PREVOD NA UCET	7456	31376	SIPO	KL	13502067
933982	3186	1998-06-11	VYDAJ	PREVOD NA UCET	7456	28791	SIPO	KL	13502067
933983	3186	1998-07-11	VYDAJ	PREVOD NA UCET	7456	41655	SIPO	KL	13502067
933984	3186	1998-08-11	VYDAJ	PREVOD NA UCET	7456	23916	SIPO	KL	13502067
933985	3186	1998-09-11	VYDAJ	PREVOD NA UCET	7456	21961	SIPO	KL	13502067
933986	3186	1998-10-11	VYDAJ	PREVOD NA UCET	7456	25698	SIPO	KL	13502067
933987	3186	1998-11-11	VYDAJ	PREVOD NA UCET	7456	26145	SIPO	KL	13502067
933988	3186	1998-12-11	VYDAJ	PREVOD NA UCET	7456	23491	SIPO	KL	13502067
933990	3186	1996-06-09	VYDAJ	VYBER	4100	28902	\N	\N	\N
933991	3186	1997-06-11	VYDAJ	VYBER	15300	20071	\N	\N	\N
933992	3186	1998-06-17	VYDAJ	VYBER	3600	48941	\N	\N	\N
933994	3186	1996-01-10	VYDAJ	VYBER	9300	27762	\N	\N	\N
933995	3186	1997-01-10	VYDAJ	VYBER	1400	34408	\N	\N	\N
933996	3186	1998-01-26	VYDAJ	VYBER	5200	28892	\N	\N	\N
933997	3186	1995-12-21	VYDAJ	VYBER	1500	63564	\N	\N	\N
933998	3186	1996-12-05	VYDAJ	VYBER	2300	35059	\N	\N	\N
933999	3186	1997-12-04	VYDAJ	VYBER	1700	44029	\N	\N	\N
934000	3186	1998-12-27	VYDAJ	VYBER	2500	52241	\N	\N	\N
934007	3186	1996-01-06	VYDAJ	VYBER	1200	39862	\N	\N	\N
934008	3186	1996-01-12	VYDAJ	VYBER	900	40239	\N	\N	\N
934009	3186	1996-01-05	VYDAJ	VYBER	1500	41062	\N	\N	\N
934010	3186	1996-01-26	VYDAJ	VYBER	1800	30939	\N	\N	\N
934011	3186	1996-01-08	VYDAJ	VYBER	2800	37062	\N	\N	\N
934012	3186	1996-01-05	VYDAJ	VYBER	2200	42562	\N	\N	\N
934013	3186	1997-01-18	VYDAJ	VYBER	2000	31985	\N	\N	\N
934014	3186	1997-01-23	VYDAJ	VYBER	2100	29885	\N	\N	\N
934015	3186	1997-01-10	VYDAJ	VYBER	2900	31508	\N	\N	\N
934016	3186	1997-01-01	VYDAJ	VYBER	900	37908	\N	\N	\N
934017	3186	1997-01-02	VYDAJ	VYBER	2100	35808	\N	\N	\N
934018	3186	1997-01-12	VYDAJ	VYBER	2800	42085	\N	\N	\N
934019	3186	1998-01-15	VYDAJ	VYBER	1200	40092	\N	\N	\N
934020	3186	1998-01-17	VYDAJ	VYBER	2800	37292	\N	\N	\N
934021	3186	1998-01-15	VYDAJ	VYBER	1500	41292	\N	\N	\N
934022	3186	1998-01-06	VYDAJ	VYBER	500	48715	\N	\N	\N
934023	3186	1998-01-06	VYDAJ	VYBER	2600	49215	\N	\N	\N
934024	3186	1998-01-23	VYDAJ	VYBER	700	36592	\N	\N	\N
934028	3186	1995-11-11	VYDAJ	VYBER	3900	39213	\N	\N	\N
934030	3186	1995-11-07	VYDAJ	VYBER	1900	43113	\N	\N	\N
934032	3186	1996-03-16	VYDAJ	VYBER	3800	44867	\N	\N	\N
934033	3186	1996-02-06	VYDAJ	VYBER	3800	27280	\N	\N	\N
934034	3186	1996-12-07	VYDAJ	VYBER	1700	33359	\N	\N	\N
934035	3186	1996-11-15	VYDAJ	VYBER	2500	52498	\N	\N	\N
934036	3186	1996-05-24	VYDAJ	VYBER	4500	32842	\N	\N	\N
934037	3186	1996-08-28	VYDAJ	VYBER	2500	37075	\N	\N	\N
934038	3186	1996-03-14	VYDAJ	VYBER	1100	48667	\N	\N	\N
934039	3186	1997-01-16	VYDAJ	VYBER	1600	40485	\N	\N	\N
934040	3186	1997-11-11	VYDAJ	VYBER	4700	31825	\N	\N	\N
934041	3186	1997-02-25	VYDAJ	VYBER	4500	31590	\N	\N	\N
934042	3186	1997-05-11	VYDAJ	VYBER	2800	42077	\N	\N	\N
934043	3186	1998-08-04	VYDAJ	VYBER	3000	44972	\N	\N	\N
934044	3186	1998-04-23	VYDAJ	VYBER	1400	38680	\N	\N	\N
934045	3186	1998-11-17	VYDAJ	VYBER	3200	43778	\N	\N	\N
934046	3186	1998-01-25	VYDAJ	VYBER	2500	34092	\N	\N	\N
934047	3186	1998-07-13	VYDAJ	VYBER	1100	47788	\N	\N	\N
934048	3186	1998-01-29	VYDAJ	VYBER	4300	24592	\N	\N	\N
934049	3186	1998-08-21	VYDAJ	VYBER	1000	43749	\N	\N	\N
934060	3186	1995-10-31	VYDAJ	VYBER	15	45013	SLUZBY	\N	\N
934061	3186	1995-11-30	VYDAJ	VYBER	15	41270	SLUZBY	\N	\N
934062	3186	1995-12-31	VYDAJ	VYBER	15	44762	SLUZBY	\N	\N
934063	3186	1996-01-31	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
934064	3186	1996-02-29	VYDAJ	VYBER	15	36390	SLUZBY	\N	\N
934065	3186	1996-03-31	VYDAJ	VYBER	15	38822	SLUZBY	\N	\N
934066	3186	1996-04-30	VYDAJ	VYBER	15	39465	SLUZBY	\N	\N
934067	3186	1996-05-31	VYDAJ	VYBER	15	33002	SLUZBY	\N	\N
934068	3186	1996-06-30	VYDAJ	VYBER	15	39551	SLUZBY	\N	\N
934069	3186	1996-07-31	VYDAJ	VYBER	15	42498	SLUZBY	\N	\N
934070	3186	1996-08-31	VYDAJ	VYBER	15	37246	SLUZBY	\N	\N
934071	3186	1996-09-30	VYDAJ	VYBER	15	39279	SLUZBY	\N	\N
934072	3186	1996-10-31	VYDAJ	VYBER	15	41621	SLUZBY	\N	\N
934073	3186	1996-11-30	VYDAJ	VYBER	15	37359	SLUZBY	\N	\N
934074	3186	1996-12-31	VYDAJ	VYBER	15	38808	SLUZBY	\N	\N
934075	3186	1997-01-31	VYDAJ	VYBER	15	30013	SLUZBY	\N	\N
934076	3186	1997-02-28	VYDAJ	VYBER	15	31717	SLUZBY	\N	\N
934077	3186	1997-03-31	VYDAJ	VYBER	15	38234	SLUZBY	\N	\N
934078	3186	1997-04-30	VYDAJ	VYBER	15	44877	SLUZBY	\N	\N
934079	3186	1997-05-31	VYDAJ	VYBER	15	42827	SLUZBY	\N	\N
934080	3186	1997-06-30	VYDAJ	VYBER	15	41685	SLUZBY	\N	\N
934081	3186	1997-07-31	VYDAJ	VYBER	15	42128	SLUZBY	\N	\N
934082	3186	1997-08-31	VYDAJ	VYBER	15	44476	SLUZBY	\N	\N
934083	3186	1997-09-30	VYDAJ	VYBER	15	46130	SLUZBY	\N	\N
934084	3186	1997-10-31	VYDAJ	VYBER	15	43981	SLUZBY	\N	\N
934085	3186	1997-11-30	VYDAJ	VYBER	15	45729	SLUZBY	\N	\N
934086	3186	1997-12-31	VYDAJ	VYBER	15	51815	SLUZBY	\N	\N
934087	3186	1998-01-31	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
934088	3186	1998-02-28	VYDAJ	VYBER	15	43963	SLUZBY	\N	\N
934089	3186	1998-03-31	VYDAJ	VYBER	15	41703	SLUZBY	\N	\N
934090	3186	1998-04-30	VYDAJ	VYBER	15	38832	SLUZBY	\N	\N
934091	3186	1998-05-31	VYDAJ	VYBER	15	36247	SLUZBY	\N	\N
934092	3186	1998-06-30	VYDAJ	VYBER	15	49111	SLUZBY	\N	\N
934093	3186	1998-07-31	VYDAJ	VYBER	15	47972	SLUZBY	\N	\N
934094	3186	1998-08-31	VYDAJ	VYBER	15	43917	SLUZBY	\N	\N
934095	3186	1998-09-30	VYDAJ	VYBER	15	42954	SLUZBY	\N	\N
934096	3186	1998-10-31	VYDAJ	VYBER	15	46701	SLUZBY	\N	\N
934097	3186	1998-11-30	VYDAJ	VYBER	15	43947	SLUZBY	\N	\N
934098	3186	1995-06-27	VYDAJ	VYBER	4600	27350	\N	\N	\N
934099	3186	1995-07-27	VYDAJ	VYBER	12800	35398	\N	\N	\N
934100	3186	1995-08-26	VYDAJ	VYBER	15700	40651	\N	\N	\N
934101	3186	1995-09-25	VYDAJ	VYBER	17000	44635	\N	\N	\N
934102	3186	1995-10-25	VYDAJ	VYBER	20800	44841	\N	\N	\N
934103	3186	1995-11-24	VYDAJ	VYBER	11500	41090	\N	\N	\N
934104	3186	1995-12-24	VYDAJ	VYBER	19000	44564	\N	\N	\N
934105	3186	1996-01-23	VYDAJ	VYBER	7500	32739	\N	\N	\N
934106	3186	1996-02-22	VYDAJ	VYBER	4400	36257	\N	\N	\N
934107	3186	1996-03-23	VYDAJ	VYBER	6200	38667	\N	\N	\N
934108	3186	1996-04-22	VYDAJ	VYBER	12900	39299	\N	\N	\N
934109	3186	1996-05-22	VYDAJ	VYBER	15500	37342	\N	\N	\N
934110	3186	1996-06-21	VYDAJ	VYBER	13300	39396	\N	\N	\N
934111	3186	1996-07-21	VYDAJ	VYBER	10600	42328	\N	\N	\N
934112	3186	1996-08-20	VYDAJ	VYBER	16300	39575	\N	\N	\N
934113	3186	1996-09-19	VYDAJ	VYBER	11500	39123	\N	\N	\N
934114	3186	1996-10-19	VYDAJ	VYBER	11200	41456	\N	\N	\N
934115	3186	1996-11-18	VYDAJ	VYBER	15300	37198	\N	\N	\N
934116	3186	1996-12-18	VYDAJ	VYBER	18500	38653	\N	\N	\N
934117	3186	1997-01-17	VYDAJ	VYBER	6500	33985	\N	\N	\N
934118	3186	1997-02-16	VYDAJ	VYBER	7300	36090	\N	\N	\N
934119	3186	1997-03-18	VYDAJ	VYBER	7000	38094	\N	\N	\N
934120	3186	1997-04-17	VYDAJ	VYBER	6900	44711	\N	\N	\N
934121	3186	1997-05-17	VYDAJ	VYBER	12800	42654	\N	\N	\N
934122	3186	1997-06-16	VYDAJ	VYBER	9800	41521	\N	\N	\N
934123	3186	1997-07-16	VYDAJ	VYBER	13100	41962	\N	\N	\N
934124	3186	1997-08-15	VYDAJ	VYBER	11200	44305	\N	\N	\N
934125	3186	1997-09-14	VYDAJ	VYBER	11900	45953	\N	\N	\N
934126	3186	1997-10-14	VYDAJ	VYBER	15700	43807	\N	\N	\N
934127	3186	1997-11-13	VYDAJ	VYBER	7100	45558	\N	\N	\N
934128	3186	1997-12-13	VYDAJ	VYBER	16200	51623	\N	\N	\N
934129	3186	1998-01-12	VYDAJ	VYBER	19300	42792	\N	\N	\N
934130	3186	1998-02-11	PRIJEM	VKLAD	5700	30451	\N	\N	\N
934131	3186	1998-03-13	VYDAJ	VYBER	15800	41540	\N	\N	\N
934132	3186	1998-04-12	VYDAJ	VYBER	15000	40080	\N	\N	\N
934133	3186	1998-05-12	VYDAJ	VYBER	16100	36109	\N	\N	\N
934134	3186	1998-06-11	VYDAJ	VYBER	7500	21291	\N	\N	\N
934135	3186	1998-07-11	VYDAJ	VYBER	13600	28055	\N	\N	\N
934136	3186	1998-08-10	VYDAJ	VYBER	13600	31372	\N	\N	\N
934137	3186	1998-09-09	VYDAJ	VYBER	14500	29417	\N	\N	\N
934138	3186	1998-10-09	VYDAJ	VYBER	9800	33154	\N	\N	\N
934139	3186	1998-11-08	VYDAJ	VYBER	13100	33601	\N	\N	\N
934140	3186	1998-12-08	VYDAJ	VYBER	13000	30947	\N	\N	\N
934184	3187	1997-12-20	PRIJEM	VKLAD	500	500	\N	\N	\N
934187	3187	1998-02-05	PRIJEM	VKLAD	3737	16059	\N	\N	\N
934188	3187	1998-06-20	PRIJEM	VKLAD	7717	19888	\N	\N	\N
934201	3187	1998-01-13	PRIJEM	VKLAD	600	1100	\N	\N	\N
934202	3187	1998-02-13	PRIJEM	VKLAD	600	16659	\N	\N	\N
934203	3187	1998-03-16	PRIJEM	VKLAD	600	17220	\N	\N	\N
934204	3187	1998-04-14	PRIJEM	VKLAD	600	15787	\N	\N	\N
934205	3187	1998-05-15	PRIJEM	VKLAD	600	14132	\N	\N	\N
934206	3187	1998-06-16	PRIJEM	VKLAD	600	12171	\N	\N	\N
934207	3187	1998-07-13	PRIJEM	VKLAD	600	18234	\N	\N	\N
934208	3187	1998-08-14	PRIJEM	VKLAD	600	14896	\N	\N	\N
934209	3187	1998-09-15	PRIJEM	VKLAD	600	13939	\N	\N	\N
934210	3187	1998-10-16	PRIJEM	VKLAD	600	13879	\N	\N	\N
934211	3187	1998-11-14	PRIJEM	VKLAD	600	16425	\N	\N	\N
934212	3187	1998-12-15	PRIJEM	VKLAD	600	13769	\N	\N	\N
934219	3187	1998-07-18	PRIJEM	VKLAD	1900	20134	\N	\N	\N
934220	3187	1998-08-18	PRIJEM	VKLAD	1900	13296	\N	\N	\N
934221	3187	1998-09-18	PRIJEM	VKLAD	1900	13239	\N	\N	\N
934222	3187	1998-10-18	PRIJEM	VKLAD	1900	15779	\N	\N	\N
934223	3187	1998-11-18	PRIJEM	VKLAD	1900	13125	\N	\N	\N
934224	3187	1998-12-18	PRIJEM	VKLAD	1900	15669	\N	\N	\N
934234	3187	1998-12-27	VYDAJ	VYBER	2200	13469	\N	\N	\N
934250	3187	1998-06-30	VYDAJ	VYBER	2300	17634	\N	\N	\N
934270	3187	1998-04-30	VYDAJ	VYBER	15	13532	SLUZBY	\N	\N
934271	3187	1998-05-31	VYDAJ	VYBER	15	11571	SLUZBY	\N	\N
934272	3187	1998-06-30	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
934273	3187	1998-07-31	VYDAJ	VYBER	15	14296	SLUZBY	\N	\N
934274	3187	1998-08-31	VYDAJ	VYBER	15	13339	SLUZBY	\N	\N
934275	3187	1998-09-30	VYDAJ	VYBER	15	13279	SLUZBY	\N	\N
934276	3187	1998-10-31	VYDAJ	VYBER	15	15825	SLUZBY	\N	\N
934277	3187	1998-11-30	VYDAJ	VYBER	15	13169	SLUZBY	\N	\N
934278	3187	1998-01-19	PRIJEM	VKLAD	11200	12300	\N	\N	\N
934279	3187	1998-02-18	VYDAJ	VYBER	100	16559	\N	\N	\N
934280	3187	1998-03-20	VYDAJ	VYBER	2100	15120	\N	\N	\N
934281	3187	1998-04-19	VYDAJ	VYBER	2300	13487	\N	\N	\N
934282	3187	1998-05-19	VYDAJ	VYBER	2600	11532	\N	\N	\N
934283	3187	1998-07-18	VYDAJ	VYBER	5900	14234	\N	\N	\N
934284	3187	1998-08-17	VYDAJ	VYBER	3500	11396	\N	\N	\N
934285	3187	1998-09-16	VYDAJ	VYBER	2600	11339	\N	\N	\N
934286	3187	1998-11-15	VYDAJ	VYBER	5200	11225	\N	\N	\N
934299	3188	1997-02-20	PRIJEM	VKLAD	400	400	\N	\N	\N
934302	3188	1997-03-05	PRIJEM	VKLAD	15513	15913	\N	\N	\N
934303	3188	1997-04-05	PRIJEM	VKLAD	15513	34752	\N	\N	\N
934304	3188	1997-05-05	PRIJEM	VKLAD	15513	43657	\N	\N	\N
934305	3188	1997-06-05	PRIJEM	VKLAD	23270	57352	\N	\N	\N
934306	3188	1997-07-05	PRIJEM	VKLAD	15513	58120	\N	\N	\N
934307	3188	1997-08-05	PRIJEM	VKLAD	15513	52056	\N	\N	\N
934308	3188	1997-09-05	PRIJEM	VKLAD	15513	49791	\N	\N	\N
934309	3188	1997-10-05	PRIJEM	VKLAD	15513	47416	\N	\N	\N
934310	3188	1997-11-05	PRIJEM	VKLAD	15513	46933	\N	\N	\N
934311	3188	1997-12-05	PRIJEM	VKLAD	23270	50999	\N	\N	\N
934312	3188	1998-01-05	PRIJEM	VKLAD	15513	47516	\N	\N	\N
934313	3188	1998-02-05	PRIJEM	VKLAD	15513	35705	\N	\N	\N
934314	3188	1998-03-05	PRIJEM	VKLAD	15513	35572	\N	\N	\N
934315	3188	1998-04-05	PRIJEM	VKLAD	15513	34598	\N	\N	\N
934316	3188	1998-05-05	PRIJEM	VKLAD	15513	32257	\N	\N	\N
934317	3188	1998-06-05	PRIJEM	VKLAD	23270	38063	\N	\N	\N
934318	3188	1998-07-05	PRIJEM	VKLAD	15513	30014	\N	\N	\N
934319	3188	1998-08-05	PRIJEM	VKLAD	15513	29309	\N	\N	\N
934320	3188	1998-09-05	PRIJEM	VKLAD	15513	33782	\N	\N	\N
934321	3188	1998-10-05	PRIJEM	VKLAD	15513	41758	\N	\N	\N
934322	3188	1998-11-05	PRIJEM	VKLAD	15513	34930	\N	\N	\N
934323	3188	1998-12-05	PRIJEM	VKLAD	23270	40742	\N	\N	\N
934330	3188	1997-07-08	VYDAJ	PREVOD NA UCET	7623	50497	SIPO	AB	82353186
934331	3188	1997-08-08	VYDAJ	PREVOD NA UCET	7623	44433	SIPO	AB	82353186
934332	3188	1997-09-08	VYDAJ	PREVOD NA UCET	7623	42168	SIPO	AB	82353186
934333	3188	1997-10-08	VYDAJ	PREVOD NA UCET	7623	39793	SIPO	AB	82353186
934334	3188	1997-11-08	VYDAJ	PREVOD NA UCET	7623	39310	SIPO	AB	82353186
934335	3188	1997-12-08	VYDAJ	PREVOD NA UCET	7623	43376	SIPO	AB	82353186
934336	3188	1998-01-08	VYDAJ	PREVOD NA UCET	7623	31213	SIPO	AB	82353186
934337	3188	1998-02-08	VYDAJ	PREVOD NA UCET	7623	28082	SIPO	AB	82353186
934338	3188	1998-03-08	VYDAJ	PREVOD NA UCET	7623	27949	SIPO	AB	82353186
934339	3188	1998-04-08	VYDAJ	PREVOD NA UCET	7623	26975	SIPO	AB	82353186
934340	3188	1998-05-08	VYDAJ	PREVOD NA UCET	7623	24634	SIPO	AB	82353186
934341	3188	1998-06-08	VYDAJ	PREVOD NA UCET	7623	30440	SIPO	AB	82353186
934342	3188	1998-07-08	VYDAJ	PREVOD NA UCET	7623	22391	SIPO	AB	82353186
934343	3188	1998-08-08	VYDAJ	PREVOD NA UCET	7623	18206	SIPO	AB	82353186
934344	3188	1998-09-08	VYDAJ	PREVOD NA UCET	7623	26159	SIPO	AB	82353186
934345	3188	1998-10-08	VYDAJ	PREVOD NA UCET	7623	34135	SIPO	AB	82353186
934346	3188	1998-11-08	VYDAJ	PREVOD NA UCET	7623	27307	SIPO	AB	82353186
934347	3188	1998-12-08	VYDAJ	PREVOD NA UCET	7623	33119	SIPO	AB	82353186
934351	3188	1998-01-06	VYDAJ	VYBER	7840	38836	\N	\N	\N
934352	3188	1997-12-11	VYDAJ	VYBER	800	42576	\N	\N	\N
934360	3188	1998-01-27	VYDAJ	VYBER	2040	20093	\N	\N	\N
934361	3188	1998-01-05	VYDAJ	VYBER	840	46676	\N	\N	\N
934362	3188	1998-01-14	VYDAJ	VYBER	840	28213	\N	\N	\N
934363	3188	1998-01-23	VYDAJ	VYBER	1560	22133	\N	\N	\N
934364	3188	1998-01-11	VYDAJ	VYBER	2160	29053	\N	\N	\N
934365	3188	1998-01-14	VYDAJ	VYBER	720	27493	\N	\N	\N
934367	3188	1997-07-27	VYDAJ	VYBER	720	36377	\N	\N	\N
934368	3188	1998-07-15	VYDAJ	VYBER	2160	20231	\N	\N	\N
934369	3188	1998-03-15	VYDAJ	VYBER	2640	25309	\N	\N	\N
934371	3188	1998-03-26	VYDAJ	VYBER	600	19009	\N	\N	\N
934372	3188	1998-08-05	VYDAJ	VYBER	3480	25829	\N	\N	\N
934380	3188	1997-07-31	VYDAJ	VYBER	15	36543	SLUZBY	\N	\N
934381	3188	1997-08-31	VYDAJ	VYBER	15	34278	SLUZBY	\N	\N
934382	3188	1997-09-30	VYDAJ	VYBER	15	31903	SLUZBY	\N	\N
934383	3188	1997-10-31	VYDAJ	VYBER	15	31420	SLUZBY	\N	\N
934384	3188	1997-11-30	VYDAJ	VYBER	15	27729	SLUZBY	\N	\N
934385	3188	1997-12-31	VYDAJ	VYBER	15	32003	SLUZBY	\N	\N
934386	3188	1998-01-31	VYDAJ	VYBER	15	20192	SLUZBY	\N	\N
934387	3188	1998-02-28	VYDAJ	VYBER	15	20059	SLUZBY	\N	\N
934388	3188	1998-03-31	VYDAJ	VYBER	15	19085	SLUZBY	\N	\N
934389	3188	1998-04-30	VYDAJ	VYBER	15	16744	SLUZBY	\N	\N
934390	3188	1998-05-31	VYDAJ	VYBER	15	14793	SLUZBY	\N	\N
934391	3188	1998-06-30	VYDAJ	VYBER	15	14501	SLUZBY	\N	\N
934392	3188	1998-07-31	VYDAJ	VYBER	15	13796	SLUZBY	\N	\N
934393	3188	1998-08-31	VYDAJ	VYBER	15	18269	SLUZBY	\N	\N
934394	3188	1998-09-30	VYDAJ	VYBER	15	26245	SLUZBY	\N	\N
934395	3188	1998-10-31	VYDAJ	VYBER	15	19417	SLUZBY	\N	\N
934396	3188	1998-11-30	VYDAJ	VYBER	15	17472	SLUZBY	\N	\N
934397	3188	1997-03-22	PRIJEM	VKLAD	3300	19213	\N	\N	\N
934398	3188	1997-04-21	VYDAJ	VYBER	6700	28052	\N	\N	\N
934399	3188	1997-05-21	VYDAJ	VYBER	9700	33957	\N	\N	\N
934400	3188	1997-06-20	VYDAJ	VYBER	14900	42452	\N	\N	\N
934401	3188	1997-07-20	VYDAJ	VYBER	13400	37097	\N	\N	\N
934402	3188	1997-08-19	VYDAJ	VYBER	10300	34133	\N	\N	\N
934403	3188	1997-09-18	VYDAJ	VYBER	10400	31768	\N	\N	\N
934404	3188	1997-10-18	VYDAJ	VYBER	8500	31293	\N	\N	\N
934405	3188	1997-11-17	VYDAJ	VYBER	11700	27610	\N	\N	\N
934406	3188	1997-12-17	VYDAJ	VYBER	10700	31876	\N	\N	\N
934407	3188	1998-01-16	VYDAJ	VYBER	3800	23693	\N	\N	\N
934408	3188	1998-02-15	VYDAJ	VYBER	8100	19982	\N	\N	\N
934409	3188	1998-03-17	VYDAJ	VYBER	5700	19609	\N	\N	\N
934410	3188	1998-04-16	VYDAJ	VYBER	10300	16675	\N	\N	\N
934411	3188	1998-05-16	VYDAJ	VYBER	9900	14734	\N	\N	\N
934412	3188	1998-06-15	VYDAJ	VYBER	16000	14440	\N	\N	\N
934413	3188	1998-07-15	VYDAJ	VYBER	6500	13731	\N	\N	\N
934414	3188	1998-10-13	VYDAJ	VYBER	14800	19335	\N	\N	\N
934415	3188	1998-11-12	VYDAJ	VYBER	9900	17407	\N	\N	\N
934416	3188	1998-12-12	VYDAJ	VYBER	15800	17319	\N	\N	\N
934439	3189	1995-11-29	PRIJEM	VKLAD	800	800	\N	\N	\N
934440	3189	1995-12-10	PRIJEM	VKLAD	25532	35868	\N	\N	\N
934456	3189	1995-12-06	PRIJEM	VKLAD	9536	10336	\N	\N	\N
934457	3189	1996-12-06	PRIJEM	VKLAD	10406	71379	\N	\N	\N
934458	3189	1996-04-28	PRIJEM	VKLAD	31082	55286	\N	\N	\N
934459	3189	1996-07-28	PRIJEM	VKLAD	14991	48953	\N	\N	\N
934460	3189	1996-11-16	PRIJEM	VKLAD	8039	93440	\N	\N	\N
934461	3189	1996-08-27	PRIJEM	VKLAD	38777	71946	\N	\N	\N
934462	3189	1996-06-04	PRIJEM	VKLAD	7680	67330	\N	\N	\N
934463	3189	1996-09-25	PRIJEM	VKLAD	40666	86013	\N	\N	\N
934464	3189	1996-07-23	PRIJEM	VKLAD	25756	40462	\N	\N	\N
934465	3189	1996-10-17	PRIJEM	VKLAD	33042	111101	\N	\N	\N
934466	3189	1996-10-14	PRIJEM	VKLAD	44352	130659	\N	\N	\N
934467	3189	1996-01-09	PRIJEM	VKLAD	40287	69158	\N	\N	\N
934468	3189	1996-06-01	PRIJEM	VKLAD	18524	59650	\N	\N	\N
934469	3189	1996-10-28	PRIJEM	VKLAD	23545	90246	\N	\N	\N
934470	3189	1997-10-25	PRIJEM	VKLAD	36682	53329	\N	\N	\N
934471	3189	1997-02-28	PRIJEM	VKLAD	8713	26013	\N	\N	\N
934472	3189	1998-09-04	PRIJEM	VKLAD	18833	44885	\N	\N	\N
934473	3189	1998-07-18	PRIJEM	VKLAD	24138	52875	\N	\N	\N
934474	3189	1998-04-03	PRIJEM	VKLAD	17356	31736	\N	\N	\N
934475	3189	1998-01-31	PRIJEM	VKLAD	28090	28058	\N	\N	\N
934476	3189	1998-03-27	PRIJEM	VKLAD	28157	28778	\N	\N	\N
934477	3189	1998-04-07	PRIJEM	VKLAD	37433	69169	\N	\N	\N
934495	3189	1996-06-13	VYDAJ	VYBER	5200	62130	\N	\N	0
934496	3189	1996-07-15	VYDAJ	VYBER	4000	16506	\N	\N	0
934497	3189	1996-08-01	VYDAJ	VYBER	4800	44269	\N	\N	0
934498	3189	1996-08-26	VYDAJ	VYBER	3000	33169	\N	\N	0
934499	3189	1996-10-22	VYDAJ	VYBER	4700	106401	\N	\N	0
934500	3189	1996-11-03	VYDAJ	VYBER	5200	85401	\N	\N	0
934501	3189	1996-12-06	VYDAJ	VYBER	4900	66479	\N	\N	0
934502	3189	1997-01-12	VYDAJ	PREVOD NA UCET	3703	8194	UVER	WX	75490885
934503	3189	1997-02-12	VYDAJ	PREVOD NA UCET	3703	7844	UVER	WX	75490885
934504	3189	1997-03-12	VYDAJ	PREVOD NA UCET	3703	22296	UVER	WX	75490885
934505	3189	1997-04-12	VYDAJ	PREVOD NA UCET	3703	23883	UVER	WX	75490885
934506	3189	1997-05-12	VYDAJ	PREVOD NA UCET	3703	23280	UVER	WX	75490885
934507	3189	1997-06-12	VYDAJ	PREVOD NA UCET	3703	23275	UVER	WX	75490885
934508	3189	1997-07-12	VYDAJ	PREVOD NA UCET	3703	21167	UVER	WX	75490885
934509	3189	1997-08-12	VYDAJ	PREVOD NA UCET	3703	20152	UVER	WX	75490885
934512	3189	1997-11-12	VYDAJ	PREVOD NA UCET	3703	49704	UVER	WX	75490885
934513	3189	1997-12-12	VYDAJ	PREVOD NA UCET	3703	36686	UVER	WX	75490885
934515	3189	1998-02-12	VYDAJ	PREVOD NA UCET	3703	24341	UVER	WX	75490885
934517	3189	1998-04-12	VYDAJ	PREVOD NA UCET	3703	65466	UVER	WX	75490885
934518	3189	1998-05-12	VYDAJ	PREVOD NA UCET	3703	47354	UVER	WX	75490885
934519	3189	1998-06-12	VYDAJ	PREVOD NA UCET	3703	31611	UVER	WX	75490885
934520	3189	1998-07-12	VYDAJ	PREVOD NA UCET	3703	24037	UVER	WX	75490885
934521	3189	1998-08-12	VYDAJ	PREVOD NA UCET	3703	24705	UVER	WX	75490885
934522	3189	1998-09-12	VYDAJ	PREVOD NA UCET	3703	41182	UVER	WX	75490885
934523	3189	1998-10-12	VYDAJ	PREVOD NA UCET	3703	29508	UVER	WX	75490885
934524	3189	1998-11-12	VYDAJ	PREVOD NA UCET	3703	18108	UVER	WX	75490885
934525	3189	1998-12-12	VYDAJ	PREVOD NA UCET	3703	23453	UVER	WX	75490885
934538	3189	1996-07-07	VYBER	VYBER	12825	20506	\N	\N	\N
934543	3189	1998-07-20	VYBER	VYBER	24577	28298	\N	\N	\N
934544	3189	1998-12-16	VYBER	VYBER	6195	20458	\N	\N	\N
934545	3189	1998-03-31	VYBER	VYBER	14428	14394	\N	\N	\N
934546	3189	1998-09-14	VYBER	VYBER	7087	34095	\N	\N	\N
934547	3189	1998-02-28	VYBER	VYBER	24579	6081	\N	\N	\N
934548	3189	1998-12-03	VYBER	VYBER	2548	27156	\N	\N	\N
934549	3189	1998-03-23	VYBER	VYBER	17656	621	\N	\N	\N
934551	3189	1998-08-13	VYBER	VYBER	8149	16556	\N	\N	\N
934552	3189	1998-03-01	VYBER	VYBER	6989	-923	\N	\N	\N
934554	3189	1996-06-15	VYDAJ	VYBER	17700	44430	\N	\N	\N
934559	3189	1997-01-11	VYDAJ	VYBER	16200	11896	\N	\N	\N
934560	3189	1998-01-19	VYDAJ	VYBER	12000	2325	\N	\N	\N
934562	3189	1996-12-10	VYDAJ	VYBER	6900	59579	\N	\N	\N
934563	3189	1997-12-22	VYDAJ	VYBER	2700	31386	\N	\N	\N
934564	3189	1998-12-15	VYDAJ	VYBER	6000	26653	\N	\N	\N
934577	3189	1997-01-29	VYDAJ	VYBER	2400	11494	\N	\N	\N
934578	3189	1997-01-17	VYDAJ	VYBER	4800	3394	\N	\N	\N
934579	3189	1997-01-03	VYDAJ	VYBER	1800	33196	\N	\N	\N
934580	3189	1997-01-03	VYDAJ	VYBER	5400	34996	\N	\N	\N
934581	3189	1997-01-18	VYDAJ	VYBER	3000	394	\N	\N	\N
934582	3189	1997-01-05	VYDAJ	VYBER	5100	28096	\N	\N	\N
934583	3189	1998-01-06	VYDAJ	VYBER	6900	18025	\N	\N	\N
934584	3189	1998-01-26	VYDAJ	VYBER	2400	-75	\N	\N	\N
934585	3189	1998-01-06	VYDAJ	VYBER	6600	24925	\N	\N	\N
934586	3189	1998-01-08	VYDAJ	VYBER	7500	5725	\N	\N	\N
934587	3189	1998-01-08	VYDAJ	VYBER	6000	-275	\N	\N	\N
934588	3189	1998-01-07	VYDAJ	VYBER	4800	13225	\N	\N	\N
934595	3189	1996-09-15	VYDAJ	VYBER	4500	67647	\N	\N	\N
934596	3189	1996-07-17	VYDAJ	VYBER	1800	14706	\N	\N	\N
934597	3189	1997-10-05	VYDAJ	VYBER	14100	-2253	\N	\N	\N
934598	3189	1997-09-08	VYDAJ	VYBER	14700	6032	\N	\N	\N
934599	3189	1997-03-16	VYDAJ	VYBER	2400	19896	\N	\N	\N
934600	3189	1997-09-09	VYDAJ	VYBER	7500	-1468	\N	\N	\N
934601	3189	1997-09-13	VYDAJ	VYBER	4500	-5968	\N	\N	\N
934602	3189	1998-12-16	VYDAJ	VYBER	3300	17158	\N	\N	\N
934603	3189	1998-06-28	VYDAJ	VYBER	7500	27611	\N	\N	\N
934604	3189	1998-05-13	VYDAJ	VYBER	9000	38354	\N	\N	\N
934605	3189	1998-10-20	VYDAJ	VYBER	7500	21708	\N	\N	\N
934624	3189	1996-06-30	VYDAJ	VYBER	15	33331	SLUZBY	\N	\N
934625	3189	1996-07-31	VYDAJ	VYBER	15	49069	SLUZBY	\N	\N
934626	3189	1996-08-31	VYDAJ	VYBER	15	72147	SLUZBY	\N	\N
934627	3189	1996-09-30	VYDAJ	VYBER	15	86307	SLUZBY	\N	\N
934628	3189	1996-10-31	VYDAJ	VYBER	15	90601	SLUZBY	\N	\N
934629	3189	1996-11-30	VYDAJ	VYBER	15	60973	SLUZBY	\N	\N
934630	3189	1996-12-31	VYDAJ	VYBER	15	40396	SLUZBY	\N	\N
934631	3189	1997-01-31	VYDAJ	VYBER	15	11547	SLUZBY	\N	\N
934632	3189	1997-02-28	VYDAJ	VYBER	15	25999	SLUZBY	\N	\N
934633	3189	1997-03-31	VYDAJ	VYBER	15	27586	SLUZBY	\N	\N
934634	3189	1997-04-30	VYDAJ	VYBER	15	26983	SLUZBY	\N	\N
934635	3189	1997-05-31	VYDAJ	VYBER	15	26978	SLUZBY	\N	\N
934636	3189	1997-06-30	VYDAJ	VYBER	15	24870	SLUZBY	\N	\N
934637	3189	1997-07-31	VYDAJ	VYBER	15	23855	SLUZBY	\N	\N
934638	3189	1997-08-31	VYDAJ	VYBER	15	20732	SLUZBY	\N	\N
934639	3189	1997-09-30	VYDAJ	VYBER	15	11847	SLUZBY	\N	\N
934640	3189	1997-10-31	VYDAJ	VYBER	15	53407	SLUZBY	\N	\N
934641	3189	1997-11-30	VYDAJ	VYBER	15	40389	SLUZBY	\N	\N
934642	3189	1997-12-31	VYDAJ	VYBER	15	31525	SLUZBY	\N	\N
934643	3189	1998-01-31	VYDAJ	VYBER	15	28044	SLUZBY	\N	\N
934644	3189	1998-02-28	VYDAJ	VYBER	15	6066	SLUZBY	\N	\N
934645	3189	1998-03-31	VYDAJ	VYBER	15	14380	SLUZBY	\N	\N
934646	3189	1998-04-30	VYDAJ	VYBER	15	51056	SLUZBY	\N	\N
934647	3189	1998-05-31	VYDAJ	VYBER	15	35313	SLUZBY	\N	\N
934648	3189	1998-06-30	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
934649	3189	1998-07-31	VYDAJ	VYBER	15	28408	SLUZBY	\N	\N
934650	3189	1998-08-31	VYDAJ	VYBER	15	26052	SLUZBY	\N	\N
934651	3189	1998-09-30	VYDAJ	VYBER	15	33211	SLUZBY	\N	\N
934652	3189	1998-10-31	VYDAJ	VYBER	15	21810	SLUZBY	\N	\N
934653	3189	1998-11-30	VYDAJ	VYBER	15	29704	SLUZBY	\N	\N
934654	3189	1995-12-29	VYDAJ	VYBER	7100	28768	\N	\N	\N
934655	3189	1996-01-28	VYDAJ	VYBER	19400	49758	\N	\N	\N
934656	3189	1996-02-27	VYDAJ	VYBER	11400	38489	\N	\N	\N
934657	3189	1996-03-28	VYDAJ	VYBER	9000	29697	\N	\N	\N
934658	3189	1996-04-27	VYDAJ	VYBER	5700	24204	\N	\N	\N
934659	3189	1996-05-27	VYDAJ	VYBER	14600	40896	\N	\N	\N
934660	3189	1996-06-26	VYDAJ	VYBER	11300	33130	\N	\N	\N
934661	3189	1996-07-26	VYDAJ	VYBER	6500	33962	\N	\N	\N
934662	3189	1996-08-25	VYDAJ	VYBER	8100	36169	\N	\N	\N
934663	3189	1996-09-24	VYDAJ	VYBER	22300	45347	\N	\N	\N
934664	3189	1996-10-14	VYDAJ	VYBER	52600	78059	\N	\N	\N
934665	3189	1996-10-24	VYDAJ	VYBER	39700	66701	\N	\N	\N
934666	3189	1996-11-23	VYDAJ	VYBER	32800	60640	\N	\N	\N
934667	3189	1996-12-23	VYDAJ	VYBER	19400	40179	\N	\N	\N
934668	3189	1997-01-22	PRIJEM	VKLAD	13500	13894	\N	\N	\N
934669	3189	1997-02-21	PRIJEM	VKLAD	9400	17244	\N	\N	\N
934670	3189	1997-03-23	PRIJEM	VKLAD	7600	27496	\N	\N	\N
934671	3189	1997-04-22	PRIJEM	VKLAD	3000	26883	\N	\N	\N
934672	3189	1997-05-22	PRIJEM	VKLAD	3600	26880	\N	\N	\N
934673	3189	1997-06-21	PRIJEM	VKLAD	1500	24775	\N	\N	\N
934674	3189	1997-07-21	PRIJEM	VKLAD	2600	23767	\N	\N	\N
934675	3189	1997-08-20	PRIJEM	VKLAD	500	20652	\N	\N	\N
934676	3189	1997-09-19	PRIJEM	VKLAD	17800	11832	\N	\N	\N
934677	3189	1997-10-19	PRIJEM	VKLAD	18900	16647	\N	\N	\N
934678	3189	1997-11-18	VYDAJ	VYBER	9500	40204	\N	\N	\N
934679	3189	1997-12-18	VYDAJ	VYBER	2600	34086	\N	\N	\N
934680	3189	1998-01-17	PRIJEM	VKLAD	14600	14325	\N	\N	\N
934681	3189	1998-02-16	PRIJEM	VKLAD	6200	30541	\N	\N	\N
934682	3189	1998-03-18	PRIJEM	VKLAD	19200	18277	\N	\N	\N
934683	3189	1998-04-17	VYDAJ	VYBER	14600	50866	\N	\N	\N
934684	3189	1998-05-17	VYDAJ	VYBER	3200	35154	\N	\N	\N
934685	3189	1998-06-16	PRIJEM	VKLAD	3500	35111	\N	\N	\N
934686	3189	1998-07-16	PRIJEM	VKLAD	4700	28737	\N	\N	\N
934687	3189	1998-08-15	PRIJEM	VKLAD	9400	25956	\N	\N	\N
934688	3189	1998-09-14	VYDAJ	VYBER	1000	33095	\N	\N	\N
934689	3189	1998-10-14	VYDAJ	VYBER	300	29208	\N	\N	\N
934690	3189	1998-11-13	PRIJEM	VKLAD	11500	29608	\N	\N	\N
934691	3189	1998-12-13	PRIJEM	VKLAD	9200	32653	\N	\N	\N
934730	3190	1996-12-30	PRIJEM	VKLAD	1000	1000	\N	\N	\N
934743	3190	1997-01-09	PRIJEM	VKLAD	10263	11263	\N	\N	\N
934744	3190	1997-02-09	PRIJEM	VKLAD	10263	29734	\N	\N	\N
934745	3190	1997-03-09	PRIJEM	VKLAD	10263	34779	\N	\N	\N
934746	3190	1997-04-09	PRIJEM	VKLAD	10263	39845	\N	\N	\N
934747	3190	1997-05-09	PRIJEM	VKLAD	10263	44332	\N	\N	\N
934748	3190	1997-06-09	PRIJEM	VKLAD	15394	49269	\N	\N	\N
934749	3190	1997-07-09	PRIJEM	VKLAD	10263	30286	\N	\N	\N
934750	3190	1997-08-09	PRIJEM	VKLAD	10263	32865	\N	\N	\N
934751	3190	1997-09-09	PRIJEM	VKLAD	10263	41059	\N	\N	\N
934752	3190	1997-10-09	PRIJEM	VKLAD	10263	44279	\N	\N	\N
934753	3190	1997-11-09	PRIJEM	VKLAD	10263	46851	\N	\N	\N
934754	3190	1997-12-09	PRIJEM	VKLAD	15394	49925	\N	\N	\N
934755	3190	1998-01-09	PRIJEM	VKLAD	10263	43633	\N	\N	\N
934756	3190	1998-02-09	PRIJEM	VKLAD	10263	40210	\N	\N	\N
934757	3190	1998-03-09	PRIJEM	VKLAD	10263	41327	\N	\N	\N
934758	3190	1998-04-09	PRIJEM	VKLAD	10263	44150	\N	\N	\N
934759	3190	1998-05-09	PRIJEM	VKLAD	10263	48186	\N	\N	\N
934760	3190	1998-06-09	PRIJEM	VKLAD	15394	54923	\N	\N	\N
934761	3190	1998-07-09	PRIJEM	VKLAD	10263	49187	\N	\N	\N
934762	3190	1998-08-09	PRIJEM	VKLAD	10263	48938	\N	\N	\N
934763	3190	1998-09-09	PRIJEM	VKLAD	10263	47886	\N	\N	\N
934764	3190	1998-10-09	PRIJEM	VKLAD	10263	45227	\N	\N	\N
934765	3190	1998-11-09	PRIJEM	VKLAD	10263	45139	\N	\N	\N
934766	3190	1998-12-09	PRIJEM	VKLAD	15394	47664	\N	\N	\N
934784	3190	1997-06-05	VYDAJ	PREVOD NA UCET	3085	33875	SIPO	ST	96924554
934785	3190	1997-07-05	VYDAJ	PREVOD NA UCET	3085	20023	SIPO	ST	96924554
934786	3190	1997-08-05	VYDAJ	PREVOD NA UCET	3085	22602	SIPO	ST	96924554
934787	3190	1997-09-05	VYDAJ	PREVOD NA UCET	3085	30796	SIPO	ST	96924554
934788	3190	1997-10-05	VYDAJ	PREVOD NA UCET	3085	34016	SIPO	ST	96924554
934789	3190	1997-11-05	VYDAJ	PREVOD NA UCET	3085	36588	SIPO	ST	96924554
934790	3190	1997-12-05	VYDAJ	PREVOD NA UCET	3085	35331	SIPO	ST	96924554
934791	3190	1998-01-05	VYDAJ	PREVOD NA UCET	3085	36610	SIPO	ST	96924554
934953	3191	1998-03-09	PRIJEM	VKLAD	9571	31156	\N	\N	\N
934792	3190	1998-02-05	VYDAJ	PREVOD NA UCET	3085	29947	SIPO	ST	96924554
934793	3190	1998-03-05	VYDAJ	PREVOD NA UCET	3085	31064	SIPO	ST	96924554
934794	3190	1998-04-05	VYDAJ	PREVOD NA UCET	3085	33887	SIPO	ST	96924554
934795	3190	1998-05-05	VYDAJ	PREVOD NA UCET	3085	37923	SIPO	ST	96924554
934796	3190	1998-06-05	VYDAJ	PREVOD NA UCET	3085	39529	SIPO	ST	96924554
934797	3190	1998-07-05	VYDAJ	PREVOD NA UCET	3085	38924	SIPO	ST	96924554
934798	3190	1998-08-05	VYDAJ	PREVOD NA UCET	3085	38675	SIPO	ST	96924554
934799	3190	1998-09-05	VYDAJ	PREVOD NA UCET	3085	37623	SIPO	ST	96924554
934800	3190	1998-10-05	VYDAJ	PREVOD NA UCET	3085	34964	SIPO	ST	96924554
934801	3190	1998-11-05	VYDAJ	PREVOD NA UCET	3085	34876	SIPO	ST	96924554
934802	3190	1998-12-05	VYDAJ	PREVOD NA UCET	3085	32270	SIPO	ST	96924554
934804	3190	1997-06-12	VYDAJ	VYBER	21600	27669	\N	\N	\N
934807	3190	1997-12-06	VYDAJ	VYBER	800	34531	\N	\N	\N
934808	3190	1998-12-12	VYDAJ	VYBER	2720	44944	\N	\N	\N
934821	3190	1998-01-08	VYDAJ	VYBER	1080	33370	\N	\N	\N
934822	3190	1998-01-11	VYDAJ	VYBER	3480	35593	\N	\N	\N
934823	3190	1998-01-27	VYDAJ	VYBER	960	32893	\N	\N	\N
934824	3190	1998-01-08	VYDAJ	VYBER	2160	34450	\N	\N	\N
934825	3190	1998-01-19	VYDAJ	VYBER	2640	32953	\N	\N	\N
934826	3190	1998-01-24	VYDAJ	VYBER	1200	33853	\N	\N	\N
934833	3190	1997-06-28	VYDAJ	VYBER	2880	22989	\N	\N	\N
934834	3190	1997-10-20	VYDAJ	VYBER	4200	39119	\N	\N	\N
934835	3190	1997-09-17	VYDAJ	VYBER	2400	38659	\N	\N	\N
934836	3190	1997-10-13	VYDAJ	VYBER	960	43319	\N	\N	\N
934837	3190	1998-01-11	VYDAJ	VYBER	4560	39073	\N	\N	\N
934838	3190	1998-10-17	VYDAJ	VYBER	720	44507	\N	\N	\N
934839	3190	1998-05-16	VYDAJ	VYBER	3840	44346	\N	\N	\N
934840	3190	1998-12-15	VYDAJ	VYBER	3120	41824	\N	\N	\N
934841	3190	1998-11-29	VYDAJ	VYBER	3360	36879	\N	\N	\N
934842	3190	1998-12-02	VYDAJ	VYBER	1680	35355	\N	\N	\N
934860	3190	1997-05-31	VYDAJ	VYBER	15	36960	SLUZBY	\N	\N
934861	3190	1997-06-30	VYDAJ	VYBER	15	23108	SLUZBY	\N	\N
934862	3190	1997-07-31	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
934863	3190	1997-08-31	VYDAJ	VYBER	15	33881	SLUZBY	\N	\N
934864	3190	1997-09-30	VYDAJ	VYBER	15	37101	SLUZBY	\N	\N
934865	3190	1997-10-31	VYDAJ	VYBER	15	39673	SLUZBY	\N	\N
934866	3190	1997-11-30	VYDAJ	VYBER	15	38416	SLUZBY	\N	\N
934867	3190	1997-12-31	VYDAJ	VYBER	15	39695	SLUZBY	\N	\N
934868	3190	1998-01-31	VYDAJ	VYBER	15	33032	SLUZBY	\N	\N
934869	3190	1998-02-28	VYDAJ	VYBER	15	34149	SLUZBY	\N	\N
934870	3190	1998-03-31	VYDAJ	VYBER	15	36972	SLUZBY	\N	\N
934871	3190	1998-04-30	VYDAJ	VYBER	15	41008	SLUZBY	\N	\N
934872	3190	1998-05-31	VYDAJ	VYBER	15	42614	SLUZBY	\N	\N
934873	3190	1998-06-30	VYDAJ	VYBER	15	42009	SLUZBY	\N	\N
934874	3190	1998-07-31	VYDAJ	VYBER	15	41760	SLUZBY	\N	\N
934875	3190	1998-08-31	VYDAJ	VYBER	15	40708	SLUZBY	\N	\N
934876	3190	1998-09-30	VYDAJ	VYBER	15	38049	SLUZBY	\N	\N
934877	3190	1998-10-31	VYDAJ	VYBER	15	37961	SLUZBY	\N	\N
934878	3190	1998-11-30	VYDAJ	VYBER	15	37035	SLUZBY	\N	\N
934879	3190	1997-01-29	PRIJEM	VKLAD	8200	19463	\N	\N	\N
934880	3190	1997-02-28	VYDAJ	VYBER	5300	24516	\N	\N	\N
934881	3190	1997-03-30	VYDAJ	VYBER	5300	29479	\N	\N	\N
934882	3190	1997-04-29	VYDAJ	VYBER	5900	33945	\N	\N	\N
934883	3190	1997-05-29	VYDAJ	VYBER	7500	36832	\N	\N	\N
934884	3190	1997-06-28	VYDAJ	VYBER	1800	25869	\N	\N	\N
934885	3190	1997-07-28	VYDAJ	VYBER	4700	25586	\N	\N	\N
934886	3190	1997-08-27	PRIJEM	VKLAD	900	33765	\N	\N	\N
934887	3190	1997-09-26	VYDAJ	VYBER	1700	36959	\N	\N	\N
934888	3190	1997-10-26	PRIJEM	VKLAD	400	39519	\N	\N	\N
934889	3190	1997-11-25	VYDAJ	VYBER	8600	38251	\N	\N	\N
934890	3190	1997-12-25	VYDAJ	VYBER	10400	39525	\N	\N	\N
934891	3190	1998-01-24	PRIJEM	VKLAD	2100	35053	\N	\N	\N
934892	3190	1998-02-23	VYDAJ	VYBER	6200	34010	\N	\N	\N
934893	3190	1998-03-25	VYDAJ	VYBER	4500	36827	\N	\N	\N
934894	3190	1998-04-24	VYDAJ	VYBER	3300	40850	\N	\N	\N
934895	3190	1998-05-24	VYDAJ	VYBER	1900	42446	\N	\N	\N
934896	3190	1998-06-23	VYDAJ	VYBER	13100	41823	\N	\N	\N
934897	3190	1998-07-23	VYDAJ	VYBER	7600	41587	\N	\N	\N
934898	3190	1998-08-22	VYDAJ	VYBER	8400	40538	\N	\N	\N
934899	3190	1998-09-21	VYDAJ	VYBER	10000	37886	\N	\N	\N
934900	3190	1998-10-21	VYDAJ	VYBER	6700	37807	\N	\N	\N
934901	3190	1998-11-20	VYDAJ	VYBER	4900	40239	\N	\N	\N
934926	3191	1996-09-17	PRIJEM	VKLAD	900	900	\N	\N	\N
934936	3191	1996-10-09	PRIJEM	VKLAD	9571	10471	\N	\N	\N
934937	3191	1996-11-09	PRIJEM	VKLAD	9571	26276	\N	\N	\N
934938	3191	1996-12-09	PRIJEM	VKLAD	14356	41322	\N	\N	\N
934939	3191	1997-01-09	PRIJEM	VKLAD	9571	42318	\N	\N	\N
934940	3191	1997-02-09	PRIJEM	VKLAD	9571	41423	\N	\N	\N
934941	3191	1997-03-09	PRIJEM	VKLAD	9571	32319	\N	\N	\N
934942	3191	1997-04-09	PRIJEM	VKLAD	9571	31693	\N	\N	\N
934943	3191	1997-05-09	PRIJEM	VKLAD	9571	32668	\N	\N	\N
934944	3191	1997-06-09	PRIJEM	VKLAD	14356	39233	\N	\N	\N
934945	3191	1997-07-09	PRIJEM	VKLAD	9571	28920	\N	\N	\N
934946	3191	1997-08-09	PRIJEM	VKLAD	9571	30791	\N	\N	\N
934947	3191	1997-09-09	PRIJEM	VKLAD	9571	30057	\N	\N	\N
934948	3191	1997-10-09	PRIJEM	VKLAD	9571	29231	\N	\N	\N
934949	3191	1997-11-09	PRIJEM	VKLAD	9571	32201	\N	\N	\N
934950	3191	1997-12-09	PRIJEM	VKLAD	14356	34555	\N	\N	\N
934951	3191	1998-01-09	PRIJEM	VKLAD	9571	30128	\N	\N	\N
934952	3191	1998-02-09	PRIJEM	VKLAD	9571	24897	\N	\N	\N
934954	3191	1998-04-09	PRIJEM	VKLAD	9571	26113	\N	\N	\N
934955	3191	1998-05-09	PRIJEM	VKLAD	9571	24760	\N	\N	\N
934956	3191	1998-06-09	PRIJEM	VKLAD	14356	31894	\N	\N	\N
934957	3191	1998-07-09	PRIJEM	VKLAD	9571	31268	\N	\N	\N
934958	3191	1998-08-09	PRIJEM	VKLAD	9571	27042	\N	\N	\N
934959	3191	1998-09-09	PRIJEM	VKLAD	9571	29709	\N	\N	\N
934960	3191	1998-10-09	PRIJEM	VKLAD	9571	31380	\N	\N	\N
934961	3191	1998-11-09	PRIJEM	VKLAD	9571	26646	\N	\N	\N
934962	3191	1998-12-09	PRIJEM	VKLAD	14356	26191	\N	\N	\N
934976	3191	1997-02-12	VYDAJ	PREVOD NA UCET	2774	35043	SIPO	ST	18965119
934977	3191	1997-03-12	VYDAJ	PREVOD NA UCET	2774	25939	SIPO	ST	18965119
934978	3191	1997-04-12	VYDAJ	PREVOD NA UCET	2774	25313	SIPO	ST	18965119
934979	3191	1997-05-12	VYDAJ	PREVOD NA UCET	2774	26288	SIPO	ST	18965119
934980	3191	1997-06-12	VYDAJ	PREVOD NA UCET	2774	32853	SIPO	ST	18965119
934981	3191	1997-07-12	VYDAJ	PREVOD NA UCET	2774	22540	SIPO	ST	18965119
934982	3191	1997-08-12	VYDAJ	PREVOD NA UCET	2774	24411	SIPO	ST	18965119
934983	3191	1997-09-12	VYDAJ	PREVOD NA UCET	2774	23677	SIPO	ST	18965119
934984	3191	1997-10-12	VYDAJ	PREVOD NA UCET	2774	22851	SIPO	ST	18965119
934985	3191	1997-11-12	VYDAJ	PREVOD NA UCET	2774	24421	SIPO	ST	18965119
934986	3191	1997-12-12	VYDAJ	PREVOD NA UCET	2774	23975	SIPO	ST	18965119
934987	3191	1998-01-12	VYDAJ	PREVOD NA UCET	2774	22248	SIPO	ST	18965119
934988	3191	1998-02-12	VYDAJ	PREVOD NA UCET	2774	21517	SIPO	ST	18965119
934989	3191	1998-03-12	VYDAJ	PREVOD NA UCET	2774	20576	SIPO	ST	18965119
934990	3191	1998-04-12	VYDAJ	PREVOD NA UCET	2774	16333	SIPO	ST	18965119
934991	3191	1998-05-12	VYDAJ	PREVOD NA UCET	2774	17480	SIPO	ST	18965119
934992	3191	1998-06-12	VYDAJ	PREVOD NA UCET	2774	24514	SIPO	ST	18965119
934993	3191	1998-07-12	VYDAJ	PREVOD NA UCET	2774	22288	SIPO	ST	18965119
934994	3191	1998-08-12	VYDAJ	PREVOD NA UCET	2774	20662	SIPO	ST	18965119
934995	3191	1998-09-12	VYDAJ	PREVOD NA UCET	2774	23329	SIPO	ST	18965119
934996	3191	1998-10-12	VYDAJ	PREVOD NA UCET	2774	21100	SIPO	ST	18965119
934997	3191	1998-11-12	VYDAJ	PREVOD NA UCET	2774	20266	SIPO	ST	18965119
934998	3191	1998-12-12	VYDAJ	PREVOD NA UCET	2774	19811	SIPO	ST	18965119
935012	3191	1997-02-09	VYDAJ	PREVOD NA UCET	3606	37817	 	ST	47511076
935013	3191	1997-03-09	VYDAJ	PREVOD NA UCET	3606	28713	 	ST	47511076
935014	3191	1997-04-09	VYDAJ	PREVOD NA UCET	3606	28087	 	ST	47511076
935015	3191	1997-05-09	VYDAJ	PREVOD NA UCET	3606	29062	 	ST	47511076
935016	3191	1997-06-09	VYDAJ	PREVOD NA UCET	3606	35627	 	ST	47511076
935017	3191	1997-07-09	VYDAJ	PREVOD NA UCET	3606	25314	 	ST	47511076
935018	3191	1997-08-09	VYDAJ	PREVOD NA UCET	3606	27185	 	ST	47511076
935019	3191	1997-09-09	VYDAJ	PREVOD NA UCET	3606	26451	 	ST	47511076
935020	3191	1997-10-09	VYDAJ	PREVOD NA UCET	3606	25625	 	ST	47511076
935021	3191	1997-11-09	VYDAJ	PREVOD NA UCET	3606	28595	 	ST	47511076
935022	3191	1997-12-09	VYDAJ	PREVOD NA UCET	3606	30949	 	ST	47511076
935023	3191	1998-01-09	VYDAJ	PREVOD NA UCET	3606	26522	 	ST	47511076
935024	3191	1998-02-09	VYDAJ	PREVOD NA UCET	3606	24291	 	ST	47511076
935025	3191	1998-03-09	VYDAJ	PREVOD NA UCET	3606	27550	 	ST	47511076
935026	3191	1998-04-09	VYDAJ	PREVOD NA UCET	3606	22507	 	ST	47511076
935027	3191	1998-05-09	VYDAJ	PREVOD NA UCET	3606	21154	 	ST	47511076
935028	3191	1998-06-09	VYDAJ	PREVOD NA UCET	3606	28288	 	ST	47511076
935029	3191	1998-07-09	VYDAJ	PREVOD NA UCET	3606	25062	 	ST	47511076
935030	3191	1998-08-09	VYDAJ	PREVOD NA UCET	3606	23436	 	ST	47511076
935031	3191	1998-09-09	VYDAJ	PREVOD NA UCET	3606	26103	 	ST	47511076
935032	3191	1998-10-09	VYDAJ	PREVOD NA UCET	3606	23874	 	ST	47511076
935033	3191	1998-11-09	VYDAJ	PREVOD NA UCET	3606	23040	 	ST	47511076
935034	3191	1998-12-09	VYDAJ	PREVOD NA UCET	3606	22585	 	ST	47511076
935040	3191	1998-01-12	VYDAJ	VYBER	7000	15248	\N	\N	\N
935042	3191	1997-12-20	VYDAJ	VYBER	900	23075	\N	\N	\N
935043	3191	1998-12-28	VYDAJ	VYBER	1400	18411	\N	\N	\N
935056	3191	1998-01-02	VYDAJ	VYBER	500	22657	\N	\N	\N
935057	3191	1998-01-10	VYDAJ	VYBER	1100	25022	\N	\N	\N
935059	3191	1998-01-03	VYDAJ	VYBER	2100	20557	\N	\N	\N
935060	3191	1998-01-10	VYDAJ	VYBER	2600	26122	\N	\N	\N
935067	3191	1997-12-09	VYDAJ	VYBER	2200	28749	\N	\N	\N
935068	3191	1997-05-14	VYDAJ	VYBER	700	25588	\N	\N	\N
935069	3191	1997-02-20	VYDAJ	VYBER	4700	22643	\N	\N	\N
935070	3191	1997-07-05	VYDAJ	VYBER	4700	19349	\N	\N	\N
935071	3191	1997-08-26	VYDAJ	VYBER	800	20411	\N	\N	\N
935073	3191	1997-11-16	VYDAJ	VYBER	4300	20121	\N	\N	\N
935074	3191	1998-09-18	VYDAJ	VYBER	1200	22129	\N	\N	\N
935075	3191	1998-03-17	VYDAJ	VYBER	4100	16476	\N	\N	\N
935076	3191	1998-07-02	VYDAJ	VYBER	2900	21697	\N	\N	\N
935077	3191	1998-10-09	VYDAJ	VYBER	3900	27480	\N	\N	\N
935078	3191	1998-11-28	VYDAJ	VYBER	3800	16466	\N	\N	\N
935079	3191	1998-05-03	VYDAJ	VYBER	1200	15189	\N	\N	\N
935094	3191	1997-02-28	VYDAJ	VYBER	15	22748	SLUZBY	\N	\N
935095	3191	1997-03-31	VYDAJ	VYBER	15	22122	SLUZBY	\N	\N
935096	3191	1997-04-30	VYDAJ	VYBER	15	23097	SLUZBY	\N	\N
935097	3191	1997-05-31	VYDAJ	VYBER	15	24877	SLUZBY	\N	\N
935098	3191	1997-06-30	VYDAJ	VYBER	15	24049	SLUZBY	\N	\N
935099	3191	1997-07-31	VYDAJ	VYBER	15	21220	SLUZBY	\N	\N
935100	3191	1997-08-31	VYDAJ	VYBER	15	20486	SLUZBY	\N	\N
935101	3191	1997-09-30	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
935102	3191	1997-10-31	VYDAJ	VYBER	15	22630	SLUZBY	\N	\N
935103	3191	1997-11-30	VYDAJ	VYBER	15	20199	SLUZBY	\N	\N
935104	3191	1997-12-31	VYDAJ	VYBER	15	23157	SLUZBY	\N	\N
935105	3191	1998-01-31	VYDAJ	VYBER	15	15326	SLUZBY	\N	\N
935106	3191	1998-02-28	VYDAJ	VYBER	15	21585	SLUZBY	\N	\N
935107	3191	1998-03-31	VYDAJ	VYBER	15	16542	SLUZBY	\N	\N
935108	3191	1998-04-30	VYDAJ	VYBER	15	16389	SLUZBY	\N	\N
935109	3191	1998-05-31	VYDAJ	VYBER	15	17538	SLUZBY	\N	\N
935110	3191	1998-06-30	VYDAJ	VYBER	15	24597	SLUZBY	\N	\N
935111	3191	1998-07-31	VYDAJ	VYBER	15	22371	SLUZBY	\N	\N
935112	3191	1998-08-31	VYDAJ	VYBER	15	20738	SLUZBY	\N	\N
935113	3191	1998-09-30	VYDAJ	VYBER	15	22209	SLUZBY	\N	\N
935114	3191	1998-10-31	VYDAJ	VYBER	15	21175	SLUZBY	\N	\N
935115	3191	1998-11-30	VYDAJ	VYBER	15	16535	SLUZBY	\N	\N
935116	3191	1996-10-17	PRIJEM	VKLAD	6200	16671	\N	\N	\N
935117	3191	1996-11-16	PRIJEM	VKLAD	600	26876	\N	\N	\N
935118	3191	1996-12-16	VYDAJ	VYBER	8700	32622	\N	\N	\N
935119	3191	1997-01-15	VYDAJ	VYBER	10600	31718	\N	\N	\N
935120	3191	1997-02-14	VYDAJ	VYBER	7700	27343	\N	\N	\N
935121	3191	1997-03-16	VYDAJ	VYBER	3900	22039	\N	\N	\N
935122	3191	1997-04-15	VYDAJ	VYBER	2300	23013	\N	\N	\N
935123	3191	1997-05-15	VYDAJ	VYBER	800	24788	\N	\N	\N
935124	3191	1997-06-14	VYDAJ	VYBER	8900	23953	\N	\N	\N
935125	3191	1997-07-14	VYDAJ	VYBER	1400	21140	\N	\N	\N
935126	3191	1997-08-13	VYDAJ	VYBER	3200	21211	\N	\N	\N
935127	3191	1997-09-12	VYDAJ	VYBER	4100	19577	\N	\N	\N
935128	3191	1997-10-12	VYDAJ	VYBER	300	22551	\N	\N	\N
935129	3191	1997-11-11	VYDAJ	VYBER	1400	27195	\N	\N	\N
935130	3191	1997-12-11	VYDAJ	VYBER	2000	26749	\N	\N	\N
935131	3191	1998-01-10	PRIJEM	VKLAD	2200	28722	\N	\N	\N
935132	3191	1998-02-09	PRIJEM	VKLAD	3000	27897	\N	\N	\N
935133	3191	1998-03-11	VYDAJ	VYBER	4200	23350	\N	\N	\N
935134	3191	1998-04-10	VYDAJ	VYBER	3400	19107	\N	\N	\N
935135	3191	1998-05-10	VYDAJ	VYBER	900	20254	\N	\N	\N
935136	3191	1998-06-09	VYDAJ	VYBER	1000	27288	\N	\N	\N
935137	3191	1998-07-09	VYDAJ	VYBER	2600	28668	\N	\N	\N
935138	3191	1998-08-08	VYDAJ	VYBER	4900	17471	\N	\N	\N
935139	3191	1998-09-07	VYDAJ	VYBER	600	20138	\N	\N	\N
935140	3191	1998-10-07	VYDAJ	VYBER	400	21809	\N	\N	\N
935141	3191	1998-11-06	VYDAJ	VYBER	4100	17075	\N	\N	\N
935142	3191	1998-12-06	VYDAJ	VYBER	4700	11835	\N	\N	\N
935170	3192	1996-07-28	PRIJEM	VKLAD	400	400	\N	\N	\N
935178	3192	1996-08-06	PRIJEM	VKLAD	10012	10412	\N	\N	\N
935179	3192	1996-09-06	PRIJEM	VKLAD	10012	29237	\N	\N	\N
935180	3192	1996-10-06	PRIJEM	VKLAD	10012	39636	\N	\N	\N
935181	3192	1996-11-06	PRIJEM	VKLAD	10012	47778	\N	\N	\N
935182	3192	1996-12-06	PRIJEM	VKLAD	15018	52652	\N	\N	\N
935183	3192	1997-01-06	PRIJEM	VKLAD	10012	45875	\N	\N	\N
935184	3192	1997-02-06	PRIJEM	VKLAD	10012	31804	\N	\N	\N
935185	3192	1997-03-06	PRIJEM	VKLAD	10012	35625	\N	\N	\N
935186	3192	1997-04-06	PRIJEM	VKLAD	10012	39967	\N	\N	\N
935187	3192	1997-05-06	PRIJEM	VKLAD	10012	41524	\N	\N	\N
935188	3192	1997-06-06	PRIJEM	VKLAD	15018	48894	\N	\N	\N
935189	3192	1997-07-06	PRIJEM	VKLAD	10012	45883	\N	\N	\N
935190	3192	1997-08-06	PRIJEM	VKLAD	10012	46437	\N	\N	\N
935191	3192	1997-09-06	PRIJEM	VKLAD	10012	47973	\N	\N	\N
935192	3192	1997-10-06	PRIJEM	VKLAD	10012	51665	\N	\N	\N
935193	3192	1997-11-06	PRIJEM	VKLAD	10012	51565	\N	\N	\N
935194	3192	1997-12-06	PRIJEM	VKLAD	15018	56672	\N	\N	\N
935195	3192	1998-01-06	PRIJEM	VKLAD	10012	42230	\N	\N	\N
935196	3192	1998-02-06	PRIJEM	VKLAD	10012	34946	\N	\N	\N
935197	3192	1998-03-06	PRIJEM	VKLAD	10012	42227	\N	\N	\N
935198	3192	1998-04-06	PRIJEM	VKLAD	10012	51002	\N	\N	\N
935199	3192	1998-05-06	PRIJEM	VKLAD	10012	52101	\N	\N	\N
935200	3192	1998-06-06	PRIJEM	VKLAD	15018	52659	\N	\N	\N
935201	3192	1998-07-06	PRIJEM	VKLAD	10012	44321	\N	\N	\N
935202	3192	1998-08-06	PRIJEM	VKLAD	10012	45891	\N	\N	\N
935203	3192	1998-09-06	PRIJEM	VKLAD	10012	44553	\N	\N	\N
935204	3192	1998-10-06	PRIJEM	VKLAD	10012	50694	\N	\N	\N
935205	3192	1998-11-06	PRIJEM	VKLAD	10012	57686	\N	\N	\N
935206	3192	1998-12-06	PRIJEM	VKLAD	15018	63544	\N	\N	\N
935219	3192	1997-01-05	VYDAJ	PREVOD NA UCET	1272	35863	SIPO	GH	66663372
935220	3192	1997-02-05	VYDAJ	PREVOD NA UCET	1272	21792	SIPO	GH	66663372
935221	3192	1997-03-05	VYDAJ	PREVOD NA UCET	1272	25613	SIPO	GH	66663372
935222	3192	1997-04-05	VYDAJ	PREVOD NA UCET	1272	29955	SIPO	GH	66663372
935223	3192	1997-05-05	VYDAJ	PREVOD NA UCET	1272	31512	SIPO	GH	66663372
935224	3192	1997-06-05	VYDAJ	PREVOD NA UCET	1272	33876	SIPO	GH	66663372
935225	3192	1997-07-05	VYDAJ	PREVOD NA UCET	1272	35871	SIPO	GH	66663372
935226	3192	1997-08-05	VYDAJ	PREVOD NA UCET	1272	36425	SIPO	GH	66663372
935227	3192	1997-09-05	VYDAJ	PREVOD NA UCET	1272	37961	SIPO	GH	66663372
935228	3192	1997-10-05	VYDAJ	PREVOD NA UCET	1272	41653	SIPO	GH	66663372
935229	3192	1997-11-05	VYDAJ	PREVOD NA UCET	1272	41553	SIPO	GH	66663372
935230	3192	1997-12-05	VYDAJ	PREVOD NA UCET	1272	41654	SIPO	GH	66663372
935231	3192	1998-01-05	VYDAJ	PREVOD NA UCET	1272	35338	SIPO	GH	66663372
935232	3192	1998-02-05	VYDAJ	PREVOD NA UCET	1272	24934	SIPO	GH	66663372
935233	3192	1998-03-05	VYDAJ	PREVOD NA UCET	1272	32215	SIPO	GH	66663372
935234	3192	1998-04-05	VYDAJ	PREVOD NA UCET	1272	40990	SIPO	GH	66663372
935235	3192	1998-05-05	VYDAJ	PREVOD NA UCET	1272	42089	SIPO	GH	66663372
935236	3192	1998-06-05	VYDAJ	PREVOD NA UCET	1272	37641	SIPO	GH	66663372
935237	3192	1998-07-05	VYDAJ	PREVOD NA UCET	1272	34309	SIPO	GH	66663372
935238	3192	1998-08-05	VYDAJ	PREVOD NA UCET	1272	35879	SIPO	GH	66663372
935239	3192	1998-09-05	VYDAJ	PREVOD NA UCET	1272	34541	SIPO	GH	66663372
935240	3192	1998-10-05	VYDAJ	PREVOD NA UCET	1272	40682	SIPO	GH	66663372
935241	3192	1998-11-05	VYDAJ	PREVOD NA UCET	1272	47674	SIPO	GH	66663372
935242	3192	1998-12-05	VYDAJ	PREVOD NA UCET	1272	48526	SIPO	GH	66663372
935254	3192	1996-12-14	VYDAJ	PREVOD NA UCET	2518	46174	 	AB	36690706
935255	3192	1997-01-14	VYDAJ	PREVOD NA UCET	2518	35797	 	AB	36690706
935256	3192	1997-02-14	VYDAJ	PREVOD NA UCET	2518	25686	 	AB	36690706
935257	3192	1997-03-14	VYDAJ	PREVOD NA UCET	2518	33107	 	AB	36690706
935258	3192	1997-04-14	VYDAJ	PREVOD NA UCET	2518	37449	 	AB	36690706
935259	3192	1997-05-14	VYDAJ	PREVOD NA UCET	2518	39006	 	AB	36690706
935260	3192	1997-06-14	VYDAJ	PREVOD NA UCET	2518	46376	 	AB	36690706
935261	3192	1997-07-14	VYDAJ	PREVOD NA UCET	2518	39645	 	AB	36690706
935262	3192	1997-08-14	VYDAJ	PREVOD NA UCET	2518	40679	 	AB	36690706
935263	3192	1997-09-14	VYDAJ	PREVOD NA UCET	2518	45455	 	AB	36690706
935264	3192	1997-10-14	VYDAJ	PREVOD NA UCET	2518	49147	 	AB	36690706
935265	3192	1997-11-14	VYDAJ	PREVOD NA UCET	2518	49047	 	AB	36690706
935266	3192	1997-12-14	VYDAJ	PREVOD NA UCET	2518	48874	 	AB	36690706
935267	3192	1998-01-14	VYDAJ	PREVOD NA UCET	2518	26752	 	AB	36690706
935268	3192	1998-02-14	VYDAJ	PREVOD NA UCET	2518	30868	 	AB	36690706
935269	3192	1998-03-14	VYDAJ	PREVOD NA UCET	2518	39709	 	AB	36690706
935270	3192	1998-04-14	VYDAJ	PREVOD NA UCET	2518	48484	 	AB	36690706
935271	3192	1998-05-14	VYDAJ	PREVOD NA UCET	2518	49583	 	AB	36690706
935272	3192	1998-06-14	VYDAJ	PREVOD NA UCET	2518	50141	 	AB	36690706
935273	3192	1998-07-14	VYDAJ	PREVOD NA UCET	2518	41803	 	AB	36690706
935274	3192	1998-08-14	VYDAJ	PREVOD NA UCET	2518	43373	 	AB	36690706
935275	3192	1998-09-14	VYDAJ	PREVOD NA UCET	2518	39395	 	AB	36690706
935276	3192	1998-10-14	VYDAJ	PREVOD NA UCET	2518	48176	 	AB	36690706
935277	3192	1998-11-14	VYDAJ	PREVOD NA UCET	2518	55168	 	AB	36690706
935278	3192	1998-12-14	VYDAJ	PREVOD NA UCET	2518	61026	 	AB	36690706
935281	3192	1998-06-16	VYDAJ	VYBER	10720	39421	\N	\N	\N
935283	3192	1997-01-23	VYDAJ	VYBER	13920	18037	\N	\N	\N
935284	3192	1998-01-09	VYDAJ	VYBER	12960	29270	\N	\N	\N
935285	3192	1996-12-14	VYDAJ	VYBER	1600	44574	\N	\N	\N
935286	3192	1997-12-13	VYDAJ	VYBER	2400	51392	\N	\N	\N
935287	3192	1998-12-04	VYDAJ	VYBER	4480	49798	\N	\N	\N
935294	3192	1997-01-11	VYDAJ	VYBER	3000	38315	\N	\N	\N
935295	3192	1997-01-22	VYDAJ	VYBER	1200	31957	\N	\N	\N
935296	3192	1997-01-29	VYDAJ	VYBER	3000	22937	\N	\N	\N
935297	3192	1997-01-10	VYDAJ	VYBER	2880	42995	\N	\N	\N
935298	3192	1997-01-10	VYDAJ	VYBER	1680	41315	\N	\N	\N
935299	3192	1997-01-20	VYDAJ	VYBER	2640	33157	\N	\N	\N
935300	3192	1998-01-05	VYDAJ	VYBER	1440	36610	\N	\N	\N
935301	3192	1998-01-29	VYDAJ	VYBER	2880	26092	\N	\N	\N
935302	3192	1998-01-25	VYDAJ	VYBER	840	28972	\N	\N	\N
935303	3192	1998-01-21	VYDAJ	VYBER	2640	29812	\N	\N	\N
935304	3192	1998-01-14	VYDAJ	VYBER	3000	23752	\N	\N	\N
935305	3192	1998-01-05	VYDAJ	VYBER	3120	32218	\N	\N	\N
935310	3192	1996-12-08	VYDAJ	VYBER	3960	48692	\N	\N	\N
935312	3192	1997-07-13	VYDAJ	VYBER	3720	42163	\N	\N	\N
935313	3192	1997-06-23	VYDAJ	VYBER	3600	36976	\N	\N	\N
935314	3192	1997-12-12	VYDAJ	VYBER	2880	53792	\N	\N	\N
935315	3192	1997-08-07	VYDAJ	VYBER	3240	43197	\N	\N	\N
935316	3192	1997-12-24	VYDAJ	VYBER	4200	37874	\N	\N	\N
935317	3192	1997-02-06	VYDAJ	VYBER	3600	28204	\N	\N	\N
935318	3192	1998-05-18	VYDAJ	VYBER	4440	45143	\N	\N	\N
935319	3192	1998-10-16	VYDAJ	VYBER	2040	49836	\N	\N	\N
935320	3192	1998-12-15	VYDAJ	VYBER	4800	56226	\N	\N	\N
935321	3192	1998-09-02	VYDAJ	VYBER	5520	35813	\N	\N	\N
935322	3192	1998-09-13	VYDAJ	VYBER	2640	41913	\N	\N	\N
935323	3192	1998-02-13	VYDAJ	VYBER	1560	33386	\N	\N	\N
935324	3192	1998-10-26	VYDAJ	VYBER	1080	48756	\N	\N	\N
935337	3192	1996-12-31	VYDAJ	VYBER	15	37135	SLUZBY	\N	\N
935338	3192	1997-01-31	VYDAJ	VYBER	15	23064	SLUZBY	\N	\N
935339	3192	1997-02-28	VYDAJ	VYBER	15	26885	SLUZBY	\N	\N
935340	3192	1997-03-31	VYDAJ	VYBER	15	31227	SLUZBY	\N	\N
935341	3192	1997-04-30	VYDAJ	VYBER	15	32784	SLUZBY	\N	\N
935342	3192	1997-05-31	VYDAJ	VYBER	15	35148	SLUZBY	\N	\N
935343	3192	1997-06-30	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
935344	3192	1997-07-31	VYDAJ	VYBER	15	37697	SLUZBY	\N	\N
935345	3192	1997-08-31	VYDAJ	VYBER	15	39233	SLUZBY	\N	\N
935346	3192	1997-09-30	VYDAJ	VYBER	15	42925	SLUZBY	\N	\N
935347	3192	1997-10-31	VYDAJ	VYBER	15	42825	SLUZBY	\N	\N
935348	3192	1997-11-30	VYDAJ	VYBER	15	42926	SLUZBY	\N	\N
935349	3192	1997-12-31	VYDAJ	VYBER	15	38050	SLUZBY	\N	\N
935350	3192	1998-01-31	VYDAJ	VYBER	15	26206	SLUZBY	\N	\N
935351	3192	1998-02-28	VYDAJ	VYBER	15	33487	SLUZBY	\N	\N
935352	3192	1998-03-31	VYDAJ	VYBER	15	42262	SLUZBY	\N	\N
935353	3192	1998-04-30	VYDAJ	VYBER	15	43361	SLUZBY	\N	\N
935354	3192	1998-05-31	VYDAJ	VYBER	15	38913	SLUZBY	\N	\N
935355	3192	1998-06-30	VYDAJ	VYBER	15	35581	SLUZBY	\N	\N
935356	3192	1998-07-31	VYDAJ	VYBER	15	37151	SLUZBY	\N	\N
935357	3192	1998-08-31	VYDAJ	VYBER	15	41333	SLUZBY	\N	\N
935358	3192	1998-09-30	VYDAJ	VYBER	15	41954	SLUZBY	\N	\N
935359	3192	1998-10-31	VYDAJ	VYBER	15	48946	SLUZBY	\N	\N
935360	3192	1998-11-30	VYDAJ	VYBER	15	54278	SLUZBY	\N	\N
935361	3192	1996-08-27	PRIJEM	VKLAD	8800	19212	\N	\N	\N
935362	3192	1996-09-26	PRIJEM	VKLAD	300	29537	\N	\N	\N
935363	3192	1996-10-26	VYDAJ	VYBER	2000	37636	\N	\N	\N
935364	3192	1996-11-25	VYDAJ	VYBER	10300	37478	\N	\N	\N
935365	3192	1996-12-25	VYDAJ	VYBER	7600	36974	\N	\N	\N
935366	3192	1997-01-24	PRIJEM	VKLAD	7900	25937	\N	\N	\N
935367	3192	1997-02-23	PRIJEM	VKLAD	1100	26786	\N	\N	\N
935368	3192	1997-03-25	VYDAJ	VYBER	2000	31107	\N	\N	\N
935369	3192	1997-04-24	VYDAJ	VYBER	4800	32649	\N	\N	\N
935370	3192	1997-05-24	VYDAJ	VYBER	4000	35006	\N	\N	\N
935371	3192	1997-06-23	VYDAJ	VYBER	5800	40576	\N	\N	\N
935372	3192	1997-07-23	VYDAJ	VYBER	2100	37545	\N	\N	\N
935373	3192	1997-08-22	VYDAJ	VYBER	1600	39079	\N	\N	\N
935374	3192	1997-09-21	VYDAJ	VYBER	2700	42755	\N	\N	\N
935375	3192	1997-10-21	VYDAJ	VYBER	6500	42647	\N	\N	\N
935376	3192	1997-11-20	VYDAJ	VYBER	6300	42747	\N	\N	\N
935377	3192	1997-12-20	VYDAJ	VYBER	6800	42074	\N	\N	\N
935378	3192	1998-01-19	PRIJEM	VKLAD	8700	32452	\N	\N	\N
935379	3192	1998-02-18	PRIJEM	VKLAD	2500	33368	\N	\N	\N
935380	3192	1998-03-20	PRIJEM	VKLAD	2400	42109	\N	\N	\N
935381	3192	1998-04-19	VYDAJ	VYBER	5300	43184	\N	\N	\N
935382	3192	1998-05-19	VYDAJ	VYBER	6400	38743	\N	\N	\N
935383	3192	1998-06-18	VYDAJ	VYBER	4000	35421	\N	\N	\N
935384	3192	1998-07-18	VYDAJ	VYBER	4800	37003	\N	\N	\N
935385	3192	1998-08-17	VYDAJ	VYBER	2200	41173	\N	\N	\N
935386	3192	1998-09-16	PRIJEM	VKLAD	2400	41795	\N	\N	\N
935387	3192	1998-10-16	PRIJEM	VKLAD	3700	51876	\N	\N	\N
935388	3192	1998-11-15	VYDAJ	VYBER KARTOU	1100	54068	\N	\N	0
935418	3193	1996-02-27	PRIJEM	VKLAD	400	400	\N	\N	\N
935421	3193	1996-03-08	PRIJEM	VKLAD	18670	19070	\N	\N	\N
935422	3193	1996-04-08	PRIJEM	VKLAD	18670	41252	\N	\N	\N
935423	3193	1996-05-08	PRIJEM	VKLAD	18670	47320	\N	\N	\N
935424	3193	1996-06-08	PRIJEM	VKLAD	28005	60646	\N	\N	\N
935425	3193	1996-07-08	PRIJEM	VKLAD	18670	62860	\N	\N	\N
935426	3193	1996-08-08	PRIJEM	VKLAD	18670	58974	\N	\N	\N
935427	3193	1996-09-08	PRIJEM	VKLAD	18670	56772	\N	\N	\N
935428	3193	1996-10-08	PRIJEM	VKLAD	18670	56463	\N	\N	\N
935429	3193	1996-11-08	PRIJEM	VKLAD	18670	55150	\N	\N	\N
935430	3193	1996-12-08	PRIJEM	VKLAD	28005	62868	\N	\N	\N
935431	3193	1997-01-08	PRIJEM	VKLAD	18670	57176	\N	\N	\N
935432	3193	1997-02-08	PRIJEM	VKLAD	18670	47546	\N	\N	\N
935433	3193	1997-03-08	PRIJEM	VKLAD	18670	48603	\N	\N	\N
935434	3193	1997-04-08	PRIJEM	VKLAD	18670	50467	\N	\N	\N
935435	3193	1997-05-08	PRIJEM	VKLAD	18670	48726	\N	\N	\N
935436	3193	1997-06-08	PRIJEM	VKLAD	28005	59417	\N	\N	\N
935437	3193	1997-07-08	PRIJEM	VKLAD	18670	35991	\N	\N	\N
935438	3193	1997-08-08	PRIJEM	VKLAD	18670	40998	\N	\N	\N
935439	3193	1997-09-08	PRIJEM	VKLAD	18670	36807	\N	\N	\N
935440	3193	1997-10-08	PRIJEM	VKLAD	18670	41115	\N	\N	\N
935441	3193	1997-11-08	PRIJEM	VKLAD	18670	42936	\N	\N	\N
935442	3193	1997-12-08	PRIJEM	VKLAD	28005	49800	\N	\N	\N
935443	3193	1998-01-08	PRIJEM	VKLAD	18670	38044	\N	\N	\N
935444	3193	1998-02-08	PRIJEM	VKLAD	18670	32945	\N	\N	\N
935445	3193	1998-03-08	PRIJEM	VKLAD	18670	35233	\N	\N	\N
935446	3193	1998-04-08	PRIJEM	VKLAD	18670	35127	\N	\N	\N
935447	3193	1998-05-08	PRIJEM	VKLAD	18670	40729	\N	\N	\N
935448	3193	1998-06-08	PRIJEM	VKLAD	28005	50378	\N	\N	\N
935449	3193	1998-07-08	PRIJEM	VKLAD	18670	32683	\N	\N	\N
935450	3193	1998-08-08	PRIJEM	VKLAD	18670	32361	\N	\N	\N
935451	3193	1998-09-08	PRIJEM	VKLAD	18670	31235	\N	\N	\N
935452	3193	1998-10-08	PRIJEM	VKLAD	18670	36217	\N	\N	\N
935453	3193	1998-11-08	PRIJEM	VKLAD	18670	32098	\N	\N	\N
935454	3193	1998-12-08	PRIJEM	VKLAD	28005	44815	\N	\N	\N
935461	3193	1996-07-10	VYDAJ	PREVOD NA UCET	9641	53219	SIPO	GH	24848491
935462	3193	1996-08-10	VYDAJ	PREVOD NA UCET	9641	49333	SIPO	GH	24848491
935463	3193	1996-09-10	VYDAJ	PREVOD NA UCET	9641	47131	SIPO	GH	24848491
935464	3193	1996-10-10	VYDAJ	PREVOD NA UCET	9641	46822	SIPO	GH	24848491
935465	3193	1996-11-10	VYDAJ	PREVOD NA UCET	9641	45509	SIPO	GH	24848491
935466	3193	1996-12-10	VYDAJ	PREVOD NA UCET	9641	53227	SIPO	GH	24848491
935467	3193	1997-01-10	VYDAJ	PREVOD NA UCET	9641	39635	SIPO	GH	24848491
935468	3193	1997-02-10	VYDAJ	PREVOD NA UCET	9641	35305	SIPO	GH	24848491
935469	3193	1997-03-10	VYDAJ	PREVOD NA UCET	9641	38962	SIPO	GH	24848491
935470	3193	1997-04-10	VYDAJ	PREVOD NA UCET	9641	40826	SIPO	GH	24848491
935471	3193	1997-05-10	VYDAJ	PREVOD NA UCET	9641	39085	SIPO	GH	24848491
935472	3193	1997-06-10	VYDAJ	PREVOD NA UCET	9641	49776	SIPO	GH	24848491
935473	3193	1997-07-10	VYDAJ	PREVOD NA UCET	9641	26350	SIPO	GH	24848491
935474	3193	1997-08-10	VYDAJ	PREVOD NA UCET	9641	27257	SIPO	GH	24848491
935475	3193	1997-09-10	VYDAJ	PREVOD NA UCET	9641	27166	SIPO	GH	24848491
935476	3193	1997-10-10	VYDAJ	PREVOD NA UCET	9641	31474	SIPO	GH	24848491
935477	3193	1997-11-10	VYDAJ	PREVOD NA UCET	9641	33295	SIPO	GH	24848491
935478	3193	1997-12-10	VYDAJ	PREVOD NA UCET	9641	40159	SIPO	GH	24848491
935479	3193	1998-01-10	VYDAJ	PREVOD NA UCET	9641	28403	SIPO	GH	24848491
935480	3193	1998-02-10	VYDAJ	PREVOD NA UCET	9641	23304	SIPO	GH	24848491
935481	3193	1998-03-10	VYDAJ	PREVOD NA UCET	9641	25592	SIPO	GH	24848491
935482	3193	1998-04-10	VYDAJ	PREVOD NA UCET	9641	25486	SIPO	GH	24848491
935483	3193	1998-05-10	VYDAJ	PREVOD NA UCET	9641	31088	SIPO	GH	24848491
935484	3193	1998-06-10	VYDAJ	PREVOD NA UCET	9641	40737	SIPO	GH	24848491
935485	3193	1998-07-10	VYDAJ	PREVOD NA UCET	9641	23042	SIPO	GH	24848491
935486	3193	1998-08-10	VYDAJ	PREVOD NA UCET	9641	22720	SIPO	GH	24848491
935487	3193	1998-09-10	VYDAJ	PREVOD NA UCET	9641	21594	SIPO	GH	24848491
935488	3193	1998-10-10	VYDAJ	PREVOD NA UCET	9641	26576	SIPO	GH	24848491
935489	3193	1998-11-10	VYDAJ	PREVOD NA UCET	9641	22457	SIPO	GH	24848491
935490	3193	1998-12-10	VYDAJ	PREVOD NA UCET	9641	35174	SIPO	GH	24848491
935492	3193	1997-06-29	VYDAJ	VYBER	19000	17176	\N	\N	\N
935493	3193	1998-06-10	VYDAJ	VYBER	23200	17537	\N	\N	\N
935495	3193	1997-01-08	VYDAJ	VYBER	7900	49276	\N	\N	\N
935496	3193	1998-01-02	VYDAJ	VYBER	5000	21774	\N	\N	\N
935497	3193	1996-12-01	VYDAJ	VYBER	2400	34863	\N	\N	\N
935498	3193	1997-12-13	VYDAJ	VYBER	1000	39159	\N	\N	\N
935499	3193	1998-12-23	VYDAJ	VYBER	2900	15574	\N	\N	\N
935506	3193	1997-01-02	VYDAJ	VYBER	500	39506	\N	\N	\N
935507	3193	1997-01-28	VYDAJ	VYBER	500	32735	\N	\N	\N
935508	3193	1997-01-07	VYDAJ	VYBER	1000	38506	\N	\N	\N
935509	3193	1997-01-20	VYDAJ	VYBER	1900	33735	\N	\N	\N
935510	3193	1997-01-13	VYDAJ	VYBER	1100	38535	\N	\N	\N
935511	3193	1997-01-18	VYDAJ	VYBER	2900	35635	\N	\N	\N
935512	3193	1998-01-25	VYDAJ	VYBER	1300	14203	\N	\N	\N
935514	3193	1998-01-15	VYDAJ	VYBER	1900	25603	\N	\N	\N
935515	3193	1998-01-18	VYDAJ	VYBER	1100	17303	\N	\N	\N
935516	3193	1998-01-14	VYDAJ	VYBER	900	27503	\N	\N	\N
935517	3193	1998-01-19	VYDAJ	VYBER	1800	15503	\N	\N	\N
935519	3193	1997-08-09	VYDAJ	VYBER	4100	36898	\N	\N	\N
935520	3193	1997-02-04	VYDAJ	VYBER	4000	28876	\N	\N	\N
935521	3193	1997-03-05	VYDAJ	VYBER	1700	29933	\N	\N	\N
935522	3193	1997-12-02	VYDAJ	VYBER	4400	21795	\N	\N	\N
935523	3193	1997-02-08	VYDAJ	VYBER	2600	44946	\N	\N	\N
935524	3193	1998-03-28	VYDAJ	VYBER	1100	16392	\N	\N	\N
935525	3193	1998-12-22	VYDAJ	VYBER	3600	18474	\N	\N	\N
935528	3193	1998-01-03	VYDAJ	VYBER	2400	19374	\N	\N	\N
935529	3193	1998-02-28	VYDAJ	VYBER	1400	16563	\N	\N	\N
935537	3193	1996-07-31	VYDAJ	VYBER	15	40304	SLUZBY	\N	\N
935538	3193	1996-08-31	VYDAJ	VYBER	15	38102	SLUZBY	\N	\N
935539	3193	1996-09-30	VYDAJ	VYBER	15	37793	SLUZBY	\N	\N
935540	3193	1996-10-31	VYDAJ	VYBER	15	36480	SLUZBY	\N	\N
935541	3193	1996-11-30	VYDAJ	VYBER	15	37263	SLUZBY	\N	\N
935542	3193	1996-12-31	VYDAJ	VYBER	15	40006	SLUZBY	\N	\N
935543	3193	1997-01-31	VYDAJ	VYBER	15	32876	SLUZBY	\N	\N
935544	3193	1997-02-28	VYDAJ	VYBER	15	31633	SLUZBY	\N	\N
935545	3193	1997-03-31	VYDAJ	VYBER	15	31797	SLUZBY	\N	\N
935546	3193	1997-04-30	VYDAJ	VYBER	15	30056	SLUZBY	\N	\N
935547	3193	1997-05-31	VYDAJ	VYBER	15	31412	SLUZBY	\N	\N
935548	3193	1997-06-30	VYDAJ	VYBER	15	17321	SLUZBY	\N	\N
935549	3193	1997-07-31	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
935550	3193	1997-08-31	VYDAJ	VYBER	15	18137	SLUZBY	\N	\N
935551	3193	1997-09-30	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
935552	3193	1997-10-31	VYDAJ	VYBER	15	24266	SLUZBY	\N	\N
935553	3193	1997-11-30	VYDAJ	VYBER	15	26195	SLUZBY	\N	\N
935554	3193	1997-12-31	VYDAJ	VYBER	15	26774	SLUZBY	\N	\N
935555	3193	1998-01-31	VYDAJ	VYBER	15	14275	SLUZBY	\N	\N
935556	3193	1998-02-28	VYDAJ	VYBER	15	17963	SLUZBY	\N	\N
935557	3193	1998-03-31	VYDAJ	VYBER	15	16457	SLUZBY	\N	\N
935558	3193	1998-04-30	VYDAJ	VYBER	15	22059	SLUZBY	\N	\N
935559	3193	1998-05-31	VYDAJ	VYBER	15	22373	SLUZBY	\N	\N
935560	3193	1998-06-30	VYDAJ	VYBER	15	14013	SLUZBY	\N	\N
935561	3193	1998-07-31	VYDAJ	VYBER	15	13691	SLUZBY	\N	\N
935562	3193	1998-08-31	VYDAJ	VYBER	15	12565	SLUZBY	\N	\N
935563	3193	1998-09-30	VYDAJ	VYBER	15	17547	SLUZBY	\N	\N
935564	3193	1998-10-31	VYDAJ	VYBER	15	13428	SLUZBY	\N	\N
935565	3193	1998-11-30	VYDAJ	VYBER	15	16810	SLUZBY	\N	\N
935566	3193	1996-03-28	PRIJEM	VKLAD	3500	22570	\N	\N	\N
935567	3193	1996-04-27	VYDAJ	VYBER	12700	28552	\N	\N	\N
935568	3193	1996-05-27	VYDAJ	VYBER	14800	32520	\N	\N	\N
935569	3193	1996-06-26	VYDAJ	VYBER	16600	44046	\N	\N	\N
935570	3193	1996-07-26	VYDAJ	VYBER	13100	40119	\N	\N	\N
935571	3193	1996-08-25	VYDAJ	VYBER	11400	37933	\N	\N	\N
935572	3193	1996-09-24	VYDAJ	VYBER	9500	37631	\N	\N	\N
935573	3193	1996-10-24	VYDAJ	VYBER	10500	36322	\N	\N	\N
935574	3193	1996-11-23	VYDAJ	VYBER	8400	37109	\N	\N	\N
935575	3193	1996-12-23	VYDAJ	VYBER	13400	39827	\N	\N	\N
935576	3193	1997-01-22	VYDAJ	VYBER	500	33235	\N	\N	\N
935577	3193	1997-02-21	VYDAJ	VYBER	3800	31505	\N	\N	\N
935578	3193	1997-03-23	VYDAJ	VYBER	7300	31662	\N	\N	\N
935579	3193	1997-04-22	VYDAJ	VYBER	10900	29926	\N	\N	\N
935580	3193	1997-05-22	VYDAJ	VYBER	7800	31285	\N	\N	\N
935581	3193	1997-06-21	VYDAJ	VYBER	13600	36176	\N	\N	\N
935582	3193	1997-07-21	VYDAJ	VYBER	4100	22250	\N	\N	\N
935583	3193	1997-08-20	VYDAJ	VYBER	9200	18057	\N	\N	\N
935584	3193	1997-09-19	VYDAJ	VYBER	4800	22366	\N	\N	\N
935585	3193	1997-10-19	VYDAJ	VYBER	7300	24174	\N	\N	\N
935586	3193	1997-11-18	VYDAJ	VYBER	7200	26095	\N	\N	\N
935587	3193	1997-12-18	VYDAJ	VYBER	12500	26659	\N	\N	\N
935588	3193	1998-01-17	VYDAJ	VYBER	7200	18403	\N	\N	\N
935589	3193	1998-02-16	VYDAJ	VYBER	5400	17904	\N	\N	\N
935590	3193	1998-03-18	VYDAJ	VYBER	8100	17492	\N	\N	\N
935591	3193	1998-04-17	VYDAJ	VYBER	3500	21986	\N	\N	\N
935592	3193	1998-05-17	VYDAJ	VYBER	8800	22288	\N	\N	\N
935593	3193	1998-06-16	VYDAJ	VYBER	3600	13937	\N	\N	\N
935594	3193	1998-07-16	VYDAJ	VYBER	9400	13642	\N	\N	\N
935595	3193	1998-08-15	VYDAJ	VYBER	10200	12520	\N	\N	\N
935596	3193	1998-09-14	VYDAJ	VYBER	4100	17494	\N	\N	\N
935597	3193	1998-10-14	VYDAJ	VYBER	13200	13376	\N	\N	\N
935598	3193	1998-11-13	VYDAJ	VYBER	5700	16757	\N	\N	\N
935599	3193	1998-12-13	VYDAJ	VYBER	13100	22074	\N	\N	\N
935634	3194	1997-04-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
935639	3194	1997-05-11	PRIJEM	VKLAD	13492	14592	\N	\N	\N
935640	3194	1997-06-11	PRIJEM	VKLAD	20238	37560	\N	\N	\N
935641	3194	1997-07-11	PRIJEM	VKLAD	13492	41243	\N	\N	\N
935642	3194	1997-08-11	PRIJEM	VKLAD	13492	40549	\N	\N	\N
935643	3194	1997-09-11	PRIJEM	VKLAD	13492	42056	\N	\N	\N
935644	3194	1997-10-11	PRIJEM	VKLAD	13492	37324	\N	\N	\N
935645	3194	1997-11-11	PRIJEM	VKLAD	13492	31712	\N	\N	\N
935646	3194	1997-12-11	PRIJEM	VKLAD	20238	35723	\N	\N	\N
935647	3194	1998-01-11	PRIJEM	VKLAD	13492	37704	\N	\N	\N
935648	3194	1998-02-11	PRIJEM	VKLAD	13492	25972	\N	\N	\N
935649	3194	1998-03-11	PRIJEM	VKLAD	13492	26919	\N	\N	\N
935650	3194	1998-04-11	PRIJEM	VKLAD	13492	28324	\N	\N	\N
935651	3194	1998-05-11	PRIJEM	VKLAD	13492	27788	\N	\N	\N
935652	3194	1998-06-11	PRIJEM	VKLAD	20238	35390	\N	\N	\N
935653	3194	1998-07-11	PRIJEM	VKLAD	13492	31672	\N	\N	\N
935654	3194	1998-08-11	PRIJEM	VKLAD	13492	31541	\N	\N	\N
935655	3194	1998-09-11	PRIJEM	VKLAD	13492	29003	\N	\N	\N
935656	3194	1998-10-11	PRIJEM	VKLAD	13492	28910	\N	\N	\N
935657	3194	1998-11-11	PRIJEM	VKLAD	13492	31577	\N	\N	\N
935658	3194	1998-12-11	PRIJEM	VKLAD	20238	35610	\N	\N	\N
935667	3194	1997-09-13	VYDAJ	PREVOD NA UCET	7584	34472	SIPO	OP	46890920
935668	3194	1997-10-13	VYDAJ	PREVOD NA UCET	7584	29740	SIPO	OP	46890920
935669	3194	1997-11-13	VYDAJ	PREVOD NA UCET	7584	24128	SIPO	OP	46890920
935670	3194	1997-12-13	VYDAJ	PREVOD NA UCET	7584	28139	SIPO	OP	46890920
935671	3194	1998-01-13	VYDAJ	PREVOD NA UCET	7584	30120	SIPO	OP	46890920
935672	3194	1998-02-13	VYDAJ	PREVOD NA UCET	7584	18388	SIPO	OP	46890920
935673	3194	1998-03-13	VYDAJ	PREVOD NA UCET	7584	19335	SIPO	OP	46890920
935674	3194	1998-04-13	VYDAJ	PREVOD NA UCET	7584	20740	SIPO	OP	46890920
935675	3194	1998-05-13	VYDAJ	PREVOD NA UCET	7584	20204	SIPO	OP	46890920
935676	3194	1998-06-13	VYDAJ	PREVOD NA UCET	7584	18106	SIPO	OP	46890920
935677	3194	1998-07-13	VYDAJ	PREVOD NA UCET	7584	17988	SIPO	OP	46890920
935678	3194	1998-08-13	VYDAJ	PREVOD NA UCET	7584	15457	SIPO	OP	46890920
935679	3194	1998-09-13	VYDAJ	PREVOD NA UCET	7584	18119	SIPO	OP	46890920
935680	3194	1998-10-13	VYDAJ	PREVOD NA UCET	7584	17926	SIPO	OP	46890920
935681	3194	1998-11-13	VYDAJ	PREVOD NA UCET	7584	23993	SIPO	OP	46890920
935682	3194	1998-12-13	VYDAJ	PREVOD NA UCET	7584	28026	SIPO	OP	46890920
935687	3194	1997-12-15	VYDAJ	VYBER	4000	24139	\N	\N	\N
935688	3194	1998-12-18	VYDAJ	VYBER	3200	24826	\N	\N	\N
935695	3194	1998-01-22	VYDAJ	VYBER	1080	12420	\N	\N	\N
935697	3194	1998-01-15	VYDAJ	VYBER	1200	13500	\N	\N	\N
935699	3194	1998-01-13	VYDAJ	VYBER	3120	27000	\N	\N	\N
935701	3194	1997-10-05	VYDAJ	VYBER	1440	23832	\N	\N	\N
935706	3194	1998-09-28	VYDAJ	VYBER	2760	15359	\N	\N	\N
935708	3194	1998-12-08	VYDAJ	VYBER	2400	21672	\N	\N	\N
935710	3194	1998-04-10	VYDAJ	VYBER	4560	14832	\N	\N	\N
935720	3194	1997-09-30	VYDAJ	VYBER	15	25272	SLUZBY	\N	\N
935721	3194	1997-10-31	VYDAJ	VYBER	15	18220	SLUZBY	\N	\N
935722	3194	1997-11-30	VYDAJ	VYBER	15	15485	SLUZBY	\N	\N
935723	3194	1997-12-31	VYDAJ	VYBER	15	24212	SLUZBY	\N	\N
935724	3194	1998-01-31	VYDAJ	VYBER	15	12480	SLUZBY	\N	\N
935725	3194	1998-02-28	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
935726	3194	1998-03-31	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
935727	3194	1998-04-30	VYDAJ	VYBER	15	14296	SLUZBY	\N	\N
935728	3194	1998-05-31	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
935729	3194	1998-06-30	VYDAJ	VYBER	15	18180	SLUZBY	\N	\N
935730	3194	1998-07-31	VYDAJ	VYBER	15	18049	SLUZBY	\N	\N
935731	3194	1998-08-31	VYDAJ	VYBER	15	15511	SLUZBY	\N	\N
935732	3194	1998-09-30	VYDAJ	VYBER	15	15418	SLUZBY	\N	\N
935733	3194	1998-10-31	VYDAJ	VYBER	15	17985	SLUZBY	\N	\N
935734	3194	1998-11-30	VYDAJ	VYBER	15	24072	SLUZBY	\N	\N
935735	3194	1997-05-19	PRIJEM	VKLAD	2700	17292	\N	\N	\N
935736	3194	1997-06-18	VYDAJ	VYBER	9900	27660	\N	\N	\N
935737	3194	1997-07-18	VYDAJ	VYBER	14300	26943	\N	\N	\N
935738	3194	1997-08-17	VYDAJ	VYBER	12100	28449	\N	\N	\N
935739	3194	1997-09-16	VYDAJ	VYBER	9300	25172	\N	\N	\N
935740	3194	1997-10-16	VYDAJ	VYBER	11600	18140	\N	\N	\N
935741	3194	1997-11-15	VYDAJ	VYBER	8700	15428	\N	\N	\N
935742	3194	1998-01-14	VYDAJ	VYBER	12300	14700	\N	\N	\N
935743	3194	1998-02-13	VYDAJ	VYBER	5000	13388	\N	\N	\N
935744	3194	1998-04-14	VYDAJ	VYBER	6500	14240	\N	\N	\N
935745	3194	1998-05-14	VYDAJ	VYBER	5100	15104	\N	\N	\N
935746	3194	1998-06-13	VYDAJ	VYBER	9700	25690	\N	\N	\N
935747	3194	1998-07-13	VYDAJ	VYBER	6100	25572	\N	\N	\N
935748	3194	1998-08-12	VYDAJ	VYBER	8500	23041	\N	\N	\N
935749	3194	1998-09-11	VYDAJ	VYBER	3300	25703	\N	\N	\N
935750	3194	1998-10-11	VYDAJ	VYBER	3400	25510	\N	\N	\N
935751	3194	1998-11-10	PRIJEM	VKLAD	100	18085	\N	\N	\N
935752	3194	1998-12-10	VYDAJ	VYBER	6300	15372	\N	\N	\N
935773	3195	1993-09-02	PRIJEM	VKLAD	600	600	\N	\N	\N
935782	3195	1993-09-12	PRIJEM	VKLAD	4606	5206	\N	\N	\N
935783	3195	1993-10-12	PRIJEM	VKLAD	4606	21826	\N	\N	\N
935784	3195	1993-11-12	PRIJEM	VKLAD	4606	26998	\N	\N	\N
935785	3195	1993-12-12	PRIJEM	VKLAD	6909	31412	\N	\N	\N
935786	3195	1994-01-12	PRIJEM	VKLAD	4606	31441	\N	\N	\N
935787	3195	1994-02-12	PRIJEM	VKLAD	4606	30783	\N	\N	\N
935788	3195	1994-03-12	PRIJEM	VKLAD	4606	28224	\N	\N	\N
935789	3195	1994-04-12	PRIJEM	VKLAD	4606	30456	\N	\N	\N
935790	3195	1994-05-12	PRIJEM	VKLAD	4606	31196	\N	\N	\N
935791	3195	1994-06-12	PRIJEM	VKLAD	6909	29933	\N	\N	\N
935792	3195	1994-07-12	PRIJEM	VKLAD	4606	31367	\N	\N	\N
935793	3195	1994-08-12	PRIJEM	VKLAD	4606	31611	\N	\N	\N
935794	3195	1994-09-12	PRIJEM	VKLAD	4606	32556	\N	\N	\N
935795	3195	1994-10-12	PRIJEM	VKLAD	4606	33004	\N	\N	\N
935796	3195	1994-11-12	PRIJEM	VKLAD	4606	32853	\N	\N	\N
935797	3195	1994-12-12	PRIJEM	VKLAD	6909	33001	\N	\N	\N
935798	3195	1995-01-12	PRIJEM	VKLAD	4606	32646	\N	\N	\N
935799	3195	1995-02-12	PRIJEM	VKLAD	4606	28592	\N	\N	\N
935800	3195	1995-03-12	PRIJEM	VKLAD	4606	27524	\N	\N	\N
935801	3195	1995-04-12	PRIJEM	VKLAD	4606	28650	\N	\N	\N
935802	3195	1995-05-12	PRIJEM	VKLAD	4606	26580	\N	\N	\N
935803	3195	1995-06-12	PRIJEM	VKLAD	6909	34411	\N	\N	\N
935804	3195	1995-07-12	PRIJEM	VKLAD	4606	31659	\N	\N	\N
935805	3195	1995-08-12	PRIJEM	VKLAD	4606	32403	\N	\N	\N
935806	3195	1995-09-12	PRIJEM	VKLAD	4606	29048	\N	\N	\N
935807	3195	1995-10-12	PRIJEM	VKLAD	4606	32784	\N	\N	\N
935808	3195	1995-11-12	PRIJEM	VKLAD	4606	29029	\N	\N	\N
935809	3195	1995-12-12	PRIJEM	VKLAD	6909	32966	\N	\N	\N
935810	3195	1996-01-12	PRIJEM	VKLAD	4606	27198	\N	\N	\N
935811	3195	1996-02-12	PRIJEM	VKLAD	4606	26823	\N	\N	\N
935812	3195	1996-03-12	PRIJEM	VKLAD	4606	28548	\N	\N	\N
935813	3195	1996-04-12	PRIJEM	VKLAD	4606	29679	\N	\N	\N
935814	3195	1996-05-12	PRIJEM	VKLAD	4606	33919	\N	\N	\N
935815	3195	1996-06-12	PRIJEM	VKLAD	6909	33270	\N	\N	\N
935816	3195	1996-07-12	PRIJEM	VKLAD	4606	33214	\N	\N	\N
935817	3195	1996-08-12	PRIJEM	VKLAD	4606	34064	\N	\N	\N
935818	3195	1996-09-12	PRIJEM	VKLAD	4606	37622	\N	\N	\N
935819	3195	1996-10-12	PRIJEM	VKLAD	4606	35583	\N	\N	\N
935820	3195	1996-11-12	PRIJEM	VKLAD	4606	32442	\N	\N	\N
935821	3195	1996-12-12	PRIJEM	VKLAD	6909	34391	\N	\N	\N
935822	3195	1997-01-12	PRIJEM	VKLAD	4606	34940	\N	\N	\N
935823	3195	1997-02-12	PRIJEM	VKLAD	4606	33297	\N	\N	\N
935824	3195	1997-03-12	PRIJEM	VKLAD	4606	36251	\N	\N	\N
935825	3195	1997-04-12	PRIJEM	VKLAD	4606	30806	\N	\N	\N
935826	3195	1997-05-12	PRIJEM	VKLAD	4606	31446	\N	\N	\N
935827	3195	1997-06-12	PRIJEM	VKLAD	6909	34392	\N	\N	\N
935828	3195	1997-07-12	PRIJEM	VKLAD	4606	32234	\N	\N	\N
935829	3195	1997-08-12	PRIJEM	VKLAD	4606	28667	\N	\N	\N
935830	3195	1997-09-12	PRIJEM	VKLAD	4606	34507	\N	\N	\N
935831	3195	1997-10-12	PRIJEM	VKLAD	4606	40655	\N	\N	\N
935832	3195	1997-11-12	PRIJEM	VKLAD	4606	39225	\N	\N	\N
935833	3195	1997-12-12	PRIJEM	VKLAD	6909	41706	\N	\N	\N
935834	3195	1998-01-12	PRIJEM	VKLAD	4606	43889	\N	\N	\N
935835	3195	1998-02-12	PRIJEM	VKLAD	4606	48081	\N	\N	\N
935836	3195	1998-03-12	PRIJEM	VKLAD	4606	51087	\N	\N	\N
935837	3195	1998-04-12	PRIJEM	VKLAD	4606	55009	\N	\N	\N
935838	3195	1998-05-12	PRIJEM	VKLAD	4606	56443	\N	\N	\N
935839	3195	1998-06-12	PRIJEM	VKLAD	6909	63387	\N	\N	\N
935840	3195	1998-07-12	PRIJEM	VKLAD	4606	54933	\N	\N	\N
935841	3195	1998-08-12	PRIJEM	VKLAD	4606	59169	\N	\N	\N
935842	3195	1998-09-12	PRIJEM	VKLAD	4606	63122	\N	\N	\N
935843	3195	1998-10-12	PRIJEM	VKLAD	4606	63392	\N	\N	\N
935844	3195	1998-11-12	PRIJEM	VKLAD	4606	58056	\N	\N	\N
935845	3195	1998-12-12	PRIJEM	VKLAD	6909	59212	\N	\N	\N
935859	3195	1994-02-05	VYDAJ	PREVOD NA UCET	1599	26177	SIPO	KL	48782503
935860	3195	1994-03-05	VYDAJ	PREVOD NA UCET	1599	23618	SIPO	KL	48782503
935861	3195	1994-04-05	VYDAJ	PREVOD NA UCET	1599	25850	SIPO	KL	48782503
935862	3195	1994-05-05	VYDAJ	PREVOD NA UCET	1599	26590	SIPO	KL	48782503
935863	3195	1994-06-05	VYDAJ	PREVOD NA UCET	1599	23024	SIPO	KL	48782503
935864	3195	1994-07-05	VYDAJ	PREVOD NA UCET	1599	26761	SIPO	KL	48782503
935865	3195	1994-08-05	VYDAJ	PREVOD NA UCET	1599	27005	SIPO	KL	48782503
935866	3195	1994-09-05	VYDAJ	PREVOD NA UCET	1599	27950	SIPO	KL	48782503
935867	3195	1994-10-05	VYDAJ	PREVOD NA UCET	1599	28398	SIPO	KL	48782503
935868	3195	1994-11-05	VYDAJ	PREVOD NA UCET	1599	28247	SIPO	KL	48782503
935869	3195	1994-12-05	VYDAJ	PREVOD NA UCET	1599	26092	SIPO	KL	48782503
935870	3195	1995-01-05	VYDAJ	PREVOD NA UCET	1599	28040	SIPO	KL	48782503
935871	3195	1995-02-05	VYDAJ	PREVOD NA UCET	1599	23986	SIPO	KL	48782503
935872	3195	1995-03-05	VYDAJ	PREVOD NA UCET	1599	22918	SIPO	KL	48782503
935873	3195	1995-04-05	VYDAJ	PREVOD NA UCET	1599	24044	SIPO	KL	48782503
935874	3195	1995-05-05	VYDAJ	PREVOD NA UCET	1599	21974	SIPO	KL	48782503
935875	3195	1995-06-05	VYDAJ	PREVOD NA UCET	1599	27502	SIPO	KL	48782503
935876	3195	1995-07-05	VYDAJ	PREVOD NA UCET	1599	27053	SIPO	KL	48782503
935877	3195	1995-08-05	VYDAJ	PREVOD NA UCET	1599	27797	SIPO	KL	48782503
935878	3195	1995-09-05	VYDAJ	PREVOD NA UCET	1599	24442	SIPO	KL	48782503
935879	3195	1995-10-05	VYDAJ	PREVOD NA UCET	1599	28178	SIPO	KL	48782503
935880	3195	1995-11-05	VYDAJ	PREVOD NA UCET	1599	24423	SIPO	KL	48782503
935881	3195	1995-12-05	VYDAJ	PREVOD NA UCET	1599	26057	SIPO	KL	48782503
935882	3195	1996-01-05	VYDAJ	PREVOD NA UCET	1599	22592	SIPO	KL	48782503
935883	3195	1996-02-05	VYDAJ	PREVOD NA UCET	1599	22217	SIPO	KL	48782503
935884	3195	1996-03-05	VYDAJ	PREVOD NA UCET	1599	23942	SIPO	KL	48782503
935885	3195	1996-04-05	VYDAJ	PREVOD NA UCET	1599	25073	SIPO	KL	48782503
935886	3195	1996-05-05	VYDAJ	PREVOD NA UCET	1599	29313	SIPO	KL	48782503
935887	3195	1996-06-05	VYDAJ	PREVOD NA UCET	1599	27261	SIPO	KL	48782503
935888	3195	1996-07-05	VYDAJ	PREVOD NA UCET	1599	28608	SIPO	KL	48782503
935889	3195	1996-08-05	VYDAJ	PREVOD NA UCET	1599	29458	SIPO	KL	48782503
935890	3195	1996-09-05	VYDAJ	PREVOD NA UCET	1599	33016	SIPO	KL	48782503
935891	3195	1996-10-05	VYDAJ	PREVOD NA UCET	1599	30977	SIPO	KL	48782503
935892	3195	1996-11-05	VYDAJ	PREVOD NA UCET	1599	31936	SIPO	KL	48782503
935893	3195	1996-12-05	VYDAJ	PREVOD NA UCET	1599	28782	SIPO	KL	48782503
935894	3195	1997-01-05	VYDAJ	PREVOD NA UCET	1599	30334	SIPO	KL	48782503
935895	3195	1997-02-05	VYDAJ	PREVOD NA UCET	1599	28691	SIPO	KL	48782503
935896	3195	1997-03-05	VYDAJ	PREVOD NA UCET	1599	31645	SIPO	KL	48782503
935897	3195	1997-04-05	VYDAJ	PREVOD NA UCET	1599	26200	SIPO	KL	48782503
935898	3195	1997-05-05	VYDAJ	PREVOD NA UCET	1599	26840	SIPO	KL	48782503
935899	3195	1997-06-05	VYDAJ	PREVOD NA UCET	1599	27483	SIPO	KL	48782503
935900	3195	1997-07-05	VYDAJ	PREVOD NA UCET	1599	27628	SIPO	KL	48782503
935901	3195	1997-08-05	VYDAJ	PREVOD NA UCET	1599	24061	SIPO	KL	48782503
935902	3195	1997-09-05	VYDAJ	PREVOD NA UCET	1599	25901	SIPO	KL	48782503
935903	3195	1997-10-05	VYDAJ	PREVOD NA UCET	1599	28549	SIPO	KL	48782503
935904	3195	1997-11-05	VYDAJ	PREVOD NA UCET	1599	37719	SIPO	KL	48782503
935905	3195	1997-12-05	VYDAJ	PREVOD NA UCET	1599	36297	SIPO	KL	48782503
935906	3195	1998-01-05	VYDAJ	PREVOD NA UCET	1599	38783	SIPO	KL	48782503
935907	3195	1998-02-05	VYDAJ	PREVOD NA UCET	1599	39775	SIPO	KL	48782503
935908	3195	1998-03-05	VYDAJ	PREVOD NA UCET	1599	45181	SIPO	KL	48782503
935909	3195	1998-04-05	VYDAJ	PREVOD NA UCET	1599	48203	SIPO	KL	48782503
935910	3195	1998-05-05	VYDAJ	PREVOD NA UCET	1599	47637	SIPO	KL	48782503
935911	3195	1998-06-05	VYDAJ	PREVOD NA UCET	1599	53578	SIPO	KL	48782503
935912	3195	1998-07-05	VYDAJ	PREVOD NA UCET	1599	48127	SIPO	KL	48782503
935913	3195	1998-08-05	VYDAJ	PREVOD NA UCET	1599	50663	SIPO	KL	48782503
935914	3195	1998-09-05	VYDAJ	PREVOD NA UCET	1599	56316	SIPO	KL	48782503
935915	3195	1998-10-05	VYDAJ	PREVOD NA UCET	1599	60286	SIPO	KL	48782503
935916	3195	1998-11-05	VYDAJ	PREVOD NA UCET	1599	53450	SIPO	KL	48782503
935917	3195	1998-12-05	VYDAJ	PREVOD NA UCET	1599	54303	SIPO	KL	48782503
935930	3195	1994-01-14	VYDAJ	PREVOD NA UCET	1253	29970	 	QR	58903491
935931	3195	1994-02-14	VYDAJ	PREVOD NA UCET	1253	29312	 	QR	58903491
935932	3195	1994-03-14	VYDAJ	PREVOD NA UCET	1253	26753	 	QR	58903491
935933	3195	1994-04-14	VYDAJ	PREVOD NA UCET	1253	28985	 	QR	58903491
935934	3195	1994-05-14	VYDAJ	PREVOD NA UCET	1253	26225	 	QR	58903491
935935	3195	1994-06-14	VYDAJ	PREVOD NA UCET	1253	28462	 	QR	58903491
935936	3195	1994-07-14	VYDAJ	PREVOD NA UCET	1253	29896	 	QR	58903491
935937	3195	1994-08-14	VYDAJ	PREVOD NA UCET	1253	30140	 	QR	58903491
935938	3195	1994-09-14	VYDAJ	PREVOD NA UCET	1253	31085	 	QR	58903491
935939	3195	1994-10-14	VYDAJ	PREVOD NA UCET	1253	31533	 	QR	58903491
935940	3195	1994-11-14	VYDAJ	PREVOD NA UCET	1253	31382	 	QR	58903491
935941	3195	1994-12-14	VYDAJ	PREVOD NA UCET	1253	31530	 	QR	58903491
935942	3195	1995-01-14	VYDAJ	PREVOD NA UCET	1253	31175	 	QR	58903491
935943	3195	1995-02-14	VYDAJ	PREVOD NA UCET	1253	27121	 	QR	58903491
935944	3195	1995-03-14	VYDAJ	PREVOD NA UCET	1253	26053	 	QR	58903491
935945	3195	1995-04-14	VYDAJ	PREVOD NA UCET	1253	27179	 	QR	58903491
935946	3195	1995-05-14	VYDAJ	PREVOD NA UCET	1253	25109	 	QR	58903491
935947	3195	1995-06-14	VYDAJ	PREVOD NA UCET	1253	32940	 	QR	58903491
935948	3195	1995-07-14	VYDAJ	PREVOD NA UCET	1253	30188	 	QR	58903491
935949	3195	1995-08-14	VYDAJ	PREVOD NA UCET	1253	30932	 	QR	58903491
935950	3195	1995-09-14	VYDAJ	PREVOD NA UCET	1253	27577	 	QR	58903491
935951	3195	1995-10-14	VYDAJ	PREVOD NA UCET	1253	31313	 	QR	58903491
935952	3195	1995-11-14	VYDAJ	PREVOD NA UCET	1253	27558	 	QR	58903491
935953	3195	1995-12-14	VYDAJ	PREVOD NA UCET	1253	27395	 	QR	58903491
935954	3195	1996-01-14	VYDAJ	PREVOD NA UCET	1253	25727	 	QR	58903491
935955	3195	1996-02-14	VYDAJ	PREVOD NA UCET	1253	25352	 	QR	58903491
935956	3195	1996-03-14	VYDAJ	PREVOD NA UCET	1253	27077	 	QR	58903491
935957	3195	1996-04-14	VYDAJ	PREVOD NA UCET	1253	28208	 	QR	58903491
935958	3195	1996-05-14	VYDAJ	PREVOD NA UCET	1253	32448	 	QR	58903491
935959	3195	1996-06-14	VYDAJ	PREVOD NA UCET	1253	31799	 	QR	58903491
935960	3195	1996-07-14	VYDAJ	PREVOD NA UCET	1253	31743	 	QR	58903491
935961	3195	1996-08-14	VYDAJ	PREVOD NA UCET	1253	32593	 	QR	58903491
935962	3195	1996-09-14	VYDAJ	PREVOD NA UCET	1253	36151	 	QR	58903491
935963	3195	1996-10-14	VYDAJ	PREVOD NA UCET	1253	34112	 	QR	58903491
935964	3195	1996-11-14	VYDAJ	PREVOD NA UCET	1253	30971	 	QR	58903491
935965	3195	1996-12-14	VYDAJ	PREVOD NA UCET	1253	32920	 	QR	58903491
935966	3195	1997-01-14	VYDAJ	PREVOD NA UCET	1253	33469	 	QR	58903491
935967	3195	1997-02-14	VYDAJ	PREVOD NA UCET	1253	33126	 	QR	58903491
935968	3195	1997-03-14	VYDAJ	PREVOD NA UCET	1253	34780	 	QR	58903491
935969	3195	1997-04-14	VYDAJ	PREVOD NA UCET	1253	29435	 	QR	58903491
935970	3195	1997-05-14	VYDAJ	PREVOD NA UCET	1253	29975	 	QR	58903491
935971	3195	1997-06-14	VYDAJ	PREVOD NA UCET	1253	29121	 	QR	58903491
935972	3195	1997-07-14	VYDAJ	PREVOD NA UCET	1253	25563	 	QR	58903491
935973	3195	1997-08-14	VYDAJ	PREVOD NA UCET	1253	30596	 	QR	58903491
935974	3195	1997-09-14	VYDAJ	PREVOD NA UCET	1253	33036	 	QR	58903491
935975	3195	1997-10-14	VYDAJ	PREVOD NA UCET	1253	39184	 	QR	58903491
935976	3195	1997-11-14	VYDAJ	PREVOD NA UCET	1253	37754	 	QR	58903491
935977	3195	1997-12-14	VYDAJ	PREVOD NA UCET	1253	40235	 	QR	58903491
935978	3195	1998-01-14	VYDAJ	PREVOD NA UCET	1253	42418	 	QR	58903491
935979	3195	1998-02-14	VYDAJ	PREVOD NA UCET	1253	46610	 	QR	58903491
935980	3195	1998-03-14	VYDAJ	PREVOD NA UCET	1253	49616	 	QR	58903491
935981	3195	1998-04-14	VYDAJ	PREVOD NA UCET	1253	53538	 	QR	58903491
935982	3195	1998-05-14	VYDAJ	PREVOD NA UCET	1253	54972	 	QR	58903491
935983	3195	1998-06-14	VYDAJ	PREVOD NA UCET	1253	61916	 	QR	58903491
935984	3195	1998-07-14	VYDAJ	PREVOD NA UCET	1253	53462	 	QR	58903491
935985	3195	1998-08-14	VYDAJ	PREVOD NA UCET	1253	57698	 	QR	58903491
935986	3195	1998-09-14	VYDAJ	PREVOD NA UCET	1253	61651	 	QR	58903491
935987	3195	1998-10-14	VYDAJ	PREVOD NA UCET	1253	61921	 	QR	58903491
935988	3195	1998-11-14	VYDAJ	PREVOD NA UCET	1253	56585	 	QR	58903491
935989	3195	1998-12-14	VYDAJ	PREVOD NA UCET	1253	57741	 	QR	58903491
936002	3195	1994-01-12	VYDAJ	PREVOD NA UCET	218	31223	POJISTNE	WX	79532688
936003	3195	1994-02-12	VYDAJ	PREVOD NA UCET	218	30565	POJISTNE	WX	79532688
936004	3195	1994-03-12	VYDAJ	PREVOD NA UCET	218	28006	POJISTNE	WX	79532688
936005	3195	1994-04-12	VYDAJ	PREVOD NA UCET	218	30238	POJISTNE	WX	79532688
936006	3195	1994-05-12	VYDAJ	PREVOD NA UCET	218	30978	POJISTNE	WX	79532688
936007	3195	1994-06-12	VYDAJ	PREVOD NA UCET	218	29715	POJISTNE	WX	79532688
936008	3195	1994-07-12	VYDAJ	PREVOD NA UCET	218	31149	POJISTNE	WX	79532688
936009	3195	1994-08-12	VYDAJ	PREVOD NA UCET	218	31393	POJISTNE	WX	79532688
936010	3195	1994-09-12	VYDAJ	PREVOD NA UCET	218	32338	POJISTNE	WX	79532688
936011	3195	1994-10-12	VYDAJ	PREVOD NA UCET	218	32786	POJISTNE	WX	79532688
936012	3195	1994-11-12	VYDAJ	PREVOD NA UCET	218	32635	POJISTNE	WX	79532688
936013	3195	1994-12-12	VYDAJ	PREVOD NA UCET	218	32783	POJISTNE	WX	79532688
936014	3195	1995-01-12	VYDAJ	PREVOD NA UCET	218	32428	POJISTNE	WX	79532688
936015	3195	1995-02-12	VYDAJ	PREVOD NA UCET	218	28374	POJISTNE	WX	79532688
936016	3195	1995-03-12	VYDAJ	PREVOD NA UCET	218	27306	POJISTNE	WX	79532688
936017	3195	1995-04-12	VYDAJ	PREVOD NA UCET	218	28432	POJISTNE	WX	79532688
936018	3195	1995-05-12	VYDAJ	PREVOD NA UCET	218	26362	POJISTNE	WX	79532688
936019	3195	1995-06-12	VYDAJ	PREVOD NA UCET	218	34193	POJISTNE	WX	79532688
936020	3195	1995-07-12	VYDAJ	PREVOD NA UCET	218	31441	POJISTNE	WX	79532688
936021	3195	1995-08-12	VYDAJ	PREVOD NA UCET	218	32185	POJISTNE	WX	79532688
936022	3195	1995-09-12	VYDAJ	PREVOD NA UCET	218	28830	POJISTNE	WX	79532688
936023	3195	1995-10-12	VYDAJ	PREVOD NA UCET	218	32566	POJISTNE	WX	79532688
936024	3195	1995-11-12	VYDAJ	PREVOD NA UCET	218	28811	POJISTNE	WX	79532688
936025	3195	1995-12-12	VYDAJ	PREVOD NA UCET	218	32748	POJISTNE	WX	79532688
936026	3195	1996-01-12	VYDAJ	PREVOD NA UCET	218	26980	POJISTNE	WX	79532688
936027	3195	1996-02-12	VYDAJ	PREVOD NA UCET	218	26605	POJISTNE	WX	79532688
936028	3195	1996-03-12	VYDAJ	PREVOD NA UCET	218	28330	POJISTNE	WX	79532688
936029	3195	1996-04-12	VYDAJ	PREVOD NA UCET	218	29461	POJISTNE	WX	79532688
936030	3195	1996-05-12	VYDAJ	PREVOD NA UCET	218	33701	POJISTNE	WX	79532688
936031	3195	1996-06-12	VYDAJ	PREVOD NA UCET	218	33052	POJISTNE	WX	79532688
936032	3195	1996-07-12	VYDAJ	PREVOD NA UCET	218	32996	POJISTNE	WX	79532688
936033	3195	1996-08-12	VYDAJ	PREVOD NA UCET	218	33846	POJISTNE	WX	79532688
936034	3195	1996-09-12	VYDAJ	PREVOD NA UCET	218	37404	POJISTNE	WX	79532688
936035	3195	1996-10-12	VYDAJ	PREVOD NA UCET	218	35365	POJISTNE	WX	79532688
936036	3195	1996-11-12	VYDAJ	PREVOD NA UCET	218	32224	POJISTNE	WX	79532688
936037	3195	1996-12-12	VYDAJ	PREVOD NA UCET	218	34173	POJISTNE	WX	79532688
936038	3195	1997-01-12	VYDAJ	PREVOD NA UCET	218	34722	POJISTNE	WX	79532688
936039	3195	1997-02-12	VYDAJ	PREVOD NA UCET	218	33079	POJISTNE	WX	79532688
936040	3195	1997-03-12	VYDAJ	PREVOD NA UCET	218	36033	POJISTNE	WX	79532688
936041	3195	1997-04-12	VYDAJ	PREVOD NA UCET	218	30588	POJISTNE	WX	79532688
936042	3195	1997-05-12	VYDAJ	PREVOD NA UCET	218	31228	POJISTNE	WX	79532688
936043	3195	1997-06-12	VYDAJ	PREVOD NA UCET	218	34174	POJISTNE	WX	79532688
936044	3195	1997-07-12	VYDAJ	PREVOD NA UCET	218	32016	POJISTNE	WX	79532688
936045	3195	1997-08-12	VYDAJ	PREVOD NA UCET	218	31849	POJISTNE	WX	79532688
936046	3195	1997-09-12	VYDAJ	PREVOD NA UCET	218	34289	POJISTNE	WX	79532688
936047	3195	1997-10-12	VYDAJ	PREVOD NA UCET	218	40437	POJISTNE	WX	79532688
936048	3195	1997-11-12	VYDAJ	PREVOD NA UCET	218	39007	POJISTNE	WX	79532688
936049	3195	1997-12-12	VYDAJ	PREVOD NA UCET	218	41488	POJISTNE	WX	79532688
936050	3195	1998-01-12	VYDAJ	PREVOD NA UCET	218	43671	POJISTNE	WX	79532688
936051	3195	1998-02-12	VYDAJ	PREVOD NA UCET	218	47863	POJISTNE	WX	79532688
936052	3195	1998-03-12	VYDAJ	PREVOD NA UCET	218	50869	POJISTNE	WX	79532688
936053	3195	1998-04-12	VYDAJ	PREVOD NA UCET	218	54791	POJISTNE	WX	79532688
936054	3195	1998-05-12	VYDAJ	PREVOD NA UCET	218	56225	POJISTNE	WX	79532688
936055	3195	1998-06-12	VYDAJ	PREVOD NA UCET	218	63169	POJISTNE	WX	79532688
936056	3195	1998-07-12	VYDAJ	PREVOD NA UCET	218	54715	POJISTNE	WX	79532688
936057	3195	1998-08-12	VYDAJ	PREVOD NA UCET	218	58951	POJISTNE	WX	79532688
936058	3195	1998-09-12	VYDAJ	PREVOD NA UCET	218	62904	POJISTNE	WX	79532688
936059	3195	1998-10-12	VYDAJ	PREVOD NA UCET	218	63174	POJISTNE	WX	79532688
936060	3195	1998-11-12	VYDAJ	PREVOD NA UCET	218	57838	POJISTNE	WX	79532688
936061	3195	1998-12-12	VYDAJ	PREVOD NA UCET	218	58994	POJISTNE	WX	79532688
936067	3195	1998-06-19	VYDAJ	VYBER	12400	49516	\N	\N	\N
936069	3195	1994-12-03	VYDAJ	VYBER	700	27691	\N	\N	\N
936070	3195	1995-12-23	VYDAJ	VYBER	1600	24095	\N	\N	\N
936071	3195	1996-12-06	VYDAJ	VYBER	1300	27482	\N	\N	\N
936072	3195	1997-12-11	VYDAJ	VYBER	2800	34797	\N	\N	\N
936073	3195	1998-12-10	VYDAJ	VYBER	2000	52303	\N	\N	\N
936076	3195	1994-11-16	VYDAJ	VYBER	2300	29082	\N	\N	\N
936078	3195	1994-05-13	VYDAJ	VYBER	3500	27478	\N	\N	\N
936079	3195	1995-12-13	VYDAJ	VYBER	4100	28648	\N	\N	\N
936080	3195	1995-10-22	VYDAJ	VYBER	3100	28213	\N	\N	\N
936081	3195	1995-01-31	VYDAJ	VYBER	3500	25600	\N	\N	\N
936082	3195	1995-03-03	VYDAJ	VYBER	1600	24517	\N	\N	\N
936083	3195	1995-08-29	VYDAJ	VYBER	3400	25932	\N	\N	\N
936084	3195	1995-04-26	VYDAJ	VYBER	3800	23479	\N	\N	\N
936085	3195	1996-02-28	VYDAJ	VYBER	600	25452	\N	\N	\N
936086	3195	1996-11-05	VYDAJ	VYBER	4100	27836	\N	\N	\N
936087	3195	1996-06-09	VYDAJ	VYBER	900	26361	\N	\N	\N
936088	3195	1996-01-28	VYDAJ	VYBER	2200	23727	\N	\N	\N
936089	3195	1997-09-28	VYDAJ	VYBER	3000	30036	\N	\N	\N
936090	3195	1997-09-03	VYDAJ	VYBER	3200	27500	\N	\N	\N
936091	3195	1997-07-14	VYDAJ	VYBER	3300	26816	\N	\N	\N
936092	3195	1997-04-02	VYDAJ	VYBER	4000	27799	\N	\N	\N
936093	3195	1997-04-19	VYDAJ	VYBER	1100	28335	\N	\N	\N
936094	3195	1998-10-15	VYDAJ	VYBER	4600	57321	\N	\N	\N
936095	3195	1998-04-27	VYDAJ	VYBER	4500	49038	\N	\N	\N
936096	3195	1998-03-11	VYDAJ	VYBER	1000	46481	\N	\N	\N
936097	3195	1998-12-15	VYDAJ	VYBER	2500	55241	\N	\N	\N
936098	3195	1998-01-26	VYDAJ	VYBER	1200	41218	\N	\N	\N
936099	3195	1998-08-04	VYDAJ	VYBER	1400	52262	\N	\N	\N
936113	3195	1994-01-31	VYDAJ	VYBER	15	27776	SLUZBY	\N	\N
936114	3195	1994-02-28	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
936115	3195	1994-03-31	VYDAJ	VYBER	15	27449	SLUZBY	\N	\N
936116	3195	1994-04-30	VYDAJ	VYBER	15	28189	SLUZBY	\N	\N
936117	3195	1994-05-31	VYDAJ	VYBER	15	24623	SLUZBY	\N	\N
936118	3195	1994-06-30	VYDAJ	VYBER	15	28360	SLUZBY	\N	\N
936119	3195	1994-07-31	VYDAJ	VYBER	15	28604	SLUZBY	\N	\N
936120	3195	1994-08-31	VYDAJ	VYBER	15	29549	SLUZBY	\N	\N
936121	3195	1994-09-30	VYDAJ	VYBER	15	29997	SLUZBY	\N	\N
936122	3195	1994-10-31	VYDAJ	VYBER	15	29846	SLUZBY	\N	\N
936123	3195	1994-11-30	VYDAJ	VYBER	15	28391	SLUZBY	\N	\N
936124	3195	1994-12-31	VYDAJ	VYBER	15	29639	SLUZBY	\N	\N
936125	3195	1995-01-31	VYDAJ	VYBER	15	25585	SLUZBY	\N	\N
936126	3195	1995-02-28	VYDAJ	VYBER	15	26117	SLUZBY	\N	\N
936127	3195	1995-03-31	VYDAJ	VYBER	15	25643	SLUZBY	\N	\N
936128	3195	1995-04-30	VYDAJ	VYBER	15	23573	SLUZBY	\N	\N
936129	3195	1995-05-31	VYDAJ	VYBER	15	29101	SLUZBY	\N	\N
936130	3195	1995-06-30	VYDAJ	VYBER	15	28652	SLUZBY	\N	\N
936131	3195	1995-07-31	VYDAJ	VYBER	15	29396	SLUZBY	\N	\N
936132	3195	1995-08-31	VYDAJ	VYBER	15	26041	SLUZBY	\N	\N
936133	3195	1995-09-30	VYDAJ	VYBER	15	29777	SLUZBY	\N	\N
936134	3195	1995-10-31	VYDAJ	VYBER	15	26022	SLUZBY	\N	\N
936135	3195	1995-11-30	VYDAJ	VYBER	15	27656	SLUZBY	\N	\N
936136	3195	1995-12-31	VYDAJ	VYBER	15	24191	SLUZBY	\N	\N
936137	3195	1996-01-31	VYDAJ	VYBER	15	23816	SLUZBY	\N	\N
936138	3195	1996-02-29	VYDAJ	VYBER	15	25541	SLUZBY	\N	\N
936139	3195	1996-03-31	VYDAJ	VYBER	15	26672	SLUZBY	\N	\N
936140	3195	1996-04-30	VYDAJ	VYBER	15	30912	SLUZBY	\N	\N
936141	3195	1996-05-31	VYDAJ	VYBER	15	28860	SLUZBY	\N	\N
936142	3195	1996-06-30	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
936143	3195	1996-07-31	VYDAJ	VYBER	15	31057	SLUZBY	\N	\N
936144	3195	1996-08-31	VYDAJ	VYBER	15	34615	SLUZBY	\N	\N
936145	3195	1996-09-30	VYDAJ	VYBER	15	32576	SLUZBY	\N	\N
936146	3195	1996-10-31	VYDAJ	VYBER	15	33535	SLUZBY	\N	\N
936147	3195	1996-11-30	VYDAJ	VYBER	15	30381	SLUZBY	\N	\N
936148	3195	1996-12-31	VYDAJ	VYBER	15	31933	SLUZBY	\N	\N
936149	3195	1997-01-31	VYDAJ	VYBER	15	30290	SLUZBY	\N	\N
936150	3195	1997-02-28	VYDAJ	VYBER	15	33244	SLUZBY	\N	\N
936151	3195	1997-03-31	VYDAJ	VYBER	15	31799	SLUZBY	\N	\N
936152	3195	1997-04-30	VYDAJ	VYBER	15	28439	SLUZBY	\N	\N
936153	3195	1997-05-31	VYDAJ	VYBER	15	29082	SLUZBY	\N	\N
936154	3195	1997-06-30	VYDAJ	VYBER	15	29227	SLUZBY	\N	\N
936155	3195	1997-07-31	VYDAJ	VYBER	15	25660	SLUZBY	\N	\N
936156	3195	1997-08-31	VYDAJ	VYBER	15	30700	SLUZBY	\N	\N
936157	3195	1997-09-30	VYDAJ	VYBER	15	30148	SLUZBY	\N	\N
936158	3195	1997-10-31	VYDAJ	VYBER	15	39318	SLUZBY	\N	\N
936159	3195	1997-11-30	VYDAJ	VYBER	15	37896	SLUZBY	\N	\N
936160	3195	1997-12-31	VYDAJ	VYBER	15	40382	SLUZBY	\N	\N
936161	3195	1998-01-31	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
936162	3195	1998-02-28	VYDAJ	VYBER	15	46780	SLUZBY	\N	\N
936163	3195	1998-03-31	VYDAJ	VYBER	15	49802	SLUZBY	\N	\N
936164	3195	1998-04-30	VYDAJ	VYBER	15	49236	SLUZBY	\N	\N
936165	3195	1998-05-31	VYDAJ	VYBER	15	55177	SLUZBY	\N	\N
936166	3195	1998-06-30	VYDAJ	VYBER	15	49726	SLUZBY	\N	\N
936167	3195	1998-07-31	VYDAJ	VYBER	15	53662	SLUZBY	\N	\N
936168	3195	1998-08-31	VYDAJ	VYBER	15	57915	SLUZBY	\N	\N
936169	3195	1998-09-30	VYDAJ	VYBER	15	61885	SLUZBY	\N	\N
936170	3195	1998-10-31	VYDAJ	VYBER	15	57549	SLUZBY	\N	\N
936171	3195	1998-11-30	VYDAJ	VYBER	15	56802	SLUZBY	\N	\N
936172	3195	1993-10-02	PRIJEM	VKLAD	12000	17220	\N	\N	\N
936173	3195	1993-11-01	PRIJEM	VKLAD	500	22392	\N	\N	\N
936174	3195	1993-12-01	VYDAJ	VYBER	2600	24503	\N	\N	\N
936175	3195	1993-12-31	VYDAJ	VYBER	4700	26835	\N	\N	\N
936176	3195	1994-01-30	VYDAJ	VYBER	2300	27670	\N	\N	\N
936177	3195	1994-03-01	VYDAJ	VYBER	4200	25217	\N	\N	\N
936178	3195	1994-03-31	PRIJEM	VKLAD	600	27353	\N	\N	\N
936179	3195	1994-04-30	VYDAJ	VYBER	900	28204	\N	\N	\N
936180	3195	1994-05-30	VYDAJ	VYBER	1700	24525	\N	\N	\N
936181	3195	1994-06-29	VYDAJ	VYBER	200	28262	\N	\N	\N
936182	3195	1994-07-29	VYDAJ	VYBER	1400	28496	\N	\N	\N
936183	3195	1994-08-28	VYDAJ	VYBER	700	29440	\N	\N	\N
936184	3195	1994-09-27	VYDAJ	VYBER	1200	29885	\N	\N	\N
936185	3195	1994-10-27	VYDAJ	VYBER	1800	29733	\N	\N	\N
936186	3195	1994-11-26	VYDAJ	VYBER	800	28282	\N	\N	\N
936187	3195	1994-12-26	VYDAJ	VYBER	2000	29530	\N	\N	\N
936188	3195	1995-01-25	VYDAJ	VYBER	2200	28975	\N	\N	\N
936189	3195	1995-02-24	VYDAJ	VYBER	1100	26021	\N	\N	\N
936190	3195	1995-03-26	VYDAJ	VYBER	500	25553	\N	\N	\N
936191	3195	1995-04-25	PRIJEM	VKLAD	100	27279	\N	\N	\N
936192	3195	1995-05-25	PRIJEM	VKLAD	3900	29009	\N	\N	\N
936193	3195	1995-06-24	VYDAJ	VYBER	4400	28540	\N	\N	\N
936194	3195	1995-07-24	VYDAJ	VYBER	900	29288	\N	\N	\N
936195	3195	1995-08-23	VYDAJ	VYBER	1600	29332	\N	\N	\N
936196	3195	1995-09-22	PRIJEM	VKLAD	2100	29677	\N	\N	\N
936197	3195	1995-10-22	VYDAJ	VYBER	2300	25913	\N	\N	\N
936198	3195	1995-12-21	VYDAJ	VYBER	1700	25695	\N	\N	\N
936199	3195	1996-01-20	PRIJEM	VKLAD	200	25927	\N	\N	\N
936200	3195	1996-02-19	PRIJEM	VKLAD	700	26052	\N	\N	\N
936201	3195	1996-03-20	VYDAJ	VYBER	500	26577	\N	\N	\N
936202	3195	1996-04-19	PRIJEM	VKLAD	2600	30808	\N	\N	\N
936203	3195	1996-05-19	VYDAJ	VYBER	3700	28748	\N	\N	\N
936204	3195	1996-06-18	VYDAJ	VYBER	1700	30099	\N	\N	\N
936205	3195	1996-07-18	VYDAJ	VYBER	800	30943	\N	\N	\N
936206	3195	1996-08-17	PRIJEM	VKLAD	1900	34493	\N	\N	\N
936207	3195	1996-09-16	VYDAJ	VYBER	3700	32451	\N	\N	\N
936208	3195	1996-10-16	VYDAJ	VYBER	700	33412	\N	\N	\N
936209	3195	1996-11-15	VYDAJ	VYBER	700	30271	\N	\N	\N
936210	3195	1996-12-15	VYDAJ	VYBER	1100	31820	\N	\N	\N
936211	3195	1997-01-14	VYDAJ	VYBER	3300	30169	\N	\N	\N
936212	3195	1997-02-13	PRIJEM	VKLAD	1300	34379	\N	\N	\N
936213	3195	1997-03-15	VYDAJ	VYBER	3100	31680	\N	\N	\N
936214	3195	1997-04-14	PRIJEM	VKLAD	100	30688	\N	\N	\N
936215	3195	1997-05-14	VYDAJ	VYBER	1000	28975	\N	\N	\N
936216	3195	1997-06-13	VYDAJ	VYBER	3800	30374	\N	\N	\N
936217	3195	1997-07-13	VYDAJ	VYBER	1900	30116	\N	\N	\N
936218	3195	1997-08-12	PRIJEM	VKLAD	3400	32067	\N	\N	\N
936219	3195	1997-09-11	PRIJEM	VKLAD	4000	29901	\N	\N	\N
936220	3195	1997-10-11	PRIJEM	VKLAD	7500	36049	\N	\N	\N
936221	3195	1997-11-10	VYDAJ	VYBER	3100	34619	\N	\N	\N
936222	3195	1997-12-10	PRIJEM	VKLAD	1300	37597	\N	\N	\N
936223	3195	1998-01-09	PRIJEM	VKLAD	500	39283	\N	\N	\N
936224	3195	1998-02-08	PRIJEM	VKLAD	3700	43475	\N	\N	\N
936225	3195	1998-03-10	PRIJEM	VKLAD	2300	47481	\N	\N	\N
936226	3195	1998-04-09	PRIJEM	VKLAD	2200	50403	\N	\N	\N
936227	3195	1998-05-09	PRIJEM	VKLAD	4200	51837	\N	\N	\N
936228	3195	1998-06-08	PRIJEM	VKLAD	2900	56478	\N	\N	\N
936229	3195	1998-07-08	PRIJEM	VKLAD	2200	50327	\N	\N	\N
936230	3195	1998-08-07	PRIJEM	VKLAD	3900	54563	\N	\N	\N
936231	3195	1998-09-06	PRIJEM	VKLAD	2200	58516	\N	\N	\N
936232	3195	1998-10-06	VYDAJ	VYBER	1500	58786	\N	\N	\N
936233	3195	1998-11-05	VYDAJ	VYBER	2500	55049	\N	\N	\N
936234	3195	1998-12-05	VYDAJ	VYBER	900	55902	\N	\N	\N
936299	3196	1993-12-13	PRIJEM	VKLAD	700	700	\N	\N	\N
936312	3196	1994-01-09	PRIJEM	PREVOD Z UCTU	5403	6103	DUCHOD	ST	9567541
936313	3196	1994-02-09	PRIJEM	PREVOD Z UCTU	5403	11506	DUCHOD	ST	9567541
936314	3196	1994-03-09	PRIJEM	PREVOD Z UCTU	5403	16909	DUCHOD	ST	9567541
936315	3196	1994-04-09	PRIJEM	PREVOD Z UCTU	5403	22312	DUCHOD	ST	9567541
936316	3196	1994-05-09	PRIJEM	PREVOD Z UCTU	5403	27573	DUCHOD	ST	9567541
936317	3196	1994-06-09	PRIJEM	PREVOD Z UCTU	5403	28167	DUCHOD	ST	9567541
936318	3196	1994-07-09	PRIJEM	PREVOD Z UCTU	5403	22800	DUCHOD	ST	9567541
936319	3196	1994-08-09	PRIJEM	PREVOD Z UCTU	5403	25880	DUCHOD	ST	9567541
936320	3196	1994-09-09	PRIJEM	PREVOD Z UCTU	5403	25712	DUCHOD	ST	9567541
936321	3196	1994-10-09	PRIJEM	PREVOD Z UCTU	5403	28803	DUCHOD	ST	9567541
936322	3196	1994-11-09	PRIJEM	PREVOD Z UCTU	5403	31908	DUCHOD	ST	9567541
936323	3196	1994-12-09	PRIJEM	PREVOD Z UCTU	5403	33125	DUCHOD	ST	9567541
936324	3196	1995-01-09	PRIJEM	PREVOD Z UCTU	5403	30574	DUCHOD	ST	9567541
936325	3196	1995-02-09	PRIJEM	PREVOD Z UCTU	5403	28303	DUCHOD	ST	9567541
936326	3196	1995-03-09	PRIJEM	PREVOD Z UCTU	5403	31405	DUCHOD	ST	9567541
936327	3196	1995-04-09	PRIJEM	PREVOD Z UCTU	5403	34421	DUCHOD	ST	9567541
936328	3196	1995-05-09	PRIJEM	PREVOD Z UCTU	5403	37551	DUCHOD	ST	9567541
936329	3196	1995-06-09	PRIJEM	PREVOD Z UCTU	5403	37405	DUCHOD	ST	9567541
936330	3196	1995-07-09	PRIJEM	PREVOD Z UCTU	5403	32257	DUCHOD	ST	9567541
936331	3196	1995-08-09	PRIJEM	PREVOD Z UCTU	5403	34495	DUCHOD	ST	9567541
936332	3196	1995-09-09	PRIJEM	PREVOD Z UCTU	5403	37623	DUCHOD	ST	9567541
936333	3196	1995-10-09	PRIJEM	PREVOD Z UCTU	5403	40764	DUCHOD	ST	9567541
936334	3196	1995-11-09	PRIJEM	PREVOD Z UCTU	5403	43918	DUCHOD	ST	9567541
936335	3196	1995-12-09	PRIJEM	PREVOD Z UCTU	5403	43585	DUCHOD	ST	9567541
936336	3196	1996-01-09	PRIJEM	PREVOD Z UCTU	5403	45956	DUCHOD	ST	9567541
936337	3196	1996-02-09	PRIJEM	PREVOD Z UCTU	5403	34328	DUCHOD	ST	9567541
936338	3196	1996-03-09	PRIJEM	PREVOD Z UCTU	5403	35051	DUCHOD	ST	9567541
936339	3196	1996-04-09	PRIJEM	PREVOD Z UCTU	5403	38181	DUCHOD	ST	9567541
936340	3196	1996-05-09	PRIJEM	PREVOD Z UCTU	5403	41324	DUCHOD	ST	9567541
936341	3196	1996-06-09	PRIJEM	PREVOD Z UCTU	5403	44480	DUCHOD	ST	9567541
936342	3196	1996-07-09	PRIJEM	PREVOD Z UCTU	5403	37093	DUCHOD	ST	9567541
936343	3196	1996-08-09	PRIJEM	PREVOD Z UCTU	5403	40232	DUCHOD	ST	9567541
936344	3196	1996-09-09	PRIJEM	PREVOD Z UCTU	5403	39942	DUCHOD	ST	9567541
936345	3196	1996-10-09	PRIJEM	PREVOD Z UCTU	5403	43092	DUCHOD	ST	9567541
936346	3196	1996-11-09	PRIJEM	PREVOD Z UCTU	5403	43773	DUCHOD	ST	9567541
936347	3196	1996-12-09	PRIJEM	PREVOD Z UCTU	5403	46939	DUCHOD	ST	9567541
936348	3196	1997-01-09	PRIJEM	PREVOD Z UCTU	5403	49218	DUCHOD	ST	9567541
936349	3196	1997-02-09	PRIJEM	PREVOD Z UCTU	5403	41098	DUCHOD	ST	9567541
936350	3196	1997-03-09	PRIJEM	PREVOD Z UCTU	5403	44252	DUCHOD	ST	9567541
936351	3196	1997-04-09	PRIJEM	PREVOD Z UCTU	5403	47420	DUCHOD	ST	9567541
936352	3196	1997-05-09	PRIJEM	PREVOD Z UCTU	5403	49881	DUCHOD	ST	9567541
936353	3196	1997-06-09	PRIJEM	PREVOD Z UCTU	5403	52435	DUCHOD	ST	9567541
936354	3196	1997-07-09	PRIJEM	PREVOD Z UCTU	5403	47048	DUCHOD	ST	9567541
936355	3196	1997-08-09	PRIJEM	PREVOD Z UCTU	5403	46068	DUCHOD	ST	9567541
936356	3196	1997-09-09	PRIJEM	PREVOD Z UCTU	5403	49243	DUCHOD	ST	9567541
936357	3196	1997-10-09	PRIJEM	PREVOD Z UCTU	5403	52431	DUCHOD	ST	9567541
936358	3196	1997-11-09	PRIJEM	PREVOD Z UCTU	5403	51089	DUCHOD	ST	9567541
936359	3196	1997-12-09	PRIJEM	PREVOD Z UCTU	5403	52530	DUCHOD	ST	9567541
936360	3196	1998-01-09	PRIJEM	PREVOD Z UCTU	5403	48764	DUCHOD	ST	9567541
936361	3196	1998-02-09	PRIJEM	PREVOD Z UCTU	5403	47308	DUCHOD	ST	9567541
936362	3196	1998-03-09	PRIJEM	PREVOD Z UCTU	5403	45679	DUCHOD	ST	9567541
936363	3196	1998-04-09	PRIJEM	PREVOD Z UCTU	5403	48852	DUCHOD	ST	9567541
936364	3196	1998-05-09	PRIJEM	PREVOD Z UCTU	5403	48533	DUCHOD	ST	9567541
936365	3196	1998-06-09	PRIJEM	PREVOD Z UCTU	5403	48512	DUCHOD	ST	9567541
936366	3196	1998-07-09	PRIJEM	PREVOD Z UCTU	5403	34238	DUCHOD	ST	9567541
936367	3196	1998-08-09	PRIJEM	PREVOD Z UCTU	5403	37362	DUCHOD	ST	9567541
936368	3196	1998-09-09	PRIJEM	PREVOD Z UCTU	5403	40500	DUCHOD	ST	9567541
936369	3196	1998-10-09	PRIJEM	PREVOD Z UCTU	5403	41490	DUCHOD	ST	9567541
936370	3196	1998-11-09	PRIJEM	PREVOD Z UCTU	5403	44649	DUCHOD	ST	9567541
936371	3196	1998-12-09	PRIJEM	PREVOD Z UCTU	5403	47817	DUCHOD	ST	9567541
936388	3196	1994-05-13	VYDAJ	PREVOD NA UCET	2389	22684	SIPO	QR	20193255
936389	3196	1994-06-13	VYDAJ	PREVOD NA UCET	2389	17328	SIPO	QR	20193255
936390	3196	1994-07-13	VYDAJ	PREVOD NA UCET	2389	20411	SIPO	QR	20193255
936391	3196	1994-08-13	VYDAJ	PREVOD NA UCET	2389	23191	SIPO	QR	20193255
936392	3196	1994-09-13	VYDAJ	PREVOD NA UCET	2389	23323	SIPO	QR	20193255
936393	3196	1994-10-13	VYDAJ	PREVOD NA UCET	2389	26414	SIPO	QR	20193255
936394	3196	1994-11-13	VYDAJ	PREVOD NA UCET	2389	29519	SIPO	QR	20193255
936395	3196	1994-12-13	VYDAJ	PREVOD NA UCET	2389	30736	SIPO	QR	20193255
936396	3196	1995-01-13	VYDAJ	PREVOD NA UCET	2389	27705	SIPO	QR	20193255
936397	3196	1995-02-13	VYDAJ	PREVOD NA UCET	2389	25914	SIPO	QR	20193255
936398	3196	1995-03-13	VYDAJ	PREVOD NA UCET	2389	29016	SIPO	QR	20193255
936399	3196	1995-04-13	VYDAJ	PREVOD NA UCET	2389	32032	SIPO	QR	20193255
936400	3196	1995-05-13	VYDAJ	PREVOD NA UCET	2389	31882	SIPO	QR	20193255
936401	3196	1995-06-13	VYDAJ	PREVOD NA UCET	2389	35016	SIPO	QR	20193255
936402	3196	1995-07-13	VYDAJ	PREVOD NA UCET	2389	29868	SIPO	QR	20193255
936403	3196	1995-08-13	VYDAJ	PREVOD NA UCET	2389	32106	SIPO	QR	20193255
936404	3196	1995-09-13	VYDAJ	PREVOD NA UCET	2389	35234	SIPO	QR	20193255
936405	3196	1995-10-13	VYDAJ	PREVOD NA UCET	2389	38375	SIPO	QR	20193255
936406	3196	1995-11-13	VYDAJ	PREVOD NA UCET	2389	41529	SIPO	QR	20193255
936407	3196	1995-12-13	VYDAJ	PREVOD NA UCET	2389	41196	SIPO	QR	20193255
936408	3196	1996-01-13	VYDAJ	PREVOD NA UCET	2389	41967	SIPO	QR	20193255
936409	3196	1996-02-13	VYDAJ	PREVOD NA UCET	2389	31939	SIPO	QR	20193255
936410	3196	1996-03-13	VYDAJ	PREVOD NA UCET	2389	32662	SIPO	QR	20193255
936411	3196	1996-04-13	VYDAJ	PREVOD NA UCET	2389	35792	SIPO	QR	20193255
936412	3196	1996-05-13	VYDAJ	PREVOD NA UCET	2389	38935	SIPO	QR	20193255
936413	3196	1996-06-13	VYDAJ	PREVOD NA UCET	2389	42091	SIPO	QR	20193255
936414	3196	1996-07-13	VYDAJ	PREVOD NA UCET	2389	34704	SIPO	QR	20193255
936415	3196	1996-08-13	VYDAJ	PREVOD NA UCET	2389	37843	SIPO	QR	20193255
936416	3196	1996-09-13	VYDAJ	PREVOD NA UCET	2389	37553	SIPO	QR	20193255
936417	3196	1996-10-13	VYDAJ	PREVOD NA UCET	2389	40703	SIPO	QR	20193255
936418	3196	1996-11-13	VYDAJ	PREVOD NA UCET	2389	41384	SIPO	QR	20193255
936419	3196	1996-12-13	VYDAJ	PREVOD NA UCET	2389	44550	SIPO	QR	20193255
936420	3196	1997-01-13	VYDAJ	PREVOD NA UCET	2389	46829	SIPO	QR	20193255
936421	3196	1997-02-13	VYDAJ	PREVOD NA UCET	2389	38709	SIPO	QR	20193255
936422	3196	1997-03-13	VYDAJ	PREVOD NA UCET	2389	41863	SIPO	QR	20193255
936423	3196	1997-04-13	VYDAJ	PREVOD NA UCET	2389	45031	SIPO	QR	20193255
936424	3196	1997-05-13	VYDAJ	PREVOD NA UCET	2389	47492	SIPO	QR	20193255
936425	3196	1997-06-13	VYDAJ	PREVOD NA UCET	2389	50046	SIPO	QR	20193255
936426	3196	1997-07-13	VYDAJ	PREVOD NA UCET	2389	44659	SIPO	QR	20193255
936427	3196	1997-08-13	VYDAJ	PREVOD NA UCET	2389	43679	SIPO	QR	20193255
936428	3196	1997-09-13	VYDAJ	PREVOD NA UCET	2389	46854	SIPO	QR	20193255
936429	3196	1997-10-13	VYDAJ	PREVOD NA UCET	2389	50042	SIPO	QR	20193255
936430	3196	1997-11-13	VYDAJ	PREVOD NA UCET	2389	48700	SIPO	QR	20193255
936431	3196	1997-12-13	VYDAJ	PREVOD NA UCET	2389	49241	SIPO	QR	20193255
936432	3196	1998-01-13	VYDAJ	PREVOD NA UCET	2389	44695	SIPO	QR	20193255
936433	3196	1998-02-13	VYDAJ	PREVOD NA UCET	2389	41319	SIPO	QR	20193255
936434	3196	1998-03-13	VYDAJ	PREVOD NA UCET	2389	43290	SIPO	QR	20193255
936435	3196	1998-04-13	VYDAJ	PREVOD NA UCET	2389	46463	SIPO	QR	20193255
936436	3196	1998-05-13	VYDAJ	PREVOD NA UCET	2389	46144	SIPO	QR	20193255
936437	3196	1998-06-13	VYDAJ	PREVOD NA UCET	2389	46123	SIPO	QR	20193255
936438	3196	1998-07-13	VYDAJ	PREVOD NA UCET	2389	31849	SIPO	QR	20193255
936439	3196	1998-08-13	VYDAJ	PREVOD NA UCET	2389	34973	SIPO	QR	20193255
936440	3196	1998-09-13	VYDAJ	PREVOD NA UCET	2389	38111	SIPO	QR	20193255
936441	3196	1998-10-13	VYDAJ	PREVOD NA UCET	2389	39101	SIPO	QR	20193255
936442	3196	1998-11-13	VYDAJ	PREVOD NA UCET	2389	42260	SIPO	QR	20193255
936443	3196	1998-12-13	VYDAJ	PREVOD NA UCET	2389	45428	SIPO	QR	20193255
936445	3196	1994-06-09	VYDAJ	VYBER	8450	19717	\N	\N	\N
936446	3196	1995-06-27	VYDAJ	VYBER	3800	26736	\N	\N	\N
936447	3196	1996-06-27	VYDAJ	VYBER	10550	31541	\N	\N	\N
936448	3196	1997-06-27	VYDAJ	VYBER	5150	44896	\N	\N	\N
936449	3196	1998-06-17	VYDAJ	VYBER	13750	32373	\N	\N	\N
936452	3196	1995-01-25	VYDAJ	VYBER	1300	25045	\N	\N	\N
936453	3196	1996-01-30	VYDAJ	VYBER	3750	28777	\N	\N	\N
936454	3196	1997-01-29	VYDAJ	VYBER	1050	35539	\N	\N	\N
936455	3196	1998-01-05	VYDAJ	VYBER	3650	43361	\N	\N	\N
936457	3196	1994-12-17	VYDAJ	VYBER	950	29786	\N	\N	\N
936458	3196	1995-12-14	VYDAJ	VYBER	800	40396	\N	\N	\N
936459	3196	1996-12-30	VYDAJ	VYBER	900	43650	\N	\N	\N
936460	3196	1997-12-09	VYDAJ	VYBER	900	51630	\N	\N	\N
936461	3196	1998-12-21	VYDAJ	VYBER	500	44928	\N	\N	\N
936474	3196	1995-01-05	VYDAJ	VYBER	800	25171	\N	\N	\N
936475	3196	1995-01-26	VYDAJ	VYBER	1040	24005	\N	\N	\N
936476	3196	1995-01-30	VYDAJ	VYBER	720	22805	\N	\N	\N
936477	3196	1995-01-11	VYDAJ	VYBER	480	30094	\N	\N	\N
936478	3196	1995-01-16	VYDAJ	VYBER	480	27225	\N	\N	\N
936479	3196	1995-01-19	VYDAJ	VYBER	880	26345	\N	\N	\N
936480	3196	1996-01-18	VYDAJ	VYBER	2080	37487	\N	\N	\N
936481	3196	1996-01-28	VYDAJ	VYBER	2320	32527	\N	\N	\N
936482	3196	1996-01-28	VYDAJ	VYBER	2160	34847	\N	\N	\N
936483	3196	1996-01-09	VYDAJ	VYBER	1600	44356	\N	\N	\N
936484	3196	1996-01-26	VYDAJ	VYBER	480	37007	\N	\N	\N
936485	3196	1996-01-17	VYDAJ	VYBER	1760	39567	\N	\N	\N
936486	3196	1997-01-13	VYDAJ	VYBER	2240	44589	\N	\N	\N
936487	3196	1997-01-14	VYDAJ	VYBER	1840	42749	\N	\N	\N
936488	3196	1997-01-16	VYDAJ	VYBER	1280	41469	\N	\N	\N
936489	3196	1997-01-28	VYDAJ	VYBER	1440	36589	\N	\N	\N
936490	3196	1997-01-17	VYDAJ	VYBER	2000	39469	\N	\N	\N
936491	3196	1997-01-25	VYDAJ	VYBER	1440	38029	\N	\N	\N
936492	3196	1998-01-02	VYDAJ	VYBER	1120	48211	\N	\N	\N
936493	3196	1998-01-27	VYDAJ	VYBER	1680	41735	\N	\N	\N
936494	3196	1998-01-25	VYDAJ	VYBER	720	43415	\N	\N	\N
936495	3196	1998-01-23	VYDAJ	VYBER	560	44135	\N	\N	\N
936496	3196	1998-01-03	VYDAJ	VYBER	1200	47011	\N	\N	\N
936497	3196	1998-01-10	VYDAJ	VYBER	1680	47084	\N	\N	\N
936503	3196	1994-12-19	VYDAJ	VYBER	3920	25866	\N	\N	\N
936504	3196	1994-08-27	VYDAJ	VYBER	2960	20231	\N	\N	\N
936506	3196	1995-07-23	VYDAJ	VYBER	880	28988	\N	\N	\N
936507	3196	1995-06-19	VYDAJ	VYBER	2880	32136	\N	\N	\N
936508	3196	1995-01-29	VYDAJ	VYBER	480	23525	\N	\N	\N
936509	3196	1995-05-10	VYDAJ	VYBER	3280	34271	\N	\N	\N
936510	3196	1995-06-25	VYDAJ	VYBER	1600	30536	\N	\N	\N
936511	3196	1996-08-29	VYDAJ	VYBER	3440	34403	\N	\N	\N
936512	3196	1996-01-16	VYDAJ	VYBER	640	41327	\N	\N	\N
936513	3196	1996-02-17	VYDAJ	VYBER	2400	29539	\N	\N	\N
936514	3196	1996-10-26	VYDAJ	VYBER	2480	38223	\N	\N	\N
936515	3196	1997-07-15	VYDAJ	VYBER	2240	42419	\N	\N	\N
936516	3196	1997-12-03	VYDAJ	VYBER	1760	47127	\N	\N	\N
936517	3196	1997-07-02	VYDAJ	VYBER	3440	41645	\N	\N	\N
936518	3196	1997-07-30	VYDAJ	VYBER	1920	40499	\N	\N	\N
936519	3196	1997-05-08	VYDAJ	VYBER	720	44478	\N	\N	\N
936520	3196	1997-06-03	VYDAJ	VYBER	640	47032	\N	\N	\N
936521	3196	1997-11-01	VYDAJ	VYBER	2240	45686	\N	\N	\N
936522	3196	1998-06-27	VYDAJ	VYBER	3680	28693	\N	\N	\N
936523	3196	1998-02-13	VYDAJ	VYBER	3600	43708	\N	\N	\N
936524	3196	1998-10-06	VYDAJ	VYBER	2160	36087	\N	\N	\N
936542	3196	1994-05-31	VYDAJ	VYBER	15	22764	SLUZBY	\N	\N
936543	3196	1994-06-30	VYDAJ	VYBER	15	17397	SLUZBY	\N	\N
936544	3196	1994-07-31	VYDAJ	VYBER	15	20477	SLUZBY	\N	\N
936545	3196	1994-08-31	VYDAJ	VYBER	15	20309	SLUZBY	\N	\N
936546	3196	1994-09-30	VYDAJ	VYBER	15	23400	SLUZBY	\N	\N
936547	3196	1994-10-31	VYDAJ	VYBER	15	26505	SLUZBY	\N	\N
936548	3196	1994-11-30	VYDAJ	VYBER	15	29622	SLUZBY	\N	\N
936549	3196	1994-12-31	VYDAJ	VYBER	15	25971	SLUZBY	\N	\N
936550	3196	1995-01-31	VYDAJ	VYBER	15	22900	SLUZBY	\N	\N
936551	3196	1995-02-28	VYDAJ	VYBER	15	26002	SLUZBY	\N	\N
936552	3196	1995-03-31	VYDAJ	VYBER	15	29118	SLUZBY	\N	\N
936553	3196	1995-04-30	VYDAJ	VYBER	15	32148	SLUZBY	\N	\N
936554	3196	1995-05-31	VYDAJ	VYBER	15	32002	SLUZBY	\N	\N
936555	3196	1995-06-30	VYDAJ	VYBER	15	26854	SLUZBY	\N	\N
936556	3196	1995-07-31	VYDAJ	VYBER	15	29092	SLUZBY	\N	\N
936557	3196	1995-08-31	VYDAJ	VYBER	15	32220	SLUZBY	\N	\N
936558	3196	1995-09-30	VYDAJ	VYBER	15	35361	SLUZBY	\N	\N
936559	3196	1995-10-31	VYDAJ	VYBER	15	38515	SLUZBY	\N	\N
936560	3196	1995-11-30	VYDAJ	VYBER	15	41682	SLUZBY	\N	\N
936561	3196	1995-12-31	VYDAJ	VYBER	15	40553	SLUZBY	\N	\N
936562	3196	1996-01-31	VYDAJ	VYBER	15	28925	SLUZBY	\N	\N
936563	3196	1996-02-29	VYDAJ	VYBER	15	29648	SLUZBY	\N	\N
936564	3196	1996-03-31	VYDAJ	VYBER	15	32778	SLUZBY	\N	\N
936565	3196	1996-04-30	VYDAJ	VYBER	15	35921	SLUZBY	\N	\N
936566	3196	1996-05-31	VYDAJ	VYBER	15	39077	SLUZBY	\N	\N
936567	3196	1996-06-30	VYDAJ	VYBER	15	31690	SLUZBY	\N	\N
936568	3196	1996-07-31	VYDAJ	VYBER	15	34829	SLUZBY	\N	\N
936569	3196	1996-08-31	VYDAJ	VYBER	15	34539	SLUZBY	\N	\N
936570	3196	1996-09-30	VYDAJ	VYBER	15	37689	SLUZBY	\N	\N
936571	3196	1996-10-31	VYDAJ	VYBER	15	38370	SLUZBY	\N	\N
936572	3196	1996-11-30	VYDAJ	VYBER	15	41536	SLUZBY	\N	\N
936573	3196	1996-12-31	VYDAJ	VYBER	15	43815	SLUZBY	\N	\N
936574	3196	1997-01-31	VYDAJ	VYBER	15	35695	SLUZBY	\N	\N
936575	3196	1997-02-28	VYDAJ	VYBER	15	38849	SLUZBY	\N	\N
936576	3196	1997-03-31	VYDAJ	VYBER	15	42017	SLUZBY	\N	\N
936577	3196	1997-04-30	VYDAJ	VYBER	15	45198	SLUZBY	\N	\N
936578	3196	1997-05-31	VYDAJ	VYBER	15	47672	SLUZBY	\N	\N
936579	3196	1997-06-30	VYDAJ	VYBER	15	45085	SLUZBY	\N	\N
936580	3196	1997-07-31	VYDAJ	VYBER	15	40665	SLUZBY	\N	\N
936581	3196	1997-08-31	VYDAJ	VYBER	15	43840	SLUZBY	\N	\N
936582	3196	1997-09-30	VYDAJ	VYBER	15	47028	SLUZBY	\N	\N
936583	3196	1997-10-31	VYDAJ	VYBER	15	47926	SLUZBY	\N	\N
936584	3196	1997-11-30	VYDAJ	VYBER	15	48887	SLUZBY	\N	\N
936585	3196	1997-12-31	VYDAJ	VYBER	15	49331	SLUZBY	\N	\N
936586	3196	1998-01-31	VYDAJ	VYBER	15	41905	SLUZBY	\N	\N
936587	3196	1998-02-28	VYDAJ	VYBER	15	40276	SLUZBY	\N	\N
936588	3196	1998-03-31	VYDAJ	VYBER	15	43449	SLUZBY	\N	\N
936589	3196	1998-04-30	VYDAJ	VYBER	15	43130	SLUZBY	\N	\N
936590	3196	1998-05-31	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
936591	3196	1998-06-30	VYDAJ	VYBER	15	28835	SLUZBY	\N	\N
936592	3196	1998-07-31	VYDAJ	VYBER	15	31959	SLUZBY	\N	\N
936593	3196	1998-08-31	VYDAJ	VYBER	15	35097	SLUZBY	\N	\N
936594	3196	1998-09-30	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
936595	3196	1998-10-31	VYDAJ	VYBER	15	39246	SLUZBY	\N	\N
936596	3196	1998-11-30	VYDAJ	VYBER	15	42414	SLUZBY	\N	\N
936597	3196	1994-04-12	VYDAJ	VYBER	200	22112	\N	\N	\N
936598	3196	1994-05-12	VYDAJ	VYBER	2500	25073	\N	\N	\N
936599	3196	1994-08-10	VYDAJ	VYBER	300	25580	\N	\N	\N
936600	3196	1994-12-08	VYDAJ	VYBER	1900	27722	\N	\N	\N
936601	3196	1995-04-07	VYDAJ	VYBER	100	29018	\N	\N	\N
936602	3196	1995-12-03	VYDAJ	VYBER	3500	38182	\N	\N	\N
936603	3196	1997-10-23	VYDAJ	VYBER	2300	47742	\N	\N	\N
936604	3196	1997-12-22	VYDAJ	VYBER	100	49141	\N	\N	\N
936605	3196	1998-02-20	VYDAJ	VYBER	1200	40119	\N	\N	\N
936606	3196	1998-04-21	VYDAJ	VYBER	3500	42963	\N	\N	\N
936607	3196	1998-05-21	VYDAJ	VYBER	3200	42944	\N	\N	\N
936665	3197	1993-12-25	PRIJEM	VKLAD	300	300	\N	\N	\N
936678	3197	1994-01-06	PRIJEM	PREVOD Z UCTU	3013	3313	\N	UV	12059861
936679	3197	1994-02-06	PRIJEM	PREVOD Z UCTU	3013	6326	\N	UV	12059861
936680	3197	1994-03-06	PRIJEM	PREVOD Z UCTU	3013	9339	\N	UV	12059861
936681	3197	1994-04-06	PRIJEM	PREVOD Z UCTU	3013	12352	\N	UV	12059861
936682	3197	1994-05-06	PRIJEM	PREVOD Z UCTU	3013	15365	\N	UV	12059861
936683	3197	1994-06-06	PRIJEM	PREVOD Z UCTU	3013	16391	\N	UV	12059861
936684	3197	1994-07-06	PRIJEM	PREVOD Z UCTU	3013	17440	\N	UV	12059861
936685	3197	1994-08-06	PRIJEM	PREVOD Z UCTU	3013	18493	\N	UV	12059861
936686	3197	1994-09-06	PRIJEM	PREVOD Z UCTU	3013	19551	\N	UV	12059861
936687	3197	1994-10-06	PRIJEM	PREVOD Z UCTU	3013	20613	\N	UV	12059861
936688	3197	1994-11-06	PRIJEM	PREVOD Z UCTU	3013	21320	\N	UV	12059861
936689	3197	1994-12-06	PRIJEM	PREVOD Z UCTU	3013	21889	\N	UV	12059861
936690	3197	1995-01-06	PRIJEM	PREVOD Z UCTU	3013	21367	\N	UV	12059861
936691	3197	1995-02-06	PRIJEM	PREVOD Z UCTU	3013	20306	\N	UV	12059861
936692	3197	1995-03-06	PRIJEM	PREVOD Z UCTU	3013	21371	\N	UV	12059861
936897	3197	1996-06-30	VYDAJ	VYBER	15	17335	SLUZBY	\N	\N
936693	3197	1995-04-06	PRIJEM	PREVOD Z UCTU	3013	22340	\N	UV	12059861
936694	3197	1995-05-06	PRIJEM	PREVOD Z UCTU	3013	22753	\N	UV	12059861
936695	3197	1995-06-06	PRIJEM	PREVOD Z UCTU	3013	23828	\N	UV	12059861
936696	3197	1995-07-06	PRIJEM	PREVOD Z UCTU	3013	21332	\N	UV	12059861
936697	3197	1995-08-06	PRIJEM	PREVOD Z UCTU	3013	22402	\N	UV	12059861
936698	3197	1995-09-06	PRIJEM	PREVOD Z UCTU	3013	23475	\N	UV	12059861
936699	3197	1995-10-06	PRIJEM	PREVOD Z UCTU	3013	24343	\N	UV	12059861
936700	3197	1995-11-06	PRIJEM	PREVOD Z UCTU	3013	25428	\N	UV	12059861
936701	3197	1995-12-06	PRIJEM	PREVOD Z UCTU	3013	25271	\N	UV	12059861
936702	3197	1996-01-06	PRIJEM	PREVOD Z UCTU	3013	24437	\N	UV	12059861
936703	3197	1996-02-06	PRIJEM	PREVOD Z UCTU	3013	24050	\N	UV	12059861
936704	3197	1996-03-06	PRIJEM	PREVOD Z UCTU	3013	23176	\N	UV	12059861
936705	3197	1996-04-06	PRIJEM	PREVOD Z UCTU	3013	24253	\N	UV	12059861
936706	3197	1996-05-06	PRIJEM	PREVOD Z UCTU	3013	25334	\N	UV	12059861
936707	3197	1996-06-06	PRIJEM	PREVOD Z UCTU	3013	19280	\N	UV	12059861
936708	3197	1996-07-06	PRIJEM	PREVOD Z UCTU	3013	20348	\N	UV	12059861
936709	3197	1996-08-06	PRIJEM	PREVOD Z UCTU	3013	21413	\N	UV	12059861
936710	3197	1996-09-06	PRIJEM	PREVOD Z UCTU	3013	21070	\N	UV	12059861
936711	3197	1996-10-06	PRIJEM	PREVOD Z UCTU	3013	21508	\N	UV	12059861
936712	3197	1996-11-06	PRIJEM	PREVOD Z UCTU	3013	22367	\N	UV	12059861
936713	3197	1996-12-06	PRIJEM	PREVOD Z UCTU	3013	23440	\N	UV	12059861
936714	3197	1997-01-06	PRIJEM	PREVOD Z UCTU	3013	23135	\N	UV	12059861
936715	3197	1997-02-06	PRIJEM	PREVOD Z UCTU	3013	19673	\N	UV	12059861
936716	3197	1997-03-06	PRIJEM	PREVOD Z UCTU	3013	20495	\N	UV	12059861
936717	3197	1997-04-06	PRIJEM	PREVOD Z UCTU	3013	21081	\N	UV	12059861
936718	3197	1997-05-06	PRIJEM	PREVOD Z UCTU	3013	20737	\N	UV	12059861
936719	3197	1997-06-06	PRIJEM	PREVOD Z UCTU	3013	21803	\N	UV	12059861
936720	3197	1997-07-06	PRIJEM	PREVOD Z UCTU	3013	22873	\N	UV	12059861
936721	3197	1997-08-06	PRIJEM	PREVOD Z UCTU	3013	23948	\N	UV	12059861
936722	3197	1997-09-06	PRIJEM	PREVOD Z UCTU	3013	25028	\N	UV	12059861
936723	3197	1997-10-06	PRIJEM	PREVOD Z UCTU	3013	25661	\N	UV	12059861
936724	3197	1997-11-06	PRIJEM	PREVOD Z UCTU	3013	26747	\N	UV	12059861
936725	3197	1997-12-06	PRIJEM	PREVOD Z UCTU	3013	27838	\N	UV	12059861
936726	3197	1998-01-06	PRIJEM	PREVOD Z UCTU	3013	28122	\N	UV	12059861
936727	3197	1998-02-06	PRIJEM	PREVOD Z UCTU	3013	27416	\N	UV	12059861
936728	3197	1998-03-06	PRIJEM	PREVOD Z UCTU	3013	28509	\N	UV	12059861
936729	3197	1998-04-06	PRIJEM	PREVOD Z UCTU	3013	29607	\N	UV	12059861
936730	3197	1998-05-06	PRIJEM	PREVOD Z UCTU	3013	30710	\N	UV	12059861
936731	3197	1998-06-06	PRIJEM	PREVOD Z UCTU	3013	31156	\N	UV	12059861
936732	3197	1998-07-06	PRIJEM	PREVOD Z UCTU	3013	24845	\N	UV	12059861
936733	3197	1998-08-06	PRIJEM	PREVOD Z UCTU	3013	25927	\N	UV	12059861
936734	3197	1998-09-06	PRIJEM	PREVOD Z UCTU	3013	27014	\N	UV	12059861
936735	3197	1998-10-06	PRIJEM	PREVOD Z UCTU	3013	28106	\N	UV	12059861
936736	3197	1998-11-06	PRIJEM	PREVOD Z UCTU	3013	29202	\N	UV	12059861
936737	3197	1998-12-06	PRIJEM	PREVOD Z UCTU	3013	30302	\N	UV	12059861
936754	3197	1994-05-12	VYDAJ	PREVOD NA UCET	2008	13357	SIPO	QR	34224891
936755	3197	1994-06-12	VYDAJ	PREVOD NA UCET	2008	14383	SIPO	QR	34224891
936756	3197	1994-07-12	VYDAJ	PREVOD NA UCET	2008	15432	SIPO	QR	34224891
936757	3197	1994-08-12	VYDAJ	PREVOD NA UCET	2008	16485	SIPO	QR	34224891
936758	3197	1994-09-12	VYDAJ	PREVOD NA UCET	2008	17543	SIPO	QR	34224891
936759	3197	1994-10-12	VYDAJ	PREVOD NA UCET	2008	18245	SIPO	QR	34224891
936760	3197	1994-11-12	VYDAJ	PREVOD NA UCET	2008	19312	SIPO	QR	34224891
936761	3197	1994-12-12	VYDAJ	PREVOD NA UCET	2008	19881	SIPO	QR	34224891
936762	3197	1995-01-12	VYDAJ	PREVOD NA UCET	2008	19359	SIPO	QR	34224891
936763	3197	1995-02-12	VYDAJ	PREVOD NA UCET	2008	18298	SIPO	QR	34224891
936764	3197	1995-03-12	VYDAJ	PREVOD NA UCET	2008	19363	SIPO	QR	34224891
936765	3197	1995-04-12	VYDAJ	PREVOD NA UCET	2008	20332	SIPO	QR	34224891
936766	3197	1995-05-12	VYDAJ	PREVOD NA UCET	2008	20745	SIPO	QR	34224891
936767	3197	1995-06-12	VYDAJ	PREVOD NA UCET	2008	21820	SIPO	QR	34224891
936768	3197	1995-07-12	VYDAJ	PREVOD NA UCET	2008	19324	SIPO	QR	34224891
936769	3197	1995-08-12	VYDAJ	PREVOD NA UCET	2008	20394	SIPO	QR	34224891
936770	3197	1995-09-12	VYDAJ	PREVOD NA UCET	2008	21467	SIPO	QR	34224891
936771	3197	1995-10-12	VYDAJ	PREVOD NA UCET	2008	22335	SIPO	QR	34224891
936772	3197	1995-11-12	VYDAJ	PREVOD NA UCET	2008	22280	SIPO	QR	34224891
936773	3197	1995-12-12	VYDAJ	PREVOD NA UCET	2008	23263	SIPO	QR	34224891
936774	3197	1996-01-12	VYDAJ	PREVOD NA UCET	2008	22429	SIPO	QR	34224891
936775	3197	1996-02-12	VYDAJ	PREVOD NA UCET	2008	20092	SIPO	QR	34224891
936776	3197	1996-03-12	VYDAJ	PREVOD NA UCET	2008	21168	SIPO	QR	34224891
936777	3197	1996-04-12	VYDAJ	PREVOD NA UCET	2008	22245	SIPO	QR	34224891
936778	3197	1996-05-12	VYDAJ	PREVOD NA UCET	2008	23326	SIPO	QR	34224891
936779	3197	1996-06-12	VYDAJ	PREVOD NA UCET	2008	17272	SIPO	QR	34224891
936780	3197	1996-07-12	VYDAJ	PREVOD NA UCET	2008	18340	SIPO	QR	34224891
936781	3197	1996-08-12	VYDAJ	PREVOD NA UCET	2008	19405	SIPO	QR	34224891
936782	3197	1996-09-12	VYDAJ	PREVOD NA UCET	2008	19062	SIPO	QR	34224891
936783	3197	1996-10-12	VYDAJ	PREVOD NA UCET	2008	19500	SIPO	QR	34224891
936784	3197	1996-11-12	VYDAJ	PREVOD NA UCET	2008	20359	SIPO	QR	34224891
936785	3197	1996-12-12	VYDAJ	PREVOD NA UCET	2008	21432	SIPO	QR	34224891
936786	3197	1997-01-12	VYDAJ	PREVOD NA UCET	2008	21127	SIPO	QR	34224891
936787	3197	1997-02-12	VYDAJ	PREVOD NA UCET	2008	17665	SIPO	QR	34224891
936788	3197	1997-03-12	VYDAJ	PREVOD NA UCET	2008	18007	SIPO	QR	34224891
936789	3197	1997-04-12	VYDAJ	PREVOD NA UCET	2008	19073	SIPO	QR	34224891
936790	3197	1997-05-12	VYDAJ	PREVOD NA UCET	2008	18729	SIPO	QR	34224891
936791	3197	1997-06-12	VYDAJ	PREVOD NA UCET	2008	19795	SIPO	QR	34224891
936792	3197	1997-07-12	VYDAJ	PREVOD NA UCET	2008	20865	SIPO	QR	34224891
936793	3197	1997-08-12	VYDAJ	PREVOD NA UCET	2008	21940	SIPO	QR	34224891
936794	3197	1997-09-12	VYDAJ	PREVOD NA UCET	2008	23020	SIPO	QR	34224891
936795	3197	1997-10-12	VYDAJ	PREVOD NA UCET	2008	23653	SIPO	QR	34224891
936796	3197	1997-11-12	VYDAJ	PREVOD NA UCET	2008	24739	SIPO	QR	34224891
936797	3197	1997-12-12	VYDAJ	PREVOD NA UCET	2008	25830	SIPO	QR	34224891
936798	3197	1998-01-12	VYDAJ	PREVOD NA UCET	2008	25394	SIPO	QR	34224891
936799	3197	1998-02-12	VYDAJ	PREVOD NA UCET	2008	25408	SIPO	QR	34224891
936800	3197	1998-03-12	VYDAJ	PREVOD NA UCET	2008	26501	SIPO	QR	34224891
936801	3197	1998-04-12	VYDAJ	PREVOD NA UCET	2008	27599	SIPO	QR	34224891
936802	3197	1998-05-12	VYDAJ	PREVOD NA UCET	2008	28702	SIPO	QR	34224891
936803	3197	1998-06-12	VYDAJ	PREVOD NA UCET	2008	29148	SIPO	QR	34224891
936804	3197	1998-07-12	VYDAJ	PREVOD NA UCET	2008	22837	SIPO	QR	34224891
936805	3197	1998-08-12	VYDAJ	PREVOD NA UCET	2008	23919	SIPO	QR	34224891
936806	3197	1998-09-12	VYDAJ	PREVOD NA UCET	2008	25006	SIPO	QR	34224891
936807	3197	1998-10-12	VYDAJ	PREVOD NA UCET	2008	26098	SIPO	QR	34224891
936808	3197	1998-11-12	VYDAJ	PREVOD NA UCET	2008	27194	SIPO	QR	34224891
936809	3197	1998-12-12	VYDAJ	PREVOD NA UCET	2008	28294	SIPO	QR	34224891
936812	3197	1995-06-19	VYDAJ	VYBER	3570	18250	\N	\N	\N
936813	3197	1996-06-05	VYDAJ	VYBER	7140	16267	\N	\N	\N
936815	3197	1998-06-21	VYDAJ	VYBER	7410	21738	\N	\N	\N
936818	3197	1995-01-29	VYDAJ	VYBER	2130	17229	\N	\N	\N
936819	3197	1996-01-04	VYDAJ	VYBER	1440	21424	\N	\N	\N
936820	3197	1997-01-17	VYDAJ	VYBER	2670	17887	\N	\N	\N
936821	3197	1998-01-24	VYDAJ	VYBER	1080	24314	\N	\N	\N
936823	3197	1994-12-22	VYDAJ	VYBER	840	18291	\N	\N	\N
936824	3197	1995-12-30	VYDAJ	VYBER	480	22783	\N	\N	\N
936825	3197	1996-12-25	VYDAJ	VYBER	210	20052	\N	\N	\N
936826	3197	1997-12-13	VYDAJ	VYBER	810	25020	\N	\N	\N
936827	3197	1998-12-24	VYDAJ	VYBER	480	27814	\N	\N	\N
936835	3197	1994-12-13	VYDAJ	VYBER	750	19131	\N	\N	\N
936836	3197	1994-10-07	VYDAJ	VYBER	360	20253	\N	\N	\N
936837	3197	1995-04-22	VYDAJ	VYBER	660	19672	\N	\N	\N
936838	3197	1995-10-01	VYDAJ	VYBER	210	21330	\N	\N	\N
936839	3197	1995-11-10	VYDAJ	VYBER	1140	24288	\N	\N	\N
936840	3197	1996-02-09	VYDAJ	VYBER	750	23300	\N	\N	\N
936841	3197	1996-09-26	VYDAJ	VYBER	630	18432	\N	\N	\N
936842	3197	1996-10-19	VYDAJ	VYBER	210	19290	\N	\N	\N
936843	3197	1996-08-21	VYDAJ	VYBER	1410	17995	\N	\N	\N
936844	3197	1996-01-21	VYDAJ	VYBER	1470	20959	\N	\N	\N
936845	3197	1996-02-10	VYDAJ	VYBER	1200	22100	\N	\N	\N
936846	3197	1996-12-17	VYDAJ	VYBER	1170	20262	\N	\N	\N
936847	3197	1997-09-26	VYDAJ	VYBER	450	22570	\N	\N	\N
936848	3197	1997-03-06	VYDAJ	VYBER	480	20015	\N	\N	\N
936849	3197	1997-02-17	VYDAJ	VYBER	240	17425	\N	\N	\N
936850	3197	1997-04-21	VYDAJ	VYBER	1410	17663	\N	\N	\N
936851	3197	1997-01-24	VYDAJ	VYBER	1290	16597	\N	\N	\N
936852	3197	1997-01-13	VYDAJ	VYBER	570	20557	\N	\N	\N
936853	3197	1998-01-10	VYDAJ	VYBER	720	27402	\N	\N	\N
936854	3197	1998-05-30	VYDAJ	VYBER	660	28042	\N	\N	\N
936872	3197	1994-05-31	VYDAJ	VYBER	15	13378	SLUZBY	\N	\N
936873	3197	1994-06-30	VYDAJ	VYBER	15	14427	SLUZBY	\N	\N
936874	3197	1994-07-31	VYDAJ	VYBER	15	15480	SLUZBY	\N	\N
936875	3197	1994-08-31	VYDAJ	VYBER	15	16538	SLUZBY	\N	\N
936876	3197	1994-09-30	VYDAJ	VYBER	15	17600	SLUZBY	\N	\N
936877	3197	1994-10-31	VYDAJ	VYBER	15	18307	SLUZBY	\N	\N
936878	3197	1994-11-30	VYDAJ	VYBER	15	18876	SLUZBY	\N	\N
936879	3197	1994-12-31	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
936880	3197	1995-01-31	VYDAJ	VYBER	15	17293	SLUZBY	\N	\N
936881	3197	1995-02-28	VYDAJ	VYBER	15	18358	SLUZBY	\N	\N
936882	3197	1995-03-31	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
936883	3197	1995-04-30	VYDAJ	VYBER	15	19740	SLUZBY	\N	\N
936884	3197	1995-05-31	VYDAJ	VYBER	15	20815	SLUZBY	\N	\N
936885	3197	1995-06-30	VYDAJ	VYBER	15	18319	SLUZBY	\N	\N
936886	3197	1995-07-31	VYDAJ	VYBER	15	19389	SLUZBY	\N	\N
936887	3197	1995-08-31	VYDAJ	VYBER	15	20462	SLUZBY	\N	\N
936888	3197	1995-09-30	VYDAJ	VYBER	15	21540	SLUZBY	\N	\N
936889	3197	1995-10-31	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
936890	3197	1995-11-30	VYDAJ	VYBER	15	22258	SLUZBY	\N	\N
936891	3197	1995-12-31	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
936892	3197	1996-01-31	VYDAJ	VYBER	15	21037	SLUZBY	\N	\N
936893	3197	1996-02-29	VYDAJ	VYBER	15	20163	SLUZBY	\N	\N
936894	3197	1996-03-31	VYDAJ	VYBER	15	21240	SLUZBY	\N	\N
936895	3197	1996-04-30	VYDAJ	VYBER	15	22321	SLUZBY	\N	\N
936896	3197	1996-05-31	VYDAJ	VYBER	15	23407	SLUZBY	\N	\N
936898	3197	1996-07-31	VYDAJ	VYBER	15	18400	SLUZBY	\N	\N
936899	3197	1996-08-31	VYDAJ	VYBER	15	18057	SLUZBY	\N	\N
936900	3197	1996-09-30	VYDAJ	VYBER	15	18495	SLUZBY	\N	\N
936901	3197	1996-10-31	VYDAJ	VYBER	15	19354	SLUZBY	\N	\N
936902	3197	1996-11-30	VYDAJ	VYBER	15	20427	SLUZBY	\N	\N
936903	3197	1996-12-31	VYDAJ	VYBER	15	20122	SLUZBY	\N	\N
936904	3197	1997-01-31	VYDAJ	VYBER	15	16660	SLUZBY	\N	\N
936905	3197	1997-02-28	VYDAJ	VYBER	15	17482	SLUZBY	\N	\N
936906	3197	1997-03-31	VYDAJ	VYBER	15	18068	SLUZBY	\N	\N
936907	3197	1997-04-30	VYDAJ	VYBER	15	17724	SLUZBY	\N	\N
936908	3197	1997-05-31	VYDAJ	VYBER	15	18790	SLUZBY	\N	\N
936909	3197	1997-06-30	VYDAJ	VYBER	15	19860	SLUZBY	\N	\N
936910	3197	1997-07-31	VYDAJ	VYBER	15	20935	SLUZBY	\N	\N
936911	3197	1997-08-31	VYDAJ	VYBER	15	22015	SLUZBY	\N	\N
936912	3197	1997-09-30	VYDAJ	VYBER	15	22648	SLUZBY	\N	\N
936913	3197	1997-10-31	VYDAJ	VYBER	15	23734	SLUZBY	\N	\N
936914	3197	1997-11-30	VYDAJ	VYBER	15	24825	SLUZBY	\N	\N
936915	3197	1997-12-31	VYDAJ	VYBER	15	25109	SLUZBY	\N	\N
936916	3197	1998-01-31	VYDAJ	VYBER	15	24403	SLUZBY	\N	\N
936917	3197	1998-02-28	VYDAJ	VYBER	15	25496	SLUZBY	\N	\N
936918	3197	1998-03-31	VYDAJ	VYBER	15	26594	SLUZBY	\N	\N
936919	3197	1998-04-30	VYDAJ	VYBER	15	27697	SLUZBY	\N	\N
936920	3197	1998-05-31	VYDAJ	VYBER	15	28143	SLUZBY	\N	\N
936921	3197	1998-06-30	VYDAJ	VYBER	15	21832	SLUZBY	\N	\N
936922	3197	1998-07-31	VYDAJ	VYBER	15	22914	SLUZBY	\N	\N
936923	3197	1998-08-31	VYDAJ	VYBER	15	24001	SLUZBY	\N	\N
936924	3197	1998-09-30	VYDAJ	VYBER	15	25093	SLUZBY	\N	\N
936925	3197	1998-10-31	VYDAJ	VYBER	15	26189	SLUZBY	\N	\N
936926	3197	1998-11-30	VYDAJ	VYBER	15	27289	SLUZBY	\N	\N
936927	3197	1994-11-20	VYDAJ	VYBER	500	18812	\N	\N	\N
936928	3197	1995-03-20	VYDAJ	VYBER	100	19263	\N	\N	\N
936929	3197	1995-11-15	VYDAJ	VYBER	100	22180	\N	\N	\N
937559	3199	1996-06-06	PRIJEM	VKLAD	1100	1100	\N	\N	\N
937565	3199	1996-06-08	PRIJEM	PREVOD Z UCTU	29270	30370	\N	YZ	72882389
937566	3199	1996-07-08	PRIJEM	PREVOD Z UCTU	19513	48080	\N	YZ	72882389
937567	3199	1996-08-08	PRIJEM	PREVOD Z UCTU	19513	52477	\N	YZ	72882389
937568	3199	1996-09-08	PRIJEM	PREVOD Z UCTU	19513	57004	\N	YZ	72882389
937569	3199	1996-10-08	PRIJEM	PREVOD Z UCTU	19513	56850	\N	YZ	72882389
937570	3199	1996-11-08	PRIJEM	PREVOD Z UCTU	19513	55440	\N	YZ	72882389
937571	3199	1996-12-08	PRIJEM	PREVOD Z UCTU	29270	66477	\N	YZ	72882389
937572	3199	1997-01-08	PRIJEM	PREVOD Z UCTU	19513	56822	\N	YZ	72882389
937573	3199	1997-02-08	PRIJEM	PREVOD Z UCTU	19513	58710	\N	YZ	72882389
937574	3199	1997-03-08	PRIJEM	PREVOD Z UCTU	19513	51943	\N	YZ	72882389
937575	3199	1997-04-08	PRIJEM	PREVOD Z UCTU	19513	44445	\N	YZ	72882389
937576	3199	1997-05-08	PRIJEM	PREVOD Z UCTU	19513	54370	\N	YZ	72882389
937577	3199	1997-06-08	PRIJEM	PREVOD Z UCTU	29270	65894	\N	YZ	72882389
937578	3199	1997-07-08	PRIJEM	PREVOD Z UCTU	19513	51919	\N	YZ	72882389
937579	3199	1997-08-08	PRIJEM	PREVOD Z UCTU	19513	49690	\N	YZ	72882389
937580	3199	1997-09-08	PRIJEM	PREVOD Z UCTU	19513	44300	\N	YZ	72882389
937581	3199	1997-10-08	PRIJEM	PREVOD Z UCTU	19513	50811	\N	YZ	72882389
937582	3199	1997-11-08	PRIJEM	PREVOD Z UCTU	19513	43571	\N	YZ	72882389
937583	3199	1997-12-08	PRIJEM	PREVOD Z UCTU	29270	54606	\N	YZ	72882389
937584	3199	1998-01-08	PRIJEM	PREVOD Z UCTU	19513	48354	\N	YZ	72882389
937585	3199	1998-02-08	PRIJEM	PREVOD Z UCTU	19513	59096	\N	YZ	72882389
937586	3199	1998-03-08	PRIJEM	PREVOD Z UCTU	19513	56762	\N	YZ	72882389
937587	3199	1998-04-08	PRIJEM	PREVOD Z UCTU	19513	64622	\N	YZ	72882389
937588	3199	1998-05-08	PRIJEM	PREVOD Z UCTU	19513	69112	\N	YZ	72882389
937589	3199	1998-06-08	PRIJEM	PREVOD Z UCTU	29270	75343	\N	YZ	72882389
937590	3199	1998-07-08	PRIJEM	PREVOD Z UCTU	19513	76563	\N	YZ	72882389
937591	3199	1998-08-08	PRIJEM	PREVOD Z UCTU	19513	78398	\N	YZ	72882389
937592	3199	1998-09-08	PRIJEM	PREVOD Z UCTU	19513	73719	\N	YZ	72882389
937593	3199	1998-10-08	PRIJEM	PREVOD Z UCTU	19513	73338	\N	YZ	72882389
937594	3199	1998-11-08	PRIJEM	PREVOD Z UCTU	19513	68911	\N	YZ	72882389
937595	3199	1998-12-08	PRIJEM	PREVOD Z UCTU	29270	84871	\N	YZ	72882389
937605	3199	1996-10-12	VYDAJ	PREVOD NA UCET	1571	53115	SIPO	QR	90896355
937606	3199	1996-11-12	VYDAJ	PREVOD NA UCET	1571	51705	SIPO	QR	90896355
937607	3199	1996-12-12	VYDAJ	PREVOD NA UCET	1571	62742	SIPO	QR	90896355
937608	3199	1997-01-12	VYDAJ	PREVOD NA UCET	1571	53087	SIPO	QR	90896355
937609	3199	1997-02-12	VYDAJ	PREVOD NA UCET	1571	34779	SIPO	QR	90896355
937610	3199	1997-03-12	VYDAJ	PREVOD NA UCET	1571	48208	SIPO	QR	90896355
937611	3199	1997-04-12	VYDAJ	PREVOD NA UCET	1571	40710	SIPO	QR	90896355
937612	3199	1997-05-12	VYDAJ	PREVOD NA UCET	1571	50635	SIPO	QR	90896355
937613	3199	1997-06-12	VYDAJ	PREVOD NA UCET	1571	57659	SIPO	QR	90896355
937614	3199	1997-07-12	VYDAJ	PREVOD NA UCET	1571	48184	SIPO	QR	90896355
937615	3199	1997-08-12	VYDAJ	PREVOD NA UCET	1571	39055	SIPO	QR	90896355
937616	3199	1997-09-12	VYDAJ	PREVOD NA UCET	1571	40565	SIPO	QR	90896355
937617	3199	1997-10-12	VYDAJ	PREVOD NA UCET	1571	47076	SIPO	QR	90896355
937618	3199	1997-11-12	VYDAJ	PREVOD NA UCET	1571	39836	SIPO	QR	90896355
937619	3199	1997-12-12	VYDAJ	PREVOD NA UCET	1571	50871	SIPO	QR	90896355
937620	3199	1998-01-12	VYDAJ	PREVOD NA UCET	1571	44619	SIPO	QR	90896355
937621	3199	1998-02-12	VYDAJ	PREVOD NA UCET	1571	55361	SIPO	QR	90896355
937622	3199	1998-03-12	VYDAJ	PREVOD NA UCET	1571	53027	SIPO	QR	90896355
937623	3199	1998-04-12	VYDAJ	PREVOD NA UCET	1571	60887	SIPO	QR	90896355
937624	3199	1998-05-12	VYDAJ	PREVOD NA UCET	1571	52177	SIPO	QR	90896355
937625	3199	1998-06-12	VYDAJ	PREVOD NA UCET	1571	71608	SIPO	QR	90896355
937626	3199	1998-07-12	VYDAJ	PREVOD NA UCET	1571	72828	SIPO	QR	90896355
937627	3199	1998-08-12	VYDAJ	PREVOD NA UCET	1571	64763	SIPO	QR	90896355
937628	3199	1998-09-12	VYDAJ	PREVOD NA UCET	1571	69984	SIPO	QR	90896355
937629	3199	1998-10-12	VYDAJ	PREVOD NA UCET	1571	69603	SIPO	QR	90896355
937630	3199	1998-11-12	VYDAJ	PREVOD NA UCET	1571	65176	SIPO	QR	90896355
937631	3199	1998-12-12	VYDAJ	PREVOD NA UCET	1571	81136	SIPO	QR	90896355
937641	3199	1996-10-10	VYDAJ	PREVOD NA UCET	2164	54686	 	WX	75887262
937642	3199	1996-11-10	VYDAJ	PREVOD NA UCET	2164	53276	 	WX	75887262
937643	3199	1996-12-10	VYDAJ	PREVOD NA UCET	2164	64313	 	WX	75887262
937644	3199	1997-01-10	VYDAJ	PREVOD NA UCET	2164	54658	 	WX	75887262
937645	3199	1997-02-10	VYDAJ	PREVOD NA UCET	2164	36350	 	WX	75887262
937646	3199	1997-03-10	VYDAJ	PREVOD NA UCET	2164	49779	 	WX	75887262
937647	3199	1997-04-10	VYDAJ	PREVOD NA UCET	2164	42281	 	WX	75887262
937648	3199	1997-05-10	VYDAJ	PREVOD NA UCET	2164	52206	 	WX	75887262
937649	3199	1997-06-10	VYDAJ	PREVOD NA UCET	2164	63730	 	WX	75887262
937650	3199	1997-07-10	VYDAJ	PREVOD NA UCET	2164	49755	 	WX	75887262
937651	3199	1997-08-10	VYDAJ	PREVOD NA UCET	2164	47526	 	WX	75887262
937652	3199	1997-09-10	VYDAJ	PREVOD NA UCET	2164	42136	 	WX	75887262
937653	3199	1997-10-10	VYDAJ	PREVOD NA UCET	2164	48647	 	WX	75887262
937654	3199	1997-11-10	VYDAJ	PREVOD NA UCET	2164	41407	 	WX	75887262
937655	3199	1997-12-10	VYDAJ	PREVOD NA UCET	2164	52442	 	WX	75887262
937656	3199	1998-01-10	VYDAJ	PREVOD NA UCET	2164	46190	 	WX	75887262
937657	3199	1998-02-10	VYDAJ	PREVOD NA UCET	2164	56932	 	WX	75887262
937658	3199	1998-03-10	VYDAJ	PREVOD NA UCET	2164	54598	 	WX	75887262
937659	3199	1998-04-10	VYDAJ	PREVOD NA UCET	2164	62458	 	WX	75887262
937660	3199	1998-05-10	VYDAJ	PREVOD NA UCET	2164	53748	 	WX	75887262
937661	3199	1998-06-10	VYDAJ	PREVOD NA UCET	2164	73179	 	WX	75887262
937662	3199	1998-07-10	VYDAJ	PREVOD NA UCET	2164	74399	 	WX	75887262
937663	3199	1998-08-10	VYDAJ	PREVOD NA UCET	2164	66334	 	WX	75887262
937664	3199	1998-09-10	VYDAJ	PREVOD NA UCET	2164	71555	 	WX	75887262
937665	3199	1998-10-10	VYDAJ	PREVOD NA UCET	2164	71174	 	WX	75887262
937666	3199	1998-11-10	VYDAJ	PREVOD NA UCET	2164	66747	 	WX	75887262
937667	3199	1998-12-10	VYDAJ	PREVOD NA UCET	2164	82707	 	WX	75887262
937672	3199	1996-12-26	VYBER	VYBER	5360	54382	\N	\N	\N
937677	3199	1997-02-08	VYBER	VYBER	20196	38514	\N	\N	\N
937679	3199	1997-11-23	VYBER	VYBER	11918	27918	\N	\N	\N
937680	3199	1997-04-03	VYBER	VYBER	11751	24932	\N	\N	\N
937682	3199	1997-10-23	VYBER	VYBER	22453	24623	\N	\N	\N
937684	3199	1997-07-26	VYBER	VYBER	9482	38702	\N	\N	\N
937685	3199	1997-06-26	VYBER	VYBER	13166	44493	\N	\N	\N
937686	3199	1998-10-14	VYBER	VYBER	9127	60476	\N	\N	\N
937687	3199	1998-02-17	VYBER	VYBER	7689	47672	\N	\N	\N
937691	3199	1996-12-17	VYDAJ	VYBER	3000	59742	\N	\N	\N
937692	3199	1997-12-01	VYDAJ	VYBER	2100	25336	\N	\N	\N
937693	3199	1998-12-26	VYDAJ	VYBER	6300	53536	\N	\N	\N
937694	3199	1996-11-07	VYDAJ	VYBER	1500	35927	\N	\N	\N
937696	3199	1997-06-11	VYDAJ	VYBER	4500	59230	\N	\N	\N
937697	3199	1997-08-23	VYDAJ	VYBER	3600	35455	\N	\N	\N
937698	3199	1997-08-12	VYDAJ	VYBER	6900	40626	\N	\N	\N
937700	3199	1998-01-03	VYDAJ	VYBER	11100	28841	\N	\N	\N
937701	3199	1998-04-24	VYDAJ	VYBER	3300	57587	\N	\N	\N
937702	3199	1998-05-08	VYDAJ	VYBER	13200	55912	\N	\N	\N
937703	3199	1998-09-25	VYDAJ	VYBER	5100	53584	\N	\N	\N
937704	3199	1998-08-08	VYDAJ	VYBER	9900	68498	\N	\N	\N
937715	3199	1996-10-31	VYDAJ	VYBER	15	53327	SLUZBY	\N	\N
937716	3199	1996-11-30	VYDAJ	VYBER	15	51907	SLUZBY	\N	\N
937717	3199	1996-12-31	VYDAJ	VYBER	15	54609	SLUZBY	\N	\N
937718	3199	1997-01-31	VYDAJ	VYBER	15	53297	SLUZBY	\N	\N
937719	3199	1997-02-28	VYDAJ	VYBER	15	34930	SLUZBY	\N	\N
937720	3199	1997-03-31	VYDAJ	VYBER	15	48383	SLUZBY	\N	\N
937721	3199	1997-04-30	VYDAJ	VYBER	15	40857	SLUZBY	\N	\N
937722	3199	1997-05-31	VYDAJ	VYBER	15	50824	SLUZBY	\N	\N
937723	3199	1997-06-30	VYDAJ	VYBER	15	44706	SLUZBY	\N	\N
937724	3199	1997-07-31	VYDAJ	VYBER	15	30177	SLUZBY	\N	\N
937725	3199	1997-08-31	VYDAJ	VYBER	15	24787	SLUZBY	\N	\N
937726	3199	1997-09-30	VYDAJ	VYBER	15	31298	SLUZBY	\N	\N
937727	3199	1997-10-31	VYDAJ	VYBER	15	24058	SLUZBY	\N	\N
937728	3199	1997-11-30	VYDAJ	VYBER	15	27436	SLUZBY	\N	\N
937729	3199	1997-12-31	VYDAJ	VYBER	15	39941	SLUZBY	\N	\N
937730	3199	1998-01-31	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
937731	3199	1998-02-28	VYDAJ	VYBER	15	37249	SLUZBY	\N	\N
937732	3199	1998-03-31	VYDAJ	VYBER	15	45109	SLUZBY	\N	\N
937733	3199	1998-04-30	VYDAJ	VYBER	15	49599	SLUZBY	\N	\N
937734	3199	1998-05-31	VYDAJ	VYBER	15	46073	SLUZBY	\N	\N
937735	3199	1998-06-30	VYDAJ	VYBER	15	57050	SLUZBY	\N	\N
937736	3199	1998-07-31	VYDAJ	VYBER	15	58885	SLUZBY	\N	\N
937737	3199	1998-08-31	VYDAJ	VYBER	15	54206	SLUZBY	\N	\N
937738	3199	1998-09-30	VYDAJ	VYBER	15	53825	SLUZBY	\N	\N
937739	3199	1998-10-31	VYDAJ	VYBER	15	49398	SLUZBY	\N	\N
937740	3199	1998-11-30	VYDAJ	VYBER	15	55601	SLUZBY	\N	\N
937741	3199	1996-07-06	VYDAJ	VYBER	1900	28567	\N	\N	\N
937742	3199	1996-08-05	VYDAJ	VYBER	15300	32964	\N	\N	\N
937743	3199	1996-09-04	VYDAJ	VYBER	15200	37491	\N	\N	\N
937744	3199	1996-10-04	VYDAJ	VYBER	19900	37337	\N	\N	\N
937745	3199	1996-11-03	VYDAJ	VYBER	15900	37427	\N	\N	\N
937746	3199	1996-12-03	VYDAJ	VYBER	14700	37207	\N	\N	\N
937747	3199	1997-01-02	VYDAJ	VYBER	17300	37309	\N	\N	\N
937748	3199	1997-02-01	VYDAJ	VYBER	14100	39197	\N	\N	\N
937749	3199	1997-03-03	VYDAJ	VYBER	2500	32430	\N	\N	\N
937750	3199	1997-04-02	VYDAJ	VYBER	11700	36683	\N	\N	\N
937751	3199	1997-05-02	VYDAJ	VYBER	6000	34857	\N	\N	\N
937752	3199	1997-06-01	VYDAJ	VYBER	14200	36624	\N	\N	\N
937753	3199	1997-07-01	VYDAJ	VYBER	12300	32406	\N	\N	\N
937754	3199	1997-07-31	VYDAJ	VYBER	8700	30192	\N	\N	\N
937755	3199	1997-08-30	VYDAJ	VYBER	10800	24655	\N	\N	\N
937756	3199	1997-09-29	VYDAJ	VYBER	9400	31165	\N	\N	\N
937757	3199	1997-10-29	VYDAJ	VYBER	700	23923	\N	\N	\N
937758	3199	1997-11-28	VYDAJ	VYBER	600	27318	\N	\N	\N
937759	3199	1997-12-28	VYDAJ	VYBER	11100	39771	\N	\N	\N
937760	3199	1998-01-27	VYDAJ	VYBER	5200	39419	\N	\N	\N
937761	3199	1998-02-26	VYDAJ	VYBER	10600	37072	\N	\N	\N
937762	3199	1998-03-28	VYDAJ	VYBER	8100	44927	\N	\N	\N
937763	3199	1998-04-27	VYDAJ	VYBER	8200	49387	\N	\N	\N
937764	3199	1998-05-27	VYDAJ	VYBER	6300	45877	\N	\N	\N
937765	3199	1998-06-26	VYDAJ	VYBER	14800	56808	\N	\N	\N
937766	3199	1998-07-26	VYDAJ	VYBER	14200	58628	\N	\N	\N
937767	3199	1998-08-25	VYDAJ	VYBER	10800	53963	\N	\N	\N
937768	3199	1998-09-24	VYDAJ	VYBER	11300	58684	\N	\N	\N
937769	3199	1998-10-24	VYDAJ	VYBER	11300	49176	\N	\N	\N
937770	3199	1998-11-23	VYDAJ	VYBER	9800	55376	\N	\N	\N
937771	3199	1998-12-23	VYDAJ	VYBER	21300	59836	\N	\N	\N
937803	3200	1995-10-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
937804	3200	1995-11-22	PRIJEM	VKLAD	5892	19592	\N	\N	\N
937806	3200	1996-12-28	PRIJEM	VKLAD	36399	57695	\N	\N	\N
937807	3200	1997-01-20	PRIJEM	VKLAD	13342	55339	\N	\N	\N
937808	3200	1997-05-17	PRIJEM	VKLAD	5633	34987	\N	\N	\N
937809	3200	1997-08-28	PRIJEM	VKLAD	39052	59922	\N	\N	\N
937810	3200	1997-04-10	PRIJEM	VKLAD	27509	97445	\N	\N	\N
937811	3200	1997-12-18	PRIJEM	VKLAD	15349	75361	\N	\N	\N
937812	3200	1997-11-23	PRIJEM	VKLAD	33932	63403	\N	\N	\N
937813	3200	1997-03-19	PRIJEM	VKLAD	25897	69793	\N	\N	\N
937814	3200	1997-12-23	PRIJEM	VKLAD	18501	87262	\N	\N	\N
937815	3200	1997-09-04	PRIJEM	VKLAD	18702	92525	\N	\N	\N
937816	3200	1997-08-28	PRIJEM	VKLAD	13881	73803	\N	\N	\N
937817	3200	1997-03-14	PRIJEM	VKLAD	23373	56957	\N	\N	\N
937818	3200	1997-02-07	PRIJEM	VKLAD	22195	77771	\N	\N	\N
937819	3200	1997-12-09	PRIJEM	VKLAD	19644	60012	\N	\N	\N
937820	3200	1998-10-28	PRIJEM	VKLAD	23538	83507	\N	\N	\N
937821	3200	1998-11-16	PRIJEM	VKLAD	23374	84091	\N	\N	\N
937822	3200	1998-06-22	PRIJEM	VKLAD	38786	135814	\N	\N	\N
937823	3200	1998-06-20	PRIJEM	VKLAD	36971	90127	\N	\N	\N
937824	3200	1998-06-20	PRIJEM	VKLAD	38401	128528	\N	\N	\N
937825	3200	1998-07-23	PRIJEM	VKLAD	8651	103526	\N	\N	\N
937826	3200	1998-09-13	PRIJEM	VKLAD	9860	52362	\N	\N	\N
937827	3200	1998-05-09	PRIJEM	VKLAD	33844	102043	\N	\N	\N
937828	3200	1998-02-07	PRIJEM	VKLAD	30158	71156	\N	\N	\N
937829	3200	1998-05-04	PRIJEM	VKLAD	23628	121999	\N	\N	\N
937830	3200	1998-03-20	PRIJEM	VKLAD	47135	91803	\N	\N	\N
937831	3200	1998-07-02	PRIJEM	VKLAD	31686	74601	\N	\N	\N
937832	3200	1998-01-07	PRIJEM	VKLAD	32053	88757	\N	\N	\N
937833	3200	1998-10-07	PRIJEM	VKLAD	7506	71969	\N	\N	\N
937834	3200	1998-01-01	PRIJEM	VKLAD	8426	95880	\N	\N	\N
937835	3200	1998-09-21	PRIJEM	VKLAD	10833	63195	\N	\N	\N
937836	3200	1998-07-04	PRIJEM	VKLAD	47097	118398	\N	\N	\N
937837	3200	1998-07-18	PRIJEM	VKLAD	32377	94875	\N	\N	\N
937838	3200	1998-04-19	PRIJEM	VKLAD	47565	98143	\N	\N	\N
937839	3200	1998-03-22	PRIJEM	VKLAD	5760	97563	\N	\N	\N
937840	3200	1998-05-22	PRIJEM	VKLAD	25565	127608	\N	\N	\N
937841	3200	1998-01-01	PRIJEM	VKLAD	10724	106604	\N	\N	\N
937842	3200	1998-02-13	PRIJEM	VKLAD	6896	78052	\N	\N	\N
937843	3200	1998-02-02	PRIJEM	VKLAD	37582	59098	\N	\N	\N
937844	3200	1998-06-28	PRIJEM	VKLAD	22499	107213	\N	\N	\N
937845	3200	1998-08-11	PRIJEM	VKLAD	32922	102482	\N	\N	\N
937846	3200	1998-09-27	PRIJEM	VKLAD	24783	87978	\N	\N	\N
937867	3200	1997-09-14	VYBER	VYBER	5892	50633	\N	\N	\N
937869	3200	1997-03-18	VYBER	VYBER	13061	43896	\N	\N	\N
937870	3200	1997-05-04	VYBER	VYBER	17152	41354	\N	\N	\N
937871	3200	1998-04-09	VYBER	VYBER	7465	50578	\N	\N	\N
937872	3200	1998-02-19	VYBER	VYBER	17529	60523	\N	\N	\N
937873	3200	1998-06-26	VYBER	VYBER	6000	84714	\N	\N	\N
937874	3200	1998-03-31	VYBER	VYBER	6822	85043	\N	\N	\N
937876	3200	1998-09-09	VYBER	VYBER	24594	42502	\N	\N	\N
937884	3200	1998-01-10	VYDAJ	VYBER	28800	28657	\N	\N	\N
937887	3200	1997-12-22	VYDAJ	VYBER	6600	68761	\N	\N	\N
937888	3200	1998-12-28	VYDAJ	VYBER	5700	53039	\N	\N	\N
937907	3200	1998-01-16	VYDAJ	VYBER	3300	21457	\N	\N	\N
937908	3200	1998-01-06	VYDAJ	VYBER	7800	56704	\N	\N	\N
937911	3200	1998-01-02	VYDAJ	VYBER	6600	64504	\N	\N	\N
937912	3200	1998-01-11	VYDAJ	VYBER	3900	24757	\N	\N	\N
937919	3200	1997-10-26	VYDAJ	VYBER	4800	33973	\N	\N	\N
937920	3200	1997-06-12	VYDAJ	VYBER	4500	22463	\N	\N	\N
937921	3200	1997-11-03	VYDAJ	VYBER	8400	25671	\N	\N	\N
937922	3200	1997-12-04	VYDAJ	VYBER	11100	52368	\N	\N	\N
937924	3200	1998-08-22	VYDAJ	VYBER	10200	92282	\N	\N	\N
937926	3200	1998-03-23	VYDAJ	VYBER	6000	91563	\N	\N	\N
937927	3200	1998-12-22	VYDAJ	VYBER	3000	58739	\N	\N	\N
937928	3200	1998-10-23	VYDAJ	VYBER	12000	59969	\N	\N	\N
937930	3200	1998-07-03	VYDAJ	VYBER	3300	71301	\N	\N	\N
937958	3200	1997-03-31	VYDAJ	VYBER	100	69936	SLUZBY	\N	\N
937959	3200	1997-04-30	VYDAJ	VYBER	100	58506	SLUZBY	\N	\N
937960	3200	1997-05-31	VYDAJ	VYBER	100	35063	SLUZBY	\N	\N
937961	3200	1997-06-30	VYDAJ	VYBER	100	22476	SLUZBY	\N	\N
937962	3200	1997-07-31	VYDAJ	VYBER	100	22270	SLUZBY	\N	\N
937963	3200	1997-08-31	VYDAJ	VYBER	100	73823	SLUZBY	\N	\N
937964	3200	1997-09-30	VYDAJ	VYBER	100	50773	SLUZBY	\N	\N
937965	3200	1997-10-31	VYDAJ	VYBER	100	34071	SLUZBY	\N	\N
937966	3200	1997-11-30	VYDAJ	VYBER	100	63468	SLUZBY	\N	\N
937967	3200	1997-12-31	VYDAJ	VYBER	100	87454	SLUZBY	\N	\N
937968	3200	1998-01-31	VYDAJ	VYBER	100	21516	SLUZBY	\N	\N
937969	3200	1998-02-28	VYDAJ	VYBER	100	60668	SLUZBY	\N	\N
937970	3200	1998-03-31	VYDAJ	VYBER	100	84943	SLUZBY	\N	\N
937971	3200	1998-04-30	VYDAJ	VYBER	100	98371	SLUZBY	\N	\N
937972	3200	1998-05-31	VYDAJ	VYBER	100	70356	SLUZBY	\N	\N
937973	3200	1998-06-30	VYDAJ	VYBER	100	42915	SLUZBY	\N	\N
937974	3200	1998-07-31	VYDAJ	VYBER	100	103760	SLUZBY	\N	\N
937975	3200	1998-08-31	VYDAJ	VYBER	100	92596	SLUZBY	\N	\N
937976	3200	1998-09-30	VYDAJ	VYBER	100	88163	SLUZBY	\N	\N
937977	3200	1998-10-31	VYDAJ	VYBER	100	83717	SLUZBY	\N	\N
937978	3200	1998-11-30	VYDAJ	VYBER	100	84339	SLUZBY	\N	\N
937979	3200	1995-11-19	PRIJEM	VKLAD	12600	13700	\N	\N	\N
937980	3200	1995-12-19	VYDAJ	VYBER	100	19517	\N	\N	\N
937981	3200	1996-01-18	VYDAJ	VYBER	100	19498	\N	\N	\N
937982	3200	1996-02-17	VYDAJ	VYBER	2900	16680	\N	\N	\N
937983	3200	1996-03-18	VYDAJ	VYBER	300	16461	\N	\N	\N
937984	3200	1996-04-17	PRIJEM	VKLAD	1800	18343	\N	\N	\N
937985	3200	1996-05-17	PRIJEM	VKLAD	400	18825	\N	\N	\N
937986	3200	1996-06-16	PRIJEM	VKLAD	2500	21406	\N	\N	\N
937987	3200	1996-07-16	PRIJEM	VKLAD	1400	22888	\N	\N	\N
937988	3200	1996-08-15	PRIJEM	VKLAD	1000	23970	\N	\N	\N
937989	3200	1996-09-14	VYDAJ	VYBER	400	23651	\N	\N	\N
937990	3200	1996-10-14	VYDAJ	VYBER	1000	22733	\N	\N	\N
937991	3200	1996-11-13	VYDAJ	VYBER	1300	21514	\N	\N	\N
937992	3200	1996-12-13	VYDAJ	VYBER	300	21296	\N	\N	\N
937993	3200	1997-01-12	VYDAJ	VYBER	15800	41997	\N	\N	\N
937994	3200	1997-02-11	VYDAJ	VYBER	29100	48671	\N	\N	\N
937995	3200	1997-03-13	VYDAJ	VYBER	15300	33584	\N	\N	\N
937996	3200	1997-04-12	VYDAJ	VYBER	39100	58345	\N	\N	\N
937997	3200	1997-05-12	VYDAJ	VYBER	12000	29354	\N	\N	\N
937998	3200	1997-06-11	VYDAJ	VYBER	8100	26963	\N	\N	\N
937999	3200	1997-07-11	VYDAJ	VYBER	200	22276	\N	\N	\N
938000	3200	1997-08-10	VYDAJ	VYBER	1400	20870	\N	\N	\N
938001	3200	1997-09-09	VYDAJ	VYBER	36000	56525	\N	\N	\N
938002	3200	1997-10-09	VYDAJ	VYBER	12000	38773	\N	\N	\N
938003	3200	1997-11-08	PRIJEM	VKLAD	3800	29471	\N	\N	\N
938004	3200	1997-12-08	VYDAJ	VYBER	12000	40368	\N	\N	\N
938005	3200	1998-01-01	VYDAJ	VYBER	35500	71104	\N	\N	\N
938006	3200	1998-01-07	VYDAJ	VYBER	31300	57457	\N	\N	\N
938007	3200	1998-02-06	VYDAJ	VYBER	18100	40998	\N	\N	\N
938008	3200	1998-03-08	VYDAJ	VYBER	16000	44668	\N	\N	\N
938009	3200	1998-04-07	VYDAJ	VYBER	26900	58043	\N	\N	\N
938010	3200	1998-05-04	VYDAJ	VYBER	24900	97099	\N	\N	\N
938011	3200	1998-05-07	VYDAJ	VYBER	28900	68199	\N	\N	\N
938012	3200	1998-05-22	VYDAJ	VYBER	57600	70008	\N	\N	\N
938013	3200	1998-06-06	VYDAJ	VYBER	17200	53156	\N	\N	\N
938014	3200	1998-06-20	VYDAJ	VYBER	31500	97028	\N	\N	\N
938015	3200	1998-06-22	VYDAJ	VYBER	45100	90714	\N	\N	\N
938016	3200	1998-06-28	VYDAJ	VYBER	64500	42713	\N	\N	\N
938017	3200	1998-07-04	VYDAJ	VYBER	27100	91298	\N	\N	\N
938018	3200	1998-07-06	VYDAJ	VYBER	28800	62498	\N	\N	\N
938019	3200	1998-08-05	VYDAJ	VYBER	34200	69560	\N	\N	\N
938020	3200	1998-09-04	VYDAJ	VYBER	25500	67096	\N	\N	\N
938021	3200	1998-10-04	VYDAJ	VYBER	23700	64463	\N	\N	\N
938022	3200	1998-11-03	VYDAJ	VYBER	23000	60717	\N	\N	\N
938023	3200	1998-12-03	VYDAJ	VYBER	22600	61739	\N	\N	\N
938062	3201	1994-04-17	PRIJEM	VKLAD	300	300	\N	\N	\N
938067	3201	1994-05-05	PRIJEM	VKLAD	9376	9676	\N	\N	\N
938068	3201	1994-06-05	PRIJEM	VKLAD	14064	31776	\N	\N	\N
938069	3201	1994-07-05	PRIJEM	VKLAD	9376	35443	\N	\N	\N
938070	3201	1994-08-05	PRIJEM	VKLAD	9376	39035	\N	\N	\N
938071	3201	1994-09-05	PRIJEM	VKLAD	9376	39034	\N	\N	\N
938072	3201	1994-10-05	PRIJEM	VKLAD	9376	35766	\N	\N	\N
938073	3201	1994-11-05	PRIJEM	VKLAD	9376	30924	\N	\N	\N
938074	3201	1994-12-05	PRIJEM	VKLAD	14064	36723	\N	\N	\N
938075	3201	1995-01-05	PRIJEM	VKLAD	9376	35748	\N	\N	\N
938076	3201	1995-02-05	PRIJEM	VKLAD	9376	22101	\N	\N	\N
938077	3201	1995-03-05	PRIJEM	VKLAD	9376	27084	\N	\N	\N
938078	3201	1995-04-05	PRIJEM	VKLAD	9376	29279	\N	\N	\N
938079	3201	1995-05-05	PRIJEM	VKLAD	9376	32888	\N	\N	\N
938080	3201	1995-06-05	PRIJEM	VKLAD	14064	39294	\N	\N	\N
938081	3201	1995-07-05	PRIJEM	VKLAD	9376	31308	\N	\N	\N
938082	3201	1995-08-05	PRIJEM	VKLAD	9376	34023	\N	\N	\N
938083	3201	1995-09-05	PRIJEM	VKLAD	9376	34642	\N	\N	\N
938084	3201	1995-10-05	PRIJEM	VKLAD	9376	37873	\N	\N	\N
938085	3201	1995-11-05	PRIJEM	VKLAD	9376	29717	\N	\N	\N
938086	3201	1995-12-05	PRIJEM	VKLAD	14064	38620	\N	\N	\N
938087	3201	1996-01-05	PRIJEM	VKLAD	9376	28685	\N	\N	\N
938088	3201	1996-02-05	PRIJEM	VKLAD	9376	26944	\N	\N	\N
938089	3201	1996-03-05	PRIJEM	VKLAD	9376	33152	\N	\N	\N
938090	3201	1996-04-05	PRIJEM	VKLAD	9376	38282	\N	\N	\N
938091	3201	1996-05-05	PRIJEM	VKLAD	9376	37111	\N	\N	\N
938092	3201	1996-06-05	PRIJEM	VKLAD	14064	38177	\N	\N	\N
938093	3201	1996-07-05	PRIJEM	VKLAD	9376	37206	\N	\N	\N
938094	3201	1996-08-05	PRIJEM	VKLAD	9376	38030	\N	\N	\N
938095	3201	1996-09-05	PRIJEM	VKLAD	9376	38772	\N	\N	\N
938096	3201	1996-10-05	PRIJEM	VKLAD	9376	32293	\N	\N	\N
938097	3201	1996-11-05	PRIJEM	VKLAD	9376	33814	\N	\N	\N
938098	3201	1996-12-05	PRIJEM	VKLAD	14064	41428	\N	\N	\N
938099	3201	1997-01-05	PRIJEM	VKLAD	9376	39441	\N	\N	\N
938100	3201	1997-02-05	PRIJEM	VKLAD	9376	34791	\N	\N	\N
938101	3201	1997-03-05	PRIJEM	VKLAD	9376	42422	\N	\N	\N
938102	3201	1997-04-05	PRIJEM	VKLAD	9376	45897	\N	\N	\N
938103	3201	1997-05-05	PRIJEM	VKLAD	9376	50571	\N	\N	\N
938104	3201	1997-06-05	PRIJEM	VKLAD	14064	52554	\N	\N	\N
938105	3201	1997-07-05	PRIJEM	VKLAD	9376	43496	\N	\N	\N
938106	3201	1997-08-05	PRIJEM	VKLAD	9376	41498	\N	\N	\N
938107	3201	1997-09-05	PRIJEM	VKLAD	9376	43455	\N	\N	\N
938108	3201	1997-10-05	PRIJEM	VKLAD	9376	43820	\N	\N	\N
938109	3201	1997-11-05	PRIJEM	VKLAD	9376	47787	\N	\N	\N
938110	3201	1997-12-05	PRIJEM	VKLAD	14064	46830	\N	\N	\N
938111	3201	1998-01-05	PRIJEM	VKLAD	9376	43502	\N	\N	\N
938112	3201	1998-02-05	PRIJEM	VKLAD	9376	33507	\N	\N	\N
938113	3201	1998-03-05	PRIJEM	VKLAD	9376	36831	\N	\N	\N
938114	3201	1998-04-05	PRIJEM	VKLAD	9376	37404	\N	\N	\N
938115	3201	1998-05-05	PRIJEM	VKLAD	9376	40554	\N	\N	\N
938116	3201	1998-06-05	PRIJEM	VKLAD	14064	51599	\N	\N	\N
938117	3201	1998-07-05	PRIJEM	VKLAD	9376	40578	\N	\N	\N
938118	3201	1998-08-05	PRIJEM	VKLAD	9376	41214	\N	\N	\N
938119	3201	1998-09-05	PRIJEM	VKLAD	9376	51079	\N	\N	\N
938120	3201	1998-10-05	PRIJEM	VKLAD	9376	55097	\N	\N	\N
938121	3201	1998-11-05	PRIJEM	VKLAD	9376	63015	\N	\N	\N
938122	3201	1998-12-05	PRIJEM	VKLAD	14064	68745	\N	\N	\N
938131	3201	1994-09-09	VYDAJ	PREVOD NA UCET	3352	32784	SIPO	YZ	11025113
938132	3201	1994-10-09	VYDAJ	PREVOD NA UCET	3352	29516	SIPO	YZ	11025113
938133	3201	1994-11-09	VYDAJ	PREVOD NA UCET	3352	24674	SIPO	YZ	11025113
938134	3201	1994-12-09	VYDAJ	PREVOD NA UCET	3352	30473	SIPO	YZ	11025113
938135	3201	1995-01-09	VYDAJ	PREVOD NA UCET	3352	26618	SIPO	YZ	11025113
938136	3201	1995-02-09	VYDAJ	PREVOD NA UCET	3352	15851	SIPO	YZ	11025113
938137	3201	1995-03-09	VYDAJ	PREVOD NA UCET	3352	20834	SIPO	YZ	11025113
938138	3201	1995-04-09	VYDAJ	PREVOD NA UCET	3352	23029	SIPO	YZ	11025113
938139	3201	1995-05-09	VYDAJ	PREVOD NA UCET	3352	26638	SIPO	YZ	11025113
938140	3201	1995-06-09	VYDAJ	PREVOD NA UCET	3352	33044	SIPO	YZ	11025113
938141	3201	1995-07-09	VYDAJ	PREVOD NA UCET	3352	25058	SIPO	YZ	11025113
938142	3201	1995-08-09	VYDAJ	PREVOD NA UCET	3352	27773	SIPO	YZ	11025113
938143	3201	1995-09-09	VYDAJ	PREVOD NA UCET	3352	28392	SIPO	YZ	11025113
938144	3201	1995-10-09	VYDAJ	PREVOD NA UCET	3352	27323	SIPO	YZ	11025113
938145	3201	1995-11-09	VYDAJ	PREVOD NA UCET	3352	25067	SIPO	YZ	11025113
938146	3201	1995-12-09	VYDAJ	PREVOD NA UCET	3352	26770	SIPO	YZ	11025113
938147	3201	1996-01-09	VYDAJ	PREVOD NA UCET	3352	21215	SIPO	YZ	11025113
938148	3201	1996-02-09	VYDAJ	PREVOD NA UCET	3352	23694	SIPO	YZ	11025113
938149	3201	1996-03-09	VYDAJ	PREVOD NA UCET	3352	28802	SIPO	YZ	11025113
938150	3201	1996-04-09	VYDAJ	PREVOD NA UCET	3352	27632	SIPO	YZ	11025113
938151	3201	1996-05-09	VYDAJ	PREVOD NA UCET	3352	24021	SIPO	YZ	11025113
938152	3201	1996-06-09	VYDAJ	PREVOD NA UCET	3352	27727	SIPO	YZ	11025113
938153	3201	1996-07-09	VYDAJ	PREVOD NA UCET	3352	25756	SIPO	YZ	11025113
938154	3201	1996-08-09	VYDAJ	PREVOD NA UCET	3352	31780	SIPO	YZ	11025113
938155	3201	1996-09-09	VYDAJ	PREVOD NA UCET	3352	32522	SIPO	YZ	11025113
938156	3201	1996-10-09	VYDAJ	PREVOD NA UCET	3352	26043	SIPO	YZ	11025113
938157	3201	1996-11-09	VYDAJ	PREVOD NA UCET	3352	27564	SIPO	YZ	11025113
938158	3201	1996-12-09	VYDAJ	PREVOD NA UCET	3352	35178	SIPO	YZ	11025113
938159	3201	1997-01-09	VYDAJ	PREVOD NA UCET	3352	31631	SIPO	YZ	11025113
938160	3201	1997-02-09	VYDAJ	PREVOD NA UCET	3352	28541	SIPO	YZ	11025113
938161	3201	1997-03-09	VYDAJ	PREVOD NA UCET	3352	36172	SIPO	YZ	11025113
938162	3201	1997-04-09	VYDAJ	PREVOD NA UCET	3352	39647	SIPO	YZ	11025113
938163	3201	1997-05-09	VYDAJ	PREVOD NA UCET	3352	44321	SIPO	YZ	11025113
938164	3201	1997-06-09	VYDAJ	PREVOD NA UCET	3352	46304	SIPO	YZ	11025113
938165	3201	1997-07-09	VYDAJ	PREVOD NA UCET	3352	37246	SIPO	YZ	11025113
938166	3201	1997-08-09	VYDAJ	PREVOD NA UCET	3352	35248	SIPO	YZ	11025113
938167	3201	1997-09-09	VYDAJ	PREVOD NA UCET	3352	37205	SIPO	YZ	11025113
938168	3201	1997-10-09	VYDAJ	PREVOD NA UCET	3352	37570	SIPO	YZ	11025113
938169	3201	1997-11-09	VYDAJ	PREVOD NA UCET	3352	41537	SIPO	YZ	11025113
938170	3201	1997-12-09	VYDAJ	PREVOD NA UCET	3352	40580	SIPO	YZ	11025113
938171	3201	1998-01-09	VYDAJ	PREVOD NA UCET	3352	35332	SIPO	YZ	11025113
938172	3201	1998-02-09	VYDAJ	PREVOD NA UCET	3352	27257	SIPO	YZ	11025113
938173	3201	1998-03-09	VYDAJ	PREVOD NA UCET	3352	30581	SIPO	YZ	11025113
938174	3201	1998-04-09	VYDAJ	PREVOD NA UCET	3352	27914	SIPO	YZ	11025113
938175	3201	1998-05-09	VYDAJ	PREVOD NA UCET	3352	34304	SIPO	YZ	11025113
938176	3201	1998-06-09	VYDAJ	PREVOD NA UCET	3352	42109	SIPO	YZ	11025113
938177	3201	1998-07-09	VYDAJ	PREVOD NA UCET	3352	34328	SIPO	YZ	11025113
938178	3201	1998-08-09	VYDAJ	PREVOD NA UCET	3352	34964	SIPO	YZ	11025113
938179	3201	1998-09-09	VYDAJ	PREVOD NA UCET	3352	44829	SIPO	YZ	11025113
938180	3201	1998-10-09	VYDAJ	PREVOD NA UCET	3352	48847	SIPO	YZ	11025113
938181	3201	1998-11-09	VYDAJ	PREVOD NA UCET	3352	56765	SIPO	YZ	11025113
938182	3201	1998-12-09	VYDAJ	PREVOD NA UCET	3352	62495	SIPO	YZ	11025113
938191	3201	1994-09-05	VYDAJ	PREVOD NA UCET	2898	36136	 	AB	88160776
938192	3201	1994-10-05	VYDAJ	PREVOD NA UCET	2898	32868	 	AB	88160776
938193	3201	1994-11-05	VYDAJ	PREVOD NA UCET	2898	28026	 	AB	88160776
938194	3201	1994-12-05	VYDAJ	PREVOD NA UCET	2898	33825	 	AB	88160776
938195	3201	1995-01-05	VYDAJ	PREVOD NA UCET	2898	32850	 	AB	88160776
938196	3201	1995-02-05	VYDAJ	PREVOD NA UCET	2898	19203	 	AB	88160776
938197	3201	1995-03-05	VYDAJ	PREVOD NA UCET	2898	24186	 	AB	88160776
938198	3201	1995-04-05	VYDAJ	PREVOD NA UCET	2898	26381	 	AB	88160776
938199	3201	1995-05-05	VYDAJ	PREVOD NA UCET	2898	29990	 	AB	88160776
938200	3201	1995-06-05	VYDAJ	PREVOD NA UCET	2898	36396	 	AB	88160776
938201	3201	1995-07-05	VYDAJ	PREVOD NA UCET	2898	28410	 	AB	88160776
938202	3201	1995-08-05	VYDAJ	PREVOD NA UCET	2898	31125	 	AB	88160776
938203	3201	1995-09-05	VYDAJ	PREVOD NA UCET	2898	31744	 	AB	88160776
938204	3201	1995-10-05	VYDAJ	PREVOD NA UCET	2898	34975	 	AB	88160776
938205	3201	1995-11-05	VYDAJ	PREVOD NA UCET	2898	26819	 	AB	88160776
938206	3201	1995-12-05	VYDAJ	PREVOD NA UCET	2898	35722	 	AB	88160776
938207	3201	1996-01-05	VYDAJ	PREVOD NA UCET	2898	25787	 	AB	88160776
938208	3201	1996-02-05	VYDAJ	PREVOD NA UCET	2898	24046	 	AB	88160776
938209	3201	1996-03-05	VYDAJ	PREVOD NA UCET	2898	30254	 	AB	88160776
938210	3201	1996-04-05	VYDAJ	PREVOD NA UCET	2898	35384	 	AB	88160776
938211	3201	1996-05-05	VYDAJ	PREVOD NA UCET	2898	34213	 	AB	88160776
938212	3201	1996-06-05	VYDAJ	PREVOD NA UCET	2898	35279	 	AB	88160776
938213	3201	1996-07-05	VYDAJ	PREVOD NA UCET	2898	34308	 	AB	88160776
938214	3201	1996-08-05	VYDAJ	PREVOD NA UCET	2898	35132	 	AB	88160776
938215	3201	1996-09-05	VYDAJ	PREVOD NA UCET	2898	35874	 	AB	88160776
938216	3201	1996-10-05	VYDAJ	PREVOD NA UCET	2898	29395	 	AB	88160776
938217	3201	1996-11-05	VYDAJ	PREVOD NA UCET	2898	30916	 	AB	88160776
938218	3201	1996-12-05	VYDAJ	PREVOD NA UCET	2898	38530	 	AB	88160776
938219	3201	1997-01-05	VYDAJ	PREVOD NA UCET	2898	36543	 	AB	88160776
938220	3201	1997-02-05	VYDAJ	PREVOD NA UCET	2898	31893	 	AB	88160776
938221	3201	1997-03-05	VYDAJ	PREVOD NA UCET	2898	39524	 	AB	88160776
938222	3201	1997-04-05	VYDAJ	PREVOD NA UCET	2898	42999	 	AB	88160776
938223	3201	1997-05-05	VYDAJ	PREVOD NA UCET	2898	47673	 	AB	88160776
938224	3201	1997-06-05	VYDAJ	PREVOD NA UCET	2898	49656	 	AB	88160776
938225	3201	1997-07-05	VYDAJ	PREVOD NA UCET	2898	40598	 	AB	88160776
938226	3201	1997-08-05	VYDAJ	PREVOD NA UCET	2898	38600	 	AB	88160776
938227	3201	1997-09-05	VYDAJ	PREVOD NA UCET	2898	40557	 	AB	88160776
938228	3201	1997-10-05	VYDAJ	PREVOD NA UCET	2898	40922	 	AB	88160776
938229	3201	1997-11-05	VYDAJ	PREVOD NA UCET	2898	44889	 	AB	88160776
938230	3201	1997-12-05	VYDAJ	PREVOD NA UCET	2898	43932	 	AB	88160776
938231	3201	1998-01-05	VYDAJ	PREVOD NA UCET	2898	40604	 	AB	88160776
938232	3201	1998-02-05	VYDAJ	PREVOD NA UCET	2898	30609	 	AB	88160776
938233	3201	1998-03-05	VYDAJ	PREVOD NA UCET	2898	33933	 	AB	88160776
938234	3201	1998-04-05	VYDAJ	PREVOD NA UCET	2898	34506	 	AB	88160776
938235	3201	1998-05-05	VYDAJ	PREVOD NA UCET	2898	37656	 	AB	88160776
938236	3201	1998-06-05	VYDAJ	PREVOD NA UCET	2898	48701	 	AB	88160776
938237	3201	1998-07-05	VYDAJ	PREVOD NA UCET	2898	37680	 	AB	88160776
938238	3201	1998-08-05	VYDAJ	PREVOD NA UCET	2898	38316	 	AB	88160776
938239	3201	1998-09-05	VYDAJ	PREVOD NA UCET	2898	48181	 	AB	88160776
938240	3201	1998-10-05	VYDAJ	PREVOD NA UCET	2898	52199	 	AB	88160776
938241	3201	1998-11-05	VYDAJ	PREVOD NA UCET	2898	60117	 	AB	88160776
938242	3201	1998-12-05	VYDAJ	PREVOD NA UCET	2898	65847	 	AB	88160776
938244	3201	1995-06-29	VYDAJ	VYBER	7520	21824	\N	\N	\N
938246	3201	1997-06-29	VYDAJ	VYBER	12160	34144	\N	\N	\N
938247	3201	1998-06-27	VYDAJ	VYBER	10560	31049	\N	\N	\N
938254	3201	1995-01-21	VYDAJ	VYBER	720	15538	\N	\N	\N
938255	3201	1995-01-06	VYDAJ	VYBER	2880	29970	\N	\N	\N
938256	3201	1995-01-11	VYDAJ	VYBER	2400	18458	\N	\N	\N
938257	3201	1995-01-13	VYDAJ	VYBER	1440	19618	\N	\N	\N
938258	3201	1995-01-22	VYDAJ	VYBER	2880	12658	\N	\N	\N
938259	3201	1995-01-13	VYDAJ	VYBER	3360	16258	\N	\N	\N
938260	3201	1996-01-27	VYDAJ	VYBER	1320	17495	\N	\N	\N
938261	3201	1996-01-08	VYDAJ	VYBER	2400	24567	\N	\N	\N
938262	3201	1996-01-04	VYDAJ	VYBER	2040	19309	\N	\N	\N
938263	3201	1996-01-06	VYDAJ	VYBER	1920	23867	\N	\N	\N
938264	3201	1996-01-03	VYDAJ	VYBER	1440	21349	\N	\N	\N
938265	3201	1996-01-26	VYDAJ	VYBER	2400	18815	\N	\N	\N
938266	3201	1997-01-08	VYDAJ	VYBER	1560	34983	\N	\N	\N
938267	3201	1997-01-25	VYDAJ	VYBER	2880	22871	\N	\N	\N
938268	3201	1997-01-13	VYDAJ	VYBER	1680	28151	\N	\N	\N
938269	3201	1997-01-12	VYDAJ	VYBER	1800	29831	\N	\N	\N
938270	3201	1997-01-24	VYDAJ	VYBER	1080	25751	\N	\N	\N
938271	3201	1997-01-17	VYDAJ	VYBER	1320	26831	\N	\N	\N
938272	3201	1998-01-28	VYDAJ	VYBER	1440	27132	\N	\N	\N
938273	3201	1998-01-08	VYDAJ	VYBER	1920	38684	\N	\N	\N
938274	3201	1998-01-09	VYDAJ	VYBER	1800	33532	\N	\N	\N
938275	3201	1998-01-30	VYDAJ	VYBER	3120	24012	\N	\N	\N
938276	3201	1998-01-22	VYDAJ	VYBER	2280	28372	\N	\N	\N
938277	3201	1998-01-16	VYDAJ	VYBER	2880	30652	\N	\N	\N
938279	3201	1994-10-19	VYDAJ	VYBER	2160	21456	\N	\N	\N
938282	3201	1995-01-09	VYDAJ	VYBER	5760	20858	\N	\N	\N
938284	3201	1995-10-20	VYDAJ	VYBER	2880	24443	\N	\N	\N
938285	3201	1995-11-26	VYDAJ	VYBER	600	24467	\N	\N	\N
938286	3201	1995-12-28	VYDAJ	VYBER	4080	22690	\N	\N	\N
938287	3201	1995-10-30	VYDAJ	VYBER	4200	20243	\N	\N	\N
938288	3201	1996-09-14	VYDAJ	VYBER	5160	22322	\N	\N	\N
938289	3201	1996-09-10	VYDAJ	VYBER	2280	30242	\N	\N	\N
938290	3201	1996-12-28	VYDAJ	VYBER	3840	31338	\N	\N	\N
938291	3201	1996-09-11	VYDAJ	VYBER	2760	27482	\N	\N	\N
938292	3201	1996-05-09	VYDAJ	VYBER	4440	27373	\N	\N	\N
938293	3201	1997-01-29	VYDAJ	VYBER	960	21911	\N	\N	\N
938294	3201	1997-01-03	VYDAJ	VYBER	1800	30065	\N	\N	\N
938295	3201	1997-11-12	VYDAJ	VYBER	1920	39617	\N	\N	\N
938296	3201	1997-07-20	VYDAJ	VYBER	2760	34486	\N	\N	\N
938297	3201	1997-03-22	VYDAJ	VYBER	2880	33292	\N	\N	\N
938298	3201	1998-08-04	VYDAJ	VYBER	5520	31838	\N	\N	\N
938299	3201	1998-04-24	VYDAJ	VYBER	840	27074	\N	\N	\N
938300	3201	1998-03-14	VYDAJ	VYBER	960	29621	\N	\N	\N
938301	3201	1998-09-25	VYDAJ	VYBER	1560	45549	\N	\N	\N
938302	3201	1998-06-09	VYDAJ	VYBER	3240	45461	\N	\N	\N
938303	3201	1998-09-14	VYDAJ	VYBER	720	44109	\N	\N	\N
938304	3201	1998-04-06	VYDAJ	VYBER	3240	31266	\N	\N	\N
938314	3201	1994-09-30	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
938315	3201	1994-10-31	VYDAJ	VYBER	15	21548	SLUZBY	\N	\N
938316	3201	1994-11-30	VYDAJ	VYBER	15	22659	SLUZBY	\N	\N
938317	3201	1994-12-31	VYDAJ	VYBER	15	26372	SLUZBY	\N	\N
938318	3201	1995-01-31	VYDAJ	VYBER	15	12725	SLUZBY	\N	\N
938319	3201	1995-02-28	VYDAJ	VYBER	15	17708	SLUZBY	\N	\N
938320	3201	1995-03-31	VYDAJ	VYBER	15	19903	SLUZBY	\N	\N
938321	3201	1995-04-30	VYDAJ	VYBER	15	23512	SLUZBY	\N	\N
938322	3201	1995-05-31	VYDAJ	VYBER	15	25230	SLUZBY	\N	\N
938323	3201	1995-06-30	VYDAJ	VYBER	15	21932	SLUZBY	\N	\N
938324	3201	1995-07-31	VYDAJ	VYBER	15	24647	SLUZBY	\N	\N
938325	3201	1995-08-31	VYDAJ	VYBER	15	25266	SLUZBY	\N	\N
938326	3201	1995-09-30	VYDAJ	VYBER	15	28497	SLUZBY	\N	\N
938327	3201	1995-10-31	VYDAJ	VYBER	15	20341	SLUZBY	\N	\N
938328	3201	1995-11-30	VYDAJ	VYBER	15	24556	SLUZBY	\N	\N
938329	3201	1995-12-31	VYDAJ	VYBER	15	22789	SLUZBY	\N	\N
938330	3201	1996-01-31	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
938331	3201	1996-02-29	VYDAJ	VYBER	15	23776	SLUZBY	\N	\N
938332	3201	1996-03-31	VYDAJ	VYBER	15	28906	SLUZBY	\N	\N
938333	3201	1996-04-30	VYDAJ	VYBER	15	27735	SLUZBY	\N	\N
938334	3201	1996-05-31	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
938335	3201	1996-06-30	VYDAJ	VYBER	15	27830	SLUZBY	\N	\N
938336	3201	1996-07-31	VYDAJ	VYBER	15	25854	SLUZBY	\N	\N
938337	3201	1996-08-31	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
938338	3201	1996-09-30	VYDAJ	VYBER	15	22417	SLUZBY	\N	\N
938339	3201	1996-10-31	VYDAJ	VYBER	15	26138	SLUZBY	\N	\N
938340	3201	1996-11-30	VYDAJ	VYBER	15	27664	SLUZBY	\N	\N
938341	3201	1996-12-31	VYDAJ	VYBER	15	31465	SLUZBY	\N	\N
938342	3201	1997-01-31	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
938343	3201	1997-02-28	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
938344	3201	1997-03-31	VYDAJ	VYBER	15	33421	SLUZBY	\N	\N
938345	3201	1997-04-30	VYDAJ	VYBER	15	39795	SLUZBY	\N	\N
938346	3201	1997-05-31	VYDAJ	VYBER	15	44490	SLUZBY	\N	\N
938347	3201	1997-06-30	VYDAJ	VYBER	15	34320	SLUZBY	\N	\N
938348	3201	1997-07-31	VYDAJ	VYBER	15	32122	SLUZBY	\N	\N
938349	3201	1997-08-31	VYDAJ	VYBER	15	34079	SLUZBY	\N	\N
938350	3201	1997-09-30	VYDAJ	VYBER	15	34444	SLUZBY	\N	\N
938351	3201	1997-10-31	VYDAJ	VYBER	15	38411	SLUZBY	\N	\N
938352	3201	1997-11-30	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
938353	3201	1997-12-31	VYDAJ	VYBER	15	34126	SLUZBY	\N	\N
938354	3201	1998-01-31	VYDAJ	VYBER	15	24131	SLUZBY	\N	\N
938355	3201	1998-02-28	VYDAJ	VYBER	15	27455	SLUZBY	\N	\N
938356	3201	1998-03-31	VYDAJ	VYBER	15	28028	SLUZBY	\N	\N
938357	3201	1998-04-30	VYDAJ	VYBER	15	31178	SLUZBY	\N	\N
938358	3201	1998-05-31	VYDAJ	VYBER	15	37535	SLUZBY	\N	\N
938359	3201	1998-06-30	VYDAJ	VYBER	15	31202	SLUZBY	\N	\N
938360	3201	1998-07-31	VYDAJ	VYBER	15	37358	SLUZBY	\N	\N
938361	3201	1998-08-31	VYDAJ	VYBER	15	41703	SLUZBY	\N	\N
938362	3201	1998-09-30	VYDAJ	VYBER	15	45721	SLUZBY	\N	\N
938363	3201	1998-10-31	VYDAJ	VYBER	15	53639	SLUZBY	\N	\N
938364	3201	1998-11-30	VYDAJ	VYBER	15	54681	SLUZBY	\N	\N
938365	3201	1994-05-17	PRIJEM	VKLAD	8000	17676	\N	\N	\N
938366	3201	1994-06-16	VYDAJ	VYBER	5800	25976	\N	\N	\N
938367	3201	1994-07-16	VYDAJ	VYBER	5900	29543	\N	\N	\N
938368	3201	1994-08-15	VYDAJ	VYBER	9500	29535	\N	\N	\N
938369	3201	1994-09-14	VYDAJ	VYBER	6500	26284	\N	\N	\N
938370	3201	1994-10-14	VYDAJ	VYBER	5900	23616	\N	\N	\N
938371	3201	1994-11-13	VYDAJ	VYBER	2100	22574	\N	\N	\N
938372	3201	1994-12-13	VYDAJ	VYBER	4200	26273	\N	\N	\N
938373	3201	1995-01-12	PRIJEM	VKLAD	2600	21058	\N	\N	\N
938374	3201	1995-02-11	PRIJEM	VKLAD	1800	17651	\N	\N	\N
938375	3201	1995-03-13	VYDAJ	VYBER	1000	19834	\N	\N	\N
938376	3201	1995-04-12	PRIJEM	VKLAD	400	23429	\N	\N	\N
938377	3201	1995-05-12	VYDAJ	VYBER	1500	25138	\N	\N	\N
938378	3201	1995-06-11	VYDAJ	VYBER	3700	29344	\N	\N	\N
938379	3201	1995-07-11	VYDAJ	VYBER	500	24558	\N	\N	\N
938380	3201	1995-08-10	VYDAJ	VYBER	2600	25173	\N	\N	\N
938381	3201	1995-10-09	VYDAJ	VYBER	4300	30675	\N	\N	\N
938382	3201	1995-11-08	PRIJEM	VKLAD	1600	28419	\N	\N	\N
938383	3201	1995-12-08	VYDAJ	VYBER	5600	30122	\N	\N	\N
938384	3201	1996-01-07	PRIJEM	VKLAD	3100	26967	\N	\N	\N
938385	3201	1996-02-06	PRIJEM	VKLAD	3000	27046	\N	\N	\N
938386	3201	1996-03-07	PRIJEM	VKLAD	1900	32154	\N	\N	\N
938387	3201	1996-04-06	VYDAJ	VYBER	4400	30984	\N	\N	\N
938388	3201	1996-05-06	VYDAJ	VYBER	2400	31813	\N	\N	\N
938389	3201	1996-06-05	VYDAJ	VYBER	4200	31079	\N	\N	\N
938390	3201	1996-07-05	VYDAJ	VYBER	5200	29108	\N	\N	\N
938391	3201	1996-08-04	PRIJEM	VKLAD	2800	28654	\N	\N	\N
938392	3201	1996-09-03	VYDAJ	VYBER	2500	29396	\N	\N	\N
938393	3201	1996-10-03	PRIJEM	VKLAD	500	22917	\N	\N	\N
938394	3201	1996-11-02	VYDAJ	VYBER	1700	24438	\N	\N	\N
938395	3201	1996-12-02	VYDAJ	VYBER	300	27364	\N	\N	\N
938396	3201	1997-01-01	PRIJEM	VKLAD	400	31865	\N	\N	\N
938397	3201	1997-01-31	PRIJEM	VKLAD	3400	25430	\N	\N	\N
938398	3201	1997-03-02	PRIJEM	VKLAD	4400	33046	\N	\N	\N
938399	3201	1997-04-01	PRIJEM	VKLAD	3100	36521	\N	\N	\N
938400	3201	1997-05-01	PRIJEM	VKLAD	1400	41195	\N	\N	\N
938401	3201	1997-05-31	VYDAJ	VYBER	6000	38490	\N	\N	\N
938402	3201	1997-06-30	VYDAJ	VYBER	200	34120	\N	\N	\N
938403	3201	1997-07-30	VYDAJ	VYBER	2500	31986	\N	\N	\N
938404	3201	1997-08-29	VYDAJ	VYBER	1300	33948	\N	\N	\N
938405	3201	1997-09-28	VYDAJ	VYBER	2900	34305	\N	\N	\N
938406	3201	1997-10-28	PRIJEM	VKLAD	700	38270	\N	\N	\N
938407	3201	1997-11-27	VYDAJ	VYBER	7000	32617	\N	\N	\N
938408	3201	1997-12-27	VYDAJ	VYBER	6600	33980	\N	\N	\N
938409	3201	1998-01-26	PRIJEM	VKLAD	200	28572	\N	\N	\N
938410	3201	1998-02-25	PRIJEM	VKLAD	100	27357	\N	\N	\N
938411	3201	1998-03-27	VYDAJ	VYBER	1700	27921	\N	\N	\N
938412	3201	1998-04-26	PRIJEM	VKLAD	4000	31074	\N	\N	\N
938413	3201	1998-05-26	PRIJEM	VKLAD	3100	37404	\N	\N	\N
938414	3201	1998-06-25	VYDAJ	VYBER	500	41609	\N	\N	\N
938415	3201	1998-07-25	PRIJEM	VKLAD	2900	37228	\N	\N	\N
938416	3201	1998-08-24	PRIJEM	VKLAD	6600	41564	\N	\N	\N
938417	3201	1998-09-23	PRIJEM	VKLAD	3000	47109	\N	\N	\N
938418	3201	1998-10-23	PRIJEM	VKLAD	4600	53447	\N	\N	\N
938419	3201	1998-11-22	VYDAJ	VYBER	2300	54465	\N	\N	\N
938476	3202	1997-06-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
938482	3202	1997-06-05	PRIJEM	PREVOD Z UCTU	4837	5937	DUCHOD	YZ	8315533
938483	3202	1997-07-05	PRIJEM	PREVOD Z UCTU	4837	10795	DUCHOD	YZ	8315533
938484	3202	1997-08-05	PRIJEM	PREVOD Z UCTU	4837	15657	DUCHOD	YZ	8315533
938485	3202	1997-09-05	PRIJEM	PREVOD Z UCTU	4837	20519	DUCHOD	YZ	8315533
938486	3202	1997-10-05	PRIJEM	PREVOD Z UCTU	4837	23781	DUCHOD	YZ	8315533
938487	3202	1997-11-05	PRIJEM	PREVOD Z UCTU	4837	23664	DUCHOD	YZ	8315533
938488	3202	1997-12-05	PRIJEM	PREVOD Z UCTU	4837	26055	DUCHOD	YZ	8315533
938489	3202	1998-01-05	PRIJEM	PREVOD Z UCTU	4837	24849	DUCHOD	YZ	8315533
938490	3202	1998-02-05	PRIJEM	PREVOD Z UCTU	4837	20026	DUCHOD	YZ	8315533
938491	3202	1998-03-05	PRIJEM	PREVOD Z UCTU	4837	20477	DUCHOD	YZ	8315533
938492	3202	1998-04-05	PRIJEM	PREVOD Z UCTU	4837	22851	DUCHOD	YZ	8315533
938493	3202	1998-05-05	PRIJEM	PREVOD Z UCTU	4837	25235	DUCHOD	YZ	8315533
938494	3202	1998-06-05	PRIJEM	PREVOD Z UCTU	4837	27629	DUCHOD	YZ	8315533
938495	3202	1998-07-05	PRIJEM	PREVOD Z UCTU	4837	26470	DUCHOD	YZ	8315533
938496	3202	1998-08-05	PRIJEM	PREVOD Z UCTU	4837	26568	DUCHOD	YZ	8315533
938497	3202	1998-09-05	PRIJEM	PREVOD Z UCTU	4837	26966	DUCHOD	YZ	8315533
938498	3202	1998-10-05	PRIJEM	PREVOD Z UCTU	4837	26866	DUCHOD	YZ	8315533
938499	3202	1998-11-05	PRIJEM	PREVOD Z UCTU	4837	24701	DUCHOD	YZ	8315533
938500	3202	1998-12-05	PRIJEM	PREVOD Z UCTU	4837	23548	DUCHOD	YZ	8315533
938510	3202	1997-10-09	VYDAJ	PREVOD NA UCET	1613	21260	SIPO	ST	94148736
938511	3202	1997-11-09	VYDAJ	PREVOD NA UCET	1613	21143	SIPO	ST	94148736
938512	3202	1997-12-09	VYDAJ	PREVOD NA UCET	1613	23534	SIPO	ST	94148736
938513	3202	1998-01-09	VYDAJ	PREVOD NA UCET	1613	20488	SIPO	ST	94148736
938514	3202	1998-02-09	VYDAJ	PREVOD NA UCET	1613	17505	SIPO	ST	94148736
938515	3202	1998-03-09	VYDAJ	PREVOD NA UCET	1613	17956	SIPO	ST	94148736
938516	3202	1998-04-09	VYDAJ	PREVOD NA UCET	1613	20330	SIPO	ST	94148736
938517	3202	1998-05-09	VYDAJ	PREVOD NA UCET	1613	22714	SIPO	ST	94148736
938518	3202	1998-06-09	VYDAJ	PREVOD NA UCET	1613	25108	SIPO	ST	94148736
938519	3202	1998-07-09	VYDAJ	PREVOD NA UCET	1613	23949	SIPO	ST	94148736
938520	3202	1998-08-09	VYDAJ	PREVOD NA UCET	1613	24047	SIPO	ST	94148736
938521	3202	1998-09-09	VYDAJ	PREVOD NA UCET	1613	24445	SIPO	ST	94148736
938522	3202	1998-10-09	VYDAJ	PREVOD NA UCET	1613	23385	SIPO	ST	94148736
938523	3202	1998-11-09	VYDAJ	PREVOD NA UCET	1613	22180	SIPO	ST	94148736
938524	3202	1998-12-09	VYDAJ	PREVOD NA UCET	1613	21027	SIPO	ST	94148736
938534	3202	1997-10-08	VYDAJ	PREVOD NA UCET	908	22873	 	CD	62389814
938535	3202	1997-11-08	VYDAJ	PREVOD NA UCET	908	22756	 	CD	62389814
938536	3202	1997-12-08	VYDAJ	PREVOD NA UCET	908	25147	 	CD	62389814
938537	3202	1998-01-08	VYDAJ	PREVOD NA UCET	908	22101	 	CD	62389814
938538	3202	1998-02-08	VYDAJ	PREVOD NA UCET	908	19118	 	CD	62389814
938539	3202	1998-03-08	VYDAJ	PREVOD NA UCET	908	19569	 	CD	62389814
938540	3202	1998-04-08	VYDAJ	PREVOD NA UCET	908	21943	 	CD	62389814
938541	3202	1998-05-08	VYDAJ	PREVOD NA UCET	908	24327	 	CD	62389814
938542	3202	1998-06-08	VYDAJ	PREVOD NA UCET	908	26721	 	CD	62389814
938543	3202	1998-07-08	VYDAJ	PREVOD NA UCET	908	25562	 	CD	62389814
938544	3202	1998-08-08	VYDAJ	PREVOD NA UCET	908	25660	 	CD	62389814
938545	3202	1998-09-08	VYDAJ	PREVOD NA UCET	908	26058	 	CD	62389814
938546	3202	1998-10-08	VYDAJ	PREVOD NA UCET	908	25958	 	CD	62389814
938547	3202	1998-11-08	VYDAJ	PREVOD NA UCET	908	23793	 	CD	62389814
938548	3202	1998-12-08	VYDAJ	PREVOD NA UCET	908	22640	 	CD	62389814
938551	3202	1997-12-26	VYDAJ	VYBER	400	19934	\N	\N	\N
938552	3202	1998-12-10	VYDAJ	VYBER	1200	19827	\N	\N	\N
938559	3202	1998-01-22	VYDAJ	VYBER	1280	15928	\N	\N	\N
938560	3202	1998-01-27	VYDAJ	VYBER	800	15128	\N	\N	\N
938561	3202	1998-01-07	VYDAJ	VYBER	1360	23489	\N	\N	\N
938562	3202	1998-01-10	VYDAJ	VYBER	640	19848	\N	\N	\N
938563	3202	1998-01-08	VYDAJ	VYBER	480	23009	\N	\N	\N
938564	3202	1998-01-16	VYDAJ	VYBER	480	17208	\N	\N	\N
938566	3202	1997-12-26	VYDAJ	VYBER	3200	20334	\N	\N	\N
938570	3202	1998-06-19	VYDAJ	VYBER	1760	23348	\N	\N	\N
938571	3202	1998-01-14	VYDAJ	VYBER	2160	17688	\N	\N	\N
938572	3202	1998-11-20	VYDAJ	VYBER	3040	19140	\N	\N	\N
938573	3202	1998-02-24	VYDAJ	VYBER	1920	15585	\N	\N	\N
938574	3202	1998-10-08	VYDAJ	VYBER	960	24998	\N	\N	\N
938585	3202	1997-10-31	VYDAJ	VYBER	15	21327	SLUZBY	\N	\N
938586	3202	1997-11-30	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
938587	3202	1997-12-31	VYDAJ	VYBER	15	20012	SLUZBY	\N	\N
938588	3202	1998-01-31	VYDAJ	VYBER	15	15189	SLUZBY	\N	\N
938589	3202	1998-02-28	VYDAJ	VYBER	15	15640	SLUZBY	\N	\N
938590	3202	1998-03-31	VYDAJ	VYBER	15	18014	SLUZBY	\N	\N
938591	3202	1998-04-30	VYDAJ	VYBER	15	20398	SLUZBY	\N	\N
938592	3202	1998-05-31	VYDAJ	VYBER	15	22792	SLUZBY	\N	\N
938593	3202	1998-06-30	VYDAJ	VYBER	15	21633	SLUZBY	\N	\N
938594	3202	1998-07-31	VYDAJ	VYBER	15	21731	SLUZBY	\N	\N
938595	3202	1998-08-31	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
938596	3202	1998-09-30	VYDAJ	VYBER	15	22029	SLUZBY	\N	\N
938597	3202	1998-10-31	VYDAJ	VYBER	15	19864	SLUZBY	\N	\N
938598	3202	1998-11-30	VYDAJ	VYBER	15	18711	SLUZBY	\N	\N
938599	3202	1997-10-02	VYDAJ	VYBER	1600	18944	\N	\N	\N
938600	3202	1997-11-01	VYDAJ	VYBER	2500	18827	\N	\N	\N
938601	3202	1998-06-29	VYDAJ	VYBER	1800	21548	\N	\N	\N
938602	3202	1998-07-29	VYDAJ	VYBER	2300	21649	\N	\N	\N
938603	3202	1998-08-28	VYDAJ	VYBER	2000	22047	\N	\N	\N
938604	3202	1998-09-27	VYDAJ	VYBER	2500	21945	\N	\N	\N
938605	3202	1998-10-27	VYDAJ	VYBER	3600	19785	\N	\N	\N
938606	3202	1998-11-26	VYDAJ	VYBER	500	18640	\N	\N	\N
938626	3203	1995-08-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
938634	3203	1995-08-14	PRIJEM	PREVOD Z UCTU	3167	4167	\N	YZ	70861989
938635	3203	1995-09-14	PRIJEM	PREVOD Z UCTU	3167	7344	\N	YZ	70861989
938636	3203	1995-10-14	PRIJEM	PREVOD Z UCTU	3167	10528	\N	YZ	70861989
938637	3203	1995-11-14	PRIJEM	PREVOD Z UCTU	3167	13713	\N	YZ	70861989
938638	3203	1995-12-14	PRIJEM	PREVOD Z UCTU	3167	16897	\N	YZ	70861989
938639	3203	1996-01-14	PRIJEM	PREVOD Z UCTU	3167	15649	\N	YZ	70861989
938640	3203	1996-02-14	PRIJEM	PREVOD Z UCTU	3167	13390	\N	YZ	70861989
938641	3203	1996-03-14	PRIJEM	PREVOD Z UCTU	3167	14485	\N	YZ	70861989
938642	3203	1996-04-14	PRIJEM	PREVOD Z UCTU	3167	15585	\N	YZ	70861989
938643	3203	1996-05-14	PRIJEM	PREVOD Z UCTU	3167	16690	\N	YZ	70861989
938644	3203	1996-06-14	PRIJEM	PREVOD Z UCTU	3167	16449	\N	YZ	70861989
938645	3203	1996-07-14	PRIJEM	PREVOD Z UCTU	3167	16146	\N	YZ	70861989
938646	3203	1996-08-14	PRIJEM	PREVOD Z UCTU	3167	17252	\N	YZ	70861989
938647	3203	1996-09-14	PRIJEM	PREVOD Z UCTU	3167	18364	\N	YZ	70861989
938648	3203	1996-10-14	PRIJEM	PREVOD Z UCTU	3167	19380	\N	YZ	70861989
938649	3203	1996-11-14	PRIJEM	PREVOD Z UCTU	3167	17899	\N	YZ	70861989
938650	3203	1996-12-14	PRIJEM	PREVOD Z UCTU	3167	19013	\N	YZ	70861989
938651	3203	1997-01-14	PRIJEM	PREVOD Z UCTU	3167	15931	\N	YZ	70861989
938652	3203	1997-02-14	PRIJEM	PREVOD Z UCTU	3167	14034	\N	YZ	70861989
938653	3203	1997-03-14	PRIJEM	PREVOD Z UCTU	3167	15131	\N	YZ	70861989
938654	3203	1997-04-14	PRIJEM	PREVOD Z UCTU	3167	16234	\N	YZ	70861989
938655	3203	1997-05-14	PRIJEM	PREVOD Z UCTU	3167	17341	\N	YZ	70861989
938656	3203	1997-06-14	PRIJEM	PREVOD Z UCTU	3167	16263	\N	YZ	70861989
938657	3203	1997-07-14	PRIJEM	PREVOD Z UCTU	3167	17372	\N	YZ	70861989
938658	3203	1997-08-14	PRIJEM	PREVOD Z UCTU	3167	18484	\N	YZ	70861989
938659	3203	1997-09-14	PRIJEM	PREVOD Z UCTU	3167	19600	\N	YZ	70861989
938660	3203	1997-10-14	PRIJEM	PREVOD Z UCTU	3167	20721	\N	YZ	70861989
938661	3203	1997-11-14	PRIJEM	PREVOD Z UCTU	3167	21846	\N	YZ	70861989
938662	3203	1997-12-14	PRIJEM	PREVOD Z UCTU	3167	22977	\N	YZ	70861989
938663	3203	1998-01-14	PRIJEM	PREVOD Z UCTU	3167	21399	\N	YZ	70861989
938664	3203	1998-02-14	PRIJEM	PREVOD Z UCTU	3167	16189	\N	YZ	70861989
938665	3203	1998-03-14	PRIJEM	PREVOD Z UCTU	3167	16495	\N	YZ	70861989
938666	3203	1998-04-14	PRIJEM	PREVOD Z UCTU	3167	14299	\N	YZ	70861989
938667	3203	1998-05-14	PRIJEM	PREVOD Z UCTU	3167	15398	\N	YZ	70861989
938668	3203	1998-06-14	PRIJEM	PREVOD Z UCTU	3167	15800	\N	YZ	70861989
938669	3203	1998-07-14	PRIJEM	PREVOD Z UCTU	3167	13501	\N	YZ	70861989
938670	3203	1998-08-14	PRIJEM	PREVOD Z UCTU	3167	14596	\N	YZ	70861989
938671	3203	1998-09-14	PRIJEM	PREVOD Z UCTU	3167	12992	\N	YZ	70861989
938672	3203	1998-10-14	PRIJEM	PREVOD Z UCTU	3167	13384	\N	YZ	70861989
938673	3203	1998-11-14	PRIJEM	PREVOD Z UCTU	3167	14479	\N	YZ	70861989
938674	3203	1998-12-14	PRIJEM	PREVOD Z UCTU	3167	12974	\N	YZ	70861989
938687	3203	1996-01-11	VYDAJ	PREVOD NA UCET	2111	13262	SIPO	YZ	15327358
938688	3203	1996-02-11	VYDAJ	PREVOD NA UCET	2111	10223	SIPO	YZ	15327358
938689	3203	1996-03-11	VYDAJ	PREVOD NA UCET	2111	11318	SIPO	YZ	15327358
938690	3203	1996-04-11	VYDAJ	PREVOD NA UCET	2111	12418	SIPO	YZ	15327358
938691	3203	1996-05-11	VYDAJ	PREVOD NA UCET	2111	13523	SIPO	YZ	15327358
938692	3203	1996-06-11	VYDAJ	PREVOD NA UCET	2111	13282	SIPO	YZ	15327358
938693	3203	1996-07-11	VYDAJ	PREVOD NA UCET	2111	12979	SIPO	YZ	15327358
938694	3203	1996-08-11	VYDAJ	PREVOD NA UCET	2111	14085	SIPO	YZ	15327358
938695	3203	1996-09-11	VYDAJ	PREVOD NA UCET	2111	15197	SIPO	YZ	15327358
938696	3203	1996-10-11	VYDAJ	PREVOD NA UCET	2111	16213	SIPO	YZ	15327358
938697	3203	1996-11-11	VYDAJ	PREVOD NA UCET	2111	14732	SIPO	YZ	15327358
938698	3203	1996-12-11	VYDAJ	PREVOD NA UCET	2111	15846	SIPO	YZ	15327358
938699	3203	1997-01-11	VYDAJ	PREVOD NA UCET	2111	12764	SIPO	YZ	15327358
938700	3203	1997-02-11	VYDAJ	PREVOD NA UCET	2111	10867	SIPO	YZ	15327358
938701	3203	1997-03-11	VYDAJ	PREVOD NA UCET	2111	11964	SIPO	YZ	15327358
938702	3203	1997-04-11	VYDAJ	PREVOD NA UCET	2111	13067	SIPO	YZ	15327358
938703	3203	1997-05-11	VYDAJ	PREVOD NA UCET	2111	14174	SIPO	YZ	15327358
938704	3203	1997-06-11	VYDAJ	PREVOD NA UCET	2111	13096	SIPO	YZ	15327358
938705	3203	1997-07-11	VYDAJ	PREVOD NA UCET	2111	14205	SIPO	YZ	15327358
938706	3203	1997-08-11	VYDAJ	PREVOD NA UCET	2111	15317	SIPO	YZ	15327358
938707	3203	1997-09-11	VYDAJ	PREVOD NA UCET	2111	16433	SIPO	YZ	15327358
938708	3203	1997-10-11	VYDAJ	PREVOD NA UCET	2111	17554	SIPO	YZ	15327358
938709	3203	1997-11-11	VYDAJ	PREVOD NA UCET	2111	18679	SIPO	YZ	15327358
938710	3203	1997-12-11	VYDAJ	PREVOD NA UCET	2111	19810	SIPO	YZ	15327358
938711	3203	1998-01-11	VYDAJ	PREVOD NA UCET	2111	18232	SIPO	YZ	15327358
938712	3203	1998-02-11	VYDAJ	PREVOD NA UCET	2111	13022	SIPO	YZ	15327358
938713	3203	1998-03-11	VYDAJ	PREVOD NA UCET	2111	13328	SIPO	YZ	15327358
938714	3203	1998-04-11	VYDAJ	PREVOD NA UCET	2111	11132	SIPO	YZ	15327358
938715	3203	1998-05-11	VYDAJ	PREVOD NA UCET	2111	12231	SIPO	YZ	15327358
938716	3203	1998-06-11	VYDAJ	PREVOD NA UCET	2111	12633	SIPO	YZ	15327358
938717	3203	1998-07-11	VYDAJ	PREVOD NA UCET	2111	10334	SIPO	YZ	15327358
938718	3203	1998-08-11	VYDAJ	PREVOD NA UCET	2111	11429	SIPO	YZ	15327358
938719	3203	1998-09-11	VYDAJ	PREVOD NA UCET	2111	9825	SIPO	YZ	15327358
938720	3203	1998-10-11	VYDAJ	PREVOD NA UCET	2111	10217	SIPO	YZ	15327358
938721	3203	1998-11-11	VYDAJ	PREVOD NA UCET	2111	11312	SIPO	YZ	15327358
938722	3203	1998-12-11	VYDAJ	PREVOD NA UCET	2111	9807	SIPO	YZ	15327358
938725	3203	1997-06-10	VYDAJ	VYBER	2190	15207	\N	\N	\N
938728	3203	1996-01-26	VYDAJ	VYBER	1500	12289	\N	\N	\N
938729	3203	1997-01-16	VYDAJ	VYBER	2130	13801	\N	\N	\N
938730	3203	1998-01-18	VYDAJ	VYBER	2460	18339	\N	\N	\N
938731	3203	1995-12-30	VYDAJ	VYBER	660	16237	\N	\N	\N
938732	3203	1996-12-23	VYDAJ	VYBER	870	18143	\N	\N	\N
938733	3203	1997-12-28	VYDAJ	VYBER	510	20267	\N	\N	\N
938741	3203	1996-01-04	VYDAJ	VYBER	180	16063	\N	\N	\N
938742	3203	1996-01-17	VYDAJ	VYBER	450	14029	\N	\N	\N
938743	3203	1996-01-10	VYDAJ	VYBER	690	15373	\N	\N	\N
938744	3203	1996-01-15	VYDAJ	VYBER	390	14479	\N	\N	\N
938745	3203	1996-01-21	VYDAJ	VYBER	240	13789	\N	\N	\N
938746	3203	1996-01-14	VYDAJ	VYBER	780	14869	\N	\N	\N
938747	3203	1997-01-10	VYDAJ	VYBER	870	14875	\N	\N	\N
938749	3203	1997-01-04	VYDAJ	VYBER	720	17485	\N	\N	\N
938750	3203	1997-01-16	VYDAJ	VYBER	210	13591	\N	\N	\N
938751	3203	1997-01-21	VYDAJ	VYBER	660	12931	\N	\N	\N
938752	3203	1997-01-08	VYDAJ	VYBER	510	16975	\N	\N	\N
938753	3203	1998-01-27	VYDAJ	VYBER	840	16119	\N	\N	\N
938754	3203	1998-01-29	VYDAJ	VYBER	360	15759	\N	\N	\N
938755	3203	1998-01-14	VYDAJ	VYBER	180	21219	\N	\N	\N
938756	3203	1998-01-17	VYDAJ	VYBER	420	20799	\N	\N	\N
938757	3203	1998-01-24	VYDAJ	VYBER	600	17199	\N	\N	\N
938758	3203	1998-01-23	VYDAJ	VYBER	540	17799	\N	\N	\N
938764	3203	1996-01-12	VYDAJ	VYBER	780	12482	\N	\N	\N
938765	3203	1996-06-20	VYDAJ	VYBER	1410	15039	\N	\N	\N
938767	3203	1996-06-07	VYDAJ	VYBER	1350	15393	\N	\N	\N
938768	3203	1997-01-10	VYDAJ	VYBER	1230	15745	\N	\N	\N
938770	3203	1998-02-01	VYDAJ	VYBER	690	15133	\N	\N	\N
938771	3203	1998-01-27	VYDAJ	VYBER	240	16959	\N	\N	\N
938787	3203	1995-12-31	VYDAJ	VYBER	15	16243	SLUZBY	\N	\N
938788	3203	1996-01-31	VYDAJ	VYBER	15	12334	SLUZBY	\N	\N
938789	3203	1996-02-29	VYDAJ	VYBER	15	13429	SLUZBY	\N	\N
938790	3203	1996-03-31	VYDAJ	VYBER	15	14529	SLUZBY	\N	\N
938791	3203	1996-04-30	VYDAJ	VYBER	15	15634	SLUZBY	\N	\N
938792	3203	1996-05-31	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
938793	3203	1996-06-30	VYDAJ	VYBER	15	15090	SLUZBY	\N	\N
938794	3203	1996-07-31	VYDAJ	VYBER	15	16196	SLUZBY	\N	\N
938795	3203	1996-08-31	VYDAJ	VYBER	15	17308	SLUZBY	\N	\N
938796	3203	1996-09-30	VYDAJ	VYBER	15	18424	SLUZBY	\N	\N
938797	3203	1996-10-31	VYDAJ	VYBER	15	16843	SLUZBY	\N	\N
938798	3203	1996-11-30	VYDAJ	VYBER	15	17957	SLUZBY	\N	\N
938799	3203	1996-12-31	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
938800	3203	1997-01-31	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
938801	3203	1997-02-28	VYDAJ	VYBER	15	14075	SLUZBY	\N	\N
938802	3203	1997-03-31	VYDAJ	VYBER	15	15178	SLUZBY	\N	\N
938803	3203	1997-04-30	VYDAJ	VYBER	15	16285	SLUZBY	\N	\N
938804	3203	1997-05-31	VYDAJ	VYBER	15	17397	SLUZBY	\N	\N
938805	3203	1997-06-30	VYDAJ	VYBER	15	16316	SLUZBY	\N	\N
938806	3203	1997-07-31	VYDAJ	VYBER	15	17428	SLUZBY	\N	\N
938807	3203	1997-08-31	VYDAJ	VYBER	15	18544	SLUZBY	\N	\N
938808	3203	1997-09-30	VYDAJ	VYBER	15	19665	SLUZBY	\N	\N
938809	3203	1997-10-31	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
938810	3203	1997-11-30	VYDAJ	VYBER	15	21921	SLUZBY	\N	\N
938811	3203	1997-12-31	VYDAJ	VYBER	15	20343	SLUZBY	\N	\N
938812	3203	1998-01-31	VYDAJ	VYBER	15	15823	SLUZBY	\N	\N
938813	3203	1998-02-28	VYDAJ	VYBER	15	15439	SLUZBY	\N	\N
938814	3203	1998-03-31	VYDAJ	VYBER	15	13243	SLUZBY	\N	\N
938815	3203	1998-04-30	VYDAJ	VYBER	15	14342	SLUZBY	\N	\N
938816	3203	1998-05-31	VYDAJ	VYBER	15	14744	SLUZBY	\N	\N
938817	3203	1998-06-30	VYDAJ	VYBER	15	12445	SLUZBY	\N	\N
938818	3203	1998-07-31	VYDAJ	VYBER	15	13540	SLUZBY	\N	\N
938819	3203	1998-08-31	VYDAJ	VYBER	15	11936	SLUZBY	\N	\N
938820	3203	1998-09-30	VYDAJ	VYBER	15	12328	SLUZBY	\N	\N
938821	3203	1998-10-31	VYDAJ	VYBER	15	13423	SLUZBY	\N	\N
938822	3203	1998-11-30	VYDAJ	VYBER	15	11918	SLUZBY	\N	\N
938823	3203	1996-09-30	VYDAJ	VYBER	100	18324	\N	\N	\N
938824	3203	1996-10-30	VYDAJ	VYBER	2600	16780	\N	\N	\N
938825	3203	1997-12-24	VYDAJ	VYBER	2200	20777	\N	\N	\N
938826	3203	1998-02-22	VYDAJ	VYBER	800	15389	\N	\N	\N
938827	3203	1998-03-24	VYDAJ	VYBER	3300	13195	\N	\N	\N
938828	3203	1998-05-23	VYDAJ	VYBER	700	14698	\N	\N	\N
938829	3203	1998-06-22	VYDAJ	VYBER	3400	12400	\N	\N	\N
938830	3203	1998-08-21	VYDAJ	VYBER	2700	11896	\N	\N	\N
938831	3203	1998-09-20	VYDAJ	VYBER	700	12292	\N	\N	\N
938832	3203	1998-11-19	VYDAJ	VYBER	2600	11879	\N	\N	\N
938874	3204	1996-07-13	PRIJEM	VKLAD	700	700	\N	\N	\N
938881	3204	1996-07-14	PRIJEM	VKLAD	12233	12933	\N	\N	\N
938882	3204	1996-08-14	PRIJEM	VKLAD	12233	33197	\N	\N	\N
938883	3204	1996-09-14	PRIJEM	VKLAD	12233	40933	\N	\N	\N
938884	3204	1996-10-14	PRIJEM	VKLAD	12233	45723	\N	\N	\N
938885	3204	1996-11-14	PRIJEM	VKLAD	12233	48638	\N	\N	\N
938886	3204	1996-12-14	PRIJEM	VKLAD	18350	54171	\N	\N	\N
938887	3204	1997-01-14	PRIJEM	VKLAD	12233	45603	\N	\N	\N
938888	3204	1997-02-14	PRIJEM	VKLAD	12233	37485	\N	\N	\N
938889	3204	1997-03-14	PRIJEM	VKLAD	12233	45646	\N	\N	\N
938890	3204	1997-04-14	PRIJEM	VKLAD	12233	49440	\N	\N	\N
938891	3204	1997-05-14	PRIJEM	VKLAD	12233	49658	\N	\N	\N
938892	3204	1997-06-14	PRIJEM	VKLAD	18350	52800	\N	\N	\N
938893	3204	1997-07-14	PRIJEM	VKLAD	12233	56320	\N	\N	\N
938894	3204	1997-08-14	PRIJEM	VKLAD	12233	60167	\N	\N	\N
938895	3204	1997-09-14	PRIJEM	VKLAD	12233	65330	\N	\N	\N
938896	3204	1997-10-14	PRIJEM	VKLAD	12233	67311	\N	\N	\N
938897	3204	1997-11-14	PRIJEM	VKLAD	12233	65707	\N	\N	\N
938898	3204	1997-12-14	PRIJEM	VKLAD	18350	68613	\N	\N	\N
938899	3204	1998-01-14	PRIJEM	VKLAD	12233	60202	\N	\N	\N
938900	3204	1998-02-14	PRIJEM	VKLAD	12233	55740	\N	\N	\N
938901	3204	1998-03-14	PRIJEM	VKLAD	12233	61269	\N	\N	\N
938902	3204	1998-04-14	PRIJEM	VKLAD	12233	65333	\N	\N	\N
938903	3204	1998-05-14	PRIJEM	VKLAD	12233	61216	\N	\N	\N
938904	3204	1998-06-14	PRIJEM	VKLAD	18350	45695	\N	\N	\N
938905	3204	1998-07-14	PRIJEM	VKLAD	12233	55801	\N	\N	\N
938906	3204	1998-08-14	PRIJEM	VKLAD	12233	58434	\N	\N	\N
938907	3204	1998-09-14	PRIJEM	VKLAD	12233	60090	\N	\N	\N
938908	3204	1998-10-14	PRIJEM	VKLAD	12233	62256	\N	\N	\N
938909	3204	1998-11-14	PRIJEM	VKLAD	12233	61823	\N	\N	\N
938910	3204	1998-12-14	PRIJEM	VKLAD	18350	63801	\N	\N	\N
938912	3204	1997-06-03	VYDAJ	VYBER	10200	39650	\N	\N	\N
938913	3204	1998-06-07	VYDAJ	VYBER	21100	30145	\N	\N	\N
938915	3204	1997-01-18	VYDAJ	VYBER	8600	37003	\N	\N	\N
938916	3204	1998-01-18	VYDAJ	VYBER	8700	51502	\N	\N	\N
938917	3204	1996-12-25	VYDAJ	VYBER	2500	51671	\N	\N	\N
938918	3204	1997-12-17	VYDAJ	VYBER	2300	66313	\N	\N	\N
938919	3204	1998-12-02	VYDAJ	VYBER	2800	45451	\N	\N	\N
938926	3204	1997-01-08	VYDAJ	VYBER	700	49170	\N	\N	\N
938927	3204	1997-01-28	VYDAJ	VYBER	600	31703	\N	\N	\N
938928	3204	1997-01-20	VYDAJ	VYBER	2200	34803	\N	\N	\N
938929	3204	1997-01-03	VYDAJ	VYBER	2000	49870	\N	\N	\N
938930	3204	1997-01-21	VYDAJ	VYBER	2500	32303	\N	\N	\N
938931	3204	1997-01-29	VYDAJ	VYBER	1700	30003	\N	\N	\N
938932	3204	1998-01-09	VYDAJ	VYBER	800	49269	\N	\N	\N
938933	3204	1998-01-26	VYDAJ	VYBER	1200	50302	\N	\N	\N
938934	3204	1998-01-03	VYDAJ	VYBER	2200	64369	\N	\N	\N
938935	3204	1998-01-26	VYDAJ	VYBER	2400	47902	\N	\N	\N
938936	3204	1998-01-11	VYDAJ	VYBER	1300	47969	\N	\N	\N
938937	3204	1998-01-29	VYDAJ	VYBER	2400	45502	\N	\N	\N
938944	3204	1997-11-16	VYDAJ	VYBER	3100	62607	\N	\N	\N
938945	3204	1998-06-13	VYDAJ	VYBER	2800	27345	\N	\N	\N
938946	3204	1998-02-09	VYDAJ	VYBER	1700	43507	\N	\N	\N
938947	3204	1998-10-18	VYDAJ	VYBER	3400	58856	\N	\N	\N
938948	3204	1998-05-06	VYDAJ	VYBER	4600	48983	\N	\N	\N
938960	3204	1996-11-30	VYDAJ	VYBER	15	48821	SLUZBY	\N	\N
938961	3204	1996-12-31	VYDAJ	VYBER	15	51870	SLUZBY	\N	\N
938962	3204	1997-01-31	VYDAJ	VYBER	15	30152	SLUZBY	\N	\N
938963	3204	1997-02-28	VYDAJ	VYBER	15	37613	SLUZBY	\N	\N
938964	3204	1997-03-31	VYDAJ	VYBER	15	45807	SLUZBY	\N	\N
938965	3204	1997-04-30	VYDAJ	VYBER	15	49625	SLUZBY	\N	\N
938966	3204	1997-05-31	VYDAJ	VYBER	15	49850	SLUZBY	\N	\N
938967	3204	1997-06-30	VYDAJ	VYBER	15	52987	SLUZBY	\N	\N
938968	3204	1997-07-31	VYDAJ	VYBER	15	56534	SLUZBY	\N	\N
938969	3204	1997-08-31	VYDAJ	VYBER	15	60397	SLUZBY	\N	\N
938970	3204	1997-09-30	VYDAJ	VYBER	15	65578	SLUZBY	\N	\N
938971	3204	1997-10-31	VYDAJ	VYBER	15	67574	SLUZBY	\N	\N
938972	3204	1997-11-30	VYDAJ	VYBER	15	62863	SLUZBY	\N	\N
938973	3204	1997-12-31	VYDAJ	VYBER	15	66569	SLUZBY	\N	\N
938974	3204	1998-01-31	VYDAJ	VYBER	15	45707	SLUZBY	\N	\N
938975	3204	1998-02-28	VYDAJ	VYBER	15	55936	SLUZBY	\N	\N
938976	3204	1998-03-31	VYDAJ	VYBER	15	61500	SLUZBY	\N	\N
938977	3204	1998-04-30	VYDAJ	VYBER	15	65583	SLUZBY	\N	\N
938978	3204	1998-05-31	VYDAJ	VYBER	15	61445	SLUZBY	\N	\N
938979	3204	1998-06-30	VYDAJ	VYBER	15	45868	SLUZBY	\N	\N
938980	3204	1998-07-31	VYDAJ	VYBER	15	56001	SLUZBY	\N	\N
938981	3204	1998-08-31	VYDAJ	VYBER	15	58657	SLUZBY	\N	\N
938982	3204	1998-09-30	VYDAJ	VYBER	15	60323	SLUZBY	\N	\N
938983	3204	1998-10-31	VYDAJ	VYBER	15	59090	SLUZBY	\N	\N
938984	3204	1998-11-30	VYDAJ	VYBER	15	48251	SLUZBY	\N	\N
938985	3204	1996-08-12	PRIJEM	VKLAD	8000	20964	\N	\N	\N
938986	3204	1996-09-11	VYDAJ	VYBER	4600	28700	\N	\N	\N
938987	3204	1996-10-11	VYDAJ	VYBER	7600	33490	\N	\N	\N
938988	3204	1996-11-10	VYDAJ	VYBER	9500	36405	\N	\N	\N
938989	3204	1996-12-10	VYDAJ	VYBER	13000	35821	\N	\N	\N
938990	3204	1997-01-09	VYDAJ	VYBER	15800	33370	\N	\N	\N
938991	3204	1997-02-08	VYDAJ	VYBER	4900	25252	\N	\N	\N
938992	3204	1997-03-10	VYDAJ	VYBER	4200	33413	\N	\N	\N
938993	3204	1997-04-09	VYDAJ	VYBER	8600	37207	\N	\N	\N
938994	3204	1997-05-09	VYDAJ	VYBER	12200	37425	\N	\N	\N
938995	3204	1997-06-08	VYDAJ	VYBER	5200	34450	\N	\N	\N
938996	3204	1997-07-08	VYDAJ	VYBER	8900	44087	\N	\N	\N
938997	3204	1997-08-07	VYDAJ	VYBER	8600	47934	\N	\N	\N
938998	3204	1997-09-06	VYDAJ	VYBER	7300	53097	\N	\N	\N
938999	3204	1997-10-06	VYDAJ	VYBER	10500	55078	\N	\N	\N
939000	3204	1997-11-05	VYDAJ	VYBER	14100	53474	\N	\N	\N
939001	3204	1997-12-05	VYDAJ	VYBER	12600	50263	\N	\N	\N
939002	3204	1998-01-04	VYDAJ	VYBER	14300	50069	\N	\N	\N
939003	3204	1998-02-03	VYDAJ	VYBER	500	45207	\N	\N	\N
939004	3204	1998-03-05	VYDAJ	VYBER	6900	49036	\N	\N	\N
939005	3204	1998-04-04	VYDAJ	VYBER	8400	53100	\N	\N	\N
939006	3204	1998-05-04	VYDAJ	VYBER	12000	53583	\N	\N	\N
939007	3204	1998-06-03	VYDAJ	VYBER	10200	51245	\N	\N	\N
939008	3204	1998-07-03	VYDAJ	VYBER	2300	43568	\N	\N	\N
939009	3204	1998-08-02	VYDAJ	VYBER	9800	46201	\N	\N	\N
939010	3204	1998-09-01	VYDAJ	VYBER	10800	47857	\N	\N	\N
939011	3204	1998-10-01	VYDAJ	VYBER	10300	50023	\N	\N	\N
939012	3204	1998-10-31	VYDAJ	VYBER	9500	49590	\N	\N	\N
939013	3204	1998-11-30	VYDAJ	VYBER	13800	48266	\N	\N	\N
939044	3205	1995-12-17	PRIJEM	VKLAD	700	700	\N	\N	\N
939057	3205	1996-01-12	PRIJEM	PREVOD Z UCTU	4366	5066	DUCHOD	CD	86882507
939058	3205	1996-02-12	PRIJEM	PREVOD Z UCTU	4366	9432	DUCHOD	CD	86882507
939059	3205	1996-03-12	PRIJEM	PREVOD Z UCTU	4366	13798	DUCHOD	CD	86882507
939060	3205	1996-04-12	PRIJEM	PREVOD Z UCTU	4366	18164	DUCHOD	CD	86882507
939061	3205	1996-05-12	PRIJEM	PREVOD Z UCTU	4366	22530	DUCHOD	CD	86882507
939062	3205	1996-06-12	PRIJEM	PREVOD Z UCTU	4366	21320	DUCHOD	CD	86882507
939063	3205	1996-07-12	PRIJEM	PREVOD Z UCTU	4366	22033	DUCHOD	CD	86882507
939064	3205	1996-08-12	PRIJEM	PREVOD Z UCTU	4366	18985	DUCHOD	CD	86882507
939065	3205	1996-09-12	PRIJEM	PREVOD Z UCTU	4366	20550	DUCHOD	CD	86882507
939066	3205	1996-10-12	PRIJEM	PREVOD Z UCTU	4366	22919	DUCHOD	CD	86882507
939067	3205	1996-11-12	PRIJEM	PREVOD Z UCTU	4366	23498	DUCHOD	CD	86882507
939068	3205	1996-12-12	PRIJEM	PREVOD Z UCTU	4366	23142	DUCHOD	CD	86882507
939069	3205	1997-01-12	PRIJEM	PREVOD Z UCTU	4366	20134	DUCHOD	CD	86882507
939070	3205	1997-02-12	PRIJEM	PREVOD Z UCTU	4366	21187	DUCHOD	CD	86882507
939071	3205	1997-03-12	PRIJEM	PREVOD Z UCTU	4366	21260	DUCHOD	CD	86882507
939072	3205	1997-04-12	PRIJEM	PREVOD Z UCTU	4366	16536	DUCHOD	CD	86882507
939073	3205	1997-05-12	PRIJEM	PREVOD Z UCTU	4366	14598	DUCHOD	CD	86882507
939074	3205	1997-06-12	PRIJEM	PREVOD Z UCTU	4366	17449	DUCHOD	CD	86882507
939075	3205	1997-07-12	PRIJEM	PREVOD Z UCTU	4366	13624	DUCHOD	CD	86882507
939076	3205	1997-08-12	PRIJEM	PREVOD Z UCTU	4366	16471	DUCHOD	CD	86882507
939077	3205	1997-09-12	PRIJEM	PREVOD Z UCTU	4366	19323	DUCHOD	CD	86882507
939078	3205	1997-10-12	PRIJEM	PREVOD Z UCTU	4366	22186	DUCHOD	CD	86882507
939079	3205	1997-11-12	PRIJEM	PREVOD Z UCTU	4366	25062	DUCHOD	CD	86882507
939080	3205	1997-12-12	PRIJEM	PREVOD Z UCTU	4366	24889	DUCHOD	CD	86882507
939081	3205	1998-01-12	PRIJEM	PREVOD Z UCTU	4366	25529	DUCHOD	CD	86882507
939082	3205	1998-02-12	PRIJEM	PREVOD Z UCTU	4366	25542	DUCHOD	CD	86882507
939083	3205	1998-03-12	PRIJEM	PREVOD Z UCTU	4366	28435	DUCHOD	CD	86882507
939084	3205	1998-04-12	PRIJEM	PREVOD Z UCTU	4366	27496	DUCHOD	CD	86882507
939085	3205	1998-05-12	PRIJEM	PREVOD Z UCTU	4366	30399	DUCHOD	CD	86882507
939086	3205	1998-06-12	PRIJEM	PREVOD Z UCTU	4366	20488	DUCHOD	CD	86882507
939087	3205	1998-07-12	PRIJEM	PREVOD Z UCTU	4366	23366	DUCHOD	CD	86882507
939088	3205	1998-08-12	PRIJEM	PREVOD Z UCTU	4366	25045	DUCHOD	CD	86882507
939089	3205	1998-09-12	PRIJEM	PREVOD Z UCTU	4366	27932	DUCHOD	CD	86882507
939090	3205	1998-10-12	PRIJEM	PREVOD Z UCTU	4366	30831	DUCHOD	CD	86882507
939091	3205	1998-11-12	PRIJEM	PREVOD Z UCTU	4366	33742	DUCHOD	CD	86882507
939092	3205	1998-12-12	PRIJEM	PREVOD Z UCTU	4366	33140	DUCHOD	CD	86882507
939110	3205	1996-06-11	VYDAJ	PREVOD NA UCET	1564	16954	SIPO	WX	31185347
939111	3205	1996-07-11	VYDAJ	PREVOD NA UCET	1564	17667	SIPO	WX	31185347
939112	3205	1996-08-11	VYDAJ	PREVOD NA UCET	1564	14619	SIPO	WX	31185347
939113	3205	1996-09-11	VYDAJ	PREVOD NA UCET	1564	16184	SIPO	WX	31185347
939114	3205	1996-10-11	VYDAJ	PREVOD NA UCET	1564	18553	SIPO	WX	31185347
939115	3205	1996-11-11	VYDAJ	PREVOD NA UCET	1564	19132	SIPO	WX	31185347
939116	3205	1996-12-11	VYDAJ	PREVOD NA UCET	1564	21376	SIPO	WX	31185347
939117	3205	1997-01-11	VYDAJ	PREVOD NA UCET	1564	15768	SIPO	WX	31185347
939118	3205	1997-02-11	VYDAJ	PREVOD NA UCET	1564	16821	SIPO	WX	31185347
939119	3205	1997-03-11	VYDAJ	PREVOD NA UCET	1564	19694	SIPO	WX	31185347
939120	3205	1997-04-11	VYDAJ	PREVOD NA UCET	1564	12170	SIPO	WX	31185347
939121	3205	1997-05-11	VYDAJ	PREVOD NA UCET	1564	10232	SIPO	WX	31185347
939122	3205	1997-06-11	VYDAJ	PREVOD NA UCET	1564	13083	SIPO	WX	31185347
939123	3205	1997-07-11	VYDAJ	PREVOD NA UCET	1564	9258	SIPO	WX	31185347
939124	3205	1997-08-11	VYDAJ	PREVOD NA UCET	1564	12105	SIPO	WX	31185347
939125	3205	1997-09-11	VYDAJ	PREVOD NA UCET	1564	14957	SIPO	WX	31185347
939126	3205	1997-10-11	VYDAJ	PREVOD NA UCET	1564	17820	SIPO	WX	31185347
939127	3205	1997-11-11	VYDAJ	PREVOD NA UCET	1564	20696	SIPO	WX	31185347
939128	3205	1997-12-11	VYDAJ	PREVOD NA UCET	1564	20523	SIPO	WX	31185347
939129	3205	1998-01-11	VYDAJ	PREVOD NA UCET	1564	21163	SIPO	WX	31185347
939130	3205	1998-02-11	VYDAJ	PREVOD NA UCET	1564	21176	SIPO	WX	31185347
939131	3205	1998-03-11	VYDAJ	PREVOD NA UCET	1564	24069	SIPO	WX	31185347
939132	3205	1998-04-11	VYDAJ	PREVOD NA UCET	1564	23130	SIPO	WX	31185347
939133	3205	1998-05-11	VYDAJ	PREVOD NA UCET	1564	26033	SIPO	WX	31185347
939134	3205	1998-06-11	VYDAJ	PREVOD NA UCET	1564	16122	SIPO	WX	31185347
939135	3205	1998-07-11	VYDAJ	PREVOD NA UCET	1564	19000	SIPO	WX	31185347
939136	3205	1998-08-11	VYDAJ	PREVOD NA UCET	1564	20679	SIPO	WX	31185347
939137	3205	1998-09-11	VYDAJ	PREVOD NA UCET	1564	23566	SIPO	WX	31185347
939138	3205	1998-10-11	VYDAJ	PREVOD NA UCET	1564	26465	SIPO	WX	31185347
939139	3205	1998-11-11	VYDAJ	PREVOD NA UCET	1564	29376	SIPO	WX	31185347
939140	3205	1998-12-11	VYDAJ	PREVOD NA UCET	1564	28774	SIPO	WX	31185347
939142	3205	1996-06-06	VYDAJ	VYBER	2400	20118	\N	\N	\N
939144	3205	1998-06-09	VYDAJ	VYBER	7700	19446	\N	\N	\N
939147	3205	1997-01-08	VYDAJ	VYBER	650	21572	\N	\N	\N
939148	3205	1998-01-10	VYDAJ	VYBER	2250	22727	\N	\N	\N
939150	3205	1996-12-22	VYDAJ	VYBER	1000	22142	\N	\N	\N
939151	3205	1997-12-05	VYDAJ	VYBER	900	24247	\N	\N	\N
939152	3205	1998-12-20	VYDAJ	VYBER	1150	31990	\N	\N	\N
939159	3205	1996-08-11	VYDAJ	VYBER	1840	16183	\N	\N	\N
939160	3205	1996-12-09	VYDAJ	VYBER	640	22940	\N	\N	\N
939162	3205	1996-08-06	VYDAJ	VYBER	2880	18023	\N	\N	\N
939163	3205	1996-06-07	VYDAJ	VYBER	1600	18518	\N	\N	\N
939166	3205	1996-06-22	VYDAJ	VYBER	2160	19160	\N	\N	\N
939167	3205	1997-12-10	VYDAJ	VYBER	2160	22087	\N	\N	\N
939168	3205	1997-07-08	VYDAJ	VYBER	2880	14622	\N	\N	\N
939169	3205	1997-01-31	VYDAJ	VYBER	720	19485	\N	\N	\N
939170	3205	1997-01-10	VYDAJ	VYBER	640	20932	\N	\N	\N
939172	3205	1998-06-09	VYDAJ	VYBER	1760	17686	\N	\N	\N
939173	3205	1998-02-10	VYDAJ	VYBER	2880	22740	\N	\N	\N
939174	3205	1998-11-21	VYDAJ	VYBER	3520	30222	\N	\N	\N
939175	3205	1998-05-31	VYDAJ	VYBER	3360	27160	\N	\N	\N
939176	3205	1998-07-21	VYDAJ	VYBER	1200	22166	\N	\N	\N
939177	3205	1998-04-07	VYDAJ	VYBER	3840	24694	\N	\N	\N
939195	3205	1996-05-31	VYDAJ	VYBER	15	22518	SLUZBY	\N	\N
939196	3205	1996-06-30	VYDAJ	VYBER	15	19231	SLUZBY	\N	\N
939197	3205	1996-07-31	VYDAJ	VYBER	15	20903	SLUZBY	\N	\N
939198	3205	1996-08-31	VYDAJ	VYBER	15	17748	SLUZBY	\N	\N
939199	3205	1996-09-30	VYDAJ	VYBER	15	20117	SLUZBY	\N	\N
939200	3205	1996-10-31	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
939201	3205	1996-11-30	VYDAJ	VYBER	15	23580	SLUZBY	\N	\N
939202	3205	1996-12-31	VYDAJ	VYBER	15	22222	SLUZBY	\N	\N
939203	3205	1997-01-31	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
939204	3205	1997-02-28	VYDAJ	VYBER	15	21258	SLUZBY	\N	\N
939205	3205	1997-03-31	VYDAJ	VYBER	15	21334	SLUZBY	\N	\N
939206	3205	1997-04-30	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
939207	3205	1997-05-31	VYDAJ	VYBER	15	14647	SLUZBY	\N	\N
939208	3205	1997-06-30	VYDAJ	VYBER	15	17502	SLUZBY	\N	\N
939209	3205	1997-07-31	VYDAJ	VYBER	15	13669	SLUZBY	\N	\N
939210	3205	1997-08-31	VYDAJ	VYBER	15	16521	SLUZBY	\N	\N
939211	3205	1997-09-30	VYDAJ	VYBER	15	19384	SLUZBY	\N	\N
939212	3205	1997-10-31	VYDAJ	VYBER	15	22260	SLUZBY	\N	\N
939213	3205	1997-11-30	VYDAJ	VYBER	15	25147	SLUZBY	\N	\N
939214	3205	1997-12-31	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
939215	3205	1998-01-31	VYDAJ	VYBER	15	25620	SLUZBY	\N	\N
939216	3205	1998-02-28	VYDAJ	VYBER	15	25633	SLUZBY	\N	\N
939217	3205	1998-03-31	VYDAJ	VYBER	15	28534	SLUZBY	\N	\N
939218	3205	1998-04-30	VYDAJ	VYBER	15	27597	SLUZBY	\N	\N
939219	3205	1998-05-31	VYDAJ	VYBER	15	27146	SLUZBY	\N	\N
939220	3205	1998-06-30	VYDAJ	VYBER	15	20564	SLUZBY	\N	\N
939221	3205	1998-07-31	VYDAJ	VYBER	15	22243	SLUZBY	\N	\N
939222	3205	1998-08-31	VYDAJ	VYBER	15	25130	SLUZBY	\N	\N
939223	3205	1998-09-30	VYDAJ	VYBER	15	28029	SLUZBY	\N	\N
939224	3205	1998-10-31	VYDAJ	VYBER	15	30940	SLUZBY	\N	\N
939225	3205	1998-11-30	VYDAJ	VYBER	15	30338	SLUZBY	\N	\N
939226	3205	1996-07-14	VYDAJ	VYBER	1200	20833	\N	\N	\N
939227	3205	1996-08-13	VYDAJ	VYBER	1300	17685	\N	\N	\N
939228	3205	1996-09-12	VYDAJ	VYBER	500	20050	\N	\N	\N
939229	3205	1996-11-11	VYDAJ	VYBER	2300	20696	\N	\N	\N
939230	3205	1996-12-11	VYDAJ	VYBER	2600	18776	\N	\N	\N
939231	3205	1997-01-10	VYDAJ	VYBER	3600	17332	\N	\N	\N
939232	3205	1997-02-09	VYDAJ	VYBER	1100	18385	\N	\N	\N
939233	3205	1997-03-11	VYDAJ	VYBER	2800	16894	\N	\N	\N
939234	3205	1997-04-10	VYDAJ	VYBER	7600	13734	\N	\N	\N
939235	3205	1997-05-10	VYDAJ	VYBER	4800	11796	\N	\N	\N
939236	3205	1997-07-09	VYDAJ	VYBER	3800	10822	\N	\N	\N
939269	3206	1996-06-22	PRIJEM	VKLAD	400	400	\N	\N	\N
939276	3206	1996-07-09	PRIJEM	VKLAD	18879	19279	\N	\N	\N
939277	3206	1996-08-09	PRIJEM	VKLAD	18879	40487	\N	\N	\N
939278	3206	1996-09-09	PRIJEM	VKLAD	18879	54076	\N	\N	\N
939279	3206	1996-10-09	PRIJEM	VKLAD	18879	62915	\N	\N	\N
939280	3206	1996-11-09	PRIJEM	VKLAD	18879	65781	\N	\N	\N
939281	3206	1996-12-09	PRIJEM	VKLAD	28318	75126	\N	\N	\N
939282	3206	1997-01-09	PRIJEM	VKLAD	18879	69518	\N	\N	\N
939283	3206	1997-02-09	PRIJEM	VKLAD	18879	54718	\N	\N	\N
939284	3206	1997-03-09	PRIJEM	VKLAD	18879	55231	\N	\N	\N
939285	3206	1997-04-09	PRIJEM	VKLAD	18879	54512	\N	\N	\N
939286	3206	1997-05-09	PRIJEM	VKLAD	18879	54327	\N	\N	\N
939287	3206	1997-06-09	PRIJEM	VKLAD	28318	44235	\N	\N	\N
939288	3206	1997-07-09	PRIJEM	VKLAD	18879	50133	\N	\N	\N
939289	3206	1997-08-09	PRIJEM	VKLAD	18879	47084	\N	\N	\N
939290	3206	1997-09-09	PRIJEM	VKLAD	18879	57466	\N	\N	\N
939291	3206	1997-10-09	PRIJEM	VKLAD	18879	58671	\N	\N	\N
939292	3206	1997-11-09	PRIJEM	VKLAD	18879	65211	\N	\N	\N
939293	3206	1997-12-09	PRIJEM	VKLAD	28318	75309	\N	\N	\N
939294	3206	1998-01-09	PRIJEM	VKLAD	18879	68107	\N	\N	\N
939295	3206	1998-02-09	PRIJEM	VKLAD	18879	68779	\N	\N	\N
939296	3206	1998-03-09	PRIJEM	VKLAD	18879	60918	\N	\N	\N
939297	3206	1998-04-09	PRIJEM	VKLAD	18879	58583	\N	\N	\N
939298	3206	1998-05-09	PRIJEM	VKLAD	18879	63716	\N	\N	\N
939299	3206	1998-06-09	PRIJEM	VKLAD	28318	74299	\N	\N	\N
939300	3206	1998-07-09	PRIJEM	VKLAD	18879	52228	\N	\N	\N
939301	3206	1998-08-09	PRIJEM	VKLAD	18879	54817	\N	\N	\N
939302	3206	1998-09-09	PRIJEM	VKLAD	18879	63251	\N	\N	\N
939303	3206	1998-10-09	PRIJEM	VKLAD	18879	65797	\N	\N	\N
939304	3206	1998-11-09	PRIJEM	VKLAD	18879	71204	\N	\N	\N
939305	3206	1998-12-09	PRIJEM	VKLAD	28318	80721	\N	\N	\N
939316	3206	1996-11-12	VYDAJ	PREVOD NA UCET	2434	63347	SIPO	EF	56025850
939317	3206	1996-12-12	VYDAJ	PREVOD NA UCET	2434	72692	SIPO	EF	56025850
939318	3206	1997-01-12	VYDAJ	PREVOD NA UCET	2434	67084	SIPO	EF	56025850
939319	3206	1997-02-12	VYDAJ	PREVOD NA UCET	2434	52284	SIPO	EF	56025850
939320	3206	1997-03-12	VYDAJ	PREVOD NA UCET	2434	52797	SIPO	EF	56025850
939321	3206	1997-04-12	VYDAJ	PREVOD NA UCET	2434	52078	SIPO	EF	56025850
939322	3206	1997-05-12	VYDAJ	PREVOD NA UCET	2434	51893	SIPO	EF	56025850
939323	3206	1997-06-12	VYDAJ	PREVOD NA UCET	2434	41801	SIPO	EF	56025850
939324	3206	1997-07-12	VYDAJ	PREVOD NA UCET	2434	47699	SIPO	EF	56025850
939325	3206	1997-08-12	VYDAJ	PREVOD NA UCET	2434	44650	SIPO	EF	56025850
939326	3206	1997-09-12	VYDAJ	PREVOD NA UCET	2434	55032	SIPO	EF	56025850
939327	3206	1997-10-12	VYDAJ	PREVOD NA UCET	2434	56237	SIPO	EF	56025850
939328	3206	1997-11-12	VYDAJ	PREVOD NA UCET	2434	62777	SIPO	EF	56025850
939329	3206	1997-12-12	VYDAJ	PREVOD NA UCET	2434	72875	SIPO	EF	56025850
939330	3206	1998-01-12	VYDAJ	PREVOD NA UCET	2434	65673	SIPO	EF	56025850
939331	3206	1998-02-12	VYDAJ	PREVOD NA UCET	2434	66345	SIPO	EF	56025850
939332	3206	1998-03-12	VYDAJ	PREVOD NA UCET	2434	58484	SIPO	EF	56025850
939333	3206	1998-04-12	VYDAJ	PREVOD NA UCET	2434	56149	SIPO	EF	56025850
939334	3206	1998-05-12	VYDAJ	PREVOD NA UCET	2434	61282	SIPO	EF	56025850
939335	3206	1998-06-12	VYDAJ	PREVOD NA UCET	2434	71865	SIPO	EF	56025850
939336	3206	1998-07-12	VYDAJ	PREVOD NA UCET	2434	49794	SIPO	EF	56025850
939337	3206	1998-08-12	VYDAJ	PREVOD NA UCET	2434	44883	SIPO	EF	56025850
939338	3206	1998-09-12	VYDAJ	PREVOD NA UCET	2434	47417	SIPO	EF	56025850
939339	3206	1998-10-12	VYDAJ	PREVOD NA UCET	2434	53763	SIPO	EF	56025850
939340	3206	1998-11-12	VYDAJ	PREVOD NA UCET	2434	52870	SIPO	EF	56025850
939341	3206	1998-12-12	VYDAJ	PREVOD NA UCET	2434	58187	SIPO	EF	56025850
939352	3206	1996-11-13	VYDAJ	PREVOD NA UCET	677	62670	 	YZ	59108871
939353	3206	1996-12-13	VYDAJ	PREVOD NA UCET	677	72015	 	YZ	59108871
939354	3206	1997-01-13	VYDAJ	PREVOD NA UCET	677	66407	 	YZ	59108871
939355	3206	1997-02-13	VYDAJ	PREVOD NA UCET	677	51607	 	YZ	59108871
939356	3206	1997-03-13	VYDAJ	PREVOD NA UCET	677	52120	 	YZ	59108871
939357	3206	1997-04-13	VYDAJ	PREVOD NA UCET	677	51401	 	YZ	59108871
939358	3206	1997-05-13	VYDAJ	PREVOD NA UCET	677	51216	 	YZ	59108871
939359	3206	1997-06-13	VYDAJ	PREVOD NA UCET	677	41124	 	YZ	59108871
939360	3206	1997-07-13	VYDAJ	PREVOD NA UCET	677	47022	 	YZ	59108871
939361	3206	1997-08-13	VYDAJ	PREVOD NA UCET	677	43973	 	YZ	59108871
939362	3206	1997-09-13	VYDAJ	PREVOD NA UCET	677	54355	 	YZ	59108871
939363	3206	1997-10-13	VYDAJ	PREVOD NA UCET	677	55560	 	YZ	59108871
939364	3206	1997-11-13	VYDAJ	PREVOD NA UCET	677	62100	 	YZ	59108871
939365	3206	1997-12-13	VYDAJ	PREVOD NA UCET	677	72198	 	YZ	59108871
939366	3206	1998-01-13	VYDAJ	PREVOD NA UCET	677	49696	 	YZ	59108871
939367	3206	1998-02-13	VYDAJ	PREVOD NA UCET	677	48568	 	YZ	59108871
939368	3206	1998-03-13	VYDAJ	PREVOD NA UCET	677	57807	 	YZ	59108871
939369	3206	1998-04-13	VYDAJ	PREVOD NA UCET	677	55472	 	YZ	59108871
939370	3206	1998-05-13	VYDAJ	PREVOD NA UCET	677	45805	 	YZ	59108871
939371	3206	1998-06-13	VYDAJ	PREVOD NA UCET	677	51888	 	YZ	59108871
939372	3206	1998-07-13	VYDAJ	PREVOD NA UCET	677	41317	 	YZ	59108871
939373	3206	1998-08-13	VYDAJ	PREVOD NA UCET	677	44206	 	YZ	59108871
939374	3206	1998-09-13	VYDAJ	PREVOD NA UCET	677	46740	 	YZ	59108871
939375	3206	1998-10-13	VYDAJ	PREVOD NA UCET	677	53086	 	YZ	59108871
939376	3206	1998-11-13	VYDAJ	PREVOD NA UCET	677	52193	 	YZ	59108871
939377	3206	1998-12-13	VYDAJ	PREVOD NA UCET	677	57510	 	YZ	59108871
939379	3206	1997-06-04	VYDAJ	VYBER	17440	15917	\N	\N	\N
939380	3206	1998-06-26	VYDAJ	VYBER	18720	33168	\N	\N	\N
939381	3206	1996-12-02	VYDAJ	VYBER	1760	46808	\N	\N	\N
939382	3206	1997-12-01	VYDAJ	VYBER	2080	47711	\N	\N	\N
939383	3206	1998-12-26	VYDAJ	VYBER	800	56710	\N	\N	\N
939387	3206	1997-09-18	VYDAJ	VYBER	5520	39635	\N	\N	\N
939388	3206	1997-08-26	VYDAJ	VYBER	720	38453	\N	\N	\N
939389	3206	1997-07-17	VYDAJ	VYBER	3240	43782	\N	\N	\N
939390	3206	1997-02-03	VYDAJ	VYBER	4080	35839	\N	\N	\N
939391	3206	1997-01-22	VYDAJ	VYBER	5280	39727	\N	\N	\N
939392	3206	1997-07-21	VYDAJ	VYBER	5400	28082	\N	\N	\N
939393	3206	1997-12-04	VYDAJ	VYBER	720	46991	\N	\N	\N
939394	3206	1997-03-24	VYDAJ	VYBER	3840	35480	\N	\N	\N
939395	3206	1997-02-28	VYDAJ	VYBER	3120	36367	\N	\N	\N
939396	3206	1998-08-07	VYDAJ	VYBER	3360	35938	\N	\N	\N
939397	3206	1998-07-15	VYDAJ	VYBER	2160	39157	\N	\N	\N
939398	3206	1998-02-20	VYDAJ	VYBER	840	47728	\N	\N	\N
939399	3206	1998-10-30	VYDAJ	VYBER	960	52126	\N	\N	\N
939400	3206	1998-03-21	VYDAJ	VYBER	4680	39527	\N	\N	\N
939401	3206	1998-03-08	VYDAJ	VYBER	5880	42039	\N	\N	\N
939402	3206	1998-01-06	VYDAJ	VYBER	2280	49228	\N	\N	\N
939414	3206	1996-11-30	VYDAJ	VYBER	15	48568	SLUZBY	\N	\N
939415	3206	1996-12-31	VYDAJ	VYBER	15	50639	SLUZBY	\N	\N
939416	3206	1997-01-31	VYDAJ	VYBER	15	39919	SLUZBY	\N	\N
939417	3206	1997-02-28	VYDAJ	VYBER	15	36352	SLUZBY	\N	\N
939418	3206	1997-03-31	VYDAJ	VYBER	15	35633	SLUZBY	\N	\N
939419	3206	1997-04-30	VYDAJ	VYBER	15	35448	SLUZBY	\N	\N
939420	3206	1997-05-31	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
939421	3206	1997-06-30	VYDAJ	VYBER	15	31254	SLUZBY	\N	\N
939422	3206	1997-07-31	VYDAJ	VYBER	15	28205	SLUZBY	\N	\N
939423	3206	1997-08-31	VYDAJ	VYBER	15	38587	SLUZBY	\N	\N
939424	3206	1997-09-30	VYDAJ	VYBER	15	39792	SLUZBY	\N	\N
939425	3206	1997-10-31	VYDAJ	VYBER	15	46332	SLUZBY	\N	\N
939426	3206	1997-11-30	VYDAJ	VYBER	15	49791	SLUZBY	\N	\N
939427	3206	1997-12-31	VYDAJ	VYBER	15	51508	SLUZBY	\N	\N
939428	3206	1998-01-31	VYDAJ	VYBER	15	49900	SLUZBY	\N	\N
939429	3206	1998-02-28	VYDAJ	VYBER	15	47919	SLUZBY	\N	\N
939430	3206	1998-03-31	VYDAJ	VYBER	15	39704	SLUZBY	\N	\N
939431	3206	1998-04-30	VYDAJ	VYBER	15	44837	SLUZBY	\N	\N
939432	3206	1998-05-31	VYDAJ	VYBER	15	45981	SLUZBY	\N	\N
939433	3206	1998-06-30	VYDAJ	VYBER	15	33349	SLUZBY	\N	\N
939434	3206	1998-07-31	VYDAJ	VYBER	15	39298	SLUZBY	\N	\N
939435	3206	1998-08-31	VYDAJ	VYBER	15	44372	SLUZBY	\N	\N
939436	3206	1998-09-30	VYDAJ	VYBER	15	46918	SLUZBY	\N	\N
939437	3206	1998-10-31	VYDAJ	VYBER	15	52325	SLUZBY	\N	\N
939438	3206	1998-11-30	VYDAJ	VYBER	15	52403	SLUZBY	\N	\N
939439	3206	1996-07-22	PRIJEM	VKLAD	2300	21579	\N	\N	\N
939440	3206	1996-08-21	VYDAJ	VYBER	5400	35087	\N	\N	\N
939441	3206	1996-09-20	VYDAJ	VYBER	10200	43876	\N	\N	\N
939442	3206	1996-10-20	VYDAJ	VYBER	16200	46715	\N	\N	\N
939443	3206	1996-11-19	VYDAJ	VYBER	14300	48370	\N	\N	\N
939444	3206	1996-12-19	VYDAJ	VYBER	21600	50415	\N	\N	\N
939445	3206	1997-01-18	VYDAJ	VYBER	21400	45007	\N	\N	\N
939446	3206	1997-02-17	VYDAJ	VYBER	12300	39307	\N	\N	\N
939447	3206	1997-03-19	VYDAJ	VYBER	12800	39320	\N	\N	\N
939448	3206	1997-04-18	VYDAJ	VYBER	16100	35301	\N	\N	\N
939449	3206	1997-05-18	VYDAJ	VYBER	18000	33216	\N	\N	\N
939450	3206	1997-06-17	VYDAJ	VYBER	10000	31124	\N	\N	\N
939451	3206	1997-07-17	VYDAJ	VYBER	10300	33482	\N	\N	\N
939452	3206	1997-08-16	VYDAJ	VYBER	4800	39173	\N	\N	\N
939453	3206	1997-09-15	VYDAJ	VYBER	9200	45155	\N	\N	\N
939454	3206	1997-10-15	VYDAJ	VYBER	9400	46160	\N	\N	\N
939455	3206	1997-11-14	VYDAJ	VYBER	12500	49600	\N	\N	\N
939456	3206	1997-12-14	VYDAJ	VYBER	20900	51298	\N	\N	\N
939457	3206	1998-01-13	VYDAJ	VYBER	15300	50373	\N	\N	\N
939458	3206	1998-02-12	VYDAJ	VYBER	17100	49245	\N	\N	\N
939459	3206	1998-03-14	VYDAJ	VYBER	13600	44207	\N	\N	\N
939460	3206	1998-04-13	VYDAJ	VYBER	10800	44672	\N	\N	\N
939461	3206	1998-05-13	VYDAJ	VYBER	14800	46482	\N	\N	\N
939462	3206	1998-06-12	VYDAJ	VYBER	19300	52565	\N	\N	\N
939463	3206	1998-07-12	VYDAJ	VYBER	7800	41994	\N	\N	\N
939464	3206	1998-08-11	VYDAJ	VYBER	7500	47317	\N	\N	\N
939465	3206	1998-09-10	VYDAJ	VYBER	13400	49851	\N	\N	\N
939466	3206	1998-10-10	VYDAJ	VYBER	9600	56197	\N	\N	\N
939467	3206	1998-11-09	VYDAJ	VYBER	15900	55304	\N	\N	\N
939468	3206	1998-12-09	VYDAJ	VYBER	20100	60621	\N	\N	\N
939985	3208	1997-08-04	PRIJEM	VKLAD	900	900	\N	\N	\N
939986	3208	1997-09-17	PRIJEM	VKLAD	21464	34164	\N	\N	\N
939987	3208	1997-12-14	PRIJEM	VKLAD	44515	74734	\N	\N	\N
939989	3208	1997-10-09	PRIJEM	VKLAD	30021	59351	\N	\N	\N
939991	3208	1998-10-30	PRIJEM	VKLAD	19183	54755	\N	\N	\N
939992	3208	1998-02-19	PRIJEM	VKLAD	24298	68950	\N	\N	\N
939993	3208	1998-05-07	PRIJEM	VKLAD	36897	52761	\N	\N	\N
939994	3208	1998-01-23	PRIJEM	VKLAD	6912	88311	\N	\N	\N
939995	3208	1998-04-15	PRIJEM	VKLAD	44105	42381	\N	\N	\N
939996	3208	1998-10-21	PRIJEM	VKLAD	14848	43830	\N	\N	\N
939997	3208	1998-08-21	PRIJEM	VKLAD	8146	23660	\N	\N	\N
939998	3208	1998-11-24	PRIJEM	VKLAD	29793	67698	\N	\N	\N
939999	3208	1998-10-28	PRIJEM	VKLAD	39842	74372	\N	\N	\N
940000	3208	1998-10-14	PRIJEM	VKLAD	19769	28982	\N	\N	\N
940001	3208	1998-06-23	PRIJEM	VKLAD	37013	68348	\N	\N	\N
940002	3208	1998-09-17	PRIJEM	VKLAD	15772	37921	\N	\N	\N
940003	3208	1998-06-06	PRIJEM	VKLAD	14239	60978	\N	\N	\N
940004	3208	1998-11-12	PRIJEM	VKLAD	19660	73029	\N	\N	\N
940005	3208	1998-01-03	PRIJEM	VKLAD	38881	81399	\N	\N	\N
940006	3208	1998-10-08	PRIJEM	VKLAD	13297	33513	\N	\N	\N
940007	3208	1998-07-12	PRIJEM	VKLAD	43343	83443	\N	\N	\N
940008	3208	1998-12-01	PRIJEM	VKLAD	23945	50537	\N	\N	\N
940009	3208	1998-01-27	PRIJEM	VKLAD	8588	91199	\N	\N	\N
940010	3208	1998-09-02	PRIJEM	VKLAD	20898	36449	\N	\N	\N
940011	3208	1998-07-02	PRIJEM	VKLAD	23905	40100	\N	\N	\N
940012	3208	1998-05-24	PRIJEM	VKLAD	48380	89141	\N	\N	\N
940026	3208	1998-02-20	VYDAJ	VYBER	13900	55050	SIPO	\N	0
940027	3208	1998-03-14	VYDAJ	VYBER	14800	10335	SIPO	\N	0
940028	3208	1998-04-13	VYDAJ	VYBER	12200	-1724	SIPO	\N	0
940029	3208	1998-05-10	VYDAJ	VYBER	12000	40761	SIPO	\N	0
940030	3208	1998-06-19	VYDAJ	VYBER	14700	31335	SIPO	\N	0
940031	3208	1998-07-16	VYDAJ	VYBER	12400	68343	SIPO	\N	0
940032	3208	1998-08-05	VYDAJ	VYBER	12200	15514	SIPO	\N	0
940033	3208	1998-09-08	VYDAJ	VYBER	14300	22149	SIPO	\N	0
940034	3208	1998-10-12	VYDAJ	VYBER	11100	9213	SIPO	\N	0
940035	3208	1998-11-16	VYDAJ	VYBER	16000	37905	SIPO	\N	0
940036	3208	1998-12-13	VYDAJ	VYBER	14800	26437	SIPO	\N	0
940047	3208	1998-07-27	VYBER	VYBER	19139	49204	\N	\N	\N
940049	3208	1998-11-12	VYBER	VYBER	19124	53905	\N	\N	\N
940050	3208	1998-06-29	VYBER	VYBER	17139	35309	\N	\N	\N
940051	3208	1998-01-28	VYBER	VYBER	9170	82029	\N	\N	\N
940052	3208	1998-06-15	VYBER	VYBER	14943	46035	\N	\N	\N
940054	3208	1998-12-12	VYBER	VYBER	9300	41237	\N	\N	\N
940056	3208	1998-06-23	VYDAJ	VYBER	15900	52448	\N	\N	\N
940060	3208	1998-12-29	VYDAJ	VYBER	3900	22537	\N	\N	\N
940070	3208	1998-01-26	VYDAJ	VYBER	5700	82611	\N	\N	\N
940077	3208	1998-10-23	VYDAJ	VYBER	9300	34530	\N	\N	\N
940078	3208	1998-04-28	VYDAJ	VYBER	5100	30381	\N	\N	\N
940079	3208	1998-11-10	VYDAJ	VYBER	1500	53369	\N	\N	\N
940080	3208	1998-07-14	VYDAJ	VYBER	2700	80743	\N	\N	\N
940082	3208	1998-10-11	VYDAJ	VYBER	13200	20313	\N	\N	\N
940083	3208	1998-04-16	VYDAJ	VYBER	6900	35481	\N	\N	\N
940084	3208	1998-03-14	VYDAJ	VYBER	2100	25135	\N	\N	\N
940098	3208	1998-01-31	VYDAJ	VYBER	15	82352	SLUZBY	\N	\N
940099	3208	1998-02-28	VYDAJ	VYBER	15	55235	SLUZBY	\N	\N
940100	3208	1998-03-31	VYDAJ	VYBER	15	10476	SLUZBY	\N	\N
940101	3208	1998-04-30	VYDAJ	VYBER	15	30464	SLUZBY	\N	\N
940102	3208	1998-05-31	VYDAJ	VYBER	15	46739	SLUZBY	\N	\N
940103	3208	1998-06-30	VYDAJ	VYBER	15	35495	SLUZBY	\N	\N
940104	3208	1998-07-31	VYDAJ	VYBER	15	27714	SLUZBY	\N	\N
940105	3208	1998-08-31	VYDAJ	VYBER	15	15551	SLUZBY	\N	\N
940106	3208	1998-09-30	VYDAJ	VYBER	15	20216	SLUZBY	\N	\N
940107	3208	1998-10-31	VYDAJ	VYBER	15	54869	SLUZBY	\N	\N
940108	3208	1998-11-30	VYDAJ	VYBER	15	26592	SLUZBY	\N	\N
940109	3208	1997-09-03	PRIJEM	VKLAD	11800	12700	\N	\N	\N
940110	3208	1997-10-03	VYDAJ	VYBER	4900	29330	\N	\N	\N
940111	3208	1997-11-02	VYDAJ	VYBER	20000	39572	\N	\N	\N
940112	3208	1997-12-02	VYDAJ	VYBER	9600	30219	\N	\N	\N
940113	3208	1998-01-01	VYDAJ	VYBER	32500	42518	\N	\N	\N
940114	3208	1998-01-31	VYDAJ	VYBER	37700	44652	\N	\N	\N
940115	3208	1998-03-02	VYDAJ	VYBER	28000	27235	\N	\N	\N
940116	3208	1998-05-01	VYDAJ	VYBER	14600	15864	\N	\N	\N
940117	3208	1998-05-31	VYDAJ	VYBER	42600	46754	\N	\N	\N
940118	3208	1998-06-30	VYDAJ	VYBER	19300	16195	\N	\N	\N
940119	3208	1998-07-30	VYDAJ	VYBER	21700	27504	\N	\N	\N
940120	3208	1998-08-29	VYDAJ	VYBER	8200	15460	\N	\N	\N
940121	3208	1998-09-28	VYDAJ	VYBER	17800	20121	\N	\N	\N
940122	3208	1998-10-28	VYDAJ	VYBER	38800	35572	\N	\N	\N
940123	3208	1998-11-27	VYDAJ	VYBER	41300	26398	\N	\N	\N
940140	3209	1997-12-10	PRIJEM	VKLAD	600	600	\N	\N	\N
940153	3209	1998-01-05	PRIJEM	VKLAD	15918	16518	\N	\N	\N
940154	3209	1998-02-05	PRIJEM	VKLAD	15918	39408	\N	\N	\N
940155	3209	1998-03-05	PRIJEM	VKLAD	15918	45342	\N	\N	\N
940156	3209	1998-04-05	PRIJEM	VKLAD	15918	46787	\N	\N	\N
940157	3209	1998-05-05	PRIJEM	VKLAD	15918	46532	\N	\N	\N
940158	3209	1998-06-05	PRIJEM	VKLAD	23877	50082	\N	\N	\N
940159	3209	1998-07-05	PRIJEM	VKLAD	15918	43354	\N	\N	\N
940160	3209	1998-08-05	PRIJEM	VKLAD	15918	32309	\N	\N	\N
940161	3209	1998-09-05	PRIJEM	VKLAD	15918	37242	\N	\N	\N
940162	3209	1998-10-05	PRIJEM	VKLAD	15918	42297	\N	\N	\N
940163	3209	1998-11-05	PRIJEM	VKLAD	15918	34516	\N	\N	\N
940164	3209	1998-12-05	PRIJEM	VKLAD	23877	42212	\N	\N	\N
940181	3209	1998-05-12	VYDAJ	PREVOD NA UCET	5659	29573	SIPO	QR	59829372
940182	3209	1998-06-12	VYDAJ	PREVOD NA UCET	5659	27323	SIPO	QR	59829372
940183	3209	1998-07-12	VYDAJ	PREVOD NA UCET	5659	20035	SIPO	QR	59829372
940184	3209	1998-08-12	VYDAJ	PREVOD NA UCET	5659	21250	SIPO	QR	59829372
940185	3209	1998-09-12	VYDAJ	PREVOD NA UCET	5659	26283	SIPO	QR	59829372
940186	3209	1998-10-12	VYDAJ	PREVOD NA UCET	5659	23438	SIPO	QR	59829372
940187	3209	1998-11-12	VYDAJ	PREVOD NA UCET	5659	18257	SIPO	QR	59829372
940188	3209	1998-12-12	VYDAJ	PREVOD NA UCET	5659	19253	SIPO	QR	59829372
940194	3209	1998-12-26	VYDAJ	VYBER	3840	15413	\N	\N	\N
940213	3209	1998-07-09	VYDAJ	VYBER	4560	25694	\N	\N	\N
940214	3209	1998-07-25	VYDAJ	VYBER	3720	16315	\N	\N	\N
940215	3209	1998-10-18	VYDAJ	VYBER	4920	18518	\N	\N	\N
940216	3209	1998-06-03	VYDAJ	VYBER	3480	26205	\N	\N	\N
940234	3209	1998-05-31	VYDAJ	VYBER	15	29685	SLUZBY	\N	\N
940235	3209	1998-06-30	VYDAJ	VYBER	15	27436	SLUZBY	\N	\N
940236	3209	1998-07-31	VYDAJ	VYBER	15	16391	SLUZBY	\N	\N
940237	3209	1998-08-31	VYDAJ	VYBER	15	21324	SLUZBY	\N	\N
940238	3209	1998-09-30	VYDAJ	VYBER	15	26379	SLUZBY	\N	\N
940239	3209	1998-10-31	VYDAJ	VYBER	15	18598	SLUZBY	\N	\N
940240	3209	1998-11-30	VYDAJ	VYBER	15	18335	SLUZBY	\N	\N
940241	3209	1998-01-09	PRIJEM	VKLAD	6900	23418	\N	\N	\N
940242	3209	1998-02-08	VYDAJ	VYBER	10100	29308	\N	\N	\N
940243	3209	1998-03-10	VYDAJ	VYBER	14600	30742	\N	\N	\N
940244	3209	1998-04-09	VYDAJ	VYBER	16300	30487	\N	\N	\N
940245	3209	1998-05-09	VYDAJ	VYBER	11300	35232	\N	\N	\N
940246	3209	1998-06-08	VYDAJ	VYBER	17100	32982	\N	\N	\N
940247	3209	1998-07-08	VYDAJ	VYBER	13100	30254	\N	\N	\N
940248	3209	1998-08-07	VYDAJ	VYBER	5400	26909	\N	\N	\N
940249	3209	1998-09-06	VYDAJ	VYBER	5300	31942	\N	\N	\N
940250	3209	1998-10-06	VYDAJ	VYBER	13200	29097	\N	\N	\N
940251	3209	1998-11-05	VYDAJ	VYBER	10600	23916	\N	\N	\N
940252	3209	1998-12-05	VYDAJ	VYBER	17300	24912	\N	\N	\N
940265	3210	1993-05-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
940271	3210	1993-06-14	PRIJEM	VKLAD	36658	37658	\N	\N	\N
940272	3210	1993-07-14	PRIJEM	VKLAD	24439	53457	\N	\N	\N
940273	3210	1993-08-14	PRIJEM	VKLAD	24439	64641	\N	\N	\N
940274	3210	1993-09-14	PRIJEM	VKLAD	24439	67954	\N	\N	\N
940275	3210	1993-10-14	PRIJEM	VKLAD	24439	68575	\N	\N	\N
940276	3210	1993-11-14	PRIJEM	VKLAD	24439	54701	\N	\N	\N
940277	3210	1993-12-14	PRIJEM	VKLAD	36658	74667	\N	\N	\N
940278	3210	1994-01-14	PRIJEM	VKLAD	24439	67349	\N	\N	\N
940279	3210	1994-02-14	PRIJEM	VKLAD	24439	65255	\N	\N	\N
940280	3210	1994-03-14	PRIJEM	VKLAD	24439	63025	\N	\N	\N
940281	3210	1994-04-14	PRIJEM	VKLAD	24439	64617	\N	\N	\N
940282	3210	1994-05-14	PRIJEM	VKLAD	24439	67014	\N	\N	\N
940283	3210	1994-06-14	PRIJEM	VKLAD	36658	80338	\N	\N	\N
940284	3210	1994-07-14	PRIJEM	VKLAD	24439	69808	\N	\N	\N
940285	3210	1994-08-14	PRIJEM	VKLAD	24439	69433	\N	\N	\N
940286	3210	1994-09-14	PRIJEM	VKLAD	24439	62414	\N	\N	\N
940287	3210	1994-10-14	PRIJEM	VKLAD	24439	66793	\N	\N	\N
940288	3210	1994-11-14	PRIJEM	VKLAD	24439	64486	\N	\N	\N
940289	3210	1994-12-14	PRIJEM	VKLAD	36658	74332	\N	\N	\N
940290	3210	1995-01-14	PRIJEM	VKLAD	24439	65462	\N	\N	\N
940291	3210	1995-02-14	PRIJEM	VKLAD	24439	60554	\N	\N	\N
940292	3210	1995-03-14	PRIJEM	VKLAD	24439	64026	\N	\N	\N
940293	3210	1995-04-14	PRIJEM	VKLAD	24439	61906	\N	\N	\N
940294	3210	1995-05-14	PRIJEM	VKLAD	24439	56293	\N	\N	\N
940295	3210	1995-06-14	PRIJEM	VKLAD	36658	48022	\N	\N	\N
940296	3210	1995-07-14	PRIJEM	VKLAD	24439	48677	\N	\N	\N
940297	3210	1995-08-14	PRIJEM	VKLAD	24439	54084	\N	\N	\N
940298	3210	1995-09-14	PRIJEM	VKLAD	24439	55320	\N	\N	\N
940299	3210	1995-10-14	PRIJEM	VKLAD	24439	52755	\N	\N	\N
940300	3210	1995-11-14	PRIJEM	VKLAD	24439	53893	\N	\N	\N
940301	3210	1995-12-14	PRIJEM	VKLAD	36658	64650	\N	\N	\N
940302	3210	1996-01-14	PRIJEM	VKLAD	24439	51547	\N	\N	\N
940303	3210	1996-02-14	PRIJEM	VKLAD	24439	48377	\N	\N	\N
940304	3210	1996-03-14	PRIJEM	VKLAD	24439	49595	\N	\N	\N
940305	3210	1996-04-14	PRIJEM	VKLAD	24439	45712	\N	\N	\N
940306	3210	1996-05-14	PRIJEM	VKLAD	24439	42218	\N	\N	\N
940307	3210	1996-06-14	PRIJEM	VKLAD	36658	57730	\N	\N	\N
940308	3210	1996-07-14	PRIJEM	VKLAD	24439	41622	\N	\N	\N
940309	3210	1996-08-14	PRIJEM	VKLAD	24439	44896	\N	\N	\N
940310	3210	1996-09-14	PRIJEM	VKLAD	24439	43379	\N	\N	\N
940311	3210	1996-10-14	PRIJEM	VKLAD	24439	36735	\N	\N	\N
940312	3210	1996-11-14	PRIJEM	VKLAD	24439	41183	\N	\N	\N
940313	3210	1996-12-14	PRIJEM	VKLAD	36658	52866	\N	\N	\N
940314	3210	1997-01-14	PRIJEM	VKLAD	24439	46551	\N	\N	\N
940315	3210	1997-02-14	PRIJEM	VKLAD	24439	36172	\N	\N	\N
940316	3210	1997-03-14	PRIJEM	VKLAD	24439	34111	\N	\N	\N
940317	3210	1997-04-14	PRIJEM	VKLAD	24439	49257	\N	\N	\N
940318	3210	1997-05-14	PRIJEM	VKLAD	24439	43944	\N	\N	\N
940319	3210	1997-06-14	PRIJEM	VKLAD	36658	50730	\N	\N	\N
940320	3210	1997-07-14	PRIJEM	VKLAD	24439	43901	\N	\N	\N
940321	3210	1997-08-14	PRIJEM	VKLAD	24439	35181	\N	\N	\N
940322	3210	1997-09-14	PRIJEM	VKLAD	24439	52330	\N	\N	\N
940323	3210	1997-10-14	PRIJEM	VKLAD	24439	35819	\N	\N	\N
940324	3210	1997-11-14	PRIJEM	VKLAD	24439	52970	\N	\N	\N
940325	3210	1997-12-14	PRIJEM	VKLAD	36658	49169	\N	\N	\N
940326	3210	1998-01-14	PRIJEM	VKLAD	24439	36214	\N	\N	\N
940327	3210	1998-02-14	PRIJEM	VKLAD	24439	50364	\N	\N	\N
940328	3210	1998-03-14	PRIJEM	VKLAD	24439	35528	\N	\N	\N
940329	3210	1998-04-14	PRIJEM	VKLAD	24439	49176	\N	\N	\N
940330	3210	1998-05-14	PRIJEM	VKLAD	24439	35538	\N	\N	\N
940331	3210	1998-06-14	PRIJEM	VKLAD	36658	64905	\N	\N	\N
940332	3210	1998-07-14	PRIJEM	VKLAD	24439	44696	\N	\N	\N
940333	3210	1998-08-14	PRIJEM	VKLAD	24439	36241	\N	\N	\N
940334	3210	1998-09-14	PRIJEM	VKLAD	24439	53392	\N	\N	\N
940335	3210	1998-10-14	PRIJEM	VKLAD	24439	45568	\N	\N	\N
940336	3210	1998-11-14	PRIJEM	VKLAD	24439	44223	\N	\N	\N
940337	3210	1998-12-14	PRIJEM	VKLAD	36658	56592	\N	\N	\N
940348	3210	1993-11-08	VYDAJ	PREVOD NA UCET	7388	39162	SIPO	WX	29783749
940349	3210	1993-12-08	VYDAJ	PREVOD NA UCET	7388	47509	SIPO	WX	29783749
940350	3210	1994-01-08	VYDAJ	PREVOD NA UCET	7388	62210	SIPO	WX	29783749
940351	3210	1994-02-08	VYDAJ	PREVOD NA UCET	7388	53016	SIPO	WX	29783749
940352	3210	1994-03-08	VYDAJ	PREVOD NA UCET	7388	55706	SIPO	WX	29783749
940353	3210	1994-04-08	VYDAJ	PREVOD NA UCET	7388	55878	SIPO	WX	29783749
940354	3210	1994-05-08	VYDAJ	PREVOD NA UCET	7388	57475	SIPO	WX	29783749
940355	3210	1994-06-08	VYDAJ	PREVOD NA UCET	7388	59880	SIPO	WX	29783749
940356	3210	1994-07-08	VYDAJ	PREVOD NA UCET	7388	68269	SIPO	WX	29783749
940357	3210	1994-08-08	VYDAJ	PREVOD NA UCET	7388	62694	SIPO	WX	29783749
940358	3210	1994-09-08	VYDAJ	PREVOD NA UCET	7388	54375	SIPO	WX	29783749
940359	3210	1994-10-08	VYDAJ	PREVOD NA UCET	7388	55254	SIPO	WX	29783749
940360	3210	1994-11-08	VYDAJ	PREVOD NA UCET	7388	57847	SIPO	WX	29783749
940361	3210	1994-12-08	VYDAJ	PREVOD NA UCET	7388	57334	SIPO	WX	29783749
940362	3210	1995-01-08	VYDAJ	PREVOD NA UCET	7388	41023	SIPO	WX	29783749
940363	3210	1995-02-08	VYDAJ	PREVOD NA UCET	7388	36115	SIPO	WX	29783749
940364	3210	1995-03-08	VYDAJ	PREVOD NA UCET	7388	39587	SIPO	WX	29783749
940365	3210	1995-04-08	VYDAJ	PREVOD NA UCET	7388	37467	SIPO	WX	29783749
940366	3210	1995-05-08	VYDAJ	PREVOD NA UCET	7388	31854	SIPO	WX	29783749
940367	3210	1995-06-08	VYDAJ	PREVOD NA UCET	7388	11364	SIPO	WX	29783749
940368	3210	1995-07-08	VYDAJ	PREVOD NA UCET	7388	24238	SIPO	WX	29783749
940369	3210	1995-08-08	VYDAJ	PREVOD NA UCET	7388	29645	SIPO	WX	29783749
940370	3210	1995-09-08	VYDAJ	PREVOD NA UCET	7388	30881	SIPO	WX	29783749
940371	3210	1995-10-08	VYDAJ	PREVOD NA UCET	7388	28316	SIPO	WX	29783749
940372	3210	1995-11-08	VYDAJ	PREVOD NA UCET	7388	29454	SIPO	WX	29783749
940373	3210	1995-12-08	VYDAJ	PREVOD NA UCET	7388	27992	SIPO	WX	29783749
940374	3210	1996-01-08	VYDAJ	PREVOD NA UCET	7388	27108	SIPO	WX	29783749
940375	3210	1996-02-08	VYDAJ	PREVOD NA UCET	7388	23938	SIPO	WX	29783749
940376	3210	1996-03-08	VYDAJ	PREVOD NA UCET	7388	25156	SIPO	WX	29783749
940377	3210	1996-04-08	VYDAJ	PREVOD NA UCET	7388	21273	SIPO	WX	29783749
940378	3210	1996-05-08	VYDAJ	PREVOD NA UCET	7388	19779	SIPO	WX	29783749
940379	3210	1996-06-08	VYDAJ	PREVOD NA UCET	7388	21072	SIPO	WX	29783749
940380	3210	1996-07-08	VYDAJ	PREVOD NA UCET	7388	17183	SIPO	WX	29783749
940381	3210	1996-08-08	VYDAJ	PREVOD NA UCET	7388	20457	SIPO	WX	29783749
940382	3210	1996-09-08	VYDAJ	PREVOD NA UCET	7388	18940	SIPO	WX	29783749
940383	3210	1996-10-08	VYDAJ	PREVOD NA UCET	7388	12296	SIPO	WX	29783749
940384	3210	1996-11-08	VYDAJ	PREVOD NA UCET	7388	16744	SIPO	WX	29783749
940385	3210	1996-12-08	VYDAJ	PREVOD NA UCET	7388	16208	SIPO	WX	29783749
940386	3210	1997-01-08	VYDAJ	PREVOD NA UCET	7388	22112	SIPO	WX	29783749
940387	3210	1997-02-08	VYDAJ	PREVOD NA UCET	7388	11733	SIPO	WX	29783749
940388	3210	1997-03-08	VYDAJ	PREVOD NA UCET	7388	9672	SIPO	WX	29783749
940389	3210	1997-04-08	VYDAJ	PREVOD NA UCET	7388	24818	SIPO	WX	29783749
940390	3210	1997-05-08	VYDAJ	PREVOD NA UCET	7388	19505	SIPO	WX	29783749
940391	3210	1997-06-08	VYDAJ	PREVOD NA UCET	7388	14072	SIPO	WX	29783749
940392	3210	1997-07-08	VYDAJ	PREVOD NA UCET	7388	19462	SIPO	WX	29783749
940393	3210	1997-08-08	VYDAJ	PREVOD NA UCET	7388	10742	SIPO	WX	29783749
940394	3210	1997-09-08	VYDAJ	PREVOD NA UCET	7388	27891	SIPO	WX	29783749
940395	3210	1997-10-08	VYDAJ	PREVOD NA UCET	7388	11380	SIPO	WX	29783749
940396	3210	1997-11-08	VYDAJ	PREVOD NA UCET	7388	28531	SIPO	WX	29783749
940397	3210	1997-12-08	VYDAJ	PREVOD NA UCET	7388	12511	SIPO	WX	29783749
940398	3210	1998-01-08	VYDAJ	PREVOD NA UCET	7388	11775	SIPO	WX	29783749
940399	3210	1998-02-08	VYDAJ	PREVOD NA UCET	7388	25925	SIPO	WX	29783749
940400	3210	1998-03-08	VYDAJ	PREVOD NA UCET	7388	11089	SIPO	WX	29783749
940401	3210	1998-04-08	VYDAJ	PREVOD NA UCET	7388	24737	SIPO	WX	29783749
940402	3210	1998-05-08	VYDAJ	PREVOD NA UCET	7388	11099	SIPO	WX	29783749
940403	3210	1998-06-08	VYDAJ	PREVOD NA UCET	7388	28247	SIPO	WX	29783749
940404	3210	1998-07-08	VYDAJ	PREVOD NA UCET	7388	20257	SIPO	WX	29783749
940405	3210	1998-08-08	VYDAJ	PREVOD NA UCET	7388	11802	SIPO	WX	29783749
940406	3210	1998-09-08	VYDAJ	PREVOD NA UCET	7388	28953	SIPO	WX	29783749
940407	3210	1998-10-08	VYDAJ	PREVOD NA UCET	7388	21129	SIPO	WX	29783749
940408	3210	1998-11-08	VYDAJ	PREVOD NA UCET	7388	19784	SIPO	WX	29783749
940409	3210	1998-12-08	VYDAJ	PREVOD NA UCET	7388	19934	SIPO	WX	29783749
940411	3210	1994-06-19	VYDAJ	VYBER	4960	75378	\N	\N	\N
940412	3210	1995-06-02	VYDAJ	VYBER	39040	17452	\N	\N	\N
940413	3210	1996-06-15	VYDAJ	VYBER	21280	36450	\N	\N	\N
940417	3210	1994-01-24	VYDAJ	VYBER	7200	60149	\N	\N	\N
940418	3210	1995-01-06	VYDAJ	VYBER	4320	68711	\N	\N	\N
940420	3210	1997-01-20	VYDAJ	VYBER	12640	30811	\N	\N	\N
940421	3210	1998-01-27	VYDAJ	VYBER KARTOU	3000	33214	\N	\N	0
940422	3210	1993-12-18	VYDAJ	VYBER	2560	72107	\N	\N	\N
940423	3210	1994-12-08	VYDAJ	VYBER	3840	53494	\N	\N	\N
940424	3210	1995-12-14	VYDAJ	VYBER	3200	61450	\N	\N	\N
940425	3210	1996-12-22	VYDAJ	VYBER KARTOU	2600	50266	\N	\N	0
940427	3210	1998-12-27	VYDAJ	VYBER KARTOU	1400	34892	\N	\N	0
940431	3210	1993-12-21	VYDAJ	VYBER	2760	69347	\N	\N	\N
940434	3210	1994-12-19	VYDAJ	VYBER	1560	72772	\N	\N	\N
940435	3210	1994-02-28	VYDAJ	VYBER	2400	63094	\N	\N	\N
940436	3210	1994-03-09	VYDAJ	VYBER	4320	51386	\N	\N	\N
940437	3210	1994-08-23	VYDAJ	VYBER	3360	61513	\N	\N	\N
940438	3210	1994-08-14	VYDAJ	VYBER	2760	66673	\N	\N	\N
940439	3210	1994-08-20	VYDAJ	VYBER	1800	64873	\N	\N	\N
940440	3210	1994-11-05	VYDAJ	VYBER	1800	65235	\N	\N	\N
940441	3210	1994-12-10	VYDAJ	VYBER	1920	37674	\N	\N	\N
940442	3210	1995-04-16	VYDAJ	VYBER	3600	58306	\N	\N	\N
940443	3210	1995-09-04	VYDAJ	VYBER	1800	52469	\N	\N	\N
940444	3210	1995-12-15	VYDAJ	VYBER	3720	57730	\N	\N	\N
940445	3210	1995-07-03	VYDAJ	VYBER	1560	37126	\N	\N	\N
940446	3210	1995-06-30	VYDAJ	VYBER	3960	38700	\N	\N	\N
940447	3210	1995-05-04	VYDAJ	VYBER	5280	53242	\N	\N	\N
940448	3210	1995-12-21	VYDAJ	VYBER	2880	51610	\N	\N	\N
940449	3210	1995-12-16	VYDAJ	VYBER	3240	54490	\N	\N	\N
940450	3210	1995-06-21	VYDAJ	VYBER	5520	42502	\N	\N	\N
940451	3210	1996-05-09	VYDAJ	VYBER KARTOU	700	19079	\N	\N	0
940452	3210	1996-03-20	VYDAJ	VYBER KARTOU	2400	47195	\N	\N	0
940453	3210	1996-10-03	VYDAJ	VYBER	4320	19684	\N	\N	\N
940454	3210	1996-05-12	VYDAJ	VYBER KARTOU	1300	17779	\N	\N	0
940455	3210	1997-09-23	VYDAJ	VYBER	4920	47410	\N	\N	\N
940458	3210	1997-01-18	VYDAJ	VYBER KARTOU	3100	43451	\N	\N	0
940459	3210	1997-07-25	VYDAJ	VYBER KARTOU	1700	42201	\N	\N	0
940460	3210	1997-04-05	VYDAJ	VYBER KARTOU	2000	32206	\N	\N	0
940462	3210	1998-03-29	VYDAJ	VYBER KARTOU	3500	32028	\N	\N	0
940464	3210	1998-12-15	VYDAJ	VYBER KARTOU	2000	54592	\N	\N	0
940476	3210	1993-10-31	VYDAJ	VYBER	15	46550	SLUZBY	\N	\N
940477	3210	1993-11-30	VYDAJ	VYBER	15	54897	SLUZBY	\N	\N
940478	3210	1993-12-31	VYDAJ	VYBER	15	69598	SLUZBY	\N	\N
940479	3210	1994-01-31	VYDAJ	VYBER	15	60404	SLUZBY	\N	\N
940480	3210	1994-02-28	VYDAJ	VYBER	15	65494	SLUZBY	\N	\N
940481	3210	1994-03-31	VYDAJ	VYBER	15	63266	SLUZBY	\N	\N
940482	3210	1994-04-30	VYDAJ	VYBER	15	64863	SLUZBY	\N	\N
940483	3210	1994-05-31	VYDAJ	VYBER	15	67268	SLUZBY	\N	\N
940484	3210	1994-06-30	VYDAJ	VYBER	15	75657	SLUZBY	\N	\N
940485	3210	1994-07-31	VYDAJ	VYBER	15	70082	SLUZBY	\N	\N
940486	3210	1994-08-31	VYDAJ	VYBER	15	61763	SLUZBY	\N	\N
940487	3210	1994-09-30	VYDAJ	VYBER	15	62642	SLUZBY	\N	\N
940488	3210	1994-10-31	VYDAJ	VYBER	15	67035	SLUZBY	\N	\N
940489	3210	1994-11-30	VYDAJ	VYBER	15	64722	SLUZBY	\N	\N
940490	3210	1994-12-31	VYDAJ	VYBER	15	73031	SLUZBY	\N	\N
940491	3210	1995-01-31	VYDAJ	VYBER	15	65703	SLUZBY	\N	\N
940492	3210	1995-02-28	VYDAJ	VYBER	15	60775	SLUZBY	\N	\N
940493	3210	1995-03-31	VYDAJ	VYBER	15	64255	SLUZBY	\N	\N
940494	3210	1995-04-30	VYDAJ	VYBER	15	58522	SLUZBY	\N	\N
940495	3210	1995-05-31	VYDAJ	VYBER	15	56492	SLUZBY	\N	\N
940496	3210	1995-06-30	VYDAJ	VYBER	15	38686	SLUZBY	\N	\N
940497	3210	1995-07-31	VYDAJ	VYBER	15	48833	SLUZBY	\N	\N
940498	3210	1995-08-31	VYDAJ	VYBER	15	54269	SLUZBY	\N	\N
940499	3210	1995-09-30	VYDAJ	VYBER	15	55504	SLUZBY	\N	\N
940500	3210	1995-10-31	VYDAJ	VYBER	15	52942	SLUZBY	\N	\N
940501	3210	1995-11-30	VYDAJ	VYBER	15	54080	SLUZBY	\N	\N
940502	3210	1995-12-31	VYDAJ	VYBER	15	51796	SLUZBY	\N	\N
940503	3210	1996-01-31	VYDAJ	VYBER	15	51726	SLUZBY	\N	\N
940504	3210	1996-02-29	VYDAJ	VYBER	15	48544	SLUZBY	\N	\N
940505	3210	1996-03-31	VYDAJ	VYBER	15	47361	SLUZBY	\N	\N
940506	3210	1996-04-30	VYDAJ	VYBER	15	45867	SLUZBY	\N	\N
940507	3210	1996-05-31	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
940508	3210	1996-06-30	VYDAJ	VYBER	15	36571	SLUZBY	\N	\N
940509	3210	1996-07-31	VYDAJ	VYBER	15	27845	SLUZBY	\N	\N
940510	3210	1996-08-31	VYDAJ	VYBER	15	26328	SLUZBY	\N	\N
940511	3210	1996-09-30	VYDAJ	VYBER	15	24004	SLUZBY	\N	\N
940512	3210	1996-10-31	VYDAJ	VYBER	15	24132	SLUZBY	\N	\N
940513	3210	1996-11-30	VYDAJ	VYBER	15	23596	SLUZBY	\N	\N
940514	3210	1996-12-31	VYDAJ	VYBER	15	29500	SLUZBY	\N	\N
940515	3210	1997-01-31	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
940516	3210	1997-02-28	VYDAJ	VYBER	15	17060	SLUZBY	\N	\N
940517	3210	1997-03-31	VYDAJ	VYBER	15	34206	SLUZBY	\N	\N
940518	3210	1997-04-30	VYDAJ	VYBER	15	26893	SLUZBY	\N	\N
940519	3210	1997-05-31	VYDAJ	VYBER	15	21460	SLUZBY	\N	\N
940520	3210	1997-06-30	VYDAJ	VYBER	15	26850	SLUZBY	\N	\N
940521	3210	1997-07-31	VYDAJ	VYBER	15	18130	SLUZBY	\N	\N
940522	3210	1997-08-31	VYDAJ	VYBER	15	35279	SLUZBY	\N	\N
940523	3210	1997-09-30	VYDAJ	VYBER	15	18768	SLUZBY	\N	\N
940524	3210	1997-10-31	VYDAJ	VYBER	15	35919	SLUZBY	\N	\N
940525	3210	1997-11-30	VYDAJ	VYBER	15	19899	SLUZBY	\N	\N
940526	3210	1997-12-31	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
940527	3210	1998-01-31	VYDAJ	VYBER	15	33313	SLUZBY	\N	\N
940528	3210	1998-02-28	VYDAJ	VYBER	15	18477	SLUZBY	\N	\N
940529	3210	1998-03-31	VYDAJ	VYBER	15	32125	SLUZBY	\N	\N
940530	3210	1998-04-30	VYDAJ	VYBER	15	18487	SLUZBY	\N	\N
940531	3210	1998-05-31	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
940532	3210	1998-06-30	VYDAJ	VYBER	15	27645	SLUZBY	\N	\N
940533	3210	1998-07-31	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
940534	3210	1998-08-31	VYDAJ	VYBER	15	36341	SLUZBY	\N	\N
940535	3210	1998-09-30	VYDAJ	VYBER	15	28517	SLUZBY	\N	\N
940536	3210	1998-10-31	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
940537	3210	1998-11-30	VYDAJ	VYBER	15	27322	SLUZBY	\N	\N
940538	3210	1993-06-16	VYDAJ	VYBER	8700	28958	\N	\N	\N
940539	3210	1993-07-16	VYDAJ	VYBER	13400	40057	\N	\N	\N
940540	3210	1993-08-15	VYDAJ	VYBER	21300	43341	\N	\N	\N
940541	3210	1993-09-14	VYDAJ	VYBER	24000	43954	\N	\N	\N
940542	3210	1993-10-14	VYDAJ	VYBER	22200	46375	\N	\N	\N
940543	3210	1993-11-13	VYDAJ	VYBER	8900	30262	\N	\N	\N
940544	3210	1993-12-13	VYDAJ	VYBER	9500	38009	\N	\N	\N
940545	3210	1994-01-12	VYDAJ	VYBER	19300	42910	\N	\N	\N
940546	3210	1994-02-11	VYDAJ	VYBER	12200	40816	\N	\N	\N
940547	3210	1994-03-13	VYDAJ	VYBER	12800	38586	\N	\N	\N
940548	3210	1994-04-12	VYDAJ	VYBER	15700	40178	\N	\N	\N
940549	3210	1994-05-12	VYDAJ	VYBER	14900	42575	\N	\N	\N
940550	3210	1994-06-11	VYDAJ	VYBER	16200	43680	\N	\N	\N
940551	3210	1994-07-11	VYDAJ	VYBER	22900	45369	\N	\N	\N
940552	3210	1994-08-10	VYDAJ	VYBER	17700	44994	\N	\N	\N
940553	3210	1994-09-09	VYDAJ	VYBER	16400	37975	\N	\N	\N
940554	3210	1994-10-09	VYDAJ	VYBER	12900	42354	\N	\N	\N
940555	3210	1994-11-08	VYDAJ	VYBER	17800	40047	\N	\N	\N
940556	3210	1994-12-08	VYDAJ	VYBER	13900	39594	\N	\N	\N
940557	3210	1995-01-07	VYDAJ	VYBER	20300	48411	\N	\N	\N
940558	3210	1995-02-06	VYDAJ	VYBER	22200	43503	\N	\N	\N
940559	3210	1995-03-08	VYDAJ	VYBER	13800	46975	\N	\N	\N
940560	3210	1995-04-07	VYDAJ	VYBER	19400	44855	\N	\N	\N
940561	3210	1995-05-07	VYDAJ	VYBER	14000	39242	\N	\N	\N
940562	3210	1995-06-06	PRIJEM	VKLAD	1300	18752	\N	\N	\N
940563	3210	1995-07-06	VYDAJ	VYBER	5500	31626	\N	\N	\N
940564	3210	1995-08-05	VYDAJ	VYBER	11800	37033	\N	\N	\N
940565	3210	1995-09-04	VYDAJ	VYBER	14200	38269	\N	\N	\N
940566	3210	1995-10-04	VYDAJ	VYBER	19800	35704	\N	\N	\N
940567	3210	1995-11-03	VYDAJ	VYBER	16100	36842	\N	\N	\N
940568	3210	1995-12-03	VYDAJ	VYBER	18700	35380	\N	\N	\N
940569	3210	1996-01-02	VYDAJ	VYBER	17300	34496	\N	\N	\N
940570	3210	1996-02-01	VYDAJ	VYBER	20400	31326	\N	\N	\N
940571	3210	1996-03-02	VYDAJ	VYBER	16000	32544	\N	\N	\N
940572	3210	1996-04-01	VYDAJ	VYBER	18700	28661	\N	\N	\N
940573	3210	1996-05-01	VYDAJ	VYBER	18700	27167	\N	\N	\N
940574	3210	1996-05-31	VYDAJ	VYBER	13900	28474	\N	\N	\N
940575	3210	1996-06-30	VYDAJ	VYBER	12000	24571	\N	\N	\N
940576	3210	1996-07-30	VYDAJ	VYBER	13900	27722	\N	\N	\N
940577	3210	1996-08-29	VYDAJ	VYBER	18700	26196	\N	\N	\N
940578	3210	1996-09-28	VYDAJ	VYBER	19500	23879	\N	\N	\N
940579	3210	1996-10-28	VYDAJ	VYBER	12700	24035	\N	\N	\N
940580	3210	1996-11-27	VYDAJ	VYBER	17700	23483	\N	\N	\N
940581	3210	1996-12-27	VYDAJ	VYBER	20900	29366	\N	\N	\N
940582	3210	1997-01-26	VYDAJ	VYBER	11800	19011	\N	\N	\N
940583	3210	1997-02-25	VYDAJ	VYBER	19200	16972	\N	\N	\N
940584	3210	1997-04-26	VYDAJ	VYBER	22500	26757	\N	\N	\N
940585	3210	1997-05-26	VYDAJ	VYBER	22600	21344	\N	\N	\N
940586	3210	1997-06-25	VYDAJ	VYBER	24000	26730	\N	\N	\N
940587	3210	1997-07-25	VYDAJ	VYBER	24200	18001	\N	\N	\N
940588	3210	1997-09-23	VYDAJ	VYBER	28800	18610	\N	\N	\N
940589	3210	1997-11-22	VYDAJ	VYBER	33200	19770	\N	\N	\N
940590	3210	1997-12-22	VYDAJ	VYBER	30100	19069	\N	\N	\N
940591	3210	1998-02-20	VYDAJ	VYBER	32000	18364	\N	\N	\N
940592	3210	1998-04-21	VYDAJ	VYBER	30800	18376	\N	\N	\N
940593	3210	1998-06-20	VYDAJ	VYBER	37400	27505	\N	\N	\N
940594	3210	1998-07-20	VYDAJ	VYBER	25600	19096	\N	\N	\N
940595	3210	1998-09-18	VYDAJ	VYBER	25000	28392	\N	\N	\N
940596	3210	1998-10-18	VYDAJ	VYBER	18500	27068	\N	\N	\N
940597	3210	1998-11-17	VYDAJ	VYBER	17000	27223	\N	\N	\N
940598	3210	1998-12-17	VYDAJ	VYBER	18300	36292	\N	\N	\N
940666	3211	1997-06-09	PRIJEM	VKLAD	200	200	\N	\N	\N
940672	3211	1997-06-13	PRIJEM	PREVOD Z UCTU	3018	3218	\N	CD	98557453
940673	3211	1997-07-13	PRIJEM	PREVOD Z UCTU	3018	6244	\N	CD	98557453
940674	3211	1997-08-13	PRIJEM	PREVOD Z UCTU	3018	9275	\N	CD	98557453
940675	3211	1997-09-13	PRIJEM	PREVOD Z UCTU	3018	12307	\N	CD	98557453
940676	3211	1997-10-13	PRIJEM	PREVOD Z UCTU	3018	15338	\N	CD	98557453
940677	3211	1997-11-13	PRIJEM	PREVOD Z UCTU	3018	16345	\N	CD	98557453
940678	3211	1997-12-13	PRIJEM	PREVOD Z UCTU	3018	17403	\N	CD	98557453
940679	3211	1998-01-13	PRIJEM	PREVOD Z UCTU	3018	16844	\N	CD	98557453
940680	3211	1998-02-13	PRIJEM	PREVOD Z UCTU	3018	15260	\N	CD	98557453
940681	3211	1998-03-13	PRIJEM	PREVOD Z UCTU	3018	16314	\N	CD	98557453
940682	3211	1998-04-13	PRIJEM	PREVOD Z UCTU	3018	17371	\N	CD	98557453
940683	3211	1998-05-13	PRIJEM	PREVOD Z UCTU	3018	18434	\N	CD	98557453
940684	3211	1998-06-13	PRIJEM	PREVOD Z UCTU	3018	19290	\N	CD	98557453
940685	3211	1998-07-13	PRIJEM	PREVOD Z UCTU	3018	19639	\N	CD	98557453
940686	3211	1998-08-13	PRIJEM	PREVOD Z UCTU	3018	20711	\N	CD	98557453
940687	3211	1998-09-13	PRIJEM	PREVOD Z UCTU	3018	21787	\N	CD	98557453
940688	3211	1998-10-13	PRIJEM	PREVOD Z UCTU	3018	21087	\N	CD	98557453
940689	3211	1998-11-13	PRIJEM	PREVOD Z UCTU	3018	20844	\N	CD	98557453
940690	3211	1998-12-13	PRIJEM	PREVOD Z UCTU	3018	21921	\N	CD	98557453
940701	3211	1997-11-07	VYDAJ	PREVOD NA UCET	2012	13327	\N	WX	11110592
940702	3211	1997-12-07	VYDAJ	PREVOD NA UCET	2012	14385	\N	WX	11110592
940703	3211	1998-01-07	VYDAJ	PREVOD NA UCET	2012	15236	\N	WX	11110592
940704	3211	1998-02-07	VYDAJ	PREVOD NA UCET	2012	12242	\N	WX	11110592
940705	3211	1998-03-07	VYDAJ	PREVOD NA UCET	2012	13296	\N	WX	11110592
940706	3211	1998-04-07	VYDAJ	PREVOD NA UCET	2012	14353	\N	WX	11110592
940707	3211	1998-05-07	VYDAJ	PREVOD NA UCET	2012	15416	\N	WX	11110592
940708	3211	1998-06-07	VYDAJ	PREVOD NA UCET	2012	16272	\N	WX	11110592
940709	3211	1998-07-07	VYDAJ	PREVOD NA UCET	2012	16621	\N	WX	11110592
940710	3211	1998-08-07	VYDAJ	PREVOD NA UCET	2012	17693	\N	WX	11110592
940711	3211	1998-09-07	VYDAJ	PREVOD NA UCET	2012	18769	\N	WX	11110592
940712	3211	1998-10-07	VYDAJ	PREVOD NA UCET	2012	18069	\N	WX	11110592
940713	3211	1998-11-07	VYDAJ	PREVOD NA UCET	2012	19146	\N	WX	11110592
940714	3211	1998-12-07	VYDAJ	PREVOD NA UCET	2012	18903	\N	WX	11110592
940718	3211	1998-01-07	VYDAJ	VYBER	1140	14096	\N	\N	\N
940719	3211	1997-12-15	VYDAJ	VYBER	210	17193	\N	\N	\N
940720	3211	1998-12-25	VYDAJ	VYBER	720	21201	\N	\N	\N
940727	3211	1998-01-30	VYDAJ	VYBER	600	14204	\N	\N	\N
940728	3211	1998-01-25	VYDAJ	VYBER	330	15524	\N	\N	\N
940729	3211	1998-01-26	VYDAJ	VYBER	720	14804	\N	\N	\N
940730	3211	1998-01-20	VYDAJ	VYBER	150	15854	\N	\N	\N
940731	3211	1998-01-10	VYDAJ	VYBER	270	13826	\N	\N	\N
940732	3211	1998-01-13	VYDAJ	VYBER	840	16004	\N	\N	\N
940736	3211	1998-05-29	VYDAJ	VYBER	210	18224	\N	\N	\N
940737	3211	1998-09-28	VYDAJ	VYBER	780	21007	\N	\N	\N
940738	3211	1998-06-23	VYDAJ	VYBER	720	18570	\N	\N	\N
940739	3211	1998-11-10	VYDAJ	VYBER	1320	17826	\N	\N	\N
940750	3211	1997-10-31	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
940751	3211	1997-11-30	VYDAJ	VYBER	15	16397	SLUZBY	\N	\N
940752	3211	1997-12-31	VYDAJ	VYBER	15	17248	SLUZBY	\N	\N
940753	3211	1998-01-31	VYDAJ	VYBER	15	14254	SLUZBY	\N	\N
940754	3211	1998-02-28	VYDAJ	VYBER	15	15308	SLUZBY	\N	\N
940755	3211	1998-03-31	VYDAJ	VYBER	15	16365	SLUZBY	\N	\N
940756	3211	1998-04-30	VYDAJ	VYBER	15	17428	SLUZBY	\N	\N
940757	3211	1998-05-31	VYDAJ	VYBER	15	18284	SLUZBY	\N	\N
940758	3211	1998-06-30	VYDAJ	VYBER	15	18633	SLUZBY	\N	\N
940759	3211	1998-07-31	VYDAJ	VYBER	15	19705	SLUZBY	\N	\N
940760	3211	1998-08-31	VYDAJ	VYBER	15	20781	SLUZBY	\N	\N
940761	3211	1998-09-30	VYDAJ	VYBER	15	21081	SLUZBY	\N	\N
940762	3211	1998-10-31	VYDAJ	VYBER	15	21158	SLUZBY	\N	\N
940763	3211	1998-11-30	VYDAJ	VYBER	15	20915	SLUZBY	\N	\N
940764	3211	1998-10-02	VYDAJ	VYBER	1000	20081	\N	\N	\N
940784	3212	1993-07-25	PRIJEM	VKLAD	700	700	\N	\N	\N
940792	3212	1993-08-14	PRIJEM	PREVOD Z UCTU	3484	4184	\N	EF	81040405
940793	3212	1993-09-14	PRIJEM	PREVOD Z UCTU	3484	18184	\N	EF	81040405
940794	3212	1993-10-14	PRIJEM	PREVOD Z UCTU	3484	24035	\N	EF	81040405
940795	3212	1993-11-14	PRIJEM	PREVOD Z UCTU	3484	26608	\N	EF	81040405
940796	3212	1993-12-14	PRIJEM	PREVOD Z UCTU	3484	31294	\N	EF	81040405
940797	3212	1994-01-14	PRIJEM	PREVOD Z UCTU	3484	28902	\N	EF	81040405
940798	3212	1994-02-14	PRIJEM	PREVOD Z UCTU	3484	25972	\N	EF	81040405
940799	3212	1994-03-14	PRIJEM	PREVOD Z UCTU	3484	24622	\N	EF	81040405
940800	3212	1994-04-14	PRIJEM	PREVOD Z UCTU	3484	23917	\N	EF	81040405
940801	3212	1994-05-14	PRIJEM	PREVOD Z UCTU	3484	25762	\N	EF	81040405
940802	3212	1994-06-14	PRIJEM	PREVOD Z UCTU	3484	24827	\N	EF	81040405
940803	3212	1994-07-14	PRIJEM	PREVOD Z UCTU	3484	26669	\N	EF	81040405
940804	3212	1994-08-14	PRIJEM	PREVOD Z UCTU	3484	25621	\N	EF	81040405
940805	3212	1994-09-14	PRIJEM	PREVOD Z UCTU	3484	26472	\N	EF	81040405
940806	3212	1994-10-14	PRIJEM	PREVOD Z UCTU	3484	26716	\N	EF	81040405
940807	3212	1994-11-14	PRIJEM	PREVOD Z UCTU	3484	27071	\N	EF	81040405
940808	3212	1994-12-14	PRIJEM	PREVOD Z UCTU	3484	28741	\N	EF	81040405
940809	3212	1995-01-14	PRIJEM	PREVOD Z UCTU	3484	27073	\N	EF	81040405
940810	3212	1995-02-14	PRIJEM	PREVOD Z UCTU	3484	26660	\N	EF	81040405
940811	3212	1995-03-14	PRIJEM	PREVOD Z UCTU	3484	29419	\N	EF	81040405
940812	3212	1995-04-14	PRIJEM	PREVOD Z UCTU	3484	25889	\N	EF	81040405
940813	3212	1995-05-14	PRIJEM	PREVOD Z UCTU	3484	26273	\N	EF	81040405
940814	3212	1995-06-14	PRIJEM	PREVOD Z UCTU	3484	27828	\N	EF	81040405
940815	3212	1995-07-14	PRIJEM	PREVOD Z UCTU	3484	30192	\N	EF	81040405
940816	3212	1995-08-14	PRIJEM	PREVOD Z UCTU	3484	30761	\N	EF	81040405
940817	3212	1995-09-14	PRIJEM	PREVOD Z UCTU	3484	32334	\N	EF	81040405
940818	3212	1995-10-14	PRIJEM	PREVOD Z UCTU	3484	34014	\N	EF	81040405
940819	3212	1995-11-14	PRIJEM	PREVOD Z UCTU	3484	34699	\N	EF	81040405
940820	3212	1995-12-14	PRIJEM	PREVOD Z UCTU	3484	35489	\N	EF	81040405
940821	3212	1996-01-14	PRIJEM	PREVOD Z UCTU	3484	33422	\N	EF	81040405
940822	3212	1996-02-14	PRIJEM	PREVOD Z UCTU	3484	35564	\N	EF	81040405
940823	3212	1996-03-14	PRIJEM	PREVOD Z UCTU	3484	33852	\N	EF	81040405
940824	3212	1996-04-14	PRIJEM	PREVOD Z UCTU	3484	35441	\N	EF	81040405
940825	3212	1996-05-14	PRIJEM	PREVOD Z UCTU	3484	37533	\N	EF	81040405
940826	3212	1996-06-14	PRIJEM	PREVOD Z UCTU	3484	36232	\N	EF	81040405
940827	3212	1996-07-14	PRIJEM	PREVOD Z UCTU	3484	36329	\N	EF	81040405
940828	3212	1996-08-14	PRIJEM	PREVOD Z UCTU	3484	40309	\N	EF	81040405
940829	3212	1996-09-14	PRIJEM	PREVOD Z UCTU	3484	37878	\N	EF	81040405
940830	3212	1996-10-14	PRIJEM	PREVOD Z UCTU	3484	42339	\N	EF	81040405
940831	3212	1996-11-14	PRIJEM	PREVOD Z UCTU	3484	45356	\N	EF	81040405
940832	3212	1996-12-14	PRIJEM	PREVOD Z UCTU	3484	48177	\N	EF	81040405
940833	3212	1997-01-14	PRIJEM	PREVOD Z UCTU	3484	46530	\N	EF	81040405
940834	3212	1997-02-14	PRIJEM	PREVOD Z UCTU	3484	46988	\N	EF	81040405
940835	3212	1997-03-14	PRIJEM	PREVOD Z UCTU	3484	46826	\N	EF	81040405
940836	3212	1997-04-14	PRIJEM	PREVOD Z UCTU	3484	49766	\N	EF	81040405
940837	3212	1997-05-14	PRIJEM	PREVOD Z UCTU	3484	54285	\N	EF	81040405
940838	3212	1997-06-14	PRIJEM	PREVOD Z UCTU	3484	57452	\N	EF	81040405
940839	3212	1997-07-14	PRIJEM	PREVOD Z UCTU	3484	56462	\N	EF	81040405
940840	3212	1997-08-14	PRIJEM	PREVOD Z UCTU	3484	61637	\N	EF	81040405
940841	3212	1997-09-14	PRIJEM	PREVOD Z UCTU	3484	60633	\N	EF	81040405
940842	3212	1997-10-14	PRIJEM	PREVOD Z UCTU	3484	63929	\N	EF	81040405
940843	3212	1997-11-14	PRIJEM	PREVOD Z UCTU	3484	63037	\N	EF	81040405
940844	3212	1997-12-14	PRIJEM	PREVOD Z UCTU	3484	65444	\N	EF	81040405
940845	3212	1998-01-14	PRIJEM	PREVOD Z UCTU	3484	64258	\N	EF	81040405
940846	3212	1998-02-14	PRIJEM	PREVOD Z UCTU	3484	63668	\N	EF	81040405
940847	3212	1998-03-14	PRIJEM	PREVOD Z UCTU	3484	62675	\N	EF	81040405
940848	3212	1998-04-14	PRIJEM	PREVOD Z UCTU	3484	64379	\N	EF	81040405
940849	3212	1998-05-14	PRIJEM	PREVOD Z UCTU	3484	67189	\N	EF	81040405
940850	3212	1998-06-14	PRIJEM	PREVOD Z UCTU	3484	63909	\N	EF	81040405
940851	3212	1998-07-14	PRIJEM	PREVOD Z UCTU	3484	58214	\N	EF	81040405
940852	3212	1998-08-14	PRIJEM	PREVOD Z UCTU	3484	59599	\N	EF	81040405
940853	3212	1998-09-14	PRIJEM	PREVOD Z UCTU	3484	58987	\N	EF	81040405
940854	3212	1998-10-14	PRIJEM	PREVOD Z UCTU	3484	60274	\N	EF	81040405
940855	3212	1998-11-14	PRIJEM	PREVOD Z UCTU	3484	60865	\N	EF	81040405
940856	3212	1998-12-14	PRIJEM	PREVOD Z UCTU	3484	62359	\N	EF	81040405
940869	3212	1994-01-13	VYDAJ	PREVOD NA UCET	2112	25418	SIPO	KL	87521946
940870	3212	1994-02-13	VYDAJ	PREVOD NA UCET	2112	22488	SIPO	KL	87521946
940871	3212	1994-03-13	VYDAJ	PREVOD NA UCET	2112	21138	SIPO	KL	87521946
940872	3212	1994-04-13	VYDAJ	PREVOD NA UCET	2112	20433	SIPO	KL	87521946
940873	3212	1994-05-13	VYDAJ	PREVOD NA UCET	2112	22278	SIPO	KL	87521946
940874	3212	1994-06-13	VYDAJ	PREVOD NA UCET	2112	21343	SIPO	KL	87521946
940875	3212	1994-07-13	VYDAJ	PREVOD NA UCET	2112	23185	SIPO	KL	87521946
940876	3212	1994-08-13	VYDAJ	PREVOD NA UCET	2112	22137	SIPO	KL	87521946
940877	3212	1994-09-13	VYDAJ	PREVOD NA UCET	2112	22988	SIPO	KL	87521946
940878	3212	1994-10-13	VYDAJ	PREVOD NA UCET	2112	23232	SIPO	KL	87521946
940879	3212	1994-11-13	VYDAJ	PREVOD NA UCET	2112	23587	SIPO	KL	87521946
940880	3212	1994-12-13	VYDAJ	PREVOD NA UCET	2112	25257	SIPO	KL	87521946
940881	3212	1995-01-13	VYDAJ	PREVOD NA UCET	2112	23589	SIPO	KL	87521946
940882	3212	1995-02-13	VYDAJ	PREVOD NA UCET	2112	23176	SIPO	KL	87521946
940883	3212	1995-03-13	VYDAJ	PREVOD NA UCET	2112	25935	SIPO	KL	87521946
940884	3212	1995-04-13	VYDAJ	PREVOD NA UCET	2112	22405	SIPO	KL	87521946
940885	3212	1995-05-13	VYDAJ	PREVOD NA UCET	2112	22789	SIPO	KL	87521946
940886	3212	1995-06-13	VYDAJ	PREVOD NA UCET	2112	24344	SIPO	KL	87521946
940887	3212	1995-07-13	VYDAJ	PREVOD NA UCET	2112	26708	SIPO	KL	87521946
940888	3212	1995-08-13	VYDAJ	PREVOD NA UCET	2112	27277	SIPO	KL	87521946
940889	3212	1995-09-13	VYDAJ	PREVOD NA UCET	2112	29250	SIPO	KL	87521946
940890	3212	1995-10-13	VYDAJ	PREVOD NA UCET	2112	30530	SIPO	KL	87521946
940891	3212	1995-11-13	VYDAJ	PREVOD NA UCET	2112	31215	SIPO	KL	87521946
940892	3212	1995-12-13	VYDAJ	PREVOD NA UCET	2112	32005	SIPO	KL	87521946
940893	3212	1996-01-13	VYDAJ	PREVOD NA UCET	2112	29938	SIPO	KL	87521946
940894	3212	1996-02-13	VYDAJ	PREVOD NA UCET	2112	32080	SIPO	KL	87521946
940895	3212	1996-03-13	VYDAJ	PREVOD NA UCET	2112	30368	SIPO	KL	87521946
940896	3212	1996-04-13	VYDAJ	PREVOD NA UCET	2112	31957	SIPO	KL	87521946
940897	3212	1996-05-13	VYDAJ	PREVOD NA UCET	2112	34049	SIPO	KL	87521946
940898	3212	1996-06-13	VYDAJ	PREVOD NA UCET	2112	32748	SIPO	KL	87521946
940899	3212	1996-07-13	VYDAJ	PREVOD NA UCET	2112	32845	SIPO	KL	87521946
940900	3212	1996-08-13	VYDAJ	PREVOD NA UCET	2112	36825	SIPO	KL	87521946
940901	3212	1996-09-13	VYDAJ	PREVOD NA UCET	2112	34394	SIPO	KL	87521946
940902	3212	1996-10-13	VYDAJ	PREVOD NA UCET	2112	38855	SIPO	KL	87521946
940903	3212	1996-11-13	VYDAJ	PREVOD NA UCET	2112	41872	SIPO	KL	87521946
940904	3212	1996-12-13	VYDAJ	PREVOD NA UCET	2112	44693	SIPO	KL	87521946
940905	3212	1997-01-13	VYDAJ	PREVOD NA UCET	2112	43046	SIPO	KL	87521946
940906	3212	1997-02-13	VYDAJ	PREVOD NA UCET	2112	43504	SIPO	KL	87521946
940907	3212	1997-03-13	VYDAJ	PREVOD NA UCET	2112	43342	SIPO	KL	87521946
940908	3212	1997-04-13	VYDAJ	PREVOD NA UCET	2112	46282	SIPO	KL	87521946
940909	3212	1997-05-13	VYDAJ	PREVOD NA UCET	2112	50801	SIPO	KL	87521946
940910	3212	1997-06-13	VYDAJ	PREVOD NA UCET	2112	53968	SIPO	KL	87521946
940911	3212	1997-07-13	VYDAJ	PREVOD NA UCET	2112	52978	SIPO	KL	87521946
940912	3212	1997-08-13	VYDAJ	PREVOD NA UCET	2112	58153	SIPO	KL	87521946
940913	3212	1997-09-13	VYDAJ	PREVOD NA UCET	2112	57149	SIPO	KL	87521946
940914	3212	1997-10-13	VYDAJ	PREVOD NA UCET	2112	60445	SIPO	KL	87521946
940915	3212	1997-11-13	VYDAJ	PREVOD NA UCET	2112	59553	SIPO	KL	87521946
940916	3212	1997-12-13	VYDAJ	PREVOD NA UCET	2112	61960	SIPO	KL	87521946
940917	3212	1998-01-13	VYDAJ	PREVOD NA UCET	2112	60774	SIPO	KL	87521946
940918	3212	1998-02-13	VYDAJ	PREVOD NA UCET	2112	60184	SIPO	KL	87521946
940919	3212	1998-03-13	VYDAJ	PREVOD NA UCET	2112	59191	SIPO	KL	87521946
940920	3212	1998-04-13	VYDAJ	PREVOD NA UCET	2112	60895	SIPO	KL	87521946
940921	3212	1998-05-13	VYDAJ	PREVOD NA UCET	2112	63705	SIPO	KL	87521946
940922	3212	1998-06-13	VYDAJ	PREVOD NA UCET	2112	60425	SIPO	KL	87521946
940923	3212	1998-07-13	VYDAJ	PREVOD NA UCET	2112	54730	SIPO	KL	87521946
940924	3212	1998-08-13	VYDAJ	PREVOD NA UCET	2112	56115	SIPO	KL	87521946
940925	3212	1998-09-13	VYDAJ	PREVOD NA UCET	2112	55503	SIPO	KL	87521946
940926	3212	1998-10-13	VYDAJ	PREVOD NA UCET	2112	56790	SIPO	KL	87521946
940927	3212	1998-11-13	VYDAJ	PREVOD NA UCET	2112	57381	SIPO	KL	87521946
940928	3212	1998-12-13	VYDAJ	PREVOD NA UCET	2112	58875	SIPO	KL	87521946
940941	3212	1994-01-12	VYDAJ	PREVOD NA UCET	68	27950	 	MN	77462422
940942	3212	1994-02-12	VYDAJ	PREVOD NA UCET	68	24600	 	MN	77462422
940943	3212	1994-03-12	VYDAJ	PREVOD NA UCET	68	23250	 	MN	77462422
940944	3212	1994-04-12	VYDAJ	PREVOD NA UCET	68	22545	 	MN	77462422
940945	3212	1994-05-12	VYDAJ	PREVOD NA UCET	68	24390	 	MN	77462422
940946	3212	1994-06-12	VYDAJ	PREVOD NA UCET	68	23455	 	MN	77462422
940947	3212	1994-07-12	VYDAJ	PREVOD NA UCET	68	25297	 	MN	77462422
940948	3212	1994-08-12	VYDAJ	PREVOD NA UCET	68	24249	 	MN	77462422
940949	3212	1994-09-12	VYDAJ	PREVOD NA UCET	68	25100	 	MN	77462422
940950	3212	1994-10-12	VYDAJ	PREVOD NA UCET	68	25344	 	MN	77462422
940951	3212	1994-11-12	VYDAJ	PREVOD NA UCET	68	25699	 	MN	77462422
940952	3212	1994-12-12	VYDAJ	PREVOD NA UCET	68	27369	 	MN	77462422
940953	3212	1995-01-12	VYDAJ	PREVOD NA UCET	68	25701	 	MN	77462422
940954	3212	1995-02-12	VYDAJ	PREVOD NA UCET	68	25288	 	MN	77462422
940955	3212	1995-03-12	VYDAJ	PREVOD NA UCET	68	28047	 	MN	77462422
940956	3212	1995-04-12	VYDAJ	PREVOD NA UCET	68	24517	 	MN	77462422
940957	3212	1995-05-12	VYDAJ	PREVOD NA UCET	68	24901	 	MN	77462422
940958	3212	1995-06-12	VYDAJ	PREVOD NA UCET	68	26456	 	MN	77462422
940959	3212	1995-07-12	VYDAJ	PREVOD NA UCET	68	28820	 	MN	77462422
940960	3212	1995-08-12	VYDAJ	PREVOD NA UCET	68	29389	 	MN	77462422
940961	3212	1995-09-12	VYDAJ	PREVOD NA UCET	68	31362	 	MN	77462422
940962	3212	1995-10-12	VYDAJ	PREVOD NA UCET	68	32242	 	MN	77462422
940963	3212	1995-11-12	VYDAJ	PREVOD NA UCET	68	33927	 	MN	77462422
940964	3212	1995-12-12	VYDAJ	PREVOD NA UCET	68	34117	 	MN	77462422
940965	3212	1996-01-12	VYDAJ	PREVOD NA UCET	68	32050	 	MN	77462422
940966	3212	1996-02-12	VYDAJ	PREVOD NA UCET	68	34192	 	MN	77462422
940967	3212	1996-03-12	VYDAJ	PREVOD NA UCET	68	32480	 	MN	77462422
940968	3212	1996-04-12	VYDAJ	PREVOD NA UCET	68	34069	 	MN	77462422
940969	3212	1996-05-12	VYDAJ	PREVOD NA UCET	68	36161	 	MN	77462422
940970	3212	1996-06-12	VYDAJ	PREVOD NA UCET	68	34860	 	MN	77462422
940971	3212	1996-07-12	VYDAJ	PREVOD NA UCET	68	34957	 	MN	77462422
940972	3212	1996-08-12	VYDAJ	PREVOD NA UCET	68	38937	 	MN	77462422
940973	3212	1996-09-12	VYDAJ	PREVOD NA UCET	68	36506	 	MN	77462422
940974	3212	1996-10-12	VYDAJ	PREVOD NA UCET	68	40967	 	MN	77462422
940975	3212	1996-11-12	VYDAJ	PREVOD NA UCET	68	43984	 	MN	77462422
940976	3212	1996-12-12	VYDAJ	PREVOD NA UCET	68	46805	 	MN	77462422
940977	3212	1997-01-12	VYDAJ	PREVOD NA UCET	68	45158	 	MN	77462422
940978	3212	1997-02-12	VYDAJ	PREVOD NA UCET	68	45616	 	MN	77462422
940979	3212	1997-03-12	VYDAJ	PREVOD NA UCET	68	45454	 	MN	77462422
940980	3212	1997-04-12	VYDAJ	PREVOD NA UCET	68	48394	 	MN	77462422
940981	3212	1997-05-12	VYDAJ	PREVOD NA UCET	68	52913	 	MN	77462422
940982	3212	1997-06-12	VYDAJ	PREVOD NA UCET	68	56080	 	MN	77462422
940983	3212	1997-07-12	VYDAJ	PREVOD NA UCET	68	55090	 	MN	77462422
940984	3212	1997-08-12	VYDAJ	PREVOD NA UCET	68	60265	 	MN	77462422
940985	3212	1997-09-12	VYDAJ	PREVOD NA UCET	68	59261	 	MN	77462422
940986	3212	1997-10-12	VYDAJ	PREVOD NA UCET	68	62557	 	MN	77462422
940987	3212	1997-11-12	VYDAJ	PREVOD NA UCET	68	61665	 	MN	77462422
940988	3212	1997-12-12	VYDAJ	PREVOD NA UCET	68	64072	 	MN	77462422
940989	3212	1998-01-12	VYDAJ	PREVOD NA UCET	68	62886	 	MN	77462422
940990	3212	1998-02-12	VYDAJ	PREVOD NA UCET	68	62296	 	MN	77462422
940991	3212	1998-03-12	VYDAJ	PREVOD NA UCET	68	61303	 	MN	77462422
940992	3212	1998-04-12	VYDAJ	PREVOD NA UCET	68	63007	 	MN	77462422
940993	3212	1998-05-12	VYDAJ	PREVOD NA UCET	68	65817	 	MN	77462422
940994	3212	1998-06-12	VYDAJ	PREVOD NA UCET	68	62537	 	MN	77462422
940995	3212	1998-07-12	VYDAJ	PREVOD NA UCET	68	56842	 	MN	77462422
940996	3212	1998-08-12	VYDAJ	PREVOD NA UCET	68	58227	 	MN	77462422
940997	3212	1998-09-12	VYDAJ	PREVOD NA UCET	68	57615	 	MN	77462422
940998	3212	1998-10-12	VYDAJ	PREVOD NA UCET	68	58902	 	MN	77462422
940999	3212	1998-11-12	VYDAJ	PREVOD NA UCET	68	59493	 	MN	77462422
941000	3212	1998-12-12	VYDAJ	PREVOD NA UCET	68	60987	 	MN	77462422
941013	3212	1994-01-10	VYDAJ	PREVOD NA UCET	95	28018	POJISTNE	YZ	17035544
941014	3212	1994-02-10	VYDAJ	PREVOD NA UCET	95	24668	POJISTNE	YZ	17035544
941015	3212	1994-03-10	VYDAJ	PREVOD NA UCET	95	23318	POJISTNE	YZ	17035544
941016	3212	1994-04-10	VYDAJ	PREVOD NA UCET	95	22613	POJISTNE	YZ	17035544
941017	3212	1994-05-10	VYDAJ	PREVOD NA UCET	95	24458	POJISTNE	YZ	17035544
941018	3212	1994-06-10	VYDAJ	PREVOD NA UCET	95	23523	POJISTNE	YZ	17035544
941019	3212	1994-07-10	VYDAJ	PREVOD NA UCET	95	25365	POJISTNE	YZ	17035544
941020	3212	1994-08-10	VYDAJ	PREVOD NA UCET	95	24317	POJISTNE	YZ	17035544
941021	3212	1994-09-10	VYDAJ	PREVOD NA UCET	95	25168	POJISTNE	YZ	17035544
941022	3212	1994-10-10	VYDAJ	PREVOD NA UCET	95	25412	POJISTNE	YZ	17035544
941023	3212	1994-11-10	VYDAJ	PREVOD NA UCET	95	25767	POJISTNE	YZ	17035544
941024	3212	1994-12-10	VYDAJ	PREVOD NA UCET	95	27437	POJISTNE	YZ	17035544
941025	3212	1995-01-10	VYDAJ	PREVOD NA UCET	95	26099	POJISTNE	YZ	17035544
941026	3212	1995-02-10	VYDAJ	PREVOD NA UCET	95	25356	POJISTNE	YZ	17035544
941027	3212	1995-03-10	VYDAJ	PREVOD NA UCET	95	28115	POJISTNE	YZ	17035544
941028	3212	1995-04-10	VYDAJ	PREVOD NA UCET	95	24585	POJISTNE	YZ	17035544
941029	3212	1995-05-10	VYDAJ	PREVOD NA UCET	95	24969	POJISTNE	YZ	17035544
941030	3212	1995-06-10	VYDAJ	PREVOD NA UCET	95	26524	POJISTNE	YZ	17035544
941031	3212	1995-07-10	VYDAJ	PREVOD NA UCET	95	28888	POJISTNE	YZ	17035544
941032	3212	1995-08-10	VYDAJ	PREVOD NA UCET	95	29457	POJISTNE	YZ	17035544
941033	3212	1995-09-10	VYDAJ	PREVOD NA UCET	95	31430	POJISTNE	YZ	17035544
941034	3212	1995-10-10	VYDAJ	PREVOD NA UCET	95	32310	POJISTNE	YZ	17035544
941035	3212	1995-11-10	VYDAJ	PREVOD NA UCET	95	33995	POJISTNE	YZ	17035544
941036	3212	1995-12-10	VYDAJ	PREVOD NA UCET	95	34685	POJISTNE	YZ	17035544
941037	3212	1996-01-10	VYDAJ	PREVOD NA UCET	95	33318	POJISTNE	YZ	17035544
941038	3212	1996-02-10	VYDAJ	PREVOD NA UCET	95	34260	POJISTNE	YZ	17035544
941039	3212	1996-03-10	VYDAJ	PREVOD NA UCET	95	35548	POJISTNE	YZ	17035544
941040	3212	1996-04-10	VYDAJ	PREVOD NA UCET	95	34137	POJISTNE	YZ	17035544
941041	3212	1996-05-10	VYDAJ	PREVOD NA UCET	95	36229	POJISTNE	YZ	17035544
941042	3212	1996-06-10	VYDAJ	PREVOD NA UCET	95	34928	POJISTNE	YZ	17035544
941043	3212	1996-07-10	VYDAJ	PREVOD NA UCET	95	35025	POJISTNE	YZ	17035544
941044	3212	1996-08-10	VYDAJ	PREVOD NA UCET	95	39005	POJISTNE	YZ	17035544
941045	3212	1996-09-10	VYDAJ	PREVOD NA UCET	95	36574	POJISTNE	YZ	17035544
941046	3212	1996-10-10	VYDAJ	PREVOD NA UCET	95	41035	POJISTNE	YZ	17035544
941047	3212	1996-11-10	VYDAJ	PREVOD NA UCET	95	44052	POJISTNE	YZ	17035544
941048	3212	1996-12-10	VYDAJ	PREVOD NA UCET	95	46873	POJISTNE	YZ	17035544
941049	3212	1997-01-10	VYDAJ	PREVOD NA UCET	95	45226	POJISTNE	YZ	17035544
941050	3212	1997-02-10	VYDAJ	PREVOD NA UCET	95	45684	POJISTNE	YZ	17035544
941051	3212	1997-03-10	VYDAJ	PREVOD NA UCET	95	45522	POJISTNE	YZ	17035544
941052	3212	1997-04-10	VYDAJ	PREVOD NA UCET	95	48462	POJISTNE	YZ	17035544
941053	3212	1997-05-10	VYDAJ	PREVOD NA UCET	95	53611	POJISTNE	YZ	17035544
941054	3212	1997-06-10	VYDAJ	PREVOD NA UCET	95	56148	POJISTNE	YZ	17035544
941055	3212	1997-07-10	VYDAJ	PREVOD NA UCET	95	55158	POJISTNE	YZ	17035544
941056	3212	1997-08-10	VYDAJ	PREVOD NA UCET	95	60333	POJISTNE	YZ	17035544
941057	3212	1997-09-10	VYDAJ	PREVOD NA UCET	95	59329	POJISTNE	YZ	17035544
941058	3212	1997-10-10	VYDAJ	PREVOD NA UCET	95	62625	POJISTNE	YZ	17035544
941059	3212	1997-11-10	VYDAJ	PREVOD NA UCET	95	61733	POJISTNE	YZ	17035544
941060	3212	1997-12-10	VYDAJ	PREVOD NA UCET	95	64140	POJISTNE	YZ	17035544
941061	3212	1998-01-10	VYDAJ	PREVOD NA UCET	95	63154	POJISTNE	YZ	17035544
941062	3212	1998-02-10	VYDAJ	PREVOD NA UCET	95	62364	POJISTNE	YZ	17035544
941063	3212	1998-03-10	VYDAJ	PREVOD NA UCET	95	61371	POJISTNE	YZ	17035544
941064	3212	1998-04-10	VYDAJ	PREVOD NA UCET	95	63075	POJISTNE	YZ	17035544
941065	3212	1998-05-10	VYDAJ	PREVOD NA UCET	95	65885	POJISTNE	YZ	17035544
941066	3212	1998-06-10	VYDAJ	PREVOD NA UCET	95	62605	POJISTNE	YZ	17035544
941067	3212	1998-07-10	VYDAJ	PREVOD NA UCET	95	56910	POJISTNE	YZ	17035544
941068	3212	1998-08-10	VYDAJ	PREVOD NA UCET	95	58295	POJISTNE	YZ	17035544
941069	3212	1998-09-10	VYDAJ	PREVOD NA UCET	95	57683	POJISTNE	YZ	17035544
941070	3212	1998-10-10	VYDAJ	PREVOD NA UCET	95	58970	POJISTNE	YZ	17035544
941071	3212	1998-11-10	VYDAJ	PREVOD NA UCET	95	59561	POJISTNE	YZ	17035544
941072	3212	1998-12-10	VYDAJ	PREVOD NA UCET	95	61055	POJISTNE	YZ	17035544
941085	3212	1994-01-07	VYDAJ	PREVOD NA UCET	47	28503	 	QR	12530750
941086	3212	1994-02-07	VYDAJ	PREVOD NA UCET	47	24763	 	QR	12530750
941087	3212	1994-03-07	VYDAJ	PREVOD NA UCET	47	23413	 	QR	12530750
941088	3212	1994-04-07	VYDAJ	PREVOD NA UCET	47	22708	 	QR	12530750
941089	3212	1994-05-07	VYDAJ	PREVOD NA UCET	47	24553	 	QR	12530750
941090	3212	1994-06-07	VYDAJ	PREVOD NA UCET	47	23618	 	QR	12530750
941091	3212	1994-07-07	VYDAJ	PREVOD NA UCET	47	25460	 	QR	12530750
941092	3212	1994-08-07	VYDAJ	PREVOD NA UCET	47	24412	 	QR	12530750
941093	3212	1994-09-07	VYDAJ	PREVOD NA UCET	47	25263	 	QR	12530750
941094	3212	1994-10-07	VYDAJ	PREVOD NA UCET	47	25507	 	QR	12530750
941095	3212	1994-11-07	VYDAJ	PREVOD NA UCET	47	25862	 	QR	12530750
941096	3212	1994-12-07	VYDAJ	PREVOD NA UCET	47	27532	 	QR	12530750
941097	3212	1995-01-07	VYDAJ	PREVOD NA UCET	47	27424	 	QR	12530750
941098	3212	1995-02-07	VYDAJ	PREVOD NA UCET	47	25451	 	QR	12530750
941099	3212	1995-03-07	VYDAJ	PREVOD NA UCET	47	28210	 	QR	12530750
941100	3212	1995-04-07	VYDAJ	PREVOD NA UCET	47	24680	 	QR	12530750
941101	3212	1995-05-07	VYDAJ	PREVOD NA UCET	47	25064	 	QR	12530750
941102	3212	1995-06-07	VYDAJ	PREVOD NA UCET	47	26619	 	QR	12530750
941103	3212	1995-07-07	VYDAJ	PREVOD NA UCET	47	28983	 	QR	12530750
941104	3212	1995-08-07	VYDAJ	PREVOD NA UCET	47	29552	 	QR	12530750
941105	3212	1995-09-07	VYDAJ	PREVOD NA UCET	47	31525	 	QR	12530750
941106	3212	1995-10-07	VYDAJ	PREVOD NA UCET	47	32405	 	QR	12530750
941107	3212	1995-11-07	VYDAJ	PREVOD NA UCET	47	34090	 	QR	12530750
941108	3212	1995-12-07	VYDAJ	PREVOD NA UCET	47	34780	 	QR	12530750
941109	3212	1996-01-07	VYDAJ	PREVOD NA UCET	47	33713	 	QR	12530750
941110	3212	1996-02-07	VYDAJ	PREVOD NA UCET	47	30555	 	QR	12530750
941111	3212	1996-03-07	VYDAJ	PREVOD NA UCET	47	35643	 	QR	12530750
941112	3212	1996-04-07	VYDAJ	PREVOD NA UCET	47	33932	 	QR	12530750
941113	3212	1996-05-07	VYDAJ	PREVOD NA UCET	47	35524	 	QR	12530750
941114	3212	1996-06-07	VYDAJ	PREVOD NA UCET	47	37623	 	QR	12530750
941115	3212	1996-07-07	VYDAJ	PREVOD NA UCET	47	30260	 	QR	12530750
941116	3212	1996-08-07	VYDAJ	PREVOD NA UCET	47	35900	 	QR	12530750
941117	3212	1996-09-07	VYDAJ	PREVOD NA UCET	47	36669	 	QR	12530750
941118	3212	1996-10-07	VYDAJ	PREVOD NA UCET	47	41130	 	QR	12530750
941119	3212	1996-11-07	VYDAJ	PREVOD NA UCET	47	44147	 	QR	12530750
941120	3212	1996-12-07	VYDAJ	PREVOD NA UCET	47	47778	 	QR	12530750
941121	3212	1997-01-07	VYDAJ	PREVOD NA UCET	47	45321	 	QR	12530750
941122	3212	1997-02-07	VYDAJ	PREVOD NA UCET	47	45779	 	QR	12530750
941123	3212	1997-03-07	VYDAJ	PREVOD NA UCET	47	45617	 	QR	12530750
941124	3212	1997-04-07	VYDAJ	PREVOD NA UCET	47	48557	 	QR	12530750
941125	3212	1997-05-07	VYDAJ	PREVOD NA UCET	47	53706	 	QR	12530750
941126	3212	1997-06-07	VYDAJ	PREVOD NA UCET	47	56243	 	QR	12530750
941127	3212	1997-07-07	VYDAJ	PREVOD NA UCET	47	55253	 	QR	12530750
941128	3212	1997-08-07	VYDAJ	PREVOD NA UCET	47	60428	 	QR	12530750
941129	3212	1997-09-07	VYDAJ	PREVOD NA UCET	47	59424	 	QR	12530750
941130	3212	1997-10-07	VYDAJ	PREVOD NA UCET	47	62720	 	QR	12530750
941131	3212	1997-11-07	VYDAJ	PREVOD NA UCET	47	61828	 	QR	12530750
941132	3212	1997-12-07	VYDAJ	PREVOD NA UCET	47	64935	 	QR	12530750
941133	3212	1998-01-07	VYDAJ	PREVOD NA UCET	47	63249	 	QR	12530750
941134	3212	1998-02-07	VYDAJ	PREVOD NA UCET	47	62459	 	QR	12530750
941135	3212	1998-03-07	VYDAJ	PREVOD NA UCET	47	61466	 	QR	12530750
941136	3212	1998-04-07	VYDAJ	PREVOD NA UCET	47	63170	 	QR	12530750
941137	3212	1998-05-07	VYDAJ	PREVOD NA UCET	47	65980	 	QR	12530750
941138	3212	1998-06-07	VYDAJ	PREVOD NA UCET	47	62700	 	QR	12530750
941139	3212	1998-07-07	VYDAJ	PREVOD NA UCET	47	57005	 	QR	12530750
941140	3212	1998-08-07	VYDAJ	PREVOD NA UCET	47	58390	 	QR	12530750
941141	3212	1998-09-07	VYDAJ	PREVOD NA UCET	47	57778	 	QR	12530750
941142	3212	1998-10-07	VYDAJ	PREVOD NA UCET	47	59065	 	QR	12530750
941143	3212	1998-11-07	VYDAJ	PREVOD NA UCET	47	59656	 	QR	12530750
941144	3212	1998-12-07	VYDAJ	PREVOD NA UCET	47	61450	 	QR	12530750
941146	3212	1994-06-06	VYDAJ	VYBER	3540	23665	\N	\N	\N
941147	3212	1995-06-22	VYDAJ	VYBER	1500	28928	\N	\N	\N
941148	3212	1996-06-14	VYDAJ	VYBER	6060	30172	\N	\N	\N
941149	3212	1997-06-19	VYDAJ	VYBER	6360	51092	\N	\N	\N
941150	3212	1998-06-28	VYDAJ	VYBER KARTOU	1600	62309	\N	\N	0
941152	3212	1994-01-17	VYDAJ	VYBER	2130	26772	\N	\N	\N
941153	3212	1995-01-15	VYDAJ	VYBER	1170	25903	\N	\N	\N
941154	3212	1996-01-05	VYDAJ	VYBER	1650	33760	\N	\N	\N
941155	3212	1997-01-07	VYDAJ	VYBER	1680	45368	\N	\N	\N
941156	3212	1998-01-01	VYDAJ	VYBER KARTOU	2500	64396	\N	\N	0
941157	3212	1993-12-15	VYDAJ	VYBER	510	30784	\N	\N	\N
941158	3212	1994-12-07	VYDAJ	VYBER	630	27579	\N	\N	\N
941159	3212	1995-12-18	VYDAJ	VYBER	210	35279	\N	\N	\N
941160	3212	1996-12-09	VYDAJ	VYBER	810	46968	\N	\N	\N
941161	3212	1997-12-08	VYDAJ	VYBER KARTOU	700	64235	\N	\N	0
941162	3212	1998-12-08	VYDAJ	VYBER KARTOU	300	61150	\N	\N	0
941169	3212	1994-01-03	VYDAJ	VYBER	660	28550	\N	\N	\N
941170	3212	1994-01-19	VYDAJ	VYBER	300	25632	\N	\N	\N
941171	3212	1994-01-29	VYDAJ	VYBER	180	24712	\N	\N	\N
941172	3212	1994-01-23	VYDAJ	VYBER	840	24892	\N	\N	\N
941173	3212	1994-01-19	VYDAJ	VYBER	840	25932	\N	\N	\N
941174	3212	1994-01-12	VYDAJ	VYBER	420	27530	\N	\N	\N
941175	3212	1995-01-10	VYDAJ	VYBER	330	25769	\N	\N	\N
941176	3212	1995-01-07	VYDAJ	VYBER	540	26884	\N	\N	\N
941177	3212	1995-01-21	VYDAJ	VYBER	240	25973	\N	\N	\N
941178	3212	1995-01-16	VYDAJ	VYBER	510	26393	\N	\N	\N
941179	3212	1995-01-05	VYDAJ	VYBER	270	27471	\N	\N	\N
941180	3212	1995-01-08	VYDAJ	VYBER	690	26194	\N	\N	\N
941181	3212	1996-01-24	VYDAJ	VYBER	660	30482	\N	\N	\N
941182	3212	1996-01-20	VYDAJ	VYBER	720	31832	\N	\N	\N
941183	3212	1996-01-15	VYDAJ	VYBER	390	33032	\N	\N	\N
941184	3212	1996-01-24	VYDAJ	VYBER	690	31142	\N	\N	\N
941185	3212	1996-01-08	VYDAJ	VYBER	300	33413	\N	\N	\N
941186	3212	1996-01-19	VYDAJ	VYBER	480	32552	\N	\N	\N
941187	3212	1997-01-23	VYDAJ	VYBER	720	45480	\N	\N	\N
941188	3212	1997-01-04	VYDAJ	VYBER	780	46648	\N	\N	\N
941189	3212	1997-01-03	VYDAJ	VYBER	360	47428	\N	\N	\N
941190	3212	1997-01-26	VYDAJ	VYBER	330	45150	\N	\N	\N
941191	3212	1997-01-02	VYDAJ	VYBER	570	47788	\N	\N	\N
941192	3212	1997-01-16	VYDAJ	VYBER	330	46200	\N	\N	\N
941193	3212	1998-01-07	VYDAJ	VYBER KARTOU	700	63296	\N	\N	0
941194	3212	1998-01-01	VYDAJ	VYBER KARTOU	700	66896	\N	\N	0
941195	3212	1998-01-24	VYDAJ	VYBER KARTOU	500	63058	\N	\N	0
941196	3212	1998-01-18	VYDAJ	VYBER KARTOU	300	63958	\N	\N	0
941197	3212	1998-01-05	VYDAJ	VYBER KARTOU	400	63996	\N	\N	0
941198	3212	1998-01-10	VYDAJ	VYBER KARTOU	200	62954	\N	\N	0
941206	3212	1994-09-26	VYDAJ	VYBER	810	25462	\N	\N	\N
941207	3212	1994-01-01	VYDAJ	VYBER	780	29210	\N	\N	\N
941208	3212	1994-03-29	VYDAJ	VYBER	150	22672	\N	\N	\N
941209	3212	1994-06-06	VYDAJ	VYBER	450	27205	\N	\N	\N
941210	3212	1994-06-18	VYDAJ	VYBER	1110	23717	\N	\N	\N
941211	3212	1994-11-19	VYDAJ	VYBER	1260	28111	\N	\N	\N
941212	3212	1994-01-09	VYDAJ	VYBER	390	28113	\N	\N	\N
941213	3212	1995-04-06	VYDAJ	VYBER	1290	24727	\N	\N	\N
941214	3212	1995-01-30	VYDAJ	VYBER	570	25403	\N	\N	\N
941215	3212	1995-04-27	VYDAJ	VYBER	1170	25019	\N	\N	\N
941216	3212	1995-01-18	VYDAJ	VYBER	180	26213	\N	\N	\N
941217	3212	1996-08-30	VYDAJ	VYBER	870	37969	\N	\N	\N
941218	3212	1996-09-19	VYDAJ	VYBER	840	37038	\N	\N	\N
941219	3212	1996-08-29	VYDAJ	VYBER	1470	38839	\N	\N	\N
941220	3212	1996-07-09	VYDAJ	VYBER	540	35120	\N	\N	\N
941221	3212	1996-08-02	VYDAJ	VYBER	510	35947	\N	\N	\N
941222	3212	1997-11-07	VYDAJ	VYBER KARTOU	1300	61875	\N	\N	0
941223	3212	1997-08-24	VYDAJ	VYBER KARTOU	900	60737	\N	\N	0
941224	3212	1997-05-10	VYDAJ	VYBER	630	52981	\N	\N	\N
941225	3212	1998-11-17	VYDAJ	VYBER KARTOU	600	60265	\N	\N	0
941226	3212	1998-03-20	VYDAJ	VYBER KARTOU	600	62075	\N	\N	0
941227	3212	1998-07-03	VYDAJ	VYBER KARTOU	900	57052	\N	\N	0
941228	3212	1998-01-20	VYDAJ	VYBER KARTOU	400	63558	\N	\N	0
941229	3212	1998-05-25	VYDAJ	VYBER KARTOU	1000	66189	\N	\N	0
941242	3212	1993-12-31	VYDAJ	VYBER	15	29990	SLUZBY	\N	\N
941243	3212	1994-01-31	VYDAJ	VYBER	15	24810	SLUZBY	\N	\N
941244	3212	1994-02-28	VYDAJ	VYBER	15	23460	SLUZBY	\N	\N
941245	3212	1994-03-31	VYDAJ	VYBER	15	22755	SLUZBY	\N	\N
941246	3212	1994-04-30	VYDAJ	VYBER	15	24600	SLUZBY	\N	\N
941247	3212	1994-05-31	VYDAJ	VYBER	15	27655	SLUZBY	\N	\N
941248	3212	1994-06-30	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
941249	3212	1994-07-31	VYDAJ	VYBER	15	24459	SLUZBY	\N	\N
941250	3212	1994-08-31	VYDAJ	VYBER	15	25310	SLUZBY	\N	\N
941251	3212	1994-09-30	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
941252	3212	1994-10-31	VYDAJ	VYBER	15	25909	SLUZBY	\N	\N
941253	3212	1994-11-30	VYDAJ	VYBER	15	28209	SLUZBY	\N	\N
941254	3212	1994-12-31	VYDAJ	VYBER	15	27741	SLUZBY	\N	\N
941255	3212	1995-01-31	VYDAJ	VYBER	15	25498	SLUZBY	\N	\N
941256	3212	1995-02-28	VYDAJ	VYBER	15	28257	SLUZBY	\N	\N
941257	3212	1995-03-31	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
941258	3212	1995-04-30	VYDAJ	VYBER	15	25111	SLUZBY	\N	\N
941259	3212	1995-05-31	VYDAJ	VYBER	15	26666	SLUZBY	\N	\N
941260	3212	1995-06-30	VYDAJ	VYBER	15	29030	SLUZBY	\N	\N
941261	3212	1995-07-31	VYDAJ	VYBER	15	29599	SLUZBY	\N	\N
941262	3212	1995-08-31	VYDAJ	VYBER	15	31572	SLUZBY	\N	\N
941263	3212	1995-09-30	VYDAJ	VYBER	15	32452	SLUZBY	\N	\N
941264	3212	1995-10-31	VYDAJ	VYBER	15	34137	SLUZBY	\N	\N
941265	3212	1995-11-30	VYDAJ	VYBER	15	34827	SLUZBY	\N	\N
941266	3212	1995-12-31	VYDAJ	VYBER	15	35410	SLUZBY	\N	\N
941267	3212	1996-01-31	VYDAJ	VYBER	15	30602	SLUZBY	\N	\N
941268	3212	1996-02-29	VYDAJ	VYBER	15	35690	SLUZBY	\N	\N
941269	3212	1996-03-31	VYDAJ	VYBER	15	33979	SLUZBY	\N	\N
941270	3212	1996-04-30	VYDAJ	VYBER	15	35571	SLUZBY	\N	\N
941271	3212	1996-05-31	VYDAJ	VYBER	15	37670	SLUZBY	\N	\N
941272	3212	1996-06-30	VYDAJ	VYBER	15	30307	SLUZBY	\N	\N
941273	3212	1996-07-31	VYDAJ	VYBER	15	36457	SLUZBY	\N	\N
941274	3212	1996-08-31	VYDAJ	VYBER	15	38116	SLUZBY	\N	\N
941275	3212	1996-09-30	VYDAJ	VYBER	15	37177	SLUZBY	\N	\N
941276	3212	1996-10-31	VYDAJ	VYBER	15	42494	SLUZBY	\N	\N
941277	3212	1996-11-30	VYDAJ	VYBER	15	45525	SLUZBY	\N	\N
941278	3212	1996-12-31	VYDAJ	VYBER	15	48358	SLUZBY	\N	\N
941279	3212	1997-01-31	VYDAJ	VYBER	15	45326	SLUZBY	\N	\N
941280	3212	1997-02-28	VYDAJ	VYBER	15	47164	SLUZBY	\N	\N
941281	3212	1997-03-31	VYDAJ	VYBER	15	47004	SLUZBY	\N	\N
941282	3212	1997-04-30	VYDAJ	VYBER	15	49953	SLUZBY	\N	\N
941283	3212	1997-05-31	VYDAJ	VYBER	15	54490	SLUZBY	\N	\N
941284	3212	1997-06-30	VYDAJ	VYBER	15	51300	SLUZBY	\N	\N
941285	3212	1997-07-31	VYDAJ	VYBER	15	56675	SLUZBY	\N	\N
941286	3212	1997-08-31	VYDAJ	VYBER	15	60971	SLUZBY	\N	\N
941287	3212	1997-09-30	VYDAJ	VYBER	15	60867	SLUZBY	\N	\N
941288	3212	1997-10-31	VYDAJ	VYBER	15	64175	SLUZBY	\N	\N
941289	3212	1997-11-30	VYDAJ	VYBER	15	63282	SLUZBY	\N	\N
941290	3212	1997-12-31	VYDAJ	VYBER	15	67596	SLUZBY	\N	\N
941291	3212	1998-01-31	VYDAJ	VYBER	15	62506	SLUZBY	\N	\N
941292	3212	1998-02-28	VYDAJ	VYBER	15	63913	SLUZBY	\N	\N
941293	3212	1998-03-31	VYDAJ	VYBER	15	63217	SLUZBY	\N	\N
941294	3212	1998-04-30	VYDAJ	VYBER	15	66027	SLUZBY	\N	\N
941295	3212	1998-05-31	VYDAJ	VYBER	15	62747	SLUZBY	\N	\N
941296	3212	1998-06-30	VYDAJ	VYBER	15	57952	SLUZBY	\N	\N
941297	3212	1998-07-31	VYDAJ	VYBER	15	58437	SLUZBY	\N	\N
941298	3212	1998-08-31	VYDAJ	VYBER	15	57825	SLUZBY	\N	\N
941299	3212	1998-09-30	VYDAJ	VYBER	15	59112	SLUZBY	\N	\N
941300	3212	1998-10-31	VYDAJ	VYBER	15	59703	SLUZBY	\N	\N
941301	3212	1998-11-30	VYDAJ	VYBER	15	61497	SLUZBY	\N	\N
941302	3212	1993-08-24	PRIJEM	VKLAD	10500	14684	\N	\N	\N
941303	3212	1993-09-23	PRIJEM	VKLAD	2300	20484	\N	\N	\N
941304	3212	1993-10-23	VYDAJ	VYBER	1000	23035	\N	\N	\N
941305	3212	1993-11-22	PRIJEM	VKLAD	1100	27708	\N	\N	\N
941306	3212	1993-12-22	VYDAJ	VYBER	900	29884	\N	\N	\N
941307	3212	1994-01-21	PRIJEM	VKLAD	100	25732	\N	\N	\N
941308	3212	1994-02-20	VYDAJ	VYBER	2600	23372	\N	\N	\N
941309	3212	1994-03-22	VYDAJ	VYBER	1800	22822	\N	\N	\N
941310	3212	1994-04-21	PRIJEM	VKLAD	600	24517	\N	\N	\N
941311	3212	1994-05-21	PRIJEM	VKLAD	1800	27562	\N	\N	\N
941312	3212	1994-06-20	PRIJEM	VKLAD	1700	25417	\N	\N	\N
941313	3212	1994-07-20	VYDAJ	VYBER	2300	24369	\N	\N	\N
941314	3212	1994-08-19	VYDAJ	VYBER	400	25221	\N	\N	\N
941315	3212	1994-09-18	VYDAJ	VYBER	200	26272	\N	\N	\N
941316	3212	1994-10-18	VYDAJ	VYBER	900	25816	\N	\N	\N
941317	3212	1994-11-17	PRIJEM	VKLAD	2300	29371	\N	\N	\N
941318	3212	1994-12-17	VYDAJ	VYBER	1100	27641	\N	\N	\N
941319	3212	1995-01-16	PRIJEM	VKLAD	1000	26903	\N	\N	\N
941320	3212	1995-02-15	PRIJEM	VKLAD	1500	28160	\N	\N	\N
941321	3212	1995-03-17	VYDAJ	VYBER	3500	25919	\N	\N	\N
941322	3212	1995-04-16	PRIJEM	VKLAD	300	26189	\N	\N	\N
941323	3212	1995-05-16	PRIJEM	VKLAD	300	26573	\N	\N	\N
941324	3212	1995-06-15	PRIJEM	VKLAD	2600	30428	\N	\N	\N
941325	3212	1995-07-15	VYDAJ	VYBER	700	29492	\N	\N	\N
941326	3212	1995-08-14	PRIJEM	VKLAD	700	31461	\N	\N	\N
941327	3212	1995-09-13	VYDAJ	VYBER	400	28850	\N	\N	\N
941328	3212	1995-10-13	PRIJEM	VKLAD	400	32642	\N	\N	\N
941329	3212	1995-11-12	VYDAJ	VYBER	600	33327	\N	\N	\N
941330	3212	1995-12-12	VYDAJ	VYBER	500	34185	\N	\N	\N
941331	3212	1996-01-11	VYDAJ	VYBER	1200	32118	\N	\N	\N
941332	3212	1996-02-10	PRIJEM	VKLAD	3800	34355	\N	\N	\N
941333	3212	1996-03-11	VYDAJ	VYBER	3000	32548	\N	\N	\N
941334	3212	1996-04-10	PRIJEM	VKLAD	300	34232	\N	\N	\N
941335	3212	1996-05-10	PRIJEM	VKLAD	800	36324	\N	\N	\N
941336	3212	1996-06-09	VYDAJ	VYBER	2600	35023	\N	\N	\N
941337	3212	1996-07-09	PRIJEM	VKLAD	5400	35660	\N	\N	\N
941338	3212	1996-08-08	PRIJEM	VKLAD	3200	39100	\N	\N	\N
941339	3212	1996-09-07	VYDAJ	VYBER	1400	36716	\N	\N	\N
941340	3212	1996-10-07	PRIJEM	VKLAD	4000	41177	\N	\N	\N
941341	3212	1996-11-06	PRIJEM	VKLAD	1700	44194	\N	\N	\N
941342	3212	1996-12-06	PRIJEM	VKLAD	2300	47825	\N	\N	\N
941343	3212	1997-01-05	PRIJEM	VKLAD	400	47048	\N	\N	\N
941344	3212	1997-02-04	PRIJEM	VKLAD	500	45826	\N	\N	\N
941345	3212	1997-03-06	VYDAJ	VYBER	1500	45664	\N	\N	\N
941346	3212	1997-04-05	PRIJEM	VKLAD	1600	48604	\N	\N	\N
941347	3212	1997-05-05	PRIJEM	VKLAD	3800	53753	\N	\N	\N
941348	3212	1997-06-04	PRIJEM	VKLAD	1800	56290	\N	\N	\N
941349	3212	1997-07-04	PRIJEM	VKLAD	4000	55300	\N	\N	\N
941350	3212	1997-08-03	PRIJEM	VKLAD	3800	60475	\N	\N	\N
941351	3212	1997-09-02	VYDAJ	VYBER KARTOU	1500	59471	\N	\N	0
941352	3212	1997-10-02	PRIJEM	VKLAD	1900	62767	\N	\N	\N
941353	3212	1997-11-01	VYDAJ	VYBER KARTOU	1000	63175	\N	\N	0
941354	3212	1997-12-01	PRIJEM	VKLAD	1700	64982	\N	\N	\N
941355	3212	1997-12-31	PRIJEM	VKLAD	1900	67611	\N	\N	\N
941356	3212	1998-01-30	VYDAJ	VYBER KARTOU	800	62258	\N	\N	0
941357	3212	1998-03-01	VYDAJ	VYBER KARTOU	2400	61513	\N	\N	0
941358	3212	1998-03-31	PRIJEM	VKLAD	900	63232	\N	\N	\N
941359	3212	1998-04-30	PRIJEM	VKLAD	1400	65779	\N	\N	\N
941360	3212	1998-05-30	VYDAJ	VYBER KARTOU	3700	62489	\N	\N	0
941361	3212	1998-06-29	VYDAJ	VYBER	4600	57709	\N	\N	\N
941362	3212	1998-08-28	VYDAJ	VYBER KARTOU	2000	57599	\N	\N	0
941363	3212	1998-09-27	VYDAJ	VYBER KARTOU	100	58887	\N	\N	0
941364	3212	1998-10-27	VYDAJ	VYBER KARTOU	800	59474	\N	\N	0
941365	3212	1998-11-26	PRIJEM	VKLAD	1000	61265	\N	\N	\N
941431	3213	1993-04-12	PRIJEM	VKLAD	400	400	\N	\N	\N
941436	3213	1993-05-05	PRIJEM	PREVOD Z UCTU	3068	3468	\N	EF	66762119
941437	3213	1993-06-05	PRIJEM	PREVOD Z UCTU	3068	6536	\N	EF	66762119
941438	3213	1993-07-05	PRIJEM	PREVOD Z UCTU	3068	9604	\N	EF	66762119
941439	3213	1993-08-05	PRIJEM	PREVOD Z UCTU	3068	12672	\N	EF	66762119
941440	3213	1993-09-05	PRIJEM	PREVOD Z UCTU	3068	15740	\N	EF	66762119
941441	3213	1993-10-05	PRIJEM	PREVOD Z UCTU	3068	16794	\N	EF	66762119
941442	3213	1993-11-05	PRIJEM	PREVOD Z UCTU	3068	17864	\N	EF	66762119
941443	3213	1993-12-05	PRIJEM	PREVOD Z UCTU	3068	18937	\N	EF	66762119
941444	3213	1994-01-05	PRIJEM	PREVOD Z UCTU	3068	18394	\N	EF	66762119
941445	3213	1994-02-05	PRIJEM	PREVOD Z UCTU	3068	15657	\N	EF	66762119
941446	3213	1994-03-05	PRIJEM	PREVOD Z UCTU	3068	16721	\N	EF	66762119
941447	3213	1994-04-05	PRIJEM	PREVOD Z UCTU	3068	17039	\N	EF	66762119
941448	3213	1994-05-05	PRIJEM	PREVOD Z UCTU	3068	17028	\N	EF	66762119
941449	3213	1994-06-05	PRIJEM	PREVOD Z UCTU	3068	18099	\N	EF	66762119
941450	3213	1994-07-05	PRIJEM	PREVOD Z UCTU	3068	16230	\N	EF	66762119
941451	3213	1994-08-05	PRIJEM	PREVOD Z UCTU	3068	16214	\N	EF	66762119
941452	3213	1994-09-05	PRIJEM	PREVOD Z UCTU	3068	16500	\N	EF	66762119
941453	3213	1994-10-05	PRIJEM	PREVOD Z UCTU	3068	17570	\N	EF	66762119
941454	3213	1994-11-05	PRIJEM	PREVOD Z UCTU	3068	18642	\N	EF	66762119
941455	3213	1994-12-05	PRIJEM	PREVOD Z UCTU	3068	18308	\N	EF	66762119
941456	3213	1995-01-05	PRIJEM	PREVOD Z UCTU	3068	17193	\N	EF	66762119
941457	3213	1995-02-05	PRIJEM	PREVOD Z UCTU	3068	16460	\N	EF	66762119
941458	3213	1995-03-05	PRIJEM	PREVOD Z UCTU	3068	17528	\N	EF	66762119
941459	3213	1995-04-05	PRIJEM	PREVOD Z UCTU	3068	18600	\N	EF	66762119
941460	3213	1995-05-05	PRIJEM	PREVOD Z UCTU	3068	19677	\N	EF	66762119
941461	3213	1995-06-05	PRIJEM	PREVOD Z UCTU	3068	20758	\N	EF	66762119
941462	3213	1995-07-05	PRIJEM	PREVOD Z UCTU	3068	21543	\N	EF	66762119
941463	3213	1995-08-05	PRIJEM	PREVOD Z UCTU	3068	22631	\N	EF	66762119
941464	3213	1995-09-05	PRIJEM	PREVOD Z UCTU	3068	22324	\N	EF	66762119
941465	3213	1995-10-05	PRIJEM	PREVOD Z UCTU	3068	21255	\N	EF	66762119
941466	3213	1995-11-05	PRIJEM	PREVOD Z UCTU	3068	21952	\N	EF	66762119
941467	3213	1995-12-05	PRIJEM	PREVOD Z UCTU	3068	20241	\N	EF	66762119
941468	3213	1996-01-05	PRIJEM	PREVOD Z UCTU	3068	20864	\N	EF	66762119
941469	3213	1996-02-05	PRIJEM	PREVOD Z UCTU	3068	17892	\N	EF	66762119
941470	3213	1996-03-05	PRIJEM	PREVOD Z UCTU	3068	17665	\N	EF	66762119
941471	3213	1996-04-05	PRIJEM	PREVOD Z UCTU	3068	18737	\N	EF	66762119
941472	3213	1996-05-05	PRIJEM	PREVOD Z UCTU	3068	18313	\N	EF	66762119
941473	3213	1996-06-05	PRIJEM	PREVOD Z UCTU	3068	19388	\N	EF	66762119
941474	3213	1996-07-05	PRIJEM	PREVOD Z UCTU	3068	18966	\N	EF	66762119
941475	3213	1996-08-05	PRIJEM	PREVOD Z UCTU	3068	18302	\N	EF	66762119
941476	3213	1996-09-05	PRIJEM	PREVOD Z UCTU	3068	19278	\N	EF	66762119
941477	3213	1996-10-05	PRIJEM	PREVOD Z UCTU	3068	19244	\N	EF	66762119
941478	3213	1996-11-05	PRIJEM	PREVOD Z UCTU	3068	20112	\N	EF	66762119
941479	3213	1996-12-05	PRIJEM	PREVOD Z UCTU	3068	19893	\N	EF	66762119
941480	3213	1997-01-05	PRIJEM	PREVOD Z UCTU	3068	20313	\N	EF	66762119
941481	3213	1997-02-05	PRIJEM	PREVOD Z UCTU	3068	18839	\N	EF	66762119
941482	3213	1997-03-05	PRIJEM	PREVOD Z UCTU	3068	19646	\N	EF	66762119
941483	3213	1997-04-05	PRIJEM	PREVOD Z UCTU	3068	20726	\N	EF	66762119
941484	3213	1997-05-05	PRIJEM	PREVOD Z UCTU	3068	19738	\N	EF	66762119
941485	3213	1997-06-05	PRIJEM	PREVOD Z UCTU	3068	20188	\N	EF	66762119
941486	3213	1997-07-05	PRIJEM	PREVOD Z UCTU	3068	17995	\N	EF	66762119
941487	3213	1997-08-05	PRIJEM	PREVOD Z UCTU	3068	19068	\N	EF	66762119
941488	3213	1997-09-05	PRIJEM	PREVOD Z UCTU	3068	20145	\N	EF	66762119
941489	3213	1997-10-05	PRIJEM	PREVOD Z UCTU	3068	20225	\N	EF	66762119
941490	3213	1997-11-05	PRIJEM	PREVOD Z UCTU	3068	20306	\N	EF	66762119
941491	3213	1997-12-05	PRIJEM	PREVOD Z UCTU	3068	21288	\N	EF	66762119
941492	3213	1998-01-05	PRIJEM	PREVOD Z UCTU	3068	18799	\N	EF	66762119
941493	3213	1998-02-05	PRIJEM	PREVOD Z UCTU	3068	17921	\N	EF	66762119
941494	3213	1998-03-05	PRIJEM	PREVOD Z UCTU	3068	18542	\N	EF	66762119
941495	3213	1998-04-05	PRIJEM	PREVOD Z UCTU	3068	18775	\N	EF	66762119
941496	3213	1998-05-05	PRIJEM	PREVOD Z UCTU	3068	19850	\N	EF	66762119
941497	3213	1998-06-05	PRIJEM	PREVOD Z UCTU	3068	20931	\N	EF	66762119
941498	3213	1998-07-05	PRIJEM	PREVOD Z UCTU	3068	18797	\N	EF	66762119
941499	3213	1998-08-05	PRIJEM	PREVOD Z UCTU	3068	19873	\N	EF	66762119
941500	3213	1998-09-05	PRIJEM	PREVOD Z UCTU	3068	20954	\N	EF	66762119
941501	3213	1998-10-05	PRIJEM	PREVOD Z UCTU	3068	21198	\N	EF	66762119
941502	3213	1998-11-05	PRIJEM	PREVOD Z UCTU	3068	21773	\N	EF	66762119
941503	3213	1998-12-05	PRIJEM	PREVOD Z UCTU	3068	19897	\N	EF	66762119
941512	3213	1993-09-07	VYDAJ	PREVOD NA UCET	1483	14257	\N	AB	80640691
941513	3213	1993-10-07	VYDAJ	PREVOD NA UCET	1483	15311	\N	AB	80640691
941514	3213	1993-11-07	VYDAJ	PREVOD NA UCET	1483	16381	\N	AB	80640691
941515	3213	1993-12-07	VYDAJ	PREVOD NA UCET	1483	16704	\N	AB	80640691
941516	3213	1994-01-07	VYDAJ	PREVOD NA UCET	1483	16911	\N	AB	80640691
941517	3213	1994-02-07	VYDAJ	PREVOD NA UCET	1483	14174	\N	AB	80640691
941518	3213	1994-03-07	VYDAJ	PREVOD NA UCET	1483	15238	\N	AB	80640691
941519	3213	1994-04-07	VYDAJ	PREVOD NA UCET	1483	15556	\N	AB	80640691
941520	3213	1994-05-07	VYDAJ	PREVOD NA UCET	1483	15545	\N	AB	80640691
941521	3213	1994-06-07	VYDAJ	PREVOD NA UCET	1483	16616	\N	AB	80640691
941522	3213	1994-07-07	VYDAJ	PREVOD NA UCET	1483	14747	\N	AB	80640691
941523	3213	1994-08-07	VYDAJ	PREVOD NA UCET	1483	14731	\N	AB	80640691
941524	3213	1994-09-07	VYDAJ	PREVOD NA UCET	1483	15017	\N	AB	80640691
941525	3213	1994-10-07	VYDAJ	PREVOD NA UCET	1483	16087	\N	AB	80640691
941526	3213	1994-11-07	VYDAJ	PREVOD NA UCET	1483	17159	\N	AB	80640691
941527	3213	1994-12-07	VYDAJ	PREVOD NA UCET	1483	16825	\N	AB	80640691
941528	3213	1995-01-07	VYDAJ	PREVOD NA UCET	1483	15050	\N	AB	80640691
941529	3213	1995-02-07	VYDAJ	PREVOD NA UCET	1483	14977	\N	AB	80640691
941530	3213	1995-03-07	VYDAJ	PREVOD NA UCET	1483	16045	\N	AB	80640691
941531	3213	1995-04-07	VYDAJ	PREVOD NA UCET	1483	17117	\N	AB	80640691
941532	3213	1995-05-07	VYDAJ	PREVOD NA UCET	1483	18194	\N	AB	80640691
941533	3213	1995-06-07	VYDAJ	PREVOD NA UCET	1483	19275	\N	AB	80640691
941534	3213	1995-07-07	VYDAJ	PREVOD NA UCET	1483	20060	\N	AB	80640691
941535	3213	1995-08-07	VYDAJ	PREVOD NA UCET	1483	21148	\N	AB	80640691
941536	3213	1995-09-07	VYDAJ	PREVOD NA UCET	1483	20841	\N	AB	80640691
941537	3213	1995-10-07	VYDAJ	PREVOD NA UCET	1483	19772	\N	AB	80640691
941538	3213	1995-11-07	VYDAJ	PREVOD NA UCET	1483	20469	\N	AB	80640691
941539	3213	1995-12-07	VYDAJ	PREVOD NA UCET	1483	18758	\N	AB	80640691
941540	3213	1996-01-07	VYDAJ	PREVOD NA UCET	1483	19381	\N	AB	80640691
941541	3213	1996-02-07	VYDAJ	PREVOD NA UCET	1483	16409	\N	AB	80640691
941542	3213	1996-03-07	VYDAJ	PREVOD NA UCET	1483	16182	\N	AB	80640691
941543	3213	1996-04-07	VYDAJ	PREVOD NA UCET	1483	17254	\N	AB	80640691
941544	3213	1996-05-07	VYDAJ	PREVOD NA UCET	1483	16830	\N	AB	80640691
941545	3213	1996-06-07	VYDAJ	PREVOD NA UCET	1483	17905	\N	AB	80640691
941546	3213	1996-07-07	VYDAJ	PREVOD NA UCET	1483	17483	\N	AB	80640691
941547	3213	1996-08-07	VYDAJ	PREVOD NA UCET	1483	16819	\N	AB	80640691
941548	3213	1996-09-07	VYDAJ	PREVOD NA UCET	1483	17795	\N	AB	80640691
941549	3213	1996-10-07	VYDAJ	PREVOD NA UCET	1483	17761	\N	AB	80640691
941550	3213	1996-11-07	VYDAJ	PREVOD NA UCET	1483	18629	\N	AB	80640691
941551	3213	1996-12-07	VYDAJ	PREVOD NA UCET	1483	18410	\N	AB	80640691
941552	3213	1997-01-07	VYDAJ	PREVOD NA UCET	1483	16490	\N	AB	80640691
941553	3213	1997-02-07	VYDAJ	PREVOD NA UCET	1483	17356	\N	AB	80640691
941554	3213	1997-03-07	VYDAJ	PREVOD NA UCET	1483	18163	\N	AB	80640691
941555	3213	1997-04-07	VYDAJ	PREVOD NA UCET	1483	19243	\N	AB	80640691
941556	3213	1997-05-07	VYDAJ	PREVOD NA UCET	1483	18255	\N	AB	80640691
941557	3213	1997-06-07	VYDAJ	PREVOD NA UCET	1483	18705	\N	AB	80640691
941558	3213	1997-07-07	VYDAJ	PREVOD NA UCET	1483	16512	\N	AB	80640691
941559	3213	1997-08-07	VYDAJ	PREVOD NA UCET	1483	17585	\N	AB	80640691
941560	3213	1997-09-07	VYDAJ	PREVOD NA UCET	1483	18662	\N	AB	80640691
941561	3213	1997-10-07	VYDAJ	PREVOD NA UCET	1483	18742	\N	AB	80640691
941562	3213	1997-11-07	VYDAJ	PREVOD NA UCET	1483	18823	\N	AB	80640691
941563	3213	1997-12-07	VYDAJ	PREVOD NA UCET	1483	19805	\N	AB	80640691
941564	3213	1998-01-07	VYDAJ	PREVOD NA UCET	1483	16956	\N	AB	80640691
941565	3213	1998-02-07	VYDAJ	PREVOD NA UCET	1483	16438	\N	AB	80640691
941566	3213	1998-03-07	VYDAJ	PREVOD NA UCET	1483	17059	\N	AB	80640691
941567	3213	1998-04-07	VYDAJ	PREVOD NA UCET	1483	17292	\N	AB	80640691
941568	3213	1998-05-07	VYDAJ	PREVOD NA UCET	1483	18367	\N	AB	80640691
941569	3213	1998-06-07	VYDAJ	PREVOD NA UCET	1483	19448	\N	AB	80640691
941570	3213	1998-07-07	VYDAJ	PREVOD NA UCET	1483	17314	\N	AB	80640691
941571	3213	1998-08-07	VYDAJ	PREVOD NA UCET	1483	18390	\N	AB	80640691
941572	3213	1998-09-07	VYDAJ	PREVOD NA UCET	1483	19471	\N	AB	80640691
941573	3213	1998-10-07	VYDAJ	PREVOD NA UCET	1483	19715	\N	AB	80640691
941574	3213	1998-11-07	VYDAJ	PREVOD NA UCET	1483	20290	\N	AB	80640691
941575	3213	1998-12-07	VYDAJ	PREVOD NA UCET	1483	18414	\N	AB	80640691
941584	3213	1993-09-10	VYDAJ	PREVOD NA UCET	562	13695	\N	GH	67793083
941585	3213	1993-10-10	VYDAJ	PREVOD NA UCET	562	14749	\N	GH	67793083
941586	3213	1993-11-10	VYDAJ	PREVOD NA UCET	562	15819	\N	GH	67793083
941587	3213	1993-12-10	VYDAJ	PREVOD NA UCET	562	16142	\N	GH	67793083
941588	3213	1994-01-10	VYDAJ	PREVOD NA UCET	562	16349	\N	GH	67793083
941589	3213	1994-02-10	VYDAJ	PREVOD NA UCET	562	13612	\N	GH	67793083
941590	3213	1994-03-10	VYDAJ	PREVOD NA UCET	562	14676	\N	GH	67793083
941591	3213	1994-04-10	VYDAJ	PREVOD NA UCET	562	14994	\N	GH	67793083
941592	3213	1994-05-10	VYDAJ	PREVOD NA UCET	562	14983	\N	GH	67793083
941593	3213	1994-06-10	VYDAJ	PREVOD NA UCET	562	16054	\N	GH	67793083
941594	3213	1994-07-10	VYDAJ	PREVOD NA UCET	562	13105	\N	GH	67793083
941595	3213	1994-08-10	VYDAJ	PREVOD NA UCET	562	14169	\N	GH	67793083
941596	3213	1994-09-10	VYDAJ	PREVOD NA UCET	562	14455	\N	GH	67793083
941597	3213	1994-10-10	VYDAJ	PREVOD NA UCET	562	15525	\N	GH	67793083
941598	3213	1994-11-10	VYDAJ	PREVOD NA UCET	562	16597	\N	GH	67793083
941599	3213	1994-12-10	VYDAJ	PREVOD NA UCET	562	16263	\N	GH	67793083
941600	3213	1995-01-10	VYDAJ	PREVOD NA UCET	562	14488	\N	GH	67793083
941601	3213	1995-02-10	VYDAJ	PREVOD NA UCET	562	14415	\N	GH	67793083
941602	3213	1995-03-10	VYDAJ	PREVOD NA UCET	562	15483	\N	GH	67793083
941603	3213	1995-04-10	VYDAJ	PREVOD NA UCET	562	16555	\N	GH	67793083
941604	3213	1995-05-10	VYDAJ	PREVOD NA UCET	562	17632	\N	GH	67793083
941605	3213	1995-06-10	VYDAJ	PREVOD NA UCET	562	18713	\N	GH	67793083
941606	3213	1995-07-10	VYDAJ	PREVOD NA UCET	562	19498	\N	GH	67793083
941607	3213	1995-08-10	VYDAJ	PREVOD NA UCET	562	20586	\N	GH	67793083
941608	3213	1995-09-10	VYDAJ	PREVOD NA UCET	562	20279	\N	GH	67793083
941609	3213	1995-10-10	VYDAJ	PREVOD NA UCET	562	19210	\N	GH	67793083
941610	3213	1995-11-10	VYDAJ	PREVOD NA UCET	562	19907	\N	GH	67793083
941611	3213	1995-12-10	VYDAJ	PREVOD NA UCET	562	18196	\N	GH	67793083
941612	3213	1996-01-10	VYDAJ	PREVOD NA UCET	562	17979	\N	GH	67793083
941613	3213	1996-02-10	VYDAJ	PREVOD NA UCET	562	15847	\N	GH	67793083
941614	3213	1996-03-10	VYDAJ	PREVOD NA UCET	562	15620	\N	GH	67793083
941615	3213	1996-04-10	VYDAJ	PREVOD NA UCET	562	16692	\N	GH	67793083
941616	3213	1996-05-10	VYDAJ	PREVOD NA UCET	562	16268	\N	GH	67793083
941617	3213	1996-06-10	VYDAJ	PREVOD NA UCET	562	17343	\N	GH	67793083
941618	3213	1996-07-10	VYDAJ	PREVOD NA UCET	562	16921	\N	GH	67793083
941619	3213	1996-08-10	VYDAJ	PREVOD NA UCET	562	16257	\N	GH	67793083
941620	3213	1996-09-10	VYDAJ	PREVOD NA UCET	562	16123	\N	GH	67793083
941621	3213	1996-10-10	VYDAJ	PREVOD NA UCET	562	17199	\N	GH	67793083
941622	3213	1996-11-10	VYDAJ	PREVOD NA UCET	562	18067	\N	GH	67793083
941623	3213	1996-12-10	VYDAJ	PREVOD NA UCET	562	17848	\N	GH	67793083
941624	3213	1997-01-10	VYDAJ	PREVOD NA UCET	562	15718	\N	GH	67793083
941625	3213	1997-02-10	VYDAJ	PREVOD NA UCET	562	16794	\N	GH	67793083
941626	3213	1997-03-10	VYDAJ	PREVOD NA UCET	562	17601	\N	GH	67793083
941627	3213	1997-04-10	VYDAJ	PREVOD NA UCET	562	18681	\N	GH	67793083
941628	3213	1997-05-10	VYDAJ	PREVOD NA UCET	562	17693	\N	GH	67793083
941629	3213	1997-06-10	VYDAJ	PREVOD NA UCET	562	18143	\N	GH	67793083
941630	3213	1997-07-10	VYDAJ	PREVOD NA UCET	562	15950	\N	GH	67793083
941631	3213	1997-08-10	VYDAJ	PREVOD NA UCET	562	17023	\N	GH	67793083
941632	3213	1997-09-10	VYDAJ	PREVOD NA UCET	562	18100	\N	GH	67793083
941633	3213	1997-10-10	VYDAJ	PREVOD NA UCET	562	18180	\N	GH	67793083
941634	3213	1997-11-10	VYDAJ	PREVOD NA UCET	562	18261	\N	GH	67793083
941635	3213	1997-12-10	VYDAJ	PREVOD NA UCET	562	19243	\N	GH	67793083
941636	3213	1998-01-10	VYDAJ	PREVOD NA UCET	562	16034	\N	GH	67793083
941637	3213	1998-02-10	VYDAJ	PREVOD NA UCET	562	15876	\N	GH	67793083
941638	3213	1998-03-10	VYDAJ	PREVOD NA UCET	562	15657	\N	GH	67793083
941639	3213	1998-04-10	VYDAJ	PREVOD NA UCET	562	16730	\N	GH	67793083
941640	3213	1998-05-10	VYDAJ	PREVOD NA UCET	562	17805	\N	GH	67793083
941641	3213	1998-06-10	VYDAJ	PREVOD NA UCET	562	18886	\N	GH	67793083
941642	3213	1998-07-10	VYDAJ	PREVOD NA UCET	562	16752	\N	GH	67793083
941643	3213	1998-08-10	VYDAJ	PREVOD NA UCET	562	17828	\N	GH	67793083
941644	3213	1998-09-10	VYDAJ	PREVOD NA UCET	562	18909	\N	GH	67793083
941645	3213	1998-10-10	VYDAJ	PREVOD NA UCET	562	19153	\N	GH	67793083
941646	3213	1998-11-10	VYDAJ	PREVOD NA UCET	562	19728	\N	GH	67793083
941647	3213	1998-12-10	VYDAJ	PREVOD NA UCET	562	17852	\N	GH	67793083
941649	3213	1994-06-22	VYDAJ	VYBER	2940	13114	\N	\N	\N
941652	3213	1997-06-19	VYDAJ	VYBER	3270	14873	\N	\N	\N
941653	3213	1998-06-12	VYDAJ	VYBER	2970	15916	\N	\N	\N
941655	3213	1994-01-26	VYDAJ	VYBER	1440	13379	\N	\N	\N
941656	3213	1995-01-13	VYDAJ	VYBER	450	14038	\N	\N	\N
941657	3213	1996-01-24	VYDAJ	VYBER	510	16149	\N	\N	\N
941659	3213	1998-01-14	VYDAJ	VYBER	900	15134	\N	\N	\N
941660	3213	1993-12-05	VYDAJ	VYBER	750	18187	\N	\N	\N
941661	3213	1994-12-29	VYDAJ	VYBER	330	15933	\N	\N	\N
941662	3213	1995-12-20	VYDAJ	VYBER	360	17836	\N	\N	\N
941663	3213	1996-12-13	VYDAJ	VYBER	210	17638	\N	\N	\N
941664	3213	1997-12-16	VYDAJ	VYBER	150	18913	\N	\N	\N
941665	3213	1998-12-03	VYDAJ	VYBER	210	16829	\N	\N	\N
941672	3213	1994-01-23	VYDAJ	VYBER	540	14819	\N	\N	\N
941674	3213	1994-01-22	VYDAJ	VYBER	510	15359	\N	\N	\N
941675	3213	1994-01-26	VYDAJ	VYBER	840	12539	\N	\N	\N
941676	3213	1994-01-03	VYDAJ	VYBER	870	15326	\N	\N	\N
941677	3213	1994-01-19	VYDAJ	VYBER	480	15869	\N	\N	\N
941678	3213	1995-01-02	VYDAJ	VYBER	180	14515	\N	\N	\N
941679	3213	1995-01-04	VYDAJ	VYBER	390	14125	\N	\N	\N
941682	3213	1995-01-16	VYDAJ	VYBER	690	13348	\N	\N	\N
941683	3213	1995-01-06	VYDAJ	VYBER	660	16533	\N	\N	\N
941684	3213	1996-01-19	VYDAJ	VYBER	420	16659	\N	\N	\N
941685	3213	1996-01-27	VYDAJ	VYBER	630	14769	\N	\N	\N
941686	3213	1996-01-27	VYDAJ	VYBER	750	15399	\N	\N	\N
941687	3213	1996-01-13	VYDAJ	VYBER	390	17079	\N	\N	\N
941688	3213	1996-01-10	VYDAJ	VYBER	510	17469	\N	\N	\N
941689	3213	1996-01-09	VYDAJ	VYBER	840	18541	\N	\N	\N
941690	3213	1997-01-06	VYDAJ	VYBER	450	17973	\N	\N	\N
941691	3213	1997-01-05	VYDAJ	VYBER	690	19623	\N	\N	\N
941692	3213	1997-01-01	VYDAJ	VYBER	300	17395	\N	\N	\N
941693	3213	1997-01-04	VYDAJ	VYBER	150	17245	\N	\N	\N
941694	3213	1997-01-07	VYDAJ	VYBER	210	16280	\N	\N	\N
941695	3213	1997-01-05	VYDAJ	VYBER	690	18933	\N	\N	\N
941697	3213	1998-01-01	VYDAJ	VYBER	540	15731	\N	\N	\N
941698	3213	1998-01-08	VYDAJ	VYBER	360	16596	\N	\N	\N
941699	3213	1998-01-05	VYDAJ	VYBER	360	18439	\N	\N	\N
941700	3213	1998-01-21	VYDAJ	VYBER	330	14804	\N	\N	\N
941705	3213	1994-03-19	VYDAJ	VYBER	750	13926	\N	\N	\N
941706	3213	1994-04-16	VYDAJ	VYBER	690	14304	\N	\N	\N
941707	3213	1994-05-02	VYDAJ	VYBER	390	13960	\N	\N	\N
941708	3213	1994-11-26	VYDAJ	VYBER	1410	15187	\N	\N	\N
941709	3213	1994-09-02	VYDAJ	VYBER	780	13432	\N	\N	\N
941710	3213	1994-07-09	VYDAJ	VYBER	1080	13667	\N	\N	\N
941711	3213	1995-01-01	VYDAJ	VYBER	1290	14695	\N	\N	\N
941712	3213	1995-10-20	VYDAJ	VYBER	390	18820	\N	\N	\N
941713	3213	1995-06-17	VYDAJ	VYBER	300	18413	\N	\N	\N
941714	3213	1995-09-18	VYDAJ	VYBER	660	19619	\N	\N	\N
941715	3213	1996-10-13	VYDAJ	VYBER	210	16989	\N	\N	\N
941716	3213	1996-08-01	VYDAJ	VYBER	1020	15234	\N	\N	\N
941717	3213	1996-09-08	VYDAJ	VYBER	1110	16685	\N	\N	\N
941718	3213	1996-07-12	VYDAJ	VYBER	720	16201	\N	\N	\N
941719	3213	1997-01-06	VYDAJ	VYBER	510	18423	\N	\N	\N
941720	3213	1997-04-23	VYDAJ	VYBER	270	16611	\N	\N	\N
941721	3213	1997-02-10	VYDAJ	VYBER	270	16524	\N	\N	\N
941722	3213	1997-05-26	VYDAJ	VYBER	630	17063	\N	\N	\N
941723	3213	1997-12-15	VYDAJ	VYBER	180	19063	\N	\N	\N
941724	3213	1998-02-11	VYDAJ	VYBER	450	15426	\N	\N	\N
941725	3213	1998-11-30	VYDAJ	VYBER	1350	17054	\N	\N	\N
941726	3213	1998-03-07	VYDAJ	VYBER	840	16219	\N	\N	\N
941728	3213	1998-09-10	VYDAJ	VYBER	840	18069	\N	\N	\N
941729	3213	1998-10-24	VYDAJ	VYBER	510	18643	\N	\N	\N
941730	3213	1998-06-24	VYDAJ	VYBER	240	15676	\N	\N	\N
941740	3213	1993-09-30	VYDAJ	VYBER	15	13726	SLUZBY	\N	\N
941741	3213	1993-10-31	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
941742	3213	1993-11-30	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
941743	3213	1993-12-31	VYDAJ	VYBER	15	16196	SLUZBY	\N	\N
941744	3213	1994-01-31	VYDAJ	VYBER	15	12589	SLUZBY	\N	\N
941745	3213	1994-02-28	VYDAJ	VYBER	15	13653	SLUZBY	\N	\N
941746	3213	1994-03-31	VYDAJ	VYBER	15	13971	SLUZBY	\N	\N
941747	3213	1994-04-30	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
941748	3213	1994-05-31	VYDAJ	VYBER	15	15031	SLUZBY	\N	\N
941749	3213	1994-06-30	VYDAJ	VYBER	15	13162	SLUZBY	\N	\N
941750	3213	1994-07-31	VYDAJ	VYBER	15	13146	SLUZBY	\N	\N
941751	3213	1994-08-31	VYDAJ	VYBER	15	14212	SLUZBY	\N	\N
941752	3213	1994-09-30	VYDAJ	VYBER	15	14502	SLUZBY	\N	\N
941753	3213	1994-10-31	VYDAJ	VYBER	15	15574	SLUZBY	\N	\N
941754	3213	1994-11-30	VYDAJ	VYBER	15	15240	SLUZBY	\N	\N
941755	3213	1994-12-31	VYDAJ	VYBER	15	15985	SLUZBY	\N	\N
941756	3213	1995-01-31	VYDAJ	VYBER	15	13392	SLUZBY	\N	\N
941757	3213	1995-02-28	VYDAJ	VYBER	15	14460	SLUZBY	\N	\N
941758	3213	1995-03-31	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
941759	3213	1995-04-30	VYDAJ	VYBER	15	16609	SLUZBY	\N	\N
941760	3213	1995-05-31	VYDAJ	VYBER	15	17690	SLUZBY	\N	\N
941761	3213	1995-06-30	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
941762	3213	1995-07-31	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
941763	3213	1995-08-31	VYDAJ	VYBER	15	19256	SLUZBY	\N	\N
941764	3213	1995-09-30	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
941765	3213	1995-10-31	VYDAJ	VYBER	15	18884	SLUZBY	\N	\N
941766	3213	1995-11-30	VYDAJ	VYBER	15	17173	SLUZBY	\N	\N
941767	3213	1995-12-31	VYDAJ	VYBER	15	17796	SLUZBY	\N	\N
941768	3213	1996-01-31	VYDAJ	VYBER	15	14824	SLUZBY	\N	\N
941769	3213	1996-02-29	VYDAJ	VYBER	15	14597	SLUZBY	\N	\N
941770	3213	1996-03-31	VYDAJ	VYBER	15	15669	SLUZBY	\N	\N
941771	3213	1996-04-30	VYDAJ	VYBER	15	15245	SLUZBY	\N	\N
941772	3213	1996-05-31	VYDAJ	VYBER	15	16320	SLUZBY	\N	\N
941773	3213	1996-06-30	VYDAJ	VYBER	15	15898	SLUZBY	\N	\N
941774	3213	1996-07-31	VYDAJ	VYBER	15	16254	SLUZBY	\N	\N
941775	3213	1996-08-31	VYDAJ	VYBER	15	16210	SLUZBY	\N	\N
941776	3213	1996-09-30	VYDAJ	VYBER	15	16176	SLUZBY	\N	\N
941777	3213	1996-10-31	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
941778	3213	1996-11-30	VYDAJ	VYBER	15	16825	SLUZBY	\N	\N
941779	3213	1996-12-31	VYDAJ	VYBER	15	17695	SLUZBY	\N	\N
941780	3213	1997-01-31	VYDAJ	VYBER	15	15771	SLUZBY	\N	\N
941781	3213	1997-02-28	VYDAJ	VYBER	15	16578	SLUZBY	\N	\N
941782	3213	1997-03-31	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
941783	3213	1997-04-30	VYDAJ	VYBER	15	16670	SLUZBY	\N	\N
941784	3213	1997-05-31	VYDAJ	VYBER	15	17120	SLUZBY	\N	\N
941785	3213	1997-06-30	VYDAJ	VYBER	15	14927	SLUZBY	\N	\N
941786	3213	1997-07-31	VYDAJ	VYBER	15	16000	SLUZBY	\N	\N
941787	3213	1997-08-31	VYDAJ	VYBER	15	17077	SLUZBY	\N	\N
941788	3213	1997-09-30	VYDAJ	VYBER	15	17157	SLUZBY	\N	\N
941789	3213	1997-10-31	VYDAJ	VYBER	15	17238	SLUZBY	\N	\N
941790	3213	1997-11-30	VYDAJ	VYBER	15	18220	SLUZBY	\N	\N
941791	3213	1997-12-31	VYDAJ	VYBER	15	16271	SLUZBY	\N	\N
941792	3213	1998-01-31	VYDAJ	VYBER	15	14853	SLUZBY	\N	\N
941793	3213	1998-02-28	VYDAJ	VYBER	15	15474	SLUZBY	\N	\N
941794	3213	1998-03-31	VYDAJ	VYBER	15	15707	SLUZBY	\N	\N
941795	3213	1998-04-30	VYDAJ	VYBER	15	16782	SLUZBY	\N	\N
941796	3213	1998-05-31	VYDAJ	VYBER	15	17863	SLUZBY	\N	\N
941797	3213	1998-06-30	VYDAJ	VYBER	15	15729	SLUZBY	\N	\N
941798	3213	1998-07-31	VYDAJ	VYBER	15	16805	SLUZBY	\N	\N
941799	3213	1998-08-31	VYDAJ	VYBER	15	17886	SLUZBY	\N	\N
941800	3213	1998-09-30	VYDAJ	VYBER	15	18130	SLUZBY	\N	\N
941801	3213	1998-10-31	VYDAJ	VYBER	15	18705	SLUZBY	\N	\N
941802	3213	1998-11-30	VYDAJ	VYBER	15	17039	SLUZBY	\N	\N
941803	3213	1995-08-30	VYDAJ	VYBER	1400	19186	\N	\N	\N
941804	3213	1995-09-29	VYDAJ	VYBER	1500	18119	\N	\N	\N
941805	3213	1995-11-28	VYDAJ	VYBER	2800	17107	\N	\N	\N
941806	3213	1995-12-28	VYDAJ	VYBER	100	17736	\N	\N	\N
941807	3213	1996-02-26	VYDAJ	VYBER	1300	14547	\N	\N	\N
941808	3213	1996-04-26	VYDAJ	VYBER	1500	15192	\N	\N	\N
941809	3213	1996-06-25	VYDAJ	VYBER	1500	15843	\N	\N	\N
941810	3213	1996-08-24	VYDAJ	VYBER	100	16157	\N	\N	\N
941811	3213	1996-11-22	VYDAJ	VYBER	1300	16767	\N	\N	\N
941812	3213	1997-04-21	VYDAJ	VYBER	1800	16881	\N	\N	\N
941813	3213	1997-09-18	VYDAJ	VYBER	1000	17100	\N	\N	\N
941814	3213	1997-10-18	VYDAJ	VYBER	1000	17180	\N	\N	\N
941815	3213	1997-11-17	VYDAJ	VYBER	100	18161	\N	\N	\N
941816	3213	1997-12-17	VYDAJ	VYBER	2700	16213	\N	\N	\N
941817	3213	1998-11-12	VYDAJ	VYBER	1400	18328	\N	\N	\N
941882	3214	1997-05-10	PRIJEM	VKLAD	200	4219	\N	\N	\N
941887	3214	1997-05-10	PRIJEM	PREVOD Z UCTU	4019	4019	DUCHOD	CD	27255785
941888	3214	1997-06-10	PRIJEM	PREVOD Z UCTU	4019	8251	DUCHOD	CD	27255785
941889	3214	1997-07-10	PRIJEM	PREVOD Z UCTU	4019	12287	DUCHOD	CD	27255785
941890	3214	1997-08-10	PRIJEM	PREVOD Z UCTU	4019	16324	DUCHOD	CD	27255785
941891	3214	1997-09-10	PRIJEM	PREVOD Z UCTU	4019	20360	DUCHOD	CD	27255785
941892	3214	1997-10-10	PRIJEM	PREVOD Z UCTU	4019	17247	DUCHOD	CD	27255785
941893	3214	1997-11-10	PRIJEM	PREVOD Z UCTU	4019	18642	DUCHOD	CD	27255785
941894	3214	1997-12-10	PRIJEM	PREVOD Z UCTU	4019	19694	DUCHOD	CD	27255785
941895	3214	1998-01-10	PRIJEM	PREVOD Z UCTU	4019	16399	DUCHOD	CD	27255785
941896	3214	1998-02-10	PRIJEM	PREVOD Z UCTU	4019	17795	DUCHOD	CD	27255785
941897	3214	1998-03-10	PRIJEM	PREVOD Z UCTU	4019	19193	DUCHOD	CD	27255785
941898	3214	1998-04-10	PRIJEM	PREVOD Z UCTU	4019	20596	DUCHOD	CD	27255785
941899	3214	1998-05-10	PRIJEM	PREVOD Z UCTU	4019	20965	DUCHOD	CD	27255785
941900	3214	1998-06-10	PRIJEM	PREVOD Z UCTU	4019	22376	DUCHOD	CD	27255785
941901	3214	1998-07-10	PRIJEM	PREVOD Z UCTU	4019	16928	DUCHOD	CD	27255785
941902	3214	1998-08-10	PRIJEM	PREVOD Z UCTU	4019	18323	DUCHOD	CD	27255785
941903	3214	1998-09-10	PRIJEM	PREVOD Z UCTU	4019	19723	DUCHOD	CD	27255785
941904	3214	1998-10-10	PRIJEM	PREVOD Z UCTU	4019	19208	DUCHOD	CD	27255785
941905	3214	1998-11-10	PRIJEM	PREVOD Z UCTU	4019	20612	DUCHOD	CD	27255785
941906	3214	1998-12-10	PRIJEM	PREVOD Z UCTU	4019	20579	DUCHOD	CD	27255785
941916	3214	1997-10-09	VYDAJ	PREVOD NA UCET	2679	13228	SIPO	EF	20723015
941917	3214	1997-11-09	VYDAJ	PREVOD NA UCET	2679	14623	SIPO	EF	20723015
941918	3214	1997-12-09	VYDAJ	PREVOD NA UCET	2679	15675	SIPO	EF	20723015
941919	3214	1998-01-09	VYDAJ	PREVOD NA UCET	2679	12380	SIPO	EF	20723015
941920	3214	1998-02-09	VYDAJ	PREVOD NA UCET	2679	13776	SIPO	EF	20723015
941921	3214	1998-03-09	VYDAJ	PREVOD NA UCET	2679	15174	SIPO	EF	20723015
941922	3214	1998-04-09	VYDAJ	PREVOD NA UCET	2679	16577	SIPO	EF	20723015
941923	3214	1998-05-09	VYDAJ	PREVOD NA UCET	2679	16946	SIPO	EF	20723015
941924	3214	1998-06-09	VYDAJ	PREVOD NA UCET	2679	18357	SIPO	EF	20723015
941925	3214	1998-07-09	VYDAJ	PREVOD NA UCET	2679	12909	SIPO	EF	20723015
941926	3214	1998-08-09	VYDAJ	PREVOD NA UCET	2679	14304	SIPO	EF	20723015
941927	3214	1998-09-09	VYDAJ	PREVOD NA UCET	2679	15704	SIPO	EF	20723015
941928	3214	1998-10-09	VYDAJ	PREVOD NA UCET	2679	15189	SIPO	EF	20723015
941929	3214	1998-11-09	VYDAJ	PREVOD NA UCET	2679	16593	SIPO	EF	20723015
941930	3214	1998-12-09	VYDAJ	PREVOD NA UCET	2679	16560	SIPO	EF	20723015
941932	3214	1998-06-16	VYDAJ	VYBER	6850	15526	\N	\N	\N
941934	3214	1998-01-07	VYDAJ	VYBER	3900	15059	\N	\N	\N
941935	3214	1997-12-05	VYDAJ	VYBER	350	18354	\N	\N	\N
941936	3214	1998-12-23	VYDAJ	VYBER	900	19679	\N	\N	\N
941939	3214	1997-09-17	VYDAJ	VYBER	3200	17160	\N	\N	\N
941940	3214	1997-09-21	VYDAJ	VYBER	1280	15880	\N	\N	\N
941941	3214	1998-04-21	VYDAJ	VYBER	1040	19556	\N	\N	\N
941942	3214	1998-11-17	VYDAJ	VYBER	1440	19172	\N	\N	\N
941943	3214	1998-09-25	VYDAJ	VYBER	1040	18683	\N	\N	\N
941944	3214	1998-10-08	VYDAJ	VYBER	880	17868	\N	\N	\N
941954	3214	1997-09-30	VYDAJ	VYBER	15	15907	SLUZBY	\N	\N
941955	3214	1997-10-31	VYDAJ	VYBER	15	17302	SLUZBY	\N	\N
941956	3214	1997-11-30	VYDAJ	VYBER	15	18704	SLUZBY	\N	\N
941957	3214	1997-12-31	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
941958	3214	1998-01-31	VYDAJ	VYBER	15	16455	SLUZBY	\N	\N
941959	3214	1998-02-28	VYDAJ	VYBER	15	17853	SLUZBY	\N	\N
941960	3214	1998-03-31	VYDAJ	VYBER	15	19256	SLUZBY	\N	\N
941961	3214	1998-04-30	VYDAJ	VYBER	15	19625	SLUZBY	\N	\N
941962	3214	1998-05-31	VYDAJ	VYBER	15	21036	SLUZBY	\N	\N
941963	3214	1998-06-30	VYDAJ	VYBER	15	15588	SLUZBY	\N	\N
941964	3214	1998-07-31	VYDAJ	VYBER	15	16983	SLUZBY	\N	\N
941965	3214	1998-08-31	VYDAJ	VYBER	15	18383	SLUZBY	\N	\N
941966	3214	1998-09-30	VYDAJ	VYBER	15	18748	SLUZBY	\N	\N
941967	3214	1998-10-31	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
941968	3214	1998-11-30	VYDAJ	VYBER	15	19239	SLUZBY	\N	\N
941969	3214	1998-01-05	VYDAJ	VYBER	800	18959	\N	\N	\N
942566	3216	1995-08-11	PRIJEM	VKLAD	200	200	\N	\N	\N
942569	3216	1995-10-26	PRIJEM	VKLAD	43869	73127	\N	\N	\N
942575	3216	1995-09-28	PRIJEM	VKLAD	19544	34044	\N	\N	\N
942578	3216	1996-09-14	PRIJEM	VKLAD	43518	86334	\N	\N	\N
942579	3216	1996-03-30	PRIJEM	VKLAD	27758	62164	\N	\N	\N
942580	3216	1996-04-20	PRIJEM	VKLAD	6775	61840	\N	\N	\N
942581	3216	1996-01-21	PRIJEM	VKLAD	28172	60382	\N	\N	\N
942582	3216	1996-06-07	PRIJEM	VKLAD	20451	77658	\N	\N	\N
942583	3216	1996-10-07	PRIJEM	VKLAD	15841	59892	\N	\N	\N
942584	3216	1996-08-01	PRIJEM	VKLAD	40714	88133	\N	\N	\N
942585	3216	1996-11-12	PRIJEM	VKLAD	29395	62936	\N	\N	\N
942586	3216	1996-04-05	PRIJEM	VKLAD	38366	100711	\N	\N	\N
942587	3216	1996-01-22	PRIJEM	VKLAD	14171	74553	\N	\N	\N
942588	3216	1996-12-13	PRIJEM	VKLAD	44544	66320	\N	\N	\N
942589	3216	1996-11-06	PRIJEM	VKLAD	8535	40175	\N	\N	\N
942590	3216	1996-04-27	PRIJEM	VKLAD	27676	89516	\N	\N	\N
942591	3216	1996-05-16	PRIJEM	VKLAD	26464	74785	\N	\N	\N
942592	3216	1996-09-03	PRIJEM	VKLAD	6684	96302	\N	\N	\N
942593	3216	1996-06-16	PRIJEM	VKLAD	41373	97685	\N	\N	\N
942594	3216	1996-08-24	PRIJEM	VKLAD	40435	91922	\N	\N	\N
942595	3216	1996-12-22	PRIJEM	VKLAD	26197	89805	\N	\N	\N
942596	3216	1996-03-02	PRIJEM	VKLAD	48445	97913	\N	\N	\N
942597	3216	1996-05-27	PRIJEM	VKLAD	49710	124495	\N	\N	\N
942598	3216	1996-08-28	PRIJEM	VKLAD	47835	145372	\N	\N	\N
942599	3216	1996-08-27	PRIJEM	VKLAD	24115	116037	\N	\N	\N
942600	3216	1997-12-21	PRIJEM	VKLAD	26838	53756	\N	\N	\N
942601	3216	1997-01-22	PRIJEM	VKLAD	12387	83573	\N	\N	\N
942602	3216	1997-11-26	PRIJEM	VKLAD	34961	100213	\N	\N	\N
942603	3216	1997-09-04	PRIJEM	VKLAD	14324	73514	\N	\N	\N
942604	3216	1997-09-01	PRIJEM	VKLAD	41873	71125	\N	\N	\N
942605	3216	1997-05-18	PRIJEM	VKLAD	26807	77431	\N	\N	\N
942606	3216	1997-04-22	PRIJEM	VKLAD	21704	61358	\N	\N	\N
942607	3216	1997-02-13	PRIJEM	VKLAD	47631	79703	\N	\N	\N
942608	3216	1997-01-28	PRIJEM	VKLAD	5229	79202	\N	\N	\N
942609	3216	1997-11-16	PRIJEM	VKLAD	44398	65252	\N	\N	\N
942610	3216	1997-05-09	PRIJEM	VKLAD	21510	53336	\N	\N	\N
942611	3216	1997-08-24	PRIJEM	VKLAD	14289	50112	\N	\N	\N
942612	3216	1997-10-07	PRIJEM	VKLAD	5785	84464	\N	\N	\N
942613	3216	1997-09-22	PRIJEM	VKLAD	10074	74242	\N	\N	\N
942614	3216	1997-08-06	PRIJEM	VKLAD	33610	49818	\N	\N	\N
942615	3216	1997-03-21	PRIJEM	VKLAD	42378	105035	\N	\N	\N
942616	3216	1997-05-26	PRIJEM	VKLAD	26249	103680	\N	\N	\N
942617	3216	1997-10-19	PRIJEM	VKLAD	38202	113320	\N	\N	\N
942618	3216	1997-11-29	PRIJEM	VKLAD	7314	61527	\N	\N	\N
942619	3216	1997-09-30	PRIJEM	VKLAD	35680	78694	\N	\N	\N
942620	3216	1997-03-14	PRIJEM	VKLAD	10657	65369	\N	\N	\N
942621	3216	1997-03-09	PRIJEM	VKLAD	30103	54712	\N	\N	\N
942622	3216	1997-01-06	PRIJEM	VKLAD	44509	92232	\N	\N	\N
942623	3216	1997-08-10	PRIJEM	VKLAD	11179	54363	\N	\N	\N
942624	3216	1998-02-22	PRIJEM	VKLAD	26449	37129	\N	\N	\N
942625	3216	1998-04-09	PRIJEM	VKLAD	34432	43810	\N	\N	\N
942626	3216	1998-08-03	PRIJEM	VKLAD	47057	52286	\N	\N	\N
942627	3216	1998-10-03	PRIJEM	VKLAD	10135	32526	\N	\N	\N
942628	3216	1998-05-04	PRIJEM	VKLAD	10423	29494	\N	\N	\N
942629	3216	1998-10-09	PRIJEM	VKLAD	13823	39715	\N	\N	\N
942630	3216	1998-12-12	PRIJEM	VKLAD	29138	43557	\N	\N	\N
942631	3216	1998-06-14	PRIJEM	VKLAD	6938	17218	\N	\N	\N
942632	3216	1998-09-28	PRIJEM	VKLAD	9294	22334	\N	\N	\N
942633	3216	1998-10-27	PRIJEM	VKLAD	27429	43662	\N	\N	\N
942634	3216	1998-02-20	PRIJEM	VKLAD	5560	10680	\N	\N	\N
942697	3216	1996-03-14	VYDAJ	PREVOD NA UCET	2712	34406	SIPO	QR	76364105
942698	3216	1996-04-14	VYDAJ	PREVOD NA UCET	2712	55065	SIPO	QR	76364105
942699	3216	1996-05-14	VYDAJ	PREVOD NA UCET	2712	48321	SIPO	QR	76364105
942700	3216	1996-06-14	VYDAJ	PREVOD NA UCET	2712	61412	SIPO	QR	76364105
942701	3216	1996-07-14	VYDAJ	PREVOD NA UCET	2712	51681	SIPO	QR	76364105
942702	3216	1996-08-14	VYDAJ	PREVOD NA UCET	2712	51487	SIPO	QR	76364105
942703	3216	1996-09-14	VYDAJ	PREVOD NA UCET	2712	83622	SIPO	QR	76364105
942704	3216	1996-10-14	VYDAJ	PREVOD NA UCET	2712	50546	SIPO	QR	76364105
942705	3216	1996-11-14	VYDAJ	PREVOD NA UCET	2712	60224	SIPO	QR	76364105
942706	3216	1996-12-14	VYDAJ	PREVOD NA UCET	2712	63608	SIPO	QR	76364105
942707	3216	1997-01-14	VYDAJ	PREVOD NA UCET	2712	81086	SIPO	QR	76364105
942708	3216	1997-02-14	VYDAJ	PREVOD NA UCET	2712	76991	SIPO	QR	76364105
942709	3216	1997-03-14	VYDAJ	PREVOD NA UCET	2712	62657	SIPO	QR	76364105
942710	3216	1997-04-14	VYDAJ	PREVOD NA UCET	2712	39654	SIPO	QR	76364105
942711	3216	1997-05-14	VYDAJ	PREVOD NA UCET	2712	50624	SIPO	QR	76364105
942712	3216	1997-06-14	VYDAJ	PREVOD NA UCET	2712	45118	SIPO	QR	76364105
942713	3216	1997-07-14	VYDAJ	PREVOD NA UCET	2712	21909	SIPO	QR	76364105
942714	3216	1997-08-14	VYDAJ	PREVOD NA UCET	2712	51651	SIPO	QR	76364105
942715	3216	1997-09-14	VYDAJ	PREVOD NA UCET	2712	64168	SIPO	QR	76364105
942716	3216	1997-10-14	VYDAJ	PREVOD NA UCET	2712	75118	SIPO	QR	76364105
942717	3216	1997-11-14	VYDAJ	PREVOD NA UCET	2712	20854	SIPO	QR	76364105
942718	3216	1997-12-14	VYDAJ	PREVOD NA UCET	2712	44605	SIPO	QR	76364105
942719	3216	1998-01-14	VYDAJ	PREVOD NA UCET	2712	14406	SIPO	QR	76364105
942720	3216	1998-02-14	VYDAJ	PREVOD NA UCET	2712	5120	SIPO	QR	76364105
942721	3216	1998-03-14	VYDAJ	PREVOD NA UCET	2712	18437	SIPO	QR	76364105
942722	3216	1998-04-14	VYDAJ	PREVOD NA UCET	2712	21093	SIPO	QR	76364105
942723	3216	1998-05-14	VYDAJ	PREVOD NA UCET	2712	20148	SIPO	QR	76364105
942724	3216	1998-06-14	VYDAJ	PREVOD NA UCET	2712	14506	SIPO	QR	76364105
942725	3216	1998-07-14	VYDAJ	PREVOD NA UCET	2712	5208	SIPO	QR	76364105
942726	3216	1998-08-14	VYDAJ	PREVOD NA UCET	2712	42940	SIPO	QR	76364105
942727	3216	1998-09-14	VYDAJ	PREVOD NA UCET	2712	13040	SIPO	QR	76364105
942728	3216	1998-10-14	VYDAJ	PREVOD NA UCET	2712	30133	SIPO	QR	76364105
942729	3216	1998-11-14	VYDAJ	PREVOD NA UCET	2712	34425	SIPO	QR	76364105
942730	3216	1998-12-14	VYDAJ	PREVOD NA UCET	2712	40845	SIPO	QR	76364105
942745	3216	1996-03-08	VYDAJ	PREVOD NA UCET	6634	54679	 	KL	29463476
942746	3216	1996-04-08	VYDAJ	PREVOD NA UCET	6634	57777	 	KL	29463476
942747	3216	1996-05-08	VYDAJ	PREVOD NA UCET	6634	51033	 	KL	29463476
942748	3216	1996-06-08	VYDAJ	PREVOD NA UCET	6634	71024	 	KL	29463476
942749	3216	1996-07-08	VYDAJ	PREVOD NA UCET	6634	54393	 	KL	29463476
942750	3216	1996-08-08	VYDAJ	PREVOD NA UCET	6634	54199	 	KL	29463476
942751	3216	1996-09-08	VYDAJ	PREVOD NA UCET	6634	42816	 	KL	29463476
942752	3216	1996-10-08	VYDAJ	PREVOD NA UCET	6634	53258	 	KL	29463476
942753	3216	1996-11-08	VYDAJ	PREVOD NA UCET	6634	33541	 	KL	29463476
942754	3216	1996-12-08	VYDAJ	PREVOD NA UCET	6634	30476	 	KL	29463476
942755	3216	1997-01-08	VYDAJ	PREVOD NA UCET	6634	85598	 	KL	29463476
942756	3216	1997-02-08	VYDAJ	PREVOD NA UCET	6634	32072	 	KL	29463476
942757	3216	1997-03-08	VYDAJ	PREVOD NA UCET	6634	24609	 	KL	29463476
942758	3216	1997-04-08	VYDAJ	PREVOD NA UCET	6634	42366	 	KL	29463476
942759	3216	1997-05-08	VYDAJ	PREVOD NA UCET	6634	31826	 	KL	29463476
942760	3216	1997-06-08	VYDAJ	PREVOD NA UCET	6634	57123	 	KL	29463476
942761	3216	1997-07-08	VYDAJ	PREVOD NA UCET	6634	24621	 	KL	29463476
942762	3216	1997-08-08	VYDAJ	PREVOD NA UCET	6634	43184	 	KL	29463476
942763	3216	1997-09-08	VYDAJ	PREVOD NA UCET	6634	66880	 	KL	29463476
942764	3216	1997-10-08	VYDAJ	PREVOD NA UCET	6634	77830	 	KL	29463476
942765	3216	1997-11-08	VYDAJ	PREVOD NA UCET	6634	43927	 	KL	29463476
942766	3216	1997-12-08	VYDAJ	PREVOD NA UCET	6634	55117	 	KL	29463476
942767	3216	1998-01-08	VYDAJ	PREVOD NA UCET	6634	17118	 	KL	29463476
942768	3216	1998-02-08	VYDAJ	PREVOD NA UCET	6634	7832	 	KL	29463476
942769	3216	1998-03-08	VYDAJ	PREVOD NA UCET	6634	21149	 	KL	29463476
942770	3216	1998-04-08	VYDAJ	PREVOD NA UCET	6634	9378	 	KL	29463476
942771	3216	1998-05-08	VYDAJ	PREVOD NA UCET	6634	22860	 	KL	29463476
942772	3216	1998-06-08	VYDAJ	PREVOD NA UCET	6634	10280	 	KL	29463476
942773	3216	1998-07-08	VYDAJ	PREVOD NA UCET	6634	7920	 	KL	29463476
942774	3216	1998-08-08	VYDAJ	PREVOD NA UCET	6634	45652	 	KL	29463476
942775	3216	1998-09-08	VYDAJ	PREVOD NA UCET	6634	15752	 	KL	29463476
942776	3216	1998-10-08	VYDAJ	PREVOD NA UCET	6634	25892	 	KL	29463476
942777	3216	1998-11-08	VYDAJ	PREVOD NA UCET	6634	37137	 	KL	29463476
942778	3216	1998-12-08	VYDAJ	PREVOD NA UCET	6634	14419	 	KL	29463476
942782	3216	1996-09-05	VYBER	VYBER	9752	49450	\N	\N	\N
942783	3216	1996-12-24	VYBER	VYBER	10966	78839	\N	\N	\N
942784	3216	1996-10-28	VYBER	VYBER	7409	43137	\N	\N	\N
942785	3216	1996-03-10	VYBER	VYBER	17561	37118	\N	\N	\N
942786	3216	1996-09-17	VYBER	VYBER	16913	66709	\N	\N	\N
942787	3216	1997-12-26	VYBER	VYBER	6392	47364	\N	\N	\N
942789	3216	1997-11-14	VYBER	VYBER	20361	23566	\N	\N	\N
942790	3216	1997-04-03	VYBER	VYBER	11212	49000	\N	\N	\N
942791	3216	1997-06-12	VYBER	VYBER	9293	47830	\N	\N	\N
942793	3216	1997-12-20	VYBER	VYBER	17687	26918	\N	\N	\N
942794	3216	1997-02-26	VYBER	VYBER	10081	66910	\N	\N	\N
942796	3216	1997-01-05	VYBER	VYBER	3750	47723	\N	\N	\N
942797	3216	1997-09-03	VYBER	VYBER	11935	59190	\N	\N	\N
942798	3216	1997-02-26	VYBER	VYBER	22215	44695	\N	\N	\N
942799	3216	1997-08-17	VYBER	VYBER	15828	35823	\N	\N	\N
942804	3216	1998-04-13	VYBER	VYBER	20005	23805	\N	\N	\N
942810	3216	1998-10-12	VYBER	VYBER	6870	32845	\N	\N	\N
942812	3216	1998-08-19	VYBER	VYBER	11354	31586	\N	\N	\N
942814	3216	1996-12-11	VYDAJ	VYBER	8700	21776	\N	\N	\N
942815	3216	1997-12-10	VYDAJ	VYBER	7800	47317	\N	\N	\N
942829	3216	1997-01-28	VYDAJ	VYBER	8400	70802	\N	\N	\N
942830	3216	1997-01-29	VYDAJ	VYBER	3300	67502	\N	\N	\N
942831	3216	1997-01-30	VYDAJ	VYBER	6900	60602	\N	\N	\N
942832	3216	1997-01-15	VYDAJ	VYBER	7200	73886	\N	\N	\N
942833	3216	1997-01-09	VYDAJ	VYBER	1800	83798	\N	\N	\N
942834	3216	1997-01-16	VYDAJ	VYBER	2700	71186	\N	\N	\N
942840	3216	1998-01-03	VYDAJ	VYBER	5700	23752	\N	\N	\N
942843	3216	1996-06-15	VYDAJ	VYBER	5100	56312	\N	\N	\N
942844	3216	1996-06-11	VYDAJ	VYBER	6900	64124	\N	\N	\N
942845	3216	1996-11-20	VYDAJ	VYBER	12600	47624	\N	\N	\N
942847	3216	1996-09-19	VYDAJ	VYBER	6600	60109	\N	\N	\N
942848	3216	1996-07-18	VYDAJ	VYBER	4500	47181	\N	\N	\N
942849	3216	1997-03-23	VYDAJ	VYBER	6000	99035	\N	\N	\N
942850	3216	1997-08-26	VYDAJ	VYBER	7500	42612	\N	\N	\N
942851	3216	1997-10-28	VYDAJ	VYBER	3900	89520	\N	\N	\N
942852	3216	1997-01-25	VYDAJ	VYBER	9600	73973	\N	\N	\N
942857	3216	1998-12-23	VYDAJ	VYBER	12300	28545	\N	\N	\N
942873	3216	1996-03-31	VYDAJ	VYBER	15	62345	SLUZBY	\N	\N
942874	3216	1996-04-30	VYDAJ	VYBER	15	89767	SLUZBY	\N	\N
942875	3216	1996-05-31	VYDAJ	VYBER	15	109407	SLUZBY	\N	\N
942876	3216	1996-06-30	VYDAJ	VYBER	15	98027	SLUZBY	\N	\N
942877	3216	1996-07-31	VYDAJ	VYBER	15	47419	SLUZBY	\N	\N
942878	3216	1996-08-31	VYDAJ	VYBER	15	89618	SLUZBY	\N	\N
942879	3216	1996-09-30	VYDAJ	VYBER	15	60351	SLUZBY	\N	\N
942880	3216	1996-10-31	VYDAJ	VYBER	15	43340	SLUZBY	\N	\N
942881	3216	1996-11-30	VYDAJ	VYBER	15	47810	SLUZBY	\N	\N
942882	3216	1996-12-31	VYDAJ	VYBER	15	79073	SLUZBY	\N	\N
942883	3216	1997-01-31	VYDAJ	VYBER	15	60906	SLUZBY	\N	\N
942884	3216	1997-02-28	VYDAJ	VYBER	15	44943	SLUZBY	\N	\N
942885	3216	1997-03-31	VYDAJ	VYBER	15	99312	SLUZBY	\N	\N
942886	3216	1997-04-30	VYDAJ	VYBER	15	61560	SLUZBY	\N	\N
942887	3216	1997-05-31	VYDAJ	VYBER	15	103957	SLUZBY	\N	\N
942888	3216	1997-06-30	VYDAJ	VYBER	15	45355	SLUZBY	\N	\N
942889	3216	1997-07-31	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
942890	3216	1997-08-31	VYDAJ	VYBER	15	29252	SLUZBY	\N	\N
942891	3216	1997-09-30	VYDAJ	VYBER	15	78679	SLUZBY	\N	\N
942892	3216	1997-10-31	VYDAJ	VYBER	15	50561	SLUZBY	\N	\N
942893	3216	1997-11-30	VYDAJ	VYBER	15	61751	SLUZBY	\N	\N
942894	3216	1997-12-31	VYDAJ	VYBER	15	29452	SLUZBY	\N	\N
942895	3216	1998-01-31	VYDAJ	VYBER	15	14466	SLUZBY	\N	\N
942896	3216	1998-02-28	VYDAJ	VYBER	15	27783	SLUZBY	\N	\N
942897	3216	1998-03-31	VYDAJ	VYBER	15	16012	SLUZBY	\N	\N
942898	3216	1998-04-30	VYDAJ	VYBER	15	19071	SLUZBY	\N	\N
942899	3216	1998-05-31	VYDAJ	VYBER	15	16914	SLUZBY	\N	\N
942900	3216	1998-06-30	VYDAJ	VYBER	15	14554	SLUZBY	\N	\N
942901	3216	1998-07-31	VYDAJ	VYBER	15	5229	SLUZBY	\N	\N
942902	3216	1998-08-31	VYDAJ	VYBER	15	22386	SLUZBY	\N	\N
942903	3216	1998-09-30	VYDAJ	VYBER	15	22391	SLUZBY	\N	\N
942904	3216	1998-10-31	VYDAJ	VYBER	15	43771	SLUZBY	\N	\N
942905	3216	1998-11-30	VYDAJ	VYBER	15	21053	SLUZBY	\N	\N
942906	3216	1995-09-10	PRIJEM	VKLAD	14300	14500	\N	\N	\N
942907	3216	1995-10-10	VYDAJ	VYBER	4800	29258	\N	\N	\N
942908	3216	1995-11-09	VYDAJ	VYBER	24200	49101	\N	\N	\N
942909	3216	1995-12-09	VYDAJ	VYBER	11900	37505	\N	\N	\N
942910	3216	1996-01-08	VYDAJ	VYBER	5600	32210	\N	\N	\N
942911	3216	1996-02-07	VYDAJ	VYBER	25700	49158	\N	\N	\N
942912	3216	1996-03-08	VYDAJ	VYBER	36600	61313	\N	\N	\N
942913	3216	1996-04-07	VYDAJ	VYBER	36300	64411	\N	\N	\N
942914	3216	1996-05-07	VYDAJ	VYBER	32100	57667	\N	\N	\N
942915	3216	1996-05-27	VYDAJ	VYBER	15400	109095	\N	\N	\N
942916	3216	1996-05-31	VYDAJ	VYBER	26000	83407	\N	\N	\N
942917	3216	1996-06-06	VYDAJ	VYBER	26200	57207	\N	\N	\N
942918	3216	1996-07-06	VYDAJ	VYBER	37000	61027	\N	\N	\N
942919	3216	1996-08-05	VYDAJ	VYBER	27300	60833	\N	\N	\N
942920	3216	1996-08-27	VYDAJ	VYBER	18500	97537	\N	\N	\N
942921	3216	1996-08-28	VYDAJ	VYBER	56000	89372	\N	\N	\N
942922	3216	1996-09-04	VYDAJ	VYBER	37100	59202	\N	\N	\N
942923	3216	1996-10-04	VYDAJ	VYBER	16300	44051	\N	\N	\N
942924	3216	1996-11-03	VYDAJ	VYBER	11700	31640	\N	\N	\N
942925	3216	1996-12-03	VYDAJ	VYBER	10700	37110	\N	\N	\N
942926	3216	1997-01-02	VYDAJ	VYBER	27600	51473	\N	\N	\N
942927	3216	1997-02-01	VYDAJ	VYBER	22200	38706	\N	\N	\N
942928	3216	1997-03-03	VYDAJ	VYBER	13700	31243	\N	\N	\N
942929	3216	1997-04-02	VYDAJ	VYBER	39100	60212	\N	\N	\N
942930	3216	1997-05-02	VYDAJ	VYBER	23100	38460	\N	\N	\N
942931	3216	1997-06-01	VYDAJ	VYBER	40200	63757	\N	\N	\N
942932	3216	1997-07-01	VYDAJ	VYBER	14100	31255	\N	\N	\N
942933	3216	1997-07-31	VYDAJ	VYBER	5800	16223	\N	\N	\N
942934	3216	1997-08-30	VYDAJ	VYBER	13500	29112	\N	\N	\N
942935	3216	1997-09-29	VYDAJ	VYBER	31500	42742	\N	\N	\N
942936	3216	1997-10-19	VYDAJ	VYBER	19900	93420	\N	\N	\N
942937	3216	1997-10-29	VYDAJ	VYBER	39300	50220	\N	\N	\N
942938	3216	1997-11-28	VYDAJ	VYBER	46000	54213	\N	\N	\N
942939	3216	1997-12-28	VYDAJ	VYBER	18100	29264	\N	\N	\N
942940	3216	1998-02-26	VYDAJ	VYBER	9400	27729	\N	\N	\N
942941	3216	1998-03-28	VYDAJ	VYBER KARTOU	2500	15937	\N	\N	0
942942	3216	1998-04-27	VYDAJ	VYBER KARTOU	2100	18993	\N	\N	0
942943	3216	1998-05-27	VYDAJ	VYBER KARTOU	3300	16848	\N	\N	0
942944	3216	1998-08-25	VYDAJ	VYBER	9300	22286	\N	\N	\N
942945	3216	1998-10-24	VYDAJ	VYBER	13900	16233	\N	\N	\N
942946	3216	1998-11-23	VYDAJ	VYBER	13500	20925	\N	\N	\N
942990	3217	1997-04-23	PRIJEM	VKLAD	300	300	\N	\N	\N
942992	3217	1997-05-15	PRIJEM	VKLAD	5475	19066	\N	\N	\N
942994	3217	1997-06-12	PRIJEM	VKLAD	47994	112023	\N	\N	\N
942996	3217	1997-11-05	PRIJEM	VKLAD	25515	62063	\N	\N	\N
942997	3217	1997-08-02	PRIJEM	VKLAD	10957	32822	\N	\N	\N
942998	3217	1997-06-28	PRIJEM	VKLAD	15120	68885	\N	\N	\N
943000	3217	1997-06-12	PRIJEM	VKLAD	16769	128792	\N	\N	\N
943001	3217	1997-10-08	PRIJEM	VKLAD	40391	64034	\N	\N	\N
943004	3217	1997-06-22	PRIJEM	VKLAD	12130	72622	\N	\N	\N
943005	3217	1997-06-22	PRIJEM	VKLAD	6943	79565	\N	\N	\N
943006	3217	1997-08-03	PRIJEM	VKLAD	37092	69914	\N	\N	\N
943009	3217	1997-05-08	PRIJEM	VKLAD	13291	13591	\N	\N	\N
943010	3217	1997-06-01	PRIJEM	VKLAD	35381	64029	\N	\N	\N
943012	3217	1997-05-18	PRIJEM	VKLAD	6822	25888	\N	\N	\N
943013	3217	1998-12-27	PRIJEM	VKLAD	25252	84689	\N	\N	\N
943014	3217	1998-11-08	PRIJEM	VKLAD	10925	97847	\N	\N	\N
943015	3217	1998-11-16	PRIJEM	VKLAD	47094	104345	\N	\N	\N
943016	3217	1998-10-05	PRIJEM	VKLAD	36138	66909	\N	\N	\N
943017	3217	1998-05-09	PRIJEM	VKLAD	36730	128048	\N	\N	\N
943018	3217	1998-11-28	PRIJEM	VKLAD	12315	116660	\N	\N	\N
943019	3217	1998-07-06	PRIJEM	VKLAD	42425	84229	\N	\N	\N
943020	3217	1998-10-11	PRIJEM	VKLAD	19473	86382	\N	\N	\N
943021	3217	1998-04-13	PRIJEM	VKLAD	24950	87171	\N	\N	\N
943022	3217	1998-05-04	PRIJEM	VKLAD	25171	91318	\N	\N	\N
943023	3217	1998-01-24	PRIJEM	VKLAD	12971	63841	\N	\N	\N
943024	3217	1998-11-01	PRIJEM	VKLAD	23029	86922	\N	\N	\N
943025	3217	1998-08-16	PRIJEM	VKLAD	44691	93560	\N	\N	\N
943026	3217	1998-10-12	PRIJEM	VKLAD	47491	125677	\N	\N	\N
943027	3217	1998-03-27	PRIJEM	VKLAD	30738	59424	\N	\N	\N
943028	3217	1998-03-27	PRIJEM	VKLAD	19845	79269	\N	\N	\N
943029	3217	1998-01-22	PRIJEM	VKLAD	33308	54170	\N	\N	\N
943030	3217	1998-04-26	PRIJEM	VKLAD	10481	65952	\N	\N	\N
943031	3217	1998-10-18	PRIJEM	VKLAD	16557	77834	\N	\N	\N
943032	3217	1998-12-21	PRIJEM	VKLAD	17414	59437	\N	\N	\N
943063	3217	1997-07-11	VYDAJ	PREVOD NA UCET	8196	60819	SIPO	GH	66272967
943064	3217	1997-08-11	VYDAJ	PREVOD NA UCET	8196	37842	SIPO	GH	66272967
943065	3217	1997-09-11	VYDAJ	PREVOD NA UCET	8196	24926	SIPO	GH	66272967
943066	3217	1997-10-11	VYDAJ	PREVOD NA UCET	8196	55838	SIPO	GH	66272967
943067	3217	1997-11-11	VYDAJ	PREVOD NA UCET	8196	44580	SIPO	GH	66272967
943068	3217	1997-12-11	VYDAJ	PREVOD NA UCET	8196	23149	SIPO	GH	66272967
943069	3217	1998-01-11	VYDAJ	PREVOD NA UCET	8196	12862	SIPO	GH	66272967
943070	3217	1998-02-11	VYDAJ	PREVOD NA UCET	8196	48776	SIPO	GH	66272967
943071	3217	1998-03-11	VYDAJ	PREVOD NA UCET	8196	31486	SIPO	GH	66272967
943072	3217	1998-04-11	VYDAJ	PREVOD NA UCET	8196	62221	SIPO	GH	66272967
943073	3217	1998-05-11	VYDAJ	PREVOD NA UCET	8196	94352	SIPO	GH	66272967
943074	3217	1998-06-11	VYDAJ	PREVOD NA UCET	8196	58275	SIPO	GH	66272967
943075	3217	1998-07-11	VYDAJ	PREVOD NA UCET	8196	76033	SIPO	GH	66272967
943076	3217	1998-08-11	VYDAJ	PREVOD NA UCET	8196	48869	SIPO	GH	66272967
943077	3217	1998-09-11	VYDAJ	PREVOD NA UCET	8196	53176	SIPO	GH	66272967
943078	3217	1998-10-11	VYDAJ	PREVOD NA UCET	8196	78186	SIPO	GH	66272967
943079	3217	1998-11-11	VYDAJ	PREVOD NA UCET	8196	89651	SIPO	GH	66272967
943080	3217	1998-12-11	VYDAJ	PREVOD NA UCET	8196	56023	SIPO	GH	66272967
943083	3217	1997-07-26	VYBER	VYBER	17245	21755	\N	\N	\N
943084	3217	1997-11-11	VYBER	VYBER	9287	52776	\N	\N	\N
943085	3217	1997-07-13	VYBER	VYBER	8519	52300	\N	\N	\N
943089	3217	1997-08-11	VYBER	VYBER	23876	46038	\N	\N	\N
943090	3217	1997-10-25	VYBER	VYBER	7053	36485	\N	\N	\N
943091	3217	1998-04-01	VYBER	VYBER	8922	70417	\N	\N	\N
943095	3217	1997-12-06	VYDAJ	VYBER	2100	31345	\N	\N	\N
943096	3217	1998-12-11	VYDAJ	VYBER	5700	64219	\N	\N	\N
943104	3217	1998-01-27	VYDAJ	VYBER	1500	56941	\N	\N	\N
943105	3217	1998-01-25	VYDAJ	VYBER	5400	58441	\N	\N	\N
943108	3217	1998-01-22	VYDAJ	VYBER	3300	50870	\N	\N	\N
943109	3217	1997-09-16	VYDAJ	VYBER	3900	21026	\N	\N	\N
943110	3217	1997-07-18	VYDAJ	VYBER	6000	46300	\N	\N	\N
943114	3217	1998-10-25	VYDAJ	VYBER	14100	63734	\N	\N	\N
943115	3217	1998-01-08	VYDAJ	VYBER	1800	21058	\N	\N	\N
943116	3217	1998-06-18	VYDAJ	VYBER	5400	41675	\N	\N	\N
943117	3217	1998-09-28	VYDAJ	VYBER	4500	30676	\N	\N	\N
943124	3217	1997-06-30	VYDAJ	VYBER	100	69015	SLUZBY	\N	\N
943125	3217	1997-07-31	VYDAJ	VYBER	100	21865	SLUZBY	\N	\N
943126	3217	1997-08-31	VYDAJ	VYBER	100	33122	SLUZBY	\N	\N
943127	3217	1997-09-30	VYDAJ	VYBER	100	23643	SLUZBY	\N	\N
943128	3217	1997-10-31	VYDAJ	VYBER	100	36548	SLUZBY	\N	\N
943129	3217	1997-11-30	VYDAJ	VYBER	100	33445	SLUZBY	\N	\N
943130	3217	1997-12-31	VYDAJ	VYBER	100	22858	SLUZBY	\N	\N
943131	3217	1998-01-31	VYDAJ	VYBER	100	56972	SLUZBY	\N	\N
943132	3217	1998-02-28	VYDAJ	VYBER	100	39682	SLUZBY	\N	\N
943133	3217	1998-03-31	VYDAJ	VYBER	100	79339	SLUZBY	\N	\N
943134	3217	1998-04-30	VYDAJ	VYBER	100	66147	SLUZBY	\N	\N
943135	3217	1998-05-31	VYDAJ	VYBER	100	66471	SLUZBY	\N	\N
943136	3217	1998-06-30	VYDAJ	VYBER	100	41804	SLUZBY	\N	\N
943137	3217	1998-07-31	VYDAJ	VYBER	100	57065	SLUZBY	\N	\N
943138	3217	1998-08-31	VYDAJ	VYBER	100	61372	SLUZBY	\N	\N
943139	3217	1998-09-30	VYDAJ	VYBER	100	30771	SLUZBY	\N	\N
943140	3217	1998-10-31	VYDAJ	VYBER	100	63893	SLUZBY	\N	\N
943141	3217	1998-11-30	VYDAJ	VYBER	100	69919	SLUZBY	\N	\N
943142	3217	1997-05-23	PRIJEM	VKLAD	2700	28588	\N	\N	\N
943143	3217	1997-06-12	VYDAJ	VYBER	20800	60492	\N	\N	\N
943144	3217	1997-06-12	VYDAJ	VYBER	47500	81292	\N	\N	\N
943145	3217	1997-06-22	VYDAJ	VYBER	25800	53765	\N	\N	\N
943146	3217	1997-07-22	VYDAJ	VYBER	7300	39000	\N	\N	\N
943147	3217	1997-08-21	VYDAJ	VYBER	4800	33042	\N	\N	\N
943148	3217	1997-09-20	PRIJEM	VKLAD	2600	23626	\N	\N	\N
943149	3217	1997-10-20	VYDAJ	VYBER	12300	43538	\N	\N	\N
943150	3217	1997-11-19	VYDAJ	VYBER	11200	33380	\N	\N	\N
943151	3217	1997-12-19	VYDAJ	VYBER	300	22849	\N	\N	\N
943152	3217	1998-01-18	PRIJEM	VKLAD	8000	20862	\N	\N	\N
943153	3217	1998-02-17	VYDAJ	VYBER	9200	39576	\N	\N	\N
943154	3217	1998-03-19	VYDAJ	VYBER	2800	28686	\N	\N	\N
943155	3217	1998-04-18	VYDAJ	VYBER	31700	55471	\N	\N	\N
943156	3217	1998-05-09	VYDAJ	VYBER	25500	102548	\N	\N	\N
943157	3217	1998-05-18	VYDAJ	VYBER	28100	66252	\N	\N	\N
943158	3217	1998-06-17	VYDAJ	VYBER	11200	47075	\N	\N	\N
943159	3217	1998-07-17	VYDAJ	VYBER	19100	56933	\N	\N	\N
943160	3217	1998-08-16	VYDAJ	VYBER	32400	61160	\N	\N	\N
943161	3217	1998-09-15	VYDAJ	VYBER	18000	35176	\N	\N	\N
943162	3217	1998-10-12	VYDAJ	VYBER	24600	101077	\N	\N	\N
943163	3217	1998-10-15	VYDAJ	VYBER	39800	61277	\N	\N	\N
943164	3217	1998-11-14	VYDAJ	VYBER	32400	57251	\N	\N	\N
943165	3217	1998-11-28	VYDAJ	VYBER	47000	69660	\N	\N	\N
943166	3217	1998-12-14	VYDAJ	VYBER	14000	42023	\N	\N	\N
943187	3218	1993-11-14	PRIJEM	VKLAD	800	800	\N	\N	\N
943199	3218	1993-12-14	PRIJEM	PREVOD Z UCTU	3175	3975	\N	GH	84242337
943200	3218	1994-01-14	PRIJEM	PREVOD Z UCTU	3175	7150	\N	GH	84242337
943201	3218	1994-02-14	PRIJEM	PREVOD Z UCTU	3175	10325	\N	GH	84242337
943202	3218	1994-03-14	PRIJEM	PREVOD Z UCTU	3175	13500	\N	GH	84242337
943203	3218	1994-04-14	PRIJEM	PREVOD Z UCTU	3175	16675	\N	GH	84242337
943204	3218	1994-05-14	PRIJEM	PREVOD Z UCTU	3175	16766	\N	GH	84242337
943205	3218	1994-06-14	PRIJEM	PREVOD Z UCTU	3175	15538	\N	GH	84242337
943206	3218	1994-07-14	PRIJEM	PREVOD Z UCTU	3175	16647	\N	GH	84242337
943207	3218	1994-08-14	PRIJEM	PREVOD Z UCTU	3175	17758	\N	GH	84242337
943208	3218	1994-09-14	PRIJEM	PREVOD Z UCTU	3175	18874	\N	GH	84242337
943209	3218	1994-10-14	PRIJEM	PREVOD Z UCTU	3175	19995	\N	GH	84242337
943210	3218	1994-11-14	PRIJEM	PREVOD Z UCTU	3175	20550	\N	GH	84242337
943211	3218	1994-12-14	PRIJEM	PREVOD Z UCTU	3175	20357	\N	GH	84242337
943212	3218	1995-01-14	PRIJEM	PREVOD Z UCTU	3175	18873	\N	GH	84242337
943213	3218	1995-02-14	PRIJEM	PREVOD Z UCTU	3175	17744	\N	GH	84242337
943214	3218	1995-03-14	PRIJEM	PREVOD Z UCTU	3175	16941	\N	GH	84242337
943215	3218	1995-04-14	PRIJEM	PREVOD Z UCTU	3175	18054	\N	GH	84242337
943216	3218	1995-05-14	PRIJEM	PREVOD Z UCTU	3175	19171	\N	GH	84242337
943217	3218	1995-06-14	PRIJEM	PREVOD Z UCTU	3175	20083	\N	GH	84242337
943218	3218	1995-07-14	PRIJEM	PREVOD Z UCTU	3175	16971	\N	GH	84242337
943219	3218	1995-08-14	PRIJEM	PREVOD Z UCTU	3175	16884	\N	GH	84242337
943220	3218	1995-09-14	PRIJEM	PREVOD Z UCTU	3175	17996	\N	GH	84242337
943221	3218	1995-10-14	PRIJEM	PREVOD Z UCTU	3175	18753	\N	GH	84242337
943222	3218	1995-11-14	PRIJEM	PREVOD Z UCTU	3175	19873	\N	GH	84242337
943223	3218	1995-12-14	PRIJEM	PREVOD Z UCTU	3175	20727	\N	GH	84242337
943224	3218	1996-01-14	PRIJEM	PREVOD Z UCTU	3175	21495	\N	GH	84242337
943225	3218	1996-02-14	PRIJEM	PREVOD Z UCTU	3175	18392	\N	GH	84242337
943226	3218	1996-03-14	PRIJEM	PREVOD Z UCTU	3175	19512	\N	GH	84242337
943227	3218	1996-04-14	PRIJEM	PREVOD Z UCTU	3175	20635	\N	GH	84242337
943228	3218	1996-05-14	PRIJEM	PREVOD Z UCTU	3175	21762	\N	GH	84242337
943229	3218	1996-06-14	PRIJEM	PREVOD Z UCTU	3175	21295	\N	GH	84242337
943230	3218	1996-07-14	PRIJEM	PREVOD Z UCTU	3175	17947	\N	GH	84242337
943231	3218	1996-08-14	PRIJEM	PREVOD Z UCTU	3175	17763	\N	GH	84242337
943232	3218	1996-09-14	PRIJEM	PREVOD Z UCTU	3175	17778	\N	GH	84242337
943233	3218	1996-10-14	PRIJEM	PREVOD Z UCTU	3175	18294	\N	GH	84242337
943234	3218	1996-11-14	PRIJEM	PREVOD Z UCTU	3175	16649	\N	GH	84242337
943235	3218	1996-12-14	PRIJEM	PREVOD Z UCTU	3175	17359	\N	GH	84242337
943236	3218	1997-01-14	PRIJEM	PREVOD Z UCTU	3175	16972	\N	GH	84242337
943237	3218	1997-02-14	PRIJEM	PREVOD Z UCTU	3175	15292	\N	GH	84242337
943238	3218	1997-03-14	PRIJEM	PREVOD Z UCTU	3175	16398	\N	GH	84242337
943239	3218	1997-04-14	PRIJEM	PREVOD Z UCTU	3175	17508	\N	GH	84242337
943240	3218	1997-05-14	PRIJEM	PREVOD Z UCTU	3175	17842	\N	GH	84242337
943241	3218	1997-06-14	PRIJEM	PREVOD Z UCTU	3175	18958	\N	GH	84242337
943242	3218	1997-07-14	PRIJEM	PREVOD Z UCTU	3175	19838	\N	GH	84242337
943243	3218	1997-08-14	PRIJEM	PREVOD Z UCTU	3175	20061	\N	GH	84242337
943244	3218	1997-09-14	PRIJEM	PREVOD Z UCTU	3175	20074	\N	GH	84242337
943245	3218	1997-10-14	PRIJEM	PREVOD Z UCTU	3175	20059	\N	GH	84242337
943246	3218	1997-11-14	PRIJEM	PREVOD Z UCTU	3175	21183	\N	GH	84242337
943247	3218	1997-12-14	PRIJEM	PREVOD Z UCTU	3175	21021	\N	GH	84242337
943248	3218	1998-01-14	PRIJEM	PREVOD Z UCTU	3175	19599	\N	GH	84242337
943249	3218	1998-02-14	PRIJEM	PREVOD Z UCTU	3175	18802	\N	GH	84242337
943250	3218	1998-03-14	PRIJEM	PREVOD Z UCTU	3175	19921	\N	GH	84242337
943251	3218	1998-04-14	PRIJEM	PREVOD Z UCTU	3175	20115	\N	GH	84242337
943252	3218	1998-05-14	PRIJEM	PREVOD Z UCTU	3175	21240	\N	GH	84242337
943253	3218	1998-06-14	PRIJEM	PREVOD Z UCTU	3175	22369	\N	GH	84242337
943254	3218	1998-07-14	PRIJEM	PREVOD Z UCTU	3175	20051	\N	GH	84242337
943255	3218	1998-08-14	PRIJEM	PREVOD Z UCTU	3175	19765	\N	GH	84242337
943256	3218	1998-09-14	PRIJEM	PREVOD Z UCTU	3175	20889	\N	GH	84242337
943257	3218	1998-10-14	PRIJEM	PREVOD Z UCTU	3175	20245	\N	GH	84242337
943258	3218	1998-11-14	PRIJEM	PREVOD Z UCTU	3175	21370	\N	GH	84242337
943259	3218	1998-12-14	PRIJEM	PREVOD Z UCTU	3175	21718	\N	GH	84242337
943276	3218	1994-05-10	VYDAJ	PREVOD NA UCET	1449	14258	SIPO	AB	79115420
943277	3218	1994-06-10	VYDAJ	PREVOD NA UCET	1449	13030	SIPO	AB	79115420
943278	3218	1994-07-10	VYDAJ	PREVOD NA UCET	1449	14139	SIPO	AB	79115420
943279	3218	1994-08-10	VYDAJ	PREVOD NA UCET	1449	15250	SIPO	AB	79115420
943280	3218	1994-09-10	VYDAJ	PREVOD NA UCET	1449	16366	SIPO	AB	79115420
943281	3218	1994-10-10	VYDAJ	PREVOD NA UCET	1449	17487	SIPO	AB	79115420
943282	3218	1994-11-10	VYDAJ	PREVOD NA UCET	1449	18042	SIPO	AB	79115420
943283	3218	1994-12-10	VYDAJ	PREVOD NA UCET	1449	17849	SIPO	AB	79115420
943284	3218	1995-01-10	VYDAJ	PREVOD NA UCET	1449	17595	SIPO	AB	79115420
943285	3218	1995-02-10	VYDAJ	PREVOD NA UCET	1449	15986	SIPO	AB	79115420
943286	3218	1995-03-10	VYDAJ	PREVOD NA UCET	1449	14433	SIPO	AB	79115420
943287	3218	1995-04-10	VYDAJ	PREVOD NA UCET	1449	15546	SIPO	AB	79115420
943288	3218	1995-05-10	VYDAJ	PREVOD NA UCET	1449	16663	SIPO	AB	79115420
943289	3218	1995-06-10	VYDAJ	PREVOD NA UCET	1449	17575	SIPO	AB	79115420
943290	3218	1995-07-10	VYDAJ	PREVOD NA UCET	1449	14463	SIPO	AB	79115420
943291	3218	1995-08-10	VYDAJ	PREVOD NA UCET	1449	14376	SIPO	AB	79115420
943292	3218	1995-09-10	VYDAJ	PREVOD NA UCET	1449	15488	SIPO	AB	79115420
943293	3218	1995-10-10	VYDAJ	PREVOD NA UCET	1449	16245	SIPO	AB	79115420
943294	3218	1995-11-10	VYDAJ	PREVOD NA UCET	1449	17365	SIPO	AB	79115420
943295	3218	1995-12-10	VYDAJ	PREVOD NA UCET	1449	18219	SIPO	AB	79115420
943296	3218	1996-01-10	VYDAJ	PREVOD NA UCET	1449	18987	SIPO	AB	79115420
943297	3218	1996-02-10	VYDAJ	PREVOD NA UCET	1449	15884	SIPO	AB	79115420
943298	3218	1996-03-10	VYDAJ	PREVOD NA UCET	1449	17004	SIPO	AB	79115420
943299	3218	1996-04-10	VYDAJ	PREVOD NA UCET	1449	18127	SIPO	AB	79115420
943300	3218	1996-05-10	VYDAJ	PREVOD NA UCET	1449	19254	SIPO	AB	79115420
943301	3218	1996-06-10	VYDAJ	PREVOD NA UCET	1449	18787	SIPO	AB	79115420
943302	3218	1996-07-10	VYDAJ	PREVOD NA UCET	1449	15439	SIPO	AB	79115420
943303	3218	1996-08-10	VYDAJ	PREVOD NA UCET	1449	15255	SIPO	AB	79115420
943304	3218	1996-09-10	VYDAJ	PREVOD NA UCET	1449	15270	SIPO	AB	79115420
943305	3218	1996-10-10	VYDAJ	PREVOD NA UCET	1449	15786	SIPO	AB	79115420
943306	3218	1996-11-10	VYDAJ	PREVOD NA UCET	1449	14141	SIPO	AB	79115420
943307	3218	1996-12-10	VYDAJ	PREVOD NA UCET	1449	14851	SIPO	AB	79115420
943308	3218	1997-01-10	VYDAJ	PREVOD NA UCET	1449	15004	SIPO	AB	79115420
943309	3218	1997-02-10	VYDAJ	PREVOD NA UCET	1449	12784	SIPO	AB	79115420
943310	3218	1997-03-10	VYDAJ	PREVOD NA UCET	1449	13890	SIPO	AB	79115420
943311	3218	1997-04-10	VYDAJ	PREVOD NA UCET	1449	15000	SIPO	AB	79115420
943312	3218	1997-05-10	VYDAJ	PREVOD NA UCET	1449	15334	SIPO	AB	79115420
943313	3218	1997-06-10	VYDAJ	PREVOD NA UCET	1449	16450	SIPO	AB	79115420
943314	3218	1997-07-10	VYDAJ	PREVOD NA UCET	1449	17330	SIPO	AB	79115420
943315	3218	1997-08-10	VYDAJ	PREVOD NA UCET	1449	17553	SIPO	AB	79115420
943316	3218	1997-09-10	VYDAJ	PREVOD NA UCET	1449	17566	SIPO	AB	79115420
943317	3218	1997-10-10	VYDAJ	PREVOD NA UCET	1449	17551	SIPO	AB	79115420
943318	3218	1997-11-10	VYDAJ	PREVOD NA UCET	1449	18675	SIPO	AB	79115420
943319	3218	1997-12-10	VYDAJ	PREVOD NA UCET	1449	18513	SIPO	AB	79115420
943320	3218	1998-01-10	VYDAJ	PREVOD NA UCET	1449	17991	SIPO	AB	79115420
943321	3218	1998-02-10	VYDAJ	PREVOD NA UCET	1449	16294	SIPO	AB	79115420
943322	3218	1998-03-10	VYDAJ	PREVOD NA UCET	1449	17413	SIPO	AB	79115420
943323	3218	1998-04-10	VYDAJ	PREVOD NA UCET	1449	17607	SIPO	AB	79115420
943324	3218	1998-05-10	VYDAJ	PREVOD NA UCET	1449	18732	SIPO	AB	79115420
943325	3218	1998-06-10	VYDAJ	PREVOD NA UCET	1449	19861	SIPO	AB	79115420
943326	3218	1998-07-10	VYDAJ	PREVOD NA UCET	1449	17543	SIPO	AB	79115420
943327	3218	1998-08-10	VYDAJ	PREVOD NA UCET	1449	17257	SIPO	AB	79115420
943328	3218	1998-09-10	VYDAJ	PREVOD NA UCET	1449	18381	SIPO	AB	79115420
943329	3218	1998-10-10	VYDAJ	PREVOD NA UCET	1449	18067	SIPO	AB	79115420
943330	3218	1998-11-10	VYDAJ	PREVOD NA UCET	1449	18862	SIPO	AB	79115420
943331	3218	1998-12-10	VYDAJ	PREVOD NA UCET	1449	19600	SIPO	AB	79115420
943348	3218	1994-05-12	VYDAJ	PREVOD NA UCET	667	13591	 	UV	42386043
943349	3218	1994-06-12	VYDAJ	PREVOD NA UCET	667	12363	 	UV	42386043
943350	3218	1994-07-12	VYDAJ	PREVOD NA UCET	667	13472	 	UV	42386043
943351	3218	1994-08-12	VYDAJ	PREVOD NA UCET	667	14583	 	UV	42386043
943352	3218	1994-09-12	VYDAJ	PREVOD NA UCET	667	15699	 	UV	42386043
943353	3218	1994-10-12	VYDAJ	PREVOD NA UCET	667	16820	 	UV	42386043
943354	3218	1994-11-12	VYDAJ	PREVOD NA UCET	667	17375	 	UV	42386043
943355	3218	1994-12-12	VYDAJ	PREVOD NA UCET	667	17182	 	UV	42386043
943356	3218	1995-01-12	VYDAJ	PREVOD NA UCET	667	15698	 	UV	42386043
943357	3218	1995-02-12	VYDAJ	PREVOD NA UCET	667	15319	 	UV	42386043
943358	3218	1995-03-12	VYDAJ	PREVOD NA UCET	667	13766	 	UV	42386043
943359	3218	1995-04-12	VYDAJ	PREVOD NA UCET	667	14879	 	UV	42386043
943360	3218	1995-05-12	VYDAJ	PREVOD NA UCET	667	15996	 	UV	42386043
943361	3218	1995-06-12	VYDAJ	PREVOD NA UCET	667	16908	 	UV	42386043
943362	3218	1995-07-12	VYDAJ	PREVOD NA UCET	667	13796	 	UV	42386043
943363	3218	1995-08-12	VYDAJ	PREVOD NA UCET	667	13709	 	UV	42386043
943364	3218	1995-09-12	VYDAJ	PREVOD NA UCET	667	14821	 	UV	42386043
943365	3218	1995-10-12	VYDAJ	PREVOD NA UCET	667	15578	 	UV	42386043
943366	3218	1995-11-12	VYDAJ	PREVOD NA UCET	667	16698	 	UV	42386043
943367	3218	1995-12-12	VYDAJ	PREVOD NA UCET	667	17552	 	UV	42386043
943368	3218	1996-01-12	VYDAJ	PREVOD NA UCET	667	18320	 	UV	42386043
943369	3218	1996-02-12	VYDAJ	PREVOD NA UCET	667	15217	 	UV	42386043
943370	3218	1996-03-12	VYDAJ	PREVOD NA UCET	667	16337	 	UV	42386043
943371	3218	1996-04-12	VYDAJ	PREVOD NA UCET	667	17460	 	UV	42386043
943372	3218	1996-05-12	VYDAJ	PREVOD NA UCET	667	18587	 	UV	42386043
943373	3218	1996-06-12	VYDAJ	PREVOD NA UCET	667	18120	 	UV	42386043
943374	3218	1996-07-12	VYDAJ	PREVOD NA UCET	667	14772	 	UV	42386043
943375	3218	1996-08-12	VYDAJ	PREVOD NA UCET	667	14588	 	UV	42386043
943376	3218	1996-09-12	VYDAJ	PREVOD NA UCET	667	14603	 	UV	42386043
943377	3218	1996-10-12	VYDAJ	PREVOD NA UCET	667	15119	 	UV	42386043
943378	3218	1996-11-12	VYDAJ	PREVOD NA UCET	667	13474	 	UV	42386043
943379	3218	1996-12-12	VYDAJ	PREVOD NA UCET	667	14184	 	UV	42386043
943380	3218	1997-01-12	VYDAJ	PREVOD NA UCET	667	13797	 	UV	42386043
943381	3218	1997-02-12	VYDAJ	PREVOD NA UCET	667	12117	 	UV	42386043
943382	3218	1997-03-12	VYDAJ	PREVOD NA UCET	667	13223	 	UV	42386043
943383	3218	1997-04-12	VYDAJ	PREVOD NA UCET	667	14333	 	UV	42386043
943384	3218	1997-05-12	VYDAJ	PREVOD NA UCET	667	14667	 	UV	42386043
943385	3218	1997-06-12	VYDAJ	PREVOD NA UCET	667	15783	 	UV	42386043
943386	3218	1997-07-12	VYDAJ	PREVOD NA UCET	667	16663	 	UV	42386043
943387	3218	1997-08-12	VYDAJ	PREVOD NA UCET	667	16886	 	UV	42386043
943388	3218	1997-09-12	VYDAJ	PREVOD NA UCET	667	16899	 	UV	42386043
943389	3218	1997-10-12	VYDAJ	PREVOD NA UCET	667	16884	 	UV	42386043
943390	3218	1997-11-12	VYDAJ	PREVOD NA UCET	667	18008	 	UV	42386043
943391	3218	1997-12-12	VYDAJ	PREVOD NA UCET	667	17846	 	UV	42386043
943392	3218	1998-01-12	VYDAJ	PREVOD NA UCET	667	16424	 	UV	42386043
943393	3218	1998-02-12	VYDAJ	PREVOD NA UCET	667	15627	 	UV	42386043
943394	3218	1998-03-12	VYDAJ	PREVOD NA UCET	667	16746	 	UV	42386043
943395	3218	1998-04-12	VYDAJ	PREVOD NA UCET	667	16940	 	UV	42386043
943396	3218	1998-05-12	VYDAJ	PREVOD NA UCET	667	18065	 	UV	42386043
943397	3218	1998-06-12	VYDAJ	PREVOD NA UCET	667	19194	 	UV	42386043
943398	3218	1998-07-12	VYDAJ	PREVOD NA UCET	667	16876	 	UV	42386043
943399	3218	1998-08-12	VYDAJ	PREVOD NA UCET	667	16590	 	UV	42386043
943400	3218	1998-09-12	VYDAJ	PREVOD NA UCET	667	17714	 	UV	42386043
943401	3218	1998-10-12	VYDAJ	PREVOD NA UCET	667	17070	 	UV	42386043
943402	3218	1998-11-12	VYDAJ	PREVOD NA UCET	667	18195	 	UV	42386043
943403	3218	1998-12-12	VYDAJ	PREVOD NA UCET	667	18543	 	UV	42386043
943405	3218	1994-06-09	VYDAJ	VYBER	2340	14479	\N	\N	\N
943406	3218	1995-06-19	VYDAJ	VYBER	4230	15853	\N	\N	\N
943407	3218	1996-06-15	VYDAJ	VYBER	3660	17635	\N	\N	\N
943409	3218	1998-06-27	VYDAJ	VYBER	3450	18919	\N	\N	\N
943411	3218	1994-12-20	VYDAJ	VYBER	660	19697	\N	\N	\N
943412	3218	1995-12-28	VYDAJ	VYBER	360	20367	\N	\N	\N
943413	3218	1996-12-20	VYDAJ	VYBER	750	16609	\N	\N	\N
943414	3218	1997-12-22	VYDAJ	VYBER	450	20571	\N	\N	\N
943415	3218	1998-12-11	VYDAJ	VYBER	390	19210	\N	\N	\N
943428	3218	1995-01-11	VYDAJ	VYBER	480	17115	\N	\N	\N
943429	3218	1995-01-04	VYDAJ	VYBER	720	19044	\N	\N	\N
943430	3218	1995-01-29	VYDAJ	VYBER	450	17373	\N	\N	\N
943431	3218	1995-01-21	VYDAJ	VYBER	600	18273	\N	\N	\N
943432	3218	1995-01-24	VYDAJ	VYBER	450	17823	\N	\N	\N
943433	3218	1995-01-12	VYDAJ	VYBER	750	16365	\N	\N	\N
943434	3218	1996-01-27	VYDAJ	VYBER	690	18495	\N	\N	\N
943435	3218	1996-01-16	VYDAJ	VYBER	630	20865	\N	\N	\N
943436	3218	1996-01-25	VYDAJ	VYBER	450	19335	\N	\N	\N
943437	3218	1996-01-19	VYDAJ	VYBER	240	20625	\N	\N	\N
943438	3218	1996-01-26	VYDAJ	VYBER	150	19185	\N	\N	\N
943439	3218	1996-01-23	VYDAJ	VYBER	840	19785	\N	\N	\N
943440	3218	1997-01-15	VYDAJ	VYBER	330	16642	\N	\N	\N
943441	3218	1997-01-07	VYDAJ	VYBER	210	16453	\N	\N	\N
943442	3218	1997-01-10	VYDAJ	VYBER	300	14704	\N	\N	\N
943443	3218	1997-01-17	VYDAJ	VYBER	510	16132	\N	\N	\N
943444	3218	1997-01-26	VYDAJ	VYBER	690	15442	\N	\N	\N
943445	3218	1997-01-11	VYDAJ	VYBER	240	14464	\N	\N	\N
943446	3218	1998-01-29	VYDAJ	VYBER	660	18489	\N	\N	\N
943447	3218	1998-01-30	VYDAJ	VYBER	810	17679	\N	\N	\N
943448	3218	1998-01-10	VYDAJ	VYBER	300	19440	\N	\N	\N
943449	3218	1998-01-04	VYDAJ	VYBER	420	20220	\N	\N	\N
943450	3218	1998-01-05	VYDAJ	VYBER	480	19740	\N	\N	\N
943451	3218	1998-01-15	VYDAJ	VYBER	450	19149	\N	\N	\N
943460	3218	1994-11-10	VYDAJ	VYBER	570	19491	\N	\N	\N
943461	3218	1994-04-28	VYDAJ	VYBER	960	15715	\N	\N	\N
943462	3218	1994-11-25	VYDAJ	VYBER	1320	19230	\N	\N	\N
943463	3218	1995-08-02	VYDAJ	VYBER	840	16185	\N	\N	\N
943464	3218	1995-03-03	VYDAJ	VYBER	900	15882	\N	\N	\N
943465	3218	1995-08-07	VYDAJ	VYBER	360	15825	\N	\N	\N
943466	3218	1995-06-05	VYDAJ	VYBER	210	19024	\N	\N	\N
943467	3218	1995-02-13	VYDAJ	VYBER	750	14569	\N	\N	\N
943468	3218	1995-11-21	VYDAJ	VYBER	270	19603	\N	\N	\N
943469	3218	1995-09-28	VYDAJ	VYBER	360	17636	\N	\N	\N
943470	3218	1995-03-01	VYDAJ	VYBER	1020	16782	\N	\N	\N
943471	3218	1996-06-16	VYDAJ	VYBER	810	16825	\N	\N	\N
943472	3218	1996-10-10	VYDAJ	VYBER	600	17235	\N	\N	\N
943473	3218	1996-02-08	VYDAJ	VYBER	1230	17333	\N	\N	\N
943474	3218	1996-10-17	VYDAJ	VYBER	1260	17034	\N	\N	\N
943475	3218	1997-02-08	VYDAJ	VYBER	660	14233	\N	\N	\N
943476	3218	1997-05-05	VYDAJ	VYBER	780	16783	\N	\N	\N
943477	3218	1997-06-25	VYDAJ	VYBER	240	18718	\N	\N	\N
943478	3218	1997-02-03	VYDAJ	VYBER	600	14893	\N	\N	\N
943479	3218	1997-11-26	VYDAJ	VYBER	1290	19893	\N	\N	\N
943480	3218	1997-09-29	VYDAJ	VYBER	1140	18934	\N	\N	\N
943481	3218	1997-08-08	VYDAJ	VYBER	900	19002	\N	\N	\N
943482	3218	1997-08-16	VYDAJ	VYBER	1110	18951	\N	\N	\N
943483	3218	1998-01-11	VYDAJ	VYBER	900	17091	\N	\N	\N
943484	3218	1998-10-11	VYDAJ	VYBER	330	17737	\N	\N	\N
943485	3218	1998-11-22	VYDAJ	VYBER	390	20980	\N	\N	\N
943486	3218	1998-09-24	VYDAJ	VYBER	1440	19449	\N	\N	\N
943487	3218	1998-04-08	VYDAJ	VYBER	930	19056	\N	\N	\N
943488	3218	1998-08-10	VYDAJ	VYBER	1410	18706	\N	\N	\N
943505	3218	1994-04-30	VYDAJ	VYBER	15	15707	SLUZBY	\N	\N
943506	3218	1994-05-31	VYDAJ	VYBER	15	16819	SLUZBY	\N	\N
943507	3218	1994-06-30	VYDAJ	VYBER	15	15588	SLUZBY	\N	\N
943508	3218	1994-07-31	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
943509	3218	1994-08-31	VYDAJ	VYBER	15	17815	SLUZBY	\N	\N
943510	3218	1994-09-30	VYDAJ	VYBER	15	18936	SLUZBY	\N	\N
943511	3218	1994-10-31	VYDAJ	VYBER	15	20061	SLUZBY	\N	\N
943512	3218	1994-11-30	VYDAJ	VYBER	15	19298	SLUZBY	\N	\N
943513	3218	1994-12-31	VYDAJ	VYBER	15	19764	SLUZBY	\N	\N
943514	3218	1995-01-31	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
943515	3218	1995-02-28	VYDAJ	VYBER	15	17802	SLUZBY	\N	\N
943516	3218	1995-03-31	VYDAJ	VYBER	15	16995	SLUZBY	\N	\N
943517	3218	1995-04-30	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
943518	3218	1995-05-31	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
943519	3218	1995-06-30	VYDAJ	VYBER	15	15912	SLUZBY	\N	\N
943520	3218	1995-07-31	VYDAJ	VYBER	15	17025	SLUZBY	\N	\N
943521	3218	1995-08-31	VYDAJ	VYBER	15	16937	SLUZBY	\N	\N
943522	3218	1995-09-30	VYDAJ	VYBER	15	17694	SLUZBY	\N	\N
943523	3218	1995-10-31	VYDAJ	VYBER	15	18814	SLUZBY	\N	\N
943524	3218	1995-11-30	VYDAJ	VYBER	15	19668	SLUZBY	\N	\N
943525	3218	1995-12-31	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
943526	3218	1996-01-31	VYDAJ	VYBER	15	18563	SLUZBY	\N	\N
943527	3218	1996-02-29	VYDAJ	VYBER	15	18453	SLUZBY	\N	\N
943528	3218	1996-03-31	VYDAJ	VYBER	15	19576	SLUZBY	\N	\N
943529	3218	1996-04-30	VYDAJ	VYBER	15	20703	SLUZBY	\N	\N
943530	3218	1996-05-31	VYDAJ	VYBER	15	21836	SLUZBY	\N	\N
943531	3218	1996-06-30	VYDAJ	VYBER	15	16888	SLUZBY	\N	\N
943532	3218	1996-07-31	VYDAJ	VYBER	15	18004	SLUZBY	\N	\N
943533	3218	1996-08-31	VYDAJ	VYBER	15	16719	SLUZBY	\N	\N
943534	3218	1996-09-30	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
943535	3218	1996-10-31	VYDAJ	VYBER	15	15590	SLUZBY	\N	\N
943536	3218	1996-11-30	VYDAJ	VYBER	15	16300	SLUZBY	\N	\N
943537	3218	1996-12-31	VYDAJ	VYBER	15	16663	SLUZBY	\N	\N
943538	3218	1997-01-31	VYDAJ	VYBER	15	15493	SLUZBY	\N	\N
943539	3218	1997-02-28	VYDAJ	VYBER	15	15339	SLUZBY	\N	\N
943540	3218	1997-03-31	VYDAJ	VYBER	15	16449	SLUZBY	\N	\N
943541	3218	1997-04-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
943542	3218	1997-05-31	VYDAJ	VYBER	15	17899	SLUZBY	\N	\N
943543	3218	1997-06-30	VYDAJ	VYBER	15	18779	SLUZBY	\N	\N
943544	3218	1997-07-31	VYDAJ	VYBER	15	19902	SLUZBY	\N	\N
943545	3218	1997-08-31	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
943546	3218	1997-09-30	VYDAJ	VYBER	15	19000	SLUZBY	\N	\N
943547	3218	1997-10-31	VYDAJ	VYBER	15	20124	SLUZBY	\N	\N
943548	3218	1997-11-30	VYDAJ	VYBER	15	19962	SLUZBY	\N	\N
943549	3218	1997-12-31	VYDAJ	VYBER	15	20640	SLUZBY	\N	\N
943550	3218	1998-01-31	VYDAJ	VYBER	15	17743	SLUZBY	\N	\N
943551	3218	1998-02-28	VYDAJ	VYBER	15	18862	SLUZBY	\N	\N
943552	3218	1998-03-31	VYDAJ	VYBER	15	19986	SLUZBY	\N	\N
943553	3218	1998-04-30	VYDAJ	VYBER	15	20181	SLUZBY	\N	\N
943554	3218	1998-05-31	VYDAJ	VYBER	15	21310	SLUZBY	\N	\N
943555	3218	1998-06-30	VYDAJ	VYBER	15	18992	SLUZBY	\N	\N
943556	3218	1998-07-31	VYDAJ	VYBER	15	20116	SLUZBY	\N	\N
943557	3218	1998-08-31	VYDAJ	VYBER	15	19830	SLUZBY	\N	\N
943558	3218	1998-09-30	VYDAJ	VYBER	15	19516	SLUZBY	\N	\N
943559	3218	1998-10-31	VYDAJ	VYBER	15	20311	SLUZBY	\N	\N
943560	3218	1998-11-30	VYDAJ	VYBER	15	21049	SLUZBY	\N	\N
943561	3218	1996-06-01	VYDAJ	VYBER	1600	20236	\N	\N	\N
943562	3218	1996-07-31	VYDAJ	VYBER	1300	16704	\N	\N	\N
943563	3218	1996-08-30	VYDAJ	VYBER	1100	16663	\N	\N	\N
943564	3218	1996-10-29	VYDAJ	VYBER	1500	15534	\N	\N	\N
943565	3218	1996-11-28	VYDAJ	VYBER	400	16249	\N	\N	\N
943623	3219	1996-03-26	PRIJEM	VKLAD	400	400	\N	\N	\N
943627	3219	1996-04-14	PRIJEM	VKLAD	20266	20666	\N	\N	\N
943628	3219	1996-05-14	PRIJEM	VKLAD	20266	42551	\N	\N	\N
943629	3219	1996-06-14	PRIJEM	VKLAD	30399	67456	\N	\N	\N
943630	3219	1996-07-14	PRIJEM	VKLAD	20266	70289	\N	\N	\N
943631	3219	1996-08-14	PRIJEM	VKLAD	20266	72264	\N	\N	\N
943632	3219	1996-09-14	PRIJEM	VKLAD	20266	65123	\N	\N	\N
943633	3219	1996-10-14	PRIJEM	VKLAD	20266	62496	\N	\N	\N
943634	3219	1996-11-14	PRIJEM	VKLAD	20266	53152	\N	\N	\N
943635	3219	1996-12-14	PRIJEM	VKLAD	30399	65413	\N	\N	\N
943636	3219	1997-01-14	PRIJEM	VKLAD	20266	54566	\N	\N	\N
943637	3219	1997-02-14	PRIJEM	VKLAD	20266	61614	\N	\N	\N
943638	3219	1997-03-14	PRIJEM	VKLAD	20266	62173	\N	\N	\N
943639	3219	1997-04-14	PRIJEM	VKLAD	20266	58633	\N	\N	\N
943640	3219	1997-05-14	PRIJEM	VKLAD	20266	59380	\N	\N	\N
943641	3219	1997-06-14	PRIJEM	VKLAD	30399	68559	\N	\N	\N
943642	3219	1997-07-14	PRIJEM	VKLAD	20266	59111	\N	\N	\N
943643	3219	1997-08-14	PRIJEM	VKLAD	20266	56252	\N	\N	\N
943644	3219	1997-09-14	PRIJEM	VKLAD	20266	57987	\N	\N	\N
943645	3219	1997-10-14	PRIJEM	VKLAD	20266	55822	\N	\N	\N
943646	3219	1997-11-14	PRIJEM	VKLAD	20266	54149	\N	\N	\N
943647	3219	1997-12-14	PRIJEM	VKLAD	30399	59495	\N	\N	\N
943648	3219	1998-01-14	PRIJEM	VKLAD	20266	49701	\N	\N	\N
943649	3219	1998-02-14	PRIJEM	VKLAD	20266	38182	\N	\N	\N
943650	3219	1998-03-14	PRIJEM	VKLAD	20266	37856	\N	\N	\N
943651	3219	1998-04-14	PRIJEM	VKLAD	20266	36907	\N	\N	\N
943652	3219	1998-05-14	PRIJEM	VKLAD	20266	33247	\N	\N	\N
943653	3219	1998-06-14	PRIJEM	VKLAD	30399	45416	\N	\N	\N
943654	3219	1998-07-14	PRIJEM	VKLAD	20266	41269	\N	\N	\N
943655	3219	1998-08-14	PRIJEM	VKLAD	20266	36130	\N	\N	\N
943656	3219	1998-09-14	PRIJEM	VKLAD	20266	44801	\N	\N	\N
943657	3219	1998-10-14	PRIJEM	VKLAD	20266	46809	\N	\N	\N
943658	3219	1998-11-14	PRIJEM	VKLAD	20266	37737	\N	\N	\N
943659	3219	1998-12-14	PRIJEM	VKLAD	30399	42672	\N	\N	\N
943668	3219	1996-09-12	VYDAJ	PREVOD NA UCET	8811	44857	SIPO	CD	53001368
943669	3219	1996-10-12	VYDAJ	PREVOD NA UCET	8811	42230	SIPO	CD	53001368
943670	3219	1996-11-12	VYDAJ	PREVOD NA UCET	8811	32886	SIPO	CD	53001368
943671	3219	1996-12-12	VYDAJ	PREVOD NA UCET	8811	35014	SIPO	CD	53001368
943672	3219	1997-01-12	VYDAJ	PREVOD NA UCET	8811	34300	SIPO	CD	53001368
943673	3219	1997-02-12	VYDAJ	PREVOD NA UCET	8811	41348	SIPO	CD	53001368
943674	3219	1997-03-12	VYDAJ	PREVOD NA UCET	8811	41907	SIPO	CD	53001368
943675	3219	1997-04-12	VYDAJ	PREVOD NA UCET	8811	38367	SIPO	CD	53001368
943676	3219	1997-05-12	VYDAJ	PREVOD NA UCET	8811	39114	SIPO	CD	53001368
943677	3219	1997-06-12	VYDAJ	PREVOD NA UCET	8811	38160	SIPO	CD	53001368
943678	3219	1997-07-12	VYDAJ	PREVOD NA UCET	8811	38845	SIPO	CD	53001368
943679	3219	1997-08-12	VYDAJ	PREVOD NA UCET	8811	35986	SIPO	CD	53001368
943680	3219	1997-09-12	VYDAJ	PREVOD NA UCET	8811	37721	SIPO	CD	53001368
943681	3219	1997-10-12	VYDAJ	PREVOD NA UCET	8811	35556	SIPO	CD	53001368
943682	3219	1997-11-12	VYDAJ	PREVOD NA UCET	8811	33883	SIPO	CD	53001368
943683	3219	1997-12-12	VYDAJ	PREVOD NA UCET	8811	29096	SIPO	CD	53001368
943684	3219	1998-01-12	VYDAJ	PREVOD NA UCET	8811	29435	SIPO	CD	53001368
943685	3219	1998-02-12	VYDAJ	PREVOD NA UCET	8811	17916	SIPO	CD	53001368
943686	3219	1998-03-12	VYDAJ	PREVOD NA UCET	8811	17590	SIPO	CD	53001368
943687	3219	1998-04-12	VYDAJ	PREVOD NA UCET	8811	16641	SIPO	CD	53001368
943688	3219	1998-05-12	VYDAJ	PREVOD NA UCET	8811	12981	SIPO	CD	53001368
943689	3219	1998-06-12	VYDAJ	PREVOD NA UCET	8811	15017	SIPO	CD	53001368
943690	3219	1998-07-12	VYDAJ	PREVOD NA UCET	8811	21003	SIPO	CD	53001368
943691	3219	1998-08-12	VYDAJ	PREVOD NA UCET	8811	17364	SIPO	CD	53001368
943692	3219	1998-09-12	VYDAJ	PREVOD NA UCET	8811	27435	SIPO	CD	53001368
943693	3219	1998-10-12	VYDAJ	PREVOD NA UCET	8811	36143	SIPO	CD	53001368
943694	3219	1998-11-12	VYDAJ	PREVOD NA UCET	8811	17471	SIPO	CD	53001368
943695	3219	1998-12-12	VYDAJ	PREVOD NA UCET	8811	12273	SIPO	CD	53001368
943697	3219	1997-06-19	VYDAJ	VYBER KARTOU	3400	47459	\N	\N	0
943700	3219	1997-01-03	VYDAJ	VYBER	6900	43111	\N	\N	\N
943701	3219	1998-01-23	VYDAJ	VYBER	6100	26601	\N	\N	\N
943702	3219	1996-12-23	VYDAJ	VYBER	2600	49813	\N	\N	\N
943703	3219	1997-12-21	VYDAJ	VYBER KARTOU	2900	38095	\N	\N	0
943704	3219	1998-12-20	VYDAJ	VYBER KARTOU	2900	39772	\N	\N	0
943705	3219	1996-10-29	VYDAJ	VYBER	4100	41496	\N	\N	\N
943708	3219	1997-05-28	VYDAJ	VYBER KARTOU	600	46780	\N	\N	0
943709	3219	1997-03-26	VYDAJ	VYBER KARTOU	2700	48273	\N	\N	0
943710	3219	1997-11-11	VYDAJ	VYBER KARTOU	900	42694	\N	\N	0
943711	3219	1997-11-24	VYDAJ	VYBER KARTOU	3000	37749	\N	\N	0
943712	3219	1997-05-16	VYDAJ	VYBER KARTOU	3700	55680	\N	\N	0
943713	3219	1997-04-04	VYDAJ	VYBER KARTOU	1300	47178	\N	\N	0
943714	3219	1998-11-11	VYDAJ	VYBER KARTOU	2300	44682	\N	\N	0
943715	3219	1998-04-20	VYDAJ	VYBER KARTOU	2100	21707	\N	\N	0
943716	3219	1998-07-26	VYDAJ	VYBER KARTOU	3600	26569	\N	\N	0
943717	3219	1998-12-12	VYDAJ	VYBER KARTOU	4000	21084	\N	\N	0
943718	3219	1998-08-05	VYDAJ	VYBER KARTOU	500	26175	\N	\N	0
943727	3219	1996-08-31	VYDAJ	VYBER	15	53668	SLUZBY	\N	\N
943728	3219	1996-09-30	VYDAJ	VYBER	15	51041	SLUZBY	\N	\N
943729	3219	1996-10-31	VYDAJ	VYBER	15	41697	SLUZBY	\N	\N
943730	3219	1996-11-30	VYDAJ	VYBER	15	43825	SLUZBY	\N	\N
943731	3219	1996-12-31	VYDAJ	VYBER	15	50011	SLUZBY	\N	\N
943732	3219	1997-01-31	VYDAJ	VYBER	15	50159	SLUZBY	\N	\N
943733	3219	1997-02-28	VYDAJ	VYBER	15	50718	SLUZBY	\N	\N
943734	3219	1997-03-31	VYDAJ	VYBER	15	48478	SLUZBY	\N	\N
943735	3219	1997-04-30	VYDAJ	VYBER	15	47925	SLUZBY	\N	\N
943736	3219	1997-05-31	VYDAJ	VYBER	15	46971	SLUZBY	\N	\N
943737	3219	1997-06-30	VYDAJ	VYBER	15	47656	SLUZBY	\N	\N
943738	3219	1997-07-31	VYDAJ	VYBER	15	44797	SLUZBY	\N	\N
943739	3219	1997-08-31	VYDAJ	VYBER	15	46532	SLUZBY	\N	\N
943740	3219	1997-09-30	VYDAJ	VYBER	15	44367	SLUZBY	\N	\N
943741	3219	1997-10-31	VYDAJ	VYBER	15	43594	SLUZBY	\N	\N
943742	3219	1997-11-30	VYDAJ	VYBER	15	37907	SLUZBY	\N	\N
943743	3219	1997-12-31	VYDAJ	VYBER	15	38246	SLUZBY	\N	\N
943744	3219	1998-01-31	VYDAJ	VYBER	15	26727	SLUZBY	\N	\N
943745	3219	1998-02-28	VYDAJ	VYBER	15	26401	SLUZBY	\N	\N
943746	3219	1998-03-31	VYDAJ	VYBER	15	25452	SLUZBY	\N	\N
943747	3219	1998-04-30	VYDAJ	VYBER	15	21792	SLUZBY	\N	\N
943748	3219	1998-05-31	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
943749	3219	1998-06-30	VYDAJ	VYBER	15	29814	SLUZBY	\N	\N
943750	3219	1998-07-31	VYDAJ	VYBER	15	26675	SLUZBY	\N	\N
943751	3219	1998-08-31	VYDAJ	VYBER	15	36246	SLUZBY	\N	\N
943752	3219	1998-09-30	VYDAJ	VYBER	15	44954	SLUZBY	\N	\N
943753	3219	1998-10-31	VYDAJ	VYBER	15	46982	SLUZBY	\N	\N
943754	3219	1998-11-30	VYDAJ	VYBER	15	37884	SLUZBY	\N	\N
943755	3219	1996-04-25	PRIJEM	VKLAD	1600	22266	\N	\N	\N
943756	3219	1996-05-25	VYDAJ	VYBER	5600	36951	\N	\N	\N
943757	3219	1996-06-24	VYDAJ	VYBER	17600	49856	\N	\N	\N
943758	3219	1996-07-24	VYDAJ	VYBER	18500	51789	\N	\N	\N
943759	3219	1996-08-23	VYDAJ	VYBER	18800	53464	\N	\N	\N
943760	3219	1996-09-22	VYDAJ	VYBER	14300	50823	\N	\N	\N
943761	3219	1996-10-22	VYDAJ	VYBER	16900	45596	\N	\N	\N
943762	3219	1996-11-21	VYDAJ	VYBER	9500	43652	\N	\N	\N
943763	3219	1996-12-21	VYDAJ	VYBER	13000	52413	\N	\N	\N
943764	3219	1997-01-20	VYDAJ	VYBER	4600	49966	\N	\N	\N
943765	3219	1997-02-19	VYDAJ	VYBER	11100	50514	\N	\N	\N
943766	3219	1997-03-21	VYDAJ	VYBER	11200	50973	\N	\N	\N
943767	3219	1997-04-20	VYDAJ	VYBER	10900	47733	\N	\N	\N
943768	3219	1997-05-20	VYDAJ	VYBER	8300	47380	\N	\N	\N
943769	3219	1997-06-19	VYDAJ	VYBER	17700	50859	\N	\N	\N
943770	3219	1997-07-19	VYDAJ	VYBER	14500	44611	\N	\N	\N
943771	3219	1997-08-18	VYDAJ	VYBER	9900	46352	\N	\N	\N
943772	3219	1997-09-17	VYDAJ	VYBER	13800	44187	\N	\N	\N
943773	3219	1997-10-17	VYDAJ	VYBER	12400	43422	\N	\N	\N
943774	3219	1997-11-16	VYDAJ	VYBER	13400	40749	\N	\N	\N
943775	3219	1997-12-16	VYDAJ	VYBER	18500	40995	\N	\N	\N
943776	3219	1998-01-15	VYDAJ	VYBER	17000	32701	\N	\N	\N
943777	3219	1998-02-14	VYDAJ	VYBER	11900	26282	\N	\N	\N
943778	3219	1998-03-16	VYDAJ	VYBER	12500	25356	\N	\N	\N
943779	3219	1998-04-15	VYDAJ	VYBER	13100	23807	\N	\N	\N
943780	3219	1998-05-15	VYDAJ	VYBER	9500	23747	\N	\N	\N
943781	3219	1998-06-14	VYDAJ	VYBER	15700	29716	\N	\N	\N
943782	3219	1998-07-14	VYDAJ	VYBER	11100	30169	\N	\N	\N
943783	3219	1998-08-13	VYDAJ	VYBER KARTOU	1500	15864	\N	\N	0
943784	3219	1998-09-12	VYDAJ	VYBER KARTOU	2900	24535	\N	\N	0
943785	3219	1998-10-12	VYDAJ	VYBER	9600	26543	\N	\N	\N
943786	3219	1998-11-11	VYDAJ	VYBER	18400	26282	\N	\N	\N
943787	3219	1998-12-11	VYDAJ	VYBER	12800	25084	\N	\N	\N
943821	3220	1993-08-14	PRIJEM	VKLAD	800	800	\N	\N	\N
943830	3220	1993-09-06	PRIJEM	VKLAD	20611	21411	\N	\N	\N
943831	3220	1993-10-06	PRIJEM	VKLAD	20611	45985	\N	\N	\N
943832	3220	1993-11-06	PRIJEM	VKLAD	20611	54724	\N	\N	\N
943833	3220	1993-12-06	PRIJEM	VKLAD	30917	70396	\N	\N	\N
943834	3220	1994-01-06	PRIJEM	VKLAD	20611	66488	\N	\N	\N
943835	3220	1994-02-06	PRIJEM	VKLAD	20611	56198	\N	\N	\N
943836	3220	1994-03-06	PRIJEM	VKLAD	20611	62072	\N	\N	\N
943837	3220	1994-04-06	PRIJEM	VKLAD	20611	62041	\N	\N	\N
943838	3220	1994-05-06	PRIJEM	VKLAD	20611	61938	\N	\N	\N
943839	3220	1994-06-06	PRIJEM	VKLAD	30917	71874	\N	\N	\N
943840	3220	1994-07-06	PRIJEM	VKLAD	20611	38597	\N	\N	\N
943841	3220	1994-08-06	PRIJEM	VKLAD	20611	52754	\N	\N	\N
943842	3220	1994-09-06	PRIJEM	VKLAD	20611	61311	\N	\N	\N
943843	3220	1994-10-06	PRIJEM	VKLAD	20611	64787	\N	\N	\N
943844	3220	1994-11-06	PRIJEM	VKLAD	20611	66271	\N	\N	\N
943845	3220	1994-12-06	PRIJEM	VKLAD	30917	76462	\N	\N	\N
943846	3220	1995-01-06	PRIJEM	VKLAD	20611	62092	\N	\N	\N
943847	3220	1995-02-06	PRIJEM	VKLAD	20611	42017	\N	\N	\N
943848	3220	1995-03-06	PRIJEM	VKLAD	20611	62773	\N	\N	\N
943849	3220	1995-04-06	PRIJEM	VKLAD	20611	66356	\N	\N	\N
943850	3220	1995-05-06	PRIJEM	VKLAD	20611	69711	\N	\N	\N
943851	3220	1995-06-06	PRIJEM	VKLAD	30917	68919	\N	\N	\N
943852	3220	1995-07-06	PRIJEM	VKLAD	20611	47023	\N	\N	\N
943853	3220	1995-08-06	PRIJEM	VKLAD	20611	57717	\N	\N	\N
943854	3220	1995-09-06	PRIJEM	VKLAD	20611	62405	\N	\N	\N
943855	3220	1995-10-06	PRIJEM	VKLAD	20611	68556	\N	\N	\N
943856	3220	1995-11-06	PRIJEM	VKLAD	20611	68833	\N	\N	\N
943857	3220	1995-12-06	PRIJEM	VKLAD	30917	81081	\N	\N	\N
943858	3220	1996-01-06	PRIJEM	VKLAD	20611	74938	\N	\N	\N
943859	3220	1996-02-06	PRIJEM	VKLAD	20611	57073	\N	\N	\N
943860	3220	1996-03-06	PRIJEM	VKLAD	20611	61823	\N	\N	\N
943861	3220	1996-04-06	PRIJEM	VKLAD	20611	66971	\N	\N	\N
943862	3220	1996-05-06	PRIJEM	VKLAD	20611	68862	\N	\N	\N
943863	3220	1996-06-06	PRIJEM	VKLAD	30917	78637	\N	\N	\N
943864	3220	1996-07-06	PRIJEM	VKLAD	20611	67801	\N	\N	\N
943865	3220	1996-08-06	PRIJEM	VKLAD	20611	67792	\N	\N	\N
943866	3220	1996-09-06	PRIJEM	VKLAD	20611	64922	\N	\N	\N
943867	3220	1996-10-06	PRIJEM	VKLAD	20611	64161	\N	\N	\N
943868	3220	1996-11-06	PRIJEM	VKLAD	20611	69440	\N	\N	\N
943869	3220	1996-12-06	PRIJEM	VKLAD	30917	77252	\N	\N	\N
943870	3220	1997-01-06	PRIJEM	VKLAD	20611	74849	\N	\N	\N
943871	3220	1997-02-06	PRIJEM	VKLAD	20611	58488	\N	\N	\N
943872	3220	1997-03-06	PRIJEM	VKLAD	20611	68805	\N	\N	\N
943873	3220	1997-04-06	PRIJEM	VKLAD	20611	72202	\N	\N	\N
943874	3220	1997-05-06	PRIJEM	VKLAD	20611	73853	\N	\N	\N
943875	3220	1997-06-06	PRIJEM	VKLAD	30917	66377	\N	\N	\N
943876	3220	1997-07-06	PRIJEM	VKLAD	20611	70419	\N	\N	\N
943877	3220	1997-08-06	PRIJEM	VKLAD	20611	70664	\N	\N	\N
943878	3220	1997-09-06	PRIJEM	VKLAD	20611	72868	\N	\N	\N
943879	3220	1997-10-06	PRIJEM	VKLAD	20611	70475	\N	\N	\N
943880	3220	1997-11-06	PRIJEM	VKLAD	20611	73279	\N	\N	\N
943881	3220	1997-12-06	PRIJEM	VKLAD	30917	82713	\N	\N	\N
943882	3220	1998-01-06	PRIJEM	VKLAD	20611	65743	\N	\N	\N
943883	3220	1998-02-06	PRIJEM	VKLAD	20611	56630	\N	\N	\N
943884	3220	1998-03-06	PRIJEM	VKLAD	20611	60979	\N	\N	\N
943885	3220	1998-04-06	PRIJEM	VKLAD	20611	64644	\N	\N	\N
943886	3220	1998-05-06	PRIJEM	VKLAD	20611	64219	\N	\N	\N
943887	3220	1998-06-06	PRIJEM	VKLAD	30917	70696	\N	\N	\N
943888	3220	1998-07-06	PRIJEM	VKLAD	20611	63117	\N	\N	\N
943889	3220	1998-08-06	PRIJEM	VKLAD	20611	65689	\N	\N	\N
943890	3220	1998-09-06	PRIJEM	VKLAD	20611	66870	\N	\N	\N
943891	3220	1998-10-06	PRIJEM	VKLAD	20611	69057	\N	\N	\N
943892	3220	1998-11-06	PRIJEM	VKLAD	20611	71254	\N	\N	\N
943893	3220	1998-12-06	PRIJEM	VKLAD	30917	82692	\N	\N	\N
943967	3220	1994-06-24	VYDAJ	VYBER	32640	17834	\N	\N	\N
943968	3220	1995-06-27	VYDAJ	VYBER	36160	27479	\N	\N	\N
943969	3220	1996-06-25	VYDAJ	VYBER	10720	63957	\N	\N	\N
943970	3220	1997-06-02	VYDAJ	VYBER	20800	35460	\N	\N	\N
943974	3220	1995-01-19	VYDAJ	VYBER	11840	33952	\N	\N	\N
943975	3220	1996-01-25	VYDAJ	VYBER	11520	51658	\N	\N	\N
943976	3220	1997-01-16	VYDAJ	VYBER	5920	61369	\N	\N	\N
943977	3220	1998-01-19	VYDAJ	VYBER	5120	56223	\N	\N	\N
943979	3220	1994-12-15	VYDAJ	VYBER	3840	45622	\N	\N	\N
943980	3220	1995-12-04	VYDAJ	VYBER	2240	50164	\N	\N	\N
943981	3220	1996-12-05	VYDAJ	VYBER	1280	46335	\N	\N	\N
943982	3220	1997-12-15	VYDAJ	VYBER KARTOU	1400	81313	\N	\N	0
943983	3220	1998-12-19	VYDAJ	VYBER	4320	51772	\N	\N	\N
943990	3220	1994-01-21	VYDAJ	VYBER	3000	43208	\N	\N	\N
943991	3220	1994-01-16	VYDAJ	VYBER	600	46208	\N	\N	\N
943992	3220	1994-01-27	VYDAJ	VYBER	3120	37928	\N	\N	\N
943993	3220	1994-01-22	VYDAJ	VYBER	2160	41048	\N	\N	\N
943994	3220	1994-01-30	VYDAJ	VYBER	840	37088	\N	\N	\N
943995	3220	1994-01-07	VYDAJ	VYBER	1080	65408	\N	\N	\N
943996	3220	1995-01-24	VYDAJ	VYBER	2760	31192	\N	\N	\N
943997	3220	1995-01-30	VYDAJ	VYBER	3240	21832	\N	\N	\N
943998	3220	1995-01-27	VYDAJ	VYBER	2880	25072	\N	\N	\N
943999	3220	1995-01-02	VYDAJ	VYBER	840	43641	\N	\N	\N
944000	3220	1995-01-26	VYDAJ	VYBER	3240	27952	\N	\N	\N
944001	3220	1995-01-04	VYDAJ	VYBER	2160	41481	\N	\N	\N
944002	3220	1996-01-06	VYDAJ	VYBER	2880	72058	\N	\N	\N
944003	3220	1996-01-14	VYDAJ	VYBER	3000	69058	\N	\N	\N
944004	3220	1996-01-01	VYDAJ	VYBER	2160	54327	\N	\N	\N
944005	3220	1996-01-23	VYDAJ	VYBER	720	65818	\N	\N	\N
944006	3220	1996-01-19	VYDAJ	VYBER	2520	66538	\N	\N	\N
944007	3220	1996-01-25	VYDAJ	VYBER	2640	63178	\N	\N	\N
944008	3220	1997-01-13	VYDAJ	VYBER	3000	67289	\N	\N	\N
944009	3220	1997-01-24	VYDAJ	VYBER	2640	58729	\N	\N	\N
944010	3220	1997-01-09	VYDAJ	VYBER	1320	70289	\N	\N	\N
944011	3220	1997-01-06	VYDAJ	VYBER	3240	71609	\N	\N	\N
944012	3220	1997-01-25	VYDAJ	VYBER	1440	44489	\N	\N	\N
944013	3220	1997-01-27	VYDAJ	VYBER	2640	41849	\N	\N	\N
944014	3220	1998-01-05	VYDAJ	VYBER KARTOU	700	45132	\N	\N	0
944015	3220	1998-01-16	VYDAJ	VYBER KARTOU	3400	61343	\N	\N	0
944016	3220	1998-01-01	VYDAJ	VYBER KARTOU	2000	48132	\N	\N	0
944017	3220	1998-01-30	VYDAJ	VYBER KARTOU	3500	35823	\N	\N	0
944018	3220	1998-01-21	VYDAJ	VYBER KARTOU	2800	39323	\N	\N	0
944019	3220	1998-01-10	VYDAJ	VYBER KARTOU	1000	64743	\N	\N	0
944027	3220	1994-04-25	VYDAJ	VYBER	4680	41161	\N	\N	\N
944028	3220	1994-05-24	VYDAJ	VYBER	2040	40798	\N	\N	\N
944029	3220	1994-07-31	VYDAJ	VYBER	1560	32143	\N	\N	\N
944030	3220	1994-12-28	VYDAJ	VYBER	1320	44302	\N	\N	\N
944031	3220	1994-02-04	VYDAJ	VYBER	1680	35587	\N	\N	\N
944032	3220	1995-08-31	VYDAJ	VYBER	2640	55294	\N	\N	\N
944033	3220	1995-06-23	VYDAJ	VYBER	5280	63639	\N	\N	\N
944034	3220	1995-12-17	VYDAJ	VYBER	1800	79281	\N	\N	\N
944035	3220	1995-07-18	VYDAJ	VYBER	2280	44743	\N	\N	\N
944036	3220	1996-09-28	VYDAJ	VYBER	2640	43382	\N	\N	\N
944037	3220	1996-01-28	VYDAJ	VYBER	5040	46618	\N	\N	\N
944038	3220	1996-11-15	VYDAJ	VYBER	1440	68000	\N	\N	\N
944039	3220	1996-06-14	VYDAJ	VYBER	3960	74677	\N	\N	\N
944040	3220	1996-12-29	VYDAJ	VYBER	1680	53972	\N	\N	\N
944041	3220	1996-08-30	VYDAJ	VYBER	2160	44132	\N	\N	\N
944042	3220	1997-07-08	VYDAJ	VYBER	4920	60939	\N	\N	\N
944043	3220	1997-02-01	VYDAJ	VYBER	4200	37877	\N	\N	\N
944044	3220	1997-12-23	VYDAJ	VYBER KARTOU	3700	49913	\N	\N	0
944045	3220	1997-06-12	VYDAJ	VYBER	2400	63977	\N	\N	\N
944046	3220	1997-11-14	VYDAJ	VYBER KARTOU	2300	70979	\N	\N	0
944047	3220	1997-04-15	VYDAJ	VYBER	5280	66922	\N	\N	\N
944048	3220	1997-07-08	VYDAJ	VYBER	4560	65859	\N	\N	\N
944049	3220	1998-02-19	VYDAJ	VYBER KARTOU	600	40230	\N	\N	0
944050	3220	1998-06-22	VYDAJ	VYBER KARTOU	1300	45296	\N	\N	0
944051	3220	1998-11-12	VYDAJ	VYBER	4080	67174	\N	\N	\N
944052	3220	1998-01-05	VYDAJ	VYBER KARTOU	2300	45832	\N	\N	0
944053	3220	1998-06-01	VYDAJ	VYBER KARTOU	2600	39779	\N	\N	0
944054	3220	1998-06-24	VYDAJ	VYBER KARTOU	3000	42296	\N	\N	0
944068	3220	1994-01-31	VYDAJ	VYBER	15	37267	SLUZBY	\N	\N
944069	3220	1994-02-28	VYDAJ	VYBER	15	41461	SLUZBY	\N	\N
944070	3220	1994-03-31	VYDAJ	VYBER	15	41430	SLUZBY	\N	\N
944071	3220	1994-04-30	VYDAJ	VYBER	15	41327	SLUZBY	\N	\N
944072	3220	1994-05-31	VYDAJ	VYBER	15	40958	SLUZBY	\N	\N
944073	3220	1994-06-30	VYDAJ	VYBER	15	17986	SLUZBY	\N	\N
944074	3220	1994-07-31	VYDAJ	VYBER	15	33703	SLUZBY	\N	\N
944075	3220	1994-08-31	VYDAJ	VYBER	15	40700	SLUZBY	\N	\N
944076	3220	1994-09-30	VYDAJ	VYBER	15	44176	SLUZBY	\N	\N
944077	3220	1994-10-31	VYDAJ	VYBER	15	45660	SLUZBY	\N	\N
944078	3220	1994-11-30	VYDAJ	VYBER	15	45546	SLUZBY	\N	\N
944079	3220	1994-12-31	VYDAJ	VYBER	15	44481	SLUZBY	\N	\N
944080	3220	1995-01-31	VYDAJ	VYBER	15	22006	SLUZBY	\N	\N
944081	3220	1995-02-28	VYDAJ	VYBER	15	42162	SLUZBY	\N	\N
944082	3220	1995-03-31	VYDAJ	VYBER	15	45745	SLUZBY	\N	\N
944083	3220	1995-04-30	VYDAJ	VYBER	15	49100	SLUZBY	\N	\N
944084	3220	1995-05-31	VYDAJ	VYBER	15	49702	SLUZBY	\N	\N
944085	3220	1995-06-30	VYDAJ	VYBER	15	27712	SLUZBY	\N	\N
944086	3220	1995-07-31	VYDAJ	VYBER	15	44906	SLUZBY	\N	\N
944087	3220	1995-08-31	VYDAJ	VYBER	15	57934	SLUZBY	\N	\N
944088	3220	1995-09-30	VYDAJ	VYBER	15	62645	SLUZBY	\N	\N
944089	3220	1995-10-31	VYDAJ	VYBER	15	68822	SLUZBY	\N	\N
944090	3220	1995-11-30	VYDAJ	VYBER	15	69104	SLUZBY	\N	\N
944091	3220	1995-12-31	VYDAJ	VYBER	15	79587	SLUZBY	\N	\N
944092	3220	1996-01-31	VYDAJ	VYBER	15	46862	SLUZBY	\N	\N
944093	3220	1996-02-29	VYDAJ	VYBER	15	57212	SLUZBY	\N	\N
944094	3220	1996-03-31	VYDAJ	VYBER	15	62060	SLUZBY	\N	\N
944095	3220	1996-04-30	VYDAJ	VYBER	15	67151	SLUZBY	\N	\N
944096	3220	1996-05-31	VYDAJ	VYBER	15	47721	SLUZBY	\N	\N
944097	3220	1996-06-30	VYDAJ	VYBER	15	47190	SLUZBY	\N	\N
944098	3220	1996-07-31	VYDAJ	VYBER	15	47181	SLUZBY	\N	\N
944099	3220	1996-08-31	VYDAJ	VYBER	15	44311	SLUZBY	\N	\N
944100	3220	1996-09-30	VYDAJ	VYBER	15	43550	SLUZBY	\N	\N
944101	3220	1996-10-31	VYDAJ	VYBER	15	48829	SLUZBY	\N	\N
944102	3220	1996-11-30	VYDAJ	VYBER	15	47615	SLUZBY	\N	\N
944103	3220	1996-12-31	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
944104	3220	1997-01-31	VYDAJ	VYBER	15	42077	SLUZBY	\N	\N
944105	3220	1997-02-28	VYDAJ	VYBER	15	48194	SLUZBY	\N	\N
944106	3220	1997-03-31	VYDAJ	VYBER	15	51591	SLUZBY	\N	\N
944107	3220	1997-04-30	VYDAJ	VYBER	15	53242	SLUZBY	\N	\N
944108	3220	1997-05-31	VYDAJ	VYBER	15	56260	SLUZBY	\N	\N
944109	3220	1997-06-30	VYDAJ	VYBER	15	49808	SLUZBY	\N	\N
944110	3220	1997-07-31	VYDAJ	VYBER	15	50053	SLUZBY	\N	\N
944111	3220	1997-08-31	VYDAJ	VYBER	15	52257	SLUZBY	\N	\N
944112	3220	1997-09-30	VYDAJ	VYBER	15	49864	SLUZBY	\N	\N
944113	3220	1997-10-31	VYDAJ	VYBER	15	52668	SLUZBY	\N	\N
944114	3220	1997-11-30	VYDAJ	VYBER	15	51796	SLUZBY	\N	\N
944115	3220	1997-12-31	VYDAJ	VYBER	15	50132	SLUZBY	\N	\N
944116	3220	1998-01-31	VYDAJ	VYBER	15	36019	SLUZBY	\N	\N
944117	3220	1998-02-28	VYDAJ	VYBER	15	40368	SLUZBY	\N	\N
944118	3220	1998-03-31	VYDAJ	VYBER	15	44033	SLUZBY	\N	\N
944119	3220	1998-04-30	VYDAJ	VYBER	15	43608	SLUZBY	\N	\N
944120	3220	1998-05-31	VYDAJ	VYBER	15	42379	SLUZBY	\N	\N
944121	3220	1998-06-30	VYDAJ	VYBER	15	42506	SLUZBY	\N	\N
944122	3220	1998-07-31	VYDAJ	VYBER	15	45078	SLUZBY	\N	\N
944123	3220	1998-08-31	VYDAJ	VYBER	15	46259	SLUZBY	\N	\N
944124	3220	1998-09-30	VYDAJ	VYBER	15	48446	SLUZBY	\N	\N
944125	3220	1998-10-31	VYDAJ	VYBER	15	50643	SLUZBY	\N	\N
944126	3220	1998-11-30	VYDAJ	VYBER	15	51775	SLUZBY	\N	\N
944127	3220	1993-09-13	PRIJEM	VKLAD	3900	25311	\N	\N	\N
944128	3220	1993-10-13	VYDAJ	VYBER	12000	33985	\N	\N	\N
944129	3220	1993-11-12	VYDAJ	VYBER	15400	39324	\N	\N	\N
944130	3220	1993-12-12	VYDAJ	VYBER	24700	45696	\N	\N	\N
944131	3220	1994-01-11	VYDAJ	VYBER	18600	46808	\N	\N	\N
944132	3220	1994-02-10	VYDAJ	VYBER	14900	41298	\N	\N	\N
944133	3220	1994-03-12	VYDAJ	VYBER	20800	41272	\N	\N	\N
944134	3220	1994-04-11	VYDAJ	VYBER	16200	45841	\N	\N	\N
944135	3220	1994-05-11	VYDAJ	VYBER	19100	42838	\N	\N	\N
944136	3220	1994-06-10	VYDAJ	VYBER	21400	50474	\N	\N	\N
944137	3220	1994-07-10	VYDAJ	VYBER	5000	33597	\N	\N	\N
944138	3220	1994-08-09	VYDAJ	VYBER	12200	40554	\N	\N	\N
944139	3220	1994-09-08	VYDAJ	VYBER	17300	44011	\N	\N	\N
944140	3220	1994-10-08	VYDAJ	VYBER	19300	45487	\N	\N	\N
944141	3220	1994-11-07	VYDAJ	VYBER	20900	45371	\N	\N	\N
944142	3220	1994-12-07	VYDAJ	VYBER	27000	49462	\N	\N	\N
944143	3220	1995-01-06	VYDAJ	VYBER	16300	45792	\N	\N	\N
944144	3220	1995-02-05	VYDAJ	VYBER	600	21406	\N	\N	\N
944145	3220	1995-03-07	VYDAJ	VYBER	17200	45573	\N	\N	\N
944146	3220	1995-04-06	VYDAJ	VYBER	17500	48856	\N	\N	\N
944147	3220	1995-05-06	VYDAJ	VYBER	20200	49511	\N	\N	\N
944148	3220	1995-06-05	VYDAJ	VYBER	11700	38002	\N	\N	\N
944149	3220	1995-07-05	VYDAJ	VYBER	1300	26412	\N	\N	\N
944150	3220	1995-08-04	VYDAJ	VYBER	7800	37106	\N	\N	\N
944151	3220	1995-09-03	VYDAJ	VYBER	13500	41794	\N	\N	\N
944152	3220	1995-10-03	VYDAJ	VYBER	14700	47945	\N	\N	\N
944153	3220	1995-11-02	VYDAJ	VYBER	20600	48222	\N	\N	\N
944154	3220	1995-12-02	VYDAJ	VYBER	16700	52404	\N	\N	\N
944155	3220	1996-01-01	VYDAJ	VYBER	23100	56487	\N	\N	\N
944156	3220	1996-01-31	VYDAJ	VYBER	10400	36462	\N	\N	\N
944157	3220	1996-03-01	VYDAJ	VYBER	16000	41212	\N	\N	\N
944158	3220	1996-03-31	VYDAJ	VYBER	15700	46360	\N	\N	\N
944159	3220	1996-04-30	VYDAJ	VYBER	18900	48251	\N	\N	\N
944160	3220	1996-05-30	VYDAJ	VYBER	21400	47462	\N	\N	\N
944161	3220	1996-06-29	VYDAJ	VYBER	17000	46957	\N	\N	\N
944162	3220	1996-07-29	VYDAJ	VYBER	20800	47001	\N	\N	\N
944163	3220	1996-08-28	VYDAJ	VYBER	21500	46292	\N	\N	\N
944164	3220	1996-09-27	VYDAJ	VYBER	18900	46022	\N	\N	\N
944165	3220	1996-10-27	VYDAJ	VYBER	15500	48661	\N	\N	\N
944166	3220	1996-11-26	VYDAJ	VYBER	20600	47400	\N	\N	\N
944167	3220	1996-12-26	VYDAJ	VYBER	21600	55652	\N	\N	\N
944168	3220	1997-01-25	VYDAJ	VYBER	12800	45929	\N	\N	\N
944169	3220	1997-02-24	VYDAJ	VYBER	10500	47988	\N	\N	\N
944170	3220	1997-03-26	VYDAJ	VYBER	17400	51405	\N	\N	\N
944171	3220	1997-04-25	VYDAJ	VYBER	13900	53022	\N	\N	\N
944172	3220	1997-05-25	VYDAJ	VYBER	17800	56053	\N	\N	\N
944173	3220	1997-06-24	VYDAJ	VYBER	14400	49577	\N	\N	\N
944174	3220	1997-07-24	VYDAJ	VYBER	11100	49839	\N	\N	\N
944175	3220	1997-08-23	VYDAJ	VYBER	18600	52064	\N	\N	\N
944176	3220	1997-09-22	VYDAJ	VYBER	23200	49668	\N	\N	\N
944177	3220	1997-10-22	VYDAJ	VYBER	18000	52475	\N	\N	\N
944178	3220	1997-11-21	VYDAJ	VYBER	19400	51579	\N	\N	\N
944179	3220	1997-12-21	VYDAJ	VYBER	27700	53613	\N	\N	\N
944180	3220	1998-01-20	VYDAJ	VYBER	14100	42123	\N	\N	\N
944181	3220	1998-02-19	VYDAJ	VYBER	15800	40830	\N	\N	\N
944182	3220	1998-03-21	VYDAJ	VYBER	17100	43879	\N	\N	\N
944183	3220	1998-04-20	VYDAJ	VYBER	21200	43444	\N	\N	\N
944184	3220	1998-05-20	VYDAJ	VYBER	22000	42219	\N	\N	\N
944185	3220	1998-06-19	VYDAJ	VYBER	24100	46596	\N	\N	\N
944186	3220	1998-07-19	VYDAJ	VYBER	18200	44917	\N	\N	\N
944187	3220	1998-08-18	VYDAJ	VYBER	19600	46089	\N	\N	\N
944188	3220	1998-09-17	VYDAJ	VYBER	18600	48270	\N	\N	\N
944189	3220	1998-10-17	VYDAJ	VYBER	18600	50457	\N	\N	\N
944190	3220	1998-11-16	VYDAJ	VYBER	15600	51574	\N	\N	\N
944191	3220	1998-12-16	VYDAJ	VYBER	26600	56092	\N	\N	\N
944256	3221	1993-08-17	PRIJEM	VKLAD	900	900	\N	\N	\N
944265	3221	1993-09-09	PRIJEM	PREVOD Z UCTU	5330	6230	DUCHOD	CD	88452922
944266	3221	1993-10-09	PRIJEM	PREVOD Z UCTU	5330	11560	DUCHOD	CD	88452922
944267	3221	1993-11-09	PRIJEM	PREVOD Z UCTU	5330	16890	DUCHOD	CD	88452922
944268	3221	1993-12-09	PRIJEM	PREVOD Z UCTU	5330	22220	DUCHOD	CD	88452922
944269	3221	1994-01-09	PRIJEM	PREVOD Z UCTU	5330	27400	DUCHOD	CD	88452922
944270	3221	1994-02-09	PRIJEM	PREVOD Z UCTU	5330	21527	DUCHOD	CD	88452922
944271	3221	1994-03-09	PRIJEM	PREVOD Z UCTU	5330	24040	DUCHOD	CD	88452922
944272	3221	1994-04-09	PRIJEM	PREVOD Z UCTU	5330	27266	DUCHOD	CD	88452922
944273	3221	1994-05-09	PRIJEM	PREVOD Z UCTU	5330	30304	DUCHOD	CD	88452922
944274	3221	1994-06-09	PRIJEM	PREVOD Z UCTU	5330	31351	DUCHOD	CD	88452922
944275	3221	1994-07-09	PRIJEM	PREVOD Z UCTU	5330	22784	DUCHOD	CD	88452922
944276	3221	1994-08-09	PRIJEM	PREVOD Z UCTU	5330	26004	DUCHOD	CD	88452922
944277	3221	1994-09-09	PRIJEM	PREVOD Z UCTU	5330	29238	DUCHOD	CD	88452922
944278	3221	1994-10-09	PRIJEM	PREVOD Z UCTU	5330	26691	DUCHOD	CD	88452922
944279	3221	1994-11-09	PRIJEM	PREVOD Z UCTU	5330	28022	DUCHOD	CD	88452922
944280	3221	1994-12-09	PRIJEM	PREVOD Z UCTU	5330	28619	DUCHOD	CD	88452922
944281	3221	1995-01-09	PRIJEM	PREVOD Z UCTU	5330	22109	DUCHOD	CD	88452922
944282	3221	1995-02-09	PRIJEM	PREVOD Z UCTU	5330	19807	DUCHOD	CD	88452922
944283	3221	1995-03-09	PRIJEM	PREVOD Z UCTU	5330	23016	DUCHOD	CD	88452922
944284	3221	1995-04-09	PRIJEM	PREVOD Z UCTU	5330	25234	DUCHOD	CD	88452922
944285	3221	1995-05-09	PRIJEM	PREVOD Z UCTU	5330	28464	DUCHOD	CD	88452922
944286	3221	1995-06-09	PRIJEM	PREVOD Z UCTU	5330	28701	DUCHOD	CD	88452922
944287	3221	1995-07-09	PRIJEM	PREVOD Z UCTU	5330	28518	DUCHOD	CD	88452922
944288	3221	1995-08-09	PRIJEM	PREVOD Z UCTU	5330	28077	DUCHOD	CD	88452922
944289	3221	1995-09-09	PRIJEM	PREVOD Z UCTU	5330	30219	DUCHOD	CD	88452922
944290	3221	1995-10-09	PRIJEM	PREVOD Z UCTU	5330	33471	DUCHOD	CD	88452922
944291	3221	1995-11-09	PRIJEM	PREVOD Z UCTU	5330	34895	DUCHOD	CD	88452922
944292	3221	1995-12-09	PRIJEM	PREVOD Z UCTU	5330	31933	DUCHOD	CD	88452922
944293	3221	1996-01-09	PRIJEM	PREVOD Z UCTU	5330	30869	DUCHOD	CD	88452922
944294	3221	1996-02-09	PRIJEM	PREVOD Z UCTU	5330	23954	DUCHOD	CD	88452922
944295	3221	1996-03-09	PRIJEM	PREVOD Z UCTU	5330	27179	DUCHOD	CD	88452922
944296	3221	1996-04-09	PRIJEM	PREVOD Z UCTU	5330	30417	DUCHOD	CD	88452922
944297	3221	1996-05-09	PRIJEM	PREVOD Z UCTU	5330	33669	DUCHOD	CD	88452922
944298	3221	1996-06-09	PRIJEM	PREVOD Z UCTU	5330	31984	DUCHOD	CD	88452922
944299	3221	1996-07-09	PRIJEM	PREVOD Z UCTU	5330	35243	DUCHOD	CD	88452922
944300	3221	1996-08-09	PRIJEM	PREVOD Z UCTU	5330	32994	DUCHOD	CD	88452922
944301	3221	1996-09-09	PRIJEM	PREVOD Z UCTU	5330	34818	DUCHOD	CD	88452922
944302	3221	1996-10-09	PRIJEM	PREVOD Z UCTU	5330	38088	DUCHOD	CD	88452922
944303	3221	1996-11-09	PRIJEM	PREVOD Z UCTU	5330	39768	DUCHOD	CD	88452922
944304	3221	1996-12-09	PRIJEM	PREVOD Z UCTU	5330	42558	DUCHOD	CD	88452922
944305	3221	1997-01-09	PRIJEM	PREVOD Z UCTU	5330	38640	DUCHOD	CD	88452922
944306	3221	1997-02-09	PRIJEM	PREVOD Z UCTU	5330	36802	DUCHOD	CD	88452922
944307	3221	1997-03-09	PRIJEM	PREVOD Z UCTU	5330	40079	DUCHOD	CD	88452922
944308	3221	1997-04-09	PRIJEM	PREVOD Z UCTU	5330	42770	DUCHOD	CD	88452922
944309	3221	1997-05-09	PRIJEM	PREVOD Z UCTU	5330	46072	DUCHOD	CD	88452922
944310	3221	1997-06-09	PRIJEM	PREVOD Z UCTU	5330	48988	DUCHOD	CD	88452922
944311	3221	1997-07-09	PRIJEM	PREVOD Z UCTU	5330	47319	DUCHOD	CD	88452922
944312	3221	1997-08-09	PRIJEM	PREVOD Z UCTU	5330	50640	DUCHOD	CD	88452922
944313	3221	1997-09-09	PRIJEM	PREVOD Z UCTU	5330	52874	DUCHOD	CD	88452922
944314	3221	1997-10-09	PRIJEM	PREVOD Z UCTU	5330	52715	DUCHOD	CD	88452922
944315	3221	1997-11-09	PRIJEM	PREVOD Z UCTU	5330	51054	DUCHOD	CD	88452922
944316	3221	1997-12-09	PRIJEM	PREVOD Z UCTU	5330	50687	DUCHOD	CD	88452922
944317	3221	1998-01-09	PRIJEM	PREVOD Z UCTU	5330	42214	DUCHOD	CD	88452922
944318	3221	1998-02-09	PRIJEM	PREVOD Z UCTU	5330	37900	DUCHOD	CD	88452922
944319	3221	1998-03-09	PRIJEM	PREVOD Z UCTU	5330	37480	DUCHOD	CD	88452922
944320	3221	1998-04-09	PRIJEM	PREVOD Z UCTU	5330	40760	DUCHOD	CD	88452922
944321	3221	1998-05-09	PRIJEM	PREVOD Z UCTU	5330	43053	DUCHOD	CD	88452922
944322	3221	1998-06-09	PRIJEM	PREVOD Z UCTU	5330	46356	DUCHOD	CD	88452922
944323	3221	1998-07-09	PRIJEM	PREVOD Z UCTU	5330	42813	DUCHOD	CD	88452922
944324	3221	1998-08-09	PRIJEM	PREVOD Z UCTU	5330	46115	DUCHOD	CD	88452922
944325	3221	1998-09-09	PRIJEM	PREVOD Z UCTU	5330	48630	DUCHOD	CD	88452922
944326	3221	1998-10-09	PRIJEM	PREVOD Z UCTU	5330	51355	DUCHOD	CD	88452922
944327	3221	1998-11-09	PRIJEM	PREVOD Z UCTU	5330	47379	DUCHOD	CD	88452922
944328	3221	1998-12-09	PRIJEM	PREVOD Z UCTU	5330	46999	DUCHOD	CD	88452922
944341	3221	1994-01-13	VYDAJ	PREVOD NA UCET	148	24532	SIPO	ST	23888492
944342	3221	1994-02-13	VYDAJ	PREVOD NA UCET	148	21379	SIPO	ST	23888492
944343	3221	1994-03-13	VYDAJ	PREVOD NA UCET	148	23892	SIPO	ST	23888492
944344	3221	1994-04-13	VYDAJ	PREVOD NA UCET	148	27118	SIPO	ST	23888492
944345	3221	1994-05-13	VYDAJ	PREVOD NA UCET	148	30156	SIPO	ST	23888492
944346	3221	1994-06-13	VYDAJ	PREVOD NA UCET	148	31203	SIPO	ST	23888492
944347	3221	1994-07-13	VYDAJ	PREVOD NA UCET	148	22636	SIPO	ST	23888492
944348	3221	1994-08-13	VYDAJ	PREVOD NA UCET	148	25856	SIPO	ST	23888492
944349	3221	1994-09-13	VYDAJ	PREVOD NA UCET	148	24590	SIPO	ST	23888492
944350	3221	1994-10-13	VYDAJ	PREVOD NA UCET	148	24643	SIPO	ST	23888492
944351	3221	1994-11-13	VYDAJ	PREVOD NA UCET	148	26174	SIPO	ST	23888492
944352	3221	1994-12-13	VYDAJ	PREVOD NA UCET	148	26671	SIPO	ST	23888492
944353	3221	1995-01-13	VYDAJ	PREVOD NA UCET	148	21961	SIPO	ST	23888492
944354	3221	1995-02-13	VYDAJ	PREVOD NA UCET	148	19659	SIPO	ST	23888492
944355	3221	1995-03-13	VYDAJ	PREVOD NA UCET	148	21868	SIPO	ST	23888492
944356	3221	1995-04-13	VYDAJ	PREVOD NA UCET	148	25086	SIPO	ST	23888492
944357	3221	1995-05-13	VYDAJ	PREVOD NA UCET	148	25316	SIPO	ST	23888492
944358	3221	1995-06-13	VYDAJ	PREVOD NA UCET	148	25833	SIPO	ST	23888492
944359	3221	1995-07-13	VYDAJ	PREVOD NA UCET	148	28370	SIPO	ST	23888492
944360	3221	1995-08-13	VYDAJ	PREVOD NA UCET	148	27929	SIPO	ST	23888492
944361	3221	1995-09-13	VYDAJ	PREVOD NA UCET	148	30071	SIPO	ST	23888492
944362	3221	1995-10-13	VYDAJ	PREVOD NA UCET	148	33323	SIPO	ST	23888492
944363	3221	1995-11-13	VYDAJ	PREVOD NA UCET	148	30827	SIPO	ST	23888492
944364	3221	1995-12-13	VYDAJ	PREVOD NA UCET	148	31785	SIPO	ST	23888492
944365	3221	1996-01-13	VYDAJ	PREVOD NA UCET	148	28081	SIPO	ST	23888492
944366	3221	1996-02-13	VYDAJ	PREVOD NA UCET	148	23806	SIPO	ST	23888492
944367	3221	1996-03-13	VYDAJ	PREVOD NA UCET	148	27031	SIPO	ST	23888492
944368	3221	1996-04-13	VYDAJ	PREVOD NA UCET	148	30269	SIPO	ST	23888492
944369	3221	1996-05-13	VYDAJ	PREVOD NA UCET	148	33521	SIPO	ST	23888492
944370	3221	1996-06-13	VYDAJ	PREVOD NA UCET	148	31836	SIPO	ST	23888492
944371	3221	1996-07-13	VYDAJ	PREVOD NA UCET	148	35095	SIPO	ST	23888492
944372	3221	1996-08-13	VYDAJ	PREVOD NA UCET	148	32846	SIPO	ST	23888492
944373	3221	1996-09-13	VYDAJ	PREVOD NA UCET	148	34670	SIPO	ST	23888492
944374	3221	1996-10-13	VYDAJ	PREVOD NA UCET	148	37940	SIPO	ST	23888492
944375	3221	1996-11-13	VYDAJ	PREVOD NA UCET	148	39620	SIPO	ST	23888492
944376	3221	1996-12-13	VYDAJ	PREVOD NA UCET	148	42410	SIPO	ST	23888492
944377	3221	1997-01-13	VYDAJ	PREVOD NA UCET	148	37052	SIPO	ST	23888492
944378	3221	1997-02-13	VYDAJ	PREVOD NA UCET	148	36654	SIPO	ST	23888492
944379	3221	1997-03-13	VYDAJ	PREVOD NA UCET	148	39931	SIPO	ST	23888492
944380	3221	1997-04-13	VYDAJ	PREVOD NA UCET	148	42622	SIPO	ST	23888492
944381	3221	1997-05-13	VYDAJ	PREVOD NA UCET	148	45924	SIPO	ST	23888492
944382	3221	1997-06-13	VYDAJ	PREVOD NA UCET	148	48360	SIPO	ST	23888492
944383	3221	1997-07-13	VYDAJ	PREVOD NA UCET	148	47171	SIPO	ST	23888492
944384	3221	1997-08-13	VYDAJ	PREVOD NA UCET	148	50492	SIPO	ST	23888492
944385	3221	1997-09-13	VYDAJ	PREVOD NA UCET	148	52726	SIPO	ST	23888492
944386	3221	1997-10-13	VYDAJ	PREVOD NA UCET	148	52567	SIPO	ST	23888492
944387	3221	1997-11-13	VYDAJ	PREVOD NA UCET	148	50906	SIPO	ST	23888492
944388	3221	1997-12-13	VYDAJ	PREVOD NA UCET	148	50539	SIPO	ST	23888492
944389	3221	1998-01-13	VYDAJ	PREVOD NA UCET	148	37966	SIPO	ST	23888492
944390	3221	1998-02-13	VYDAJ	PREVOD NA UCET	148	37752	SIPO	ST	23888492
944391	3221	1998-03-13	VYDAJ	PREVOD NA UCET	148	37332	SIPO	ST	23888492
944392	3221	1998-04-13	VYDAJ	PREVOD NA UCET	148	40612	SIPO	ST	23888492
944393	3221	1998-05-13	VYDAJ	PREVOD NA UCET	148	42905	SIPO	ST	23888492
944394	3221	1998-06-13	VYDAJ	PREVOD NA UCET	148	46208	SIPO	ST	23888492
944395	3221	1998-07-13	VYDAJ	PREVOD NA UCET	148	42665	SIPO	ST	23888492
944396	3221	1998-08-13	VYDAJ	PREVOD NA UCET	148	45967	SIPO	ST	23888492
944397	3221	1998-09-13	VYDAJ	PREVOD NA UCET	148	48482	SIPO	ST	23888492
944398	3221	1998-10-13	VYDAJ	PREVOD NA UCET	148	51207	SIPO	ST	23888492
944399	3221	1998-11-13	VYDAJ	PREVOD NA UCET	148	47231	SIPO	ST	23888492
944400	3221	1998-12-13	VYDAJ	PREVOD NA UCET	148	46851	SIPO	ST	23888492
944414	3221	1994-02-08	VYDAJ	PREVOD NA UCET	2038	16197	 	OP	83177405
944415	3221	1994-03-08	VYDAJ	PREVOD NA UCET	2038	18710	 	OP	83177405
944416	3221	1994-04-08	VYDAJ	PREVOD NA UCET	2038	21936	 	OP	83177405
944417	3221	1994-05-08	VYDAJ	PREVOD NA UCET	2038	24974	 	OP	83177405
944418	3221	1994-06-08	VYDAJ	PREVOD NA UCET	2038	26021	 	OP	83177405
944419	3221	1994-07-08	VYDAJ	PREVOD NA UCET	2038	17454	 	OP	83177405
944420	3221	1994-08-08	VYDAJ	PREVOD NA UCET	2038	20674	 	OP	83177405
944421	3221	1994-09-08	VYDAJ	PREVOD NA UCET	2038	23908	 	OP	83177405
944422	3221	1994-10-08	VYDAJ	PREVOD NA UCET	2038	21361	 	OP	83177405
944423	3221	1994-11-08	VYDAJ	PREVOD NA UCET	2038	22692	 	OP	83177405
944424	3221	1994-12-08	VYDAJ	PREVOD NA UCET	2038	23289	 	OP	83177405
944425	3221	1995-01-08	VYDAJ	PREVOD NA UCET	2038	16779	 	OP	83177405
944426	3221	1995-02-08	VYDAJ	PREVOD NA UCET	2038	14477	 	OP	83177405
944427	3221	1995-03-08	VYDAJ	PREVOD NA UCET	2038	17686	 	OP	83177405
944428	3221	1995-04-08	VYDAJ	PREVOD NA UCET	2038	19904	 	OP	83177405
944429	3221	1995-05-08	VYDAJ	PREVOD NA UCET	2038	23134	 	OP	83177405
944430	3221	1995-06-08	VYDAJ	PREVOD NA UCET	2038	23371	 	OP	83177405
944431	3221	1995-07-08	VYDAJ	PREVOD NA UCET	2038	23888	 	OP	83177405
944432	3221	1995-08-08	VYDAJ	PREVOD NA UCET	2038	22747	 	OP	83177405
944433	3221	1995-09-08	VYDAJ	PREVOD NA UCET	2038	24889	 	OP	83177405
944434	3221	1995-10-08	VYDAJ	PREVOD NA UCET	2038	28141	 	OP	83177405
944435	3221	1995-11-08	VYDAJ	PREVOD NA UCET	2038	29565	 	OP	83177405
944436	3221	1995-12-08	VYDAJ	PREVOD NA UCET	2038	26603	 	OP	83177405
944437	3221	1996-01-08	VYDAJ	PREVOD NA UCET	2038	25539	 	OP	83177405
944438	3221	1996-02-08	VYDAJ	PREVOD NA UCET	2038	18624	 	OP	83177405
944439	3221	1996-03-08	VYDAJ	PREVOD NA UCET	2038	21849	 	OP	83177405
944440	3221	1996-04-08	VYDAJ	PREVOD NA UCET	2038	25087	 	OP	83177405
944441	3221	1996-05-08	VYDAJ	PREVOD NA UCET	2038	28339	 	OP	83177405
944442	3221	1996-06-08	VYDAJ	PREVOD NA UCET	2038	26654	 	OP	83177405
944443	3221	1996-07-08	VYDAJ	PREVOD NA UCET	2038	29913	 	OP	83177405
944444	3221	1996-08-08	VYDAJ	PREVOD NA UCET	2038	30304	 	OP	83177405
944445	3221	1996-09-08	VYDAJ	PREVOD NA UCET	2038	29488	 	OP	83177405
944446	3221	1996-10-08	VYDAJ	PREVOD NA UCET	2038	32758	 	OP	83177405
944447	3221	1996-11-08	VYDAJ	PREVOD NA UCET	2038	34438	 	OP	83177405
944448	3221	1996-12-08	VYDAJ	PREVOD NA UCET	2038	37228	 	OP	83177405
944449	3221	1997-01-08	VYDAJ	PREVOD NA UCET	2038	33310	 	OP	83177405
944450	3221	1997-02-08	VYDAJ	PREVOD NA UCET	2038	31472	 	OP	83177405
944451	3221	1997-03-08	VYDAJ	PREVOD NA UCET	2038	34749	 	OP	83177405
944452	3221	1997-04-08	VYDAJ	PREVOD NA UCET	2038	37440	 	OP	83177405
944453	3221	1997-05-08	VYDAJ	PREVOD NA UCET	2038	40742	 	OP	83177405
944454	3221	1997-06-08	VYDAJ	PREVOD NA UCET	2038	43658	 	OP	83177405
944455	3221	1997-07-08	VYDAJ	PREVOD NA UCET	2038	41989	 	OP	83177405
944456	3221	1997-08-08	VYDAJ	PREVOD NA UCET	2038	45310	 	OP	83177405
944457	3221	1997-09-08	VYDAJ	PREVOD NA UCET	2038	47544	 	OP	83177405
944458	3221	1997-10-08	VYDAJ	PREVOD NA UCET	2038	47385	 	OP	83177405
944459	3221	1997-11-08	VYDAJ	PREVOD NA UCET	2038	45724	 	OP	83177405
944460	3221	1997-12-08	VYDAJ	PREVOD NA UCET	2038	45357	 	OP	83177405
944461	3221	1998-01-08	VYDAJ	PREVOD NA UCET	2038	36884	 	OP	83177405
944462	3221	1998-02-08	VYDAJ	PREVOD NA UCET	2038	32570	 	OP	83177405
944463	3221	1998-03-08	VYDAJ	PREVOD NA UCET	2038	32150	 	OP	83177405
944464	3221	1998-04-08	VYDAJ	PREVOD NA UCET	2038	35430	 	OP	83177405
944465	3221	1998-05-08	VYDAJ	PREVOD NA UCET	2038	37723	 	OP	83177405
944466	3221	1998-06-08	VYDAJ	PREVOD NA UCET	2038	41026	 	OP	83177405
944467	3221	1998-07-08	VYDAJ	PREVOD NA UCET	2038	37483	 	OP	83177405
944468	3221	1998-08-08	VYDAJ	PREVOD NA UCET	2038	40785	 	OP	83177405
944469	3221	1998-09-08	VYDAJ	PREVOD NA UCET	2038	43300	 	OP	83177405
944470	3221	1998-10-08	VYDAJ	PREVOD NA UCET	2038	46025	 	OP	83177405
944471	3221	1998-11-08	VYDAJ	PREVOD NA UCET	2038	42049	 	OP	83177405
944472	3221	1998-12-08	VYDAJ	PREVOD NA UCET	2038	44669	 	OP	83177405
944474	3221	1994-06-17	VYDAJ	VYBER	10500	19403	\N	\N	\N
944476	3221	1996-06-03	VYDAJ	VYBER	4550	28692	\N	\N	\N
944477	3221	1997-06-23	VYDAJ	VYBER	1950	44650	\N	\N	\N
944478	3221	1998-06-21	VYDAJ	VYBER	6850	39358	\N	\N	\N
944480	3221	1994-01-13	VYDAJ	VYBER	2050	22482	\N	\N	\N
944481	3221	1995-01-04	VYDAJ	VYBER	3150	23617	\N	\N	\N
944482	3221	1996-01-18	VYDAJ	VYBER	4150	22331	\N	\N	\N
944483	3221	1997-01-01	VYDAJ	VYBER	2900	39188	\N	\N	\N
944484	3221	1998-01-25	VYDAJ	VYBER KARTOU	1100	36266	\N	\N	0
944486	3221	1994-12-08	VYDAJ	VYBER	300	25327	\N	\N	\N
944487	3221	1995-12-14	VYDAJ	VYBER	400	31385	\N	\N	\N
944488	3221	1996-12-01	VYDAJ	VYBER	500	39266	\N	\N	\N
944489	3221	1997-12-21	VYDAJ	VYBER KARTOU	900	49639	\N	\N	0
944490	3221	1998-12-26	VYDAJ	VYBER KARTOU	1200	45651	\N	\N	0
944497	3221	1994-01-23	VYDAJ	VYBER	1120	19602	\N	\N	\N
944498	3221	1994-01-24	VYDAJ	VYBER	1440	18162	\N	\N	\N
944499	3221	1994-01-11	VYDAJ	VYBER	1440	25960	\N	\N	\N
944500	3221	1994-01-14	VYDAJ	VYBER	1760	20722	\N	\N	\N
944501	3221	1994-01-11	VYDAJ	VYBER	1280	24680	\N	\N	\N
944503	3221	1995-01-30	VYDAJ	VYBER	800	18041	\N	\N	\N
944504	3221	1995-01-29	VYDAJ	VYBER	1200	18841	\N	\N	\N
944505	3221	1995-01-22	VYDAJ	VYBER	720	20041	\N	\N	\N
944506	3221	1995-01-21	VYDAJ	VYBER	1200	20761	\N	\N	\N
944507	3221	1995-01-06	VYDAJ	VYBER	480	18817	\N	\N	\N
944508	3221	1995-01-04	VYDAJ	VYBER	720	22897	\N	\N	\N
944509	3221	1996-01-12	VYDAJ	VYBER	2240	28229	\N	\N	\N
944510	3221	1996-01-11	VYDAJ	VYBER	400	30469	\N	\N	\N
944511	3221	1996-01-06	VYDAJ	VYBER	640	27577	\N	\N	\N
944512	3221	1996-01-02	VYDAJ	VYBER	1920	28217	\N	\N	\N
944513	3221	1996-01-28	VYDAJ	VYBER	1760	20571	\N	\N	\N
944514	3221	1996-01-15	VYDAJ	VYBER	1600	26481	\N	\N	\N
944515	3221	1997-01-13	VYDAJ	VYBER	1440	37200	\N	\N	\N
944516	3221	1997-01-07	VYDAJ	VYBER	1360	36148	\N	\N	\N
944517	3221	1997-01-06	VYDAJ	VYBER	1680	37508	\N	\N	\N
944518	3221	1997-01-01	VYDAJ	VYBER	480	42088	\N	\N	\N
944519	3221	1997-01-26	VYDAJ	VYBER	1760	33372	\N	\N	\N
944520	3221	1997-01-25	VYDAJ	VYBER	1920	35132	\N	\N	\N
944521	3221	1998-01-29	VYDAJ	VYBER KARTOU	1800	34466	\N	\N	0
944522	3221	1998-01-02	VYDAJ	VYBER KARTOU	1400	41122	\N	\N	0
944523	3221	1998-01-21	VYDAJ	VYBER KARTOU	600	37366	\N	\N	0
944524	3221	1998-01-10	VYDAJ	VYBER KARTOU	1800	40414	\N	\N	0
944525	3221	1998-01-12	VYDAJ	VYBER KARTOU	2300	38114	\N	\N	0
944526	3221	1998-01-03	VYDAJ	VYBER KARTOU	2200	38922	\N	\N	0
944530	3221	1994-09-23	VYDAJ	VYBER	1280	23310	\N	\N	\N
944531	3221	1994-11-30	VYDAJ	VYBER	640	25627	\N	\N	\N
944532	3221	1995-11-09	VYDAJ	VYBER	3920	30975	\N	\N	\N
944533	3221	1995-12-14	VYDAJ	VYBER	1360	30025	\N	\N	\N
944534	3221	1995-02-04	VYDAJ	VYBER	1600	16515	\N	\N	\N
944535	3221	1995-06-12	VYDAJ	VYBER	2720	25981	\N	\N	\N
944536	3221	1995-01-04	VYDAJ	VYBER	3600	19297	\N	\N	\N
944537	3221	1995-07-21	VYDAJ	VYBER	3680	24690	\N	\N	\N
944538	3221	1995-10-29	VYDAJ	VYBER	1840	31483	\N	\N	\N
944539	3221	1996-08-05	VYDAJ	VYBER	2320	32902	\N	\N	\N
944540	3221	1996-08-06	VYDAJ	VYBER	560	32342	\N	\N	\N
944541	3221	1996-08-08	VYDAJ	VYBER	2640	27664	\N	\N	\N
944542	3221	1996-10-19	VYDAJ	VYBER	1600	36340	\N	\N	\N
944543	3221	1996-08-19	VYDAJ	VYBER	1440	31406	\N	\N	\N
944544	3221	1997-01-07	VYDAJ	VYBER	800	35348	\N	\N	\N
944545	3221	1997-06-20	VYDAJ	VYBER	1760	46600	\N	\N	\N
944546	3221	1997-12-30	VYDAJ	VYBER KARTOU	2700	42339	\N	\N	0
944547	3221	1997-06-11	VYDAJ	VYBER	480	48508	\N	\N	\N
944548	3221	1998-12-08	VYDAJ	VYBER KARTOU	3000	41669	\N	\N	0
944549	3221	1998-11-28	VYDAJ	VYBER KARTOU	700	46531	\N	\N	0
944550	3221	1998-02-26	VYDAJ	VYBER KARTOU	3700	34052	\N	\N	0
944551	3221	1998-10-15	VYDAJ	VYBER KARTOU	2200	49007	\N	\N	0
944565	3221	1994-01-31	VYDAJ	VYBER	15	18235	SLUZBY	\N	\N
944566	3221	1994-02-28	VYDAJ	VYBER	15	20748	SLUZBY	\N	\N
944567	3221	1994-03-31	VYDAJ	VYBER	15	23974	SLUZBY	\N	\N
944568	3221	1994-04-30	VYDAJ	VYBER	15	27012	SLUZBY	\N	\N
944569	3221	1994-05-31	VYDAJ	VYBER	15	28059	SLUZBY	\N	\N
944570	3221	1994-06-30	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
944571	3221	1994-07-31	VYDAJ	VYBER	15	22712	SLUZBY	\N	\N
944572	3221	1994-08-31	VYDAJ	VYBER	15	25946	SLUZBY	\N	\N
944573	3221	1994-09-30	VYDAJ	VYBER	15	23399	SLUZBY	\N	\N
944574	3221	1994-10-31	VYDAJ	VYBER	15	24730	SLUZBY	\N	\N
944575	3221	1994-11-30	VYDAJ	VYBER	15	26267	SLUZBY	\N	\N
944576	3221	1994-12-31	VYDAJ	VYBER	15	26767	SLUZBY	\N	\N
944577	3221	1995-01-31	VYDAJ	VYBER	15	18115	SLUZBY	\N	\N
944578	3221	1995-02-28	VYDAJ	VYBER	15	19724	SLUZBY	\N	\N
944579	3221	1995-03-31	VYDAJ	VYBER	15	21942	SLUZBY	\N	\N
944580	3221	1995-04-30	VYDAJ	VYBER	15	25172	SLUZBY	\N	\N
944581	3221	1995-05-31	VYDAJ	VYBER	15	25409	SLUZBY	\N	\N
944582	3221	1995-06-30	VYDAJ	VYBER	15	25926	SLUZBY	\N	\N
944583	3221	1995-07-31	VYDAJ	VYBER	15	24785	SLUZBY	\N	\N
944584	3221	1995-08-31	VYDAJ	VYBER	15	28027	SLUZBY	\N	\N
944585	3221	1995-09-30	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
944586	3221	1995-10-31	VYDAJ	VYBER	15	31603	SLUZBY	\N	\N
944587	3221	1995-11-30	VYDAJ	VYBER	15	30941	SLUZBY	\N	\N
944588	3221	1995-12-31	VYDAJ	VYBER	15	30137	SLUZBY	\N	\N
944589	3221	1996-01-31	VYDAJ	VYBER	15	20662	SLUZBY	\N	\N
944590	3221	1996-02-29	VYDAJ	VYBER	15	23887	SLUZBY	\N	\N
944591	3221	1996-03-31	VYDAJ	VYBER	15	27125	SLUZBY	\N	\N
944592	3221	1996-04-30	VYDAJ	VYBER	15	30377	SLUZBY	\N	\N
944593	3221	1996-05-31	VYDAJ	VYBER	15	33642	SLUZBY	\N	\N
944594	3221	1996-06-30	VYDAJ	VYBER	15	31951	SLUZBY	\N	\N
944595	3221	1996-07-31	VYDAJ	VYBER	15	35222	SLUZBY	\N	\N
944596	3221	1996-08-31	VYDAJ	VYBER	15	31526	SLUZBY	\N	\N
944597	3221	1996-09-30	VYDAJ	VYBER	15	34796	SLUZBY	\N	\N
944598	3221	1996-10-31	VYDAJ	VYBER	15	36476	SLUZBY	\N	\N
944599	3221	1996-11-30	VYDAJ	VYBER	15	39766	SLUZBY	\N	\N
944600	3221	1996-12-31	VYDAJ	VYBER	15	42568	SLUZBY	\N	\N
944601	3221	1997-01-31	VYDAJ	VYBER	15	33510	SLUZBY	\N	\N
944602	3221	1997-02-28	VYDAJ	VYBER	15	36787	SLUZBY	\N	\N
944603	3221	1997-03-31	VYDAJ	VYBER	15	39478	SLUZBY	\N	\N
944604	3221	1997-04-30	VYDAJ	VYBER	15	42780	SLUZBY	\N	\N
944605	3221	1997-05-31	VYDAJ	VYBER	15	45696	SLUZBY	\N	\N
944606	3221	1997-06-30	VYDAJ	VYBER	15	44027	SLUZBY	\N	\N
944607	3221	1997-07-31	VYDAJ	VYBER	15	47348	SLUZBY	\N	\N
944608	3221	1997-08-31	VYDAJ	VYBER	15	49582	SLUZBY	\N	\N
944609	3221	1997-09-30	VYDAJ	VYBER	15	49423	SLUZBY	\N	\N
944610	3221	1997-10-31	VYDAJ	VYBER	15	47762	SLUZBY	\N	\N
944611	3221	1997-11-30	VYDAJ	VYBER	15	47395	SLUZBY	\N	\N
944612	3221	1997-12-31	VYDAJ	VYBER	15	42522	SLUZBY	\N	\N
944613	3221	1998-01-31	VYDAJ	VYBER	15	34608	SLUZBY	\N	\N
944614	3221	1998-02-28	VYDAJ	VYBER	15	34188	SLUZBY	\N	\N
944615	3221	1998-03-31	VYDAJ	VYBER	15	37468	SLUZBY	\N	\N
944616	3221	1998-04-30	VYDAJ	VYBER	15	39761	SLUZBY	\N	\N
944617	3221	1998-05-31	VYDAJ	VYBER	15	43064	SLUZBY	\N	\N
944618	3221	1998-06-30	VYDAJ	VYBER	15	39521	SLUZBY	\N	\N
944619	3221	1998-07-31	VYDAJ	VYBER	15	42823	SLUZBY	\N	\N
944620	3221	1998-08-31	VYDAJ	VYBER	15	45338	SLUZBY	\N	\N
944621	3221	1998-09-30	VYDAJ	VYBER	15	48063	SLUZBY	\N	\N
944622	3221	1998-10-31	VYDAJ	VYBER	15	44087	SLUZBY	\N	\N
944623	3221	1998-11-30	VYDAJ	VYBER	15	46707	SLUZBY	\N	\N
944624	3221	1993-12-15	VYDAJ	VYBER	200	22020	\N	\N	\N
944625	3221	1994-02-13	VYDAJ	VYBER	700	20679	\N	\N	\N
944626	3221	1994-04-14	VYDAJ	VYBER	200	26918	\N	\N	\N
944627	3221	1994-05-14	VYDAJ	VYBER	2200	27956	\N	\N	\N
944628	3221	1994-06-13	VYDAJ	VYBER	1300	29903	\N	\N	\N
944629	3221	1994-09-11	VYDAJ	VYBER	4500	24738	\N	\N	\N
944630	3221	1994-10-11	VYDAJ	VYBER	1900	24791	\N	\N	\N
944631	3221	1994-11-10	VYDAJ	VYBER	1700	26322	\N	\N	\N
944632	3221	1994-12-10	VYDAJ	VYBER	1800	26819	\N	\N	\N
944633	3221	1995-03-10	VYDAJ	VYBER	1000	22016	\N	\N	\N
944634	3221	1995-05-09	VYDAJ	VYBER	3000	25464	\N	\N	\N
944635	3221	1995-07-08	VYDAJ	VYBER	700	23188	\N	\N	\N
944636	3221	1995-09-06	VYDAJ	VYBER	1100	26927	\N	\N	\N
944637	3221	1995-12-05	VYDAJ	VYBER	2300	28641	\N	\N	\N
944638	3221	1996-06-02	VYDAJ	VYBER	400	33242	\N	\N	\N
944639	3221	1997-03-29	VYDAJ	VYBER	600	39331	\N	\N	\N
944640	3221	1997-05-28	VYDAJ	VYBER	400	45524	\N	\N	\N
944641	3221	1997-06-27	VYDAJ	VYBER	800	43850	\N	\N	\N
944642	3221	1997-08-26	VYDAJ	VYBER	1100	49392	\N	\N	\N
944643	3221	1997-09-25	VYDAJ	VYBER	3500	49226	\N	\N	\N
944644	3221	1997-10-25	VYDAJ	VYBER	5000	47567	\N	\N	\N
944645	3221	1997-11-24	VYDAJ	VYBER KARTOU	3700	47206	\N	\N	0
944646	3221	1997-12-24	VYDAJ	VYBER	4600	45039	\N	\N	\N
944647	3221	1998-04-23	VYDAJ	VYBER KARTOU	1000	39612	\N	\N	0
944648	3221	1998-08-21	VYDAJ	VYBER KARTOU	800	45167	\N	\N	0
944649	3221	1998-09-20	VYDAJ	VYBER KARTOU	600	47882	\N	\N	0
944650	3221	1998-10-20	VYDAJ	VYBER	5100	43907	\N	\N	\N
944712	3222	1993-07-21	PRIJEM	VKLAD	800	800	\N	\N	\N
944720	3222	1993-08-09	PRIJEM	PREVOD Z UCTU	3185	3985	\N	WX	2390736
944721	3222	1993-09-09	PRIJEM	PREVOD Z UCTU	3185	7170	\N	WX	2390736
944722	3222	1993-10-09	PRIJEM	PREVOD Z UCTU	3185	10355	\N	WX	2390736
944723	3222	1993-11-09	PRIJEM	PREVOD Z UCTU	3185	13540	\N	WX	2390736
944724	3222	1993-12-09	PRIJEM	PREVOD Z UCTU	3185	16725	\N	WX	2390736
944725	3222	1994-01-09	PRIJEM	PREVOD Z UCTU	3185	16131	\N	WX	2390736
944726	3222	1994-02-09	PRIJEM	PREVOD Z UCTU	3185	15407	\N	WX	2390736
944727	3222	1994-03-09	PRIJEM	PREVOD Z UCTU	3185	15222	\N	WX	2390736
944728	3222	1994-04-09	PRIJEM	PREVOD Z UCTU	3185	16327	\N	WX	2390736
944729	3222	1994-05-09	PRIJEM	PREVOD Z UCTU	3185	17435	\N	WX	2390736
944730	3222	1994-06-09	PRIJEM	PREVOD Z UCTU	3185	17829	\N	WX	2390736
944731	3222	1994-07-09	PRIJEM	PREVOD Z UCTU	3185	18945	\N	WX	2390736
944732	3222	1994-08-09	PRIJEM	PREVOD Z UCTU	3185	20064	\N	WX	2390736
944733	3222	1994-09-09	PRIJEM	PREVOD Z UCTU	3185	20527	\N	WX	2390736
944734	3222	1994-10-09	PRIJEM	PREVOD Z UCTU	3185	21654	\N	WX	2390736
944735	3222	1994-11-09	PRIJEM	PREVOD Z UCTU	3185	22785	\N	WX	2390736
944736	3222	1994-12-09	PRIJEM	PREVOD Z UCTU	3185	22659	\N	WX	2390736
944737	3222	1995-01-09	PRIJEM	PREVOD Z UCTU	3185	23795	\N	WX	2390736
944738	3222	1995-02-09	PRIJEM	PREVOD Z UCTU	3185	21089	\N	WX	2390736
944739	3222	1995-03-09	PRIJEM	PREVOD Z UCTU	3185	21716	\N	WX	2390736
944740	3222	1995-04-09	PRIJEM	PREVOD Z UCTU	3185	22647	\N	WX	2390736
944741	3222	1995-05-09	PRIJEM	PREVOD Z UCTU	3185	23180	\N	WX	2390736
944742	3222	1995-06-09	PRIJEM	PREVOD Z UCTU	3185	24318	\N	WX	2390736
944743	3222	1995-07-09	PRIJEM	PREVOD Z UCTU	3185	18216	\N	WX	2390736
944744	3222	1995-08-09	PRIJEM	PREVOD Z UCTU	3185	19333	\N	WX	2390736
944745	3222	1995-09-09	PRIJEM	PREVOD Z UCTU	3185	19224	\N	WX	2390736
944746	3222	1995-10-09	PRIJEM	PREVOD Z UCTU	3185	20345	\N	WX	2390736
944747	3222	1995-11-09	PRIJEM	PREVOD Z UCTU	3185	21471	\N	WX	2390736
944748	3222	1995-12-09	PRIJEM	PREVOD Z UCTU	3185	22001	\N	WX	2390736
944749	3222	1996-01-09	PRIJEM	PREVOD Z UCTU	3185	21243	\N	WX	2390736
944750	3222	1996-02-09	PRIJEM	PREVOD Z UCTU	3185	19277	\N	WX	2390736
944751	3222	1996-03-09	PRIJEM	PREVOD Z UCTU	3185	20398	\N	WX	2390736
944752	3222	1996-04-09	PRIJEM	PREVOD Z UCTU	3185	21523	\N	WX	2390736
944753	3222	1996-05-09	PRIJEM	PREVOD Z UCTU	3185	21542	\N	WX	2390736
944754	3222	1996-06-09	PRIJEM	PREVOD Z UCTU	3185	19731	\N	WX	2390736
944755	3222	1996-07-09	PRIJEM	PREVOD Z UCTU	3185	19653	\N	WX	2390736
944756	3222	1996-08-09	PRIJEM	PREVOD Z UCTU	3185	20775	\N	WX	2390736
944757	3222	1996-09-09	PRIJEM	PREVOD Z UCTU	3185	21902	\N	WX	2390736
944758	3222	1996-10-09	PRIJEM	PREVOD Z UCTU	3185	23033	\N	WX	2390736
944759	3222	1996-11-09	PRIJEM	PREVOD Z UCTU	3185	24169	\N	WX	2390736
944760	3222	1996-12-09	PRIJEM	PREVOD Z UCTU	3185	25310	\N	WX	2390736
944761	3222	1997-01-09	PRIJEM	PREVOD Z UCTU	3185	23995	\N	WX	2390736
944762	3222	1997-02-09	PRIJEM	PREVOD Z UCTU	3185	21740	\N	WX	2390736
944763	3222	1997-03-09	PRIJEM	PREVOD Z UCTU	3185	22721	\N	WX	2390736
944764	3222	1997-04-09	PRIJEM	PREVOD Z UCTU	3185	23856	\N	WX	2390736
944765	3222	1997-05-09	PRIJEM	PREVOD Z UCTU	3185	24995	\N	WX	2390736
944766	3222	1997-06-09	PRIJEM	PREVOD Z UCTU	3185	18729	\N	WX	2390736
944767	3222	1997-07-09	PRIJEM	PREVOD Z UCTU	3185	19134	\N	WX	2390736
944768	3222	1997-08-09	PRIJEM	PREVOD Z UCTU	3185	20014	\N	WX	2390736
944769	3222	1997-09-09	PRIJEM	PREVOD Z UCTU	3185	20837	\N	WX	2390736
944770	3222	1997-10-09	PRIJEM	PREVOD Z UCTU	3185	21963	\N	WX	2390736
944771	3222	1997-11-09	PRIJEM	PREVOD Z UCTU	3185	23094	\N	WX	2390736
944772	3222	1997-12-09	PRIJEM	PREVOD Z UCTU	3185	24020	\N	WX	2390736
944773	3222	1998-01-09	PRIJEM	PREVOD Z UCTU	3185	24619	\N	WX	2390736
944774	3222	1998-02-09	PRIJEM	PREVOD Z UCTU	3185	20109	\N	WX	2390736
944775	3222	1998-03-09	PRIJEM	PREVOD Z UCTU	3185	21232	\N	WX	2390736
944776	3222	1998-04-09	PRIJEM	PREVOD Z UCTU	3185	21217	\N	WX	2390736
944777	3222	1998-05-09	PRIJEM	PREVOD Z UCTU	3185	22344	\N	WX	2390736
944778	3222	1998-06-09	PRIJEM	PREVOD Z UCTU	3185	23476	\N	WX	2390736
944779	3222	1998-07-09	PRIJEM	PREVOD Z UCTU	3185	19571	\N	WX	2390736
944780	3222	1998-08-09	PRIJEM	PREVOD Z UCTU	3185	20692	\N	WX	2390736
944781	3222	1998-09-09	PRIJEM	PREVOD Z UCTU	3185	19292	\N	WX	2390736
944782	3222	1998-10-09	PRIJEM	PREVOD Z UCTU	3185	20411	\N	WX	2390736
944783	3222	1998-11-09	PRIJEM	PREVOD Z UCTU	3185	21535	\N	WX	2390736
944784	3222	1998-12-09	PRIJEM	PREVOD Z UCTU	3185	22663	\N	WX	2390736
944796	3222	1993-12-14	VYDAJ	PREVOD NA UCET	674	15192	SIPO	UV	18331057
944797	3222	1994-01-14	VYDAJ	PREVOD NA UCET	674	13818	SIPO	UV	18331057
944798	3222	1994-02-14	VYDAJ	PREVOD NA UCET	674	13874	SIPO	UV	18331057
944799	3222	1994-03-14	VYDAJ	PREVOD NA UCET	674	13689	SIPO	UV	18331057
944800	3222	1994-04-14	VYDAJ	PREVOD NA UCET	674	14794	SIPO	UV	18331057
944801	3222	1994-05-14	VYDAJ	PREVOD NA UCET	674	15902	SIPO	UV	18331057
944802	3222	1994-06-14	VYDAJ	PREVOD NA UCET	674	16296	SIPO	UV	18331057
944803	3222	1994-07-14	VYDAJ	PREVOD NA UCET	674	17412	SIPO	UV	18331057
944804	3222	1994-08-14	VYDAJ	PREVOD NA UCET	674	18531	SIPO	UV	18331057
944805	3222	1994-09-14	VYDAJ	PREVOD NA UCET	674	18994	SIPO	UV	18331057
944806	3222	1994-10-14	VYDAJ	PREVOD NA UCET	674	20121	SIPO	UV	18331057
944807	3222	1994-11-14	VYDAJ	PREVOD NA UCET	674	21252	SIPO	UV	18331057
944808	3222	1994-12-14	VYDAJ	PREVOD NA UCET	674	21126	SIPO	UV	18331057
944809	3222	1995-01-14	VYDAJ	PREVOD NA UCET	674	21062	SIPO	UV	18331057
944810	3222	1995-02-14	VYDAJ	PREVOD NA UCET	674	19056	SIPO	UV	18331057
944811	3222	1995-03-14	VYDAJ	PREVOD NA UCET	674	19983	SIPO	UV	18331057
944812	3222	1995-04-14	VYDAJ	PREVOD NA UCET	674	20514	SIPO	UV	18331057
944813	3222	1995-05-14	VYDAJ	PREVOD NA UCET	674	21647	SIPO	UV	18331057
944814	3222	1995-06-14	VYDAJ	PREVOD NA UCET	674	22785	SIPO	UV	18331057
944815	3222	1995-07-14	VYDAJ	PREVOD NA UCET	674	16683	SIPO	UV	18331057
944816	3222	1995-08-14	VYDAJ	PREVOD NA UCET	674	17800	SIPO	UV	18331057
944817	3222	1995-09-14	VYDAJ	PREVOD NA UCET	674	17691	SIPO	UV	18331057
944818	3222	1995-10-14	VYDAJ	PREVOD NA UCET	674	18812	SIPO	UV	18331057
944819	3222	1995-11-14	VYDAJ	PREVOD NA UCET	674	19938	SIPO	UV	18331057
944820	3222	1995-12-14	VYDAJ	PREVOD NA UCET	674	20468	SIPO	UV	18331057
944821	3222	1996-01-14	VYDAJ	PREVOD NA UCET	674	17850	SIPO	UV	18331057
944822	3222	1996-02-14	VYDAJ	PREVOD NA UCET	674	17744	SIPO	UV	18331057
944823	3222	1996-03-14	VYDAJ	PREVOD NA UCET	674	18865	SIPO	UV	18331057
944824	3222	1996-04-14	VYDAJ	PREVOD NA UCET	674	19990	SIPO	UV	18331057
944825	3222	1996-05-14	VYDAJ	PREVOD NA UCET	674	20009	SIPO	UV	18331057
944826	3222	1996-06-14	VYDAJ	PREVOD NA UCET	674	16998	SIPO	UV	18331057
944827	3222	1996-07-14	VYDAJ	PREVOD NA UCET	674	18120	SIPO	UV	18331057
944828	3222	1996-08-14	VYDAJ	PREVOD NA UCET	674	19242	SIPO	UV	18331057
944829	3222	1996-09-14	VYDAJ	PREVOD NA UCET	674	20369	SIPO	UV	18331057
944830	3222	1996-10-14	VYDAJ	PREVOD NA UCET	674	21500	SIPO	UV	18331057
944831	3222	1996-11-14	VYDAJ	PREVOD NA UCET	674	22636	SIPO	UV	18331057
944832	3222	1996-12-14	VYDAJ	PREVOD NA UCET	674	23777	SIPO	UV	18331057
944833	3222	1997-01-14	VYDAJ	PREVOD NA UCET	674	20512	SIPO	UV	18331057
944834	3222	1997-02-14	VYDAJ	PREVOD NA UCET	674	20057	SIPO	UV	18331057
944835	3222	1997-03-14	VYDAJ	PREVOD NA UCET	674	21188	SIPO	UV	18331057
944836	3222	1997-04-14	VYDAJ	PREVOD NA UCET	674	22323	SIPO	UV	18331057
944837	3222	1997-05-14	VYDAJ	PREVOD NA UCET	674	23462	SIPO	UV	18331057
944838	3222	1997-06-14	VYDAJ	PREVOD NA UCET	674	17196	SIPO	UV	18331057
944839	3222	1997-07-14	VYDAJ	PREVOD NA UCET	674	17601	SIPO	UV	18331057
944840	3222	1997-08-14	VYDAJ	PREVOD NA UCET	674	18481	SIPO	UV	18331057
944841	3222	1997-09-14	VYDAJ	PREVOD NA UCET	674	19304	SIPO	UV	18331057
944842	3222	1997-10-14	VYDAJ	PREVOD NA UCET	674	20430	SIPO	UV	18331057
944843	3222	1997-11-14	VYDAJ	PREVOD NA UCET	674	21561	SIPO	UV	18331057
944844	3222	1997-12-14	VYDAJ	PREVOD NA UCET	674	22487	SIPO	UV	18331057
944845	3222	1998-01-14	VYDAJ	PREVOD NA UCET	674	20116	SIPO	UV	18331057
944846	3222	1998-02-14	VYDAJ	PREVOD NA UCET	674	18576	SIPO	UV	18331057
944847	3222	1998-03-14	VYDAJ	PREVOD NA UCET	674	18559	SIPO	UV	18331057
944848	3222	1998-04-14	VYDAJ	PREVOD NA UCET	674	19684	SIPO	UV	18331057
944849	3222	1998-05-14	VYDAJ	PREVOD NA UCET	674	20811	SIPO	UV	18331057
944850	3222	1998-06-14	VYDAJ	PREVOD NA UCET	674	21943	SIPO	UV	18331057
944851	3222	1998-07-14	VYDAJ	PREVOD NA UCET	674	18038	SIPO	UV	18331057
944852	3222	1998-08-14	VYDAJ	PREVOD NA UCET	674	18019	SIPO	UV	18331057
944853	3222	1998-09-14	VYDAJ	PREVOD NA UCET	674	17759	SIPO	UV	18331057
944854	3222	1998-10-14	VYDAJ	PREVOD NA UCET	674	18878	SIPO	UV	18331057
944855	3222	1998-11-14	VYDAJ	PREVOD NA UCET	674	20002	SIPO	UV	18331057
944856	3222	1998-12-14	VYDAJ	PREVOD NA UCET	674	21130	SIPO	UV	18331057
944868	3222	1993-12-13	VYDAJ	PREVOD NA UCET	859	15866	 	ST	34597045
944869	3222	1994-01-13	VYDAJ	PREVOD NA UCET	859	15272	 	ST	34597045
944870	3222	1994-02-13	VYDAJ	PREVOD NA UCET	859	14548	 	ST	34597045
944871	3222	1994-03-13	VYDAJ	PREVOD NA UCET	859	14363	 	ST	34597045
944872	3222	1994-04-13	VYDAJ	PREVOD NA UCET	859	15468	 	ST	34597045
944873	3222	1994-05-13	VYDAJ	PREVOD NA UCET	859	16576	 	ST	34597045
944874	3222	1994-06-13	VYDAJ	PREVOD NA UCET	859	16970	 	ST	34597045
944875	3222	1994-07-13	VYDAJ	PREVOD NA UCET	859	18086	 	ST	34597045
944876	3222	1994-08-13	VYDAJ	PREVOD NA UCET	859	19205	 	ST	34597045
944877	3222	1994-09-13	VYDAJ	PREVOD NA UCET	859	19668	 	ST	34597045
944878	3222	1994-10-13	VYDAJ	PREVOD NA UCET	859	20795	 	ST	34597045
944879	3222	1994-11-13	VYDAJ	PREVOD NA UCET	859	21926	 	ST	34597045
944880	3222	1994-12-13	VYDAJ	PREVOD NA UCET	859	21800	 	ST	34597045
944881	3222	1995-01-13	VYDAJ	PREVOD NA UCET	859	21736	 	ST	34597045
944882	3222	1995-02-13	VYDAJ	PREVOD NA UCET	859	19730	 	ST	34597045
944883	3222	1995-03-13	VYDAJ	PREVOD NA UCET	859	20657	 	ST	34597045
944884	3222	1995-04-13	VYDAJ	PREVOD NA UCET	859	21188	 	ST	34597045
944885	3222	1995-05-13	VYDAJ	PREVOD NA UCET	859	22321	 	ST	34597045
944886	3222	1995-06-13	VYDAJ	PREVOD NA UCET	859	23459	 	ST	34597045
944887	3222	1995-07-13	VYDAJ	PREVOD NA UCET	859	17357	 	ST	34597045
944888	3222	1995-08-13	VYDAJ	PREVOD NA UCET	859	18474	 	ST	34597045
944889	3222	1995-09-13	VYDAJ	PREVOD NA UCET	859	18365	 	ST	34597045
944890	3222	1995-10-13	VYDAJ	PREVOD NA UCET	859	19486	 	ST	34597045
944891	3222	1995-11-13	VYDAJ	PREVOD NA UCET	859	20612	 	ST	34597045
944892	3222	1995-12-13	VYDAJ	PREVOD NA UCET	859	21142	 	ST	34597045
944893	3222	1996-01-13	VYDAJ	PREVOD NA UCET	859	18524	 	ST	34597045
944894	3222	1996-02-13	VYDAJ	PREVOD NA UCET	859	18418	 	ST	34597045
944895	3222	1996-03-13	VYDAJ	PREVOD NA UCET	859	19539	 	ST	34597045
944896	3222	1996-04-13	VYDAJ	PREVOD NA UCET	859	20664	 	ST	34597045
944897	3222	1996-05-13	VYDAJ	PREVOD NA UCET	859	20683	 	ST	34597045
944898	3222	1996-06-13	VYDAJ	PREVOD NA UCET	859	17672	 	ST	34597045
944899	3222	1996-07-13	VYDAJ	PREVOD NA UCET	859	18794	 	ST	34597045
944900	3222	1996-08-13	VYDAJ	PREVOD NA UCET	859	19916	 	ST	34597045
944901	3222	1996-09-13	VYDAJ	PREVOD NA UCET	859	21043	 	ST	34597045
944902	3222	1996-10-13	VYDAJ	PREVOD NA UCET	859	22174	 	ST	34597045
944903	3222	1996-11-13	VYDAJ	PREVOD NA UCET	859	23310	 	ST	34597045
944904	3222	1996-12-13	VYDAJ	PREVOD NA UCET	859	24451	 	ST	34597045
944905	3222	1997-01-13	VYDAJ	PREVOD NA UCET	859	21186	 	ST	34597045
944906	3222	1997-02-13	VYDAJ	PREVOD NA UCET	859	20731	 	ST	34597045
944907	3222	1997-03-13	VYDAJ	PREVOD NA UCET	859	21862	 	ST	34597045
944908	3222	1997-04-13	VYDAJ	PREVOD NA UCET	859	22997	 	ST	34597045
944909	3222	1997-05-13	VYDAJ	PREVOD NA UCET	859	24136	 	ST	34597045
944910	3222	1997-06-13	VYDAJ	PREVOD NA UCET	859	17870	 	ST	34597045
944911	3222	1997-07-13	VYDAJ	PREVOD NA UCET	859	18275	 	ST	34597045
944912	3222	1997-08-13	VYDAJ	PREVOD NA UCET	859	19155	 	ST	34597045
944913	3222	1997-09-13	VYDAJ	PREVOD NA UCET	859	19978	 	ST	34597045
944914	3222	1997-10-13	VYDAJ	PREVOD NA UCET	859	21104	 	ST	34597045
944915	3222	1997-11-13	VYDAJ	PREVOD NA UCET	859	22235	 	ST	34597045
944916	3222	1997-12-13	VYDAJ	PREVOD NA UCET	859	23161	 	ST	34597045
944917	3222	1998-01-13	VYDAJ	PREVOD NA UCET	859	20790	 	ST	34597045
944918	3222	1998-02-13	VYDAJ	PREVOD NA UCET	859	19250	 	ST	34597045
944919	3222	1998-03-13	VYDAJ	PREVOD NA UCET	859	19233	 	ST	34597045
944920	3222	1998-04-13	VYDAJ	PREVOD NA UCET	859	20358	 	ST	34597045
944921	3222	1998-05-13	VYDAJ	PREVOD NA UCET	859	21485	 	ST	34597045
944922	3222	1998-06-13	VYDAJ	PREVOD NA UCET	859	22617	 	ST	34597045
944923	3222	1998-07-13	VYDAJ	PREVOD NA UCET	859	18712	 	ST	34597045
944924	3222	1998-08-13	VYDAJ	PREVOD NA UCET	859	18693	 	ST	34597045
944925	3222	1998-09-13	VYDAJ	PREVOD NA UCET	859	18433	 	ST	34597045
944926	3222	1998-10-13	VYDAJ	PREVOD NA UCET	859	19552	 	ST	34597045
944927	3222	1998-11-13	VYDAJ	PREVOD NA UCET	859	20676	 	ST	34597045
944928	3222	1998-12-13	VYDAJ	PREVOD NA UCET	859	21804	 	ST	34597045
944941	3222	1994-01-08	VYDAJ	PREVOD NA UCET	590	12946	POJISTNE	EF	51901710
944942	3222	1994-02-08	VYDAJ	PREVOD NA UCET	590	12222	POJISTNE	EF	51901710
944943	3222	1994-03-08	VYDAJ	PREVOD NA UCET	590	12037	POJISTNE	EF	51901710
944944	3222	1994-04-08	VYDAJ	PREVOD NA UCET	590	13142	POJISTNE	EF	51901710
944945	3222	1994-05-08	VYDAJ	PREVOD NA UCET	590	14250	POJISTNE	EF	51901710
944946	3222	1994-06-08	VYDAJ	PREVOD NA UCET	590	14644	POJISTNE	EF	51901710
944947	3222	1994-07-08	VYDAJ	PREVOD NA UCET	590	15760	POJISTNE	EF	51901710
944948	3222	1994-08-08	VYDAJ	PREVOD NA UCET	590	16879	POJISTNE	EF	51901710
944949	3222	1994-09-08	VYDAJ	PREVOD NA UCET	590	17342	POJISTNE	EF	51901710
944950	3222	1994-10-08	VYDAJ	PREVOD NA UCET	590	18469	POJISTNE	EF	51901710
944951	3222	1994-11-08	VYDAJ	PREVOD NA UCET	590	19600	POJISTNE	EF	51901710
944952	3222	1994-12-08	VYDAJ	PREVOD NA UCET	590	19474	POJISTNE	EF	51901710
944953	3222	1995-01-08	VYDAJ	PREVOD NA UCET	590	20610	POJISTNE	EF	51901710
944954	3222	1995-02-08	VYDAJ	PREVOD NA UCET	590	17904	POJISTNE	EF	51901710
944955	3222	1995-03-08	VYDAJ	PREVOD NA UCET	590	18531	POJISTNE	EF	51901710
944956	3222	1995-04-08	VYDAJ	PREVOD NA UCET	590	19462	POJISTNE	EF	51901710
944957	3222	1995-05-08	VYDAJ	PREVOD NA UCET	590	19995	POJISTNE	EF	51901710
944958	3222	1995-06-08	VYDAJ	PREVOD NA UCET	590	21133	POJISTNE	EF	51901710
944959	3222	1995-07-08	VYDAJ	PREVOD NA UCET	590	15031	POJISTNE	EF	51901710
944960	3222	1995-08-08	VYDAJ	PREVOD NA UCET	590	16148	POJISTNE	EF	51901710
944961	3222	1995-09-08	VYDAJ	PREVOD NA UCET	590	16039	POJISTNE	EF	51901710
944962	3222	1995-10-08	VYDAJ	PREVOD NA UCET	590	17160	POJISTNE	EF	51901710
944963	3222	1995-11-08	VYDAJ	PREVOD NA UCET	590	18286	POJISTNE	EF	51901710
944964	3222	1995-12-08	VYDAJ	PREVOD NA UCET	590	18816	POJISTNE	EF	51901710
944965	3222	1996-01-08	VYDAJ	PREVOD NA UCET	590	18658	POJISTNE	EF	51901710
944966	3222	1996-02-08	VYDAJ	PREVOD NA UCET	590	16092	POJISTNE	EF	51901710
944967	3222	1996-03-08	VYDAJ	PREVOD NA UCET	590	17213	POJISTNE	EF	51901710
944968	3222	1996-04-08	VYDAJ	PREVOD NA UCET	590	18338	POJISTNE	EF	51901710
944969	3222	1996-05-08	VYDAJ	PREVOD NA UCET	590	18357	POJISTNE	EF	51901710
944970	3222	1996-06-08	VYDAJ	PREVOD NA UCET	590	16546	POJISTNE	EF	51901710
944971	3222	1996-07-08	VYDAJ	PREVOD NA UCET	590	16468	POJISTNE	EF	51901710
944972	3222	1996-08-08	VYDAJ	PREVOD NA UCET	590	17590	POJISTNE	EF	51901710
944973	3222	1996-09-08	VYDAJ	PREVOD NA UCET	590	18717	POJISTNE	EF	51901710
944974	3222	1996-10-08	VYDAJ	PREVOD NA UCET	590	19848	POJISTNE	EF	51901710
944975	3222	1996-11-08	VYDAJ	PREVOD NA UCET	590	20984	POJISTNE	EF	51901710
944976	3222	1996-12-08	VYDAJ	PREVOD NA UCET	590	22125	POJISTNE	EF	51901710
944977	3222	1997-01-08	VYDAJ	PREVOD NA UCET	590	21050	POJISTNE	EF	51901710
944978	3222	1997-02-08	VYDAJ	PREVOD NA UCET	590	18555	POJISTNE	EF	51901710
944979	3222	1997-03-08	VYDAJ	PREVOD NA UCET	590	19536	POJISTNE	EF	51901710
944980	3222	1997-04-08	VYDAJ	PREVOD NA UCET	590	20671	POJISTNE	EF	51901710
944981	3222	1997-05-08	VYDAJ	PREVOD NA UCET	590	21810	POJISTNE	EF	51901710
944982	3222	1997-06-08	VYDAJ	PREVOD NA UCET	590	15544	POJISTNE	EF	51901710
944983	3222	1997-07-08	VYDAJ	PREVOD NA UCET	590	15949	POJISTNE	EF	51901710
944984	3222	1997-08-08	VYDAJ	PREVOD NA UCET	590	16829	POJISTNE	EF	51901710
944985	3222	1997-09-08	VYDAJ	PREVOD NA UCET	590	17652	POJISTNE	EF	51901710
944986	3222	1997-10-08	VYDAJ	PREVOD NA UCET	590	18778	POJISTNE	EF	51901710
944987	3222	1997-11-08	VYDAJ	PREVOD NA UCET	590	19909	POJISTNE	EF	51901710
944988	3222	1997-12-08	VYDAJ	PREVOD NA UCET	590	20835	POJISTNE	EF	51901710
944989	3222	1998-01-08	VYDAJ	PREVOD NA UCET	590	21434	POJISTNE	EF	51901710
944990	3222	1998-02-08	VYDAJ	PREVOD NA UCET	590	16924	POJISTNE	EF	51901710
944991	3222	1998-03-08	VYDAJ	PREVOD NA UCET	590	18047	POJISTNE	EF	51901710
944992	3222	1998-04-08	VYDAJ	PREVOD NA UCET	590	18032	POJISTNE	EF	51901710
944993	3222	1998-05-08	VYDAJ	PREVOD NA UCET	590	19159	POJISTNE	EF	51901710
944994	3222	1998-06-08	VYDAJ	PREVOD NA UCET	590	20291	POJISTNE	EF	51901710
944995	3222	1998-07-08	VYDAJ	PREVOD NA UCET	590	16386	POJISTNE	EF	51901710
944996	3222	1998-08-08	VYDAJ	PREVOD NA UCET	590	17507	POJISTNE	EF	51901710
944997	3222	1998-09-08	VYDAJ	PREVOD NA UCET	590	16107	POJISTNE	EF	51901710
944998	3222	1998-10-08	VYDAJ	PREVOD NA UCET	590	17226	POJISTNE	EF	51901710
944999	3222	1998-11-08	VYDAJ	PREVOD NA UCET	590	18350	POJISTNE	EF	51901710
945000	3222	1998-12-08	VYDAJ	PREVOD NA UCET	590	19478	POJISTNE	EF	51901710
945003	3222	1995-06-17	VYDAJ	VYBER	5610	16125	\N	\N	\N
945004	3222	1996-06-04	VYDAJ	VYBER	2250	17136	\N	\N	\N
945005	3222	1997-06-02	VYDAJ	VYBER	7410	16134	\N	\N	\N
945006	3222	1998-06-28	VYDAJ	VYBER	5040	16903	\N	\N	\N
945009	3222	1995-01-29	VYDAJ	VYBER	780	18422	\N	\N	\N
945010	3222	1996-01-12	VYDAJ	VYBER	1290	19383	\N	\N	\N
945011	3222	1997-01-21	VYDAJ	VYBER	540	19972	\N	\N	\N
945012	3222	1998-01-10	VYDAJ	VYBER	2970	21649	\N	\N	\N
945014	3222	1994-12-08	VYDAJ	VYBER	630	20064	\N	\N	\N
945015	3222	1995-12-08	VYDAJ	VYBER	600	19406	\N	\N	\N
945016	3222	1996-12-30	VYDAJ	VYBER	690	23087	\N	\N	\N
945017	3222	1997-12-07	VYDAJ	VYBER	210	21425	\N	\N	\N
945018	3222	1998-12-29	VYDAJ	VYBER	720	20410	\N	\N	\N
945025	3222	1994-01-13	VYDAJ	VYBER	780	14492	\N	\N	\N
945026	3222	1994-01-22	VYDAJ	VYBER	540	13278	\N	\N	\N
945027	3222	1994-01-26	VYDAJ	VYBER	510	12768	\N	\N	\N
945028	3222	1994-01-05	VYDAJ	VYBER	540	13536	\N	\N	\N
945029	3222	1994-01-05	VYDAJ	VYBER	540	14076	\N	\N	\N
945030	3222	1994-01-04	VYDAJ	VYBER	600	14616	\N	\N	\N
945031	3222	1995-01-09	VYDAJ	VYBER	330	23465	\N	\N	\N
945032	3222	1995-01-25	VYDAJ	VYBER	510	19202	\N	\N	\N
945033	3222	1995-01-11	VYDAJ	VYBER	330	22595	\N	\N	\N
945034	3222	1995-01-23	VYDAJ	VYBER	510	20552	\N	\N	\N
945035	3222	1995-01-25	VYDAJ	VYBER	840	19712	\N	\N	\N
945036	3222	1995-01-09	VYDAJ	VYBER	540	22925	\N	\N	\N
945037	3222	1996-01-06	VYDAJ	VYBER	480	19248	\N	\N	\N
945038	3222	1996-01-04	VYDAJ	VYBER	810	19728	\N	\N	\N
945039	3222	1996-01-19	VYDAJ	VYBER	660	17190	\N	\N	\N
945040	3222	1996-01-09	VYDAJ	VYBER	570	20673	\N	\N	\N
945041	3222	1996-01-30	VYDAJ	VYBER	570	16620	\N	\N	\N
945042	3222	1996-01-08	VYDAJ	VYBER	600	18058	\N	\N	\N
945043	3222	1997-01-03	VYDAJ	VYBER	750	22420	\N	\N	\N
945044	3222	1997-01-10	VYDAJ	VYBER	870	23125	\N	\N	\N
945045	3222	1997-01-11	VYDAJ	VYBER	570	22045	\N	\N	\N
945046	3222	1997-01-08	VYDAJ	VYBER	240	20810	\N	\N	\N
945047	3222	1997-01-10	VYDAJ	VYBER	510	22615	\N	\N	\N
945048	3222	1997-01-07	VYDAJ	VYBER	780	21640	\N	\N	\N
945049	3222	1998-01-29	VYDAJ	VYBER	390	17446	\N	\N	\N
945050	3222	1998-01-27	VYDAJ	VYBER	180	17836	\N	\N	\N
945051	3222	1998-01-19	VYDAJ	VYBER	240	19876	\N	\N	\N
945052	3222	1998-01-22	VYDAJ	VYBER	840	19036	\N	\N	\N
945053	3222	1998-01-26	VYDAJ	VYBER	420	18016	\N	\N	\N
945054	3222	1998-01-25	VYDAJ	VYBER	600	18436	\N	\N	\N
945059	3222	1994-02-22	VYDAJ	VYBER	360	13514	\N	\N	\N
945060	3222	1994-06-06	VYDAJ	VYBER	720	15234	\N	\N	\N
945061	3222	1994-08-19	VYDAJ	VYBER	660	17871	\N	\N	\N
945062	3222	1994-03-06	VYDAJ	VYBER	930	12627	\N	\N	\N
945063	3222	1994-11-21	VYDAJ	VYBER	630	20622	\N	\N	\N
945064	3222	1995-09-05	VYDAJ	VYBER	1230	16629	\N	\N	\N
945065	3222	1995-06-15	VYDAJ	VYBER	1050	21735	\N	\N	\N
945066	3222	1995-06-26	VYDAJ	VYBER	570	15555	\N	\N	\N
945067	3222	1996-05-26	VYDAJ	VYBER	690	19319	\N	\N	\N
945068	3222	1996-06-09	VYDAJ	VYBER	1200	18531	\N	\N	\N
945069	3222	1996-04-21	VYDAJ	VYBER	1110	18880	\N	\N	\N
945070	3222	1997-07-01	VYDAJ	VYBER	720	16539	\N	\N	\N
945071	3222	1997-02-09	VYDAJ	VYBER	150	21590	\N	\N	\N
945072	3222	1997-12-25	VYDAJ	VYBER	540	21947	\N	\N	\N
945073	3222	1997-02-03	VYDAJ	VYBER	900	19145	\N	\N	\N
945074	3222	1997-08-30	VYDAJ	VYBER	300	18181	\N	\N	\N
945075	3222	1997-08-02	VYDAJ	VYBER	240	17419	\N	\N	\N
945076	3222	1998-08-11	VYDAJ	VYBER	1140	19552	\N	\N	\N
945077	3222	1998-03-09	VYDAJ	VYBER	1140	20092	\N	\N	\N
945078	3222	1998-08-22	VYDAJ	VYBER	1380	16639	\N	\N	\N
945091	3222	1993-12-31	VYDAJ	VYBER	15	15216	SLUZBY	\N	\N
945092	3222	1994-01-31	VYDAJ	VYBER	15	12812	SLUZBY	\N	\N
945093	3222	1994-02-28	VYDAJ	VYBER	15	13557	SLUZBY	\N	\N
945094	3222	1994-03-31	VYDAJ	VYBER	15	13732	SLUZBY	\N	\N
945095	3222	1994-04-30	VYDAJ	VYBER	15	14840	SLUZBY	\N	\N
945096	3222	1994-05-31	VYDAJ	VYBER	15	15954	SLUZBY	\N	\N
945097	3222	1994-06-30	VYDAJ	VYBER	15	16350	SLUZBY	\N	\N
945098	3222	1994-07-31	VYDAJ	VYBER	15	17469	SLUZBY	\N	\N
945099	3222	1994-08-31	VYDAJ	VYBER	15	17932	SLUZBY	\N	\N
945100	3222	1994-09-30	VYDAJ	VYBER	15	19059	SLUZBY	\N	\N
945101	3222	1994-10-31	VYDAJ	VYBER	15	20190	SLUZBY	\N	\N
945102	3222	1994-11-30	VYDAJ	VYBER	15	20694	SLUZBY	\N	\N
945103	3222	1994-12-31	VYDAJ	VYBER	15	21200	SLUZBY	\N	\N
945104	3222	1995-01-31	VYDAJ	VYBER	15	18494	SLUZBY	\N	\N
945105	3222	1995-02-28	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
945106	3222	1995-03-31	VYDAJ	VYBER	15	20052	SLUZBY	\N	\N
945107	3222	1995-04-30	VYDAJ	VYBER	15	20585	SLUZBY	\N	\N
945108	3222	1995-05-31	VYDAJ	VYBER	15	21723	SLUZBY	\N	\N
945109	3222	1995-06-30	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
945110	3222	1995-07-31	VYDAJ	VYBER	15	16738	SLUZBY	\N	\N
945111	3222	1995-08-31	VYDAJ	VYBER	15	17859	SLUZBY	\N	\N
945112	3222	1995-09-30	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
945113	3222	1995-10-31	VYDAJ	VYBER	15	18876	SLUZBY	\N	\N
945114	3222	1995-11-30	VYDAJ	VYBER	15	20006	SLUZBY	\N	\N
945115	3222	1995-12-31	VYDAJ	VYBER	15	20538	SLUZBY	\N	\N
945116	3222	1996-01-31	VYDAJ	VYBER	15	16682	SLUZBY	\N	\N
945117	3222	1996-02-29	VYDAJ	VYBER	15	17803	SLUZBY	\N	\N
945118	3222	1996-03-31	VYDAJ	VYBER	15	18928	SLUZBY	\N	\N
945119	3222	1996-04-30	VYDAJ	VYBER	15	18947	SLUZBY	\N	\N
945120	3222	1996-05-31	VYDAJ	VYBER	15	19386	SLUZBY	\N	\N
945121	3222	1996-06-30	VYDAJ	VYBER	15	17058	SLUZBY	\N	\N
945122	3222	1996-07-31	VYDAJ	VYBER	15	18180	SLUZBY	\N	\N
945123	3222	1996-08-31	VYDAJ	VYBER	15	19307	SLUZBY	\N	\N
945124	3222	1996-09-30	VYDAJ	VYBER	15	20438	SLUZBY	\N	\N
945125	3222	1996-10-31	VYDAJ	VYBER	15	21574	SLUZBY	\N	\N
945126	3222	1996-11-30	VYDAJ	VYBER	15	22715	SLUZBY	\N	\N
945127	3222	1996-12-31	VYDAJ	VYBER	15	23170	SLUZBY	\N	\N
945128	3222	1997-01-31	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
945129	3222	1997-02-28	VYDAJ	VYBER	15	20126	SLUZBY	\N	\N
945130	3222	1997-03-31	VYDAJ	VYBER	15	21261	SLUZBY	\N	\N
945131	3222	1997-04-30	VYDAJ	VYBER	15	22400	SLUZBY	\N	\N
945132	3222	1997-05-31	VYDAJ	VYBER	15	23544	SLUZBY	\N	\N
945133	3222	1997-06-30	VYDAJ	VYBER	15	17259	SLUZBY	\N	\N
945134	3222	1997-07-31	VYDAJ	VYBER	15	17659	SLUZBY	\N	\N
945135	3222	1997-08-31	VYDAJ	VYBER	15	18242	SLUZBY	\N	\N
945136	3222	1997-09-30	VYDAJ	VYBER	15	19368	SLUZBY	\N	\N
945137	3222	1997-10-31	VYDAJ	VYBER	15	20499	SLUZBY	\N	\N
945138	3222	1997-11-30	VYDAJ	VYBER	15	21635	SLUZBY	\N	\N
945139	3222	1997-12-31	VYDAJ	VYBER	15	22024	SLUZBY	\N	\N
945140	3222	1998-01-31	VYDAJ	VYBER	15	17514	SLUZBY	\N	\N
945141	3222	1998-02-28	VYDAJ	VYBER	15	18637	SLUZBY	\N	\N
945142	3222	1998-03-31	VYDAJ	VYBER	15	18622	SLUZBY	\N	\N
945143	3222	1998-04-30	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
945144	3222	1998-05-31	VYDAJ	VYBER	15	20881	SLUZBY	\N	\N
945145	3222	1998-06-30	VYDAJ	VYBER	15	16976	SLUZBY	\N	\N
945146	3222	1998-07-31	VYDAJ	VYBER	15	18097	SLUZBY	\N	\N
945147	3222	1998-08-31	VYDAJ	VYBER	15	16697	SLUZBY	\N	\N
945148	3222	1998-09-30	VYDAJ	VYBER	15	17816	SLUZBY	\N	\N
945149	3222	1998-10-31	VYDAJ	VYBER	15	18940	SLUZBY	\N	\N
945150	3222	1998-11-30	VYDAJ	VYBER	15	20068	SLUZBY	\N	\N
945151	3222	1995-02-11	VYDAJ	VYBER	500	20589	\N	\N	\N
945152	3222	1995-03-13	VYDAJ	VYBER	200	21516	\N	\N	\N
945153	3222	1995-04-12	VYDAJ	VYBER	600	22047	\N	\N	\N
945215	3223	1993-12-07	PRIJEM	VKLAD	300	300	\N	\N	\N
945218	3223	1993-12-29	PRIJEM	VKLAD	26028	26328	\N	\N	\N
945224	3223	1994-03-10	PRIJEM	VKLAD	8847	30705	\N	\N	\N
945225	3223	1994-06-12	PRIJEM	VKLAD	40491	75919	\N	\N	\N
945226	3223	1994-09-26	PRIJEM	VKLAD	29373	75088	\N	\N	\N
945227	3223	1994-09-02	PRIJEM	VKLAD	33560	74215	\N	\N	\N
945228	3223	1994-04-10	PRIJEM	VKLAD	41984	67412	\N	\N	\N
945229	3223	1994-12-26	PRIJEM	VKLAD	11997	40027	\N	\N	\N
945230	3223	1995-02-08	PRIJEM	VKLAD	34040	66940	\N	\N	\N
945231	3223	1995-12-21	PRIJEM	VKLAD	13595	43217	\N	\N	\N
945232	3223	1995-10-21	PRIJEM	VKLAD	13336	74125	\N	\N	\N
945233	3223	1995-10-10	PRIJEM	VKLAD	22226	60789	\N	\N	\N
945234	3223	1995-07-14	PRIJEM	VKLAD	45686	79121	\N	\N	\N
945235	3223	1995-01-14	PRIJEM	VKLAD	40406	55547	\N	\N	\N
945236	3223	1995-03-04	PRIJEM	VKLAD	47606	100284	\N	\N	\N
945237	3223	1995-04-15	PRIJEM	VKLAD	42418	141634	\N	\N	\N
945238	3223	1995-01-31	PRIJEM	VKLAD	18276	36373	\N	\N	\N
945239	3223	1995-06-15	PRIJEM	VKLAD	26496	53554	\N	\N	\N
945240	3223	1995-04-07	PRIJEM	VKLAD	37426	99216	\N	\N	\N
945241	3223	1995-02-21	PRIJEM	VKLAD	40841	138764	\N	\N	\N
945242	3223	1995-09-27	PRIJEM	VKLAD	49479	49411	\N	\N	\N
945243	3223	1995-02-16	PRIJEM	VKLAD	40883	97923	\N	\N	\N
945244	3223	1996-07-03	PRIJEM	VKLAD	13137	50264	\N	\N	\N
945245	3223	1996-01-17	PRIJEM	VKLAD	11745	33045	\N	\N	\N
945246	3223	1996-04-17	PRIJEM	VKLAD	41947	52434	\N	\N	\N
945247	3223	1996-08-28	PRIJEM	VKLAD	45797	76999	\N	\N	\N
945248	3223	1996-06-15	PRIJEM	VKLAD	31236	46184	\N	\N	\N
945249	3223	1996-11-30	PRIJEM	VKLAD	19823	61100	\N	\N	\N
945250	3223	1996-01-14	PRIJEM	VKLAD	26271	27300	\N	\N	\N
945251	3223	1996-05-07	PRIJEM	VKLAD	9346	48205	\N	\N	\N
945252	3223	1996-11-27	PRIJEM	VKLAD	14881	41277	\N	\N	\N
945253	3223	1997-03-02	PRIJEM	VKLAD	47621	64282	\N	\N	\N
945254	3223	1997-12-15	PRIJEM	VKLAD	9526	16811	\N	\N	\N
945255	3223	1997-06-01	PRIJEM	VKLAD	10028	24219	\N	\N	\N
945256	3223	1997-04-13	PRIJEM	VKLAD	22246	95998	\N	\N	\N
945257	3223	1997-03-17	PRIJEM	VKLAD	44022	117124	\N	\N	\N
945258	3223	1997-03-13	PRIJEM	VKLAD	8820	73102	\N	\N	\N
945259	3223	1997-07-28	PRIJEM	VKLAD	18836	48979	\N	\N	\N
945260	3223	1997-08-08	PRIJEM	VKLAD	12966	62121	\N	\N	\N
945261	3223	1997-03-22	PRIJEM	VKLAD	18550	75674	\N	\N	\N
945262	3223	1997-06-26	PRIJEM	VKLAD	32038	53954	\N	\N	\N
945263	3223	1997-09-02	PRIJEM	VKLAD	24986	64776	\N	\N	\N
945264	3223	1998-04-06	PRIJEM	VKLAD	13495	43760	\N	\N	\N
945265	3223	1998-10-10	PRIJEM	VKLAD	34891	109928	\N	\N	\N
945266	3223	1998-09-01	PRIJEM	VKLAD	47026	129916	\N	\N	\N
945267	3223	1998-09-16	PRIJEM	VKLAD	39878	110203	\N	\N	\N
945268	3223	1998-08-28	PRIJEM	VKLAD	30841	37767	\N	\N	\N
945269	3223	1998-10-02	PRIJEM	VKLAD	19655	81821	\N	\N	\N
945270	3223	1998-04-08	PRIJEM	VKLAD	32817	76577	\N	\N	\N
945271	3223	1998-05-13	PRIJEM	VKLAD	28236	102004	\N	\N	\N
945272	3223	1998-10-12	PRIJEM	VKLAD	27183	137111	\N	\N	\N
945273	3223	1998-03-11	PRIJEM	VKLAD	41804	120254	\N	\N	\N
945274	3223	1998-03-04	PRIJEM	VKLAD	7724	78450	\N	\N	\N
945275	3223	1998-02-26	PRIJEM	VKLAD	32544	70593	\N	\N	\N
945276	3223	1998-10-26	PRIJEM	VKLAD	22233	111172	\N	\N	\N
945277	3223	1998-10-06	PRIJEM	VKLAD	8722	90543	\N	\N	\N
945278	3223	1998-06-13	PRIJEM	VKLAD	38215	115131	\N	\N	\N
945279	3223	1998-09-14	PRIJEM	VKLAD	21008	70325	\N	\N	\N
945280	3223	1998-05-07	PRIJEM	VKLAD	44840	73768	\N	\N	\N
945281	3223	1998-08-30	PRIJEM	VKLAD	45061	82828	\N	\N	\N
945282	3223	1998-10-21	PRIJEM	VKLAD	31147	88939	\N	\N	\N
945283	3223	1998-05-26	PRIJEM	VKLAD	10349	76653	\N	\N	\N
945284	3223	1998-10-31	PRIJEM	VKLAD	20495	132006	\N	\N	\N
945285	3223	1998-02-03	PRIJEM	VKLAD	20236	25591	\N	\N	\N
945286	3223	1998-02-05	PRIJEM	VKLAD	26269	42720	\N	\N	\N
945287	3223	1998-11-21	PRIJEM	VKLAD	43304	84495	\N	\N	\N
945288	3223	1998-02-19	PRIJEM	VKLAD	18829	38049	\N	\N	\N
945297	3223	1994-11-17	VYBER	VYBER	7535	34758	\N	\N	\N
945298	3223	1995-07-20	VYBER	VYBER	19744	59377	\N	\N	\N
945300	3223	1995-04-04	VYBER	VYBER	4887	61790	\N	\N	\N
945301	3223	1995-08-06	VYBER	VYBER	9837	32459	\N	\N	\N
945302	3223	1995-04-18	VYBER	VYBER	13132	99162	\N	\N	\N
945303	3223	1995-10-04	VYBER	VYBER	4990	38563	\N	\N	\N
945304	3223	1995-01-22	VYBER	VYBER	17050	23797	\N	\N	\N
945305	3223	1995-04-29	VYBER	VYBER	8098	91064	\N	\N	\N
945306	3223	1995-05-27	VYBER	VYBER	8640	49833	\N	\N	\N
945307	3223	1995-08-16	VYBER	VYBER	19031	13428	\N	\N	\N
945308	3223	1995-11-30	VYBER	VYBER	12628	29636	\N	\N	\N
945309	3223	1995-07-27	VYBER	VYBER	10194	49183	\N	\N	\N
945310	3223	1995-06-06	VYBER	VYBER	13512	27058	\N	\N	\N
945311	3223	1995-04-18	VYBER	VYBER	5940	112294	\N	\N	\N
945314	3223	1997-05-07	VYBER	VYBER	11143	29177	\N	\N	\N
945315	3223	1997-11-13	VYBER	VYBER	7085	8647	\N	\N	\N
945316	3223	1997-04-29	VYBER	VYBER	20367	40031	\N	\N	\N
945317	3223	1997-09-23	VYBER	VYBER	24619	17157	\N	\N	\N
945318	3223	1997-06-06	VYBER	VYBER	2803	21416	\N	\N	\N
945319	3223	1997-01-06	VYBER	VYBER	13264	27081	\N	\N	\N
945320	3223	1997-04-08	VYBER	VYBER	2143	73752	\N	\N	\N
945323	3223	1998-02-04	VYBER	VYBER	9140	16451	\N	\N	\N
945324	3223	1998-10-06	VYBER	VYBER	15506	75037	\N	\N	\N
945325	3223	1998-03-18	VYBER	VYBER	17959	44395	\N	\N	\N
945326	3223	1998-05-05	VYBER	VYBER	17934	28928	\N	\N	\N
945327	3223	1998-03-20	VYBER	VYBER	14350	30045	\N	\N	\N
945328	3223	1998-10-13	VYBER	VYBER	9319	57792	\N	\N	\N
945329	3223	1998-09-05	VYBER	VYBER	13599	77517	\N	\N	\N
945330	3223	1998-05-02	VYBER	VYBER	3611	46862	\N	\N	\N
945331	3223	1998-11-30	VYBER	VYBER	17630	67169	\N	\N	\N
945332	3223	1998-12-04	VYBER	VYBER	9482	57672	\N	\N	\N
945336	3223	1996-06-05	VYDAJ	VYBER	18600	14948	\N	\N	\N
945341	3223	1995-01-01	VYDAJ	VYBER	21600	24141	\N	\N	\N
945342	3223	1996-01-30	VYDAJ	VYBER	6300	24245	\N	\N	\N
945343	3223	1997-01-17	VYDAJ	VYBER	11400	3981	\N	\N	\N
945346	3223	1994-12-04	VYDAJ	VYBER	3000	28030	\N	\N	\N
945347	3223	1995-12-30	VYDAJ	VYBER	4200	34217	\N	\N	\N
945348	3223	1996-12-07	VYDAJ	VYBER	4200	57038	\N	\N	\N
945349	3223	1997-12-04	VYDAJ	VYBER	4200	7285	\N	\N	\N
945350	3223	1998-12-17	VYDAJ	VYBER	7500	27572	\N	\N	\N
945363	3223	1995-01-21	VYDAJ	VYBER	7200	40847	\N	\N	\N
945364	3223	1995-01-07	VYDAJ	VYBER	3900	15141	\N	\N	\N
945365	3223	1995-01-23	VYDAJ	VYBER	3000	18097	\N	\N	\N
945366	3223	1995-01-23	VYDAJ	VYBER	2700	21097	\N	\N	\N
945367	3223	1995-01-07	VYDAJ	VYBER	5100	19041	\N	\N	\N
945368	3223	1995-01-20	VYDAJ	VYBER	7500	48047	\N	\N	\N
945369	3223	1996-01-12	VYDAJ	VYBER	5100	1029	\N	\N	\N
945370	3223	1996-01-22	VYDAJ	VYBER	2100	30945	\N	\N	\N
945371	3223	1996-01-07	VYDAJ	VYBER	7500	6129	\N	\N	\N
945372	3223	1996-01-15	VYDAJ	VYBER	6000	21300	\N	\N	\N
945373	3223	1996-01-07	VYDAJ	VYBER	7800	13629	\N	\N	\N
945374	3223	1996-01-04	VYDAJ	VYBER	4500	21429	\N	\N	\N
945375	3223	1997-01-12	VYDAJ	VYBER	3300	23781	\N	\N	\N
945376	3223	1997-01-16	VYDAJ	VYBER	8400	15381	\N	\N	\N
945378	3223	1997-01-23	VYDAJ	VYBER	3600	12881	\N	\N	\N
945379	3223	1997-01-29	VYDAJ	VYBER	8700	4181	\N	\N	\N
945381	3223	1998-01-21	VYDAJ	VYBER	6600	6840	\N	\N	\N
945383	3223	1998-01-03	VYDAJ	VYBER	1800	5840	\N	\N	\N
945385	3223	1998-01-25	VYDAJ	VYBER	1500	5340	\N	\N	\N
945395	3223	1994-09-08	VYDAJ	VYBER	6300	45715	\N	\N	\N
945397	3223	1995-09-04	VYDAJ	VYBER	14700	9832	\N	\N	\N
945398	3223	1995-09-11	VYDAJ	VYBER	9900	-69	\N	\N	\N
945399	3223	1995-07-10	VYDAJ	VYBER	11100	33435	\N	\N	\N
945400	3223	1995-02-10	VYDAJ	VYBER	9900	57040	\N	\N	\N
945401	3223	1996-05-14	VYDAJ	VYBER	7800	40405	\N	\N	\N
945402	3223	1996-01-02	VYDAJ	VYBER	8400	25929	\N	\N	\N
945403	3223	1996-09-14	VYDAJ	VYBER	4200	72959	\N	\N	\N
945404	3223	1996-04-11	VYDAJ	VYBER	12600	10487	\N	\N	\N
945405	3223	1996-02-20	VYDAJ	VYBER	12000	12327	\N	\N	\N
945406	3223	1996-09-17	VYDAJ	VYBER	4800	68159	\N	\N	\N
945407	3223	1997-07-04	VYDAJ	VYBER	13500	40543	\N	\N	\N
945408	3223	1997-10-11	VYDAJ	VYBER	3900	13381	\N	\N	\N
945409	3223	1997-05-23	VYDAJ	VYBER	14100	14077	\N	\N	\N
945410	3223	1997-12-20	VYDAJ	VYBER	13800	7611	\N	\N	\N
945412	3223	1998-07-19	VYDAJ	VYBER	9900	14547	\N	\N	\N
945413	3223	1998-06-27	VYDAJ	VYBER	9000	29731	\N	\N	\N
945414	3223	1998-06-20	VYDAJ	VYBER	6300	38731	\N	\N	\N
945415	3223	1998-02-16	VYDAJ	VYBER	13800	19220	\N	\N	\N
945416	3223	1998-08-25	VYDAJ	VYBER	12900	6926	\N	\N	\N
945438	3223	1994-09-30	VYDAJ	VYBER	15	75297	SLUZBY	\N	\N
945439	3223	1994-10-31	VYDAJ	VYBER	15	53593	SLUZBY	\N	\N
945440	3223	1994-11-30	VYDAJ	VYBER	15	34930	SLUZBY	\N	\N
945441	3223	1994-12-31	VYDAJ	VYBER	15	40141	SLUZBY	\N	\N
945442	3223	1995-01-31	VYDAJ	VYBER	15	36500	SLUZBY	\N	\N
945443	3223	1995-02-28	VYDAJ	VYBER	15	75478	SLUZBY	\N	\N
945444	3223	1995-03-31	VYDAJ	VYBER	15	100677	SLUZBY	\N	\N
945445	3223	1995-04-30	VYDAJ	VYBER	15	91473	SLUZBY	\N	\N
945446	3223	1995-05-31	VYDAJ	VYBER	15	40570	SLUZBY	\N	\N
945447	3223	1995-06-30	VYDAJ	VYBER	15	53735	SLUZBY	\N	\N
945448	3223	1995-07-31	VYDAJ	VYBER	15	42296	SLUZBY	\N	\N
945449	3223	1995-08-31	VYDAJ	VYBER	15	24532	SLUZBY	\N	\N
945450	3223	1995-09-30	VYDAJ	VYBER	15	43553	SLUZBY	\N	\N
945451	3223	1995-10-31	VYDAJ	VYBER	15	52450	SLUZBY	\N	\N
945452	3223	1995-11-30	VYDAJ	VYBER	15	29622	SLUZBY	\N	\N
945453	3223	1995-12-31	VYDAJ	VYBER	15	34329	SLUZBY	\N	\N
945454	3223	1996-01-31	VYDAJ	VYBER	15	24327	SLUZBY	\N	\N
945455	3223	1996-02-29	VYDAJ	VYBER	15	21911	SLUZBY	\N	\N
945456	3223	1996-03-31	VYDAJ	VYBER	15	23087	SLUZBY	\N	\N
945457	3223	1996-04-30	VYDAJ	VYBER	15	38859	SLUZBY	\N	\N
945458	3223	1996-05-31	VYDAJ	VYBER	15	33548	SLUZBY	\N	\N
945459	3223	1996-06-30	VYDAJ	VYBER	15	37127	SLUZBY	\N	\N
945460	3223	1996-07-31	VYDAJ	VYBER	15	37102	SLUZBY	\N	\N
945461	3223	1996-08-31	VYDAJ	VYBER	15	77159	SLUZBY	\N	\N
945462	3223	1996-09-30	VYDAJ	VYBER	15	46919	SLUZBY	\N	\N
945463	3223	1996-10-31	VYDAJ	VYBER	15	35596	SLUZBY	\N	\N
945464	3223	1996-11-30	VYDAJ	VYBER	15	61238	SLUZBY	\N	\N
945465	3223	1996-12-31	VYDAJ	VYBER	15	40345	SLUZBY	\N	\N
945466	3223	1997-01-31	VYDAJ	VYBER	15	4259	SLUZBY	\N	\N
945467	3223	1997-02-28	VYDAJ	VYBER	15	16661	SLUZBY	\N	\N
945468	3223	1997-03-31	VYDAJ	VYBER	15	75895	SLUZBY	\N	\N
945469	3223	1997-04-30	VYDAJ	VYBER	15	40320	SLUZBY	\N	\N
945470	3223	1997-05-31	VYDAJ	VYBER	15	14191	SLUZBY	\N	\N
945471	3223	1997-06-30	VYDAJ	VYBER	15	54043	SLUZBY	\N	\N
945472	3223	1997-07-31	VYDAJ	VYBER	15	49155	SLUZBY	\N	\N
945473	3223	1997-08-31	VYDAJ	VYBER	15	39790	SLUZBY	\N	\N
945474	3223	1997-09-30	VYDAJ	VYBER	15	17281	SLUZBY	\N	\N
945475	3223	1997-10-31	VYDAJ	VYBER	15	15732	SLUZBY	\N	\N
945476	3223	1997-11-30	VYDAJ	VYBER	15	11485	SLUZBY	\N	\N
945477	3223	1997-12-31	VYDAJ	VYBER	15	7640	SLUZBY	\N	\N
945478	3223	1998-01-31	VYDAJ	VYBER	15	5355	SLUZBY	\N	\N
945479	3223	1998-02-28	VYDAJ	VYBER	15	70726	SLUZBY	\N	\N
945480	3223	1998-03-31	VYDAJ	VYBER	15	30265	SLUZBY	\N	\N
945481	3223	1998-04-30	VYDAJ	VYBER	15	50473	SLUZBY	\N	\N
945482	3223	1998-05-31	VYDAJ	VYBER	15	76916	SLUZBY	\N	\N
945483	3223	1998-06-30	VYDAJ	VYBER	15	29947	SLUZBY	\N	\N
945484	3223	1998-07-31	VYDAJ	VYBER	15	14626	SLUZBY	\N	\N
945485	3223	1998-08-31	VYDAJ	VYBER	15	82890	SLUZBY	\N	\N
945486	3223	1998-09-30	VYDAJ	VYBER	15	62166	SLUZBY	\N	\N
945487	3223	1998-10-31	VYDAJ	VYBER	15	131991	SLUZBY	\N	\N
945488	3223	1998-11-30	VYDAJ	VYBER	15	67154	SLUZBY	\N	\N
945489	3223	1994-01-06	PRIJEM	VKLAD	300	26639	\N	\N	\N
945490	3223	1994-02-05	VYDAJ	VYBER	3400	23348	\N	\N	\N
945491	3223	1994-03-07	VYDAJ	VYBER	1600	21858	\N	\N	\N
945492	3223	1994-04-06	VYDAJ	VYBER	5400	25428	\N	\N	\N
945493	3223	1994-05-06	VYDAJ	VYBER	21100	46547	\N	\N	\N
945494	3223	1994-06-05	VYDAJ	VYBER	11400	35428	\N	\N	\N
945495	3223	1994-07-05	VYDAJ	VYBER	24000	52222	\N	\N	\N
945496	3223	1994-08-04	VYDAJ	VYBER	12200	40338	\N	\N	\N
945497	3223	1994-09-03	VYDAJ	VYBER	22200	52015	\N	\N	\N
945498	3223	1994-10-03	VYDAJ	VYBER	22000	53297	\N	\N	\N
945499	3223	1994-11-02	VYDAJ	VYBER	11300	42293	\N	\N	\N
945500	3223	1994-12-02	VYDAJ	VYBER	3900	31030	\N	\N	\N
945501	3223	1995-01-01	PRIJEM	VKLAD	5600	45741	\N	\N	\N
945502	3223	1995-01-31	VYDAJ	VYBER	3600	32900	\N	\N	\N
945503	3223	1995-02-21	VYDAJ	VYBER	63600	75164	\N	\N	\N
945504	3223	1995-03-02	VYDAJ	VYBER	22800	52678	\N	\N	\N
945505	3223	1995-04-01	VYDAJ	VYBER	34000	66677	\N	\N	\N
945506	3223	1995-04-15	VYDAJ	VYBER	23400	118234	\N	\N	\N
945507	3223	1995-05-01	VYDAJ	VYBER	33000	58473	\N	\N	\N
945508	3223	1995-05-31	VYDAJ	VYBER	9600	40584	\N	\N	\N
945509	3223	1995-06-30	VYDAJ	VYBER	9200	44535	\N	\N	\N
945510	3223	1995-07-30	VYDAJ	VYBER	7100	42083	\N	\N	\N
945511	3223	1995-08-29	PRIJEM	VKLAD	11000	24428	\N	\N	\N
945512	3223	1995-09-28	VYDAJ	VYBER	5900	43511	\N	\N	\N
945513	3223	1995-10-28	VYDAJ	VYBER	21900	52225	\N	\N	\N
945514	3223	1995-11-27	VYDAJ	VYBER	10400	42050	\N	\N	\N
945515	3223	1995-12-27	VYDAJ	VYBER	4800	38417	\N	\N	\N
945516	3223	1996-01-26	VYDAJ	VYBER	400	30545	\N	\N	\N
945517	3223	1996-02-25	PRIJEM	VKLAD	9500	21827	\N	\N	\N
945518	3223	1996-03-26	PRIJEM	VKLAD	1100	23011	\N	\N	\N
945519	3223	1996-04-25	VYDAJ	VYBER	13700	38734	\N	\N	\N
945520	3223	1996-05-25	VYDAJ	VYBER	7000	33405	\N	\N	\N
945521	3223	1996-06-24	VYDAJ	VYBER	9200	36984	\N	\N	\N
945522	3223	1996-07-24	VYDAJ	VYBER	13300	36964	\N	\N	\N
945523	3223	1996-08-23	VYDAJ	VYBER	5900	31202	\N	\N	\N
945524	3223	1996-09-22	VYDAJ	VYBER	21500	46659	\N	\N	\N
945525	3223	1996-10-22	VYDAJ	VYBER	11500	35419	\N	\N	\N
945526	3223	1996-11-21	VYDAJ	VYBER	9200	26396	\N	\N	\N
945527	3223	1996-12-21	VYDAJ	VYBER	16900	40138	\N	\N	\N
945528	3223	1997-01-20	PRIJEM	VKLAD	12500	16481	\N	\N	\N
945529	3223	1997-02-19	PRIJEM	VKLAD	12400	16659	\N	\N	\N
945530	3223	1997-03-17	VYDAJ	VYBER	25800	91324	\N	\N	\N
945531	3223	1997-03-21	VYDAJ	VYBER	34200	57124	\N	\N	\N
945532	3223	1997-04-20	VYDAJ	VYBER	35600	60398	\N	\N	\N
945533	3223	1997-05-20	VYDAJ	VYBER	1000	28177	\N	\N	\N
945534	3223	1997-06-19	PRIJEM	VKLAD	500	21916	\N	\N	\N
945535	3223	1997-07-19	VYDAJ	VYBER	10400	30143	\N	\N	\N
945536	3223	1997-08-18	VYDAJ	VYBER	22500	39621	\N	\N	\N
945537	3223	1997-09-17	VYDAJ	VYBER	23000	41776	\N	\N	\N
945538	3223	1997-10-17	PRIJEM	VKLAD	2300	15681	\N	\N	\N
945539	3223	1997-11-16	PRIJEM	VKLAD	2800	11447	\N	\N	\N
945540	3223	1997-12-16	PRIJEM	VKLAD	4600	21411	\N	\N	\N
945541	3223	1998-01-15	PRIJEM	VKLAD	7600	13440	\N	\N	\N
945542	3223	1998-02-14	VYDAJ	VYBER	9700	33020	\N	\N	\N
945543	3223	1998-03-11	VYDAJ	VYBER	21000	99254	\N	\N	\N
945544	3223	1998-03-16	VYDAJ	VYBER	36900	62354	\N	\N	\N
945545	3223	1998-04-15	VYDAJ	VYBER	26300	50277	\N	\N	\N
945546	3223	1998-05-15	VYDAJ	VYBER	35700	66304	\N	\N	\N
945547	3223	1998-06-13	VYDAJ	VYBER	52900	62231	\N	\N	\N
945548	3223	1998-06-14	VYDAJ	VYBER	17200	45031	\N	\N	\N
945549	3223	1998-07-14	VYDAJ	VYBER	5500	24447	\N	\N	\N
945550	3223	1998-08-13	PRIJEM	VKLAD	5200	19826	\N	\N	\N
945551	3223	1998-09-01	VYDAJ	VYBER	38800	91116	\N	\N	\N
945552	3223	1998-09-12	VYDAJ	VYBER	28200	49317	\N	\N	\N
945553	3223	1998-09-16	VYDAJ	VYBER	48400	61803	\N	\N	\N
945554	3223	1998-10-12	VYDAJ	VYBER	16300	67111	\N	\N	\N
945555	3223	1998-10-12	VYDAJ	VYBER	53700	83411	\N	\N	\N
945556	3223	1998-10-31	VYDAJ	VYBER	62000	69991	\N	\N	\N
945557	3223	1998-11-11	VYDAJ	VYBER	28800	41191	\N	\N	\N
945558	3223	1998-12-11	VYDAJ	VYBER	22600	35072	\N	\N	\N
945628	3224	1996-11-10	PRIJEM	VKLAD	400	6883	\N	\N	\N
945639	3224	1996-11-10	PRIJEM	PREVOD Z UCTU	6483	6483	DUCHOD	MN	38970452
945640	3224	1996-12-10	PRIJEM	PREVOD Z UCTU	6483	13386	DUCHOD	MN	38970452
945641	3224	1997-01-10	PRIJEM	PREVOD Z UCTU	6483	19898	DUCHOD	MN	38970452
945642	3224	1997-02-10	PRIJEM	PREVOD Z UCTU	6483	26409	DUCHOD	MN	38970452
945643	3224	1997-03-10	PRIJEM	PREVOD Z UCTU	6483	32921	DUCHOD	MN	38970452
945644	3224	1997-04-10	PRIJEM	PREVOD Z UCTU	6483	34133	DUCHOD	MN	38970452
945645	3224	1997-05-10	PRIJEM	PREVOD Z UCTU	6483	34776	DUCHOD	MN	38970452
945646	3224	1997-06-10	PRIJEM	PREVOD Z UCTU	6483	37423	DUCHOD	MN	38970452
945647	3224	1997-07-10	PRIJEM	PREVOD Z UCTU	6483	37977	DUCHOD	MN	38970452
945648	3224	1997-08-10	PRIJEM	PREVOD Z UCTU	6483	40138	DUCHOD	MN	38970452
945649	3224	1997-09-10	PRIJEM	PREVOD Z UCTU	6483	42806	DUCHOD	MN	38970452
945650	3224	1997-10-10	PRIJEM	PREVOD Z UCTU	6483	41486	DUCHOD	MN	38970452
945651	3224	1997-11-10	PRIJEM	PREVOD Z UCTU	6483	42362	DUCHOD	MN	38970452
945652	3224	1997-12-10	PRIJEM	PREVOD Z UCTU	6483	39440	DUCHOD	MN	38970452
945653	3224	1998-01-10	PRIJEM	PREVOD Z UCTU	6483	30066	DUCHOD	MN	38970452
945654	3224	1998-02-10	PRIJEM	PREVOD Z UCTU	6483	29891	DUCHOD	MN	38970452
945655	3224	1998-03-10	PRIJEM	PREVOD Z UCTU	6483	28117	DUCHOD	MN	38970452
945656	3224	1998-04-10	PRIJEM	PREVOD Z UCTU	6483	27773	DUCHOD	MN	38970452
945657	3224	1998-05-10	PRIJEM	PREVOD Z UCTU	6483	28191	DUCHOD	MN	38970452
945658	3224	1998-06-10	PRIJEM	PREVOD Z UCTU	6483	30311	DUCHOD	MN	38970452
945659	3224	1998-07-10	PRIJEM	PREVOD Z UCTU	6483	18963	DUCHOD	MN	38970452
945660	3224	1998-08-10	PRIJEM	PREVOD Z UCTU	6483	21544	DUCHOD	MN	38970452
945661	3224	1998-09-10	PRIJEM	PREVOD Z UCTU	6483	21329	DUCHOD	MN	38970452
945662	3224	1998-10-10	PRIJEM	PREVOD Z UCTU	6483	23919	DUCHOD	MN	38970452
945663	3224	1998-11-10	PRIJEM	PREVOD Z UCTU	6483	23478	DUCHOD	MN	38970452
945664	3224	1998-12-10	PRIJEM	PREVOD Z UCTU	6483	26077	DUCHOD	MN	38970452
945680	3224	1997-04-06	VYDAJ	PREVOD NA UCET	2583	28850	SIPO	IJ	12458819
945681	3224	1997-05-06	VYDAJ	PREVOD NA UCET	2583	28293	SIPO	IJ	12458819
945682	3224	1997-06-06	VYDAJ	PREVOD NA UCET	2583	30940	SIPO	IJ	12458819
945683	3224	1997-07-06	VYDAJ	PREVOD NA UCET	2583	31494	SIPO	IJ	12458819
945684	3224	1997-08-06	VYDAJ	PREVOD NA UCET	2583	34155	SIPO	IJ	12458819
945685	3224	1997-09-06	VYDAJ	PREVOD NA UCET	2583	36323	SIPO	IJ	12458819
945686	3224	1997-10-06	VYDAJ	PREVOD NA UCET	2583	37803	SIPO	IJ	12458819
945687	3224	1997-11-06	VYDAJ	PREVOD NA UCET	2583	35879	SIPO	IJ	12458819
945688	3224	1997-12-06	VYDAJ	PREVOD NA UCET	2583	32957	SIPO	IJ	12458819
945689	3224	1998-01-06	VYDAJ	PREVOD NA UCET	2583	25743	SIPO	IJ	12458819
945690	3224	1998-02-06	VYDAJ	PREVOD NA UCET	2583	23408	SIPO	IJ	12458819
945691	3224	1998-03-06	VYDAJ	PREVOD NA UCET	2583	21634	SIPO	IJ	12458819
945692	3224	1998-04-06	VYDAJ	PREVOD NA UCET	2583	21290	SIPO	IJ	12458819
945693	3224	1998-05-06	VYDAJ	PREVOD NA UCET	2583	21708	SIPO	IJ	12458819
945694	3224	1998-06-06	VYDAJ	PREVOD NA UCET	2583	23828	SIPO	IJ	12458819
945695	3224	1998-07-06	VYDAJ	PREVOD NA UCET	2583	12480	SIPO	IJ	12458819
945696	3224	1998-08-06	VYDAJ	PREVOD NA UCET	2583	15061	SIPO	IJ	12458819
945697	3224	1998-09-06	VYDAJ	PREVOD NA UCET	2583	14846	SIPO	IJ	12458819
945698	3224	1998-10-06	VYDAJ	PREVOD NA UCET	2583	17436	SIPO	IJ	12458819
945699	3224	1998-11-06	VYDAJ	PREVOD NA UCET	2583	16995	SIPO	IJ	12458819
945700	3224	1998-12-06	VYDAJ	PREVOD NA UCET	2583	19594	SIPO	IJ	12458819
945715	3224	1997-03-14	VYDAJ	PREVOD NA UCET	1375	31346	 	WX	54968285
945716	3224	1997-04-14	VYDAJ	PREVOD NA UCET	1375	32758	 	WX	54968285
945717	3224	1997-05-14	VYDAJ	PREVOD NA UCET	1375	33401	 	WX	54968285
945718	3224	1997-06-14	VYDAJ	PREVOD NA UCET	1375	36048	 	WX	54968285
945719	3224	1997-07-14	VYDAJ	PREVOD NA UCET	1375	36602	 	WX	54968285
945720	3224	1997-08-14	VYDAJ	PREVOD NA UCET	1375	38763	 	WX	54968285
945721	3224	1997-09-14	VYDAJ	PREVOD NA UCET	1375	41431	 	WX	54968285
945722	3224	1997-10-14	VYDAJ	PREVOD NA UCET	1375	40111	 	WX	54968285
945723	3224	1997-11-14	VYDAJ	PREVOD NA UCET	1375	40987	 	WX	54968285
945724	3224	1997-12-14	VYDAJ	PREVOD NA UCET	1375	36965	 	WX	54968285
945725	3224	1998-01-14	VYDAJ	PREVOD NA UCET	1375	26371	 	WX	54968285
945726	3224	1998-02-14	VYDAJ	PREVOD NA UCET	1375	28516	 	WX	54968285
945727	3224	1998-03-14	VYDAJ	PREVOD NA UCET	1375	26742	 	WX	54968285
945728	3224	1998-04-14	VYDAJ	PREVOD NA UCET	1375	26398	 	WX	54968285
945729	3224	1998-05-14	VYDAJ	PREVOD NA UCET	1375	26816	 	WX	54968285
945730	3224	1998-06-14	VYDAJ	PREVOD NA UCET	1375	28936	 	WX	54968285
945731	3224	1998-07-14	VYDAJ	PREVOD NA UCET	1375	17588	 	WX	54968285
945732	3224	1998-08-14	VYDAJ	PREVOD NA UCET	1375	17369	 	WX	54968285
945733	3224	1998-09-14	VYDAJ	PREVOD NA UCET	1375	19954	 	WX	54968285
945734	3224	1998-10-14	VYDAJ	PREVOD NA UCET	1375	22544	 	WX	54968285
945735	3224	1998-11-14	VYDAJ	PREVOD NA UCET	1375	22103	 	WX	54968285
945736	3224	1998-12-14	VYDAJ	PREVOD NA UCET	1375	24702	 	WX	54968285
945738	3224	1997-06-16	VYDAJ	VYBER	2100	33948	\N	\N	\N
945739	3224	1998-06-18	VYDAJ	VYBER	13950	14986	\N	\N	\N
945742	3224	1998-01-03	VYDAJ	VYBER	4600	32506	\N	\N	\N
945744	3224	1997-12-12	VYDAJ	VYBER	1100	38340	\N	\N	\N
945745	3224	1998-12-29	VYDAJ	VYBER	650	24052	\N	\N	\N
945758	3224	1998-01-03	VYDAJ	VYBER	480	32026	\N	\N	\N
945759	3224	1998-01-07	VYDAJ	VYBER	1120	24623	\N	\N	\N
945760	3224	1998-01-14	VYDAJ	VYBER	1760	27746	\N	\N	\N
945761	3224	1998-01-08	VYDAJ	VYBER	1040	23583	\N	\N	\N
945762	3224	1998-01-16	VYDAJ	VYBER	480	25891	\N	\N	\N
945763	3224	1998-01-13	VYDAJ	VYBER	560	29506	\N	\N	\N
945774	3224	1997-09-26	VYDAJ	VYBER	1200	40231	\N	\N	\N
945775	3224	1997-04-20	VYDAJ	VYBER	2000	30758	\N	\N	\N
945776	3224	1998-03-18	VYDAJ	VYBER	1920	24822	\N	\N	\N
945777	3224	1998-10-22	VYDAJ	VYBER	1840	20704	\N	\N	\N
945778	3224	1998-10-27	VYDAJ	VYBER	1200	19504	\N	\N	\N
945779	3224	1998-03-25	VYDAJ	VYBER	1040	23782	\N	\N	\N
945780	3224	1998-08-13	VYDAJ	VYBER	2800	18744	\N	\N	\N
945796	3224	1997-03-31	VYDAJ	VYBER	15	31433	SLUZBY	\N	\N
945797	3224	1997-04-30	VYDAJ	VYBER	15	30876	SLUZBY	\N	\N
945798	3224	1997-05-31	VYDAJ	VYBER	15	33523	SLUZBY	\N	\N
945799	3224	1997-06-30	VYDAJ	VYBER	15	34077	SLUZBY	\N	\N
945800	3224	1997-07-31	VYDAJ	VYBER	15	36738	SLUZBY	\N	\N
945801	3224	1997-08-31	VYDAJ	VYBER	15	38906	SLUZBY	\N	\N
945802	3224	1997-09-30	VYDAJ	VYBER	15	40386	SLUZBY	\N	\N
945803	3224	1997-10-31	VYDAJ	VYBER	15	40262	SLUZBY	\N	\N
945804	3224	1997-11-30	VYDAJ	VYBER	15	41140	SLUZBY	\N	\N
945805	3224	1997-12-31	VYDAJ	VYBER	15	37106	SLUZBY	\N	\N
945806	3224	1998-01-31	VYDAJ	VYBER	15	25991	SLUZBY	\N	\N
945807	3224	1998-02-28	VYDAJ	VYBER	15	28617	SLUZBY	\N	\N
945808	3224	1998-03-31	VYDAJ	VYBER	15	23873	SLUZBY	\N	\N
945809	3224	1998-04-30	VYDAJ	VYBER	15	26491	SLUZBY	\N	\N
945810	3224	1998-05-31	VYDAJ	VYBER	15	26911	SLUZBY	\N	\N
945811	3224	1998-06-30	VYDAJ	VYBER	15	15063	SLUZBY	\N	\N
945812	3224	1998-07-31	VYDAJ	VYBER	15	17644	SLUZBY	\N	\N
945813	3224	1998-08-31	VYDAJ	VYBER	15	17429	SLUZBY	\N	\N
945814	3224	1998-09-30	VYDAJ	VYBER	15	20019	SLUZBY	\N	\N
945815	3224	1998-10-31	VYDAJ	VYBER	15	19578	SLUZBY	\N	\N
945816	3224	1998-11-30	VYDAJ	VYBER	15	22177	SLUZBY	\N	\N
945817	3224	1997-03-10	VYDAJ	VYBER	200	32721	\N	\N	\N
945818	3224	1997-04-09	VYDAJ	VYBER	1200	27650	\N	\N	\N
945819	3224	1997-08-07	VYDAJ	VYBER	500	33655	\N	\N	\N
945820	3224	1997-10-06	VYDAJ	VYBER	2800	35003	\N	\N	\N
945821	3224	1997-11-05	VYDAJ	VYBER	1800	38462	\N	\N	\N
945822	3224	1997-12-05	VYDAJ	VYBER	5600	35540	\N	\N	\N
945823	3224	1998-01-04	VYDAJ	VYBER	3700	28326	\N	\N	\N
945824	3224	1998-03-05	VYDAJ	VYBER	4400	24217	\N	\N	\N
945825	3224	1998-05-04	VYDAJ	VYBER	2200	24291	\N	\N	\N
945826	3224	1998-06-03	VYDAJ	VYBER	500	26411	\N	\N	\N
945853	3225	1993-11-01	PRIJEM	VKLAD	200	200	\N	\N	\N
945864	3225	1993-11-14	PRIJEM	VKLAD	20258	20458	\N	\N	\N
945865	3225	1993-12-14	PRIJEM	VKLAD	30387	54093	\N	\N	\N
945866	3225	1994-01-14	PRIJEM	VKLAD	20258	57916	\N	\N	\N
945867	3225	1994-02-14	PRIJEM	VKLAD	20258	62432	\N	\N	\N
945868	3225	1994-03-14	PRIJEM	VKLAD	20258	62365	\N	\N	\N
945869	3225	1994-04-14	PRIJEM	VKLAD	20258	54100	\N	\N	\N
945870	3225	1994-05-14	PRIJEM	VKLAD	20258	51817	\N	\N	\N
945871	3225	1994-06-14	PRIJEM	VKLAD	30387	58195	\N	\N	\N
945872	3225	1994-07-14	PRIJEM	VKLAD	20258	41403	\N	\N	\N
945873	3225	1994-08-14	PRIJEM	VKLAD	20258	39164	\N	\N	\N
945874	3225	1994-09-14	PRIJEM	VKLAD	20258	45705	\N	\N	\N
945875	3225	1994-10-14	PRIJEM	VKLAD	20258	48681	\N	\N	\N
945876	3225	1994-11-14	PRIJEM	VKLAD	20258	49468	\N	\N	\N
945877	3225	1994-12-14	PRIJEM	VKLAD	30387	59085	\N	\N	\N
945878	3225	1995-01-14	PRIJEM	VKLAD	20258	47668	\N	\N	\N
945879	3225	1995-02-14	PRIJEM	VKLAD	20258	40473	\N	\N	\N
945880	3225	1995-03-14	PRIJEM	VKLAD	20258	41025	\N	\N	\N
945881	3225	1995-04-14	PRIJEM	VKLAD	20258	45882	\N	\N	\N
945882	3225	1995-05-14	PRIJEM	VKLAD	20258	47955	\N	\N	\N
945883	3225	1995-06-14	PRIJEM	VKLAD	30387	62368	\N	\N	\N
945884	3225	1995-07-14	PRIJEM	VKLAD	20258	56883	\N	\N	\N
945885	3225	1995-08-14	PRIJEM	VKLAD	20258	55093	\N	\N	\N
945886	3225	1995-09-14	PRIJEM	VKLAD	20258	59404	\N	\N	\N
945887	3225	1995-10-14	PRIJEM	VKLAD	20258	62931	\N	\N	\N
945888	3225	1995-11-14	PRIJEM	VKLAD	20258	60568	\N	\N	\N
945889	3225	1995-12-14	PRIJEM	VKLAD	30387	63030	\N	\N	\N
945890	3225	1996-01-14	PRIJEM	VKLAD	20258	51178	\N	\N	\N
945891	3225	1996-02-14	PRIJEM	VKLAD	20258	48155	\N	\N	\N
945892	3225	1996-03-14	PRIJEM	VKLAD	20258	51255	\N	\N	\N
945893	3225	1996-04-14	PRIJEM	VKLAD	20258	53767	\N	\N	\N
945894	3225	1996-05-14	PRIJEM	VKLAD	20258	56518	\N	\N	\N
945895	3225	1996-06-14	PRIJEM	VKLAD	30387	63209	\N	\N	\N
945896	3225	1996-07-14	PRIJEM	VKLAD	20258	53024	\N	\N	\N
945897	3225	1996-08-14	PRIJEM	VKLAD	20258	46001	\N	\N	\N
945898	3225	1996-09-14	PRIJEM	VKLAD	20258	50373	\N	\N	\N
945899	3225	1996-10-14	PRIJEM	VKLAD	20258	54255	\N	\N	\N
945900	3225	1996-11-14	PRIJEM	VKLAD	20258	56611	\N	\N	\N
945901	3225	1996-12-14	PRIJEM	VKLAD	30387	71352	\N	\N	\N
945902	3225	1997-01-14	PRIJEM	VKLAD	20258	52703	\N	\N	\N
945903	3225	1997-02-14	PRIJEM	VKLAD	20258	55410	\N	\N	\N
945904	3225	1997-03-14	PRIJEM	VKLAD	20258	64812	\N	\N	\N
945905	3225	1997-04-14	PRIJEM	VKLAD	20258	60717	\N	\N	\N
945906	3225	1997-05-14	PRIJEM	VKLAD	20258	59092	\N	\N	\N
945907	3225	1997-06-14	PRIJEM	VKLAD	30387	76916	\N	\N	\N
945908	3225	1997-07-14	PRIJEM	VKLAD	20258	63185	\N	\N	\N
945909	3225	1997-08-14	PRIJEM	VKLAD	20258	76023	\N	\N	\N
945910	3225	1997-09-14	PRIJEM	VKLAD	20258	79227	\N	\N	\N
945911	3225	1997-10-14	PRIJEM	VKLAD	20258	82755	\N	\N	\N
945912	3225	1997-11-14	PRIJEM	VKLAD	20258	82597	\N	\N	\N
945913	3225	1997-12-14	PRIJEM	VKLAD	30387	88948	\N	\N	\N
945914	3225	1998-01-14	PRIJEM	VKLAD	20258	85757	\N	\N	\N
945915	3225	1998-02-14	PRIJEM	VKLAD	20258	78454	\N	\N	\N
945916	3225	1998-03-14	PRIJEM	VKLAD	20258	82966	\N	\N	\N
945917	3225	1998-04-14	PRIJEM	VKLAD	20258	82283	\N	\N	\N
945918	3225	1998-05-14	PRIJEM	VKLAD	20258	84347	\N	\N	\N
945919	3225	1998-06-14	PRIJEM	VKLAD	30387	96415	\N	\N	\N
945920	3225	1998-07-14	PRIJEM	VKLAD	20258	87557	\N	\N	\N
945921	3225	1998-08-14	PRIJEM	VKLAD	20258	92109	\N	\N	\N
945922	3225	1998-09-14	PRIJEM	VKLAD	20258	96080	\N	\N	\N
945923	3225	1998-10-14	PRIJEM	VKLAD	20258	100963	\N	\N	\N
945924	3225	1998-11-14	PRIJEM	VKLAD	20258	104866	\N	\N	\N
945925	3225	1998-12-14	PRIJEM	VKLAD	30387	114813	\N	\N	\N
945941	3225	1994-04-05	VYDAJ	PREVOD NA UCET	8030	33842	SIPO	CD	58175218
945942	3225	1994-05-05	VYDAJ	PREVOD NA UCET	8030	31559	SIPO	CD	58175218
945943	3225	1994-06-05	VYDAJ	PREVOD NA UCET	8030	27808	SIPO	CD	58175218
945944	3225	1994-07-05	VYDAJ	PREVOD NA UCET	8030	21145	SIPO	CD	58175218
945945	3225	1994-08-05	VYDAJ	PREVOD NA UCET	8030	24306	SIPO	CD	58175218
945946	3225	1994-09-05	VYDAJ	PREVOD NA UCET	8030	25447	SIPO	CD	58175218
945947	3225	1994-10-05	VYDAJ	PREVOD NA UCET	8030	28423	SIPO	CD	58175218
945948	3225	1994-11-05	VYDAJ	PREVOD NA UCET	8030	29210	SIPO	CD	58175218
945949	3225	1994-12-05	VYDAJ	PREVOD NA UCET	8030	28698	SIPO	CD	58175218
945950	3225	1995-01-05	VYDAJ	PREVOD NA UCET	8030	29690	SIPO	CD	58175218
945951	3225	1995-02-05	VYDAJ	PREVOD NA UCET	8030	20215	SIPO	CD	58175218
945952	3225	1995-03-05	VYDAJ	PREVOD NA UCET	8030	20767	SIPO	CD	58175218
945953	3225	1995-04-05	VYDAJ	PREVOD NA UCET	8030	25624	SIPO	CD	58175218
945954	3225	1995-05-05	VYDAJ	PREVOD NA UCET	8030	27697	SIPO	CD	58175218
945955	3225	1995-06-05	VYDAJ	PREVOD NA UCET	8030	31981	SIPO	CD	58175218
945956	3225	1995-07-05	VYDAJ	PREVOD NA UCET	8030	36625	SIPO	CD	58175218
945957	3225	1995-08-05	VYDAJ	PREVOD NA UCET	8030	34835	SIPO	CD	58175218
945958	3225	1995-09-05	VYDAJ	PREVOD NA UCET	8030	39146	SIPO	CD	58175218
945959	3225	1995-10-05	VYDAJ	PREVOD NA UCET	8030	42673	SIPO	CD	58175218
945960	3225	1995-11-05	VYDAJ	PREVOD NA UCET	8030	40310	SIPO	CD	58175218
945961	3225	1995-12-05	VYDAJ	PREVOD NA UCET	8030	32643	SIPO	CD	58175218
945962	3225	1996-01-05	VYDAJ	PREVOD NA UCET	8030	32600	SIPO	CD	58175218
945963	3225	1996-02-05	VYDAJ	PREVOD NA UCET	8030	27897	SIPO	CD	58175218
945964	3225	1996-03-05	VYDAJ	PREVOD NA UCET	8030	33877	SIPO	CD	58175218
945965	3225	1996-04-05	VYDAJ	PREVOD NA UCET	8030	33509	SIPO	CD	58175218
945966	3225	1996-05-05	VYDAJ	PREVOD NA UCET	8030	36260	SIPO	CD	58175218
945967	3225	1996-06-05	VYDAJ	PREVOD NA UCET	8030	32822	SIPO	CD	58175218
945968	3225	1996-07-05	VYDAJ	PREVOD NA UCET	8030	32766	SIPO	CD	58175218
945969	3225	1996-08-05	VYDAJ	PREVOD NA UCET	8030	30063	SIPO	CD	58175218
945970	3225	1996-09-05	VYDAJ	PREVOD NA UCET	8030	30115	SIPO	CD	58175218
945971	3225	1996-10-05	VYDAJ	PREVOD NA UCET	8030	33997	SIPO	CD	58175218
945972	3225	1996-11-05	VYDAJ	PREVOD NA UCET	8030	36353	SIPO	CD	58175218
945973	3225	1996-12-05	VYDAJ	PREVOD NA UCET	8030	42565	SIPO	CD	58175218
945974	3225	1997-01-05	VYDAJ	PREVOD NA UCET	8030	49525	SIPO	CD	58175218
945975	3225	1997-02-05	VYDAJ	PREVOD NA UCET	8030	32952	SIPO	CD	58175218
945976	3225	1997-03-05	VYDAJ	PREVOD NA UCET	8030	44554	SIPO	CD	58175218
945977	3225	1997-04-05	VYDAJ	PREVOD NA UCET	8030	40459	SIPO	CD	58175218
945978	3225	1997-05-05	VYDAJ	PREVOD NA UCET	8030	38834	SIPO	CD	58175218
945979	3225	1997-06-05	VYDAJ	PREVOD NA UCET	8030	42429	SIPO	CD	58175218
945980	3225	1997-07-05	VYDAJ	PREVOD NA UCET	8030	34527	SIPO	CD	58175218
945981	3225	1997-08-05	VYDAJ	PREVOD NA UCET	8030	55365	SIPO	CD	58175218
945982	3225	1997-09-05	VYDAJ	PREVOD NA UCET	8030	68269	SIPO	CD	58175218
945983	3225	1997-10-05	VYDAJ	PREVOD NA UCET	8030	71497	SIPO	CD	58175218
945984	3225	1997-11-05	VYDAJ	PREVOD NA UCET	8030	75039	SIPO	CD	58175218
945985	3225	1997-12-05	VYDAJ	PREVOD NA UCET	8030	72241	SIPO	CD	58175218
945986	3225	1998-01-05	VYDAJ	PREVOD NA UCET	8030	81239	SIPO	CD	58175218
945987	3225	1998-02-05	VYDAJ	PREVOD NA UCET	8030	64596	SIPO	CD	58175218
945988	3225	1998-03-05	VYDAJ	PREVOD NA UCET	8030	70708	SIPO	CD	58175218
945989	3225	1998-04-05	VYDAJ	PREVOD NA UCET	8030	70925	SIPO	CD	58175218
945990	3225	1998-05-05	VYDAJ	PREVOD NA UCET	8030	68789	SIPO	CD	58175218
945991	3225	1998-06-05	VYDAJ	PREVOD NA UCET	8030	76628	SIPO	CD	58175218
945992	3225	1998-07-05	VYDAJ	PREVOD NA UCET	8030	73999	SIPO	CD	58175218
945993	3225	1998-08-05	VYDAJ	PREVOD NA UCET	8030	79851	SIPO	CD	58175218
945994	3225	1998-09-05	VYDAJ	PREVOD NA UCET	8030	84422	SIPO	CD	58175218
945995	3225	1998-10-05	VYDAJ	PREVOD NA UCET	8030	83605	SIPO	CD	58175218
945996	3225	1998-11-05	VYDAJ	PREVOD NA UCET	8030	93308	SIPO	CD	58175218
945997	3225	1998-12-05	VYDAJ	PREVOD NA UCET	8030	97226	SIPO	CD	58175218
945999	3225	1994-06-24	VYDAJ	VYBER	27680	30515	\N	\N	\N
946001	3225	1996-06-14	VYDAJ	VYBER	10240	52969	\N	\N	\N
946002	3225	1997-06-21	VYDAJ	VYBER	34560	42356	\N	\N	\N
946003	3225	1998-06-25	VYDAJ	VYBER	14720	81695	\N	\N	\N
946006	3225	1995-01-01	VYDAJ	VYBER	3360	39040	\N	\N	\N
946007	3225	1996-01-27	VYDAJ	VYBER	1920	38658	\N	\N	\N
946008	3225	1997-01-11	VYDAJ	VYBER	15040	33165	\N	\N	\N
946009	3225	1998-01-07	VYDAJ	VYBER	1920	76199	\N	\N	\N
946011	3225	1994-12-18	VYDAJ	VYBER	3360	55725	\N	\N	\N
946012	3225	1995-12-16	VYDAJ	VYBER	4160	58870	\N	\N	\N
946013	3225	1996-12-07	VYDAJ	VYBER	1600	40965	\N	\N	\N
946014	3225	1997-12-06	VYDAJ	VYBER	2080	70161	\N	\N	\N
946015	3225	1998-12-21	VYDAJ	VYBER	800	84813	\N	\N	\N
946028	3225	1995-01-03	VYDAJ	VYBER	1320	37720	\N	\N	\N
946029	3225	1995-01-28	VYDAJ	VYBER	1560	33148	\N	\N	\N
946030	3225	1995-01-30	VYDAJ	VYBER	2520	30628	\N	\N	\N
946031	3225	1995-01-30	VYDAJ	VYBER	2520	28108	\N	\N	\N
946032	3225	1995-01-06	VYDAJ	VYBER	2280	27410	\N	\N	\N
946033	3225	1995-01-17	VYDAJ	VYBER	1560	46108	\N	\N	\N
946034	3225	1996-01-20	VYDAJ	VYBER	2040	42498	\N	\N	\N
946035	3225	1996-01-07	VYDAJ	VYBER	1680	30920	\N	\N	\N
946036	3225	1996-01-04	VYDAJ	VYBER	1440	40630	\N	\N	\N
946037	3225	1996-01-28	VYDAJ	VYBER	2880	35778	\N	\N	\N
946038	3225	1996-01-19	VYDAJ	VYBER	2640	48538	\N	\N	\N
946039	3225	1996-01-23	VYDAJ	VYBER	1920	40578	\N	\N	\N
946040	3225	1997-01-13	VYDAJ	VYBER	720	32445	\N	\N	\N
946041	3225	1997-01-27	VYDAJ	VYBER	2280	42003	\N	\N	\N
946042	3225	1997-01-07	VYDAJ	VYBER	1320	48205	\N	\N	\N
946043	3225	1997-01-30	VYDAJ	VYBER	1200	40803	\N	\N	\N
946044	3225	1997-01-14	VYDAJ	VYBER	3360	49343	\N	\N	\N
946045	3225	1997-01-21	VYDAJ	VYBER	960	44283	\N	\N	\N
946046	3225	1998-01-29	VYDAJ	VYBER	3120	72317	\N	\N	\N
946047	3225	1998-01-06	VYDAJ	VYBER	3120	78119	\N	\N	\N
946048	3225	1998-01-27	VYDAJ	VYBER	3000	75437	\N	\N	\N
946049	3225	1998-01-16	VYDAJ	VYBER	3240	82517	\N	\N	\N
946050	3225	1998-01-26	VYDAJ	VYBER	1560	78437	\N	\N	\N
946051	3225	1998-01-21	VYDAJ	VYBER	2520	79997	\N	\N	\N
946057	3225	1994-08-17	VYDAJ	VYBER	2400	36764	\N	\N	\N
946058	3225	1994-08-05	VYDAJ	VYBER	5400	18906	\N	\N	\N
946059	3225	1994-05-30	VYDAJ	VYBER	2280	35637	\N	\N	\N
946060	3225	1995-12-29	VYDAJ	VYBER	5880	41890	\N	\N	\N
946061	3225	1995-07-16	VYDAJ	VYBER	3000	53883	\N	\N	\N
946062	3225	1995-11-23	VYDAJ	VYBER	600	46368	\N	\N	\N
946063	3225	1995-01-20	VYDAJ	VYBER	3600	42508	\N	\N	\N
946064	3225	1995-02-28	VYDAJ	VYBER	4800	28812	\N	\N	\N
946065	3225	1995-11-03	VYDAJ	VYBER	2400	48340	\N	\N	\N
946066	3225	1995-11-29	VYDAJ	VYBER	5880	40488	\N	\N	\N
946067	3225	1996-05-24	VYDAJ	VYBER	5040	40678	\N	\N	\N
946068	3225	1996-07-21	VYDAJ	VYBER	5880	37944	\N	\N	\N
946069	3225	1996-08-13	VYDAJ	VYBER	4320	25743	\N	\N	\N
946070	3225	1996-03-10	VYDAJ	VYBER	2880	30997	\N	\N	\N
946071	3225	1996-07-04	VYDAJ	VYBER	3240	40796	\N	\N	\N
946072	3225	1996-04-04	VYDAJ	VYBER	2280	41539	\N	\N	\N
946073	3225	1996-04-24	VYDAJ	VYBER	3240	44127	\N	\N	\N
946074	3225	1996-10-29	VYDAJ	VYBER	840	44215	\N	\N	\N
946075	3225	1997-11-26	VYDAJ	VYBER	2640	79957	\N	\N	\N
946076	3225	1997-02-15	VYDAJ	VYBER	3000	52410	\N	\N	\N
946077	3225	1997-02-10	VYDAJ	VYBER	4200	28752	\N	\N	\N
946078	3225	1997-03-21	VYDAJ	VYBER	3720	48292	\N	\N	\N
946079	3225	1997-06-01	VYDAJ	VYBER	5040	50459	\N	\N	\N
946080	3225	1997-04-23	VYDAJ	VYBER	5040	46677	\N	\N	\N
946081	3225	1998-10-04	VYDAJ	VYBER	4800	91635	\N	\N	\N
946082	3225	1998-04-18	VYDAJ	VYBER	5760	76523	\N	\N	\N
946083	3225	1998-03-28	VYDAJ	VYBER	4320	78646	\N	\N	\N
946099	3225	1994-03-31	VYDAJ	VYBER	15	41872	SLUZBY	\N	\N
946100	3225	1994-04-30	VYDAJ	VYBER	15	54289	SLUZBY	\N	\N
946101	3225	1994-05-31	VYDAJ	VYBER	15	35838	SLUZBY	\N	\N
946102	3225	1994-06-30	VYDAJ	VYBER	15	29175	SLUZBY	\N	\N
946103	3225	1994-07-31	VYDAJ	VYBER	15	32336	SLUZBY	\N	\N
946104	3225	1994-08-31	VYDAJ	VYBER	15	33477	SLUZBY	\N	\N
946105	3225	1994-09-30	VYDAJ	VYBER	15	36453	SLUZBY	\N	\N
946106	3225	1994-10-31	VYDAJ	VYBER	15	37240	SLUZBY	\N	\N
946107	3225	1994-11-30	VYDAJ	VYBER	15	36728	SLUZBY	\N	\N
946108	3225	1994-12-31	VYDAJ	VYBER	15	42400	SLUZBY	\N	\N
946109	3225	1995-01-31	VYDAJ	VYBER	15	28245	SLUZBY	\N	\N
946110	3225	1995-02-28	VYDAJ	VYBER	15	28797	SLUZBY	\N	\N
946111	3225	1995-03-31	VYDAJ	VYBER	15	33654	SLUZBY	\N	\N
946112	3225	1995-04-30	VYDAJ	VYBER	15	35727	SLUZBY	\N	\N
946113	3225	1995-05-31	VYDAJ	VYBER	15	40011	SLUZBY	\N	\N
946114	3225	1995-06-30	VYDAJ	VYBER	15	44655	SLUZBY	\N	\N
946115	3225	1995-07-31	VYDAJ	VYBER	15	42865	SLUZBY	\N	\N
946116	3225	1995-08-31	VYDAJ	VYBER	15	47176	SLUZBY	\N	\N
946117	3225	1995-09-30	VYDAJ	VYBER	15	50703	SLUZBY	\N	\N
946118	3225	1995-10-31	VYDAJ	VYBER	15	50740	SLUZBY	\N	\N
946119	3225	1995-11-30	VYDAJ	VYBER	15	40673	SLUZBY	\N	\N
946120	3225	1995-12-31	VYDAJ	VYBER	15	42070	SLUZBY	\N	\N
946121	3225	1996-01-31	VYDAJ	VYBER	15	35927	SLUZBY	\N	\N
946122	3225	1996-02-29	VYDAJ	VYBER	15	41907	SLUZBY	\N	\N
946123	3225	1996-03-31	VYDAJ	VYBER	15	43819	SLUZBY	\N	\N
946124	3225	1996-04-30	VYDAJ	VYBER	15	44290	SLUZBY	\N	\N
946125	3225	1996-05-31	VYDAJ	VYBER	15	40852	SLUZBY	\N	\N
946126	3225	1996-06-30	VYDAJ	VYBER	15	44036	SLUZBY	\N	\N
946127	3225	1996-07-31	VYDAJ	VYBER	15	38093	SLUZBY	\N	\N
946128	3225	1996-08-31	VYDAJ	VYBER	15	38145	SLUZBY	\N	\N
946129	3225	1996-09-30	VYDAJ	VYBER	15	42027	SLUZBY	\N	\N
946130	3225	1996-10-31	VYDAJ	VYBER	15	44383	SLUZBY	\N	\N
946131	3225	1996-11-30	VYDAJ	VYBER	15	50595	SLUZBY	\N	\N
946132	3225	1996-12-31	VYDAJ	VYBER	15	57555	SLUZBY	\N	\N
946133	3225	1997-01-31	VYDAJ	VYBER	15	40982	SLUZBY	\N	\N
946134	3225	1997-02-28	VYDAJ	VYBER	15	52584	SLUZBY	\N	\N
946135	3225	1997-03-31	VYDAJ	VYBER	15	48489	SLUZBY	\N	\N
946136	3225	1997-04-30	VYDAJ	VYBER	15	46864	SLUZBY	\N	\N
946137	3225	1997-05-31	VYDAJ	VYBER	15	55499	SLUZBY	\N	\N
946138	3225	1997-06-30	VYDAJ	VYBER	15	42557	SLUZBY	\N	\N
946139	3225	1997-07-31	VYDAJ	VYBER	15	63395	SLUZBY	\N	\N
946140	3225	1997-08-31	VYDAJ	VYBER	15	76299	SLUZBY	\N	\N
946141	3225	1997-09-30	VYDAJ	VYBER	15	79527	SLUZBY	\N	\N
946142	3225	1997-10-31	VYDAJ	VYBER	15	83069	SLUZBY	\N	\N
946143	3225	1997-11-30	VYDAJ	VYBER	15	80271	SLUZBY	\N	\N
946144	3225	1997-12-31	VYDAJ	VYBER	15	89269	SLUZBY	\N	\N
946145	3225	1998-01-31	VYDAJ	VYBER	15	72626	SLUZBY	\N	\N
946146	3225	1998-02-28	VYDAJ	VYBER	15	78738	SLUZBY	\N	\N
946147	3225	1998-03-31	VYDAJ	VYBER	15	78955	SLUZBY	\N	\N
946148	3225	1998-04-30	VYDAJ	VYBER	15	76819	SLUZBY	\N	\N
946149	3225	1998-05-31	VYDAJ	VYBER	15	84658	SLUZBY	\N	\N
946150	3225	1998-06-30	VYDAJ	VYBER	15	82029	SLUZBY	\N	\N
946151	3225	1998-07-31	VYDAJ	VYBER	15	87881	SLUZBY	\N	\N
946152	3225	1998-08-31	VYDAJ	VYBER	15	92452	SLUZBY	\N	\N
946153	3225	1998-09-30	VYDAJ	VYBER	15	96435	SLUZBY	\N	\N
946154	3225	1998-10-31	VYDAJ	VYBER	15	101338	SLUZBY	\N	\N
946155	3225	1998-11-30	VYDAJ	VYBER	15	105256	SLUZBY	\N	\N
946156	3225	1993-12-01	PRIJEM	VKLAD	3200	23706	\N	\N	\N
946157	3225	1993-12-31	VYDAJ	VYBER	16600	37658	\N	\N	\N
946158	3225	1994-01-30	VYDAJ	VYBER	15900	42016	\N	\N	\N
946159	3225	1994-03-01	VYDAJ	VYBER	20500	42107	\N	\N	\N
946160	3225	1994-03-31	VYDAJ	VYBER	20700	41886	\N	\N	\N
946161	3225	1994-04-30	VYDAJ	VYBER	14700	39589	\N	\N	\N
946162	3225	1994-05-30	VYDAJ	VYBER	13900	37917	\N	\N	\N
946163	3225	1994-06-29	VYDAJ	VYBER	1500	29015	\N	\N	\N
946164	3225	1994-07-29	VYDAJ	VYBER	9200	32203	\N	\N	\N
946165	3225	1994-08-28	VYDAJ	VYBER	3400	33364	\N	\N	\N
946166	3225	1994-09-27	VYDAJ	VYBER	9400	36305	\N	\N	\N
946167	3225	1994-10-27	VYDAJ	VYBER	11600	37081	\N	\N	\N
946168	3225	1994-11-26	VYDAJ	VYBER	12900	36568	\N	\N	\N
946169	3225	1994-12-26	VYDAJ	VYBER	13500	42225	\N	\N	\N
946170	3225	1995-01-25	VYDAJ	VYBER	7800	34708	\N	\N	\N
946171	3225	1995-02-24	VYDAJ	VYBER	7000	33473	\N	\N	\N
946172	3225	1995-03-26	VYDAJ	VYBER	7500	33525	\N	\N	\N
946173	3225	1995-04-25	VYDAJ	VYBER	10300	35582	\N	\N	\N
946174	3225	1995-05-25	VYDAJ	VYBER	8100	39855	\N	\N	\N
946175	3225	1995-06-24	VYDAJ	VYBER	17900	44468	\N	\N	\N
946176	3225	1995-07-24	VYDAJ	VYBER	11200	42683	\N	\N	\N
946177	3225	1995-08-23	VYDAJ	VYBER	8100	46993	\N	\N	\N
946178	3225	1995-09-22	VYDAJ	VYBER	8900	50504	\N	\N	\N
946179	3225	1995-10-22	VYDAJ	VYBER	12400	50531	\N	\N	\N
946180	3225	1995-11-21	VYDAJ	VYBER	13600	46968	\N	\N	\N
946181	3225	1995-12-21	VYDAJ	VYBER	11100	47770	\N	\N	\N
946182	3225	1996-01-20	VYDAJ	VYBER	4000	44538	\N	\N	\N
946183	3225	1996-02-19	VYDAJ	VYBER	6400	41755	\N	\N	\N
946184	3225	1996-03-20	VYDAJ	VYBER	7600	43655	\N	\N	\N
946185	3225	1996-04-19	VYDAJ	VYBER	6400	47367	\N	\N	\N
946186	3225	1996-05-19	VYDAJ	VYBER	10800	45718	\N	\N	\N
946187	3225	1996-06-18	VYDAJ	VYBER	9100	43869	\N	\N	\N
946188	3225	1996-07-18	VYDAJ	VYBER	9200	43824	\N	\N	\N
946189	3225	1996-08-17	VYDAJ	VYBER	8000	38001	\N	\N	\N
946190	3225	1996-09-16	VYDAJ	VYBER	8500	41873	\N	\N	\N
946191	3225	1996-10-16	VYDAJ	VYBER	9200	45055	\N	\N	\N
946192	3225	1996-11-15	VYDAJ	VYBER	6200	50411	\N	\N	\N
946193	3225	1996-12-15	VYDAJ	VYBER	14000	57352	\N	\N	\N
946194	3225	1997-01-14	VYDAJ	VYBER	4100	45243	\N	\N	\N
946195	3225	1997-02-13	PRIJEM	VKLAD	6400	35152	\N	\N	\N
946196	3225	1997-03-15	VYDAJ	VYBER	12800	52012	\N	\N	\N
946197	3225	1997-04-14	VYDAJ	VYBER	9000	51717	\N	\N	\N
946198	3225	1997-05-14	VYDAJ	VYBER	3800	55292	\N	\N	\N
946199	3225	1997-06-13	PRIJEM	VKLAD	4100	46529	\N	\N	\N
946200	3225	1997-07-13	PRIJEM	VKLAD	8400	42927	\N	\N	\N
946201	3225	1997-08-12	PRIJEM	VKLAD	400	55765	\N	\N	\N
946202	3225	1997-09-11	VYDAJ	VYBER	9300	58969	\N	\N	\N
946203	3225	1997-10-11	VYDAJ	VYBER	9000	62497	\N	\N	\N
946204	3225	1997-11-10	VYDAJ	VYBER	12700	62339	\N	\N	\N
946205	3225	1997-12-10	VYDAJ	VYBER	11600	58561	\N	\N	\N
946206	3225	1998-01-09	VYDAJ	VYBER	10700	65499	\N	\N	\N
946207	3225	1998-02-08	VYDAJ	VYBER	6400	58196	\N	\N	\N
946208	3225	1998-03-10	VYDAJ	VYBER	8000	62708	\N	\N	\N
946209	3225	1998-04-09	VYDAJ	VYBER	8900	62025	\N	\N	\N
946210	3225	1998-05-09	VYDAJ	VYBER	4700	64089	\N	\N	\N
946211	3225	1998-06-08	VYDAJ	VYBER	10600	66028	\N	\N	\N
946212	3225	1998-07-08	VYDAJ	VYBER	6700	67299	\N	\N	\N
946213	3225	1998-08-07	VYDAJ	VYBER	8000	71851	\N	\N	\N
946214	3225	1998-09-06	VYDAJ	VYBER	8600	75822	\N	\N	\N
946215	3225	1998-10-06	VYDAJ	VYBER	2900	80705	\N	\N	\N
946216	3225	1998-11-05	VYDAJ	VYBER	8700	84608	\N	\N	\N
946217	3225	1998-12-05	VYDAJ	VYBER	12800	84426	\N	\N	\N
946218	3225	1998-12-14	VYDAJ	VYBER	29200	85613	\N	\N	\N
946281	3226	1994-08-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
946290	3226	1994-09-08	PRIJEM	VKLAD	4197	5197	\N	\N	\N
946291	3226	1994-10-08	PRIJEM	VKLAD	4197	18802	\N	\N	\N
946292	3226	1994-11-08	PRIJEM	VKLAD	4197	26565	\N	\N	\N
946293	3226	1994-12-08	PRIJEM	VKLAD	6296	31356	\N	\N	\N
946294	3226	1995-01-08	PRIJEM	VKLAD	4197	31359	\N	\N	\N
946295	3226	1995-02-08	PRIJEM	VKLAD	4197	19141	\N	\N	\N
946296	3226	1995-03-08	PRIJEM	VKLAD	4197	24995	\N	\N	\N
946297	3226	1995-04-08	PRIJEM	VKLAD	4197	27368	\N	\N	\N
946298	3226	1995-05-08	PRIJEM	VKLAD	4197	27352	\N	\N	\N
946299	3226	1995-06-08	PRIJEM	VKLAD	6296	28629	\N	\N	\N
946300	3226	1995-07-08	PRIJEM	VKLAD	4197	24804	\N	\N	\N
946301	3226	1995-08-08	PRIJEM	VKLAD	4197	29984	\N	\N	\N
946302	3226	1995-09-08	PRIJEM	VKLAD	4197	30081	\N	\N	\N
946303	3226	1995-10-08	PRIJEM	VKLAD	4197	34681	\N	\N	\N
946304	3226	1995-11-08	PRIJEM	VKLAD	4197	32992	\N	\N	\N
946305	3226	1995-12-08	PRIJEM	VKLAD	6296	33893	\N	\N	\N
946306	3226	1996-01-08	PRIJEM	VKLAD	4197	30600	\N	\N	\N
946307	3226	1996-02-08	PRIJEM	VKLAD	4197	18684	\N	\N	\N
946308	3226	1996-03-08	PRIJEM	VKLAD	4197	24339	\N	\N	\N
946309	3226	1996-04-08	PRIJEM	VKLAD	4197	22310	\N	\N	\N
946310	3226	1996-05-08	PRIJEM	VKLAD	4197	23277	\N	\N	\N
946311	3226	1996-06-08	PRIJEM	VKLAD	6296	24234	\N	\N	\N
946312	3226	1996-07-08	PRIJEM	VKLAD	4197	26905	\N	\N	\N
946313	3226	1996-08-08	PRIJEM	VKLAD	4197	26785	\N	\N	\N
946314	3226	1996-09-08	PRIJEM	VKLAD	4197	27365	\N	\N	\N
946315	3226	1996-10-08	PRIJEM	VKLAD	4197	27046	\N	\N	\N
946316	3226	1996-11-08	PRIJEM	VKLAD	4197	25527	\N	\N	\N
946317	3226	1996-12-08	PRIJEM	VKLAD	6296	24506	\N	\N	\N
946318	3226	1997-01-08	PRIJEM	VKLAD	4197	18661	\N	\N	\N
946319	3226	1997-02-08	PRIJEM	VKLAD	4197	17705	\N	\N	\N
946320	3226	1997-03-08	PRIJEM	VKLAD	4197	19852	\N	\N	\N
946321	3226	1997-04-08	PRIJEM	VKLAD	4197	20503	\N	\N	\N
946322	3226	1997-05-08	PRIJEM	VKLAD	4197	16847	\N	\N	\N
946323	3226	1997-06-08	PRIJEM	VKLAD	6296	22391	\N	\N	\N
946324	3226	1997-07-08	PRIJEM	VKLAD	4197	21446	\N	\N	\N
946325	3226	1997-08-08	PRIJEM	VKLAD	4197	22405	\N	\N	\N
946326	3226	1997-09-08	PRIJEM	VKLAD	4197	21362	\N	\N	\N
946327	3226	1997-10-08	PRIJEM	VKLAD	4197	25830	\N	\N	\N
946328	3226	1997-11-08	PRIJEM	VKLAD	4197	24600	\N	\N	\N
946329	3226	1997-12-08	PRIJEM	VKLAD	6296	25769	\N	\N	\N
946330	3226	1998-01-08	PRIJEM	VKLAD	4197	22541	\N	\N	\N
946331	3226	1998-02-08	PRIJEM	VKLAD	4197	17890	\N	\N	\N
946332	3226	1998-03-08	PRIJEM	VKLAD	4197	18433	\N	\N	\N
946333	3226	1998-04-08	PRIJEM	VKLAD	4197	20081	\N	\N	\N
946334	3226	1998-05-08	PRIJEM	VKLAD	4197	20632	\N	\N	\N
946335	3226	1998-06-08	PRIJEM	VKLAD	6296	21580	\N	\N	\N
946336	3226	1998-07-08	PRIJEM	VKLAD	4197	20929	\N	\N	\N
946337	3226	1998-08-08	PRIJEM	VKLAD	4197	19483	\N	\N	\N
946338	3226	1998-09-08	PRIJEM	VKLAD	4197	21037	\N	\N	\N
946339	3226	1998-10-08	PRIJEM	VKLAD	4197	19885	\N	\N	\N
946340	3226	1998-11-08	PRIJEM	VKLAD	4197	23438	\N	\N	\N
946341	3226	1998-12-08	PRIJEM	VKLAD	6296	30004	\N	\N	\N
946354	3226	1995-01-13	VYDAJ	PREVOD NA UCET	450	25061	SIPO	CD	54645806
946355	3226	1995-02-13	VYDAJ	PREVOD NA UCET	450	16343	SIPO	CD	54645806
946356	3226	1995-03-13	VYDAJ	PREVOD NA UCET	450	22197	SIPO	CD	54645806
946357	3226	1995-04-13	VYDAJ	PREVOD NA UCET	450	24570	SIPO	CD	54645806
946358	3226	1995-05-13	VYDAJ	PREVOD NA UCET	450	24554	SIPO	CD	54645806
946359	3226	1995-06-13	VYDAJ	PREVOD NA UCET	450	25831	SIPO	CD	54645806
946360	3226	1995-07-13	VYDAJ	PREVOD NA UCET	450	22006	SIPO	CD	54645806
946361	3226	1995-08-13	VYDAJ	PREVOD NA UCET	450	27186	SIPO	CD	54645806
946362	3226	1995-09-13	VYDAJ	PREVOD NA UCET	450	27283	SIPO	CD	54645806
946363	3226	1995-10-13	VYDAJ	PREVOD NA UCET	450	31883	SIPO	CD	54645806
946364	3226	1995-11-13	VYDAJ	PREVOD NA UCET	450	27594	SIPO	CD	54645806
946365	3226	1995-12-13	VYDAJ	PREVOD NA UCET	450	31095	SIPO	CD	54645806
946366	3226	1996-01-13	VYDAJ	PREVOD NA UCET	450	27802	SIPO	CD	54645806
946367	3226	1996-02-13	VYDAJ	PREVOD NA UCET	450	15886	SIPO	CD	54645806
946368	3226	1996-03-13	VYDAJ	PREVOD NA UCET	450	21541	SIPO	CD	54645806
946369	3226	1996-04-13	VYDAJ	PREVOD NA UCET	450	19512	SIPO	CD	54645806
946370	3226	1996-05-13	VYDAJ	PREVOD NA UCET	450	15679	SIPO	CD	54645806
946371	3226	1996-06-13	VYDAJ	PREVOD NA UCET	450	21436	SIPO	CD	54645806
946372	3226	1996-07-13	VYDAJ	PREVOD NA UCET	450	24107	SIPO	CD	54645806
946373	3226	1996-08-13	VYDAJ	PREVOD NA UCET	450	23987	SIPO	CD	54645806
946374	3226	1996-09-13	VYDAJ	PREVOD NA UCET	450	24567	SIPO	CD	54645806
946463	3226	1995-06-13	VYDAJ	VYBER	6100	19731	\N	\N	\N
946375	3226	1996-10-13	VYDAJ	PREVOD NA UCET	450	24248	SIPO	CD	54645806
946376	3226	1996-11-13	VYDAJ	PREVOD NA UCET	450	22729	SIPO	CD	54645806
946377	3226	1996-12-13	VYDAJ	PREVOD NA UCET	450	21008	SIPO	CD	54645806
946378	3226	1997-01-13	VYDAJ	PREVOD NA UCET	450	13163	SIPO	CD	54645806
946379	3226	1997-02-13	VYDAJ	PREVOD NA UCET	450	15607	SIPO	CD	54645806
946380	3226	1997-03-13	VYDAJ	PREVOD NA UCET	450	17054	SIPO	CD	54645806
946381	3226	1997-04-13	VYDAJ	PREVOD NA UCET	450	17705	SIPO	CD	54645806
946382	3226	1997-05-13	VYDAJ	PREVOD NA UCET	450	14049	SIPO	CD	54645806
946383	3226	1997-06-13	VYDAJ	PREVOD NA UCET	450	19593	SIPO	CD	54645806
946384	3226	1997-07-13	VYDAJ	PREVOD NA UCET	450	18648	SIPO	CD	54645806
946385	3226	1997-08-13	VYDAJ	PREVOD NA UCET	450	17107	SIPO	CD	54645806
946386	3226	1997-09-13	VYDAJ	PREVOD NA UCET	450	21564	SIPO	CD	54645806
946387	3226	1997-10-13	VYDAJ	PREVOD NA UCET	450	20332	SIPO	CD	54645806
946388	3226	1997-11-13	VYDAJ	PREVOD NA UCET	450	20802	SIPO	CD	54645806
946389	3226	1997-12-13	VYDAJ	PREVOD NA UCET	450	21071	SIPO	CD	54645806
946390	3226	1998-01-13	VYDAJ	PREVOD NA UCET	450	16443	SIPO	CD	54645806
946391	3226	1998-02-13	VYDAJ	PREVOD NA UCET	450	14192	SIPO	CD	54645806
946392	3226	1998-03-13	VYDAJ	PREVOD NA UCET	450	15835	SIPO	CD	54645806
946393	3226	1998-04-13	VYDAJ	PREVOD NA UCET	450	16383	SIPO	CD	54645806
946394	3226	1998-05-13	VYDAJ	PREVOD NA UCET	450	15234	SIPO	CD	54645806
946395	3226	1998-06-13	VYDAJ	PREVOD NA UCET	450	15982	SIPO	CD	54645806
946396	3226	1998-07-13	VYDAJ	PREVOD NA UCET	450	18131	SIPO	CD	54645806
946397	3226	1998-08-13	VYDAJ	PREVOD NA UCET	450	16685	SIPO	CD	54645806
946398	3226	1998-09-13	VYDAJ	PREVOD NA UCET	450	14639	SIPO	CD	54645806
946399	3226	1998-10-13	VYDAJ	PREVOD NA UCET	450	17087	SIPO	CD	54645806
946400	3226	1998-11-13	VYDAJ	PREVOD NA UCET	450	20640	SIPO	CD	54645806
946401	3226	1998-12-13	VYDAJ	PREVOD NA UCET	450	27206	SIPO	CD	54645806
946414	3226	1995-01-11	VYDAJ	PREVOD NA UCET	2348	26511	 	UV	33583200
946415	3226	1995-02-11	VYDAJ	PREVOD NA UCET	2348	16793	 	UV	33583200
946416	3226	1995-03-11	VYDAJ	PREVOD NA UCET	2348	22647	 	UV	33583200
946417	3226	1995-04-11	VYDAJ	PREVOD NA UCET	2348	25020	 	UV	33583200
946418	3226	1995-05-11	VYDAJ	PREVOD NA UCET	2348	25004	 	UV	33583200
946419	3226	1995-06-11	VYDAJ	PREVOD NA UCET	2348	26281	 	UV	33583200
946420	3226	1995-07-11	VYDAJ	PREVOD NA UCET	2348	22456	 	UV	33583200
946421	3226	1995-08-11	VYDAJ	PREVOD NA UCET	2348	27636	 	UV	33583200
946422	3226	1995-09-11	VYDAJ	PREVOD NA UCET	2348	27733	 	UV	33583200
946423	3226	1995-10-11	VYDAJ	PREVOD NA UCET	2348	32333	 	UV	33583200
946424	3226	1995-11-11	VYDAJ	PREVOD NA UCET	2348	30644	 	UV	33583200
946425	3226	1995-12-11	VYDAJ	PREVOD NA UCET	2348	31545	 	UV	33583200
946426	3226	1996-01-11	VYDAJ	PREVOD NA UCET	2348	28252	 	UV	33583200
946427	3226	1996-02-11	VYDAJ	PREVOD NA UCET	2348	16336	 	UV	33583200
946428	3226	1996-03-11	VYDAJ	PREVOD NA UCET	2348	21991	 	UV	33583200
946429	3226	1996-04-11	VYDAJ	PREVOD NA UCET	2348	19962	 	UV	33583200
946430	3226	1996-05-11	VYDAJ	PREVOD NA UCET	2348	16129	 	UV	33583200
946431	3226	1996-06-11	VYDAJ	PREVOD NA UCET	2348	21886	 	UV	33583200
946432	3226	1996-07-11	VYDAJ	PREVOD NA UCET	2348	24557	 	UV	33583200
946433	3226	1996-08-11	VYDAJ	PREVOD NA UCET	2348	24437	 	UV	33583200
946434	3226	1996-09-11	VYDAJ	PREVOD NA UCET	2348	25017	 	UV	33583200
946435	3226	1996-10-11	VYDAJ	PREVOD NA UCET	2348	24698	 	UV	33583200
946436	3226	1996-11-11	VYDAJ	PREVOD NA UCET	2348	23179	 	UV	33583200
946437	3226	1996-12-11	VYDAJ	PREVOD NA UCET	2348	22158	 	UV	33583200
946438	3226	1997-01-11	VYDAJ	PREVOD NA UCET	2348	13613	 	UV	33583200
946439	3226	1997-02-11	VYDAJ	PREVOD NA UCET	2348	15357	 	UV	33583200
946440	3226	1997-03-11	VYDAJ	PREVOD NA UCET	2348	17504	 	UV	33583200
946441	3226	1997-04-11	VYDAJ	PREVOD NA UCET	2348	18155	 	UV	33583200
946442	3226	1997-05-11	VYDAJ	PREVOD NA UCET	2348	14499	 	UV	33583200
946443	3226	1997-06-11	VYDAJ	PREVOD NA UCET	2348	20043	 	UV	33583200
946444	3226	1997-07-11	VYDAJ	PREVOD NA UCET	2348	19098	 	UV	33583200
946445	3226	1997-08-11	VYDAJ	PREVOD NA UCET	2348	20057	 	UV	33583200
946446	3226	1997-09-11	VYDAJ	PREVOD NA UCET	2348	22014	 	UV	33583200
946447	3226	1997-10-11	VYDAJ	PREVOD NA UCET	2348	20782	 	UV	33583200
946448	3226	1997-11-11	VYDAJ	PREVOD NA UCET	2348	21252	 	UV	33583200
946449	3226	1997-12-11	VYDAJ	PREVOD NA UCET	2348	21521	 	UV	33583200
946450	3226	1998-01-11	VYDAJ	PREVOD NA UCET	2348	16893	 	UV	33583200
946451	3226	1998-02-11	VYDAJ	PREVOD NA UCET	2348	14642	 	UV	33583200
946452	3226	1998-03-11	VYDAJ	PREVOD NA UCET	2348	16285	 	UV	33583200
946453	3226	1998-04-11	VYDAJ	PREVOD NA UCET	2348	16833	 	UV	33583200
946454	3226	1998-05-11	VYDAJ	PREVOD NA UCET	2348	15684	 	UV	33583200
946455	3226	1998-06-11	VYDAJ	PREVOD NA UCET	2348	16432	 	UV	33583200
946456	3226	1998-07-11	VYDAJ	PREVOD NA UCET	2348	18581	 	UV	33583200
946457	3226	1998-08-11	VYDAJ	PREVOD NA UCET	2348	17135	 	UV	33583200
946458	3226	1998-09-11	VYDAJ	PREVOD NA UCET	2348	15089	 	UV	33583200
946459	3226	1998-10-11	VYDAJ	PREVOD NA UCET	2348	17537	 	UV	33583200
946460	3226	1998-11-11	VYDAJ	PREVOD NA UCET	2348	21090	 	UV	33583200
946461	3226	1998-12-11	VYDAJ	PREVOD NA UCET	2348	27656	 	UV	33583200
946468	3226	1995-01-26	VYDAJ	VYBER	2100	19861	\N	\N	\N
946469	3226	1996-01-20	VYDAJ	VYBER	7900	23102	\N	\N	\N
946473	3226	1995-12-03	VYDAJ	VYBER	600	27597	\N	\N	\N
946474	3226	1996-12-12	VYDAJ	VYBER	700	21458	\N	\N	\N
946475	3226	1997-12-03	VYDAJ	VYBER	1400	19473	\N	\N	\N
946476	3226	1998-12-18	VYDAJ	VYBER	1500	25706	\N	\N	\N
946483	3226	1995-01-09	VYDAJ	VYBER	2500	28859	\N	\N	\N
946484	3226	1995-01-29	VYDAJ	VYBER	2700	14861	\N	\N	\N
946486	3226	1995-01-16	VYDAJ	VYBER	2300	22761	\N	\N	\N
946487	3226	1995-01-28	VYDAJ	VYBER	2300	17561	\N	\N	\N
946488	3226	1995-01-23	VYDAJ	VYBER	1400	21361	\N	\N	\N
946489	3226	1996-01-22	VYDAJ	VYBER	1900	18902	\N	\N	\N
946490	3226	1996-01-02	VYDAJ	VYBER	900	26403	\N	\N	\N
946491	3226	1996-01-25	VYDAJ	VYBER	2600	14402	\N	\N	\N
946492	3226	1996-01-21	VYDAJ	VYBER	1700	21402	\N	\N	\N
946493	3226	1996-01-25	VYDAJ	VYBER	1900	17002	\N	\N	\N
946494	3226	1996-01-21	VYDAJ	VYBER	600	20802	\N	\N	\N
946495	3226	1997-01-08	VYDAJ	VYBER	2700	15961	\N	\N	\N
946500	3226	1997-01-01	VYDAJ	VYBER	1000	14464	\N	\N	\N
946501	3226	1998-01-01	VYDAJ	VYBER	700	18344	\N	\N	\N
946504	3226	1998-01-01	VYDAJ	VYBER	2100	19044	\N	\N	\N
946514	3226	1995-08-02	VYDAJ	VYBER	1500	25787	\N	\N	\N
946515	3226	1995-01-11	VYDAJ	VYBER	1000	25511	\N	\N	\N
946516	3226	1995-06-19	VYDAJ	VYBER	4900	14831	\N	\N	\N
946517	3226	1995-11-13	VYDAJ	VYBER	2600	28044	\N	\N	\N
946518	3226	1995-05-17	VYDAJ	VYBER	4100	20454	\N	\N	\N
946519	3226	1995-03-21	VYDAJ	VYBER	3400	18797	\N	\N	\N
946521	3226	1996-11-03	VYDAJ	VYBER	2100	21330	\N	\N	\N
946522	3226	1996-05-09	VYDAJ	VYBER	4800	18477	\N	\N	\N
946523	3226	1996-04-06	VYDAJ	VYBER	2700	18113	\N	\N	\N
946524	3226	1996-11-15	VYDAJ	VYBER	4800	18129	\N	\N	\N
946529	3226	1997-04-13	VYDAJ	VYBER	2900	14805	\N	\N	\N
946532	3226	1998-07-20	VYDAJ	VYBER	1800	16331	\N	\N	\N
946533	3226	1998-01-14	VYDAJ	VYBER	2800	13643	\N	\N	\N
946534	3226	1998-09-08	VYDAJ	VYBER	3600	17437	\N	\N	\N
946535	3226	1998-06-14	VYDAJ	VYBER	500	15482	\N	\N	\N
946549	3226	1995-01-31	VYDAJ	VYBER	15	14944	SLUZBY	\N	\N
946550	3226	1995-02-28	VYDAJ	VYBER	15	20798	SLUZBY	\N	\N
946551	3226	1995-03-31	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
946552	3226	1995-04-30	VYDAJ	VYBER	15	23155	SLUZBY	\N	\N
946553	3226	1995-05-31	VYDAJ	VYBER	15	22333	SLUZBY	\N	\N
946554	3226	1995-06-30	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
946555	3226	1995-07-31	VYDAJ	VYBER	15	27287	SLUZBY	\N	\N
946556	3226	1995-08-31	VYDAJ	VYBER	15	25884	SLUZBY	\N	\N
946557	3226	1995-09-30	VYDAJ	VYBER	15	30484	SLUZBY	\N	\N
946558	3226	1995-10-31	VYDAJ	VYBER	15	28795	SLUZBY	\N	\N
946559	3226	1995-11-30	VYDAJ	VYBER	15	28197	SLUZBY	\N	\N
946560	3226	1995-12-31	VYDAJ	VYBER	15	27303	SLUZBY	\N	\N
946561	3226	1996-01-31	VYDAJ	VYBER	15	14487	SLUZBY	\N	\N
946562	3226	1996-02-29	VYDAJ	VYBER	15	20142	SLUZBY	\N	\N
946563	3226	1996-03-31	VYDAJ	VYBER	15	20813	SLUZBY	\N	\N
946564	3226	1996-04-30	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
946565	3226	1996-05-31	VYDAJ	VYBER	15	17938	SLUZBY	\N	\N
946566	3226	1996-06-30	VYDAJ	VYBER	15	22708	SLUZBY	\N	\N
946567	3226	1996-07-31	VYDAJ	VYBER	15	22588	SLUZBY	\N	\N
946568	3226	1996-08-31	VYDAJ	VYBER	15	23168	SLUZBY	\N	\N
946569	3226	1996-09-30	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
946570	3226	1996-10-31	VYDAJ	VYBER	15	23430	SLUZBY	\N	\N
946571	3226	1996-11-30	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
946572	3226	1996-12-31	VYDAJ	VYBER	15	15464	SLUZBY	\N	\N
946573	3226	1997-01-31	VYDAJ	VYBER	15	13508	SLUZBY	\N	\N
946574	3226	1997-02-28	VYDAJ	VYBER	15	15655	SLUZBY	\N	\N
946575	3226	1997-03-31	VYDAJ	VYBER	15	16306	SLUZBY	\N	\N
946576	3226	1997-04-30	VYDAJ	VYBER	15	12650	SLUZBY	\N	\N
946577	3226	1997-05-31	VYDAJ	VYBER	15	16095	SLUZBY	\N	\N
946578	3226	1997-06-30	VYDAJ	VYBER	15	17249	SLUZBY	\N	\N
946579	3226	1997-07-31	VYDAJ	VYBER	15	18208	SLUZBY	\N	\N
946580	3226	1997-08-31	VYDAJ	VYBER	15	17165	SLUZBY	\N	\N
946581	3226	1997-09-30	VYDAJ	VYBER	15	21633	SLUZBY	\N	\N
946582	3226	1997-10-31	VYDAJ	VYBER	15	20403	SLUZBY	\N	\N
946583	3226	1997-11-30	VYDAJ	VYBER	15	20873	SLUZBY	\N	\N
946584	3226	1997-12-31	VYDAJ	VYBER	15	21144	SLUZBY	\N	\N
946585	3226	1998-01-31	VYDAJ	VYBER	15	13693	SLUZBY	\N	\N
946586	3226	1998-02-28	VYDAJ	VYBER	15	14236	SLUZBY	\N	\N
946587	3226	1998-03-31	VYDAJ	VYBER	15	15884	SLUZBY	\N	\N
946588	3226	1998-04-30	VYDAJ	VYBER	15	16435	SLUZBY	\N	\N
946589	3226	1998-05-31	VYDAJ	VYBER	15	15284	SLUZBY	\N	\N
946590	3226	1998-06-30	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
946591	3226	1998-07-31	VYDAJ	VYBER	15	16386	SLUZBY	\N	\N
946592	3226	1998-08-31	VYDAJ	VYBER	15	16740	SLUZBY	\N	\N
946593	3226	1998-09-30	VYDAJ	VYBER	15	14688	SLUZBY	\N	\N
946594	3226	1998-10-31	VYDAJ	VYBER	15	17141	SLUZBY	\N	\N
946595	3226	1998-11-30	VYDAJ	VYBER	15	20708	SLUZBY	\N	\N
946596	3226	1994-09-27	PRIJEM	VKLAD	9400	14597	\N	\N	\N
946597	3226	1994-10-27	PRIJEM	VKLAD	3500	22302	\N	\N	\N
946598	3226	1994-11-26	VYDAJ	VYBER	1600	24965	\N	\N	\N
946599	3226	1994-12-26	VYDAJ	VYBER	4300	27056	\N	\N	\N
946600	3226	1995-01-25	PRIJEM	VKLAD	600	21961	\N	\N	\N
946601	3226	1995-02-24	PRIJEM	VKLAD	4400	20743	\N	\N	\N
946602	3226	1995-03-26	PRIJEM	VKLAD	4300	23097	\N	\N	\N
946603	3226	1995-04-25	VYDAJ	VYBER	1500	23070	\N	\N	\N
946604	3226	1995-05-25	PRIJEM	VKLAD	1800	22254	\N	\N	\N
946605	3226	1995-06-24	PRIJEM	VKLAD	5700	20531	\N	\N	\N
946606	3226	1995-07-24	PRIJEM	VKLAD	5200	27206	\N	\N	\N
946607	3226	1995-08-23	VYDAJ	VYBER	1400	25786	\N	\N	\N
946608	3226	1995-09-22	PRIJEM	VKLAD	3100	30383	\N	\N	\N
946609	3226	1995-10-22	VYDAJ	VYBER	3200	28683	\N	\N	\N
946610	3226	1995-11-21	PRIJEM	VKLAD	500	28094	\N	\N	\N
946611	3226	1995-12-21	VYDAJ	VYBER	3900	27195	\N	\N	\N
946612	3226	1996-01-20	PRIJEM	VKLAD	3200	31002	\N	\N	\N
946613	3226	1996-02-19	PRIJEM	VKLAD	4200	20086	\N	\N	\N
946614	3226	1996-03-20	VYDAJ	VYBER	800	20741	\N	\N	\N
946615	3226	1996-04-19	VYDAJ	VYBER	500	19012	\N	\N	\N
946616	3226	1996-05-19	PRIJEM	VKLAD	2200	17879	\N	\N	\N
946617	3226	1996-06-18	PRIJEM	VKLAD	1200	22636	\N	\N	\N
946618	3226	1996-07-18	VYDAJ	VYBER	1600	22507	\N	\N	\N
946619	3226	1996-08-17	VYDAJ	VYBER	900	23087	\N	\N	\N
946620	3226	1996-09-16	VYDAJ	VYBER	1800	22767	\N	\N	\N
946621	3226	1996-10-16	VYDAJ	VYBER	900	23348	\N	\N	\N
946622	3226	1996-11-15	PRIJEM	VKLAD	200	22929	\N	\N	\N
946623	3226	1996-12-15	VYDAJ	VYBER	5600	15408	\N	\N	\N
946624	3226	1997-01-14	PRIJEM	VKLAD	300	13463	\N	\N	\N
946625	3226	1997-02-13	PRIJEM	VKLAD	700	16057	\N	\N	\N
946626	3226	1997-03-15	VYDAJ	VYBER	800	16254	\N	\N	\N
946627	3226	1997-04-14	VYDAJ	VYBER	2200	12605	\N	\N	\N
946628	3226	1997-05-14	PRIJEM	VKLAD	2000	16049	\N	\N	\N
946629	3226	1997-06-13	VYDAJ	VYBER	2400	17193	\N	\N	\N
946630	3226	1997-07-13	VYDAJ	VYBER	500	18148	\N	\N	\N
946631	3226	1997-08-12	VYDAJ	VYBER	2500	17557	\N	\N	\N
946632	3226	1997-09-11	PRIJEM	VKLAD	3000	24362	\N	\N	\N
946633	3226	1997-10-11	VYDAJ	VYBER	2700	23130	\N	\N	\N
946634	3226	1997-11-10	VYDAJ	VYBER	1000	23600	\N	\N	\N
946635	3226	1997-12-10	VYDAJ	VYBER	1900	23869	\N	\N	\N
946636	3226	1998-01-09	VYDAJ	VYBER	3300	19241	\N	\N	\N
946637	3226	1998-02-08	VYDAJ	VYBER	900	16990	\N	\N	\N
946638	3226	1998-03-10	PRIJEM	VKLAD	200	18633	\N	\N	\N
946639	3226	1998-04-09	VYDAJ	VYBER	900	19181	\N	\N	\N
946640	3226	1998-05-09	VYDAJ	VYBER	2600	18032	\N	\N	\N
946641	3226	1998-06-08	VYDAJ	VYBER	2800	18780	\N	\N	\N
946642	3226	1998-07-08	PRIJEM	VKLAD	1200	16732	\N	\N	\N
946643	3226	1998-08-07	VYDAJ	VYBER	1100	15286	\N	\N	\N
946644	3226	1998-09-06	PRIJEM	VKLAD	100	16840	\N	\N	\N
946645	3226	1998-10-06	PRIJEM	VKLAD	1000	15688	\N	\N	\N
946646	3226	1998-11-05	PRIJEM	VKLAD	2100	19241	\N	\N	\N
946647	3226	1998-12-05	PRIJEM	VKLAD	3000	23708	\N	\N	\N
946700	3227	1996-06-24	PRIJEM	VKLAD	300	300	\N	\N	\N
946707	3227	1996-07-13	PRIJEM	VKLAD	24650	24950	\N	\N	\N
946708	3227	1996-08-13	PRIJEM	VKLAD	24650	49026	\N	\N	\N
946709	3227	1996-09-13	PRIJEM	VKLAD	24650	58389	\N	\N	\N
946710	3227	1996-10-13	PRIJEM	VKLAD	24650	62084	\N	\N	\N
946711	3227	1996-11-13	PRIJEM	VKLAD	24650	65093	\N	\N	\N
946712	3227	1996-12-13	PRIJEM	VKLAD	36975	62596	\N	\N	\N
946713	3227	1997-01-13	PRIJEM	VKLAD	24650	51361	\N	\N	\N
946714	3227	1997-02-13	PRIJEM	VKLAD	24650	49601	\N	\N	\N
946715	3227	1997-03-13	PRIJEM	VKLAD	24650	52235	\N	\N	\N
946716	3227	1997-04-13	PRIJEM	VKLAD	24650	51097	\N	\N	\N
946717	3227	1997-05-13	PRIJEM	VKLAD	24650	52437	\N	\N	\N
946718	3227	1997-06-13	PRIJEM	VKLAD	36975	45805	\N	\N	\N
946719	3227	1997-07-13	PRIJEM	VKLAD	24650	53219	\N	\N	\N
946720	3227	1997-08-13	PRIJEM	VKLAD	24650	59875	\N	\N	\N
946721	3227	1997-09-13	PRIJEM	VKLAD	24650	64052	\N	\N	\N
946722	3227	1997-10-13	PRIJEM	VKLAD	24650	68846	\N	\N	\N
946723	3227	1997-11-13	PRIJEM	VKLAD	24650	71255	\N	\N	\N
946724	3227	1997-12-13	PRIJEM	VKLAD	36975	83092	\N	\N	\N
946725	3227	1998-01-13	PRIJEM	VKLAD	24650	71025	\N	\N	\N
946726	3227	1998-02-13	PRIJEM	VKLAD	24650	63325	\N	\N	\N
946727	3227	1998-03-13	PRIJEM	VKLAD	24650	64703	\N	\N	\N
946728	3227	1998-04-13	PRIJEM	VKLAD	24650	67093	\N	\N	\N
946729	3227	1998-05-13	PRIJEM	VKLAD	24650	68188	\N	\N	\N
946730	3227	1998-06-13	PRIJEM	VKLAD	36975	78007	\N	\N	\N
946731	3227	1998-07-13	PRIJEM	VKLAD	24650	53893	\N	\N	\N
946732	3227	1998-08-13	PRIJEM	VKLAD	24650	63265	\N	\N	\N
946733	3227	1998-09-13	PRIJEM	VKLAD	24650	69956	\N	\N	\N
946734	3227	1998-10-13	PRIJEM	VKLAD	24650	75792	\N	\N	\N
946735	3227	1998-11-13	PRIJEM	VKLAD	24650	78258	\N	\N	\N
946736	3227	1998-12-13	PRIJEM	VKLAD	36975	95969	\N	\N	\N
946748	3227	1996-12-06	VYDAJ	PREVOD NA UCET	2743	30521	SIPO	IJ	27954143
946749	3227	1997-01-06	VYDAJ	PREVOD NA UCET	2743	29311	SIPO	IJ	27954143
946750	3227	1997-02-06	VYDAJ	PREVOD NA UCET	2743	24951	SIPO	IJ	27954143
946751	3227	1997-03-06	VYDAJ	PREVOD NA UCET	2743	27585	SIPO	IJ	27954143
946752	3227	1997-04-06	VYDAJ	PREVOD NA UCET	2743	26447	SIPO	IJ	27954143
946753	3227	1997-05-06	VYDAJ	PREVOD NA UCET	2743	27787	SIPO	IJ	27954143
946754	3227	1997-06-06	VYDAJ	PREVOD NA UCET	2743	8830	SIPO	IJ	27954143
946755	3227	1997-07-06	VYDAJ	PREVOD NA UCET	2743	28569	SIPO	IJ	27954143
946756	3227	1997-08-06	VYDAJ	PREVOD NA UCET	2743	35225	SIPO	IJ	27954143
946757	3227	1997-09-06	VYDAJ	PREVOD NA UCET	2743	39402	SIPO	IJ	27954143
946758	3227	1997-10-06	VYDAJ	PREVOD NA UCET	2743	44196	SIPO	IJ	27954143
946759	3227	1997-11-06	VYDAJ	PREVOD NA UCET	2743	46605	SIPO	IJ	27954143
946760	3227	1997-12-06	VYDAJ	PREVOD NA UCET	2743	46117	SIPO	IJ	27954143
946761	3227	1998-01-06	VYDAJ	PREVOD NA UCET	2743	47775	SIPO	IJ	27954143
946762	3227	1998-02-06	VYDAJ	PREVOD NA UCET	2743	38675	SIPO	IJ	27954143
946763	3227	1998-03-06	VYDAJ	PREVOD NA UCET	2743	40053	SIPO	IJ	27954143
946764	3227	1998-04-06	VYDAJ	PREVOD NA UCET	2743	42443	SIPO	IJ	27954143
946765	3227	1998-05-06	VYDAJ	PREVOD NA UCET	2743	43538	SIPO	IJ	27954143
946766	3227	1998-06-06	VYDAJ	PREVOD NA UCET	2743	41032	SIPO	IJ	27954143
946767	3227	1998-07-06	VYDAJ	PREVOD NA UCET	2743	29243	SIPO	IJ	27954143
946768	3227	1998-08-06	VYDAJ	PREVOD NA UCET	2743	38615	SIPO	IJ	27954143
946769	3227	1998-09-06	VYDAJ	PREVOD NA UCET	2743	45506	SIPO	IJ	27954143
946770	3227	1998-10-06	VYDAJ	PREVOD NA UCET	2743	56942	SIPO	IJ	27954143
946771	3227	1998-11-06	VYDAJ	PREVOD NA UCET	2743	62208	SIPO	IJ	27954143
946772	3227	1998-12-06	VYDAJ	PREVOD NA UCET	2743	67994	SIPO	IJ	27954143
946783	3227	1996-11-14	VYDAJ	PREVOD NA UCET	1662	63431	 	IJ	5033845
946784	3227	1996-12-14	VYDAJ	PREVOD NA UCET	1662	60934	 	IJ	5033845
946785	3227	1997-01-14	VYDAJ	PREVOD NA UCET	1662	49699	 	IJ	5033845
946786	3227	1997-02-14	VYDAJ	PREVOD NA UCET	1662	47939	 	IJ	5033845
946787	3227	1997-03-14	VYDAJ	PREVOD NA UCET	1662	50573	 	IJ	5033845
946788	3227	1997-04-14	VYDAJ	PREVOD NA UCET	1662	49435	 	IJ	5033845
946789	3227	1997-05-14	VYDAJ	PREVOD NA UCET	1662	50775	 	IJ	5033845
946790	3227	1997-06-14	VYDAJ	PREVOD NA UCET	1662	44143	 	IJ	5033845
946791	3227	1997-07-14	VYDAJ	PREVOD NA UCET	1662	51557	 	IJ	5033845
946792	3227	1997-08-14	VYDAJ	PREVOD NA UCET	1662	58213	 	IJ	5033845
946793	3227	1997-09-14	VYDAJ	PREVOD NA UCET	1662	62390	 	IJ	5033845
946794	3227	1997-10-14	VYDAJ	PREVOD NA UCET	1662	67184	 	IJ	5033845
946795	3227	1997-11-14	VYDAJ	PREVOD NA UCET	1662	69593	 	IJ	5033845
946796	3227	1997-12-14	VYDAJ	PREVOD NA UCET	1662	81430	 	IJ	5033845
946797	3227	1998-01-14	VYDAJ	PREVOD NA UCET	1662	69363	 	IJ	5033845
946798	3227	1998-02-14	VYDAJ	PREVOD NA UCET	1662	47363	 	IJ	5033845
946799	3227	1998-03-14	VYDAJ	PREVOD NA UCET	1662	63041	 	IJ	5033845
946800	3227	1998-04-14	VYDAJ	PREVOD NA UCET	1662	65431	 	IJ	5033845
946801	3227	1998-05-14	VYDAJ	PREVOD NA UCET	1662	66526	 	IJ	5033845
946802	3227	1998-06-14	VYDAJ	PREVOD NA UCET	1662	76345	 	IJ	5033845
946803	3227	1998-07-14	VYDAJ	PREVOD NA UCET	1662	52231	 	IJ	5033845
946804	3227	1998-08-14	VYDAJ	PREVOD NA UCET	1662	52803	 	IJ	5033845
946805	3227	1998-09-14	VYDAJ	PREVOD NA UCET	1662	68294	 	IJ	5033845
946806	3227	1998-10-14	VYDAJ	PREVOD NA UCET	1662	74130	 	IJ	5033845
946807	3227	1998-11-14	VYDAJ	PREVOD NA UCET	1662	76596	 	IJ	5033845
946808	3227	1998-12-14	VYDAJ	PREVOD NA UCET	1662	94307	 	IJ	5033845
946820	3227	1996-12-05	VYDAJ	PREVOD NA UCET	4742	33264	POJISTNE	KL	1780486
946821	3227	1997-01-05	VYDAJ	PREVOD NA UCET	4742	32054	POJISTNE	KL	1780486
946822	3227	1997-02-05	VYDAJ	PREVOD NA UCET	4742	27694	POJISTNE	KL	1780486
946823	3227	1997-03-05	VYDAJ	PREVOD NA UCET	4742	30328	POJISTNE	KL	1780486
946824	3227	1997-04-05	VYDAJ	PREVOD NA UCET	4742	29190	POJISTNE	KL	1780486
946825	3227	1997-05-05	VYDAJ	PREVOD NA UCET	4742	30530	POJISTNE	KL	1780486
946826	3227	1997-06-05	VYDAJ	PREVOD NA UCET	4742	11573	POJISTNE	KL	1780486
946827	3227	1997-07-05	VYDAJ	PREVOD NA UCET	4742	31312	POJISTNE	KL	1780486
946828	3227	1997-08-05	VYDAJ	PREVOD NA UCET	4742	37968	POJISTNE	KL	1780486
946829	3227	1997-09-05	VYDAJ	PREVOD NA UCET	4742	42145	POJISTNE	KL	1780486
946830	3227	1997-10-05	VYDAJ	PREVOD NA UCET	4742	46939	POJISTNE	KL	1780486
946831	3227	1997-11-05	VYDAJ	PREVOD NA UCET	4742	49348	POJISTNE	KL	1780486
946832	3227	1997-12-05	VYDAJ	PREVOD NA UCET	4742	48860	POJISTNE	KL	1780486
946833	3227	1998-01-05	VYDAJ	PREVOD NA UCET	4742	50518	POJISTNE	KL	1780486
946834	3227	1998-02-05	VYDAJ	PREVOD NA UCET	4742	41418	POJISTNE	KL	1780486
946835	3227	1998-03-05	VYDAJ	PREVOD NA UCET	4742	42796	POJISTNE	KL	1780486
946836	3227	1998-04-05	VYDAJ	PREVOD NA UCET	4742	45186	POJISTNE	KL	1780486
946837	3227	1998-05-05	VYDAJ	PREVOD NA UCET	4742	46281	POJISTNE	KL	1780486
946838	3227	1998-06-05	VYDAJ	PREVOD NA UCET	4742	43775	POJISTNE	KL	1780486
946839	3227	1998-07-05	VYDAJ	PREVOD NA UCET	4742	31986	POJISTNE	KL	1780486
946840	3227	1998-08-05	VYDAJ	PREVOD NA UCET	4742	41358	POJISTNE	KL	1780486
946841	3227	1998-09-05	VYDAJ	PREVOD NA UCET	4742	48249	POJISTNE	KL	1780486
946842	3227	1998-10-05	VYDAJ	PREVOD NA UCET	4742	59685	POJISTNE	KL	1780486
946843	3227	1998-11-05	VYDAJ	PREVOD NA UCET	4742	64951	POJISTNE	KL	1780486
946844	3227	1998-12-05	VYDAJ	PREVOD NA UCET	4742	70737	POJISTNE	KL	1780486
946882	3227	1997-06-03	VYDAJ	VYBER	18400	16315	\N	\N	\N
946883	3227	1998-06-19	VYDAJ	VYBER	21300	36545	\N	\N	\N
946884	3227	1996-12-05	VYDAJ	VYBER	2200	38006	\N	\N	\N
946885	3227	1997-12-26	VYDAJ	VYBER	1700	60430	\N	\N	\N
946886	3227	1998-12-03	VYDAJ	VYBER	1400	75479	\N	\N	\N
946893	3227	1997-01-24	VYDAJ	VYBER	2400	32899	\N	\N	\N
946894	3227	1997-01-07	VYDAJ	VYBER	1300	28011	\N	\N	\N
946895	3227	1997-01-18	VYDAJ	VYBER	1100	46999	\N	\N	\N
946896	3227	1997-01-08	VYDAJ	VYBER	1300	26711	\N	\N	\N
946897	3227	1997-01-05	VYDAJ	VYBER	1300	36796	\N	\N	\N
946898	3227	1997-01-18	VYDAJ	VYBER	1600	48099	\N	\N	\N
946899	3227	1998-01-22	VYDAJ	VYBER	1600	48363	\N	\N	\N
946900	3227	1998-01-09	VYDAJ	VYBER	1400	46375	\N	\N	\N
946901	3227	1998-01-24	VYDAJ	VYBER	1100	45963	\N	\N	\N
946902	3227	1998-01-05	VYDAJ	VYBER	2500	55260	\N	\N	\N
946903	3227	1998-01-19	VYDAJ	VYBER	1000	49963	\N	\N	\N
946904	3227	1998-01-23	VYDAJ	VYBER	1300	47063	\N	\N	\N
946905	3227	1996-12-12	VYDAJ	VYBER	4900	25621	\N	\N	\N
946910	3227	1997-05-22	VYDAJ	VYBER	4400	34575	\N	\N	\N
946911	3227	1997-03-21	VYDAJ	VYBER	1900	48673	\N	\N	\N
946912	3227	1997-01-26	VYDAJ	VYBER	600	32299	\N	\N	\N
946913	3227	1998-05-21	VYDAJ	VYBER	3000	48326	\N	\N	\N
946914	3227	1998-10-17	VYDAJ	VYBER	500	73630	\N	\N	\N
946915	3227	1998-10-23	VYDAJ	VYBER	4200	69430	\N	\N	\N
946916	3227	1998-09-24	VYDAJ	VYBER	4100	64194	\N	\N	\N
946917	3227	1998-01-01	VYDAJ	VYBER	2900	57760	\N	\N	\N
946929	3227	1996-11-30	VYDAJ	VYBER	15	40206	SLUZBY	\N	\N
946930	3227	1996-12-31	VYDAJ	VYBER	15	38096	SLUZBY	\N	\N
946931	3227	1997-01-31	VYDAJ	VYBER	15	32436	SLUZBY	\N	\N
946932	3227	1997-02-28	VYDAJ	VYBER	15	35070	SLUZBY	\N	\N
946933	3227	1997-03-31	VYDAJ	VYBER	15	33932	SLUZBY	\N	\N
946934	3227	1997-04-30	VYDAJ	VYBER	15	35272	SLUZBY	\N	\N
946935	3227	1997-05-31	VYDAJ	VYBER	15	34715	SLUZBY	\N	\N
946936	3227	1997-06-30	VYDAJ	VYBER	15	36054	SLUZBY	\N	\N
946937	3227	1997-07-31	VYDAJ	VYBER	15	42710	SLUZBY	\N	\N
946938	3227	1997-08-31	VYDAJ	VYBER	15	46887	SLUZBY	\N	\N
946939	3227	1997-09-30	VYDAJ	VYBER	15	51681	SLUZBY	\N	\N
946940	3227	1997-10-31	VYDAJ	VYBER	15	54090	SLUZBY	\N	\N
946941	3227	1997-11-30	VYDAJ	VYBER	15	53602	SLUZBY	\N	\N
946942	3227	1997-12-31	VYDAJ	VYBER	15	60660	SLUZBY	\N	\N
946943	3227	1998-01-31	VYDAJ	VYBER	15	46160	SLUZBY	\N	\N
946944	3227	1998-02-28	VYDAJ	VYBER	15	47538	SLUZBY	\N	\N
946945	3227	1998-03-31	VYDAJ	VYBER	15	49928	SLUZBY	\N	\N
946946	3227	1998-04-30	VYDAJ	VYBER	15	51023	SLUZBY	\N	\N
946947	3227	1998-05-31	VYDAJ	VYBER	15	48517	SLUZBY	\N	\N
946948	3227	1998-06-30	VYDAJ	VYBER	15	36728	SLUZBY	\N	\N
946949	3227	1998-07-31	VYDAJ	VYBER	15	46100	SLUZBY	\N	\N
946950	3227	1998-08-31	VYDAJ	VYBER	15	52991	SLUZBY	\N	\N
946951	3227	1998-09-30	VYDAJ	VYBER	15	64427	SLUZBY	\N	\N
946952	3227	1998-10-31	VYDAJ	VYBER	15	69693	SLUZBY	\N	\N
946953	3227	1998-11-30	VYDAJ	VYBER	15	76879	SLUZBY	\N	\N
946954	3227	1996-07-24	VYDAJ	VYBER	600	24350	\N	\N	\N
946955	3227	1996-08-23	VYDAJ	VYBER	15400	33626	\N	\N	\N
946956	3227	1996-09-22	VYDAJ	VYBER	21100	37289	\N	\N	\N
946957	3227	1996-10-22	VYDAJ	VYBER	21800	40284	\N	\N	\N
946958	3227	1996-11-21	VYDAJ	VYBER	23400	40031	\N	\N	\N
946959	3227	1996-12-21	VYDAJ	VYBER	23000	37934	\N	\N	\N
946960	3227	1997-01-20	VYDAJ	VYBER	11700	35299	\N	\N	\N
946961	3227	1997-02-19	VYDAJ	VYBER	13000	34939	\N	\N	\N
946962	3227	1997-03-21	VYDAJ	VYBER	14900	33773	\N	\N	\N
946963	3227	1997-04-20	VYDAJ	VYBER	14300	35135	\N	\N	\N
946964	3227	1997-05-20	VYDAJ	VYBER	11800	38975	\N	\N	\N
946965	3227	1997-06-19	VYDAJ	VYBER	8200	35943	\N	\N	\N
946966	3227	1997-07-19	VYDAJ	VYBER	9000	42557	\N	\N	\N
946967	3227	1997-08-18	VYDAJ	VYBER	11500	46713	\N	\N	\N
946968	3227	1997-09-17	VYDAJ	VYBER	10900	51490	\N	\N	\N
946969	3227	1997-10-17	VYDAJ	VYBER	13300	53884	\N	\N	\N
946970	3227	1997-11-16	VYDAJ	VYBER	16200	53393	\N	\N	\N
946971	3227	1997-12-16	VYDAJ	VYBER	19300	62130	\N	\N	\N
946972	3227	1998-01-15	VYDAJ	VYBER	18400	50963	\N	\N	\N
946973	3227	1998-02-14	VYDAJ	VYBER	14300	49025	\N	\N	\N
946974	3227	1998-03-16	VYDAJ	VYBER	13300	49741	\N	\N	\N
946975	3227	1998-04-15	VYDAJ	VYBER	14600	50831	\N	\N	\N
946976	3227	1998-05-15	VYDAJ	VYBER	15200	51326	\N	\N	\N
946977	3227	1998-06-14	VYDAJ	VYBER	18500	57845	\N	\N	\N
946978	3227	1998-07-14	VYDAJ	VYBER	6300	45931	\N	\N	\N
946979	3227	1998-08-13	VYDAJ	VYBER	8800	54465	\N	\N	\N
946980	3227	1998-09-12	VYDAJ	VYBER	200	45306	\N	\N	\N
946981	3227	1998-10-12	VYDAJ	VYBER	5800	51142	\N	\N	\N
946982	3227	1998-11-11	VYDAJ	VYBER	8600	53608	\N	\N	\N
946983	3227	1998-12-11	VYDAJ	VYBER	9000	58994	\N	\N	\N
947014	3228	1996-10-30	PRIJEM	VKLAD	1100	1100	\N	\N	\N
947015	3228	1996-11-18	PRIJEM	VKLAD	38143	39243	\N	\N	\N
947020	3228	1996-12-27	PRIJEM	VKLAD	32624	65476	\N	\N	\N
947028	3228	1997-11-10	PRIJEM	VKLAD	19674	120789	\N	\N	\N
947029	3228	1997-09-04	PRIJEM	VKLAD	5990	47482	\N	\N	\N
947030	3228	1997-02-07	PRIJEM	VKLAD	5049	64016	\N	\N	\N
947031	3228	1997-05-09	PRIJEM	VKLAD	39093	89701	\N	\N	\N
947032	3228	1997-11-09	PRIJEM	VKLAD	30541	101115	\N	\N	\N
947033	3228	1997-02-16	PRIJEM	VKLAD	21568	85584	\N	\N	\N
947034	3228	1997-07-03	PRIJEM	VKLAD	35255	82679	\N	\N	\N
947035	3228	1997-12-22	PRIJEM	VKLAD	40988	104136	\N	\N	\N
947036	3228	1997-06-07	PRIJEM	VKLAD	47989	112851	\N	\N	\N
947037	3228	1997-01-20	PRIJEM	VKLAD	47160	90777	\N	\N	\N
947038	3228	1997-09-11	PRIJEM	VKLAD	27624	75106	\N	\N	\N
947039	3228	1997-06-21	PRIJEM	VKLAD	35638	95719	\N	\N	\N
947040	3228	1997-11-24	PRIJEM	VKLAD	29765	113507	\N	\N	\N
947041	3228	1997-04-21	PRIJEM	VKLAD	17487	59614	\N	\N	\N
947042	3228	1997-05-05	PRIJEM	VKLAD	24631	67136	\N	\N	\N
947043	3228	1997-11-08	PRIJEM	VKLAD	45301	112574	\N	\N	\N
947044	3228	1997-05-28	PRIJEM	VKLAD	41194	114148	\N	\N	\N
947045	3228	1997-03-08	PRIJEM	VKLAD	25470	80927	\N	\N	\N
947046	3228	1997-03-12	PRIJEM	VKLAD	7575	88502	\N	\N	\N
947047	3228	1997-11-06	PRIJEM	VKLAD	36690	67273	\N	\N	\N
947048	3228	1997-06-04	PRIJEM	VKLAD	7679	69923	\N	\N	\N
947049	3228	1997-12-13	PRIJEM	VKLAD	29734	85108	\N	\N	\N
947050	3228	1997-07-28	PRIJEM	VKLAD	9087	63419	\N	\N	\N
947051	3228	1998-01-18	PRIJEM	VKLAD	21968	48828	\N	\N	\N
947052	3228	1998-02-27	PRIJEM	VKLAD	16489	39252	\N	\N	\N
947053	3228	1998-11-25	PRIJEM	VKLAD	19476	61660	\N	\N	\N
947054	3228	1998-12-20	PRIJEM	VKLAD	44620	67212	\N	\N	\N
947055	3228	1998-05-25	PRIJEM	VKLAD	7688	29804	\N	\N	\N
947056	3228	1998-11-21	PRIJEM	VKLAD	28810	73149	\N	\N	\N
947057	3228	1998-12-30	PRIJEM	VKLAD	47976	108588	\N	\N	\N
947058	3228	1998-04-13	PRIJEM	VKLAD	9537	60023	\N	\N	\N
947059	3228	1998-02-11	PRIJEM	VKLAD	37752	113335	\N	\N	\N
947060	3228	1998-11-16	PRIJEM	VKLAD	36637	63505	\N	\N	\N
947061	3228	1998-07-12	PRIJEM	VKLAD	48672	69644	\N	\N	\N
947062	3228	1998-11-17	PRIJEM	VKLAD	18134	81639	\N	\N	\N
947063	3228	1998-02-10	PRIJEM	VKLAD	46088	75583	\N	\N	\N
947064	3228	1998-04-05	PRIJEM	VKLAD	30322	54333	\N	\N	\N
947065	3228	1998-10-10	PRIJEM	VKLAD	24752	65804	\N	\N	\N
947066	3228	1998-05-11	PRIJEM	VKLAD	9085	32763	\N	\N	\N
947067	3228	1998-09-04	PRIJEM	VKLAD	20766	41251	\N	\N	\N
947068	3228	1998-09-11	PRIJEM	VKLAD	37485	69136	\N	\N	\N
947083	3228	1997-03-12	VYDAJ	PREVOD NA UCET	3847	84655	SIPO	CD	86360150
947084	3228	1997-04-12	VYDAJ	PREVOD NA UCET	3847	42127	SIPO	CD	86360150
947085	3228	1997-05-12	VYDAJ	PREVOD NA UCET	3847	85854	SIPO	CD	86360150
947086	3228	1997-06-12	VYDAJ	PREVOD NA UCET	3847	80004	SIPO	CD	86360150
947087	3228	1997-07-12	VYDAJ	PREVOD NA UCET	3847	78832	SIPO	CD	86360150
947088	3228	1997-08-12	VYDAJ	PREVOD NA UCET	3847	52113	SIPO	CD	86360150
947089	3228	1997-09-12	VYDAJ	PREVOD NA UCET	3847	71259	SIPO	CD	86360150
947090	3228	1997-10-12	VYDAJ	PREVOD NA UCET	3847	32249	SIPO	CD	86360150
947091	3228	1997-11-12	VYDAJ	PREVOD NA UCET	3847	83742	SIPO	CD	86360150
947092	3228	1997-12-12	VYDAJ	PREVOD NA UCET	3847	55374	SIPO	CD	86360150
947093	3228	1998-01-12	VYDAJ	PREVOD NA UCET	3847	49360	SIPO	CD	86360150
947094	3228	1998-02-12	VYDAJ	PREVOD NA UCET	3847	41028	SIPO	CD	86360150
947095	3228	1998-03-12	VYDAJ	PREVOD NA UCET	3847	30393	SIPO	CD	86360150
947096	3228	1998-04-12	VYDAJ	PREVOD NA UCET	3847	50486	SIPO	CD	86360150
947097	3228	1998-05-12	VYDAJ	PREVOD NA UCET	3847	28916	SIPO	CD	86360150
947098	3228	1998-06-12	VYDAJ	PREVOD NA UCET	3847	26073	SIPO	CD	86360150
947099	3228	1998-07-12	VYDAJ	PREVOD NA UCET	3847	65797	SIPO	CD	86360150
947100	3228	1998-08-12	VYDAJ	PREVOD NA UCET	3847	28583	SIPO	CD	86360150
947101	3228	1998-09-12	VYDAJ	PREVOD NA UCET	3847	65289	SIPO	CD	86360150
947102	3228	1998-10-12	VYDAJ	PREVOD NA UCET	3847	61957	SIPO	CD	86360150
947103	3228	1998-11-12	VYDAJ	PREVOD NA UCET	3847	26868	SIPO	CD	86360150
947104	3228	1998-12-12	VYDAJ	PREVOD NA UCET	3847	41792	SIPO	CD	86360150
947111	3228	1997-08-13	VYBER	VYBER	5622	46491	\N	\N	\N
947112	3228	1997-05-06	VYBER	VYBER	16528	50608	\N	\N	\N
947113	3228	1997-06-05	VYBER	VYBER	5061	64862	\N	\N	\N
947114	3228	1997-08-12	VYBER	VYBER	7715	55960	\N	\N	\N
947115	3228	1997-10-09	VYBER	VYBER	6881	36096	\N	\N	\N
947116	3228	1997-12-21	VYBER	VYBER	18360	63148	\N	\N	\N
947117	3228	1997-04-04	VYBER	VYBER	5037	45974	\N	\N	\N
947118	3228	1997-06-17	VYBER	VYBER	19923	60081	\N	\N	\N
947120	3228	1998-02-13	VYBER	VYBER	6065	34963	\N	\N	\N
947121	3228	1998-11-09	VYBER	VYBER	2293	30715	\N	\N	\N
947123	3228	1998-05-03	VYBER	VYBER	13598	23678	\N	\N	\N
947124	3228	1998-07-17	VYBER	VYBER	16605	49192	\N	\N	\N
947126	3228	1998-11-23	VYBER	VYBER	17765	55384	\N	\N	\N
947128	3228	1998-02-11	VYBER	VYBER	16060	97275	\N	\N	\N
947129	3228	1998-03-02	VYBER	VYBER	5140	34240	\N	\N	\N
947132	3228	1997-06-27	VYDAJ	VYBER	34200	47119	\N	\N	\N
947138	3228	1997-12-15	VYDAJ	VYBER	3600	81508	\N	\N	\N
947139	3228	1998-12-11	VYDAJ	VYBER	4800	45639	\N	\N	\N
947152	3228	1998-01-02	VYDAJ	VYBER	7500	53207	\N	\N	\N
947153	3228	1998-01-16	VYDAJ	VYBER	6000	26860	\N	\N	\N
947154	3228	1998-01-12	VYDAJ	VYBER	6300	43060	\N	\N	\N
947155	3228	1998-01-13	VYDAJ	VYBER	8700	34360	\N	\N	\N
947156	3228	1998-01-15	VYDAJ	VYBER	1500	32860	\N	\N	\N
947157	3228	1998-01-19	VYDAJ	VYBER	5400	43428	\N	\N	\N
947163	3228	1997-09-25	VYDAJ	VYBER	12300	58959	\N	\N	\N
947164	3228	1997-03-15	VYDAJ	VYBER	14400	70255	\N	\N	\N
947165	3228	1997-05-20	VYDAJ	VYBER	12900	72954	\N	\N	\N
947166	3228	1998-02-22	VYDAJ	VYBER	2100	22763	\N	\N	\N
947167	3228	1998-12-07	VYDAJ	VYBER	11400	50439	\N	\N	\N
947168	3228	1998-09-08	VYDAJ	VYBER	9600	31651	\N	\N	\N
947171	3228	1998-12-19	VYDAJ	VYBER	2100	39692	\N	\N	\N
947172	3228	1998-10-12	VYDAJ	VYBER	12300	49657	\N	\N	\N
947173	3228	1998-11-24	VYDAJ	VYBER	13200	42184	\N	\N	\N
947174	3228	1998-12-28	VYDAJ	VYBER	6600	60612	\N	\N	\N
947189	3228	1997-02-28	VYDAJ	VYBER	15	55457	SLUZBY	\N	\N
947190	3228	1997-03-31	VYDAJ	VYBER	15	51011	SLUZBY	\N	\N
947191	3228	1997-04-30	VYDAJ	VYBER	15	42505	SLUZBY	\N	\N
947192	3228	1997-05-31	VYDAJ	VYBER	15	62244	SLUZBY	\N	\N
947193	3228	1997-06-30	VYDAJ	VYBER	15	47424	SLUZBY	\N	\N
947194	3228	1997-07-31	VYDAJ	VYBER	15	63675	SLUZBY	\N	\N
947195	3228	1997-08-31	VYDAJ	VYBER	15	41492	SLUZBY	\N	\N
947196	3228	1997-09-30	VYDAJ	VYBER	15	42977	SLUZBY	\N	\N
947197	3228	1997-10-31	VYDAJ	VYBER	15	30583	SLUZBY	\N	\N
947198	3228	1997-11-30	VYDAJ	VYBER	15	59221	SLUZBY	\N	\N
947199	3228	1997-12-31	VYDAJ	VYBER	15	60707	SLUZBY	\N	\N
947200	3228	1998-01-31	VYDAJ	VYBER	15	29495	SLUZBY	\N	\N
947201	3228	1998-02-28	VYDAJ	VYBER	15	39380	SLUZBY	\N	\N
947202	3228	1998-03-31	VYDAJ	VYBER	15	24011	SLUZBY	\N	\N
947203	3228	1998-04-30	VYDAJ	VYBER	15	37276	SLUZBY	\N	\N
947204	3228	1998-05-31	VYDAJ	VYBER	15	29920	SLUZBY	\N	\N
947205	3228	1998-06-30	VYDAJ	VYBER	15	20972	SLUZBY	\N	\N
947206	3228	1998-07-31	VYDAJ	VYBER	15	32430	SLUZBY	\N	\N
947207	3228	1998-08-31	VYDAJ	VYBER	15	20485	SLUZBY	\N	\N
947208	3228	1998-09-30	VYDAJ	VYBER	15	41052	SLUZBY	\N	\N
947209	3228	1998-10-31	VYDAJ	VYBER	15	33008	SLUZBY	\N	\N
947210	3228	1998-11-30	VYDAJ	VYBER	15	61839	SLUZBY	\N	\N
947211	3228	1996-11-29	VYDAJ	VYBER	6400	32843	\N	\N	\N
947212	3228	1996-12-29	VYDAJ	VYBER	22000	43476	\N	\N	\N
947213	3228	1997-01-28	VYDAJ	VYBER	32000	58777	\N	\N	\N
947214	3228	1997-02-27	VYDAJ	VYBER	30400	55184	\N	\N	\N
947215	3228	1997-03-29	VYDAJ	VYBER	19500	50755	\N	\N	\N
947216	3228	1997-04-28	VYDAJ	VYBER	17300	42314	\N	\N	\N
947217	3228	1997-05-28	VYDAJ	VYBER	17000	97148	\N	\N	\N
947218	3228	1997-05-28	VYDAJ	VYBER	35200	61948	\N	\N	\N
947219	3228	1997-06-07	VYDAJ	VYBER	29000	83851	\N	\N	\N
947220	3228	1997-06-27	VYDAJ	VYBER	14400	81319	\N	\N	\N
947221	3228	1997-07-27	VYDAJ	VYBER	24500	54332	\N	\N	\N
947222	3228	1997-08-26	VYDAJ	VYBER	5200	41291	\N	\N	\N
947223	3228	1997-09-25	VYDAJ	VYBER	16200	42759	\N	\N	\N
947224	3228	1997-10-25	VYDAJ	VYBER	1800	30449	\N	\N	\N
947225	3228	1997-11-08	VYDAJ	VYBER	42000	70574	\N	\N	\N
947226	3228	1997-11-10	VYDAJ	VYBER	33200	87589	\N	\N	\N
947227	3228	1997-11-24	VYDAJ	VYBER	16900	96607	\N	\N	\N
947228	3228	1997-11-24	VYDAJ	VYBER	37700	58907	\N	\N	\N
947229	3228	1997-12-24	VYDAJ	VYBER	43700	60436	\N	\N	\N
947230	3228	1998-01-23	VYDAJ	VYBER	14100	29328	\N	\N	\N
947231	3228	1998-02-11	VYDAJ	VYBER	52400	44875	\N	\N	\N
947232	3228	1998-02-22	VYDAJ	VYBER	10100	24863	\N	\N	\N
947233	3228	1998-03-24	VYDAJ	VYBER	6500	23893	\N	\N	\N
947234	3228	1998-04-23	VYDAJ	VYBER	22900	37123	\N	\N	\N
947235	3228	1998-05-23	VYDAJ	VYBER	6800	22116	\N	\N	\N
947236	3228	1998-06-22	VYDAJ	VYBER	5200	20873	\N	\N	\N
947237	3228	1998-07-22	VYDAJ	VYBER	16900	32292	\N	\N	\N
947238	3228	1998-08-21	VYDAJ	VYBER	8200	20383	\N	\N	\N
947239	3228	1998-09-20	VYDAJ	VYBER	24400	40889	\N	\N	\N
947240	3228	1998-10-20	VYDAJ	VYBER	16800	32857	\N	\N	\N
947241	3228	1998-11-19	VYDAJ	VYBER	37300	44339	\N	\N	\N
947242	3228	1998-12-19	VYDAJ	VYBER	17100	22592	\N	\N	\N
947243	3228	1998-12-30	VYDAJ	VYBER	58700	49888	\N	\N	\N
947270	3229	1995-11-18	PRIJEM	VKLAD	300	300	\N	\N	\N
947272	3229	1995-12-09	PRIJEM	VKLAD	43572	43872	\N	\N	\N
947290	3229	1995-12-29	PRIJEM	VKLAD	17014	53286	\N	\N	\N
947294	3229	1996-12-10	PRIJEM	VKLAD	10491	39804	\N	\N	\N
947295	3229	1996-07-10	PRIJEM	VKLAD	13384	56024	\N	\N	\N
947296	3229	1996-02-02	PRIJEM	VKLAD	38291	104493	\N	\N	\N
947297	3229	1996-08-07	PRIJEM	VKLAD	49768	93876	\N	\N	\N
947298	3229	1996-07-26	PRIJEM	VKLAD	16409	56622	\N	\N	\N
947299	3229	1996-01-06	PRIJEM	VKLAD	38741	92102	\N	\N	\N
947300	3229	1996-03-28	PRIJEM	VKLAD	15357	92232	\N	\N	\N
947301	3229	1996-08-23	PRIJEM	VKLAD	13043	61719	\N	\N	\N
947302	3229	1996-02-23	PRIJEM	VKLAD	42940	102894	\N	\N	\N
947303	3229	1996-12-29	PRIJEM	VKLAD	26028	87763	\N	\N	\N
947304	3229	1996-12-18	PRIJEM	VKLAD	22453	67235	\N	\N	\N
947305	3229	1996-04-11	PRIJEM	VKLAD	45486	129026	\N	\N	\N
947306	3229	1996-09-16	PRIJEM	VKLAD	7139	48525	\N	\N	\N
947307	3229	1996-09-25	PRIJEM	VKLAD	38725	87250	\N	\N	\N
947308	3229	1996-09-06	PRIJEM	VKLAD	45890	119425	\N	\N	\N
947309	3229	1996-03-20	PRIJEM	VKLAD	23897	76875	\N	\N	\N
947310	3229	1996-09-04	PRIJEM	VKLAD	15199	73535	\N	\N	\N
947311	3229	1996-01-07	PRIJEM	VKLAD	42576	134678	\N	\N	\N
947312	3229	1996-06-09	PRIJEM	VKLAD	47367	78867	\N	\N	\N
947313	3229	1996-12-10	PRIJEM	VKLAD	8589	48393	\N	\N	\N
947314	3229	1996-05-11	PRIJEM	VKLAD	24954	69043	\N	\N	\N
947315	3229	1997-08-03	PRIJEM	VKLAD	33956	97174	\N	\N	\N
947316	3229	1997-10-18	PRIJEM	VKLAD	24491	66316	\N	\N	\N
947317	3229	1997-12-17	PRIJEM	VKLAD	13809	45109	\N	\N	\N
947318	3229	1997-07-06	PRIJEM	VKLAD	25657	79347	\N	\N	\N
947319	3229	1997-05-28	PRIJEM	VKLAD	46652	80983	\N	\N	\N
947320	3229	1997-07-27	PRIJEM	VKLAD	27354	63010	\N	\N	\N
947321	3229	1997-10-03	PRIJEM	VKLAD	26961	65162	\N	\N	\N
947322	3229	1997-03-22	PRIJEM	VKLAD	30517	62321	\N	\N	\N
947323	3229	1998-08-09	PRIJEM	VKLAD	45428	115352	\N	\N	\N
947324	3229	1998-08-05	PRIJEM	VKLAD	48742	78852	\N	\N	\N
947325	3229	1998-08-31	PRIJEM	VKLAD	49845	141938	\N	\N	\N
947326	3229	1998-04-19	PRIJEM	VKLAD	48708	62829	\N	\N	\N
947327	3229	1998-05-17	PRIJEM	VKLAD	6402	43321	\N	\N	\N
947341	3229	1996-02-23	VYDAJ	VYBER	2800	100094	\N	\N	0
947342	3229	1996-03-05	VYDAJ	VYBER	3300	97117	\N	\N	0
947343	3229	1996-03-28	VYDAJ	VYBER	2200	90032	\N	\N	0
947344	3229	1996-05-13	VYDAJ	VYBER	2800	59832	\N	\N	0
947345	3229	1996-06-04	VYDAJ	VYBER	2300	44028	\N	\N	0
947346	3229	1996-07-07	VYDAJ	VYBER	3000	49468	\N	\N	0
947347	3229	1996-08-05	VYDAJ	VYBER	3700	44108	\N	\N	0
947348	3229	1996-09-06	VYDAJ	VYBER	2400	117025	\N	\N	0
947349	3229	1996-10-15	VYDAJ	VYBER	2900	55155	\N	\N	0
947350	3229	1996-11-04	VYDAJ	VYBER	2400	53019	\N	\N	0
947351	3229	1996-12-18	VYDAJ	VYBER	3700	61735	\N	\N	0
947352	3229	1997-01-10	VYDAJ	VYBER	2900	61589	\N	\N	0
947353	3229	1997-02-05	VYDAJ	VYBER	3100	29671	\N	\N	0
947354	3229	1997-03-29	VYDAJ	VYBER	2600	59721	\N	\N	0
947355	3229	1997-04-01	VYDAJ	VYBER	3200	56673	\N	\N	0
947356	3229	1997-05-12	VYDAJ	PREVOD NA UCET	3252	34331	UVER	QR	63988697
947357	3229	1997-06-12	VYDAJ	PREVOD NA UCET	3252	53447	UVER	QR	63988697
947358	3229	1997-07-12	VYDAJ	PREVOD NA UCET	3252	49156	UVER	QR	63988697
947359	3229	1997-08-12	VYDAJ	PREVOD NA UCET	3252	58983	UVER	QR	63988697
947360	3229	1997-09-12	VYDAJ	PREVOD NA UCET	3252	38032	UVER	QR	63988697
947361	3229	1997-10-12	VYDAJ	PREVOD NA UCET	3252	46671	UVER	QR	63988697
947362	3229	1997-11-12	VYDAJ	PREVOD NA UCET	3252	40214	UVER	QR	63988697
947363	3229	1997-12-12	VYDAJ	PREVOD NA UCET	3252	31300	UVER	QR	63988697
947364	3229	1998-01-12	VYDAJ	PREVOD NA UCET	3252	19068	UVER	QR	63988697
947365	3229	1998-02-12	VYDAJ	PREVOD NA UCET	3252	19672	UVER	QR	63988697
947366	3229	1998-03-12	VYDAJ	PREVOD NA UCET	3252	17849	UVER	QR	63988697
947367	3229	1998-04-12	VYDAJ	PREVOD NA UCET	3252	14121	UVER	QR	63988697
947368	3229	1998-04-27	VYDAJ	VYBER	2600	60229	\N	\N	0
947369	3229	1998-06-09	VYDAJ	VYBER	3000	32566	\N	\N	0
947370	3229	1998-07-19	VYDAJ	VYBER	3400	21427	\N	\N	0
947371	3229	1998-08-07	VYDAJ	VYBER	2100	76752	\N	\N	0
947372	3229	1998-09-09	VYDAJ	VYBER	2600	55695	\N	\N	0
947373	3229	1998-10-17	VYDAJ	VYBER	3700	23742	\N	\N	0
947374	3229	1998-11-20	VYDAJ	VYBER	3900	16503	\N	\N	0
947389	3229	1996-02-08	VYDAJ	PREVOD NA UCET	6828	97665	SIPO	YZ	97103529
947390	3229	1996-03-08	VYDAJ	PREVOD NA UCET	6828	90289	SIPO	YZ	97103529
947391	3229	1996-04-08	VYDAJ	PREVOD NA UCET	6828	83540	SIPO	YZ	97103529
947392	3229	1996-05-08	VYDAJ	PREVOD NA UCET	6828	44089	SIPO	YZ	97103529
947393	3229	1996-06-08	VYDAJ	PREVOD NA UCET	6828	31500	SIPO	YZ	97103529
947394	3229	1996-07-08	VYDAJ	PREVOD NA UCET	6828	42640	SIPO	YZ	97103529
947395	3229	1996-08-08	VYDAJ	PREVOD NA UCET	6828	63887	SIPO	YZ	97103529
947396	3229	1996-09-08	VYDAJ	PREVOD NA UCET	6828	51797	SIPO	YZ	97103529
947397	3229	1996-10-08	VYDAJ	PREVOD NA UCET	6828	80666	SIPO	YZ	97103529
947398	3229	1996-11-08	VYDAJ	PREVOD NA UCET	6828	46191	SIPO	YZ	97103529
947399	3229	1996-12-08	VYDAJ	PREVOD NA UCET	6828	29313	SIPO	YZ	97103529
947400	3229	1997-01-08	VYDAJ	PREVOD NA UCET	6828	75145	SIPO	YZ	97103529
947401	3229	1997-02-08	VYDAJ	PREVOD NA UCET	6828	22843	SIPO	YZ	97103529
947402	3229	1997-03-08	VYDAJ	PREVOD NA UCET	6828	23115	SIPO	YZ	97103529
947403	3229	1997-04-08	VYDAJ	PREVOD NA UCET	6828	49845	SIPO	YZ	97103529
947404	3229	1997-05-08	VYDAJ	PREVOD NA UCET	6828	28594	SIPO	YZ	97103529
947405	3229	1997-06-08	VYDAJ	PREVOD NA UCET	6828	74310	SIPO	YZ	97103529
947406	3229	1997-07-08	VYDAJ	PREVOD NA UCET	6828	72519	SIPO	YZ	97103529
947407	3229	1997-08-08	VYDAJ	PREVOD NA UCET	6828	90346	SIPO	YZ	97103529
947408	3229	1997-09-08	VYDAJ	PREVOD NA UCET	6828	52395	SIPO	YZ	97103529
947409	3229	1997-10-08	VYDAJ	PREVOD NA UCET	6828	56334	SIPO	YZ	97103529
947410	3229	1997-11-08	VYDAJ	PREVOD NA UCET	6828	49877	SIPO	YZ	97103529
947411	3229	1997-12-08	VYDAJ	PREVOD NA UCET	6828	40963	SIPO	YZ	97103529
947412	3229	1998-01-08	VYDAJ	PREVOD NA UCET	6828	37035	SIPO	YZ	97103529
947413	3229	1998-02-08	VYDAJ	PREVOD NA UCET	6828	29335	SIPO	YZ	97103529
947414	3229	1998-03-08	VYDAJ	PREVOD NA UCET	6828	27513	SIPO	YZ	97103529
947415	3229	1998-04-08	VYDAJ	PREVOD NA UCET	6828	23784	SIPO	YZ	97103529
947416	3229	1998-05-08	VYDAJ	PREVOD NA UCET	6828	43330	SIPO	YZ	97103529
947417	3229	1998-06-08	VYDAJ	PREVOD NA UCET	6828	35566	SIPO	YZ	97103529
947418	3229	1998-07-08	VYDAJ	PREVOD NA UCET	6828	31238	SIPO	YZ	97103529
947419	3229	1998-08-08	VYDAJ	PREVOD NA UCET	6828	69924	SIPO	YZ	97103529
947420	3229	1998-09-08	VYDAJ	PREVOD NA UCET	6828	58295	SIPO	YZ	97103529
947421	3229	1998-10-08	VYDAJ	PREVOD NA UCET	6828	33853	SIPO	YZ	97103529
947422	3229	1998-11-08	VYDAJ	PREVOD NA UCET	6828	26814	SIPO	YZ	97103529
947423	3229	1998-12-08	VYDAJ	PREVOD NA UCET	6828	20640	SIPO	YZ	97103529
947437	3229	1996-02-11	VYDAJ	PREVOD NA UCET	6411	91254	 	WX	5108792
947438	3229	1996-03-11	VYDAJ	PREVOD NA UCET	6411	83878	 	WX	5108792
947439	3229	1996-04-11	VYDAJ	PREVOD NA UCET	6411	122615	 	WX	5108792
947440	3229	1996-05-11	VYDAJ	PREVOD NA UCET	6411	62632	 	WX	5108792
947441	3229	1996-06-11	VYDAJ	PREVOD NA UCET	6411	72456	 	WX	5108792
947442	3229	1996-07-11	VYDAJ	PREVOD NA UCET	6411	49613	 	WX	5108792
947443	3229	1996-08-11	VYDAJ	PREVOD NA UCET	6411	57476	 	WX	5108792
947444	3229	1996-09-11	VYDAJ	PREVOD NA UCET	6411	45386	 	WX	5108792
947445	3229	1996-10-11	VYDAJ	PREVOD NA UCET	6411	74255	 	WX	5108792
947446	3229	1996-11-11	VYDAJ	PREVOD NA UCET	6411	39780	 	WX	5108792
947447	3229	1996-12-11	VYDAJ	PREVOD NA UCET	6411	41982	 	WX	5108792
947448	3229	1997-01-11	VYDAJ	PREVOD NA UCET	6411	55178	 	WX	5108792
947449	3229	1997-02-11	VYDAJ	PREVOD NA UCET	6411	29832	 	WX	5108792
947450	3229	1997-03-11	VYDAJ	PREVOD NA UCET	6411	16704	 	WX	5108792
947451	3229	1997-04-11	VYDAJ	PREVOD NA UCET	6411	45134	 	WX	5108792
947452	3229	1997-05-11	VYDAJ	PREVOD NA UCET	6411	37583	 	WX	5108792
947453	3229	1997-06-11	VYDAJ	PREVOD NA UCET	6411	56699	 	WX	5108792
947454	3229	1997-07-11	VYDAJ	PREVOD NA UCET	6411	53908	 	WX	5108792
947455	3229	1997-08-11	VYDAJ	PREVOD NA UCET	6411	62235	 	WX	5108792
947456	3229	1997-09-11	VYDAJ	PREVOD NA UCET	6411	41284	 	WX	5108792
947457	3229	1997-10-11	VYDAJ	PREVOD NA UCET	6411	49923	 	WX	5108792
947458	3229	1997-11-11	VYDAJ	PREVOD NA UCET	6411	43466	 	WX	5108792
947459	3229	1997-12-11	VYDAJ	PREVOD NA UCET	6411	34552	 	WX	5108792
947460	3229	1998-01-11	VYDAJ	PREVOD NA UCET	6411	22320	 	WX	5108792
947461	3229	1998-02-11	VYDAJ	PREVOD NA UCET	6411	22924	 	WX	5108792
947462	3229	1998-03-11	VYDAJ	PREVOD NA UCET	6411	21102	 	WX	5108792
947463	3229	1998-04-11	VYDAJ	PREVOD NA UCET	6411	17373	 	WX	5108792
947464	3229	1998-05-11	VYDAJ	PREVOD NA UCET	6411	36919	 	WX	5108792
947465	3229	1998-06-11	VYDAJ	PREVOD NA UCET	6411	26155	 	WX	5108792
947466	3229	1998-07-11	VYDAJ	PREVOD NA UCET	6411	24827	 	WX	5108792
947467	3229	1998-08-11	VYDAJ	PREVOD NA UCET	6411	108941	 	WX	5108792
947468	3229	1998-09-11	VYDAJ	PREVOD NA UCET	6411	49284	 	WX	5108792
947469	3229	1998-10-11	VYDAJ	PREVOD NA UCET	6411	27442	 	WX	5108792
947470	3229	1998-11-11	VYDAJ	PREVOD NA UCET	6411	20403	 	WX	5108792
947471	3229	1998-12-11	VYDAJ	PREVOD NA UCET	6411	14229	 	WX	5108792
947473	3229	1996-08-07	VYBER	VYBER	23161	70715	\N	\N	\N
947475	3229	1997-01-09	VYBER	VYBER	10656	64489	\N	\N	\N
947476	3229	1997-10-20	VYBER	VYBER	2919	63397	\N	\N	\N
947478	3229	1997-10-16	VYBER	VYBER	4846	41825	\N	\N	\N
947479	3229	1998-08-25	VYBER	VYBER	2832	91731	\N	\N	\N
947480	3229	1998-08-17	VYBER	VYBER	14378	94563	\N	\N	\N
947481	3229	1998-01-11	VYBER	VYBER	8304	28731	\N	\N	\N
947503	3229	1997-01-14	VYDAJ	VYBER	3000	34978	\N	\N	\N
947504	3229	1997-01-07	VYDAJ	VYBER	6000	81973	\N	\N	\N
947505	3229	1997-01-13	VYDAJ	VYBER	2100	37978	\N	\N	\N
947507	3229	1997-01-19	VYDAJ	VYBER	2400	32578	\N	\N	\N
947508	3229	1997-01-12	VYDAJ	VYBER	6900	40078	\N	\N	\N
947514	3229	1998-01-03	VYDAJ	VYBER	7500	37763	\N	\N	\N
947520	3229	1996-08-02	VYDAJ	VYBER	9000	47808	\N	\N	\N
947521	3229	1996-08-27	VYDAJ	VYBER	3600	58119	\N	\N	\N
947522	3229	1996-06-06	VYDAJ	VYBER	1800	42228	\N	\N	\N
947523	3229	1996-12-18	VYDAJ	VYBER	1800	65435	\N	\N	\N
947524	3229	1996-06-08	VYDAJ	VYBER	3900	38328	\N	\N	\N
947525	3229	1996-11-14	VYDAJ	VYBER	8400	35980	\N	\N	\N
947526	3229	1997-04-23	VYDAJ	VYBER	9900	35234	\N	\N	\N
947527	3229	1997-07-26	VYDAJ	VYBER	13500	35656	\N	\N	\N
947529	3229	1997-07-11	VYDAJ	VYBER	1500	52408	\N	\N	\N
947531	3229	1998-09-01	VYDAJ	VYBER	9000	88623	\N	\N	\N
947532	3229	1998-09-12	VYDAJ	VYBER	11400	37884	\N	\N	\N
947549	3229	1996-02-29	VYDAJ	VYBER	15	100417	SLUZBY	\N	\N
947550	3229	1996-03-31	VYDAJ	VYBER	15	90368	SLUZBY	\N	\N
947551	3229	1996-04-30	VYDAJ	VYBER	15	50917	SLUZBY	\N	\N
947552	3229	1996-05-31	VYDAJ	VYBER	15	46328	SLUZBY	\N	\N
947553	3229	1996-06-30	VYDAJ	VYBER	15	52468	SLUZBY	\N	\N
947554	3229	1996-07-31	VYDAJ	VYBER	15	56808	SLUZBY	\N	\N
947555	3229	1996-08-31	VYDAJ	VYBER	15	58336	SLUZBY	\N	\N
947556	3229	1996-09-30	VYDAJ	VYBER	15	87494	SLUZBY	\N	\N
947557	3229	1996-10-31	VYDAJ	VYBER	15	55419	SLUZBY	\N	\N
947558	3229	1996-11-30	VYDAJ	VYBER	15	36141	SLUZBY	\N	\N
947559	3229	1996-12-31	VYDAJ	VYBER	15	87973	SLUZBY	\N	\N
947560	3229	1997-01-31	VYDAJ	VYBER	15	32771	SLUZBY	\N	\N
947561	3229	1997-02-28	VYDAJ	VYBER	15	29943	SLUZBY	\N	\N
947562	3229	1997-03-31	VYDAJ	VYBER	15	59873	SLUZBY	\N	\N
947563	3229	1997-04-30	VYDAJ	VYBER	15	35422	SLUZBY	\N	\N
947564	3229	1997-05-31	VYDAJ	VYBER	15	81138	SLUZBY	\N	\N
947565	3229	1997-06-30	VYDAJ	VYBER	15	53690	SLUZBY	\N	\N
947566	3229	1997-07-31	VYDAJ	VYBER	15	63218	SLUZBY	\N	\N
947567	3229	1997-08-31	VYDAJ	VYBER	15	59223	SLUZBY	\N	\N
947568	3229	1997-09-30	VYDAJ	VYBER	15	38201	SLUZBY	\N	\N
947569	3229	1997-10-31	VYDAJ	VYBER	15	63605	SLUZBY	\N	\N
947570	3229	1997-11-30	VYDAJ	VYBER	15	40391	SLUZBY	\N	\N
947571	3229	1997-12-31	VYDAJ	VYBER	15	45263	SLUZBY	\N	\N
947572	3229	1998-01-31	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
947573	3229	1998-02-28	VYDAJ	VYBER	15	19741	SLUZBY	\N	\N
947574	3229	1998-03-31	VYDAJ	VYBER	15	17912	SLUZBY	\N	\N
947575	3229	1998-04-30	VYDAJ	VYBER	15	60358	SLUZBY	\N	\N
947576	3229	1998-05-31	VYDAJ	VYBER	15	43494	SLUZBY	\N	\N
947577	3229	1998-06-30	VYDAJ	VYBER	15	26266	SLUZBY	\N	\N
947578	3229	1998-07-31	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
947579	3229	1998-08-31	VYDAJ	VYBER	15	141923	SLUZBY	\N	\N
947580	3229	1998-09-30	VYDAJ	VYBER	15	38081	SLUZBY	\N	\N
947581	3229	1998-10-31	VYDAJ	VYBER	15	23842	SLUZBY	\N	\N
947582	3229	1998-11-30	VYDAJ	VYBER	15	16568	SLUZBY	\N	\N
947583	3229	1995-12-18	VYDAJ	VYBER	7600	36272	\N	\N	\N
947584	3229	1996-01-07	VYDAJ	VYBER	24500	110178	\N	\N	\N
947585	3229	1996-01-17	VYDAJ	VYBER	44300	65878	\N	\N	\N
947586	3229	1996-02-16	VYDAJ	VYBER	31300	59954	\N	\N	\N
947587	3229	1996-03-17	VYDAJ	VYBER	30900	52978	\N	\N	\N
947588	3229	1996-04-11	VYDAJ	VYBER	47300	75315	\N	\N	\N
947589	3229	1996-04-16	VYDAJ	VYBER	24700	50615	\N	\N	\N
947590	3229	1996-05-16	VYDAJ	VYBER	13700	46132	\N	\N	\N
947591	3229	1996-06-15	VYDAJ	VYBER	20200	52256	\N	\N	\N
947592	3229	1996-07-15	VYDAJ	VYBER	9400	40213	\N	\N	\N
947593	3229	1996-08-14	VYDAJ	VYBER	8800	48676	\N	\N	\N
947594	3229	1996-09-06	VYDAJ	VYBER	58400	58625	\N	\N	\N
947595	3229	1996-09-13	VYDAJ	VYBER	4000	41386	\N	\N	\N
947596	3229	1996-10-13	VYDAJ	VYBER	16200	58055	\N	\N	\N
947597	3229	1996-11-12	PRIJEM	VKLAD	4600	44380	\N	\N	\N
947598	3229	1996-12-12	PRIJEM	VKLAD	2800	44782	\N	\N	\N
947599	3229	1997-01-11	VYDAJ	VYBER	8200	46978	\N	\N	\N
947600	3229	1997-02-10	PRIJEM	VKLAD	13400	36243	\N	\N	\N
947601	3229	1997-03-12	PRIJEM	VKLAD	15100	31804	\N	\N	\N
947602	3229	1997-04-11	PRIJEM	VKLAD	1700	51545	\N	\N	\N
947603	3229	1997-05-11	PRIJEM	VKLAD	15400	43994	\N	\N	\N
947604	3229	1997-06-10	VYDAJ	VYBER	11200	63110	\N	\N	\N
947605	3229	1997-07-10	VYDAJ	VYBER	12200	60319	\N	\N	\N
947606	3229	1997-08-09	VYDAJ	VYBER	21700	68646	\N	\N	\N
947607	3229	1997-09-08	VYDAJ	VYBER	4700	47695	\N	\N	\N
947608	3229	1997-10-08	VYDAJ	VYBER KARTOU	2000	63162	\N	\N	0
947609	3229	1997-11-07	VYDAJ	VYBER	6900	56705	\N	\N	\N
947610	3229	1997-12-07	PRIJEM	VKLAD	7400	47791	\N	\N	\N
947611	3229	1998-01-06	PRIJEM	VKLAD	6100	43863	\N	\N	\N
947612	3229	1998-02-05	PRIJEM	VKLAD	17000	36163	\N	\N	\N
947613	3229	1998-03-07	PRIJEM	VKLAD	14600	34341	\N	\N	\N
947614	3229	1998-04-06	PRIJEM	VKLAD	12700	30612	\N	\N	\N
947615	3229	1998-05-06	VYDAJ	VYBER	10200	50158	\N	\N	\N
947616	3229	1998-06-05	VYDAJ	VYBER KARTOU	1100	42394	\N	\N	0
947617	3229	1998-07-05	PRIJEM	VKLAD	11800	38066	\N	\N	\N
947618	3229	1998-08-04	PRIJEM	VKLAD	8600	30110	\N	\N	\N
947619	3229	1998-08-31	VYDAJ	VYBER	44300	97623	\N	\N	\N
947620	3229	1998-09-03	VYDAJ	VYBER	23500	65123	\N	\N	\N
947621	3229	1998-10-03	PRIJEM	VKLAD	2600	40681	\N	\N	\N
947622	3229	1998-11-02	PRIJEM	VKLAD	9800	33642	\N	\N	\N
947623	3229	1998-12-02	PRIJEM	VKLAD	10900	27468	\N	\N	\N
947661	3230	1995-03-11	PRIJEM	VKLAD	200	200	\N	\N	\N
947662	3230	1995-10-24	PRIJEM	VKLAD	39885	108877	\N	\N	\N
947664	3230	1995-06-27	PRIJEM	VKLAD	40599	65299	\N	\N	\N
947665	3230	1995-10-08	PRIJEM	VKLAD	48447	103792	\N	\N	\N
947666	3230	1995-09-19	PRIJEM	VKLAD	41875	76154	\N	\N	\N
947667	3230	1996-04-23	PRIJEM	VKLAD	19876	43911	\N	\N	\N
947668	3230	1996-11-18	PRIJEM	VKLAD	48584	82821	\N	\N	\N
947669	3230	1996-02-16	PRIJEM	VKLAD	24128	114346	\N	\N	\N
947670	3230	1996-10-11	PRIJEM	VKLAD	26133	34179	\N	\N	\N
947671	3230	1996-02-11	PRIJEM	VKLAD	40680	142918	\N	\N	\N
947672	3230	1996-12-22	PRIJEM	VKLAD	27560	100981	\N	\N	\N
947673	3230	1996-12-03	PRIJEM	VKLAD	30601	73994	\N	\N	\N
947674	3230	1996-07-10	PRIJEM	VKLAD	45593	106348	\N	\N	\N
947675	3230	1996-02-10	PRIJEM	VKLAD	46584	102238	\N	\N	\N
947676	3230	1996-06-29	PRIJEM	VKLAD	42597	91431	\N	\N	\N
947677	3230	1996-06-10	PRIJEM	VKLAD	48026	70077	\N	\N	\N
947678	3230	1996-12-07	PRIJEM	VKLAD	41271	115265	\N	\N	\N
947679	3230	1996-06-26	PRIJEM	VKLAD	42357	48834	\N	\N	\N
947680	3230	1996-01-28	PRIJEM	VKLAD	46606	86327	\N	\N	\N
947681	3230	1996-06-08	PRIJEM	VKLAD	12616	38051	\N	\N	\N
947682	3230	1996-10-11	PRIJEM	VKLAD	24087	58266	\N	\N	\N
947683	3230	1997-06-04	PRIJEM	VKLAD	13517	41028	\N	\N	\N
947684	3230	1997-02-13	PRIJEM	VKLAD	16212	41165	\N	\N	\N
947685	3230	1997-12-13	PRIJEM	VKLAD	35339	72925	\N	\N	\N
947686	3230	1997-04-13	PRIJEM	VKLAD	48804	73015	\N	\N	\N
947687	3230	1997-03-13	PRIJEM	VKLAD	24409	38426	\N	\N	\N
947688	3230	1997-07-17	PRIJEM	VKLAD	47140	128337	\N	\N	\N
947689	3230	1997-01-15	PRIJEM	VKLAD	24753	100229	\N	\N	\N
947690	3230	1997-06-06	PRIJEM	VKLAD	8071	49099	\N	\N	\N
947691	3230	1997-10-20	PRIJEM	VKLAD	13643	45107	\N	\N	\N
947692	3230	1997-07-05	PRIJEM	VKLAD	47670	103277	\N	\N	\N
947693	3230	1997-04-15	PRIJEM	VKLAD	6363	79378	\N	\N	\N
947694	3230	1997-07-22	PRIJEM	VKLAD	39124	105661	\N	\N	\N
947695	3230	1997-01-05	PRIJEM	VKLAD	37226	97120	\N	\N	\N
947696	3230	1997-11-30	PRIJEM	VKLAD	26876	39637	\N	\N	\N
947697	3230	1997-10-01	PRIJEM	VKLAD	16839	33608	\N	\N	\N
947698	3230	1997-02-28	PRIJEM	VKLAD	22014	63340	\N	\N	\N
947699	3230	1997-04-16	PRIJEM	VKLAD	5620	84998	\N	\N	\N
947700	3230	1997-12-23	PRIJEM	VKLAD	33911	100836	\N	\N	\N
947701	3230	1997-06-10	PRIJEM	VKLAD	48559	97658	\N	\N	\N
947702	3230	1997-04-25	PRIJEM	VKLAD	23119	108117	\N	\N	\N
947703	3230	1998-11-24	PRIJEM	VKLAD	18926	34068	\N	\N	\N
947704	3230	1998-06-28	PRIJEM	VKLAD	39031	52959	\N	\N	\N
947705	3230	1998-12-11	PRIJEM	VKLAD	41653	68903	\N	\N	\N
947706	3230	1998-10-18	PRIJEM	VKLAD	12884	35202	\N	\N	\N
947707	3230	1998-08-19	PRIJEM	VKLAD	25113	36022	\N	\N	\N
947708	3230	1998-03-12	PRIJEM	VKLAD	33060	46292	\N	\N	\N
947709	3230	1998-04-09	PRIJEM	VKLAD	18023	48580	\N	\N	\N
947710	3230	1998-08-20	PRIJEM	VKLAD	26130	62152	\N	\N	\N
947711	3230	1998-08-08	PRIJEM	VKLAD	17637	43061	\N	\N	\N
947712	3230	1998-12-14	PRIJEM	VKLAD	40524	107283	\N	\N	\N
947726	3230	1996-02-13	VYDAJ	VYBER	3000	90218	\N	\N	0
947727	3230	1996-03-18	VYDAJ	VYBER	1800	31408	\N	\N	0
947728	3230	1996-04-27	VYDAJ	VYBER	1600	42311	\N	\N	0
947729	3230	1996-05-04	VYDAJ	VYBER	1900	29017	\N	\N	0
947730	3230	1996-06-08	VYDAJ	VYBER	3100	34951	\N	\N	0
947731	3230	1996-07-16	VYDAJ	VYBER	1700	35148	\N	\N	0
947732	3230	1996-08-18	VYDAJ	VYBER	1800	24773	\N	\N	0
947733	3230	1996-09-07	VYDAJ	VYBER	1900	22958	\N	\N	0
947734	3230	1996-10-12	VYDAJ	PREVOD NA UCET	2144	56122	UVER	YZ	9279585
947735	3230	1996-11-12	VYDAJ	PREVOD NA UCET	2144	34237	UVER	YZ	9279585
947736	3230	1996-12-12	VYDAJ	PREVOD NA UCET	2144	81521	UVER	YZ	9279585
947737	3230	1997-01-12	VYDAJ	PREVOD NA UCET	2144	75476	UVER	YZ	9279585
947738	3230	1997-02-12	VYDAJ	PREVOD NA UCET	2144	24953	UVER	YZ	9279585
947739	3230	1997-03-12	VYDAJ	PREVOD NA UCET	2144	14017	UVER	YZ	9279585
947740	3230	1997-04-12	VYDAJ	PREVOD NA UCET	2144	24211	UVER	YZ	9279585
947741	3230	1997-05-12	VYDAJ	PREVOD NA UCET	2144	34174	UVER	YZ	9279585
947742	3230	1997-06-12	VYDAJ	PREVOD NA UCET	2144	95514	UVER	YZ	9279585
947743	3230	1997-07-12	VYDAJ	PREVOD NA UCET	2144	101133	UVER	YZ	9279585
947744	3230	1997-08-12	VYDAJ	PREVOD NA UCET	2144	41084	UVER	YZ	9279585
947745	3230	1997-09-12	VYDAJ	PREVOD NA UCET	2144	19797	UVER	YZ	9279585
947746	3230	1997-10-12	VYDAJ	PREVOD NA UCET	2144	31464	UVER	YZ	9279585
947747	3230	1997-11-12	VYDAJ	PREVOD NA UCET	2144	31369	UVER	YZ	9279585
947748	3230	1997-12-12	VYDAJ	PREVOD NA UCET	2144	37586	UVER	YZ	9279585
947749	3230	1998-01-12	VYDAJ	PREVOD NA UCET	2144	33841	UVER	YZ	9279585
947750	3230	1998-02-12	VYDAJ	PREVOD NA UCET	2144	9398	UVER	YZ	9279585
947751	3230	1998-03-12	VYDAJ	PREVOD NA UCET	2144	44148	UVER	YZ	9279585
947752	3230	1998-04-12	VYDAJ	PREVOD NA UCET	2144	46436	UVER	YZ	9279585
947753	3230	1998-05-12	VYDAJ	PREVOD NA UCET	2144	31632	UVER	YZ	9279585
947754	3230	1998-06-12	VYDAJ	PREVOD NA UCET	2144	23602	UVER	YZ	9279585
947755	3230	1998-07-12	VYDAJ	PREVOD NA UCET	2144	34098	UVER	YZ	9279585
947756	3230	1998-08-12	VYDAJ	PREVOD NA UCET	2144	40917	UVER	YZ	9279585
947757	3230	1998-09-12	VYDAJ	PREVOD NA UCET	2144	37834	UVER	YZ	9279585
947758	3230	1998-10-12	VYDAJ	PREVOD NA UCET	2144	22318	UVER	YZ	9279585
947759	3230	1998-11-12	VYDAJ	PREVOD NA UCET	2144	19842	UVER	YZ	9279585
947760	3230	1998-12-12	VYDAJ	PREVOD NA UCET	2144	66759	UVER	YZ	9279585
947775	3230	1996-07-21	VYBER	VYBER	11785	23363	\N	\N	\N
947776	3230	1996-02-24	VYBER	VYBER	15569	39277	\N	\N	\N
947777	3230	1996-11-25	VYBER	VYBER	17633	65188	\N	\N	\N
947779	3230	1997-05-04	VYBER	VYBER	11285	39318	\N	\N	\N
947780	3230	1997-03-20	VYBER	VYBER	13894	24532	\N	\N	\N
947781	3230	1997-04-27	VYBER	VYBER	22144	80573	\N	\N	\N
947782	3230	1997-11-16	VYBER	VYBER	16891	14478	\N	\N	\N
947783	3230	1997-12-23	VYBER	VYBER	24557	76279	\N	\N	\N
947784	3230	1997-03-02	VYBER	VYBER	24564	16161	\N	\N	\N
947785	3230	1997-08-02	VYBER	VYBER	13171	43228	\N	\N	\N
947786	3230	1997-07-23	VYBER	VYBER	3088	102573	\N	\N	\N
947787	3230	1997-07-14	VYBER	VYBER	19936	81197	\N	\N	\N
947789	3230	1997-01-19	VYBER	VYBER	16721	83508	\N	\N	\N
947790	3230	1997-11-25	VYBER	VYBER	10717	12761	\N	\N	\N
947791	3230	1998-07-05	VYBER	VYBER	5693	36242	\N	\N	\N
947792	3230	1998-06-13	VYBER	VYBER	10774	12828	\N	\N	\N
947793	3230	1998-08-18	VYBER	VYBER	22208	10909	\N	\N	\N
947795	3230	1996-06-10	VYDAJ	VYBER	63600	6477	\N	\N	\N
947800	3230	1997-01-08	VYDAJ	VYBER	15900	77620	\N	\N	\N
947803	3230	1996-12-14	VYDAJ	VYBER	8100	73421	\N	\N	\N
947804	3230	1997-12-22	VYDAJ	VYBER	6000	66925	\N	\N	\N
947805	3230	1998-12-03	VYDAJ	VYBER	6900	27250	\N	\N	\N
947818	3230	1997-01-25	VYDAJ	VYBER	7800	66108	\N	\N	\N
947819	3230	1997-01-08	VYDAJ	VYBER	3600	93520	\N	\N	\N
947820	3230	1997-01-19	VYDAJ	VYBER	2400	81108	\N	\N	\N
947821	3230	1997-01-24	VYDAJ	VYBER	1800	73908	\N	\N	\N
947822	3230	1997-01-20	VYDAJ	VYBER	5400	75708	\N	\N	\N
947823	3230	1997-01-30	VYDAJ	VYBER	6600	36708	\N	\N	\N
947824	3230	1998-01-24	VYDAJ	VYBER	6900	14441	\N	\N	\N
947825	3230	1998-01-04	VYDAJ	VYBER	3900	40185	\N	\N	\N
947826	3230	1998-01-06	VYDAJ	VYBER	4200	35985	\N	\N	\N
947827	3230	1998-01-23	VYDAJ	VYBER	3900	16741	\N	\N	\N
947828	3230	1998-01-19	VYDAJ	VYBER	8100	20641	\N	\N	\N
947829	3230	1998-01-26	VYDAJ	VYBER	3000	11441	\N	\N	\N
947834	3230	1996-10-07	VYDAJ	VYBER	8400	8046	\N	\N	\N
947835	3230	1996-03-24	VYDAJ	VYBER	7800	23608	\N	\N	\N
947836	3230	1996-10-06	VYDAJ	VYBER	6000	16446	\N	\N	\N
947837	3230	1996-07-12	VYDAJ	VYBER	14700	36848	\N	\N	\N
947838	3230	1996-11-30	VYDAJ	VYBER	7200	58207	\N	\N	\N
947839	3230	1996-02-03	VYDAJ	VYBER	1800	84954	\N	\N	\N
947840	3230	1996-06-09	VYDAJ	VYBER	12900	22051	\N	\N	\N
947841	3230	1997-04-25	VYDAJ	VYBER	5400	102717	\N	\N	\N
947842	3230	1997-02-07	VYDAJ	VYBER	9900	27097	\N	\N	\N
947843	3230	1997-05-06	VYDAJ	VYBER	3000	36318	\N	\N	\N
947844	3230	1997-08-22	VYDAJ	VYBER	11100	29984	\N	\N	\N
947845	3230	1997-08-28	VYDAJ	VYBER	1500	21784	\N	\N	\N
947846	3230	1998-07-03	VYDAJ	VYBER	11100	41935	\N	\N	\N
947847	3230	1998-02-27	VYDAJ	VYBER	3000	13198	\N	\N	\N
947848	3230	1998-08-15	VYDAJ	VYBER	7800	33117	\N	\N	\N
947849	3230	1998-01-12	VYDAJ	VYBER	5100	28741	\N	\N	\N
947863	3230	1996-01-31	VYDAJ	VYBER	15	86754	SLUZBY	\N	\N
947864	3230	1996-02-29	VYDAJ	VYBER	15	39608	SLUZBY	\N	\N
947865	3230	1996-03-31	VYDAJ	VYBER	15	23735	SLUZBY	\N	\N
947866	3230	1996-04-30	VYDAJ	VYBER	15	42417	SLUZBY	\N	\N
947867	3230	1996-05-31	VYDAJ	VYBER	15	29135	SLUZBY	\N	\N
947868	3230	1996-06-30	VYDAJ	VYBER	15	91655	SLUZBY	\N	\N
947869	3230	1996-07-31	VYDAJ	VYBER	15	23573	SLUZBY	\N	\N
947870	3230	1996-08-31	VYDAJ	VYBER	15	24858	SLUZBY	\N	\N
947871	3230	1996-09-30	VYDAJ	VYBER	15	23046	SLUZBY	\N	\N
947872	3230	1996-10-31	VYDAJ	VYBER	15	36381	SLUZBY	\N	\N
947873	3230	1996-11-30	VYDAJ	VYBER	15	58193	SLUZBY	\N	\N
947874	3230	1996-12-31	VYDAJ	VYBER	15	59894	SLUZBY	\N	\N
947875	3230	1997-01-31	VYDAJ	VYBER	15	36997	SLUZBY	\N	\N
947876	3230	1997-02-28	VYDAJ	VYBER	15	40725	SLUZBY	\N	\N
947877	3230	1997-03-31	VYDAJ	VYBER	15	26355	SLUZBY	\N	\N
947878	3230	1997-04-30	VYDAJ	VYBER	15	50603	SLUZBY	\N	\N
947879	3230	1997-05-31	VYDAJ	VYBER	15	27511	SLUZBY	\N	\N
947880	3230	1997-06-30	VYDAJ	VYBER	15	55607	SLUZBY	\N	\N
947881	3230	1997-07-31	VYDAJ	VYBER	15	56399	SLUZBY	\N	\N
947882	3230	1997-08-31	VYDAJ	VYBER	15	21941	SLUZBY	\N	\N
947883	3230	1997-09-30	VYDAJ	VYBER	15	16769	SLUZBY	\N	\N
947884	3230	1997-10-31	VYDAJ	VYBER	15	33513	SLUZBY	\N	\N
947885	3230	1997-11-30	VYDAJ	VYBER	15	39730	SLUZBY	\N	\N
947886	3230	1997-12-31	VYDAJ	VYBER	15	44085	SLUZBY	\N	\N
947887	3230	1998-01-31	VYDAJ	VYBER	15	11542	SLUZBY	\N	\N
947888	3230	1998-02-28	VYDAJ	VYBER	15	13232	SLUZBY	\N	\N
947889	3230	1998-03-31	VYDAJ	VYBER	15	30557	SLUZBY	\N	\N
947890	3230	1998-04-30	VYDAJ	VYBER	15	33776	SLUZBY	\N	\N
947891	3230	1998-05-31	VYDAJ	VYBER	15	25746	SLUZBY	\N	\N
947892	3230	1998-06-30	VYDAJ	VYBER	15	53035	SLUZBY	\N	\N
947893	3230	1998-07-31	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
947894	3230	1998-08-31	VYDAJ	VYBER	15	39978	SLUZBY	\N	\N
947895	3230	1998-09-30	VYDAJ	VYBER	15	24462	SLUZBY	\N	\N
947896	3230	1998-10-31	VYDAJ	VYBER	15	21986	SLUZBY	\N	\N
947897	3230	1998-11-30	VYDAJ	VYBER	15	34150	SLUZBY	\N	\N
947898	3230	1995-04-10	PRIJEM	VKLAD	13100	13300	\N	\N	\N
947899	3230	1995-05-10	PRIJEM	VKLAD	4600	17900	\N	\N	\N
947900	3230	1995-06-09	PRIJEM	VKLAD	6800	24700	\N	\N	\N
947901	3230	1995-07-09	VYDAJ	VYBER	20200	45135	\N	\N	\N
947902	3230	1995-08-08	VYDAJ	VYBER	10800	34607	\N	\N	\N
947903	3230	1995-09-07	VYDAJ	VYBER	600	34279	\N	\N	\N
947904	3230	1995-10-07	VYDAJ	VYBER	21100	55345	\N	\N	\N
947905	3230	1995-10-08	VYDAJ	VYBER	34800	68992	\N	\N	\N
947906	3230	1995-11-06	VYDAJ	VYBER	37300	71914	\N	\N	\N
947907	3230	1995-12-06	VYDAJ	VYBER	21800	50567	\N	\N	\N
947908	3230	1996-01-05	VYDAJ	VYBER	11300	39721	\N	\N	\N
947909	3230	1996-02-04	VYDAJ	VYBER	29300	55654	\N	\N	\N
947910	3230	1996-02-11	VYDAJ	VYBER	49700	93218	\N	\N	\N
947911	3230	1996-02-16	VYDAJ	VYBER	59500	54846	\N	\N	\N
947912	3230	1996-03-05	VYDAJ	VYBER	6400	33208	\N	\N	\N
947913	3230	1996-04-04	PRIJEM	VKLAD	300	24035	\N	\N	\N
947914	3230	1996-05-04	VYDAJ	VYBER	11500	30917	\N	\N	\N
947915	3230	1996-06-03	VYDAJ	VYBER	3700	25435	\N	\N	\N
947916	3230	1996-07-03	VYDAJ	VYBER	30900	60755	\N	\N	\N
947917	3230	1996-07-12	VYDAJ	VYBER	54800	51548	\N	\N	\N
947918	3230	1996-08-02	PRIJEM	VKLAD	3000	26573	\N	\N	\N
947919	3230	1996-10-01	VYDAJ	VYBER	600	22446	\N	\N	\N
947920	3230	1996-10-31	VYDAJ	VYBER	19900	36396	\N	\N	\N
947921	3230	1996-11-30	VYDAJ	VYBER	14800	43393	\N	\N	\N
947922	3230	1996-12-07	VYDAJ	VYBER	31600	83665	\N	\N	\N
947923	3230	1996-12-30	VYDAJ	VYBER	41400	59581	\N	\N	\N
947924	3230	1997-01-29	VYDAJ	VYBER	22800	43308	\N	\N	\N
947925	3230	1997-02-28	VYDAJ	VYBER	22600	40740	\N	\N	\N
947926	3230	1997-03-30	PRIJEM	VKLAD	1700	26232	\N	\N	\N
947927	3230	1997-04-29	VYDAJ	VYBER	30200	50373	\N	\N	\N
947928	3230	1997-05-29	VYDAJ	VYBER	6800	27374	\N	\N	\N
947929	3230	1997-06-28	VYDAJ	VYBER	40200	55314	\N	\N	\N
947930	3230	1997-07-17	VYDAJ	VYBER	61800	66537	\N	\N	\N
947931	3230	1997-07-28	VYDAJ	VYBER	46500	56073	\N	\N	\N
947932	3230	1997-08-27	VYDAJ	VYBER	6700	23284	\N	\N	\N
947933	3230	1997-09-26	VYDAJ	VYBER	3100	16697	\N	\N	\N
947934	3230	1997-10-26	VYDAJ	VYBER	11700	33407	\N	\N	\N
947935	3230	1997-11-25	PRIJEM	VKLAD	9000	23478	\N	\N	\N
947936	3230	1997-12-25	VYDAJ	VYBER	32400	43879	\N	\N	\N
947937	3230	1998-01-24	PRIJEM	VKLAD	4600	21341	\N	\N	\N
947938	3230	1998-02-23	PRIJEM	VKLAD	6800	16198	\N	\N	\N
947939	3230	1998-03-25	VYDAJ	VYBER	13700	30448	\N	\N	\N
947940	3230	1998-04-24	VYDAJ	VYBER	12800	33636	\N	\N	\N
947941	3230	1998-05-24	VYDAJ	VYBER	6000	25632	\N	\N	\N
947942	3230	1998-06-23	PRIJEM	VKLAD	1100	13928	\N	\N	\N
947943	3230	1998-07-23	VYDAJ	VYBER	8800	25298	\N	\N	\N
947944	3230	1998-08-22	VYDAJ	VYBER	22300	39852	\N	\N	\N
947945	3230	1998-09-21	VYDAJ	VYBER	13500	24334	\N	\N	\N
947946	3230	1998-10-21	VYDAJ	VYBER	13300	21902	\N	\N	\N
947947	3230	1998-11-20	VYDAJ	VYBER	4700	15142	\N	\N	\N
947991	3231	1995-04-18	PRIJEM	VKLAD	800	800	\N	\N	\N
947996	3231	1995-05-12	PRIJEM	PREVOD Z UCTU	5575	6375	DUCHOD	MN	99892883
947997	3231	1995-06-12	PRIJEM	PREVOD Z UCTU	5575	11950	DUCHOD	MN	99892883
947998	3231	1995-07-12	PRIJEM	PREVOD Z UCTU	5575	17525	DUCHOD	MN	99892883
947999	3231	1995-08-12	PRIJEM	PREVOD Z UCTU	5575	23100	DUCHOD	MN	99892883
948000	3231	1995-09-12	PRIJEM	PREVOD Z UCTU	5575	27823	DUCHOD	MN	99892883
948001	3231	1995-10-12	PRIJEM	PREVOD Z UCTU	5575	27044	DUCHOD	MN	99892883
948002	3231	1995-11-12	PRIJEM	PREVOD Z UCTU	5575	29776	DUCHOD	MN	99892883
948003	3231	1995-12-12	PRIJEM	PREVOD Z UCTU	5575	27458	DUCHOD	MN	99892883
948004	3231	1996-01-12	PRIJEM	PREVOD Z UCTU	5575	29841	DUCHOD	MN	99892883
948005	3231	1996-02-12	PRIJEM	PREVOD Z UCTU	5575	29377	DUCHOD	MN	99892883
948006	3231	1996-03-12	PRIJEM	PREVOD Z UCTU	5575	26509	DUCHOD	MN	99892883
948007	3231	1996-04-12	PRIJEM	PREVOD Z UCTU	5575	29139	DUCHOD	MN	99892883
948008	3231	1996-05-12	PRIJEM	PREVOD Z UCTU	5575	29974	DUCHOD	MN	99892883
948009	3231	1996-06-12	PRIJEM	PREVOD Z UCTU	5575	23092	DUCHOD	MN	99892883
948010	3231	1996-07-12	PRIJEM	PREVOD Z UCTU	5575	16508	DUCHOD	MN	99892883
948011	3231	1996-08-12	PRIJEM	PREVOD Z UCTU	5575	19497	DUCHOD	MN	99892883
948012	3231	1996-09-12	PRIJEM	PREVOD Z UCTU	5575	22498	DUCHOD	MN	99892883
948013	3231	1996-10-12	PRIJEM	PREVOD Z UCTU	5575	25512	DUCHOD	MN	99892883
948014	3231	1996-11-12	PRIJEM	PREVOD Z UCTU	5575	26238	DUCHOD	MN	99892883
948015	3231	1996-12-12	PRIJEM	PREVOD Z UCTU	5575	21906	DUCHOD	MN	99892883
948016	3231	1997-01-12	PRIJEM	PREVOD Z UCTU	5575	22320	DUCHOD	MN	99892883
948017	3231	1997-02-12	PRIJEM	PREVOD Z UCTU	5575	23093	DUCHOD	MN	99892883
948018	3231	1997-03-12	PRIJEM	PREVOD Z UCTU	5575	21520	DUCHOD	MN	99892883
948019	3231	1997-04-12	PRIJEM	PREVOD Z UCTU	5575	22048	DUCHOD	MN	99892883
948020	3231	1997-05-12	PRIJEM	PREVOD Z UCTU	5575	21935	DUCHOD	MN	99892883
948021	3231	1997-06-12	PRIJEM	PREVOD Z UCTU	5575	18246	DUCHOD	MN	99892883
948022	3231	1997-07-12	PRIJEM	PREVOD Z UCTU	5575	17723	DUCHOD	MN	99892883
948023	3231	1997-08-12	PRIJEM	PREVOD Z UCTU	5575	18237	DUCHOD	MN	99892883
948024	3231	1997-09-12	PRIJEM	PREVOD Z UCTU	5575	21234	DUCHOD	MN	99892883
948025	3231	1997-10-12	PRIJEM	PREVOD Z UCTU	5575	24242	DUCHOD	MN	99892883
948026	3231	1997-11-12	PRIJEM	PREVOD Z UCTU	5575	27262	DUCHOD	MN	99892883
948027	3231	1997-12-12	PRIJEM	PREVOD Z UCTU	5575	27755	DUCHOD	MN	99892883
948028	3231	1998-01-12	PRIJEM	PREVOD Z UCTU	5575	30291	DUCHOD	MN	99892883
948029	3231	1998-02-12	PRIJEM	PREVOD Z UCTU	5575	32037	DUCHOD	MN	99892883
948030	3231	1998-03-12	PRIJEM	PREVOD Z UCTU	5575	28789	DUCHOD	MN	99892883
948031	3231	1998-04-12	PRIJEM	PREVOD Z UCTU	5575	31134	DUCHOD	MN	99892883
948032	3231	1998-05-12	PRIJEM	PREVOD Z UCTU	5575	34183	DUCHOD	MN	99892883
948033	3231	1998-06-12	PRIJEM	PREVOD Z UCTU	5575	32223	DUCHOD	MN	99892883
948034	3231	1998-07-12	PRIJEM	PREVOD Z UCTU	5575	29566	DUCHOD	MN	99892883
948035	3231	1998-08-12	PRIJEM	PREVOD Z UCTU	5575	32008	DUCHOD	MN	99892883
948036	3231	1998-09-12	PRIJEM	PREVOD Z UCTU	5575	33660	DUCHOD	MN	99892883
948037	3231	1998-10-12	PRIJEM	PREVOD Z UCTU	5575	30137	DUCHOD	MN	99892883
948038	3231	1998-11-12	PRIJEM	PREVOD Z UCTU	5575	33181	DUCHOD	MN	99892883
948039	3231	1998-12-12	PRIJEM	PREVOD Z UCTU	5575	26595	DUCHOD	MN	99892883
948049	3231	1995-10-09	VYDAJ	PREVOD NA UCET	2636	21469	SIPO	UV	8378410
948050	3231	1995-11-09	VYDAJ	PREVOD NA UCET	2636	24201	SIPO	UV	8378410
948051	3231	1995-12-09	VYDAJ	PREVOD NA UCET	2636	21883	SIPO	UV	8378410
948052	3231	1996-01-09	VYDAJ	PREVOD NA UCET	2636	24266	SIPO	UV	8378410
948053	3231	1996-02-09	VYDAJ	PREVOD NA UCET	2636	23802	SIPO	UV	8378410
948054	3231	1996-03-09	VYDAJ	PREVOD NA UCET	2636	20934	SIPO	UV	8378410
948055	3231	1996-04-09	VYDAJ	PREVOD NA UCET	2636	23564	SIPO	UV	8378410
948056	3231	1996-05-09	VYDAJ	PREVOD NA UCET	2636	24399	SIPO	UV	8378410
948057	3231	1996-06-09	VYDAJ	PREVOD NA UCET	2636	18317	SIPO	UV	8378410
948058	3231	1996-07-09	VYDAJ	PREVOD NA UCET	2636	10933	SIPO	UV	8378410
948059	3231	1996-08-09	VYDAJ	PREVOD NA UCET	2636	13922	SIPO	UV	8378410
948060	3231	1996-09-09	VYDAJ	PREVOD NA UCET	2636	16923	SIPO	UV	8378410
948061	3231	1996-10-09	VYDAJ	PREVOD NA UCET	2636	19937	SIPO	UV	8378410
948062	3231	1996-11-09	VYDAJ	PREVOD NA UCET	2636	20663	SIPO	UV	8378410
948063	3231	1996-12-09	VYDAJ	PREVOD NA UCET	2636	16331	SIPO	UV	8378410
948064	3231	1997-01-09	VYDAJ	PREVOD NA UCET	2636	16745	SIPO	UV	8378410
948065	3231	1997-02-09	VYDAJ	PREVOD NA UCET	2636	17518	SIPO	UV	8378410
948066	3231	1997-03-09	VYDAJ	PREVOD NA UCET	2636	15945	SIPO	UV	8378410
948067	3231	1997-04-09	VYDAJ	PREVOD NA UCET	2636	16473	SIPO	UV	8378410
948068	3231	1997-05-09	VYDAJ	PREVOD NA UCET	2636	16360	SIPO	UV	8378410
948069	3231	1997-06-09	VYDAJ	PREVOD NA UCET	2636	12671	SIPO	UV	8378410
948070	3231	1997-07-09	VYDAJ	PREVOD NA UCET	2636	12148	SIPO	UV	8378410
948071	3231	1997-08-09	VYDAJ	PREVOD NA UCET	2636	15142	SIPO	UV	8378410
948072	3231	1997-09-09	VYDAJ	PREVOD NA UCET	2636	15659	SIPO	UV	8378410
948073	3231	1997-10-09	VYDAJ	PREVOD NA UCET	2636	18667	SIPO	UV	8378410
948074	3231	1997-11-09	VYDAJ	PREVOD NA UCET	2636	21687	SIPO	UV	8378410
948075	3231	1997-12-09	VYDAJ	PREVOD NA UCET	2636	22180	SIPO	UV	8378410
948076	3231	1998-01-09	VYDAJ	PREVOD NA UCET	2636	24716	SIPO	UV	8378410
948077	3231	1998-02-09	VYDAJ	PREVOD NA UCET	2636	26462	SIPO	UV	8378410
948078	3231	1998-03-09	VYDAJ	PREVOD NA UCET	2636	23214	SIPO	UV	8378410
948079	3231	1998-04-09	VYDAJ	PREVOD NA UCET	2636	25559	SIPO	UV	8378410
948080	3231	1998-05-09	VYDAJ	PREVOD NA UCET	2636	28608	SIPO	UV	8378410
948081	3231	1998-06-09	VYDAJ	PREVOD NA UCET	2636	26648	SIPO	UV	8378410
948082	3231	1998-07-09	VYDAJ	PREVOD NA UCET	2636	23991	SIPO	UV	8378410
948083	3231	1998-08-09	VYDAJ	PREVOD NA UCET	2636	26433	SIPO	UV	8378410
948084	3231	1998-09-09	VYDAJ	PREVOD NA UCET	2636	28085	SIPO	UV	8378410
948085	3231	1998-10-09	VYDAJ	PREVOD NA UCET	2636	24562	SIPO	UV	8378410
948086	3231	1998-11-09	VYDAJ	PREVOD NA UCET	2636	27606	SIPO	UV	8378410
948087	3231	1998-12-09	VYDAJ	PREVOD NA UCET	2636	21020	SIPO	UV	8378410
948089	3231	1996-06-28	VYDAJ	VYBER	9600	13492	\N	\N	\N
948090	3231	1997-06-04	VYDAJ	VYBER	6700	15307	\N	\N	\N
948091	3231	1998-06-15	VYDAJ	VYBER	5700	26523	\N	\N	\N
948092	3231	1995-12-24	VYDAJ	VYBER	650	26808	\N	\N	\N
948093	3231	1996-12-18	VYDAJ	VYBER	300	21606	\N	\N	\N
948094	3231	1997-12-12	VYDAJ	VYBER	500	27255	\N	\N	\N
948095	3231	1998-12-12	VYDAJ	VYBER	1100	25495	\N	\N	\N
948096	3231	1995-11-12	VYDAJ	VYBER	2400	27376	\N	\N	\N
948097	3231	1995-11-28	VYDAJ	VYBER	2960	24416	\N	\N	\N
948100	3231	1996-06-04	VYDAJ	VYBER	3520	20953	\N	\N	\N
948101	3231	1996-12-08	VYDAJ	VYBER	1920	18967	\N	\N	\N
948103	3231	1996-02-23	VYDAJ	VYBER	3600	23477	\N	\N	\N
948104	3231	1996-11-24	VYDAJ	VYBER	2320	23918	\N	\N	\N
948106	3231	1996-12-07	VYDAJ	VYBER	3120	20887	\N	\N	\N
948107	3231	1996-05-23	VYDAJ	VYBER	1200	24374	\N	\N	\N
948108	3231	1997-01-19	VYDAJ	VYBER	1040	21280	\N	\N	\N
948109	3231	1997-04-21	VYDAJ	VYBER	3120	18928	\N	\N	\N
948110	3231	1997-12-07	VYDAJ	VYBER	2240	24816	\N	\N	\N
948111	3231	1997-02-12	VYDAJ	VYBER	3280	19813	\N	\N	\N
948112	3231	1997-06-21	VYDAJ	VYBER	3520	14726	\N	\N	\N
948113	3231	1997-08-09	VYDAJ	VYBER	2480	12662	\N	\N	\N
948114	3231	1997-03-26	VYDAJ	VYBER	2480	19040	\N	\N	\N
948115	3231	1998-09-15	VYDAJ	VYBER	480	33180	\N	\N	\N
948116	3231	1998-05-23	VYDAJ	VYBER	1520	32663	\N	\N	\N
948117	3231	1998-12-05	VYDAJ	VYBER	3840	23656	\N	\N	\N
948118	3231	1998-11-24	VYDAJ	VYBER	400	32781	\N	\N	\N
948128	3231	1995-09-30	VYDAJ	VYBER	15	24105	SLUZBY	\N	\N
948129	3231	1995-10-31	VYDAJ	VYBER	15	26837	SLUZBY	\N	\N
948130	3231	1995-11-30	VYDAJ	VYBER	15	24519	SLUZBY	\N	\N
948131	3231	1995-12-31	VYDAJ	VYBER	15	26902	SLUZBY	\N	\N
948132	3231	1996-01-31	VYDAJ	VYBER	15	26438	SLUZBY	\N	\N
948133	3231	1996-02-29	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
948134	3231	1996-03-31	VYDAJ	VYBER	15	26200	SLUZBY	\N	\N
948135	3231	1996-04-30	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
948136	3231	1996-05-31	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
948137	3231	1996-06-30	VYDAJ	VYBER	15	13569	SLUZBY	\N	\N
948138	3231	1996-07-31	VYDAJ	VYBER	15	16558	SLUZBY	\N	\N
948139	3231	1996-08-31	VYDAJ	VYBER	15	19559	SLUZBY	\N	\N
948140	3231	1996-09-30	VYDAJ	VYBER	15	22573	SLUZBY	\N	\N
948141	3231	1996-10-31	VYDAJ	VYBER	15	25599	SLUZBY	\N	\N
948142	3231	1996-11-30	VYDAJ	VYBER	15	24007	SLUZBY	\N	\N
948143	3231	1996-12-31	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
948144	3231	1997-01-31	VYDAJ	VYBER	15	21354	SLUZBY	\N	\N
948145	3231	1997-02-28	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
948146	3231	1997-03-31	VYDAJ	VYBER	15	19109	SLUZBY	\N	\N
948147	3231	1997-04-30	VYDAJ	VYBER	15	18996	SLUZBY	\N	\N
948148	3231	1997-05-31	VYDAJ	VYBER	15	22007	SLUZBY	\N	\N
948149	3231	1997-06-30	VYDAJ	VYBER	15	14784	SLUZBY	\N	\N
948150	3231	1997-07-31	VYDAJ	VYBER	15	17778	SLUZBY	\N	\N
948151	3231	1997-08-31	VYDAJ	VYBER	15	18295	SLUZBY	\N	\N
948152	3231	1997-09-30	VYDAJ	VYBER	15	21303	SLUZBY	\N	\N
948153	3231	1997-10-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
948154	3231	1997-11-30	VYDAJ	VYBER	15	27356	SLUZBY	\N	\N
948155	3231	1997-12-31	VYDAJ	VYBER	15	27352	SLUZBY	\N	\N
948156	3231	1998-01-31	VYDAJ	VYBER	15	30398	SLUZBY	\N	\N
948157	3231	1998-02-28	VYDAJ	VYBER	15	32150	SLUZBY	\N	\N
948158	3231	1998-03-31	VYDAJ	VYBER	15	28895	SLUZBY	\N	\N
948159	3231	1998-04-30	VYDAJ	VYBER	15	31244	SLUZBY	\N	\N
948160	3231	1998-05-31	VYDAJ	VYBER	15	32784	SLUZBY	\N	\N
948161	3231	1998-06-30	VYDAJ	VYBER	15	26627	SLUZBY	\N	\N
948162	3231	1998-07-31	VYDAJ	VYBER	15	29669	SLUZBY	\N	\N
948163	3231	1998-08-31	VYDAJ	VYBER	15	30721	SLUZBY	\N	\N
948164	3231	1998-09-30	VYDAJ	VYBER	15	27198	SLUZBY	\N	\N
948165	3231	1998-10-31	VYDAJ	VYBER	15	30242	SLUZBY	\N	\N
948166	3231	1998-11-30	VYDAJ	VYBER	15	27496	SLUZBY	\N	\N
948167	3231	1995-08-16	VYDAJ	VYBER	900	22200	\N	\N	\N
948168	3231	1995-09-15	VYDAJ	VYBER	3800	24023	\N	\N	\N
948169	3231	1995-10-15	VYDAJ	VYBER	300	26744	\N	\N	\N
948170	3231	1996-01-13	VYDAJ	VYBER	3500	26341	\N	\N	\N
948171	3231	1996-02-12	VYDAJ	VYBER	2300	27077	\N	\N	\N
948172	3231	1996-03-13	VYDAJ	VYBER	400	26109	\N	\N	\N
948173	3231	1996-04-12	VYDAJ	VYBER	2200	26939	\N	\N	\N
948174	3231	1996-05-12	VYDAJ	VYBER	4400	25574	\N	\N	\N
948175	3231	1996-06-11	VYDAJ	VYBER	800	17517	\N	\N	\N
948176	3231	1996-11-08	VYDAJ	VYBER	2300	23299	\N	\N	\N
948177	3231	1997-01-07	VYDAJ	VYBER	2300	19381	\N	\N	\N
948178	3231	1997-02-06	VYDAJ	VYBER	1200	20154	\N	\N	\N
948179	3231	1997-03-08	VYDAJ	VYBER	1300	18581	\N	\N	\N
948180	3231	1997-12-03	VYDAJ	VYBER	300	27056	\N	\N	\N
948181	3231	1998-02-01	VYDAJ	VYBER	1300	29098	\N	\N	\N
948182	3231	1998-03-03	VYDAJ	VYBER	6300	25850	\N	\N	\N
948183	3231	1998-04-02	VYDAJ	VYBER	700	28195	\N	\N	\N
948184	3231	1998-06-01	VYDAJ	VYBER	3500	29284	\N	\N	\N
948185	3231	1998-07-31	VYDAJ	VYBER	600	29069	\N	\N	\N
948186	3231	1998-08-30	VYDAJ	VYBER	1400	30608	\N	\N	\N
948187	3231	1998-09-29	VYDAJ	VYBER	6100	27080	\N	\N	\N
948188	3231	1998-11-28	VYDAJ	VYBER	5400	27381	\N	\N	\N
948230	3232	1996-10-02	PRIJEM	VKLAD	500	500	\N	\N	\N
948240	3232	1996-10-08	PRIJEM	PREVOD Z UCTU	4600	5100	DUCHOD	UV	78127258
948241	3232	1996-11-08	PRIJEM	PREVOD Z UCTU	4600	9717	DUCHOD	UV	78127258
948242	3232	1996-12-08	PRIJEM	PREVOD Z UCTU	4600	14338	DUCHOD	UV	78127258
948243	3232	1997-01-08	PRIJEM	PREVOD Z UCTU	4600	18959	DUCHOD	UV	78127258
948244	3232	1997-02-08	PRIJEM	PREVOD Z UCTU	4600	23580	DUCHOD	UV	78127258
948245	3232	1997-03-08	PRIJEM	PREVOD Z UCTU	4600	24156	DUCHOD	UV	78127258
948246	3232	1997-04-08	PRIJEM	PREVOD Z UCTU	4600	21318	DUCHOD	UV	78127258
948247	3232	1997-05-08	PRIJEM	PREVOD Z UCTU	4600	19065	DUCHOD	UV	78127258
948248	3232	1997-06-08	PRIJEM	PREVOD Z UCTU	4600	17103	DUCHOD	UV	78127258
948249	3232	1997-07-08	PRIJEM	PREVOD Z UCTU	4600	19333	DUCHOD	UV	78127258
948250	3232	1997-08-08	PRIJEM	PREVOD Z UCTU	4600	17572	DUCHOD	UV	78127258
948251	3232	1997-09-08	PRIJEM	PREVOD Z UCTU	4600	16242	DUCHOD	UV	78127258
948252	3232	1997-10-08	PRIJEM	PREVOD Z UCTU	4600	14859	DUCHOD	UV	78127258
948253	3232	1997-11-08	PRIJEM	PREVOD Z UCTU	4600	14979	DUCHOD	UV	78127258
948254	3232	1997-12-08	PRIJEM	PREVOD Z UCTU	4600	17200	DUCHOD	UV	78127258
948255	3232	1998-01-08	PRIJEM	PREVOD Z UCTU	4600	16129	DUCHOD	UV	78127258
948256	3232	1998-02-08	PRIJEM	PREVOD Z UCTU	4600	16994	DUCHOD	UV	78127258
948257	3232	1998-03-08	PRIJEM	PREVOD Z UCTU	4600	19224	DUCHOD	UV	78127258
948258	3232	1998-04-08	PRIJEM	PREVOD Z UCTU	4600	21464	DUCHOD	UV	78127258
948259	3232	1998-05-08	PRIJEM	PREVOD Z UCTU	4600	19309	DUCHOD	UV	78127258
948260	3232	1998-06-08	PRIJEM	PREVOD Z UCTU	4600	21548	DUCHOD	UV	78127258
948261	3232	1998-07-08	PRIJEM	PREVOD Z UCTU	4600	20594	DUCHOD	UV	78127258
948262	3232	1998-08-08	PRIJEM	PREVOD Z UCTU	4600	19793	DUCHOD	UV	78127258
948263	3232	1998-09-08	PRIJEM	PREVOD Z UCTU	4600	16085	DUCHOD	UV	78127258
948264	3232	1998-10-08	PRIJEM	PREVOD Z UCTU	4600	18311	DUCHOD	UV	78127258
948265	3232	1998-11-08	PRIJEM	PREVOD Z UCTU	4600	16241	DUCHOD	UV	78127258
948266	3232	1998-12-08	PRIJEM	PREVOD Z UCTU	4600	15463	DUCHOD	UV	78127258
948280	3232	1997-02-11	VYDAJ	PREVOD NA UCET	2413	21167	SIPO	IJ	7032335
948281	3232	1997-03-11	VYDAJ	PREVOD NA UCET	2413	21743	SIPO	IJ	7032335
948282	3232	1997-04-11	VYDAJ	PREVOD NA UCET	2413	18905	SIPO	IJ	7032335
948283	3232	1997-05-11	VYDAJ	PREVOD NA UCET	2413	16652	SIPO	IJ	7032335
948284	3232	1997-06-11	VYDAJ	PREVOD NA UCET	2413	14690	SIPO	IJ	7032335
948285	3232	1997-07-11	VYDAJ	PREVOD NA UCET	2413	16920	SIPO	IJ	7032335
948286	3232	1997-08-11	VYDAJ	PREVOD NA UCET	2413	14599	SIPO	IJ	7032335
948287	3232	1997-09-11	VYDAJ	PREVOD NA UCET	2413	10229	SIPO	IJ	7032335
948288	3232	1997-10-11	VYDAJ	PREVOD NA UCET	2413	12446	SIPO	IJ	7032335
948289	3232	1997-11-11	VYDAJ	PREVOD NA UCET	2413	12566	SIPO	IJ	7032335
948290	3232	1997-12-11	VYDAJ	PREVOD NA UCET	2413	14787	SIPO	IJ	7032335
948291	3232	1998-01-11	VYDAJ	PREVOD NA UCET	2413	13716	SIPO	IJ	7032335
948292	3232	1998-02-11	VYDAJ	PREVOD NA UCET	2413	14581	SIPO	IJ	7032335
948293	3232	1998-03-11	VYDAJ	PREVOD NA UCET	2413	16811	SIPO	IJ	7032335
948294	3232	1998-04-11	VYDAJ	PREVOD NA UCET	2413	19051	SIPO	IJ	7032335
948295	3232	1998-05-11	VYDAJ	PREVOD NA UCET	2413	16896	SIPO	IJ	7032335
948296	3232	1998-06-11	VYDAJ	PREVOD NA UCET	2413	19135	SIPO	IJ	7032335
948297	3232	1998-07-11	VYDAJ	PREVOD NA UCET	2413	17541	SIPO	IJ	7032335
948298	3232	1998-08-11	VYDAJ	PREVOD NA UCET	2413	17380	SIPO	IJ	7032335
948299	3232	1998-09-11	VYDAJ	PREVOD NA UCET	2413	13672	SIPO	IJ	7032335
948300	3232	1998-10-11	VYDAJ	PREVOD NA UCET	2413	15898	SIPO	IJ	7032335
948301	3232	1998-11-11	VYDAJ	PREVOD NA UCET	2413	13828	SIPO	IJ	7032335
948302	3232	1998-12-11	VYDAJ	PREVOD NA UCET	2413	11900	SIPO	IJ	7032335
948311	3232	1998-12-10	VYDAJ	VYBER	1150	14313	\N	\N	\N
948324	3232	1998-01-27	VYDAJ	VYBER	880	12836	\N	\N	\N
948325	3232	1998-01-30	VYDAJ	VYBER	480	12356	\N	\N	\N
948332	3232	1997-02-20	VYDAJ	VYBER	960	20207	\N	\N	\N
948333	3232	1997-09-10	VYDAJ	VYBER	3600	12642	\N	\N	\N
948334	3232	1997-08-10	VYDAJ	VYBER	560	17012	\N	\N	\N
948338	3232	1998-07-09	VYDAJ	VYBER	640	19954	\N	\N	\N
948339	3232	1998-07-14	VYDAJ	VYBER	2400	15141	\N	\N	\N
948341	3232	1998-08-14	VYDAJ	VYBER	1840	15540	\N	\N	\N
948356	3232	1997-02-28	VYDAJ	VYBER	15	20256	SLUZBY	\N	\N
948357	3232	1997-03-31	VYDAJ	VYBER	15	16718	SLUZBY	\N	\N
948358	3232	1997-04-30	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
948359	3232	1997-05-31	VYDAJ	VYBER	15	12503	SLUZBY	\N	\N
948360	3232	1997-06-30	VYDAJ	VYBER	15	14733	SLUZBY	\N	\N
948361	3232	1997-07-31	VYDAJ	VYBER	15	12972	SLUZBY	\N	\N
948362	3232	1997-08-31	VYDAJ	VYBER	15	11642	SLUZBY	\N	\N
948363	3232	1997-09-30	VYDAJ	VYBER	15	10259	SLUZBY	\N	\N
948364	3232	1997-10-31	VYDAJ	VYBER	15	10379	SLUZBY	\N	\N
948365	3232	1997-11-30	VYDAJ	VYBER	15	12600	SLUZBY	\N	\N
948366	3232	1997-12-31	VYDAJ	VYBER	15	11529	SLUZBY	\N	\N
948367	3232	1998-01-31	VYDAJ	VYBER	15	12394	SLUZBY	\N	\N
948368	3232	1998-02-28	VYDAJ	VYBER	15	14624	SLUZBY	\N	\N
948369	3232	1998-03-31	VYDAJ	VYBER	15	16864	SLUZBY	\N	\N
948370	3232	1998-04-30	VYDAJ	VYBER	15	14709	SLUZBY	\N	\N
948371	3232	1998-05-31	VYDAJ	VYBER	15	16948	SLUZBY	\N	\N
948372	3232	1998-06-30	VYDAJ	VYBER	15	15994	SLUZBY	\N	\N
948373	3232	1998-07-31	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
948374	3232	1998-08-31	VYDAJ	VYBER	15	11485	SLUZBY	\N	\N
948375	3232	1998-09-30	VYDAJ	VYBER	15	13711	SLUZBY	\N	\N
948376	3232	1998-10-31	VYDAJ	VYBER	15	11641	SLUZBY	\N	\N
948377	3232	1998-11-30	VYDAJ	VYBER	15	10863	SLUZBY	\N	\N
948378	3232	1997-03-01	VYDAJ	VYBER	700	19556	\N	\N	\N
948379	3232	1997-03-31	VYDAJ	VYBER	5100	16732	\N	\N	\N
948380	3232	1997-04-30	VYDAJ	VYBER	4500	14480	\N	\N	\N
948381	3232	1997-05-30	VYDAJ	VYBER	4200	12452	\N	\N	\N
948382	3232	1997-07-29	VYDAJ	VYBER	4000	12920	\N	\N	\N
948383	3232	1997-08-28	VYDAJ	VYBER	3000	11599	\N	\N	\N
948384	3232	1997-10-27	VYDAJ	VYBER	2100	10346	\N	\N	\N
948385	3232	1997-12-26	VYDAJ	VYBER	3300	11487	\N	\N	\N
948386	3232	1998-04-25	VYDAJ	VYBER	4400	14651	\N	\N	\N
948387	3232	1998-06-24	VYDAJ	VYBER	3200	15935	\N	\N	\N
948388	3232	1998-08-23	VYDAJ	VYBER	4100	11440	\N	\N	\N
948389	3232	1998-10-22	VYDAJ	VYBER	4300	11598	\N	\N	\N
948390	3232	1998-11-21	VYDAJ	VYBER	3000	10828	\N	\N	\N
948418	3233	1995-03-03	PRIJEM	VKLAD	700	700	\N	\N	\N
948419	3233	1995-08-02	PRIJEM	VKLAD	45793	74001	\N	\N	\N
948421	3233	1995-11-12	PRIJEM	VKLAD	8377	34272	\N	\N	\N
948422	3233	1995-06-05	PRIJEM	VKLAD	30533	89447	\N	\N	\N
948423	3233	1995-07-02	PRIJEM	VKLAD	23136	50015	\N	\N	\N
948424	3233	1995-12-27	PRIJEM	VKLAD	7907	64384	\N	\N	\N
948425	3233	1995-05-12	PRIJEM	VKLAD	40393	88039	\N	\N	\N
948426	3233	1995-09-16	PRIJEM	VKLAD	36235	61366	\N	\N	\N
948427	3233	1995-07-09	PRIJEM	VKLAD	7525	57540	\N	\N	\N
948428	3233	1995-05-06	PRIJEM	VKLAD	30046	47646	\N	\N	\N
948429	3233	1995-12-13	PRIJEM	VKLAD	38420	60677	\N	\N	\N
948430	3233	1995-09-30	PRIJEM	VKLAD	7449	50015	\N	\N	\N
948431	3233	1995-06-21	PRIJEM	VKLAD	9177	105082	\N	\N	\N
948432	3233	1995-06-13	PRIJEM	VKLAD	6458	95905	\N	\N	\N
948433	3233	1996-03-02	PRIJEM	VKLAD	48217	66455	\N	\N	\N
948434	3233	1996-03-11	PRIJEM	VKLAD	26442	83853	\N	\N	\N
948435	3233	1996-08-11	PRIJEM	VKLAD	41291	71643	\N	\N	\N
948436	3233	1996-08-27	PRIJEM	VKLAD	24784	73727	\N	\N	\N
948437	3233	1996-11-18	PRIJEM	VKLAD	32362	79131	\N	\N	\N
948438	3233	1996-12-27	PRIJEM	VKLAD	43402	79255	\N	\N	\N
948439	3233	1996-01-01	PRIJEM	VKLAD	10806	34239	\N	\N	\N
948440	3233	1996-01-03	PRIJEM	VKLAD	37332	71571	\N	\N	\N
948441	3233	1996-11-16	PRIJEM	VKLAD	27571	46769	\N	\N	\N
948442	3233	1996-07-27	PRIJEM	VKLAD	20718	39324	\N	\N	\N
948443	3233	1997-06-14	PRIJEM	VKLAD	48621	91096	\N	\N	\N
948444	3233	1997-02-20	PRIJEM	VKLAD	22257	102635	\N	\N	\N
948445	3233	1997-06-14	PRIJEM	VKLAD	11924	103020	\N	\N	\N
948446	3233	1997-11-02	PRIJEM	VKLAD	48930	85891	\N	\N	\N
948447	3233	1997-01-26	PRIJEM	VKLAD	44493	88051	\N	\N	\N
948448	3233	1997-05-30	PRIJEM	VKLAD	49657	116925	\N	\N	\N
948449	3233	1997-02-28	PRIJEM	VKLAD	29523	92858	\N	\N	\N
948450	3233	1997-08-17	PRIJEM	VKLAD	36327	80244	\N	\N	\N
948451	3233	1997-10-09	PRIJEM	VKLAD	12149	42279	\N	\N	\N
948452	3233	1997-02-04	PRIJEM	VKLAD	38278	126586	\N	\N	\N
948453	3233	1997-07-01	PRIJEM	VKLAD	14523	81259	\N	\N	\N
948454	3233	1997-03-18	PRIJEM	VKLAD	12995	110727	\N	\N	\N
948455	3233	1997-01-10	PRIJEM	VKLAD	42140	110194	\N	\N	\N
948456	3233	1997-05-13	PRIJEM	VKLAD	38065	66684	\N	\N	\N
948457	3233	1997-12-28	PRIJEM	VKLAD	11420	47889	\N	\N	\N
948458	3233	1997-05-23	PRIJEM	VKLAD	19384	67268	\N	\N	\N
948459	3233	1997-01-20	PRIJEM	VKLAD	48531	69258	\N	\N	\N
948460	3233	1997-04-12	PRIJEM	VKLAD	40602	83825	\N	\N	\N
948461	3233	1997-03-14	PRIJEM	VKLAD	34472	118632	\N	\N	\N
948462	3233	1997-02-10	PRIJEM	VKLAD	48836	110522	\N	\N	\N
948463	3233	1998-12-03	PRIJEM	VKLAD	20843	89216	\N	\N	\N
948464	3233	1998-11-22	PRIJEM	VKLAD	17945	73260	\N	\N	\N
948465	3233	1998-06-12	PRIJEM	VKLAD	13096	44391	\N	\N	\N
948466	3233	1998-06-06	PRIJEM	VKLAD	48090	113839	\N	\N	\N
948467	3233	1998-11-08	PRIJEM	VKLAD	13198	53359	\N	\N	\N
948468	3233	1998-05-01	PRIJEM	VKLAD	38130	72975	\N	\N	\N
948469	3233	1998-12-29	PRIJEM	VKLAD	5671	78643	\N	\N	\N
948476	3233	1995-07-10	VYDAJ	PREVOD NA UCET	9044	48496	SIPO	GH	33019089
948477	3233	1995-08-10	VYDAJ	PREVOD NA UCET	9044	56557	SIPO	GH	33019089
948478	3233	1995-09-10	VYDAJ	PREVOD NA UCET	9044	25131	SIPO	GH	33019089
948479	3233	1995-10-10	VYDAJ	PREVOD NA UCET	9044	41151	SIPO	GH	33019089
948480	3233	1995-11-10	VYDAJ	PREVOD NA UCET	9044	25895	SIPO	GH	33019089
948481	3233	1995-12-10	VYDAJ	PREVOD NA UCET	9044	23757	SIPO	GH	33019089
948482	3233	1996-01-10	VYDAJ	PREVOD NA UCET	9044	55627	SIPO	GH	33019089
948483	3233	1996-02-10	VYDAJ	PREVOD NA UCET	9044	16351	SIPO	GH	33019089
948484	3233	1996-03-10	VYDAJ	PREVOD NA UCET	9044	57411	SIPO	GH	33019089
948485	3233	1996-04-10	VYDAJ	PREVOD NA UCET	9044	44340	SIPO	GH	33019089
948486	3233	1996-05-10	VYDAJ	PREVOD NA UCET	9044	26491	SIPO	GH	33019089
948487	3233	1996-06-10	VYDAJ	PREVOD NA UCET	9044	14871	SIPO	GH	33019089
948488	3233	1996-07-10	VYDAJ	PREVOD NA UCET	9044	8206	SIPO	GH	33019089
948489	3233	1996-08-10	VYDAJ	PREVOD NA UCET	9044	30352	SIPO	GH	33019089
948490	3233	1996-09-10	VYDAJ	PREVOD NA UCET	9044	61315	SIPO	GH	33019089
948491	3233	1996-10-10	VYDAJ	PREVOD NA UCET	9044	30605	SIPO	GH	33019089
948492	3233	1996-11-10	VYDAJ	PREVOD NA UCET	9044	19198	SIPO	GH	33019089
948493	3233	1996-12-10	VYDAJ	PREVOD NA UCET	9044	43553	SIPO	GH	33019089
948494	3233	1997-01-10	VYDAJ	PREVOD NA UCET	9044	101150	SIPO	GH	33019089
948495	3233	1997-02-10	VYDAJ	PREVOD NA UCET	9044	80378	SIPO	GH	33019089
948496	3233	1997-03-10	VYDAJ	PREVOD NA UCET	9044	84160	SIPO	GH	33019089
948497	3233	1997-04-10	VYDAJ	PREVOD NA UCET	9044	43223	SIPO	GH	33019089
948498	3233	1997-05-10	VYDAJ	PREVOD NA UCET	9044	28619	SIPO	GH	33019089
948499	3233	1997-06-10	VYDAJ	PREVOD NA UCET	9044	42475	SIPO	GH	33019089
948500	3233	1997-07-10	VYDAJ	PREVOD NA UCET	9044	72215	SIPO	GH	33019089
948501	3233	1997-08-10	VYDAJ	PREVOD NA UCET	9044	43917	SIPO	GH	33019089
948502	3233	1997-09-10	VYDAJ	PREVOD NA UCET	9044	36282	SIPO	GH	33019089
948503	3233	1997-10-10	VYDAJ	PREVOD NA UCET	9044	33235	SIPO	GH	33019089
948504	3233	1997-11-10	VYDAJ	PREVOD NA UCET	9044	72416	SIPO	GH	33019089
948505	3233	1997-12-10	VYDAJ	PREVOD NA UCET	9044	41709	SIPO	GH	33019089
948506	3233	1998-01-10	VYDAJ	PREVOD NA UCET	9044	21327	SIPO	GH	33019089
948507	3233	1998-02-10	VYDAJ	PREVOD NA UCET	9044	14684	SIPO	GH	33019089
948508	3233	1998-03-10	VYDAJ	PREVOD NA UCET	9044	22940	SIPO	GH	33019089
948509	3233	1998-04-10	VYDAJ	PREVOD NA UCET	9044	15114	SIPO	GH	33019089
948510	3233	1998-05-10	VYDAJ	PREVOD NA UCET	9044	63931	SIPO	GH	33019089
948511	3233	1998-06-10	VYDAJ	PREVOD NA UCET	9044	31295	SIPO	GH	33019089
948512	3233	1998-07-10	VYDAJ	PREVOD NA UCET	9044	45466	SIPO	GH	33019089
948513	3233	1998-08-10	VYDAJ	PREVOD NA UCET	9044	44830	SIPO	GH	33019089
948514	3233	1998-09-10	VYDAJ	PREVOD NA UCET	9044	49404	SIPO	GH	33019089
948515	3233	1998-10-10	VYDAJ	PREVOD NA UCET	9044	36587	SIPO	GH	33019089
948516	3233	1998-11-10	VYDAJ	PREVOD NA UCET	9044	44315	SIPO	GH	33019089
948517	3233	1998-12-10	VYDAJ	PREVOD NA UCET	9044	80172	SIPO	GH	33019089
948518	3233	1995-06-30	VYBER	VYBER	9031	24693	\N	\N	\N
948522	3233	1995-08-30	VYBER	VYBER	12298	44259	\N	\N	\N
948523	3233	1995-12-29	VYBER	VYBER	24921	23263	\N	\N	\N
948524	3233	1995-06-22	VYBER	VYBER	6352	33407	\N	\N	\N
948526	3233	1995-07-14	VYBER	VYBER	20824	27672	\N	\N	\N
948528	3233	1995-06-22	VYBER	VYBER	3423	39759	\N	\N	\N
948530	3233	1997-01-16	VYBER	VYBER	22329	30327	\N	\N	\N
948532	3233	1997-11-04	VYBER	VYBER	4431	81460	\N	\N	\N
948533	3233	1997-01-12	VYBER	VYBER	10394	82356	\N	\N	\N
948534	3233	1997-12-26	VYBER	VYBER	2640	36469	\N	\N	\N
948535	3233	1997-06-09	VYBER	VYBER	12528	51519	\N	\N	\N
948536	3233	1997-09-20	VYBER	VYBER	2095	29987	\N	\N	\N
948538	3233	1997-08-18	VYBER	VYBER	23713	56531	\N	\N	\N
948540	3233	1997-04-10	VYBER	VYBER	19615	52267	\N	\N	\N
948541	3233	1997-04-23	VYBER	VYBER	21314	37411	\N	\N	\N
948542	3233	1998-04-18	VYBER	VYBER	3676	34738	\N	\N	\N
948545	3233	1997-06-07	VYDAJ	VYBER	37500	64047	\N	\N	\N
948546	3233	1998-06-08	VYDAJ	VYBER	51600	40339	\N	\N	\N
948549	3233	1997-01-12	VYDAJ	VYBER	15000	67356	\N	\N	\N
948551	3233	1995-12-22	VYDAJ	VYBER	4200	56477	\N	\N	\N
948552	3233	1996-12-17	VYDAJ	VYBER	6600	36953	\N	\N	\N
948553	3233	1997-12-25	VYDAJ	VYBER	5700	39109	\N	\N	\N
948554	3233	1998-12-02	VYDAJ	VYBER	5100	68373	\N	\N	\N
948561	3233	1996-01-08	VYDAJ	VYBER	6900	64671	\N	\N	\N
948562	3233	1996-01-14	VYDAJ	VYBER	8100	42727	\N	\N	\N
948563	3233	1996-01-22	VYDAJ	VYBER	5400	33127	\N	\N	\N
948564	3233	1996-01-10	VYDAJ	VYBER	4800	50827	\N	\N	\N
948565	3233	1996-01-23	VYDAJ	VYBER	7200	25927	\N	\N	\N
948566	3233	1996-01-21	VYDAJ	VYBER	4200	38527	\N	\N	\N
948567	3233	1997-01-01	VYDAJ	VYBER	2700	74354	\N	\N	\N
948568	3233	1997-01-19	VYDAJ	VYBER	2700	20727	\N	\N	\N
948569	3233	1997-01-17	VYDAJ	VYBER	6900	23427	\N	\N	\N
948570	3233	1997-01-12	VYDAJ	VYBER	5100	62256	\N	\N	\N
948571	3233	1997-01-08	VYDAJ	VYBER	6300	68054	\N	\N	\N
948572	3233	1997-01-11	VYDAJ	VYBER	8400	92750	\N	\N	\N
948573	3233	1998-01-06	VYDAJ	VYBER	8400	30371	\N	\N	\N
948574	3233	1998-01-05	VYDAJ	VYBER	2400	38771	\N	\N	\N
948576	3233	1998-01-01	VYDAJ	VYBER	6900	41171	\N	\N	\N
948578	3233	1998-01-18	VYDAJ	VYBER	8700	23627	\N	\N	\N
948579	3233	1995-08-03	VYDAJ	VYBER	8400	65601	\N	\N	\N
948581	3233	1995-12-10	VYDAJ	VYBER	1500	22257	\N	\N	\N
948582	3233	1996-09-01	VYDAJ	VYBER	3600	70359	\N	\N	\N
948584	3233	1996-09-27	VYDAJ	VYBER	3900	39415	\N	\N	\N
948585	3233	1996-12-29	VYDAJ	VYBER	2400	76855	\N	\N	\N
948587	3233	1997-07-17	VYDAJ	VYBER	3000	69215	\N	\N	\N
948588	3233	1997-01-14	VYDAJ	VYBER	9600	52656	\N	\N	\N
948589	3233	1997-01-23	VYDAJ	VYBER	3300	43558	\N	\N	\N
948590	3233	1997-11-24	VYDAJ	VYBER	2100	50516	\N	\N	\N
948591	3233	1997-11-16	VYDAJ	VYBER	4200	68216	\N	\N	\N
948592	3233	1997-09-17	VYDAJ	VYBER	8700	27582	\N	\N	\N
948593	3233	1998-03-26	VYDAJ	VYBER	14400	24040	\N	\N	\N
948594	3233	1998-10-15	VYDAJ	VYBER	12600	39987	\N	\N	\N
948595	3233	1998-10-07	VYDAJ	VYBER	13200	45631	\N	\N	\N
948602	3233	1995-06-30	VYDAJ	VYBER	15	24679	SLUZBY	\N	\N
948603	3233	1995-07-31	VYDAJ	VYBER	15	28208	SLUZBY	\N	\N
948604	3233	1995-08-31	VYDAJ	VYBER	15	34175	SLUZBY	\N	\N
948605	3233	1995-09-30	VYDAJ	VYBER	15	50195	SLUZBY	\N	\N
948606	3233	1995-10-31	VYDAJ	VYBER	15	34939	SLUZBY	\N	\N
948607	3233	1995-11-30	VYDAJ	VYBER	15	32801	SLUZBY	\N	\N
948608	3233	1995-12-31	VYDAJ	VYBER	15	23433	SLUZBY	\N	\N
948609	3233	1996-01-31	VYDAJ	VYBER	15	25395	SLUZBY	\N	\N
948610	3233	1996-02-29	VYDAJ	VYBER	15	18238	SLUZBY	\N	\N
948611	3233	1996-03-31	VYDAJ	VYBER	15	53384	SLUZBY	\N	\N
948612	3233	1996-04-30	VYDAJ	VYBER	15	35535	SLUZBY	\N	\N
948613	3233	1996-05-31	VYDAJ	VYBER	15	23915	SLUZBY	\N	\N
948614	3233	1996-06-30	VYDAJ	VYBER	15	17250	SLUZBY	\N	\N
948615	3233	1996-07-31	VYDAJ	VYBER	15	39396	SLUZBY	\N	\N
948616	3233	1996-08-31	VYDAJ	VYBER	15	73959	SLUZBY	\N	\N
948617	3233	1996-09-30	VYDAJ	VYBER	15	39649	SLUZBY	\N	\N
948618	3233	1996-10-31	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
948619	3233	1996-11-30	VYDAJ	VYBER	15	52597	SLUZBY	\N	\N
948620	3233	1996-12-31	VYDAJ	VYBER	15	77054	SLUZBY	\N	\N
948621	3233	1997-01-31	VYDAJ	VYBER	15	88308	SLUZBY	\N	\N
948622	3233	1997-02-28	VYDAJ	VYBER	15	93204	SLUZBY	\N	\N
948623	3233	1997-03-31	VYDAJ	VYBER	15	71882	SLUZBY	\N	\N
948624	3233	1997-04-30	VYDAJ	VYBER	15	37663	SLUZBY	\N	\N
948625	3233	1997-05-31	VYDAJ	VYBER	15	101547	SLUZBY	\N	\N
948626	3233	1997-06-30	VYDAJ	VYBER	15	66736	SLUZBY	\N	\N
948627	3233	1997-07-31	VYDAJ	VYBER	15	52961	SLUZBY	\N	\N
948628	3233	1997-08-31	VYDAJ	VYBER	15	45326	SLUZBY	\N	\N
948629	3233	1997-09-30	VYDAJ	VYBER	15	30130	SLUZBY	\N	\N
948630	3233	1997-10-31	VYDAJ	VYBER	15	36961	SLUZBY	\N	\N
948631	3233	1997-11-30	VYDAJ	VYBER	15	50753	SLUZBY	\N	\N
948632	3233	1997-12-31	VYDAJ	VYBER	15	48071	SLUZBY	\N	\N
948633	3233	1998-01-31	VYDAJ	VYBER	15	23728	SLUZBY	\N	\N
948634	3233	1998-02-28	VYDAJ	VYBER	15	31984	SLUZBY	\N	\N
948635	3233	1998-03-31	VYDAJ	VYBER	15	24158	SLUZBY	\N	\N
948636	3233	1998-04-30	VYDAJ	VYBER	15	34845	SLUZBY	\N	\N
948637	3233	1998-05-31	VYDAJ	VYBER	15	65749	SLUZBY	\N	\N
948638	3233	1998-06-30	VYDAJ	VYBER	15	54510	SLUZBY	\N	\N
948639	3233	1998-07-31	VYDAJ	VYBER	15	53874	SLUZBY	\N	\N
948640	3233	1998-08-31	VYDAJ	VYBER	15	58448	SLUZBY	\N	\N
948641	3233	1998-09-30	VYDAJ	VYBER	15	58831	SLUZBY	\N	\N
948642	3233	1998-10-31	VYDAJ	VYBER	15	40161	SLUZBY	\N	\N
948643	3233	1998-11-30	VYDAJ	VYBER	15	73473	SLUZBY	\N	\N
948644	3233	1995-04-02	PRIJEM	VKLAD	11100	11800	\N	\N	\N
948645	3233	1995-05-02	PRIJEM	VKLAD	5800	17600	\N	\N	\N
948646	3233	1995-06-01	VYDAJ	VYBER	29400	58914	\N	\N	\N
948647	3233	1995-06-21	VYDAJ	VYBER	61900	43182	\N	\N	\N
948648	3233	1995-07-01	PRIJEM	VKLAD	2200	26879	\N	\N	\N
948649	3233	1995-07-31	PRIJEM	VKLAD	400	28072	\N	\N	\N
948650	3233	1995-08-30	VYDAJ	VYBER	10300	33959	\N	\N	\N
948651	3233	1995-09-29	VYDAJ	VYBER	18800	42566	\N	\N	\N
948652	3233	1995-10-29	VYDAJ	VYBER	6400	34751	\N	\N	\N
948653	3233	1995-11-28	VYDAJ	VYBER	1600	32672	\N	\N	\N
948654	3233	1995-12-28	VYDAJ	VYBER	16200	48184	\N	\N	\N
948655	3233	1996-01-27	VYDAJ	VYBER	700	25227	\N	\N	\N
948656	3233	1996-02-26	PRIJEM	VKLAD	1800	18151	\N	\N	\N
948657	3233	1996-03-27	VYDAJ	VYBER	30700	53153	\N	\N	\N
948658	3233	1996-04-26	VYDAJ	VYBER	9000	35340	\N	\N	\N
948659	3233	1996-05-26	VYDAJ	VYBER	2700	23791	\N	\N	\N
948660	3233	1996-06-25	PRIJEM	VKLAD	2300	17171	\N	\N	\N
948661	3233	1996-07-25	PRIJEM	VKLAD	10400	18606	\N	\N	\N
948662	3233	1996-08-24	VYDAJ	VYBER	22700	48943	\N	\N	\N
948663	3233	1996-09-23	VYDAJ	VYBER	18000	43315	\N	\N	\N
948664	3233	1996-10-23	VYDAJ	VYBER	2500	28105	\N	\N	\N
948665	3233	1996-11-22	VYDAJ	VYBER	26700	52431	\N	\N	\N
948666	3233	1996-12-22	VYDAJ	VYBER	1100	35853	\N	\N	\N
948667	3233	1997-01-21	VYDAJ	VYBER	22400	46858	\N	\N	\N
948668	3233	1997-02-04	VYDAJ	VYBER	64900	61686	\N	\N	\N
948669	3233	1997-02-10	VYDAJ	VYBER	21100	89422	\N	\N	\N
948670	3233	1997-02-20	VYDAJ	VYBER	39300	63335	\N	\N	\N
948671	3233	1997-03-14	VYDAJ	VYBER	20900	97732	\N	\N	\N
948672	3233	1997-03-22	VYDAJ	VYBER	39200	71527	\N	\N	\N
948673	3233	1997-04-21	VYDAJ	VYBER	25100	58725	\N	\N	\N
948674	3233	1997-05-21	VYDAJ	VYBER	18800	47884	\N	\N	\N
948675	3233	1997-05-30	VYDAJ	VYBER	15600	101325	\N	\N	\N
948676	3233	1997-06-20	VYDAJ	VYBER	36600	66420	\N	\N	\N
948677	3233	1997-07-20	VYDAJ	VYBER	16500	52715	\N	\N	\N
948678	3233	1997-08-19	VYDAJ	VYBER	11400	45131	\N	\N	\N
948679	3233	1997-09-18	PRIJEM	VKLAD	4500	32082	\N	\N	\N
948680	3233	1997-10-18	PRIJEM	VKLAD	3600	36835	\N	\N	\N
948681	3233	1997-11-17	VYDAJ	VYBER	15600	52616	\N	\N	\N
948682	3233	1997-12-17	PRIJEM	VKLAD	3100	44809	\N	\N	\N
948683	3233	1998-01-16	PRIJEM	VKLAD	11000	32327	\N	\N	\N
948684	3233	1998-02-15	PRIJEM	VKLAD	17200	31884	\N	\N	\N
948685	3233	1998-03-17	PRIJEM	VKLAD	15500	38440	\N	\N	\N
948686	3233	1998-04-16	PRIJEM	VKLAD	23300	38414	\N	\N	\N
948687	3233	1998-05-16	PRIJEM	VKLAD	1600	65531	\N	\N	\N
948688	3233	1998-06-06	VYDAJ	VYBER	21900	91939	\N	\N	\N
948689	3233	1998-06-15	PRIJEM	VKLAD	9900	54291	\N	\N	\N
948690	3233	1998-07-15	PRIJEM	VKLAD	8200	53666	\N	\N	\N
948691	3233	1998-08-14	PRIJEM	VKLAD	13400	58230	\N	\N	\N
948692	3233	1998-09-13	PRIJEM	VKLAD	9200	58604	\N	\N	\N
948693	3233	1998-10-13	PRIJEM	VKLAD	16000	52587	\N	\N	\N
948694	3233	1998-11-12	PRIJEM	VKLAD	11000	55315	\N	\N	\N
948695	3233	1998-12-12	VYDAJ	VYBER	7200	72972	\N	\N	\N
948740	3234	1995-09-16	PRIJEM	VKLAD	900	900	\N	\N	\N
948750	3234	1995-10-11	PRIJEM	PREVOD Z UCTU	3989	4889	\N	IJ	17588520
948751	3234	1995-11-11	PRIJEM	PREVOD Z UCTU	3989	18209	\N	IJ	17588520
948752	3234	1995-12-11	PRIJEM	PREVOD Z UCTU	3989	26074	\N	IJ	17588520
948753	3234	1996-01-11	PRIJEM	PREVOD Z UCTU	3989	30465	\N	IJ	17588520
948754	3234	1996-02-11	PRIJEM	PREVOD Z UCTU	3989	31466	\N	IJ	17588520
948755	3234	1996-03-11	PRIJEM	PREVOD Z UCTU	3989	29769	\N	IJ	17588520
948756	3234	1996-04-11	PRIJEM	PREVOD Z UCTU	3989	33111	\N	IJ	17588520
948757	3234	1996-05-11	PRIJEM	PREVOD Z UCTU	3989	30753	\N	IJ	17588520
948758	3234	1996-06-11	PRIJEM	PREVOD Z UCTU	3989	30891	\N	IJ	17588520
948759	3234	1996-07-11	PRIJEM	PREVOD Z UCTU	3989	22497	\N	IJ	17588520
948760	3234	1996-08-11	PRIJEM	PREVOD Z UCTU	3989	28217	\N	IJ	17588520
948761	3234	1996-09-11	PRIJEM	PREVOD Z UCTU	3989	23627	\N	IJ	17588520
948762	3234	1996-10-11	PRIJEM	PREVOD Z UCTU	3989	25719	\N	IJ	17588520
948763	3234	1996-11-11	PRIJEM	PREVOD Z UCTU	3989	26738	\N	IJ	17588520
948764	3234	1996-12-11	PRIJEM	PREVOD Z UCTU	3989	29062	\N	IJ	17588520
948765	3234	1997-01-11	PRIJEM	PREVOD Z UCTU	3989	25385	\N	IJ	17588520
948766	3234	1997-02-11	PRIJEM	PREVOD Z UCTU	3989	26007	\N	IJ	17588520
948767	3234	1997-03-11	PRIJEM	PREVOD Z UCTU	3989	23330	\N	IJ	17588520
948768	3234	1997-04-11	PRIJEM	PREVOD Z UCTU	3989	25344	\N	IJ	17588520
948769	3234	1997-05-11	PRIJEM	PREVOD Z UCTU	3989	23531	\N	IJ	17588520
948770	3234	1997-06-11	PRIJEM	PREVOD Z UCTU	3989	23644	\N	IJ	17588520
948771	3234	1997-07-11	PRIJEM	PREVOD Z UCTU	3989	22984	\N	IJ	17588520
948772	3234	1997-08-11	PRIJEM	PREVOD Z UCTU	3989	24288	\N	IJ	17588520
948773	3234	1997-09-11	PRIJEM	PREVOD Z UCTU	3989	21401	\N	IJ	17588520
948774	3234	1997-10-11	PRIJEM	PREVOD Z UCTU	3989	17804	\N	IJ	17588520
948775	3234	1997-11-11	PRIJEM	PREVOD Z UCTU	3989	18594	\N	IJ	17588520
948776	3234	1997-12-11	PRIJEM	PREVOD Z UCTU	3989	16784	\N	IJ	17588520
948777	3234	1998-01-11	PRIJEM	PREVOD Z UCTU	3989	17368	\N	IJ	17588520
948778	3234	1998-02-11	PRIJEM	PREVOD Z UCTU	3989	13952	\N	IJ	17588520
948779	3234	1998-03-11	PRIJEM	PREVOD Z UCTU	3989	18026	\N	IJ	17588520
948780	3234	1998-04-11	PRIJEM	PREVOD Z UCTU	3989	15710	\N	IJ	17588520
948781	3234	1998-05-11	PRIJEM	PREVOD Z UCTU	3989	14890	\N	IJ	17588520
948782	3234	1998-06-11	PRIJEM	PREVOD Z UCTU	3989	16265	\N	IJ	17588520
948783	3234	1998-07-11	PRIJEM	PREVOD Z UCTU	3989	17646	\N	IJ	17588520
948784	3234	1998-08-11	PRIJEM	PREVOD Z UCTU	3989	19032	\N	IJ	17588520
948785	3234	1998-09-11	PRIJEM	PREVOD Z UCTU	3989	16624	\N	IJ	17588520
948786	3234	1998-10-11	PRIJEM	PREVOD Z UCTU	3989	14311	\N	IJ	17588520
948787	3234	1998-11-11	PRIJEM	PREVOD Z UCTU	3989	15688	\N	IJ	17588520
948788	3234	1998-12-11	PRIJEM	PREVOD Z UCTU	3989	13965	\N	IJ	17588520
948803	3234	1996-03-07	VYDAJ	PREVOD NA UCET	2659	25780	SIPO	UV	99641459
948804	3234	1996-04-07	VYDAJ	PREVOD NA UCET	2659	29122	SIPO	UV	99641459
948805	3234	1996-05-07	VYDAJ	PREVOD NA UCET	2659	26764	SIPO	UV	99641459
948806	3234	1996-06-07	VYDAJ	PREVOD NA UCET	2659	26902	SIPO	UV	99641459
948807	3234	1996-07-07	VYDAJ	PREVOD NA UCET	2659	19948	SIPO	UV	99641459
948808	3234	1996-08-07	VYDAJ	PREVOD NA UCET	2659	24228	SIPO	UV	99641459
948809	3234	1996-09-07	VYDAJ	PREVOD NA UCET	2659	20138	SIPO	UV	99641459
948810	3234	1996-10-07	VYDAJ	PREVOD NA UCET	2659	20630	SIPO	UV	99641459
948811	3234	1996-11-07	VYDAJ	PREVOD NA UCET	2659	23149	SIPO	UV	99641459
948812	3234	1996-12-07	VYDAJ	PREVOD NA UCET	2659	24173	SIPO	UV	99641459
948813	3234	1997-01-07	VYDAJ	PREVOD NA UCET	2659	25696	SIPO	UV	99641459
948814	3234	1997-02-07	VYDAJ	PREVOD NA UCET	2659	22018	SIPO	UV	99641459
948815	3234	1997-03-07	VYDAJ	PREVOD NA UCET	2659	23441	SIPO	UV	99641459
948816	3234	1997-04-07	VYDAJ	PREVOD NA UCET	2659	20755	SIPO	UV	99641459
948817	3234	1997-05-07	VYDAJ	PREVOD NA UCET	2659	21842	SIPO	UV	99641459
948818	3234	1997-06-07	VYDAJ	PREVOD NA UCET	2659	20955	SIPO	UV	99641459
948819	3234	1997-07-07	VYDAJ	PREVOD NA UCET	2659	18995	SIPO	UV	99641459
948820	3234	1997-08-07	VYDAJ	PREVOD NA UCET	2659	20299	SIPO	UV	99641459
948821	3234	1997-09-07	VYDAJ	PREVOD NA UCET	2659	17412	SIPO	UV	99641459
948822	3234	1997-10-07	VYDAJ	PREVOD NA UCET	2659	13815	SIPO	UV	99641459
948823	3234	1997-11-07	VYDAJ	PREVOD NA UCET	2659	14605	SIPO	UV	99641459
948824	3234	1997-12-07	VYDAJ	PREVOD NA UCET	2659	12795	SIPO	UV	99641459
948825	3234	1998-01-07	VYDAJ	PREVOD NA UCET	2659	13379	SIPO	UV	99641459
948826	3234	1998-02-07	VYDAJ	PREVOD NA UCET	2659	9963	SIPO	UV	99641459
948827	3234	1998-03-07	VYDAJ	PREVOD NA UCET	2659	14037	SIPO	UV	99641459
948828	3234	1998-04-07	VYDAJ	PREVOD NA UCET	2659	11721	SIPO	UV	99641459
948829	3234	1998-05-07	VYDAJ	PREVOD NA UCET	2659	10901	SIPO	UV	99641459
948830	3234	1998-06-07	VYDAJ	PREVOD NA UCET	2659	12276	SIPO	UV	99641459
948831	3234	1998-07-07	VYDAJ	PREVOD NA UCET	2659	13657	SIPO	UV	99641459
948832	3234	1998-08-07	VYDAJ	PREVOD NA UCET	2659	15043	SIPO	UV	99641459
948833	3234	1998-09-07	VYDAJ	PREVOD NA UCET	2659	12635	SIPO	UV	99641459
948834	3234	1998-10-07	VYDAJ	PREVOD NA UCET	2659	10322	SIPO	UV	99641459
948835	3234	1998-11-07	VYDAJ	PREVOD NA UCET	2659	11699	SIPO	UV	99641459
948836	3234	1998-12-07	VYDAJ	PREVOD NA UCET	2659	9976	SIPO	UV	99641459
948838	3234	1996-06-18	VYDAJ	VYBER	6180	22511	\N	\N	\N
948839	3234	1997-06-18	VYDAJ	VYBER	6060	17584	\N	\N	\N
948842	3234	1996-12-11	VYDAJ	VYBER	810	28252	\N	\N	\N
948851	3234	1996-02-21	VYDAJ	VYBER	390	28576	\N	\N	\N
948852	3234	1996-09-23	VYDAJ	VYBER	420	23207	\N	\N	\N
948853	3234	1996-09-07	VYDAJ	VYBER	1320	22797	\N	\N	\N
948854	3234	1996-07-10	VYDAJ	VYBER	1440	18508	\N	\N	\N
948855	3234	1996-02-24	VYDAJ	VYBER	240	28336	\N	\N	\N
948856	3234	1997-09-01	VYDAJ	VYBER	300	24071	\N	\N	\N
948857	3234	1997-05-05	VYDAJ	VYBER	570	24861	\N	\N	\N
948858	3234	1997-05-06	VYDAJ	VYBER	360	24501	\N	\N	\N
948878	3234	1996-02-29	VYDAJ	VYBER	15	28439	SLUZBY	\N	\N
948879	3234	1996-03-31	VYDAJ	VYBER	15	31781	SLUZBY	\N	\N
948880	3234	1996-04-30	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
948881	3234	1996-05-31	VYDAJ	VYBER	15	29561	SLUZBY	\N	\N
948882	3234	1996-06-30	VYDAJ	VYBER	15	22607	SLUZBY	\N	\N
948883	3234	1996-07-31	VYDAJ	VYBER	15	26887	SLUZBY	\N	\N
948884	3234	1996-08-31	VYDAJ	VYBER	15	24117	SLUZBY	\N	\N
948885	3234	1996-09-30	VYDAJ	VYBER	15	23289	SLUZBY	\N	\N
948886	3234	1996-10-31	VYDAJ	VYBER	15	25808	SLUZBY	\N	\N
948887	3234	1996-11-30	VYDAJ	VYBER	15	26832	SLUZBY	\N	\N
948888	3234	1996-12-31	VYDAJ	VYBER	15	28355	SLUZBY	\N	\N
948889	3234	1997-01-31	VYDAJ	VYBER	15	25477	SLUZBY	\N	\N
948890	3234	1997-02-28	VYDAJ	VYBER	15	26100	SLUZBY	\N	\N
948891	3234	1997-03-31	VYDAJ	VYBER	15	23414	SLUZBY	\N	\N
948892	3234	1997-04-30	VYDAJ	VYBER	15	25431	SLUZBY	\N	\N
948893	3234	1997-05-31	VYDAJ	VYBER	15	23614	SLUZBY	\N	\N
948894	3234	1997-06-30	VYDAJ	VYBER	15	17654	SLUZBY	\N	\N
948895	3234	1997-07-31	VYDAJ	VYBER	15	23058	SLUZBY	\N	\N
948896	3234	1997-08-31	VYDAJ	VYBER	15	24371	SLUZBY	\N	\N
948897	3234	1997-09-30	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
948898	3234	1997-10-31	VYDAJ	VYBER	15	17864	SLUZBY	\N	\N
948899	3234	1997-11-30	VYDAJ	VYBER	15	18654	SLUZBY	\N	\N
948900	3234	1997-12-31	VYDAJ	VYBER	15	16838	SLUZBY	\N	\N
948901	3234	1998-01-31	VYDAJ	VYBER	15	17422	SLUZBY	\N	\N
948902	3234	1998-02-28	VYDAJ	VYBER	15	13996	SLUZBY	\N	\N
948903	3234	1998-03-31	VYDAJ	VYBER	15	18080	SLUZBY	\N	\N
948904	3234	1998-04-30	VYDAJ	VYBER	15	15760	SLUZBY	\N	\N
948905	3234	1998-05-31	VYDAJ	VYBER	15	14935	SLUZBY	\N	\N
948906	3234	1998-06-30	VYDAJ	VYBER	15	16316	SLUZBY	\N	\N
948907	3234	1998-07-31	VYDAJ	VYBER	15	17702	SLUZBY	\N	\N
948908	3234	1998-08-31	VYDAJ	VYBER	15	19094	SLUZBY	\N	\N
948909	3234	1998-09-30	VYDAJ	VYBER	15	16681	SLUZBY	\N	\N
948910	3234	1998-10-31	VYDAJ	VYBER	15	14358	SLUZBY	\N	\N
948911	3234	1998-11-30	VYDAJ	VYBER	15	12635	SLUZBY	\N	\N
948912	3234	1995-10-16	PRIJEM	VKLAD	9300	14189	\N	\N	\N
948913	3234	1995-11-15	PRIJEM	VKLAD	3800	22009	\N	\N	\N
948914	3234	1995-12-15	PRIJEM	VKLAD	300	26374	\N	\N	\N
948915	3234	1996-01-14	VYDAJ	VYBER	3100	27365	\N	\N	\N
948916	3234	1996-02-13	VYDAJ	VYBER	2500	28966	\N	\N	\N
948917	3234	1996-03-14	PRIJEM	VKLAD	1900	31669	\N	\N	\N
948918	3234	1996-04-13	VYDAJ	VYBER	3800	29311	\N	\N	\N
948919	3234	1996-05-13	VYDAJ	VYBER	1300	29453	\N	\N	\N
948920	3234	1996-06-12	VYDAJ	VYBER	2200	28691	\N	\N	\N
948921	3234	1996-07-12	PRIJEM	VKLAD	4300	26797	\N	\N	\N
948922	3234	1996-08-11	VYDAJ	VYBER	4200	24017	\N	\N	\N
948923	3234	1996-09-10	VYDAJ	VYBER	500	19638	\N	\N	\N
948924	3234	1996-10-10	PRIJEM	VKLAD	1100	21730	\N	\N	\N
948925	3234	1996-11-09	VYDAJ	VYBER	400	22749	\N	\N	\N
948926	3234	1996-12-09	PRIJEM	VKLAD	900	25073	\N	\N	\N
948927	3234	1997-01-08	VYDAJ	VYBER	4300	21396	\N	\N	\N
948928	3234	1997-02-07	VYDAJ	VYBER	800	24677	\N	\N	\N
948929	3234	1997-03-09	VYDAJ	VYBER	4100	19341	\N	\N	\N
948930	3234	1997-04-08	PRIJEM	VKLAD	600	21355	\N	\N	\N
948931	3234	1997-05-08	VYDAJ	VYBER	2300	19542	\N	\N	\N
948932	3234	1997-06-07	VYDAJ	VYBER	1300	19655	\N	\N	\N
948933	3234	1997-07-07	PRIJEM	VKLAD	4000	21654	\N	\N	\N
948934	3234	1997-08-06	VYDAJ	VYBER	100	22958	\N	\N	\N
948935	3234	1997-09-05	VYDAJ	VYBER	4000	20071	\N	\N	\N
948936	3234	1997-10-05	VYDAJ	VYBER	5000	16474	\N	\N	\N
948937	3234	1997-11-04	VYDAJ	VYBER	600	17264	\N	\N	\N
948938	3234	1997-12-04	VYDAJ	VYBER	3200	15454	\N	\N	\N
948939	3234	1998-01-03	VYDAJ	VYBER	800	16038	\N	\N	\N
948940	3234	1998-02-02	VYDAJ	VYBER	4800	12622	\N	\N	\N
948941	3234	1998-03-04	PRIJEM	VKLAD	2700	16696	\N	\N	\N
948942	3234	1998-04-03	VYDAJ	VYBER	3700	14380	\N	\N	\N
948943	3234	1998-05-03	VYDAJ	VYBER	2200	13560	\N	\N	\N
948944	3234	1998-08-31	VYDAJ	VYBER	3800	15294	\N	\N	\N
948945	3234	1998-09-30	VYDAJ	VYBER	3700	12981	\N	\N	\N
948946	3234	1998-11-29	VYDAJ	VYBER	3100	12588	\N	\N	\N
948986	3235	1995-01-26	PRIJEM	VKLAD	400	400	\N	\N	\N
948988	3235	1995-02-11	PRIJEM	VKLAD	18830	19230	\N	\N	\N
948989	3235	1995-03-11	PRIJEM	VKLAD	18830	39572	\N	\N	\N
948990	3235	1995-04-11	PRIJEM	VKLAD	18830	49395	\N	\N	\N
948991	3235	1995-05-11	PRIJEM	VKLAD	18830	57158	\N	\N	\N
948992	3235	1995-06-11	PRIJEM	VKLAD	28245	67963	\N	\N	\N
948993	3235	1995-07-11	PRIJEM	VKLAD	18830	38582	\N	\N	\N
948994	3235	1995-08-11	PRIJEM	VKLAD	18830	39882	\N	\N	\N
948995	3235	1995-09-11	PRIJEM	VKLAD	18830	43187	\N	\N	\N
948996	3235	1995-10-11	PRIJEM	VKLAD	18830	44404	\N	\N	\N
948997	3235	1995-11-11	PRIJEM	VKLAD	18830	43221	\N	\N	\N
948998	3235	1995-12-11	PRIJEM	VKLAD	28245	53250	\N	\N	\N
948999	3235	1996-01-11	PRIJEM	VKLAD	18830	39821	\N	\N	\N
949000	3235	1996-02-11	PRIJEM	VKLAD	18830	32792	\N	\N	\N
949001	3235	1996-03-11	PRIJEM	VKLAD	18830	36664	\N	\N	\N
949002	3235	1996-04-11	PRIJEM	VKLAD	18830	39451	\N	\N	\N
949003	3235	1996-05-11	PRIJEM	VKLAD	18830	38849	\N	\N	\N
949004	3235	1996-06-11	PRIJEM	VKLAD	28245	50358	\N	\N	\N
949005	3235	1996-07-11	PRIJEM	VKLAD	18830	45696	\N	\N	\N
949006	3235	1996-08-11	PRIJEM	VKLAD	18830	42308	\N	\N	\N
949007	3235	1996-09-11	PRIJEM	VKLAD	18830	43311	\N	\N	\N
949008	3235	1996-10-11	PRIJEM	VKLAD	18830	40109	\N	\N	\N
949009	3235	1996-11-11	PRIJEM	VKLAD	18830	40000	\N	\N	\N
949010	3235	1996-12-11	PRIJEM	VKLAD	28245	50790	\N	\N	\N
949011	3235	1997-01-11	PRIJEM	VKLAD	18830	41816	\N	\N	\N
949012	3235	1997-02-11	PRIJEM	VKLAD	18830	37341	\N	\N	\N
949013	3235	1997-03-11	PRIJEM	VKLAD	18830	39019	\N	\N	\N
949014	3235	1997-04-11	PRIJEM	VKLAD	18830	38669	\N	\N	\N
949015	3235	1997-05-11	PRIJEM	VKLAD	18830	44263	\N	\N	\N
949016	3235	1997-06-11	PRIJEM	VKLAD	28245	57491	\N	\N	\N
949017	3235	1997-07-11	PRIJEM	VKLAD	18830	54629	\N	\N	\N
949018	3235	1997-08-11	PRIJEM	VKLAD	18830	52770	\N	\N	\N
949019	3235	1997-09-11	PRIJEM	VKLAD	18830	52906	\N	\N	\N
949020	3235	1997-10-11	PRIJEM	VKLAD	18830	50534	\N	\N	\N
949021	3235	1997-11-11	PRIJEM	VKLAD	18830	50942	\N	\N	\N
949022	3235	1997-12-11	PRIJEM	VKLAD	28245	58622	\N	\N	\N
949023	3235	1998-01-11	PRIJEM	VKLAD	18830	52908	\N	\N	\N
949024	3235	1998-02-11	PRIJEM	VKLAD	18830	54986	\N	\N	\N
949025	3235	1998-03-11	PRIJEM	VKLAD	18830	61015	\N	\N	\N
949026	3235	1998-04-11	PRIJEM	VKLAD	18830	57576	\N	\N	\N
949027	3235	1998-05-11	PRIJEM	VKLAD	18830	63567	\N	\N	\N
949028	3235	1998-06-11	PRIJEM	VKLAD	28245	76202	\N	\N	\N
949029	3235	1998-07-11	PRIJEM	VKLAD	18830	74254	\N	\N	\N
949030	3235	1998-08-11	PRIJEM	VKLAD	18830	79018	\N	\N	\N
949031	3235	1998-09-11	PRIJEM	VKLAD	18830	82400	\N	\N	\N
949032	3235	1998-10-11	PRIJEM	VKLAD	18830	85595	\N	\N	\N
949033	3235	1998-11-11	PRIJEM	VKLAD	18830	82904	\N	\N	\N
949034	3235	1998-12-11	PRIJEM	VKLAD	28245	98121	\N	\N	\N
949041	3235	1995-07-07	VYDAJ	PREVOD NA UCET	6149	19752	SIPO	EF	74219459
949042	3235	1995-08-07	VYDAJ	PREVOD NA UCET	6149	21052	SIPO	EF	74219459
949043	3235	1995-09-07	VYDAJ	PREVOD NA UCET	6149	24357	SIPO	EF	74219459
949044	3235	1995-10-07	VYDAJ	PREVOD NA UCET	6149	25574	SIPO	EF	74219459
949045	3235	1995-11-07	VYDAJ	PREVOD NA UCET	6149	24391	SIPO	EF	74219459
949046	3235	1995-12-07	VYDAJ	PREVOD NA UCET	6149	25005	SIPO	EF	74219459
949047	3235	1996-01-07	VYDAJ	PREVOD NA UCET	6149	24231	SIPO	EF	74219459
949048	3235	1996-02-07	VYDAJ	PREVOD NA UCET	6149	13962	SIPO	EF	74219459
949049	3235	1996-03-07	VYDAJ	PREVOD NA UCET	6149	17834	SIPO	EF	74219459
949050	3235	1996-04-07	VYDAJ	PREVOD NA UCET	6149	20621	SIPO	EF	74219459
949051	3235	1996-05-07	VYDAJ	PREVOD NA UCET	6149	20019	SIPO	EF	74219459
949052	3235	1996-06-07	VYDAJ	PREVOD NA UCET	6149	22113	SIPO	EF	74219459
949053	3235	1996-07-07	VYDAJ	PREVOD NA UCET	6149	26866	SIPO	EF	74219459
949054	3235	1996-08-07	VYDAJ	PREVOD NA UCET	6149	23478	SIPO	EF	74219459
949055	3235	1996-09-07	VYDAJ	PREVOD NA UCET	6149	24481	SIPO	EF	74219459
949056	3235	1996-10-07	VYDAJ	PREVOD NA UCET	6149	21279	SIPO	EF	74219459
949057	3235	1996-11-07	VYDAJ	PREVOD NA UCET	6149	21170	SIPO	EF	74219459
949058	3235	1996-12-07	VYDAJ	PREVOD NA UCET	6149	22545	SIPO	EF	74219459
949059	3235	1997-01-07	VYDAJ	PREVOD NA UCET	6149	22986	SIPO	EF	74219459
949060	3235	1997-02-07	VYDAJ	PREVOD NA UCET	6149	18511	SIPO	EF	74219459
949061	3235	1997-03-07	VYDAJ	PREVOD NA UCET	6149	20189	SIPO	EF	74219459
949062	3235	1997-04-07	VYDAJ	PREVOD NA UCET	6149	19839	SIPO	EF	74219459
949063	3235	1997-05-07	VYDAJ	PREVOD NA UCET	6149	25433	SIPO	EF	74219459
949064	3235	1997-06-07	VYDAJ	PREVOD NA UCET	6149	29246	SIPO	EF	74219459
949065	3235	1997-07-07	VYDAJ	PREVOD NA UCET	6149	35799	SIPO	EF	74219459
949066	3235	1997-08-07	VYDAJ	PREVOD NA UCET	6149	33940	SIPO	EF	74219459
949067	3235	1997-09-07	VYDAJ	PREVOD NA UCET	6149	34076	SIPO	EF	74219459
949068	3235	1997-10-07	VYDAJ	PREVOD NA UCET	6149	31704	SIPO	EF	74219459
949069	3235	1997-11-07	VYDAJ	PREVOD NA UCET	6149	32112	SIPO	EF	74219459
949070	3235	1997-12-07	VYDAJ	PREVOD NA UCET	6149	32137	SIPO	EF	74219459
949071	3235	1998-01-07	VYDAJ	PREVOD NA UCET	6149	34778	SIPO	EF	74219459
949072	3235	1998-02-07	VYDAJ	PREVOD NA UCET	6149	41056	SIPO	EF	74219459
949073	3235	1998-03-07	VYDAJ	PREVOD NA UCET	6149	42185	SIPO	EF	74219459
949074	3235	1998-04-07	VYDAJ	PREVOD NA UCET	6149	43886	SIPO	EF	74219459
949075	3235	1998-05-07	VYDAJ	PREVOD NA UCET	6149	51637	SIPO	EF	74219459
949076	3235	1998-06-07	VYDAJ	PREVOD NA UCET	6149	57657	SIPO	EF	74219459
949077	3235	1998-07-07	VYDAJ	PREVOD NA UCET	6149	63924	SIPO	EF	74219459
949078	3235	1998-08-07	VYDAJ	PREVOD NA UCET	6149	68388	SIPO	EF	74219459
949079	3235	1998-09-07	VYDAJ	PREVOD NA UCET	6149	73170	SIPO	EF	74219459
949080	3235	1998-10-07	VYDAJ	PREVOD NA UCET	6149	76565	SIPO	EF	74219459
949081	3235	1998-11-07	VYDAJ	PREVOD NA UCET	6149	64074	SIPO	EF	74219459
949082	3235	1998-12-07	VYDAJ	PREVOD NA UCET	6149	69876	SIPO	EF	74219459
949083	3235	1995-06-11	VYDAJ	VYBER	38880	29083	\N	\N	\N
949086	3235	1998-06-21	VYDAJ	VYBER	6400	69802	\N	\N	\N
949087	3235	1995-12-24	VYDAJ	VYBER	3040	31910	\N	\N	\N
949088	3235	1996-12-07	VYDAJ	VYBER	1920	28694	\N	\N	\N
949089	3235	1997-12-08	VYDAJ	VYBER	1760	30377	\N	\N	\N
949090	3235	1998-12-28	VYDAJ	VYBER KARTOU	2900	95221	\N	\N	0
949097	3235	1996-01-18	VYDAJ	VYBER	720	39101	\N	\N	\N
949098	3235	1996-01-04	VYDAJ	VYBER	1680	30380	\N	\N	\N
949099	3235	1996-01-22	VYDAJ	VYBER	3480	22401	\N	\N	\N
949100	3235	1996-01-19	VYDAJ	VYBER	1920	37181	\N	\N	\N
949101	3235	1996-01-29	VYDAJ	VYBER	2400	20001	\N	\N	\N
949102	3235	1996-01-10	VYDAJ	VYBER	3240	20991	\N	\N	\N
949103	3235	1997-01-17	VYDAJ	VYBER	2520	24556	\N	\N	\N
949104	3235	1997-01-07	VYDAJ	VYBER	720	29135	\N	\N	\N
949105	3235	1997-01-13	VYDAJ	VYBER	720	41096	\N	\N	\N
949106	3235	1997-01-17	VYDAJ	VYBER	2160	27076	\N	\N	\N
949107	3235	1997-01-02	VYDAJ	VYBER	2880	29855	\N	\N	\N
949108	3235	1997-01-15	VYDAJ	VYBER	1560	39536	\N	\N	\N
949109	3235	1998-01-18	VYDAJ	VYBER	1680	50148	\N	\N	\N
949110	3235	1998-01-23	VYDAJ	VYBER	1200	48948	\N	\N	\N
949111	3235	1998-01-13	VYDAJ	VYBER	1080	51828	\N	\N	\N
949112	3235	1998-01-01	VYDAJ	VYBER	1320	40927	\N	\N	\N
949113	3235	1998-01-26	VYDAJ	VYBER	1320	47628	\N	\N	\N
949114	3235	1998-01-27	VYDAJ	VYBER	600	47028	\N	\N	\N
949118	3235	1996-04-27	VYDAJ	VYBER	2040	26051	\N	\N	\N
949119	3235	1996-04-26	VYDAJ	VYBER	3360	28091	\N	\N	\N
949120	3235	1996-12-14	VYDAJ	VYBER	4680	46110	\N	\N	\N
949121	3235	1996-06-25	VYDAJ	VYBER	2280	32878	\N	\N	\N
949122	3235	1997-03-28	VYDAJ	VYBER	4440	25879	\N	\N	\N
949123	3235	1997-10-20	VYDAJ	VYBER	1920	38114	\N	\N	\N
949124	3235	1997-12-26	VYDAJ	VYBER	960	42062	\N	\N	\N
949125	3235	1997-04-20	VYDAJ	VYBER	600	31469	\N	\N	\N
949126	3235	1998-02-26	VYDAJ	VYBER	2760	48146	\N	\N	\N
949127	3235	1998-02-13	VYDAJ	VYBER	4080	50906	\N	\N	\N
949128	3235	1998-04-08	VYDAJ	VYBER	840	43046	\N	\N	\N
949135	3235	1995-06-30	VYDAJ	VYBER	15	25901	SLUZBY	\N	\N
949136	3235	1995-07-31	VYDAJ	VYBER	15	27201	SLUZBY	\N	\N
949137	3235	1995-08-31	VYDAJ	VYBER	15	30506	SLUZBY	\N	\N
949138	3235	1995-09-30	VYDAJ	VYBER	15	31723	SLUZBY	\N	\N
949139	3235	1995-10-31	VYDAJ	VYBER	15	30540	SLUZBY	\N	\N
949140	3235	1995-11-30	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
949141	3235	1995-12-31	VYDAJ	VYBER	15	32060	SLUZBY	\N	\N
949142	3235	1996-01-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
949143	3235	1996-02-29	VYDAJ	VYBER	15	23983	SLUZBY	\N	\N
949144	3235	1996-03-31	VYDAJ	VYBER	15	26770	SLUZBY	\N	\N
949145	3235	1996-04-30	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
949146	3235	1996-05-31	VYDAJ	VYBER	15	28262	SLUZBY	\N	\N
949147	3235	1996-06-30	VYDAJ	VYBER	15	33015	SLUZBY	\N	\N
949148	3235	1996-07-31	VYDAJ	VYBER	15	29627	SLUZBY	\N	\N
949149	3235	1996-08-31	VYDAJ	VYBER	15	30630	SLUZBY	\N	\N
949150	3235	1996-09-30	VYDAJ	VYBER	15	27428	SLUZBY	\N	\N
949151	3235	1996-10-31	VYDAJ	VYBER	15	27319	SLUZBY	\N	\N
949152	3235	1996-11-30	VYDAJ	VYBER	15	30614	SLUZBY	\N	\N
949153	3235	1996-12-31	VYDAJ	VYBER	15	32735	SLUZBY	\N	\N
949154	3235	1997-01-31	VYDAJ	VYBER	15	24660	SLUZBY	\N	\N
949155	3235	1997-02-28	VYDAJ	VYBER	15	26338	SLUZBY	\N	\N
949156	3235	1997-03-31	VYDAJ	VYBER	15	25988	SLUZBY	\N	\N
949157	3235	1997-04-30	VYDAJ	VYBER	15	31582	SLUZBY	\N	\N
949158	3235	1997-05-31	VYDAJ	VYBER	15	35395	SLUZBY	\N	\N
949159	3235	1997-06-30	VYDAJ	VYBER	15	41948	SLUZBY	\N	\N
949160	3235	1997-07-31	VYDAJ	VYBER	15	40089	SLUZBY	\N	\N
949161	3235	1997-08-31	VYDAJ	VYBER	15	40225	SLUZBY	\N	\N
949162	3235	1997-09-30	VYDAJ	VYBER	15	37853	SLUZBY	\N	\N
949163	3235	1997-10-31	VYDAJ	VYBER	15	38261	SLUZBY	\N	\N
949164	3235	1997-11-30	VYDAJ	VYBER	15	38286	SLUZBY	\N	\N
949165	3235	1997-12-31	VYDAJ	VYBER	15	42247	SLUZBY	\N	\N
949166	3235	1998-01-31	VYDAJ	VYBER	15	47205	SLUZBY	\N	\N
949167	3235	1998-02-28	VYDAJ	VYBER	15	48334	SLUZBY	\N	\N
949168	3235	1998-03-31	VYDAJ	VYBER	15	50035	SLUZBY	\N	\N
949169	3235	1998-04-30	VYDAJ	VYBER	15	57786	SLUZBY	\N	\N
949170	3235	1998-05-31	VYDAJ	VYBER	15	63806	SLUZBY	\N	\N
949171	3235	1998-06-30	VYDAJ	VYBER	15	70073	SLUZBY	\N	\N
949172	3235	1998-07-31	VYDAJ	VYBER	15	74537	SLUZBY	\N	\N
949173	3235	1998-08-31	VYDAJ	VYBER	15	79319	SLUZBY	\N	\N
949174	3235	1998-09-30	VYDAJ	VYBER	15	82714	SLUZBY	\N	\N
949175	3235	1998-10-31	VYDAJ	VYBER	15	85923	SLUZBY	\N	\N
949176	3235	1998-11-30	VYDAJ	VYBER	15	83225	SLUZBY	\N	\N
949177	3235	1995-02-25	PRIJEM	VKLAD	1500	20730	\N	\N	\N
949178	3235	1995-03-27	VYDAJ	VYBER	9100	30472	\N	\N	\N
949179	3235	1995-04-26	VYDAJ	VYBER	11200	38195	\N	\N	\N
949180	3235	1995-05-26	VYDAJ	VYBER	17600	39558	\N	\N	\N
949181	3235	1995-06-25	VYDAJ	VYBER	3300	25783	\N	\N	\N
949182	3235	1995-07-25	VYDAJ	VYBER	11500	27082	\N	\N	\N
949183	3235	1995-08-24	VYDAJ	VYBER	9500	30382	\N	\N	\N
949184	3235	1995-09-23	VYDAJ	VYBER	11600	31587	\N	\N	\N
949185	3235	1995-10-23	VYDAJ	VYBER	14000	30404	\N	\N	\N
949186	3235	1995-11-22	VYDAJ	VYBER	12200	31021	\N	\N	\N
949187	3235	1995-12-22	VYDAJ	VYBER	18300	34950	\N	\N	\N
949188	3235	1996-01-21	VYDAJ	VYBER	11300	25881	\N	\N	\N
949189	3235	1996-02-20	VYDAJ	VYBER	8900	23892	\N	\N	\N
949190	3235	1996-03-21	VYDAJ	VYBER	10000	26664	\N	\N	\N
949191	3235	1996-04-20	VYDAJ	VYBER	8000	31451	\N	\N	\N
949192	3235	1996-05-20	VYDAJ	VYBER	10700	28149	\N	\N	\N
949193	3235	1996-06-19	VYDAJ	VYBER	15200	35158	\N	\N	\N
949194	3235	1996-07-19	VYDAJ	VYBER	16200	29496	\N	\N	\N
949195	3235	1996-08-18	VYDAJ	VYBER	11800	30508	\N	\N	\N
949196	3235	1996-09-17	VYDAJ	VYBER	16000	27311	\N	\N	\N
949197	3235	1996-10-17	VYDAJ	VYBER	12900	27209	\N	\N	\N
949198	3235	1996-11-16	VYDAJ	VYBER	9500	30500	\N	\N	\N
949199	3235	1996-12-16	VYDAJ	VYBER	13500	32610	\N	\N	\N
949200	3235	1997-01-15	VYDAJ	VYBER	10300	29236	\N	\N	\N
949201	3235	1997-02-14	VYDAJ	VYBER	11100	26241	\N	\N	\N
949202	3235	1997-03-16	VYDAJ	VYBER	8700	30319	\N	\N	\N
949203	3235	1997-04-15	VYDAJ	VYBER	6600	32069	\N	\N	\N
949204	3235	1997-05-15	VYDAJ	VYBER	9000	35263	\N	\N	\N
949205	3235	1997-06-14	VYDAJ	VYBER	15700	41791	\N	\N	\N
949206	3235	1997-07-14	VYDAJ	VYBER	14700	39929	\N	\N	\N
949207	3235	1997-08-13	VYDAJ	VYBER	12700	40070	\N	\N	\N
949208	3235	1997-09-12	VYDAJ	VYBER	15200	37706	\N	\N	\N
949209	3235	1997-10-12	VYDAJ	VYBER	10500	40034	\N	\N	\N
949210	3235	1997-11-11	VYDAJ	VYBER	12800	38142	\N	\N	\N
949211	3235	1997-12-11	VYDAJ	VYBER	15600	43022	\N	\N	\N
949212	3235	1998-01-10	VYDAJ	VYBER	700	34078	\N	\N	\N
949213	3235	1998-02-09	VYDAJ	VYBER	4900	36156	\N	\N	\N
949214	3235	1998-03-11	VYDAJ	VYBER	11200	49815	\N	\N	\N
949215	3235	1998-04-10	VYDAJ	VYBER	4300	38746	\N	\N	\N
949216	3235	1998-05-10	VYDAJ	VYBER	6900	44737	\N	\N	\N
949217	3235	1998-06-09	VYDAJ	VYBER	9700	47957	\N	\N	\N
949218	3235	1998-07-09	VYDAJ	VYBER	8500	55424	\N	\N	\N
949219	3235	1998-08-08	VYDAJ	VYBER	8200	60188	\N	\N	\N
949220	3235	1998-09-07	VYDAJ	VYBER	9600	63570	\N	\N	\N
949221	3235	1998-10-07	VYDAJ	VYBER	9800	66765	\N	\N	\N
949222	3235	1998-11-06	VYDAJ	VYBER	15700	70223	\N	\N	\N
949223	3235	1998-12-06	VYDAJ	VYBER	7200	76025	\N	\N	\N
949271	3236	1997-02-20	PRIJEM	VKLAD	300	300	\N	\N	\N
949274	3236	1997-03-14	PRIJEM	PREVOD Z UCTU	4414	4714	DUCHOD	YZ	82127427
949275	3236	1997-04-14	PRIJEM	PREVOD Z UCTU	4414	9128	DUCHOD	YZ	82127427
949276	3236	1997-05-14	PRIJEM	PREVOD Z UCTU	4414	13542	DUCHOD	YZ	82127427
949277	3236	1997-06-14	PRIJEM	PREVOD Z UCTU	4414	17956	DUCHOD	YZ	82127427
949278	3236	1997-07-14	PRIJEM	PREVOD Z UCTU	4414	22370	DUCHOD	YZ	82127427
949279	3236	1997-08-14	PRIJEM	PREVOD Z UCTU	4414	18157	DUCHOD	YZ	82127427
949280	3236	1997-09-14	PRIJEM	PREVOD Z UCTU	4414	18803	DUCHOD	YZ	82127427
949281	3236	1997-10-14	PRIJEM	PREVOD Z UCTU	4414	20890	DUCHOD	YZ	82127427
949282	3236	1997-11-14	PRIJEM	PREVOD Z UCTU	4414	21861	DUCHOD	YZ	82127427
949283	3236	1997-12-14	PRIJEM	PREVOD Z UCTU	4414	23959	DUCHOD	YZ	82127427
949284	3236	1998-01-14	PRIJEM	PREVOD Z UCTU	4414	25614	DUCHOD	YZ	82127427
949285	3236	1998-02-14	PRIJEM	PREVOD Z UCTU	4414	27727	DUCHOD	YZ	82127427
949286	3236	1998-03-14	PRIJEM	PREVOD Z UCTU	4414	27485	DUCHOD	YZ	82127427
949287	3236	1998-04-14	PRIJEM	PREVOD Z UCTU	4414	28484	DUCHOD	YZ	82127427
949288	3236	1998-05-14	PRIJEM	PREVOD Z UCTU	4414	30609	DUCHOD	YZ	82127427
949289	3236	1998-06-14	PRIJEM	PREVOD Z UCTU	4414	28893	DUCHOD	YZ	82127427
949290	3236	1998-07-14	PRIJEM	PREVOD Z UCTU	4414	29418	DUCHOD	YZ	82127427
949291	3236	1998-08-14	PRIJEM	PREVOD Z UCTU	4414	25534	DUCHOD	YZ	82127427
949292	3236	1998-09-14	PRIJEM	PREVOD Z UCTU	4414	17012	DUCHOD	YZ	82127427
949293	3236	1998-10-14	PRIJEM	PREVOD Z UCTU	4414	16196	DUCHOD	YZ	82127427
949294	3236	1998-11-14	PRIJEM	PREVOD Z UCTU	4414	18274	DUCHOD	YZ	82127427
949295	3236	1998-12-14	PRIJEM	PREVOD Z UCTU	4414	20057	DUCHOD	YZ	82127427
949303	3236	1997-08-10	VYDAJ	PREVOD NA UCET	350	16703	SIPO	GH	61162030
949304	3236	1997-09-10	VYDAJ	PREVOD NA UCET	350	14389	SIPO	GH	61162030
949305	3236	1997-10-10	VYDAJ	PREVOD NA UCET	350	16476	SIPO	GH	61162030
949306	3236	1997-11-10	VYDAJ	PREVOD NA UCET	350	17447	SIPO	GH	61162030
949307	3236	1997-12-10	VYDAJ	PREVOD NA UCET	350	19545	SIPO	GH	61162030
949308	3236	1998-01-10	VYDAJ	PREVOD NA UCET	350	21200	SIPO	GH	61162030
949309	3236	1998-02-10	VYDAJ	PREVOD NA UCET	350	23313	SIPO	GH	61162030
949310	3236	1998-03-10	VYDAJ	PREVOD NA UCET	350	23071	SIPO	GH	61162030
949311	3236	1998-04-10	VYDAJ	PREVOD NA UCET	350	24070	SIPO	GH	61162030
949312	3236	1998-05-10	VYDAJ	PREVOD NA UCET	350	26195	SIPO	GH	61162030
949313	3236	1998-06-10	VYDAJ	PREVOD NA UCET	350	24479	SIPO	GH	61162030
949314	3236	1998-07-10	VYDAJ	PREVOD NA UCET	350	25004	SIPO	GH	61162030
949315	3236	1998-08-10	VYDAJ	PREVOD NA UCET	350	21120	SIPO	GH	61162030
949316	3236	1998-09-10	VYDAJ	PREVOD NA UCET	350	17018	SIPO	GH	61162030
949317	3236	1998-10-10	VYDAJ	PREVOD NA UCET	350	14682	SIPO	GH	61162030
949318	3236	1998-11-10	VYDAJ	PREVOD NA UCET	350	13860	SIPO	GH	61162030
949319	3236	1998-12-10	VYDAJ	PREVOD NA UCET	350	15643	SIPO	GH	61162030
949327	3236	1997-08-07	VYDAJ	PREVOD NA UCET	2038	17053	 	KL	52487677
949328	3236	1997-09-07	VYDAJ	PREVOD NA UCET	2038	16179	 	KL	52487677
949329	3236	1997-10-07	VYDAJ	PREVOD NA UCET	2038	16826	 	KL	52487677
949330	3236	1997-11-07	VYDAJ	PREVOD NA UCET	2038	17797	 	KL	52487677
949331	3236	1997-12-07	VYDAJ	PREVOD NA UCET	2038	19895	 	KL	52487677
949332	3236	1998-01-07	VYDAJ	PREVOD NA UCET	2038	21550	 	KL	52487677
949333	3236	1998-02-07	VYDAJ	PREVOD NA UCET	2038	23663	 	KL	52487677
949334	3236	1998-03-07	VYDAJ	PREVOD NA UCET	2038	23421	 	KL	52487677
949335	3236	1998-04-07	VYDAJ	PREVOD NA UCET	2038	24420	 	KL	52487677
949336	3236	1998-05-07	VYDAJ	PREVOD NA UCET	2038	26545	 	KL	52487677
949337	3236	1998-06-07	VYDAJ	PREVOD NA UCET	2038	24829	 	KL	52487677
949338	3236	1998-07-07	VYDAJ	PREVOD NA UCET	2038	25354	 	KL	52487677
949339	3236	1998-08-07	VYDAJ	PREVOD NA UCET	2038	21470	 	KL	52487677
949340	3236	1998-09-07	VYDAJ	PREVOD NA UCET	2038	17368	 	KL	52487677
949341	3236	1998-10-07	VYDAJ	PREVOD NA UCET	2038	15032	 	KL	52487677
949342	3236	1998-11-07	VYDAJ	PREVOD NA UCET	2038	14210	 	KL	52487677
949343	3236	1998-12-07	VYDAJ	PREVOD NA UCET	2038	15993	 	KL	52487677
949345	3236	1998-06-04	VYDAJ	VYBER	3850	26867	\N	\N	\N
949346	3236	1997-12-16	VYDAJ	VYBER	450	23509	\N	\N	\N
949347	3236	1998-12-03	VYDAJ	VYBER	300	18031	\N	\N	\N
949349	3236	1997-08-12	VYDAJ	VYBER	2960	13743	\N	\N	\N
949351	3236	1997-07-26	VYDAJ	VYBER	3280	19090	\N	\N	\N
949352	3236	1997-09-09	VYDAJ	VYBER	1440	14739	\N	\N	\N
949353	3236	1997-10-19	VYDAJ	VYBER	1120	19770	\N	\N	\N
949354	3236	1998-02-19	VYDAJ	VYBER	2160	25367	\N	\N	\N
949355	3236	1998-09-10	VYDAJ	VYBER	1120	15898	\N	\N	\N
949356	3236	1998-12-24	VYDAJ	VYBER	2800	17257	\N	\N	\N
949357	3236	1998-03-14	VYDAJ	VYBER	1120	26365	\N	\N	\N
949365	3236	1997-07-31	VYDAJ	VYBER	15	19091	SLUZBY	\N	\N
949366	3236	1997-08-31	VYDAJ	VYBER	15	18217	SLUZBY	\N	\N
949367	3236	1997-09-30	VYDAJ	VYBER	15	18864	SLUZBY	\N	\N
949368	3236	1997-10-31	VYDAJ	VYBER	15	19835	SLUZBY	\N	\N
949369	3236	1997-11-30	VYDAJ	VYBER	15	21933	SLUZBY	\N	\N
949370	3236	1997-12-31	VYDAJ	VYBER	15	23588	SLUZBY	\N	\N
949371	3236	1998-01-31	VYDAJ	VYBER	15	25701	SLUZBY	\N	\N
949372	3236	1998-02-28	VYDAJ	VYBER	15	25459	SLUZBY	\N	\N
949373	3236	1998-03-31	VYDAJ	VYBER	15	26458	SLUZBY	\N	\N
949374	3236	1998-04-30	VYDAJ	VYBER	15	28583	SLUZBY	\N	\N
949375	3236	1998-05-31	VYDAJ	VYBER	15	30717	SLUZBY	\N	\N
949376	3236	1998-06-30	VYDAJ	VYBER	15	27392	SLUZBY	\N	\N
949377	3236	1998-07-31	VYDAJ	VYBER	15	23508	SLUZBY	\N	\N
949378	3236	1998-08-31	VYDAJ	VYBER	15	19406	SLUZBY	\N	\N
949379	3236	1998-09-30	VYDAJ	VYBER	15	17070	SLUZBY	\N	\N
949380	3236	1998-10-31	VYDAJ	VYBER	15	16248	SLUZBY	\N	\N
949381	3236	1998-11-30	VYDAJ	VYBER	15	18331	SLUZBY	\N	\N
949382	3236	1998-02-15	VYDAJ	VYBER	200	27527	\N	\N	\N
949383	3236	1998-06-15	VYDAJ	VYBER	1600	27293	\N	\N	\N
949384	3236	1998-07-15	VYDAJ	VYBER	6000	23418	\N	\N	\N
949385	3236	1998-08-14	VYDAJ	VYBER	6200	19334	\N	\N	\N
949386	3236	1998-09-13	VYDAJ	VYBER	3300	12598	\N	\N	\N
949387	3236	1998-10-13	VYDAJ	VYBER	2900	11782	\N	\N	\N
949406	3237	1993-10-02	PRIJEM	VKLAD	200	200	\N	\N	\N
949416	3237	1993-10-09	PRIJEM	VKLAD	17495	17695	\N	\N	\N
949417	3237	1993-11-09	PRIJEM	VKLAD	17495	38745	\N	\N	\N
949418	3237	1993-12-09	PRIJEM	VKLAD	26242	55625	\N	\N	\N
949419	3237	1994-01-09	PRIJEM	VKLAD	17495	56931	\N	\N	\N
949420	3237	1994-02-09	PRIJEM	VKLAD	17495	57691	\N	\N	\N
949421	3237	1994-03-09	PRIJEM	VKLAD	17495	55694	\N	\N	\N
949422	3237	1994-04-09	PRIJEM	VKLAD	17495	51823	\N	\N	\N
949423	3237	1994-05-09	PRIJEM	VKLAD	17495	49222	\N	\N	\N
949424	3237	1994-06-09	PRIJEM	VKLAD	26242	59636	\N	\N	\N
949425	3237	1994-07-09	PRIJEM	VKLAD	17495	43806	\N	\N	\N
949426	3237	1994-08-09	PRIJEM	VKLAD	17495	47925	\N	\N	\N
949427	3237	1994-09-09	PRIJEM	VKLAD	17495	51861	\N	\N	\N
949428	3237	1994-10-09	PRIJEM	VKLAD	17495	49609	\N	\N	\N
949429	3237	1994-11-09	PRIJEM	VKLAD	17495	48367	\N	\N	\N
949430	3237	1994-12-09	PRIJEM	VKLAD	26242	58649	\N	\N	\N
949431	3237	1995-01-09	PRIJEM	VKLAD	17495	49812	\N	\N	\N
949432	3237	1995-02-09	PRIJEM	VKLAD	17495	43220	\N	\N	\N
949433	3237	1995-03-09	PRIJEM	VKLAD	17495	38667	\N	\N	\N
949434	3237	1995-04-09	PRIJEM	VKLAD	17495	41797	\N	\N	\N
949435	3237	1995-05-09	PRIJEM	VKLAD	17495	41795	\N	\N	\N
949436	3237	1995-06-09	PRIJEM	VKLAD	26242	54450	\N	\N	\N
949437	3237	1995-07-09	PRIJEM	VKLAD	17495	44650	\N	\N	\N
949438	3237	1995-08-09	PRIJEM	VKLAD	17495	49692	\N	\N	\N
949439	3237	1995-09-09	PRIJEM	VKLAD	17495	51329	\N	\N	\N
949440	3237	1995-10-09	PRIJEM	VKLAD	17495	47922	\N	\N	\N
949441	3237	1995-11-09	PRIJEM	VKLAD	17495	49951	\N	\N	\N
949442	3237	1995-12-09	PRIJEM	VKLAD	26242	52026	\N	\N	\N
949443	3237	1996-01-09	PRIJEM	VKLAD	17495	38237	\N	\N	\N
949444	3237	1996-02-09	PRIJEM	VKLAD	17495	34686	\N	\N	\N
949445	3237	1996-03-09	PRIJEM	VKLAD	17495	41665	\N	\N	\N
949446	3237	1996-04-09	PRIJEM	VKLAD	17495	39774	\N	\N	\N
949447	3237	1996-05-09	PRIJEM	VKLAD	17495	44584	\N	\N	\N
949448	3237	1996-06-09	PRIJEM	VKLAD	26242	59751	\N	\N	\N
949449	3237	1996-07-09	PRIJEM	VKLAD	17495	53721	\N	\N	\N
949450	3237	1996-08-09	PRIJEM	VKLAD	17495	51466	\N	\N	\N
949451	3237	1996-09-09	PRIJEM	VKLAD	17495	52102	\N	\N	\N
949452	3237	1996-10-09	PRIJEM	VKLAD	17495	50745	\N	\N	\N
949453	3237	1996-11-09	PRIJEM	VKLAD	17495	54374	\N	\N	\N
949454	3237	1996-12-09	PRIJEM	VKLAD	26242	57396	\N	\N	\N
949455	3237	1997-01-09	PRIJEM	VKLAD	17495	40876	\N	\N	\N
949456	3237	1997-02-09	PRIJEM	VKLAD	17495	39336	\N	\N	\N
949457	3237	1997-03-09	PRIJEM	VKLAD	17495	42984	\N	\N	\N
949458	3237	1997-04-09	PRIJEM	VKLAD	17495	49805	\N	\N	\N
949459	3237	1997-05-09	PRIJEM	VKLAD	17495	57247	\N	\N	\N
949460	3237	1997-06-09	PRIJEM	VKLAD	26242	60433	\N	\N	\N
949461	3237	1997-07-09	PRIJEM	VKLAD	17495	55574	\N	\N	\N
949462	3237	1997-08-09	PRIJEM	VKLAD	17495	62343	\N	\N	\N
949463	3237	1997-09-09	PRIJEM	VKLAD	17495	66426	\N	\N	\N
949464	3237	1997-10-09	PRIJEM	VKLAD	17495	70830	\N	\N	\N
949465	3237	1997-11-09	PRIJEM	VKLAD	17495	69232	\N	\N	\N
949466	3237	1997-12-09	PRIJEM	VKLAD	26242	76976	\N	\N	\N
949467	3237	1998-01-09	PRIJEM	VKLAD	17495	58468	\N	\N	\N
949468	3237	1998-02-09	PRIJEM	VKLAD	17495	66086	\N	\N	\N
949469	3237	1998-03-09	PRIJEM	VKLAD	17495	71449	\N	\N	\N
949470	3237	1998-04-09	PRIJEM	VKLAD	17495	70925	\N	\N	\N
949471	3237	1998-05-09	PRIJEM	VKLAD	17495	74631	\N	\N	\N
949472	3237	1998-06-09	PRIJEM	VKLAD	26242	85386	\N	\N	\N
949473	3237	1998-07-09	PRIJEM	VKLAD	17495	66190	\N	\N	\N
949474	3237	1998-08-09	PRIJEM	VKLAD	17495	74584	\N	\N	\N
949475	3237	1998-09-09	PRIJEM	VKLAD	17495	71782	\N	\N	\N
949476	3237	1998-10-09	PRIJEM	VKLAD	17495	72823	\N	\N	\N
949477	3237	1998-11-09	PRIJEM	VKLAD	17495	76669	\N	\N	\N
949478	3237	1998-12-09	PRIJEM	VKLAD	26242	85175	\N	\N	\N
949492	3237	1994-02-09	VYDAJ	PREVOD NA UCET	9095	48596	SIPO	QR	85631554
949493	3237	1994-03-09	VYDAJ	PREVOD NA UCET	9095	46599	SIPO	QR	85631554
949494	3237	1994-04-09	VYDAJ	PREVOD NA UCET	9095	42728	SIPO	QR	85631554
949495	3237	1994-05-09	VYDAJ	PREVOD NA UCET	9095	40127	SIPO	QR	85631554
949496	3237	1994-06-09	VYDAJ	PREVOD NA UCET	9095	50541	SIPO	QR	85631554
949497	3237	1994-07-09	VYDAJ	PREVOD NA UCET	9095	34711	SIPO	QR	85631554
949498	3237	1994-08-09	VYDAJ	PREVOD NA UCET	9095	38830	SIPO	QR	85631554
949499	3237	1994-09-09	VYDAJ	PREVOD NA UCET	9095	42766	SIPO	QR	85631554
949500	3237	1994-10-09	VYDAJ	PREVOD NA UCET	9095	40514	SIPO	QR	85631554
949501	3237	1994-11-09	VYDAJ	PREVOD NA UCET	9095	39272	SIPO	QR	85631554
949502	3237	1994-12-09	VYDAJ	PREVOD NA UCET	9095	49554	SIPO	QR	85631554
949503	3237	1995-01-09	VYDAJ	PREVOD NA UCET	9095	40717	SIPO	QR	85631554
949504	3237	1995-02-09	VYDAJ	PREVOD NA UCET	9095	34125	SIPO	QR	85631554
949505	3237	1995-03-09	VYDAJ	PREVOD NA UCET	9095	29572	SIPO	QR	85631554
949506	3237	1995-04-09	VYDAJ	PREVOD NA UCET	9095	32702	SIPO	QR	85631554
949507	3237	1995-05-09	VYDAJ	PREVOD NA UCET	9095	32700	SIPO	QR	85631554
949508	3237	1995-06-09	VYDAJ	PREVOD NA UCET	9095	45355	SIPO	QR	85631554
949509	3237	1995-07-09	VYDAJ	PREVOD NA UCET	9095	35555	SIPO	QR	85631554
949510	3237	1995-08-09	VYDAJ	PREVOD NA UCET	9095	40597	SIPO	QR	85631554
949511	3237	1995-09-09	VYDAJ	PREVOD NA UCET	9095	42234	SIPO	QR	85631554
949512	3237	1995-10-09	VYDAJ	PREVOD NA UCET	9095	38827	SIPO	QR	85631554
949513	3237	1995-11-09	VYDAJ	PREVOD NA UCET	9095	40856	SIPO	QR	85631554
949514	3237	1995-12-09	VYDAJ	PREVOD NA UCET	9095	42931	SIPO	QR	85631554
949515	3237	1996-01-09	VYDAJ	PREVOD NA UCET	9095	29142	SIPO	QR	85631554
949516	3237	1996-02-09	VYDAJ	PREVOD NA UCET	9095	25591	SIPO	QR	85631554
949517	3237	1996-03-09	VYDAJ	PREVOD NA UCET	9095	32570	SIPO	QR	85631554
949518	3237	1996-04-09	VYDAJ	PREVOD NA UCET	9095	30679	SIPO	QR	85631554
949519	3237	1996-05-09	VYDAJ	PREVOD NA UCET	9095	35489	SIPO	QR	85631554
949520	3237	1996-06-09	VYDAJ	PREVOD NA UCET	9095	50656	SIPO	QR	85631554
949521	3237	1996-07-09	VYDAJ	PREVOD NA UCET	9095	44626	SIPO	QR	85631554
949522	3237	1996-08-09	VYDAJ	PREVOD NA UCET	9095	42371	SIPO	QR	85631554
949523	3237	1996-09-09	VYDAJ	PREVOD NA UCET	9095	43007	SIPO	QR	85631554
949524	3237	1996-10-09	VYDAJ	PREVOD NA UCET	9095	41650	SIPO	QR	85631554
949525	3237	1996-11-09	VYDAJ	PREVOD NA UCET	9095	45279	SIPO	QR	85631554
949526	3237	1996-12-09	VYDAJ	PREVOD NA UCET	9095	48301	SIPO	QR	85631554
949527	3237	1997-01-09	VYDAJ	PREVOD NA UCET	9095	31781	SIPO	QR	85631554
949528	3237	1997-02-09	VYDAJ	PREVOD NA UCET	9095	30241	SIPO	QR	85631554
949529	3237	1997-03-09	VYDAJ	PREVOD NA UCET	9095	33889	SIPO	QR	85631554
949530	3237	1997-04-09	VYDAJ	PREVOD NA UCET	9095	40710	SIPO	QR	85631554
949531	3237	1997-05-09	VYDAJ	PREVOD NA UCET	9095	48152	SIPO	QR	85631554
949532	3237	1997-06-09	VYDAJ	PREVOD NA UCET	9095	51338	SIPO	QR	85631554
949533	3237	1997-07-09	VYDAJ	PREVOD NA UCET	9095	46479	SIPO	QR	85631554
949534	3237	1997-08-09	VYDAJ	PREVOD NA UCET	9095	53248	SIPO	QR	85631554
949535	3237	1997-09-09	VYDAJ	PREVOD NA UCET	9095	57331	SIPO	QR	85631554
949536	3237	1997-10-09	VYDAJ	PREVOD NA UCET	9095	61735	SIPO	QR	85631554
949537	3237	1997-11-09	VYDAJ	PREVOD NA UCET	9095	60137	SIPO	QR	85631554
949538	3237	1997-12-09	VYDAJ	PREVOD NA UCET	9095	67881	SIPO	QR	85631554
949539	3237	1998-01-09	VYDAJ	PREVOD NA UCET	9095	49373	SIPO	QR	85631554
949540	3237	1998-02-09	VYDAJ	PREVOD NA UCET	9095	56991	SIPO	QR	85631554
949541	3237	1998-03-09	VYDAJ	PREVOD NA UCET	9095	62354	SIPO	QR	85631554
949542	3237	1998-04-09	VYDAJ	PREVOD NA UCET	9095	61830	SIPO	QR	85631554
949543	3237	1998-05-09	VYDAJ	PREVOD NA UCET	9095	65536	SIPO	QR	85631554
949544	3237	1998-06-09	VYDAJ	PREVOD NA UCET	9095	76291	SIPO	QR	85631554
949545	3237	1998-07-09	VYDAJ	PREVOD NA UCET	9095	57095	SIPO	QR	85631554
949546	3237	1998-08-09	VYDAJ	PREVOD NA UCET	9095	65489	SIPO	QR	85631554
949547	3237	1998-09-09	VYDAJ	PREVOD NA UCET	9095	62687	SIPO	QR	85631554
949548	3237	1998-10-09	VYDAJ	PREVOD NA UCET	9095	63728	SIPO	QR	85631554
949549	3237	1998-11-09	VYDAJ	PREVOD NA UCET	9095	67574	SIPO	QR	85631554
949550	3237	1998-12-09	VYDAJ	PREVOD NA UCET	9095	76080	SIPO	QR	85631554
949552	3237	1994-06-28	VYDAJ	VYBER	17440	30341	\N	\N	\N
949555	3237	1997-06-05	VYDAJ	VYBER	6080	34191	\N	\N	\N
949556	3237	1998-06-15	VYDAJ	VYBER	39040	37251	\N	\N	\N
949559	3237	1995-01-29	VYDAJ	VYBER	4320	26437	\N	\N	\N
949560	3237	1996-01-08	VYDAJ	VYBER	2720	20742	\N	\N	\N
949561	3237	1997-01-27	VYDAJ	VYBER	2400	24861	\N	\N	\N
949562	3237	1998-01-01	VYDAJ	VYBER	14720	39333	\N	\N	\N
949564	3237	1994-12-24	VYDAJ	VYBER	1280	48274	\N	\N	\N
949565	3237	1995-12-27	VYDAJ	VYBER	4320	26811	\N	\N	\N
949566	3237	1996-12-25	VYDAJ	VYBER	2880	31881	\N	\N	\N
949567	3237	1997-12-27	VYDAJ	VYBER	3040	53841	\N	\N	\N
949568	3237	1998-12-16	VYDAJ	VYBER	4000	72080	\N	\N	\N
949581	3237	1995-01-16	VYDAJ	VYBER	1200	35077	\N	\N	\N
949582	3237	1995-01-30	VYDAJ	VYBER	840	25597	\N	\N	\N
949583	3237	1995-01-03	VYDAJ	VYBER	2760	34477	\N	\N	\N
949584	3237	1995-01-11	VYDAJ	VYBER	1200	36277	\N	\N	\N
949585	3237	1995-01-03	VYDAJ	VYBER	2160	32317	\N	\N	\N
949586	3237	1995-01-16	VYDAJ	VYBER	1320	33757	\N	\N	\N
949587	3237	1996-01-21	VYDAJ	VYBER	2760	17822	\N	\N	\N
949588	3237	1996-01-01	VYDAJ	VYBER	3480	23462	\N	\N	\N
949589	3237	1996-01-09	VYDAJ	VYBER	1800	27342	\N	\N	\N
949590	3237	1996-01-20	VYDAJ	VYBER	2040	22182	\N	\N	\N
949591	3237	1996-01-30	VYDAJ	VYBER	720	17102	\N	\N	\N
949592	3237	1996-01-15	VYDAJ	VYBER	3120	24222	\N	\N	\N
949593	3237	1997-01-09	VYDAJ	VYBER	1440	30341	\N	\N	\N
949594	3237	1997-01-04	VYDAJ	VYBER	3000	23381	\N	\N	\N
949595	3237	1997-01-03	VYDAJ	VYBER	960	26381	\N	\N	\N
949596	3237	1997-01-11	VYDAJ	VYBER	960	29381	\N	\N	\N
949597	3237	1997-01-22	VYDAJ	VYBER	3120	27261	\N	\N	\N
949598	3237	1997-01-01	VYDAJ	VYBER	3360	28661	\N	\N	\N
949599	3237	1998-01-20	VYDAJ	VYBER	3240	44213	\N	\N	\N
949600	3237	1998-01-01	VYDAJ	VYBER	1320	38013	\N	\N	\N
949601	3237	1998-01-30	VYDAJ	VYBER	1680	42533	\N	\N	\N
949602	3237	1998-01-20	VYDAJ	VYBER	600	47453	\N	\N	\N
949603	3237	1998-01-17	VYDAJ	VYBER	1320	48053	\N	\N	\N
949604	3237	1998-01-05	VYDAJ	VYBER	840	37173	\N	\N	\N
949609	3237	1994-06-15	VYDAJ	VYBER	2760	47781	\N	\N	\N
949610	3237	1994-04-20	VYDAJ	VYBER	5160	37568	\N	\N	\N
949611	3237	1994-04-05	VYDAJ	VYBER	3480	34328	\N	\N	\N
949613	3237	1994-10-26	VYDAJ	VYBER	2280	38234	\N	\N	\N
949614	3237	1995-02-27	VYDAJ	VYBER	5520	21065	\N	\N	\N
949615	3237	1995-03-14	VYDAJ	VYBER	3360	26212	\N	\N	\N
949616	3237	1995-01-09	VYDAJ	VYBER	3240	37477	\N	\N	\N
949617	3237	1995-06-25	VYDAJ	VYBER	2160	29995	\N	\N	\N
949618	3237	1995-04-13	VYDAJ	VYBER	4200	28502	\N	\N	\N
949619	3237	1995-02-16	VYDAJ	VYBER	2040	32085	\N	\N	\N
949620	3237	1995-09-10	VYDAJ	VYBER	2640	39594	\N	\N	\N
949621	3237	1995-06-30	VYDAJ	VYBER	3000	27155	\N	\N	\N
949622	3237	1995-12-03	VYDAJ	VYBER	5520	25784	\N	\N	\N
949623	3237	1996-07-11	VYDAJ	VYBER	1560	43066	\N	\N	\N
949624	3237	1996-12-24	VYDAJ	VYBER	5640	34761	\N	\N	\N
949625	3237	1996-06-18	VYDAJ	VYBER	5880	44776	\N	\N	\N
949626	3237	1996-03-22	VYDAJ	VYBER	5400	22170	\N	\N	\N
949627	3237	1996-11-05	VYDAJ	VYBER	1320	36879	\N	\N	\N
949628	3237	1996-07-25	VYDAJ	VYBER	3840	33826	\N	\N	\N
949629	3237	1996-11-17	VYDAJ	VYBER	5160	31019	\N	\N	\N
949630	3237	1997-03-18	VYDAJ	VYBER	4200	32189	\N	\N	\N
949631	3237	1997-05-20	VYDAJ	VYBER	4440	40112	\N	\N	\N
949632	3237	1997-06-19	VYDAJ	VYBER	5520	37918	\N	\N	\N
949633	3237	1997-01-02	VYDAJ	VYBER	1320	27341	\N	\N	\N
949634	3237	1997-02-15	VYDAJ	VYBER	4320	25401	\N	\N	\N
949635	3237	1997-02-11	VYDAJ	VYBER	3720	26521	\N	\N	\N
949636	3237	1997-01-28	VYDAJ	VYBER	3120	21741	\N	\N	\N
949637	3237	1998-04-14	VYDAJ	VYBER	4920	56910	\N	\N	\N
949638	3237	1998-08-24	VYDAJ	VYBER	5040	60449	\N	\N	\N
949639	3237	1998-03-06	VYDAJ	VYBER	3240	53954	\N	\N	\N
949640	3237	1998-12-28	VYDAJ	VYBER	4800	67280	\N	\N	\N
949641	3237	1998-06-26	VYDAJ	VYBER	1560	35691	\N	\N	\N
949642	3237	1998-03-23	VYDAJ	VYBER	3240	53214	\N	\N	\N
949643	3237	1998-07-19	VYDAJ	VYBER	1800	55295	\N	\N	\N
949644	3237	1998-05-17	VYDAJ	VYBER	840	61796	\N	\N	\N
949659	3237	1994-02-28	VYDAJ	VYBER	15	48799	SLUZBY	\N	\N
949660	3237	1994-03-31	VYDAJ	VYBER	15	46808	SLUZBY	\N	\N
949661	3237	1994-04-30	VYDAJ	VYBER	15	31727	SLUZBY	\N	\N
949662	3237	1994-05-31	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
949663	3237	1994-06-30	VYDAJ	VYBER	15	26311	SLUZBY	\N	\N
949664	3237	1994-07-31	VYDAJ	VYBER	15	30430	SLUZBY	\N	\N
949665	3237	1994-08-31	VYDAJ	VYBER	15	34366	SLUZBY	\N	\N
949666	3237	1994-09-30	VYDAJ	VYBER	15	32114	SLUZBY	\N	\N
949667	3237	1994-10-31	VYDAJ	VYBER	15	30872	SLUZBY	\N	\N
949668	3237	1994-11-30	VYDAJ	VYBER	15	32407	SLUZBY	\N	\N
949669	3237	1994-12-31	VYDAJ	VYBER	15	37237	SLUZBY	\N	\N
949670	3237	1995-01-31	VYDAJ	VYBER	15	25725	SLUZBY	\N	\N
949671	3237	1995-02-28	VYDAJ	VYBER	15	21172	SLUZBY	\N	\N
949672	3237	1995-03-31	VYDAJ	VYBER	15	24302	SLUZBY	\N	\N
949673	3237	1995-04-30	VYDAJ	VYBER	15	24300	SLUZBY	\N	\N
949674	3237	1995-05-31	VYDAJ	VYBER	15	28208	SLUZBY	\N	\N
949675	3237	1995-06-30	VYDAJ	VYBER	15	30155	SLUZBY	\N	\N
949676	3237	1995-07-31	VYDAJ	VYBER	15	32197	SLUZBY	\N	\N
949677	3237	1995-08-31	VYDAJ	VYBER	15	33834	SLUZBY	\N	\N
949678	3237	1995-09-30	VYDAJ	VYBER	15	30427	SLUZBY	\N	\N
949679	3237	1995-10-31	VYDAJ	VYBER	15	32456	SLUZBY	\N	\N
949680	3237	1995-11-30	VYDAJ	VYBER	15	31304	SLUZBY	\N	\N
949681	3237	1995-12-31	VYDAJ	VYBER	15	26942	SLUZBY	\N	\N
949682	3237	1996-01-31	VYDAJ	VYBER	15	17191	SLUZBY	\N	\N
949683	3237	1996-02-29	VYDAJ	VYBER	15	24170	SLUZBY	\N	\N
949684	3237	1996-03-31	VYDAJ	VYBER	15	22279	SLUZBY	\N	\N
949685	3237	1996-04-30	VYDAJ	VYBER	15	27089	SLUZBY	\N	\N
949686	3237	1996-05-31	VYDAJ	VYBER	15	33509	SLUZBY	\N	\N
949687	3237	1996-06-30	VYDAJ	VYBER	15	36226	SLUZBY	\N	\N
949688	3237	1996-07-31	VYDAJ	VYBER	15	33971	SLUZBY	\N	\N
949689	3237	1996-08-31	VYDAJ	VYBER	15	34607	SLUZBY	\N	\N
949690	3237	1996-09-30	VYDAJ	VYBER	15	33250	SLUZBY	\N	\N
949691	3237	1996-10-31	VYDAJ	VYBER	15	38199	SLUZBY	\N	\N
949692	3237	1996-11-30	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
949693	3237	1996-12-31	VYDAJ	VYBER	15	32021	SLUZBY	\N	\N
949694	3237	1997-01-31	VYDAJ	VYBER	15	21841	SLUZBY	\N	\N
949695	3237	1997-02-28	VYDAJ	VYBER	15	25489	SLUZBY	\N	\N
949696	3237	1997-03-31	VYDAJ	VYBER	15	32310	SLUZBY	\N	\N
949697	3237	1997-04-30	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
949698	3237	1997-05-31	VYDAJ	VYBER	15	40271	SLUZBY	\N	\N
949699	3237	1997-06-30	VYDAJ	VYBER	15	38079	SLUZBY	\N	\N
949700	3237	1997-07-31	VYDAJ	VYBER	15	44848	SLUZBY	\N	\N
949701	3237	1997-08-31	VYDAJ	VYBER	15	48931	SLUZBY	\N	\N
949702	3237	1997-09-30	VYDAJ	VYBER	15	53335	SLUZBY	\N	\N
949703	3237	1997-10-31	VYDAJ	VYBER	15	51737	SLUZBY	\N	\N
949704	3237	1997-11-30	VYDAJ	VYBER	15	50734	SLUZBY	\N	\N
949705	3237	1997-12-31	VYDAJ	VYBER	15	54053	SLUZBY	\N	\N
949706	3237	1998-01-31	VYDAJ	VYBER	15	42691	SLUZBY	\N	\N
949707	3237	1998-02-28	VYDAJ	VYBER	15	57194	SLUZBY	\N	\N
949708	3237	1998-03-31	VYDAJ	VYBER	15	53430	SLUZBY	\N	\N
949709	3237	1998-04-30	VYDAJ	VYBER	15	57136	SLUZBY	\N	\N
949710	3237	1998-05-31	VYDAJ	VYBER	15	62044	SLUZBY	\N	\N
949711	3237	1998-06-30	VYDAJ	VYBER	15	35895	SLUZBY	\N	\N
949712	3237	1998-07-31	VYDAJ	VYBER	15	55489	SLUZBY	\N	\N
949713	3237	1998-08-31	VYDAJ	VYBER	15	60687	SLUZBY	\N	\N
949714	3237	1998-09-30	VYDAJ	VYBER	15	62928	SLUZBY	\N	\N
949715	3237	1998-10-31	VYDAJ	VYBER	15	63974	SLUZBY	\N	\N
949716	3237	1998-11-30	VYDAJ	VYBER	15	67833	SLUZBY	\N	\N
949717	3237	1993-11-01	PRIJEM	VKLAD	3500	21250	\N	\N	\N
949718	3237	1993-12-01	VYDAJ	VYBER	9500	29383	\N	\N	\N
949719	3237	1993-12-31	VYDAJ	VYBER	16400	39436	\N	\N	\N
949720	3237	1994-01-30	VYDAJ	VYBER	16900	40031	\N	\N	\N
949721	3237	1994-03-01	VYDAJ	VYBER	10600	38199	\N	\N	\N
949722	3237	1994-03-31	VYDAJ	VYBER	9000	37808	\N	\N	\N
949723	3237	1994-04-30	VYDAJ	VYBER	6000	31742	\N	\N	\N
949724	3237	1994-05-30	VYDAJ	VYBER	6900	33227	\N	\N	\N
949725	3237	1994-06-29	VYDAJ	VYBER	4200	26141	\N	\N	\N
949726	3237	1994-07-29	VYDAJ	VYBER	4400	30311	\N	\N	\N
949727	3237	1994-08-28	VYDAJ	VYBER	4600	34230	\N	\N	\N
949728	3237	1994-09-27	VYDAJ	VYBER	10800	31966	\N	\N	\N
949729	3237	1994-10-27	VYDAJ	VYBER	7500	30734	\N	\N	\N
949730	3237	1994-11-26	VYDAJ	VYBER	7000	32272	\N	\N	\N
949731	3237	1994-12-26	VYDAJ	VYBER	11200	37074	\N	\N	\N
949732	3237	1995-01-25	VYDAJ	VYBER	3000	30757	\N	\N	\N
949733	3237	1995-02-24	VYDAJ	VYBER	5500	26585	\N	\N	\N
949734	3237	1995-03-26	VYDAJ	VYBER	2000	24212	\N	\N	\N
949735	3237	1995-04-25	VYDAJ	VYBER	4300	24202	\N	\N	\N
949736	3237	1995-05-25	VYDAJ	VYBER	4600	28100	\N	\N	\N
949737	3237	1995-06-24	VYDAJ	VYBER	13200	32155	\N	\N	\N
949738	3237	1995-07-24	VYDAJ	VYBER	3500	32055	\N	\N	\N
949739	3237	1995-08-23	VYDAJ	VYBER	6900	33697	\N	\N	\N
949740	3237	1995-09-22	VYDAJ	VYBER	9300	30294	\N	\N	\N
949741	3237	1995-10-22	VYDAJ	VYBER	6500	32327	\N	\N	\N
949742	3237	1995-11-21	VYDAJ	VYBER	9700	31156	\N	\N	\N
949743	3237	1995-12-21	VYDAJ	VYBER	11800	31131	\N	\N	\N
949744	3237	1996-01-20	VYDAJ	VYBER	1600	20582	\N	\N	\N
949745	3237	1996-02-19	VYDAJ	VYBER	1500	24091	\N	\N	\N
949746	3237	1996-03-20	VYDAJ	VYBER	5000	27570	\N	\N	\N
949747	3237	1996-04-19	VYDAJ	VYBER	3700	26979	\N	\N	\N
949748	3237	1996-05-19	VYDAJ	VYBER	2100	33389	\N	\N	\N
949749	3237	1996-06-18	VYDAJ	VYBER	8700	36076	\N	\N	\N
949750	3237	1996-07-18	VYDAJ	VYBER	5400	37666	\N	\N	\N
949751	3237	1996-08-17	VYDAJ	VYBER	7900	34471	\N	\N	\N
949752	3237	1996-09-16	VYDAJ	VYBER	9900	33107	\N	\N	\N
949753	3237	1996-10-16	VYDAJ	VYBER	3600	38050	\N	\N	\N
949754	3237	1996-11-15	VYDAJ	VYBER	9100	36179	\N	\N	\N
949755	3237	1996-12-15	VYDAJ	VYBER	7900	40401	\N	\N	\N
949756	3237	1997-01-14	PRIJEM	VKLAD	1000	30381	\N	\N	\N
949757	3237	1997-02-13	PRIJEM	VKLAD	3200	29721	\N	\N	\N
949758	3237	1997-03-15	PRIJEM	VKLAD	2500	36389	\N	\N	\N
949759	3237	1997-04-14	VYDAJ	VYBER	1100	39610	\N	\N	\N
949760	3237	1997-05-14	VYDAJ	VYBER	3600	44552	\N	\N	\N
949761	3237	1997-06-13	VYDAJ	VYBER	7900	43438	\N	\N	\N
949762	3237	1997-07-13	VYDAJ	VYBER	1800	44679	\N	\N	\N
949763	3237	1997-08-12	VYDAJ	VYBER	4500	48748	\N	\N	\N
949764	3237	1997-09-11	VYDAJ	VYBER	4200	53131	\N	\N	\N
949765	3237	1997-10-11	VYDAJ	VYBER	10200	51535	\N	\N	\N
949766	3237	1997-11-10	VYDAJ	VYBER	9600	50537	\N	\N	\N
949767	3237	1997-12-10	VYDAJ	VYBER	11000	56881	\N	\N	\N
949768	3237	1998-01-09	PRIJEM	VKLAD	3800	40973	\N	\N	\N
949769	3237	1998-02-08	PRIJEM	VKLAD	5900	48591	\N	\N	\N
949770	3237	1998-03-10	VYDAJ	VYBER	5900	56454	\N	\N	\N
949771	3237	1998-05-09	VYDAJ	VYBER	2900	62636	\N	\N	\N
949772	3237	1998-06-08	VYDAJ	VYBER	2900	59144	\N	\N	\N
949773	3237	1998-07-08	PRIJEM	VKLAD	12800	48695	\N	\N	\N
949774	3237	1998-08-07	PRIJEM	VKLAD	1600	57089	\N	\N	\N
949775	3237	1998-09-06	VYDAJ	VYBER	6400	54287	\N	\N	\N
949776	3237	1998-10-06	VYDAJ	VYBER	7600	55328	\N	\N	\N
949777	3237	1998-11-05	VYDAJ	VYBER	4800	59174	\N	\N	\N
949778	3237	1998-12-05	VYDAJ	VYBER	8900	58933	\N	\N	\N
949842	3238	1996-01-07	PRIJEM	VKLAD	400	400	\N	\N	\N
949844	3238	1996-02-06	PRIJEM	VKLAD	22464	22864	\N	\N	\N
949845	3238	1996-03-06	PRIJEM	VKLAD	22464	43902	\N	\N	\N
949846	3238	1996-04-06	PRIJEM	VKLAD	22464	51881	\N	\N	\N
949847	3238	1996-05-06	PRIJEM	VKLAD	22464	57446	\N	\N	\N
949848	3238	1996-06-06	PRIJEM	VKLAD	33696	62178	\N	\N	\N
949849	3238	1996-07-06	PRIJEM	VKLAD	22464	39006	\N	\N	\N
949850	3238	1996-08-06	PRIJEM	VKLAD	22464	46700	\N	\N	\N
949851	3238	1996-09-06	PRIJEM	VKLAD	22464	52953	\N	\N	\N
949852	3238	1996-10-06	PRIJEM	VKLAD	22464	53877	\N	\N	\N
949853	3238	1996-11-06	PRIJEM	VKLAD	22464	56113	\N	\N	\N
949854	3238	1996-12-06	PRIJEM	VKLAD	33696	69087	\N	\N	\N
949855	3238	1997-01-06	PRIJEM	VKLAD	22464	54629	\N	\N	\N
949856	3238	1997-02-06	PRIJEM	VKLAD	22464	50755	\N	\N	\N
949857	3238	1997-03-06	PRIJEM	VKLAD	22464	52567	\N	\N	\N
949858	3238	1997-04-06	PRIJEM	VKLAD	22464	47591	\N	\N	\N
949859	3238	1997-05-06	PRIJEM	VKLAD	22464	49401	\N	\N	\N
949860	3238	1997-06-06	PRIJEM	VKLAD	33696	62525	\N	\N	\N
949861	3238	1997-07-06	PRIJEM	VKLAD	22464	47316	\N	\N	\N
949862	3238	1997-08-06	PRIJEM	VKLAD	22464	51512	\N	\N	\N
949863	3238	1997-09-06	PRIJEM	VKLAD	22464	50934	\N	\N	\N
949864	3238	1997-10-06	PRIJEM	VKLAD	22464	53742	\N	\N	\N
949865	3238	1997-11-06	PRIJEM	VKLAD	22464	51584	\N	\N	\N
949866	3238	1997-12-06	PRIJEM	VKLAD	33696	57179	\N	\N	\N
949867	3238	1998-01-06	PRIJEM	VKLAD	22464	47637	\N	\N	\N
949868	3238	1998-02-06	PRIJEM	VKLAD	22464	42649	\N	\N	\N
949869	3238	1998-03-06	PRIJEM	VKLAD	22464	47020	\N	\N	\N
949870	3238	1998-04-06	PRIJEM	VKLAD	22464	48609	\N	\N	\N
949871	3238	1998-05-06	PRIJEM	VKLAD	22464	49803	\N	\N	\N
949872	3238	1998-06-06	PRIJEM	VKLAD	33696	59211	\N	\N	\N
949873	3238	1998-07-06	PRIJEM	VKLAD	22464	43095	\N	\N	\N
949874	3238	1998-08-06	PRIJEM	VKLAD	22464	48410	\N	\N	\N
949875	3238	1998-09-06	PRIJEM	VKLAD	22464	54704	\N	\N	\N
949876	3238	1998-10-06	PRIJEM	VKLAD	22464	56339	\N	\N	\N
949877	3238	1998-11-06	PRIJEM	VKLAD	22464	58540	\N	\N	\N
949878	3238	1998-12-06	PRIJEM	VKLAD	33696	68515	\N	\N	\N
949884	3238	1996-06-06	VYDAJ	PREVOD NA UCET	8109	54069	SIPO	EF	11093372
949885	3238	1996-07-06	VYDAJ	PREVOD NA UCET	8109	30104	SIPO	EF	11093372
949886	3238	1996-08-06	VYDAJ	PREVOD NA UCET	8109	37798	SIPO	EF	11093372
949887	3238	1996-09-06	VYDAJ	PREVOD NA UCET	8109	44844	SIPO	EF	11093372
949888	3238	1996-10-06	VYDAJ	PREVOD NA UCET	8109	45768	SIPO	EF	11093372
949889	3238	1996-11-06	VYDAJ	PREVOD NA UCET	8109	48004	SIPO	EF	11093372
949890	3238	1996-12-06	VYDAJ	PREVOD NA UCET	8109	60978	SIPO	EF	11093372
949891	3238	1997-01-06	VYDAJ	PREVOD NA UCET	8109	45727	SIPO	EF	11093372
949892	3238	1997-02-06	VYDAJ	PREVOD NA UCET	8109	42646	SIPO	EF	11093372
949893	3238	1997-03-06	VYDAJ	PREVOD NA UCET	8109	44458	SIPO	EF	11093372
949894	3238	1997-04-06	VYDAJ	PREVOD NA UCET	8109	39482	SIPO	EF	11093372
949895	3238	1997-05-06	VYDAJ	PREVOD NA UCET	8109	40499	SIPO	EF	11093372
949896	3238	1997-06-06	VYDAJ	PREVOD NA UCET	8109	54416	SIPO	EF	11093372
949897	3238	1997-07-06	VYDAJ	PREVOD NA UCET	8109	39207	SIPO	EF	11093372
949898	3238	1997-08-06	VYDAJ	PREVOD NA UCET	8109	42610	SIPO	EF	11093372
949899	3238	1997-09-06	VYDAJ	PREVOD NA UCET	8109	42825	SIPO	EF	11093372
949900	3238	1997-10-06	VYDAJ	PREVOD NA UCET	8109	44840	SIPO	EF	11093372
949901	3238	1997-11-06	VYDAJ	PREVOD NA UCET	8109	42682	SIPO	EF	11093372
949902	3238	1997-12-06	VYDAJ	PREVOD NA UCET	8109	48277	SIPO	EF	11093372
949903	3238	1998-01-06	VYDAJ	PREVOD NA UCET	8109	39528	SIPO	EF	11093372
949904	3238	1998-02-06	VYDAJ	PREVOD NA UCET	8109	33747	SIPO	EF	11093372
949905	3238	1998-03-06	VYDAJ	PREVOD NA UCET	8109	38911	SIPO	EF	11093372
949906	3238	1998-04-06	VYDAJ	PREVOD NA UCET	8109	39707	SIPO	EF	11093372
949907	3238	1998-05-06	VYDAJ	PREVOD NA UCET	8109	40901	SIPO	EF	11093372
949908	3238	1998-06-06	VYDAJ	PREVOD NA UCET	8109	15749	SIPO	EF	11093372
949909	3238	1998-07-06	VYDAJ	PREVOD NA UCET	8109	34986	SIPO	EF	11093372
949910	3238	1998-08-06	VYDAJ	PREVOD NA UCET	8109	40301	SIPO	EF	11093372
949911	3238	1998-09-06	VYDAJ	PREVOD NA UCET	8109	45802	SIPO	EF	11093372
949912	3238	1998-10-06	VYDAJ	PREVOD NA UCET	8109	47437	SIPO	EF	11093372
949913	3238	1998-11-06	VYDAJ	PREVOD NA UCET	8109	49638	SIPO	EF	11093372
949914	3238	1998-12-06	VYDAJ	PREVOD NA UCET	8109	59613	SIPO	EF	11093372
949920	3238	1996-06-06	VYDAJ	PREVOD NA UCET	793	53276	 	ST	45814847
949921	3238	1996-07-06	VYDAJ	PREVOD NA UCET	793	38213	 	ST	45814847
949922	3238	1996-08-06	VYDAJ	PREVOD NA UCET	793	45907	 	ST	45814847
949923	3238	1996-09-06	VYDAJ	PREVOD NA UCET	793	44051	 	ST	45814847
949924	3238	1996-10-06	VYDAJ	PREVOD NA UCET	793	44975	 	ST	45814847
949925	3238	1996-11-06	VYDAJ	PREVOD NA UCET	793	47211	 	ST	45814847
949926	3238	1996-12-06	VYDAJ	PREVOD NA UCET	793	60185	 	ST	45814847
949927	3238	1997-01-06	VYDAJ	PREVOD NA UCET	793	53836	 	ST	45814847
949928	3238	1997-02-06	VYDAJ	PREVOD NA UCET	793	41853	 	ST	45814847
949929	3238	1997-03-06	VYDAJ	PREVOD NA UCET	793	43665	 	ST	45814847
949930	3238	1997-04-06	VYDAJ	PREVOD NA UCET	793	38689	 	ST	45814847
949931	3238	1997-05-06	VYDAJ	PREVOD NA UCET	793	48608	 	ST	45814847
949932	3238	1997-06-06	VYDAJ	PREVOD NA UCET	793	53623	 	ST	45814847
949933	3238	1997-07-06	VYDAJ	PREVOD NA UCET	793	38414	 	ST	45814847
949934	3238	1997-08-06	VYDAJ	PREVOD NA UCET	793	50719	 	ST	45814847
949935	3238	1997-09-06	VYDAJ	PREVOD NA UCET	793	42032	 	ST	45814847
949936	3238	1997-10-06	VYDAJ	PREVOD NA UCET	793	52949	 	ST	45814847
949937	3238	1997-11-06	VYDAJ	PREVOD NA UCET	793	50791	 	ST	45814847
949938	3238	1997-12-06	VYDAJ	PREVOD NA UCET	793	56386	 	ST	45814847
949939	3238	1998-01-06	VYDAJ	PREVOD NA UCET	793	38735	 	ST	45814847
949940	3238	1998-02-06	VYDAJ	PREVOD NA UCET	793	41856	 	ST	45814847
949941	3238	1998-03-06	VYDAJ	PREVOD NA UCET	793	38118	 	ST	45814847
949942	3238	1998-04-06	VYDAJ	PREVOD NA UCET	793	47816	 	ST	45814847
949943	3238	1998-05-06	VYDAJ	PREVOD NA UCET	793	49010	 	ST	45814847
949944	3238	1998-06-06	VYDAJ	PREVOD NA UCET	793	23858	 	ST	45814847
949945	3238	1998-07-06	VYDAJ	PREVOD NA UCET	793	34193	 	ST	45814847
949946	3238	1998-08-06	VYDAJ	PREVOD NA UCET	793	39508	 	ST	45814847
949947	3238	1998-09-06	VYDAJ	PREVOD NA UCET	793	53911	 	ST	45814847
949948	3238	1998-10-06	VYDAJ	PREVOD NA UCET	793	55546	 	ST	45814847
949949	3238	1998-11-06	VYDAJ	PREVOD NA UCET	793	57747	 	ST	45814847
949950	3238	1998-12-06	VYDAJ	PREVOD NA UCET	793	67722	 	ST	45814847
949951	3238	1996-06-18	VYDAJ	VYBER	33760	19516	\N	\N	\N
949952	3238	1997-06-09	VYDAJ	VYBER	17120	36503	\N	\N	\N
949953	3238	1998-06-06	VYDAJ	VYBER	34560	24651	\N	\N	\N
949955	3238	1997-01-05	VYDAJ	VYBER	5760	32165	\N	\N	\N
949956	3238	1998-01-23	VYDAJ	VYBER	12480	19415	\N	\N	\N
949957	3238	1996-12-21	VYDAJ	VYBER	3680	56505	\N	\N	\N
949958	3238	1997-12-20	VYDAJ	VYBER	2720	45557	\N	\N	\N
949959	3238	1998-12-13	VYDAJ	VYBER	1760	57853	\N	\N	\N
949966	3238	1997-01-16	VYDAJ	VYBER	960	42607	\N	\N	\N
949967	3238	1997-01-14	VYDAJ	VYBER	2160	43567	\N	\N	\N
949968	3238	1997-01-26	VYDAJ	VYBER	2040	39127	\N	\N	\N
949969	3238	1997-01-01	VYDAJ	VYBER	1920	54825	\N	\N	\N
949970	3238	1997-01-28	VYDAJ	VYBER	3000	36127	\N	\N	\N
949971	3238	1997-01-17	VYDAJ	VYBER	1440	41167	\N	\N	\N
949972	3238	1998-01-13	VYDAJ	VYBER	1560	34535	\N	\N	\N
949973	3238	1998-01-23	VYDAJ	VYBER	840	18575	\N	\N	\N
949974	3238	1998-01-10	VYDAJ	VYBER	1920	36095	\N	\N	\N
949975	3238	1998-01-05	VYDAJ	VYBER	3240	25173	\N	\N	\N
949976	3238	1998-01-10	VYDAJ	VYBER	720	38015	\N	\N	\N
949977	3238	1998-01-21	VYDAJ	VYBER	2640	31895	\N	\N	\N
949978	3238	1996-06-23	VYDAJ	VYBER	2520	16996	\N	\N	\N
949982	3238	1996-09-19	VYDAJ	VYBER	1200	42851	\N	\N	\N
949983	3238	1996-08-18	VYDAJ	VYBER	960	36838	\N	\N	\N
949984	3238	1997-05-08	VYDAJ	VYBER	720	39779	\N	\N	\N
949985	3238	1997-12-01	VYDAJ	VYBER	4440	23483	\N	\N	\N
949986	3238	1997-03-22	VYDAJ	VYBER	2040	41625	\N	\N	\N
949987	3238	1997-03-31	VYDAJ	VYBER	4560	37242	\N	\N	\N
949988	3238	1997-11-23	VYDAJ	VYBER	5520	37162	\N	\N	\N
949989	3238	1997-08-22	VYDAJ	VYBER	5400	37210	\N	\N	\N
949990	3238	1998-07-27	VYDAJ	VYBER	3360	25833	\N	\N	\N
949991	3238	1998-10-23	VYDAJ	VYBER	720	46717	\N	\N	\N
949993	3238	1998-05-28	VYDAJ	VYBER	4800	25381	\N	\N	\N
949996	3238	1998-05-17	VYDAJ	VYBER	720	40181	\N	\N	\N
950003	3238	1996-06-30	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
950004	3238	1996-07-31	VYDAJ	VYBER	15	30236	SLUZBY	\N	\N
950005	3238	1996-08-31	VYDAJ	VYBER	15	36989	SLUZBY	\N	\N
950006	3238	1996-09-30	VYDAJ	VYBER	15	43013	SLUZBY	\N	\N
950007	3238	1996-10-31	VYDAJ	VYBER	15	45149	SLUZBY	\N	\N
950008	3238	1996-11-30	VYDAJ	VYBER	15	47391	SLUZBY	\N	\N
950009	3238	1996-12-31	VYDAJ	VYBER	15	56745	SLUZBY	\N	\N
950010	3238	1997-01-31	VYDAJ	VYBER	15	28291	SLUZBY	\N	\N
950011	3238	1997-02-28	VYDAJ	VYBER	15	42003	SLUZBY	\N	\N
950012	3238	1997-03-31	VYDAJ	VYBER	15	37227	SLUZBY	\N	\N
950013	3238	1997-04-30	VYDAJ	VYBER	15	38837	SLUZBY	\N	\N
950014	3238	1997-05-31	VYDAJ	VYBER	15	39929	SLUZBY	\N	\N
950015	3238	1997-06-30	VYDAJ	VYBER	15	36652	SLUZBY	\N	\N
950016	3238	1997-07-31	VYDAJ	VYBER	15	29048	SLUZBY	\N	\N
950017	3238	1997-08-31	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
950018	3238	1997-09-30	VYDAJ	VYBER	15	31278	SLUZBY	\N	\N
950019	3238	1997-10-31	VYDAJ	VYBER	15	29120	SLUZBY	\N	\N
950020	3238	1997-11-30	VYDAJ	VYBER	15	27923	SLUZBY	\N	\N
950021	3238	1997-12-31	VYDAJ	VYBER	15	28413	SLUZBY	\N	\N
950022	3238	1998-01-31	VYDAJ	VYBER	15	20185	SLUZBY	\N	\N
950023	3238	1998-02-28	VYDAJ	VYBER	15	24556	SLUZBY	\N	\N
950024	3238	1998-03-31	VYDAJ	VYBER	15	26145	SLUZBY	\N	\N
950025	3238	1998-04-30	VYDAJ	VYBER	15	27339	SLUZBY	\N	\N
950026	3238	1998-05-31	VYDAJ	VYBER	15	25515	SLUZBY	\N	\N
950027	3238	1998-06-30	VYDAJ	VYBER	15	20631	SLUZBY	\N	\N
950028	3238	1998-07-31	VYDAJ	VYBER	15	25946	SLUZBY	\N	\N
950029	3238	1998-08-31	VYDAJ	VYBER	15	32240	SLUZBY	\N	\N
950030	3238	1998-09-30	VYDAJ	VYBER	15	33875	SLUZBY	\N	\N
950031	3238	1998-10-31	VYDAJ	VYBER	15	36076	SLUZBY	\N	\N
950032	3238	1998-11-30	VYDAJ	VYBER	15	34819	SLUZBY	\N	\N
950033	3238	1996-02-06	VYDAJ	VYBER	1500	21364	\N	\N	\N
950034	3238	1996-03-07	VYDAJ	VYBER	14600	29302	\N	\N	\N
950035	3238	1996-04-06	VYDAJ	VYBER	17100	34781	\N	\N	\N
950036	3238	1996-05-06	VYDAJ	VYBER	19700	37746	\N	\N	\N
950037	3238	1996-06-05	VYDAJ	VYBER	9500	28482	\N	\N	\N
950038	3238	1996-07-05	VYDAJ	VYBER	600	16542	\N	\N	\N
950039	3238	1996-08-04	VYDAJ	VYBER	6000	24236	\N	\N	\N
950040	3238	1996-09-03	VYDAJ	VYBER	6500	30489	\N	\N	\N
950041	3238	1996-10-03	VYDAJ	VYBER	11600	31413	\N	\N	\N
950042	3238	1996-11-02	VYDAJ	VYBER	11500	33649	\N	\N	\N
950043	3238	1996-12-02	VYDAJ	VYBER	12000	35391	\N	\N	\N
950044	3238	1997-01-01	VYDAJ	VYBER	16900	37925	\N	\N	\N
950045	3238	1997-01-31	VYDAJ	VYBER	8000	28306	\N	\N	\N
950046	3238	1997-03-02	VYDAJ	VYBER	11900	30103	\N	\N	\N
950047	3238	1997-04-01	VYDAJ	VYBER	12100	25127	\N	\N	\N
950048	3238	1997-05-01	VYDAJ	VYBER	11900	26937	\N	\N	\N
950049	3238	1997-05-31	VYDAJ	VYBER	11100	28829	\N	\N	\N
950050	3238	1997-06-30	VYDAJ	VYBER	11800	24852	\N	\N	\N
950051	3238	1997-07-30	VYDAJ	VYBER	9500	28914	\N	\N	\N
950052	3238	1997-08-29	VYDAJ	VYBER	8900	28310	\N	\N	\N
950053	3238	1997-09-28	VYDAJ	VYBER	10900	31132	\N	\N	\N
950054	3238	1997-10-28	VYDAJ	VYBER	15900	28940	\N	\N	\N
950055	3238	1997-11-27	VYDAJ	VYBER	9400	27762	\N	\N	\N
950056	3238	1997-12-27	VYDAJ	VYBER	17300	28257	\N	\N	\N
950057	3238	1998-01-26	PRIJEM	VKLAD	1500	20075	\N	\N	\N
950058	3238	1998-02-25	VYDAJ	VYBER	9300	24447	\N	\N	\N
950059	3238	1998-03-27	VYDAJ	VYBER	12100	26018	\N	\N	\N
950060	3238	1998-04-26	VYDAJ	VYBER	12500	27207	\N	\N	\N
950061	3238	1998-05-26	VYDAJ	VYBER	10000	30181	\N	\N	\N
950062	3238	1998-06-25	PRIJEM	VKLAD	4800	20549	\N	\N	\N
950063	3238	1998-07-25	VYDAJ	VYBER	5000	29193	\N	\N	\N
950064	3238	1998-08-24	VYDAJ	VYBER	7400	32108	\N	\N	\N
950065	3238	1998-09-23	VYDAJ	VYBER	12100	33702	\N	\N	\N
950066	3238	1998-10-23	VYDAJ	VYBER	10800	35917	\N	\N	\N
950067	3238	1998-11-22	VYDAJ	VYBER	15000	34638	\N	\N	\N
950103	3239	1996-06-19	PRIJEM	VKLAD	200	200	\N	\N	\N
950110	3239	1996-07-05	PRIJEM	VKLAD	20510	20710	\N	\N	\N
950111	3239	1996-08-05	PRIJEM	VKLAD	20510	42458	\N	\N	\N
950112	3239	1996-09-05	PRIJEM	VKLAD	20510	54182	\N	\N	\N
950113	3239	1996-10-05	PRIJEM	VKLAD	20510	56636	\N	\N	\N
950114	3239	1996-11-05	PRIJEM	VKLAD	20510	60604	\N	\N	\N
950115	3239	1996-12-05	PRIJEM	VKLAD	30765	64879	\N	\N	\N
950116	3239	1997-01-05	PRIJEM	VKLAD	20510	55977	\N	\N	\N
950117	3239	1997-02-05	PRIJEM	VKLAD	20510	56672	\N	\N	\N
950118	3239	1997-03-05	PRIJEM	VKLAD	20510	55100	\N	\N	\N
950119	3239	1997-04-05	PRIJEM	VKLAD	20510	58316	\N	\N	\N
950120	3239	1997-05-05	PRIJEM	VKLAD	20510	56533	\N	\N	\N
950121	3239	1997-06-05	PRIJEM	VKLAD	30765	66400	\N	\N	\N
950122	3239	1997-07-05	PRIJEM	VKLAD	20510	60024	\N	\N	\N
950123	3239	1997-08-05	PRIJEM	VKLAD	20510	54439	\N	\N	\N
950124	3239	1997-09-05	PRIJEM	VKLAD	20510	56546	\N	\N	\N
950125	3239	1997-10-05	PRIJEM	VKLAD	20510	56154	\N	\N	\N
950126	3239	1997-11-05	PRIJEM	VKLAD	20510	46082	\N	\N	\N
950127	3239	1997-12-05	PRIJEM	VKLAD	30765	55209	\N	\N	\N
950128	3239	1998-01-05	PRIJEM	VKLAD	20510	47195	\N	\N	\N
950129	3239	1998-02-05	PRIJEM	VKLAD	20510	47666	\N	\N	\N
950130	3239	1998-03-05	PRIJEM	VKLAD	20510	47538	\N	\N	\N
950131	3239	1998-04-05	PRIJEM	VKLAD	20510	43482	\N	\N	\N
950132	3239	1998-05-05	PRIJEM	VKLAD	20510	45040	\N	\N	\N
950133	3239	1998-06-05	PRIJEM	VKLAD	30765	61273	\N	\N	\N
950134	3239	1998-07-05	PRIJEM	VKLAD	20510	58522	\N	\N	\N
950135	3239	1998-08-05	PRIJEM	VKLAD	20510	63254	\N	\N	\N
950136	3239	1998-09-05	PRIJEM	VKLAD	20510	62890	\N	\N	\N
950137	3239	1998-10-05	PRIJEM	VKLAD	20510	61931	\N	\N	\N
950138	3239	1998-11-05	PRIJEM	VKLAD	20510	56552	\N	\N	\N
950139	3239	1998-12-05	PRIJEM	VKLAD	30765	59927	\N	\N	\N
950150	3239	1996-11-11	VYDAJ	PREVOD NA UCET	8838	51766	SIPO	QR	42712515
950151	3239	1996-12-11	VYDAJ	PREVOD NA UCET	8838	51401	SIPO	QR	42712515
950152	3239	1997-01-11	VYDAJ	PREVOD NA UCET	8838	47139	SIPO	QR	42712515
950153	3239	1997-02-11	VYDAJ	PREVOD NA UCET	8838	47834	SIPO	QR	42712515
950154	3239	1997-03-11	VYDAJ	PREVOD NA UCET	8838	46262	SIPO	QR	42712515
950155	3239	1997-04-11	VYDAJ	PREVOD NA UCET	8838	49478	SIPO	QR	42712515
950156	3239	1997-05-11	VYDAJ	PREVOD NA UCET	8838	47695	SIPO	QR	42712515
950157	3239	1997-06-11	VYDAJ	PREVOD NA UCET	8838	57562	SIPO	QR	42712515
950158	3239	1997-07-11	VYDAJ	PREVOD NA UCET	8838	46986	SIPO	QR	42712515
950159	3239	1997-08-11	VYDAJ	PREVOD NA UCET	8838	45601	SIPO	QR	42712515
950160	3239	1997-09-11	VYDAJ	PREVOD NA UCET	8838	47708	SIPO	QR	42712515
950161	3239	1997-10-11	VYDAJ	PREVOD NA UCET	8838	47316	SIPO	QR	42712515
950162	3239	1997-11-11	VYDAJ	PREVOD NA UCET	8838	37244	SIPO	QR	42712515
950163	3239	1997-12-11	VYDAJ	PREVOD NA UCET	8838	46371	SIPO	QR	42712515
950164	3239	1998-01-11	VYDAJ	PREVOD NA UCET	8838	27057	SIPO	QR	42712515
950165	3239	1998-02-11	VYDAJ	PREVOD NA UCET	8838	26928	SIPO	QR	42712515
950166	3239	1998-03-11	VYDAJ	PREVOD NA UCET	8838	27200	SIPO	QR	42712515
950167	3239	1998-04-11	VYDAJ	PREVOD NA UCET	8838	24444	SIPO	QR	42712515
950168	3239	1998-05-11	VYDAJ	PREVOD NA UCET	8838	30402	SIPO	QR	42712515
950169	3239	1998-06-11	VYDAJ	PREVOD NA UCET	8838	37875	SIPO	QR	42712515
950170	3239	1998-07-11	VYDAJ	PREVOD NA UCET	8838	42584	SIPO	QR	42712515
950171	3239	1998-08-11	VYDAJ	PREVOD NA UCET	8838	42216	SIPO	QR	42712515
950172	3239	1998-09-11	VYDAJ	PREVOD NA UCET	8838	43052	SIPO	QR	42712515
950173	3239	1998-10-11	VYDAJ	PREVOD NA UCET	8838	35893	SIPO	QR	42712515
950174	3239	1998-11-11	VYDAJ	PREVOD NA UCET	8838	34314	SIPO	QR	42712515
950175	3239	1998-12-11	VYDAJ	PREVOD NA UCET	8838	32449	SIPO	QR	42712515
950179	3239	1996-12-05	VYDAJ	VYBER	4640	60239	\N	\N	\N
950180	3239	1997-12-01	VYDAJ	VYBER	1280	24444	\N	\N	\N
950181	3239	1998-12-12	VYDAJ	VYBER	2880	29569	\N	\N	\N
950183	3239	1996-12-18	VYDAJ	VYBER	1200	35301	\N	\N	\N
950186	3239	1997-10-26	VYDAJ	VYBER	4080	25456	\N	\N	\N
950187	3239	1997-11-26	VYDAJ	VYBER	3720	25624	\N	\N	\N
950188	3239	1997-02-01	VYDAJ	VYBER	720	36162	\N	\N	\N
950189	3239	1997-07-09	VYDAJ	VYBER	4200	55824	\N	\N	\N
950190	3239	1997-12-17	VYDAJ	VYBER	5520	26551	\N	\N	\N
950191	3239	1997-10-19	VYDAJ	VYBER	1080	29536	\N	\N	\N
950192	3239	1998-11-22	VYDAJ	VYBER	5280	29034	\N	\N	\N
950193	3239	1998-03-20	VYDAJ	VYBER	2280	24920	\N	\N	\N
950194	3239	1998-12-08	VYDAJ	VYBER	2640	41287	\N	\N	\N
950195	3239	1998-03-25	VYDAJ	VYBER	2040	22880	\N	\N	\N
950196	3239	1998-10-03	VYDAJ	VYBER	1800	41421	\N	\N	\N
950197	3239	1998-06-10	VYDAJ	VYBER	3360	46713	\N	\N	\N
950209	3239	1996-11-30	VYDAJ	VYBER	15	34114	SLUZBY	\N	\N
950210	3239	1996-12-31	VYDAJ	VYBER	15	35467	SLUZBY	\N	\N
950211	3239	1997-01-31	VYDAJ	VYBER	15	36882	SLUZBY	\N	\N
950212	3239	1997-02-28	VYDAJ	VYBER	15	34590	SLUZBY	\N	\N
950213	3239	1997-03-31	VYDAJ	VYBER	15	37806	SLUZBY	\N	\N
950214	3239	1997-04-30	VYDAJ	VYBER	15	36023	SLUZBY	\N	\N
950215	3239	1997-05-31	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
950216	3239	1997-06-30	VYDAJ	VYBER	15	39514	SLUZBY	\N	\N
950217	3239	1997-07-31	VYDAJ	VYBER	15	33929	SLUZBY	\N	\N
950218	3239	1997-08-31	VYDAJ	VYBER	15	36036	SLUZBY	\N	\N
950219	3239	1997-09-30	VYDAJ	VYBER	15	35644	SLUZBY	\N	\N
950220	3239	1997-10-31	VYDAJ	VYBER	15	25572	SLUZBY	\N	\N
950221	3239	1997-11-30	VYDAJ	VYBER	15	25724	SLUZBY	\N	\N
950222	3239	1997-12-31	VYDAJ	VYBER	15	26685	SLUZBY	\N	\N
950223	3239	1998-01-31	VYDAJ	VYBER	15	27156	SLUZBY	\N	\N
950224	3239	1998-02-28	VYDAJ	VYBER	15	27028	SLUZBY	\N	\N
950225	3239	1998-03-31	VYDAJ	VYBER	15	22972	SLUZBY	\N	\N
950226	3239	1998-04-30	VYDAJ	VYBER	15	24530	SLUZBY	\N	\N
950227	3239	1998-05-31	VYDAJ	VYBER	15	30508	SLUZBY	\N	\N
950228	3239	1998-06-30	VYDAJ	VYBER	15	38012	SLUZBY	\N	\N
950229	3239	1998-07-31	VYDAJ	VYBER	15	42744	SLUZBY	\N	\N
950230	3239	1998-08-31	VYDAJ	VYBER	15	42380	SLUZBY	\N	\N
950231	3239	1998-09-30	VYDAJ	VYBER	15	43221	SLUZBY	\N	\N
950232	3239	1998-10-31	VYDAJ	VYBER	15	36042	SLUZBY	\N	\N
950233	3239	1998-11-30	VYDAJ	VYBER	15	29162	SLUZBY	\N	\N
950234	3239	1996-07-19	PRIJEM	VKLAD	1200	21910	\N	\N	\N
950235	3239	1996-08-18	VYDAJ	VYBER	8900	33558	\N	\N	\N
950236	3239	1996-09-17	VYDAJ	VYBER	18200	35982	\N	\N	\N
950237	3239	1996-10-17	VYDAJ	VYBER	16700	39936	\N	\N	\N
950238	3239	1996-11-16	VYDAJ	VYBER	17800	33966	\N	\N	\N
950239	3239	1996-12-16	VYDAJ	VYBER	14900	36501	\N	\N	\N
950240	3239	1997-01-15	VYDAJ	VYBER	10400	36739	\N	\N	\N
950241	3239	1997-02-14	VYDAJ	VYBER	13400	34434	\N	\N	\N
950242	3239	1997-03-16	VYDAJ	VYBER	8600	37662	\N	\N	\N
950243	3239	1997-04-15	VYDAJ	VYBER	13600	35878	\N	\N	\N
950244	3239	1997-05-15	VYDAJ	VYBER	12200	35495	\N	\N	\N
950245	3239	1997-06-14	VYDAJ	VYBER	18200	39362	\N	\N	\N
950246	3239	1997-07-14	VYDAJ	VYBER	13200	33786	\N	\N	\N
950247	3239	1997-08-13	VYDAJ	VYBER	9700	35901	\N	\N	\N
950248	3239	1997-09-12	VYDAJ	VYBER	12200	35508	\N	\N	\N
950249	3239	1997-10-12	VYDAJ	VYBER	16700	30616	\N	\N	\N
950250	3239	1997-11-11	VYDAJ	VYBER	7900	29344	\N	\N	\N
950251	3239	1997-12-11	VYDAJ	VYBER	14300	32071	\N	\N	\N
950252	3239	1998-01-10	VYDAJ	VYBER	11300	35895	\N	\N	\N
950253	3239	1998-02-09	VYDAJ	VYBER	11900	35766	\N	\N	\N
950254	3239	1998-03-11	VYDAJ	VYBER	11500	36038	\N	\N	\N
950255	3239	1998-04-10	VYDAJ	VYBER	10200	33282	\N	\N	\N
950256	3239	1998-05-10	VYDAJ	VYBER	5800	39240	\N	\N	\N
950257	3239	1998-06-09	VYDAJ	VYBER	11200	50073	\N	\N	\N
950258	3239	1998-07-09	VYDAJ	VYBER	7100	51422	\N	\N	\N
950259	3239	1998-08-08	VYDAJ	VYBER	12200	51054	\N	\N	\N
950260	3239	1998-09-07	VYDAJ	VYBER	11000	51890	\N	\N	\N
950261	3239	1998-10-07	VYDAJ	VYBER	17200	44731	\N	\N	\N
950262	3239	1998-11-06	VYDAJ	VYBER	13400	43152	\N	\N	\N
950263	3239	1998-12-06	VYDAJ	VYBER	16000	43927	\N	\N	\N
950294	3240	1996-05-29	PRIJEM	VKLAD	800	800	\N	\N	\N
950295	3240	1996-12-23	PRIJEM	VKLAD	15631	48259	\N	\N	\N
950297	3240	1996-09-07	PRIJEM	VKLAD	17657	43006	\N	\N	\N
950298	3240	1996-07-29	PRIJEM	VKLAD	46253	72824	\N	\N	\N
950301	3240	1996-10-04	PRIJEM	VKLAD	29090	129137	\N	\N	\N
950302	3240	1996-10-18	PRIJEM	VKLAD	35818	128864	\N	\N	\N
950304	3240	1996-05-31	PRIJEM	VKLAD	5199	6000	\N	\N	\N
950305	3240	1996-11-30	PRIJEM	VKLAD	23592	67003	\N	\N	\N
950306	3240	1996-11-30	PRIJEM	VKLAD	20652	43314	\N	\N	\N
950307	3240	1996-09-29	PRIJEM	VKLAD	30414	61901	\N	\N	\N
950311	3240	1996-08-24	PRIJEM	VKLAD	11709	67969	\N	\N	\N
950312	3240	1996-09-05	PRIJEM	VKLAD	8606	51904	\N	\N	\N
950315	3240	1996-10-03	PRIJEM	VKLAD	38002	100047	\N	\N	\N
950316	3240	1996-08-14	PRIJEM	VKLAD	35584	108560	\N	\N	\N
950317	3240	1996-06-12	PRIJEM	VKLAD	31935	37935	\N	\N	\N
950318	3240	1996-10-08	PRIJEM	VKLAD	49638	146165	\N	\N	\N
950322	3240	1996-10-21	PRIJEM	VKLAD	40374	154038	\N	\N	\N
950323	3240	1997-08-12	PRIJEM	VKLAD	25208	49396	\N	\N	\N
950324	3240	1997-03-27	PRIJEM	VKLAD	40136	57596	\N	\N	\N
950325	3240	1997-10-07	PRIJEM	VKLAD	13969	29391	\N	\N	\N
950326	3240	1997-08-16	PRIJEM	VKLAD	21270	70645	\N	\N	\N
950327	3240	1997-05-27	PRIJEM	VKLAD	44762	60938	\N	\N	\N
950328	3240	1997-06-29	PRIJEM	VKLAD	33704	53185	\N	\N	\N
950329	3240	1997-07-20	PRIJEM	VKLAD	24327	48771	\N	\N	\N
950330	3240	1997-09-25	PRIJEM	VKLAD	8722	20472	\N	\N	\N
950331	3240	1998-04-04	PRIJEM	VKLAD	44607	42262	\N	\N	\N
950332	3240	1998-06-01	PRIJEM	VKLAD	49336	72043	\N	\N	\N
950333	3240	1998-10-03	PRIJEM	VKLAD	36971	53451	\N	\N	\N
950334	3240	1998-07-17	PRIJEM	VKLAD	38899	58953	\N	\N	\N
950335	3240	1998-06-06	PRIJEM	VKLAD	17681	89724	\N	\N	\N
950336	3240	1998-04-25	PRIJEM	VKLAD	42063	56996	\N	\N	\N
950381	3240	1996-09-06	VYDAJ	PREVOD NA UCET	5110	25349	SIPO	UV	58338659
950382	3240	1996-10-06	VYDAJ	PREVOD NA UCET	5110	96527	SIPO	UV	58338659
950383	3240	1996-11-06	VYDAJ	PREVOD NA UCET	5110	17881	SIPO	UV	58338659
950384	3240	1996-12-06	VYDAJ	PREVOD NA UCET	5110	41647	SIPO	UV	58338659
950385	3240	1997-01-06	VYDAJ	PREVOD NA UCET	5110	26295	SIPO	UV	58338659
950386	3240	1997-02-06	VYDAJ	PREVOD NA UCET	5110	20349	SIPO	UV	58338659
950387	3240	1997-03-06	VYDAJ	PREVOD NA UCET	5110	14379	SIPO	UV	58338659
950388	3240	1997-04-06	VYDAJ	PREVOD NA UCET	5110	52550	SIPO	UV	58338659
950389	3240	1997-05-06	VYDAJ	PREVOD NA UCET	5110	20695	SIPO	UV	58338659
950390	3240	1997-06-06	VYDAJ	PREVOD NA UCET	5110	42259	SIPO	UV	58338659
950391	3240	1997-07-06	VYDAJ	PREVOD NA UCET	5110	48203	SIPO	UV	58338659
950392	3240	1997-08-06	VYDAJ	PREVOD NA UCET	5110	24486	SIPO	UV	58338659
950393	3240	1997-09-06	VYDAJ	PREVOD NA UCET	5110	22369	SIPO	UV	58338659
950394	3240	1997-10-06	VYDAJ	PREVOD NA UCET	5110	15422	SIPO	UV	58338659
950395	3240	1997-11-06	VYDAJ	PREVOD NA UCET	5110	8724	SIPO	UV	58338659
950396	3240	1997-12-06	VYDAJ	PREVOD NA UCET	5110	3305	SIPO	UV	58338659
950397	3240	1998-01-06	VYDAJ	PREVOD NA UCET	5110	-2137	SIPO	UV	58338659
950400	3240	1998-04-06	VYDAJ	PREVOD NA UCET	5110	37152	SIPO	UV	58338659
950401	3240	1998-05-06	VYDAJ	PREVOD NA UCET	5110	51978	SIPO	UV	58338659
950402	3240	1998-06-06	VYDAJ	PREVOD NA UCET	5110	84614	SIPO	UV	58338659
950403	3240	1998-07-06	VYDAJ	PREVOD NA UCET	5110	20373	SIPO	UV	58338659
950404	3240	1998-08-06	VYDAJ	PREVOD NA UCET	5110	22120	SIPO	UV	58338659
950405	3240	1998-09-06	VYDAJ	PREVOD NA UCET	5110	16756	SIPO	UV	58338659
950406	3240	1998-10-06	VYDAJ	PREVOD NA UCET	5110	48341	SIPO	UV	58338659
950407	3240	1998-11-06	VYDAJ	PREVOD NA UCET	5110	11192	SIPO	UV	58338659
950408	3240	1998-12-06	VYDAJ	PREVOD NA UCET	5110	5783	SIPO	UV	58338659
950417	3240	1996-09-13	VYDAJ	PREVOD NA UCET	21	42687	 	YZ	77722441
950418	3240	1996-10-13	VYDAJ	PREVOD NA UCET	21	93046	 	YZ	77722441
950419	3240	1996-11-13	VYDAJ	PREVOD NA UCET	21	17562	 	YZ	77722441
950420	3240	1996-12-13	VYDAJ	PREVOD NA UCET	21	41328	 	YZ	77722441
950421	3240	1997-01-13	VYDAJ	PREVOD NA UCET	21	25976	 	YZ	77722441
950422	3240	1997-02-13	VYDAJ	PREVOD NA UCET	21	20030	 	YZ	77722441
950423	3240	1997-03-13	VYDAJ	PREVOD NA UCET	21	14060	 	YZ	77722441
950424	3240	1997-04-13	VYDAJ	PREVOD NA UCET	21	52231	 	YZ	77722441
950425	3240	1997-05-13	VYDAJ	PREVOD NA UCET	21	20376	 	YZ	77722441
950426	3240	1997-06-13	VYDAJ	PREVOD NA UCET	21	41940	 	YZ	77722441
950427	3240	1997-07-13	VYDAJ	PREVOD NA UCET	21	24444	 	YZ	77722441
950428	3240	1997-08-13	VYDAJ	PREVOD NA UCET	21	49375	 	YZ	77722441
950429	3240	1997-09-13	VYDAJ	PREVOD NA UCET	21	22050	 	YZ	77722441
950430	3240	1997-10-13	VYDAJ	PREVOD NA UCET	21	29072	 	YZ	77722441
950431	3240	1997-11-13	VYDAJ	PREVOD NA UCET	21	8405	 	YZ	77722441
950432	3240	1997-12-13	VYDAJ	PREVOD NA UCET	21	2986	 	YZ	77722441
950433	3240	1998-01-13	VYDAJ	PREVOD NA UCET	21	-2158	 	YZ	77722441
950434	3240	1998-02-13	VYDAJ	PREVOD NA UCET	21	-2217	 	YZ	77722441
950435	3240	1998-03-13	VYDAJ	PREVOD NA UCET	21	-2291	 	YZ	77722441
950436	3240	1998-04-13	VYDAJ	PREVOD NA UCET	21	36833	 	YZ	77722441
950437	3240	1998-05-13	VYDAJ	PREVOD NA UCET	21	51659	 	YZ	77722441
950438	3240	1998-06-13	VYDAJ	PREVOD NA UCET	21	84295	 	YZ	77722441
950439	3240	1998-07-13	VYDAJ	PREVOD NA UCET	21	20054	 	YZ	77722441
950440	3240	1998-08-13	VYDAJ	PREVOD NA UCET	21	21801	 	YZ	77722441
950441	3240	1998-09-13	VYDAJ	PREVOD NA UCET	21	16437	 	YZ	77722441
950442	3240	1998-10-13	VYDAJ	PREVOD NA UCET	21	48022	 	YZ	77722441
950443	3240	1998-11-13	VYDAJ	PREVOD NA UCET	21	10873	 	YZ	77722441
950444	3240	1998-12-13	VYDAJ	PREVOD NA UCET	21	5464	 	YZ	77722441
950453	3240	1996-09-08	VYDAJ	PREVOD NA UCET	298	42708	POJISTNE	OP	47667419
950454	3240	1996-10-08	VYDAJ	PREVOD NA UCET	298	145867	POJISTNE	OP	47667419
950455	3240	1996-11-08	VYDAJ	PREVOD NA UCET	298	17583	POJISTNE	OP	47667419
950456	3240	1996-12-08	VYDAJ	PREVOD NA UCET	298	41349	POJISTNE	OP	47667419
950457	3240	1997-01-08	VYDAJ	PREVOD NA UCET	298	25997	POJISTNE	OP	47667419
950458	3240	1997-02-08	VYDAJ	PREVOD NA UCET	298	20051	POJISTNE	OP	47667419
950459	3240	1997-03-08	VYDAJ	PREVOD NA UCET	298	14081	POJISTNE	OP	47667419
950460	3240	1997-04-08	VYDAJ	PREVOD NA UCET	298	52252	POJISTNE	OP	47667419
950461	3240	1997-05-08	VYDAJ	PREVOD NA UCET	298	20397	POJISTNE	OP	47667419
950462	3240	1997-06-08	VYDAJ	PREVOD NA UCET	298	41961	POJISTNE	OP	47667419
950463	3240	1997-07-08	VYDAJ	PREVOD NA UCET	298	47905	POJISTNE	OP	47667419
950464	3240	1997-08-08	VYDAJ	PREVOD NA UCET	298	24188	POJISTNE	OP	47667419
950465	3240	1997-09-08	VYDAJ	PREVOD NA UCET	298	22071	POJISTNE	OP	47667419
950466	3240	1997-10-08	VYDAJ	PREVOD NA UCET	298	29093	POJISTNE	OP	47667419
950467	3240	1997-11-08	VYDAJ	PREVOD NA UCET	298	8426	POJISTNE	OP	47667419
950468	3240	1997-12-08	VYDAJ	PREVOD NA UCET	298	3007	POJISTNE	OP	47667419
950472	3240	1998-04-08	VYDAJ	PREVOD NA UCET	298	36854	POJISTNE	OP	47667419
950473	3240	1998-05-08	VYDAJ	PREVOD NA UCET	298	51680	POJISTNE	OP	47667419
950474	3240	1998-06-08	VYDAJ	PREVOD NA UCET	298	84316	POJISTNE	OP	47667419
950475	3240	1998-07-08	VYDAJ	PREVOD NA UCET	298	20075	POJISTNE	OP	47667419
950476	3240	1998-08-08	VYDAJ	PREVOD NA UCET	298	21822	POJISTNE	OP	47667419
950477	3240	1998-09-08	VYDAJ	PREVOD NA UCET	298	16458	POJISTNE	OP	47667419
950478	3240	1998-10-08	VYDAJ	PREVOD NA UCET	298	48043	POJISTNE	OP	47667419
950479	3240	1998-11-08	VYDAJ	PREVOD NA UCET	298	10894	POJISTNE	OP	47667419
950480	3240	1998-12-08	VYDAJ	PREVOD NA UCET	298	5485	POJISTNE	OP	47667419
950482	3240	1996-12-06	VYBER	VYBER	20216	46757	\N	\N	\N
950484	3240	1996-10-28	VYBER	VYBER	8262	53876	\N	\N	\N
950485	3240	1996-09-05	VYBER	VYBER	21445	30459	\N	\N	\N
950490	3240	1996-11-02	VYBER	VYBER	17443	36791	\N	\N	\N
950496	3240	1997-05-28	VYBER	VYBER	13651	47287	\N	\N	\N
950501	3240	1997-07-11	VYBER	VYBER	23440	24465	\N	\N	\N
950503	3240	1997-06-15	VYBER	VYBER	5459	36481	\N	\N	\N
950506	3240	1998-05-25	VYBER	VYBER	3494	22565	\N	\N	\N
950524	3240	1996-12-14	VYDAJ	VYBER	8700	32628	\N	\N	\N
950527	3240	1996-12-29	VYDAJ	VYBER	1500	36359	\N	\N	\N
950530	3240	1996-11-03	VYDAJ	VYBER	13800	22991	\N	\N	\N
950531	3240	1996-12-29	VYDAJ	VYBER	5100	31259	\N	\N	\N
950532	3240	1996-09-17	VYDAJ	VYBER	3600	39087	\N	\N	\N
950535	3240	1997-08-25	VYDAJ	VYBER	9000	27345	\N	\N	\N
950536	3240	1997-05-02	VYDAJ	VYBER	7200	25805	\N	\N	\N
950537	3240	1998-06-27	VYDAJ	VYBER	12600	25295	\N	\N	\N
950541	3240	1998-04-19	VYDAJ	VYBER	6900	14933	\N	\N	\N
950551	3240	1996-08-31	VYDAJ	VYBER	30	43298	SLUZBY	\N	\N
950552	3240	1996-09-30	VYDAJ	VYBER	30	62045	SLUZBY	\N	\N
950553	3240	1996-10-31	VYDAJ	VYBER	30	54234	SLUZBY	\N	\N
950554	3240	1996-11-30	VYDAJ	VYBER	30	66973	SLUZBY	\N	\N
950555	3240	1996-12-31	VYDAJ	VYBER	30	31405	SLUZBY	\N	\N
950556	3240	1997-01-31	VYDAJ	VYBER	30	25459	SLUZBY	\N	\N
950557	3240	1997-02-28	VYDAJ	VYBER	30	19489	SLUZBY	\N	\N
950558	3240	1997-03-31	VYDAJ	VYBER	30	57660	SLUZBY	\N	\N
950559	3240	1997-04-30	VYDAJ	VYBER	30	33005	SLUZBY	\N	\N
950560	3240	1997-05-31	VYDAJ	VYBER	30	47369	SLUZBY	\N	\N
950561	3240	1997-06-30	VYDAJ	VYBER	30	53313	SLUZBY	\N	\N
950562	3240	1997-07-31	VYDAJ	VYBER	30	29596	SLUZBY	\N	\N
950563	3240	1997-08-31	VYDAJ	VYBER	30	27479	SLUZBY	\N	\N
950564	3240	1997-09-30	VYDAJ	VYBER	30	20532	SLUZBY	\N	\N
950565	3240	1997-10-31	VYDAJ	VYBER	30	13834	SLUZBY	\N	\N
950566	3240	1997-11-30	VYDAJ	VYBER	30	8415	SLUZBY	\N	\N
950567	3240	1997-12-31	VYDAJ	VYBER	30	2974	SLUZBY	\N	\N
950568	3240	1998-01-31	VYDAJ	VYBER	30	-2196	SLUZBY	\N	\N
950569	3240	1998-02-28	VYDAJ	VYBER	30	-2270	SLUZBY	\N	\N
950570	3240	1998-03-31	VYDAJ	VYBER	30	-2345	SLUZBY	\N	\N
950571	3240	1998-04-30	VYDAJ	VYBER	30	57088	SLUZBY	\N	\N
950572	3240	1998-05-31	VYDAJ	VYBER	30	22707	SLUZBY	\N	\N
950573	3240	1998-06-30	VYDAJ	VYBER	30	25483	SLUZBY	\N	\N
950574	3240	1998-07-31	VYDAJ	VYBER	30	27230	SLUZBY	\N	\N
950575	3240	1998-08-31	VYDAJ	VYBER	30	21866	SLUZBY	\N	\N
950576	3240	1998-09-30	VYDAJ	VYBER	30	16480	SLUZBY	\N	\N
950577	3240	1998-10-31	VYDAJ	VYBER	30	16302	SLUZBY	\N	\N
950578	3240	1998-11-30	VYDAJ	VYBER	30	10893	SLUZBY	\N	\N
950579	3240	1996-06-28	VYDAJ	VYBER	5400	32535	\N	\N	\N
950580	3240	1996-07-28	VYDAJ	VYBER	6000	26571	\N	\N	\N
950581	3240	1996-08-14	VYDAJ	VYBER	52300	56260	\N	\N	\N
950582	3240	1996-08-27	VYDAJ	VYBER	24900	43069	\N	\N	\N
950583	3240	1996-09-26	VYDAJ	VYBER	7600	31487	\N	\N	\N
950584	3240	1996-10-04	VYDAJ	VYBER	27500	101637	\N	\N	\N
950585	3240	1996-10-08	VYDAJ	VYBER	23000	122867	\N	\N	\N
950586	3240	1996-10-08	VYDAJ	VYBER	29800	93067	\N	\N	\N
950587	3240	1996-10-18	VYDAJ	VYBER	15200	113664	\N	\N	\N
950588	3240	1996-10-21	VYDAJ	VYBER	53500	100538	\N	\N	\N
950589	3240	1996-10-26	VYDAJ	VYBER	38400	62138	\N	\N	\N
950590	3240	1996-11-25	PRIJEM	VKLAD	5100	22662	\N	\N	\N
950591	3240	1996-12-25	VYDAJ	VYBER	10400	37859	\N	\N	\N
950592	3240	1997-01-24	VYDAJ	VYBER	600	25376	\N	\N	\N
950593	3240	1997-02-23	VYDAJ	VYBER	600	19430	\N	\N	\N
950594	3240	1997-03-25	PRIJEM	VKLAD	3400	17460	\N	\N	\N
950595	3240	1997-04-24	VYDAJ	VYBER	19400	32831	\N	\N	\N
950596	3240	1997-05-24	VYDAJ	VYBER	4200	16176	\N	\N	\N
950597	3240	1997-06-23	VYDAJ	VYBER	17000	19481	\N	\N	\N
950598	3240	1997-07-23	VYDAJ	VYBER	19300	29471	\N	\N	\N
950599	3240	1997-08-22	VYDAJ	VYBER	34300	36345	\N	\N	\N
950600	3240	1997-09-21	VYDAJ	VYBER	10300	11750	\N	\N	\N
950601	3240	1997-10-21	VYDAJ	VYBER	15300	13772	\N	\N	\N
950602	3240	1998-04-19	VYDAJ	VYBER	15000	21833	\N	\N	\N
950603	3240	1998-05-19	VYDAJ	VYBER	25600	26059	\N	\N	\N
950604	3240	1998-06-18	VYDAJ	VYBER	46400	37895	\N	\N	\N
950605	3240	1998-07-18	VYDAJ	VYBER	31800	27153	\N	\N	\N
950606	3240	1998-10-16	VYDAJ	VYBER	31800	16222	\N	\N	\N
950641	3241	1993-07-16	PRIJEM	VKLAD	200	200	\N	\N	\N
950649	3241	1993-08-12	PRIJEM	PREVOD Z UCTU	6282	6482	DUCHOD	QR	88683235
950650	3241	1993-09-12	PRIJEM	PREVOD Z UCTU	6282	12764	DUCHOD	QR	88683235
950651	3241	1993-10-12	PRIJEM	PREVOD Z UCTU	6282	19046	DUCHOD	QR	88683235
950652	3241	1993-11-12	PRIJEM	PREVOD Z UCTU	6282	25328	DUCHOD	QR	88683235
950653	3241	1993-12-12	PRIJEM	PREVOD Z UCTU	6282	30571	DUCHOD	QR	88683235
950654	3241	1994-01-12	PRIJEM	PREVOD Z UCTU	6282	25088	DUCHOD	QR	88683235
950655	3241	1994-02-12	PRIJEM	PREVOD Z UCTU	6282	16107	DUCHOD	QR	88683235
950656	3241	1994-03-12	PRIJEM	PREVOD Z UCTU	6282	17237	DUCHOD	QR	88683235
950657	3241	1994-04-12	PRIJEM	PREVOD Z UCTU	6282	20537	DUCHOD	QR	88683235
950658	3241	1994-05-12	PRIJEM	PREVOD Z UCTU	6282	23851	DUCHOD	QR	88683235
950659	3241	1994-06-12	PRIJEM	PREVOD Z UCTU	6282	23077	DUCHOD	QR	88683235
950660	3241	1994-07-12	PRIJEM	PREVOD Z UCTU	6282	26402	DUCHOD	QR	88683235
950661	3241	1994-08-12	PRIJEM	PREVOD Z UCTU	6282	29741	DUCHOD	QR	88683235
950662	3241	1994-09-12	PRIJEM	PREVOD Z UCTU	6282	33093	DUCHOD	QR	88683235
950663	3241	1994-10-12	PRIJEM	PREVOD Z UCTU	6282	31860	DUCHOD	QR	88683235
950664	3241	1994-11-12	PRIJEM	PREVOD Z UCTU	6282	30525	DUCHOD	QR	88683235
950665	3241	1994-12-12	PRIJEM	PREVOD Z UCTU	6282	30863	DUCHOD	QR	88683235
950666	3241	1995-01-12	PRIJEM	PREVOD Z UCTU	6282	26701	DUCHOD	QR	88683235
950667	3241	1995-02-12	PRIJEM	PREVOD Z UCTU	6282	19115	DUCHOD	QR	88683235
950668	3241	1995-03-12	PRIJEM	PREVOD Z UCTU	6282	21462	DUCHOD	QR	88683235
950669	3241	1995-04-12	PRIJEM	PREVOD Z UCTU	6282	24779	DUCHOD	QR	88683235
950670	3241	1995-05-12	PRIJEM	PREVOD Z UCTU	6282	28111	DUCHOD	QR	88683235
950671	3241	1995-06-12	PRIJEM	PREVOD Z UCTU	6282	28810	DUCHOD	QR	88683235
950672	3241	1995-07-12	PRIJEM	PREVOD Z UCTU	6282	30205	DUCHOD	QR	88683235
950673	3241	1995-08-12	PRIJEM	PREVOD Z UCTU	6282	30440	DUCHOD	QR	88683235
950674	3241	1995-09-12	PRIJEM	PREVOD Z UCTU	6282	31476	DUCHOD	QR	88683235
950675	3241	1995-10-12	PRIJEM	PREVOD Z UCTU	6282	32937	DUCHOD	QR	88683235
950676	3241	1995-11-12	PRIJEM	PREVOD Z UCTU	6282	36302	DUCHOD	QR	88683235
950677	3241	1995-12-12	PRIJEM	PREVOD Z UCTU	6282	33441	DUCHOD	QR	88683235
950678	3241	1996-01-12	PRIJEM	PREVOD Z UCTU	6282	32550	DUCHOD	QR	88683235
950679	3241	1996-02-12	PRIJEM	PREVOD Z UCTU	6282	23965	DUCHOD	QR	88683235
950680	3241	1996-03-12	PRIJEM	PREVOD Z UCTU	6282	21292	DUCHOD	QR	88683235
950681	3241	1996-04-12	PRIJEM	PREVOD Z UCTU	6282	22290	DUCHOD	QR	88683235
950682	3241	1996-05-12	PRIJEM	PREVOD Z UCTU	6282	25614	DUCHOD	QR	88683235
950683	3241	1996-06-12	PRIJEM	PREVOD Z UCTU	6282	28388	DUCHOD	QR	88683235
950684	3241	1996-07-12	PRIJEM	PREVOD Z UCTU	6282	30182	DUCHOD	QR	88683235
950685	3241	1996-08-12	PRIJEM	PREVOD Z UCTU	6282	33535	DUCHOD	QR	88683235
950686	3241	1996-09-12	PRIJEM	PREVOD Z UCTU	6282	36903	DUCHOD	QR	88683235
950687	3241	1996-10-12	PRIJEM	PREVOD Z UCTU	6282	38524	DUCHOD	QR	88683235
950688	3241	1996-11-12	PRIJEM	PREVOD Z UCTU	6282	41911	DUCHOD	QR	88683235
950689	3241	1996-12-12	PRIJEM	PREVOD Z UCTU	6282	45313	DUCHOD	QR	88683235
950690	3241	1997-01-12	PRIJEM	PREVOD Z UCTU	6282	42999	DUCHOD	QR	88683235
950691	3241	1997-02-12	PRIJEM	PREVOD Z UCTU	6282	39197	DUCHOD	QR	88683235
950692	3241	1997-03-12	PRIJEM	PREVOD Z UCTU	6282	40504	DUCHOD	QR	88683235
950693	3241	1997-04-12	PRIJEM	PREVOD Z UCTU	6282	43900	DUCHOD	QR	88683235
950694	3241	1997-05-12	PRIJEM	PREVOD Z UCTU	6282	43461	DUCHOD	QR	88683235
950695	3241	1997-06-12	PRIJEM	PREVOD Z UCTU	6282	46869	DUCHOD	QR	88683235
950696	3241	1997-07-12	PRIJEM	PREVOD Z UCTU	6282	45923	DUCHOD	QR	88683235
950697	3241	1997-08-12	PRIJEM	PREVOD Z UCTU	6282	49341	DUCHOD	QR	88683235
950698	3241	1997-09-12	PRIJEM	PREVOD Z UCTU	6282	52773	DUCHOD	QR	88683235
950699	3241	1997-10-12	PRIJEM	PREVOD Z UCTU	6282	56220	DUCHOD	QR	88683235
950700	3241	1997-11-12	PRIJEM	PREVOD Z UCTU	6282	56001	DUCHOD	QR	88683235
950701	3241	1997-12-12	PRIJEM	PREVOD Z UCTU	6282	59466	DUCHOD	QR	88683235
950702	3241	1998-01-12	PRIJEM	PREVOD Z UCTU	6282	54117	DUCHOD	QR	88683235
950703	3241	1998-02-12	PRIJEM	PREVOD Z UCTU	6282	51407	DUCHOD	QR	88683235
950704	3241	1998-03-12	PRIJEM	PREVOD Z UCTU	6282	54847	DUCHOD	QR	88683235
950705	3241	1998-04-12	PRIJEM	PREVOD Z UCTU	6282	58302	DUCHOD	QR	88683235
950706	3241	1998-05-12	PRIJEM	PREVOD Z UCTU	6282	61771	DUCHOD	QR	88683235
950707	3241	1998-06-12	PRIJEM	PREVOD Z UCTU	6282	65254	DUCHOD	QR	88683235
950708	3241	1998-07-12	PRIJEM	PREVOD Z UCTU	6282	64692	DUCHOD	QR	88683235
950709	3241	1998-08-12	PRIJEM	PREVOD Z UCTU	6282	65467	DUCHOD	QR	88683235
950710	3241	1998-09-12	PRIJEM	PREVOD Z UCTU	6282	68965	DUCHOD	QR	88683235
950711	3241	1998-10-12	PRIJEM	PREVOD Z UCTU	6282	70478	DUCHOD	QR	88683235
950712	3241	1998-11-12	PRIJEM	PREVOD Z UCTU	6282	73997	DUCHOD	QR	88683235
950713	3241	1998-12-12	PRIJEM	PREVOD Z UCTU	6282	74339	DUCHOD	QR	88683235
950726	3241	1994-01-07	VYDAJ	PREVOD NA UCET	3034	18806	SIPO	YZ	69585042
950727	3241	1994-02-07	VYDAJ	PREVOD NA UCET	3034	9825	SIPO	YZ	69585042
950728	3241	1994-03-07	VYDAJ	PREVOD NA UCET	3034	10955	SIPO	YZ	69585042
950729	3241	1994-04-07	VYDAJ	PREVOD NA UCET	3034	14255	SIPO	YZ	69585042
950730	3241	1994-05-07	VYDAJ	PREVOD NA UCET	3034	17569	SIPO	YZ	69585042
950731	3241	1994-06-07	VYDAJ	PREVOD NA UCET	3034	16795	SIPO	YZ	69585042
950732	3241	1994-07-07	VYDAJ	PREVOD NA UCET	3034	20120	SIPO	YZ	69585042
950733	3241	1994-08-07	VYDAJ	PREVOD NA UCET	3034	23459	SIPO	YZ	69585042
950734	3241	1994-09-07	VYDAJ	PREVOD NA UCET	3034	26811	SIPO	YZ	69585042
950735	3241	1994-10-07	VYDAJ	PREVOD NA UCET	3034	30178	SIPO	YZ	69585042
950736	3241	1994-11-07	VYDAJ	PREVOD NA UCET	3034	28943	SIPO	YZ	69585042
950737	3241	1994-12-07	VYDAJ	PREVOD NA UCET	3034	27601	SIPO	YZ	69585042
950738	3241	1995-01-07	VYDAJ	PREVOD NA UCET	3034	24879	SIPO	YZ	69585042
950739	3241	1995-02-07	VYDAJ	PREVOD NA UCET	3034	12833	SIPO	YZ	69585042
950740	3241	1995-03-07	VYDAJ	PREVOD NA UCET	3034	15660	SIPO	YZ	69585042
950741	3241	1995-04-07	VYDAJ	PREVOD NA UCET	3034	18497	SIPO	YZ	69585042
950742	3241	1995-05-07	VYDAJ	PREVOD NA UCET	3034	21829	SIPO	YZ	69585042
950743	3241	1995-06-07	VYDAJ	PREVOD NA UCET	3034	22528	SIPO	YZ	69585042
950744	3241	1995-07-07	VYDAJ	PREVOD NA UCET	3034	23923	SIPO	YZ	69585042
950745	3241	1995-08-07	VYDAJ	PREVOD NA UCET	3034	27278	SIPO	YZ	69585042
950746	3241	1995-09-07	VYDAJ	PREVOD NA UCET	3034	27514	SIPO	YZ	69585042
950747	3241	1995-10-07	VYDAJ	PREVOD NA UCET	3034	26655	SIPO	YZ	69585042
950748	3241	1995-11-07	VYDAJ	PREVOD NA UCET	3034	30020	SIPO	YZ	69585042
950749	3241	1995-12-07	VYDAJ	PREVOD NA UCET	3034	27159	SIPO	YZ	69585042
950750	3241	1996-01-07	VYDAJ	PREVOD NA UCET	3034	26268	SIPO	YZ	69585042
950751	3241	1996-02-07	VYDAJ	PREVOD NA UCET	3034	17683	SIPO	YZ	69585042
950752	3241	1996-03-07	VYDAJ	PREVOD NA UCET	3034	15010	SIPO	YZ	69585042
950753	3241	1996-04-07	VYDAJ	PREVOD NA UCET	3034	18328	SIPO	YZ	69585042
950754	3241	1996-05-07	VYDAJ	PREVOD NA UCET	3034	19332	SIPO	YZ	69585042
950755	3241	1996-06-07	VYDAJ	PREVOD NA UCET	3034	22106	SIPO	YZ	69585042
950756	3241	1996-07-07	VYDAJ	PREVOD NA UCET	3034	23900	SIPO	YZ	69585042
950757	3241	1996-08-07	VYDAJ	PREVOD NA UCET	3034	27253	SIPO	YZ	69585042
950758	3241	1996-09-07	VYDAJ	PREVOD NA UCET	3034	30621	SIPO	YZ	69585042
950759	3241	1996-10-07	VYDAJ	PREVOD NA UCET	3034	32242	SIPO	YZ	69585042
950760	3241	1996-11-07	VYDAJ	PREVOD NA UCET	3034	35629	SIPO	YZ	69585042
950761	3241	1996-12-07	VYDAJ	PREVOD NA UCET	3034	39031	SIPO	YZ	69585042
950762	3241	1997-01-07	VYDAJ	PREVOD NA UCET	3034	37757	SIPO	YZ	69585042
950763	3241	1997-02-07	VYDAJ	PREVOD NA UCET	3034	32915	SIPO	YZ	69585042
950764	3241	1997-03-07	VYDAJ	PREVOD NA UCET	3034	34222	SIPO	YZ	69585042
950765	3241	1997-04-07	VYDAJ	PREVOD NA UCET	3034	37618	SIPO	YZ	69585042
950766	3241	1997-05-07	VYDAJ	PREVOD NA UCET	3034	37179	SIPO	YZ	69585042
950767	3241	1997-06-07	VYDAJ	PREVOD NA UCET	3034	40587	SIPO	YZ	69585042
950768	3241	1997-07-07	VYDAJ	PREVOD NA UCET	3034	39641	SIPO	YZ	69585042
950769	3241	1997-08-07	VYDAJ	PREVOD NA UCET	3034	43059	SIPO	YZ	69585042
950770	3241	1997-09-07	VYDAJ	PREVOD NA UCET	3034	46491	SIPO	YZ	69585042
950771	3241	1997-10-07	VYDAJ	PREVOD NA UCET	3034	49938	SIPO	YZ	69585042
950772	3241	1997-11-07	VYDAJ	PREVOD NA UCET	3034	53399	SIPO	YZ	69585042
950773	3241	1997-12-07	VYDAJ	PREVOD NA UCET	3034	53184	SIPO	YZ	69585042
950774	3241	1998-01-07	VYDAJ	PREVOD NA UCET	3034	52185	SIPO	YZ	69585042
950775	3241	1998-02-07	VYDAJ	PREVOD NA UCET	3034	45125	SIPO	YZ	69585042
950776	3241	1998-03-07	VYDAJ	PREVOD NA UCET	3034	48565	SIPO	YZ	69585042
950777	3241	1998-04-07	VYDAJ	PREVOD NA UCET	3034	52020	SIPO	YZ	69585042
950778	3241	1998-05-07	VYDAJ	PREVOD NA UCET	3034	55489	SIPO	YZ	69585042
950779	3241	1998-06-07	VYDAJ	PREVOD NA UCET	3034	58972	SIPO	YZ	69585042
950780	3241	1998-07-07	VYDAJ	PREVOD NA UCET	3034	58410	SIPO	YZ	69585042
950781	3241	1998-08-07	VYDAJ	PREVOD NA UCET	3034	59185	SIPO	YZ	69585042
950782	3241	1998-09-07	VYDAJ	PREVOD NA UCET	3034	62683	SIPO	YZ	69585042
950783	3241	1998-10-07	VYDAJ	PREVOD NA UCET	3034	64196	SIPO	YZ	69585042
950784	3241	1998-11-07	VYDAJ	PREVOD NA UCET	3034	67715	SIPO	YZ	69585042
950785	3241	1998-12-07	VYDAJ	PREVOD NA UCET	3034	68057	SIPO	YZ	69585042
950787	3241	1994-06-05	VYDAJ	VYBER	3300	19829	\N	\N	\N
950788	3241	1995-06-22	VYDAJ	VYBER	1950	26860	\N	\N	\N
950789	3241	1996-06-21	VYDAJ	VYBER	1550	26838	\N	\N	\N
950790	3241	1997-06-20	VYDAJ	VYBER	2600	42509	\N	\N	\N
950791	3241	1998-06-13	VYDAJ	VYBER	4050	61204	\N	\N	\N
950793	3241	1994-01-23	VYDAJ	VYBER	3650	12798	\N	\N	\N
950794	3241	1995-01-16	VYDAJ	VYBER	4750	20031	\N	\N	\N
950795	3241	1996-01-15	VYDAJ	VYBER	4250	28300	\N	\N	\N
950796	3241	1997-01-24	VYDAJ	VYBER	3600	36999	\N	\N	\N
950797	3241	1998-01-10	VYDAJ	VYBER	4350	47835	\N	\N	\N
950799	3241	1994-12-27	VYDAJ	VYBER	1300	29563	\N	\N	\N
950800	3241	1995-12-04	VYDAJ	VYBER	300	33233	\N	\N	\N
950801	3241	1996-12-26	VYDAJ	VYBER	1250	44063	\N	\N	\N
950802	3241	1997-12-12	VYDAJ	VYBER	950	58516	\N	\N	\N
950803	3241	1998-12-05	VYDAJ	VYBER	950	71091	\N	\N	\N
950811	3241	1994-01-19	VYDAJ	VYBER	2160	17248	\N	\N	\N
950812	3241	1994-01-13	VYDAJ	VYBER	2160	20928	\N	\N	\N
950813	3241	1994-01-03	VYDAJ	VYBER	1920	23440	\N	\N	\N
950814	3241	1994-01-14	VYDAJ	VYBER	1520	19408	\N	\N	\N
950815	3241	1994-01-05	VYDAJ	VYBER	1600	21840	\N	\N	\N
950816	3241	1995-01-30	VYDAJ	VYBER	2160	15791	\N	\N	\N
950817	3241	1995-01-01	VYDAJ	VYBER	1760	27913	\N	\N	\N
950818	3241	1995-01-08	VYDAJ	VYBER	1040	22739	\N	\N	\N
950819	3241	1995-01-15	VYDAJ	VYBER	1920	24781	\N	\N	\N
950820	3241	1995-01-10	VYDAJ	VYBER	2320	20419	\N	\N	\N
950821	3241	1995-01-18	VYDAJ	VYBER	2080	17951	\N	\N	\N
950822	3241	1996-01-04	VYDAJ	VYBER	1760	29302	\N	\N	\N
950823	3241	1996-01-30	VYDAJ	VYBER	1280	20620	\N	\N	\N
950824	3241	1996-01-22	VYDAJ	VYBER	1200	25820	\N	\N	\N
950825	3241	1996-01-24	VYDAJ	VYBER	2000	21900	\N	\N	\N
950826	3241	1996-01-17	VYDAJ	VYBER	1280	27020	\N	\N	\N
950827	3241	1996-01-23	VYDAJ	VYBER	1920	23900	\N	\N	\N
950828	3241	1997-01-12	VYDAJ	VYBER	1200	41799	\N	\N	\N
950829	3241	1997-01-16	VYDAJ	VYBER	1200	40599	\N	\N	\N
950830	3241	1997-01-04	VYDAJ	VYBER	720	43511	\N	\N	\N
950831	3241	1997-01-07	VYDAJ	VYBER	1200	40791	\N	\N	\N
950832	3241	1997-01-30	VYDAJ	VYBER	720	36279	\N	\N	\N
950833	3241	1997-01-09	VYDAJ	VYBER	1040	36717	\N	\N	\N
950834	3241	1998-01-03	VYDAJ	VYBER	2240	56499	\N	\N	\N
950835	3241	1998-01-17	VYDAJ	VYBER	800	53317	\N	\N	\N
950836	3241	1998-01-30	VYDAJ	VYBER	1920	47957	\N	\N	\N
950837	3241	1998-01-17	VYDAJ	VYBER	1440	51877	\N	\N	\N
950838	3241	1998-01-24	VYDAJ	VYBER	2000	49877	\N	\N	\N
950839	3241	1998-01-05	VYDAJ	VYBER	1280	55219	\N	\N	\N
950844	3241	1994-12-10	VYDAJ	VYBER	1520	24581	\N	\N	\N
950845	3241	1994-01-19	VYDAJ	VYBER	800	16448	\N	\N	\N
950846	3241	1994-02-13	VYDAJ	VYBER	2160	13947	\N	\N	\N
950847	3241	1995-12-06	VYDAJ	VYBER	3040	30193	\N	\N	\N
950848	3241	1995-05-14	VYDAJ	VYBER	2640	25471	\N	\N	\N
950849	3241	1995-03-08	VYDAJ	VYBER	480	15180	\N	\N	\N
950850	3241	1995-09-10	VYDAJ	VYBER	2320	25194	\N	\N	\N
950851	3241	1995-02-19	VYDAJ	VYBER	480	18635	\N	\N	\N
950852	3241	1995-08-08	VYDAJ	VYBER	3120	24158	\N	\N	\N
950853	3241	1996-10-02	VYDAJ	VYBER	1760	35276	\N	\N	\N
950854	3241	1996-03-02	VYDAJ	VYBER	3200	20844	\N	\N	\N
950855	3241	1996-04-11	VYDAJ	VYBER	2320	16008	\N	\N	\N
950856	3241	1996-03-05	VYDAJ	VYBER	2800	18044	\N	\N	\N
950857	3241	1996-05-23	VYDAJ	VYBER	560	25054	\N	\N	\N
950858	3241	1997-06-12	VYDAJ	VYBER	1760	45109	\N	\N	\N
950859	3241	1997-11-11	VYDAJ	VYBER	3680	49719	\N	\N	\N
950860	3241	1997-02-18	VYDAJ	VYBER	2080	37117	\N	\N	\N
950861	3241	1997-04-14	VYDAJ	VYBER	3840	40060	\N	\N	\N
950862	3241	1997-01-06	VYDAJ	VYBER	1520	41991	\N	\N	\N
950863	3241	1997-01-31	VYDAJ	VYBER	480	35964	\N	\N	\N
950864	3241	1998-07-12	VYDAJ	VYBER	2720	61972	\N	\N	\N
950865	3241	1998-11-27	VYDAJ	VYBER	2240	71757	\N	\N	\N
950866	3241	1998-09-30	VYDAJ	VYBER	2000	67244	\N	\N	\N
950867	3241	1998-12-19	VYDAJ	VYBER	2240	72099	\N	\N	\N
950880	3241	1993-12-31	VYDAJ	VYBER	15	25360	SLUZBY	\N	\N
950881	3241	1994-01-31	VYDAJ	VYBER	15	12859	SLUZBY	\N	\N
950882	3241	1994-02-28	VYDAJ	VYBER	15	13989	SLUZBY	\N	\N
950883	3241	1994-03-31	VYDAJ	VYBER	15	17289	SLUZBY	\N	\N
950884	3241	1994-04-30	VYDAJ	VYBER	15	20603	SLUZBY	\N	\N
950885	3241	1994-05-31	VYDAJ	VYBER	15	23129	SLUZBY	\N	\N
950886	3241	1994-06-30	VYDAJ	VYBER	15	23154	SLUZBY	\N	\N
950887	3241	1994-07-31	VYDAJ	VYBER	15	26493	SLUZBY	\N	\N
950888	3241	1994-08-31	VYDAJ	VYBER	15	29845	SLUZBY	\N	\N
950889	3241	1994-09-30	VYDAJ	VYBER	15	33212	SLUZBY	\N	\N
950890	3241	1994-10-31	VYDAJ	VYBER	15	31977	SLUZBY	\N	\N
950891	3241	1994-11-30	VYDAJ	VYBER	15	30635	SLUZBY	\N	\N
950892	3241	1994-12-31	VYDAJ	VYBER	15	29673	SLUZBY	\N	\N
950893	3241	1995-01-31	VYDAJ	VYBER	15	15867	SLUZBY	\N	\N
950894	3241	1995-02-28	VYDAJ	VYBER	15	18694	SLUZBY	\N	\N
950895	3241	1995-03-31	VYDAJ	VYBER	15	21531	SLUZBY	\N	\N
950896	3241	1995-04-30	VYDAJ	VYBER	15	24863	SLUZBY	\N	\N
950897	3241	1995-05-31	VYDAJ	VYBER	15	25562	SLUZBY	\N	\N
950898	3241	1995-06-30	VYDAJ	VYBER	15	26957	SLUZBY	\N	\N
950899	3241	1995-07-31	VYDAJ	VYBER	15	30312	SLUZBY	\N	\N
950900	3241	1995-08-31	VYDAJ	VYBER	15	30548	SLUZBY	\N	\N
950901	3241	1995-09-30	VYDAJ	VYBER	15	31589	SLUZBY	\N	\N
950902	3241	1995-10-31	VYDAJ	VYBER	15	33054	SLUZBY	\N	\N
950903	3241	1995-11-30	VYDAJ	VYBER	15	36433	SLUZBY	\N	\N
950904	3241	1995-12-31	VYDAJ	VYBER	15	33562	SLUZBY	\N	\N
950905	3241	1996-01-31	VYDAJ	VYBER	15	20717	SLUZBY	\N	\N
950906	3241	1996-02-29	VYDAJ	VYBER	15	24044	SLUZBY	\N	\N
950907	3241	1996-03-31	VYDAJ	VYBER	15	21362	SLUZBY	\N	\N
950908	3241	1996-04-30	VYDAJ	VYBER	15	22366	SLUZBY	\N	\N
950909	3241	1996-05-31	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
950910	3241	1996-06-30	VYDAJ	VYBER	15	26934	SLUZBY	\N	\N
950911	3241	1996-07-31	VYDAJ	VYBER	15	30287	SLUZBY	\N	\N
950912	3241	1996-08-31	VYDAJ	VYBER	15	33655	SLUZBY	\N	\N
950913	3241	1996-09-30	VYDAJ	VYBER	15	37036	SLUZBY	\N	\N
950914	3241	1996-10-31	VYDAJ	VYBER	15	38663	SLUZBY	\N	\N
950915	3241	1996-11-30	VYDAJ	VYBER	15	42065	SLUZBY	\N	\N
950916	3241	1996-12-31	VYDAJ	VYBER	15	44231	SLUZBY	\N	\N
950917	3241	1997-01-31	VYDAJ	VYBER	15	35949	SLUZBY	\N	\N
950918	3241	1997-02-28	VYDAJ	VYBER	15	37256	SLUZBY	\N	\N
950919	3241	1997-03-31	VYDAJ	VYBER	15	40652	SLUZBY	\N	\N
950920	3241	1997-04-30	VYDAJ	VYBER	15	40213	SLUZBY	\N	\N
950921	3241	1997-05-31	VYDAJ	VYBER	15	43621	SLUZBY	\N	\N
950922	3241	1997-06-30	VYDAJ	VYBER	15	42675	SLUZBY	\N	\N
950923	3241	1997-07-31	VYDAJ	VYBER	15	46093	SLUZBY	\N	\N
950924	3241	1997-08-31	VYDAJ	VYBER	15	49525	SLUZBY	\N	\N
950925	3241	1997-09-30	VYDAJ	VYBER	15	52972	SLUZBY	\N	\N
950926	3241	1997-10-31	VYDAJ	VYBER	15	56433	SLUZBY	\N	\N
950927	3241	1997-11-30	VYDAJ	VYBER	15	56218	SLUZBY	\N	\N
950928	3241	1997-12-31	VYDAJ	VYBER	15	58739	SLUZBY	\N	\N
950929	3241	1998-01-31	VYDAJ	VYBER	15	48159	SLUZBY	\N	\N
950930	3241	1998-02-28	VYDAJ	VYBER	15	51599	SLUZBY	\N	\N
950931	3241	1998-03-31	VYDAJ	VYBER	15	55054	SLUZBY	\N	\N
950932	3241	1998-04-30	VYDAJ	VYBER	15	58523	SLUZBY	\N	\N
950933	3241	1998-05-31	VYDAJ	VYBER	15	62006	SLUZBY	\N	\N
950934	3241	1998-06-30	VYDAJ	VYBER	15	61444	SLUZBY	\N	\N
950935	3241	1998-07-31	VYDAJ	VYBER	15	62219	SLUZBY	\N	\N
950936	3241	1998-08-31	VYDAJ	VYBER	15	65717	SLUZBY	\N	\N
950937	3241	1998-09-30	VYDAJ	VYBER	15	67230	SLUZBY	\N	\N
950938	3241	1998-10-31	VYDAJ	VYBER	15	70749	SLUZBY	\N	\N
950939	3241	1998-11-30	VYDAJ	VYBER	15	72041	SLUZBY	\N	\N
950940	3241	1993-11-13	VYDAJ	VYBER	1100	24228	\N	\N	\N
950941	3241	1993-12-13	VYDAJ	VYBER	5300	25271	\N	\N	\N
950942	3241	1994-01-12	VYDAJ	VYBER	2000	23088	\N	\N	\N
950943	3241	1994-05-12	VYDAJ	VYBER	800	23051	\N	\N	\N
950944	3241	1994-10-09	VYDAJ	VYBER	4600	25578	\N	\N	\N
950945	3241	1994-11-08	VYDAJ	VYBER	4700	24243	\N	\N	\N
950946	3241	1994-12-08	VYDAJ	VYBER	1500	26101	\N	\N	\N
950947	3241	1995-01-07	VYDAJ	VYBER	1100	23779	\N	\N	\N
950948	3241	1995-10-04	VYDAJ	VYBER	1900	29689	\N	\N	\N
950949	3241	1995-12-03	VYDAJ	VYBER	2900	33533	\N	\N	\N
950950	3241	1996-01-02	VYDAJ	VYBER	2500	31062	\N	\N	\N
951013	3242	1997-03-02	PRIJEM	VKLAD	900	900	\N	\N	\N
951016	3242	1997-03-11	PRIJEM	VKLAD	8758	9658	\N	\N	\N
951017	3242	1997-04-11	PRIJEM	VKLAD	8758	21543	\N	\N	\N
951018	3242	1997-05-11	PRIJEM	VKLAD	8758	33075	\N	\N	\N
951019	3242	1997-06-11	PRIJEM	VKLAD	13137	42433	\N	\N	\N
951020	3242	1997-07-11	PRIJEM	VKLAD	8758	43414	\N	\N	\N
951021	3242	1997-08-11	PRIJEM	VKLAD	8758	35422	\N	\N	\N
951022	3242	1997-09-11	PRIJEM	VKLAD	8758	36946	\N	\N	\N
951023	3242	1997-10-11	PRIJEM	VKLAD	8758	37278	\N	\N	\N
951024	3242	1997-11-11	PRIJEM	VKLAD	8758	36525	\N	\N	\N
951025	3242	1997-12-11	PRIJEM	VKLAD	13137	34914	\N	\N	\N
951026	3242	1998-01-11	PRIJEM	VKLAD	8758	28846	\N	\N	\N
951027	3242	1998-02-11	PRIJEM	VKLAD	8758	22296	\N	\N	\N
951028	3242	1998-03-11	PRIJEM	VKLAD	8758	28867	\N	\N	\N
951029	3242	1998-04-11	PRIJEM	VKLAD	8758	32768	\N	\N	\N
951030	3242	1998-05-11	PRIJEM	VKLAD	8758	36697	\N	\N	\N
951031	3242	1998-06-11	PRIJEM	VKLAD	13137	40919	\N	\N	\N
951032	3242	1998-07-11	PRIJEM	VKLAD	8758	34387	\N	\N	\N
951033	3242	1998-08-11	PRIJEM	VKLAD	8758	34862	\N	\N	\N
951034	3242	1998-09-11	PRIJEM	VKLAD	8758	33593	\N	\N	\N
951035	3242	1998-10-11	PRIJEM	VKLAD	8758	30307	\N	\N	\N
951036	3242	1998-11-11	PRIJEM	VKLAD	8758	34713	\N	\N	\N
951037	3242	1998-12-11	PRIJEM	VKLAD	13137	41112	\N	\N	\N
951044	3242	1997-07-11	VYDAJ	PREVOD NA UCET	5838	37576	SIPO	MN	17684483
951045	3242	1997-08-11	VYDAJ	PREVOD NA UCET	5838	29584	SIPO	MN	17684483
951046	3242	1997-09-11	VYDAJ	PREVOD NA UCET	5838	31108	SIPO	MN	17684483
951047	3242	1997-10-11	VYDAJ	PREVOD NA UCET	5838	31440	SIPO	MN	17684483
951048	3242	1997-11-11	VYDAJ	PREVOD NA UCET	5838	30687	SIPO	MN	17684483
951049	3242	1997-12-11	VYDAJ	PREVOD NA UCET	5838	29076	SIPO	MN	17684483
951050	3242	1998-01-11	VYDAJ	PREVOD NA UCET	5838	23008	SIPO	MN	17684483
951051	3242	1998-02-11	VYDAJ	PREVOD NA UCET	5838	16458	SIPO	MN	17684483
951052	3242	1998-03-11	VYDAJ	PREVOD NA UCET	5838	23029	SIPO	MN	17684483
951053	3242	1998-04-11	VYDAJ	PREVOD NA UCET	5838	26930	SIPO	MN	17684483
951054	3242	1998-05-11	VYDAJ	PREVOD NA UCET	5838	30859	SIPO	MN	17684483
951055	3242	1998-06-11	VYDAJ	PREVOD NA UCET	5838	24521	SIPO	MN	17684483
951056	3242	1998-07-11	VYDAJ	PREVOD NA UCET	5838	28549	SIPO	MN	17684483
951057	3242	1998-08-11	VYDAJ	PREVOD NA UCET	5838	29024	SIPO	MN	17684483
951058	3242	1998-09-11	VYDAJ	PREVOD NA UCET	5838	27755	SIPO	MN	17684483
951059	3242	1998-10-11	VYDAJ	PREVOD NA UCET	5838	24469	SIPO	MN	17684483
951060	3242	1998-11-11	VYDAJ	PREVOD NA UCET	5838	28875	SIPO	MN	17684483
951061	3242	1998-12-11	VYDAJ	PREVOD NA UCET	5838	35274	SIPO	MN	17684483
951068	3242	1997-07-13	VYDAJ	VYBER	2100	35476	\N	\N	0
951069	3242	1997-08-27	VYDAJ	VYBER	1600	27984	\N	\N	0
951070	3242	1997-09-16	VYDAJ	VYBER	1200	29908	\N	\N	0
951071	3242	1997-10-01	VYDAJ	VYBER	1400	28520	\N	\N	0
951072	3242	1997-11-05	VYDAJ	VYBER	1300	27767	\N	\N	0
951073	3242	1997-12-15	VYDAJ	VYBER	2100	26976	\N	\N	0
951074	3242	1997-12-29	VYDAJ	VYBER	2000	23356	\N	\N	0
951075	3242	1998-02-12	VYDAJ	VYBER	1200	15258	\N	\N	0
951076	3242	1998-03-04	VYDAJ	VYBER	1500	20109	\N	\N	0
951077	3242	1998-04-08	VYDAJ	VYBER	1500	24010	\N	\N	0
951078	3242	1998-05-10	VYDAJ	VYBER	1400	27939	\N	\N	0
951079	3242	1998-05-31	VYDAJ	VYBER	2200	27782	\N	\N	0
951080	3242	1998-07-09	VYDAJ	VYBER	2100	25629	\N	\N	0
951081	3242	1998-08-03	VYDAJ	VYBER	1100	28264	\N	\N	0
951082	3242	1998-09-09	VYDAJ	VYBER	1600	24835	\N	\N	0
951083	3242	1998-09-30	VYDAJ	VYBER	1600	21563	\N	\N	0
951084	3242	1998-10-31	VYDAJ	VYBER	1300	25969	\N	\N	0
951085	3242	1998-12-20	VYDAJ	VYBER	1800	33474	\N	\N	0
951087	3242	1998-06-11	VYDAJ	VYBER	10560	30359	\N	\N	\N
951088	3242	1997-12-22	VYDAJ	VYBER	3520	23456	\N	\N	\N
951089	3242	1998-12-29	VYDAJ	VYBER	3200	22274	\N	\N	\N
951096	3242	1998-01-14	VYDAJ	VYBER	840	22168	\N	\N	\N
951097	3242	1998-01-23	VYDAJ	VYBER	2400	17728	\N	\N	\N
951098	3242	1998-01-07	VYDAJ	VYBER	3360	20088	\N	\N	\N
951099	3242	1998-01-28	VYDAJ	VYBER	3000	13468	\N	\N	\N
951100	3242	1998-01-25	VYDAJ	VYBER	1320	13408	\N	\N	\N
951101	3242	1998-01-17	VYDAJ	VYBER	2040	20128	\N	\N	\N
951104	3242	1997-07-31	VYDAJ	VYBER	5160	26679	\N	\N	\N
951106	3242	1997-07-17	VYDAJ	VYBER	1680	33796	\N	\N	\N
951107	3242	1997-11-20	VYDAJ	VYBER	5040	25647	\N	\N	\N
951108	3242	1997-12-01	VYDAJ	VYBER	3480	21777	\N	\N	\N
951109	3242	1998-01-24	VYDAJ	VYBER	3000	14728	\N	\N	\N
951110	3242	1998-08-04	VYDAJ	VYBER	2160	26104	\N	\N	\N
951111	3242	1998-09-24	VYDAJ	VYBER	4800	23055	\N	\N	\N
951112	3242	1998-01-27	VYDAJ	VYBER	3840	16468	\N	\N	\N
951120	3242	1997-07-31	VYDAJ	VYBER	15	26664	SLUZBY	\N	\N
951121	3242	1997-08-31	VYDAJ	VYBER	15	28188	SLUZBY	\N	\N
951122	3242	1997-09-30	VYDAJ	VYBER	15	29920	SLUZBY	\N	\N
951123	3242	1997-10-31	VYDAJ	VYBER	15	29067	SLUZBY	\N	\N
951124	3242	1997-11-30	VYDAJ	VYBER	15	25257	SLUZBY	\N	\N
951125	3242	1997-12-31	VYDAJ	VYBER	15	23448	SLUZBY	\N	\N
951126	3242	1998-01-31	VYDAJ	VYBER	15	13538	SLUZBY	\N	\N
951127	3242	1998-02-28	VYDAJ	VYBER	15	21609	SLUZBY	\N	\N
951128	3242	1998-03-31	VYDAJ	VYBER	15	25510	SLUZBY	\N	\N
951129	3242	1998-04-30	VYDAJ	VYBER	15	29339	SLUZBY	\N	\N
951130	3242	1998-05-31	VYDAJ	VYBER	15	29982	SLUZBY	\N	\N
951131	3242	1998-06-30	VYDAJ	VYBER	15	27729	SLUZBY	\N	\N
951132	3242	1998-07-31	VYDAJ	VYBER	15	29364	SLUZBY	\N	\N
951133	3242	1998-08-31	VYDAJ	VYBER	15	26435	SLUZBY	\N	\N
951134	3242	1998-09-30	VYDAJ	VYBER	15	21549	SLUZBY	\N	\N
951135	3242	1998-10-31	VYDAJ	VYBER	15	25955	SLUZBY	\N	\N
951136	3242	1998-11-30	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
951137	3242	1997-04-01	PRIJEM	VKLAD	3100	12785	\N	\N	\N
951138	3242	1997-05-01	PRIJEM	VKLAD	2700	24317	\N	\N	\N
951139	3242	1997-05-31	VYDAJ	VYBER	3900	29296	\N	\N	\N
951140	3242	1997-06-30	VYDAJ	VYBER	7900	34656	\N	\N	\N
951141	3242	1997-07-30	VYDAJ	VYBER	2100	31696	\N	\N	\N
951142	3242	1997-08-29	PRIJEM	VKLAD	100	28084	\N	\N	\N
951143	3242	1997-09-28	VYDAJ	VYBER	100	29808	\N	\N	\N
951144	3242	1997-10-28	VYDAJ	VYBER	2500	28940	\N	\N	\N
951145	3242	1997-11-27	VYDAJ	VYBER	500	25147	\N	\N	\N
951146	3242	1997-12-27	PRIJEM	VKLAD	1900	25356	\N	\N	\N
951147	3242	1998-01-26	PRIJEM	VKLAD	6900	20308	\N	\N	\N
951148	3242	1998-02-25	PRIJEM	VKLAD	6300	21558	\N	\N	\N
951149	3242	1998-03-27	PRIJEM	VKLAD	2400	25429	\N	\N	\N
951150	3242	1998-04-26	PRIJEM	VKLAD	2300	29230	\N	\N	\N
951151	3242	1998-05-26	VYDAJ	VYBER	1000	29859	\N	\N	\N
951152	3242	1998-06-25	PRIJEM	VKLAD	3100	27621	\N	\N	\N
951153	3242	1998-07-25	PRIJEM	VKLAD	700	29249	\N	\N	\N
951154	3242	1998-08-24	VYDAJ	VYBER	2700	26324	\N	\N	\N
951155	3242	1998-09-23	PRIJEM	VKLAD	100	27855	\N	\N	\N
951156	3242	1998-10-23	PRIJEM	VKLAD	2700	27169	\N	\N	\N
951157	3242	1998-11-22	VYDAJ	VYBER	1000	27875	\N	\N	\N
951158	3242	1998-12-22	VYDAJ	VYBER	8000	25474	\N	\N	\N
951181	3243	1993-11-10	PRIJEM	VKLAD	300	300	\N	\N	\N
951193	3243	1993-12-07	PRIJEM	PREVOD Z UCTU	6873	7173	DUCHOD	ST	61227506
951194	3243	1994-01-07	PRIJEM	PREVOD Z UCTU	6873	14046	DUCHOD	ST	61227506
951195	3243	1994-02-07	PRIJEM	PREVOD Z UCTU	6873	20919	DUCHOD	ST	61227506
951196	3243	1994-03-07	PRIJEM	PREVOD Z UCTU	6873	27356	DUCHOD	ST	61227506
951197	3243	1994-04-07	PRIJEM	PREVOD Z UCTU	6873	34314	DUCHOD	ST	61227506
951198	3243	1994-05-07	PRIJEM	PREVOD Z UCTU	6873	28590	DUCHOD	ST	61227506
951199	3243	1994-06-07	PRIJEM	PREVOD Z UCTU	6873	24406	DUCHOD	ST	61227506
951200	3243	1994-07-07	PRIJEM	PREVOD Z UCTU	6873	19209	DUCHOD	ST	61227506
951201	3243	1994-08-07	PRIJEM	PREVOD Z UCTU	6873	22259	DUCHOD	ST	61227506
951202	3243	1994-09-07	PRIJEM	PREVOD Z UCTU	6873	25322	DUCHOD	ST	61227506
951203	3243	1994-10-07	PRIJEM	PREVOD Z UCTU	6873	28397	DUCHOD	ST	61227506
951204	3243	1994-11-07	PRIJEM	PREVOD Z UCTU	6873	27642	DUCHOD	ST	61227506
951205	3243	1994-12-07	PRIJEM	PREVOD Z UCTU	6873	30727	DUCHOD	ST	61227506
951206	3243	1995-01-07	PRIJEM	PREVOD Z UCTU	6873	29173	DUCHOD	ST	61227506
951207	3243	1995-02-07	PRIJEM	PREVOD Z UCTU	6873	29109	DUCHOD	ST	61227506
951208	3243	1995-03-07	PRIJEM	PREVOD Z UCTU	6873	30800	DUCHOD	ST	61227506
951209	3243	1995-04-07	PRIJEM	PREVOD Z UCTU	6873	27537	DUCHOD	ST	61227506
951210	3243	1995-05-07	PRIJEM	PREVOD Z UCTU	6873	24724	DUCHOD	ST	61227506
951211	3243	1995-06-07	PRIJEM	PREVOD Z UCTU	6873	27801	DUCHOD	ST	61227506
951212	3243	1995-07-07	PRIJEM	PREVOD Z UCTU	6873	17007	DUCHOD	ST	61227506
951213	3243	1995-08-07	PRIJEM	PREVOD Z UCTU	6873	20048	DUCHOD	ST	61227506
951214	3243	1995-09-07	PRIJEM	PREVOD Z UCTU	6873	23101	DUCHOD	ST	61227506
951215	3243	1995-10-07	PRIJEM	PREVOD Z UCTU	6873	23759	DUCHOD	ST	61227506
951216	3243	1995-11-07	PRIJEM	PREVOD Z UCTU	6873	26828	DUCHOD	ST	61227506
951217	3243	1995-12-07	PRIJEM	PREVOD Z UCTU	6873	26309	DUCHOD	ST	61227506
951218	3243	1996-01-07	PRIJEM	PREVOD Z UCTU	6873	28288	DUCHOD	ST	61227506
951219	3243	1996-02-07	PRIJEM	PREVOD Z UCTU	6873	25810	DUCHOD	ST	61227506
951220	3243	1996-03-07	PRIJEM	PREVOD Z UCTU	6873	28887	DUCHOD	ST	61227506
951221	3243	1996-04-07	PRIJEM	PREVOD Z UCTU	6873	30377	DUCHOD	ST	61227506
951222	3243	1996-05-07	PRIJEM	PREVOD Z UCTU	6873	26084	DUCHOD	ST	61227506
951223	3243	1996-06-07	PRIJEM	PREVOD Z UCTU	6873	23078	DUCHOD	ST	61227506
951224	3243	1996-07-07	PRIJEM	PREVOD Z UCTU	6873	21054	DUCHOD	ST	61227506
951225	3243	1996-08-07	PRIJEM	PREVOD Z UCTU	6873	22311	DUCHOD	ST	61227506
951226	3243	1996-09-07	PRIJEM	PREVOD Z UCTU	6873	20769	DUCHOD	ST	61227506
951227	3243	1996-10-07	PRIJEM	PREVOD Z UCTU	6873	23424	DUCHOD	ST	61227506
951228	3243	1996-11-07	PRIJEM	PREVOD Z UCTU	6873	21987	DUCHOD	ST	61227506
951229	3243	1996-12-07	PRIJEM	PREVOD Z UCTU	6873	21864	DUCHOD	ST	61227506
951230	3243	1997-01-07	PRIJEM	PREVOD Z UCTU	6873	20769	DUCHOD	ST	61227506
951231	3243	1997-02-07	PRIJEM	PREVOD Z UCTU	6873	17862	DUCHOD	ST	61227506
951232	3243	1997-03-07	PRIJEM	PREVOD Z UCTU	6873	19404	DUCHOD	ST	61227506
951233	3243	1997-04-07	PRIJEM	PREVOD Z UCTU	6873	16366	DUCHOD	ST	61227506
951234	3243	1997-05-07	PRIJEM	PREVOD Z UCTU	6873	17201	DUCHOD	ST	61227506
951235	3243	1997-06-07	PRIJEM	PREVOD Z UCTU	6873	16737	DUCHOD	ST	61227506
951236	3243	1997-07-07	PRIJEM	PREVOD Z UCTU	6873	19275	DUCHOD	ST	61227506
951237	3243	1997-08-07	PRIJEM	PREVOD Z UCTU	6873	16830	DUCHOD	ST	61227506
951238	3243	1997-09-07	PRIJEM	PREVOD Z UCTU	6873	19268	DUCHOD	ST	61227506
951239	3243	1997-10-07	PRIJEM	PREVOD Z UCTU	6873	21516	DUCHOD	ST	61227506
951240	3243	1997-11-07	PRIJEM	PREVOD Z UCTU	6873	20668	DUCHOD	ST	61227506
951241	3243	1997-12-07	PRIJEM	PREVOD Z UCTU	6873	18230	DUCHOD	ST	61227506
951242	3243	1998-01-07	PRIJEM	PREVOD Z UCTU	6873	19020	DUCHOD	ST	61227506
951243	3243	1998-02-07	PRIJEM	PREVOD Z UCTU	6873	18111	DUCHOD	ST	61227506
951244	3243	1998-03-07	PRIJEM	PREVOD Z UCTU	6873	21154	DUCHOD	ST	61227506
951245	3243	1998-04-07	PRIJEM	PREVOD Z UCTU	6873	16697	DUCHOD	ST	61227506
951246	3243	1998-05-07	PRIJEM	PREVOD Z UCTU	6873	19735	DUCHOD	ST	61227506
951247	3243	1998-06-07	PRIJEM	PREVOD Z UCTU	6873	18385	DUCHOD	ST	61227506
951248	3243	1998-07-07	PRIJEM	PREVOD Z UCTU	6873	15821	DUCHOD	ST	61227506
951249	3243	1998-08-07	PRIJEM	PREVOD Z UCTU	6873	18855	DUCHOD	ST	61227506
951250	3243	1998-09-07	PRIJEM	PREVOD Z UCTU	6873	16490	DUCHOD	ST	61227506
951251	3243	1998-10-07	PRIJEM	PREVOD Z UCTU	6873	17422	DUCHOD	ST	61227506
951252	3243	1998-11-07	PRIJEM	PREVOD Z UCTU	6873	18056	DUCHOD	ST	61227506
951253	3243	1998-12-07	PRIJEM	PREVOD Z UCTU	6873	21099	DUCHOD	ST	61227506
951270	3243	1994-05-06	VYDAJ	PREVOD NA UCET	3886	21717	SIPO	OP	9595072
951271	3243	1994-06-06	VYDAJ	PREVOD NA UCET	3886	17533	SIPO	OP	9595072
951272	3243	1994-07-06	VYDAJ	PREVOD NA UCET	3886	12336	SIPO	OP	9595072
951273	3243	1994-08-06	VYDAJ	PREVOD NA UCET	3886	15386	SIPO	OP	9595072
951274	3243	1994-09-06	VYDAJ	PREVOD NA UCET	3886	18449	SIPO	OP	9595072
951275	3243	1994-10-06	VYDAJ	PREVOD NA UCET	3886	21524	SIPO	OP	9595072
951276	3243	1994-11-06	VYDAJ	PREVOD NA UCET	3886	20769	SIPO	OP	9595072
951277	3243	1994-12-06	VYDAJ	PREVOD NA UCET	3886	23854	SIPO	OP	9595072
951278	3243	1995-01-06	VYDAJ	PREVOD NA UCET	3886	22300	SIPO	OP	9595072
951279	3243	1995-02-06	VYDAJ	PREVOD NA UCET	3886	22236	SIPO	OP	9595072
951280	3243	1995-03-06	VYDAJ	PREVOD NA UCET	3886	23927	SIPO	OP	9595072
951281	3243	1995-04-06	VYDAJ	PREVOD NA UCET	3886	20664	SIPO	OP	9595072
951282	3243	1995-05-06	VYDAJ	PREVOD NA UCET	3886	19851	SIPO	OP	9595072
951283	3243	1995-06-06	VYDAJ	PREVOD NA UCET	3886	20928	SIPO	OP	9595072
951284	3243	1995-07-06	VYDAJ	PREVOD NA UCET	3886	10134	SIPO	OP	9595072
951285	3243	1995-08-06	VYDAJ	PREVOD NA UCET	3886	13175	SIPO	OP	9595072
951286	3243	1995-09-06	VYDAJ	PREVOD NA UCET	3886	16228	SIPO	OP	9595072
951287	3243	1995-10-06	VYDAJ	PREVOD NA UCET	3886	16886	SIPO	OP	9595072
951288	3243	1995-11-06	VYDAJ	PREVOD NA UCET	3886	19955	SIPO	OP	9595072
951289	3243	1995-12-06	VYDAJ	PREVOD NA UCET	3886	19436	SIPO	OP	9595072
951290	3243	1996-01-06	VYDAJ	PREVOD NA UCET	3886	21415	SIPO	OP	9595072
951291	3243	1996-02-06	VYDAJ	PREVOD NA UCET	3886	18937	SIPO	OP	9595072
951292	3243	1996-03-06	VYDAJ	PREVOD NA UCET	3886	22014	SIPO	OP	9595072
951293	3243	1996-04-06	VYDAJ	PREVOD NA UCET	3886	23504	SIPO	OP	9595072
951294	3243	1996-05-06	VYDAJ	PREVOD NA UCET	3886	19211	SIPO	OP	9595072
951295	3243	1996-06-06	VYDAJ	PREVOD NA UCET	3886	16205	SIPO	OP	9595072
951296	3243	1996-07-06	VYDAJ	PREVOD NA UCET	3886	15861	SIPO	OP	9595072
951297	3243	1996-08-06	VYDAJ	PREVOD NA UCET	3886	15438	SIPO	OP	9595072
951298	3243	1996-09-06	VYDAJ	PREVOD NA UCET	3886	13896	SIPO	OP	9595072
951299	3243	1996-10-06	VYDAJ	PREVOD NA UCET	3886	16551	SIPO	OP	9595072
951300	3243	1996-11-06	VYDAJ	PREVOD NA UCET	3886	15114	SIPO	OP	9595072
951301	3243	1996-12-06	VYDAJ	PREVOD NA UCET	3886	14991	SIPO	OP	9595072
951302	3243	1997-01-06	VYDAJ	PREVOD NA UCET	3886	13896	SIPO	OP	9595072
951303	3243	1997-02-06	VYDAJ	PREVOD NA UCET	3886	10989	SIPO	OP	9595072
951304	3243	1997-03-06	VYDAJ	PREVOD NA UCET	3886	12531	SIPO	OP	9595072
951305	3243	1997-04-06	VYDAJ	PREVOD NA UCET	3886	9493	SIPO	OP	9595072
951306	3243	1997-05-06	VYDAJ	PREVOD NA UCET	3886	10328	SIPO	OP	9595072
951307	3243	1997-06-06	VYDAJ	PREVOD NA UCET	3886	9864	SIPO	OP	9595072
951308	3243	1997-07-06	VYDAJ	PREVOD NA UCET	3886	12402	SIPO	OP	9595072
951309	3243	1997-08-06	VYDAJ	PREVOD NA UCET	3886	9957	SIPO	OP	9595072
951310	3243	1997-09-06	VYDAJ	PREVOD NA UCET	3886	12395	SIPO	OP	9595072
951311	3243	1997-10-06	VYDAJ	PREVOD NA UCET	3886	14643	SIPO	OP	9595072
951312	3243	1997-11-06	VYDAJ	PREVOD NA UCET	3886	13795	SIPO	OP	9595072
951313	3243	1997-12-06	VYDAJ	PREVOD NA UCET	3886	11357	SIPO	OP	9595072
951314	3243	1998-01-06	VYDAJ	PREVOD NA UCET	3886	12147	SIPO	OP	9595072
951315	3243	1998-02-06	VYDAJ	PREVOD NA UCET	3886	11238	SIPO	OP	9595072
951316	3243	1998-03-06	VYDAJ	PREVOD NA UCET	3886	14281	SIPO	OP	9595072
951317	3243	1998-04-06	VYDAJ	PREVOD NA UCET	3886	9824	SIPO	OP	9595072
951318	3243	1998-05-06	VYDAJ	PREVOD NA UCET	3886	12862	SIPO	OP	9595072
951319	3243	1998-06-06	VYDAJ	PREVOD NA UCET	3886	11512	SIPO	OP	9595072
951320	3243	1998-07-06	VYDAJ	PREVOD NA UCET	3886	8948	SIPO	OP	9595072
951321	3243	1998-08-06	VYDAJ	PREVOD NA UCET	3886	11982	SIPO	OP	9595072
951322	3243	1998-09-06	VYDAJ	PREVOD NA UCET	3886	9617	SIPO	OP	9595072
951323	3243	1998-10-06	VYDAJ	PREVOD NA UCET	3886	10549	SIPO	OP	9595072
951324	3243	1998-11-06	VYDAJ	PREVOD NA UCET	3886	11183	SIPO	OP	9595072
951325	3243	1998-12-06	VYDAJ	PREVOD NA UCET	3886	14226	SIPO	OP	9595072
951327	3243	1994-06-18	VYDAJ	VYBER	5950	16156	\N	\N	\N
951328	3243	1995-06-16	VYDAJ	VYBER	13850	13951	\N	\N	\N
951329	3243	1996-06-11	VYDAJ	VYBER	3400	19678	\N	\N	\N
951331	3243	1998-06-03	VYDAJ	VYBER	4400	15398	\N	\N	\N
951334	3243	1995-01-16	VYDAJ	VYBER	3150	26023	\N	\N	\N
951335	3243	1996-01-09	VYDAJ	VYBER	4950	23338	\N	\N	\N
951336	3243	1997-01-13	VYDAJ	VYBER	3750	17019	\N	\N	\N
951337	3243	1998-01-18	VYDAJ	VYBER	3350	15070	\N	\N	\N
951339	3243	1994-12-17	VYDAJ	VYBER	1150	29577	\N	\N	\N
951340	3243	1995-12-01	VYDAJ	VYBER	1300	23322	\N	\N	\N
951341	3243	1996-12-20	VYDAJ	VYBER	1150	20714	\N	\N	\N
951342	3243	1997-12-19	VYDAJ	VYBER	1250	15980	\N	\N	\N
951343	3243	1998-12-21	VYDAJ	VYBER	1100	18899	\N	\N	\N
951348	3243	1994-05-28	VYDAJ	VYBER	3440	21330	\N	\N	\N
951349	3243	1994-04-24	VYDAJ	VYBER	1600	25514	\N	\N	\N
951352	3243	1994-10-25	VYDAJ	VYBER	3840	24557	\N	\N	\N
951354	3243	1994-05-09	VYDAJ	VYBER	3120	24770	\N	\N	\N
951355	3243	1995-05-06	VYDAJ	VYBER	800	19051	\N	\N	\N
951356	3243	1995-09-07	VYDAJ	VYBER	2400	20701	\N	\N	\N
951357	3243	1995-05-06	VYDAJ	VYBER	1200	17851	\N	\N	\N
951358	3243	1995-04-05	VYDAJ	VYBER	1840	24550	\N	\N	\N
951359	3243	1995-03-14	VYDAJ	VYBER	720	30080	\N	\N	\N
951360	3243	1996-05-26	VYDAJ	VYBER	1680	24404	\N	\N	\N
951361	3243	1996-09-18	VYDAJ	VYBER	400	20369	\N	\N	\N
951362	3243	1996-04-11	VYDAJ	VYBER	2480	27897	\N	\N	\N
951363	3243	1996-11-22	VYDAJ	VYBER	2080	19907	\N	\N	\N
951364	3243	1996-07-06	VYDAJ	VYBER	1680	14181	\N	\N	\N
951366	3243	1997-03-21	VYDAJ	VYBER	2080	17324	\N	\N	\N
951367	3243	1997-07-08	VYDAJ	VYBER	3280	15995	\N	\N	\N
951368	3243	1997-11-13	VYDAJ	VYBER	800	17388	\N	\N	\N
951369	3243	1997-11-12	VYDAJ	VYBER	2480	18188	\N	\N	\N
951390	3243	1994-04-30	VYDAJ	VYBER	15	25603	SLUZBY	\N	\N
951391	3243	1994-05-31	VYDAJ	VYBER	15	21419	SLUZBY	\N	\N
951392	3243	1994-06-30	VYDAJ	VYBER	15	16222	SLUZBY	\N	\N
951393	3243	1994-07-31	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
951394	3243	1994-08-31	VYDAJ	VYBER	15	22335	SLUZBY	\N	\N
951395	3243	1994-09-30	VYDAJ	VYBER	15	25410	SLUZBY	\N	\N
951396	3243	1994-10-31	VYDAJ	VYBER	15	24655	SLUZBY	\N	\N
951397	3243	1994-11-30	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
951398	3243	1994-12-31	VYDAJ	VYBER	15	29686	SLUZBY	\N	\N
951399	3243	1995-01-31	VYDAJ	VYBER	15	26122	SLUZBY	\N	\N
951400	3243	1995-02-28	VYDAJ	VYBER	15	29213	SLUZBY	\N	\N
951401	3243	1995-03-31	VYDAJ	VYBER	15	30190	SLUZBY	\N	\N
951402	3243	1995-04-30	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
951403	3243	1995-05-31	VYDAJ	VYBER	15	24814	SLUZBY	\N	\N
951404	3243	1995-06-30	VYDAJ	VYBER	15	14020	SLUZBY	\N	\N
951405	3243	1995-07-31	VYDAJ	VYBER	15	17061	SLUZBY	\N	\N
951406	3243	1995-08-31	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
951407	3243	1995-09-30	VYDAJ	VYBER	15	20772	SLUZBY	\N	\N
951408	3243	1995-10-31	VYDAJ	VYBER	15	23841	SLUZBY	\N	\N
951409	3243	1995-11-30	VYDAJ	VYBER	15	26922	SLUZBY	\N	\N
951410	3243	1995-12-31	VYDAJ	VYBER	15	25301	SLUZBY	\N	\N
951411	3243	1996-01-31	VYDAJ	VYBER	15	22823	SLUZBY	\N	\N
951412	3243	1996-02-29	VYDAJ	VYBER	15	25900	SLUZBY	\N	\N
951413	3243	1996-03-31	VYDAJ	VYBER	15	27390	SLUZBY	\N	\N
951414	3243	1996-04-30	VYDAJ	VYBER	15	23097	SLUZBY	\N	\N
951415	3243	1996-05-31	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
951416	3243	1996-06-30	VYDAJ	VYBER	15	19747	SLUZBY	\N	\N
951417	3243	1996-07-31	VYDAJ	VYBER	15	19324	SLUZBY	\N	\N
951418	3243	1996-08-31	VYDAJ	VYBER	15	17782	SLUZBY	\N	\N
951419	3243	1996-09-30	VYDAJ	VYBER	15	20437	SLUZBY	\N	\N
951420	3243	1996-10-31	VYDAJ	VYBER	15	19000	SLUZBY	\N	\N
951421	3243	1996-11-30	VYDAJ	VYBER	15	18877	SLUZBY	\N	\N
951422	3243	1996-12-31	VYDAJ	VYBER	15	17782	SLUZBY	\N	\N
951423	3243	1997-01-31	VYDAJ	VYBER	15	14875	SLUZBY	\N	\N
951424	3243	1997-02-28	VYDAJ	VYBER	15	16417	SLUZBY	\N	\N
951425	3243	1997-03-31	VYDAJ	VYBER	15	13379	SLUZBY	\N	\N
951426	3243	1997-04-30	VYDAJ	VYBER	15	14214	SLUZBY	\N	\N
951427	3243	1997-05-31	VYDAJ	VYBER	15	13750	SLUZBY	\N	\N
951428	3243	1997-06-30	VYDAJ	VYBER	15	16288	SLUZBY	\N	\N
951429	3243	1997-07-31	VYDAJ	VYBER	15	13843	SLUZBY	\N	\N
951430	3243	1997-08-31	VYDAJ	VYBER	15	16281	SLUZBY	\N	\N
951431	3243	1997-09-30	VYDAJ	VYBER	15	18529	SLUZBY	\N	\N
951432	3243	1997-10-31	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
951433	3243	1997-11-30	VYDAJ	VYBER	15	15243	SLUZBY	\N	\N
951434	3243	1997-12-31	VYDAJ	VYBER	15	16033	SLUZBY	\N	\N
951435	3243	1998-01-31	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
951436	3243	1998-02-28	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
951437	3243	1998-03-31	VYDAJ	VYBER	15	13710	SLUZBY	\N	\N
951438	3243	1998-04-30	VYDAJ	VYBER	15	16748	SLUZBY	\N	\N
951439	3243	1998-05-31	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
951440	3243	1998-06-30	VYDAJ	VYBER	15	12834	SLUZBY	\N	\N
951441	3243	1998-07-31	VYDAJ	VYBER	15	15868	SLUZBY	\N	\N
951442	3243	1998-08-31	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
951443	3243	1998-09-30	VYDAJ	VYBER	15	14435	SLUZBY	\N	\N
951444	3243	1998-10-31	VYDAJ	VYBER	15	15069	SLUZBY	\N	\N
951445	3243	1998-11-30	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
951446	3243	1994-02-08	VYDAJ	VYBER	500	20419	\N	\N	\N
951447	3243	1994-04-09	VYDAJ	VYBER	7200	27114	\N	\N	\N
951448	3243	1994-05-09	VYDAJ	VYBER	700	27890	\N	\N	\N
951449	3243	1994-06-08	VYDAJ	VYBER	2300	22106	\N	\N	\N
951450	3243	1995-01-04	VYDAJ	VYBER	3500	26186	\N	\N	\N
951451	3243	1995-03-05	VYDAJ	VYBER	1400	27813	\N	\N	\N
951452	3243	1995-04-04	VYDAJ	VYBER	3800	26390	\N	\N	\N
951453	3243	1995-05-04	VYDAJ	VYBER	3900	23737	\N	\N	\N
951454	3243	1995-11-30	VYDAJ	VYBER	2300	24622	\N	\N	\N
951455	3243	1995-12-30	VYDAJ	VYBER	1100	25209	\N	\N	\N
951456	3243	1996-01-29	VYDAJ	VYBER	600	22738	\N	\N	\N
951457	3243	1996-03-29	VYDAJ	VYBER	1600	27287	\N	\N	\N
951458	3243	1996-04-28	VYDAJ	VYBER	4900	22997	\N	\N	\N
951459	3243	1996-05-28	VYDAJ	VYBER	4400	20004	\N	\N	\N
951460	3243	1996-07-27	VYDAJ	VYBER	1800	19254	\N	\N	\N
951461	3243	1996-08-26	VYDAJ	VYBER	4600	17711	\N	\N	\N
951462	3243	1996-10-25	VYDAJ	VYBER	4500	18924	\N	\N	\N
951463	3243	1996-11-24	VYDAJ	VYBER	1100	18807	\N	\N	\N
951464	3243	1996-12-24	VYDAJ	VYBER	3000	17714	\N	\N	\N
951465	3243	1997-01-23	VYDAJ	VYBER	2200	14819	\N	\N	\N
951466	3243	1997-02-22	VYDAJ	VYBER	1500	16362	\N	\N	\N
951467	3243	1997-03-24	VYDAJ	VYBER	4000	13324	\N	\N	\N
951468	3243	1997-04-23	VYDAJ	VYBER	2200	14166	\N	\N	\N
951469	3243	1997-05-23	VYDAJ	VYBER	3500	13701	\N	\N	\N
951470	3243	1997-06-22	VYDAJ	VYBER	500	16237	\N	\N	\N
951471	3243	1997-07-22	VYDAJ	VYBER	2200	13795	\N	\N	\N
951472	3243	1997-08-21	VYDAJ	VYBER	600	16230	\N	\N	\N
951473	3243	1997-09-20	VYDAJ	VYBER	800	18468	\N	\N	\N
951474	3243	1997-10-20	VYDAJ	VYBER	3900	17616	\N	\N	\N
951475	3243	1997-11-19	VYDAJ	VYBER	2200	15188	\N	\N	\N
951476	3243	1997-12-19	VYDAJ	VYBER	1000	17230	\N	\N	\N
951477	3243	1998-01-18	VYDAJ	VYBER	600	18420	\N	\N	\N
951478	3243	1998-03-19	VYDAJ	VYBER	7500	13654	\N	\N	\N
951479	3243	1998-06-17	VYDAJ	VYBER	5600	12785	\N	\N	\N
951480	3243	1998-08-16	VYDAJ	VYBER	5400	13455	\N	\N	\N
951481	3243	1998-09-15	VYDAJ	VYBER	2100	14390	\N	\N	\N
951482	3243	1998-10-15	VYDAJ	VYBER	2400	15022	\N	\N	\N
951483	3243	1998-12-14	VYDAJ	VYBER	1100	19999	\N	\N	\N
951543	3244	1995-01-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
951544	3244	1995-01-14	PRIJEM	PREVOD Z UCTU	3116	4216	\N	OP	71922248
951545	3244	1995-02-14	PRIJEM	PREVOD Z UCTU	3116	7335	\N	OP	71922248
951546	3244	1995-03-14	PRIJEM	PREVOD Z UCTU	3116	10455	\N	OP	71922248
951547	3244	1995-04-14	PRIJEM	PREVOD Z UCTU	3116	13576	\N	OP	71922248
951548	3244	1995-05-14	PRIJEM	PREVOD Z UCTU	3116	16696	\N	OP	71922248
951549	3244	1995-06-14	PRIJEM	PREVOD Z UCTU	3116	17728	\N	OP	71922248
951550	3244	1995-07-14	PRIJEM	PREVOD Z UCTU	3116	18824	\N	OP	71922248
951551	3244	1995-08-14	PRIJEM	PREVOD Z UCTU	3116	19054	\N	OP	71922248
951552	3244	1995-09-14	PRIJEM	PREVOD Z UCTU	3116	20156	\N	OP	71922248
951553	3244	1995-10-14	PRIJEM	PREVOD Z UCTU	3116	21262	\N	OP	71922248
951554	3244	1995-11-14	PRIJEM	PREVOD Z UCTU	3116	22373	\N	OP	71922248
951555	3244	1995-12-14	PRIJEM	PREVOD Z UCTU	3116	22439	\N	OP	71922248
951556	3244	1996-01-14	PRIJEM	PREVOD Z UCTU	3116	22385	\N	OP	71922248
951557	3244	1996-02-14	PRIJEM	PREVOD Z UCTU	3116	20500	\N	OP	71922248
951558	3244	1996-03-14	PRIJEM	PREVOD Z UCTU	3116	21608	\N	OP	71922248
951559	3244	1996-04-14	PRIJEM	PREVOD Z UCTU	3116	21790	\N	OP	71922248
951560	3244	1996-05-14	PRIJEM	PREVOD Z UCTU	3116	22903	\N	OP	71922248
951561	3244	1996-06-14	PRIJEM	PREVOD Z UCTU	3116	17571	\N	OP	71922248
951562	3244	1996-07-14	PRIJEM	PREVOD Z UCTU	3116	18672	\N	OP	71922248
951563	3244	1996-08-14	PRIJEM	PREVOD Z UCTU	3116	19772	\N	OP	71922248
951564	3244	1996-09-14	PRIJEM	PREVOD Z UCTU	3116	20877	\N	OP	71922248
951565	3244	1996-10-14	PRIJEM	PREVOD Z UCTU	3116	20875	\N	OP	71922248
951566	3244	1996-11-14	PRIJEM	PREVOD Z UCTU	3116	19914	\N	OP	71922248
951567	3244	1996-12-14	PRIJEM	PREVOD Z UCTU	3116	20393	\N	OP	71922248
951568	3244	1997-01-14	PRIJEM	PREVOD Z UCTU	3116	20870	\N	OP	71922248
951569	3244	1997-02-14	PRIJEM	PREVOD Z UCTU	3116	17266	\N	OP	71922248
951570	3244	1997-03-14	PRIJEM	PREVOD Z UCTU	3116	17101	\N	OP	71922248
951571	3244	1997-04-14	PRIJEM	PREVOD Z UCTU	3116	16934	\N	OP	71922248
951572	3244	1997-05-14	PRIJEM	PREVOD Z UCTU	3116	18026	\N	OP	71922248
951573	3244	1997-06-14	PRIJEM	PREVOD Z UCTU	3116	19123	\N	OP	71922248
951574	3244	1997-07-14	PRIJEM	PREVOD Z UCTU	3116	19825	\N	OP	71922248
951575	3244	1997-08-14	PRIJEM	PREVOD Z UCTU	3116	20929	\N	OP	71922248
951576	3244	1997-09-14	PRIJEM	PREVOD Z UCTU	3116	21698	\N	OP	71922248
951577	3244	1997-10-14	PRIJEM	PREVOD Z UCTU	3116	22810	\N	OP	71922248
951578	3244	1997-11-14	PRIJEM	PREVOD Z UCTU	3116	22626	\N	OP	71922248
951579	3244	1997-12-14	PRIJEM	PREVOD Z UCTU	3116	21141	\N	OP	71922248
951580	3244	1998-01-14	PRIJEM	PREVOD Z UCTU	3116	17289	\N	OP	71922248
951581	3244	1998-02-14	PRIJEM	PREVOD Z UCTU	3116	15149	\N	OP	71922248
951582	3244	1998-03-14	PRIJEM	PREVOD Z UCTU	3116	16234	\N	OP	71922248
951583	3244	1998-04-14	PRIJEM	PREVOD Z UCTU	3116	14480	\N	OP	71922248
951584	3244	1998-05-14	PRIJEM	PREVOD Z UCTU	3116	15562	\N	OP	71922248
951585	3244	1998-06-14	PRIJEM	PREVOD Z UCTU	3116	16648	\N	OP	71922248
951586	3244	1998-07-14	PRIJEM	PREVOD Z UCTU	3116	17739	\N	OP	71922248
951587	3244	1998-08-14	PRIJEM	PREVOD Z UCTU	3116	17243	\N	OP	71922248
951588	3244	1998-09-14	PRIJEM	PREVOD Z UCTU	3116	14675	\N	OP	71922248
951589	3244	1998-10-14	PRIJEM	PREVOD Z UCTU	3116	15757	\N	OP	71922248
951590	3244	1998-11-14	PRIJEM	PREVOD Z UCTU	3116	16844	\N	OP	71922248
951591	3244	1998-12-14	PRIJEM	PREVOD Z UCTU	3116	17935	\N	OP	71922248
951597	3244	1995-06-12	VYDAJ	PREVOD NA UCET	1858	14612	SIPO	AB	53532010
951598	3244	1995-07-12	VYDAJ	PREVOD NA UCET	1858	15708	SIPO	AB	53532010
951599	3244	1995-08-12	VYDAJ	PREVOD NA UCET	1858	15938	SIPO	AB	53532010
951600	3244	1995-09-12	VYDAJ	PREVOD NA UCET	1858	17040	SIPO	AB	53532010
951601	3244	1995-10-12	VYDAJ	PREVOD NA UCET	1858	18146	SIPO	AB	53532010
951602	3244	1995-11-12	VYDAJ	PREVOD NA UCET	1858	19257	SIPO	AB	53532010
951603	3244	1995-12-12	VYDAJ	PREVOD NA UCET	1858	19473	SIPO	AB	53532010
951604	3244	1996-01-12	VYDAJ	PREVOD NA UCET	1858	19269	SIPO	AB	53532010
951605	3244	1996-02-12	VYDAJ	PREVOD NA UCET	1858	17384	SIPO	AB	53532010
951606	3244	1996-03-12	VYDAJ	PREVOD NA UCET	1858	18492	SIPO	AB	53532010
951607	3244	1996-04-12	VYDAJ	PREVOD NA UCET	1858	18674	SIPO	AB	53532010
951608	3244	1996-05-12	VYDAJ	PREVOD NA UCET	1858	19787	SIPO	AB	53532010
951609	3244	1996-06-12	VYDAJ	PREVOD NA UCET	1858	14455	SIPO	AB	53532010
951610	3244	1996-07-12	VYDAJ	PREVOD NA UCET	1858	15556	SIPO	AB	53532010
951611	3244	1996-08-12	VYDAJ	PREVOD NA UCET	1858	16656	SIPO	AB	53532010
951612	3244	1996-09-12	VYDAJ	PREVOD NA UCET	1858	17761	SIPO	AB	53532010
951613	3244	1996-10-12	VYDAJ	PREVOD NA UCET	1858	17759	SIPO	AB	53532010
951614	3244	1996-11-12	VYDAJ	PREVOD NA UCET	1858	16798	SIPO	AB	53532010
951615	3244	1996-12-12	VYDAJ	PREVOD NA UCET	1858	17277	SIPO	AB	53532010
951616	3244	1997-01-12	VYDAJ	PREVOD NA UCET	1858	18384	SIPO	AB	53532010
951617	3244	1997-02-12	VYDAJ	PREVOD NA UCET	1858	14150	SIPO	AB	53532010
951618	3244	1997-03-12	VYDAJ	PREVOD NA UCET	1858	13985	SIPO	AB	53532010
951619	3244	1997-04-12	VYDAJ	PREVOD NA UCET	1858	13818	SIPO	AB	53532010
951620	3244	1997-05-12	VYDAJ	PREVOD NA UCET	1858	14910	SIPO	AB	53532010
951621	3244	1997-06-12	VYDAJ	PREVOD NA UCET	1858	16007	SIPO	AB	53532010
951622	3244	1997-07-12	VYDAJ	PREVOD NA UCET	1858	16709	SIPO	AB	53532010
951623	3244	1997-08-12	VYDAJ	PREVOD NA UCET	1858	17813	SIPO	AB	53532010
951624	3244	1997-09-12	VYDAJ	PREVOD NA UCET	1858	18582	SIPO	AB	53532010
951625	3244	1997-10-12	VYDAJ	PREVOD NA UCET	1858	19694	SIPO	AB	53532010
951626	3244	1997-11-12	VYDAJ	PREVOD NA UCET	1858	19510	SIPO	AB	53532010
951627	3244	1997-12-12	VYDAJ	PREVOD NA UCET	1858	18025	SIPO	AB	53532010
951628	3244	1998-01-12	VYDAJ	PREVOD NA UCET	1858	14173	SIPO	AB	53532010
951629	3244	1998-02-12	VYDAJ	PREVOD NA UCET	1858	12033	SIPO	AB	53532010
951630	3244	1998-03-12	VYDAJ	PREVOD NA UCET	1858	13118	SIPO	AB	53532010
951631	3244	1998-04-12	VYDAJ	PREVOD NA UCET	1858	11364	SIPO	AB	53532010
951632	3244	1998-05-12	VYDAJ	PREVOD NA UCET	1858	12446	SIPO	AB	53532010
951633	3244	1998-06-12	VYDAJ	PREVOD NA UCET	1858	13532	SIPO	AB	53532010
951634	3244	1998-07-12	VYDAJ	PREVOD NA UCET	1858	14623	SIPO	AB	53532010
951635	3244	1998-08-12	VYDAJ	PREVOD NA UCET	1858	14127	SIPO	AB	53532010
951636	3244	1998-09-12	VYDAJ	PREVOD NA UCET	1858	11559	SIPO	AB	53532010
951637	3244	1998-10-12	VYDAJ	PREVOD NA UCET	1858	12641	SIPO	AB	53532010
951638	3244	1998-11-12	VYDAJ	PREVOD NA UCET	1858	13728	SIPO	AB	53532010
951639	3244	1998-12-12	VYDAJ	PREVOD NA UCET	1858	14819	SIPO	AB	53532010
951645	3244	1995-06-05	VYDAJ	PREVOD NA UCET	219	16470	 	EF	55354916
951646	3244	1995-07-05	VYDAJ	PREVOD NA UCET	219	17566	 	EF	55354916
951647	3244	1995-08-05	VYDAJ	PREVOD NA UCET	219	17796	 	EF	55354916
951648	3244	1995-09-05	VYDAJ	PREVOD NA UCET	219	18898	 	EF	55354916
951649	3244	1995-10-05	VYDAJ	PREVOD NA UCET	219	20004	 	EF	55354916
951650	3244	1995-11-05	VYDAJ	PREVOD NA UCET	219	21115	 	EF	55354916
951651	3244	1995-12-05	VYDAJ	PREVOD NA UCET	219	21331	 	EF	55354916
951652	3244	1996-01-05	VYDAJ	PREVOD NA UCET	219	21847	 	EF	55354916
951653	3244	1996-02-05	VYDAJ	PREVOD NA UCET	219	19242	 	EF	55354916
951654	3244	1996-03-05	VYDAJ	PREVOD NA UCET	219	20350	 	EF	55354916
951655	3244	1996-04-05	VYDAJ	PREVOD NA UCET	219	20532	 	EF	55354916
951656	3244	1996-05-05	VYDAJ	PREVOD NA UCET	219	21645	 	EF	55354916
951657	3244	1996-06-05	VYDAJ	PREVOD NA UCET	219	22763	 	EF	55354916
951658	3244	1996-07-05	VYDAJ	PREVOD NA UCET	219	17414	 	EF	55354916
951659	3244	1996-08-05	VYDAJ	PREVOD NA UCET	219	18514	 	EF	55354916
951660	3244	1996-09-05	VYDAJ	PREVOD NA UCET	219	19619	 	EF	55354916
951661	3244	1996-10-05	VYDAJ	PREVOD NA UCET	219	19617	 	EF	55354916
951662	3244	1996-11-05	VYDAJ	PREVOD NA UCET	219	20726	 	EF	55354916
951663	3244	1996-12-05	VYDAJ	PREVOD NA UCET	219	19765	 	EF	55354916
951664	3244	1997-01-05	VYDAJ	PREVOD NA UCET	219	20242	 	EF	55354916
951665	3244	1997-02-05	VYDAJ	PREVOD NA UCET	219	17328	 	EF	55354916
951666	3244	1997-03-05	VYDAJ	PREVOD NA UCET	219	17103	 	EF	55354916
951667	3244	1997-04-05	VYDAJ	PREVOD NA UCET	219	15676	 	EF	55354916
951668	3244	1997-05-05	VYDAJ	PREVOD NA UCET	219	16768	 	EF	55354916
951669	3244	1997-06-05	VYDAJ	PREVOD NA UCET	219	17865	 	EF	55354916
951670	3244	1997-07-05	VYDAJ	PREVOD NA UCET	219	18567	 	EF	55354916
951671	3244	1997-08-05	VYDAJ	PREVOD NA UCET	219	19671	 	EF	55354916
951672	3244	1997-09-05	VYDAJ	PREVOD NA UCET	219	20440	 	EF	55354916
951673	3244	1997-10-05	VYDAJ	PREVOD NA UCET	219	21552	 	EF	55354916
951674	3244	1997-11-05	VYDAJ	PREVOD NA UCET	219	21368	 	EF	55354916
951675	3244	1997-12-05	VYDAJ	PREVOD NA UCET	219	19883	 	EF	55354916
951676	3244	1998-01-05	VYDAJ	PREVOD NA UCET	219	16661	 	EF	55354916
951677	3244	1998-02-05	VYDAJ	PREVOD NA UCET	219	13891	 	EF	55354916
951678	3244	1998-03-05	VYDAJ	PREVOD NA UCET	219	14976	 	EF	55354916
951679	3244	1998-04-05	VYDAJ	PREVOD NA UCET	219	13222	 	EF	55354916
951680	3244	1998-05-05	VYDAJ	PREVOD NA UCET	219	14304	 	EF	55354916
951681	3244	1998-06-05	VYDAJ	PREVOD NA UCET	219	15390	 	EF	55354916
951682	3244	1998-07-05	VYDAJ	PREVOD NA UCET	219	16481	 	EF	55354916
951683	3244	1998-08-05	VYDAJ	PREVOD NA UCET	219	17245	 	EF	55354916
951684	3244	1998-09-05	VYDAJ	PREVOD NA UCET	219	13417	 	EF	55354916
951685	3244	1998-10-05	VYDAJ	PREVOD NA UCET	219	14499	 	EF	55354916
951686	3244	1998-11-05	VYDAJ	PREVOD NA UCET	219	15586	 	EF	55354916
951687	3244	1998-12-05	VYDAJ	PREVOD NA UCET	219	16677	 	EF	55354916
951689	3244	1996-06-08	VYDAJ	VYBER	6450	16313	\N	\N	\N
951692	3244	1995-12-12	VYDAJ	VYBER	150	19323	\N	\N	\N
951693	3244	1996-12-05	VYDAJ	VYBER	630	19135	\N	\N	\N
951694	3244	1997-12-21	VYDAJ	VYBER	750	20391	\N	\N	\N
951702	3244	1996-01-25	VYDAJ	VYBER	690	21425	\N	\N	\N
951703	3244	1996-01-27	VYDAJ	VYBER	330	20285	\N	\N	\N
951704	3244	1996-01-04	VYDAJ	VYBER	450	22066	\N	\N	\N
951705	3244	1996-01-12	VYDAJ	VYBER	720	21127	\N	\N	\N
951706	3244	1996-01-27	VYDAJ	VYBER	810	20615	\N	\N	\N
951707	3244	1996-01-16	VYDAJ	VYBER	270	22115	\N	\N	\N
951708	3244	1997-01-17	VYDAJ	VYBER	870	19250	\N	\N	\N
951709	3244	1997-01-27	VYDAJ	VYBER	630	17480	\N	\N	\N
951710	3244	1997-01-16	VYDAJ	VYBER	750	20120	\N	\N	\N
951711	3244	1997-01-13	VYDAJ	VYBER	630	17754	\N	\N	\N
951712	3244	1997-01-17	VYDAJ	VYBER	690	18560	\N	\N	\N
951713	3244	1997-01-27	VYDAJ	VYBER	450	18110	\N	\N	\N
951714	3244	1998-01-20	VYDAJ	VYBER	390	15759	\N	\N	\N
951716	3244	1998-01-02	VYDAJ	VYBER	780	16880	\N	\N	\N
951717	3244	1998-01-07	VYDAJ	VYBER	630	16031	\N	\N	\N
951718	3244	1998-01-14	VYDAJ	VYBER	600	16689	\N	\N	\N
951719	3244	1998-01-16	VYDAJ	VYBER	540	16149	\N	\N	\N
951720	3244	1995-08-04	VYDAJ	VYBER	870	18015	\N	\N	\N
951721	3244	1995-12-01	VYDAJ	VYBER	900	21550	\N	\N	\N
951723	3244	1996-04-02	VYDAJ	VYBER	930	20751	\N	\N	\N
951724	3244	1996-02-02	VYDAJ	VYBER	900	19461	\N	\N	\N
951725	3244	1996-11-10	VYDAJ	VYBER	1170	19556	\N	\N	\N
951726	3244	1996-09-27	VYDAJ	VYBER	1110	19767	\N	\N	\N
951727	3244	1996-11-12	VYDAJ	VYBER	900	18656	\N	\N	\N
951728	3244	1997-02-07	VYDAJ	VYBER	330	16998	\N	\N	\N
951729	3244	1997-03-21	VYDAJ	VYBER	1260	15841	\N	\N	\N
951730	3244	1997-02-10	VYDAJ	VYBER	990	16008	\N	\N	\N
951731	3244	1997-03-10	VYDAJ	VYBER	1260	15843	\N	\N	\N
951732	3244	1997-08-21	VYDAJ	VYBER	240	20689	\N	\N	\N
951733	3244	1998-08-23	VYDAJ	VYBER	360	16883	\N	\N	\N
951734	3244	1998-08-11	VYDAJ	VYBER	1050	15985	\N	\N	\N
951736	3244	1998-03-17	VYDAJ	VYBER	840	15394	\N	\N	\N
951738	3244	1998-08-10	VYDAJ	VYBER	210	17035	\N	\N	\N
951739	3244	1998-07-18	VYDAJ	VYBER	330	17409	\N	\N	\N
951745	3244	1995-05-31	VYDAJ	VYBER	15	16689	SLUZBY	\N	\N
951746	3244	1995-06-30	VYDAJ	VYBER	15	17785	SLUZBY	\N	\N
951747	3244	1995-07-31	VYDAJ	VYBER	15	18885	SLUZBY	\N	\N
951748	3244	1995-08-31	VYDAJ	VYBER	15	19117	SLUZBY	\N	\N
951749	3244	1995-09-30	VYDAJ	VYBER	15	20223	SLUZBY	\N	\N
951750	3244	1995-10-31	VYDAJ	VYBER	15	21334	SLUZBY	\N	\N
951751	3244	1995-11-30	VYDAJ	VYBER	15	22450	SLUZBY	\N	\N
951752	3244	1995-12-31	VYDAJ	VYBER	15	22516	SLUZBY	\N	\N
951753	3244	1996-01-31	VYDAJ	VYBER	15	20361	SLUZBY	\N	\N
951754	3244	1996-02-29	VYDAJ	VYBER	15	20569	SLUZBY	\N	\N
951755	3244	1996-03-31	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
951756	3244	1996-04-30	VYDAJ	VYBER	15	21864	SLUZBY	\N	\N
951757	3244	1996-05-31	VYDAJ	VYBER	15	22982	SLUZBY	\N	\N
951758	3244	1996-06-30	VYDAJ	VYBER	15	17633	SLUZBY	\N	\N
951759	3244	1996-07-31	VYDAJ	VYBER	15	18733	SLUZBY	\N	\N
951760	3244	1996-08-31	VYDAJ	VYBER	15	19838	SLUZBY	\N	\N
951761	3244	1996-09-30	VYDAJ	VYBER	15	19836	SLUZBY	\N	\N
951762	3244	1996-10-31	VYDAJ	VYBER	15	20945	SLUZBY	\N	\N
951763	3244	1996-11-30	VYDAJ	VYBER	15	19984	SLUZBY	\N	\N
951764	3244	1996-12-31	VYDAJ	VYBER	15	20461	SLUZBY	\N	\N
951765	3244	1997-01-31	VYDAJ	VYBER	15	17547	SLUZBY	\N	\N
951766	3244	1997-02-28	VYDAJ	VYBER	15	17322	SLUZBY	\N	\N
951767	3244	1997-03-31	VYDAJ	VYBER	15	15895	SLUZBY	\N	\N
951768	3244	1997-04-30	VYDAJ	VYBER	15	16987	SLUZBY	\N	\N
951769	3244	1997-05-31	VYDAJ	VYBER	15	18084	SLUZBY	\N	\N
951770	3244	1997-06-30	VYDAJ	VYBER	15	19186	SLUZBY	\N	\N
951771	3244	1997-07-31	VYDAJ	VYBER	15	19890	SLUZBY	\N	\N
951772	3244	1997-08-31	VYDAJ	VYBER	15	20659	SLUZBY	\N	\N
951773	3244	1997-09-30	VYDAJ	VYBER	15	21771	SLUZBY	\N	\N
951774	3244	1997-10-31	VYDAJ	VYBER	15	21587	SLUZBY	\N	\N
951775	3244	1997-11-30	VYDAJ	VYBER	15	20102	SLUZBY	\N	\N
951776	3244	1997-12-31	VYDAJ	VYBER	15	17660	SLUZBY	\N	\N
951777	3244	1998-01-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
951778	3244	1998-02-28	VYDAJ	VYBER	15	15195	SLUZBY	\N	\N
951779	3244	1998-03-31	VYDAJ	VYBER	15	13441	SLUZBY	\N	\N
951780	3244	1998-04-30	VYDAJ	VYBER	15	14523	SLUZBY	\N	\N
951781	3244	1998-05-31	VYDAJ	VYBER	15	15609	SLUZBY	\N	\N
951782	3244	1998-06-30	VYDAJ	VYBER	15	16700	SLUZBY	\N	\N
951783	3244	1998-07-31	VYDAJ	VYBER	15	17464	SLUZBY	\N	\N
951784	3244	1998-08-31	VYDAJ	VYBER	15	13636	SLUZBY	\N	\N
951785	3244	1998-09-30	VYDAJ	VYBER	15	14718	SLUZBY	\N	\N
951786	3244	1998-10-31	VYDAJ	VYBER	15	15805	SLUZBY	\N	\N
951787	3244	1998-11-30	VYDAJ	VYBER	15	16896	SLUZBY	\N	\N
951788	3244	1997-07-02	VYDAJ	VYBER	400	18786	\N	\N	\N
951789	3244	1997-08-31	VYDAJ	VYBER	100	20673	\N	\N	\N
951790	3244	1997-10-30	VYDAJ	VYBER	1300	21510	\N	\N	\N
951791	3244	1997-11-29	VYDAJ	VYBER	2600	20026	\N	\N	\N
951792	3244	1997-12-29	VYDAJ	VYBER	2800	17591	\N	\N	\N
951793	3244	1998-01-28	VYDAJ	VYBER	1700	14059	\N	\N	\N
951794	3244	1998-03-29	VYDAJ	VYBER	2000	13394	\N	\N	\N
951795	3244	1998-08-26	VYDAJ	VYBER	3300	13583	\N	\N	\N
951844	3245	1997-06-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
951851	3245	1997-07-10	PRIJEM	PREVOD Z UCTU	6731	7731	DUCHOD	QR	73171323
951852	3245	1997-08-10	PRIJEM	PREVOD Z UCTU	6731	14462	DUCHOD	QR	73171323
951853	3245	1997-09-10	PRIJEM	PREVOD Z UCTU	6731	21193	DUCHOD	QR	73171323
951854	3245	1997-10-10	PRIJEM	PREVOD Z UCTU	6731	27924	DUCHOD	QR	73171323
951855	3245	1997-11-10	PRIJEM	PREVOD Z UCTU	6731	27377	DUCHOD	QR	73171323
951856	3245	1997-12-10	PRIJEM	PREVOD Z UCTU	6731	21732	DUCHOD	QR	73171323
951857	3245	1998-01-10	PRIJEM	PREVOD Z UCTU	6731	19215	DUCHOD	QR	73171323
951858	3245	1998-02-10	PRIJEM	PREVOD Z UCTU	6731	16493	DUCHOD	QR	73171323
951859	3245	1998-03-10	PRIJEM	PREVOD Z UCTU	6731	16133	DUCHOD	QR	73171323
951860	3245	1998-04-10	PRIJEM	PREVOD Z UCTU	6731	15029	DUCHOD	QR	73171323
951861	3245	1998-05-10	PRIJEM	PREVOD Z UCTU	6731	15127	DUCHOD	QR	73171323
951862	3245	1998-06-10	PRIJEM	PREVOD Z UCTU	6731	16901	DUCHOD	QR	73171323
951863	3245	1998-07-10	PRIJEM	PREVOD Z UCTU	6731	19806	DUCHOD	QR	73171323
951864	3245	1998-08-10	PRIJEM	PREVOD Z UCTU	6731	14412	DUCHOD	QR	73171323
951865	3245	1998-09-10	PRIJEM	PREVOD Z UCTU	6731	16105	DUCHOD	QR	73171323
951866	3245	1998-10-10	PRIJEM	PREVOD Z UCTU	6731	16602	DUCHOD	QR	73171323
951867	3245	1998-11-10	PRIJEM	PREVOD Z UCTU	6731	17603	DUCHOD	QR	73171323
951868	3245	1998-12-10	PRIJEM	PREVOD Z UCTU	6731	20411	DUCHOD	QR	73171323
951880	3245	1997-12-06	VYDAJ	PREVOD NA UCET	3878	15951	SIPO	WX	34591257
951881	3245	1998-01-06	VYDAJ	PREVOD NA UCET	3878	13764	SIPO	WX	34591257
951882	3245	1998-02-06	VYDAJ	PREVOD NA UCET	3878	9762	SIPO	WX	34591257
951883	3245	1998-03-06	VYDAJ	PREVOD NA UCET	3878	9402	SIPO	WX	34591257
951884	3245	1998-04-06	VYDAJ	PREVOD NA UCET	3878	8298	SIPO	WX	34591257
951885	3245	1998-05-06	VYDAJ	PREVOD NA UCET	3878	8396	SIPO	WX	34591257
951886	3245	1998-06-06	VYDAJ	PREVOD NA UCET	3878	10170	SIPO	WX	34591257
951887	3245	1998-07-06	VYDAJ	PREVOD NA UCET	3878	13075	SIPO	WX	34591257
951888	3245	1998-08-06	VYDAJ	PREVOD NA UCET	3878	7681	SIPO	WX	34591257
951889	3245	1998-09-06	VYDAJ	PREVOD NA UCET	3878	9374	SIPO	WX	34591257
951890	3245	1998-10-06	VYDAJ	PREVOD NA UCET	3878	9871	SIPO	WX	34591257
951891	3245	1998-11-06	VYDAJ	PREVOD NA UCET	3878	10872	SIPO	WX	34591257
951892	3245	1998-12-06	VYDAJ	PREVOD NA UCET	3878	13680	SIPO	WX	34591257
951896	3245	1998-01-24	VYDAJ	VYBER	2350	14945	\N	\N	\N
951897	3245	1997-12-09	VYDAJ	VYBER	950	15001	\N	\N	\N
951898	3245	1998-12-10	VYDAJ	VYBER	900	19511	\N	\N	\N
951905	3245	1998-01-11	VYDAJ	VYBER	720	18495	\N	\N	\N
951906	3245	1998-01-08	VYDAJ	VYBER	1280	12484	\N	\N	\N
951908	3245	1998-01-04	VYDAJ	VYBER	1760	17642	\N	\N	\N
951909	3245	1998-01-29	VYDAJ	VYBER	1360	13585	\N	\N	\N
951910	3245	1998-01-17	VYDAJ	VYBER	1200	17295	\N	\N	\N
951911	3245	1997-11-22	VYDAJ	VYBER	3040	21457	\N	\N	\N
951912	3245	1997-11-20	VYDAJ	VYBER	2880	24497	\N	\N	\N
951916	3245	1998-05-11	VYDAJ	VYBER	1120	14007	\N	\N	\N
951917	3245	1998-05-04	VYDAJ	VYBER	2800	12274	\N	\N	\N
951919	3245	1998-03-02	VYDAJ	VYBER	960	13280	\N	\N	\N
951931	3245	1997-11-30	VYDAJ	VYBER	15	19829	SLUZBY	\N	\N
951932	3245	1997-12-31	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
951933	3245	1998-01-31	VYDAJ	VYBER	15	13640	SLUZBY	\N	\N
951934	3245	1998-02-28	VYDAJ	VYBER	15	14240	SLUZBY	\N	\N
951935	3245	1998-03-31	VYDAJ	VYBER	15	12176	SLUZBY	\N	\N
951936	3245	1998-04-30	VYDAJ	VYBER	15	15074	SLUZBY	\N	\N
951937	3245	1998-05-31	VYDAJ	VYBER	15	14048	SLUZBY	\N	\N
951938	3245	1998-06-30	VYDAJ	VYBER	15	16953	SLUZBY	\N	\N
951939	3245	1998-07-31	VYDAJ	VYBER	15	11559	SLUZBY	\N	\N
951940	3245	1998-08-31	VYDAJ	VYBER	15	13252	SLUZBY	\N	\N
951941	3245	1998-09-30	VYDAJ	VYBER	15	13749	SLUZBY	\N	\N
951942	3245	1998-10-31	VYDAJ	VYBER	15	14750	SLUZBY	\N	\N
951943	3245	1998-11-30	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
951944	3245	1997-10-24	VYDAJ	VYBER	7300	20624	\N	\N	\N
951945	3245	1997-11-23	VYDAJ	VYBER	1700	19757	\N	\N	\N
951946	3245	1997-12-23	VYDAJ	VYBER	2400	19332	\N	\N	\N
951947	3245	1998-02-21	VYDAJ	VYBER	2300	14193	\N	\N	\N
951948	3245	1998-03-23	VYDAJ	VYBER	4000	12133	\N	\N	\N
951949	3245	1998-07-21	VYDAJ	VYBER	8300	11506	\N	\N	\N
951950	3245	1998-08-20	VYDAJ	VYBER	1200	13212	\N	\N	\N
951951	3245	1998-09-19	VYDAJ	VYBER	2400	13705	\N	\N	\N
951952	3245	1998-10-19	VYDAJ	VYBER	1900	14702	\N	\N	\N
951953	3245	1998-11-18	VYDAJ	VYBER	100	17503	\N	\N	\N
951969	3246	1993-06-14	PRIJEM	VKLAD	800	800	\N	\N	\N
951976	3246	1993-07-06	PRIJEM	VKLAD	6932	7732	\N	\N	\N
951977	3246	1993-08-06	PRIJEM	VKLAD	6932	20597	\N	\N	\N
951978	3246	1993-09-06	PRIJEM	VKLAD	6932	28606	\N	\N	\N
951979	3246	1993-10-06	PRIJEM	VKLAD	6932	33842	\N	\N	\N
951980	3246	1993-11-06	PRIJEM	VKLAD	6932	37395	\N	\N	\N
951981	3246	1993-12-06	PRIJEM	VKLAD	10398	39782	\N	\N	\N
951982	3246	1994-01-06	PRIJEM	VKLAD	6932	29095	\N	\N	\N
951983	3246	1994-02-06	PRIJEM	VKLAD	6932	19923	\N	\N	\N
951984	3246	1994-03-06	PRIJEM	VKLAD	6932	28913	\N	\N	\N
951985	3246	1994-04-06	PRIJEM	VKLAD	6932	32111	\N	\N	\N
951986	3246	1994-05-06	PRIJEM	VKLAD	6932	33717	\N	\N	\N
951987	3246	1994-06-06	PRIJEM	VKLAD	10398	32943	\N	\N	\N
951988	3246	1994-07-06	PRIJEM	VKLAD	6932	33627	\N	\N	\N
951989	3246	1994-08-06	PRIJEM	VKLAD	6932	32832	\N	\N	\N
951990	3246	1994-09-06	PRIJEM	VKLAD	6932	29426	\N	\N	\N
951991	3246	1994-10-06	PRIJEM	VKLAD	6932	28313	\N	\N	\N
951992	3246	1994-11-06	PRIJEM	VKLAD	6932	30005	\N	\N	\N
951993	3246	1994-12-06	PRIJEM	VKLAD	10398	31159	\N	\N	\N
951994	3246	1995-01-06	PRIJEM	VKLAD	6932	28707	\N	\N	\N
951995	3246	1995-02-06	PRIJEM	VKLAD	6932	27926	\N	\N	\N
951996	3246	1995-03-06	PRIJEM	VKLAD	6932	30313	\N	\N	\N
951997	3246	1995-04-06	PRIJEM	VKLAD	6932	29105	\N	\N	\N
951998	3246	1995-05-06	PRIJEM	VKLAD	6932	29003	\N	\N	\N
951999	3246	1995-06-06	PRIJEM	VKLAD	10398	33569	\N	\N	\N
952000	3246	1995-07-06	PRIJEM	VKLAD	6932	34340	\N	\N	\N
952001	3246	1995-08-06	PRIJEM	VKLAD	6932	32979	\N	\N	\N
952002	3246	1995-09-06	PRIJEM	VKLAD	6932	34094	\N	\N	\N
952003	3246	1995-10-06	PRIJEM	VKLAD	6932	35114	\N	\N	\N
952004	3246	1995-11-06	PRIJEM	VKLAD	6932	33200	\N	\N	\N
952005	3246	1995-12-06	PRIJEM	VKLAD	10398	40080	\N	\N	\N
952006	3246	1996-01-06	PRIJEM	VKLAD	6932	30956	\N	\N	\N
952007	3246	1996-02-06	PRIJEM	VKLAD	6932	25231	\N	\N	\N
952008	3246	1996-03-06	PRIJEM	VKLAD	6932	26349	\N	\N	\N
952009	3246	1996-04-06	PRIJEM	VKLAD	6932	28687	\N	\N	\N
952010	3246	1996-05-06	PRIJEM	VKLAD	6932	34782	\N	\N	\N
952011	3246	1996-06-06	PRIJEM	VKLAD	10398	39366	\N	\N	\N
952012	3246	1996-07-06	PRIJEM	VKLAD	6932	36898	\N	\N	\N
952013	3246	1996-08-06	PRIJEM	VKLAD	6932	35623	\N	\N	\N
952014	3246	1996-09-06	PRIJEM	VKLAD	6932	28782	\N	\N	\N
952015	3246	1996-10-06	PRIJEM	VKLAD	6932	26678	\N	\N	\N
952016	3246	1996-11-06	PRIJEM	VKLAD	6932	24494	\N	\N	\N
952017	3246	1996-12-06	PRIJEM	VKLAD	10398	30235	\N	\N	\N
952018	3246	1997-01-06	PRIJEM	VKLAD	6932	22243	\N	\N	\N
952019	3246	1997-02-06	PRIJEM	VKLAD	6932	21914	\N	\N	\N
952020	3246	1997-03-06	PRIJEM	VKLAD	6932	20575	\N	\N	\N
952021	3246	1997-04-06	PRIJEM	VKLAD	6932	22433	\N	\N	\N
952022	3246	1997-05-06	PRIJEM	VKLAD	6932	24400	\N	\N	\N
952023	3246	1997-06-06	PRIJEM	VKLAD	10398	29439	\N	\N	\N
952024	3246	1997-07-06	PRIJEM	VKLAD	6932	27626	\N	\N	\N
952025	3246	1997-08-06	PRIJEM	VKLAD	6932	25909	\N	\N	\N
952026	3246	1997-09-06	PRIJEM	VKLAD	6932	25286	\N	\N	\N
952027	3246	1997-10-06	PRIJEM	VKLAD	6932	22011	\N	\N	\N
952028	3246	1997-11-06	PRIJEM	VKLAD	6932	24476	\N	\N	\N
952029	3246	1997-12-06	PRIJEM	VKLAD	10398	25532	\N	\N	\N
952030	3246	1998-01-06	PRIJEM	VKLAD	6932	23829	\N	\N	\N
952031	3246	1998-02-06	PRIJEM	VKLAD	6932	22915	\N	\N	\N
952032	3246	1998-03-06	PRIJEM	VKLAD	6932	24481	\N	\N	\N
952033	3246	1998-04-06	PRIJEM	VKLAD	6932	25253	\N	\N	\N
952034	3246	1998-05-06	PRIJEM	VKLAD	6932	21509	\N	\N	\N
952035	3246	1998-06-06	PRIJEM	VKLAD	10398	30405	\N	\N	\N
952036	3246	1998-07-06	PRIJEM	VKLAD	6932	31498	\N	\N	\N
952037	3246	1998-08-06	PRIJEM	VKLAD	6932	28491	\N	\N	\N
952038	3246	1998-09-06	PRIJEM	VKLAD	6932	25069	\N	\N	\N
952039	3246	1998-10-06	PRIJEM	VKLAD	6932	21982	\N	\N	\N
952040	3246	1998-11-06	PRIJEM	VKLAD	6932	20844	\N	\N	\N
952041	3246	1998-12-06	PRIJEM	VKLAD	10398	25165	\N	\N	\N
952052	3246	1993-11-09	VYDAJ	PREVOD NA UCET	4621	32774	SIPO	OP	1907498
952053	3246	1993-12-09	VYDAJ	PREVOD NA UCET	4621	29801	SIPO	OP	1907498
952054	3246	1994-01-09	VYDAJ	PREVOD NA UCET	4621	23394	SIPO	OP	1907498
952055	3246	1994-02-09	VYDAJ	PREVOD NA UCET	4621	21902	SIPO	OP	1907498
952056	3246	1994-03-09	VYDAJ	PREVOD NA UCET	4621	24292	SIPO	OP	1907498
952057	3246	1994-04-09	VYDAJ	PREVOD NA UCET	4621	27490	SIPO	OP	1907498
952058	3246	1994-05-09	VYDAJ	PREVOD NA UCET	4621	25376	SIPO	OP	1907498
952059	3246	1994-06-09	VYDAJ	PREVOD NA UCET	4621	26602	SIPO	OP	1907498
952060	3246	1994-07-09	VYDAJ	PREVOD NA UCET	4621	29006	SIPO	OP	1907498
952061	3246	1994-08-09	VYDAJ	PREVOD NA UCET	4621	22411	SIPO	OP	1907498
952062	3246	1994-09-09	VYDAJ	PREVOD NA UCET	4621	21305	SIPO	OP	1907498
952063	3246	1994-10-09	VYDAJ	PREVOD NA UCET	4621	22992	SIPO	OP	1907498
952064	3246	1994-11-09	VYDAJ	PREVOD NA UCET	4621	20684	SIPO	OP	1907498
952065	3246	1994-12-09	VYDAJ	PREVOD NA UCET	4621	23438	SIPO	OP	1907498
952066	3246	1995-01-09	VYDAJ	PREVOD NA UCET	4621	21446	SIPO	OP	1907498
952067	3246	1995-02-09	VYDAJ	PREVOD NA UCET	4621	23305	SIPO	OP	1907498
952068	3246	1995-03-09	VYDAJ	PREVOD NA UCET	4621	21892	SIPO	OP	1907498
952069	3246	1995-04-09	VYDAJ	PREVOD NA UCET	4621	24484	SIPO	OP	1907498
952070	3246	1995-05-09	VYDAJ	PREVOD NA UCET	4621	24382	SIPO	OP	1907498
952071	3246	1995-06-09	VYDAJ	PREVOD NA UCET	4621	27508	SIPO	OP	1907498
952072	3246	1995-07-09	VYDAJ	PREVOD NA UCET	4621	29719	SIPO	OP	1907498
952073	3246	1995-08-09	VYDAJ	PREVOD NA UCET	4621	28358	SIPO	OP	1907498
952074	3246	1995-09-09	VYDAJ	PREVOD NA UCET	4621	29473	SIPO	OP	1907498
952075	3246	1995-10-09	VYDAJ	PREVOD NA UCET	4621	26893	SIPO	OP	1907498
952076	3246	1995-11-09	VYDAJ	PREVOD NA UCET	4621	28579	SIPO	OP	1907498
952077	3246	1995-12-09	VYDAJ	PREVOD NA UCET	4621	35459	SIPO	OP	1907498
952078	3246	1996-01-09	VYDAJ	PREVOD NA UCET	4621	24535	SIPO	OP	1907498
952079	3246	1996-02-09	VYDAJ	PREVOD NA UCET	4621	20610	SIPO	OP	1907498
952080	3246	1996-03-09	VYDAJ	PREVOD NA UCET	4621	21728	SIPO	OP	1907498
952081	3246	1996-04-09	VYDAJ	PREVOD NA UCET	4621	24066	SIPO	OP	1907498
952082	3246	1996-05-09	VYDAJ	PREVOD NA UCET	4621	30161	SIPO	OP	1907498
952083	3246	1996-06-09	VYDAJ	PREVOD NA UCET	4621	34745	SIPO	OP	1907498
952084	3246	1996-07-09	VYDAJ	PREVOD NA UCET	4621	32277	SIPO	OP	1907498
952085	3246	1996-08-09	VYDAJ	PREVOD NA UCET	4621	31002	SIPO	OP	1907498
952086	3246	1996-09-09	VYDAJ	PREVOD NA UCET	4621	24161	SIPO	OP	1907498
952087	3246	1996-10-09	VYDAJ	PREVOD NA UCET	4621	22057	SIPO	OP	1907498
952088	3246	1996-11-09	VYDAJ	PREVOD NA UCET	4621	19873	SIPO	OP	1907498
952089	3246	1996-12-09	VYDAJ	PREVOD NA UCET	4621	25614	SIPO	OP	1907498
952090	3246	1997-01-09	VYDAJ	PREVOD NA UCET	4621	11142	SIPO	OP	1907498
952091	3246	1997-02-09	VYDAJ	PREVOD NA UCET	4621	17293	SIPO	OP	1907498
952092	3246	1997-03-09	VYDAJ	PREVOD NA UCET	4621	15954	SIPO	OP	1907498
952093	3246	1997-04-09	VYDAJ	PREVOD NA UCET	4621	17812	SIPO	OP	1907498
952094	3246	1997-05-09	VYDAJ	PREVOD NA UCET	4621	19779	SIPO	OP	1907498
952095	3246	1997-06-09	VYDAJ	PREVOD NA UCET	4621	24818	SIPO	OP	1907498
952096	3246	1997-07-09	VYDAJ	PREVOD NA UCET	4621	23005	SIPO	OP	1907498
952097	3246	1997-08-09	VYDAJ	PREVOD NA UCET	4621	21288	SIPO	OP	1907498
952098	3246	1997-09-09	VYDAJ	PREVOD NA UCET	4621	20665	SIPO	OP	1907498
952099	3246	1997-10-09	VYDAJ	PREVOD NA UCET	4621	17390	SIPO	OP	1907498
952100	3246	1997-11-09	VYDAJ	PREVOD NA UCET	4621	19855	SIPO	OP	1907498
952101	3246	1997-12-09	VYDAJ	PREVOD NA UCET	4621	20911	SIPO	OP	1907498
952102	3246	1998-01-09	VYDAJ	PREVOD NA UCET	4621	15848	SIPO	OP	1907498
952103	3246	1998-02-09	VYDAJ	PREVOD NA UCET	4621	18294	SIPO	OP	1907498
952104	3246	1998-03-09	VYDAJ	PREVOD NA UCET	4621	19860	SIPO	OP	1907498
952105	3246	1998-04-09	VYDAJ	PREVOD NA UCET	4621	20632	SIPO	OP	1907498
952106	3246	1998-05-09	VYDAJ	PREVOD NA UCET	4621	14848	SIPO	OP	1907498
952107	3246	1998-06-09	VYDAJ	PREVOD NA UCET	4621	25784	SIPO	OP	1907498
952108	3246	1998-07-09	VYDAJ	PREVOD NA UCET	4621	26877	SIPO	OP	1907498
952109	3246	1998-08-09	VYDAJ	PREVOD NA UCET	4621	23870	SIPO	OP	1907498
952110	3246	1998-09-09	VYDAJ	PREVOD NA UCET	4621	20448	SIPO	OP	1907498
952111	3246	1998-10-09	VYDAJ	PREVOD NA UCET	4621	17361	SIPO	OP	1907498
952112	3246	1998-11-09	VYDAJ	PREVOD NA UCET	4621	16223	SIPO	OP	1907498
952113	3246	1998-12-09	VYDAJ	PREVOD NA UCET	4621	14024	SIPO	OP	1907498
952123	3246	1996-01-12	VYDAJ	VYBER	10400	14135	\N	\N	\N
952126	3246	1993-12-06	VYDAJ	VYBER	800	38982	\N	\N	\N
952127	3246	1994-12-22	VYDAJ	VYBER	4320	19118	\N	\N	\N
952128	3246	1995-12-13	VYDAJ	VYBER	1760	33699	\N	\N	\N
952129	3246	1996-12-29	VYDAJ	VYBER	3680	15234	\N	\N	\N
952130	3246	1997-12-05	VYDAJ	VYBER	2080	15134	\N	\N	\N
952131	3246	1998-12-07	VYDAJ	VYBER	4480	18645	\N	\N	\N
952138	3246	1994-01-20	VYDAJ	VYBER	3360	18194	\N	\N	\N
952139	3246	1994-01-06	VYDAJ	VYBER	1080	28015	\N	\N	\N
952140	3246	1994-01-05	VYDAJ	VYBER	1200	22163	\N	\N	\N
952141	3246	1994-01-18	VYDAJ	VYBER	3240	21554	\N	\N	\N
952142	3246	1994-01-28	VYDAJ	VYBER	2040	16154	\N	\N	\N
952143	3246	1994-01-02	VYDAJ	VYBER	2640	23363	\N	\N	\N
952144	3246	1995-01-27	VYDAJ	VYBER	3240	12926	\N	\N	\N
952145	3246	1995-01-22	VYDAJ	VYBER	2640	18806	\N	\N	\N
952146	3246	1995-01-01	VYDAJ	VYBER	720	18475	\N	\N	\N
952147	3246	1995-01-26	VYDAJ	VYBER	2640	16166	\N	\N	\N
952148	3246	1995-01-09	VYDAJ	VYBER	2640	26067	\N	\N	\N
952149	3246	1995-01-03	VYDAJ	VYBER	2400	16075	\N	\N	\N
952151	3246	1996-01-06	VYDAJ	VYBER	1800	29156	\N	\N	\N
952153	3246	1996-01-04	VYDAJ	VYBER	3480	24024	\N	\N	\N
952154	3246	1996-01-25	VYDAJ	VYBER	600	13535	\N	\N	\N
952155	3246	1996-01-02	VYDAJ	VYBER	1920	27504	\N	\N	\N
952158	3246	1997-01-09	VYDAJ	VYBER	3000	15763	\N	\N	\N
952159	3246	1997-01-07	VYDAJ	VYBER	3480	18763	\N	\N	\N
952162	3246	1998-01-02	VYDAJ	VYBER	1680	16897	\N	\N	\N
952163	3246	1998-01-28	VYDAJ	VYBER	1800	15928	\N	\N	\N
952165	3246	1998-01-12	VYDAJ	VYBER	1320	14528	\N	\N	\N
952170	3246	1993-12-06	VYDAJ	VYBER	4560	34422	\N	\N	\N
952174	3246	1994-06-08	VYDAJ	VYBER	720	32223	\N	\N	\N
952175	3246	1994-05-06	VYDAJ	VYBER	3720	29997	\N	\N	\N
952176	3246	1994-01-31	VYDAJ	VYBER	3240	12991	\N	\N	\N
952177	3246	1994-05-15	VYDAJ	VYBER	4320	22456	\N	\N	\N
952178	3246	1995-10-08	VYDAJ	VYBER	3600	31514	\N	\N	\N
952179	3246	1995-07-29	VYDAJ	VYBER	2880	26839	\N	\N	\N
952180	3246	1995-10-14	VYDAJ	VYBER	2520	24373	\N	\N	\N
952181	3246	1995-06-08	VYDAJ	VYBER	1440	32129	\N	\N	\N
952182	3246	1996-03-02	VYDAJ	VYBER	4440	19417	\N	\N	\N
952183	3246	1996-10-17	VYDAJ	VYBER	720	21337	\N	\N	\N
952184	3246	1996-09-27	VYDAJ	VYBER	1800	19661	\N	\N	\N
952185	3246	1996-09-02	VYDAJ	VYBER	4560	21850	\N	\N	\N
952186	3246	1996-03-15	VYDAJ	VYBER	5640	16088	\N	\N	\N
952187	3246	1996-10-20	VYDAJ	VYBER	5040	16297	\N	\N	\N
952188	3246	1996-02-26	VYDAJ	VYBER	1320	19290	\N	\N	\N
952189	3246	1997-09-13	VYDAJ	VYBER	4440	16225	\N	\N	\N
952191	3246	1998-10-03	VYDAJ	VYBER	3960	15050	\N	\N	\N
952192	3246	1998-05-07	VYDAJ	VYBER	2040	19469	\N	\N	\N
952193	3246	1998-05-04	VYDAJ	VYBER	5520	14577	\N	\N	\N
952194	3246	1998-01-06	VYDAJ	VYBER	3360	20469	\N	\N	\N
952195	3246	1998-12-06	VYDAJ	VYBER	2040	23125	\N	\N	\N
952207	3246	1993-11-30	VYDAJ	VYBER	15	29384	SLUZBY	\N	\N
952208	3246	1993-12-31	VYDAJ	VYBER	15	26003	SLUZBY	\N	\N
952209	3246	1994-01-31	VYDAJ	VYBER	15	16231	SLUZBY	\N	\N
952210	3246	1994-02-28	VYDAJ	VYBER	15	21981	SLUZBY	\N	\N
952211	3246	1994-03-31	VYDAJ	VYBER	15	25179	SLUZBY	\N	\N
952212	3246	1994-04-30	VYDAJ	VYBER	15	26785	SLUZBY	\N	\N
952213	3246	1994-05-31	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
952214	3246	1994-06-30	VYDAJ	VYBER	15	26695	SLUZBY	\N	\N
952215	3246	1994-07-31	VYDAJ	VYBER	15	25900	SLUZBY	\N	\N
952216	3246	1994-08-31	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
952217	3246	1994-09-30	VYDAJ	VYBER	15	21381	SLUZBY	\N	\N
952218	3246	1994-10-31	VYDAJ	VYBER	15	23073	SLUZBY	\N	\N
952219	3246	1994-11-30	VYDAJ	VYBER	15	20761	SLUZBY	\N	\N
952220	3246	1994-12-31	VYDAJ	VYBER	15	19195	SLUZBY	\N	\N
952221	3246	1995-01-31	VYDAJ	VYBER	15	12994	SLUZBY	\N	\N
952222	3246	1995-02-28	VYDAJ	VYBER	15	23381	SLUZBY	\N	\N
952223	3246	1995-03-31	VYDAJ	VYBER	15	21973	SLUZBY	\N	\N
952224	3246	1995-04-30	VYDAJ	VYBER	15	24571	SLUZBY	\N	\N
952225	3246	1995-05-31	VYDAJ	VYBER	15	24471	SLUZBY	\N	\N
952226	3246	1995-06-30	VYDAJ	VYBER	15	27608	SLUZBY	\N	\N
952227	3246	1995-07-31	VYDAJ	VYBER	15	26947	SLUZBY	\N	\N
952228	3246	1995-08-31	VYDAJ	VYBER	15	28462	SLUZBY	\N	\N
952229	3246	1995-09-30	VYDAJ	VYBER	15	29582	SLUZBY	\N	\N
952230	3246	1995-10-31	VYDAJ	VYBER	15	24468	SLUZBY	\N	\N
952231	3246	1995-11-30	VYDAJ	VYBER	15	28682	SLUZBY	\N	\N
952232	3246	1995-12-31	VYDAJ	VYBER	15	29424	SLUZBY	\N	\N
952233	3246	1996-01-31	VYDAJ	VYBER	15	18299	SLUZBY	\N	\N
952234	3246	1996-02-29	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
952235	3246	1996-03-31	VYDAJ	VYBER	15	21755	SLUZBY	\N	\N
952236	3246	1996-04-30	VYDAJ	VYBER	15	27850	SLUZBY	\N	\N
952237	3246	1996-05-31	VYDAJ	VYBER	15	28968	SLUZBY	\N	\N
952238	3246	1996-06-30	VYDAJ	VYBER	15	29966	SLUZBY	\N	\N
952239	3246	1996-07-31	VYDAJ	VYBER	15	28691	SLUZBY	\N	\N
952240	3246	1996-08-31	VYDAJ	VYBER	15	26410	SLUZBY	\N	\N
952241	3246	1996-09-30	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
952242	3246	1996-10-31	VYDAJ	VYBER	15	17562	SLUZBY	\N	\N
952243	3246	1996-11-30	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
952244	3246	1996-12-31	VYDAJ	VYBER	15	15311	SLUZBY	\N	\N
952245	3246	1997-01-31	VYDAJ	VYBER	15	14982	SLUZBY	\N	\N
952246	3246	1997-02-28	VYDAJ	VYBER	15	13643	SLUZBY	\N	\N
952247	3246	1997-03-31	VYDAJ	VYBER	15	15501	SLUZBY	\N	\N
952248	3246	1997-04-30	VYDAJ	VYBER	15	17468	SLUZBY	\N	\N
952249	3246	1997-05-31	VYDAJ	VYBER	15	19041	SLUZBY	\N	\N
952250	3246	1997-06-30	VYDAJ	VYBER	15	20694	SLUZBY	\N	\N
952251	3246	1997-07-31	VYDAJ	VYBER	15	18977	SLUZBY	\N	\N
952252	3246	1997-08-31	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
952253	3246	1997-09-30	VYDAJ	VYBER	15	15079	SLUZBY	\N	\N
952254	3246	1997-10-31	VYDAJ	VYBER	15	17544	SLUZBY	\N	\N
952255	3246	1997-11-30	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
952256	3246	1997-12-31	VYDAJ	VYBER	15	18577	SLUZBY	\N	\N
952257	3246	1998-01-31	VYDAJ	VYBER	15	15983	SLUZBY	\N	\N
952258	3246	1998-02-28	VYDAJ	VYBER	15	17549	SLUZBY	\N	\N
952259	3246	1998-03-31	VYDAJ	VYBER	15	18321	SLUZBY	\N	\N
952260	3246	1998-04-30	VYDAJ	VYBER	15	20097	SLUZBY	\N	\N
952261	3246	1998-05-31	VYDAJ	VYBER	15	20007	SLUZBY	\N	\N
952262	3246	1998-06-30	VYDAJ	VYBER	15	24566	SLUZBY	\N	\N
952263	3246	1998-07-31	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
952264	3246	1998-08-31	VYDAJ	VYBER	15	18137	SLUZBY	\N	\N
952265	3246	1998-09-30	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
952266	3246	1998-10-31	VYDAJ	VYBER	15	13912	SLUZBY	\N	\N
952267	3246	1998-11-30	VYDAJ	VYBER	15	14767	SLUZBY	\N	\N
952268	3246	1993-07-14	PRIJEM	VKLAD	5900	13632	\N	\N	\N
952269	3246	1993-08-13	PRIJEM	VKLAD	1000	21597	\N	\N	\N
952270	3246	1993-09-12	VYDAJ	VYBER	1800	26806	\N	\N	\N
952271	3246	1993-10-12	VYDAJ	VYBER	3500	30342	\N	\N	\N
952272	3246	1993-11-11	VYDAJ	VYBER	3500	29274	\N	\N	\N
952273	3246	1993-12-11	VYDAJ	VYBER	3900	25901	\N	\N	\N
952274	3246	1994-01-10	PRIJEM	VKLAD	1400	24794	\N	\N	\N
952275	3246	1994-02-09	PRIJEM	VKLAD	6600	26523	\N	\N	\N
952276	3246	1994-03-11	PRIJEM	VKLAD	800	25092	\N	\N	\N
952277	3246	1994-04-10	VYDAJ	VYBER	800	26690	\N	\N	\N
952278	3246	1994-05-10	PRIJEM	VKLAD	1400	26776	\N	\N	\N
952279	3246	1994-06-09	VYDAJ	VYBER	1000	31223	\N	\N	\N
952280	3246	1994-07-09	VYDAJ	VYBER	3200	25806	\N	\N	\N
952281	3246	1994-08-08	VYDAJ	VYBER	5800	27032	\N	\N	\N
952282	3246	1994-09-07	VYDAJ	VYBER	3500	25926	\N	\N	\N
952283	3246	1994-10-07	VYDAJ	VYBER	700	27613	\N	\N	\N
952284	3246	1994-11-06	VYDAJ	VYBER	4700	25305	\N	\N	\N
952285	3246	1994-12-06	VYDAJ	VYBER	3100	28059	\N	\N	\N
952286	3246	1995-01-05	PRIJEM	VKLAD	5700	21775	\N	\N	\N
952287	3246	1995-02-04	PRIJEM	VKLAD	8000	20994	\N	\N	\N
952288	3246	1995-03-06	VYDAJ	VYBER	3800	26513	\N	\N	\N
952289	3246	1995-04-05	PRIJEM	VKLAD	200	22173	\N	\N	\N
952290	3246	1995-05-05	VYDAJ	VYBER	2500	22071	\N	\N	\N
952291	3246	1995-06-04	VYDAJ	VYBER	1300	23171	\N	\N	\N
952292	3246	1995-07-04	VYDAJ	VYBER	200	27408	\N	\N	\N
952293	3246	1995-08-03	VYDAJ	VYBER	900	26047	\N	\N	\N
952294	3246	1995-09-02	VYDAJ	VYBER	1300	27162	\N	\N	\N
952295	3246	1995-10-02	VYDAJ	VYBER	1400	28182	\N	\N	\N
952296	3246	1995-11-01	PRIJEM	VKLAD	1800	26268	\N	\N	\N
952297	3246	1995-12-01	PRIJEM	VKLAD	1000	29682	\N	\N	\N
952298	3246	1995-12-31	VYDAJ	VYBER	4400	29438	\N	\N	\N
952299	3246	1996-01-30	PRIJEM	VKLAD	4700	18235	\N	\N	\N
952300	3246	1996-02-29	PRIJEM	VKLAD	4500	23872	\N	\N	\N
952301	3246	1996-03-30	PRIJEM	VKLAD	5600	21688	\N	\N	\N
952302	3246	1996-04-29	PRIJEM	VKLAD	3700	27766	\N	\N	\N
952303	3246	1996-05-29	VYDAJ	VYBER	1300	28861	\N	\N	\N
952304	3246	1996-06-28	VYDAJ	VYBER	4900	29845	\N	\N	\N
952305	3246	1996-07-28	VYDAJ	VYBER	3700	28577	\N	\N	\N
952306	3246	1996-08-27	VYDAJ	VYBER	4700	26302	\N	\N	\N
952307	3246	1996-09-26	VYDAJ	VYBER	2700	21461	\N	\N	\N
952308	3246	1996-10-26	PRIJEM	VKLAD	1200	17497	\N	\N	\N
952309	3246	1996-11-25	VYDAJ	VYBER	100	19773	\N	\N	\N
952310	3246	1996-12-25	VYDAJ	VYBER	6700	18914	\N	\N	\N
952311	3246	1997-01-24	PRIJEM	VKLAD	3800	14942	\N	\N	\N
952312	3246	1997-02-23	VYDAJ	VYBER	3700	13593	\N	\N	\N
952313	3246	1997-03-25	VYDAJ	VYBER	500	15454	\N	\N	\N
952314	3246	1997-04-24	VYDAJ	VYBER	400	17412	\N	\N	\N
952315	3246	1997-05-24	VYDAJ	VYBER	800	18979	\N	\N	\N
952316	3246	1997-06-23	VYDAJ	VYBER	4200	20618	\N	\N	\N
952317	3246	1997-07-23	VYDAJ	VYBER	4100	18905	\N	\N	\N
952318	3246	1997-08-22	VYDAJ	VYBER	3000	18288	\N	\N	\N
952319	3246	1997-09-21	VYDAJ	VYBER	1200	15025	\N	\N	\N
952320	3246	1997-10-21	PRIJEM	VKLAD	100	17490	\N	\N	\N
952321	3246	1997-11-20	VYDAJ	VYBER	2700	17155	\N	\N	\N
952322	3246	1997-12-20	VYDAJ	VYBER	2400	18511	\N	\N	\N
952323	3246	1998-01-19	PRIJEM	VKLAD	3200	17728	\N	\N	\N
952324	3246	1998-02-18	VYDAJ	VYBER	800	17494	\N	\N	\N
952325	3246	1998-03-20	VYDAJ	VYBER	1600	18260	\N	\N	\N
952326	3246	1998-04-19	VYDAJ	VYBER	600	20032	\N	\N	\N
952327	3246	1998-05-19	PRIJEM	VKLAD	5100	19948	\N	\N	\N
952328	3246	1998-06-18	VYDAJ	VYBER	1300	24484	\N	\N	\N
952329	3246	1998-07-18	VYDAJ	VYBER	5400	21477	\N	\N	\N
952330	3246	1998-08-17	VYDAJ	VYBER	5800	18070	\N	\N	\N
952331	3246	1998-09-16	VYDAJ	VYBER	1500	18948	\N	\N	\N
952332	3246	1998-10-16	VYDAJ	VYBER	3500	13861	\N	\N	\N
952333	3246	1998-11-15	VYDAJ	VYBER	1500	14723	\N	\N	\N
952400	3247	1996-04-11	PRIJEM	VKLAD	800	800	\N	\N	\N
952405	3247	1996-05-07	PRIJEM	VKLAD	6010	6810	\N	\N	\N
952406	3247	1996-06-07	PRIJEM	VKLAD	9015	24469	\N	\N	\N
952407	3247	1996-07-07	PRIJEM	VKLAD	6010	31071	\N	\N	\N
952408	3247	1996-08-07	PRIJEM	VKLAD	6010	33492	\N	\N	\N
952409	3247	1996-09-07	PRIJEM	VKLAD	6010	33416	\N	\N	\N
952410	3247	1996-10-07	PRIJEM	VKLAD	6010	29210	\N	\N	\N
952411	3247	1996-11-07	PRIJEM	VKLAD	6010	29102	\N	\N	\N
952412	3247	1996-12-07	PRIJEM	VKLAD	9015	34707	\N	\N	\N
952413	3247	1997-01-07	PRIJEM	VKLAD	6010	24224	\N	\N	\N
952414	3247	1997-02-07	PRIJEM	VKLAD	6010	22884	\N	\N	\N
952415	3247	1997-03-07	PRIJEM	VKLAD	6010	24953	\N	\N	\N
952416	3247	1997-04-07	PRIJEM	VKLAD	6010	27228	\N	\N	\N
952417	3247	1997-05-07	PRIJEM	VKLAD	6010	31517	\N	\N	\N
952418	3247	1997-06-07	PRIJEM	VKLAD	9015	34264	\N	\N	\N
952419	3247	1997-07-07	PRIJEM	VKLAD	6010	34359	\N	\N	\N
952420	3247	1997-08-07	PRIJEM	VKLAD	6010	31779	\N	\N	\N
952421	3247	1997-09-07	PRIJEM	VKLAD	6010	33989	\N	\N	\N
952422	3247	1997-10-07	PRIJEM	VKLAD	6010	37904	\N	\N	\N
952423	3247	1997-11-07	PRIJEM	VKLAD	6010	39338	\N	\N	\N
952424	3247	1997-12-07	PRIJEM	VKLAD	9015	43184	\N	\N	\N
952425	3247	1998-01-07	PRIJEM	VKLAD	6010	19873	\N	\N	\N
952426	3247	1998-02-07	PRIJEM	VKLAD	6010	21386	\N	\N	\N
952427	3247	1998-03-07	PRIJEM	VKLAD	6010	27125	\N	\N	\N
952428	3247	1998-04-07	PRIJEM	VKLAD	6010	32410	\N	\N	\N
952429	3247	1998-05-07	PRIJEM	VKLAD	6010	30890	\N	\N	\N
952430	3247	1998-06-07	PRIJEM	VKLAD	9015	41297	\N	\N	\N
952431	3247	1998-07-07	PRIJEM	VKLAD	6010	40263	\N	\N	\N
952432	3247	1998-08-07	PRIJEM	VKLAD	6010	39760	\N	\N	\N
952433	3247	1998-09-07	PRIJEM	VKLAD	6010	38800	\N	\N	\N
952434	3247	1998-10-07	PRIJEM	VKLAD	6010	35036	\N	\N	\N
952435	3247	1998-11-07	PRIJEM	VKLAD	6010	31797	\N	\N	\N
952436	3247	1998-12-07	PRIJEM	VKLAD	9015	32710	\N	\N	\N
952446	3247	1996-10-06	VYDAJ	PREVOD NA UCET	974	23200	SIPO	MN	78002387
952447	3247	1996-11-06	VYDAJ	PREVOD NA UCET	974	23092	SIPO	MN	78002387
952448	3247	1996-12-06	VYDAJ	PREVOD NA UCET	974	25692	SIPO	MN	78002387
952449	3247	1997-01-06	VYDAJ	PREVOD NA UCET	974	18214	SIPO	MN	78002387
952450	3247	1997-02-06	VYDAJ	PREVOD NA UCET	974	16874	SIPO	MN	78002387
952451	3247	1997-03-06	VYDAJ	PREVOD NA UCET	974	18943	SIPO	MN	78002387
952452	3247	1997-04-06	VYDAJ	PREVOD NA UCET	974	21218	SIPO	MN	78002387
952453	3247	1997-05-06	VYDAJ	PREVOD NA UCET	974	25507	SIPO	MN	78002387
952454	3247	1997-06-06	VYDAJ	PREVOD NA UCET	974	25249	SIPO	MN	78002387
952455	3247	1997-07-06	VYDAJ	PREVOD NA UCET	974	28349	SIPO	MN	78002387
952456	3247	1997-08-06	VYDAJ	PREVOD NA UCET	974	25769	SIPO	MN	78002387
952457	3247	1997-09-06	VYDAJ	PREVOD NA UCET	974	27979	SIPO	MN	78002387
952458	3247	1997-10-06	VYDAJ	PREVOD NA UCET	974	31894	SIPO	MN	78002387
952459	3247	1997-11-06	VYDAJ	PREVOD NA UCET	974	33328	SIPO	MN	78002387
952460	3247	1997-12-06	VYDAJ	PREVOD NA UCET	974	34169	SIPO	MN	78002387
952461	3247	1998-01-06	VYDAJ	PREVOD NA UCET	974	17583	SIPO	MN	78002387
952462	3247	1998-02-06	VYDAJ	PREVOD NA UCET	974	15376	SIPO	MN	78002387
952463	3247	1998-03-06	VYDAJ	PREVOD NA UCET	974	21115	SIPO	MN	78002387
952464	3247	1998-04-06	VYDAJ	PREVOD NA UCET	974	26400	SIPO	MN	78002387
952465	3247	1998-05-06	VYDAJ	PREVOD NA UCET	974	24880	SIPO	MN	78002387
952466	3247	1998-06-06	VYDAJ	PREVOD NA UCET	974	32282	SIPO	MN	78002387
952467	3247	1998-07-06	VYDAJ	PREVOD NA UCET	974	34253	SIPO	MN	78002387
952468	3247	1998-08-06	VYDAJ	PREVOD NA UCET	974	33750	SIPO	MN	78002387
952469	3247	1998-09-06	VYDAJ	PREVOD NA UCET	974	32790	SIPO	MN	78002387
952470	3247	1998-10-06	VYDAJ	PREVOD NA UCET	974	29026	SIPO	MN	78002387
952471	3247	1998-11-06	VYDAJ	PREVOD NA UCET	974	25787	SIPO	MN	78002387
952472	3247	1998-12-06	VYDAJ	PREVOD NA UCET	974	23695	SIPO	MN	78002387
952481	3247	1996-09-12	VYDAJ	PREVOD NA UCET	3032	24084	 	IJ	72730910
952482	3247	1996-10-12	VYDAJ	PREVOD NA UCET	3032	23978	 	IJ	72730910
952483	3247	1996-11-12	VYDAJ	PREVOD NA UCET	3032	26570	 	IJ	72730910
952484	3247	1996-12-12	VYDAJ	PREVOD NA UCET	3032	24275	 	IJ	72730910
952485	3247	1997-01-12	VYDAJ	PREVOD NA UCET	3032	15192	 	IJ	72730910
952486	3247	1997-02-12	VYDAJ	PREVOD NA UCET	3032	19852	 	IJ	72730910
952487	3247	1997-03-12	VYDAJ	PREVOD NA UCET	3032	19621	 	IJ	72730910
952488	3247	1997-04-12	VYDAJ	PREVOD NA UCET	3032	24196	 	IJ	72730910
952489	3247	1997-05-12	VYDAJ	PREVOD NA UCET	3032	28485	 	IJ	72730910
952490	3247	1997-06-12	VYDAJ	PREVOD NA UCET	3032	31232	 	IJ	72730910
952491	3247	1997-07-12	VYDAJ	PREVOD NA UCET	3032	31327	 	IJ	72730910
952492	3247	1997-08-12	VYDAJ	PREVOD NA UCET	3032	28747	 	IJ	72730910
952493	3247	1997-09-12	VYDAJ	PREVOD NA UCET	3032	30957	 	IJ	72730910
952494	3247	1997-10-12	VYDAJ	PREVOD NA UCET	3032	34872	 	IJ	72730910
952495	3247	1997-11-12	VYDAJ	PREVOD NA UCET	3032	36306	 	IJ	72730910
952496	3247	1997-12-12	VYDAJ	PREVOD NA UCET	3032	40152	 	IJ	72730910
952497	3247	1998-01-12	VYDAJ	PREVOD NA UCET	3032	12881	 	IJ	72730910
952498	3247	1998-02-12	VYDAJ	PREVOD NA UCET	3032	15234	 	IJ	72730910
952499	3247	1998-03-12	VYDAJ	PREVOD NA UCET	3032	24093	 	IJ	72730910
952500	3247	1998-04-12	VYDAJ	PREVOD NA UCET	3032	29378	 	IJ	72730910
952501	3247	1998-05-12	VYDAJ	PREVOD NA UCET	3032	27858	 	IJ	72730910
952502	3247	1998-06-12	VYDAJ	PREVOD NA UCET	3032	38265	 	IJ	72730910
952503	3247	1998-07-12	VYDAJ	PREVOD NA UCET	3032	37231	 	IJ	72730910
952504	3247	1998-08-12	VYDAJ	PREVOD NA UCET	3032	36728	 	IJ	72730910
952505	3247	1998-09-12	VYDAJ	PREVOD NA UCET	3032	35768	 	IJ	72730910
952506	3247	1998-10-12	VYDAJ	PREVOD NA UCET	3032	32004	 	IJ	72730910
952507	3247	1998-11-12	VYDAJ	PREVOD NA UCET	3032	28765	 	IJ	72730910
952508	3247	1998-12-12	VYDAJ	PREVOD NA UCET	3032	29678	 	IJ	72730910
952514	3247	1998-01-02	VYDAJ	VYBER	15840	18557	\N	\N	\N
952515	3247	1996-12-24	VYDAJ	VYBER	2080	22195	\N	\N	\N
952516	3247	1997-12-21	VYDAJ	VYBER	4000	36152	\N	\N	\N
952517	3247	1998-12-12	VYDAJ	VYBER	2880	26798	\N	\N	\N
952525	3247	1997-01-03	VYDAJ	VYBER	2280	20008	\N	\N	\N
952526	3247	1997-01-05	VYDAJ	VYBER	720	19288	\N	\N	\N
952528	3247	1997-01-10	VYDAJ	VYBER	3120	21104	\N	\N	\N
952529	3247	1997-01-26	VYDAJ	VYBER	2400	12792	\N	\N	\N
952530	3247	1998-01-06	VYDAJ	VYBER	3000	13863	\N	\N	\N
952531	3247	1998-01-09	VYDAJ	VYBER	840	15913	\N	\N	\N
952532	3247	1998-01-06	VYDAJ	VYBER	720	16863	\N	\N	\N
952534	3247	1998-01-07	VYDAJ	VYBER	3120	16753	\N	\N	\N
952538	3247	1997-06-23	VYDAJ	VYBER	1920	29312	\N	\N	\N
952539	3247	1997-05-21	VYDAJ	VYBER	2760	25725	\N	\N	\N
952540	3247	1997-01-10	VYDAJ	VYBER	2880	18224	\N	\N	\N
952541	3247	1997-08-27	VYDAJ	VYBER	4200	24547	\N	\N	\N
952542	3247	1998-08-23	VYDAJ	VYBER	1200	35528	\N	\N	\N
952543	3247	1998-04-28	VYDAJ	VYBER	4320	20258	\N	\N	\N
952544	3247	1998-04-19	VYDAJ	VYBER	4800	24578	\N	\N	\N
952545	3247	1998-02-02	VYDAJ	VYBER	3480	16350	\N	\N	\N
952546	3247	1998-11-04	VYDAJ	VYBER	2160	26761	\N	\N	\N
952547	3247	1998-07-18	VYDAJ	VYBER	5040	32191	\N	\N	\N
952548	3247	1998-06-26	VYDAJ	VYBER	1080	37185	\N	\N	\N
952549	3247	1998-02-09	VYDAJ	VYBER	3120	18266	\N	\N	\N
952559	3247	1996-09-30	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
952560	3247	1996-10-31	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
952561	3247	1996-11-30	VYDAJ	VYBER	15	26666	SLUZBY	\N	\N
952562	3247	1996-12-31	VYDAJ	VYBER	15	22288	SLUZBY	\N	\N
952563	3247	1997-01-31	VYDAJ	VYBER	15	12848	SLUZBY	\N	\N
952564	3247	1997-02-28	VYDAJ	VYBER	15	19917	SLUZBY	\N	\N
952565	3247	1997-03-31	VYDAJ	VYBER	15	19692	SLUZBY	\N	\N
952566	3247	1997-04-30	VYDAJ	VYBER	15	24281	SLUZBY	\N	\N
952567	3247	1997-05-31	VYDAJ	VYBER	15	25823	SLUZBY	\N	\N
952568	3247	1997-06-30	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
952569	3247	1997-07-31	VYDAJ	VYBER	15	31443	SLUZBY	\N	\N
952570	3247	1997-08-31	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
952571	3247	1997-09-30	VYDAJ	VYBER	15	31068	SLUZBY	\N	\N
952572	3247	1997-10-31	VYDAJ	VYBER	15	35002	SLUZBY	\N	\N
952573	3247	1997-11-30	VYDAJ	VYBER	15	36443	SLUZBY	\N	\N
952574	3247	1997-12-31	VYDAJ	VYBER	15	36297	SLUZBY	\N	\N
952575	3247	1998-01-31	VYDAJ	VYBER	15	19830	SLUZBY	\N	\N
952576	3247	1998-02-28	VYDAJ	VYBER	15	15289	SLUZBY	\N	\N
952577	3247	1998-03-31	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
952578	3247	1998-04-30	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
952579	3247	1998-05-31	VYDAJ	VYBER	15	33256	SLUZBY	\N	\N
952580	3247	1998-06-30	VYDAJ	VYBER	15	37327	SLUZBY	\N	\N
952581	3247	1998-07-31	VYDAJ	VYBER	15	34724	SLUZBY	\N	\N
952582	3247	1998-08-31	VYDAJ	VYBER	15	33764	SLUZBY	\N	\N
952583	3247	1998-09-30	VYDAJ	VYBER	15	30000	SLUZBY	\N	\N
952584	3247	1998-10-31	VYDAJ	VYBER	15	28921	SLUZBY	\N	\N
952585	3247	1998-11-30	VYDAJ	VYBER	15	24669	SLUZBY	\N	\N
952586	3247	1996-05-11	PRIJEM	VKLAD	8600	15410	\N	\N	\N
952587	3247	1996-06-10	PRIJEM	VKLAD	500	24969	\N	\N	\N
952588	3247	1996-07-10	VYDAJ	VYBER	3700	27371	\N	\N	\N
952589	3247	1996-08-09	VYDAJ	VYBER	6200	27292	\N	\N	\N
952590	3247	1996-09-08	VYDAJ	VYBER	6300	27116	\N	\N	\N
952591	3247	1996-10-08	VYDAJ	VYBER	2200	27010	\N	\N	\N
952592	3247	1996-11-07	PRIJEM	VKLAD	500	29602	\N	\N	\N
952593	3247	1996-12-07	VYDAJ	VYBER	7400	27307	\N	\N	\N
952594	3247	1997-01-06	VYDAJ	VYBER	100	19188	\N	\N	\N
952595	3247	1997-02-05	PRIJEM	VKLAD	5000	17848	\N	\N	\N
952596	3247	1997-03-07	VYDAJ	VYBER	2300	22653	\N	\N	\N
952597	3247	1997-04-06	PRIJEM	VKLAD	2500	22192	\N	\N	\N
952598	3247	1997-05-06	PRIJEM	VKLAD	2200	26481	\N	\N	\N
952599	3247	1997-06-05	PRIJEM	VKLAD	400	26223	\N	\N	\N
952600	3247	1997-07-05	VYDAJ	VYBER	100	29323	\N	\N	\N
952601	3247	1997-08-04	VYDAJ	VYBER	4700	26743	\N	\N	\N
952602	3247	1997-09-03	PRIJEM	VKLAD	4300	28953	\N	\N	\N
952603	3247	1997-10-03	PRIJEM	VKLAD	1800	32868	\N	\N	\N
952604	3247	1997-11-02	VYDAJ	VYBER	700	34302	\N	\N	\N
952605	3247	1997-12-02	VYDAJ	VYBER	1300	35143	\N	\N	\N
952606	3247	1998-01-01	VYDAJ	VYBER	1900	34397	\N	\N	\N
952607	3247	1998-01-31	PRIJEM	VKLAD	6900	19781	\N	\N	\N
952608	3247	1998-03-02	PRIJEM	VKLAD	6800	22089	\N	\N	\N
952609	3247	1998-04-01	PRIJEM	VKLAD	3200	27374	\N	\N	\N
952610	3247	1998-05-01	PRIJEM	VKLAD	5500	25854	\N	\N	\N
952611	3247	1998-05-31	PRIJEM	VKLAD	5300	33271	\N	\N	\N
952612	3247	1998-06-30	VYDAJ	VYBER	2100	35227	\N	\N	\N
952613	3247	1998-07-30	PRIJEM	VKLAD	2400	34591	\N	\N	\N
952614	3247	1998-08-29	VYDAJ	VYBER	1900	33628	\N	\N	\N
952615	3247	1998-09-28	VYDAJ	VYBER	5900	29868	\N	\N	\N
952616	3247	1998-10-28	VYDAJ	VYBER	3200	28804	\N	\N	\N
952617	3247	1998-11-27	VYDAJ	VYBER	4200	24565	\N	\N	\N
952650	3248	1996-05-11	PRIJEM	VKLAD	900	900	\N	\N	\N
952656	3248	1996-06-11	PRIJEM	PREVOD Z UCTU	4965	5865	DUCHOD	CD	48553377
952657	3248	1996-07-11	PRIJEM	PREVOD Z UCTU	4965	10830	DUCHOD	CD	48553377
952658	3248	1996-08-11	PRIJEM	PREVOD Z UCTU	4965	15795	DUCHOD	CD	48553377
952659	3248	1996-09-11	PRIJEM	PREVOD Z UCTU	4965	20760	DUCHOD	CD	48553377
952660	3248	1996-10-11	PRIJEM	PREVOD Z UCTU	4965	25725	DUCHOD	CD	48553377
952661	3248	1996-11-11	PRIJEM	PREVOD Z UCTU	4965	22080	DUCHOD	CD	48553377
952662	3248	1996-12-11	PRIJEM	PREVOD Z UCTU	4965	23064	DUCHOD	CD	48553377
952663	3248	1997-01-11	PRIJEM	PREVOD Z UCTU	4965	19919	DUCHOD	CD	48553377
952664	3248	1997-02-11	PRIJEM	PREVOD Z UCTU	4965	16727	DUCHOD	CD	48553377
952665	3248	1997-03-11	PRIJEM	PREVOD Z UCTU	4965	18484	DUCHOD	CD	48553377
952666	3248	1997-04-11	PRIJEM	PREVOD Z UCTU	4965	18549	DUCHOD	CD	48553377
952667	3248	1997-05-11	PRIJEM	PREVOD Z UCTU	4965	19835	DUCHOD	CD	48553377
952668	3248	1997-06-11	PRIJEM	PREVOD Z UCTU	4965	21607	DUCHOD	CD	48553377
952669	3248	1997-07-11	PRIJEM	PREVOD Z UCTU	4965	21464	DUCHOD	CD	48553377
952670	3248	1997-08-11	PRIJEM	PREVOD Z UCTU	4965	23143	DUCHOD	CD	48553377
952671	3248	1997-09-11	PRIJEM	PREVOD Z UCTU	4965	24927	DUCHOD	CD	48553377
952672	3248	1997-10-11	PRIJEM	PREVOD Z UCTU	4965	22276	DUCHOD	CD	48553377
952673	3248	1997-11-11	PRIJEM	PREVOD Z UCTU	4965	21759	DUCHOD	CD	48553377
952674	3248	1997-12-11	PRIJEM	PREVOD Z UCTU	4965	19469	DUCHOD	CD	48553377
952675	3248	1998-01-11	PRIJEM	PREVOD Z UCTU	4965	14736	DUCHOD	CD	48553377
952676	3248	1998-02-11	PRIJEM	PREVOD Z UCTU	4965	14887	DUCHOD	CD	48553377
952677	3248	1998-03-11	PRIJEM	PREVOD Z UCTU	4965	13436	DUCHOD	CD	48553377
952678	3248	1998-04-11	PRIJEM	PREVOD Z UCTU	4965	15183	DUCHOD	CD	48553377
952679	3248	1998-05-11	PRIJEM	PREVOD Z UCTU	4965	16293	DUCHOD	CD	48553377
952680	3248	1998-06-11	PRIJEM	PREVOD Z UCTU	4965	18049	DUCHOD	CD	48553377
952681	3248	1998-07-11	PRIJEM	PREVOD Z UCTU	4965	17410	DUCHOD	CD	48553377
952682	3248	1998-08-11	PRIJEM	PREVOD Z UCTU	4965	19170	DUCHOD	CD	48553377
952683	3248	1998-09-11	PRIJEM	PREVOD Z UCTU	4965	20939	DUCHOD	CD	48553377
952684	3248	1998-10-11	PRIJEM	PREVOD Z UCTU	4965	19831	DUCHOD	CD	48553377
952685	3248	1998-11-11	PRIJEM	PREVOD Z UCTU	4965	20558	DUCHOD	CD	48553377
952686	3248	1998-12-11	PRIJEM	PREVOD Z UCTU	4965	22332	DUCHOD	CD	48553377
952697	3248	1996-11-08	VYDAJ	PREVOD NA UCET	2793	17581	SIPO	AB	45627826
952698	3248	1996-12-08	VYDAJ	PREVOD NA UCET	2793	18099	SIPO	AB	45627826
952699	3248	1997-01-08	VYDAJ	PREVOD NA UCET	2793	17900	SIPO	AB	45627826
952700	3248	1997-02-08	VYDAJ	PREVOD NA UCET	2793	11762	SIPO	AB	45627826
952701	3248	1997-03-08	VYDAJ	PREVOD NA UCET	2793	13985	SIPO	AB	45627826
952702	3248	1997-04-08	VYDAJ	PREVOD NA UCET	2793	14050	SIPO	AB	45627826
952703	3248	1997-05-08	VYDAJ	PREVOD NA UCET	2793	14870	SIPO	AB	45627826
952704	3248	1997-06-08	VYDAJ	PREVOD NA UCET	2793	17108	SIPO	AB	45627826
952705	3248	1997-07-08	VYDAJ	PREVOD NA UCET	2793	17779	SIPO	AB	45627826
952706	3248	1997-08-08	VYDAJ	PREVOD NA UCET	2793	18644	SIPO	AB	45627826
952707	3248	1997-09-08	VYDAJ	PREVOD NA UCET	2793	19962	SIPO	AB	45627826
952708	3248	1997-10-08	VYDAJ	PREVOD NA UCET	2793	17777	SIPO	AB	45627826
952709	3248	1997-11-08	VYDAJ	PREVOD NA UCET	2793	17260	SIPO	AB	45627826
952710	3248	1997-12-08	VYDAJ	PREVOD NA UCET	2793	14504	SIPO	AB	45627826
952711	3248	1998-01-08	VYDAJ	PREVOD NA UCET	2793	9771	SIPO	AB	45627826
952712	3248	1998-02-08	VYDAJ	PREVOD NA UCET	2793	10388	SIPO	AB	45627826
952713	3248	1998-03-08	VYDAJ	PREVOD NA UCET	2793	8937	SIPO	AB	45627826
952714	3248	1998-04-08	VYDAJ	PREVOD NA UCET	2793	10218	SIPO	AB	45627826
952715	3248	1998-05-08	VYDAJ	PREVOD NA UCET	2793	11328	SIPO	AB	45627826
952716	3248	1998-06-08	VYDAJ	PREVOD NA UCET	2793	13084	SIPO	AB	45627826
952717	3248	1998-07-08	VYDAJ	PREVOD NA UCET	2793	12445	SIPO	AB	45627826
952718	3248	1998-08-08	VYDAJ	PREVOD NA UCET	2793	14205	SIPO	AB	45627826
952719	3248	1998-09-08	VYDAJ	PREVOD NA UCET	2793	16440	SIPO	AB	45627826
952720	3248	1998-10-08	VYDAJ	PREVOD NA UCET	2793	15332	SIPO	AB	45627826
952721	3248	1998-11-08	VYDAJ	PREVOD NA UCET	2793	15593	SIPO	AB	45627826
952722	3248	1998-12-08	VYDAJ	PREVOD NA UCET	2793	17367	SIPO	AB	45627826
952733	3248	1996-11-08	VYDAJ	PREVOD NA UCET	466	17115	 	GH	9478331
952734	3248	1996-12-08	VYDAJ	PREVOD NA UCET	466	20892	 	GH	9478331
952735	3248	1997-01-08	VYDAJ	PREVOD NA UCET	466	17434	 	GH	9478331
952736	3248	1997-02-08	VYDAJ	PREVOD NA UCET	466	14555	 	GH	9478331
952737	3248	1997-03-08	VYDAJ	PREVOD NA UCET	466	13519	 	GH	9478331
952738	3248	1997-04-08	VYDAJ	PREVOD NA UCET	466	13584	 	GH	9478331
952739	3248	1997-05-08	VYDAJ	PREVOD NA UCET	466	17663	 	GH	9478331
952740	3248	1997-06-08	VYDAJ	PREVOD NA UCET	466	16642	 	GH	9478331
952741	3248	1997-07-08	VYDAJ	PREVOD NA UCET	466	20572	 	GH	9478331
952742	3248	1997-08-08	VYDAJ	PREVOD NA UCET	466	18178	 	GH	9478331
952743	3248	1997-09-08	VYDAJ	PREVOD NA UCET	466	22755	 	GH	9478331
952744	3248	1997-10-08	VYDAJ	PREVOD NA UCET	466	17311	 	GH	9478331
952745	3248	1997-11-08	VYDAJ	PREVOD NA UCET	466	16794	 	GH	9478331
952746	3248	1997-12-08	VYDAJ	PREVOD NA UCET	466	17297	 	GH	9478331
952747	3248	1998-01-08	VYDAJ	PREVOD NA UCET	466	12564	 	GH	9478331
952748	3248	1998-02-08	VYDAJ	PREVOD NA UCET	466	9922	 	GH	9478331
952749	3248	1998-03-08	VYDAJ	PREVOD NA UCET	466	8471	 	GH	9478331
952750	3248	1998-04-08	VYDAJ	PREVOD NA UCET	466	13011	 	GH	9478331
952751	3248	1998-05-08	VYDAJ	PREVOD NA UCET	466	14121	 	GH	9478331
952752	3248	1998-06-08	VYDAJ	PREVOD NA UCET	466	15877	 	GH	9478331
952753	3248	1998-07-08	VYDAJ	PREVOD NA UCET	466	15238	 	GH	9478331
952754	3248	1998-08-08	VYDAJ	PREVOD NA UCET	466	16998	 	GH	9478331
952755	3248	1998-09-08	VYDAJ	PREVOD NA UCET	466	15974	 	GH	9478331
952756	3248	1998-10-08	VYDAJ	PREVOD NA UCET	466	14866	 	GH	9478331
952757	3248	1998-11-08	VYDAJ	PREVOD NA UCET	466	18386	 	GH	9478331
952758	3248	1998-12-08	VYDAJ	PREVOD NA UCET	466	20160	 	GH	9478331
952762	3248	1996-12-14	VYDAJ	VYBER	450	22614	\N	\N	\N
952763	3248	1997-12-04	VYDAJ	VYBER	650	17763	\N	\N	\N
952764	3248	1998-12-23	VYDAJ	VYBER	750	21582	\N	\N	\N
952771	3248	1997-01-09	VYDAJ	VYBER	800	14954	\N	\N	\N
952772	3248	1997-01-09	VYDAJ	VYBER	1680	15754	\N	\N	\N
952773	3248	1997-01-18	VYDAJ	VYBER	1760	17199	\N	\N	\N
952774	3248	1997-01-02	VYDAJ	VYBER	2000	20693	\N	\N	\N
952775	3248	1997-01-17	VYDAJ	VYBER	960	18959	\N	\N	\N
952776	3248	1997-01-24	VYDAJ	VYBER	2240	14959	\N	\N	\N
952778	3248	1998-01-04	VYDAJ	VYBER	720	14470	\N	\N	\N
952780	3248	1998-01-20	VYDAJ	VYBER	800	13936	\N	\N	\N
952781	3248	1998-01-05	VYDAJ	VYBER	1440	13030	\N	\N	\N
952787	3248	1996-11-01	VYDAJ	VYBER	3840	21874	\N	\N	\N
952788	3248	1997-09-16	VYDAJ	VYBER	1440	23487	\N	\N	\N
952789	3248	1997-04-25	VYDAJ	VYBER	480	18069	\N	\N	\N
952790	3248	1997-11-20	VYDAJ	VYBER	720	21039	\N	\N	\N
952791	3248	1997-06-21	VYDAJ	VYBER	640	20967	\N	\N	\N
952792	3248	1997-07-09	VYDAJ	VYBER	1280	16499	\N	\N	\N
952793	3248	1997-12-21	VYDAJ	VYBER	1840	17629	\N	\N	\N
952794	3248	1998-04-19	VYDAJ	VYBER	640	14543	\N	\N	\N
952796	3248	1998-06-27	VYDAJ	VYBER	2400	15649	\N	\N	\N
952797	3248	1998-09-20	VYDAJ	VYBER	1600	19339	\N	\N	\N
952798	3248	1998-01-04	VYDAJ	VYBER	1200	15190	\N	\N	\N
952799	3248	1998-09-28	VYDAJ	VYBER	1280	18059	\N	\N	\N
952800	3248	1998-10-13	VYDAJ	VYBER	1040	18791	\N	\N	\N
952811	3248	1996-10-31	VYDAJ	VYBER	15	25714	SLUZBY	\N	\N
952812	3248	1996-11-30	VYDAJ	VYBER	15	22158	SLUZBY	\N	\N
952813	3248	1996-12-31	VYDAJ	VYBER	15	22693	SLUZBY	\N	\N
952814	3248	1997-01-31	VYDAJ	VYBER	15	15021	SLUZBY	\N	\N
952815	3248	1997-02-28	VYDAJ	VYBER	15	16778	SLUZBY	\N	\N
952816	3248	1997-03-31	VYDAJ	VYBER	15	18543	SLUZBY	\N	\N
952817	3248	1997-04-30	VYDAJ	VYBER	15	18129	SLUZBY	\N	\N
952818	3248	1997-05-31	VYDAJ	VYBER	15	19901	SLUZBY	\N	\N
952819	3248	1997-06-30	VYDAJ	VYBER	15	21038	SLUZBY	\N	\N
952820	3248	1997-07-31	VYDAJ	VYBER	15	21537	SLUZBY	\N	\N
952821	3248	1997-08-31	VYDAJ	VYBER	15	23221	SLUZBY	\N	\N
952822	3248	1997-09-30	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
952823	3248	1997-10-31	VYDAJ	VYBER	15	22353	SLUZBY	\N	\N
952824	3248	1997-11-30	VYDAJ	VYBER	15	21113	SLUZBY	\N	\N
952825	3248	1997-12-31	VYDAJ	VYBER	15	17690	SLUZBY	\N	\N
952826	3248	1998-01-31	VYDAJ	VYBER	15	13181	SLUZBY	\N	\N
952827	3248	1998-02-28	VYDAJ	VYBER	15	14930	SLUZBY	\N	\N
952828	3248	1998-03-31	VYDAJ	VYBER	15	13477	SLUZBY	\N	\N
952829	3248	1998-04-30	VYDAJ	VYBER	15	14587	SLUZBY	\N	\N
952830	3248	1998-05-31	VYDAJ	VYBER	15	16343	SLUZBY	\N	\N
952831	3248	1998-06-30	VYDAJ	VYBER	15	15704	SLUZBY	\N	\N
952832	3248	1998-07-31	VYDAJ	VYBER	15	17464	SLUZBY	\N	\N
952833	3248	1998-08-31	VYDAJ	VYBER	15	19233	SLUZBY	\N	\N
952834	3248	1998-09-30	VYDAJ	VYBER	15	18125	SLUZBY	\N	\N
952835	3248	1998-10-31	VYDAJ	VYBER	15	18852	SLUZBY	\N	\N
952836	3248	1998-11-30	VYDAJ	VYBER	15	20626	SLUZBY	\N	\N
952837	3248	1996-11-07	VYDAJ	VYBER	1500	20374	\N	\N	\N
952838	3248	1996-12-07	VYDAJ	VYBER	800	21358	\N	\N	\N
952839	3248	1997-04-06	VYDAJ	VYBER	1700	16843	\N	\N	\N
952840	3248	1997-08-04	VYDAJ	VYBER	100	21437	\N	\N	\N
952841	3248	1997-10-03	VYDAJ	VYBER	3000	20570	\N	\N	\N
952842	3248	1997-11-02	VYDAJ	VYBER	2300	20053	\N	\N	\N
952843	3248	1997-12-02	VYDAJ	VYBER	2700	18413	\N	\N	\N
952844	3248	1998-01-01	VYDAJ	VYBER	1300	16390	\N	\N	\N
952845	3248	1998-01-31	VYDAJ	VYBER	800	13195	\N	\N	\N
952846	3248	1998-03-02	VYDAJ	VYBER	3200	11730	\N	\N	\N
952874	3249	1996-10-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
952885	3249	1996-11-06	PRIJEM	VKLAD	20662	21762	\N	\N	\N
952886	3249	1996-12-06	PRIJEM	VKLAD	30993	55125	\N	\N	\N
952887	3249	1997-01-06	PRIJEM	VKLAD	20662	60133	\N	\N	\N
952888	3249	1997-02-06	PRIJEM	VKLAD	20662	63669	\N	\N	\N
952889	3249	1997-03-06	PRIJEM	VKLAD	20662	58617	\N	\N	\N
952890	3249	1997-04-06	PRIJEM	VKLAD	20662	50019	\N	\N	\N
952891	3249	1997-05-06	PRIJEM	VKLAD	20662	36266	\N	\N	\N
952892	3249	1997-06-06	PRIJEM	VKLAD	30993	41817	\N	\N	\N
952893	3249	1997-07-06	PRIJEM	VKLAD	20662	33409	\N	\N	\N
952894	3249	1997-08-06	PRIJEM	VKLAD	20662	31628	\N	\N	\N
952895	3249	1997-09-06	PRIJEM	VKLAD	20662	37149	\N	\N	\N
952896	3249	1997-10-06	PRIJEM	VKLAD	20662	40017	\N	\N	\N
952897	3249	1997-11-06	PRIJEM	VKLAD	20662	50693	\N	\N	\N
952898	3249	1997-12-06	PRIJEM	VKLAD	30993	66054	\N	\N	\N
952899	3249	1998-01-06	PRIJEM	VKLAD	20662	57715	\N	\N	\N
952900	3249	1998-02-06	PRIJEM	VKLAD	20662	53255	\N	\N	\N
952901	3249	1998-03-06	PRIJEM	VKLAD	20662	54301	\N	\N	\N
952902	3249	1998-04-06	PRIJEM	VKLAD	20662	52203	\N	\N	\N
952903	3249	1998-05-06	PRIJEM	VKLAD	20662	49302	\N	\N	\N
952904	3249	1998-06-06	PRIJEM	VKLAD	30993	63564	\N	\N	\N
952905	3249	1998-07-06	PRIJEM	VKLAD	20662	58846	\N	\N	\N
952906	3249	1998-08-06	PRIJEM	VKLAD	20662	55022	\N	\N	\N
952907	3249	1998-09-06	PRIJEM	VKLAD	20662	45981	\N	\N	\N
952908	3249	1998-10-06	PRIJEM	VKLAD	20662	51996	\N	\N	\N
952909	3249	1998-11-06	PRIJEM	VKLAD	20662	56118	\N	\N	\N
952910	3249	1998-12-06	PRIJEM	VKLAD	30993	72161	\N	\N	\N
952925	3249	1997-03-13	VYDAJ	PREVOD NA UCET	8197	29220	SIPO	YZ	65147852
952926	3249	1997-04-13	VYDAJ	PREVOD NA UCET	8197	29522	SIPO	YZ	65147852
952927	3249	1997-05-13	VYDAJ	PREVOD NA UCET	8197	24769	SIPO	YZ	65147852
952928	3249	1997-06-13	VYDAJ	PREVOD NA UCET	8197	28020	SIPO	YZ	65147852
952929	3249	1997-07-13	VYDAJ	PREVOD NA UCET	8197	15512	SIPO	YZ	65147852
952930	3249	1997-08-13	VYDAJ	PREVOD NA UCET	8197	16431	SIPO	YZ	65147852
952931	3249	1997-09-13	VYDAJ	PREVOD NA UCET	8197	19275	SIPO	YZ	65147852
952932	3249	1997-10-13	VYDAJ	PREVOD NA UCET	8197	22243	SIPO	YZ	65147852
952933	3249	1997-11-13	VYDAJ	PREVOD NA UCET	8197	36819	SIPO	YZ	65147852
952934	3249	1997-12-13	VYDAJ	PREVOD NA UCET	8197	52180	SIPO	YZ	65147852
952935	3249	1998-01-13	VYDAJ	PREVOD NA UCET	8197	37601	SIPO	YZ	65147852
952936	3249	1998-02-13	VYDAJ	PREVOD NA UCET	8197	39381	SIPO	YZ	65147852
952937	3249	1998-03-13	VYDAJ	PREVOD NA UCET	8197	35867	SIPO	YZ	65147852
952938	3249	1998-04-13	VYDAJ	PREVOD NA UCET	8197	38329	SIPO	YZ	65147852
952939	3249	1998-05-13	VYDAJ	PREVOD NA UCET	8197	35428	SIPO	YZ	65147852
952940	3249	1998-06-13	VYDAJ	PREVOD NA UCET	8197	49690	SIPO	YZ	65147852
952941	3249	1998-07-13	VYDAJ	PREVOD NA UCET	8197	44972	SIPO	YZ	65147852
952942	3249	1998-08-13	VYDAJ	PREVOD NA UCET	8197	41148	SIPO	YZ	65147852
952943	3249	1998-09-13	VYDAJ	PREVOD NA UCET	8197	37784	SIPO	YZ	65147852
952944	3249	1998-10-13	VYDAJ	PREVOD NA UCET	8197	38699	SIPO	YZ	65147852
952945	3249	1998-11-13	VYDAJ	PREVOD NA UCET	8197	47921	SIPO	YZ	65147852
952946	3249	1998-12-13	VYDAJ	PREVOD NA UCET	8197	63964	SIPO	YZ	65147852
952961	3249	1997-03-03	VYDAJ	VYBER	7500	37955	\N	\N	0
952962	3249	1997-04-24	VYDAJ	VYBER	3500	21102	\N	\N	0
952963	3249	1997-04-28	VYDAJ	VYBER	5600	15502	\N	\N	0
952964	3249	1997-06-05	VYDAJ	VYBER	6700	10824	\N	\N	0
952965	3249	1997-07-12	VYDAJ	VYBER	5200	23709	\N	\N	0
952966	3249	1997-07-29	VYDAJ	VYBER	4600	10912	\N	\N	0
952967	3249	1997-09-12	VYDAJ	PREVOD NA UCET	5677	27472	UVER	GH	63599234
952968	3249	1997-10-12	VYDAJ	PREVOD NA UCET	5677	30440	UVER	GH	63599234
952969	3249	1997-11-12	VYDAJ	PREVOD NA UCET	5677	45016	UVER	GH	63599234
952970	3249	1997-12-12	VYDAJ	PREVOD NA UCET	5677	60377	UVER	GH	63599234
952971	3249	1998-01-12	VYDAJ	PREVOD NA UCET	5677	45798	UVER	GH	63599234
952972	3249	1998-02-12	VYDAJ	PREVOD NA UCET	5677	47578	UVER	GH	63599234
952973	3249	1998-03-12	VYDAJ	PREVOD NA UCET	5677	48624	UVER	GH	63599234
952974	3249	1998-04-12	VYDAJ	PREVOD NA UCET	5677	46526	UVER	GH	63599234
952975	3249	1998-05-12	VYDAJ	PREVOD NA UCET	5677	43625	UVER	GH	63599234
952976	3249	1998-06-12	VYDAJ	PREVOD NA UCET	5677	57887	UVER	GH	63599234
952977	3249	1998-07-12	VYDAJ	PREVOD NA UCET	5677	53169	UVER	GH	63599234
952978	3249	1998-08-12	VYDAJ	PREVOD NA UCET	5677	49345	UVER	GH	63599234
952979	3249	1998-09-05	VYDAJ	VYBER	6700	25319	\N	\N	0
952980	3249	1998-10-11	VYDAJ	VYBER	5100	46896	\N	\N	0
952981	3249	1998-11-23	VYDAJ	VYBER	4400	42201	\N	\N	0
952982	3249	1998-12-23	VYDAJ	VYBER	3500	57424	\N	\N	0
952984	3249	1997-06-23	VYDAJ	VYBER	15360	12660	\N	\N	\N
952987	3249	1997-12-17	VYDAJ	VYBER	3520	46500	\N	\N	\N
952988	3249	1998-12-23	VYDAJ	VYBER	3040	60924	\N	\N	\N
953001	3249	1998-01-09	VYDAJ	VYBER	1560	51475	\N	\N	\N
953002	3249	1998-01-16	VYDAJ	VYBER	1200	36401	\N	\N	\N
953003	3249	1998-01-24	VYDAJ	VYBER	840	33041	\N	\N	\N
953004	3249	1998-01-19	VYDAJ	VYBER	2520	33881	\N	\N	\N
953005	3249	1998-01-09	VYDAJ	VYBER	2160	53035	\N	\N	\N
953006	3249	1998-01-08	VYDAJ	VYBER	2520	55195	\N	\N	\N
953012	3249	1997-05-20	VYDAJ	VYBER	5280	19489	\N	\N	\N
953014	3249	1997-04-23	VYDAJ	VYBER	4920	24602	\N	\N	\N
953015	3249	1997-06-04	VYDAJ	VYBER	2040	17524	\N	\N	\N
953016	3249	1997-12-16	VYDAJ	VYBER	2160	50020	\N	\N	\N
953019	3249	1998-11-23	VYDAJ	VYBER	1320	46601	\N	\N	\N
953020	3249	1998-04-23	VYDAJ	VYBER	3840	34489	\N	\N	\N
953021	3249	1998-01-01	VYDAJ	VYBER	5040	41653	\N	\N	\N
953022	3249	1998-05-21	VYDAJ	VYBER	1200	34228	\N	\N	\N
953023	3249	1998-03-13	VYDAJ	VYBER	4560	44064	\N	\N	\N
953039	3249	1997-03-31	VYDAJ	VYBER	15	29357	SLUZBY	\N	\N
953040	3249	1997-04-30	VYDAJ	VYBER	15	15604	SLUZBY	\N	\N
953041	3249	1997-05-31	VYDAJ	VYBER	15	19564	SLUZBY	\N	\N
953042	3249	1997-06-30	VYDAJ	VYBER	15	12747	SLUZBY	\N	\N
953043	3249	1997-07-31	VYDAJ	VYBER	15	10966	SLUZBY	\N	\N
953044	3249	1997-08-31	VYDAJ	VYBER	15	16487	SLUZBY	\N	\N
953045	3249	1997-09-30	VYDAJ	VYBER	15	19355	SLUZBY	\N	\N
953046	3249	1997-10-31	VYDAJ	VYBER	15	22331	SLUZBY	\N	\N
953047	3249	1997-11-30	VYDAJ	VYBER	15	36961	SLUZBY	\N	\N
953048	3249	1997-12-31	VYDAJ	VYBER	15	46693	SLUZBY	\N	\N
953049	3249	1998-01-31	VYDAJ	VYBER	15	33193	SLUZBY	\N	\N
953050	3249	1998-02-28	VYDAJ	VYBER	15	39539	SLUZBY	\N	\N
953051	3249	1998-03-31	VYDAJ	VYBER	15	36041	SLUZBY	\N	\N
953052	3249	1998-04-30	VYDAJ	VYBER	15	34640	SLUZBY	\N	\N
953053	3249	1998-05-31	VYDAJ	VYBER	15	34371	SLUZBY	\N	\N
953054	3249	1998-06-30	VYDAJ	VYBER	15	49884	SLUZBY	\N	\N
953055	3249	1998-07-31	VYDAJ	VYBER	15	45160	SLUZBY	\N	\N
953056	3249	1998-08-31	VYDAJ	VYBER	15	41319	SLUZBY	\N	\N
953057	3249	1998-09-30	VYDAJ	VYBER	15	37934	SLUZBY	\N	\N
953058	3249	1998-10-31	VYDAJ	VYBER	15	38856	SLUZBY	\N	\N
953059	3249	1998-11-30	VYDAJ	VYBER	15	42368	SLUZBY	\N	\N
953060	3249	1996-11-10	PRIJEM	VKLAD	2300	24062	\N	\N	\N
953061	3249	1996-12-10	VYDAJ	VYBER	15800	39325	\N	\N	\N
953062	3249	1997-01-09	VYDAJ	VYBER	17300	42833	\N	\N	\N
953063	3249	1997-02-08	VYDAJ	VYBER	18400	45269	\N	\N	\N
953064	3249	1997-03-10	VYDAJ	VYBER	21200	37417	\N	\N	\N
953065	3249	1997-04-09	VYDAJ	VYBER	12300	37719	\N	\N	\N
953066	3249	1997-05-09	VYDAJ	VYBER	3300	32966	\N	\N	\N
953067	3249	1997-06-08	VYDAJ	VYBER	5600	36217	\N	\N	\N
953068	3249	1997-07-08	VYDAJ	VYBER	4500	28909	\N	\N	\N
953069	3249	1997-08-07	VYDAJ	VYBER	7000	24628	\N	\N	\N
953070	3249	1997-09-06	VYDAJ	VYBER	4000	33149	\N	\N	\N
953071	3249	1997-10-06	VYDAJ	VYBER	3900	36117	\N	\N	\N
953072	3249	1997-11-05	PRIJEM	VKLAD	7700	30031	\N	\N	\N
953073	3249	1997-12-05	VYDAJ	VYBER	1900	35061	\N	\N	\N
953074	3249	1998-01-04	VYDAJ	VYBER	4600	37053	\N	\N	\N
953075	3249	1998-02-03	VYDAJ	VYBER	600	32593	\N	\N	\N
953076	3249	1998-03-05	VYDAJ	VYBER	5900	33639	\N	\N	\N
953077	3249	1998-04-04	VYDAJ	VYBER	4500	31541	\N	\N	\N
953078	3249	1998-05-04	VYDAJ	VYBER	6000	28640	\N	\N	\N
953079	3249	1998-06-03	VYDAJ	VYBER	1800	32571	\N	\N	\N
953080	3249	1998-07-03	VYDAJ	VYBER	11700	38184	\N	\N	\N
953081	3249	1998-08-02	VYDAJ	VYBER	10800	34360	\N	\N	\N
953082	3249	1998-09-01	VYDAJ	VYBER	9300	32019	\N	\N	\N
953083	3249	1998-10-01	VYDAJ	VYBER	6600	31334	\N	\N	\N
953084	3249	1998-10-31	VYDAJ	VYBER	3400	35456	\N	\N	\N
953085	3249	1998-11-30	VYDAJ	VYBER	1200	41168	\N	\N	\N
953112	3250	1995-01-06	PRIJEM	VKLAD	800	800	\N	\N	\N
953113	3250	1995-01-08	PRIJEM	PREVOD Z UCTU	5690	6490	DUCHOD	ST	75094973
953114	3250	1995-02-08	PRIJEM	PREVOD Z UCTU	5690	12201	DUCHOD	ST	75094973
953115	3250	1995-03-08	PRIJEM	PREVOD Z UCTU	5690	17918	DUCHOD	ST	75094973
953116	3250	1995-04-08	PRIJEM	PREVOD Z UCTU	5690	23635	DUCHOD	ST	75094973
953117	3250	1995-05-08	PRIJEM	PREVOD Z UCTU	5690	28752	DUCHOD	ST	75094973
953118	3250	1995-06-08	PRIJEM	PREVOD Z UCTU	5690	28842	DUCHOD	ST	75094973
953119	3250	1995-07-08	PRIJEM	PREVOD Z UCTU	5690	29015	DUCHOD	ST	75094973
953120	3250	1995-08-08	PRIJEM	PREVOD Z UCTU	5690	27629	DUCHOD	ST	75094973
953121	3250	1995-09-08	PRIJEM	PREVOD Z UCTU	5690	23797	DUCHOD	ST	75094973
953122	3250	1995-10-08	PRIJEM	PREVOD Z UCTU	5690	23893	DUCHOD	ST	75094973
953123	3250	1995-11-08	PRIJEM	PREVOD Z UCTU	5690	26044	DUCHOD	ST	75094973
953124	3250	1995-12-08	PRIJEM	PREVOD Z UCTU	5690	26643	DUCHOD	ST	75094973
953125	3250	1996-01-08	PRIJEM	PREVOD Z UCTU	5690	26555	DUCHOD	ST	75094973
953126	3250	1996-02-08	PRIJEM	PREVOD Z UCTU	5690	23450	DUCHOD	ST	75094973
953127	3250	1996-03-08	PRIJEM	PREVOD Z UCTU	5690	26741	DUCHOD	ST	75094973
953128	3250	1996-04-08	PRIJEM	PREVOD Z UCTU	5690	27143	DUCHOD	ST	75094973
953129	3250	1996-05-08	PRIJEM	PREVOD Z UCTU	5690	26064	DUCHOD	ST	75094973
953130	3250	1996-06-08	PRIJEM	PREVOD Z UCTU	5690	25664	DUCHOD	ST	75094973
953131	3250	1996-07-08	PRIJEM	PREVOD Z UCTU	5690	25362	DUCHOD	ST	75094973
953132	3250	1996-08-08	PRIJEM	PREVOD Z UCTU	5690	22656	DUCHOD	ST	75094973
953133	3250	1996-09-08	PRIJEM	PREVOD Z UCTU	5690	21618	DUCHOD	ST	75094973
953134	3250	1996-10-08	PRIJEM	PREVOD Z UCTU	5690	24899	DUCHOD	ST	75094973
953135	3250	1996-11-08	PRIJEM	PREVOD Z UCTU	5690	22949	DUCHOD	ST	75094973
953136	3250	1996-12-08	PRIJEM	PREVOD Z UCTU	5690	24135	DUCHOD	ST	75094973
953137	3250	1997-01-08	PRIJEM	PREVOD Z UCTU	5690	19193	DUCHOD	ST	75094973
953138	3250	1997-02-08	PRIJEM	PREVOD Z UCTU	5690	17700	DUCHOD	ST	75094973
953139	3250	1997-03-08	PRIJEM	PREVOD Z UCTU	5690	15761	DUCHOD	ST	75094973
953140	3250	1997-04-08	PRIJEM	PREVOD Z UCTU	5690	17291	DUCHOD	ST	75094973
953141	3250	1997-05-08	PRIJEM	PREVOD Z UCTU	5690	17552	DUCHOD	ST	75094973
953142	3250	1997-06-08	PRIJEM	PREVOD Z UCTU	5690	19414	DUCHOD	ST	75094973
953143	3250	1997-07-08	PRIJEM	PREVOD Z UCTU	5690	16678	DUCHOD	ST	75094973
953144	3250	1997-08-08	PRIJEM	PREVOD Z UCTU	5690	18036	DUCHOD	ST	75094973
953145	3250	1997-09-08	PRIJEM	PREVOD Z UCTU	5690	18598	DUCHOD	ST	75094973
953146	3250	1997-10-08	PRIJEM	PREVOD Z UCTU	5690	21565	DUCHOD	ST	75094973
953147	3250	1997-11-08	PRIJEM	PREVOD Z UCTU	5690	19939	DUCHOD	ST	75094973
953148	3250	1997-12-08	PRIJEM	PREVOD Z UCTU	5690	17844	DUCHOD	ST	75094973
953149	3250	1998-01-08	PRIJEM	PREVOD Z UCTU	5690	16501	DUCHOD	ST	75094973
953150	3250	1998-02-08	PRIJEM	PREVOD Z UCTU	5690	17637	DUCHOD	ST	75094973
953151	3250	1998-03-08	PRIJEM	PREVOD Z UCTU	5690	18596	DUCHOD	ST	75094973
953152	3250	1998-04-08	PRIJEM	PREVOD Z UCTU	5690	18559	DUCHOD	ST	75094973
953153	3250	1998-05-08	PRIJEM	PREVOD Z UCTU	5690	18821	DUCHOD	ST	75094973
953154	3250	1998-06-08	PRIJEM	PREVOD Z UCTU	5690	16480	DUCHOD	ST	75094973
953155	3250	1998-07-08	PRIJEM	PREVOD Z UCTU	5690	17936	DUCHOD	ST	75094973
953156	3250	1998-08-08	PRIJEM	PREVOD Z UCTU	5690	16692	DUCHOD	ST	75094973
953157	3250	1998-09-08	PRIJEM	PREVOD Z UCTU	5690	20552	DUCHOD	ST	75094973
953158	3250	1998-10-08	PRIJEM	PREVOD Z UCTU	5690	20138	DUCHOD	ST	75094973
953159	3250	1998-11-08	PRIJEM	PREVOD Z UCTU	5690	16899	DUCHOD	ST	75094973
953160	3250	1998-12-08	PRIJEM	PREVOD Z UCTU	5690	20759	DUCHOD	ST	75094973
953166	3250	1995-06-06	VYDAJ	PREVOD NA UCET	1880	23152	SIPO	QR	95726948
953167	3250	1995-07-06	VYDAJ	PREVOD NA UCET	1880	23325	SIPO	QR	95726948
953168	3250	1995-08-06	VYDAJ	PREVOD NA UCET	1880	21939	SIPO	QR	95726948
953169	3250	1995-09-06	VYDAJ	PREVOD NA UCET	1880	18107	SIPO	QR	95726948
953170	3250	1995-10-06	VYDAJ	PREVOD NA UCET	1880	18203	SIPO	QR	95726948
953171	3250	1995-11-06	VYDAJ	PREVOD NA UCET	1880	20354	SIPO	QR	95726948
953172	3250	1995-12-06	VYDAJ	PREVOD NA UCET	1880	20953	SIPO	QR	95726948
953173	3250	1996-01-06	VYDAJ	PREVOD NA UCET	1880	20865	SIPO	QR	95726948
953174	3250	1996-02-06	VYDAJ	PREVOD NA UCET	1880	17760	SIPO	QR	95726948
953175	3250	1996-03-06	VYDAJ	PREVOD NA UCET	1880	21051	SIPO	QR	95726948
953176	3250	1996-04-06	VYDAJ	PREVOD NA UCET	1880	21453	SIPO	QR	95726948
953177	3250	1996-05-06	VYDAJ	PREVOD NA UCET	1880	20374	SIPO	QR	95726948
953178	3250	1996-06-06	VYDAJ	PREVOD NA UCET	1880	19974	SIPO	QR	95726948
953179	3250	1996-07-06	VYDAJ	PREVOD NA UCET	1880	19672	SIPO	QR	95726948
953180	3250	1996-08-06	VYDAJ	PREVOD NA UCET	1880	16966	SIPO	QR	95726948
953181	3250	1996-09-06	VYDAJ	PREVOD NA UCET	1880	15928	SIPO	QR	95726948
953182	3250	1996-10-06	VYDAJ	PREVOD NA UCET	1880	19209	SIPO	QR	95726948
953183	3250	1996-11-06	VYDAJ	PREVOD NA UCET	1880	17259	SIPO	QR	95726948
953184	3250	1996-12-06	VYDAJ	PREVOD NA UCET	1880	18445	SIPO	QR	95726948
953185	3250	1997-01-06	VYDAJ	PREVOD NA UCET	1880	14143	SIPO	QR	95726948
953186	3250	1997-02-06	VYDAJ	PREVOD NA UCET	1880	12010	SIPO	QR	95726948
953187	3250	1997-03-06	VYDAJ	PREVOD NA UCET	1880	10071	SIPO	QR	95726948
953188	3250	1997-04-06	VYDAJ	PREVOD NA UCET	1880	11601	SIPO	QR	95726948
953189	3250	1997-05-06	VYDAJ	PREVOD NA UCET	1880	11862	SIPO	QR	95726948
953190	3250	1997-06-06	VYDAJ	PREVOD NA UCET	1880	13724	SIPO	QR	95726948
953191	3250	1997-07-06	VYDAJ	PREVOD NA UCET	1880	10988	SIPO	QR	95726948
953192	3250	1997-08-06	VYDAJ	PREVOD NA UCET	1880	12346	SIPO	QR	95726948
953193	3250	1997-09-06	VYDAJ	PREVOD NA UCET	1880	12908	SIPO	QR	95726948
953194	3250	1997-10-06	VYDAJ	PREVOD NA UCET	1880	15875	SIPO	QR	95726948
953195	3250	1997-11-06	VYDAJ	PREVOD NA UCET	1880	14249	SIPO	QR	95726948
953196	3250	1997-12-06	VYDAJ	PREVOD NA UCET	1880	12154	SIPO	QR	95726948
953197	3250	1998-01-06	VYDAJ	PREVOD NA UCET	1880	10811	SIPO	QR	95726948
953198	3250	1998-02-06	VYDAJ	PREVOD NA UCET	1880	11947	SIPO	QR	95726948
953199	3250	1998-03-06	VYDAJ	PREVOD NA UCET	1880	12906	SIPO	QR	95726948
953200	3250	1998-04-06	VYDAJ	PREVOD NA UCET	1880	12869	SIPO	QR	95726948
953201	3250	1998-05-06	VYDAJ	PREVOD NA UCET	1880	13131	SIPO	QR	95726948
953202	3250	1998-06-06	VYDAJ	PREVOD NA UCET	1880	10790	SIPO	QR	95726948
953203	3250	1998-07-06	VYDAJ	PREVOD NA UCET	1880	12246	SIPO	QR	95726948
953204	3250	1998-08-06	VYDAJ	PREVOD NA UCET	1880	11002	SIPO	QR	95726948
953205	3250	1998-09-06	VYDAJ	PREVOD NA UCET	1880	14862	SIPO	QR	95726948
953206	3250	1998-10-06	VYDAJ	PREVOD NA UCET	1880	14448	SIPO	QR	95726948
953207	3250	1998-11-06	VYDAJ	PREVOD NA UCET	1880	11209	SIPO	QR	95726948
953208	3250	1998-12-06	VYDAJ	PREVOD NA UCET	1880	15069	SIPO	QR	95726948
953209	3250	1995-12-18	VYDAJ	VYBER	1350	25293	\N	\N	\N
953210	3250	1996-12-25	VYDAJ	VYBER	650	23485	\N	\N	\N
953211	3250	1997-12-08	VYDAJ	VYBER	400	17444	\N	\N	\N
953212	3250	1998-12-27	VYDAJ	VYBER	900	19859	\N	\N	\N
953219	3250	1996-01-04	VYDAJ	VYBER	1840	22745	\N	\N	\N
953220	3250	1996-01-28	VYDAJ	VYBER	1840	21115	\N	\N	\N
953221	3250	1996-01-27	VYDAJ	VYBER	1440	22955	\N	\N	\N
953222	3250	1996-01-29	VYDAJ	VYBER	560	20555	\N	\N	\N
953223	3250	1996-01-11	VYDAJ	VYBER	1360	25195	\N	\N	\N
953224	3250	1996-01-13	VYDAJ	VYBER	800	24395	\N	\N	\N
953226	3250	1997-01-04	VYDAJ	VYBER	720	16023	\N	\N	\N
953227	3250	1997-01-14	VYDAJ	VYBER	560	18633	\N	\N	\N
953228	3250	1997-01-04	VYDAJ	VYBER	1040	16743	\N	\N	\N
953229	3250	1997-01-03	VYDAJ	VYBER	2080	17783	\N	\N	\N
953230	3250	1997-01-07	VYDAJ	VYBER	640	13503	\N	\N	\N
953232	3250	1998-01-10	VYDAJ	VYBER	800	15701	\N	\N	\N
953235	3250	1998-01-25	VYDAJ	VYBER	1520	13781	\N	\N	\N
953237	3250	1995-07-04	VYDAJ	VYBER	640	28305	\N	\N	\N
953238	3250	1995-05-16	VYDAJ	VYBER	2000	26752	\N	\N	\N
953239	3250	1995-09-06	VYDAJ	VYBER	3200	19987	\N	\N	\N
953240	3250	1995-08-10	VYDAJ	VYBER	640	26989	\N	\N	\N
953241	3250	1995-10-19	VYDAJ	VYBER	1440	22453	\N	\N	\N
953242	3250	1996-10-28	VYDAJ	VYBER	2400	19059	\N	\N	\N
953243	3250	1996-04-25	VYDAJ	VYBER	1440	23863	\N	\N	\N
953244	3250	1996-10-12	VYDAJ	VYBER	640	24259	\N	\N	\N
953245	3250	1996-04-19	VYDAJ	VYBER	1840	25303	\N	\N	\N
953246	3250	1996-08-25	VYDAJ	VYBER	3920	18736	\N	\N	\N
953250	3250	1997-05-23	VYDAJ	VYBER	2000	15552	\N	\N	\N
953251	3250	1997-03-12	VYDAJ	VYBER	2320	13441	\N	\N	\N
953252	3250	1997-06-18	VYDAJ	VYBER	2000	17414	\N	\N	\N
953253	3250	1997-11-20	VYDAJ	VYBER	1360	18579	\N	\N	\N
953256	3250	1998-09-10	VYDAJ	VYBER	1680	18872	\N	\N	\N
953266	3250	1995-05-31	VYDAJ	VYBER	15	26832	SLUZBY	\N	\N
953267	3250	1995-06-30	VYDAJ	VYBER	15	28945	SLUZBY	\N	\N
953268	3250	1995-07-31	VYDAJ	VYBER	15	29119	SLUZBY	\N	\N
953269	3250	1995-08-31	VYDAJ	VYBER	15	27087	SLUZBY	\N	\N
953270	3250	1995-09-30	VYDAJ	VYBER	15	23883	SLUZBY	\N	\N
953271	3250	1995-10-31	VYDAJ	VYBER	15	22534	SLUZBY	\N	\N
953272	3250	1995-11-30	VYDAJ	VYBER	15	26133	SLUZBY	\N	\N
953273	3250	1995-12-31	VYDAJ	VYBER	15	25385	SLUZBY	\N	\N
953274	3250	1996-01-31	VYDAJ	VYBER	15	20640	SLUZBY	\N	\N
953275	3250	1996-02-29	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
953276	3250	1996-03-31	VYDAJ	VYBER	15	23333	SLUZBY	\N	\N
953277	3250	1996-04-30	VYDAJ	VYBER	15	23954	SLUZBY	\N	\N
953278	3250	1996-05-31	VYDAJ	VYBER	15	21854	SLUZBY	\N	\N
953279	3250	1996-06-30	VYDAJ	VYBER	15	21552	SLUZBY	\N	\N
953280	3250	1996-07-31	VYDAJ	VYBER	15	18846	SLUZBY	\N	\N
953281	3250	1996-08-31	VYDAJ	VYBER	15	17808	SLUZBY	\N	\N
953282	3250	1996-09-30	VYDAJ	VYBER	15	21089	SLUZBY	\N	\N
953283	3250	1996-10-31	VYDAJ	VYBER	15	19139	SLUZBY	\N	\N
953284	3250	1996-11-30	VYDAJ	VYBER	15	20325	SLUZBY	\N	\N
953285	3250	1996-12-31	VYDAJ	VYBER	15	19863	SLUZBY	\N	\N
953286	3250	1997-01-31	VYDAJ	VYBER	15	13890	SLUZBY	\N	\N
953287	3250	1997-02-28	VYDAJ	VYBER	15	11951	SLUZBY	\N	\N
953288	3250	1997-03-31	VYDAJ	VYBER	15	13481	SLUZBY	\N	\N
953289	3250	1997-04-30	VYDAJ	VYBER	15	13742	SLUZBY	\N	\N
953290	3250	1997-05-31	VYDAJ	VYBER	15	15604	SLUZBY	\N	\N
953291	3250	1997-06-30	VYDAJ	VYBER	15	12868	SLUZBY	\N	\N
953292	3250	1997-07-31	VYDAJ	VYBER	15	14226	SLUZBY	\N	\N
953293	3250	1997-08-31	VYDAJ	VYBER	15	14788	SLUZBY	\N	\N
953294	3250	1997-09-30	VYDAJ	VYBER	15	17755	SLUZBY	\N	\N
953295	3250	1997-10-31	VYDAJ	VYBER	15	16129	SLUZBY	\N	\N
953296	3250	1997-11-30	VYDAJ	VYBER	15	14034	SLUZBY	\N	\N
953297	3250	1997-12-31	VYDAJ	VYBER	15	12691	SLUZBY	\N	\N
953298	3250	1998-01-31	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
953299	3250	1998-02-28	VYDAJ	VYBER	15	14786	SLUZBY	\N	\N
953300	3250	1998-03-31	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
953301	3250	1998-04-30	VYDAJ	VYBER	15	15011	SLUZBY	\N	\N
953302	3250	1998-05-31	VYDAJ	VYBER	15	12670	SLUZBY	\N	\N
953303	3250	1998-06-30	VYDAJ	VYBER	15	14126	SLUZBY	\N	\N
953304	3250	1998-07-31	VYDAJ	VYBER	15	12882	SLUZBY	\N	\N
953305	3250	1998-08-31	VYDAJ	VYBER	15	16742	SLUZBY	\N	\N
953306	3250	1998-09-30	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
953307	3250	1998-10-31	VYDAJ	VYBER	15	13089	SLUZBY	\N	\N
953308	3250	1998-11-30	VYDAJ	VYBER	15	16949	SLUZBY	\N	\N
953309	3250	1995-05-06	VYDAJ	VYBER	600	23062	\N	\N	\N
953310	3250	1995-06-05	VYDAJ	VYBER	1800	25032	\N	\N	\N
953311	3250	1995-07-05	VYDAJ	VYBER	3100	25205	\N	\N	\N
953312	3250	1995-08-04	VYDAJ	VYBER	5300	23819	\N	\N	\N
953313	3250	1995-09-03	VYDAJ	VYBER	3900	23187	\N	\N	\N
953314	3250	1995-10-03	VYDAJ	VYBER	3800	20083	\N	\N	\N
953315	3250	1995-11-02	VYDAJ	VYBER	300	22234	\N	\N	\N
953316	3250	1995-12-02	VYDAJ	VYBER	3300	22833	\N	\N	\N
953317	3250	1996-01-01	VYDAJ	VYBER	800	24585	\N	\N	\N
953318	3250	1996-01-31	VYDAJ	VYBER	1000	19640	\N	\N	\N
953319	3250	1996-03-01	VYDAJ	VYBER	600	22931	\N	\N	\N
953320	3250	1996-03-31	VYDAJ	VYBER	3500	23348	\N	\N	\N
953321	3250	1996-04-30	VYDAJ	VYBER	1700	22254	\N	\N	\N
953322	3250	1996-05-30	VYDAJ	VYBER	4300	21764	\N	\N	\N
953323	3250	1996-06-29	VYDAJ	VYBER	4200	21464	\N	\N	\N
953324	3250	1996-07-29	VYDAJ	VYBER	6600	18762	\N	\N	\N
953325	3250	1996-08-28	VYDAJ	VYBER	1000	17736	\N	\N	\N
953326	3250	1996-09-27	VYDAJ	VYBER	600	21018	\N	\N	\N
953327	3250	1996-10-27	VYDAJ	VYBER	2800	21459	\N	\N	\N
953328	3250	1996-11-26	VYDAJ	VYBER	2700	20249	\N	\N	\N
953329	3250	1996-12-26	VYDAJ	VYBER	3700	19785	\N	\N	\N
953330	3250	1997-01-25	VYDAJ	VYBER	4800	13833	\N	\N	\N
953331	3250	1997-02-24	VYDAJ	VYBER	5800	11900	\N	\N	\N
953332	3250	1997-04-25	VYDAJ	VYBER	3600	13691	\N	\N	\N
953333	3250	1997-06-24	VYDAJ	VYBER	4600	12814	\N	\N	\N
953334	3250	1997-07-24	VYDAJ	VYBER	2500	14178	\N	\N	\N
953335	3250	1997-08-23	VYDAJ	VYBER	3300	14736	\N	\N	\N
953336	3250	1997-09-22	VYDAJ	VYBER	900	17698	\N	\N	\N
953337	3250	1997-10-22	VYDAJ	VYBER	5500	16065	\N	\N	\N
953338	3250	1997-11-21	VYDAJ	VYBER	4600	13979	\N	\N	\N
953339	3250	1997-12-21	VYDAJ	VYBER	4800	12644	\N	\N	\N
953340	3250	1998-01-20	VYDAJ	VYBER	400	15301	\N	\N	\N
953341	3250	1998-02-19	VYDAJ	VYBER	2900	14737	\N	\N	\N
953342	3250	1998-03-21	VYDAJ	VYBER	3900	14696	\N	\N	\N
953343	3250	1998-04-20	VYDAJ	VYBER	3600	14959	\N	\N	\N
953344	3250	1998-05-20	VYDAJ	VYBER	6200	12621	\N	\N	\N
953345	3250	1998-06-19	VYDAJ	VYBER	2400	14080	\N	\N	\N
953346	3250	1998-07-19	VYDAJ	VYBER	5100	12836	\N	\N	\N
953347	3250	1998-09-17	VYDAJ	VYBER	2600	16272	\N	\N	\N
953348	3250	1998-10-17	VYDAJ	VYBER	7100	13038	\N	\N	\N
953397	3251	1995-05-18	PRIJEM	VKLAD	600	600	\N	\N	\N
953403	3251	1995-06-07	PRIJEM	PREVOD Z UCTU	3032	3632	\N	QR	86782341
953404	3251	1995-07-07	PRIJEM	PREVOD Z UCTU	3032	6664	\N	QR	86782341
953405	3251	1995-08-07	PRIJEM	PREVOD Z UCTU	3032	9696	\N	QR	86782341
953406	3251	1995-09-07	PRIJEM	PREVOD Z UCTU	3032	12728	\N	QR	86782341
953407	3251	1995-10-07	PRIJEM	PREVOD Z UCTU	3032	15760	\N	QR	86782341
953408	3251	1995-11-07	PRIJEM	PREVOD Z UCTU	3032	16489	\N	QR	86782341
953409	3251	1995-12-07	PRIJEM	PREVOD Z UCTU	3032	17544	\N	QR	86782341
953410	3251	1996-01-07	PRIJEM	PREVOD Z UCTU	3032	18032	\N	QR	86782341
953411	3251	1996-02-07	PRIJEM	PREVOD Z UCTU	3032	18614	\N	QR	86782341
953412	3251	1996-03-07	PRIJEM	PREVOD Z UCTU	3032	19677	\N	QR	86782341
953413	3251	1996-04-07	PRIJEM	PREVOD Z UCTU	3032	20646	\N	QR	86782341
953414	3251	1996-05-07	PRIJEM	PREVOD Z UCTU	3032	19885	\N	QR	86782341
953415	3251	1996-06-07	PRIJEM	PREVOD Z UCTU	3032	20954	\N	QR	86782341
953416	3251	1996-07-07	PRIJEM	PREVOD Z UCTU	3032	20926	\N	QR	86782341
953417	3251	1996-08-07	PRIJEM	PREVOD Z UCTU	3032	21999	\N	QR	86782341
953418	3251	1996-09-07	PRIJEM	PREVOD Z UCTU	3032	21966	\N	QR	86782341
953419	3251	1996-10-07	PRIJEM	PREVOD Z UCTU	3032	23047	\N	QR	86782341
953420	3251	1996-11-07	PRIJEM	PREVOD Z UCTU	3032	24129	\N	QR	86782341
953421	3251	1996-12-07	PRIJEM	PREVOD Z UCTU	3032	23125	\N	QR	86782341
953422	3251	1997-01-07	PRIJEM	PREVOD Z UCTU	3032	22606	\N	QR	86782341
953423	3251	1997-02-07	PRIJEM	PREVOD Z UCTU	3032	23188	\N	QR	86782341
953424	3251	1997-03-07	PRIJEM	PREVOD Z UCTU	3032	23098	\N	QR	86782341
953425	3251	1997-04-07	PRIJEM	PREVOD Z UCTU	3032	24181	\N	QR	86782341
953426	3251	1997-05-07	PRIJEM	PREVOD Z UCTU	3032	24669	\N	QR	86782341
953427	3251	1997-06-07	PRIJEM	PREVOD Z UCTU	3032	24658	\N	QR	86782341
953428	3251	1997-07-07	PRIJEM	PREVOD Z UCTU	3032	25327	\N	QR	86782341
953429	3251	1997-08-07	PRIJEM	PREVOD Z UCTU	3032	26419	\N	QR	86782341
953430	3251	1997-09-07	PRIJEM	PREVOD Z UCTU	3032	27515	\N	QR	86782341
953431	3251	1997-10-07	PRIJEM	PREVOD Z UCTU	3032	28615	\N	QR	86782341
953432	3251	1997-11-07	PRIJEM	PREVOD Z UCTU	3032	28249	\N	QR	86782341
953433	3251	1997-12-07	PRIJEM	PREVOD Z UCTU	3032	29356	\N	QR	86782341
953434	3251	1998-01-07	PRIJEM	PREVOD Z UCTU	3032	29864	\N	QR	86782341
953435	3251	1998-02-07	PRIJEM	PREVOD Z UCTU	3032	30974	\N	QR	86782341
953436	3251	1998-03-07	PRIJEM	PREVOD Z UCTU	3032	32089	\N	QR	86782341
953437	3251	1998-04-07	PRIJEM	PREVOD Z UCTU	3032	33208	\N	QR	86782341
953438	3251	1998-05-07	PRIJEM	PREVOD Z UCTU	3032	34332	\N	QR	86782341
953439	3251	1998-06-07	PRIJEM	PREVOD Z UCTU	3032	35461	\N	QR	86782341
953440	3251	1998-07-07	PRIJEM	PREVOD Z UCTU	3032	34552	\N	QR	86782341
953441	3251	1998-08-07	PRIJEM	PREVOD Z UCTU	3032	35291	\N	QR	86782341
953442	3251	1998-09-07	PRIJEM	PREVOD Z UCTU	3032	36424	\N	QR	86782341
953443	3251	1998-10-07	PRIJEM	PREVOD Z UCTU	3032	36329	\N	QR	86782341
953444	3251	1998-11-07	PRIJEM	PREVOD Z UCTU	3032	37466	\N	QR	86782341
953445	3251	1998-12-07	PRIJEM	PREVOD Z UCTU	3032	37856	\N	QR	86782341
953455	3251	1995-10-14	VYDAJ	PREVOD NA UCET	2021	13739	\N	GH	12013626
953456	3251	1995-11-14	VYDAJ	PREVOD NA UCET	2021	14468	\N	GH	12013626
953457	3251	1995-12-14	VYDAJ	PREVOD NA UCET	2021	15523	\N	GH	12013626
953458	3251	1996-01-14	VYDAJ	PREVOD NA UCET	2021	16011	\N	GH	12013626
953459	3251	1996-02-14	VYDAJ	PREVOD NA UCET	2021	16593	\N	GH	12013626
953460	3251	1996-03-14	VYDAJ	PREVOD NA UCET	2021	17556	\N	GH	12013626
953461	3251	1996-04-14	VYDAJ	PREVOD NA UCET	2021	17245	\N	GH	12013626
953462	3251	1996-05-14	VYDAJ	PREVOD NA UCET	2021	17864	\N	GH	12013626
953463	3251	1996-06-14	VYDAJ	PREVOD NA UCET	2021	17833	\N	GH	12013626
953464	3251	1996-07-14	VYDAJ	PREVOD NA UCET	2021	18905	\N	GH	12013626
953465	3251	1996-08-14	VYDAJ	PREVOD NA UCET	2021	19978	\N	GH	12013626
953466	3251	1996-09-14	VYDAJ	PREVOD NA UCET	2021	19945	\N	GH	12013626
953467	3251	1996-10-14	VYDAJ	PREVOD NA UCET	2021	21026	\N	GH	12013626
953468	3251	1996-11-14	VYDAJ	PREVOD NA UCET	2021	21308	\N	GH	12013626
953469	3251	1996-12-14	VYDAJ	PREVOD NA UCET	2021	19504	\N	GH	12013626
953470	3251	1997-01-14	VYDAJ	PREVOD NA UCET	2021	20085	\N	GH	12013626
953471	3251	1997-02-14	VYDAJ	PREVOD NA UCET	2021	21167	\N	GH	12013626
953472	3251	1997-03-14	VYDAJ	PREVOD NA UCET	2021	21077	\N	GH	12013626
953473	3251	1997-04-14	VYDAJ	PREVOD NA UCET	2021	21560	\N	GH	12013626
953474	3251	1997-05-14	VYDAJ	PREVOD NA UCET	2021	21548	\N	GH	12013626
953475	3251	1997-06-14	VYDAJ	PREVOD NA UCET	2021	22217	\N	GH	12013626
953476	3251	1997-07-14	VYDAJ	PREVOD NA UCET	2021	23306	\N	GH	12013626
953477	3251	1997-08-14	VYDAJ	PREVOD NA UCET	2021	24398	\N	GH	12013626
953478	3251	1997-09-14	VYDAJ	PREVOD NA UCET	2021	25494	\N	GH	12013626
953479	3251	1997-10-14	VYDAJ	PREVOD NA UCET	2021	26594	\N	GH	12013626
953480	3251	1997-11-14	VYDAJ	PREVOD NA UCET	2021	26228	\N	GH	12013626
953481	3251	1997-12-14	VYDAJ	PREVOD NA UCET	2021	27335	\N	GH	12013626
953482	3251	1998-01-14	VYDAJ	PREVOD NA UCET	2021	27843	\N	GH	12013626
953483	3251	1998-02-14	VYDAJ	PREVOD NA UCET	2021	28953	\N	GH	12013626
953484	3251	1998-03-14	VYDAJ	PREVOD NA UCET	2021	30068	\N	GH	12013626
953485	3251	1998-04-14	VYDAJ	PREVOD NA UCET	2021	31187	\N	GH	12013626
953486	3251	1998-05-14	VYDAJ	PREVOD NA UCET	2021	32311	\N	GH	12013626
953487	3251	1998-06-14	VYDAJ	PREVOD NA UCET	2021	32540	\N	GH	12013626
953488	3251	1998-07-14	VYDAJ	PREVOD NA UCET	2021	32531	\N	GH	12013626
953489	3251	1998-08-14	VYDAJ	PREVOD NA UCET	2021	33270	\N	GH	12013626
953490	3251	1998-09-14	VYDAJ	PREVOD NA UCET	2021	33173	\N	GH	12013626
953491	3251	1998-10-14	VYDAJ	PREVOD NA UCET	2021	34308	\N	GH	12013626
953492	3251	1998-11-14	VYDAJ	PREVOD NA UCET	2021	34935	\N	GH	12013626
953493	3251	1998-12-14	VYDAJ	PREVOD NA UCET	2021	34935	\N	GH	12013626
953494	3251	1995-12-18	VYDAJ	VYBER	570	14953	\N	\N	\N
953495	3251	1996-12-03	VYDAJ	VYBER	510	20873	\N	\N	\N
953496	3251	1997-12-30	VYDAJ	VYBER	600	26735	\N	\N	\N
953497	3251	1998-12-05	VYDAJ	VYBER	240	34824	\N	\N	\N
953498	3251	1995-10-24	VYDAJ	VYBER	300	13439	\N	\N	\N
953504	3251	1996-04-24	VYDAJ	VYBER	450	16795	\N	\N	\N
953505	3251	1996-08-22	VYDAJ	VYBER	690	19288	\N	\N	\N
953506	3251	1996-12-05	VYDAJ	VYBER	780	20093	\N	\N	\N
953507	3251	1996-04-11	VYDAJ	VYBER	1380	19266	\N	\N	\N
953508	3251	1996-09-05	VYDAJ	VYBER	420	18934	\N	\N	\N
953509	3251	1996-01-30	VYDAJ	VYBER	480	15531	\N	\N	\N
953510	3251	1997-11-04	VYDAJ	VYBER	540	25217	\N	\N	\N
953511	3251	1997-10-22	VYDAJ	VYBER	930	25664	\N	\N	\N
953512	3251	1997-02-15	VYDAJ	VYBER	1170	19997	\N	\N	\N
953513	3251	1997-06-10	VYDAJ	VYBER	420	24238	\N	\N	\N
953514	3251	1998-11-14	VYDAJ	VYBER	510	36956	\N	\N	\N
953515	3251	1998-06-25	VYDAJ	VYBER	1140	31400	\N	\N	\N
953516	3251	1998-07-27	VYDAJ	VYBER	390	32141	\N	\N	\N
953517	3251	1998-09-09	VYDAJ	VYBER	1230	35194	\N	\N	\N
953518	3251	1998-12-08	VYDAJ	VYBER	900	36956	\N	\N	\N
953519	3251	1998-06-11	VYDAJ	VYBER	900	34561	\N	\N	\N
953530	3251	1995-10-31	VYDAJ	VYBER	15	13457	SLUZBY	\N	\N
953531	3251	1995-11-30	VYDAJ	VYBER	15	14512	SLUZBY	\N	\N
953532	3251	1995-12-31	VYDAJ	VYBER	15	15000	SLUZBY	\N	\N
953533	3251	1996-01-31	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
953534	3251	1996-02-29	VYDAJ	VYBER	15	16645	SLUZBY	\N	\N
953535	3251	1996-03-31	VYDAJ	VYBER	15	17614	SLUZBY	\N	\N
953536	3251	1996-04-30	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
953537	3251	1996-05-31	VYDAJ	VYBER	15	17922	SLUZBY	\N	\N
953538	3251	1996-06-30	VYDAJ	VYBER	15	17894	SLUZBY	\N	\N
953539	3251	1996-07-31	VYDAJ	VYBER	15	18967	SLUZBY	\N	\N
953540	3251	1996-08-31	VYDAJ	VYBER	15	19354	SLUZBY	\N	\N
953541	3251	1996-09-30	VYDAJ	VYBER	15	20015	SLUZBY	\N	\N
953542	3251	1996-10-31	VYDAJ	VYBER	15	21097	SLUZBY	\N	\N
953543	3251	1996-11-30	VYDAJ	VYBER	15	21383	SLUZBY	\N	\N
953544	3251	1996-12-31	VYDAJ	VYBER	15	19574	SLUZBY	\N	\N
953545	3251	1997-01-31	VYDAJ	VYBER	15	20156	SLUZBY	\N	\N
953546	3251	1997-02-28	VYDAJ	VYBER	15	20066	SLUZBY	\N	\N
953547	3251	1997-03-31	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
953548	3251	1997-04-30	VYDAJ	VYBER	15	21637	SLUZBY	\N	\N
953549	3251	1997-05-31	VYDAJ	VYBER	15	21626	SLUZBY	\N	\N
953550	3251	1997-06-30	VYDAJ	VYBER	15	22295	SLUZBY	\N	\N
953551	3251	1997-07-31	VYDAJ	VYBER	15	23387	SLUZBY	\N	\N
953552	3251	1997-08-31	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
953553	3251	1997-09-30	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
953554	3251	1997-10-31	VYDAJ	VYBER	15	25757	SLUZBY	\N	\N
953555	3251	1997-11-30	VYDAJ	VYBER	15	26324	SLUZBY	\N	\N
953556	3251	1997-12-31	VYDAJ	VYBER	15	26832	SLUZBY	\N	\N
953557	3251	1998-01-31	VYDAJ	VYBER	15	27942	SLUZBY	\N	\N
953558	3251	1998-02-28	VYDAJ	VYBER	15	29057	SLUZBY	\N	\N
953559	3251	1998-03-31	VYDAJ	VYBER	15	30176	SLUZBY	\N	\N
953560	3251	1998-04-30	VYDAJ	VYBER	15	31300	SLUZBY	\N	\N
953561	3251	1998-05-31	VYDAJ	VYBER	15	32429	SLUZBY	\N	\N
953562	3251	1998-06-30	VYDAJ	VYBER	15	31520	SLUZBY	\N	\N
953563	3251	1998-07-31	VYDAJ	VYBER	15	32259	SLUZBY	\N	\N
953564	3251	1998-08-31	VYDAJ	VYBER	15	33392	SLUZBY	\N	\N
953565	3251	1998-09-30	VYDAJ	VYBER	15	33297	SLUZBY	\N	\N
953566	3251	1998-10-31	VYDAJ	VYBER	15	34434	SLUZBY	\N	\N
953567	3251	1998-11-30	VYDAJ	VYBER	15	35064	SLUZBY	\N	\N
953568	3251	1996-03-13	VYDAJ	VYBER	100	19577	\N	\N	\N
953569	3251	1996-06-11	VYDAJ	VYBER	1100	19854	\N	\N	\N
953570	3251	1996-11-08	VYDAJ	VYBER	800	23329	\N	\N	\N
953571	3251	1996-12-08	VYDAJ	VYBER	1600	21525	\N	\N	\N
953572	3251	1997-01-07	VYDAJ	VYBER	500	22106	\N	\N	\N
953573	3251	1997-04-07	VYDAJ	VYBER	600	23581	\N	\N	\N
953574	3251	1997-05-07	VYDAJ	VYBER	1100	23569	\N	\N	\N
953614	3252	1995-06-12	PRIJEM	VKLAD	900	900	\N	\N	\N
953620	3252	1995-06-14	PRIJEM	PREVOD Z UCTU	3066	3966	\N	KL	73368650
953621	3252	1995-07-14	PRIJEM	PREVOD Z UCTU	3066	7041	\N	KL	73368650
953622	3252	1995-08-14	PRIJEM	PREVOD Z UCTU	3066	10124	\N	KL	73368650
953623	3252	1995-09-14	PRIJEM	PREVOD Z UCTU	3066	13206	\N	KL	73368650
953624	3252	1995-10-14	PRIJEM	PREVOD Z UCTU	3066	16289	\N	KL	73368650
953625	3252	1995-11-14	PRIJEM	PREVOD Z UCTU	3066	16770	\N	KL	73368650
953626	3252	1995-12-14	PRIJEM	PREVOD Z UCTU	3066	17304	\N	KL	73368650
953627	3252	1996-01-14	PRIJEM	PREVOD Z UCTU	3066	16879	\N	KL	73368650
953628	3252	1996-02-14	PRIJEM	PREVOD Z UCTU	3066	15399	\N	KL	73368650
953629	3252	1996-03-14	PRIJEM	PREVOD Z UCTU	3066	16286	\N	KL	73368650
953630	3252	1996-04-14	PRIJEM	PREVOD Z UCTU	3066	17357	\N	KL	73368650
953631	3252	1996-05-14	PRIJEM	PREVOD Z UCTU	3066	17412	\N	KL	73368650
953632	3252	1996-06-14	PRIJEM	PREVOD Z UCTU	3066	18487	\N	KL	73368650
953633	3252	1996-07-14	PRIJEM	PREVOD Z UCTU	3066	18787	\N	KL	73368650
953634	3252	1996-08-14	PRIJEM	PREVOD Z UCTU	3066	19868	\N	KL	73368650
953635	3252	1996-09-14	PRIJEM	PREVOD Z UCTU	3066	18854	\N	KL	73368650
953636	3252	1996-10-14	PRIJEM	PREVOD Z UCTU	3066	19936	\N	KL	73368650
953637	3252	1996-11-14	PRIJEM	PREVOD Z UCTU	3066	19852	\N	KL	73368650
953638	3252	1996-12-14	PRIJEM	PREVOD Z UCTU	3066	20938	\N	KL	73368650
953639	3252	1997-01-14	PRIJEM	PREVOD Z UCTU	3066	20529	\N	KL	73368650
953640	3252	1997-02-14	PRIJEM	PREVOD Z UCTU	3066	18193	\N	KL	73368650
953641	3252	1997-03-14	PRIJEM	PREVOD Z UCTU	3066	19094	\N	KL	73368650
953642	3252	1997-04-14	PRIJEM	PREVOD Z UCTU	3066	20176	\N	KL	73368650
953643	3252	1997-05-14	PRIJEM	PREVOD Z UCTU	3066	20693	\N	KL	73368650
953644	3252	1997-06-14	PRIJEM	PREVOD Z UCTU	3066	21583	\N	KL	73368650
953645	3252	1997-07-14	PRIJEM	PREVOD Z UCTU	3066	22675	\N	KL	73368650
953646	3252	1997-08-14	PRIJEM	PREVOD Z UCTU	3066	22509	\N	KL	73368650
953647	3252	1997-09-14	PRIJEM	PREVOD Z UCTU	3066	23606	\N	KL	73368650
953648	3252	1997-10-14	PRIJEM	PREVOD Z UCTU	3066	24707	\N	KL	73368650
953649	3252	1997-11-14	PRIJEM	PREVOD Z UCTU	3066	24852	\N	KL	73368650
953650	3252	1997-12-14	PRIJEM	PREVOD Z UCTU	3066	25958	\N	KL	73368650
953651	3252	1998-01-14	PRIJEM	PREVOD Z UCTU	3066	24847	\N	KL	73368650
953652	3252	1998-02-14	PRIJEM	PREVOD Z UCTU	3066	21927	\N	KL	73368650
953653	3252	1998-03-14	PRIJEM	PREVOD Z UCTU	3066	23021	\N	KL	73368650
953654	3252	1998-04-14	PRIJEM	PREVOD Z UCTU	3066	24120	\N	KL	73368650
953655	3252	1998-05-14	PRIJEM	PREVOD Z UCTU	3066	25224	\N	KL	73368650
953656	3252	1998-06-14	PRIJEM	PREVOD Z UCTU	3066	26332	\N	KL	73368650
953657	3252	1998-07-14	PRIJEM	PREVOD Z UCTU	3066	27445	\N	KL	73368650
953658	3252	1998-08-14	PRIJEM	PREVOD Z UCTU	3066	28562	\N	KL	73368650
953659	3252	1998-09-14	PRIJEM	PREVOD Z UCTU	3066	29683	\N	KL	73368650
953660	3252	1998-10-14	PRIJEM	PREVOD Z UCTU	3066	29970	\N	KL	73368650
953661	3252	1998-11-14	PRIJEM	PREVOD Z UCTU	3066	29958	\N	KL	73368650
953662	3252	1998-12-14	PRIJEM	PREVOD Z UCTU	3066	30366	\N	KL	73368650
953673	3252	1995-11-06	VYDAJ	PREVOD NA UCET	1406	13859	SIPO	YZ	22094863
953674	3252	1995-12-06	VYDAJ	PREVOD NA UCET	1406	14393	SIPO	YZ	22094863
953675	3252	1996-01-06	VYDAJ	PREVOD NA UCET	1406	13968	SIPO	YZ	22094863
953676	3252	1996-02-06	VYDAJ	PREVOD NA UCET	1406	12488	SIPO	YZ	22094863
953677	3252	1996-03-06	VYDAJ	PREVOD NA UCET	1406	13375	SIPO	YZ	22094863
953678	3252	1996-04-06	VYDAJ	PREVOD NA UCET	1406	14446	SIPO	YZ	22094863
953679	3252	1996-05-06	VYDAJ	PREVOD NA UCET	1406	14501	SIPO	YZ	22094863
953680	3252	1996-06-06	VYDAJ	PREVOD NA UCET	1406	15576	SIPO	YZ	22094863
953681	3252	1996-07-06	VYDAJ	PREVOD NA UCET	1406	16656	SIPO	YZ	22094863
953682	3252	1996-08-06	VYDAJ	PREVOD NA UCET	1406	16957	SIPO	YZ	22094863
953683	3252	1996-09-06	VYDAJ	PREVOD NA UCET	1406	18043	SIPO	YZ	22094863
953684	3252	1996-10-06	VYDAJ	PREVOD NA UCET	1406	17025	SIPO	YZ	22094863
953685	3252	1996-11-06	VYDAJ	PREVOD NA UCET	1406	16941	SIPO	YZ	22094863
953686	3252	1996-12-06	VYDAJ	PREVOD NA UCET	1406	18027	SIPO	YZ	22094863
953687	3252	1997-01-06	VYDAJ	PREVOD NA UCET	1406	17618	SIPO	YZ	22094863
953688	3252	1997-02-06	VYDAJ	PREVOD NA UCET	1406	16692	SIPO	YZ	22094863
953689	3252	1997-03-06	VYDAJ	PREVOD NA UCET	1406	16183	SIPO	YZ	22094863
953690	3252	1997-04-06	VYDAJ	PREVOD NA UCET	1406	17265	SIPO	YZ	22094863
953691	3252	1997-05-06	VYDAJ	PREVOD NA UCET	1406	18352	SIPO	YZ	22094863
953692	3252	1997-06-06	VYDAJ	PREVOD NA UCET	1406	18672	SIPO	YZ	22094863
953693	3252	1997-07-06	VYDAJ	PREVOD NA UCET	1406	19764	SIPO	YZ	22094863
953694	3252	1997-08-06	VYDAJ	PREVOD NA UCET	1406	19598	SIPO	YZ	22094863
953695	3252	1997-09-06	VYDAJ	PREVOD NA UCET	1406	20695	SIPO	YZ	22094863
953696	3252	1997-10-06	VYDAJ	PREVOD NA UCET	1406	21796	SIPO	YZ	22094863
953697	3252	1997-11-06	VYDAJ	PREVOD NA UCET	1406	21941	SIPO	YZ	22094863
953698	3252	1997-12-06	VYDAJ	PREVOD NA UCET	1406	23047	SIPO	YZ	22094863
953699	3252	1998-01-06	VYDAJ	PREVOD NA UCET	1406	21936	SIPO	YZ	22094863
953700	3252	1998-02-06	VYDAJ	PREVOD NA UCET	1406	19016	SIPO	YZ	22094863
953701	3252	1998-03-06	VYDAJ	PREVOD NA UCET	1406	20110	SIPO	YZ	22094863
953702	3252	1998-04-06	VYDAJ	PREVOD NA UCET	1406	21209	SIPO	YZ	22094863
953703	3252	1998-05-06	VYDAJ	PREVOD NA UCET	1406	22313	SIPO	YZ	22094863
953704	3252	1998-06-06	VYDAJ	PREVOD NA UCET	1406	23421	SIPO	YZ	22094863
953705	3252	1998-07-06	VYDAJ	PREVOD NA UCET	1406	24534	SIPO	YZ	22094863
953706	3252	1998-08-06	VYDAJ	PREVOD NA UCET	1406	25651	SIPO	YZ	22094863
953707	3252	1998-09-06	VYDAJ	PREVOD NA UCET	1406	26772	SIPO	YZ	22094863
953708	3252	1998-10-06	VYDAJ	PREVOD NA UCET	1406	27899	SIPO	YZ	22094863
953709	3252	1998-11-06	VYDAJ	PREVOD NA UCET	1406	27047	SIPO	YZ	22094863
953710	3252	1998-12-06	VYDAJ	PREVOD NA UCET	1406	28175	SIPO	YZ	22094863
953720	3252	1995-10-14	VYDAJ	PREVOD NA UCET	483	15806	 	IJ	76135319
953721	3252	1995-11-14	VYDAJ	PREVOD NA UCET	483	16287	 	IJ	76135319
953722	3252	1995-12-14	VYDAJ	PREVOD NA UCET	483	16821	 	IJ	76135319
953723	3252	1996-01-14	VYDAJ	PREVOD NA UCET	483	16396	 	IJ	76135319
953724	3252	1996-02-14	VYDAJ	PREVOD NA UCET	483	14916	 	IJ	76135319
953725	3252	1996-03-14	VYDAJ	PREVOD NA UCET	483	15803	 	IJ	76135319
953726	3252	1996-04-14	VYDAJ	PREVOD NA UCET	483	16874	 	IJ	76135319
953727	3252	1996-05-14	VYDAJ	PREVOD NA UCET	483	16929	 	IJ	76135319
953728	3252	1996-06-14	VYDAJ	PREVOD NA UCET	483	18004	 	IJ	76135319
953729	3252	1996-07-14	VYDAJ	PREVOD NA UCET	483	18304	 	IJ	76135319
953730	3252	1996-08-14	VYDAJ	PREVOD NA UCET	483	19385	 	IJ	76135319
953731	3252	1996-09-14	VYDAJ	PREVOD NA UCET	483	18371	 	IJ	76135319
953732	3252	1996-10-14	VYDAJ	PREVOD NA UCET	483	19453	 	IJ	76135319
953733	3252	1996-11-14	VYDAJ	PREVOD NA UCET	483	19369	 	IJ	76135319
953734	3252	1996-12-14	VYDAJ	PREVOD NA UCET	483	20455	 	IJ	76135319
953735	3252	1997-01-14	VYDAJ	PREVOD NA UCET	483	19656	 	IJ	76135319
953736	3252	1997-02-14	VYDAJ	PREVOD NA UCET	483	17710	 	IJ	76135319
953737	3252	1997-03-14	VYDAJ	PREVOD NA UCET	483	18611	 	IJ	76135319
953738	3252	1997-04-14	VYDAJ	PREVOD NA UCET	483	19693	 	IJ	76135319
953739	3252	1997-05-14	VYDAJ	PREVOD NA UCET	483	20210	 	IJ	76135319
953740	3252	1997-06-14	VYDAJ	PREVOD NA UCET	483	21100	 	IJ	76135319
953741	3252	1997-07-14	VYDAJ	PREVOD NA UCET	483	22192	 	IJ	76135319
953742	3252	1997-08-14	VYDAJ	PREVOD NA UCET	483	22026	 	IJ	76135319
953743	3252	1997-09-14	VYDAJ	PREVOD NA UCET	483	23123	 	IJ	76135319
953744	3252	1997-10-14	VYDAJ	PREVOD NA UCET	483	24224	 	IJ	76135319
953745	3252	1997-11-14	VYDAJ	PREVOD NA UCET	483	24369	 	IJ	76135319
953746	3252	1997-12-14	VYDAJ	PREVOD NA UCET	483	25475	 	IJ	76135319
953747	3252	1998-01-14	VYDAJ	PREVOD NA UCET	483	24364	 	IJ	76135319
953748	3252	1998-02-14	VYDAJ	PREVOD NA UCET	483	21444	 	IJ	76135319
953749	3252	1998-03-14	VYDAJ	PREVOD NA UCET	483	22538	 	IJ	76135319
953750	3252	1998-04-14	VYDAJ	PREVOD NA UCET	483	23637	 	IJ	76135319
953751	3252	1998-05-14	VYDAJ	PREVOD NA UCET	483	24741	 	IJ	76135319
953752	3252	1998-06-14	VYDAJ	PREVOD NA UCET	483	25849	 	IJ	76135319
953753	3252	1998-07-14	VYDAJ	PREVOD NA UCET	483	26962	 	IJ	76135319
953754	3252	1998-08-14	VYDAJ	PREVOD NA UCET	483	28079	 	IJ	76135319
953755	3252	1998-09-14	VYDAJ	PREVOD NA UCET	483	29200	 	IJ	76135319
953756	3252	1998-10-14	VYDAJ	PREVOD NA UCET	483	29487	 	IJ	76135319
953757	3252	1998-11-14	VYDAJ	PREVOD NA UCET	483	29475	 	IJ	76135319
953758	3252	1998-12-14	VYDAJ	PREVOD NA UCET	483	29883	 	IJ	76135319
953769	3252	1995-11-11	VYDAJ	PREVOD NA UCET	155	13704	POJISTNE	WX	6552386
953770	3252	1995-12-11	VYDAJ	PREVOD NA UCET	155	14238	POJISTNE	WX	6552386
953771	3252	1996-01-11	VYDAJ	PREVOD NA UCET	155	13813	POJISTNE	WX	6552386
953772	3252	1996-02-11	VYDAJ	PREVOD NA UCET	155	12333	POJISTNE	WX	6552386
953773	3252	1996-03-11	VYDAJ	PREVOD NA UCET	155	13220	POJISTNE	WX	6552386
953774	3252	1996-04-11	VYDAJ	PREVOD NA UCET	155	14291	POJISTNE	WX	6552386
953775	3252	1996-05-11	VYDAJ	PREVOD NA UCET	155	14346	POJISTNE	WX	6552386
953776	3252	1996-06-11	VYDAJ	PREVOD NA UCET	155	15421	POJISTNE	WX	6552386
953777	3252	1996-07-11	VYDAJ	PREVOD NA UCET	155	15721	POJISTNE	WX	6552386
953778	3252	1996-08-11	VYDAJ	PREVOD NA UCET	155	16802	POJISTNE	WX	6552386
953779	3252	1996-09-11	VYDAJ	PREVOD NA UCET	155	15788	POJISTNE	WX	6552386
953780	3252	1996-10-11	VYDAJ	PREVOD NA UCET	155	16870	POJISTNE	WX	6552386
953781	3252	1996-11-11	VYDAJ	PREVOD NA UCET	155	16786	POJISTNE	WX	6552386
953782	3252	1996-12-11	VYDAJ	PREVOD NA UCET	155	17872	POJISTNE	WX	6552386
953783	3252	1997-01-11	VYDAJ	PREVOD NA UCET	155	17463	POJISTNE	WX	6552386
953784	3252	1997-02-11	VYDAJ	PREVOD NA UCET	155	16537	POJISTNE	WX	6552386
953785	3252	1997-03-11	VYDAJ	PREVOD NA UCET	155	16028	POJISTNE	WX	6552386
953786	3252	1997-04-11	VYDAJ	PREVOD NA UCET	155	17110	POJISTNE	WX	6552386
953787	3252	1997-05-11	VYDAJ	PREVOD NA UCET	155	17627	POJISTNE	WX	6552386
953788	3252	1997-06-11	VYDAJ	PREVOD NA UCET	155	18517	POJISTNE	WX	6552386
953789	3252	1997-07-11	VYDAJ	PREVOD NA UCET	155	19609	POJISTNE	WX	6552386
953790	3252	1997-08-11	VYDAJ	PREVOD NA UCET	155	19443	POJISTNE	WX	6552386
953791	3252	1997-09-11	VYDAJ	PREVOD NA UCET	155	20540	POJISTNE	WX	6552386
953792	3252	1997-10-11	VYDAJ	PREVOD NA UCET	155	21641	POJISTNE	WX	6552386
953793	3252	1997-11-11	VYDAJ	PREVOD NA UCET	155	21786	POJISTNE	WX	6552386
953794	3252	1997-12-11	VYDAJ	PREVOD NA UCET	155	22892	POJISTNE	WX	6552386
953795	3252	1998-01-11	VYDAJ	PREVOD NA UCET	155	21781	POJISTNE	WX	6552386
953796	3252	1998-02-11	VYDAJ	PREVOD NA UCET	155	18861	POJISTNE	WX	6552386
953797	3252	1998-03-11	VYDAJ	PREVOD NA UCET	155	19955	POJISTNE	WX	6552386
953798	3252	1998-04-11	VYDAJ	PREVOD NA UCET	155	21054	POJISTNE	WX	6552386
953799	3252	1998-05-11	VYDAJ	PREVOD NA UCET	155	22158	POJISTNE	WX	6552386
953800	3252	1998-06-11	VYDAJ	PREVOD NA UCET	155	23266	POJISTNE	WX	6552386
953801	3252	1998-07-11	VYDAJ	PREVOD NA UCET	155	24379	POJISTNE	WX	6552386
953802	3252	1998-08-11	VYDAJ	PREVOD NA UCET	155	25496	POJISTNE	WX	6552386
953803	3252	1998-09-11	VYDAJ	PREVOD NA UCET	155	26617	POJISTNE	WX	6552386
953804	3252	1998-10-11	VYDAJ	PREVOD NA UCET	155	26904	POJISTNE	WX	6552386
953805	3252	1998-11-11	VYDAJ	PREVOD NA UCET	155	26892	POJISTNE	WX	6552386
953806	3252	1998-12-11	VYDAJ	PREVOD NA UCET	155	27300	POJISTNE	WX	6552386
953807	3252	1995-12-23	VYDAJ	VYBER	240	16581	\N	\N	\N
953808	3252	1996-12-25	VYDAJ	VYBER	210	20245	\N	\N	\N
953809	3252	1997-12-18	VYDAJ	VYBER	780	24695	\N	\N	\N
953810	3252	1998-12-10	VYDAJ	VYBER	720	27455	\N	\N	\N
953817	3252	1996-01-03	VYDAJ	VYBER	450	15374	\N	\N	\N
953818	3252	1996-01-20	VYDAJ	VYBER	810	14476	\N	\N	\N
953819	3252	1996-01-20	VYDAJ	VYBER	630	13846	\N	\N	\N
953820	3252	1996-01-18	VYDAJ	VYBER	570	15826	\N	\N	\N
953821	3252	1996-01-02	VYDAJ	VYBER	810	15824	\N	\N	\N
953822	3252	1996-01-18	VYDAJ	VYBER	540	15286	\N	\N	\N
953823	3252	1997-01-03	VYDAJ	VYBER	570	19024	\N	\N	\N
953824	3252	1997-01-16	VYDAJ	VYBER	420	18606	\N	\N	\N
953825	3252	1997-01-01	VYDAJ	VYBER	720	19594	\N	\N	\N
953826	3252	1997-01-14	VYDAJ	VYBER	390	20139	\N	\N	\N
953827	3252	1997-01-16	VYDAJ	VYBER	630	19026	\N	\N	\N
953828	3252	1997-01-24	VYDAJ	VYBER	570	18036	\N	\N	\N
953829	3252	1998-01-22	VYDAJ	VYBER	630	21094	\N	\N	\N
953830	3252	1998-01-15	VYDAJ	VYBER	690	23674	\N	\N	\N
953831	3252	1998-01-20	VYDAJ	VYBER	510	22504	\N	\N	\N
953832	3252	1998-01-16	VYDAJ	VYBER	660	23014	\N	\N	\N
953833	3252	1998-01-27	VYDAJ	VYBER	750	20344	\N	\N	\N
953834	3252	1998-01-21	VYDAJ	VYBER	780	21724	\N	\N	\N
953836	3252	1995-12-04	VYDAJ	VYBER	540	15799	\N	\N	\N
953840	3252	1995-10-15	VYDAJ	VYBER	570	15236	\N	\N	\N
953841	3252	1996-07-07	VYDAJ	VYBER	780	15876	\N	\N	\N
953842	3252	1996-05-06	VYDAJ	VYBER	1020	15907	\N	\N	\N
953843	3252	1996-10-28	VYDAJ	VYBER	1170	18283	\N	\N	\N
953844	3252	1996-02-21	VYDAJ	VYBER	180	14736	\N	\N	\N
953845	3252	1996-09-10	VYDAJ	VYBER	690	15943	\N	\N	\N
953846	3252	1996-09-07	VYDAJ	VYBER	1410	16633	\N	\N	\N
953847	3252	1997-10-27	VYDAJ	VYBER	960	23264	\N	\N	\N
953848	3252	1997-05-08	VYDAJ	VYBER	570	17782	\N	\N	\N
953849	3252	1997-07-16	VYDAJ	VYBER	1260	20932	\N	\N	\N
953850	3252	1997-02-25	VYDAJ	VYBER	180	17530	\N	\N	\N
953851	3252	1997-02-13	VYDAJ	VYBER	1410	15127	\N	\N	\N
953852	3252	1998-10-09	VYDAJ	VYBER	840	27059	\N	\N	\N
953853	3252	1998-01-01	VYDAJ	VYBER	1440	23342	\N	\N	\N
953854	3252	1998-10-31	VYDAJ	VYBER	1140	28453	\N	\N	\N
953865	3252	1995-10-31	VYDAJ	VYBER	15	15265	SLUZBY	\N	\N
953866	3252	1995-11-30	VYDAJ	VYBER	15	16339	SLUZBY	\N	\N
953867	3252	1995-12-31	VYDAJ	VYBER	15	16634	SLUZBY	\N	\N
953868	3252	1996-01-31	VYDAJ	VYBER	15	13894	SLUZBY	\N	\N
953869	3252	1996-02-29	VYDAJ	VYBER	15	14781	SLUZBY	\N	\N
953870	3252	1996-03-31	VYDAJ	VYBER	15	15852	SLUZBY	\N	\N
953871	3252	1996-04-30	VYDAJ	VYBER	15	16927	SLUZBY	\N	\N
953872	3252	1996-05-31	VYDAJ	VYBER	15	16982	SLUZBY	\N	\N
953873	3252	1996-06-30	VYDAJ	VYBER	15	18062	SLUZBY	\N	\N
953874	3252	1996-07-31	VYDAJ	VYBER	15	18363	SLUZBY	\N	\N
953875	3252	1996-08-31	VYDAJ	VYBER	15	19449	SLUZBY	\N	\N
953876	3252	1996-09-30	VYDAJ	VYBER	15	18431	SLUZBY	\N	\N
953877	3252	1996-10-31	VYDAJ	VYBER	15	18347	SLUZBY	\N	\N
953878	3252	1996-11-30	VYDAJ	VYBER	15	19433	SLUZBY	\N	\N
953879	3252	1996-12-31	VYDAJ	VYBER	15	20314	SLUZBY	\N	\N
953880	3252	1997-01-31	VYDAJ	VYBER	15	18098	SLUZBY	\N	\N
953881	3252	1997-02-28	VYDAJ	VYBER	15	17589	SLUZBY	\N	\N
953882	3252	1997-03-31	VYDAJ	VYBER	15	18671	SLUZBY	\N	\N
953883	3252	1997-04-30	VYDAJ	VYBER	15	19758	SLUZBY	\N	\N
953884	3252	1997-05-31	VYDAJ	VYBER	15	20278	SLUZBY	\N	\N
953885	3252	1997-06-30	VYDAJ	VYBER	15	21170	SLUZBY	\N	\N
953886	3252	1997-07-31	VYDAJ	VYBER	15	21004	SLUZBY	\N	\N
953887	3252	1997-08-31	VYDAJ	VYBER	15	22101	SLUZBY	\N	\N
953888	3252	1997-09-30	VYDAJ	VYBER	15	23202	SLUZBY	\N	\N
953889	3252	1997-10-31	VYDAJ	VYBER	15	23347	SLUZBY	\N	\N
953890	3252	1997-11-30	VYDAJ	VYBER	15	24453	SLUZBY	\N	\N
953891	3252	1997-12-31	VYDAJ	VYBER	15	24782	SLUZBY	\N	\N
953892	3252	1998-01-31	VYDAJ	VYBER	15	20422	SLUZBY	\N	\N
953893	3252	1998-02-28	VYDAJ	VYBER	15	21516	SLUZBY	\N	\N
953894	3252	1998-03-31	VYDAJ	VYBER	15	22615	SLUZBY	\N	\N
953895	3252	1998-04-30	VYDAJ	VYBER	15	23719	SLUZBY	\N	\N
953896	3252	1998-05-31	VYDAJ	VYBER	15	24827	SLUZBY	\N	\N
953897	3252	1998-06-30	VYDAJ	VYBER	15	25940	SLUZBY	\N	\N
953898	3252	1998-07-31	VYDAJ	VYBER	15	27057	SLUZBY	\N	\N
953899	3252	1998-08-31	VYDAJ	VYBER	15	28178	SLUZBY	\N	\N
953900	3252	1998-09-30	VYDAJ	VYBER	15	29305	SLUZBY	\N	\N
953901	3252	1998-10-31	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
953902	3252	1998-11-30	VYDAJ	VYBER	15	29581	SLUZBY	\N	\N
953903	3252	1997-06-01	VYDAJ	VYBER	200	20078	\N	\N	\N
953947	3253	1994-03-15	PRIJEM	VKLAD	400	400	\N	\N	\N
953948	3253	1994-08-10	PRIJEM	VKLAD	22444	84262	\N	\N	\N
953949	3253	1994-10-28	PRIJEM	VKLAD	41248	102874	\N	\N	\N
953950	3253	1994-08-13	PRIJEM	VKLAD	21623	73285	\N	\N	\N
953951	3253	1994-10-22	PRIJEM	VKLAD	12696	61626	\N	\N	\N
953952	3253	1994-08-31	PRIJEM	VKLAD	24216	86101	\N	\N	\N
953954	3253	1994-06-08	PRIJEM	VKLAD	28491	54067	\N	\N	\N
953955	3253	1994-09-08	PRIJEM	VKLAD	22000	98261	\N	\N	\N
953957	3253	1994-06-24	PRIJEM	VKLAD	18333	58600	\N	\N	\N
953958	3253	1994-10-07	PRIJEM	VKLAD	6371	68930	\N	\N	\N
953959	3253	1994-07-28	PRIJEM	VKLAD	19305	61572	\N	\N	\N
953960	3253	1994-03-19	PRIJEM	VKLAD	28584	28984	\N	\N	\N
953961	3253	1995-12-29	PRIJEM	VKLAD	49862	148482	\N	\N	\N
953962	3253	1995-11-28	PRIJEM	VKLAD	41090	87546	\N	\N	\N
953963	3253	1995-11-28	PRIJEM	VKLAD	14137	101683	\N	\N	\N
953964	3253	1995-06-21	PRIJEM	VKLAD	37049	81017	\N	\N	\N
953965	3253	1995-12-22	PRIJEM	VKLAD	45112	98620	\N	\N	\N
953966	3253	1995-02-24	PRIJEM	VKLAD	21936	33875	\N	\N	\N
953967	3253	1995-11-29	PRIJEM	VKLAD	9140	110823	\N	\N	\N
953968	3253	1995-01-26	PRIJEM	VKLAD	13564	21853	\N	\N	\N
953969	3253	1995-06-23	PRIJEM	VKLAD	27151	108168	\N	\N	\N
953970	3253	1995-08-12	PRIJEM	VKLAD	25920	44659	\N	\N	\N
953971	3253	1995-09-15	PRIJEM	VKLAD	5665	37574	\N	\N	\N
953972	3253	1995-10-20	PRIJEM	VKLAD	33311	65455	\N	\N	\N
953973	3253	1995-06-17	PRIJEM	VKLAD	34059	43968	\N	\N	\N
953974	3253	1996-07-06	PRIJEM	VKLAD	47877	80111	\N	\N	\N
953975	3253	1996-11-25	PRIJEM	VKLAD	12399	64089	\N	\N	\N
953976	3253	1996-03-19	PRIJEM	VKLAD	29723	130898	\N	\N	\N
953977	3253	1996-10-14	PRIJEM	VKLAD	42826	79071	\N	\N	\N
953978	3253	1996-05-23	PRIJEM	VKLAD	22957	92736	\N	\N	\N
953979	3253	1996-04-09	PRIJEM	VKLAD	21424	73894	\N	\N	\N
953980	3253	1996-07-28	PRIJEM	VKLAD	5700	82018	\N	\N	\N
953981	3253	1996-03-05	PRIJEM	VKLAD	49378	101175	\N	\N	\N
953982	3253	1996-03-24	PRIJEM	VKLAD	16756	117954	\N	\N	\N
953983	3253	1996-11-23	PRIJEM	VKLAD	9073	51690	\N	\N	\N
953984	3253	1996-02-13	PRIJEM	VKLAD	15699	27894	\N	\N	\N
953985	3253	1996-05-20	PRIJEM	VKLAD	14790	69779	\N	\N	\N
953986	3253	1996-11-09	PRIJEM	VKLAD	24197	74408	\N	\N	\N
953987	3253	1996-04-27	PRIJEM	VKLAD	19665	79703	\N	\N	\N
953988	3253	1996-10-03	PRIJEM	VKLAD	8591	49685	\N	\N	\N
953989	3253	1996-08-04	PRIJEM	VKLAD	18888	79299	\N	\N	\N
953990	3253	1996-11-19	PRIJEM	VKLAD	43722	118130	\N	\N	\N
953991	3253	1996-12-23	PRIJEM	VKLAD	39159	74881	\N	\N	\N
953992	3253	1996-05-30	PRIJEM	VKLAD	38011	130747	\N	\N	\N
953993	3253	1996-02-13	PRIJEM	VKLAD	49390	77284	\N	\N	\N
953994	3253	1997-04-13	PRIJEM	VKLAD	13093	39018	\N	\N	\N
953995	3253	1997-03-21	PRIJEM	VKLAD	36440	40783	\N	\N	\N
953996	3253	1997-06-06	PRIJEM	VKLAD	28734	46896	\N	\N	\N
953997	3253	1998-05-18	PRIJEM	VKLAD	40357	78255	\N	\N	\N
953998	3253	1998-03-13	PRIJEM	VKLAD	26896	37476	\N	\N	\N
953999	3253	1998-07-22	PRIJEM	VKLAD	44801	143756	\N	\N	\N
954000	3253	1998-02-06	PRIJEM	VKLAD	39926	44593	\N	\N	\N
954001	3253	1998-05-18	PRIJEM	VKLAD	9426	87681	\N	\N	\N
954002	3253	1998-07-31	PRIJEM	VKLAD	12761	83384	\N	\N	\N
954003	3253	1998-06-20	PRIJEM	VKLAD	45770	135533	\N	\N	\N
954004	3253	1998-05-26	PRIJEM	VKLAD	32349	86463	\N	\N	\N
954005	3253	1998-11-05	PRIJEM	VKLAD	19494	121086	\N	\N	\N
954006	3253	1998-11-06	PRIJEM	VKLAD	42772	110058	\N	\N	\N
954007	3253	1998-04-02	PRIJEM	VKLAD	40465	67767	\N	\N	\N
954008	3253	1998-09-12	PRIJEM	VKLAD	25950	82788	\N	\N	\N
954009	3253	1998-09-19	PRIJEM	VKLAD	19079	98567	\N	\N	\N
954010	3253	1998-05-24	PRIJEM	VKLAD	13592	54114	\N	\N	\N
954011	3253	1998-05-29	PRIJEM	VKLAD	43847	130310	\N	\N	\N
954012	3253	1998-07-08	PRIJEM	VKLAD	20401	104642	\N	\N	\N
954013	3253	1998-09-09	PRIJEM	VKLAD	5215	56838	\N	\N	\N
954014	3253	1998-06-28	PRIJEM	VKLAD	33525	84019	\N	\N	\N
954015	3253	1998-06-17	PRIJEM	VKLAD	40647	89763	\N	\N	\N
954016	3253	1998-07-09	PRIJEM	VKLAD	13262	117904	\N	\N	\N
954017	3253	1998-09-21	PRIJEM	VKLAD	45951	107518	\N	\N	\N
954018	3253	1998-10-23	PRIJEM	VKLAD	40013	101255	\N	\N	\N
954019	3253	1998-06-08	PRIJEM	VKLAD	7858	114216	\N	\N	\N
954020	3253	1998-01-05	PRIJEM	VKLAD	22485	30431	\N	\N	\N
954021	3253	1998-07-20	PRIJEM	VKLAD	32851	98955	\N	\N	\N
954022	3253	1998-12-01	PRIJEM	VKLAD	47143	114373	\N	\N	\N
954023	3253	1998-05-21	PRIJEM	VKLAD	27241	114922	\N	\N	\N
954096	3253	1994-09-04	VYBER	VYBER	10021	76261	\N	\N	\N
954097	3253	1995-08-06	VYBER	VYBER	6998	15039	\N	\N	\N
954098	3253	1996-11-21	VYBER	VYBER	17813	42617	\N	\N	\N
954099	3253	1996-06-09	VYBER	VYBER	16987	43508	\N	\N	\N
954100	3253	1996-09-10	VYBER	VYBER	9064	47163	\N	\N	\N
954101	3253	1996-04-16	VYBER	VYBER	13856	60038	\N	\N	\N
954102	3253	1996-02-05	VYBER	VYBER	17413	12195	\N	\N	\N
954103	3253	1996-07-15	VYBER	VYBER	3793	76318	\N	\N	\N
954104	3253	1996-10-26	VYBER	VYBER	11002	68069	\N	\N	\N
954105	3253	1996-10-05	VYBER	VYBER	13440	36245	\N	\N	\N
954106	3253	1997-11-03	VYBER	VYBER	8390	2476	\N	\N	\N
954107	3253	1997-04-22	VYBER	VYBER	20870	18148	\N	\N	\N
954110	3253	1997-09-27	VYBER	VYBER	2067	8294	\N	\N	\N
954111	3253	1997-03-12	VYBER	VYBER	11425	4343	\N	\N	\N
954112	3253	1997-04-02	VYBER	VYBER	5655	25925	\N	\N	\N
954113	3253	1998-06-25	VYBER	VYBER	6239	50494	\N	\N	\N
954114	3253	1998-03-11	VYBER	VYBER	16764	10580	\N	\N	\N
954116	3253	1995-06-24	VYDAJ	VYBER	52200	20168	\N	\N	\N
954117	3253	1996-06-29	VYDAJ	VYBER	14100	29408	\N	\N	\N
954118	3253	1997-06-14	VYDAJ	VYBER	34200	12696	\N	\N	\N
954119	3253	1998-06-10	VYDAJ	VYBER	42000	49116	\N	\N	\N
954120	3253	1994-12-23	VYDAJ	VYBER	8400	31659	\N	\N	\N
954121	3253	1995-12-21	VYDAJ	VYBER	3900	53508	\N	\N	\N
954122	3253	1996-12-12	VYDAJ	VYBER	6300	43822	\N	\N	\N
954123	3253	1997-12-04	VYDAJ	VYBER	3900	3916	\N	\N	\N
954124	3253	1998-12-20	VYDAJ	VYBER	3900	65373	\N	\N	\N
954131	3253	1995-01-28	VYDAJ	VYBER	7800	14053	\N	\N	\N
954132	3253	1995-01-06	VYDAJ	VYBER	4200	27589	\N	\N	\N
954133	3253	1995-01-13	VYDAJ	VYBER	5400	19989	\N	\N	\N
954134	3253	1995-01-19	VYDAJ	VYBER	5700	14289	\N	\N	\N
954135	3253	1995-01-29	VYDAJ	VYBER	8700	5353	\N	\N	\N
954136	3253	1995-01-24	VYDAJ	VYBER	6000	8289	\N	\N	\N
954137	3253	1996-01-04	VYDAJ	VYBER	8400	59365	\N	\N	\N
954138	3253	1996-01-14	VYDAJ	VYBER	3600	53065	\N	\N	\N
954139	3253	1996-01-29	VYDAJ	VYBER	8700	33565	\N	\N	\N
954140	3253	1996-01-21	VYDAJ	VYBER	1800	51265	\N	\N	\N
954141	3253	1996-01-08	VYDAJ	VYBER	2700	56665	\N	\N	\N
954142	3253	1996-01-02	VYDAJ	VYBER	2400	98365	\N	\N	\N
954143	3253	1997-01-30	VYDAJ	VYBER	6600	11599	\N	\N	\N
954144	3253	1997-01-11	VYDAJ	VYBER	8700	31099	\N	\N	\N
954145	3253	1997-01-07	VYDAJ	VYBER	3000	39799	\N	\N	\N
954146	3253	1997-01-18	VYDAJ	VYBER	2400	17899	\N	\N	\N
954147	3253	1997-01-02	VYDAJ	VYBER	8400	42799	\N	\N	\N
954148	3253	1997-01-28	VYDAJ	VYBER	8100	18199	\N	\N	\N
954150	3253	1998-01-05	VYDAJ	VYBER	7200	18131	\N	\N	\N
954151	3253	1998-01-19	VYDAJ	VYBER	1800	1931	\N	\N	\N
954152	3253	1998-01-15	VYDAJ	VYBER	7800	3731	\N	\N	\N
954153	3253	1998-01-09	VYDAJ	VYBER	6600	11531	\N	\N	\N
954154	3253	1998-01-05	VYDAJ	VYBER	5100	25331	\N	\N	\N
954156	3253	1994-12-22	VYDAJ	VYBER	4800	40059	\N	\N	\N
954157	3253	1994-08-27	VYDAJ	VYBER	11400	61885	\N	\N	\N
954161	3253	1995-05-13	VYDAJ	VYBER	11100	12750	\N	\N	\N
954162	3253	1995-03-02	VYDAJ	VYBER	10800	23024	\N	\N	\N
954163	3253	1995-02-18	VYDAJ	VYBER	3600	11939	\N	\N	\N
954164	3253	1995-12-30	VYDAJ	VYBER	10500	100482	\N	\N	\N
954165	3253	1995-05-24	VYDAJ	VYBER	10800	1950	\N	\N	\N
954166	3253	1996-01-29	VYDAJ	VYBER	9000	42265	\N	\N	\N
954167	3253	1996-02-18	VYDAJ	VYBER	5100	72184	\N	\N	\N
954168	3253	1996-12-18	VYDAJ	VYBER	8100	35722	\N	\N	\N
954170	3253	1997-01-17	VYDAJ	VYBER	10800	20299	\N	\N	\N
954173	3253	1997-07-06	VYDAJ	VYBER	10800	6259	\N	\N	\N
954174	3253	1998-04-03	VYDAJ	VYBER	3900	63867	\N	\N	\N
954175	3253	1998-09-12	VYDAJ	VYBER	3300	79488	\N	\N	\N
954176	3253	1998-02-20	VYDAJ	VYBER	1500	43093	\N	\N	\N
954177	3253	1998-05-08	VYDAJ	VYBER	6900	37898	\N	\N	\N
954186	3253	1994-08-31	VYDAJ	VYBER	100	86282	SLUZBY	\N	\N
954187	3253	1994-09-30	VYDAJ	VYBER	100	62559	SLUZBY	\N	\N
954188	3253	1994-10-31	VYDAJ	VYBER	100	103035	SLUZBY	\N	\N
954189	3253	1994-11-30	VYDAJ	VYBER	100	65959	SLUZBY	\N	\N
954190	3253	1994-12-31	VYDAJ	VYBER	100	31789	SLUZBY	\N	\N
954191	3253	1995-01-31	VYDAJ	VYBER	100	5339	SLUZBY	\N	\N
954192	3253	1995-02-28	VYDAJ	VYBER	100	33824	SLUZBY	\N	\N
954193	3253	1995-03-31	VYDAJ	VYBER	100	26142	SLUZBY	\N	\N
954194	3253	1995-04-30	VYDAJ	VYBER	100	23550	SLUZBY	\N	\N
954195	3253	1995-05-31	VYDAJ	VYBER	100	1909	SLUZBY	\N	\N
954196	3253	1995-06-30	VYDAJ	VYBER	100	20153	SLUZBY	\N	\N
954197	3253	1995-07-31	VYDAJ	VYBER	100	22037	SLUZBY	\N	\N
954198	3253	1995-08-31	VYDAJ	VYBER	100	44709	SLUZBY	\N	\N
954199	3253	1995-09-30	VYDAJ	VYBER	100	37644	SLUZBY	\N	\N
954200	3253	1995-10-31	VYDAJ	VYBER	100	65556	SLUZBY	\N	\N
954201	3253	1995-11-30	VYDAJ	VYBER	100	88008	SLUZBY	\N	\N
954202	3253	1995-12-31	VYDAJ	VYBER	100	100765	SLUZBY	\N	\N
954203	3253	1996-01-31	VYDAJ	VYBER	100	33708	SLUZBY	\N	\N
954204	3253	1996-02-29	VYDAJ	VYBER	100	72297	SLUZBY	\N	\N
954205	3253	1996-03-31	VYDAJ	VYBER	100	70470	SLUZBY	\N	\N
954206	3253	1996-04-30	VYDAJ	VYBER	100	79889	SLUZBY	\N	\N
954207	3253	1996-05-31	VYDAJ	VYBER	100	88795	SLUZBY	\N	\N
954208	3253	1996-06-30	VYDAJ	VYBER	100	29534	SLUZBY	\N	\N
954209	3253	1996-07-31	VYDAJ	VYBER	100	82211	SLUZBY	\N	\N
954210	3253	1996-08-31	VYDAJ	VYBER	100	56227	SLUZBY	\N	\N
954211	3253	1996-09-30	VYDAJ	VYBER	100	47294	SLUZBY	\N	\N
954212	3253	1996-10-31	VYDAJ	VYBER	100	50211	SLUZBY	\N	\N
954213	3253	1996-11-30	VYDAJ	VYBER	100	50122	SLUZBY	\N	\N
954214	3253	1996-12-31	VYDAJ	VYBER	100	51199	SLUZBY	\N	\N
954215	3253	1997-01-31	VYDAJ	VYBER	100	11620	SLUZBY	\N	\N
954216	3253	1997-02-28	VYDAJ	VYBER	100	15768	SLUZBY	\N	\N
954217	3253	1997-03-31	VYDAJ	VYBER	100	31580	SLUZBY	\N	\N
954218	3253	1997-04-30	VYDAJ	VYBER	100	22172	SLUZBY	\N	\N
954219	3253	1997-05-31	VYDAJ	VYBER	100	18162	SLUZBY	\N	\N
954220	3253	1997-06-30	VYDAJ	VYBER	100	17059	SLUZBY	\N	\N
954221	3253	1997-07-31	VYDAJ	VYBER	100	9523	SLUZBY	\N	\N
954222	3253	1997-08-31	VYDAJ	VYBER	100	10361	SLUZBY	\N	\N
954223	3253	1997-09-30	VYDAJ	VYBER	100	8234	SLUZBY	\N	\N
954224	3253	1997-10-31	VYDAJ	VYBER	100	10866	SLUZBY	\N	\N
954225	3253	1997-11-30	VYDAJ	VYBER	100	7816	SLUZBY	\N	\N
954226	3253	1997-12-31	VYDAJ	VYBER	100	7946	SLUZBY	\N	\N
954227	3253	1998-01-31	VYDAJ	VYBER	100	4667	SLUZBY	\N	\N
954228	3253	1998-02-28	VYDAJ	VYBER	100	27344	SLUZBY	\N	\N
954229	3253	1998-03-31	VYDAJ	VYBER	100	27302	SLUZBY	\N	\N
954230	3253	1998-04-30	VYDAJ	VYBER	100	44798	SLUZBY	\N	\N
954231	3253	1998-05-31	VYDAJ	VYBER	100	106358	SLUZBY	\N	\N
954232	3253	1998-06-30	VYDAJ	VYBER	100	84241	SLUZBY	\N	\N
954233	3253	1998-07-31	VYDAJ	VYBER	100	83284	SLUZBY	\N	\N
954234	3253	1998-08-31	VYDAJ	VYBER	100	51623	SLUZBY	\N	\N
954235	3253	1998-09-30	VYDAJ	VYBER	100	107742	SLUZBY	\N	\N
954236	3253	1998-10-31	VYDAJ	VYBER	100	101592	SLUZBY	\N	\N
954237	3253	1998-11-30	VYDAJ	VYBER	100	67230	SLUZBY	\N	\N
954238	3253	1994-04-14	VYDAJ	VYBER	1200	27835	\N	\N	\N
954239	3253	1994-05-14	VYDAJ	VYBER	2500	25455	\N	\N	\N
954240	3253	1994-06-13	VYDAJ	VYBER	13800	40267	\N	\N	\N
954241	3253	1994-07-13	VYDAJ	VYBER	16500	42267	\N	\N	\N
954242	3253	1994-08-12	VYDAJ	VYBER	32600	51662	\N	\N	\N
954243	3253	1994-09-11	VYDAJ	VYBER	35900	62361	\N	\N	\N
954244	3253	1994-10-11	VYDAJ	VYBER	20000	48930	\N	\N	\N
954245	3253	1994-11-10	VYDAJ	VYBER	37400	65635	\N	\N	\N
954246	3253	1994-12-10	VYDAJ	VYBER	21100	44859	\N	\N	\N
954247	3253	1995-01-09	VYDAJ	VYBER	2200	25389	\N	\N	\N
954248	3253	1995-02-08	PRIJEM	VKLAD	10200	15539	\N	\N	\N
954249	3253	1995-03-10	PRIJEM	VKLAD	3100	26124	\N	\N	\N
954250	3253	1995-04-09	VYDAJ	VYBER	2600	23542	\N	\N	\N
954251	3253	1995-05-09	PRIJEM	VKLAD	300	23850	\N	\N	\N
954252	3253	1995-06-08	PRIJEM	VKLAD	8000	9909	\N	\N	\N
954253	3253	1995-06-23	VYDAJ	VYBER	35800	72368	\N	\N	\N
954254	3253	1995-07-08	PRIJEM	VKLAD	1900	22053	\N	\N	\N
954255	3253	1995-08-07	PRIJEM	VKLAD	3700	18739	\N	\N	\N
954256	3253	1995-09-06	VYDAJ	VYBER	12800	31909	\N	\N	\N
954257	3253	1995-10-06	VYDAJ	VYBER	5500	32144	\N	\N	\N
954258	3253	1995-11-05	VYDAJ	VYBER	19100	46456	\N	\N	\N
954259	3253	1995-11-29	VYDAJ	VYBER	23000	87823	\N	\N	\N
954260	3253	1995-12-05	VYDAJ	VYBER	30600	57408	\N	\N	\N
954261	3253	1995-12-29	VYDAJ	VYBER	37500	110982	\N	\N	\N
954262	3253	1996-01-04	VYDAJ	VYBER	30600	67765	\N	\N	\N
954263	3253	1996-02-03	VYDAJ	VYBER	4100	29608	\N	\N	\N
954264	3253	1996-03-04	VYDAJ	VYBER	20500	51797	\N	\N	\N
954265	3253	1996-03-19	VYDAJ	VYBER	29700	101198	\N	\N	\N
954266	3253	1996-03-24	VYDAJ	VYBER	47800	70154	\N	\N	\N
954267	3253	1996-04-03	VYDAJ	VYBER	18000	52470	\N	\N	\N
954268	3253	1996-05-03	VYDAJ	VYBER	24900	54989	\N	\N	\N
954269	3253	1996-05-30	VYDAJ	VYBER	42200	88547	\N	\N	\N
954270	3253	1996-06-02	VYDAJ	VYBER	28300	60495	\N	\N	\N
954271	3253	1996-07-02	PRIJEM	VKLAD	2700	32234	\N	\N	\N
954272	3253	1996-08-01	VYDAJ	VYBER	21800	60411	\N	\N	\N
954273	3253	1996-08-31	VYDAJ	VYBER	23300	56327	\N	\N	\N
954274	3253	1996-09-30	VYDAJ	VYBER	6200	41094	\N	\N	\N
954275	3253	1996-10-30	VYDAJ	VYBER	18000	50069	\N	\N	\N
954276	3253	1996-11-19	VYDAJ	VYBER	57700	60430	\N	\N	\N
954277	3253	1996-11-29	VYDAJ	VYBER	14100	49989	\N	\N	\N
954278	3253	1996-12-29	VYDAJ	VYBER	23800	51081	\N	\N	\N
954279	3253	1997-01-28	PRIJEM	VKLAD	8400	26299	\N	\N	\N
954280	3253	1997-02-27	PRIJEM	VKLAD	4200	15820	\N	\N	\N
954281	3253	1997-03-29	VYDAJ	VYBER	9200	31583	\N	\N	\N
954282	3253	1997-04-28	PRIJEM	VKLAD	4000	22148	\N	\N	\N
954283	3253	1997-05-28	VYDAJ	VYBER	4000	18172	\N	\N	\N
954284	3253	1997-06-27	PRIJEM	VKLAD	4400	17096	\N	\N	\N
954285	3253	1997-07-27	PRIJEM	VKLAD	3300	9559	\N	\N	\N
954286	3253	1997-08-26	PRIJEM	VKLAD	900	10423	\N	\N	\N
954287	3253	1997-10-25	PRIJEM	VKLAD	2700	10934	\N	\N	\N
954288	3253	1997-11-24	PRIJEM	VKLAD	5400	7876	\N	\N	\N
954289	3253	1997-12-24	PRIJEM	VKLAD	4100	8016	\N	\N	\N
954290	3253	1998-01-23	PRIJEM	VKLAD	2800	4731	\N	\N	\N
954291	3253	1998-02-22	VYDAJ	VYBER	15700	27393	\N	\N	\N
954292	3253	1998-03-24	VYDAJ	VYBER	10200	27276	\N	\N	\N
954293	3253	1998-04-23	VYDAJ	VYBER	19200	44667	\N	\N	\N
954294	3253	1998-05-21	VYDAJ	VYBER	54300	60622	\N	\N	\N
954295	3253	1998-05-23	VYDAJ	VYBER	20100	40522	\N	\N	\N
954296	3253	1998-05-29	VYDAJ	VYBER	24100	106210	\N	\N	\N
954297	3253	1998-06-08	VYDAJ	VYBER	23100	91116	\N	\N	\N
954298	3253	1998-06-20	VYDAJ	VYBER	44800	90733	\N	\N	\N
954299	3253	1998-06-22	VYDAJ	VYBER	34000	56733	\N	\N	\N
954300	3253	1998-07-09	VYDAJ	VYBER	51800	66104	\N	\N	\N
954301	3253	1998-07-22	VYDAJ	VYBER	24000	119756	\N	\N	\N
954302	3253	1998-07-22	VYDAJ	VYBER	49500	70256	\N	\N	\N
954303	3253	1998-08-21	VYDAJ	VYBER	31900	51384	\N	\N	\N
954304	3253	1998-09-20	VYDAJ	VYBER	37000	61567	\N	\N	\N
954305	3253	1998-10-20	VYDAJ	VYBER	46500	61242	\N	\N	\N
954306	3253	1998-11-05	VYDAJ	VYBER	53800	67286	\N	\N	\N
954307	3253	1998-11-19	VYDAJ	VYBER	43100	66958	\N	\N	\N
954308	3253	1998-12-19	VYDAJ	VYBER	45100	69273	\N	\N	\N
954373	3254	1995-08-27	PRIJEM	VKLAD	800	800	\N	\N	\N
954382	3254	1995-09-08	PRIJEM	VKLAD	7679	8479	\N	\N	\N
954383	3254	1995-10-08	PRIJEM	VKLAD	7679	25871	\N	\N	\N
954384	3254	1995-11-08	PRIJEM	VKLAD	7679	32731	\N	\N	\N
954385	3254	1995-12-08	PRIJEM	VKLAD	11519	38655	\N	\N	\N
954386	3254	1996-01-08	PRIJEM	VKLAD	7679	36849	\N	\N	\N
954387	3254	1996-02-08	PRIJEM	VKLAD	7679	23687	\N	\N	\N
954388	3254	1996-03-08	PRIJEM	VKLAD	7679	27299	\N	\N	\N
954389	3254	1996-04-08	PRIJEM	VKLAD	7679	24672	\N	\N	\N
954390	3254	1996-05-08	PRIJEM	VKLAD	7679	29807	\N	\N	\N
954391	3254	1996-06-08	PRIJEM	VKLAD	11519	38193	\N	\N	\N
954392	3254	1996-07-08	PRIJEM	VKLAD	7679	37462	\N	\N	\N
954393	3254	1996-08-08	PRIJEM	VKLAD	7679	36734	\N	\N	\N
954394	3254	1996-09-08	PRIJEM	VKLAD	7679	36903	\N	\N	\N
954395	3254	1996-10-08	PRIJEM	VKLAD	7679	36472	\N	\N	\N
954396	3254	1996-11-08	PRIJEM	VKLAD	7679	33736	\N	\N	\N
954397	3254	1996-12-08	PRIJEM	VKLAD	11519	39997	\N	\N	\N
954398	3254	1997-01-08	PRIJEM	VKLAD	7679	37063	\N	\N	\N
954399	3254	1997-02-08	PRIJEM	VKLAD	7679	33011	\N	\N	\N
954400	3254	1997-03-08	PRIJEM	VKLAD	7679	37488	\N	\N	\N
954401	3254	1997-04-08	PRIJEM	VKLAD	7679	37961	\N	\N	\N
954402	3254	1997-05-08	PRIJEM	VKLAD	7679	37233	\N	\N	\N
954403	3254	1997-06-08	PRIJEM	VKLAD	11519	42345	\N	\N	\N
954404	3254	1997-07-08	PRIJEM	VKLAD	7679	34072	\N	\N	\N
954405	3254	1997-08-08	PRIJEM	VKLAD	7679	34329	\N	\N	\N
954406	3254	1997-09-08	PRIJEM	VKLAD	7679	29576	\N	\N	\N
954407	3254	1997-10-08	PRIJEM	VKLAD	7679	29112	\N	\N	\N
954408	3254	1997-11-08	PRIJEM	VKLAD	7679	30550	\N	\N	\N
954409	3254	1997-12-08	PRIJEM	VKLAD	11519	38039	\N	\N	\N
954410	3254	1998-01-08	PRIJEM	VKLAD	7679	28306	\N	\N	\N
954411	3254	1998-02-08	PRIJEM	VKLAD	7679	24522	\N	\N	\N
954412	3254	1998-03-08	PRIJEM	VKLAD	7679	26942	\N	\N	\N
954413	3254	1998-04-08	PRIJEM	VKLAD	7679	25364	\N	\N	\N
954414	3254	1998-05-08	PRIJEM	VKLAD	7679	27388	\N	\N	\N
954415	3254	1998-06-08	PRIJEM	VKLAD	11519	34963	\N	\N	\N
954416	3254	1998-07-08	PRIJEM	VKLAD	7679	35229	\N	\N	\N
954417	3254	1998-08-08	PRIJEM	VKLAD	7679	35201	\N	\N	\N
954418	3254	1998-09-08	PRIJEM	VKLAD	7679	35762	\N	\N	\N
954419	3254	1998-10-08	PRIJEM	VKLAD	7679	32716	\N	\N	\N
954420	3254	1998-11-08	PRIJEM	VKLAD	7679	32164	\N	\N	\N
954421	3254	1998-12-08	PRIJEM	VKLAD	11519	29942	\N	\N	\N
954434	3254	1996-01-12	VYDAJ	PREVOD NA UCET	5119	28610	SIPO	QR	69699191
954435	3254	1996-02-12	VYDAJ	PREVOD NA UCET	5119	13168	SIPO	QR	69699191
954436	3254	1996-03-12	VYDAJ	PREVOD NA UCET	5119	22180	SIPO	QR	69699191
954437	3254	1996-04-12	VYDAJ	PREVOD NA UCET	5119	19553	SIPO	QR	69699191
954438	3254	1996-05-12	VYDAJ	PREVOD NA UCET	5119	24688	SIPO	QR	69699191
954439	3254	1996-06-12	VYDAJ	PREVOD NA UCET	5119	33074	SIPO	QR	69699191
954440	3254	1996-07-12	VYDAJ	PREVOD NA UCET	5119	32343	SIPO	QR	69699191
954441	3254	1996-08-12	VYDAJ	PREVOD NA UCET	5119	31615	SIPO	QR	69699191
954442	3254	1996-09-12	VYDAJ	PREVOD NA UCET	5119	31784	SIPO	QR	69699191
954443	3254	1996-10-12	VYDAJ	PREVOD NA UCET	5119	31353	SIPO	QR	69699191
954444	3254	1996-11-12	VYDAJ	PREVOD NA UCET	5119	28617	SIPO	QR	69699191
954445	3254	1996-12-12	VYDAJ	PREVOD NA UCET	5119	34878	SIPO	QR	69699191
954446	3254	1997-01-12	VYDAJ	PREVOD NA UCET	5119	31104	SIPO	QR	69699191
954447	3254	1997-02-12	VYDAJ	PREVOD NA UCET	5119	23212	SIPO	QR	69699191
954448	3254	1997-03-12	VYDAJ	PREVOD NA UCET	5119	32369	SIPO	QR	69699191
954449	3254	1997-04-12	VYDAJ	PREVOD NA UCET	5119	32842	SIPO	QR	69699191
954450	3254	1997-05-12	VYDAJ	PREVOD NA UCET	5119	32114	SIPO	QR	69699191
954451	3254	1997-06-12	VYDAJ	PREVOD NA UCET	5119	31586	SIPO	QR	69699191
954452	3254	1997-07-12	VYDAJ	PREVOD NA UCET	5119	28953	SIPO	QR	69699191
954453	3254	1997-08-12	VYDAJ	PREVOD NA UCET	5119	29210	SIPO	QR	69699191
954454	3254	1997-09-12	VYDAJ	PREVOD NA UCET	5119	24457	SIPO	QR	69699191
954455	3254	1997-10-12	VYDAJ	PREVOD NA UCET	5119	23993	SIPO	QR	69699191
954456	3254	1997-11-12	VYDAJ	PREVOD NA UCET	5119	25431	SIPO	QR	69699191
954457	3254	1997-12-12	VYDAJ	PREVOD NA UCET	5119	30360	SIPO	QR	69699191
954458	3254	1998-01-12	VYDAJ	PREVOD NA UCET	5119	21507	SIPO	QR	69699191
954459	3254	1998-02-12	VYDAJ	PREVOD NA UCET	5119	19203	SIPO	QR	69699191
954460	3254	1998-03-12	VYDAJ	PREVOD NA UCET	5119	21823	SIPO	QR	69699191
954461	3254	1998-04-12	VYDAJ	PREVOD NA UCET	5119	20245	SIPO	QR	69699191
954462	3254	1998-05-12	VYDAJ	PREVOD NA UCET	5119	22269	SIPO	QR	69699191
954463	3254	1998-06-12	VYDAJ	PREVOD NA UCET	5119	27444	SIPO	QR	69699191
954464	3254	1998-07-12	VYDAJ	PREVOD NA UCET	5119	27410	SIPO	QR	69699191
954465	3254	1998-08-12	VYDAJ	PREVOD NA UCET	5119	27982	SIPO	QR	69699191
954466	3254	1998-09-12	VYDAJ	PREVOD NA UCET	5119	24943	SIPO	QR	69699191
954467	3254	1998-10-12	VYDAJ	PREVOD NA UCET	5119	24397	SIPO	QR	69699191
954468	3254	1998-11-12	VYDAJ	PREVOD NA UCET	5119	23745	SIPO	QR	69699191
954469	3254	1998-12-12	VYDAJ	PREVOD NA UCET	5119	25623	SIPO	QR	69699191
954471	3254	1996-12-29	VYDAJ	VYBER	2240	32138	\N	\N	\N
954472	3254	1997-12-12	VYDAJ	VYBER	2560	35479	\N	\N	\N
954473	3254	1998-12-13	VYDAJ	VYBER	3360	22263	\N	\N	\N
954480	3254	1996-01-09	VYDAJ	VYBER	1080	35769	\N	\N	\N
954481	3254	1996-01-10	VYDAJ	VYBER	2040	33729	\N	\N	\N
954482	3254	1996-01-28	VYDAJ	VYBER	2400	19270	\N	\N	\N
954483	3254	1996-01-20	VYDAJ	VYBER	600	28010	\N	\N	\N
954484	3254	1996-01-30	VYDAJ	VYBER	3360	15910	\N	\N	\N
954485	3254	1996-01-27	VYDAJ	VYBER	3240	21670	\N	\N	\N
954486	3254	1997-01-16	VYDAJ	VYBER	720	26424	\N	\N	\N
954487	3254	1997-01-12	VYDAJ	VYBER	2760	28344	\N	\N	\N
954488	3254	1997-01-04	VYDAJ	VYBER	2880	29384	\N	\N	\N
954489	3254	1997-01-15	VYDAJ	VYBER	1200	27144	\N	\N	\N
954490	3254	1997-01-10	VYDAJ	VYBER	840	36223	\N	\N	\N
954491	3254	1997-01-25	VYDAJ	VYBER	1200	25224	\N	\N	\N
954492	3254	1998-01-05	VYDAJ	VYBER	1560	20627	\N	\N	\N
954493	3254	1998-01-27	VYDAJ	VYBER	1560	19167	\N	\N	\N
954494	3254	1998-01-23	VYDAJ	VYBER	720	20727	\N	\N	\N
954495	3254	1998-01-29	VYDAJ	VYBER	2400	16767	\N	\N	\N
954496	3254	1998-01-17	VYDAJ	VYBER	1560	21447	\N	\N	\N
954497	3254	1998-01-10	VYDAJ	VYBER	1680	26626	\N	\N	\N
954503	3254	1996-04-03	VYDAJ	VYBER	4560	16993	\N	\N	\N
954504	3254	1996-02-11	VYDAJ	VYBER	5400	18287	\N	\N	\N
954505	3254	1996-12-01	VYDAJ	VYBER	840	28479	\N	\N	\N
954506	3254	1997-06-10	VYDAJ	VYBER	5640	36705	\N	\N	\N
954507	3254	1997-08-17	VYDAJ	VYBER	2400	21810	\N	\N	\N
954508	3254	1997-02-10	VYDAJ	VYBER	4680	28331	\N	\N	\N
954509	3254	1997-12-17	VYDAJ	VYBER	2160	22100	\N	\N	\N
954510	3254	1998-11-22	VYDAJ	VYBER	5400	18345	\N	\N	\N
954511	3254	1998-09-11	VYDAJ	VYBER	1800	30062	\N	\N	\N
954513	3254	1998-12-15	VYDAJ	VYBER	5760	16503	\N	\N	\N
954527	3254	1996-01-31	VYDAJ	VYBER	15	16008	SLUZBY	\N	\N
954528	3254	1996-02-29	VYDAJ	VYBER	15	19620	SLUZBY	\N	\N
954529	3254	1996-03-31	VYDAJ	VYBER	15	21553	SLUZBY	\N	\N
954530	3254	1996-04-30	VYDAJ	VYBER	15	22128	SLUZBY	\N	\N
954531	3254	1996-05-31	VYDAJ	VYBER	15	26674	SLUZBY	\N	\N
954532	3254	1996-06-30	VYDAJ	VYBER	15	29783	SLUZBY	\N	\N
954533	3254	1996-07-31	VYDAJ	VYBER	15	29055	SLUZBY	\N	\N
954534	3254	1996-08-31	VYDAJ	VYBER	15	29224	SLUZBY	\N	\N
954535	3254	1996-09-30	VYDAJ	VYBER	15	28793	SLUZBY	\N	\N
954536	3254	1996-10-31	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
954537	3254	1996-11-30	VYDAJ	VYBER	15	29319	SLUZBY	\N	\N
954538	3254	1996-12-31	VYDAJ	VYBER	15	32264	SLUZBY	\N	\N
954539	3254	1997-01-31	VYDAJ	VYBER	15	25332	SLUZBY	\N	\N
954540	3254	1997-02-28	VYDAJ	VYBER	15	29809	SLUZBY	\N	\N
954541	3254	1997-03-31	VYDAJ	VYBER	15	30282	SLUZBY	\N	\N
954542	3254	1997-04-30	VYDAJ	VYBER	15	29554	SLUZBY	\N	\N
954543	3254	1997-05-31	VYDAJ	VYBER	15	30826	SLUZBY	\N	\N
954544	3254	1997-06-30	VYDAJ	VYBER	15	26393	SLUZBY	\N	\N
954545	3254	1997-07-31	VYDAJ	VYBER	15	26650	SLUZBY	\N	\N
954546	3254	1997-08-31	VYDAJ	VYBER	15	21897	SLUZBY	\N	\N
954547	3254	1997-09-30	VYDAJ	VYBER	15	21433	SLUZBY	\N	\N
954548	3254	1997-10-31	VYDAJ	VYBER	15	22871	SLUZBY	\N	\N
954549	3254	1997-11-30	VYDAJ	VYBER	15	26521	SLUZBY	\N	\N
954550	3254	1997-12-31	VYDAJ	VYBER	15	22187	SLUZBY	\N	\N
954551	3254	1998-01-31	VYDAJ	VYBER	15	16843	SLUZBY	\N	\N
954552	3254	1998-02-28	VYDAJ	VYBER	15	19263	SLUZBY	\N	\N
954553	3254	1998-03-31	VYDAJ	VYBER	15	17685	SLUZBY	\N	\N
954554	3254	1998-04-30	VYDAJ	VYBER	15	19709	SLUZBY	\N	\N
954555	3254	1998-05-31	VYDAJ	VYBER	15	23445	SLUZBY	\N	\N
954556	3254	1998-06-30	VYDAJ	VYBER	15	27550	SLUZBY	\N	\N
954557	3254	1998-07-31	VYDAJ	VYBER	15	27522	SLUZBY	\N	\N
954558	3254	1998-08-31	VYDAJ	VYBER	15	28083	SLUZBY	\N	\N
954559	3254	1998-09-30	VYDAJ	VYBER	15	25037	SLUZBY	\N	\N
954560	3254	1998-10-31	VYDAJ	VYBER	15	24485	SLUZBY	\N	\N
954561	3254	1998-11-30	VYDAJ	VYBER	15	18424	SLUZBY	\N	\N
954562	3254	1995-09-26	PRIJEM	VKLAD	9700	18179	\N	\N	\N
954563	3254	1995-10-26	VYDAJ	VYBER	900	24971	\N	\N	\N
954564	3254	1995-11-25	VYDAJ	VYBER	5700	27031	\N	\N	\N
954565	3254	1995-12-25	VYDAJ	VYBER	9600	29055	\N	\N	\N
954566	3254	1996-01-24	VYDAJ	VYBER	3100	24910	\N	\N	\N
954567	3254	1996-02-23	PRIJEM	VKLAD	6400	19568	\N	\N	\N
954568	3254	1996-03-24	VYDAJ	VYBER	700	21480	\N	\N	\N
954569	3254	1996-04-23	PRIJEM	VKLAD	2500	22053	\N	\N	\N
954570	3254	1996-05-23	PRIJEM	VKLAD	1900	26588	\N	\N	\N
954571	3254	1996-06-22	VYDAJ	VYBER	3400	29674	\N	\N	\N
954572	3254	1996-07-22	VYDAJ	VYBER	3400	28943	\N	\N	\N
954573	3254	1996-08-21	VYDAJ	VYBER	2500	29115	\N	\N	\N
954574	3254	1996-09-20	VYDAJ	VYBER	3100	28684	\N	\N	\N
954575	3254	1996-10-20	VYDAJ	VYBER	5400	25953	\N	\N	\N
954576	3254	1996-11-19	PRIJEM	VKLAD	600	29217	\N	\N	\N
954577	3254	1996-12-19	VYDAJ	VYBER	500	34378	\N	\N	\N
954578	3254	1997-02-17	PRIJEM	VKLAD	6500	29712	\N	\N	\N
954579	3254	1997-03-19	VYDAJ	VYBER	2200	30169	\N	\N	\N
954580	3254	1997-04-18	VYDAJ	VYBER	3400	29442	\N	\N	\N
954581	3254	1997-05-18	VYDAJ	VYBER	1400	30714	\N	\N	\N
954582	3254	1997-06-17	VYDAJ	VYBER	5300	26286	\N	\N	\N
954583	3254	1997-07-17	VYDAJ	VYBER	2400	26553	\N	\N	\N
954584	3254	1997-08-16	VYDAJ	VYBER	5000	24210	\N	\N	\N
954585	3254	1997-09-15	VYDAJ	VYBER	3100	21357	\N	\N	\N
954586	3254	1997-10-15	VYDAJ	VYBER	1200	22793	\N	\N	\N
954587	3254	1997-11-14	PRIJEM	VKLAD	1000	26431	\N	\N	\N
954588	3254	1997-12-14	VYDAJ	VYBER	6100	24260	\N	\N	\N
954589	3254	1998-01-13	PRIJEM	VKLAD	1500	23007	\N	\N	\N
954590	3254	1998-02-12	VYDAJ	VYBER	200	24322	\N	\N	\N
954591	3254	1998-03-14	VYDAJ	VYBER	4200	17623	\N	\N	\N
954592	3254	1998-04-13	VYDAJ	VYBER	600	19645	\N	\N	\N
954593	3254	1998-05-13	PRIJEM	VKLAD	1100	23369	\N	\N	\N
954594	3254	1998-06-12	VYDAJ	VYBER	2400	32563	\N	\N	\N
954595	3254	1998-07-12	VYDAJ	VYBER	2700	32529	\N	\N	\N
954596	3254	1998-08-11	VYDAJ	VYBER	2100	33101	\N	\N	\N
954597	3254	1998-09-10	VYDAJ	VYBER	3900	31862	\N	\N	\N
954598	3254	1998-10-10	VYDAJ	VYBER	3200	29516	\N	\N	\N
954599	3254	1998-11-09	VYDAJ	VYBER	3300	28864	\N	\N	\N
954600	3254	1998-12-09	PRIJEM	VKLAD	800	30742	\N	\N	\N
954641	3255	1993-09-15	PRIJEM	VKLAD	900	900	\N	\N	\N
954780	3255	1993-10-15	PRIJEM	VKLAD	11500	12400	\N	\N	\N
954781	3255	1993-11-14	PRIJEM	VKLAD	7800	20200	\N	\N	\N
954782	3255	1993-12-14	PRIJEM	VKLAD	2300	22500	\N	\N	\N
954783	3255	1994-01-13	PRIJEM	VKLAD	1100	23600	\N	\N	\N
954784	3255	1994-02-12	VYDAJ	VYBER	1500	22100	\N	\N	\N
954785	3255	1994-03-14	PRIJEM	VKLAD	3100	25200	\N	\N	\N
954786	3255	1994-04-13	VYDAJ	VYBER	1500	23700	\N	\N	\N
954787	3255	1994-05-13	VYDAJ	VYBER	700	23000	\N	\N	\N
954788	3255	1994-06-12	PRIJEM	VKLAD	1400	24400	\N	\N	\N
954789	3255	1994-07-12	VYDAJ	VYBER	200	24200	\N	\N	\N
954790	3255	1994-08-11	PRIJEM	VKLAD	400	24600	\N	\N	\N
954791	3255	1994-09-10	VYDAJ	VYBER	600	24000	\N	\N	\N
954792	3255	1994-10-10	PRIJEM	VKLAD	2100	26100	\N	\N	\N
954793	3255	1994-11-09	PRIJEM	VKLAD	1800	27900	\N	\N	\N
954794	3255	1994-12-09	VYDAJ	VYBER	100	27800	\N	\N	\N
954795	3255	1995-01-08	VYDAJ	VYBER	900	26900	\N	\N	\N
954796	3255	1995-02-07	PRIJEM	VKLAD	800	27700	\N	\N	\N
954797	3255	1995-03-09	PRIJEM	VKLAD	1900	29600	\N	\N	\N
954798	3255	1995-04-08	PRIJEM	VKLAD	1600	31200	\N	\N	\N
954799	3255	1995-05-08	PRIJEM	VKLAD	1700	32900	\N	\N	\N
954800	3255	1995-06-07	PRIJEM	VKLAD	300	33200	\N	\N	\N
954801	3255	1995-07-07	PRIJEM	VKLAD	1400	34600	\N	\N	\N
954802	3255	1995-08-06	PRIJEM	VKLAD	800	35400	\N	\N	\N
954803	3255	1995-09-05	PRIJEM	VKLAD	1300	36700	\N	\N	\N
954804	3255	1995-10-05	PRIJEM	VKLAD	400	37100	\N	\N	\N
954805	3255	1995-11-04	VYDAJ	VYBER	200	36900	\N	\N	\N
954806	3255	1995-12-04	PRIJEM	VKLAD	5100	42000	\N	\N	\N
954807	3255	1996-01-03	PRIJEM	VKLAD	3500	45500	\N	\N	\N
954808	3255	1996-02-02	PRIJEM	VKLAD	1600	47100	\N	\N	\N
954809	3255	1996-03-03	PRIJEM	VKLAD	400	47500	\N	\N	\N
954810	3255	1996-04-02	VYDAJ	VYBER	800	46700	\N	\N	\N
954811	3255	1996-05-02	PRIJEM	VKLAD	1600	48300	\N	\N	\N
954812	3255	1996-06-01	PRIJEM	VKLAD	2300	50600	\N	\N	\N
954813	3255	1996-07-01	VYDAJ	VYBER	1700	48900	\N	\N	\N
954814	3255	1996-07-31	PRIJEM	VKLAD	2300	51200	\N	\N	\N
954815	3255	1996-08-30	PRIJEM	VKLAD	500	51707	\N	\N	\N
954816	3255	1996-09-29	PRIJEM	VKLAD	400	52320	\N	\N	\N
954817	3255	1996-10-29	PRIJEM	VKLAD	1100	53634	\N	\N	\N
954818	3255	1996-11-28	PRIJEM	VKLAD	2900	56747	\N	\N	\N
954819	3255	1996-12-28	PRIJEM	VKLAD	3300	60260	\N	\N	\N
954820	3255	1997-01-27	PRIJEM	VKLAD	3600	64074	\N	\N	\N
954821	3255	1997-02-26	PRIJEM	VKLAD	1200	65487	\N	\N	\N
954822	3255	1997-03-28	PRIJEM	VKLAD	3900	69600	\N	\N	\N
954823	3255	1997-04-27	PRIJEM	VKLAD	2800	72614	\N	\N	\N
954824	3255	1997-05-27	VYDAJ	VYBER	100	72727	\N	\N	\N
954825	3255	1997-06-26	PRIJEM	VKLAD	1100	74040	\N	\N	\N
954826	3255	1997-07-26	VYDAJ	VYBER	600	73654	\N	\N	\N
954827	3255	1997-08-25	PRIJEM	VKLAD	1300	75167	\N	\N	\N
954828	3255	1997-09-24	PRIJEM	VKLAD	3600	78980	\N	\N	\N
954829	3255	1997-10-24	PRIJEM	VKLAD	2100	81294	\N	\N	\N
954830	3255	1997-11-23	PRIJEM	VKLAD	1800	83307	\N	\N	\N
954831	3255	1997-12-23	VYDAJ	VYBER	2200	81320	\N	\N	\N
954832	3255	1998-01-22	PRIJEM	VKLAD	2300	83834	\N	\N	\N
954833	3255	1998-02-21	PRIJEM	VKLAD	8200	92247	\N	\N	\N
954834	3255	1998-03-23	PRIJEM	VKLAD	1600	94060	\N	\N	\N
954835	3255	1998-04-22	PRIJEM	VKLAD	5700	99974	\N	\N	\N
954836	3255	1998-05-22	PRIJEM	VKLAD	3100	103287	\N	\N	\N
954837	3255	1998-06-21	PRIJEM	VKLAD	1900	105400	\N	\N	\N
954838	3255	1998-07-21	PRIJEM	VKLAD	1400	107014	\N	\N	\N
954839	3255	1998-08-20	PRIJEM	VKLAD	4500	111727	\N	\N	\N
954840	3255	1998-09-19	PRIJEM	VKLAD	5800	117740	\N	\N	\N
954841	3255	1998-10-19	PRIJEM	VKLAD	2500	120454	\N	\N	\N
954842	3255	1998-11-18	PRIJEM	VKLAD	2100	122767	\N	\N	\N
954843	3255	1998-12-18	PRIJEM	VKLAD	4400	127380	\N	\N	\N
954873	3256	1996-11-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
954885	3256	1996-12-12	PRIJEM	VKLAD	15126	16126	\N	\N	\N
954886	3256	1997-01-12	PRIJEM	VKLAD	10084	34052	\N	\N	\N
954887	3256	1997-02-12	PRIJEM	VKLAD	10084	39446	\N	\N	\N
954888	3256	1997-03-12	PRIJEM	VKLAD	10084	40453	\N	\N	\N
954889	3256	1997-04-12	PRIJEM	VKLAD	10084	42467	\N	\N	\N
954890	3256	1997-05-12	PRIJEM	VKLAD	10084	35010	\N	\N	\N
954891	3256	1997-06-12	PRIJEM	VKLAD	15126	38731	\N	\N	\N
954892	3256	1997-07-12	PRIJEM	VKLAD	10084	16771	\N	\N	\N
954893	3256	1997-08-12	PRIJEM	VKLAD	10084	26595	\N	\N	\N
954894	3256	1997-09-12	PRIJEM	VKLAD	10084	32152	\N	\N	\N
954895	3256	1997-10-12	PRIJEM	VKLAD	10084	35427	\N	\N	\N
954896	3256	1997-11-12	PRIJEM	VKLAD	10084	31966	\N	\N	\N
954897	3256	1997-12-12	PRIJEM	VKLAD	15126	35875	\N	\N	\N
954898	3256	1998-01-12	PRIJEM	VKLAD	10084	24879	\N	\N	\N
954899	3256	1998-02-12	PRIJEM	VKLAD	10084	17209	\N	\N	\N
954900	3256	1998-03-12	PRIJEM	VKLAD	10084	18121	\N	\N	\N
954901	3256	1998-04-12	PRIJEM	VKLAD	10084	17929	\N	\N	\N
954902	3256	1998-05-12	PRIJEM	VKLAD	10084	18337	\N	\N	\N
954903	3256	1998-06-12	PRIJEM	VKLAD	15126	23087	\N	\N	\N
954904	3256	1998-07-12	PRIJEM	VKLAD	10084	21116	\N	\N	\N
954905	3256	1998-08-12	PRIJEM	VKLAD	10084	14518	\N	\N	\N
954906	3256	1998-09-12	PRIJEM	VKLAD	10084	17920	\N	\N	\N
954907	3256	1998-10-12	PRIJEM	VKLAD	10084	21336	\N	\N	\N
954908	3256	1998-11-12	PRIJEM	VKLAD	10084	23806	\N	\N	\N
954909	3256	1998-12-12	PRIJEM	VKLAD	15126	30209	\N	\N	\N
954926	3256	1997-05-10	VYDAJ	PREVOD NA UCET	2232	29416	SIPO	EF	87682252
954927	3256	1997-06-10	VYDAJ	PREVOD NA UCET	2232	28095	SIPO	EF	87682252
954928	3256	1997-07-10	VYDAJ	PREVOD NA UCET	2232	11177	SIPO	EF	87682252
954929	3256	1997-08-10	VYDAJ	PREVOD NA UCET	2232	21001	SIPO	EF	87682252
954930	3256	1997-09-10	VYDAJ	PREVOD NA UCET	2232	26558	SIPO	EF	87682252
954931	3256	1997-10-10	VYDAJ	PREVOD NA UCET	2232	29833	SIPO	EF	87682252
954932	3256	1997-11-10	VYDAJ	PREVOD NA UCET	2232	26372	SIPO	EF	87682252
954933	3256	1997-12-10	VYDAJ	PREVOD NA UCET	2232	25239	SIPO	EF	87682252
954934	3256	1998-01-10	VYDAJ	PREVOD NA UCET	2232	19285	SIPO	EF	87682252
954935	3256	1998-02-10	VYDAJ	PREVOD NA UCET	2232	11615	SIPO	EF	87682252
954936	3256	1998-03-10	VYDAJ	PREVOD NA UCET	2232	12527	SIPO	EF	87682252
954937	3256	1998-04-10	VYDAJ	PREVOD NA UCET	2232	12335	SIPO	EF	87682252
954938	3256	1998-05-10	VYDAJ	PREVOD NA UCET	2232	12743	SIPO	EF	87682252
954939	3256	1998-06-10	VYDAJ	PREVOD NA UCET	2232	12451	SIPO	EF	87682252
954940	3256	1998-07-10	VYDAJ	PREVOD NA UCET	2232	15522	SIPO	EF	87682252
954941	3256	1998-08-10	VYDAJ	PREVOD NA UCET	2232	8924	SIPO	EF	87682252
954942	3256	1998-09-10	VYDAJ	PREVOD NA UCET	2232	12326	SIPO	EF	87682252
954943	3256	1998-10-10	VYDAJ	PREVOD NA UCET	2232	15742	SIPO	EF	87682252
954944	3256	1998-11-10	VYDAJ	PREVOD NA UCET	2232	18212	SIPO	EF	87682252
954945	3256	1998-12-10	VYDAJ	PREVOD NA UCET	2232	19573	SIPO	EF	87682252
954962	3256	1997-05-11	VYDAJ	PREVOD NA UCET	4490	24926	 	WX	73508322
954963	3256	1997-06-11	VYDAJ	PREVOD NA UCET	4490	23605	 	WX	73508322
954964	3256	1997-07-11	VYDAJ	PREVOD NA UCET	4490	6687	 	WX	73508322
954965	3256	1997-08-11	VYDAJ	PREVOD NA UCET	4490	16511	 	WX	73508322
954966	3256	1997-09-11	VYDAJ	PREVOD NA UCET	4490	22068	 	WX	73508322
954967	3256	1997-10-11	VYDAJ	PREVOD NA UCET	4490	25343	 	WX	73508322
954968	3256	1997-11-11	VYDAJ	PREVOD NA UCET	4490	21882	 	WX	73508322
954969	3256	1997-12-11	VYDAJ	PREVOD NA UCET	4490	20749	 	WX	73508322
954970	3256	1998-01-11	VYDAJ	PREVOD NA UCET	4490	14795	 	WX	73508322
954971	3256	1998-02-11	VYDAJ	PREVOD NA UCET	4490	7125	 	WX	73508322
954972	3256	1998-03-11	VYDAJ	PREVOD NA UCET	4490	8037	 	WX	73508322
954973	3256	1998-04-11	VYDAJ	PREVOD NA UCET	4490	7845	 	WX	73508322
954974	3256	1998-05-11	VYDAJ	PREVOD NA UCET	4490	8253	 	WX	73508322
954975	3256	1998-06-11	VYDAJ	PREVOD NA UCET	4490	7961	 	WX	73508322
954976	3256	1998-07-11	VYDAJ	PREVOD NA UCET	4490	11032	 	WX	73508322
954977	3256	1998-08-11	VYDAJ	PREVOD NA UCET	4490	4434	 	WX	73508322
954978	3256	1998-09-11	VYDAJ	PREVOD NA UCET	4490	7836	 	WX	73508322
954979	3256	1998-10-11	VYDAJ	PREVOD NA UCET	4490	11252	 	WX	73508322
954980	3256	1998-11-11	VYDAJ	PREVOD NA UCET	4490	13722	 	WX	73508322
954981	3256	1998-12-11	VYDAJ	PREVOD NA UCET	4490	15083	 	WX	73508322
954983	3256	1997-06-22	VYDAJ	VYBER	21120	13311	\N	\N	\N
954989	3256	1997-12-19	VYDAJ	VYBER	1120	27655	\N	\N	\N
954990	3256	1998-12-02	VYDAJ	VYBER	2080	21805	\N	\N	\N
955003	3256	1998-01-28	VYDAJ	VYBER	3240	13779	\N	\N	\N
955004	3256	1998-01-04	VYDAJ	VYBER	3000	21517	\N	\N	\N
955005	3256	1998-01-17	VYDAJ	VYBER	1680	17019	\N	\N	\N
955006	3256	1998-01-15	VYDAJ	VYBER	600	18699	\N	\N	\N
955007	3256	1998-01-15	VYDAJ	VYBER	2280	19299	\N	\N	\N
955008	3256	1998-01-04	VYDAJ	VYBER	3240	24517	\N	\N	\N
955016	3256	1997-11-10	VYDAJ	VYBER	2640	28604	\N	\N	\N
955017	3256	1997-04-22	VYDAJ	VYBER	5640	31527	\N	\N	\N
955018	3256	1998-11-06	VYDAJ	VYBER	960	20444	\N	\N	\N
955039	3256	1997-04-30	VYDAJ	VYBER	15	31648	SLUZBY	\N	\N
955040	3256	1997-05-31	VYDAJ	VYBER	15	30327	SLUZBY	\N	\N
955041	3256	1997-06-30	VYDAJ	VYBER	15	13409	SLUZBY	\N	\N
955042	3256	1997-07-31	VYDAJ	VYBER	15	23233	SLUZBY	\N	\N
955043	3256	1997-08-31	VYDAJ	VYBER	15	28790	SLUZBY	\N	\N
955044	3256	1997-09-30	VYDAJ	VYBER	15	32065	SLUZBY	\N	\N
955045	3256	1997-10-31	VYDAJ	VYBER	15	31244	SLUZBY	\N	\N
955046	3256	1997-11-30	VYDAJ	VYBER	15	27471	SLUZBY	\N	\N
955047	3256	1997-12-31	VYDAJ	VYBER	15	27757	SLUZBY	\N	\N
955048	3256	1998-01-31	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
955049	3256	1998-02-28	VYDAJ	VYBER	15	14759	SLUZBY	\N	\N
955050	3256	1998-03-31	VYDAJ	VYBER	15	14567	SLUZBY	\N	\N
955051	3256	1998-04-30	VYDAJ	VYBER	15	14975	SLUZBY	\N	\N
955052	3256	1998-05-31	VYDAJ	VYBER	15	14683	SLUZBY	\N	\N
955053	3256	1998-06-30	VYDAJ	VYBER	15	17754	SLUZBY	\N	\N
955054	3256	1998-07-31	VYDAJ	VYBER	15	11156	SLUZBY	\N	\N
955055	3256	1998-08-31	VYDAJ	VYBER	15	14558	SLUZBY	\N	\N
955056	3256	1998-09-30	VYDAJ	VYBER	15	17974	SLUZBY	\N	\N
955057	3256	1998-10-31	VYDAJ	VYBER	15	21404	SLUZBY	\N	\N
955058	3256	1998-11-30	VYDAJ	VYBER	15	23885	SLUZBY	\N	\N
955059	3256	1996-12-19	PRIJEM	VKLAD	7800	23926	\N	\N	\N
955060	3256	1997-01-18	VYDAJ	VYBER	4800	29252	\N	\N	\N
955061	3256	1997-02-17	VYDAJ	VYBER	9200	30246	\N	\N	\N
955062	3256	1997-03-19	VYDAJ	VYBER	8200	32253	\N	\N	\N
955063	3256	1997-04-18	VYDAJ	VYBER	5300	37167	\N	\N	\N
955064	3256	1997-05-18	VYDAJ	VYBER	4800	30210	\N	\N	\N
955065	3256	1997-06-17	VYDAJ	VYBER	4300	34431	\N	\N	\N
955066	3256	1997-07-17	PRIJEM	VKLAD	6400	23171	\N	\N	\N
955067	3256	1997-08-16	PRIJEM	VKLAD	2100	28695	\N	\N	\N
955068	3256	1997-09-15	VYDAJ	VYBER	200	31952	\N	\N	\N
955069	3256	1997-10-15	VYDAJ	VYBER	4300	31127	\N	\N	\N
955070	3256	1997-11-14	VYDAJ	VYBER	4600	27366	\N	\N	\N
955071	3256	1997-12-14	VYDAJ	VYBER	7100	28775	\N	\N	\N
955072	3256	1998-01-13	VYDAJ	VYBER	3300	21579	\N	\N	\N
955073	3256	1998-02-12	VYDAJ	VYBER	2500	14709	\N	\N	\N
955074	3256	1998-03-14	VYDAJ	VYBER	3600	14521	\N	\N	\N
955075	3256	1998-04-13	VYDAJ	VYBER	3000	14929	\N	\N	\N
955076	3256	1998-05-13	VYDAJ	VYBER	3700	14637	\N	\N	\N
955077	3256	1998-06-12	VYDAJ	VYBER	5400	17687	\N	\N	\N
955078	3256	1998-07-12	VYDAJ	VYBER	10000	11116	\N	\N	\N
955583	3258	1993-06-05	PRIJEM	VKLAD	300	300	\N	\N	\N
955584	3258	1993-07-01	PRIJEM	VKLAD	17829	18129	\N	\N	\N
955585	3258	1993-08-16	PRIJEM	VKLAD	30949	53348	\N	\N	\N
955586	3258	1994-05-06	PRIJEM	VKLAD	37002	72157	\N	\N	\N
955587	3258	1994-04-30	PRIJEM	VKLAD	20512	47255	\N	\N	\N
955588	3258	1994-06-13	PRIJEM	VKLAD	21707	70544	\N	\N	\N
955589	3258	1994-07-12	PRIJEM	VKLAD	6372	44427	\N	\N	\N
955590	3258	1994-08-25	PRIJEM	VKLAD	16023	36839	\N	\N	\N
955591	3258	1994-11-23	PRIJEM	VKLAD	14384	42367	\N	\N	\N
955592	3258	1994-12-17	PRIJEM	VKLAD	35683	59096	\N	\N	\N
955593	3258	1994-09-05	PRIJEM	VKLAD	34290	69333	\N	\N	\N
955594	3258	1994-09-23	PRIJEM	VKLAD	16487	77042	\N	\N	\N
955595	3258	1995-08-26	PRIJEM	VKLAD	8818	38215	\N	\N	\N
955596	3258	1995-06-30	PRIJEM	VKLAD	47724	66655	\N	\N	\N
955597	3258	1995-10-25	PRIJEM	VKLAD	15605	34971	\N	\N	\N
955598	3258	1995-10-25	PRIJEM	VKLAD	43607	78578	\N	\N	\N
955599	3258	1996-10-02	PRIJEM	VKLAD	20090	81948	\N	\N	\N
955600	3258	1996-04-23	PRIJEM	VKLAD	6189	47352	\N	\N	\N
955601	3258	1996-01-29	PRIJEM	VKLAD	8709	32658	\N	\N	\N
955602	3258	1996-02-20	PRIJEM	VKLAD	32540	56510	\N	\N	\N
955603	3258	1996-09-26	PRIJEM	VKLAD	9901	61666	\N	\N	\N
955604	3258	1996-03-01	PRIJEM	VKLAD	34590	78487	\N	\N	\N
955605	3258	1996-09-10	PRIJEM	VKLAD	40237	72765	\N	\N	\N
955606	3258	1996-02-21	PRIJEM	VKLAD	9595	51405	\N	\N	\N
955607	3258	1996-10-11	PRIJEM	VKLAD	13146	86316	\N	\N	\N
955608	3258	1996-09-09	PRIJEM	VKLAD	16555	32528	\N	\N	\N
955609	3258	1996-10-12	PRIJEM	VKLAD	37749	124065	\N	\N	\N
955610	3258	1997-02-01	PRIJEM	VKLAD	6666	61480	\N	\N	\N
955611	3258	1997-08-23	PRIJEM	VKLAD	39774	100291	\N	\N	\N
955612	3258	1997-04-21	PRIJEM	VKLAD	46885	86846	\N	\N	\N
955613	3258	1997-07-02	PRIJEM	VKLAD	35615	82898	\N	\N	\N
955614	3258	1997-03-11	PRIJEM	VKLAD	44279	105557	\N	\N	\N
955615	3258	1997-02-04	PRIJEM	VKLAD	10605	60784	\N	\N	\N
955616	3258	1997-12-22	PRIJEM	VKLAD	30152	78267	\N	\N	\N
955617	3258	1997-01-31	PRIJEM	VKLAD	27095	54829	\N	\N	\N
955618	3258	1997-03-09	PRIJEM	VKLAD	31279	61278	\N	\N	\N
955619	3258	1997-11-01	PRIJEM	VKLAD	16698	61074	\N	\N	\N
955620	3258	1997-10-15	PRIJEM	VKLAD	22802	87704	\N	\N	\N
955621	3258	1997-09-15	PRIJEM	VKLAD	31304	100532	\N	\N	\N
955622	3258	1997-08-03	PRIJEM	VKLAD	27366	89695	\N	\N	\N
955623	3258	1997-07-19	PRIJEM	VKLAD	10349	71669	\N	\N	\N
955624	3258	1997-11-11	PRIJEM	VKLAD	45512	97808	\N	\N	\N
955625	3258	1997-06-20	PRIJEM	VKLAD	9327	47138	\N	\N	\N
955626	3258	1997-04-02	PRIJEM	VKLAD	42317	114039	\N	\N	\N
955627	3258	1998-09-02	PRIJEM	VKLAD	43775	136095	\N	\N	\N
955628	3258	1998-06-05	PRIJEM	VKLAD	45471	128652	\N	\N	\N
955629	3258	1998-03-10	PRIJEM	VKLAD	34814	77791	\N	\N	\N
955630	3258	1998-05-06	PRIJEM	VKLAD	43154	104696	\N	\N	\N
955631	3258	1998-12-14	PRIJEM	VKLAD	43954	95952	\N	\N	\N
955632	3258	1998-09-28	PRIJEM	VKLAD	35346	134254	\N	\N	\N
955633	3258	1998-01-27	PRIJEM	VKLAD	18089	46225	\N	\N	\N
955634	3258	1998-09-02	PRIJEM	VKLAD	22225	158320	\N	\N	\N
955635	3258	1998-02-15	PRIJEM	VKLAD	31952	65385	\N	\N	\N
955636	3258	1998-06-23	PRIJEM	VKLAD	29503	82877	\N	\N	\N
955637	3258	1998-05-16	PRIJEM	VKLAD	30064	114362	\N	\N	\N
955638	3258	1998-08-20	PRIJEM	VKLAD	36001	92042	\N	\N	\N
955639	3258	1998-03-18	PRIJEM	VKLAD	29940	90131	\N	\N	\N
955640	3258	1998-10-28	PRIJEM	VKLAD	47477	119122	\N	\N	\N
955641	3258	1998-11-12	PRIJEM	VKLAD	21542	69729	\N	\N	\N
955642	3258	1998-04-04	PRIJEM	VKLAD	46709	106416	\N	\N	\N
955643	3258	1998-05-15	PRIJEM	VKLAD	12980	84298	\N	\N	\N
955644	3258	1998-04-03	PRIJEM	VKLAD	44817	120507	\N	\N	\N
955645	3258	1998-09-22	PRIJEM	VKLAD	42467	98908	\N	\N	\N
955736	3258	1994-07-06	VYDAJ	PREVOD NA UCET	8565	38268	SIPO	IJ	52715402
955737	3258	1994-08-06	VYDAJ	PREVOD NA UCET	8565	29129	SIPO	IJ	52715402
955738	3258	1994-09-06	VYDAJ	PREVOD NA UCET	8565	60768	SIPO	IJ	52715402
955739	3258	1994-10-06	VYDAJ	PREVOD NA UCET	8565	43504	SIPO	IJ	52715402
955740	3258	1994-11-06	VYDAJ	PREVOD NA UCET	8565	28196	SIPO	IJ	52715402
955741	3258	1994-12-06	VYDAJ	PREVOD NA UCET	8565	28426	SIPO	IJ	52715402
955742	3258	1995-01-06	VYDAJ	PREVOD NA UCET	8565	14976	SIPO	IJ	52715402
955743	3258	1995-02-06	VYDAJ	PREVOD NA UCET	8565	16168	SIPO	IJ	52715402
955744	3258	1995-03-06	VYDAJ	PREVOD NA UCET	8565	14855	SIPO	IJ	52715402
955745	3258	1995-04-06	VYDAJ	PREVOD NA UCET	8565	12436	SIPO	IJ	52715402
955746	3258	1995-05-06	VYDAJ	PREVOD NA UCET	8565	11107	SIPO	IJ	52715402
955747	3258	1995-06-06	VYDAJ	PREVOD NA UCET	8565	11775	SIPO	IJ	52715402
955748	3258	1995-07-06	VYDAJ	PREVOD NA UCET	8565	58075	SIPO	IJ	52715402
955749	3258	1995-08-06	VYDAJ	PREVOD NA UCET	8565	28610	SIPO	IJ	52715402
955750	3258	1995-09-06	VYDAJ	PREVOD NA UCET	8565	22270	SIPO	IJ	52715402
955751	3258	1995-10-06	VYDAJ	PREVOD NA UCET	8565	13279	SIPO	IJ	52715402
955752	3258	1995-11-06	VYDAJ	PREVOD NA UCET	8565	70124	SIPO	IJ	52715402
955753	3258	1995-12-06	VYDAJ	PREVOD NA UCET	8565	40003	SIPO	IJ	52715402
955754	3258	1996-01-06	VYDAJ	PREVOD NA UCET	8565	21862	SIPO	IJ	52715402
955755	3258	1996-02-06	VYDAJ	PREVOD NA UCET	8565	24183	SIPO	IJ	52715402
955756	3258	1996-03-06	VYDAJ	PREVOD NA UCET	8565	69922	SIPO	IJ	52715402
955757	3258	1996-04-06	VYDAJ	PREVOD NA UCET	8565	43876	SIPO	IJ	52715402
955758	3258	1996-05-06	VYDAJ	PREVOD NA UCET	8565	19176	SIPO	IJ	52715402
955759	3258	1996-06-06	VYDAJ	PREVOD NA UCET	8565	13823	SIPO	IJ	52715402
955760	3258	1996-07-06	VYDAJ	PREVOD NA UCET	8565	12707	SIPO	IJ	52715402
955761	3258	1996-08-06	VYDAJ	PREVOD NA UCET	8565	14692	SIPO	IJ	52715402
955762	3258	1996-09-06	VYDAJ	PREVOD NA UCET	8565	16186	SIPO	IJ	52715402
955763	3258	1996-10-06	VYDAJ	PREVOD NA UCET	8565	73383	SIPO	IJ	52715402
955764	3258	1996-11-06	VYDAJ	PREVOD NA UCET	8565	45613	SIPO	IJ	52715402
955765	3258	1996-12-06	VYDAJ	PREVOD NA UCET	8565	24108	SIPO	IJ	52715402
955766	3258	1997-01-06	VYDAJ	PREVOD NA UCET	8565	21334	SIPO	IJ	52715402
955767	3258	1997-02-06	VYDAJ	PREVOD NA UCET	8565	34344	SIPO	IJ	52715402
955768	3258	1997-03-06	VYDAJ	PREVOD NA UCET	8565	30212	SIPO	IJ	52715402
955769	3258	1997-04-06	VYDAJ	PREVOD NA UCET	8565	43774	SIPO	IJ	52715402
955770	3258	1997-05-06	VYDAJ	PREVOD NA UCET	8565	78511	SIPO	IJ	52715402
955771	3258	1997-06-06	VYDAJ	PREVOD NA UCET	8565	27024	SIPO	IJ	52715402
955772	3258	1997-07-06	VYDAJ	PREVOD NA UCET	8565	74333	SIPO	IJ	52715402
955773	3258	1997-08-06	VYDAJ	PREVOD NA UCET	8565	81130	SIPO	IJ	52715402
955774	3258	1997-09-06	VYDAJ	PREVOD NA UCET	8565	92041	SIPO	IJ	52715402
955775	3258	1997-10-06	VYDAJ	PREVOD NA UCET	8565	87615	SIPO	IJ	52715402
955776	3258	1997-11-06	VYDAJ	PREVOD NA UCET	8565	52509	SIPO	IJ	52715402
955777	3258	1997-12-06	VYDAJ	PREVOD NA UCET	8565	56228	SIPO	IJ	52715402
955778	3258	1998-01-06	VYDAJ	PREVOD NA UCET	8565	69953	SIPO	IJ	52715402
955779	3258	1998-02-06	VYDAJ	PREVOD NA UCET	8565	18746	SIPO	IJ	52715402
955780	3258	1998-03-06	VYDAJ	PREVOD NA UCET	8565	43190	SIPO	IJ	52715402
955781	3258	1998-04-06	VYDAJ	PREVOD NA UCET	8565	97851	SIPO	IJ	52715402
955782	3258	1998-05-06	VYDAJ	PREVOD NA UCET	8565	96131	SIPO	IJ	52715402
955783	3258	1998-06-06	VYDAJ	PREVOD NA UCET	8565	64287	SIPO	IJ	52715402
955784	3258	1998-07-06	VYDAJ	PREVOD NA UCET	8565	74572	SIPO	IJ	52715402
955785	3258	1998-08-06	VYDAJ	PREVOD NA UCET	8565	53254	SIPO	IJ	52715402
955786	3258	1998-09-06	VYDAJ	PREVOD NA UCET	8565	86755	SIPO	IJ	52715402
955787	3258	1998-10-06	VYDAJ	PREVOD NA UCET	8565	88958	SIPO	IJ	52715402
955788	3258	1998-11-06	VYDAJ	PREVOD NA UCET	8565	48400	SIPO	IJ	52715402
955789	3258	1998-12-06	VYDAJ	PREVOD NA UCET	8565	52211	SIPO	IJ	52715402
955808	3258	1994-07-08	VYDAJ	PREVOD NA UCET	213	38055	 	GH	98635321
955809	3258	1994-08-08	VYDAJ	PREVOD NA UCET	213	28916	 	GH	98635321
955810	3258	1994-09-08	VYDAJ	PREVOD NA UCET	213	60555	 	GH	98635321
955811	3258	1994-10-08	VYDAJ	PREVOD NA UCET	213	43291	 	GH	98635321
955812	3258	1994-11-08	VYDAJ	PREVOD NA UCET	213	27983	 	GH	98635321
955813	3258	1994-12-08	VYDAJ	PREVOD NA UCET	213	28213	 	GH	98635321
955814	3258	1995-01-08	VYDAJ	PREVOD NA UCET	213	14763	 	GH	98635321
955815	3258	1995-02-08	VYDAJ	PREVOD NA UCET	213	15955	 	GH	98635321
955816	3258	1995-03-08	VYDAJ	PREVOD NA UCET	213	14642	 	GH	98635321
955817	3258	1995-04-08	VYDAJ	PREVOD NA UCET	213	12223	 	GH	98635321
955818	3258	1995-05-08	VYDAJ	PREVOD NA UCET	213	10894	 	GH	98635321
955819	3258	1995-06-08	VYDAJ	PREVOD NA UCET	213	11562	 	GH	98635321
955820	3258	1995-07-08	VYDAJ	PREVOD NA UCET	213	57862	 	GH	98635321
955821	3258	1995-08-08	VYDAJ	PREVOD NA UCET	213	28397	 	GH	98635321
955822	3258	1995-09-08	VYDAJ	PREVOD NA UCET	213	22057	 	GH	98635321
955823	3258	1995-10-08	VYDAJ	PREVOD NA UCET	213	13066	 	GH	98635321
955824	3258	1995-11-08	VYDAJ	PREVOD NA UCET	213	69911	 	GH	98635321
955825	3258	1995-12-08	VYDAJ	PREVOD NA UCET	213	39790	 	GH	98635321
955826	3258	1996-01-08	VYDAJ	PREVOD NA UCET	213	21649	 	GH	98635321
955827	3258	1996-02-08	VYDAJ	PREVOD NA UCET	213	23970	 	GH	98635321
955828	3258	1996-03-08	VYDAJ	PREVOD NA UCET	213	69709	 	GH	98635321
955829	3258	1996-04-08	VYDAJ	PREVOD NA UCET	213	43663	 	GH	98635321
955830	3258	1996-05-08	VYDAJ	PREVOD NA UCET	213	18963	 	GH	98635321
955831	3258	1996-06-08	VYDAJ	PREVOD NA UCET	213	13610	 	GH	98635321
955832	3258	1996-07-08	VYDAJ	PREVOD NA UCET	213	12494	 	GH	98635321
955833	3258	1996-08-08	VYDAJ	PREVOD NA UCET	213	14479	 	GH	98635321
955834	3258	1996-09-08	VYDAJ	PREVOD NA UCET	213	15973	 	GH	98635321
955835	3258	1996-10-08	VYDAJ	PREVOD NA UCET	213	73170	 	GH	98635321
955836	3258	1996-11-08	VYDAJ	PREVOD NA UCET	213	45400	 	GH	98635321
955837	3258	1996-12-08	VYDAJ	PREVOD NA UCET	213	23895	 	GH	98635321
955838	3258	1997-01-08	VYDAJ	PREVOD NA UCET	213	21121	 	GH	98635321
955839	3258	1997-02-08	VYDAJ	PREVOD NA UCET	213	34131	 	GH	98635321
955840	3258	1997-03-08	VYDAJ	PREVOD NA UCET	213	29999	 	GH	98635321
955841	3258	1997-04-08	VYDAJ	PREVOD NA UCET	213	43561	 	GH	98635321
955842	3258	1997-05-08	VYDAJ	PREVOD NA UCET	213	78298	 	GH	98635321
955843	3258	1997-06-08	VYDAJ	PREVOD NA UCET	213	26811	 	GH	98635321
955844	3258	1997-07-08	VYDAJ	PREVOD NA UCET	213	74120	 	GH	98635321
955845	3258	1997-08-08	VYDAJ	PREVOD NA UCET	213	80917	 	GH	98635321
955846	3258	1997-09-08	VYDAJ	PREVOD NA UCET	213	91828	 	GH	98635321
955847	3258	1997-10-08	VYDAJ	PREVOD NA UCET	213	87402	 	GH	98635321
955848	3258	1997-11-08	VYDAJ	PREVOD NA UCET	213	52296	 	GH	98635321
955849	3258	1997-12-08	VYDAJ	PREVOD NA UCET	213	56015	 	GH	98635321
955850	3258	1998-01-08	VYDAJ	PREVOD NA UCET	213	69740	 	GH	98635321
955851	3258	1998-02-08	VYDAJ	PREVOD NA UCET	213	18533	 	GH	98635321
955852	3258	1998-03-08	VYDAJ	PREVOD NA UCET	213	42977	 	GH	98635321
955853	3258	1998-04-08	VYDAJ	PREVOD NA UCET	213	97638	 	GH	98635321
955854	3258	1998-05-08	VYDAJ	PREVOD NA UCET	213	95918	 	GH	98635321
955855	3258	1998-06-08	VYDAJ	PREVOD NA UCET	213	64074	 	GH	98635321
955856	3258	1998-07-08	VYDAJ	PREVOD NA UCET	213	74359	 	GH	98635321
955857	3258	1998-08-08	VYDAJ	PREVOD NA UCET	213	56041	 	GH	98635321
955858	3258	1998-09-08	VYDAJ	PREVOD NA UCET	213	76342	 	GH	98635321
955859	3258	1998-10-08	VYDAJ	PREVOD NA UCET	213	71645	 	GH	98635321
955860	3258	1998-11-08	VYDAJ	PREVOD NA UCET	213	48187	 	GH	98635321
955861	3258	1998-12-08	VYDAJ	PREVOD NA UCET	213	51998	 	GH	98635321
955880	3258	1996-02-24	VYBER	VYBER	7632	43773	\N	\N	\N
955881	3258	1996-04-28	VYBER	VYBER	19780	27572	\N	\N	\N
955882	3258	1996-06-05	VYBER	VYBER	4259	22388	\N	\N	\N
955883	3258	1997-02-04	VYBER	VYBER	17875	42909	\N	\N	\N
955884	3258	1997-02-02	VYBER	VYBER	11301	50179	\N	\N	\N
955885	3258	1997-11-11	VYBER	VYBER	16688	81120	\N	\N	\N
955886	3258	1997-10-18	VYBER	VYBER	13702	74002	\N	\N	\N
955887	3258	1997-05-20	VYBER	VYBER	18051	41047	\N	\N	\N
955888	3258	1997-09-23	VYBER	VYBER	4731	95801	\N	\N	\N
955890	3258	1997-10-24	VYBER	VYBER	23695	44089	\N	\N	\N
955891	3258	1997-10-23	VYBER	VYBER	6218	67784	\N	\N	\N
955893	3258	1998-10-30	VYBER	VYBER	14055	60467	\N	\N	\N
955894	3258	1998-01-11	VYBER	VYBER	23304	33536	\N	\N	\N
955895	3258	1998-12-28	VYBER	VYBER	7476	88476	\N	\N	\N
955896	3258	1998-09-16	VYBER	VYBER	19901	56441	\N	\N	\N
955897	3258	1998-02-05	VYBER	VYBER	19091	27311	\N	\N	\N
955906	3258	1995-12-11	VYDAJ	VYBER	5700	34090	\N	\N	\N
955907	3258	1996-12-19	VYDAJ	VYBER	1500	29795	\N	\N	\N
955908	3258	1997-12-11	VYDAJ	VYBER	6000	48115	\N	\N	\N
955909	3258	1998-12-02	VYDAJ	VYBER	8400	61576	\N	\N	\N
955917	3258	1994-12-21	VYDAJ	VYBER	7800	51296	\N	\N	\N
955919	3258	1994-12-24	VYDAJ	VYBER	6900	44396	\N	\N	\N
955920	3258	1994-12-10	VYDAJ	VYBER	4800	23413	\N	\N	\N
955921	3258	1994-08-09	VYDAJ	VYBER	8100	20816	\N	\N	\N
955922	3258	1995-07-24	VYDAJ	VYBER	11700	46162	\N	\N	\N
955924	3258	1995-01-05	VYDAJ	VYBER	14400	23541	\N	\N	\N
955925	3258	1995-09-02	VYDAJ	VYBER	7500	30835	\N	\N	\N
955927	3258	1996-10-22	VYDAJ	VYBER	7800	68265	\N	\N	\N
955928	3258	1996-09-10	VYDAJ	VYBER	1500	71265	\N	\N	\N
955929	3258	1996-11-01	VYDAJ	VYBER	14400	54178	\N	\N	\N
955930	3258	1996-11-27	VYDAJ	VYBER	7200	32500	\N	\N	\N
955931	3258	1997-05-12	VYDAJ	VYBER	6000	72298	\N	\N	\N
955932	3258	1997-07-31	VYDAJ	VYBER	6000	65929	\N	\N	\N
955933	3258	1997-08-02	VYDAJ	VYBER	3600	62329	\N	\N	\N
955934	3258	1997-06-01	VYDAJ	VYBER	5700	35589	\N	\N	\N
955935	3258	1998-03-22	VYDAJ	VYBER	14700	75431	\N	\N	\N
955936	3258	1998-01-16	VYDAJ	VYBER	5400	28136	\N	\N	\N
955937	3258	1998-04-24	VYDAJ	VYBER	11100	61238	\N	\N	\N
955938	3258	1998-11-05	VYDAJ	VYBER	12900	47865	\N	\N	\N
955939	3258	1998-02-19	VYDAJ	VYBER	13800	51585	\N	\N	\N
955940	3258	1998-05-25	VYDAJ	VYBER	6000	82862	\N	\N	\N
955959	3258	1994-06-30	VYDAJ	VYBER	15	46833	SLUZBY	\N	\N
955960	3258	1994-07-31	VYDAJ	VYBER	15	37694	SLUZBY	\N	\N
955961	3258	1994-08-31	VYDAJ	VYBER	15	35043	SLUZBY	\N	\N
955962	3258	1994-09-30	VYDAJ	VYBER	15	52069	SLUZBY	\N	\N
955963	3258	1994-10-31	VYDAJ	VYBER	15	36761	SLUZBY	\N	\N
955964	3258	1994-11-30	VYDAJ	VYBER	15	36991	SLUZBY	\N	\N
955965	3258	1994-12-31	VYDAJ	VYBER	15	37941	SLUZBY	\N	\N
955966	3258	1995-01-31	VYDAJ	VYBER	15	24733	SLUZBY	\N	\N
955967	3258	1995-02-28	VYDAJ	VYBER	15	23420	SLUZBY	\N	\N
955968	3258	1995-03-31	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
955969	3258	1995-04-30	VYDAJ	VYBER	15	19672	SLUZBY	\N	\N
955970	3258	1995-05-31	VYDAJ	VYBER	15	20340	SLUZBY	\N	\N
955971	3258	1995-06-30	VYDAJ	VYBER	15	66640	SLUZBY	\N	\N
955972	3258	1995-07-31	VYDAJ	VYBER	15	37175	SLUZBY	\N	\N
955973	3258	1995-08-31	VYDAJ	VYBER	15	38335	SLUZBY	\N	\N
955974	3258	1995-09-30	VYDAJ	VYBER	15	21844	SLUZBY	\N	\N
955975	3258	1995-10-31	VYDAJ	VYBER	15	78689	SLUZBY	\N	\N
955976	3258	1995-11-30	VYDAJ	VYBER	15	48568	SLUZBY	\N	\N
955977	3258	1995-12-31	VYDAJ	VYBER	15	30427	SLUZBY	\N	\N
955978	3258	1996-01-31	VYDAJ	VYBER	15	32748	SLUZBY	\N	\N
955979	3258	1996-02-29	VYDAJ	VYBER	15	43897	SLUZBY	\N	\N
955980	3258	1996-03-31	VYDAJ	VYBER	15	52441	SLUZBY	\N	\N
955981	3258	1996-04-30	VYDAJ	VYBER	15	27741	SLUZBY	\N	\N
955982	3258	1996-05-31	VYDAJ	VYBER	15	26647	SLUZBY	\N	\N
955983	3258	1996-06-30	VYDAJ	VYBER	15	21272	SLUZBY	\N	\N
955984	3258	1996-07-31	VYDAJ	VYBER	15	23257	SLUZBY	\N	\N
955985	3258	1996-08-31	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
955986	3258	1996-09-30	VYDAJ	VYBER	15	61858	SLUZBY	\N	\N
955987	3258	1996-10-31	VYDAJ	VYBER	15	68578	SLUZBY	\N	\N
955988	3258	1996-11-30	VYDAJ	VYBER	15	32673	SLUZBY	\N	\N
955989	3258	1996-12-31	VYDAJ	VYBER	15	29899	SLUZBY	\N	\N
955990	3258	1997-01-31	VYDAJ	VYBER	15	54814	SLUZBY	\N	\N
955991	3258	1997-02-28	VYDAJ	VYBER	15	38777	SLUZBY	\N	\N
955992	3258	1997-03-31	VYDAJ	VYBER	15	71722	SLUZBY	\N	\N
955993	3258	1997-04-30	VYDAJ	VYBER	15	87076	SLUZBY	\N	\N
955994	3258	1997-05-31	VYDAJ	VYBER	15	41289	SLUZBY	\N	\N
955995	3258	1997-06-30	VYDAJ	VYBER	15	47283	SLUZBY	\N	\N
955996	3258	1997-07-31	VYDAJ	VYBER	15	71929	SLUZBY	\N	\N
955997	3258	1997-08-31	VYDAJ	VYBER	15	100606	SLUZBY	\N	\N
955998	3258	1997-09-30	VYDAJ	VYBER	15	96180	SLUZBY	\N	\N
955999	3258	1997-10-31	VYDAJ	VYBER	15	44376	SLUZBY	\N	\N
956000	3258	1997-11-30	VYDAJ	VYBER	15	64793	SLUZBY	\N	\N
956001	3258	1997-12-31	VYDAJ	VYBER	15	78518	SLUZBY	\N	\N
956002	3258	1998-01-31	VYDAJ	VYBER	15	46402	SLUZBY	\N	\N
956003	3258	1998-02-28	VYDAJ	VYBER	15	51755	SLUZBY	\N	\N
956004	3258	1998-03-31	VYDAJ	VYBER	15	75690	SLUZBY	\N	\N
956005	3258	1998-04-30	VYDAJ	VYBER	15	61542	SLUZBY	\N	\N
956006	3258	1998-05-31	VYDAJ	VYBER	15	83181	SLUZBY	\N	\N
956007	3258	1998-06-30	VYDAJ	VYBER	15	83137	SLUZBY	\N	\N
956008	3258	1998-07-31	VYDAJ	VYBER	15	61819	SLUZBY	\N	\N
956009	3258	1998-08-31	VYDAJ	VYBER	15	92320	SLUZBY	\N	\N
956010	3258	1998-09-30	VYDAJ	VYBER	15	97523	SLUZBY	\N	\N
956011	3258	1998-10-31	VYDAJ	VYBER	15	60765	SLUZBY	\N	\N
956012	3258	1998-11-30	VYDAJ	VYBER	15	69976	SLUZBY	\N	\N
956013	3258	1993-07-05	PRIJEM	VKLAD	1200	19329	\N	\N	\N
956014	3258	1993-08-04	PRIJEM	VKLAD	3000	22399	\N	\N	\N
956015	3258	1993-09-03	VYDAJ	VYBER	12600	40902	\N	\N	\N
956016	3258	1993-10-03	VYDAJ	VYBER	6900	34224	\N	\N	\N
956017	3258	1993-11-02	VYDAJ	VYBER	4500	29946	\N	\N	\N
956018	3258	1993-12-02	VYDAJ	VYBER	2900	27269	\N	\N	\N
956019	3258	1994-01-01	VYDAJ	VYBER	400	27091	\N	\N	\N
956020	3258	1994-01-31	PRIJEM	VKLAD	300	27610	\N	\N	\N
956021	3258	1994-03-02	VYDAJ	VYBER	1800	25810	\N	\N	\N
956022	3258	1994-04-01	PRIJEM	VKLAD	700	26625	\N	\N	\N
956023	3258	1994-05-01	VYDAJ	VYBER	12100	35155	\N	\N	\N
956024	3258	1994-05-31	VYDAJ	VYBER	23600	48837	\N	\N	\N
956025	3258	1994-06-30	VYDAJ	VYBER	23900	46847	\N	\N	\N
956026	3258	1994-07-30	VYDAJ	VYBER	6900	37527	\N	\N	\N
956027	3258	1994-08-29	VYDAJ	VYBER	1900	34939	\N	\N	\N
956028	3258	1994-09-28	VYDAJ	VYBER	25200	51842	\N	\N	\N
956029	3258	1994-10-28	VYDAJ	VYBER	6700	36591	\N	\N	\N
956030	3258	1994-11-27	VYDAJ	VYBER	5500	36867	\N	\N	\N
956031	3258	1994-12-27	VYDAJ	VYBER	6600	37796	\N	\N	\N
956032	3258	1995-01-26	PRIJEM	VKLAD	9900	24663	\N	\N	\N
956033	3258	1995-02-25	PRIJEM	VKLAD	7400	23355	\N	\N	\N
956034	3258	1995-03-27	PRIJEM	VKLAD	6300	20942	\N	\N	\N
956035	3258	1995-04-26	PRIJEM	VKLAD	7400	19623	\N	\N	\N
956036	3258	1995-05-26	PRIJEM	VKLAD	9400	20294	\N	\N	\N
956037	3258	1995-06-25	PRIJEM	VKLAD	7300	18862	\N	\N	\N
956038	3258	1995-07-25	VYDAJ	VYBER	9200	36962	\N	\N	\N
956039	3258	1995-08-24	PRIJEM	VKLAD	1000	29397	\N	\N	\N
956040	3258	1995-09-23	VYDAJ	VYBER	300	21757	\N	\N	\N
956041	3258	1995-10-23	PRIJEM	VKLAD	6300	19366	\N	\N	\N
956042	3258	1995-11-22	VYDAJ	VYBER	21600	48311	\N	\N	\N
956043	3258	1995-12-22	VYDAJ	VYBER	3800	30290	\N	\N	\N
956044	3258	1996-01-21	PRIJEM	VKLAD	2300	23949	\N	\N	\N
956045	3258	1996-02-20	VYDAJ	VYBER	14700	41810	\N	\N	\N
956046	3258	1996-03-21	VYDAJ	VYBER	17500	52209	\N	\N	\N
956047	3258	1996-04-20	VYDAJ	VYBER	2500	41163	\N	\N	\N
956048	3258	1996-05-20	PRIJEM	VKLAD	7600	26563	\N	\N	\N
956049	3258	1996-06-19	PRIJEM	VKLAD	7600	21210	\N	\N	\N
956050	3258	1996-07-19	PRIJEM	VKLAD	10700	23194	\N	\N	\N
956051	3258	1996-08-18	PRIJEM	VKLAD	10200	24679	\N	\N	\N
956052	3258	1996-09-17	VYDAJ	VYBER	19500	51765	\N	\N	\N
956053	3258	1996-10-12	VYDAJ	VYBER	17000	107065	\N	\N	\N
956054	3258	1996-10-17	VYDAJ	VYBER	31000	76065	\N	\N	\N
956055	3258	1996-11-16	VYDAJ	VYBER	5700	39700	\N	\N	\N
956056	3258	1996-12-16	PRIJEM	VKLAD	7400	31295	\N	\N	\N
956057	3258	1997-01-15	PRIJEM	VKLAD	6500	27621	\N	\N	\N
956058	3258	1997-02-14	PRIJEM	VKLAD	4500	38631	\N	\N	\N
956059	3258	1997-03-16	VYDAJ	VYBER	34100	71457	\N	\N	\N
956060	3258	1997-04-02	VYDAJ	VYBER	61700	52339	\N	\N	\N
956061	3258	1997-04-15	VYDAJ	VYBER	3600	39961	\N	\N	\N
956062	3258	1997-05-15	VYDAJ	VYBER	13200	59098	\N	\N	\N
956063	3258	1997-06-14	PRIJEM	VKLAD	11000	37811	\N	\N	\N
956064	3258	1997-07-14	VYDAJ	VYBER	12800	61320	\N	\N	\N
956065	3258	1997-08-13	VYDAJ	VYBER	20400	60517	\N	\N	\N
956066	3258	1997-09-12	VYDAJ	VYBER	22600	69228	\N	\N	\N
956067	3258	1997-10-12	VYDAJ	VYBER	22500	64902	\N	\N	\N
956068	3258	1997-11-11	VYDAJ	VYBER	16600	64520	\N	\N	\N
956069	3258	1997-12-11	VYDAJ	VYBER	1900	54115	\N	\N	\N
956070	3258	1998-01-10	VYDAJ	VYBER	12900	56840	\N	\N	\N
956071	3258	1998-02-09	PRIJEM	VKLAD	14900	33433	\N	\N	\N
956072	3258	1998-03-11	VYDAJ	VYBER	17600	60191	\N	\N	\N
956073	3258	1998-04-03	VYDAJ	VYBER	60800	59707	\N	\N	\N
956074	3258	1998-04-10	VYDAJ	VYBER	25300	72338	\N	\N	\N
956075	3258	1998-05-10	VYDAJ	VYBER	24600	71318	\N	\N	\N
956076	3258	1998-05-16	VYDAJ	VYBER	25500	88862	\N	\N	\N
956077	3258	1998-06-05	VYDAJ	VYBER	55800	72852	\N	\N	\N
956078	3258	1998-06-09	VYDAJ	VYBER	10700	53374	\N	\N	\N
956079	3258	1998-07-09	VYDAJ	VYBER	12800	61559	\N	\N	\N
956080	3258	1998-08-08	PRIJEM	VKLAD	3000	56254	\N	\N	\N
956081	3258	1998-09-02	VYDAJ	VYBER	63000	95320	\N	\N	\N
956082	3258	1998-09-07	VYDAJ	VYBER	10200	76555	\N	\N	\N
956083	3258	1998-09-28	VYDAJ	VYBER	37100	97154	\N	\N	\N
956084	3258	1998-10-07	VYDAJ	VYBER	17100	71858	\N	\N	\N
956085	3258	1998-10-28	VYDAJ	VYBER	44600	74522	\N	\N	\N
956086	3258	1998-11-06	PRIJEM	VKLAD	9100	56965	\N	\N	\N
956087	3258	1998-12-06	VYDAJ	VYBER	800	60776	\N	\N	\N
956153	3259	1994-04-11	PRIJEM	VKLAD	700	700	\N	\N	\N
956158	3259	1994-05-07	PRIJEM	PREVOD Z UCTU	3393	4093	\N	UV	85023396
956159	3259	1994-06-07	PRIJEM	PREVOD Z UCTU	3393	16222	\N	UV	85023396
956160	3259	1994-07-07	PRIJEM	PREVOD Z UCTU	3393	21885	\N	UV	85023396
956161	3259	1994-08-07	PRIJEM	PREVOD Z UCTU	3393	27973	\N	UV	85023396
956162	3259	1994-09-07	PRIJEM	PREVOD Z UCTU	3393	28770	\N	UV	85023396
956163	3259	1994-10-07	PRIJEM	PREVOD Z UCTU	3393	24685	\N	UV	85023396
956164	3259	1994-11-07	PRIJEM	PREVOD Z UCTU	3393	24696	\N	UV	85023396
956165	3259	1994-12-07	PRIJEM	PREVOD Z UCTU	3393	25108	\N	UV	85023396
956166	3259	1995-01-07	PRIJEM	PREVOD Z UCTU	3393	26130	\N	UV	85023396
956167	3259	1995-02-07	PRIJEM	PREVOD Z UCTU	3393	25860	\N	UV	85023396
956168	3259	1995-03-07	PRIJEM	PREVOD Z UCTU	3393	27077	\N	UV	85023396
956169	3259	1995-04-07	PRIJEM	PREVOD Z UCTU	3393	24168	\N	UV	85023396
956170	3259	1995-05-07	PRIJEM	PREVOD Z UCTU	3393	27480	\N	UV	85023396
956171	3259	1995-06-07	PRIJEM	PREVOD Z UCTU	3393	28263	\N	UV	85023396
956172	3259	1995-07-07	PRIJEM	PREVOD Z UCTU	3393	27215	\N	UV	85023396
956173	3259	1995-08-07	PRIJEM	PREVOD Z UCTU	3393	29498	\N	UV	85023396
956174	3259	1995-09-07	PRIJEM	PREVOD Z UCTU	3393	30809	\N	UV	85023396
956175	3259	1995-10-07	PRIJEM	PREVOD Z UCTU	3393	31449	\N	UV	85023396
956176	3259	1995-11-07	PRIJEM	PREVOD Z UCTU	3393	32682	\N	UV	85023396
956177	3259	1995-12-07	PRIJEM	PREVOD Z UCTU	3393	31499	\N	UV	85023396
956178	3259	1996-01-07	PRIJEM	PREVOD Z UCTU	3393	32702	\N	UV	85023396
956179	3259	1996-02-07	PRIJEM	PREVOD Z UCTU	3393	30394	\N	UV	85023396
956180	3259	1996-03-07	PRIJEM	PREVOD Z UCTU	3393	33833	\N	UV	85023396
956181	3259	1996-04-07	PRIJEM	PREVOD Z UCTU	3393	34984	\N	UV	85023396
956182	3259	1996-05-07	PRIJEM	PREVOD Z UCTU	3393	34641	\N	UV	85023396
956183	3259	1996-06-07	PRIJEM	PREVOD Z UCTU	3393	37498	\N	UV	85023396
956184	3259	1996-07-07	PRIJEM	PREVOD Z UCTU	3393	35746	\N	UV	85023396
956185	3259	1996-08-07	PRIJEM	PREVOD Z UCTU	3393	40107	\N	UV	85023396
956186	3259	1996-09-07	PRIJEM	PREVOD Z UCTU	3393	40486	\N	UV	85023396
956187	3259	1996-10-07	PRIJEM	PREVOD Z UCTU	3393	44537	\N	UV	85023396
956188	3259	1996-11-07	PRIJEM	PREVOD Z UCTU	3393	48036	\N	UV	85023396
956189	3259	1996-12-07	PRIJEM	PREVOD Z UCTU	3393	50648	\N	UV	85023396
956190	3259	1997-01-07	PRIJEM	PREVOD Z UCTU	3393	47346	\N	UV	85023396
956191	3259	1997-02-07	PRIJEM	PREVOD Z UCTU	3393	42704	\N	UV	85023396
956192	3259	1997-03-07	PRIJEM	PREVOD Z UCTU	3393	47456	\N	UV	85023396
956193	3259	1997-04-07	PRIJEM	PREVOD Z UCTU	3393	46563	\N	UV	85023396
956194	3259	1997-05-07	PRIJEM	PREVOD Z UCTU	3393	48369	\N	UV	85023396
956195	3259	1997-06-07	PRIJEM	PREVOD Z UCTU	3393	47479	\N	UV	85023396
956196	3259	1997-07-07	PRIJEM	PREVOD Z UCTU	3393	47181	\N	UV	85023396
956197	3259	1997-08-07	PRIJEM	PREVOD Z UCTU	3393	49289	\N	UV	85023396
956198	3259	1997-09-07	PRIJEM	PREVOD Z UCTU	3393	49404	\N	UV	85023396
956199	3259	1997-10-07	PRIJEM	PREVOD Z UCTU	3393	51521	\N	UV	85023396
956200	3259	1997-11-07	PRIJEM	PREVOD Z UCTU	3393	55150	\N	UV	85023396
956201	3259	1997-12-07	PRIJEM	PREVOD Z UCTU	3393	53486	\N	UV	85023396
956202	3259	1998-01-07	PRIJEM	PREVOD Z UCTU	3393	52816	\N	UV	85023396
956203	3259	1998-02-07	PRIJEM	PREVOD Z UCTU	3393	50139	\N	UV	85023396
956204	3259	1998-03-07	PRIJEM	PREVOD Z UCTU	3393	53261	\N	UV	85023396
956205	3259	1998-04-07	PRIJEM	PREVOD Z UCTU	3393	51989	\N	UV	85023396
956206	3259	1998-05-07	PRIJEM	PREVOD Z UCTU	3393	49508	\N	UV	85023396
956207	3259	1998-06-07	PRIJEM	PREVOD Z UCTU	3393	50325	\N	UV	85023396
956208	3259	1998-07-07	PRIJEM	PREVOD Z UCTU	3393	45437	\N	UV	85023396
956209	3259	1998-08-07	PRIJEM	PREVOD Z UCTU	3393	46736	\N	UV	85023396
956210	3259	1998-09-07	PRIJEM	PREVOD Z UCTU	3393	49543	\N	UV	85023396
956211	3259	1998-10-07	PRIJEM	PREVOD Z UCTU	3393	51660	\N	UV	85023396
956212	3259	1998-11-07	PRIJEM	PREVOD Z UCTU	3393	52282	\N	UV	85023396
956213	3259	1998-12-07	PRIJEM	PREVOD Z UCTU	3393	51806	\N	UV	85023396
956222	3259	1994-09-11	VYDAJ	PREVOD NA UCET	912	23758	SIPO	OP	14523250
956223	3259	1994-10-11	VYDAJ	PREVOD NA UCET	912	22573	SIPO	OP	14523250
956224	3259	1994-11-11	VYDAJ	PREVOD NA UCET	912	22984	SIPO	OP	14523250
956225	3259	1994-12-11	VYDAJ	PREVOD NA UCET	912	22996	SIPO	OP	14523250
956226	3259	1995-01-11	VYDAJ	PREVOD NA UCET	912	24858	SIPO	OP	14523250
956227	3259	1995-02-11	VYDAJ	PREVOD NA UCET	912	24948	SIPO	OP	14523250
956228	3259	1995-03-11	VYDAJ	PREVOD NA UCET	912	22365	SIPO	OP	14523250
956229	3259	1995-04-11	VYDAJ	PREVOD NA UCET	912	23256	SIPO	OP	14523250
956230	3259	1995-05-11	VYDAJ	PREVOD NA UCET	912	26568	SIPO	OP	14523250
956231	3259	1995-06-11	VYDAJ	PREVOD NA UCET	912	27351	SIPO	OP	14523250
956232	3259	1995-07-11	VYDAJ	PREVOD NA UCET	912	26303	SIPO	OP	14523250
956233	3259	1995-08-11	VYDAJ	PREVOD NA UCET	912	28586	SIPO	OP	14523250
956234	3259	1995-09-11	VYDAJ	PREVOD NA UCET	912	29897	SIPO	OP	14523250
956235	3259	1995-10-11	VYDAJ	PREVOD NA UCET	912	30537	SIPO	OP	14523250
956236	3259	1995-11-11	VYDAJ	PREVOD NA UCET	912	31770	SIPO	OP	14523250
956237	3259	1995-12-11	VYDAJ	PREVOD NA UCET	912	30587	SIPO	OP	14523250
956238	3259	1996-01-11	VYDAJ	PREVOD NA UCET	912	30110	SIPO	OP	14523250
956239	3259	1996-02-11	VYDAJ	PREVOD NA UCET	912	29482	SIPO	OP	14523250
956240	3259	1996-03-11	VYDAJ	PREVOD NA UCET	912	32921	SIPO	OP	14523250
956241	3259	1996-04-11	VYDAJ	PREVOD NA UCET	912	34072	SIPO	OP	14523250
956242	3259	1996-05-11	VYDAJ	PREVOD NA UCET	912	33729	SIPO	OP	14523250
956243	3259	1996-06-11	VYDAJ	PREVOD NA UCET	912	36586	SIPO	OP	14523250
956244	3259	1996-07-11	VYDAJ	PREVOD NA UCET	912	34834	SIPO	OP	14523250
956245	3259	1996-08-11	VYDAJ	PREVOD NA UCET	912	39195	SIPO	OP	14523250
956246	3259	1996-09-11	VYDAJ	PREVOD NA UCET	912	39574	SIPO	OP	14523250
956247	3259	1996-10-11	VYDAJ	PREVOD NA UCET	912	43625	SIPO	OP	14523250
956248	3259	1996-11-11	VYDAJ	PREVOD NA UCET	912	47124	SIPO	OP	14523250
956249	3259	1996-12-11	VYDAJ	PREVOD NA UCET	912	49226	SIPO	OP	14523250
956250	3259	1997-01-11	VYDAJ	PREVOD NA UCET	912	44784	SIPO	OP	14523250
956251	3259	1997-02-11	VYDAJ	PREVOD NA UCET	912	41792	SIPO	OP	14523250
956252	3259	1997-03-11	VYDAJ	PREVOD NA UCET	912	46544	SIPO	OP	14523250
956253	3259	1997-04-11	VYDAJ	PREVOD NA UCET	912	45651	SIPO	OP	14523250
956254	3259	1997-05-11	VYDAJ	PREVOD NA UCET	912	47457	SIPO	OP	14523250
956255	3259	1997-06-11	VYDAJ	PREVOD NA UCET	912	43567	SIPO	OP	14523250
956256	3259	1997-07-11	VYDAJ	PREVOD NA UCET	912	46269	SIPO	OP	14523250
956257	3259	1997-08-11	VYDAJ	PREVOD NA UCET	912	48177	SIPO	OP	14523250
956258	3259	1997-09-11	VYDAJ	PREVOD NA UCET	912	48492	SIPO	OP	14523250
956259	3259	1997-10-11	VYDAJ	PREVOD NA UCET	912	50609	SIPO	OP	14523250
956260	3259	1997-11-11	VYDAJ	PREVOD NA UCET	912	54238	SIPO	OP	14523250
956261	3259	1997-12-11	VYDAJ	PREVOD NA UCET	912	52574	SIPO	OP	14523250
956262	3259	1998-01-11	VYDAJ	PREVOD NA UCET	912	51404	SIPO	OP	14523250
956263	3259	1998-02-11	VYDAJ	PREVOD NA UCET	912	49227	SIPO	OP	14523250
956264	3259	1998-03-11	VYDAJ	PREVOD NA UCET	912	52349	SIPO	OP	14523250
956265	3259	1998-04-11	VYDAJ	PREVOD NA UCET	912	51077	SIPO	OP	14523250
956266	3259	1998-05-11	VYDAJ	PREVOD NA UCET	912	48596	SIPO	OP	14523250
956267	3259	1998-06-11	VYDAJ	PREVOD NA UCET	912	49413	SIPO	OP	14523250
956268	3259	1998-07-11	VYDAJ	PREVOD NA UCET	912	44525	SIPO	OP	14523250
956269	3259	1998-08-11	VYDAJ	PREVOD NA UCET	912	45824	SIPO	OP	14523250
956270	3259	1998-09-11	VYDAJ	PREVOD NA UCET	912	48631	SIPO	OP	14523250
956271	3259	1998-10-11	VYDAJ	PREVOD NA UCET	912	50748	SIPO	OP	14523250
956272	3259	1998-11-11	VYDAJ	PREVOD NA UCET	912	51370	SIPO	OP	14523250
956273	3259	1998-12-11	VYDAJ	PREVOD NA UCET	912	50894	SIPO	OP	14523250
956283	3259	1994-10-05	VYDAJ	PREVOD NA UCET	1350	21292	 	YZ	45163714
956284	3259	1994-11-05	VYDAJ	PREVOD NA UCET	1350	21303	 	YZ	45163714
956285	3259	1994-12-05	VYDAJ	PREVOD NA UCET	1350	21715	 	YZ	45163714
956286	3259	1995-01-05	VYDAJ	PREVOD NA UCET	1350	20737	 	YZ	45163714
956287	3259	1995-02-05	VYDAJ	PREVOD NA UCET	1350	22467	 	YZ	45163714
956288	3259	1995-03-05	VYDAJ	PREVOD NA UCET	1350	23684	 	YZ	45163714
956289	3259	1995-04-05	VYDAJ	PREVOD NA UCET	1350	18875	 	YZ	45163714
956290	3259	1995-05-05	VYDAJ	PREVOD NA UCET	1350	21987	 	YZ	45163714
956291	3259	1995-06-05	VYDAJ	PREVOD NA UCET	1350	24870	 	YZ	45163714
956292	3259	1995-07-05	VYDAJ	PREVOD NA UCET	1350	23822	 	YZ	45163714
956293	3259	1995-08-05	VYDAJ	PREVOD NA UCET	1350	26105	 	YZ	45163714
956294	3259	1995-09-05	VYDAJ	PREVOD NA UCET	1350	27416	 	YZ	45163714
956295	3259	1995-10-05	VYDAJ	PREVOD NA UCET	1350	28056	 	YZ	45163714
956296	3259	1995-11-05	VYDAJ	PREVOD NA UCET	1350	29289	 	YZ	45163714
956297	3259	1995-12-05	VYDAJ	PREVOD NA UCET	1350	28106	 	YZ	45163714
956298	3259	1996-01-05	VYDAJ	PREVOD NA UCET	1350	29309	 	YZ	45163714
956299	3259	1996-02-05	VYDAJ	PREVOD NA UCET	1350	27001	 	YZ	45163714
956300	3259	1996-03-05	VYDAJ	PREVOD NA UCET	1350	30440	 	YZ	45163714
956301	3259	1996-04-05	VYDAJ	PREVOD NA UCET	1350	31591	 	YZ	45163714
956302	3259	1996-05-05	VYDAJ	PREVOD NA UCET	1350	31248	 	YZ	45163714
956303	3259	1996-06-05	VYDAJ	PREVOD NA UCET	1350	34105	 	YZ	45163714
956304	3259	1996-07-05	VYDAJ	PREVOD NA UCET	1350	32353	 	YZ	45163714
956305	3259	1996-08-05	VYDAJ	PREVOD NA UCET	1350	36714	 	YZ	45163714
956306	3259	1996-09-05	VYDAJ	PREVOD NA UCET	1350	37093	 	YZ	45163714
956307	3259	1996-10-05	VYDAJ	PREVOD NA UCET	1350	41144	 	YZ	45163714
956308	3259	1996-11-05	VYDAJ	PREVOD NA UCET	1350	44643	 	YZ	45163714
956309	3259	1996-12-05	VYDAJ	PREVOD NA UCET	1350	47255	 	YZ	45163714
956310	3259	1997-01-05	VYDAJ	PREVOD NA UCET	1350	43953	 	YZ	45163714
956311	3259	1997-02-05	VYDAJ	PREVOD NA UCET	1350	39311	 	YZ	45163714
956312	3259	1997-03-05	VYDAJ	PREVOD NA UCET	1350	44063	 	YZ	45163714
956313	3259	1997-04-05	VYDAJ	PREVOD NA UCET	1350	43170	 	YZ	45163714
956314	3259	1997-05-05	VYDAJ	PREVOD NA UCET	1350	44976	 	YZ	45163714
956315	3259	1997-06-05	VYDAJ	PREVOD NA UCET	1350	44086	 	YZ	45163714
956316	3259	1997-07-05	VYDAJ	PREVOD NA UCET	1350	43788	 	YZ	45163714
956317	3259	1997-08-05	VYDAJ	PREVOD NA UCET	1350	45896	 	YZ	45163714
956318	3259	1997-09-05	VYDAJ	PREVOD NA UCET	1350	46011	 	YZ	45163714
956319	3259	1997-10-05	VYDAJ	PREVOD NA UCET	1350	48128	 	YZ	45163714
956320	3259	1997-11-05	VYDAJ	PREVOD NA UCET	1350	51757	 	YZ	45163714
956321	3259	1997-12-05	VYDAJ	PREVOD NA UCET	1350	50093	 	YZ	45163714
956322	3259	1998-01-05	VYDAJ	PREVOD NA UCET	1350	49423	 	YZ	45163714
956323	3259	1998-02-05	VYDAJ	PREVOD NA UCET	1350	46746	 	YZ	45163714
956324	3259	1998-03-05	VYDAJ	PREVOD NA UCET	1350	49868	 	YZ	45163714
956325	3259	1998-04-05	VYDAJ	PREVOD NA UCET	1350	48596	 	YZ	45163714
956326	3259	1998-05-05	VYDAJ	PREVOD NA UCET	1350	46115	 	YZ	45163714
956327	3259	1998-06-05	VYDAJ	PREVOD NA UCET	1350	46932	 	YZ	45163714
956328	3259	1998-07-05	VYDAJ	PREVOD NA UCET	1350	42044	 	YZ	45163714
956329	3259	1998-08-05	VYDAJ	PREVOD NA UCET	1350	43343	 	YZ	45163714
956330	3259	1998-09-05	VYDAJ	PREVOD NA UCET	1350	46150	 	YZ	45163714
956331	3259	1998-10-05	VYDAJ	PREVOD NA UCET	1350	48267	 	YZ	45163714
956332	3259	1998-11-05	VYDAJ	PREVOD NA UCET	1350	48889	 	YZ	45163714
956333	3259	1998-12-05	VYDAJ	PREVOD NA UCET	1350	48413	 	YZ	45163714
956335	3259	1995-06-20	VYDAJ	VYBER	3600	22881	\N	\N	\N
956336	3259	1996-06-18	VYDAJ	VYBER	6210	30376	\N	\N	\N
956337	3259	1997-06-07	VYDAJ	VYBER KARTOU	3000	44479	\N	\N	0
956338	3259	1998-06-25	VYDAJ	VYBER KARTOU	3800	43213	\N	\N	0
956340	3259	1995-01-18	VYDAJ	VYBER	2550	20928	\N	\N	\N
956341	3259	1996-01-28	VYDAJ	VYBER	1020	28880	\N	\N	\N
956342	3259	1997-01-24	VYDAJ	VYBER	1830	42174	\N	\N	\N
956343	3259	1998-01-19	VYDAJ	VYBER KARTOU	2200	49004	\N	\N	0
956344	3259	1994-12-13	VYDAJ	VYBER	690	22306	\N	\N	\N
956345	3259	1995-12-17	VYDAJ	VYBER	240	30347	\N	\N	\N
956346	3259	1996-12-07	VYDAJ	VYBER	510	50138	\N	\N	\N
956347	3259	1997-12-14	VYDAJ	VYBER KARTOU	600	51974	\N	\N	0
956348	3259	1998-12-23	VYDAJ	VYBER KARTOU	600	51494	\N	\N	0
956355	3259	1995-01-14	VYDAJ	VYBER	750	23658	\N	\N	\N
956356	3259	1995-01-11	VYDAJ	VYBER	450	24408	\N	\N	\N
956357	3259	1995-01-25	VYDAJ	VYBER	690	20238	\N	\N	\N
956358	3259	1995-01-16	VYDAJ	VYBER	180	23478	\N	\N	\N
956359	3259	1995-01-10	VYDAJ	VYBER	360	25770	\N	\N	\N
956360	3259	1995-01-03	VYDAJ	VYBER	300	22087	\N	\N	\N
956361	3259	1996-01-09	VYDAJ	VYBER	510	31652	\N	\N	\N
956362	3259	1996-01-10	VYDAJ	VYBER	240	31022	\N	\N	\N
956363	3259	1996-01-15	VYDAJ	VYBER	210	29900	\N	\N	\N
956364	3259	1996-01-10	VYDAJ	VYBER	390	31262	\N	\N	\N
956365	3259	1996-01-08	VYDAJ	VYBER	540	32162	\N	\N	\N
956366	3259	1996-01-29	VYDAJ	VYBER	240	28640	\N	\N	\N
956367	3259	1997-01-10	VYDAJ	VYBER	600	45696	\N	\N	\N
956368	3259	1997-01-08	VYDAJ	VYBER	270	46296	\N	\N	\N
956369	3259	1997-01-17	VYDAJ	VYBER	780	44004	\N	\N	\N
956370	3259	1997-01-26	VYDAJ	VYBER	240	40494	\N	\N	\N
956371	3259	1997-01-08	VYDAJ	VYBER	780	46566	\N	\N	\N
956372	3259	1997-01-24	VYDAJ	VYBER	840	41334	\N	\N	\N
956373	3259	1998-01-11	VYDAJ	VYBER KARTOU	300	52316	\N	\N	0
956374	3259	1998-01-15	VYDAJ	VYBER KARTOU	200	51204	\N	\N	0
956375	3259	1998-01-09	VYDAJ	VYBER KARTOU	200	52616	\N	\N	0
956376	3259	1998-01-02	VYDAJ	VYBER KARTOU	200	50773	\N	\N	0
956377	3259	1998-01-19	VYDAJ	VYBER KARTOU	600	48404	\N	\N	0
956378	3259	1998-01-23	VYDAJ	VYBER KARTOU	500	47904	\N	\N	0
956381	3259	1994-09-17	VYDAJ	VYBER	1200	22558	\N	\N	\N
956383	3259	1995-03-30	VYDAJ	VYBER	1170	20145	\N	\N	\N
956384	3259	1995-08-05	VYDAJ	VYBER	840	27455	\N	\N	\N
956385	3259	1995-06-15	VYDAJ	VYBER	870	26481	\N	\N	\N
956386	3259	1995-12-04	VYDAJ	VYBER	330	29456	\N	\N	\N
956387	3259	1995-08-15	VYDAJ	VYBER	1320	27266	\N	\N	\N
956388	3259	1995-10-28	VYDAJ	VYBER	210	30327	\N	\N	\N
956389	3259	1995-03-28	VYDAJ	VYBER	1050	21315	\N	\N	\N
956390	3259	1995-05-19	VYDAJ	VYBER	1140	25428	\N	\N	\N
956391	3259	1996-09-20	VYDAJ	VYBER	330	39244	\N	\N	\N
956392	3259	1996-12-17	VYDAJ	VYBER	210	49016	\N	\N	\N
956393	3259	1997-02-28	VYDAJ	VYBER	540	45428	\N	\N	\N
956394	3259	1997-08-24	VYDAJ	VYBER KARTOU	1400	47177	\N	\N	0
956395	3259	1997-07-17	VYDAJ	VYBER KARTOU	300	45969	\N	\N	0
956396	3259	1997-02-23	VYDAJ	VYBER	600	41192	\N	\N	\N
956397	3259	1997-08-07	VYDAJ	VYBER KARTOU	200	49089	\N	\N	0
956398	3259	1998-06-03	VYDAJ	VYBER KARTOU	1000	48282	\N	\N	0
956399	3259	1998-11-24	VYDAJ	VYBER KARTOU	600	49570	\N	\N	0
956400	3259	1998-04-15	VYDAJ	VYBER KARTOU	1300	49777	\N	\N	0
956410	3259	1994-09-30	VYDAJ	VYBER	15	22642	SLUZBY	\N	\N
956411	3259	1994-10-31	VYDAJ	VYBER	15	22653	SLUZBY	\N	\N
956412	3259	1994-11-30	VYDAJ	VYBER	15	23065	SLUZBY	\N	\N
956413	3259	1994-12-31	VYDAJ	VYBER	15	22387	SLUZBY	\N	\N
956414	3259	1995-01-31	VYDAJ	VYBER	15	20317	SLUZBY	\N	\N
956415	3259	1995-02-28	VYDAJ	VYBER	15	25034	SLUZBY	\N	\N
956416	3259	1995-03-31	VYDAJ	VYBER	15	20225	SLUZBY	\N	\N
956417	3259	1995-04-30	VYDAJ	VYBER	15	23337	SLUZBY	\N	\N
956418	3259	1995-05-31	VYDAJ	VYBER	15	25520	SLUZBY	\N	\N
956419	3259	1995-06-30	VYDAJ	VYBER	15	22972	SLUZBY	\N	\N
956420	3259	1995-07-31	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
956421	3259	1995-08-31	VYDAJ	VYBER	15	27366	SLUZBY	\N	\N
956422	3259	1995-09-30	VYDAJ	VYBER	15	30006	SLUZBY	\N	\N
956423	3259	1995-10-31	VYDAJ	VYBER	15	30439	SLUZBY	\N	\N
956424	3259	1995-11-30	VYDAJ	VYBER	15	31886	SLUZBY	\N	\N
956425	3259	1995-12-31	VYDAJ	VYBER	15	30459	SLUZBY	\N	\N
956426	3259	1996-01-31	VYDAJ	VYBER	15	28751	SLUZBY	\N	\N
956427	3259	1996-02-29	VYDAJ	VYBER	15	29590	SLUZBY	\N	\N
956428	3259	1996-03-31	VYDAJ	VYBER	15	33041	SLUZBY	\N	\N
956429	3259	1996-04-30	VYDAJ	VYBER	15	32598	SLUZBY	\N	\N
956430	3259	1996-05-31	VYDAJ	VYBER	15	35455	SLUZBY	\N	\N
956431	3259	1996-06-30	VYDAJ	VYBER	15	33703	SLUZBY	\N	\N
956432	3259	1996-07-31	VYDAJ	VYBER	15	38064	SLUZBY	\N	\N
956433	3259	1996-08-31	VYDAJ	VYBER	15	38443	SLUZBY	\N	\N
956434	3259	1996-09-30	VYDAJ	VYBER	15	42494	SLUZBY	\N	\N
956435	3259	1996-10-31	VYDAJ	VYBER	15	45993	SLUZBY	\N	\N
956436	3259	1996-11-30	VYDAJ	VYBER	15	48605	SLUZBY	\N	\N
956437	3259	1996-12-31	VYDAJ	VYBER	15	45303	SLUZBY	\N	\N
956438	3259	1997-01-31	VYDAJ	VYBER	15	40661	SLUZBY	\N	\N
956439	3259	1997-02-28	VYDAJ	VYBER	15	45413	SLUZBY	\N	\N
956440	3259	1997-03-31	VYDAJ	VYBER	15	44520	SLUZBY	\N	\N
956441	3259	1997-04-30	VYDAJ	VYBER	15	46326	SLUZBY	\N	\N
956442	3259	1997-05-31	VYDAJ	VYBER	15	45436	SLUZBY	\N	\N
956443	3259	1997-06-30	VYDAJ	VYBER	15	45138	SLUZBY	\N	\N
956444	3259	1997-07-31	VYDAJ	VYBER	15	47246	SLUZBY	\N	\N
956445	3259	1997-08-31	VYDAJ	VYBER	15	47361	SLUZBY	\N	\N
956446	3259	1997-09-30	VYDAJ	VYBER	15	49478	SLUZBY	\N	\N
956447	3259	1997-10-31	VYDAJ	VYBER	15	53107	SLUZBY	\N	\N
956448	3259	1997-11-30	VYDAJ	VYBER	15	51443	SLUZBY	\N	\N
956449	3259	1997-12-31	VYDAJ	VYBER	15	50973	SLUZBY	\N	\N
956450	3259	1998-01-31	VYDAJ	VYBER	15	48096	SLUZBY	\N	\N
956451	3259	1998-02-28	VYDAJ	VYBER	15	51218	SLUZBY	\N	\N
956452	3259	1998-03-31	VYDAJ	VYBER	15	49946	SLUZBY	\N	\N
956453	3259	1998-04-30	VYDAJ	VYBER	15	47465	SLUZBY	\N	\N
956454	3259	1998-05-31	VYDAJ	VYBER	15	49282	SLUZBY	\N	\N
956455	3259	1998-06-30	VYDAJ	VYBER	15	43394	SLUZBY	\N	\N
956456	3259	1998-07-31	VYDAJ	VYBER	15	44693	SLUZBY	\N	\N
956457	3259	1998-08-31	VYDAJ	VYBER	15	47500	SLUZBY	\N	\N
956458	3259	1998-09-30	VYDAJ	VYBER	15	49617	SLUZBY	\N	\N
956459	3259	1998-10-31	VYDAJ	VYBER	15	50239	SLUZBY	\N	\N
956460	3259	1998-11-30	VYDAJ	VYBER	15	49763	SLUZBY	\N	\N
956461	3259	1994-05-11	PRIJEM	VKLAD	8700	12793	\N	\N	\N
956462	3259	1994-06-10	PRIJEM	VKLAD	2200	18422	\N	\N	\N
956463	3259	1994-07-10	PRIJEM	VKLAD	2600	24485	\N	\N	\N
956464	3259	1994-08-09	VYDAJ	VYBER	2700	25273	\N	\N	\N
956465	3259	1994-09-08	VYDAJ	VYBER	4100	24670	\N	\N	\N
956466	3259	1994-10-08	VYDAJ	VYBER	1200	23485	\N	\N	\N
956467	3259	1994-11-07	VYDAJ	VYBER	800	23896	\N	\N	\N
956468	3259	1994-12-07	VYDAJ	VYBER	1200	23908	\N	\N	\N
956469	3259	1995-01-06	PRIJEM	VKLAD	2000	22737	\N	\N	\N
956470	3259	1995-02-05	PRIJEM	VKLAD	3500	23817	\N	\N	\N
956471	3259	1995-03-07	VYDAJ	VYBER	3800	23277	\N	\N	\N
956472	3259	1995-04-06	PRIJEM	VKLAD	1900	20775	\N	\N	\N
956473	3259	1995-05-06	PRIJEM	VKLAD	2100	24087	\N	\N	\N
956474	3259	1995-06-05	PRIJEM	VKLAD	700	26220	\N	\N	\N
956475	3259	1995-07-05	PRIJEM	VKLAD	2200	25172	\N	\N	\N
956476	3259	1995-08-04	PRIJEM	VKLAD	1900	28295	\N	\N	\N
956477	3259	1995-09-03	PRIJEM	VKLAD	1400	28766	\N	\N	\N
956478	3259	1995-10-03	VYDAJ	VYBER	600	29406	\N	\N	\N
956479	3259	1995-11-02	PRIJEM	VKLAD	200	30639	\N	\N	\N
956480	3259	1995-12-02	VYDAJ	VYBER	2100	29786	\N	\N	\N
956481	3259	1996-01-01	PRIJEM	VKLAD	200	30659	\N	\N	\N
956482	3259	1996-01-31	VYDAJ	VYBER	400	28351	\N	\N	\N
956483	3259	1996-03-01	PRIJEM	VKLAD	2200	31790	\N	\N	\N
956484	3259	1996-03-31	VYDAJ	VYBER	100	32941	\N	\N	\N
956485	3259	1996-04-30	VYDAJ	VYBER	1600	32613	\N	\N	\N
956486	3259	1996-05-30	PRIJEM	VKLAD	1600	35329	\N	\N	\N
956487	3259	1996-06-29	PRIJEM	VKLAD	3200	33576	\N	\N	\N
956488	3259	1996-07-29	PRIJEM	VKLAD	3100	37934	\N	\N	\N
956489	3259	1996-08-28	VYDAJ	VYBER	900	38295	\N	\N	\N
956490	3259	1996-09-27	PRIJEM	VKLAD	3100	42344	\N	\N	\N
956491	3259	1996-10-27	PRIJEM	VKLAD	2200	45825	\N	\N	\N
956492	3259	1996-11-26	PRIJEM	VKLAD	1300	48424	\N	\N	\N
956493	3259	1996-12-26	VYDAJ	VYBER	3900	45116	\N	\N	\N
956494	3259	1997-01-25	VYDAJ	VYBER	600	40734	\N	\N	\N
956495	3259	1997-02-24	PRIJEM	VKLAD	4600	45792	\N	\N	\N
956496	3259	1997-03-26	VYDAJ	VYBER	2200	44344	\N	\N	\N
956497	3259	1997-04-25	PRIJEM	VKLAD	500	46151	\N	\N	\N
956498	3259	1997-05-25	VYDAJ	VYBER KARTOU	2200	45257	\N	\N	0
956499	3259	1997-06-24	PRIJEM	VKLAD	1400	44967	\N	\N	\N
956500	3259	1997-07-24	PRIJEM	VKLAD	1100	47069	\N	\N	\N
956501	3259	1997-08-23	PRIJEM	VKLAD	400	48577	\N	\N	\N
956502	3259	1997-09-22	PRIJEM	VKLAD	800	49292	\N	\N	\N
956503	3259	1997-10-22	PRIJEM	VKLAD	2300	52909	\N	\N	\N
956504	3259	1997-11-21	VYDAJ	VYBER KARTOU	3000	51238	\N	\N	0
956505	3259	1997-12-21	VYDAJ	VYBER KARTOU	1200	50774	\N	\N	0
956506	3259	1998-02-19	PRIJEM	VKLAD	1800	51027	\N	\N	\N
956507	3259	1998-03-21	VYDAJ	VYBER KARTOU	2600	49749	\N	\N	0
956508	3259	1998-04-20	VYDAJ	VYBER KARTOU	2500	47277	\N	\N	0
956509	3259	1998-05-20	PRIJEM	VKLAD	500	49096	\N	\N	\N
956510	3259	1998-06-19	VYDAJ	VYBER KARTOU	2400	47013	\N	\N	0
956511	3259	1998-08-18	PRIJEM	VKLAD	1500	47324	\N	\N	\N
956512	3259	1998-09-17	PRIJEM	VKLAD	800	49431	\N	\N	\N
956513	3259	1998-10-17	VYDAJ	VYBER KARTOU	700	50048	\N	\N	0
956514	3259	1998-11-16	VYDAJ	VYBER KARTOU	1200	50170	\N	\N	0
956515	3259	1998-12-16	PRIJEM	VKLAD	1200	52094	\N	\N	\N
956572	3260	1993-03-25	PRIJEM	VKLAD	400	400	\N	\N	\N
956573	3260	1993-07-27	PRIJEM	VKLAD	28663	85480	\N	\N	\N
956575	3260	1993-12-30	PRIJEM	VKLAD	31550	54680	\N	\N	\N
956576	3260	1993-11-21	PRIJEM	VKLAD	6035	30853	\N	\N	\N
956577	3260	1993-10-04	PRIJEM	VKLAD	22681	51082	\N	\N	\N
956578	3260	1993-07-22	PRIJEM	VKLAD	26520	92217	\N	\N	\N
956581	3260	1993-06-26	PRIJEM	VKLAD	15434	47064	\N	\N	\N
956582	3260	1993-12-15	PRIJEM	VKLAD	8270	19330	\N	\N	\N
956583	3260	1993-06-27	PRIJEM	VKLAD	18335	65399	\N	\N	\N
956584	3260	1993-04-19	PRIJEM	VKLAD	37304	37704	\N	\N	\N
956585	3260	1993-04-24	PRIJEM	VKLAD	35947	73651	\N	\N	\N
956586	3260	1994-01-27	PRIJEM	VKLAD	24616	47784	\N	\N	\N
956587	3260	1994-01-18	PRIJEM	VKLAD	5835	20968	\N	\N	\N
956588	3260	1994-09-25	PRIJEM	VKLAD	7020	85717	\N	\N	\N
956589	3260	1994-07-09	PRIJEM	VKLAD	42089	64851	\N	\N	\N
956590	3260	1994-09-14	PRIJEM	VKLAD	14812	101859	\N	\N	\N
956591	3260	1994-11-11	PRIJEM	VKLAD	35770	73217	\N	\N	\N
956592	3260	1994-03-04	PRIJEM	VKLAD	34952	82294	\N	\N	\N
956593	3260	1994-05-05	PRIJEM	VKLAD	10160	54392	\N	\N	\N
956594	3260	1994-02-05	PRIJEM	VKLAD	12611	55411	\N	\N	\N
956595	3260	1994-04-16	PRIJEM	VKLAD	17415	60743	\N	\N	\N
956596	3260	1994-02-16	PRIJEM	VKLAD	17808	45332	\N	\N	\N
956597	3260	1994-02-18	PRIJEM	VKLAD	18326	63658	\N	\N	\N
956598	3260	1994-09-22	PRIJEM	VKLAD	18300	78697	\N	\N	\N
956599	3260	1994-08-26	PRIJEM	VKLAD	43341	86840	\N	\N	\N
956600	3260	1994-07-25	PRIJEM	VKLAD	23724	67913	\N	\N	\N
956601	3260	1995-03-30	PRIJEM	VKLAD	27846	123786	\N	\N	\N
956602	3260	1995-03-27	PRIJEM	VKLAD	12101	95940	\N	\N	\N
956603	3260	1995-06-19	PRIJEM	VKLAD	49443	98429	\N	\N	\N
956604	3260	1995-11-09	PRIJEM	VKLAD	39416	138413	\N	\N	\N
956605	3260	1995-10-20	PRIJEM	VKLAD	6760	80790	\N	\N	\N
956606	3260	1995-07-06	PRIJEM	VKLAD	28562	96012	\N	\N	\N
956607	3260	1995-03-24	PRIJEM	VKLAD	28713	83839	\N	\N	\N
956608	3260	1995-01-15	PRIJEM	VKLAD	42910	86791	\N	\N	\N
956609	3260	1995-05-26	PRIJEM	VKLAD	38774	122066	\N	\N	\N
956610	3260	1995-07-16	PRIJEM	VKLAD	6833	62643	\N	\N	\N
956611	3260	1995-05-21	PRIJEM	VKLAD	14424	62726	\N	\N	\N
956612	3260	1995-09-18	PRIJEM	VKLAD	15783	62015	\N	\N	\N
956613	3260	1995-08-08	PRIJEM	VKLAD	32856	104471	\N	\N	\N
956614	3260	1995-06-08	PRIJEM	VKLAD	27619	120144	\N	\N	\N
956615	3260	1995-01-08	PRIJEM	VKLAD	12927	85783	\N	\N	\N
956616	3260	1995-07-29	PRIJEM	VKLAD	15185	71333	\N	\N	\N
956617	3260	1995-08-15	PRIJEM	VKLAD	8363	73432	\N	\N	\N
956618	3260	1995-02-01	PRIJEM	VKLAD	40141	90333	\N	\N	\N
956619	3260	1995-02-06	PRIJEM	VKLAD	17212	107545	\N	\N	\N
956620	3260	1995-04-29	PRIJEM	VKLAD	23034	65064	\N	\N	\N
956621	3260	1995-10-22	PRIJEM	VKLAD	27545	108335	\N	\N	\N
956622	3260	1995-08-22	PRIJEM	VKLAD	19636	68454	\N	\N	\N
956623	3260	1995-12-23	PRIJEM	VKLAD	29411	88277	\N	\N	\N
956624	3260	1995-03-10	PRIJEM	VKLAD	13512	89988	\N	\N	\N
956625	3260	1995-02-25	PRIJEM	VKLAD	38040	100483	\N	\N	\N
956626	3260	1995-01-07	PRIJEM	VKLAD	34856	72856	\N	\N	\N
956627	3260	1995-11-26	PRIJEM	VKLAD	38295	99546	\N	\N	\N
956628	3260	1995-05-26	PRIJEM	VKLAD	20566	83292	\N	\N	\N
956629	3260	1995-10-14	PRIJEM	VKLAD	30378	82492	\N	\N	\N
956630	3260	1996-10-25	PRIJEM	VKLAD	22894	106131	\N	\N	\N
956631	3260	1996-06-14	PRIJEM	VKLAD	28499	116730	\N	\N	\N
956632	3260	1996-03-26	PRIJEM	VKLAD	36894	100701	\N	\N	\N
956633	3260	1996-03-22	PRIJEM	VKLAD	26547	110030	\N	\N	\N
956634	3260	1996-06-06	PRIJEM	VKLAD	37802	106048	\N	\N	\N
956635	3260	1996-06-03	PRIJEM	VKLAD	21029	126446	\N	\N	\N
956636	3260	1996-12-07	PRIJEM	VKLAD	44946	93639	\N	\N	\N
956637	3260	1996-05-23	PRIJEM	VKLAD	11521	61313	\N	\N	\N
956638	3260	1996-06-10	PRIJEM	VKLAD	15120	91728	\N	\N	\N
956639	3260	1996-12-28	PRIJEM	VKLAD	19790	99527	\N	\N	\N
956640	3260	1996-04-28	PRIJEM	VKLAD	14849	43150	\N	\N	\N
956641	3260	1996-03-30	PRIJEM	VKLAD	20184	120885	\N	\N	\N
956642	3260	1996-05-30	PRIJEM	VKLAD	43905	105218	\N	\N	\N
956643	3260	1996-03-24	PRIJEM	VKLAD	16277	126307	\N	\N	\N
956644	3260	1996-12-30	PRIJEM	VKLAD	5072	104599	\N	\N	\N
956645	3260	1996-03-16	PRIJEM	VKLAD	38756	83483	\N	\N	\N
956646	3260	1996-02-09	PRIJEM	VKLAD	45164	84418	\N	\N	\N
956647	3260	1996-01-11	PRIJEM	VKLAD	19565	79572	\N	\N	\N
956648	3260	1996-01-05	PRIJEM	VKLAD	7287	84547	\N	\N	\N
956649	3260	1996-10-07	PRIJEM	VKLAD	37290	91739	\N	\N	\N
956650	3260	1996-12-30	PRIJEM	VKLAD	19358	123957	\N	\N	\N
956651	3260	1996-08-11	PRIJEM	VKLAD	33807	71265	\N	\N	\N
956652	3260	1996-05-17	PRIJEM	VKLAD	13870	49792	\N	\N	\N
956653	3260	1996-01-02	PRIJEM	VKLAD	37165	125760	\N	\N	\N
956654	3260	1996-10-03	PRIJEM	VKLAD	23903	64449	\N	\N	\N
956655	3260	1996-01-12	PRIJEM	VKLAD	35734	115306	\N	\N	\N
956656	3260	1996-07-20	PRIJEM	VKLAD	40399	73151	\N	\N	\N
956657	3260	1997-03-28	PRIJEM	VKLAD	8187	97400	\N	\N	\N
956658	3260	1997-10-28	PRIJEM	VKLAD	39093	67503	\N	\N	\N
956659	3260	1997-03-07	PRIJEM	VKLAD	35131	107934	\N	\N	\N
956660	3260	1997-05-27	PRIJEM	VKLAD	47911	124480	\N	\N	\N
956661	3260	1997-01-29	PRIJEM	VKLAD	36375	99554	\N	\N	\N
956662	3260	1997-10-30	PRIJEM	VKLAD	31090	98593	\N	\N	\N
956663	3260	1997-04-05	PRIJEM	VKLAD	37849	112574	\N	\N	\N
956664	3260	1997-03-31	PRIJEM	VKLAD	25130	122939	\N	\N	\N
956665	3260	1997-01-05	PRIJEM	VKLAD	36172	83033	\N	\N	\N
956666	3260	1997-05-11	PRIJEM	VKLAD	27726	83162	\N	\N	\N
956667	3260	1997-11-28	PRIJEM	VKLAD	38730	102356	\N	\N	\N
956668	3260	1997-06-04	PRIJEM	VKLAD	43473	112463	\N	\N	\N
956669	3260	1997-05-20	PRIJEM	VKLAD	25003	83769	\N	\N	\N
956670	3260	1997-06-12	PRIJEM	VKLAD	5820	114943	\N	\N	\N
956671	3260	1997-07-19	PRIJEM	VKLAD	9144	71527	\N	\N	\N
956672	3260	1997-08-14	PRIJEM	VKLAD	25269	113278	\N	\N	\N
956673	3260	1997-04-17	PRIJEM	VKLAD	23807	73079	\N	\N	\N
956674	3260	1997-01-14	PRIJEM	VKLAD	18833	101826	\N	\N	\N
956675	3260	1997-08-05	PRIJEM	VKLAD	25226	88049	\N	\N	\N
956676	3260	1997-08-24	PRIJEM	VKLAD	25734	130550	\N	\N	\N
956677	3260	1997-02-09	PRIJEM	VKLAD	34540	107973	\N	\N	\N
956678	3260	1997-06-15	PRIJEM	VKLAD	39363	94201	\N	\N	\N
956679	3260	1997-12-26	PRIJEM	VKLAD	20377	96777	\N	\N	\N
956680	3260	1997-12-19	PRIJEM	VKLAD	30477	76400	\N	\N	\N
956681	3260	1997-12-18	PRIJEM	VKLAD	17674	45923	\N	\N	\N
956682	3260	1998-08-13	PRIJEM	VKLAD	46211	135689	\N	\N	\N
956683	3260	1998-05-26	PRIJEM	VKLAD	35861	153565	\N	\N	\N
956684	3260	1998-12-28	PRIJEM	VKLAD	13252	61163	\N	\N	\N
956685	3260	1998-10-03	PRIJEM	VKLAD	17157	62745	\N	\N	\N
956686	3260	1998-12-13	PRIJEM	VKLAD	6308	48273	\N	\N	\N
956687	3260	1998-01-18	PRIJEM	VKLAD	12166	34511	\N	\N	\N
956688	3260	1998-07-27	PRIJEM	VKLAD	28909	100837	\N	\N	\N
956689	3260	1998-08-04	PRIJEM	VKLAD	13277	89518	\N	\N	\N
956690	3260	1998-05-08	PRIJEM	VKLAD	18184	58187	\N	\N	\N
956691	3260	1998-07-20	PRIJEM	VKLAD	45266	71928	\N	\N	\N
956692	3260	1998-05-13	PRIJEM	VKLAD	22749	80896	\N	\N	\N
956693	3260	1998-03-11	PRIJEM	VKLAD	11314	47094	\N	\N	\N
956694	3260	1998-08-23	PRIJEM	VKLAD	31851	115778	\N	\N	\N
956695	3260	1998-05-26	PRIJEM	VKLAD	45270	117704	\N	\N	\N
956703	3260	1993-08-14	VYDAJ	PREVOD NA UCET	8462	77244	SIPO	AB	89460461
956704	3260	1993-09-14	VYDAJ	PREVOD NA UCET	8462	41927	SIPO	AB	89460461
956705	3260	1993-10-14	VYDAJ	PREVOD NA UCET	8462	42580	SIPO	AB	89460461
956706	3260	1993-11-14	VYDAJ	PREVOD NA UCET	8462	23818	SIPO	AB	89460461
956707	3260	1993-12-14	VYDAJ	PREVOD NA UCET	8462	11060	SIPO	AB	89460461
956708	3260	1994-01-14	VYDAJ	PREVOD NA UCET	8462	15133	SIPO	AB	89460461
956709	3260	1994-02-14	VYDAJ	PREVOD NA UCET	8462	27524	SIPO	AB	89460461
956710	3260	1994-03-14	VYDAJ	PREVOD NA UCET	8462	73792	SIPO	AB	89460461
956711	3260	1994-04-14	VYDAJ	PREVOD NA UCET	8462	43328	SIPO	AB	89460461
956712	3260	1994-05-14	VYDAJ	PREVOD NA UCET	8462	45890	SIPO	AB	89460461
956713	3260	1994-06-14	VYDAJ	PREVOD NA UCET	8462	18418	SIPO	AB	89460461
956714	3260	1994-07-14	VYDAJ	PREVOD NA UCET	8462	56389	SIPO	AB	89460461
956715	3260	1994-08-14	VYDAJ	PREVOD NA UCET	8462	59599	SIPO	AB	89460461
956716	3260	1994-09-14	VYDAJ	PREVOD NA UCET	8462	93397	SIPO	AB	89460461
956717	3260	1994-10-14	VYDAJ	PREVOD NA UCET	8462	77537	SIPO	AB	89460461
956718	3260	1994-11-14	VYDAJ	PREVOD NA UCET	8462	64755	SIPO	AB	89460461
956719	3260	1994-12-14	VYDAJ	PREVOD NA UCET	8462	38640	SIPO	AB	89460461
956720	3260	1995-01-14	VYDAJ	PREVOD NA UCET	8462	54181	SIPO	AB	89460461
956721	3260	1995-02-14	VYDAJ	PREVOD NA UCET	8462	62443	SIPO	AB	89460461
956722	3260	1995-03-14	VYDAJ	PREVOD NA UCET	8462	78526	SIPO	AB	89460461
956723	3260	1995-04-14	VYDAJ	PREVOD NA UCET	8462	42030	SIPO	AB	89460461
956724	3260	1995-05-14	VYDAJ	PREVOD NA UCET	8462	48302	SIPO	AB	89460461
956725	3260	1995-06-14	VYDAJ	PREVOD NA UCET	8462	48986	SIPO	AB	89460461
956726	3260	1995-07-14	VYDAJ	PREVOD NA UCET	8462	55810	SIPO	AB	89460461
956727	3260	1995-08-14	VYDAJ	PREVOD NA UCET	8462	65069	SIPO	AB	89460461
956728	3260	1995-09-14	VYDAJ	PREVOD NA UCET	8462	46232	SIPO	AB	89460461
956729	3260	1995-10-14	VYDAJ	PREVOD NA UCET	8462	74030	SIPO	AB	89460461
956730	3260	1995-11-14	VYDAJ	PREVOD NA UCET	8462	61251	SIPO	AB	89460461
956731	3260	1995-12-14	VYDAJ	PREVOD NA UCET	8462	58866	SIPO	AB	89460461
956732	3260	1996-01-14	VYDAJ	PREVOD NA UCET	8462	50144	SIPO	AB	89460461
956733	3260	1996-02-14	VYDAJ	PREVOD NA UCET	8462	75956	SIPO	AB	89460461
956734	3260	1996-03-14	VYDAJ	PREVOD NA UCET	8462	44727	SIPO	AB	89460461
956735	3260	1996-04-14	VYDAJ	PREVOD NA UCET	8462	41201	SIPO	AB	89460461
956736	3260	1996-05-14	VYDAJ	PREVOD NA UCET	8462	35922	SIPO	AB	89460461
956737	3260	1996-06-14	VYDAJ	PREVOD NA UCET	8462	108268	SIPO	AB	89460461
956738	3260	1996-07-14	VYDAJ	PREVOD NA UCET	8462	32752	SIPO	AB	89460461
956739	3260	1996-08-14	VYDAJ	PREVOD NA UCET	8462	62803	SIPO	AB	89460461
956740	3260	1996-09-14	VYDAJ	PREVOD NA UCET	8462	40381	SIPO	AB	89460461
956741	3260	1996-10-14	VYDAJ	PREVOD NA UCET	8462	83237	SIPO	AB	89460461
956742	3260	1996-11-14	VYDAJ	PREVOD NA UCET	8462	69557	SIPO	AB	89460461
956743	3260	1996-12-14	VYDAJ	PREVOD NA UCET	8462	79737	SIPO	AB	89460461
956744	3260	1997-01-14	VYDAJ	PREVOD NA UCET	8462	88979	SIPO	AB	89460461
956745	3260	1997-02-14	VYDAJ	PREVOD NA UCET	8462	99511	SIPO	AB	89460461
956746	3260	1997-03-14	VYDAJ	PREVOD NA UCET	8462	99432	SIPO	AB	89460461
956747	3260	1997-04-14	VYDAJ	PREVOD NA UCET	8462	49272	SIPO	AB	89460461
956748	3260	1997-05-14	VYDAJ	PREVOD NA UCET	8462	74700	SIPO	AB	89460461
956749	3260	1997-06-14	VYDAJ	PREVOD NA UCET	8462	54838	SIPO	AB	89460461
956750	3260	1997-07-14	VYDAJ	PREVOD NA UCET	8462	62383	SIPO	AB	89460461
956751	3260	1997-08-14	VYDAJ	PREVOD NA UCET	8462	104816	SIPO	AB	89460461
956752	3260	1997-09-14	VYDAJ	PREVOD NA UCET	8462	21388	SIPO	AB	89460461
956753	3260	1997-10-14	VYDAJ	PREVOD NA UCET	8462	28410	SIPO	AB	89460461
956754	3260	1997-11-14	VYDAJ	PREVOD NA UCET	8462	63626	SIPO	AB	89460461
956755	3260	1997-12-14	VYDAJ	PREVOD NA UCET	8462	28249	SIPO	AB	89460461
956756	3260	1998-01-14	VYDAJ	PREVOD NA UCET	8462	22345	SIPO	AB	89460461
956757	3260	1998-02-14	VYDAJ	PREVOD NA UCET	8462	26203	SIPO	AB	89460461
956758	3260	1998-03-14	VYDAJ	PREVOD NA UCET	8462	38632	SIPO	AB	89460461
956759	3260	1998-04-14	VYDAJ	PREVOD NA UCET	8462	32670	SIPO	AB	89460461
956760	3260	1998-05-14	VYDAJ	PREVOD NA UCET	8462	72434	SIPO	AB	89460461
956761	3260	1998-06-14	VYDAJ	PREVOD NA UCET	8462	56312	SIPO	AB	89460461
956762	3260	1998-07-14	VYDAJ	PREVOD NA UCET	8462	26662	SIPO	AB	89460461
956763	3260	1998-08-14	VYDAJ	PREVOD NA UCET	8462	83927	SIPO	AB	89460461
956764	3260	1998-09-14	VYDAJ	PREVOD NA UCET	8462	70910	SIPO	AB	89460461
956765	3260	1998-10-14	VYDAJ	PREVOD NA UCET	8462	54243	SIPO	AB	89460461
956766	3260	1998-11-14	VYDAJ	PREVOD NA UCET	8462	40938	SIPO	AB	89460461
956767	3260	1998-12-14	VYDAJ	PREVOD NA UCET	8462	39811	SIPO	AB	89460461
956775	3260	1993-08-08	VYDAJ	PREVOD NA UCET	40	85706	 	MN	83334749
956776	3260	1993-09-08	VYDAJ	PREVOD NA UCET	40	50389	 	MN	83334749
956777	3260	1993-10-08	VYDAJ	PREVOD NA UCET	40	51042	 	MN	83334749
956778	3260	1993-11-08	VYDAJ	PREVOD NA UCET	40	32280	 	MN	83334749
956779	3260	1993-12-08	VYDAJ	PREVOD NA UCET	40	19522	 	MN	83334749
956780	3260	1994-01-08	VYDAJ	PREVOD NA UCET	40	37095	 	MN	83334749
956781	3260	1994-02-08	VYDAJ	PREVOD NA UCET	40	40786	 	MN	83334749
956782	3260	1994-03-08	VYDAJ	PREVOD NA UCET	40	82254	 	MN	83334749
956783	3260	1994-04-08	VYDAJ	PREVOD NA UCET	40	51790	 	MN	83334749
956784	3260	1994-05-08	VYDAJ	PREVOD NA UCET	40	54352	 	MN	83334749
956785	3260	1994-06-08	VYDAJ	PREVOD NA UCET	40	26880	 	MN	83334749
956786	3260	1994-07-08	VYDAJ	PREVOD NA UCET	40	22762	 	MN	83334749
956787	3260	1994-08-08	VYDAJ	PREVOD NA UCET	40	68061	 	MN	83334749
956788	3260	1994-09-08	VYDAJ	PREVOD NA UCET	40	87047	 	MN	83334749
956789	3260	1994-10-08	VYDAJ	PREVOD NA UCET	40	85999	 	MN	83334749
956790	3260	1994-11-08	VYDAJ	PREVOD NA UCET	40	37447	 	MN	83334749
956791	3260	1994-12-08	VYDAJ	PREVOD NA UCET	40	47102	 	MN	83334749
956792	3260	1995-01-08	VYDAJ	PREVOD NA UCET	40	85743	 	MN	83334749
956793	3260	1995-02-08	VYDAJ	PREVOD NA UCET	40	107505	 	MN	83334749
956794	3260	1995-03-08	VYDAJ	PREVOD NA UCET	40	76476	 	MN	83334749
956795	3260	1995-04-08	VYDAJ	PREVOD NA UCET	40	75205	 	MN	83334749
956796	3260	1995-05-08	VYDAJ	PREVOD NA UCET	40	65264	 	MN	83334749
956797	3260	1995-06-08	VYDAJ	PREVOD NA UCET	40	120104	 	MN	83334749
956798	3260	1995-07-08	VYDAJ	PREVOD NA UCET	40	95972	 	MN	83334749
956799	3260	1995-08-08	VYDAJ	PREVOD NA UCET	40	104431	 	MN	83334749
956800	3260	1995-09-08	VYDAJ	PREVOD NA UCET	40	68694	 	MN	83334749
956801	3260	1995-10-08	VYDAJ	PREVOD NA UCET	40	59814	 	MN	83334749
956802	3260	1995-11-08	VYDAJ	PREVOD NA UCET	40	98997	 	MN	83334749
956803	3260	1995-12-08	VYDAJ	PREVOD NA UCET	40	97728	 	MN	83334749
956804	3260	1996-01-08	VYDAJ	PREVOD NA UCET	40	84507	 	MN	83334749
956805	3260	1996-02-08	VYDAJ	PREVOD NA UCET	40	41054	 	MN	83334749
956806	3260	1996-03-08	VYDAJ	PREVOD NA UCET	40	64589	 	MN	83334749
956807	3260	1996-04-08	VYDAJ	PREVOD NA UCET	40	60863	 	MN	83334749
956808	3260	1996-05-08	VYDAJ	PREVOD NA UCET	40	44384	 	MN	83334749
956809	3260	1996-06-08	VYDAJ	PREVOD NA UCET	40	76608	 	MN	83334749
956810	3260	1996-07-08	VYDAJ	PREVOD NA UCET	40	41214	 	MN	83334749
956811	3260	1996-08-08	VYDAJ	PREVOD NA UCET	40	57605	 	MN	83334749
956812	3260	1996-09-08	VYDAJ	PREVOD NA UCET	40	48843	 	MN	83334749
956813	3260	1996-10-08	VYDAJ	PREVOD NA UCET	40	91699	 	MN	83334749
956814	3260	1996-11-08	VYDAJ	PREVOD NA UCET	40	78019	 	MN	83334749
956815	3260	1996-12-08	VYDAJ	PREVOD NA UCET	40	93599	 	MN	83334749
956816	3260	1997-01-08	VYDAJ	PREVOD NA UCET	40	82993	 	MN	83334749
956817	3260	1997-02-08	VYDAJ	PREVOD NA UCET	40	73433	 	MN	83334749
956818	3260	1997-03-08	VYDAJ	PREVOD NA UCET	40	107894	 	MN	83334749
956819	3260	1997-04-08	VYDAJ	PREVOD NA UCET	40	57734	 	MN	83334749
956820	3260	1997-05-08	VYDAJ	PREVOD NA UCET	40	61436	 	MN	83334749
956821	3260	1997-06-08	VYDAJ	PREVOD NA UCET	40	112423	 	MN	83334749
956822	3260	1997-07-08	VYDAJ	PREVOD NA UCET	40	76845	 	MN	83334749
956823	3260	1997-08-08	VYDAJ	PREVOD NA UCET	40	88009	 	MN	83334749
956824	3260	1997-09-08	VYDAJ	PREVOD NA UCET	40	59772	 	MN	83334749
956825	3260	1997-10-08	VYDAJ	PREVOD NA UCET	40	36872	 	MN	83334749
956826	3260	1997-11-08	VYDAJ	PREVOD NA UCET	40	72088	 	MN	83334749
956827	3260	1997-12-08	VYDAJ	PREVOD NA UCET	40	58052	 	MN	83334749
956828	3260	1998-01-08	VYDAJ	PREVOD NA UCET	40	32307	 	MN	83334749
956829	3260	1998-02-08	VYDAJ	PREVOD NA UCET	40	40901	 	MN	83334749
956830	3260	1998-03-08	VYDAJ	PREVOD NA UCET	40	35780	 	MN	83334749
956831	3260	1998-04-08	VYDAJ	PREVOD NA UCET	40	41132	 	MN	83334749
956832	3260	1998-05-08	VYDAJ	PREVOD NA UCET	40	58147	 	MN	83334749
956833	3260	1998-06-08	VYDAJ	PREVOD NA UCET	40	64774	 	MN	83334749
956834	3260	1998-07-08	VYDAJ	PREVOD NA UCET	40	35124	 	MN	83334749
956835	3260	1998-08-08	VYDAJ	PREVOD NA UCET	40	89478	 	MN	83334749
956836	3260	1998-09-08	VYDAJ	PREVOD NA UCET	40	79372	 	MN	83334749
956837	3260	1998-10-08	VYDAJ	PREVOD NA UCET	40	62705	 	MN	83334749
956838	3260	1998-11-08	VYDAJ	PREVOD NA UCET	40	49400	 	MN	83334749
956839	3260	1998-12-08	VYDAJ	PREVOD NA UCET	40	41965	 	MN	83334749
956842	3260	1993-12-30	VYBER	VYBER	5334	49346	\N	\N	\N
956843	3260	1993-09-27	VYBER	VYBER	5486	28241	\N	\N	\N
956844	3260	1994-02-07	VYBER	VYBER	14585	40826	\N	\N	\N
956845	3260	1994-05-23	VYBER	VYBER	9623	26767	\N	\N	\N
956847	3260	1995-08-17	VYBER	VYBER	24614	48818	\N	\N	\N
956848	3260	1995-04-12	VYBER	VYBER	15213	59992	\N	\N	\N
956849	3260	1995-03-06	VYBER	VYBER	24273	76516	\N	\N	\N
956850	3260	1995-01-16	VYBER	VYBER	17317	61974	\N	\N	\N
956851	3260	1995-06-19	VYBER	VYBER	20804	77625	\N	\N	\N
956852	3260	1995-06-10	VYBER	VYBER	14456	82648	\N	\N	\N
956853	3260	1995-04-08	VYBER	VYBER	20263	75245	\N	\N	\N
956854	3260	1995-07-22	VYBER	VYBER	6495	56148	\N	\N	\N
956855	3260	1995-06-04	VYBER	VYBER	12823	92525	\N	\N	\N
956856	3260	1996-06-29	VYBER	VYBER	4492	45976	\N	\N	\N
956857	3260	1996-08-20	VYBER	VYBER	14837	47966	\N	\N	\N
956858	3260	1996-08-09	VYBER	VYBER	20147	37458	\N	\N	\N
956859	3260	1996-02-26	VYBER	VYBER	2291	73665	\N	\N	\N
956860	3260	1996-11-24	VYBER	VYBER	21258	48299	\N	\N	\N
956861	3260	1996-06-11	VYBER	VYBER	3497	88231	\N	\N	\N
956862	3260	1997-05-17	VYBER	VYBER	9912	64788	\N	\N	\N
956863	3260	1997-12-13	VYBER	VYBER	21341	36711	\N	\N	\N
956864	3260	1997-09-10	VYBER	VYBER	14465	45307	\N	\N	\N
956865	3260	1997-12-08	VYBER	VYBER	11432	58092	\N	\N	\N
956867	3260	1997-01-14	VYBER	VYBER	4385	97441	\N	\N	\N
956869	3260	1997-08-27	VYBER	VYBER	5277	66373	\N	\N	\N
956870	3260	1997-03-21	VYBER	VYBER	10219	89213	\N	\N	\N
956871	3260	1997-06-14	VYBER	VYBER	17143	63300	\N	\N	\N
956872	3260	1997-05-19	VYBER	VYBER	6022	58766	\N	\N	\N
956873	3260	1997-09-10	VYBER	VYBER	15457	29850	\N	\N	\N
956876	3260	1998-07-04	VYBER	VYBER	6691	42845	\N	\N	\N
956877	3260	1998-07-07	VYBER	VYBER	7681	35164	\N	\N	\N
956879	3260	1998-09-16	VYBER	VYBER	13675	57235	\N	\N	\N
956880	3260	1998-01-04	VYBER	VYBER	17483	37147	\N	\N	\N
956883	3260	1998-02-12	VYBER	VYBER	6236	34665	\N	\N	\N
956890	3260	1997-06-13	VYDAJ	VYBER	34500	80443	\N	\N	\N
956893	3260	1994-12-01	VYDAJ	VYBER	3000	47142	\N	\N	\N
956894	3260	1995-12-01	VYDAJ	VYBER	2100	97768	\N	\N	\N
956895	3260	1996-12-08	VYDAJ	VYBER	5400	88199	\N	\N	\N
956896	3260	1997-12-07	VYDAJ	VYBER KARTOU	4800	69524	\N	\N	0
956897	3260	1998-12-07	VYDAJ	VYBER KARTOU	4200	42005	\N	\N	0
956904	3260	1994-01-11	VYDAJ	VYBER	7800	23595	\N	\N	\N
956906	3260	1994-01-10	VYDAJ	VYBER	5700	31395	\N	\N	\N
956907	3260	1994-01-03	VYDAJ	VYBER	7800	41635	\N	\N	\N
956908	3260	1994-01-06	VYDAJ	VYBER	4500	37135	\N	\N	\N
956909	3260	1994-01-28	VYDAJ	VYBER	5100	42684	\N	\N	\N
956910	3260	1995-01-20	VYDAJ	VYBER	8400	53574	\N	\N	\N
956911	3260	1995-01-11	VYDAJ	VYBER	8100	77643	\N	\N	\N
956912	3260	1995-01-15	VYDAJ	VYBER	7500	79291	\N	\N	\N
956913	3260	1995-01-23	VYDAJ	VYBER	3600	49974	\N	\N	\N
956914	3260	1995-01-13	VYDAJ	VYBER	8700	62643	\N	\N	\N
956915	3260	1995-01-13	VYDAJ	VYBER	6300	71343	\N	\N	\N
956916	3260	1996-01-27	VYDAJ	VYBER	2100	42944	\N	\N	\N
956917	3260	1996-01-27	VYDAJ	VYBER	2100	40844	\N	\N	\N
956918	3260	1996-01-15	VYDAJ	VYBER	5100	45044	\N	\N	\N
956919	3260	1996-01-04	VYDAJ	VYBER	1500	107760	\N	\N	\N
956920	3260	1996-01-04	VYDAJ	VYBER	2100	105660	\N	\N	\N
956921	3260	1996-01-04	VYDAJ	VYBER	2100	77260	\N	\N	\N
956922	3260	1997-01-04	VYDAJ	VYBER	6000	46861	\N	\N	\N
956923	3260	1997-01-25	VYDAJ	VYBER	6600	77579	\N	\N	\N
956924	3260	1997-01-20	VYDAJ	VYBER	2700	84179	\N	\N	\N
956925	3260	1997-01-02	VYDAJ	VYBER	6000	57761	\N	\N	\N
956926	3260	1997-01-15	VYDAJ	VYBER	2100	86879	\N	\N	\N
956927	3260	1997-01-29	VYDAJ	VYBER	6900	92654	\N	\N	\N
956930	3260	1998-01-03	VYDAJ	VYBER	8400	54630	\N	\N	\N
956932	3260	1998-01-06	VYDAJ	VYBER KARTOU	4800	32347	\N	\N	0
956933	3260	1998-01-01	VYDAJ	VYBER KARTOU	7200	63030	\N	\N	0
956935	3260	1993-12-05	VYDAJ	VYBER	11400	19562	\N	\N	\N
956937	3260	1994-10-27	VYDAJ	VYBER	9000	37237	\N	\N	\N
956938	3260	1994-08-14	VYDAJ	VYBER	6600	52999	\N	\N	\N
956939	3260	1994-10-18	VYDAJ	VYBER	6600	46237	\N	\N	\N
956940	3260	1994-02-08	VYDAJ	VYBER	4800	35986	\N	\N	\N
956941	3260	1995-02-14	VYDAJ	VYBER	1500	70905	\N	\N	\N
956942	3260	1995-03-12	VYDAJ	VYBER	3000	86988	\N	\N	\N
956943	3260	1995-10-23	VYDAJ	VYBER	9600	98735	\N	\N	\N
956944	3260	1995-10-08	VYDAJ	VYBER	2400	59854	\N	\N	\N
956945	3260	1995-07-03	VYDAJ	VYBER	10500	67450	\N	\N	\N
956946	3260	1996-07-25	VYDAJ	VYBER	9600	63551	\N	\N	\N
956947	3260	1996-03-08	VYDAJ	VYBER	9300	64629	\N	\N	\N
956948	3260	1996-07-06	VYDAJ	VYBER	14100	32154	\N	\N	\N
956949	3260	1996-04-24	VYDAJ	VYBER	12900	28301	\N	\N	\N
956950	3260	1997-05-08	VYDAJ	VYBER KARTOU	6000	55436	\N	\N	0
956951	3260	1997-07-12	VYDAJ	VYBER KARTOU	6000	70845	\N	\N	0
956952	3260	1997-01-28	VYDAJ	VYBER	14400	63179	\N	\N	\N
956953	3260	1997-06-11	VYDAJ	VYBER KARTOU	3300	109123	\N	\N	0
956954	3260	1997-04-20	VYDAJ	VYBER KARTOU	6000	67079	\N	\N	0
956955	3260	1997-05-22	VYDAJ	VYBER KARTOU	7200	76569	\N	\N	0
956956	3260	1997-03-04	VYDAJ	VYBER	3900	96003	\N	\N	\N
956957	3260	1998-09-29	VYDAJ	VYBER KARTOU	6900	45335	\N	\N	0
956958	3260	1998-01-09	VYDAJ	VYBER KARTOU	1500	30807	\N	\N	0
956966	3260	1993-07-31	VYDAJ	VYBER	15	85746	SLUZBY	\N	\N
956967	3260	1993-08-31	VYDAJ	VYBER	15	50429	SLUZBY	\N	\N
956968	3260	1993-09-30	VYDAJ	VYBER	15	28401	SLUZBY	\N	\N
956969	3260	1993-10-31	VYDAJ	VYBER	15	32320	SLUZBY	\N	\N
956970	3260	1993-11-30	VYDAJ	VYBER	15	30962	SLUZBY	\N	\N
956971	3260	1993-12-31	VYDAJ	VYBER	15	49435	SLUZBY	\N	\N
956972	3260	1994-01-31	VYDAJ	VYBER	15	42800	SLUZBY	\N	\N
956973	3260	1994-02-28	VYDAJ	VYBER	15	47342	SLUZBY	\N	\N
956974	3260	1994-03-31	VYDAJ	VYBER	15	51830	SLUZBY	\N	\N
956975	3260	1994-04-30	VYDAJ	VYBER	15	44232	SLUZBY	\N	\N
956976	3260	1994-05-31	VYDAJ	VYBER	15	26920	SLUZBY	\N	\N
956977	3260	1994-06-30	VYDAJ	VYBER	15	22802	SLUZBY	\N	\N
956978	3260	1994-07-31	VYDAJ	VYBER	15	68101	SLUZBY	\N	\N
956979	3260	1994-08-31	VYDAJ	VYBER	15	87087	SLUZBY	\N	\N
956980	3260	1994-09-30	VYDAJ	VYBER	15	86039	SLUZBY	\N	\N
956981	3260	1994-10-31	VYDAJ	VYBER	15	37487	SLUZBY	\N	\N
956982	3260	1994-11-30	VYDAJ	VYBER	15	50142	SLUZBY	\N	\N
956983	3260	1994-12-31	VYDAJ	VYBER	15	38000	SLUZBY	\N	\N
956984	3260	1995-01-31	VYDAJ	VYBER	15	50192	SLUZBY	\N	\N
956985	3260	1995-02-28	VYDAJ	VYBER	15	100789	SLUZBY	\N	\N
956986	3260	1995-03-31	VYDAJ	VYBER	15	95508	SLUZBY	\N	\N
956987	3260	1995-04-30	VYDAJ	VYBER	15	65304	SLUZBY	\N	\N
956988	3260	1995-05-31	VYDAJ	VYBER	15	105348	SLUZBY	\N	\N
956989	3260	1995-06-30	VYDAJ	VYBER	15	77950	SLUZBY	\N	\N
956990	3260	1995-07-31	VYDAJ	VYBER	15	71615	SLUZBY	\N	\N
956991	3260	1995-08-31	VYDAJ	VYBER	15	68734	SLUZBY	\N	\N
956992	3260	1995-09-30	VYDAJ	VYBER	15	62254	SLUZBY	\N	\N
956993	3260	1995-10-31	VYDAJ	VYBER	15	99037	SLUZBY	\N	\N
956994	3260	1995-11-30	VYDAJ	VYBER	15	99868	SLUZBY	\N	\N
956995	3260	1995-12-31	VYDAJ	VYBER	15	88595	SLUZBY	\N	\N
956996	3260	1996-01-31	VYDAJ	VYBER	15	41094	SLUZBY	\N	\N
956997	3260	1996-02-29	VYDAJ	VYBER	15	73929	SLUZBY	\N	\N
956998	3260	1996-03-31	VYDAJ	VYBER	15	60903	SLUZBY	\N	\N
956999	3260	1996-04-30	VYDAJ	VYBER	15	43324	SLUZBY	\N	\N
957000	3260	1996-05-31	VYDAJ	VYBER	15	105417	SLUZBY	\N	\N
957001	3260	1996-06-30	VYDAJ	VYBER	15	46254	SLUZBY	\N	\N
957002	3260	1996-07-31	VYDAJ	VYBER	15	63745	SLUZBY	\N	\N
957003	3260	1996-08-31	VYDAJ	VYBER	15	48183	SLUZBY	\N	\N
957004	3260	1996-09-30	VYDAJ	VYBER	15	40546	SLUZBY	\N	\N
957005	3260	1996-10-31	VYDAJ	VYBER	15	106459	SLUZBY	\N	\N
957006	3260	1996-11-30	VYDAJ	VYBER	15	48593	SLUZBY	\N	\N
957007	3260	1996-12-31	VYDAJ	VYBER	15	63761	SLUZBY	\N	\N
957008	3260	1997-01-31	VYDAJ	VYBER	15	92973	SLUZBY	\N	\N
957009	3260	1997-02-28	VYDAJ	VYBER	15	99903	SLUZBY	\N	\N
957010	3260	1997-03-31	VYDAJ	VYBER	15	122925	SLUZBY	\N	\N
957011	3260	1997-04-30	VYDAJ	VYBER	15	67376	SLUZBY	\N	\N
957012	3260	1997-05-31	VYDAJ	VYBER	15	80690	SLUZBY	\N	\N
957013	3260	1997-06-30	VYDAJ	VYBER	15	94585	SLUZBY	\N	\N
957014	3260	1997-07-31	VYDAJ	VYBER	15	71823	SLUZBY	\N	\N
957015	3260	1997-08-31	VYDAJ	VYBER	15	59812	SLUZBY	\N	\N
957016	3260	1997-09-30	VYDAJ	VYBER	15	36912	SLUZBY	\N	\N
957017	3260	1997-10-31	VYDAJ	VYBER	15	72128	SLUZBY	\N	\N
957018	3260	1997-11-30	VYDAJ	VYBER	15	74324	SLUZBY	\N	\N
957019	3260	1997-12-31	VYDAJ	VYBER	15	70230	SLUZBY	\N	\N
957020	3260	1998-01-31	VYDAJ	VYBER	15	40941	SLUZBY	\N	\N
957021	3260	1998-02-28	VYDAJ	VYBER	15	35820	SLUZBY	\N	\N
957022	3260	1998-03-31	VYDAJ	VYBER	15	41172	SLUZBY	\N	\N
957023	3260	1998-04-30	VYDAJ	VYBER	15	40003	SLUZBY	\N	\N
957024	3260	1998-05-31	VYDAJ	VYBER	15	64814	SLUZBY	\N	\N
957025	3260	1998-06-30	VYDAJ	VYBER	15	49536	SLUZBY	\N	\N
957026	3260	1998-07-31	VYDAJ	VYBER	15	76241	SLUZBY	\N	\N
957027	3260	1998-08-31	VYDAJ	VYBER	15	79412	SLUZBY	\N	\N
957028	3260	1998-09-30	VYDAJ	VYBER	15	45588	SLUZBY	\N	\N
957029	3260	1998-10-31	VYDAJ	VYBER	15	49440	SLUZBY	\N	\N
957030	3260	1998-11-30	VYDAJ	VYBER	15	46205	SLUZBY	\N	\N
957031	3260	1993-04-24	VYDAJ	VYBER	23200	50451	\N	\N	\N
957032	3260	1993-05-24	VYDAJ	VYBER	12200	38323	\N	\N	\N
957033	3260	1993-06-23	VYDAJ	VYBER	7000	31630	\N	\N	\N
957034	3260	1993-07-23	VYDAJ	VYBER	35400	56817	\N	\N	\N
957035	3260	1993-08-22	VYDAJ	VYBER	27100	50144	\N	\N	\N
957036	3260	1993-09-21	VYDAJ	VYBER	8200	33727	\N	\N	\N
957037	3260	1993-10-21	VYDAJ	VYBER	10400	32180	\N	\N	\N
957038	3260	1993-11-20	PRIJEM	VKLAD	1000	24818	\N	\N	\N
957039	3260	1993-12-20	PRIJEM	VKLAD	3800	23130	\N	\N	\N
957040	3260	1994-01-19	PRIJEM	VKLAD	2200	23168	\N	\N	\N
957041	3260	1994-02-18	VYDAJ	VYBER	16500	47158	\N	\N	\N
957042	3260	1994-03-20	VYDAJ	VYBER	22200	51592	\N	\N	\N
957043	3260	1994-04-19	VYDAJ	VYBER	16700	44043	\N	\N	\N
957044	3260	1994-05-19	VYDAJ	VYBER	9500	36390	\N	\N	\N
957045	3260	1994-06-18	PRIJEM	VKLAD	4300	22718	\N	\N	\N
957046	3260	1994-07-18	VYDAJ	VYBER	12200	44189	\N	\N	\N
957047	3260	1994-08-17	VYDAJ	VYBER	9500	43499	\N	\N	\N
957048	3260	1994-09-16	VYDAJ	VYBER	33000	60397	\N	\N	\N
957049	3260	1994-10-16	VYDAJ	VYBER	24700	52837	\N	\N	\N
957050	3260	1994-11-15	VYDAJ	VYBER	14800	49955	\N	\N	\N
957051	3260	1994-12-15	VYDAJ	VYBER	800	37840	\N	\N	\N
957052	3260	1995-01-14	VYDAJ	VYBER	10300	43881	\N	\N	\N
957053	3260	1995-02-13	VYDAJ	VYBER	35100	72405	\N	\N	\N
957054	3260	1995-03-15	VYDAJ	VYBER	23400	55126	\N	\N	\N
957055	3260	1995-03-30	VYDAJ	VYBER	28600	95186	\N	\N	\N
957056	3260	1995-04-14	VYDAJ	VYBER	9500	50492	\N	\N	\N
957057	3260	1995-05-14	VYDAJ	VYBER	8500	56764	\N	\N	\N
957058	3260	1995-05-26	VYDAJ	VYBER	17000	105066	\N	\N	\N
957059	3260	1995-06-08	VYDAJ	VYBER	23000	97104	\N	\N	\N
957060	3260	1995-06-13	VYDAJ	VYBER	25200	57448	\N	\N	\N
957061	3260	1995-07-13	VYDAJ	VYBER	31700	64272	\N	\N	\N
957062	3260	1995-08-12	VYDAJ	VYBER	30900	73531	\N	\N	\N
957063	3260	1995-09-11	VYDAJ	VYBER	14000	54694	\N	\N	\N
957064	3260	1995-10-11	VYDAJ	VYBER	7700	52114	\N	\N	\N
957065	3260	1995-11-09	VYDAJ	VYBER	38200	100213	\N	\N	\N
957066	3260	1995-11-10	VYDAJ	VYBER	30500	69713	\N	\N	\N
957067	3260	1995-12-10	VYDAJ	VYBER	30400	67328	\N	\N	\N
957068	3260	1996-01-02	VYDAJ	VYBER	16500	109260	\N	\N	\N
957069	3260	1996-01-04	VYDAJ	VYBER	26300	79360	\N	\N	\N
957070	3260	1996-01-09	VYDAJ	VYBER	24500	60007	\N	\N	\N
957071	3260	1996-01-12	VYDAJ	VYBER	56700	58606	\N	\N	\N
957072	3260	1996-02-08	VYDAJ	VYBER	1800	39254	\N	\N	\N
957073	3260	1996-03-09	VYDAJ	VYBER	11400	53189	\N	\N	\N
957074	3260	1996-03-24	VYDAJ	VYBER	62500	63807	\N	\N	\N
957075	3260	1996-03-30	VYDAJ	VYBER	60300	60585	\N	\N	\N
957076	3260	1996-04-08	VYDAJ	VYBER	11200	49663	\N	\N	\N
957077	3260	1996-05-08	PRIJEM	VKLAD	1100	44424	\N	\N	\N
957078	3260	1996-06-03	VYDAJ	VYBER	58200	68246	\N	\N	\N
957079	3260	1996-06-07	VYDAJ	VYBER	29400	76648	\N	\N	\N
957080	3260	1996-06-14	VYDAJ	VYBER	57800	50468	\N	\N	\N
957081	3260	1996-07-07	PRIJEM	VKLAD	9100	41254	\N	\N	\N
957082	3260	1996-08-06	VYDAJ	VYBER	6100	57645	\N	\N	\N
957083	3260	1996-09-05	PRIJEM	VKLAD	700	48883	\N	\N	\N
957084	3260	1996-10-05	VYDAJ	VYBER	10000	54449	\N	\N	\N
957085	3260	1996-11-04	VYDAJ	VYBER	28400	78059	\N	\N	\N
957086	3260	1996-12-04	PRIJEM	VKLAD	100	48693	\N	\N	\N
957087	3260	1996-12-30	VYDAJ	VYBER	60500	63457	\N	\N	\N
957088	3260	1997-01-03	VYDAJ	VYBER	4900	52861	\N	\N	\N
957089	3260	1997-02-02	VYDAJ	VYBER	19500	73473	\N	\N	\N
957090	3260	1997-03-04	VYDAJ	VYBER	23200	72803	\N	\N	\N
957091	3260	1997-03-31	VYDAJ	VYBER	22400	100525	\N	\N	\N
957092	3260	1997-04-03	VYDAJ	VYBER	25800	74725	\N	\N	\N
957093	3260	1997-04-05	VYDAJ	VYBER	54800	57774	\N	\N	\N
957094	3260	1997-05-03	VYDAJ	VYBER KARTOU	5900	61476	\N	\N	0
957095	3260	1997-05-27	VYDAJ	VYBER	44100	80380	\N	\N	\N
957096	3260	1997-06-02	VYDAJ	VYBER	11700	68990	\N	\N	\N
957097	3260	1997-07-02	VYDAJ	VYBER	17700	76885	\N	\N	\N
957098	3260	1997-08-01	VYDAJ	VYBER	9000	62823	\N	\N	\N
957099	3260	1997-08-24	VYDAJ	VYBER	58900	71650	\N	\N	\N
957100	3260	1997-08-31	VYDAJ	VYBER KARTOU	6900	59826	\N	\N	0
957101	3260	1997-09-30	PRIJEM	VKLAD	15400	36926	\N	\N	\N
957102	3260	1997-10-30	VYDAJ	VYBER	26600	71993	\N	\N	\N
957103	3260	1997-11-29	VYDAJ	VYBER	28300	74056	\N	\N	\N
957104	3260	1997-12-29	VYDAJ	VYBER	26800	69977	\N	\N	\N
957105	3260	1998-01-28	PRIJEM	VKLAD	6300	40811	\N	\N	\N
957106	3260	1998-02-27	PRIJEM	VKLAD	9500	35703	\N	\N	\N
957107	3260	1998-03-29	PRIJEM	VKLAD	2400	41032	\N	\N	\N
957108	3260	1998-04-28	PRIJEM	VKLAD	7200	39870	\N	\N	\N
957109	3260	1998-05-26	VYDAJ	VYBER	21100	85865	\N	\N	\N
957110	3260	1998-05-26	VYDAJ	VYBER	46600	106965	\N	\N	\N
957111	3260	1998-05-28	VYDAJ	VYBER	21300	64565	\N	\N	\N
957112	3260	1998-06-27	VYDAJ	VYBER KARTOU	7000	49312	\N	\N	0
957113	3260	1998-07-27	VYDAJ	VYBER	24800	76037	\N	\N	\N
957114	3260	1998-08-13	VYDAJ	VYBER	43300	92389	\N	\N	\N
957115	3260	1998-08-26	VYDAJ	VYBER	36700	79078	\N	\N	\N
957116	3260	1998-09-25	VYDAJ	VYBER KARTOU	5000	52235	\N	\N	0
957117	3260	1998-10-25	VYDAJ	VYBER KARTOU	5000	49243	\N	\N	0
957118	3260	1998-11-24	PRIJEM	VKLAD	5100	46038	\N	\N	\N
957119	3260	1998-12-24	PRIJEM	VKLAD	8100	47911	\N	\N	\N
957189	3261	1993-07-07	PRIJEM	VKLAD	200	200	\N	\N	\N
957196	3261	1993-07-08	PRIJEM	VKLAD	8766	8966	\N	\N	\N
957197	3261	1993-08-08	PRIJEM	VKLAD	8766	23161	\N	\N	\N
957198	3261	1993-09-08	PRIJEM	VKLAD	8766	32310	\N	\N	\N
957199	3261	1993-10-08	PRIJEM	VKLAD	8766	35402	\N	\N	\N
957200	3261	1993-11-08	PRIJEM	VKLAD	8766	37512	\N	\N	\N
957201	3261	1993-12-08	PRIJEM	VKLAD	13149	42140	\N	\N	\N
957202	3261	1994-01-08	PRIJEM	VKLAD	8766	35372	\N	\N	\N
957203	3261	1994-02-08	PRIJEM	VKLAD	8766	26064	\N	\N	\N
957204	3261	1994-03-08	PRIJEM	VKLAD	8766	31054	\N	\N	\N
957205	3261	1994-04-08	PRIJEM	VKLAD	8766	34563	\N	\N	\N
957206	3261	1994-05-08	PRIJEM	VKLAD	8766	36788	\N	\N	\N
957207	3261	1994-06-08	PRIJEM	VKLAD	13149	40006	\N	\N	\N
957208	3261	1994-07-08	PRIJEM	VKLAD	8766	36654	\N	\N	\N
957209	3261	1994-08-08	PRIJEM	VKLAD	8766	36894	\N	\N	\N
957210	3261	1994-09-08	PRIJEM	VKLAD	8766	35332	\N	\N	\N
957211	3261	1994-10-08	PRIJEM	VKLAD	8766	31604	\N	\N	\N
957212	3261	1994-11-08	PRIJEM	VKLAD	8766	31533	\N	\N	\N
957213	3261	1994-12-08	PRIJEM	VKLAD	13149	35162	\N	\N	\N
957214	3261	1995-01-08	PRIJEM	VKLAD	8766	25695	\N	\N	\N
957215	3261	1995-02-08	PRIJEM	VKLAD	8766	28036	\N	\N	\N
957216	3261	1995-03-08	PRIJEM	VKLAD	8766	34834	\N	\N	\N
957217	3261	1995-04-08	PRIJEM	VKLAD	8766	33999	\N	\N	\N
957218	3261	1995-05-08	PRIJEM	VKLAD	8766	36425	\N	\N	\N
957219	3261	1995-06-08	PRIJEM	VKLAD	13149	36819	\N	\N	\N
957220	3261	1995-07-08	PRIJEM	VKLAD	8766	35653	\N	\N	\N
957221	3261	1995-08-08	PRIJEM	VKLAD	8766	33957	\N	\N	\N
957222	3261	1995-09-08	PRIJEM	VKLAD	8766	36778	\N	\N	\N
957223	3261	1995-10-08	PRIJEM	VKLAD	8766	34907	\N	\N	\N
957224	3261	1995-11-08	PRIJEM	VKLAD	8766	30451	\N	\N	\N
957225	3261	1995-12-08	PRIJEM	VKLAD	13149	32504	\N	\N	\N
957226	3261	1996-01-08	PRIJEM	VKLAD	8766	33097	\N	\N	\N
957227	3261	1996-02-08	PRIJEM	VKLAD	8766	25554	\N	\N	\N
957228	3261	1996-03-08	PRIJEM	VKLAD	8766	26103	\N	\N	\N
957229	3261	1996-04-08	PRIJEM	VKLAD	8766	33701	\N	\N	\N
957230	3261	1996-05-08	PRIJEM	VKLAD	8766	39625	\N	\N	\N
957231	3261	1996-06-08	PRIJEM	VKLAD	13149	44270	\N	\N	\N
957232	3261	1996-07-08	PRIJEM	VKLAD	8766	42623	\N	\N	\N
957233	3261	1996-08-08	PRIJEM	VKLAD	8766	41509	\N	\N	\N
957234	3261	1996-09-08	PRIJEM	VKLAD	8766	41559	\N	\N	\N
957235	3261	1996-10-08	PRIJEM	VKLAD	8766	48421	\N	\N	\N
957236	3261	1996-11-08	PRIJEM	VKLAD	8766	51201	\N	\N	\N
957237	3261	1996-12-08	PRIJEM	VKLAD	13149	58075	\N	\N	\N
957238	3261	1997-01-08	PRIJEM	VKLAD	8766	49894	\N	\N	\N
957239	3261	1997-02-08	PRIJEM	VKLAD	8766	37622	\N	\N	\N
957240	3261	1997-03-08	PRIJEM	VKLAD	8766	44063	\N	\N	\N
957241	3261	1997-04-08	PRIJEM	VKLAD	8766	42477	\N	\N	\N
957242	3261	1997-05-08	PRIJEM	VKLAD	8766	41699	\N	\N	\N
957243	3261	1997-06-08	PRIJEM	VKLAD	13149	51839	\N	\N	\N
957244	3261	1997-07-08	PRIJEM	VKLAD	8766	43146	\N	\N	\N
957245	3261	1997-08-08	PRIJEM	VKLAD	8766	40993	\N	\N	\N
957246	3261	1997-09-08	PRIJEM	VKLAD	8766	40534	\N	\N	\N
957247	3261	1997-10-08	PRIJEM	VKLAD	8766	36845	\N	\N	\N
957248	3261	1997-11-08	PRIJEM	VKLAD	8766	37771	\N	\N	\N
957249	3261	1997-12-08	PRIJEM	VKLAD	13149	43686	\N	\N	\N
957250	3261	1998-01-08	PRIJEM	VKLAD	8766	30608	\N	\N	\N
957251	3261	1998-02-08	PRIJEM	VKLAD	8766	25780	\N	\N	\N
957252	3261	1998-03-08	PRIJEM	VKLAD	8766	28168	\N	\N	\N
957253	3261	1998-04-08	PRIJEM	VKLAD	8766	36477	\N	\N	\N
957254	3261	1998-05-08	PRIJEM	VKLAD	8766	38503	\N	\N	\N
957255	3261	1998-06-08	PRIJEM	VKLAD	13149	44019	\N	\N	\N
957256	3261	1998-07-08	PRIJEM	VKLAD	8766	35952	\N	\N	\N
957257	3261	1998-08-08	PRIJEM	VKLAD	8766	36977	\N	\N	\N
957258	3261	1998-09-08	PRIJEM	VKLAD	8766	41713	\N	\N	\N
957259	3261	1998-10-08	PRIJEM	VKLAD	8766	40952	\N	\N	\N
957260	3261	1998-11-08	PRIJEM	VKLAD	8766	35673	\N	\N	\N
957261	3261	1998-12-08	PRIJEM	VKLAD	13149	31483	\N	\N	\N
957272	3261	1993-11-10	VYDAJ	PREVOD NA UCET	3647	31668	SIPO	WX	93776452
957273	3261	1993-12-10	VYDAJ	PREVOD NA UCET	3647	36296	SIPO	WX	93776452
957274	3261	1994-01-10	VYDAJ	PREVOD NA UCET	3647	28688	SIPO	WX	93776452
957275	3261	1994-02-10	VYDAJ	PREVOD NA UCET	3647	20220	SIPO	WX	93776452
957276	3261	1994-03-10	VYDAJ	PREVOD NA UCET	3647	25210	SIPO	WX	93776452
957277	3261	1994-04-10	VYDAJ	PREVOD NA UCET	3647	28719	SIPO	WX	93776452
957278	3261	1994-05-10	VYDAJ	PREVOD NA UCET	3647	30944	SIPO	WX	93776452
957279	3261	1994-06-10	VYDAJ	PREVOD NA UCET	3647	34162	SIPO	WX	93776452
957280	3261	1994-07-10	VYDAJ	PREVOD NA UCET	3647	30810	SIPO	WX	93776452
957281	3261	1994-08-10	VYDAJ	PREVOD NA UCET	3647	31050	SIPO	WX	93776452
957282	3261	1994-09-10	VYDAJ	PREVOD NA UCET	3647	29488	SIPO	WX	93776452
957283	3261	1994-10-10	VYDAJ	PREVOD NA UCET	3647	25760	SIPO	WX	93776452
957284	3261	1994-11-10	VYDAJ	PREVOD NA UCET	3647	25689	SIPO	WX	93776452
957285	3261	1994-12-10	VYDAJ	PREVOD NA UCET	3647	26598	SIPO	WX	93776452
957286	3261	1995-01-10	VYDAJ	PREVOD NA UCET	3647	15891	SIPO	WX	93776452
957287	3261	1995-02-10	VYDAJ	PREVOD NA UCET	3647	22192	SIPO	WX	93776452
957288	3261	1995-03-10	VYDAJ	PREVOD NA UCET	3647	28990	SIPO	WX	93776452
957289	3261	1995-04-10	VYDAJ	PREVOD NA UCET	3647	28155	SIPO	WX	93776452
957290	3261	1995-05-10	VYDAJ	PREVOD NA UCET	3647	30581	SIPO	WX	93776452
957291	3261	1995-06-10	VYDAJ	PREVOD NA UCET	3647	30975	SIPO	WX	93776452
957292	3261	1995-07-10	VYDAJ	PREVOD NA UCET	3647	29809	SIPO	WX	93776452
957293	3261	1995-08-10	VYDAJ	PREVOD NA UCET	3647	28113	SIPO	WX	93776452
957294	3261	1995-09-10	VYDAJ	PREVOD NA UCET	3647	30934	SIPO	WX	93776452
957295	3261	1995-10-10	VYDAJ	PREVOD NA UCET	3647	29063	SIPO	WX	93776452
957296	3261	1995-11-10	VYDAJ	PREVOD NA UCET	3647	24607	SIPO	WX	93776452
957297	3261	1995-12-10	VYDAJ	PREVOD NA UCET	3647	26660	SIPO	WX	93776452
957298	3261	1996-01-10	VYDAJ	PREVOD NA UCET	3647	23773	SIPO	WX	93776452
957499	3261	1994-06-30	VYDAJ	VYBER	15	34288	SLUZBY	\N	\N
957299	3261	1996-02-10	VYDAJ	PREVOD NA UCET	3647	19710	SIPO	WX	93776452
957300	3261	1996-03-10	VYDAJ	PREVOD NA UCET	3647	20259	SIPO	WX	93776452
957301	3261	1996-04-10	VYDAJ	PREVOD NA UCET	3647	27857	SIPO	WX	93776452
957302	3261	1996-05-10	VYDAJ	PREVOD NA UCET	3647	33781	SIPO	WX	93776452
957303	3261	1996-06-10	VYDAJ	PREVOD NA UCET	3647	38426	SIPO	WX	93776452
957304	3261	1996-07-10	VYDAJ	PREVOD NA UCET	3647	36779	SIPO	WX	93776452
957305	3261	1996-08-10	VYDAJ	PREVOD NA UCET	3647	35665	SIPO	WX	93776452
957306	3261	1996-09-10	VYDAJ	PREVOD NA UCET	3647	35715	SIPO	WX	93776452
957307	3261	1996-10-10	VYDAJ	PREVOD NA UCET	3647	42577	SIPO	WX	93776452
957308	3261	1996-11-10	VYDAJ	PREVOD NA UCET	3647	45357	SIPO	WX	93776452
957309	3261	1996-12-10	VYDAJ	PREVOD NA UCET	3647	52231	SIPO	WX	93776452
957310	3261	1997-01-10	VYDAJ	PREVOD NA UCET	3647	44050	SIPO	WX	93776452
957311	3261	1997-02-10	VYDAJ	PREVOD NA UCET	3647	31778	SIPO	WX	93776452
957312	3261	1997-03-10	VYDAJ	PREVOD NA UCET	3647	38219	SIPO	WX	93776452
957313	3261	1997-04-10	VYDAJ	PREVOD NA UCET	3647	33153	SIPO	WX	93776452
957314	3261	1997-05-10	VYDAJ	PREVOD NA UCET	3647	35855	SIPO	WX	93776452
957315	3261	1997-06-10	VYDAJ	PREVOD NA UCET	3647	45995	SIPO	WX	93776452
957316	3261	1997-07-10	VYDAJ	PREVOD NA UCET	3647	37302	SIPO	WX	93776452
957317	3261	1997-08-10	VYDAJ	PREVOD NA UCET	3647	35149	SIPO	WX	93776452
957318	3261	1997-09-10	VYDAJ	PREVOD NA UCET	3647	34690	SIPO	WX	93776452
957319	3261	1997-10-10	VYDAJ	PREVOD NA UCET	3647	31001	SIPO	WX	93776452
957320	3261	1997-11-10	VYDAJ	PREVOD NA UCET	3647	31927	SIPO	WX	93776452
957321	3261	1997-12-10	VYDAJ	PREVOD NA UCET	3647	37842	SIPO	WX	93776452
957322	3261	1998-01-10	VYDAJ	PREVOD NA UCET	3647	23804	SIPO	WX	93776452
957323	3261	1998-02-10	VYDAJ	PREVOD NA UCET	3647	19936	SIPO	WX	93776452
957324	3261	1998-03-10	VYDAJ	PREVOD NA UCET	3647	22324	SIPO	WX	93776452
957325	3261	1998-04-10	VYDAJ	PREVOD NA UCET	3647	30633	SIPO	WX	93776452
957326	3261	1998-05-10	VYDAJ	PREVOD NA UCET	3647	32659	SIPO	WX	93776452
957327	3261	1998-06-10	VYDAJ	PREVOD NA UCET	3647	38175	SIPO	WX	93776452
957328	3261	1998-07-10	VYDAJ	PREVOD NA UCET	3647	30108	SIPO	WX	93776452
957329	3261	1998-08-10	VYDAJ	PREVOD NA UCET	3647	32833	SIPO	WX	93776452
957330	3261	1998-09-10	VYDAJ	PREVOD NA UCET	3647	32069	SIPO	WX	93776452
957331	3261	1998-10-10	VYDAJ	PREVOD NA UCET	3647	26808	SIPO	WX	93776452
957332	3261	1998-11-10	VYDAJ	PREVOD NA UCET	3647	24529	SIPO	WX	93776452
957333	3261	1998-12-10	VYDAJ	PREVOD NA UCET	3647	22239	SIPO	WX	93776452
957344	3261	1993-11-09	VYDAJ	PREVOD NA UCET	2197	35315	 	OP	53245943
957345	3261	1993-12-09	VYDAJ	PREVOD NA UCET	2197	39943	 	OP	53245943
957346	3261	1994-01-09	VYDAJ	PREVOD NA UCET	2197	32335	 	OP	53245943
957347	3261	1994-02-09	VYDAJ	PREVOD NA UCET	2197	23867	 	OP	53245943
957348	3261	1994-03-09	VYDAJ	PREVOD NA UCET	2197	28857	 	OP	53245943
957349	3261	1994-04-09	VYDAJ	PREVOD NA UCET	2197	32366	 	OP	53245943
957350	3261	1994-05-09	VYDAJ	PREVOD NA UCET	2197	34591	 	OP	53245943
957351	3261	1994-06-09	VYDAJ	PREVOD NA UCET	2197	37809	 	OP	53245943
957352	3261	1994-07-09	VYDAJ	PREVOD NA UCET	2197	34457	 	OP	53245943
957353	3261	1994-08-09	VYDAJ	PREVOD NA UCET	2197	34697	 	OP	53245943
957354	3261	1994-09-09	VYDAJ	PREVOD NA UCET	2197	33135	 	OP	53245943
957355	3261	1994-10-09	VYDAJ	PREVOD NA UCET	2197	29407	 	OP	53245943
957356	3261	1994-11-09	VYDAJ	PREVOD NA UCET	2197	29336	 	OP	53245943
957357	3261	1994-12-09	VYDAJ	PREVOD NA UCET	2197	32965	 	OP	53245943
957358	3261	1995-01-09	VYDAJ	PREVOD NA UCET	2197	20498	 	OP	53245943
957359	3261	1995-02-09	VYDAJ	PREVOD NA UCET	2197	25839	 	OP	53245943
957360	3261	1995-03-09	VYDAJ	PREVOD NA UCET	2197	32637	 	OP	53245943
957361	3261	1995-04-09	VYDAJ	PREVOD NA UCET	2197	31802	 	OP	53245943
957362	3261	1995-05-09	VYDAJ	PREVOD NA UCET	2197	34228	 	OP	53245943
957363	3261	1995-06-09	VYDAJ	PREVOD NA UCET	2197	34622	 	OP	53245943
957364	3261	1995-07-09	VYDAJ	PREVOD NA UCET	2197	33456	 	OP	53245943
957365	3261	1995-08-09	VYDAJ	PREVOD NA UCET	2197	31760	 	OP	53245943
957366	3261	1995-09-09	VYDAJ	PREVOD NA UCET	2197	34581	 	OP	53245943
957367	3261	1995-10-09	VYDAJ	PREVOD NA UCET	2197	32710	 	OP	53245943
957368	3261	1995-11-09	VYDAJ	PREVOD NA UCET	2197	28254	 	OP	53245943
957369	3261	1995-12-09	VYDAJ	PREVOD NA UCET	2197	30307	 	OP	53245943
957370	3261	1996-01-09	VYDAJ	PREVOD NA UCET	2197	27420	 	OP	53245943
957371	3261	1996-02-09	VYDAJ	PREVOD NA UCET	2197	23357	 	OP	53245943
957372	3261	1996-03-09	VYDAJ	PREVOD NA UCET	2197	23906	 	OP	53245943
957373	3261	1996-04-09	VYDAJ	PREVOD NA UCET	2197	31504	 	OP	53245943
957374	3261	1996-05-09	VYDAJ	PREVOD NA UCET	2197	37428	 	OP	53245943
957375	3261	1996-06-09	VYDAJ	PREVOD NA UCET	2197	42073	 	OP	53245943
957376	3261	1996-07-09	VYDAJ	PREVOD NA UCET	2197	40426	 	OP	53245943
957377	3261	1996-08-09	VYDAJ	PREVOD NA UCET	2197	39312	 	OP	53245943
957378	3261	1996-09-09	VYDAJ	PREVOD NA UCET	2197	39362	 	OP	53245943
957379	3261	1996-10-09	VYDAJ	PREVOD NA UCET	2197	46224	 	OP	53245943
957380	3261	1996-11-09	VYDAJ	PREVOD NA UCET	2197	49004	 	OP	53245943
957381	3261	1996-12-09	VYDAJ	PREVOD NA UCET	2197	55878	 	OP	53245943
957382	3261	1997-01-09	VYDAJ	PREVOD NA UCET	2197	47697	 	OP	53245943
957383	3261	1997-02-09	VYDAJ	PREVOD NA UCET	2197	35425	 	OP	53245943
957384	3261	1997-03-09	VYDAJ	PREVOD NA UCET	2197	41866	 	OP	53245943
957385	3261	1997-04-09	VYDAJ	PREVOD NA UCET	2197	40280	 	OP	53245943
957386	3261	1997-05-09	VYDAJ	PREVOD NA UCET	2197	39502	 	OP	53245943
957387	3261	1997-06-09	VYDAJ	PREVOD NA UCET	2197	49642	 	OP	53245943
957388	3261	1997-07-09	VYDAJ	PREVOD NA UCET	2197	40949	 	OP	53245943
957389	3261	1997-08-09	VYDAJ	PREVOD NA UCET	2197	38796	 	OP	53245943
957390	3261	1997-09-09	VYDAJ	PREVOD NA UCET	2197	38337	 	OP	53245943
957391	3261	1997-10-09	VYDAJ	PREVOD NA UCET	2197	34648	 	OP	53245943
957392	3261	1997-11-09	VYDAJ	PREVOD NA UCET	2197	35574	 	OP	53245943
957393	3261	1997-12-09	VYDAJ	PREVOD NA UCET	2197	41489	 	OP	53245943
957394	3261	1998-01-09	VYDAJ	PREVOD NA UCET	2197	27451	 	OP	53245943
957395	3261	1998-02-09	VYDAJ	PREVOD NA UCET	2197	23583	 	OP	53245943
957396	3261	1998-03-09	VYDAJ	PREVOD NA UCET	2197	25971	 	OP	53245943
957397	3261	1998-04-09	VYDAJ	PREVOD NA UCET	2197	34280	 	OP	53245943
957398	3261	1998-05-09	VYDAJ	PREVOD NA UCET	2197	36306	 	OP	53245943
957399	3261	1998-06-09	VYDAJ	PREVOD NA UCET	2197	41822	 	OP	53245943
957400	3261	1998-07-09	VYDAJ	PREVOD NA UCET	2197	33755	 	OP	53245943
957401	3261	1998-08-09	VYDAJ	PREVOD NA UCET	2197	34780	 	OP	53245943
957402	3261	1998-09-09	VYDAJ	PREVOD NA UCET	2197	39516	 	OP	53245943
957403	3261	1998-10-09	VYDAJ	PREVOD NA UCET	2197	38755	 	OP	53245943
957404	3261	1998-11-09	VYDAJ	PREVOD NA UCET	2197	28176	 	OP	53245943
957405	3261	1998-12-09	VYDAJ	PREVOD NA UCET	2197	25886	 	OP	53245943
957406	3261	1993-12-24	VYDAJ	VYBER	3520	32776	\N	\N	\N
957407	3261	1994-12-09	VYDAJ	VYBER	2720	30245	\N	\N	\N
957408	3261	1995-12-03	VYDAJ	VYBER	2240	19355	\N	\N	\N
957409	3261	1996-12-14	VYDAJ	VYBER	3680	48551	\N	\N	\N
957410	3261	1997-12-14	VYDAJ	VYBER	3360	25102	\N	\N	\N
957411	3261	1998-12-04	VYDAJ	VYBER	2560	18334	\N	\N	\N
957418	3261	1994-01-08	VYDAJ	VYBER	840	34532	\N	\N	\N
957419	3261	1994-01-19	VYDAJ	VYBER	1680	19448	\N	\N	\N
957420	3261	1994-01-14	VYDAJ	VYBER	2160	23888	\N	\N	\N
957421	3261	1994-01-27	VYDAJ	VYBER	2880	16568	\N	\N	\N
957422	3261	1994-01-13	VYDAJ	VYBER	2640	26048	\N	\N	\N
957423	3261	1994-01-19	VYDAJ	VYBER	2760	21128	\N	\N	\N
957425	3261	1995-01-27	VYDAJ	VYBER	2280	13611	\N	\N	\N
957426	3261	1995-01-09	VYDAJ	VYBER	3000	22695	\N	\N	\N
957427	3261	1995-01-03	VYDAJ	VYBER	3240	17649	\N	\N	\N
957429	3261	1995-01-05	VYDAJ	VYBER	720	16929	\N	\N	\N
957430	3261	1996-01-10	VYDAJ	VYBER	2040	21733	\N	\N	\N
957431	3261	1996-01-21	VYDAJ	VYBER	1080	18013	\N	\N	\N
957432	3261	1996-01-01	VYDAJ	VYBER	1320	24331	\N	\N	\N
957433	3261	1996-01-24	VYDAJ	VYBER	1440	21273	\N	\N	\N
957434	3261	1996-01-09	VYDAJ	VYBER	3480	29617	\N	\N	\N
957435	3261	1996-01-18	VYDAJ	VYBER	2640	19093	\N	\N	\N
957436	3261	1997-01-02	VYDAJ	VYBER	3000	41128	\N	\N	\N
957437	3261	1997-01-19	VYDAJ	VYBER	2160	35190	\N	\N	\N
957438	3261	1997-01-26	VYDAJ	VYBER	1080	31830	\N	\N	\N
957439	3261	1997-01-29	VYDAJ	VYBER	3120	28710	\N	\N	\N
957440	3261	1997-01-13	VYDAJ	VYBER	2400	41650	\N	\N	\N
957441	3261	1997-01-25	VYDAJ	VYBER	2280	32910	\N	\N	\N
957442	3261	1998-01-03	VYDAJ	VYBER	1320	23162	\N	\N	\N
957443	3261	1998-01-14	VYDAJ	VYBER	3480	19224	\N	\N	\N
957444	3261	1998-01-09	VYDAJ	VYBER	960	29648	\N	\N	\N
957445	3261	1998-01-07	VYDAJ	VYBER	1320	21842	\N	\N	\N
957446	3261	1998-01-01	VYDAJ	VYBER	720	24482	\N	\N	\N
957447	3261	1998-01-25	VYDAJ	VYBER	2280	16944	\N	\N	\N
957453	3261	1994-02-03	VYDAJ	VYBER	2160	17298	\N	\N	\N
957454	3261	1994-10-18	VYDAJ	VYBER	4680	21080	\N	\N	\N
957455	3261	1994-11-23	VYDAJ	VYBER	5160	20529	\N	\N	\N
957456	3261	1994-10-07	VYDAJ	VYBER	4560	22838	\N	\N	\N
957457	3261	1995-04-07	VYDAJ	VYBER	3960	25233	\N	\N	\N
957458	3261	1995-11-05	VYDAJ	VYBER	5880	21685	\N	\N	\N
957459	3261	1995-01-03	VYDAJ	VYBER	3600	20889	\N	\N	\N
957460	3261	1995-07-25	VYDAJ	VYBER	3120	26689	\N	\N	\N
957461	3261	1995-01-09	VYDAJ	VYBER	960	19538	\N	\N	\N
957462	3261	1995-06-01	VYDAJ	VYBER	5520	23670	\N	\N	\N
957463	3261	1996-07-15	VYDAJ	VYBER	5160	31619	\N	\N	\N
957464	3261	1996-03-05	VYDAJ	VYBER	3120	17337	\N	\N	\N
957465	3261	1996-01-26	VYDAJ	VYBER	4560	16713	\N	\N	\N
957466	3261	1996-09-02	VYDAJ	VYBER	1800	32793	\N	\N	\N
957467	3261	1996-05-25	VYDAJ	VYBER	4680	31001	\N	\N	\N
957468	3261	1996-03-02	VYDAJ	VYBER	2520	20457	\N	\N	\N
957469	3261	1997-06-20	VYDAJ	VYBER	3360	34235	\N	\N	\N
957470	3261	1997-12-11	VYDAJ	VYBER	2280	35562	\N	\N	\N
957471	3261	1997-04-12	VYDAJ	VYBER	3240	29913	\N	\N	\N
957472	3261	1997-09-13	VYDAJ	VYBER	720	33970	\N	\N	\N
957473	3261	1997-03-10	VYDAJ	VYBER	840	37379	\N	\N	\N
957474	3261	1997-04-09	VYDAJ	VYBER	3480	36800	\N	\N	\N
957475	3261	1998-07-04	VYDAJ	VYBER	2160	27186	\N	\N	\N
957476	3261	1998-06-17	VYDAJ	VYBER	3240	29235	\N	\N	\N
957477	3261	1998-11-26	VYDAJ	VYBER	3720	20809	\N	\N	\N
957479	3261	1998-02-16	VYDAJ	VYBER	1440	22696	\N	\N	\N
957480	3261	1998-02-19	VYDAJ	VYBER	3360	19336	\N	\N	\N
957492	3261	1993-11-30	VYDAJ	VYBER	15	31791	SLUZBY	\N	\N
957493	3261	1993-12-31	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
957494	3261	1994-01-31	VYDAJ	VYBER	15	16658	SLUZBY	\N	\N
957495	3261	1994-02-28	VYDAJ	VYBER	15	20288	SLUZBY	\N	\N
957496	3261	1994-03-31	VYDAJ	VYBER	15	25297	SLUZBY	\N	\N
957497	3261	1994-04-30	VYDAJ	VYBER	15	28822	SLUZBY	\N	\N
957498	3261	1994-05-31	VYDAJ	VYBER	15	31057	SLUZBY	\N	\N
957500	3261	1994-07-31	VYDAJ	VYBER	15	30928	SLUZBY	\N	\N
957501	3261	1994-08-31	VYDAJ	VYBER	15	31166	SLUZBY	\N	\N
957502	3261	1994-09-30	VYDAJ	VYBER	15	27398	SLUZBY	\N	\N
957503	3261	1994-10-31	VYDAJ	VYBER	15	22767	SLUZBY	\N	\N
957504	3261	1994-11-30	VYDAJ	VYBER	15	22013	SLUZBY	\N	\N
957505	3261	1994-12-31	VYDAJ	VYBER	15	24489	SLUZBY	\N	\N
957506	3261	1995-01-31	VYDAJ	VYBER	15	19270	SLUZBY	\N	\N
957507	3261	1995-02-28	VYDAJ	VYBER	15	26068	SLUZBY	\N	\N
957508	3261	1995-03-31	VYDAJ	VYBER	15	29193	SLUZBY	\N	\N
957509	3261	1995-04-30	VYDAJ	VYBER	15	27659	SLUZBY	\N	\N
957510	3261	1995-05-31	VYDAJ	VYBER	15	29190	SLUZBY	\N	\N
957511	3261	1995-06-30	VYDAJ	VYBER	15	26887	SLUZBY	\N	\N
957512	3261	1995-07-31	VYDAJ	VYBER	15	25191	SLUZBY	\N	\N
957513	3261	1995-08-31	VYDAJ	VYBER	15	28012	SLUZBY	\N	\N
957514	3261	1995-09-30	VYDAJ	VYBER	15	26141	SLUZBY	\N	\N
957515	3261	1995-10-31	VYDAJ	VYBER	15	27565	SLUZBY	\N	\N
957516	3261	1995-11-30	VYDAJ	VYBER	15	21595	SLUZBY	\N	\N
957517	3261	1995-12-31	VYDAJ	VYBER	15	25651	SLUZBY	\N	\N
957518	3261	1996-01-31	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
957519	3261	1996-02-29	VYDAJ	VYBER	15	22977	SLUZBY	\N	\N
957520	3261	1996-03-31	VYDAJ	VYBER	15	24935	SLUZBY	\N	\N
957521	3261	1996-04-30	VYDAJ	VYBER	15	30859	SLUZBY	\N	\N
957522	3261	1996-05-31	VYDAJ	VYBER	15	31121	SLUZBY	\N	\N
957523	3261	1996-06-30	VYDAJ	VYBER	15	33857	SLUZBY	\N	\N
957524	3261	1996-07-31	VYDAJ	VYBER	15	32743	SLUZBY	\N	\N
957525	3261	1996-08-31	VYDAJ	VYBER	15	34593	SLUZBY	\N	\N
957526	3261	1996-09-30	VYDAJ	VYBER	15	39655	SLUZBY	\N	\N
957527	3261	1996-10-31	VYDAJ	VYBER	15	42435	SLUZBY	\N	\N
957528	3261	1996-11-30	VYDAJ	VYBER	15	44926	SLUZBY	\N	\N
957529	3261	1996-12-31	VYDAJ	VYBER	15	44128	SLUZBY	\N	\N
957530	3261	1997-01-31	VYDAJ	VYBER	15	28856	SLUZBY	\N	\N
957531	3261	1997-02-28	VYDAJ	VYBER	15	35297	SLUZBY	\N	\N
957532	3261	1997-03-31	VYDAJ	VYBER	15	33711	SLUZBY	\N	\N
957533	3261	1997-04-30	VYDAJ	VYBER	15	32933	SLUZBY	\N	\N
957534	3261	1997-05-31	VYDAJ	VYBER	15	38690	SLUZBY	\N	\N
957535	3261	1997-06-30	VYDAJ	VYBER	15	34380	SLUZBY	\N	\N
957536	3261	1997-07-31	VYDAJ	VYBER	15	32227	SLUZBY	\N	\N
957537	3261	1997-08-31	VYDAJ	VYBER	15	31768	SLUZBY	\N	\N
957538	3261	1997-09-30	VYDAJ	VYBER	15	28079	SLUZBY	\N	\N
957539	3261	1997-10-31	VYDAJ	VYBER	15	29005	SLUZBY	\N	\N
957540	3261	1997-11-30	VYDAJ	VYBER	15	30537	SLUZBY	\N	\N
957541	3261	1997-12-31	VYDAJ	VYBER	15	25202	SLUZBY	\N	\N
957542	3261	1998-01-31	VYDAJ	VYBER	15	17014	SLUZBY	\N	\N
957543	3261	1998-02-28	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
957544	3261	1998-03-31	VYDAJ	VYBER	15	27711	SLUZBY	\N	\N
957545	3261	1998-04-30	VYDAJ	VYBER	15	29737	SLUZBY	\N	\N
957546	3261	1998-05-31	VYDAJ	VYBER	15	30870	SLUZBY	\N	\N
957547	3261	1998-06-30	VYDAJ	VYBER	15	29346	SLUZBY	\N	\N
957548	3261	1998-07-31	VYDAJ	VYBER	15	28211	SLUZBY	\N	\N
957549	3261	1998-08-31	VYDAJ	VYBER	15	32947	SLUZBY	\N	\N
957550	3261	1998-09-30	VYDAJ	VYBER	15	32186	SLUZBY	\N	\N
957551	3261	1998-10-31	VYDAJ	VYBER	15	26907	SLUZBY	\N	\N
957552	3261	1998-11-30	VYDAJ	VYBER	15	20894	SLUZBY	\N	\N
957553	3261	1993-08-06	PRIJEM	VKLAD	5400	14395	\N	\N	\N
957554	3261	1993-09-05	PRIJEM	VKLAD	300	23544	\N	\N	\N
957555	3261	1993-10-05	VYDAJ	VYBER	5800	26636	\N	\N	\N
957556	3261	1993-11-04	VYDAJ	VYBER	6800	28746	\N	\N	\N
957557	3261	1993-12-04	VYDAJ	VYBER	2800	28991	\N	\N	\N
957558	3261	1994-01-03	VYDAJ	VYBER	6300	26606	\N	\N	\N
957559	3261	1994-02-02	PRIJEM	VKLAD	2800	19458	\N	\N	\N
957560	3261	1994-03-04	PRIJEM	VKLAD	2000	22288	\N	\N	\N
957561	3261	1994-04-03	PRIJEM	VKLAD	500	25797	\N	\N	\N
957562	3261	1994-05-03	VYDAJ	VYBER	800	28022	\N	\N	\N
957563	3261	1994-06-02	VYDAJ	VYBER	4200	26857	\N	\N	\N
957564	3261	1994-07-02	VYDAJ	VYBER	6400	27888	\N	\N	\N
957565	3261	1994-08-01	VYDAJ	VYBER	2800	28128	\N	\N	\N
957566	3261	1994-08-31	VYDAJ	VYBER	4600	26566	\N	\N	\N
957567	3261	1994-09-30	VYDAJ	VYBER	2200	27413	\N	\N	\N
957568	3261	1994-10-30	PRIJEM	VKLAD	1600	22680	\N	\N	\N
957569	3261	1994-11-29	PRIJEM	VKLAD	1400	21929	\N	\N	\N
957570	3261	1994-12-29	VYDAJ	VYBER	2200	24398	\N	\N	\N
957571	3261	1995-01-28	PRIJEM	VKLAD	5600	19211	\N	\N	\N
957572	3261	1995-02-27	PRIJEM	VKLAD	3800	25992	\N	\N	\N
957573	3261	1995-03-29	PRIJEM	VKLAD	100	29090	\N	\N	\N
957574	3261	1995-04-28	VYDAJ	VYBER	600	27555	\N	\N	\N
957575	3261	1995-05-28	VYDAJ	VYBER	1500	29081	\N	\N	\N
957576	3261	1995-06-27	VYDAJ	VYBER	4200	26775	\N	\N	\N
957577	3261	1995-07-27	VYDAJ	VYBER	1600	25089	\N	\N	\N
957578	3261	1995-08-26	VYDAJ	VYBER	200	27913	\N	\N	\N
957579	3261	1995-09-25	VYDAJ	VYBER	4900	26034	\N	\N	\N
957580	3261	1995-10-25	VYDAJ	VYBER	1600	27463	\N	\N	\N
957581	3261	1995-11-24	VYDAJ	VYBER	3100	21507	\N	\N	\N
957582	3261	1995-12-24	VYDAJ	VYBER	1100	25560	\N	\N	\N
957583	3261	1996-01-23	PRIJEM	VKLAD	4700	22713	\N	\N	\N
957584	3261	1996-02-22	PRIJEM	VKLAD	3200	22910	\N	\N	\N
957585	3261	1996-03-23	PRIJEM	VKLAD	4600	24859	\N	\N	\N
957586	3261	1996-04-22	PRIJEM	VKLAD	2900	30757	\N	\N	\N
957587	3261	1996-05-22	PRIJEM	VKLAD	1900	35681	\N	\N	\N
957588	3261	1996-06-21	VYDAJ	VYBER	4700	33726	\N	\N	\N
957589	3261	1996-07-21	PRIJEM	VKLAD	1000	32619	\N	\N	\N
957590	3261	1996-08-20	VYDAJ	VYBER	1200	34465	\N	\N	\N
957591	3261	1996-09-19	PRIJEM	VKLAD	3800	39515	\N	\N	\N
957592	3261	1996-10-19	VYDAJ	VYBER	300	42277	\N	\N	\N
957593	3261	1996-11-18	VYDAJ	VYBER	600	44757	\N	\N	\N
957594	3261	1996-12-18	VYDAJ	VYBER	4600	43951	\N	\N	\N
957595	3261	1997-01-17	VYDAJ	VYBER	4300	37350	\N	\N	\N
957596	3261	1997-02-16	PRIJEM	VKLAD	3400	35178	\N	\N	\N
957597	3261	1997-03-18	VYDAJ	VYBER	3800	33579	\N	\N	\N
957598	3261	1997-04-17	PRIJEM	VKLAD	2900	32813	\N	\N	\N
957599	3261	1997-05-17	PRIJEM	VKLAD	2700	38555	\N	\N	\N
957600	3261	1997-06-16	VYDAJ	VYBER	8400	37595	\N	\N	\N
957601	3261	1997-07-16	VYDAJ	VYBER	5200	32102	\N	\N	\N
957602	3261	1997-08-15	VYDAJ	VYBER	3500	31649	\N	\N	\N
957603	3261	1997-09-14	VYDAJ	VYBER	6000	27970	\N	\N	\N
957604	3261	1997-10-14	VYDAJ	VYBER	2100	28901	\N	\N	\N
957605	3261	1997-11-13	VYDAJ	VYBER	1500	30427	\N	\N	\N
957606	3261	1997-12-13	VYDAJ	VYBER	7100	28462	\N	\N	\N
957607	3261	1998-01-12	VYDAJ	VYBER	1100	22704	\N	\N	\N
957608	3261	1998-02-11	PRIJEM	VKLAD	4200	24136	\N	\N	\N
957609	3261	1998-03-13	PRIJEM	VKLAD	5300	27624	\N	\N	\N
957610	3261	1998-04-12	VYDAJ	VYBER	1000	29633	\N	\N	\N
957611	3261	1998-05-12	VYDAJ	VYBER	1900	30759	\N	\N	\N
957612	3261	1998-06-11	VYDAJ	VYBER	5700	32475	\N	\N	\N
957613	3261	1998-07-11	VYDAJ	VYBER	2000	28108	\N	\N	\N
957614	3261	1998-08-10	PRIJEM	VKLAD	1700	36480	\N	\N	\N
957615	3261	1998-09-09	VYDAJ	VYBER	3800	35716	\N	\N	\N
957616	3261	1998-10-09	VYDAJ	VYBER	8300	30455	\N	\N	\N
957617	3261	1998-11-08	VYDAJ	VYBER	5300	30373	\N	\N	\N
957618	3261	1998-12-08	VYDAJ	VYBER	3400	28083	\N	\N	\N
957685	3262	1997-06-22	PRIJEM	VKLAD	700	700	\N	\N	\N
957692	3262	1997-07-06	PRIJEM	VKLAD	24499	25199	\N	\N	\N
957693	3262	1997-08-06	PRIJEM	VKLAD	24499	47429	\N	\N	\N
957694	3262	1997-09-06	PRIJEM	VKLAD	24499	63046	\N	\N	\N
957695	3262	1997-10-06	PRIJEM	VKLAD	24499	65910	\N	\N	\N
957696	3262	1997-11-06	PRIJEM	VKLAD	24499	73593	\N	\N	\N
957697	3262	1997-12-06	PRIJEM	VKLAD	36748	85033	\N	\N	\N
957698	3262	1998-01-06	PRIJEM	VKLAD	24499	76214	\N	\N	\N
957699	3262	1998-02-06	PRIJEM	VKLAD	24499	57137	\N	\N	\N
957700	3262	1998-03-06	PRIJEM	VKLAD	24499	53585	\N	\N	\N
957701	3262	1998-04-06	PRIJEM	VKLAD	24499	55899	\N	\N	\N
957702	3262	1998-05-06	PRIJEM	VKLAD	24499	57318	\N	\N	\N
957703	3262	1998-06-06	PRIJEM	VKLAD	36748	66181	\N	\N	\N
957704	3262	1998-07-06	PRIJEM	VKLAD	24499	50899	\N	\N	\N
957705	3262	1998-08-06	PRIJEM	VKLAD	24499	43405	\N	\N	\N
957706	3262	1998-09-06	PRIJEM	VKLAD	24499	48962	\N	\N	\N
957707	3262	1998-10-06	PRIJEM	VKLAD	24499	53849	\N	\N	\N
957708	3262	1998-11-06	PRIJEM	VKLAD	24499	60961	\N	\N	\N
957709	3262	1998-12-06	PRIJEM	VKLAD	36748	65417	\N	\N	\N
957720	3262	1997-11-06	VYDAJ	PREVOD NA UCET	8340	65253	SIPO	IJ	79490107
957721	3262	1997-12-06	VYDAJ	PREVOD NA UCET	8340	76693	SIPO	IJ	79490107
957722	3262	1998-01-06	VYDAJ	PREVOD NA UCET	8340	65114	SIPO	IJ	79490107
957723	3262	1998-02-06	VYDAJ	PREVOD NA UCET	8340	48797	SIPO	IJ	79490107
957724	3262	1998-03-06	VYDAJ	PREVOD NA UCET	8340	45245	SIPO	IJ	79490107
957725	3262	1998-04-06	VYDAJ	PREVOD NA UCET	8340	47559	SIPO	IJ	79490107
957726	3262	1998-05-06	VYDAJ	PREVOD NA UCET	8340	48978	SIPO	IJ	79490107
957727	3262	1998-06-06	VYDAJ	PREVOD NA UCET	8340	57841	SIPO	IJ	79490107
957728	3262	1998-07-06	VYDAJ	PREVOD NA UCET	8340	42559	SIPO	IJ	79490107
957729	3262	1998-08-06	VYDAJ	PREVOD NA UCET	8340	35065	SIPO	IJ	79490107
957730	3262	1998-09-06	VYDAJ	PREVOD NA UCET	8340	40622	SIPO	IJ	79490107
957731	3262	1998-10-06	VYDAJ	PREVOD NA UCET	8340	45509	SIPO	IJ	79490107
957732	3262	1998-11-06	VYDAJ	PREVOD NA UCET	8340	52621	SIPO	IJ	79490107
957733	3262	1998-12-06	VYDAJ	PREVOD NA UCET	8340	57077	SIPO	IJ	79490107
957735	3262	1998-06-29	VYDAJ	VYBER	6240	26241	\N	\N	\N
957737	3262	1998-01-16	VYDAJ	VYBER	10080	49754	\N	\N	\N
957738	3262	1997-12-12	VYDAJ	VYBER	800	75893	\N	\N	\N
957739	3262	1998-12-08	VYDAJ	VYBER KARTOU	2900	54177	\N	\N	0
957746	3262	1998-01-09	VYDAJ	VYBER	3120	61994	\N	\N	\N
957747	3262	1998-01-16	VYDAJ	VYBER	2160	59834	\N	\N	\N
957748	3262	1998-01-06	VYDAJ	VYBER	2760	73454	\N	\N	\N
957749	3262	1998-01-28	VYDAJ	VYBER	2040	32454	\N	\N	\N
957750	3262	1998-01-21	VYDAJ	VYBER	3360	34494	\N	\N	\N
957751	3262	1998-01-04	VYDAJ	VYBER	720	51715	\N	\N	\N
957756	3262	1998-07-23	VYDAJ	VYBER	3960	18799	\N	\N	\N
957757	3262	1998-12-05	VYDAJ	VYBER	5400	28669	\N	\N	\N
957758	3262	1998-06-22	VYDAJ	VYBER	5160	32481	\N	\N	\N
957759	3262	1998-03-03	VYDAJ	VYBER	3960	29086	\N	\N	\N
957760	3262	1998-11-09	VYDAJ	VYBER KARTOU	1300	51321	\N	\N	0
957772	3262	1997-11-30	VYDAJ	VYBER	15	48285	SLUZBY	\N	\N
957773	3262	1997-12-31	VYDAJ	VYBER	15	52435	SLUZBY	\N	\N
957774	3262	1998-01-31	VYDAJ	VYBER	15	32638	SLUZBY	\N	\N
957775	3262	1998-02-28	VYDAJ	VYBER	15	33046	SLUZBY	\N	\N
957776	3262	1998-03-31	VYDAJ	VYBER	15	31400	SLUZBY	\N	\N
957777	3262	1998-04-30	VYDAJ	VYBER	15	32819	SLUZBY	\N	\N
957778	3262	1998-05-31	VYDAJ	VYBER	15	29433	SLUZBY	\N	\N
957779	3262	1998-06-30	VYDAJ	VYBER	15	26400	SLUZBY	\N	\N
957780	3262	1998-07-31	VYDAJ	VYBER	15	18906	SLUZBY	\N	\N
957781	3262	1998-08-31	VYDAJ	VYBER	15	24463	SLUZBY	\N	\N
957782	3262	1998-09-30	VYDAJ	VYBER	15	29350	SLUZBY	\N	\N
957783	3262	1998-10-31	VYDAJ	VYBER	15	36462	SLUZBY	\N	\N
957784	3262	1998-11-30	VYDAJ	VYBER	15	34069	SLUZBY	\N	\N
957785	3262	1997-07-22	VYDAJ	VYBER	2300	22899	\N	\N	\N
957786	3262	1997-08-21	VYDAJ	VYBER	9000	38429	\N	\N	\N
957787	3262	1997-09-20	VYDAJ	VYBER	21800	41246	\N	\N	\N
957788	3262	1997-10-20	VYDAJ	VYBER	17000	48910	\N	\N	\N
957789	3262	1997-11-19	VYDAJ	VYBER	17200	48053	\N	\N	\N
957790	3262	1997-12-19	VYDAJ	VYBER	23700	52193	\N	\N	\N
957791	3262	1998-01-18	VYDAJ	VYBER	11900	37854	\N	\N	\N
957792	3262	1998-02-17	VYDAJ	VYBER	15900	32897	\N	\N	\N
957793	3262	1998-03-19	VYDAJ	VYBER	14000	31245	\N	\N	\N
957794	3262	1998-04-18	VYDAJ	VYBER	14900	32659	\N	\N	\N
957795	3262	1998-05-18	VYDAJ	VYBER	19700	29278	\N	\N	\N
957796	3262	1998-06-17	VYDAJ	VYBER	20200	37641	\N	\N	\N
957797	3262	1998-07-17	VYDAJ	VYBER	19800	22759	\N	\N	\N
957798	3262	1998-08-16	VYDAJ	VYBER	10700	24365	\N	\N	\N
957799	3262	1998-09-15	VYDAJ	VYBER	11400	29222	\N	\N	\N
957800	3262	1998-10-15	VYDAJ	VYBER	9200	36309	\N	\N	\N
957801	3262	1998-11-14	VYDAJ	VYBER	17400	33921	\N	\N	\N
957820	3263	1996-03-07	PRIJEM	VKLAD	900	900	\N	\N	\N
957896	3263	1996-04-06	PRIJEM	VKLAD	12500	13400	\N	\N	\N
957897	3263	1996-05-06	PRIJEM	VKLAD	8300	21700	\N	\N	\N
957898	3263	1996-06-05	PRIJEM	VKLAD	3900	25600	\N	\N	\N
957899	3263	1996-07-05	VYDAJ	VYBER	900	24700	\N	\N	\N
957900	3263	1996-08-04	PRIJEM	VKLAD	2000	26700	\N	\N	\N
957901	3263	1996-09-03	PRIJEM	VKLAD	1700	28400	\N	\N	\N
957902	3263	1996-10-03	PRIJEM	VKLAD	1800	30200	\N	\N	\N
957903	3263	1996-11-02	VYDAJ	VYBER	1100	29100	\N	\N	\N
957904	3263	1996-12-02	PRIJEM	VKLAD	2300	31400	\N	\N	\N
957905	3263	1997-01-01	PRIJEM	VKLAD	1800	33200	\N	\N	\N
957906	3263	1997-01-31	VYDAJ	VYBER	1600	31604	\N	\N	\N
957907	3263	1997-03-02	PRIJEM	VKLAD	1600	33204	\N	\N	\N
957908	3263	1997-04-01	VYDAJ	VYBER	3300	30036	\N	\N	\N
957909	3263	1997-05-01	PRIJEM	VKLAD	3100	33268	\N	\N	\N
957910	3263	1997-05-31	VYDAJ	VYBER	4300	29099	\N	\N	\N
957911	3263	1997-06-30	PRIJEM	VKLAD	900	30120	\N	\N	\N
957912	3263	1997-07-30	VYDAJ	VYBER	6100	24020	\N	\N	\N
957913	3263	1997-08-29	VYDAJ	VYBER	3500	20641	\N	\N	\N
957914	3263	1997-09-28	PRIJEM	VKLAD	1100	21863	\N	\N	\N
957915	3263	1997-10-28	PRIJEM	VKLAD	5200	27184	\N	\N	\N
957916	3263	1997-11-27	PRIJEM	VKLAD	4200	31505	\N	\N	\N
957917	3263	1997-12-27	PRIJEM	VKLAD	3800	35426	\N	\N	\N
957918	3263	1998-01-26	PRIJEM	VKLAD	300	35848	\N	\N	\N
957919	3263	1998-02-25	PRIJEM	VKLAD	2600	38569	\N	\N	\N
957920	3263	1998-03-27	VYDAJ	VYBER	4300	34390	\N	\N	\N
957921	3263	1998-04-26	VYDAJ	VYBER	2200	32311	\N	\N	\N
957922	3263	1998-05-26	PRIJEM	VKLAD	300	32733	\N	\N	\N
957923	3263	1998-06-25	VYDAJ	VYBER	2400	30454	\N	\N	\N
957924	3263	1998-07-25	VYDAJ	VYBER	1000	29575	\N	\N	\N
957925	3263	1998-08-24	PRIJEM	VKLAD	3900	33596	\N	\N	\N
957926	3263	1998-09-23	PRIJEM	VKLAD	6700	40418	\N	\N	\N
957927	3263	1998-10-23	VYDAJ	VYBER	1300	39239	\N	\N	\N
957928	3263	1998-11-22	PRIJEM	VKLAD	3600	42960	\N	\N	\N
957950	3264	1993-10-23	PRIJEM	VKLAD	200	200	\N	\N	\N
957961	3264	1993-11-07	PRIJEM	PREVOD Z UCTU	5096	5296	DUCHOD	KL	65207344
957962	3264	1993-12-07	PRIJEM	PREVOD Z UCTU	5096	10392	DUCHOD	KL	65207344
957963	3264	1994-01-07	PRIJEM	PREVOD Z UCTU	5096	15488	DUCHOD	KL	65207344
957964	3264	1994-02-07	PRIJEM	PREVOD Z UCTU	5096	20584	DUCHOD	KL	65207344
957965	3264	1994-03-07	PRIJEM	PREVOD Z UCTU	5096	25680	DUCHOD	KL	65207344
957966	3264	1994-04-07	PRIJEM	PREVOD Z UCTU	5096	28955	DUCHOD	KL	65207344
957967	3264	1994-05-07	PRIJEM	PREVOD Z UCTU	5096	29757	DUCHOD	KL	65207344
957968	3264	1994-06-07	PRIJEM	PREVOD Z UCTU	5096	29702	DUCHOD	KL	65207344
957969	3264	1994-07-07	PRIJEM	PREVOD Z UCTU	5096	20196	DUCHOD	KL	65207344
957970	3264	1994-08-07	PRIJEM	PREVOD Z UCTU	5096	23465	DUCHOD	KL	65207344
957971	3264	1994-09-07	PRIJEM	PREVOD Z UCTU	5096	26748	DUCHOD	KL	65207344
957972	3264	1994-10-07	PRIJEM	PREVOD Z UCTU	5096	29446	DUCHOD	KL	65207344
957973	3264	1994-11-07	PRIJEM	PREVOD Z UCTU	5096	30950	DUCHOD	KL	65207344
957974	3264	1994-12-07	PRIJEM	PREVOD Z UCTU	5096	32098	DUCHOD	KL	65207344
957975	3264	1995-01-07	PRIJEM	PREVOD Z UCTU	5096	30175	DUCHOD	KL	65207344
957976	3264	1995-02-07	PRIJEM	PREVOD Z UCTU	5096	25664	DUCHOD	KL	65207344
957977	3264	1995-03-07	PRIJEM	PREVOD Z UCTU	5096	28956	DUCHOD	KL	65207344
957978	3264	1995-04-07	PRIJEM	PREVOD Z UCTU	5096	32268	DUCHOD	KL	65207344
957979	3264	1995-05-07	PRIJEM	PREVOD Z UCTU	5096	29272	DUCHOD	KL	65207344
957980	3264	1995-06-07	PRIJEM	PREVOD Z UCTU	5096	32585	DUCHOD	KL	65207344
957981	3264	1995-07-07	PRIJEM	PREVOD Z UCTU	5096	21058	DUCHOD	KL	65207344
957982	3264	1995-08-07	PRIJEM	PREVOD Z UCTU	5096	24331	DUCHOD	KL	65207344
957983	3264	1995-09-07	PRIJEM	PREVOD Z UCTU	5096	27617	DUCHOD	KL	65207344
957984	3264	1995-10-07	PRIJEM	PREVOD Z UCTU	5096	25229	DUCHOD	KL	65207344
957985	3264	1995-11-07	PRIJEM	PREVOD Z UCTU	5096	27317	DUCHOD	KL	65207344
957986	3264	1995-12-07	PRIJEM	PREVOD Z UCTU	5096	29413	DUCHOD	KL	65207344
957987	3264	1996-01-07	PRIJEM	PREVOD Z UCTU	5096	24637	DUCHOD	KL	65207344
957988	3264	1996-02-07	PRIJEM	PREVOD Z UCTU	5096	19271	DUCHOD	KL	65207344
957989	3264	1996-03-07	PRIJEM	PREVOD Z UCTU	5096	22536	DUCHOD	KL	65207344
957990	3264	1996-04-07	PRIJEM	PREVOD Z UCTU	5096	25820	DUCHOD	KL	65207344
957991	3264	1996-05-07	PRIJEM	PREVOD Z UCTU	5096	27307	DUCHOD	KL	65207344
957992	3264	1996-06-07	PRIJEM	PREVOD Z UCTU	5096	30204	DUCHOD	KL	65207344
957993	3264	1996-07-07	PRIJEM	PREVOD Z UCTU	5096	32311	DUCHOD	KL	65207344
957994	3264	1996-08-07	PRIJEM	PREVOD Z UCTU	5096	32706	DUCHOD	KL	65207344
957995	3264	1996-09-07	PRIJEM	PREVOD Z UCTU	5096	31213	DUCHOD	KL	65207344
957996	3264	1996-10-07	PRIJEM	PREVOD Z UCTU	5096	28879	DUCHOD	KL	65207344
957997	3264	1996-11-07	PRIJEM	PREVOD Z UCTU	5096	28236	DUCHOD	KL	65207344
957998	3264	1996-12-07	PRIJEM	PREVOD Z UCTU	5096	29338	DUCHOD	KL	65207344
957999	3264	1997-01-07	PRIJEM	PREVOD Z UCTU	5096	27246	DUCHOD	KL	65207344
958000	3264	1997-02-07	PRIJEM	PREVOD Z UCTU	5096	19940	DUCHOD	KL	65207344
958001	3264	1997-03-07	PRIJEM	PREVOD Z UCTU	5096	22007	DUCHOD	KL	65207344
958002	3264	1997-04-07	PRIJEM	PREVOD Z UCTU	5096	22884	DUCHOD	KL	65207344
958003	3264	1997-05-07	PRIJEM	PREVOD Z UCTU	5096	24771	DUCHOD	KL	65207344
958004	3264	1997-06-07	PRIJEM	PREVOD Z UCTU	5096	26565	DUCHOD	KL	65207344
958005	3264	1997-07-07	PRIJEM	PREVOD Z UCTU	5096	28166	DUCHOD	KL	65207344
958006	3264	1997-08-07	PRIJEM	PREVOD Z UCTU	5096	28868	DUCHOD	KL	65207344
958007	3264	1997-09-07	PRIJEM	PREVOD Z UCTU	5096	20894	DUCHOD	KL	65207344
958008	3264	1997-10-07	PRIJEM	PREVOD Z UCTU	5096	23573	DUCHOD	KL	65207344
958009	3264	1997-11-07	PRIJEM	PREVOD Z UCTU	5096	24455	DUCHOD	KL	65207344
958010	3264	1997-12-07	PRIJEM	PREVOD Z UCTU	5096	23698	DUCHOD	KL	65207344
958011	3264	1998-01-07	PRIJEM	PREVOD Z UCTU	5096	21021	DUCHOD	KL	65207344
958012	3264	1998-02-07	PRIJEM	PREVOD Z UCTU	5096	18446	DUCHOD	KL	65207344
958013	3264	1998-03-07	PRIJEM	PREVOD Z UCTU	5096	18912	DUCHOD	KL	65207344
958014	3264	1998-04-07	PRIJEM	PREVOD Z UCTU	5096	21298	DUCHOD	KL	65207344
958015	3264	1998-05-07	PRIJEM	PREVOD Z UCTU	5096	24570	DUCHOD	KL	65207344
958016	3264	1998-06-07	PRIJEM	PREVOD Z UCTU	5096	21653	DUCHOD	KL	65207344
958017	3264	1998-07-07	PRIJEM	PREVOD Z UCTU	5096	21525	DUCHOD	KL	65207344
958018	3264	1998-08-07	PRIJEM	PREVOD Z UCTU	5096	21497	DUCHOD	KL	65207344
958019	3264	1998-09-07	PRIJEM	PREVOD Z UCTU	5096	24469	DUCHOD	KL	65207344
958020	3264	1998-10-07	PRIJEM	PREVOD Z UCTU	5096	27760	DUCHOD	KL	65207344
958021	3264	1998-11-07	PRIJEM	PREVOD Z UCTU	5096	28857	DUCHOD	KL	65207344
958022	3264	1998-12-07	PRIJEM	PREVOD Z UCTU	5096	30756	DUCHOD	KL	65207344
958037	3264	1994-03-07	VYDAJ	PREVOD NA UCET	1886	23794	SIPO	MN	52467608
958038	3264	1994-04-07	VYDAJ	PREVOD NA UCET	1886	27069	SIPO	MN	52467608
958039	3264	1994-05-07	VYDAJ	PREVOD NA UCET	1886	27871	SIPO	MN	52467608
958040	3264	1994-06-07	VYDAJ	PREVOD NA UCET	1886	27816	SIPO	MN	52467608
958041	3264	1994-07-07	VYDAJ	PREVOD NA UCET	1886	18310	SIPO	MN	52467608
958042	3264	1994-08-07	VYDAJ	PREVOD NA UCET	1886	21579	SIPO	MN	52467608
958043	3264	1994-09-07	VYDAJ	PREVOD NA UCET	1886	24862	SIPO	MN	52467608
958044	3264	1994-10-07	VYDAJ	PREVOD NA UCET	1886	27560	SIPO	MN	52467608
958045	3264	1994-11-07	VYDAJ	PREVOD NA UCET	1886	29064	SIPO	MN	52467608
958046	3264	1994-12-07	VYDAJ	PREVOD NA UCET	1886	30212	SIPO	MN	52467608
958047	3264	1995-01-07	VYDAJ	PREVOD NA UCET	1886	23969	SIPO	MN	52467608
958048	3264	1995-02-07	VYDAJ	PREVOD NA UCET	1886	23778	SIPO	MN	52467608
958049	3264	1995-03-07	VYDAJ	PREVOD NA UCET	1886	27070	SIPO	MN	52467608
958050	3264	1995-04-07	VYDAJ	PREVOD NA UCET	1886	30382	SIPO	MN	52467608
958051	3264	1995-05-07	VYDAJ	PREVOD NA UCET	1886	27386	SIPO	MN	52467608
958052	3264	1995-06-07	VYDAJ	PREVOD NA UCET	1886	30699	SIPO	MN	52467608
958053	3264	1995-07-07	VYDAJ	PREVOD NA UCET	1886	19172	SIPO	MN	52467608
958054	3264	1995-08-07	VYDAJ	PREVOD NA UCET	1886	22445	SIPO	MN	52467608
958055	3264	1995-09-07	VYDAJ	PREVOD NA UCET	1886	25731	SIPO	MN	52467608
958056	3264	1995-10-07	VYDAJ	PREVOD NA UCET	1886	23343	SIPO	MN	52467608
958057	3264	1995-11-07	VYDAJ	PREVOD NA UCET	1886	25431	SIPO	MN	52467608
958058	3264	1995-12-07	VYDAJ	PREVOD NA UCET	1886	27527	SIPO	MN	52467608
958059	3264	1996-01-07	VYDAJ	PREVOD NA UCET	1886	20271	SIPO	MN	52467608
958060	3264	1996-02-07	VYDAJ	PREVOD NA UCET	1886	17385	SIPO	MN	52467608
958061	3264	1996-03-07	VYDAJ	PREVOD NA UCET	1886	20650	SIPO	MN	52467608
958062	3264	1996-04-07	VYDAJ	PREVOD NA UCET	1886	23934	SIPO	MN	52467608
958063	3264	1996-05-07	VYDAJ	PREVOD NA UCET	1886	25421	SIPO	MN	52467608
958064	3264	1996-06-07	VYDAJ	PREVOD NA UCET	1886	28318	SIPO	MN	52467608
958065	3264	1996-07-07	VYDAJ	PREVOD NA UCET	1886	30425	SIPO	MN	52467608
958066	3264	1996-08-07	VYDAJ	PREVOD NA UCET	1886	30820	SIPO	MN	52467608
958067	3264	1996-09-07	VYDAJ	PREVOD NA UCET	1886	25527	SIPO	MN	52467608
958068	3264	1996-10-07	VYDAJ	PREVOD NA UCET	1886	26993	SIPO	MN	52467608
958069	3264	1996-11-07	VYDAJ	PREVOD NA UCET	1886	26350	SIPO	MN	52467608
958070	3264	1996-12-07	VYDAJ	PREVOD NA UCET	1886	27452	SIPO	MN	52467608
958071	3264	1997-01-07	VYDAJ	PREVOD NA UCET	1886	25360	SIPO	MN	52467608
958072	3264	1997-02-07	VYDAJ	PREVOD NA UCET	1886	18054	SIPO	MN	52467608
958073	3264	1997-03-07	VYDAJ	PREVOD NA UCET	1886	20121	SIPO	MN	52467608
958074	3264	1997-04-07	VYDAJ	PREVOD NA UCET	1886	20998	SIPO	MN	52467608
958075	3264	1997-05-07	VYDAJ	PREVOD NA UCET	1886	22885	SIPO	MN	52467608
958076	3264	1997-06-07	VYDAJ	PREVOD NA UCET	1886	24679	SIPO	MN	52467608
958077	3264	1997-07-07	VYDAJ	PREVOD NA UCET	1886	26280	SIPO	MN	52467608
958078	3264	1997-08-07	VYDAJ	PREVOD NA UCET	1886	26982	SIPO	MN	52467608
958079	3264	1997-09-07	VYDAJ	PREVOD NA UCET	1886	19008	SIPO	MN	52467608
958080	3264	1997-10-07	VYDAJ	PREVOD NA UCET	1886	21687	SIPO	MN	52467608
958081	3264	1997-11-07	VYDAJ	PREVOD NA UCET	1886	22569	SIPO	MN	52467608
958082	3264	1997-12-07	VYDAJ	PREVOD NA UCET	1886	21812	SIPO	MN	52467608
958083	3264	1998-01-07	VYDAJ	PREVOD NA UCET	1886	19135	SIPO	MN	52467608
958084	3264	1998-02-07	VYDAJ	PREVOD NA UCET	1886	16560	SIPO	MN	52467608
958085	3264	1998-03-07	VYDAJ	PREVOD NA UCET	1886	17026	SIPO	MN	52467608
958086	3264	1998-04-07	VYDAJ	PREVOD NA UCET	1886	19412	SIPO	MN	52467608
958087	3264	1998-05-07	VYDAJ	PREVOD NA UCET	1886	22684	SIPO	MN	52467608
958088	3264	1998-06-07	VYDAJ	PREVOD NA UCET	1886	19767	SIPO	MN	52467608
958089	3264	1998-07-07	VYDAJ	PREVOD NA UCET	1886	19639	SIPO	MN	52467608
958090	3264	1998-08-07	VYDAJ	PREVOD NA UCET	1886	19611	SIPO	MN	52467608
958091	3264	1998-09-07	VYDAJ	PREVOD NA UCET	1886	22583	SIPO	MN	52467608
958092	3264	1998-10-07	VYDAJ	PREVOD NA UCET	1886	25874	SIPO	MN	52467608
958093	3264	1998-11-07	VYDAJ	PREVOD NA UCET	1886	26971	SIPO	MN	52467608
958094	3264	1998-12-07	VYDAJ	PREVOD NA UCET	1886	28870	SIPO	MN	52467608
958096	3264	1994-06-21	VYDAJ	VYBER	8800	15016	\N	\N	\N
958097	3264	1995-06-08	VYDAJ	VYBER	14800	15899	\N	\N	\N
958103	3264	1995-01-27	VYDAJ	VYBER	1250	21519	\N	\N	\N
958104	3264	1996-01-06	VYDAJ	VYBER	1000	19541	\N	\N	\N
958105	3264	1997-01-07	VYDAJ	VYBER	4750	20610	\N	\N	\N
958106	3264	1998-01-04	VYDAJ	VYBER	2000	17685	\N	\N	\N
958108	3264	1994-12-08	VYDAJ	VYBER	600	29612	\N	\N	\N
958109	3264	1995-12-19	VYDAJ	VYBER	1450	22057	\N	\N	\N
958110	3264	1996-12-24	VYDAJ	VYBER	300	27152	\N	\N	\N
958111	3264	1997-12-01	VYDAJ	VYBER	250	22402	\N	\N	\N
958112	3264	1998-12-16	VYDAJ	VYBER	1150	27720	\N	\N	\N
958125	3264	1995-01-03	VYDAJ	VYBER	880	28839	\N	\N	\N
958126	3264	1995-01-07	VYDAJ	VYBER	2080	28095	\N	\N	\N
958127	3264	1995-01-06	VYDAJ	VYBER	1920	25079	\N	\N	\N
958128	3264	1995-01-07	VYDAJ	VYBER	2240	25855	\N	\N	\N
958129	3264	1995-01-30	VYDAJ	VYBER	1040	20479	\N	\N	\N
958130	3264	1995-01-15	VYDAJ	VYBER	800	23169	\N	\N	\N
958131	3264	1996-01-17	VYDAJ	VYBER	1120	19151	\N	\N	\N
958132	3264	1996-01-05	VYDAJ	VYBER	1600	20541	\N	\N	\N
958133	3264	1996-01-18	VYDAJ	VYBER	640	18511	\N	\N	\N
958134	3264	1996-01-30	VYDAJ	VYBER	720	14111	\N	\N	\N
958135	3264	1996-01-24	VYDAJ	VYBER	1840	16671	\N	\N	\N
958136	3264	1996-01-28	VYDAJ	VYBER	1840	14831	\N	\N	\N
958137	3264	1997-01-16	VYDAJ	VYBER	2160	18450	\N	\N	\N
958138	3264	1997-01-29	VYDAJ	VYBER	1120	14770	\N	\N	\N
958139	3264	1997-01-21	VYDAJ	VYBER	1040	17410	\N	\N	\N
958140	3264	1997-01-28	VYDAJ	VYBER	1040	15890	\N	\N	\N
958141	3264	1997-01-27	VYDAJ	VYBER	480	16930	\N	\N	\N
958143	3264	1998-01-26	VYDAJ	VYBER	800	15695	\N	\N	\N
958146	3264	1998-01-08	VYDAJ	VYBER	1200	17935	\N	\N	\N
958147	3264	1998-01-10	VYDAJ	VYBER	640	17295	\N	\N	\N
958148	3264	1998-01-23	VYDAJ	VYBER	800	16495	\N	\N	\N
958154	3264	1994-11-08	VYDAJ	VYBER	1040	28024	\N	\N	\N
958155	3264	1994-10-17	VYDAJ	VYBER	800	26760	\N	\N	\N
958156	3264	1994-05-23	VYDAJ	VYBER	3360	24511	\N	\N	\N
958157	3264	1994-11-13	VYDAJ	VYBER	1120	26904	\N	\N	\N
958158	3264	1995-04-10	VYDAJ	VYBER	2800	27582	\N	\N	\N
958159	3264	1995-12-13	VYDAJ	VYBER	3120	23507	\N	\N	\N
958160	3264	1995-10-05	VYDAJ	VYBER	2000	20133	\N	\N	\N
958161	3264	1995-09-27	VYDAJ	VYBER	960	22051	\N	\N	\N
958162	3264	1995-01-04	VYDAJ	VYBER	1840	26999	\N	\N	\N
958163	3264	1995-09-11	VYDAJ	VYBER	1920	23811	\N	\N	\N
958164	3264	1996-09-17	VYDAJ	VYBER	1840	23687	\N	\N	\N
958165	3264	1996-08-03	VYDAJ	VYBER	1920	27610	\N	\N	\N
958166	3264	1996-10-18	VYDAJ	VYBER	1840	23853	\N	\N	\N
958167	3264	1996-01-07	VYDAJ	VYBER	2480	22157	\N	\N	\N
958168	3264	1997-12-03	VYDAJ	VYBER	3200	18602	\N	\N	\N
958169	3264	1997-05-29	VYDAJ	VYBER	800	22085	\N	\N	\N
958170	3264	1997-09-06	VYDAJ	VYBER	3680	15798	\N	\N	\N
958171	3264	1998-03-20	VYDAJ	VYBER	880	16146	\N	\N	\N
958172	3264	1998-11-09	VYDAJ	VYBER	1200	25771	\N	\N	\N
958173	3264	1998-01-04	VYDAJ	VYBER	1760	15925	\N	\N	\N
958189	3264	1994-03-31	VYDAJ	VYBER	15	23859	SLUZBY	\N	\N
958190	3264	1994-04-30	VYDAJ	VYBER	15	24661	SLUZBY	\N	\N
958191	3264	1994-05-31	VYDAJ	VYBER	15	24606	SLUZBY	\N	\N
958192	3264	1994-06-30	VYDAJ	VYBER	15	15100	SLUZBY	\N	\N
958193	3264	1994-07-31	VYDAJ	VYBER	15	18369	SLUZBY	\N	\N
958194	3264	1994-08-31	VYDAJ	VYBER	15	21652	SLUZBY	\N	\N
958195	3264	1994-09-30	VYDAJ	VYBER	15	24350	SLUZBY	\N	\N
958196	3264	1994-10-31	VYDAJ	VYBER	15	25854	SLUZBY	\N	\N
958197	3264	1994-11-30	VYDAJ	VYBER	15	27002	SLUZBY	\N	\N
958198	3264	1994-12-31	VYDAJ	VYBER	15	29719	SLUZBY	\N	\N
958199	3264	1995-01-31	VYDAJ	VYBER	15	20568	SLUZBY	\N	\N
958200	3264	1995-02-28	VYDAJ	VYBER	15	23860	SLUZBY	\N	\N
958201	3264	1995-03-31	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
958202	3264	1995-04-30	VYDAJ	VYBER	15	24176	SLUZBY	\N	\N
958203	3264	1995-05-31	VYDAJ	VYBER	15	27489	SLUZBY	\N	\N
958204	3264	1995-06-30	VYDAJ	VYBER	15	15962	SLUZBY	\N	\N
958205	3264	1995-07-31	VYDAJ	VYBER	15	19235	SLUZBY	\N	\N
958206	3264	1995-08-31	VYDAJ	VYBER	15	22521	SLUZBY	\N	\N
958207	3264	1995-09-30	VYDAJ	VYBER	15	22133	SLUZBY	\N	\N
958208	3264	1995-10-31	VYDAJ	VYBER	15	22221	SLUZBY	\N	\N
958209	3264	1995-11-30	VYDAJ	VYBER	15	24317	SLUZBY	\N	\N
958210	3264	1995-12-31	VYDAJ	VYBER	15	22141	SLUZBY	\N	\N
958211	3264	1996-01-31	VYDAJ	VYBER	15	14175	SLUZBY	\N	\N
958212	3264	1996-02-29	VYDAJ	VYBER	15	17440	SLUZBY	\N	\N
958213	3264	1996-03-31	VYDAJ	VYBER	15	20724	SLUZBY	\N	\N
958214	3264	1996-04-30	VYDAJ	VYBER	15	22211	SLUZBY	\N	\N
958215	3264	1996-05-31	VYDAJ	VYBER	15	25108	SLUZBY	\N	\N
958216	3264	1996-06-30	VYDAJ	VYBER	15	27215	SLUZBY	\N	\N
958217	3264	1996-07-31	VYDAJ	VYBER	15	29530	SLUZBY	\N	\N
958218	3264	1996-08-31	VYDAJ	VYBER	15	26117	SLUZBY	\N	\N
958219	3264	1996-09-30	VYDAJ	VYBER	15	23783	SLUZBY	\N	\N
958220	3264	1996-10-31	VYDAJ	VYBER	15	23940	SLUZBY	\N	\N
958221	3264	1996-11-30	VYDAJ	VYBER	15	26442	SLUZBY	\N	\N
958222	3264	1996-12-31	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
958223	3264	1997-01-31	VYDAJ	VYBER	15	14844	SLUZBY	\N	\N
958224	3264	1997-02-28	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
958225	3264	1997-03-31	VYDAJ	VYBER	15	20188	SLUZBY	\N	\N
958226	3264	1997-04-30	VYDAJ	VYBER	15	21075	SLUZBY	\N	\N
958227	3264	1997-05-31	VYDAJ	VYBER	15	22169	SLUZBY	\N	\N
958228	3264	1997-06-30	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
958229	3264	1997-07-31	VYDAJ	VYBER	15	26372	SLUZBY	\N	\N
958230	3264	1997-08-31	VYDAJ	VYBER	15	27078	SLUZBY	\N	\N
958231	3264	1997-09-30	VYDAJ	VYBER	15	19077	SLUZBY	\N	\N
958232	3264	1997-10-31	VYDAJ	VYBER	15	21759	SLUZBY	\N	\N
958233	3264	1997-11-30	VYDAJ	VYBER	15	22652	SLUZBY	\N	\N
958234	3264	1997-12-31	VYDAJ	VYBER	15	19685	SLUZBY	\N	\N
958235	3264	1998-01-31	VYDAJ	VYBER	15	13350	SLUZBY	\N	\N
958236	3264	1998-02-28	VYDAJ	VYBER	15	16616	SLUZBY	\N	\N
958237	3264	1998-03-31	VYDAJ	VYBER	15	16202	SLUZBY	\N	\N
958238	3264	1998-04-30	VYDAJ	VYBER	15	19474	SLUZBY	\N	\N
958239	3264	1998-05-31	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
958240	3264	1998-06-30	VYDAJ	VYBER	15	16429	SLUZBY	\N	\N
958241	3264	1998-07-31	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
958242	3264	1998-08-31	VYDAJ	VYBER	15	19373	SLUZBY	\N	\N
958243	3264	1998-09-30	VYDAJ	VYBER	15	22664	SLUZBY	\N	\N
958244	3264	1998-10-31	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
958245	3264	1998-11-30	VYDAJ	VYBER	15	25660	SLUZBY	\N	\N
958246	3264	1994-04-21	VYDAJ	VYBER	2500	24569	\N	\N	\N
958247	3264	1994-06-20	VYDAJ	VYBER	4000	23816	\N	\N	\N
958248	3264	1994-09-18	VYDAJ	VYBER	600	24262	\N	\N	\N
958249	3264	1994-10-18	VYDAJ	VYBER	1000	25760	\N	\N	\N
958250	3264	1995-01-16	VYDAJ	VYBER	400	22769	\N	\N	\N
958251	3264	1995-04-16	VYDAJ	VYBER	3500	24082	\N	\N	\N
958252	3264	1995-09-13	VYDAJ	VYBER	800	23011	\N	\N	\N
958253	3264	1995-10-13	VYDAJ	VYBER	1200	22143	\N	\N	\N
958254	3264	1995-11-12	VYDAJ	VYBER	1200	24231	\N	\N	\N
958255	3264	1995-12-12	VYDAJ	VYBER	900	26627	\N	\N	\N
958256	3264	1996-04-10	VYDAJ	VYBER	1800	22134	\N	\N	\N
958257	3264	1996-05-10	VYDAJ	VYBER	400	25021	\N	\N	\N
958258	3264	1996-06-09	VYDAJ	VYBER	1200	27118	\N	\N	\N
958259	3264	1996-07-09	VYDAJ	VYBER	1000	29425	\N	\N	\N
958260	3264	1996-08-08	VYDAJ	VYBER	4800	26020	\N	\N	\N
958261	3264	1996-09-07	VYDAJ	VYBER	3800	27413	\N	\N	\N
958262	3264	1996-10-07	VYDAJ	VYBER	1300	25693	\N	\N	\N
958263	3264	1996-11-06	VYDAJ	VYBER	800	23140	\N	\N	\N
958264	3264	1996-12-06	VYDAJ	VYBER	2200	24242	\N	\N	\N
958265	3264	1997-01-05	VYDAJ	VYBER	5100	22150	\N	\N	\N
958266	3264	1997-03-06	VYDAJ	VYBER	1200	16911	\N	\N	\N
958267	3264	1997-04-05	VYDAJ	VYBER	2400	17788	\N	\N	\N
958268	3264	1997-05-05	VYDAJ	VYBER	1400	19675	\N	\N	\N
958269	3264	1997-06-04	VYDAJ	VYBER	700	21469	\N	\N	\N
958270	3264	1997-07-04	VYDAJ	VYBER	1700	23070	\N	\N	\N
958271	3264	1997-08-03	VYDAJ	VYBER	2600	23772	\N	\N	\N
958272	3264	1997-09-02	VYDAJ	VYBER	7600	19478	\N	\N	\N
958273	3264	1997-10-02	VYDAJ	VYBER	600	18477	\N	\N	\N
958274	3264	1997-11-01	VYDAJ	VYBER	2400	19359	\N	\N	\N
958275	3264	1997-12-01	VYDAJ	VYBER	600	21802	\N	\N	\N
958276	3264	1997-12-31	VYDAJ	VYBER	2200	19699	\N	\N	\N
958277	3264	1998-01-30	VYDAJ	VYBER	2400	13295	\N	\N	\N
958278	3264	1998-03-01	VYDAJ	VYBER	2800	13816	\N	\N	\N
958279	3264	1998-05-30	VYDAJ	VYBER	6200	16484	\N	\N	\N
958280	3264	1998-06-29	VYDAJ	VYBER	3400	16367	\N	\N	\N
958281	3264	1998-07-29	VYDAJ	VYBER	3300	16339	\N	\N	\N
958282	3264	1998-08-28	VYDAJ	VYBER	300	19311	\N	\N	\N
958283	3264	1998-10-27	VYDAJ	VYBER	2200	23674	\N	\N	\N
958284	3264	1998-11-26	VYDAJ	VYBER	200	25571	\N	\N	\N
958343	3265	1996-03-30	PRIJEM	VKLAD	900	900	\N	\N	\N
958344	3265	1996-05-28	PRIJEM	VKLAD	25458	79831	\N	\N	\N
958345	3265	1996-12-27	PRIJEM	VKLAD	23635	73640	\N	\N	\N
958346	3265	1996-12-11	PRIJEM	VKLAD	45474	107772	\N	\N	\N
958347	3265	1996-05-12	PRIJEM	VKLAD	23715	54787	\N	\N	\N
958348	3265	1996-10-31	PRIJEM	VKLAD	45603	80536	\N	\N	\N
958353	3265	1996-04-03	PRIJEM	VKLAD	31863	32763	\N	\N	\N
958354	3265	1996-12-21	PRIJEM	VKLAD	34888	140905	\N	\N	\N
958355	3265	1996-05-21	PRIJEM	VKLAD	21697	117273	\N	\N	\N
958358	3265	1996-12-20	PRIJEM	VKLAD	20345	106017	\N	\N	\N
958359	3265	1996-05-13	PRIJEM	VKLAD	40789	95576	\N	\N	\N
958360	3265	1996-12-03	PRIJEM	VKLAD	48403	83898	\N	\N	\N
958361	3265	1996-07-16	PRIJEM	VKLAD	36963	52052	\N	\N	\N
958362	3265	1996-10-24	PRIJEM	VKLAD	46772	49431	\N	\N	\N
958363	3265	1997-02-03	PRIJEM	VKLAD	21649	63648	\N	\N	\N
958364	3265	1997-11-08	PRIJEM	VKLAD	33245	61190	\N	\N	\N
958365	3265	1997-04-12	PRIJEM	VKLAD	43181	91394	\N	\N	\N
958366	3265	1997-06-27	PRIJEM	VKLAD	25254	82422	\N	\N	\N
958367	3265	1997-07-18	PRIJEM	VKLAD	45287	141016	\N	\N	\N
958368	3265	1997-12-22	PRIJEM	VKLAD	35446	67827	\N	\N	\N
958369	3265	1997-09-11	PRIJEM	VKLAD	13107	46455	\N	\N	\N
958370	3265	1997-03-05	PRIJEM	VKLAD	25689	44905	\N	\N	\N
958371	3265	1997-01-17	PRIJEM	VKLAD	14088	79258	\N	\N	\N
958372	3265	1997-07-19	PRIJEM	VKLAD	23639	135955	\N	\N	\N
958373	3265	1997-06-09	PRIJEM	VKLAD	32753	77068	\N	\N	\N
958374	3265	1997-04-28	PRIJEM	VKLAD	30629	96834	\N	\N	\N
958375	3265	1997-07-07	PRIJEM	VKLAD	41715	140329	\N	\N	\N
958376	3265	1997-11-13	PRIJEM	VKLAD	30807	56297	\N	\N	\N
958377	3265	1997-03-22	PRIJEM	VKLAD	38946	131718	\N	\N	\N
958378	3265	1997-05-05	PRIJEM	VKLAD	11531	108544	\N	\N	\N
958379	3265	1997-07-30	PRIJEM	VKLAD	6287	85527	\N	\N	\N
958380	3265	1997-07-27	PRIJEM	VKLAD	40008	102463	\N	\N	\N
958381	3265	1997-09-13	PRIJEM	VKLAD	14219	60674	\N	\N	\N
958382	3265	1997-03-17	PRIJEM	VKLAD	36182	92772	\N	\N	\N
958383	3265	1997-01-24	PRIJEM	VKLAD	22875	81433	\N	\N	\N
958384	3265	1997-02-09	PRIJEM	VKLAD	6879	70527	\N	\N	\N
958385	3265	1997-01-03	PRIJEM	VKLAD	9307	83170	\N	\N	\N
958386	3265	1997-12-24	PRIJEM	VKLAD	21195	89022	\N	\N	\N
958387	3265	1997-07-04	PRIJEM	VKLAD	16002	98614	\N	\N	\N
958388	3265	1997-04-10	PRIJEM	VKLAD	17136	48213	\N	\N	\N
958389	3265	1997-03-14	PRIJEM	VKLAD	30647	64152	\N	\N	\N
958390	3265	1997-04-21	PRIJEM	VKLAD	24511	105005	\N	\N	\N
958391	3265	1998-10-03	PRIJEM	VKLAD	33639	60781	\N	\N	\N
958392	3265	1998-04-15	PRIJEM	VKLAD	35219	47320	\N	\N	\N
958393	3265	1998-11-03	PRIJEM	VKLAD	41273	84934	\N	\N	\N
958394	3265	1998-06-29	PRIJEM	VKLAD	44790	66710	\N	\N	\N
958400	3265	1996-06-23	VYDAJ	VYBER	11400	24200	SIPO	\N	0
958401	3265	1996-07-13	VYDAJ	VYBER	12100	15089	SIPO	\N	0
958402	3265	1996-08-07	VYDAJ	VYBER	15900	21416	SIPO	\N	0
958403	3265	1996-09-22	VYDAJ	VYBER	11200	13062	SIPO	\N	0
958404	3265	1996-10-12	VYDAJ	VYBER	15100	2659	SIPO	\N	0
958405	3265	1996-11-14	VYDAJ	VYBER	16200	64236	SIPO	\N	0
958406	3265	1996-12-21	VYDAJ	VYBER	14900	126005	SIPO	\N	0
958407	3265	1997-01-18	VYDAJ	VYBER	16800	62458	SIPO	\N	0
958408	3265	1997-02-16	VYDAJ	VYBER	16400	37248	SIPO	\N	0
958409	3265	1997-03-09	VYDAJ	VYBER	11400	33505	SIPO	\N	0
958410	3265	1997-04-19	VYDAJ	VYBER	10900	80494	SIPO	\N	0
958411	3265	1997-05-20	VYDAJ	VYBER	11400	97144	SIPO	\N	0
958412	3265	1997-06-06	VYDAJ	VYBER	12900	44315	SIPO	\N	0
958413	3265	1997-07-09	VYDAJ	VYBER	10900	95729	SIPO	\N	0
958414	3265	1997-08-17	VYDAJ	VYBER	17000	54795	SIPO	\N	0
958415	3265	1997-09-23	VYDAJ	VYBER	15300	38574	SIPO	\N	0
958416	3265	1997-10-17	VYDAJ	VYBER	13200	22808	SIPO	\N	0
958417	3265	1997-11-11	VYDAJ	VYBER	15000	25490	SIPO	\N	0
958418	3265	1997-12-21	VYDAJ	VYBER	17300	32381	SIPO	\N	0
958419	3265	1998-01-16	VYDAJ	VYBER	17100	54963	SIPO	\N	0
958420	3265	1998-02-18	VYDAJ	VYBER	12500	29515	SIPO	\N	0
958421	3265	1998-03-05	VYDAJ	VYBER	15500	6208	SIPO	\N	0
958422	3265	1998-04-13	VYDAJ	VYBER	11900	12101	SIPO	\N	0
958423	3265	1998-05-07	VYDAJ	VYBER	12100	30662	SIPO	\N	0
958424	3265	1998-06-19	VYDAJ	VYBER	17000	21920	SIPO	\N	0
958425	3265	1998-07-09	VYDAJ	VYBER	12000	54716	SIPO	\N	0
958426	3265	1998-08-05	VYDAJ	VYBER	13900	10435	SIPO	\N	0
958427	3265	1998-09-13	VYDAJ	VYBER	12700	15030	SIPO	\N	0
958428	3265	1998-10-04	VYDAJ	VYBER	12400	48381	SIPO	\N	0
958429	3265	1998-11-15	VYDAJ	VYBER	16500	50034	SIPO	\N	0
958430	3265	1998-12-06	VYDAJ	VYBER	10600	18535	SIPO	\N	0
958436	3265	1996-06-20	VYBER	VYBER	16967	35600	\N	\N	\N
958437	3265	1996-07-20	VYBER	VYBER	2388	46064	\N	\N	\N
958438	3265	1996-11-18	VYBER	VYBER	21801	42435	\N	\N	\N
958440	3265	1997-11-08	VYBER	VYBER	20700	40490	\N	\N	\N
958441	3265	1997-07-28	VYBER	VYBER	23223	79240	\N	\N	\N
958443	3265	1997-02-11	VYBER	VYBER	16879	53648	\N	\N	\N
958444	3265	1997-03-16	VYBER	VYBER	7562	56590	\N	\N	\N
958445	3265	1997-08-24	VYBER	VYBER	12815	33180	\N	\N	\N
958447	3265	1997-08-02	VYBER	VYBER	14035	71795	\N	\N	\N
958448	3265	1997-09-30	VYBER	VYBER	2645	36108	\N	\N	\N
958449	3265	1997-03-30	VYBER	VYBER	16739	30979	\N	\N	\N
958451	3265	1998-08-01	VYBER	VYBER	21016	24335	\N	\N	\N
958453	3265	1998-05-10	VYBER	VYBER	18548	12114	\N	\N	\N
958458	3265	1997-01-05	VYDAJ	VYBER	4200	75370	\N	\N	\N
958459	3265	1998-01-02	VYDAJ	VYBER	12600	76563	\N	\N	\N
958460	3265	1996-12-06	VYDAJ	VYBER	7200	76698	\N	\N	\N
958461	3265	1997-12-11	VYDAJ	VYBER	7800	38481	\N	\N	\N
958469	3265	1997-01-20	VYDAJ	VYBER	3900	58558	\N	\N	\N
958470	3265	1997-01-07	VYDAJ	VYBER	3000	72370	\N	\N	\N
958471	3265	1997-01-04	VYDAJ	VYBER	3600	79570	\N	\N	\N
958472	3265	1997-01-27	VYDAJ	VYBER	1800	41833	\N	\N	\N
958473	3265	1997-01-15	VYDAJ	VYBER	7200	65170	\N	\N	\N
958474	3265	1997-01-25	VYDAJ	VYBER	8100	43633	\N	\N	\N
958477	3265	1998-01-20	VYDAJ	VYBER	7200	38063	\N	\N	\N
958478	3265	1998-01-28	VYDAJ	VYBER	3000	22463	\N	\N	\N
958479	3265	1998-01-19	VYDAJ	VYBER	7500	45263	\N	\N	\N
958480	3265	1998-01-16	VYDAJ	VYBER	4500	72063	\N	\N	\N
958482	3265	1996-12-10	VYDAJ	VYBER	14400	62298	\N	\N	\N
958483	3265	1996-07-19	VYDAJ	VYBER	3600	48452	\N	\N	\N
958485	3265	1996-10-25	VYDAJ	VYBER	2700	46731	\N	\N	\N
958486	3265	1997-06-01	VYDAJ	VYBER	9000	57215	\N	\N	\N
958488	3265	1997-02-24	VYDAJ	VYBER	12900	19148	\N	\N	\N
958489	3265	1997-06-17	VYDAJ	VYBER	1500	75568	\N	\N	\N
958492	3265	1998-11-24	VYDAJ	VYBER	8100	29034	\N	\N	\N
958493	3265	1998-01-24	VYDAJ	VYBER	12600	25463	\N	\N	\N
958494	3265	1998-11-08	VYDAJ	VYBER	5100	79834	\N	\N	\N
958495	3265	1998-02-20	VYDAJ	VYBER	7800	21715	\N	\N	\N
958497	3265	1998-11-20	VYDAJ	VYBER	12900	37134	\N	\N	\N
958504	3265	1996-05-31	VYDAJ	VYBER	100	52567	SLUZBY	\N	\N
958505	3265	1996-06-30	VYDAJ	VYBER	100	27189	SLUZBY	\N	\N
958506	3265	1996-07-31	VYDAJ	VYBER	100	37316	SLUZBY	\N	\N
958507	3265	1996-08-31	VYDAJ	VYBER	100	24262	SLUZBY	\N	\N
958508	3265	1996-09-30	VYDAJ	VYBER	100	17759	SLUZBY	\N	\N
958509	3265	1996-10-31	VYDAJ	VYBER	100	80436	SLUZBY	\N	\N
958510	3265	1996-11-30	VYDAJ	VYBER	100	35495	SLUZBY	\N	\N
958511	3265	1996-12-31	VYDAJ	VYBER	100	73863	SLUZBY	\N	\N
958512	3265	1997-01-31	VYDAJ	VYBER	100	41999	SLUZBY	\N	\N
958513	3265	1997-02-28	VYDAJ	VYBER	100	19216	SLUZBY	\N	\N
958514	3265	1997-03-31	VYDAJ	VYBER	100	31077	SLUZBY	\N	\N
958515	3265	1997-04-30	VYDAJ	VYBER	100	97013	SLUZBY	\N	\N
958516	3265	1997-05-31	VYDAJ	VYBER	100	66215	SLUZBY	\N	\N
958517	3265	1997-06-30	VYDAJ	VYBER	100	82612	SLUZBY	\N	\N
958518	3265	1997-07-31	VYDAJ	VYBER	100	85830	SLUZBY	\N	\N
958519	3265	1997-08-31	VYDAJ	VYBER	100	33348	SLUZBY	\N	\N
958520	3265	1997-09-30	VYDAJ	VYBER	100	36008	SLUZBY	\N	\N
958521	3265	1997-10-31	VYDAJ	VYBER	100	27945	SLUZBY	\N	\N
958522	3265	1997-11-30	VYDAJ	VYBER	100	46281	SLUZBY	\N	\N
958523	3265	1997-12-31	VYDAJ	VYBER	100	89163	SLUZBY	\N	\N
958524	3265	1998-01-31	VYDAJ	VYBER	100	22615	SLUZBY	\N	\N
958525	3265	1998-02-28	VYDAJ	VYBER	100	21708	SLUZBY	\N	\N
958526	3265	1998-03-31	VYDAJ	VYBER	100	24001	SLUZBY	\N	\N
958527	3265	1998-04-30	VYDAJ	VYBER	100	42762	SLUZBY	\N	\N
958528	3265	1998-05-31	VYDAJ	VYBER	100	23920	SLUZBY	\N	\N
958529	3265	1998-06-30	VYDAJ	VYBER	100	66716	SLUZBY	\N	\N
958530	3265	1998-07-31	VYDAJ	VYBER	100	45351	SLUZBY	\N	\N
958531	3265	1998-08-31	VYDAJ	VYBER	100	27730	SLUZBY	\N	\N
958532	3265	1998-09-30	VYDAJ	VYBER	100	27142	SLUZBY	\N	\N
958533	3265	1998-10-31	VYDAJ	VYBER	100	43661	SLUZBY	\N	\N
958534	3265	1998-11-30	VYDAJ	VYBER	100	29135	SLUZBY	\N	\N
958535	3265	1996-04-29	VYDAJ	VYBER	1700	31063	\N	\N	\N
958536	3265	1996-05-21	VYDAJ	VYBER	62900	54373	\N	\N	\N
958537	3265	1996-05-29	VYDAJ	VYBER	27400	52431	\N	\N	\N
958538	3265	1996-06-28	PRIJEM	VKLAD	2900	27100	\N	\N	\N
958539	3265	1996-07-28	VYDAJ	VYBER	8800	37264	\N	\N	\N
958540	3265	1996-08-27	PRIJEM	VKLAD	2800	24216	\N	\N	\N
958541	3265	1996-09-26	PRIJEM	VKLAD	4700	17762	\N	\N	\N
958542	3265	1996-10-26	VYDAJ	VYBER	11900	34831	\N	\N	\N
958543	3265	1996-11-25	VYDAJ	VYBER	7100	35335	\N	\N	\N
958544	3265	1996-12-11	VYDAJ	VYBER	22100	85672	\N	\N	\N
958545	3265	1996-12-21	VYDAJ	VYBER	48100	77905	\N	\N	\N
958546	3265	1996-12-25	VYDAJ	VYBER	27900	50005	\N	\N	\N
958547	3265	1997-01-24	VYDAJ	VYBER	29700	51733	\N	\N	\N
958548	3265	1997-02-23	VYDAJ	VYBER	5200	32048	\N	\N	\N
958549	3265	1997-03-22	VYDAJ	VYBER	62100	69618	\N	\N	\N
958550	3265	1997-03-25	VYDAJ	VYBER	21900	47718	\N	\N	\N
958551	3265	1997-04-24	VYDAJ	VYBER	38800	66205	\N	\N	\N
958552	3265	1997-05-24	VYDAJ	VYBER	31200	65944	\N	\N	\N
958553	3265	1997-06-23	VYDAJ	VYBER	18400	57168	\N	\N	\N
958554	3265	1997-07-07	VYDAJ	VYBER	33700	106629	\N	\N	\N
958555	3265	1997-07-18	VYDAJ	VYBER	28700	112316	\N	\N	\N
958556	3265	1997-07-19	VYDAJ	VYBER	51300	84655	\N	\N	\N
958557	3265	1997-07-23	VYDAJ	VYBER	22200	62455	\N	\N	\N
958558	3265	1997-08-22	VYDAJ	VYBER	8800	45995	\N	\N	\N
958559	3265	1997-09-21	VYDAJ	VYBER	6800	53874	\N	\N	\N
958560	3265	1997-10-21	PRIJEM	VKLAD	5100	27908	\N	\N	\N
958561	3265	1997-11-20	VYDAJ	VYBER	10100	46197	\N	\N	\N
958562	3265	1997-12-20	PRIJEM	VKLAD	11200	49681	\N	\N	\N
958563	3265	1998-01-19	VYDAJ	VYBER	2200	52763	\N	\N	\N
958564	3265	1998-02-18	PRIJEM	VKLAD	19400	42015	\N	\N	\N
958565	3265	1998-03-20	PRIJEM	VKLAD	17800	24008	\N	\N	\N
958566	3265	1998-04-19	VYDAJ	VYBER	4600	42720	\N	\N	\N
958567	3265	1998-05-19	PRIJEM	VKLAD	11800	23914	\N	\N	\N
958568	3265	1998-06-18	PRIJEM	VKLAD	15000	38920	\N	\N	\N
958569	3265	1998-07-18	VYDAJ	VYBER	9500	45216	\N	\N	\N
958570	3265	1998-08-17	PRIJEM	VKLAD	17300	27735	\N	\N	\N
958571	3265	1998-09-16	PRIJEM	VKLAD	12100	27130	\N	\N	\N
958572	3265	1998-10-16	VYDAJ	VYBER	4800	43581	\N	\N	\N
958573	3265	1998-11-15	VYDAJ	VYBER	13300	66534	\N	\N	\N
958574	3265	1998-12-15	PRIJEM	VKLAD	13100	31635	\N	\N	\N
958608	3266	1997-03-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
958612	3266	1997-04-13	PRIJEM	PREVOD Z UCTU	4504	5604	DUCHOD	OP	87052064
958613	3266	1997-05-13	PRIJEM	PREVOD Z UCTU	4504	10108	DUCHOD	OP	87052064
958614	3266	1997-06-13	PRIJEM	PREVOD Z UCTU	4504	14612	DUCHOD	OP	87052064
958615	3266	1997-07-13	PRIJEM	PREVOD Z UCTU	4504	19116	DUCHOD	OP	87052064
958616	3266	1997-08-13	PRIJEM	PREVOD Z UCTU	4504	23620	DUCHOD	OP	87052064
958617	3266	1997-09-13	PRIJEM	PREVOD Z UCTU	4504	26466	DUCHOD	OP	87052064
958618	3266	1997-10-13	PRIJEM	PREVOD Z UCTU	4504	27973	DUCHOD	OP	87052064
958619	3266	1997-11-13	PRIJEM	PREVOD Z UCTU	4504	29566	DUCHOD	OP	87052064
958620	3266	1997-12-13	PRIJEM	PREVOD Z UCTU	4504	30646	DUCHOD	OP	87052064
958621	3266	1998-01-13	PRIJEM	PREVOD Z UCTU	4504	32572	DUCHOD	OP	87052064
958622	3266	1998-02-13	PRIJEM	PREVOD Z UCTU	4504	27098	DUCHOD	OP	87052064
958623	3266	1998-03-13	PRIJEM	PREVOD Z UCTU	4504	28207	DUCHOD	OP	87052064
958624	3266	1998-04-13	PRIJEM	PREVOD Z UCTU	4504	30282	DUCHOD	OP	87052064
958625	3266	1998-05-13	PRIJEM	PREVOD Z UCTU	4504	31564	DUCHOD	OP	87052064
958626	3266	1998-06-13	PRIJEM	PREVOD Z UCTU	4504	34532	DUCHOD	OP	87052064
958627	3266	1998-07-13	PRIJEM	PREVOD Z UCTU	4504	27697	DUCHOD	OP	87052064
958628	3266	1998-08-13	PRIJEM	PREVOD Z UCTU	4504	30650	DUCHOD	OP	87052064
958629	3266	1998-09-13	PRIJEM	PREVOD Z UCTU	4504	29849	DUCHOD	OP	87052064
958630	3266	1998-10-13	PRIJEM	PREVOD Z UCTU	4504	32811	DUCHOD	OP	87052064
958631	3266	1998-11-13	PRIJEM	PREVOD Z UCTU	4504	35785	DUCHOD	OP	87052064
958632	3266	1998-12-13	PRIJEM	PREVOD Z UCTU	4504	36368	DUCHOD	OP	87052064
958641	3266	1997-09-08	VYDAJ	PREVOD NA UCET	119	23490	SIPO	UV	53358691
958642	3266	1997-10-08	VYDAJ	PREVOD NA UCET	119	24997	SIPO	UV	53358691
958643	3266	1997-11-08	VYDAJ	PREVOD NA UCET	119	25062	SIPO	UV	53358691
958644	3266	1997-12-08	VYDAJ	PREVOD NA UCET	119	26742	SIPO	UV	53358691
958645	3266	1998-01-08	VYDAJ	PREVOD NA UCET	119	28068	SIPO	UV	53358691
958646	3266	1998-02-08	VYDAJ	PREVOD NA UCET	119	24122	SIPO	UV	53358691
958647	3266	1998-03-08	VYDAJ	PREVOD NA UCET	119	23703	SIPO	UV	53358691
958648	3266	1998-04-08	VYDAJ	PREVOD NA UCET	119	25778	SIPO	UV	53358691
958649	3266	1998-05-08	VYDAJ	PREVOD NA UCET	119	27060	SIPO	UV	53358691
958650	3266	1998-06-08	VYDAJ	PREVOD NA UCET	119	31556	SIPO	UV	53358691
958651	3266	1998-07-08	VYDAJ	PREVOD NA UCET	119	24721	SIPO	UV	53358691
958652	3266	1998-08-08	VYDAJ	PREVOD NA UCET	119	27674	SIPO	UV	53358691
958653	3266	1998-09-08	VYDAJ	PREVOD NA UCET	119	26873	SIPO	UV	53358691
958654	3266	1998-10-08	VYDAJ	PREVOD NA UCET	119	29835	SIPO	UV	53358691
958655	3266	1998-11-08	VYDAJ	PREVOD NA UCET	119	32809	SIPO	UV	53358691
958656	3266	1998-12-08	VYDAJ	PREVOD NA UCET	119	33392	SIPO	UV	53358691
958665	3266	1997-09-08	VYDAJ	PREVOD NA UCET	1528	21962	 	GH	81213712
958666	3266	1997-10-08	VYDAJ	PREVOD NA UCET	1528	23469	 	GH	81213712
958667	3266	1997-11-08	VYDAJ	PREVOD NA UCET	1528	25181	 	GH	81213712
958668	3266	1997-12-08	VYDAJ	PREVOD NA UCET	1528	26861	 	GH	81213712
958669	3266	1998-01-08	VYDAJ	PREVOD NA UCET	1528	28187	 	GH	81213712
958670	3266	1998-02-08	VYDAJ	PREVOD NA UCET	1528	22594	 	GH	81213712
958671	3266	1998-03-08	VYDAJ	PREVOD NA UCET	1528	23822	 	GH	81213712
958672	3266	1998-04-08	VYDAJ	PREVOD NA UCET	1528	25897	 	GH	81213712
958673	3266	1998-05-08	VYDAJ	PREVOD NA UCET	1528	27179	 	GH	81213712
958674	3266	1998-06-08	VYDAJ	PREVOD NA UCET	1528	30028	 	GH	81213712
958675	3266	1998-07-08	VYDAJ	PREVOD NA UCET	1528	23193	 	GH	81213712
958676	3266	1998-08-08	VYDAJ	PREVOD NA UCET	1528	26146	 	GH	81213712
958677	3266	1998-09-08	VYDAJ	PREVOD NA UCET	1528	25345	 	GH	81213712
958678	3266	1998-10-08	VYDAJ	PREVOD NA UCET	1528	28307	 	GH	81213712
958679	3266	1998-11-08	VYDAJ	PREVOD NA UCET	1528	31281	 	GH	81213712
958680	3266	1998-12-08	VYDAJ	PREVOD NA UCET	1528	31864	 	GH	81213712
958682	3266	1998-06-27	VYDAJ	VYBER	9250	24722	\N	\N	\N
958684	3266	1998-01-25	VYDAJ	VYBER	3800	27412	\N	\N	\N
958685	3266	1997-12-11	VYDAJ	VYBER	600	26142	\N	\N	\N
958686	3266	1998-12-30	VYDAJ	VYBER	900	35468	\N	\N	\N
958693	3266	1998-01-24	VYDAJ	VYBER	1360	31212	\N	\N	\N
958694	3266	1998-01-28	VYDAJ	VYBER	1040	25812	\N	\N	\N
958695	3266	1998-01-02	VYDAJ	VYBER	400	30355	\N	\N	\N
958696	3266	1998-01-26	VYDAJ	VYBER	560	26852	\N	\N	\N
958697	3266	1998-01-29	VYDAJ	VYBER	1680	24132	\N	\N	\N
958698	3266	1998-01-04	VYDAJ	VYBER	640	29715	\N	\N	\N
958699	3266	1997-09-27	VYDAJ	VYBER	1440	25026	\N	\N	\N
958702	3266	1997-12-07	VYDAJ	VYBER	1280	28389	\N	\N	\N
958703	3266	1997-10-26	VYDAJ	VYBER	880	27093	\N	\N	\N
958704	3266	1997-10-29	VYDAJ	VYBER	480	26613	\N	\N	\N
958705	3266	1998-04-27	VYDAJ	VYBER	1680	28602	\N	\N	\N
958706	3266	1998-03-04	VYDAJ	VYBER	1840	25350	\N	\N	\N
958707	3266	1998-03-21	VYDAJ	VYBER	880	27327	\N	\N	\N
958708	3266	1998-06-15	VYDAJ	VYBER	560	33972	\N	\N	\N
958709	3266	1998-11-22	VYDAJ	VYBER	2400	33385	\N	\N	\N
958710	3266	1998-08-21	VYDAJ	VYBER	3760	26890	\N	\N	\N
958719	3266	1997-08-31	VYDAJ	VYBER	15	23609	SLUZBY	\N	\N
958720	3266	1997-09-30	VYDAJ	VYBER	15	25116	SLUZBY	\N	\N
958721	3266	1997-10-31	VYDAJ	VYBER	15	26709	SLUZBY	\N	\N
958722	3266	1997-11-30	VYDAJ	VYBER	15	29669	SLUZBY	\N	\N
958723	3266	1997-12-31	VYDAJ	VYBER	15	30755	SLUZBY	\N	\N
958724	3266	1998-01-31	VYDAJ	VYBER	15	24241	SLUZBY	\N	\N
958725	3266	1998-02-28	VYDAJ	VYBER	15	27190	SLUZBY	\N	\N
958726	3266	1998-03-31	VYDAJ	VYBER	15	27425	SLUZBY	\N	\N
958727	3266	1998-04-30	VYDAJ	VYBER	15	28707	SLUZBY	\N	\N
958728	3266	1998-05-31	VYDAJ	VYBER	15	31675	SLUZBY	\N	\N
958729	3266	1998-06-30	VYDAJ	VYBER	15	24840	SLUZBY	\N	\N
958730	3266	1998-07-31	VYDAJ	VYBER	15	27793	SLUZBY	\N	\N
958731	3266	1998-08-31	VYDAJ	VYBER	15	26992	SLUZBY	\N	\N
958732	3266	1998-09-30	VYDAJ	VYBER	15	29954	SLUZBY	\N	\N
958733	3266	1998-10-31	VYDAJ	VYBER	15	32928	SLUZBY	\N	\N
958734	3266	1998-11-30	VYDAJ	VYBER	15	33511	SLUZBY	\N	\N
958752	3267	1993-07-21	PRIJEM	VKLAD	300	300	\N	\N	\N
958760	3267	1993-08-11	PRIJEM	VKLAD	12298	12598	\N	\N	\N
958761	3267	1993-09-11	PRIJEM	VKLAD	12298	32929	\N	\N	\N
958762	3267	1993-10-11	PRIJEM	VKLAD	12298	41928	\N	\N	\N
958763	3267	1993-11-11	PRIJEM	VKLAD	12298	44453	\N	\N	\N
958764	3267	1993-12-11	PRIJEM	VKLAD	18447	54441	\N	\N	\N
958765	3267	1994-01-11	PRIJEM	VKLAD	12298	41533	\N	\N	\N
958766	3267	1994-02-11	PRIJEM	VKLAD	12298	33913	\N	\N	\N
958767	3267	1994-03-11	PRIJEM	VKLAD	12298	37692	\N	\N	\N
958768	3267	1994-04-11	PRIJEM	VKLAD	12298	38082	\N	\N	\N
958769	3267	1994-05-11	PRIJEM	VKLAD	12298	41100	\N	\N	\N
958770	3267	1994-06-11	PRIJEM	VKLAD	18447	48755	\N	\N	\N
958771	3267	1994-07-11	PRIJEM	VKLAD	12298	47875	\N	\N	\N
958772	3267	1994-08-11	PRIJEM	VKLAD	12298	43937	\N	\N	\N
958773	3267	1994-09-11	PRIJEM	VKLAD	12298	44651	\N	\N	\N
958774	3267	1994-10-11	PRIJEM	VKLAD	12298	34774	\N	\N	\N
958775	3267	1994-11-11	PRIJEM	VKLAD	12298	40862	\N	\N	\N
958776	3267	1994-12-11	PRIJEM	VKLAD	18447	43303	\N	\N	\N
958777	3267	1995-01-11	PRIJEM	VKLAD	12298	31022	\N	\N	\N
958778	3267	1995-02-11	PRIJEM	VKLAD	12298	29150	\N	\N	\N
958779	3267	1995-03-11	PRIJEM	VKLAD	12298	34117	\N	\N	\N
958780	3267	1995-04-11	PRIJEM	VKLAD	12298	34490	\N	\N	\N
958781	3267	1995-05-11	PRIJEM	VKLAD	12298	26852	\N	\N	\N
958782	3267	1995-06-11	PRIJEM	VKLAD	18447	34933	\N	\N	\N
958783	3267	1995-07-11	PRIJEM	VKLAD	12298	31394	\N	\N	\N
958784	3267	1995-08-11	PRIJEM	VKLAD	12298	27652	\N	\N	\N
958785	3267	1995-09-11	PRIJEM	VKLAD	12298	32496	\N	\N	\N
958786	3267	1995-10-11	PRIJEM	VKLAD	12298	35479	\N	\N	\N
958787	3267	1995-11-11	PRIJEM	VKLAD	12298	31758	\N	\N	\N
958788	3267	1995-12-11	PRIJEM	VKLAD	18447	37877	\N	\N	\N
958789	3267	1996-01-11	PRIJEM	VKLAD	12298	30245	\N	\N	\N
958790	3267	1996-02-11	PRIJEM	VKLAD	12298	31325	\N	\N	\N
958791	3267	1996-03-11	PRIJEM	VKLAD	12298	32396	\N	\N	\N
958792	3267	1996-04-11	PRIJEM	VKLAD	12298	37482	\N	\N	\N
958793	3267	1996-05-11	PRIJEM	VKLAD	12298	35855	\N	\N	\N
958794	3267	1996-06-11	PRIJEM	VKLAD	18447	42104	\N	\N	\N
958795	3267	1996-07-11	PRIJEM	VKLAD	12298	39126	\N	\N	\N
958796	3267	1996-08-11	PRIJEM	VKLAD	12298	38849	\N	\N	\N
958797	3267	1996-09-11	PRIJEM	VKLAD	12298	38966	\N	\N	\N
958798	3267	1996-10-11	PRIJEM	VKLAD	12298	36840	\N	\N	\N
958799	3267	1996-11-11	PRIJEM	VKLAD	12298	35365	\N	\N	\N
958800	3267	1996-12-11	PRIJEM	VKLAD	18447	42370	\N	\N	\N
958801	3267	1997-01-11	PRIJEM	VKLAD	12298	34508	\N	\N	\N
958802	3267	1997-02-11	PRIJEM	VKLAD	12298	36059	\N	\N	\N
958803	3267	1997-03-11	PRIJEM	VKLAD	12298	39560	\N	\N	\N
958804	3267	1997-04-11	PRIJEM	VKLAD	12298	46575	\N	\N	\N
958805	3267	1997-05-11	PRIJEM	VKLAD	12298	48414	\N	\N	\N
958806	3267	1997-06-11	PRIJEM	VKLAD	18447	54717	\N	\N	\N
958807	3267	1997-07-11	PRIJEM	VKLAD	12298	50863	\N	\N	\N
958808	3267	1997-08-11	PRIJEM	VKLAD	12298	47793	\N	\N	\N
958809	3267	1997-09-11	PRIJEM	VKLAD	12298	44030	\N	\N	\N
958810	3267	1997-10-11	PRIJEM	VKLAD	12298	44453	\N	\N	\N
958811	3267	1997-11-11	PRIJEM	VKLAD	12298	46177	\N	\N	\N
958812	3267	1997-12-11	PRIJEM	VKLAD	18447	51355	\N	\N	\N
958813	3267	1998-01-11	PRIJEM	VKLAD	12298	46190	\N	\N	\N
958814	3267	1998-02-11	PRIJEM	VKLAD	12298	47122	\N	\N	\N
958815	3267	1998-03-11	PRIJEM	VKLAD	12298	48455	\N	\N	\N
958816	3267	1998-04-11	PRIJEM	VKLAD	12298	49310	\N	\N	\N
958817	3267	1998-05-11	PRIJEM	VKLAD	12298	52854	\N	\N	\N
958818	3267	1998-06-11	PRIJEM	VKLAD	18447	62322	\N	\N	\N
958819	3267	1998-07-11	PRIJEM	VKLAD	12298	56811	\N	\N	\N
958820	3267	1998-08-11	PRIJEM	VKLAD	12298	47656	\N	\N	\N
958821	3267	1998-09-11	PRIJEM	VKLAD	12298	46687	\N	\N	\N
958822	3267	1998-10-11	PRIJEM	VKLAD	12298	49217	\N	\N	\N
958823	3267	1998-11-11	PRIJEM	VKLAD	12298	50515	\N	\N	\N
958824	3267	1998-12-11	PRIJEM	VKLAD	18447	63015	\N	\N	\N
958836	3267	1993-12-14	VYDAJ	PREVOD NA UCET	6403	48038	SIPO	QR	85891317
958837	3267	1994-01-14	VYDAJ	PREVOD NA UCET	6403	33330	SIPO	QR	85891317
958838	3267	1994-02-14	VYDAJ	PREVOD NA UCET	6403	27510	SIPO	QR	85891317
958839	3267	1994-03-14	VYDAJ	PREVOD NA UCET	6403	31289	SIPO	QR	85891317
958840	3267	1994-04-14	VYDAJ	PREVOD NA UCET	6403	29399	SIPO	QR	85891317
958841	3267	1994-05-14	VYDAJ	PREVOD NA UCET	6403	34697	SIPO	QR	85891317
958842	3267	1994-06-14	VYDAJ	PREVOD NA UCET	6403	42352	SIPO	QR	85891317
958843	3267	1994-07-14	VYDAJ	PREVOD NA UCET	6403	41472	SIPO	QR	85891317
958844	3267	1994-08-14	VYDAJ	PREVOD NA UCET	6403	37534	SIPO	QR	85891317
958845	3267	1994-09-14	VYDAJ	PREVOD NA UCET	6403	38248	SIPO	QR	85891317
958846	3267	1994-10-14	VYDAJ	PREVOD NA UCET	6403	28471	SIPO	QR	85891317
958847	3267	1994-11-14	VYDAJ	PREVOD NA UCET	6403	25359	SIPO	QR	85891317
958848	3267	1994-12-14	VYDAJ	PREVOD NA UCET	6403	28700	SIPO	QR	85891317
958849	3267	1995-01-14	VYDAJ	PREVOD NA UCET	6403	19179	SIPO	QR	85891317
958850	3267	1995-02-14	VYDAJ	PREVOD NA UCET	6403	21747	SIPO	QR	85891317
958851	3267	1995-03-14	VYDAJ	PREVOD NA UCET	6403	22114	SIPO	QR	85891317
958852	3267	1995-04-14	VYDAJ	PREVOD NA UCET	6403	19887	SIPO	QR	85891317
958853	3267	1995-05-14	VYDAJ	PREVOD NA UCET	6403	18349	SIPO	QR	85891317
958854	3267	1995-06-14	VYDAJ	PREVOD NA UCET	6403	19030	SIPO	QR	85891317
958855	3267	1995-07-14	VYDAJ	PREVOD NA UCET	6403	17391	SIPO	QR	85891317
958856	3267	1995-08-14	VYDAJ	PREVOD NA UCET	6403	20529	SIPO	QR	85891317
958857	3267	1995-09-14	VYDAJ	PREVOD NA UCET	6403	26093	SIPO	QR	85891317
958858	3267	1995-10-14	VYDAJ	PREVOD NA UCET	6403	29076	SIPO	QR	85891317
958859	3267	1995-11-14	VYDAJ	PREVOD NA UCET	6403	25355	SIPO	QR	85891317
958860	3267	1995-12-14	VYDAJ	PREVOD NA UCET	6403	31474	SIPO	QR	85891317
958861	3267	1996-01-14	VYDAJ	PREVOD NA UCET	6403	20602	SIPO	QR	85891317
958862	3267	1996-02-14	VYDAJ	PREVOD NA UCET	6403	24922	SIPO	QR	85891317
958863	3267	1996-03-14	VYDAJ	PREVOD NA UCET	6403	25993	SIPO	QR	85891317
958864	3267	1996-04-14	VYDAJ	PREVOD NA UCET	6403	31079	SIPO	QR	85891317
958865	3267	1996-05-14	VYDAJ	PREVOD NA UCET	6403	29452	SIPO	QR	85891317
958866	3267	1996-06-14	VYDAJ	PREVOD NA UCET	6403	35701	SIPO	QR	85891317
958867	3267	1996-07-14	VYDAJ	PREVOD NA UCET	6403	32723	SIPO	QR	85891317
958868	3267	1996-08-14	VYDAJ	PREVOD NA UCET	6403	32446	SIPO	QR	85891317
958869	3267	1996-09-14	VYDAJ	PREVOD NA UCET	6403	32563	SIPO	QR	85891317
958870	3267	1996-10-14	VYDAJ	PREVOD NA UCET	6403	30437	SIPO	QR	85891317
958871	3267	1996-11-14	VYDAJ	PREVOD NA UCET	6403	28962	SIPO	QR	85891317
958872	3267	1996-12-14	VYDAJ	PREVOD NA UCET	6403	35967	SIPO	QR	85891317
958873	3267	1997-01-14	VYDAJ	PREVOD NA UCET	6403	28105	SIPO	QR	85891317
958874	3267	1997-02-14	VYDAJ	PREVOD NA UCET	6403	29656	SIPO	QR	85891317
958875	3267	1997-03-14	VYDAJ	PREVOD NA UCET	6403	33157	SIPO	QR	85891317
958876	3267	1997-04-14	VYDAJ	PREVOD NA UCET	6403	40172	SIPO	QR	85891317
958877	3267	1997-05-14	VYDAJ	PREVOD NA UCET	6403	42011	SIPO	QR	85891317
958878	3267	1997-06-14	VYDAJ	PREVOD NA UCET	6403	48314	SIPO	QR	85891317
958879	3267	1997-07-14	VYDAJ	PREVOD NA UCET	6403	44460	SIPO	QR	85891317
958880	3267	1997-08-14	VYDAJ	PREVOD NA UCET	6403	41390	SIPO	QR	85891317
958881	3267	1997-09-14	VYDAJ	PREVOD NA UCET	6403	37627	SIPO	QR	85891317
958882	3267	1997-10-14	VYDAJ	PREVOD NA UCET	6403	38050	SIPO	QR	85891317
958883	3267	1997-11-14	VYDAJ	PREVOD NA UCET	6403	39774	SIPO	QR	85891317
958884	3267	1997-12-14	VYDAJ	PREVOD NA UCET	6403	44952	SIPO	QR	85891317
958885	3267	1998-01-14	VYDAJ	PREVOD NA UCET	6403	37627	SIPO	QR	85891317
958886	3267	1998-02-14	VYDAJ	PREVOD NA UCET	6403	40719	SIPO	QR	85891317
958887	3267	1998-03-14	VYDAJ	PREVOD NA UCET	6403	42052	SIPO	QR	85891317
958888	3267	1998-04-14	VYDAJ	PREVOD NA UCET	6403	42907	SIPO	QR	85891317
958889	3267	1998-05-14	VYDAJ	PREVOD NA UCET	6403	46451	SIPO	QR	85891317
958890	3267	1998-06-14	VYDAJ	PREVOD NA UCET	6403	55919	SIPO	QR	85891317
958891	3267	1998-07-14	VYDAJ	PREVOD NA UCET	6403	50408	SIPO	QR	85891317
958892	3267	1998-08-14	VYDAJ	PREVOD NA UCET	6403	41253	SIPO	QR	85891317
958893	3267	1998-09-14	VYDAJ	PREVOD NA UCET	6403	40284	SIPO	QR	85891317
958894	3267	1998-10-14	VYDAJ	PREVOD NA UCET	6403	40774	SIPO	QR	85891317
958895	3267	1998-11-14	VYDAJ	PREVOD NA UCET	6403	44112	SIPO	QR	85891317
958896	3267	1998-12-14	VYDAJ	PREVOD NA UCET	6403	56612	SIPO	QR	85891317
958897	3267	1993-12-28	VYDAJ	VYBER	2240	32098	\N	\N	\N
958898	3267	1994-12-28	VYDAJ	VYBER	2880	25820	\N	\N	\N
958899	3267	1995-12-15	VYDAJ	VYBER	4480	26994	\N	\N	\N
958900	3267	1996-12-29	VYDAJ	VYBER	2080	33887	\N	\N	\N
958901	3267	1997-12-16	VYDAJ	VYBER	3040	41912	\N	\N	\N
958902	3267	1998-12-27	VYDAJ	VYBER	4320	46992	\N	\N	\N
958909	3267	1994-01-12	VYDAJ	VYBER	1800	39733	\N	\N	\N
958910	3267	1994-01-23	VYDAJ	VYBER	2760	21510	\N	\N	\N
958911	3267	1994-01-23	VYDAJ	VYBER	3000	24270	\N	\N	\N
958912	3267	1994-01-22	VYDAJ	VYBER	720	27270	\N	\N	\N
958913	3267	1994-01-08	VYDAJ	VYBER	960	29235	\N	\N	\N
958914	3267	1994-01-04	VYDAJ	VYBER	2040	30195	\N	\N	\N
958915	3267	1995-01-25	VYDAJ	VYBER	1560	17619	\N	\N	\N
958916	3267	1995-01-02	VYDAJ	VYBER	2640	23284	\N	\N	\N
958917	3267	1995-01-07	VYDAJ	VYBER	720	22564	\N	\N	\N
958918	3267	1995-01-08	VYDAJ	VYBER	3240	19324	\N	\N	\N
958919	3267	1995-01-12	VYDAJ	VYBER	1440	25582	\N	\N	\N
958920	3267	1995-01-10	VYDAJ	VYBER	600	18724	\N	\N	\N
958921	3267	1996-01-26	VYDAJ	VYBER	960	14362	\N	\N	\N
958922	3267	1996-01-17	VYDAJ	VYBER	600	18202	\N	\N	\N
958923	3267	1996-01-14	VYDAJ	VYBER	3240	27005	\N	\N	\N
958924	3267	1996-01-21	VYDAJ	VYBER	2880	15322	\N	\N	\N
958925	3267	1996-01-16	VYDAJ	VYBER	1800	18802	\N	\N	\N
958926	3267	1996-01-03	VYDAJ	VYBER	3480	19647	\N	\N	\N
958927	3267	1997-01-02	VYDAJ	VYBER	2400	25090	\N	\N	\N
958928	3267	1997-01-04	VYDAJ	VYBER	1200	23890	\N	\N	\N
958929	3267	1997-01-06	VYDAJ	VYBER	1680	22210	\N	\N	\N
958930	3267	1997-01-27	VYDAJ	VYBER	2400	25705	\N	\N	\N
958931	3267	1997-01-01	VYDAJ	VYBER	2520	31490	\N	\N	\N
958932	3267	1997-01-29	VYDAJ	VYBER	1680	24025	\N	\N	\N
958933	3267	1998-01-21	VYDAJ	VYBER	2520	31987	\N	\N	\N
958934	3267	1998-01-19	VYDAJ	VYBER	3120	34507	\N	\N	\N
958935	3267	1998-01-13	VYDAJ	VYBER	2160	44030	\N	\N	\N
958936	3267	1998-01-10	VYDAJ	VYBER	2520	33892	\N	\N	\N
958937	3267	1998-01-09	VYDAJ	VYBER	1320	36412	\N	\N	\N
958938	3267	1998-01-03	VYDAJ	VYBER	1320	37732	\N	\N	\N
958944	3267	1993-12-15	VYDAJ	VYBER	600	47438	\N	\N	\N
958946	3267	1994-01-15	VYDAJ	VYBER	1440	31890	\N	\N	\N
958947	3267	1994-12-01	VYDAJ	VYBER	600	24856	\N	\N	\N
958948	3267	1994-09-16	VYDAJ	VYBER	5280	26568	\N	\N	\N
958949	3267	1994-09-16	VYDAJ	VYBER	4200	22368	\N	\N	\N
958950	3267	1994-07-17	VYDAJ	VYBER	3360	31512	\N	\N	\N
958951	3267	1994-04-12	VYDAJ	VYBER	2280	35802	\N	\N	\N
958952	3267	1995-06-04	VYDAJ	VYBER	1920	16486	\N	\N	\N
958953	3267	1995-08-13	VYDAJ	VYBER	720	26932	\N	\N	\N
958954	3267	1995-02-09	VYDAJ	VYBER	840	16852	\N	\N	\N
958955	3267	1995-04-23	VYDAJ	VYBER	5400	14487	\N	\N	\N
958956	3267	1995-11-23	VYDAJ	VYBER	720	24635	\N	\N	\N
958957	3267	1995-12-21	VYDAJ	VYBER	3960	23034	\N	\N	\N
958958	3267	1995-10-28	VYDAJ	VYBER	1920	27156	\N	\N	\N
958959	3267	1996-04-24	VYDAJ	VYBER	600	25559	\N	\N	\N
958960	3267	1996-09-23	VYDAJ	VYBER	3840	28723	\N	\N	\N
958961	3267	1996-03-04	VYDAJ	VYBER	3000	21998	\N	\N	\N
958962	3267	1996-04-15	VYDAJ	VYBER	4920	26159	\N	\N	\N
958963	3267	1996-10-31	VYDAJ	VYBER	4680	25867	\N	\N	\N
958964	3267	1996-11-22	VYDAJ	VYBER	2040	26922	\N	\N	\N
958965	3267	1997-02-06	VYDAJ	VYBER	2760	23761	\N	\N	\N
958966	3267	1997-06-28	VYDAJ	VYBER	4320	43994	\N	\N	\N
958967	3267	1997-08-31	VYDAJ	VYBER	4200	31747	\N	\N	\N
958968	3267	1997-07-25	VYDAJ	VYBER	1320	43140	\N	\N	\N
958969	3267	1998-03-28	VYDAJ	VYBER	720	36872	\N	\N	\N
958970	3267	1998-03-18	VYDAJ	VYBER	3960	38092	\N	\N	\N
958971	3267	1998-10-13	VYDAJ	VYBER	2040	47177	\N	\N	\N
958972	3267	1998-06-10	VYDAJ	VYBER	1440	43875	\N	\N	\N
958973	3267	1998-07-28	VYDAJ	VYBER	5520	35188	\N	\N	\N
958986	3267	1993-12-31	VYDAJ	VYBER	15	32235	SLUZBY	\N	\N
958987	3267	1994-01-31	VYDAJ	VYBER	15	21615	SLUZBY	\N	\N
958988	3267	1994-02-28	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
958989	3267	1994-03-31	VYDAJ	VYBER	15	25784	SLUZBY	\N	\N
958990	3267	1994-04-30	VYDAJ	VYBER	15	28802	SLUZBY	\N	\N
958991	3267	1994-05-31	VYDAJ	VYBER	15	30308	SLUZBY	\N	\N
958992	3267	1994-06-30	VYDAJ	VYBER	15	35577	SLUZBY	\N	\N
958993	3267	1994-07-31	VYDAJ	VYBER	15	31639	SLUZBY	\N	\N
958994	3267	1994-08-31	VYDAJ	VYBER	15	32353	SLUZBY	\N	\N
958995	3267	1994-09-30	VYDAJ	VYBER	15	22476	SLUZBY	\N	\N
958996	3267	1994-10-31	VYDAJ	VYBER	15	28564	SLUZBY	\N	\N
958997	3267	1994-11-30	VYDAJ	VYBER	15	25456	SLUZBY	\N	\N
958998	3267	1994-12-31	VYDAJ	VYBER	15	25924	SLUZBY	\N	\N
958999	3267	1995-01-31	VYDAJ	VYBER	15	17692	SLUZBY	\N	\N
959000	3267	1995-02-28	VYDAJ	VYBER	15	21819	SLUZBY	\N	\N
959001	3267	1995-03-31	VYDAJ	VYBER	15	22192	SLUZBY	\N	\N
959002	3267	1995-04-30	VYDAJ	VYBER	15	14554	SLUZBY	\N	\N
959003	3267	1995-05-31	VYDAJ	VYBER	15	18406	SLUZBY	\N	\N
959004	3267	1995-06-30	VYDAJ	VYBER	15	19096	SLUZBY	\N	\N
959005	3267	1995-07-31	VYDAJ	VYBER	15	17454	SLUZBY	\N	\N
959006	3267	1995-08-31	VYDAJ	VYBER	15	20598	SLUZBY	\N	\N
959007	3267	1995-09-30	VYDAJ	VYBER	15	26181	SLUZBY	\N	\N
959008	3267	1995-10-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
959009	3267	1995-11-30	VYDAJ	VYBER	15	24730	SLUZBY	\N	\N
959010	3267	1995-12-31	VYDAJ	VYBER	15	23127	SLUZBY	\N	\N
959011	3267	1996-01-31	VYDAJ	VYBER	15	14427	SLUZBY	\N	\N
959012	3267	1996-02-29	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
959013	3267	1996-03-31	VYDAJ	VYBER	15	26084	SLUZBY	\N	\N
959014	3267	1996-04-30	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
959015	3267	1996-05-31	VYDAJ	VYBER	15	29557	SLUZBY	\N	\N
959016	3267	1996-06-30	VYDAJ	VYBER	15	35828	SLUZBY	\N	\N
959017	3267	1996-07-31	VYDAJ	VYBER	15	32851	SLUZBY	\N	\N
959018	3267	1996-08-31	VYDAJ	VYBER	15	32568	SLUZBY	\N	\N
959019	3267	1996-09-30	VYDAJ	VYBER	15	28842	SLUZBY	\N	\N
959020	3267	1996-10-31	VYDAJ	VYBER	15	30547	SLUZBY	\N	\N
959021	3267	1996-11-30	VYDAJ	VYBER	15	27023	SLUZBY	\N	\N
959022	3267	1996-12-31	VYDAJ	VYBER	15	34010	SLUZBY	\N	\N
959023	3267	1997-01-31	VYDAJ	VYBER	15	26521	SLUZBY	\N	\N
959024	3267	1997-02-28	VYDAJ	VYBER	15	29762	SLUZBY	\N	\N
959025	3267	1997-03-31	VYDAJ	VYBER	15	33277	SLUZBY	\N	\N
959026	3267	1997-04-30	VYDAJ	VYBER	15	40316	SLUZBY	\N	\N
959027	3267	1997-05-31	VYDAJ	VYBER	15	42170	SLUZBY	\N	\N
959028	3267	1997-06-30	VYDAJ	VYBER	15	38565	SLUZBY	\N	\N
959029	3267	1997-07-31	VYDAJ	VYBER	15	35495	SLUZBY	\N	\N
959030	3267	1997-08-31	VYDAJ	VYBER	15	31732	SLUZBY	\N	\N
959031	3267	1997-09-30	VYDAJ	VYBER	15	32155	SLUZBY	\N	\N
959032	3267	1997-10-31	VYDAJ	VYBER	15	33879	SLUZBY	\N	\N
959033	3267	1997-11-30	VYDAJ	VYBER	15	32908	SLUZBY	\N	\N
959034	3267	1997-12-31	VYDAJ	VYBER	15	39052	SLUZBY	\N	\N
959035	3267	1998-01-31	VYDAJ	VYBER	15	34824	SLUZBY	\N	\N
959036	3267	1998-02-28	VYDAJ	VYBER	15	36157	SLUZBY	\N	\N
959037	3267	1998-03-31	VYDAJ	VYBER	15	37012	SLUZBY	\N	\N
959038	3267	1998-04-30	VYDAJ	VYBER	15	40556	SLUZBY	\N	\N
959039	3267	1998-05-31	VYDAJ	VYBER	15	45315	SLUZBY	\N	\N
959040	3267	1998-06-30	VYDAJ	VYBER	15	44513	SLUZBY	\N	\N
959041	3267	1998-07-31	VYDAJ	VYBER	15	35358	SLUZBY	\N	\N
959042	3267	1998-08-31	VYDAJ	VYBER	15	34389	SLUZBY	\N	\N
959043	3267	1998-09-30	VYDAJ	VYBER	15	36919	SLUZBY	\N	\N
959044	3267	1998-10-31	VYDAJ	VYBER	15	38217	SLUZBY	\N	\N
959045	3267	1998-11-30	VYDAJ	VYBER	15	44568	SLUZBY	\N	\N
959046	3267	1993-08-20	PRIJEM	VKLAD	8000	20598	\N	\N	\N
959047	3267	1993-09-19	VYDAJ	VYBER	3400	29529	\N	\N	\N
959048	3267	1993-10-19	VYDAJ	VYBER	9900	32028	\N	\N	\N
959049	3267	1993-11-18	VYDAJ	VYBER	8600	35853	\N	\N	\N
959050	3267	1993-12-18	VYDAJ	VYBER	13100	34338	\N	\N	\N
959051	3267	1994-01-17	VYDAJ	VYBER	3900	27990	\N	\N	\N
959052	3267	1994-02-16	VYDAJ	VYBER	2200	25310	\N	\N	\N
959053	3267	1994-03-18	VYDAJ	VYBER	5600	25689	\N	\N	\N
959054	3267	1994-04-17	VYDAJ	VYBER	700	28699	\N	\N	\N
959055	3267	1994-05-17	VYDAJ	VYBER	4500	30197	\N	\N	\N
959056	3267	1994-06-16	VYDAJ	VYBER	6900	35452	\N	\N	\N
959057	3267	1994-07-16	VYDAJ	VYBER	6600	34872	\N	\N	\N
959058	3267	1994-08-15	VYDAJ	VYBER	5300	32234	\N	\N	\N
959059	3267	1994-09-14	VYDAJ	VYBER	6400	31848	\N	\N	\N
959060	3267	1994-10-14	PRIJEM	VKLAD	100	34874	\N	\N	\N
959061	3267	1994-11-13	VYDAJ	VYBER	9100	31762	\N	\N	\N
959062	3267	1994-12-13	VYDAJ	VYBER	8200	35103	\N	\N	\N
959063	3267	1995-01-12	VYDAJ	VYBER	4000	27022	\N	\N	\N
959064	3267	1995-02-11	VYDAJ	VYBER	1000	28150	\N	\N	\N
959065	3267	1995-03-13	VYDAJ	VYBER	5600	28517	\N	\N	\N
959066	3267	1995-04-12	VYDAJ	VYBER	8200	26290	\N	\N	\N
959067	3267	1995-05-12	VYDAJ	VYBER	2100	24752	\N	\N	\N
959068	3267	1995-06-11	VYDAJ	VYBER	9500	25433	\N	\N	\N
959069	3267	1995-07-11	VYDAJ	VYBER	7600	23794	\N	\N	\N
959070	3267	1995-08-10	VYDAJ	VYBER	2100	15354	\N	\N	\N
959071	3267	1995-09-09	VYDAJ	VYBER	400	20198	\N	\N	\N
959072	3267	1995-10-09	VYDAJ	VYBER	3000	23181	\N	\N	\N
959073	3267	1995-11-08	VYDAJ	VYBER	7800	19460	\N	\N	\N
959074	3267	1995-12-08	VYDAJ	VYBER	5300	19430	\N	\N	\N
959075	3267	1996-01-07	VYDAJ	VYBER	1700	17947	\N	\N	\N
959076	3267	1996-02-06	PRIJEM	VKLAD	4600	19027	\N	\N	\N
959077	3267	1996-03-07	VYDAJ	VYBER	1900	20098	\N	\N	\N
959078	3267	1996-04-06	VYDAJ	VYBER	900	25184	\N	\N	\N
959079	3267	1996-05-06	VYDAJ	VYBER	2100	23557	\N	\N	\N
959080	3267	1996-06-05	VYDAJ	VYBER	5900	23657	\N	\N	\N
959081	3267	1996-07-05	VYDAJ	VYBER	9000	26828	\N	\N	\N
959082	3267	1996-08-04	VYDAJ	VYBER	6300	26551	\N	\N	\N
959083	3267	1996-09-03	VYDAJ	VYBER	5900	26668	\N	\N	\N
959084	3267	1996-10-03	VYDAJ	VYBER	4300	24542	\N	\N	\N
959085	3267	1996-11-02	VYDAJ	VYBER	2800	23067	\N	\N	\N
959086	3267	1996-12-02	VYDAJ	VYBER	3100	23923	\N	\N	\N
959087	3267	1997-01-01	VYDAJ	VYBER	4000	27490	\N	\N	\N
959088	3267	1997-01-31	PRIJEM	VKLAD	2400	26536	\N	\N	\N
959089	3267	1997-03-02	VYDAJ	VYBER	2500	27262	\N	\N	\N
959090	3267	1997-04-01	PRIJEM	VKLAD	1000	34277	\N	\N	\N
959091	3267	1997-05-01	VYDAJ	VYBER	4200	36116	\N	\N	\N
959092	3267	1997-05-31	VYDAJ	VYBER	5900	36270	\N	\N	\N
959093	3267	1997-06-30	VYDAJ	VYBER	5600	38579	\N	\N	\N
959094	3267	1997-07-30	VYDAJ	VYBER	7800	35340	\N	\N	\N
959095	3267	1997-08-29	VYDAJ	VYBER	5600	35790	\N	\N	\N
959096	3267	1997-09-28	VYDAJ	VYBER	5600	32027	\N	\N	\N
959097	3267	1997-10-28	VYDAJ	VYBER	4300	33750	\N	\N	\N
959098	3267	1997-11-27	VYDAJ	VYBER	7000	32774	\N	\N	\N
959099	3267	1997-12-27	VYDAJ	VYBER	3000	38912	\N	\N	\N
959100	3267	1998-01-26	PRIJEM	VKLAD	2700	34687	\N	\N	\N
959101	3267	1998-02-25	VYDAJ	VYBER	4700	36019	\N	\N	\N
959102	3267	1998-03-27	VYDAJ	VYBER	500	37592	\N	\N	\N
959103	3267	1998-04-26	VYDAJ	VYBER	2500	40407	\N	\N	\N
959104	3267	1998-05-26	VYDAJ	VYBER	1300	45151	\N	\N	\N
959105	3267	1998-06-25	VYDAJ	VYBER	11600	44319	\N	\N	\N
959106	3267	1998-07-25	VYDAJ	VYBER	9700	40708	\N	\N	\N
959107	3267	1998-08-24	VYDAJ	VYBER	7000	34253	\N	\N	\N
959108	3267	1998-09-23	VYDAJ	VYBER	3500	36784	\N	\N	\N
959109	3267	1998-10-23	VYDAJ	VYBER	2700	38074	\N	\N	\N
959110	3267	1998-11-22	PRIJEM	VKLAD	300	44412	\N	\N	\N
959111	3267	1998-12-22	VYDAJ	VYBER	5300	51312	\N	\N	\N
959177	3268	1993-09-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
959187	3268	1993-10-05	PRIJEM	PREVOD Z UCTU	3420	4420	\N	GH	63548433
959188	3268	1993-11-05	PRIJEM	PREVOD Z UCTU	3420	7840	\N	GH	63548433
959189	3268	1993-12-05	PRIJEM	PREVOD Z UCTU	3420	11260	\N	GH	63548433
959190	3268	1994-01-05	PRIJEM	PREVOD Z UCTU	3420	14680	\N	GH	63548433
959191	3268	1994-02-05	PRIJEM	PREVOD Z UCTU	3420	18100	\N	GH	63548433
959192	3268	1994-03-05	PRIJEM	PREVOD Z UCTU	3420	19281	\N	GH	63548433
959193	3268	1994-04-05	PRIJEM	PREVOD Z UCTU	3420	20477	\N	GH	63548433
959194	3268	1994-05-05	PRIJEM	PREVOD Z UCTU	3420	21678	\N	GH	63548433
959195	3268	1994-06-05	PRIJEM	PREVOD Z UCTU	3420	21502	\N	GH	63548433
959196	3268	1994-07-05	PRIJEM	PREVOD Z UCTU	3420	20179	\N	GH	63548433
959197	3268	1994-08-05	PRIJEM	PREVOD Z UCTU	3420	21379	\N	GH	63548433
959198	3268	1994-09-05	PRIJEM	PREVOD Z UCTU	3420	22584	\N	GH	63548433
959199	3268	1994-10-05	PRIJEM	PREVOD Z UCTU	3420	23795	\N	GH	63548433
959200	3268	1994-11-05	PRIJEM	PREVOD Z UCTU	3420	22203	\N	GH	63548433
959201	3268	1994-12-05	PRIJEM	PREVOD Z UCTU	3420	23413	\N	GH	63548433
959202	3268	1995-01-05	PRIJEM	PREVOD Z UCTU	3420	21562	\N	GH	63548433
959203	3268	1995-02-05	PRIJEM	PREVOD Z UCTU	3420	17871	\N	GH	63548433
959204	3268	1995-03-05	PRIJEM	PREVOD Z UCTU	3420	18059	\N	GH	63548433
959205	3268	1995-04-05	PRIJEM	PREVOD Z UCTU	3420	17446	\N	GH	63548433
959206	3268	1995-05-05	PRIJEM	PREVOD Z UCTU	3420	18634	\N	GH	63548433
959207	3268	1995-06-05	PRIJEM	PREVOD Z UCTU	3420	18725	\N	GH	63548433
959208	3268	1995-07-05	PRIJEM	PREVOD Z UCTU	3420	18054	\N	GH	63548433
959209	3268	1995-08-05	PRIJEM	PREVOD Z UCTU	3420	16437	\N	GH	63548433
959210	3268	1995-09-05	PRIJEM	PREVOD Z UCTU	3420	16871	\N	GH	63548433
959211	3268	1995-10-05	PRIJEM	PREVOD Z UCTU	3420	16915	\N	GH	63548433
959212	3268	1995-11-05	PRIJEM	PREVOD Z UCTU	3420	15595	\N	GH	63548433
959213	3268	1995-12-05	PRIJEM	PREVOD Z UCTU	3420	14971	\N	GH	63548433
959600	3268	1996-11-30	VYDAJ	VYBER	15	16361	SLUZBY	\N	\N
959214	3268	1996-01-05	PRIJEM	PREVOD Z UCTU	3420	15848	\N	GH	63548433
959215	3268	1996-02-05	PRIJEM	PREVOD Z UCTU	3420	16458	\N	GH	63548433
959216	3268	1996-03-05	PRIJEM	PREVOD Z UCTU	3420	16853	\N	GH	63548433
959217	3268	1996-04-05	PRIJEM	PREVOD Z UCTU	3420	17236	\N	GH	63548433
959218	3268	1996-05-05	PRIJEM	PREVOD Z UCTU	3420	17942	\N	GH	63548433
959219	3268	1996-06-05	PRIJEM	PREVOD Z UCTU	3420	17226	\N	GH	63548433
959220	3268	1996-07-05	PRIJEM	PREVOD Z UCTU	3420	15404	\N	GH	63548433
959221	3268	1996-08-05	PRIJEM	PREVOD Z UCTU	3420	16584	\N	GH	63548433
959222	3268	1996-09-05	PRIJEM	PREVOD Z UCTU	3420	17437	\N	GH	63548433
959223	3268	1996-10-05	PRIJEM	PREVOD Z UCTU	3420	18264	\N	GH	63548433
959224	3268	1996-11-05	PRIJEM	PREVOD Z UCTU	3420	18587	\N	GH	63548433
959225	3268	1996-12-05	PRIJEM	PREVOD Z UCTU	3420	19781	\N	GH	63548433
959226	3268	1997-01-05	PRIJEM	PREVOD Z UCTU	3420	20558	\N	GH	63548433
959227	3268	1997-02-05	PRIJEM	PREVOD Z UCTU	3420	17249	\N	GH	63548433
959228	3268	1997-03-05	PRIJEM	PREVOD Z UCTU	3420	17503	\N	GH	63548433
959229	3268	1997-04-05	PRIJEM	PREVOD Z UCTU	3420	18691	\N	GH	63548433
959230	3268	1997-05-05	PRIJEM	PREVOD Z UCTU	3420	19102	\N	GH	63548433
959231	3268	1997-06-05	PRIJEM	PREVOD Z UCTU	3420	20297	\N	GH	63548433
959232	3268	1997-07-05	PRIJEM	PREVOD Z UCTU	3420	17506	\N	GH	63548433
959233	3268	1997-08-05	PRIJEM	PREVOD Z UCTU	3420	18694	\N	GH	63548433
959234	3268	1997-09-05	PRIJEM	PREVOD Z UCTU	3420	18806	\N	GH	63548433
959235	3268	1997-10-05	PRIJEM	PREVOD Z UCTU	3420	19999	\N	GH	63548433
959236	3268	1997-11-05	PRIJEM	PREVOD Z UCTU	3420	19995	\N	GH	63548433
959237	3268	1997-12-05	PRIJEM	PREVOD Z UCTU	3420	20623	\N	GH	63548433
959238	3268	1998-01-05	PRIJEM	PREVOD Z UCTU	3420	18251	\N	GH	63548433
959239	3268	1998-02-05	PRIJEM	PREVOD Z UCTU	3420	18119	\N	GH	63548433
959240	3268	1998-03-05	PRIJEM	PREVOD Z UCTU	3420	19309	\N	GH	63548433
959241	3268	1998-04-05	PRIJEM	PREVOD Z UCTU	3420	19543	\N	GH	63548433
959242	3268	1998-05-05	PRIJEM	PREVOD Z UCTU	3420	20741	\N	GH	63548433
959243	3268	1998-06-05	PRIJEM	PREVOD Z UCTU	3420	21581	\N	GH	63548433
959244	3268	1998-07-05	PRIJEM	PREVOD Z UCTU	3420	22787	\N	GH	63548433
959245	3268	1998-08-05	PRIJEM	PREVOD Z UCTU	3420	23997	\N	GH	63548433
959246	3268	1998-09-05	PRIJEM	PREVOD Z UCTU	3420	25211	\N	GH	63548433
959247	3268	1998-10-05	PRIJEM	PREVOD Z UCTU	3420	25919	\N	GH	63548433
959248	3268	1998-11-05	PRIJEM	PREVOD Z UCTU	3420	25698	\N	GH	63548433
959249	3268	1998-12-05	PRIJEM	PREVOD Z UCTU	3420	26108	\N	GH	63548433
959263	3268	1994-02-06	VYDAJ	PREVOD NA UCET	1395	16705	\N	OP	86191415
959264	3268	1994-03-06	VYDAJ	PREVOD NA UCET	1395	17886	\N	OP	86191415
959265	3268	1994-04-06	VYDAJ	PREVOD NA UCET	1395	19082	\N	OP	86191415
959266	3268	1994-05-06	VYDAJ	PREVOD NA UCET	1395	20283	\N	OP	86191415
959267	3268	1994-06-06	VYDAJ	PREVOD NA UCET	1395	20107	\N	OP	86191415
959268	3268	1994-07-06	VYDAJ	PREVOD NA UCET	1395	18784	\N	OP	86191415
959269	3268	1994-08-06	VYDAJ	PREVOD NA UCET	1395	19984	\N	OP	86191415
959270	3268	1994-09-06	VYDAJ	PREVOD NA UCET	1395	21189	\N	OP	86191415
959271	3268	1994-10-06	VYDAJ	PREVOD NA UCET	1395	22400	\N	OP	86191415
959272	3268	1994-11-06	VYDAJ	PREVOD NA UCET	1395	20808	\N	OP	86191415
959273	3268	1994-12-06	VYDAJ	PREVOD NA UCET	1395	22018	\N	OP	86191415
959274	3268	1995-01-06	VYDAJ	PREVOD NA UCET	1395	20167	\N	OP	86191415
959275	3268	1995-02-06	VYDAJ	PREVOD NA UCET	1395	16476	\N	OP	86191415
959276	3268	1995-03-06	VYDAJ	PREVOD NA UCET	1395	16664	\N	OP	86191415
959277	3268	1995-04-06	VYDAJ	PREVOD NA UCET	1395	16051	\N	OP	86191415
959278	3268	1995-05-06	VYDAJ	PREVOD NA UCET	1395	17239	\N	OP	86191415
959279	3268	1995-06-06	VYDAJ	PREVOD NA UCET	1395	17330	\N	OP	86191415
959280	3268	1995-07-06	VYDAJ	PREVOD NA UCET	1395	16659	\N	OP	86191415
959281	3268	1995-08-06	VYDAJ	PREVOD NA UCET	1395	15042	\N	OP	86191415
959282	3268	1995-09-06	VYDAJ	PREVOD NA UCET	1395	15476	\N	OP	86191415
959283	3268	1995-10-06	VYDAJ	PREVOD NA UCET	1395	15520	\N	OP	86191415
959284	3268	1995-11-06	VYDAJ	PREVOD NA UCET	1395	14200	\N	OP	86191415
959285	3268	1995-12-06	VYDAJ	PREVOD NA UCET	1395	13576	\N	OP	86191415
959286	3268	1996-01-06	VYDAJ	PREVOD NA UCET	1395	14213	\N	OP	86191415
959287	3268	1996-02-06	VYDAJ	PREVOD NA UCET	1395	15063	\N	OP	86191415
959288	3268	1996-03-06	VYDAJ	PREVOD NA UCET	1395	15458	\N	OP	86191415
959289	3268	1996-04-06	VYDAJ	PREVOD NA UCET	1395	15841	\N	OP	86191415
959290	3268	1996-05-06	VYDAJ	PREVOD NA UCET	1395	16547	\N	OP	86191415
959291	3268	1996-06-06	VYDAJ	PREVOD NA UCET	1395	15831	\N	OP	86191415
959292	3268	1996-07-06	VYDAJ	PREVOD NA UCET	1395	14009	\N	OP	86191415
959293	3268	1996-08-06	VYDAJ	PREVOD NA UCET	1395	15189	\N	OP	86191415
959294	3268	1996-09-06	VYDAJ	PREVOD NA UCET	1395	16042	\N	OP	86191415
959295	3268	1996-10-06	VYDAJ	PREVOD NA UCET	1395	16869	\N	OP	86191415
959296	3268	1996-11-06	VYDAJ	PREVOD NA UCET	1395	17192	\N	OP	86191415
959297	3268	1996-12-06	VYDAJ	PREVOD NA UCET	1395	18386	\N	OP	86191415
959298	3268	1997-01-06	VYDAJ	PREVOD NA UCET	1395	17963	\N	OP	86191415
959299	3268	1997-02-06	VYDAJ	PREVOD NA UCET	1395	15854	\N	OP	86191415
959300	3268	1997-03-06	VYDAJ	PREVOD NA UCET	1395	16108	\N	OP	86191415
959301	3268	1997-04-06	VYDAJ	PREVOD NA UCET	1395	17296	\N	OP	86191415
959302	3268	1997-05-06	VYDAJ	PREVOD NA UCET	1395	17707	\N	OP	86191415
959303	3268	1997-06-06	VYDAJ	PREVOD NA UCET	1395	18902	\N	OP	86191415
959304	3268	1997-07-06	VYDAJ	PREVOD NA UCET	1395	16111	\N	OP	86191415
959305	3268	1997-08-06	VYDAJ	PREVOD NA UCET	1395	17299	\N	OP	86191415
959306	3268	1997-09-06	VYDAJ	PREVOD NA UCET	1395	17411	\N	OP	86191415
959307	3268	1997-10-06	VYDAJ	PREVOD NA UCET	1395	18604	\N	OP	86191415
959308	3268	1997-11-06	VYDAJ	PREVOD NA UCET	1395	18600	\N	OP	86191415
959309	3268	1997-12-06	VYDAJ	PREVOD NA UCET	1395	19228	\N	OP	86191415
959310	3268	1998-01-06	VYDAJ	PREVOD NA UCET	1395	16076	\N	OP	86191415
959311	3268	1998-02-06	VYDAJ	PREVOD NA UCET	1395	16724	\N	OP	86191415
959312	3268	1998-03-06	VYDAJ	PREVOD NA UCET	1395	17914	\N	OP	86191415
959313	3268	1998-04-06	VYDAJ	PREVOD NA UCET	1395	18148	\N	OP	86191415
959314	3268	1998-05-06	VYDAJ	PREVOD NA UCET	1395	19346	\N	OP	86191415
959315	3268	1998-06-06	VYDAJ	PREVOD NA UCET	1395	20186	\N	OP	86191415
959316	3268	1998-07-06	VYDAJ	PREVOD NA UCET	1395	21392	\N	OP	86191415
959317	3268	1998-08-06	VYDAJ	PREVOD NA UCET	1395	22602	\N	OP	86191415
959318	3268	1998-09-06	VYDAJ	PREVOD NA UCET	1395	23816	\N	OP	86191415
959319	3268	1998-10-06	VYDAJ	PREVOD NA UCET	1395	24524	\N	OP	86191415
959320	3268	1998-11-06	VYDAJ	PREVOD NA UCET	1395	24303	\N	OP	86191415
959321	3268	1998-12-06	VYDAJ	PREVOD NA UCET	1395	24713	\N	OP	86191415
959335	3268	1994-02-11	VYDAJ	PREVOD NA UCET	634	16071	\N	WX	36828112
959336	3268	1994-03-11	VYDAJ	PREVOD NA UCET	634	17252	\N	WX	36828112
959337	3268	1994-04-11	VYDAJ	PREVOD NA UCET	634	18197	\N	WX	36828112
959338	3268	1994-05-11	VYDAJ	PREVOD NA UCET	634	19649	\N	WX	36828112
959339	3268	1994-06-11	VYDAJ	PREVOD NA UCET	634	16953	\N	WX	36828112
959340	3268	1994-07-11	VYDAJ	PREVOD NA UCET	634	17899	\N	WX	36828112
959341	3268	1994-08-11	VYDAJ	PREVOD NA UCET	634	19350	\N	WX	36828112
959342	3268	1994-09-11	VYDAJ	PREVOD NA UCET	634	20555	\N	WX	36828112
959343	3268	1994-10-11	VYDAJ	PREVOD NA UCET	634	21766	\N	WX	36828112
959344	3268	1994-11-11	VYDAJ	PREVOD NA UCET	634	19923	\N	WX	36828112
959345	3268	1994-12-11	VYDAJ	PREVOD NA UCET	634	21024	\N	WX	36828112
959346	3268	1995-01-11	VYDAJ	PREVOD NA UCET	634	18663	\N	WX	36828112
959347	3268	1995-02-11	VYDAJ	PREVOD NA UCET	634	15591	\N	WX	36828112
959348	3268	1995-03-11	VYDAJ	PREVOD NA UCET	634	16030	\N	WX	36828112
959349	3268	1995-04-11	VYDAJ	PREVOD NA UCET	634	15166	\N	WX	36828112
959350	3268	1995-05-11	VYDAJ	PREVOD NA UCET	634	16354	\N	WX	36828112
959351	3268	1995-06-11	VYDAJ	PREVOD NA UCET	634	16445	\N	WX	36828112
959352	3268	1995-07-11	VYDAJ	PREVOD NA UCET	634	16025	\N	WX	36828112
959353	3268	1995-08-11	VYDAJ	PREVOD NA UCET	634	14157	\N	WX	36828112
959354	3268	1995-09-11	VYDAJ	PREVOD NA UCET	634	13451	\N	WX	36828112
959355	3268	1995-10-11	VYDAJ	PREVOD NA UCET	634	12135	\N	WX	36828112
959356	3268	1995-11-11	VYDAJ	PREVOD NA UCET	634	11766	\N	WX	36828112
959357	3268	1995-12-11	VYDAJ	PREVOD NA UCET	634	12642	\N	WX	36828112
959358	3268	1996-01-11	VYDAJ	PREVOD NA UCET	634	13249	\N	WX	36828112
959359	3268	1996-02-11	VYDAJ	PREVOD NA UCET	634	14078	\N	WX	36828112
959360	3268	1996-03-11	VYDAJ	PREVOD NA UCET	634	13773	\N	WX	36828112
959361	3268	1996-04-11	VYDAJ	PREVOD NA UCET	634	14956	\N	WX	36828112
959362	3268	1996-05-11	VYDAJ	PREVOD NA UCET	634	13762	\N	WX	36828112
959363	3268	1996-06-11	VYDAJ	PREVOD NA UCET	634	12197	\N	WX	36828112
959364	3268	1996-07-11	VYDAJ	PREVOD NA UCET	634	13375	\N	WX	36828112
959365	3268	1996-08-11	VYDAJ	PREVOD NA UCET	634	14555	\N	WX	36828112
959366	3268	1996-09-11	VYDAJ	PREVOD NA UCET	634	15408	\N	WX	36828112
959367	3268	1996-10-11	VYDAJ	PREVOD NA UCET	634	15984	\N	WX	36828112
959368	3268	1996-11-11	VYDAJ	PREVOD NA UCET	634	16307	\N	WX	36828112
959369	3268	1996-12-11	VYDAJ	PREVOD NA UCET	634	17752	\N	WX	36828112
959370	3268	1997-01-11	VYDAJ	PREVOD NA UCET	634	17329	\N	WX	36828112
959371	3268	1997-02-11	VYDAJ	PREVOD NA UCET	634	14039	\N	WX	36828112
959372	3268	1997-03-11	VYDAJ	PREVOD NA UCET	634	15223	\N	WX	36828112
959373	3268	1997-04-11	VYDAJ	PREVOD NA UCET	634	16662	\N	WX	36828112
959374	3268	1997-05-11	VYDAJ	PREVOD NA UCET	634	16822	\N	WX	36828112
959375	3268	1997-06-11	VYDAJ	PREVOD NA UCET	634	18268	\N	WX	36828112
959376	3268	1997-07-11	VYDAJ	PREVOD NA UCET	634	15226	\N	WX	36828112
959377	3268	1997-08-11	VYDAJ	PREVOD NA UCET	634	16665	\N	WX	36828112
959378	3268	1997-09-11	VYDAJ	PREVOD NA UCET	634	16777	\N	WX	36828112
959379	3268	1997-10-11	VYDAJ	PREVOD NA UCET	634	16519	\N	WX	36828112
959380	3268	1997-11-11	VYDAJ	PREVOD NA UCET	634	17715	\N	WX	36828112
959381	3268	1997-12-11	VYDAJ	PREVOD NA UCET	634	18343	\N	WX	36828112
959382	3268	1998-01-11	VYDAJ	PREVOD NA UCET	634	15191	\N	WX	36828112
959383	3268	1998-02-11	VYDAJ	PREVOD NA UCET	634	16090	\N	WX	36828112
959384	3268	1998-03-11	VYDAJ	PREVOD NA UCET	634	17029	\N	WX	36828112
959385	3268	1998-04-11	VYDAJ	PREVOD NA UCET	634	17263	\N	WX	36828112
959386	3268	1998-05-11	VYDAJ	PREVOD NA UCET	634	18461	\N	WX	36828112
959387	3268	1998-06-11	VYDAJ	PREVOD NA UCET	634	19301	\N	WX	36828112
959388	3268	1998-07-11	VYDAJ	PREVOD NA UCET	634	20758	\N	WX	36828112
959389	3268	1998-08-11	VYDAJ	PREVOD NA UCET	634	21717	\N	WX	36828112
959390	3268	1998-09-11	VYDAJ	PREVOD NA UCET	634	22931	\N	WX	36828112
959391	3268	1998-10-11	VYDAJ	PREVOD NA UCET	634	23890	\N	WX	36828112
959392	3268	1998-11-11	VYDAJ	PREVOD NA UCET	634	23418	\N	WX	36828112
959393	3268	1998-12-11	VYDAJ	PREVOD NA UCET	634	23828	\N	WX	36828112
959407	3268	1994-02-11	VYDAJ	PREVOD NA UCET	251	15820	\N	GH	1312548
959408	3268	1994-03-11	VYDAJ	PREVOD NA UCET	251	17001	\N	GH	1312548
959409	3268	1994-04-11	VYDAJ	PREVOD NA UCET	251	18831	\N	GH	1312548
959410	3268	1994-05-11	VYDAJ	PREVOD NA UCET	251	19398	\N	GH	1312548
959411	3268	1994-06-11	VYDAJ	PREVOD NA UCET	251	16702	\N	GH	1312548
959412	3268	1994-07-11	VYDAJ	PREVOD NA UCET	251	18533	\N	GH	1312548
959413	3268	1994-08-11	VYDAJ	PREVOD NA UCET	251	19099	\N	GH	1312548
959414	3268	1994-09-11	VYDAJ	PREVOD NA UCET	251	20304	\N	GH	1312548
959415	3268	1994-10-11	VYDAJ	PREVOD NA UCET	251	21515	\N	GH	1312548
959416	3268	1994-11-11	VYDAJ	PREVOD NA UCET	251	20557	\N	GH	1312548
959417	3268	1994-12-11	VYDAJ	PREVOD NA UCET	251	20773	\N	GH	1312548
959418	3268	1995-01-11	VYDAJ	PREVOD NA UCET	251	18412	\N	GH	1312548
959419	3268	1995-02-11	VYDAJ	PREVOD NA UCET	251	16225	\N	GH	1312548
959420	3268	1995-03-11	VYDAJ	PREVOD NA UCET	251	15029	\N	GH	1312548
959421	3268	1995-04-11	VYDAJ	PREVOD NA UCET	251	15800	\N	GH	1312548
959422	3268	1995-05-11	VYDAJ	PREVOD NA UCET	251	16988	\N	GH	1312548
959423	3268	1995-06-11	VYDAJ	PREVOD NA UCET	251	17079	\N	GH	1312548
959424	3268	1995-07-11	VYDAJ	PREVOD NA UCET	251	15774	\N	GH	1312548
959425	3268	1995-08-11	VYDAJ	PREVOD NA UCET	251	14791	\N	GH	1312548
959426	3268	1995-09-11	VYDAJ	PREVOD NA UCET	251	14085	\N	GH	1312548
959427	3268	1995-10-11	VYDAJ	PREVOD NA UCET	251	12769	\N	GH	1312548
959428	3268	1995-11-11	VYDAJ	PREVOD NA UCET	251	11515	\N	GH	1312548
959429	3268	1995-12-11	VYDAJ	PREVOD NA UCET	251	12391	\N	GH	1312548
959430	3268	1996-01-11	VYDAJ	PREVOD NA UCET	251	12998	\N	GH	1312548
959431	3268	1996-02-11	VYDAJ	PREVOD NA UCET	251	14712	\N	GH	1312548
959432	3268	1996-03-11	VYDAJ	PREVOD NA UCET	251	14407	\N	GH	1312548
959433	3268	1996-04-11	VYDAJ	PREVOD NA UCET	251	15590	\N	GH	1312548
959434	3268	1996-05-11	VYDAJ	PREVOD NA UCET	251	14396	\N	GH	1312548
959435	3268	1996-06-11	VYDAJ	PREVOD NA UCET	251	11946	\N	GH	1312548
959436	3268	1996-07-11	VYDAJ	PREVOD NA UCET	251	13124	\N	GH	1312548
959437	3268	1996-08-11	VYDAJ	PREVOD NA UCET	251	14304	\N	GH	1312548
959438	3268	1996-09-11	VYDAJ	PREVOD NA UCET	251	15157	\N	GH	1312548
959439	3268	1996-10-11	VYDAJ	PREVOD NA UCET	251	16618	\N	GH	1312548
959440	3268	1996-11-11	VYDAJ	PREVOD NA UCET	251	16941	\N	GH	1312548
959441	3268	1996-12-11	VYDAJ	PREVOD NA UCET	251	17501	\N	GH	1312548
959442	3268	1997-01-11	VYDAJ	PREVOD NA UCET	251	17078	\N	GH	1312548
959443	3268	1997-02-11	VYDAJ	PREVOD NA UCET	251	14673	\N	GH	1312548
959444	3268	1997-03-11	VYDAJ	PREVOD NA UCET	251	15857	\N	GH	1312548
959445	3268	1997-04-11	VYDAJ	PREVOD NA UCET	251	16411	\N	GH	1312548
959446	3268	1997-05-11	VYDAJ	PREVOD NA UCET	251	17456	\N	GH	1312548
959447	3268	1997-06-11	VYDAJ	PREVOD NA UCET	251	18017	\N	GH	1312548
959448	3268	1997-07-11	VYDAJ	PREVOD NA UCET	251	15860	\N	GH	1312548
959449	3268	1997-08-11	VYDAJ	PREVOD NA UCET	251	16414	\N	GH	1312548
959450	3268	1997-09-11	VYDAJ	PREVOD NA UCET	251	16526	\N	GH	1312548
959451	3268	1997-10-11	VYDAJ	PREVOD NA UCET	251	17153	\N	GH	1312548
959452	3268	1997-11-11	VYDAJ	PREVOD NA UCET	251	18349	\N	GH	1312548
959453	3268	1997-12-11	VYDAJ	PREVOD NA UCET	251	18977	\N	GH	1312548
959454	3268	1998-01-11	VYDAJ	PREVOD NA UCET	251	15825	\N	GH	1312548
959455	3268	1998-02-11	VYDAJ	PREVOD NA UCET	251	15839	\N	GH	1312548
959456	3268	1998-03-11	VYDAJ	PREVOD NA UCET	251	17663	\N	GH	1312548
959457	3268	1998-04-11	VYDAJ	PREVOD NA UCET	251	17897	\N	GH	1312548
959458	3268	1998-05-11	VYDAJ	PREVOD NA UCET	251	19095	\N	GH	1312548
959459	3268	1998-06-11	VYDAJ	PREVOD NA UCET	251	19935	\N	GH	1312548
959460	3268	1998-07-11	VYDAJ	PREVOD NA UCET	251	20507	\N	GH	1312548
959461	3268	1998-08-11	VYDAJ	PREVOD NA UCET	251	22351	\N	GH	1312548
959462	3268	1998-09-11	VYDAJ	PREVOD NA UCET	251	23565	\N	GH	1312548
959463	3268	1998-10-11	VYDAJ	PREVOD NA UCET	251	23639	\N	GH	1312548
959464	3268	1998-11-11	VYDAJ	PREVOD NA UCET	251	24052	\N	GH	1312548
959465	3268	1998-12-11	VYDAJ	PREVOD NA UCET	251	24462	\N	GH	1312548
959467	3268	1994-06-08	VYDAJ	VYBER	2520	17587	\N	\N	\N
959470	3268	1997-06-11	VYDAJ	VYBER	3990	14027	\N	\N	\N
959474	3268	1995-01-25	VYDAJ	VYBER	1260	15052	\N	\N	\N
959476	3268	1997-01-19	VYDAJ	VYBER	1110	14888	\N	\N	\N
959477	3268	1998-01-04	VYDAJ	VYBER	1620	15011	\N	\N	\N
959479	3268	1994-12-06	VYDAJ	VYBER	360	21658	\N	\N	\N
959480	3268	1995-12-08	VYDAJ	VYBER	300	13276	\N	\N	\N
959481	3268	1996-12-11	VYDAJ	VYBER	420	17081	\N	\N	\N
959482	3268	1997-12-02	VYDAJ	VYBER	570	17203	\N	\N	\N
959483	3268	1998-12-30	VYDAJ	VYBER	720	23108	\N	\N	\N
959496	3268	1995-01-04	VYDAJ	VYBER	510	18142	\N	\N	\N
959497	3268	1995-01-24	VYDAJ	VYBER	780	16312	\N	\N	\N
959498	3268	1995-01-10	VYDAJ	VYBER	870	19297	\N	\N	\N
959499	3268	1995-01-30	VYDAJ	VYBER	450	14392	\N	\N	\N
959500	3268	1995-01-29	VYDAJ	VYBER	210	14842	\N	\N	\N
959501	3268	1995-01-24	VYDAJ	VYBER	810	17092	\N	\N	\N
959502	3268	1996-01-10	VYDAJ	VYBER	330	13883	\N	\N	\N
959505	3268	1996-01-05	VYDAJ	VYBER	240	15608	\N	\N	\N
959508	3268	1997-01-06	VYDAJ	VYBER	600	19358	\N	\N	\N
959509	3268	1997-01-06	VYDAJ	VYBER	600	19958	\N	\N	\N
959510	3268	1997-01-16	VYDAJ	VYBER	480	15998	\N	\N	\N
959511	3268	1997-01-14	VYDAJ	VYBER	600	16478	\N	\N	\N
959512	3268	1997-01-20	VYDAJ	VYBER	780	14108	\N	\N	\N
959513	3268	1997-01-21	VYDAJ	VYBER	330	13778	\N	\N	\N
959514	3268	1998-01-22	VYDAJ	VYBER	180	14651	\N	\N	\N
959515	3268	1998-01-03	VYDAJ	VYBER	480	16631	\N	\N	\N
959517	3268	1998-01-17	VYDAJ	VYBER	360	14831	\N	\N	\N
959519	3268	1998-01-04	VYDAJ	VYBER	180	14831	\N	\N	\N
959523	3268	1994-12-23	VYDAJ	VYBER	510	18583	\N	\N	\N
959524	3268	1994-05-18	VYDAJ	VYBER	1380	18018	\N	\N	\N
959525	3268	1994-12-17	VYDAJ	VYBER	390	20383	\N	\N	\N
959526	3268	1994-12-20	VYDAJ	VYBER	1290	19093	\N	\N	\N
959527	3268	1995-08-30	VYDAJ	VYBER	750	13407	\N	\N	\N
959528	3268	1995-03-11	VYDAJ	VYBER	750	15280	\N	\N	\N
959529	3268	1995-03-17	VYDAJ	VYBER	1050	13979	\N	\N	\N
959530	3268	1995-06-14	VYDAJ	VYBER	1260	14585	\N	\N	\N
959531	3268	1995-09-09	VYDAJ	VYBER	1140	14336	\N	\N	\N
959533	3268	1995-01-18	VYDAJ	VYBER	510	17902	\N	\N	\N
959534	3268	1996-02-28	VYDAJ	VYBER	690	13388	\N	\N	\N
959535	3268	1996-04-19	VYDAJ	VYBER	480	14476	\N	\N	\N
959536	3268	1996-10-30	VYDAJ	VYBER	870	15114	\N	\N	\N
959538	3268	1996-09-12	VYDAJ	VYBER	360	14797	\N	\N	\N
959539	3268	1996-08-14	VYDAJ	VYBER	330	13974	\N	\N	\N
959540	3268	1997-04-20	VYDAJ	VYBER	300	16111	\N	\N	\N
959541	3268	1997-04-23	VYDAJ	VYBER	480	15631	\N	\N	\N
959542	3268	1997-12-15	VYDAJ	VYBER	1290	17053	\N	\N	\N
959543	3268	1997-02-06	VYDAJ	VYBER	930	14924	\N	\N	\N
959544	3268	1997-10-07	VYDAJ	VYBER	1200	17404	\N	\N	\N
959545	3268	1997-08-28	VYDAJ	VYBER	1080	15334	\N	\N	\N
959546	3268	1998-03-22	VYDAJ	VYBER	420	16609	\N	\N	\N
959547	3268	1998-09-17	VYDAJ	VYBER	510	22421	\N	\N	\N
959548	3268	1998-01-05	VYDAJ	VYBER	780	17471	\N	\N	\N
959549	3268	1998-11-30	VYDAJ	VYBER	810	22703	\N	\N	\N
959550	3268	1998-04-01	VYDAJ	VYBER	540	16123	\N	\N	\N
959551	3268	1998-10-12	VYDAJ	VYBER	1440	22199	\N	\N	\N
959552	3268	1998-05-20	VYDAJ	VYBER	360	18101	\N	\N	\N
959567	3268	1994-02-28	VYDAJ	VYBER	15	15861	SLUZBY	\N	\N
959568	3268	1994-03-31	VYDAJ	VYBER	15	17057	SLUZBY	\N	\N
959569	3268	1994-04-30	VYDAJ	VYBER	15	18258	SLUZBY	\N	\N
959570	3268	1994-05-31	VYDAJ	VYBER	15	18082	SLUZBY	\N	\N
959571	3268	1994-06-30	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
959572	3268	1994-07-31	VYDAJ	VYBER	15	17959	SLUZBY	\N	\N
959573	3268	1994-08-31	VYDAJ	VYBER	15	19164	SLUZBY	\N	\N
959574	3268	1994-09-30	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
959575	3268	1994-10-31	VYDAJ	VYBER	15	18783	SLUZBY	\N	\N
959576	3268	1994-11-30	VYDAJ	VYBER	15	19993	SLUZBY	\N	\N
959577	3268	1994-12-31	VYDAJ	VYBER	15	18652	SLUZBY	\N	\N
959578	3268	1995-01-31	VYDAJ	VYBER	15	14451	SLUZBY	\N	\N
959579	3268	1995-02-28	VYDAJ	VYBER	15	14639	SLUZBY	\N	\N
959580	3268	1995-03-31	VYDAJ	VYBER	15	14026	SLUZBY	\N	\N
959581	3268	1995-04-30	VYDAJ	VYBER	15	15214	SLUZBY	\N	\N
959582	3268	1995-05-31	VYDAJ	VYBER	15	15305	SLUZBY	\N	\N
959583	3268	1995-06-30	VYDAJ	VYBER	15	14634	SLUZBY	\N	\N
959584	3268	1995-07-31	VYDAJ	VYBER	15	13017	SLUZBY	\N	\N
959585	3268	1995-08-31	VYDAJ	VYBER	15	13451	SLUZBY	\N	\N
959586	3268	1995-09-30	VYDAJ	VYBER	15	13495	SLUZBY	\N	\N
959587	3268	1995-10-31	VYDAJ	VYBER	15	12175	SLUZBY	\N	\N
959588	3268	1995-11-30	VYDAJ	VYBER	15	11551	SLUZBY	\N	\N
959589	3268	1995-12-31	VYDAJ	VYBER	15	12428	SLUZBY	\N	\N
959590	3268	1996-01-31	VYDAJ	VYBER	15	13038	SLUZBY	\N	\N
959591	3268	1996-02-29	VYDAJ	VYBER	15	13433	SLUZBY	\N	\N
959592	3268	1996-03-31	VYDAJ	VYBER	15	13816	SLUZBY	\N	\N
959593	3268	1996-04-30	VYDAJ	VYBER	15	14522	SLUZBY	\N	\N
959594	3268	1996-05-31	VYDAJ	VYBER	15	13806	SLUZBY	\N	\N
959595	3268	1996-06-30	VYDAJ	VYBER	15	11984	SLUZBY	\N	\N
959596	3268	1996-07-31	VYDAJ	VYBER	15	13164	SLUZBY	\N	\N
959597	3268	1996-08-31	VYDAJ	VYBER	15	14017	SLUZBY	\N	\N
959598	3268	1996-09-30	VYDAJ	VYBER	15	14844	SLUZBY	\N	\N
959599	3268	1996-10-31	VYDAJ	VYBER	15	15167	SLUZBY	\N	\N
959601	3268	1996-12-31	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
959602	3268	1997-01-31	VYDAJ	VYBER	15	13829	SLUZBY	\N	\N
959603	3268	1997-02-28	VYDAJ	VYBER	15	14083	SLUZBY	\N	\N
959604	3268	1997-03-31	VYDAJ	VYBER	15	15271	SLUZBY	\N	\N
959605	3268	1997-04-30	VYDAJ	VYBER	15	15682	SLUZBY	\N	\N
959606	3268	1997-05-31	VYDAJ	VYBER	15	16877	SLUZBY	\N	\N
959607	3268	1997-06-30	VYDAJ	VYBER	15	14086	SLUZBY	\N	\N
959608	3268	1997-07-31	VYDAJ	VYBER	15	15274	SLUZBY	\N	\N
959609	3268	1997-08-31	VYDAJ	VYBER	15	15386	SLUZBY	\N	\N
959610	3268	1997-09-30	VYDAJ	VYBER	15	16579	SLUZBY	\N	\N
959611	3268	1997-10-31	VYDAJ	VYBER	15	16575	SLUZBY	\N	\N
959612	3268	1997-11-30	VYDAJ	VYBER	15	17773	SLUZBY	\N	\N
959613	3268	1997-12-31	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
959614	3268	1998-01-31	VYDAJ	VYBER	15	14699	SLUZBY	\N	\N
959615	3268	1998-02-28	VYDAJ	VYBER	15	15889	SLUZBY	\N	\N
959616	3268	1998-03-31	VYDAJ	VYBER	15	16663	SLUZBY	\N	\N
959617	3268	1998-04-30	VYDAJ	VYBER	15	17321	SLUZBY	\N	\N
959618	3268	1998-05-31	VYDAJ	VYBER	15	18161	SLUZBY	\N	\N
959619	3268	1998-06-30	VYDAJ	VYBER	15	19367	SLUZBY	\N	\N
959620	3268	1998-07-31	VYDAJ	VYBER	15	20577	SLUZBY	\N	\N
959621	3268	1998-08-31	VYDAJ	VYBER	15	21791	SLUZBY	\N	\N
959622	3268	1998-09-30	VYDAJ	VYBER	15	22499	SLUZBY	\N	\N
959623	3268	1998-10-31	VYDAJ	VYBER	15	22278	SLUZBY	\N	\N
959624	3268	1998-11-30	VYDAJ	VYBER	15	22688	SLUZBY	\N	\N
959625	3268	1994-10-15	VYDAJ	VYBER	2800	18715	\N	\N	\N
959626	3268	1995-02-12	VYDAJ	VYBER	1000	14591	\N	\N	\N
959627	3268	1995-05-13	VYDAJ	VYBER	1100	15254	\N	\N	\N
959628	3268	1995-06-12	VYDAJ	VYBER	600	15845	\N	\N	\N
959629	3268	1995-07-12	VYDAJ	VYBER	2800	12974	\N	\N	\N
959630	3268	1995-10-10	VYDAJ	VYBER	2500	13020	\N	\N	\N
959631	3268	1995-11-09	VYDAJ	VYBER	1800	12400	\N	\N	\N
959632	3268	1996-02-07	VYDAJ	VYBER	100	14963	\N	\N	\N
959633	3268	1996-03-08	VYDAJ	VYBER	800	14658	\N	\N	\N
959634	3268	1996-05-07	VYDAJ	VYBER	1900	14647	\N	\N	\N
959635	3268	1996-06-06	VYDAJ	VYBER	3000	12831	\N	\N	\N
959695	3269	1995-09-03	PRIJEM	VKLAD	600	600	\N	\N	\N
959696	3269	1995-09-12	PRIJEM	VKLAD	47792	48392	\N	\N	\N
959699	3269	1995-09-28	PRIJEM	VKLAD	37353	85745	\N	\N	\N
959707	3269	1996-11-26	PRIJEM	VKLAD	46079	61685	\N	\N	\N
959708	3269	1996-09-13	PRIJEM	VKLAD	40869	92834	\N	\N	\N
959709	3269	1996-05-17	PRIJEM	VKLAD	35388	96203	\N	\N	\N
959710	3269	1996-05-02	PRIJEM	VKLAD	21232	60815	\N	\N	\N
959711	3269	1996-08-12	PRIJEM	VKLAD	7827	55438	\N	\N	\N
959712	3269	1996-06-28	PRIJEM	VKLAD	35729	50124	\N	\N	\N
959713	3269	1996-12-29	PRIJEM	VKLAD	26260	85556	\N	\N	\N
959714	3269	1996-08-22	PRIJEM	VKLAD	48283	103721	\N	\N	\N
959715	3269	1996-11-06	PRIJEM	VKLAD	19127	59711	\N	\N	\N
959716	3269	1996-11-27	PRIJEM	VKLAD	27961	81246	\N	\N	\N
959717	3269	1996-06-05	PRIJEM	VKLAD	6138	76195	\N	\N	\N
959718	3269	1996-08-26	PRIJEM	VKLAD	45296	138374	\N	\N	\N
959719	3269	1996-02-04	PRIJEM	VKLAD	20235	53545	\N	\N	\N
959720	3269	1997-10-17	PRIJEM	VKLAD	18482	68929	\N	\N	\N
959721	3269	1997-04-25	PRIJEM	VKLAD	40404	126816	\N	\N	\N
959722	3269	1997-07-06	PRIJEM	VKLAD	23567	68608	\N	\N	\N
959723	3269	1997-07-10	PRIJEM	VKLAD	37323	105931	\N	\N	\N
959724	3269	1997-03-13	PRIJEM	VKLAD	6225	70915	\N	\N	\N
959725	3269	1997-12-12	PRIJEM	VKLAD	19780	65114	\N	\N	\N
959726	3269	1997-05-31	PRIJEM	VKLAD	15183	66814	\N	\N	\N
959727	3269	1997-04-18	PRIJEM	VKLAD	26947	86412	\N	\N	\N
959728	3269	1997-02-05	PRIJEM	VKLAD	48587	80747	\N	\N	\N
959729	3269	1998-03-02	PRIJEM	VKLAD	32455	103202	\N	\N	\N
959730	3269	1998-01-21	PRIJEM	VKLAD	19581	68512	\N	\N	\N
959731	3269	1998-01-07	PRIJEM	VKLAD	13238	59827	\N	\N	\N
959732	3269	1998-09-09	PRIJEM	VKLAD	19354	127911	\N	\N	\N
959733	3269	1998-07-28	PRIJEM	VKLAD	35743	103576	\N	\N	\N
959734	3269	1998-06-21	PRIJEM	VKLAD	37797	98735	\N	\N	\N
959735	3269	1998-07-31	PRIJEM	VKLAD	29750	133326	\N	\N	\N
959736	3269	1998-03-23	PRIJEM	VKLAD	11038	79571	\N	\N	\N
959737	3269	1998-07-19	PRIJEM	VKLAD	33537	129233	\N	\N	\N
959738	3269	1998-09-01	PRIJEM	VKLAD	41713	99704	\N	\N	\N
959739	3269	1998-01-31	PRIJEM	VKLAD	8962	61574	\N	\N	\N
959740	3269	1998-05-17	PRIJEM	VKLAD	39672	122968	\N	\N	\N
959741	3269	1998-06-18	PRIJEM	VKLAD	27791	55164	\N	\N	\N
959742	3269	1998-12-21	PRIJEM	VKLAD	48928	74773	\N	\N	\N
959743	3269	1998-06-20	PRIJEM	VKLAD	19274	60938	\N	\N	\N
959744	3269	1998-08-07	PRIJEM	VKLAD	45864	122377	\N	\N	\N
959745	3269	1998-06-14	PRIJEM	VKLAD	23976	40573	\N	\N	\N
959746	3269	1998-08-08	PRIJEM	VKLAD	18683	104860	\N	\N	\N
959747	3269	1998-09-07	PRIJEM	VKLAD	8853	108557	\N	\N	\N
959748	3269	1998-07-01	PRIJEM	VKLAD	13113	97991	\N	\N	\N
959749	3269	1998-11-30	PRIJEM	VKLAD	8580	32959	\N	\N	\N
959750	3269	1998-03-02	PRIJEM	VKLAD	9360	70747	\N	\N	\N
959751	3269	1998-03-18	PRIJEM	VKLAD	8131	103833	\N	\N	\N
959752	3269	1998-04-24	PRIJEM	VKLAD	35309	82994	\N	\N	\N
959753	3269	1998-01-09	PRIJEM	VKLAD	16604	76431	\N	\N	\N
959754	3269	1998-03-01	PRIJEM	VKLAD	20980	66487	\N	\N	\N
959755	3269	1998-07-12	PRIJEM	VKLAD	17305	115296	\N	\N	\N
959756	3269	1998-06-03	PRIJEM	VKLAD	24230	78097	\N	\N	\N
959815	3269	1996-08-24	VYBER	VYBER	10643	93078	\N	\N	\N
959816	3269	1996-11-11	VYBER	VYBER	15840	29171	\N	\N	\N
959817	3269	1996-09-17	VYBER	VYBER	11428	71565	\N	\N	\N
959819	3269	1996-08-28	VYBER	VYBER	16032	58242	\N	\N	\N
959821	3269	1996-09-14	VYBER	VYBER	9841	82993	\N	\N	\N
959822	3269	1996-09-23	VYBER	VYBER	9636	61929	\N	\N	\N
959823	3269	1996-10-27	VYBER	VYBER	10785	40381	\N	\N	\N
959824	3269	1996-11-21	VYBER	VYBER	13565	15606	\N	\N	\N
959826	3269	1997-01-21	VYBER	VYBER	13007	33547	\N	\N	\N
959827	3269	1997-08-11	VYBER	VYBER	14470	60882	\N	\N	\N
959828	3269	1998-08-18	VYBER	VYBER	11289	93571	\N	\N	\N
959829	3269	1998-02-12	VYBER	VYBER	6901	54890	\N	\N	\N
959830	3269	1998-10-18	VYBER	VYBER	5268	35242	\N	\N	\N
959832	3269	1996-06-20	VYDAJ	VYBER	61800	14395	\N	\N	\N
959834	3269	1998-06-13	VYDAJ	VYBER	61500	16597	\N	\N	\N
959836	3269	1996-12-15	VYDAJ	VYBER	6000	68796	\N	\N	\N
959837	3269	1997-12-22	VYDAJ	VYBER	3300	46414	\N	\N	\N
959838	3269	1998-12-12	VYDAJ	VYBER KARTOU	1800	31145	\N	\N	0
959851	3269	1997-01-03	VYDAJ	VYBER	6000	79854	\N	\N	\N
959852	3269	1997-01-10	VYDAJ	VYBER	8400	57954	\N	\N	\N
959853	3269	1997-01-20	VYDAJ	VYBER	4200	46554	\N	\N	\N
959854	3269	1997-01-08	VYDAJ	VYBER	8700	71154	\N	\N	\N
959855	3269	1997-01-11	VYDAJ	VYBER	7200	50754	\N	\N	\N
959856	3269	1997-01-09	VYDAJ	VYBER	4800	66354	\N	\N	\N
959857	3269	1998-01-13	VYDAJ	VYBER	4500	57831	\N	\N	\N
959858	3269	1998-01-21	VYDAJ	VYBER	5100	63412	\N	\N	\N
959859	3269	1998-01-10	VYDAJ	VYBER	7800	62331	\N	\N	\N
959860	3269	1998-01-23	VYDAJ	VYBER	5100	58312	\N	\N	\N
959861	3269	1998-01-10	VYDAJ	VYBER	6300	70131	\N	\N	\N
959862	3269	1998-01-25	VYDAJ	VYBER	5700	52612	\N	\N	\N
959867	3269	1996-10-11	VYDAJ	VYBER	3900	50566	\N	\N	\N
959868	3269	1996-11-06	VYDAJ	VYBER	14700	45011	\N	\N	\N
959869	3269	1996-12-04	VYDAJ	VYBER	6600	74796	\N	\N	\N
959870	3269	1997-06-21	VYDAJ	VYBER	12900	53900	\N	\N	\N
959871	3269	1997-01-28	VYDAJ	VYBER	11700	31947	\N	\N	\N
959872	3269	1997-08-03	VYDAJ	VYBER	1500	75352	\N	\N	\N
959873	3269	1997-11-13	VYDAJ	VYBER	2700	53331	\N	\N	\N
959874	3269	1997-09-20	VYDAJ	VYBER	3000	53236	\N	\N	\N
959875	3269	1998-03-01	VYDAJ	VYBER	5100	61387	\N	\N	\N
959876	3269	1998-06-17	VYDAJ	VYBER	13200	27373	\N	\N	\N
959877	3269	1998-06-25	VYDAJ	VYBER	14100	84635	\N	\N	\N
959878	3269	1998-04-20	VYDAJ	VYBER	11400	47685	\N	\N	\N
959879	3269	1998-03-14	VYDAJ	VYBER	7500	95702	\N	\N	\N
959897	3269	1996-05-31	VYDAJ	VYBER	15	70057	SLUZBY	\N	\N
959898	3269	1996-06-30	VYDAJ	VYBER	15	46830	SLUZBY	\N	\N
959899	3269	1996-07-31	VYDAJ	VYBER	15	47611	SLUZBY	\N	\N
959900	3269	1996-08-31	VYDAJ	VYBER	15	51965	SLUZBY	\N	\N
959901	3269	1996-09-30	VYDAJ	VYBER	15	54466	SLUZBY	\N	\N
959902	3269	1996-10-31	VYDAJ	VYBER	15	40584	SLUZBY	\N	\N
959903	3269	1996-11-30	VYDAJ	VYBER	15	81396	SLUZBY	\N	\N
959904	3269	1996-12-31	VYDAJ	VYBER	15	85854	SLUZBY	\N	\N
959905	3269	1997-01-31	VYDAJ	VYBER	15	32160	SLUZBY	\N	\N
959906	3269	1997-02-28	VYDAJ	VYBER	15	64690	SLUZBY	\N	\N
959907	3269	1997-03-31	VYDAJ	VYBER	15	59465	SLUZBY	\N	\N
959908	3269	1997-04-30	VYDAJ	VYBER	15	64363	SLUZBY	\N	\N
959909	3269	1997-05-31	VYDAJ	VYBER	15	66800	SLUZBY	\N	\N
959910	3269	1997-06-30	VYDAJ	VYBER	15	45041	SLUZBY	\N	\N
959911	3269	1997-07-31	VYDAJ	VYBER	15	76852	SLUZBY	\N	\N
959912	3269	1997-08-31	VYDAJ	VYBER	15	56236	SLUZBY	\N	\N
959913	3269	1997-09-30	VYDAJ	VYBER	15	50447	SLUZBY	\N	\N
959914	3269	1997-10-31	VYDAJ	VYBER	15	56031	SLUZBY	\N	\N
959915	3269	1997-11-30	VYDAJ	VYBER	15	45334	SLUZBY	\N	\N
959916	3269	1997-12-31	VYDAJ	VYBER	15	46589	SLUZBY	\N	\N
959917	3269	1998-01-31	VYDAJ	VYBER	15	61791	SLUZBY	\N	\N
959918	3269	1998-02-28	VYDAJ	VYBER	15	45507	SLUZBY	\N	\N
959919	3269	1998-03-31	VYDAJ	VYBER	15	79885	SLUZBY	\N	\N
959920	3269	1998-04-30	VYDAJ	VYBER	15	83296	SLUZBY	\N	\N
959921	3269	1998-05-31	VYDAJ	VYBER	15	53867	SLUZBY	\N	\N
959922	3269	1998-06-30	VYDAJ	VYBER	15	84878	SLUZBY	\N	\N
959923	3269	1998-07-31	VYDAJ	VYBER	15	76513	SLUZBY	\N	\N
959924	3269	1998-08-31	VYDAJ	VYBER	15	57991	SLUZBY	\N	\N
959925	3269	1998-09-30	VYDAJ	VYBER	15	62510	SLUZBY	\N	\N
959926	3269	1998-10-31	VYDAJ	VYBER	15	35434	SLUZBY	\N	\N
959927	3269	1998-11-30	VYDAJ	VYBER	15	32945	SLUZBY	\N	\N
959928	3269	1995-10-03	VYDAJ	VYBER	29800	56088	\N	\N	\N
959929	3269	1995-11-02	VYDAJ	VYBER	15900	40546	\N	\N	\N
959930	3269	1995-12-02	VYDAJ	VYBER	3700	37203	\N	\N	\N
959931	3269	1996-01-01	VYDAJ	VYBER	2200	35360	\N	\N	\N
959932	3269	1996-01-31	VYDAJ	VYBER	2400	33310	\N	\N	\N
959933	3269	1996-03-01	VYDAJ	VYBER	11600	42084	\N	\N	\N
959934	3269	1996-03-31	VYDAJ	VYBER	4000	38224	\N	\N	\N
959935	3269	1996-04-30	PRIJEM	VKLAD	1200	39583	\N	\N	\N
959936	3269	1996-05-30	VYDAJ	VYBER	26400	69803	\N	\N	\N
959937	3269	1996-06-29	VYDAJ	VYBER	3500	46624	\N	\N	\N
959938	3269	1996-07-29	PRIJEM	VKLAD	600	47430	\N	\N	\N
959939	3269	1996-08-26	VYDAJ	VYBER	64100	74274	\N	\N	\N
959940	3269	1996-08-28	VYDAJ	VYBER	6500	51742	\N	\N	\N
959941	3269	1996-09-27	VYDAJ	VYBER	7700	54229	\N	\N	\N
959942	3269	1996-10-27	PRIJEM	VKLAD	600	51166	\N	\N	\N
959943	3269	1996-11-26	VYDAJ	VYBER	8400	53285	\N	\N	\N
959944	3269	1996-12-26	VYDAJ	VYBER	9500	59296	\N	\N	\N
959945	3269	1997-01-25	PRIJEM	VKLAD	10100	43647	\N	\N	\N
959946	3269	1997-02-24	VYDAJ	VYBER	16200	64547	\N	\N	\N
959947	3269	1997-03-26	VYDAJ	VYBER	11700	59215	\N	\N	\N
959948	3269	1997-04-25	VYDAJ	VYBER	46500	80316	\N	\N	\N
959949	3269	1997-04-25	VYDAJ	VYBER	16200	64116	\N	\N	\N
959950	3269	1997-05-25	VYDAJ	VYBER	13000	51363	\N	\N	\N
959951	3269	1997-06-24	VYDAJ	VYBER	9100	44800	\N	\N	\N
959952	3269	1997-07-24	VYDAJ	VYBER	29400	76531	\N	\N	\N
959953	3269	1997-08-23	VYDAJ	VYBER	4900	55982	\N	\N	\N
959954	3269	1997-09-22	VYDAJ	VYBER	3000	50236	\N	\N	\N
959955	3269	1997-10-22	VYDAJ	VYBER	13100	55829	\N	\N	\N
959956	3269	1997-11-21	VYDAJ	VYBER	8200	45131	\N	\N	\N
959957	3269	1997-12-21	VYDAJ	VYBER	15400	49714	\N	\N	\N
959958	3269	1998-01-20	VYDAJ	VYBER	8900	48931	\N	\N	\N
959959	3269	1998-02-19	VYDAJ	VYBER	9600	45290	\N	\N	\N
959960	3269	1998-03-21	VYDAJ	VYBER	35300	68533	\N	\N	\N
959961	3269	1998-04-20	VYDAJ	VYBER	20800	59085	\N	\N	\N
959962	3269	1998-05-17	VYDAJ	VYBER	41600	81368	\N	\N	\N
959963	3269	1998-05-20	VYDAJ	VYBER	27800	53568	\N	\N	\N
959964	3269	1998-06-19	VYDAJ	VYBER	13500	41664	\N	\N	\N
959965	3269	1998-07-12	VYDAJ	VYBER	19600	95696	\N	\N	\N
959966	3269	1998-07-19	VYDAJ	VYBER	23100	106133	\N	\N	\N
959967	3269	1998-07-19	VYDAJ	VYBER	38300	67833	\N	\N	\N
959968	3269	1998-07-31	VYDAJ	VYBER	57200	76528	\N	\N	\N
959969	3269	1998-08-07	VYDAJ	VYBER	36200	86177	\N	\N	\N
959970	3269	1998-08-18	VYDAJ	VYBER	36000	57571	\N	\N	\N
959971	3269	1998-09-09	VYDAJ	VYBER	23800	104111	\N	\N	\N
959972	3269	1998-09-17	VYDAJ	VYBER	41900	62211	\N	\N	\N
959973	3269	1998-10-17	VYDAJ	VYBER	22000	40510	\N	\N	\N
959974	3269	1998-11-16	VYDAJ	VYBER	11200	24234	\N	\N	\N
959975	3269	1998-12-16	VYDAJ	VYBER	5300	25845	\N	\N	\N
960016	3270	1995-08-08	PRIJEM	VKLAD	400	19530	\N	\N	\N
960024	3270	1995-08-08	PRIJEM	VKLAD	19130	19130	\N	\N	\N
960025	3270	1995-09-08	PRIJEM	VKLAD	19130	41423	\N	\N	\N
960026	3270	1995-10-08	PRIJEM	VKLAD	19130	49804	\N	\N	\N
960027	3270	1995-11-08	PRIJEM	VKLAD	19130	57734	\N	\N	\N
960028	3270	1995-12-08	PRIJEM	VKLAD	28695	71662	\N	\N	\N
960029	3270	1996-01-08	PRIJEM	VKLAD	19130	60215	\N	\N	\N
960030	3270	1996-02-08	PRIJEM	VKLAD	19130	52013	\N	\N	\N
960031	3270	1996-03-08	PRIJEM	VKLAD	19130	53710	\N	\N	\N
960032	3270	1996-04-08	PRIJEM	VKLAD	19130	56513	\N	\N	\N
960033	3270	1996-05-08	PRIJEM	VKLAD	19130	57927	\N	\N	\N
960034	3270	1996-06-08	PRIJEM	VKLAD	28695	68314	\N	\N	\N
960035	3270	1996-07-08	PRIJEM	VKLAD	19130	66470	\N	\N	\N
960036	3270	1996-08-08	PRIJEM	VKLAD	19130	62919	\N	\N	\N
960037	3270	1996-09-08	PRIJEM	VKLAD	19130	61862	\N	\N	\N
960038	3270	1996-10-08	PRIJEM	VKLAD	19130	64702	\N	\N	\N
960039	3270	1996-11-08	PRIJEM	VKLAD	19130	60969	\N	\N	\N
960040	3270	1996-12-08	PRIJEM	VKLAD	28695	71360	\N	\N	\N
960041	3270	1997-01-08	PRIJEM	VKLAD	19130	66230	\N	\N	\N
960042	3270	1997-02-08	PRIJEM	VKLAD	19130	64123	\N	\N	\N
960043	3270	1997-03-08	PRIJEM	VKLAD	19130	62044	\N	\N	\N
960044	3270	1997-04-08	PRIJEM	VKLAD	19130	57290	\N	\N	\N
960045	3270	1997-05-08	PRIJEM	VKLAD	19130	57285	\N	\N	\N
960046	3270	1997-06-08	PRIJEM	VKLAD	28695	67043	\N	\N	\N
960047	3270	1997-07-08	PRIJEM	VKLAD	19130	62660	\N	\N	\N
960048	3270	1997-08-08	PRIJEM	VKLAD	19130	58231	\N	\N	\N
960049	3270	1997-09-08	PRIJEM	VKLAD	19130	57925	\N	\N	\N
960050	3270	1997-10-08	PRIJEM	VKLAD	19130	61419	\N	\N	\N
960051	3270	1997-11-08	PRIJEM	VKLAD	19130	62526	\N	\N	\N
960052	3270	1997-12-08	PRIJEM	VKLAD	28695	73101	\N	\N	\N
960053	3270	1998-01-08	PRIJEM	VKLAD	19130	62810	\N	\N	\N
960054	3270	1998-02-08	PRIJEM	VKLAD	19130	57017	\N	\N	\N
960055	3270	1998-03-08	PRIJEM	VKLAD	19130	49003	\N	\N	\N
960056	3270	1998-04-08	PRIJEM	VKLAD	19130	56981	\N	\N	\N
960057	3270	1998-05-08	PRIJEM	VKLAD	19130	56865	\N	\N	\N
960058	3270	1998-06-08	PRIJEM	VKLAD	28695	66713	\N	\N	\N
960059	3270	1998-07-08	PRIJEM	VKLAD	19130	66320	\N	\N	\N
960060	3270	1998-08-08	PRIJEM	VKLAD	19130	63838	\N	\N	\N
960061	3270	1998-09-08	PRIJEM	VKLAD	19130	68453	\N	\N	\N
960062	3270	1998-10-08	PRIJEM	VKLAD	19130	60810	\N	\N	\N
960063	3270	1998-11-08	PRIJEM	VKLAD	19130	64209	\N	\N	\N
960064	3270	1998-12-08	PRIJEM	VKLAD	28695	74382	\N	\N	\N
960076	3270	1995-12-12	VYDAJ	PREVOD NA UCET	7806	63856	SIPO	ST	24160874
960077	3270	1996-01-12	VYDAJ	PREVOD NA UCET	7806	52409	SIPO	ST	24160874
960078	3270	1996-02-12	VYDAJ	PREVOD NA UCET	7806	44207	SIPO	ST	24160874
960079	3270	1996-03-12	VYDAJ	PREVOD NA UCET	7806	45904	SIPO	ST	24160874
960080	3270	1996-04-12	VYDAJ	PREVOD NA UCET	7806	48707	SIPO	ST	24160874
960081	3270	1996-05-12	VYDAJ	PREVOD NA UCET	7806	50121	SIPO	ST	24160874
960082	3270	1996-06-12	VYDAJ	PREVOD NA UCET	7806	60508	SIPO	ST	24160874
960083	3270	1996-07-12	VYDAJ	PREVOD NA UCET	7806	55064	SIPO	ST	24160874
960084	3270	1996-08-12	VYDAJ	PREVOD NA UCET	7806	55113	SIPO	ST	24160874
960085	3270	1996-09-12	VYDAJ	PREVOD NA UCET	7806	54056	SIPO	ST	24160874
960086	3270	1996-10-12	VYDAJ	PREVOD NA UCET	7806	56896	SIPO	ST	24160874
960087	3270	1996-11-12	VYDAJ	PREVOD NA UCET	7806	53163	SIPO	ST	24160874
960088	3270	1996-12-12	VYDAJ	PREVOD NA UCET	7806	63554	SIPO	ST	24160874
960089	3270	1997-01-12	VYDAJ	PREVOD NA UCET	7806	58424	SIPO	ST	24160874
960090	3270	1997-02-12	VYDAJ	PREVOD NA UCET	7806	56317	SIPO	ST	24160874
960091	3270	1997-03-12	VYDAJ	PREVOD NA UCET	7806	44278	SIPO	ST	24160874
960092	3270	1997-04-12	VYDAJ	PREVOD NA UCET	7806	49484	SIPO	ST	24160874
960093	3270	1997-05-12	VYDAJ	PREVOD NA UCET	7806	49479	SIPO	ST	24160874
960094	3270	1997-06-12	VYDAJ	PREVOD NA UCET	7806	59237	SIPO	ST	24160874
960095	3270	1997-07-12	VYDAJ	PREVOD NA UCET	7806	54854	SIPO	ST	24160874
960096	3270	1997-08-12	VYDAJ	PREVOD NA UCET	7806	50425	SIPO	ST	24160874
960097	3270	1997-09-12	VYDAJ	PREVOD NA UCET	7806	50119	SIPO	ST	24160874
960098	3270	1997-10-12	VYDAJ	PREVOD NA UCET	7806	53613	SIPO	ST	24160874
960099	3270	1997-11-12	VYDAJ	PREVOD NA UCET	7806	54720	SIPO	ST	24160874
960100	3270	1997-12-12	VYDAJ	PREVOD NA UCET	7806	65295	SIPO	ST	24160874
960101	3270	1998-01-12	VYDAJ	PREVOD NA UCET	7806	55004	SIPO	ST	24160874
960102	3270	1998-02-12	VYDAJ	PREVOD NA UCET	7806	49211	SIPO	ST	24160874
960103	3270	1998-03-12	VYDAJ	PREVOD NA UCET	7806	41197	SIPO	ST	24160874
960104	3270	1998-04-12	VYDAJ	PREVOD NA UCET	7806	49175	SIPO	ST	24160874
960105	3270	1998-05-12	VYDAJ	PREVOD NA UCET	7806	49059	SIPO	ST	24160874
960106	3270	1998-06-12	VYDAJ	PREVOD NA UCET	7806	58907	SIPO	ST	24160874
960107	3270	1998-07-12	VYDAJ	PREVOD NA UCET	7806	58514	SIPO	ST	24160874
960108	3270	1998-08-12	VYDAJ	PREVOD NA UCET	7806	56032	SIPO	ST	24160874
960109	3270	1998-09-12	VYDAJ	PREVOD NA UCET	7806	60647	SIPO	ST	24160874
960110	3270	1998-10-12	VYDAJ	PREVOD NA UCET	7806	53004	SIPO	ST	24160874
960111	3270	1998-11-12	VYDAJ	PREVOD NA UCET	7806	56403	SIPO	ST	24160874
960112	3270	1998-12-12	VYDAJ	PREVOD NA UCET	7806	66576	SIPO	ST	24160874
960113	3270	1995-12-29	VYDAJ	VYBER	2880	60976	\N	\N	\N
960114	3270	1996-12-16	VYDAJ	VYBER	2080	61474	\N	\N	\N
960115	3270	1997-12-28	VYDAJ	VYBER	1920	43475	\N	\N	\N
960116	3270	1998-12-16	VYDAJ	VYBER KARTOU	1100	65476	\N	\N	0
960121	3270	1996-11-03	VYDAJ	VYBER	2280	41839	\N	\N	\N
960122	3270	1996-01-05	VYDAJ	VYBER	5040	41085	\N	\N	\N
960123	3270	1996-07-11	VYDAJ	VYBER	3600	62870	\N	\N	\N
960124	3270	1996-01-23	VYDAJ	VYBER	5520	42689	\N	\N	\N
960125	3270	1996-01-20	VYDAJ	VYBER	4200	48209	\N	\N	\N
960126	3270	1997-02-24	VYDAJ	VYBER	5400	50917	\N	\N	\N
960127	3270	1997-01-29	VYDAJ	VYBER	2040	56384	\N	\N	\N
960128	3270	1997-07-27	VYDAJ	VYBER	4440	50414	\N	\N	\N
960129	3270	1997-03-11	VYDAJ	VYBER	4440	52084	\N	\N	\N
960130	3270	1997-03-08	VYDAJ	VYBER	5520	56524	\N	\N	\N
960131	3270	1998-09-24	VYDAJ	VYBER	4560	41487	\N	\N	\N
960132	3270	1998-03-04	VYDAJ	VYBER	4560	35513	\N	\N	\N
960133	3270	1998-01-31	VYDAJ	VYBER	5400	37901	\N	\N	\N
960134	3270	1998-03-07	VYDAJ	VYBER	5640	29873	\N	\N	\N
960147	3270	1995-12-31	VYDAJ	VYBER	15	61225	SLUZBY	\N	\N
960148	3270	1996-01-31	VYDAJ	VYBER	15	42883	SLUZBY	\N	\N
960149	3270	1996-02-29	VYDAJ	VYBER	15	44380	SLUZBY	\N	\N
960150	3270	1996-03-31	VYDAJ	VYBER	15	46083	SLUZBY	\N	\N
960151	3270	1996-04-30	VYDAJ	VYBER	15	48897	SLUZBY	\N	\N
960152	3270	1996-05-31	VYDAJ	VYBER	15	50319	SLUZBY	\N	\N
960153	3270	1996-06-30	VYDAJ	VYBER	15	60740	SLUZBY	\N	\N
960154	3270	1996-07-31	VYDAJ	VYBER	15	55289	SLUZBY	\N	\N
960155	3270	1996-08-31	VYDAJ	VYBER	15	55332	SLUZBY	\N	\N
960156	3270	1996-09-30	VYDAJ	VYBER	15	54272	SLUZBY	\N	\N
960157	3270	1996-10-31	VYDAJ	VYBER	15	44119	SLUZBY	\N	\N
960158	3270	1996-11-30	VYDAJ	VYBER	15	53365	SLUZBY	\N	\N
960159	3270	1996-12-31	VYDAJ	VYBER	15	47100	SLUZBY	\N	\N
960160	3270	1997-01-31	VYDAJ	VYBER	15	44993	SLUZBY	\N	\N
960161	3270	1997-02-28	VYDAJ	VYBER	15	51114	SLUZBY	\N	\N
960162	3270	1997-03-31	VYDAJ	VYBER	15	38160	SLUZBY	\N	\N
960163	3270	1997-04-30	VYDAJ	VYBER	15	38155	SLUZBY	\N	\N
960164	3270	1997-05-31	VYDAJ	VYBER	15	38348	SLUZBY	\N	\N
960165	3270	1997-06-30	VYDAJ	VYBER	15	43530	SLUZBY	\N	\N
960166	3270	1997-07-31	VYDAJ	VYBER	15	39101	SLUZBY	\N	\N
960167	3270	1997-08-31	VYDAJ	VYBER	15	38795	SLUZBY	\N	\N
960168	3270	1997-09-30	VYDAJ	VYBER	15	42289	SLUZBY	\N	\N
960169	3270	1997-10-31	VYDAJ	VYBER	15	43396	SLUZBY	\N	\N
960170	3270	1997-11-30	VYDAJ	VYBER	15	44406	SLUZBY	\N	\N
960171	3270	1997-12-31	VYDAJ	VYBER	15	43680	SLUZBY	\N	\N
960172	3270	1998-01-31	VYDAJ	VYBER	15	37887	SLUZBY	\N	\N
960173	3270	1998-02-28	VYDAJ	VYBER	15	40073	SLUZBY	\N	\N
960174	3270	1998-03-31	VYDAJ	VYBER	15	37851	SLUZBY	\N	\N
960175	3270	1998-04-30	VYDAJ	VYBER	15	37735	SLUZBY	\N	\N
960176	3270	1998-05-31	VYDAJ	VYBER	15	38018	SLUZBY	\N	\N
960177	3270	1998-06-30	VYDAJ	VYBER	15	47190	SLUZBY	\N	\N
960178	3270	1998-07-31	VYDAJ	VYBER	15	44708	SLUZBY	\N	\N
960179	3270	1998-08-31	VYDAJ	VYBER	15	49323	SLUZBY	\N	\N
960180	3270	1998-09-30	VYDAJ	VYBER	15	41680	SLUZBY	\N	\N
960181	3270	1998-10-31	VYDAJ	VYBER	15	45079	SLUZBY	\N	\N
960182	3270	1998-11-30	VYDAJ	VYBER	15	45687	SLUZBY	\N	\N
960183	3270	1995-09-07	PRIJEM	VKLAD	2700	22293	\N	\N	\N
960184	3270	1995-10-07	VYDAJ	VYBER	10900	30674	\N	\N	\N
960185	3270	1995-11-06	VYDAJ	VYBER	11400	38604	\N	\N	\N
960186	3270	1995-12-06	VYDAJ	VYBER	15000	42967	\N	\N	\N
960187	3270	1996-01-05	VYDAJ	VYBER	15100	46125	\N	\N	\N
960188	3270	1996-02-04	VYDAJ	VYBER	10000	32883	\N	\N	\N
960189	3270	1996-03-05	VYDAJ	VYBER	9800	34580	\N	\N	\N
960190	3270	1996-04-04	VYDAJ	VYBER	8700	37383	\N	\N	\N
960191	3270	1996-05-04	VYDAJ	VYBER	10100	38797	\N	\N	\N
960192	3270	1996-06-03	VYDAJ	VYBER	10700	39619	\N	\N	\N
960193	3270	1996-07-03	VYDAJ	VYBER	13400	47340	\N	\N	\N
960194	3270	1996-08-02	VYDAJ	VYBER	11500	43789	\N	\N	\N
960195	3270	1996-09-01	VYDAJ	VYBER	12600	42732	\N	\N	\N
960196	3270	1996-10-01	VYDAJ	VYBER	8700	45572	\N	\N	\N
960197	3270	1996-10-31	VYDAJ	VYBER	13000	44133	\N	\N	\N
960198	3270	1996-11-30	VYDAJ	VYBER	10700	42665	\N	\N	\N
960199	3270	1996-12-30	VYDAJ	VYBER	14600	46874	\N	\N	\N
960200	3270	1997-01-29	VYDAJ	VYBER	11600	44784	\N	\N	\N
960201	3270	1997-02-28	VYDAJ	VYBER	8200	42914	\N	\N	\N
960202	3270	1997-03-30	VYDAJ	VYBER	6300	37978	\N	\N	\N
960203	3270	1997-04-29	VYDAJ	VYBER	11500	37984	\N	\N	\N
960204	3270	1997-05-29	VYDAJ	VYBER	11300	38179	\N	\N	\N
960205	3270	1997-06-28	VYDAJ	VYBER	15900	43337	\N	\N	\N
960206	3270	1997-07-28	VYDAJ	VYBER	11500	38914	\N	\N	\N
960207	3270	1997-08-27	VYDAJ	VYBER	11800	38625	\N	\N	\N
960208	3270	1997-09-26	VYDAJ	VYBER	8000	42119	\N	\N	\N
960209	3270	1997-10-26	VYDAJ	VYBER	10400	43213	\N	\N	\N
960210	3270	1997-11-25	VYDAJ	VYBER	10500	44220	\N	\N	\N
960211	3270	1997-12-25	VYDAJ	VYBER	19900	45395	\N	\N	\N
960212	3270	1998-01-24	VYDAJ	VYBER	11900	43104	\N	\N	\N
960213	3270	1998-02-23	VYDAJ	VYBER	9300	39911	\N	\N	\N
960214	3270	1998-03-25	VYDAJ	VYBER	3500	37697	\N	\N	\N
960215	3270	1998-04-24	VYDAJ	VYBER	11600	37575	\N	\N	\N
960216	3270	1998-05-24	VYDAJ	VYBER	11200	37859	\N	\N	\N
960217	3270	1998-06-23	VYDAJ	VYBER	11900	47007	\N	\N	\N
960218	3270	1998-07-23	VYDAJ	VYBER	14000	44514	\N	\N	\N
960219	3270	1998-08-22	VYDAJ	VYBER	6900	49132	\N	\N	\N
960220	3270	1998-09-21	VYDAJ	VYBER	14600	46047	\N	\N	\N
960221	3270	1998-10-21	VYDAJ	VYBER	8100	44904	\N	\N	\N
960222	3270	1998-11-20	VYDAJ	VYBER	10900	45503	\N	\N	\N
960264	3271	1996-10-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
960275	3271	1996-11-07	PRIJEM	PREVOD Z UCTU	3791	4791	\N	QR	26830780
960276	3271	1996-12-07	PRIJEM	PREVOD Z UCTU	3791	20428	\N	QR	26830780
960277	3271	1997-01-07	PRIJEM	PREVOD Z UCTU	3791	23798	\N	QR	26830780
960278	3271	1997-02-07	PRIJEM	PREVOD Z UCTU	3791	27783	\N	QR	26830780
960279	3271	1997-03-07	PRIJEM	PREVOD Z UCTU	3791	30983	\N	QR	26830780
960280	3271	1997-04-07	PRIJEM	PREVOD Z UCTU	3791	28245	\N	QR	26830780
960281	3271	1997-05-07	PRIJEM	PREVOD Z UCTU	3791	27115	\N	QR	26830780
960282	3271	1997-06-07	PRIJEM	PREVOD Z UCTU	3791	26671	\N	QR	26830780
960283	3271	1997-07-07	PRIJEM	PREVOD Z UCTU	3791	18029	\N	QR	26830780
960284	3271	1997-08-07	PRIJEM	PREVOD Z UCTU	3791	20054	\N	QR	26830780
960285	3271	1997-09-07	PRIJEM	PREVOD Z UCTU	3791	18276	\N	QR	26830780
960286	3271	1997-10-07	PRIJEM	PREVOD Z UCTU	3791	13079	\N	QR	26830780
960287	3271	1997-11-07	PRIJEM	PREVOD Z UCTU	3791	14382	\N	QR	26830780
960288	3271	1997-12-07	PRIJEM	PREVOD Z UCTU	3791	15480	\N	QR	26830780
960289	3271	1998-01-07	PRIJEM	PREVOD Z UCTU	3791	14002	\N	QR	26830780
960290	3271	1998-02-07	PRIJEM	PREVOD Z UCTU	3791	14167	\N	QR	26830780
960291	3271	1998-03-07	PRIJEM	PREVOD Z UCTU	3791	15474	\N	QR	26830780
960292	3271	1998-04-07	PRIJEM	PREVOD Z UCTU	3791	16787	\N	QR	26830780
960293	3271	1998-05-07	PRIJEM	PREVOD Z UCTU	3791	18105	\N	QR	26830780
960294	3271	1998-06-07	PRIJEM	PREVOD Z UCTU	3791	19429	\N	QR	26830780
960295	3271	1998-07-07	PRIJEM	PREVOD Z UCTU	3791	14149	\N	QR	26830780
960296	3271	1998-08-07	PRIJEM	PREVOD Z UCTU	3791	14253	\N	QR	26830780
960297	3271	1998-09-07	PRIJEM	PREVOD Z UCTU	3791	15561	\N	QR	26830780
960298	3271	1998-10-07	PRIJEM	PREVOD Z UCTU	3791	16874	\N	QR	26830780
960299	3271	1998-11-07	PRIJEM	PREVOD Z UCTU	3791	18192	\N	QR	26830780
960300	3271	1998-12-07	PRIJEM	PREVOD Z UCTU	3791	19516	\N	QR	26830780
960316	3271	1997-04-06	VYDAJ	PREVOD NA UCET	2527	24454	SIPO	CD	83911329
960317	3271	1997-05-06	VYDAJ	PREVOD NA UCET	2527	23324	SIPO	CD	83911329
960318	3271	1997-06-06	VYDAJ	PREVOD NA UCET	2527	22880	SIPO	CD	83911329
960319	3271	1997-07-06	VYDAJ	PREVOD NA UCET	2527	14238	SIPO	CD	83911329
960320	3271	1997-08-06	VYDAJ	PREVOD NA UCET	2527	16263	SIPO	CD	83911329
960321	3271	1997-09-06	VYDAJ	PREVOD NA UCET	2527	14485	SIPO	CD	83911329
960322	3271	1997-10-06	VYDAJ	PREVOD NA UCET	2527	9288	SIPO	CD	83911329
960323	3271	1997-11-06	VYDAJ	PREVOD NA UCET	2527	10591	SIPO	CD	83911329
960324	3271	1997-12-06	VYDAJ	PREVOD NA UCET	2527	11689	SIPO	CD	83911329
960325	3271	1998-01-06	VYDAJ	PREVOD NA UCET	2527	10211	SIPO	CD	83911329
960326	3271	1998-02-06	VYDAJ	PREVOD NA UCET	2527	10376	SIPO	CD	83911329
960327	3271	1998-03-06	VYDAJ	PREVOD NA UCET	2527	11683	SIPO	CD	83911329
960328	3271	1998-04-06	VYDAJ	PREVOD NA UCET	2527	12996	SIPO	CD	83911329
960329	3271	1998-05-06	VYDAJ	PREVOD NA UCET	2527	14314	SIPO	CD	83911329
960330	3271	1998-06-06	VYDAJ	PREVOD NA UCET	2527	15638	SIPO	CD	83911329
960331	3271	1998-07-06	VYDAJ	PREVOD NA UCET	2527	10358	SIPO	CD	83911329
960332	3271	1998-08-06	VYDAJ	PREVOD NA UCET	2527	10462	SIPO	CD	83911329
960333	3271	1998-09-06	VYDAJ	PREVOD NA UCET	2527	11770	SIPO	CD	83911329
960334	3271	1998-10-06	VYDAJ	PREVOD NA UCET	2527	13083	SIPO	CD	83911329
960335	3271	1998-11-06	VYDAJ	PREVOD NA UCET	2527	14401	SIPO	CD	83911329
960336	3271	1998-12-06	VYDAJ	PREVOD NA UCET	2527	15725	SIPO	CD	83911329
960338	3271	1997-06-18	VYDAJ	VYBER	7080	16691	\N	\N	\N
960339	3271	1998-06-22	VYDAJ	VYBER	6600	12829	\N	\N	\N
960342	3271	1998-01-02	VYDAJ	VYBER	1380	13218	\N	\N	\N
960344	3271	1997-12-01	VYDAJ	VYBER	210	14216	\N	\N	\N
960345	3271	1998-12-26	VYDAJ	VYBER	330	19186	\N	\N	\N
960358	3271	1998-01-01	VYDAJ	VYBER	540	14598	\N	\N	\N
960359	3271	1998-01-05	VYDAJ	VYBER	480	12738	\N	\N	\N
960362	3271	1998-01-01	VYDAJ	VYBER	390	15138	\N	\N	\N
960368	3271	1997-05-02	VYDAJ	VYBER	210	25851	\N	\N	\N
960369	3271	1997-05-01	VYDAJ	VYBER	180	26061	\N	\N	\N
960370	3271	1998-01-18	VYDAJ	VYBER	1140	12862	\N	\N	\N
960371	3271	1998-07-13	VYDAJ	VYBER	1200	12949	\N	\N	\N
960387	3271	1997-03-31	VYDAJ	VYBER	15	26981	SLUZBY	\N	\N
960388	3271	1997-04-30	VYDAJ	VYBER	15	26241	SLUZBY	\N	\N
960389	3271	1997-05-31	VYDAJ	VYBER	15	25407	SLUZBY	\N	\N
960390	3271	1997-06-30	VYDAJ	VYBER	15	16765	SLUZBY	\N	\N
960391	3271	1997-07-31	VYDAJ	VYBER	15	18790	SLUZBY	\N	\N
960392	3271	1997-08-31	VYDAJ	VYBER	15	17012	SLUZBY	\N	\N
960393	3271	1997-09-30	VYDAJ	VYBER	15	11815	SLUZBY	\N	\N
960394	3271	1997-10-31	VYDAJ	VYBER	15	13118	SLUZBY	\N	\N
960395	3271	1997-11-30	VYDAJ	VYBER	15	14426	SLUZBY	\N	\N
960396	3271	1997-12-31	VYDAJ	VYBER	15	15528	SLUZBY	\N	\N
960397	3271	1998-01-31	VYDAJ	VYBER	15	12903	SLUZBY	\N	\N
960398	3271	1998-02-28	VYDAJ	VYBER	15	14210	SLUZBY	\N	\N
960399	3271	1998-03-31	VYDAJ	VYBER	15	15523	SLUZBY	\N	\N
960400	3271	1998-04-30	VYDAJ	VYBER	15	16841	SLUZBY	\N	\N
960401	3271	1998-05-31	VYDAJ	VYBER	15	18165	SLUZBY	\N	\N
960402	3271	1998-06-30	VYDAJ	VYBER	15	12885	SLUZBY	\N	\N
960403	3271	1998-07-31	VYDAJ	VYBER	15	12989	SLUZBY	\N	\N
960404	3271	1998-08-31	VYDAJ	VYBER	15	14297	SLUZBY	\N	\N
960405	3271	1998-09-30	VYDAJ	VYBER	15	15610	SLUZBY	\N	\N
960406	3271	1998-10-31	VYDAJ	VYBER	15	16928	SLUZBY	\N	\N
960407	3271	1998-11-30	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
960408	3271	1996-11-11	PRIJEM	VKLAD	11800	16591	\N	\N	\N
960409	3271	1996-12-11	VYDAJ	VYBER	500	19928	\N	\N	\N
960410	3271	1997-01-10	PRIJEM	VKLAD	100	23898	\N	\N	\N
960411	3271	1997-02-09	VYDAJ	VYBER	700	27083	\N	\N	\N
960412	3271	1997-03-11	VYDAJ	VYBER	4100	26883	\N	\N	\N
960413	3271	1997-04-10	VYDAJ	VYBER	2100	26145	\N	\N	\N
960414	3271	1997-05-10	VYDAJ	VYBER	1800	25315	\N	\N	\N
960415	3271	1997-06-09	VYDAJ	VYBER	2900	23771	\N	\N	\N
960416	3271	1997-07-09	PRIJEM	VKLAD	700	18729	\N	\N	\N
960417	3271	1997-08-08	VYDAJ	VYBER	3100	16954	\N	\N	\N
960418	3271	1997-09-07	VYDAJ	VYBER	6500	11776	\N	\N	\N
960445	3272	1996-08-30	PRIJEM	VKLAD	800	800	\N	\N	\N
960454	3272	1996-09-06	PRIJEM	VKLAD	20528	21328	\N	\N	\N
960455	3272	1996-10-06	PRIJEM	VKLAD	20528	43362	\N	\N	\N
960456	3272	1996-11-06	PRIJEM	VKLAD	20528	51989	\N	\N	\N
960457	3272	1996-12-06	PRIJEM	VKLAD	30792	68914	\N	\N	\N
960458	3272	1997-01-06	PRIJEM	VKLAD	20528	64404	\N	\N	\N
960459	3272	1997-02-06	PRIJEM	VKLAD	20528	47270	\N	\N	\N
960460	3272	1997-03-06	PRIJEM	VKLAD	20528	52482	\N	\N	\N
960461	3272	1997-04-06	PRIJEM	VKLAD	20528	52612	\N	\N	\N
960462	3272	1997-05-06	PRIJEM	VKLAD	20528	52343	\N	\N	\N
960463	3272	1997-06-06	PRIJEM	VKLAD	30792	62734	\N	\N	\N
960464	3272	1997-07-06	PRIJEM	VKLAD	20528	53349	\N	\N	\N
960465	3272	1997-08-06	PRIJEM	VKLAD	20528	51293	\N	\N	\N
960466	3272	1997-09-06	PRIJEM	VKLAD	20528	49508	\N	\N	\N
960467	3272	1997-10-06	PRIJEM	VKLAD	20528	52221	\N	\N	\N
960468	3272	1997-11-06	PRIJEM	VKLAD	20528	46535	\N	\N	\N
960469	3272	1997-12-06	PRIJEM	VKLAD	30792	54433	\N	\N	\N
960470	3272	1998-01-06	PRIJEM	VKLAD	20528	50352	\N	\N	\N
960471	3272	1998-02-06	PRIJEM	VKLAD	20528	44713	\N	\N	\N
960472	3272	1998-03-06	PRIJEM	VKLAD	20528	44819	\N	\N	\N
960473	3272	1998-04-06	PRIJEM	VKLAD	20528	49312	\N	\N	\N
960474	3272	1998-05-06	PRIJEM	VKLAD	20528	52720	\N	\N	\N
960475	3272	1998-06-06	PRIJEM	VKLAD	30792	63405	\N	\N	\N
960476	3272	1998-07-06	PRIJEM	VKLAD	20528	36885	\N	\N	\N
960477	3272	1998-08-06	PRIJEM	VKLAD	20528	44245	\N	\N	\N
960478	3272	1998-09-06	PRIJEM	VKLAD	20528	47227	\N	\N	\N
960479	3272	1998-10-06	PRIJEM	VKLAD	20528	46614	\N	\N	\N
960480	3272	1998-11-06	PRIJEM	VKLAD	20528	43693	\N	\N	\N
960481	3272	1998-12-06	PRIJEM	VKLAD	30792	56733	\N	\N	\N
960494	3272	1997-01-14	VYDAJ	PREVOD NA UCET	466	59499	SIPO	CD	31408977
960495	3272	1997-02-14	VYDAJ	PREVOD NA UCET	466	43805	SIPO	CD	31408977
960496	3272	1997-03-14	VYDAJ	PREVOD NA UCET	466	49017	SIPO	CD	31408977
960497	3272	1997-04-14	VYDAJ	PREVOD NA UCET	466	49147	SIPO	CD	31408977
960498	3272	1997-05-14	VYDAJ	PREVOD NA UCET	466	48878	SIPO	CD	31408977
960499	3272	1997-06-14	VYDAJ	PREVOD NA UCET	466	59269	SIPO	CD	31408977
960500	3272	1997-07-14	VYDAJ	PREVOD NA UCET	466	49884	SIPO	CD	31408977
960501	3272	1997-08-14	VYDAJ	PREVOD NA UCET	466	46628	SIPO	CD	31408977
960502	3272	1997-09-14	VYDAJ	PREVOD NA UCET	466	46043	SIPO	CD	31408977
960503	3272	1997-10-14	VYDAJ	PREVOD NA UCET	466	48756	SIPO	CD	31408977
960504	3272	1997-11-14	VYDAJ	PREVOD NA UCET	466	43070	SIPO	CD	31408977
960505	3272	1997-12-14	VYDAJ	PREVOD NA UCET	466	50968	SIPO	CD	31408977
960506	3272	1998-01-14	VYDAJ	PREVOD NA UCET	466	46887	SIPO	CD	31408977
960507	3272	1998-02-14	VYDAJ	PREVOD NA UCET	466	41248	SIPO	CD	31408977
960508	3272	1998-03-14	VYDAJ	PREVOD NA UCET	466	41354	SIPO	CD	31408977
960509	3272	1998-04-14	VYDAJ	PREVOD NA UCET	466	45847	SIPO	CD	31408977
960510	3272	1998-05-14	VYDAJ	PREVOD NA UCET	466	49255	SIPO	CD	31408977
960511	3272	1998-06-14	VYDAJ	PREVOD NA UCET	466	15460	SIPO	CD	31408977
960512	3272	1998-07-14	VYDAJ	PREVOD NA UCET	466	33420	SIPO	CD	31408977
960513	3272	1998-08-14	VYDAJ	PREVOD NA UCET	466	40780	SIPO	CD	31408977
960514	3272	1998-09-14	VYDAJ	PREVOD NA UCET	466	43762	SIPO	CD	31408977
960515	3272	1998-10-14	VYDAJ	PREVOD NA UCET	466	43149	SIPO	CD	31408977
960516	3272	1998-11-14	VYDAJ	PREVOD NA UCET	466	40228	SIPO	CD	31408977
960517	3272	1998-12-14	VYDAJ	PREVOD NA UCET	466	53268	SIPO	CD	31408977
960530	3272	1997-01-07	VYDAJ	PREVOD NA UCET	1531	62873	 	QR	1989675
960531	3272	1997-02-07	VYDAJ	PREVOD NA UCET	1531	45739	 	QR	1989675
960532	3272	1997-03-07	VYDAJ	PREVOD NA UCET	1531	50951	 	QR	1989675
960533	3272	1997-04-07	VYDAJ	PREVOD NA UCET	1531	51081	 	QR	1989675
960534	3272	1997-05-07	VYDAJ	PREVOD NA UCET	1531	50812	 	QR	1989675
960535	3272	1997-06-07	VYDAJ	PREVOD NA UCET	1531	61203	 	QR	1989675
960536	3272	1997-07-07	VYDAJ	PREVOD NA UCET	1531	51818	 	QR	1989675
960537	3272	1997-08-07	VYDAJ	PREVOD NA UCET	1531	49762	 	QR	1989675
960538	3272	1997-09-07	VYDAJ	PREVOD NA UCET	1531	47977	 	QR	1989675
960539	3272	1997-10-07	VYDAJ	PREVOD NA UCET	1531	50690	 	QR	1989675
960540	3272	1997-11-07	VYDAJ	PREVOD NA UCET	1531	45004	 	QR	1989675
960541	3272	1997-12-07	VYDAJ	PREVOD NA UCET	1531	52902	 	QR	1989675
960542	3272	1998-01-07	VYDAJ	PREVOD NA UCET	1531	48821	 	QR	1989675
960543	3272	1998-02-07	VYDAJ	PREVOD NA UCET	1531	43182	 	QR	1989675
960544	3272	1998-03-07	VYDAJ	PREVOD NA UCET	1531	43288	 	QR	1989675
960545	3272	1998-04-07	VYDAJ	PREVOD NA UCET	1531	47781	 	QR	1989675
960546	3272	1998-05-07	VYDAJ	PREVOD NA UCET	1531	51189	 	QR	1989675
960547	3272	1998-06-07	VYDAJ	PREVOD NA UCET	1531	61874	 	QR	1989675
960548	3272	1998-07-07	VYDAJ	PREVOD NA UCET	1531	35354	 	QR	1989675
960549	3272	1998-08-07	VYDAJ	PREVOD NA UCET	1531	42714	 	QR	1989675
960550	3272	1998-09-07	VYDAJ	PREVOD NA UCET	1531	45696	 	QR	1989675
960551	3272	1998-10-07	VYDAJ	PREVOD NA UCET	1531	45083	 	QR	1989675
960552	3272	1998-11-07	VYDAJ	PREVOD NA UCET	1531	42162	 	QR	1989675
960553	3272	1998-12-07	VYDAJ	PREVOD NA UCET	1531	55202	 	QR	1989675
960566	3272	1997-01-09	VYDAJ	PREVOD NA UCET	1126	60307	POJISTNE	WX	47639417
960567	3272	1997-02-09	VYDAJ	PREVOD NA UCET	1126	44613	POJISTNE	WX	47639417
960568	3272	1997-03-09	VYDAJ	PREVOD NA UCET	1126	49825	POJISTNE	WX	47639417
960569	3272	1997-04-09	VYDAJ	PREVOD NA UCET	1126	49955	POJISTNE	WX	47639417
960570	3272	1997-05-09	VYDAJ	PREVOD NA UCET	1126	49686	POJISTNE	WX	47639417
960571	3272	1997-06-09	VYDAJ	PREVOD NA UCET	1126	60077	POJISTNE	WX	47639417
960572	3272	1997-07-09	VYDAJ	PREVOD NA UCET	1126	50692	POJISTNE	WX	47639417
960573	3272	1997-08-09	VYDAJ	PREVOD NA UCET	1126	48636	POJISTNE	WX	47639417
960574	3272	1997-09-09	VYDAJ	PREVOD NA UCET	1126	46851	POJISTNE	WX	47639417
960575	3272	1997-10-09	VYDAJ	PREVOD NA UCET	1126	49564	POJISTNE	WX	47639417
960576	3272	1997-11-09	VYDAJ	PREVOD NA UCET	1126	43878	POJISTNE	WX	47639417
960577	3272	1997-12-09	VYDAJ	PREVOD NA UCET	1126	51776	POJISTNE	WX	47639417
960578	3272	1998-01-09	VYDAJ	PREVOD NA UCET	1126	47695	POJISTNE	WX	47639417
960579	3272	1998-02-09	VYDAJ	PREVOD NA UCET	1126	42056	POJISTNE	WX	47639417
960580	3272	1998-03-09	VYDAJ	PREVOD NA UCET	1126	42162	POJISTNE	WX	47639417
960581	3272	1998-04-09	VYDAJ	PREVOD NA UCET	1126	46655	POJISTNE	WX	47639417
960582	3272	1998-05-09	VYDAJ	PREVOD NA UCET	1126	50063	POJISTNE	WX	47639417
960583	3272	1998-06-09	VYDAJ	PREVOD NA UCET	1126	60748	POJISTNE	WX	47639417
960584	3272	1998-07-09	VYDAJ	PREVOD NA UCET	1126	34228	POJISTNE	WX	47639417
960585	3272	1998-08-09	VYDAJ	PREVOD NA UCET	1126	41588	POJISTNE	WX	47639417
960586	3272	1998-09-09	VYDAJ	PREVOD NA UCET	1126	44570	POJISTNE	WX	47639417
960587	3272	1998-10-09	VYDAJ	PREVOD NA UCET	1126	43957	POJISTNE	WX	47639417
960588	3272	1998-11-09	VYDAJ	PREVOD NA UCET	1126	41036	POJISTNE	WX	47639417
960589	3272	1998-12-09	VYDAJ	PREVOD NA UCET	1126	54076	POJISTNE	WX	47639417
960602	3272	1997-01-11	VYDAJ	PREVOD NA UCET	342	59965	 	EF	16072351
960603	3272	1997-02-11	VYDAJ	PREVOD NA UCET	342	44271	 	EF	16072351
960604	3272	1997-03-11	VYDAJ	PREVOD NA UCET	342	49483	 	EF	16072351
960605	3272	1997-04-11	VYDAJ	PREVOD NA UCET	342	49613	 	EF	16072351
960606	3272	1997-05-11	VYDAJ	PREVOD NA UCET	342	49344	 	EF	16072351
960607	3272	1997-06-11	VYDAJ	PREVOD NA UCET	342	59735	 	EF	16072351
960608	3272	1997-07-11	VYDAJ	PREVOD NA UCET	342	50350	 	EF	16072351
960609	3272	1997-08-11	VYDAJ	PREVOD NA UCET	342	47094	 	EF	16072351
960610	3272	1997-09-11	VYDAJ	PREVOD NA UCET	342	46509	 	EF	16072351
960611	3272	1997-10-11	VYDAJ	PREVOD NA UCET	342	49222	 	EF	16072351
960612	3272	1997-11-11	VYDAJ	PREVOD NA UCET	342	43536	 	EF	16072351
960613	3272	1997-12-11	VYDAJ	PREVOD NA UCET	342	51434	 	EF	16072351
960614	3272	1998-01-11	VYDAJ	PREVOD NA UCET	342	47353	 	EF	16072351
960615	3272	1998-02-11	VYDAJ	PREVOD NA UCET	342	41714	 	EF	16072351
960616	3272	1998-03-11	VYDAJ	PREVOD NA UCET	342	41820	 	EF	16072351
960617	3272	1998-04-11	VYDAJ	PREVOD NA UCET	342	46313	 	EF	16072351
960618	3272	1998-05-11	VYDAJ	PREVOD NA UCET	342	49721	 	EF	16072351
960619	3272	1998-06-11	VYDAJ	PREVOD NA UCET	342	60406	 	EF	16072351
960620	3272	1998-07-11	VYDAJ	PREVOD NA UCET	342	33886	 	EF	16072351
960621	3272	1998-08-11	VYDAJ	PREVOD NA UCET	342	41246	 	EF	16072351
960622	3272	1998-09-11	VYDAJ	PREVOD NA UCET	342	44228	 	EF	16072351
960623	3272	1998-10-11	VYDAJ	PREVOD NA UCET	342	43615	 	EF	16072351
960624	3272	1998-11-11	VYDAJ	PREVOD NA UCET	342	40694	 	EF	16072351
960625	3272	1998-12-11	VYDAJ	PREVOD NA UCET	342	53734	 	EF	16072351
960627	3272	1997-06-15	VYDAJ	VYBER	13120	46149	\N	\N	\N
960628	3272	1998-06-12	VYDAJ	VYBER	44480	15926	\N	\N	\N
960630	3272	1997-01-29	VYDAJ	VYBER	13760	26539	\N	\N	\N
960631	3272	1998-01-24	VYDAJ	VYBER	2240	24047	\N	\N	\N
960633	3272	1997-12-05	VYDAJ	VYBER	1760	23641	\N	\N	\N
960634	3272	1998-12-30	VYDAJ	VYBER	3200	34168	\N	\N	\N
960640	3272	1997-08-10	VYDAJ	VYBER	1200	47436	\N	\N	\N
960641	3272	1997-01-09	VYDAJ	VYBER	1440	61433	\N	\N	\N
960642	3272	1997-07-26	VYDAJ	VYBER	2520	44004	\N	\N	\N
960643	3272	1997-07-18	VYDAJ	VYBER	3360	46524	\N	\N	\N
960644	3272	1998-02-25	VYDAJ	VYBER	2280	24168	\N	\N	\N
960645	3272	1998-11-18	VYDAJ	VYBER	5400	34828	\N	\N	\N
960646	3272	1998-05-22	VYDAJ	VYBER	3000	32455	\N	\N	\N
960660	3272	1997-01-31	VYDAJ	VYBER	15	26742	SLUZBY	\N	\N
960661	3272	1997-02-28	VYDAJ	VYBER	15	31954	SLUZBY	\N	\N
960662	3272	1997-03-31	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
960663	3272	1997-04-30	VYDAJ	VYBER	15	31815	SLUZBY	\N	\N
960664	3272	1997-05-31	VYDAJ	VYBER	15	31942	SLUZBY	\N	\N
960665	3272	1997-06-30	VYDAJ	VYBER	15	32821	SLUZBY	\N	\N
960666	3272	1997-07-31	VYDAJ	VYBER	15	30765	SLUZBY	\N	\N
960667	3272	1997-08-31	VYDAJ	VYBER	15	28980	SLUZBY	\N	\N
960668	3272	1997-09-30	VYDAJ	VYBER	15	31693	SLUZBY	\N	\N
960669	3272	1997-10-31	VYDAJ	VYBER	15	26007	SLUZBY	\N	\N
960670	3272	1997-11-30	VYDAJ	VYBER	15	25401	SLUZBY	\N	\N
960671	3272	1997-12-31	VYDAJ	VYBER	15	29824	SLUZBY	\N	\N
960672	3272	1998-01-31	VYDAJ	VYBER	15	24185	SLUZBY	\N	\N
960673	3272	1998-02-28	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
960674	3272	1998-03-31	VYDAJ	VYBER	15	28784	SLUZBY	\N	\N
960675	3272	1998-04-30	VYDAJ	VYBER	15	32192	SLUZBY	\N	\N
960676	3272	1998-05-31	VYDAJ	VYBER	15	32613	SLUZBY	\N	\N
960677	3272	1998-06-30	VYDAJ	VYBER	15	16357	SLUZBY	\N	\N
960678	3272	1998-07-31	VYDAJ	VYBER	15	23717	SLUZBY	\N	\N
960679	3272	1998-08-31	VYDAJ	VYBER	15	26699	SLUZBY	\N	\N
960680	3272	1998-09-30	VYDAJ	VYBER	15	26086	SLUZBY	\N	\N
960681	3272	1998-10-31	VYDAJ	VYBER	15	23165	SLUZBY	\N	\N
960682	3272	1998-11-30	VYDAJ	VYBER	15	25941	SLUZBY	\N	\N
960683	3272	1996-09-29	PRIJEM	VKLAD	1500	22828	\N	\N	\N
960684	3272	1996-10-29	VYDAJ	VYBER	12000	31362	\N	\N	\N
960685	3272	1996-11-28	VYDAJ	VYBER	14000	37989	\N	\N	\N
960686	3272	1996-12-28	VYDAJ	VYBER	25200	43714	\N	\N	\N
960687	3272	1997-01-27	VYDAJ	VYBER	19200	40299	\N	\N	\N
960688	3272	1997-02-26	VYDAJ	VYBER	12000	31805	\N	\N	\N
960689	3272	1997-03-28	VYDAJ	VYBER	17100	31917	\N	\N	\N
960690	3272	1997-04-27	VYDAJ	VYBER	17500	31647	\N	\N	\N
960691	3272	1997-05-27	VYDAJ	VYBER	17100	31778	\N	\N	\N
960692	3272	1997-06-26	VYDAJ	VYBER	13500	32649	\N	\N	\N
960693	3272	1997-07-26	VYDAJ	VYBER	13400	30604	\N	\N	\N
960694	3272	1997-08-25	VYDAJ	VYBER	17800	28828	\N	\N	\N
960695	3272	1997-09-24	VYDAJ	VYBER	14500	31543	\N	\N	\N
960696	3272	1997-10-24	VYDAJ	VYBER	22900	25856	\N	\N	\N
960697	3272	1997-11-23	VYDAJ	VYBER	17800	25270	\N	\N	\N
960698	3272	1997-12-23	VYDAJ	VYBER	21300	29668	\N	\N	\N
960699	3272	1998-01-22	VYDAJ	VYBER	20600	26287	\N	\N	\N
960700	3272	1998-02-21	VYDAJ	VYBER	14800	26448	\N	\N	\N
960701	3272	1998-03-23	VYDAJ	VYBER	12700	28654	\N	\N	\N
960702	3272	1998-04-22	VYDAJ	VYBER	13800	32047	\N	\N	\N
960703	3272	1998-05-22	VYDAJ	VYBER	13800	35455	\N	\N	\N
960704	3272	1998-06-21	PRIJEM	VKLAD	800	16260	\N	\N	\N
960705	3272	1998-07-21	VYDAJ	VYBER	9800	23620	\N	\N	\N
960706	3272	1998-08-20	VYDAJ	VYBER	14200	26580	\N	\N	\N
960707	3272	1998-09-19	VYDAJ	VYBER	17800	25962	\N	\N	\N
960708	3272	1998-10-19	VYDAJ	VYBER	20100	23049	\N	\N	\N
960709	3272	1998-11-18	VYDAJ	VYBER	9000	25828	\N	\N	\N
960710	3272	1998-12-18	VYDAJ	VYBER	15900	37368	\N	\N	\N
960739	3273	1995-12-29	PRIJEM	VKLAD	600	600	\N	\N	\N
960752	3273	1996-01-09	PRIJEM	PREVOD Z UCTU	49761	50361	\N	ST	48559629
960753	3273	1996-02-09	PRIJEM	PREVOD Z UCTU	49761	89064	\N	ST	48559629
960754	3273	1996-03-09	PRIJEM	PREVOD Z UCTU	49761	107668	\N	ST	48559629
960755	3273	1996-04-09	PRIJEM	PREVOD Z UCTU	49761	88559	\N	ST	48559629
960756	3273	1996-05-09	PRIJEM	PREVOD Z UCTU	49761	104556	\N	ST	48559629
960757	3273	1996-06-09	PRIJEM	PREVOD Z UCTU	74642	133408	\N	ST	48559629
960758	3273	1996-07-09	PRIJEM	PREVOD Z UCTU	49761	62923	\N	ST	48559629
960759	3273	1996-08-09	PRIJEM	PREVOD Z UCTU	49761	84778	\N	ST	48559629
960760	3273	1996-09-09	PRIJEM	PREVOD Z UCTU	49761	87373	\N	ST	48559629
960761	3273	1996-10-09	PRIJEM	PREVOD Z UCTU	49761	92671	\N	ST	48559629
960762	3273	1996-11-09	PRIJEM	PREVOD Z UCTU	49761	82960	\N	ST	48559629
960763	3273	1996-12-09	PRIJEM	PREVOD Z UCTU	74642	113023	\N	ST	48559629
960764	3273	1997-01-09	PRIJEM	PREVOD Z UCTU	49761	94959	\N	ST	48559629
960765	3273	1997-02-09	PRIJEM	PREVOD Z UCTU	49761	84106	\N	ST	48559629
960766	3273	1997-03-09	PRIJEM	PREVOD Z UCTU	49761	89125	\N	ST	48559629
960767	3273	1997-04-09	PRIJEM	PREVOD Z UCTU	49761	55334	\N	ST	48559629
960768	3273	1997-05-09	PRIJEM	PREVOD Z UCTU	49761	67440	\N	ST	48559629
960769	3273	1997-06-09	PRIJEM	PREVOD Z UCTU	74642	100487	\N	ST	48559629
960770	3273	1997-07-09	PRIJEM	PREVOD Z UCTU	49761	59091	\N	ST	48559629
960771	3273	1997-08-09	PRIJEM	PREVOD Z UCTU	49761	66731	\N	ST	48559629
960772	3273	1997-09-09	PRIJEM	PREVOD Z UCTU	49761	70464	\N	ST	48559629
960773	3273	1997-10-09	PRIJEM	PREVOD Z UCTU	49761	73967	\N	ST	48559629
960774	3273	1997-11-09	PRIJEM	PREVOD Z UCTU	49761	72324	\N	ST	48559629
960775	3273	1997-12-09	PRIJEM	PREVOD Z UCTU	74642	101122	\N	ST	48559629
960776	3273	1998-01-09	PRIJEM	PREVOD Z UCTU	49761	46429	\N	ST	48559629
960777	3273	1998-02-09	PRIJEM	PREVOD Z UCTU	49761	44251	\N	ST	48559629
960778	3273	1998-03-09	PRIJEM	PREVOD Z UCTU	49761	56185	\N	ST	48559629
960779	3273	1998-04-09	PRIJEM	PREVOD Z UCTU	49761	62044	\N	ST	48559629
960780	3273	1998-05-09	PRIJEM	PREVOD Z UCTU	49761	65155	\N	ST	48559629
960781	3273	1998-06-09	PRIJEM	PREVOD Z UCTU	74642	91063	\N	ST	48559629
960782	3273	1998-07-09	PRIJEM	PREVOD Z UCTU	49761	48215	\N	ST	48559629
960783	3273	1998-08-09	PRIJEM	PREVOD Z UCTU	49761	54797	\N	ST	48559629
960784	3273	1998-09-09	PRIJEM	PREVOD Z UCTU	49761	52621	\N	ST	48559629
960785	3273	1998-10-09	PRIJEM	PREVOD Z UCTU	49761	44092	\N	ST	48559629
960786	3273	1998-11-09	PRIJEM	PREVOD Z UCTU	49761	47569	\N	ST	48559629
960787	3273	1998-12-09	PRIJEM	PREVOD Z UCTU	74642	84078	\N	ST	48559629
960804	3273	1996-05-12	VYDAJ	VYBER	8300	96256	\N	\N	0
960805	3273	1996-06-12	VYDAJ	VYBER	9100	87608	\N	\N	0
960806	3273	1996-07-12	VYDAJ	VYBER	11500	49023	\N	\N	0
960807	3273	1996-08-11	VYDAJ	VYBER	10600	74178	\N	\N	0
960808	3273	1996-09-06	VYDAJ	VYBER	8100	37612	\N	\N	0
960809	3273	1996-10-05	VYDAJ	VYBER	7800	42910	\N	\N	0
960810	3273	1996-11-11	VYDAJ	VYBER	11700	71260	\N	\N	0
960811	3273	1996-12-11	VYDAJ	VYBER	8200	82223	\N	\N	0
960812	3273	1997-01-22	VYDAJ	VYBER	6400	33959	\N	\N	0
960813	3273	1997-02-13	VYDAJ	VYBER	9500	74606	\N	\N	0
960814	3273	1997-03-25	VYDAJ	VYBER	7500	28905	\N	\N	0
960815	3273	1997-04-15	VYDAJ	VYBER	6700	48634	\N	\N	0
960816	3273	1997-05-03	VYDAJ	VYBER	9000	17679	\N	\N	0
960817	3273	1997-06-09	VYDAJ	VYBER	6700	93787	\N	\N	0
960818	3273	1997-07-22	VYDAJ	VYBER	7800	16734	\N	\N	0
960819	3273	1997-08-18	VYDAJ	VYBER	6900	59831	\N	\N	0
960820	3273	1997-09-02	VYDAJ	VYBER	11800	20703	\N	\N	0
960821	3273	1997-10-12	VYDAJ	PREVOD NA UCET	7876	66091	UVER	GH	14236212
960822	3273	1997-11-12	VYDAJ	PREVOD NA UCET	7876	64448	UVER	GH	14236212
960823	3273	1997-12-12	VYDAJ	PREVOD NA UCET	7876	62346	UVER	GH	14236212
960824	3273	1998-01-12	VYDAJ	VYBER	7900	38529	\N	\N	0
960825	3273	1998-02-12	VYDAJ	VYBER	7900	36351	\N	\N	0
960826	3273	1998-03-12	VYDAJ	VYBER	7900	48285	\N	\N	0
960827	3273	1998-04-12	VYDAJ	PREVOD NA UCET	7876	48768	UVER	GH	14236212
960828	3273	1998-05-12	VYDAJ	PREVOD NA UCET	7876	57279	UVER	GH	14236212
960829	3273	1998-06-12	VYDAJ	PREVOD NA UCET	7876	83187	UVER	GH	14236212
960830	3273	1998-07-12	VYDAJ	PREVOD NA UCET	7876	32839	UVER	GH	14236212
960831	3273	1998-08-12	VYDAJ	PREVOD NA UCET	7876	46921	UVER	GH	14236212
960832	3273	1998-09-12	VYDAJ	PREVOD NA UCET	7876	44745	UVER	GH	14236212
960833	3273	1998-09-30	VYDAJ	VYBER	7200	-5637	\N	\N	0
960834	3273	1998-11-07	VYDAJ	VYBER	8100	-2192	\N	\N	0
960835	3273	1998-12-25	VYDAJ	VYBER	7600	8676	\N	\N	0
960841	3273	1996-11-02	VYBER	VYBER	4293	33199	\N	\N	\N
960842	3273	1997-06-11	VYBER	VYBER	9901	83886	\N	\N	\N
960843	3273	1997-03-30	VYBER	VYBER	23652	5253	\N	\N	\N
960844	3273	1997-07-01	VYBER	VYBER	10892	9330	\N	\N	\N
960845	3273	1997-10-16	VYBER	VYBER	12947	53144	\N	\N	\N
960846	3273	1997-12-26	VYBER	VYBER	13975	-3530	\N	\N	\N
960847	3273	1997-12-23	VYBER	VYBER	15501	10445	\N	\N	\N
960848	3273	1997-09-19	VYBER	VYBER	17253	53211	\N	\N	\N
960849	3273	1997-03-18	VYBER	VYBER	5620	83505	\N	\N	\N
960850	3273	1997-07-18	VYBER	VYBER	10857	48234	\N	\N	\N
960852	3273	1998-12-30	VYBER	VYBER	14877	-6201	\N	\N	\N
960853	3273	1998-12-16	VYBER	VYBER	4402	22276	\N	\N	\N
960855	3273	1996-06-21	VYDAJ	VYBER	78900	8708	\N	\N	\N
960856	3273	1997-06-19	VYDAJ	VYBER	44400	39486	\N	\N	\N
960857	3273	1998-06-17	VYDAJ	VYBER	27000	-1613	\N	\N	\N
960860	3273	1997-01-17	VYDAJ	VYBER	23100	71859	\N	\N	\N
960861	3273	1998-01-25	VYDAJ	VYBER	19200	-5471	\N	\N	\N
960863	3273	1996-12-16	VYDAJ	VYBER	2100	80123	\N	\N	\N
960864	3273	1997-12-15	VYDAJ	VYBER	4800	57546	\N	\N	\N
960865	3273	1998-12-17	VYDAJ	VYBER	6000	16276	\N	\N	\N
960870	3273	1996-07-09	VYDAJ	VYBER	2400	60523	\N	\N	\N
960871	3273	1997-05-17	VYDAJ	VYBER	13800	53640	\N	\N	\N
960872	3273	1997-03-24	VYDAJ	VYBER	12300	36405	\N	\N	\N
960873	3273	1997-11-26	VYDAJ	VYBER	2400	26248	\N	\N	\N
960874	3273	1998-04-12	VYDAJ	VYBER	5400	56644	\N	\N	\N
960875	3273	1998-09-21	VYDAJ	VYBER	5100	1545	\N	\N	\N
960876	3273	1998-08-27	VYDAJ	VYBER	6900	2821	\N	\N	\N
960877	3273	1998-02-27	VYDAJ	VYBER	3600	6451	\N	\N	\N
960878	3273	1998-07-11	VYDAJ	VYBER	7500	40715	\N	\N	\N
960896	3273	1996-05-31	VYDAJ	VYBER	15	58766	SLUZBY	\N	\N
960897	3273	1996-06-30	VYDAJ	VYBER	15	13162	SLUZBY	\N	\N
960898	3273	1996-07-31	VYDAJ	VYBER	15	35017	SLUZBY	\N	\N
960899	3273	1996-08-31	VYDAJ	VYBER	15	45712	SLUZBY	\N	\N
960900	3273	1996-09-30	VYDAJ	VYBER	15	50710	SLUZBY	\N	\N
960901	3273	1996-10-31	VYDAJ	VYBER	15	37492	SLUZBY	\N	\N
960902	3273	1996-11-30	VYDAJ	VYBER	15	38381	SLUZBY	\N	\N
960903	3273	1996-12-31	VYDAJ	VYBER	15	45198	SLUZBY	\N	\N
960904	3273	1997-01-31	VYDAJ	VYBER	15	34345	SLUZBY	\N	\N
960905	3273	1997-02-28	VYDAJ	VYBER	15	39364	SLUZBY	\N	\N
960906	3273	1997-03-31	VYDAJ	VYBER	15	5573	SLUZBY	\N	\N
960907	3273	1997-04-30	VYDAJ	VYBER	15	26679	SLUZBY	\N	\N
960908	3273	1997-05-31	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
960909	3273	1997-06-30	VYDAJ	VYBER	15	20222	SLUZBY	\N	\N
960910	3273	1997-07-31	VYDAJ	VYBER	15	16970	SLUZBY	\N	\N
960911	3273	1997-08-31	VYDAJ	VYBER	15	32503	SLUZBY	\N	\N
960912	3273	1997-09-30	VYDAJ	VYBER	15	24206	SLUZBY	\N	\N
960913	3273	1997-10-31	VYDAJ	VYBER	15	22563	SLUZBY	\N	\N
960914	3273	1997-11-30	VYDAJ	VYBER	15	26480	SLUZBY	\N	\N
960915	3273	1997-12-31	VYDAJ	VYBER	15	-3332	SLUZBY	\N	\N
960916	3273	1998-01-31	VYDAJ	VYBER	15	-5418	SLUZBY	\N	\N
960917	3273	1998-02-28	VYDAJ	VYBER	15	6459	SLUZBY	\N	\N
960918	3273	1998-03-31	VYDAJ	VYBER	15	12283	SLUZBY	\N	\N
960919	3273	1998-04-30	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
960920	3273	1998-05-31	VYDAJ	VYBER	15	16421	SLUZBY	\N	\N
960921	3273	1998-06-30	VYDAJ	VYBER	15	-1546	SLUZBY	\N	\N
960922	3273	1998-07-31	VYDAJ	VYBER	15	5036	SLUZBY	\N	\N
960923	3273	1998-08-31	VYDAJ	VYBER	15	2860	SLUZBY	\N	\N
960924	3273	1998-09-30	VYDAJ	VYBER	15	-5669	SLUZBY	\N	\N
960925	3273	1998-10-31	VYDAJ	VYBER	15	5908	SLUZBY	\N	\N
960926	3273	1998-11-30	VYDAJ	VYBER	15	9436	SLUZBY	\N	\N
960927	3273	1996-01-28	VYDAJ	VYBER	11100	39261	\N	\N	\N
960928	3273	1996-02-27	VYDAJ	VYBER	31500	57564	\N	\N	\N
960929	3273	1996-03-09	VYDAJ	VYBER	55700	51968	\N	\N	\N
960930	3273	1996-03-28	VYDAJ	VYBER	13600	38368	\N	\N	\N
960931	3273	1996-04-27	VYDAJ	VYBER	34100	54459	\N	\N	\N
960932	3273	1996-05-27	VYDAJ	VYBER	38100	58156	\N	\N	\N
960933	3273	1996-06-09	VYDAJ	VYBER	36700	96708	\N	\N	\N
960934	3273	1996-06-26	PRIJEM	VKLAD	4000	12708	\N	\N	\N
960935	3273	1996-07-26	VYDAJ	VYBER	14300	34723	\N	\N	\N
960936	3273	1996-08-25	VYDAJ	VYBER	28900	45278	\N	\N	\N
960937	3273	1996-09-24	VYDAJ	VYBER	37200	50173	\N	\N	\N
960938	3273	1996-10-09	VYDAJ	VYBER	27800	64871	\N	\N	\N
960939	3273	1996-10-24	VYDAJ	VYBER	27800	37071	\N	\N	\N
960940	3273	1996-11-23	VYDAJ	VYBER	33300	37960	\N	\N	\N
960941	3273	1996-12-09	VYDAJ	VYBER	22600	90423	\N	\N	\N
960942	3273	1996-12-23	VYDAJ	VYBER	35400	44723	\N	\N	\N
960943	3273	1997-01-22	VYDAJ	VYBER	31500	40359	\N	\N	\N
960944	3273	1997-02-21	VYDAJ	VYBER	35600	39006	\N	\N	\N
960945	3273	1997-03-23	VYDAJ	VYBER	34800	48705	\N	\N	\N
960946	3273	1997-04-22	VYDAJ	VYBER	22100	26534	\N	\N	\N
960947	3273	1997-05-22	VYDAJ	VYBER	28100	25540	\N	\N	\N
960948	3273	1997-06-21	VYDAJ	VYBER	19600	19886	\N	\N	\N
960949	3273	1997-07-21	VYDAJ	VYBER	23700	24534	\N	\N	\N
960950	3273	1997-08-20	VYDAJ	VYBER	27500	32331	\N	\N	\N
960951	3273	1997-09-19	VYDAJ	VYBER	29400	23811	\N	\N	\N
960952	3273	1997-10-19	VYDAJ	VYBER	30800	22344	\N	\N	\N
960953	3273	1997-11-18	VYDAJ	VYBER	35800	28648	\N	\N	\N
960954	3273	1997-12-09	VYDAJ	VYBER	30900	70222	\N	\N	\N
960955	3273	1997-12-18	VYDAJ	VYBER	31600	25946	\N	\N	\N
960956	3273	1998-01-17	VYDAJ	VYBER	24800	13729	\N	\N	\N
960957	3273	1998-02-16	VYDAJ	VYBER	26300	10051	\N	\N	\N
960958	3273	1998-03-18	VYDAJ	VYBER	36100	12185	\N	\N	\N
960959	3273	1998-04-17	VYDAJ	VYBER	33500	15268	\N	\N	\N
960960	3273	1998-05-17	VYDAJ	VYBER	41000	16279	\N	\N	\N
960961	3273	1998-06-16	VYDAJ	VYBER	57800	25387	\N	\N	\N
960962	3273	1998-07-16	VYDAJ	VYBER	27800	5039	\N	\N	\N
960963	3273	1998-08-15	VYDAJ	VYBER	37200	9721	\N	\N	\N
960964	3273	1998-09-14	VYDAJ	VYBER	38100	6645	\N	\N	\N
960965	3273	1998-10-14	VYDAJ	VYBER	38100	5992	\N	\N	\N
960966	3273	1998-11-13	VYDAJ	VYBER	38200	9369	\N	\N	\N
960967	3273	1998-12-13	VYDAJ	VYBER	57400	26678	\N	\N	\N
961007	3274	1997-09-17	PRIJEM	VKLAD	400	400	\N	\N	\N
961017	3274	1997-10-08	PRIJEM	VKLAD	22785	23185	\N	\N	\N
961018	3274	1997-11-08	PRIJEM	VKLAD	22785	47420	\N	\N	\N
961019	3274	1997-12-08	PRIJEM	VKLAD	34178	70324	\N	\N	\N
961020	3274	1998-01-08	PRIJEM	VKLAD	22785	66575	\N	\N	\N
961021	3274	1998-02-08	PRIJEM	VKLAD	22785	66542	\N	\N	\N
961022	3274	1998-03-08	PRIJEM	VKLAD	22785	64234	\N	\N	\N
961023	3274	1998-04-08	PRIJEM	VKLAD	22785	60519	\N	\N	\N
961024	3274	1998-05-08	PRIJEM	VKLAD	22785	59691	\N	\N	\N
961025	3274	1998-06-08	PRIJEM	VKLAD	34178	66338	\N	\N	\N
961026	3274	1998-07-08	PRIJEM	VKLAD	22785	39493	\N	\N	\N
961027	3274	1998-08-08	PRIJEM	VKLAD	22785	45286	\N	\N	\N
961028	3274	1998-09-08	PRIJEM	VKLAD	22785	46839	\N	\N	\N
961029	3274	1998-10-08	PRIJEM	VKLAD	22785	49075	\N	\N	\N
961030	3274	1998-11-08	PRIJEM	VKLAD	22785	45498	\N	\N	\N
961031	3274	1998-12-08	PRIJEM	VKLAD	34178	52445	\N	\N	\N
961045	3274	1998-02-08	VYDAJ	PREVOD NA UCET	5775	60767	SIPO	IJ	82867139
961046	3274	1998-03-08	VYDAJ	PREVOD NA UCET	5775	58459	SIPO	IJ	82867139
961047	3274	1998-04-08	VYDAJ	PREVOD NA UCET	5775	54744	SIPO	IJ	82867139
961048	3274	1998-05-08	VYDAJ	PREVOD NA UCET	5775	53916	SIPO	IJ	82867139
961049	3274	1998-06-08	VYDAJ	PREVOD NA UCET	5775	60563	SIPO	IJ	82867139
961050	3274	1998-07-08	VYDAJ	PREVOD NA UCET	5775	33718	SIPO	IJ	82867139
961051	3274	1998-08-08	VYDAJ	PREVOD NA UCET	5775	39511	SIPO	IJ	82867139
961052	3274	1998-09-08	VYDAJ	PREVOD NA UCET	5775	41064	SIPO	IJ	82867139
961053	3274	1998-10-08	VYDAJ	PREVOD NA UCET	5775	43300	SIPO	IJ	82867139
961054	3274	1998-11-08	VYDAJ	PREVOD NA UCET	5775	39723	SIPO	IJ	82867139
961055	3274	1998-12-08	VYDAJ	PREVOD NA UCET	5775	46670	SIPO	IJ	82867139
961057	3274	1998-06-09	VYDAJ	VYBER	30240	30323	\N	\N	\N
961061	3274	1998-12-26	VYDAJ	VYBER	960	28210	\N	\N	\N
961077	3274	1998-12-17	VYDAJ	VYBER	600	29170	\N	\N	\N
961078	3274	1998-11-15	VYDAJ	VYBER	3960	20463	\N	\N	\N
961079	3274	1998-11-27	VYDAJ	VYBER	2280	18183	\N	\N	\N
961080	3274	1998-10-07	VYDAJ	VYBER	2280	26290	\N	\N	\N
961081	3274	1998-08-23	VYDAJ	VYBER	3360	23951	\N	\N	\N
961082	3274	1998-10-31	VYDAJ	VYBER	5400	22713	\N	\N	\N
961097	3274	1998-02-28	VYDAJ	VYBER	15	41449	SLUZBY	\N	\N
961098	3274	1998-03-31	VYDAJ	VYBER	15	37734	SLUZBY	\N	\N
961099	3274	1998-04-30	VYDAJ	VYBER	15	36906	SLUZBY	\N	\N
961100	3274	1998-05-31	VYDAJ	VYBER	15	32160	SLUZBY	\N	\N
961101	3274	1998-06-30	VYDAJ	VYBER	15	16708	SLUZBY	\N	\N
961102	3274	1998-07-31	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
961103	3274	1998-08-31	VYDAJ	VYBER	15	24054	SLUZBY	\N	\N
961104	3274	1998-09-30	VYDAJ	VYBER	15	28570	SLUZBY	\N	\N
961105	3274	1998-10-31	VYDAJ	VYBER	15	28113	SLUZBY	\N	\N
961106	3274	1998-11-30	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
961107	3274	1997-10-17	PRIJEM	VKLAD	1400	24585	\N	\N	\N
961108	3274	1997-11-16	VYDAJ	VYBER	11400	36020	\N	\N	\N
961109	3274	1997-12-16	VYDAJ	VYBER	26700	43624	\N	\N	\N
961110	3274	1998-01-15	VYDAJ	VYBER	23000	43575	\N	\N	\N
961111	3274	1998-02-14	VYDAJ	VYBER	19500	41267	\N	\N	\N
961112	3274	1998-03-16	VYDAJ	VYBER	20900	37559	\N	\N	\N
961113	3274	1998-04-15	VYDAJ	VYBER	18000	36744	\N	\N	\N
961114	3274	1998-05-15	VYDAJ	VYBER	21900	32016	\N	\N	\N
961115	3274	1998-06-14	VYDAJ	VYBER	13700	16623	\N	\N	\N
961116	3274	1998-07-14	VYDAJ	VYBER	11300	22418	\N	\N	\N
961117	3274	1998-08-13	VYDAJ	VYBER	12200	27311	\N	\N	\N
961118	3274	1998-09-12	VYDAJ	VYBER	12600	28464	\N	\N	\N
961119	3274	1998-10-12	VYDAJ	VYBER	15300	28000	\N	\N	\N
961120	3274	1998-11-11	VYDAJ	VYBER	15300	24423	\N	\N	\N
961121	3274	1998-12-11	VYDAJ	VYBER	16900	29770	\N	\N	\N
961137	3275	1994-06-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
961144	3275	1994-07-06	PRIJEM	VKLAD	6920	7920	\N	\N	\N
961145	3275	1994-08-06	PRIJEM	VKLAD	6920	20546	\N	\N	\N
961146	3275	1994-09-06	PRIJEM	VKLAD	6920	28226	\N	\N	\N
961147	3275	1994-10-06	PRIJEM	VKLAD	6920	31437	\N	\N	\N
961148	3275	1994-11-06	PRIJEM	VKLAD	6920	35661	\N	\N	\N
961149	3275	1994-12-06	PRIJEM	VKLAD	10380	36776	\N	\N	\N
961150	3275	1995-01-06	PRIJEM	VKLAD	6920	29036	\N	\N	\N
961151	3275	1995-02-06	PRIJEM	VKLAD	6920	27689	\N	\N	\N
961152	3275	1995-03-06	PRIJEM	VKLAD	6920	29952	\N	\N	\N
961153	3275	1995-04-06	PRIJEM	VKLAD	6920	33087	\N	\N	\N
961154	3275	1995-05-06	PRIJEM	VKLAD	6920	31932	\N	\N	\N
961155	3275	1995-06-06	PRIJEM	VKLAD	10380	34638	\N	\N	\N
961156	3275	1995-07-06	PRIJEM	VKLAD	6920	33789	\N	\N	\N
961157	3275	1995-08-06	PRIJEM	VKLAD	6920	33536	\N	\N	\N
961158	3275	1995-09-06	PRIJEM	VKLAD	6920	34296	\N	\N	\N
961159	3275	1995-10-06	PRIJEM	VKLAD	6920	27179	\N	\N	\N
961160	3275	1995-11-06	PRIJEM	VKLAD	6920	29906	\N	\N	\N
961161	3275	1995-12-06	PRIJEM	VKLAD	10380	36400	\N	\N	\N
961162	3275	1996-01-06	PRIJEM	VKLAD	6920	27260	\N	\N	\N
961163	3275	1996-02-06	PRIJEM	VKLAD	6920	20130	\N	\N	\N
961164	3275	1996-03-06	PRIJEM	VKLAD	6920	24425	\N	\N	\N
961165	3275	1996-04-06	PRIJEM	VKLAD	6920	23254	\N	\N	\N
961166	3275	1996-05-06	PRIJEM	VKLAD	6920	25062	\N	\N	\N
961167	3275	1996-06-06	PRIJEM	VKLAD	10380	28734	\N	\N	\N
961168	3275	1996-07-06	PRIJEM	VKLAD	6920	28853	\N	\N	\N
961169	3275	1996-08-06	PRIJEM	VKLAD	6920	28977	\N	\N	\N
961170	3275	1996-09-06	PRIJEM	VKLAD	6920	25994	\N	\N	\N
961171	3275	1996-10-06	PRIJEM	VKLAD	6920	28011	\N	\N	\N
961172	3275	1996-11-06	PRIJEM	VKLAD	6920	27329	\N	\N	\N
961173	3275	1996-12-06	PRIJEM	VKLAD	10380	33911	\N	\N	\N
961174	3275	1997-01-06	PRIJEM	VKLAD	6920	32992	\N	\N	\N
961175	3275	1997-02-06	PRIJEM	VKLAD	6920	22912	\N	\N	\N
961176	3275	1997-03-06	PRIJEM	VKLAD	6920	27625	\N	\N	\N
961177	3275	1997-04-06	PRIJEM	VKLAD	6920	29848	\N	\N	\N
961178	3275	1997-05-06	PRIJEM	VKLAD	6920	34785	\N	\N	\N
961179	3275	1997-06-06	PRIJEM	VKLAD	10380	34785	\N	\N	\N
961180	3275	1997-07-06	PRIJEM	VKLAD	6920	31217	\N	\N	\N
961181	3275	1997-08-06	PRIJEM	VKLAD	6920	29744	\N	\N	\N
961182	3275	1997-09-06	PRIJEM	VKLAD	6920	21167	\N	\N	\N
961183	3275	1997-10-06	PRIJEM	VKLAD	6920	30597	\N	\N	\N
961184	3275	1997-11-06	PRIJEM	VKLAD	6920	35747	\N	\N	\N
961185	3275	1997-12-06	PRIJEM	VKLAD	10380	29288	\N	\N	\N
961186	3275	1998-01-06	PRIJEM	VKLAD	6920	29160	\N	\N	\N
961187	3275	1998-02-06	PRIJEM	VKLAD	6920	21711	\N	\N	\N
961188	3275	1998-03-06	PRIJEM	VKLAD	6920	22512	\N	\N	\N
961189	3275	1998-04-06	PRIJEM	VKLAD	6920	21702	\N	\N	\N
961190	3275	1998-05-06	PRIJEM	VKLAD	6920	20689	\N	\N	\N
961191	3275	1998-06-06	PRIJEM	VKLAD	10380	27344	\N	\N	\N
961192	3275	1998-07-06	PRIJEM	VKLAD	6920	20934	\N	\N	\N
961193	3275	1998-08-06	PRIJEM	VKLAD	6920	20219	\N	\N	\N
961194	3275	1998-09-06	PRIJEM	VKLAD	6920	16398	\N	\N	\N
961195	3275	1998-10-06	PRIJEM	VKLAD	6920	20176	\N	\N	\N
961196	3275	1998-11-06	PRIJEM	VKLAD	6920	18755	\N	\N	\N
961197	3275	1998-12-06	PRIJEM	VKLAD	10380	26010	\N	\N	\N
961208	3275	1994-11-11	VYDAJ	PREVOD NA UCET	120	35541	SIPO	GH	91385793
961209	3275	1994-12-11	VYDAJ	PREVOD NA UCET	120	35216	SIPO	GH	91385793
961210	3275	1995-01-11	VYDAJ	PREVOD NA UCET	120	27836	SIPO	GH	91385793
961211	3275	1995-02-11	VYDAJ	PREVOD NA UCET	120	22353	SIPO	GH	91385793
961212	3275	1995-03-11	VYDAJ	PREVOD NA UCET	120	29832	SIPO	GH	91385793
961213	3275	1995-04-11	VYDAJ	PREVOD NA UCET	120	32967	SIPO	GH	91385793
961214	3275	1995-05-11	VYDAJ	PREVOD NA UCET	120	31812	SIPO	GH	91385793
961215	3275	1995-06-11	VYDAJ	PREVOD NA UCET	120	34518	SIPO	GH	91385793
961216	3275	1995-07-11	VYDAJ	PREVOD NA UCET	120	33669	SIPO	GH	91385793
961217	3275	1995-08-11	VYDAJ	PREVOD NA UCET	120	25680	SIPO	GH	91385793
961218	3275	1995-09-11	VYDAJ	PREVOD NA UCET	120	31120	SIPO	GH	91385793
961219	3275	1995-10-11	VYDAJ	PREVOD NA UCET	120	27059	SIPO	GH	91385793
961220	3275	1995-11-11	VYDAJ	PREVOD NA UCET	120	26730	SIPO	GH	91385793
961221	3275	1995-12-11	VYDAJ	PREVOD NA UCET	120	33224	SIPO	GH	91385793
961222	3275	1996-01-11	VYDAJ	PREVOD NA UCET	120	22100	SIPO	GH	91385793
961223	3275	1996-02-11	VYDAJ	PREVOD NA UCET	120	16954	SIPO	GH	91385793
961224	3275	1996-03-11	VYDAJ	PREVOD NA UCET	120	21249	SIPO	GH	91385793
961225	3275	1996-04-11	VYDAJ	PREVOD NA UCET	120	23134	SIPO	GH	91385793
961226	3275	1996-05-11	VYDAJ	PREVOD NA UCET	120	24942	SIPO	GH	91385793
961227	3275	1996-06-11	VYDAJ	PREVOD NA UCET	120	25558	SIPO	GH	91385793
961228	3275	1996-07-11	VYDAJ	PREVOD NA UCET	120	25677	SIPO	GH	91385793
961229	3275	1996-08-11	VYDAJ	PREVOD NA UCET	120	25801	SIPO	GH	91385793
961230	3275	1996-09-11	VYDAJ	PREVOD NA UCET	120	25874	SIPO	GH	91385793
961231	3275	1996-10-11	VYDAJ	PREVOD NA UCET	120	24835	SIPO	GH	91385793
961232	3275	1996-11-11	VYDAJ	PREVOD NA UCET	120	24153	SIPO	GH	91385793
961233	3275	1996-12-11	VYDAJ	PREVOD NA UCET	120	33791	SIPO	GH	91385793
961234	3275	1997-01-11	VYDAJ	PREVOD NA UCET	120	28016	SIPO	GH	91385793
961235	3275	1997-02-11	VYDAJ	PREVOD NA UCET	120	22792	SIPO	GH	91385793
961236	3275	1997-03-11	VYDAJ	PREVOD NA UCET	120	27505	SIPO	GH	91385793
961237	3275	1997-04-11	VYDAJ	PREVOD NA UCET	120	29728	SIPO	GH	91385793
961238	3275	1997-05-11	VYDAJ	PREVOD NA UCET	120	31609	SIPO	GH	91385793
961239	3275	1997-06-11	VYDAJ	PREVOD NA UCET	120	34665	SIPO	GH	91385793
961240	3275	1997-07-11	VYDAJ	PREVOD NA UCET	120	28041	SIPO	GH	91385793
961241	3275	1997-08-11	VYDAJ	PREVOD NA UCET	120	29624	SIPO	GH	91385793
961242	3275	1997-09-11	VYDAJ	PREVOD NA UCET	120	26647	SIPO	GH	91385793
961243	3275	1997-10-11	VYDAJ	PREVOD NA UCET	120	31777	SIPO	GH	91385793
961244	3275	1997-11-11	VYDAJ	PREVOD NA UCET	120	27527	SIPO	GH	91385793
961245	3275	1997-12-11	VYDAJ	PREVOD NA UCET	120	27608	SIPO	GH	91385793
961246	3275	1998-01-11	VYDAJ	PREVOD NA UCET	120	23660	SIPO	GH	91385793
961247	3275	1998-02-11	VYDAJ	PREVOD NA UCET	120	18591	SIPO	GH	91385793
961248	3275	1998-03-11	VYDAJ	PREVOD NA UCET	120	17792	SIPO	GH	91385793
961249	3275	1998-04-11	VYDAJ	PREVOD NA UCET	120	16782	SIPO	GH	91385793
961250	3275	1998-05-11	VYDAJ	PREVOD NA UCET	120	16913	SIPO	GH	91385793
961251	3275	1998-06-11	VYDAJ	PREVOD NA UCET	120	13968	SIPO	GH	91385793
961252	3275	1998-07-11	VYDAJ	PREVOD NA UCET	120	13258	SIPO	GH	91385793
961253	3275	1998-08-11	VYDAJ	PREVOD NA UCET	120	12499	SIPO	GH	91385793
961254	3275	1998-09-11	VYDAJ	PREVOD NA UCET	120	13222	SIPO	GH	91385793
961255	3275	1998-10-11	VYDAJ	PREVOD NA UCET	120	14856	SIPO	GH	91385793
961256	3275	1998-11-11	VYDAJ	PREVOD NA UCET	120	18635	SIPO	GH	91385793
961257	3275	1998-12-11	VYDAJ	PREVOD NA UCET	120	25890	SIPO	GH	91385793
961268	3275	1994-11-11	VYDAJ	PREVOD NA UCET	3056	32485	 	CD	69099885
961269	3275	1994-12-11	VYDAJ	PREVOD NA UCET	3056	32160	 	CD	69099885
961270	3275	1995-01-11	VYDAJ	PREVOD NA UCET	3056	24780	 	CD	69099885
961271	3275	1995-02-11	VYDAJ	PREVOD NA UCET	3056	22473	 	CD	69099885
961272	3275	1995-03-11	VYDAJ	PREVOD NA UCET	3056	26776	 	CD	69099885
961273	3275	1995-04-11	VYDAJ	PREVOD NA UCET	3056	29911	 	CD	69099885
961274	3275	1995-05-11	VYDAJ	PREVOD NA UCET	3056	28756	 	CD	69099885
961275	3275	1995-06-11	VYDAJ	PREVOD NA UCET	3056	31462	 	CD	69099885
961276	3275	1995-07-11	VYDAJ	PREVOD NA UCET	3056	30613	 	CD	69099885
961277	3275	1995-08-11	VYDAJ	PREVOD NA UCET	3056	25800	 	CD	69099885
961278	3275	1995-09-11	VYDAJ	PREVOD NA UCET	3056	31240	 	CD	69099885
961279	3275	1995-10-11	VYDAJ	PREVOD NA UCET	3056	24003	 	CD	69099885
961280	3275	1995-11-11	VYDAJ	PREVOD NA UCET	3056	26850	 	CD	69099885
961281	3275	1995-12-11	VYDAJ	PREVOD NA UCET	3056	33344	 	CD	69099885
961282	3275	1996-01-11	VYDAJ	PREVOD NA UCET	3056	19044	 	CD	69099885
961283	3275	1996-02-11	VYDAJ	PREVOD NA UCET	3056	17074	 	CD	69099885
961284	3275	1996-03-11	VYDAJ	PREVOD NA UCET	3056	21369	 	CD	69099885
961285	3275	1996-04-11	VYDAJ	PREVOD NA UCET	3056	20078	 	CD	69099885
961286	3275	1996-05-11	VYDAJ	PREVOD NA UCET	3056	21886	 	CD	69099885
961287	3275	1996-06-11	VYDAJ	PREVOD NA UCET	3056	25678	 	CD	69099885
961288	3275	1996-07-11	VYDAJ	PREVOD NA UCET	3056	25797	 	CD	69099885
961289	3275	1996-08-11	VYDAJ	PREVOD NA UCET	3056	25921	 	CD	69099885
961290	3275	1996-09-11	VYDAJ	PREVOD NA UCET	3056	22818	 	CD	69099885
961291	3275	1996-10-11	VYDAJ	PREVOD NA UCET	3056	24955	 	CD	69099885
961292	3275	1996-11-11	VYDAJ	PREVOD NA UCET	3056	24273	 	CD	69099885
961293	3275	1996-12-11	VYDAJ	PREVOD NA UCET	3056	30735	 	CD	69099885
961294	3275	1997-01-11	VYDAJ	PREVOD NA UCET	3056	29936	 	CD	69099885
961295	3275	1997-02-11	VYDAJ	PREVOD NA UCET	3056	19736	 	CD	69099885
961296	3275	1997-03-11	VYDAJ	PREVOD NA UCET	3056	24449	 	CD	69099885
961297	3275	1997-04-11	VYDAJ	PREVOD NA UCET	3056	26672	 	CD	69099885
961298	3275	1997-05-11	VYDAJ	PREVOD NA UCET	3056	31729	 	CD	69099885
961299	3275	1997-06-11	VYDAJ	PREVOD NA UCET	3056	31609	 	CD	69099885
961300	3275	1997-07-11	VYDAJ	PREVOD NA UCET	3056	28161	 	CD	69099885
961301	3275	1997-08-11	VYDAJ	PREVOD NA UCET	3056	26568	 	CD	69099885
961302	3275	1997-09-11	VYDAJ	PREVOD NA UCET	3056	23591	 	CD	69099885
961303	3275	1997-10-11	VYDAJ	PREVOD NA UCET	3056	28721	 	CD	69099885
961304	3275	1997-11-11	VYDAJ	PREVOD NA UCET	3056	24471	 	CD	69099885
961305	3275	1997-12-11	VYDAJ	PREVOD NA UCET	3056	24552	 	CD	69099885
961306	3275	1998-01-11	VYDAJ	PREVOD NA UCET	3056	20604	 	CD	69099885
961307	3275	1998-02-11	VYDAJ	PREVOD NA UCET	3056	15535	 	CD	69099885
961308	3275	1998-03-11	VYDAJ	PREVOD NA UCET	3056	14736	 	CD	69099885
961309	3275	1998-04-11	VYDAJ	PREVOD NA UCET	3056	13726	 	CD	69099885
961310	3275	1998-05-11	VYDAJ	PREVOD NA UCET	3056	17033	 	CD	69099885
961311	3275	1998-06-11	VYDAJ	PREVOD NA UCET	3056	14088	 	CD	69099885
961312	3275	1998-07-11	VYDAJ	PREVOD NA UCET	3056	13378	 	CD	69099885
961313	3275	1998-08-11	VYDAJ	PREVOD NA UCET	3056	9443	 	CD	69099885
961314	3275	1998-09-11	VYDAJ	PREVOD NA UCET	3056	13342	 	CD	69099885
961315	3275	1998-10-11	VYDAJ	PREVOD NA UCET	3056	11800	 	CD	69099885
961316	3275	1998-11-11	VYDAJ	PREVOD NA UCET	3056	15579	 	CD	69099885
961317	3275	1998-12-11	VYDAJ	PREVOD NA UCET	3056	22834	 	CD	69099885
961318	3275	1994-12-09	VYDAJ	VYBER	1440	35336	\N	\N	\N
961319	3275	1995-12-23	VYDAJ	VYBER	3520	22404	\N	\N	\N
961320	3275	1996-12-15	VYDAJ	VYBER	2720	28015	\N	\N	\N
961321	3275	1997-12-10	VYDAJ	VYBER	960	28328	\N	\N	\N
961322	3275	1998-12-18	VYDAJ	VYBER	1280	21554	\N	\N	\N
961329	3275	1995-01-28	VYDAJ	VYBER	2760	20680	\N	\N	\N
961330	3275	1995-01-06	VYDAJ	VYBER	1080	27956	\N	\N	\N
961331	3275	1995-01-05	VYDAJ	VYBER	1440	22116	\N	\N	\N
961332	3275	1995-01-17	VYDAJ	VYBER	600	24180	\N	\N	\N
961333	3275	1995-01-21	VYDAJ	VYBER	3240	20940	\N	\N	\N
961334	3275	1995-01-03	VYDAJ	VYBER	2520	23556	\N	\N	\N
961335	3275	1996-01-24	VYDAJ	VYBER	1440	17104	\N	\N	\N
961336	3275	1996-01-25	VYDAJ	VYBER	2760	14344	\N	\N	\N
961337	3275	1996-01-25	VYDAJ	VYBER	1200	13144	\N	\N	\N
961338	3275	1996-01-04	VYDAJ	VYBER	2160	20340	\N	\N	\N
961339	3275	1996-01-06	VYDAJ	VYBER	1680	25580	\N	\N	\N
961340	3275	1996-01-10	VYDAJ	VYBER	3360	22220	\N	\N	\N
961341	3275	1997-01-23	VYDAJ	VYBER	2760	23456	\N	\N	\N
961342	3275	1997-01-14	VYDAJ	VYBER	600	26216	\N	\N	\N
961343	3275	1997-01-29	VYDAJ	VYBER	3240	19376	\N	\N	\N
961344	3275	1997-01-11	VYDAJ	VYBER	1800	28136	\N	\N	\N
961345	3275	1997-01-25	VYDAJ	VYBER	840	22616	\N	\N	\N
961346	3275	1997-01-02	VYDAJ	VYBER	2040	26072	\N	\N	\N
961347	3275	1998-01-24	VYDAJ	VYBER	720	14724	\N	\N	\N
961348	3275	1998-01-12	VYDAJ	VYBER	1800	18804	\N	\N	\N
961350	3275	1998-01-19	VYDAJ	VYBER	1680	17124	\N	\N	\N
961351	3275	1998-01-02	VYDAJ	VYBER	2400	22240	\N	\N	\N
961352	3275	1998-01-23	VYDAJ	VYBER	1680	15444	\N	\N	\N
961357	3275	1995-08-09	VYDAJ	VYBER	4680	28856	\N	\N	\N
961358	3275	1995-09-25	VYDAJ	VYBER	5760	20160	\N	\N	\N
961359	3275	1995-12-16	VYDAJ	VYBER	4200	29024	\N	\N	\N
961360	3275	1995-02-07	VYDAJ	VYBER	2160	25529	\N	\N	\N
961362	3275	1996-03-20	VYDAJ	VYBER	3480	16269	\N	\N	\N
961363	3275	1997-01-31	VYDAJ	VYBER	3480	15992	\N	\N	\N
961364	3275	1997-05-21	VYDAJ	VYBER	2400	24309	\N	\N	\N
961365	3275	1997-09-03	VYDAJ	VYBER	4800	14247	\N	\N	\N
961366	3275	1997-08-26	VYDAJ	VYBER	5400	18968	\N	\N	\N
961367	3275	1997-11-13	VYDAJ	VYBER	5640	18831	\N	\N	\N
961372	3275	1998-01-09	VYDAJ	VYBER	5280	23780	\N	\N	\N
961385	3275	1994-11-30	VYDAJ	VYBER	15	26396	SLUZBY	\N	\N
961386	3275	1994-12-31	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
961387	3275	1995-01-31	VYDAJ	VYBER	15	20769	SLUZBY	\N	\N
961388	3275	1995-02-28	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
961389	3275	1995-03-31	VYDAJ	VYBER	15	26167	SLUZBY	\N	\N
961390	3275	1995-04-30	VYDAJ	VYBER	15	25012	SLUZBY	\N	\N
961391	3275	1995-05-31	VYDAJ	VYBER	15	24258	SLUZBY	\N	\N
961392	3275	1995-06-30	VYDAJ	VYBER	15	26869	SLUZBY	\N	\N
961393	3275	1995-07-31	VYDAJ	VYBER	15	26616	SLUZBY	\N	\N
961394	3275	1995-08-31	VYDAJ	VYBER	15	27376	SLUZBY	\N	\N
961395	3275	1995-09-30	VYDAJ	VYBER	15	20259	SLUZBY	\N	\N
961396	3275	1995-10-31	VYDAJ	VYBER	15	22986	SLUZBY	\N	\N
961397	3275	1995-11-30	VYDAJ	VYBER	15	26020	SLUZBY	\N	\N
961398	3275	1995-12-31	VYDAJ	VYBER	15	22500	SLUZBY	\N	\N
961399	3275	1996-01-31	VYDAJ	VYBER	15	13210	SLUZBY	\N	\N
961400	3275	1996-02-29	VYDAJ	VYBER	15	17505	SLUZBY	\N	\N
961401	3275	1996-03-31	VYDAJ	VYBER	15	16334	SLUZBY	\N	\N
961402	3275	1996-04-30	VYDAJ	VYBER	15	18142	SLUZBY	\N	\N
961403	3275	1996-05-31	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
961404	3275	1996-06-30	VYDAJ	VYBER	15	21933	SLUZBY	\N	\N
961405	3275	1996-07-31	VYDAJ	VYBER	15	22057	SLUZBY	\N	\N
961406	3275	1996-08-31	VYDAJ	VYBER	15	19074	SLUZBY	\N	\N
961407	3275	1996-09-30	VYDAJ	VYBER	15	21091	SLUZBY	\N	\N
961408	3275	1996-10-31	VYDAJ	VYBER	15	20409	SLUZBY	\N	\N
961409	3275	1996-11-30	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
961410	3275	1996-12-31	VYDAJ	VYBER	15	28112	SLUZBY	\N	\N
961411	3275	1997-01-31	VYDAJ	VYBER	15	19472	SLUZBY	\N	\N
961412	3275	1997-02-28	VYDAJ	VYBER	15	20705	SLUZBY	\N	\N
961413	3275	1997-03-31	VYDAJ	VYBER	15	22928	SLUZBY	\N	\N
961414	3275	1997-04-30	VYDAJ	VYBER	15	27865	SLUZBY	\N	\N
961415	3275	1997-05-31	VYDAJ	VYBER	15	24405	SLUZBY	\N	\N
961416	3275	1997-06-30	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
961417	3275	1997-07-31	VYDAJ	VYBER	15	22824	SLUZBY	\N	\N
961418	3275	1997-08-31	VYDAJ	VYBER	15	19047	SLUZBY	\N	\N
961419	3275	1997-09-30	VYDAJ	VYBER	15	23677	SLUZBY	\N	\N
961420	3275	1997-10-31	VYDAJ	VYBER	15	28827	SLUZBY	\N	\N
961421	3275	1997-11-30	VYDAJ	VYBER	15	18908	SLUZBY	\N	\N
961422	3275	1997-12-31	VYDAJ	VYBER	15	24640	SLUZBY	\N	\N
961423	3275	1998-01-31	VYDAJ	VYBER	15	14791	SLUZBY	\N	\N
961424	3275	1998-02-28	VYDAJ	VYBER	15	15592	SLUZBY	\N	\N
961425	3275	1998-03-31	VYDAJ	VYBER	15	14782	SLUZBY	\N	\N
961426	3275	1998-04-30	VYDAJ	VYBER	15	13769	SLUZBY	\N	\N
961427	3275	1998-05-31	VYDAJ	VYBER	15	16964	SLUZBY	\N	\N
961428	3275	1998-06-30	VYDAJ	VYBER	15	14014	SLUZBY	\N	\N
961429	3275	1998-07-31	VYDAJ	VYBER	15	13299	SLUZBY	\N	\N
961430	3275	1998-08-31	VYDAJ	VYBER	15	9478	SLUZBY	\N	\N
961431	3275	1998-09-30	VYDAJ	VYBER	15	13256	SLUZBY	\N	\N
961432	3275	1998-10-31	VYDAJ	VYBER	15	11835	SLUZBY	\N	\N
961433	3275	1998-11-30	VYDAJ	VYBER	15	15630	SLUZBY	\N	\N
961434	3275	1994-07-29	PRIJEM	VKLAD	5700	13620	\N	\N	\N
961435	3275	1994-08-28	PRIJEM	VKLAD	700	21246	\N	\N	\N
961436	3275	1994-09-27	VYDAJ	VYBER	3800	24426	\N	\N	\N
961437	3275	1994-10-27	VYDAJ	VYBER	2800	28637	\N	\N	\N
961438	3275	1994-11-26	VYDAJ	VYBER	6200	26285	\N	\N	\N
961439	3275	1994-12-26	VYDAJ	VYBER	6200	25960	\N	\N	\N
961440	3275	1995-01-25	PRIJEM	VKLAD	2500	23440	\N	\N	\N
961441	3275	1995-02-24	PRIJEM	VKLAD	600	22953	\N	\N	\N
961442	3275	1995-03-26	VYDAJ	VYBER	700	26076	\N	\N	\N
961443	3275	1995-04-25	VYDAJ	VYBER	5000	24911	\N	\N	\N
961444	3275	1995-05-25	VYDAJ	VYBER	4600	24156	\N	\N	\N
961445	3275	1995-06-24	VYDAJ	VYBER	4700	26762	\N	\N	\N
961446	3275	1995-07-24	VYDAJ	VYBER	4100	26513	\N	\N	\N
961447	3275	1995-08-23	PRIJEM	VKLAD	1600	27280	\N	\N	\N
961448	3275	1995-09-22	VYDAJ	VYBER	5200	25920	\N	\N	\N
961449	3275	1995-10-22	VYDAJ	VYBER	1100	22903	\N	\N	\N
961450	3275	1995-11-21	VYDAJ	VYBER	800	25930	\N	\N	\N
961451	3275	1995-12-21	VYDAJ	VYBER	3100	25924	\N	\N	\N
961452	3275	1996-01-20	VYDAJ	VYBER	500	18544	\N	\N	\N
961453	3275	1996-02-19	PRIJEM	VKLAD	500	17454	\N	\N	\N
961454	3275	1996-03-20	VYDAJ	VYBER	1500	19749	\N	\N	\N
961455	3275	1996-04-19	VYDAJ	VYBER	2000	18078	\N	\N	\N
961456	3275	1996-05-19	VYDAJ	VYBER	3600	18286	\N	\N	\N
961457	3275	1996-06-18	VYDAJ	VYBER	3700	21858	\N	\N	\N
961458	3275	1996-07-18	VYDAJ	VYBER	3700	21977	\N	\N	\N
961459	3275	1996-08-17	VYDAJ	VYBER	6800	19001	\N	\N	\N
961460	3275	1996-09-16	VYDAJ	VYBER	1800	21018	\N	\N	\N
961461	3275	1996-10-16	VYDAJ	VYBER	4500	20335	\N	\N	\N
961462	3275	1996-11-15	VYDAJ	VYBER	700	23453	\N	\N	\N
961463	3275	1997-01-14	VYDAJ	VYBER	1200	26816	\N	\N	\N
961464	3275	1997-02-13	PRIJEM	VKLAD	900	20636	\N	\N	\N
961465	3275	1997-03-15	VYDAJ	VYBER	1600	22849	\N	\N	\N
961466	3275	1997-04-14	PRIJEM	VKLAD	1100	27772	\N	\N	\N
961467	3275	1997-05-14	VYDAJ	VYBER	4900	26709	\N	\N	\N
961468	3275	1997-06-13	VYDAJ	VYBER	7400	24209	\N	\N	\N
961469	3275	1997-07-13	VYDAJ	VYBER	5300	22741	\N	\N	\N
961470	3275	1997-08-12	VYDAJ	VYBER	2200	24368	\N	\N	\N
961471	3275	1997-09-11	PRIJEM	VKLAD	5600	26767	\N	\N	\N
961472	3275	1997-10-11	PRIJEM	VKLAD	1300	31897	\N	\N	\N
961473	3275	1997-11-10	VYDAJ	VYBER	8100	27647	\N	\N	\N
961474	3275	1997-12-10	VYDAJ	VYBER	600	27728	\N	\N	\N
961475	3275	1998-01-09	VYDAJ	VYBER	100	29060	\N	\N	\N
961476	3275	1998-02-08	VYDAJ	VYBER	3000	18711	\N	\N	\N
961477	3275	1998-03-10	VYDAJ	VYBER	4600	17912	\N	\N	\N
961478	3275	1998-04-09	VYDAJ	VYBER	4800	16902	\N	\N	\N
961479	3275	1998-05-09	VYDAJ	VYBER	600	20089	\N	\N	\N
961480	3275	1998-06-08	VYDAJ	VYBER	10200	17144	\N	\N	\N
961481	3275	1998-07-08	VYDAJ	VYBER	4500	16434	\N	\N	\N
961482	3275	1998-08-07	VYDAJ	VYBER	7600	12619	\N	\N	\N
961483	3275	1998-10-06	VYDAJ	VYBER	5200	14976	\N	\N	\N
961538	3276	1997-12-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
961551	3276	1998-01-06	PRIJEM	VKLAD	5503	6503	\N	\N	\N
961552	3276	1998-02-06	PRIJEM	VKLAD	5503	22515	\N	\N	\N
961553	3276	1998-03-06	PRIJEM	VKLAD	5503	31392	\N	\N	\N
961554	3276	1998-04-06	PRIJEM	VKLAD	5503	37605	\N	\N	\N
961555	3276	1998-05-06	PRIJEM	VKLAD	5503	39842	\N	\N	\N
961556	3276	1998-06-06	PRIJEM	VKLAD	8255	44464	\N	\N	\N
961557	3276	1998-07-06	PRIJEM	VKLAD	5503	29193	\N	\N	\N
961558	3276	1998-08-06	PRIJEM	VKLAD	5503	31820	\N	\N	\N
961559	3276	1998-09-06	PRIJEM	VKLAD	5503	35060	\N	\N	\N
961560	3276	1998-10-06	PRIJEM	VKLAD	5503	40514	\N	\N	\N
961561	3276	1998-11-06	PRIJEM	VKLAD	5503	46192	\N	\N	\N
961562	3276	1998-12-06	PRIJEM	VKLAD	8255	48138	\N	\N	\N
961579	3276	1998-05-06	VYDAJ	PREVOD NA UCET	1722	38120	SIPO	IJ	54098749
961580	3276	1998-06-06	VYDAJ	PREVOD NA UCET	1722	42742	SIPO	IJ	54098749
961581	3276	1998-07-06	VYDAJ	PREVOD NA UCET	1722	27471	SIPO	IJ	54098749
961582	3276	1998-08-06	VYDAJ	PREVOD NA UCET	1722	30098	SIPO	IJ	54098749
961583	3276	1998-09-06	VYDAJ	PREVOD NA UCET	1722	33338	SIPO	IJ	54098749
961584	3276	1998-10-06	VYDAJ	PREVOD NA UCET	1722	38792	SIPO	IJ	54098749
961585	3276	1998-11-06	VYDAJ	PREVOD NA UCET	1722	44470	SIPO	IJ	54098749
961586	3276	1998-12-06	VYDAJ	PREVOD NA UCET	1722	46416	SIPO	IJ	54098749
961603	3276	1998-05-08	VYDAJ	PREVOD NA UCET	929	37191	 	CD	4509616
961604	3276	1998-06-08	VYDAJ	PREVOD NA UCET	929	16533	 	CD	4509616
961605	3276	1998-07-08	VYDAJ	PREVOD NA UCET	929	26542	 	CD	4509616
961606	3276	1998-08-08	VYDAJ	PREVOD NA UCET	929	29169	 	CD	4509616
961607	3276	1998-09-08	VYDAJ	PREVOD NA UCET	929	32409	 	CD	4509616
961608	3276	1998-10-08	VYDAJ	PREVOD NA UCET	929	37863	 	CD	4509616
961609	3276	1998-11-08	VYDAJ	PREVOD NA UCET	929	43541	 	CD	4509616
961610	3276	1998-12-08	VYDAJ	PREVOD NA UCET	929	43567	 	CD	4509616
961627	3276	1998-05-13	VYDAJ	PREVOD NA UCET	1017	36174	POJISTNE	WX	88365083
961628	3276	1998-06-13	VYDAJ	PREVOD NA UCET	1017	15516	POJISTNE	WX	88365083
961629	3276	1998-07-13	VYDAJ	PREVOD NA UCET	1017	25525	POJISTNE	WX	88365083
961630	3276	1998-08-13	VYDAJ	PREVOD NA UCET	1017	28152	POJISTNE	WX	88365083
961631	3276	1998-09-13	VYDAJ	PREVOD NA UCET	1017	31392	POJISTNE	WX	88365083
961632	3276	1998-10-13	VYDAJ	PREVOD NA UCET	1017	36846	POJISTNE	WX	88365083
961633	3276	1998-11-13	VYDAJ	PREVOD NA UCET	1017	42524	POJISTNE	WX	88365083
961634	3276	1998-12-13	VYDAJ	PREVOD NA UCET	1017	42550	POJISTNE	WX	88365083
961636	3276	1998-06-07	VYDAJ	VYBER	25280	17462	\N	\N	\N
961640	3276	1998-12-08	VYDAJ	VYBER	1920	44496	\N	\N	\N
961677	3276	1998-05-31	VYDAJ	VYBER	15	36210	SLUZBY	\N	\N
961678	3276	1998-06-30	VYDAJ	VYBER	15	23690	SLUZBY	\N	\N
961679	3276	1998-07-31	VYDAJ	VYBER	15	26317	SLUZBY	\N	\N
961680	3276	1998-08-31	VYDAJ	VYBER	15	29557	SLUZBY	\N	\N
961681	3276	1998-09-30	VYDAJ	VYBER	15	35011	SLUZBY	\N	\N
961682	3276	1998-10-31	VYDAJ	VYBER	15	40689	SLUZBY	\N	\N
961683	3276	1998-11-30	VYDAJ	VYBER	15	39884	SLUZBY	\N	\N
961684	3276	1998-01-28	PRIJEM	VKLAD	10500	17003	\N	\N	\N
961685	3276	1998-02-27	PRIJEM	VKLAD	3300	25815	\N	\N	\N
961686	3276	1998-03-29	PRIJEM	VKLAD	600	31992	\N	\N	\N
961687	3276	1998-04-28	VYDAJ	VYBER	3400	34205	\N	\N	\N
961688	3276	1998-05-28	VYDAJ	VYBER	100	36074	\N	\N	\N
961689	3276	1998-06-27	PRIJEM	VKLAD	8100	23616	\N	\N	\N
961690	3276	1998-07-27	PRIJEM	VKLAD	700	26225	\N	\N	\N
961691	3276	1998-08-26	PRIJEM	VKLAD	1300	29452	\N	\N	\N
961692	3276	1998-09-25	PRIJEM	VKLAD	3500	34892	\N	\N	\N
961693	3276	1998-10-25	PRIJEM	VKLAD	3700	40546	\N	\N	\N
961694	3276	1998-11-24	VYDAJ	VYBER	2800	39724	\N	\N	\N
961707	3277	1993-07-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
961714	3277	1993-07-14	PRIJEM	VKLAD	16654	17754	\N	\N	\N
961715	3277	1993-08-14	PRIJEM	VKLAD	16654	39451	\N	\N	\N
961716	3277	1993-09-14	PRIJEM	VKLAD	16654	50331	\N	\N	\N
961717	3277	1993-10-14	PRIJEM	VKLAD	16654	52976	\N	\N	\N
961718	3277	1993-11-14	PRIJEM	VKLAD	16654	56446	\N	\N	\N
961719	3277	1993-12-14	PRIJEM	VKLAD	24981	59740	\N	\N	\N
961720	3277	1994-01-14	PRIJEM	VKLAD	16654	57738	\N	\N	\N
961721	3277	1994-02-14	PRIJEM	VKLAD	16654	49837	\N	\N	\N
961722	3277	1994-03-14	PRIJEM	VKLAD	16654	51765	\N	\N	\N
961723	3277	1994-04-14	PRIJEM	VKLAD	16654	51437	\N	\N	\N
961724	3277	1994-05-14	PRIJEM	VKLAD	16654	56582	\N	\N	\N
961725	3277	1994-06-14	PRIJEM	VKLAD	24981	66194	\N	\N	\N
961726	3277	1994-07-14	PRIJEM	VKLAD	16654	52380	\N	\N	\N
961727	3277	1994-08-14	PRIJEM	VKLAD	16654	54336	\N	\N	\N
961728	3277	1994-09-14	PRIJEM	VKLAD	16654	56099	\N	\N	\N
961729	3277	1994-10-14	PRIJEM	VKLAD	16654	54469	\N	\N	\N
961730	3277	1994-11-14	PRIJEM	VKLAD	16654	57538	\N	\N	\N
961731	3277	1994-12-14	PRIJEM	VKLAD	24981	66939	\N	\N	\N
961732	3277	1995-01-14	PRIJEM	VKLAD	16654	47123	\N	\N	\N
961733	3277	1995-02-14	PRIJEM	VKLAD	16654	40808	\N	\N	\N
961734	3277	1995-03-14	PRIJEM	VKLAD	16654	43718	\N	\N	\N
961735	3277	1995-04-14	PRIJEM	VKLAD	16654	46031	\N	\N	\N
961736	3277	1995-05-14	PRIJEM	VKLAD	16654	49858	\N	\N	\N
961737	3277	1995-06-14	PRIJEM	VKLAD	24981	59125	\N	\N	\N
961738	3277	1995-07-14	PRIJEM	VKLAD	16654	55193	\N	\N	\N
961739	3277	1995-08-14	PRIJEM	VKLAD	16654	51469	\N	\N	\N
961740	3277	1995-09-14	PRIJEM	VKLAD	16654	50809	\N	\N	\N
961741	3277	1995-10-14	PRIJEM	VKLAD	16654	49858	\N	\N	\N
961742	3277	1995-11-14	PRIJEM	VKLAD	16654	51926	\N	\N	\N
961743	3277	1995-12-14	PRIJEM	VKLAD	24981	55769	\N	\N	\N
961744	3277	1996-01-14	PRIJEM	VKLAD	16654	34213	\N	\N	\N
961745	3277	1996-02-14	PRIJEM	VKLAD	16654	39659	\N	\N	\N
961746	3277	1996-03-14	PRIJEM	VKLAD	16654	45395	\N	\N	\N
961747	3277	1996-04-14	PRIJEM	VKLAD	16654	45653	\N	\N	\N
961748	3277	1996-05-14	PRIJEM	VKLAD	16654	45236	\N	\N	\N
961749	3277	1996-06-14	PRIJEM	VKLAD	24981	56322	\N	\N	\N
961750	3277	1996-07-14	PRIJEM	VKLAD	16654	47023	\N	\N	\N
961751	3277	1996-08-14	PRIJEM	VKLAD	16654	46894	\N	\N	\N
961752	3277	1996-09-14	PRIJEM	VKLAD	16654	46179	\N	\N	\N
961753	3277	1996-10-14	PRIJEM	VKLAD	16654	50343	\N	\N	\N
961754	3277	1996-11-14	PRIJEM	VKLAD	16654	50620	\N	\N	\N
961755	3277	1996-12-14	PRIJEM	VKLAD	24981	57023	\N	\N	\N
961756	3277	1997-01-14	PRIJEM	VKLAD	16654	38399	\N	\N	\N
961757	3277	1997-02-14	PRIJEM	VKLAD	16654	38173	\N	\N	\N
961758	3277	1997-03-14	PRIJEM	VKLAD	16654	43387	\N	\N	\N
961759	3277	1997-04-14	PRIJEM	VKLAD	16654	46462	\N	\N	\N
961760	3277	1997-05-14	PRIJEM	VKLAD	16654	49226	\N	\N	\N
961761	3277	1997-06-14	PRIJEM	VKLAD	24981	56428	\N	\N	\N
961762	3277	1997-07-14	PRIJEM	VKLAD	16654	55617	\N	\N	\N
961763	3277	1997-08-14	PRIJEM	VKLAD	16654	55515	\N	\N	\N
961764	3277	1997-09-14	PRIJEM	VKLAD	16654	55011	\N	\N	\N
961765	3277	1997-10-14	PRIJEM	VKLAD	16654	50944	\N	\N	\N
961766	3277	1997-11-14	PRIJEM	VKLAD	16654	49019	\N	\N	\N
961767	3277	1997-12-14	PRIJEM	VKLAD	24981	59519	\N	\N	\N
961768	3277	1998-01-14	PRIJEM	VKLAD	16654	38682	\N	\N	\N
961769	3277	1998-02-14	PRIJEM	VKLAD	16654	38574	\N	\N	\N
961770	3277	1998-03-14	PRIJEM	VKLAD	16654	46917	\N	\N	\N
961771	3277	1998-04-14	PRIJEM	VKLAD	16654	50066	\N	\N	\N
961772	3277	1998-05-14	PRIJEM	VKLAD	16654	50588	\N	\N	\N
961773	3277	1998-06-14	PRIJEM	VKLAD	24981	59365	\N	\N	\N
961774	3277	1998-07-14	PRIJEM	VKLAD	16654	57455	\N	\N	\N
961775	3277	1998-08-14	PRIJEM	VKLAD	16654	53962	\N	\N	\N
961776	3277	1998-09-14	PRIJEM	VKLAD	16654	52558	\N	\N	\N
961777	3277	1998-10-14	PRIJEM	VKLAD	16654	57279	\N	\N	\N
961778	3277	1998-11-14	PRIJEM	VKLAD	16654	45501	\N	\N	\N
961779	3277	1998-12-14	PRIJEM	VKLAD	24981	55841	\N	\N	\N
961781	3277	1994-06-27	VYDAJ	VYBER	14400	51794	\N	\N	\N
961787	3277	1994-01-08	VYDAJ	VYBER	2080	41084	\N	\N	\N
961788	3277	1995-01-10	VYDAJ	VYBER	3040	33589	\N	\N	\N
961789	3277	1996-01-10	VYDAJ	VYBER	11040	21039	\N	\N	\N
961791	3277	1998-01-11	VYDAJ	VYBER	9440	22028	\N	\N	\N
961792	3277	1993-12-03	VYDAJ	VYBER	4000	46059	\N	\N	\N
961793	3277	1994-12-14	VYDAJ	VYBER	3680	63259	\N	\N	\N
961794	3277	1995-12-07	VYDAJ	VYBER	2720	30788	\N	\N	\N
961795	3277	1996-12-15	VYDAJ	VYBER	1600	55423	\N	\N	\N
961796	3277	1997-12-29	VYDAJ	VYBER	1600	34219	\N	\N	\N
961797	3277	1998-12-02	VYDAJ	VYBER	2400	43260	\N	\N	\N
961804	3277	1994-01-22	VYDAJ	VYBER	2400	53658	\N	\N	\N
961805	3277	1994-01-27	VYDAJ	VYBER	1080	51018	\N	\N	\N
961806	3277	1994-01-30	VYDAJ	VYBER	3240	47778	\N	\N	\N
961807	3277	1994-01-24	VYDAJ	VYBER	1560	52098	\N	\N	\N
961808	3277	1994-01-16	VYDAJ	VYBER	1680	56058	\N	\N	\N
961809	3277	1994-01-05	VYDAJ	VYBER	1080	58864	\N	\N	\N
961810	3277	1995-01-11	VYDAJ	VYBER	3120	30469	\N	\N	\N
961811	3277	1995-01-10	VYDAJ	VYBER	3360	36629	\N	\N	\N
961812	3277	1995-01-29	VYDAJ	VYBER	1800	34403	\N	\N	\N
961813	3277	1995-01-15	VYDAJ	VYBER	2160	44963	\N	\N	\N
961814	3277	1995-01-28	VYDAJ	VYBER	720	36203	\N	\N	\N
961815	3277	1995-01-10	VYDAJ	VYBER	2040	39989	\N	\N	\N
961816	3277	1996-01-29	VYDAJ	VYBER	2520	22893	\N	\N	\N
961817	3277	1996-01-11	VYDAJ	VYBER	3480	17559	\N	\N	\N
961818	3277	1996-01-04	VYDAJ	VYBER	1920	33639	\N	\N	\N
961819	3277	1996-01-27	VYDAJ	VYBER	1200	33013	\N	\N	\N
961820	3277	1996-01-04	VYDAJ	VYBER	1560	32079	\N	\N	\N
961821	3277	1996-01-02	VYDAJ	VYBER	1080	35559	\N	\N	\N
961822	3277	1997-01-08	VYDAJ	VYBER	3000	21745	\N	\N	\N
961823	3277	1997-01-03	VYDAJ	VYBER	2160	28345	\N	\N	\N
961824	3277	1997-01-06	VYDAJ	VYBER	2880	24745	\N	\N	\N
961825	3277	1997-01-02	VYDAJ	VYBER	2160	30505	\N	\N	\N
961826	3277	1997-01-04	VYDAJ	VYBER	720	27625	\N	\N	\N
961827	3277	1997-01-16	VYDAJ	VYBER	2760	35639	\N	\N	\N
961828	3277	1998-01-14	VYDAJ	VYBER	2520	36162	\N	\N	\N
961829	3277	1998-01-22	VYDAJ	VYBER	1800	23862	\N	\N	\N
961830	3277	1998-01-10	VYDAJ	VYBER	2880	31468	\N	\N	\N
961831	3277	1998-01-25	VYDAJ	VYBER	2040	21822	\N	\N	\N
961832	3277	1998-01-16	VYDAJ	VYBER	2520	33642	\N	\N	\N
961833	3277	1998-01-17	VYDAJ	VYBER	2880	25662	\N	\N	\N
961835	3277	1993-11-29	VYDAJ	VYBER	4440	52006	\N	\N	\N
961837	3277	1993-12-02	VYDAJ	VYBER	2160	50059	\N	\N	\N
961838	3277	1994-12-17	VYDAJ	VYBER	5160	58099	\N	\N	\N
961839	3277	1994-04-10	VYDAJ	VYBER	2280	34783	\N	\N	\N
961840	3277	1994-02-01	VYDAJ	VYBER	1800	46183	\N	\N	\N
961841	3277	1994-05-27	VYDAJ	VYBER	2280	54302	\N	\N	\N
961842	3277	1995-01-18	VYDAJ	VYBER	3840	36923	\N	\N	\N
961843	3277	1995-11-23	VYDAJ	VYBER	2760	49166	\N	\N	\N
961844	3277	1995-09-03	VYDAJ	VYBER	1320	34155	\N	\N	\N
961845	3277	1995-02-25	VYDAJ	VYBER	1680	39128	\N	\N	\N
961846	3277	1995-02-10	VYDAJ	VYBER	3720	24154	\N	\N	\N
961847	3277	1995-10-14	VYDAJ	VYBER	2040	47818	\N	\N	\N
961848	3277	1995-01-18	VYDAJ	VYBER	4200	40763	\N	\N	\N
961849	3277	1996-07-19	VYDAJ	VYBER	3120	43903	\N	\N	\N
961850	3277	1996-04-27	VYDAJ	VYBER	3480	42173	\N	\N	\N
961851	3277	1996-06-22	VYDAJ	VYBER	2880	53442	\N	\N	\N
961852	3277	1996-08-24	VYDAJ	VYBER	1080	45814	\N	\N	\N
961853	3277	1996-07-04	VYDAJ	VYBER	2400	30369	\N	\N	\N
961854	3277	1997-03-10	VYDAJ	VYBER	1920	26733	\N	\N	\N
961856	3277	1997-05-31	VYDAJ	VYBER	4200	31447	\N	\N	\N
961857	3277	1997-01-30	VYDAJ	VYBER	4920	21419	\N	\N	\N
961858	3277	1997-09-17	VYDAJ	VYBER	960	54051	\N	\N	\N
961859	3277	1997-12-24	VYDAJ	VYBER	2400	35819	\N	\N	\N
961860	3277	1998-05-13	VYDAJ	VYBER	3120	33934	\N	\N	\N
961861	3277	1998-03-23	VYDAJ	VYBER	4920	33297	\N	\N	\N
961862	3277	1998-05-19	VYDAJ	VYBER	3240	34248	\N	\N	\N
961863	3277	1998-08-03	VYDAJ	VYBER	4800	37308	\N	\N	\N
961864	3277	1998-11-07	VYDAJ	VYBER	1680	38747	\N	\N	\N
961865	3277	1998-04-25	VYDAJ	VYBER	1440	36926	\N	\N	\N
961866	3277	1998-12-15	VYDAJ	VYBER	3480	52361	\N	\N	\N
961878	3277	1993-11-30	VYDAJ	VYBER	15	52219	SLUZBY	\N	\N
961879	3277	1993-12-31	VYDAJ	VYBER	15	59944	SLUZBY	\N	\N
961880	3277	1994-01-31	VYDAJ	VYBER	15	47983	SLUZBY	\N	\N
961881	3277	1994-02-28	VYDAJ	VYBER	15	50011	SLUZBY	\N	\N
961882	3277	1994-03-31	VYDAJ	VYBER	15	51963	SLUZBY	\N	\N
961883	3277	1994-04-30	VYDAJ	VYBER	15	51628	SLUZBY	\N	\N
961884	3277	1994-05-31	VYDAJ	VYBER	15	54513	SLUZBY	\N	\N
961885	3277	1994-06-30	VYDAJ	VYBER	15	52026	SLUZBY	\N	\N
961886	3277	1994-07-31	VYDAJ	VYBER	15	52582	SLUZBY	\N	\N
961887	3277	1994-08-31	VYDAJ	VYBER	15	54545	SLUZBY	\N	\N
961888	3277	1994-09-30	VYDAJ	VYBER	15	56315	SLUZBY	\N	\N
961889	3277	1994-10-31	VYDAJ	VYBER	15	54684	SLUZBY	\N	\N
961890	3277	1994-11-30	VYDAJ	VYBER	15	57758	SLUZBY	\N	\N
961891	3277	1994-12-31	VYDAJ	VYBER	15	58329	SLUZBY	\N	\N
961892	3277	1995-01-31	VYDAJ	VYBER	15	34574	SLUZBY	\N	\N
961893	3277	1995-02-28	VYDAJ	VYBER	15	39264	SLUZBY	\N	\N
961894	3277	1995-03-31	VYDAJ	VYBER	15	43877	SLUZBY	\N	\N
961895	3277	1995-04-30	VYDAJ	VYBER	15	46204	SLUZBY	\N	\N
961896	3277	1995-05-31	VYDAJ	VYBER	15	50044	SLUZBY	\N	\N
961897	3277	1995-06-30	VYDAJ	VYBER	15	59339	SLUZBY	\N	\N
961898	3277	1995-07-31	VYDAJ	VYBER	15	55415	SLUZBY	\N	\N
961899	3277	1995-08-31	VYDAJ	VYBER	15	51675	SLUZBY	\N	\N
961900	3277	1995-09-30	VYDAJ	VYBER	15	33204	SLUZBY	\N	\N
961901	3277	1995-10-31	VYDAJ	VYBER	15	35272	SLUZBY	\N	\N
961902	3277	1995-11-30	VYDAJ	VYBER	15	33508	SLUZBY	\N	\N
961903	3277	1995-12-31	VYDAJ	VYBER	15	36639	SLUZBY	\N	\N
961904	3277	1996-01-31	VYDAJ	VYBER	15	23005	SLUZBY	\N	\N
961905	3277	1996-02-29	VYDAJ	VYBER	15	28741	SLUZBY	\N	\N
961906	3277	1996-03-31	VYDAJ	VYBER	15	28999	SLUZBY	\N	\N
961907	3277	1996-04-30	VYDAJ	VYBER	15	28582	SLUZBY	\N	\N
961908	3277	1996-05-31	VYDAJ	VYBER	15	31341	SLUZBY	\N	\N
961909	3277	1996-06-30	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
961910	3277	1996-07-31	VYDAJ	VYBER	15	30240	SLUZBY	\N	\N
961911	3277	1996-08-31	VYDAJ	VYBER	15	29525	SLUZBY	\N	\N
961912	3277	1996-09-30	VYDAJ	VYBER	15	33689	SLUZBY	\N	\N
961913	3277	1996-10-31	VYDAJ	VYBER	15	33966	SLUZBY	\N	\N
961914	3277	1996-11-30	VYDAJ	VYBER	15	32042	SLUZBY	\N	\N
961915	3277	1996-12-31	VYDAJ	VYBER	15	32665	SLUZBY	\N	\N
961916	3277	1997-01-31	VYDAJ	VYBER	15	21519	SLUZBY	\N	\N
961917	3277	1997-02-28	VYDAJ	VYBER	15	28653	SLUZBY	\N	\N
961918	3277	1997-03-31	VYDAJ	VYBER	15	29808	SLUZBY	\N	\N
961919	3277	1997-04-30	VYDAJ	VYBER	15	32572	SLUZBY	\N	\N
961920	3277	1997-05-31	VYDAJ	VYBER	15	35647	SLUZBY	\N	\N
961921	3277	1997-06-30	VYDAJ	VYBER	15	38963	SLUZBY	\N	\N
961922	3277	1997-07-31	VYDAJ	VYBER	15	38861	SLUZBY	\N	\N
961923	3277	1997-08-31	VYDAJ	VYBER	15	38357	SLUZBY	\N	\N
961924	3277	1997-09-30	VYDAJ	VYBER	15	34290	SLUZBY	\N	\N
961925	3277	1997-10-31	VYDAJ	VYBER	15	32365	SLUZBY	\N	\N
961926	3277	1997-11-30	VYDAJ	VYBER	15	34538	SLUZBY	\N	\N
961927	3277	1997-12-31	VYDAJ	VYBER	15	34348	SLUZBY	\N	\N
961928	3277	1998-01-31	VYDAJ	VYBER	15	21920	SLUZBY	\N	\N
961929	3277	1998-02-28	VYDAJ	VYBER	15	30263	SLUZBY	\N	\N
961930	3277	1998-03-31	VYDAJ	VYBER	15	33412	SLUZBY	\N	\N
961931	3277	1998-04-30	VYDAJ	VYBER	15	37054	SLUZBY	\N	\N
961932	3277	1998-05-31	VYDAJ	VYBER	15	34384	SLUZBY	\N	\N
961933	3277	1998-06-30	VYDAJ	VYBER	15	40801	SLUZBY	\N	\N
961934	3277	1998-07-31	VYDAJ	VYBER	15	42108	SLUZBY	\N	\N
961935	3277	1998-08-31	VYDAJ	VYBER	15	35904	SLUZBY	\N	\N
961936	3277	1998-09-30	VYDAJ	VYBER	15	40625	SLUZBY	\N	\N
961937	3277	1998-10-31	VYDAJ	VYBER	15	40427	SLUZBY	\N	\N
961938	3277	1998-11-30	VYDAJ	VYBER	15	45660	SLUZBY	\N	\N
961939	3277	1993-08-11	PRIJEM	VKLAD	5000	22797	\N	\N	\N
961940	3277	1993-09-10	VYDAJ	VYBER	5900	33677	\N	\N	\N
961941	3277	1993-10-10	VYDAJ	VYBER	14200	36322	\N	\N	\N
961942	3277	1993-11-09	VYDAJ	VYBER	13400	39792	\N	\N	\N
961943	3277	1993-12-09	VYDAJ	VYBER	11300	34759	\N	\N	\N
961944	3277	1994-01-08	VYDAJ	VYBER	15700	43164	\N	\N	\N
961945	3277	1994-02-07	VYDAJ	VYBER	13000	33183	\N	\N	\N
961946	3277	1994-03-09	VYDAJ	VYBER	14900	35111	\N	\N	\N
961947	3277	1994-04-08	VYDAJ	VYBER	14900	37063	\N	\N	\N
961948	3277	1994-05-08	VYDAJ	VYBER	11700	39928	\N	\N	\N
961949	3277	1994-06-07	VYDAJ	VYBER	13300	41213	\N	\N	\N
961950	3277	1994-07-07	VYDAJ	VYBER	16300	35726	\N	\N	\N
961951	3277	1994-08-06	VYDAJ	VYBER	14900	37682	\N	\N	\N
961952	3277	1994-09-05	VYDAJ	VYBER	15100	39445	\N	\N	\N
961953	3277	1994-10-05	VYDAJ	VYBER	18500	37815	\N	\N	\N
961954	3277	1994-11-04	VYDAJ	VYBER	13800	40884	\N	\N	\N
961955	3277	1994-12-04	VYDAJ	VYBER	15800	41958	\N	\N	\N
961956	3277	1995-01-03	VYDAJ	VYBER	16300	42029	\N	\N	\N
961957	3277	1995-02-02	VYDAJ	VYBER	6700	27874	\N	\N	\N
961958	3277	1995-03-04	VYDAJ	VYBER	12200	27064	\N	\N	\N
961959	3277	1995-04-03	VYDAJ	VYBER	14500	29377	\N	\N	\N
961960	3277	1995-05-03	VYDAJ	VYBER	13000	33204	\N	\N	\N
961961	3277	1995-06-02	VYDAJ	VYBER	15900	34144	\N	\N	\N
961962	3277	1995-07-02	VYDAJ	VYBER	20800	38539	\N	\N	\N
961963	3277	1995-08-01	VYDAJ	VYBER	20600	34815	\N	\N	\N
961964	3277	1995-08-31	VYDAJ	VYBER	16200	35475	\N	\N	\N
961965	3277	1995-09-30	VYDAJ	VYBER	17800	33218	\N	\N	\N
961966	3277	1995-10-30	VYDAJ	VYBER	12700	35118	\N	\N	\N
961967	3277	1995-11-29	VYDAJ	VYBER	15800	33366	\N	\N	\N
961968	3277	1995-12-29	VYDAJ	VYBER	19300	36469	\N	\N	\N
961969	3277	1996-01-28	VYDAJ	VYBER	7600	25413	\N	\N	\N
961970	3277	1996-02-27	VYDAJ	VYBER	11000	28659	\N	\N	\N
961971	3277	1996-03-28	VYDAJ	VYBER	16500	28895	\N	\N	\N
961972	3277	1996-04-27	VYDAJ	VYBER	13700	28473	\N	\N	\N
961973	3277	1996-05-27	VYDAJ	VYBER	14000	31236	\N	\N	\N
961974	3277	1996-06-26	VYDAJ	VYBER	20800	32642	\N	\N	\N
961975	3277	1996-07-26	VYDAJ	VYBER	13800	30103	\N	\N	\N
961976	3277	1996-08-25	VYDAJ	VYBER	16400	29414	\N	\N	\N
961977	3277	1996-09-24	VYDAJ	VYBER	12600	33579	\N	\N	\N
961978	3277	1996-10-24	VYDAJ	VYBER	16500	33843	\N	\N	\N
961979	3277	1996-11-23	VYDAJ	VYBER	18700	31920	\N	\N	\N
961980	3277	1996-12-23	VYDAJ	VYBER	22900	32523	\N	\N	\N
961981	3277	1997-01-22	VYDAJ	VYBER	9300	26339	\N	\N	\N
961982	3277	1997-02-21	VYDAJ	VYBER	9600	28573	\N	\N	\N
961983	3277	1997-03-23	VYDAJ	VYBER	13700	29687	\N	\N	\N
961984	3277	1997-04-22	VYDAJ	VYBER	14000	32462	\N	\N	\N
961985	3277	1997-05-22	VYDAJ	VYBER	13700	35526	\N	\N	\N
961986	3277	1997-06-21	VYDAJ	VYBER	17600	38828	\N	\N	\N
961987	3277	1997-07-21	VYDAJ	VYBER	16900	38717	\N	\N	\N
961988	3277	1997-08-20	VYDAJ	VYBER	17300	38215	\N	\N	\N
961989	3277	1997-09-19	VYDAJ	VYBER	19900	34151	\N	\N	\N
961990	3277	1997-10-19	VYDAJ	VYBER	18700	32244	\N	\N	\N
961991	3277	1997-11-18	VYDAJ	VYBER	14600	34419	\N	\N	\N
961992	3277	1997-12-18	VYDAJ	VYBER	21300	38219	\N	\N	\N
961993	3277	1998-01-17	VYDAJ	VYBER	5100	28542	\N	\N	\N
961994	3277	1998-02-16	VYDAJ	VYBER	8400	30174	\N	\N	\N
961995	3277	1998-03-18	VYDAJ	VYBER	8700	38217	\N	\N	\N
961996	3277	1998-04-17	VYDAJ	VYBER	11700	38366	\N	\N	\N
961997	3277	1998-05-17	VYDAJ	VYBER	13100	37488	\N	\N	\N
961998	3277	1998-06-16	VYDAJ	VYBER	18700	40665	\N	\N	\N
961999	3277	1998-07-16	VYDAJ	VYBER	15500	41955	\N	\N	\N
962000	3277	1998-08-15	VYDAJ	VYBER	18200	35762	\N	\N	\N
962001	3277	1998-09-14	VYDAJ	VYBER	12100	40458	\N	\N	\N
962002	3277	1998-10-14	VYDAJ	VYBER	17000	40279	\N	\N	\N
962003	3277	1998-11-13	VYDAJ	VYBER	9900	28847	\N	\N	\N
962004	3277	1998-12-13	VYDAJ	VYBER	12400	30860	\N	\N	\N
962071	3278	1996-01-02	PRIJEM	VKLAD	800	800	\N	\N	\N
962072	3278	1996-01-05	PRIJEM	VKLAD	21722	22522	\N	\N	\N
962073	3278	1996-02-05	PRIJEM	VKLAD	21722	44626	\N	\N	\N
962074	3278	1996-03-05	PRIJEM	VKLAD	21722	52921	\N	\N	\N
962075	3278	1996-04-05	PRIJEM	VKLAD	21722	57959	\N	\N	\N
962076	3278	1996-05-05	PRIJEM	VKLAD	21722	61620	\N	\N	\N
962077	3278	1996-06-05	PRIJEM	VKLAD	32583	73443	\N	\N	\N
962078	3278	1996-07-05	PRIJEM	VKLAD	21722	61456	\N	\N	\N
962079	3278	1996-08-05	PRIJEM	VKLAD	21722	62530	\N	\N	\N
962080	3278	1996-09-05	PRIJEM	VKLAD	21722	65544	\N	\N	\N
962081	3278	1996-10-05	PRIJEM	VKLAD	21722	66134	\N	\N	\N
962082	3278	1996-11-05	PRIJEM	VKLAD	21722	69669	\N	\N	\N
962083	3278	1996-12-05	PRIJEM	VKLAD	32583	81404	\N	\N	\N
962084	3278	1997-01-05	PRIJEM	VKLAD	21722	75779	\N	\N	\N
962085	3278	1997-02-05	PRIJEM	VKLAD	21722	73710	\N	\N	\N
962086	3278	1997-03-05	PRIJEM	VKLAD	21722	73934	\N	\N	\N
962087	3278	1997-04-05	PRIJEM	VKLAD	21722	70797	\N	\N	\N
962088	3278	1997-05-05	PRIJEM	VKLAD	21722	66033	\N	\N	\N
962089	3278	1997-06-05	PRIJEM	VKLAD	32583	78950	\N	\N	\N
962090	3278	1997-07-05	PRIJEM	VKLAD	21722	58870	\N	\N	\N
962091	3278	1997-08-05	PRIJEM	VKLAD	21722	59693	\N	\N	\N
962092	3278	1997-09-05	PRIJEM	VKLAD	21722	65363	\N	\N	\N
962093	3278	1997-10-05	PRIJEM	VKLAD	21722	66336	\N	\N	\N
962094	3278	1997-11-05	PRIJEM	VKLAD	21722	70788	\N	\N	\N
962095	3278	1997-12-05	PRIJEM	VKLAD	32583	82561	\N	\N	\N
962096	3278	1998-01-05	PRIJEM	VKLAD	21722	75908	\N	\N	\N
962097	3278	1998-02-05	PRIJEM	VKLAD	21722	81448	\N	\N	\N
962098	3278	1998-03-05	PRIJEM	VKLAD	21722	82304	\N	\N	\N
962099	3278	1998-04-05	PRIJEM	VKLAD	21722	84966	\N	\N	\N
962100	3278	1998-05-05	PRIJEM	VKLAD	21722	84599	\N	\N	\N
962101	3278	1998-06-05	PRIJEM	VKLAD	32583	73512	\N	\N	\N
962102	3278	1998-07-05	PRIJEM	VKLAD	21722	77793	\N	\N	\N
962103	3278	1998-08-05	PRIJEM	VKLAD	21722	80637	\N	\N	\N
962104	3278	1998-09-05	PRIJEM	VKLAD	21722	78666	\N	\N	\N
962105	3278	1998-10-05	PRIJEM	VKLAD	21722	79468	\N	\N	\N
962106	3278	1998-11-05	PRIJEM	VKLAD	21722	74905	\N	\N	\N
962107	3278	1998-12-05	PRIJEM	VKLAD	32583	83992	\N	\N	\N
962108	3278	1996-06-07	VYDAJ	VYBER	20320	53123	\N	\N	\N
962109	3278	1997-06-17	VYDAJ	VYBER	25280	53670	\N	\N	\N
962110	3278	1998-06-04	VYDAJ	VYBER	25120	40929	\N	\N	\N
962111	3278	1996-12-27	VYDAJ	VYBER	3040	53864	\N	\N	\N
962112	3278	1997-12-24	VYDAJ	VYBER	4000	53981	\N	\N	\N
962113	3278	1998-12-06	VYDAJ	VYBER	1120	82872	\N	\N	\N
962115	3278	1996-06-23	VYDAJ	VYBER	600	52523	\N	\N	\N
962116	3278	1996-08-08	VYDAJ	VYBER	1920	60610	\N	\N	\N
962117	3278	1996-11-03	VYDAJ	VYBER	960	47947	\N	\N	\N
962119	3278	1997-03-12	VYDAJ	VYBER	1200	72734	\N	\N	\N
962120	3278	1997-05-04	VYDAJ	VYBER	2160	44311	\N	\N	\N
962121	3278	1997-04-15	VYDAJ	VYBER	4440	66357	\N	\N	\N
962122	3278	1997-07-08	VYDAJ	VYBER	4080	54790	\N	\N	\N
962123	3278	1997-10-01	VYDAJ	VYBER	3120	44614	\N	\N	\N
962124	3278	1997-12-22	VYDAJ	VYBER	1680	80881	\N	\N	\N
962125	3278	1998-09-14	VYDAJ	VYBER	3480	75186	\N	\N	\N
962126	3278	1998-04-28	VYDAJ	VYBER	3840	62626	\N	\N	\N
962127	3278	1998-09-03	VYDAJ	VYBER	1320	56944	\N	\N	\N
962128	3278	1998-11-30	VYDAJ	VYBER	1200	51423	\N	\N	\N
962134	3278	1996-05-31	VYDAJ	VYBER	15	61860	SLUZBY	\N	\N
962135	3278	1996-06-30	VYDAJ	VYBER	15	39734	SLUZBY	\N	\N
962136	3278	1996-07-31	VYDAJ	VYBER	15	40808	SLUZBY	\N	\N
962137	3278	1996-08-31	VYDAJ	VYBER	15	43822	SLUZBY	\N	\N
962138	3278	1996-09-30	VYDAJ	VYBER	15	44412	SLUZBY	\N	\N
962139	3278	1996-10-31	VYDAJ	VYBER	15	48907	SLUZBY	\N	\N
962140	3278	1996-11-30	VYDAJ	VYBER	15	48821	SLUZBY	\N	\N
962141	3278	1996-12-31	VYDAJ	VYBER	15	54057	SLUZBY	\N	\N
962142	3278	1997-01-31	VYDAJ	VYBER	15	51988	SLUZBY	\N	\N
962143	3278	1997-02-28	VYDAJ	VYBER	15	52212	SLUZBY	\N	\N
962144	3278	1997-03-31	VYDAJ	VYBER	15	49075	SLUZBY	\N	\N
962145	3278	1997-04-30	VYDAJ	VYBER	15	46471	SLUZBY	\N	\N
962146	3278	1997-05-31	VYDAJ	VYBER	15	46367	SLUZBY	\N	\N
962147	3278	1997-06-30	VYDAJ	VYBER	15	37148	SLUZBY	\N	\N
962148	3278	1997-07-31	VYDAJ	VYBER	15	37971	SLUZBY	\N	\N
962149	3278	1997-08-31	VYDAJ	VYBER	15	43641	SLUZBY	\N	\N
962150	3278	1997-09-30	VYDAJ	VYBER	15	47734	SLUZBY	\N	\N
962151	3278	1997-10-31	VYDAJ	VYBER	15	49066	SLUZBY	\N	\N
962152	3278	1997-11-30	VYDAJ	VYBER	15	49978	SLUZBY	\N	\N
962153	3278	1997-12-31	VYDAJ	VYBER	15	54186	SLUZBY	\N	\N
962154	3278	1998-01-31	VYDAJ	VYBER	15	59726	SLUZBY	\N	\N
962155	3278	1998-02-28	VYDAJ	VYBER	15	60582	SLUZBY	\N	\N
962156	3278	1998-03-31	VYDAJ	VYBER	15	63244	SLUZBY	\N	\N
962157	3278	1998-04-30	VYDAJ	VYBER	15	62877	SLUZBY	\N	\N
962158	3278	1998-05-31	VYDAJ	VYBER	15	66049	SLUZBY	\N	\N
962159	3278	1998-06-30	VYDAJ	VYBER	15	56071	SLUZBY	\N	\N
962160	3278	1998-07-31	VYDAJ	VYBER	15	58915	SLUZBY	\N	\N
962161	3278	1998-08-31	VYDAJ	VYBER	15	58264	SLUZBY	\N	\N
962162	3278	1998-09-30	VYDAJ	VYBER	15	57746	SLUZBY	\N	\N
962163	3278	1998-10-31	VYDAJ	VYBER	15	53183	SLUZBY	\N	\N
962164	3278	1998-11-30	VYDAJ	VYBER	15	51409	SLUZBY	\N	\N
962165	3278	1996-02-01	PRIJEM	VKLAD	300	22904	\N	\N	\N
962166	3278	1996-03-02	VYDAJ	VYBER	13600	31199	\N	\N	\N
962167	3278	1996-04-01	VYDAJ	VYBER	16900	36237	\N	\N	\N
962168	3278	1996-05-01	VYDAJ	VYBER	18300	39898	\N	\N	\N
962169	3278	1996-05-31	VYDAJ	VYBER	21000	40860	\N	\N	\N
962170	3278	1996-06-30	VYDAJ	VYBER	13000	39749	\N	\N	\N
962171	3278	1996-07-30	VYDAJ	VYBER	20800	40656	\N	\N	\N
962172	3278	1996-08-29	VYDAJ	VYBER	17000	43610	\N	\N	\N
962173	3278	1996-09-28	VYDAJ	VYBER	21300	44244	\N	\N	\N
962174	3278	1996-10-28	VYDAJ	VYBER	17400	48734	\N	\N	\N
962175	3278	1996-11-27	VYDAJ	VYBER	21100	48569	\N	\N	\N
962176	3278	1996-12-27	VYDAJ	VYBER	24500	56904	\N	\N	\N
962177	3278	1997-01-26	VYDAJ	VYBER	24000	51779	\N	\N	\N
962178	3278	1997-02-25	VYDAJ	VYBER	21700	52010	\N	\N	\N
962179	3278	1997-03-27	VYDAJ	VYBER	23900	48834	\N	\N	\N
962180	3278	1997-04-26	VYDAJ	VYBER	20100	46257	\N	\N	\N
962181	3278	1997-05-26	VYDAJ	VYBER	19900	46133	\N	\N	\N
962182	3278	1997-06-25	VYDAJ	VYBER	16700	36970	\N	\N	\N
962183	3278	1997-07-25	VYDAJ	VYBER	17000	37790	\N	\N	\N
962184	3278	1997-08-24	VYDAJ	VYBER	16200	43493	\N	\N	\N
962185	3278	1997-09-23	VYDAJ	VYBER	17800	47563	\N	\N	\N
962186	3278	1997-10-23	VYDAJ	VYBER	17500	48836	\N	\N	\N
962187	3278	1997-11-22	VYDAJ	VYBER	21000	49788	\N	\N	\N
962188	3278	1997-12-22	VYDAJ	VYBER	22900	57981	\N	\N	\N
962189	3278	1998-01-21	VYDAJ	VYBER	16400	59508	\N	\N	\N
962190	3278	1998-02-20	VYDAJ	VYBER	21100	60348	\N	\N	\N
962191	3278	1998-03-22	VYDAJ	VYBER	19300	63004	\N	\N	\N
962192	3278	1998-04-21	VYDAJ	VYBER	18500	66466	\N	\N	\N
962193	3278	1998-05-21	VYDAJ	VYBER	18800	65799	\N	\N	\N
962194	3278	1998-06-20	VYDAJ	VYBER	17700	55812	\N	\N	\N
962195	3278	1998-07-20	VYDAJ	VYBER	19100	58693	\N	\N	\N
962196	3278	1998-08-19	VYDAJ	VYBER	22600	58037	\N	\N	\N
962197	3278	1998-09-18	VYDAJ	VYBER	17700	57486	\N	\N	\N
962198	3278	1998-10-18	VYDAJ	VYBER	26500	52968	\N	\N	\N
962199	3278	1998-11-17	VYDAJ	VYBER	22500	52405	\N	\N	\N
962236	3279	1994-12-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
962248	3279	1995-12-25	PRIJEM	VKLAD	48510	90957	\N	\N	\N
962249	3279	1995-06-29	PRIJEM	VKLAD	33712	61192	\N	\N	\N
962250	3279	1995-04-11	PRIJEM	VKLAD	35847	78174	\N	\N	\N
962251	3279	1995-11-23	PRIJEM	VKLAD	35432	50425	\N	\N	\N
962252	3279	1995-01-01	PRIJEM	VKLAD	12502	13602	\N	\N	\N
962253	3279	1995-03-22	PRIJEM	VKLAD	15891	42182	\N	\N	\N
962254	3279	1995-02-02	PRIJEM	VKLAD	21752	38891	\N	\N	\N
962255	3279	1995-06-09	PRIJEM	VKLAD	10215	47080	\N	\N	\N
962256	3279	1995-11-25	PRIJEM	VKLAD	25356	75781	\N	\N	\N
962257	3279	1996-10-27	PRIJEM	VKLAD	24376	103480	\N	\N	\N
962258	3279	1996-02-04	PRIJEM	VKLAD	49968	74529	\N	\N	\N
962259	3279	1996-06-30	PRIJEM	VKLAD	44587	123422	\N	\N	\N
962260	3279	1996-04-21	PRIJEM	VKLAD	12249	120704	\N	\N	\N
962261	3279	1996-08-28	PRIJEM	VKLAD	23563	119155	\N	\N	\N
962262	3279	1996-03-10	PRIJEM	VKLAD	34079	104230	\N	\N	\N
962263	3279	1996-06-29	PRIJEM	VKLAD	49461	78835	\N	\N	\N
962264	3279	1996-07-16	PRIJEM	VKLAD	36997	107372	\N	\N	\N
962265	3279	1996-04-06	PRIJEM	VKLAD	29251	85462	\N	\N	\N
962266	3279	1996-11-12	PRIJEM	VKLAD	21863	81521	\N	\N	\N
962267	3279	1996-08-23	PRIJEM	VKLAD	43797	95592	\N	\N	\N
962268	3279	1996-05-02	PRIJEM	VKLAD	24560	95325	\N	\N	\N
962269	3279	1996-04-16	PRIJEM	VKLAD	39178	98340	\N	\N	\N
962270	3279	1996-12-26	PRIJEM	VKLAD	37951	110184	\N	\N	\N
962271	3279	1996-09-02	PRIJEM	VKLAD	24277	104987	\N	\N	\N
962272	3279	1996-03-06	PRIJEM	VKLAD	35077	70151	\N	\N	\N
962273	3279	1996-02-26	PRIJEM	VKLAD	9597	50864	\N	\N	\N
962274	3279	1996-04-18	PRIJEM	VKLAD	48615	146955	\N	\N	\N
962275	3279	1996-04-25	PRIJEM	VKLAD	47349	117053	\N	\N	\N
962276	3279	1996-09-12	PRIJEM	VKLAD	36578	97403	\N	\N	\N
962277	3279	1996-07-15	PRIJEM	VKLAD	12774	70375	\N	\N	\N
962278	3279	1996-12-07	PRIJEM	VKLAD	29268	77933	\N	\N	\N
962279	3279	1996-10-27	PRIJEM	VKLAD	26726	79104	\N	\N	\N
962280	3279	1997-08-27	PRIJEM	VKLAD	12803	83445	\N	\N	\N
962281	3279	1997-08-07	PRIJEM	VKLAD	44894	70642	\N	\N	\N
962282	3279	1997-06-18	PRIJEM	VKLAD	46892	68420	\N	\N	\N
962283	3279	1997-02-03	PRIJEM	VKLAD	25990	47992	\N	\N	\N
962284	3279	1997-10-23	PRIJEM	VKLAD	5447	32468	\N	\N	\N
962285	3279	1997-07-05	PRIJEM	VKLAD	46229	81073	\N	\N	\N
962286	3279	1997-02-15	PRIJEM	VKLAD	36797	66327	\N	\N	\N
962287	3279	1997-04-17	PRIJEM	VKLAD	6198	29731	\N	\N	\N
962288	3279	1998-02-08	PRIJEM	VKLAD	49277	67945	\N	\N	\N
962289	3279	1998-07-28	PRIJEM	VKLAD	19895	38333	\N	\N	\N
962290	3279	1998-04-21	PRIJEM	VKLAD	6308	46064	\N	\N	\N
962291	3279	1998-02-16	PRIJEM	VKLAD	49184	117129	\N	\N	\N
962292	3279	1998-03-14	PRIJEM	VKLAD	8984	37542	\N	\N	\N
962293	3279	1998-03-25	PRIJEM	VKLAD	19941	57483	\N	\N	\N
962294	3279	1998-08-12	PRIJEM	VKLAD	30853	66624	\N	\N	\N
962313	3279	1995-07-05	VYDAJ	PREVOD NA UCET	11462	49876	SIPO	MN	28563004
962314	3279	1995-08-05	VYDAJ	PREVOD NA UCET	11462	23579	SIPO	MN	28563004
962315	3279	1995-09-05	VYDAJ	PREVOD NA UCET	11462	13409	SIPO	MN	28563004
962316	3279	1995-10-05	VYDAJ	PREVOD NA UCET	11462	8909	SIPO	MN	28563004
962317	3279	1995-11-05	VYDAJ	PREVOD NA UCET	11462	5793	SIPO	MN	28563004
962318	3279	1995-12-05	VYDAJ	PREVOD NA UCET	11462	54847	SIPO	MN	28563004
962319	3279	1996-01-05	VYDAJ	PREVOD NA UCET	11462	58414	SIPO	MN	28563004
962320	3279	1996-02-05	VYDAJ	PREVOD NA UCET	11462	63067	SIPO	MN	28563004
962321	3279	1996-03-05	VYDAJ	PREVOD NA UCET	11462	35074	SIPO	MN	28563004
962322	3279	1996-04-05	VYDAJ	PREVOD NA UCET	11462	56211	SIPO	MN	28563004
962323	3279	1996-05-05	VYDAJ	PREVOD NA UCET	11462	83863	SIPO	MN	28563004
962324	3279	1996-06-05	VYDAJ	PREVOD NA UCET	11462	37727	SIPO	MN	28563004
962325	3279	1996-07-05	VYDAJ	PREVOD NA UCET	11462	85901	SIPO	MN	28563004
962326	3279	1996-08-05	VYDAJ	PREVOD NA UCET	11462	66895	SIPO	MN	28563004
962327	3279	1996-09-05	VYDAJ	PREVOD NA UCET	11462	93525	SIPO	MN	28563004
962328	3279	1996-10-05	VYDAJ	PREVOD NA UCET	11462	79378	SIPO	MN	28563004
962329	3279	1996-11-05	VYDAJ	PREVOD NA UCET	11462	92258	SIPO	MN	28563004
962330	3279	1996-12-05	VYDAJ	PREVOD NA UCET	11462	70365	SIPO	MN	28563004
962331	3279	1997-01-05	VYDAJ	PREVOD NA UCET	11462	47195	SIPO	MN	28563004
962332	3279	1997-02-05	VYDAJ	PREVOD NA UCET	11462	29530	SIPO	MN	28563004
962333	3279	1997-03-05	VYDAJ	PREVOD NA UCET	11462	42413	SIPO	MN	28563004
962334	3279	1997-04-05	VYDAJ	PREVOD NA UCET	11462	26233	SIPO	MN	28563004
962335	3279	1997-05-05	VYDAJ	PREVOD NA UCET	11462	28661	SIPO	MN	28563004
962336	3279	1997-06-05	VYDAJ	PREVOD NA UCET	11462	21528	SIPO	MN	28563004
962337	3279	1997-07-05	VYDAJ	PREVOD NA UCET	11462	69611	SIPO	MN	28563004
962338	3279	1997-08-05	VYDAJ	PREVOD NA UCET	11462	25748	SIPO	MN	28563004
962339	3279	1997-09-05	VYDAJ	PREVOD NA UCET	11462	51424	SIPO	MN	28563004
962340	3279	1997-10-05	VYDAJ	PREVOD NA UCET	11462	27021	SIPO	MN	28563004
962341	3279	1997-11-05	VYDAJ	PREVOD NA UCET	11462	23198	SIPO	MN	28563004
962342	3279	1997-12-05	VYDAJ	PREVOD NA UCET	11462	23307	SIPO	MN	28563004
962343	3279	1998-01-05	VYDAJ	PREVOD NA UCET	11462	24712	SIPO	MN	28563004
962344	3279	1998-02-05	VYDAJ	PREVOD NA UCET	11462	18668	SIPO	MN	28563004
962345	3279	1998-03-05	VYDAJ	PREVOD NA UCET	11462	28558	SIPO	MN	28563004
962346	3279	1998-04-05	VYDAJ	PREVOD NA UCET	11462	39756	SIPO	MN	28563004
962347	3279	1998-05-05	VYDAJ	PREVOD NA UCET	11462	26620	SIPO	MN	28563004
962348	3279	1998-06-05	VYDAJ	PREVOD NA UCET	11462	14057	SIPO	MN	28563004
962349	3279	1998-07-05	VYDAJ	PREVOD NA UCET	11462	18438	SIPO	MN	28563004
962350	3279	1998-08-05	VYDAJ	PREVOD NA UCET	11462	35771	SIPO	MN	28563004
962351	3279	1998-09-05	VYDAJ	PREVOD NA UCET	11462	43272	SIPO	MN	28563004
962352	3279	1998-10-05	VYDAJ	PREVOD NA UCET	11462	30157	SIPO	MN	28563004
962353	3279	1998-11-05	VYDAJ	PREVOD NA UCET	11462	24631	SIPO	MN	28563004
962354	3279	1998-12-05	VYDAJ	PREVOD NA UCET	11462	22685	SIPO	MN	28563004
962360	3279	1995-12-03	VYBER	VYBER	9569	66309	\N	\N	\N
962361	3279	1996-06-28	VYBER	VYBER	2753	29374	\N	\N	\N
962365	3279	1997-03-22	VYBER	VYBER	7543	29370	\N	\N	\N
962366	3279	1997-07-20	VYBER	VYBER	22185	47426	\N	\N	\N
962367	3279	1997-09-13	VYBER	VYBER	8806	42618	\N	\N	\N
962368	3279	1998-09-18	VYBER	VYBER	6617	36655	\N	\N	\N
962370	3279	1998-04-25	VYBER	VYBER	15544	30520	\N	\N	\N
962375	3279	1998-06-01	VYBER	VYBER	11427	25519	\N	\N	\N
962382	3279	1997-06-27	VYDAJ	VYBER	42000	26420	\N	\N	\N
962386	3279	1996-01-08	VYDAJ	VYBER	3300	50014	\N	\N	\N
962390	3279	1995-12-26	VYDAJ	VYBER	3300	87657	\N	\N	\N
962391	3279	1996-12-20	VYDAJ	VYBER	5700	72233	\N	\N	\N
962406	3279	1996-01-04	VYDAJ	VYBER	2100	69876	\N	\N	\N
962407	3279	1996-01-28	VYDAJ	VYBER	3300	24414	\N	\N	\N
962408	3279	1996-01-04	VYDAJ	VYBER	7500	80376	\N	\N	\N
962409	3279	1996-01-17	VYDAJ	VYBER	1800	32814	\N	\N	\N
962410	3279	1996-01-25	VYDAJ	VYBER	5100	27714	\N	\N	\N
962411	3279	1996-01-04	VYDAJ	VYBER	8400	71976	\N	\N	\N
962412	3279	1997-01-07	VYDAJ	VYBER KARTOU	1800	37795	\N	\N	0
962413	3279	1997-01-11	VYDAJ	VYBER	5400	32395	\N	\N	\N
962415	3279	1997-01-20	VYDAJ	VYBER	7200	21895	\N	\N	\N
962417	3279	1997-01-17	VYDAJ	VYBER KARTOU	3300	29095	\N	\N	0
962429	3279	1995-06-24	VYDAJ	VYBER	9000	27480	\N	\N	\N
962431	3279	1996-09-28	VYDAJ	VYBER	6900	90503	\N	\N	\N
962432	3279	1996-01-17	VYDAJ	VYBER	2100	34614	\N	\N	\N
962433	3279	1996-02-10	VYDAJ	VYBER	13500	49567	\N	\N	\N
962434	3279	1996-02-29	VYDAJ	VYBER	4500	46566	\N	\N	\N
962435	3279	1996-05-23	VYDAJ	VYBER	9600	48963	\N	\N	\N
962436	3279	1996-01-07	VYDAJ	VYBER	5100	53314	\N	\N	\N
962437	3279	1997-09-18	VYDAJ	VYBER	7500	35118	\N	\N	\N
962438	3279	1997-04-10	VYDAJ	VYBER KARTOU	2700	23533	\N	\N	0
962440	3279	1997-02-19	VYDAJ	VYBER	12600	53727	\N	\N	\N
962441	3279	1997-07-21	VYDAJ	VYBER	10500	36926	\N	\N	\N
962443	3279	1998-09-25	VYDAJ	VYBER	5400	31255	\N	\N	\N
962444	3279	1998-03-02	VYDAJ	VYBER	13200	40020	\N	\N	\N
962446	3279	1998-01-31	VYDAJ	VYBER	7200	30160	\N	\N	\N
962466	3279	1995-06-30	VYDAJ	VYBER	30	61338	SLUZBY	\N	\N
962467	3279	1995-07-31	VYDAJ	VYBER	30	35041	SLUZBY	\N	\N
962468	3279	1995-08-31	VYDAJ	VYBER	30	24871	SLUZBY	\N	\N
962469	3279	1995-09-30	VYDAJ	VYBER	30	20371	SLUZBY	\N	\N
962470	3279	1995-10-31	VYDAJ	VYBER	30	17255	SLUZBY	\N	\N
962471	3279	1995-11-30	VYDAJ	VYBER	30	75878	SLUZBY	\N	\N
962472	3279	1995-12-31	VYDAJ	VYBER	30	87876	SLUZBY	\N	\N
962473	3279	1996-01-31	VYDAJ	VYBER	30	24561	SLUZBY	\N	\N
962474	3279	1996-02-29	VYDAJ	VYBER	30	46536	SLUZBY	\N	\N
962475	3279	1996-03-31	VYDAJ	VYBER	30	67673	SLUZBY	\N	\N
962476	3279	1996-04-30	VYDAJ	VYBER	30	70765	SLUZBY	\N	\N
962477	3279	1996-05-31	VYDAJ	VYBER	30	49189	SLUZBY	\N	\N
962478	3279	1996-06-30	VYDAJ	VYBER	30	123563	SLUZBY	\N	\N
962479	3279	1996-07-31	VYDAJ	VYBER	30	78357	SLUZBY	\N	\N
962480	3279	1996-08-31	VYDAJ	VYBER	30	80710	SLUZBY	\N	\N
962481	3279	1996-09-30	VYDAJ	VYBER	30	90840	SLUZBY	\N	\N
962482	3279	1996-10-31	VYDAJ	VYBER	30	103720	SLUZBY	\N	\N
962483	3279	1996-11-30	VYDAJ	VYBER	30	81827	SLUZBY	\N	\N
962484	3279	1996-12-31	VYDAJ	VYBER	30	58657	SLUZBY	\N	\N
962485	3279	1997-01-31	VYDAJ	VYBER	30	22002	SLUZBY	\N	\N
962486	3279	1997-02-28	VYDAJ	VYBER	30	53875	SLUZBY	\N	\N
962487	3279	1997-03-31	VYDAJ	VYBER	30	29495	SLUZBY	\N	\N
962488	3279	1997-04-30	VYDAJ	VYBER	30	29823	SLUZBY	\N	\N
962489	3279	1997-05-31	VYDAJ	VYBER	30	28790	SLUZBY	\N	\N
962490	3279	1997-06-30	VYDAJ	VYBER	30	26544	SLUZBY	\N	\N
962491	3279	1997-07-31	VYDAJ	VYBER	30	37110	SLUZBY	\N	\N
962492	3279	1997-08-31	VYDAJ	VYBER	30	83686	SLUZBY	\N	\N
962493	3279	1997-09-30	VYDAJ	VYBER	30	35283	SLUZBY	\N	\N
962494	3279	1997-10-31	VYDAJ	VYBER	30	32560	SLUZBY	\N	\N
962495	3279	1997-11-30	VYDAJ	VYBER	30	23269	SLUZBY	\N	\N
962496	3279	1997-12-31	VYDAJ	VYBER	30	36174	SLUZBY	\N	\N
962497	3279	1998-01-31	VYDAJ	VYBER	30	30130	SLUZBY	\N	\N
962498	3279	1998-02-28	VYDAJ	VYBER	30	57820	SLUZBY	\N	\N
962499	3279	1998-03-31	VYDAJ	VYBER	30	57618	SLUZBY	\N	\N
962500	3279	1998-04-30	VYDAJ	VYBER	30	38082	SLUZBY	\N	\N
962501	3279	1998-05-31	VYDAJ	VYBER	30	36946	SLUZBY	\N	\N
962502	3279	1998-06-30	VYDAJ	VYBER	30	29900	SLUZBY	\N	\N
962503	3279	1998-07-31	VYDAJ	VYBER	30	47233	SLUZBY	\N	\N
962504	3279	1998-08-31	VYDAJ	VYBER	30	54734	SLUZBY	\N	\N
962505	3279	1998-09-30	VYDAJ	VYBER	30	41619	SLUZBY	\N	\N
962506	3279	1998-10-31	VYDAJ	VYBER	30	36093	SLUZBY	\N	\N
962507	3279	1998-11-30	VYDAJ	VYBER	30	34147	SLUZBY	\N	\N
962508	3279	1995-01-16	PRIJEM	VKLAD	3500	17102	\N	\N	\N
962509	3279	1995-02-15	VYDAJ	VYBER	7800	31091	\N	\N	\N
962510	3279	1995-03-17	VYDAJ	VYBER	4900	26291	\N	\N	\N
962511	3279	1995-04-16	VYDAJ	VYBER	29600	48574	\N	\N	\N
962512	3279	1995-05-16	VYDAJ	VYBER	12100	36663	\N	\N	\N
962513	3279	1995-06-15	VYDAJ	VYBER	10600	36480	\N	\N	\N
962514	3279	1995-07-15	VYDAJ	VYBER	15000	34876	\N	\N	\N
962515	3279	1995-08-14	PRIJEM	VKLAD	1200	24779	\N	\N	\N
962516	3279	1995-09-13	PRIJEM	VKLAD	6900	20309	\N	\N	\N
962517	3279	1995-10-13	PRIJEM	VKLAD	8300	17209	\N	\N	\N
962518	3279	1995-11-12	PRIJEM	VKLAD	9200	14993	\N	\N	\N
962519	3279	1995-12-12	VYDAJ	VYBER	12400	42447	\N	\N	\N
962520	3279	1996-01-11	VYDAJ	VYBER	13300	36714	\N	\N	\N
962521	3279	1996-02-10	VYDAJ	VYBER	8300	41267	\N	\N	\N
962522	3279	1996-03-11	VYDAJ	VYBER	36800	67430	\N	\N	\N
962523	3279	1996-04-10	VYDAJ	VYBER	26300	59162	\N	\N	\N
962524	3279	1996-04-18	VYDAJ	VYBER	38500	108455	\N	\N	\N
962525	3279	1996-04-21	VYDAJ	VYBER	51000	69704	\N	\N	\N
962526	3279	1996-04-25	VYDAJ	VYBER	46600	70453	\N	\N	\N
962527	3279	1996-05-10	VYDAJ	VYBER	25300	58563	\N	\N	\N
962528	3279	1996-06-09	VYDAJ	VYBER	5600	32127	\N	\N	\N
962529	3279	1996-06-30	VYDAJ	VYBER	26200	97363	\N	\N	\N
962530	3279	1996-07-09	VYDAJ	VYBER	28300	57601	\N	\N	\N
962531	3279	1996-07-31	VYDAJ	VYBER	29400	78387	\N	\N	\N
962532	3279	1996-08-08	VYDAJ	VYBER	15100	51795	\N	\N	\N
962533	3279	1996-08-28	VYDAJ	VYBER	38700	80455	\N	\N	\N
962534	3279	1996-09-07	VYDAJ	VYBER	32700	60825	\N	\N	\N
962535	3279	1996-10-07	VYDAJ	VYBER	27000	52378	\N	\N	\N
962536	3279	1996-11-06	VYDAJ	VYBER	32600	59658	\N	\N	\N
962537	3279	1996-12-06	VYDAJ	VYBER	21700	48665	\N	\N	\N
962538	3279	1996-12-26	VYDAJ	VYBER	51800	58384	\N	\N	\N
962539	3279	1997-01-05	VYDAJ	VYBER	7600	39595	\N	\N	\N
962540	3279	1997-02-04	VYDAJ	VYBER	7000	40992	\N	\N	\N
962541	3279	1997-03-06	VYDAJ	VYBER	5500	36913	\N	\N	\N
962542	3279	1997-04-05	PRIJEM	VKLAD	8200	37695	\N	\N	\N
962543	3279	1997-05-05	PRIJEM	VKLAD	10300	40123	\N	\N	\N
962544	3279	1997-06-04	PRIJEM	VKLAD	4200	32990	\N	\N	\N
962545	3279	1997-07-04	PRIJEM	VKLAD	8300	34844	\N	\N	\N
962546	3279	1997-08-03	PRIJEM	VKLAD	100	37210	\N	\N	\N
962547	3279	1997-09-02	VYDAJ	VYBER	20800	62886	\N	\N	\N
962548	3279	1997-10-02	PRIJEM	VKLAD	3200	38483	\N	\N	\N
962549	3279	1997-11-01	PRIJEM	VKLAD	2100	34660	\N	\N	\N
962550	3279	1997-12-01	PRIJEM	VKLAD	11500	34769	\N	\N	\N
962551	3279	1997-12-31	PRIJEM	VKLAD	12800	36204	\N	\N	\N
962552	3279	1998-01-30	PRIJEM	VKLAD	12500	37212	\N	\N	\N
962553	3279	1998-02-16	VYDAJ	VYBER	59500	57629	\N	\N	\N
962554	3279	1998-03-01	VYDAJ	VYBER	4600	53220	\N	\N	\N
962555	3279	1998-03-31	VYDAJ	VYBER	6400	51218	\N	\N	\N
962556	3279	1998-04-30	PRIJEM	VKLAD	7400	37920	\N	\N	\N
962557	3279	1998-05-30	PRIJEM	VKLAD	10200	36820	\N	\N	\N
962558	3279	1998-06-29	PRIJEM	VKLAD	15800	29857	\N	\N	\N
962559	3279	1998-07-29	PRIJEM	VKLAD	8800	47133	\N	\N	\N
962560	3279	1998-08-28	VYDAJ	VYBER	12100	54524	\N	\N	\N
962561	3279	1998-09-27	PRIJEM	VKLAD	10200	41455	\N	\N	\N
962562	3279	1998-10-27	PRIJEM	VKLAD	5800	35957	\N	\N	\N
962563	3279	1998-11-26	PRIJEM	VKLAD	9400	34031	\N	\N	\N
962611	3280	1996-04-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
962616	3280	1996-05-12	PRIJEM	VKLAD	14266	15366	\N	\N	\N
962617	3280	1996-06-12	PRIJEM	VKLAD	21399	41887	\N	\N	\N
962618	3280	1996-07-12	PRIJEM	VKLAD	14266	46952	\N	\N	\N
962619	3280	1996-08-12	PRIJEM	VKLAD	14266	48555	\N	\N	\N
962620	3280	1996-09-12	PRIJEM	VKLAD	14266	49565	\N	\N	\N
962621	3280	1996-10-12	PRIJEM	VKLAD	14266	43772	\N	\N	\N
962622	3280	1996-11-12	PRIJEM	VKLAD	14266	40264	\N	\N	\N
962623	3280	1996-12-12	PRIJEM	VKLAD	21399	46877	\N	\N	\N
962624	3280	1997-01-12	PRIJEM	VKLAD	14266	33178	\N	\N	\N
962625	3280	1997-02-12	PRIJEM	VKLAD	14266	27163	\N	\N	\N
962626	3280	1997-03-12	PRIJEM	VKLAD	14266	29391	\N	\N	\N
962627	3280	1997-04-12	PRIJEM	VKLAD	14266	31029	\N	\N	\N
962628	3280	1997-05-12	PRIJEM	VKLAD	14266	31471	\N	\N	\N
962629	3280	1997-06-12	PRIJEM	VKLAD	21399	37245	\N	\N	\N
962630	3280	1997-07-12	PRIJEM	VKLAD	14266	29865	\N	\N	\N
962631	3280	1997-08-12	PRIJEM	VKLAD	14266	28398	\N	\N	\N
962632	3280	1997-09-12	PRIJEM	VKLAD	14266	29628	\N	\N	\N
962633	3280	1997-10-12	PRIJEM	VKLAD	14266	29859	\N	\N	\N
962634	3280	1997-11-12	PRIJEM	VKLAD	14266	29090	\N	\N	\N
962635	3280	1997-12-12	PRIJEM	VKLAD	21399	37554	\N	\N	\N
962636	3280	1998-01-12	PRIJEM	VKLAD	14266	37306	\N	\N	\N
962637	3280	1998-02-12	PRIJEM	VKLAD	14266	25827	\N	\N	\N
962638	3280	1998-03-12	PRIJEM	VKLAD	14266	23332	\N	\N	\N
962639	3280	1998-04-12	PRIJEM	VKLAD	14266	33259	\N	\N	\N
962640	3280	1998-05-12	PRIJEM	VKLAD	14266	24181	\N	\N	\N
962641	3280	1998-06-12	PRIJEM	VKLAD	21399	41244	\N	\N	\N
962642	3280	1998-07-12	PRIJEM	VKLAD	14266	29880	\N	\N	\N
962643	3280	1998-08-12	PRIJEM	VKLAD	14266	21687	\N	\N	\N
962644	3280	1998-09-12	PRIJEM	VKLAD	14266	30525	\N	\N	\N
962645	3280	1998-10-12	PRIJEM	VKLAD	14266	36038	\N	\N	\N
962646	3280	1998-11-12	PRIJEM	VKLAD	14266	46017	\N	\N	\N
962647	3280	1998-12-12	PRIJEM	VKLAD	21399	36490	\N	\N	\N
962657	3280	1996-10-08	VYDAJ	PREVOD NA UCET	1726	29506	SIPO	WX	41357261
962658	3280	1996-11-08	VYDAJ	PREVOD NA UCET	1726	25998	SIPO	WX	41357261
962659	3280	1996-12-08	VYDAJ	PREVOD NA UCET	1726	25478	SIPO	WX	41357261
962660	3280	1997-01-08	VYDAJ	PREVOD NA UCET	1726	18912	SIPO	WX	41357261
962661	3280	1997-02-08	VYDAJ	PREVOD NA UCET	1726	12897	SIPO	WX	41357261
962662	3280	1997-03-08	VYDAJ	PREVOD NA UCET	1726	15125	SIPO	WX	41357261
962663	3280	1997-04-08	VYDAJ	PREVOD NA UCET	1726	16763	SIPO	WX	41357261
962664	3280	1997-05-08	VYDAJ	PREVOD NA UCET	1726	17205	SIPO	WX	41357261
962665	3280	1997-06-08	VYDAJ	PREVOD NA UCET	1726	15846	SIPO	WX	41357261
962666	3280	1997-07-08	VYDAJ	PREVOD NA UCET	1726	15599	SIPO	WX	41357261
962667	3280	1997-08-08	VYDAJ	PREVOD NA UCET	1726	14132	SIPO	WX	41357261
962668	3280	1997-09-08	VYDAJ	PREVOD NA UCET	1726	15362	SIPO	WX	41357261
962669	3280	1997-10-08	VYDAJ	PREVOD NA UCET	1726	15593	SIPO	WX	41357261
962670	3280	1997-11-08	VYDAJ	PREVOD NA UCET	1726	14824	SIPO	WX	41357261
962671	3280	1997-12-08	VYDAJ	PREVOD NA UCET	1726	16155	SIPO	WX	41357261
962672	3280	1998-01-08	VYDAJ	PREVOD NA UCET	1726	23040	SIPO	WX	41357261
962673	3280	1998-02-08	VYDAJ	PREVOD NA UCET	1726	11561	SIPO	WX	41357261
962674	3280	1998-03-08	VYDAJ	PREVOD NA UCET	1726	9066	SIPO	WX	41357261
962675	3280	1998-04-08	VYDAJ	PREVOD NA UCET	1726	18993	SIPO	WX	41357261
962676	3280	1998-05-08	VYDAJ	PREVOD NA UCET	1726	9915	SIPO	WX	41357261
962677	3280	1998-06-08	VYDAJ	PREVOD NA UCET	1726	19845	SIPO	WX	41357261
962678	3280	1998-07-08	VYDAJ	PREVOD NA UCET	1726	15614	SIPO	WX	41357261
962679	3280	1998-08-08	VYDAJ	PREVOD NA UCET	1726	7421	SIPO	WX	41357261
962680	3280	1998-09-08	VYDAJ	PREVOD NA UCET	1726	16259	SIPO	WX	41357261
962681	3280	1998-10-08	VYDAJ	PREVOD NA UCET	1726	21772	SIPO	WX	41357261
962682	3280	1998-11-08	VYDAJ	PREVOD NA UCET	1726	31751	SIPO	WX	41357261
962683	3280	1998-12-08	VYDAJ	PREVOD NA UCET	1726	41771	SIPO	WX	41357261
962692	3280	1996-09-14	VYDAJ	PREVOD NA UCET	2671	46894	 	QR	41446197
962693	3280	1996-10-14	VYDAJ	PREVOD NA UCET	2671	41101	 	QR	41446197
962694	3280	1996-11-14	VYDAJ	PREVOD NA UCET	2671	37593	 	QR	41446197
962695	3280	1996-12-14	VYDAJ	PREVOD NA UCET	2671	44206	 	QR	41446197
962696	3280	1997-01-14	VYDAJ	PREVOD NA UCET	2671	30507	 	QR	41446197
962697	3280	1997-02-14	VYDAJ	PREVOD NA UCET	2671	24492	 	QR	41446197
962698	3280	1997-03-14	VYDAJ	PREVOD NA UCET	2671	26120	 	QR	41446197
962699	3280	1997-04-14	VYDAJ	PREVOD NA UCET	2671	28358	 	QR	41446197
962700	3280	1997-05-14	VYDAJ	PREVOD NA UCET	2671	28800	 	QR	41446197
962701	3280	1997-06-14	VYDAJ	PREVOD NA UCET	2671	32054	 	QR	41446197
962702	3280	1997-07-14	VYDAJ	PREVOD NA UCET	2671	27194	 	QR	41446197
962703	3280	1997-08-14	VYDAJ	PREVOD NA UCET	2671	25727	 	QR	41446197
962704	3280	1997-09-14	VYDAJ	PREVOD NA UCET	2671	26957	 	QR	41446197
962705	3280	1997-10-14	VYDAJ	PREVOD NA UCET	2671	27188	 	QR	41446197
962706	3280	1997-11-14	VYDAJ	PREVOD NA UCET	2671	26419	 	QR	41446197
962707	3280	1997-12-14	VYDAJ	PREVOD NA UCET	2671	34883	 	QR	41446197
962708	3280	1998-01-14	VYDAJ	PREVOD NA UCET	2671	29715	 	QR	41446197
962709	3280	1998-02-14	VYDAJ	PREVOD NA UCET	2671	10756	 	QR	41446197
962710	3280	1998-03-14	VYDAJ	PREVOD NA UCET	2671	20661	 	QR	41446197
962711	3280	1998-04-14	VYDAJ	PREVOD NA UCET	2671	30588	 	QR	41446197
962712	3280	1998-05-14	VYDAJ	PREVOD NA UCET	2671	21510	 	QR	41446197
962713	3280	1998-06-14	VYDAJ	PREVOD NA UCET	2671	17273	 	QR	41446197
962714	3280	1998-07-14	VYDAJ	PREVOD NA UCET	2671	9109	 	QR	41446197
962715	3280	1998-08-14	VYDAJ	PREVOD NA UCET	2671	19016	 	QR	41446197
962716	3280	1998-09-14	VYDAJ	PREVOD NA UCET	2671	27854	 	QR	41446197
962717	3280	1998-10-14	VYDAJ	PREVOD NA UCET	2671	33367	 	QR	41446197
962718	3280	1998-11-14	VYDAJ	PREVOD NA UCET	2671	43346	 	QR	41446197
962719	3280	1998-12-14	VYDAJ	PREVOD NA UCET	2671	33819	 	QR	41446197
962723	3280	1996-12-21	VYDAJ	VYBER	4480	22926	\N	\N	\N
962725	3280	1998-12-09	VYDAJ	VYBER	1280	40491	\N	\N	\N
962732	3280	1997-01-18	VYDAJ	VYBER	2400	28107	\N	\N	\N
962733	3280	1997-01-04	VYDAJ	VYBER	1800	21238	\N	\N	\N
962734	3280	1997-01-29	VYDAJ	VYBER	840	14547	\N	\N	\N
962735	3280	1997-01-08	VYDAJ	VYBER	600	20638	\N	\N	\N
962736	3280	1997-01-24	VYDAJ	VYBER	3360	15387	\N	\N	\N
962737	3280	1997-01-19	VYDAJ	VYBER	2760	18747	\N	\N	\N
962739	3280	1998-01-16	VYDAJ	VYBER	720	16695	\N	\N	\N
962740	3280	1998-01-14	VYDAJ	VYBER	2040	32386	\N	\N	\N
962741	3280	1998-01-25	VYDAJ	VYBER	3480	13215	\N	\N	\N
962742	3280	1998-01-12	VYDAJ	VYBER	2880	34426	\N	\N	\N
962749	3280	1997-03-13	VYDAJ	VYBER	600	28791	\N	\N	\N
962751	3280	1997-06-12	VYDAJ	VYBER	2520	34725	\N	\N	\N
962754	3280	1998-09-27	VYDAJ	VYBER	4440	23414	\N	\N	\N
962757	3280	1998-12-26	VYDAJ	VYBER	3720	30099	\N	\N	\N
962758	3280	1998-08-25	VYDAJ	VYBER	1080	17936	\N	\N	\N
962768	3280	1996-09-30	VYDAJ	VYBER	15	31232	SLUZBY	\N	\N
962769	3280	1996-10-31	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
962770	3280	1996-11-30	VYDAJ	VYBER	15	27204	SLUZBY	\N	\N
962771	3280	1996-12-31	VYDAJ	VYBER	15	23038	SLUZBY	\N	\N
962772	3280	1997-01-31	VYDAJ	VYBER	15	14623	SLUZBY	\N	\N
962773	3280	1997-02-28	VYDAJ	VYBER	15	16851	SLUZBY	\N	\N
962774	3280	1997-03-31	VYDAJ	VYBER	15	18489	SLUZBY	\N	\N
962775	3280	1997-04-30	VYDAJ	VYBER	15	18931	SLUZBY	\N	\N
962776	3280	1997-05-31	VYDAJ	VYBER	15	17572	SLUZBY	\N	\N
962777	3280	1997-06-30	VYDAJ	VYBER	15	17325	SLUZBY	\N	\N
962778	3280	1997-07-31	VYDAJ	VYBER	15	15858	SLUZBY	\N	\N
962779	3280	1997-08-31	VYDAJ	VYBER	15	17088	SLUZBY	\N	\N
962780	3280	1997-09-30	VYDAJ	VYBER	15	17319	SLUZBY	\N	\N
962781	3280	1997-10-31	VYDAJ	VYBER	15	16550	SLUZBY	\N	\N
962782	3280	1997-11-30	VYDAJ	VYBER	15	17881	SLUZBY	\N	\N
962783	3280	1997-12-31	VYDAJ	VYBER	15	24766	SLUZBY	\N	\N
962784	3280	1998-01-31	VYDAJ	VYBER	15	13287	SLUZBY	\N	\N
962785	3280	1998-02-28	VYDAJ	VYBER	15	10792	SLUZBY	\N	\N
962786	3280	1998-03-31	VYDAJ	VYBER	15	20719	SLUZBY	\N	\N
962787	3280	1998-04-30	VYDAJ	VYBER	15	11641	SLUZBY	\N	\N
962788	3280	1998-05-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
962789	3280	1998-06-30	VYDAJ	VYBER	15	17340	SLUZBY	\N	\N
962790	3280	1998-07-31	VYDAJ	VYBER	15	9147	SLUZBY	\N	\N
962791	3280	1998-08-31	VYDAJ	VYBER	15	17985	SLUZBY	\N	\N
962792	3280	1998-09-30	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
962793	3280	1998-10-31	VYDAJ	VYBER	15	33477	SLUZBY	\N	\N
962794	3280	1998-11-30	VYDAJ	VYBER	15	43497	SLUZBY	\N	\N
962795	3280	1996-05-24	PRIJEM	VKLAD	5100	20466	\N	\N	\N
962796	3280	1996-06-23	VYDAJ	VYBER	9300	32587	\N	\N	\N
962797	3280	1996-07-23	VYDAJ	VYBER	12800	34152	\N	\N	\N
962798	3280	1996-08-22	VYDAJ	VYBER	13400	35155	\N	\N	\N
962799	3280	1996-09-21	VYDAJ	VYBER	15800	31094	\N	\N	\N
962800	3280	1996-10-21	VYDAJ	VYBER	13500	27601	\N	\N	\N
962801	3280	1996-11-20	VYDAJ	VYBER	10500	27093	\N	\N	\N
962802	3280	1996-12-20	VYDAJ	VYBER	16800	27406	\N	\N	\N
962803	3280	1997-01-19	VYDAJ	VYBER	6600	21507	\N	\N	\N
962804	3280	1997-02-18	VYDAJ	VYBER	7700	16792	\N	\N	\N
962805	3280	1997-03-20	VYDAJ	VYBER	7700	18420	\N	\N	\N
962806	3280	1997-04-19	VYDAJ	VYBER	9500	18858	\N	\N	\N
962807	3280	1997-05-19	VYDAJ	VYBER	11300	17500	\N	\N	\N
962808	3280	1997-06-18	VYDAJ	VYBER	14800	17254	\N	\N	\N
962809	3280	1997-07-18	VYDAJ	VYBER	11400	15794	\N	\N	\N
962810	3280	1997-08-17	VYDAJ	VYBER	8700	17027	\N	\N	\N
962811	3280	1997-09-16	VYDAJ	VYBER	9700	17257	\N	\N	\N
962812	3280	1997-10-16	VYDAJ	VYBER	10700	16488	\N	\N	\N
962813	3280	1997-11-15	VYDAJ	VYBER	8600	17819	\N	\N	\N
962814	3280	1997-12-15	VYDAJ	VYBER	10200	24683	\N	\N	\N
962815	3280	1998-01-14	VYDAJ	VYBER	12300	17415	\N	\N	\N
962816	3280	1998-02-13	VYDAJ	VYBER	12400	13427	\N	\N	\N
962817	3280	1998-04-14	VYDAJ	VYBER	19000	11588	\N	\N	\N
962818	3280	1998-06-13	VYDAJ	VYBER	21300	19944	\N	\N	\N
962819	3280	1998-07-13	VYDAJ	VYBER	18100	11780	\N	\N	\N
962820	3280	1998-12-10	VYDAJ	VYBER	25400	15091	\N	\N	\N
962853	3281	1997-08-06	PRIJEM	VKLAD	800	800	\N	\N	\N
962862	3281	1997-09-05	PRIJEM	PREVOD Z UCTU	6288	7088	DUCHOD	IJ	72821706
962863	3281	1997-10-05	PRIJEM	PREVOD Z UCTU	6288	13376	DUCHOD	IJ	72821706
962864	3281	1997-11-05	PRIJEM	PREVOD Z UCTU	6288	19664	DUCHOD	IJ	72821706
962865	3281	1997-12-05	PRIJEM	PREVOD Z UCTU	6288	23552	DUCHOD	IJ	72821706
962866	3281	1998-01-05	PRIJEM	PREVOD Z UCTU	6288	25826	DUCHOD	IJ	72821706
962867	3281	1998-02-05	PRIJEM	PREVOD Z UCTU	6288	19865	DUCHOD	IJ	72821706
962868	3281	1998-03-05	PRIJEM	PREVOD Z UCTU	6288	19802	DUCHOD	IJ	72821706
962869	3281	1998-04-05	PRIJEM	PREVOD Z UCTU	6288	20941	DUCHOD	IJ	72821706
962870	3281	1998-05-05	PRIJEM	PREVOD Z UCTU	6288	18643	DUCHOD	IJ	72821706
962871	3281	1998-06-05	PRIJEM	PREVOD Z UCTU	6288	17788	DUCHOD	IJ	72821706
962872	3281	1998-07-05	PRIJEM	PREVOD Z UCTU	6288	19430	DUCHOD	IJ	72821706
962873	3281	1998-08-05	PRIJEM	PREVOD Z UCTU	6288	19278	DUCHOD	IJ	72821706
962874	3281	1998-09-05	PRIJEM	PREVOD Z UCTU	6288	22026	DUCHOD	IJ	72821706
962875	3281	1998-10-05	PRIJEM	PREVOD Z UCTU	6288	23778	DUCHOD	IJ	72821706
962876	3281	1998-11-05	PRIJEM	PREVOD Z UCTU	6288	22137	DUCHOD	IJ	72821706
962877	3281	1998-12-05	PRIJEM	PREVOD Z UCTU	6288	24889	DUCHOD	IJ	72821706
962890	3281	1998-01-12	VYDAJ	PREVOD NA UCET	3594	19992	SIPO	CD	23259127
962891	3281	1998-02-12	VYDAJ	PREVOD NA UCET	3594	13471	SIPO	CD	23259127
962892	3281	1998-03-12	VYDAJ	PREVOD NA UCET	3594	14608	SIPO	CD	23259127
962893	3281	1998-04-12	VYDAJ	PREVOD NA UCET	3594	17347	SIPO	CD	23259127
962894	3281	1998-05-12	VYDAJ	PREVOD NA UCET	3594	15049	SIPO	CD	23259127
962895	3281	1998-06-12	VYDAJ	PREVOD NA UCET	3594	14194	SIPO	CD	23259127
962896	3281	1998-07-12	VYDAJ	PREVOD NA UCET	3594	15836	SIPO	CD	23259127
962897	3281	1998-08-12	VYDAJ	PREVOD NA UCET	3594	15684	SIPO	CD	23259127
962898	3281	1998-09-12	VYDAJ	PREVOD NA UCET	3594	18432	SIPO	CD	23259127
962899	3281	1998-10-12	VYDAJ	PREVOD NA UCET	3594	20184	SIPO	CD	23259127
962900	3281	1998-11-12	VYDAJ	PREVOD NA UCET	3594	18543	SIPO	CD	23259127
962901	3281	1998-12-12	VYDAJ	PREVOD NA UCET	3594	20795	SIPO	CD	23259127
962907	3281	1998-12-08	VYDAJ	VYBER	500	24389	\N	\N	\N
962915	3281	1998-01-21	VYDAJ	VYBER	560	15832	\N	\N	\N
962916	3281	1998-01-17	VYDAJ	VYBER	1040	18952	\N	\N	\N
962918	3281	1998-01-06	VYDAJ	VYBER	2240	23586	\N	\N	\N
962919	3281	1998-01-26	VYDAJ	VYBER	2320	13512	\N	\N	\N
962924	3281	1998-01-20	VYDAJ	VYBER	2560	16392	\N	\N	\N
962925	3281	1998-04-16	VYDAJ	VYBER	3040	14307	\N	\N	\N
962927	3281	1998-03-11	VYDAJ	VYBER	1600	18202	\N	\N	\N
962928	3281	1998-02-09	VYDAJ	VYBER	2800	17065	\N	\N	\N
962942	3281	1998-01-31	VYDAJ	VYBER	15	13577	SLUZBY	\N	\N
962943	3281	1998-02-28	VYDAJ	VYBER	15	13514	SLUZBY	\N	\N
962944	3281	1998-03-31	VYDAJ	VYBER	15	14653	SLUZBY	\N	\N
962945	3281	1998-04-30	VYDAJ	VYBER	15	14355	SLUZBY	\N	\N
962946	3281	1998-05-31	VYDAJ	VYBER	15	15100	SLUZBY	\N	\N
962947	3281	1998-06-30	VYDAJ	VYBER	15	14242	SLUZBY	\N	\N
962948	3281	1998-07-31	VYDAJ	VYBER	15	15890	SLUZBY	\N	\N
962949	3281	1998-08-31	VYDAJ	VYBER	15	15738	SLUZBY	\N	\N
962950	3281	1998-09-30	VYDAJ	VYBER	15	17490	SLUZBY	\N	\N
962951	3281	1998-10-31	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
962952	3281	1998-11-30	VYDAJ	VYBER	15	18601	SLUZBY	\N	\N
962953	3281	1997-12-04	VYDAJ	VYBER	2400	17264	\N	\N	\N
962954	3281	1998-01-03	VYDAJ	VYBER	4100	19538	\N	\N	\N
962955	3281	1998-05-03	VYDAJ	VYBER	2000	12355	\N	\N	\N
962956	3281	1998-06-02	VYDAJ	VYBER	3600	11500	\N	\N	\N
962957	3281	1998-07-02	VYDAJ	VYBER	1100	13142	\N	\N	\N
962958	3281	1998-08-01	VYDAJ	VYBER	2900	12990	\N	\N	\N
962959	3281	1998-09-30	VYDAJ	VYBER	1000	17505	\N	\N	\N
962960	3281	1998-10-30	VYDAJ	VYBER	4400	15784	\N	\N	\N
962974	3282	1996-11-24	PRIJEM	VKLAD	200	200	\N	\N	\N
962977	3282	1997-08-26	PRIJEM	VKLAD	18354	38084	\N	\N	\N
962978	3282	1997-03-19	PRIJEM	VKLAD	12904	38405	\N	\N	\N
962979	3282	1998-12-24	PRIJEM	VKLAD	14486	31712	\N	\N	\N
962980	3282	1998-12-26	PRIJEM	VKLAD	28459	60171	\N	\N	\N
962992	3282	1996-12-14	PRIJEM	VKLAD	700	900	\N	\N	\N
962993	3282	1997-01-16	PRIJEM	VKLAD	700	13115	\N	\N	\N
962994	3282	1997-02-17	PRIJEM	VKLAD	700	20177	\N	\N	\N
962995	3282	1997-03-15	PRIJEM	VKLAD	700	24001	\N	\N	\N
962996	3282	1997-04-13	PRIJEM	VKLAD	700	32810	\N	\N	\N
962997	3282	1997-05-14	PRIJEM	VKLAD	700	32530	\N	\N	\N
962998	3282	1997-06-15	PRIJEM	VKLAD	700	28445	\N	\N	\N
962999	3282	1997-07-17	PRIJEM	VKLAD	700	25643	\N	\N	\N
963000	3282	1997-08-14	PRIJEM	VKLAD	700	21530	\N	\N	\N
963001	3282	1997-09-15	PRIJEM	VKLAD	700	38870	\N	\N	\N
963002	3282	1997-10-14	PRIJEM	VKLAD	700	29653	\N	\N	\N
963003	3282	1997-11-16	PRIJEM	VKLAD	700	25657	\N	\N	\N
963004	3282	1997-12-13	PRIJEM	VKLAD	700	22440	\N	\N	\N
963005	3282	1998-01-15	PRIJEM	VKLAD	700	13656	\N	\N	\N
963006	3282	1998-02-14	PRIJEM	VKLAD	700	13348	\N	\N	\N
963007	3282	1998-03-14	PRIJEM	VKLAD	700	19697	\N	\N	\N
963008	3282	1998-04-14	PRIJEM	VKLAD	700	19611	\N	\N	\N
963009	3282	1998-05-14	PRIJEM	VKLAD	700	16278	\N	\N	\N
963010	3282	1998-06-15	PRIJEM	VKLAD	700	12632	\N	\N	\N
963011	3282	1998-07-16	PRIJEM	VKLAD	700	13869	\N	\N	\N
963012	3282	1998-08-15	PRIJEM	VKLAD	700	14711	\N	\N	\N
963013	3282	1998-09-15	PRIJEM	VKLAD	700	17159	\N	\N	\N
963014	3282	1998-10-13	PRIJEM	VKLAD	700	16612	\N	\N	\N
963015	3282	1998-11-14	PRIJEM	VKLAD	700	18867	\N	\N	\N
963016	3282	1998-12-14	PRIJEM	VKLAD	700	16126	\N	\N	\N
963028	3282	1996-12-18	PRIJEM	VKLAD	1500	2400	\N	\N	\N
963029	3282	1997-01-18	PRIJEM	VKLAD	1500	14615	\N	\N	\N
963030	3282	1997-02-18	PRIJEM	VKLAD	1500	21677	\N	\N	\N
963031	3282	1997-03-18	PRIJEM	VKLAD	1500	25501	\N	\N	\N
963032	3282	1997-04-18	PRIJEM	VKLAD	1500	34310	\N	\N	\N
963033	3282	1997-05-18	PRIJEM	VKLAD	1500	34030	\N	\N	\N
963034	3282	1997-06-18	PRIJEM	VKLAD	1500	29945	\N	\N	\N
963035	3282	1997-07-18	PRIJEM	VKLAD	1500	27143	\N	\N	\N
963036	3282	1997-08-18	PRIJEM	VKLAD	1500	23030	\N	\N	\N
963037	3282	1997-09-18	PRIJEM	VKLAD	1500	40370	\N	\N	\N
963038	3282	1997-10-18	PRIJEM	VKLAD	1500	31153	\N	\N	\N
963039	3282	1997-11-18	PRIJEM	VKLAD	1500	25257	\N	\N	\N
963040	3282	1997-12-18	PRIJEM	VKLAD	1500	23940	\N	\N	\N
963041	3282	1998-01-18	PRIJEM	VKLAD	1500	15156	\N	\N	\N
963042	3282	1998-02-18	PRIJEM	VKLAD	1500	18948	\N	\N	\N
963043	3282	1998-03-18	PRIJEM	VKLAD	1500	21197	\N	\N	\N
963044	3282	1998-04-18	PRIJEM	VKLAD	1500	21111	\N	\N	\N
963045	3282	1998-05-18	PRIJEM	VKLAD	1500	17778	\N	\N	\N
963046	3282	1998-06-18	PRIJEM	VKLAD	1500	14132	\N	\N	\N
963047	3282	1998-07-18	PRIJEM	VKLAD	1500	13969	\N	\N	\N
963048	3282	1998-08-18	PRIJEM	VKLAD	1500	16411	\N	\N	\N
963049	3282	1998-09-18	PRIJEM	VKLAD	1500	15859	\N	\N	\N
963050	3282	1998-10-18	PRIJEM	VKLAD	1500	18112	\N	\N	\N
963051	3282	1998-11-18	PRIJEM	VKLAD	1500	16767	\N	\N	\N
963052	3282	1998-12-18	PRIJEM	VKLAD	1500	17626	\N	\N	\N
963066	3282	1997-12-26	VYDAJ	VYBER	1900	14840	\N	\N	\N
963067	3282	1998-12-13	VYDAJ	VYBER	1400	15426	\N	\N	\N
963080	3282	1998-01-05	VYDAJ	VYBER	1150	12956	\N	\N	\N
963081	3282	1998-01-29	VYDAJ	VYBER	750	12606	\N	\N	\N
963082	3282	1998-01-02	VYDAJ	VYBER	800	14106	\N	\N	\N
963083	3282	1998-01-18	VYDAJ	VYBER	1100	14056	\N	\N	\N
963085	3282	1998-01-24	VYDAJ	VYBER	400	13356	\N	\N	\N
963089	3282	1997-03-03	VYDAJ	VYBER	1550	23301	\N	\N	\N
963090	3282	1997-11-17	VYDAJ	VYBER	1900	23757	\N	\N	\N
963092	3282	1997-10-09	VYDAJ	VYBER	1650	28953	\N	\N	\N
963093	3282	1997-07-30	VYDAJ	VYBER	1500	20743	\N	\N	\N
963094	3282	1997-02-25	VYDAJ	VYBER	900	24777	\N	\N	\N
963096	3282	1998-12-19	VYDAJ	VYBER	400	17226	\N	\N	\N
963097	3282	1998-06-21	VYDAJ	VYBER	1000	13132	\N	\N	\N
963099	3282	1998-03-18	VYDAJ	VYBER	1350	19847	\N	\N	\N
963115	3282	1997-02-28	VYDAJ	VYBER	15	24851	SLUZBY	\N	\N
963116	3282	1997-03-31	VYDAJ	VYBER	15	32110	SLUZBY	\N	\N
963117	3282	1997-04-30	VYDAJ	VYBER	15	31830	SLUZBY	\N	\N
963118	3282	1997-05-31	VYDAJ	VYBER	15	27745	SLUZBY	\N	\N
963119	3282	1997-06-30	VYDAJ	VYBER	15	24943	SLUZBY	\N	\N
963120	3282	1997-07-31	VYDAJ	VYBER	15	20830	SLUZBY	\N	\N
963121	3282	1997-08-31	VYDAJ	VYBER	15	38170	SLUZBY	\N	\N
963122	3282	1997-09-30	VYDAJ	VYBER	15	30603	SLUZBY	\N	\N
963123	3282	1997-10-31	VYDAJ	VYBER	15	24957	SLUZBY	\N	\N
963124	3282	1997-11-30	VYDAJ	VYBER	15	21740	SLUZBY	\N	\N
963125	3282	1997-12-31	VYDAJ	VYBER	15	14906	SLUZBY	\N	\N
963126	3282	1998-01-31	VYDAJ	VYBER	15	12648	SLUZBY	\N	\N
963127	3282	1998-02-28	VYDAJ	VYBER	15	18997	SLUZBY	\N	\N
963128	3282	1998-03-31	VYDAJ	VYBER	15	18911	SLUZBY	\N	\N
963129	3282	1998-04-30	VYDAJ	VYBER	15	15578	SLUZBY	\N	\N
963130	3282	1998-05-31	VYDAJ	VYBER	15	11932	SLUZBY	\N	\N
963131	3282	1998-06-30	VYDAJ	VYBER	15	13169	SLUZBY	\N	\N
963132	3282	1998-07-31	VYDAJ	VYBER	15	14011	SLUZBY	\N	\N
963133	3282	1998-08-31	VYDAJ	VYBER	15	16459	SLUZBY	\N	\N
963134	3282	1998-09-30	VYDAJ	VYBER	15	15912	SLUZBY	\N	\N
963135	3282	1998-10-31	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
963136	3282	1998-11-30	VYDAJ	VYBER	15	16826	SLUZBY	\N	\N
963137	3282	1996-12-24	PRIJEM	VKLAD	10000	12400	\N	\N	\N
963138	3282	1997-01-23	PRIJEM	VKLAD	4800	19415	\N	\N	\N
963139	3282	1997-02-22	PRIJEM	VKLAD	4000	25677	\N	\N	\N
963140	3282	1997-03-24	VYDAJ	VYBER	6400	32005	\N	\N	\N
963141	3282	1997-04-23	VYDAJ	VYBER	2600	31710	\N	\N	\N
963142	3282	1997-05-23	VYDAJ	VYBER	6400	27630	\N	\N	\N
963143	3282	1997-06-22	VYDAJ	VYBER	5100	24845	\N	\N	\N
963144	3282	1997-07-22	VYDAJ	VYBER	4900	22243	\N	\N	\N
963145	3282	1997-08-21	VYDAJ	VYBER	3300	19730	\N	\N	\N
963146	3282	1997-09-20	VYDAJ	VYBER	9900	30470	\N	\N	\N
963147	3282	1997-10-20	VYDAJ	VYBER	6300	24853	\N	\N	\N
963148	3282	1997-11-19	VYDAJ	VYBER	3600	21657	\N	\N	\N
963149	3282	1997-12-19	VYDAJ	VYBER	7200	16740	\N	\N	\N
963150	3282	1998-01-18	VYDAJ	VYBER	300	13756	\N	\N	\N
963151	3282	1998-02-17	PRIJEM	VKLAD	4100	17448	\N	\N	\N
963152	3282	1998-03-19	VYDAJ	VYBER	1000	18847	\N	\N	\N
963153	3282	1998-04-18	VYDAJ	VYBER	5600	15511	\N	\N	\N
963154	3282	1998-05-18	VYDAJ	VYBER	5900	11878	\N	\N	\N
963155	3282	1998-07-17	VYDAJ	VYBER	1400	12469	\N	\N	\N
963156	3282	1998-08-16	PRIJEM	VKLAD	200	14911	\N	\N	\N
963157	3282	1998-09-15	VYDAJ	VYBER	2800	14359	\N	\N	\N
963158	3282	1998-11-14	VYDAJ	VYBER	3600	15267	\N	\N	\N
963184	3283	1993-03-26	PRIJEM	VKLAD	300	300	\N	\N	\N
963188	3283	1993-04-14	PRIJEM	VKLAD	18467	18767	\N	\N	\N
963189	3283	1993-05-14	PRIJEM	VKLAD	18467	37650	\N	\N	\N
963190	3283	1993-06-14	PRIJEM	VKLAD	27700	57640	\N	\N	\N
963191	3283	1993-07-14	PRIJEM	VKLAD	18467	59942	\N	\N	\N
963192	3283	1993-08-14	PRIJEM	VKLAD	18467	59181	\N	\N	\N
963193	3283	1993-09-14	PRIJEM	VKLAD	18467	50295	\N	\N	\N
963194	3283	1993-10-14	PRIJEM	VKLAD	18467	46703	\N	\N	\N
963195	3283	1993-11-14	PRIJEM	VKLAD	18467	47501	\N	\N	\N
963196	3283	1993-12-14	PRIJEM	VKLAD	27700	49128	\N	\N	\N
963197	3283	1994-01-14	PRIJEM	VKLAD	18467	45218	\N	\N	\N
963198	3283	1994-02-14	PRIJEM	VKLAD	18467	42400	\N	\N	\N
963199	3283	1994-03-14	PRIJEM	VKLAD	18467	45681	\N	\N	\N
963200	3283	1994-04-14	PRIJEM	VKLAD	18467	40070	\N	\N	\N
963201	3283	1994-05-14	PRIJEM	VKLAD	18467	40141	\N	\N	\N
963202	3283	1994-06-14	PRIJEM	VKLAD	27700	51945	\N	\N	\N
963203	3283	1994-07-14	PRIJEM	VKLAD	18467	30325	\N	\N	\N
963204	3283	1994-08-14	PRIJEM	VKLAD	18467	36860	\N	\N	\N
963205	3283	1994-09-14	PRIJEM	VKLAD	18467	36109	\N	\N	\N
963206	3283	1994-10-14	PRIJEM	VKLAD	18467	36656	\N	\N	\N
963207	3283	1994-11-14	PRIJEM	VKLAD	18467	38408	\N	\N	\N
963208	3283	1994-12-14	PRIJEM	VKLAD	27700	44792	\N	\N	\N
963209	3283	1995-01-14	PRIJEM	VKLAD	18467	31545	\N	\N	\N
963210	3283	1995-02-14	PRIJEM	VKLAD	18467	30973	\N	\N	\N
963211	3283	1995-03-14	PRIJEM	VKLAD	18467	35103	\N	\N	\N
963212	3283	1995-04-14	PRIJEM	VKLAD	18467	38751	\N	\N	\N
963213	3283	1995-05-14	PRIJEM	VKLAD	18467	35303	\N	\N	\N
963214	3283	1995-06-14	PRIJEM	VKLAD	27700	45478	\N	\N	\N
963215	3283	1995-07-14	PRIJEM	VKLAD	18467	32432	\N	\N	\N
963216	3283	1995-08-14	PRIJEM	VKLAD	18467	37271	\N	\N	\N
963217	3283	1995-09-14	PRIJEM	VKLAD	18467	41242	\N	\N	\N
963218	3283	1995-10-14	PRIJEM	VKLAD	18467	42134	\N	\N	\N
963219	3283	1995-11-14	PRIJEM	VKLAD	18467	41635	\N	\N	\N
963220	3283	1995-12-14	PRIJEM	VKLAD	27700	50369	\N	\N	\N
963221	3283	1996-01-14	PRIJEM	VKLAD	18467	38189	\N	\N	\N
963222	3283	1996-02-14	PRIJEM	VKLAD	18467	36987	\N	\N	\N
963223	3283	1996-03-14	PRIJEM	VKLAD	18467	36169	\N	\N	\N
963224	3283	1996-04-14	PRIJEM	VKLAD	18467	36745	\N	\N	\N
963225	3283	1996-05-14	PRIJEM	VKLAD	18467	35216	\N	\N	\N
963226	3283	1996-06-14	PRIJEM	VKLAD	27700	43219	\N	\N	\N
963227	3283	1996-07-14	PRIJEM	VKLAD	18467	37389	\N	\N	\N
963228	3283	1996-08-14	PRIJEM	VKLAD	18467	35268	\N	\N	\N
963229	3283	1996-09-14	PRIJEM	VKLAD	18467	39045	\N	\N	\N
963230	3283	1996-10-14	PRIJEM	VKLAD	18467	39127	\N	\N	\N
963231	3283	1996-11-14	PRIJEM	VKLAD	18467	37516	\N	\N	\N
963232	3283	1996-12-14	PRIJEM	VKLAD	27700	46934	\N	\N	\N
963233	3283	1997-01-14	PRIJEM	VKLAD	18467	37638	\N	\N	\N
963234	3283	1997-02-14	PRIJEM	VKLAD	18467	34213	\N	\N	\N
963235	3283	1997-03-14	PRIJEM	VKLAD	18467	27886	\N	\N	\N
963236	3283	1997-04-14	PRIJEM	VKLAD	18467	26422	\N	\N	\N
963237	3283	1997-05-14	PRIJEM	VKLAD	18467	26459	\N	\N	\N
963238	3283	1997-06-14	PRIJEM	VKLAD	27700	34428	\N	\N	\N
963239	3283	1997-07-14	PRIJEM	VKLAD	18467	28781	\N	\N	\N
963240	3283	1997-08-14	PRIJEM	VKLAD	18467	38635	\N	\N	\N
963241	3283	1997-09-14	PRIJEM	VKLAD	18467	25408	\N	\N	\N
963242	3283	1997-10-14	PRIJEM	VKLAD	18467	31059	\N	\N	\N
963243	3283	1997-11-14	PRIJEM	VKLAD	18467	37905	\N	\N	\N
963244	3283	1997-12-14	PRIJEM	VKLAD	27700	35711	\N	\N	\N
963245	3283	1998-01-14	PRIJEM	VKLAD	18467	27688	\N	\N	\N
963246	3283	1998-02-14	PRIJEM	VKLAD	18467	30811	\N	\N	\N
963247	3283	1998-03-14	PRIJEM	VKLAD	18467	26149	\N	\N	\N
963248	3283	1998-04-14	PRIJEM	VKLAD	18467	33695	\N	\N	\N
963249	3283	1998-05-14	PRIJEM	VKLAD	18467	26442	\N	\N	\N
963250	3283	1998-06-14	PRIJEM	VKLAD	27700	45497	\N	\N	\N
963251	3283	1998-07-14	PRIJEM	VKLAD	18467	31769	\N	\N	\N
963252	3283	1998-08-14	PRIJEM	VKLAD	18467	41612	\N	\N	\N
963253	3283	1998-09-14	PRIJEM	VKLAD	18467	29782	\N	\N	\N
963254	3283	1998-10-14	PRIJEM	VKLAD	18467	39616	\N	\N	\N
963255	3283	1998-11-14	PRIJEM	VKLAD	18467	49492	\N	\N	\N
963256	3283	1998-12-14	PRIJEM	VKLAD	27700	41118	\N	\N	\N
963265	3283	1993-09-12	VYDAJ	PREVOD NA UCET	8720	31828	SIPO	KL	5958080
963266	3283	1993-10-12	VYDAJ	PREVOD NA UCET	8720	28236	SIPO	KL	5958080
963267	3283	1993-11-12	VYDAJ	PREVOD NA UCET	8720	29034	SIPO	KL	5958080
963268	3283	1993-12-12	VYDAJ	PREVOD NA UCET	8720	21428	SIPO	KL	5958080
963269	3283	1994-01-12	VYDAJ	PREVOD NA UCET	8720	26751	SIPO	KL	5958080
963270	3283	1994-02-12	VYDAJ	PREVOD NA UCET	8720	23933	SIPO	KL	5958080
963271	3283	1994-03-12	VYDAJ	PREVOD NA UCET	8720	27214	SIPO	KL	5958080
963272	3283	1994-04-12	VYDAJ	PREVOD NA UCET	8720	21603	SIPO	KL	5958080
963273	3283	1994-05-12	VYDAJ	PREVOD NA UCET	8720	21674	SIPO	KL	5958080
963274	3283	1994-06-12	VYDAJ	PREVOD NA UCET	8720	24245	SIPO	KL	5958080
963275	3283	1994-07-12	VYDAJ	PREVOD NA UCET	8720	11858	SIPO	KL	5958080
963276	3283	1994-08-12	VYDAJ	PREVOD NA UCET	8720	18393	SIPO	KL	5958080
963277	3283	1994-09-12	VYDAJ	PREVOD NA UCET	8720	17642	SIPO	KL	5958080
963278	3283	1994-10-12	VYDAJ	PREVOD NA UCET	8720	18189	SIPO	KL	5958080
963279	3283	1994-11-12	VYDAJ	PREVOD NA UCET	8720	19941	SIPO	KL	5958080
963280	3283	1994-12-12	VYDAJ	PREVOD NA UCET	8720	17092	SIPO	KL	5958080
963281	3283	1995-01-12	VYDAJ	PREVOD NA UCET	8720	13078	SIPO	KL	5958080
963282	3283	1995-02-12	VYDAJ	PREVOD NA UCET	8720	12506	SIPO	KL	5958080
963283	3283	1995-03-12	VYDAJ	PREVOD NA UCET	8720	16636	SIPO	KL	5958080
963284	3283	1995-04-12	VYDAJ	PREVOD NA UCET	8720	20284	SIPO	KL	5958080
963285	3283	1995-05-12	VYDAJ	PREVOD NA UCET	8720	16836	SIPO	KL	5958080
963286	3283	1995-06-12	VYDAJ	PREVOD NA UCET	8720	17778	SIPO	KL	5958080
963287	3283	1995-07-12	VYDAJ	PREVOD NA UCET	8720	13965	SIPO	KL	5958080
963288	3283	1995-08-12	VYDAJ	PREVOD NA UCET	8720	19604	SIPO	KL	5958080
963289	3283	1995-09-12	VYDAJ	PREVOD NA UCET	8720	28675	SIPO	KL	5958080
963290	3283	1995-10-12	VYDAJ	PREVOD NA UCET	8720	27967	SIPO	KL	5958080
963291	3283	1995-11-12	VYDAJ	PREVOD NA UCET	8720	23168	SIPO	KL	5958080
963292	3283	1995-12-12	VYDAJ	PREVOD NA UCET	8720	22669	SIPO	KL	5958080
963293	3283	1996-01-12	VYDAJ	PREVOD NA UCET	8720	19722	SIPO	KL	5958080
963294	3283	1996-02-12	VYDAJ	PREVOD NA UCET	8720	18520	SIPO	KL	5958080
963295	3283	1996-03-12	VYDAJ	PREVOD NA UCET	8720	17702	SIPO	KL	5958080
963296	3283	1996-04-12	VYDAJ	PREVOD NA UCET	8720	18278	SIPO	KL	5958080
963297	3283	1996-05-12	VYDAJ	PREVOD NA UCET	8720	16749	SIPO	KL	5958080
963298	3283	1996-06-12	VYDAJ	PREVOD NA UCET	8720	15519	SIPO	KL	5958080
963299	3283	1996-07-12	VYDAJ	PREVOD NA UCET	8720	18922	SIPO	KL	5958080
963300	3283	1996-08-12	VYDAJ	PREVOD NA UCET	8720	16801	SIPO	KL	5958080
963301	3283	1996-09-12	VYDAJ	PREVOD NA UCET	8720	20578	SIPO	KL	5958080
963302	3283	1996-10-12	VYDAJ	PREVOD NA UCET	8720	20660	SIPO	KL	5958080
963303	3283	1996-11-12	VYDAJ	PREVOD NA UCET	8720	19049	SIPO	KL	5958080
963304	3283	1996-12-12	VYDAJ	PREVOD NA UCET	8720	19234	SIPO	KL	5958080
963305	3283	1997-01-12	VYDAJ	PREVOD NA UCET	8720	19171	SIPO	KL	5958080
963306	3283	1997-02-12	VYDAJ	PREVOD NA UCET	8720	15746	SIPO	KL	5958080
963307	3283	1997-03-12	VYDAJ	PREVOD NA UCET	8720	9419	SIPO	KL	5958080
963308	3283	1997-04-12	VYDAJ	PREVOD NA UCET	8720	7955	SIPO	KL	5958080
963309	3283	1997-05-12	VYDAJ	PREVOD NA UCET	8720	7992	SIPO	KL	5958080
963310	3283	1997-06-12	VYDAJ	PREVOD NA UCET	8720	6728	SIPO	KL	5958080
963311	3283	1997-07-12	VYDAJ	PREVOD NA UCET	8720	10314	SIPO	KL	5958080
963312	3283	1997-08-12	VYDAJ	PREVOD NA UCET	8720	20168	SIPO	KL	5958080
963313	3283	1997-09-12	VYDAJ	PREVOD NA UCET	8720	6941	SIPO	KL	5958080
963314	3283	1997-10-12	VYDAJ	PREVOD NA UCET	8720	12592	SIPO	KL	5958080
963315	3283	1997-11-12	VYDAJ	PREVOD NA UCET	8720	22438	SIPO	KL	5958080
963316	3283	1997-12-12	VYDAJ	PREVOD NA UCET	8720	8011	SIPO	KL	5958080
963317	3283	1998-01-12	VYDAJ	PREVOD NA UCET	8720	9221	SIPO	KL	5958080
963318	3283	1998-02-12	VYDAJ	PREVOD NA UCET	8720	12344	SIPO	KL	5958080
963319	3283	1998-03-12	VYDAJ	PREVOD NA UCET	8720	7682	SIPO	KL	5958080
963320	3283	1998-04-12	VYDAJ	PREVOD NA UCET	8720	15228	SIPO	KL	5958080
963321	3283	1998-05-12	VYDAJ	PREVOD NA UCET	8720	7975	SIPO	KL	5958080
963322	3283	1998-06-12	VYDAJ	PREVOD NA UCET	8720	17797	SIPO	KL	5958080
963323	3283	1998-07-12	VYDAJ	PREVOD NA UCET	8720	13302	SIPO	KL	5958080
963324	3283	1998-08-12	VYDAJ	PREVOD NA UCET	8720	23145	SIPO	KL	5958080
963325	3283	1998-09-12	VYDAJ	PREVOD NA UCET	8720	11315	SIPO	KL	5958080
963326	3283	1998-10-12	VYDAJ	PREVOD NA UCET	8720	21149	SIPO	KL	5958080
963327	3283	1998-11-12	VYDAJ	PREVOD NA UCET	8720	31025	SIPO	KL	5958080
963328	3283	1998-12-12	VYDAJ	PREVOD NA UCET	8720	13418	SIPO	KL	5958080
963330	3283	1994-06-28	VYDAJ	VYBER	13300	21445	\N	\N	\N
963331	3283	1995-06-27	VYDAJ	VYBER	11600	22578	\N	\N	\N
963332	3283	1996-06-18	VYDAJ	VYBER	7900	35319	\N	\N	\N
963336	3283	1994-01-19	VYDAJ	VYBER	7000	38218	\N	\N	\N
963337	3283	1995-01-05	VYDAJ	VYBER	4500	21798	\N	\N	\N
963338	3283	1996-01-05	VYDAJ	VYBER	8800	41742	\N	\N	\N
963339	3283	1997-01-02	VYDAJ	VYBER	8700	37791	\N	\N	\N
963340	3283	1998-01-27	VYDAJ	VYBER	6700	20988	\N	\N	\N
963341	3283	1993-12-27	VYDAJ	VYBER	2100	35328	\N	\N	\N
963342	3283	1994-12-02	VYDAJ	VYBER	500	27112	\N	\N	\N
963343	3283	1995-12-01	VYDAJ	VYBER	2000	39789	\N	\N	\N
963344	3283	1996-12-24	VYDAJ	VYBER	600	46334	\N	\N	\N
963347	3283	1993-08-17	VYDAJ	VYBER	2600	56581	\N	\N	\N
963349	3283	1993-08-27	VYDAJ	VYBER	1000	40381	\N	\N	\N
963350	3283	1993-12-05	VYDAJ	VYBER	4600	30148	\N	\N	\N
963352	3283	1994-12-02	VYDAJ	VYBER	1300	25812	\N	\N	\N
963353	3283	1994-06-20	VYDAJ	VYBER	1700	34745	\N	\N	\N
963354	3283	1994-08-19	VYDAJ	VYBER	4600	26260	\N	\N	\N
963355	3283	1994-01-19	VYDAJ	VYBER	600	37618	\N	\N	\N
963356	3283	1994-07-05	VYDAJ	VYBER	1000	20578	\N	\N	\N
963357	3283	1994-04-06	VYDAJ	VYBER	4500	30323	\N	\N	\N
963358	3283	1994-12-21	VYDAJ	VYBER	1900	30992	\N	\N	\N
963359	3283	1994-12-27	VYDAJ	VYBER	4800	26192	\N	\N	\N
963360	3283	1995-10-07	VYDAJ	VYBER	4700	36687	\N	\N	\N
963361	3283	1995-04-28	VYDAJ	VYBER	3700	25451	\N	\N	\N
963362	3283	1995-01-22	VYDAJ	VYBER	1100	21145	\N	\N	\N
963363	3283	1995-01-21	VYDAJ	VYBER	800	22245	\N	\N	\N
963364	3283	1996-06-01	VYDAJ	VYBER	4300	31039	\N	\N	\N
963365	3283	1996-04-19	VYDAJ	VYBER	4100	32645	\N	\N	\N
963366	3283	1996-03-06	VYDAJ	VYBER	4900	32222	\N	\N	\N
963367	3283	1997-10-02	VYDAJ	VYBER	4200	21312	\N	\N	\N
963368	3283	1997-03-04	VYDAJ	VYBER	4300	30039	\N	\N	\N
963369	3283	1997-11-13	VYDAJ	VYBER	3000	19438	\N	\N	\N
963370	3283	1998-04-19	VYDAJ	VYBER	600	33095	\N	\N	\N
963371	3283	1998-04-03	VYDAJ	VYBER	2300	23948	\N	\N	\N
963373	3283	1998-06-15	VYDAJ	VYBER	900	44597	\N	\N	\N
963382	3283	1993-08-31	VYDAJ	VYBER	15	40548	SLUZBY	\N	\N
963383	3283	1993-09-30	VYDAJ	VYBER	15	36956	SLUZBY	\N	\N
963384	3283	1993-10-31	VYDAJ	VYBER	15	37754	SLUZBY	\N	\N
963385	3283	1993-11-30	VYDAJ	VYBER	15	34748	SLUZBY	\N	\N
963386	3283	1993-12-31	VYDAJ	VYBER	15	35471	SLUZBY	\N	\N
963387	3283	1994-01-31	VYDAJ	VYBER	15	32653	SLUZBY	\N	\N
963388	3283	1994-02-28	VYDAJ	VYBER	15	35934	SLUZBY	\N	\N
963389	3283	1994-03-31	VYDAJ	VYBER	15	34823	SLUZBY	\N	\N
963390	3283	1994-04-30	VYDAJ	VYBER	15	30394	SLUZBY	\N	\N
963391	3283	1994-05-31	VYDAJ	VYBER	15	32965	SLUZBY	\N	\N
963392	3283	1994-06-30	VYDAJ	VYBER	15	21578	SLUZBY	\N	\N
963393	3283	1994-07-31	VYDAJ	VYBER	15	27113	SLUZBY	\N	\N
963394	3283	1994-08-31	VYDAJ	VYBER	15	26362	SLUZBY	\N	\N
963395	3283	1994-09-30	VYDAJ	VYBER	15	26909	SLUZBY	\N	\N
963396	3283	1994-10-31	VYDAJ	VYBER	15	28661	SLUZBY	\N	\N
963397	3283	1994-11-30	VYDAJ	VYBER	15	27612	SLUZBY	\N	\N
963398	3283	1994-12-31	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
963399	3283	1995-01-31	VYDAJ	VYBER	15	21226	SLUZBY	\N	\N
963400	3283	1995-02-28	VYDAJ	VYBER	15	25356	SLUZBY	\N	\N
963401	3283	1995-03-31	VYDAJ	VYBER	15	29004	SLUZBY	\N	\N
963402	3283	1995-04-30	VYDAJ	VYBER	15	25556	SLUZBY	\N	\N
963403	3283	1995-05-31	VYDAJ	VYBER	15	26498	SLUZBY	\N	\N
963404	3283	1995-06-30	VYDAJ	VYBER	15	22685	SLUZBY	\N	\N
963405	3283	1995-07-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
963406	3283	1995-08-31	VYDAJ	VYBER	15	37395	SLUZBY	\N	\N
963407	3283	1995-09-30	VYDAJ	VYBER	15	41387	SLUZBY	\N	\N
963408	3283	1995-10-31	VYDAJ	VYBER	15	42288	SLUZBY	\N	\N
963409	3283	1995-11-30	VYDAJ	VYBER	15	41789	SLUZBY	\N	\N
963410	3283	1995-12-31	VYDAJ	VYBER	15	50542	SLUZBY	\N	\N
963411	3283	1996-01-31	VYDAJ	VYBER	15	38340	SLUZBY	\N	\N
963412	3283	1996-02-29	VYDAJ	VYBER	15	37122	SLUZBY	\N	\N
963413	3283	1996-03-31	VYDAJ	VYBER	15	36298	SLUZBY	\N	\N
963414	3283	1996-04-30	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
963415	3283	1996-05-31	VYDAJ	VYBER	15	35339	SLUZBY	\N	\N
963416	3283	1996-06-30	VYDAJ	VYBER	15	35442	SLUZBY	\N	\N
963417	3283	1996-07-31	VYDAJ	VYBER	15	37521	SLUZBY	\N	\N
963418	3283	1996-08-31	VYDAJ	VYBER	15	35398	SLUZBY	\N	\N
963419	3283	1996-09-30	VYDAJ	VYBER	15	39180	SLUZBY	\N	\N
963420	3283	1996-10-31	VYDAJ	VYBER	15	39269	SLUZBY	\N	\N
963421	3283	1996-11-30	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
963422	3283	1996-12-31	VYDAJ	VYBER	15	46491	SLUZBY	\N	\N
963423	3283	1997-01-31	VYDAJ	VYBER	15	37766	SLUZBY	\N	\N
963424	3283	1997-02-28	VYDAJ	VYBER	15	34339	SLUZBY	\N	\N
963425	3283	1997-03-31	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
963426	3283	1997-04-30	VYDAJ	VYBER	15	26512	SLUZBY	\N	\N
963427	3283	1997-05-31	VYDAJ	VYBER	15	26548	SLUZBY	\N	\N
963428	3283	1997-06-30	VYDAJ	VYBER	15	34534	SLUZBY	\N	\N
963429	3283	1997-07-31	VYDAJ	VYBER	15	28888	SLUZBY	\N	\N
963430	3283	1997-08-31	VYDAJ	VYBER	15	38761	SLUZBY	\N	\N
963431	3283	1997-09-30	VYDAJ	VYBER	15	25512	SLUZBY	\N	\N
963432	3283	1997-10-31	VYDAJ	VYBER	15	31158	SLUZBY	\N	\N
963433	3283	1997-11-30	VYDAJ	VYBER	15	38031	SLUZBY	\N	\N
963434	3283	1997-12-31	VYDAJ	VYBER	15	17941	SLUZBY	\N	\N
963435	3283	1998-01-31	VYDAJ	VYBER	15	21064	SLUZBY	\N	\N
963436	3283	1998-02-28	VYDAJ	VYBER	15	30902	SLUZBY	\N	\N
963437	3283	1998-03-31	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
963438	3283	1998-04-30	VYDAJ	VYBER	15	16695	SLUZBY	\N	\N
963439	3283	1998-05-31	VYDAJ	VYBER	15	26517	SLUZBY	\N	\N
963440	3283	1998-06-30	VYDAJ	VYBER	15	22022	SLUZBY	\N	\N
963441	3283	1998-07-31	VYDAJ	VYBER	15	31865	SLUZBY	\N	\N
963442	3283	1998-08-31	VYDAJ	VYBER	15	20035	SLUZBY	\N	\N
963443	3283	1998-09-30	VYDAJ	VYBER	15	29869	SLUZBY	\N	\N
963444	3283	1998-10-31	VYDAJ	VYBER	15	39745	SLUZBY	\N	\N
963445	3283	1998-11-30	VYDAJ	VYBER	15	22138	SLUZBY	\N	\N
963446	3283	1993-04-25	PRIJEM	VKLAD	400	19167	\N	\N	\N
963447	3283	1993-05-25	VYDAJ	VYBER	7800	29850	\N	\N	\N
963448	3283	1993-06-24	VYDAJ	VYBER	16300	41340	\N	\N	\N
963449	3283	1993-07-24	VYDAJ	VYBER	19400	40542	\N	\N	\N
963450	3283	1993-08-23	VYDAJ	VYBER	15200	41381	\N	\N	\N
963451	3283	1993-09-22	VYDAJ	VYBER	13500	36795	\N	\N	\N
963452	3283	1993-10-22	VYDAJ	VYBER	9100	37603	\N	\N	\N
963453	3283	1993-11-21	VYDAJ	VYBER	12900	34601	\N	\N	\N
963454	3283	1993-12-21	VYDAJ	VYBER	11700	37428	\N	\N	\N
963455	3283	1994-01-20	VYDAJ	VYBER	5100	32518	\N	\N	\N
963456	3283	1994-02-19	VYDAJ	VYBER	6600	35800	\N	\N	\N
963457	3283	1994-03-21	VYDAJ	VYBER	11000	34681	\N	\N	\N
963458	3283	1994-04-20	VYDAJ	VYBER	9800	30270	\N	\N	\N
963459	3283	1994-05-20	VYDAJ	VYBER	7300	32841	\N	\N	\N
963460	3283	1994-06-19	VYDAJ	VYBER	15500	36445	\N	\N	\N
963461	3283	1994-07-19	VYDAJ	VYBER	3300	27025	\N	\N	\N
963462	3283	1994-08-18	VYDAJ	VYBER	6000	30860	\N	\N	\N
963463	3283	1994-09-17	VYDAJ	VYBER	9300	26809	\N	\N	\N
963464	3283	1994-10-17	VYDAJ	VYBER	8100	28556	\N	\N	\N
963465	3283	1994-11-16	VYDAJ	VYBER	10900	27508	\N	\N	\N
963466	3283	1994-12-16	VYDAJ	VYBER	11900	32892	\N	\N	\N
963467	3283	1995-01-15	VYDAJ	VYBER	8500	23045	\N	\N	\N
963468	3283	1995-02-14	VYDAJ	VYBER	5700	25273	\N	\N	\N
963469	3283	1995-03-16	VYDAJ	VYBER	6200	28903	\N	\N	\N
963470	3283	1995-04-15	VYDAJ	VYBER	9600	29151	\N	\N	\N
963471	3283	1995-05-15	VYDAJ	VYBER	8900	26403	\N	\N	\N
963472	3283	1995-06-14	VYDAJ	VYBER	11300	34178	\N	\N	\N
963473	3283	1995-07-14	VYDAJ	VYBER	4200	28232	\N	\N	\N
963474	3283	1995-08-13	VYDAJ	VYBER	800	18804	\N	\N	\N
963475	3283	1995-09-12	VYDAJ	VYBER	5900	22775	\N	\N	\N
963476	3283	1995-10-12	VYDAJ	VYBER	4300	23667	\N	\N	\N
963477	3283	1995-11-11	VYDAJ	VYBER	10400	31888	\N	\N	\N
963478	3283	1995-12-11	VYDAJ	VYBER	8400	31389	\N	\N	\N
963479	3283	1996-01-10	VYDAJ	VYBER	13300	28442	\N	\N	\N
963480	3283	1996-02-09	VYDAJ	VYBER	11100	27240	\N	\N	\N
963481	3283	1996-03-10	VYDAJ	VYBER	5800	26422	\N	\N	\N
963482	3283	1996-04-09	VYDAJ	VYBER	9300	26998	\N	\N	\N
963483	3283	1996-05-09	VYDAJ	VYBER	7300	25469	\N	\N	\N
963484	3283	1996-06-08	VYDAJ	VYBER	6800	24239	\N	\N	\N
963485	3283	1996-07-08	VYDAJ	VYBER	7800	27642	\N	\N	\N
963486	3283	1996-08-07	VYDAJ	VYBER	12000	25521	\N	\N	\N
963487	3283	1996-09-06	VYDAJ	VYBER	6100	29298	\N	\N	\N
963488	3283	1996-10-06	VYDAJ	VYBER	9800	29380	\N	\N	\N
963489	3283	1996-11-05	VYDAJ	VYBER	11500	27769	\N	\N	\N
963490	3283	1996-12-05	VYDAJ	VYBER	9700	27954	\N	\N	\N
963491	3283	1997-01-04	VYDAJ	VYBER	9900	27891	\N	\N	\N
963492	3283	1997-02-03	VYDAJ	VYBER	13300	24466	\N	\N	\N
963493	3283	1997-03-05	VYDAJ	VYBER	11900	18139	\N	\N	\N
963494	3283	1997-04-04	VYDAJ	VYBER	11300	16675	\N	\N	\N
963495	3283	1997-05-04	VYDAJ	VYBER	9800	16712	\N	\N	\N
963496	3283	1997-06-03	VYDAJ	VYBER	11100	15448	\N	\N	\N
963497	3283	1997-07-03	VYDAJ	VYBER	15500	19034	\N	\N	\N
963498	3283	1997-09-01	VYDAJ	VYBER	23100	15661	\N	\N	\N
963499	3283	1997-11-30	VYDAJ	VYBER	21300	16731	\N	\N	\N
963500	3283	1997-12-30	VYDAJ	VYBER	17900	17811	\N	\N	\N
963501	3283	1998-02-28	VYDAJ	VYBER	14500	16402	\N	\N	\N
963502	3283	1998-04-29	VYDAJ	VYBER	16500	16595	\N	\N	\N
963503	3283	1998-06-28	VYDAJ	VYBER	22700	21897	\N	\N	\N
963504	3283	1998-08-27	VYDAJ	VYBER	21700	19912	\N	\N	\N
963505	3283	1998-11-25	VYDAJ	VYBER	27500	21992	\N	\N	\N
963506	3283	1998-12-25	VYDAJ	VYBER	21100	20018	\N	\N	\N
963578	3284	1993-05-17	PRIJEM	VKLAD	500	500	\N	\N	\N
963584	3284	1993-06-08	PRIJEM	VKLAD	10964	11464	\N	\N	\N
963585	3284	1993-07-08	PRIJEM	VKLAD	7309	27715	\N	\N	\N
963586	3284	1993-08-08	PRIJEM	VKLAD	7309	33321	\N	\N	\N
963587	3284	1993-09-08	PRIJEM	VKLAD	7309	37347	\N	\N	\N
963588	3284	1993-10-08	PRIJEM	VKLAD	7309	37180	\N	\N	\N
963589	3284	1993-11-08	PRIJEM	VKLAD	7309	38231	\N	\N	\N
963590	3284	1993-12-08	PRIJEM	VKLAD	10964	36172	\N	\N	\N
963591	3284	1994-01-08	PRIJEM	VKLAD	7309	22006	\N	\N	\N
963592	3284	1994-02-08	PRIJEM	VKLAD	7309	27518	\N	\N	\N
963593	3284	1994-03-08	PRIJEM	VKLAD	7309	30960	\N	\N	\N
963594	3284	1994-04-08	PRIJEM	VKLAD	7309	32595	\N	\N	\N
963595	3284	1994-05-08	PRIJEM	VKLAD	7309	32824	\N	\N	\N
963596	3284	1994-06-08	PRIJEM	VKLAD	10964	33128	\N	\N	\N
963597	3284	1994-07-08	PRIJEM	VKLAD	7309	30305	\N	\N	\N
963598	3284	1994-08-08	PRIJEM	VKLAD	7309	31126	\N	\N	\N
963599	3284	1994-09-08	PRIJEM	VKLAD	7309	33755	\N	\N	\N
963600	3284	1994-10-08	PRIJEM	VKLAD	7309	29835	\N	\N	\N
963601	3284	1994-11-08	PRIJEM	VKLAD	7309	31375	\N	\N	\N
963602	3284	1994-12-08	PRIJEM	VKLAD	10964	32344	\N	\N	\N
963603	3284	1995-01-08	PRIJEM	VKLAD	7309	30366	\N	\N	\N
963604	3284	1995-02-08	PRIJEM	VKLAD	7309	31342	\N	\N	\N
963605	3284	1995-03-08	PRIJEM	VKLAD	7309	30863	\N	\N	\N
963606	3284	1995-04-08	PRIJEM	VKLAD	7309	28410	\N	\N	\N
963607	3284	1995-05-08	PRIJEM	VKLAD	7309	30024	\N	\N	\N
963608	3284	1995-06-08	PRIJEM	VKLAD	10964	34358	\N	\N	\N
963609	3284	1995-07-08	PRIJEM	VKLAD	7309	30397	\N	\N	\N
963610	3284	1995-08-08	PRIJEM	VKLAD	7309	26881	\N	\N	\N
963611	3284	1995-09-08	PRIJEM	VKLAD	7309	25823	\N	\N	\N
963612	3284	1995-10-08	PRIJEM	VKLAD	7309	30629	\N	\N	\N
963613	3284	1995-11-08	PRIJEM	VKLAD	7309	22075	\N	\N	\N
963614	3284	1995-12-08	PRIJEM	VKLAD	10964	30628	\N	\N	\N
963615	3284	1996-01-08	PRIJEM	VKLAD	7309	25702	\N	\N	\N
963616	3284	1996-02-08	PRIJEM	VKLAD	7309	26411	\N	\N	\N
963617	3284	1996-03-08	PRIJEM	VKLAD	7309	26023	\N	\N	\N
963618	3284	1996-04-08	PRIJEM	VKLAD	7309	27133	\N	\N	\N
963619	3284	1996-05-08	PRIJEM	VKLAD	7309	26247	\N	\N	\N
963620	3284	1996-06-08	PRIJEM	VKLAD	10964	31614	\N	\N	\N
963621	3284	1996-07-08	PRIJEM	VKLAD	7309	33139	\N	\N	\N
963622	3284	1996-08-08	PRIJEM	VKLAD	7309	32675	\N	\N	\N
963623	3284	1996-09-08	PRIJEM	VKLAD	7309	27328	\N	\N	\N
963624	3284	1996-10-08	PRIJEM	VKLAD	7309	27144	\N	\N	\N
963625	3284	1996-11-08	PRIJEM	VKLAD	7309	23929	\N	\N	\N
963626	3284	1996-12-08	PRIJEM	VKLAD	10964	26976	\N	\N	\N
963627	3284	1997-01-08	PRIJEM	VKLAD	7309	29484	\N	\N	\N
963628	3284	1997-02-08	PRIJEM	VKLAD	7309	32544	\N	\N	\N
963629	3284	1997-03-08	PRIJEM	VKLAD	7309	30529	\N	\N	\N
963630	3284	1997-04-08	PRIJEM	VKLAD	7309	31869	\N	\N	\N
963631	3284	1997-05-08	PRIJEM	VKLAD	7309	30853	\N	\N	\N
963632	3284	1997-06-08	PRIJEM	VKLAD	10964	34832	\N	\N	\N
963633	3284	1997-07-08	PRIJEM	VKLAD	7309	35669	\N	\N	\N
963634	3284	1997-08-08	PRIJEM	VKLAD	7309	32209	\N	\N	\N
963635	3284	1997-09-08	PRIJEM	VKLAD	7309	35642	\N	\N	\N
963636	3284	1997-10-08	PRIJEM	VKLAD	7309	34784	\N	\N	\N
963637	3284	1997-11-08	PRIJEM	VKLAD	7309	30059	\N	\N	\N
963638	3284	1997-12-08	PRIJEM	VKLAD	10964	32732	\N	\N	\N
963639	3284	1998-01-08	PRIJEM	VKLAD	7309	30020	\N	\N	\N
963640	3284	1998-02-08	PRIJEM	VKLAD	7309	25213	\N	\N	\N
963641	3284	1998-03-08	PRIJEM	VKLAD	7309	27414	\N	\N	\N
963642	3284	1998-04-08	PRIJEM	VKLAD	7309	26621	\N	\N	\N
963643	3284	1998-05-08	PRIJEM	VKLAD	7309	25382	\N	\N	\N
963644	3284	1998-06-08	PRIJEM	VKLAD	10964	32440	\N	\N	\N
963645	3284	1998-07-08	PRIJEM	VKLAD	7309	30961	\N	\N	\N
963646	3284	1998-08-08	PRIJEM	VKLAD	7309	27978	\N	\N	\N
963647	3284	1998-09-08	PRIJEM	VKLAD	7309	23642	\N	\N	\N
963648	3284	1998-10-08	PRIJEM	VKLAD	7309	25335	\N	\N	\N
963649	3284	1998-11-08	PRIJEM	VKLAD	7309	25132	\N	\N	\N
963650	3284	1998-12-08	PRIJEM	VKLAD	10964	33792	\N	\N	\N
963660	3284	1993-10-09	VYDAJ	PREVOD NA UCET	4872	32308	SIPO	MN	95121895
963661	3284	1993-11-09	VYDAJ	PREVOD NA UCET	4872	33359	SIPO	MN	95121895
963662	3284	1993-12-09	VYDAJ	PREVOD NA UCET	4872	31300	SIPO	MN	95121895
963663	3284	1994-01-09	VYDAJ	PREVOD NA UCET	4872	17134	SIPO	MN	95121895
963664	3284	1994-02-09	VYDAJ	PREVOD NA UCET	4872	22646	SIPO	MN	95121895
963665	3284	1994-03-09	VYDAJ	PREVOD NA UCET	4872	26088	SIPO	MN	95121895
963666	3284	1994-04-09	VYDAJ	PREVOD NA UCET	4872	27723	SIPO	MN	95121895
963667	3284	1994-05-09	VYDAJ	PREVOD NA UCET	4872	27952	SIPO	MN	95121895
963668	3284	1994-06-09	VYDAJ	PREVOD NA UCET	4872	18816	SIPO	MN	95121895
963669	3284	1994-07-09	VYDAJ	PREVOD NA UCET	4872	25433	SIPO	MN	95121895
963670	3284	1994-08-09	VYDAJ	PREVOD NA UCET	4872	26254	SIPO	MN	95121895
963671	3284	1994-09-09	VYDAJ	PREVOD NA UCET	4872	28783	SIPO	MN	95121895
963672	3284	1994-10-09	VYDAJ	PREVOD NA UCET	4872	23963	SIPO	MN	95121895
963673	3284	1994-11-09	VYDAJ	PREVOD NA UCET	4872	21303	SIPO	MN	95121895
963674	3284	1994-12-09	VYDAJ	PREVOD NA UCET	4872	22272	SIPO	MN	95121895
963675	3284	1995-01-09	VYDAJ	PREVOD NA UCET	4872	25494	SIPO	MN	95121895
963676	3284	1995-02-09	VYDAJ	PREVOD NA UCET	4872	26470	SIPO	MN	95121895
963677	3284	1995-03-09	VYDAJ	PREVOD NA UCET	4872	22791	SIPO	MN	95121895
963678	3284	1995-04-09	VYDAJ	PREVOD NA UCET	4872	23538	SIPO	MN	95121895
963679	3284	1995-05-09	VYDAJ	PREVOD NA UCET	4872	25152	SIPO	MN	95121895
963680	3284	1995-06-09	VYDAJ	PREVOD NA UCET	4872	29486	SIPO	MN	95121895
963681	3284	1995-07-09	VYDAJ	PREVOD NA UCET	4872	25525	SIPO	MN	95121895
963682	3284	1995-08-09	VYDAJ	PREVOD NA UCET	4872	22009	SIPO	MN	95121895
963683	3284	1995-09-09	VYDAJ	PREVOD NA UCET	4872	20951	SIPO	MN	95121895
963684	3284	1995-10-09	VYDAJ	PREVOD NA UCET	4872	25757	SIPO	MN	95121895
963685	3284	1995-11-09	VYDAJ	PREVOD NA UCET	4872	17203	SIPO	MN	95121895
963686	3284	1995-12-09	VYDAJ	PREVOD NA UCET	4872	25756	SIPO	MN	95121895
963687	3284	1996-01-09	VYDAJ	PREVOD NA UCET	4872	20830	SIPO	MN	95121895
963688	3284	1996-02-09	VYDAJ	PREVOD NA UCET	4872	21539	SIPO	MN	95121895
963689	3284	1996-03-09	VYDAJ	PREVOD NA UCET	4872	21151	SIPO	MN	95121895
963690	3284	1996-04-09	VYDAJ	PREVOD NA UCET	4872	22261	SIPO	MN	95121895
963691	3284	1996-05-09	VYDAJ	PREVOD NA UCET	4872	21375	SIPO	MN	95121895
963692	3284	1996-06-09	VYDAJ	PREVOD NA UCET	4872	26742	SIPO	MN	95121895
963693	3284	1996-07-09	VYDAJ	PREVOD NA UCET	4872	28267	SIPO	MN	95121895
963694	3284	1996-08-09	VYDAJ	PREVOD NA UCET	4872	27803	SIPO	MN	95121895
963695	3284	1996-09-09	VYDAJ	PREVOD NA UCET	4872	22456	SIPO	MN	95121895
963696	3284	1996-10-09	VYDAJ	PREVOD NA UCET	4872	22272	SIPO	MN	95121895
963697	3284	1996-11-09	VYDAJ	PREVOD NA UCET	4872	19057	SIPO	MN	95121895
963698	3284	1996-12-09	VYDAJ	PREVOD NA UCET	4872	22104	SIPO	MN	95121895
963699	3284	1997-01-09	VYDAJ	PREVOD NA UCET	4872	24612	SIPO	MN	95121895
963700	3284	1997-02-09	VYDAJ	PREVOD NA UCET	4872	27672	SIPO	MN	95121895
963701	3284	1997-03-09	VYDAJ	PREVOD NA UCET	4872	25657	SIPO	MN	95121895
963702	3284	1997-04-09	VYDAJ	PREVOD NA UCET	4872	26997	SIPO	MN	95121895
963703	3284	1997-05-09	VYDAJ	PREVOD NA UCET	4872	25981	SIPO	MN	95121895
963704	3284	1997-06-09	VYDAJ	PREVOD NA UCET	4872	29960	SIPO	MN	95121895
963705	3284	1997-07-09	VYDAJ	PREVOD NA UCET	4872	30797	SIPO	MN	95121895
963706	3284	1997-08-09	VYDAJ	PREVOD NA UCET	4872	27337	SIPO	MN	95121895
963707	3284	1997-09-09	VYDAJ	PREVOD NA UCET	4872	30770	SIPO	MN	95121895
963708	3284	1997-10-09	VYDAJ	PREVOD NA UCET	4872	29912	SIPO	MN	95121895
963709	3284	1997-11-09	VYDAJ	PREVOD NA UCET	4872	25187	SIPO	MN	95121895
963710	3284	1997-12-09	VYDAJ	PREVOD NA UCET	4872	27860	SIPO	MN	95121895
963711	3284	1998-01-09	VYDAJ	PREVOD NA UCET	4872	20948	SIPO	MN	95121895
963712	3284	1998-02-09	VYDAJ	PREVOD NA UCET	4872	20341	SIPO	MN	95121895
963713	3284	1998-03-09	VYDAJ	PREVOD NA UCET	4872	22542	SIPO	MN	95121895
963714	3284	1998-04-09	VYDAJ	PREVOD NA UCET	4872	20309	SIPO	MN	95121895
963715	3284	1998-05-09	VYDAJ	PREVOD NA UCET	4872	20510	SIPO	MN	95121895
963716	3284	1998-06-09	VYDAJ	PREVOD NA UCET	4872	27568	SIPO	MN	95121895
963717	3284	1998-07-09	VYDAJ	PREVOD NA UCET	4872	26089	SIPO	MN	95121895
963718	3284	1998-08-09	VYDAJ	PREVOD NA UCET	4872	23106	SIPO	MN	95121895
963719	3284	1998-09-09	VYDAJ	PREVOD NA UCET	4872	18770	SIPO	MN	95121895
963720	3284	1998-10-09	VYDAJ	PREVOD NA UCET	4872	20463	SIPO	MN	95121895
963721	3284	1998-11-09	VYDAJ	PREVOD NA UCET	4872	20260	SIPO	MN	95121895
963722	3284	1998-12-09	VYDAJ	PREVOD NA UCET	4872	28920	SIPO	MN	95121895
963724	3284	1994-06-08	VYDAJ	VYBER	9440	23688	\N	\N	\N
963730	3284	1994-01-02	VYDAJ	VYBER	12160	14697	\N	\N	\N
963731	3284	1995-01-24	VYDAJ	VYBER	4640	20854	\N	\N	\N
963733	3284	1997-01-24	VYDAJ	VYBER	2720	21052	\N	\N	\N
963735	3284	1993-12-12	VYDAJ	VYBER	3040	28260	\N	\N	\N
963736	3284	1994-12-10	VYDAJ	VYBER	1440	20832	\N	\N	\N
963737	3284	1995-12-16	VYDAJ	VYBER	3840	21916	\N	\N	\N
963738	3284	1996-12-05	VYDAJ	VYBER	960	16012	\N	\N	\N
963739	3284	1997-12-25	VYDAJ	VYBER	800	26460	\N	\N	\N
963740	3284	1998-12-30	VYDAJ	VYBER	800	23620	\N	\N	\N
963742	3284	1993-11-24	VYDAJ	VYBER	5760	25099	\N	\N	\N
963745	3284	1994-12-15	VYDAJ	VYBER	3840	16992	\N	\N	\N
963746	3284	1994-10-03	VYDAJ	VYBER	2520	26366	\N	\N	\N
963747	3284	1994-03-07	VYDAJ	VYBER	2280	23651	\N	\N	\N
963748	3284	1994-10-06	VYDAJ	VYBER	3840	22526	\N	\N	\N
963749	3284	1994-05-31	VYDAJ	VYBER	3480	22164	\N	\N	\N
963750	3284	1994-03-30	VYDAJ	VYBER	2400	25188	\N	\N	\N
963751	3284	1995-11-06	VYDAJ	VYBER	5880	14766	\N	\N	\N
963752	3284	1995-03-17	VYDAJ	VYBER	5760	17031	\N	\N	\N
963753	3284	1995-08-14	VYDAJ	VYBER	4680	17329	\N	\N	\N
963754	3284	1995-09-05	VYDAJ	VYBER	2280	18514	\N	\N	\N
963755	3284	1995-05-13	VYDAJ	VYBER	2640	22512	\N	\N	\N
963756	3284	1995-07-20	VYDAJ	VYBER	5040	20485	\N	\N	\N
963757	3284	1995-02-14	VYDAJ	VYBER	3000	23470	\N	\N	\N
963758	3284	1996-01-07	VYDAJ	VYBER	3000	18393	\N	\N	\N
963759	3284	1996-10-22	VYDAJ	VYBER	3720	18552	\N	\N	\N
963760	3284	1996-09-05	VYDAJ	VYBER	4080	20019	\N	\N	\N
963762	3284	1996-11-20	VYDAJ	VYBER	4440	14617	\N	\N	\N
963764	3284	1997-10-23	VYDAJ	VYBER	5760	24152	\N	\N	\N
963765	3284	1997-01-17	VYDAJ	VYBER	840	23772	\N	\N	\N
963766	3284	1997-03-16	VYDAJ	VYBER	2880	22777	\N	\N	\N
963767	3284	1997-02-11	VYDAJ	VYBER	2640	25032	\N	\N	\N
963768	3284	1997-04-15	VYDAJ	VYBER	2640	24357	\N	\N	\N
963769	3284	1998-01-08	VYDAJ	VYBER	4200	25820	\N	\N	\N
963770	3284	1998-04-08	VYDAJ	VYBER	1440	25181	\N	\N	\N
963771	3284	1998-01-30	VYDAJ	VYBER	3720	17828	\N	\N	\N
963772	3284	1998-01-07	VYDAJ	VYBER	3840	22711	\N	\N	\N
963773	3284	1998-12-12	VYDAJ	VYBER	1800	27120	\N	\N	\N
963774	3284	1998-08-31	VYDAJ	VYBER	1440	16347	\N	\N	\N
963785	3284	1993-10-31	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
963786	3284	1993-11-30	VYDAJ	VYBER	15	25209	SLUZBY	\N	\N
963787	3284	1993-12-31	VYDAJ	VYBER	15	26857	SLUZBY	\N	\N
963788	3284	1994-01-31	VYDAJ	VYBER	15	20209	SLUZBY	\N	\N
963789	3284	1994-02-28	VYDAJ	VYBER	15	25931	SLUZBY	\N	\N
963790	3284	1994-03-31	VYDAJ	VYBER	15	25286	SLUZBY	\N	\N
963791	3284	1994-04-30	VYDAJ	VYBER	15	25515	SLUZBY	\N	\N
963792	3284	1994-05-31	VYDAJ	VYBER	15	25644	SLUZBY	\N	\N
963793	3284	1994-06-30	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
963794	3284	1994-07-31	VYDAJ	VYBER	15	23817	SLUZBY	\N	\N
963795	3284	1994-08-31	VYDAJ	VYBER	15	26446	SLUZBY	\N	\N
963796	3284	1994-09-30	VYDAJ	VYBER	15	28886	SLUZBY	\N	\N
963797	3284	1994-10-31	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
963798	3284	1994-11-30	VYDAJ	VYBER	15	21380	SLUZBY	\N	\N
963799	3284	1994-12-31	VYDAJ	VYBER	15	17057	SLUZBY	\N	\N
963800	3284	1995-01-31	VYDAJ	VYBER	15	20933	SLUZBY	\N	\N
963801	3284	1995-02-28	VYDAJ	VYBER	15	23554	SLUZBY	\N	\N
963802	3284	1995-03-31	VYDAJ	VYBER	15	17101	SLUZBY	\N	\N
963803	3284	1995-04-30	VYDAJ	VYBER	15	23615	SLUZBY	\N	\N
963804	3284	1995-05-31	VYDAJ	VYBER	15	22595	SLUZBY	\N	\N
963805	3284	1995-06-30	VYDAJ	VYBER	15	29588	SLUZBY	\N	\N
963806	3284	1995-07-31	VYDAJ	VYBER	15	20572	SLUZBY	\N	\N
963807	3284	1995-08-31	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
963808	3284	1995-09-30	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
963809	3284	1995-10-31	VYDAJ	VYBER	15	25846	SLUZBY	\N	\N
963810	3284	1995-11-30	VYDAJ	VYBER	15	17265	SLUZBY	\N	\N
963811	3284	1995-12-31	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
963812	3284	1996-01-31	VYDAJ	VYBER	15	20902	SLUZBY	\N	\N
963813	3284	1996-02-29	VYDAJ	VYBER	15	21614	SLUZBY	\N	\N
963814	3284	1996-03-31	VYDAJ	VYBER	15	21224	SLUZBY	\N	\N
963815	3284	1996-04-30	VYDAJ	VYBER	15	22338	SLUZBY	\N	\N
963816	3284	1996-05-31	VYDAJ	VYBER	15	20650	SLUZBY	\N	\N
963817	3284	1996-06-30	VYDAJ	VYBER	15	25830	SLUZBY	\N	\N
963818	3284	1996-07-31	VYDAJ	VYBER	15	25366	SLUZBY	\N	\N
963819	3284	1996-08-31	VYDAJ	VYBER	15	24099	SLUZBY	\N	\N
963820	3284	1996-09-30	VYDAJ	VYBER	15	19835	SLUZBY	\N	\N
963821	3284	1996-10-31	VYDAJ	VYBER	15	16620	SLUZBY	\N	\N
963822	3284	1996-11-30	VYDAJ	VYBER	15	16972	SLUZBY	\N	\N
963823	3284	1996-12-31	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
963824	3284	1997-01-31	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
963825	3284	1997-02-28	VYDAJ	VYBER	15	23220	SLUZBY	\N	\N
963826	3284	1997-03-31	VYDAJ	VYBER	15	24560	SLUZBY	\N	\N
963827	3284	1997-04-30	VYDAJ	VYBER	15	23544	SLUZBY	\N	\N
963828	3284	1997-05-31	VYDAJ	VYBER	15	23868	SLUZBY	\N	\N
963829	3284	1997-06-30	VYDAJ	VYBER	15	28360	SLUZBY	\N	\N
963830	3284	1997-07-31	VYDAJ	VYBER	15	24900	SLUZBY	\N	\N
963831	3284	1997-08-31	VYDAJ	VYBER	15	28333	SLUZBY	\N	\N
963832	3284	1997-09-30	VYDAJ	VYBER	15	27475	SLUZBY	\N	\N
963833	3284	1997-10-31	VYDAJ	VYBER	15	22750	SLUZBY	\N	\N
963834	3284	1997-11-30	VYDAJ	VYBER	15	21768	SLUZBY	\N	\N
963835	3284	1997-12-31	VYDAJ	VYBER	15	26551	SLUZBY	\N	\N
963836	3284	1998-01-31	VYDAJ	VYBER	15	17904	SLUZBY	\N	\N
963837	3284	1998-02-28	VYDAJ	VYBER	15	20105	SLUZBY	\N	\N
963838	3284	1998-03-31	VYDAJ	VYBER	15	19312	SLUZBY	\N	\N
963839	3284	1998-04-30	VYDAJ	VYBER	15	18073	SLUZBY	\N	\N
963840	3284	1998-05-31	VYDAJ	VYBER	15	21476	SLUZBY	\N	\N
963841	3284	1998-06-30	VYDAJ	VYBER	15	23652	SLUZBY	\N	\N
963842	3284	1998-07-31	VYDAJ	VYBER	15	20669	SLUZBY	\N	\N
963843	3284	1998-08-31	VYDAJ	VYBER	15	16333	SLUZBY	\N	\N
963844	3284	1998-09-30	VYDAJ	VYBER	15	18026	SLUZBY	\N	\N
963845	3284	1998-10-31	VYDAJ	VYBER	15	17823	SLUZBY	\N	\N
963846	3284	1998-11-30	VYDAJ	VYBER	15	22828	SLUZBY	\N	\N
963847	3284	1993-06-16	PRIJEM	VKLAD	8900	20364	\N	\N	\N
963848	3284	1993-07-16	VYDAJ	VYBER	1800	25915	\N	\N	\N
963849	3284	1993-08-15	VYDAJ	VYBER	3400	29921	\N	\N	\N
963850	3284	1993-09-14	VYDAJ	VYBER	7600	29747	\N	\N	\N
963851	3284	1993-10-14	VYDAJ	VYBER	1500	30808	\N	\N	\N
963852	3284	1993-11-13	VYDAJ	VYBER	2500	30859	\N	\N	\N
963853	3284	1993-12-13	VYDAJ	VYBER	1500	26760	\N	\N	\N
963854	3284	1994-01-12	PRIJEM	VKLAD	3000	20134	\N	\N	\N
963855	3284	1994-02-11	PRIJEM	VKLAD	3200	25846	\N	\N	\N
963856	3284	1994-03-13	PRIJEM	VKLAD	1500	27588	\N	\N	\N
963857	3284	1994-04-12	VYDAJ	VYBER	2300	25423	\N	\N	\N
963858	3284	1994-05-12	VYDAJ	VYBER	2400	25552	\N	\N	\N
963859	3284	1994-06-11	PRIJEM	VKLAD	4100	22916	\N	\N	\N
963860	3284	1994-07-11	VYDAJ	VYBER	1700	23733	\N	\N	\N
963861	3284	1994-08-10	PRIJEM	VKLAD	100	26354	\N	\N	\N
963862	3284	1994-09-09	VYDAJ	VYBER	100	33655	\N	\N	\N
963863	3284	1994-10-09	VYDAJ	VYBER	1000	28835	\N	\N	\N
963864	3284	1994-11-08	VYDAJ	VYBER	5200	26175	\N	\N	\N
963865	3284	1994-12-08	VYDAJ	VYBER	5200	27144	\N	\N	\N
963866	3284	1995-01-07	PRIJEM	VKLAD	6000	23057	\N	\N	\N
963867	3284	1995-02-06	PRIJEM	VKLAD	3100	24033	\N	\N	\N
963868	3284	1995-03-08	VYDAJ	VYBER	3200	27663	\N	\N	\N
963869	3284	1995-04-07	PRIJEM	VKLAD	4000	21101	\N	\N	\N
963870	3284	1995-05-07	VYDAJ	VYBER	900	22715	\N	\N	\N
963871	3284	1995-06-06	PRIJEM	VKLAD	800	23395	\N	\N	\N
963872	3284	1995-07-06	VYDAJ	VYBER	6500	23088	\N	\N	\N
963873	3284	1995-08-05	VYDAJ	VYBER	1000	19572	\N	\N	\N
963874	3284	1995-09-04	PRIJEM	VKLAD	3400	20794	\N	\N	\N
963875	3284	1995-10-04	PRIJEM	VKLAD	2300	23320	\N	\N	\N
963876	3284	1995-11-03	VYDAJ	VYBER	5200	20646	\N	\N	\N
963877	3284	1995-12-03	PRIJEM	VKLAD	2400	19665	\N	\N	\N
963878	3284	1996-01-02	VYDAJ	VYBER	600	21393	\N	\N	\N
963879	3284	1996-02-01	VYDAJ	VYBER	1800	19102	\N	\N	\N
963880	3284	1996-03-02	VYDAJ	VYBER	2900	18714	\N	\N	\N
963881	3284	1996-04-01	VYDAJ	VYBER	1400	19824	\N	\N	\N
963882	3284	1996-05-01	VYDAJ	VYBER	3400	18938	\N	\N	\N
963883	3284	1996-05-31	VYDAJ	VYBER	800	20665	\N	\N	\N
963884	3284	1996-06-30	VYDAJ	VYBER	1000	25845	\N	\N	\N
963885	3284	1996-07-30	VYDAJ	VYBER	3000	25267	\N	\N	\N
963886	3284	1996-08-29	VYDAJ	VYBER	3800	24003	\N	\N	\N
963887	3284	1996-09-28	VYDAJ	VYBER	2700	19756	\N	\N	\N
963888	3284	1996-10-28	VYDAJ	VYBER	2000	16552	\N	\N	\N
963889	3284	1996-11-27	PRIJEM	VKLAD	2300	16917	\N	\N	\N
963890	3284	1997-01-26	PRIJEM	VKLAD	4100	25152	\N	\N	\N
963891	3284	1997-02-25	VYDAJ	VYBER	1900	23132	\N	\N	\N
963892	3284	1997-03-27	PRIJEM	VKLAD	1700	24477	\N	\N	\N
963893	3284	1997-04-26	VYDAJ	VYBER	900	23457	\N	\N	\N
963894	3284	1997-05-26	VYDAJ	VYBER	2200	23781	\N	\N	\N
963895	3284	1997-06-25	VYDAJ	VYBER	1700	28260	\N	\N	\N
963896	3284	1997-07-25	VYDAJ	VYBER	6000	24797	\N	\N	\N
963897	3284	1997-08-24	PRIJEM	VKLAD	900	28237	\N	\N	\N
963898	3284	1997-09-23	VYDAJ	VYBER	3400	27370	\N	\N	\N
963899	3284	1997-10-23	VYDAJ	VYBER	1500	22652	\N	\N	\N
963900	3284	1997-11-22	VYDAJ	VYBER	3500	21687	\N	\N	\N
963901	3284	1997-12-22	VYDAJ	VYBER	600	27260	\N	\N	\N
963902	3284	1998-01-21	PRIJEM	VKLAD	600	21548	\N	\N	\N
963903	3284	1998-02-20	VYDAJ	VYBER	300	20041	\N	\N	\N
963904	3284	1998-03-22	VYDAJ	VYBER	3300	19242	\N	\N	\N
963905	3284	1998-04-21	VYDAJ	VYBER	2300	18009	\N	\N	\N
963906	3284	1998-05-21	PRIJEM	VKLAD	900	21410	\N	\N	\N
963907	3284	1998-06-20	VYDAJ	VYBER	4000	23568	\N	\N	\N
963908	3284	1998-07-20	VYDAJ	VYBER	5500	20589	\N	\N	\N
963909	3284	1998-08-19	VYDAJ	VYBER	5400	17706	\N	\N	\N
963910	3284	1998-09-18	VYDAJ	VYBER	800	17970	\N	\N	\N
963911	3284	1998-10-18	VYDAJ	VYBER	2700	17763	\N	\N	\N
963912	3284	1998-11-17	PRIJEM	VKLAD	2500	22760	\N	\N	\N
963913	3284	1998-12-17	VYDAJ	VYBER	2700	24420	\N	\N	\N
963981	3285	1996-05-12	PRIJEM	VKLAD	300	300	\N	\N	\N
963986	3285	1996-05-14	PRIJEM	PREVOD Z UCTU	3151	3451	\N	GH	38551133
963987	3285	1996-06-14	PRIJEM	PREVOD Z UCTU	3151	6610	\N	GH	38551133
963988	3285	1996-07-14	PRIJEM	PREVOD Z UCTU	3151	9776	\N	GH	38551133
963989	3285	1996-08-14	PRIJEM	PREVOD Z UCTU	3151	12941	\N	GH	38551133
963990	3285	1996-09-14	PRIJEM	PREVOD Z UCTU	3151	16107	\N	GH	38551133
963991	3285	1996-10-14	PRIJEM	PREVOD Z UCTU	3151	16587	\N	GH	38551133
963992	3285	1996-11-14	PRIJEM	PREVOD Z UCTU	3151	17113	\N	GH	38551133
963993	3285	1996-12-14	PRIJEM	PREVOD Z UCTU	3151	18211	\N	GH	38551133
963994	3285	1997-01-14	PRIJEM	PREVOD Z UCTU	3151	17427	\N	GH	38551133
963995	3285	1997-02-14	PRIJEM	PREVOD Z UCTU	3151	17237	\N	GH	38551133
963996	3285	1997-03-14	PRIJEM	PREVOD Z UCTU	3151	18338	\N	GH	38551133
963997	3285	1997-04-14	PRIJEM	PREVOD Z UCTU	3151	19445	\N	GH	38551133
963998	3285	1997-05-14	PRIJEM	PREVOD Z UCTU	3151	20557	\N	GH	38551133
963999	3285	1997-06-14	PRIJEM	PREVOD Z UCTU	3151	21668	\N	GH	38551133
964000	3285	1997-07-14	PRIJEM	PREVOD Z UCTU	3151	22789	\N	GH	38551133
964001	3285	1997-08-14	PRIJEM	PREVOD Z UCTU	3151	21117	\N	GH	38551133
964002	3285	1997-09-14	PRIJEM	PREVOD Z UCTU	3151	22233	\N	GH	38551133
964003	3285	1997-10-14	PRIJEM	PREVOD Z UCTU	3151	23351	\N	GH	38551133
964004	3285	1997-11-14	PRIJEM	PREVOD Z UCTU	3151	23634	\N	GH	38551133
964005	3285	1997-12-14	PRIJEM	PREVOD Z UCTU	3151	24763	\N	GH	38551133
964006	3285	1998-01-14	PRIJEM	PREVOD Z UCTU	3151	23882	\N	GH	38551133
964007	3285	1998-02-14	PRIJEM	PREVOD Z UCTU	3151	23115	\N	GH	38551133
964008	3285	1998-03-14	PRIJEM	PREVOD Z UCTU	3151	23546	\N	GH	38551133
964009	3285	1998-04-14	PRIJEM	PREVOD Z UCTU	3151	24675	\N	GH	38551133
964010	3285	1998-05-14	PRIJEM	PREVOD Z UCTU	3151	24938	\N	GH	38551133
964011	3285	1998-06-14	PRIJEM	PREVOD Z UCTU	3151	26069	\N	GH	38551133
964012	3285	1998-07-14	PRIJEM	PREVOD Z UCTU	3151	26063	\N	GH	38551133
964013	3285	1998-08-14	PRIJEM	PREVOD Z UCTU	3151	26029	\N	GH	38551133
964014	3285	1998-09-14	PRIJEM	PREVOD Z UCTU	3151	27170	\N	GH	38551133
964015	3285	1998-10-14	PRIJEM	PREVOD Z UCTU	3151	28309	\N	GH	38551133
964016	3285	1998-11-14	PRIJEM	PREVOD Z UCTU	3151	29457	\N	GH	38551133
964017	3285	1998-12-14	PRIJEM	PREVOD Z UCTU	3151	29284	\N	GH	38551133
964026	3285	1996-09-14	VYDAJ	PREVOD NA UCET	2100	14007	\N	UV	32551253
964027	3285	1996-10-14	VYDAJ	PREVOD NA UCET	2100	14487	\N	UV	32551253
964028	3285	1996-11-14	VYDAJ	PREVOD NA UCET	2100	15013	\N	UV	32551253
964029	3285	1996-12-14	VYDAJ	PREVOD NA UCET	2100	16111	\N	UV	32551253
964030	3285	1997-01-14	VYDAJ	PREVOD NA UCET	2100	15327	\N	UV	32551253
964031	3285	1997-02-14	VYDAJ	PREVOD NA UCET	2100	15137	\N	UV	32551253
964032	3285	1997-03-14	VYDAJ	PREVOD NA UCET	2100	16238	\N	UV	32551253
964033	3285	1997-04-14	VYDAJ	PREVOD NA UCET	2100	17345	\N	UV	32551253
964034	3285	1997-05-14	VYDAJ	PREVOD NA UCET	2100	18457	\N	UV	32551253
964035	3285	1997-06-14	VYDAJ	PREVOD NA UCET	2100	19568	\N	UV	32551253
964036	3285	1997-07-14	VYDAJ	PREVOD NA UCET	2100	20689	\N	UV	32551253
964037	3285	1997-08-14	VYDAJ	PREVOD NA UCET	2100	19017	\N	UV	32551253
964038	3285	1997-09-14	VYDAJ	PREVOD NA UCET	2100	20133	\N	UV	32551253
964039	3285	1997-10-14	VYDAJ	PREVOD NA UCET	2100	21251	\N	UV	32551253
964040	3285	1997-11-14	VYDAJ	PREVOD NA UCET	2100	21534	\N	UV	32551253
964041	3285	1997-12-14	VYDAJ	PREVOD NA UCET	2100	22663	\N	UV	32551253
964042	3285	1998-01-14	VYDAJ	PREVOD NA UCET	2100	21782	\N	UV	32551253
964043	3285	1998-02-14	VYDAJ	PREVOD NA UCET	2100	21015	\N	UV	32551253
964044	3285	1998-03-14	VYDAJ	PREVOD NA UCET	2100	21446	\N	UV	32551253
964045	3285	1998-04-14	VYDAJ	PREVOD NA UCET	2100	22575	\N	UV	32551253
964046	3285	1998-05-14	VYDAJ	PREVOD NA UCET	2100	22838	\N	UV	32551253
964047	3285	1998-06-14	VYDAJ	PREVOD NA UCET	2100	23969	\N	UV	32551253
964048	3285	1998-07-14	VYDAJ	PREVOD NA UCET	2100	23963	\N	UV	32551253
964049	3285	1998-08-14	VYDAJ	PREVOD NA UCET	2100	23929	\N	UV	32551253
964050	3285	1998-09-14	VYDAJ	PREVOD NA UCET	2100	25070	\N	UV	32551253
964051	3285	1998-10-14	VYDAJ	PREVOD NA UCET	2100	26209	\N	UV	32551253
964052	3285	1998-11-14	VYDAJ	PREVOD NA UCET	2100	27357	\N	UV	32551253
964053	3285	1998-12-14	VYDAJ	PREVOD NA UCET	2100	27184	\N	UV	32551253
964054	3285	1996-12-29	VYDAJ	VYBER	210	15901	\N	\N	\N
964055	3285	1997-12-29	VYDAJ	VYBER	390	22273	\N	\N	\N
964056	3285	1998-12-25	VYDAJ	VYBER	540	26644	\N	\N	\N
964063	3285	1997-01-05	VYDAJ	VYBER	150	15806	\N	\N	\N
964064	3285	1997-01-08	VYDAJ	VYBER	450	15356	\N	\N	\N
964065	3285	1997-01-18	VYDAJ	VYBER	510	14817	\N	\N	\N
964066	3285	1997-01-25	VYDAJ	VYBER	780	14037	\N	\N	\N
964067	3285	1997-01-11	VYDAJ	VYBER	420	14276	\N	\N	\N
964068	3285	1997-01-10	VYDAJ	VYBER	660	14696	\N	\N	\N
964069	3285	1998-01-05	VYDAJ	VYBER	270	21091	\N	\N	\N
964070	3285	1998-01-05	VYDAJ	VYBER	660	21361	\N	\N	\N
964071	3285	1998-01-09	VYDAJ	VYBER	360	20731	\N	\N	\N
964072	3285	1998-01-04	VYDAJ	VYBER	330	22021	\N	\N	\N
964073	3285	1998-01-17	VYDAJ	VYBER	780	21002	\N	\N	\N
964074	3285	1998-01-20	VYDAJ	VYBER	720	20282	\N	\N	\N
964076	3285	1996-11-09	VYDAJ	VYBER	570	13962	\N	\N	\N
964079	3285	1996-10-02	VYDAJ	VYBER	600	13436	\N	\N	\N
964080	3285	1997-07-15	VYDAJ	VYBER	1440	19249	\N	\N	\N
964081	3285	1997-08-13	VYDAJ	VYBER	1350	17966	\N	\N	\N
964082	3285	1997-10-31	VYDAJ	VYBER	840	20498	\N	\N	\N
964083	3285	1998-07-02	VYDAJ	VYBER	1140	22912	\N	\N	\N
964084	3285	1998-02-14	VYDAJ	VYBER	690	20325	\N	\N	\N
964085	3285	1998-05-04	VYDAJ	VYBER	870	21787	\N	\N	\N
964086	3285	1998-02-05	VYDAJ	VYBER	390	19964	\N	\N	\N
964087	3285	1998-08-08	VYDAJ	VYBER	1170	22878	\N	\N	\N
964088	3285	1998-11-18	VYDAJ	VYBER	1320	26037	\N	\N	\N
964098	3285	1996-09-30	VYDAJ	VYBER	15	14036	SLUZBY	\N	\N
964099	3285	1996-10-31	VYDAJ	VYBER	15	14532	SLUZBY	\N	\N
964100	3285	1996-11-30	VYDAJ	VYBER	15	15060	SLUZBY	\N	\N
964101	3285	1996-12-31	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
964102	3285	1997-01-31	VYDAJ	VYBER	15	14086	SLUZBY	\N	\N
964103	3285	1997-02-28	VYDAJ	VYBER	15	15187	SLUZBY	\N	\N
964104	3285	1997-03-31	VYDAJ	VYBER	15	16294	SLUZBY	\N	\N
964105	3285	1997-04-30	VYDAJ	VYBER	15	17406	SLUZBY	\N	\N
964106	3285	1997-05-31	VYDAJ	VYBER	15	18517	SLUZBY	\N	\N
964107	3285	1997-06-30	VYDAJ	VYBER	15	19638	SLUZBY	\N	\N
964108	3285	1997-07-31	VYDAJ	VYBER	15	19316	SLUZBY	\N	\N
964109	3285	1997-08-31	VYDAJ	VYBER	15	19082	SLUZBY	\N	\N
964110	3285	1997-09-30	VYDAJ	VYBER	15	20200	SLUZBY	\N	\N
964111	3285	1997-10-31	VYDAJ	VYBER	15	20483	SLUZBY	\N	\N
964112	3285	1997-11-30	VYDAJ	VYBER	15	21612	SLUZBY	\N	\N
964113	3285	1997-12-31	VYDAJ	VYBER	15	22351	SLUZBY	\N	\N
964114	3285	1998-01-31	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
964115	3285	1998-02-28	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
964116	3285	1998-03-31	VYDAJ	VYBER	15	21524	SLUZBY	\N	\N
964117	3285	1998-04-30	VYDAJ	VYBER	15	22657	SLUZBY	\N	\N
964118	3285	1998-05-31	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
964119	3285	1998-06-30	VYDAJ	VYBER	15	24052	SLUZBY	\N	\N
964120	3285	1998-07-31	VYDAJ	VYBER	15	24048	SLUZBY	\N	\N
964121	3285	1998-08-31	VYDAJ	VYBER	15	24019	SLUZBY	\N	\N
964122	3285	1998-09-30	VYDAJ	VYBER	15	25158	SLUZBY	\N	\N
964123	3285	1998-10-31	VYDAJ	VYBER	15	26306	SLUZBY	\N	\N
964124	3285	1998-11-30	VYDAJ	VYBER	15	26133	SLUZBY	\N	\N
964157	3286	1996-02-26	PRIJEM	VKLAD	300	300	\N	\N	\N
964158	3286	1996-11-16	PRIJEM	VKLAD	48095	108847	\N	\N	\N
964159	3286	1996-09-26	PRIJEM	VKLAD	38139	60042	\N	\N	\N
964160	3286	1996-11-01	PRIJEM	VKLAD	36659	72537	\N	\N	\N
964161	3286	1996-08-08	PRIJEM	VKLAD	28923	90672	\N	\N	\N
964162	3286	1996-11-24	PRIJEM	VKLAD	32133	54721	\N	\N	\N
964163	3286	1996-08-12	PRIJEM	VKLAD	18972	109644	\N	\N	\N
964166	3286	1996-03-20	PRIJEM	VKLAD	34419	34719	\N	\N	\N
964167	3286	1996-06-18	PRIJEM	VKLAD	24827	52729	\N	\N	\N
964168	3286	1996-07-10	PRIJEM	VKLAD	49828	89194	\N	\N	\N
964170	3286	1996-07-28	PRIJEM	VKLAD	6373	61567	\N	\N	\N
964171	3286	1996-12-08	PRIJEM	VKLAD	23470	78356	\N	\N	\N
964173	3286	1996-10-16	PRIJEM	VKLAD	10998	59389	\N	\N	\N
964174	3286	1997-07-09	PRIJEM	VKLAD	6593	34009	\N	\N	\N
964175	3286	1997-04-14	PRIJEM	VKLAD	33467	53567	\N	\N	\N
964176	3286	1997-07-31	PRIJEM	VKLAD	18003	42422	\N	\N	\N
964177	3286	1997-05-25	PRIJEM	VKLAD	15332	81887	\N	\N	\N
964178	3286	1997-07-31	PRIJEM	VKLAD	27336	69758	\N	\N	\N
964179	3286	1997-05-17	PRIJEM	VKLAD	32293	126555	\N	\N	\N
964180	3286	1997-02-11	PRIJEM	VKLAD	26641	46956	\N	\N	\N
964181	3286	1997-09-05	PRIJEM	VKLAD	40914	89712	\N	\N	\N
964182	3286	1997-06-06	PRIJEM	VKLAD	13108	106614	\N	\N	\N
964183	3286	1997-09-06	PRIJEM	VKLAD	44032	133744	\N	\N	\N
964184	3286	1997-01-05	PRIJEM	VKLAD	40397	64160	\N	\N	\N
964185	3286	1997-11-16	PRIJEM	VKLAD	12711	23354	\N	\N	\N
964186	3286	1997-05-29	PRIJEM	VKLAD	11216	93103	\N	\N	\N
964187	3286	1997-04-28	PRIJEM	VKLAD	44447	101477	\N	\N	\N
964188	3286	1997-04-24	PRIJEM	VKLAD	21148	57030	\N	\N	\N
964189	3286	1997-05-12	PRIJEM	VKLAD	37619	139247	\N	\N	\N
964190	3286	1998-01-18	PRIJEM	VKLAD	44541	96007	\N	\N	\N
964191	3286	1998-12-05	PRIJEM	VKLAD	29939	89841	\N	\N	\N
964192	3286	1998-01-14	PRIJEM	VKLAD	19420	62368	\N	\N	\N
964193	3286	1998-03-22	PRIJEM	VKLAD	45388	84144	\N	\N	\N
964194	3286	1998-04-02	PRIJEM	VKLAD	37377	121745	\N	\N	\N
964195	3286	1998-04-22	PRIJEM	VKLAD	17182	66456	\N	\N	\N
964196	3286	1998-05-23	PRIJEM	VKLAD	10119	59289	\N	\N	\N
964197	3286	1998-02-03	PRIJEM	VKLAD	11294	87737	\N	\N	\N
964198	3286	1998-04-22	PRIJEM	VKLAD	42051	108507	\N	\N	\N
964199	3286	1998-11-15	PRIJEM	VKLAD	28002	82360	\N	\N	\N
964200	3286	1998-04-08	PRIJEM	VKLAD	6295	83040	\N	\N	\N
964201	3286	1998-09-20	PRIJEM	VKLAD	11026	31152	\N	\N	\N
964202	3286	1998-06-26	PRIJEM	VKLAD	31954	60522	\N	\N	\N
964203	3286	1998-02-08	PRIJEM	VKLAD	47919	135656	\N	\N	\N
964204	3286	1998-11-10	PRIJEM	VKLAD	12629	106743	\N	\N	\N
964205	3286	1998-10-20	PRIJEM	VKLAD	41708	80556	\N	\N	\N
964206	3286	1998-01-07	PRIJEM	VKLAD	26181	50448	\N	\N	\N
964207	3286	1998-01-14	PRIJEM	VKLAD	23783	86151	\N	\N	\N
964208	3286	1998-07-22	PRIJEM	VKLAD	45754	73945	\N	\N	\N
964209	3286	1998-11-09	PRIJEM	VKLAD	28039	94114	\N	\N	\N
964210	3286	1998-07-31	PRIJEM	VKLAD	22030	96226	\N	\N	\N
964211	3286	1998-10-16	PRIJEM	VKLAD	21268	38848	\N	\N	\N
964219	3286	1996-08-14	VYDAJ	PREVOD NA UCET	11785	47259	SIPO	KL	7226884
964220	3286	1996-09-14	VYDAJ	PREVOD NA UCET	11785	20203	SIPO	KL	7226884
964221	3286	1996-10-14	VYDAJ	PREVOD NA UCET	11785	48391	SIPO	KL	7226884
964222	3286	1996-11-14	VYDAJ	PREVOD NA UCET	11785	60752	SIPO	KL	7226884
964223	3286	1996-12-14	VYDAJ	PREVOD NA UCET	11785	66571	SIPO	KL	7226884
964224	3286	1997-01-14	VYDAJ	PREVOD NA UCET	11785	48775	SIPO	KL	7226884
964225	3286	1997-02-14	VYDAJ	PREVOD NA UCET	11785	35171	SIPO	KL	7226884
964226	3286	1997-03-14	VYDAJ	PREVOD NA UCET	11785	14620	SIPO	KL	7226884
964227	3286	1997-04-14	VYDAJ	PREVOD NA UCET	11785	41782	SIPO	KL	7226884
964228	3286	1997-05-14	VYDAJ	PREVOD NA UCET	11785	110562	SIPO	KL	7226884
964229	3286	1997-06-14	VYDAJ	PREVOD NA UCET	11785	54298	SIPO	KL	7226884
964230	3286	1997-07-14	VYDAJ	PREVOD NA UCET	11785	22224	SIPO	KL	7226884
964231	3286	1997-08-14	VYDAJ	PREVOD NA UCET	11785	57959	SIPO	KL	7226884
964232	3286	1997-09-14	VYDAJ	PREVOD NA UCET	11785	89659	SIPO	KL	7226884
964233	3286	1997-10-14	VYDAJ	PREVOD NA UCET	11785	14834	SIPO	KL	7226884
964234	3286	1997-11-14	VYDAJ	PREVOD NA UCET	11785	10643	SIPO	KL	7226884
964235	3286	1997-12-14	VYDAJ	PREVOD NA UCET	11785	17461	SIPO	KL	7226884
964236	3286	1998-01-14	VYDAJ	PREVOD NA UCET	11785	74366	SIPO	KL	7226884
964237	3286	1998-02-14	VYDAJ	PREVOD NA UCET	11785	95896	SIPO	KL	7226884
964238	3286	1998-03-14	VYDAJ	PREVOD NA UCET	11785	34556	SIPO	KL	7226884
964239	3286	1998-04-14	VYDAJ	PREVOD NA UCET	11785	68555	SIPO	KL	7226884
964240	3286	1998-05-14	VYDAJ	PREVOD NA UCET	11785	64070	SIPO	KL	7226884
964241	3286	1998-06-14	VYDAJ	PREVOD NA UCET	11785	19968	SIPO	KL	7226884
964242	3286	1998-07-14	VYDAJ	PREVOD NA UCET	11785	48890	SIPO	KL	7226884
964243	3286	1998-08-14	VYDAJ	PREVOD NA UCET	11785	84427	SIPO	KL	7226884
964244	3286	1998-09-14	VYDAJ	PREVOD NA UCET	11785	20126	SIPO	KL	7226884
964245	3286	1998-10-14	VYDAJ	PREVOD NA UCET	11785	17580	SIPO	KL	7226884
964246	3286	1998-11-14	VYDAJ	PREVOD NA UCET	11785	54358	SIPO	KL	7226884
964247	3286	1998-12-14	VYDAJ	PREVOD NA UCET	11785	41456	SIPO	KL	7226884
964249	3286	1996-10-16	VYBER	VYBER	16717	42672	\N	\N	\N
964252	3286	1996-12-22	VYBER	VYBER	9203	57368	\N	\N	\N
964254	3286	1996-11-22	VYBER	VYBER	19959	26688	\N	\N	\N
964257	3286	1996-08-16	VYBER	VYBER	6954	40305	\N	\N	\N
964260	3286	1997-06-13	VYBER	VYBER	22331	66083	\N	\N	\N
964263	3286	1997-07-03	VYBER	VYBER	11841	33116	\N	\N	\N
964264	3286	1997-03-10	VYBER	VYBER	3562	26405	\N	\N	\N
964266	3286	1997-07-23	VYBER	VYBER	8638	24286	\N	\N	\N
964268	3286	1997-12-22	VYBER	VYBER	3193	24168	\N	\N	\N
964271	3286	1997-09-15	VYBER	VYBER	21736	67923	\N	\N	\N
964273	3286	1997-10-02	VYBER	VYBER	11664	37419	\N	\N	\N
964274	3286	1998-02-10	VYBER	VYBER	8775	107681	\N	\N	\N
964275	3286	1998-04-30	VYBER	VYBER	6262	75870	\N	\N	\N
964276	3286	1998-02-24	VYBER	VYBER	24862	46034	\N	\N	\N
964277	3286	1998-11-30	VYBER	VYBER	22760	59917	\N	\N	\N
964278	3286	1998-07-21	VYBER	VYBER	7779	28191	\N	\N	\N
964279	3286	1998-05-24	VYBER	VYBER	11879	47410	\N	\N	\N
964280	3286	1998-08-21	VYBER	VYBER	22615	35612	\N	\N	\N
964281	3286	1998-04-16	VYBER	VYBER	10281	58274	\N	\N	\N
964282	3286	1998-10-21	VYBER	VYBER	11212	69344	\N	\N	\N
964283	3286	1998-10-22	VYBER	VYBER	3442	65902	\N	\N	\N
964284	3286	1998-07-18	VYBER	VYBER	6720	35970	\N	\N	\N
964286	3286	1998-09-13	VYBER	VYBER	8886	31911	\N	\N	\N
964289	3286	1998-06-08	VYDAJ	VYBER	12600	35053	\N	\N	\N
964291	3286	1997-01-18	VYDAJ	VYBER	25800	20575	\N	\N	\N
964292	3286	1998-01-11	VYDAJ	VYBER	4200	46248	\N	\N	\N
964293	3286	1996-12-23	VYDAJ	VYBER	8100	32268	\N	\N	\N
964295	3286	1998-12-08	VYDAJ	VYBER	4500	85341	\N	\N	\N
964302	3286	1997-01-11	VYDAJ	VYBER	2100	60560	\N	\N	\N
964304	3286	1997-01-04	VYDAJ	VYBER	1500	23763	\N	\N	\N
964305	3286	1997-01-05	VYDAJ	VYBER	1500	62660	\N	\N	\N
964306	3286	1997-01-25	VYDAJ	VYBER	3000	20175	\N	\N	\N
964307	3286	1997-01-15	VYDAJ	VYBER	2400	46375	\N	\N	\N
964309	3286	1998-01-24	VYDAJ	VYBER	5400	90607	\N	\N	\N
964310	3286	1998-01-13	VYDAJ	VYBER	3300	42948	\N	\N	\N
964311	3286	1998-01-14	VYDAJ	VYBER	6300	68066	\N	\N	\N
964313	3286	1998-01-26	VYDAJ	VYBER	2700	87907	\N	\N	\N
964315	3286	1996-12-27	VYDAJ	VYBER	7200	25068	\N	\N	\N
964322	3286	1997-09-18	VYDAJ	VYBER	6600	61323	\N	\N	\N
964324	3286	1997-07-07	VYDAJ	VYBER	5700	27416	\N	\N	\N
964325	3286	1997-10-05	VYDAJ	VYBER	10800	26619	\N	\N	\N
964326	3286	1998-06-11	VYDAJ	VYBER	3300	31753	\N	\N	\N
964327	3286	1998-05-17	VYDAJ	VYBER	1500	49170	\N	\N	\N
964328	3286	1998-01-29	VYDAJ	VYBER	11700	76207	\N	\N	\N
964329	3286	1998-04-11	VYDAJ	VYBER	2700	80340	\N	\N	\N
964330	3286	1998-12-14	VYDAJ	VYBER	3600	37856	\N	\N	\N
964339	3286	1996-08-31	VYDAJ	VYBER	15	31988	SLUZBY	\N	\N
964340	3286	1996-09-30	VYDAJ	VYBER	15	60176	SLUZBY	\N	\N
964341	3286	1996-10-31	VYDAJ	VYBER	15	35878	SLUZBY	\N	\N
964342	3286	1996-11-30	VYDAJ	VYBER	15	54886	SLUZBY	\N	\N
964343	3286	1996-12-31	VYDAJ	VYBER	15	25263	SLUZBY	\N	\N
964344	3286	1997-01-31	VYDAJ	VYBER	15	20315	SLUZBY	\N	\N
964345	3286	1997-02-28	VYDAJ	VYBER	15	29967	SLUZBY	\N	\N
964346	3286	1997-03-31	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
964347	3286	1997-04-30	VYDAJ	VYBER	15	101628	SLUZBY	\N	\N
964348	3286	1997-05-31	VYDAJ	VYBER	15	93506	SLUZBY	\N	\N
964349	3286	1997-06-30	VYDAJ	VYBER	15	44957	SLUZBY	\N	\N
964350	3286	1997-07-31	VYDAJ	VYBER	15	69744	SLUZBY	\N	\N
964351	3286	1997-08-31	VYDAJ	VYBER	15	48798	SLUZBY	\N	\N
964352	3286	1997-09-30	VYDAJ	VYBER	15	49083	SLUZBY	\N	\N
964353	3286	1997-10-31	VYDAJ	VYBER	15	22428	SLUZBY	\N	\N
964354	3286	1997-11-30	VYDAJ	VYBER	15	29246	SLUZBY	\N	\N
964355	3286	1997-12-31	VYDAJ	VYBER	15	24267	SLUZBY	\N	\N
964356	3286	1998-01-31	VYDAJ	VYBER	15	76443	SLUZBY	\N	\N
964357	3286	1998-02-28	VYDAJ	VYBER	15	46341	SLUZBY	\N	\N
964358	3286	1998-03-31	VYDAJ	VYBER	15	84368	SLUZBY	\N	\N
964359	3286	1998-04-30	VYDAJ	VYBER	15	75855	SLUZBY	\N	\N
964360	3286	1998-05-31	VYDAJ	VYBER	15	47653	SLUZBY	\N	\N
964361	3286	1998-06-30	VYDAJ	VYBER	15	60675	SLUZBY	\N	\N
964362	3286	1998-07-31	VYDAJ	VYBER	15	96212	SLUZBY	\N	\N
964363	3286	1998-08-31	VYDAJ	VYBER	15	35897	SLUZBY	\N	\N
964364	3286	1998-09-30	VYDAJ	VYBER	15	31265	SLUZBY	\N	\N
964365	3286	1998-10-31	VYDAJ	VYBER	15	66075	SLUZBY	\N	\N
964366	3286	1998-11-30	VYDAJ	VYBER	15	59902	SLUZBY	\N	\N
964367	3286	1996-03-27	VYDAJ	VYBER	3300	31419	\N	\N	\N
964368	3286	1996-04-26	VYDAJ	VYBER	4300	27140	\N	\N	\N
964369	3286	1996-05-26	PRIJEM	VKLAD	500	27771	\N	\N	\N
964370	3286	1996-06-25	VYDAJ	VYBER	13500	39229	\N	\N	\N
964371	3286	1996-07-25	VYDAJ	VYBER	34000	55194	\N	\N	\N
964372	3286	1996-08-12	VYDAJ	VYBER	50600	59044	\N	\N	\N
964373	3286	1996-08-24	VYDAJ	VYBER	8500	31805	\N	\N	\N
964374	3286	1996-09-23	PRIJEM	VKLAD	1700	21903	\N	\N	\N
964375	3286	1996-10-23	VYDAJ	VYBER	7000	35672	\N	\N	\N
964376	3286	1996-11-16	VYDAJ	VYBER	62200	46647	\N	\N	\N
964377	3286	1996-11-22	VYDAJ	VYBER	4100	22588	\N	\N	\N
964378	3286	1996-12-22	VYDAJ	VYBER	17000	40368	\N	\N	\N
964379	3286	1997-01-21	PRIJEM	VKLAD	2600	23175	\N	\N	\N
964380	3286	1997-02-20	VYDAJ	VYBER	5300	29871	\N	\N	\N
964381	3286	1997-03-22	PRIJEM	VKLAD	5400	20020	\N	\N	\N
964382	3286	1997-04-21	VYDAJ	VYBER	5900	35882	\N	\N	\N
964383	3286	1997-05-12	VYDAJ	VYBER	16900	122347	\N	\N	\N
964384	3286	1997-05-14	VYDAJ	VYBER	16300	94262	\N	\N	\N
964385	3286	1997-05-17	VYDAJ	VYBER	30100	96455	\N	\N	\N
964386	3286	1997-05-21	VYDAJ	VYBER	29900	66555	\N	\N	\N
964387	3286	1997-06-06	VYDAJ	VYBER	18200	88414	\N	\N	\N
964388	3286	1997-06-20	VYDAJ	VYBER	9600	44698	\N	\N	\N
964389	3286	1997-07-20	PRIJEM	VKLAD	10700	32924	\N	\N	\N
964390	3286	1997-08-19	VYDAJ	VYBER	9400	48559	\N	\N	\N
964391	3286	1997-09-06	VYDAJ	VYBER	32300	101444	\N	\N	\N
964392	3286	1997-09-18	VYDAJ	VYBER	12500	48823	\N	\N	\N
964393	3286	1997-10-18	PRIJEM	VKLAD	7500	22334	\N	\N	\N
964394	3286	1997-11-17	PRIJEM	VKLAD	5800	29154	\N	\N	\N
964395	3286	1997-12-17	PRIJEM	VKLAD	9900	27361	\N	\N	\N
964396	3286	1998-01-16	VYDAJ	VYBER	16600	51466	\N	\N	\N
964397	3286	1998-02-08	VYDAJ	VYBER	19200	116456	\N	\N	\N
964398	3286	1998-02-15	VYDAJ	VYBER	25000	70896	\N	\N	\N
964399	3286	1998-03-17	PRIJEM	VKLAD	4200	38756	\N	\N	\N
964400	3286	1998-04-02	VYDAJ	VYBER	45000	76745	\N	\N	\N
964401	3286	1998-04-16	VYDAJ	VYBER	9000	49274	\N	\N	\N
964402	3286	1998-04-22	VYDAJ	VYBER	26700	81807	\N	\N	\N
964403	3286	1998-05-16	VYDAJ	VYBER	13400	50670	\N	\N	\N
964404	3286	1998-06-15	PRIJEM	VKLAD	8600	28568	\N	\N	\N
964405	3286	1998-07-15	VYDAJ	VYBER	6200	42690	\N	\N	\N
964406	3286	1998-08-14	VYDAJ	VYBER	26200	58227	\N	\N	\N
964407	3286	1998-09-13	PRIJEM	VKLAD	4900	40797	\N	\N	\N
964408	3286	1998-10-13	VYDAJ	VYBER	1900	29365	\N	\N	\N
964409	3286	1998-11-12	VYDAJ	VYBER	40600	66143	\N	\N	\N
964410	3286	1998-12-12	VYDAJ	VYBER	32100	53241	\N	\N	\N
964445	3287	1993-07-26	PRIJEM	VKLAD	900	900	\N	\N	\N
964453	3287	1993-08-14	PRIJEM	VKLAD	21936	22836	\N	\N	\N
964454	3287	1993-09-14	PRIJEM	VKLAD	21936	43092	\N	\N	\N
964455	3287	1993-10-14	PRIJEM	VKLAD	21936	58030	\N	\N	\N
964456	3287	1993-11-14	PRIJEM	VKLAD	21936	61120	\N	\N	\N
964457	3287	1993-12-14	PRIJEM	VKLAD	32904	78193	\N	\N	\N
964458	3287	1994-01-14	PRIJEM	VKLAD	21936	60362	\N	\N	\N
964459	3287	1994-02-14	PRIJEM	VKLAD	21936	45116	\N	\N	\N
964460	3287	1994-03-14	PRIJEM	VKLAD	21936	51318	\N	\N	\N
964461	3287	1994-04-14	PRIJEM	VKLAD	21936	52241	\N	\N	\N
964462	3287	1994-05-14	PRIJEM	VKLAD	21936	54069	\N	\N	\N
964463	3287	1994-06-14	PRIJEM	VKLAD	32904	65970	\N	\N	\N
964464	3287	1994-07-14	PRIJEM	VKLAD	21936	57135	\N	\N	\N
964465	3287	1994-08-14	PRIJEM	VKLAD	21936	51654	\N	\N	\N
964466	3287	1994-09-14	PRIJEM	VKLAD	21936	55077	\N	\N	\N
964467	3287	1994-10-14	PRIJEM	VKLAD	21936	54106	\N	\N	\N
964468	3287	1994-11-14	PRIJEM	VKLAD	21936	54694	\N	\N	\N
964469	3287	1994-12-14	PRIJEM	VKLAD	32904	65288	\N	\N	\N
964470	3287	1995-01-14	PRIJEM	VKLAD	21936	41359	\N	\N	\N
964471	3287	1995-02-14	PRIJEM	VKLAD	21936	39838	\N	\N	\N
964472	3287	1995-03-14	PRIJEM	VKLAD	21936	39349	\N	\N	\N
964473	3287	1995-04-14	PRIJEM	VKLAD	21936	42713	\N	\N	\N
964474	3287	1995-05-14	PRIJEM	VKLAD	21936	43274	\N	\N	\N
964475	3287	1995-06-14	PRIJEM	VKLAD	32904	55020	\N	\N	\N
964476	3287	1995-07-14	PRIJEM	VKLAD	21936	33961	\N	\N	\N
964477	3287	1995-08-14	PRIJEM	VKLAD	21936	41413	\N	\N	\N
964478	3287	1995-09-14	PRIJEM	VKLAD	21936	46890	\N	\N	\N
964479	3287	1995-10-14	PRIJEM	VKLAD	21936	48039	\N	\N	\N
964480	3287	1995-11-14	PRIJEM	VKLAD	21936	43371	\N	\N	\N
964481	3287	1995-12-14	PRIJEM	VKLAD	32904	59646	\N	\N	\N
964482	3287	1996-01-14	PRIJEM	VKLAD	21936	46816	\N	\N	\N
964483	3287	1996-02-14	PRIJEM	VKLAD	21936	47342	\N	\N	\N
964484	3287	1996-03-14	PRIJEM	VKLAD	21936	47178	\N	\N	\N
964485	3287	1996-04-14	PRIJEM	VKLAD	21936	46721	\N	\N	\N
964486	3287	1996-05-14	PRIJEM	VKLAD	21936	46018	\N	\N	\N
964487	3287	1996-06-14	PRIJEM	VKLAD	32904	57685	\N	\N	\N
964488	3287	1996-07-14	PRIJEM	VKLAD	21936	42431	\N	\N	\N
964489	3287	1996-08-14	PRIJEM	VKLAD	21936	43746	\N	\N	\N
964490	3287	1996-09-14	PRIJEM	VKLAD	21936	40490	\N	\N	\N
964491	3287	1996-10-14	PRIJEM	VKLAD	21936	40005	\N	\N	\N
964492	3287	1996-11-14	PRIJEM	VKLAD	21936	38821	\N	\N	\N
964493	3287	1996-12-14	PRIJEM	VKLAD	32904	49602	\N	\N	\N
964494	3287	1997-01-14	PRIJEM	VKLAD	21936	36554	\N	\N	\N
964495	3287	1997-02-14	PRIJEM	VKLAD	21936	34956	\N	\N	\N
964496	3287	1997-03-14	PRIJEM	VKLAD	21936	36340	\N	\N	\N
964497	3287	1997-04-14	PRIJEM	VKLAD	21936	41137	\N	\N	\N
964498	3287	1997-05-14	PRIJEM	VKLAD	21936	38442	\N	\N	\N
964499	3287	1997-06-14	PRIJEM	VKLAD	32904	43197	\N	\N	\N
964500	3287	1997-07-14	PRIJEM	VKLAD	21936	43850	\N	\N	\N
964501	3287	1997-08-14	PRIJEM	VKLAD	21936	44173	\N	\N	\N
964502	3287	1997-09-14	PRIJEM	VKLAD	21936	46482	\N	\N	\N
964503	3287	1997-10-14	PRIJEM	VKLAD	21936	47915	\N	\N	\N
964504	3287	1997-11-14	PRIJEM	VKLAD	21936	43149	\N	\N	\N
964505	3287	1997-12-14	PRIJEM	VKLAD	32904	55867	\N	\N	\N
964506	3287	1998-01-14	PRIJEM	VKLAD	21936	36903	\N	\N	\N
964507	3287	1998-02-14	PRIJEM	VKLAD	21936	38575	\N	\N	\N
964508	3287	1998-03-14	PRIJEM	VKLAD	21936	39557	\N	\N	\N
964509	3287	1998-04-14	PRIJEM	VKLAD	21936	38264	\N	\N	\N
964510	3287	1998-05-14	PRIJEM	VKLAD	21936	41166	\N	\N	\N
964511	3287	1998-06-14	PRIJEM	VKLAD	32904	50223	\N	\N	\N
964512	3287	1998-07-14	PRIJEM	VKLAD	21936	37765	\N	\N	\N
964513	3287	1998-08-14	PRIJEM	VKLAD	21936	34779	\N	\N	\N
964514	3287	1998-09-14	PRIJEM	VKLAD	21936	31640	\N	\N	\N
964515	3287	1998-10-14	PRIJEM	VKLAD	21936	46693	\N	\N	\N
964516	3287	1998-11-14	PRIJEM	VKLAD	21936	38898	\N	\N	\N
964517	3287	1998-12-14	PRIJEM	VKLAD	32904	59066	\N	\N	\N
964530	3287	1994-01-13	VYDAJ	PREVOD NA UCET	6968	38426	SIPO	AB	77842962
964531	3287	1994-02-13	VYDAJ	PREVOD NA UCET	6968	23180	SIPO	AB	77842962
964532	3287	1994-03-13	VYDAJ	PREVOD NA UCET	6968	29382	SIPO	AB	77842962
964533	3287	1994-04-13	VYDAJ	PREVOD NA UCET	6968	30305	SIPO	AB	77842962
964534	3287	1994-05-13	VYDAJ	PREVOD NA UCET	6968	32133	SIPO	AB	77842962
964535	3287	1994-06-13	VYDAJ	PREVOD NA UCET	6968	33066	SIPO	AB	77842962
964536	3287	1994-07-13	VYDAJ	PREVOD NA UCET	6968	35199	SIPO	AB	77842962
964537	3287	1994-08-13	VYDAJ	PREVOD NA UCET	6968	29718	SIPO	AB	77842962
964538	3287	1994-09-13	VYDAJ	PREVOD NA UCET	6968	33141	SIPO	AB	77842962
964539	3287	1994-10-13	VYDAJ	PREVOD NA UCET	6968	32170	SIPO	AB	77842962
964540	3287	1994-11-13	VYDAJ	PREVOD NA UCET	6968	32758	SIPO	AB	77842962
964541	3287	1994-12-13	VYDAJ	PREVOD NA UCET	6968	32384	SIPO	AB	77842962
964542	3287	1995-01-13	VYDAJ	PREVOD NA UCET	6968	19423	SIPO	AB	77842962
964543	3287	1995-02-13	VYDAJ	PREVOD NA UCET	6968	17902	SIPO	AB	77842962
964544	3287	1995-03-13	VYDAJ	PREVOD NA UCET	6968	17413	SIPO	AB	77842962
964545	3287	1995-04-13	VYDAJ	PREVOD NA UCET	6968	20777	SIPO	AB	77842962
964546	3287	1995-05-13	VYDAJ	PREVOD NA UCET	6968	21338	SIPO	AB	77842962
964547	3287	1995-06-13	VYDAJ	PREVOD NA UCET	6968	22116	SIPO	AB	77842962
964548	3287	1995-07-13	VYDAJ	PREVOD NA UCET	6968	12025	SIPO	AB	77842962
964549	3287	1995-08-13	VYDAJ	PREVOD NA UCET	6968	19477	SIPO	AB	77842962
964550	3287	1995-09-13	VYDAJ	PREVOD NA UCET	6968	24954	SIPO	AB	77842962
964551	3287	1995-10-13	VYDAJ	PREVOD NA UCET	6968	26103	SIPO	AB	77842962
964552	3287	1995-11-13	VYDAJ	PREVOD NA UCET	6968	22735	SIPO	AB	77842962
964553	3287	1995-12-13	VYDAJ	PREVOD NA UCET	6968	36542	SIPO	AB	77842962
964554	3287	1996-01-13	VYDAJ	PREVOD NA UCET	6968	24880	SIPO	AB	77842962
964555	3287	1996-02-13	VYDAJ	PREVOD NA UCET	6968	25406	SIPO	AB	77842962
964556	3287	1996-03-13	VYDAJ	PREVOD NA UCET	6968	25242	SIPO	AB	77842962
964557	3287	1996-04-13	VYDAJ	PREVOD NA UCET	6968	24785	SIPO	AB	77842962
964558	3287	1996-05-13	VYDAJ	PREVOD NA UCET	6968	24082	SIPO	AB	77842962
964559	3287	1996-06-13	VYDAJ	PREVOD NA UCET	6968	24781	SIPO	AB	77842962
964560	3287	1996-07-13	VYDAJ	PREVOD NA UCET	6968	20495	SIPO	AB	77842962
964561	3287	1996-08-13	VYDAJ	PREVOD NA UCET	6968	21810	SIPO	AB	77842962
964562	3287	1996-09-13	VYDAJ	PREVOD NA UCET	6968	18554	SIPO	AB	77842962
964563	3287	1996-10-13	VYDAJ	PREVOD NA UCET	6968	18069	SIPO	AB	77842962
964564	3287	1996-11-13	VYDAJ	PREVOD NA UCET	6968	16885	SIPO	AB	77842962
964565	3287	1996-12-13	VYDAJ	PREVOD NA UCET	6968	16698	SIPO	AB	77842962
964566	3287	1997-01-13	VYDAJ	PREVOD NA UCET	6968	15338	SIPO	AB	77842962
964567	3287	1997-02-13	VYDAJ	PREVOD NA UCET	6968	13020	SIPO	AB	77842962
964568	3287	1997-03-13	VYDAJ	PREVOD NA UCET	6968	14404	SIPO	AB	77842962
964569	3287	1997-04-13	VYDAJ	PREVOD NA UCET	6968	19201	SIPO	AB	77842962
964570	3287	1997-05-13	VYDAJ	PREVOD NA UCET	6968	16506	SIPO	AB	77842962
964571	3287	1997-06-13	VYDAJ	PREVOD NA UCET	6968	10293	SIPO	AB	77842962
964572	3287	1997-07-13	VYDAJ	PREVOD NA UCET	6968	21914	SIPO	AB	77842962
964573	3287	1997-08-13	VYDAJ	PREVOD NA UCET	6968	22237	SIPO	AB	77842962
964574	3287	1997-09-13	VYDAJ	PREVOD NA UCET	6968	24546	SIPO	AB	77842962
964575	3287	1997-10-13	VYDAJ	PREVOD NA UCET	6968	25979	SIPO	AB	77842962
964576	3287	1997-11-13	VYDAJ	PREVOD NA UCET	6968	21213	SIPO	AB	77842962
964577	3287	1997-12-13	VYDAJ	PREVOD NA UCET	6968	22963	SIPO	AB	77842962
964578	3287	1998-01-13	VYDAJ	PREVOD NA UCET	6968	14967	SIPO	AB	77842962
964579	3287	1998-02-13	VYDAJ	PREVOD NA UCET	6968	16639	SIPO	AB	77842962
964580	3287	1998-03-13	VYDAJ	PREVOD NA UCET	6968	17621	SIPO	AB	77842962
964581	3287	1998-04-13	VYDAJ	PREVOD NA UCET	6968	16328	SIPO	AB	77842962
964582	3287	1998-05-13	VYDAJ	PREVOD NA UCET	6968	19230	SIPO	AB	77842962
964583	3287	1998-06-13	VYDAJ	PREVOD NA UCET	6968	17319	SIPO	AB	77842962
964584	3287	1998-07-13	VYDAJ	PREVOD NA UCET	6968	15829	SIPO	AB	77842962
964585	3287	1998-08-13	VYDAJ	PREVOD NA UCET	6968	12843	SIPO	AB	77842962
964586	3287	1998-09-13	VYDAJ	PREVOD NA UCET	6968	9704	SIPO	AB	77842962
964587	3287	1998-10-13	VYDAJ	PREVOD NA UCET	6968	24757	SIPO	AB	77842962
964588	3287	1998-11-13	VYDAJ	PREVOD NA UCET	6968	16962	SIPO	AB	77842962
964589	3287	1998-12-13	VYDAJ	PREVOD NA UCET	6968	26162	SIPO	AB	77842962
964591	3287	1994-06-18	VYDAJ	VYBER	7680	58290	\N	\N	\N
964592	3287	1995-06-25	VYDAJ	VYBER	16640	18880	\N	\N	\N
964593	3287	1996-06-16	VYDAJ	VYBER	16640	41045	\N	\N	\N
964594	3287	1997-06-04	VYDAJ	VYBER	15520	23061	\N	\N	\N
964595	3287	1998-06-14	VYDAJ	VYBER	8160	42063	\N	\N	\N
964597	3287	1994-01-28	VYDAJ	VYBER	2720	29962	\N	\N	\N
964598	3287	1995-01-19	VYDAJ	VYBER	4000	24759	\N	\N	\N
964599	3287	1996-01-07	VYDAJ	VYBER	5600	47848	\N	\N	\N
964601	3287	1998-01-18	VYDAJ	VYBER	2240	34663	\N	\N	\N
964603	3287	1994-12-23	VYDAJ	VYBER	3360	38228	\N	\N	\N
964604	3287	1995-12-27	VYDAJ	VYBER	1120	58526	\N	\N	\N
964605	3287	1996-12-24	VYDAJ	VYBER	4640	44962	\N	\N	\N
964606	3287	1997-12-15	VYDAJ	VYBER	2720	53147	\N	\N	\N
964607	3287	1998-12-23	VYDAJ	VYBER	4320	53066	\N	\N	\N
964614	3287	1994-01-26	VYDAJ	VYBER	3480	32682	\N	\N	\N
964615	3287	1994-01-07	VYDAJ	VYBER	3120	45394	\N	\N	\N
964616	3287	1994-01-16	VYDAJ	VYBER	2760	57602	\N	\N	\N
964617	3287	1994-01-25	VYDAJ	VYBER	1560	37002	\N	\N	\N
964618	3287	1994-01-26	VYDAJ	VYBER	840	36162	\N	\N	\N
964619	3287	1994-01-02	VYDAJ	VYBER	3360	48514	\N	\N	\N
964620	3287	1995-01-11	VYDAJ	VYBER	1800	29631	\N	\N	\N
964621	3287	1995-01-05	VYDAJ	VYBER	2280	32751	\N	\N	\N
964622	3287	1995-01-11	VYDAJ	VYBER	1320	31431	\N	\N	\N
964623	3287	1995-01-12	VYDAJ	VYBER	840	28791	\N	\N	\N
964624	3287	1995-01-13	VYDAJ	VYBER	2400	26391	\N	\N	\N
964625	3287	1995-01-04	VYDAJ	VYBER	3360	35031	\N	\N	\N
964626	3287	1996-01-17	VYDAJ	VYBER	3120	43696	\N	\N	\N
964627	3287	1996-01-13	VYDAJ	VYBER	600	31848	\N	\N	\N
964628	3287	1996-01-01	VYDAJ	VYBER	1680	55848	\N	\N	\N
964629	3287	1996-01-24	VYDAJ	VYBER	3000	40696	\N	\N	\N
964630	3287	1996-01-01	VYDAJ	VYBER	1200	57528	\N	\N	\N
964631	3287	1996-01-07	VYDAJ	VYBER	2400	53448	\N	\N	\N
964632	3287	1997-01-02	VYDAJ	VYBER	3360	41766	\N	\N	\N
964633	3287	1997-01-13	VYDAJ	VYBER	720	14618	\N	\N	\N
964634	3287	1997-01-05	VYDAJ	VYBER	600	41166	\N	\N	\N
964635	3287	1997-01-11	VYDAJ	VYBER	960	22306	\N	\N	\N
964636	3287	1997-01-18	VYDAJ	VYBER	840	35714	\N	\N	\N
964637	3287	1997-01-30	VYDAJ	VYBER	840	29474	\N	\N	\N
964638	3287	1998-01-22	VYDAJ	VYBER	3000	28903	\N	\N	\N
964639	3287	1998-01-09	VYDAJ	VYBER	3240	21935	\N	\N	\N
964640	3287	1998-01-05	VYDAJ	VYBER	3000	27815	\N	\N	\N
964641	3287	1998-01-19	VYDAJ	VYBER	2760	31903	\N	\N	\N
964642	3287	1998-01-06	VYDAJ	VYBER	2640	25175	\N	\N	\N
964643	3287	1998-01-02	VYDAJ	VYBER	3000	30815	\N	\N	\N
964648	3287	1994-07-31	VYDAJ	VYBER	3120	36700	\N	\N	\N
964649	3287	1994-10-24	VYDAJ	VYBER	840	39566	\N	\N	\N
964650	3287	1994-01-22	VYDAJ	VYBER	840	56762	\N	\N	\N
964651	3287	1995-09-23	VYDAJ	VYBER	840	32950	\N	\N	\N
964652	3287	1995-04-11	VYDAJ	VYBER	3720	27745	\N	\N	\N
964653	3287	1995-03-11	VYDAJ	VYBER	5760	24381	\N	\N	\N
964654	3287	1995-10-30	VYDAJ	VYBER	4560	29579	\N	\N	\N
964655	3287	1995-04-14	VYDAJ	VYBER	5520	37193	\N	\N	\N
964656	3287	1996-08-23	VYDAJ	VYBER	4680	39066	\N	\N	\N
964657	3287	1996-03-20	VYDAJ	VYBER	1800	45378	\N	\N	\N
964658	3287	1996-04-15	VYDAJ	VYBER	2040	44681	\N	\N	\N
964659	3287	1996-06-01	VYDAJ	VYBER	3240	42949	\N	\N	\N
964660	3287	1996-06-27	VYDAJ	VYBER	5040	36005	\N	\N	\N
964661	3287	1997-01-19	VYDAJ	VYBER	5400	30314	\N	\N	\N
964662	3287	1997-10-17	VYDAJ	VYBER	5640	42275	\N	\N	\N
964663	3287	1997-08-26	VYDAJ	VYBER	2520	41653	\N	\N	\N
964664	3287	1997-12-04	VYDAJ	VYBER	960	29931	\N	\N	\N
964666	3287	1997-11-05	VYDAJ	VYBER	4560	28181	\N	\N	\N
964667	3287	1997-04-18	VYDAJ	VYBER	3600	37537	\N	\N	\N
964668	3287	1997-06-28	VYDAJ	VYBER	4440	38757	\N	\N	\N
964669	3287	1998-05-27	VYDAJ	VYBER	3720	37446	\N	\N	\N
964670	3287	1998-06-26	VYDAJ	VYBER	1800	40263	\N	\N	\N
964671	3287	1998-12-14	VYDAJ	VYBER	1680	57386	\N	\N	\N
964672	3287	1998-03-27	VYDAJ	VYBER	4200	35357	\N	\N	\N
964673	3287	1998-11-26	VYDAJ	VYBER	5880	33018	\N	\N	\N
964674	3287	1998-07-20	VYDAJ	VYBER	960	36805	\N	\N	\N
964687	3287	1993-12-31	VYDAJ	VYBER	15	51874	SLUZBY	\N	\N
964688	3287	1994-01-31	VYDAJ	VYBER	15	30148	SLUZBY	\N	\N
964689	3287	1994-02-28	VYDAJ	VYBER	15	36350	SLUZBY	\N	\N
964690	3287	1994-03-31	VYDAJ	VYBER	15	37273	SLUZBY	\N	\N
964691	3287	1994-04-30	VYDAJ	VYBER	15	39101	SLUZBY	\N	\N
964692	3287	1994-05-31	VYDAJ	VYBER	15	40034	SLUZBY	\N	\N
964693	3287	1994-06-30	VYDAJ	VYBER	15	42167	SLUZBY	\N	\N
964694	3287	1994-07-31	VYDAJ	VYBER	15	36686	SLUZBY	\N	\N
964695	3287	1994-08-31	VYDAJ	VYBER	15	40109	SLUZBY	\N	\N
964696	3287	1994-09-30	VYDAJ	VYBER	15	39138	SLUZBY	\N	\N
964697	3287	1994-10-31	VYDAJ	VYBER	15	39726	SLUZBY	\N	\N
964698	3287	1994-11-30	VYDAJ	VYBER	15	39352	SLUZBY	\N	\N
964699	3287	1994-12-31	VYDAJ	VYBER	15	38391	SLUZBY	\N	\N
964700	3287	1995-01-31	VYDAJ	VYBER	15	24870	SLUZBY	\N	\N
964701	3287	1995-02-28	VYDAJ	VYBER	15	30141	SLUZBY	\N	\N
964702	3287	1995-03-31	VYDAJ	VYBER	15	31465	SLUZBY	\N	\N
964703	3287	1995-04-30	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
964704	3287	1995-05-31	VYDAJ	VYBER	15	29084	SLUZBY	\N	\N
964705	3287	1995-06-30	VYDAJ	VYBER	15	18993	SLUZBY	\N	\N
964706	3287	1995-07-31	VYDAJ	VYBER	15	26445	SLUZBY	\N	\N
964707	3287	1995-08-31	VYDAJ	VYBER	15	31922	SLUZBY	\N	\N
964708	3287	1995-09-30	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
964709	3287	1995-10-31	VYDAJ	VYBER	15	29703	SLUZBY	\N	\N
964710	3287	1995-11-30	VYDAJ	VYBER	15	43510	SLUZBY	\N	\N
964711	3287	1995-12-31	VYDAJ	VYBER	15	58728	SLUZBY	\N	\N
964712	3287	1996-01-31	VYDAJ	VYBER	15	40874	SLUZBY	\N	\N
964713	3287	1996-02-29	VYDAJ	VYBER	15	47510	SLUZBY	\N	\N
964714	3287	1996-03-31	VYDAJ	VYBER	15	45553	SLUZBY	\N	\N
964715	3287	1996-04-30	VYDAJ	VYBER	15	44850	SLUZBY	\N	\N
964716	3287	1996-05-31	VYDAJ	VYBER	15	46189	SLUZBY	\N	\N
964717	3287	1996-06-30	VYDAJ	VYBER	15	36163	SLUZBY	\N	\N
964718	3287	1996-07-31	VYDAJ	VYBER	15	42578	SLUZBY	\N	\N
964719	3287	1996-08-31	VYDAJ	VYBER	15	39222	SLUZBY	\N	\N
964720	3287	1996-09-30	VYDAJ	VYBER	15	40637	SLUZBY	\N	\N
964721	3287	1996-10-31	VYDAJ	VYBER	15	40153	SLUZBY	\N	\N
964722	3287	1996-11-30	VYDAJ	VYBER	15	38966	SLUZBY	\N	\N
964723	3287	1996-12-31	VYDAJ	VYBER	15	45126	SLUZBY	\N	\N
964724	3287	1997-01-31	VYDAJ	VYBER	15	29588	SLUZBY	\N	\N
964725	3287	1997-02-28	VYDAJ	VYBER	15	35072	SLUZBY	\N	\N
964726	3287	1997-03-31	VYDAJ	VYBER	15	36469	SLUZBY	\N	\N
964727	3287	1997-04-30	VYDAJ	VYBER	15	37674	SLUZBY	\N	\N
964728	3287	1997-05-31	VYDAJ	VYBER	15	38581	SLUZBY	\N	\N
964729	3287	1997-06-30	VYDAJ	VYBER	15	38882	SLUZBY	\N	\N
964730	3287	1997-07-31	VYDAJ	VYBER	15	44005	SLUZBY	\N	\N
964731	3287	1997-08-31	VYDAJ	VYBER	15	41814	SLUZBY	\N	\N
964732	3287	1997-09-30	VYDAJ	VYBER	15	46647	SLUZBY	\N	\N
964733	3287	1997-10-31	VYDAJ	VYBER	15	42441	SLUZBY	\N	\N
964734	3287	1997-11-30	VYDAJ	VYBER	15	43291	SLUZBY	\N	\N
964735	3287	1997-12-31	VYDAJ	VYBER	15	53315	SLUZBY	\N	\N
964736	3287	1998-01-31	VYDAJ	VYBER	15	23607	SLUZBY	\N	\N
964737	3287	1998-02-28	VYDAJ	VYBER	15	38689	SLUZBY	\N	\N
964738	3287	1998-03-31	VYDAJ	VYBER	15	35496	SLUZBY	\N	\N
964739	3287	1998-04-30	VYDAJ	VYBER	15	38398	SLUZBY	\N	\N
964740	3287	1998-05-31	VYDAJ	VYBER	15	37587	SLUZBY	\N	\N
964741	3287	1998-06-30	VYDAJ	VYBER	15	40397	SLUZBY	\N	\N
964742	3287	1998-07-31	VYDAJ	VYBER	15	19811	SLUZBY	\N	\N
964743	3287	1998-08-31	VYDAJ	VYBER	15	16672	SLUZBY	\N	\N
964744	3287	1998-09-30	VYDAJ	VYBER	15	31725	SLUZBY	\N	\N
964745	3287	1998-10-31	VYDAJ	VYBER	15	23930	SLUZBY	\N	\N
964746	3287	1998-11-30	VYDAJ	VYBER	15	33130	SLUZBY	\N	\N
964747	3287	1993-08-25	VYDAJ	VYBER	1700	21136	\N	\N	\N
964748	3287	1993-09-24	VYDAJ	VYBER	7100	35992	\N	\N	\N
964749	3287	1993-10-24	VYDAJ	VYBER	19000	39030	\N	\N	\N
964750	3287	1993-11-23	VYDAJ	VYBER	16000	45120	\N	\N	\N
964751	3287	1993-12-23	VYDAJ	VYBER	26500	51693	\N	\N	\N
964752	3287	1994-01-22	VYDAJ	VYBER	18200	38562	\N	\N	\N
964753	3287	1994-02-21	VYDAJ	VYBER	8900	36216	\N	\N	\N
964754	3287	1994-03-23	VYDAJ	VYBER	14200	37118	\N	\N	\N
964755	3287	1994-04-22	VYDAJ	VYBER	13300	38941	\N	\N	\N
964756	3287	1994-05-22	VYDAJ	VYBER	14200	39869	\N	\N	\N
964757	3287	1994-06-21	VYDAJ	VYBER	16300	41990	\N	\N	\N
964758	3287	1994-07-21	VYDAJ	VYBER	17500	39635	\N	\N	\N
964759	3287	1994-08-20	VYDAJ	VYBER	11700	39954	\N	\N	\N
964760	3287	1994-09-19	VYDAJ	VYBER	16100	38977	\N	\N	\N
964761	3287	1994-10-19	VYDAJ	VYBER	13700	40406	\N	\N	\N
964762	3287	1994-11-18	VYDAJ	VYBER	15500	39194	\N	\N	\N
964763	3287	1994-12-18	VYDAJ	VYBER	23700	41588	\N	\N	\N
964764	3287	1995-01-17	VYDAJ	VYBER	12600	28759	\N	\N	\N
964765	3287	1995-02-16	VYDAJ	VYBER	9800	30038	\N	\N	\N
964766	3287	1995-03-18	VYDAJ	VYBER	8000	31349	\N	\N	\N
964767	3287	1995-04-17	VYDAJ	VYBER	9000	28193	\N	\N	\N
964768	3287	1995-05-17	VYDAJ	VYBER	14300	28974	\N	\N	\N
964769	3287	1995-06-16	VYDAJ	VYBER	19500	35520	\N	\N	\N
964770	3287	1995-07-16	VYDAJ	VYBER	7600	26361	\N	\N	\N
964771	3287	1995-08-15	VYDAJ	VYBER	9600	31813	\N	\N	\N
964772	3287	1995-09-14	VYDAJ	VYBER	13100	33790	\N	\N	\N
964773	3287	1995-10-14	VYDAJ	VYBER	13900	34139	\N	\N	\N
964774	3287	1995-11-13	VYDAJ	VYBER	1300	21435	\N	\N	\N
964775	3287	1995-12-13	VYDAJ	VYBER	9800	26742	\N	\N	\N
964776	3287	1996-01-12	VYDAJ	VYBER	15400	32448	\N	\N	\N
964777	3287	1996-02-11	VYDAJ	VYBER	8500	32374	\N	\N	\N
964778	3287	1996-03-12	VYDAJ	VYBER	15300	32210	\N	\N	\N
964779	3287	1996-04-11	VYDAJ	VYBER	13800	31753	\N	\N	\N
964780	3287	1996-05-11	VYDAJ	VYBER	13800	31050	\N	\N	\N
964781	3287	1996-06-10	VYDAJ	VYBER	11200	31749	\N	\N	\N
964782	3287	1996-07-10	VYDAJ	VYBER	8700	27463	\N	\N	\N
964783	3287	1996-08-09	VYDAJ	VYBER	13800	28778	\N	\N	\N
964784	3287	1996-09-08	VYDAJ	VYBER	13700	25522	\N	\N	\N
964785	3287	1996-10-08	VYDAJ	VYBER	15600	25037	\N	\N	\N
964786	3287	1996-11-07	VYDAJ	VYBER	16300	23853	\N	\N	\N
964787	3287	1996-12-07	VYDAJ	VYBER	15300	23666	\N	\N	\N
964788	3287	1997-01-06	VYDAJ	VYBER	17900	23266	\N	\N	\N
964789	3287	1997-02-05	VYDAJ	VYBER	9600	19988	\N	\N	\N
964790	3287	1997-03-07	VYDAJ	VYBER	13700	21372	\N	\N	\N
964791	3287	1997-04-06	VYDAJ	VYBER	10300	26169	\N	\N	\N
964792	3287	1997-05-06	VYDAJ	VYBER	14200	23474	\N	\N	\N
964793	3287	1997-06-05	VYDAJ	VYBER	5800	17261	\N	\N	\N
964794	3287	1997-07-05	VYDAJ	VYBER	10000	28882	\N	\N	\N
964795	3287	1997-08-04	VYDAJ	VYBER	14800	29205	\N	\N	\N
964796	3287	1997-09-03	VYDAJ	VYBER	10300	31514	\N	\N	\N
964797	3287	1997-10-03	VYDAJ	VYBER	13700	32947	\N	\N	\N
964798	3287	1997-11-02	VYDAJ	VYBER	9700	32741	\N	\N	\N
964799	3287	1997-12-02	VYDAJ	VYBER	12400	30891	\N	\N	\N
964800	3287	1998-01-01	VYDAJ	VYBER	19500	33815	\N	\N	\N
964801	3287	1998-01-31	VYDAJ	VYBER	5400	23622	\N	\N	\N
964802	3287	1998-03-02	VYDAJ	VYBER	14100	24589	\N	\N	\N
964803	3287	1998-04-01	VYDAJ	VYBER	12200	23296	\N	\N	\N
964804	3287	1998-05-01	VYDAJ	VYBER	12200	26198	\N	\N	\N
964805	3287	1998-05-31	VYDAJ	VYBER	13300	24287	\N	\N	\N
964806	3287	1998-06-30	VYDAJ	VYBER	17600	22797	\N	\N	\N
964807	3287	1998-07-30	VYDAJ	VYBER	17100	19705	\N	\N	\N
964808	3287	1998-08-29	VYDAJ	VYBER	18200	16579	\N	\N	\N
964809	3287	1998-10-28	VYDAJ	VYBER	22900	23793	\N	\N	\N
964875	3288	1994-09-15	PRIJEM	VKLAD	700	700	\N	\N	\N
964885	3288	1994-10-12	PRIJEM	PREVOD Z UCTU	5476	6176	DUCHOD	YZ	76315682
964886	3288	1994-11-12	PRIJEM	PREVOD Z UCTU	5476	11652	DUCHOD	YZ	76315682
964887	3288	1994-12-12	PRIJEM	PREVOD Z UCTU	5476	17128	DUCHOD	YZ	76315682
964888	3288	1995-01-12	PRIJEM	PREVOD Z UCTU	5476	22604	DUCHOD	YZ	76315682
964889	3288	1995-02-12	PRIJEM	PREVOD Z UCTU	5476	28080	DUCHOD	YZ	76315682
964890	3288	1995-03-12	PRIJEM	PREVOD Z UCTU	5476	29638	DUCHOD	YZ	76315682
964891	3288	1995-04-12	PRIJEM	PREVOD Z UCTU	5476	32547	DUCHOD	YZ	76315682
964892	3288	1995-05-12	PRIJEM	PREVOD Z UCTU	5476	30355	DUCHOD	YZ	76315682
964893	3288	1995-06-12	PRIJEM	PREVOD Z UCTU	5476	24371	DUCHOD	YZ	76315682
964894	3288	1995-07-12	PRIJEM	PREVOD Z UCTU	5476	27459	DUCHOD	YZ	76315682
964895	3288	1995-08-12	PRIJEM	PREVOD Z UCTU	5476	28159	DUCHOD	YZ	76315682
964896	3288	1995-09-12	PRIJEM	PREVOD Z UCTU	5476	30565	DUCHOD	YZ	76315682
964897	3288	1995-10-12	PRIJEM	PREVOD Z UCTU	5476	28236	DUCHOD	YZ	76315682
964898	3288	1995-11-12	PRIJEM	PREVOD Z UCTU	5476	26745	DUCHOD	YZ	76315682
964899	3288	1995-12-12	PRIJEM	PREVOD Z UCTU	5476	27406	DUCHOD	YZ	76315682
964900	3288	1996-01-12	PRIJEM	PREVOD Z UCTU	5476	24956	DUCHOD	YZ	76315682
964901	3288	1996-02-12	PRIJEM	PREVOD Z UCTU	5476	20279	DUCHOD	YZ	76315682
964902	3288	1996-03-12	PRIJEM	PREVOD Z UCTU	5476	23351	DUCHOD	YZ	76315682
964903	3288	1996-04-12	PRIJEM	PREVOD Z UCTU	5476	26434	DUCHOD	YZ	76315682
964904	3288	1996-05-12	PRIJEM	PREVOD Z UCTU	5476	27627	DUCHOD	YZ	76315682
964905	3288	1996-06-12	PRIJEM	PREVOD Z UCTU	5476	26964	DUCHOD	YZ	76315682
964906	3288	1996-07-12	PRIJEM	PREVOD Z UCTU	5476	29962	DUCHOD	YZ	76315682
964907	3288	1996-08-12	PRIJEM	PREVOD Z UCTU	5476	31072	DUCHOD	YZ	76315682
964908	3288	1996-09-12	PRIJEM	PREVOD Z UCTU	5476	30890	DUCHOD	YZ	76315682
964909	3288	1996-10-12	PRIJEM	PREVOD Z UCTU	5476	34008	DUCHOD	YZ	76315682
964910	3288	1996-11-12	PRIJEM	PREVOD Z UCTU	5476	33135	DUCHOD	YZ	76315682
964911	3288	1996-12-12	PRIJEM	PREVOD Z UCTU	5476	30414	DUCHOD	YZ	76315682
964912	3288	1997-01-12	PRIJEM	PREVOD Z UCTU	5476	26333	DUCHOD	YZ	76315682
964913	3288	1997-02-12	PRIJEM	PREVOD Z UCTU	5476	24383	DUCHOD	YZ	76315682
964914	3288	1997-03-12	PRIJEM	PREVOD Z UCTU	5476	22309	DUCHOD	YZ	76315682
964915	3288	1997-04-12	PRIJEM	PREVOD Z UCTU	5476	20645	DUCHOD	YZ	76315682
964916	3288	1997-05-12	PRIJEM	PREVOD Z UCTU	5476	18395	DUCHOD	YZ	76315682
964917	3288	1997-06-12	PRIJEM	PREVOD Z UCTU	5476	18319	DUCHOD	YZ	76315682
964918	3288	1997-07-12	PRIJEM	PREVOD Z UCTU	5476	20500	DUCHOD	YZ	76315682
964919	3288	1997-08-12	PRIJEM	PREVOD Z UCTU	5476	18970	DUCHOD	YZ	76315682
964920	3288	1997-09-12	PRIJEM	PREVOD Z UCTU	5476	22034	DUCHOD	YZ	76315682
964921	3288	1997-10-12	PRIJEM	PREVOD Z UCTU	5476	18809	DUCHOD	YZ	76315682
964922	3288	1997-11-12	PRIJEM	PREVOD Z UCTU	5476	18671	DUCHOD	YZ	76315682
964923	3288	1997-12-12	PRIJEM	PREVOD Z UCTU	5476	16332	DUCHOD	YZ	76315682
964924	3288	1998-01-12	PRIJEM	PREVOD Z UCTU	5476	15983	DUCHOD	YZ	76315682
964925	3288	1998-02-12	PRIJEM	PREVOD Z UCTU	5476	17250	DUCHOD	YZ	76315682
964926	3288	1998-03-12	PRIJEM	PREVOD Z UCTU	5476	17405	DUCHOD	YZ	76315682
964927	3288	1998-04-12	PRIJEM	PREVOD Z UCTU	5476	18762	DUCHOD	YZ	76315682
964928	3288	1998-05-12	PRIJEM	PREVOD Z UCTU	5476	21724	DUCHOD	YZ	76315682
964929	3288	1998-06-12	PRIJEM	PREVOD Z UCTU	5476	19996	DUCHOD	YZ	76315682
964930	3288	1998-07-12	PRIJEM	PREVOD Z UCTU	5476	16259	DUCHOD	YZ	76315682
964931	3288	1998-08-12	PRIJEM	PREVOD Z UCTU	5476	18912	DUCHOD	YZ	76315682
964932	3288	1998-09-12	PRIJEM	PREVOD Z UCTU	5476	20374	DUCHOD	YZ	76315682
964933	3288	1998-10-12	PRIJEM	PREVOD Z UCTU	5476	17597	DUCHOD	YZ	76315682
964934	3288	1998-11-12	PRIJEM	PREVOD Z UCTU	5476	17671	DUCHOD	YZ	76315682
964935	3288	1998-12-12	PRIJEM	PREVOD Z UCTU	5476	18163	DUCHOD	YZ	76315682
964950	3288	1995-03-11	VYDAJ	PREVOD NA UCET	2471	24162	SIPO	EF	29007971
964951	3288	1995-04-11	VYDAJ	PREVOD NA UCET	2471	27071	SIPO	EF	29007971
964952	3288	1995-05-11	VYDAJ	PREVOD NA UCET	2471	24879	SIPO	EF	29007971
964953	3288	1995-06-11	VYDAJ	PREVOD NA UCET	2471	18895	SIPO	EF	29007971
964954	3288	1995-07-11	VYDAJ	PREVOD NA UCET	2471	21983	SIPO	EF	29007971
964955	3288	1995-08-11	VYDAJ	PREVOD NA UCET	2471	24583	SIPO	EF	29007971
964956	3288	1995-09-11	VYDAJ	PREVOD NA UCET	2471	25089	SIPO	EF	29007971
964957	3288	1995-10-11	VYDAJ	PREVOD NA UCET	2471	22760	SIPO	EF	29007971
964958	3288	1995-11-11	VYDAJ	PREVOD NA UCET	2471	21269	SIPO	EF	29007971
964959	3288	1995-12-11	VYDAJ	PREVOD NA UCET	2471	21930	SIPO	EF	29007971
964960	3288	1996-01-11	VYDAJ	PREVOD NA UCET	2471	19480	SIPO	EF	29007971
964961	3288	1996-02-11	VYDAJ	PREVOD NA UCET	2471	14803	SIPO	EF	29007971
964962	3288	1996-03-11	VYDAJ	PREVOD NA UCET	2471	17875	SIPO	EF	29007971
964963	3288	1996-04-11	VYDAJ	PREVOD NA UCET	2471	20958	SIPO	EF	29007971
964964	3288	1996-05-11	VYDAJ	PREVOD NA UCET	2471	22151	SIPO	EF	29007971
964965	3288	1996-06-11	VYDAJ	PREVOD NA UCET	2471	21488	SIPO	EF	29007971
964966	3288	1996-07-11	VYDAJ	PREVOD NA UCET	2471	24486	SIPO	EF	29007971
964967	3288	1996-08-11	VYDAJ	PREVOD NA UCET	2471	25596	SIPO	EF	29007971
964968	3288	1996-09-11	VYDAJ	PREVOD NA UCET	2471	25414	SIPO	EF	29007971
964969	3288	1996-10-11	VYDAJ	PREVOD NA UCET	2471	28532	SIPO	EF	29007971
964970	3288	1996-11-11	VYDAJ	PREVOD NA UCET	2471	27659	SIPO	EF	29007971
964971	3288	1996-12-11	VYDAJ	PREVOD NA UCET	2471	24938	SIPO	EF	29007971
964972	3288	1997-01-11	VYDAJ	PREVOD NA UCET	2471	20857	SIPO	EF	29007971
964973	3288	1997-02-11	VYDAJ	PREVOD NA UCET	2471	18907	SIPO	EF	29007971
964974	3288	1997-03-11	VYDAJ	PREVOD NA UCET	2471	16833	SIPO	EF	29007971
964975	3288	1997-04-11	VYDAJ	PREVOD NA UCET	2471	15169	SIPO	EF	29007971
964976	3288	1997-05-11	VYDAJ	PREVOD NA UCET	2471	12919	SIPO	EF	29007971
964977	3288	1997-06-11	VYDAJ	PREVOD NA UCET	2471	12843	SIPO	EF	29007971
964978	3288	1997-07-11	VYDAJ	PREVOD NA UCET	2471	15024	SIPO	EF	29007971
964979	3288	1997-08-11	VYDAJ	PREVOD NA UCET	2471	13494	SIPO	EF	29007971
964980	3288	1997-09-11	VYDAJ	PREVOD NA UCET	2471	16558	SIPO	EF	29007971
964981	3288	1997-10-11	VYDAJ	PREVOD NA UCET	2471	13333	SIPO	EF	29007971
964982	3288	1997-11-11	VYDAJ	PREVOD NA UCET	2471	13195	SIPO	EF	29007971
964983	3288	1997-12-11	VYDAJ	PREVOD NA UCET	2471	10856	SIPO	EF	29007971
964984	3288	1998-01-11	VYDAJ	PREVOD NA UCET	2471	10507	SIPO	EF	29007971
964985	3288	1998-02-11	VYDAJ	PREVOD NA UCET	2471	11774	SIPO	EF	29007971
964986	3288	1998-03-11	VYDAJ	PREVOD NA UCET	2471	11929	SIPO	EF	29007971
964987	3288	1998-04-11	VYDAJ	PREVOD NA UCET	2471	13286	SIPO	EF	29007971
964988	3288	1998-05-11	VYDAJ	PREVOD NA UCET	2471	16248	SIPO	EF	29007971
964989	3288	1998-06-11	VYDAJ	PREVOD NA UCET	2471	14520	SIPO	EF	29007971
964990	3288	1998-07-11	VYDAJ	PREVOD NA UCET	2471	10783	SIPO	EF	29007971
964991	3288	1998-08-11	VYDAJ	PREVOD NA UCET	2471	13436	SIPO	EF	29007971
964992	3288	1998-09-11	VYDAJ	PREVOD NA UCET	2471	14898	SIPO	EF	29007971
964993	3288	1998-10-11	VYDAJ	PREVOD NA UCET	2471	12121	SIPO	EF	29007971
964994	3288	1998-11-11	VYDAJ	PREVOD NA UCET	2471	12195	SIPO	EF	29007971
964995	3288	1998-12-11	VYDAJ	PREVOD NA UCET	2471	12687	SIPO	EF	29007971
965003	3288	1996-01-05	VYDAJ	VYBER	4750	22351	\N	\N	\N
965004	3288	1997-01-03	VYDAJ	VYBER	4000	24528	\N	\N	\N
965007	3288	1995-12-27	VYDAJ	VYBER	400	27006	\N	\N	\N
965008	3288	1996-12-10	VYDAJ	VYBER	350	27409	\N	\N	\N
965023	3288	1996-01-20	VYDAJ	VYBER	400	20476	\N	\N	\N
965024	3288	1996-01-22	VYDAJ	VYBER	1920	18556	\N	\N	\N
965025	3288	1996-01-17	VYDAJ	VYBER	2080	20876	\N	\N	\N
965026	3288	1996-01-13	VYDAJ	VYBER	720	24236	\N	\N	\N
965027	3288	1996-01-09	VYDAJ	VYBER	400	21951	\N	\N	\N
965028	3288	1996-01-15	VYDAJ	VYBER	1280	22956	\N	\N	\N
965029	3288	1997-01-18	VYDAJ	VYBER	1200	23613	\N	\N	\N
965030	3288	1997-01-07	VYDAJ	VYBER	1200	23328	\N	\N	\N
965031	3288	1997-01-26	VYDAJ	VYBER	1680	21293	\N	\N	\N
965032	3288	1997-01-18	VYDAJ	VYBER	400	24813	\N	\N	\N
965033	3288	1997-01-14	VYDAJ	VYBER	1120	25213	\N	\N	\N
965034	3288	1997-01-23	VYDAJ	VYBER	640	22973	\N	\N	\N
965035	3288	1998-01-14	VYDAJ	VYBER	1680	14303	\N	\N	\N
965047	3288	1995-05-29	VYDAJ	VYBER	3280	21275	\N	\N	\N
965048	3288	1995-11-20	VYDAJ	VYBER	1840	24905	\N	\N	\N
965049	3288	1995-09-16	VYDAJ	VYBER	1040	29525	\N	\N	\N
965051	3288	1996-04-21	VYDAJ	VYBER	1600	24834	\N	\N	\N
965052	3288	1996-05-23	VYDAJ	VYBER	3760	23867	\N	\N	\N
965053	3288	1996-02-07	VYDAJ	VYBER	1360	17274	\N	\N	\N
965054	3288	1997-06-14	VYDAJ	VYBER	880	17439	\N	\N	\N
965055	3288	1997-03-13	VYDAJ	VYBER	2240	20069	\N	\N	\N
965056	3288	1997-03-09	VYDAJ	VYBER	2240	19304	\N	\N	\N
965057	3288	1997-06-04	VYDAJ	VYBER	3040	15314	\N	\N	\N
965058	3288	1997-04-21	VYDAJ	VYBER	3120	17525	\N	\N	\N
965059	3288	1997-02-27	VYDAJ	VYBER	1920	22463	\N	\N	\N
965060	3288	1998-08-08	VYDAJ	VYBER	400	15907	\N	\N	\N
965061	3288	1998-09-19	VYDAJ	VYBER	1040	19334	\N	\N	\N
965062	3288	1998-10-24	VYDAJ	VYBER	2880	14717	\N	\N	\N
965065	3288	1998-11-14	VYDAJ	VYBER	2560	15111	\N	\N	\N
965080	3288	1995-02-28	VYDAJ	VYBER	15	26633	SLUZBY	\N	\N
965081	3288	1995-03-31	VYDAJ	VYBER	15	29542	SLUZBY	\N	\N
965082	3288	1995-04-30	VYDAJ	VYBER	15	27350	SLUZBY	\N	\N
965083	3288	1995-05-31	VYDAJ	VYBER	15	21366	SLUZBY	\N	\N
965084	3288	1995-06-30	VYDAJ	VYBER	15	24454	SLUZBY	\N	\N
965085	3288	1995-07-31	VYDAJ	VYBER	15	27054	SLUZBY	\N	\N
965086	3288	1995-08-31	VYDAJ	VYBER	15	28260	SLUZBY	\N	\N
965087	3288	1995-09-30	VYDAJ	VYBER	15	29631	SLUZBY	\N	\N
965088	3288	1995-10-31	VYDAJ	VYBER	15	28340	SLUZBY	\N	\N
965089	3288	1995-11-30	VYDAJ	VYBER	15	25001	SLUZBY	\N	\N
965090	3288	1995-12-31	VYDAJ	VYBER	15	27101	SLUZBY	\N	\N
965091	3288	1996-01-31	VYDAJ	VYBER	15	18634	SLUZBY	\N	\N
965092	3288	1996-02-29	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
965093	3288	1996-03-31	VYDAJ	VYBER	15	23429	SLUZBY	\N	\N
965094	3288	1996-04-30	VYDAJ	VYBER	15	24922	SLUZBY	\N	\N
965095	3288	1996-05-31	VYDAJ	VYBER	15	23959	SLUZBY	\N	\N
965096	3288	1996-06-30	VYDAJ	VYBER	15	27057	SLUZBY	\N	\N
965097	3288	1996-07-31	VYDAJ	VYBER	15	30067	SLUZBY	\N	\N
965098	3288	1996-08-31	VYDAJ	VYBER	15	31185	SLUZBY	\N	\N
965099	3288	1996-09-30	VYDAJ	VYBER	15	31003	SLUZBY	\N	\N
965100	3288	1996-10-31	VYDAJ	VYBER	15	34130	SLUZBY	\N	\N
965101	3288	1996-11-30	VYDAJ	VYBER	15	33259	SLUZBY	\N	\N
965102	3288	1996-12-31	VYDAJ	VYBER	15	30528	SLUZBY	\N	\N
965103	3288	1997-01-31	VYDAJ	VYBER	15	21378	SLUZBY	\N	\N
965104	3288	1997-02-28	VYDAJ	VYBER	15	22544	SLUZBY	\N	\N
965105	3288	1997-03-31	VYDAJ	VYBER	15	20140	SLUZBY	\N	\N
965106	3288	1997-04-30	VYDAJ	VYBER	15	17590	SLUZBY	\N	\N
965107	3288	1997-05-31	VYDAJ	VYBER	15	18454	SLUZBY	\N	\N
965108	3288	1997-06-30	VYDAJ	VYBER	15	17495	SLUZBY	\N	\N
965109	3288	1997-07-31	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
965110	3288	1997-08-31	VYDAJ	VYBER	15	19029	SLUZBY	\N	\N
965111	3288	1997-09-30	VYDAJ	VYBER	15	15804	SLUZBY	\N	\N
965112	3288	1997-10-31	VYDAJ	VYBER	15	15666	SLUZBY	\N	\N
965113	3288	1997-11-30	VYDAJ	VYBER	15	13327	SLUZBY	\N	\N
965114	3288	1997-12-31	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
965115	3288	1998-01-31	VYDAJ	VYBER	15	14245	SLUZBY	\N	\N
965116	3288	1998-02-28	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
965117	3288	1998-03-31	VYDAJ	VYBER	15	15757	SLUZBY	\N	\N
965118	3288	1998-04-30	VYDAJ	VYBER	15	18719	SLUZBY	\N	\N
965119	3288	1998-05-31	VYDAJ	VYBER	15	16991	SLUZBY	\N	\N
965120	3288	1998-06-30	VYDAJ	VYBER	15	13254	SLUZBY	\N	\N
965121	3288	1998-07-31	VYDAJ	VYBER	15	16307	SLUZBY	\N	\N
965122	3288	1998-08-31	VYDAJ	VYBER	15	17369	SLUZBY	\N	\N
965123	3288	1998-09-30	VYDAJ	VYBER	15	14592	SLUZBY	\N	\N
965124	3288	1998-10-31	VYDAJ	VYBER	15	14666	SLUZBY	\N	\N
965125	3288	1998-11-30	VYDAJ	VYBER	15	15158	SLUZBY	\N	\N
965126	3288	1995-02-12	VYDAJ	VYBER	1500	26580	\N	\N	\N
965127	3288	1995-03-14	VYDAJ	VYBER	200	29438	\N	\N	\N
965128	3288	1995-04-13	VYDAJ	VYBER	5300	27247	\N	\N	\N
965129	3288	1995-05-13	VYDAJ	VYBER	5800	24555	\N	\N	\N
965130	3288	1995-07-12	VYDAJ	VYBER	500	26959	\N	\N	\N
965131	3288	1995-08-11	VYDAJ	VYBER	1900	22683	\N	\N	\N
965132	3288	1995-09-10	VYDAJ	VYBER	700	27560	\N	\N	\N
965133	3288	1995-10-10	VYDAJ	VYBER	4400	25231	\N	\N	\N
965134	3288	1995-11-09	VYDAJ	VYBER	4600	23740	\N	\N	\N
965135	3288	1995-12-09	VYDAJ	VYBER	600	24401	\N	\N	\N
965136	3288	1996-05-07	VYDAJ	VYBER	300	24622	\N	\N	\N
965137	3288	1996-07-06	VYDAJ	VYBER	100	26957	\N	\N	\N
965138	3288	1996-08-05	VYDAJ	VYBER	2000	28067	\N	\N	\N
965139	3288	1996-09-04	VYDAJ	VYBER	3300	27885	\N	\N	\N
965140	3288	1996-11-03	VYDAJ	VYBER	4000	30130	\N	\N	\N
965141	3288	1996-12-03	VYDAJ	VYBER	5500	27759	\N	\N	\N
965142	3288	1997-01-02	VYDAJ	VYBER	2000	28528	\N	\N	\N
965143	3288	1997-03-03	VYDAJ	VYBER	1000	21544	\N	\N	\N
965144	3288	1997-04-02	VYDAJ	VYBER	2500	17640	\N	\N	\N
965145	3288	1997-05-02	VYDAJ	VYBER	2200	15390	\N	\N	\N
965146	3288	1997-06-01	VYDAJ	VYBER	100	18354	\N	\N	\N
965147	3288	1997-07-31	VYDAJ	VYBER	4600	15979	\N	\N	\N
965148	3288	1997-09-29	VYDAJ	VYBER	6300	15734	\N	\N	\N
965149	3288	1997-10-29	VYDAJ	VYBER	3200	15609	\N	\N	\N
965150	3288	1997-11-28	VYDAJ	VYBER	5400	13271	\N	\N	\N
965151	3288	1997-12-28	VYDAJ	VYBER	3400	12932	\N	\N	\N
965152	3288	1998-01-27	VYDAJ	VYBER	100	14203	\N	\N	\N
965153	3288	1998-02-26	VYDAJ	VYBER	2900	14350	\N	\N	\N
965154	3288	1998-03-28	VYDAJ	VYBER	1700	15705	\N	\N	\N
965155	3288	1998-04-27	VYDAJ	VYBER	100	18662	\N	\N	\N
965156	3288	1998-05-27	VYDAJ	VYBER	4800	16924	\N	\N	\N
965157	3288	1998-06-26	VYDAJ	VYBER	6800	13196	\N	\N	\N
965158	3288	1998-08-25	VYDAJ	VYBER	1600	17312	\N	\N	\N
965159	3288	1998-09-24	VYDAJ	VYBER	4800	14534	\N	\N	\N
965160	3288	1998-10-24	VYDAJ	VYBER	100	14617	\N	\N	\N
965208	3289	1994-06-02	PRIJEM	VKLAD	800	800	\N	\N	\N
965214	3289	1994-06-06	PRIJEM	VKLAD	18995	19795	\N	\N	\N
965215	3289	1994-07-06	PRIJEM	VKLAD	12663	33926	\N	\N	\N
965216	3289	1994-08-06	PRIJEM	VKLAD	12663	41421	\N	\N	\N
965217	3289	1994-09-06	PRIJEM	VKLAD	12663	44450	\N	\N	\N
965218	3289	1994-10-06	PRIJEM	VKLAD	12663	46046	\N	\N	\N
965219	3289	1994-11-06	PRIJEM	VKLAD	12663	43192	\N	\N	\N
965220	3289	1994-12-06	PRIJEM	VKLAD	18995	48459	\N	\N	\N
965221	3289	1995-01-06	PRIJEM	VKLAD	12663	45270	\N	\N	\N
965222	3289	1995-02-06	PRIJEM	VKLAD	12663	30434	\N	\N	\N
965223	3289	1995-03-06	PRIJEM	VKLAD	12663	37417	\N	\N	\N
965224	3289	1995-04-06	PRIJEM	VKLAD	12663	36426	\N	\N	\N
965225	3289	1995-05-06	PRIJEM	VKLAD	12663	33479	\N	\N	\N
965226	3289	1995-06-06	PRIJEM	VKLAD	18995	43006	\N	\N	\N
965227	3289	1995-07-06	PRIJEM	VKLAD	12663	43035	\N	\N	\N
965228	3289	1995-08-06	PRIJEM	VKLAD	12663	35897	\N	\N	\N
965229	3289	1995-09-06	PRIJEM	VKLAD	12663	35798	\N	\N	\N
965230	3289	1995-10-06	PRIJEM	VKLAD	12663	38402	\N	\N	\N
965231	3289	1995-11-06	PRIJEM	VKLAD	12663	35617	\N	\N	\N
965232	3289	1995-12-06	PRIJEM	VKLAD	18995	46554	\N	\N	\N
965233	3289	1996-01-06	PRIJEM	VKLAD	12663	43951	\N	\N	\N
965234	3289	1996-02-06	PRIJEM	VKLAD	12663	28652	\N	\N	\N
965235	3289	1996-03-06	PRIJEM	VKLAD	12663	37531	\N	\N	\N
965236	3289	1996-04-06	PRIJEM	VKLAD	12663	42943	\N	\N	\N
965237	3289	1996-05-06	PRIJEM	VKLAD	12663	38853	\N	\N	\N
965238	3289	1996-06-06	PRIJEM	VKLAD	18995	48203	\N	\N	\N
965239	3289	1996-07-06	PRIJEM	VKLAD	12663	41249	\N	\N	\N
965240	3289	1996-08-06	PRIJEM	VKLAD	12663	39585	\N	\N	\N
965241	3289	1996-09-06	PRIJEM	VKLAD	12663	42801	\N	\N	\N
965242	3289	1996-10-06	PRIJEM	VKLAD	12663	36845	\N	\N	\N
965243	3289	1996-11-06	PRIJEM	VKLAD	12663	39053	\N	\N	\N
965244	3289	1996-12-06	PRIJEM	VKLAD	18995	48798	\N	\N	\N
965245	3289	1997-01-06	PRIJEM	VKLAD	12663	41640	\N	\N	\N
965246	3289	1997-02-06	PRIJEM	VKLAD	12663	28261	\N	\N	\N
965247	3289	1997-03-06	PRIJEM	VKLAD	12663	38444	\N	\N	\N
965248	3289	1997-04-06	PRIJEM	VKLAD	12663	39953	\N	\N	\N
965249	3289	1997-05-06	PRIJEM	VKLAD	12663	43470	\N	\N	\N
965250	3289	1997-06-06	PRIJEM	VKLAD	18995	43504	\N	\N	\N
965251	3289	1997-07-06	PRIJEM	VKLAD	12663	47070	\N	\N	\N
965252	3289	1997-08-06	PRIJEM	VKLAD	12663	43485	\N	\N	\N
965253	3289	1997-09-06	PRIJEM	VKLAD	12663	43916	\N	\N	\N
965254	3289	1997-10-06	PRIJEM	VKLAD	12663	46587	\N	\N	\N
965255	3289	1997-11-06	PRIJEM	VKLAD	12663	48929	\N	\N	\N
965256	3289	1997-12-06	PRIJEM	VKLAD	18995	59717	\N	\N	\N
965257	3289	1998-01-06	PRIJEM	VKLAD	12663	52111	\N	\N	\N
965258	3289	1998-02-06	PRIJEM	VKLAD	12663	39787	\N	\N	\N
965259	3289	1998-03-06	PRIJEM	VKLAD	12663	46913	\N	\N	\N
965260	3289	1998-04-06	PRIJEM	VKLAD	12663	51382	\N	\N	\N
965261	3289	1998-05-06	PRIJEM	VKLAD	12663	51137	\N	\N	\N
965262	3289	1998-06-06	PRIJEM	VKLAD	18995	54484	\N	\N	\N
965263	3289	1998-07-06	PRIJEM	VKLAD	12663	57254	\N	\N	\N
965264	3289	1998-08-06	PRIJEM	VKLAD	12663	60840	\N	\N	\N
965265	3289	1998-09-06	PRIJEM	VKLAD	12663	67452	\N	\N	\N
965266	3289	1998-10-06	PRIJEM	VKLAD	12663	70990	\N	\N	\N
965267	3289	1998-11-06	PRIJEM	VKLAD	12663	71021	\N	\N	\N
965268	3289	1998-12-06	PRIJEM	VKLAD	18995	75979	\N	\N	\N
965278	3289	1994-10-09	VYDAJ	PREVOD NA UCET	3419	38786	SIPO	ST	95194470
965279	3289	1994-11-09	VYDAJ	PREVOD NA UCET	3419	35932	SIPO	ST	95194470
965280	3289	1994-12-09	VYDAJ	PREVOD NA UCET	3419	41199	SIPO	ST	95194470
965281	3289	1995-01-09	VYDAJ	PREVOD NA UCET	3419	31890	SIPO	ST	95194470
965282	3289	1995-02-09	VYDAJ	PREVOD NA UCET	3419	23174	SIPO	ST	95194470
965283	3289	1995-03-09	VYDAJ	PREVOD NA UCET	3419	30157	SIPO	ST	95194470
965284	3289	1995-04-09	VYDAJ	PREVOD NA UCET	3419	29166	SIPO	ST	95194470
965285	3289	1995-05-09	VYDAJ	PREVOD NA UCET	3419	26219	SIPO	ST	95194470
965286	3289	1995-06-09	VYDAJ	PREVOD NA UCET	3419	35746	SIPO	ST	95194470
965287	3289	1995-07-09	VYDAJ	PREVOD NA UCET	3419	35775	SIPO	ST	95194470
965288	3289	1995-08-09	VYDAJ	PREVOD NA UCET	3419	28637	SIPO	ST	95194470
965289	3289	1995-09-09	VYDAJ	PREVOD NA UCET	3419	28538	SIPO	ST	95194470
965290	3289	1995-10-09	VYDAJ	PREVOD NA UCET	3419	25262	SIPO	ST	95194470
965291	3289	1995-11-09	VYDAJ	PREVOD NA UCET	3419	28357	SIPO	ST	95194470
965292	3289	1995-12-09	VYDAJ	PREVOD NA UCET	3419	39294	SIPO	ST	95194470
965293	3289	1996-01-09	VYDAJ	PREVOD NA UCET	3419	36691	SIPO	ST	95194470
965294	3289	1996-02-09	VYDAJ	PREVOD NA UCET	3419	21392	SIPO	ST	95194470
965295	3289	1996-03-09	VYDAJ	PREVOD NA UCET	3419	30271	SIPO	ST	95194470
965296	3289	1996-04-09	VYDAJ	PREVOD NA UCET	3419	35683	SIPO	ST	95194470
965297	3289	1996-05-09	VYDAJ	PREVOD NA UCET	3419	31593	SIPO	ST	95194470
965298	3289	1996-06-09	VYDAJ	PREVOD NA UCET	3419	36263	SIPO	ST	95194470
965299	3289	1996-07-09	VYDAJ	PREVOD NA UCET	3419	33989	SIPO	ST	95194470
965300	3289	1996-08-09	VYDAJ	PREVOD NA UCET	3419	32325	SIPO	ST	95194470
965301	3289	1996-09-09	VYDAJ	PREVOD NA UCET	3419	35541	SIPO	ST	95194470
965302	3289	1996-10-09	VYDAJ	PREVOD NA UCET	3419	29585	SIPO	ST	95194470
965303	3289	1996-11-09	VYDAJ	PREVOD NA UCET	3419	31793	SIPO	ST	95194470
965304	3289	1996-12-09	VYDAJ	PREVOD NA UCET	3419	41538	SIPO	ST	95194470
965305	3289	1997-01-09	VYDAJ	PREVOD NA UCET	3419	34380	SIPO	ST	95194470
965306	3289	1997-02-09	VYDAJ	PREVOD NA UCET	3419	21001	SIPO	ST	95194470
965307	3289	1997-03-09	VYDAJ	PREVOD NA UCET	3419	31184	SIPO	ST	95194470
965308	3289	1997-04-09	VYDAJ	PREVOD NA UCET	3419	32693	SIPO	ST	95194470
965309	3289	1997-05-09	VYDAJ	PREVOD NA UCET	3419	36210	SIPO	ST	95194470
965310	3289	1997-06-09	VYDAJ	PREVOD NA UCET	3419	31804	SIPO	ST	95194470
965311	3289	1997-07-09	VYDAJ	PREVOD NA UCET	3419	39810	SIPO	ST	95194470
965312	3289	1997-08-09	VYDAJ	PREVOD NA UCET	3419	36225	SIPO	ST	95194470
965313	3289	1997-09-09	VYDAJ	PREVOD NA UCET	3419	36656	SIPO	ST	95194470
965314	3289	1997-10-09	VYDAJ	PREVOD NA UCET	3419	39327	SIPO	ST	95194470
965315	3289	1997-11-09	VYDAJ	PREVOD NA UCET	3419	41669	SIPO	ST	95194470
965316	3289	1997-12-09	VYDAJ	PREVOD NA UCET	3419	50537	SIPO	ST	95194470
965317	3289	1998-01-09	VYDAJ	PREVOD NA UCET	3419	40411	SIPO	ST	95194470
965318	3289	1998-02-09	VYDAJ	PREVOD NA UCET	3419	32527	SIPO	ST	95194470
965319	3289	1998-03-09	VYDAJ	PREVOD NA UCET	3419	39653	SIPO	ST	95194470
965320	3289	1998-04-09	VYDAJ	PREVOD NA UCET	3419	44122	SIPO	ST	95194470
965321	3289	1998-05-09	VYDAJ	PREVOD NA UCET	3419	43877	SIPO	ST	95194470
965322	3289	1998-06-09	VYDAJ	PREVOD NA UCET	3419	47224	SIPO	ST	95194470
965323	3289	1998-07-09	VYDAJ	PREVOD NA UCET	3419	49994	SIPO	ST	95194470
965324	3289	1998-08-09	VYDAJ	PREVOD NA UCET	3419	53580	SIPO	ST	95194470
965325	3289	1998-09-09	VYDAJ	PREVOD NA UCET	3419	58092	SIPO	ST	95194470
965326	3289	1998-10-09	VYDAJ	PREVOD NA UCET	3419	63730	SIPO	ST	95194470
965327	3289	1998-11-09	VYDAJ	PREVOD NA UCET	3419	56761	SIPO	ST	95194470
965328	3289	1998-12-09	VYDAJ	PREVOD NA UCET	3419	57779	SIPO	ST	95194470
965338	3289	1994-10-06	VYDAJ	PREVOD NA UCET	3841	42205	 	GH	75018042
965339	3289	1994-11-06	VYDAJ	PREVOD NA UCET	3841	39351	 	GH	75018042
965340	3289	1994-12-06	VYDAJ	PREVOD NA UCET	3841	44618	 	GH	75018042
965341	3289	1995-01-06	VYDAJ	PREVOD NA UCET	3841	41429	 	GH	75018042
965342	3289	1995-02-06	VYDAJ	PREVOD NA UCET	3841	26593	 	GH	75018042
965343	3289	1995-03-06	VYDAJ	PREVOD NA UCET	3841	33576	 	GH	75018042
965344	3289	1995-04-06	VYDAJ	PREVOD NA UCET	3841	32585	 	GH	75018042
965345	3289	1995-05-06	VYDAJ	PREVOD NA UCET	3841	29638	 	GH	75018042
965346	3289	1995-06-06	VYDAJ	PREVOD NA UCET	3841	39165	 	GH	75018042
965347	3289	1995-07-06	VYDAJ	PREVOD NA UCET	3841	39194	 	GH	75018042
965348	3289	1995-08-06	VYDAJ	PREVOD NA UCET	3841	32056	 	GH	75018042
965349	3289	1995-09-06	VYDAJ	PREVOD NA UCET	3841	31957	 	GH	75018042
965350	3289	1995-10-06	VYDAJ	PREVOD NA UCET	3841	34561	 	GH	75018042
965351	3289	1995-11-06	VYDAJ	PREVOD NA UCET	3841	31776	 	GH	75018042
965352	3289	1995-12-06	VYDAJ	PREVOD NA UCET	3841	42713	 	GH	75018042
965353	3289	1996-01-06	VYDAJ	PREVOD NA UCET	3841	40110	 	GH	75018042
965354	3289	1996-02-06	VYDAJ	PREVOD NA UCET	3841	24811	 	GH	75018042
965355	3289	1996-03-06	VYDAJ	PREVOD NA UCET	3841	33690	 	GH	75018042
965356	3289	1996-04-06	VYDAJ	PREVOD NA UCET	3841	39102	 	GH	75018042
965357	3289	1996-05-06	VYDAJ	PREVOD NA UCET	3841	35012	 	GH	75018042
965358	3289	1996-06-06	VYDAJ	PREVOD NA UCET	3841	44362	 	GH	75018042
965359	3289	1996-07-06	VYDAJ	PREVOD NA UCET	3841	37408	 	GH	75018042
965360	3289	1996-08-06	VYDAJ	PREVOD NA UCET	3841	35744	 	GH	75018042
965361	3289	1996-09-06	VYDAJ	PREVOD NA UCET	3841	38960	 	GH	75018042
965362	3289	1996-10-06	VYDAJ	PREVOD NA UCET	3841	33004	 	GH	75018042
965363	3289	1996-11-06	VYDAJ	PREVOD NA UCET	3841	35212	 	GH	75018042
965364	3289	1996-12-06	VYDAJ	PREVOD NA UCET	3841	44957	 	GH	75018042
965365	3289	1997-01-06	VYDAJ	PREVOD NA UCET	3841	37799	 	GH	75018042
965366	3289	1997-02-06	VYDAJ	PREVOD NA UCET	3841	24420	 	GH	75018042
965367	3289	1997-03-06	VYDAJ	PREVOD NA UCET	3841	34603	 	GH	75018042
965368	3289	1997-04-06	VYDAJ	PREVOD NA UCET	3841	36112	 	GH	75018042
965369	3289	1997-05-06	VYDAJ	PREVOD NA UCET	3841	39629	 	GH	75018042
965370	3289	1997-06-06	VYDAJ	PREVOD NA UCET	3841	35223	 	GH	75018042
965371	3289	1997-07-06	VYDAJ	PREVOD NA UCET	3841	43229	 	GH	75018042
965372	3289	1997-08-06	VYDAJ	PREVOD NA UCET	3841	39644	 	GH	75018042
965373	3289	1997-09-06	VYDAJ	PREVOD NA UCET	3841	40075	 	GH	75018042
965374	3289	1997-10-06	VYDAJ	PREVOD NA UCET	3841	42746	 	GH	75018042
965375	3289	1997-11-06	VYDAJ	PREVOD NA UCET	3841	45088	 	GH	75018042
965376	3289	1997-12-06	VYDAJ	PREVOD NA UCET	3841	55876	 	GH	75018042
965377	3289	1998-01-06	VYDAJ	PREVOD NA UCET	3841	48270	 	GH	75018042
965378	3289	1998-02-06	VYDAJ	PREVOD NA UCET	3841	35946	 	GH	75018042
965379	3289	1998-03-06	VYDAJ	PREVOD NA UCET	3841	43072	 	GH	75018042
965380	3289	1998-04-06	VYDAJ	PREVOD NA UCET	3841	47541	 	GH	75018042
965381	3289	1998-05-06	VYDAJ	PREVOD NA UCET	3841	47296	 	GH	75018042
965382	3289	1998-06-06	VYDAJ	PREVOD NA UCET	3841	50643	 	GH	75018042
965383	3289	1998-07-06	VYDAJ	PREVOD NA UCET	3841	53413	 	GH	75018042
965384	3289	1998-08-06	VYDAJ	PREVOD NA UCET	3841	56999	 	GH	75018042
965385	3289	1998-09-06	VYDAJ	PREVOD NA UCET	3841	63611	 	GH	75018042
965386	3289	1998-10-06	VYDAJ	PREVOD NA UCET	3841	67149	 	GH	75018042
965387	3289	1998-11-06	VYDAJ	PREVOD NA UCET	3841	67180	 	GH	75018042
965388	3289	1998-12-06	VYDAJ	PREVOD NA UCET	3841	72138	 	GH	75018042
965395	3289	1995-01-10	VYDAJ	VYBER	11200	20690	\N	\N	\N
965396	3289	1996-01-18	VYDAJ	VYBER	10880	22331	\N	\N	\N
965397	3289	1997-01-20	VYDAJ	VYBER	12000	18260	\N	\N	\N
965398	3289	1998-01-20	VYDAJ	VYBER	6080	29151	\N	\N	\N
965399	3289	1994-12-30	VYDAJ	VYBER	1440	32459	\N	\N	\N
965400	3289	1995-12-18	VYDAJ	VYBER	1440	37854	\N	\N	\N
965401	3289	1996-12-27	VYDAJ	VYBER	3520	31718	\N	\N	\N
965402	3289	1997-12-09	VYDAJ	VYBER	1920	53956	\N	\N	\N
965403	3289	1998-12-08	VYDAJ	VYBER	3840	61198	\N	\N	\N
965411	3289	1995-01-07	VYDAJ	VYBER	2880	35309	\N	\N	\N
965412	3289	1995-01-17	VYDAJ	VYBER	3480	17210	\N	\N	\N
965413	3289	1995-01-07	VYDAJ	VYBER	3240	38189	\N	\N	\N
965415	3289	1995-01-21	VYDAJ	VYBER	1320	15890	\N	\N	\N
965416	3289	1996-01-24	VYDAJ	VYBER	1560	17691	\N	\N	\N
965417	3289	1996-01-12	VYDAJ	VYBER	1800	34291	\N	\N	\N
965418	3289	1996-01-23	VYDAJ	VYBER	3480	19251	\N	\N	\N
965419	3289	1996-01-13	VYDAJ	VYBER	1080	33211	\N	\N	\N
965420	3289	1996-01-11	VYDAJ	VYBER	600	36091	\N	\N	\N
965421	3289	1996-01-25	VYDAJ	VYBER	1800	15891	\N	\N	\N
965422	3289	1997-01-28	VYDAJ	VYBER	2760	15500	\N	\N	\N
965423	3289	1997-01-15	VYDAJ	VYBER	600	30060	\N	\N	\N
965425	3289	1997-01-15	VYDAJ	VYBER	960	30660	\N	\N	\N
965426	3289	1997-01-05	VYDAJ	VYBER	2880	28977	\N	\N	\N
965427	3289	1997-01-14	VYDAJ	VYBER	2760	31620	\N	\N	\N
965428	3289	1998-01-06	VYDAJ	VYBER	2640	45630	\N	\N	\N
965429	3289	1998-01-09	VYDAJ	VYBER	1800	43830	\N	\N	\N
965430	3289	1998-01-10	VYDAJ	VYBER	3480	36931	\N	\N	\N
965431	3289	1998-01-03	VYDAJ	VYBER	1440	39448	\N	\N	\N
965432	3289	1998-01-25	VYDAJ	VYBER	2160	26991	\N	\N	\N
965433	3289	1998-01-14	VYDAJ	VYBER	1680	37151	\N	\N	\N
965438	3289	1995-10-06	VYDAJ	VYBER	1680	32881	\N	\N	\N
965439	3289	1995-07-29	VYDAJ	VYBER	1680	23115	\N	\N	\N
965440	3289	1995-05-02	VYDAJ	VYBER	1200	20816	\N	\N	\N
965441	3289	1995-04-14	VYDAJ	VYBER	5640	23526	\N	\N	\N
965442	3289	1995-10-06	VYDAJ	VYBER	4200	28681	\N	\N	\N
965443	3289	1995-07-18	VYDAJ	VYBER	4680	31095	\N	\N	\N
965444	3289	1996-09-14	VYDAJ	VYBER	3240	32301	\N	\N	\N
965445	3289	1996-10-01	VYDAJ	VYBER	5640	24182	\N	\N	\N
965446	3289	1996-06-07	VYDAJ	VYBER	4680	39682	\N	\N	\N
965447	3289	1996-07-16	VYDAJ	VYBER	2880	31109	\N	\N	\N
965448	3289	1996-05-04	VYDAJ	VYBER	4920	26190	\N	\N	\N
965449	3289	1997-09-11	VYDAJ	VYBER	2160	34496	\N	\N	\N
965450	3289	1997-12-13	VYDAJ	VYBER	3120	47417	\N	\N	\N
965451	3289	1997-06-06	VYDAJ	VYBER	4440	39064	\N	\N	\N
965452	3289	1997-06-14	VYDAJ	VYBER	720	31084	\N	\N	\N
965453	3289	1997-07-21	VYDAJ	VYBER	5520	30690	\N	\N	\N
965454	3289	1997-06-02	VYDAJ	VYBER	2280	24510	\N	\N	\N
965455	3289	1997-05-12	VYDAJ	VYBER	5400	30810	\N	\N	\N
965456	3289	1997-08-27	VYDAJ	VYBER	4200	31125	\N	\N	\N
965457	3289	1997-05-17	VYDAJ	VYBER	5040	26670	\N	\N	\N
965458	3289	1998-01-02	VYDAJ	VYBER	2400	40888	\N	\N	\N
965459	3289	1998-05-22	VYDAJ	VYBER	1320	38457	\N	\N	\N
965460	3289	1998-03-21	VYDAJ	VYBER	2280	38573	\N	\N	\N
965461	3289	1998-05-30	VYDAJ	VYBER	3120	35337	\N	\N	\N
965462	3289	1998-01-18	VYDAJ	VYBER	1920	35231	\N	\N	\N
965463	3289	1998-05-03	VYDAJ	VYBER	600	38474	\N	\N	\N
965474	3289	1994-10-31	VYDAJ	VYBER	15	30529	SLUZBY	\N	\N
965475	3289	1994-11-30	VYDAJ	VYBER	15	29464	SLUZBY	\N	\N
965476	3289	1994-12-31	VYDAJ	VYBER	15	32607	SLUZBY	\N	\N
965477	3289	1995-01-31	VYDAJ	VYBER	15	17771	SLUZBY	\N	\N
965478	3289	1995-02-28	VYDAJ	VYBER	15	24754	SLUZBY	\N	\N
965479	3289	1995-03-31	VYDAJ	VYBER	15	23763	SLUZBY	\N	\N
965480	3289	1995-04-30	VYDAJ	VYBER	15	22016	SLUZBY	\N	\N
965481	3289	1995-05-31	VYDAJ	VYBER	15	24011	SLUZBY	\N	\N
965482	3289	1995-06-30	VYDAJ	VYBER	15	30372	SLUZBY	\N	\N
965483	3289	1995-07-31	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
965484	3289	1995-08-31	VYDAJ	VYBER	15	23135	SLUZBY	\N	\N
965485	3289	1995-09-30	VYDAJ	VYBER	15	25739	SLUZBY	\N	\N
965486	3289	1995-10-31	VYDAJ	VYBER	15	22954	SLUZBY	\N	\N
965487	3289	1995-11-30	VYDAJ	VYBER	15	27559	SLUZBY	\N	\N
965488	3289	1995-12-31	VYDAJ	VYBER	15	31288	SLUZBY	\N	\N
965489	3289	1996-01-31	VYDAJ	VYBER	15	15989	SLUZBY	\N	\N
965490	3289	1996-02-29	VYDAJ	VYBER	15	24868	SLUZBY	\N	\N
965491	3289	1996-03-31	VYDAJ	VYBER	15	30280	SLUZBY	\N	\N
965492	3289	1996-04-30	VYDAJ	VYBER	15	31110	SLUZBY	\N	\N
965493	3289	1996-05-31	VYDAJ	VYBER	15	29209	SLUZBY	\N	\N
965494	3289	1996-06-30	VYDAJ	VYBER	15	28586	SLUZBY	\N	\N
965495	3289	1996-07-31	VYDAJ	VYBER	15	26922	SLUZBY	\N	\N
965496	3289	1996-08-31	VYDAJ	VYBER	15	30138	SLUZBY	\N	\N
965497	3289	1996-09-30	VYDAJ	VYBER	15	29822	SLUZBY	\N	\N
965498	3289	1996-10-31	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
965499	3289	1996-11-30	VYDAJ	VYBER	15	29804	SLUZBY	\N	\N
965500	3289	1996-12-31	VYDAJ	VYBER	15	31857	SLUZBY	\N	\N
965501	3289	1997-01-31	VYDAJ	VYBER	15	15598	SLUZBY	\N	\N
965502	3289	1997-02-28	VYDAJ	VYBER	15	25781	SLUZBY	\N	\N
965503	3289	1997-03-31	VYDAJ	VYBER	15	27290	SLUZBY	\N	\N
965504	3289	1997-04-30	VYDAJ	VYBER	15	30807	SLUZBY	\N	\N
965505	3289	1997-05-31	VYDAJ	VYBER	15	26790	SLUZBY	\N	\N
965506	3289	1997-06-30	VYDAJ	VYBER	15	34407	SLUZBY	\N	\N
965507	3289	1997-07-31	VYDAJ	VYBER	15	30822	SLUZBY	\N	\N
965508	3289	1997-08-31	VYDAJ	VYBER	15	31253	SLUZBY	\N	\N
965509	3289	1997-09-30	VYDAJ	VYBER	15	33924	SLUZBY	\N	\N
965510	3289	1997-10-31	VYDAJ	VYBER	15	36266	SLUZBY	\N	\N
965511	3289	1997-11-30	VYDAJ	VYBER	15	40723	SLUZBY	\N	\N
965512	3289	1997-12-31	VYDAJ	VYBER	15	43288	SLUZBY	\N	\N
965513	3289	1998-01-31	VYDAJ	VYBER	15	27124	SLUZBY	\N	\N
965514	3289	1998-02-28	VYDAJ	VYBER	15	34250	SLUZBY	\N	\N
965515	3289	1998-03-31	VYDAJ	VYBER	15	38719	SLUZBY	\N	\N
965516	3289	1998-04-30	VYDAJ	VYBER	15	39074	SLUZBY	\N	\N
965517	3289	1998-05-31	VYDAJ	VYBER	15	35489	SLUZBY	\N	\N
965518	3289	1998-06-30	VYDAJ	VYBER	15	44591	SLUZBY	\N	\N
965519	3289	1998-07-31	VYDAJ	VYBER	15	48177	SLUZBY	\N	\N
965520	3289	1998-08-31	VYDAJ	VYBER	15	54789	SLUZBY	\N	\N
965521	3289	1998-09-30	VYDAJ	VYBER	15	58327	SLUZBY	\N	\N
965522	3289	1998-10-31	VYDAJ	VYBER	15	58358	SLUZBY	\N	\N
965523	3289	1998-11-30	VYDAJ	VYBER	15	56985	SLUZBY	\N	\N
965524	3289	1994-07-02	PRIJEM	VKLAD	1400	21263	\N	\N	\N
965525	3289	1994-08-01	VYDAJ	VYBER	5300	28758	\N	\N	\N
965526	3289	1994-08-31	VYDAJ	VYBER	9800	31787	\N	\N	\N
965527	3289	1994-09-30	VYDAJ	VYBER	11200	33383	\N	\N	\N
965528	3289	1994-10-30	VYDAJ	VYBER	8400	30386	\N	\N	\N
965529	3289	1994-11-29	VYDAJ	VYBER	6600	29332	\N	\N	\N
965530	3289	1994-12-29	VYDAJ	VYBER	7300	33899	\N	\N	\N
965531	3289	1995-01-28	PRIJEM	VKLAD	1800	17690	\N	\N	\N
965532	3289	1995-02-27	PRIJEM	VKLAD	1500	24674	\N	\N	\N
965533	3289	1995-03-29	VYDAJ	VYBER	6500	23657	\N	\N	\N
965534	3289	1995-04-28	VYDAJ	VYBER	1600	21926	\N	\N	\N
965535	3289	1995-05-28	VYDAJ	VYBER	2300	23919	\N	\N	\N
965536	3289	1995-06-27	VYDAJ	VYBER	5500	30246	\N	\N	\N
965537	3289	1995-07-27	VYDAJ	VYBER	6300	24795	\N	\N	\N
965538	3289	1995-08-26	VYDAJ	VYBER	5600	23037	\N	\N	\N
965539	3289	1995-09-25	VYDAJ	VYBER	2900	25638	\N	\N	\N
965540	3289	1995-10-25	VYDAJ	VYBER	2400	22862	\N	\N	\N
965541	3289	1995-11-24	VYDAJ	VYBER	900	27457	\N	\N	\N
965542	3289	1995-12-24	VYDAJ	VYBER	6700	31154	\N	\N	\N
965543	3289	1996-01-23	PRIJEM	VKLAD	400	22731	\N	\N	\N
965544	3289	1996-02-22	PRIJEM	VKLAD	3400	24792	\N	\N	\N
965545	3289	1996-03-23	VYDAJ	VYBER	100	30171	\N	\N	\N
965546	3289	1996-04-22	VYDAJ	VYBER	4700	30983	\N	\N	\N
965547	3289	1996-05-22	VYDAJ	VYBER	2500	29093	\N	\N	\N
965548	3289	1996-06-21	VYDAJ	VYBER	7800	28463	\N	\N	\N
965549	3289	1996-07-21	VYDAJ	VYBER	4300	26809	\N	\N	\N
965550	3289	1996-08-20	VYDAJ	VYBER	2300	30025	\N	\N	\N
965551	3289	1996-09-19	VYDAJ	VYBER	2600	29701	\N	\N	\N
965552	3289	1996-10-19	VYDAJ	VYBER	3300	26285	\N	\N	\N
965553	3289	1996-11-18	VYDAJ	VYBER	2100	29693	\N	\N	\N
965554	3289	1996-12-18	VYDAJ	VYBER	6300	35238	\N	\N	\N
965555	3289	1997-01-17	PRIJEM	VKLAD	200	30260	\N	\N	\N
965556	3289	1997-02-16	PRIJEM	VKLAD	4700	25701	\N	\N	\N
965557	3289	1997-03-18	VYDAJ	VYBER	4000	27184	\N	\N	\N
965558	3289	1997-04-17	VYDAJ	VYBER	2000	30693	\N	\N	\N
965559	3289	1997-05-17	PRIJEM	VKLAD	900	31710	\N	\N	\N
965560	3289	1997-06-16	PRIJEM	VKLAD	3200	34284	\N	\N	\N
965561	3289	1997-07-16	VYDAJ	VYBER	3600	36210	\N	\N	\N
965562	3289	1997-08-15	VYDAJ	VYBER	900	35325	\N	\N	\N
965563	3289	1997-09-14	VYDAJ	VYBER	700	33796	\N	\N	\N
965564	3289	1997-10-14	VYDAJ	VYBER	3200	36127	\N	\N	\N
965565	3289	1997-11-13	VYDAJ	VYBER	1100	40569	\N	\N	\N
965566	3289	1997-12-13	VYDAJ	VYBER	4300	43117	\N	\N	\N
965567	3289	1998-01-12	PRIJEM	VKLAD	1900	38831	\N	\N	\N
965568	3289	1998-02-11	PRIJEM	VKLAD	1600	34127	\N	\N	\N
965569	3289	1998-03-13	PRIJEM	VKLAD	1200	40853	\N	\N	\N
965570	3289	1998-04-12	VYDAJ	VYBER	5200	38922	\N	\N	\N
965571	3289	1998-05-12	VYDAJ	VYBER	4100	39777	\N	\N	\N
965572	3289	1998-06-11	VYDAJ	VYBER	2800	44424	\N	\N	\N
965573	3289	1998-07-11	VYDAJ	VYBER	2000	47994	\N	\N	\N
965574	3289	1998-08-10	PRIJEM	VKLAD	1000	54580	\N	\N	\N
965575	3289	1998-09-09	VYDAJ	VYBER	2100	61511	\N	\N	\N
965576	3289	1998-10-09	VYDAJ	VYBER	5600	58130	\N	\N	\N
965577	3289	1998-11-08	VYDAJ	VYBER	7000	60180	\N	\N	\N
965578	3289	1998-12-08	VYDAJ	VYBER	7100	65038	\N	\N	\N
965634	3290	1996-12-09	PRIJEM	VKLAD	200	200	\N	\N	\N
965646	3290	1996-12-10	PRIJEM	PREVOD Z UCTU	57936	58136	\N	EF	61776995
965647	3290	1997-01-10	PRIJEM	PREVOD Z UCTU	38624	78432	\N	EF	61776995
965648	3290	1997-02-10	PRIJEM	PREVOD Z UCTU	38624	87958	\N	EF	61776995
965649	3290	1997-03-10	PRIJEM	PREVOD Z UCTU	38624	91836	\N	EF	61776995
965650	3290	1997-04-10	PRIJEM	PREVOD Z UCTU	38624	94038	\N	EF	61776995
965651	3290	1997-05-10	PRIJEM	PREVOD Z UCTU	38624	97136	\N	EF	61776995
965652	3290	1997-06-10	PRIJEM	PREVOD Z UCTU	57936	116759	\N	EF	61776995
965653	3290	1997-07-10	PRIJEM	PREVOD Z UCTU	38624	92045	\N	EF	61776995
965654	3290	1997-08-10	PRIJEM	PREVOD Z UCTU	38624	76602	\N	EF	61776995
965655	3290	1997-09-10	PRIJEM	PREVOD Z UCTU	38624	86981	\N	EF	61776995
965656	3290	1997-10-10	PRIJEM	PREVOD Z UCTU	38624	93022	\N	EF	61776995
965657	3290	1997-11-10	PRIJEM	PREVOD Z UCTU	38624	82384	\N	EF	61776995
965658	3290	1997-12-10	PRIJEM	PREVOD Z UCTU	57936	111116	\N	EF	61776995
965659	3290	1998-01-10	PRIJEM	PREVOD Z UCTU	38624	91230	\N	EF	61776995
965660	3290	1998-02-10	PRIJEM	PREVOD Z UCTU	38624	87846	\N	EF	61776995
965661	3290	1998-03-10	PRIJEM	PREVOD Z UCTU	38624	90482	\N	EF	61776995
965662	3290	1998-04-10	PRIJEM	PREVOD Z UCTU	38624	96951	\N	EF	61776995
965663	3290	1998-05-10	PRIJEM	PREVOD Z UCTU	38624	98657	\N	EF	61776995
965664	3290	1998-06-10	PRIJEM	PREVOD Z UCTU	57936	116987	\N	EF	61776995
965665	3290	1998-07-10	PRIJEM	PREVOD Z UCTU	38624	73430	\N	EF	61776995
965666	3290	1998-08-10	PRIJEM	PREVOD Z UCTU	38624	90416	\N	EF	61776995
965667	3290	1998-09-10	PRIJEM	PREVOD Z UCTU	38624	98178	\N	EF	61776995
965668	3290	1998-10-10	PRIJEM	PREVOD Z UCTU	38624	101940	\N	EF	61776995
965669	3290	1998-11-10	PRIJEM	PREVOD Z UCTU	38624	101846	\N	EF	61776995
965670	3290	1998-12-10	PRIJEM	PREVOD Z UCTU	57936	123730	\N	EF	61776995
965682	3290	1997-08-05	VYBER	VYBER	20943	52578	\N	\N	\N
965683	3290	1997-12-02	VYBER	VYBER	3795	65680	\N	\N	\N
965684	3290	1997-10-24	VYBER	VYBER	12631	66252	\N	\N	\N
965686	3290	1997-10-21	VYBER	VYBER	4539	78883	\N	\N	\N
965687	3290	1997-08-03	VYBER	VYBER	18887	73521	\N	\N	\N
965690	3290	1998-06-23	VYDAJ	VYBER	28500	49287	\N	\N	\N
965692	3290	1997-12-27	VYDAJ	VYBER	5700	74216	\N	\N	\N
965693	3290	1998-12-21	VYDAJ	VYBER	5100	68030	\N	\N	\N
965706	3290	1998-01-03	VYDAJ	VYBER KARTOU	3900	55006	\N	\N	0
965707	3290	1998-01-24	VYDAJ	VYBER	5700	80730	\N	\N	\N
965708	3290	1998-01-04	VYDAJ	VYBER KARTOU	2400	52606	\N	\N	0
965709	3290	1998-01-10	VYDAJ	VYBER	4800	86430	\N	\N	\N
965710	3290	1998-01-25	VYDAJ	VYBER	8400	72330	\N	\N	\N
965711	3290	1998-01-26	VYDAJ	VYBER	5700	66630	\N	\N	\N
965718	3290	1997-10-13	VYDAJ	VYBER	9600	83422	\N	\N	\N
965719	3290	1997-08-13	VYDAJ	VYBER	13500	63102	\N	\N	\N
965720	3290	1997-11-02	VYDAJ	VYBER	14700	51860	\N	\N	\N
965721	3290	1997-09-10	VYDAJ	VYBER	10800	76181	\N	\N	\N
965722	3290	1997-11-08	VYDAJ	VYBER KARTOU	1500	43760	\N	\N	0
965723	3290	1997-12-01	VYDAJ	VYBER	13200	69475	\N	\N	\N
965724	3290	1998-02-22	VYDAJ	VYBER	11700	76146	\N	\N	\N
965725	3290	1998-10-25	VYDAJ	VYBER	7500	94440	\N	\N	\N
965726	3290	1998-06-21	VYDAJ	VYBER	9600	77787	\N	\N	\N
965727	3290	1998-12-10	VYDAJ	VYBER	5700	118030	\N	\N	\N
965744	3290	1997-04-30	VYDAJ	VYBER	15	94412	SLUZBY	\N	\N
965745	3290	1997-05-31	VYDAJ	VYBER	15	97523	SLUZBY	\N	\N
965746	3290	1997-06-30	VYDAJ	VYBER	15	87521	SLUZBY	\N	\N
965747	3290	1997-07-31	VYDAJ	VYBER	15	92408	SLUZBY	\N	\N
965748	3290	1997-08-31	VYDAJ	VYBER	15	63357	SLUZBY	\N	\N
965749	3290	1997-09-30	VYDAJ	VYBER	15	76498	SLUZBY	\N	\N
965750	3290	1997-10-31	VYDAJ	VYBER	15	66560	SLUZBY	\N	\N
965751	3290	1997-11-30	VYDAJ	VYBER	15	82675	SLUZBY	\N	\N
965752	3290	1997-12-31	VYDAJ	VYBER	15	74506	SLUZBY	\N	\N
965753	3290	1998-01-31	VYDAJ	VYBER	15	66922	SLUZBY	\N	\N
965754	3290	1998-02-28	VYDAJ	VYBER	15	76458	SLUZBY	\N	\N
965755	3290	1998-03-31	VYDAJ	VYBER	15	90827	SLUZBY	\N	\N
965756	3290	1998-04-30	VYDAJ	VYBER	15	97333	SLUZBY	\N	\N
965757	3290	1998-05-31	VYDAJ	VYBER	15	99051	SLUZBY	\N	\N
965758	3290	1998-06-30	VYDAJ	VYBER	15	49606	SLUZBY	\N	\N
965759	3290	1998-07-31	VYDAJ	VYBER	15	73692	SLUZBY	\N	\N
965760	3290	1998-08-31	VYDAJ	VYBER	15	59554	SLUZBY	\N	\N
965761	3290	1998-09-30	VYDAJ	VYBER	15	98416	SLUZBY	\N	\N
965762	3290	1998-10-31	VYDAJ	VYBER	15	63222	SLUZBY	\N	\N
965763	3290	1998-11-30	VYDAJ	VYBER	15	65794	SLUZBY	\N	\N
965764	3290	1997-01-08	VYDAJ	VYBER	18500	39808	\N	\N	\N
965765	3290	1997-02-07	VYDAJ	VYBER	29400	49334	\N	\N	\N
965766	3290	1997-03-09	VYDAJ	VYBER	35100	53212	\N	\N	\N
965767	3290	1997-04-08	VYDAJ	VYBER	36800	55414	\N	\N	\N
965768	3290	1997-05-08	VYDAJ	VYBER	35900	58512	\N	\N	\N
965769	3290	1997-06-07	VYDAJ	VYBER	38700	58823	\N	\N	\N
965770	3290	1997-06-10	VYDAJ	VYBER	29600	87159	\N	\N	\N
965771	3290	1997-07-07	VYDAJ	VYBER	34100	53421	\N	\N	\N
965772	3290	1997-08-06	VYDAJ	VYBER	14600	37978	\N	\N	\N
965773	3290	1997-09-05	VYDAJ	VYBER	15000	48357	\N	\N	\N
965774	3290	1997-10-05	VYDAJ	VYBER	22100	54398	\N	\N	\N
965775	3290	1997-11-04	VYDAJ	VYBER	6600	45260	\N	\N	\N
965776	3290	1997-12-04	VYDAJ	VYBER	12500	53180	\N	\N	\N
965777	3290	1997-12-10	VYDAJ	VYBER	31200	79916	\N	\N	\N
965778	3290	1998-01-03	VYDAJ	VYBER	15600	58906	\N	\N	\N
965779	3290	1998-02-02	VYDAJ	VYBER	17700	49222	\N	\N	\N
965780	3290	1998-03-04	VYDAJ	VYBER	24600	51858	\N	\N	\N
965781	3290	1998-04-03	VYDAJ	VYBER	32500	58327	\N	\N	\N
965782	3290	1998-05-03	VYDAJ	VYBER	37300	60033	\N	\N	\N
965783	3290	1998-06-02	VYDAJ	VYBER	40000	59051	\N	\N	\N
965784	3290	1998-06-10	VYDAJ	VYBER	29600	87387	\N	\N	\N
965785	3290	1998-07-02	VYDAJ	VYBER	14800	34806	\N	\N	\N
965786	3290	1998-08-01	VYDAJ	VYBER	21900	51792	\N	\N	\N
965787	3290	1998-08-31	VYDAJ	VYBER	31200	59568	\N	\N	\N
965788	3290	1998-09-30	VYDAJ	VYBER	35100	63316	\N	\N	\N
965789	3290	1998-10-30	VYDAJ	VYBER	31600	62840	\N	\N	\N
965790	3290	1998-11-29	VYDAJ	VYBER	36300	65546	\N	\N	\N
965791	3290	1998-12-10	VYDAJ	VYBER	44900	73130	\N	\N	\N
965817	3291	1996-11-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
965829	3291	1996-12-13	PRIJEM	PREVOD Z UCTU	5355	6355	DUCHOD	QR	17921543
965830	3291	1997-01-13	PRIJEM	PREVOD Z UCTU	5355	11710	DUCHOD	QR	17921543
965831	3291	1997-02-13	PRIJEM	PREVOD Z UCTU	5355	17065	DUCHOD	QR	17921543
965832	3291	1997-03-13	PRIJEM	PREVOD Z UCTU	5355	22420	DUCHOD	QR	17921543
965833	3291	1997-04-13	PRIJEM	PREVOD Z UCTU	5355	27775	DUCHOD	QR	17921543
965834	3291	1997-05-13	PRIJEM	PREVOD Z UCTU	5355	30614	DUCHOD	QR	17921543
965835	3291	1997-06-13	PRIJEM	PREVOD Z UCTU	5355	30766	DUCHOD	QR	17921543
965836	3291	1997-07-13	PRIJEM	PREVOD Z UCTU	5355	20449	DUCHOD	QR	17921543
965837	3291	1997-08-13	PRIJEM	PREVOD Z UCTU	5355	23365	DUCHOD	QR	17921543
965838	3291	1997-09-13	PRIJEM	PREVOD Z UCTU	5355	26294	DUCHOD	QR	17921543
965839	3291	1997-10-13	PRIJEM	PREVOD Z UCTU	5355	26734	DUCHOD	QR	17921543
965840	3291	1997-11-13	PRIJEM	PREVOD Z UCTU	5355	27557	DUCHOD	QR	17921543
965841	3291	1997-12-13	PRIJEM	PREVOD Z UCTU	5355	26182	DUCHOD	QR	17921543
965842	3291	1998-01-13	PRIJEM	PREVOD Z UCTU	5355	23419	DUCHOD	QR	17921543
965843	3291	1998-02-13	PRIJEM	PREVOD Z UCTU	5355	15875	DUCHOD	QR	17921543
965844	3291	1998-03-13	PRIJEM	PREVOD Z UCTU	5355	18769	DUCHOD	QR	17921543
965845	3291	1998-04-13	PRIJEM	PREVOD Z UCTU	5355	21678	DUCHOD	QR	17921543
965846	3291	1998-05-13	PRIJEM	PREVOD Z UCTU	5355	21953	DUCHOD	QR	17921543
965847	3291	1998-06-13	PRIJEM	PREVOD Z UCTU	5355	24875	DUCHOD	QR	17921543
965848	3291	1998-07-13	PRIJEM	PREVOD Z UCTU	5355	24209	DUCHOD	QR	17921543
965849	3291	1998-08-13	PRIJEM	PREVOD Z UCTU	5355	25543	DUCHOD	QR	17921543
965850	3291	1998-09-13	PRIJEM	PREVOD Z UCTU	5355	21480	DUCHOD	QR	17921543
965851	3291	1998-10-13	PRIJEM	PREVOD Z UCTU	5355	19103	DUCHOD	QR	17921543
965852	3291	1998-11-13	PRIJEM	PREVOD Z UCTU	5355	22016	DUCHOD	QR	17921543
965853	3291	1998-12-13	PRIJEM	PREVOD Z UCTU	5355	19658	DUCHOD	QR	17921543
965870	3291	1997-05-05	VYDAJ	PREVOD NA UCET	2505	25259	SIPO	YZ	36294978
965871	3291	1997-06-05	VYDAJ	PREVOD NA UCET	2505	25411	SIPO	YZ	36294978
965872	3291	1997-07-05	VYDAJ	PREVOD NA UCET	2505	15094	SIPO	YZ	36294978
965873	3291	1997-08-05	VYDAJ	PREVOD NA UCET	2505	18010	SIPO	YZ	36294978
965874	3291	1997-09-05	VYDAJ	PREVOD NA UCET	2505	20939	SIPO	YZ	36294978
965875	3291	1997-10-05	VYDAJ	PREVOD NA UCET	2505	23479	SIPO	YZ	36294978
965876	3291	1997-11-05	VYDAJ	PREVOD NA UCET	2505	22802	SIPO	YZ	36294978
965877	3291	1997-12-05	VYDAJ	PREVOD NA UCET	2505	20827	SIPO	YZ	36294978
965878	3291	1998-01-05	VYDAJ	PREVOD NA UCET	2505	23264	SIPO	YZ	36294978
965879	3291	1998-02-05	VYDAJ	PREVOD NA UCET	2505	10520	SIPO	YZ	36294978
965880	3291	1998-03-05	VYDAJ	PREVOD NA UCET	2505	13414	SIPO	YZ	36294978
965881	3291	1998-04-05	VYDAJ	PREVOD NA UCET	2505	16323	SIPO	YZ	36294978
965882	3291	1998-05-05	VYDAJ	PREVOD NA UCET	2505	16598	SIPO	YZ	36294978
965883	3291	1998-06-05	VYDAJ	PREVOD NA UCET	2505	19520	SIPO	YZ	36294978
965884	3291	1998-07-05	VYDAJ	PREVOD NA UCET	2505	22454	SIPO	YZ	36294978
965885	3291	1998-08-05	VYDAJ	PREVOD NA UCET	2505	21788	SIPO	YZ	36294978
965886	3291	1998-09-05	VYDAJ	PREVOD NA UCET	2505	23125	SIPO	YZ	36294978
965887	3291	1998-10-05	VYDAJ	PREVOD NA UCET	2505	19048	SIPO	YZ	36294978
965888	3291	1998-11-05	VYDAJ	PREVOD NA UCET	2505	16661	SIPO	YZ	36294978
965889	3291	1998-12-05	VYDAJ	PREVOD NA UCET	2505	19583	SIPO	YZ	36294978
965891	3291	1997-06-17	VYDAJ	VYBER	13250	17516	\N	\N	\N
965895	3291	1998-01-27	VYDAJ	VYBER	3350	16229	\N	\N	\N
965897	3291	1997-12-16	VYDAJ	VYBER	500	25682	\N	\N	\N
965898	3291	1998-12-25	VYDAJ	VYBER	800	16618	\N	\N	\N
965911	3291	1998-01-24	VYDAJ	VYBER	1200	19979	\N	\N	\N
965912	3291	1998-01-12	VYDAJ	VYBER	1680	18064	\N	\N	\N
965913	3291	1998-01-28	VYDAJ	VYBER	1680	14549	\N	\N	\N
965914	3291	1998-01-23	VYDAJ	VYBER	2240	21179	\N	\N	\N
965915	3291	1998-01-24	VYDAJ	VYBER	400	19579	\N	\N	\N
965916	3291	1998-01-07	VYDAJ	VYBER	1920	21344	\N	\N	\N
965921	3291	1997-10-25	VYDAJ	VYBER	1520	25214	\N	\N	\N
965922	3291	1997-12-02	VYDAJ	VYBER	1440	25652	\N	\N	\N
965923	3291	1997-12-03	VYDAJ	VYBER	2320	23332	\N	\N	\N
965924	3291	1997-09-27	VYDAJ	VYBER	400	25894	\N	\N	\N
965926	3291	1997-11-28	VYDAJ	VYBER	560	26997	\N	\N	\N
965927	3291	1998-02-03	VYDAJ	VYBER	1600	13025	\N	\N	\N
965928	3291	1998-01-11	VYDAJ	VYBER	1600	19744	\N	\N	\N
965931	3291	1998-12-09	VYDAJ	VYBER	3280	14303	\N	\N	\N
965932	3291	1998-12-24	VYDAJ	VYBER	2240	17418	\N	\N	\N
965933	3291	1998-04-14	VYDAJ	VYBER	2640	19038	\N	\N	\N
965950	3291	1997-04-30	VYDAJ	VYBER	15	27764	SLUZBY	\N	\N
965951	3291	1997-05-31	VYDAJ	VYBER	15	27916	SLUZBY	\N	\N
965952	3291	1997-06-30	VYDAJ	VYBER	15	17599	SLUZBY	\N	\N
965953	3291	1997-07-31	VYDAJ	VYBER	15	20515	SLUZBY	\N	\N
965954	3291	1997-08-31	VYDAJ	VYBER	15	23444	SLUZBY	\N	\N
965955	3291	1997-09-30	VYDAJ	VYBER	15	25984	SLUZBY	\N	\N
965956	3291	1997-10-31	VYDAJ	VYBER	15	25307	SLUZBY	\N	\N
965957	3291	1997-11-30	VYDAJ	VYBER	15	27092	SLUZBY	\N	\N
965958	3291	1997-12-31	VYDAJ	VYBER	15	25769	SLUZBY	\N	\N
965959	3291	1998-01-31	VYDAJ	VYBER	15	14625	SLUZBY	\N	\N
965960	3291	1998-02-28	VYDAJ	VYBER	15	15919	SLUZBY	\N	\N
965961	3291	1998-03-31	VYDAJ	VYBER	15	18828	SLUZBY	\N	\N
965962	3291	1998-04-30	VYDAJ	VYBER	15	19103	SLUZBY	\N	\N
965963	3291	1998-05-31	VYDAJ	VYBER	15	22025	SLUZBY	\N	\N
965964	3291	1998-06-30	VYDAJ	VYBER	15	24959	SLUZBY	\N	\N
965965	3291	1998-07-31	VYDAJ	VYBER	15	24293	SLUZBY	\N	\N
965966	3291	1998-08-31	VYDAJ	VYBER	15	25630	SLUZBY	\N	\N
965967	3291	1998-09-30	VYDAJ	VYBER	15	21553	SLUZBY	\N	\N
965968	3291	1998-10-31	VYDAJ	VYBER	15	19166	SLUZBY	\N	\N
965969	3291	1998-11-30	VYDAJ	VYBER	15	22088	SLUZBY	\N	\N
965970	3291	1997-05-15	VYDAJ	VYBER	2800	27814	\N	\N	\N
965971	3291	1997-10-12	VYDAJ	VYBER	2100	21379	\N	\N	\N
965972	3291	1997-11-11	VYDAJ	VYBER	600	22202	\N	\N	\N
965973	3291	1998-07-09	VYDAJ	VYBER	3600	18854	\N	\N	\N
965974	3291	1998-08-08	VYDAJ	VYBER	1600	20188	\N	\N	\N
965975	3291	1998-09-07	VYDAJ	VYBER	7000	16125	\N	\N	\N
965976	3291	1998-10-07	VYDAJ	VYBER	5300	13748	\N	\N	\N
965977	3291	1998-12-06	VYDAJ	VYBER	2000	17583	\N	\N	\N
965999	3292	1993-12-21	PRIJEM	VKLAD	800	800	\N	\N	\N
966012	3292	1994-01-13	PRIJEM	PREVOD Z UCTU	4805	5605	DUCHOD	QR	17410958
966013	3292	1994-02-13	PRIJEM	PREVOD Z UCTU	4805	10410	DUCHOD	QR	17410958
966014	3292	1994-03-13	PRIJEM	PREVOD Z UCTU	4805	15215	DUCHOD	QR	17410958
966015	3292	1994-04-13	PRIJEM	PREVOD Z UCTU	4805	20020	DUCHOD	QR	17410958
966016	3292	1994-05-13	PRIJEM	PREVOD Z UCTU	4805	24825	DUCHOD	QR	17410958
966017	3292	1994-06-13	PRIJEM	PREVOD Z UCTU	4805	23518	DUCHOD	QR	17410958
966018	3292	1994-07-13	PRIJEM	PREVOD Z UCTU	4805	21384	DUCHOD	QR	17410958
966019	3292	1994-08-13	PRIJEM	PREVOD Z UCTU	4805	22991	DUCHOD	QR	17410958
966020	3292	1994-09-13	PRIJEM	PREVOD Z UCTU	4805	24705	DUCHOD	QR	17410958
966021	3292	1994-10-13	PRIJEM	PREVOD Z UCTU	4805	25824	DUCHOD	QR	17410958
966022	3292	1994-11-13	PRIJEM	PREVOD Z UCTU	4805	26989	DUCHOD	QR	17410958
966023	3292	1994-12-13	PRIJEM	PREVOD Z UCTU	4805	27619	DUCHOD	QR	17410958
966024	3292	1995-01-13	PRIJEM	PREVOD Z UCTU	4805	23263	DUCHOD	QR	17410958
966025	3292	1995-02-13	PRIJEM	PREVOD Z UCTU	4805	23975	DUCHOD	QR	17410958
966026	3292	1995-03-13	PRIJEM	PREVOD Z UCTU	4805	24170	DUCHOD	QR	17410958
966027	3292	1995-04-13	PRIJEM	PREVOD Z UCTU	4805	24307	DUCHOD	QR	17410958
966028	3292	1995-05-13	PRIJEM	PREVOD Z UCTU	4805	25425	DUCHOD	QR	17410958
966029	3292	1995-06-13	PRIJEM	PREVOD Z UCTU	4805	21797	DUCHOD	QR	17410958
966030	3292	1995-07-13	PRIJEM	PREVOD Z UCTU	4805	23511	DUCHOD	QR	17410958
966031	3292	1995-08-13	PRIJEM	PREVOD Z UCTU	4805	21318	DUCHOD	QR	17410958
966032	3292	1995-09-13	PRIJEM	PREVOD Z UCTU	4805	22122	DUCHOD	QR	17410958
966033	3292	1995-10-13	PRIJEM	PREVOD Z UCTU	4805	18066	DUCHOD	QR	17410958
966034	3292	1995-11-13	PRIJEM	PREVOD Z UCTU	4805	19759	DUCHOD	QR	17410958
966035	3292	1995-12-13	PRIJEM	PREVOD Z UCTU	4805	21458	DUCHOD	QR	17410958
966036	3292	1996-01-13	PRIJEM	PREVOD Z UCTU	4805	18414	DUCHOD	QR	17410958
966037	3292	1996-02-13	PRIJEM	PREVOD Z UCTU	4805	19713	DUCHOD	QR	17410958
966038	3292	1996-03-13	PRIJEM	PREVOD Z UCTU	4805	21412	DUCHOD	QR	17410958
966039	3292	1996-04-13	PRIJEM	PREVOD Z UCTU	4805	22319	DUCHOD	QR	17410958
966040	3292	1996-05-13	PRIJEM	PREVOD Z UCTU	4805	24030	DUCHOD	QR	17410958
966041	3292	1996-06-13	PRIJEM	PREVOD Z UCTU	4805	23987	DUCHOD	QR	17410958
966042	3292	1996-07-13	PRIJEM	PREVOD Z UCTU	4805	22806	DUCHOD	QR	17410958
966043	3292	1996-08-13	PRIJEM	PREVOD Z UCTU	4805	19796	DUCHOD	QR	17410958
966044	3292	1996-09-13	PRIJEM	PREVOD Z UCTU	4805	21496	DUCHOD	QR	17410958
966045	3292	1996-10-13	PRIJEM	PREVOD Z UCTU	4805	21702	DUCHOD	QR	17410958
966046	3292	1996-11-13	PRIJEM	PREVOD Z UCTU	4805	20511	DUCHOD	QR	17410958
966047	3292	1996-12-13	PRIJEM	PREVOD Z UCTU	4805	17217	DUCHOD	QR	17410958
966048	3292	1997-01-13	PRIJEM	PREVOD Z UCTU	4805	17560	DUCHOD	QR	17410958
966049	3292	1997-02-13	PRIJEM	PREVOD Z UCTU	4805	14049	DUCHOD	QR	17410958
966050	3292	1997-03-13	PRIJEM	PREVOD Z UCTU	4805	15729	DUCHOD	QR	17410958
966051	3292	1997-04-13	PRIJEM	PREVOD Z UCTU	4805	15909	DUCHOD	QR	17410958
966052	3292	1997-05-13	PRIJEM	PREVOD Z UCTU	4805	15892	DUCHOD	QR	17410958
966053	3292	1997-06-13	PRIJEM	PREVOD Z UCTU	4805	17576	DUCHOD	QR	17410958
966054	3292	1997-07-13	PRIJEM	PREVOD Z UCTU	4805	17166	DUCHOD	QR	17410958
966055	3292	1997-08-13	PRIJEM	PREVOD Z UCTU	4805	15157	DUCHOD	QR	17410958
966056	3292	1997-09-13	PRIJEM	PREVOD Z UCTU	4805	16440	DUCHOD	QR	17410958
966057	3292	1997-10-13	PRIJEM	PREVOD Z UCTU	4805	18125	DUCHOD	QR	17410958
966058	3292	1997-11-13	PRIJEM	PREVOD Z UCTU	4805	19817	DUCHOD	QR	17410958
966059	3292	1997-12-13	PRIJEM	PREVOD Z UCTU	4805	20616	DUCHOD	QR	17410958
966060	3292	1998-01-13	PRIJEM	PREVOD Z UCTU	4805	19838	DUCHOD	QR	17410958
966061	3292	1998-02-13	PRIJEM	PREVOD Z UCTU	4805	21537	DUCHOD	QR	17410958
966062	3292	1998-03-13	PRIJEM	PREVOD Z UCTU	4805	20043	DUCHOD	QR	17410958
966063	3292	1998-04-13	PRIJEM	PREVOD Z UCTU	4805	21748	DUCHOD	QR	17410958
966064	3292	1998-05-13	PRIJEM	PREVOD Z UCTU	4805	22494	DUCHOD	QR	17410958
966065	3292	1998-06-13	PRIJEM	PREVOD Z UCTU	4805	23163	DUCHOD	QR	17410958
966066	3292	1998-07-13	PRIJEM	PREVOD Z UCTU	4805	21874	DUCHOD	QR	17410958
966067	3292	1998-08-13	PRIJEM	PREVOD Z UCTU	4805	23582	DUCHOD	QR	17410958
966068	3292	1998-09-13	PRIJEM	PREVOD Z UCTU	4805	22973	DUCHOD	QR	17410958
966069	3292	1998-10-13	PRIJEM	PREVOD Z UCTU	4805	22520	DUCHOD	QR	17410958
966070	3292	1998-11-13	PRIJEM	PREVOD Z UCTU	4805	24229	DUCHOD	QR	17410958
966071	3292	1998-12-13	PRIJEM	PREVOD Z UCTU	4805	24796	DUCHOD	QR	17410958
966089	3292	1994-06-11	VYDAJ	PREVOD NA UCET	3170	18713	SIPO	QR	24686056
966090	3292	1994-07-11	VYDAJ	PREVOD NA UCET	3170	16579	SIPO	QR	24686056
966091	3292	1994-08-11	VYDAJ	PREVOD NA UCET	3170	18186	SIPO	QR	24686056
966092	3292	1994-09-11	VYDAJ	PREVOD NA UCET	3170	19900	SIPO	QR	24686056
966093	3292	1994-10-11	VYDAJ	PREVOD NA UCET	3170	21019	SIPO	QR	24686056
966094	3292	1994-11-11	VYDAJ	PREVOD NA UCET	3170	22184	SIPO	QR	24686056
966095	3292	1994-12-11	VYDAJ	PREVOD NA UCET	3170	22814	SIPO	QR	24686056
966096	3292	1995-01-11	VYDAJ	PREVOD NA UCET	3170	18458	SIPO	QR	24686056
966097	3292	1995-02-11	VYDAJ	PREVOD NA UCET	3170	19170	SIPO	QR	24686056
966098	3292	1995-03-11	VYDAJ	PREVOD NA UCET	3170	19365	SIPO	QR	24686056
966099	3292	1995-04-11	VYDAJ	PREVOD NA UCET	3170	19502	SIPO	QR	24686056
966100	3292	1995-05-11	VYDAJ	PREVOD NA UCET	3170	20620	SIPO	QR	24686056
966101	3292	1995-06-11	VYDAJ	PREVOD NA UCET	3170	16992	SIPO	QR	24686056
966102	3292	1995-07-11	VYDAJ	PREVOD NA UCET	3170	18706	SIPO	QR	24686056
966103	3292	1995-08-11	VYDAJ	PREVOD NA UCET	3170	16513	SIPO	QR	24686056
966104	3292	1995-09-11	VYDAJ	PREVOD NA UCET	3170	17317	SIPO	QR	24686056
966105	3292	1995-10-11	VYDAJ	PREVOD NA UCET	3170	13261	SIPO	QR	24686056
966106	3292	1995-11-11	VYDAJ	PREVOD NA UCET	3170	14954	SIPO	QR	24686056
966107	3292	1995-12-11	VYDAJ	PREVOD NA UCET	3170	16653	SIPO	QR	24686056
966108	3292	1996-01-11	VYDAJ	PREVOD NA UCET	3170	13609	SIPO	QR	24686056
966109	3292	1996-02-11	VYDAJ	PREVOD NA UCET	3170	14908	SIPO	QR	24686056
966110	3292	1996-03-11	VYDAJ	PREVOD NA UCET	3170	16607	SIPO	QR	24686056
966111	3292	1996-04-11	VYDAJ	PREVOD NA UCET	3170	17514	SIPO	QR	24686056
966112	3292	1996-05-11	VYDAJ	PREVOD NA UCET	3170	19225	SIPO	QR	24686056
966113	3292	1996-06-11	VYDAJ	PREVOD NA UCET	3170	19182	SIPO	QR	24686056
966114	3292	1996-07-11	VYDAJ	PREVOD NA UCET	3170	18001	SIPO	QR	24686056
966115	3292	1996-08-11	VYDAJ	PREVOD NA UCET	3170	14991	SIPO	QR	24686056
966116	3292	1996-09-11	VYDAJ	PREVOD NA UCET	3170	16691	SIPO	QR	24686056
966117	3292	1996-10-11	VYDAJ	PREVOD NA UCET	3170	16897	SIPO	QR	24686056
966118	3292	1996-11-11	VYDAJ	PREVOD NA UCET	3170	15706	SIPO	QR	24686056
966119	3292	1996-12-11	VYDAJ	PREVOD NA UCET	3170	12412	SIPO	QR	24686056
966120	3292	1997-01-11	VYDAJ	PREVOD NA UCET	3170	12755	SIPO	QR	24686056
966121	3292	1997-02-11	VYDAJ	PREVOD NA UCET	3170	9244	SIPO	QR	24686056
966122	3292	1997-03-11	VYDAJ	PREVOD NA UCET	3170	10924	SIPO	QR	24686056
966123	3292	1997-04-11	VYDAJ	PREVOD NA UCET	3170	11104	SIPO	QR	24686056
966124	3292	1997-05-11	VYDAJ	PREVOD NA UCET	3170	11087	SIPO	QR	24686056
966125	3292	1997-06-11	VYDAJ	PREVOD NA UCET	3170	12771	SIPO	QR	24686056
966126	3292	1997-07-11	VYDAJ	PREVOD NA UCET	3170	12361	SIPO	QR	24686056
966127	3292	1997-08-11	VYDAJ	PREVOD NA UCET	3170	10352	SIPO	QR	24686056
966128	3292	1997-09-11	VYDAJ	PREVOD NA UCET	3170	11635	SIPO	QR	24686056
966129	3292	1997-10-11	VYDAJ	PREVOD NA UCET	3170	13320	SIPO	QR	24686056
966130	3292	1997-11-11	VYDAJ	PREVOD NA UCET	3170	15012	SIPO	QR	24686056
966131	3292	1997-12-11	VYDAJ	PREVOD NA UCET	3170	15811	SIPO	QR	24686056
966132	3292	1998-01-11	VYDAJ	PREVOD NA UCET	3170	15033	SIPO	QR	24686056
966133	3292	1998-02-11	VYDAJ	PREVOD NA UCET	3170	16732	SIPO	QR	24686056
966134	3292	1998-03-11	VYDAJ	PREVOD NA UCET	3170	15238	SIPO	QR	24686056
966135	3292	1998-04-11	VYDAJ	PREVOD NA UCET	3170	16943	SIPO	QR	24686056
966136	3292	1998-05-11	VYDAJ	PREVOD NA UCET	3170	17689	SIPO	QR	24686056
966137	3292	1998-06-11	VYDAJ	PREVOD NA UCET	3170	18358	SIPO	QR	24686056
966138	3292	1998-07-11	VYDAJ	PREVOD NA UCET	3170	17069	SIPO	QR	24686056
966139	3292	1998-08-11	VYDAJ	PREVOD NA UCET	3170	18777	SIPO	QR	24686056
966140	3292	1998-09-11	VYDAJ	PREVOD NA UCET	3170	18168	SIPO	QR	24686056
966141	3292	1998-10-11	VYDAJ	PREVOD NA UCET	3170	17715	SIPO	QR	24686056
966142	3292	1998-11-11	VYDAJ	PREVOD NA UCET	3170	19424	SIPO	QR	24686056
966143	3292	1998-12-11	VYDAJ	PREVOD NA UCET	3170	19991	SIPO	QR	24686056
966146	3292	1995-06-09	VYDAJ	VYBER	4750	20162	\N	\N	\N
966149	3292	1998-06-28	VYDAJ	VYBER	3000	20163	\N	\N	\N
966152	3292	1995-01-14	VYDAJ	VYBER	1000	22263	\N	\N	\N
966153	3292	1996-01-10	VYDAJ	VYBER	4200	16779	\N	\N	\N
966157	3292	1994-12-11	VYDAJ	VYBER	1100	25984	\N	\N	\N
966158	3292	1995-12-15	VYDAJ	VYBER	550	20908	\N	\N	\N
966159	3292	1996-12-21	VYDAJ	VYBER	1250	15967	\N	\N	\N
966160	3292	1997-12-09	VYDAJ	VYBER	900	18981	\N	\N	\N
966161	3292	1998-12-10	VYDAJ	VYBER	1150	23161	\N	\N	\N
966169	3292	1994-05-21	VYDAJ	VYBER	2960	21865	\N	\N	\N
966170	3292	1994-10-28	VYDAJ	VYBER	560	25264	\N	\N	\N
966171	3292	1994-12-22	VYDAJ	VYBER	3680	21539	\N	\N	\N
966172	3292	1994-06-14	VYDAJ	VYBER	3840	19678	\N	\N	\N
966173	3292	1995-04-01	VYDAJ	VYBER	880	22672	\N	\N	\N
966174	3292	1995-02-21	VYDAJ	VYBER	1520	22455	\N	\N	\N
966175	3292	1995-09-22	VYDAJ	VYBER	3040	19082	\N	\N	\N
966176	3292	1995-09-26	VYDAJ	VYBER	2720	16362	\N	\N	\N
966177	3292	1996-07-22	VYDAJ	VYBER	3280	19526	\N	\N	\N
966178	3292	1996-06-01	VYDAJ	VYBER	1760	22352	\N	\N	\N
966179	3292	1996-07-28	VYDAJ	VYBER	1440	18086	\N	\N	\N
966180	3292	1996-01-13	VYDAJ	VYBER	400	18014	\N	\N	\N
966181	3292	1997-03-20	VYDAJ	VYBER	1200	14529	\N	\N	\N
966185	3292	1997-08-15	VYDAJ	VYBER	400	14757	\N	\N	\N
966186	3292	1997-12-29	VYDAJ	VYBER	480	20136	\N	\N	\N
966188	3292	1997-01-31	VYDAJ	VYBER	1600	16029	\N	\N	\N
966190	3292	1998-05-08	VYDAJ	VYBER	960	20859	\N	\N	\N
966191	3292	1998-09-15	VYDAJ	VYBER	2160	20813	\N	\N	\N
966192	3292	1998-08-23	VYDAJ	VYBER	2320	21262	\N	\N	\N
966193	3292	1998-05-20	VYDAJ	VYBER	1040	21454	\N	\N	\N
966211	3292	1994-05-31	VYDAJ	VYBER	15	21883	SLUZBY	\N	\N
966212	3292	1994-06-30	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
966213	3292	1994-07-31	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
966214	3292	1994-08-31	VYDAJ	VYBER	15	23070	SLUZBY	\N	\N
966215	3292	1994-09-30	VYDAJ	VYBER	15	24189	SLUZBY	\N	\N
966216	3292	1994-10-31	VYDAJ	VYBER	15	25354	SLUZBY	\N	\N
966217	3292	1994-11-30	VYDAJ	VYBER	15	27084	SLUZBY	\N	\N
966218	3292	1994-12-31	VYDAJ	VYBER	15	21628	SLUZBY	\N	\N
966219	3292	1995-01-31	VYDAJ	VYBER	15	22340	SLUZBY	\N	\N
966220	3292	1995-02-28	VYDAJ	VYBER	15	22535	SLUZBY	\N	\N
966221	3292	1995-03-31	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
966222	3292	1995-04-30	VYDAJ	VYBER	15	23790	SLUZBY	\N	\N
966223	3292	1995-05-31	VYDAJ	VYBER	15	24912	SLUZBY	\N	\N
966224	3292	1995-06-30	VYDAJ	VYBER	15	21876	SLUZBY	\N	\N
966225	3292	1995-07-31	VYDAJ	VYBER	15	19683	SLUZBY	\N	\N
966226	3292	1995-08-31	VYDAJ	VYBER	15	20487	SLUZBY	\N	\N
966227	3292	1995-09-30	VYDAJ	VYBER	15	16431	SLUZBY	\N	\N
966228	3292	1995-10-31	VYDAJ	VYBER	15	18124	SLUZBY	\N	\N
966229	3292	1995-11-30	VYDAJ	VYBER	15	19823	SLUZBY	\N	\N
966230	3292	1995-12-31	VYDAJ	VYBER	15	20979	SLUZBY	\N	\N
966231	3292	1996-01-31	VYDAJ	VYBER	15	18078	SLUZBY	\N	\N
966232	3292	1996-02-29	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
966233	3292	1996-03-31	VYDAJ	VYBER	15	21484	SLUZBY	\N	\N
966234	3292	1996-04-30	VYDAJ	VYBER	15	22395	SLUZBY	\N	\N
966235	3292	1996-05-31	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
966236	3292	1996-06-30	VYDAJ	VYBER	15	24071	SLUZBY	\N	\N
966237	3292	1996-07-31	VYDAJ	VYBER	15	18161	SLUZBY	\N	\N
966238	3292	1996-08-31	VYDAJ	VYBER	15	19861	SLUZBY	\N	\N
966239	3292	1996-09-30	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
966240	3292	1996-10-31	VYDAJ	VYBER	15	21776	SLUZBY	\N	\N
966241	3292	1996-11-30	VYDAJ	VYBER	15	20582	SLUZBY	\N	\N
966242	3292	1996-12-31	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
966243	3292	1997-01-31	VYDAJ	VYBER	15	16014	SLUZBY	\N	\N
966244	3292	1997-02-28	VYDAJ	VYBER	15	14094	SLUZBY	\N	\N
966245	3292	1997-03-31	VYDAJ	VYBER	15	14574	SLUZBY	\N	\N
966246	3292	1997-04-30	VYDAJ	VYBER	15	15957	SLUZBY	\N	\N
966247	3292	1997-05-31	VYDAJ	VYBER	15	15941	SLUZBY	\N	\N
966248	3292	1997-06-30	VYDAJ	VYBER	15	17631	SLUZBY	\N	\N
966249	3292	1997-07-31	VYDAJ	VYBER	15	17222	SLUZBY	\N	\N
966250	3292	1997-08-31	VYDAJ	VYBER	15	14805	SLUZBY	\N	\N
966251	3292	1997-09-30	VYDAJ	VYBER	15	16490	SLUZBY	\N	\N
966252	3292	1997-10-31	VYDAJ	VYBER	15	18182	SLUZBY	\N	\N
966253	3292	1997-11-30	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
966254	3292	1997-12-31	VYDAJ	VYBER	15	18203	SLUZBY	\N	\N
966255	3292	1998-01-31	VYDAJ	VYBER	15	19902	SLUZBY	\N	\N
966256	3292	1998-02-28	VYDAJ	VYBER	15	21608	SLUZBY	\N	\N
966257	3292	1998-03-31	VYDAJ	VYBER	15	20113	SLUZBY	\N	\N
966258	3292	1998-04-30	VYDAJ	VYBER	15	21819	SLUZBY	\N	\N
966259	3292	1998-05-31	VYDAJ	VYBER	15	21528	SLUZBY	\N	\N
966260	3292	1998-06-30	VYDAJ	VYBER	15	20239	SLUZBY	\N	\N
966261	3292	1998-07-31	VYDAJ	VYBER	15	21947	SLUZBY	\N	\N
966262	3292	1998-08-31	VYDAJ	VYBER	15	21338	SLUZBY	\N	\N
966263	3292	1998-09-30	VYDAJ	VYBER	15	20885	SLUZBY	\N	\N
966264	3292	1998-10-31	VYDAJ	VYBER	15	22594	SLUZBY	\N	\N
966265	3292	1998-11-30	VYDAJ	VYBER	15	24311	SLUZBY	\N	\N
966266	3292	1994-07-19	VYDAJ	VYBER	100	21284	\N	\N	\N
966267	3292	1994-09-17	VYDAJ	VYBER	600	24105	\N	\N	\N
966268	3292	1994-12-16	VYDAJ	VYBER	2400	25219	\N	\N	\N
966269	3292	1995-03-16	VYDAJ	VYBER	700	23470	\N	\N	\N
966270	3292	1995-04-15	VYDAJ	VYBER	600	23707	\N	\N	\N
966271	3292	1995-05-15	VYDAJ	VYBER	600	24825	\N	\N	\N
966272	3292	1995-07-14	VYDAJ	VYBER	3900	19611	\N	\N	\N
966273	3292	1995-08-13	VYDAJ	VYBER	900	20418	\N	\N	\N
966274	3292	1996-04-09	VYDAJ	VYBER	800	20684	\N	\N	\N
966275	3292	1996-07-08	VYDAJ	VYBER	2900	21171	\N	\N	\N
966276	3292	1996-10-06	VYDAJ	VYBER	1500	20067	\N	\N	\N
966277	3292	1996-11-05	VYDAJ	VYBER	2900	18876	\N	\N	\N
966278	3292	1996-12-05	VYDAJ	VYBER	5000	15582	\N	\N	\N
966279	3292	1997-01-04	VYDAJ	VYBER	100	15925	\N	\N	\N
966280	3292	1997-02-03	VYDAJ	VYBER	3600	12414	\N	\N	\N
966281	3292	1997-04-04	VYDAJ	VYBER	300	14274	\N	\N	\N
966282	3292	1997-05-04	VYDAJ	VYBER	1700	14257	\N	\N	\N
966283	3292	1997-07-03	VYDAJ	VYBER	2100	15531	\N	\N	\N
966284	3292	1997-08-02	VYDAJ	VYBER	3700	13522	\N	\N	\N
966285	3292	1997-12-30	VYDAJ	VYBER	2000	18136	\N	\N	\N
966286	3292	1998-02-28	VYDAJ	VYBER	3200	18408	\N	\N	\N
966343	3293	1997-08-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
966351	3293	1997-08-10	PRIJEM	PREVOD Z UCTU	46012	47112	\N	UV	39071434
966352	3293	1997-09-10	PRIJEM	PREVOD Z UCTU	46012	77663	\N	UV	39071434
966353	3293	1997-10-10	PRIJEM	PREVOD Z UCTU	46012	95261	\N	UV	39071434
966354	3293	1997-11-10	PRIJEM	PREVOD Z UCTU	46012	103348	\N	UV	39071434
966355	3293	1997-12-10	PRIJEM	PREVOD Z UCTU	69018	132187	\N	UV	39071434
966356	3293	1998-01-10	PRIJEM	PREVOD Z UCTU	46012	65012	\N	UV	39071434
966357	3293	1998-02-10	PRIJEM	PREVOD Z UCTU	46012	56053	\N	UV	39071434
966358	3293	1998-03-10	PRIJEM	PREVOD Z UCTU	46012	75751	\N	UV	39071434
966359	3293	1998-04-10	PRIJEM	PREVOD Z UCTU	46012	86146	\N	UV	39071434
966360	3293	1998-05-10	PRIJEM	PREVOD Z UCTU	46012	69673	\N	UV	39071434
966361	3293	1998-06-10	PRIJEM	PREVOD Z UCTU	69018	87415	\N	UV	39071434
966362	3293	1998-07-10	PRIJEM	PREVOD Z UCTU	46012	82213	\N	UV	39071434
966363	3293	1998-08-10	PRIJEM	PREVOD Z UCTU	46012	85021	\N	UV	39071434
966364	3293	1998-09-10	PRIJEM	PREVOD Z UCTU	46012	81229	\N	UV	39071434
966365	3293	1998-10-10	PRIJEM	PREVOD Z UCTU	46012	73435	\N	UV	39071434
966366	3293	1998-11-10	PRIJEM	PREVOD Z UCTU	46012	76777	\N	UV	39071434
966367	3293	1998-12-10	PRIJEM	PREVOD Z UCTU	69018	102753	\N	UV	39071434
966379	3293	1997-12-25	VYDAJ	VYBER	11000	41441	\N	\N	0
966380	3293	1998-01-08	VYDAJ	VYBER	5600	22300	\N	\N	0
966381	3293	1998-02-07	VYDAJ	VYBER	7900	10041	\N	\N	0
966382	3293	1998-03-03	VYDAJ	VYBER	7100	48270	\N	\N	0
966383	3293	1998-04-07	VYDAJ	VYBER	10200	40134	\N	\N	0
966384	3293	1998-05-13	VYDAJ	VYBER	5900	62985	\N	\N	0
966385	3293	1998-06-13	VYDAJ	VYBER	6200	80994	\N	\N	0
966386	3293	1998-07-26	VYDAJ	VYBER	10000	71367	\N	\N	0
966387	3293	1998-08-13	VYDAJ	VYBER	5800	78433	\N	\N	0
966388	3293	1998-09-08	VYDAJ	VYBER	7700	35217	\N	\N	0
966389	3293	1998-10-11	VYDAJ	VYBER	9900	63535	\N	\N	0
966390	3293	1998-11-15	VYDAJ	VYBER	7800	68131	\N	\N	0
966391	3293	1998-12-12	VYDAJ	PREVOD NA UCET	7669	73926	UVER	AB	78677373
966404	3293	1998-01-06	VYDAJ	PREVOD NA UCET	3231	27900	SIPO	MN	12542009
966405	3293	1998-02-06	VYDAJ	PREVOD NA UCET	3231	17941	SIPO	MN	12542009
966406	3293	1998-03-06	VYDAJ	PREVOD NA UCET	3231	45039	SIPO	MN	12542009
966407	3293	1998-04-06	VYDAJ	PREVOD NA UCET	3231	50334	SIPO	MN	12542009
966408	3293	1998-05-06	VYDAJ	PREVOD NA UCET	3231	23661	SIPO	MN	12542009
966409	3293	1998-06-06	VYDAJ	PREVOD NA UCET	3231	18397	SIPO	MN	12542009
966410	3293	1998-07-06	VYDAJ	PREVOD NA UCET	3231	36201	SIPO	MN	12542009
966411	3293	1998-08-06	VYDAJ	PREVOD NA UCET	3231	39009	SIPO	MN	12542009
966412	3293	1998-09-06	VYDAJ	PREVOD NA UCET	3231	42917	SIPO	MN	12542009
966413	3293	1998-10-06	VYDAJ	PREVOD NA UCET	3231	27423	SIPO	MN	12542009
966414	3293	1998-11-06	VYDAJ	PREVOD NA UCET	3231	30765	SIPO	MN	12542009
966415	3293	1998-12-06	VYDAJ	PREVOD NA UCET	3231	33735	SIPO	MN	12542009
966427	3293	1997-12-13	VYDAJ	PREVOD NA UCET	567	56699	 	EF	86246293
966428	3293	1998-01-13	VYDAJ	PREVOD NA UCET	567	54924	 	EF	86246293
966429	3293	1998-02-13	VYDAJ	PREVOD NA UCET	567	55265	 	EF	86246293
966430	3293	1998-03-13	VYDAJ	PREVOD NA UCET	567	74963	 	EF	86246293
966431	3293	1998-04-13	VYDAJ	PREVOD NA UCET	567	85358	 	EF	86246293
966432	3293	1998-05-13	VYDAJ	PREVOD NA UCET	567	68885	 	EF	86246293
966433	3293	1998-06-13	VYDAJ	PREVOD NA UCET	567	80427	 	EF	86246293
966434	3293	1998-07-13	VYDAJ	PREVOD NA UCET	567	81425	 	EF	86246293
966435	3293	1998-08-13	VYDAJ	PREVOD NA UCET	567	84233	 	EF	86246293
966436	3293	1998-09-13	VYDAJ	PREVOD NA UCET	567	80441	 	EF	86246293
966437	3293	1998-10-13	VYDAJ	PREVOD NA UCET	567	62747	 	EF	86246293
966438	3293	1998-11-13	VYDAJ	PREVOD NA UCET	567	75989	 	EF	86246293
966439	3293	1998-12-13	VYDAJ	PREVOD NA UCET	567	73138	 	EF	86246293
966451	3293	1997-12-14	VYDAJ	PREVOD NA UCET	58	56641	POJISTNE	WX	16846144
966452	3293	1998-01-14	VYDAJ	PREVOD NA UCET	58	54866	POJISTNE	WX	16846144
966453	3293	1998-02-14	VYDAJ	PREVOD NA UCET	58	55207	POJISTNE	WX	16846144
966454	3293	1998-03-14	VYDAJ	PREVOD NA UCET	58	74905	POJISTNE	WX	16846144
966455	3293	1998-04-14	VYDAJ	PREVOD NA UCET	58	85300	POJISTNE	WX	16846144
966456	3293	1998-05-14	VYDAJ	PREVOD NA UCET	58	62927	POJISTNE	WX	16846144
966457	3293	1998-06-14	VYDAJ	PREVOD NA UCET	58	80369	POJISTNE	WX	16846144
966458	3293	1998-07-14	VYDAJ	PREVOD NA UCET	58	81367	POJISTNE	WX	16846144
966459	3293	1998-08-14	VYDAJ	PREVOD NA UCET	58	78375	POJISTNE	WX	16846144
966460	3293	1998-09-14	VYDAJ	PREVOD NA UCET	58	80383	POJISTNE	WX	16846144
966461	3293	1998-10-14	VYDAJ	PREVOD NA UCET	58	62689	POJISTNE	WX	16846144
966462	3293	1998-11-14	VYDAJ	PREVOD NA UCET	58	75931	POJISTNE	WX	16846144
966463	3293	1998-12-14	VYDAJ	PREVOD NA UCET	58	73080	POJISTNE	WX	16846144
966475	3293	1997-12-12	VYDAJ	PREVOD NA UCET	221	68666	 	CD	46667754
966476	3293	1998-01-12	VYDAJ	PREVOD NA UCET	221	59991	 	CD	46667754
966477	3293	1998-02-12	VYDAJ	PREVOD NA UCET	221	55832	 	CD	46667754
966478	3293	1998-03-12	VYDAJ	PREVOD NA UCET	221	75530	 	CD	46667754
966479	3293	1998-04-12	VYDAJ	PREVOD NA UCET	221	85925	 	CD	46667754
966480	3293	1998-05-12	VYDAJ	PREVOD NA UCET	221	69452	 	CD	46667754
966481	3293	1998-06-12	VYDAJ	PREVOD NA UCET	221	87194	 	CD	46667754
966482	3293	1998-07-12	VYDAJ	PREVOD NA UCET	221	81992	 	CD	46667754
966483	3293	1998-08-12	VYDAJ	PREVOD NA UCET	221	84800	 	CD	46667754
966484	3293	1998-09-12	VYDAJ	PREVOD NA UCET	221	81008	 	CD	46667754
966485	3293	1998-10-12	VYDAJ	PREVOD NA UCET	221	63314	 	CD	46667754
966486	3293	1998-11-12	VYDAJ	PREVOD NA UCET	221	76556	 	CD	46667754
966487	3293	1998-12-12	VYDAJ	PREVOD NA UCET	221	73705	 	CD	46667754
966489	3293	1998-10-31	VYBER	VYBER	13107	49811	\N	\N	\N
966490	3293	1998-04-15	VYBER	VYBER	10047	75253	\N	\N	\N
966491	3293	1998-09-20	VYBER	VYBER	12387	67996	\N	\N	\N
966492	3293	1998-04-19	VYBER	VYBER	14857	46662	\N	\N	\N
966493	3293	1998-01-27	VYBER	VYBER	19257	26309	\N	\N	\N
966494	3293	1998-09-27	VYBER	VYBER	24901	43095	\N	\N	\N
966495	3293	1998-05-05	VYBER	VYBER	11605	35292	\N	\N	\N
966497	3293	1998-12-11	VYBER	VYBER	21158	81595	\N	\N	\N
966498	3293	1998-04-16	VYBER	VYBER	13734	61519	\N	\N	\N
966499	3293	1998-06-30	VYBER	VYBER	24593	56046	\N	\N	\N
966501	3293	1998-06-03	VYDAJ	VYBER	27000	22928	\N	\N	\N
966504	3293	1997-12-25	VYDAJ	VYBER	4200	52441	\N	\N	\N
966505	3293	1998-12-23	VYDAJ	VYBER	4800	68280	\N	\N	\N
966512	3293	1998-01-19	VYDAJ	VYBER	3600	51266	\N	\N	\N
966513	3293	1998-01-13	VYDAJ	VYBER	4500	55491	\N	\N	\N
966514	3293	1998-01-28	VYDAJ	VYBER	8100	18209	\N	\N	\N
966515	3293	1998-01-25	VYDAJ	VYBER	5700	45566	\N	\N	\N
966516	3293	1998-01-09	VYDAJ	VYBER	3300	19000	\N	\N	\N
966517	3293	1998-01-12	VYDAJ	VYBER	4800	60212	\N	\N	\N
966520	3293	1997-12-13	VYDAJ	VYBER	11400	57266	\N	\N	\N
966522	3293	1998-05-23	VYDAJ	VYBER	13200	49727	\N	\N	\N
966523	3293	1998-07-29	VYDAJ	VYBER	6300	65067	\N	\N	\N
966524	3293	1998-08-30	VYDAJ	VYBER	6600	71775	\N	\N	\N
966525	3293	1998-12-26	VYDAJ	VYBER KARTOU	3300	64980	\N	\N	0
966526	3293	1998-11-26	VYDAJ	VYBER	10500	57631	\N	\N	\N
966527	3293	1998-08-02	VYDAJ	VYBER KARTOU	3300	62040	\N	\N	0
966540	3293	1997-12-31	VYDAJ	VYBER	15	41731	SLUZBY	\N	\N
966541	3293	1998-01-31	VYDAJ	VYBER	15	18372	SLUZBY	\N	\N
966542	3293	1998-02-28	VYDAJ	VYBER	15	55370	SLUZBY	\N	\N
966543	3293	1998-03-31	VYDAJ	VYBER	15	75165	SLUZBY	\N	\N
966544	3293	1998-04-30	VYDAJ	VYBER	15	46897	SLUZBY	\N	\N
966545	3293	1998-05-31	VYDAJ	VYBER	15	49928	SLUZBY	\N	\N
966546	3293	1998-06-30	VYDAJ	VYBER	15	56032	SLUZBY	\N	\N
966547	3293	1998-07-31	VYDAJ	VYBER	15	65340	SLUZBY	\N	\N
966548	3293	1998-08-31	VYDAJ	VYBER	15	72048	SLUZBY	\N	\N
966549	3293	1998-09-30	VYDAJ	VYBER	15	43354	SLUZBY	\N	\N
966550	3293	1998-10-31	VYDAJ	VYBER	15	49796	SLUZBY	\N	\N
966551	3293	1998-11-30	VYDAJ	VYBER	15	57866	SLUZBY	\N	\N
966552	3293	1997-09-07	VYDAJ	VYBER	15600	31651	\N	\N	\N
966553	3293	1997-10-07	VYDAJ	VYBER	28700	49249	\N	\N	\N
966554	3293	1997-11-06	VYDAJ	VYBER	38300	57336	\N	\N	\N
966555	3293	1997-12-06	VYDAJ	VYBER	40600	63169	\N	\N	\N
966556	3293	1997-12-10	VYDAJ	VYBER	16400	115787	\N	\N	\N
966557	3293	1997-12-12	VYDAJ	VYBER	46900	68887	\N	\N	\N
966558	3293	1998-01-05	VYDAJ	VYBER	10600	31131	\N	\N	\N
966559	3293	1998-02-04	PRIJEM	VKLAD	2800	21172	\N	\N	\N
966560	3293	1998-03-06	VYDAJ	VYBER	15300	29739	\N	\N	\N
966561	3293	1998-04-05	VYDAJ	VYBER	21600	53565	\N	\N	\N
966562	3293	1998-05-05	VYDAJ	VYBER	8400	26892	\N	\N	\N
966563	3293	1998-06-04	VYDAJ	VYBER	1300	21628	\N	\N	\N
966564	3293	1998-07-04	VYDAJ	VYBER	16600	39432	\N	\N	\N
966565	3293	1998-08-03	VYDAJ	VYBER	19800	42240	\N	\N	\N
966566	3293	1998-09-02	VYDAJ	VYBER	25900	46148	\N	\N	\N
966567	3293	1998-10-02	VYDAJ	VYBER	12700	30654	\N	\N	\N
966568	3293	1998-11-01	VYDAJ	VYBER	15800	33996	\N	\N	\N
966569	3293	1998-12-01	VYDAJ	VYBER	20900	36966	\N	\N	\N
966587	3294	1996-04-09	PRIJEM	VKLAD	900	900	\N	\N	\N
966591	3294	1996-04-10	PRIJEM	VKLAD	10641	11541	\N	\N	\N
966592	3294	1996-05-10	PRIJEM	VKLAD	10641	31616	\N	\N	\N
966593	3294	1996-06-10	PRIJEM	VKLAD	15962	44885	\N	\N	\N
966594	3294	1996-07-10	PRIJEM	VKLAD	10641	47597	\N	\N	\N
966595	3294	1996-08-10	PRIJEM	VKLAD	10641	51233	\N	\N	\N
966596	3294	1996-09-10	PRIJEM	VKLAD	10641	41999	\N	\N	\N
966597	3294	1996-10-10	PRIJEM	VKLAD	10641	38933	\N	\N	\N
966598	3294	1996-11-10	PRIJEM	VKLAD	10641	30371	\N	\N	\N
966599	3294	1996-12-10	PRIJEM	VKLAD	15962	41279	\N	\N	\N
966600	3294	1997-01-10	PRIJEM	VKLAD	10641	37626	\N	\N	\N
966601	3294	1997-02-10	PRIJEM	VKLAD	10641	35101	\N	\N	\N
966602	3294	1997-03-10	PRIJEM	VKLAD	10641	39352	\N	\N	\N
966603	3294	1997-04-10	PRIJEM	VKLAD	10641	42724	\N	\N	\N
966604	3294	1997-05-10	PRIJEM	VKLAD	10641	49852	\N	\N	\N
966605	3294	1997-06-10	PRIJEM	VKLAD	15962	27268	\N	\N	\N
966606	3294	1997-07-10	PRIJEM	VKLAD	10641	43146	\N	\N	\N
966607	3294	1997-08-10	PRIJEM	VKLAD	10641	52866	\N	\N	\N
966608	3294	1997-09-10	PRIJEM	VKLAD	10641	55031	\N	\N	\N
966609	3294	1997-10-10	PRIJEM	VKLAD	10641	56847	\N	\N	\N
966610	3294	1997-11-10	PRIJEM	VKLAD	10641	57632	\N	\N	\N
966611	3294	1997-12-10	PRIJEM	VKLAD	15962	61064	\N	\N	\N
966612	3294	1998-01-10	PRIJEM	VKLAD	10641	61927	\N	\N	\N
966613	3294	1998-02-10	PRIJEM	VKLAD	10641	59806	\N	\N	\N
966614	3294	1998-03-10	PRIJEM	VKLAD	10641	59405	\N	\N	\N
966615	3294	1998-04-10	PRIJEM	VKLAD	10641	58503	\N	\N	\N
966616	3294	1998-05-10	PRIJEM	VKLAD	10641	56997	\N	\N	\N
966617	3294	1998-06-10	PRIJEM	VKLAD	15962	64706	\N	\N	\N
966618	3294	1998-07-10	PRIJEM	VKLAD	10641	43056	\N	\N	\N
966619	3294	1998-08-10	PRIJEM	VKLAD	10641	55692	\N	\N	\N
966620	3294	1998-09-10	PRIJEM	VKLAD	10641	54530	\N	\N	\N
966621	3294	1998-10-10	PRIJEM	VKLAD	10641	56708	\N	\N	\N
966622	3294	1998-11-10	PRIJEM	VKLAD	10641	50989	\N	\N	\N
966623	3294	1998-12-10	PRIJEM	VKLAD	15962	55070	\N	\N	\N
966632	3294	1996-09-07	VYDAJ	PREVOD NA UCET	6369	31358	SIPO	QR	51399004
966633	3294	1996-10-07	VYDAJ	PREVOD NA UCET	6369	28292	SIPO	QR	51399004
966634	3294	1996-11-07	VYDAJ	PREVOD NA UCET	6369	25610	SIPO	QR	51399004
966635	3294	1996-12-07	VYDAJ	PREVOD NA UCET	6369	25317	SIPO	QR	51399004
966636	3294	1997-01-07	VYDAJ	PREVOD NA UCET	6369	29625	SIPO	QR	51399004
966637	3294	1997-02-07	VYDAJ	PREVOD NA UCET	6369	24460	SIPO	QR	51399004
966638	3294	1997-03-07	VYDAJ	PREVOD NA UCET	6369	28711	SIPO	QR	51399004
966639	3294	1997-04-07	VYDAJ	PREVOD NA UCET	6369	32083	SIPO	QR	51399004
966640	3294	1997-05-07	VYDAJ	PREVOD NA UCET	6369	39211	SIPO	QR	51399004
966641	3294	1997-06-07	VYDAJ	PREVOD NA UCET	6369	11306	SIPO	QR	51399004
966642	3294	1997-07-07	VYDAJ	PREVOD NA UCET	6369	32505	SIPO	QR	51399004
966643	3294	1997-08-07	VYDAJ	PREVOD NA UCET	6369	42225	SIPO	QR	51399004
966644	3294	1997-09-07	VYDAJ	PREVOD NA UCET	6369	44390	SIPO	QR	51399004
966645	3294	1997-10-07	VYDAJ	PREVOD NA UCET	6369	46206	SIPO	QR	51399004
966646	3294	1997-11-07	VYDAJ	PREVOD NA UCET	6369	46991	SIPO	QR	51399004
966647	3294	1997-12-07	VYDAJ	PREVOD NA UCET	6369	49582	SIPO	QR	51399004
966648	3294	1998-01-07	VYDAJ	PREVOD NA UCET	6369	51286	SIPO	QR	51399004
966649	3294	1998-02-07	VYDAJ	PREVOD NA UCET	6369	49165	SIPO	QR	51399004
966650	3294	1998-03-07	VYDAJ	PREVOD NA UCET	6369	48764	SIPO	QR	51399004
966651	3294	1998-04-07	VYDAJ	PREVOD NA UCET	6369	47862	SIPO	QR	51399004
966652	3294	1998-05-07	VYDAJ	PREVOD NA UCET	6369	46356	SIPO	QR	51399004
966653	3294	1998-06-07	VYDAJ	PREVOD NA UCET	6369	48744	SIPO	QR	51399004
966654	3294	1998-07-07	VYDAJ	PREVOD NA UCET	6369	32415	SIPO	QR	51399004
966655	3294	1998-08-07	VYDAJ	PREVOD NA UCET	6369	45051	SIPO	QR	51399004
966656	3294	1998-09-07	VYDAJ	PREVOD NA UCET	6369	43889	SIPO	QR	51399004
966657	3294	1998-10-07	VYDAJ	PREVOD NA UCET	6369	46067	SIPO	QR	51399004
966658	3294	1998-11-07	VYDAJ	PREVOD NA UCET	6369	40348	SIPO	QR	51399004
966659	3294	1998-12-07	VYDAJ	PREVOD NA UCET	6369	39108	SIPO	QR	51399004
966661	3294	1997-06-06	VYDAJ	VYBER	32960	17675	\N	\N	\N
966662	3294	1998-06-20	VYDAJ	VYBER	31360	33346	\N	\N	\N
966663	3294	1996-12-18	VYDAJ	VYBER	4320	36959	\N	\N	\N
966664	3294	1997-12-08	VYDAJ	VYBER	4480	45102	\N	\N	\N
966665	3294	1998-12-07	VYDAJ	VYBER KARTOU	1100	45477	\N	\N	0
966672	3294	1997-01-07	VYDAJ	VYBER	2640	26985	\N	\N	\N
966673	3294	1997-01-11	VYDAJ	VYBER	2160	35466	\N	\N	\N
966674	3294	1997-01-24	VYDAJ	VYBER	1200	29706	\N	\N	\N
966675	3294	1997-01-30	VYDAJ	VYBER	2400	27306	\N	\N	\N
966676	3294	1997-01-21	VYDAJ	VYBER	2880	30906	\N	\N	\N
966677	3294	1997-01-19	VYDAJ	VYBER	1680	33786	\N	\N	\N
966678	3294	1998-01-24	VYDAJ	VYBER	2160	56887	\N	\N	\N
966679	3294	1998-01-18	VYDAJ	VYBER	1440	59047	\N	\N	\N
966680	3294	1998-01-01	VYDAJ	VYBER	3360	58735	\N	\N	\N
966681	3294	1998-01-30	VYDAJ	VYBER	2280	55307	\N	\N	\N
966682	3294	1998-01-02	VYDAJ	VYBER	1080	57655	\N	\N	\N
966683	3294	1998-01-15	VYDAJ	VYBER	1440	60487	\N	\N	\N
966685	3294	1996-09-05	VYDAJ	VYBER	3000	48427	\N	\N	\N
966687	3294	1996-11-08	VYDAJ	VYBER	5880	19730	\N	\N	\N
966690	3294	1997-09-16	VYDAJ	VYBER	2160	52871	\N	\N	\N
966691	3294	1997-02-25	VYDAJ	VYBER	2040	33061	\N	\N	\N
966692	3294	1997-04-06	VYDAJ	VYBER	840	38452	\N	\N	\N
966693	3294	1997-10-21	VYDAJ	VYBER	1200	55647	\N	\N	\N
966694	3294	1998-08-25	VYDAJ	VYBER	4440	50552	\N	\N	\N
966695	3294	1998-05-01	VYDAJ	VYBER KARTOU	2600	52725	\N	\N	0
966696	3294	1998-10-01	VYDAJ	VYBER KARTOU	2200	52436	\N	\N	0
966697	3294	1998-07-03	VYDAJ	VYBER	4560	38784	\N	\N	\N
966698	3294	1998-08-10	VYDAJ	VYBER KARTOU	700	54992	\N	\N	0
966699	3294	1998-11-01	VYDAJ	VYBER	4200	46717	\N	\N	\N
966708	3294	1996-08-31	VYDAJ	VYBER	15	51427	SLUZBY	\N	\N
966709	3294	1996-09-30	VYDAJ	VYBER	15	42161	SLUZBY	\N	\N
966710	3294	1996-10-31	VYDAJ	VYBER	15	39079	SLUZBY	\N	\N
966711	3294	1996-11-30	VYDAJ	VYBER	15	30486	SLUZBY	\N	\N
966712	3294	1996-12-31	VYDAJ	VYBER	15	37094	SLUZBY	\N	\N
966713	3294	1997-01-31	VYDAJ	VYBER	15	27429	SLUZBY	\N	\N
966714	3294	1997-02-28	VYDAJ	VYBER	15	33180	SLUZBY	\N	\N
966715	3294	1997-03-31	VYDAJ	VYBER	15	39492	SLUZBY	\N	\N
966716	3294	1997-04-30	VYDAJ	VYBER	15	42880	SLUZBY	\N	\N
966717	3294	1997-05-31	VYDAJ	VYBER	15	50035	SLUZBY	\N	\N
966718	3294	1997-06-30	VYDAJ	VYBER	15	27374	SLUZBY	\N	\N
966719	3294	1997-07-31	VYDAJ	VYBER	15	43294	SLUZBY	\N	\N
966720	3294	1997-08-31	VYDAJ	VYBER	15	53059	SLUZBY	\N	\N
966721	3294	1997-09-30	VYDAJ	VYBER	15	53075	SLUZBY	\N	\N
966722	3294	1997-10-31	VYDAJ	VYBER	15	55860	SLUZBY	\N	\N
966723	3294	1997-11-30	VYDAJ	VYBER	15	55951	SLUZBY	\N	\N
966724	3294	1997-12-31	VYDAJ	VYBER	15	62095	SLUZBY	\N	\N
966725	3294	1998-01-31	VYDAJ	VYBER	15	55534	SLUZBY	\N	\N
966726	3294	1998-02-28	VYDAJ	VYBER	15	55133	SLUZBY	\N	\N
966727	3294	1998-03-31	VYDAJ	VYBER	15	54231	SLUZBY	\N	\N
966728	3294	1998-04-30	VYDAJ	VYBER	15	55325	SLUZBY	\N	\N
966729	3294	1998-05-31	VYDAJ	VYBER	15	55113	SLUZBY	\N	\N
966730	3294	1998-06-30	VYDAJ	VYBER	15	43344	SLUZBY	\N	\N
966731	3294	1998-07-31	VYDAJ	VYBER	15	51420	SLUZBY	\N	\N
966732	3294	1998-08-31	VYDAJ	VYBER	15	50258	SLUZBY	\N	\N
966733	3294	1998-09-30	VYDAJ	VYBER	15	54636	SLUZBY	\N	\N
966734	3294	1998-10-31	VYDAJ	VYBER	15	50917	SLUZBY	\N	\N
966735	3294	1998-11-30	VYDAJ	VYBER	15	46577	SLUZBY	\N	\N
966736	3294	1996-05-09	PRIJEM	VKLAD	9400	20975	\N	\N	\N
966737	3294	1996-06-08	VYDAJ	VYBER	2800	28923	\N	\N	\N
966738	3294	1996-07-08	VYDAJ	VYBER	8100	36956	\N	\N	\N
966739	3294	1996-08-07	VYDAJ	VYBER	7200	40592	\N	\N	\N
966740	3294	1996-09-06	VYDAJ	VYBER	10700	37727	\N	\N	\N
966741	3294	1996-10-06	VYDAJ	VYBER	7500	34661	\N	\N	\N
966742	3294	1996-11-05	VYDAJ	VYBER	7100	31979	\N	\N	\N
966743	3294	1996-12-05	PRIJEM	VKLAD	1200	31686	\N	\N	\N
966744	3294	1997-01-04	VYDAJ	VYBER	1100	35994	\N	\N	\N
966745	3294	1997-02-03	PRIJEM	VKLAD	3400	30829	\N	\N	\N
966746	3294	1997-03-05	PRIJEM	VKLAD	1900	35080	\N	\N	\N
966747	3294	1997-04-04	VYDAJ	VYBER	200	39292	\N	\N	\N
966748	3294	1997-05-04	PRIJEM	VKLAD	2700	45580	\N	\N	\N
966749	3294	1997-06-03	PRIJEM	VKLAD	600	50635	\N	\N	\N
966750	3294	1997-07-03	PRIJEM	VKLAD	11500	38874	\N	\N	\N
966751	3294	1997-08-02	PRIJEM	VKLAD	5300	48594	\N	\N	\N
966752	3294	1997-09-01	VYDAJ	VYBER	2300	50759	\N	\N	\N
966753	3294	1997-10-01	VYDAJ	VYBER	500	52575	\N	\N	\N
966754	3294	1997-10-31	VYDAJ	VYBER	2500	53360	\N	\N	\N
966755	3294	1997-11-30	VYDAJ	VYBER	1900	55966	\N	\N	\N
966756	3294	1997-12-30	PRIJEM	VKLAD	800	61864	\N	\N	\N
966757	3294	1998-01-29	PRIJEM	VKLAD	700	57587	\N	\N	\N
966758	3294	1998-02-28	VYDAJ	VYBER	4900	55148	\N	\N	\N
966759	3294	1998-03-30	VYDAJ	VYBER	5400	54005	\N	\N	\N
966760	3294	1998-04-29	VYDAJ	VYBER KARTOU	3400	55103	\N	\N	0
966761	3294	1998-05-29	VYDAJ	VYBER KARTOU	2100	54897	\N	\N	0
966762	3294	1998-06-28	PRIJEM	VKLAD	9800	43146	\N	\N	\N
966763	3294	1998-07-28	PRIJEM	VKLAD	8200	51256	\N	\N	\N
966764	3294	1998-08-27	VYDAJ	VYBER KARTOU	500	50052	\N	\N	0
966765	3294	1998-09-26	VYDAJ	VYBER KARTOU	100	54430	\N	\N	0
966766	3294	1998-10-26	VYDAJ	VYBER	6000	50708	\N	\N	\N
966767	3294	1998-11-25	VYDAJ	VYBER	4600	46389	\N	\N	\N
967235	3296	1996-03-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
967239	3296	1996-04-14	PRIJEM	PREVOD Z UCTU	46088	47088	\N	OP	15184885
967240	3296	1996-05-14	PRIJEM	PREVOD Z UCTU	46088	83564	\N	OP	15184885
967241	3296	1996-06-14	PRIJEM	PREVOD Z UCTU	69132	109893	\N	OP	15184885
967242	3296	1996-07-14	PRIJEM	PREVOD Z UCTU	46088	96365	\N	OP	15184885
967243	3296	1996-08-14	PRIJEM	PREVOD Z UCTU	46088	107523	\N	OP	15184885
967244	3296	1996-09-14	PRIJEM	PREVOD Z UCTU	46088	90093	\N	OP	15184885
967245	3296	1996-10-14	PRIJEM	PREVOD Z UCTU	46088	98052	\N	OP	15184885
967246	3296	1996-11-14	PRIJEM	PREVOD Z UCTU	46088	104263	\N	OP	15184885
967247	3296	1996-12-14	PRIJEM	PREVOD Z UCTU	69132	92094	\N	OP	15184885
967248	3296	1997-01-14	PRIJEM	PREVOD Z UCTU	46088	70197	\N	OP	15184885
967249	3296	1997-02-14	PRIJEM	PREVOD Z UCTU	46088	68767	\N	OP	15184885
967250	3296	1997-03-14	PRIJEM	PREVOD Z UCTU	46088	67384	\N	OP	15184885
967251	3296	1997-04-14	PRIJEM	PREVOD Z UCTU	46088	81467	\N	OP	15184885
967252	3296	1997-05-14	PRIJEM	PREVOD Z UCTU	46088	93782	\N	OP	15184885
967253	3296	1997-06-14	PRIJEM	PREVOD Z UCTU	69132	101757	\N	OP	15184885
967254	3296	1997-07-14	PRIJEM	PREVOD Z UCTU	46088	103834	\N	OP	15184885
967255	3296	1997-08-14	PRIJEM	PREVOD Z UCTU	46088	104664	\N	OP	15184885
967256	3296	1997-09-14	PRIJEM	PREVOD Z UCTU	46088	87303	\N	OP	15184885
967257	3296	1997-10-14	PRIJEM	PREVOD Z UCTU	46088	89560	\N	OP	15184885
967258	3296	1997-11-14	PRIJEM	PREVOD Z UCTU	46088	88932	\N	OP	15184885
967259	3296	1997-12-14	PRIJEM	PREVOD Z UCTU	69132	100991	\N	OP	15184885
967260	3296	1998-01-14	PRIJEM	PREVOD Z UCTU	46088	69355	\N	OP	15184885
967261	3296	1998-02-14	PRIJEM	PREVOD Z UCTU	46088	62645	\N	OP	15184885
967262	3296	1998-03-14	PRIJEM	PREVOD Z UCTU	46088	58420	\N	OP	15184885
967263	3296	1998-04-14	PRIJEM	PREVOD Z UCTU	46088	65669	\N	OP	15184885
967264	3296	1998-05-14	PRIJEM	PREVOD Z UCTU	46088	76114	\N	OP	15184885
967265	3296	1998-06-14	PRIJEM	PREVOD Z UCTU	69132	88257	\N	OP	15184885
967266	3296	1998-07-14	PRIJEM	PREVOD Z UCTU	46088	91033	\N	OP	15184885
967267	3296	1998-08-14	PRIJEM	PREVOD Z UCTU	46088	94602	\N	OP	15184885
967268	3296	1998-09-14	PRIJEM	PREVOD Z UCTU	46088	90311	\N	OP	15184885
967269	3296	1998-10-14	PRIJEM	PREVOD Z UCTU	46088	95665	\N	OP	15184885
967270	3296	1998-11-14	PRIJEM	PREVOD Z UCTU	46088	77529	\N	OP	15184885
967271	3296	1998-12-14	PRIJEM	PREVOD Z UCTU	69132	119399	\N	OP	15184885
967280	3296	1996-09-06	VYDAJ	PREVOD NA UCET	5091	64153	SIPO	CD	53869980
967281	3296	1996-10-06	VYDAJ	PREVOD NA UCET	5091	85312	SIPO	CD	53869980
967282	3296	1996-11-06	VYDAJ	PREVOD NA UCET	5091	93323	SIPO	CD	53869980
967283	3296	1996-12-06	VYDAJ	PREVOD NA UCET	5091	28710	SIPO	CD	53869980
967284	3296	1997-01-06	VYDAJ	PREVOD NA UCET	5091	70757	SIPO	CD	53869980
967285	3296	1997-02-06	VYDAJ	PREVOD NA UCET	5091	35027	SIPO	CD	53869980
967286	3296	1997-03-06	VYDAJ	PREVOD NA UCET	5091	63880	SIPO	CD	53869980
967287	3296	1997-04-06	VYDAJ	PREVOD NA UCET	5091	52027	SIPO	CD	53869980
967288	3296	1997-05-06	VYDAJ	PREVOD NA UCET	5091	76642	SIPO	CD	53869980
967289	3296	1997-06-06	VYDAJ	PREVOD NA UCET	5091	56573	SIPO	CD	53869980
967290	3296	1997-07-06	VYDAJ	PREVOD NA UCET	5091	96994	SIPO	CD	53869980
967291	3296	1997-08-06	VYDAJ	PREVOD NA UCET	5091	99124	SIPO	CD	53869980
967292	3296	1997-09-06	VYDAJ	PREVOD NA UCET	5091	73963	SIPO	CD	53869980
967293	3296	1997-10-06	VYDAJ	PREVOD NA UCET	5091	79220	SIPO	CD	53869980
967294	3296	1997-11-06	VYDAJ	PREVOD NA UCET	5091	52092	SIPO	CD	53869980
967295	3296	1997-12-06	VYDAJ	PREVOD NA UCET	5091	41107	SIPO	CD	53869980
967296	3296	1998-01-06	VYDAJ	PREVOD NA UCET	5091	54115	SIPO	CD	53869980
967297	3296	1998-02-06	VYDAJ	PREVOD NA UCET	5091	25805	SIPO	CD	53869980
967298	3296	1998-03-06	VYDAJ	PREVOD NA UCET	5091	21580	SIPO	CD	53869980
967299	3296	1998-04-06	VYDAJ	PREVOD NA UCET	5091	28829	SIPO	CD	53869980
967300	3296	1998-05-06	VYDAJ	PREVOD NA UCET	5091	39274	SIPO	CD	53869980
967301	3296	1998-06-06	VYDAJ	PREVOD NA UCET	5091	48473	SIPO	CD	53869980
967302	3296	1998-07-06	VYDAJ	PREVOD NA UCET	5091	58837	SIPO	CD	53869980
967303	3296	1998-08-06	VYDAJ	PREVOD NA UCET	5091	57762	SIPO	CD	53869980
967304	3296	1998-09-06	VYDAJ	PREVOD NA UCET	5091	53471	SIPO	CD	53869980
967305	3296	1998-10-06	VYDAJ	PREVOD NA UCET	5091	58825	SIPO	CD	53869980
967306	3296	1998-11-06	VYDAJ	PREVOD NA UCET	5091	55852	SIPO	CD	53869980
967307	3296	1998-12-06	VYDAJ	PREVOD NA UCET	5091	59515	SIPO	CD	53869980
967316	3296	1996-09-09	VYDAJ	PREVOD NA UCET	9248	54905	 	GH	2751821
967317	3296	1996-10-09	VYDAJ	PREVOD NA UCET	9248	76064	 	GH	2751821
967318	3296	1996-11-09	VYDAJ	PREVOD NA UCET	9248	84075	 	GH	2751821
967319	3296	1996-12-09	VYDAJ	PREVOD NA UCET	9248	19462	 	GH	2751821
967320	3296	1997-01-09	VYDAJ	PREVOD NA UCET	9248	61509	 	GH	2751821
967321	3296	1997-02-09	VYDAJ	PREVOD NA UCET	9248	22679	 	GH	2751821
967322	3296	1997-03-09	VYDAJ	PREVOD NA UCET	9248	54632	 	GH	2751821
967323	3296	1997-04-09	VYDAJ	PREVOD NA UCET	9248	35379	 	GH	2751821
967324	3296	1997-05-09	VYDAJ	PREVOD NA UCET	9248	47694	 	GH	2751821
967325	3296	1997-06-09	VYDAJ	PREVOD NA UCET	9248	32625	 	GH	2751821
967326	3296	1997-07-09	VYDAJ	PREVOD NA UCET	9248	57746	 	GH	2751821
967327	3296	1997-08-09	VYDAJ	PREVOD NA UCET	9248	58576	 	GH	2751821
967328	3296	1997-09-09	VYDAJ	PREVOD NA UCET	9248	41215	 	GH	2751821
967329	3296	1997-10-09	VYDAJ	PREVOD NA UCET	9248	43472	 	GH	2751821
967330	3296	1997-11-09	VYDAJ	PREVOD NA UCET	9248	42844	 	GH	2751821
967331	3296	1997-12-09	VYDAJ	PREVOD NA UCET	9248	31859	 	GH	2751821
967332	3296	1998-01-09	VYDAJ	PREVOD NA UCET	9248	44867	 	GH	2751821
967333	3296	1998-02-09	VYDAJ	PREVOD NA UCET	9248	16557	 	GH	2751821
967334	3296	1998-03-09	VYDAJ	PREVOD NA UCET	9248	12332	 	GH	2751821
967335	3296	1998-04-09	VYDAJ	PREVOD NA UCET	9248	19581	 	GH	2751821
967336	3296	1998-05-09	VYDAJ	PREVOD NA UCET	9248	30026	 	GH	2751821
967337	3296	1998-06-09	VYDAJ	PREVOD NA UCET	9248	19125	 	GH	2751821
967338	3296	1998-07-09	VYDAJ	PREVOD NA UCET	9248	49589	 	GH	2751821
967339	3296	1998-08-09	VYDAJ	PREVOD NA UCET	9248	48514	 	GH	2751821
967340	3296	1998-09-09	VYDAJ	PREVOD NA UCET	9248	44223	 	GH	2751821
967341	3296	1998-10-09	VYDAJ	PREVOD NA UCET	9248	49577	 	GH	2751821
967342	3296	1998-11-09	VYDAJ	PREVOD NA UCET	9248	46604	 	GH	2751821
967343	3296	1998-12-09	VYDAJ	PREVOD NA UCET	9248	50267	 	GH	2751821
967345	3296	1997-08-27	VYBER	VYBER	6193	84971	\N	\N	\N
967346	3296	1997-03-12	VYBER	VYBER	17736	21296	\N	\N	\N
967347	3296	1997-09-05	VYBER	VYBER	3550	79054	\N	\N	\N
967348	3296	1997-06-06	VYBER	VYBER	20734	61664	\N	\N	\N
967349	3296	1997-11-14	VYBER	VYBER	18599	70333	\N	\N	\N
967350	3296	1997-08-29	VYBER	VYBER	2730	82241	\N	\N	\N
967351	3296	1998-11-10	VYBER	VYBER	15163	31441	\N	\N	\N
967352	3296	1998-09-01	VYBER	VYBER	16171	78762	\N	\N	\N
967353	3296	1998-03-21	VYBER	VYBER	2024	43177	\N	\N	\N
967354	3296	1998-02-24	VYBER	VYBER	22224	32921	\N	\N	\N
967355	3296	1998-02-03	VYBER	VYBER	2287	44196	\N	\N	\N
967357	3296	1998-07-12	VYBER	VYBER	4644	44945	\N	\N	\N
967358	3296	1998-03-14	VYBER	VYBER	13219	45201	\N	\N	\N
967359	3296	1998-10-20	VYBER	VYBER	18925	76740	\N	\N	\N
967362	3296	1998-06-06	VYDAJ	VYBER	20100	28373	\N	\N	\N
967364	3296	1997-01-11	VYDAJ	VYBER	15900	24109	\N	\N	\N
967365	3296	1998-01-10	VYDAJ	VYBER	13200	31667	\N	\N	\N
967366	3296	1996-12-24	VYDAJ	VYBER	8700	83394	\N	\N	\N
967367	3296	1997-12-05	VYDAJ	VYBER KARTOU	3600	66998	\N	\N	0
967368	3296	1998-12-21	VYDAJ	VYBER	7800	60199	\N	\N	\N
967375	3296	1997-01-20	VYDAJ	VYBER	1800	55197	\N	\N	\N
967376	3296	1997-01-05	VYDAJ	VYBER	7800	75848	\N	\N	\N
967377	3296	1997-01-17	VYDAJ	VYBER	6300	56997	\N	\N	\N
967378	3296	1997-01-11	VYDAJ	VYBER	3000	40009	\N	\N	\N
967379	3296	1997-01-16	VYDAJ	VYBER	6900	63297	\N	\N	\N
967380	3296	1997-01-26	VYDAJ	VYBER	7800	39897	\N	\N	\N
967381	3296	1998-01-24	VYDAJ	VYBER KARTOU	2700	54055	\N	\N	0
967382	3296	1998-01-25	VYDAJ	VYBER	7800	46255	\N	\N	\N
967383	3296	1998-01-18	VYDAJ	VYBER	4500	64855	\N	\N	\N
967384	3296	1998-01-18	VYDAJ	VYBER	8100	56755	\N	\N	\N
967385	3296	1998-01-04	VYDAJ	VYBER	6900	59206	\N	\N	\N
967386	3296	1998-01-12	VYDAJ	VYBER KARTOU	1500	30167	\N	\N	0
967393	3296	1996-12-04	VYDAJ	VYBER	7800	33801	\N	\N	\N
967394	3296	1997-10-01	VYDAJ	VYBER KARTOU	3300	84311	\N	\N	0
967395	3296	1997-05-22	VYDAJ	VYBER	11700	82082	\N	\N	\N
967396	3296	1997-08-25	VYDAJ	VYBER	13500	91164	\N	\N	\N
967397	3296	1997-03-23	VYDAJ	VYBER	10500	56884	\N	\N	\N
967398	3296	1997-05-08	VYDAJ	VYBER	5100	71542	\N	\N	\N
967399	3296	1997-01-23	VYDAJ	VYBER	7500	47697	\N	\N	\N
967400	3296	1998-02-20	VYDAJ	VYBER	7500	55145	\N	\N	\N
967401	3296	1998-01-13	VYDAJ	VYBER	6900	23267	\N	\N	\N
967411	3296	1996-08-31	VYDAJ	VYBER	15	69244	SLUZBY	\N	\N
967412	3296	1996-09-30	VYDAJ	VYBER	15	90403	SLUZBY	\N	\N
967413	3296	1996-10-31	VYDAJ	VYBER	15	98414	SLUZBY	\N	\N
967414	3296	1996-11-30	VYDAJ	VYBER	15	41601	SLUZBY	\N	\N
967415	3296	1996-12-31	VYDAJ	VYBER	15	83648	SLUZBY	\N	\N
967416	3296	1997-01-31	VYDAJ	VYBER	15	40118	SLUZBY	\N	\N
967417	3296	1997-02-28	VYDAJ	VYBER	15	68971	SLUZBY	\N	\N
967418	3296	1997-03-31	VYDAJ	VYBER	15	57118	SLUZBY	\N	\N
967419	3296	1997-04-30	VYDAJ	VYBER	15	81733	SLUZBY	\N	\N
967420	3296	1997-05-31	VYDAJ	VYBER	15	82398	SLUZBY	\N	\N
967421	3296	1997-06-30	VYDAJ	VYBER	15	102085	SLUZBY	\N	\N
967422	3296	1997-07-31	VYDAJ	VYBER	15	104215	SLUZBY	\N	\N
967423	3296	1997-08-31	VYDAJ	VYBER	15	82604	SLUZBY	\N	\N
967424	3296	1997-09-30	VYDAJ	VYBER	15	87611	SLUZBY	\N	\N
967425	3296	1997-10-31	VYDAJ	VYBER	15	89883	SLUZBY	\N	\N
967426	3296	1997-11-30	VYDAJ	VYBER	15	70598	SLUZBY	\N	\N
967427	3296	1997-12-31	VYDAJ	VYBER	15	101306	SLUZBY	\N	\N
967428	3296	1998-01-31	VYDAJ	VYBER	15	46483	SLUZBY	\N	\N
967429	3296	1998-02-28	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
967430	3296	1998-03-31	VYDAJ	VYBER	15	43320	SLUZBY	\N	\N
967431	3296	1998-04-30	VYDAJ	VYBER	15	65865	SLUZBY	\N	\N
967432	3296	1998-05-31	VYDAJ	VYBER	15	76364	SLUZBY	\N	\N
967433	3296	1998-06-30	VYDAJ	VYBER	15	88528	SLUZBY	\N	\N
967434	3296	1998-07-31	VYDAJ	VYBER	15	91353	SLUZBY	\N	\N
967435	3296	1998-08-31	VYDAJ	VYBER	15	94933	SLUZBY	\N	\N
967436	3296	1998-09-30	VYDAJ	VYBER	15	90616	SLUZBY	\N	\N
967437	3296	1998-10-31	VYDAJ	VYBER	15	77043	SLUZBY	\N	\N
967438	3296	1998-11-30	VYDAJ	VYBER	15	77806	SLUZBY	\N	\N
967439	3296	1996-04-14	VYDAJ	VYBER	9700	37388	\N	\N	\N
967440	3296	1996-05-14	VYDAJ	VYBER	29100	54464	\N	\N	\N
967441	3296	1996-06-13	VYDAJ	VYBER	13900	40761	\N	\N	\N
967442	3296	1996-06-14	VYDAJ	VYBER	31700	78193	\N	\N	\N
967443	3296	1996-07-13	VYDAJ	VYBER	28200	50277	\N	\N	\N
967444	3296	1996-08-12	VYDAJ	VYBER	35300	61435	\N	\N	\N
967445	3296	1996-08-14	VYDAJ	VYBER	38600	68923	\N	\N	\N
967446	3296	1996-09-11	VYDAJ	VYBER	10900	44005	\N	\N	\N
967447	3296	1996-10-11	VYDAJ	VYBER	24100	51964	\N	\N	\N
967448	3296	1996-11-10	VYDAJ	VYBER	25900	58175	\N	\N	\N
967449	3296	1996-11-14	VYDAJ	VYBER	62900	41363	\N	\N	\N
967450	3296	1996-12-10	PRIJEM	VKLAD	3500	22962	\N	\N	\N
967451	3296	1997-01-09	VYDAJ	VYBER	18500	43009	\N	\N	\N
967452	3296	1997-02-08	VYDAJ	VYBER	3100	31927	\N	\N	\N
967453	3296	1997-03-10	VYDAJ	VYBER	15600	39032	\N	\N	\N
967454	3296	1997-04-09	VYDAJ	VYBER	7400	44627	\N	\N	\N
967455	3296	1997-05-09	VYDAJ	VYBER	14600	56942	\N	\N	\N
967456	3296	1997-06-08	VYDAJ	VYBER	14700	41873	\N	\N	\N
967457	3296	1997-07-08	VYDAJ	VYBER	30000	66994	\N	\N	\N
967458	3296	1997-08-07	VYDAJ	VYBER	31300	67824	\N	\N	\N
967459	3296	1997-09-06	VYDAJ	VYBER	23500	50463	\N	\N	\N
967460	3296	1997-10-06	VYDAJ	VYBER	26500	52720	\N	\N	\N
967461	3296	1997-11-05	VYDAJ	VYBER	32700	57183	\N	\N	\N
967462	3296	1997-12-05	VYDAJ	VYBER	20800	46198	\N	\N	\N
967463	3296	1998-01-04	VYDAJ	VYBER	35200	66106	\N	\N	\N
967464	3296	1998-02-03	VYDAJ	VYBER	13300	30896	\N	\N	\N
967465	3296	1998-03-05	VYDAJ	VYBER	6400	26671	\N	\N	\N
967466	3296	1998-04-04	VYDAJ	VYBER	9400	33920	\N	\N	\N
967467	3296	1998-05-04	VYDAJ	VYBER	21500	44365	\N	\N	\N
967468	3296	1998-06-03	VYDAJ	VYBER	22800	53564	\N	\N	\N
967469	3296	1998-07-03	VYDAJ	VYBER	24600	63928	\N	\N	\N
967470	3296	1998-08-02	VYDAJ	VYBER	28500	62853	\N	\N	\N
967471	3296	1998-09-01	VYDAJ	VYBER	20200	58562	\N	\N	\N
967472	3296	1998-10-01	VYDAJ	VYBER	26700	63916	\N	\N	\N
967473	3296	1998-10-31	VYDAJ	VYBER	16100	60943	\N	\N	\N
967474	3296	1998-11-30	VYDAJ	VYBER	13200	64606	\N	\N	\N
967475	3296	1998-12-14	VYDAJ	VYBER	51400	67999	\N	\N	\N
967509	3297	1995-02-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
967512	3297	1995-03-12	PRIJEM	VKLAD	15762	16862	\N	\N	\N
967513	3297	1995-04-12	PRIJEM	VKLAD	15762	36360	\N	\N	\N
967514	3297	1995-05-12	PRIJEM	VKLAD	15762	43921	\N	\N	\N
967515	3297	1995-06-12	PRIJEM	VKLAD	23643	55989	\N	\N	\N
967516	3297	1995-07-12	PRIJEM	VKLAD	15762	53997	\N	\N	\N
967517	3297	1995-08-12	PRIJEM	VKLAD	15762	51999	\N	\N	\N
967518	3297	1995-09-12	PRIJEM	VKLAD	15762	44629	\N	\N	\N
967519	3297	1995-10-12	PRIJEM	VKLAD	15762	41941	\N	\N	\N
967520	3297	1995-11-12	PRIJEM	VKLAD	15762	48124	\N	\N	\N
967521	3297	1995-12-12	PRIJEM	VKLAD	23643	58593	\N	\N	\N
967522	3297	1996-01-12	PRIJEM	VKLAD	15762	47595	\N	\N	\N
967523	3297	1996-02-12	PRIJEM	VKLAD	15762	36717	\N	\N	\N
967524	3297	1996-03-12	PRIJEM	VKLAD	15762	41291	\N	\N	\N
967525	3297	1996-04-12	PRIJEM	VKLAD	15762	45354	\N	\N	\N
967526	3297	1996-05-12	PRIJEM	VKLAD	15762	41944	\N	\N	\N
967527	3297	1996-06-12	PRIJEM	VKLAD	23643	44493	\N	\N	\N
967528	3297	1996-07-12	PRIJEM	VKLAD	15762	38650	\N	\N	\N
967529	3297	1996-08-12	PRIJEM	VKLAD	15762	45144	\N	\N	\N
967530	3297	1996-09-12	PRIJEM	VKLAD	15762	44544	\N	\N	\N
967531	3297	1996-10-12	PRIJEM	VKLAD	15762	40125	\N	\N	\N
967532	3297	1996-11-12	PRIJEM	VKLAD	15762	40040	\N	\N	\N
967533	3297	1996-12-12	PRIJEM	VKLAD	23643	49134	\N	\N	\N
967534	3297	1997-01-12	PRIJEM	VKLAD	15762	45388	\N	\N	\N
967535	3297	1997-02-12	PRIJEM	VKLAD	15762	44535	\N	\N	\N
967536	3297	1997-03-12	PRIJEM	VKLAD	15762	48459	\N	\N	\N
967537	3297	1997-04-12	PRIJEM	VKLAD	15762	41181	\N	\N	\N
967538	3297	1997-05-12	PRIJEM	VKLAD	15762	44599	\N	\N	\N
967539	3297	1997-06-12	PRIJEM	VKLAD	23643	57708	\N	\N	\N
967540	3297	1997-07-12	PRIJEM	VKLAD	15762	46169	\N	\N	\N
967541	3297	1997-08-12	PRIJEM	VKLAD	15762	48493	\N	\N	\N
967542	3297	1997-09-12	PRIJEM	VKLAD	15762	48854	\N	\N	\N
967543	3297	1997-10-12	PRIJEM	VKLAD	15762	50740	\N	\N	\N
967544	3297	1997-11-12	PRIJEM	VKLAD	15762	43856	\N	\N	\N
967545	3297	1997-12-12	PRIJEM	VKLAD	23643	54962	\N	\N	\N
967546	3297	1998-01-12	PRIJEM	VKLAD	15762	50459	\N	\N	\N
967547	3297	1998-02-12	PRIJEM	VKLAD	15762	53154	\N	\N	\N
967548	3297	1998-03-12	PRIJEM	VKLAD	15762	53110	\N	\N	\N
967549	3297	1998-04-12	PRIJEM	VKLAD	15762	49677	\N	\N	\N
967550	3297	1998-05-12	PRIJEM	VKLAD	15762	51235	\N	\N	\N
967551	3297	1998-06-12	PRIJEM	VKLAD	23643	61173	\N	\N	\N
967552	3297	1998-07-12	PRIJEM	VKLAD	15762	32610	\N	\N	\N
967553	3297	1998-08-12	PRIJEM	VKLAD	15762	37970	\N	\N	\N
967554	3297	1998-09-12	PRIJEM	VKLAD	15762	40649	\N	\N	\N
967555	3297	1998-10-12	PRIJEM	VKLAD	15762	35238	\N	\N	\N
967556	3297	1998-11-12	PRIJEM	VKLAD	15762	37808	\N	\N	\N
967557	3297	1998-12-12	PRIJEM	VKLAD	23643	46718	\N	\N	\N
967559	3297	1996-06-26	VYDAJ	VYBER	15040	29453	\N	\N	\N
967560	3297	1997-06-29	VYDAJ	VYBER	21600	36108	\N	\N	\N
967561	3297	1998-06-18	VYDAJ	VYBER	29600	31573	\N	\N	\N
967563	3297	1996-01-28	VYDAJ	VYBER	8960	20835	\N	\N	\N
967564	3297	1997-01-23	VYDAJ	VYBER	6080	39308	\N	\N	\N
967565	3297	1998-01-22	VYDAJ	VYBER	4160	46299	\N	\N	\N
967566	3297	1995-12-12	VYDAJ	VYBER	960	57633	\N	\N	\N
967567	3297	1996-12-29	VYDAJ	VYBER	4480	44654	\N	\N	\N
967568	3297	1997-12-23	VYDAJ	VYBER	1760	53202	\N	\N	\N
967569	3297	1998-12-28	VYDAJ	VYBER	4320	41198	\N	\N	\N
967570	3297	1995-09-14	VYDAJ	VYBER	5760	38869	\N	\N	\N
967572	3297	1995-08-26	VYDAJ	VYBER	5760	28739	\N	\N	\N
967574	3297	1995-10-08	VYDAJ	VYBER	4200	26179	\N	\N	\N
967577	3297	1996-05-03	VYDAJ	VYBER	4920	26182	\N	\N	\N
967578	3297	1996-08-23	VYDAJ	VYBER	3720	41424	\N	\N	\N
967579	3297	1996-01-07	VYDAJ	VYBER	4440	31833	\N	\N	\N
967580	3297	1996-09-19	VYDAJ	VYBER	3840	40704	\N	\N	\N
967581	3297	1996-01-27	VYDAJ	VYBER	1800	29795	\N	\N	\N
967582	3297	1996-11-26	VYDAJ	VYBER	1800	38240	\N	\N	\N
967583	3297	1996-07-22	VYDAJ	VYBER	600	38050	\N	\N	\N
967584	3297	1997-08-31	VYDAJ	VYBER	3120	43392	\N	\N	\N
967585	3297	1997-04-10	VYDAJ	VYBER	4320	25419	\N	\N	\N
967586	3297	1997-10-31	VYDAJ	VYBER	5280	41794	\N	\N	\N
967587	3297	1997-03-29	VYDAJ	VYBER	3600	44859	\N	\N	\N
967588	3297	1997-10-02	VYDAJ	VYBER	3360	45678	\N	\N	\N
967589	3297	1997-10-25	VYDAJ	VYBER	3840	46900	\N	\N	\N
967590	3297	1997-08-18	VYDAJ	VYBER	2160	46333	\N	\N	\N
967591	3297	1998-07-02	VYDAJ	VYBER	5880	16848	\N	\N	\N
967592	3297	1998-12-18	VYDAJ	VYBER	1200	45518	\N	\N	\N
967593	3297	1998-10-09	VYDAJ	VYBER	5760	19476	\N	\N	\N
967594	3297	1998-11-12	VYDAJ	VYBER	1440	36368	\N	\N	\N
967595	3297	1998-10-13	VYDAJ	VYBER	600	34638	\N	\N	\N
967596	3297	1998-06-04	VYDAJ	VYBER	600	37530	\N	\N	\N
967604	3297	1995-07-31	VYDAJ	VYBER	15	36237	SLUZBY	\N	\N
967605	3297	1995-08-31	VYDAJ	VYBER	15	28867	SLUZBY	\N	\N
967606	3297	1995-09-30	VYDAJ	VYBER	15	30379	SLUZBY	\N	\N
967607	3297	1995-10-31	VYDAJ	VYBER	15	32362	SLUZBY	\N	\N
967608	3297	1995-11-30	VYDAJ	VYBER	15	34950	SLUZBY	\N	\N
967609	3297	1995-12-31	VYDAJ	VYBER	15	36273	SLUZBY	\N	\N
967610	3297	1996-01-31	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
967611	3297	1996-02-29	VYDAJ	VYBER	15	25529	SLUZBY	\N	\N
967612	3297	1996-03-31	VYDAJ	VYBER	15	29592	SLUZBY	\N	\N
967613	3297	1996-04-30	VYDAJ	VYBER	15	31102	SLUZBY	\N	\N
967614	3297	1996-05-31	VYDAJ	VYBER	15	27950	SLUZBY	\N	\N
967615	3297	1996-06-30	VYDAJ	VYBER	15	29588	SLUZBY	\N	\N
967616	3297	1996-07-31	VYDAJ	VYBER	15	38182	SLUZBY	\N	\N
967617	3297	1996-08-31	VYDAJ	VYBER	15	41582	SLUZBY	\N	\N
967618	3297	1996-09-30	VYDAJ	VYBER	15	40863	SLUZBY	\N	\N
967619	3297	1996-10-31	VYDAJ	VYBER	15	40278	SLUZBY	\N	\N
967620	3297	1996-11-30	VYDAJ	VYBER	15	38391	SLUZBY	\N	\N
967621	3297	1996-12-31	VYDAJ	VYBER	15	44826	SLUZBY	\N	\N
967622	3297	1997-01-31	VYDAJ	VYBER	15	39473	SLUZBY	\N	\N
967623	3297	1997-02-28	VYDAJ	VYBER	15	44697	SLUZBY	\N	\N
967624	3297	1997-03-31	VYDAJ	VYBER	15	45039	SLUZBY	\N	\N
967625	3297	1997-04-30	VYDAJ	VYBER	15	41337	SLUZBY	\N	\N
967626	3297	1997-05-31	VYDAJ	VYBER	15	44765	SLUZBY	\N	\N
967627	3297	1997-06-30	VYDAJ	VYBER	15	36307	SLUZBY	\N	\N
967628	3297	1997-07-31	VYDAJ	VYBER	15	46331	SLUZBY	\N	\N
967629	3297	1997-08-31	VYDAJ	VYBER	15	46512	SLUZBY	\N	\N
967630	3297	1997-09-30	VYDAJ	VYBER	15	49038	SLUZBY	\N	\N
967631	3297	1997-10-31	VYDAJ	VYBER	15	47074	SLUZBY	\N	\N
967632	3297	1997-11-30	VYDAJ	VYBER	15	44019	SLUZBY	\N	\N
967633	3297	1997-12-31	VYDAJ	VYBER	15	53397	SLUZBY	\N	\N
967634	3297	1998-01-31	VYDAJ	VYBER	15	46492	SLUZBY	\N	\N
967635	3297	1998-02-28	VYDAJ	VYBER	15	53348	SLUZBY	\N	\N
967636	3297	1998-03-31	VYDAJ	VYBER	15	53315	SLUZBY	\N	\N
967637	3297	1998-04-30	VYDAJ	VYBER	15	49873	SLUZBY	\N	\N
967638	3297	1998-05-31	VYDAJ	VYBER	15	51430	SLUZBY	\N	\N
967639	3297	1998-06-30	VYDAJ	VYBER	15	31728	SLUZBY	\N	\N
967640	3297	1998-07-31	VYDAJ	VYBER	15	32708	SLUZBY	\N	\N
967641	3297	1998-08-31	VYDAJ	VYBER	15	24887	SLUZBY	\N	\N
967642	3297	1998-09-30	VYDAJ	VYBER	15	25236	SLUZBY	\N	\N
967643	3297	1998-10-31	VYDAJ	VYBER	15	22046	SLUZBY	\N	\N
967644	3297	1998-11-30	VYDAJ	VYBER	15	23075	SLUZBY	\N	\N
967645	3297	1995-03-19	PRIJEM	VKLAD	3700	20562	\N	\N	\N
967646	3297	1995-04-18	VYDAJ	VYBER	8300	28060	\N	\N	\N
967647	3297	1995-05-18	VYDAJ	VYBER	11700	32221	\N	\N	\N
967648	3297	1995-06-17	VYDAJ	VYBER	17900	38089	\N	\N	\N
967649	3297	1995-07-17	VYDAJ	VYBER	17900	36097	\N	\N	\N
967650	3297	1995-08-16	VYDAJ	VYBER	17500	34499	\N	\N	\N
967651	3297	1995-09-15	VYDAJ	VYBER	8600	30269	\N	\N	\N
967652	3297	1995-10-15	VYDAJ	VYBER	9700	32241	\N	\N	\N
967653	3297	1995-11-14	VYDAJ	VYBER	13300	34824	\N	\N	\N
967654	3297	1995-12-14	VYDAJ	VYBER	21500	36133	\N	\N	\N
967655	3297	1996-01-13	VYDAJ	VYBER	16000	31595	\N	\N	\N
967656	3297	1996-02-12	VYDAJ	VYBER	11300	25417	\N	\N	\N
967657	3297	1996-03-13	VYDAJ	VYBER	11800	29491	\N	\N	\N
967658	3297	1996-04-12	VYDAJ	VYBER	14400	30954	\N	\N	\N
967659	3297	1996-05-12	VYDAJ	VYBER	14100	27844	\N	\N	\N
967660	3297	1996-06-11	VYDAJ	VYBER	7100	20850	\N	\N	\N
967661	3297	1996-07-11	VYDAJ	VYBER	6700	22888	\N	\N	\N
967662	3297	1996-08-10	VYDAJ	VYBER	8800	29382	\N	\N	\N
967663	3297	1996-09-09	VYDAJ	VYBER	12800	28782	\N	\N	\N
967664	3297	1996-10-09	VYDAJ	VYBER	16500	24363	\N	\N	\N
967665	3297	1996-11-08	VYDAJ	VYBER	16000	24278	\N	\N	\N
967666	3297	1996-12-08	VYDAJ	VYBER	12900	25491	\N	\N	\N
967667	3297	1997-01-07	VYDAJ	VYBER	15200	29626	\N	\N	\N
967668	3297	1997-02-06	VYDAJ	VYBER	10700	28773	\N	\N	\N
967669	3297	1997-03-08	VYDAJ	VYBER	12000	32697	\N	\N	\N
967670	3297	1997-04-07	VYDAJ	VYBER	15300	29739	\N	\N	\N
967671	3297	1997-05-07	VYDAJ	VYBER	12500	28837	\N	\N	\N
967672	3297	1997-06-06	VYDAJ	VYBER	10700	34065	\N	\N	\N
967673	3297	1997-07-06	VYDAJ	VYBER	5900	30407	\N	\N	\N
967674	3297	1997-08-05	VYDAJ	VYBER	13600	32731	\N	\N	\N
967675	3297	1997-09-04	VYDAJ	VYBER	10300	33092	\N	\N	\N
967676	3297	1997-10-04	VYDAJ	VYBER	10700	34978	\N	\N	\N
967677	3297	1997-11-03	VYDAJ	VYBER	13700	28094	\N	\N	\N
967678	3297	1997-12-03	VYDAJ	VYBER	12700	31319	\N	\N	\N
967679	3297	1998-01-02	VYDAJ	VYBER	18700	34697	\N	\N	\N
967680	3297	1998-02-01	VYDAJ	VYBER	9100	37392	\N	\N	\N
967681	3297	1998-03-03	VYDAJ	VYBER	16000	37348	\N	\N	\N
967682	3297	1998-04-02	VYDAJ	VYBER	19400	33915	\N	\N	\N
967683	3297	1998-05-02	VYDAJ	VYBER	14400	35473	\N	\N	\N
967684	3297	1998-06-01	VYDAJ	VYBER	13300	38130	\N	\N	\N
967685	3297	1998-07-01	VYDAJ	VYBER	9000	22728	\N	\N	\N
967686	3297	1998-07-31	VYDAJ	VYBER	10500	22208	\N	\N	\N
967687	3297	1998-08-30	VYDAJ	VYBER	13200	24770	\N	\N	\N
967688	3297	1998-09-29	VYDAJ	VYBER	15500	25149	\N	\N	\N
967689	3297	1998-10-29	VYDAJ	VYBER	12700	21938	\N	\N	\N
967690	3297	1998-11-28	VYDAJ	VYBER	13400	22968	\N	\N	\N
967737	3298	1993-08-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
967745	3298	1993-08-14	PRIJEM	VKLAD	7226	8326	\N	\N	\N
967746	3298	1993-09-14	PRIJEM	VKLAD	7226	24872	\N	\N	\N
967747	3298	1993-10-14	PRIJEM	VKLAD	7226	33672	\N	\N	\N
967748	3298	1993-11-14	PRIJEM	VKLAD	7226	36523	\N	\N	\N
967749	3298	1993-12-14	PRIJEM	VKLAD	10839	42709	\N	\N	\N
967750	3298	1994-01-14	PRIJEM	VKLAD	7226	34580	\N	\N	\N
967751	3298	1994-02-14	PRIJEM	VKLAD	7226	34926	\N	\N	\N
967752	3298	1994-03-14	PRIJEM	VKLAD	7226	36571	\N	\N	\N
967753	3298	1994-04-14	PRIJEM	VKLAD	7226	37432	\N	\N	\N
967754	3298	1994-05-14	PRIJEM	VKLAD	7226	37098	\N	\N	\N
967755	3298	1994-06-14	PRIJEM	VKLAD	10839	41277	\N	\N	\N
967756	3298	1994-07-14	PRIJEM	VKLAD	7226	35221	\N	\N	\N
967757	3298	1994-08-14	PRIJEM	VKLAD	7226	40650	\N	\N	\N
967758	3298	1994-09-14	PRIJEM	VKLAD	7226	41101	\N	\N	\N
967759	3298	1994-10-14	PRIJEM	VKLAD	7226	41753	\N	\N	\N
967760	3298	1994-11-14	PRIJEM	VKLAD	7226	41308	\N	\N	\N
967761	3298	1994-12-14	PRIJEM	VKLAD	10839	45876	\N	\N	\N
967762	3298	1995-01-14	PRIJEM	VKLAD	7226	35334	\N	\N	\N
967763	3298	1995-02-14	PRIJEM	VKLAD	7226	31679	\N	\N	\N
967764	3298	1995-03-14	PRIJEM	VKLAD	7226	40615	\N	\N	\N
967765	3298	1995-04-14	PRIJEM	VKLAD	7226	43268	\N	\N	\N
967766	3298	1995-05-14	PRIJEM	VKLAD	7226	44130	\N	\N	\N
967767	3298	1995-06-14	PRIJEM	VKLAD	10839	42708	\N	\N	\N
967768	3298	1995-07-14	PRIJEM	VKLAD	7226	47486	\N	\N	\N
967769	3298	1995-08-14	PRIJEM	VKLAD	7226	51669	\N	\N	\N
967770	3298	1995-09-14	PRIJEM	VKLAD	7226	49662	\N	\N	\N
967771	3298	1995-10-14	PRIJEM	VKLAD	7226	46851	\N	\N	\N
967772	3298	1995-11-14	PRIJEM	VKLAD	7226	49546	\N	\N	\N
967773	3298	1995-12-14	PRIJEM	VKLAD	10839	56955	\N	\N	\N
967774	3298	1996-01-14	PRIJEM	VKLAD	7226	47561	\N	\N	\N
967775	3298	1996-02-14	PRIJEM	VKLAD	7226	43960	\N	\N	\N
967776	3298	1996-03-14	PRIJEM	VKLAD	7226	52448	\N	\N	\N
967777	3298	1996-04-14	PRIJEM	VKLAD	7226	55551	\N	\N	\N
967778	3298	1996-05-14	PRIJEM	VKLAD	7226	58269	\N	\N	\N
967779	3298	1996-06-14	PRIJEM	VKLAD	10839	60207	\N	\N	\N
967780	3298	1996-07-14	PRIJEM	VKLAD	7226	55231	\N	\N	\N
967781	3298	1996-08-14	PRIJEM	VKLAD	7226	58346	\N	\N	\N
967782	3298	1996-09-14	PRIJEM	VKLAD	7226	55170	\N	\N	\N
967783	3298	1996-10-14	PRIJEM	VKLAD	7226	56595	\N	\N	\N
967784	3298	1996-11-14	PRIJEM	VKLAD	7226	58915	\N	\N	\N
967785	3298	1996-12-14	PRIJEM	VKLAD	10839	63655	\N	\N	\N
967786	3298	1997-01-14	PRIJEM	VKLAD	7226	58794	\N	\N	\N
967787	3298	1997-02-14	PRIJEM	VKLAD	7226	51514	\N	\N	\N
967788	3298	1997-03-14	PRIJEM	VKLAD	7226	54624	\N	\N	\N
967789	3298	1997-04-14	PRIJEM	VKLAD	7226	60041	\N	\N	\N
967790	3298	1997-05-14	PRIJEM	VKLAD	7226	55663	\N	\N	\N
967791	3298	1997-06-14	PRIJEM	VKLAD	10839	64298	\N	\N	\N
967792	3298	1997-07-14	PRIJEM	VKLAD	7226	40015	\N	\N	\N
967793	3298	1997-08-14	PRIJEM	VKLAD	7226	55792	\N	\N	\N
967794	3298	1997-09-14	PRIJEM	VKLAD	7226	57115	\N	\N	\N
967795	3298	1997-10-14	PRIJEM	VKLAD	7226	55155	\N	\N	\N
967796	3298	1997-11-14	PRIJEM	VKLAD	7226	56797	\N	\N	\N
967797	3298	1997-12-14	PRIJEM	VKLAD	10839	58552	\N	\N	\N
967798	3298	1998-01-14	PRIJEM	VKLAD	7226	47690	\N	\N	\N
967799	3298	1998-02-14	PRIJEM	VKLAD	7226	47499	\N	\N	\N
967800	3298	1998-03-14	PRIJEM	VKLAD	7226	53100	\N	\N	\N
967801	3298	1998-04-14	PRIJEM	VKLAD	7226	54816	\N	\N	\N
967802	3298	1998-05-14	PRIJEM	VKLAD	7226	53545	\N	\N	\N
967803	3298	1998-06-14	PRIJEM	VKLAD	10839	40691	\N	\N	\N
967804	3298	1998-07-14	PRIJEM	VKLAD	7226	41993	\N	\N	\N
967805	3298	1998-08-14	PRIJEM	VKLAD	7226	40073	\N	\N	\N
967806	3298	1998-09-14	PRIJEM	VKLAD	7226	42651	\N	\N	\N
967807	3298	1998-10-14	PRIJEM	VKLAD	7226	45131	\N	\N	\N
967808	3298	1998-11-14	PRIJEM	VKLAD	7226	45517	\N	\N	\N
967809	3298	1998-12-14	PRIJEM	VKLAD	10839	51917	\N	\N	\N
967811	3298	1994-06-21	VYDAJ	VYBER	5800	32177	\N	\N	\N
967812	3298	1995-06-07	VYDAJ	VYBER	6000	31869	\N	\N	\N
967813	3298	1996-06-16	VYDAJ	VYBER	4400	55807	\N	\N	\N
967814	3298	1997-06-22	VYDAJ	VYBER	25000	32598	\N	\N	\N
967815	3298	1998-06-09	VYDAJ	VYBER	25900	29852	\N	\N	\N
967817	3298	1994-01-18	VYDAJ	VYBER	3000	31580	\N	\N	\N
967818	3298	1995-01-13	VYDAJ	VYBER	4200	28108	\N	\N	\N
967819	3298	1996-01-27	VYDAJ	VYBER	3800	40061	\N	\N	\N
967820	3298	1997-01-12	VYDAJ	VYBER	2300	51568	\N	\N	\N
967821	3298	1998-01-08	VYDAJ	VYBER	7000	47464	\N	\N	\N
967822	3298	1993-12-20	VYDAJ	VYBER	2000	39009	\N	\N	\N
967823	3298	1994-12-28	VYDAJ	VYBER	1700	36976	\N	\N	\N
967824	3298	1995-12-29	VYDAJ	VYBER	1900	47655	\N	\N	\N
967825	3298	1996-12-23	VYDAJ	VYBER	1100	56555	\N	\N	\N
967826	3298	1997-12-16	VYDAJ	VYBER	2900	55652	\N	\N	\N
967827	3298	1998-12-18	VYDAJ	VYBER	2200	49717	\N	\N	\N
967834	3298	1994-01-05	VYDAJ	VYBER	2900	31254	\N	\N	\N
967835	3298	1994-01-13	VYDAJ	VYBER	1400	27354	\N	\N	\N
967836	3298	1994-01-09	VYDAJ	VYBER	1100	29654	\N	\N	\N
967837	3298	1994-01-29	VYDAJ	VYBER	1200	29680	\N	\N	\N
967838	3298	1994-01-08	VYDAJ	VYBER	500	30754	\N	\N	\N
967839	3298	1994-01-27	VYDAJ	VYBER	700	30880	\N	\N	\N
967840	3298	1995-01-18	VYDAJ	VYBER	2100	30634	\N	\N	\N
967841	3298	1995-01-03	VYDAJ	VYBER	1900	35208	\N	\N	\N
967842	3298	1995-01-16	VYDAJ	VYBER	1400	32734	\N	\N	\N
967843	3298	1995-01-19	VYDAJ	VYBER	2500	28134	\N	\N	\N
967844	3298	1995-01-15	VYDAJ	VYBER	1200	34134	\N	\N	\N
967845	3298	1995-01-11	VYDAJ	VYBER	2900	32308	\N	\N	\N
967846	3298	1996-01-09	VYDAJ	VYBER	2400	45435	\N	\N	\N
967847	3298	1996-01-09	VYDAJ	VYBER	800	43035	\N	\N	\N
967848	3298	1996-01-12	VYDAJ	VYBER	2700	40335	\N	\N	\N
967849	3298	1996-01-25	VYDAJ	VYBER	2000	43861	\N	\N	\N
967850	3298	1996-01-09	VYDAJ	VYBER	1600	43835	\N	\N	\N
967851	3298	1996-01-17	VYDAJ	VYBER	1300	46261	\N	\N	\N
967852	3298	1997-01-14	VYDAJ	VYBER	2700	56094	\N	\N	\N
967853	3298	1997-01-29	VYDAJ	VYBER	1900	44094	\N	\N	\N
967854	3298	1997-01-06	VYDAJ	VYBER	2300	53868	\N	\N	\N
967855	3298	1997-01-20	VYDAJ	VYBER	2600	47094	\N	\N	\N
967856	3298	1997-01-02	VYDAJ	VYBER	600	56168	\N	\N	\N
967857	3298	1997-01-28	VYDAJ	VYBER	1100	45994	\N	\N	\N
967858	3298	1998-01-06	VYDAJ	VYBER	1400	54464	\N	\N	\N
967859	3298	1998-01-30	VYDAJ	VYBER	2300	44590	\N	\N	\N
967860	3298	1998-01-08	VYDAJ	VYBER	2400	45064	\N	\N	\N
967861	3298	1998-01-10	VYDAJ	VYBER	2800	41264	\N	\N	\N
967862	3298	1998-01-12	VYDAJ	VYBER	800	40464	\N	\N	\N
967863	3298	1998-01-14	VYDAJ	VYBER	800	46890	\N	\N	\N
967865	3298	1993-12-15	VYDAJ	VYBER	1700	41009	\N	\N	\N
967872	3298	1994-05-14	VYDAJ	VYBER	800	36298	\N	\N	\N
967873	3298	1994-01-12	VYDAJ	VYBER	900	28754	\N	\N	\N
967874	3298	1994-06-17	VYDAJ	VYBER	3300	37977	\N	\N	\N
967875	3298	1994-02-03	VYDAJ	VYBER	900	27700	\N	\N	\N
967876	3298	1994-11-26	VYDAJ	VYBER	2100	39208	\N	\N	\N
967877	3298	1995-10-09	VYDAJ	VYBER	4000	39625	\N	\N	\N
967878	3298	1995-03-31	VYDAJ	VYBER	1600	36057	\N	\N	\N
967879	3298	1995-02-23	VYDAJ	VYBER	1400	30279	\N	\N	\N
967880	3298	1995-11-17	VYDAJ	VYBER	700	48846	\N	\N	\N
967881	3298	1995-02-10	VYDAJ	VYBER	3500	24453	\N	\N	\N
967882	3298	1996-04-14	VYDAJ	VYBER	4400	51151	\N	\N	\N
967883	3298	1996-02-05	VYDAJ	VYBER	3500	36734	\N	\N	\N
967884	3298	1996-09-26	VYDAJ	VYBER	2800	49170	\N	\N	\N
967885	3298	1996-06-13	VYDAJ	VYBER	2900	49368	\N	\N	\N
967886	3298	1996-09-06	VYDAJ	VYBER	3700	47944	\N	\N	\N
967887	3298	1997-04-21	VYDAJ	VYBER	2600	48241	\N	\N	\N
967888	3298	1997-11-23	VYDAJ	VYBER	1100	55697	\N	\N	\N
967889	3298	1997-08-27	VYDAJ	VYBER	2500	53292	\N	\N	\N
967890	3298	1997-07-16	VYDAJ	VYBER	700	46515	\N	\N	\N
967891	3298	1997-12-11	VYDAJ	VYBER	600	47713	\N	\N	\N
967892	3298	1998-10-25	VYDAJ	VYBER	4500	40631	\N	\N	\N
967893	3298	1998-03-19	VYDAJ	VYBER	2000	51100	\N	\N	\N
967906	3298	1993-12-31	VYDAJ	VYBER	15	39154	SLUZBY	\N	\N
967907	3298	1994-01-31	VYDAJ	VYBER	15	29800	SLUZBY	\N	\N
967908	3298	1994-02-28	VYDAJ	VYBER	15	35045	SLUZBY	\N	\N
967909	3298	1994-03-31	VYDAJ	VYBER	15	36706	SLUZBY	\N	\N
967910	3298	1994-04-30	VYDAJ	VYBER	15	37572	SLUZBY	\N	\N
967911	3298	1994-05-31	VYDAJ	VYBER	15	30438	SLUZBY	\N	\N
967912	3298	1994-06-30	VYDAJ	VYBER	15	27995	SLUZBY	\N	\N
967913	3298	1994-07-31	VYDAJ	VYBER	15	33424	SLUZBY	\N	\N
967914	3298	1994-08-31	VYDAJ	VYBER	15	33875	SLUZBY	\N	\N
967915	3298	1994-09-30	VYDAJ	VYBER	15	34527	SLUZBY	\N	\N
967916	3298	1994-10-31	VYDAJ	VYBER	15	34082	SLUZBY	\N	\N
967917	3298	1994-11-30	VYDAJ	VYBER	15	35037	SLUZBY	\N	\N
967918	3298	1994-12-31	VYDAJ	VYBER	15	37108	SLUZBY	\N	\N
967919	3298	1995-01-31	VYDAJ	VYBER	15	27953	SLUZBY	\N	\N
967920	3298	1995-02-28	VYDAJ	VYBER	15	33389	SLUZBY	\N	\N
967921	3298	1995-03-31	VYDAJ	VYBER	15	36042	SLUZBY	\N	\N
967922	3298	1995-04-30	VYDAJ	VYBER	15	36904	SLUZBY	\N	\N
967923	3298	1995-05-31	VYDAJ	VYBER	15	37869	SLUZBY	\N	\N
967924	3298	1995-06-30	VYDAJ	VYBER	15	40260	SLUZBY	\N	\N
967925	3298	1995-07-31	VYDAJ	VYBER	15	44443	SLUZBY	\N	\N
967926	3298	1995-08-31	VYDAJ	VYBER	15	42436	SLUZBY	\N	\N
967927	3298	1995-09-30	VYDAJ	VYBER	15	43625	SLUZBY	\N	\N
967928	3298	1995-10-31	VYDAJ	VYBER	15	42320	SLUZBY	\N	\N
967929	3298	1995-11-30	VYDAJ	VYBER	15	46116	SLUZBY	\N	\N
967930	3298	1995-12-31	VYDAJ	VYBER	15	47835	SLUZBY	\N	\N
967931	3298	1996-01-31	VYDAJ	VYBER	15	40234	SLUZBY	\N	\N
967932	3298	1996-02-29	VYDAJ	VYBER	15	45222	SLUZBY	\N	\N
967933	3298	1996-03-31	VYDAJ	VYBER	15	48325	SLUZBY	\N	\N
967934	3298	1996-04-30	VYDAJ	VYBER	15	51043	SLUZBY	\N	\N
967935	3298	1996-05-31	VYDAJ	VYBER	15	52268	SLUZBY	\N	\N
967936	3298	1996-06-30	VYDAJ	VYBER	15	48005	SLUZBY	\N	\N
967937	3298	1996-07-31	VYDAJ	VYBER	15	51120	SLUZBY	\N	\N
967938	3298	1996-08-31	VYDAJ	VYBER	15	51644	SLUZBY	\N	\N
967939	3298	1996-09-30	VYDAJ	VYBER	15	49369	SLUZBY	\N	\N
967940	3298	1996-10-31	VYDAJ	VYBER	15	51689	SLUZBY	\N	\N
967941	3298	1996-11-30	VYDAJ	VYBER	15	52816	SLUZBY	\N	\N
967942	3298	1996-12-31	VYDAJ	VYBER	15	56768	SLUZBY	\N	\N
967943	3298	1997-01-31	VYDAJ	VYBER	15	44288	SLUZBY	\N	\N
967944	3298	1997-02-28	VYDAJ	VYBER	15	47398	SLUZBY	\N	\N
967945	3298	1997-03-31	VYDAJ	VYBER	15	52815	SLUZBY	\N	\N
967946	3298	1997-04-30	VYDAJ	VYBER	15	48437	SLUZBY	\N	\N
967947	3298	1997-05-31	VYDAJ	VYBER	15	53459	SLUZBY	\N	\N
967948	3298	1997-06-30	VYDAJ	VYBER	15	32789	SLUZBY	\N	\N
967949	3298	1997-07-31	VYDAJ	VYBER	15	46666	SLUZBY	\N	\N
967950	3298	1997-08-31	VYDAJ	VYBER	15	53489	SLUZBY	\N	\N
967951	3298	1997-09-30	VYDAJ	VYBER	15	57329	SLUZBY	\N	\N
967952	3298	1997-10-31	VYDAJ	VYBER	15	55371	SLUZBY	\N	\N
967953	3298	1997-11-30	VYDAJ	VYBER	15	55913	SLUZBY	\N	\N
967954	3298	1997-12-31	VYDAJ	VYBER	15	55864	SLUZBY	\N	\N
967955	3298	1998-01-31	VYDAJ	VYBER	15	44773	SLUZBY	\N	\N
967956	3298	1998-02-28	VYDAJ	VYBER	15	47674	SLUZBY	\N	\N
967957	3298	1998-03-31	VYDAJ	VYBER	15	51290	SLUZBY	\N	\N
967958	3298	1998-04-30	VYDAJ	VYBER	15	55019	SLUZBY	\N	\N
967959	3298	1998-05-31	VYDAJ	VYBER	15	53752	SLUZBY	\N	\N
967960	3298	1998-06-30	VYDAJ	VYBER	15	40867	SLUZBY	\N	\N
967961	3298	1998-07-31	VYDAJ	VYBER	15	42147	SLUZBY	\N	\N
967962	3298	1998-08-31	VYDAJ	VYBER	15	40225	SLUZBY	\N	\N
967963	3298	1998-09-30	VYDAJ	VYBER	15	42805	SLUZBY	\N	\N
967964	3298	1998-10-31	VYDAJ	VYBER	15	40791	SLUZBY	\N	\N
967965	3298	1998-11-30	VYDAJ	VYBER	15	45678	SLUZBY	\N	\N
967966	3298	1993-09-03	PRIJEM	VKLAD	9300	17646	\N	\N	\N
967967	3298	1993-10-03	PRIJEM	VKLAD	1500	26446	\N	\N	\N
967968	3298	1993-11-02	VYDAJ	VYBER	4500	29297	\N	\N	\N
967969	3298	1993-12-02	VYDAJ	VYBER	4800	31870	\N	\N	\N
967970	3298	1994-01-01	VYDAJ	VYBER	5000	34154	\N	\N	\N
967971	3298	1994-01-31	VYDAJ	VYBER	1200	28600	\N	\N	\N
967972	3298	1994-03-02	VYDAJ	VYBER	5700	29345	\N	\N	\N
967973	3298	1994-04-01	VYDAJ	VYBER	6500	30206	\N	\N	\N
967974	3298	1994-05-01	VYDAJ	VYBER	7700	29872	\N	\N	\N
967975	3298	1994-05-31	VYDAJ	VYBER	6000	30452	\N	\N	\N
967976	3298	1994-06-30	VYDAJ	VYBER	4300	28009	\N	\N	\N
967977	3298	1994-07-30	VYDAJ	VYBER	1900	33321	\N	\N	\N
967978	3298	1994-08-29	VYDAJ	VYBER	6900	33750	\N	\N	\N
967979	3298	1994-09-28	VYDAJ	VYBER	6700	34401	\N	\N	\N
967980	3298	1994-10-28	VYDAJ	VYBER	7800	33953	\N	\N	\N
967981	3298	1994-11-27	VYDAJ	VYBER	4300	34908	\N	\N	\N
967982	3298	1994-12-27	VYDAJ	VYBER	7200	38676	\N	\N	\N
967983	3298	1995-01-26	VYDAJ	VYBER	300	27834	\N	\N	\N
967984	3298	1995-02-25	PRIJEM	VKLAD	3000	33279	\N	\N	\N
967985	3298	1995-03-27	VYDAJ	VYBER	3100	37515	\N	\N	\N
967986	3298	1995-04-26	VYDAJ	VYBER	6500	36768	\N	\N	\N
967987	3298	1995-05-26	VYDAJ	VYBER	6400	37730	\N	\N	\N
967988	3298	1995-06-25	VYDAJ	VYBER	2600	40108	\N	\N	\N
967989	3298	1995-07-25	VYDAJ	VYBER	3200	44286	\N	\N	\N
967990	3298	1995-08-24	VYDAJ	VYBER	9400	42269	\N	\N	\N
967991	3298	1995-09-23	VYDAJ	VYBER	6200	43462	\N	\N	\N
967992	3298	1995-10-23	VYDAJ	VYBER	4700	42151	\N	\N	\N
967993	3298	1995-11-22	VYDAJ	VYBER	2900	45946	\N	\N	\N
967994	3298	1995-12-22	VYDAJ	VYBER	7400	49555	\N	\N	\N
967995	3298	1996-01-21	VYDAJ	VYBER	400	45861	\N	\N	\N
967996	3298	1996-02-20	PRIJEM	VKLAD	1100	45060	\N	\N	\N
967997	3298	1996-03-21	VYDAJ	VYBER	4300	48148	\N	\N	\N
967998	3298	1996-04-20	VYDAJ	VYBER	300	50851	\N	\N	\N
967999	3298	1996-05-20	VYDAJ	VYBER	6200	52069	\N	\N	\N
968000	3298	1996-06-19	VYDAJ	VYBER	8000	47807	\N	\N	\N
968001	3298	1996-07-19	VYDAJ	VYBER	4300	50931	\N	\N	\N
968002	3298	1996-08-18	VYDAJ	VYBER	6900	51446	\N	\N	\N
968003	3298	1996-09-17	VYDAJ	VYBER	3200	51970	\N	\N	\N
968004	3298	1996-10-17	VYDAJ	VYBER	5100	51495	\N	\N	\N
968005	3298	1996-11-16	VYDAJ	VYBER	6300	52615	\N	\N	\N
968006	3298	1996-12-16	VYDAJ	VYBER	6000	57655	\N	\N	\N
968007	3298	1997-01-15	VYDAJ	VYBER	6400	49694	\N	\N	\N
968008	3298	1997-02-14	VYDAJ	VYBER	4300	47214	\N	\N	\N
968009	3298	1997-03-16	VYDAJ	VYBER	2000	52624	\N	\N	\N
968010	3298	1997-04-15	VYDAJ	VYBER	9200	50841	\N	\N	\N
968011	3298	1997-05-15	VYDAJ	VYBER	2400	53263	\N	\N	\N
968012	3298	1997-06-14	VYDAJ	VYBER	6700	57598	\N	\N	\N
968013	3298	1997-07-14	PRIJEM	VKLAD	7200	47215	\N	\N	\N
968014	3298	1997-08-13	PRIJEM	VKLAD	1900	48566	\N	\N	\N
968015	3298	1997-09-12	VYDAJ	VYBER	3600	49889	\N	\N	\N
968016	3298	1997-10-12	VYDAJ	VYBER	9400	47929	\N	\N	\N
968017	3298	1997-11-11	VYDAJ	VYBER	5800	49571	\N	\N	\N
968018	3298	1997-12-11	VYDAJ	VYBER	7600	48313	\N	\N	\N
968019	3298	1998-01-10	VYDAJ	VYBER	1000	44064	\N	\N	\N
968020	3298	1998-02-09	VYDAJ	VYBER	4500	40273	\N	\N	\N
968021	3298	1998-03-11	VYDAJ	VYBER	1800	45874	\N	\N	\N
968022	3298	1998-04-10	VYDAJ	VYBER	3700	47590	\N	\N	\N
968023	3298	1998-05-10	VYDAJ	VYBER	8700	46319	\N	\N	\N
968024	3298	1998-06-09	PRIJEM	VKLAD	2000	55752	\N	\N	\N
968025	3298	1998-07-09	VYDAJ	VYBER	6100	34767	\N	\N	\N
968026	3298	1998-08-08	VYDAJ	VYBER	9300	32847	\N	\N	\N
968027	3298	1998-09-07	VYDAJ	VYBER	4800	35425	\N	\N	\N
968028	3298	1998-10-07	VYDAJ	VYBER	4900	37905	\N	\N	\N
968029	3298	1998-11-06	VYDAJ	VYBER	2500	38291	\N	\N	\N
968030	3298	1998-12-06	VYDAJ	VYBER	4600	41078	\N	\N	\N
968096	3299	1997-05-16	PRIJEM	VKLAD	200	200	\N	\N	\N
968097	3299	1997-05-20	PRIJEM	VKLAD	24962	25162	\N	\N	\N
968099	3299	1998-09-20	PRIJEM	VKLAD	44497	94530	\N	\N	\N
968100	3299	1998-09-04	PRIJEM	VKLAD	45434	74533	\N	\N	\N
968101	3299	1998-06-30	PRIJEM	VKLAD	9456	59856	\N	\N	\N
968102	3299	1998-03-31	PRIJEM	VKLAD	28387	67672	\N	\N	\N
968103	3299	1998-02-09	PRIJEM	VKLAD	20936	71881	\N	\N	\N
968104	3299	1998-04-26	PRIJEM	VKLAD	40856	88332	\N	\N	\N
968105	3299	1998-10-09	PRIJEM	VKLAD	35447	89440	\N	\N	\N
968106	3299	1998-06-05	PRIJEM	VKLAD	12038	77800	\N	\N	\N
968107	3299	1998-11-27	PRIJEM	VKLAD	6374	37463	\N	\N	\N
968108	3299	1998-12-23	PRIJEM	VKLAD	23046	34245	\N	\N	\N
968109	3299	1998-10-14	PRIJEM	VKLAD	39378	128818	\N	\N	\N
968110	3299	1998-01-07	PRIJEM	VKLAD	40431	72468	\N	\N	\N
968111	3299	1998-05-30	PRIJEM	VKLAD	19026	65524	\N	\N	\N
968128	3299	1998-05-02	VYDAJ	VYBER	5800	82798	\N	\N	0
968129	3299	1998-06-12	VYDAJ	VYBER	5200	50400	\N	\N	0
968130	3299	1998-07-15	VYDAJ	VYBER	5300	34258	\N	\N	0
968131	3299	1998-08-09	VYDAJ	VYBER	4900	29005	\N	\N	0
968132	3299	1998-09-16	VYDAJ	VYBER	4900	50033	\N	\N	0
968133	3299	1998-10-03	VYDAJ	VYBER	3700	91061	\N	\N	0
968134	3299	1998-11-14	VYDAJ	VYBER	3500	35589	\N	\N	0
968135	3299	1998-12-14	VYDAJ	VYBER	5400	20202	\N	\N	0
968137	3299	1998-10-04	VYBER	VYBER	3468	87593	\N	\N	\N
968138	3299	1998-12-15	VYBER	VYBER	9003	11199	\N	\N	\N
968144	3299	1998-12-23	VYDAJ	VYBER	6600	27645	\N	\N	\N
968164	3299	1998-07-19	VYDAJ	VYBER	3000	31258	\N	\N	\N
968165	3299	1998-12-06	VYDAJ	VYBER	13200	24402	\N	\N	\N
968166	3299	1998-07-12	VYDAJ	VYBER	8400	39558	\N	\N	\N
968167	3299	1998-11-24	VYDAJ	VYBER	4500	31089	\N	\N	\N
968168	3299	1998-05-24	VYDAJ	VYBER	6900	46498	\N	\N	\N
968185	3299	1998-04-30	VYDAJ	VYBER	30	88598	SLUZBY	\N	\N
968186	3299	1998-05-31	VYDAJ	VYBER	30	65762	SLUZBY	\N	\N
968187	3299	1998-06-30	VYDAJ	VYBER	30	60058	SLUZBY	\N	\N
968188	3299	1998-07-31	VYDAJ	VYBER	30	31405	SLUZBY	\N	\N
968189	3299	1998-08-31	VYDAJ	VYBER	30	29099	SLUZBY	\N	\N
968190	3299	1998-09-30	VYDAJ	VYBER	30	94761	SLUZBY	\N	\N
968191	3299	1998-10-31	VYDAJ	VYBER	30	47389	SLUZBY	\N	\N
968192	3299	1998-11-30	VYDAJ	VYBER	30	37602	SLUZBY	\N	\N
968193	3299	1997-06-15	PRIJEM	VKLAD	2100	27303	\N	\N	\N
968194	3299	1997-07-15	VYDAJ	VYBER	2000	25407	\N	\N	\N
968195	3299	1997-08-14	PRIJEM	VKLAD	1400	26912	\N	\N	\N
968196	3299	1997-09-13	PRIJEM	VKLAD	1600	28617	\N	\N	\N
968197	3299	1997-10-13	VYDAJ	VYBER	1900	26822	\N	\N	\N
968198	3299	1997-11-12	PRIJEM	VKLAD	600	27527	\N	\N	\N
968199	3299	1997-12-12	PRIJEM	VKLAD	4300	31932	\N	\N	\N
968200	3299	1998-01-11	VYDAJ	VYBER	21700	50768	\N	\N	\N
968201	3299	1998-02-10	VYDAJ	VYBER	23600	48281	\N	\N	\N
968202	3299	1998-03-12	VYDAJ	VYBER	9200	39285	\N	\N	\N
968203	3299	1998-04-11	VYDAJ	VYBER	20400	47476	\N	\N	\N
968204	3299	1998-05-11	VYDAJ	VYBER	29400	53398	\N	\N	\N
968205	3299	1998-06-10	VYDAJ	VYBER	22200	55600	\N	\N	\N
968206	3299	1998-07-10	VYDAJ	VYBER	12100	47958	\N	\N	\N
968207	3299	1998-08-09	PRIJEM	VKLAD	2500	33905	\N	\N	\N
968208	3299	1998-09-08	VYDAJ	VYBER	19600	54933	\N	\N	\N
968209	3299	1998-10-08	VYDAJ	VYBER	33600	53993	\N	\N	\N
968210	3299	1998-10-14	VYDAJ	VYBER	22800	106018	\N	\N	\N
968211	3299	1998-10-31	VYDAJ	VYBER	59000	47419	\N	\N	\N
968212	3299	1998-11-07	VYDAJ	VYBER	8300	39089	\N	\N	\N
968213	3299	1998-12-07	PRIJEM	VKLAD	1200	25602	\N	\N	\N
968234	3300	1997-09-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
968244	3300	1997-10-14	PRIJEM	PREVOD Z UCTU	46719	47819	\N	ST	55668067
968245	3300	1997-11-14	PRIJEM	PREVOD Z UCTU	46719	81899	\N	ST	55668067
968246	3300	1997-12-14	PRIJEM	PREVOD Z UCTU	70078	124057	\N	ST	55668067
968247	3300	1998-01-14	PRIJEM	PREVOD Z UCTU	46719	97506	\N	ST	55668067
968248	3300	1998-02-14	PRIJEM	PREVOD Z UCTU	46719	110662	\N	ST	55668067
968249	3300	1998-03-14	PRIJEM	PREVOD Z UCTU	46719	74770	\N	ST	55668067
968250	3300	1998-04-14	PRIJEM	PREVOD Z UCTU	46719	66508	\N	ST	55668067
968251	3300	1998-05-14	PRIJEM	PREVOD Z UCTU	46719	76834	\N	ST	55668067
968252	3300	1998-06-14	PRIJEM	PREVOD Z UCTU	70078	113060	\N	ST	55668067
968253	3300	1998-07-14	PRIJEM	PREVOD Z UCTU	46719	96681	\N	ST	55668067
968254	3300	1998-08-14	PRIJEM	PREVOD Z UCTU	46719	83971	\N	ST	55668067
968255	3300	1998-09-14	PRIJEM	PREVOD Z UCTU	46719	64825	\N	ST	55668067
968256	3300	1998-10-14	PRIJEM	PREVOD Z UCTU	46719	71201	\N	ST	55668067
968257	3300	1998-11-14	PRIJEM	PREVOD Z UCTU	46719	82096	\N	ST	55668067
968258	3300	1998-12-14	PRIJEM	PREVOD Z UCTU	70078	103301	\N	ST	55668067
968273	3300	1998-03-06	VYDAJ	VYBER	6400	28051	\N	\N	0
968274	3300	1998-03-29	VYDAJ	VYBER	7700	31370	\N	\N	0
968275	3300	1998-04-26	VYDAJ	VYBER	5400	36608	\N	\N	0
968276	3300	1998-06-23	VYDAJ	VYBER	10300	56360	\N	\N	0
968277	3300	1998-07-17	VYDAJ	VYBER	5600	43681	\N	\N	0
968278	3300	1998-08-19	VYDAJ	VYBER	6000	47271	\N	\N	0
968279	3300	1998-09-11	VYDAJ	VYBER	9500	18106	\N	\N	0
968280	3300	1998-10-07	VYDAJ	VYBER	7600	24482	\N	\N	0
968281	3300	1998-11-20	VYDAJ	VYBER	8300	64034	\N	\N	0
968282	3300	1998-12-07	VYDAJ	VYBER	6800	42423	\N	\N	0
968297	3300	1998-03-05	VYDAJ	PREVOD NA UCET	6632	34451	SIPO	UV	88663518
968298	3300	1998-04-05	VYDAJ	PREVOD NA UCET	6632	19789	SIPO	UV	88663518
968299	3300	1998-05-05	VYDAJ	PREVOD NA UCET	6632	30115	SIPO	UV	88663518
968300	3300	1998-06-05	VYDAJ	PREVOD NA UCET	6632	42982	SIPO	UV	88663518
968301	3300	1998-07-05	VYDAJ	PREVOD NA UCET	6632	49962	SIPO	UV	88663518
968302	3300	1998-08-05	VYDAJ	PREVOD NA UCET	6632	37252	SIPO	UV	88663518
968303	3300	1998-09-05	VYDAJ	PREVOD NA UCET	6632	27606	SIPO	UV	88663518
968304	3300	1998-10-05	VYDAJ	PREVOD NA UCET	6632	32082	SIPO	UV	88663518
968305	3300	1998-11-05	VYDAJ	PREVOD NA UCET	6632	36477	SIPO	UV	88663518
968306	3300	1998-12-05	VYDAJ	PREVOD NA UCET	6632	57623	SIPO	UV	88663518
968319	3300	1998-11-15	VYBER	VYBER	9762	72334	\N	\N	\N
968326	3300	1998-12-06	VYDAJ	VYBER	8400	49223	\N	\N	\N
968345	3300	1998-03-16	VYDAJ	VYBER	8700	66070	\N	\N	\N
968346	3300	1998-07-15	VYDAJ	VYBER	7800	76881	\N	\N	\N
968347	3300	1998-08-22	VYDAJ	VYBER	13200	34071	\N	\N	\N
968348	3300	1998-12-28	VYDAJ	VYBER	14100	83201	\N	\N	\N
968349	3300	1998-12-26	VYDAJ	VYBER	6000	97301	\N	\N	\N
968350	3300	1998-07-15	VYDAJ	VYBER	12000	84681	\N	\N	\N
968351	3300	1998-03-29	VYDAJ	VYBER	5100	26270	\N	\N	\N
968366	3300	1998-02-28	VYDAJ	VYBER	15	41083	SLUZBY	\N	\N
968367	3300	1998-03-31	VYDAJ	VYBER	15	26421	SLUZBY	\N	\N
968368	3300	1998-04-30	VYDAJ	VYBER	15	36747	SLUZBY	\N	\N
968369	3300	1998-05-31	VYDAJ	VYBER	15	49614	SLUZBY	\N	\N
968370	3300	1998-06-30	VYDAJ	VYBER	15	56594	SLUZBY	\N	\N
968371	3300	1998-07-31	VYDAJ	VYBER	15	43884	SLUZBY	\N	\N
968372	3300	1998-08-31	VYDAJ	VYBER	15	34238	SLUZBY	\N	\N
968373	3300	1998-09-30	VYDAJ	VYBER	15	38714	SLUZBY	\N	\N
968374	3300	1998-10-31	VYDAJ	VYBER	15	43109	SLUZBY	\N	\N
968375	3300	1998-11-30	VYDAJ	VYBER	15	64255	SLUZBY	\N	\N
968376	3300	1997-10-19	VYDAJ	VYBER	12700	35119	\N	\N	\N
968377	3300	1997-11-18	VYDAJ	VYBER	28100	53799	\N	\N	\N
968378	3300	1997-12-14	VYDAJ	VYBER	48800	75257	\N	\N	\N
968379	3300	1997-12-18	VYDAJ	VYBER	24700	50557	\N	\N	\N
968380	3300	1998-01-17	VYDAJ	VYBER	33800	63706	\N	\N	\N
968381	3300	1998-02-14	VYDAJ	VYBER	53100	57562	\N	\N	\N
968382	3300	1998-02-16	VYDAJ	VYBER	16700	40862	\N	\N	\N
968383	3300	1998-03-18	VYDAJ	VYBER	27000	39070	\N	\N	\N
968384	3300	1998-04-17	VYDAJ	VYBER	24500	42008	\N	\N	\N
968385	3300	1998-05-17	VYDAJ	VYBER	27400	49434	\N	\N	\N
968386	3300	1998-06-16	VYDAJ	VYBER	46400	66660	\N	\N	\N
968387	3300	1998-07-16	VYDAJ	VYBER	27600	49281	\N	\N	\N
968388	3300	1998-08-15	VYDAJ	VYBER	30700	53271	\N	\N	\N
968389	3300	1998-09-14	VYDAJ	VYBER	26300	38525	\N	\N	\N
968390	3300	1998-10-14	VYDAJ	VYBER	28300	42901	\N	\N	\N
968391	3300	1998-11-13	VYDAJ	VYBER	1100	35377	\N	\N	\N
968392	3300	1998-12-13	VYDAJ	VYBER	9200	33223	\N	\N	\N
968408	3301	1996-04-25	PRIJEM	VKLAD	900	900	\N	\N	\N
968413	3301	1996-05-09	PRIJEM	VKLAD	16172	17072	\N	\N	\N
968414	3301	1996-06-09	PRIJEM	VKLAD	24258	47452	\N	\N	\N
968415	3301	1996-07-09	PRIJEM	VKLAD	16172	55236	\N	\N	\N
968416	3301	1996-08-09	PRIJEM	VKLAD	16172	59274	\N	\N	\N
968417	3301	1996-09-09	PRIJEM	VKLAD	16172	60627	\N	\N	\N
968418	3301	1996-10-09	PRIJEM	VKLAD	16172	53623	\N	\N	\N
968419	3301	1996-11-09	PRIJEM	VKLAD	16172	46985	\N	\N	\N
968420	3301	1996-12-09	PRIJEM	VKLAD	24258	49813	\N	\N	\N
968421	3301	1997-01-09	PRIJEM	VKLAD	16172	43756	\N	\N	\N
968422	3301	1997-02-09	PRIJEM	VKLAD	16172	35382	\N	\N	\N
968423	3301	1997-03-09	PRIJEM	VKLAD	16172	39384	\N	\N	\N
968424	3301	1997-04-09	PRIJEM	VKLAD	16172	39298	\N	\N	\N
968425	3301	1997-05-09	PRIJEM	VKLAD	16172	39111	\N	\N	\N
968426	3301	1997-06-09	PRIJEM	VKLAD	24258	46809	\N	\N	\N
968427	3301	1997-07-09	PRIJEM	VKLAD	16172	42434	\N	\N	\N
968428	3301	1997-08-09	PRIJEM	VKLAD	16172	41256	\N	\N	\N
968429	3301	1997-09-09	PRIJEM	VKLAD	16172	37470	\N	\N	\N
968430	3301	1997-10-09	PRIJEM	VKLAD	16172	35671	\N	\N	\N
968431	3301	1997-11-09	PRIJEM	VKLAD	16172	33560	\N	\N	\N
968432	3301	1997-12-09	PRIJEM	VKLAD	24258	41730	\N	\N	\N
968433	3301	1998-01-09	PRIJEM	VKLAD	16172	30921	\N	\N	\N
968434	3301	1998-02-09	PRIJEM	VKLAD	16172	30695	\N	\N	\N
968435	3301	1998-03-09	PRIJEM	VKLAD	16172	30262	\N	\N	\N
968436	3301	1998-04-09	PRIJEM	VKLAD	16172	28227	\N	\N	\N
968437	3301	1998-05-09	PRIJEM	VKLAD	16172	29087	\N	\N	\N
968438	3301	1998-06-09	PRIJEM	VKLAD	24258	48461	\N	\N	\N
968439	3301	1998-07-09	PRIJEM	VKLAD	16172	38369	\N	\N	\N
968440	3301	1998-08-09	PRIJEM	VKLAD	16172	30154	\N	\N	\N
968441	3301	1998-09-09	PRIJEM	VKLAD	16172	41446	\N	\N	\N
968442	3301	1998-10-09	PRIJEM	VKLAD	16172	31138	\N	\N	\N
968443	3301	1998-11-09	PRIJEM	VKLAD	16172	38335	\N	\N	\N
968444	3301	1998-12-09	PRIJEM	VKLAD	24258	38694	\N	\N	\N
968453	3301	1996-09-10	VYDAJ	PREVOD NA UCET	4956	55671	SIPO	AB	16176736
968454	3301	1996-10-10	VYDAJ	PREVOD NA UCET	4956	48667	SIPO	AB	16176736
968455	3301	1996-11-10	VYDAJ	PREVOD NA UCET	4956	42029	SIPO	AB	16176736
968456	3301	1996-12-10	VYDAJ	PREVOD NA UCET	4956	43057	SIPO	AB	16176736
968457	3301	1997-01-10	VYDAJ	PREVOD NA UCET	4956	38800	SIPO	AB	16176736
968458	3301	1997-02-10	VYDAJ	PREVOD NA UCET	4956	30426	SIPO	AB	16176736
968459	3301	1997-03-10	VYDAJ	PREVOD NA UCET	4956	34428	SIPO	AB	16176736
968460	3301	1997-04-10	VYDAJ	PREVOD NA UCET	4956	34342	SIPO	AB	16176736
968461	3301	1997-05-10	VYDAJ	PREVOD NA UCET	4956	34155	SIPO	AB	16176736
968462	3301	1997-06-10	VYDAJ	PREVOD NA UCET	4956	41853	SIPO	AB	16176736
968463	3301	1997-07-10	VYDAJ	PREVOD NA UCET	4956	37478	SIPO	AB	16176736
968464	3301	1997-08-10	VYDAJ	PREVOD NA UCET	4956	36300	SIPO	AB	16176736
968465	3301	1997-09-10	VYDAJ	PREVOD NA UCET	4956	32514	SIPO	AB	16176736
968466	3301	1997-10-10	VYDAJ	PREVOD NA UCET	4956	30715	SIPO	AB	16176736
968467	3301	1997-11-10	VYDAJ	PREVOD NA UCET	4956	28604	SIPO	AB	16176736
968468	3301	1997-12-10	VYDAJ	PREVOD NA UCET	4956	36774	SIPO	AB	16176736
968469	3301	1998-01-10	VYDAJ	PREVOD NA UCET	4956	25965	SIPO	AB	16176736
968470	3301	1998-02-10	VYDAJ	PREVOD NA UCET	4956	25739	SIPO	AB	16176736
968471	3301	1998-03-10	VYDAJ	PREVOD NA UCET	4956	25306	SIPO	AB	16176736
968472	3301	1998-04-10	VYDAJ	PREVOD NA UCET	4956	23271	SIPO	AB	16176736
968473	3301	1998-05-10	VYDAJ	PREVOD NA UCET	4956	24131	SIPO	AB	16176736
968474	3301	1998-06-10	VYDAJ	PREVOD NA UCET	4956	43505	SIPO	AB	16176736
968475	3301	1998-07-10	VYDAJ	PREVOD NA UCET	4956	33413	SIPO	AB	16176736
968476	3301	1998-08-10	VYDAJ	PREVOD NA UCET	4956	25198	SIPO	AB	16176736
968477	3301	1998-09-10	VYDAJ	PREVOD NA UCET	4956	36490	SIPO	AB	16176736
968478	3301	1998-10-10	VYDAJ	PREVOD NA UCET	4956	26182	SIPO	AB	16176736
968479	3301	1998-11-10	VYDAJ	PREVOD NA UCET	4956	33379	SIPO	AB	16176736
968480	3301	1998-12-10	VYDAJ	PREVOD NA UCET	4956	33738	SIPO	AB	16176736
968481	3301	1996-12-09	VYDAJ	VYBER	1800	48013	\N	\N	\N
968482	3301	1997-12-15	VYDAJ	VYBER	2200	34574	\N	\N	\N
968490	3301	1997-01-01	VYDAJ	VYBER	2600	27584	\N	\N	\N
968491	3301	1997-01-28	VYDAJ	VYBER	1800	21500	\N	\N	\N
968492	3301	1997-01-14	VYDAJ	VYBER	1000	36800	\N	\N	\N
968493	3301	1997-01-13	VYDAJ	VYBER	1000	37800	\N	\N	\N
968494	3301	1997-01-16	VYDAJ	VYBER	1300	35500	\N	\N	\N
968495	3301	1997-01-20	VYDAJ	VYBER	2400	33100	\N	\N	\N
968499	3301	1998-01-14	VYDAJ	VYBER	800	25165	\N	\N	\N
968501	3301	1998-01-01	VYDAJ	VYBER	2600	14749	\N	\N	\N
968502	3301	1996-11-28	VYDAJ	VYBER	1900	25429	\N	\N	\N
968503	3301	1996-10-15	VYDAJ	VYBER	4300	44367	\N	\N	\N
968504	3301	1997-01-31	VYDAJ	VYBER	2400	19225	\N	\N	\N
968505	3301	1997-09-02	VYDAJ	VYBER	1900	21298	\N	\N	\N
968506	3301	1997-12-26	VYDAJ	VYBER	2100	17274	\N	\N	\N
968507	3301	1997-11-23	VYDAJ	VYBER	800	17404	\N	\N	\N
968508	3301	1997-05-23	VYDAJ	VYBER	600	22455	\N	\N	\N
968510	3301	1998-10-23	VYDAJ	VYBER	4100	22082	\N	\N	\N
968511	3301	1998-07-27	VYDAJ	VYBER	3100	13913	\N	\N	\N
968512	3301	1998-06-28	VYDAJ	VYBER	500	22105	\N	\N	\N
968513	3301	1998-10-04	VYDAJ	VYBER	3700	14966	\N	\N	\N
968525	3301	1996-09-30	VYDAJ	VYBER	15	37451	SLUZBY	\N	\N
968526	3301	1996-10-31	VYDAJ	VYBER	15	30813	SLUZBY	\N	\N
968527	3301	1996-11-30	VYDAJ	VYBER	15	25555	SLUZBY	\N	\N
968528	3301	1996-12-31	VYDAJ	VYBER	15	30184	SLUZBY	\N	\N
968529	3301	1997-01-31	VYDAJ	VYBER	15	19210	SLUZBY	\N	\N
968530	3301	1997-02-28	VYDAJ	VYBER	15	23212	SLUZBY	\N	\N
968531	3301	1997-03-31	VYDAJ	VYBER	15	23126	SLUZBY	\N	\N
968532	3301	1997-04-30	VYDAJ	VYBER	15	22939	SLUZBY	\N	\N
968533	3301	1997-05-31	VYDAJ	VYBER	15	22551	SLUZBY	\N	\N
968534	3301	1997-06-30	VYDAJ	VYBER	15	26262	SLUZBY	\N	\N
968535	3301	1997-07-31	VYDAJ	VYBER	15	25084	SLUZBY	\N	\N
968536	3301	1997-08-31	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
968537	3301	1997-09-30	VYDAJ	VYBER	15	19499	SLUZBY	\N	\N
968538	3301	1997-10-31	VYDAJ	VYBER	15	17388	SLUZBY	\N	\N
968539	3301	1997-11-30	VYDAJ	VYBER	15	17472	SLUZBY	\N	\N
968540	3301	1997-12-31	VYDAJ	VYBER	15	17349	SLUZBY	\N	\N
968541	3301	1998-01-31	VYDAJ	VYBER	15	14523	SLUZBY	\N	\N
968542	3301	1998-02-28	VYDAJ	VYBER	15	14090	SLUZBY	\N	\N
968543	3301	1998-03-31	VYDAJ	VYBER	15	12055	SLUZBY	\N	\N
968544	3301	1998-04-30	VYDAJ	VYBER	15	12915	SLUZBY	\N	\N
968545	3301	1998-05-31	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
968546	3301	1998-06-30	VYDAJ	VYBER	15	22197	SLUZBY	\N	\N
968547	3301	1998-07-31	VYDAJ	VYBER	15	13982	SLUZBY	\N	\N
968548	3301	1998-08-31	VYDAJ	VYBER	15	25274	SLUZBY	\N	\N
968549	3301	1998-09-30	VYDAJ	VYBER	15	18666	SLUZBY	\N	\N
968550	3301	1998-10-31	VYDAJ	VYBER	15	22163	SLUZBY	\N	\N
968551	3301	1998-11-30	VYDAJ	VYBER	15	14436	SLUZBY	\N	\N
968552	3301	1996-05-25	PRIJEM	VKLAD	6100	23172	\N	\N	\N
968553	3301	1996-06-24	VYDAJ	VYBER	8500	38952	\N	\N	\N
968554	3301	1996-07-24	VYDAJ	VYBER	12300	42936	\N	\N	\N
968555	3301	1996-08-23	VYDAJ	VYBER	15000	44274	\N	\N	\N
968556	3301	1996-09-22	VYDAJ	VYBER	18400	37271	\N	\N	\N
968557	3301	1996-10-22	VYDAJ	VYBER	13700	30667	\N	\N	\N
968558	3301	1996-11-21	VYDAJ	VYBER	14700	27329	\N	\N	\N
968559	3301	1996-12-21	VYDAJ	VYBER	13000	30057	\N	\N	\N
968560	3301	1997-01-20	VYDAJ	VYBER	9800	23300	\N	\N	\N
968561	3301	1997-02-19	VYDAJ	VYBER	7300	23126	\N	\N	\N
968562	3301	1997-03-21	VYDAJ	VYBER	11400	23028	\N	\N	\N
968563	3301	1997-04-20	VYDAJ	VYBER	11500	22842	\N	\N	\N
968564	3301	1997-05-20	VYDAJ	VYBER	11100	23055	\N	\N	\N
968565	3301	1997-06-19	VYDAJ	VYBER	15700	26153	\N	\N	\N
968566	3301	1997-07-19	VYDAJ	VYBER	12500	24978	\N	\N	\N
968567	3301	1997-08-18	VYDAJ	VYBER	13200	23100	\N	\N	\N
968568	3301	1997-09-17	VYDAJ	VYBER	13100	19414	\N	\N	\N
968569	3301	1997-10-17	VYDAJ	VYBER	13400	17315	\N	\N	\N
968570	3301	1997-11-16	VYDAJ	VYBER	10400	18204	\N	\N	\N
968571	3301	1997-12-16	VYDAJ	VYBER	15200	19374	\N	\N	\N
968572	3301	1998-01-15	VYDAJ	VYBER	10700	14465	\N	\N	\N
968573	3301	1998-02-14	VYDAJ	VYBER	11700	14039	\N	\N	\N
968574	3301	1998-03-16	VYDAJ	VYBER	13300	12006	\N	\N	\N
968575	3301	1998-04-15	VYDAJ	VYBER	10400	12871	\N	\N	\N
968576	3301	1998-06-14	VYDAJ	VYBER	20900	22605	\N	\N	\N
968577	3301	1998-07-14	VYDAJ	VYBER	16400	17013	\N	\N	\N
968578	3301	1998-09-12	VYDAJ	VYBER	17900	18590	\N	\N	\N
968579	3301	1998-11-11	VYDAJ	VYBER	19000	14379	\N	\N	\N
968580	3301	1998-12-11	VYDAJ	VYBER	21200	12538	\N	\N	\N
968613	3302	1993-03-02	PRIJEM	VKLAD	700	700	\N	\N	\N
968616	3302	1993-03-10	PRIJEM	PREVOD Z UCTU	3008	3708	\N	CD	24482953
968617	3302	1993-04-10	PRIJEM	PREVOD Z UCTU	3008	17327	\N	CD	24482953
968618	3302	1993-05-10	PRIJEM	PREVOD Z UCTU	3008	25790	\N	CD	24482953
968619	3302	1993-06-10	PRIJEM	PREVOD Z UCTU	3008	28895	\N	CD	24482953
968620	3302	1993-07-10	PRIJEM	PREVOD Z UCTU	3008	31411	\N	CD	24482953
968621	3302	1993-08-10	PRIJEM	PREVOD Z UCTU	3008	28323	\N	CD	24482953
968622	3302	1993-09-10	PRIJEM	PREVOD Z UCTU	3008	26425	\N	CD	24482953
968623	3302	1993-10-10	PRIJEM	PREVOD Z UCTU	3008	24656	\N	CD	24482953
968624	3302	1993-11-10	PRIJEM	PREVOD Z UCTU	3008	27444	\N	CD	24482953
968625	3302	1993-12-10	PRIJEM	PREVOD Z UCTU	3008	28863	\N	CD	24482953
968626	3302	1994-01-10	PRIJEM	PREVOD Z UCTU	3008	28236	\N	CD	24482953
968627	3302	1994-02-10	PRIJEM	PREVOD Z UCTU	3008	25392	\N	CD	24482953
968628	3302	1994-03-10	PRIJEM	PREVOD Z UCTU	3008	26282	\N	CD	24482953
968629	3302	1994-04-10	PRIJEM	PREVOD Z UCTU	3008	26275	\N	CD	24482953
968630	3302	1994-05-10	PRIJEM	PREVOD Z UCTU	3008	26368	\N	CD	24482953
968631	3302	1994-06-10	PRIJEM	PREVOD Z UCTU	3008	24291	\N	CD	24482953
968632	3302	1994-07-10	PRIJEM	PREVOD Z UCTU	3008	25778	\N	CD	24482953
968633	3302	1994-08-10	PRIJEM	PREVOD Z UCTU	3008	27470	\N	CD	24482953
968634	3302	1994-09-10	PRIJEM	PREVOD Z UCTU	3008	29598	\N	CD	24482953
968635	3302	1994-10-10	PRIJEM	PREVOD Z UCTU	3008	29003	\N	CD	24482953
968636	3302	1994-11-10	PRIJEM	PREVOD Z UCTU	3008	27705	\N	CD	24482953
968637	3302	1994-12-10	PRIJEM	PREVOD Z UCTU	3008	29505	\N	CD	24482953
968638	3302	1995-01-10	PRIJEM	PREVOD Z UCTU	3008	30183	\N	CD	24482953
968639	3302	1995-02-10	PRIJEM	PREVOD Z UCTU	3008	28720	\N	CD	24482953
968640	3302	1995-03-10	PRIJEM	PREVOD Z UCTU	3008	32426	\N	CD	24482953
968641	3302	1995-04-10	PRIJEM	PREVOD Z UCTU	3008	34046	\N	CD	24482953
968642	3302	1995-05-10	PRIJEM	PREVOD Z UCTU	3008	33670	\N	CD	24482953
968643	3302	1995-06-10	PRIJEM	PREVOD Z UCTU	3008	33492	\N	CD	24482953
968644	3302	1995-07-10	PRIJEM	PREVOD Z UCTU	3008	34203	\N	CD	24482953
968645	3302	1995-08-10	PRIJEM	PREVOD Z UCTU	3008	35270	\N	CD	24482953
968646	3302	1995-09-10	PRIJEM	PREVOD Z UCTU	3008	35599	\N	CD	24482953
968647	3302	1995-10-10	PRIJEM	PREVOD Z UCTU	3008	36922	\N	CD	24482953
968648	3302	1995-11-10	PRIJEM	PREVOD Z UCTU	3008	34986	\N	CD	24482953
968649	3302	1995-12-10	PRIJEM	PREVOD Z UCTU	3008	36817	\N	CD	24482953
968650	3302	1996-01-10	PRIJEM	PREVOD Z UCTU	3008	38445	\N	CD	24482953
968651	3302	1996-02-10	PRIJEM	PREVOD Z UCTU	3008	32466	\N	CD	24482953
968652	3302	1996-03-10	PRIJEM	PREVOD Z UCTU	3008	34888	\N	CD	24482953
968653	3302	1996-04-10	PRIJEM	PREVOD Z UCTU	3008	30805	\N	CD	24482953
968654	3302	1996-05-10	PRIJEM	PREVOD Z UCTU	3008	26446	\N	CD	24482953
968655	3302	1996-06-10	PRIJEM	PREVOD Z UCTU	3008	17403	\N	CD	24482953
968656	3302	1996-07-10	PRIJEM	PREVOD Z UCTU	3008	22273	\N	CD	24482953
968657	3302	1996-08-10	PRIJEM	PREVOD Z UCTU	3008	24451	\N	CD	24482953
968658	3302	1996-09-10	PRIJEM	PREVOD Z UCTU	3008	24433	\N	CD	24482953
968659	3302	1996-10-10	PRIJEM	PREVOD Z UCTU	3008	24416	\N	CD	24482953
968660	3302	1996-11-10	PRIJEM	PREVOD Z UCTU	3008	25963	\N	CD	24482953
968661	3302	1996-12-10	PRIJEM	PREVOD Z UCTU	3008	24186	\N	CD	24482953
968662	3302	1997-01-10	PRIJEM	PREVOD Z UCTU	3008	24774	\N	CD	24482953
968663	3302	1997-02-10	PRIJEM	PREVOD Z UCTU	3008	26175	\N	CD	24482953
968664	3302	1997-03-10	PRIJEM	PREVOD Z UCTU	3008	26780	\N	CD	24482953
968665	3302	1997-04-10	PRIJEM	PREVOD Z UCTU	3008	29680	\N	CD	24482953
968666	3302	1997-05-10	PRIJEM	PREVOD Z UCTU	3008	32160	\N	CD	24482953
968667	3302	1997-06-10	PRIJEM	PREVOD Z UCTU	3008	33997	\N	CD	24482953
968668	3302	1997-07-10	PRIJEM	PREVOD Z UCTU	3008	37721	\N	CD	24482953
968669	3302	1997-08-10	PRIJEM	PREVOD Z UCTU	3008	41053	\N	CD	24482953
968670	3302	1997-09-10	PRIJEM	PREVOD Z UCTU	3008	46654	\N	CD	24482953
968671	3302	1997-10-10	PRIJEM	PREVOD Z UCTU	3008	48626	\N	CD	24482953
968672	3302	1997-11-10	PRIJEM	PREVOD Z UCTU	3008	49710	\N	CD	24482953
968673	3302	1997-12-10	PRIJEM	PREVOD Z UCTU	3008	48998	\N	CD	24482953
968674	3302	1998-01-10	PRIJEM	PREVOD Z UCTU	3008	48724	\N	CD	24482953
968675	3302	1998-02-10	PRIJEM	PREVOD Z UCTU	3008	49664	\N	CD	24482953
968676	3302	1998-03-10	PRIJEM	PREVOD Z UCTU	3008	54317	\N	CD	24482953
968677	3302	1998-04-10	PRIJEM	PREVOD Z UCTU	3008	61922	\N	CD	24482953
968678	3302	1998-05-10	PRIJEM	PREVOD Z UCTU	3008	61756	\N	CD	24482953
968679	3302	1998-06-10	PRIJEM	PREVOD Z UCTU	3008	62495	\N	CD	24482953
968680	3302	1998-07-10	PRIJEM	PREVOD Z UCTU	3008	55484	\N	CD	24482953
968681	3302	1998-08-10	PRIJEM	PREVOD Z UCTU	3008	53299	\N	CD	24482953
968682	3302	1998-09-10	PRIJEM	PREVOD Z UCTU	3008	51903	\N	CD	24482953
968683	3302	1998-10-10	PRIJEM	PREVOD Z UCTU	3008	53600	\N	CD	24482953
968684	3302	1998-11-10	PRIJEM	PREVOD Z UCTU	3008	58803	\N	CD	24482953
968685	3302	1998-12-10	PRIJEM	PREVOD Z UCTU	3008	62424	\N	CD	24482953
968693	3302	1993-08-07	VYDAJ	PREVOD NA UCET	1376	25315	SIPO	YZ	76450466
968694	3302	1993-09-07	VYDAJ	PREVOD NA UCET	1376	23417	SIPO	YZ	76450466
968695	3302	1993-10-07	VYDAJ	PREVOD NA UCET	1376	21648	SIPO	YZ	76450466
968696	3302	1993-11-07	VYDAJ	PREVOD NA UCET	1376	24436	SIPO	YZ	76450466
968697	3302	1993-12-07	VYDAJ	PREVOD NA UCET	1376	25855	SIPO	YZ	76450466
968698	3302	1994-01-07	VYDAJ	PREVOD NA UCET	1376	25228	SIPO	YZ	76450466
968699	3302	1994-02-07	VYDAJ	PREVOD NA UCET	1376	22384	SIPO	YZ	76450466
968700	3302	1994-03-07	VYDAJ	PREVOD NA UCET	1376	23274	SIPO	YZ	76450466
968701	3302	1994-04-07	VYDAJ	PREVOD NA UCET	1376	23267	SIPO	YZ	76450466
968702	3302	1994-05-07	VYDAJ	PREVOD NA UCET	1376	23360	SIPO	YZ	76450466
968703	3302	1994-06-07	VYDAJ	PREVOD NA UCET	1376	21283	SIPO	YZ	76450466
968704	3302	1994-07-07	VYDAJ	PREVOD NA UCET	1376	22770	SIPO	YZ	76450466
968705	3302	1994-08-07	VYDAJ	PREVOD NA UCET	1376	24462	SIPO	YZ	76450466
968706	3302	1994-09-07	VYDAJ	PREVOD NA UCET	1376	26590	SIPO	YZ	76450466
968707	3302	1994-10-07	VYDAJ	PREVOD NA UCET	1376	25995	SIPO	YZ	76450466
968708	3302	1994-11-07	VYDAJ	PREVOD NA UCET	1376	24697	SIPO	YZ	76450466
968709	3302	1994-12-07	VYDAJ	PREVOD NA UCET	1376	26497	SIPO	YZ	76450466
968710	3302	1995-01-07	VYDAJ	PREVOD NA UCET	1376	27565	SIPO	YZ	76450466
968711	3302	1995-02-07	VYDAJ	PREVOD NA UCET	1376	25712	SIPO	YZ	76450466
968712	3302	1995-03-07	VYDAJ	PREVOD NA UCET	1376	29418	SIPO	YZ	76450466
968713	3302	1995-04-07	VYDAJ	PREVOD NA UCET	1376	31038	SIPO	YZ	76450466
968714	3302	1995-05-07	VYDAJ	PREVOD NA UCET	1376	30662	SIPO	YZ	76450466
968715	3302	1995-06-07	VYDAJ	PREVOD NA UCET	1376	30484	SIPO	YZ	76450466
968716	3302	1995-07-07	VYDAJ	PREVOD NA UCET	1376	31195	SIPO	YZ	76450466
968717	3302	1995-08-07	VYDAJ	PREVOD NA UCET	1376	32262	SIPO	YZ	76450466
968718	3302	1995-09-07	VYDAJ	PREVOD NA UCET	1376	32591	SIPO	YZ	76450466
968719	3302	1995-10-07	VYDAJ	PREVOD NA UCET	1376	34424	SIPO	YZ	76450466
968720	3302	1995-11-07	VYDAJ	PREVOD NA UCET	1376	31978	SIPO	YZ	76450466
968721	3302	1995-12-07	VYDAJ	PREVOD NA UCET	1376	33809	SIPO	YZ	76450466
968722	3302	1996-01-07	VYDAJ	PREVOD NA UCET	1376	35437	SIPO	YZ	76450466
968723	3302	1996-02-07	VYDAJ	PREVOD NA UCET	1376	29458	SIPO	YZ	76450466
968724	3302	1996-03-07	VYDAJ	PREVOD NA UCET	1376	31880	SIPO	YZ	76450466
968725	3302	1996-04-07	VYDAJ	PREVOD NA UCET	1376	27797	SIPO	YZ	76450466
968726	3302	1996-05-07	VYDAJ	PREVOD NA UCET	1376	23438	SIPO	YZ	76450466
968727	3302	1996-06-07	VYDAJ	PREVOD NA UCET	1376	14395	SIPO	YZ	76450466
968728	3302	1996-07-07	VYDAJ	PREVOD NA UCET	1376	19265	SIPO	YZ	76450466
968729	3302	1996-08-07	VYDAJ	PREVOD NA UCET	1376	21443	SIPO	YZ	76450466
968730	3302	1996-09-07	VYDAJ	PREVOD NA UCET	1376	21425	SIPO	YZ	76450466
968731	3302	1996-10-07	VYDAJ	PREVOD NA UCET	1376	21408	SIPO	YZ	76450466
968732	3302	1996-11-07	VYDAJ	PREVOD NA UCET	1376	22955	SIPO	YZ	76450466
968733	3302	1996-12-07	VYDAJ	PREVOD NA UCET	1376	21178	SIPO	YZ	76450466
968734	3302	1997-01-07	VYDAJ	PREVOD NA UCET	1376	22636	SIPO	YZ	76450466
968735	3302	1997-02-07	VYDAJ	PREVOD NA UCET	1376	18167	SIPO	YZ	76450466
968736	3302	1997-03-07	VYDAJ	PREVOD NA UCET	1376	23772	SIPO	YZ	76450466
968737	3302	1997-04-07	VYDAJ	PREVOD NA UCET	1376	26672	SIPO	YZ	76450466
968738	3302	1997-05-07	VYDAJ	PREVOD NA UCET	1376	29152	SIPO	YZ	76450466
968739	3302	1997-06-07	VYDAJ	PREVOD NA UCET	1376	28889	SIPO	YZ	76450466
968740	3302	1997-07-07	VYDAJ	PREVOD NA UCET	1376	27513	SIPO	YZ	76450466
968741	3302	1997-08-07	VYDAJ	PREVOD NA UCET	1376	35845	SIPO	YZ	76450466
968742	3302	1997-09-07	VYDAJ	PREVOD NA UCET	1376	43646	SIPO	YZ	76450466
968743	3302	1997-10-07	VYDAJ	PREVOD NA UCET	1376	45618	SIPO	YZ	76450466
968744	3302	1997-11-07	VYDAJ	PREVOD NA UCET	1376	46702	SIPO	YZ	76450466
968745	3302	1997-12-07	VYDAJ	PREVOD NA UCET	1376	45990	SIPO	YZ	76450466
968746	3302	1998-01-07	VYDAJ	PREVOD NA UCET	1376	45716	SIPO	YZ	76450466
968747	3302	1998-02-07	VYDAJ	PREVOD NA UCET	1376	46656	SIPO	YZ	76450466
968748	3302	1998-03-07	VYDAJ	PREVOD NA UCET	1376	51309	SIPO	YZ	76450466
968749	3302	1998-04-07	VYDAJ	PREVOD NA UCET	1376	58914	SIPO	YZ	76450466
968750	3302	1998-05-07	VYDAJ	PREVOD NA UCET	1376	58748	SIPO	YZ	76450466
968751	3302	1998-06-07	VYDAJ	PREVOD NA UCET	1376	59487	SIPO	YZ	76450466
968752	3302	1998-07-07	VYDAJ	PREVOD NA UCET	1376	52476	SIPO	YZ	76450466
968753	3302	1998-08-07	VYDAJ	PREVOD NA UCET	1376	50291	SIPO	YZ	76450466
968754	3302	1998-09-07	VYDAJ	PREVOD NA UCET	1376	48895	SIPO	YZ	76450466
968755	3302	1998-10-07	VYDAJ	PREVOD NA UCET	1376	50592	SIPO	YZ	76450466
968756	3302	1998-11-07	VYDAJ	PREVOD NA UCET	1376	55795	SIPO	YZ	76450466
968757	3302	1998-12-07	VYDAJ	PREVOD NA UCET	1376	59416	SIPO	YZ	76450466
968764	3302	1993-07-12	VYDAJ	PREVOD NA UCET	572	30839	 	UV	73494863
968765	3302	1993-08-12	VYDAJ	PREVOD NA UCET	572	27751	 	UV	73494863
968766	3302	1993-09-12	VYDAJ	PREVOD NA UCET	572	25853	 	UV	73494863
968767	3302	1993-10-12	VYDAJ	PREVOD NA UCET	572	24084	 	UV	73494863
968768	3302	1993-11-12	VYDAJ	PREVOD NA UCET	572	26872	 	UV	73494863
968769	3302	1993-12-12	VYDAJ	PREVOD NA UCET	572	28291	 	UV	73494863
968770	3302	1994-01-12	VYDAJ	PREVOD NA UCET	572	25984	 	UV	73494863
968771	3302	1994-02-12	VYDAJ	PREVOD NA UCET	572	24820	 	UV	73494863
968772	3302	1994-03-12	VYDAJ	PREVOD NA UCET	572	25710	 	UV	73494863
968773	3302	1994-04-12	VYDAJ	PREVOD NA UCET	572	25703	 	UV	73494863
968774	3302	1994-05-12	VYDAJ	PREVOD NA UCET	572	25796	 	UV	73494863
968775	3302	1994-06-12	VYDAJ	PREVOD NA UCET	572	23719	 	UV	73494863
968776	3302	1994-07-12	VYDAJ	PREVOD NA UCET	572	25206	 	UV	73494863
968777	3302	1994-08-12	VYDAJ	PREVOD NA UCET	572	25428	 	UV	73494863
968778	3302	1994-09-12	VYDAJ	PREVOD NA UCET	572	29026	 	UV	73494863
968779	3302	1994-10-12	VYDAJ	PREVOD NA UCET	572	28431	 	UV	73494863
968780	3302	1994-11-12	VYDAJ	PREVOD NA UCET	572	27133	 	UV	73494863
968781	3302	1994-12-12	VYDAJ	PREVOD NA UCET	572	28933	 	UV	73494863
968782	3302	1995-01-12	VYDAJ	PREVOD NA UCET	572	29611	 	UV	73494863
968783	3302	1995-02-12	VYDAJ	PREVOD NA UCET	572	28148	 	UV	73494863
968784	3302	1995-03-12	VYDAJ	PREVOD NA UCET	572	31854	 	UV	73494863
968785	3302	1995-04-12	VYDAJ	PREVOD NA UCET	572	33474	 	UV	73494863
968786	3302	1995-05-12	VYDAJ	PREVOD NA UCET	572	33098	 	UV	73494863
968787	3302	1995-06-12	VYDAJ	PREVOD NA UCET	572	32920	 	UV	73494863
968788	3302	1995-07-12	VYDAJ	PREVOD NA UCET	572	33631	 	UV	73494863
968789	3302	1995-08-12	VYDAJ	PREVOD NA UCET	572	34698	 	UV	73494863
968790	3302	1995-09-12	VYDAJ	PREVOD NA UCET	572	35027	 	UV	73494863
968791	3302	1995-10-12	VYDAJ	PREVOD NA UCET	572	36350	 	UV	73494863
968792	3302	1995-11-12	VYDAJ	PREVOD NA UCET	572	34414	 	UV	73494863
968793	3302	1995-12-12	VYDAJ	PREVOD NA UCET	572	36245	 	UV	73494863
968794	3302	1996-01-12	VYDAJ	PREVOD NA UCET	572	37033	 	UV	73494863
968795	3302	1996-02-12	VYDAJ	PREVOD NA UCET	572	31894	 	UV	73494863
968796	3302	1996-03-12	VYDAJ	PREVOD NA UCET	572	34316	 	UV	73494863
968797	3302	1996-04-12	VYDAJ	PREVOD NA UCET	572	30233	 	UV	73494863
968798	3302	1996-05-12	VYDAJ	PREVOD NA UCET	572	25874	 	UV	73494863
968799	3302	1996-06-12	VYDAJ	PREVOD NA UCET	572	16831	 	UV	73494863
968800	3302	1996-07-12	VYDAJ	PREVOD NA UCET	572	21701	 	UV	73494863
968801	3302	1996-08-12	VYDAJ	PREVOD NA UCET	572	23879	 	UV	73494863
968802	3302	1996-09-12	VYDAJ	PREVOD NA UCET	572	22761	 	UV	73494863
968803	3302	1996-10-12	VYDAJ	PREVOD NA UCET	572	25444	 	UV	73494863
968804	3302	1996-11-12	VYDAJ	PREVOD NA UCET	572	22891	 	UV	73494863
968805	3302	1996-12-12	VYDAJ	PREVOD NA UCET	572	25514	 	UV	73494863
968806	3302	1997-01-12	VYDAJ	PREVOD NA UCET	572	24802	 	UV	73494863
968807	3302	1997-02-12	VYDAJ	PREVOD NA UCET	572	25603	 	UV	73494863
968808	3302	1997-03-12	VYDAJ	PREVOD NA UCET	572	28008	 	UV	73494863
968809	3302	1997-04-12	VYDAJ	PREVOD NA UCET	572	30808	 	UV	73494863
968810	3302	1997-05-12	VYDAJ	PREVOD NA UCET	572	32188	 	UV	73494863
968811	3302	1997-06-12	VYDAJ	PREVOD NA UCET	572	33425	 	UV	73494863
968812	3302	1997-07-12	VYDAJ	PREVOD NA UCET	572	37149	 	UV	73494863
968813	3302	1997-08-12	VYDAJ	PREVOD NA UCET	572	40481	 	UV	73494863
968814	3302	1997-09-12	VYDAJ	PREVOD NA UCET	572	46082	 	UV	73494863
968815	3302	1997-10-12	VYDAJ	PREVOD NA UCET	572	48054	 	UV	73494863
968816	3302	1997-11-12	VYDAJ	PREVOD NA UCET	572	49138	 	UV	73494863
968817	3302	1997-12-12	VYDAJ	PREVOD NA UCET	572	48426	 	UV	73494863
968818	3302	1998-01-12	VYDAJ	PREVOD NA UCET	572	48152	 	UV	73494863
968819	3302	1998-02-12	VYDAJ	PREVOD NA UCET	572	49092	 	UV	73494863
968820	3302	1998-03-12	VYDAJ	PREVOD NA UCET	572	53745	 	UV	73494863
968821	3302	1998-04-12	VYDAJ	PREVOD NA UCET	572	61350	 	UV	73494863
968822	3302	1998-05-12	VYDAJ	PREVOD NA UCET	572	61184	 	UV	73494863
968823	3302	1998-06-12	VYDAJ	PREVOD NA UCET	572	61923	 	UV	73494863
968824	3302	1998-07-12	VYDAJ	PREVOD NA UCET	572	54912	 	UV	73494863
968825	3302	1998-08-12	VYDAJ	PREVOD NA UCET	572	52727	 	UV	73494863
968826	3302	1998-09-12	VYDAJ	PREVOD NA UCET	572	51331	 	UV	73494863
968827	3302	1998-10-12	VYDAJ	PREVOD NA UCET	572	53028	 	UV	73494863
968828	3302	1998-11-12	VYDAJ	PREVOD NA UCET	572	58231	 	UV	73494863
968829	3302	1998-12-12	VYDAJ	PREVOD NA UCET	572	61852	 	UV	73494863
968837	3302	1993-08-06	VYDAJ	PREVOD NA UCET	57	26691	POJISTNE	GH	28717500
968838	3302	1993-09-06	VYDAJ	PREVOD NA UCET	57	24793	POJISTNE	GH	28717500
968839	3302	1993-10-06	VYDAJ	PREVOD NA UCET	57	23024	POJISTNE	GH	28717500
968840	3302	1993-11-06	VYDAJ	PREVOD NA UCET	57	25812	POJISTNE	GH	28717500
968841	3302	1993-12-06	VYDAJ	PREVOD NA UCET	57	27231	POJISTNE	GH	28717500
968842	3302	1994-01-06	VYDAJ	PREVOD NA UCET	57	26604	POJISTNE	GH	28717500
968843	3302	1994-02-06	VYDAJ	PREVOD NA UCET	57	23760	POJISTNE	GH	28717500
968844	3302	1994-03-06	VYDAJ	PREVOD NA UCET	57	24650	POJISTNE	GH	28717500
968845	3302	1994-04-06	VYDAJ	PREVOD NA UCET	57	24643	POJISTNE	GH	28717500
968846	3302	1994-05-06	VYDAJ	PREVOD NA UCET	57	24736	POJISTNE	GH	28717500
968847	3302	1994-06-06	VYDAJ	PREVOD NA UCET	57	22659	POJISTNE	GH	28717500
968848	3302	1994-07-06	VYDAJ	PREVOD NA UCET	57	24146	POJISTNE	GH	28717500
968849	3302	1994-08-06	VYDAJ	PREVOD NA UCET	57	25838	POJISTNE	GH	28717500
968850	3302	1994-09-06	VYDAJ	PREVOD NA UCET	57	27966	POJISTNE	GH	28717500
968851	3302	1994-10-06	VYDAJ	PREVOD NA UCET	57	27371	POJISTNE	GH	28717500
968852	3302	1994-11-06	VYDAJ	PREVOD NA UCET	57	26073	POJISTNE	GH	28717500
968853	3302	1994-12-06	VYDAJ	PREVOD NA UCET	57	27873	POJISTNE	GH	28717500
968854	3302	1995-01-06	VYDAJ	PREVOD NA UCET	57	28941	POJISTNE	GH	28717500
968855	3302	1995-02-06	VYDAJ	PREVOD NA UCET	57	27088	POJISTNE	GH	28717500
968856	3302	1995-03-06	VYDAJ	PREVOD NA UCET	57	30794	POJISTNE	GH	28717500
968857	3302	1995-04-06	VYDAJ	PREVOD NA UCET	57	32414	POJISTNE	GH	28717500
968858	3302	1995-05-06	VYDAJ	PREVOD NA UCET	57	32038	POJISTNE	GH	28717500
968859	3302	1995-06-06	VYDAJ	PREVOD NA UCET	57	31860	POJISTNE	GH	28717500
968860	3302	1995-07-06	VYDAJ	PREVOD NA UCET	57	32571	POJISTNE	GH	28717500
968861	3302	1995-08-06	VYDAJ	PREVOD NA UCET	57	33638	POJISTNE	GH	28717500
968862	3302	1995-09-06	VYDAJ	PREVOD NA UCET	57	33967	POJISTNE	GH	28717500
968863	3302	1995-10-06	VYDAJ	PREVOD NA UCET	57	35800	POJISTNE	GH	28717500
968864	3302	1995-11-06	VYDAJ	PREVOD NA UCET	57	33354	POJISTNE	GH	28717500
968865	3302	1995-12-06	VYDAJ	PREVOD NA UCET	57	35185	POJISTNE	GH	28717500
968866	3302	1996-01-06	VYDAJ	PREVOD NA UCET	57	36813	POJISTNE	GH	28717500
968867	3302	1996-02-06	VYDAJ	PREVOD NA UCET	57	30834	POJISTNE	GH	28717500
968868	3302	1996-03-06	VYDAJ	PREVOD NA UCET	57	33256	POJISTNE	GH	28717500
968869	3302	1996-04-06	VYDAJ	PREVOD NA UCET	57	29173	POJISTNE	GH	28717500
968870	3302	1996-05-06	VYDAJ	PREVOD NA UCET	57	24814	POJISTNE	GH	28717500
968871	3302	1996-06-06	VYDAJ	PREVOD NA UCET	57	15771	POJISTNE	GH	28717500
968872	3302	1996-07-06	VYDAJ	PREVOD NA UCET	57	20641	POJISTNE	GH	28717500
968873	3302	1996-08-06	VYDAJ	PREVOD NA UCET	57	22819	POJISTNE	GH	28717500
968874	3302	1996-09-06	VYDAJ	PREVOD NA UCET	57	22801	POJISTNE	GH	28717500
968875	3302	1996-10-06	VYDAJ	PREVOD NA UCET	57	22784	POJISTNE	GH	28717500
968876	3302	1996-11-06	VYDAJ	PREVOD NA UCET	57	24331	POJISTNE	GH	28717500
968877	3302	1996-12-06	VYDAJ	PREVOD NA UCET	57	22554	POJISTNE	GH	28717500
968878	3302	1997-01-06	VYDAJ	PREVOD NA UCET	57	24492	POJISTNE	GH	28717500
968879	3302	1997-02-06	VYDAJ	PREVOD NA UCET	57	19543	POJISTNE	GH	28717500
968880	3302	1997-03-06	VYDAJ	PREVOD NA UCET	57	25148	POJISTNE	GH	28717500
968881	3302	1997-04-06	VYDAJ	PREVOD NA UCET	57	28048	POJISTNE	GH	28717500
968882	3302	1997-05-06	VYDAJ	PREVOD NA UCET	57	30528	POJISTNE	GH	28717500
968883	3302	1997-06-06	VYDAJ	PREVOD NA UCET	57	30265	POJISTNE	GH	28717500
968884	3302	1997-07-06	VYDAJ	PREVOD NA UCET	57	28889	POJISTNE	GH	28717500
968885	3302	1997-08-06	VYDAJ	PREVOD NA UCET	57	37221	POJISTNE	GH	28717500
968886	3302	1997-09-06	VYDAJ	PREVOD NA UCET	57	39522	POJISTNE	GH	28717500
968887	3302	1997-10-06	VYDAJ	PREVOD NA UCET	57	46194	POJISTNE	GH	28717500
968888	3302	1997-11-06	VYDAJ	PREVOD NA UCET	57	48078	POJISTNE	GH	28717500
968889	3302	1997-12-06	VYDAJ	PREVOD NA UCET	57	49266	POJISTNE	GH	28717500
968890	3302	1998-01-06	VYDAJ	PREVOD NA UCET	57	47092	POJISTNE	GH	28717500
968891	3302	1998-02-06	VYDAJ	PREVOD NA UCET	57	48032	POJISTNE	GH	28717500
968892	3302	1998-03-06	VYDAJ	PREVOD NA UCET	57	52685	POJISTNE	GH	28717500
968893	3302	1998-04-06	VYDAJ	PREVOD NA UCET	57	60290	POJISTNE	GH	28717500
968894	3302	1998-05-06	VYDAJ	PREVOD NA UCET	57	60124	POJISTNE	GH	28717500
968895	3302	1998-06-06	VYDAJ	PREVOD NA UCET	57	60863	POJISTNE	GH	28717500
968896	3302	1998-07-06	VYDAJ	PREVOD NA UCET	57	53852	POJISTNE	GH	28717500
968897	3302	1998-08-06	VYDAJ	PREVOD NA UCET	57	51667	POJISTNE	GH	28717500
968898	3302	1998-09-06	VYDAJ	PREVOD NA UCET	57	50271	POJISTNE	GH	28717500
968899	3302	1998-10-06	VYDAJ	PREVOD NA UCET	57	51968	POJISTNE	GH	28717500
968900	3302	1998-11-06	VYDAJ	PREVOD NA UCET	57	57171	POJISTNE	GH	28717500
968901	3302	1998-12-06	VYDAJ	PREVOD NA UCET	57	60792	POJISTNE	GH	28717500
968903	3302	1994-06-03	VYDAJ	VYBER	1770	22716	\N	\N	\N
968904	3302	1995-06-17	VYDAJ	VYBER	4710	28210	\N	\N	\N
968905	3302	1996-06-03	VYDAJ	VYBER	7530	15828	\N	\N	\N
968906	3302	1997-06-17	VYDAJ	VYBER	3780	29645	\N	\N	\N
968907	3302	1998-06-25	VYDAJ	VYBER	3150	58773	\N	\N	\N
968909	3302	1994-01-12	VYDAJ	VYBER	1200	26556	\N	\N	\N
968910	3302	1995-01-20	VYDAJ	VYBER	1020	27871	\N	\N	\N
968911	3302	1996-01-14	VYDAJ	VYBER	2850	34183	\N	\N	\N
968912	3302	1997-01-15	VYDAJ	VYBER	2370	22432	\N	\N	\N
968913	3302	1998-01-25	VYDAJ	VYBER	2130	43442	\N	\N	\N
968914	3302	1993-12-16	VYDAJ	VYBER	810	27481	\N	\N	\N
968915	3302	1994-12-26	VYDAJ	VYBER	240	28893	\N	\N	\N
968916	3302	1995-12-25	VYDAJ	VYBER	210	36735	\N	\N	\N
968917	3302	1996-12-20	VYDAJ	VYBER	870	24644	\N	\N	\N
968918	3302	1997-12-18	VYDAJ	VYBER	360	47706	\N	\N	\N
968919	3302	1998-12-18	VYDAJ	VYBER KARTOU	600	61252	\N	\N	0
968926	3302	1994-01-20	VYDAJ	VYBER	720	25054	\N	\N	\N
968927	3302	1994-01-19	VYDAJ	VYBER	210	25774	\N	\N	\N
968928	3302	1994-01-05	VYDAJ	VYBER	210	26661	\N	\N	\N
968929	3302	1994-01-11	VYDAJ	VYBER	480	27756	\N	\N	\N
968930	3302	1994-01-29	VYDAJ	VYBER	570	23724	\N	\N	\N
968931	3302	1994-01-02	VYDAJ	VYBER	510	26871	\N	\N	\N
968932	3302	1995-01-07	VYDAJ	VYBER	390	27175	\N	\N	\N
968933	3302	1995-01-21	VYDAJ	VYBER	300	28571	\N	\N	\N
968934	3302	1995-01-19	VYDAJ	VYBER	420	28891	\N	\N	\N
968935	3302	1995-01-23	VYDAJ	VYBER	720	27851	\N	\N	\N
968936	3302	1995-01-29	VYDAJ	VYBER	810	27041	\N	\N	\N
968937	3302	1995-01-14	VYDAJ	VYBER	300	29311	\N	\N	\N
968938	3302	1996-01-24	VYDAJ	VYBER	360	32383	\N	\N	\N
968939	3302	1996-01-26	VYDAJ	VYBER	210	32173	\N	\N	\N
968940	3302	1996-01-12	VYDAJ	VYBER	840	37605	\N	\N	\N
968941	3302	1996-01-21	VYDAJ	VYBER	840	32743	\N	\N	\N
968942	3302	1996-01-30	VYDAJ	VYBER	600	31573	\N	\N	\N
968943	3302	1996-01-30	VYDAJ	VYBER	450	31123	\N	\N	\N
968944	3302	1997-01-05	VYDAJ	VYBER	180	24549	\N	\N	\N
968945	3302	1997-01-08	VYDAJ	VYBER	870	21766	\N	\N	\N
968946	3302	1997-01-17	VYDAJ	VYBER	480	21952	\N	\N	\N
968947	3302	1997-01-24	VYDAJ	VYBER	870	21082	\N	\N	\N
968948	3302	1997-01-30	VYDAJ	VYBER	750	20332	\N	\N	\N
968949	3302	1997-01-06	VYDAJ	VYBER	480	24012	\N	\N	\N
968950	3302	1998-01-12	VYDAJ	VYBER	870	45572	\N	\N	\N
968951	3302	1998-01-12	VYDAJ	VYBER	810	46442	\N	\N	\N
968952	3302	1998-01-12	VYDAJ	VYBER	330	47252	\N	\N	\N
968953	3302	1998-01-12	VYDAJ	VYBER	570	47582	\N	\N	\N
968954	3302	1998-01-03	VYDAJ	VYBER	240	47649	\N	\N	\N
968955	3302	1998-01-30	VYDAJ	VYBER	630	42812	\N	\N	\N
968958	3302	1993-09-13	VYDAJ	VYBER	870	24593	\N	\N	\N
968959	3302	1993-09-03	VYDAJ	VYBER	1200	24850	\N	\N	\N
968960	3302	1993-12-03	VYDAJ	VYBER	180	27288	\N	\N	\N
968961	3302	1993-09-13	VYDAJ	VYBER	390	25463	\N	\N	\N
968964	3302	1994-03-29	VYDAJ	VYBER	600	24610	\N	\N	\N
968965	3302	1994-08-11	VYDAJ	VYBER	1470	26000	\N	\N	\N
968966	3302	1994-01-27	VYDAJ	VYBER	360	24294	\N	\N	\N
968967	3302	1995-10-30	VYDAJ	VYBER	1170	33280	\N	\N	\N
968968	3302	1995-08-01	VYDAJ	VYBER	360	33695	\N	\N	\N
968969	3302	1995-10-07	VYDAJ	VYBER	510	33914	\N	\N	\N
968970	3302	1996-04-26	VYDAJ	VYBER	450	24773	\N	\N	\N
968971	3302	1996-10-16	VYDAJ	VYBER	1140	24304	\N	\N	\N
968972	3302	1996-02-06	VYDAJ	VYBER	360	30891	\N	\N	\N
968973	3302	1996-11-27	VYDAJ	VYBER	360	22531	\N	\N	\N
968974	3302	1996-04-20	VYDAJ	VYBER	510	25223	\N	\N	\N
968975	3302	1997-12-16	VYDAJ	VYBER	360	48066	\N	\N	\N
968976	3302	1997-03-02	VYDAJ	VYBER	480	25205	\N	\N	\N
968977	3302	1997-05-27	VYDAJ	VYBER	660	31528	\N	\N	\N
968978	3302	1997-05-28	VYDAJ	VYBER	1320	30208	\N	\N	\N
968979	3302	1997-01-31	VYDAJ	VYBER	810	19615	\N	\N	\N
968980	3302	1997-07-04	VYDAJ	VYBER	810	28946	\N	\N	\N
968981	3302	1997-08-31	VYDAJ	VYBER	1050	39594	\N	\N	\N
968982	3302	1997-04-26	VYDAJ	VYBER	330	30478	\N	\N	\N
968983	3302	1998-09-20	VYDAJ	VYBER KARTOU	1200	50131	\N	\N	0
968984	3302	1998-07-27	VYDAJ	VYBER KARTOU	1100	53812	\N	\N	0
968985	3302	1998-02-18	VYDAJ	VYBER	630	48462	\N	\N	\N
968986	3302	1998-11-23	VYDAJ	VYBER KARTOU	600	56531	\N	\N	0
968987	3302	1998-11-23	VYDAJ	VYBER KARTOU	1100	57131	\N	\N	0
968995	3302	1993-07-31	VYDAJ	VYBER	15	26748	SLUZBY	\N	\N
968996	3302	1993-08-31	VYDAJ	VYBER	15	26050	SLUZBY	\N	\N
968997	3302	1993-09-30	VYDAJ	VYBER	15	23081	SLUZBY	\N	\N
968998	3302	1993-10-31	VYDAJ	VYBER	15	25869	SLUZBY	\N	\N
968999	3302	1993-11-30	VYDAJ	VYBER	15	27468	SLUZBY	\N	\N
969000	3302	1993-12-31	VYDAJ	VYBER	15	27381	SLUZBY	\N	\N
969001	3302	1994-01-31	VYDAJ	VYBER	15	23817	SLUZBY	\N	\N
969002	3302	1994-02-28	VYDAJ	VYBER	15	24707	SLUZBY	\N	\N
969003	3302	1994-03-31	VYDAJ	VYBER	15	24700	SLUZBY	\N	\N
969004	3302	1994-04-30	VYDAJ	VYBER	15	24793	SLUZBY	\N	\N
969005	3302	1994-05-31	VYDAJ	VYBER	15	24486	SLUZBY	\N	\N
969006	3302	1994-06-30	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
969007	3302	1994-07-31	VYDAJ	VYBER	15	25895	SLUZBY	\N	\N
969008	3302	1994-08-31	VYDAJ	VYBER	15	28023	SLUZBY	\N	\N
969009	3302	1994-09-30	VYDAJ	VYBER	15	27428	SLUZBY	\N	\N
969010	3302	1994-10-31	VYDAJ	VYBER	15	26130	SLUZBY	\N	\N
969011	3302	1994-11-30	VYDAJ	VYBER	15	27930	SLUZBY	\N	\N
969012	3302	1994-12-31	VYDAJ	VYBER	15	28998	SLUZBY	\N	\N
969013	3302	1995-01-31	VYDAJ	VYBER	15	27145	SLUZBY	\N	\N
969014	3302	1995-02-28	VYDAJ	VYBER	15	30851	SLUZBY	\N	\N
969015	3302	1995-03-31	VYDAJ	VYBER	15	32471	SLUZBY	\N	\N
969016	3302	1995-04-30	VYDAJ	VYBER	15	32095	SLUZBY	\N	\N
969017	3302	1995-05-31	VYDAJ	VYBER	15	31917	SLUZBY	\N	\N
969018	3302	1995-06-30	VYDAJ	VYBER	15	32628	SLUZBY	\N	\N
969019	3302	1995-07-31	VYDAJ	VYBER	15	34055	SLUZBY	\N	\N
969020	3302	1995-08-31	VYDAJ	VYBER	15	34024	SLUZBY	\N	\N
969021	3302	1995-09-30	VYDAJ	VYBER	15	35857	SLUZBY	\N	\N
969022	3302	1995-10-31	VYDAJ	VYBER	15	33411	SLUZBY	\N	\N
969023	3302	1995-11-30	VYDAJ	VYBER	15	35242	SLUZBY	\N	\N
969024	3302	1995-12-31	VYDAJ	VYBER	15	36870	SLUZBY	\N	\N
969025	3302	1996-01-31	VYDAJ	VYBER	15	31251	SLUZBY	\N	\N
969026	3302	1996-02-29	VYDAJ	VYBER	15	33313	SLUZBY	\N	\N
969027	3302	1996-03-31	VYDAJ	VYBER	15	29230	SLUZBY	\N	\N
969028	3302	1996-04-30	VYDAJ	VYBER	15	24871	SLUZBY	\N	\N
969029	3302	1996-05-31	VYDAJ	VYBER	15	23358	SLUZBY	\N	\N
969030	3302	1996-06-30	VYDAJ	VYBER	15	20698	SLUZBY	\N	\N
969031	3302	1996-07-31	VYDAJ	VYBER	15	22876	SLUZBY	\N	\N
969032	3302	1996-08-31	VYDAJ	VYBER	15	22858	SLUZBY	\N	\N
969033	3302	1996-09-30	VYDAJ	VYBER	15	22841	SLUZBY	\N	\N
969034	3302	1996-10-31	VYDAJ	VYBER	15	24388	SLUZBY	\N	\N
969035	3302	1996-11-30	VYDAJ	VYBER	15	22611	SLUZBY	\N	\N
969036	3302	1996-12-31	VYDAJ	VYBER	15	24729	SLUZBY	\N	\N
969037	3302	1997-01-31	VYDAJ	VYBER	15	19600	SLUZBY	\N	\N
969038	3302	1997-02-28	VYDAJ	VYBER	15	25685	SLUZBY	\N	\N
969039	3302	1997-03-31	VYDAJ	VYBER	15	28105	SLUZBY	\N	\N
969040	3302	1997-04-30	VYDAJ	VYBER	15	30585	SLUZBY	\N	\N
969041	3302	1997-05-31	VYDAJ	VYBER	15	30322	SLUZBY	\N	\N
969042	3302	1997-06-30	VYDAJ	VYBER	15	29756	SLUZBY	\N	\N
969043	3302	1997-07-31	VYDAJ	VYBER	15	37278	SLUZBY	\N	\N
969044	3302	1997-08-31	VYDAJ	VYBER	15	39579	SLUZBY	\N	\N
969045	3302	1997-09-30	VYDAJ	VYBER	15	46251	SLUZBY	\N	\N
969046	3302	1997-10-31	VYDAJ	VYBER	15	48235	SLUZBY	\N	\N
969047	3302	1997-11-30	VYDAJ	VYBER	15	49323	SLUZBY	\N	\N
969048	3302	1997-12-31	VYDAJ	VYBER	15	47889	SLUZBY	\N	\N
969049	3302	1998-01-31	VYDAJ	VYBER	15	42989	SLUZBY	\N	\N
969050	3302	1998-02-28	VYDAJ	VYBER	15	48642	SLUZBY	\N	\N
969051	3302	1998-03-31	VYDAJ	VYBER	15	53947	SLUZBY	\N	\N
969052	3302	1998-04-30	VYDAJ	VYBER	15	61581	SLUZBY	\N	\N
969053	3302	1998-05-31	VYDAJ	VYBER	15	61420	SLUZBY	\N	\N
969054	3302	1998-06-30	VYDAJ	VYBER	15	59009	SLUZBY	\N	\N
969055	3302	1998-07-31	VYDAJ	VYBER	15	54024	SLUZBY	\N	\N
969056	3302	1998-08-31	VYDAJ	VYBER	15	52928	SLUZBY	\N	\N
969057	3302	1998-09-30	VYDAJ	VYBER	15	50325	SLUZBY	\N	\N
969058	3302	1998-10-31	VYDAJ	VYBER	15	53228	SLUZBY	\N	\N
969059	3302	1998-11-30	VYDAJ	VYBER	15	56749	SLUZBY	\N	\N
969060	3302	1993-04-01	PRIJEM	VKLAD	10600	14319	\N	\N	\N
969061	3302	1993-05-01	PRIJEM	VKLAD	5400	22782	\N	\N	\N
969062	3302	1993-06-30	VYDAJ	VYBER	600	28403	\N	\N	\N
969063	3302	1993-07-30	VYDAJ	VYBER	4200	26639	\N	\N	\N
969064	3302	1993-08-29	VYDAJ	VYBER	1800	25951	\N	\N	\N
969065	3302	1993-09-28	VYDAJ	VYBER	1600	22993	\N	\N	\N
969066	3302	1993-10-28	PRIJEM	VKLAD	1700	25784	\N	\N	\N
969067	3302	1993-11-27	PRIJEM	VKLAD	500	27372	\N	\N	\N
969068	3302	1993-12-27	VYDAJ	VYBER	200	27281	\N	\N	\N
969069	3302	1994-01-26	VYDAJ	VYBER	400	24654	\N	\N	\N
969070	3302	1994-02-25	VYDAJ	VYBER	200	24620	\N	\N	\N
969071	3302	1994-03-27	VYDAJ	VYBER	500	25210	\N	\N	\N
969072	3302	1994-04-26	VYDAJ	VYBER	1000	24703	\N	\N	\N
969073	3302	1994-05-26	VYDAJ	VYBER	1400	24396	\N	\N	\N
969074	3302	1994-06-25	PRIJEM	VKLAD	400	24119	\N	\N	\N
969075	3302	1994-07-25	PRIJEM	VKLAD	600	25806	\N	\N	\N
969076	3302	1994-08-24	PRIJEM	VKLAD	2500	27928	\N	\N	\N
969077	3302	1994-09-23	VYDAJ	VYBER	1700	27326	\N	\N	\N
969078	3302	1994-10-23	VYDAJ	VYBER	2400	26031	\N	\N	\N
969079	3302	1994-11-22	PRIJEM	VKLAD	700	27833	\N	\N	\N
969080	3302	1994-12-22	PRIJEM	VKLAD	200	29133	\N	\N	\N
969081	3302	1995-01-21	PRIJEM	VKLAD	1000	28871	\N	\N	\N
969082	3302	1995-02-20	PRIJEM	VKLAD	2600	30748	\N	\N	\N
969083	3302	1995-03-22	PRIJEM	VKLAD	500	32354	\N	\N	\N
969084	3302	1995-04-21	VYDAJ	VYBER	1500	31974	\N	\N	\N
969085	3302	1995-05-21	VYDAJ	VYBER	1300	31798	\N	\N	\N
969086	3302	1995-06-20	PRIJEM	VKLAD	4300	32510	\N	\N	\N
969087	3302	1995-07-20	PRIJEM	VKLAD	300	33931	\N	\N	\N
969088	3302	1995-08-19	VYDAJ	VYBER	800	33898	\N	\N	\N
969089	3302	1995-09-18	PRIJEM	VKLAD	700	35727	\N	\N	\N
969090	3302	1995-10-18	VYDAJ	VYBER	1900	34450	\N	\N	\N
969091	3302	1995-11-17	PRIJEM	VKLAD	700	35114	\N	\N	\N
969092	3302	1995-12-17	PRIJEM	VKLAD	700	36945	\N	\N	\N
969093	3302	1996-01-16	VYDAJ	VYBER	600	33583	\N	\N	\N
969094	3302	1996-02-15	PRIJEM	VKLAD	1300	33194	\N	\N	\N
969095	3302	1996-03-16	VYDAJ	VYBER	5200	29116	\N	\N	\N
969096	3302	1996-04-15	VYDAJ	VYBER	4500	25733	\N	\N	\N
969097	3302	1996-05-15	VYDAJ	VYBER	2600	23274	\N	\N	\N
969098	3302	1996-06-14	PRIJEM	VKLAD	3800	20631	\N	\N	\N
969099	3302	1996-07-14	PRIJEM	VKLAD	1100	22801	\N	\N	\N
969100	3302	1996-08-13	VYDAJ	VYBER	1100	22779	\N	\N	\N
969101	3302	1996-09-12	VYDAJ	VYBER	1100	23333	\N	\N	\N
969102	3302	1996-10-12	PRIJEM	VKLAD	1600	26016	\N	\N	\N
969103	3302	1996-11-11	VYDAJ	VYBER	2500	23463	\N	\N	\N
969104	3302	1996-12-11	PRIJEM	VKLAD	1900	26086	\N	\N	\N
969105	3302	1997-01-10	PRIJEM	VKLAD	600	25374	\N	\N	\N
969106	3302	1997-02-09	PRIJEM	VKLAD	5000	23167	\N	\N	\N
969107	3302	1997-03-11	PRIJEM	VKLAD	1800	28580	\N	\N	\N
969108	3302	1997-04-10	PRIJEM	VKLAD	1700	31380	\N	\N	\N
969109	3302	1997-05-10	PRIJEM	VKLAD	600	32760	\N	\N	\N
969110	3302	1997-06-09	PRIJEM	VKLAD	2100	30989	\N	\N	\N
969111	3302	1997-07-09	PRIJEM	VKLAD	7200	34713	\N	\N	\N
969112	3302	1997-08-08	PRIJEM	VKLAD	2200	38045	\N	\N	\N
969113	3302	1997-09-07	PRIJEM	VKLAD	5500	45022	\N	\N	\N
969114	3302	1997-10-07	PRIJEM	VKLAD	800	46994	\N	\N	\N
969115	3302	1997-11-06	VYDAJ	VYBER	100	48135	\N	\N	\N
969116	3302	1997-12-06	VYDAJ	VYBER	1900	47366	\N	\N	\N
969117	3302	1998-01-05	VYDAJ	VYBER	500	47149	\N	\N	\N
969118	3302	1998-02-04	PRIJEM	VKLAD	5100	48089	\N	\N	\N
969119	3302	1998-03-06	PRIJEM	VKLAD	4100	52742	\N	\N	\N
969120	3302	1998-04-05	PRIJEM	VKLAD	6400	60347	\N	\N	\N
969121	3302	1998-05-05	VYDAJ	VYBER	1400	60181	\N	\N	\N
969122	3302	1998-06-04	VYDAJ	VYBER	500	60920	\N	\N	\N
969123	3302	1998-07-04	VYDAJ	VYBER	5100	53909	\N	\N	\N
969124	3302	1998-08-03	VYDAJ	VYBER KARTOU	2300	51724	\N	\N	0
969125	3302	1998-09-02	VYDAJ	VYBER KARTOU	2600	50328	\N	\N	0
969126	3302	1998-10-02	PRIJEM	VKLAD	1700	52025	\N	\N	\N
969127	3302	1998-11-01	PRIJEM	VKLAD	4000	57228	\N	\N	\N
969128	3302	1998-12-01	PRIJEM	VKLAD	4100	60849	\N	\N	\N
969199	3303	1995-11-17	PRIJEM	VKLAD	800	800	\N	\N	\N
969211	3303	1995-12-14	PRIJEM	VKLAD	30608	31408	\N	\N	\N
969212	3303	1996-01-14	PRIJEM	VKLAD	20405	46666	\N	\N	\N
969213	3303	1996-02-14	PRIJEM	VKLAD	20405	53294	\N	\N	\N
969214	3303	1996-03-14	PRIJEM	VKLAD	20405	58647	\N	\N	\N
969215	3303	1996-04-14	PRIJEM	VKLAD	20405	59212	\N	\N	\N
969216	3303	1996-05-14	PRIJEM	VKLAD	20405	56057	\N	\N	\N
969217	3303	1996-06-14	PRIJEM	VKLAD	30608	62576	\N	\N	\N
969218	3303	1996-07-14	PRIJEM	VKLAD	20405	63169	\N	\N	\N
969219	3303	1996-08-14	PRIJEM	VKLAD	20405	51072	\N	\N	\N
969220	3303	1996-09-14	PRIJEM	VKLAD	20405	56753	\N	\N	\N
969221	3303	1996-10-14	PRIJEM	VKLAD	20405	57149	\N	\N	\N
969222	3303	1996-11-14	PRIJEM	VKLAD	20405	60071	\N	\N	\N
969223	3303	1996-12-14	PRIJEM	VKLAD	30608	76210	\N	\N	\N
969224	3303	1997-01-14	PRIJEM	VKLAD	20405	62905	\N	\N	\N
969225	3303	1997-02-14	PRIJEM	VKLAD	20405	56858	\N	\N	\N
969226	3303	1997-03-14	PRIJEM	VKLAD	20405	58478	\N	\N	\N
969227	3303	1997-04-14	PRIJEM	VKLAD	20405	58309	\N	\N	\N
969228	3303	1997-05-14	PRIJEM	VKLAD	20405	57775	\N	\N	\N
969229	3303	1997-06-14	PRIJEM	VKLAD	30608	69723	\N	\N	\N
969230	3303	1997-07-14	PRIJEM	VKLAD	20405	49362	\N	\N	\N
969231	3303	1997-08-14	PRIJEM	VKLAD	20405	56732	\N	\N	\N
969232	3303	1997-09-14	PRIJEM	VKLAD	20405	58005	\N	\N	\N
969233	3303	1997-10-14	PRIJEM	VKLAD	20405	57016	\N	\N	\N
969234	3303	1997-11-14	PRIJEM	VKLAD	20405	53445	\N	\N	\N
969235	3303	1997-12-14	PRIJEM	VKLAD	30608	63467	\N	\N	\N
969236	3303	1998-01-14	PRIJEM	VKLAD	20405	51502	\N	\N	\N
969237	3303	1998-02-14	PRIJEM	VKLAD	20405	50591	\N	\N	\N
969238	3303	1998-03-14	PRIJEM	VKLAD	20405	54076	\N	\N	\N
969239	3303	1998-04-14	PRIJEM	VKLAD	20405	56884	\N	\N	\N
969240	3303	1998-05-14	PRIJEM	VKLAD	20405	58906	\N	\N	\N
969241	3303	1998-06-14	PRIJEM	VKLAD	30608	65074	\N	\N	\N
969242	3303	1998-07-14	PRIJEM	VKLAD	20405	48937	\N	\N	\N
969243	3303	1998-08-14	PRIJEM	VKLAD	20405	55406	\N	\N	\N
969244	3303	1998-09-14	PRIJEM	VKLAD	20405	63515	\N	\N	\N
969245	3303	1998-10-14	PRIJEM	VKLAD	20405	68412	\N	\N	\N
969246	3303	1998-11-14	PRIJEM	VKLAD	20405	70975	\N	\N	\N
969247	3303	1998-12-14	PRIJEM	VKLAD	30608	79156	\N	\N	\N
969250	3303	1997-06-17	VYDAJ	VYBER	28000	38243	\N	\N	\N
969251	3303	1998-06-28	VYDAJ	VYBER	29760	35314	\N	\N	\N
969254	3303	1997-01-10	VYDAJ	VYBER	4800	61000	\N	\N	\N
969255	3303	1998-01-28	VYDAJ	VYBER	6720	43222	\N	\N	\N
969257	3303	1996-12-25	VYDAJ	VYBER	2880	73330	\N	\N	\N
969258	3303	1997-12-29	VYDAJ	VYBER	3200	60267	\N	\N	\N
969259	3303	1998-12-02	VYDAJ	VYBER	1920	48548	\N	\N	\N
969272	3303	1997-01-23	VYDAJ	VYBER	2760	52825	\N	\N	\N
969273	3303	1997-01-21	VYDAJ	VYBER	3000	55585	\N	\N	\N
969274	3303	1997-01-18	VYDAJ	VYBER	1920	60985	\N	\N	\N
969275	3303	1997-01-20	VYDAJ	VYBER	2400	58585	\N	\N	\N
969276	3303	1997-01-06	VYDAJ	VYBER	2400	65800	\N	\N	\N
969277	3303	1997-01-01	VYDAJ	VYBER	3120	68200	\N	\N	\N
969278	3303	1998-01-25	VYDAJ	VYBER	1560	49942	\N	\N	\N
969279	3303	1998-01-07	VYDAJ	VYBER	840	34457	\N	\N	\N
969280	3303	1998-01-07	VYDAJ	VYBER	1080	33377	\N	\N	\N
969281	3303	1998-01-07	VYDAJ	VYBER	1680	31697	\N	\N	\N
969282	3303	1998-01-12	VYDAJ	VYBER	600	31097	\N	\N	\N
969283	3303	1998-01-28	VYDAJ	VYBER	720	42502	\N	\N	\N
969288	3303	1996-12-27	VYDAJ	VYBER	2280	71050	\N	\N	\N
969291	3303	1996-09-29	VYDAJ	VYBER	3120	53633	\N	\N	\N
969292	3303	1996-05-23	VYDAJ	VYBER	2400	31837	\N	\N	\N
969293	3303	1996-07-14	VYDAJ	VYBER	2160	38409	\N	\N	\N
969294	3303	1996-05-21	VYDAJ	VYBER	4320	34237	\N	\N	\N
969295	3303	1997-09-07	VYDAJ	VYBER	2040	37600	\N	\N	\N
969296	3303	1997-06-21	VYDAJ	VYBER	3960	34283	\N	\N	\N
969297	3303	1997-06-02	VYDAJ	VYBER	4680	53315	\N	\N	\N
969298	3303	1997-04-18	VYDAJ	VYBER	3960	54349	\N	\N	\N
969299	3303	1997-06-16	VYDAJ	VYBER	3480	66243	\N	\N	\N
969300	3303	1998-05-17	VYDAJ	VYBER	2760	56146	\N	\N	\N
969301	3303	1998-06-11	VYDAJ	VYBER	4800	34466	\N	\N	\N
969302	3303	1998-11-24	VYDAJ	VYBER	2280	68695	\N	\N	\N
969303	3303	1998-09-24	VYDAJ	VYBER	1440	62075	\N	\N	\N
969320	3303	1996-04-30	VYDAJ	VYBER	15	35652	SLUZBY	\N	\N
969321	3303	1996-05-31	VYDAJ	VYBER	15	31968	SLUZBY	\N	\N
969322	3303	1996-06-30	VYDAJ	VYBER	15	42764	SLUZBY	\N	\N
969323	3303	1996-07-31	VYDAJ	VYBER	15	38567	SLUZBY	\N	\N
969324	3303	1996-08-31	VYDAJ	VYBER	15	51248	SLUZBY	\N	\N
969325	3303	1996-09-30	VYDAJ	VYBER	15	53844	SLUZBY	\N	\N
969326	3303	1996-10-31	VYDAJ	VYBER	15	57366	SLUZBY	\N	\N
969327	3303	1996-11-30	VYDAJ	VYBER	15	60302	SLUZBY	\N	\N
969328	3303	1996-12-31	VYDAJ	VYBER	15	71320	SLUZBY	\N	\N
969329	3303	1997-01-31	VYDAJ	VYBER	15	53053	SLUZBY	\N	\N
969330	3303	1997-02-28	VYDAJ	VYBER	15	57073	SLUZBY	\N	\N
969331	3303	1997-03-31	VYDAJ	VYBER	15	58704	SLUZBY	\N	\N
969332	3303	1997-04-30	VYDAJ	VYBER	15	54570	SLUZBY	\N	\N
969333	3303	1997-05-31	VYDAJ	VYBER	15	57995	SLUZBY	\N	\N
969334	3303	1997-06-30	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
969335	3303	1997-07-31	VYDAJ	VYBER	15	49527	SLUZBY	\N	\N
969336	3303	1997-08-31	VYDAJ	VYBER	15	56940	SLUZBY	\N	\N
969337	3303	1997-09-30	VYDAJ	VYBER	15	58211	SLUZBY	\N	\N
969338	3303	1997-10-31	VYDAJ	VYBER	15	57240	SLUZBY	\N	\N
969339	3303	1997-11-30	VYDAJ	VYBER	15	53659	SLUZBY	\N	\N
969340	3303	1997-12-31	VYDAJ	VYBER	15	60497	SLUZBY	\N	\N
969341	3303	1998-01-31	VYDAJ	VYBER	15	42686	SLUZBY	\N	\N
969342	3303	1998-02-28	VYDAJ	VYBER	15	50771	SLUZBY	\N	\N
969343	3303	1998-03-31	VYDAJ	VYBER	15	54279	SLUZBY	\N	\N
969344	3303	1998-04-30	VYDAJ	VYBER	15	57101	SLUZBY	\N	\N
969345	3303	1998-05-31	VYDAJ	VYBER	15	56366	SLUZBY	\N	\N
969346	3303	1998-06-30	VYDAJ	VYBER	15	35532	SLUZBY	\N	\N
969347	3303	1998-07-31	VYDAJ	VYBER	15	49101	SLUZBY	\N	\N
969348	3303	1998-08-31	VYDAJ	VYBER	15	55610	SLUZBY	\N	\N
969349	3303	1998-09-30	VYDAJ	VYBER	15	62307	SLUZBY	\N	\N
969350	3303	1998-10-31	VYDAJ	VYBER	15	68670	SLUZBY	\N	\N
969351	3303	1998-11-30	VYDAJ	VYBER	15	68968	SLUZBY	\N	\N
969352	3303	1995-12-17	VYDAJ	VYBER	5200	26208	\N	\N	\N
969353	3303	1996-01-16	VYDAJ	VYBER	13900	32766	\N	\N	\N
969354	3303	1996-02-15	VYDAJ	VYBER	15200	38094	\N	\N	\N
969355	3303	1996-03-16	VYDAJ	VYBER	20000	38647	\N	\N	\N
969356	3303	1996-04-15	VYDAJ	VYBER	23700	35512	\N	\N	\N
969357	3303	1996-05-15	VYDAJ	VYBER	17500	38557	\N	\N	\N
969358	3303	1996-06-14	VYDAJ	VYBER	20000	42576	\N	\N	\N
969359	3303	1996-07-14	VYDAJ	VYBER	22600	40569	\N	\N	\N
969360	3303	1996-08-13	VYDAJ	VYBER	7900	30667	\N	\N	\N
969361	3303	1996-09-12	VYDAJ	VYBER	14900	36348	\N	\N	\N
969362	3303	1996-10-12	VYDAJ	VYBER	17100	36744	\N	\N	\N
969363	3303	1996-11-11	VYDAJ	VYBER	17700	39666	\N	\N	\N
969364	3303	1996-12-11	VYDAJ	VYBER	14700	45602	\N	\N	\N
969365	3303	1997-01-10	VYDAJ	VYBER	18500	42500	\N	\N	\N
969366	3303	1997-02-09	VYDAJ	VYBER	16600	36453	\N	\N	\N
969367	3303	1997-03-11	VYDAJ	VYBER	19000	38073	\N	\N	\N
969368	3303	1997-04-10	VYDAJ	VYBER	20800	37904	\N	\N	\N
969369	3303	1997-05-10	VYDAJ	VYBER	17200	37370	\N	\N	\N
969370	3303	1997-06-09	VYDAJ	VYBER	14200	39115	\N	\N	\N
969371	3303	1997-07-09	VYDAJ	VYBER	5500	28957	\N	\N	\N
969372	3303	1997-08-08	VYDAJ	VYBER	13200	36327	\N	\N	\N
969373	3303	1997-09-07	VYDAJ	VYBER	17300	39640	\N	\N	\N
969374	3303	1997-10-07	VYDAJ	VYBER	21600	36611	\N	\N	\N
969375	3303	1997-11-06	VYDAJ	VYBER	24200	33040	\N	\N	\N
969376	3303	1997-12-06	VYDAJ	VYBER	20800	32859	\N	\N	\N
969377	3303	1998-01-05	VYDAJ	VYBER	25200	35297	\N	\N	\N
969378	3303	1998-02-04	VYDAJ	VYBER	12500	30186	\N	\N	\N
969379	3303	1998-03-06	VYDAJ	VYBER	17100	33671	\N	\N	\N
969380	3303	1998-04-05	VYDAJ	VYBER	17800	36479	\N	\N	\N
969381	3303	1998-05-05	VYDAJ	VYBER	18600	38501	\N	\N	\N
969382	3303	1998-06-04	VYDAJ	VYBER	17100	39266	\N	\N	\N
969383	3303	1998-07-04	VYDAJ	VYBER	7000	28532	\N	\N	\N
969384	3303	1998-08-03	VYDAJ	VYBER	14100	35001	\N	\N	\N
969385	3303	1998-09-02	VYDAJ	VYBER	12500	43110	\N	\N	\N
969386	3303	1998-10-02	VYDAJ	VYBER	14300	48007	\N	\N	\N
969387	3303	1998-11-01	VYDAJ	VYBER	18100	50570	\N	\N	\N
969388	3303	1998-12-01	VYDAJ	VYBER	18500	50468	\N	\N	\N
969426	3304	1997-01-16	PRIJEM	VKLAD	800	800	\N	\N	\N
969428	3304	1997-02-06	PRIJEM	VKLAD	11135	11935	\N	\N	\N
969429	3304	1997-03-06	PRIJEM	VKLAD	11135	27003	\N	\N	\N
969430	3304	1997-04-06	PRIJEM	VKLAD	11135	36723	\N	\N	\N
969431	3304	1997-05-06	PRIJEM	VKLAD	11135	37266	\N	\N	\N
969432	3304	1997-06-06	PRIJEM	VKLAD	16702	46384	\N	\N	\N
969433	3304	1997-07-06	PRIJEM	VKLAD	11135	38547	\N	\N	\N
969434	3304	1997-08-06	PRIJEM	VKLAD	11135	38469	\N	\N	\N
969435	3304	1997-09-06	PRIJEM	VKLAD	11135	40953	\N	\N	\N
969436	3304	1997-10-06	PRIJEM	VKLAD	11135	44549	\N	\N	\N
969437	3304	1997-11-06	PRIJEM	VKLAD	11135	44896	\N	\N	\N
969438	3304	1997-12-06	PRIJEM	VKLAD	16702	51668	\N	\N	\N
969439	3304	1998-01-06	PRIJEM	VKLAD	11135	39449	\N	\N	\N
969440	3304	1998-02-06	PRIJEM	VKLAD	11135	31566	\N	\N	\N
969441	3304	1998-03-06	PRIJEM	VKLAD	11135	33682	\N	\N	\N
969442	3304	1998-04-06	PRIJEM	VKLAD	11135	26683	\N	\N	\N
969443	3304	1998-05-06	PRIJEM	VKLAD	11135	32625	\N	\N	\N
969444	3304	1998-06-06	PRIJEM	VKLAD	16702	41652	\N	\N	\N
969445	3304	1998-07-06	PRIJEM	VKLAD	11135	41350	\N	\N	\N
969446	3304	1998-08-06	PRIJEM	VKLAD	11135	38628	\N	\N	\N
969447	3304	1998-09-06	PRIJEM	VKLAD	11135	24585	\N	\N	\N
969448	3304	1998-10-06	PRIJEM	VKLAD	11135	24308	\N	\N	\N
969449	3304	1998-11-06	PRIJEM	VKLAD	11135	23522	\N	\N	\N
969450	3304	1998-12-06	PRIJEM	VKLAD	16702	27497	\N	\N	\N
969456	3304	1997-06-10	VYDAJ	PREVOD NA UCET	4660	41724	SIPO	OP	36187023
969457	3304	1997-07-10	VYDAJ	PREVOD NA UCET	4660	33887	SIPO	OP	36187023
969458	3304	1997-08-10	VYDAJ	PREVOD NA UCET	4660	33809	SIPO	OP	36187023
969459	3304	1997-09-10	VYDAJ	PREVOD NA UCET	4660	36293	SIPO	OP	36187023
969460	3304	1997-10-10	VYDAJ	PREVOD NA UCET	4660	39889	SIPO	OP	36187023
969461	3304	1997-11-10	VYDAJ	PREVOD NA UCET	4660	40236	SIPO	OP	36187023
969462	3304	1997-12-10	VYDAJ	PREVOD NA UCET	4660	47008	SIPO	OP	36187023
969463	3304	1998-01-10	VYDAJ	PREVOD NA UCET	4660	32989	SIPO	OP	36187023
969464	3304	1998-02-10	VYDAJ	PREVOD NA UCET	4660	23666	SIPO	OP	36187023
969465	3304	1998-03-10	VYDAJ	PREVOD NA UCET	4660	29022	SIPO	OP	36187023
969466	3304	1998-04-10	VYDAJ	PREVOD NA UCET	4660	22023	SIPO	OP	36187023
969467	3304	1998-05-10	VYDAJ	PREVOD NA UCET	4660	27965	SIPO	OP	36187023
969468	3304	1998-06-10	VYDAJ	PREVOD NA UCET	4660	36992	SIPO	OP	36187023
969469	3304	1998-07-10	VYDAJ	PREVOD NA UCET	4660	27390	SIPO	OP	36187023
969470	3304	1998-08-10	VYDAJ	PREVOD NA UCET	4660	22368	SIPO	OP	36187023
969471	3304	1998-09-10	VYDAJ	PREVOD NA UCET	4660	13125	SIPO	OP	36187023
969472	3304	1998-10-10	VYDAJ	PREVOD NA UCET	4660	12348	SIPO	OP	36187023
969473	3304	1998-11-10	VYDAJ	PREVOD NA UCET	4660	10762	SIPO	OP	36187023
969474	3304	1998-12-10	VYDAJ	PREVOD NA UCET	4660	14237	SIPO	OP	36187023
969475	3304	1997-06-13	VYDAJ	VYBER	14720	27004	\N	\N	\N
969478	3304	1998-01-10	VYDAJ	VYBER	2240	29069	\N	\N	\N
969479	3304	1997-12-19	VYDAJ	VYBER	1920	31188	\N	\N	\N
969487	3304	1998-01-02	VYDAJ	VYBER	3000	28314	\N	\N	\N
969488	3304	1998-01-30	VYDAJ	VYBER	2040	20329	\N	\N	\N
969489	3304	1998-01-10	VYDAJ	VYBER	1680	31309	\N	\N	\N
969490	3304	1998-01-26	VYDAJ	VYBER	3480	22369	\N	\N	\N
969491	3304	1998-01-14	VYDAJ	VYBER	1320	25849	\N	\N	\N
969492	3304	1998-01-08	VYDAJ	VYBER	1800	37649	\N	\N	\N
969493	3304	1997-07-29	VYDAJ	VYBER	2160	27227	\N	\N	\N
969494	3304	1997-08-16	VYDAJ	VYBER	600	29709	\N	\N	\N
969495	3304	1997-10-20	VYDAJ	VYBER	3960	33629	\N	\N	\N
969499	3304	1998-03-15	VYDAJ	VYBER	3240	20282	\N	\N	\N
969500	3304	1998-08-27	VYDAJ	VYBER	3360	19008	\N	\N	\N
969502	3304	1998-03-16	VYDAJ	VYBER	4800	15482	\N	\N	\N
969503	3304	1998-09-05	VYDAJ	VYBER	5640	13450	\N	\N	\N
969504	3304	1998-02-06	VYDAJ	VYBER	3240	28326	\N	\N	\N
969512	3304	1997-06-30	VYDAJ	VYBER	15	27412	SLUZBY	\N	\N
969513	3304	1997-07-31	VYDAJ	VYBER	15	27334	SLUZBY	\N	\N
969514	3304	1997-08-31	VYDAJ	VYBER	15	29818	SLUZBY	\N	\N
969515	3304	1997-09-30	VYDAJ	VYBER	15	33414	SLUZBY	\N	\N
969516	3304	1997-10-31	VYDAJ	VYBER	15	33761	SLUZBY	\N	\N
969517	3304	1997-11-30	VYDAJ	VYBER	15	34966	SLUZBY	\N	\N
969518	3304	1997-12-31	VYDAJ	VYBER	15	31314	SLUZBY	\N	\N
969519	3304	1998-01-31	VYDAJ	VYBER	15	20431	SLUZBY	\N	\N
969520	3304	1998-02-28	VYDAJ	VYBER	15	22547	SLUZBY	\N	\N
969521	3304	1998-03-31	VYDAJ	VYBER	15	15548	SLUZBY	\N	\N
969522	3304	1998-04-30	VYDAJ	VYBER	15	21490	SLUZBY	\N	\N
969523	3304	1998-05-31	VYDAJ	VYBER	15	24950	SLUZBY	\N	\N
969524	3304	1998-06-30	VYDAJ	VYBER	15	30215	SLUZBY	\N	\N
969525	3304	1998-07-31	VYDAJ	VYBER	15	27493	SLUZBY	\N	\N
969526	3304	1998-08-31	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
969527	3304	1998-09-30	VYDAJ	VYBER	15	13173	SLUZBY	\N	\N
969528	3304	1998-10-31	VYDAJ	VYBER	15	12387	SLUZBY	\N	\N
969529	3304	1998-11-30	VYDAJ	VYBER	15	10795	SLUZBY	\N	\N
969530	3304	1997-02-15	PRIJEM	VKLAD	3900	15835	\N	\N	\N
969531	3304	1997-03-17	VYDAJ	VYBER	1500	25503	\N	\N	\N
969532	3304	1997-04-16	VYDAJ	VYBER	10700	26023	\N	\N	\N
969533	3304	1997-05-16	VYDAJ	VYBER	7700	29566	\N	\N	\N
969534	3304	1997-06-15	PRIJEM	VKLAD	300	27304	\N	\N	\N
969535	3304	1997-07-15	VYDAJ	VYBER	4500	29387	\N	\N	\N
969536	3304	1997-08-14	VYDAJ	VYBER	3500	30309	\N	\N	\N
969537	3304	1997-09-13	VYDAJ	VYBER	3000	33293	\N	\N	\N
969538	3304	1997-10-13	VYDAJ	VYBER	2300	37589	\N	\N	\N
969539	3304	1997-11-12	VYDAJ	VYBER	5400	34836	\N	\N	\N
969540	3304	1997-12-12	VYDAJ	VYBER	13900	33108	\N	\N	\N
969541	3304	1998-01-11	VYDAJ	VYBER	1900	27169	\N	\N	\N
969542	3304	1998-02-10	VYDAJ	VYBER	1200	22466	\N	\N	\N
969543	3304	1998-03-12	VYDAJ	VYBER	5500	23522	\N	\N	\N
969544	3304	1998-04-11	VYDAJ	VYBER	600	21423	\N	\N	\N
969545	3304	1998-05-11	VYDAJ	VYBER	3100	24865	\N	\N	\N
969546	3304	1998-06-10	VYDAJ	VYBER	6900	30092	\N	\N	\N
969547	3304	1998-07-10	VYDAJ	VYBER	9300	32050	\N	\N	\N
969548	3304	1998-08-09	VYDAJ	VYBER	11600	27028	\N	\N	\N
969549	3304	1998-09-08	VYDAJ	VYBER	6800	17785	\N	\N	\N
969550	3304	1998-10-08	VYDAJ	VYBER	7300	17008	\N	\N	\N
969551	3304	1998-11-07	VYDAJ	VYBER	8100	15422	\N	\N	\N
969552	3304	1998-12-07	VYDAJ	VYBER	8600	18897	\N	\N	\N
969576	3305	1995-12-09	PRIJEM	VKLAD	600	600	\N	\N	\N
969588	3305	1995-12-14	PRIJEM	PREVOD Z UCTU	6684	7284	DUCHOD	QR	79261421
969589	3305	1996-01-14	PRIJEM	PREVOD Z UCTU	6684	13986	DUCHOD	QR	79261421
969590	3305	1996-02-14	PRIJEM	PREVOD Z UCTU	6684	20700	DUCHOD	QR	79261421
969591	3305	1996-03-14	PRIJEM	PREVOD Z UCTU	6684	27414	DUCHOD	QR	79261421
969592	3305	1996-04-14	PRIJEM	PREVOD Z UCTU	6684	32229	DUCHOD	QR	79261421
969593	3305	1996-05-14	PRIJEM	PREVOD Z UCTU	6684	28704	DUCHOD	QR	79261421
969594	3305	1996-06-14	PRIJEM	PREVOD Z UCTU	6684	26815	DUCHOD	QR	79261421
969595	3305	1996-07-14	PRIJEM	PREVOD Z UCTU	6684	18863	DUCHOD	QR	79261421
969596	3305	1996-08-14	PRIJEM	PREVOD Z UCTU	6684	21623	DUCHOD	QR	79261421
969597	3305	1996-09-14	PRIJEM	PREVOD Z UCTU	6684	19516	DUCHOD	QR	79261421
969598	3305	1996-10-14	PRIJEM	PREVOD Z UCTU	6684	19883	DUCHOD	QR	79261421
969599	3305	1996-11-14	PRIJEM	PREVOD Z UCTU	6684	22253	DUCHOD	QR	79261421
969600	3305	1996-12-14	PRIJEM	PREVOD Z UCTU	6684	18468	DUCHOD	QR	79261421
969601	3305	1997-01-14	PRIJEM	PREVOD Z UCTU	6684	15321	DUCHOD	QR	79261421
969602	3305	1997-02-14	PRIJEM	PREVOD Z UCTU	6684	16404	DUCHOD	QR	79261421
969603	3305	1997-03-14	PRIJEM	PREVOD Z UCTU	6684	17051	DUCHOD	QR	79261421
969604	3305	1997-04-14	PRIJEM	PREVOD Z UCTU	6684	19104	DUCHOD	QR	79261421
969605	3305	1997-05-14	PRIJEM	PREVOD Z UCTU	6684	20248	DUCHOD	QR	79261421
969606	3305	1997-06-14	PRIJEM	PREVOD Z UCTU	6684	19817	DUCHOD	QR	79261421
969607	3305	1997-07-14	PRIJEM	PREVOD Z UCTU	6684	15484	DUCHOD	QR	79261421
969608	3305	1997-08-14	PRIJEM	PREVOD Z UCTU	6684	16834	DUCHOD	QR	79261421
969609	3305	1997-09-14	PRIJEM	PREVOD Z UCTU	6684	16385	DUCHOD	QR	79261421
969610	3305	1997-10-14	PRIJEM	PREVOD Z UCTU	6684	20235	DUCHOD	QR	79261421
969611	3305	1997-11-14	PRIJEM	PREVOD Z UCTU	6684	22420	DUCHOD	QR	79261421
969612	3305	1997-12-14	PRIJEM	PREVOD Z UCTU	6684	17591	DUCHOD	QR	79261421
969613	3305	1998-01-14	PRIJEM	PREVOD Z UCTU	6684	20806	DUCHOD	QR	79261421
969614	3305	1998-02-14	PRIJEM	PREVOD Z UCTU	6684	18347	DUCHOD	QR	79261421
969615	3305	1998-03-14	PRIJEM	PREVOD Z UCTU	6684	16402	DUCHOD	QR	79261421
969616	3305	1998-04-14	PRIJEM	PREVOD Z UCTU	6684	17251	DUCHOD	QR	79261421
969617	3305	1998-05-14	PRIJEM	PREVOD Z UCTU	6684	21104	DUCHOD	QR	79261421
969618	3305	1998-06-14	PRIJEM	PREVOD Z UCTU	6684	20522	DUCHOD	QR	79261421
969619	3305	1998-07-14	PRIJEM	PREVOD Z UCTU	6684	22192	DUCHOD	QR	79261421
969620	3305	1998-08-14	PRIJEM	PREVOD Z UCTU	6684	22163	DUCHOD	QR	79261421
969621	3305	1998-09-14	PRIJEM	PREVOD Z UCTU	6684	18614	DUCHOD	QR	79261421
969622	3305	1998-10-14	PRIJEM	PREVOD Z UCTU	6684	18975	DUCHOD	QR	79261421
969623	3305	1998-11-14	PRIJEM	PREVOD Z UCTU	6684	16528	DUCHOD	QR	79261421
969624	3305	1998-12-14	PRIJEM	PREVOD Z UCTU	6684	17675	DUCHOD	QR	79261421
969641	3305	1996-05-12	VYDAJ	PREVOD NA UCET	22	24878	SIPO	EF	18376934
969642	3305	1996-06-12	VYDAJ	PREVOD NA UCET	22	22989	SIPO	EF	18376934
969643	3305	1996-07-12	VYDAJ	PREVOD NA UCET	22	12179	SIPO	EF	18376934
969644	3305	1996-08-12	VYDAJ	PREVOD NA UCET	22	17797	SIPO	EF	18376934
969645	3305	1996-09-12	VYDAJ	PREVOD NA UCET	22	12832	SIPO	EF	18376934
969646	3305	1996-10-12	VYDAJ	PREVOD NA UCET	22	16057	SIPO	EF	18376934
969647	3305	1996-11-12	VYDAJ	PREVOD NA UCET	22	15569	SIPO	EF	18376934
969648	3305	1996-12-12	VYDAJ	PREVOD NA UCET	22	11784	SIPO	EF	18376934
969649	3305	1997-01-12	VYDAJ	PREVOD NA UCET	22	8637	SIPO	EF	18376934
969650	3305	1997-02-12	VYDAJ	PREVOD NA UCET	22	12578	SIPO	EF	18376934
969651	3305	1997-03-12	VYDAJ	PREVOD NA UCET	22	10367	SIPO	EF	18376934
969652	3305	1997-04-12	VYDAJ	PREVOD NA UCET	22	15278	SIPO	EF	18376934
969653	3305	1997-05-12	VYDAJ	PREVOD NA UCET	22	13564	SIPO	EF	18376934
969654	3305	1997-06-12	VYDAJ	PREVOD NA UCET	22	13133	SIPO	EF	18376934
969655	3305	1997-07-12	VYDAJ	PREVOD NA UCET	22	11658	SIPO	EF	18376934
969656	3305	1997-08-12	VYDAJ	PREVOD NA UCET	22	10150	SIPO	EF	18376934
969657	3305	1997-09-12	VYDAJ	PREVOD NA UCET	22	9701	SIPO	EF	18376934
969658	3305	1997-10-12	VYDAJ	PREVOD NA UCET	22	16409	SIPO	EF	18376934
969659	3305	1997-11-12	VYDAJ	PREVOD NA UCET	22	15736	SIPO	EF	18376934
969660	3305	1997-12-12	VYDAJ	PREVOD NA UCET	22	10907	SIPO	EF	18376934
969661	3305	1998-01-12	VYDAJ	PREVOD NA UCET	22	14122	SIPO	EF	18376934
969662	3305	1998-02-12	VYDAJ	PREVOD NA UCET	22	14521	SIPO	EF	18376934
969663	3305	1998-03-12	VYDAJ	PREVOD NA UCET	22	12576	SIPO	EF	18376934
969664	3305	1998-04-12	VYDAJ	PREVOD NA UCET	22	13425	SIPO	EF	18376934
969665	3305	1998-05-12	VYDAJ	PREVOD NA UCET	22	14420	SIPO	EF	18376934
969666	3305	1998-06-12	VYDAJ	PREVOD NA UCET	22	16388	SIPO	EF	18376934
969667	3305	1998-07-12	VYDAJ	PREVOD NA UCET	22	18366	SIPO	EF	18376934
969668	3305	1998-08-12	VYDAJ	PREVOD NA UCET	22	18337	SIPO	EF	18376934
969669	3305	1998-09-12	VYDAJ	PREVOD NA UCET	22	11930	SIPO	EF	18376934
969670	3305	1998-10-12	VYDAJ	PREVOD NA UCET	22	12291	SIPO	EF	18376934
969671	3305	1998-11-12	VYDAJ	PREVOD NA UCET	22	9844	SIPO	EF	18376934
969672	3305	1998-12-12	VYDAJ	PREVOD NA UCET	22	10991	SIPO	EF	18376934
969689	3305	1996-05-12	VYDAJ	PREVOD NA UCET	2858	22020	 	YZ	41987031
969690	3305	1996-06-12	VYDAJ	PREVOD NA UCET	2858	20131	 	YZ	41987031
969691	3305	1996-07-12	VYDAJ	PREVOD NA UCET	2858	12201	 	YZ	41987031
969692	3305	1996-08-12	VYDAJ	PREVOD NA UCET	2858	14939	 	YZ	41987031
969693	3305	1996-09-12	VYDAJ	PREVOD NA UCET	2858	12854	 	YZ	41987031
969694	3305	1996-10-12	VYDAJ	PREVOD NA UCET	2858	13199	 	YZ	41987031
969695	3305	1996-11-12	VYDAJ	PREVOD NA UCET	2858	15591	 	YZ	41987031
969696	3305	1996-12-12	VYDAJ	PREVOD NA UCET	2858	11806	 	YZ	41987031
969697	3305	1997-01-12	VYDAJ	PREVOD NA UCET	2858	8659	 	YZ	41987031
969698	3305	1997-02-12	VYDAJ	PREVOD NA UCET	2858	9720	 	YZ	41987031
969699	3305	1997-03-12	VYDAJ	PREVOD NA UCET	2858	10389	 	YZ	41987031
969700	3305	1997-04-12	VYDAJ	PREVOD NA UCET	2858	12420	 	YZ	41987031
969701	3305	1997-05-12	VYDAJ	PREVOD NA UCET	2858	13586	 	YZ	41987031
969702	3305	1997-06-12	VYDAJ	PREVOD NA UCET	2858	13155	 	YZ	41987031
969703	3305	1997-07-12	VYDAJ	PREVOD NA UCET	2858	8800	 	YZ	41987031
969704	3305	1997-08-12	VYDAJ	PREVOD NA UCET	2858	10172	 	YZ	41987031
969705	3305	1997-09-12	VYDAJ	PREVOD NA UCET	2858	9723	 	YZ	41987031
969706	3305	1997-10-12	VYDAJ	PREVOD NA UCET	2858	13551	 	YZ	41987031
969707	3305	1997-11-12	VYDAJ	PREVOD NA UCET	2858	15758	 	YZ	41987031
969708	3305	1997-12-12	VYDAJ	PREVOD NA UCET	2858	10929	 	YZ	41987031
969709	3305	1998-01-12	VYDAJ	PREVOD NA UCET	2858	14144	 	YZ	41987031
969710	3305	1998-02-12	VYDAJ	PREVOD NA UCET	2858	11663	 	YZ	41987031
969711	3305	1998-03-12	VYDAJ	PREVOD NA UCET	2858	9718	 	YZ	41987031
969712	3305	1998-04-12	VYDAJ	PREVOD NA UCET	2858	10567	 	YZ	41987031
969713	3305	1998-05-12	VYDAJ	PREVOD NA UCET	2858	14442	 	YZ	41987031
969714	3305	1998-06-12	VYDAJ	PREVOD NA UCET	2858	16410	 	YZ	41987031
969715	3305	1998-07-12	VYDAJ	PREVOD NA UCET	2858	15508	 	YZ	41987031
969716	3305	1998-08-12	VYDAJ	PREVOD NA UCET	2858	15479	 	YZ	41987031
969717	3305	1998-09-12	VYDAJ	PREVOD NA UCET	2858	11952	 	YZ	41987031
969718	3305	1998-10-12	VYDAJ	PREVOD NA UCET	2858	12313	 	YZ	41987031
969719	3305	1998-11-12	VYDAJ	PREVOD NA UCET	2858	9866	 	YZ	41987031
969720	3305	1998-12-12	VYDAJ	PREVOD NA UCET	2858	11013	 	YZ	41987031
969722	3305	1996-06-28	VYDAJ	VYBER	11850	14965	\N	\N	\N
969723	3305	1997-06-19	VYDAJ	VYBER	1900	17917	\N	\N	\N
969724	3305	1998-06-13	VYDAJ	VYBER	1750	14638	\N	\N	\N
969730	3305	1996-12-17	VYDAJ	VYBER	650	16778	\N	\N	\N
969745	3305	1997-01-01	VYDAJ	VYBER	2320	14517	\N	\N	\N
969748	3305	1997-01-21	VYDAJ	VYBER	1680	13641	\N	\N	\N
969749	3305	1997-01-24	VYDAJ	VYBER	880	12761	\N	\N	\N
969751	3305	1998-01-30	VYDAJ	VYBER	1360	14486	\N	\N	\N
969752	3305	1998-01-22	VYDAJ	VYBER	560	16486	\N	\N	\N
969753	3305	1998-01-21	VYDAJ	VYBER	2000	17046	\N	\N	\N
969754	3305	1998-01-06	VYDAJ	VYBER	640	17002	\N	\N	\N
969755	3305	1998-01-17	VYDAJ	VYBER	1760	19046	\N	\N	\N
969756	3305	1998-01-22	VYDAJ	VYBER	640	15846	\N	\N	\N
969759	3305	1996-08-30	VYDAJ	VYBER	3680	17943	\N	\N	\N
969760	3305	1996-12-14	VYDAJ	VYBER	1040	17428	\N	\N	\N
969761	3305	1996-11-26	VYDAJ	VYBER	2560	19693	\N	\N	\N
969762	3305	1996-04-20	VYDAJ	VYBER	2000	30229	\N	\N	\N
969764	3305	1997-03-01	VYDAJ	VYBER	640	13247	\N	\N	\N
969765	3305	1997-06-29	VYDAJ	VYBER	3200	14717	\N	\N	\N
969767	3305	1997-10-25	VYDAJ	VYBER	1680	18555	\N	\N	\N
969769	3305	1997-05-08	VYDAJ	VYBER	1520	16444	\N	\N	\N
969770	3305	1997-02-20	VYDAJ	VYBER	2560	13844	\N	\N	\N
969772	3305	1998-06-14	VYDAJ	VYBER	800	19722	\N	\N	\N
969773	3305	1998-09-03	VYDAJ	VYBER	3520	14810	\N	\N	\N
969774	3305	1998-06-13	VYDAJ	VYBER	800	13838	\N	\N	\N
969791	3305	1996-04-30	VYDAJ	VYBER	15	30300	SLUZBY	\N	\N
969792	3305	1996-05-31	VYDAJ	VYBER	15	28811	SLUZBY	\N	\N
969793	3305	1996-06-30	VYDAJ	VYBER	15	15059	SLUZBY	\N	\N
969794	3305	1996-07-31	VYDAJ	VYBER	15	18919	SLUZBY	\N	\N
969795	3305	1996-08-31	VYDAJ	VYBER	15	18012	SLUZBY	\N	\N
969796	3305	1996-09-30	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
969797	3305	1996-10-31	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
969798	3305	1996-11-30	VYDAJ	VYBER	15	19764	SLUZBY	\N	\N
969799	3305	1996-12-31	VYDAJ	VYBER	15	16837	SLUZBY	\N	\N
969800	3305	1997-01-31	VYDAJ	VYBER	15	12800	SLUZBY	\N	\N
969801	3305	1997-02-28	VYDAJ	VYBER	15	13887	SLUZBY	\N	\N
969802	3305	1997-03-31	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
969803	3305	1997-04-30	VYDAJ	VYBER	15	19164	SLUZBY	\N	\N
969804	3305	1997-05-31	VYDAJ	VYBER	15	20313	SLUZBY	\N	\N
969805	3305	1997-06-30	VYDAJ	VYBER	15	14780	SLUZBY	\N	\N
969806	3305	1997-07-31	VYDAJ	VYBER	15	15530	SLUZBY	\N	\N
969807	3305	1997-08-31	VYDAJ	VYBER	15	12581	SLUZBY	\N	\N
969808	3305	1997-09-30	VYDAJ	VYBER	15	16431	SLUZBY	\N	\N
969809	3305	1997-10-31	VYDAJ	VYBER	15	18616	SLUZBY	\N	\N
969810	3305	1997-11-30	VYDAJ	VYBER	15	13787	SLUZBY	\N	\N
969811	3305	1997-12-31	VYDAJ	VYBER	15	17642	SLUZBY	\N	\N
969812	3305	1998-01-31	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
969813	3305	1998-02-28	VYDAJ	VYBER	15	12598	SLUZBY	\N	\N
969814	3305	1998-03-31	VYDAJ	VYBER	15	13447	SLUZBY	\N	\N
969815	3305	1998-04-30	VYDAJ	VYBER	15	17300	SLUZBY	\N	\N
969816	3305	1998-05-31	VYDAJ	VYBER	15	19268	SLUZBY	\N	\N
969817	3305	1998-06-30	VYDAJ	VYBER	15	18388	SLUZBY	\N	\N
969818	3305	1998-07-31	VYDAJ	VYBER	15	18359	SLUZBY	\N	\N
969819	3305	1998-08-31	VYDAJ	VYBER	15	18330	SLUZBY	\N	\N
969820	3305	1998-09-30	VYDAJ	VYBER	15	15171	SLUZBY	\N	\N
969821	3305	1998-10-31	VYDAJ	VYBER	15	12724	SLUZBY	\N	\N
969822	3305	1998-11-30	VYDAJ	VYBER	15	13871	SLUZBY	\N	\N
969823	3305	1996-04-07	VYDAJ	VYBER	1900	25545	\N	\N	\N
969824	3305	1996-05-07	VYDAJ	VYBER	5400	24900	\N	\N	\N
969825	3305	1996-06-06	VYDAJ	VYBER	5800	23011	\N	\N	\N
969826	3305	1996-08-05	VYDAJ	VYBER	1100	17819	\N	\N	\N
969827	3305	1996-09-04	VYDAJ	VYBER	2300	15712	\N	\N	\N
969828	3305	1996-10-04	VYDAJ	VYBER	3500	16079	\N	\N	\N
969829	3305	1996-11-03	VYDAJ	VYBER	1500	18449	\N	\N	\N
969830	3305	1996-12-03	VYDAJ	VYBER	5100	14664	\N	\N	\N
969831	3305	1997-01-02	VYDAJ	VYBER	3000	11517	\N	\N	\N
969832	3305	1997-02-01	VYDAJ	VYBER	200	12600	\N	\N	\N
969833	3305	1997-04-02	VYDAJ	VYBER	1800	15300	\N	\N	\N
969834	3305	1997-05-02	VYDAJ	VYBER	1200	17964	\N	\N	\N
969835	3305	1997-06-01	VYDAJ	VYBER	4300	16013	\N	\N	\N
969836	3305	1997-07-01	VYDAJ	VYBER	3100	11680	\N	\N	\N
969837	3305	1997-07-31	VYDAJ	VYBER	2500	13030	\N	\N	\N
969838	3305	1997-08-30	VYDAJ	VYBER	4300	12534	\N	\N	\N
969839	3305	1997-11-28	VYDAJ	VYBER	8700	13720	\N	\N	\N
969840	3305	1998-02-26	VYDAJ	VYBER	5800	12547	\N	\N	\N
969841	3305	1998-03-28	VYDAJ	VYBER	3000	13402	\N	\N	\N
969842	3305	1998-05-27	VYDAJ	VYBER	1900	19204	\N	\N	\N
969843	3305	1998-06-26	VYDAJ	VYBER	1400	18322	\N	\N	\N
969844	3305	1998-07-26	VYDAJ	VYBER	3900	18292	\N	\N	\N
969845	3305	1998-08-25	VYDAJ	VYBER	3900	18263	\N	\N	\N
969846	3305	1998-09-24	VYDAJ	VYBER	3500	15114	\N	\N	\N
969847	3305	1998-10-24	VYDAJ	VYBER	6300	12675	\N	\N	\N
969848	3305	1998-11-23	VYDAJ	VYBER	2700	13828	\N	\N	\N
969849	3305	1998-12-23	VYDAJ	VYBER	4500	13175	\N	\N	\N
969887	3306	1993-08-24	PRIJEM	VKLAD	800	800	\N	\N	\N
969896	3306	1993-09-07	PRIJEM	VKLAD	11862	12662	\N	\N	\N
969897	3306	1993-10-07	PRIJEM	VKLAD	11862	31546	\N	\N	\N
969898	3306	1993-11-07	PRIJEM	VKLAD	11862	37998	\N	\N	\N
969899	3306	1993-12-07	PRIJEM	VKLAD	17793	46803	\N	\N	\N
969900	3306	1994-01-07	PRIJEM	VKLAD	11862	48395	\N	\N	\N
969901	3306	1994-02-07	PRIJEM	VKLAD	11862	42580	\N	\N	\N
969902	3306	1994-03-07	PRIJEM	VKLAD	11862	44758	\N	\N	\N
969903	3306	1994-04-07	PRIJEM	VKLAD	11862	43042	\N	\N	\N
969904	3306	1994-05-07	PRIJEM	VKLAD	11862	42823	\N	\N	\N
969905	3306	1994-06-07	PRIJEM	VKLAD	17793	50432	\N	\N	\N
969906	3306	1994-07-07	PRIJEM	VKLAD	11862	45329	\N	\N	\N
969907	3306	1994-08-07	PRIJEM	VKLAD	11862	44510	\N	\N	\N
969908	3306	1994-09-07	PRIJEM	VKLAD	11862	44991	\N	\N	\N
969909	3306	1994-10-07	PRIJEM	VKLAD	11862	45174	\N	\N	\N
969910	3306	1994-11-07	PRIJEM	VKLAD	11862	45159	\N	\N	\N
969911	3306	1994-12-07	PRIJEM	VKLAD	17793	52274	\N	\N	\N
969912	3306	1995-01-07	PRIJEM	VKLAD	11862	50679	\N	\N	\N
969913	3306	1995-02-07	PRIJEM	VKLAD	11862	44964	\N	\N	\N
969914	3306	1995-03-07	PRIJEM	VKLAD	11862	47550	\N	\N	\N
969915	3306	1995-04-07	PRIJEM	VKLAD	11862	47842	\N	\N	\N
969916	3306	1995-05-07	PRIJEM	VKLAD	11862	50239	\N	\N	\N
969917	3306	1995-06-07	PRIJEM	VKLAD	17793	53072	\N	\N	\N
969918	3306	1995-07-07	PRIJEM	VKLAD	11862	27614	\N	\N	\N
969919	3306	1995-08-07	PRIJEM	VKLAD	11862	37945	\N	\N	\N
969920	3306	1995-09-07	PRIJEM	VKLAD	11862	42605	\N	\N	\N
969921	3306	1995-10-07	PRIJEM	VKLAD	11862	47282	\N	\N	\N
969922	3306	1995-11-07	PRIJEM	VKLAD	11862	48572	\N	\N	\N
969923	3306	1995-12-07	PRIJEM	VKLAD	17793	52389	\N	\N	\N
969924	3306	1996-01-07	PRIJEM	VKLAD	11862	51687	\N	\N	\N
969925	3306	1996-02-07	PRIJEM	VKLAD	11862	49585	\N	\N	\N
969926	3306	1996-03-07	PRIJEM	VKLAD	11862	48777	\N	\N	\N
969927	3306	1996-04-07	PRIJEM	VKLAD	11862	47665	\N	\N	\N
969928	3306	1996-05-07	PRIJEM	VKLAD	11862	44842	\N	\N	\N
969929	3306	1996-06-07	PRIJEM	VKLAD	17793	45330	\N	\N	\N
969930	3306	1996-07-07	PRIJEM	VKLAD	11862	22331	\N	\N	\N
969931	3306	1996-08-07	PRIJEM	VKLAD	11862	32040	\N	\N	\N
969932	3306	1996-09-07	PRIJEM	VKLAD	11862	28055	\N	\N	\N
969933	3306	1996-10-07	PRIJEM	VKLAD	11862	30569	\N	\N	\N
969934	3306	1996-11-07	PRIJEM	VKLAD	11862	31992	\N	\N	\N
969935	3306	1996-12-07	PRIJEM	VKLAD	17793	41266	\N	\N	\N
969936	3306	1997-01-07	PRIJEM	VKLAD	11862	31844	\N	\N	\N
969937	3306	1997-02-07	PRIJEM	VKLAD	11862	34092	\N	\N	\N
969938	3306	1997-03-07	PRIJEM	VKLAD	11862	33044	\N	\N	\N
969939	3306	1997-04-07	PRIJEM	VKLAD	11862	37695	\N	\N	\N
969940	3306	1997-05-07	PRIJEM	VKLAD	11862	33747	\N	\N	\N
969941	3306	1997-06-07	PRIJEM	VKLAD	17793	45030	\N	\N	\N
969942	3306	1997-07-07	PRIJEM	VKLAD	11862	43021	\N	\N	\N
969943	3306	1997-08-07	PRIJEM	VKLAD	11862	40815	\N	\N	\N
969944	3306	1997-09-07	PRIJEM	VKLAD	11862	43499	\N	\N	\N
969945	3306	1997-10-07	PRIJEM	VKLAD	11862	46890	\N	\N	\N
969946	3306	1997-11-07	PRIJEM	VKLAD	11862	44796	\N	\N	\N
969947	3306	1997-12-07	PRIJEM	VKLAD	17793	48822	\N	\N	\N
969948	3306	1998-01-07	PRIJEM	VKLAD	11862	42534	\N	\N	\N
969949	3306	1998-02-07	PRIJEM	VKLAD	11862	35202	\N	\N	\N
969950	3306	1998-03-07	PRIJEM	VKLAD	11862	35952	\N	\N	\N
969951	3306	1998-04-07	PRIJEM	VKLAD	11862	35009	\N	\N	\N
969952	3306	1998-05-07	PRIJEM	VKLAD	11862	32461	\N	\N	\N
969953	3306	1998-06-07	PRIJEM	VKLAD	17793	40330	\N	\N	\N
969954	3306	1998-07-07	PRIJEM	VKLAD	11862	30373	\N	\N	\N
969955	3306	1998-08-07	PRIJEM	VKLAD	11862	31193	\N	\N	\N
969956	3306	1998-09-07	PRIJEM	VKLAD	11862	30923	\N	\N	\N
969957	3306	1998-10-07	PRIJEM	VKLAD	11862	33442	\N	\N	\N
969958	3306	1998-11-07	PRIJEM	VKLAD	11862	27276	\N	\N	\N
969959	3306	1998-12-07	PRIJEM	VKLAD	17793	32718	\N	\N	\N
969972	3306	1994-01-12	VYDAJ	PREVOD NA UCET	5454	42882	SIPO	KL	23961645
969973	3306	1994-02-12	VYDAJ	PREVOD NA UCET	5454	37067	SIPO	KL	23961645
969974	3306	1994-03-12	VYDAJ	PREVOD NA UCET	5454	39245	SIPO	KL	23961645
969975	3306	1994-04-12	VYDAJ	PREVOD NA UCET	5454	37529	SIPO	KL	23961645
969976	3306	1994-05-12	VYDAJ	PREVOD NA UCET	5454	37310	SIPO	KL	23961645
969977	3306	1994-06-12	VYDAJ	PREVOD NA UCET	5454	44919	SIPO	KL	23961645
969978	3306	1994-07-12	VYDAJ	PREVOD NA UCET	5454	37616	SIPO	KL	23961645
969979	3306	1994-08-12	VYDAJ	PREVOD NA UCET	5454	38997	SIPO	KL	23961645
969980	3306	1994-09-12	VYDAJ	PREVOD NA UCET	5454	39478	SIPO	KL	23961645
969981	3306	1994-10-12	VYDAJ	PREVOD NA UCET	5454	37561	SIPO	KL	23961645
969982	3306	1994-11-12	VYDAJ	PREVOD NA UCET	5454	39646	SIPO	KL	23961645
969983	3306	1994-12-12	VYDAJ	PREVOD NA UCET	5454	46761	SIPO	KL	23961645
969984	3306	1995-01-12	VYDAJ	PREVOD NA UCET	5454	38366	SIPO	KL	23961645
969985	3306	1995-02-12	VYDAJ	PREVOD NA UCET	5454	39451	SIPO	KL	23961645
969986	3306	1995-03-12	VYDAJ	PREVOD NA UCET	5454	42037	SIPO	KL	23961645
969987	3306	1995-04-12	VYDAJ	PREVOD NA UCET	5454	42329	SIPO	KL	23961645
969988	3306	1995-05-12	VYDAJ	PREVOD NA UCET	5454	44726	SIPO	KL	23961645
969989	3306	1995-06-12	VYDAJ	PREVOD NA UCET	5454	18159	SIPO	KL	23961645
969990	3306	1995-07-12	VYDAJ	PREVOD NA UCET	5454	22101	SIPO	KL	23961645
969991	3306	1995-08-12	VYDAJ	PREVOD NA UCET	5454	32432	SIPO	KL	23961645
969992	3306	1995-09-12	VYDAJ	PREVOD NA UCET	5454	33992	SIPO	KL	23961645
969993	3306	1995-10-12	VYDAJ	PREVOD NA UCET	5454	41769	SIPO	KL	23961645
969994	3306	1995-11-12	VYDAJ	PREVOD NA UCET	5454	36059	SIPO	KL	23961645
969995	3306	1995-12-12	VYDAJ	PREVOD NA UCET	5454	46876	SIPO	KL	23961645
969996	3306	1996-01-12	VYDAJ	PREVOD NA UCET	5454	39574	SIPO	KL	23961645
969997	3306	1996-02-12	VYDAJ	PREVOD NA UCET	5454	36772	SIPO	KL	23961645
969998	3306	1996-03-12	VYDAJ	PREVOD NA UCET	5454	35664	SIPO	KL	23961645
969999	3306	1996-04-12	VYDAJ	PREVOD NA UCET	5454	32852	SIPO	KL	23961645
970000	3306	1996-05-12	VYDAJ	PREVOD NA UCET	5454	27429	SIPO	KL	23961645
970001	3306	1996-06-12	VYDAJ	PREVOD NA UCET	5454	10417	SIPO	KL	23961645
970002	3306	1996-07-12	VYDAJ	PREVOD NA UCET	5454	20118	SIPO	KL	23961645
970003	3306	1996-08-12	VYDAJ	PREVOD NA UCET	5454	19627	SIPO	KL	23961645
970004	3306	1996-09-12	VYDAJ	PREVOD NA UCET	5454	18642	SIPO	KL	23961645
970005	3306	1996-10-12	VYDAJ	PREVOD NA UCET	5454	21356	SIPO	KL	23961645
970006	3306	1996-11-12	VYDAJ	PREVOD NA UCET	5454	26479	SIPO	KL	23961645
970007	3306	1996-12-12	VYDAJ	PREVOD NA UCET	5454	35753	SIPO	KL	23961645
970008	3306	1997-01-12	VYDAJ	PREVOD NA UCET	5454	26331	SIPO	KL	23961645
970009	3306	1997-02-12	VYDAJ	PREVOD NA UCET	5454	27979	SIPO	KL	23961645
970010	3306	1997-03-12	VYDAJ	PREVOD NA UCET	5454	27531	SIPO	KL	23961645
970011	3306	1997-04-12	VYDAJ	PREVOD NA UCET	5454	28282	SIPO	KL	23961645
970012	3306	1997-05-12	VYDAJ	PREVOD NA UCET	5454	28234	SIPO	KL	23961645
970013	3306	1997-06-12	VYDAJ	PREVOD NA UCET	5454	39517	SIPO	KL	23961645
970014	3306	1997-07-12	VYDAJ	PREVOD NA UCET	5454	37508	SIPO	KL	23961645
970015	3306	1997-08-12	VYDAJ	PREVOD NA UCET	5454	35302	SIPO	KL	23961645
970016	3306	1997-09-12	VYDAJ	PREVOD NA UCET	5454	37986	SIPO	KL	23961645
970017	3306	1997-10-12	VYDAJ	PREVOD NA UCET	5454	41377	SIPO	KL	23961645
970018	3306	1997-11-12	VYDAJ	PREVOD NA UCET	5454	39283	SIPO	KL	23961645
970019	3306	1997-12-12	VYDAJ	PREVOD NA UCET	5454	43309	SIPO	KL	23961645
970020	3306	1998-01-12	VYDAJ	PREVOD NA UCET	5454	27521	SIPO	KL	23961645
970021	3306	1998-02-12	VYDAJ	PREVOD NA UCET	5454	29689	SIPO	KL	23961645
970022	3306	1998-03-12	VYDAJ	PREVOD NA UCET	5454	30439	SIPO	KL	23961645
970023	3306	1998-04-12	VYDAJ	PREVOD NA UCET	5454	29496	SIPO	KL	23961645
970024	3306	1998-05-12	VYDAJ	PREVOD NA UCET	5454	26948	SIPO	KL	23961645
970025	3306	1998-06-12	VYDAJ	PREVOD NA UCET	5454	34817	SIPO	KL	23961645
970026	3306	1998-07-12	VYDAJ	PREVOD NA UCET	5454	24860	SIPO	KL	23961645
970027	3306	1998-08-12	VYDAJ	PREVOD NA UCET	5454	25680	SIPO	KL	23961645
970028	3306	1998-09-12	VYDAJ	PREVOD NA UCET	5454	21510	SIPO	KL	23961645
970029	3306	1998-10-12	VYDAJ	PREVOD NA UCET	5454	27929	SIPO	KL	23961645
970030	3306	1998-11-12	VYDAJ	PREVOD NA UCET	5454	21763	SIPO	KL	23961645
970031	3306	1998-12-12	VYDAJ	PREVOD NA UCET	5454	27205	SIPO	KL	23961645
970044	3306	1994-01-09	VYDAJ	PREVOD NA UCET	59	48336	 	EF	82538950
970045	3306	1994-02-09	VYDAJ	PREVOD NA UCET	59	42521	 	EF	82538950
970046	3306	1994-03-09	VYDAJ	PREVOD NA UCET	59	44699	 	EF	82538950
970047	3306	1994-04-09	VYDAJ	PREVOD NA UCET	59	42983	 	EF	82538950
970048	3306	1994-05-09	VYDAJ	PREVOD NA UCET	59	42764	 	EF	82538950
970049	3306	1994-06-09	VYDAJ	PREVOD NA UCET	59	50373	 	EF	82538950
970050	3306	1994-07-09	VYDAJ	PREVOD NA UCET	59	45270	 	EF	82538950
970051	3306	1994-08-09	VYDAJ	PREVOD NA UCET	59	44451	 	EF	82538950
970052	3306	1994-09-09	VYDAJ	PREVOD NA UCET	59	44932	 	EF	82538950
970053	3306	1994-10-09	VYDAJ	PREVOD NA UCET	59	45115	 	EF	82538950
970054	3306	1994-11-09	VYDAJ	PREVOD NA UCET	59	45100	 	EF	82538950
970055	3306	1994-12-09	VYDAJ	PREVOD NA UCET	59	52215	 	EF	82538950
970056	3306	1995-01-09	VYDAJ	PREVOD NA UCET	59	43820	 	EF	82538950
970057	3306	1995-02-09	VYDAJ	PREVOD NA UCET	59	44905	 	EF	82538950
970058	3306	1995-03-09	VYDAJ	PREVOD NA UCET	59	47491	 	EF	82538950
970059	3306	1995-04-09	VYDAJ	PREVOD NA UCET	59	47783	 	EF	82538950
970060	3306	1995-05-09	VYDAJ	PREVOD NA UCET	59	50180	 	EF	82538950
970061	3306	1995-06-09	VYDAJ	PREVOD NA UCET	59	53013	 	EF	82538950
970062	3306	1995-07-09	VYDAJ	PREVOD NA UCET	59	27555	 	EF	82538950
970063	3306	1995-08-09	VYDAJ	PREVOD NA UCET	59	37886	 	EF	82538950
970064	3306	1995-09-09	VYDAJ	PREVOD NA UCET	59	39446	 	EF	82538950
970065	3306	1995-10-09	VYDAJ	PREVOD NA UCET	59	47223	 	EF	82538950
970066	3306	1995-11-09	VYDAJ	PREVOD NA UCET	59	48513	 	EF	82538950
970067	3306	1995-12-09	VYDAJ	PREVOD NA UCET	59	52330	 	EF	82538950
970068	3306	1996-01-09	VYDAJ	PREVOD NA UCET	59	51628	 	EF	82538950
970069	3306	1996-02-09	VYDAJ	PREVOD NA UCET	59	47926	 	EF	82538950
970070	3306	1996-03-09	VYDAJ	PREVOD NA UCET	59	48718	 	EF	82538950
970071	3306	1996-04-09	VYDAJ	PREVOD NA UCET	59	47606	 	EF	82538950
970072	3306	1996-05-09	VYDAJ	PREVOD NA UCET	59	44783	 	EF	82538950
970073	3306	1996-06-09	VYDAJ	PREVOD NA UCET	59	36571	 	EF	82538950
970074	3306	1996-07-09	VYDAJ	PREVOD NA UCET	59	25572	 	EF	82538950
970075	3306	1996-08-09	VYDAJ	PREVOD NA UCET	59	25081	 	EF	82538950
970076	3306	1996-09-09	VYDAJ	PREVOD NA UCET	59	24096	 	EF	82538950
970077	3306	1996-10-09	VYDAJ	PREVOD NA UCET	59	26810	 	EF	82538950
970078	3306	1996-11-09	VYDAJ	PREVOD NA UCET	59	31933	 	EF	82538950
970079	3306	1996-12-09	VYDAJ	PREVOD NA UCET	59	41207	 	EF	82538950
970080	3306	1997-01-09	VYDAJ	PREVOD NA UCET	59	31785	 	EF	82538950
970081	3306	1997-02-09	VYDAJ	PREVOD NA UCET	59	33433	 	EF	82538950
970082	3306	1997-03-09	VYDAJ	PREVOD NA UCET	59	32985	 	EF	82538950
970083	3306	1997-04-09	VYDAJ	PREVOD NA UCET	59	33736	 	EF	82538950
970084	3306	1997-05-09	VYDAJ	PREVOD NA UCET	59	33688	 	EF	82538950
970085	3306	1997-06-09	VYDAJ	PREVOD NA UCET	59	44971	 	EF	82538950
970086	3306	1997-07-09	VYDAJ	PREVOD NA UCET	59	42962	 	EF	82538950
970087	3306	1997-08-09	VYDAJ	PREVOD NA UCET	59	40756	 	EF	82538950
970088	3306	1997-09-09	VYDAJ	PREVOD NA UCET	59	43440	 	EF	82538950
970089	3306	1997-10-09	VYDAJ	PREVOD NA UCET	59	46831	 	EF	82538950
970090	3306	1997-11-09	VYDAJ	PREVOD NA UCET	59	44737	 	EF	82538950
970091	3306	1997-12-09	VYDAJ	PREVOD NA UCET	59	48763	 	EF	82538950
970092	3306	1998-01-09	VYDAJ	PREVOD NA UCET	59	42475	 	EF	82538950
970093	3306	1998-02-09	VYDAJ	PREVOD NA UCET	59	35143	 	EF	82538950
970094	3306	1998-03-09	VYDAJ	PREVOD NA UCET	59	35893	 	EF	82538950
970095	3306	1998-04-09	VYDAJ	PREVOD NA UCET	59	34950	 	EF	82538950
970096	3306	1998-05-09	VYDAJ	PREVOD NA UCET	59	32402	 	EF	82538950
970097	3306	1998-06-09	VYDAJ	PREVOD NA UCET	59	40271	 	EF	82538950
970098	3306	1998-07-09	VYDAJ	PREVOD NA UCET	59	30314	 	EF	82538950
970099	3306	1998-08-09	VYDAJ	PREVOD NA UCET	59	31134	 	EF	82538950
970100	3306	1998-09-09	VYDAJ	PREVOD NA UCET	59	30864	 	EF	82538950
970101	3306	1998-10-09	VYDAJ	PREVOD NA UCET	59	33383	 	EF	82538950
970102	3306	1998-11-09	VYDAJ	PREVOD NA UCET	59	27217	 	EF	82538950
970103	3306	1998-12-09	VYDAJ	PREVOD NA UCET	59	32659	 	EF	82538950
970106	3306	1995-06-11	VYDAJ	VYBER	29400	23613	\N	\N	\N
970107	3306	1996-06-10	VYDAJ	VYBER	20700	15871	\N	\N	\N
970109	3306	1998-06-19	VYDAJ	VYBER	12200	22617	\N	\N	\N
970112	3306	1995-01-08	VYDAJ	VYBER	6800	43879	\N	\N	\N
970113	3306	1996-01-14	VYDAJ	VYBER	2000	37574	\N	\N	\N
970114	3306	1997-01-02	VYDAJ	VYBER	8400	27482	\N	\N	\N
970115	3306	1998-01-12	VYDAJ	VYBER	9500	32975	\N	\N	\N
970123	3306	1994-04-03	VYDAJ	VYBER	1300	31180	\N	\N	\N
970124	3306	1994-01-13	VYDAJ	VYBER	4800	38082	\N	\N	\N
970125	3306	1994-09-15	VYDAJ	VYBER	700	38778	\N	\N	\N
970126	3306	1994-10-12	VYDAJ	VYBER	2100	43015	\N	\N	\N
970127	3306	1994-12-25	VYDAJ	VYBER	2300	38661	\N	\N	\N
970128	3306	1994-06-20	VYDAJ	VYBER	2900	33319	\N	\N	\N
970129	3306	1994-07-11	VYDAJ	VYBER	2200	43070	\N	\N	\N
970130	3306	1995-06-04	VYDAJ	VYBER	2900	35279	\N	\N	\N
970131	3306	1995-11-13	VYDAJ	VYBER	1600	34459	\N	\N	\N
970132	3306	1995-06-16	VYDAJ	VYBER	3700	19459	\N	\N	\N
970133	3306	1995-05-24	VYDAJ	VYBER	900	38026	\N	\N	\N
970134	3306	1995-09-09	VYDAJ	VYBER	3100	39505	\N	\N	\N
970135	3306	1995-06-17	VYDAJ	VYBER	3800	15659	\N	\N	\N
970136	3306	1996-02-08	VYDAJ	VYBER	1600	47985	\N	\N	\N
970137	3306	1996-05-09	VYDAJ	VYBER	2300	42483	\N	\N	\N
970138	3306	1996-08-26	VYDAJ	VYBER	3500	16127	\N	\N	\N
970140	3306	1997-08-23	VYDAJ	VYBER	700	34602	\N	\N	\N
970141	3306	1997-04-07	VYDAJ	VYBER	3900	33795	\N	\N	\N
970142	3306	1997-02-07	VYDAJ	VYBER	600	33492	\N	\N	\N
970143	3306	1997-04-25	VYDAJ	VYBER	2000	26282	\N	\N	\N
970144	3306	1997-11-02	VYDAJ	VYBER	3800	32934	\N	\N	\N
970145	3306	1997-01-04	VYDAJ	VYBER	2800	24682	\N	\N	\N
970146	3306	1998-07-16	VYDAJ	VYBER	4100	20760	\N	\N	\N
970147	3306	1998-03-19	VYDAJ	VYBER	2900	27539	\N	\N	\N
970149	3306	1998-09-09	VYDAJ	VYBER	3900	26964	\N	\N	\N
970163	3306	1994-01-31	VYDAJ	VYBER	15	30718	SLUZBY	\N	\N
970164	3306	1994-02-28	VYDAJ	VYBER	15	32896	SLUZBY	\N	\N
970165	3306	1994-03-31	VYDAJ	VYBER	15	32480	SLUZBY	\N	\N
970166	3306	1994-04-30	VYDAJ	VYBER	15	30961	SLUZBY	\N	\N
970167	3306	1994-05-31	VYDAJ	VYBER	15	32639	SLUZBY	\N	\N
970168	3306	1994-06-30	VYDAJ	VYBER	15	33467	SLUZBY	\N	\N
970169	3306	1994-07-31	VYDAJ	VYBER	15	32648	SLUZBY	\N	\N
970170	3306	1994-08-31	VYDAJ	VYBER	15	33129	SLUZBY	\N	\N
970171	3306	1994-09-30	VYDAJ	VYBER	15	33312	SLUZBY	\N	\N
970172	3306	1994-10-31	VYDAJ	VYBER	15	33297	SLUZBY	\N	\N
970173	3306	1994-11-30	VYDAJ	VYBER	15	34481	SLUZBY	\N	\N
970174	3306	1994-12-31	VYDAJ	VYBER	15	38817	SLUZBY	\N	\N
970175	3306	1995-01-31	VYDAJ	VYBER	15	33102	SLUZBY	\N	\N
970176	3306	1995-02-28	VYDAJ	VYBER	15	35688	SLUZBY	\N	\N
970177	3306	1995-03-31	VYDAJ	VYBER	15	35980	SLUZBY	\N	\N
970178	3306	1995-04-30	VYDAJ	VYBER	15	38377	SLUZBY	\N	\N
970179	3306	1995-05-31	VYDAJ	VYBER	15	38179	SLUZBY	\N	\N
970180	3306	1995-06-30	VYDAJ	VYBER	15	15752	SLUZBY	\N	\N
970181	3306	1995-07-31	VYDAJ	VYBER	15	26083	SLUZBY	\N	\N
970182	3306	1995-08-31	VYDAJ	VYBER	15	30743	SLUZBY	\N	\N
970183	3306	1995-09-30	VYDAJ	VYBER	15	35420	SLUZBY	\N	\N
970184	3306	1995-10-31	VYDAJ	VYBER	15	36710	SLUZBY	\N	\N
970185	3306	1995-11-30	VYDAJ	VYBER	15	34596	SLUZBY	\N	\N
970186	3306	1995-12-31	VYDAJ	VYBER	15	39825	SLUZBY	\N	\N
970187	3306	1996-01-31	VYDAJ	VYBER	15	37723	SLUZBY	\N	\N
970188	3306	1996-02-29	VYDAJ	VYBER	15	36915	SLUZBY	\N	\N
970189	3306	1996-03-31	VYDAJ	VYBER	15	35803	SLUZBY	\N	\N
970190	3306	1996-04-30	VYDAJ	VYBER	15	32980	SLUZBY	\N	\N
970191	3306	1996-05-31	VYDAJ	VYBER	15	27537	SLUZBY	\N	\N
970192	3306	1996-06-30	VYDAJ	VYBER	15	10469	SLUZBY	\N	\N
970193	3306	1996-07-31	VYDAJ	VYBER	15	20178	SLUZBY	\N	\N
970194	3306	1996-08-31	VYDAJ	VYBER	15	16193	SLUZBY	\N	\N
970195	3306	1996-09-30	VYDAJ	VYBER	15	18707	SLUZBY	\N	\N
970196	3306	1996-10-31	VYDAJ	VYBER	15	21430	SLUZBY	\N	\N
970197	3306	1996-11-30	VYDAJ	VYBER	15	26573	SLUZBY	\N	\N
970198	3306	1996-12-31	VYDAJ	VYBER	15	35882	SLUZBY	\N	\N
970199	3306	1997-01-31	VYDAJ	VYBER	15	26430	SLUZBY	\N	\N
970200	3306	1997-02-28	VYDAJ	VYBER	15	28082	SLUZBY	\N	\N
970201	3306	1997-03-31	VYDAJ	VYBER	15	27633	SLUZBY	\N	\N
970202	3306	1997-04-30	VYDAJ	VYBER	15	26385	SLUZBY	\N	\N
970203	3306	1997-05-31	VYDAJ	VYBER	15	28337	SLUZBY	\N	\N
970204	3306	1997-06-30	VYDAJ	VYBER	15	39659	SLUZBY	\N	\N
970205	3306	1997-07-31	VYDAJ	VYBER	15	37653	SLUZBY	\N	\N
970206	3306	1997-08-31	VYDAJ	VYBER	15	34737	SLUZBY	\N	\N
970207	3306	1997-09-30	VYDAJ	VYBER	15	38128	SLUZBY	\N	\N
970208	3306	1997-10-31	VYDAJ	VYBER	15	41534	SLUZBY	\N	\N
970209	3306	1997-11-30	VYDAJ	VYBER	15	39429	SLUZBY	\N	\N
970210	3306	1997-12-31	VYDAJ	VYBER	15	43472	SLUZBY	\N	\N
970211	3306	1998-01-31	VYDAJ	VYBER	15	23340	SLUZBY	\N	\N
970212	3306	1998-02-28	VYDAJ	VYBER	15	29790	SLUZBY	\N	\N
970213	3306	1998-03-31	VYDAJ	VYBER	15	27647	SLUZBY	\N	\N
970214	3306	1998-04-30	VYDAJ	VYBER	15	20599	SLUZBY	\N	\N
970215	3306	1998-05-31	VYDAJ	VYBER	15	22537	SLUZBY	\N	\N
970216	3306	1998-06-30	VYDAJ	VYBER	15	18511	SLUZBY	\N	\N
970217	3306	1998-07-31	VYDAJ	VYBER	15	19331	SLUZBY	\N	\N
970218	3306	1998-08-31	VYDAJ	VYBER	15	19061	SLUZBY	\N	\N
970219	3306	1998-09-30	VYDAJ	VYBER	15	21580	SLUZBY	\N	\N
970220	3306	1998-10-31	VYDAJ	VYBER	15	15414	SLUZBY	\N	\N
970221	3306	1998-11-30	VYDAJ	VYBER	15	14925	SLUZBY	\N	\N
970222	3306	1993-09-23	PRIJEM	VKLAD	7000	19662	\N	\N	\N
970223	3306	1993-10-23	VYDAJ	VYBER	5500	26046	\N	\N	\N
970224	3306	1993-11-22	VYDAJ	VYBER	9100	28898	\N	\N	\N
970225	3306	1993-12-22	VYDAJ	VYBER	10400	36403	\N	\N	\N
970226	3306	1994-01-21	VYDAJ	VYBER	7500	30582	\N	\N	\N
970227	3306	1994-02-20	VYDAJ	VYBER	4300	32767	\N	\N	\N
970228	3306	1994-03-22	VYDAJ	VYBER	6900	32345	\N	\N	\N
970229	3306	1994-04-21	VYDAJ	VYBER	6700	30829	\N	\N	\N
970230	3306	1994-05-21	VYDAJ	VYBER	4800	32510	\N	\N	\N
970231	3306	1994-06-20	VYDAJ	VYBER	8700	36219	\N	\N	\N
970232	3306	1994-07-20	VYDAJ	VYBER	5100	32516	\N	\N	\N
970233	3306	1994-08-19	VYDAJ	VYBER	6000	32997	\N	\N	\N
970234	3306	1994-09-18	VYDAJ	VYBER	5600	33178	\N	\N	\N
970235	3306	1994-10-18	VYDAJ	VYBER	4400	33161	\N	\N	\N
970236	3306	1994-11-17	VYDAJ	VYBER	5300	34346	\N	\N	\N
970237	3306	1994-12-17	VYDAJ	VYBER	5800	40961	\N	\N	\N
970238	3306	1995-01-16	VYDAJ	VYBER	5400	32966	\N	\N	\N
970239	3306	1995-02-15	VYDAJ	VYBER	3900	35551	\N	\N	\N
970240	3306	1995-03-17	VYDAJ	VYBER	6200	35837	\N	\N	\N
970241	3306	1995-04-16	VYDAJ	VYBER	4100	38229	\N	\N	\N
970242	3306	1995-05-16	VYDAJ	VYBER	5800	38926	\N	\N	\N
970243	3306	1995-06-15	PRIJEM	VKLAD	5000	23159	\N	\N	\N
970244	3306	1995-07-15	PRIJEM	VKLAD	3900	26001	\N	\N	\N
970245	3306	1995-08-14	VYDAJ	VYBER	1800	30632	\N	\N	\N
970246	3306	1995-09-13	PRIJEM	VKLAD	1300	35292	\N	\N	\N
970247	3306	1995-10-13	VYDAJ	VYBER	5200	36569	\N	\N	\N
970248	3306	1995-11-12	VYDAJ	VYBER	7000	41513	\N	\N	\N
970249	3306	1995-12-12	VYDAJ	VYBER	7200	39676	\N	\N	\N
970250	3306	1996-01-11	VYDAJ	VYBER	6600	45028	\N	\N	\N
970251	3306	1996-02-10	VYDAJ	VYBER	5700	42226	\N	\N	\N
970252	3306	1996-03-11	VYDAJ	VYBER	7600	41118	\N	\N	\N
970253	3306	1996-04-10	VYDAJ	VYBER	9300	38306	\N	\N	\N
970254	3306	1996-05-10	VYDAJ	VYBER	9600	32883	\N	\N	\N
970255	3306	1996-06-09	VYDAJ	VYBER	8700	36630	\N	\N	\N
970256	3306	1996-07-09	PRIJEM	VKLAD	3300	25631	\N	\N	\N
970257	3306	1996-08-08	VYDAJ	VYBER	6900	25140	\N	\N	\N
970258	3306	1996-09-07	VYDAJ	VYBER	3900	24155	\N	\N	\N
970259	3306	1996-10-07	VYDAJ	VYBER	3700	26869	\N	\N	\N
970260	3306	1996-11-06	VYDAJ	VYBER	1300	20130	\N	\N	\N
970261	3306	1996-12-06	VYDAJ	VYBER	3100	23473	\N	\N	\N
970262	3306	1997-01-05	VYDAJ	VYBER	4700	19982	\N	\N	\N
970263	3306	1997-02-04	VYDAJ	VYBER	4200	22230	\N	\N	\N
970264	3306	1997-03-06	VYDAJ	VYBER	6900	21182	\N	\N	\N
970265	3306	1997-04-05	VYDAJ	VYBER	1800	25833	\N	\N	\N
970266	3306	1997-05-05	VYDAJ	VYBER	4500	21885	\N	\N	\N
970267	3306	1997-06-04	VYDAJ	VYBER	1100	27237	\N	\N	\N
970268	3306	1997-07-04	VYDAJ	VYBER	8500	31159	\N	\N	\N
970269	3306	1997-08-03	VYDAJ	VYBER	8700	28953	\N	\N	\N
970270	3306	1997-09-02	VYDAJ	VYBER	3100	31637	\N	\N	\N
970271	3306	1997-10-02	VYDAJ	VYBER	3100	35028	\N	\N	\N
970272	3306	1997-11-01	VYDAJ	VYBER	4800	36734	\N	\N	\N
970273	3306	1997-12-01	VYDAJ	VYBER	8400	31029	\N	\N	\N
970274	3306	1997-12-31	VYDAJ	VYBER	12800	30672	\N	\N	\N
970275	3306	1998-01-30	VYDAJ	VYBER	4300	23221	\N	\N	\N
970276	3306	1998-03-01	VYDAJ	VYBER	5700	24090	\N	\N	\N
970277	3306	1998-03-31	VYDAJ	VYBER	4500	23147	\N	\N	\N
970278	3306	1998-04-30	VYDAJ	VYBER	9000	20614	\N	\N	\N
970279	3306	1998-05-30	VYDAJ	VYBER	4500	22448	\N	\N	\N
970280	3306	1998-06-29	VYDAJ	VYBER	4200	18417	\N	\N	\N
970281	3306	1998-07-29	VYDAJ	VYBER	1500	19260	\N	\N	\N
970282	3306	1998-08-28	VYDAJ	VYBER	6700	18980	\N	\N	\N
970283	3306	1998-10-27	VYDAJ	VYBER	12600	15329	\N	\N	\N
970284	3306	1998-11-26	VYDAJ	VYBER	6900	14863	\N	\N	\N
970349	3307	1994-03-13	PRIJEM	VKLAD	800	800	\N	\N	\N
970350	3307	1994-10-14	PRIJEM	VKLAD	24548	51108	\N	\N	\N
970351	3307	1994-05-10	PRIJEM	VKLAD	41749	58599	\N	\N	\N
970352	3307	1995-03-17	PRIJEM	VKLAD	8038	36639	\N	\N	\N
970353	3307	1995-11-21	PRIJEM	VKLAD	47968	89176	\N	\N	\N
970354	3307	1996-11-08	PRIJEM	VKLAD	17252	65032	\N	\N	\N
970355	3307	1996-02-25	PRIJEM	VKLAD	46074	93945	\N	\N	\N
970356	3307	1997-12-30	PRIJEM	VKLAD	4826	62921	\N	\N	\N
970357	3307	1997-08-29	PRIJEM	VKLAD	23789	72943	\N	\N	\N
970358	3307	1998-06-20	PRIJEM	VKLAD	34253	58907	\N	\N	\N
970359	3307	1998-01-04	PRIJEM	VKLAD	6569	69727	\N	\N	\N
970362	3307	1994-03-17	PRIJEM	VKLAD	1500	2300	\N	\N	\N
970363	3307	1994-04-16	PRIJEM	VKLAD	1500	15407	\N	\N	\N
970364	3307	1994-05-17	PRIJEM	VKLAD	1500	45299	\N	\N	\N
970365	3307	1994-06-15	PRIJEM	VKLAD	1500	25932	\N	\N	\N
970366	3307	1994-07-16	PRIJEM	VKLAD	1500	26747	\N	\N	\N
970367	3307	1994-08-13	PRIJEM	VKLAD	1500	28348	\N	\N	\N
970368	3307	1994-09-15	PRIJEM	VKLAD	1500	30550	\N	\N	\N
970369	3307	1994-10-14	PRIJEM	VKLAD	1500	52608	\N	\N	\N
970370	3307	1994-11-16	PRIJEM	VKLAD	1500	38822	\N	\N	\N
970371	3307	1994-12-16	PRIJEM	VKLAD	1500	36703	\N	\N	\N
970372	3307	1995-01-17	PRIJEM	VKLAD	1500	29698	\N	\N	\N
970373	3307	1995-02-15	PRIJEM	VKLAD	1500	26008	\N	\N	\N
970374	3307	1995-03-14	PRIJEM	VKLAD	1500	28601	\N	\N	\N
970375	3307	1995-04-17	PRIJEM	VKLAD	1500	35661	\N	\N	\N
970376	3307	1995-05-16	PRIJEM	VKLAD	1500	34403	\N	\N	\N
970377	3307	1995-06-14	PRIJEM	VKLAD	1500	15939	\N	\N	\N
970378	3307	1995-07-14	PRIJEM	VKLAD	1500	25974	\N	\N	\N
970379	3307	1995-08-14	PRIJEM	VKLAD	1500	33965	\N	\N	\N
970380	3307	1995-09-17	PRIJEM	VKLAD	1500	37083	\N	\N	\N
970381	3307	1995-10-14	PRIJEM	VKLAD	1500	35621	\N	\N	\N
970382	3307	1995-11-13	PRIJEM	VKLAD	1500	40658	\N	\N	\N
970383	3307	1995-12-15	PRIJEM	VKLAD	1500	67293	\N	\N	\N
970384	3307	1996-01-14	PRIJEM	VKLAD	1500	47134	\N	\N	\N
970385	3307	1996-02-16	PRIJEM	VKLAD	1500	46471	\N	\N	\N
970386	3307	1996-03-17	PRIJEM	VKLAD	1500	74352	\N	\N	\N
970387	3307	1996-04-16	PRIJEM	VKLAD	1500	61592	\N	\N	\N
970388	3307	1996-05-16	PRIJEM	VKLAD	1500	58066	\N	\N	\N
970389	3307	1996-06-14	PRIJEM	VKLAD	1500	38306	\N	\N	\N
970390	3307	1996-07-15	PRIJEM	VKLAD	1500	40580	\N	\N	\N
970391	3307	1996-08-14	PRIJEM	VKLAD	1500	46084	\N	\N	\N
970392	3307	1996-09-16	PRIJEM	VKLAD	1500	48959	\N	\N	\N
970393	3307	1996-10-16	PRIJEM	VKLAD	1500	49143	\N	\N	\N
970394	3307	1996-11-15	PRIJEM	VKLAD	1500	66532	\N	\N	\N
970395	3307	1996-12-14	PRIJEM	VKLAD	1500	61955	\N	\N	\N
970396	3307	1997-01-14	PRIJEM	VKLAD	1500	49290	\N	\N	\N
970397	3307	1997-02-13	PRIJEM	VKLAD	1500	45726	\N	\N	\N
970398	3307	1997-03-13	PRIJEM	VKLAD	1500	47201	\N	\N	\N
970399	3307	1997-04-16	PRIJEM	VKLAD	1500	48929	\N	\N	\N
970400	3307	1997-05-15	PRIJEM	VKLAD	1500	47762	\N	\N	\N
970401	3307	1997-06-16	PRIJEM	VKLAD	1500	36289	\N	\N	\N
970402	3307	1997-07-15	PRIJEM	VKLAD	1500	42891	\N	\N	\N
970403	3307	1997-08-13	PRIJEM	VKLAD	1500	47754	\N	\N	\N
970404	3307	1997-09-16	PRIJEM	VKLAD	1500	74634	\N	\N	\N
970405	3307	1997-10-15	PRIJEM	VKLAD	1500	62510	\N	\N	\N
970406	3307	1997-11-16	PRIJEM	VKLAD	1500	64051	\N	\N	\N
970407	3307	1997-12-14	PRIJEM	VKLAD	1500	62095	\N	\N	\N
970408	3307	1998-01-13	PRIJEM	VKLAD	1500	68477	\N	\N	\N
970409	3307	1998-02-17	PRIJEM	VKLAD	1500	57624	\N	\N	\N
970410	3307	1998-03-16	PRIJEM	VKLAD	1500	56445	\N	\N	\N
970411	3307	1998-04-16	PRIJEM	VKLAD	1500	49849	\N	\N	\N
970412	3307	1998-05-16	PRIJEM	VKLAD	1500	45980	\N	\N	\N
970413	3307	1998-06-13	PRIJEM	VKLAD	1500	23254	\N	\N	\N
970414	3307	1998-07-17	PRIJEM	VKLAD	1500	27344	\N	\N	\N
970415	3307	1998-08-15	PRIJEM	VKLAD	1500	36201	\N	\N	\N
970416	3307	1998-09-13	PRIJEM	VKLAD	1500	48553	\N	\N	\N
970417	3307	1998-10-16	PRIJEM	VKLAD	1500	49232	\N	\N	\N
970418	3307	1998-11-14	PRIJEM	VKLAD	1500	51315	\N	\N	\N
970419	3307	1998-12-14	PRIJEM	VKLAD	1500	54310	\N	\N	\N
970422	3307	1994-03-18	PRIJEM	VKLAD	1400	3700	\N	\N	\N
970423	3307	1994-04-18	PRIJEM	VKLAD	1400	16807	\N	\N	\N
970424	3307	1994-05-18	PRIJEM	VKLAD	1400	46699	\N	\N	\N
970425	3307	1994-06-18	PRIJEM	VKLAD	1400	27332	\N	\N	\N
970426	3307	1994-07-18	PRIJEM	VKLAD	1400	28147	\N	\N	\N
970427	3307	1994-08-18	PRIJEM	VKLAD	1400	28048	\N	\N	\N
970428	3307	1994-09-18	PRIJEM	VKLAD	1400	31950	\N	\N	\N
970429	3307	1994-10-18	PRIJEM	VKLAD	1400	54008	\N	\N	\N
970430	3307	1994-11-18	PRIJEM	VKLAD	1400	40222	\N	\N	\N
970431	3307	1994-12-18	PRIJEM	VKLAD	1400	38103	\N	\N	\N
970432	3307	1995-01-18	PRIJEM	VKLAD	1400	31098	\N	\N	\N
970433	3307	1995-02-18	PRIJEM	VKLAD	1400	27408	\N	\N	\N
970434	3307	1995-03-18	PRIJEM	VKLAD	1400	38039	\N	\N	\N
970435	3307	1995-04-18	PRIJEM	VKLAD	1400	37061	\N	\N	\N
970436	3307	1995-05-18	PRIJEM	VKLAD	1400	35803	\N	\N	\N
970437	3307	1995-06-18	PRIJEM	VKLAD	1400	17339	\N	\N	\N
970438	3307	1995-07-18	PRIJEM	VKLAD	1400	27374	\N	\N	\N
970439	3307	1995-08-18	PRIJEM	VKLAD	1400	35365	\N	\N	\N
970440	3307	1995-09-18	PRIJEM	VKLAD	1400	38483	\N	\N	\N
970441	3307	1995-10-18	PRIJEM	VKLAD	1400	37021	\N	\N	\N
970442	3307	1995-11-18	PRIJEM	VKLAD	1400	42058	\N	\N	\N
970443	3307	1995-12-18	PRIJEM	VKLAD	1400	67443	\N	\N	\N
970444	3307	1996-01-18	PRIJEM	VKLAD	1400	48534	\N	\N	\N
970445	3307	1996-02-18	PRIJEM	VKLAD	1400	47871	\N	\N	\N
970446	3307	1996-03-18	PRIJEM	VKLAD	1400	75752	\N	\N	\N
970447	3307	1996-04-18	PRIJEM	VKLAD	1400	62992	\N	\N	\N
970448	3307	1996-05-18	PRIJEM	VKLAD	1400	59466	\N	\N	\N
970449	3307	1996-06-18	PRIJEM	VKLAD	1400	39706	\N	\N	\N
970450	3307	1996-07-18	PRIJEM	VKLAD	1400	41980	\N	\N	\N
970451	3307	1996-08-18	PRIJEM	VKLAD	1400	47484	\N	\N	\N
970452	3307	1996-09-18	PRIJEM	VKLAD	1400	50359	\N	\N	\N
970453	3307	1996-10-18	PRIJEM	VKLAD	1400	50543	\N	\N	\N
970454	3307	1996-11-18	PRIJEM	VKLAD	1400	67932	\N	\N	\N
970455	3307	1996-12-18	PRIJEM	VKLAD	1400	63355	\N	\N	\N
970456	3307	1997-01-18	PRIJEM	VKLAD	1400	49690	\N	\N	\N
970457	3307	1997-02-18	PRIJEM	VKLAD	1400	47126	\N	\N	\N
970458	3307	1997-03-18	PRIJEM	VKLAD	1400	48601	\N	\N	\N
970459	3307	1997-04-18	PRIJEM	VKLAD	1400	49479	\N	\N	\N
970460	3307	1997-05-18	PRIJEM	VKLAD	1400	49162	\N	\N	\N
970461	3307	1997-06-18	PRIJEM	VKLAD	1400	37689	\N	\N	\N
970462	3307	1997-07-18	PRIJEM	VKLAD	1400	44291	\N	\N	\N
970463	3307	1997-08-18	PRIJEM	VKLAD	1400	49154	\N	\N	\N
970464	3307	1997-09-18	PRIJEM	VKLAD	1400	76034	\N	\N	\N
970465	3307	1997-10-18	PRIJEM	VKLAD	1400	63910	\N	\N	\N
970466	3307	1997-11-18	PRIJEM	VKLAD	1400	65451	\N	\N	\N
970467	3307	1997-12-18	PRIJEM	VKLAD	1400	63495	\N	\N	\N
970468	3307	1998-01-18	PRIJEM	VKLAD	1400	68327	\N	\N	\N
970469	3307	1998-02-18	PRIJEM	VKLAD	1400	59024	\N	\N	\N
970470	3307	1998-03-18	PRIJEM	VKLAD	1400	57845	\N	\N	\N
970471	3307	1998-04-18	PRIJEM	VKLAD	1400	51249	\N	\N	\N
970472	3307	1998-05-18	PRIJEM	VKLAD	1400	47380	\N	\N	\N
970473	3307	1998-06-18	PRIJEM	VKLAD	1400	24654	\N	\N	\N
970474	3307	1998-07-18	PRIJEM	VKLAD	1400	28744	\N	\N	\N
970475	3307	1998-08-18	PRIJEM	VKLAD	1400	37601	\N	\N	\N
970476	3307	1998-09-18	PRIJEM	VKLAD	1400	49953	\N	\N	\N
970477	3307	1998-10-18	PRIJEM	VKLAD	1400	50632	\N	\N	\N
970478	3307	1998-11-18	PRIJEM	VKLAD	1400	52615	\N	\N	\N
970479	3307	1998-12-18	PRIJEM	VKLAD	1400	52310	\N	\N	\N
970480	3307	1994-06-07	VYDAJ	VYBER	5900	40932	\N	\N	\N
970481	3307	1995-06-12	VYDAJ	VYBER	19800	14439	\N	\N	\N
970482	3307	1996-06-11	VYDAJ	VYBER	17800	36806	\N	\N	\N
970483	3307	1997-06-14	VYDAJ	VYBER	6300	34789	\N	\N	\N
970484	3307	1998-06-08	VYDAJ	VYBER	25300	21754	\N	\N	\N
970486	3307	1995-01-22	VYDAJ	VYBER	5600	25498	\N	\N	\N
970487	3307	1996-01-09	VYDAJ	VYBER	7100	45634	\N	\N	\N
970488	3307	1997-01-02	VYDAJ	VYBER	4500	49540	\N	\N	\N
970489	3307	1998-01-05	VYDAJ	VYBER	1700	68027	\N	\N	\N
970490	3307	1994-06-08	VYDAJ	VYBER	16500	24432	\N	\N	\N
970494	3307	1998-06-23	VYDAJ	VYBER	27200	25707	\N	\N	\N
970495	3307	1994-12-20	VYDAJ	VYBER	1800	36303	\N	\N	\N
970496	3307	1995-12-10	VYDAJ	VYBER	1300	65793	\N	\N	\N
970497	3307	1996-12-23	VYDAJ	VYBER	2000	61355	\N	\N	\N
970498	3307	1997-12-13	VYDAJ	VYBER	1000	60595	\N	\N	\N
970499	3307	1998-12-22	VYDAJ	VYBER	1300	51010	\N	\N	\N
970506	3307	1995-01-24	VYDAJ	VYBER	350	24448	\N	\N	\N
970507	3307	1995-01-13	VYDAJ	VYBER	1250	28448	\N	\N	\N
970508	3307	1995-01-13	VYDAJ	VYBER	1050	29698	\N	\N	\N
970509	3307	1995-01-23	VYDAJ	VYBER	700	24798	\N	\N	\N
970510	3307	1995-01-12	VYDAJ	VYBER	1300	30748	\N	\N	\N
970511	3307	1995-01-14	VYDAJ	VYBER	250	28198	\N	\N	\N
970512	3307	1996-01-18	VYDAJ	VYBER	650	47884	\N	\N	\N
970513	3307	1996-01-29	VYDAJ	VYBER	1050	44484	\N	\N	\N
970514	3307	1996-01-01	VYDAJ	VYBER	1100	66634	\N	\N	\N
970515	3307	1996-01-30	VYDAJ	VYBER	1300	43184	\N	\N	\N
970516	3307	1996-01-27	VYDAJ	VYBER	1300	45534	\N	\N	\N
970517	3307	1996-01-22	VYDAJ	VYBER	1050	46834	\N	\N	\N
970518	3307	1997-01-22	VYDAJ	VYBER	900	48790	\N	\N	\N
970519	3307	1997-01-29	VYDAJ	VYBER	1350	45140	\N	\N	\N
970520	3307	1997-01-03	VYDAJ	VYBER	400	49140	\N	\N	\N
970521	3307	1997-01-02	VYDAJ	VYBER	950	54040	\N	\N	\N
970522	3307	1997-01-05	VYDAJ	VYBER	1350	47790	\N	\N	\N
970523	3307	1997-01-16	VYDAJ	VYBER	1000	48290	\N	\N	\N
970524	3307	1998-01-27	VYDAJ	VYBER	350	57777	\N	\N	\N
970525	3307	1998-01-14	VYDAJ	VYBER	1150	67327	\N	\N	\N
970526	3307	1998-01-06	VYDAJ	VYBER	1050	66977	\N	\N	\N
970527	3307	1998-01-21	VYDAJ	VYBER	1200	66827	\N	\N	\N
970528	3307	1998-01-15	VYDAJ	VYBER	400	66927	\N	\N	\N
970529	3307	1998-01-18	VYDAJ	VYBER	300	68027	\N	\N	\N
970530	3307	1994-10-27	VYDAJ	VYBER	450	53558	\N	\N	\N
970531	3307	1994-08-16	VYDAJ	VYBER	1700	26648	\N	\N	\N
970532	3307	1994-09-26	VYDAJ	VYBER	1850	30100	\N	\N	\N
970534	3307	1994-10-05	VYDAJ	VYBER	2150	28060	\N	\N	\N
970537	3307	1995-11-19	VYDAJ	VYBER	850	41208	\N	\N	\N
970538	3307	1995-10-07	VYDAJ	VYBER	1000	34121	\N	\N	\N
970539	3307	1995-02-10	VYDAJ	VYBER	2450	24508	\N	\N	\N
970540	3307	1995-07-06	VYDAJ	VYBER	1700	24474	\N	\N	\N
970541	3307	1995-12-17	VYDAJ	VYBER	1250	66043	\N	\N	\N
970542	3307	1995-07-06	VYDAJ	VYBER	350	26174	\N	\N	\N
970543	3307	1995-01-08	VYDAJ	VYBER	800	32048	\N	\N	\N
970544	3307	1996-08-18	VYDAJ	VYBER	1200	46284	\N	\N	\N
970545	3307	1996-07-18	VYDAJ	VYBER	1050	40930	\N	\N	\N
970546	3307	1996-10-26	VYDAJ	VYBER	750	49793	\N	\N	\N
970547	3307	1996-09-19	VYDAJ	VYBER	1900	48459	\N	\N	\N
970548	3307	1996-06-23	VYDAJ	VYBER	1500	38206	\N	\N	\N
970549	3307	1997-02-07	VYDAJ	VYBER	1100	44226	\N	\N	\N
970550	3307	1997-03-19	VYDAJ	VYBER	250	48351	\N	\N	\N
970551	3307	1997-06-20	VYDAJ	VYBER	350	37339	\N	\N	\N
970552	3307	1997-04-17	VYDAJ	VYBER	850	48079	\N	\N	\N
970553	3307	1997-06-09	VYDAJ	VYBER	2050	41089	\N	\N	\N
970554	3307	1998-03-25	VYDAJ	VYBER	1800	48145	\N	\N	\N
970555	3307	1998-02-10	VYDAJ	VYBER	1900	56124	\N	\N	\N
970556	3307	1998-12-23	VYDAJ	VYBER	1200	49810	\N	\N	\N
970557	3307	1998-05-07	VYDAJ	VYBER	950	44480	\N	\N	\N
970558	3307	1998-08-01	VYDAJ	VYBER	1750	34701	\N	\N	\N
970564	3307	1994-05-31	VYDAJ	VYBER	15	46832	SLUZBY	\N	\N
970565	3307	1994-06-30	VYDAJ	VYBER	15	27447	SLUZBY	\N	\N
970566	3307	1994-07-31	VYDAJ	VYBER	15	28248	SLUZBY	\N	\N
970567	3307	1994-08-31	VYDAJ	VYBER	15	28150	SLUZBY	\N	\N
970568	3307	1994-09-30	VYDAJ	VYBER	15	30210	SLUZBY	\N	\N
970569	3307	1994-10-31	VYDAJ	VYBER	15	53722	SLUZBY	\N	\N
970570	3307	1994-11-30	VYDAJ	VYBER	15	40403	SLUZBY	\N	\N
970571	3307	1994-12-31	VYDAJ	VYBER	15	36448	SLUZBY	\N	\N
970572	3307	1995-01-31	VYDAJ	VYBER	15	24558	SLUZBY	\N	\N
970573	3307	1995-02-28	VYDAJ	VYBER	15	27501	SLUZBY	\N	\N
970574	3307	1995-03-31	VYDAJ	VYBER	15	38161	SLUZBY	\N	\N
970575	3307	1995-04-30	VYDAJ	VYBER	15	37203	SLUZBY	\N	\N
970576	3307	1995-05-31	VYDAJ	VYBER	15	35939	SLUZBY	\N	\N
970577	3307	1995-06-30	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
970578	3307	1995-07-31	VYDAJ	VYBER	15	27465	SLUZBY	\N	\N
970579	3307	1995-08-31	VYDAJ	VYBER	15	35483	SLUZBY	\N	\N
970580	3307	1995-09-30	VYDAJ	VYBER	15	38621	SLUZBY	\N	\N
970581	3307	1995-10-31	VYDAJ	VYBER	15	37158	SLUZBY	\N	\N
970582	3307	1995-11-30	VYDAJ	VYBER	15	89393	SLUZBY	\N	\N
970583	3307	1995-12-31	VYDAJ	VYBER	15	67734	SLUZBY	\N	\N
970584	3307	1996-01-31	VYDAJ	VYBER	15	43371	SLUZBY	\N	\N
970585	3307	1996-02-29	VYDAJ	VYBER	15	94152	SLUZBY	\N	\N
970586	3307	1996-03-31	VYDAJ	VYBER	15	76092	SLUZBY	\N	\N
970587	3307	1996-04-30	VYDAJ	VYBER	15	63266	SLUZBY	\N	\N
970588	3307	1996-05-31	VYDAJ	VYBER	15	54606	SLUZBY	\N	\N
970589	3307	1996-06-30	VYDAJ	VYBER	15	39080	SLUZBY	\N	\N
970590	3307	1996-07-31	VYDAJ	VYBER	15	44584	SLUZBY	\N	\N
970591	3307	1996-08-31	VYDAJ	VYBER	15	47459	SLUZBY	\N	\N
970592	3307	1996-09-30	VYDAJ	VYBER	15	47643	SLUZBY	\N	\N
970593	3307	1996-10-31	VYDAJ	VYBER	15	47780	SLUZBY	\N	\N
970594	3307	1996-11-30	VYDAJ	VYBER	15	60455	SLUZBY	\N	\N
970595	3307	1996-12-31	VYDAJ	VYBER	15	54990	SLUZBY	\N	\N
970596	3307	1997-01-31	VYDAJ	VYBER	15	45326	SLUZBY	\N	\N
970597	3307	1997-02-28	VYDAJ	VYBER	15	45701	SLUZBY	\N	\N
970598	3307	1997-03-31	VYDAJ	VYBER	15	47429	SLUZBY	\N	\N
970599	3307	1997-04-30	VYDAJ	VYBER	15	46262	SLUZBY	\N	\N
970600	3307	1997-05-31	VYDAJ	VYBER	15	43139	SLUZBY	\N	\N
970601	3307	1997-06-30	VYDAJ	VYBER	15	41391	SLUZBY	\N	\N
970602	3307	1997-07-31	VYDAJ	VYBER	15	46254	SLUZBY	\N	\N
970603	3307	1997-08-31	VYDAJ	VYBER	15	73134	SLUZBY	\N	\N
970604	3307	1997-09-30	VYDAJ	VYBER	15	61010	SLUZBY	\N	\N
970605	3307	1997-10-31	VYDAJ	VYBER	15	62551	SLUZBY	\N	\N
970606	3307	1997-11-30	VYDAJ	VYBER	15	61595	SLUZBY	\N	\N
970607	3307	1997-12-31	VYDAJ	VYBER	15	63158	SLUZBY	\N	\N
970608	3307	1998-01-31	VYDAJ	VYBER	15	58024	SLUZBY	\N	\N
970609	3307	1998-02-28	VYDAJ	VYBER	15	54945	SLUZBY	\N	\N
970610	3307	1998-03-31	VYDAJ	VYBER	15	48349	SLUZBY	\N	\N
970611	3307	1998-04-30	VYDAJ	VYBER	15	45430	SLUZBY	\N	\N
970612	3307	1998-05-31	VYDAJ	VYBER	15	47054	SLUZBY	\N	\N
970613	3307	1998-06-30	VYDAJ	VYBER	15	25844	SLUZBY	\N	\N
970614	3307	1998-07-31	VYDAJ	VYBER	15	36451	SLUZBY	\N	\N
970615	3307	1998-08-31	VYDAJ	VYBER	15	47053	SLUZBY	\N	\N
970616	3307	1998-09-30	VYDAJ	VYBER	15	47732	SLUZBY	\N	\N
970617	3307	1998-10-31	VYDAJ	VYBER	15	49815	SLUZBY	\N	\N
970618	3307	1998-11-30	VYDAJ	VYBER	15	52810	SLUZBY	\N	\N
970619	3307	1994-04-12	PRIJEM	VKLAD	10200	13907	\N	\N	\N
970620	3307	1994-05-12	VYDAJ	VYBER	14800	43799	\N	\N	\N
970621	3307	1994-07-11	VYDAJ	VYBER	2200	25247	\N	\N	\N
970622	3307	1994-08-10	VYDAJ	VYBER	1400	26848	\N	\N	\N
970623	3307	1994-09-09	PRIJEM	VKLAD	900	29050	\N	\N	\N
970624	3307	1994-10-09	VYDAJ	VYBER	1500	26560	\N	\N	\N
970625	3307	1994-11-08	VYDAJ	VYBER	16400	37322	\N	\N	\N
970626	3307	1994-12-08	VYDAJ	VYBER	5200	35203	\N	\N	\N
970627	3307	1995-01-07	VYDAJ	VYBER	3600	32848	\N	\N	\N
970628	3307	1995-02-06	PRIJEM	VKLAD	2400	26958	\N	\N	\N
970629	3307	1995-03-08	VYDAJ	VYBER	400	27101	\N	\N	\N
970630	3307	1995-04-07	VYDAJ	VYBER	4000	34161	\N	\N	\N
970631	3307	1995-05-07	VYDAJ	VYBER	4300	32903	\N	\N	\N
970632	3307	1995-06-06	VYDAJ	VYBER	1700	34239	\N	\N	\N
970633	3307	1995-07-06	PRIJEM	VKLAD	9100	26524	\N	\N	\N
970634	3307	1995-08-05	PRIJEM	VKLAD	5000	32465	\N	\N	\N
970635	3307	1995-09-04	PRIJEM	VKLAD	100	35583	\N	\N	\N
970636	3307	1995-10-04	VYDAJ	VYBER	3500	35121	\N	\N	\N
970637	3307	1995-11-03	PRIJEM	VKLAD	2000	39158	\N	\N	\N
970638	3307	1995-12-03	VYDAJ	VYBER	22300	67093	\N	\N	\N
970639	3307	1996-01-02	VYDAJ	VYBER	13900	52734	\N	\N	\N
970640	3307	1996-02-01	PRIJEM	VKLAD	1600	44971	\N	\N	\N
970641	3307	1996-03-02	VYDAJ	VYBER	21300	72852	\N	\N	\N
970642	3307	1996-04-01	VYDAJ	VYBER	16000	60092	\N	\N	\N
970643	3307	1996-05-01	VYDAJ	VYBER	6700	56566	\N	\N	\N
970644	3307	1996-05-31	VYDAJ	VYBER	5100	54620	\N	\N	\N
970645	3307	1996-06-30	PRIJEM	VKLAD	700	39095	\N	\N	\N
970646	3307	1996-07-30	PRIJEM	VKLAD	3500	44430	\N	\N	\N
970647	3307	1996-08-29	PRIJEM	VKLAD	1000	47284	\N	\N	\N
970648	3307	1996-09-28	VYDAJ	VYBER	1000	47459	\N	\N	\N
970649	3307	1996-10-28	VYDAJ	VYBER	2200	47593	\N	\N	\N
970650	3307	1996-11-27	VYDAJ	VYBER	7700	60232	\N	\N	\N
970651	3307	1996-12-27	VYDAJ	VYBER	6600	54755	\N	\N	\N
970652	3307	1997-01-26	VYDAJ	VYBER	2300	46490	\N	\N	\N
970653	3307	1997-02-25	VYDAJ	VYBER	1600	45526	\N	\N	\N
970654	3307	1997-03-27	VYDAJ	VYBER	1100	47251	\N	\N	\N
970655	3307	1997-04-26	VYDAJ	VYBER	3400	46079	\N	\N	\N
970656	3307	1997-05-26	VYDAJ	VYBER	6200	42962	\N	\N	\N
970657	3307	1997-06-25	PRIJEM	VKLAD	3900	41239	\N	\N	\N
970658	3307	1997-07-25	PRIJEM	VKLAD	1800	46091	\N	\N	\N
970659	3307	1997-09-23	VYDAJ	VYBER	15300	60734	\N	\N	\N
970660	3307	1997-10-23	VYDAJ	VYBER	1600	62310	\N	\N	\N
970661	3307	1997-11-22	VYDAJ	VYBER	4100	61351	\N	\N	\N
970662	3307	1997-12-22	VYDAJ	VYBER	5400	58095	\N	\N	\N
970663	3307	1998-01-21	VYDAJ	VYBER	8700	58127	\N	\N	\N
970664	3307	1998-02-20	VYDAJ	VYBER	4300	54724	\N	\N	\N
970665	3307	1998-03-22	VYDAJ	VYBER	7900	49945	\N	\N	\N
970666	3307	1998-04-21	VYDAJ	VYBER	6000	45249	\N	\N	\N
970667	3307	1998-05-21	VYDAJ	VYBER	500	46880	\N	\N	\N
970668	3307	1998-06-20	VYDAJ	VYBER	6000	52907	\N	\N	\N
970669	3307	1998-07-20	PRIJEM	VKLAD	7600	36344	\N	\N	\N
970670	3307	1998-08-19	PRIJEM	VKLAD	9300	46901	\N	\N	\N
970671	3307	1998-09-18	VYDAJ	VYBER	2400	47553	\N	\N	\N
970672	3307	1998-10-18	VYDAJ	VYBER	1000	49632	\N	\N	\N
970673	3307	1998-11-17	VYDAJ	VYBER	100	51215	\N	\N	\N
970674	3307	1998-12-17	VYDAJ	VYBER	3400	50910	\N	\N	\N
970733	3308	1996-04-02	PRIJEM	VKLAD	400	400	\N	\N	\N
970737	3308	1996-04-09	PRIJEM	VKLAD	14933	15333	\N	\N	\N
970738	3308	1996-05-09	PRIJEM	VKLAD	14933	33413	\N	\N	\N
970739	3308	1996-06-09	PRIJEM	VKLAD	22400	51932	\N	\N	\N
970740	3308	1996-07-09	PRIJEM	VKLAD	14933	53661	\N	\N	\N
970741	3308	1996-08-09	PRIJEM	VKLAD	14933	51613	\N	\N	\N
970742	3308	1996-09-09	PRIJEM	VKLAD	14933	50051	\N	\N	\N
970743	3308	1996-10-09	PRIJEM	VKLAD	14933	47715	\N	\N	\N
970744	3308	1996-11-09	PRIJEM	VKLAD	14933	45831	\N	\N	\N
970745	3308	1996-12-09	PRIJEM	VKLAD	22400	56646	\N	\N	\N
970746	3308	1997-01-09	PRIJEM	VKLAD	14933	43955	\N	\N	\N
970747	3308	1997-02-09	PRIJEM	VKLAD	14933	38590	\N	\N	\N
970748	3308	1997-03-09	PRIJEM	VKLAD	14933	40719	\N	\N	\N
970749	3308	1997-04-09	PRIJEM	VKLAD	14933	41845	\N	\N	\N
970750	3308	1997-05-09	PRIJEM	VKLAD	14933	37573	\N	\N	\N
970751	3308	1997-06-09	PRIJEM	VKLAD	22400	41950	\N	\N	\N
970752	3308	1997-07-09	PRIJEM	VKLAD	14933	33952	\N	\N	\N
970753	3308	1997-08-09	PRIJEM	VKLAD	14933	30517	\N	\N	\N
970754	3308	1997-09-09	PRIJEM	VKLAD	14933	42279	\N	\N	\N
970755	3308	1997-10-09	PRIJEM	VKLAD	14933	32601	\N	\N	\N
970756	3308	1997-11-09	PRIJEM	VKLAD	14933	29306	\N	\N	\N
970757	3308	1997-12-09	PRIJEM	VKLAD	22400	51752	\N	\N	\N
970758	3308	1998-01-09	PRIJEM	VKLAD	14933	32510	\N	\N	\N
970759	3308	1998-02-09	PRIJEM	VKLAD	14933	29025	\N	\N	\N
970760	3308	1998-03-09	PRIJEM	VKLAD	14933	28301	\N	\N	\N
970761	3308	1998-04-09	PRIJEM	VKLAD	14933	39830	\N	\N	\N
970762	3308	1998-05-09	PRIJEM	VKLAD	14933	29060	\N	\N	\N
970763	3308	1998-06-09	PRIJEM	VKLAD	22400	51512	\N	\N	\N
970764	3308	1998-07-09	PRIJEM	VKLAD	14933	34538	\N	\N	\N
970765	3308	1998-08-09	PRIJEM	VKLAD	14933	28296	\N	\N	\N
970766	3308	1998-09-09	PRIJEM	VKLAD	14933	31880	\N	\N	\N
970767	3308	1998-10-09	PRIJEM	VKLAD	14933	46870	\N	\N	\N
970768	3308	1998-11-09	PRIJEM	VKLAD	14933	28389	\N	\N	\N
970769	3308	1998-12-09	PRIJEM	VKLAD	22400	48591	\N	\N	\N
970771	3308	1997-06-25	VYDAJ	VYBER	5600	36350	\N	\N	\N
970774	3308	1997-01-15	VYDAJ	VYBER	5120	35475	\N	\N	\N
970775	3308	1998-01-15	VYDAJ	VYBER	11520	14030	\N	\N	\N
970776	3308	1996-12-18	VYDAJ	VYBER	2560	54086	\N	\N	\N
970777	3308	1997-12-14	VYDAJ	VYBER	2720	49032	\N	\N	\N
970778	3308	1998-12-05	VYDAJ	VYBER	2240	26191	\N	\N	\N
970785	3308	1997-01-04	VYDAJ	VYBER	2520	29022	\N	\N	\N
970786	3308	1997-01-03	VYDAJ	VYBER	2760	31542	\N	\N	\N
970787	3308	1997-01-10	VYDAJ	VYBER	3360	40595	\N	\N	\N
970788	3308	1997-01-03	VYDAJ	VYBER	1440	34302	\N	\N	\N
970789	3308	1997-01-24	VYDAJ	VYBER	840	32835	\N	\N	\N
970790	3308	1997-01-17	VYDAJ	VYBER	1800	33675	\N	\N	\N
970792	3308	1998-01-11	VYDAJ	VYBER	840	28670	\N	\N	\N
970793	3308	1998-01-11	VYDAJ	VYBER	3000	29510	\N	\N	\N
970794	3308	1998-01-02	VYDAJ	VYBER	3240	20817	\N	\N	\N
970795	3308	1998-01-05	VYDAJ	VYBER	3240	17577	\N	\N	\N
970796	3308	1998-01-13	VYDAJ	VYBER	3120	25550	\N	\N	\N
970799	3308	1996-08-25	VYDAJ	VYBER	4440	47173	\N	\N	\N
970802	3308	1996-10-15	VYDAJ	VYBER	3360	44355	\N	\N	\N
970803	3308	1997-10-14	VYDAJ	VYBER	3000	29601	\N	\N	\N
970804	3308	1997-07-09	VYDAJ	VYBER	1560	32392	\N	\N	\N
970805	3308	1997-08-20	VYDAJ	VYBER	3240	27277	\N	\N	\N
970806	3308	1997-02-11	VYDAJ	VYBER	720	37870	\N	\N	\N
970808	3308	1998-07-16	VYDAJ	VYBER	2640	31898	\N	\N	\N
970809	3308	1998-03-09	VYDAJ	VYBER	3480	24821	\N	\N	\N
970811	3308	1998-08-14	VYDAJ	VYBER	5640	22656	\N	\N	\N
970813	3308	1998-04-30	VYDAJ	VYBER	1680	14127	\N	\N	\N
970814	3308	1998-08-17	VYDAJ	VYBER	5760	16896	\N	\N	\N
970823	3308	1996-08-31	VYDAJ	VYBER	15	35118	SLUZBY	\N	\N
970824	3308	1996-09-30	VYDAJ	VYBER	15	32782	SLUZBY	\N	\N
970825	3308	1996-10-31	VYDAJ	VYBER	15	30898	SLUZBY	\N	\N
970826	3308	1996-11-30	VYDAJ	VYBER	15	34247	SLUZBY	\N	\N
970827	3308	1996-12-31	VYDAJ	VYBER	15	35742	SLUZBY	\N	\N
970828	3308	1997-01-31	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
970829	3308	1997-02-28	VYDAJ	VYBER	15	25786	SLUZBY	\N	\N
970830	3308	1997-03-31	VYDAJ	VYBER	15	26912	SLUZBY	\N	\N
970831	3308	1997-04-30	VYDAJ	VYBER	15	22640	SLUZBY	\N	\N
970832	3308	1997-05-31	VYDAJ	VYBER	15	19551	SLUZBY	\N	\N
970833	3308	1997-06-30	VYDAJ	VYBER	15	19019	SLUZBY	\N	\N
970834	3308	1997-07-31	VYDAJ	VYBER	15	15584	SLUZBY	\N	\N
970835	3308	1997-08-31	VYDAJ	VYBER	15	27346	SLUZBY	\N	\N
970836	3308	1997-09-30	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
970837	3308	1997-10-31	VYDAJ	VYBER	15	14373	SLUZBY	\N	\N
970838	3308	1997-11-30	VYDAJ	VYBER	15	29353	SLUZBY	\N	\N
970839	3308	1997-12-31	VYDAJ	VYBER	15	24057	SLUZBY	\N	\N
970840	3308	1998-01-31	VYDAJ	VYBER	15	14092	SLUZBY	\N	\N
970841	3308	1998-02-28	VYDAJ	VYBER	15	13368	SLUZBY	\N	\N
970842	3308	1998-03-31	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
970843	3308	1998-04-30	VYDAJ	VYBER	15	15807	SLUZBY	\N	\N
970844	3308	1998-05-31	VYDAJ	VYBER	15	29113	SLUZBY	\N	\N
970845	3308	1998-06-30	VYDAJ	VYBER	15	19605	SLUZBY	\N	\N
970846	3308	1998-07-31	VYDAJ	VYBER	15	13363	SLUZBY	\N	\N
970847	3308	1998-08-31	VYDAJ	VYBER	15	16947	SLUZBY	\N	\N
970848	3308	1998-09-30	VYDAJ	VYBER	15	31937	SLUZBY	\N	\N
970849	3308	1998-10-31	VYDAJ	VYBER	15	13456	SLUZBY	\N	\N
970850	3308	1998-11-30	VYDAJ	VYBER	15	28431	SLUZBY	\N	\N
970851	3308	1996-05-02	PRIJEM	VKLAD	3100	18480	\N	\N	\N
970852	3308	1996-06-01	VYDAJ	VYBER	4000	29533	\N	\N	\N
970853	3308	1996-07-01	VYDAJ	VYBER	13400	38728	\N	\N	\N
970854	3308	1996-07-31	VYDAJ	VYBER	17200	36680	\N	\N	\N
970855	3308	1996-08-30	VYDAJ	VYBER	12200	34973	\N	\N	\N
970856	3308	1996-09-29	VYDAJ	VYBER	17400	32651	\N	\N	\N
970857	3308	1996-10-29	VYDAJ	VYBER	13600	30755	\N	\N	\N
970858	3308	1996-11-28	VYDAJ	VYBER	11700	34131	\N	\N	\N
970859	3308	1996-12-28	VYDAJ	VYBER	18500	35586	\N	\N	\N
970860	3308	1997-01-27	VYDAJ	VYBER	9300	23535	\N	\N	\N
970861	3308	1997-02-26	VYDAJ	VYBER	12200	25670	\N	\N	\N
970862	3308	1997-03-28	VYDAJ	VYBER	13900	26819	\N	\N	\N
970863	3308	1997-04-27	VYDAJ	VYBER	19300	22545	\N	\N	\N
970864	3308	1997-05-27	VYDAJ	VYBER	18100	19473	\N	\N	\N
970865	3308	1997-06-26	VYDAJ	VYBER	17400	18950	\N	\N	\N
970866	3308	1997-07-26	VYDAJ	VYBER	16900	15492	\N	\N	\N
970867	3308	1997-09-24	VYDAJ	VYBER	24700	17579	\N	\N	\N
970868	3308	1997-10-24	VYDAJ	VYBER	15300	14301	\N	\N	\N
970869	3308	1997-12-23	VYDAJ	VYBER	25100	23932	\N	\N	\N
970870	3308	1998-02-21	VYDAJ	VYBER	15700	13325	\N	\N	\N
970871	3308	1998-04-22	VYDAJ	VYBER	24100	15730	\N	\N	\N
970872	3308	1998-06-21	VYDAJ	VYBER	32000	19512	\N	\N	\N
970873	3308	1998-07-21	VYDAJ	VYBER	18600	13298	\N	\N	\N
970874	3308	1998-10-19	VYDAJ	VYBER	33500	13370	\N	\N	\N
970908	3309	1993-11-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
970920	3309	1993-12-07	PRIJEM	VKLAD	22954	24054	\N	\N	\N
970921	3309	1994-01-07	PRIJEM	VKLAD	15303	38795	\N	\N	\N
970922	3309	1994-02-07	PRIJEM	VKLAD	15303	49214	\N	\N	\N
970923	3309	1994-03-07	PRIJEM	VKLAD	15303	54366	\N	\N	\N
970924	3309	1994-04-07	PRIJEM	VKLAD	15303	56835	\N	\N	\N
970925	3309	1994-05-07	PRIJEM	VKLAD	15303	50054	\N	\N	\N
970926	3309	1994-06-07	PRIJEM	VKLAD	22954	50301	\N	\N	\N
970927	3309	1994-07-07	PRIJEM	VKLAD	15303	46098	\N	\N	\N
970928	3309	1994-08-07	PRIJEM	VKLAD	15303	48289	\N	\N	\N
970929	3309	1994-09-07	PRIJEM	VKLAD	15303	49883	\N	\N	\N
970930	3309	1994-10-07	PRIJEM	VKLAD	15303	49380	\N	\N	\N
970931	3309	1994-11-07	PRIJEM	VKLAD	15303	43561	\N	\N	\N
970932	3309	1994-12-07	PRIJEM	VKLAD	22954	53085	\N	\N	\N
970933	3309	1995-01-07	PRIJEM	VKLAD	15303	41271	\N	\N	\N
970934	3309	1995-02-07	PRIJEM	VKLAD	15303	36731	\N	\N	\N
970935	3309	1995-03-07	PRIJEM	VKLAD	15303	43492	\N	\N	\N
970936	3309	1995-04-07	PRIJEM	VKLAD	15303	44463	\N	\N	\N
970937	3309	1995-05-07	PRIJEM	VKLAD	15303	47442	\N	\N	\N
970938	3309	1995-06-07	PRIJEM	VKLAD	22954	55178	\N	\N	\N
970939	3309	1995-07-07	PRIJEM	VKLAD	15303	51377	\N	\N	\N
970940	3309	1995-08-07	PRIJEM	VKLAD	15303	49371	\N	\N	\N
970941	3309	1995-09-07	PRIJEM	VKLAD	15303	46557	\N	\N	\N
970942	3309	1995-10-07	PRIJEM	VKLAD	15303	46032	\N	\N	\N
970943	3309	1995-11-07	PRIJEM	VKLAD	15303	43205	\N	\N	\N
970944	3309	1995-12-07	PRIJEM	VKLAD	22954	45517	\N	\N	\N
970945	3309	1996-01-07	PRIJEM	VKLAD	15303	41375	\N	\N	\N
970946	3309	1996-02-07	PRIJEM	VKLAD	15303	29398	\N	\N	\N
970947	3309	1996-03-07	PRIJEM	VKLAD	15303	36122	\N	\N	\N
970948	3309	1996-04-07	PRIJEM	VKLAD	15303	37259	\N	\N	\N
970949	3309	1996-05-07	PRIJEM	VKLAD	15303	36297	\N	\N	\N
970950	3309	1996-06-07	PRIJEM	VKLAD	22954	40075	\N	\N	\N
970951	3309	1996-07-07	PRIJEM	VKLAD	15303	29688	\N	\N	\N
970952	3309	1996-08-07	PRIJEM	VKLAD	15303	27791	\N	\N	\N
970953	3309	1996-09-07	PRIJEM	VKLAD	15303	33117	\N	\N	\N
970954	3309	1996-10-07	PRIJEM	VKLAD	15303	34165	\N	\N	\N
970955	3309	1996-11-07	PRIJEM	VKLAD	15303	33007	\N	\N	\N
970956	3309	1996-12-07	PRIJEM	VKLAD	22954	46106	\N	\N	\N
970957	3309	1997-01-07	PRIJEM	VKLAD	15303	41099	\N	\N	\N
970958	3309	1997-02-07	PRIJEM	VKLAD	15303	27940	\N	\N	\N
970959	3309	1997-03-07	PRIJEM	VKLAD	15303	31765	\N	\N	\N
970960	3309	1997-04-07	PRIJEM	VKLAD	15303	36308	\N	\N	\N
970961	3309	1997-05-07	PRIJEM	VKLAD	15303	35770	\N	\N	\N
970962	3309	1997-06-07	PRIJEM	VKLAD	22954	45768	\N	\N	\N
970963	3309	1997-07-07	PRIJEM	VKLAD	15303	45460	\N	\N	\N
970964	3309	1997-08-07	PRIJEM	VKLAD	15303	40552	\N	\N	\N
970965	3309	1997-09-07	PRIJEM	VKLAD	15303	42534	\N	\N	\N
970966	3309	1997-10-07	PRIJEM	VKLAD	15303	45617	\N	\N	\N
970967	3309	1997-11-07	PRIJEM	VKLAD	15303	46612	\N	\N	\N
970968	3309	1997-12-07	PRIJEM	VKLAD	22954	50559	\N	\N	\N
970969	3309	1998-01-07	PRIJEM	VKLAD	15303	40860	\N	\N	\N
970970	3309	1998-02-07	PRIJEM	VKLAD	15303	31395	\N	\N	\N
970971	3309	1998-03-07	PRIJEM	VKLAD	15303	28629	\N	\N	\N
970972	3309	1998-04-07	PRIJEM	VKLAD	15303	37854	\N	\N	\N
970973	3309	1998-05-07	PRIJEM	VKLAD	15303	47118	\N	\N	\N
970974	3309	1998-06-07	PRIJEM	VKLAD	22954	37958	\N	\N	\N
970975	3309	1998-07-07	PRIJEM	VKLAD	15303	39914	\N	\N	\N
970976	3309	1998-08-07	PRIJEM	VKLAD	15303	49186	\N	\N	\N
970977	3309	1998-09-07	PRIJEM	VKLAD	15303	55490	\N	\N	\N
970978	3309	1998-10-07	PRIJEM	VKLAD	15303	34102	\N	\N	\N
970979	3309	1998-11-07	PRIJEM	VKLAD	15303	43349	\N	\N	\N
970980	3309	1998-12-07	PRIJEM	VKLAD	22954	37364	\N	\N	\N
970996	3309	1994-04-08	VYDAJ	PREVOD NA UCET	2430	54405	SIPO	OP	15451962
970997	3309	1994-05-08	VYDAJ	PREVOD NA UCET	2430	47624	SIPO	OP	15451962
970998	3309	1994-06-08	VYDAJ	PREVOD NA UCET	2430	47871	SIPO	OP	15451962
970999	3309	1994-07-08	VYDAJ	PREVOD NA UCET	2430	43668	SIPO	OP	15451962
971000	3309	1994-08-08	VYDAJ	PREVOD NA UCET	2430	45859	SIPO	OP	15451962
971001	3309	1994-09-08	VYDAJ	PREVOD NA UCET	2430	47453	SIPO	OP	15451962
971002	3309	1994-10-08	VYDAJ	PREVOD NA UCET	2430	46950	SIPO	OP	15451962
971003	3309	1994-11-08	VYDAJ	PREVOD NA UCET	2430	41131	SIPO	OP	15451962
971004	3309	1994-12-08	VYDAJ	PREVOD NA UCET	2430	50655	SIPO	OP	15451962
971005	3309	1995-01-08	VYDAJ	PREVOD NA UCET	2430	38841	SIPO	OP	15451962
971006	3309	1995-02-08	VYDAJ	PREVOD NA UCET	2430	34301	SIPO	OP	15451962
971007	3309	1995-03-08	VYDAJ	PREVOD NA UCET	2430	41062	SIPO	OP	15451962
971008	3309	1995-04-08	VYDAJ	PREVOD NA UCET	2430	42033	SIPO	OP	15451962
971009	3309	1995-05-08	VYDAJ	PREVOD NA UCET	2430	45012	SIPO	OP	15451962
971010	3309	1995-06-08	VYDAJ	PREVOD NA UCET	2430	52748	SIPO	OP	15451962
971011	3309	1995-07-08	VYDAJ	PREVOD NA UCET	2430	48947	SIPO	OP	15451962
971012	3309	1995-08-08	VYDAJ	PREVOD NA UCET	2430	46941	SIPO	OP	15451962
971013	3309	1995-09-08	VYDAJ	PREVOD NA UCET	2430	44127	SIPO	OP	15451962
971014	3309	1995-10-08	VYDAJ	PREVOD NA UCET	2430	43602	SIPO	OP	15451962
971015	3309	1995-11-08	VYDAJ	PREVOD NA UCET	2430	40775	SIPO	OP	15451962
971016	3309	1995-12-08	VYDAJ	PREVOD NA UCET	2430	43087	SIPO	OP	15451962
971017	3309	1996-01-08	VYDAJ	PREVOD NA UCET	2430	37345	SIPO	OP	15451962
971018	3309	1996-02-08	VYDAJ	PREVOD NA UCET	2430	24468	SIPO	OP	15451962
971019	3309	1996-03-08	VYDAJ	PREVOD NA UCET	2430	33692	SIPO	OP	15451962
971020	3309	1996-04-08	VYDAJ	PREVOD NA UCET	2430	34829	SIPO	OP	15451962
971021	3309	1996-05-08	VYDAJ	PREVOD NA UCET	2430	33867	SIPO	OP	15451962
971022	3309	1996-06-08	VYDAJ	PREVOD NA UCET	2430	24145	SIPO	OP	15451962
971023	3309	1996-07-08	VYDAJ	PREVOD NA UCET	2430	18858	SIPO	OP	15451962
971024	3309	1996-08-08	VYDAJ	PREVOD NA UCET	2430	25361	SIPO	OP	15451962
971025	3309	1996-09-08	VYDAJ	PREVOD NA UCET	2430	30687	SIPO	OP	15451962
971026	3309	1996-10-08	VYDAJ	PREVOD NA UCET	2430	31735	SIPO	OP	15451962
971027	3309	1996-11-08	VYDAJ	PREVOD NA UCET	2430	30577	SIPO	OP	15451962
971028	3309	1996-12-08	VYDAJ	PREVOD NA UCET	2430	43676	SIPO	OP	15451962
971029	3309	1997-01-08	VYDAJ	PREVOD NA UCET	2430	38669	SIPO	OP	15451962
971030	3309	1997-02-08	VYDAJ	PREVOD NA UCET	2430	25510	SIPO	OP	15451962
971031	3309	1997-03-08	VYDAJ	PREVOD NA UCET	2430	29335	SIPO	OP	15451962
971032	3309	1997-04-08	VYDAJ	PREVOD NA UCET	2430	33878	SIPO	OP	15451962
971033	3309	1997-05-08	VYDAJ	PREVOD NA UCET	2430	33340	SIPO	OP	15451962
971034	3309	1997-06-08	VYDAJ	PREVOD NA UCET	2430	43338	SIPO	OP	15451962
971035	3309	1997-07-08	VYDAJ	PREVOD NA UCET	2430	43030	SIPO	OP	15451962
971036	3309	1997-08-08	VYDAJ	PREVOD NA UCET	2430	38122	SIPO	OP	15451962
971037	3309	1997-09-08	VYDAJ	PREVOD NA UCET	2430	40104	SIPO	OP	15451962
971038	3309	1997-10-08	VYDAJ	PREVOD NA UCET	2430	43187	SIPO	OP	15451962
971039	3309	1997-11-08	VYDAJ	PREVOD NA UCET	2430	44182	SIPO	OP	15451962
971040	3309	1997-12-08	VYDAJ	PREVOD NA UCET	2430	48129	SIPO	OP	15451962
971041	3309	1998-01-08	VYDAJ	PREVOD NA UCET	2430	36330	SIPO	OP	15451962
971042	3309	1998-02-08	VYDAJ	PREVOD NA UCET	2430	28965	SIPO	OP	15451962
971043	3309	1998-03-08	VYDAJ	PREVOD NA UCET	2430	26199	SIPO	OP	15451962
971044	3309	1998-04-08	VYDAJ	PREVOD NA UCET	2430	35424	SIPO	OP	15451962
971045	3309	1998-05-08	VYDAJ	PREVOD NA UCET	2430	44688	SIPO	OP	15451962
971046	3309	1998-06-08	VYDAJ	PREVOD NA UCET	2430	35528	SIPO	OP	15451962
971047	3309	1998-07-08	VYDAJ	PREVOD NA UCET	2430	37484	SIPO	OP	15451962
971048	3309	1998-08-08	VYDAJ	PREVOD NA UCET	2430	46756	SIPO	OP	15451962
971049	3309	1998-09-08	VYDAJ	PREVOD NA UCET	2430	53060	SIPO	OP	15451962
971050	3309	1998-10-08	VYDAJ	PREVOD NA UCET	2430	31672	SIPO	OP	15451962
971051	3309	1998-11-08	VYDAJ	PREVOD NA UCET	2430	40919	SIPO	OP	15451962
971052	3309	1998-12-08	VYDAJ	PREVOD NA UCET	2430	34934	SIPO	OP	15451962
971068	3309	1994-04-13	VYDAJ	PREVOD NA UCET	2991	51414	 	EF	46898156
971069	3309	1994-05-13	VYDAJ	PREVOD NA UCET	2991	44633	 	EF	46898156
971070	3309	1994-06-13	VYDAJ	PREVOD NA UCET	2991	44880	 	EF	46898156
971071	3309	1994-07-13	VYDAJ	PREVOD NA UCET	2991	40677	 	EF	46898156
971072	3309	1994-08-13	VYDAJ	PREVOD NA UCET	2991	42868	 	EF	46898156
971073	3309	1994-09-13	VYDAJ	PREVOD NA UCET	2991	44462	 	EF	46898156
971074	3309	1994-10-13	VYDAJ	PREVOD NA UCET	2991	40059	 	EF	46898156
971075	3309	1994-11-13	VYDAJ	PREVOD NA UCET	2991	36340	 	EF	46898156
971076	3309	1994-12-13	VYDAJ	PREVOD NA UCET	2991	45064	 	EF	46898156
971077	3309	1995-01-13	VYDAJ	PREVOD NA UCET	2991	33150	 	EF	46898156
971078	3309	1995-02-13	VYDAJ	PREVOD NA UCET	2991	31310	 	EF	46898156
971079	3309	1995-03-13	VYDAJ	PREVOD NA UCET	2991	38071	 	EF	46898156
971080	3309	1995-04-13	VYDAJ	PREVOD NA UCET	2991	39042	 	EF	46898156
971081	3309	1995-05-13	VYDAJ	PREVOD NA UCET	2991	42021	 	EF	46898156
971082	3309	1995-06-13	VYDAJ	PREVOD NA UCET	2991	49757	 	EF	46898156
971083	3309	1995-07-13	VYDAJ	PREVOD NA UCET	2991	34656	 	EF	46898156
971084	3309	1995-08-13	VYDAJ	PREVOD NA UCET	2991	33750	 	EF	46898156
971085	3309	1995-09-13	VYDAJ	PREVOD NA UCET	2991	31336	 	EF	46898156
971086	3309	1995-10-13	VYDAJ	PREVOD NA UCET	2991	30811	 	EF	46898156
971087	3309	1995-11-13	VYDAJ	PREVOD NA UCET	2991	27984	 	EF	46898156
971088	3309	1995-12-13	VYDAJ	PREVOD NA UCET	2991	28996	 	EF	46898156
971089	3309	1996-01-13	VYDAJ	PREVOD NA UCET	2991	21654	 	EF	46898156
971090	3309	1996-02-13	VYDAJ	PREVOD NA UCET	2991	21477	 	EF	46898156
971091	3309	1996-03-13	VYDAJ	PREVOD NA UCET	2991	23401	 	EF	46898156
971092	3309	1996-04-13	VYDAJ	PREVOD NA UCET	2991	21638	 	EF	46898156
971093	3309	1996-05-13	VYDAJ	PREVOD NA UCET	2991	21076	 	EF	46898156
971094	3309	1996-06-13	VYDAJ	PREVOD NA UCET	2991	21154	 	EF	46898156
971095	3309	1996-07-13	VYDAJ	PREVOD NA UCET	2991	15867	 	EF	46898156
971096	3309	1996-08-13	VYDAJ	PREVOD NA UCET	2991	22370	 	EF	46898156
971097	3309	1996-09-13	VYDAJ	PREVOD NA UCET	2991	27696	 	EF	46898156
971098	3309	1996-10-13	VYDAJ	PREVOD NA UCET	2991	28744	 	EF	46898156
971099	3309	1996-11-13	VYDAJ	PREVOD NA UCET	2991	27586	 	EF	46898156
971100	3309	1996-12-13	VYDAJ	PREVOD NA UCET	2991	40685	 	EF	46898156
971101	3309	1997-01-13	VYDAJ	PREVOD NA UCET	2991	34178	 	EF	46898156
971102	3309	1997-02-13	VYDAJ	PREVOD NA UCET	2991	22519	 	EF	46898156
971103	3309	1997-03-13	VYDAJ	PREVOD NA UCET	2991	26344	 	EF	46898156
971104	3309	1997-04-13	VYDAJ	PREVOD NA UCET	2991	30887	 	EF	46898156
971105	3309	1997-05-13	VYDAJ	PREVOD NA UCET	2991	25549	 	EF	46898156
971106	3309	1997-06-13	VYDAJ	PREVOD NA UCET	2991	40347	 	EF	46898156
971107	3309	1997-07-13	VYDAJ	PREVOD NA UCET	2991	40039	 	EF	46898156
971108	3309	1997-08-13	VYDAJ	PREVOD NA UCET	2991	35131	 	EF	46898156
971109	3309	1997-09-13	VYDAJ	PREVOD NA UCET	2991	37113	 	EF	46898156
971110	3309	1997-10-13	VYDAJ	PREVOD NA UCET	2991	40196	 	EF	46898156
971111	3309	1997-11-13	VYDAJ	PREVOD NA UCET	2991	41191	 	EF	46898156
971112	3309	1997-12-13	VYDAJ	PREVOD NA UCET	2991	45138	 	EF	46898156
971113	3309	1998-01-13	VYDAJ	PREVOD NA UCET	2991	30739	 	EF	46898156
971114	3309	1998-02-13	VYDAJ	PREVOD NA UCET	2991	25974	 	EF	46898156
971115	3309	1998-03-13	VYDAJ	PREVOD NA UCET	2991	23208	 	EF	46898156
971116	3309	1998-04-13	VYDAJ	PREVOD NA UCET	2991	32433	 	EF	46898156
971117	3309	1998-05-13	VYDAJ	PREVOD NA UCET	2991	41697	 	EF	46898156
971118	3309	1998-06-13	VYDAJ	PREVOD NA UCET	2991	32537	 	EF	46898156
971119	3309	1998-07-13	VYDAJ	PREVOD NA UCET	2991	34493	 	EF	46898156
971120	3309	1998-08-13	VYDAJ	PREVOD NA UCET	2991	43765	 	EF	46898156
971121	3309	1998-09-13	VYDAJ	PREVOD NA UCET	2991	50069	 	EF	46898156
971122	3309	1998-10-13	VYDAJ	PREVOD NA UCET	2991	28681	 	EF	46898156
971123	3309	1998-11-13	VYDAJ	PREVOD NA UCET	2991	37928	 	EF	46898156
971124	3309	1998-12-13	VYDAJ	PREVOD NA UCET	2991	31943	 	EF	46898156
971141	3309	1994-05-06	VYDAJ	PREVOD NA UCET	731	34751	POJISTNE	IJ	73238503
971142	3309	1994-06-06	VYDAJ	PREVOD NA UCET	731	27347	POJISTNE	IJ	73238503
971143	3309	1994-07-06	VYDAJ	PREVOD NA UCET	731	30795	POJISTNE	IJ	73238503
971144	3309	1994-08-06	VYDAJ	PREVOD NA UCET	731	32986	POJISTNE	IJ	73238503
971145	3309	1994-09-06	VYDAJ	PREVOD NA UCET	731	34580	POJISTNE	IJ	73238503
971146	3309	1994-10-06	VYDAJ	PREVOD NA UCET	731	34077	POJISTNE	IJ	73238503
971147	3309	1994-11-06	VYDAJ	PREVOD NA UCET	731	28258	POJISTNE	IJ	73238503
971148	3309	1994-12-06	VYDAJ	PREVOD NA UCET	731	30131	POJISTNE	IJ	73238503
971149	3309	1995-01-06	VYDAJ	PREVOD NA UCET	731	27768	POJISTNE	IJ	73238503
971150	3309	1995-02-06	VYDAJ	PREVOD NA UCET	731	21428	POJISTNE	IJ	73238503
971151	3309	1995-03-06	VYDAJ	PREVOD NA UCET	731	28189	POJISTNE	IJ	73238503
971152	3309	1995-04-06	VYDAJ	PREVOD NA UCET	731	29160	POJISTNE	IJ	73238503
971153	3309	1995-05-06	VYDAJ	PREVOD NA UCET	731	32139	POJISTNE	IJ	73238503
971154	3309	1995-06-06	VYDAJ	PREVOD NA UCET	731	32224	POJISTNE	IJ	73238503
971155	3309	1995-07-06	VYDAJ	PREVOD NA UCET	731	36074	POJISTNE	IJ	73238503
971156	3309	1995-08-06	VYDAJ	PREVOD NA UCET	731	34068	POJISTNE	IJ	73238503
971157	3309	1995-09-06	VYDAJ	PREVOD NA UCET	731	31254	POJISTNE	IJ	73238503
971158	3309	1995-10-06	VYDAJ	PREVOD NA UCET	731	30729	POJISTNE	IJ	73238503
971159	3309	1995-11-06	VYDAJ	PREVOD NA UCET	731	27902	POJISTNE	IJ	73238503
971160	3309	1995-12-06	VYDAJ	PREVOD NA UCET	731	22563	POJISTNE	IJ	73238503
971161	3309	1996-01-06	VYDAJ	PREVOD NA UCET	731	26072	POJISTNE	IJ	73238503
971162	3309	1996-02-06	VYDAJ	PREVOD NA UCET	731	14095	POJISTNE	IJ	73238503
971163	3309	1996-03-06	VYDAJ	PREVOD NA UCET	731	20819	POJISTNE	IJ	73238503
971164	3309	1996-04-06	VYDAJ	PREVOD NA UCET	731	21956	POJISTNE	IJ	73238503
971165	3309	1996-05-06	VYDAJ	PREVOD NA UCET	731	20994	POJISTNE	IJ	73238503
971166	3309	1996-06-06	VYDAJ	PREVOD NA UCET	731	17121	POJISTNE	IJ	73238503
971167	3309	1996-07-06	VYDAJ	PREVOD NA UCET	731	14385	POJISTNE	IJ	73238503
971168	3309	1996-08-06	VYDAJ	PREVOD NA UCET	731	14588	POJISTNE	IJ	73238503
971169	3309	1996-09-06	VYDAJ	PREVOD NA UCET	731	17814	POJISTNE	IJ	73238503
971170	3309	1996-10-06	VYDAJ	PREVOD NA UCET	731	18862	POJISTNE	IJ	73238503
971171	3309	1996-11-06	VYDAJ	PREVOD NA UCET	731	17704	POJISTNE	IJ	73238503
971172	3309	1996-12-06	VYDAJ	PREVOD NA UCET	731	23152	POJISTNE	IJ	73238503
971173	3309	1997-01-06	VYDAJ	PREVOD NA UCET	731	25796	POJISTNE	IJ	73238503
971174	3309	1997-02-06	VYDAJ	PREVOD NA UCET	731	12637	POJISTNE	IJ	73238503
971175	3309	1997-03-06	VYDAJ	PREVOD NA UCET	731	16462	POJISTNE	IJ	73238503
971176	3309	1997-04-06	VYDAJ	PREVOD NA UCET	731	21005	POJISTNE	IJ	73238503
971177	3309	1997-05-06	VYDAJ	PREVOD NA UCET	731	20467	POJISTNE	IJ	73238503
971178	3309	1997-06-06	VYDAJ	PREVOD NA UCET	731	22814	POJISTNE	IJ	73238503
971179	3309	1997-07-06	VYDAJ	PREVOD NA UCET	731	30157	POJISTNE	IJ	73238503
971180	3309	1997-08-06	VYDAJ	PREVOD NA UCET	731	25249	POJISTNE	IJ	73238503
971181	3309	1997-09-06	VYDAJ	PREVOD NA UCET	731	27231	POJISTNE	IJ	73238503
971182	3309	1997-10-06	VYDAJ	PREVOD NA UCET	731	30314	POJISTNE	IJ	73238503
971183	3309	1997-11-06	VYDAJ	PREVOD NA UCET	731	31309	POJISTNE	IJ	73238503
971184	3309	1997-12-06	VYDAJ	PREVOD NA UCET	731	27605	POJISTNE	IJ	73238503
971185	3309	1998-01-06	VYDAJ	PREVOD NA UCET	731	25557	POJISTNE	IJ	73238503
971186	3309	1998-02-06	VYDAJ	PREVOD NA UCET	731	16092	POJISTNE	IJ	73238503
971187	3309	1998-03-06	VYDAJ	PREVOD NA UCET	731	13326	POJISTNE	IJ	73238503
971188	3309	1998-04-06	VYDAJ	PREVOD NA UCET	731	22551	POJISTNE	IJ	73238503
971189	3309	1998-05-06	VYDAJ	PREVOD NA UCET	731	31815	POJISTNE	IJ	73238503
971190	3309	1998-06-06	VYDAJ	PREVOD NA UCET	731	15004	POJISTNE	IJ	73238503
971191	3309	1998-07-06	VYDAJ	PREVOD NA UCET	731	24611	POJISTNE	IJ	73238503
971192	3309	1998-08-06	VYDAJ	PREVOD NA UCET	731	33883	POJISTNE	IJ	73238503
971193	3309	1998-09-06	VYDAJ	PREVOD NA UCET	731	40187	POJISTNE	IJ	73238503
971194	3309	1998-10-06	VYDAJ	PREVOD NA UCET	731	18799	POJISTNE	IJ	73238503
971195	3309	1998-11-06	VYDAJ	PREVOD NA UCET	731	28046	POJISTNE	IJ	73238503
971196	3309	1998-12-06	VYDAJ	PREVOD NA UCET	731	14410	POJISTNE	IJ	73238503
971198	3309	1994-06-02	VYDAJ	VYBER	3900	28078	\N	\N	\N
971200	3309	1996-06-14	VYDAJ	VYBER	6100	15054	\N	\N	\N
971205	3309	1995-01-06	VYDAJ	VYBER	1800	25968	\N	\N	\N
971206	3309	1996-01-14	VYDAJ	VYBER	4300	17354	\N	\N	\N
971207	3309	1997-01-16	VYDAJ	VYBER	4400	17878	\N	\N	\N
971208	3309	1998-01-17	VYDAJ	VYBER	8600	20739	\N	\N	\N
971210	3309	1994-12-10	VYDAJ	VYBER	2600	48055	\N	\N	\N
971211	3309	1995-12-30	VYDAJ	VYBER	2300	26696	\N	\N	\N
971212	3309	1996-12-21	VYDAJ	VYBER	2000	38685	\N	\N	\N
971213	3309	1997-12-20	VYDAJ	VYBER	2700	42438	\N	\N	\N
971214	3309	1998-12-29	VYDAJ	VYBER	700	31243	\N	\N	\N
971227	3309	1995-01-25	VYDAJ	VYBER	2600	24550	\N	\N	\N
971228	3309	1995-01-02	VYDAJ	VYBER	1800	30299	\N	\N	\N
971229	3309	1995-01-20	VYDAJ	VYBER	900	27150	\N	\N	\N
971230	3309	1995-01-13	VYDAJ	VYBER	2700	36141	\N	\N	\N
971231	3309	1995-01-30	VYDAJ	VYBER	2500	22050	\N	\N	\N
971232	3309	1995-01-03	VYDAJ	VYBER	1800	28499	\N	\N	\N
971235	3309	1996-01-08	VYDAJ	VYBER	600	39775	\N	\N	\N
971236	3309	1996-01-07	VYDAJ	VYBER	1000	40375	\N	\N	\N
971237	3309	1996-01-11	VYDAJ	VYBER	900	29545	\N	\N	\N
971238	3309	1996-01-15	VYDAJ	VYBER	2600	14754	\N	\N	\N
971240	3309	1997-01-15	VYDAJ	VYBER	1400	25978	\N	\N	\N
971241	3309	1997-01-22	VYDAJ	VYBER	1600	16278	\N	\N	\N
971242	3309	1997-01-13	VYDAJ	VYBER	1900	27378	\N	\N	\N
971243	3309	1997-01-23	VYDAJ	VYBER	1100	15178	\N	\N	\N
971244	3309	1997-01-11	VYDAJ	VYBER	1500	37169	\N	\N	\N
971247	3309	1998-01-14	VYDAJ	VYBER	500	29339	\N	\N	\N
971248	3309	1998-01-07	VYDAJ	VYBER	2100	38760	\N	\N	\N
971249	3309	1998-01-23	VYDAJ	VYBER	2200	16739	\N	\N	\N
971250	3309	1998-01-13	VYDAJ	VYBER	900	29839	\N	\N	\N
971257	3309	1994-07-03	VYDAJ	VYBER	3800	31526	\N	\N	\N
971258	3309	1994-10-18	VYDAJ	VYBER	4500	28859	\N	\N	\N
971259	3309	1994-05-04	VYDAJ	VYBER	1600	35482	\N	\N	\N
971260	3309	1994-10-12	VYDAJ	VYBER	3900	43050	\N	\N	\N
971261	3309	1994-11-08	VYDAJ	VYBER	1800	39331	\N	\N	\N
971262	3309	1995-11-30	VYDAJ	VYBER	4800	23308	\N	\N	\N
971263	3309	1995-11-06	VYDAJ	VYBER	2300	28633	\N	\N	\N
971264	3309	1995-08-29	VYDAJ	VYBER	1900	31850	\N	\N	\N
971265	3309	1996-04-02	VYDAJ	VYBER	800	22687	\N	\N	\N
971266	3309	1996-10-14	VYDAJ	VYBER	3500	25244	\N	\N	\N
971267	3309	1996-01-12	VYDAJ	VYBER	4900	24645	\N	\N	\N
971268	3309	1996-07-14	VYDAJ	VYBER	600	15267	\N	\N	\N
971269	3309	1996-06-08	VYDAJ	VYBER	2700	26575	\N	\N	\N
971270	3309	1996-05-31	VYDAJ	VYBER	3300	17867	\N	\N	\N
971271	3309	1996-10-17	VYDAJ	VYBER	2700	22544	\N	\N	\N
971272	3309	1997-01-16	VYDAJ	VYBER	3700	22278	\N	\N	\N
971273	3309	1997-01-13	VYDAJ	VYBER	4900	29278	\N	\N	\N
971274	3309	1997-11-27	VYDAJ	VYBER	1600	39591	\N	\N	\N
971275	3309	1997-07-15	VYDAJ	VYBER	4700	35339	\N	\N	\N
971276	3309	1997-05-20	VYDAJ	VYBER	700	24849	\N	\N	\N
971277	3309	1997-05-09	VYDAJ	VYBER	4800	28540	\N	\N	\N
971278	3309	1998-08-16	VYDAJ	VYBER	3000	40765	\N	\N	\N
971279	3309	1998-06-29	VYDAJ	VYBER	4800	27737	\N	\N	\N
971280	3309	1998-06-30	VYDAJ	VYBER	2500	25356	\N	\N	\N
971281	3309	1998-01-20	VYDAJ	VYBER	1800	18939	\N	\N	\N
971282	3309	1998-01-09	VYDAJ	VYBER	2600	33730	\N	\N	\N
971299	3309	1994-04-30	VYDAJ	VYBER	15	37082	SLUZBY	\N	\N
971300	3309	1994-05-31	VYDAJ	VYBER	15	31978	SLUZBY	\N	\N
971301	3309	1994-06-30	VYDAJ	VYBER	15	35326	SLUZBY	\N	\N
971302	3309	1994-07-31	VYDAJ	VYBER	15	33717	SLUZBY	\N	\N
971303	3309	1994-08-31	VYDAJ	VYBER	15	35311	SLUZBY	\N	\N
971304	3309	1994-09-30	VYDAJ	VYBER	15	34808	SLUZBY	\N	\N
971305	3309	1994-10-31	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
971306	3309	1994-11-30	VYDAJ	VYBER	15	30862	SLUZBY	\N	\N
971307	3309	1994-12-31	VYDAJ	VYBER	15	32099	SLUZBY	\N	\N
971308	3309	1995-01-31	VYDAJ	VYBER	15	22159	SLUZBY	\N	\N
971309	3309	1995-02-28	VYDAJ	VYBER	15	28920	SLUZBY	\N	\N
971310	3309	1995-03-31	VYDAJ	VYBER	15	29891	SLUZBY	\N	\N
971311	3309	1995-04-30	VYDAJ	VYBER	15	32870	SLUZBY	\N	\N
971312	3309	1995-05-31	VYDAJ	VYBER	15	32955	SLUZBY	\N	\N
971313	3309	1995-06-30	VYDAJ	VYBER	15	36805	SLUZBY	\N	\N
971314	3309	1995-07-31	VYDAJ	VYBER	15	34799	SLUZBY	\N	\N
971315	3309	1995-08-31	VYDAJ	VYBER	15	31985	SLUZBY	\N	\N
971316	3309	1995-09-30	VYDAJ	VYBER	15	31460	SLUZBY	\N	\N
971317	3309	1995-10-31	VYDAJ	VYBER	15	30933	SLUZBY	\N	\N
971318	3309	1995-11-30	VYDAJ	VYBER	15	23294	SLUZBY	\N	\N
971319	3309	1995-12-31	VYDAJ	VYBER	15	26803	SLUZBY	\N	\N
971320	3309	1996-01-31	VYDAJ	VYBER	15	14826	SLUZBY	\N	\N
971321	3309	1996-02-29	VYDAJ	VYBER	15	21550	SLUZBY	\N	\N
971322	3309	1996-03-31	VYDAJ	VYBER	15	23487	SLUZBY	\N	\N
971323	3309	1996-04-30	VYDAJ	VYBER	15	21725	SLUZBY	\N	\N
971324	3309	1996-05-31	VYDAJ	VYBER	15	17852	SLUZBY	\N	\N
971325	3309	1996-06-30	VYDAJ	VYBER	15	15116	SLUZBY	\N	\N
971326	3309	1996-07-31	VYDAJ	VYBER	15	15319	SLUZBY	\N	\N
971327	3309	1996-08-31	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
971328	3309	1996-09-30	VYDAJ	VYBER	15	27793	SLUZBY	\N	\N
971329	3309	1996-10-31	VYDAJ	VYBER	15	22635	SLUZBY	\N	\N
971330	3309	1996-11-30	VYDAJ	VYBER	15	27683	SLUZBY	\N	\N
971331	3309	1996-12-31	VYDAJ	VYBER	15	38827	SLUZBY	\N	\N
971332	3309	1997-01-31	VYDAJ	VYBER	15	15268	SLUZBY	\N	\N
971333	3309	1997-02-28	VYDAJ	VYBER	15	22593	SLUZBY	\N	\N
971334	3309	1997-03-31	VYDAJ	VYBER	15	26436	SLUZBY	\N	\N
971335	3309	1997-04-30	VYDAJ	VYBER	15	30998	SLUZBY	\N	\N
971336	3309	1997-05-31	VYDAJ	VYBER	15	24945	SLUZBY	\N	\N
971337	3309	1997-06-30	VYDAJ	VYBER	15	40488	SLUZBY	\N	\N
971338	3309	1997-07-31	VYDAJ	VYBER	15	35480	SLUZBY	\N	\N
971339	3309	1997-08-31	VYDAJ	VYBER	15	27962	SLUZBY	\N	\N
971340	3309	1997-09-30	VYDAJ	VYBER	15	31045	SLUZBY	\N	\N
971341	3309	1997-10-31	VYDAJ	VYBER	15	32040	SLUZBY	\N	\N
971342	3309	1997-11-30	VYDAJ	VYBER	15	28336	SLUZBY	\N	\N
971343	3309	1997-12-31	VYDAJ	VYBER	15	26288	SLUZBY	\N	\N
971344	3309	1998-01-31	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
971345	3309	1998-02-28	VYDAJ	VYBER	15	14057	SLUZBY	\N	\N
971346	3309	1998-03-31	VYDAJ	VYBER	15	23282	SLUZBY	\N	\N
971347	3309	1998-04-30	VYDAJ	VYBER	15	32546	SLUZBY	\N	\N
971348	3309	1998-05-31	VYDAJ	VYBER	15	15735	SLUZBY	\N	\N
971349	3309	1998-06-30	VYDAJ	VYBER	15	25342	SLUZBY	\N	\N
971350	3309	1998-07-31	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
971351	3309	1998-08-31	VYDAJ	VYBER	15	40918	SLUZBY	\N	\N
971352	3309	1998-09-30	VYDAJ	VYBER	15	19530	SLUZBY	\N	\N
971353	3309	1998-10-31	VYDAJ	VYBER	15	28777	SLUZBY	\N	\N
971354	3309	1998-11-30	VYDAJ	VYBER	15	15141	SLUZBY	\N	\N
971355	3309	1993-12-20	VYDAJ	VYBER	600	23454	\N	\N	\N
971356	3309	1994-01-19	VYDAJ	VYBER	5000	33795	\N	\N	\N
971357	3309	1994-02-18	VYDAJ	VYBER	10300	38914	\N	\N	\N
971358	3309	1994-03-20	VYDAJ	VYBER	13000	41366	\N	\N	\N
971359	3309	1994-04-19	VYDAJ	VYBER	14500	36914	\N	\N	\N
971360	3309	1994-05-19	VYDAJ	VYBER	12800	31833	\N	\N	\N
971361	3309	1994-06-18	VYDAJ	VYBER	9700	35180	\N	\N	\N
971362	3309	1994-07-18	VYDAJ	VYBER	7100	33577	\N	\N	\N
971363	3309	1994-08-17	VYDAJ	VYBER	7700	35168	\N	\N	\N
971364	3309	1994-09-16	VYDAJ	VYBER	9800	34662	\N	\N	\N
971365	3309	1994-10-16	VYDAJ	VYBER	6700	33359	\N	\N	\N
971366	3309	1994-11-15	VYDAJ	VYBER	5600	30740	\N	\N	\N
971367	3309	1994-12-15	VYDAJ	VYBER	13100	31964	\N	\N	\N
971368	3309	1995-01-14	VYDAJ	VYBER	5100	28050	\N	\N	\N
971369	3309	1995-02-13	VYDAJ	VYBER	2500	28810	\N	\N	\N
971370	3309	1995-03-15	VYDAJ	VYBER	8300	29771	\N	\N	\N
971371	3309	1995-04-14	VYDAJ	VYBER	6300	32742	\N	\N	\N
971372	3309	1995-05-14	VYDAJ	VYBER	9200	32821	\N	\N	\N
971373	3309	1995-06-13	VYDAJ	VYBER	13100	36657	\N	\N	\N
971374	3309	1995-07-13	VYDAJ	VYBER	11300	37647	\N	\N	\N
971375	3309	1995-08-12	VYDAJ	VYBER	10200	36741	\N	\N	\N
971376	3309	1995-09-11	VYDAJ	VYBER	9800	34327	\N	\N	\N
971377	3309	1995-10-11	VYDAJ	VYBER	9800	33802	\N	\N	\N
971378	3309	1995-11-10	VYDAJ	VYBER	9800	30975	\N	\N	\N
971379	3309	1995-12-10	VYDAJ	VYBER	11100	31987	\N	\N	\N
971380	3309	1996-01-09	VYDAJ	VYBER	6900	30445	\N	\N	\N
971381	3309	1996-02-08	VYDAJ	VYBER	2500	26898	\N	\N	\N
971382	3309	1996-03-09	VYDAJ	VYBER	7300	26392	\N	\N	\N
971383	3309	1996-04-08	VYDAJ	VYBER	10200	24629	\N	\N	\N
971384	3309	1996-05-08	VYDAJ	VYBER	9800	24067	\N	\N	\N
971385	3309	1996-06-07	VYDAJ	VYBER	10800	29275	\N	\N	\N
971386	3309	1996-07-07	VYDAJ	VYBER	8400	21288	\N	\N	\N
971387	3309	1996-08-06	VYDAJ	VYBER	2100	12488	\N	\N	\N
971388	3309	1996-09-05	VYDAJ	VYBER	3900	18545	\N	\N	\N
971389	3309	1996-10-05	VYDAJ	VYBER	8200	19593	\N	\N	\N
971390	3309	1996-11-04	VYDAJ	VYBER	4200	18435	\N	\N	\N
971391	3309	1996-12-04	VYDAJ	VYBER	3800	23883	\N	\N	\N
971392	3309	1997-01-03	VYDAJ	VYBER	12300	26527	\N	\N	\N
971393	3309	1997-02-02	VYDAJ	VYBER	1900	13368	\N	\N	\N
971394	3309	1997-03-04	VYDAJ	VYBER	5400	17193	\N	\N	\N
971395	3309	1997-04-03	VYDAJ	VYBER	4700	21736	\N	\N	\N
971396	3309	1997-05-03	VYDAJ	VYBER	9800	21198	\N	\N	\N
971397	3309	1997-06-02	VYDAJ	VYBER	1400	23545	\N	\N	\N
971398	3309	1997-07-02	VYDAJ	VYBER	9600	30888	\N	\N	\N
971399	3309	1997-08-01	VYDAJ	VYBER	9500	25980	\N	\N	\N
971400	3309	1997-08-31	VYDAJ	VYBER	7300	27976	\N	\N	\N
971401	3309	1997-09-30	VYDAJ	VYBER	6200	31059	\N	\N	\N
971402	3309	1997-10-30	VYDAJ	VYBER	8300	31896	\N	\N	\N
971403	3309	1997-11-29	VYDAJ	VYBER	11400	28191	\N	\N	\N
971404	3309	1997-12-29	VYDAJ	VYBER	16300	26138	\N	\N	\N
971405	3309	1998-02-27	VYDAJ	VYBER	12000	13974	\N	\N	\N
971406	3309	1998-05-28	VYDAJ	VYBER	26100	15597	\N	\N	\N
971407	3309	1998-09-25	VYDAJ	VYBER	30700	19369	\N	\N	\N
971408	3309	1998-11-24	VYDAJ	VYBER	22900	15028	\N	\N	\N
971470	3310	1993-09-15	PRIJEM	VKLAD	900	900	\N	\N	\N
971480	3310	1993-10-06	PRIJEM	PREVOD Z UCTU	4916	5816	DUCHOD	WX	39539855
971481	3310	1993-11-06	PRIJEM	PREVOD Z UCTU	4916	10732	DUCHOD	WX	39539855
971482	3310	1993-12-06	PRIJEM	PREVOD Z UCTU	4916	15648	DUCHOD	WX	39539855
971483	3310	1994-01-06	PRIJEM	PREVOD Z UCTU	4916	20564	DUCHOD	WX	39539855
971484	3310	1994-02-06	PRIJEM	PREVOD Z UCTU	4916	25480	DUCHOD	WX	39539855
971485	3310	1994-03-06	PRIJEM	PREVOD Z UCTU	4916	24355	DUCHOD	WX	39539855
971486	3310	1994-04-06	PRIJEM	PREVOD Z UCTU	4916	25363	DUCHOD	WX	39539855
971487	3310	1994-05-06	PRIJEM	PREVOD Z UCTU	4916	27077	DUCHOD	WX	39539855
971488	3310	1994-06-06	PRIJEM	PREVOD Z UCTU	4916	25272	DUCHOD	WX	39539855
971489	3310	1994-07-06	PRIJEM	PREVOD Z UCTU	4916	18111	DUCHOD	WX	39539855
971490	3310	1994-08-06	PRIJEM	PREVOD Z UCTU	4916	19795	DUCHOD	WX	39539855
971491	3310	1994-09-06	PRIJEM	PREVOD Z UCTU	4916	21486	DUCHOD	WX	39539855
971492	3310	1994-10-06	PRIJEM	PREVOD Z UCTU	4916	20457	DUCHOD	WX	39539855
971493	3310	1994-11-06	PRIJEM	PREVOD Z UCTU	4916	22150	DUCHOD	WX	39539855
971494	3310	1994-12-06	PRIJEM	PREVOD Z UCTU	4916	20883	DUCHOD	WX	39539855
971495	3310	1995-01-06	PRIJEM	PREVOD Z UCTU	4916	19064	DUCHOD	WX	39539855
971496	3310	1995-02-06	PRIJEM	PREVOD Z UCTU	4916	20751	DUCHOD	WX	39539855
971497	3310	1995-03-06	PRIJEM	PREVOD Z UCTU	4916	22446	DUCHOD	WX	39539855
971498	3310	1995-04-06	PRIJEM	PREVOD Z UCTU	4916	24147	DUCHOD	WX	39539855
971499	3310	1995-05-06	PRIJEM	PREVOD Z UCTU	4916	25458	DUCHOD	WX	39539855
971500	3310	1995-06-06	PRIJEM	PREVOD Z UCTU	4916	26774	DUCHOD	WX	39539855
971501	3310	1995-07-06	PRIJEM	PREVOD Z UCTU	4916	26339	DUCHOD	WX	39539855
971502	3310	1995-08-06	PRIJEM	PREVOD Z UCTU	4916	24350	DUCHOD	WX	39539855
971503	3310	1995-09-06	PRIJEM	PREVOD Z UCTU	4916	23856	DUCHOD	WX	39539855
971504	3310	1995-10-06	PRIJEM	PREVOD Z UCTU	4916	25564	DUCHOD	WX	39539855
971505	3310	1995-11-06	PRIJEM	PREVOD Z UCTU	4916	23598	DUCHOD	WX	39539855
971506	3310	1995-12-06	PRIJEM	PREVOD Z UCTU	4916	24749	DUCHOD	WX	39539855
971507	3310	1996-01-06	PRIJEM	PREVOD Z UCTU	4916	25759	DUCHOD	WX	39539855
971508	3310	1996-02-06	PRIJEM	PREVOD Z UCTU	4916	26474	DUCHOD	WX	39539855
971509	3310	1996-03-06	PRIJEM	PREVOD Z UCTU	4916	28197	DUCHOD	WX	39539855
971510	3310	1996-04-06	PRIJEM	PREVOD Z UCTU	4916	23856	DUCHOD	WX	39539855
971511	3310	1996-05-06	PRIJEM	PREVOD Z UCTU	4916	25569	DUCHOD	WX	39539855
971512	3310	1996-06-06	PRIJEM	PREVOD Z UCTU	4916	26784	DUCHOD	WX	39539855
971513	3310	1996-07-06	PRIJEM	PREVOD Z UCTU	4916	20899	DUCHOD	WX	39539855
971514	3310	1996-08-06	PRIJEM	PREVOD Z UCTU	4916	17000	DUCHOD	WX	39539855
971515	3310	1996-09-06	PRIJEM	PREVOD Z UCTU	4916	18679	DUCHOD	WX	39539855
971516	3310	1996-10-06	PRIJEM	PREVOD Z UCTU	4916	17457	DUCHOD	WX	39539855
971517	3310	1996-11-06	PRIJEM	PREVOD Z UCTU	4916	17937	DUCHOD	WX	39539855
971518	3310	1996-12-06	PRIJEM	PREVOD Z UCTU	4916	16652	DUCHOD	WX	39539855
971519	3310	1997-01-06	PRIJEM	PREVOD Z UCTU	4916	18329	DUCHOD	WX	39539855
971520	3310	1997-02-06	PRIJEM	PREVOD Z UCTU	4916	20013	DUCHOD	WX	39539855
971521	3310	1997-03-06	PRIJEM	PREVOD Z UCTU	4916	18702	DUCHOD	WX	39539855
971522	3310	1997-04-06	PRIJEM	PREVOD Z UCTU	4916	19913	DUCHOD	WX	39539855
971523	3310	1997-05-06	PRIJEM	PREVOD Z UCTU	4916	21604	DUCHOD	WX	39539855
971524	3310	1997-06-06	PRIJEM	PREVOD Z UCTU	4916	18754	DUCHOD	WX	39539855
971525	3310	1997-07-06	PRIJEM	PREVOD Z UCTU	4916	20440	DUCHOD	WX	39539855
971526	3310	1997-08-06	PRIJEM	PREVOD Z UCTU	4916	20194	DUCHOD	WX	39539855
971527	3310	1997-09-06	PRIJEM	PREVOD Z UCTU	4916	17581	DUCHOD	WX	39539855
971528	3310	1997-10-06	PRIJEM	PREVOD Z UCTU	4916	19261	DUCHOD	WX	39539855
971529	3310	1997-11-06	PRIJEM	PREVOD Z UCTU	4916	18746	DUCHOD	WX	39539855
971530	3310	1997-12-06	PRIJEM	PREVOD Z UCTU	4916	20430	DUCHOD	WX	39539855
971531	3310	1998-01-06	PRIJEM	PREVOD Z UCTU	4916	18117	DUCHOD	WX	39539855
971532	3310	1998-02-06	PRIJEM	PREVOD Z UCTU	4916	19800	DUCHOD	WX	39539855
971533	3310	1998-03-06	PRIJEM	PREVOD Z UCTU	4916	18485	DUCHOD	WX	39539855
971534	3310	1998-04-06	PRIJEM	PREVOD Z UCTU	4916	20169	DUCHOD	WX	39539855
971535	3310	1998-05-06	PRIJEM	PREVOD Z UCTU	4916	19938	DUCHOD	WX	39539855
971536	3310	1998-06-06	PRIJEM	PREVOD Z UCTU	4916	18019	DUCHOD	WX	39539855
971537	3310	1998-07-06	PRIJEM	PREVOD Z UCTU	4916	19701	DUCHOD	WX	39539855
971538	3310	1998-08-06	PRIJEM	PREVOD Z UCTU	4916	21389	DUCHOD	WX	39539855
971539	3310	1998-09-06	PRIJEM	PREVOD Z UCTU	4916	23085	DUCHOD	WX	39539855
971540	3310	1998-10-06	PRIJEM	PREVOD Z UCTU	4916	22483	DUCHOD	WX	39539855
971541	3310	1998-11-06	PRIJEM	PREVOD Z UCTU	4916	24183	DUCHOD	WX	39539855
971542	3310	1998-12-06	PRIJEM	PREVOD Z UCTU	4916	23245	DUCHOD	WX	39539855
971556	3310	1994-02-13	VYDAJ	PREVOD NA UCET	3277	19383	SIPO	WX	15485203
971557	3310	1994-03-13	VYDAJ	PREVOD NA UCET	3277	21078	SIPO	WX	15485203
971558	3310	1994-04-13	VYDAJ	PREVOD NA UCET	3277	22086	SIPO	WX	15485203
971559	3310	1994-05-13	VYDAJ	PREVOD NA UCET	3277	23800	SIPO	WX	15485203
971560	3310	1994-06-13	VYDAJ	PREVOD NA UCET	3277	13145	SIPO	WX	15485203
971561	3310	1994-07-13	VYDAJ	PREVOD NA UCET	3277	14834	SIPO	WX	15485203
971562	3310	1994-08-13	VYDAJ	PREVOD NA UCET	3277	16518	SIPO	WX	15485203
971563	3310	1994-09-13	VYDAJ	PREVOD NA UCET	3277	15489	SIPO	WX	15485203
971564	3310	1994-10-13	VYDAJ	PREVOD NA UCET	3277	17180	SIPO	WX	15485203
971565	3310	1994-11-13	VYDAJ	PREVOD NA UCET	3277	18873	SIPO	WX	15485203
971566	3310	1994-12-13	VYDAJ	PREVOD NA UCET	3277	15446	SIPO	WX	15485203
971567	3310	1995-01-13	VYDAJ	PREVOD NA UCET	3277	15787	SIPO	WX	15485203
971568	3310	1995-02-13	VYDAJ	PREVOD NA UCET	3277	17474	SIPO	WX	15485203
971569	3310	1995-03-13	VYDAJ	PREVOD NA UCET	3277	19169	SIPO	WX	15485203
971570	3310	1995-04-13	VYDAJ	PREVOD NA UCET	3277	20470	SIPO	WX	15485203
971571	3310	1995-05-13	VYDAJ	PREVOD NA UCET	3277	21781	SIPO	WX	15485203
971572	3310	1995-06-13	VYDAJ	PREVOD NA UCET	3277	23497	SIPO	WX	15485203
971573	3310	1995-07-13	VYDAJ	PREVOD NA UCET	3277	20162	SIPO	WX	15485203
971574	3310	1995-08-13	VYDAJ	PREVOD NA UCET	3277	18873	SIPO	WX	15485203
971575	3310	1995-09-13	VYDAJ	PREVOD NA UCET	3277	20579	SIPO	WX	15485203
971576	3310	1995-10-13	VYDAJ	PREVOD NA UCET	3277	22287	SIPO	WX	15485203
971577	3310	1995-11-13	VYDAJ	PREVOD NA UCET	3277	19761	SIPO	WX	15485203
971578	3310	1995-12-13	VYDAJ	PREVOD NA UCET	3277	21472	SIPO	WX	15485203
971579	3310	1996-01-13	VYDAJ	PREVOD NA UCET	3277	22482	SIPO	WX	15485203
971580	3310	1996-02-13	VYDAJ	PREVOD NA UCET	3277	23197	SIPO	WX	15485203
971581	3310	1996-03-13	VYDAJ	PREVOD NA UCET	3277	24920	SIPO	WX	15485203
971582	3310	1996-04-13	VYDAJ	PREVOD NA UCET	3277	20579	SIPO	WX	15485203
971583	3310	1996-05-13	VYDAJ	PREVOD NA UCET	3277	22292	SIPO	WX	15485203
971584	3310	1996-06-13	VYDAJ	PREVOD NA UCET	3277	20107	SIPO	WX	15485203
971585	3310	1996-07-13	VYDAJ	PREVOD NA UCET	3277	17622	SIPO	WX	15485203
971586	3310	1996-08-13	VYDAJ	PREVOD NA UCET	3277	13723	SIPO	WX	15485203
971587	3310	1996-09-13	VYDAJ	PREVOD NA UCET	3277	12602	SIPO	WX	15485203
971588	3310	1996-10-13	VYDAJ	PREVOD NA UCET	3277	14180	SIPO	WX	15485203
971589	3310	1996-11-13	VYDAJ	PREVOD NA UCET	3277	11700	SIPO	WX	15485203
971590	3310	1996-12-13	VYDAJ	PREVOD NA UCET	3277	13375	SIPO	WX	15485203
971591	3310	1997-01-13	VYDAJ	PREVOD NA UCET	3277	15052	SIPO	WX	15485203
971592	3310	1997-02-13	VYDAJ	PREVOD NA UCET	3277	16736	SIPO	WX	15485203
971593	3310	1997-03-13	VYDAJ	PREVOD NA UCET	3277	14945	SIPO	WX	15485203
971594	3310	1997-04-13	VYDAJ	PREVOD NA UCET	3277	16636	SIPO	WX	15485203
971595	3310	1997-05-13	VYDAJ	PREVOD NA UCET	3277	18327	SIPO	WX	15485203
971596	3310	1997-06-13	VYDAJ	PREVOD NA UCET	3277	15477	SIPO	WX	15485203
971597	3310	1997-07-13	VYDAJ	PREVOD NA UCET	3277	16523	SIPO	WX	15485203
971598	3310	1997-08-13	VYDAJ	PREVOD NA UCET	3277	16917	SIPO	WX	15485203
971599	3310	1997-09-13	VYDAJ	PREVOD NA UCET	3277	14304	SIPO	WX	15485203
971600	3310	1997-10-13	VYDAJ	PREVOD NA UCET	3277	15984	SIPO	WX	15485203
971601	3310	1997-11-13	VYDAJ	PREVOD NA UCET	3277	15469	SIPO	WX	15485203
971602	3310	1997-12-13	VYDAJ	PREVOD NA UCET	3277	17153	SIPO	WX	15485203
971603	3310	1998-01-13	VYDAJ	PREVOD NA UCET	3277	14840	SIPO	WX	15485203
971604	3310	1998-02-13	VYDAJ	PREVOD NA UCET	3277	16523	SIPO	WX	15485203
971605	3310	1998-03-13	VYDAJ	PREVOD NA UCET	3277	15208	SIPO	WX	15485203
971606	3310	1998-04-13	VYDAJ	PREVOD NA UCET	3277	16892	SIPO	WX	15485203
971607	3310	1998-05-13	VYDAJ	PREVOD NA UCET	3277	13061	SIPO	WX	15485203
971608	3310	1998-06-13	VYDAJ	PREVOD NA UCET	3277	14742	SIPO	WX	15485203
971609	3310	1998-07-13	VYDAJ	PREVOD NA UCET	3277	16424	SIPO	WX	15485203
971610	3310	1998-08-13	VYDAJ	PREVOD NA UCET	3277	18112	SIPO	WX	15485203
971611	3310	1998-09-13	VYDAJ	PREVOD NA UCET	3277	19808	SIPO	WX	15485203
971612	3310	1998-10-13	VYDAJ	PREVOD NA UCET	3277	19206	SIPO	WX	15485203
971613	3310	1998-11-13	VYDAJ	PREVOD NA UCET	3277	18266	SIPO	WX	15485203
971614	3310	1998-12-13	VYDAJ	PREVOD NA UCET	3277	18618	SIPO	WX	15485203
971616	3310	1994-06-10	VYDAJ	VYBER	8850	16422	\N	\N	\N
971617	3310	1995-06-18	VYDAJ	VYBER	2150	21347	\N	\N	\N
971618	3310	1996-06-12	VYDAJ	VYBER	3400	23384	\N	\N	\N
971622	3310	1994-12-27	VYDAJ	VYBER	1350	14096	\N	\N	\N
971623	3310	1995-12-18	VYDAJ	VYBER	700	20772	\N	\N	\N
971626	3310	1998-12-06	VYDAJ	VYBER	1350	21895	\N	\N	\N
971633	3310	1994-05-20	VYDAJ	VYBER	3520	20280	\N	\N	\N
971634	3310	1994-02-06	VYDAJ	VYBER	1920	23560	\N	\N	\N
971635	3310	1994-12-08	VYDAJ	VYBER	2160	18723	\N	\N	\N
971636	3310	1994-11-14	VYDAJ	VYBER	2960	15913	\N	\N	\N
971638	3310	1994-09-11	VYDAJ	VYBER	2720	18766	\N	\N	\N
971639	3310	1995-11-09	VYDAJ	VYBER	560	23038	\N	\N	\N
971640	3310	1995-07-20	VYDAJ	VYBER	800	19362	\N	\N	\N
971641	3310	1995-10-31	VYDAJ	VYBER	3680	18682	\N	\N	\N
971644	3310	1996-09-11	VYDAJ	VYBER	2800	15879	\N	\N	\N
971645	3310	1996-11-12	VYDAJ	VYBER	2960	14977	\N	\N	\N
971647	3310	1996-03-14	VYDAJ	VYBER	2960	21960	\N	\N	\N
971648	3310	1997-05-14	VYDAJ	VYBER	1840	16487	\N	\N	\N
971649	3310	1997-07-06	VYDAJ	VYBER	640	19800	\N	\N	\N
971650	3310	1997-03-13	VYDAJ	VYBER	480	18222	\N	\N	\N
971651	3310	1998-11-09	VYDAJ	VYBER	2640	21543	\N	\N	\N
971652	3310	1998-12-30	VYDAJ	VYBER	1280	16638	\N	\N	\N
971653	3310	1998-04-28	VYDAJ	VYBER	1920	14972	\N	\N	\N
971655	3310	1998-05-09	VYDAJ	VYBER	3600	16338	\N	\N	\N
971670	3310	1994-02-28	VYDAJ	VYBER	15	19439	SLUZBY	\N	\N
971671	3310	1994-03-31	VYDAJ	VYBER	15	20447	SLUZBY	\N	\N
971672	3310	1994-04-30	VYDAJ	VYBER	15	22161	SLUZBY	\N	\N
971673	3310	1994-05-31	VYDAJ	VYBER	15	20356	SLUZBY	\N	\N
971674	3310	1994-06-30	VYDAJ	VYBER	15	13195	SLUZBY	\N	\N
971675	3310	1994-07-31	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
971676	3310	1994-08-31	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
971677	3310	1994-09-30	VYDAJ	VYBER	15	15541	SLUZBY	\N	\N
971678	3310	1994-10-31	VYDAJ	VYBER	15	17234	SLUZBY	\N	\N
971679	3310	1994-11-30	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
971680	3310	1994-12-31	VYDAJ	VYBER	15	14148	SLUZBY	\N	\N
971681	3310	1995-01-31	VYDAJ	VYBER	15	15835	SLUZBY	\N	\N
971682	3310	1995-02-28	VYDAJ	VYBER	15	17530	SLUZBY	\N	\N
971683	3310	1995-03-31	VYDAJ	VYBER	15	19231	SLUZBY	\N	\N
971684	3310	1995-04-30	VYDAJ	VYBER	15	20542	SLUZBY	\N	\N
971685	3310	1995-05-31	VYDAJ	VYBER	15	21858	SLUZBY	\N	\N
971686	3310	1995-06-30	VYDAJ	VYBER	15	21423	SLUZBY	\N	\N
971687	3310	1995-07-31	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
971688	3310	1995-08-31	VYDAJ	VYBER	15	18940	SLUZBY	\N	\N
971689	3310	1995-09-30	VYDAJ	VYBER	15	20648	SLUZBY	\N	\N
971690	3310	1995-10-31	VYDAJ	VYBER	15	22362	SLUZBY	\N	\N
971691	3310	1995-11-30	VYDAJ	VYBER	15	19833	SLUZBY	\N	\N
971692	3310	1995-12-31	VYDAJ	VYBER	15	20843	SLUZBY	\N	\N
971693	3310	1996-01-31	VYDAJ	VYBER	15	22558	SLUZBY	\N	\N
971694	3310	1996-02-29	VYDAJ	VYBER	15	23281	SLUZBY	\N	\N
971695	3310	1996-03-31	VYDAJ	VYBER	15	22040	SLUZBY	\N	\N
971696	3310	1996-04-30	VYDAJ	VYBER	15	20653	SLUZBY	\N	\N
971697	3310	1996-05-31	VYDAJ	VYBER	15	22368	SLUZBY	\N	\N
971698	3310	1996-06-30	VYDAJ	VYBER	15	20183	SLUZBY	\N	\N
971699	3310	1996-07-31	VYDAJ	VYBER	15	12084	SLUZBY	\N	\N
971700	3310	1996-08-31	VYDAJ	VYBER	15	13763	SLUZBY	\N	\N
971701	3310	1996-09-30	VYDAJ	VYBER	15	12541	SLUZBY	\N	\N
971702	3310	1996-10-31	VYDAJ	VYBER	15	13021	SLUZBY	\N	\N
971703	3310	1996-11-30	VYDAJ	VYBER	15	11736	SLUZBY	\N	\N
971704	3310	1996-12-31	VYDAJ	VYBER	15	13413	SLUZBY	\N	\N
971705	3310	1997-01-31	VYDAJ	VYBER	15	15097	SLUZBY	\N	\N
971706	3310	1997-02-28	VYDAJ	VYBER	15	13786	SLUZBY	\N	\N
971707	3310	1997-03-31	VYDAJ	VYBER	15	14997	SLUZBY	\N	\N
971708	3310	1997-04-30	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
971709	3310	1997-05-31	VYDAJ	VYBER	15	13838	SLUZBY	\N	\N
971710	3310	1997-06-30	VYDAJ	VYBER	15	15524	SLUZBY	\N	\N
971711	3310	1997-07-31	VYDAJ	VYBER	15	15278	SLUZBY	\N	\N
971712	3310	1997-08-31	VYDAJ	VYBER	15	12665	SLUZBY	\N	\N
971713	3310	1997-09-30	VYDAJ	VYBER	15	14345	SLUZBY	\N	\N
971714	3310	1997-10-31	VYDAJ	VYBER	15	13830	SLUZBY	\N	\N
971715	3310	1997-11-30	VYDAJ	VYBER	15	15514	SLUZBY	\N	\N
971716	3310	1997-12-31	VYDAJ	VYBER	15	13201	SLUZBY	\N	\N
971717	3310	1998-01-31	VYDAJ	VYBER	15	14884	SLUZBY	\N	\N
971718	3310	1998-02-28	VYDAJ	VYBER	15	13569	SLUZBY	\N	\N
971719	3310	1998-03-31	VYDAJ	VYBER	15	15253	SLUZBY	\N	\N
971720	3310	1998-04-30	VYDAJ	VYBER	15	15022	SLUZBY	\N	\N
971721	3310	1998-05-31	VYDAJ	VYBER	15	13103	SLUZBY	\N	\N
971722	3310	1998-06-30	VYDAJ	VYBER	15	14785	SLUZBY	\N	\N
971723	3310	1998-07-31	VYDAJ	VYBER	15	16473	SLUZBY	\N	\N
971724	3310	1998-08-31	VYDAJ	VYBER	15	18169	SLUZBY	\N	\N
971725	3310	1998-09-30	VYDAJ	VYBER	15	17567	SLUZBY	\N	\N
971726	3310	1998-10-31	VYDAJ	VYBER	15	19267	SLUZBY	\N	\N
971727	3310	1998-11-30	VYDAJ	VYBER	15	18329	SLUZBY	\N	\N
971728	3310	1994-02-12	VYDAJ	VYBER	900	22660	\N	\N	\N
971729	3310	1994-03-14	VYDAJ	VYBER	700	20378	\N	\N	\N
971730	3310	1995-04-08	VYDAJ	VYBER	400	23747	\N	\N	\N
971731	3310	1995-05-08	VYDAJ	VYBER	400	25058	\N	\N	\N
971732	3310	1995-07-07	VYDAJ	VYBER	2900	23439	\N	\N	\N
971733	3310	1995-08-06	VYDAJ	VYBER	2200	22150	\N	\N	\N
971734	3310	1996-02-02	VYDAJ	VYBER	1000	21558	\N	\N	\N
971735	3310	1996-04-02	VYDAJ	VYBER	3100	18940	\N	\N	\N
971736	3310	1996-06-01	VYDAJ	VYBER	500	21868	\N	\N	\N
971737	3310	1996-07-01	VYDAJ	VYBER	4200	15983	\N	\N	\N
971738	3310	1996-07-31	VYDAJ	VYBER	5600	12099	\N	\N	\N
971739	3310	1996-09-29	VYDAJ	VYBER	100	12502	\N	\N	\N
971740	3310	1996-10-29	VYDAJ	VYBER	1200	12980	\N	\N	\N
971741	3310	1997-02-26	VYDAJ	VYBER	3000	13736	\N	\N	\N
971742	3310	1997-05-27	VYDAJ	VYBER	2700	13787	\N	\N	\N
971743	3310	1997-07-26	VYDAJ	VYBER	1300	15223	\N	\N	\N
971744	3310	1997-08-25	VYDAJ	VYBER	4300	12617	\N	\N	\N
971745	3310	1997-10-24	VYDAJ	VYBER	2200	13784	\N	\N	\N
971746	3310	1997-12-23	VYDAJ	VYBER	4000	13153	\N	\N	\N
971747	3310	1998-02-21	VYDAJ	VYBER	3000	13523	\N	\N	\N
971748	3310	1998-09-19	VYDAJ	VYBER	2300	17508	\N	\N	\N
971749	3310	1998-12-18	VYDAJ	VYBER	700	17918	\N	\N	\N
971809	3311	1996-08-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
971811	3311	1996-12-10	PRIJEM	VKLAD	23969	76686	\N	\N	\N
971812	3311	1996-10-25	PRIJEM	VKLAD	21524	39624	\N	\N	\N
971813	3311	1996-11-14	PRIJEM	VKLAD	15521	82813	\N	\N	\N
971819	3311	1996-11-02	PRIJEM	VKLAD	27631	67292	\N	\N	\N
971824	3311	1997-11-01	PRIJEM	VKLAD	18298	44307	\N	\N	\N
971825	3311	1997-05-13	PRIJEM	VKLAD	24980	88175	\N	\N	\N
971826	3311	1997-06-20	PRIJEM	VKLAD	8351	20915	\N	\N	\N
971827	3311	1997-03-21	PRIJEM	VKLAD	45342	60001	\N	\N	\N
971828	3311	1997-09-23	PRIJEM	VKLAD	10583	54027	\N	\N	\N
971829	3311	1997-09-07	PRIJEM	VKLAD	11132	97200	\N	\N	\N
971830	3311	1997-12-29	PRIJEM	VKLAD	24040	55381	\N	\N	\N
971831	3311	1997-10-08	PRIJEM	VKLAD	9396	77200	\N	\N	\N
971832	3311	1997-12-22	PRIJEM	VKLAD	27774	37148	\N	\N	\N
971833	3311	1997-06-25	PRIJEM	VKLAD	37226	58141	\N	\N	\N
971834	3311	1997-05-10	PRIJEM	VKLAD	46233	67316	\N	\N	\N
971835	3311	1997-08-03	PRIJEM	VKLAD	5272	41489	\N	\N	\N
971836	3311	1997-09-04	PRIJEM	VKLAD	45900	86068	\N	\N	\N
971837	3311	1997-08-22	PRIJEM	VKLAD	22512	40045	\N	\N	\N
971838	3311	1997-06-30	PRIJEM	VKLAD	23185	81452	\N	\N	\N
971839	3311	1997-03-24	PRIJEM	VKLAD	17261	77262	\N	\N	\N
971840	3311	1997-10-03	PRIJEM	VKLAD	13566	67804	\N	\N	\N
971841	3311	1998-05-18	PRIJEM	VKLAD	27417	86069	\N	\N	\N
971842	3311	1998-04-25	PRIJEM	VKLAD	25030	87275	\N	\N	\N
971843	3311	1998-02-06	PRIJEM	VKLAD	46887	67596	\N	\N	\N
971844	3311	1998-11-30	PRIJEM	VKLAD	26175	93202	\N	\N	\N
971845	3311	1998-06-20	PRIJEM	VKLAD	20392	76251	\N	\N	\N
971846	3311	1998-10-23	PRIJEM	VKLAD	41479	97662	\N	\N	\N
971847	3311	1998-10-09	PRIJEM	VKLAD	11984	60304	\N	\N	\N
971848	3311	1998-10-03	PRIJEM	VKLAD	45543	87555	\N	\N	\N
971849	3311	1998-12-11	PRIJEM	VKLAD	46209	109770	\N	\N	\N
971850	3311	1998-03-19	PRIJEM	VKLAD	17408	30565	\N	\N	\N
971851	3311	1998-03-31	PRIJEM	VKLAD	7559	93919	\N	\N	\N
971852	3311	1998-09-02	PRIJEM	VKLAD	25632	128637	\N	\N	\N
971853	3311	1998-03-24	PRIJEM	VKLAD	46178	76743	\N	\N	\N
971854	3311	1998-03-26	PRIJEM	VKLAD	9617	86360	\N	\N	\N
971855	3311	1998-12-06	PRIJEM	VKLAD	49809	142996	\N	\N	\N
971856	3311	1998-06-10	PRIJEM	VKLAD	22188	59980	\N	\N	\N
971857	3311	1998-05-12	PRIJEM	VKLAD	27002	62107	\N	\N	\N
971858	3311	1998-05-08	PRIJEM	VKLAD	33421	120906	\N	\N	\N
971859	3311	1998-02-24	PRIJEM	VKLAD	6566	34906	\N	\N	\N
971860	3311	1998-11-11	PRIJEM	VKLAD	15720	70849	\N	\N	\N
971861	3311	1998-07-17	PRIJEM	VKLAD	38272	77914	\N	\N	\N
971862	3311	1998-04-23	PRIJEM	VKLAD	40150	62245	\N	\N	\N
971863	3311	1998-08-04	PRIJEM	VKLAD	24805	94979	\N	\N	\N
971864	3311	1998-04-04	PRIJEM	VKLAD	24006	118078	\N	\N	\N
971865	3311	1998-08-10	PRIJEM	VKLAD	14971	77115	\N	\N	\N
971866	3311	1998-08-13	PRIJEM	VKLAD	29650	102644	\N	\N	\N
971918	3311	1997-04-08	VYDAJ	PREVOD NA UCET	4035	59773	SIPO	IJ	92903273
971919	3311	1997-05-08	VYDAJ	PREVOD NA UCET	4035	21083	SIPO	IJ	92903273
971920	3311	1997-06-08	VYDAJ	PREVOD NA UCET	4035	24885	SIPO	IJ	92903273
971921	3311	1997-07-08	VYDAJ	PREVOD NA UCET	4035	77403	SIPO	IJ	92903273
971922	3311	1997-08-08	VYDAJ	PREVOD NA UCET	4035	37454	SIPO	IJ	92903273
971923	3311	1997-09-08	VYDAJ	PREVOD NA UCET	4035	93165	SIPO	IJ	92903273
971924	3311	1997-10-08	VYDAJ	PREVOD NA UCET	4035	73165	SIPO	IJ	92903273
971925	3311	1997-11-08	VYDAJ	PREVOD NA UCET	4035	40272	SIPO	IJ	92903273
971926	3311	1997-12-08	VYDAJ	PREVOD NA UCET	4035	13495	SIPO	IJ	92903273
971927	3311	1998-01-08	VYDAJ	PREVOD NA UCET	4035	28625	SIPO	IJ	92903273
971928	3311	1998-02-08	VYDAJ	PREVOD NA UCET	4035	63561	SIPO	IJ	92903273
971929	3311	1998-03-08	VYDAJ	PREVOD NA UCET	4035	21978	SIPO	IJ	92903273
971930	3311	1998-04-08	VYDAJ	PREVOD NA UCET	4035	62343	SIPO	IJ	92903273
971931	3311	1998-05-08	VYDAJ	PREVOD NA UCET	4035	58871	SIPO	IJ	92903273
971932	3311	1998-06-08	VYDAJ	PREVOD NA UCET	4035	55392	SIPO	IJ	92903273
971933	3311	1998-07-08	VYDAJ	PREVOD NA UCET	4035	62863	SIPO	IJ	92903273
971934	3311	1998-08-08	VYDAJ	PREVOD NA UCET	4035	90944	SIPO	IJ	92903273
971935	3311	1998-09-08	VYDAJ	PREVOD NA UCET	4035	45902	SIPO	IJ	92903273
971936	3311	1998-10-08	VYDAJ	PREVOD NA UCET	4035	48320	SIPO	IJ	92903273
971937	3311	1998-11-08	VYDAJ	PREVOD NA UCET	4035	55129	SIPO	IJ	92903273
971938	3311	1998-12-08	VYDAJ	PREVOD NA UCET	4035	63561	SIPO	IJ	92903273
971954	3311	1997-04-11	VYDAJ	PREVOD NA UCET	666	59107	 	QR	81377613
971955	3311	1997-05-11	VYDAJ	PREVOD NA UCET	666	66650	 	QR	81377613
971956	3311	1997-06-11	VYDAJ	PREVOD NA UCET	666	24219	 	QR	81377613
971957	3311	1997-07-11	VYDAJ	PREVOD NA UCET	666	76737	 	QR	81377613
971958	3311	1997-08-11	VYDAJ	PREVOD NA UCET	666	36788	 	QR	81377613
972112	3311	1996-11-16	VYDAJ	VYBER	30300	52513	\N	\N	\N
971959	3311	1997-09-11	VYDAJ	PREVOD NA UCET	666	92499	 	QR	81377613
971960	3311	1997-10-11	VYDAJ	PREVOD NA UCET	666	72499	 	QR	81377613
971961	3311	1997-11-11	VYDAJ	PREVOD NA UCET	666	39606	 	QR	81377613
971962	3311	1997-12-11	VYDAJ	PREVOD NA UCET	666	12829	 	QR	81377613
971963	3311	1998-01-11	VYDAJ	PREVOD NA UCET	666	24059	 	QR	81377613
971964	3311	1998-02-11	VYDAJ	PREVOD NA UCET	666	31795	 	QR	81377613
971965	3311	1998-03-11	VYDAJ	PREVOD NA UCET	666	16612	 	QR	81377613
971966	3311	1998-04-11	VYDAJ	PREVOD NA UCET	666	29150	 	QR	81377613
971967	3311	1998-05-11	VYDAJ	PREVOD NA UCET	666	35105	 	QR	81377613
971968	3311	1998-06-11	VYDAJ	PREVOD NA UCET	666	59314	 	QR	81377613
971969	3311	1998-07-11	VYDAJ	PREVOD NA UCET	666	43097	 	QR	81377613
971970	3311	1998-08-11	VYDAJ	PREVOD NA UCET	666	76449	 	QR	81377613
971971	3311	1998-09-11	VYDAJ	PREVOD NA UCET	666	45236	 	QR	81377613
971972	3311	1998-10-11	VYDAJ	PREVOD NA UCET	666	59638	 	QR	81377613
971973	3311	1998-11-11	VYDAJ	PREVOD NA UCET	666	70183	 	QR	81377613
971974	3311	1998-12-11	VYDAJ	PREVOD NA UCET	666	88104	 	QR	81377613
971990	3311	1997-04-12	VYDAJ	PREVOD NA UCET	3455	55652	POJISTNE	OP	18833959
971991	3311	1997-05-12	VYDAJ	PREVOD NA UCET	3455	63195	POJISTNE	OP	18833959
971992	3311	1997-06-12	VYDAJ	PREVOD NA UCET	3455	20764	POJISTNE	OP	18833959
971993	3311	1997-07-12	VYDAJ	PREVOD NA UCET	3455	73282	POJISTNE	OP	18833959
971994	3311	1997-08-12	VYDAJ	PREVOD NA UCET	3455	33333	POJISTNE	OP	18833959
971995	3311	1997-09-12	VYDAJ	PREVOD NA UCET	3455	43444	POJISTNE	OP	18833959
971996	3311	1997-10-12	VYDAJ	PREVOD NA UCET	3455	69044	POJISTNE	OP	18833959
971997	3311	1997-11-12	VYDAJ	PREVOD NA UCET	3455	17451	POJISTNE	OP	18833959
971998	3311	1997-12-12	VYDAJ	PREVOD NA UCET	3455	9374	POJISTNE	OP	18833959
971999	3311	1998-01-12	VYDAJ	PREVOD NA UCET	3455	20604	POJISTNE	OP	18833959
972000	3311	1998-02-12	VYDAJ	PREVOD NA UCET	3455	28340	POJISTNE	OP	18833959
972001	3311	1998-03-12	VYDAJ	PREVOD NA UCET	3455	13157	POJISTNE	OP	18833959
972002	3311	1998-04-12	VYDAJ	PREVOD NA UCET	3455	25695	POJISTNE	OP	18833959
972003	3311	1998-05-12	VYDAJ	PREVOD NA UCET	3455	58652	POJISTNE	OP	18833959
972004	3311	1998-06-12	VYDAJ	PREVOD NA UCET	3455	55859	POJISTNE	OP	18833959
972005	3311	1998-07-12	VYDAJ	PREVOD NA UCET	3455	39642	POJISTNE	OP	18833959
972006	3311	1998-08-12	VYDAJ	PREVOD NA UCET	3455	72994	POJISTNE	OP	18833959
972007	3311	1998-09-12	VYDAJ	PREVOD NA UCET	3455	41781	POJISTNE	OP	18833959
972008	3311	1998-10-12	VYDAJ	PREVOD NA UCET	3455	56183	POJISTNE	OP	18833959
972009	3311	1998-11-12	VYDAJ	PREVOD NA UCET	3455	66728	POJISTNE	OP	18833959
972010	3311	1998-12-12	VYDAJ	PREVOD NA UCET	3455	84649	POJISTNE	OP	18833959
972013	3311	1997-05-17	VYBER	VYBER	12393	32682	\N	\N	\N
972016	3311	1997-03-25	VYBER	VYBER	7958	69304	\N	\N	\N
972018	3311	1997-08-02	VYBER	VYBER	3385	36217	\N	\N	\N
972020	3311	1997-12-27	VYBER	VYBER	5807	31341	\N	\N	\N
972025	3311	1998-10-31	VYBER	VYBER	8368	89579	\N	\N	\N
972026	3311	1998-05-19	VYBER	VYBER	13714	72355	\N	\N	\N
972027	3311	1998-07-29	VYBER	VYBER	7995	69919	\N	\N	\N
972028	3311	1998-04-09	VYBER	VYBER	12527	49816	\N	\N	\N
972037	3311	1998-12-16	VYDAJ	VYBER	7500	77149	\N	\N	\N
972050	3311	1998-01-07	VYDAJ	VYBER	6300	49160	\N	\N	\N
972052	3311	1998-01-07	VYDAJ	VYBER	8700	40460	\N	\N	\N
972054	3311	1998-01-09	VYDAJ	VYBER	3900	24725	\N	\N	\N
972055	3311	1998-01-08	VYDAJ	VYBER	7800	32660	\N	\N	\N
972060	3311	1997-05-21	VYDAJ	VYBER	3900	28782	\N	\N	\N
972061	3311	1997-04-16	VYDAJ	VYBER	9000	24952	\N	\N	\N
972062	3311	1997-10-26	VYDAJ	VYBER	11100	25844	\N	\N	\N
972067	3311	1997-04-03	VYDAJ	VYBER	5700	63808	\N	\N	\N
972069	3311	1998-03-04	VYDAJ	VYBER	9000	26013	\N	\N	\N
972070	3311	1998-04-14	VYDAJ	VYBER	3600	22095	\N	\N	\N
972071	3311	1998-10-04	VYDAJ	VYBER	9900	77655	\N	\N	\N
972072	3311	1998-05-27	VYDAJ	VYBER	13200	59155	\N	\N	\N
972073	3311	1998-06-28	VYDAJ	VYBER	9600	66651	\N	\N	\N
972089	3311	1997-03-31	VYDAJ	VYBER	15	69508	SLUZBY	\N	\N
972090	3311	1997-04-30	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
972091	3311	1997-05-31	VYDAJ	VYBER	15	28920	SLUZBY	\N	\N
972092	3311	1997-06-30	VYDAJ	VYBER	15	81438	SLUZBY	\N	\N
972093	3311	1997-07-31	VYDAJ	VYBER	15	39602	SLUZBY	\N	\N
972094	3311	1997-08-31	VYDAJ	VYBER	15	40168	SLUZBY	\N	\N
972095	3311	1997-09-30	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
972096	3311	1997-10-31	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
972097	3311	1997-11-30	VYDAJ	VYBER	15	17530	SLUZBY	\N	\N
972098	3311	1997-12-31	VYDAJ	VYBER	15	55460	SLUZBY	\N	\N
972099	3311	1998-01-31	VYDAJ	VYBER	15	20709	SLUZBY	\N	\N
972100	3311	1998-02-28	VYDAJ	VYBER	15	35013	SLUZBY	\N	\N
972101	3311	1998-03-31	VYDAJ	VYBER	15	94072	SLUZBY	\N	\N
972102	3311	1998-04-30	VYDAJ	VYBER	15	87485	SLUZBY	\N	\N
972103	3311	1998-05-31	VYDAJ	VYBER	15	59427	SLUZBY	\N	\N
972104	3311	1998-06-30	VYDAJ	VYBER	15	66898	SLUZBY	\N	\N
972105	3311	1998-07-31	VYDAJ	VYBER	15	70174	SLUZBY	\N	\N
972106	3311	1998-08-31	VYDAJ	VYBER	15	103005	SLUZBY	\N	\N
972107	3311	1998-09-30	VYDAJ	VYBER	15	42012	SLUZBY	\N	\N
972108	3311	1998-10-31	VYDAJ	VYBER	15	89564	SLUZBY	\N	\N
972109	3311	1998-11-30	VYDAJ	VYBER	15	93187	SLUZBY	\N	\N
972110	3311	1996-09-17	PRIJEM	VKLAD	11000	12000	\N	\N	\N
972111	3311	1996-10-17	PRIJEM	VKLAD	6100	18100	\N	\N	\N
972113	3311	1996-12-16	VYDAJ	VYBER	32200	44486	\N	\N	\N
972114	3311	1997-01-15	VYDAJ	VYBER	16800	27888	\N	\N	\N
972115	3311	1997-02-14	VYDAJ	VYBER	10800	17273	\N	\N	\N
972116	3311	1997-03-16	VYDAJ	VYBER	2800	14659	\N	\N	\N
972117	3311	1997-04-15	VYDAJ	VYBER	21700	33952	\N	\N	\N
972118	3311	1997-05-15	VYDAJ	VYBER	43100	45075	\N	\N	\N
972119	3311	1997-06-14	VYDAJ	VYBER	8200	12564	\N	\N	\N
972120	3311	1997-07-14	VYDAJ	VYBER	33900	39382	\N	\N	\N
972121	3311	1997-08-13	VYDAJ	VYBER	15800	17533	\N	\N	\N
972122	3311	1997-09-12	VYDAJ	VYBER	45600	46899	\N	\N	\N
972123	3311	1997-10-12	VYDAJ	VYBER	32100	36944	\N	\N	\N
972124	3311	1997-11-11	VYDAJ	VYBER	18700	20906	\N	\N	\N
972125	3311	1998-02-09	VYDAJ	VYBER	31100	32461	\N	\N	\N
972126	3311	1998-03-11	VYDAJ	VYBER	4700	17278	\N	\N	\N
972127	3311	1998-04-04	VYDAJ	VYBER	51700	66378	\N	\N	\N
972128	3311	1998-04-10	VYDAJ	VYBER	20000	29816	\N	\N	\N
972129	3311	1998-05-08	VYDAJ	VYBER	58000	62906	\N	\N	\N
972130	3311	1998-05-10	VYDAJ	VYBER	23100	35771	\N	\N	\N
972131	3311	1998-06-09	VYDAJ	VYBER	17600	37792	\N	\N	\N
972132	3311	1998-07-09	VYDAJ	VYBER	19100	43763	\N	\N	\N
972133	3311	1998-08-08	VYDAJ	VYBER	28800	62144	\N	\N	\N
972134	3311	1998-09-02	VYDAJ	VYBER	54400	74237	\N	\N	\N
972135	3311	1998-09-07	VYDAJ	VYBER	24300	49937	\N	\N	\N
972136	3311	1998-10-07	VYDAJ	VYBER	25300	52355	\N	\N	\N
972137	3311	1998-11-06	VYDAJ	VYBER	30400	59164	\N	\N	\N
972138	3311	1998-12-06	VYDAJ	VYBER	38900	104096	\N	\N	\N
972139	3311	1998-12-06	VYDAJ	VYBER	36500	67596	\N	\N	\N
972140	3311	1998-12-11	VYDAJ	VYBER	21000	88770	\N	\N	\N
972168	3312	1996-12-04	PRIJEM	VKLAD	700	700	\N	\N	\N
972180	3312	1996-12-07	PRIJEM	PREVOD Z UCTU	2947	3647	\N	MN	89672344
972181	3312	1997-01-07	PRIJEM	PREVOD Z UCTU	2947	20306	\N	MN	89672344
972182	3312	1997-02-07	PRIJEM	PREVOD Z UCTU	2947	23024	\N	MN	89672344
972183	3312	1997-03-07	PRIJEM	PREVOD Z UCTU	2947	26465	\N	MN	89672344
972184	3312	1997-04-07	PRIJEM	PREVOD Z UCTU	2947	32119	\N	MN	89672344
972185	3312	1997-05-07	PRIJEM	PREVOD Z UCTU	2947	31514	\N	MN	89672344
972186	3312	1997-06-07	PRIJEM	PREVOD Z UCTU	2947	34009	\N	MN	89672344
972187	3312	1997-07-07	PRIJEM	PREVOD Z UCTU	2947	30776	\N	MN	89672344
972188	3312	1997-08-07	PRIJEM	PREVOD Z UCTU	2947	33667	\N	MN	89672344
972189	3312	1997-09-07	PRIJEM	PREVOD Z UCTU	2947	33739	\N	MN	89672344
972190	3312	1997-10-07	PRIJEM	PREVOD Z UCTU	2947	36832	\N	MN	89672344
972191	3312	1997-11-07	PRIJEM	PREVOD Z UCTU	2947	38549	\N	MN	89672344
972192	3312	1997-12-07	PRIJEM	PREVOD Z UCTU	2947	38500	\N	MN	89672344
972193	3312	1998-01-07	PRIJEM	PREVOD Z UCTU	2947	36872	\N	MN	89672344
972194	3312	1998-02-07	PRIJEM	PREVOD Z UCTU	2947	42550	\N	MN	89672344
972195	3312	1998-03-07	PRIJEM	PREVOD Z UCTU	2947	45029	\N	MN	89672344
972196	3312	1998-04-07	PRIJEM	PREVOD Z UCTU	2947	42579	\N	MN	89672344
972197	3312	1998-05-07	PRIJEM	PREVOD Z UCTU	2947	38236	\N	MN	89672344
972198	3312	1998-06-07	PRIJEM	PREVOD Z UCTU	2947	36857	\N	MN	89672344
972199	3312	1998-07-07	PRIJEM	PREVOD Z UCTU	2947	33074	\N	MN	89672344
972200	3312	1998-08-07	PRIJEM	PREVOD Z UCTU	2947	28971	\N	MN	89672344
972201	3312	1998-09-07	PRIJEM	PREVOD Z UCTU	2947	29454	\N	MN	89672344
972202	3312	1998-10-07	PRIJEM	PREVOD Z UCTU	2947	28265	\N	MN	89672344
972203	3312	1998-11-07	PRIJEM	PREVOD Z UCTU	2947	26443	\N	MN	89672344
972204	3312	1998-12-07	PRIJEM	PREVOD Z UCTU	2947	26715	\N	MN	89672344
972221	3312	1997-05-05	VYDAJ	PREVOD NA UCET	813	28567	SIPO	MN	34514337
972222	3312	1997-06-05	VYDAJ	PREVOD NA UCET	813	31062	SIPO	MN	34514337
972223	3312	1997-07-05	VYDAJ	PREVOD NA UCET	813	27829	SIPO	MN	34514337
972224	3312	1997-08-05	VYDAJ	PREVOD NA UCET	813	30720	SIPO	MN	34514337
972225	3312	1997-09-05	VYDAJ	PREVOD NA UCET	813	30792	SIPO	MN	34514337
972226	3312	1997-10-05	VYDAJ	PREVOD NA UCET	813	33885	SIPO	MN	34514337
972227	3312	1997-11-05	VYDAJ	PREVOD NA UCET	813	35602	SIPO	MN	34514337
972228	3312	1997-12-05	VYDAJ	PREVOD NA UCET	813	35553	SIPO	MN	34514337
972229	3312	1998-01-05	VYDAJ	PREVOD NA UCET	813	34345	SIPO	MN	34514337
972230	3312	1998-02-05	VYDAJ	PREVOD NA UCET	813	39603	SIPO	MN	34514337
972231	3312	1998-03-05	VYDAJ	PREVOD NA UCET	813	42082	SIPO	MN	34514337
972232	3312	1998-04-05	VYDAJ	PREVOD NA UCET	813	39632	SIPO	MN	34514337
972233	3312	1998-05-05	VYDAJ	PREVOD NA UCET	813	35289	SIPO	MN	34514337
972234	3312	1998-06-05	VYDAJ	PREVOD NA UCET	813	33910	SIPO	MN	34514337
972235	3312	1998-07-05	VYDAJ	PREVOD NA UCET	813	30127	SIPO	MN	34514337
972236	3312	1998-08-05	VYDAJ	PREVOD NA UCET	813	26024	SIPO	MN	34514337
972237	3312	1998-09-05	VYDAJ	PREVOD NA UCET	813	26507	SIPO	MN	34514337
972238	3312	1998-10-05	VYDAJ	PREVOD NA UCET	813	25318	SIPO	MN	34514337
972239	3312	1998-11-05	VYDAJ	PREVOD NA UCET	813	23496	SIPO	MN	34514337
972240	3312	1998-12-05	VYDAJ	PREVOD NA UCET	813	23768	SIPO	MN	34514337
972256	3312	1997-04-10	VYDAJ	PREVOD NA UCET	789	31000	 	MN	91536551
972257	3312	1997-05-10	VYDAJ	PREVOD NA UCET	789	30395	 	MN	91536551
972258	3312	1997-06-10	VYDAJ	PREVOD NA UCET	789	32500	 	MN	91536551
972259	3312	1997-07-10	VYDAJ	PREVOD NA UCET	789	29657	 	MN	91536551
972260	3312	1997-08-10	VYDAJ	PREVOD NA UCET	789	32548	 	MN	91536551
972261	3312	1997-09-10	VYDAJ	PREVOD NA UCET	789	32620	 	MN	91536551
972262	3312	1997-10-10	VYDAJ	PREVOD NA UCET	789	35713	 	MN	91536551
972263	3312	1997-11-10	VYDAJ	PREVOD NA UCET	789	36560	 	MN	91536551
972264	3312	1997-12-10	VYDAJ	PREVOD NA UCET	789	36991	 	MN	91536551
972265	3312	1998-01-10	VYDAJ	PREVOD NA UCET	789	35333	 	MN	91536551
972266	3312	1998-02-10	VYDAJ	PREVOD NA UCET	789	41071	 	MN	91536551
972267	3312	1998-03-10	VYDAJ	PREVOD NA UCET	789	43910	 	MN	91536551
972268	3312	1998-04-10	VYDAJ	PREVOD NA UCET	789	41460	 	MN	91536551
972269	3312	1998-05-10	VYDAJ	PREVOD NA UCET	789	37117	 	MN	91536551
972270	3312	1998-06-10	VYDAJ	PREVOD NA UCET	789	35738	 	MN	91536551
972271	3312	1998-07-10	VYDAJ	PREVOD NA UCET	789	31955	 	MN	91536551
972272	3312	1998-08-10	VYDAJ	PREVOD NA UCET	789	27852	 	MN	91536551
972273	3312	1998-09-10	VYDAJ	PREVOD NA UCET	789	28335	 	MN	91536551
972274	3312	1998-10-10	VYDAJ	PREVOD NA UCET	789	27146	 	MN	91536551
972275	3312	1998-11-10	VYDAJ	PREVOD NA UCET	789	25324	 	MN	91536551
972276	3312	1998-12-10	VYDAJ	PREVOD NA UCET	789	25596	 	MN	91536551
972292	3312	1997-04-09	VYDAJ	PREVOD NA UCET	330	31789	POJISTNE	AB	79964786
972293	3312	1997-05-09	VYDAJ	PREVOD NA UCET	330	31184	POJISTNE	AB	79964786
972294	3312	1997-06-09	VYDAJ	PREVOD NA UCET	330	33289	POJISTNE	AB	79964786
972295	3312	1997-07-09	VYDAJ	PREVOD NA UCET	330	30446	POJISTNE	AB	79964786
972296	3312	1997-08-09	VYDAJ	PREVOD NA UCET	330	33337	POJISTNE	AB	79964786
972297	3312	1997-09-09	VYDAJ	PREVOD NA UCET	330	33409	POJISTNE	AB	79964786
972298	3312	1997-10-09	VYDAJ	PREVOD NA UCET	330	36502	POJISTNE	AB	79964786
972299	3312	1997-11-09	VYDAJ	PREVOD NA UCET	330	37349	POJISTNE	AB	79964786
972300	3312	1997-12-09	VYDAJ	PREVOD NA UCET	330	37780	POJISTNE	AB	79964786
972301	3312	1998-01-09	VYDAJ	PREVOD NA UCET	330	36542	POJISTNE	AB	79964786
972302	3312	1998-02-09	VYDAJ	PREVOD NA UCET	330	41860	POJISTNE	AB	79964786
972303	3312	1998-03-09	VYDAJ	PREVOD NA UCET	330	44699	POJISTNE	AB	79964786
972304	3312	1998-04-09	VYDAJ	PREVOD NA UCET	330	42249	POJISTNE	AB	79964786
972305	3312	1998-05-09	VYDAJ	PREVOD NA UCET	330	37906	POJISTNE	AB	79964786
972306	3312	1998-06-09	VYDAJ	PREVOD NA UCET	330	36527	POJISTNE	AB	79964786
972307	3312	1998-07-09	VYDAJ	PREVOD NA UCET	330	32744	POJISTNE	AB	79964786
972308	3312	1998-08-09	VYDAJ	PREVOD NA UCET	330	28641	POJISTNE	AB	79964786
972309	3312	1998-09-09	VYDAJ	PREVOD NA UCET	330	29124	POJISTNE	AB	79964786
972310	3312	1998-10-09	VYDAJ	PREVOD NA UCET	330	27935	POJISTNE	AB	79964786
972311	3312	1998-11-09	VYDAJ	PREVOD NA UCET	330	26113	POJISTNE	AB	79964786
972312	3312	1998-12-09	VYDAJ	PREVOD NA UCET	330	26385	POJISTNE	AB	79964786
972328	3312	1997-04-13	VYDAJ	PREVOD NA UCET	32	30968	 	MN	21088898
972329	3312	1997-05-13	VYDAJ	PREVOD NA UCET	32	30363	 	MN	21088898
972330	3312	1997-06-13	VYDAJ	PREVOD NA UCET	32	32468	 	MN	21088898
972331	3312	1997-07-13	VYDAJ	PREVOD NA UCET	32	29625	 	MN	21088898
972332	3312	1997-08-13	VYDAJ	PREVOD NA UCET	32	32516	 	MN	21088898
972333	3312	1997-09-13	VYDAJ	PREVOD NA UCET	32	32588	 	MN	21088898
972334	3312	1997-10-13	VYDAJ	PREVOD NA UCET	32	35681	 	MN	21088898
972335	3312	1997-11-13	VYDAJ	PREVOD NA UCET	32	36528	 	MN	21088898
972336	3312	1997-12-13	VYDAJ	PREVOD NA UCET	32	36959	 	MN	21088898
972337	3312	1998-01-13	VYDAJ	PREVOD NA UCET	32	34941	 	MN	21088898
972338	3312	1998-02-13	VYDAJ	PREVOD NA UCET	32	41039	 	MN	21088898
972339	3312	1998-03-13	VYDAJ	PREVOD NA UCET	32	43878	 	MN	21088898
972340	3312	1998-04-13	VYDAJ	PREVOD NA UCET	32	40948	 	MN	21088898
972341	3312	1998-05-13	VYDAJ	PREVOD NA UCET	32	37085	 	MN	21088898
972342	3312	1998-06-13	VYDAJ	PREVOD NA UCET	32	35706	 	MN	21088898
972343	3312	1998-07-13	VYDAJ	PREVOD NA UCET	32	31923	 	MN	21088898
972344	3312	1998-08-13	VYDAJ	PREVOD NA UCET	32	27820	 	MN	21088898
972345	3312	1998-09-13	VYDAJ	PREVOD NA UCET	32	26833	 	MN	21088898
972346	3312	1998-10-13	VYDAJ	PREVOD NA UCET	32	27114	 	MN	21088898
972347	3312	1998-11-13	VYDAJ	PREVOD NA UCET	32	25292	 	MN	21088898
972348	3312	1998-12-13	VYDAJ	PREVOD NA UCET	32	24814	 	MN	21088898
972350	3312	1997-06-19	VYDAJ	VYBER	3390	29078	\N	\N	\N
972351	3312	1998-06-16	VYDAJ	VYBER	4590	31116	\N	\N	\N
972354	3312	1998-01-01	VYDAJ	VYBER	1740	35458	\N	\N	\N
972356	3312	1997-12-09	VYDAJ	VYBER	390	38110	\N	\N	\N
972357	3312	1998-12-13	VYDAJ	VYBER	750	24846	\N	\N	\N
972370	3312	1998-01-10	VYDAJ	VYBER	420	36122	\N	\N	\N
972371	3312	1998-01-04	VYDAJ	VYBER	300	35158	\N	\N	\N
972372	3312	1998-01-30	VYDAJ	VYBER	360	40281	\N	\N	\N
972373	3312	1998-01-06	VYDAJ	VYBER	420	33925	\N	\N	\N
972374	3312	1998-01-10	VYDAJ	VYBER	360	34973	\N	\N	\N
972375	3312	1998-01-20	VYDAJ	VYBER	390	34041	\N	\N	\N
972382	3312	1997-06-08	VYDAJ	VYBER	390	33619	\N	\N	\N
972383	3312	1997-11-08	VYDAJ	VYBER	870	37679	\N	\N	\N
972384	3312	1997-09-22	VYDAJ	VYBER	810	31778	\N	\N	\N
972385	3312	1997-07-04	VYDAJ	VYBER	750	28642	\N	\N	\N
972386	3312	1997-08-28	VYDAJ	VYBER	1230	31286	\N	\N	\N
972387	3312	1998-01-16	VYDAJ	VYBER	240	34431	\N	\N	\N
972388	3312	1998-04-12	VYDAJ	VYBER	480	40980	\N	\N	\N
972389	3312	1998-02-07	VYDAJ	VYBER	360	42190	\N	\N	\N
972390	3312	1998-01-16	VYDAJ	VYBER	270	34671	\N	\N	\N
972391	3312	1998-09-12	VYDAJ	VYBER	1110	26865	\N	\N	\N
972392	3312	1998-09-12	VYDAJ	VYBER	360	27975	\N	\N	\N
972409	3312	1997-04-30	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
972410	3312	1997-05-31	VYDAJ	VYBER	15	30475	SLUZBY	\N	\N
972411	3312	1997-06-30	VYDAJ	VYBER	15	29192	SLUZBY	\N	\N
972412	3312	1997-07-31	VYDAJ	VYBER	15	29733	SLUZBY	\N	\N
972413	3312	1997-08-31	VYDAJ	VYBER	15	31605	SLUZBY	\N	\N
972414	3312	1997-09-30	VYDAJ	VYBER	15	34698	SLUZBY	\N	\N
972415	3312	1997-10-31	VYDAJ	VYBER	15	36415	SLUZBY	\N	\N
972416	3312	1997-11-30	VYDAJ	VYBER	15	36366	SLUZBY	\N	\N
972417	3312	1997-12-31	VYDAJ	VYBER	15	37198	SLUZBY	\N	\N
972418	3312	1998-01-31	VYDAJ	VYBER	15	40416	SLUZBY	\N	\N
972419	3312	1998-02-28	VYDAJ	VYBER	15	42895	SLUZBY	\N	\N
972420	3312	1998-03-31	VYDAJ	VYBER	15	40445	SLUZBY	\N	\N
972421	3312	1998-04-30	VYDAJ	VYBER	15	36102	SLUZBY	\N	\N
972422	3312	1998-05-31	VYDAJ	VYBER	15	34723	SLUZBY	\N	\N
972423	3312	1998-06-30	VYDAJ	VYBER	15	30940	SLUZBY	\N	\N
972424	3312	1998-07-31	VYDAJ	VYBER	15	26837	SLUZBY	\N	\N
972425	3312	1998-08-31	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
972426	3312	1998-09-30	VYDAJ	VYBER	15	26131	SLUZBY	\N	\N
972427	3312	1998-10-31	VYDAJ	VYBER	15	24309	SLUZBY	\N	\N
972428	3312	1998-11-30	VYDAJ	VYBER	15	24581	SLUZBY	\N	\N
972429	3312	1997-01-03	PRIJEM	VKLAD	13700	17359	\N	\N	\N
972430	3312	1997-02-02	VYDAJ	VYBER	300	20077	\N	\N	\N
972431	3312	1997-03-04	PRIJEM	VKLAD	400	23518	\N	\N	\N
972432	3312	1997-04-03	PRIJEM	VKLAD	2600	29172	\N	\N	\N
972433	3312	1997-05-03	VYDAJ	VYBER	1700	29380	\N	\N	\N
972434	3312	1997-06-02	PRIJEM	VKLAD	1400	31875	\N	\N	\N
972435	3312	1997-07-02	PRIJEM	VKLAD	200	29392	\N	\N	\N
972436	3312	1997-08-01	PRIJEM	VKLAD	1800	31533	\N	\N	\N
972437	3312	1997-08-31	PRIJEM	VKLAD	200	31486	\N	\N	\N
972438	3312	1997-09-30	PRIJEM	VKLAD	2800	34713	\N	\N	\N
972439	3312	1997-10-30	PRIJEM	VKLAD	600	36281	\N	\N	\N
972440	3312	1997-11-29	VYDAJ	VYBER	300	36228	\N	\N	\N
972441	3312	1997-12-29	PRIJEM	VKLAD	100	37059	\N	\N	\N
972442	3312	1998-01-28	PRIJEM	VKLAD	6600	40641	\N	\N	\N
972443	3312	1998-02-27	PRIJEM	VKLAD	1700	42739	\N	\N	\N
972444	3312	1998-03-29	VYDAJ	VYBER	3600	40278	\N	\N	\N
972445	3312	1998-04-28	VYDAJ	VYBER	5000	35948	\N	\N	\N
972446	3312	1998-05-28	VYDAJ	VYBER	2500	34585	\N	\N	\N
972447	3312	1998-06-27	VYDAJ	VYBER	300	30816	\N	\N	\N
972448	3312	1998-07-27	VYDAJ	VYBER	5200	26723	\N	\N	\N
972449	3312	1998-08-26	VYDAJ	VYBER	600	27220	\N	\N	\N
972450	3312	1998-09-25	VYDAJ	VYBER	800	26033	\N	\N	\N
972451	3312	1998-10-25	VYDAJ	VYBER	2900	24214	\N	\N	\N
972452	3312	1998-11-24	VYDAJ	VYBER	800	24492	\N	\N	\N
972712	3314	1996-10-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
972715	3314	1997-03-07	PRIJEM	VKLAD	9378	36878	\N	\N	\N
972716	3314	1997-08-03	PRIJEM	VKLAD	32992	56775	\N	\N	\N
972717	3314	1998-01-27	PRIJEM	VKLAD	47150	82163	\N	\N	\N
972718	3314	1998-01-28	PRIJEM	VKLAD	45304	127467	\N	\N	\N
972796	3314	1996-11-13	PRIJEM	VKLAD	14700	15700	\N	\N	\N
972797	3314	1996-12-13	PRIJEM	VKLAD	5800	21500	\N	\N	\N
972798	3314	1997-01-12	PRIJEM	VKLAD	5200	26700	\N	\N	\N
972799	3314	1997-02-11	PRIJEM	VKLAD	800	27500	\N	\N	\N
972800	3314	1997-03-13	VYDAJ	VYBER	5400	31478	\N	\N	\N
972801	3314	1997-04-12	VYDAJ	VYBER	3700	27858	\N	\N	\N
972802	3314	1997-05-12	VYDAJ	VYBER	300	27690	\N	\N	\N
972803	3314	1997-06-11	VYDAJ	VYBER	1300	26521	\N	\N	\N
972804	3314	1997-07-11	VYDAJ	VYBER	3000	23652	\N	\N	\N
972805	3314	1997-08-10	VYDAJ	VYBER	21100	35675	\N	\N	\N
972806	3314	1997-09-09	VYDAJ	VYBER	8000	27819	\N	\N	\N
972807	3314	1997-10-09	VYDAJ	VYBER	3500	24467	\N	\N	\N
972808	3314	1997-11-08	PRIJEM	VKLAD	3000	27616	\N	\N	\N
972809	3314	1997-12-08	PRIJEM	VKLAD	1600	29365	\N	\N	\N
972810	3314	1998-01-07	PRIJEM	VKLAD	5500	35013	\N	\N	\N
972811	3314	1998-01-28	VYDAJ	VYBER	17500	109967	\N	\N	\N
972812	3314	1998-02-06	VYDAJ	VYBER	34800	75371	\N	\N	\N
972813	3314	1998-03-08	VYDAJ	VYBER	12800	63102	\N	\N	\N
972814	3314	1998-04-07	VYDAJ	VYBER	11500	52133	\N	\N	\N
972815	3314	1998-05-07	VYDAJ	VYBER	5400	47265	\N	\N	\N
972816	3314	1998-06-06	VYDAJ	VYBER	2600	45196	\N	\N	\N
972817	3314	1998-07-06	PRIJEM	VKLAD	5400	51127	\N	\N	\N
972818	3314	1998-08-05	PRIJEM	VKLAD	700	52358	\N	\N	\N
972819	3314	1998-09-04	VYDAJ	VYBER	200	52689	\N	\N	\N
972820	3314	1998-10-04	VYDAJ	VYBER	900	52320	\N	\N	\N
972821	3314	1998-11-03	PRIJEM	VKLAD	500	53351	\N	\N	\N
972822	3314	1998-12-03	VYDAJ	VYBER	1200	52682	\N	\N	\N
972844	3315	1995-08-24	PRIJEM	VKLAD	200	200	\N	\N	\N
972853	3315	1995-09-10	PRIJEM	VKLAD	11876	12076	\N	\N	\N
972854	3315	1995-10-10	PRIJEM	VKLAD	11876	30973	\N	\N	\N
972855	3315	1995-11-10	PRIJEM	VKLAD	11876	41041	\N	\N	\N
972856	3315	1995-12-10	PRIJEM	VKLAD	17814	50580	\N	\N	\N
972857	3315	1996-01-10	PRIJEM	VKLAD	11876	48898	\N	\N	\N
972858	3315	1996-02-10	PRIJEM	VKLAD	11876	38053	\N	\N	\N
972859	3315	1996-03-10	PRIJEM	VKLAD	11876	46155	\N	\N	\N
972860	3315	1996-04-10	PRIJEM	VKLAD	11876	50866	\N	\N	\N
972861	3315	1996-05-10	PRIJEM	VKLAD	11876	56899	\N	\N	\N
972862	3315	1996-06-10	PRIJEM	VKLAD	17814	57593	\N	\N	\N
972863	3315	1996-07-10	PRIJEM	VKLAD	11876	62772	\N	\N	\N
972864	3315	1996-08-10	PRIJEM	VKLAD	11876	62006	\N	\N	\N
972865	3315	1996-09-10	PRIJEM	VKLAD	11876	58686	\N	\N	\N
972866	3315	1996-10-10	PRIJEM	VKLAD	11876	59043	\N	\N	\N
972867	3315	1996-11-10	PRIJEM	VKLAD	11876	60385	\N	\N	\N
972868	3315	1996-12-10	PRIJEM	VKLAD	17814	67689	\N	\N	\N
972869	3315	1997-01-10	PRIJEM	VKLAD	11876	63573	\N	\N	\N
972870	3315	1997-02-10	PRIJEM	VKLAD	11876	55200	\N	\N	\N
972871	3315	1997-03-10	PRIJEM	VKLAD	11876	59458	\N	\N	\N
972872	3315	1997-04-10	PRIJEM	VKLAD	11876	63426	\N	\N	\N
972873	3315	1997-05-10	PRIJEM	VKLAD	11876	67310	\N	\N	\N
972874	3315	1997-06-10	PRIJEM	VKLAD	17814	67911	\N	\N	\N
972875	3315	1997-07-10	PRIJEM	VKLAD	11876	45663	\N	\N	\N
972876	3315	1997-08-10	PRIJEM	VKLAD	11876	56891	\N	\N	\N
972877	3315	1997-09-10	PRIJEM	VKLAD	11876	65060	\N	\N	\N
972878	3315	1997-10-10	PRIJEM	VKLAD	11876	70155	\N	\N	\N
972879	3315	1997-11-10	PRIJEM	VKLAD	11876	77177	\N	\N	\N
972880	3315	1997-12-10	PRIJEM	VKLAD	17814	83849	\N	\N	\N
972881	3315	1998-01-10	PRIJEM	VKLAD	11876	78793	\N	\N	\N
972882	3315	1998-02-10	PRIJEM	VKLAD	11876	70096	\N	\N	\N
972883	3315	1998-03-10	PRIJEM	VKLAD	11876	82234	\N	\N	\N
972884	3315	1998-04-10	PRIJEM	VKLAD	11876	82788	\N	\N	\N
972885	3315	1998-05-10	PRIJEM	VKLAD	11876	84977	\N	\N	\N
972886	3315	1998-06-10	PRIJEM	VKLAD	17814	84803	\N	\N	\N
972887	3315	1998-07-10	PRIJEM	VKLAD	11876	92689	\N	\N	\N
972888	3315	1998-08-10	PRIJEM	VKLAD	11876	95326	\N	\N	\N
972889	3315	1998-09-10	PRIJEM	VKLAD	11876	96880	\N	\N	\N
972890	3315	1998-10-10	PRIJEM	VKLAD	11876	95042	\N	\N	\N
972891	3315	1998-11-10	PRIJEM	VKLAD	11876	93540	\N	\N	\N
972892	3315	1998-12-10	PRIJEM	VKLAD	17814	105527	\N	\N	\N
972894	3315	1996-06-04	VYDAJ	VYBER	9440	39779	\N	\N	\N
972895	3315	1997-06-21	VYDAJ	VYBER	14240	38631	\N	\N	\N
972896	3315	1998-06-02	VYDAJ	VYBER	17600	60289	\N	\N	\N
972898	3315	1996-01-28	VYDAJ	VYBER	12320	28678	\N	\N	\N
972899	3315	1997-01-24	VYDAJ	VYBER	2720	48053	\N	\N	\N
972900	3315	1998-01-27	VYDAJ	VYBER	10560	59133	\N	\N	\N
972902	3315	1996-12-10	VYDAJ	VYBER	3200	64489	\N	\N	\N
972903	3315	1997-12-23	VYDAJ	VYBER KARTOU	3400	67349	\N	\N	0
972904	3315	1998-12-28	VYDAJ	VYBER	4320	101207	\N	\N	\N
972909	3315	1996-05-26	VYDAJ	VYBER	960	49039	\N	\N	\N
972910	3315	1996-10-24	VYDAJ	VYBER	1920	48323	\N	\N	\N
972911	3315	1996-02-08	VYDAJ	VYBER	2640	26177	\N	\N	\N
972912	3315	1996-08-23	VYDAJ	VYBER	4800	46606	\N	\N	\N
972913	3315	1996-08-08	VYDAJ	VYBER	840	50130	\N	\N	\N
972914	3315	1997-01-26	VYDAJ	VYBER	4920	43133	\N	\N	\N
972915	3315	1997-06-23	VYDAJ	VYBER	1920	36711	\N	\N	\N
972916	3315	1997-06-21	VYDAJ	VYBER	4440	52871	\N	\N	\N
972917	3315	1997-06-26	VYDAJ	VYBER	3120	33591	\N	\N	\N
972918	3315	1997-02-10	VYDAJ	VYBER	4800	50400	\N	\N	\N
972919	3315	1997-06-04	VYDAJ	VYBER	840	50097	\N	\N	\N
972920	3315	1997-05-20	VYDAJ	VYBER	4080	50730	\N	\N	\N
972921	3315	1998-06-01	VYDAJ	VYBER KARTOU	3600	77889	\N	\N	0
972922	3315	1998-01-07	VYDAJ	VYBER KARTOU	700	66917	\N	\N	0
972923	3315	1998-11-09	VYDAJ	VYBER	4560	81664	\N	\N	\N
972937	3315	1996-01-31	VYDAJ	VYBER	15	28817	SLUZBY	\N	\N
972938	3315	1996-02-29	VYDAJ	VYBER	15	34279	SLUZBY	\N	\N
972939	3315	1996-03-31	VYDAJ	VYBER	15	38990	SLUZBY	\N	\N
972940	3315	1996-04-30	VYDAJ	VYBER	15	45023	SLUZBY	\N	\N
972941	3315	1996-05-31	VYDAJ	VYBER	15	49219	SLUZBY	\N	\N
972942	3315	1996-06-30	VYDAJ	VYBER	15	50896	SLUZBY	\N	\N
972943	3315	1996-07-31	VYDAJ	VYBER	15	50970	SLUZBY	\N	\N
972944	3315	1996-08-31	VYDAJ	VYBER	15	46810	SLUZBY	\N	\N
972945	3315	1996-09-30	VYDAJ	VYBER	15	47167	SLUZBY	\N	\N
972946	3315	1996-10-31	VYDAJ	VYBER	15	48509	SLUZBY	\N	\N
972947	3315	1996-11-30	VYDAJ	VYBER	15	49875	SLUZBY	\N	\N
972948	3315	1996-12-31	VYDAJ	VYBER	15	51697	SLUZBY	\N	\N
972949	3315	1997-01-31	VYDAJ	VYBER	15	43324	SLUZBY	\N	\N
972950	3315	1997-02-28	VYDAJ	VYBER	15	47582	SLUZBY	\N	\N
972951	3315	1997-03-31	VYDAJ	VYBER	15	51550	SLUZBY	\N	\N
972952	3315	1997-04-30	VYDAJ	VYBER	15	55434	SLUZBY	\N	\N
972953	3315	1997-05-31	VYDAJ	VYBER	15	50937	SLUZBY	\N	\N
972954	3315	1997-06-30	VYDAJ	VYBER	15	33787	SLUZBY	\N	\N
972955	3315	1997-07-31	VYDAJ	VYBER	15	45015	SLUZBY	\N	\N
972956	3315	1997-08-31	VYDAJ	VYBER	15	53184	SLUZBY	\N	\N
972957	3315	1997-09-30	VYDAJ	VYBER	15	58279	SLUZBY	\N	\N
972958	3315	1997-10-31	VYDAJ	VYBER	15	65301	SLUZBY	\N	\N
972959	3315	1997-11-30	VYDAJ	VYBER	15	66035	SLUZBY	\N	\N
972960	3315	1997-12-31	VYDAJ	VYBER	15	67617	SLUZBY	\N	\N
972961	3315	1998-01-31	VYDAJ	VYBER	15	59420	SLUZBY	\N	\N
972962	3315	1998-02-28	VYDAJ	VYBER	15	70358	SLUZBY	\N	\N
972963	3315	1998-03-31	VYDAJ	VYBER	15	70912	SLUZBY	\N	\N
972964	3315	1998-04-30	VYDAJ	VYBER	15	73101	SLUZBY	\N	\N
972965	3315	1998-05-31	VYDAJ	VYBER	15	81489	SLUZBY	\N	\N
972966	3315	1998-06-30	VYDAJ	VYBER	15	85113	SLUZBY	\N	\N
972967	3315	1998-07-31	VYDAJ	VYBER	15	93050	SLUZBY	\N	\N
972968	3315	1998-08-31	VYDAJ	VYBER	15	95704	SLUZBY	\N	\N
972969	3315	1998-09-30	VYDAJ	VYBER	15	97266	SLUZBY	\N	\N
972970	3315	1998-10-31	VYDAJ	VYBER	15	95424	SLUZBY	\N	\N
972971	3315	1998-11-30	VYDAJ	VYBER	15	93913	SLUZBY	\N	\N
972972	3315	1995-09-23	PRIJEM	VKLAD	7000	19076	\N	\N	\N
972973	3315	1995-10-23	VYDAJ	VYBER	1900	29073	\N	\N	\N
972974	3315	1995-11-22	VYDAJ	VYBER	8400	32641	\N	\N	\N
972975	3315	1995-12-22	VYDAJ	VYBER	13700	36880	\N	\N	\N
972976	3315	1996-01-21	VYDAJ	VYBER	7900	40998	\N	\N	\N
972977	3315	1996-02-20	VYDAJ	VYBER	3900	34153	\N	\N	\N
972978	3315	1996-03-21	VYDAJ	VYBER	7300	38855	\N	\N	\N
972979	3315	1996-04-20	VYDAJ	VYBER	6000	44866	\N	\N	\N
972980	3315	1996-05-20	VYDAJ	VYBER	6900	49999	\N	\N	\N
972981	3315	1996-06-19	VYDAJ	VYBER	6900	50693	\N	\N	\N
972982	3315	1996-07-19	VYDAJ	VYBER	12000	50772	\N	\N	\N
972983	3315	1996-08-18	VYDAJ	VYBER	10600	51406	\N	\N	\N
972984	3315	1996-09-17	VYDAJ	VYBER	11700	46986	\N	\N	\N
972985	3315	1996-10-17	VYDAJ	VYBER	8800	50243	\N	\N	\N
972986	3315	1996-11-16	VYDAJ	VYBER	10700	49685	\N	\N	\N
972987	3315	1996-12-16	VYDAJ	VYBER	13000	51489	\N	\N	\N
972988	3315	1997-01-15	VYDAJ	VYBER	12800	50773	\N	\N	\N
972989	3315	1997-02-14	VYDAJ	VYBER	3000	47400	\N	\N	\N
972990	3315	1997-03-16	VYDAJ	VYBER	8100	51358	\N	\N	\N
972991	3315	1997-04-15	VYDAJ	VYBER	8200	55226	\N	\N	\N
972992	3315	1997-05-15	VYDAJ	VYBER	12500	54810	\N	\N	\N
972993	3315	1997-06-14	VYDAJ	VYBER	10600	57311	\N	\N	\N
972994	3315	1997-07-14	VYDAJ	VYBER	800	44863	\N	\N	\N
972995	3315	1997-08-13	VYDAJ	VYBER KARTOU	3900	52991	\N	\N	0
972996	3315	1997-09-12	VYDAJ	VYBER	7000	58060	\N	\N	\N
972997	3315	1997-10-12	VYDAJ	VYBER	5100	65055	\N	\N	\N
972998	3315	1997-11-11	VYDAJ	VYBER	11400	65777	\N	\N	\N
972999	3315	1997-12-11	VYDAJ	VYBER	13100	70749	\N	\N	\N
973000	3315	1998-01-10	VYDAJ	VYBER	9100	69693	\N	\N	\N
973001	3315	1998-02-09	VYDAJ	VYBER KARTOU	1200	58220	\N	\N	0
973002	3315	1998-03-11	VYDAJ	VYBER	11600	70634	\N	\N	\N
973003	3315	1998-04-10	VYDAJ	VYBER	10000	72788	\N	\N	\N
973004	3315	1998-05-10	VYDAJ	VYBER KARTOU	3800	81177	\N	\N	0
973005	3315	1998-06-09	PRIJEM	VKLAD	6700	66989	\N	\N	\N
973006	3315	1998-07-09	VYDAJ	VYBER	4300	80813	\N	\N	\N
973007	3315	1998-08-08	VYDAJ	VYBER	9600	83450	\N	\N	\N
973008	3315	1998-09-07	VYDAJ	VYBER	10700	85004	\N	\N	\N
973009	3315	1998-10-07	VYDAJ	VYBER	14100	83166	\N	\N	\N
973010	3315	1998-11-06	VYDAJ	VYBER	9200	86224	\N	\N	\N
973011	3315	1998-12-06	VYDAJ	VYBER	6200	87713	\N	\N	\N
973052	3316	1993-05-06	PRIJEM	VKLAD	800	800	\N	\N	\N
973057	3316	1993-05-07	PRIJEM	VKLAD	15332	16132	\N	\N	\N
973058	3316	1993-06-07	PRIJEM	VKLAD	22998	42784	\N	\N	\N
973059	3316	1993-07-07	PRIJEM	VKLAD	15332	49272	\N	\N	\N
973060	3316	1993-08-07	PRIJEM	VKLAD	15332	53504	\N	\N	\N
973061	3316	1993-09-07	PRIJEM	VKLAD	15332	53856	\N	\N	\N
973062	3316	1993-10-07	PRIJEM	VKLAD	15332	48676	\N	\N	\N
973063	3316	1993-11-07	PRIJEM	VKLAD	15332	48811	\N	\N	\N
973064	3316	1993-12-07	PRIJEM	VKLAD	22998	57512	\N	\N	\N
973065	3316	1994-01-07	PRIJEM	VKLAD	15332	49774	\N	\N	\N
973066	3316	1994-02-07	PRIJEM	VKLAD	15332	43261	\N	\N	\N
973067	3316	1994-03-07	PRIJEM	VKLAD	15332	43952	\N	\N	\N
973068	3316	1994-04-07	PRIJEM	VKLAD	15332	47866	\N	\N	\N
973069	3316	1994-05-07	PRIJEM	VKLAD	15332	43992	\N	\N	\N
973070	3316	1994-06-07	PRIJEM	VKLAD	22998	50790	\N	\N	\N
973071	3316	1994-07-07	PRIJEM	VKLAD	15332	47799	\N	\N	\N
973072	3316	1994-08-07	PRIJEM	VKLAD	15332	45124	\N	\N	\N
973073	3316	1994-09-07	PRIJEM	VKLAD	15332	46122	\N	\N	\N
973074	3316	1994-10-07	PRIJEM	VKLAD	15332	42774	\N	\N	\N
973075	3316	1994-11-07	PRIJEM	VKLAD	15332	46363	\N	\N	\N
973076	3316	1994-12-07	PRIJEM	VKLAD	22998	49709	\N	\N	\N
973077	3316	1995-01-07	PRIJEM	VKLAD	15332	49350	\N	\N	\N
973078	3316	1995-02-07	PRIJEM	VKLAD	15332	40973	\N	\N	\N
973079	3316	1995-03-07	PRIJEM	VKLAD	15332	46554	\N	\N	\N
973080	3316	1995-04-07	PRIJEM	VKLAD	15332	50358	\N	\N	\N
973081	3316	1995-05-07	PRIJEM	VKLAD	15332	54278	\N	\N	\N
973082	3316	1995-06-07	PRIJEM	VKLAD	22998	51710	\N	\N	\N
973083	3316	1995-07-07	PRIJEM	VKLAD	15332	50544	\N	\N	\N
973084	3316	1995-08-07	PRIJEM	VKLAD	15332	52440	\N	\N	\N
973085	3316	1995-09-07	PRIJEM	VKLAD	15332	50390	\N	\N	\N
973086	3316	1995-10-07	PRIJEM	VKLAD	15332	51566	\N	\N	\N
973087	3316	1995-11-07	PRIJEM	VKLAD	15332	49603	\N	\N	\N
973088	3316	1995-12-07	PRIJEM	VKLAD	22998	60283	\N	\N	\N
973089	3316	1996-01-07	PRIJEM	VKLAD	15332	52897	\N	\N	\N
973090	3316	1996-02-07	PRIJEM	VKLAD	15332	45118	\N	\N	\N
973091	3316	1996-03-07	PRIJEM	VKLAD	15332	48913	\N	\N	\N
973092	3316	1996-04-07	PRIJEM	VKLAD	15332	52424	\N	\N	\N
973093	3316	1996-05-07	PRIJEM	VKLAD	15332	54347	\N	\N	\N
973094	3316	1996-06-07	PRIJEM	VKLAD	22998	59036	\N	\N	\N
973095	3316	1996-07-07	PRIJEM	VKLAD	15332	51876	\N	\N	\N
973096	3316	1996-08-07	PRIJEM	VKLAD	15332	52293	\N	\N	\N
973097	3316	1996-09-07	PRIJEM	VKLAD	15332	53313	\N	\N	\N
973098	3316	1996-10-07	PRIJEM	VKLAD	15332	54536	\N	\N	\N
973099	3316	1996-11-07	PRIJEM	VKLAD	15332	54561	\N	\N	\N
973100	3316	1996-12-07	PRIJEM	VKLAD	22998	56887	\N	\N	\N
973101	3316	1997-01-07	PRIJEM	VKLAD	15332	50089	\N	\N	\N
973102	3316	1997-02-07	PRIJEM	VKLAD	15332	50556	\N	\N	\N
973103	3316	1997-03-07	PRIJEM	VKLAD	15332	55072	\N	\N	\N
973104	3316	1997-04-07	PRIJEM	VKLAD	15332	54598	\N	\N	\N
973105	3316	1997-05-07	PRIJEM	VKLAD	15332	54321	\N	\N	\N
973106	3316	1997-06-07	PRIJEM	VKLAD	22998	62210	\N	\N	\N
973107	3316	1997-07-07	PRIJEM	VKLAD	15332	55216	\N	\N	\N
973108	3316	1997-08-07	PRIJEM	VKLAD	15332	51354	\N	\N	\N
973109	3316	1997-09-07	PRIJEM	VKLAD	15332	50261	\N	\N	\N
973110	3316	1997-10-07	PRIJEM	VKLAD	15332	48563	\N	\N	\N
973111	3316	1997-11-07	PRIJEM	VKLAD	15332	46257	\N	\N	\N
973112	3316	1997-12-07	PRIJEM	VKLAD	22998	53413	\N	\N	\N
973113	3316	1998-01-07	PRIJEM	VKLAD	15332	41920	\N	\N	\N
973114	3316	1998-02-07	PRIJEM	VKLAD	15332	34561	\N	\N	\N
973115	3316	1998-03-07	PRIJEM	VKLAD	15332	37194	\N	\N	\N
973116	3316	1998-04-07	PRIJEM	VKLAD	15332	35944	\N	\N	\N
973117	3316	1998-05-07	PRIJEM	VKLAD	15332	34990	\N	\N	\N
973118	3316	1998-06-07	PRIJEM	VKLAD	22998	47314	\N	\N	\N
973119	3316	1998-07-07	PRIJEM	VKLAD	15332	44093	\N	\N	\N
973120	3316	1998-08-07	PRIJEM	VKLAD	15332	43475	\N	\N	\N
973121	3316	1998-09-07	PRIJEM	VKLAD	15332	39845	\N	\N	\N
973122	3316	1998-10-07	PRIJEM	VKLAD	15332	37753	\N	\N	\N
973123	3316	1998-11-07	PRIJEM	VKLAD	15332	38566	\N	\N	\N
973124	3316	1998-12-07	PRIJEM	VKLAD	22998	50231	\N	\N	\N
973133	3316	1993-09-14	VYDAJ	PREVOD NA UCET	9655	44201	SIPO	IJ	74230772
973134	3316	1993-10-14	VYDAJ	PREVOD NA UCET	9655	39021	SIPO	IJ	74230772
973135	3316	1993-11-14	VYDAJ	PREVOD NA UCET	9655	39156	SIPO	IJ	74230772
973136	3316	1993-12-14	VYDAJ	PREVOD NA UCET	9655	47857	SIPO	IJ	74230772
973137	3316	1994-01-14	VYDAJ	PREVOD NA UCET	9655	38919	SIPO	IJ	74230772
973138	3316	1994-02-14	VYDAJ	PREVOD NA UCET	9655	33606	SIPO	IJ	74230772
973139	3316	1994-03-14	VYDAJ	PREVOD NA UCET	9655	34297	SIPO	IJ	74230772
973140	3316	1994-04-14	VYDAJ	PREVOD NA UCET	9655	38211	SIPO	IJ	74230772
973141	3316	1994-05-14	VYDAJ	PREVOD NA UCET	9655	34337	SIPO	IJ	74230772
973142	3316	1994-06-14	VYDAJ	PREVOD NA UCET	9655	41135	SIPO	IJ	74230772
973143	3316	1994-07-14	VYDAJ	PREVOD NA UCET	9655	38144	SIPO	IJ	74230772
973144	3316	1994-08-14	VYDAJ	PREVOD NA UCET	9655	35469	SIPO	IJ	74230772
973145	3316	1994-09-14	VYDAJ	PREVOD NA UCET	9655	36467	SIPO	IJ	74230772
973146	3316	1994-10-14	VYDAJ	PREVOD NA UCET	9655	33119	SIPO	IJ	74230772
973147	3316	1994-11-14	VYDAJ	PREVOD NA UCET	9655	36708	SIPO	IJ	74230772
973148	3316	1994-12-14	VYDAJ	PREVOD NA UCET	9655	40054	SIPO	IJ	74230772
973149	3316	1995-01-14	VYDAJ	PREVOD NA UCET	9655	33815	SIPO	IJ	74230772
973150	3316	1995-02-14	VYDAJ	PREVOD NA UCET	9655	31318	SIPO	IJ	74230772
973151	3316	1995-03-14	VYDAJ	PREVOD NA UCET	9655	36899	SIPO	IJ	74230772
973152	3316	1995-04-14	VYDAJ	PREVOD NA UCET	9655	40703	SIPO	IJ	74230772
973153	3316	1995-05-14	VYDAJ	PREVOD NA UCET	9655	39703	SIPO	IJ	74230772
973154	3316	1995-06-14	VYDAJ	PREVOD NA UCET	9655	42055	SIPO	IJ	74230772
973155	3316	1995-07-14	VYDAJ	PREVOD NA UCET	9655	40889	SIPO	IJ	74230772
973156	3316	1995-08-14	VYDAJ	PREVOD NA UCET	9655	41705	SIPO	IJ	74230772
973157	3316	1995-09-14	VYDAJ	PREVOD NA UCET	9655	40735	SIPO	IJ	74230772
973158	3316	1995-10-14	VYDAJ	PREVOD NA UCET	9655	39631	SIPO	IJ	74230772
973159	3316	1995-11-14	VYDAJ	PREVOD NA UCET	9655	39948	SIPO	IJ	74230772
973160	3316	1995-12-14	VYDAJ	PREVOD NA UCET	9655	50628	SIPO	IJ	74230772
973161	3316	1996-01-14	VYDAJ	PREVOD NA UCET	9655	40482	SIPO	IJ	74230772
973162	3316	1996-02-14	VYDAJ	PREVOD NA UCET	9655	35463	SIPO	IJ	74230772
973163	3316	1996-03-14	VYDAJ	PREVOD NA UCET	9655	39258	SIPO	IJ	74230772
973164	3316	1996-04-14	VYDAJ	PREVOD NA UCET	9655	42769	SIPO	IJ	74230772
973165	3316	1996-05-14	VYDAJ	PREVOD NA UCET	9655	44692	SIPO	IJ	74230772
973166	3316	1996-06-14	VYDAJ	PREVOD NA UCET	9655	49381	SIPO	IJ	74230772
973167	3316	1996-07-14	VYDAJ	PREVOD NA UCET	9655	42221	SIPO	IJ	74230772
973168	3316	1996-08-14	VYDAJ	PREVOD NA UCET	9655	42638	SIPO	IJ	74230772
973169	3316	1996-09-14	VYDAJ	PREVOD NA UCET	9655	43658	SIPO	IJ	74230772
973170	3316	1996-10-14	VYDAJ	PREVOD NA UCET	9655	44881	SIPO	IJ	74230772
973171	3316	1996-11-14	VYDAJ	PREVOD NA UCET	9655	44906	SIPO	IJ	74230772
973172	3316	1996-12-14	VYDAJ	PREVOD NA UCET	9655	47232	SIPO	IJ	74230772
973173	3316	1997-01-14	VYDAJ	PREVOD NA UCET	9655	35634	SIPO	IJ	74230772
973174	3316	1997-02-14	VYDAJ	PREVOD NA UCET	9655	39601	SIPO	IJ	74230772
973175	3316	1997-03-14	VYDAJ	PREVOD NA UCET	9655	45417	SIPO	IJ	74230772
973176	3316	1997-04-14	VYDAJ	PREVOD NA UCET	9655	44943	SIPO	IJ	74230772
973177	3316	1997-05-14	VYDAJ	PREVOD NA UCET	9655	44666	SIPO	IJ	74230772
973178	3316	1997-06-14	VYDAJ	PREVOD NA UCET	9655	39715	SIPO	IJ	74230772
973179	3316	1997-07-14	VYDAJ	PREVOD NA UCET	9655	45561	SIPO	IJ	74230772
973180	3316	1997-08-14	VYDAJ	PREVOD NA UCET	9655	34799	SIPO	IJ	74230772
973181	3316	1997-09-14	VYDAJ	PREVOD NA UCET	9655	33106	SIPO	IJ	74230772
973182	3316	1997-10-14	VYDAJ	PREVOD NA UCET	9655	30808	SIPO	IJ	74230772
973183	3316	1997-11-14	VYDAJ	PREVOD NA UCET	9655	30302	SIPO	IJ	74230772
973184	3316	1997-12-14	VYDAJ	PREVOD NA UCET	9655	31758	SIPO	IJ	74230772
973185	3316	1998-01-14	VYDAJ	PREVOD NA UCET	9655	19145	SIPO	IJ	74230772
973186	3316	1998-02-14	VYDAJ	PREVOD NA UCET	9655	21786	SIPO	IJ	74230772
973187	3316	1998-03-14	VYDAJ	PREVOD NA UCET	9655	20539	SIPO	IJ	74230772
973188	3316	1998-04-14	VYDAJ	PREVOD NA UCET	9655	19589	SIPO	IJ	74230772
973189	3316	1998-05-14	VYDAJ	PREVOD NA UCET	9655	24235	SIPO	IJ	74230772
973190	3316	1998-06-14	VYDAJ	PREVOD NA UCET	9655	28659	SIPO	IJ	74230772
973191	3316	1998-07-14	VYDAJ	PREVOD NA UCET	9655	28038	SIPO	IJ	74230772
973192	3316	1998-08-14	VYDAJ	PREVOD NA UCET	9655	24420	SIPO	IJ	74230772
973193	3316	1998-09-14	VYDAJ	PREVOD NA UCET	9655	24490	SIPO	IJ	74230772
973194	3316	1998-10-14	VYDAJ	PREVOD NA UCET	9655	19158	SIPO	IJ	74230772
973195	3316	1998-11-14	VYDAJ	PREVOD NA UCET	9655	28911	SIPO	IJ	74230772
973196	3316	1998-12-14	VYDAJ	PREVOD NA UCET	9655	38816	SIPO	IJ	74230772
973197	3316	1993-12-28	VYDAJ	VYBER	3040	44817	\N	\N	\N
973198	3316	1994-12-25	VYDAJ	VYBER	2560	37494	\N	\N	\N
973199	3316	1995-12-30	VYDAJ	VYBER	2720	37408	\N	\N	\N
973200	3316	1996-12-25	VYDAJ	VYBER	1600	40732	\N	\N	\N
973201	3316	1997-12-22	VYDAJ	VYBER	4320	27438	\N	\N	\N
973202	3316	1998-12-08	VYDAJ	VYBER	1760	48471	\N	\N	\N
973209	3316	1994-01-22	VYDAJ	VYBER	2760	34479	\N	\N	\N
973210	3316	1994-01-09	VYDAJ	VYBER	1200	48574	\N	\N	\N
973211	3316	1994-01-05	VYDAJ	VYBER	1800	35402	\N	\N	\N
973212	3316	1994-01-06	VYDAJ	VYBER	960	34442	\N	\N	\N
973213	3316	1994-01-25	VYDAJ	VYBER	3000	31479	\N	\N	\N
973214	3316	1994-01-21	VYDAJ	VYBER	1680	37239	\N	\N	\N
973215	3316	1995-01-11	VYDAJ	VYBER	3120	43470	\N	\N	\N
973216	3316	1995-01-24	VYDAJ	VYBER	960	29615	\N	\N	\N
973217	3316	1995-01-28	VYDAJ	VYBER	3000	25515	\N	\N	\N
973218	3316	1995-01-18	VYDAJ	VYBER	2040	31775	\N	\N	\N
973219	3316	1995-01-08	VYDAJ	VYBER	2760	46590	\N	\N	\N
973220	3316	1995-01-20	VYDAJ	VYBER	1200	30575	\N	\N	\N
973221	3316	1996-01-20	VYDAJ	VYBER	1440	39042	\N	\N	\N
973222	3316	1996-01-23	VYDAJ	VYBER	1080	33962	\N	\N	\N
973223	3316	1996-01-09	VYDAJ	VYBER	1800	51097	\N	\N	\N
973224	3316	1996-01-26	VYDAJ	VYBER	2160	31802	\N	\N	\N
973225	3316	1996-01-27	VYDAJ	VYBER	2160	29642	\N	\N	\N
973226	3316	1996-01-09	VYDAJ	VYBER	960	50137	\N	\N	\N
973227	3316	1997-01-13	VYDAJ	VYBER	600	46609	\N	\N	\N
973228	3316	1997-01-05	VYDAJ	VYBER	2760	38117	\N	\N	\N
973229	3316	1997-01-10	VYDAJ	VYBER	2880	47209	\N	\N	\N
973230	3316	1997-01-05	VYDAJ	VYBER	3360	34757	\N	\N	\N
973231	3316	1997-01-20	VYDAJ	VYBER	840	38194	\N	\N	\N
973232	3316	1997-01-13	VYDAJ	VYBER	1320	45289	\N	\N	\N
973235	3316	1998-01-14	VYDAJ	VYBER	3480	28800	\N	\N	\N
973236	3316	1998-01-05	VYDAJ	VYBER	960	26588	\N	\N	\N
973237	3316	1998-01-07	VYDAJ	VYBER	2880	39040	\N	\N	\N
973238	3316	1998-01-13	VYDAJ	VYBER	2160	32280	\N	\N	\N
973243	3316	1993-12-30	VYDAJ	VYBER	600	44217	\N	\N	\N
973244	3316	1993-09-22	VYDAJ	VYBER	3240	40961	\N	\N	\N
973247	3316	1994-09-19	VYDAJ	VYBER	5640	30827	\N	\N	\N
973248	3316	1994-05-24	VYDAJ	VYBER	3480	30857	\N	\N	\N
973249	3316	1994-04-27	VYDAJ	VYBER	2400	35811	\N	\N	\N
973250	3316	1994-11-29	VYDAJ	VYBER	3720	26588	\N	\N	\N
973251	3316	1995-08-09	VYDAJ	VYBER	1080	51360	\N	\N	\N
973252	3316	1995-07-15	VYDAJ	VYBER	1320	39569	\N	\N	\N
973253	3316	1995-05-15	VYDAJ	VYBER	960	38743	\N	\N	\N
973254	3316	1995-10-12	VYDAJ	VYBER	2280	49286	\N	\N	\N
973255	3316	1995-06-01	VYDAJ	VYBER	5280	28712	\N	\N	\N
973256	3316	1995-05-09	VYDAJ	VYBER	4920	49358	\N	\N	\N
973257	3316	1995-09-24	VYDAJ	VYBER	1440	36095	\N	\N	\N
973258	3316	1996-06-19	VYDAJ	VYBER	2880	46501	\N	\N	\N
973259	3316	1996-11-25	VYDAJ	VYBER	5160	33746	\N	\N	\N
973260	3316	1997-01-30	VYDAJ	VYBER	1680	35074	\N	\N	\N
973261	3316	1997-06-07	VYDAJ	VYBER	3240	58970	\N	\N	\N
973262	3316	1997-01-23	VYDAJ	VYBER	1440	36754	\N	\N	\N
973263	3316	1998-12-05	VYDAJ	VYBER	5880	23133	\N	\N	\N
973264	3316	1998-01-10	VYDAJ	VYBER	4800	34440	\N	\N	\N
973265	3316	1998-10-11	VYDAJ	VYBER	1440	28813	\N	\N	\N
973266	3316	1998-02-10	VYDAJ	VYBER	3720	31441	\N	\N	\N
973267	3316	1998-09-27	VYDAJ	VYBER	2160	22330	\N	\N	\N
973278	3316	1993-09-30	VYDAJ	VYBER	15	41144	SLUZBY	\N	\N
973279	3316	1993-10-31	VYDAJ	VYBER	15	39179	SLUZBY	\N	\N
973280	3316	1993-11-30	VYDAJ	VYBER	15	39314	SLUZBY	\N	\N
973281	3316	1993-12-31	VYDAJ	VYBER	15	44402	SLUZBY	\N	\N
973282	3316	1994-01-31	VYDAJ	VYBER	15	31629	SLUZBY	\N	\N
973283	3316	1994-02-28	VYDAJ	VYBER	15	33720	SLUZBY	\N	\N
973284	3316	1994-03-31	VYDAJ	VYBER	15	34434	SLUZBY	\N	\N
973285	3316	1994-04-30	VYDAJ	VYBER	15	35960	SLUZBY	\N	\N
973286	3316	1994-05-31	VYDAJ	VYBER	15	30992	SLUZBY	\N	\N
973287	3316	1994-06-30	VYDAJ	VYBER	15	41267	SLUZBY	\N	\N
973288	3316	1994-07-31	VYDAJ	VYBER	15	29792	SLUZBY	\N	\N
973289	3316	1994-08-31	VYDAJ	VYBER	15	30790	SLUZBY	\N	\N
973290	3316	1994-09-30	VYDAJ	VYBER	15	27442	SLUZBY	\N	\N
973291	3316	1994-10-31	VYDAJ	VYBER	15	31031	SLUZBY	\N	\N
973292	3316	1994-11-30	VYDAJ	VYBER	15	26711	SLUZBY	\N	\N
973293	3316	1994-12-31	VYDAJ	VYBER	15	34018	SLUZBY	\N	\N
973294	3316	1995-01-31	VYDAJ	VYBER	15	25641	SLUZBY	\N	\N
973295	3316	1995-02-28	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
973296	3316	1995-03-31	VYDAJ	VYBER	15	35026	SLUZBY	\N	\N
973297	3316	1995-04-30	VYDAJ	VYBER	15	38946	SLUZBY	\N	\N
973298	3316	1995-05-31	VYDAJ	VYBER	15	33992	SLUZBY	\N	\N
973299	3316	1995-06-30	VYDAJ	VYBER	15	35212	SLUZBY	\N	\N
973300	3316	1995-07-31	VYDAJ	VYBER	15	37108	SLUZBY	\N	\N
973301	3316	1995-08-31	VYDAJ	VYBER	15	35058	SLUZBY	\N	\N
973302	3316	1995-09-30	VYDAJ	VYBER	15	36234	SLUZBY	\N	\N
973303	3316	1995-10-31	VYDAJ	VYBER	15	34271	SLUZBY	\N	\N
973304	3316	1995-11-30	VYDAJ	VYBER	15	37285	SLUZBY	\N	\N
973305	3316	1995-12-31	VYDAJ	VYBER	15	37565	SLUZBY	\N	\N
973306	3316	1996-01-31	VYDAJ	VYBER	15	29786	SLUZBY	\N	\N
973307	3316	1996-02-29	VYDAJ	VYBER	15	33581	SLUZBY	\N	\N
973308	3316	1996-03-31	VYDAJ	VYBER	15	37092	SLUZBY	\N	\N
973309	3316	1996-04-30	VYDAJ	VYBER	15	39015	SLUZBY	\N	\N
973310	3316	1996-05-31	VYDAJ	VYBER	15	36038	SLUZBY	\N	\N
973311	3316	1996-06-30	VYDAJ	VYBER	15	36544	SLUZBY	\N	\N
973312	3316	1996-07-31	VYDAJ	VYBER	15	36961	SLUZBY	\N	\N
973313	3316	1996-08-31	VYDAJ	VYBER	15	37981	SLUZBY	\N	\N
973314	3316	1996-09-30	VYDAJ	VYBER	15	39204	SLUZBY	\N	\N
973315	3316	1996-10-31	VYDAJ	VYBER	15	39229	SLUZBY	\N	\N
973316	3316	1996-11-30	VYDAJ	VYBER	15	33889	SLUZBY	\N	\N
973317	3316	1996-12-31	VYDAJ	VYBER	15	40877	SLUZBY	\N	\N
973318	3316	1997-01-31	VYDAJ	VYBER	15	35224	SLUZBY	\N	\N
973319	3316	1997-02-28	VYDAJ	VYBER	15	39740	SLUZBY	\N	\N
973320	3316	1997-03-31	VYDAJ	VYBER	15	39266	SLUZBY	\N	\N
973321	3316	1997-04-30	VYDAJ	VYBER	15	38989	SLUZBY	\N	\N
973322	3316	1997-05-31	VYDAJ	VYBER	15	39212	SLUZBY	\N	\N
973323	3316	1997-06-30	VYDAJ	VYBER	15	39884	SLUZBY	\N	\N
973324	3316	1997-07-31	VYDAJ	VYBER	15	36022	SLUZBY	\N	\N
973325	3316	1997-08-31	VYDAJ	VYBER	15	34929	SLUZBY	\N	\N
973326	3316	1997-09-30	VYDAJ	VYBER	15	33231	SLUZBY	\N	\N
973327	3316	1997-10-31	VYDAJ	VYBER	15	30925	SLUZBY	\N	\N
973328	3316	1997-11-30	VYDAJ	VYBER	15	30415	SLUZBY	\N	\N
973329	3316	1997-12-31	VYDAJ	VYBER	15	27548	SLUZBY	\N	\N
973330	3316	1998-01-31	VYDAJ	VYBER	15	19229	SLUZBY	\N	\N
973331	3316	1998-02-28	VYDAJ	VYBER	15	21862	SLUZBY	\N	\N
973332	3316	1998-03-31	VYDAJ	VYBER	15	20612	SLUZBY	\N	\N
973333	3316	1998-04-30	VYDAJ	VYBER	15	19658	SLUZBY	\N	\N
973334	3316	1998-05-31	VYDAJ	VYBER	15	24316	SLUZBY	\N	\N
973335	3316	1998-06-30	VYDAJ	VYBER	15	28761	SLUZBY	\N	\N
973336	3316	1998-07-31	VYDAJ	VYBER	15	28143	SLUZBY	\N	\N
973337	3316	1998-08-31	VYDAJ	VYBER	15	24513	SLUZBY	\N	\N
973338	3316	1998-09-30	VYDAJ	VYBER	15	22421	SLUZBY	\N	\N
973339	3316	1998-10-31	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
973340	3316	1998-11-30	VYDAJ	VYBER	15	29013	SLUZBY	\N	\N
973341	3316	1993-06-05	PRIJEM	VKLAD	3600	19786	\N	\N	\N
973342	3316	1993-07-05	VYDAJ	VYBER	9000	33940	\N	\N	\N
973343	3316	1993-08-04	VYDAJ	VYBER	11300	38172	\N	\N	\N
973344	3316	1993-09-03	VYDAJ	VYBER	15200	38524	\N	\N	\N
973345	3316	1993-10-03	VYDAJ	VYBER	7800	33344	\N	\N	\N
973346	3316	1993-11-02	VYDAJ	VYBER	5700	33479	\N	\N	\N
973347	3316	1993-12-02	VYDAJ	VYBER	4800	34514	\N	\N	\N
973348	3316	1994-01-01	VYDAJ	VYBER	7200	37202	\N	\N	\N
973349	3316	1994-01-31	VYDAJ	VYBER	3700	27929	\N	\N	\N
973350	3316	1994-03-02	VYDAJ	VYBER	5100	28620	\N	\N	\N
973351	3316	1994-04-01	VYDAJ	VYBER	1900	32534	\N	\N	\N
973352	3316	1994-05-01	VYDAJ	VYBER	7300	28660	\N	\N	\N
973353	3316	1994-05-31	VYDAJ	VYBER	3200	27792	\N	\N	\N
973354	3316	1994-06-30	VYDAJ	VYBER	8800	32467	\N	\N	\N
973355	3316	1994-07-30	VYDAJ	VYBER	8500	29644	\N	\N	\N
973356	3316	1994-08-29	VYDAJ	VYBER	4800	30669	\N	\N	\N
973357	3316	1994-09-28	VYDAJ	VYBER	3500	27327	\N	\N	\N
973358	3316	1994-10-28	VYDAJ	VYBER	2200	30919	\N	\N	\N
973359	3316	1994-11-27	VYDAJ	VYBER	6400	30308	\N	\N	\N
973360	3316	1994-12-27	VYDAJ	VYBER	3600	33894	\N	\N	\N
973361	3316	1995-01-26	VYDAJ	VYBER	1100	28515	\N	\N	\N
973362	3316	1995-02-25	VYDAJ	VYBER	200	31118	\N	\N	\N
973363	3316	1995-03-27	VYDAJ	VYBER	2000	34899	\N	\N	\N
973364	3316	1995-04-26	VYDAJ	VYBER	1900	38803	\N	\N	\N
973365	3316	1995-05-26	VYDAJ	VYBER	4900	33843	\N	\N	\N
973366	3316	1995-06-25	VYDAJ	VYBER	7000	35055	\N	\N	\N
973367	3316	1995-07-25	VYDAJ	VYBER	2600	36969	\N	\N	\N
973368	3316	1995-08-24	VYDAJ	VYBER	6800	34905	\N	\N	\N
973369	3316	1995-09-23	VYDAJ	VYBER	3200	37535	\N	\N	\N
973370	3316	1995-10-23	VYDAJ	VYBER	5500	34131	\N	\N	\N
973371	3316	1995-11-22	VYDAJ	VYBER	2800	37148	\N	\N	\N
973372	3316	1995-12-22	VYDAJ	VYBER	10500	40128	\N	\N	\N
973373	3316	1996-01-21	VYDAJ	VYBER	4000	35042	\N	\N	\N
973374	3316	1996-02-20	VYDAJ	VYBER	2000	33463	\N	\N	\N
973375	3316	1996-03-21	VYDAJ	VYBER	2300	36958	\N	\N	\N
973376	3316	1996-04-20	VYDAJ	VYBER	3900	38869	\N	\N	\N
973377	3316	1996-05-20	VYDAJ	VYBER	8800	35892	\N	\N	\N
973378	3316	1996-06-19	VYDAJ	VYBER	10100	36401	\N	\N	\N
973379	3316	1996-07-19	VYDAJ	VYBER	5400	36821	\N	\N	\N
973380	3316	1996-08-18	VYDAJ	VYBER	4800	37838	\N	\N	\N
973381	3316	1996-09-17	VYDAJ	VYBER	4600	39058	\N	\N	\N
973382	3316	1996-10-17	VYDAJ	VYBER	5800	39081	\N	\N	\N
973383	3316	1996-11-16	VYDAJ	VYBER	6000	38906	\N	\N	\N
973384	3316	1996-12-16	VYDAJ	VYBER	4900	42332	\N	\N	\N
973385	3316	1997-01-15	PRIJEM	VKLAD	3400	39034	\N	\N	\N
973386	3316	1997-02-14	VYDAJ	VYBER	1300	49256	\N	\N	\N
973387	3316	1997-03-16	VYDAJ	VYBER	6300	39117	\N	\N	\N
973388	3316	1997-04-15	VYDAJ	VYBER	6100	38843	\N	\N	\N
973389	3316	1997-05-15	VYDAJ	VYBER	5600	39066	\N	\N	\N
973390	3316	1997-06-14	VYDAJ	VYBER	9600	49370	\N	\N	\N
973391	3316	1997-07-14	VYDAJ	VYBER	9700	35861	\N	\N	\N
973392	3316	1997-08-13	VYDAJ	VYBER	6900	44454	\N	\N	\N
973393	3316	1997-09-12	VYDAJ	VYBER	7500	42761	\N	\N	\N
973394	3316	1997-10-12	VYDAJ	VYBER	8100	40463	\N	\N	\N
973395	3316	1997-11-11	VYDAJ	VYBER	6300	39957	\N	\N	\N
973396	3316	1997-12-11	VYDAJ	VYBER	12000	41413	\N	\N	\N
973397	3316	1998-01-10	PRIJEM	VKLAD	200	39240	\N	\N	\N
973398	3316	1998-02-09	PRIJEM	VKLAD	600	35161	\N	\N	\N
973399	3316	1998-03-11	VYDAJ	VYBER	7000	30194	\N	\N	\N
973400	3316	1998-04-10	VYDAJ	VYBER	6700	29244	\N	\N	\N
973401	3316	1998-05-10	VYDAJ	VYBER	1100	33890	\N	\N	\N
973402	3316	1998-06-09	VYDAJ	VYBER	9000	38314	\N	\N	\N
973403	3316	1998-07-09	VYDAJ	VYBER	6400	37693	\N	\N	\N
973404	3316	1998-08-08	VYDAJ	VYBER	9400	34075	\N	\N	\N
973405	3316	1998-09-07	VYDAJ	VYBER	5700	34145	\N	\N	\N
973406	3316	1998-10-07	VYDAJ	VYBER	7500	30253	\N	\N	\N
973407	3316	1998-11-06	PRIJEM	VKLAD	4000	23234	\N	\N	\N
973408	3316	1998-12-06	PRIJEM	VKLAD	4100	27233	\N	\N	\N
973477	3317	1995-10-04	PRIJEM	VKLAD	600	600	\N	\N	\N
973487	3317	1995-10-14	PRIJEM	PREVOD Z UCTU	3249	3849	\N	IJ	98464202
973488	3317	1995-11-14	PRIJEM	PREVOD Z UCTU	3249	7107	\N	IJ	98464202
973489	3317	1995-12-14	PRIJEM	PREVOD Z UCTU	3249	10372	\N	IJ	98464202
973490	3317	1996-01-14	PRIJEM	PREVOD Z UCTU	3249	13637	\N	IJ	98464202
973491	3317	1996-02-14	PRIJEM	PREVOD Z UCTU	3249	16902	\N	IJ	98464202
973492	3317	1996-03-14	PRIJEM	PREVOD Z UCTU	3249	18012	\N	IJ	98464202
973493	3317	1996-04-14	PRIJEM	PREVOD Z UCTU	3249	18066	\N	IJ	98464202
973494	3317	1996-05-14	PRIJEM	PREVOD Z UCTU	3249	19199	\N	IJ	98464202
973495	3317	1996-06-14	PRIJEM	PREVOD Z UCTU	3249	19441	\N	IJ	98464202
973496	3317	1996-07-14	PRIJEM	PREVOD Z UCTU	3249	20581	\N	IJ	98464202
973497	3317	1996-08-14	PRIJEM	PREVOD Z UCTU	3249	21159	\N	IJ	98464202
973498	3317	1996-09-14	PRIJEM	PREVOD Z UCTU	3249	22306	\N	IJ	98464202
973499	3317	1996-10-14	PRIJEM	PREVOD Z UCTU	3249	23461	\N	IJ	98464202
973500	3317	1996-11-14	PRIJEM	PREVOD Z UCTU	3249	23774	\N	IJ	98464202
973501	3317	1996-12-14	PRIJEM	PREVOD Z UCTU	3249	24936	\N	IJ	98464202
973502	3317	1997-01-14	PRIJEM	PREVOD Z UCTU	3249	24687	\N	IJ	98464202
973503	3317	1997-02-14	PRIJEM	PREVOD Z UCTU	3249	22819	\N	IJ	98464202
973504	3317	1997-03-14	PRIJEM	PREVOD Z UCTU	3249	23976	\N	IJ	98464202
973505	3317	1997-04-14	PRIJEM	PREVOD Z UCTU	3249	24353	\N	IJ	98464202
973506	3317	1997-05-14	PRIJEM	PREVOD Z UCTU	3249	24815	\N	IJ	98464202
973507	3317	1997-06-14	PRIJEM	PREVOD Z UCTU	3249	22476	\N	IJ	98464202
973508	3317	1997-07-14	PRIJEM	PREVOD Z UCTU	3249	16594	\N	IJ	98464202
973509	3317	1997-08-14	PRIJEM	PREVOD Z UCTU	3249	16923	\N	IJ	98464202
973510	3317	1997-09-14	PRIJEM	PREVOD Z UCTU	3249	18051	\N	IJ	98464202
973511	3317	1997-10-14	PRIJEM	PREVOD Z UCTU	3249	17582	\N	IJ	98464202
973512	3317	1997-11-14	PRIJEM	PREVOD Z UCTU	3249	17213	\N	IJ	98464202
973513	3317	1997-12-14	PRIJEM	PREVOD Z UCTU	3249	17701	\N	IJ	98464202
973514	3317	1998-01-14	PRIJEM	PREVOD Z UCTU	3249	16822	\N	IJ	98464202
973515	3317	1998-02-14	PRIJEM	PREVOD Z UCTU	3249	16990	\N	IJ	98464202
973516	3317	1998-03-14	PRIJEM	PREVOD Z UCTU	3249	15316	\N	IJ	98464202
973517	3317	1998-04-14	PRIJEM	PREVOD Z UCTU	3249	16442	\N	IJ	98464202
973518	3317	1998-05-14	PRIJEM	PREVOD Z UCTU	3249	16268	\N	IJ	98464202
973519	3317	1998-06-14	PRIJEM	PREVOD Z UCTU	3249	17247	\N	IJ	98464202
973520	3317	1998-07-14	PRIJEM	PREVOD Z UCTU	3249	18381	\N	IJ	98464202
973521	3317	1998-08-14	PRIJEM	PREVOD Z UCTU	3249	17605	\N	IJ	98464202
973522	3317	1998-09-14	PRIJEM	PREVOD Z UCTU	3249	18737	\N	IJ	98464202
973523	3317	1998-10-14	PRIJEM	PREVOD Z UCTU	3249	19632	\N	IJ	98464202
973524	3317	1998-11-14	PRIJEM	PREVOD Z UCTU	3249	19841	\N	IJ	98464202
973525	3317	1998-12-14	PRIJEM	PREVOD Z UCTU	3249	20021	\N	IJ	98464202
973539	3317	1996-02-14	VYDAJ	PREVOD NA UCET	2166	14736	\N	KL	89721625
973540	3317	1996-03-14	VYDAJ	PREVOD NA UCET	2166	15846	\N	KL	89721625
973541	3317	1996-04-14	VYDAJ	PREVOD NA UCET	2166	15900	\N	KL	89721625
973542	3317	1996-05-14	VYDAJ	PREVOD NA UCET	2166	17033	\N	KL	89721625
973543	3317	1996-06-14	VYDAJ	PREVOD NA UCET	2166	17275	\N	KL	89721625
973544	3317	1996-07-14	VYDAJ	PREVOD NA UCET	2166	18415	\N	KL	89721625
973545	3317	1996-08-14	VYDAJ	PREVOD NA UCET	2166	18993	\N	KL	89721625
973546	3317	1996-09-14	VYDAJ	PREVOD NA UCET	2166	20140	\N	KL	89721625
973547	3317	1996-10-14	VYDAJ	PREVOD NA UCET	2166	21295	\N	KL	89721625
973548	3317	1996-11-14	VYDAJ	PREVOD NA UCET	2166	21608	\N	KL	89721625
973549	3317	1996-12-14	VYDAJ	PREVOD NA UCET	2166	22770	\N	KL	89721625
973550	3317	1997-01-14	VYDAJ	PREVOD NA UCET	2166	22521	\N	KL	89721625
973551	3317	1997-02-14	VYDAJ	PREVOD NA UCET	2166	20653	\N	KL	89721625
973552	3317	1997-03-14	VYDAJ	PREVOD NA UCET	2166	21810	\N	KL	89721625
973553	3317	1997-04-14	VYDAJ	PREVOD NA UCET	2166	22187	\N	KL	89721625
973554	3317	1997-05-14	VYDAJ	PREVOD NA UCET	2166	22649	\N	KL	89721625
973555	3317	1997-06-14	VYDAJ	PREVOD NA UCET	2166	20310	\N	KL	89721625
973556	3317	1997-07-14	VYDAJ	PREVOD NA UCET	2166	14428	\N	KL	89721625
973557	3317	1997-08-14	VYDAJ	PREVOD NA UCET	2166	14757	\N	KL	89721625
973558	3317	1997-09-14	VYDAJ	PREVOD NA UCET	2166	15885	\N	KL	89721625
973559	3317	1997-10-14	VYDAJ	PREVOD NA UCET	2166	15416	\N	KL	89721625
973560	3317	1997-11-14	VYDAJ	PREVOD NA UCET	2166	15047	\N	KL	89721625
973561	3317	1997-12-14	VYDAJ	PREVOD NA UCET	2166	15535	\N	KL	89721625
973562	3317	1998-01-14	VYDAJ	PREVOD NA UCET	2166	14656	\N	KL	89721625
973563	3317	1998-02-14	VYDAJ	PREVOD NA UCET	2166	14824	\N	KL	89721625
973564	3317	1998-03-14	VYDAJ	PREVOD NA UCET	2166	13150	\N	KL	89721625
973565	3317	1998-04-14	VYDAJ	PREVOD NA UCET	2166	14276	\N	KL	89721625
973566	3317	1998-05-14	VYDAJ	PREVOD NA UCET	2166	14102	\N	KL	89721625
973567	3317	1998-06-14	VYDAJ	PREVOD NA UCET	2166	15081	\N	KL	89721625
973568	3317	1998-07-14	VYDAJ	PREVOD NA UCET	2166	16215	\N	KL	89721625
973569	3317	1998-08-14	VYDAJ	PREVOD NA UCET	2166	15439	\N	KL	89721625
973570	3317	1998-09-14	VYDAJ	PREVOD NA UCET	2166	16571	\N	KL	89721625
973571	3317	1998-10-14	VYDAJ	PREVOD NA UCET	2166	17466	\N	KL	89721625
973572	3317	1998-11-14	VYDAJ	PREVOD NA UCET	2166	17675	\N	KL	89721625
973573	3317	1998-12-14	VYDAJ	PREVOD NA UCET	2166	17855	\N	KL	89721625
973576	3317	1997-06-18	VYDAJ	VYBER	7020	13290	\N	\N	\N
973579	3317	1996-12-30	VYDAJ	VYBER	300	22470	\N	\N	\N
973580	3317	1997-12-10	VYDAJ	VYBER	240	14452	\N	\N	\N
973581	3317	1998-12-04	VYDAJ	VYBER	270	16772	\N	\N	\N
973594	3317	1997-01-28	VYDAJ	VYBER	720	19491	\N	\N	\N
973595	3317	1997-01-28	VYDAJ	VYBER	150	20211	\N	\N	\N
973596	3317	1997-01-28	VYDAJ	VYBER	540	20361	\N	\N	\N
973597	3317	1997-01-12	VYDAJ	VYBER	510	21438	\N	\N	\N
973598	3317	1997-01-12	VYDAJ	VYBER	600	21948	\N	\N	\N
973599	3317	1997-01-27	VYDAJ	VYBER	330	20901	\N	\N	\N
973600	3317	1998-01-24	VYDAJ	VYBER	300	13696	\N	\N	\N
973601	3317	1998-01-19	VYDAJ	VYBER	660	13996	\N	\N	\N
973604	3317	1998-01-10	VYDAJ	VYBER	690	13573	\N	\N	\N
973605	3317	1998-01-09	VYDAJ	VYBER	420	14263	\N	\N	\N
973613	3317	1996-08-12	VYDAJ	VYBER	570	17910	\N	\N	\N
973614	3317	1996-03-24	VYDAJ	VYBER	1080	14766	\N	\N	\N
973616	3317	1996-06-05	VYDAJ	VYBER	900	16192	\N	\N	\N
973617	3317	1996-10-15	VYDAJ	VYBER	840	20455	\N	\N	\N
973619	3317	1997-12-24	VYDAJ	VYBER	900	14635	\N	\N	\N
973620	3317	1997-01-23	VYDAJ	VYBER	1290	21231	\N	\N	\N
973621	3317	1997-03-31	VYDAJ	VYBER	780	21104	\N	\N	\N
973622	3317	1998-11-01	VYDAJ	VYBER	930	16592	\N	\N	\N
973623	3317	1998-06-09	VYDAJ	VYBER	150	13998	\N	\N	\N
973624	3317	1998-08-08	VYDAJ	VYBER	1110	14356	\N	\N	\N
973625	3317	1998-09-22	VYDAJ	VYBER	240	16331	\N	\N	\N
973627	3317	1998-11-19	VYDAJ	VYBER	690	16985	\N	\N	\N
973629	3317	1998-12-15	VYDAJ	VYBER	1020	16835	\N	\N	\N
973644	3317	1996-02-29	VYDAJ	VYBER	15	14763	SLUZBY	\N	\N
973645	3317	1996-03-31	VYDAJ	VYBER	15	14817	SLUZBY	\N	\N
973646	3317	1996-04-30	VYDAJ	VYBER	15	15950	SLUZBY	\N	\N
973647	3317	1996-05-31	VYDAJ	VYBER	15	17092	SLUZBY	\N	\N
973648	3317	1996-06-30	VYDAJ	VYBER	15	17332	SLUZBY	\N	\N
973649	3317	1996-07-31	VYDAJ	VYBER	15	18480	SLUZBY	\N	\N
973650	3317	1996-08-31	VYDAJ	VYBER	15	19057	SLUZBY	\N	\N
973651	3317	1996-09-30	VYDAJ	VYBER	15	20212	SLUZBY	\N	\N
973652	3317	1996-10-31	VYDAJ	VYBER	15	20525	SLUZBY	\N	\N
973653	3317	1996-11-30	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
973654	3317	1996-12-31	VYDAJ	VYBER	15	22548	SLUZBY	\N	\N
973655	3317	1997-01-31	VYDAJ	VYBER	15	19570	SLUZBY	\N	\N
973656	3317	1997-02-28	VYDAJ	VYBER	15	20727	SLUZBY	\N	\N
973657	3317	1997-03-31	VYDAJ	VYBER	15	21884	SLUZBY	\N	\N
973658	3317	1997-04-30	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
973659	3317	1997-05-31	VYDAJ	VYBER	15	19227	SLUZBY	\N	\N
973660	3317	1997-06-30	VYDAJ	VYBER	15	13345	SLUZBY	\N	\N
973661	3317	1997-07-31	VYDAJ	VYBER	15	13674	SLUZBY	\N	\N
973662	3317	1997-08-31	VYDAJ	VYBER	15	14802	SLUZBY	\N	\N
973663	3317	1997-09-30	VYDAJ	VYBER	15	14333	SLUZBY	\N	\N
973664	3317	1997-10-31	VYDAJ	VYBER	15	13964	SLUZBY	\N	\N
973665	3317	1997-11-30	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
973666	3317	1997-12-31	VYDAJ	VYBER	15	14683	SLUZBY	\N	\N
973667	3317	1998-01-31	VYDAJ	VYBER	15	13741	SLUZBY	\N	\N
973668	3317	1998-02-28	VYDAJ	VYBER	15	12067	SLUZBY	\N	\N
973669	3317	1998-03-31	VYDAJ	VYBER	15	13193	SLUZBY	\N	\N
973670	3317	1998-04-30	VYDAJ	VYBER	15	13019	SLUZBY	\N	\N
973671	3317	1998-05-31	VYDAJ	VYBER	15	14148	SLUZBY	\N	\N
973672	3317	1998-06-30	VYDAJ	VYBER	15	15132	SLUZBY	\N	\N
973673	3317	1998-07-31	VYDAJ	VYBER	15	15466	SLUZBY	\N	\N
973674	3317	1998-08-31	VYDAJ	VYBER	15	15488	SLUZBY	\N	\N
973675	3317	1998-09-30	VYDAJ	VYBER	15	16383	SLUZBY	\N	\N
973676	3317	1998-10-31	VYDAJ	VYBER	15	17522	SLUZBY	\N	\N
973677	3317	1998-11-30	VYDAJ	VYBER	15	17042	SLUZBY	\N	\N
973678	3317	1997-04-26	VYDAJ	VYBER	700	21487	\N	\N	\N
973679	3317	1997-05-26	VYDAJ	VYBER	3500	19149	\N	\N	\N
973680	3317	1997-07-25	VYDAJ	VYBER	800	13628	\N	\N	\N
973681	3317	1997-09-23	VYDAJ	VYBER	1600	14285	\N	\N	\N
973682	3317	1997-10-23	VYDAJ	VYBER	1500	13916	\N	\N	\N
973683	3317	1997-11-22	VYDAJ	VYBER	400	14647	\N	\N	\N
973684	3317	1998-02-20	VYDAJ	VYBER	2800	12024	\N	\N	\N
973685	3317	1998-04-21	VYDAJ	VYBER	1300	12976	\N	\N	\N
973686	3317	1998-07-20	VYDAJ	VYBER	800	15415	\N	\N	\N
973726	3318	1996-06-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
973733	3318	1996-07-13	PRIJEM	PREVOD Z UCTU	2924	3924	\N	QR	15605175
973734	3318	1996-08-13	PRIJEM	PREVOD Z UCTU	2924	6848	\N	QR	15605175
973735	3318	1996-09-13	PRIJEM	PREVOD Z UCTU	2924	9772	\N	QR	15605175
973736	3318	1996-10-13	PRIJEM	PREVOD Z UCTU	2924	12696	\N	QR	15605175
973737	3318	1996-11-13	PRIJEM	PREVOD Z UCTU	2924	15620	\N	QR	15605175
973738	3318	1996-12-13	PRIJEM	PREVOD Z UCTU	2924	16619	\N	QR	15605175
973739	3318	1997-01-13	PRIJEM	PREVOD Z UCTU	2924	16204	\N	QR	15605175
973740	3318	1997-02-13	PRIJEM	PREVOD Z UCTU	2924	15098	\N	QR	15605175
973741	3318	1997-03-13	PRIJEM	PREVOD Z UCTU	2924	13714	\N	QR	15605175
973742	3318	1997-04-13	PRIJEM	PREVOD Z UCTU	2924	14548	\N	QR	15605175
973743	3318	1997-05-13	PRIJEM	PREVOD Z UCTU	2924	15566	\N	QR	15605175
973744	3318	1997-06-13	PRIJEM	PREVOD Z UCTU	2924	16587	\N	QR	15605175
973745	3318	1997-07-13	PRIJEM	PREVOD Z UCTU	2924	13506	\N	QR	15605175
973746	3318	1997-08-13	PRIJEM	PREVOD Z UCTU	2924	14128	\N	QR	15605175
973747	3318	1997-09-13	PRIJEM	PREVOD Z UCTU	2924	13039	\N	QR	15605175
973748	3318	1997-10-13	PRIJEM	PREVOD Z UCTU	2924	14051	\N	QR	15605175
973749	3318	1997-11-13	PRIJEM	PREVOD Z UCTU	2924	15065	\N	QR	15605175
973750	3318	1997-12-13	PRIJEM	PREVOD Z UCTU	2924	14792	\N	QR	15605175
973751	3318	1998-01-13	PRIJEM	PREVOD Z UCTU	2924	14607	\N	QR	15605175
973752	3318	1998-02-13	PRIJEM	PREVOD Z UCTU	2924	15053	\N	QR	15605175
973753	3318	1998-03-13	PRIJEM	PREVOD Z UCTU	2924	15892	\N	QR	15605175
973754	3318	1998-04-13	PRIJEM	PREVOD Z UCTU	2924	12304	\N	QR	15605175
973755	3318	1998-05-13	PRIJEM	PREVOD Z UCTU	2924	13312	\N	QR	15605175
973756	3318	1998-06-13	PRIJEM	PREVOD Z UCTU	2924	14323	\N	QR	15605175
973757	3318	1998-07-13	PRIJEM	PREVOD Z UCTU	2924	15340	\N	QR	15605175
973758	3318	1998-08-13	PRIJEM	PREVOD Z UCTU	2924	14887	\N	QR	15605175
973759	3318	1998-09-13	PRIJEM	PREVOD Z UCTU	2924	15906	\N	QR	15605175
973760	3318	1998-10-13	PRIJEM	PREVOD Z UCTU	2924	16929	\N	QR	15605175
973761	3318	1998-11-13	PRIJEM	PREVOD Z UCTU	2924	14247	\N	QR	15605175
973762	3318	1998-12-13	PRIJEM	PREVOD Z UCTU	2924	15263	\N	QR	15605175
973774	3318	1996-12-07	VYDAJ	PREVOD NA UCET	667	13695	\N	EF	97567843
973775	3318	1997-01-07	VYDAJ	PREVOD NA UCET	667	14570	\N	EF	97567843
973776	3318	1997-02-07	VYDAJ	PREVOD NA UCET	667	12945	\N	EF	97567843
973777	3318	1997-03-07	VYDAJ	PREVOD NA UCET	667	11561	\N	EF	97567843
973778	3318	1997-04-07	VYDAJ	PREVOD NA UCET	667	11624	\N	EF	97567843
973779	3318	1997-05-07	VYDAJ	PREVOD NA UCET	667	12642	\N	EF	97567843
973780	3318	1997-06-07	VYDAJ	PREVOD NA UCET	667	14434	\N	EF	97567843
973781	3318	1997-07-07	VYDAJ	PREVOD NA UCET	667	10582	\N	EF	97567843
973782	3318	1997-08-07	VYDAJ	PREVOD NA UCET	667	11204	\N	EF	97567843
973783	3318	1997-09-07	VYDAJ	PREVOD NA UCET	667	10115	\N	EF	97567843
973784	3318	1997-10-07	VYDAJ	PREVOD NA UCET	667	11898	\N	EF	97567843
973785	3318	1997-11-07	VYDAJ	PREVOD NA UCET	667	12141	\N	EF	97567843
973786	3318	1997-12-07	VYDAJ	PREVOD NA UCET	667	12639	\N	EF	97567843
973787	3318	1998-01-07	VYDAJ	PREVOD NA UCET	667	11683	\N	EF	97567843
973788	3318	1998-02-07	VYDAJ	PREVOD NA UCET	667	12129	\N	EF	97567843
973789	3318	1998-03-07	VYDAJ	PREVOD NA UCET	667	12968	\N	EF	97567843
973790	3318	1998-04-07	VYDAJ	PREVOD NA UCET	667	10151	\N	EF	97567843
973791	3318	1998-05-07	VYDAJ	PREVOD NA UCET	667	10388	\N	EF	97567843
973792	3318	1998-06-07	VYDAJ	PREVOD NA UCET	667	11399	\N	EF	97567843
973793	3318	1998-07-07	VYDAJ	PREVOD NA UCET	667	12416	\N	EF	97567843
973794	3318	1998-08-07	VYDAJ	PREVOD NA UCET	667	12734	\N	EF	97567843
973795	3318	1998-09-07	VYDAJ	PREVOD NA UCET	667	13753	\N	EF	97567843
973796	3318	1998-10-07	VYDAJ	PREVOD NA UCET	667	14776	\N	EF	97567843
973797	3318	1998-11-07	VYDAJ	PREVOD NA UCET	667	12094	\N	EF	97567843
973798	3318	1998-12-07	VYDAJ	PREVOD NA UCET	667	12339	\N	EF	97567843
973810	3318	1996-12-07	VYDAJ	PREVOD NA UCET	771	14362	\N	EF	6951642
973811	3318	1997-01-07	VYDAJ	PREVOD NA UCET	771	15237	\N	EF	6951642
973812	3318	1997-02-07	VYDAJ	PREVOD NA UCET	771	12174	\N	EF	6951642
973813	3318	1997-03-07	VYDAJ	PREVOD NA UCET	771	10790	\N	EF	6951642
973814	3318	1997-04-07	VYDAJ	PREVOD NA UCET	771	12291	\N	EF	6951642
973815	3318	1997-05-07	VYDAJ	PREVOD NA UCET	771	13309	\N	EF	6951642
973816	3318	1997-06-07	VYDAJ	PREVOD NA UCET	771	13663	\N	EF	6951642
973817	3318	1997-07-07	VYDAJ	PREVOD NA UCET	771	11249	\N	EF	6951642
973818	3318	1997-08-07	VYDAJ	PREVOD NA UCET	771	11871	\N	EF	6951642
973819	3318	1997-09-07	VYDAJ	PREVOD NA UCET	771	10782	\N	EF	6951642
973820	3318	1997-10-07	VYDAJ	PREVOD NA UCET	771	11127	\N	EF	6951642
973821	3318	1997-11-07	VYDAJ	PREVOD NA UCET	771	12808	\N	EF	6951642
973822	3318	1997-12-07	VYDAJ	PREVOD NA UCET	771	11868	\N	EF	6951642
973823	3318	1998-01-07	VYDAJ	PREVOD NA UCET	771	12350	\N	EF	6951642
973824	3318	1998-02-07	VYDAJ	PREVOD NA UCET	771	12796	\N	EF	6951642
973825	3318	1998-03-07	VYDAJ	PREVOD NA UCET	771	13635	\N	EF	6951642
973826	3318	1998-04-07	VYDAJ	PREVOD NA UCET	771	9380	\N	EF	6951642
973827	3318	1998-05-07	VYDAJ	PREVOD NA UCET	771	11055	\N	EF	6951642
973828	3318	1998-06-07	VYDAJ	PREVOD NA UCET	771	12066	\N	EF	6951642
973829	3318	1998-07-07	VYDAJ	PREVOD NA UCET	771	13083	\N	EF	6951642
973830	3318	1998-08-07	VYDAJ	PREVOD NA UCET	771	11963	\N	EF	6951642
973831	3318	1998-09-07	VYDAJ	PREVOD NA UCET	771	12982	\N	EF	6951642
973832	3318	1998-10-07	VYDAJ	PREVOD NA UCET	771	14005	\N	EF	6951642
973833	3318	1998-11-07	VYDAJ	PREVOD NA UCET	771	11323	\N	EF	6951642
973834	3318	1998-12-07	VYDAJ	PREVOD NA UCET	771	13006	\N	EF	6951642
973845	3318	1996-11-13	VYDAJ	PREVOD NA UCET	511	15109	\N	GH	73162799
973846	3318	1996-12-13	VYDAJ	PREVOD NA UCET	511	16108	\N	GH	73162799
973847	3318	1997-01-13	VYDAJ	PREVOD NA UCET	511	15693	\N	GH	73162799
973848	3318	1997-02-13	VYDAJ	PREVOD NA UCET	511	14587	\N	GH	73162799
973849	3318	1997-03-13	VYDAJ	PREVOD NA UCET	511	13203	\N	GH	73162799
973850	3318	1997-04-13	VYDAJ	PREVOD NA UCET	511	14037	\N	GH	73162799
973851	3318	1997-05-13	VYDAJ	PREVOD NA UCET	511	15055	\N	GH	73162799
973852	3318	1997-06-13	VYDAJ	PREVOD NA UCET	511	16076	\N	GH	73162799
973853	3318	1997-07-13	VYDAJ	PREVOD NA UCET	511	12995	\N	GH	73162799
973854	3318	1997-08-13	VYDAJ	PREVOD NA UCET	511	13617	\N	GH	73162799
973855	3318	1997-09-13	VYDAJ	PREVOD NA UCET	511	12528	\N	GH	73162799
973856	3318	1997-10-13	VYDAJ	PREVOD NA UCET	511	13540	\N	GH	73162799
973857	3318	1997-11-13	VYDAJ	PREVOD NA UCET	511	14554	\N	GH	73162799
973858	3318	1997-12-13	VYDAJ	PREVOD NA UCET	511	14281	\N	GH	73162799
973859	3318	1998-01-13	VYDAJ	PREVOD NA UCET	511	14096	\N	GH	73162799
973860	3318	1998-02-13	VYDAJ	PREVOD NA UCET	511	14542	\N	GH	73162799
973861	3318	1998-03-13	VYDAJ	PREVOD NA UCET	511	15381	\N	GH	73162799
973862	3318	1998-04-13	VYDAJ	PREVOD NA UCET	511	11793	\N	GH	73162799
973863	3318	1998-05-13	VYDAJ	PREVOD NA UCET	511	12801	\N	GH	73162799
973864	3318	1998-06-13	VYDAJ	PREVOD NA UCET	511	13812	\N	GH	73162799
973865	3318	1998-07-13	VYDAJ	PREVOD NA UCET	511	14829	\N	GH	73162799
973866	3318	1998-08-13	VYDAJ	PREVOD NA UCET	511	14376	\N	GH	73162799
973867	3318	1998-09-13	VYDAJ	PREVOD NA UCET	511	15395	\N	GH	73162799
973868	3318	1998-10-13	VYDAJ	PREVOD NA UCET	511	12718	\N	GH	73162799
973869	3318	1998-11-13	VYDAJ	PREVOD NA UCET	511	13736	\N	GH	73162799
973870	3318	1998-12-13	VYDAJ	PREVOD NA UCET	511	14752	\N	GH	73162799
973871	3318	1996-12-19	VYDAJ	VYBER	150	15958	\N	\N	\N
973872	3318	1997-12-18	VYDAJ	VYBER	840	13441	\N	\N	\N
973873	3318	1998-12-16	VYDAJ	VYBER	840	13912	\N	\N	\N
973880	3318	1997-01-25	VYDAJ	VYBER	390	15033	\N	\N	\N
973881	3318	1997-01-19	VYDAJ	VYBER	270	15423	\N	\N	\N
973882	3318	1997-01-29	VYDAJ	VYBER	720	13563	\N	\N	\N
973883	3318	1997-01-26	VYDAJ	VYBER	750	14283	\N	\N	\N
973884	3318	1997-01-12	VYDAJ	VYBER	810	13280	\N	\N	\N
973885	3318	1997-01-09	VYDAJ	VYBER	480	14090	\N	\N	\N
973887	3318	1998-01-02	VYDAJ	VYBER	360	13121	\N	\N	\N
973889	3318	1998-01-18	VYDAJ	VYBER	390	13706	\N	\N	\N
973891	3318	1998-01-29	VYDAJ	VYBER	180	13526	\N	\N	\N
973895	3318	1997-07-29	VYDAJ	VYBER	390	12605	\N	\N	\N
973897	3318	1997-11-20	VYDAJ	VYBER	1290	13264	\N	\N	\N
973900	3318	1997-04-01	VYDAJ	VYBER	180	13062	\N	\N	\N
973903	3318	1998-12-25	VYDAJ	VYBER	450	13462	\N	\N	\N
973904	3318	1998-07-18	VYDAJ	VYBER	1470	13359	\N	\N	\N
973905	3318	1998-03-04	VYDAJ	VYBER	180	14406	\N	\N	\N
973917	3318	1996-11-30	VYDAJ	VYBER	15	15133	SLUZBY	\N	\N
973918	3318	1996-12-31	VYDAJ	VYBER	15	16008	SLUZBY	\N	\N
973919	3318	1997-01-31	VYDAJ	VYBER	15	13612	SLUZBY	\N	\N
973920	3318	1997-02-28	VYDAJ	VYBER	15	12228	SLUZBY	\N	\N
973921	3318	1997-03-31	VYDAJ	VYBER	15	13242	SLUZBY	\N	\N
973922	3318	1997-04-30	VYDAJ	VYBER	15	14080	SLUZBY	\N	\N
973923	3318	1997-05-31	VYDAJ	VYBER	15	15101	SLUZBY	\N	\N
973924	3318	1997-06-30	VYDAJ	VYBER	15	12020	SLUZBY	\N	\N
973925	3318	1997-07-31	VYDAJ	VYBER	15	12642	SLUZBY	\N	\N
973926	3318	1997-08-31	VYDAJ	VYBER	15	11553	SLUZBY	\N	\N
973927	3318	1997-09-30	VYDAJ	VYBER	15	12565	SLUZBY	\N	\N
973928	3318	1997-10-31	VYDAJ	VYBER	15	13579	SLUZBY	\N	\N
973929	3318	1997-11-30	VYDAJ	VYBER	15	13306	SLUZBY	\N	\N
973930	3318	1997-12-31	VYDAJ	VYBER	15	13481	SLUZBY	\N	\N
973931	3318	1998-01-31	VYDAJ	VYBER	15	13567	SLUZBY	\N	\N
973932	3318	1998-02-28	VYDAJ	VYBER	15	14586	SLUZBY	\N	\N
973933	3318	1998-03-31	VYDAJ	VYBER	15	10818	SLUZBY	\N	\N
973934	3318	1998-04-30	VYDAJ	VYBER	15	11826	SLUZBY	\N	\N
973935	3318	1998-05-31	VYDAJ	VYBER	15	12837	SLUZBY	\N	\N
973936	3318	1998-06-30	VYDAJ	VYBER	15	13854	SLUZBY	\N	\N
973937	3318	1998-07-31	VYDAJ	VYBER	15	13401	SLUZBY	\N	\N
973938	3318	1998-08-31	VYDAJ	VYBER	15	14420	SLUZBY	\N	\N
973939	3318	1998-09-30	VYDAJ	VYBER	15	15443	SLUZBY	\N	\N
973940	3318	1998-10-31	VYDAJ	VYBER	15	12761	SLUZBY	\N	\N
973941	3318	1998-11-30	VYDAJ	VYBER	15	13777	SLUZBY	\N	\N
973942	3318	1997-02-20	VYDAJ	VYBER	2400	12187	\N	\N	\N
973943	3318	1997-06-20	VYDAJ	VYBER	4100	11976	\N	\N	\N
973944	3318	1997-08-19	VYDAJ	VYBER	2100	11517	\N	\N	\N
973945	3318	1998-03-17	VYDAJ	VYBER	4600	10781	\N	\N	\N
973946	3318	1998-10-13	VYDAJ	VYBER	3700	13229	\N	\N	\N
973973	3319	1993-08-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
973982	3319	1993-09-12	PRIJEM	PREVOD Z UCTU	3331	4431	\N	WX	30468779
973983	3319	1993-10-12	PRIJEM	PREVOD Z UCTU	3331	17468	\N	WX	30468779
973984	3319	1993-11-12	PRIJEM	PREVOD Z UCTU	3331	24562	\N	WX	30468779
973985	3319	1993-12-12	PRIJEM	PREVOD Z UCTU	3331	28683	\N	WX	30468779
973986	3319	1994-01-12	PRIJEM	PREVOD Z UCTU	3331	30721	\N	WX	30468779
973987	3319	1994-02-12	PRIJEM	PREVOD Z UCTU	3331	28631	\N	WX	30468779
973988	3319	1994-03-12	PRIJEM	PREVOD Z UCTU	3331	29436	\N	WX	30468779
973989	3319	1994-04-12	PRIJEM	PREVOD Z UCTU	3331	31446	\N	WX	30468779
973990	3319	1994-05-12	PRIJEM	PREVOD Z UCTU	3331	29661	\N	WX	30468779
973991	3319	1994-06-12	PRIJEM	PREVOD Z UCTU	3331	28969	\N	WX	30468779
973992	3319	1994-07-12	PRIJEM	PREVOD Z UCTU	3331	27537	\N	WX	30468779
973993	3319	1994-08-12	PRIJEM	PREVOD Z UCTU	3331	29390	\N	WX	30468779
973994	3319	1994-09-12	PRIJEM	PREVOD Z UCTU	3331	29098	\N	WX	30468779
973995	3319	1994-10-12	PRIJEM	PREVOD Z UCTU	3331	29885	\N	WX	30468779
973996	3319	1994-11-12	PRIJEM	PREVOD Z UCTU	3331	31016	\N	WX	30468779
973997	3319	1994-12-12	PRIJEM	PREVOD Z UCTU	3331	28517	\N	WX	30468779
973998	3319	1995-01-12	PRIJEM	PREVOD Z UCTU	3331	31725	\N	WX	30468779
973999	3319	1995-02-12	PRIJEM	PREVOD Z UCTU	3331	30639	\N	WX	30468779
974000	3319	1995-03-12	PRIJEM	PREVOD Z UCTU	3331	31653	\N	WX	30468779
974001	3319	1995-04-12	PRIJEM	PREVOD Z UCTU	3331	32972	\N	WX	30468779
974002	3319	1995-05-12	PRIJEM	PREVOD Z UCTU	3331	29011	\N	WX	30468779
974003	3319	1995-06-12	PRIJEM	PREVOD Z UCTU	3331	28315	\N	WX	30468779
974004	3319	1995-07-12	PRIJEM	PREVOD Z UCTU	3331	24488	\N	WX	30468779
974005	3319	1995-08-12	PRIJEM	PREVOD Z UCTU	3331	26537	\N	WX	30468779
974006	3319	1995-09-12	PRIJEM	PREVOD Z UCTU	3331	30237	\N	WX	30468779
974007	3319	1995-10-12	PRIJEM	PREVOD Z UCTU	3331	30247	\N	WX	30468779
974008	3319	1995-11-12	PRIJEM	PREVOD Z UCTU	3331	32560	\N	WX	30468779
974009	3319	1995-12-12	PRIJEM	PREVOD Z UCTU	3331	33120	\N	WX	30468779
974010	3319	1996-01-12	PRIJEM	PREVOD Z UCTU	3331	30467	\N	WX	30468779
974011	3319	1996-02-12	PRIJEM	PREVOD Z UCTU	3331	32261	\N	WX	30468779
974012	3319	1996-03-12	PRIJEM	PREVOD Z UCTU	3331	30746	\N	WX	30468779
974013	3319	1996-04-12	PRIJEM	PREVOD Z UCTU	3331	32260	\N	WX	30468779
974014	3319	1996-05-12	PRIJEM	PREVOD Z UCTU	3331	32007	\N	WX	30468779
974015	3319	1996-06-12	PRIJEM	PREVOD Z UCTU	3331	32624	\N	WX	30468779
974016	3319	1996-07-12	PRIJEM	PREVOD Z UCTU	3331	32203	\N	WX	30468779
974017	3319	1996-08-12	PRIJEM	PREVOD Z UCTU	3331	34525	\N	WX	30468779
974018	3319	1996-09-12	PRIJEM	PREVOD Z UCTU	3331	35859	\N	WX	30468779
974019	3319	1996-10-12	PRIJEM	PREVOD Z UCTU	3331	34487	\N	WX	30468779
974020	3319	1996-11-12	PRIJEM	PREVOD Z UCTU	3331	36987	\N	WX	30468779
974021	3319	1996-12-12	PRIJEM	PREVOD Z UCTU	3331	40687	\N	WX	30468779
974022	3319	1997-01-12	PRIJEM	PREVOD Z UCTU	3331	41946	\N	WX	30468779
974023	3319	1997-02-12	PRIJEM	PREVOD Z UCTU	3331	45214	\N	WX	30468779
974024	3319	1997-03-12	PRIJEM	PREVOD Z UCTU	3331	45983	\N	WX	30468779
974025	3319	1997-04-12	PRIJEM	PREVOD Z UCTU	3331	44480	\N	WX	30468779
974026	3319	1997-05-12	PRIJEM	PREVOD Z UCTU	3331	44022	\N	WX	30468779
974027	3319	1997-06-12	PRIJEM	PREVOD Z UCTU	3331	43590	\N	WX	30468779
974028	3319	1997-07-12	PRIJEM	PREVOD Z UCTU	3331	42960	\N	WX	30468779
974029	3319	1997-08-12	PRIJEM	PREVOD Z UCTU	3331	48920	\N	WX	30468779
974030	3319	1997-09-12	PRIJEM	PREVOD Z UCTU	3331	52244	\N	WX	30468779
974031	3319	1997-10-12	PRIJEM	PREVOD Z UCTU	3331	51343	\N	WX	30468779
974032	3319	1997-11-12	PRIJEM	PREVOD Z UCTU	3331	51243	\N	WX	30468779
974033	3319	1997-12-12	PRIJEM	PREVOD Z UCTU	3331	53680	\N	WX	30468779
974034	3319	1998-01-12	PRIJEM	PREVOD Z UCTU	3331	55486	\N	WX	30468779
974035	3319	1998-02-12	PRIJEM	PREVOD Z UCTU	3331	55800	\N	WX	30468779
974036	3319	1998-03-12	PRIJEM	PREVOD Z UCTU	3331	56617	\N	WX	30468779
974037	3319	1998-04-12	PRIJEM	PREVOD Z UCTU	3331	52253	\N	WX	30468779
974038	3319	1998-05-12	PRIJEM	PREVOD Z UCTU	3331	57656	\N	WX	30468779
974039	3319	1998-06-12	PRIJEM	PREVOD Z UCTU	3331	62277	\N	WX	30468779
974040	3319	1998-07-12	PRIJEM	PREVOD Z UCTU	3331	57903	\N	WX	30468779
974041	3319	1998-08-12	PRIJEM	PREVOD Z UCTU	3331	57226	\N	WX	30468779
974042	3319	1998-09-12	PRIJEM	PREVOD Z UCTU	3331	53339	\N	WX	30468779
974043	3319	1998-10-12	PRIJEM	PREVOD Z UCTU	3331	50048	\N	WX	30468779
974044	3319	1998-11-12	PRIJEM	PREVOD Z UCTU	3331	52542	\N	WX	30468779
974045	3319	1998-12-12	PRIJEM	PREVOD Z UCTU	3331	51442	\N	WX	30468779
974059	3319	1994-02-06	VYDAJ	PREVOD NA UCET	66	25300	SIPO	AB	20696419
974060	3319	1994-03-06	VYDAJ	PREVOD NA UCET	66	26105	SIPO	AB	20696419
974061	3319	1994-04-06	VYDAJ	PREVOD NA UCET	66	28115	SIPO	AB	20696419
974062	3319	1994-05-06	VYDAJ	PREVOD NA UCET	66	26330	SIPO	AB	20696419
974063	3319	1994-06-06	VYDAJ	PREVOD NA UCET	66	25638	SIPO	AB	20696419
974064	3319	1994-07-06	VYDAJ	PREVOD NA UCET	66	24206	SIPO	AB	20696419
974065	3319	1994-08-06	VYDAJ	PREVOD NA UCET	66	26059	SIPO	AB	20696419
974066	3319	1994-09-06	VYDAJ	PREVOD NA UCET	66	25767	SIPO	AB	20696419
974067	3319	1994-10-06	VYDAJ	PREVOD NA UCET	66	26554	SIPO	AB	20696419
974068	3319	1994-11-06	VYDAJ	PREVOD NA UCET	66	27685	SIPO	AB	20696419
974069	3319	1994-12-06	VYDAJ	PREVOD NA UCET	66	25186	SIPO	AB	20696419
974070	3319	1995-01-06	VYDAJ	PREVOD NA UCET	66	28394	SIPO	AB	20696419
974071	3319	1995-02-06	VYDAJ	PREVOD NA UCET	66	27308	SIPO	AB	20696419
974072	3319	1995-03-06	VYDAJ	PREVOD NA UCET	66	28322	SIPO	AB	20696419
974073	3319	1995-04-06	VYDAJ	PREVOD NA UCET	66	31141	SIPO	AB	20696419
974074	3319	1995-05-06	VYDAJ	PREVOD NA UCET	66	25680	SIPO	AB	20696419
974075	3319	1995-06-06	VYDAJ	PREVOD NA UCET	66	24984	SIPO	AB	20696419
974076	3319	1995-07-06	VYDAJ	PREVOD NA UCET	66	21157	SIPO	AB	20696419
974077	3319	1995-08-06	VYDAJ	PREVOD NA UCET	66	23206	SIPO	AB	20696419
974078	3319	1995-09-06	VYDAJ	PREVOD NA UCET	66	26906	SIPO	AB	20696419
974079	3319	1995-10-06	VYDAJ	PREVOD NA UCET	66	26916	SIPO	AB	20696419
974080	3319	1995-11-06	VYDAJ	PREVOD NA UCET	66	29229	SIPO	AB	20696419
974081	3319	1995-12-06	VYDAJ	PREVOD NA UCET	66	29789	SIPO	AB	20696419
974082	3319	1996-01-06	VYDAJ	PREVOD NA UCET	66	27136	SIPO	AB	20696419
974083	3319	1996-02-06	VYDAJ	PREVOD NA UCET	66	28930	SIPO	AB	20696419
974084	3319	1996-03-06	VYDAJ	PREVOD NA UCET	66	27415	SIPO	AB	20696419
974085	3319	1996-04-06	VYDAJ	PREVOD NA UCET	66	28929	SIPO	AB	20696419
974086	3319	1996-05-06	VYDAJ	PREVOD NA UCET	66	28676	SIPO	AB	20696419
974087	3319	1996-06-06	VYDAJ	PREVOD NA UCET	66	29293	SIPO	AB	20696419
974088	3319	1996-07-06	VYDAJ	PREVOD NA UCET	66	28872	SIPO	AB	20696419
974089	3319	1996-08-06	VYDAJ	PREVOD NA UCET	66	31194	SIPO	AB	20696419
974090	3319	1996-09-06	VYDAJ	PREVOD NA UCET	66	32528	SIPO	AB	20696419
974091	3319	1996-10-06	VYDAJ	PREVOD NA UCET	66	31156	SIPO	AB	20696419
974092	3319	1996-11-06	VYDAJ	PREVOD NA UCET	66	29076	SIPO	AB	20696419
974093	3319	1996-12-06	VYDAJ	PREVOD NA UCET	66	33656	SIPO	AB	20696419
974094	3319	1997-01-06	VYDAJ	PREVOD NA UCET	66	38215	SIPO	AB	20696419
974095	3319	1997-02-06	VYDAJ	PREVOD NA UCET	66	38583	SIPO	AB	20696419
974096	3319	1997-03-06	VYDAJ	PREVOD NA UCET	66	43152	SIPO	AB	20696419
974097	3319	1997-04-06	VYDAJ	PREVOD NA UCET	66	43479	SIPO	AB	20696419
974098	3319	1997-05-06	VYDAJ	PREVOD NA UCET	66	41191	SIPO	AB	20696419
974099	3319	1997-06-06	VYDAJ	PREVOD NA UCET	66	41959	SIPO	AB	20696419
974100	3319	1997-07-06	VYDAJ	PREVOD NA UCET	66	36929	SIPO	AB	20696419
974101	3319	1997-08-06	VYDAJ	PREVOD NA UCET	66	40889	SIPO	AB	20696419
974102	3319	1997-09-06	VYDAJ	PREVOD NA UCET	66	46513	SIPO	AB	20696419
974103	3319	1997-10-06	VYDAJ	PREVOD NA UCET	66	50212	SIPO	AB	20696419
974104	3319	1997-11-06	VYDAJ	PREVOD NA UCET	66	49312	SIPO	AB	20696419
974105	3319	1997-12-06	VYDAJ	PREVOD NA UCET	66	50829	SIPO	AB	20696419
974106	3319	1998-01-06	VYDAJ	PREVOD NA UCET	66	52155	SIPO	AB	20696419
974107	3319	1998-02-06	VYDAJ	PREVOD NA UCET	66	52469	SIPO	AB	20696419
974108	3319	1998-03-06	VYDAJ	PREVOD NA UCET	66	53286	SIPO	AB	20696419
974109	3319	1998-04-06	VYDAJ	PREVOD NA UCET	66	48922	SIPO	AB	20696419
974110	3319	1998-05-06	VYDAJ	PREVOD NA UCET	66	54325	SIPO	AB	20696419
974111	3319	1998-06-06	VYDAJ	PREVOD NA UCET	66	58946	SIPO	AB	20696419
974112	3319	1998-07-06	VYDAJ	PREVOD NA UCET	66	54572	SIPO	AB	20696419
974113	3319	1998-08-06	VYDAJ	PREVOD NA UCET	66	53895	SIPO	AB	20696419
974114	3319	1998-09-06	VYDAJ	PREVOD NA UCET	66	50818	SIPO	AB	20696419
974115	3319	1998-10-06	VYDAJ	PREVOD NA UCET	66	46717	SIPO	AB	20696419
974116	3319	1998-11-06	VYDAJ	PREVOD NA UCET	66	49211	SIPO	AB	20696419
974117	3319	1998-12-06	VYDAJ	PREVOD NA UCET	66	48111	SIPO	AB	20696419
974130	3319	1994-01-13	VYDAJ	PREVOD NA UCET	2154	28567	 	UV	77133154
974131	3319	1994-02-13	VYDAJ	PREVOD NA UCET	2154	26477	 	UV	77133154
974132	3319	1994-03-13	VYDAJ	PREVOD NA UCET	2154	27282	 	UV	77133154
974133	3319	1994-04-13	VYDAJ	PREVOD NA UCET	2154	29292	 	UV	77133154
974134	3319	1994-05-13	VYDAJ	PREVOD NA UCET	2154	27507	 	UV	77133154
974135	3319	1994-06-13	VYDAJ	PREVOD NA UCET	2154	26815	 	UV	77133154
974136	3319	1994-07-13	VYDAJ	PREVOD NA UCET	2154	25383	 	UV	77133154
974137	3319	1994-08-13	VYDAJ	PREVOD NA UCET	2154	27236	 	UV	77133154
974138	3319	1994-09-13	VYDAJ	PREVOD NA UCET	2154	26944	 	UV	77133154
974139	3319	1994-10-13	VYDAJ	PREVOD NA UCET	2154	27731	 	UV	77133154
974140	3319	1994-11-13	VYDAJ	PREVOD NA UCET	2154	28862	 	UV	77133154
974141	3319	1994-12-13	VYDAJ	PREVOD NA UCET	2154	26363	 	UV	77133154
974142	3319	1995-01-13	VYDAJ	PREVOD NA UCET	2154	29571	 	UV	77133154
974143	3319	1995-02-13	VYDAJ	PREVOD NA UCET	2154	28485	 	UV	77133154
974144	3319	1995-03-13	VYDAJ	PREVOD NA UCET	2154	29499	 	UV	77133154
974145	3319	1995-04-13	VYDAJ	PREVOD NA UCET	2154	30818	 	UV	77133154
974146	3319	1995-05-13	VYDAJ	PREVOD NA UCET	2154	26857	 	UV	77133154
974147	3319	1995-06-13	VYDAJ	PREVOD NA UCET	2154	26161	 	UV	77133154
974148	3319	1995-07-13	VYDAJ	PREVOD NA UCET	2154	22334	 	UV	77133154
974149	3319	1995-08-13	VYDAJ	PREVOD NA UCET	2154	24383	 	UV	77133154
974150	3319	1995-09-13	VYDAJ	PREVOD NA UCET	2154	28083	 	UV	77133154
974151	3319	1995-10-13	VYDAJ	PREVOD NA UCET	2154	28093	 	UV	77133154
974152	3319	1995-11-13	VYDAJ	PREVOD NA UCET	2154	30406	 	UV	77133154
974153	3319	1995-12-13	VYDAJ	PREVOD NA UCET	2154	30966	 	UV	77133154
974154	3319	1996-01-13	VYDAJ	PREVOD NA UCET	2154	27893	 	UV	77133154
974155	3319	1996-02-13	VYDAJ	PREVOD NA UCET	2154	30107	 	UV	77133154
974156	3319	1996-03-13	VYDAJ	PREVOD NA UCET	2154	28592	 	UV	77133154
974157	3319	1996-04-13	VYDAJ	PREVOD NA UCET	2154	30106	 	UV	77133154
974158	3319	1996-05-13	VYDAJ	PREVOD NA UCET	2154	29853	 	UV	77133154
974159	3319	1996-06-13	VYDAJ	PREVOD NA UCET	2154	30470	 	UV	77133154
974160	3319	1996-07-13	VYDAJ	PREVOD NA UCET	2154	30049	 	UV	77133154
974161	3319	1996-08-13	VYDAJ	PREVOD NA UCET	2154	32471	 	UV	77133154
974162	3319	1996-09-13	VYDAJ	PREVOD NA UCET	2154	31105	 	UV	77133154
974163	3319	1996-10-13	VYDAJ	PREVOD NA UCET	2154	29033	 	UV	77133154
974164	3319	1996-11-13	VYDAJ	PREVOD NA UCET	2154	34833	 	UV	77133154
974165	3319	1996-12-13	VYDAJ	PREVOD NA UCET	2154	38533	 	UV	77133154
974166	3319	1997-01-13	VYDAJ	PREVOD NA UCET	2154	39792	 	UV	77133154
974167	3319	1997-02-13	VYDAJ	PREVOD NA UCET	2154	43060	 	UV	77133154
974168	3319	1997-03-13	VYDAJ	PREVOD NA UCET	2154	43829	 	UV	77133154
974169	3319	1997-04-13	VYDAJ	PREVOD NA UCET	2154	42326	 	UV	77133154
974170	3319	1997-05-13	VYDAJ	PREVOD NA UCET	2154	41868	 	UV	77133154
974171	3319	1997-06-13	VYDAJ	PREVOD NA UCET	2154	41436	 	UV	77133154
974172	3319	1997-07-13	VYDAJ	PREVOD NA UCET	2154	40806	 	UV	77133154
974173	3319	1997-08-13	VYDAJ	PREVOD NA UCET	2154	46766	 	UV	77133154
974174	3319	1997-09-13	VYDAJ	PREVOD NA UCET	2154	50090	 	UV	77133154
974175	3319	1997-10-13	VYDAJ	PREVOD NA UCET	2154	49189	 	UV	77133154
974176	3319	1997-11-13	VYDAJ	PREVOD NA UCET	2154	49089	 	UV	77133154
974177	3319	1997-12-13	VYDAJ	PREVOD NA UCET	2154	51526	 	UV	77133154
974178	3319	1998-01-13	VYDAJ	PREVOD NA UCET	2154	53332	 	UV	77133154
974179	3319	1998-02-13	VYDAJ	PREVOD NA UCET	2154	53646	 	UV	77133154
974180	3319	1998-03-13	VYDAJ	PREVOD NA UCET	2154	53413	 	UV	77133154
974181	3319	1998-04-13	VYDAJ	PREVOD NA UCET	2154	50099	 	UV	77133154
974182	3319	1998-05-13	VYDAJ	PREVOD NA UCET	2154	55502	 	UV	77133154
974183	3319	1998-06-13	VYDAJ	PREVOD NA UCET	2154	60123	 	UV	77133154
974184	3319	1998-07-13	VYDAJ	PREVOD NA UCET	2154	55749	 	UV	77133154
974185	3319	1998-08-13	VYDAJ	PREVOD NA UCET	2154	55072	 	UV	77133154
974186	3319	1998-09-13	VYDAJ	PREVOD NA UCET	2154	51185	 	UV	77133154
974187	3319	1998-10-13	VYDAJ	PREVOD NA UCET	2154	47894	 	UV	77133154
974188	3319	1998-11-13	VYDAJ	PREVOD NA UCET	2154	50388	 	UV	77133154
974189	3319	1998-12-13	VYDAJ	PREVOD NA UCET	2154	48238	 	UV	77133154
974191	3319	1994-06-18	VYDAJ	VYBER	6030	20785	\N	\N	\N
974192	3319	1995-06-17	VYDAJ	VYBER	7020	19141	\N	\N	\N
974193	3319	1996-06-21	VYDAJ	VYBER	1440	28830	\N	\N	\N
974194	3319	1997-06-18	VYDAJ	VYBER	4590	36846	\N	\N	\N
974195	3319	1998-06-16	VYDAJ	VYBER	6900	53223	\N	\N	\N
974197	3319	1994-12-01	VYDAJ	VYBER	330	25252	\N	\N	\N
974198	3319	1995-12-30	VYDAJ	VYBER	870	27096	\N	\N	\N
974199	3319	1996-12-21	VYDAJ	VYBER	210	38323	\N	\N	\N
974200	3319	1997-12-10	VYDAJ	VYBER	480	50349	\N	\N	\N
974201	3319	1998-12-26	VYDAJ	VYBER	210	47068	\N	\N	\N
974205	3319	1994-11-18	VYDAJ	VYBER	1470	27392	\N	\N	\N
974206	3319	1994-11-25	VYDAJ	VYBER	810	25482	\N	\N	\N
974207	3319	1994-08-03	VYDAJ	VYBER	1350	26125	\N	\N	\N
974208	3319	1994-09-28	VYDAJ	VYBER	720	26524	\N	\N	\N
974209	3319	1994-11-06	VYDAJ	VYBER	780	27751	\N	\N	\N
974210	3319	1995-07-19	VYDAJ	VYBER	540	21794	\N	\N	\N
974211	3319	1995-04-07	VYDAJ	VYBER	900	30241	\N	\N	\N
974212	3319	1995-04-28	VYDAJ	VYBER	1080	25638	\N	\N	\N
974213	3319	1995-11-18	VYDAJ	VYBER	360	29746	\N	\N	\N
974214	3319	1995-04-08	VYDAJ	VYBER	600	29641	\N	\N	\N
974215	3319	1996-02-22	VYDAJ	VYBER	930	27377	\N	\N	\N
974216	3319	1996-11-14	VYDAJ	VYBER	1230	33603	\N	\N	\N
974217	3319	1996-01-12	VYDAJ	VYBER	420	30047	\N	\N	\N
974218	3319	1996-04-22	VYDAJ	VYBER	870	28636	\N	\N	\N
974219	3319	1996-12-29	VYDAJ	VYBER	180	38143	\N	\N	\N
974220	3319	1996-11-09	VYDAJ	VYBER	1020	28056	\N	\N	\N
974221	3319	1997-08-30	VYDAJ	VYBER	360	46406	\N	\N	\N
974222	3319	1997-11-14	VYDAJ	VYBER	780	48309	\N	\N	\N
974223	3319	1997-04-06	VYDAJ	VYBER	240	43239	\N	\N	\N
974224	3319	1997-06-08	VYDAJ	VYBER	600	41359	\N	\N	\N
974225	3319	1997-03-29	VYDAJ	VYBER	450	43379	\N	\N	\N
974226	3319	1997-01-28	VYDAJ	VYBER	1290	38502	\N	\N	\N
974227	3319	1997-04-10	VYDAJ	VYBER	990	42249	\N	\N	\N
974228	3319	1997-04-29	VYDAJ	VYBER	1230	41096	\N	\N	\N
974229	3319	1998-12-21	VYDAJ	VYBER	960	47278	\N	\N	\N
974230	3319	1998-12-13	VYDAJ	VYBER	1050	50392	\N	\N	\N
974231	3319	1998-03-16	VYDAJ	VYBER	450	52963	\N	\N	\N
974232	3319	1998-03-27	VYDAJ	VYBER	1380	51583	\N	\N	\N
974233	3319	1998-09-11	VYDAJ	VYBER	810	50008	\N	\N	\N
974234	3319	1998-03-13	VYDAJ	VYBER	1050	55567	\N	\N	\N
974248	3319	1994-01-31	VYDAJ	VYBER	15	25366	SLUZBY	\N	\N
974249	3319	1994-02-28	VYDAJ	VYBER	15	26171	SLUZBY	\N	\N
974250	3319	1994-03-31	VYDAJ	VYBER	15	28181	SLUZBY	\N	\N
974251	3319	1994-04-30	VYDAJ	VYBER	15	26396	SLUZBY	\N	\N
974252	3319	1994-05-31	VYDAJ	VYBER	15	25704	SLUZBY	\N	\N
974253	3319	1994-06-30	VYDAJ	VYBER	15	24272	SLUZBY	\N	\N
974254	3319	1994-07-31	VYDAJ	VYBER	15	27475	SLUZBY	\N	\N
974255	3319	1994-08-31	VYDAJ	VYBER	15	25833	SLUZBY	\N	\N
974256	3319	1994-09-30	VYDAJ	VYBER	15	26620	SLUZBY	\N	\N
974257	3319	1994-10-31	VYDAJ	VYBER	15	28531	SLUZBY	\N	\N
974258	3319	1994-11-30	VYDAJ	VYBER	15	25582	SLUZBY	\N	\N
974259	3319	1994-12-31	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
974260	3319	1995-01-31	VYDAJ	VYBER	15	27374	SLUZBY	\N	\N
974261	3319	1995-02-28	VYDAJ	VYBER	15	28388	SLUZBY	\N	\N
974262	3319	1995-03-31	VYDAJ	VYBER	15	31207	SLUZBY	\N	\N
974263	3319	1995-04-30	VYDAJ	VYBER	15	25746	SLUZBY	\N	\N
974264	3319	1995-05-31	VYDAJ	VYBER	15	25050	SLUZBY	\N	\N
974265	3319	1995-06-30	VYDAJ	VYBER	15	21223	SLUZBY	\N	\N
974266	3319	1995-07-31	VYDAJ	VYBER	15	23272	SLUZBY	\N	\N
974267	3319	1995-08-31	VYDAJ	VYBER	15	26972	SLUZBY	\N	\N
974268	3319	1995-09-30	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
974269	3319	1995-10-31	VYDAJ	VYBER	15	29295	SLUZBY	\N	\N
974270	3319	1995-11-30	VYDAJ	VYBER	15	29855	SLUZBY	\N	\N
974271	3319	1995-12-31	VYDAJ	VYBER	15	27202	SLUZBY	\N	\N
974272	3319	1996-01-31	VYDAJ	VYBER	15	28996	SLUZBY	\N	\N
974273	3319	1996-02-29	VYDAJ	VYBER	15	27481	SLUZBY	\N	\N
974274	3319	1996-03-31	VYDAJ	VYBER	15	28995	SLUZBY	\N	\N
974275	3319	1996-04-30	VYDAJ	VYBER	15	28742	SLUZBY	\N	\N
974276	3319	1996-05-31	VYDAJ	VYBER	15	29359	SLUZBY	\N	\N
974277	3319	1996-06-30	VYDAJ	VYBER	15	28938	SLUZBY	\N	\N
974278	3319	1996-07-31	VYDAJ	VYBER	15	31260	SLUZBY	\N	\N
974279	3319	1996-08-31	VYDAJ	VYBER	15	32594	SLUZBY	\N	\N
974280	3319	1996-09-30	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
974281	3319	1996-10-31	VYDAJ	VYBER	15	29142	SLUZBY	\N	\N
974282	3319	1996-11-30	VYDAJ	VYBER	15	33722	SLUZBY	\N	\N
974283	3319	1996-12-31	VYDAJ	VYBER	15	38281	SLUZBY	\N	\N
974284	3319	1997-01-31	VYDAJ	VYBER	15	38649	SLUZBY	\N	\N
974285	3319	1997-02-28	VYDAJ	VYBER	15	43218	SLUZBY	\N	\N
974286	3319	1997-03-31	VYDAJ	VYBER	15	43545	SLUZBY	\N	\N
974287	3319	1997-04-30	VYDAJ	VYBER	15	41257	SLUZBY	\N	\N
974288	3319	1997-05-31	VYDAJ	VYBER	15	42025	SLUZBY	\N	\N
974289	3319	1997-06-30	VYDAJ	VYBER	15	36995	SLUZBY	\N	\N
974290	3319	1997-07-31	VYDAJ	VYBER	15	40955	SLUZBY	\N	\N
974291	3319	1997-08-31	VYDAJ	VYBER	15	46579	SLUZBY	\N	\N
974292	3319	1997-09-30	VYDAJ	VYBER	15	50278	SLUZBY	\N	\N
974293	3319	1997-10-31	VYDAJ	VYBER	15	49378	SLUZBY	\N	\N
974294	3319	1997-11-30	VYDAJ	VYBER	15	48495	SLUZBY	\N	\N
974295	3319	1997-12-31	VYDAJ	VYBER	15	51721	SLUZBY	\N	\N
974296	3319	1998-01-31	VYDAJ	VYBER	15	53535	SLUZBY	\N	\N
974297	3319	1998-02-28	VYDAJ	VYBER	15	53852	SLUZBY	\N	\N
974298	3319	1998-03-31	VYDAJ	VYBER	15	51788	SLUZBY	\N	\N
974299	3319	1998-04-30	VYDAJ	VYBER	15	50291	SLUZBY	\N	\N
974300	3319	1998-05-31	VYDAJ	VYBER	15	55712	SLUZBY	\N	\N
974301	3319	1998-06-30	VYDAJ	VYBER	15	53438	SLUZBY	\N	\N
974302	3319	1998-07-31	VYDAJ	VYBER	15	55961	SLUZBY	\N	\N
974303	3319	1998-08-31	VYDAJ	VYBER	15	55284	SLUZBY	\N	\N
974304	3319	1998-09-30	VYDAJ	VYBER	15	51383	SLUZBY	\N	\N
974305	3319	1998-10-31	VYDAJ	VYBER	15	48077	SLUZBY	\N	\N
974306	3319	1998-11-30	VYDAJ	VYBER	15	50577	SLUZBY	\N	\N
974307	3319	1993-09-28	PRIJEM	VKLAD	9700	14131	\N	\N	\N
974308	3319	1993-10-28	PRIJEM	VKLAD	3700	21168	\N	\N	\N
974309	3319	1993-11-27	PRIJEM	VKLAD	700	25262	\N	\N	\N
974310	3319	1993-12-27	VYDAJ	VYBER	1400	27283	\N	\N	\N
974311	3319	1994-01-26	VYDAJ	VYBER	3300	25267	\N	\N	\N
974312	3319	1994-02-25	VYDAJ	VYBER	400	26077	\N	\N	\N
974313	3319	1994-03-27	PRIJEM	VKLAD	800	28082	\N	\N	\N
974314	3319	1994-04-26	VYDAJ	VYBER	3000	26292	\N	\N	\N
974315	3319	1994-05-26	VYDAJ	VYBER	1900	25607	\N	\N	\N
974316	3319	1994-06-25	PRIJEM	VKLAD	3400	24185	\N	\N	\N
974317	3319	1994-07-25	PRIJEM	VKLAD	2000	27383	\N	\N	\N
974318	3319	1994-08-24	VYDAJ	VYBER	1500	25736	\N	\N	\N
974319	3319	1994-09-23	PRIJEM	VKLAD	300	27244	\N	\N	\N
974320	3319	1994-10-23	PRIJEM	VKLAD	700	28431	\N	\N	\N
974321	3319	1994-11-22	VYDAJ	VYBER	1100	26292	\N	\N	\N
974322	3319	1994-12-22	PRIJEM	VKLAD	2000	28363	\N	\N	\N
974323	3319	1995-01-21	VYDAJ	VYBER	2300	27271	\N	\N	\N
974324	3319	1995-02-20	VYDAJ	VYBER	200	28285	\N	\N	\N
974325	3319	1995-03-22	PRIJEM	VKLAD	1600	31099	\N	\N	\N
974326	3319	1995-04-21	VYDAJ	VYBER	4100	26718	\N	\N	\N
974327	3319	1995-05-21	VYDAJ	VYBER	1900	24957	\N	\N	\N
974328	3319	1995-06-20	PRIJEM	VKLAD	2000	21141	\N	\N	\N
974329	3319	1995-07-20	PRIJEM	VKLAD	1400	23194	\N	\N	\N
974330	3319	1995-08-19	PRIJEM	VKLAD	2500	26883	\N	\N	\N
974331	3319	1995-09-18	VYDAJ	VYBER	1200	26883	\N	\N	\N
974332	3319	1995-10-18	PRIJEM	VKLAD	1100	29193	\N	\N	\N
974333	3319	1995-11-17	VYDAJ	VYBER	300	30106	\N	\N	\N
974334	3319	1995-12-17	VYDAJ	VYBER	3000	27966	\N	\N	\N
974335	3319	1996-01-16	PRIJEM	VKLAD	1000	28893	\N	\N	\N
974336	3319	1996-02-15	VYDAJ	VYBER	1800	28307	\N	\N	\N
974337	3319	1996-03-16	PRIJEM	VKLAD	300	28892	\N	\N	\N
974338	3319	1996-04-15	VYDAJ	VYBER	600	29506	\N	\N	\N
974339	3319	1996-05-15	VYDAJ	VYBER	600	29253	\N	\N	\N
974340	3319	1996-06-14	VYDAJ	VYBER	200	30270	\N	\N	\N
974341	3319	1996-07-14	PRIJEM	VKLAD	1100	31149	\N	\N	\N
974342	3319	1996-08-13	PRIJEM	VKLAD	100	34625	\N	\N	\N
974343	3319	1996-09-12	VYDAJ	VYBER	2600	33259	\N	\N	\N
974344	3319	1996-10-12	VYDAJ	VYBER	3300	31187	\N	\N	\N
974345	3319	1996-11-11	PRIJEM	VKLAD	5600	33656	\N	\N	\N
974346	3319	1996-12-11	PRIJEM	VKLAD	3700	37356	\N	\N	\N
974347	3319	1997-01-10	PRIJEM	VKLAD	400	38615	\N	\N	\N
974348	3319	1997-02-09	PRIJEM	VKLAD	3300	41883	\N	\N	\N
974349	3319	1997-03-11	VYDAJ	VYBER	500	42652	\N	\N	\N
974350	3319	1997-04-10	VYDAJ	VYBER	1100	41149	\N	\N	\N
974351	3319	1997-05-10	VYDAJ	VYBER	500	40691	\N	\N	\N
974352	3319	1997-06-09	VYDAJ	VYBER	1100	40259	\N	\N	\N
974353	3319	1997-07-09	PRIJEM	VKLAD	2700	39629	\N	\N	\N
974354	3319	1997-08-08	PRIJEM	VKLAD	4700	45589	\N	\N	\N
974355	3319	1997-09-07	PRIJEM	VKLAD	2400	48913	\N	\N	\N
974356	3319	1997-10-07	VYDAJ	VYBER	2200	48012	\N	\N	\N
974357	3319	1997-11-06	VYDAJ	VYBER	1400	47912	\N	\N	\N
974358	3319	1997-12-06	PRIJEM	VKLAD	2400	50895	\N	\N	\N
974359	3319	1998-01-05	PRIJEM	VKLAD	500	52221	\N	\N	\N
974360	3319	1998-02-04	VYDAJ	VYBER	1000	52535	\N	\N	\N
974361	3319	1998-03-06	VYDAJ	VYBER	500	53352	\N	\N	\N
974362	3319	1998-04-05	VYDAJ	VYBER	2800	48988	\N	\N	\N
974363	3319	1998-05-05	PRIJEM	VKLAD	4100	54391	\N	\N	\N
974364	3319	1998-06-04	PRIJEM	VKLAD	3300	59012	\N	\N	\N
974365	3319	1998-07-04	PRIJEM	VKLAD	1200	54638	\N	\N	\N
974366	3319	1998-08-03	VYDAJ	VYBER	2000	53961	\N	\N	\N
974367	3319	1998-09-02	VYDAJ	VYBER	4400	50884	\N	\N	\N
974368	3319	1998-10-02	VYDAJ	VYBER	4600	46783	\N	\N	\N
974369	3319	1998-11-01	PRIJEM	VKLAD	1200	49277	\N	\N	\N
974370	3319	1998-12-01	VYDAJ	VYBER	2400	48177	\N	\N	\N
974435	3320	1995-12-01	PRIJEM	VKLAD	900	900	\N	\N	\N
974447	3320	1995-12-14	PRIJEM	PREVOD Z UCTU	3113	4013	\N	WX	89569824
974448	3320	1996-01-14	PRIJEM	PREVOD Z UCTU	3113	7136	\N	WX	89569824
974449	3320	1996-02-14	PRIJEM	PREVOD Z UCTU	3113	10265	\N	WX	89569824
974450	3320	1996-03-14	PRIJEM	PREVOD Z UCTU	3113	13395	\N	WX	89569824
974451	3320	1996-04-14	PRIJEM	PREVOD Z UCTU	3113	16525	\N	WX	89569824
974452	3320	1996-05-14	PRIJEM	PREVOD Z UCTU	3113	17320	\N	WX	89569824
974453	3320	1996-06-14	PRIJEM	PREVOD Z UCTU	3113	18209	\N	WX	89569824
974454	3320	1996-07-14	PRIJEM	PREVOD Z UCTU	3113	18398	\N	WX	89569824
974455	3320	1996-08-14	PRIJEM	PREVOD Z UCTU	3113	19494	\N	WX	89569824
974456	3320	1996-09-14	PRIJEM	PREVOD Z UCTU	3113	20593	\N	WX	89569824
974457	3320	1996-10-14	PRIJEM	PREVOD Z UCTU	3113	21482	\N	WX	89569824
974458	3320	1996-11-14	PRIJEM	PREVOD Z UCTU	3113	22288	\N	WX	89569824
974459	3320	1996-12-14	PRIJEM	PREVOD Z UCTU	3113	23398	\N	WX	89569824
974460	3320	1997-01-14	PRIJEM	PREVOD Z UCTU	3113	22228	\N	WX	89569824
974461	3320	1997-02-14	PRIJEM	PREVOD Z UCTU	3113	17271	\N	WX	89569824
974462	3320	1997-03-14	PRIJEM	PREVOD Z UCTU	3113	18355	\N	WX	89569824
974463	3320	1997-04-14	PRIJEM	PREVOD Z UCTU	3113	19449	\N	WX	89569824
974464	3320	1997-05-14	PRIJEM	PREVOD Z UCTU	3113	20548	\N	WX	89569824
974465	3320	1997-06-14	PRIJEM	PREVOD Z UCTU	3113	21651	\N	WX	89569824
974466	3320	1997-07-14	PRIJEM	PREVOD Z UCTU	3113	20508	\N	WX	89569824
974467	3320	1997-08-14	PRIJEM	PREVOD Z UCTU	3113	19751	\N	WX	89569824
974468	3320	1997-09-14	PRIJEM	PREVOD Z UCTU	3113	19646	\N	WX	89569824
974469	3320	1997-10-14	PRIJEM	PREVOD Z UCTU	3113	20740	\N	WX	89569824
974470	3320	1997-11-14	PRIJEM	PREVOD Z UCTU	3113	21839	\N	WX	89569824
974471	3320	1997-12-14	PRIJEM	PREVOD Z UCTU	3113	22948	\N	WX	89569824
974472	3320	1998-01-14	PRIJEM	PREVOD Z UCTU	3113	20037	\N	WX	89569824
974473	3320	1998-02-14	PRIJEM	PREVOD Z UCTU	3113	18794	\N	WX	89569824
974474	3320	1998-03-14	PRIJEM	PREVOD Z UCTU	3113	19103	\N	WX	89569824
974475	3320	1998-04-14	PRIJEM	PREVOD Z UCTU	3113	20195	\N	WX	89569824
974476	3320	1998-05-14	PRIJEM	PREVOD Z UCTU	3113	21297	\N	WX	89569824
974477	3320	1998-06-14	PRIJEM	PREVOD Z UCTU	3113	19338	\N	WX	89569824
974478	3320	1998-07-14	PRIJEM	PREVOD Z UCTU	3113	19446	\N	WX	89569824
974479	3320	1998-08-14	PRIJEM	PREVOD Z UCTU	3113	20545	\N	WX	89569824
974480	3320	1998-09-14	PRIJEM	PREVOD Z UCTU	3113	21347	\N	WX	89569824
974481	3320	1998-10-14	PRIJEM	PREVOD Z UCTU	3113	22448	\N	WX	89569824
974482	3320	1998-11-14	PRIJEM	PREVOD Z UCTU	3113	23554	\N	WX	89569824
974483	3320	1998-12-14	PRIJEM	PREVOD Z UCTU	3113	23975	\N	WX	89569824
974499	3320	1996-04-14	VYDAJ	PREVOD NA UCET	2075	14450	SIPO	AB	62426316
974500	3320	1996-05-14	VYDAJ	PREVOD NA UCET	2075	15245	SIPO	AB	62426316
974501	3320	1996-06-14	VYDAJ	PREVOD NA UCET	2075	16134	SIPO	AB	62426316
974502	3320	1996-07-14	VYDAJ	PREVOD NA UCET	2075	16323	SIPO	AB	62426316
974503	3320	1996-08-14	VYDAJ	PREVOD NA UCET	2075	17419	SIPO	AB	62426316
974504	3320	1996-09-14	VYDAJ	PREVOD NA UCET	2075	18518	SIPO	AB	62426316
974505	3320	1996-10-14	VYDAJ	PREVOD NA UCET	2075	19407	SIPO	AB	62426316
974506	3320	1996-11-14	VYDAJ	PREVOD NA UCET	2075	20213	SIPO	AB	62426316
974507	3320	1996-12-14	VYDAJ	PREVOD NA UCET	2075	21323	SIPO	AB	62426316
974508	3320	1997-01-14	VYDAJ	PREVOD NA UCET	2075	20153	SIPO	AB	62426316
974509	3320	1997-02-14	VYDAJ	PREVOD NA UCET	2075	15196	SIPO	AB	62426316
974510	3320	1997-03-14	VYDAJ	PREVOD NA UCET	2075	16280	SIPO	AB	62426316
974511	3320	1997-04-14	VYDAJ	PREVOD NA UCET	2075	17374	SIPO	AB	62426316
974512	3320	1997-05-14	VYDAJ	PREVOD NA UCET	2075	18473	SIPO	AB	62426316
974513	3320	1997-06-14	VYDAJ	PREVOD NA UCET	2075	19576	SIPO	AB	62426316
974514	3320	1997-07-14	VYDAJ	PREVOD NA UCET	2075	18433	SIPO	AB	62426316
974515	3320	1997-08-14	VYDAJ	PREVOD NA UCET	2075	17676	SIPO	AB	62426316
974516	3320	1997-09-14	VYDAJ	PREVOD NA UCET	2075	17571	SIPO	AB	62426316
974517	3320	1997-10-14	VYDAJ	PREVOD NA UCET	2075	18665	SIPO	AB	62426316
974518	3320	1997-11-14	VYDAJ	PREVOD NA UCET	2075	19764	SIPO	AB	62426316
974519	3320	1997-12-14	VYDAJ	PREVOD NA UCET	2075	20873	SIPO	AB	62426316
974520	3320	1998-01-14	VYDAJ	PREVOD NA UCET	2075	17962	SIPO	AB	62426316
974521	3320	1998-02-14	VYDAJ	PREVOD NA UCET	2075	16719	SIPO	AB	62426316
974522	3320	1998-03-14	VYDAJ	PREVOD NA UCET	2075	17028	SIPO	AB	62426316
974523	3320	1998-04-14	VYDAJ	PREVOD NA UCET	2075	18120	SIPO	AB	62426316
974524	3320	1998-05-14	VYDAJ	PREVOD NA UCET	2075	19222	SIPO	AB	62426316
974525	3320	1998-06-14	VYDAJ	PREVOD NA UCET	2075	17263	SIPO	AB	62426316
974526	3320	1998-07-14	VYDAJ	PREVOD NA UCET	2075	17371	SIPO	AB	62426316
974527	3320	1998-08-14	VYDAJ	PREVOD NA UCET	2075	18470	SIPO	AB	62426316
974528	3320	1998-09-14	VYDAJ	PREVOD NA UCET	2075	19272	SIPO	AB	62426316
974529	3320	1998-10-14	VYDAJ	PREVOD NA UCET	2075	20373	SIPO	AB	62426316
974530	3320	1998-11-14	VYDAJ	PREVOD NA UCET	2075	21479	SIPO	AB	62426316
974531	3320	1998-12-14	VYDAJ	PREVOD NA UCET	2075	21900	SIPO	AB	62426316
974534	3320	1997-06-29	VYDAJ	VYBER	1110	18466	\N	\N	\N
974535	3320	1998-06-13	VYDAJ	VYBER	3060	16225	\N	\N	\N
974538	3320	1997-01-28	VYDAJ	VYBER	2340	15533	\N	\N	\N
974539	3320	1998-01-25	VYDAJ	VYBER	1740	15622	\N	\N	\N
974541	3320	1996-12-30	VYDAJ	VYBER	840	20483	\N	\N	\N
974542	3320	1997-12-22	VYDAJ	VYBER	600	20273	\N	\N	\N
974543	3320	1998-12-17	VYDAJ	VYBER	840	21060	\N	\N	\N
974556	3320	1997-01-07	VYDAJ	VYBER	480	19265	\N	\N	\N
974557	3320	1997-01-18	VYDAJ	VYBER	690	19463	\N	\N	\N
974558	3320	1997-01-11	VYDAJ	VYBER	150	19115	\N	\N	\N
974559	3320	1997-01-24	VYDAJ	VYBER	300	17873	\N	\N	\N
974560	3320	1997-01-21	VYDAJ	VYBER	810	18173	\N	\N	\N
974561	3320	1997-01-20	VYDAJ	VYBER	480	18983	\N	\N	\N
974562	3320	1998-01-17	VYDAJ	VYBER	600	17362	\N	\N	\N
974563	3320	1998-01-04	VYDAJ	VYBER	870	19474	\N	\N	\N
974564	3320	1998-01-05	VYDAJ	VYBER	690	18784	\N	\N	\N
974565	3320	1998-01-08	VYDAJ	VYBER	720	17254	\N	\N	\N
974566	3320	1998-01-06	VYDAJ	VYBER	810	17974	\N	\N	\N
974567	3320	1998-01-11	VYDAJ	VYBER	330	16924	\N	\N	\N
974574	3320	1996-07-08	VYDAJ	VYBER	900	15285	\N	\N	\N
974575	3320	1996-05-08	VYDAJ	VYBER	270	14207	\N	\N	\N
974578	3320	1996-10-07	VYDAJ	VYBER	210	18369	\N	\N	\N
974579	3320	1997-01-29	VYDAJ	VYBER	1440	14093	\N	\N	\N
974580	3320	1997-07-26	VYDAJ	VYBER	660	17773	\N	\N	\N
974581	3320	1997-01-05	VYDAJ	VYBER	810	19745	\N	\N	\N
974582	3320	1997-08-11	VYDAJ	VYBER	1200	16638	\N	\N	\N
974583	3320	1997-08-15	VYDAJ	VYBER	1200	16476	\N	\N	\N
974584	3320	1997-07-04	VYDAJ	VYBER	1140	17395	\N	\N	\N
974585	3320	1998-06-18	VYDAJ	VYBER	270	16993	\N	\N	\N
974586	3320	1998-08-29	VYDAJ	VYBER	300	18170	\N	\N	\N
974587	3320	1998-12-07	VYDAJ	VYBER	690	20862	\N	\N	\N
974588	3320	1998-07-04	VYDAJ	VYBER	720	16333	\N	\N	\N
974589	3320	1998-02-17	VYDAJ	VYBER	780	15939	\N	\N	\N
974606	3320	1996-04-30	VYDAJ	VYBER	15	14477	SLUZBY	\N	\N
974607	3320	1996-05-31	VYDAJ	VYBER	15	15096	SLUZBY	\N	\N
974608	3320	1996-06-30	VYDAJ	VYBER	15	16185	SLUZBY	\N	\N
974609	3320	1996-07-31	VYDAJ	VYBER	15	16381	SLUZBY	\N	\N
974610	3320	1996-08-31	VYDAJ	VYBER	15	17480	SLUZBY	\N	\N
974611	3320	1996-09-30	VYDAJ	VYBER	15	18579	SLUZBY	\N	\N
974612	3320	1996-10-31	VYDAJ	VYBER	15	19175	SLUZBY	\N	\N
974613	3320	1996-11-30	VYDAJ	VYBER	15	20285	SLUZBY	\N	\N
974614	3320	1996-12-31	VYDAJ	VYBER	15	20555	SLUZBY	\N	\N
974615	3320	1997-01-31	VYDAJ	VYBER	15	14158	SLUZBY	\N	\N
974616	3320	1997-02-28	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
974617	3320	1997-03-31	VYDAJ	VYBER	15	16336	SLUZBY	\N	\N
974618	3320	1997-04-30	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
974619	3320	1997-05-31	VYDAJ	VYBER	15	18538	SLUZBY	\N	\N
974620	3320	1997-06-30	VYDAJ	VYBER	15	18535	SLUZBY	\N	\N
974621	3320	1997-07-31	VYDAJ	VYBER	15	17838	SLUZBY	\N	\N
974622	3320	1997-08-31	VYDAJ	VYBER	15	16533	SLUZBY	\N	\N
974623	3320	1997-09-30	VYDAJ	VYBER	15	17627	SLUZBY	\N	\N
974624	3320	1997-10-31	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
974625	3320	1997-11-30	VYDAJ	VYBER	15	19835	SLUZBY	\N	\N
974626	3320	1997-12-31	VYDAJ	VYBER	15	20344	SLUZBY	\N	\N
974627	3320	1998-01-31	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
974628	3320	1998-02-28	VYDAJ	VYBER	15	15990	SLUZBY	\N	\N
974629	3320	1998-03-31	VYDAJ	VYBER	15	17082	SLUZBY	\N	\N
974630	3320	1998-04-30	VYDAJ	VYBER	15	18184	SLUZBY	\N	\N
974631	3320	1998-05-31	VYDAJ	VYBER	15	19285	SLUZBY	\N	\N
974632	3320	1998-06-30	VYDAJ	VYBER	15	17053	SLUZBY	\N	\N
974633	3320	1998-07-31	VYDAJ	VYBER	15	17432	SLUZBY	\N	\N
974634	3320	1998-08-31	VYDAJ	VYBER	15	18234	SLUZBY	\N	\N
974635	3320	1998-09-30	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
974636	3320	1998-10-31	VYDAJ	VYBER	15	20441	SLUZBY	\N	\N
974637	3320	1998-11-30	VYDAJ	VYBER	15	21552	SLUZBY	\N	\N
974638	3320	1996-05-29	VYDAJ	VYBER	200	15045	\N	\N	\N
974639	3320	1996-10-26	VYDAJ	VYBER	300	19107	\N	\N	\N
974677	3321	1995-04-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
974678	3321	1995-04-23	PRIJEM	VKLAD	36186	37286	\N	\N	\N
974680	3321	1996-10-07	PRIJEM	VKLAD	17967	66495	\N	\N	\N
974681	3321	1996-08-05	PRIJEM	VKLAD	43669	75527	\N	\N	\N
974682	3321	1997-01-19	PRIJEM	VKLAD	47654	83380	\N	\N	\N
974683	3321	1997-08-04	PRIJEM	VKLAD	29535	56461	\N	\N	\N
974684	3321	1998-02-06	PRIJEM	VKLAD	28572	69077	\N	\N	\N
974685	3321	1998-10-12	PRIJEM	VKLAD	14851	49117	\N	\N	\N
974690	3321	1995-05-17	PRIJEM	VKLAD	1000	38327	\N	\N	\N
974691	3321	1995-06-17	PRIJEM	VKLAD	1000	35577	\N	\N	\N
974692	3321	1995-07-13	PRIJEM	VKLAD	1000	13183	\N	\N	\N
974693	3321	1995-08-16	PRIJEM	VKLAD	1000	22642	\N	\N	\N
974694	3321	1995-09-14	PRIJEM	VKLAD	1000	29230	\N	\N	\N
974695	3321	1995-10-15	PRIJEM	VKLAD	1000	33241	\N	\N	\N
974696	3321	1995-11-16	PRIJEM	VKLAD	1000	32366	\N	\N	\N
974697	3321	1995-12-17	PRIJEM	VKLAD	1000	31794	\N	\N	\N
974698	3321	1996-01-14	PRIJEM	VKLAD	1000	30420	\N	\N	\N
974699	3321	1996-02-16	PRIJEM	VKLAD	1000	24524	\N	\N	\N
974700	3321	1996-03-14	PRIJEM	VKLAD	1000	30106	\N	\N	\N
974701	3321	1996-04-17	PRIJEM	VKLAD	1000	31214	\N	\N	\N
974702	3321	1996-05-16	PRIJEM	VKLAD	1000	34885	\N	\N	\N
974703	3321	1996-06-15	PRIJEM	VKLAD	1000	28916	\N	\N	\N
974704	3321	1996-07-14	PRIJEM	VKLAD	1000	33535	\N	\N	\N
974705	3321	1996-08-13	PRIJEM	VKLAD	1000	57527	\N	\N	\N
974706	3321	1996-09-13	PRIJEM	VKLAD	1000	46524	\N	\N	\N
974707	3321	1996-10-16	PRIJEM	VKLAD	1000	50295	\N	\N	\N
974708	3321	1996-11-14	PRIJEM	VKLAD	1000	41939	\N	\N	\N
974709	3321	1996-12-14	PRIJEM	VKLAD	1000	38119	\N	\N	\N
974710	3321	1997-01-16	PRIJEM	VKLAD	1000	33926	\N	\N	\N
974711	3321	1997-02-17	PRIJEM	VKLAD	1000	56590	\N	\N	\N
974712	3321	1997-03-16	PRIJEM	VKLAD	1000	48862	\N	\N	\N
974713	3321	1997-04-16	PRIJEM	VKLAD	1000	45174	\N	\N	\N
974714	3321	1997-05-14	PRIJEM	VKLAD	1000	41362	\N	\N	\N
974715	3321	1997-06-16	PRIJEM	VKLAD	1000	21333	\N	\N	\N
974716	3321	1997-07-14	PRIJEM	VKLAD	1000	25039	\N	\N	\N
974717	3321	1997-08-16	PRIJEM	VKLAD	1000	45461	\N	\N	\N
974718	3321	1997-09-14	PRIJEM	VKLAD	1000	38176	\N	\N	\N
974719	3321	1997-10-15	PRIJEM	VKLAD	1000	34538	\N	\N	\N
974720	3321	1997-11-16	PRIJEM	VKLAD	1000	35881	\N	\N	\N
974721	3321	1997-12-17	PRIJEM	VKLAD	1000	41168	\N	\N	\N
974722	3321	1998-01-16	PRIJEM	VKLAD	1000	40962	\N	\N	\N
974723	3321	1998-02-15	PRIJEM	VKLAD	1000	70077	\N	\N	\N
974724	3321	1998-03-13	PRIJEM	VKLAD	1000	59328	\N	\N	\N
974725	3321	1998-04-15	PRIJEM	VKLAD	1000	52384	\N	\N	\N
974726	3321	1998-05-13	PRIJEM	VKLAD	1000	46807	\N	\N	\N
974727	3321	1998-06-16	PRIJEM	VKLAD	1000	28850	\N	\N	\N
974728	3321	1998-07-17	PRIJEM	VKLAD	1000	35130	\N	\N	\N
974729	3321	1998-08-13	PRIJEM	VKLAD	1000	34853	\N	\N	\N
974730	3321	1998-09-15	PRIJEM	VKLAD	1000	35982	\N	\N	\N
974731	3321	1998-10-17	PRIJEM	VKLAD	1000	50117	\N	\N	\N
974732	3321	1998-11-15	PRIJEM	VKLAD	1000	42324	\N	\N	\N
974733	3321	1998-12-14	PRIJEM	VKLAD	1000	39185	\N	\N	\N
974738	3321	1995-05-18	PRIJEM	VKLAD	1800	40127	\N	\N	\N
974739	3321	1995-06-18	PRIJEM	VKLAD	1800	34977	\N	\N	\N
974740	3321	1995-07-18	PRIJEM	VKLAD	1800	22683	\N	\N	\N
974741	3321	1995-08-18	PRIJEM	VKLAD	1800	28142	\N	\N	\N
974742	3321	1995-09-18	PRIJEM	VKLAD	1800	32130	\N	\N	\N
974743	3321	1995-10-18	PRIJEM	VKLAD	1800	34641	\N	\N	\N
974744	3321	1995-11-18	PRIJEM	VKLAD	1800	34166	\N	\N	\N
974745	3321	1995-12-18	PRIJEM	VKLAD	1800	33594	\N	\N	\N
974746	3321	1996-01-18	PRIJEM	VKLAD	1800	32220	\N	\N	\N
974747	3321	1996-02-18	PRIJEM	VKLAD	1800	26324	\N	\N	\N
974748	3321	1996-03-18	PRIJEM	VKLAD	1800	31906	\N	\N	\N
974749	3321	1996-04-18	PRIJEM	VKLAD	1800	33014	\N	\N	\N
974750	3321	1996-05-18	PRIJEM	VKLAD	1800	36685	\N	\N	\N
974751	3321	1996-06-18	PRIJEM	VKLAD	1800	30716	\N	\N	\N
974752	3321	1996-07-18	PRIJEM	VKLAD	1800	35335	\N	\N	\N
974753	3321	1996-08-18	PRIJEM	VKLAD	1800	59327	\N	\N	\N
974754	3321	1996-09-18	PRIJEM	VKLAD	1800	48324	\N	\N	\N
974755	3321	1996-10-18	PRIJEM	VKLAD	1800	52095	\N	\N	\N
974756	3321	1996-11-18	PRIJEM	VKLAD	1800	43739	\N	\N	\N
974757	3321	1996-12-18	PRIJEM	VKLAD	1800	39919	\N	\N	\N
974758	3321	1997-01-18	PRIJEM	VKLAD	1800	35726	\N	\N	\N
974759	3321	1997-02-18	PRIJEM	VKLAD	1800	58390	\N	\N	\N
974760	3321	1997-03-18	PRIJEM	VKLAD	1800	50662	\N	\N	\N
974761	3321	1997-04-18	PRIJEM	VKLAD	1800	46974	\N	\N	\N
974762	3321	1997-05-18	PRIJEM	VKLAD	1800	43162	\N	\N	\N
974763	3321	1997-06-18	PRIJEM	VKLAD	1800	23133	\N	\N	\N
974764	3321	1997-07-18	PRIJEM	VKLAD	1800	26839	\N	\N	\N
974765	3321	1997-08-18	PRIJEM	VKLAD	1800	47261	\N	\N	\N
974766	3321	1997-09-18	PRIJEM	VKLAD	1800	39976	\N	\N	\N
974767	3321	1997-10-18	PRIJEM	VKLAD	1800	36338	\N	\N	\N
974768	3321	1997-11-18	PRIJEM	VKLAD	1800	37681	\N	\N	\N
974769	3321	1997-12-18	PRIJEM	VKLAD	1800	40468	\N	\N	\N
974770	3321	1998-01-18	PRIJEM	VKLAD	1800	35562	\N	\N	\N
974771	3321	1998-02-18	PRIJEM	VKLAD	1800	71877	\N	\N	\N
974772	3321	1998-03-18	PRIJEM	VKLAD	1800	61128	\N	\N	\N
974773	3321	1998-04-18	PRIJEM	VKLAD	1800	54184	\N	\N	\N
974774	3321	1998-05-18	PRIJEM	VKLAD	1800	48607	\N	\N	\N
974775	3321	1998-06-18	PRIJEM	VKLAD	1800	30650	\N	\N	\N
974776	3321	1998-07-18	PRIJEM	VKLAD	1800	36930	\N	\N	\N
974777	3321	1998-08-18	PRIJEM	VKLAD	1800	36653	\N	\N	\N
974778	3321	1998-09-18	PRIJEM	VKLAD	1800	37782	\N	\N	\N
974779	3321	1998-10-18	PRIJEM	VKLAD	1800	51917	\N	\N	\N
974780	3321	1998-11-18	PRIJEM	VKLAD	1800	44124	\N	\N	\N
974781	3321	1998-12-18	PRIJEM	VKLAD	1800	40285	\N	\N	\N
974782	3321	1995-06-23	VYDAJ	VYBER	22000	12977	\N	\N	\N
974783	3321	1996-06-01	VYDAJ	VYBER	12100	24716	\N	\N	\N
974785	3321	1998-06-14	VYDAJ	VYBER	12700	27850	\N	\N	\N
974788	3321	1997-06-11	VYDAJ	VYBER	17100	20333	\N	\N	\N
974791	3321	1996-01-19	VYDAJ	VYBER	8200	24020	\N	\N	\N
974792	3321	1997-01-24	VYDAJ	VYBER	2900	79880	\N	\N	\N
974793	3321	1998-01-17	VYDAJ	VYBER	6500	33762	\N	\N	\N
974794	3321	1995-12-08	VYDAJ	VYBER	600	33694	\N	\N	\N
974795	3321	1996-12-28	VYDAJ	VYBER	1500	38419	\N	\N	\N
974796	3321	1997-12-17	VYDAJ	VYBER	2500	38668	\N	\N	\N
974797	3321	1998-12-17	VYDAJ	VYBER	700	38485	\N	\N	\N
974804	3321	1996-01-29	VYDAJ	VYBER	1350	21220	\N	\N	\N
974805	3321	1996-01-30	VYDAJ	VYBER	400	20820	\N	\N	\N
974806	3321	1996-01-03	VYDAJ	VYBER	1300	32420	\N	\N	\N
974807	3321	1996-01-25	VYDAJ	VYBER	250	22570	\N	\N	\N
974808	3321	1996-01-22	VYDAJ	VYBER	450	23570	\N	\N	\N
974809	3321	1996-01-22	VYDAJ	VYBER	750	22820	\N	\N	\N
974810	3321	1997-01-24	VYDAJ	VYBER	650	79230	\N	\N	\N
974811	3321	1997-01-08	VYDAJ	VYBER	1200	32926	\N	\N	\N
974812	3321	1997-01-22	VYDAJ	VYBER	600	82780	\N	\N	\N
974813	3321	1997-01-30	VYDAJ	VYBER	1250	76880	\N	\N	\N
974814	3321	1997-01-27	VYDAJ	VYBER	1100	78130	\N	\N	\N
974815	3321	1997-01-07	VYDAJ	VYBER	750	34126	\N	\N	\N
974816	3321	1998-01-10	VYDAJ	VYBER	650	41112	\N	\N	\N
974817	3321	1998-01-19	VYDAJ	VYBER	950	34612	\N	\N	\N
974818	3321	1998-01-15	VYDAJ	VYBER	1150	39962	\N	\N	\N
974819	3321	1998-01-07	VYDAJ	VYBER	1350	41762	\N	\N	\N
974820	3321	1998-01-17	VYDAJ	VYBER	700	40262	\N	\N	\N
974821	3321	1998-01-22	VYDAJ	VYBER	350	34262	\N	\N	\N
974822	3321	1995-07-05	VYDAJ	VYBER	900	12183	\N	\N	\N
974823	3321	1995-07-29	VYDAJ	VYBER	1100	21583	\N	\N	\N
974824	3321	1996-07-30	VYDAJ	VYBER	1350	31735	\N	\N	\N
974825	3321	1996-05-12	VYDAJ	VYBER	350	33885	\N	\N	\N
974826	3321	1996-07-30	VYDAJ	VYBER	2250	33085	\N	\N	\N
974827	3321	1996-10-22	VYDAJ	VYBER	950	51145	\N	\N	\N
974828	3321	1997-08-23	VYDAJ	VYBER	850	46411	\N	\N	\N
974829	3321	1997-11-27	VYDAJ	VYBER	1550	36131	\N	\N	\N
974830	3321	1997-06-26	VYDAJ	VYBER	1200	21933	\N	\N	\N
974831	3321	1998-09-29	VYDAJ	VYBER	2250	35532	\N	\N	\N
974832	3321	1998-06-03	VYDAJ	VYBER	700	40550	\N	\N	\N
974833	3321	1998-11-12	VYDAJ	VYBER	1150	41324	\N	\N	\N
974834	3321	1998-05-27	VYDAJ	VYBER	1450	47157	\N	\N	\N
974835	3321	1998-06-24	VYDAJ	VYBER	350	30300	\N	\N	\N
974842	3321	1995-06-30	VYDAJ	VYBER	15	13083	SLUZBY	\N	\N
974843	3321	1995-07-31	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
974844	3321	1995-08-31	VYDAJ	VYBER	15	28230	SLUZBY	\N	\N
974845	3321	1995-09-30	VYDAJ	VYBER	15	32241	SLUZBY	\N	\N
974846	3321	1995-10-31	VYDAJ	VYBER	15	34766	SLUZBY	\N	\N
974847	3321	1995-11-30	VYDAJ	VYBER	15	34294	SLUZBY	\N	\N
974848	3321	1995-12-31	VYDAJ	VYBER	15	33720	SLUZBY	\N	\N
974849	3321	1996-01-31	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
974850	3321	1996-02-29	VYDAJ	VYBER	15	26406	SLUZBY	\N	\N
974851	3321	1996-03-31	VYDAJ	VYBER	15	32014	SLUZBY	\N	\N
974852	3321	1996-04-30	VYDAJ	VYBER	15	33135	SLUZBY	\N	\N
974853	3321	1996-05-31	VYDAJ	VYBER	15	36816	SLUZBY	\N	\N
974854	3321	1996-06-30	VYDAJ	VYBER	15	30835	SLUZBY	\N	\N
974855	3321	1996-07-31	VYDAJ	VYBER	15	31858	SLUZBY	\N	\N
974856	3321	1996-08-31	VYDAJ	VYBER	15	59524	SLUZBY	\N	\N
974857	3321	1996-09-30	VYDAJ	VYBER	15	48528	SLUZBY	\N	\N
974858	3321	1996-10-31	VYDAJ	VYBER	15	51339	SLUZBY	\N	\N
974859	3321	1996-11-30	VYDAJ	VYBER	15	43919	SLUZBY	\N	\N
974860	3321	1996-12-31	VYDAJ	VYBER	15	38576	SLUZBY	\N	\N
974861	3321	1997-01-31	VYDAJ	VYBER	15	77090	SLUZBY	\N	\N
974862	3321	1997-02-28	VYDAJ	VYBER	15	58662	SLUZBY	\N	\N
974863	3321	1997-03-31	VYDAJ	VYBER	15	50874	SLUZBY	\N	\N
974864	3321	1997-04-30	VYDAJ	VYBER	15	47162	SLUZBY	\N	\N
974865	3321	1997-05-31	VYDAJ	VYBER	15	43333	SLUZBY	\N	\N
974866	3321	1997-06-30	VYDAJ	VYBER	15	22039	SLUZBY	\N	\N
974867	3321	1997-07-31	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
974868	3321	1997-08-31	VYDAJ	VYBER	15	46576	SLUZBY	\N	\N
974869	3321	1997-09-30	VYDAJ	VYBER	15	40138	SLUZBY	\N	\N
974870	3321	1997-10-31	VYDAJ	VYBER	15	36481	SLUZBY	\N	\N
974871	3321	1997-11-30	VYDAJ	VYBER	15	36268	SLUZBY	\N	\N
974872	3321	1997-12-31	VYDAJ	VYBER	15	40612	SLUZBY	\N	\N
974873	3321	1998-01-31	VYDAJ	VYBER	15	34405	SLUZBY	\N	\N
974874	3321	1998-02-28	VYDAJ	VYBER	15	72128	SLUZBY	\N	\N
974875	3321	1998-03-31	VYDAJ	VYBER	15	61384	SLUZBY	\N	\N
974876	3321	1998-04-30	VYDAJ	VYBER	15	54407	SLUZBY	\N	\N
974877	3321	1998-05-31	VYDAJ	VYBER	15	47350	SLUZBY	\N	\N
974878	3321	1998-06-30	VYDAJ	VYBER	15	30430	SLUZBY	\N	\N
974879	3321	1998-07-31	VYDAJ	VYBER	15	33853	SLUZBY	\N	\N
974880	3321	1998-08-31	VYDAJ	VYBER	15	34982	SLUZBY	\N	\N
974881	3321	1998-09-30	VYDAJ	VYBER	15	34266	SLUZBY	\N	\N
974882	3321	1998-10-31	VYDAJ	VYBER	15	42474	SLUZBY	\N	\N
974883	3321	1998-11-30	VYDAJ	VYBER	15	38185	SLUZBY	\N	\N
974884	3321	1995-05-18	VYDAJ	VYBER	5700	34427	\N	\N	\N
974885	3321	1995-06-17	VYDAJ	VYBER	2400	33177	\N	\N	\N
974886	3321	1995-07-17	PRIJEM	VKLAD	7700	20883	\N	\N	\N
974887	3321	1995-08-16	PRIJEM	VKLAD	3700	26342	\N	\N	\N
974888	3321	1995-09-15	PRIJEM	VKLAD	1100	30330	\N	\N	\N
974889	3321	1995-10-15	VYDAJ	VYBER	400	32841	\N	\N	\N
974890	3321	1995-11-14	VYDAJ	VYBER	3400	31366	\N	\N	\N
974891	3321	1995-12-14	VYDAJ	VYBER	2900	30794	\N	\N	\N
974892	3321	1996-01-13	VYDAJ	VYBER	3000	29420	\N	\N	\N
974893	3321	1996-02-12	PRIJEM	VKLAD	2600	23524	\N	\N	\N
974894	3321	1996-03-13	PRIJEM	VKLAD	2700	29106	\N	\N	\N
974895	3321	1996-04-12	VYDAJ	VYBER	1800	30214	\N	\N	\N
974896	3321	1996-05-12	PRIJEM	VKLAD	1100	34235	\N	\N	\N
974897	3321	1996-06-11	PRIJEM	VKLAD	3200	27916	\N	\N	\N
974898	3321	1996-07-11	PRIJEM	VKLAD	1700	32535	\N	\N	\N
974899	3321	1996-08-10	VYDAJ	VYBER	19000	56527	\N	\N	\N
974900	3321	1996-09-09	VYDAJ	VYBER	14000	45524	\N	\N	\N
974901	3321	1996-10-09	VYDAJ	VYBER	17200	49295	\N	\N	\N
974902	3321	1996-11-08	VYDAJ	VYBER	10400	40939	\N	\N	\N
974903	3321	1996-12-08	VYDAJ	VYBER	6800	37119	\N	\N	\N
974904	3321	1997-01-07	VYDAJ	VYBER	3700	34876	\N	\N	\N
974905	3321	1997-02-06	VYDAJ	VYBER	21500	55590	\N	\N	\N
974906	3321	1997-03-08	VYDAJ	VYBER	10800	47862	\N	\N	\N
974907	3321	1997-04-07	VYDAJ	VYBER	6700	44174	\N	\N	\N
974908	3321	1997-05-07	VYDAJ	VYBER	6800	40362	\N	\N	\N
974909	3321	1997-06-06	VYDAJ	VYBER	5900	37433	\N	\N	\N
974910	3321	1997-07-06	PRIJEM	VKLAD	2000	24039	\N	\N	\N
974911	3321	1997-08-05	VYDAJ	VYBER	12000	44461	\N	\N	\N
974912	3321	1997-09-04	VYDAJ	VYBER	9400	37176	\N	\N	\N
974913	3321	1997-10-04	VYDAJ	VYBER	6600	33538	\N	\N	\N
974914	3321	1997-11-03	VYDAJ	VYBER	1600	34881	\N	\N	\N
974915	3321	1997-12-03	PRIJEM	VKLAD	3900	40168	\N	\N	\N
974916	3321	1998-01-02	PRIJEM	VKLAD	2500	43112	\N	\N	\N
974917	3321	1998-02-01	PRIJEM	VKLAD	6100	40505	\N	\N	\N
974918	3321	1998-03-03	VYDAJ	VYBER	13800	58328	\N	\N	\N
974919	3321	1998-04-02	VYDAJ	VYBER	10000	51384	\N	\N	\N
974920	3321	1998-05-02	VYDAJ	VYBER	8600	45807	\N	\N	\N
974921	3321	1998-06-01	VYDAJ	VYBER	6100	41250	\N	\N	\N
974922	3321	1998-07-01	PRIJEM	VKLAD	3700	34130	\N	\N	\N
974923	3321	1998-07-31	VYDAJ	VYBER	3200	33867	\N	\N	\N
974924	3321	1998-08-30	VYDAJ	VYBER	1800	34853	\N	\N	\N
974925	3321	1998-09-29	VYDAJ	VYBER	1400	34132	\N	\N	\N
974926	3321	1998-10-29	VYDAJ	VYBER	9600	42317	\N	\N	\N
974927	3321	1998-11-28	VYDAJ	VYBER	6100	38024	\N	\N	\N
974973	3322	1996-03-20	PRIJEM	VKLAD	400	400	\N	\N	\N
974975	3322	1996-05-30	PRIJEM	VKLAD	24443	83286	\N	\N	\N
974977	3322	1996-07-21	PRIJEM	VKLAD	18373	54280	\N	\N	\N
974978	3322	1996-04-26	PRIJEM	VKLAD	33166	81589	\N	\N	\N
974979	3322	1996-07-17	PRIJEM	VKLAD	14662	67607	\N	\N	\N
974980	3322	1996-04-24	PRIJEM	VKLAD	35823	48423	\N	\N	\N
974981	3322	1996-05-16	PRIJEM	VKLAD	48084	129743	\N	\N	\N
974982	3322	1997-05-15	PRIJEM	VKLAD	30758	62242	\N	\N	\N
974983	3322	1997-02-09	PRIJEM	VKLAD	42091	69339	\N	\N	\N
974984	3322	1997-01-26	PRIJEM	VKLAD	38371	59402	\N	\N	\N
974985	3322	1997-11-20	PRIJEM	VKLAD	20899	72186	\N	\N	\N
974986	3322	1997-05-27	PRIJEM	VKLAD	30209	92451	\N	\N	\N
974987	3322	1997-11-05	PRIJEM	VKLAD	15578	48408	\N	\N	\N
974988	3322	1997-08-24	PRIJEM	VKLAD	10559	73032	\N	\N	\N
974989	3322	1997-08-07	PRIJEM	VKLAD	47841	86373	\N	\N	\N
974990	3322	1998-11-01	PRIJEM	VKLAD	25750	104135	\N	\N	\N
974991	3322	1998-12-27	PRIJEM	VKLAD	14811	121317	\N	\N	\N
974992	3322	1998-12-14	PRIJEM	VKLAD	31733	56893	\N	\N	\N
974993	3322	1998-02-28	PRIJEM	VKLAD	29830	66111	\N	\N	\N
974994	3322	1998-04-06	PRIJEM	VKLAD	42470	97719	\N	\N	\N
974995	3322	1998-01-30	PRIJEM	VKLAD	41585	63152	\N	\N	\N
974996	3322	1998-12-22	PRIJEM	VKLAD	14338	106506	\N	\N	\N
974997	3322	1998-05-14	PRIJEM	VKLAD	23084	48020	\N	\N	\N
974998	3322	1998-03-26	PRIJEM	VKLAD	25045	58483	\N	\N	\N
974999	3322	1998-10-29	PRIJEM	VKLAD	49336	78270	\N	\N	\N
975000	3322	1998-12-15	PRIJEM	VKLAD	35275	92168	\N	\N	\N
975008	3322	1996-08-05	VYDAJ	PREVOD NA UCET	3421	42076	SIPO	OP	67021620
975009	3322	1996-09-05	VYDAJ	PREVOD NA UCET	3421	17776	SIPO	OP	67021620
975010	3322	1996-10-05	VYDAJ	PREVOD NA UCET	3421	19517	SIPO	OP	67021620
975011	3322	1996-11-05	VYDAJ	PREVOD NA UCET	3421	18358	SIPO	OP	67021620
975012	3322	1996-12-05	VYDAJ	PREVOD NA UCET	3421	15893	SIPO	OP	67021620
975013	3322	1997-01-05	VYDAJ	PREVOD NA UCET	3421	17331	SIPO	OP	67021620
975014	3322	1997-02-05	VYDAJ	PREVOD NA UCET	3421	27248	SIPO	OP	67021620
975015	3322	1997-03-05	VYDAJ	PREVOD NA UCET	3421	43477	SIPO	OP	67021620
975016	3322	1997-04-05	VYDAJ	PREVOD NA UCET	3421	33900	SIPO	OP	67021620
975017	3322	1997-05-05	VYDAJ	PREVOD NA UCET	3421	22984	SIPO	OP	67021620
975018	3322	1997-06-05	VYDAJ	PREVOD NA UCET	3421	89212	SIPO	OP	67021620
975019	3322	1997-07-05	VYDAJ	PREVOD NA UCET	3421	57361	SIPO	OP	67021620
975020	3322	1997-08-05	VYDAJ	PREVOD NA UCET	3421	38532	SIPO	OP	67021620
975021	3322	1997-09-05	VYDAJ	PREVOD NA UCET	3421	69855	SIPO	OP	67021620
975022	3322	1997-10-05	VYDAJ	PREVOD NA UCET	3421	44274	SIPO	OP	67021620
975023	3322	1997-11-05	VYDAJ	PREVOD NA UCET	3421	44987	SIPO	OP	67021620
975024	3322	1997-12-05	VYDAJ	PREVOD NA UCET	3421	68965	SIPO	OP	67021620
975025	3322	1998-01-05	VYDAJ	PREVOD NA UCET	3421	52767	SIPO	OP	67021620
975026	3322	1998-02-05	VYDAJ	PREVOD NA UCET	3421	59879	SIPO	OP	67021620
975027	3322	1998-03-05	VYDAJ	PREVOD NA UCET	3421	62660	SIPO	OP	67021620
975028	3322	1998-04-05	VYDAJ	PREVOD NA UCET	3421	55249	SIPO	OP	67021620
975029	3322	1998-05-05	VYDAJ	PREVOD NA UCET	3421	38336	SIPO	OP	67021620
975030	3322	1998-06-05	VYDAJ	PREVOD NA UCET	3421	25605	SIPO	OP	67021620
975031	3322	1998-07-05	VYDAJ	PREVOD NA UCET	3421	27289	SIPO	OP	67021620
975032	3322	1998-08-05	VYDAJ	PREVOD NA UCET	3421	19673	SIPO	OP	67021620
975033	3322	1998-09-05	VYDAJ	PREVOD NA UCET	3421	28446	SIPO	OP	67021620
975034	3322	1998-10-05	VYDAJ	PREVOD NA UCET	3421	30534	SIPO	OP	67021620
975035	3322	1998-11-05	VYDAJ	PREVOD NA UCET	3421	88714	SIPO	OP	67021620
975036	3322	1998-12-05	VYDAJ	PREVOD NA UCET	3421	55328	SIPO	OP	67021620
975038	3322	1996-07-25	VYBER	VYBER	9032	45248	\N	\N	\N
975044	3322	1998-07-26	VYBER	VYBER	8788	23001	\N	\N	\N
975047	3322	1998-02-19	VYBER	VYBER	8331	36093	\N	\N	\N
975049	3322	1998-12-28	VYBER	VYBER	13262	90855	\N	\N	\N
975050	3322	1998-03-16	VYBER	VYBER	16522	36438	\N	\N	\N
975051	3322	1998-05-24	VYBER	VYBER	7126	34894	\N	\N	\N
975052	3322	1998-04-29	VYBER	VYBER	22403	41518	\N	\N	\N
975053	3322	1998-04-08	VYBER	VYBER	11998	85721	\N	\N	\N
975054	3322	1998-02-06	VYBER	VYBER	24755	35124	\N	\N	\N
975055	3322	1998-06-14	VYBER	VYBER	4694	30611	\N	\N	\N
975057	3322	1998-12-13	VYBER	VYBER	22068	25160	\N	\N	\N
975062	3322	1997-01-27	VYDAJ	VYBER	21300	38102	\N	\N	\N
975063	3322	1998-01-18	VYDAJ	VYBER	16800	26367	\N	\N	\N
975065	3322	1997-12-11	VYDAJ	VYBER	3300	55965	\N	\N	\N
975066	3322	1998-12-06	VYDAJ	VYBER	8100	47228	\N	\N	\N
975074	3322	1997-01-29	VYDAJ	VYBER	7500	30602	\N	\N	\N
975075	3322	1997-01-01	VYDAJ	VYBER	2400	20752	\N	\N	\N
975079	3322	1998-01-09	VYDAJ	VYBER	7500	48867	\N	\N	\N
975080	3322	1998-01-25	VYDAJ	VYBER	4800	21567	\N	\N	\N
975083	3322	1998-01-14	VYDAJ	VYBER	3000	45867	\N	\N	\N
975084	3322	1998-01-15	VYDAJ	VYBER	2700	43167	\N	\N	\N
975087	3322	1996-07-19	VYDAJ	VYBER	2700	35907	\N	\N	\N
975088	3322	1996-08-23	VYDAJ	VYBER	12600	21076	\N	\N	\N
975089	3322	1996-07-18	VYDAJ	VYBER	9900	57707	\N	\N	\N
975090	3322	1997-10-03	VYDAJ	VYBER	13200	47695	\N	\N	\N
975092	3322	1997-06-10	VYDAJ	VYBER	9900	79312	\N	\N	\N
975093	3322	1997-08-04	VYDAJ	VYBER	6900	41953	\N	\N	\N
975094	3322	1997-10-24	VYDAJ	VYBER	14700	32674	\N	\N	\N
975095	3322	1997-04-19	VYDAJ	VYBER	8100	26300	\N	\N	\N
975097	3322	1998-11-02	VYDAJ	VYBER	12000	92135	\N	\N	\N
975098	3322	1998-05-31	VYDAJ	VYBER	6000	29026	\N	\N	\N
975100	3322	1998-03-25	VYDAJ	VYBER	3000	33438	\N	\N	\N
975101	3322	1998-10-08	VYDAJ	VYBER	9300	28934	\N	\N	\N
975102	3322	1998-05-12	VYDAJ	VYBER	14400	24936	\N	\N	\N
975103	3322	1998-05-17	VYDAJ	VYBER	6000	42020	\N	\N	\N
975111	3322	1996-07-31	VYDAJ	VYBER	30	45497	SLUZBY	\N	\N
975112	3322	1996-08-31	VYDAJ	VYBER	30	21197	SLUZBY	\N	\N
975113	3322	1996-09-30	VYDAJ	VYBER	30	22938	SLUZBY	\N	\N
975114	3322	1996-10-31	VYDAJ	VYBER	30	21779	SLUZBY	\N	\N
975115	3322	1996-11-30	VYDAJ	VYBER	30	19314	SLUZBY	\N	\N
975116	3322	1996-12-31	VYDAJ	VYBER	30	23152	SLUZBY	\N	\N
975117	3322	1997-01-31	VYDAJ	VYBER	30	30669	SLUZBY	\N	\N
975118	3322	1997-02-28	VYDAJ	VYBER	30	46898	SLUZBY	\N	\N
975119	3322	1997-03-31	VYDAJ	VYBER	30	37321	SLUZBY	\N	\N
975120	3322	1997-04-30	VYDAJ	VYBER	30	26405	SLUZBY	\N	\N
975121	3322	1997-05-31	VYDAJ	VYBER	30	92633	SLUZBY	\N	\N
975122	3322	1997-06-30	VYDAJ	VYBER	30	60782	SLUZBY	\N	\N
975123	3322	1997-07-31	VYDAJ	VYBER	30	48853	SLUZBY	\N	\N
975124	3322	1997-08-31	VYDAJ	VYBER	30	73276	SLUZBY	\N	\N
975125	3322	1997-09-30	VYDAJ	VYBER	30	60895	SLUZBY	\N	\N
975126	3322	1997-10-31	VYDAJ	VYBER	30	32830	SLUZBY	\N	\N
975127	3322	1997-11-30	VYDAJ	VYBER	30	72386	SLUZBY	\N	\N
975128	3322	1997-12-31	VYDAJ	VYBER	30	56188	SLUZBY	\N	\N
975129	3322	1998-01-31	VYDAJ	VYBER	30	63300	SLUZBY	\N	\N
975130	3322	1998-02-28	VYDAJ	VYBER	30	66081	SLUZBY	\N	\N
975131	3322	1998-03-31	VYDAJ	VYBER	30	58670	SLUZBY	\N	\N
975132	3322	1998-04-30	VYDAJ	VYBER	30	41757	SLUZBY	\N	\N
975133	3322	1998-05-31	VYDAJ	VYBER	30	35026	SLUZBY	\N	\N
975134	3322	1998-06-30	VYDAJ	VYBER	30	30710	SLUZBY	\N	\N
975135	3322	1998-07-31	VYDAJ	VYBER	30	23094	SLUZBY	\N	\N
975136	3322	1998-08-31	VYDAJ	VYBER	30	31867	SLUZBY	\N	\N
975137	3322	1998-09-30	VYDAJ	VYBER	30	33955	SLUZBY	\N	\N
975138	3322	1998-10-31	VYDAJ	VYBER	30	78385	SLUZBY	\N	\N
975139	3322	1998-11-30	VYDAJ	VYBER	30	67949	SLUZBY	\N	\N
975140	3322	1996-04-19	PRIJEM	VKLAD	12200	12600	\N	\N	\N
975141	3322	1996-05-16	VYDAJ	VYBER	36600	93143	\N	\N	\N
975142	3322	1996-05-19	VYDAJ	VYBER	34300	58843	\N	\N	\N
975143	3322	1996-06-18	VYDAJ	VYBER	31000	52598	\N	\N	\N
975144	3322	1996-07-18	VYDAJ	VYBER	19100	38607	\N	\N	\N
975145	3322	1996-08-17	VYDAJ	VYBER	8400	33676	\N	\N	\N
975146	3322	1996-09-16	PRIJEM	VKLAD	5100	22876	\N	\N	\N
975147	3322	1996-10-16	PRIJEM	VKLAD	2200	21717	\N	\N	\N
975148	3322	1996-11-15	PRIJEM	VKLAD	900	19258	\N	\N	\N
975149	3322	1996-12-15	PRIJEM	VKLAD	7200	23093	\N	\N	\N
975150	3322	1997-01-14	PRIJEM	VKLAD	3700	21031	\N	\N	\N
975151	3322	1997-02-13	VYDAJ	VYBER	22600	46739	\N	\N	\N
975152	3322	1997-03-15	VYDAJ	VYBER	6300	37177	\N	\N	\N
975153	3322	1997-04-14	PRIJEM	VKLAD	500	34400	\N	\N	\N
975154	3322	1997-05-14	PRIJEM	VKLAD	8500	31484	\N	\N	\N
975155	3322	1997-06-13	VYDAJ	VYBER	18800	60512	\N	\N	\N
975156	3322	1997-07-13	VYDAJ	VYBER	8700	48661	\N	\N	\N
975157	3322	1997-08-12	VYDAJ	VYBER	23900	62473	\N	\N	\N
975158	3322	1997-09-11	VYDAJ	VYBER	9200	60655	\N	\N	\N
975159	3322	1997-10-11	PRIJEM	VKLAD	3100	47374	\N	\N	\N
975160	3322	1997-11-10	PRIJEM	VKLAD	6300	51287	\N	\N	\N
975161	3322	1997-12-10	VYDAJ	VYBER	9700	59265	\N	\N	\N
975162	3322	1998-01-09	PRIJEM	VKLAD	3600	56367	\N	\N	\N
975163	3322	1998-02-08	PRIJEM	VKLAD	9300	44424	\N	\N	\N
975164	3322	1998-03-10	VYDAJ	VYBER	9700	52960	\N	\N	\N
975165	3322	1998-04-09	VYDAJ	VYBER	21800	63921	\N	\N	\N
975166	3322	1998-05-09	PRIJEM	VKLAD	1000	39336	\N	\N	\N
975167	3322	1998-06-08	PRIJEM	VKLAD	9700	35305	\N	\N	\N
975168	3322	1998-07-08	PRIJEM	VKLAD	4500	31789	\N	\N	\N
975169	3322	1998-08-07	PRIJEM	VKLAD	12100	31773	\N	\N	\N
975170	3322	1998-09-06	PRIJEM	VKLAD	5400	33846	\N	\N	\N
975171	3322	1998-10-06	PRIJEM	VKLAD	7700	38234	\N	\N	\N
975172	3322	1998-11-05	VYDAJ	VYBER	21100	67614	\N	\N	\N
975173	3322	1998-12-05	VYDAJ	VYBER	9200	58749	\N	\N	\N
975174	3322	1998-12-27	VYDAJ	VYBER	17200	104117	\N	\N	\N
975208	3323	1993-09-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
975217	3323	1993-09-13	PRIJEM	VKLAD	21769	22769	\N	\N	\N
975218	3323	1993-10-13	PRIJEM	VKLAD	21769	47795	\N	\N	\N
975219	3323	1993-11-13	PRIJEM	VKLAD	21769	58823	\N	\N	\N
975220	3323	1993-12-13	PRIJEM	VKLAD	32654	75303	\N	\N	\N
975221	3323	1994-01-13	PRIJEM	VKLAD	21769	72759	\N	\N	\N
975222	3323	1994-02-13	PRIJEM	VKLAD	21769	65552	\N	\N	\N
975223	3323	1994-03-13	PRIJEM	VKLAD	21769	63570	\N	\N	\N
975224	3323	1994-04-13	PRIJEM	VKLAD	21769	62396	\N	\N	\N
975225	3323	1994-05-13	PRIJEM	VKLAD	21769	57912	\N	\N	\N
975226	3323	1994-06-13	PRIJEM	VKLAD	32654	51766	\N	\N	\N
975227	3323	1994-07-13	PRIJEM	VKLAD	21769	54818	\N	\N	\N
975228	3323	1994-08-13	PRIJEM	VKLAD	21769	52938	\N	\N	\N
975229	3323	1994-09-13	PRIJEM	VKLAD	21769	44601	\N	\N	\N
975230	3323	1994-10-13	PRIJEM	VKLAD	21769	50139	\N	\N	\N
975231	3323	1994-11-13	PRIJEM	VKLAD	21769	55688	\N	\N	\N
975232	3323	1994-12-13	PRIJEM	VKLAD	32654	63645	\N	\N	\N
975233	3323	1995-01-13	PRIJEM	VKLAD	21769	53890	\N	\N	\N
975234	3323	1995-02-13	PRIJEM	VKLAD	21769	51295	\N	\N	\N
975235	3323	1995-03-13	PRIJEM	VKLAD	21769	57032	\N	\N	\N
975236	3323	1995-04-13	PRIJEM	VKLAD	21769	60710	\N	\N	\N
975237	3323	1995-05-13	PRIJEM	VKLAD	21769	62805	\N	\N	\N
975238	3323	1995-06-13	PRIJEM	VKLAD	32654	68293	\N	\N	\N
975239	3323	1995-07-13	PRIJEM	VKLAD	21769	50944	\N	\N	\N
975240	3323	1995-08-13	PRIJEM	VKLAD	21769	49476	\N	\N	\N
975241	3323	1995-09-13	PRIJEM	VKLAD	21769	57604	\N	\N	\N
975242	3323	1995-10-13	PRIJEM	VKLAD	21769	60462	\N	\N	\N
975243	3323	1995-11-13	PRIJEM	VKLAD	21769	59511	\N	\N	\N
975244	3323	1995-12-13	PRIJEM	VKLAD	32654	69082	\N	\N	\N
975245	3323	1996-01-13	PRIJEM	VKLAD	21769	60425	\N	\N	\N
975246	3323	1996-02-13	PRIJEM	VKLAD	21769	61725	\N	\N	\N
975247	3323	1996-03-13	PRIJEM	VKLAD	21769	64995	\N	\N	\N
975248	3323	1996-04-13	PRIJEM	VKLAD	21769	60218	\N	\N	\N
975249	3323	1996-05-13	PRIJEM	VKLAD	21769	60983	\N	\N	\N
975250	3323	1996-06-13	PRIJEM	VKLAD	32654	76834	\N	\N	\N
975251	3323	1996-07-13	PRIJEM	VKLAD	21769	56255	\N	\N	\N
975252	3323	1996-08-13	PRIJEM	VKLAD	21769	62505	\N	\N	\N
975253	3323	1996-09-13	PRIJEM	VKLAD	21769	66072	\N	\N	\N
975254	3323	1996-10-13	PRIJEM	VKLAD	21769	69653	\N	\N	\N
975255	3323	1996-11-13	PRIJEM	VKLAD	21769	73448	\N	\N	\N
975256	3323	1996-12-13	PRIJEM	VKLAD	32654	80408	\N	\N	\N
975257	3323	1997-01-13	PRIJEM	VKLAD	21769	62631	\N	\N	\N
975258	3323	1997-02-13	PRIJEM	VKLAD	21769	59591	\N	\N	\N
975259	3323	1997-03-13	PRIJEM	VKLAD	21769	63839	\N	\N	\N
975260	3323	1997-04-13	PRIJEM	VKLAD	21769	67207	\N	\N	\N
975261	3323	1997-05-13	PRIJEM	VKLAD	21769	66861	\N	\N	\N
975262	3323	1997-06-13	PRIJEM	VKLAD	32654	68218	\N	\N	\N
975263	3323	1997-07-13	PRIJEM	VKLAD	21769	71287	\N	\N	\N
975264	3323	1997-08-13	PRIJEM	VKLAD	21769	74481	\N	\N	\N
975265	3323	1997-09-13	PRIJEM	VKLAD	21769	68940	\N	\N	\N
975266	3323	1997-10-13	PRIJEM	VKLAD	21769	70822	\N	\N	\N
975267	3323	1997-11-13	PRIJEM	VKLAD	21769	69845	\N	\N	\N
975268	3323	1997-12-13	PRIJEM	VKLAD	32654	75887	\N	\N	\N
975269	3323	1998-01-13	PRIJEM	VKLAD	21769	60626	\N	\N	\N
975270	3323	1998-02-13	PRIJEM	VKLAD	21769	56264	\N	\N	\N
975271	3323	1998-03-13	PRIJEM	VKLAD	21769	61187	\N	\N	\N
975272	3323	1998-04-13	PRIJEM	VKLAD	21769	64131	\N	\N	\N
975273	3323	1998-05-13	PRIJEM	VKLAD	21769	67686	\N	\N	\N
975274	3323	1998-06-13	PRIJEM	VKLAD	32654	76349	\N	\N	\N
975275	3323	1998-07-13	PRIJEM	VKLAD	21769	64139	\N	\N	\N
975276	3323	1998-08-13	PRIJEM	VKLAD	21769	63806	\N	\N	\N
975277	3323	1998-09-13	PRIJEM	VKLAD	21769	51690	\N	\N	\N
975278	3323	1998-10-13	PRIJEM	VKLAD	21769	62139	\N	\N	\N
975279	3323	1998-11-13	PRIJEM	VKLAD	21769	63230	\N	\N	\N
975280	3323	1998-12-13	PRIJEM	VKLAD	32654	78621	\N	\N	\N
975294	3323	1994-02-10	VYDAJ	PREVOD NA UCET	3498	43783	SIPO	UV	78556829
975295	3323	1994-03-10	VYDAJ	PREVOD NA UCET	3498	41801	SIPO	UV	78556829
975296	3323	1994-04-10	VYDAJ	PREVOD NA UCET	3498	40627	SIPO	UV	78556829
975297	3323	1994-05-10	VYDAJ	PREVOD NA UCET	3498	36143	SIPO	UV	78556829
975298	3323	1994-06-10	VYDAJ	PREVOD NA UCET	3498	19113	SIPO	UV	78556829
975299	3323	1994-07-10	VYDAJ	PREVOD NA UCET	3498	33049	SIPO	UV	78556829
975300	3323	1994-08-10	VYDAJ	PREVOD NA UCET	3498	31169	SIPO	UV	78556829
975301	3323	1994-09-10	VYDAJ	PREVOD NA UCET	3498	25832	SIPO	UV	78556829
975302	3323	1994-10-10	VYDAJ	PREVOD NA UCET	3498	28370	SIPO	UV	78556829
975303	3323	1994-11-10	VYDAJ	PREVOD NA UCET	3498	33919	SIPO	UV	78556829
975304	3323	1994-12-10	VYDAJ	PREVOD NA UCET	3498	30992	SIPO	UV	78556829
975305	3323	1995-01-10	VYDAJ	PREVOD NA UCET	3498	35481	SIPO	UV	78556829
975306	3323	1995-02-10	VYDAJ	PREVOD NA UCET	3498	29526	SIPO	UV	78556829
975307	3323	1995-03-10	VYDAJ	PREVOD NA UCET	3498	35263	SIPO	UV	78556829
975308	3323	1995-04-10	VYDAJ	PREVOD NA UCET	3498	38941	SIPO	UV	78556829
975309	3323	1995-05-10	VYDAJ	PREVOD NA UCET	3498	41036	SIPO	UV	78556829
975310	3323	1995-06-10	VYDAJ	PREVOD NA UCET	3498	35640	SIPO	UV	78556829
975311	3323	1995-07-10	VYDAJ	PREVOD NA UCET	3498	29175	SIPO	UV	78556829
975312	3323	1995-08-10	VYDAJ	PREVOD NA UCET	3498	27707	SIPO	UV	78556829
975313	3323	1995-09-10	VYDAJ	PREVOD NA UCET	3498	35835	SIPO	UV	78556829
975314	3323	1995-10-10	VYDAJ	PREVOD NA UCET	3498	38693	SIPO	UV	78556829
975315	3323	1995-11-10	VYDAJ	PREVOD NA UCET	3498	37742	SIPO	UV	78556829
975316	3323	1995-12-10	VYDAJ	PREVOD NA UCET	3498	36428	SIPO	UV	78556829
975317	3323	1996-01-10	VYDAJ	PREVOD NA UCET	3498	39976	SIPO	UV	78556829
975318	3323	1996-02-10	VYDAJ	PREVOD NA UCET	3498	39956	SIPO	UV	78556829
975319	3323	1996-03-10	VYDAJ	PREVOD NA UCET	3498	43226	SIPO	UV	78556829
975320	3323	1996-04-10	VYDAJ	PREVOD NA UCET	3498	38449	SIPO	UV	78556829
975321	3323	1996-05-10	VYDAJ	PREVOD NA UCET	3498	39214	SIPO	UV	78556829
975322	3323	1996-06-10	VYDAJ	PREVOD NA UCET	3498	44180	SIPO	UV	78556829
975323	3323	1996-07-10	VYDAJ	PREVOD NA UCET	3498	34486	SIPO	UV	78556829
975324	3323	1996-08-10	VYDAJ	PREVOD NA UCET	3498	40736	SIPO	UV	78556829
975325	3323	1996-09-10	VYDAJ	PREVOD NA UCET	3498	44303	SIPO	UV	78556829
975326	3323	1996-10-10	VYDAJ	PREVOD NA UCET	3498	47884	SIPO	UV	78556829
975327	3323	1996-11-10	VYDAJ	PREVOD NA UCET	3498	51679	SIPO	UV	78556829
975328	3323	1996-12-10	VYDAJ	PREVOD NA UCET	3498	47754	SIPO	UV	78556829
975329	3323	1997-01-10	VYDAJ	PREVOD NA UCET	3498	40862	SIPO	UV	78556829
975330	3323	1997-02-10	VYDAJ	PREVOD NA UCET	3498	37822	SIPO	UV	78556829
975331	3323	1997-03-10	VYDAJ	PREVOD NA UCET	3498	42070	SIPO	UV	78556829
975332	3323	1997-04-10	VYDAJ	PREVOD NA UCET	3498	45438	SIPO	UV	78556829
975333	3323	1997-05-10	VYDAJ	PREVOD NA UCET	3498	45092	SIPO	UV	78556829
975334	3323	1997-06-10	VYDAJ	PREVOD NA UCET	3498	35565	SIPO	UV	78556829
975335	3323	1997-07-10	VYDAJ	PREVOD NA UCET	3498	49518	SIPO	UV	78556829
975336	3323	1997-08-10	VYDAJ	PREVOD NA UCET	3498	52712	SIPO	UV	78556829
975337	3323	1997-09-10	VYDAJ	PREVOD NA UCET	3498	47171	SIPO	UV	78556829
975338	3323	1997-10-10	VYDAJ	PREVOD NA UCET	3498	49053	SIPO	UV	78556829
975339	3323	1997-11-10	VYDAJ	PREVOD NA UCET	3498	48076	SIPO	UV	78556829
975340	3323	1997-12-10	VYDAJ	PREVOD NA UCET	3498	43233	SIPO	UV	78556829
975341	3323	1998-01-10	VYDAJ	PREVOD NA UCET	3498	41497	SIPO	UV	78556829
975342	3323	1998-02-10	VYDAJ	PREVOD NA UCET	3498	34495	SIPO	UV	78556829
975343	3323	1998-03-10	VYDAJ	PREVOD NA UCET	3498	39418	SIPO	UV	78556829
975344	3323	1998-04-10	VYDAJ	PREVOD NA UCET	3498	42362	SIPO	UV	78556829
975345	3323	1998-05-10	VYDAJ	PREVOD NA UCET	3498	45917	SIPO	UV	78556829
975346	3323	1998-06-10	VYDAJ	PREVOD NA UCET	3498	43696	SIPO	UV	78556829
975347	3323	1998-07-10	VYDAJ	PREVOD NA UCET	3498	42370	SIPO	UV	78556829
975348	3323	1998-08-10	VYDAJ	PREVOD NA UCET	3498	42037	SIPO	UV	78556829
975349	3323	1998-09-10	VYDAJ	PREVOD NA UCET	3498	39321	SIPO	UV	78556829
975350	3323	1998-10-10	VYDAJ	PREVOD NA UCET	3498	48370	SIPO	UV	78556829
975351	3323	1998-11-10	VYDAJ	PREVOD NA UCET	3498	58861	SIPO	UV	78556829
975352	3323	1998-12-10	VYDAJ	PREVOD NA UCET	3498	59967	SIPO	UV	78556829
975354	3323	1994-06-07	VYDAJ	VYBER	18720	22611	\N	\N	\N
975355	3323	1995-06-14	VYDAJ	VYBER	26080	42213	\N	\N	\N
975356	3323	1996-06-28	VYDAJ	VYBER	15840	42194	\N	\N	\N
975357	3323	1997-06-03	VYDAJ	VYBER	5120	44463	\N	\N	\N
975361	3323	1995-01-30	VYDAJ	VYBER	6400	42330	\N	\N	\N
975362	3323	1996-01-18	VYDAJ	VYBER	3520	55825	\N	\N	\N
975363	3323	1997-01-09	VYDAJ	VYBER	4160	44360	\N	\N	\N
975364	3323	1998-01-22	VYDAJ	VYBER	2080	38666	\N	\N	\N
975366	3323	1994-12-25	VYDAJ	VYBER	2720	60925	\N	\N	\N
975367	3323	1995-12-08	VYDAJ	VYBER	2880	39926	\N	\N	\N
975368	3323	1996-12-20	VYDAJ	VYBER	3680	76728	\N	\N	\N
975369	3323	1997-12-24	VYDAJ	VYBER	3200	53187	\N	\N	\N
975370	3323	1998-12-14	VYDAJ	VYBER	1600	77021	\N	\N	\N
975377	3323	1994-01-19	VYDAJ	VYBER	2880	67359	\N	\N	\N
975381	3323	1994-01-13	VYDAJ	VYBER	2520	70239	\N	\N	\N
975382	3323	1994-01-27	VYDAJ	VYBER	2760	64599	\N	\N	\N
975383	3323	1995-01-26	VYDAJ	VYBER	720	48730	\N	\N	\N
975384	3323	1995-01-09	VYDAJ	VYBER	720	41619	\N	\N	\N
975385	3323	1995-01-11	VYDAJ	VYBER	3360	32121	\N	\N	\N
975386	3323	1995-01-14	VYDAJ	VYBER	1440	52450	\N	\N	\N
975387	3323	1995-01-15	VYDAJ	VYBER	3000	49450	\N	\N	\N
975388	3323	1995-01-10	VYDAJ	VYBER	2640	38979	\N	\N	\N
975389	3323	1996-01-05	VYDAJ	VYBER	1920	43474	\N	\N	\N
975390	3323	1996-01-17	VYDAJ	VYBER	1080	59345	\N	\N	\N
975391	3323	1996-01-19	VYDAJ	VYBER	840	54985	\N	\N	\N
975392	3323	1996-01-02	VYDAJ	VYBER	3480	45394	\N	\N	\N
975393	3323	1996-01-11	VYDAJ	VYBER	1320	38656	\N	\N	\N
975394	3323	1996-01-22	VYDAJ	VYBER	1320	53665	\N	\N	\N
975395	3323	1997-01-18	VYDAJ	VYBER	2280	58671	\N	\N	\N
975396	3323	1997-01-13	VYDAJ	VYBER	1680	60951	\N	\N	\N
975397	3323	1997-01-21	VYDAJ	VYBER	3360	44011	\N	\N	\N
975398	3323	1997-01-30	VYDAJ	VYBER	2880	41131	\N	\N	\N
975399	3323	1997-01-07	VYDAJ	VYBER	3000	48520	\N	\N	\N
975400	3323	1997-01-01	VYDAJ	VYBER	3240	51520	\N	\N	\N
975401	3323	1998-01-23	VYDAJ	VYBER	840	37826	\N	\N	\N
975402	3323	1998-01-07	VYDAJ	VYBER	2280	48475	\N	\N	\N
975403	3323	1998-01-12	VYDAJ	VYBER	2640	38857	\N	\N	\N
975404	3323	1998-01-20	VYDAJ	VYBER	1800	43626	\N	\N	\N
975405	3323	1998-01-09	VYDAJ	VYBER	3480	44995	\N	\N	\N
975406	3323	1998-01-21	VYDAJ	VYBER	2880	40746	\N	\N	\N
975412	3323	1994-04-18	VYDAJ	VYBER	4080	58316	\N	\N	\N
975413	3323	1994-09-10	VYDAJ	VYBER	2160	29330	\N	\N	\N
975414	3323	1994-09-07	VYDAJ	VYBER	5040	31490	\N	\N	\N
975415	3323	1994-03-14	VYDAJ	VYBER	4080	59490	\N	\N	\N
975416	3323	1994-07-15	VYDAJ	VYBER	5640	49178	\N	\N	\N
975417	3323	1994-12-06	VYDAJ	VYBER	5400	34490	\N	\N	\N
975418	3323	1994-09-10	VYDAJ	VYBER	3000	22832	\N	\N	\N
975419	3323	1995-07-16	VYDAJ	VYBER	5760	39664	\N	\N	\N
975420	3323	1995-06-09	VYDAJ	VYBER	3000	39138	\N	\N	\N
975421	3323	1995-12-24	VYDAJ	VYBER	3120	65962	\N	\N	\N
975422	3323	1995-11-01	VYDAJ	VYBER	3120	41240	\N	\N	\N
975423	3323	1995-07-13	VYDAJ	VYBER	5520	45424	\N	\N	\N
975424	3323	1996-07-01	VYDAJ	VYBER	4440	37984	\N	\N	\N
975425	3323	1996-04-05	VYDAJ	VYBER	5520	43987	\N	\N	\N
975426	3323	1996-04-06	VYDAJ	VYBER	2040	41947	\N	\N	\N
975427	3323	1996-11-17	VYDAJ	VYBER	5520	67928	\N	\N	\N
975428	3323	1997-04-17	VYDAJ	VYBER	1320	65887	\N	\N	\N
975429	3323	1997-09-02	VYDAJ	VYBER	5640	50669	\N	\N	\N
975430	3323	1997-12-05	VYDAJ	VYBER	5520	46731	\N	\N	\N
975431	3323	1997-06-06	VYDAJ	VYBER	5400	39063	\N	\N	\N
975432	3323	1997-11-07	VYDAJ	VYBER	2160	51574	\N	\N	\N
975433	3323	1997-12-27	VYDAJ	VYBER	2640	50547	\N	\N	\N
975434	3323	1997-05-17	VYDAJ	VYBER	2280	64581	\N	\N	\N
975435	3323	1998-06-01	VYDAJ	VYBER	1080	47194	\N	\N	\N
975436	3323	1998-07-30	VYDAJ	VYBER	1680	45359	\N	\N	\N
975437	3323	1998-06-17	VYDAJ	VYBER	5160	45689	\N	\N	\N
975451	3323	1994-01-31	VYDAJ	VYBER	15	64881	SLUZBY	\N	\N
975452	3323	1994-02-28	VYDAJ	VYBER	15	65799	SLUZBY	\N	\N
975453	3323	1994-03-31	VYDAJ	VYBER	15	59725	SLUZBY	\N	\N
975454	3323	1994-04-30	VYDAJ	VYBER	15	58541	SLUZBY	\N	\N
975455	3323	1994-05-31	VYDAJ	VYBER	15	58131	SLUZBY	\N	\N
975456	3323	1994-06-30	VYDAJ	VYBER	15	51947	SLUZBY	\N	\N
975457	3323	1994-07-31	VYDAJ	VYBER	15	49367	SLUZBY	\N	\N
975458	3323	1994-08-31	VYDAJ	VYBER	15	53130	SLUZBY	\N	\N
975459	3323	1994-09-30	VYDAJ	VYBER	15	44768	SLUZBY	\N	\N
975460	3323	1994-10-31	VYDAJ	VYBER	15	50317	SLUZBY	\N	\N
975461	3323	1994-11-30	VYDAJ	VYBER	15	55890	SLUZBY	\N	\N
975462	3323	1994-12-31	VYDAJ	VYBER	15	61139	SLUZBY	\N	\N
975463	3323	1995-01-31	VYDAJ	VYBER	15	33024	SLUZBY	\N	\N
975464	3323	1995-02-28	VYDAJ	VYBER	15	51461	SLUZBY	\N	\N
975465	3323	1995-03-31	VYDAJ	VYBER	15	57239	SLUZBY	\N	\N
975466	3323	1995-04-30	VYDAJ	VYBER	15	60934	SLUZBY	\N	\N
975467	3323	1995-05-31	VYDAJ	VYBER	15	42138	SLUZBY	\N	\N
975468	3323	1995-06-30	VYDAJ	VYBER	15	32673	SLUZBY	\N	\N
975469	3323	1995-07-31	VYDAJ	VYBER	15	31205	SLUZBY	\N	\N
975470	3323	1995-08-31	VYDAJ	VYBER	15	39333	SLUZBY	\N	\N
975471	3323	1995-09-30	VYDAJ	VYBER	15	42191	SLUZBY	\N	\N
975472	3323	1995-10-31	VYDAJ	VYBER	15	44360	SLUZBY	\N	\N
975473	3323	1995-11-30	VYDAJ	VYBER	15	42806	SLUZBY	\N	\N
975474	3323	1995-12-31	VYDAJ	VYBER	15	48874	SLUZBY	\N	\N
975475	3323	1996-01-31	VYDAJ	VYBER	15	43454	SLUZBY	\N	\N
975476	3323	1996-02-29	VYDAJ	VYBER	15	46724	SLUZBY	\N	\N
975477	3323	1996-03-31	VYDAJ	VYBER	15	49507	SLUZBY	\N	\N
975478	3323	1996-04-30	VYDAJ	VYBER	15	42712	SLUZBY	\N	\N
975479	3323	1996-05-31	VYDAJ	VYBER	15	47678	SLUZBY	\N	\N
975480	3323	1996-06-30	VYDAJ	VYBER	15	42424	SLUZBY	\N	\N
975481	3323	1996-07-31	VYDAJ	VYBER	15	44234	SLUZBY	\N	\N
975482	3323	1996-08-31	VYDAJ	VYBER	15	47801	SLUZBY	\N	\N
975483	3323	1996-09-30	VYDAJ	VYBER	15	51382	SLUZBY	\N	\N
975484	3323	1996-10-31	VYDAJ	VYBER	15	55177	SLUZBY	\N	\N
975485	3323	1996-11-30	VYDAJ	VYBER	15	51252	SLUZBY	\N	\N
975486	3323	1996-12-31	VYDAJ	VYBER	15	54760	SLUZBY	\N	\N
975487	3323	1997-01-31	VYDAJ	VYBER	15	41320	SLUZBY	\N	\N
975488	3323	1997-02-28	VYDAJ	VYBER	15	45568	SLUZBY	\N	\N
975489	3323	1997-03-31	VYDAJ	VYBER	15	48936	SLUZBY	\N	\N
975490	3323	1997-04-30	VYDAJ	VYBER	15	48590	SLUZBY	\N	\N
975491	3323	1997-05-31	VYDAJ	VYBER	15	49583	SLUZBY	\N	\N
975492	3323	1997-06-30	VYDAJ	VYBER	15	53016	SLUZBY	\N	\N
975493	3323	1997-07-31	VYDAJ	VYBER	15	56210	SLUZBY	\N	\N
975494	3323	1997-08-31	VYDAJ	VYBER	15	56309	SLUZBY	\N	\N
975495	3323	1997-09-30	VYDAJ	VYBER	15	52551	SLUZBY	\N	\N
975496	3323	1997-10-31	VYDAJ	VYBER	15	53734	SLUZBY	\N	\N
975497	3323	1997-11-30	VYDAJ	VYBER	15	52251	SLUZBY	\N	\N
975498	3323	1997-12-31	VYDAJ	VYBER	15	50755	SLUZBY	\N	\N
975499	3323	1998-01-31	VYDAJ	VYBER	15	37993	SLUZBY	\N	\N
975500	3323	1998-02-28	VYDAJ	VYBER	15	42916	SLUZBY	\N	\N
975501	3323	1998-03-31	VYDAJ	VYBER	15	45860	SLUZBY	\N	\N
975502	3323	1998-04-30	VYDAJ	VYBER	15	49415	SLUZBY	\N	\N
975503	3323	1998-05-31	VYDAJ	VYBER	15	48274	SLUZBY	\N	\N
975504	3323	1998-06-30	VYDAJ	VYBER	15	45868	SLUZBY	\N	\N
975505	3323	1998-07-31	VYDAJ	VYBER	15	45535	SLUZBY	\N	\N
975506	3323	1998-08-31	VYDAJ	VYBER	15	42819	SLUZBY	\N	\N
975507	3323	1998-09-30	VYDAJ	VYBER	15	51868	SLUZBY	\N	\N
975508	3323	1998-10-31	VYDAJ	VYBER	15	62359	SLUZBY	\N	\N
975509	3323	1998-11-30	VYDAJ	VYBER	15	63465	SLUZBY	\N	\N
975510	3323	1993-10-08	PRIJEM	VKLAD	3200	26026	\N	\N	\N
975511	3323	1993-11-07	VYDAJ	VYBER	10900	37054	\N	\N	\N
975512	3323	1993-12-07	VYDAJ	VYBER	16400	42649	\N	\N	\N
975513	3323	1994-01-06	VYDAJ	VYBER	24600	50990	\N	\N	\N
975514	3323	1994-02-05	VYDAJ	VYBER	17600	47281	\N	\N	\N
975515	3323	1994-03-07	VYDAJ	VYBER	20500	45299	\N	\N	\N
975516	3323	1994-04-06	VYDAJ	VYBER	15600	44125	\N	\N	\N
975517	3323	1994-05-06	VYDAJ	VYBER	18900	39641	\N	\N	\N
975518	3323	1994-06-05	VYDAJ	VYBER	16800	41331	\N	\N	\N
975519	3323	1994-07-05	VYDAJ	VYBER	15400	36547	\N	\N	\N
975520	3323	1994-08-04	VYDAJ	VYBER	14700	34667	\N	\N	\N
975521	3323	1994-09-03	VYDAJ	VYBER	16600	36530	\N	\N	\N
975522	3323	1994-10-03	VYDAJ	VYBER	12900	31868	\N	\N	\N
975523	3323	1994-11-02	VYDAJ	VYBER	12900	37417	\N	\N	\N
975524	3323	1994-12-02	VYDAJ	VYBER	16000	39890	\N	\N	\N
975525	3323	1995-01-01	VYDAJ	VYBER	18800	42339	\N	\N	\N
975526	3323	1995-01-31	VYDAJ	VYBER	9500	33038	\N	\N	\N
975527	3323	1995-03-02	VYDAJ	VYBER	12700	38761	\N	\N	\N
975528	3323	1995-04-01	VYDAJ	VYBER	14800	42439	\N	\N	\N
975529	3323	1995-05-01	VYDAJ	VYBER	16400	44534	\N	\N	\N
975530	3323	1995-05-31	VYDAJ	VYBER	20900	42152	\N	\N	\N
975531	3323	1995-06-30	VYDAJ	VYBER	9700	32688	\N	\N	\N
975532	3323	1995-07-30	VYDAJ	VYBER	8600	31064	\N	\N	\N
975533	3323	1995-08-29	VYDAJ	VYBER	10300	39176	\N	\N	\N
975534	3323	1995-09-28	VYDAJ	VYBER	15600	42004	\N	\N	\N
975535	3323	1995-10-28	VYDAJ	VYBER	16300	44162	\N	\N	\N
975536	3323	1995-11-27	VYDAJ	VYBER	16900	42611	\N	\N	\N
975537	3323	1995-12-27	VYDAJ	VYBER	17300	48662	\N	\N	\N
975538	3323	1996-01-26	VYDAJ	VYBER	10400	43265	\N	\N	\N
975539	3323	1996-02-25	VYDAJ	VYBER	15200	46525	\N	\N	\N
975540	3323	1996-03-26	VYDAJ	VYBER	15700	49295	\N	\N	\N
975541	3323	1996-04-25	VYDAJ	VYBER	17700	42518	\N	\N	\N
975542	3323	1996-05-25	VYDAJ	VYBER	13500	47483	\N	\N	\N
975543	3323	1996-06-24	VYDAJ	VYBER	18800	58034	\N	\N	\N
975544	3323	1996-07-24	VYDAJ	VYBER	12200	44055	\N	\N	\N
975545	3323	1996-08-23	VYDAJ	VYBER	14900	47605	\N	\N	\N
975546	3323	1996-09-22	VYDAJ	VYBER	14900	51172	\N	\N	\N
975547	3323	1996-10-22	VYDAJ	VYBER	14700	54953	\N	\N	\N
975548	3323	1996-11-21	VYDAJ	VYBER	16900	51028	\N	\N	\N
975549	3323	1996-12-21	VYDAJ	VYBER	22200	54528	\N	\N	\N
975550	3323	1997-01-20	VYDAJ	VYBER	11300	47371	\N	\N	\N
975551	3323	1997-02-19	VYDAJ	VYBER	14200	45391	\N	\N	\N
975552	3323	1997-03-21	VYDAJ	VYBER	15100	48739	\N	\N	\N
975553	3323	1997-04-20	VYDAJ	VYBER	17500	48387	\N	\N	\N
975554	3323	1997-05-20	VYDAJ	VYBER	15200	49381	\N	\N	\N
975555	3323	1997-06-19	VYDAJ	VYBER	15400	52818	\N	\N	\N
975556	3323	1997-07-19	VYDAJ	VYBER	15300	55987	\N	\N	\N
975557	3323	1997-08-18	VYDAJ	VYBER	18400	56081	\N	\N	\N
975558	3323	1997-09-17	VYDAJ	VYBER	16600	52340	\N	\N	\N
975559	3323	1997-10-17	VYDAJ	VYBER	17300	53522	\N	\N	\N
975560	3323	1997-11-16	VYDAJ	VYBER	17800	52045	\N	\N	\N
975561	3323	1997-12-16	VYDAJ	VYBER	19500	56387	\N	\N	\N
975562	3323	1998-01-15	VYDAJ	VYBER	15200	45426	\N	\N	\N
975563	3323	1998-02-14	VYDAJ	VYBER	13500	42764	\N	\N	\N
975564	3323	1998-03-16	VYDAJ	VYBER	15500	45687	\N	\N	\N
975565	3323	1998-04-15	VYDAJ	VYBER	14900	49231	\N	\N	\N
975566	3323	1998-05-15	VYDAJ	VYBER	19600	48086	\N	\N	\N
975567	3323	1998-06-14	VYDAJ	VYBER	25500	50849	\N	\N	\N
975568	3323	1998-07-14	VYDAJ	VYBER	17100	47039	\N	\N	\N
975569	3323	1998-08-13	VYDAJ	VYBER	21200	42606	\N	\N	\N
975570	3323	1998-09-12	VYDAJ	VYBER	9400	29921	\N	\N	\N
975571	3323	1998-10-12	VYDAJ	VYBER	8000	40370	\N	\N	\N
975572	3323	1998-11-11	VYDAJ	VYBER	17400	41461	\N	\N	\N
975573	3323	1998-12-11	VYDAJ	VYBER	14000	45967	\N	\N	\N
975638	3324	1997-10-17	PRIJEM	VKLAD	500	500	\N	\N	\N
975649	3324	1997-11-10	PRIJEM	VKLAD	6926	7426	\N	\N	\N
975650	3324	1997-12-10	PRIJEM	VKLAD	10389	28553	\N	\N	\N
975651	3324	1998-01-10	PRIJEM	VKLAD	6926	35376	\N	\N	\N
975652	3324	1998-02-10	PRIJEM	VKLAD	6926	41835	\N	\N	\N
975653	3324	1998-03-10	PRIJEM	VKLAD	6926	43510	\N	\N	\N
975654	3324	1998-04-10	PRIJEM	VKLAD	6926	44968	\N	\N	\N
975655	3324	1998-05-10	PRIJEM	VKLAD	6926	44333	\N	\N	\N
975656	3324	1998-06-10	PRIJEM	VKLAD	10389	51066	\N	\N	\N
975657	3324	1998-07-10	PRIJEM	VKLAD	6926	35537	\N	\N	\N
975658	3324	1998-08-10	PRIJEM	VKLAD	6926	44297	\N	\N	\N
975659	3324	1998-09-10	PRIJEM	VKLAD	6926	50483	\N	\N	\N
975660	3324	1998-10-10	PRIJEM	VKLAD	6926	54981	\N	\N	\N
975661	3324	1998-11-10	PRIJEM	VKLAD	6926	58696	\N	\N	\N
975662	3324	1998-12-10	PRIJEM	VKLAD	10389	61178	\N	\N	\N
975677	3324	1998-03-14	VYDAJ	PREVOD NA UCET	2471	41039	SIPO	ST	36944615
975678	3324	1998-04-14	VYDAJ	PREVOD NA UCET	2471	42497	SIPO	ST	36944615
975679	3324	1998-05-14	VYDAJ	PREVOD NA UCET	2471	41862	SIPO	ST	36944615
975680	3324	1998-06-14	VYDAJ	PREVOD NA UCET	2471	48695	SIPO	ST	36944615
975681	3324	1998-07-14	VYDAJ	PREVOD NA UCET	2471	42966	SIPO	ST	36944615
975682	3324	1998-08-14	VYDAJ	PREVOD NA UCET	2471	49626	SIPO	ST	36944615
975683	3324	1998-09-14	VYDAJ	PREVOD NA UCET	2471	50012	SIPO	ST	36944615
975684	3324	1998-10-14	VYDAJ	PREVOD NA UCET	2471	53710	SIPO	ST	36944615
975685	3324	1998-11-14	VYDAJ	PREVOD NA UCET	2471	53425	SIPO	ST	36944615
975686	3324	1998-12-14	VYDAJ	PREVOD NA UCET	2471	57007	SIPO	ST	36944615
975702	3324	1998-04-05	VYDAJ	PREVOD NA UCET	2146	38042	 	OP	46396940
975703	3324	1998-05-05	VYDAJ	PREVOD NA UCET	2146	37407	 	OP	46396940
975704	3324	1998-06-05	VYDAJ	PREVOD NA UCET	2146	40677	 	OP	46396940
975705	3324	1998-07-05	VYDAJ	PREVOD NA UCET	2146	28611	 	OP	46396940
975706	3324	1998-08-05	VYDAJ	PREVOD NA UCET	2146	37371	 	OP	46396940
975707	3324	1998-09-05	VYDAJ	PREVOD NA UCET	2146	43557	 	OP	46396940
975708	3324	1998-10-05	VYDAJ	PREVOD NA UCET	2146	48055	 	OP	46396940
975709	3324	1998-11-05	VYDAJ	PREVOD NA UCET	2146	51770	 	OP	46396940
975710	3324	1998-12-05	VYDAJ	PREVOD NA UCET	2146	50789	 	OP	46396940
975712	3324	1998-06-23	VYDAJ	VYBER	18100	30595	\N	\N	\N
975714	3324	1998-12-04	VYDAJ	VYBER KARTOU	700	52935	\N	\N	0
975732	3324	1998-03-29	VYDAJ	VYBER	1700	40039	\N	\N	\N
975733	3324	1998-08-02	VYDAJ	VYBER	3600	39517	\N	\N	\N
975734	3324	1998-08-29	VYDAJ	VYBER	4100	45526	\N	\N	\N
975735	3324	1998-04-24	VYDAJ	VYBER	2000	39397	\N	\N	\N
975751	3324	1998-03-31	VYDAJ	VYBER	15	40188	SLUZBY	\N	\N
975752	3324	1998-04-30	VYDAJ	VYBER	15	39553	SLUZBY	\N	\N
975753	3324	1998-05-31	VYDAJ	VYBER	15	42823	SLUZBY	\N	\N
975754	3324	1998-06-30	VYDAJ	VYBER	15	30757	SLUZBY	\N	\N
975755	3324	1998-07-31	VYDAJ	VYBER	15	43117	SLUZBY	\N	\N
975756	3324	1998-08-31	VYDAJ	VYBER	15	45703	SLUZBY	\N	\N
975757	3324	1998-09-30	VYDAJ	VYBER	15	50201	SLUZBY	\N	\N
975758	3324	1998-10-31	VYDAJ	VYBER	15	53916	SLUZBY	\N	\N
975759	3324	1998-11-30	VYDAJ	VYBER	15	53635	SLUZBY	\N	\N
975760	3324	1997-11-16	PRIJEM	VKLAD	10700	18126	\N	\N	\N
975761	3324	1997-12-16	VYDAJ	VYBER	200	28353	\N	\N	\N
975762	3324	1998-01-15	VYDAJ	VYBER	600	34776	\N	\N	\N
975763	3324	1998-02-14	VYDAJ	VYBER	5400	36435	\N	\N	\N
975764	3324	1998-03-16	PRIJEM	VKLAD	700	41739	\N	\N	\N
975765	3324	1998-04-15	VYDAJ	VYBER	1100	41397	\N	\N	\N
975766	3324	1998-05-15	PRIJEM	VKLAD	800	42662	\N	\N	\N
975767	3324	1998-06-14	PRIJEM	VKLAD	100	51166	\N	\N	\N
975768	3324	1998-07-14	PRIJEM	VKLAD	9900	45437	\N	\N	\N
975769	3324	1998-08-13	PRIJEM	VKLAD	7800	52097	\N	\N	\N
975770	3324	1998-09-12	PRIJEM	VKLAD	2000	52483	\N	\N	\N
975771	3324	1998-10-12	PRIJEM	VKLAD	1200	56181	\N	\N	\N
975772	3324	1998-11-11	VYDAJ	VYBER KARTOU	2800	55896	\N	\N	0
975773	3324	1998-12-11	VYDAJ	VYBER KARTOU	1700	59478	\N	\N	0
975788	3325	1997-11-03	PRIJEM	VKLAD	200	200	\N	\N	\N
975799	3325	1997-11-08	PRIJEM	PREVOD Z UCTU	36517	36717	\N	YZ	57903301
975800	3325	1997-12-08	PRIJEM	PREVOD Z UCTU	54776	86410	\N	YZ	57903301
975801	3325	1998-01-08	PRIJEM	PREVOD Z UCTU	36517	95141	\N	YZ	57903301
975802	3325	1998-02-08	PRIJEM	PREVOD Z UCTU	36517	99946	\N	YZ	57903301
975803	3325	1998-03-08	PRIJEM	PREVOD Z UCTU	36517	103074	\N	YZ	57903301
975804	3325	1998-04-08	PRIJEM	PREVOD Z UCTU	36517	78703	\N	YZ	57903301
975805	3325	1998-05-08	PRIJEM	PREVOD Z UCTU	36517	92558	\N	YZ	57903301
975806	3325	1998-06-08	PRIJEM	PREVOD Z UCTU	54776	107473	\N	YZ	57903301
975807	3325	1998-07-08	PRIJEM	PREVOD Z UCTU	36517	78678	\N	YZ	57903301
975808	3325	1998-08-08	PRIJEM	PREVOD Z UCTU	36517	70013	\N	YZ	57903301
975809	3325	1998-09-08	PRIJEM	PREVOD Z UCTU	36517	64905	\N	YZ	57903301
975810	3325	1998-10-08	PRIJEM	PREVOD Z UCTU	36517	78465	\N	YZ	57903301
975811	3325	1998-11-08	PRIJEM	PREVOD Z UCTU	36517	59352	\N	YZ	57903301
975812	3325	1998-12-08	PRIJEM	PREVOD Z UCTU	54776	92152	\N	YZ	57903301
975819	3325	1998-07-15	VYBER	VYBER	9702	54876	\N	\N	\N
975820	3325	1998-09-18	VYBER	VYBER	3713	61192	\N	\N	\N
975821	3325	1998-10-15	VYBER	VYBER	24654	53811	\N	\N	\N
975822	3325	1998-05-08	VYBER	VYBER	24240	68318	\N	\N	\N
975823	3325	1998-11-19	VYBER	VYBER	10993	48359	\N	\N	\N
975824	3325	1998-08-19	VYBER	VYBER	24608	33705	\N	\N	\N
975826	3325	1998-10-26	VYBER	VYBER	22528	21383	\N	\N	\N
975828	3325	1998-08-03	VYBER	VYBER	9410	33496	\N	\N	\N
975834	3325	1998-12-13	VYDAJ	VYBER KARTOU	2400	89752	\N	\N	0
975857	3325	1998-08-10	VYDAJ	VYBER	11700	58313	\N	\N	\N
975858	3325	1998-07-13	VYDAJ	VYBER	14100	64578	\N	\N	\N
975859	3325	1998-10-22	VYDAJ	VYBER	5100	43911	\N	\N	\N
975860	3325	1998-10-17	VYDAJ	VYBER	4800	49011	\N	\N	\N
975876	3325	1998-03-31	VYDAJ	VYBER	15	103486	SLUZBY	\N	\N
975877	3325	1998-04-30	VYDAJ	VYBER	15	79041	SLUZBY	\N	\N
975878	3325	1998-05-31	VYDAJ	VYBER	15	68597	SLUZBY	\N	\N
975879	3325	1998-06-30	VYDAJ	VYBER	15	53361	SLUZBY	\N	\N
975880	3325	1998-07-31	VYDAJ	VYBER	15	55106	SLUZBY	\N	\N
975881	3325	1998-08-31	VYDAJ	VYBER	15	28388	SLUZBY	\N	\N
975882	3325	1998-09-30	VYDAJ	VYBER	15	41948	SLUZBY	\N	\N
975883	3325	1998-10-31	VYDAJ	VYBER	15	22835	SLUZBY	\N	\N
975884	3325	1998-11-30	VYDAJ	VYBER	15	37376	SLUZBY	\N	\N
975885	3325	1997-12-03	VYDAJ	VYBER	5200	31634	\N	\N	\N
975886	3325	1998-01-02	VYDAJ	VYBER	28100	58624	\N	\N	\N
975887	3325	1998-02-01	VYDAJ	VYBER	32100	63429	\N	\N	\N
975888	3325	1998-03-03	VYDAJ	VYBER	33800	66557	\N	\N	\N
975889	3325	1998-03-31	VYDAJ	VYBER	56600	46886	\N	\N	\N
975890	3325	1998-04-02	VYDAJ	VYBER	4700	42186	\N	\N	\N
975891	3325	1998-05-02	VYDAJ	VYBER	23000	56041	\N	\N	\N
975892	3325	1998-06-01	VYDAJ	VYBER	15900	52697	\N	\N	\N
975893	3325	1998-06-08	VYDAJ	VYBER	54500	52973	\N	\N	\N
975894	3325	1998-07-01	VYDAJ	VYBER	11200	42161	\N	\N	\N
975895	3325	1998-07-31	VYDAJ	VYBER	12200	42906	\N	\N	\N
975896	3325	1998-08-30	VYDAJ	VYBER	5500	28205	\N	\N	\N
975897	3325	1998-09-29	VYDAJ	VYBER	19400	41792	\N	\N	\N
975898	3325	1998-10-29	PRIJEM	VKLAD	1300	22683	\N	\N	\N
975899	3325	1998-11-28	VYDAJ	VYBER	11100	37259	\N	\N	\N
975914	3326	1993-11-11	PRIJEM	VKLAD	400	400	\N	\N	\N
975923	3326	1994-12-14	PRIJEM	VKLAD	22478	56393	\N	\N	\N
975924	3326	1994-06-27	PRIJEM	VKLAD	25976	76277	\N	\N	\N
975925	3326	1994-06-04	PRIJEM	VKLAD	13967	72527	\N	\N	\N
975926	3326	1994-09-17	PRIJEM	VKLAD	31926	62788	\N	\N	\N
975927	3326	1994-06-08	PRIJEM	VKLAD	45474	118001	\N	\N	\N
975928	3326	1994-07-08	PRIJEM	VKLAD	27144	103653	\N	\N	\N
975929	3326	1994-03-11	PRIJEM	VKLAD	17313	52635	\N	\N	\N
975930	3326	1994-11-25	PRIJEM	VKLAD	42571	58156	\N	\N	\N
975931	3326	1994-10-25	PRIJEM	VKLAD	11070	14043	\N	\N	\N
975932	3326	1994-02-06	PRIJEM	VKLAD	30617	47817	\N	\N	\N
975933	3326	1994-07-23	PRIJEM	VKLAD	31560	97113	\N	\N	\N
975934	3326	1994-05-30	PRIJEM	VKLAD	17739	58114	\N	\N	\N
975935	3326	1994-03-23	PRIJEM	VKLAD	30030	70565	\N	\N	\N
975936	3326	1994-04-10	PRIJEM	VKLAD	43272	114054	\N	\N	\N
975937	3326	1995-04-28	PRIJEM	VKLAD	45490	121912	\N	\N	\N
975938	3326	1995-07-30	PRIJEM	VKLAD	31915	44641	\N	\N	\N
975939	3326	1995-01-25	PRIJEM	VKLAD	45679	116643	\N	\N	\N
975940	3326	1995-08-27	PRIJEM	VKLAD	20460	29472	\N	\N	\N
975941	3326	1995-02-28	PRIJEM	VKLAD	49132	144951	\N	\N	\N
975942	3326	1995-01-25	PRIJEM	VKLAD	20444	70964	\N	\N	\N
975943	3326	1995-01-10	PRIJEM	VKLAD	39162	67787	\N	\N	\N
975944	3326	1995-04-07	PRIJEM	VKLAD	22322	76422	\N	\N	\N
975945	3326	1995-05-01	PRIJEM	VKLAD	25496	105337	\N	\N	\N
975946	3326	1995-11-05	PRIJEM	VKLAD	29249	78080	\N	\N	\N
975947	3326	1995-02-13	PRIJEM	VKLAD	42160	95819	\N	\N	\N
975948	3326	1995-11-01	PRIJEM	VKLAD	38098	82431	\N	\N	\N
975949	3326	1995-03-15	PRIJEM	VKLAD	21625	105074	\N	\N	\N
975950	3326	1995-03-10	PRIJEM	VKLAD	31721	83449	\N	\N	\N
975951	3326	1995-10-21	PRIJEM	VKLAD	40193	44270	\N	\N	\N
975952	3326	1996-08-28	PRIJEM	VKLAD	30143	81513	\N	\N	\N
975953	3326	1996-12-06	PRIJEM	VKLAD	25770	37955	\N	\N	\N
975954	3326	1996-06-12	PRIJEM	VKLAD	19379	25437	\N	\N	\N
975955	3326	1996-01-17	PRIJEM	VKLAD	11090	19834	\N	\N	\N
975956	3326	1996-08-25	PRIJEM	VKLAD	42060	102270	\N	\N	\N
975957	3326	1996-06-29	PRIJEM	VKLAD	33401	50238	\N	\N	\N
975958	3326	1996-04-12	PRIJEM	VKLAD	46445	73100	\N	\N	\N
975959	3326	1996-07-05	PRIJEM	VKLAD	15142	42972	\N	\N	\N
975960	3326	1996-07-23	PRIJEM	VKLAD	37611	80583	\N	\N	\N
975961	3326	1996-03-26	PRIJEM	VKLAD	30143	46102	\N	\N	\N
975962	3326	1996-11-17	PRIJEM	VKLAD	33162	31806	\N	\N	\N
975963	3326	1996-04-17	PRIJEM	VKLAD	39955	113055	\N	\N	\N
975964	3326	1996-12-30	PRIJEM	VKLAD	30178	37933	\N	\N	\N
975965	3326	1996-08-16	PRIJEM	VKLAD	46427	64410	\N	\N	\N
975966	3326	1997-07-26	PRIJEM	VKLAD	27058	47081	\N	\N	\N
975967	3326	1997-04-30	PRIJEM	VKLAD	30366	62267	\N	\N	\N
975968	3326	1997-09-20	PRIJEM	VKLAD	25737	49511	\N	\N	\N
975969	3326	1997-08-23	PRIJEM	VKLAD	11994	23624	\N	\N	\N
975970	3326	1997-12-13	PRIJEM	VKLAD	27050	39473	\N	\N	\N
975971	3326	1997-03-27	PRIJEM	VKLAD	38774	51109	\N	\N	\N
975972	3326	1997-10-16	PRIJEM	VKLAD	42744	44308	\N	\N	\N
975973	3326	1997-06-28	PRIJEM	VKLAD	42056	39957	\N	\N	\N
975974	3326	1997-05-15	PRIJEM	VKLAD	45588	108055	\N	\N	\N
975975	3326	1997-03-09	PRIJEM	VKLAD	7374	5837	\N	\N	\N
975976	3326	1997-04-18	PRIJEM	VKLAD	46008	140901	\N	\N	\N
975977	3326	1997-07-03	PRIJEM	VKLAD	34211	74223	\N	\N	\N
975978	3326	1997-10-28	PRIJEM	VKLAD	44988	54596	\N	\N	\N
975979	3326	1997-04-17	PRIJEM	VKLAD	47018	94893	\N	\N	\N
975980	3326	1997-03-22	PRIJEM	VKLAD	43198	49035	\N	\N	\N
975981	3326	1998-04-03	PRIJEM	VKLAD	31300	889	\N	\N	\N
975982	3326	1998-08-15	PRIJEM	VKLAD	23588	-17229	\N	\N	\N
975983	3326	1998-09-17	PRIJEM	VKLAD	21427	-17086	\N	\N	\N
975984	3326	1998-12-03	PRIJEM	VKLAD	44708	3582	\N	\N	\N
975991	3326	1994-10-22	VYBER	VYBER	14509	2973	\N	\N	\N
975994	3326	1994-12-22	VYBER	VYBER	11462	43431	\N	\N	\N
975996	3326	1994-10-26	VYBER	VYBER	6593	7450	\N	\N	\N
975998	3326	1994-09-13	VYBER	VYBER	5881	30862	\N	\N	\N
975999	3326	1994-10-16	VYBER	VYBER	24120	17482	\N	\N	\N
976001	3326	1994-08-22	VYBER	VYBER	9210	53311	\N	\N	\N
976002	3326	1995-08-12	VYBER	VYBER	3770	9012	\N	\N	\N
976003	3326	1995-03-28	VYBER	VYBER	2244	91862	\N	\N	\N
976005	3326	1995-09-06	VYBER	VYBER	7809	11647	\N	\N	\N
976006	3326	1995-03-20	VYBER	VYBER	10968	94106	\N	\N	\N
976007	3326	1995-11-27	VYBER	VYBER	3800	74280	\N	\N	\N
976009	3326	1995-01-12	VYBER	VYBER	10920	56867	\N	\N	\N
976011	3326	1995-05-13	VYBER	VYBER	10007	48830	\N	\N	\N
976012	3326	1995-01-13	VYBER	VYBER	6347	50520	\N	\N	\N
976013	3326	1995-06-06	VYBER	VYBER	18577	11269	\N	\N	\N
976015	3326	1996-08-02	VYBER	VYBER	7590	32083	\N	\N	\N
976017	3326	1996-06-10	VYBER	VYBER	20559	6058	\N	\N	\N
976018	3326	1996-09-26	VYBER	VYBER	8368	73330	\N	\N	\N
976019	3326	1996-07-03	VYBER	VYBER	22505	27830	\N	\N	\N
976020	3326	1996-10-02	VYBER	VYBER	10929	22091	\N	\N	\N
976032	3326	1994-12-16	VYDAJ	VYBER	1500	54893	\N	\N	\N
976033	3326	1995-12-28	VYDAJ	VYBER	6300	30690	\N	\N	\N
976034	3326	1996-12-18	VYDAJ	VYBER	8700	29255	\N	\N	\N
976035	3326	1997-12-18	VYDAJ	VYBER	6000	33473	\N	\N	\N
976041	3326	1994-06-23	VYDAJ	VYBER	2700	50301	\N	\N	\N
976042	3326	1994-12-28	VYDAJ	VYBER	9300	34131	\N	\N	\N
976043	3326	1994-12-12	VYDAJ	VYBER	7800	33915	\N	\N	\N
976044	3326	1995-08-11	VYDAJ	VYBER	14400	12782	\N	\N	\N
976045	3326	1995-12-05	VYDAJ	VYBER	3300	36990	\N	\N	\N
976046	3326	1995-10-09	VYDAJ	VYBER	6000	4077	\N	\N	\N
976047	3326	1995-09-10	VYDAJ	VYBER	5100	6547	\N	\N	\N
976048	3326	1996-08-06	VYDAJ	VYBER	14100	17983	\N	\N	\N
976049	3326	1996-08-16	VYDAJ	VYBER	4200	60210	\N	\N	\N
976050	3326	1996-10-11	VYDAJ	VYBER	14700	7391	\N	\N	\N
976051	3326	1996-01-10	VYDAJ	VYBER	11400	8744	\N	\N	\N
976052	3326	1997-09-24	VYDAJ	VYBER	8700	1511	\N	\N	\N
976053	3326	1997-07-22	VYDAJ	VYBER	13200	61023	\N	\N	\N
976054	3326	1997-03-27	VYDAJ	VYBER	3300	47809	\N	\N	\N
976080	3326	1994-05-31	VYDAJ	VYBER	15	58560	SLUZBY	\N	\N
976081	3326	1994-06-30	VYDAJ	VYBER	15	76509	SLUZBY	\N	\N
976082	3326	1994-07-31	VYDAJ	VYBER	15	97421	SLUZBY	\N	\N
976083	3326	1994-08-31	VYDAJ	VYBER	15	53643	SLUZBY	\N	\N
976084	3326	1994-09-30	VYDAJ	VYBER	15	63002	SLUZBY	\N	\N
976085	3326	1994-10-31	VYDAJ	VYBER	15	7585	SLUZBY	\N	\N
976086	3326	1994-11-30	VYDAJ	VYBER	15	58215	SLUZBY	\N	\N
976087	3326	1994-12-31	VYDAJ	VYBER	15	34325	SLUZBY	\N	\N
976088	3326	1995-01-31	VYDAJ	VYBER	15	87759	SLUZBY	\N	\N
976089	3326	1995-02-28	VYDAJ	VYBER	15	86228	SLUZBY	\N	\N
976090	3326	1995-03-31	VYDAJ	VYBER	15	92300	SLUZBY	\N	\N
976091	3326	1995-04-30	VYDAJ	VYBER	15	79841	SLUZBY	\N	\N
976092	3326	1995-05-31	VYDAJ	VYBER	15	49046	SLUZBY	\N	\N
976093	3326	1995-06-30	VYDAJ	VYBER	15	11326	SLUZBY	\N	\N
976094	3326	1995-07-31	VYDAJ	VYBER	15	44682	SLUZBY	\N	\N
976095	3326	1995-08-31	VYDAJ	VYBER	15	29556	SLUZBY	\N	\N
976096	3326	1995-09-30	VYDAJ	VYBER	15	6577	SLUZBY	\N	\N
976097	3326	1995-10-31	VYDAJ	VYBER	15	44333	SLUZBY	\N	\N
976098	3326	1995-11-30	VYDAJ	VYBER	15	74590	SLUZBY	\N	\N
976099	3326	1995-12-31	VYDAJ	VYBER	15	30844	SLUZBY	\N	\N
976100	3326	1996-01-31	VYDAJ	VYBER	15	18100	SLUZBY	\N	\N
976101	3326	1996-02-29	VYDAJ	VYBER	15	15959	SLUZBY	\N	\N
976102	3326	1996-03-31	VYDAJ	VYBER	15	26655	SLUZBY	\N	\N
976103	3326	1996-04-30	VYDAJ	VYBER	15	46542	SLUZBY	\N	\N
976104	3326	1996-05-31	VYDAJ	VYBER	15	26617	SLUZBY	\N	\N
976105	3326	1996-06-30	VYDAJ	VYBER	15	50335	SLUZBY	\N	\N
976106	3326	1996-07-31	VYDAJ	VYBER	15	39673	SLUZBY	\N	\N
976107	3326	1996-08-31	VYDAJ	VYBER	15	81698	SLUZBY	\N	\N
976108	3326	1996-09-30	VYDAJ	VYBER	15	33020	SLUZBY	\N	\N
976110	3326	1996-11-30	VYDAJ	VYBER	15	12201	SLUZBY	\N	\N
976111	3326	1996-12-31	VYDAJ	VYBER	15	37987	SLUZBY	\N	\N
976112	3326	1997-01-31	VYDAJ	VYBER	15	10024	SLUZBY	\N	\N
976114	3326	1997-03-31	VYDAJ	VYBER	15	47875	SLUZBY	\N	\N
976115	3326	1997-04-30	VYDAJ	VYBER	15	62467	SLUZBY	\N	\N
976116	3326	1997-05-31	VYDAJ	VYBER	15	15001	SLUZBY	\N	\N
976117	3326	1997-06-30	VYDAJ	VYBER	15	40012	SLUZBY	\N	\N
976118	3326	1997-07-31	VYDAJ	VYBER	15	47230	SLUZBY	\N	\N
976119	3326	1997-08-31	VYDAJ	VYBER	15	23774	SLUZBY	\N	\N
976120	3326	1997-09-30	VYDAJ	VYBER	15	1564	SLUZBY	\N	\N
976121	3326	1997-10-31	VYDAJ	VYBER	15	54620	SLUZBY	\N	\N
976122	3326	1997-11-30	VYDAJ	VYBER	15	12423	SLUZBY	\N	\N
976135	3326	1993-12-11	PRIJEM	VKLAD	12200	12600	\N	\N	\N
976136	3326	1994-01-10	PRIJEM	VKLAD	4600	17200	\N	\N	\N
976137	3326	1994-02-09	VYDAJ	VYBER	12600	35217	\N	\N	\N
976138	3326	1994-03-11	VYDAJ	VYBER	12100	40535	\N	\N	\N
976139	3326	1994-04-10	VYDAJ	VYBER	29900	84154	\N	\N	\N
976140	3326	1994-04-10	VYDAJ	VYBER	31900	52254	\N	\N	\N
976141	3326	1994-05-10	VYDAJ	VYBER	12300	40375	\N	\N	\N
976142	3326	1994-06-08	VYDAJ	VYBER	36800	81201	\N	\N	\N
976143	3326	1994-06-09	VYDAJ	VYBER	28200	53001	\N	\N	\N
976144	3326	1994-07-09	VYDAJ	VYBER	38100	65553	\N	\N	\N
976145	3326	1994-08-08	VYDAJ	VYBER	34900	62521	\N	\N	\N
976146	3326	1994-09-07	VYDAJ	VYBER	16900	36743	\N	\N	\N
976147	3326	1994-10-07	VYDAJ	VYBER	21400	41602	\N	\N	\N
976148	3326	1994-11-06	PRIJEM	VKLAD	8000	15585	\N	\N	\N
976149	3326	1994-12-06	VYDAJ	VYBER	16500	41715	\N	\N	\N
976150	3326	1995-01-05	VYDAJ	VYBER	5700	28625	\N	\N	\N
976151	3326	1995-01-25	VYDAJ	VYBER	29100	87543	\N	\N	\N
976152	3326	1995-02-04	VYDAJ	VYBER	34100	53659	\N	\N	\N
976153	3326	1995-02-28	VYDAJ	VYBER	59100	86243	\N	\N	\N
976154	3326	1995-03-06	VYDAJ	VYBER	34500	51728	\N	\N	\N
976155	3326	1995-04-05	VYDAJ	VYBER	38200	54100	\N	\N	\N
976156	3326	1995-04-28	VYDAJ	VYBER	42400	79512	\N	\N	\N
976157	3326	1995-05-05	VYDAJ	VYBER	46500	58837	\N	\N	\N
976158	3326	1995-06-04	VYDAJ	VYBER	19200	29846	\N	\N	\N
976159	3326	1995-07-04	PRIJEM	VKLAD	1400	12726	\N	\N	\N
976160	3326	1995-08-03	VYDAJ	VYBER	17500	27182	\N	\N	\N
976161	3326	1995-09-02	VYDAJ	VYBER	10100	19456	\N	\N	\N
976162	3326	1995-10-02	PRIJEM	VKLAD	3500	10077	\N	\N	\N
976163	3326	1995-11-01	VYDAJ	VYBER	33600	48831	\N	\N	\N
976164	3326	1995-12-01	VYDAJ	VYBER	34300	40290	\N	\N	\N
976165	3326	1995-12-31	VYDAJ	VYBER	10700	20144	\N	\N	\N
976166	3326	1996-01-30	VYDAJ	VYBER	1800	18034	\N	\N	\N
976167	3326	1996-02-29	VYDAJ	VYBER	2200	15974	\N	\N	\N
976168	3326	1996-03-30	VYDAJ	VYBER	19500	26602	\N	\N	\N
976169	3326	1996-04-17	VYDAJ	VYBER	34100	78955	\N	\N	\N
976170	3326	1996-04-29	VYDAJ	VYBER	32600	46355	\N	\N	\N
976171	3326	1996-05-29	VYDAJ	VYBER	20100	26442	\N	\N	\N
976172	3326	1996-06-28	VYDAJ	VYBER	8600	16837	\N	\N	\N
976173	3326	1996-07-28	VYDAJ	VYBER	41100	39483	\N	\N	\N
976174	3326	1996-08-27	VYDAJ	VYBER	50900	51370	\N	\N	\N
976175	3326	1996-09-26	VYDAJ	VYBER	40600	32730	\N	\N	\N
976176	3326	1996-10-26	VYDAJ	VYBER	8800	-1409	\N	\N	\N
976177	3326	1996-11-25	VYDAJ	VYBER	19600	12206	\N	\N	\N
976178	3326	1996-12-25	VYDAJ	VYBER	21500	7755	\N	\N	\N
976179	3326	1997-01-24	VYDAJ	VYBER	28100	9887	\N	\N	\N
976180	3326	1997-02-23	VYDAJ	VYBER	11600	-1576	\N	\N	\N
976181	3326	1997-03-25	VYDAJ	VYBER	36700	12335	\N	\N	\N
976182	3326	1997-04-18	VYDAJ	VYBER	57600	83301	\N	\N	\N
976183	3326	1997-04-24	VYDAJ	VYBER	51400	31901	\N	\N	\N
976184	3326	1997-05-15	VYDAJ	VYBER	55400	52655	\N	\N	\N
976185	3326	1997-05-24	VYDAJ	VYBER	37900	14755	\N	\N	\N
976186	3326	1997-06-23	VYDAJ	VYBER	17100	-2099	\N	\N	\N
976187	3326	1997-07-23	VYDAJ	VYBER	41000	20023	\N	\N	\N
976188	3326	1997-08-22	VYDAJ	VYBER	35600	11630	\N	\N	\N
976189	3326	1997-09-21	VYDAJ	VYBER	39300	10211	\N	\N	\N
976190	3326	1997-10-21	VYDAJ	VYBER	34700	9608	\N	\N	\N
976191	3326	1997-11-20	VYDAJ	VYBER	42400	12220	\N	\N	\N
976192	3326	1997-12-20	VYDAJ	VYBER	33000	473	\N	\N	\N
976193	3326	1998-01-19	VYDAJ	VYBER	18900	-18394	\N	\N	\N
976194	3326	1998-02-18	VYDAJ	VYBER	5600	-24000	\N	\N	\N
976195	3326	1998-03-20	VYDAJ	VYBER	6400	-30406	\N	\N	\N
976196	3326	1998-04-19	VYDAJ	VYBER	23200	-22311	\N	\N	\N
976197	3326	1998-05-19	VYDAJ	VYBER	11900	-34309	\N	\N	\N
976198	3326	1998-06-18	VYDAJ	VYBER	5600	-40145	\N	\N	\N
976199	3326	1998-07-18	VYDAJ	VYBER	200	-40581	\N	\N	\N
976200	3326	1998-08-17	VYDAJ	VYBER	14600	-31829	\N	\N	\N
976201	3326	1998-09-16	VYDAJ	VYBER	6400	-38513	\N	\N	\N
976202	3326	1998-10-16	VYDAJ	VYBER	17500	-34851	\N	\N	\N
976203	3326	1998-11-15	VYDAJ	VYBER	5900	-40938	\N	\N	\N
976268	3327	1993-04-16	PRIJEM	VKLAD	1100	1100	\N	\N	\N
976273	3327	1993-05-05	PRIJEM	VKLAD	10921	12021	\N	\N	\N
976274	3327	1993-06-05	PRIJEM	VKLAD	16382	32738	\N	\N	\N
976275	3327	1993-07-05	PRIJEM	VKLAD	10921	40055	\N	\N	\N
976276	3327	1993-08-05	PRIJEM	VKLAD	10921	44507	\N	\N	\N
976277	3327	1993-09-05	PRIJEM	VKLAD	10921	44468	\N	\N	\N
976278	3327	1993-10-05	PRIJEM	VKLAD	10921	37381	\N	\N	\N
976279	3327	1993-11-05	PRIJEM	VKLAD	10921	38518	\N	\N	\N
976280	3327	1993-12-05	PRIJEM	VKLAD	16382	45616	\N	\N	\N
976281	3327	1994-01-05	PRIJEM	VKLAD	10921	40004	\N	\N	\N
976282	3327	1994-02-05	PRIJEM	VKLAD	10921	38141	\N	\N	\N
976283	3327	1994-03-05	PRIJEM	VKLAD	10921	40276	\N	\N	\N
976284	3327	1994-04-05	PRIJEM	VKLAD	10921	39011	\N	\N	\N
976285	3327	1994-05-05	PRIJEM	VKLAD	10921	41953	\N	\N	\N
976286	3327	1994-06-05	PRIJEM	VKLAD	16382	48161	\N	\N	\N
976287	3327	1994-07-05	PRIJEM	VKLAD	10921	45118	\N	\N	\N
976288	3327	1994-08-05	PRIJEM	VKLAD	10921	37029	\N	\N	\N
976289	3327	1994-09-05	PRIJEM	VKLAD	10921	31788	\N	\N	\N
976290	3327	1994-10-05	PRIJEM	VKLAD	10921	35200	\N	\N	\N
976291	3327	1994-11-05	PRIJEM	VKLAD	10921	38007	\N	\N	\N
976292	3327	1994-12-05	PRIJEM	VKLAD	16382	46304	\N	\N	\N
976293	3327	1995-01-05	PRIJEM	VKLAD	10921	42228	\N	\N	\N
976294	3327	1995-02-05	PRIJEM	VKLAD	10921	27509	\N	\N	\N
976295	3327	1995-03-05	PRIJEM	VKLAD	10921	29426	\N	\N	\N
976296	3327	1995-04-05	PRIJEM	VKLAD	10921	31185	\N	\N	\N
976297	3327	1995-05-05	PRIJEM	VKLAD	10921	33291	\N	\N	\N
976298	3327	1995-06-05	PRIJEM	VKLAD	16382	40565	\N	\N	\N
976299	3327	1995-07-05	PRIJEM	VKLAD	10921	39900	\N	\N	\N
976300	3327	1995-08-05	PRIJEM	VKLAD	10921	36625	\N	\N	\N
976301	3327	1995-09-05	PRIJEM	VKLAD	10921	38578	\N	\N	\N
976302	3327	1995-10-05	PRIJEM	VKLAD	10921	40026	\N	\N	\N
976303	3327	1995-11-05	PRIJEM	VKLAD	10921	41581	\N	\N	\N
976304	3327	1995-12-05	PRIJEM	VKLAD	16382	43541	\N	\N	\N
976305	3327	1996-01-05	PRIJEM	VKLAD	10921	36871	\N	\N	\N
976306	3327	1996-02-05	PRIJEM	VKLAD	10921	38797	\N	\N	\N
976307	3327	1996-03-05	PRIJEM	VKLAD	10921	42142	\N	\N	\N
976308	3327	1996-04-05	PRIJEM	VKLAD	10921	42104	\N	\N	\N
976309	3327	1996-05-05	PRIJEM	VKLAD	10921	42662	\N	\N	\N
976310	3327	1996-06-05	PRIJEM	VKLAD	16382	46786	\N	\N	\N
976311	3327	1996-07-05	PRIJEM	VKLAD	10921	34029	\N	\N	\N
976312	3327	1996-08-05	PRIJEM	VKLAD	10921	38853	\N	\N	\N
976313	3327	1996-09-05	PRIJEM	VKLAD	10921	38427	\N	\N	\N
976314	3327	1996-10-05	PRIJEM	VKLAD	10921	36325	\N	\N	\N
976315	3327	1996-11-05	PRIJEM	VKLAD	10921	35365	\N	\N	\N
976316	3327	1996-12-05	PRIJEM	VKLAD	16382	38449	\N	\N	\N
976317	3327	1997-01-05	PRIJEM	VKLAD	10921	34375	\N	\N	\N
976318	3327	1997-02-05	PRIJEM	VKLAD	10921	29009	\N	\N	\N
976319	3327	1997-03-05	PRIJEM	VKLAD	10921	35913	\N	\N	\N
976320	3327	1997-04-05	PRIJEM	VKLAD	10921	33692	\N	\N	\N
976321	3327	1997-05-05	PRIJEM	VKLAD	10921	38214	\N	\N	\N
976322	3327	1997-06-05	PRIJEM	VKLAD	16382	40999	\N	\N	\N
976323	3327	1997-07-05	PRIJEM	VKLAD	10921	46307	\N	\N	\N
976324	3327	1997-08-05	PRIJEM	VKLAD	10921	50481	\N	\N	\N
976325	3327	1997-09-05	PRIJEM	VKLAD	10921	52069	\N	\N	\N
976326	3327	1997-10-05	PRIJEM	VKLAD	10921	56367	\N	\N	\N
976327	3327	1997-11-05	PRIJEM	VKLAD	10921	59982	\N	\N	\N
976328	3327	1997-12-05	PRIJEM	VKLAD	16382	64209	\N	\N	\N
976329	3327	1998-01-05	PRIJEM	VKLAD	10921	57240	\N	\N	\N
976330	3327	1998-02-05	PRIJEM	VKLAD	10921	49575	\N	\N	\N
976331	3327	1998-03-05	PRIJEM	VKLAD	10921	57867	\N	\N	\N
976332	3327	1998-04-05	PRIJEM	VKLAD	10921	66796	\N	\N	\N
976333	3327	1998-05-05	PRIJEM	VKLAD	10921	68850	\N	\N	\N
976334	3327	1998-06-05	PRIJEM	VKLAD	16382	63021	\N	\N	\N
976335	3327	1998-07-05	PRIJEM	VKLAD	10921	62195	\N	\N	\N
976336	3327	1998-08-05	PRIJEM	VKLAD	10921	67035	\N	\N	\N
976337	3327	1998-09-05	PRIJEM	VKLAD	10921	69089	\N	\N	\N
976338	3327	1998-10-05	PRIJEM	VKLAD	10921	61895	\N	\N	\N
976339	3327	1998-11-05	PRIJEM	VKLAD	10921	69739	\N	\N	\N
976340	3327	1998-12-05	PRIJEM	VKLAD	16382	77406	\N	\N	\N
976349	3327	1993-09-09	VYDAJ	PREVOD NA UCET	1923	38275	SIPO	AB	65687149
976350	3327	1993-10-09	VYDAJ	PREVOD NA UCET	1923	31188	SIPO	AB	65687149
976351	3327	1993-11-09	VYDAJ	PREVOD NA UCET	1923	32325	SIPO	AB	65687149
976352	3327	1993-12-09	VYDAJ	PREVOD NA UCET	1923	39423	SIPO	AB	65687149
976353	3327	1994-01-09	VYDAJ	PREVOD NA UCET	1923	33811	SIPO	AB	65687149
976354	3327	1994-02-09	VYDAJ	PREVOD NA UCET	1923	31948	SIPO	AB	65687149
976355	3327	1994-03-09	VYDAJ	PREVOD NA UCET	1923	34083	SIPO	AB	65687149
976356	3327	1994-04-09	VYDAJ	PREVOD NA UCET	1923	32818	SIPO	AB	65687149
976357	3327	1994-05-09	VYDAJ	PREVOD NA UCET	1923	35760	SIPO	AB	65687149
976358	3327	1994-06-09	VYDAJ	PREVOD NA UCET	1923	41968	SIPO	AB	65687149
976359	3327	1994-07-09	VYDAJ	PREVOD NA UCET	1923	37365	SIPO	AB	65687149
976360	3327	1994-08-09	VYDAJ	PREVOD NA UCET	1923	30836	SIPO	AB	65687149
976361	3327	1994-09-09	VYDAJ	PREVOD NA UCET	1923	24195	SIPO	AB	65687149
976362	3327	1994-10-09	VYDAJ	PREVOD NA UCET	1923	28907	SIPO	AB	65687149
976363	3327	1994-11-09	VYDAJ	PREVOD NA UCET	1923	29814	SIPO	AB	65687149
976364	3327	1994-12-09	VYDAJ	PREVOD NA UCET	1923	32311	SIPO	AB	65687149
976365	3327	1995-01-09	VYDAJ	PREVOD NA UCET	1923	28835	SIPO	AB	65687149
976366	3327	1995-02-09	VYDAJ	PREVOD NA UCET	1923	21916	SIPO	AB	65687149
976367	3327	1995-03-09	VYDAJ	PREVOD NA UCET	1923	23433	SIPO	AB	65687149
976368	3327	1995-04-09	VYDAJ	PREVOD NA UCET	1923	22292	SIPO	AB	65687149
976369	3327	1995-05-09	VYDAJ	PREVOD NA UCET	1923	24098	SIPO	AB	65687149
976370	3327	1995-06-09	VYDAJ	PREVOD NA UCET	1923	28872	SIPO	AB	65687149
976371	3327	1995-07-09	VYDAJ	PREVOD NA UCET	1923	25607	SIPO	AB	65687149
976372	3327	1995-08-09	VYDAJ	PREVOD NA UCET	1923	30432	SIPO	AB	65687149
976373	3327	1995-09-09	VYDAJ	PREVOD NA UCET	1923	32385	SIPO	AB	65687149
976374	3327	1995-10-09	VYDAJ	PREVOD NA UCET	1923	33833	SIPO	AB	65687149
976375	3327	1995-11-09	VYDAJ	PREVOD NA UCET	1923	35388	SIPO	AB	65687149
976376	3327	1995-12-09	VYDAJ	PREVOD NA UCET	1923	33868	SIPO	AB	65687149
976377	3327	1996-01-09	VYDAJ	PREVOD NA UCET	1923	30678	SIPO	AB	65687149
976378	3327	1996-02-09	VYDAJ	PREVOD NA UCET	1923	32604	SIPO	AB	65687149
976379	3327	1996-03-09	VYDAJ	PREVOD NA UCET	1923	35949	SIPO	AB	65687149
976380	3327	1996-04-09	VYDAJ	PREVOD NA UCET	1923	35911	SIPO	AB	65687149
976381	3327	1996-05-09	VYDAJ	PREVOD NA UCET	1923	36469	SIPO	AB	65687149
976382	3327	1996-06-09	VYDAJ	PREVOD NA UCET	1923	40593	SIPO	AB	65687149
976383	3327	1996-07-09	VYDAJ	PREVOD NA UCET	1923	27836	SIPO	AB	65687149
976384	3327	1996-08-09	VYDAJ	PREVOD NA UCET	1923	29300	SIPO	AB	65687149
976385	3327	1996-09-09	VYDAJ	PREVOD NA UCET	1923	32234	SIPO	AB	65687149
976386	3327	1996-10-09	VYDAJ	PREVOD NA UCET	1923	26652	SIPO	AB	65687149
976387	3327	1996-11-09	VYDAJ	PREVOD NA UCET	1923	26292	SIPO	AB	65687149
976388	3327	1996-12-09	VYDAJ	PREVOD NA UCET	1923	27776	SIPO	AB	65687149
976389	3327	1997-01-09	VYDAJ	PREVOD NA UCET	1923	28182	SIPO	AB	65687149
976390	3327	1997-02-09	VYDAJ	PREVOD NA UCET	1923	22816	SIPO	AB	65687149
976391	3327	1997-03-09	VYDAJ	PREVOD NA UCET	1923	24680	SIPO	AB	65687149
976392	3327	1997-04-09	VYDAJ	PREVOD NA UCET	1923	27499	SIPO	AB	65687149
976393	3327	1997-05-09	VYDAJ	PREVOD NA UCET	1923	32021	SIPO	AB	65687149
976394	3327	1997-06-09	VYDAJ	PREVOD NA UCET	1923	34806	SIPO	AB	65687149
976395	3327	1997-07-09	VYDAJ	PREVOD NA UCET	1923	40114	SIPO	AB	65687149
976396	3327	1997-08-09	VYDAJ	PREVOD NA UCET	1923	44288	SIPO	AB	65687149
976397	3327	1997-09-09	VYDAJ	PREVOD NA UCET	1923	45876	SIPO	AB	65687149
976398	3327	1997-10-09	VYDAJ	PREVOD NA UCET	1923	50174	SIPO	AB	65687149
976399	3327	1997-11-09	VYDAJ	PREVOD NA UCET	1923	53789	SIPO	AB	65687149
976400	3327	1997-12-09	VYDAJ	PREVOD NA UCET	1923	58016	SIPO	AB	65687149
976401	3327	1998-01-09	VYDAJ	PREVOD NA UCET	1923	51047	SIPO	AB	65687149
976402	3327	1998-02-09	VYDAJ	PREVOD NA UCET	1923	43382	SIPO	AB	65687149
976403	3327	1998-03-09	VYDAJ	PREVOD NA UCET	1923	51674	SIPO	AB	65687149
976404	3327	1998-04-09	VYDAJ	PREVOD NA UCET	1923	60603	SIPO	AB	65687149
976405	3327	1998-05-09	VYDAJ	PREVOD NA UCET	1923	62657	SIPO	AB	65687149
976406	3327	1998-06-09	VYDAJ	PREVOD NA UCET	1923	56828	SIPO	AB	65687149
976407	3327	1998-07-09	VYDAJ	PREVOD NA UCET	1923	56002	SIPO	AB	65687149
976408	3327	1998-08-09	VYDAJ	PREVOD NA UCET	1923	60842	SIPO	AB	65687149
976409	3327	1998-09-09	VYDAJ	PREVOD NA UCET	1923	60976	SIPO	AB	65687149
976410	3327	1998-10-09	VYDAJ	PREVOD NA UCET	1923	55702	SIPO	AB	65687149
976411	3327	1998-11-09	VYDAJ	PREVOD NA UCET	1923	63546	SIPO	AB	65687149
976412	3327	1998-12-09	VYDAJ	PREVOD NA UCET	1923	68973	SIPO	AB	65687149
976421	3327	1993-09-07	VYDAJ	PREVOD NA UCET	4270	40198	 	EF	12969375
976422	3327	1993-10-07	VYDAJ	PREVOD NA UCET	4270	33111	 	EF	12969375
976423	3327	1993-11-07	VYDAJ	PREVOD NA UCET	4270	34248	 	EF	12969375
976424	3327	1993-12-07	VYDAJ	PREVOD NA UCET	4270	41346	 	EF	12969375
976425	3327	1994-01-07	VYDAJ	PREVOD NA UCET	4270	35734	 	EF	12969375
976426	3327	1994-02-07	VYDAJ	PREVOD NA UCET	4270	33871	 	EF	12969375
976427	3327	1994-03-07	VYDAJ	PREVOD NA UCET	4270	36006	 	EF	12969375
976428	3327	1994-04-07	VYDAJ	PREVOD NA UCET	4270	34741	 	EF	12969375
976429	3327	1994-05-07	VYDAJ	PREVOD NA UCET	4270	37683	 	EF	12969375
976430	3327	1994-06-07	VYDAJ	PREVOD NA UCET	4270	43891	 	EF	12969375
976431	3327	1994-07-07	VYDAJ	PREVOD NA UCET	4270	39288	 	EF	12969375
976432	3327	1994-08-07	VYDAJ	PREVOD NA UCET	4270	32759	 	EF	12969375
976433	3327	1994-09-07	VYDAJ	PREVOD NA UCET	4270	27518	 	EF	12969375
976434	3327	1994-10-07	VYDAJ	PREVOD NA UCET	4270	30930	 	EF	12969375
976435	3327	1994-11-07	VYDAJ	PREVOD NA UCET	4270	33737	 	EF	12969375
976436	3327	1994-12-07	VYDAJ	PREVOD NA UCET	4270	34234	 	EF	12969375
976437	3327	1995-01-07	VYDAJ	PREVOD NA UCET	4270	30758	 	EF	12969375
976438	3327	1995-02-07	VYDAJ	PREVOD NA UCET	4270	23839	 	EF	12969375
976439	3327	1995-03-07	VYDAJ	PREVOD NA UCET	4270	25356	 	EF	12969375
976440	3327	1995-04-07	VYDAJ	PREVOD NA UCET	4270	24215	 	EF	12969375
976441	3327	1995-05-07	VYDAJ	PREVOD NA UCET	4270	26021	 	EF	12969375
976442	3327	1995-06-07	VYDAJ	PREVOD NA UCET	4270	30795	 	EF	12969375
976443	3327	1995-07-07	VYDAJ	PREVOD NA UCET	4270	27530	 	EF	12969375
976444	3327	1995-08-07	VYDAJ	PREVOD NA UCET	4270	32355	 	EF	12969375
976445	3327	1995-09-07	VYDAJ	PREVOD NA UCET	4270	34308	 	EF	12969375
976446	3327	1995-10-07	VYDAJ	PREVOD NA UCET	4270	35756	 	EF	12969375
976447	3327	1995-11-07	VYDAJ	PREVOD NA UCET	4270	37311	 	EF	12969375
976448	3327	1995-12-07	VYDAJ	PREVOD NA UCET	4270	39271	 	EF	12969375
976449	3327	1996-01-07	VYDAJ	PREVOD NA UCET	4270	32601	 	EF	12969375
976450	3327	1996-02-07	VYDAJ	PREVOD NA UCET	4270	34527	 	EF	12969375
976451	3327	1996-03-07	VYDAJ	PREVOD NA UCET	4270	37872	 	EF	12969375
976452	3327	1996-04-07	VYDAJ	PREVOD NA UCET	4270	37834	 	EF	12969375
976453	3327	1996-05-07	VYDAJ	PREVOD NA UCET	4270	38392	 	EF	12969375
976454	3327	1996-06-07	VYDAJ	PREVOD NA UCET	4270	42516	 	EF	12969375
976455	3327	1996-07-07	VYDAJ	PREVOD NA UCET	4270	29759	 	EF	12969375
976456	3327	1996-08-07	VYDAJ	PREVOD NA UCET	4270	31223	 	EF	12969375
976457	3327	1996-09-07	VYDAJ	PREVOD NA UCET	4270	34157	 	EF	12969375
976458	3327	1996-10-07	VYDAJ	PREVOD NA UCET	4270	28575	 	EF	12969375
976459	3327	1996-11-07	VYDAJ	PREVOD NA UCET	4270	28215	 	EF	12969375
976460	3327	1996-12-07	VYDAJ	PREVOD NA UCET	4270	34179	 	EF	12969375
976461	3327	1997-01-07	VYDAJ	PREVOD NA UCET	4270	30105	 	EF	12969375
976462	3327	1997-02-07	VYDAJ	PREVOD NA UCET	4270	24739	 	EF	12969375
976463	3327	1997-03-07	VYDAJ	PREVOD NA UCET	4270	31643	 	EF	12969375
976464	3327	1997-04-07	VYDAJ	PREVOD NA UCET	4270	29422	 	EF	12969375
976465	3327	1997-05-07	VYDAJ	PREVOD NA UCET	4270	33944	 	EF	12969375
976466	3327	1997-06-07	VYDAJ	PREVOD NA UCET	4270	36729	 	EF	12969375
976467	3327	1997-07-07	VYDAJ	PREVOD NA UCET	4270	42037	 	EF	12969375
976468	3327	1997-08-07	VYDAJ	PREVOD NA UCET	4270	46211	 	EF	12969375
976469	3327	1997-09-07	VYDAJ	PREVOD NA UCET	4270	47799	 	EF	12969375
976470	3327	1997-10-07	VYDAJ	PREVOD NA UCET	4270	52097	 	EF	12969375
976471	3327	1997-11-07	VYDAJ	PREVOD NA UCET	4270	55712	 	EF	12969375
976472	3327	1997-12-07	VYDAJ	PREVOD NA UCET	4270	59939	 	EF	12969375
976473	3327	1998-01-07	VYDAJ	PREVOD NA UCET	4270	52970	 	EF	12969375
976474	3327	1998-02-07	VYDAJ	PREVOD NA UCET	4270	45305	 	EF	12969375
976475	3327	1998-03-07	VYDAJ	PREVOD NA UCET	4270	53597	 	EF	12969375
976476	3327	1998-04-07	VYDAJ	PREVOD NA UCET	4270	62526	 	EF	12969375
976477	3327	1998-05-07	VYDAJ	PREVOD NA UCET	4270	64580	 	EF	12969375
976478	3327	1998-06-07	VYDAJ	PREVOD NA UCET	4270	58751	 	EF	12969375
976479	3327	1998-07-07	VYDAJ	PREVOD NA UCET	4270	57925	 	EF	12969375
976480	3327	1998-08-07	VYDAJ	PREVOD NA UCET	4270	62765	 	EF	12969375
976481	3327	1998-09-07	VYDAJ	PREVOD NA UCET	4270	62899	 	EF	12969375
976482	3327	1998-10-07	VYDAJ	PREVOD NA UCET	4270	57625	 	EF	12969375
976483	3327	1998-11-07	VYDAJ	PREVOD NA UCET	4270	65469	 	EF	12969375
976484	3327	1998-12-07	VYDAJ	PREVOD NA UCET	4270	70896	 	EF	12969375
976488	3327	1996-06-18	VYDAJ	VYBER	16800	23793	\N	\N	\N
976490	3327	1998-06-18	VYDAJ	VYBER	13760	43068	\N	\N	\N
976492	3327	1994-01-04	VYDAJ	VYBER	2400	29083	\N	\N	\N
976493	3327	1995-01-11	VYDAJ	VYBER	12320	16515	\N	\N	\N
976494	3327	1996-01-13	VYDAJ	VYBER	6400	24278	\N	\N	\N
976495	3327	1997-01-23	VYDAJ	VYBER	10080	18102	\N	\N	\N
976496	3327	1998-01-28	VYDAJ	VYBER	9280	38467	\N	\N	\N
976497	3327	1993-12-13	VYDAJ	VYBER	960	31363	\N	\N	\N
976498	3327	1994-12-16	VYDAJ	VYBER	1120	31191	\N	\N	\N
976499	3327	1995-12-18	VYDAJ	VYBER	3840	30028	\N	\N	\N
976500	3327	1996-12-07	VYDAJ	VYBER	4480	29699	\N	\N	\N
976501	3327	1997-12-10	VYDAJ	VYBER	1280	56736	\N	\N	\N
976502	3327	1998-12-06	VYDAJ	VYBER	2240	75166	\N	\N	\N
976504	3327	1993-10-04	VYDAJ	VYBER	5640	26460	\N	\N	\N
976505	3327	1993-11-21	VYDAJ	VYBER	600	29125	\N	\N	\N
976508	3327	1994-07-31	VYDAJ	VYBER	5280	26108	\N	\N	\N
976509	3327	1994-07-05	VYDAJ	VYBER	1560	43558	\N	\N	\N
976510	3327	1994-08-17	VYDAJ	VYBER	2880	23656	\N	\N	\N
976511	3327	1994-10-18	VYDAJ	VYBER	1920	26987	\N	\N	\N
976512	3327	1994-08-31	VYDAJ	VYBER	2880	20881	\N	\N	\N
976513	3327	1995-02-16	VYDAJ	VYBER	3480	18436	\N	\N	\N
976514	3327	1995-08-17	VYDAJ	VYBER	1680	28752	\N	\N	\N
976515	3327	1995-11-19	VYDAJ	VYBER	1560	33828	\N	\N	\N
976516	3327	1995-12-08	VYDAJ	VYBER	3480	35791	\N	\N	\N
976517	3327	1995-03-12	VYDAJ	VYBER	2400	20193	\N	\N	\N
976518	3327	1995-03-10	VYDAJ	VYBER	840	22593	\N	\N	\N
976519	3327	1996-08-06	VYDAJ	VYBER	3360	35493	\N	\N	\N
976520	3327	1996-09-22	VYDAJ	VYBER	1440	30794	\N	\N	\N
976521	3327	1996-10-07	VYDAJ	VYBER	3480	32845	\N	\N	\N
976522	3327	1996-11-05	VYDAJ	VYBER	2880	32485	\N	\N	\N
976523	3327	1996-12-01	VYDAJ	VYBER	3720	22067	\N	\N	\N
976524	3327	1996-12-19	VYDAJ	VYBER	720	27056	\N	\N	\N
976525	3327	1997-06-13	VYDAJ	VYBER	840	33966	\N	\N	\N
976526	3327	1997-11-25	VYDAJ	VYBER	5760	47629	\N	\N	\N
976527	3327	1997-05-11	VYDAJ	VYBER	5400	26621	\N	\N	\N
976528	3327	1997-03-09	VYDAJ	VYBER	5040	26603	\N	\N	\N
976529	3327	1998-09-18	VYDAJ	VYBER	3720	55676	\N	\N	\N
976530	3327	1998-09-22	VYDAJ	VYBER	4920	50756	\N	\N	\N
976531	3327	1998-01-03	VYDAJ	VYBER	4320	46319	\N	\N	\N
976532	3327	1998-05-18	VYDAJ	VYBER	5880	56777	\N	\N	\N
976533	3327	1998-06-01	VYDAJ	VYBER	5760	46639	\N	\N	\N
976534	3327	1998-11-18	VYDAJ	VYBER	3960	60786	\N	\N	\N
976535	3327	1998-09-13	VYDAJ	VYBER	2880	58096	\N	\N	\N
976536	3327	1998-09-06	VYDAJ	VYBER	1920	67169	\N	\N	\N
976546	3327	1993-09-30	VYDAJ	VYBER	15	32100	SLUZBY	\N	\N
976547	3327	1993-10-31	VYDAJ	VYBER	15	27597	SLUZBY	\N	\N
976548	3327	1993-11-30	VYDAJ	VYBER	15	29234	SLUZBY	\N	\N
976549	3327	1993-12-31	VYDAJ	VYBER	15	31483	SLUZBY	\N	\N
976550	3327	1994-01-31	VYDAJ	VYBER	15	27220	SLUZBY	\N	\N
976551	3327	1994-02-28	VYDAJ	VYBER	15	29355	SLUZBY	\N	\N
976552	3327	1994-03-31	VYDAJ	VYBER	15	28090	SLUZBY	\N	\N
976553	3327	1994-04-30	VYDAJ	VYBER	15	31032	SLUZBY	\N	\N
976554	3327	1994-05-31	VYDAJ	VYBER	15	31779	SLUZBY	\N	\N
976555	3327	1994-06-30	VYDAJ	VYBER	15	34197	SLUZBY	\N	\N
976556	3327	1994-07-31	VYDAJ	VYBER	15	31388	SLUZBY	\N	\N
976557	3327	1994-08-31	VYDAJ	VYBER	15	20867	SLUZBY	\N	\N
976558	3327	1994-09-30	VYDAJ	VYBER	15	24279	SLUZBY	\N	\N
976559	3327	1994-10-31	VYDAJ	VYBER	15	27086	SLUZBY	\N	\N
976560	3327	1994-11-30	VYDAJ	VYBER	15	29922	SLUZBY	\N	\N
976561	3327	1994-12-31	VYDAJ	VYBER	15	31307	SLUZBY	\N	\N
976562	3327	1995-01-31	VYDAJ	VYBER	15	16588	SLUZBY	\N	\N
976563	3327	1995-02-28	VYDAJ	VYBER	15	18505	SLUZBY	\N	\N
976564	3327	1995-03-31	VYDAJ	VYBER	15	20264	SLUZBY	\N	\N
976565	3327	1995-04-30	VYDAJ	VYBER	15	22370	SLUZBY	\N	\N
976566	3327	1995-05-31	VYDAJ	VYBER	15	24183	SLUZBY	\N	\N
976567	3327	1995-06-30	VYDAJ	VYBER	15	28979	SLUZBY	\N	\N
976568	3327	1995-07-31	VYDAJ	VYBER	15	25704	SLUZBY	\N	\N
976569	3327	1995-08-31	VYDAJ	VYBER	15	28857	SLUZBY	\N	\N
976570	3327	1995-09-30	VYDAJ	VYBER	15	32505	SLUZBY	\N	\N
976571	3327	1995-10-31	VYDAJ	VYBER	15	33960	SLUZBY	\N	\N
976572	3327	1995-11-30	VYDAJ	VYBER	15	33959	SLUZBY	\N	\N
976573	3327	1995-12-31	VYDAJ	VYBER	15	30150	SLUZBY	\N	\N
976574	3327	1996-01-31	VYDAJ	VYBER	15	27876	SLUZBY	\N	\N
976575	3327	1996-02-29	VYDAJ	VYBER	15	32721	SLUZBY	\N	\N
976576	3327	1996-03-31	VYDAJ	VYBER	15	31183	SLUZBY	\N	\N
976577	3327	1996-04-30	VYDAJ	VYBER	15	36041	SLUZBY	\N	\N
976578	3327	1996-05-31	VYDAJ	VYBER	15	30404	SLUZBY	\N	\N
976579	3327	1996-06-30	VYDAJ	VYBER	15	23108	SLUZBY	\N	\N
976580	3327	1996-07-31	VYDAJ	VYBER	15	27932	SLUZBY	\N	\N
976581	3327	1996-08-31	VYDAJ	VYBER	15	27506	SLUZBY	\N	\N
976582	3327	1996-09-30	VYDAJ	VYBER	15	25404	SLUZBY	\N	\N
976583	3327	1996-10-31	VYDAJ	VYBER	15	24444	SLUZBY	\N	\N
976584	3327	1996-11-30	VYDAJ	VYBER	15	25787	SLUZBY	\N	\N
976585	3327	1996-12-31	VYDAJ	VYBER	15	23454	SLUZBY	\N	\N
976586	3327	1997-01-31	VYDAJ	VYBER	15	18088	SLUZBY	\N	\N
976587	3327	1997-02-28	VYDAJ	VYBER	15	24992	SLUZBY	\N	\N
976588	3327	1997-03-31	VYDAJ	VYBER	15	22771	SLUZBY	\N	\N
976589	3327	1997-04-30	VYDAJ	VYBER	15	27293	SLUZBY	\N	\N
976590	3327	1997-05-31	VYDAJ	VYBER	15	24617	SLUZBY	\N	\N
976591	3327	1997-06-30	VYDAJ	VYBER	15	35386	SLUZBY	\N	\N
976592	3327	1997-07-31	VYDAJ	VYBER	15	39560	SLUZBY	\N	\N
976593	3327	1997-08-31	VYDAJ	VYBER	15	41148	SLUZBY	\N	\N
976594	3327	1997-09-30	VYDAJ	VYBER	15	45446	SLUZBY	\N	\N
976595	3327	1997-10-31	VYDAJ	VYBER	15	49061	SLUZBY	\N	\N
976596	3327	1997-11-30	VYDAJ	VYBER	15	47827	SLUZBY	\N	\N
976597	3327	1997-12-31	VYDAJ	VYBER	15	50639	SLUZBY	\N	\N
976598	3327	1998-01-31	VYDAJ	VYBER	15	38654	SLUZBY	\N	\N
976599	3327	1998-02-28	VYDAJ	VYBER	15	46946	SLUZBY	\N	\N
976600	3327	1998-03-31	VYDAJ	VYBER	15	55875	SLUZBY	\N	\N
976601	3327	1998-04-30	VYDAJ	VYBER	15	57929	SLUZBY	\N	\N
976602	3327	1998-05-31	VYDAJ	VYBER	15	52399	SLUZBY	\N	\N
976603	3327	1998-06-30	VYDAJ	VYBER	15	51274	SLUZBY	\N	\N
976604	3327	1998-07-31	VYDAJ	VYBER	15	56114	SLUZBY	\N	\N
976605	3327	1998-08-31	VYDAJ	VYBER	15	58168	SLUZBY	\N	\N
976606	3327	1998-09-30	VYDAJ	VYBER	15	50974	SLUZBY	\N	\N
976607	3327	1998-10-31	VYDAJ	VYBER	15	58818	SLUZBY	\N	\N
976608	3327	1998-11-30	VYDAJ	VYBER	15	61024	SLUZBY	\N	\N
976609	3327	1993-05-16	PRIJEM	VKLAD	4300	16321	\N	\N	\N
976610	3327	1993-06-15	VYDAJ	VYBER	3700	29038	\N	\N	\N
976611	3327	1993-07-15	VYDAJ	VYBER	6600	33455	\N	\N	\N
976612	3327	1993-08-14	VYDAJ	VYBER	11100	33407	\N	\N	\N
976613	3327	1993-09-13	VYDAJ	VYBER	6300	31975	\N	\N	\N
976614	3327	1993-10-13	VYDAJ	VYBER	3700	27488	\N	\N	\N
976615	3327	1993-11-12	VYDAJ	VYBER	2600	29725	\N	\N	\N
976616	3327	1993-12-12	VYDAJ	VYBER	7100	32323	\N	\N	\N
976617	3327	1994-01-11	VYDAJ	VYBER	6700	27111	\N	\N	\N
976618	3327	1994-02-10	VYDAJ	VYBER	2700	29248	\N	\N	\N
976619	3327	1994-03-12	VYDAJ	VYBER	6100	27983	\N	\N	\N
976620	3327	1994-04-11	VYDAJ	VYBER	1900	30918	\N	\N	\N
976621	3327	1994-05-11	VYDAJ	VYBER	4100	31660	\N	\N	\N
976622	3327	1994-06-10	VYDAJ	VYBER	7900	34068	\N	\N	\N
976623	3327	1994-07-10	VYDAJ	VYBER	6100	31265	\N	\N	\N
976624	3327	1994-08-09	VYDAJ	VYBER	4300	26536	\N	\N	\N
976625	3327	1994-09-08	VYDAJ	VYBER	1400	26118	\N	\N	\N
976626	3327	1994-10-08	VYDAJ	VYBER	100	30830	\N	\N	\N
976627	3327	1994-11-07	VYDAJ	VYBER	2000	31737	\N	\N	\N
976628	3327	1994-12-07	VYDAJ	VYBER	7800	38504	\N	\N	\N
976629	3327	1995-01-06	VYDAJ	VYBER	7200	35028	\N	\N	\N
976630	3327	1995-02-05	PRIJEM	VKLAD	600	28109	\N	\N	\N
976631	3327	1995-03-07	PRIJEM	VKLAD	200	29626	\N	\N	\N
976632	3327	1995-04-06	VYDAJ	VYBER	2700	28485	\N	\N	\N
976633	3327	1995-05-06	VYDAJ	VYBER	3000	30291	\N	\N	\N
976634	3327	1995-06-05	VYDAJ	VYBER	5500	35065	\N	\N	\N
976635	3327	1995-07-05	VYDAJ	VYBER	8100	31800	\N	\N	\N
976636	3327	1995-09-03	VYDAJ	VYBER	1200	27657	\N	\N	\N
976637	3327	1995-10-03	VYDAJ	VYBER	3400	29105	\N	\N	\N
976638	3327	1995-11-02	VYDAJ	VYBER	3300	30660	\N	\N	\N
976639	3327	1995-12-02	VYDAJ	VYBER	6800	27159	\N	\N	\N
976640	3327	1996-01-01	VYDAJ	VYBER	4200	25950	\N	\N	\N
976641	3327	1996-01-31	PRIJEM	VKLAD	3500	27891	\N	\N	\N
976642	3327	1996-03-01	VYDAJ	VYBER	1500	31221	\N	\N	\N
976643	3327	1996-03-31	VYDAJ	VYBER	4900	31197	\N	\N	\N
976644	3327	1996-04-30	VYDAJ	VYBER	4300	31741	\N	\N	\N
976645	3327	1996-05-30	VYDAJ	VYBER	6200	30269	\N	\N	\N
976646	3327	1996-06-29	VYDAJ	VYBER	800	22993	\N	\N	\N
976647	3327	1996-08-28	VYDAJ	VYBER	1900	27400	\N	\N	\N
976648	3327	1996-09-27	VYDAJ	VYBER	5500	25294	\N	\N	\N
976649	3327	1996-10-27	VYDAJ	VYBER	2300	24352	\N	\N	\N
976650	3327	1996-11-26	VYDAJ	VYBER	600	25692	\N	\N	\N
976651	3327	1996-12-26	VYDAJ	VYBER	3700	23356	\N	\N	\N
976652	3327	1997-01-25	VYDAJ	VYBER	100	18002	\N	\N	\N
976653	3327	1997-02-24	PRIJEM	VKLAD	2100	24916	\N	\N	\N
976654	3327	1997-03-26	VYDAJ	VYBER	2000	22680	\N	\N	\N
976655	3327	1997-04-25	VYDAJ	VYBER	300	27199	\N	\N	\N
976656	3327	1997-05-25	VYDAJ	VYBER	2100	24521	\N	\N	\N
976657	3327	1997-06-24	PRIJEM	VKLAD	1300	35266	\N	\N	\N
976658	3327	1997-07-24	VYDAJ	VYBER	700	39414	\N	\N	\N
976659	3327	1997-08-23	VYDAJ	VYBER	3300	40988	\N	\N	\N
976660	3327	1997-09-22	VYDAJ	VYBER	600	45276	\N	\N	\N
976661	3327	1997-10-22	VYDAJ	VYBER	1300	48874	\N	\N	\N
976662	3327	1997-11-21	VYDAJ	VYBER	400	53389	\N	\N	\N
976663	3327	1997-12-21	VYDAJ	VYBER	6300	50436	\N	\N	\N
976664	3327	1998-01-20	VYDAJ	VYBER	3300	47747	\N	\N	\N
976665	3327	1998-02-19	PRIJEM	VKLAD	3400	46782	\N	\N	\N
976666	3327	1998-03-21	PRIJEM	VKLAD	4000	55674	\N	\N	\N
976667	3327	1998-04-20	VYDAJ	VYBER	2900	57703	\N	\N	\N
976668	3327	1998-05-20	VYDAJ	VYBER	4600	52177	\N	\N	\N
976669	3327	1998-06-19	PRIJEM	VKLAD	8000	51068	\N	\N	\N
976670	3327	1998-07-19	VYDAJ	VYBER	100	55902	\N	\N	\N
976671	3327	1998-08-18	VYDAJ	VYBER	2900	57942	\N	\N	\N
976672	3327	1998-09-17	PRIJEM	VKLAD	1300	59396	\N	\N	\N
976673	3327	1998-10-17	PRIJEM	VKLAD	2900	58602	\N	\N	\N
976674	3327	1998-11-16	PRIJEM	VKLAD	1200	64746	\N	\N	\N
976743	3328	1997-03-17	PRIJEM	VKLAD	800	800	\N	\N	\N
976747	3328	1997-04-14	PRIJEM	PREVOD Z UCTU	4951	5751	DUCHOD	QR	10513663
976748	3328	1997-05-14	PRIJEM	PREVOD Z UCTU	4951	10702	DUCHOD	QR	10513663
976749	3328	1997-06-14	PRIJEM	PREVOD Z UCTU	4951	15653	DUCHOD	QR	10513663
976750	3328	1997-07-14	PRIJEM	PREVOD Z UCTU	4951	20604	DUCHOD	QR	10513663
976751	3328	1997-08-14	PRIJEM	PREVOD Z UCTU	4951	25555	DUCHOD	QR	10513663
976752	3328	1997-09-14	PRIJEM	PREVOD Z UCTU	4951	27195	DUCHOD	QR	10513663
976753	3328	1997-10-14	PRIJEM	PREVOD Z UCTU	4951	28942	DUCHOD	QR	10513663
976754	3328	1997-11-14	PRIJEM	PREVOD Z UCTU	4951	29696	DUCHOD	QR	10513663
976755	3328	1997-12-14	PRIJEM	PREVOD Z UCTU	4951	30173	DUCHOD	QR	10513663
976756	3328	1998-01-14	PRIJEM	PREVOD Z UCTU	4951	22594	DUCHOD	QR	10513663
976757	3328	1998-02-14	PRIJEM	PREVOD Z UCTU	4951	19586	DUCHOD	QR	10513663
976758	3328	1998-03-14	PRIJEM	PREVOD Z UCTU	4951	21297	DUCHOD	QR	10513663
976759	3328	1998-04-14	PRIJEM	PREVOD Z UCTU	4951	21579	DUCHOD	QR	10513663
976760	3328	1998-05-14	PRIJEM	PREVOD Z UCTU	4951	23299	DUCHOD	QR	10513663
976761	3328	1998-06-14	PRIJEM	PREVOD Z UCTU	4951	25030	DUCHOD	QR	10513663
976762	3328	1998-07-14	PRIJEM	PREVOD Z UCTU	4951	26767	DUCHOD	QR	10513663
976763	3328	1998-08-14	PRIJEM	PREVOD Z UCTU	4951	28512	DUCHOD	QR	10513663
976764	3328	1998-09-14	PRIJEM	PREVOD Z UCTU	4951	27304	DUCHOD	QR	10513663
976765	3328	1998-10-14	PRIJEM	PREVOD Z UCTU	4951	29051	DUCHOD	QR	10513663
976766	3328	1998-11-14	PRIJEM	PREVOD Z UCTU	4951	27602	DUCHOD	QR	10513663
976767	3328	1998-12-14	PRIJEM	PREVOD Z UCTU	4951	24155	DUCHOD	QR	10513663
976776	3328	1997-09-05	VYDAJ	PREVOD NA UCET	3300	22244	SIPO	AB	72908800
976777	3328	1997-10-05	VYDAJ	PREVOD NA UCET	3300	23991	SIPO	AB	72908800
976778	3328	1997-11-05	VYDAJ	PREVOD NA UCET	3300	25745	SIPO	AB	72908800
976779	3328	1997-12-05	VYDAJ	PREVOD NA UCET	3300	25222	SIPO	AB	72908800
976780	3328	1998-01-05	VYDAJ	PREVOD NA UCET	3300	20283	SIPO	AB	72908800
976781	3328	1998-02-05	VYDAJ	PREVOD NA UCET	3300	14635	SIPO	AB	72908800
976782	3328	1998-03-05	VYDAJ	PREVOD NA UCET	3300	16346	SIPO	AB	72908800
976783	3328	1998-04-05	VYDAJ	PREVOD NA UCET	3300	16628	SIPO	AB	72908800
976784	3328	1998-05-05	VYDAJ	PREVOD NA UCET	3300	18348	SIPO	AB	72908800
976785	3328	1998-06-05	VYDAJ	PREVOD NA UCET	3300	20079	SIPO	AB	72908800
976786	3328	1998-07-05	VYDAJ	PREVOD NA UCET	3300	21816	SIPO	AB	72908800
976787	3328	1998-08-05	VYDAJ	PREVOD NA UCET	3300	23561	SIPO	AB	72908800
976788	3328	1998-09-05	VYDAJ	PREVOD NA UCET	3300	22353	SIPO	AB	72908800
976789	3328	1998-10-05	VYDAJ	PREVOD NA UCET	3300	24100	SIPO	AB	72908800
976790	3328	1998-11-05	VYDAJ	PREVOD NA UCET	3300	22651	SIPO	AB	72908800
976791	3328	1998-12-05	VYDAJ	PREVOD NA UCET	3300	19204	SIPO	AB	72908800
976795	3328	1998-01-17	VYDAJ	VYBER	1050	20984	\N	\N	\N
976796	3328	1997-12-23	VYDAJ	VYBER	1250	25643	\N	\N	\N
976797	3328	1998-12-02	VYDAJ	VYBER	1350	22504	\N	\N	\N
976804	3328	1998-01-11	VYDAJ	VYBER	2000	17643	\N	\N	\N
976805	3328	1998-01-20	VYDAJ	VYBER	1760	19224	\N	\N	\N
976806	3328	1998-01-03	VYDAJ	VYBER	2160	23583	\N	\N	\N
976807	3328	1998-01-25	VYDAJ	VYBER	640	18584	\N	\N	\N
976808	3328	1998-01-15	VYDAJ	VYBER	560	22034	\N	\N	\N
976809	3328	1998-01-11	VYDAJ	VYBER	640	19643	\N	\N	\N
976812	3328	1997-12-14	VYDAJ	VYBER	3280	26893	\N	\N	\N
976814	3328	1997-12-03	VYDAJ	VYBER	1280	28522	\N	\N	\N
976815	3328	1998-11-21	VYDAJ	VYBER	3840	23762	\N	\N	\N
976816	3328	1998-04-02	VYDAJ	VYBER	1440	19928	\N	\N	\N
976817	3328	1998-10-23	VYDAJ	VYBER	3200	25851	\N	\N	\N
976818	3328	1998-02-04	VYDAJ	VYBER	720	17935	\N	\N	\N
976819	3328	1998-08-14	VYDAJ	VYBER	2960	25552	\N	\N	\N
976828	3328	1997-08-31	VYDAJ	VYBER	15	25544	SLUZBY	\N	\N
976829	3328	1997-09-30	VYDAJ	VYBER	15	27291	SLUZBY	\N	\N
976830	3328	1997-10-31	VYDAJ	VYBER	15	29045	SLUZBY	\N	\N
976831	3328	1997-11-30	VYDAJ	VYBER	15	29802	SLUZBY	\N	\N
976832	3328	1997-12-31	VYDAJ	VYBER	15	25743	SLUZBY	\N	\N
976833	3328	1998-01-31	VYDAJ	VYBER	15	18655	SLUZBY	\N	\N
976834	3328	1998-02-28	VYDAJ	VYBER	15	19646	SLUZBY	\N	\N
976835	3328	1998-03-31	VYDAJ	VYBER	15	21368	SLUZBY	\N	\N
976836	3328	1998-04-30	VYDAJ	VYBER	15	21648	SLUZBY	\N	\N
976837	3328	1998-05-31	VYDAJ	VYBER	15	23379	SLUZBY	\N	\N
976838	3328	1998-06-30	VYDAJ	VYBER	15	25116	SLUZBY	\N	\N
976839	3328	1998-07-31	VYDAJ	VYBER	15	26861	SLUZBY	\N	\N
976840	3328	1998-08-31	VYDAJ	VYBER	15	25653	SLUZBY	\N	\N
976841	3328	1998-09-30	VYDAJ	VYBER	15	27400	SLUZBY	\N	\N
976842	3328	1998-10-31	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
976843	3328	1998-11-30	VYDAJ	VYBER	15	23854	SLUZBY	\N	\N
976844	3328	1997-11-12	VYDAJ	VYBER	1000	24745	\N	\N	\N
976862	3329	1996-10-12	PRIJEM	VKLAD	200	200	\N	\N	\N
976873	3329	1996-11-06	PRIJEM	VKLAD	18729	18929	\N	\N	\N
976874	3329	1996-12-06	PRIJEM	VKLAD	28094	52691	\N	\N	\N
976875	3329	1997-01-06	PRIJEM	VKLAD	18729	59367	\N	\N	\N
976876	3329	1997-02-06	PRIJEM	VKLAD	18729	60267	\N	\N	\N
976877	3329	1997-03-06	PRIJEM	VKLAD	18729	60870	\N	\N	\N
976878	3329	1997-04-06	PRIJEM	VKLAD	18729	52320	\N	\N	\N
976879	3329	1997-05-06	PRIJEM	VKLAD	18729	49428	\N	\N	\N
976880	3329	1997-06-06	PRIJEM	VKLAD	28094	60294	\N	\N	\N
976881	3329	1997-07-06	PRIJEM	VKLAD	18729	45268	\N	\N	\N
976882	3329	1997-08-06	PRIJEM	VKLAD	18729	47050	\N	\N	\N
976883	3329	1997-09-06	PRIJEM	VKLAD	18729	48441	\N	\N	\N
976884	3329	1997-10-06	PRIJEM	VKLAD	18729	41114	\N	\N	\N
976885	3329	1997-11-06	PRIJEM	VKLAD	18729	44186	\N	\N	\N
976886	3329	1997-12-06	PRIJEM	VKLAD	28094	56436	\N	\N	\N
976887	3329	1998-01-06	PRIJEM	VKLAD	18729	41329	\N	\N	\N
976888	3329	1998-02-06	PRIJEM	VKLAD	18729	45322	\N	\N	\N
976889	3329	1998-03-06	PRIJEM	VKLAD	18729	53323	\N	\N	\N
976890	3329	1998-04-06	PRIJEM	VKLAD	18729	54931	\N	\N	\N
976891	3329	1998-05-06	PRIJEM	VKLAD	18729	55918	\N	\N	\N
976892	3329	1998-06-06	PRIJEM	VKLAD	28094	65132	\N	\N	\N
976893	3329	1998-07-06	PRIJEM	VKLAD	18729	43875	\N	\N	\N
976894	3329	1998-08-06	PRIJEM	VKLAD	18729	49071	\N	\N	\N
976895	3329	1998-09-06	PRIJEM	VKLAD	18729	50292	\N	\N	\N
976896	3329	1998-10-06	PRIJEM	VKLAD	18729	47721	\N	\N	\N
976897	3329	1998-11-06	PRIJEM	VKLAD	18729	46482	\N	\N	\N
976898	3329	1998-12-06	PRIJEM	VKLAD	28094	57353	\N	\N	\N
976913	3329	1997-03-09	VYDAJ	PREVOD NA UCET	9249	51621	SIPO	GH	58081787
976914	3329	1997-04-09	VYDAJ	PREVOD NA UCET	9249	43071	SIPO	GH	58081787
976915	3329	1997-05-09	VYDAJ	PREVOD NA UCET	9249	40179	SIPO	GH	58081787
976916	3329	1997-06-09	VYDAJ	PREVOD NA UCET	9249	51045	SIPO	GH	58081787
976917	3329	1997-07-09	VYDAJ	PREVOD NA UCET	9249	36019	SIPO	GH	58081787
976918	3329	1997-08-09	VYDAJ	PREVOD NA UCET	9249	29601	SIPO	GH	58081787
976919	3329	1997-09-09	VYDAJ	PREVOD NA UCET	9249	28192	SIPO	GH	58081787
976920	3329	1997-10-09	VYDAJ	PREVOD NA UCET	9249	27065	SIPO	GH	58081787
976921	3329	1997-11-09	VYDAJ	PREVOD NA UCET	9249	29837	SIPO	GH	58081787
976922	3329	1997-12-09	VYDAJ	PREVOD NA UCET	9249	34187	SIPO	GH	58081787
976923	3329	1998-01-09	VYDAJ	PREVOD NA UCET	9249	29080	SIPO	GH	58081787
976924	3329	1998-02-09	VYDAJ	PREVOD NA UCET	9249	36073	SIPO	GH	58081787
976925	3329	1998-03-09	VYDAJ	PREVOD NA UCET	9249	34674	SIPO	GH	58081787
976926	3329	1998-04-09	VYDAJ	PREVOD NA UCET	9249	41242	SIPO	GH	58081787
976927	3329	1998-05-09	VYDAJ	PREVOD NA UCET	9249	46669	SIPO	GH	58081787
976928	3329	1998-06-09	VYDAJ	PREVOD NA UCET	9249	55883	SIPO	GH	58081787
976929	3329	1998-07-09	VYDAJ	PREVOD NA UCET	9249	34626	SIPO	GH	58081787
976930	3329	1998-08-09	VYDAJ	PREVOD NA UCET	9249	39822	SIPO	GH	58081787
976931	3329	1998-09-09	VYDAJ	PREVOD NA UCET	9249	41043	SIPO	GH	58081787
976932	3329	1998-10-09	VYDAJ	PREVOD NA UCET	9249	38472	SIPO	GH	58081787
976933	3329	1998-11-09	VYDAJ	PREVOD NA UCET	9249	37233	SIPO	GH	58081787
976934	3329	1998-12-09	VYDAJ	PREVOD NA UCET	9249	48104	SIPO	GH	58081787
976949	3329	1997-03-27	VYDAJ	VYBER	1900	35721	\N	\N	0
976950	3329	1997-04-13	VYDAJ	VYBER	1500	30571	\N	\N	0
976951	3329	1997-05-13	VYDAJ	VYBER	1200	33179	\N	\N	0
976952	3329	1997-05-29	VYDAJ	VYBER	1100	32079	\N	\N	0
976953	3329	1997-07-17	VYDAJ	VYBER	1400	28219	\N	\N	0
976954	3329	1997-08-07	VYDAJ	VYBER	1200	45850	\N	\N	0
976955	3329	1997-09-13	VYDAJ	VYBER	1700	26492	\N	\N	0
976956	3329	1997-10-11	VYDAJ	VYBER	1700	25365	\N	\N	0
976957	3329	1997-11-11	VYDAJ	VYBER	1600	28237	\N	\N	0
976958	3329	1997-12-12	VYDAJ	PREVOD NA UCET	1604	32583	UVER	YZ	25896650
976959	3329	1998-01-12	VYDAJ	PREVOD NA UCET	1604	27476	UVER	YZ	25896650
976960	3329	1998-02-12	VYDAJ	PREVOD NA UCET	1604	34469	UVER	YZ	25896650
976961	3329	1998-03-12	VYDAJ	PREVOD NA UCET	1604	33070	UVER	YZ	25896650
976962	3329	1998-04-12	VYDAJ	PREVOD NA UCET	1604	39638	UVER	YZ	25896650
976963	3329	1998-05-12	VYDAJ	PREVOD NA UCET	1604	45065	UVER	YZ	25896650
976964	3329	1998-06-12	VYDAJ	PREVOD NA UCET	1604	54279	UVER	YZ	25896650
976965	3329	1998-07-12	VYDAJ	PREVOD NA UCET	1604	33022	UVER	YZ	25896650
976966	3329	1998-08-12	VYDAJ	PREVOD NA UCET	1604	38218	UVER	YZ	25896650
976967	3329	1998-09-12	VYDAJ	PREVOD NA UCET	1604	39439	UVER	YZ	25896650
976968	3329	1998-10-12	VYDAJ	PREVOD NA UCET	1604	36868	UVER	YZ	25896650
976969	3329	1998-11-12	VYDAJ	PREVOD NA UCET	1604	35629	UVER	YZ	25896650
976970	3329	1998-12-19	VYDAJ	VYBER	1800	41384	\N	\N	0
976972	3329	1997-06-09	VYDAJ	VYBER	23680	26365	\N	\N	\N
976973	3329	1998-06-16	VYDAJ	VYBER	30080	24199	\N	\N	\N
976978	3329	1997-12-20	VYDAJ	VYBER	1920	30663	\N	\N	\N
976979	3329	1998-12-28	VYDAJ	VYBER	4320	37064	\N	\N	\N
976992	3329	1998-01-03	VYDAJ	VYBER	2760	19140	\N	\N	\N
976993	3329	1998-01-29	VYDAJ	VYBER	3120	21596	\N	\N	\N
976994	3329	1998-01-08	VYDAJ	VYBER	3000	38329	\N	\N	\N
976995	3329	1998-01-01	VYDAJ	VYBER	1920	21900	\N	\N	\N
976996	3329	1998-01-04	VYDAJ	VYBER	840	18300	\N	\N	\N
976997	3329	1998-01-24	VYDAJ	VYBER	2760	24716	\N	\N	\N
977002	3329	1997-09-16	VYDAJ	VYBER	4200	22292	\N	\N	\N
977003	3329	1997-12-28	VYDAJ	VYBER	2280	28383	\N	\N	\N
977004	3329	1997-12-28	VYDAJ	VYBER	4680	23703	\N	\N	\N
977005	3329	1997-04-05	VYDAJ	VYBER	2280	33591	\N	\N	\N
977006	3329	1998-12-10	VYDAJ	VYBER	2400	43184	\N	\N	\N
977007	3329	1998-07-17	VYDAJ	VYBER	600	32422	\N	\N	\N
977008	3329	1998-10-12	VYDAJ	VYBER	2160	34708	\N	\N	\N
977009	3329	1998-04-07	VYDAJ	VYBER	4440	50491	\N	\N	\N
977010	3329	1998-11-17	VYDAJ	VYBER	3600	32029	\N	\N	\N
977011	3329	1998-12-09	VYDAJ	VYBER	2520	45584	\N	\N	\N
977027	3329	1997-03-31	VYDAJ	VYBER	15	35871	SLUZBY	\N	\N
977028	3329	1997-04-30	VYDAJ	VYBER	15	30699	SLUZBY	\N	\N
977029	3329	1997-05-31	VYDAJ	VYBER	15	32200	SLUZBY	\N	\N
977030	3329	1997-06-30	VYDAJ	VYBER	15	26539	SLUZBY	\N	\N
977031	3329	1997-07-31	VYDAJ	VYBER	15	28321	SLUZBY	\N	\N
977032	3329	1997-08-31	VYDAJ	VYBER	15	29712	SLUZBY	\N	\N
977033	3329	1997-09-30	VYDAJ	VYBER	15	22385	SLUZBY	\N	\N
977034	3329	1997-10-31	VYDAJ	VYBER	15	25457	SLUZBY	\N	\N
977035	3329	1997-11-30	VYDAJ	VYBER	15	28342	SLUZBY	\N	\N
977036	3329	1997-12-31	VYDAJ	VYBER	15	23820	SLUZBY	\N	\N
977037	3329	1998-01-31	VYDAJ	VYBER	15	21693	SLUZBY	\N	\N
977038	3329	1998-02-28	VYDAJ	VYBER	15	34594	SLUZBY	\N	\N
977039	3329	1998-03-31	VYDAJ	VYBER	15	33202	SLUZBY	\N	\N
977040	3329	1998-04-30	VYDAJ	VYBER	15	39789	SLUZBY	\N	\N
977041	3329	1998-05-31	VYDAJ	VYBER	15	45239	SLUZBY	\N	\N
977042	3329	1998-06-30	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
977043	3329	1998-07-31	VYDAJ	VYBER	15	32542	SLUZBY	\N	\N
977044	3329	1998-08-31	VYDAJ	VYBER	15	38363	SLUZBY	\N	\N
977045	3329	1998-09-30	VYDAJ	VYBER	15	39592	SLUZBY	\N	\N
977046	3329	1998-10-31	VYDAJ	VYBER	15	34853	SLUZBY	\N	\N
977047	3329	1998-11-30	VYDAJ	VYBER	15	32159	SLUZBY	\N	\N
977048	3329	1996-11-11	PRIJEM	VKLAD	5600	24529	\N	\N	\N
977049	3329	1996-12-11	VYDAJ	VYBER	12200	40491	\N	\N	\N
977050	3329	1997-01-10	VYDAJ	VYBER	18000	41367	\N	\N	\N
977051	3329	1997-02-09	VYDAJ	VYBER	18300	41967	\N	\N	\N
977052	3329	1997-03-11	VYDAJ	VYBER	14000	37621	\N	\N	\N
977053	3329	1997-04-10	VYDAJ	VYBER	11000	32071	\N	\N	\N
977054	3329	1997-05-10	VYDAJ	VYBER	5800	34379	\N	\N	\N
977055	3329	1997-06-09	VYDAJ	VYBER	1000	50045	\N	\N	\N
977056	3329	1997-07-09	VYDAJ	VYBER	6400	29619	\N	\N	\N
977057	3329	1997-08-08	VYDAJ	VYBER	7000	38850	\N	\N	\N
977058	3329	1997-09-07	VYDAJ	VYBER	11000	37441	\N	\N	\N
977059	3329	1997-10-07	VYDAJ	VYBER	4800	36314	\N	\N	\N
977060	3329	1997-11-06	VYDAJ	VYBER	5100	39086	\N	\N	\N
977061	3329	1997-12-06	VYDAJ	VYBER	13000	43436	\N	\N	\N
977062	3329	1998-01-05	PRIJEM	VKLAD	4300	22600	\N	\N	\N
977063	3329	1998-02-04	PRIJEM	VKLAD	4900	26593	\N	\N	\N
977064	3329	1998-03-06	VYDAJ	VYBER	9400	43923	\N	\N	\N
977065	3329	1998-04-05	PRIJEM	VKLAD	3000	36202	\N	\N	\N
977066	3329	1998-05-05	VYDAJ	VYBER	2600	37189	\N	\N	\N
977067	3329	1998-06-04	VYDAJ	VYBER	8200	37039	\N	\N	\N
977068	3329	1998-07-04	PRIJEM	VKLAD	800	25146	\N	\N	\N
977069	3329	1998-08-03	VYDAJ	VYBER	2200	30342	\N	\N	\N
977070	3329	1998-09-02	VYDAJ	VYBER	6800	31563	\N	\N	\N
977071	3329	1998-10-02	VYDAJ	VYBER	10600	28992	\N	\N	\N
977072	3329	1998-11-01	VYDAJ	VYBER	7100	27753	\N	\N	\N
977073	3329	1998-12-01	VYDAJ	VYBER	2900	29259	\N	\N	\N
977100	3330	1995-07-08	PRIJEM	VKLAD	400	400	\N	\N	\N
977101	3330	1995-10-05	PRIJEM	VKLAD	5222	24422	\N	\N	\N
977102	3330	1996-04-25	PRIJEM	VKLAD	22564	103617	\N	\N	\N
977103	3330	1996-07-25	PRIJEM	VKLAD	6692	27396	\N	\N	\N
977104	3330	1996-09-03	PRIJEM	VKLAD	19858	69768	\N	\N	\N
977105	3330	1996-10-18	PRIJEM	VKLAD	35001	119827	\N	\N	\N
977106	3330	1996-08-30	PRIJEM	VKLAD	28658	67439	\N	\N	\N
977107	3330	1996-10-11	PRIJEM	VKLAD	15344	80094	\N	\N	\N
977108	3330	1996-04-20	PRIJEM	VKLAD	42045	81053	\N	\N	\N
977109	3330	1996-11-05	PRIJEM	VKLAD	48577	110316	\N	\N	\N
977110	3330	1996-10-06	PRIJEM	VKLAD	5860	64750	\N	\N	\N
977111	3330	1996-09-07	PRIJEM	VKLAD	35386	105154	\N	\N	\N
977112	3330	1996-04-30	PRIJEM	VKLAD	44405	148022	\N	\N	\N
977113	3330	1996-11-24	PRIJEM	VKLAD	42616	102852	\N	\N	\N
977114	3330	1996-07-28	PRIJEM	VKLAD	22397	49793	\N	\N	\N
977115	3330	1996-11-06	PRIJEM	VKLAD	5845	72761	\N	\N	\N
977116	3330	1996-11-02	PRIJEM	VKLAD	18171	61739	\N	\N	\N
977117	3330	1996-09-20	PRIJEM	VKLAD	28216	119257	\N	\N	\N
977118	3330	1996-12-05	PRIJEM	VKLAD	43134	97585	\N	\N	\N
977119	3330	1996-11-08	PRIJEM	VKLAD	15513	88274	\N	\N	\N
977120	3330	1996-01-23	PRIJEM	VKLAD	42467	71938	\N	\N	\N
977121	3330	1996-05-01	PRIJEM	VKLAD	42489	123741	\N	\N	\N
977122	3330	1996-01-25	PRIJEM	VKLAD	42078	114016	\N	\N	\N
977123	3330	1996-10-17	PRIJEM	VKLAD	10445	84826	\N	\N	\N
977124	3330	1997-09-09	PRIJEM	VKLAD	43556	148406	\N	\N	\N
977125	3330	1997-06-10	PRIJEM	VKLAD	28726	82187	\N	\N	\N
977126	3330	1997-10-22	PRIJEM	VKLAD	9927	102978	\N	\N	\N
977127	3330	1997-01-30	PRIJEM	VKLAD	40207	63348	\N	\N	\N
977128	3330	1997-07-26	PRIJEM	VKLAD	15538	61398	\N	\N	\N
977129	3330	1997-01-11	PRIJEM	VKLAD	21298	110754	\N	\N	\N
977130	3330	1997-04-05	PRIJEM	VKLAD	30653	92786	\N	\N	\N
977131	3330	1997-07-27	PRIJEM	VKLAD	24989	86387	\N	\N	\N
977132	3330	1997-01-10	PRIJEM	VKLAD	42804	89456	\N	\N	\N
977133	3330	1997-08-14	PRIJEM	VKLAD	34706	91407	\N	\N	\N
977134	3330	1997-10-02	PRIJEM	VKLAD	43436	119564	\N	\N	\N
977135	3330	1997-09-29	PRIJEM	VKLAD	24071	75764	\N	\N	\N
977136	3330	1997-03-15	PRIJEM	VKLAD	25796	75447	\N	\N	\N
977137	3330	1997-06-11	PRIJEM	VKLAD	27927	110114	\N	\N	\N
977138	3330	1997-05-28	PRIJEM	VKLAD	39071	78091	\N	\N	\N
977139	3330	1997-08-19	PRIJEM	VKLAD	44594	130288	\N	\N	\N
977140	3330	1997-04-23	PRIJEM	VKLAD	28784	112557	\N	\N	\N
977141	3330	1997-06-11	PRIJEM	VKLAD	39391	149505	\N	\N	\N
977142	3330	1997-08-29	PRIJEM	VKLAD	48429	104517	\N	\N	\N
977143	3330	1997-03-18	PRIJEM	VKLAD	49401	124848	\N	\N	\N
977144	3330	1997-02-22	PRIJEM	VKLAD	32365	90196	\N	\N	\N
977145	3330	1998-07-21	PRIJEM	VKLAD	39153	88487	\N	\N	\N
977146	3330	1998-06-08	PRIJEM	VKLAD	40280	68543	\N	\N	\N
977147	3330	1998-11-28	PRIJEM	VKLAD	45773	71692	\N	\N	\N
977148	3330	1998-09-25	PRIJEM	VKLAD	30892	74678	\N	\N	\N
977149	3330	1998-06-29	PRIJEM	VKLAD	15533	54899	\N	\N	\N
977150	3330	1998-12-04	PRIJEM	VKLAD	21981	93829	\N	\N	\N
977151	3330	1998-10-13	PRIJEM	VKLAD	9628	114589	\N	\N	\N
977152	3330	1998-06-26	PRIJEM	VKLAD	7442	39366	\N	\N	\N
977153	3330	1998-02-20	PRIJEM	VKLAD	46232	59766	\N	\N	\N
977154	3330	1998-09-08	PRIJEM	VKLAD	43968	90724	\N	\N	\N
977155	3330	1998-03-23	PRIJEM	VKLAD	33702	64350	\N	\N	\N
977156	3330	1998-09-18	PRIJEM	VKLAD	9875	94886	\N	\N	\N
977157	3330	1998-09-26	PRIJEM	VKLAD	30024	104702	\N	\N	\N
977158	3330	1998-12-14	PRIJEM	VKLAD	5187	99016	\N	\N	\N
977159	3330	1998-05-11	PRIJEM	VKLAD	18525	48055	\N	\N	\N
977160	3330	1998-08-08	PRIJEM	VKLAD	42957	80732	\N	\N	\N
977225	3330	1996-05-14	VYDAJ	PREVOD NA UCET	5713	62328	SIPO	AB	93315863
977226	3330	1996-06-14	VYDAJ	PREVOD NA UCET	5713	26385	SIPO	AB	93315863
977227	3330	1996-07-14	VYDAJ	PREVOD NA UCET	5713	25592	SIPO	AB	93315863
977228	3330	1996-08-14	VYDAJ	PREVOD NA UCET	5713	38781	SIPO	AB	93315863
977229	3330	1996-09-14	VYDAJ	PREVOD NA UCET	5713	99441	SIPO	AB	93315863
977230	3330	1996-10-14	VYDAJ	PREVOD NA UCET	5713	74381	SIPO	AB	93315863
977231	3330	1996-11-14	VYDAJ	PREVOD NA UCET	5713	82561	SIPO	AB	93315863
977232	3330	1996-12-14	VYDAJ	PREVOD NA UCET	5713	91872	SIPO	AB	93315863
977233	3330	1997-01-14	VYDAJ	PREVOD NA UCET	5713	66741	SIPO	AB	93315863
977234	3330	1997-02-14	VYDAJ	PREVOD NA UCET	5713	57831	SIPO	AB	93315863
977235	3330	1997-03-14	VYDAJ	PREVOD NA UCET	5713	49651	SIPO	AB	93315863
977236	3330	1997-04-14	VYDAJ	PREVOD NA UCET	5713	87073	SIPO	AB	93315863
977237	3330	1997-05-14	VYDAJ	PREVOD NA UCET	5713	39020	SIPO	AB	93315863
977238	3330	1997-06-14	VYDAJ	PREVOD NA UCET	5713	84692	SIPO	AB	93315863
977239	3330	1997-07-14	VYDAJ	PREVOD NA UCET	5713	50360	SIPO	AB	93315863
977240	3330	1997-08-14	VYDAJ	PREVOD NA UCET	5713	85694	SIPO	AB	93315863
977241	3330	1997-09-14	VYDAJ	PREVOD NA UCET	5713	82693	SIPO	AB	93315863
977242	3330	1997-10-14	VYDAJ	PREVOD NA UCET	5713	93051	SIPO	AB	93315863
977243	3330	1997-11-14	VYDAJ	PREVOD NA UCET	5713	57320	SIPO	AB	93315863
977244	3330	1997-12-14	VYDAJ	PREVOD NA UCET	5713	33634	SIPO	AB	93315863
977245	3330	1998-01-14	VYDAJ	PREVOD NA UCET	5713	22955	SIPO	AB	93315863
977246	3330	1998-02-14	VYDAJ	PREVOD NA UCET	5713	13534	SIPO	AB	93315863
977247	3330	1998-03-14	VYDAJ	PREVOD NA UCET	5713	30648	SIPO	AB	93315863
977248	3330	1998-04-14	VYDAJ	PREVOD NA UCET	5713	36783	SIPO	AB	93315863
977249	3330	1998-05-14	VYDAJ	PREVOD NA UCET	5713	42342	SIPO	AB	93315863
977250	3330	1998-06-14	VYDAJ	PREVOD NA UCET	5713	62830	SIPO	AB	93315863
977251	3330	1998-07-14	VYDAJ	PREVOD NA UCET	5713	49334	SIPO	AB	93315863
977252	3330	1998-08-14	VYDAJ	PREVOD NA UCET	5713	75019	SIPO	AB	93315863
977253	3330	1998-09-14	VYDAJ	PREVOD NA UCET	5713	85011	SIPO	AB	93315863
977254	3330	1998-10-14	VYDAJ	PREVOD NA UCET	5713	103476	SIPO	AB	93315863
977255	3330	1998-11-14	VYDAJ	PREVOD NA UCET	5713	38119	SIPO	AB	93315863
977256	3330	1998-12-14	VYDAJ	PREVOD NA UCET	5713	93303	SIPO	AB	93315863
977267	3330	1996-11-19	VYBER	VYBER	22325	60236	\N	\N	\N
977268	3330	1996-11-28	VYBER	VYBER	23002	79850	\N	\N	\N
977269	3330	1996-07-16	VYBER	VYBER	4888	20704	\N	\N	\N
977270	3330	1998-10-27	VYBER	VYBER	8177	47099	\N	\N	\N
977271	3330	1998-06-17	VYBER	VYBER	9706	53124	\N	\N	\N
977272	3330	1998-08-07	VYBER	VYBER	14529	37775	\N	\N	\N
977281	3330	1997-01-18	VYDAJ	VYBER	12300	46041	\N	\N	\N
977284	3330	1996-12-19	VYDAJ	VYBER	6600	85272	\N	\N	\N
977285	3330	1997-12-11	VYDAJ	VYBER	2400	39347	\N	\N	\N
977286	3330	1998-12-24	VYDAJ	VYBER	3900	49703	\N	\N	\N
977299	3330	1997-01-17	VYDAJ	VYBER	3900	62841	\N	\N	\N
977300	3330	1997-01-18	VYDAJ	VYBER	4500	58341	\N	\N	\N
977301	3330	1997-01-28	VYDAJ	VYBER	4500	30741	\N	\N	\N
977302	3330	1997-01-29	VYDAJ	VYBER	5100	23141	\N	\N	\N
977303	3330	1997-01-03	VYDAJ	VYBER	6600	46652	\N	\N	\N
977304	3330	1997-01-01	VYDAJ	VYBER	3600	53252	\N	\N	\N
977317	3330	1996-06-13	VYDAJ	VYBER	4200	32098	\N	\N	\N
977318	3330	1996-09-18	VYDAJ	VYBER	8400	91041	\N	\N	\N
977320	3330	1996-06-03	VYDAJ	VYBER	11700	36298	\N	\N	\N
977321	3330	1997-05-10	VYDAJ	VYBER	2400	44733	\N	\N	\N
977323	3330	1997-01-19	VYDAJ	VYBER	10800	35241	\N	\N	\N
977324	3330	1997-04-21	VYDAJ	VYBER	3300	83773	\N	\N	\N
977325	3330	1997-07-22	VYDAJ	VYBER	4500	45860	\N	\N	\N
977327	3330	1998-08-06	VYDAJ	VYBER	2100	52304	\N	\N	\N
977328	3330	1998-10-29	VYDAJ	VYBER	3600	43499	\N	\N	\N
977329	3330	1998-10-13	VYDAJ	VYBER	5400	109189	\N	\N	\N
977330	3330	1998-09-22	VYDAJ	VYBER	12300	43786	\N	\N	\N
977347	3330	1996-04-30	VYDAJ	VYBER	15	103552	SLUZBY	\N	\N
977348	3330	1996-05-31	VYDAJ	VYBER	15	62598	SLUZBY	\N	\N
977349	3330	1996-06-30	VYDAJ	VYBER	15	26505	SLUZBY	\N	\N
977350	3330	1996-07-31	VYDAJ	VYBER	15	49894	SLUZBY	\N	\N
977351	3330	1996-08-31	VYDAJ	VYBER	15	49910	SLUZBY	\N	\N
977352	3330	1996-09-30	VYDAJ	VYBER	15	58890	SLUZBY	\N	\N
977353	3330	1996-10-31	VYDAJ	VYBER	15	43568	SLUZBY	\N	\N
977354	3330	1996-11-30	VYDAJ	VYBER	15	54451	SLUZBY	\N	\N
977355	3330	1996-12-31	VYDAJ	VYBER	15	56852	SLUZBY	\N	\N
977356	3330	1997-01-31	VYDAJ	VYBER	15	63544	SLUZBY	\N	\N
977357	3330	1997-02-28	VYDAJ	VYBER	15	55364	SLUZBY	\N	\N
977358	3330	1997-03-31	VYDAJ	VYBER	15	62133	SLUZBY	\N	\N
977359	3330	1997-04-30	VYDAJ	VYBER	15	47133	SLUZBY	\N	\N
977360	3330	1997-05-31	VYDAJ	VYBER	15	53461	SLUZBY	\N	\N
977361	3330	1997-06-30	VYDAJ	VYBER	15	56073	SLUZBY	\N	\N
977362	3330	1997-07-31	VYDAJ	VYBER	15	56701	SLUZBY	\N	\N
977363	3330	1997-08-31	VYDAJ	VYBER	15	104850	SLUZBY	\N	\N
977364	3330	1997-09-30	VYDAJ	VYBER	15	76128	SLUZBY	\N	\N
977365	3330	1997-10-31	VYDAJ	VYBER	15	63033	SLUZBY	\N	\N
977366	3330	1997-11-30	VYDAJ	VYBER	15	41747	SLUZBY	\N	\N
977367	3330	1997-12-31	VYDAJ	VYBER	15	28668	SLUZBY	\N	\N
977368	3330	1998-01-31	VYDAJ	VYBER	15	19247	SLUZBY	\N	\N
977369	3330	1998-02-28	VYDAJ	VYBER	15	36361	SLUZBY	\N	\N
977370	3330	1998-03-31	VYDAJ	VYBER	15	42496	SLUZBY	\N	\N
977371	3330	1998-04-30	VYDAJ	VYBER	15	29530	SLUZBY	\N	\N
977372	3330	1998-05-31	VYDAJ	VYBER	15	28263	SLUZBY	\N	\N
977373	3330	1998-06-30	VYDAJ	VYBER	15	55047	SLUZBY	\N	\N
977374	3330	1998-07-31	VYDAJ	VYBER	15	54404	SLUZBY	\N	\N
977375	3330	1998-08-31	VYDAJ	VYBER	15	46756	SLUZBY	\N	\N
977376	3330	1998-09-30	VYDAJ	VYBER	15	104961	SLUZBY	\N	\N
977377	3330	1998-10-31	VYDAJ	VYBER	15	43832	SLUZBY	\N	\N
977378	3330	1998-11-30	VYDAJ	VYBER	15	71848	SLUZBY	\N	\N
977379	3330	1995-08-07	PRIJEM	VKLAD	11900	12300	\N	\N	\N
977380	3330	1995-09-06	PRIJEM	VKLAD	6900	19200	\N	\N	\N
977381	3330	1995-10-06	PRIJEM	VKLAD	5100	29522	\N	\N	\N
977382	3330	1995-11-05	VYDAJ	VYBER	1000	28625	\N	\N	\N
977383	3330	1995-12-05	PRIJEM	VKLAD	1300	30048	\N	\N	\N
977384	3330	1996-01-04	VYDAJ	VYBER	700	29471	\N	\N	\N
977385	3330	1996-01-25	VYDAJ	VYBER	40100	73916	\N	\N	\N
977386	3330	1996-02-03	VYDAJ	VYBER	23700	50392	\N	\N	\N
977387	3330	1996-03-04	VYDAJ	VYBER	8900	41800	\N	\N	\N
977388	3330	1996-04-03	VYDAJ	VYBER	3100	39008	\N	\N	\N
977389	3330	1996-04-30	VYDAJ	VYBER	22300	81252	\N	\N	\N
977390	3330	1996-04-30	VYDAJ	VYBER	44800	103566	\N	\N	\N
977391	3330	1996-05-01	VYDAJ	VYBER	21400	102341	\N	\N	\N
977392	3330	1996-05-03	VYDAJ	VYBER	34300	68041	\N	\N	\N
977393	3330	1996-06-02	VYDAJ	VYBER	14600	47998	\N	\N	\N
977394	3330	1996-07-02	PRIJEM	VKLAD	4800	31305	\N	\N	\N
977395	3330	1996-08-01	VYDAJ	VYBER	5400	44494	\N	\N	\N
977396	3330	1996-08-31	VYDAJ	VYBER	17700	49925	\N	\N	\N
977397	3330	1996-09-20	VYDAJ	VYBER	36800	82457	\N	\N	\N
977398	3330	1996-09-30	VYDAJ	VYBER	23900	58904	\N	\N	\N
977399	3330	1996-10-18	VYDAJ	VYBER	63400	56427	\N	\N	\N
977400	3330	1996-10-30	VYDAJ	VYBER	13100	43327	\N	\N	\N
977401	3330	1996-11-05	VYDAJ	VYBER	43400	66916	\N	\N	\N
977402	3330	1996-11-29	VYDAJ	VYBER	25700	54150	\N	\N	\N
977403	3330	1996-12-29	VYDAJ	VYBER	28700	56572	\N	\N	\N
977404	3330	1997-01-11	VYDAJ	VYBER	38300	72454	\N	\N	\N
977405	3330	1997-01-28	VYDAJ	VYBER	2500	28241	\N	\N	\N
977406	3330	1997-02-27	VYDAJ	VYBER	35100	55096	\N	\N	\N
977407	3330	1997-03-18	VYDAJ	VYBER	30300	94548	\N	\N	\N
977408	3330	1997-03-29	VYDAJ	VYBER	32700	61848	\N	\N	\N
977409	3330	1997-04-23	VYDAJ	VYBER	39600	72957	\N	\N	\N
977410	3330	1997-04-28	VYDAJ	VYBER	26100	46857	\N	\N	\N
977411	3330	1997-05-28	VYDAJ	VYBER	24800	53291	\N	\N	\N
977412	3330	1997-06-11	VYDAJ	VYBER	59100	90405	\N	\N	\N
977413	3330	1997-06-27	VYDAJ	VYBER	28900	55792	\N	\N	\N
977414	3330	1997-07-27	VYDAJ	VYBER	29900	56487	\N	\N	\N
977415	3330	1997-08-19	VYDAJ	VYBER	43800	86488	\N	\N	\N
977416	3330	1997-08-26	VYDAJ	VYBER	30400	56088	\N	\N	\N
977417	3330	1997-09-09	VYDAJ	VYBER	24300	124106	\N	\N	\N
977418	3330	1997-09-14	VYDAJ	VYBER	35700	88406	\N	\N	\N
977419	3330	1997-09-25	VYDAJ	VYBER	31000	51693	\N	\N	\N
977420	3330	1997-10-02	VYDAJ	VYBER	20800	98764	\N	\N	\N
977421	3330	1997-10-25	VYDAJ	VYBER	40300	62678	\N	\N	\N
977422	3330	1997-11-24	VYDAJ	VYBER	15800	41520	\N	\N	\N
977423	3330	1997-12-24	VYDAJ	VYBER	5100	28534	\N	\N	\N
977424	3330	1998-01-23	VYDAJ	VYBER	3800	19155	\N	\N	\N
977425	3330	1998-02-22	VYDAJ	VYBER	23500	36266	\N	\N	\N
977426	3330	1998-03-24	VYDAJ	VYBER	22000	42350	\N	\N	\N
977427	3330	1998-04-23	VYDAJ	VYBER	7400	29383	\N	\N	\N
977428	3330	1998-05-23	VYDAJ	VYBER	14200	28142	\N	\N	\N
977429	3330	1998-06-22	VYDAJ	VYBER	21200	31924	\N	\N	\N
977430	3330	1998-07-22	VYDAJ	VYBER	34300	54187	\N	\N	\N
977431	3330	1998-08-21	VYDAJ	VYBER	28500	46519	\N	\N	\N
977432	3330	1998-09-20	VYDAJ	VYBER	38800	56086	\N	\N	\N
977433	3330	1998-10-20	VYDAJ	VYBER	48200	55276	\N	\N	\N
977434	3330	1998-11-19	VYDAJ	VYBER	12200	25919	\N	\N	\N
977435	3330	1998-12-19	VYDAJ	VYBER	39700	53603	\N	\N	\N
977475	3331	1997-02-20	PRIJEM	VKLAD	400	400	\N	\N	\N
977478	3331	1997-03-06	PRIJEM	VKLAD	13687	14087	\N	\N	\N
977479	3331	1997-04-06	PRIJEM	VKLAD	13687	32599	\N	\N	\N
977480	3331	1997-05-06	PRIJEM	VKLAD	13687	40476	\N	\N	\N
977481	3331	1997-06-06	PRIJEM	VKLAD	20530	49921	\N	\N	\N
977482	3331	1997-07-06	PRIJEM	VKLAD	13687	48638	\N	\N	\N
977483	3331	1997-08-06	PRIJEM	VKLAD	13687	43205	\N	\N	\N
977484	3331	1997-09-06	PRIJEM	VKLAD	13687	44766	\N	\N	\N
977485	3331	1997-10-06	PRIJEM	VKLAD	13687	47535	\N	\N	\N
977486	3331	1997-11-06	PRIJEM	VKLAD	13687	41900	\N	\N	\N
977487	3331	1997-12-06	PRIJEM	VKLAD	20530	41566	\N	\N	\N
977488	3331	1998-01-06	PRIJEM	VKLAD	13687	27409	\N	\N	\N
977489	3331	1998-02-06	PRIJEM	VKLAD	13687	26217	\N	\N	\N
977490	3331	1998-03-06	PRIJEM	VKLAD	13687	30410	\N	\N	\N
977491	3331	1998-04-06	PRIJEM	VKLAD	13687	31014	\N	\N	\N
977492	3331	1998-05-06	PRIJEM	VKLAD	13687	28797	\N	\N	\N
977493	3331	1998-06-06	PRIJEM	VKLAD	20530	43351	\N	\N	\N
977494	3331	1998-07-06	PRIJEM	VKLAD	13687	38228	\N	\N	\N
977495	3331	1998-08-06	PRIJEM	VKLAD	13687	36658	\N	\N	\N
977496	3331	1998-09-06	PRIJEM	VKLAD	13687	36282	\N	\N	\N
977497	3331	1998-10-06	PRIJEM	VKLAD	13687	32595	\N	\N	\N
977498	3331	1998-11-06	PRIJEM	VKLAD	13687	30756	\N	\N	\N
977499	3331	1998-12-06	PRIJEM	VKLAD	20530	32986	\N	\N	\N
977507	3331	1997-08-05	VYDAJ	PREVOD NA UCET	3832	29518	SIPO	EF	11893606
977508	3331	1997-09-05	VYDAJ	PREVOD NA UCET	3832	31079	SIPO	EF	11893606
977509	3331	1997-10-05	VYDAJ	PREVOD NA UCET	3832	33848	SIPO	EF	11893606
977510	3331	1997-11-05	VYDAJ	PREVOD NA UCET	3832	28213	SIPO	EF	11893606
977511	3331	1997-12-05	VYDAJ	PREVOD NA UCET	3832	21036	SIPO	EF	11893606
977512	3331	1998-01-05	VYDAJ	PREVOD NA UCET	3832	13722	SIPO	EF	11893606
977513	3331	1998-02-05	VYDAJ	PREVOD NA UCET	3832	12530	SIPO	EF	11893606
977514	3331	1998-03-05	VYDAJ	PREVOD NA UCET	3832	16723	SIPO	EF	11893606
977515	3331	1998-04-05	VYDAJ	PREVOD NA UCET	3832	17327	SIPO	EF	11893606
977516	3331	1998-05-05	VYDAJ	PREVOD NA UCET	3832	15110	SIPO	EF	11893606
977517	3331	1998-06-05	VYDAJ	PREVOD NA UCET	3832	22821	SIPO	EF	11893606
977518	3331	1998-07-05	VYDAJ	PREVOD NA UCET	3832	24541	SIPO	EF	11893606
977519	3331	1998-08-05	VYDAJ	PREVOD NA UCET	3832	22971	SIPO	EF	11893606
977520	3331	1998-09-05	VYDAJ	PREVOD NA UCET	3832	22595	SIPO	EF	11893606
977521	3331	1998-10-05	VYDAJ	PREVOD NA UCET	3832	18908	SIPO	EF	11893606
977522	3331	1998-11-05	VYDAJ	PREVOD NA UCET	3832	17069	SIPO	EF	11893606
977523	3331	1998-12-05	VYDAJ	PREVOD NA UCET	3832	12456	SIPO	EF	11893606
977530	3331	1997-07-08	VYDAJ	PREVOD NA UCET	1436	47202	 	YZ	15388948
977531	3331	1997-08-08	VYDAJ	PREVOD NA UCET	1436	41769	 	YZ	15388948
977532	3331	1997-09-08	VYDAJ	PREVOD NA UCET	1436	43330	 	YZ	15388948
977666	3332	1998-06-25	VYDAJ	VYBER	25000	17771	\N	\N	\N
977533	3331	1997-10-08	VYDAJ	PREVOD NA UCET	1436	46099	 	YZ	15388948
977534	3331	1997-11-08	VYDAJ	PREVOD NA UCET	1436	40464	 	YZ	15388948
977535	3331	1997-12-08	VYDAJ	PREVOD NA UCET	1436	40130	 	YZ	15388948
977536	3331	1998-01-08	VYDAJ	PREVOD NA UCET	1436	25973	 	YZ	15388948
977537	3331	1998-02-08	VYDAJ	PREVOD NA UCET	1436	24781	 	YZ	15388948
977538	3331	1998-03-08	VYDAJ	PREVOD NA UCET	1436	28974	 	YZ	15388948
977539	3331	1998-04-08	VYDAJ	PREVOD NA UCET	1436	29578	 	YZ	15388948
977540	3331	1998-05-08	VYDAJ	PREVOD NA UCET	1436	27361	 	YZ	15388948
977541	3331	1998-06-08	VYDAJ	PREVOD NA UCET	1436	41915	 	YZ	15388948
977542	3331	1998-07-08	VYDAJ	PREVOD NA UCET	1436	36792	 	YZ	15388948
977543	3331	1998-08-08	VYDAJ	PREVOD NA UCET	1436	35222	 	YZ	15388948
977544	3331	1998-09-08	VYDAJ	PREVOD NA UCET	1436	34846	 	YZ	15388948
977545	3331	1998-10-08	VYDAJ	PREVOD NA UCET	1436	30319	 	YZ	15388948
977546	3331	1998-11-08	VYDAJ	PREVOD NA UCET	1436	29320	 	YZ	15388948
977547	3331	1998-12-08	VYDAJ	PREVOD NA UCET	1436	31550	 	YZ	15388948
977551	3331	1998-01-04	VYDAJ	VYBER	12800	17554	\N	\N	\N
977552	3331	1997-12-02	VYDAJ	VYBER	3360	24868	\N	\N	\N
977553	3331	1998-12-14	VYDAJ	VYBER	2240	16610	\N	\N	\N
977560	3331	1998-01-28	VYDAJ	VYBER	1320	16293	\N	\N	\N
977561	3331	1998-01-17	VYDAJ	VYBER	1080	17613	\N	\N	\N
977562	3331	1998-01-09	VYDAJ	VYBER	2880	23093	\N	\N	\N
977563	3331	1998-01-12	VYDAJ	VYBER	2520	16493	\N	\N	\N
977564	3331	1998-01-11	VYDAJ	VYBER	2160	19013	\N	\N	\N
977565	3331	1998-01-09	VYDAJ	VYBER	1920	21173	\N	\N	\N
977567	3331	1997-11-17	VYDAJ	VYBER	5760	34704	\N	\N	\N
977569	3331	1998-06-11	VYDAJ	VYBER	1560	40355	\N	\N	\N
977570	3331	1998-04-26	VYDAJ	VYBER	2520	18858	\N	\N	\N
977571	3331	1998-10-06	VYDAJ	VYBER	840	31755	\N	\N	\N
977579	3331	1997-07-31	VYDAJ	VYBER	15	33350	SLUZBY	\N	\N
977580	3331	1997-08-31	VYDAJ	VYBER	15	34911	SLUZBY	\N	\N
977581	3331	1997-09-30	VYDAJ	VYBER	15	37680	SLUZBY	\N	\N
977582	3331	1997-10-31	VYDAJ	VYBER	15	32045	SLUZBY	\N	\N
977583	3331	1997-11-30	VYDAJ	VYBER	15	28228	SLUZBY	\N	\N
977584	3331	1997-12-31	VYDAJ	VYBER	15	30354	SLUZBY	\N	\N
977585	3331	1998-01-31	VYDAJ	VYBER	15	16362	SLUZBY	\N	\N
977586	3331	1998-02-28	VYDAJ	VYBER	15	20555	SLUZBY	\N	\N
977587	3331	1998-03-31	VYDAJ	VYBER	15	21159	SLUZBY	\N	\N
977588	3331	1998-04-30	VYDAJ	VYBER	15	18942	SLUZBY	\N	\N
977589	3331	1998-05-31	VYDAJ	VYBER	15	26653	SLUZBY	\N	\N
977590	3331	1998-06-30	VYDAJ	VYBER	15	28373	SLUZBY	\N	\N
977591	3331	1998-07-31	VYDAJ	VYBER	15	26803	SLUZBY	\N	\N
977592	3331	1998-08-31	VYDAJ	VYBER	15	26427	SLUZBY	\N	\N
977593	3331	1998-09-30	VYDAJ	VYBER	15	22740	SLUZBY	\N	\N
977594	3331	1998-10-31	VYDAJ	VYBER	15	20901	SLUZBY	\N	\N
977595	3331	1998-11-30	VYDAJ	VYBER	15	16288	SLUZBY	\N	\N
977596	3331	1997-03-22	PRIJEM	VKLAD	4800	18887	\N	\N	\N
977597	3331	1997-04-21	VYDAJ	VYBER	5900	26699	\N	\N	\N
977598	3331	1997-05-21	VYDAJ	VYBER	11200	29276	\N	\N	\N
977599	3331	1997-06-20	VYDAJ	VYBER	15100	34821	\N	\N	\N
977600	3331	1997-07-20	VYDAJ	VYBER	14000	33202	\N	\N	\N
977601	3331	1997-08-19	VYDAJ	VYBER	7000	34769	\N	\N	\N
977602	3331	1997-09-18	VYDAJ	VYBER	5800	37530	\N	\N	\N
977603	3331	1997-10-18	VYDAJ	VYBER	14200	31899	\N	\N	\N
977604	3331	1997-11-17	VYDAJ	VYBER	6600	28104	\N	\N	\N
977605	3331	1997-12-17	VYDAJ	VYBER	9900	30230	\N	\N	\N
977606	3331	1998-01-16	PRIJEM	VKLAD	2200	18693	\N	\N	\N
977607	3331	1998-02-15	VYDAJ	VYBER	4300	20481	\N	\N	\N
977608	3331	1998-03-17	VYDAJ	VYBER	7900	21074	\N	\N	\N
977609	3331	1998-04-16	VYDAJ	VYBER	8200	21378	\N	\N	\N
977610	3331	1998-05-16	VYDAJ	VYBER	800	26561	\N	\N	\N
977611	3331	1998-06-15	VYDAJ	VYBER	12100	28255	\N	\N	\N
977612	3331	1998-07-15	VYDAJ	VYBER	10100	26692	\N	\N	\N
977613	3331	1998-08-14	VYDAJ	VYBER	8900	26322	\N	\N	\N
977614	3331	1998-09-13	VYDAJ	VYBER	12200	22646	\N	\N	\N
977615	3331	1998-10-13	VYDAJ	VYBER	9500	20819	\N	\N	\N
977616	3331	1998-11-12	VYDAJ	VYBER	13100	16220	\N	\N	\N
977617	3331	1998-12-12	VYDAJ	VYBER	12700	18850	\N	\N	\N
977640	3332	1997-03-25	PRIJEM	VKLAD	300	300	\N	\N	\N
977644	3332	1997-04-07	PRIJEM	VKLAD	7794	8094	\N	\N	\N
977645	3332	1997-05-07	PRIJEM	VKLAD	7794	20901	\N	\N	\N
977646	3332	1997-06-07	PRIJEM	VKLAD	11691	30953	\N	\N	\N
977647	3332	1997-07-07	PRIJEM	VKLAD	7794	30431	\N	\N	\N
977648	3332	1997-08-07	PRIJEM	VKLAD	7794	33923	\N	\N	\N
977649	3332	1997-09-07	PRIJEM	VKLAD	7794	39017	\N	\N	\N
977650	3332	1997-10-07	PRIJEM	VKLAD	7794	41230	\N	\N	\N
977651	3332	1997-11-07	PRIJEM	VKLAD	7794	41248	\N	\N	\N
977652	3332	1997-12-07	PRIJEM	VKLAD	11691	41968	\N	\N	\N
977653	3332	1998-01-07	PRIJEM	VKLAD	7794	40203	\N	\N	\N
977654	3332	1998-02-07	PRIJEM	VKLAD	7794	35114	\N	\N	\N
977655	3332	1998-03-07	PRIJEM	VKLAD	7794	42419	\N	\N	\N
977656	3332	1998-04-07	PRIJEM	VKLAD	7794	40041	\N	\N	\N
977657	3332	1998-05-07	PRIJEM	VKLAD	7794	40255	\N	\N	\N
977658	3332	1998-06-07	PRIJEM	VKLAD	11691	46571	\N	\N	\N
977659	3332	1998-07-07	PRIJEM	VKLAD	7794	24889	\N	\N	\N
977660	3332	1998-08-07	PRIJEM	VKLAD	7794	39479	\N	\N	\N
977661	3332	1998-09-07	PRIJEM	VKLAD	7794	50813	\N	\N	\N
977662	3332	1998-10-07	PRIJEM	VKLAD	7794	57084	\N	\N	\N
977663	3332	1998-11-07	PRIJEM	VKLAD	7794	57268	\N	\N	\N
977664	3332	1998-12-07	PRIJEM	VKLAD	11691	64259	\N	\N	\N
977667	3332	1997-12-19	VYDAJ	VYBER	2300	39668	\N	\N	\N
977668	3332	1998-12-25	VYDAJ	VYBER	900	60759	\N	\N	\N
977675	3332	1998-01-28	VYDAJ	VYBER	1300	27203	\N	\N	\N
977676	3332	1998-01-07	VYDAJ	VYBER	2200	38003	\N	\N	\N
977677	3332	1998-01-10	VYDAJ	VYBER	1900	34103	\N	\N	\N
977678	3332	1998-01-09	VYDAJ	VYBER	2000	36003	\N	\N	\N
977679	3332	1998-01-27	VYDAJ	VYBER	700	28503	\N	\N	\N
977680	3332	1998-01-13	VYDAJ	VYBER	2000	32103	\N	\N	\N
977681	3332	1997-12-05	VYDAJ	VYBER	2700	30277	\N	\N	\N
977683	3332	1997-11-12	VYDAJ	VYBER	3500	37748	\N	\N	\N
977686	3332	1998-11-19	VYDAJ	VYBER	3400	52368	\N	\N	\N
977687	3332	1998-03-15	VYDAJ	VYBER	4400	38019	\N	\N	\N
977688	3332	1998-01-01	VYDAJ	VYBER	1000	33809	\N	\N	\N
977689	3332	1998-05-18	VYDAJ	VYBER	2300	37955	\N	\N	\N
977690	3332	1998-07-03	VYDAJ	VYBER	800	17095	\N	\N	\N
977691	3332	1998-01-04	VYDAJ	VYBER	1400	32409	\N	\N	\N
977700	3332	1997-08-31	VYDAJ	VYBER	15	31223	SLUZBY	\N	\N
977701	3332	1997-09-30	VYDAJ	VYBER	15	33436	SLUZBY	\N	\N
977702	3332	1997-10-31	VYDAJ	VYBER	15	33454	SLUZBY	\N	\N
977703	3332	1997-11-30	VYDAJ	VYBER	15	32977	SLUZBY	\N	\N
977704	3332	1997-12-31	VYDAJ	VYBER	15	34809	SLUZBY	\N	\N
977705	3332	1998-01-31	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
977706	3332	1998-02-28	VYDAJ	VYBER	15	34625	SLUZBY	\N	\N
977707	3332	1998-03-31	VYDAJ	VYBER	15	32247	SLUZBY	\N	\N
977708	3332	1998-04-30	VYDAJ	VYBER	15	32461	SLUZBY	\N	\N
977709	3332	1998-05-31	VYDAJ	VYBER	15	34880	SLUZBY	\N	\N
977710	3332	1998-06-30	VYDAJ	VYBER	15	17895	SLUZBY	\N	\N
977711	3332	1998-07-31	VYDAJ	VYBER	15	31685	SLUZBY	\N	\N
977712	3332	1998-08-31	VYDAJ	VYBER	15	43019	SLUZBY	\N	\N
977713	3332	1998-09-30	VYDAJ	VYBER	15	49290	SLUZBY	\N	\N
977714	3332	1998-10-31	VYDAJ	VYBER	15	49474	SLUZBY	\N	\N
977715	3332	1998-11-30	VYDAJ	VYBER	15	52568	SLUZBY	\N	\N
977716	3332	1997-04-24	PRIJEM	VKLAD	5000	13094	\N	\N	\N
977717	3332	1997-05-24	VYDAJ	VYBER	1700	19201	\N	\N	\N
977718	3332	1997-06-23	VYDAJ	VYBER	8400	22553	\N	\N	\N
977719	3332	1997-07-23	VYDAJ	VYBER	4400	26031	\N	\N	\N
977720	3332	1997-08-22	VYDAJ	VYBER	2800	31123	\N	\N	\N
977721	3332	1997-09-21	VYDAJ	VYBER	5700	33317	\N	\N	\N
977722	3332	1997-10-21	VYDAJ	VYBER	7900	33330	\N	\N	\N
977723	3332	1997-11-20	VYDAJ	VYBER	4900	32848	\N	\N	\N
977724	3332	1997-12-20	VYDAJ	VYBER	5000	34668	\N	\N	\N
977725	3332	1998-01-19	VYDAJ	VYBER	2900	29203	\N	\N	\N
977726	3332	1998-02-18	VYDAJ	VYBER	600	34514	\N	\N	\N
977727	3332	1998-03-20	VYDAJ	VYBER	5900	32119	\N	\N	\N
977728	3332	1998-04-19	VYDAJ	VYBER	7700	32341	\N	\N	\N
977729	3332	1998-05-19	VYDAJ	VYBER	3200	34755	\N	\N	\N
977730	3332	1998-06-18	VYDAJ	VYBER	3800	42771	\N	\N	\N
977731	3332	1998-07-18	PRIJEM	VKLAD	6700	31589	\N	\N	\N
977732	3332	1998-08-17	PRIJEM	VKLAD	3400	42879	\N	\N	\N
977733	3332	1998-09-16	VYDAJ	VYBER	1700	49113	\N	\N	\N
977734	3332	1998-10-16	VYDAJ	VYBER	7800	49284	\N	\N	\N
977735	3332	1998-11-15	VYDAJ	VYBER	1500	55768	\N	\N	\N
977736	3332	1998-12-15	VYDAJ	VYBER	2600	61659	\N	\N	\N
977758	3333	1997-11-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
977761	3333	1998-05-21	PRIJEM	VKLAD	41417	70501	\N	\N	\N
977762	3333	1998-10-20	PRIJEM	VKLAD	10238	42031	\N	\N	\N
977774	3333	1997-12-14	PRIJEM	VKLAD	1200	2300	\N	\N	\N
977775	3333	1998-01-14	PRIJEM	VKLAD	1200	12007	\N	\N	\N
977776	3333	1998-02-15	PRIJEM	VKLAD	1200	19458	\N	\N	\N
977777	3333	1998-03-16	PRIJEM	VKLAD	1200	23236	\N	\N	\N
977778	3333	1998-04-15	PRIJEM	VKLAD	1200	29032	\N	\N	\N
977779	3333	1998-05-15	PRIJEM	VKLAD	1200	30434	\N	\N	\N
977780	3333	1998-06-15	PRIJEM	VKLAD	1200	51653	\N	\N	\N
977781	3333	1998-07-16	PRIJEM	VKLAD	1200	17579	\N	\N	\N
977782	3333	1998-08-16	PRIJEM	VKLAD	1200	24391	\N	\N	\N
977783	3333	1998-09-17	PRIJEM	VKLAD	1200	31581	\N	\N	\N
977784	3333	1998-10-15	PRIJEM	VKLAD	1200	31793	\N	\N	\N
977785	3333	1998-11-15	PRIJEM	VKLAD	1200	36754	\N	\N	\N
977786	3333	1998-12-15	PRIJEM	VKLAD	1200	34885	\N	\N	\N
977788	3333	1998-06-28	VYDAJ	VYBER	14000	16203	\N	\N	\N
977790	3333	1998-06-27	VYDAJ	VYBER	10800	30203	\N	\N	\N
977792	3333	1998-12-19	VYDAJ	VYBER	1100	33785	\N	\N	\N
977813	3333	1998-07-17	VYDAJ	VYBER	700	16879	\N	\N	\N
977814	3333	1998-05-17	VYDAJ	VYBER	1350	29084	\N	\N	\N
977815	3333	1998-06-25	VYDAJ	VYBER	1950	41003	\N	\N	\N
977816	3333	1998-07-28	VYDAJ	VYBER	2200	23129	\N	\N	\N
977817	3333	1998-07-28	VYDAJ	VYBER	2150	25329	\N	\N	\N
977834	3333	1998-04-30	VYDAJ	VYBER	15	29234	SLUZBY	\N	\N
977835	3333	1998-05-31	VYDAJ	VYBER	15	50453	SLUZBY	\N	\N
977836	3333	1998-06-30	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
977837	3333	1998-07-31	VYDAJ	VYBER	15	23191	SLUZBY	\N	\N
977838	3333	1998-08-31	VYDAJ	VYBER	15	30381	SLUZBY	\N	\N
977839	3333	1998-09-30	VYDAJ	VYBER	15	30593	SLUZBY	\N	\N
977840	3333	1998-10-31	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
977841	3333	1998-11-30	VYDAJ	VYBER	15	33685	SLUZBY	\N	\N
977842	3333	1997-12-27	PRIJEM	VKLAD	8500	10800	\N	\N	\N
977843	3333	1998-01-26	PRIJEM	VKLAD	6200	18207	\N	\N	\N
977844	3333	1998-02-25	PRIJEM	VKLAD	2500	21958	\N	\N	\N
977845	3333	1998-03-27	PRIJEM	VKLAD	4500	27736	\N	\N	\N
977846	3333	1998-04-26	PRIJEM	VKLAD	100	29132	\N	\N	\N
977847	3333	1998-05-26	VYDAJ	VYBER	20200	50301	\N	\N	\N
977848	3333	1998-06-25	VYDAJ	VYBER	8700	42953	\N	\N	\N
977849	3333	1998-07-25	PRIJEM	VKLAD	10600	27479	\N	\N	\N
977850	3333	1998-08-24	PRIJEM	VKLAD	5900	30291	\N	\N	\N
977851	3333	1998-09-23	VYDAJ	VYBER	1100	30481	\N	\N	\N
977852	3333	1998-10-23	VYDAJ	VYBER	6600	35431	\N	\N	\N
977853	3333	1998-11-22	VYDAJ	VYBER	3200	33554	\N	\N	\N
977867	3334	1996-07-09	PRIJEM	VKLAD	700	700	\N	\N	\N
977870	3334	1997-10-12	PRIJEM	VKLAD	37609	56147	\N	\N	\N
977871	3334	1997-05-20	PRIJEM	VKLAD	18268	31168	\N	\N	\N
977872	3334	1998-07-08	PRIJEM	VKLAD	39392	66199	\N	\N	\N
977873	3334	1998-10-14	PRIJEM	VKLAD	42302	77386	\N	\N	\N
977951	3334	1996-10-07	PRIJEM	VKLAD	11600	12300	\N	\N	\N
977952	3334	1996-11-06	PRIJEM	VKLAD	1900	14200	\N	\N	\N
977953	3334	1996-12-06	VYDAJ	VYBER	800	13400	\N	\N	\N
977954	3334	1997-01-05	PRIJEM	VKLAD	3000	16400	\N	\N	\N
977955	3334	1997-02-04	PRIJEM	VKLAD	2300	18700	\N	\N	\N
977956	3334	1997-03-06	VYDAJ	VYBER	300	18400	\N	\N	\N
977957	3334	1997-04-05	PRIJEM	VKLAD	700	19100	\N	\N	\N
977958	3334	1997-05-05	VYDAJ	VYBER	6200	12900	\N	\N	\N
977959	3334	1997-06-04	VYDAJ	VYBER	8400	22818	\N	\N	\N
977960	3334	1997-07-04	VYDAJ	VYBER	5100	17848	\N	\N	\N
977961	3334	1997-08-03	VYDAJ	VYBER	3000	14978	\N	\N	\N
977962	3334	1997-09-02	PRIJEM	VKLAD	700	15808	\N	\N	\N
977963	3334	1997-10-02	PRIJEM	VKLAD	2600	18538	\N	\N	\N
977964	3334	1997-11-01	VYDAJ	VYBER	17500	38844	\N	\N	\N
977965	3334	1997-12-01	VYDAJ	VYBER	12700	26378	\N	\N	\N
977966	3334	1997-12-31	VYDAJ	VYBER	6400	20207	\N	\N	\N
977967	3334	1998-01-30	PRIJEM	VKLAD	900	21107	\N	\N	\N
977968	3334	1998-03-01	PRIJEM	VKLAD	700	21900	\N	\N	\N
977969	3334	1998-03-31	PRIJEM	VKLAD	3900	25800	\N	\N	\N
977970	3334	1998-04-30	VYDAJ	VYBER	300	25692	\N	\N	\N
977971	3334	1998-05-30	PRIJEM	VKLAD	1000	26692	\N	\N	\N
977972	3334	1998-06-29	VYDAJ	VYBER	100	26700	\N	\N	\N
977973	3334	1998-07-29	VYDAJ	VYBER	21800	44399	\N	\N	\N
977974	3334	1998-08-28	VYDAJ	VYBER	6300	38214	\N	\N	\N
977975	3334	1998-09-27	VYDAJ	VYBER	3500	34899	\N	\N	\N
977976	3334	1998-10-27	VYDAJ	VYBER	23300	54086	\N	\N	\N
977977	3334	1998-11-26	VYDAJ	VYBER	11900	42377	\N	\N	\N
977995	3335	1996-02-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
977998	3335	1996-03-09	PRIJEM	PREVOD Z UCTU	3255	4255	\N	UV	27600163
977999	3335	1996-04-09	PRIJEM	PREVOD Z UCTU	3255	7510	\N	UV	27600163
978000	3335	1996-05-09	PRIJEM	PREVOD Z UCTU	3255	10765	\N	UV	27600163
978001	3335	1996-06-09	PRIJEM	PREVOD Z UCTU	3255	14020	\N	UV	27600163
978002	3335	1996-07-09	PRIJEM	PREVOD Z UCTU	3255	17275	\N	UV	27600163
978003	3335	1996-08-09	PRIJEM	PREVOD Z UCTU	3255	16800	\N	UV	27600163
978004	3335	1996-09-09	PRIJEM	PREVOD Z UCTU	3255	17939	\N	UV	27600163
978005	3335	1996-10-09	PRIJEM	PREVOD Z UCTU	3255	19083	\N	UV	27600163
978006	3335	1996-11-09	PRIJEM	PREVOD Z UCTU	3255	20032	\N	UV	27600163
978007	3335	1996-12-09	PRIJEM	PREVOD Z UCTU	3255	20734	\N	UV	27600163
978008	3335	1997-01-09	PRIJEM	PREVOD Z UCTU	3255	21438	\N	UV	27600163
978009	3335	1997-02-09	PRIJEM	PREVOD Z UCTU	3255	22056	\N	UV	27600163
978010	3335	1997-03-09	PRIJEM	PREVOD Z UCTU	3255	21513	\N	UV	27600163
978011	3335	1997-04-09	PRIJEM	PREVOD Z UCTU	3255	22462	\N	UV	27600163
978012	3335	1997-05-09	PRIJEM	PREVOD Z UCTU	3255	23624	\N	UV	27600163
978013	3335	1997-06-09	PRIJEM	PREVOD Z UCTU	3255	24791	\N	UV	27600163
978014	3335	1997-07-09	PRIJEM	PREVOD Z UCTU	3255	22656	\N	UV	27600163
978015	3335	1997-08-09	PRIJEM	PREVOD Z UCTU	3255	23819	\N	UV	27600163
978016	3335	1997-09-09	PRIJEM	PREVOD Z UCTU	3255	24988	\N	UV	27600163
978017	3335	1997-10-09	PRIJEM	PREVOD Z UCTU	3255	25620	\N	UV	27600163
978018	3335	1997-11-09	PRIJEM	PREVOD Z UCTU	3255	26795	\N	UV	27600163
978019	3335	1997-12-09	PRIJEM	PREVOD Z UCTU	3255	26994	\N	UV	27600163
978020	3335	1998-01-09	PRIJEM	PREVOD Z UCTU	3255	27394	\N	UV	27600163
978021	3335	1998-02-09	PRIJEM	PREVOD Z UCTU	3255	25156	\N	UV	27600163
978022	3335	1998-03-09	PRIJEM	PREVOD Z UCTU	3255	26089	\N	UV	27600163
978023	3335	1998-04-09	PRIJEM	PREVOD Z UCTU	3255	27266	\N	UV	27600163
978024	3335	1998-05-09	PRIJEM	PREVOD Z UCTU	3255	27369	\N	UV	27600163
978025	3335	1998-06-09	PRIJEM	PREVOD Z UCTU	3255	28551	\N	UV	27600163
978026	3335	1998-07-09	PRIJEM	PREVOD Z UCTU	3255	21846	\N	UV	27600163
978027	3335	1998-08-09	PRIJEM	PREVOD Z UCTU	3255	23006	\N	UV	27600163
978028	3335	1998-09-09	PRIJEM	PREVOD Z UCTU	3255	24170	\N	UV	27600163
978029	3335	1998-10-09	PRIJEM	PREVOD Z UCTU	3255	25340	\N	UV	27600163
978030	3335	1998-11-09	PRIJEM	PREVOD Z UCTU	3255	26514	\N	UV	27600163
978031	3335	1998-12-09	PRIJEM	PREVOD Z UCTU	3255	26943	\N	UV	27600163
978039	3335	1996-08-06	VYDAJ	PREVOD NA UCET	2170	13545	\N	IJ	89511143
978040	3335	1996-09-06	VYDAJ	PREVOD NA UCET	2170	14684	\N	IJ	89511143
978041	3335	1996-10-06	VYDAJ	PREVOD NA UCET	2170	15828	\N	IJ	89511143
978042	3335	1996-11-06	VYDAJ	PREVOD NA UCET	2170	16777	\N	IJ	89511143
978043	3335	1996-12-06	VYDAJ	PREVOD NA UCET	2170	17479	\N	IJ	89511143
978044	3335	1997-01-06	VYDAJ	PREVOD NA UCET	2170	18183	\N	IJ	89511143
978045	3335	1997-02-06	VYDAJ	PREVOD NA UCET	2170	18801	\N	IJ	89511143
978046	3335	1997-03-06	VYDAJ	PREVOD NA UCET	2170	18258	\N	IJ	89511143
978047	3335	1997-04-06	VYDAJ	PREVOD NA UCET	2170	19207	\N	IJ	89511143
978048	3335	1997-05-06	VYDAJ	PREVOD NA UCET	2170	20369	\N	IJ	89511143
978049	3335	1997-06-06	VYDAJ	PREVOD NA UCET	2170	21536	\N	IJ	89511143
978050	3335	1997-07-06	VYDAJ	PREVOD NA UCET	2170	19401	\N	IJ	89511143
978051	3335	1997-08-06	VYDAJ	PREVOD NA UCET	2170	20564	\N	IJ	89511143
978052	3335	1997-09-06	VYDAJ	PREVOD NA UCET	2170	21733	\N	IJ	89511143
978053	3335	1997-10-06	VYDAJ	PREVOD NA UCET	2170	22365	\N	IJ	89511143
978054	3335	1997-11-06	VYDAJ	PREVOD NA UCET	2170	23540	\N	IJ	89511143
978055	3335	1997-12-06	VYDAJ	PREVOD NA UCET	2170	23739	\N	IJ	89511143
978056	3335	1998-01-06	VYDAJ	PREVOD NA UCET	2170	24139	\N	IJ	89511143
978057	3335	1998-02-06	VYDAJ	PREVOD NA UCET	2170	21901	\N	IJ	89511143
978058	3335	1998-03-06	VYDAJ	PREVOD NA UCET	2170	22834	\N	IJ	89511143
978059	3335	1998-04-06	VYDAJ	PREVOD NA UCET	2170	24011	\N	IJ	89511143
978060	3335	1998-05-06	VYDAJ	PREVOD NA UCET	2170	24114	\N	IJ	89511143
978061	3335	1998-06-06	VYDAJ	PREVOD NA UCET	2170	25296	\N	IJ	89511143
978062	3335	1998-07-06	VYDAJ	PREVOD NA UCET	2170	18591	\N	IJ	89511143
978063	3335	1998-08-06	VYDAJ	PREVOD NA UCET	2170	19751	\N	IJ	89511143
978064	3335	1998-09-06	VYDAJ	PREVOD NA UCET	2170	20915	\N	IJ	89511143
978065	3335	1998-10-06	VYDAJ	PREVOD NA UCET	2170	22085	\N	IJ	89511143
978066	3335	1998-11-06	VYDAJ	PREVOD NA UCET	2170	23259	\N	IJ	89511143
978067	3335	1998-12-06	VYDAJ	PREVOD NA UCET	2170	24438	\N	IJ	89511143
978069	3335	1997-06-14	VYDAJ	VYBER	3300	21491	\N	\N	\N
978070	3335	1998-06-28	VYDAJ	VYBER	7890	20661	\N	\N	\N
978072	3335	1997-01-20	VYDAJ	VYBER	540	20898	\N	\N	\N
978073	3335	1998-01-09	VYDAJ	VYBER	2490	24904	\N	\N	\N
978074	3335	1996-12-05	VYDAJ	VYBER	450	19649	\N	\N	\N
978075	3335	1997-12-16	VYDAJ	VYBER	780	26214	\N	\N	\N
978076	3335	1998-12-14	VYDAJ	VYBER	150	26793	\N	\N	\N
978077	3335	1996-07-25	VYDAJ	VYBER	150	15715	\N	\N	\N
978078	3335	1996-07-25	VYDAJ	VYBER	1410	15865	\N	\N	\N
978079	3335	1996-12-15	VYDAJ	VYBER	450	20284	\N	\N	\N
978080	3335	1997-04-02	VYDAJ	VYBER	210	21377	\N	\N	\N
978081	3335	1997-09-13	VYDAJ	VYBER	540	24448	\N	\N	\N
978082	3335	1997-11-19	VYDAJ	VYBER	480	25815	\N	\N	\N
978083	3335	1998-12-06	VYDAJ	VYBER	750	23688	\N	\N	\N
978084	3335	1998-01-29	VYDAJ	VYBER	930	23974	\N	\N	\N
978085	3335	1998-05-05	VYDAJ	VYBER	1080	26284	\N	\N	\N
978086	3335	1998-02-10	VYDAJ	VYBER	240	24916	\N	\N	\N
978094	3335	1996-07-31	VYDAJ	VYBER	15	15715	SLUZBY	\N	\N
978095	3335	1996-08-31	VYDAJ	VYBER	15	16854	SLUZBY	\N	\N
978096	3335	1996-09-30	VYDAJ	VYBER	15	17998	SLUZBY	\N	\N
978097	3335	1996-10-31	VYDAJ	VYBER	15	18947	SLUZBY	\N	\N
978098	3335	1996-11-30	VYDAJ	VYBER	15	20099	SLUZBY	\N	\N
978099	3335	1996-12-31	VYDAJ	VYBER	15	20353	SLUZBY	\N	\N
978100	3335	1997-01-31	VYDAJ	VYBER	15	20971	SLUZBY	\N	\N
978101	3335	1997-02-28	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
978102	3335	1997-03-31	VYDAJ	VYBER	15	21587	SLUZBY	\N	\N
978103	3335	1997-04-30	VYDAJ	VYBER	15	22539	SLUZBY	\N	\N
978104	3335	1997-05-31	VYDAJ	VYBER	15	23706	SLUZBY	\N	\N
978105	3335	1997-06-30	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
978106	3335	1997-07-31	VYDAJ	VYBER	15	22734	SLUZBY	\N	\N
978107	3335	1997-08-31	VYDAJ	VYBER	15	23903	SLUZBY	\N	\N
978108	3335	1997-09-30	VYDAJ	VYBER	15	24535	SLUZBY	\N	\N
978109	3335	1997-10-31	VYDAJ	VYBER	15	25710	SLUZBY	\N	\N
978110	3335	1997-11-30	VYDAJ	VYBER	15	25909	SLUZBY	\N	\N
978111	3335	1997-12-31	VYDAJ	VYBER	15	26309	SLUZBY	\N	\N
978112	3335	1998-01-31	VYDAJ	VYBER	15	24071	SLUZBY	\N	\N
978113	3335	1998-02-28	VYDAJ	VYBER	15	25004	SLUZBY	\N	\N
978114	3335	1998-03-31	VYDAJ	VYBER	15	26181	SLUZBY	\N	\N
978115	3335	1998-04-30	VYDAJ	VYBER	15	27364	SLUZBY	\N	\N
978116	3335	1998-05-31	VYDAJ	VYBER	15	27466	SLUZBY	\N	\N
978117	3335	1998-06-30	VYDAJ	VYBER	15	20761	SLUZBY	\N	\N
978118	3335	1998-07-31	VYDAJ	VYBER	15	21921	SLUZBY	\N	\N
978119	3335	1998-08-31	VYDAJ	VYBER	15	23085	SLUZBY	\N	\N
978120	3335	1998-09-30	VYDAJ	VYBER	15	24255	SLUZBY	\N	\N
978121	3335	1998-10-31	VYDAJ	VYBER	15	25429	SLUZBY	\N	\N
978122	3335	1998-11-30	VYDAJ	VYBER	15	26608	SLUZBY	\N	\N
978123	3335	1996-10-15	VYDAJ	VYBER	200	18883	\N	\N	\N
978124	3335	1997-02-12	VYDAJ	VYBER	1700	20356	\N	\N	\N
978125	3335	1997-11-09	VYDAJ	VYBER	500	26295	\N	\N	\N
978156	3336	1994-09-19	PRIJEM	VKLAD	900	900	\N	\N	\N
978166	3336	1994-10-06	PRIJEM	PREVOD Z UCTU	5692	6592	DUCHOD	GH	51558619
978167	3336	1994-11-06	PRIJEM	PREVOD Z UCTU	5692	12284	DUCHOD	GH	51558619
978168	3336	1994-12-06	PRIJEM	PREVOD Z UCTU	5692	17976	DUCHOD	GH	51558619
978169	3336	1995-01-06	PRIJEM	PREVOD Z UCTU	5692	23668	DUCHOD	GH	51558619
978170	3336	1995-02-06	PRIJEM	PREVOD Z UCTU	5692	28807	DUCHOD	GH	51558619
978171	3336	1995-03-06	PRIJEM	PREVOD Z UCTU	5692	30109	DUCHOD	GH	51558619
978172	3336	1995-04-06	PRIJEM	PREVOD Z UCTU	5692	26690	DUCHOD	GH	51558619
978173	3336	1995-05-06	PRIJEM	PREVOD Z UCTU	5692	27263	DUCHOD	GH	51558619
978174	3336	1995-06-06	PRIJEM	PREVOD Z UCTU	5692	26656	DUCHOD	GH	51558619
978175	3336	1995-07-06	PRIJEM	PREVOD Z UCTU	5692	28050	DUCHOD	GH	51558619
978176	3336	1995-08-06	PRIJEM	PREVOD Z UCTU	5692	28148	DUCHOD	GH	51558619
978177	3336	1995-09-06	PRIJEM	PREVOD Z UCTU	5692	27944	DUCHOD	GH	51558619
978178	3336	1995-10-06	PRIJEM	PREVOD Z UCTU	5692	30747	DUCHOD	GH	51558619
978179	3336	1995-11-06	PRIJEM	PREVOD Z UCTU	5692	29752	DUCHOD	GH	51558619
978180	3336	1995-12-06	PRIJEM	PREVOD Z UCTU	5692	25144	DUCHOD	GH	51558619
978181	3336	1996-01-06	PRIJEM	PREVOD Z UCTU	5692	21972	DUCHOD	GH	51558619
978182	3336	1996-02-06	PRIJEM	PREVOD Z UCTU	5692	23147	DUCHOD	GH	51558619
978183	3336	1996-03-06	PRIJEM	PREVOD Z UCTU	5692	21341	DUCHOD	GH	51558619
978184	3336	1996-04-06	PRIJEM	PREVOD Z UCTU	5692	20468	DUCHOD	GH	51558619
978185	3336	1996-05-06	PRIJEM	PREVOD Z UCTU	5692	21036	DUCHOD	GH	51558619
978186	3336	1996-06-06	PRIJEM	PREVOD Z UCTU	5692	18887	DUCHOD	GH	51558619
978187	3336	1996-07-06	PRIJEM	PREVOD Z UCTU	5692	21660	DUCHOD	GH	51558619
978188	3336	1996-08-06	PRIJEM	PREVOD Z UCTU	5692	24339	DUCHOD	GH	51558619
978189	3336	1996-09-06	PRIJEM	PREVOD Z UCTU	5692	23218	DUCHOD	GH	51558619
978190	3336	1996-10-06	PRIJEM	PREVOD Z UCTU	5692	19083	DUCHOD	GH	51558619
978191	3336	1996-11-06	PRIJEM	PREVOD Z UCTU	5692	18443	DUCHOD	GH	51558619
978192	3336	1996-12-06	PRIJEM	PREVOD Z UCTU	5692	16094	DUCHOD	GH	51558619
978193	3336	1997-01-06	PRIJEM	PREVOD Z UCTU	5692	17547	DUCHOD	GH	51558619
978194	3336	1997-02-06	PRIJEM	PREVOD Z UCTU	5692	14498	DUCHOD	GH	51558619
978195	3336	1997-03-06	PRIJEM	PREVOD Z UCTU	5692	17244	DUCHOD	GH	51558619
978196	3336	1997-04-06	PRIJEM	PREVOD Z UCTU	5692	20001	DUCHOD	GH	51558619
978197	3336	1997-05-06	PRIJEM	PREVOD Z UCTU	5692	20607	DUCHOD	GH	51558619
978198	3336	1997-06-06	PRIJEM	PREVOD Z UCTU	5692	22737	DUCHOD	GH	51558619
978199	3336	1997-07-06	PRIJEM	PREVOD Z UCTU	5692	17948	DUCHOD	GH	51558619
978200	3336	1997-08-06	PRIJEM	PREVOD Z UCTU	5692	20709	DUCHOD	GH	51558619
978201	3336	1997-09-06	PRIJEM	PREVOD Z UCTU	5692	23480	DUCHOD	GH	51558619
978202	3336	1997-10-06	PRIJEM	PREVOD Z UCTU	5692	20496	DUCHOD	GH	51558619
978203	3336	1997-11-06	PRIJEM	PREVOD Z UCTU	5692	23267	DUCHOD	GH	51558619
978204	3336	1997-12-06	PRIJEM	PREVOD Z UCTU	5692	24699	DUCHOD	GH	51558619
978205	3336	1998-01-06	PRIJEM	PREVOD Z UCTU	5692	27494	DUCHOD	GH	51558619
978206	3336	1998-02-06	PRIJEM	PREVOD Z UCTU	5692	30294	DUCHOD	GH	51558619
978207	3336	1998-03-06	PRIJEM	PREVOD Z UCTU	5692	30065	DUCHOD	GH	51558619
978208	3336	1998-04-06	PRIJEM	PREVOD Z UCTU	5692	32875	DUCHOD	GH	51558619
978209	3336	1998-05-06	PRIJEM	PREVOD Z UCTU	5692	34096	DUCHOD	GH	51558619
978210	3336	1998-06-06	PRIJEM	PREVOD Z UCTU	5692	36923	DUCHOD	GH	51558619
978211	3336	1998-07-06	PRIJEM	PREVOD Z UCTU	5692	27649	DUCHOD	GH	51558619
978212	3336	1998-08-06	PRIJEM	PREVOD Z UCTU	5692	30449	DUCHOD	GH	51558619
978213	3336	1998-09-06	PRIJEM	PREVOD Z UCTU	5692	33261	DUCHOD	GH	51558619
978214	3336	1998-10-06	PRIJEM	PREVOD Z UCTU	5692	18477	DUCHOD	GH	51558619
978215	3336	1998-11-06	PRIJEM	PREVOD Z UCTU	5692	17152	DUCHOD	GH	51558619
978216	3336	1998-12-06	PRIJEM	PREVOD Z UCTU	5692	19908	DUCHOD	GH	51558619
978230	3336	1995-02-14	VYDAJ	PREVOD NA UCET	2974	25833	SIPO	IJ	52481698
978231	3336	1995-03-14	VYDAJ	PREVOD NA UCET	2974	24015	SIPO	IJ	52481698
978232	3336	1995-04-14	VYDAJ	PREVOD NA UCET	2974	23716	SIPO	IJ	52481698
978233	3336	1995-05-14	VYDAJ	PREVOD NA UCET	2974	24289	SIPO	IJ	52481698
978234	3336	1995-06-14	VYDAJ	PREVOD NA UCET	2974	23682	SIPO	IJ	52481698
978235	3336	1995-07-14	VYDAJ	PREVOD NA UCET	2974	25076	SIPO	IJ	52481698
978236	3336	1995-08-14	VYDAJ	PREVOD NA UCET	2974	25174	SIPO	IJ	52481698
978237	3336	1995-09-14	VYDAJ	PREVOD NA UCET	2974	24970	SIPO	IJ	52481698
978238	3336	1995-10-14	VYDAJ	PREVOD NA UCET	2974	23973	SIPO	IJ	52481698
978239	3336	1995-11-14	VYDAJ	PREVOD NA UCET	2974	19378	SIPO	IJ	52481698
978240	3336	1995-12-14	VYDAJ	PREVOD NA UCET	2974	16220	SIPO	IJ	52481698
978241	3336	1996-01-14	VYDAJ	PREVOD NA UCET	2974	17398	SIPO	IJ	52481698
978242	3336	1996-02-14	VYDAJ	PREVOD NA UCET	2974	15593	SIPO	IJ	52481698
978243	3336	1996-03-14	VYDAJ	PREVOD NA UCET	2974	14727	SIPO	IJ	52481698
978244	3336	1996-04-14	VYDAJ	PREVOD NA UCET	2974	15294	SIPO	IJ	52481698
978245	3336	1996-05-14	VYDAJ	PREVOD NA UCET	2974	16262	SIPO	IJ	52481698
978246	3336	1996-06-14	VYDAJ	PREVOD NA UCET	2974	15913	SIPO	IJ	52481698
978247	3336	1996-07-14	VYDAJ	PREVOD NA UCET	2974	18586	SIPO	IJ	52481698
978248	3336	1996-08-14	VYDAJ	PREVOD NA UCET	2974	17465	SIPO	IJ	52481698
978249	3336	1996-09-14	VYDAJ	PREVOD NA UCET	2974	13344	SIPO	IJ	52481698
978250	3336	1996-10-14	VYDAJ	PREVOD NA UCET	2974	12709	SIPO	IJ	52481698
978251	3336	1996-11-14	VYDAJ	PREVOD NA UCET	2974	10369	SIPO	IJ	52481698
978252	3336	1996-12-14	VYDAJ	PREVOD NA UCET	2974	11820	SIPO	IJ	52481698
978253	3336	1997-01-14	VYDAJ	PREVOD NA UCET	2974	8773	SIPO	IJ	52481698
978254	3336	1997-02-14	VYDAJ	PREVOD NA UCET	2974	11524	SIPO	IJ	52481698
978255	3336	1997-03-14	VYDAJ	PREVOD NA UCET	2974	14270	SIPO	IJ	52481698
978256	3336	1997-04-14	VYDAJ	PREVOD NA UCET	2974	17027	SIPO	IJ	52481698
978257	3336	1997-05-14	VYDAJ	PREVOD NA UCET	2974	17633	SIPO	IJ	52481698
978258	3336	1997-06-14	VYDAJ	PREVOD NA UCET	2974	12213	SIPO	IJ	52481698
978259	3336	1997-07-14	VYDAJ	PREVOD NA UCET	2974	14974	SIPO	IJ	52481698
978260	3336	1997-08-14	VYDAJ	PREVOD NA UCET	2974	17735	SIPO	IJ	52481698
978261	3336	1997-09-14	VYDAJ	PREVOD NA UCET	2974	17386	SIPO	IJ	52481698
978262	3336	1997-10-14	VYDAJ	PREVOD NA UCET	2974	17522	SIPO	IJ	52481698
978263	3336	1997-11-14	VYDAJ	PREVOD NA UCET	2974	20293	SIPO	IJ	52481698
978264	3336	1997-12-14	VYDAJ	PREVOD NA UCET	2974	21725	SIPO	IJ	52481698
978265	3336	1998-01-14	VYDAJ	PREVOD NA UCET	2974	24520	SIPO	IJ	52481698
978266	3336	1998-02-14	VYDAJ	PREVOD NA UCET	2974	27320	SIPO	IJ	52481698
978267	3336	1998-03-14	VYDAJ	PREVOD NA UCET	2974	27091	SIPO	IJ	52481698
978268	3336	1998-04-14	VYDAJ	PREVOD NA UCET	2974	28301	SIPO	IJ	52481698
978269	3336	1998-05-14	VYDAJ	PREVOD NA UCET	2974	31122	SIPO	IJ	52481698
978270	3336	1998-06-14	VYDAJ	PREVOD NA UCET	2974	33949	SIPO	IJ	52481698
978271	3336	1998-07-14	VYDAJ	PREVOD NA UCET	2974	24675	SIPO	IJ	52481698
978272	3336	1998-08-14	VYDAJ	PREVOD NA UCET	2974	27475	SIPO	IJ	52481698
978273	3336	1998-09-14	VYDAJ	PREVOD NA UCET	2974	30287	SIPO	IJ	52481698
978274	3336	1998-10-14	VYDAJ	PREVOD NA UCET	2974	11423	SIPO	IJ	52481698
978275	3336	1998-11-14	VYDAJ	PREVOD NA UCET	2974	14178	SIPO	IJ	52481698
978276	3336	1998-12-14	VYDAJ	PREVOD NA UCET	2974	16934	SIPO	IJ	52481698
978280	3336	1997-06-08	VYDAJ	VYBER	7550	15187	\N	\N	\N
978281	3336	1998-06-21	VYDAJ	VYBER	9700	24249	\N	\N	\N
978283	3336	1995-12-11	VYDAJ	VYBER	850	24294	\N	\N	\N
978284	3336	1996-12-08	VYDAJ	VYBER	1300	14794	\N	\N	\N
978285	3336	1997-12-05	VYDAJ	VYBER	1350	19007	\N	\N	\N
978286	3336	1998-12-27	VYDAJ	VYBER	1200	15734	\N	\N	\N
978290	3336	1995-04-17	VYDAJ	VYBER	1920	21496	\N	\N	\N
978291	3336	1995-03-07	VYDAJ	VYBER	3120	26989	\N	\N	\N
978293	3336	1996-03-10	VYDAJ	VYBER	1840	19501	\N	\N	\N
978296	3336	1996-02-07	VYDAJ	VYBER	3280	19867	\N	\N	\N
978297	3336	1996-06-03	VYDAJ	VYBER	3120	13195	\N	\N	\N
978299	3336	1997-04-17	VYDAJ	VYBER	1280	15747	\N	\N	\N
978300	3336	1997-09-26	VYDAJ	VYBER	2640	14746	\N	\N	\N
978301	3336	1997-05-20	VYDAJ	VYBER	640	16993	\N	\N	\N
978302	3336	1997-09-11	VYDAJ	VYBER	3120	20360	\N	\N	\N
978303	3336	1997-04-21	VYDAJ	VYBER	880	14867	\N	\N	\N
978306	3336	1998-06-30	VYDAJ	VYBER	2400	21957	\N	\N	\N
978308	3336	1998-04-10	VYDAJ	VYBER	1600	31275	\N	\N	\N
978309	3336	1998-10-09	VYDAJ	VYBER	2320	14397	\N	\N	\N
978310	3336	1998-02-28	VYDAJ	VYBER	3040	24373	\N	\N	\N
978311	3336	1998-10-09	VYDAJ	VYBER	1760	16717	\N	\N	\N
978326	3336	1995-02-28	VYDAJ	VYBER	15	24417	SLUZBY	\N	\N
978327	3336	1995-03-31	VYDAJ	VYBER	15	20998	SLUZBY	\N	\N
978328	3336	1995-04-30	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
978329	3336	1995-05-31	VYDAJ	VYBER	15	20964	SLUZBY	\N	\N
978330	3336	1995-06-30	VYDAJ	VYBER	15	22358	SLUZBY	\N	\N
978331	3336	1995-07-31	VYDAJ	VYBER	15	22456	SLUZBY	\N	\N
978332	3336	1995-08-31	VYDAJ	VYBER	15	22252	SLUZBY	\N	\N
978333	3336	1995-09-30	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
978334	3336	1995-10-31	VYDAJ	VYBER	15	24060	SLUZBY	\N	\N
978335	3336	1995-11-30	VYDAJ	VYBER	15	19452	SLUZBY	\N	\N
978336	3336	1995-12-31	VYDAJ	VYBER	15	16280	SLUZBY	\N	\N
978337	3336	1996-01-31	VYDAJ	VYBER	15	17455	SLUZBY	\N	\N
978338	3336	1996-02-29	VYDAJ	VYBER	15	15649	SLUZBY	\N	\N
978339	3336	1996-03-31	VYDAJ	VYBER	15	14776	SLUZBY	\N	\N
978340	3336	1996-04-30	VYDAJ	VYBER	15	15344	SLUZBY	\N	\N
978341	3336	1996-05-31	VYDAJ	VYBER	15	16315	SLUZBY	\N	\N
978342	3336	1996-06-30	VYDAJ	VYBER	15	15968	SLUZBY	\N	\N
978343	3336	1996-07-31	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
978344	3336	1996-08-31	VYDAJ	VYBER	15	17526	SLUZBY	\N	\N
978345	3336	1996-09-30	VYDAJ	VYBER	15	13391	SLUZBY	\N	\N
978346	3336	1996-10-31	VYDAJ	VYBER	15	12751	SLUZBY	\N	\N
978347	3336	1996-11-30	VYDAJ	VYBER	15	10402	SLUZBY	\N	\N
978348	3336	1996-12-31	VYDAJ	VYBER	15	11855	SLUZBY	\N	\N
978349	3336	1997-01-31	VYDAJ	VYBER	15	8806	SLUZBY	\N	\N
978350	3336	1997-02-28	VYDAJ	VYBER	15	11552	SLUZBY	\N	\N
978351	3336	1997-03-31	VYDAJ	VYBER	15	14309	SLUZBY	\N	\N
978352	3336	1997-04-30	VYDAJ	VYBER	15	14915	SLUZBY	\N	\N
978353	3336	1997-05-31	VYDAJ	VYBER	15	17045	SLUZBY	\N	\N
978354	3336	1997-06-30	VYDAJ	VYBER	15	12256	SLUZBY	\N	\N
978355	3336	1997-07-31	VYDAJ	VYBER	15	15017	SLUZBY	\N	\N
978356	3336	1997-08-31	VYDAJ	VYBER	15	17788	SLUZBY	\N	\N
978357	3336	1997-09-30	VYDAJ	VYBER	15	14804	SLUZBY	\N	\N
978358	3336	1997-10-31	VYDAJ	VYBER	15	17575	SLUZBY	\N	\N
978359	3336	1997-11-30	VYDAJ	VYBER	15	20357	SLUZBY	\N	\N
978360	3336	1997-12-31	VYDAJ	VYBER	15	21802	SLUZBY	\N	\N
978361	3336	1998-01-31	VYDAJ	VYBER	15	24602	SLUZBY	\N	\N
978362	3336	1998-02-28	VYDAJ	VYBER	15	27413	SLUZBY	\N	\N
978363	3336	1998-03-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
978364	3336	1998-04-30	VYDAJ	VYBER	15	28404	SLUZBY	\N	\N
978365	3336	1998-05-31	VYDAJ	VYBER	15	31231	SLUZBY	\N	\N
978366	3336	1998-06-30	VYDAJ	VYBER	15	24357	SLUZBY	\N	\N
978367	3336	1998-07-31	VYDAJ	VYBER	15	24757	SLUZBY	\N	\N
978368	3336	1998-08-31	VYDAJ	VYBER	15	27569	SLUZBY	\N	\N
978369	3336	1998-09-30	VYDAJ	VYBER	15	12785	SLUZBY	\N	\N
978370	3336	1998-10-31	VYDAJ	VYBER	15	11460	SLUZBY	\N	\N
978371	3336	1998-11-30	VYDAJ	VYBER	15	14216	SLUZBY	\N	\N
978372	3336	1995-01-17	VYDAJ	VYBER	600	23068	\N	\N	\N
978373	3336	1995-02-16	VYDAJ	VYBER	1500	24333	\N	\N	\N
978374	3336	1995-03-18	VYDAJ	VYBER	3100	20915	\N	\N	\N
978375	3336	1995-04-17	VYDAJ	VYBER	300	23416	\N	\N	\N
978376	3336	1995-05-17	VYDAJ	VYBER	3400	20889	\N	\N	\N
978377	3336	1995-06-16	VYDAJ	VYBER	1400	22282	\N	\N	\N
978378	3336	1995-07-16	VYDAJ	VYBER	2700	22376	\N	\N	\N
978379	3336	1995-08-15	VYDAJ	VYBER	3000	22174	\N	\N	\N
978380	3336	1995-10-14	VYDAJ	VYBER	3800	26947	\N	\N	\N
978381	3336	1995-11-13	VYDAJ	VYBER	7400	22352	\N	\N	\N
978382	3336	1995-12-13	VYDAJ	VYBER	5100	19194	\N	\N	\N
978383	3336	1996-01-12	VYDAJ	VYBER	1600	20372	\N	\N	\N
978384	3336	1996-02-11	VYDAJ	VYBER	1300	18567	\N	\N	\N
978385	3336	1996-03-12	VYDAJ	VYBER	1800	17701	\N	\N	\N
978386	3336	1996-04-11	VYDAJ	VYBER	2200	18268	\N	\N	\N
978387	3336	1996-05-11	VYDAJ	VYBER	1800	19236	\N	\N	\N
978388	3336	1996-07-10	VYDAJ	VYBER	100	21560	\N	\N	\N
978389	3336	1996-08-09	VYDAJ	VYBER	3900	20439	\N	\N	\N
978390	3336	1996-09-08	VYDAJ	VYBER	6900	16318	\N	\N	\N
978391	3336	1996-10-08	VYDAJ	VYBER	3400	15683	\N	\N	\N
978392	3336	1996-11-07	VYDAJ	VYBER	5100	13343	\N	\N	\N
978393	3336	1997-01-06	VYDAJ	VYBER	5800	11747	\N	\N	\N
978394	3336	1998-09-28	VYDAJ	VYBER	17600	12687	\N	\N	\N
978443	3337	1997-02-22	PRIJEM	VKLAD	500	500	\N	\N	\N
978444	3337	1997-04-21	PRIJEM	VKLAD	8849	43538	\N	\N	\N
978445	3337	1997-05-21	PRIJEM	VKLAD	40159	95715	\N	\N	\N
978447	3337	1997-09-10	PRIJEM	VKLAD	5038	57451	\N	\N	\N
978448	3337	1997-12-11	PRIJEM	VKLAD	31242	116486	\N	\N	\N
978450	3337	1997-11-23	PRIJEM	VKLAD	43416	85002	\N	\N	\N
978452	3337	1997-11-10	PRIJEM	VKLAD	8548	103929	\N	\N	\N
978454	3337	1997-10-19	PRIJEM	VKLAD	36913	119789	\N	\N	\N
978455	3337	1997-03-21	PRIJEM	VKLAD	24772	41635	\N	\N	\N
978456	3337	1997-10-22	PRIJEM	VKLAD	26834	78223	\N	\N	\N
978458	3337	1997-06-29	PRIJEM	VKLAD	33827	65085	\N	\N	\N
978459	3337	1997-09-18	PRIJEM	VKLAD	23064	74772	\N	\N	\N
978460	3337	1997-08-18	PRIJEM	VKLAD	20994	44422	\N	\N	\N
978461	3337	1997-09-26	PRIJEM	VKLAD	23072	66244	\N	\N	\N
978463	3337	1997-03-08	PRIJEM	VKLAD	16363	16863	\N	\N	\N
978464	3337	1997-09-28	PRIJEM	VKLAD	22252	88496	\N	\N	\N
978465	3337	1997-10-27	PRIJEM	VKLAD	48501	126724	\N	\N	\N
978466	3337	1997-05-04	PRIJEM	VKLAD	21474	55556	\N	\N	\N
978467	3337	1997-09-05	PRIJEM	VKLAD	41342	73897	\N	\N	\N
978468	3337	1998-05-14	PRIJEM	VKLAD	34101	104482	\N	\N	\N
978469	3337	1998-06-15	PRIJEM	VKLAD	40551	100403	\N	\N	\N
978470	3337	1998-11-23	PRIJEM	VKLAD	32346	101017	\N	\N	\N
978471	3337	1998-05-23	PRIJEM	VKLAD	14665	66008	\N	\N	\N
978472	3337	1998-11-17	PRIJEM	VKLAD	23599	68671	\N	\N	\N
978473	3337	1998-03-16	PRIJEM	VKLAD	19028	103460	\N	\N	\N
978474	3337	1998-11-12	PRIJEM	VKLAD	45570	93178	\N	\N	\N
978475	3337	1998-12-16	PRIJEM	VKLAD	16135	64661	\N	\N	\N
978476	3337	1998-07-19	PRIJEM	VKLAD	13842	56606	\N	\N	\N
978477	3337	1998-12-29	PRIJEM	VKLAD	39365	104026	\N	\N	\N
978478	3337	1998-01-30	PRIJEM	VKLAD	31954	57800	\N	\N	\N
978479	3337	1998-11-14	PRIJEM	VKLAD	13686	86572	\N	\N	\N
978480	3337	1998-09-03	PRIJEM	VKLAD	37724	109210	\N	\N	\N
978481	3337	1998-08-02	PRIJEM	VKLAD	37602	69893	\N	\N	\N
978482	3337	1998-05-31	PRIJEM	VKLAD	45833	111841	\N	\N	\N
978483	3337	1998-01-07	PRIJEM	VKLAD	46363	90489	\N	\N	\N
978484	3337	1998-05-03	PRIJEM	VKLAD	41652	78977	\N	\N	\N
978485	3337	1998-08-19	PRIJEM	VKLAD	26416	71366	\N	\N	\N
978486	3337	1998-10-04	PRIJEM	VKLAD	21314	53553	\N	\N	\N
978487	3337	1998-06-09	PRIJEM	VKLAD	16104	65595	\N	\N	\N
978488	3337	1998-11-12	PRIJEM	VKLAD	43051	136229	\N	\N	\N
978489	3337	1998-03-08	PRIJEM	VKLAD	27625	90175	\N	\N	\N
978490	3337	1998-07-11	PRIJEM	VKLAD	19765	66907	\N	\N	\N
978491	3337	1998-10-22	PRIJEM	VKLAD	25234	49644	\N	\N	\N
978492	3337	1998-05-17	PRIJEM	VKLAD	17861	108543	\N	\N	\N
978493	3337	1998-03-03	PRIJEM	VKLAD	49691	103006	\N	\N	\N
978494	3337	1998-02-21	PRIJEM	VKLAD	27321	59490	\N	\N	\N
978500	3337	1997-06-13	VYDAJ	PREVOD NA UCET	5743	44758	SIPO	KL	54129630
978501	3337	1997-07-13	VYDAJ	PREVOD NA UCET	5743	49477	SIPO	KL	54129630
978502	3337	1997-08-13	VYDAJ	PREVOD NA UCET	5743	23428	SIPO	KL	54129630
978503	3337	1997-09-13	VYDAJ	PREVOD NA UCET	5743	51708	SIPO	KL	54129630
978504	3337	1997-10-13	VYDAJ	PREVOD NA UCET	5743	82876	SIPO	KL	54129630
978505	3337	1997-11-13	VYDAJ	PREVOD NA UCET	5743	98186	SIPO	KL	54129630
978506	3337	1997-12-13	VYDAJ	PREVOD NA UCET	5743	83343	SIPO	KL	54129630
978507	3337	1998-01-13	VYDAJ	PREVOD NA UCET	5743	75146	SIPO	KL	54129630
978508	3337	1998-02-13	VYDAJ	PREVOD NA UCET	5743	52169	SIPO	KL	54129630
978509	3337	1998-03-13	VYDAJ	PREVOD NA UCET	5743	84432	SIPO	KL	54129630
978510	3337	1998-04-13	VYDAJ	PREVOD NA UCET	5743	53019	SIPO	KL	54129630
978511	3337	1998-05-13	VYDAJ	PREVOD NA UCET	5743	70381	SIPO	KL	54129630
978512	3337	1998-06-13	VYDAJ	PREVOD NA UCET	5743	59852	SIPO	KL	54129630
978513	3337	1998-07-13	VYDAJ	PREVOD NA UCET	5743	61164	SIPO	KL	54129630
978514	3337	1998-08-13	VYDAJ	PREVOD NA UCET	5743	64150	SIPO	KL	54129630
978515	3337	1998-09-13	VYDAJ	PREVOD NA UCET	5743	44067	SIPO	KL	54129630
978516	3337	1998-10-13	VYDAJ	PREVOD NA UCET	5743	39410	SIPO	KL	54129630
978517	3337	1998-11-13	VYDAJ	PREVOD NA UCET	5743	72886	SIPO	KL	54129630
978518	3337	1998-12-13	VYDAJ	PREVOD NA UCET	5743	95475	SIPO	KL	54129630
978521	3337	1997-09-06	VYBER	VYBER	21484	52413	\N	\N	\N
978522	3337	1997-07-13	VYBER	VYBER	9966	55220	\N	\N	\N
978523	3337	1998-03-04	VYBER	VYBER	19892	83114	\N	\N	\N
978524	3337	1998-07-21	VYBER	VYBER	24398	32208	\N	\N	\N
978525	3337	1998-05-09	VYBER	VYBER	2853	76124	\N	\N	\N
978526	3337	1998-03-07	VYBER	VYBER	20564	62550	\N	\N	\N
978527	3337	1998-12-15	VYBER	VYBER	2949	48526	\N	\N	\N
978532	3337	1997-12-15	VYDAJ	VYBER	7800	75543	\N	\N	\N
978533	3337	1998-12-13	VYDAJ	VYBER	6900	88575	\N	\N	\N
978541	3337	1998-01-22	VYDAJ	VYBER	2400	25846	\N	\N	\N
978542	3337	1998-01-02	VYDAJ	VYBER	2700	44126	\N	\N	\N
978543	3337	1998-01-18	VYDAJ	VYBER	4500	28246	\N	\N	\N
978544	3337	1998-01-16	VYDAJ	VYBER	6300	53846	\N	\N	\N
978545	3337	1998-01-15	VYDAJ	VYBER	6000	60146	\N	\N	\N
978546	3337	1997-11-13	VYDAJ	VYBER	14700	83486	\N	\N	\N
978547	3337	1997-06-03	VYDAJ	VYBER	7200	50501	\N	\N	\N
978550	3337	1997-07-14	VYDAJ	VYBER	9900	39577	\N	\N	\N
978551	3337	1997-11-14	VYDAJ	VYBER	6600	76886	\N	\N	\N
978552	3337	1998-01-13	VYDAJ	VYBER	9000	66146	\N	\N	\N
978553	3337	1998-10-28	VYDAJ	VYBER	2100	47544	\N	\N	\N
978554	3337	1998-10-06	VYDAJ	VYBER	8400	45153	\N	\N	\N
978555	3337	1998-01-13	VYDAJ	VYBER	9600	80889	\N	\N	\N
978556	3337	1998-05-14	VYDAJ	VYBER	13800	90682	\N	\N	\N
978557	3337	1998-06-29	VYDAJ	VYBER	12300	47003	\N	\N	\N
978558	3337	1998-02-27	VYDAJ	VYBER	6300	53190	\N	\N	\N
978564	3337	1997-05-31	VYDAJ	VYBER	100	57701	SLUZBY	\N	\N
978565	3337	1997-06-30	VYDAJ	VYBER	100	65186	SLUZBY	\N	\N
978566	3337	1997-07-31	VYDAJ	VYBER	100	29171	SLUZBY	\N	\N
978567	3337	1997-08-31	VYDAJ	VYBER	100	32555	SLUZBY	\N	\N
978568	3337	1997-09-30	VYDAJ	VYBER	100	88619	SLUZBY	\N	\N
978569	3337	1997-10-31	VYDAJ	VYBER	100	95381	SLUZBY	\N	\N
978570	3337	1997-11-30	VYDAJ	VYBER	100	85244	SLUZBY	\N	\N
978571	3337	1997-12-31	VYDAJ	VYBER	100	46826	SLUZBY	\N	\N
978572	3337	1998-01-31	VYDAJ	VYBER	100	57912	SLUZBY	\N	\N
978573	3337	1998-02-28	VYDAJ	VYBER	100	53315	SLUZBY	\N	\N
978574	3337	1998-03-31	VYDAJ	VYBER	100	58762	SLUZBY	\N	\N
978575	3337	1998-04-30	VYDAJ	VYBER	100	37325	SLUZBY	\N	\N
978576	3337	1998-05-31	VYDAJ	VYBER	100	111991	SLUZBY	\N	\N
978577	3337	1998-06-30	VYDAJ	VYBER	100	47142	SLUZBY	\N	\N
978578	3337	1998-07-31	VYDAJ	VYBER	100	32291	SLUZBY	\N	\N
978579	3337	1998-08-31	VYDAJ	VYBER	100	71486	SLUZBY	\N	\N
978580	3337	1998-09-30	VYDAJ	VYBER	100	32239	SLUZBY	\N	\N
978581	3337	1998-10-31	VYDAJ	VYBER	100	47608	SLUZBY	\N	\N
978582	3337	1998-11-30	VYDAJ	VYBER	100	101218	SLUZBY	\N	\N
978583	3337	1997-03-24	VYDAJ	VYBER	7000	34635	\N	\N	\N
978584	3337	1997-04-23	VYDAJ	VYBER	9600	33938	\N	\N	\N
978585	3337	1997-05-23	VYDAJ	VYBER	38100	57615	\N	\N	\N
978586	3337	1997-06-22	VYDAJ	VYBER	13500	31258	\N	\N	\N
978587	3337	1997-07-22	VYDAJ	VYBER	10500	29077	\N	\N	\N
978588	3337	1997-08-21	VYDAJ	VYBER	11900	32522	\N	\N	\N
978589	3337	1997-09-20	VYDAJ	VYBER	31600	43172	\N	\N	\N
978590	3337	1997-10-19	VYDAJ	VYBER	30100	89689	\N	\N	\N
978591	3337	1997-10-20	VYDAJ	VYBER	38300	51389	\N	\N	\N
978592	3337	1997-10-27	VYDAJ	VYBER	31600	95124	\N	\N	\N
978593	3337	1997-11-19	VYDAJ	VYBER	35300	41586	\N	\N	\N
978594	3337	1997-12-11	VYDAJ	VYBER	27400	89086	\N	\N	\N
978595	3337	1997-12-19	VYDAJ	VYBER	28900	46643	\N	\N	\N
978596	3337	1998-01-18	VYDAJ	VYBER	21100	32746	\N	\N	\N
978597	3337	1998-02-17	VYDAJ	VYBER	20000	32169	\N	\N	\N
978598	3337	1998-03-19	VYDAJ	VYBER	44900	58560	\N	\N	\N
978599	3337	1998-04-18	VYDAJ	VYBER	15800	37219	\N	\N	\N
978600	3337	1998-05-17	VYDAJ	VYBER	29500	79043	\N	\N	\N
978601	3337	1998-05-18	VYDAJ	VYBER	27700	51343	\N	\N	\N
978602	3337	1998-05-31	VYDAJ	VYBER	62500	49491	\N	\N	\N
978603	3337	1998-06-17	VYDAJ	VYBER	41100	59303	\N	\N	\N
978604	3337	1998-07-17	VYDAJ	VYBER	18400	42764	\N	\N	\N
978605	3337	1998-08-16	VYDAJ	VYBER	19200	44950	\N	\N	\N
978606	3337	1998-09-03	VYDAJ	VYBER	59400	49810	\N	\N	\N
978607	3337	1998-09-15	VYDAJ	VYBER	11900	32167	\N	\N	\N
978608	3337	1998-10-15	VYDAJ	VYBER	15000	24410	\N	\N	\N
978609	3337	1998-11-12	VYDAJ	VYBER	57600	78629	\N	\N	\N
978610	3337	1998-11-14	VYDAJ	VYBER	41500	45072	\N	\N	\N
978611	3337	1998-12-14	VYDAJ	VYBER	37100	51475	\N	\N	\N
978634	3338	1995-12-24	PRIJEM	VKLAD	300	300	\N	\N	\N
978647	3338	1996-01-12	PRIJEM	VKLAD	13996	14296	\N	\N	\N
978648	3338	1996-02-12	PRIJEM	VKLAD	13996	31914	\N	\N	\N
978649	3338	1996-03-12	PRIJEM	VKLAD	13996	42196	\N	\N	\N
978650	3338	1996-04-12	PRIJEM	VKLAD	13996	44412	\N	\N	\N
978651	3338	1996-05-12	PRIJEM	VKLAD	13996	45535	\N	\N	\N
978652	3338	1996-06-12	PRIJEM	VKLAD	20994	40695	\N	\N	\N
978653	3338	1996-07-12	PRIJEM	VKLAD	13996	33876	\N	\N	\N
978654	3338	1996-08-12	PRIJEM	VKLAD	13996	31987	\N	\N	\N
978655	3338	1996-09-12	PRIJEM	VKLAD	13996	32250	\N	\N	\N
978656	3338	1996-10-12	PRIJEM	VKLAD	13996	28007	\N	\N	\N
978657	3338	1996-11-12	PRIJEM	VKLAD	13996	24647	\N	\N	\N
978658	3338	1996-12-12	PRIJEM	VKLAD	20994	32277	\N	\N	\N
978659	3338	1997-01-12	PRIJEM	VKLAD	13996	29703	\N	\N	\N
978660	3338	1997-02-12	PRIJEM	VKLAD	13996	22526	\N	\N	\N
978661	3338	1997-03-12	PRIJEM	VKLAD	13996	26455	\N	\N	\N
978662	3338	1997-04-12	PRIJEM	VKLAD	13996	25936	\N	\N	\N
978663	3338	1997-05-12	PRIJEM	VKLAD	13996	24386	\N	\N	\N
978664	3338	1997-06-12	PRIJEM	VKLAD	20994	32315	\N	\N	\N
978665	3338	1997-07-12	PRIJEM	VKLAD	13996	23347	\N	\N	\N
978666	3338	1997-08-12	PRIJEM	VKLAD	13996	20865	\N	\N	\N
978667	3338	1997-09-12	PRIJEM	VKLAD	13996	18172	\N	\N	\N
978668	3338	1997-10-12	PRIJEM	VKLAD	13996	20480	\N	\N	\N
978669	3338	1997-11-12	PRIJEM	VKLAD	13996	22094	\N	\N	\N
978670	3338	1997-12-12	PRIJEM	VKLAD	20994	27303	\N	\N	\N
978671	3338	1998-01-12	PRIJEM	VKLAD	13996	21415	\N	\N	\N
978672	3338	1998-02-12	PRIJEM	VKLAD	13996	27945	\N	\N	\N
978673	3338	1998-03-12	PRIJEM	VKLAD	13996	34501	\N	\N	\N
978674	3338	1998-04-12	PRIJEM	VKLAD	13996	26046	\N	\N	\N
978675	3338	1998-05-12	PRIJEM	VKLAD	13996	20693	\N	\N	\N
978676	3338	1998-06-12	PRIJEM	VKLAD	20994	34218	\N	\N	\N
978677	3338	1998-07-12	PRIJEM	VKLAD	13996	40789	\N	\N	\N
978678	3338	1998-08-12	PRIJEM	VKLAD	13996	28099	\N	\N	\N
978679	3338	1998-09-12	PRIJEM	VKLAD	13996	33478	\N	\N	\N
978680	3338	1998-10-12	PRIJEM	VKLAD	13996	40054	\N	\N	\N
978681	3338	1998-11-12	PRIJEM	VKLAD	13996	44980	\N	\N	\N
978682	3338	1998-12-12	PRIJEM	VKLAD	20994	56920	\N	\N	\N
978700	3338	1996-06-06	VYDAJ	PREVOD NA UCET	7531	24021	SIPO	QR	71534847
978701	3338	1996-07-06	VYDAJ	PREVOD NA UCET	7531	19880	SIPO	QR	71534847
978702	3338	1996-08-06	VYDAJ	PREVOD NA UCET	7531	18951	SIPO	QR	71534847
978703	3338	1996-09-06	VYDAJ	PREVOD NA UCET	7531	18254	SIPO	QR	71534847
978704	3338	1996-10-06	VYDAJ	PREVOD NA UCET	7531	14011	SIPO	QR	71534847
978705	3338	1996-11-06	VYDAJ	PREVOD NA UCET	7531	10651	SIPO	QR	71534847
978706	3338	1996-12-06	VYDAJ	PREVOD NA UCET	7531	11283	SIPO	QR	71534847
978707	3338	1997-01-06	VYDAJ	PREVOD NA UCET	7531	15707	SIPO	QR	71534847
978708	3338	1997-02-06	VYDAJ	PREVOD NA UCET	7531	8530	SIPO	QR	71534847
978709	3338	1997-03-06	VYDAJ	PREVOD NA UCET	7531	12459	SIPO	QR	71534847
978710	3338	1997-04-06	VYDAJ	PREVOD NA UCET	7531	11940	SIPO	QR	71534847
978711	3338	1997-05-06	VYDAJ	PREVOD NA UCET	7531	10390	SIPO	QR	71534847
978712	3338	1997-06-06	VYDAJ	PREVOD NA UCET	7531	11321	SIPO	QR	71534847
978713	3338	1997-07-06	VYDAJ	PREVOD NA UCET	7531	9351	SIPO	QR	71534847
978714	3338	1997-08-06	VYDAJ	PREVOD NA UCET	7531	6869	SIPO	QR	71534847
978715	3338	1997-09-06	VYDAJ	PREVOD NA UCET	7531	4176	SIPO	QR	71534847
978716	3338	1997-10-06	VYDAJ	PREVOD NA UCET	7531	6484	SIPO	QR	71534847
978717	3338	1997-11-06	VYDAJ	PREVOD NA UCET	7531	8098	SIPO	QR	71534847
978718	3338	1997-12-06	VYDAJ	PREVOD NA UCET	7531	6309	SIPO	QR	71534847
978719	3338	1998-01-06	VYDAJ	PREVOD NA UCET	7531	7419	SIPO	QR	71534847
978720	3338	1998-02-06	VYDAJ	PREVOD NA UCET	7531	13949	SIPO	QR	71534847
978721	3338	1998-03-06	VYDAJ	PREVOD NA UCET	7531	20505	SIPO	QR	71534847
978722	3338	1998-04-06	VYDAJ	PREVOD NA UCET	7531	12050	SIPO	QR	71534847
978723	3338	1998-05-06	VYDAJ	PREVOD NA UCET	7531	6697	SIPO	QR	71534847
978724	3338	1998-06-06	VYDAJ	PREVOD NA UCET	7531	13224	SIPO	QR	71534847
978725	3338	1998-07-06	VYDAJ	PREVOD NA UCET	7531	26793	SIPO	QR	71534847
978726	3338	1998-08-06	VYDAJ	PREVOD NA UCET	7531	33403	SIPO	QR	71534847
978727	3338	1998-09-06	VYDAJ	PREVOD NA UCET	7531	20682	SIPO	QR	71534847
978728	3338	1998-10-06	VYDAJ	PREVOD NA UCET	7531	26058	SIPO	QR	71534847
978729	3338	1998-11-06	VYDAJ	PREVOD NA UCET	7531	30984	SIPO	QR	71534847
978730	3338	1998-12-06	VYDAJ	PREVOD NA UCET	7531	35926	SIPO	QR	71534847
978737	3338	1997-01-30	VYDAJ	VYBER	5120	15983	\N	\N	\N
978740	3338	1996-12-13	VYDAJ	VYBER	2720	29557	\N	\N	\N
978742	3338	1998-12-13	VYDAJ	VYBER	4000	52920	\N	\N	\N
978752	3338	1996-08-10	VYDAJ	VYBER	960	17991	\N	\N	\N
978753	3338	1996-06-06	VYDAJ	VYBER	4320	19701	\N	\N	\N
978755	3338	1997-04-25	VYDAJ	VYBER	1680	17856	\N	\N	\N
978756	3338	1997-01-13	VYDAJ	VYBER	5400	24303	\N	\N	\N
978758	3338	1997-09-17	VYDAJ	VYBER	4200	13972	\N	\N	\N
978759	3338	1997-04-02	VYDAJ	VYBER	2160	19471	\N	\N	\N
978760	3338	1998-09-08	VYDAJ	VYBER	1200	19482	\N	\N	\N
978761	3338	1998-12-28	VYDAJ	VYBER	3840	49080	\N	\N	\N
978762	3338	1998-11-03	VYDAJ	VYBER	1680	38515	\N	\N	\N
978763	3338	1998-11-29	VYDAJ	VYBER	1680	43300	\N	\N	\N
978782	3338	1996-05-31	VYDAJ	VYBER	15	31552	SLUZBY	\N	\N
978783	3338	1996-06-30	VYDAJ	VYBER	15	27411	SLUZBY	\N	\N
978784	3338	1996-07-31	VYDAJ	VYBER	15	26482	SLUZBY	\N	\N
978785	3338	1996-08-31	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
978786	3338	1996-09-30	VYDAJ	VYBER	15	21542	SLUZBY	\N	\N
978787	3338	1996-10-31	VYDAJ	VYBER	15	18182	SLUZBY	\N	\N
978788	3338	1996-11-30	VYDAJ	VYBER	15	18814	SLUZBY	\N	\N
978789	3338	1996-12-31	VYDAJ	VYBER	15	23238	SLUZBY	\N	\N
978790	3338	1997-01-31	VYDAJ	VYBER	15	16061	SLUZBY	\N	\N
978791	3338	1997-02-28	VYDAJ	VYBER	15	19990	SLUZBY	\N	\N
978792	3338	1997-03-31	VYDAJ	VYBER	15	21631	SLUZBY	\N	\N
978793	3338	1997-04-30	VYDAJ	VYBER	15	17921	SLUZBY	\N	\N
978794	3338	1997-05-31	VYDAJ	VYBER	15	18852	SLUZBY	\N	\N
978795	3338	1997-06-30	VYDAJ	VYBER	15	16882	SLUZBY	\N	\N
978796	3338	1997-07-31	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
978797	3338	1997-08-31	VYDAJ	VYBER	15	11707	SLUZBY	\N	\N
978798	3338	1997-09-30	VYDAJ	VYBER	15	14015	SLUZBY	\N	\N
978799	3338	1997-10-31	VYDAJ	VYBER	15	15629	SLUZBY	\N	\N
978800	3338	1997-11-30	VYDAJ	VYBER	15	13840	SLUZBY	\N	\N
978801	3338	1997-12-31	VYDAJ	VYBER	15	14950	SLUZBY	\N	\N
978802	3338	1998-01-31	VYDAJ	VYBER	15	21480	SLUZBY	\N	\N
978803	3338	1998-02-28	VYDAJ	VYBER	15	28036	SLUZBY	\N	\N
978804	3338	1998-03-31	VYDAJ	VYBER	15	19581	SLUZBY	\N	\N
978805	3338	1998-04-30	VYDAJ	VYBER	15	14228	SLUZBY	\N	\N
978806	3338	1998-05-31	VYDAJ	VYBER	15	20755	SLUZBY	\N	\N
978807	3338	1998-06-30	VYDAJ	VYBER	15	34324	SLUZBY	\N	\N
978808	3338	1998-07-31	VYDAJ	VYBER	15	40934	SLUZBY	\N	\N
978809	3338	1998-08-31	VYDAJ	VYBER	15	28213	SLUZBY	\N	\N
978810	3338	1998-09-30	VYDAJ	VYBER	15	33589	SLUZBY	\N	\N
978811	3338	1998-10-31	VYDAJ	VYBER	15	40195	SLUZBY	\N	\N
978812	3338	1998-11-30	VYDAJ	VYBER	15	43457	SLUZBY	\N	\N
978813	3338	1996-01-23	PRIJEM	VKLAD	3600	17896	\N	\N	\N
978814	3338	1996-02-22	VYDAJ	VYBER	3800	28114	\N	\N	\N
978815	3338	1996-03-23	VYDAJ	VYBER	11900	30296	\N	\N	\N
978816	3338	1996-04-22	VYDAJ	VYBER	13000	31412	\N	\N	\N
978817	3338	1996-05-22	VYDAJ	VYBER	14100	31435	\N	\N	\N
978818	3338	1996-06-21	VYDAJ	VYBER	13400	27295	\N	\N	\N
978819	3338	1996-07-21	VYDAJ	VYBER	7500	26376	\N	\N	\N
978820	3338	1996-08-20	VYDAJ	VYBER	6300	25687	\N	\N	\N
978821	3338	1996-09-19	VYDAJ	VYBER	10800	21450	\N	\N	\N
978822	3338	1996-10-19	VYDAJ	VYBER	9900	18107	\N	\N	\N
978823	3338	1996-11-18	VYDAJ	VYBER	5900	18747	\N	\N	\N
978824	3338	1996-12-18	VYDAJ	VYBER	6400	23157	\N	\N	\N
978825	3338	1997-01-17	VYDAJ	VYBER	3200	21103	\N	\N	\N
978826	3338	1997-02-16	VYDAJ	VYBER	2600	19926	\N	\N	\N
978827	3338	1997-03-18	VYDAJ	VYBER	4900	21555	\N	\N	\N
978828	3338	1997-04-17	VYDAJ	VYBER	6400	19536	\N	\N	\N
978829	3338	1997-05-17	VYDAJ	VYBER	5600	18786	\N	\N	\N
978830	3338	1997-06-16	VYDAJ	VYBER	15500	16815	\N	\N	\N
978831	3338	1997-07-16	VYDAJ	VYBER	9000	14347	\N	\N	\N
978832	3338	1997-08-15	VYDAJ	VYBER	9200	11665	\N	\N	\N
978833	3338	1997-10-14	VYDAJ	VYBER	4900	15580	\N	\N	\N
978834	3338	1997-11-13	VYDAJ	VYBER	8300	13794	\N	\N	\N
978835	3338	1997-12-13	VYDAJ	VYBER	12400	14903	\N	\N	\N
978836	3338	1998-03-13	VYDAJ	VYBER	15000	19501	\N	\N	\N
978837	3338	1998-04-12	VYDAJ	VYBER	11900	14146	\N	\N	\N
978838	3338	1998-08-10	VYDAJ	VYBER	19300	14103	\N	\N	\N
978875	3339	1996-09-27	PRIJEM	VKLAD	900	900	\N	\N	\N
978885	3339	1996-10-09	PRIJEM	VKLAD	7664	8564	\N	\N	\N
978886	3339	1996-11-09	PRIJEM	VKLAD	7664	26341	\N	\N	\N
978887	3339	1996-12-09	PRIJEM	VKLAD	11496	37619	\N	\N	\N
978888	3339	1997-01-09	PRIJEM	VKLAD	7664	41398	\N	\N	\N
978889	3339	1997-02-09	PRIJEM	VKLAD	7664	43904	\N	\N	\N
978890	3339	1997-03-09	PRIJEM	VKLAD	7664	42557	\N	\N	\N
978891	3339	1997-04-09	PRIJEM	VKLAD	7664	40603	\N	\N	\N
978892	3339	1997-05-09	PRIJEM	VKLAD	7664	38641	\N	\N	\N
978893	3339	1997-06-09	PRIJEM	VKLAD	11496	40903	\N	\N	\N
978894	3339	1997-07-09	PRIJEM	VKLAD	7664	38638	\N	\N	\N
978895	3339	1997-08-09	PRIJEM	VKLAD	7664	38176	\N	\N	\N
978896	3339	1997-09-09	PRIJEM	VKLAD	7664	30600	\N	\N	\N
978897	3339	1997-10-09	PRIJEM	VKLAD	7664	29508	\N	\N	\N
978898	3339	1997-11-09	PRIJEM	VKLAD	7664	33012	\N	\N	\N
978899	3339	1997-12-09	PRIJEM	VKLAD	11496	37050	\N	\N	\N
978900	3339	1998-01-09	PRIJEM	VKLAD	7664	31158	\N	\N	\N
978901	3339	1998-02-09	PRIJEM	VKLAD	7664	22341	\N	\N	\N
978902	3339	1998-03-09	PRIJEM	VKLAD	7664	31014	\N	\N	\N
978903	3339	1998-04-09	PRIJEM	VKLAD	7664	33014	\N	\N	\N
978904	3339	1998-05-09	PRIJEM	VKLAD	7664	31721	\N	\N	\N
978905	3339	1998-06-09	PRIJEM	VKLAD	11496	34767	\N	\N	\N
978906	3339	1998-07-09	PRIJEM	VKLAD	7664	37290	\N	\N	\N
978907	3339	1998-08-09	PRIJEM	VKLAD	7664	37712	\N	\N	\N
978908	3339	1998-09-09	PRIJEM	VKLAD	7664	37334	\N	\N	\N
978909	3339	1998-10-09	PRIJEM	VKLAD	7664	32447	\N	\N	\N
978910	3339	1998-11-09	PRIJEM	VKLAD	7664	36255	\N	\N	\N
978911	3339	1998-12-09	PRIJEM	VKLAD	11496	45514	\N	\N	\N
978925	3339	1997-02-13	VYDAJ	PREVOD NA UCET	3354	40550	SIPO	YZ	87395226
978926	3339	1997-03-13	VYDAJ	PREVOD NA UCET	3354	39203	SIPO	YZ	87395226
978927	3339	1997-04-13	VYDAJ	PREVOD NA UCET	3354	37249	SIPO	YZ	87395226
978928	3339	1997-05-13	VYDAJ	PREVOD NA UCET	3354	35287	SIPO	YZ	87395226
978929	3339	1997-06-13	VYDAJ	PREVOD NA UCET	3354	37549	SIPO	YZ	87395226
978930	3339	1997-07-13	VYDAJ	PREVOD NA UCET	3354	35284	SIPO	YZ	87395226
978931	3339	1997-08-13	VYDAJ	PREVOD NA UCET	3354	34822	SIPO	YZ	87395226
978932	3339	1997-09-13	VYDAJ	PREVOD NA UCET	3354	27246	SIPO	YZ	87395226
978933	3339	1997-10-13	VYDAJ	PREVOD NA UCET	3354	26154	SIPO	YZ	87395226
978934	3339	1997-11-13	VYDAJ	PREVOD NA UCET	3354	29658	SIPO	YZ	87395226
978935	3339	1997-12-13	VYDAJ	PREVOD NA UCET	3354	33696	SIPO	YZ	87395226
978936	3339	1998-01-13	VYDAJ	PREVOD NA UCET	3354	25104	SIPO	YZ	87395226
978937	3339	1998-02-13	VYDAJ	PREVOD NA UCET	3354	18987	SIPO	YZ	87395226
978938	3339	1998-03-13	VYDAJ	PREVOD NA UCET	3354	27660	SIPO	YZ	87395226
978939	3339	1998-04-13	VYDAJ	PREVOD NA UCET	3354	29660	SIPO	YZ	87395226
978940	3339	1998-05-13	VYDAJ	PREVOD NA UCET	3354	28367	SIPO	YZ	87395226
978941	3339	1998-06-13	VYDAJ	PREVOD NA UCET	3354	31413	SIPO	YZ	87395226
978942	3339	1998-07-13	VYDAJ	PREVOD NA UCET	3354	33936	SIPO	YZ	87395226
978943	3339	1998-08-13	VYDAJ	PREVOD NA UCET	3354	34358	SIPO	YZ	87395226
978944	3339	1998-09-13	VYDAJ	PREVOD NA UCET	3354	33980	SIPO	YZ	87395226
978945	3339	1998-10-13	VYDAJ	PREVOD NA UCET	3354	29093	SIPO	YZ	87395226
978946	3339	1998-11-13	VYDAJ	PREVOD NA UCET	3354	32901	SIPO	YZ	87395226
978947	3339	1998-12-13	VYDAJ	PREVOD NA UCET	3354	42160	SIPO	YZ	87395226
978950	3339	1998-06-02	VYDAJ	VYBER	6100	23271	\N	\N	\N
978953	3339	1998-01-17	VYDAJ	VYBER	5000	18704	\N	\N	\N
978955	3339	1997-12-26	VYDAJ	VYBER	1500	23396	\N	\N	\N
978956	3339	1998-12-27	VYDAJ	VYBER	1900	31960	\N	\N	\N
978969	3339	1998-01-09	VYDAJ	VYBER	2700	28458	\N	\N	\N
978970	3339	1998-01-24	VYDAJ	VYBER	1100	15404	\N	\N	\N
978971	3339	1998-01-25	VYDAJ	VYBER	800	14604	\N	\N	\N
978972	3339	1998-01-16	VYDAJ	VYBER	600	23704	\N	\N	\N
978973	3339	1998-01-21	VYDAJ	VYBER	2800	16504	\N	\N	\N
978974	3339	1998-01-14	VYDAJ	VYBER	800	24304	\N	\N	\N
978980	3339	1997-10-06	VYDAJ	VYBER	3200	21844	\N	\N	\N
978981	3339	1997-09-04	VYDAJ	VYBER	4400	22936	\N	\N	\N
978982	3339	1997-07-07	VYDAJ	VYBER	3400	30974	\N	\N	\N
978983	3339	1998-09-21	VYDAJ	VYBER	3100	24680	\N	\N	\N
978984	3339	1998-05-06	VYDAJ	VYBER	2600	24057	\N	\N	\N
978985	3339	1998-12-15	VYDAJ	VYBER	3800	38360	\N	\N	\N
978986	3339	1998-08-16	VYDAJ	VYBER	800	33558	\N	\N	\N
979001	3339	1997-02-28	VYDAJ	VYBER	15	34893	SLUZBY	\N	\N
979002	3339	1997-03-31	VYDAJ	VYBER	15	32939	SLUZBY	\N	\N
979003	3339	1997-04-30	VYDAJ	VYBER	15	30977	SLUZBY	\N	\N
979004	3339	1997-05-31	VYDAJ	VYBER	15	29407	SLUZBY	\N	\N
979005	3339	1997-06-30	VYDAJ	VYBER	15	34374	SLUZBY	\N	\N
979006	3339	1997-07-31	VYDAJ	VYBER	15	30512	SLUZBY	\N	\N
979007	3339	1997-08-31	VYDAJ	VYBER	15	27336	SLUZBY	\N	\N
979008	3339	1997-09-30	VYDAJ	VYBER	15	25044	SLUZBY	\N	\N
979009	3339	1997-10-31	VYDAJ	VYBER	15	25348	SLUZBY	\N	\N
979010	3339	1997-11-30	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
979011	3339	1997-12-31	VYDAJ	VYBER	15	23494	SLUZBY	\N	\N
979012	3339	1998-01-31	VYDAJ	VYBER	15	14677	SLUZBY	\N	\N
979013	3339	1998-02-28	VYDAJ	VYBER	15	23350	SLUZBY	\N	\N
979014	3339	1998-03-31	VYDAJ	VYBER	15	25350	SLUZBY	\N	\N
979015	3339	1998-04-30	VYDAJ	VYBER	15	26657	SLUZBY	\N	\N
979016	3339	1998-05-31	VYDAJ	VYBER	15	29371	SLUZBY	\N	\N
979017	3339	1998-06-30	VYDAJ	VYBER	15	29626	SLUZBY	\N	\N
979018	3339	1998-07-31	VYDAJ	VYBER	15	30048	SLUZBY	\N	\N
979019	3339	1998-08-31	VYDAJ	VYBER	15	29670	SLUZBY	\N	\N
979020	3339	1998-09-30	VYDAJ	VYBER	15	24783	SLUZBY	\N	\N
979021	3339	1998-10-31	VYDAJ	VYBER	15	28591	SLUZBY	\N	\N
979022	3339	1998-11-30	VYDAJ	VYBER	15	34018	SLUZBY	\N	\N
979023	3339	1996-10-27	PRIJEM	VKLAD	10100	18664	\N	\N	\N
979024	3339	1996-11-26	VYDAJ	VYBER	300	26041	\N	\N	\N
979025	3339	1996-12-26	VYDAJ	VYBER	4000	33619	\N	\N	\N
979026	3339	1997-01-25	VYDAJ	VYBER	5300	36098	\N	\N	\N
979027	3339	1997-02-24	VYDAJ	VYBER	5800	34750	\N	\N	\N
979028	3339	1997-03-26	VYDAJ	VYBER	6400	32803	\N	\N	\N
979029	3339	1997-04-25	VYDAJ	VYBER	6400	30849	\N	\N	\N
979030	3339	1997-05-25	VYDAJ	VYBER	6000	29287	\N	\N	\N
979031	3339	1997-06-24	VYDAJ	VYBER	3300	34249	\N	\N	\N
979032	3339	1997-07-24	VYDAJ	VYBER	4900	30384	\N	\N	\N
979033	3339	1997-08-23	VYDAJ	VYBER	7600	27222	\N	\N	\N
979034	3339	1997-09-22	VYDAJ	VYBER	2300	24946	\N	\N	\N
979035	3339	1997-10-22	VYDAJ	VYBER	900	25254	\N	\N	\N
979036	3339	1997-11-21	VYDAJ	VYBER	4200	25458	\N	\N	\N
979037	3339	1997-12-21	VYDAJ	VYBER	8800	24896	\N	\N	\N
979038	3339	1998-01-20	PRIJEM	VKLAD	600	19304	\N	\N	\N
979039	3339	1998-02-19	PRIJEM	VKLAD	4300	23287	\N	\N	\N
979040	3339	1998-03-21	VYDAJ	VYBER	2400	25260	\N	\N	\N
979041	3339	1998-04-20	VYDAJ	VYBER	3100	26560	\N	\N	\N
979042	3339	1998-05-20	PRIJEM	VKLAD	900	29267	\N	\N	\N
979043	3339	1998-06-19	VYDAJ	VYBER	1900	29513	\N	\N	\N
979044	3339	1998-07-19	VYDAJ	VYBER	4000	29936	\N	\N	\N
979045	3339	1998-08-18	VYDAJ	VYBER	4000	29558	\N	\N	\N
979046	3339	1998-09-17	VYDAJ	VYBER	6200	27780	\N	\N	\N
979047	3339	1998-10-17	VYDAJ	VYBER	600	28493	\N	\N	\N
979048	3339	1998-11-16	PRIJEM	VKLAD	1000	33901	\N	\N	\N
979049	3339	1998-12-16	VYDAJ	VYBER	4500	33860	\N	\N	\N
979819	3342	1997-10-06	PRIJEM	VKLAD	200	200	\N	\N	\N
979829	3342	1997-10-08	PRIJEM	VKLAD	14906	15106	\N	\N	\N
979830	3342	1997-11-08	PRIJEM	VKLAD	14906	36461	\N	\N	\N
979831	3342	1997-12-08	PRIJEM	VKLAD	22359	52951	\N	\N	\N
979832	3342	1998-01-08	PRIJEM	VKLAD	14906	58762	\N	\N	\N
979833	3342	1998-02-08	PRIJEM	VKLAD	14906	60107	\N	\N	\N
979834	3342	1998-03-08	PRIJEM	VKLAD	14906	52213	\N	\N	\N
979835	3342	1998-04-08	PRIJEM	VKLAD	14906	45188	\N	\N	\N
979836	3342	1998-05-08	PRIJEM	VKLAD	14906	43634	\N	\N	\N
979837	3342	1998-06-08	PRIJEM	VKLAD	22359	51122	\N	\N	\N
979838	3342	1998-07-08	PRIJEM	VKLAD	14906	42980	\N	\N	\N
979839	3342	1998-08-08	PRIJEM	VKLAD	14906	41117	\N	\N	\N
979840	3342	1998-09-08	PRIJEM	VKLAD	14906	42642	\N	\N	\N
979841	3342	1998-10-08	PRIJEM	VKLAD	14906	35906	\N	\N	\N
979842	3342	1998-11-08	PRIJEM	VKLAD	14906	34907	\N	\N	\N
979843	3342	1998-12-08	PRIJEM	VKLAD	22359	41754	\N	\N	\N
979858	3342	1998-03-06	VYDAJ	PREVOD NA UCET	8335	37307	SIPO	EF	71651464
979859	3342	1998-04-06	VYDAJ	PREVOD NA UCET	8335	30282	SIPO	EF	71651464
979860	3342	1998-05-06	VYDAJ	PREVOD NA UCET	8335	28728	SIPO	EF	71651464
979861	3342	1998-06-06	VYDAJ	PREVOD NA UCET	8335	28763	SIPO	EF	71651464
979862	3342	1998-07-06	VYDAJ	PREVOD NA UCET	8335	28074	SIPO	EF	71651464
979863	3342	1998-08-06	VYDAJ	PREVOD NA UCET	8335	26211	SIPO	EF	71651464
979864	3342	1998-09-06	VYDAJ	PREVOD NA UCET	8335	27736	SIPO	EF	71651464
979865	3342	1998-10-06	VYDAJ	PREVOD NA UCET	8335	21000	SIPO	EF	71651464
979866	3342	1998-11-06	VYDAJ	PREVOD NA UCET	8335	20001	SIPO	EF	71651464
979867	3342	1998-12-06	VYDAJ	PREVOD NA UCET	8335	19395	SIPO	EF	71651464
979869	3342	1998-12-20	VYDAJ	VYBER	3680	38074	\N	\N	\N
979875	3342	1998-09-26	VYDAJ	VYBER	5640	36282	\N	\N	\N
979877	3342	1998-09-21	VYDAJ	VYBER	720	41922	\N	\N	\N
979892	3342	1998-02-28	VYDAJ	VYBER	15	60342	SLUZBY	\N	\N
979893	3342	1998-03-31	VYDAJ	VYBER	15	52417	SLUZBY	\N	\N
979894	3342	1998-04-30	VYDAJ	VYBER	15	45363	SLUZBY	\N	\N
979895	3342	1998-05-31	VYDAJ	VYBER	15	43798	SLUZBY	\N	\N
979896	3342	1998-06-30	VYDAJ	VYBER	15	51309	SLUZBY	\N	\N
979897	3342	1998-07-31	VYDAJ	VYBER	15	43146	SLUZBY	\N	\N
979898	3342	1998-08-31	VYDAJ	VYBER	15	41271	SLUZBY	\N	\N
979899	3342	1998-09-30	VYDAJ	VYBER	15	36435	SLUZBY	\N	\N
979900	3342	1998-10-31	VYDAJ	VYBER	15	36036	SLUZBY	\N	\N
979901	3342	1998-11-30	VYDAJ	VYBER	15	35030	SLUZBY	\N	\N
979902	3342	1997-11-05	PRIJEM	VKLAD	6400	21555	\N	\N	\N
979903	3342	1997-12-05	VYDAJ	VYBER	6000	30592	\N	\N	\N
979904	3342	1998-01-04	VYDAJ	VYBER	9300	43856	\N	\N	\N
979905	3342	1998-02-03	VYDAJ	VYBER	13800	45201	\N	\N	\N
979906	3342	1998-03-05	VYDAJ	VYBER	14700	45642	\N	\N	\N
979907	3342	1998-04-04	VYDAJ	VYBER	13800	38617	\N	\N	\N
979908	3342	1998-05-04	VYDAJ	VYBER	8300	37063	\N	\N	\N
979909	3342	1998-06-03	VYDAJ	VYBER	6700	37098	\N	\N	\N
979910	3342	1998-07-03	VYDAJ	VYBER	14900	36409	\N	\N	\N
979911	3342	1998-08-02	VYDAJ	VYBER	8600	34546	\N	\N	\N
979912	3342	1998-09-01	VYDAJ	VYBER	5200	36071	\N	\N	\N
979913	3342	1998-10-01	VYDAJ	VYBER	7100	29335	\N	\N	\N
979914	3342	1998-10-31	VYDAJ	VYBER	7700	28336	\N	\N	\N
979915	3342	1998-11-30	VYDAJ	VYBER	7300	27730	\N	\N	\N
979931	3343	1997-08-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
979939	3343	1997-08-14	PRIJEM	VKLAD	22592	23592	\N	\N	\N
979940	3343	1997-09-14	PRIJEM	VKLAD	22592	49141	\N	\N	\N
979941	3343	1997-10-14	PRIJEM	VKLAD	22592	59392	\N	\N	\N
979942	3343	1997-11-14	PRIJEM	VKLAD	22592	64713	\N	\N	\N
979943	3343	1997-12-14	PRIJEM	VKLAD	33888	79461	\N	\N	\N
979944	3343	1998-01-14	PRIJEM	VKLAD	22592	48747	\N	\N	\N
979945	3343	1998-02-14	PRIJEM	VKLAD	22592	45180	\N	\N	\N
979946	3343	1998-03-14	PRIJEM	VKLAD	22592	49647	\N	\N	\N
979947	3343	1998-04-14	PRIJEM	VKLAD	22592	51040	\N	\N	\N
979948	3343	1998-05-14	PRIJEM	VKLAD	22592	58732	\N	\N	\N
979949	3343	1998-06-14	PRIJEM	VKLAD	33888	73151	\N	\N	\N
979950	3343	1998-07-14	PRIJEM	VKLAD	22592	52100	\N	\N	\N
979951	3343	1998-08-14	PRIJEM	VKLAD	22592	62597	\N	\N	\N
979952	3343	1998-09-14	PRIJEM	VKLAD	22592	64532	\N	\N	\N
979953	3343	1998-10-14	PRIJEM	VKLAD	22592	65874	\N	\N	\N
979954	3343	1998-11-14	PRIJEM	VKLAD	22592	56418	\N	\N	\N
979955	3343	1998-12-14	PRIJEM	VKLAD	33888	65321	\N	\N	\N
979968	3343	1998-01-13	VYDAJ	PREVOD NA UCET	2212	26155	SIPO	MN	51401966
979969	3343	1998-02-13	VYDAJ	PREVOD NA UCET	2212	22588	SIPO	MN	51401966
979970	3343	1998-03-13	VYDAJ	PREVOD NA UCET	2212	27055	SIPO	MN	51401966
979971	3343	1998-04-13	VYDAJ	PREVOD NA UCET	2212	28448	SIPO	MN	51401966
979972	3343	1998-05-13	VYDAJ	PREVOD NA UCET	2212	36140	SIPO	MN	51401966
979973	3343	1998-06-13	VYDAJ	PREVOD NA UCET	2212	39263	SIPO	MN	51401966
979974	3343	1998-07-13	VYDAJ	PREVOD NA UCET	2212	29508	SIPO	MN	51401966
979975	3343	1998-08-13	VYDAJ	PREVOD NA UCET	2212	40005	SIPO	MN	51401966
979976	3343	1998-09-13	VYDAJ	PREVOD NA UCET	2212	41940	SIPO	MN	51401966
979977	3343	1998-10-13	VYDAJ	PREVOD NA UCET	2212	43282	SIPO	MN	51401966
979978	3343	1998-11-13	VYDAJ	PREVOD NA UCET	2212	33826	SIPO	MN	51401966
979979	3343	1998-12-13	VYDAJ	PREVOD NA UCET	2212	31433	SIPO	MN	51401966
979992	3343	1998-01-10	VYDAJ	PREVOD NA UCET	7661	41647	 	QR	27868533
979993	3343	1998-02-10	VYDAJ	PREVOD NA UCET	7661	24800	 	QR	27868533
979994	3343	1998-03-10	VYDAJ	PREVOD NA UCET	7661	29267	 	QR	27868533
979995	3343	1998-04-10	VYDAJ	PREVOD NA UCET	7661	30660	 	QR	27868533
979996	3343	1998-05-10	VYDAJ	PREVOD NA UCET	7661	38352	 	QR	27868533
979997	3343	1998-06-10	VYDAJ	PREVOD NA UCET	7661	41475	 	QR	27868533
979998	3343	1998-07-10	VYDAJ	PREVOD NA UCET	7661	31720	 	QR	27868533
979999	3343	1998-08-10	VYDAJ	PREVOD NA UCET	7661	42217	 	QR	27868533
980000	3343	1998-09-10	VYDAJ	PREVOD NA UCET	7661	44152	 	QR	27868533
980001	3343	1998-10-10	VYDAJ	PREVOD NA UCET	7661	45494	 	QR	27868533
980002	3343	1998-11-10	VYDAJ	PREVOD NA UCET	7661	36038	 	QR	27868533
980003	3343	1998-12-10	VYDAJ	PREVOD NA UCET	7661	33645	 	QR	27868533
980005	3343	1998-06-16	VYDAJ	VYBER	36640	36511	\N	\N	\N
980007	3343	1998-01-11	VYDAJ	VYBER	9440	28367	\N	\N	\N
980009	3343	1998-12-25	VYDAJ	VYBER	3360	61961	\N	\N	\N
980016	3343	1998-01-08	VYDAJ	VYBER	2640	49308	\N	\N	\N
980017	3343	1998-01-10	VYDAJ	VYBER	3120	38527	\N	\N	\N
980018	3343	1998-01-24	VYDAJ	VYBER	1920	44547	\N	\N	\N
980019	3343	1998-01-30	VYDAJ	VYBER	960	43587	\N	\N	\N
980020	3343	1998-01-11	VYDAJ	VYBER	720	37807	\N	\N	\N
980021	3343	1998-01-17	VYDAJ	VYBER	2280	46467	\N	\N	\N
980027	3343	1998-11-07	VYDAJ	VYBER	4680	43699	\N	\N	\N
980028	3343	1998-10-30	VYDAJ	VYBER	1920	48154	\N	\N	\N
980029	3343	1998-09-27	VYDAJ	VYBER	600	63932	\N	\N	\N
980042	3343	1997-12-31	VYDAJ	VYBER	15	51948	SLUZBY	\N	\N
980043	3343	1998-01-31	VYDAJ	VYBER	15	32461	SLUZBY	\N	\N
980044	3343	1998-02-28	VYDAJ	VYBER	15	45328	SLUZBY	\N	\N
980045	3343	1998-03-31	VYDAJ	VYBER	15	38321	SLUZBY	\N	\N
980046	3343	1998-04-30	VYDAJ	VYBER	15	46013	SLUZBY	\N	\N
980047	3343	1998-05-31	VYDAJ	VYBER	15	49136	SLUZBY	\N	\N
980048	3343	1998-06-30	VYDAJ	VYBER	15	39381	SLUZBY	\N	\N
980049	3343	1998-07-31	VYDAJ	VYBER	15	49878	SLUZBY	\N	\N
980050	3343	1998-08-31	VYDAJ	VYBER	15	51813	SLUZBY	\N	\N
980051	3343	1998-09-30	VYDAJ	VYBER	15	53155	SLUZBY	\N	\N
980052	3343	1998-10-31	VYDAJ	VYBER	15	48379	SLUZBY	\N	\N
980053	3343	1998-11-30	VYDAJ	VYBER	15	41306	SLUZBY	\N	\N
980054	3343	1997-09-02	PRIJEM	VKLAD	2900	26549	\N	\N	\N
980055	3343	1997-10-02	VYDAJ	VYBER	12500	36800	\N	\N	\N
980056	3343	1997-11-01	VYDAJ	VYBER	17500	42121	\N	\N	\N
980057	3343	1997-12-01	VYDAJ	VYBER	19400	45573	\N	\N	\N
980058	3343	1997-12-31	VYDAJ	VYBER	27800	51963	\N	\N	\N
980059	3343	1998-01-30	VYDAJ	VYBER	11300	32287	\N	\N	\N
980060	3343	1998-03-01	VYDAJ	VYBER	8400	36928	\N	\N	\N
980061	3343	1998-03-31	VYDAJ	VYBER	11500	38336	\N	\N	\N
980062	3343	1998-04-30	VYDAJ	VYBER	5200	46028	\N	\N	\N
980063	3343	1998-05-30	VYDAJ	VYBER	9800	48932	\N	\N	\N
980064	3343	1998-06-29	PRIJEM	VKLAD	2700	39211	\N	\N	\N
980065	3343	1998-07-29	VYDAJ	VYBER	2400	49700	\N	\N	\N
980066	3343	1998-08-28	VYDAJ	VYBER	11000	51597	\N	\N	\N
980067	3343	1998-09-27	VYDAJ	VYBER	11000	52932	\N	\N	\N
980068	3343	1998-10-27	VYDAJ	VYBER	15800	50074	\N	\N	\N
980069	3343	1998-11-26	VYDAJ	VYBER	15300	41118	\N	\N	\N
980087	3344	1997-05-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
980088	3344	1997-06-17	PRIJEM	VKLAD	14404	27104	\N	\N	\N
980089	3344	1997-11-15	PRIJEM	VKLAD	10072	40084	\N	\N	\N
980090	3344	1997-09-22	PRIJEM	VKLAD	32928	74977	\N	\N	\N
980093	3344	1997-09-29	PRIJEM	VKLAD	10515	85492	\N	\N	\N
980095	3344	1997-07-04	PRIJEM	VKLAD	30322	94354	\N	\N	\N
980097	3344	1997-12-23	PRIJEM	VKLAD	47016	102495	\N	\N	\N
980098	3344	1997-11-17	PRIJEM	VKLAD	32229	72313	\N	\N	\N
980101	3344	1997-11-29	PRIJEM	VKLAD	31970	104283	\N	\N	\N
980102	3344	1997-07-29	PRIJEM	VKLAD	27637	83491	\N	\N	\N
980104	3344	1997-06-25	PRIJEM	VKLAD	17731	63935	\N	\N	\N
980105	3344	1997-06-20	PRIJEM	VKLAD	19100	46204	\N	\N	\N
980106	3344	1997-08-20	PRIJEM	VKLAD	15910	67807	\N	\N	\N
980109	3344	1998-05-02	PRIJEM	VKLAD	33912	129694	\N	\N	\N
980110	3344	1998-04-20	PRIJEM	VKLAD	6508	77347	\N	\N	\N
980111	3344	1998-12-06	PRIJEM	VKLAD	19863	117549	\N	\N	\N
980112	3344	1998-05-13	PRIJEM	VKLAD	27479	68073	\N	\N	\N
980113	3344	1998-07-21	PRIJEM	VKLAD	5327	50087	\N	\N	\N
980114	3344	1998-05-27	PRIJEM	VKLAD	47233	90471	\N	\N	\N
980115	3344	1998-01-20	PRIJEM	VKLAD	8325	42229	\N	\N	\N
980116	3344	1998-04-17	PRIJEM	VKLAD	31080	70839	\N	\N	\N
980117	3344	1998-06-10	PRIJEM	VKLAD	14752	53681	\N	\N	\N
980118	3344	1998-03-08	PRIJEM	VKLAD	15210	51880	\N	\N	\N
980119	3344	1998-03-08	PRIJEM	VKLAD	18460	36670	\N	\N	\N
980120	3344	1998-06-14	PRIJEM	VKLAD	17402	62546	\N	\N	\N
980121	3344	1998-10-20	PRIJEM	VKLAD	27581	71957	\N	\N	\N
980122	3344	1998-11-26	PRIJEM	VKLAD	48976	97429	\N	\N	\N
980123	3344	1998-09-12	PRIJEM	VKLAD	37108	69536	\N	\N	\N
980124	3344	1998-03-28	PRIJEM	VKLAD	47993	110676	\N	\N	\N
980125	3344	1998-03-20	PRIJEM	VKLAD	12723	66883	\N	\N	\N
980126	3344	1998-09-21	PRIJEM	VKLAD	48710	109709	\N	\N	\N
980127	3344	1998-12-28	PRIJEM	VKLAD	20872	86007	\N	\N	\N
980128	3344	1998-03-10	PRIJEM	VKLAD	47286	112897	\N	\N	\N
980129	3344	1998-07-08	PRIJEM	VKLAD	10101	65997	\N	\N	\N
980130	3344	1998-03-09	PRIJEM	VKLAD	13731	65611	\N	\N	\N
980131	3344	1998-12-21	PRIJEM	VKLAD	8623	65135	\N	\N	\N
980132	3344	1998-06-24	PRIJEM	VKLAD	5110	67656	\N	\N	\N
980133	3344	1998-04-23	PRIJEM	VKLAD	18155	95502	\N	\N	\N
980134	3344	1998-09-22	PRIJEM	VKLAD	19998	67807	\N	\N	\N
980135	3344	1998-07-26	PRIJEM	VKLAD	8994	59081	\N	\N	\N
980143	3344	1997-08-12	VYDAJ	PREVOD NA UCET	8537	75197	SIPO	KL	21086722
980144	3344	1997-09-12	VYDAJ	PREVOD NA UCET	8537	59549	SIPO	KL	21086722
980145	3344	1997-10-12	VYDAJ	PREVOD NA UCET	8537	48407	SIPO	KL	21086722
980146	3344	1997-11-12	VYDAJ	PREVOD NA UCET	8537	30012	SIPO	KL	21086722
980147	3344	1997-12-12	VYDAJ	PREVOD NA UCET	8537	57879	SIPO	KL	21086722
980148	3344	1998-01-12	VYDAJ	PREVOD NA UCET	8537	53404	SIPO	KL	21086722
980149	3344	1998-02-12	VYDAJ	PREVOD NA UCET	8537	18123	SIPO	KL	21086722
980150	3344	1998-03-12	VYDAJ	PREVOD NA UCET	8537	54160	SIPO	KL	21086722
980151	3344	1998-04-12	VYDAJ	PREVOD NA UCET	8537	39759	SIPO	KL	21086722
980152	3344	1998-05-12	VYDAJ	PREVOD NA UCET	8537	40594	SIPO	KL	21086722
980153	3344	1998-06-12	VYDAJ	PREVOD NA UCET	8537	45144	SIPO	KL	21086722
980154	3344	1998-07-12	VYDAJ	PREVOD NA UCET	8537	44760	SIPO	KL	21086722
980155	3344	1998-08-12	VYDAJ	PREVOD NA UCET	8537	34316	SIPO	KL	21086722
980156	3344	1998-09-12	VYDAJ	PREVOD NA UCET	8537	60999	SIPO	KL	21086722
980157	3344	1998-10-12	VYDAJ	PREVOD NA UCET	8537	44376	SIPO	KL	21086722
980158	3344	1998-11-12	VYDAJ	PREVOD NA UCET	8537	48453	SIPO	KL	21086722
980159	3344	1998-12-12	VYDAJ	PREVOD NA UCET	8537	58612	SIPO	KL	21086722
980161	3344	1998-05-10	VYBER	VYBER	7463	68831	\N	\N	\N
980162	3344	1998-09-11	VYBER	VYBER	10340	32428	\N	\N	\N
980163	3344	1998-07-30	VYBER	VYBER	9041	50040	\N	\N	\N
980166	3344	1998-05-17	VYBER	VYBER	24835	43238	\N	\N	\N
980167	3344	1998-06-03	VYBER	VYBER	3488	82742	\N	\N	\N
980168	3344	1998-06-04	VYBER	VYBER	8113	74629	\N	\N	\N
980170	3344	1998-06-05	VYDAJ	VYBER	33000	41629	\N	\N	\N
980172	3344	1998-01-07	VYDAJ	VYBER	4800	96541	\N	\N	\N
980173	3344	1997-12-14	VYDAJ	VYBER	2400	55479	\N	\N	\N
980174	3344	1998-12-08	VYDAJ	VYBER	2400	67149	\N	\N	\N
980181	3344	1998-01-29	VYDAJ	VYBER	6900	33829	\N	\N	\N
980182	3344	1998-01-15	VYDAJ	VYBER	8100	39604	\N	\N	\N
980183	3344	1998-01-03	VYDAJ	VYBER	1500	101341	\N	\N	\N
980184	3344	1998-01-13	VYDAJ	VYBER	5700	47704	\N	\N	\N
980185	3344	1998-01-17	VYDAJ	VYBER	5700	33904	\N	\N	\N
980186	3344	1998-01-21	VYDAJ	VYBER	1500	40729	\N	\N	\N
980190	3344	1997-09-15	VYDAJ	VYBER	2100	42049	\N	\N	\N
980192	3344	1998-12-19	VYDAJ	VYBER	2100	56512	\N	\N	\N
980193	3344	1998-09-26	VYDAJ	VYBER	10800	57007	\N	\N	\N
980194	3344	1998-07-04	VYDAJ	VYBER	12000	55896	\N	\N	\N
980195	3344	1998-03-21	VYDAJ	VYBER	4200	62683	\N	\N	\N
980196	3344	1998-05-31	VYDAJ	VYBER	4500	86230	\N	\N	\N
980204	3344	1997-07-31	VYDAJ	VYBER	15	83734	SLUZBY	\N	\N
980205	3344	1997-08-31	VYDAJ	VYBER	15	68086	SLUZBY	\N	\N
980206	3344	1997-09-30	VYDAJ	VYBER	15	85744	SLUZBY	\N	\N
980207	3344	1997-10-31	VYDAJ	VYBER	15	48649	SLUZBY	\N	\N
980208	3344	1997-11-30	VYDAJ	VYBER	15	104516	SLUZBY	\N	\N
980209	3344	1997-12-31	VYDAJ	VYBER	15	102841	SLUZBY	\N	\N
980210	3344	1998-01-31	VYDAJ	VYBER	15	34060	SLUZBY	\N	\N
980211	3344	1998-02-28	VYDAJ	VYBER	15	18210	SLUZBY	\N	\N
980212	3344	1998-03-31	VYDAJ	VYBER	15	65496	SLUZBY	\N	\N
980213	3344	1998-04-30	VYDAJ	VYBER	15	95782	SLUZBY	\N	\N
980214	3344	1998-05-31	VYDAJ	VYBER	15	90730	SLUZBY	\N	\N
980215	3344	1998-06-30	VYDAJ	VYBER	15	67896	SLUZBY	\N	\N
980216	3344	1998-07-31	VYDAJ	VYBER	15	50253	SLUZBY	\N	\N
980217	3344	1998-08-31	VYDAJ	VYBER	15	34468	SLUZBY	\N	\N
980218	3344	1998-09-30	VYDAJ	VYBER	15	57213	SLUZBY	\N	\N
980219	3344	1998-10-31	VYDAJ	VYBER	15	72190	SLUZBY	\N	\N
980220	3344	1998-11-30	VYDAJ	VYBER	15	97686	SLUZBY	\N	\N
980221	3344	1997-06-14	PRIJEM	VKLAD	11700	12700	\N	\N	\N
980222	3344	1997-07-14	VYDAJ	VYBER	38500	55854	\N	\N	\N
980223	3344	1997-08-13	VYDAJ	VYBER	23300	51897	\N	\N	\N
980224	3344	1997-09-12	VYDAJ	VYBER	15400	44149	\N	\N	\N
980225	3344	1997-10-12	VYDAJ	VYBER	28800	56944	\N	\N	\N
980226	3344	1997-11-11	VYDAJ	VYBER	10100	38549	\N	\N	\N
980227	3344	1997-12-11	VYDAJ	VYBER	38100	66416	\N	\N	\N
980228	3344	1998-01-10	VYDAJ	VYBER	34600	61941	\N	\N	\N
980229	3344	1998-02-09	VYDAJ	VYBER	7400	26660	\N	\N	\N
980230	3344	1998-03-10	VYDAJ	VYBER	15500	97397	\N	\N	\N
980231	3344	1998-03-11	VYDAJ	VYBER	34700	62697	\N	\N	\N
980232	3344	1998-03-28	VYDAJ	VYBER	45400	65276	\N	\N	\N
980233	3344	1998-04-10	VYDAJ	VYBER	17200	48296	\N	\N	\N
980234	3344	1998-05-02	VYDAJ	VYBER	53400	76294	\N	\N	\N
980235	3344	1998-05-10	VYDAJ	VYBER	19700	49131	\N	\N	\N
980236	3344	1998-06-09	VYDAJ	VYBER	2700	38929	\N	\N	\N
980237	3344	1998-07-09	VYDAJ	VYBER	12700	53297	\N	\N	\N
980238	3344	1998-08-08	VYDAJ	VYBER	7400	42853	\N	\N	\N
980239	3344	1998-09-07	PRIJEM	VKLAD	8300	42768	\N	\N	\N
980240	3344	1998-09-21	VYDAJ	VYBER	61900	47809	\N	\N	\N
980241	3344	1998-10-07	VYDAJ	VYBER	4300	52913	\N	\N	\N
980242	3344	1998-11-06	VYDAJ	VYBER	15200	56990	\N	\N	\N
980243	3344	1998-12-06	VYDAJ	VYBER	24300	69549	\N	\N	\N
980244	3344	1998-12-06	VYDAJ	VYBER	23700	93849	\N	\N	\N
980264	3345	1993-12-08	PRIJEM	VKLAD	600	600	\N	\N	\N
980277	3345	1994-01-06	PRIJEM	PREVOD Z UCTU	4281	4881	DUCHOD	IJ	28620410
980278	3345	1994-02-06	PRIJEM	PREVOD Z UCTU	4281	9162	DUCHOD	IJ	28620410
980279	3345	1994-03-06	PRIJEM	PREVOD Z UCTU	4281	13443	DUCHOD	IJ	28620410
980280	3345	1994-04-06	PRIJEM	PREVOD Z UCTU	4281	17724	DUCHOD	IJ	28620410
980281	3345	1994-05-06	PRIJEM	PREVOD Z UCTU	4281	22005	DUCHOD	IJ	28620410
980282	3345	1994-06-06	PRIJEM	PREVOD Z UCTU	4281	23523	DUCHOD	IJ	28620410
980283	3345	1994-07-06	PRIJEM	PREVOD Z UCTU	4281	19412	DUCHOD	IJ	28620410
980284	3345	1994-08-06	PRIJEM	PREVOD Z UCTU	4281	16878	DUCHOD	IJ	28620410
980285	3345	1994-09-06	PRIJEM	PREVOD Z UCTU	4281	18502	DUCHOD	IJ	28620410
980286	3345	1994-10-06	PRIJEM	PREVOD Z UCTU	4281	20832	DUCHOD	IJ	28620410
980287	3345	1994-11-06	PRIJEM	PREVOD Z UCTU	4281	23071	DUCHOD	IJ	28620410
980288	3345	1994-12-06	PRIJEM	PREVOD Z UCTU	4281	22519	DUCHOD	IJ	28620410
980289	3345	1995-01-06	PRIJEM	PREVOD Z UCTU	4281	16933	DUCHOD	IJ	28620410
980290	3345	1995-02-06	PRIJEM	PREVOD Z UCTU	4281	11386	DUCHOD	IJ	28620410
980291	3345	1995-03-06	PRIJEM	PREVOD Z UCTU	4281	12264	DUCHOD	IJ	28620410
980292	3345	1995-04-06	PRIJEM	PREVOD Z UCTU	4281	14267	DUCHOD	IJ	28620410
980293	3345	1995-05-06	PRIJEM	PREVOD Z UCTU	4281	16377	DUCHOD	IJ	28620410
980294	3345	1995-06-06	PRIJEM	PREVOD Z UCTU	4281	11059	DUCHOD	IJ	28620410
980295	3345	1995-07-06	PRIJEM	PREVOD Z UCTU	4281	12769	DUCHOD	IJ	28620410
980296	3345	1995-08-06	PRIJEM	PREVOD Z UCTU	4281	13573	DUCHOD	IJ	28620410
980297	3345	1995-09-06	PRIJEM	PREVOD Z UCTU	4281	15083	DUCHOD	IJ	28620410
980298	3345	1995-10-06	PRIJEM	PREVOD Z UCTU	4281	14399	DUCHOD	IJ	28620410
980299	3345	1995-11-06	PRIJEM	PREVOD Z UCTU	4281	13677	DUCHOD	IJ	28620410
980300	3345	1995-12-06	PRIJEM	PREVOD Z UCTU	4281	16599	DUCHOD	IJ	28620410
980301	3345	1996-01-06	PRIJEM	PREVOD Z UCTU	4281	14871	DUCHOD	IJ	28620410
980302	3345	1996-02-06	PRIJEM	PREVOD Z UCTU	4281	181	DUCHOD	IJ	28620410
980303	3345	1996-03-06	PRIJEM	PREVOD Z UCTU	4281	2915	DUCHOD	IJ	28620410
980304	3345	1996-04-06	PRIJEM	PREVOD Z UCTU	4281	4678	DUCHOD	IJ	28620410
980305	3345	1996-05-06	PRIJEM	PREVOD Z UCTU	4281	4550	DUCHOD	IJ	28620410
980306	3345	1996-06-06	PRIJEM	PREVOD Z UCTU	4281	6753	DUCHOD	IJ	28620410
980307	3345	1996-07-06	PRIJEM	PREVOD Z UCTU	4281	3902	DUCHOD	IJ	28620410
980308	3345	1996-08-06	PRIJEM	PREVOD Z UCTU	4281	5771	DUCHOD	IJ	28620410
980309	3345	1996-09-06	PRIJEM	PREVOD Z UCTU	4281	7447	DUCHOD	IJ	28620410
980310	3345	1996-10-06	PRIJEM	PREVOD Z UCTU	4281	8172	DUCHOD	IJ	28620410
980311	3345	1996-11-06	PRIJEM	PREVOD Z UCTU	4281	5661	DUCHOD	IJ	28620410
980312	3345	1996-12-06	PRIJEM	PREVOD Z UCTU	4281	9950	DUCHOD	IJ	28620410
980313	3345	1997-01-06	PRIJEM	PREVOD Z UCTU	4281	6897	DUCHOD	IJ	28620410
980314	3345	1997-02-06	PRIJEM	PREVOD Z UCTU	4281	3650	DUCHOD	IJ	28620410
980315	3345	1997-03-06	PRIJEM	PREVOD Z UCTU	4281	5517	DUCHOD	IJ	28620410
980316	3345	1997-04-06	PRIJEM	PREVOD Z UCTU	4281	7194	DUCHOD	IJ	28620410
980317	3345	1997-05-06	PRIJEM	PREVOD Z UCTU	4281	4193	DUCHOD	IJ	28620410
980318	3345	1997-06-06	PRIJEM	PREVOD Z UCTU	4281	7515	DUCHOD	IJ	28620410
980319	3345	1997-07-06	PRIJEM	PREVOD Z UCTU	4281	9197	DUCHOD	IJ	28620410
980320	3345	1997-08-06	PRIJEM	PREVOD Z UCTU	4281	6800	DUCHOD	IJ	28620410
980321	3345	1997-09-06	PRIJEM	PREVOD Z UCTU	4281	8382	DUCHOD	IJ	28620410
980322	3345	1997-10-06	PRIJEM	PREVOD Z UCTU	4281	10668	DUCHOD	IJ	28620410
980323	3345	1997-11-06	PRIJEM	PREVOD Z UCTU	4281	9966	DUCHOD	IJ	28620410
980324	3345	1997-12-06	PRIJEM	PREVOD Z UCTU	4281	5241	DUCHOD	IJ	28620410
980325	3345	1998-01-06	PRIJEM	PREVOD Z UCTU	4281	7055	DUCHOD	IJ	28620410
980326	3345	1998-02-06	PRIJEM	PREVOD Z UCTU	4281	334	DUCHOD	IJ	28620410
980327	3345	1998-03-06	PRIJEM	PREVOD Z UCTU	4281	2269	DUCHOD	IJ	28620410
980328	3345	1998-04-06	PRIJEM	PREVOD Z UCTU	4281	2106	DUCHOD	IJ	28620410
980329	3345	1998-05-06	PRIJEM	PREVOD Z UCTU	4281	3958	DUCHOD	IJ	28620410
980330	3345	1998-06-06	PRIJEM	PREVOD Z UCTU	4281	861	DUCHOD	IJ	28620410
980331	3345	1998-07-06	PRIJEM	PREVOD Z UCTU	4281	5128	DUCHOD	IJ	28620410
980332	3345	1998-08-06	PRIJEM	PREVOD Z UCTU	4281	7404	DUCHOD	IJ	28620410
980333	3345	1998-09-06	PRIJEM	PREVOD Z UCTU	4281	9791	DUCHOD	IJ	28620410
980334	3345	1998-10-06	PRIJEM	PREVOD Z UCTU	4281	11183	DUCHOD	IJ	28620410
980335	3345	1998-11-06	PRIJEM	PREVOD Z UCTU	4281	6523	DUCHOD	IJ	28620410
980336	3345	1998-12-06	PRIJEM	PREVOD Z UCTU	4281	9365	DUCHOD	IJ	28620410
980353	3345	1994-05-12	VYDAJ	VYBER	2800	19205	SIPO	\N	0
980354	3345	1994-06-18	VYDAJ	VYBER	2700	15073	SIPO	\N	0
980355	3345	1994-07-19	VYDAJ	VYBER	2300	12552	SIPO	\N	0
980356	3345	1994-08-10	VYDAJ	VYBER	2700	14178	SIPO	\N	0
980357	3345	1994-09-16	VYDAJ	VYBER	2000	16502	SIPO	\N	0
980358	3345	1994-10-22	VYDAJ	VYBER	2100	18732	SIPO	\N	0
980359	3345	1994-11-16	VYDAJ	VYBER	2600	20471	SIPO	\N	0
980360	3345	1994-12-15	VYDAJ	VYBER	2000	19419	SIPO	\N	0
980361	3345	1995-01-11	VYDAJ	VYBER	2100	11873	SIPO	\N	0
980362	3345	1995-02-17	VYDAJ	VYBER	2700	8686	SIPO	\N	0
980363	3345	1995-03-22	VYDAJ	VYBER	2300	9964	SIPO	\N	0
980364	3345	1995-04-22	VYDAJ	VYBER	2200	12067	SIPO	\N	0
980365	3345	1995-05-18	VYDAJ	VYBER	2800	12537	SIPO	\N	0
980366	3345	1995-06-19	VYDAJ	VYBER	2600	8459	SIPO	\N	0
980367	3345	1995-07-12	VYDAJ	VYBER	1900	9269	SIPO	\N	0
980368	3345	1995-08-10	VYDAJ	VYBER	2800	10773	SIPO	\N	0
980369	3345	1995-09-15	VYDAJ	VYBER	2300	12783	SIPO	\N	0
980370	3345	1995-10-04	VYDAJ	VYBER	2700	10118	SIPO	\N	0
980371	3345	1995-11-03	VYDAJ	VYBER	2200	9396	SIPO	\N	0
980372	3345	1995-12-07	VYDAJ	VYBER	1800	14799	SIPO	\N	0
980373	3345	1996-01-14	VYDAJ	VYBER	2800	4731	SIPO	\N	0
980374	3345	1996-02-04	VYDAJ	VYBER	1800	-4101	SIPO	\N	0
980375	3345	1996-03-11	VYDAJ	VYBER	2500	415	SIPO	\N	0
980376	3345	1996-04-19	VYDAJ	VYBER	2300	2378	SIPO	\N	0
980377	3345	1996-05-05	VYDAJ	VYBER	2100	269	SIPO	\N	0
980378	3345	1996-06-11	VYDAJ	VYBER	2800	3393	SIPO	\N	0
980379	3345	1996-07-13	VYDAJ	VYBER	2400	1502	SIPO	\N	0
980380	3345	1996-08-19	VYDAJ	VYBER	2600	3171	SIPO	\N	0
980381	3345	1996-09-08	VYDAJ	VYBER	1800	5647	SIPO	\N	0
980382	3345	1996-10-11	VYDAJ	VYBER	1800	6372	SIPO	\N	0
980383	3345	1996-11-05	VYDAJ	VYBER	2200	1380	SIPO	\N	0
980384	3345	1996-12-18	VYDAJ	VYBER	2400	6800	SIPO	\N	0
980385	3345	1997-01-04	VYDAJ	VYBER	2200	2616	SIPO	\N	0
980386	3345	1997-02-14	VYDAJ	VYBER	2400	1250	SIPO	\N	0
980387	3345	1997-03-06	VYDAJ	VYBER	2600	2917	SIPO	\N	0
980388	3345	1997-04-16	VYDAJ	VYBER	2400	2394	SIPO	\N	0
980389	3345	1997-05-05	VYDAJ	VYBER	2000	-89	SIPO	\N	0
980390	3345	1997-06-21	VYDAJ	VYBER	2600	4915	SIPO	\N	0
980391	3345	1997-07-12	VYDAJ	VYBER	2600	4117	SIPO	\N	0
980392	3345	1997-08-10	VYDAJ	VYBER	2700	4100	SIPO	\N	0
980393	3345	1997-09-22	VYDAJ	VYBER	2000	6382	SIPO	\N	0
980394	3345	1997-10-16	VYDAJ	VYBER	2200	8468	SIPO	\N	0
980395	3345	1997-11-03	VYDAJ	VYBER	2800	5685	SIPO	\N	0
980396	3345	1997-12-03	VYDAJ	VYBER	1900	960	SIPO	\N	0
980397	3345	1998-01-17	VYDAJ	VYBER	2500	-1446	SIPO	\N	0
980398	3345	1998-02-17	VYDAJ	VYBER	2300	-1966	SIPO	\N	0
980399	3345	1998-03-15	VYDAJ	VYBER	2100	169	SIPO	\N	0
980400	3345	1998-04-19	VYDAJ	VYBER	2400	-294	SIPO	\N	0
980401	3345	1998-05-12	VYDAJ	VYBER	2600	1358	SIPO	\N	0
980402	3345	1998-06-05	VYDAJ	VYBER	2200	-3421	SIPO	\N	0
980403	3345	1998-07-10	VYDAJ	VYBER	2000	3128	SIPO	\N	0
980404	3345	1998-08-08	VYDAJ	VYBER	1900	5504	SIPO	\N	0
980405	3345	1998-09-20	VYDAJ	VYBER	2900	6891	SIPO	\N	0
980406	3345	1998-10-11	VYDAJ	VYBER	2600	8583	SIPO	\N	0
980407	3345	1998-11-03	VYDAJ	VYBER	2600	2242	SIPO	\N	0
980408	3345	1998-12-17	VYDAJ	VYBER	1800	7565	SIPO	\N	0
980410	3345	1994-06-09	VYDAJ	VYBER	4150	17773	\N	\N	\N
980411	3345	1995-06-01	VYDAJ	VYBER	5800	6778	\N	\N	\N
980417	3345	1995-01-01	VYDAJ	VYBER	1150	13052	\N	\N	\N
980418	3345	1996-01-09	VYDAJ	VYBER	4300	10571	\N	\N	\N
980419	3345	1997-01-09	VYDAJ	VYBER	2400	2817	\N	\N	\N
980422	3345	1994-12-11	VYDAJ	VYBER	1100	21419	\N	\N	\N
980423	3345	1995-12-13	VYDAJ	VYBER	950	13849	\N	\N	\N
980424	3345	1996-12-08	VYDAJ	VYBER	750	9200	\N	\N	\N
980425	3345	1997-12-17	VYDAJ	VYBER	1350	3891	\N	\N	\N
980426	3345	1998-12-02	VYDAJ	VYBER	1450	5084	\N	\N	\N
980439	3345	1995-01-21	VYDAJ	VYBER	880	8673	\N	\N	\N
980440	3345	1995-01-29	VYDAJ	VYBER	400	7073	\N	\N	\N
980441	3345	1995-01-07	VYDAJ	VYBER	1280	15653	\N	\N	\N
980442	3345	1995-01-29	VYDAJ	VYBER	1200	7473	\N	\N	\N
980443	3345	1995-01-02	VYDAJ	VYBER	400	12652	\N	\N	\N
980444	3345	1995-01-08	VYDAJ	VYBER	1680	13973	\N	\N	\N
980445	3345	1996-01-12	VYDAJ	VYBER	800	7531	\N	\N	\N
980446	3345	1996-01-30	VYDAJ	VYBER	2160	-2309	\N	\N	\N
980447	3345	1996-01-28	VYDAJ	VYBER	2160	251	\N	\N	\N
980448	3345	1996-01-09	VYDAJ	VYBER	2240	8331	\N	\N	\N
980449	3345	1996-01-25	VYDAJ	VYBER	2320	2411	\N	\N	\N
980450	3345	1996-01-29	VYDAJ	VYBER	400	-149	\N	\N	\N
980451	3345	1997-01-04	VYDAJ	VYBER	1360	5456	\N	\N	\N
980452	3345	1997-01-10	VYDAJ	VYBER	2160	657	\N	\N	\N
980453	3345	1997-01-08	VYDAJ	VYBER	1680	5217	\N	\N	\N
980454	3345	1997-01-17	VYDAJ	VYBER	480	177	\N	\N	\N
980455	3345	1997-01-28	VYDAJ	VYBER	800	-623	\N	\N	\N
980456	3345	1997-01-04	VYDAJ	VYBER	640	4816	\N	\N	\N
980457	3345	1998-01-06	VYDAJ	VYBER	800	6255	\N	\N	\N
980458	3345	1998-01-12	VYDAJ	VYBER	2240	3135	\N	\N	\N
980459	3345	1998-01-21	VYDAJ	VYBER	1840	-3286	\N	\N	\N
980460	3345	1998-01-21	VYDAJ	VYBER	640	-3926	\N	\N	\N
980461	3345	1998-01-12	VYDAJ	VYBER	880	5375	\N	\N	\N
980462	3345	1998-01-13	VYDAJ	VYBER	2080	1055	\N	\N	\N
980470	3345	1994-12-30	VYDAJ	VYBER	1920	14139	\N	\N	\N
980471	3345	1994-07-08	VYDAJ	VYBER	1200	18212	\N	\N	\N
980473	3345	1994-07-11	VYDAJ	VYBER	1520	16692	\N	\N	\N
980474	3345	1994-12-17	VYDAJ	VYBER	3360	16059	\N	\N	\N
980475	3345	1994-07-12	VYDAJ	VYBER	1840	14852	\N	\N	\N
980476	3345	1995-07-10	VYDAJ	VYBER	1600	11169	\N	\N	\N
980477	3345	1995-10-06	VYDAJ	VYBER	1840	12559	\N	\N	\N
980478	3345	1995-01-21	VYDAJ	VYBER	880	9553	\N	\N	\N
980479	3345	1995-01-20	VYDAJ	VYBER	1440	10433	\N	\N	\N
980480	3345	1995-05-08	VYDAJ	VYBER	1040	15337	\N	\N	\N
980481	3345	1995-02-23	VYDAJ	VYBER	720	7966	\N	\N	\N
980482	3345	1996-06-08	VYDAJ	VYBER	560	6193	\N	\N	\N
980483	3345	1996-10-30	VYDAJ	VYBER	2800	3572	\N	\N	\N
980484	3345	1996-09-21	VYDAJ	VYBER	1760	3887	\N	\N	\N
980485	3345	1996-06-12	VYDAJ	VYBER	3760	-367	\N	\N	\N
980486	3345	1996-05-28	VYDAJ	VYBER	2080	2470	\N	\N	\N
980487	3345	1996-02-12	VYDAJ	VYBER	1520	-1340	\N	\N	\N
980488	3345	1997-11-18	VYDAJ	VYBER	3760	6206	\N	\N	\N
980489	3345	1997-04-27	VYDAJ	VYBER	480	1914	\N	\N	\N
980490	3345	1997-05-30	VYDAJ	VYBER	960	3233	\N	\N	\N
980491	3345	1997-04-12	VYDAJ	VYBER	2400	4794	\N	\N	\N
980492	3345	1997-07-25	VYDAJ	VYBER	1600	2517	\N	\N	\N
980493	3345	1997-11-20	VYDAJ	VYBER	3360	2846	\N	\N	\N
980494	3345	1997-07-11	VYDAJ	VYBER	2480	6717	\N	\N	\N
980495	3345	1998-05-20	VYDAJ	VYBER	1200	-1202	\N	\N	\N
980496	3345	1998-01-01	VYDAJ	VYBER	1120	2774	\N	\N	\N
980497	3345	1998-05-20	VYDAJ	VYBER	1360	-2	\N	\N	\N
980498	3345	1998-11-02	VYDAJ	VYBER	3760	4842	\N	\N	\N
980499	3345	1998-03-31	VYDAJ	VYBER	2320	-2175	\N	\N	\N
980517	3345	1994-05-31	VYDAJ	VYBER	15	19242	SLUZBY	\N	\N
980518	3345	1994-06-30	VYDAJ	VYBER	15	15131	SLUZBY	\N	\N
980519	3345	1994-07-31	VYDAJ	VYBER	15	12597	SLUZBY	\N	\N
980520	3345	1994-08-31	VYDAJ	VYBER	15	14221	SLUZBY	\N	\N
980521	3345	1994-09-30	VYDAJ	VYBER	15	16551	SLUZBY	\N	\N
980522	3345	1994-10-31	VYDAJ	VYBER	15	18790	SLUZBY	\N	\N
980523	3345	1994-11-30	VYDAJ	VYBER	15	20538	SLUZBY	\N	\N
980524	3345	1994-12-31	VYDAJ	VYBER	15	14202	SLUZBY	\N	\N
980525	3345	1995-01-31	VYDAJ	VYBER	15	7105	SLUZBY	\N	\N
980526	3345	1995-02-28	VYDAJ	VYBER	15	7983	SLUZBY	\N	\N
980527	3345	1995-03-31	VYDAJ	VYBER	15	9986	SLUZBY	\N	\N
980528	3345	1995-04-30	VYDAJ	VYBER	15	12096	SLUZBY	\N	\N
980529	3345	1995-05-31	VYDAJ	VYBER	15	12578	SLUZBY	\N	\N
980530	3345	1995-06-30	VYDAJ	VYBER	15	8488	SLUZBY	\N	\N
980531	3345	1995-07-31	VYDAJ	VYBER	15	9292	SLUZBY	\N	\N
980532	3345	1995-08-31	VYDAJ	VYBER	15	10802	SLUZBY	\N	\N
980533	3345	1995-09-30	VYDAJ	VYBER	15	12818	SLUZBY	\N	\N
980534	3345	1995-10-31	VYDAJ	VYBER	15	11596	SLUZBY	\N	\N
980535	3345	1995-11-30	VYDAJ	VYBER	15	12318	SLUZBY	\N	\N
980536	3345	1995-12-31	VYDAJ	VYBER	15	10590	SLUZBY	\N	\N
980537	3345	1996-01-31	VYDAJ	VYBER	15	-2301	SLUZBY	\N	\N
980538	3345	1996-02-29	VYDAJ	VYBER	15	-1366	SLUZBY	\N	\N
980539	3345	1996-03-31	VYDAJ	VYBER	15	402	SLUZBY	\N	\N
980540	3345	1996-04-30	VYDAJ	VYBER	15	2369	SLUZBY	\N	\N
980541	3345	1996-05-31	VYDAJ	VYBER	15	2472	SLUZBY	\N	\N
980542	3345	1996-06-30	VYDAJ	VYBER	15	-376	SLUZBY	\N	\N
980543	3345	1996-07-31	VYDAJ	VYBER	15	1492	SLUZBY	\N	\N
980544	3345	1996-08-31	VYDAJ	VYBER	15	3166	SLUZBY	\N	\N
980545	3345	1996-09-30	VYDAJ	VYBER	15	3891	SLUZBY	\N	\N
980546	3345	1996-10-31	VYDAJ	VYBER	15	3580	SLUZBY	\N	\N
980547	3345	1996-11-30	VYDAJ	VYBER	15	5669	SLUZBY	\N	\N
980548	3345	1996-12-31	VYDAJ	VYBER	15	6816	SLUZBY	\N	\N
980549	3345	1997-01-31	VYDAJ	VYBER	15	-630	SLUZBY	\N	\N
980550	3345	1997-02-28	VYDAJ	VYBER	15	1239	SLUZBY	\N	\N
980551	3345	1997-03-31	VYDAJ	VYBER	15	2913	SLUZBY	\N	\N
980552	3345	1997-04-30	VYDAJ	VYBER	15	1912	SLUZBY	\N	\N
980553	3345	1997-05-31	VYDAJ	VYBER	15	3234	SLUZBY	\N	\N
980554	3345	1997-06-30	VYDAJ	VYBER	15	4916	SLUZBY	\N	\N
980555	3345	1997-07-31	VYDAJ	VYBER	15	2519	SLUZBY	\N	\N
980556	3345	1997-08-31	VYDAJ	VYBER	15	4101	SLUZBY	\N	\N
980557	3345	1997-09-30	VYDAJ	VYBER	15	6387	SLUZBY	\N	\N
980558	3345	1997-10-31	VYDAJ	VYBER	15	8485	SLUZBY	\N	\N
980559	3345	1997-11-30	VYDAJ	VYBER	15	2860	SLUZBY	\N	\N
980560	3345	1997-12-31	VYDAJ	VYBER	15	3894	SLUZBY	\N	\N
980561	3345	1998-01-31	VYDAJ	VYBER	15	-3931	SLUZBY	\N	\N
980562	3345	1998-02-28	VYDAJ	VYBER	15	-1981	SLUZBY	\N	\N
980563	3345	1998-03-31	VYDAJ	VYBER	15	145	SLUZBY	\N	\N
980564	3345	1998-04-30	VYDAJ	VYBER	15	-308	SLUZBY	\N	\N
980565	3345	1998-05-31	VYDAJ	VYBER	15	-1221	SLUZBY	\N	\N
980566	3345	1998-06-30	VYDAJ	VYBER	15	847	SLUZBY	\N	\N
980567	3345	1998-07-31	VYDAJ	VYBER	15	3123	SLUZBY	\N	\N
980568	3345	1998-08-31	VYDAJ	VYBER	15	5510	SLUZBY	\N	\N
980569	3345	1998-09-30	VYDAJ	VYBER	15	6902	SLUZBY	\N	\N
980570	3345	1998-10-31	VYDAJ	VYBER	15	8602	SLUZBY	\N	\N
980571	3345	1998-11-30	VYDAJ	VYBER	15	6534	SLUZBY	\N	\N
980572	3345	1994-06-06	VYDAJ	VYBER	1600	21923	\N	\N	\N
980573	3345	1994-12-03	VYDAJ	VYBER	2300	18238	\N	\N	\N
980574	3345	1995-10-29	VYDAJ	VYBER	1000	11559	\N	\N	\N
980575	3345	1995-11-28	VYDAJ	VYBER	1400	12277	\N	\N	\N
980576	3345	1995-12-28	VYDAJ	VYBER	3300	10549	\N	\N	\N
980643	3346	1997-07-25	PRIJEM	VKLAD	400	400	\N	\N	\N
980651	3346	1997-08-07	PRIJEM	VKLAD	23782	24182	\N	\N	\N
980652	3346	1997-09-07	PRIJEM	VKLAD	23782	48491	\N	\N	\N
980653	3346	1997-10-07	PRIJEM	VKLAD	23782	58687	\N	\N	\N
980654	3346	1997-11-07	PRIJEM	VKLAD	23782	66123	\N	\N	\N
980655	3346	1997-12-07	PRIJEM	VKLAD	35673	79273	\N	\N	\N
980656	3346	1998-01-07	PRIJEM	VKLAD	23782	54433	\N	\N	\N
980657	3346	1998-02-07	PRIJEM	VKLAD	23782	46085	\N	\N	\N
980658	3346	1998-03-07	PRIJEM	VKLAD	23782	46713	\N	\N	\N
980659	3346	1998-04-07	PRIJEM	VKLAD	23782	48966	\N	\N	\N
980660	3346	1998-05-07	PRIJEM	VKLAD	23782	47392	\N	\N	\N
980661	3346	1998-06-07	PRIJEM	VKLAD	35673	62179	\N	\N	\N
980662	3346	1998-07-07	PRIJEM	VKLAD	23782	42289	\N	\N	\N
980663	3346	1998-08-07	PRIJEM	VKLAD	23782	48750	\N	\N	\N
980664	3346	1998-09-07	PRIJEM	VKLAD	23782	52149	\N	\N	\N
980665	3346	1998-10-07	PRIJEM	VKLAD	23782	56264	\N	\N	\N
980666	3346	1998-11-07	PRIJEM	VKLAD	23782	55443	\N	\N	\N
980667	3346	1998-12-07	PRIJEM	VKLAD	35673	67251	\N	\N	\N
980679	3346	1997-12-10	VYDAJ	PREVOD NA UCET	2276	72067	SIPO	IJ	52659970
980680	3346	1998-01-10	VYDAJ	PREVOD NA UCET	2276	47227	SIPO	IJ	52659970
980681	3346	1998-02-10	VYDAJ	PREVOD NA UCET	2276	38879	SIPO	IJ	52659970
980682	3346	1998-03-10	VYDAJ	PREVOD NA UCET	2276	39507	SIPO	IJ	52659970
980683	3346	1998-04-10	VYDAJ	PREVOD NA UCET	2276	41760	SIPO	IJ	52659970
980684	3346	1998-05-10	VYDAJ	PREVOD NA UCET	2276	40186	SIPO	IJ	52659970
980685	3346	1998-06-10	VYDAJ	PREVOD NA UCET	2276	54973	SIPO	IJ	52659970
980686	3346	1998-07-10	VYDAJ	PREVOD NA UCET	2276	35083	SIPO	IJ	52659970
980687	3346	1998-08-10	VYDAJ	PREVOD NA UCET	2276	40344	SIPO	IJ	52659970
980688	3346	1998-09-10	VYDAJ	PREVOD NA UCET	2276	44943	SIPO	IJ	52659970
980689	3346	1998-10-10	VYDAJ	PREVOD NA UCET	2276	49058	SIPO	IJ	52659970
980690	3346	1998-11-10	VYDAJ	PREVOD NA UCET	2276	48237	SIPO	IJ	52659970
980691	3346	1998-12-10	VYDAJ	PREVOD NA UCET	2276	60045	SIPO	IJ	52659970
980703	3346	1997-12-07	VYDAJ	PREVOD NA UCET	4930	74343	 	WX	56243741
980704	3346	1998-01-07	VYDAJ	PREVOD NA UCET	4930	49503	 	WX	56243741
980705	3346	1998-02-07	VYDAJ	PREVOD NA UCET	4930	41155	 	WX	56243741
980706	3346	1998-03-07	VYDAJ	PREVOD NA UCET	4930	41783	 	WX	56243741
980707	3346	1998-04-07	VYDAJ	PREVOD NA UCET	4930	44036	 	WX	56243741
980708	3346	1998-05-07	VYDAJ	PREVOD NA UCET	4930	42462	 	WX	56243741
980709	3346	1998-06-07	VYDAJ	PREVOD NA UCET	4930	57249	 	WX	56243741
980710	3346	1998-07-07	VYDAJ	PREVOD NA UCET	4930	37359	 	WX	56243741
980711	3346	1998-08-07	VYDAJ	PREVOD NA UCET	4930	43820	 	WX	56243741
980712	3346	1998-09-07	VYDAJ	PREVOD NA UCET	4930	47219	 	WX	56243741
980713	3346	1998-10-07	VYDAJ	PREVOD NA UCET	4930	51334	 	WX	56243741
980714	3346	1998-11-07	VYDAJ	PREVOD NA UCET	4930	50513	 	WX	56243741
980715	3346	1998-12-07	VYDAJ	PREVOD NA UCET	4930	62321	 	WX	56243741
980717	3346	1998-06-28	VYDAJ	VYBER	16320	18353	\N	\N	\N
980719	3346	1998-01-06	VYDAJ	VYBER	4960	30651	\N	\N	\N
980720	3346	1997-12-23	VYDAJ	VYBER	3200	41267	\N	\N	\N
980721	3346	1998-12-21	VYDAJ	VYBER	3680	34765	\N	\N	\N
980728	3346	1998-01-21	VYDAJ	VYBER	2640	26127	\N	\N	\N
980729	3346	1998-01-22	VYDAJ	VYBER	2280	23847	\N	\N	\N
980730	3346	1998-01-17	VYDAJ	VYBER	2520	43267	\N	\N	\N
980731	3346	1998-01-01	VYDAJ	VYBER	2880	38611	\N	\N	\N
980732	3346	1998-01-12	VYDAJ	VYBER	1440	45787	\N	\N	\N
980733	3346	1998-01-30	VYDAJ	VYBER	1680	22167	\N	\N	\N
980740	3346	1998-08-09	VYDAJ	VYBER	1200	42620	\N	\N	\N
980741	3346	1998-10-15	VYDAJ	VYBER	2040	47018	\N	\N	\N
980742	3346	1998-04-21	VYDAJ	VYBER	5880	23480	\N	\N	\N
980743	3346	1998-07-29	VYDAJ	VYBER	2520	24863	\N	\N	\N
980744	3346	1998-01-02	VYDAJ	VYBER	3000	35611	\N	\N	\N
980745	3346	1998-03-12	VYDAJ	VYBER	2640	36867	\N	\N	\N
980746	3346	1998-02-19	VYDAJ	VYBER	2760	36119	\N	\N	\N
980759	3346	1997-12-31	VYDAJ	VYBER	15	41491	SLUZBY	\N	\N
980760	3346	1998-01-31	VYDAJ	VYBER	15	22303	SLUZBY	\N	\N
980761	3346	1998-02-28	VYDAJ	VYBER	15	22931	SLUZBY	\N	\N
980762	3346	1998-03-31	VYDAJ	VYBER	15	25184	SLUZBY	\N	\N
980763	3346	1998-04-30	VYDAJ	VYBER	15	23610	SLUZBY	\N	\N
980764	3346	1998-05-31	VYDAJ	VYBER	15	26506	SLUZBY	\N	\N
980765	3346	1998-06-30	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
980766	3346	1998-07-31	VYDAJ	VYBER	15	24968	SLUZBY	\N	\N
980767	3346	1998-08-31	VYDAJ	VYBER	15	28367	SLUZBY	\N	\N
980768	3346	1998-09-30	VYDAJ	VYBER	15	32482	SLUZBY	\N	\N
980769	3346	1998-10-31	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
980770	3346	1998-11-30	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
980771	3346	1997-08-24	PRIJEM	VKLAD	500	24682	\N	\N	\N
980772	3346	1997-09-23	VYDAJ	VYBER	13700	34791	\N	\N	\N
980773	3346	1997-10-23	VYDAJ	VYBER	16500	42187	\N	\N	\N
980774	3346	1997-11-22	VYDAJ	VYBER	22700	43423	\N	\N	\N
980775	3346	1997-12-22	VYDAJ	VYBER	27600	44467	\N	\N	\N
980776	3346	1998-01-21	VYDAJ	VYBER	14500	28767	\N	\N	\N
980777	3346	1998-02-20	VYDAJ	VYBER	13300	22819	\N	\N	\N
980778	3346	1998-03-22	VYDAJ	VYBER	11800	25067	\N	\N	\N
980779	3346	1998-04-21	VYDAJ	VYBER	12400	29360	\N	\N	\N
980780	3346	1998-05-21	VYDAJ	VYBER	13800	26386	\N	\N	\N
980781	3346	1998-06-20	VYDAJ	VYBER	20300	34673	\N	\N	\N
980782	3346	1998-07-20	VYDAJ	VYBER	7700	27383	\N	\N	\N
980783	3346	1998-08-19	VYDAJ	VYBER	12100	28244	\N	\N	\N
980784	3346	1998-09-18	VYDAJ	VYBER	12600	32343	\N	\N	\N
980785	3346	1998-10-18	VYDAJ	VYBER	15500	31518	\N	\N	\N
980786	3346	1998-11-17	VYDAJ	VYBER	16800	31437	\N	\N	\N
980787	3346	1998-12-17	VYDAJ	VYBER	21600	38445	\N	\N	\N
980805	3347	1996-08-19	PRIJEM	VKLAD	600	600	\N	\N	\N
980814	3347	1996-09-10	PRIJEM	PREVOD Z UCTU	5357	5957	DUCHOD	EF	5984932
980815	3347	1996-10-10	PRIJEM	PREVOD Z UCTU	5357	11314	DUCHOD	EF	5984932
980816	3347	1996-11-10	PRIJEM	PREVOD Z UCTU	5357	16671	DUCHOD	EF	5984932
980817	3347	1996-12-10	PRIJEM	PREVOD Z UCTU	5357	22028	DUCHOD	EF	5984932
980818	3347	1997-01-10	PRIJEM	PREVOD Z UCTU	5357	27385	DUCHOD	EF	5984932
980819	3347	1997-02-10	PRIJEM	PREVOD Z UCTU	5357	22499	DUCHOD	EF	5984932
980820	3347	1997-03-10	PRIJEM	PREVOD Z UCTU	5357	25308	DUCHOD	EF	5984932
980821	3347	1997-04-10	PRIJEM	PREVOD Z UCTU	5357	26325	DUCHOD	EF	5984932
980822	3347	1997-05-10	PRIJEM	PREVOD Z UCTU	5357	29150	DUCHOD	EF	5984932
980823	3347	1997-06-10	PRIJEM	PREVOD Z UCTU	5357	24786	DUCHOD	EF	5984932
980824	3347	1997-07-10	PRIJEM	PREVOD Z UCTU	5357	27611	DUCHOD	EF	5984932
980825	3347	1997-08-10	PRIJEM	PREVOD Z UCTU	5357	30441	DUCHOD	EF	5984932
980826	3347	1997-09-10	PRIJEM	PREVOD Z UCTU	5357	27268	DUCHOD	EF	5984932
980827	3347	1997-10-10	PRIJEM	PREVOD Z UCTU	5357	24467	DUCHOD	EF	5984932
980828	3347	1997-11-10	PRIJEM	PREVOD Z UCTU	5357	17969	DUCHOD	EF	5984932
980829	3347	1997-12-10	PRIJEM	PREVOD Z UCTU	5357	18956	DUCHOD	EF	5984932
980830	3347	1998-01-10	PRIJEM	PREVOD Z UCTU	5357	16565	DUCHOD	EF	5984932
980831	3347	1998-02-10	PRIJEM	PREVOD Z UCTU	5357	14135	DUCHOD	EF	5984932
980832	3347	1998-03-10	PRIJEM	PREVOD Z UCTU	5357	16909	DUCHOD	EF	5984932
980833	3347	1998-04-10	PRIJEM	PREVOD Z UCTU	5357	16185	DUCHOD	EF	5984932
980834	3347	1998-05-10	PRIJEM	PREVOD Z UCTU	5357	18967	DUCHOD	EF	5984932
980835	3347	1998-06-10	PRIJEM	PREVOD Z UCTU	5357	21761	DUCHOD	EF	5984932
980836	3347	1998-07-10	PRIJEM	PREVOD Z UCTU	5357	24566	DUCHOD	EF	5984932
980837	3347	1998-08-10	PRIJEM	PREVOD Z UCTU	5357	20162	DUCHOD	EF	5984932
980838	3347	1998-09-10	PRIJEM	PREVOD Z UCTU	5357	22961	DUCHOD	EF	5984932
980839	3347	1998-10-10	PRIJEM	PREVOD Z UCTU	5357	17772	DUCHOD	EF	5984932
980840	3347	1998-11-10	PRIJEM	PREVOD Z UCTU	5357	14568	DUCHOD	EF	5984932
980841	3347	1998-12-10	PRIJEM	PREVOD Z UCTU	5357	17348	DUCHOD	EF	5984932
980855	3347	1997-02-08	VYDAJ	PREVOD NA UCET	2624	17142	SIPO	ST	24763751
980856	3347	1997-03-08	VYDAJ	PREVOD NA UCET	2624	19951	SIPO	ST	24763751
980857	3347	1997-04-08	VYDAJ	PREVOD NA UCET	2624	20968	SIPO	ST	24763751
980858	3347	1997-05-08	VYDAJ	PREVOD NA UCET	2624	23793	SIPO	ST	24763751
980859	3347	1997-06-08	VYDAJ	PREVOD NA UCET	2624	19429	SIPO	ST	24763751
980860	3347	1997-07-08	VYDAJ	PREVOD NA UCET	2624	22254	SIPO	ST	24763751
980861	3347	1997-08-08	VYDAJ	PREVOD NA UCET	2624	25084	SIPO	ST	24763751
980862	3347	1997-09-08	VYDAJ	PREVOD NA UCET	2624	21911	SIPO	ST	24763751
980863	3347	1997-10-08	VYDAJ	PREVOD NA UCET	2624	19110	SIPO	ST	24763751
980864	3347	1997-11-08	VYDAJ	PREVOD NA UCET	2624	12612	SIPO	ST	24763751
980865	3347	1997-12-08	VYDAJ	PREVOD NA UCET	2624	14699	SIPO	ST	24763751
980866	3347	1998-01-08	VYDAJ	PREVOD NA UCET	2624	11208	SIPO	ST	24763751
980867	3347	1998-02-08	VYDAJ	PREVOD NA UCET	2624	8778	SIPO	ST	24763751
980868	3347	1998-03-08	VYDAJ	PREVOD NA UCET	2624	11552	SIPO	ST	24763751
980869	3347	1998-04-08	VYDAJ	PREVOD NA UCET	2624	10828	SIPO	ST	24763751
980870	3347	1998-05-08	VYDAJ	PREVOD NA UCET	2624	13610	SIPO	ST	24763751
980871	3347	1998-06-08	VYDAJ	PREVOD NA UCET	2624	16404	SIPO	ST	24763751
980872	3347	1998-07-08	VYDAJ	PREVOD NA UCET	2624	19209	SIPO	ST	24763751
980873	3347	1998-08-08	VYDAJ	PREVOD NA UCET	2624	14805	SIPO	ST	24763751
980874	3347	1998-09-08	VYDAJ	PREVOD NA UCET	2624	17604	SIPO	ST	24763751
980875	3347	1998-10-08	VYDAJ	PREVOD NA UCET	2624	12415	SIPO	ST	24763751
980876	3347	1998-11-08	VYDAJ	PREVOD NA UCET	2624	9211	SIPO	ST	24763751
980877	3347	1998-12-08	VYDAJ	PREVOD NA UCET	2624	11991	SIPO	ST	24763751
980879	3347	1997-06-04	VYDAJ	VYBER	7200	22053	\N	\N	\N
980882	3347	1997-01-13	VYDAJ	VYBER	1100	24365	\N	\N	\N
980885	3347	1997-12-09	VYDAJ	VYBER	1100	13599	\N	\N	\N
980886	3347	1998-12-27	VYDAJ	VYBER	350	16998	\N	\N	\N
980893	3347	1997-01-25	VYDAJ	VYBER	1040	19725	\N	\N	\N
980895	3347	1997-01-15	VYDAJ	VYBER	2080	20765	\N	\N	\N
980896	3347	1997-01-13	VYDAJ	VYBER	1520	22845	\N	\N	\N
980897	3347	1997-01-12	VYDAJ	VYBER	1920	25465	\N	\N	\N
980899	3347	1998-01-04	VYDAJ	VYBER	640	16072	\N	\N	\N
980900	3347	1998-01-05	VYDAJ	VYBER	2240	13832	\N	\N	\N
980911	3347	1997-10-02	VYDAJ	VYBER	1920	21734	\N	\N	\N
980912	3347	1997-10-31	VYDAJ	VYBER	2400	15250	\N	\N	\N
980913	3347	1997-10-19	VYDAJ	VYBER	1200	17567	\N	\N	\N
980929	3347	1997-01-31	VYDAJ	VYBER	15	19766	SLUZBY	\N	\N
980930	3347	1997-02-28	VYDAJ	VYBER	15	22575	SLUZBY	\N	\N
980931	3347	1997-03-31	VYDAJ	VYBER	15	23592	SLUZBY	\N	\N
980932	3347	1997-04-30	VYDAJ	VYBER	15	26417	SLUZBY	\N	\N
980933	3347	1997-05-31	VYDAJ	VYBER	15	29253	SLUZBY	\N	\N
980934	3347	1997-06-30	VYDAJ	VYBER	15	24878	SLUZBY	\N	\N
980935	3347	1997-07-31	VYDAJ	VYBER	15	27708	SLUZBY	\N	\N
980936	3347	1997-08-31	VYDAJ	VYBER	15	24535	SLUZBY	\N	\N
980937	3347	1997-09-30	VYDAJ	VYBER	15	23654	SLUZBY	\N	\N
980938	3347	1997-10-31	VYDAJ	VYBER	15	15236	SLUZBY	\N	\N
980939	3347	1997-11-30	VYDAJ	VYBER	15	17323	SLUZBY	\N	\N
980940	3347	1997-12-31	VYDAJ	VYBER	15	16712	SLUZBY	\N	\N
980941	3347	1998-01-31	VYDAJ	VYBER	15	11402	SLUZBY	\N	\N
980942	3347	1998-02-28	VYDAJ	VYBER	15	14176	SLUZBY	\N	\N
980943	3347	1998-03-31	VYDAJ	VYBER	15	13452	SLUZBY	\N	\N
980944	3347	1998-04-30	VYDAJ	VYBER	15	16234	SLUZBY	\N	\N
980945	3347	1998-05-31	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
980946	3347	1998-06-30	VYDAJ	VYBER	15	21833	SLUZBY	\N	\N
980947	3347	1998-07-31	VYDAJ	VYBER	15	17429	SLUZBY	\N	\N
980948	3347	1998-08-31	VYDAJ	VYBER	15	20228	SLUZBY	\N	\N
980949	3347	1998-09-30	VYDAJ	VYBER	15	23039	SLUZBY	\N	\N
980950	3347	1998-10-31	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
980951	3347	1998-11-30	VYDAJ	VYBER	15	14615	SLUZBY	\N	\N
980952	3347	1997-03-17	VYDAJ	VYBER	1800	23508	\N	\N	\N
980953	3347	1997-08-14	VYDAJ	VYBER	6000	24441	\N	\N	\N
980954	3347	1997-09-13	VYDAJ	VYBER	3700	23568	\N	\N	\N
980955	3347	1997-10-13	VYDAJ	VYBER	5700	18767	\N	\N	\N
980956	3347	1997-11-12	VYDAJ	VYBER	700	17269	\N	\N	\N
980957	3347	1997-12-12	VYDAJ	VYBER	2300	16656	\N	\N	\N
980958	3347	1998-01-11	VYDAJ	VYBER	5200	11365	\N	\N	\N
980959	3347	1998-03-12	VYDAJ	VYBER	3500	13409	\N	\N	\N
980960	3347	1998-07-10	VYDAJ	VYBER	7200	17366	\N	\N	\N
980961	3347	1998-10-08	VYDAJ	VYBER	8000	15039	\N	\N	\N
980962	3347	1998-11-07	VYDAJ	VYBER	6000	11835	\N	\N	\N
980987	3348	1994-12-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
980999	3348	1994-12-11	PRIJEM	VKLAD	27086	28186	\N	\N	\N
981000	3348	1995-01-11	PRIJEM	VKLAD	18057	43223	\N	\N	\N
981001	3348	1995-02-11	PRIJEM	VKLAD	18057	50439	\N	\N	\N
981002	3348	1995-03-11	PRIJEM	VKLAD	18057	57196	\N	\N	\N
981003	3348	1995-04-11	PRIJEM	VKLAD	18057	60882	\N	\N	\N
981004	3348	1995-05-11	PRIJEM	VKLAD	18057	58086	\N	\N	\N
981005	3348	1995-06-11	PRIJEM	VKLAD	27086	65105	\N	\N	\N
981006	3348	1995-07-11	PRIJEM	VKLAD	18057	48691	\N	\N	\N
981007	3348	1995-08-11	PRIJEM	VKLAD	18057	54031	\N	\N	\N
981008	3348	1995-09-11	PRIJEM	VKLAD	18057	49800	\N	\N	\N
981009	3348	1995-10-11	PRIJEM	VKLAD	18057	51550	\N	\N	\N
981010	3348	1995-11-11	PRIJEM	VKLAD	18057	49905	\N	\N	\N
981011	3348	1995-12-11	PRIJEM	VKLAD	27086	55123	\N	\N	\N
981012	3348	1996-01-11	PRIJEM	VKLAD	18057	50220	\N	\N	\N
981013	3348	1996-02-11	PRIJEM	VKLAD	18057	47738	\N	\N	\N
981014	3348	1996-03-11	PRIJEM	VKLAD	18057	52369	\N	\N	\N
981015	3348	1996-04-11	PRIJEM	VKLAD	18057	54653	\N	\N	\N
981016	3348	1996-05-11	PRIJEM	VKLAD	18057	55817	\N	\N	\N
981017	3348	1996-06-11	PRIJEM	VKLAD	27086	66817	\N	\N	\N
981018	3348	1996-07-11	PRIJEM	VKLAD	18057	53469	\N	\N	\N
981019	3348	1996-08-11	PRIJEM	VKLAD	18057	56529	\N	\N	\N
981020	3348	1996-09-11	PRIJEM	VKLAD	18057	56598	\N	\N	\N
981021	3348	1996-10-11	PRIJEM	VKLAD	18057	59887	\N	\N	\N
981022	3348	1996-11-11	PRIJEM	VKLAD	18057	59429	\N	\N	\N
981023	3348	1996-12-11	PRIJEM	VKLAD	27086	69734	\N	\N	\N
981024	3348	1997-01-11	PRIJEM	VKLAD	18057	60616	\N	\N	\N
981025	3348	1997-02-11	PRIJEM	VKLAD	18057	45748	\N	\N	\N
981026	3348	1997-03-11	PRIJEM	VKLAD	18057	57274	\N	\N	\N
981027	3348	1997-04-11	PRIJEM	VKLAD	18057	55083	\N	\N	\N
981028	3348	1997-05-11	PRIJEM	VKLAD	18057	58641	\N	\N	\N
981029	3348	1997-06-11	PRIJEM	VKLAD	27086	69043	\N	\N	\N
981030	3348	1997-07-11	PRIJEM	VKLAD	18057	56871	\N	\N	\N
981031	3348	1997-08-11	PRIJEM	VKLAD	18057	61639	\N	\N	\N
981032	3348	1997-09-11	PRIJEM	VKLAD	18057	65423	\N	\N	\N
981033	3348	1997-10-11	PRIJEM	VKLAD	18057	65919	\N	\N	\N
981034	3348	1997-11-11	PRIJEM	VKLAD	18057	71523	\N	\N	\N
981035	3348	1997-12-11	PRIJEM	VKLAD	27086	76493	\N	\N	\N
981036	3348	1998-01-11	PRIJEM	VKLAD	18057	54937	\N	\N	\N
981037	3348	1998-02-11	PRIJEM	VKLAD	18057	58061	\N	\N	\N
981038	3348	1998-03-11	PRIJEM	VKLAD	18057	71542	\N	\N	\N
981039	3348	1998-04-11	PRIJEM	VKLAD	18057	77767	\N	\N	\N
981040	3348	1998-05-11	PRIJEM	VKLAD	18057	82216	\N	\N	\N
981041	3348	1998-06-11	PRIJEM	VKLAD	27086	90003	\N	\N	\N
981042	3348	1998-07-11	PRIJEM	VKLAD	18057	81957	\N	\N	\N
981043	3348	1998-08-11	PRIJEM	VKLAD	18057	85921	\N	\N	\N
981044	3348	1998-09-11	PRIJEM	VKLAD	18057	86995	\N	\N	\N
981045	3348	1998-10-11	PRIJEM	VKLAD	18057	80344	\N	\N	\N
981046	3348	1998-11-11	PRIJEM	VKLAD	18057	82595	\N	\N	\N
981047	3348	1998-12-11	PRIJEM	VKLAD	27086	88874	\N	\N	\N
981064	3348	1995-05-05	VYDAJ	PREVOD NA UCET	5787	55329	SIPO	GH	18148541
981065	3348	1995-06-05	VYDAJ	PREVOD NA UCET	5787	52519	SIPO	GH	18148541
981066	3348	1995-07-05	VYDAJ	PREVOD NA UCET	5787	33734	SIPO	GH	18148541
981067	3348	1995-08-05	VYDAJ	PREVOD NA UCET	5787	43074	SIPO	GH	18148541
981068	3348	1995-09-05	VYDAJ	PREVOD NA UCET	5787	31743	SIPO	GH	18148541
981069	3348	1995-10-05	VYDAJ	PREVOD NA UCET	5787	33493	SIPO	GH	18148541
981070	3348	1995-11-05	VYDAJ	PREVOD NA UCET	5787	31848	SIPO	GH	18148541
981071	3348	1995-12-05	VYDAJ	PREVOD NA UCET	5787	32197	SIPO	GH	18148541
981072	3348	1996-01-05	VYDAJ	PREVOD NA UCET	5787	36123	SIPO	GH	18148541
981073	3348	1996-02-05	VYDAJ	PREVOD NA UCET	5787	29681	SIPO	GH	18148541
981074	3348	1996-03-05	VYDAJ	PREVOD NA UCET	5787	34312	SIPO	GH	18148541
981075	3348	1996-04-05	VYDAJ	PREVOD NA UCET	5787	36596	SIPO	GH	18148541
981076	3348	1996-05-05	VYDAJ	PREVOD NA UCET	5787	37760	SIPO	GH	18148541
981077	3348	1996-06-05	VYDAJ	PREVOD NA UCET	5787	39731	SIPO	GH	18148541
981078	3348	1996-07-05	VYDAJ	PREVOD NA UCET	5787	35412	SIPO	GH	18148541
981079	3348	1996-08-05	VYDAJ	PREVOD NA UCET	5787	38472	SIPO	GH	18148541
981080	3348	1996-09-05	VYDAJ	PREVOD NA UCET	5787	38541	SIPO	GH	18148541
981081	3348	1996-10-05	VYDAJ	PREVOD NA UCET	5787	41830	SIPO	GH	18148541
981082	3348	1996-11-05	VYDAJ	PREVOD NA UCET	5787	41372	SIPO	GH	18148541
981083	3348	1996-12-05	VYDAJ	PREVOD NA UCET	5787	42648	SIPO	GH	18148541
981084	3348	1997-01-05	VYDAJ	PREVOD NA UCET	5787	42559	SIPO	GH	18148541
981085	3348	1997-02-05	VYDAJ	PREVOD NA UCET	5787	27691	SIPO	GH	18148541
981086	3348	1997-03-05	VYDAJ	PREVOD NA UCET	5787	39217	SIPO	GH	18148541
981087	3348	1997-04-05	VYDAJ	PREVOD NA UCET	5787	37026	SIPO	GH	18148541
981088	3348	1997-05-05	VYDAJ	PREVOD NA UCET	5787	40584	SIPO	GH	18148541
981089	3348	1997-06-05	VYDAJ	PREVOD NA UCET	5787	41957	SIPO	GH	18148541
981090	3348	1997-07-05	VYDAJ	PREVOD NA UCET	5787	38814	SIPO	GH	18148541
981091	3348	1997-08-05	VYDAJ	PREVOD NA UCET	5787	43582	SIPO	GH	18148541
981092	3348	1997-09-05	VYDAJ	PREVOD NA UCET	5787	47366	SIPO	GH	18148541
981093	3348	1997-10-05	VYDAJ	PREVOD NA UCET	5787	47862	SIPO	GH	18148541
981094	3348	1997-11-05	VYDAJ	PREVOD NA UCET	5787	53466	SIPO	GH	18148541
981095	3348	1997-12-05	VYDAJ	PREVOD NA UCET	5787	51807	SIPO	GH	18148541
981096	3348	1998-01-05	VYDAJ	PREVOD NA UCET	5787	57360	SIPO	GH	18148541
981097	3348	1998-02-05	VYDAJ	PREVOD NA UCET	5787	40004	SIPO	GH	18148541
981098	3348	1998-03-05	VYDAJ	PREVOD NA UCET	5787	55285	SIPO	GH	18148541
981099	3348	1998-04-05	VYDAJ	PREVOD NA UCET	5787	59710	SIPO	GH	18148541
981100	3348	1998-05-05	VYDAJ	PREVOD NA UCET	5787	64159	SIPO	GH	18148541
981101	3348	1998-06-05	VYDAJ	PREVOD NA UCET	5787	62917	SIPO	GH	18148541
981102	3348	1998-07-05	VYDAJ	PREVOD NA UCET	5787	63900	SIPO	GH	18148541
981103	3348	1998-08-05	VYDAJ	PREVOD NA UCET	5787	67864	SIPO	GH	18148541
981104	3348	1998-09-05	VYDAJ	PREVOD NA UCET	5787	68938	SIPO	GH	18148541
981105	3348	1998-10-05	VYDAJ	PREVOD NA UCET	5787	62287	SIPO	GH	18148541
981106	3348	1998-11-05	VYDAJ	PREVOD NA UCET	5787	64538	SIPO	GH	18148541
981107	3348	1998-12-05	VYDAJ	PREVOD NA UCET	5787	61788	SIPO	GH	18148541
981109	3348	1995-06-15	VYDAJ	VYBER	25760	39345	\N	\N	\N
981110	3348	1996-06-16	VYDAJ	VYBER	24800	42017	\N	\N	\N
981111	3348	1997-06-24	VYDAJ	VYBER	23360	45683	\N	\N	\N
981112	3348	1998-06-13	VYDAJ	VYBER	12800	77203	\N	\N	\N
981115	3348	1996-01-15	VYDAJ	VYBER	7840	39260	\N	\N	\N
981116	3348	1997-01-18	VYDAJ	VYBER	9760	49296	\N	\N	\N
981117	3348	1998-01-07	VYDAJ	VYBER	14720	42640	\N	\N	\N
981119	3348	1995-12-06	VYDAJ	VYBER	4160	28037	\N	\N	\N
981120	3348	1996-12-26	VYDAJ	VYBER	1280	67854	\N	\N	\N
981121	3348	1997-12-05	VYDAJ	VYBER	2400	49407	\N	\N	\N
981122	3348	1998-12-30	VYDAJ	VYBER	2720	70154	\N	\N	\N
981135	3348	1996-01-02	VYDAJ	VYBER	2640	41910	\N	\N	\N
981136	3348	1996-01-14	VYDAJ	VYBER	2280	47100	\N	\N	\N
981137	3348	1996-01-13	VYDAJ	VYBER	840	49380	\N	\N	\N
981138	3348	1996-01-16	VYDAJ	VYBER	3240	36020	\N	\N	\N
981139	3348	1996-01-09	VYDAJ	VYBER	1320	34803	\N	\N	\N
981140	3348	1996-01-09	VYDAJ	VYBER	2640	32163	\N	\N	\N
981141	3348	1997-01-20	VYDAJ	VYBER	2280	47016	\N	\N	\N
981142	3348	1997-01-27	VYDAJ	VYBER	3360	36896	\N	\N	\N
981143	3348	1997-01-01	VYDAJ	VYBER	1440	48346	\N	\N	\N
981144	3348	1997-01-29	VYDAJ	VYBER	1320	35576	\N	\N	\N
981145	3348	1997-01-25	VYDAJ	VYBER	960	46056	\N	\N	\N
981146	3348	1997-01-14	VYDAJ	VYBER	1560	59056	\N	\N	\N
981147	3348	1998-01-15	VYDAJ	VYBER	2400	51577	\N	\N	\N
981148	3348	1998-01-22	VYDAJ	VYBER	3480	47157	\N	\N	\N
981149	3348	1998-01-16	VYDAJ	VYBER	1920	49657	\N	\N	\N
981150	3348	1998-01-21	VYDAJ	VYBER	3120	50637	\N	\N	\N
981151	3348	1998-01-25	VYDAJ	VYBER	1560	45597	\N	\N	\N
981152	3348	1998-01-11	VYDAJ	VYBER	960	53977	\N	\N	\N
981161	3348	1995-12-24	VYDAJ	VYBER	3360	51763	\N	\N	\N
981162	3348	1996-12-19	VYDAJ	VYBER	600	69134	\N	\N	\N
981163	3348	1996-11-01	VYDAJ	VYBER	3240	47159	\N	\N	\N
981164	3348	1996-09-23	VYDAJ	VYBER	1680	54918	\N	\N	\N
981165	3348	1996-03-12	VYDAJ	VYBER	4560	47809	\N	\N	\N
981166	3348	1997-01-30	VYDAJ	VYBER	2280	33296	\N	\N	\N
981167	3348	1997-11-30	VYDAJ	VYBER	4680	57609	\N	\N	\N
981168	3348	1997-04-04	VYDAJ	VYBER	3960	42813	\N	\N	\N
981169	3348	1998-11-19	VYDAJ	VYBER	2400	67295	\N	\N	\N
981170	3348	1998-03-08	VYDAJ	VYBER	1800	53485	\N	\N	\N
981171	3348	1998-01-10	VYDAJ	VYBER	5760	36880	\N	\N	\N
981172	3348	1998-09-28	VYDAJ	VYBER	4920	67775	\N	\N	\N
981189	3348	1995-04-30	VYDAJ	VYBER	15	61116	SLUZBY	\N	\N
981190	3348	1995-05-31	VYDAJ	VYBER	15	58306	SLUZBY	\N	\N
981191	3348	1995-06-30	VYDAJ	VYBER	15	39521	SLUZBY	\N	\N
981192	3348	1995-07-31	VYDAJ	VYBER	15	48861	SLUZBY	\N	\N
981193	3348	1995-08-31	VYDAJ	VYBER	15	54230	SLUZBY	\N	\N
981194	3348	1995-09-30	VYDAJ	VYBER	15	49980	SLUZBY	\N	\N
981195	3348	1995-10-31	VYDAJ	VYBER	15	51735	SLUZBY	\N	\N
981196	3348	1995-11-30	VYDAJ	VYBER	15	50084	SLUZBY	\N	\N
981197	3348	1995-12-31	VYDAJ	VYBER	15	51950	SLUZBY	\N	\N
981198	3348	1996-01-31	VYDAJ	VYBER	15	36168	SLUZBY	\N	\N
981199	3348	1996-02-29	VYDAJ	VYBER	15	47899	SLUZBY	\N	\N
981200	3348	1996-03-31	VYDAJ	VYBER	15	47983	SLUZBY	\N	\N
981201	3348	1996-04-30	VYDAJ	VYBER	15	54847	SLUZBY	\N	\N
981202	3348	1996-05-31	VYDAJ	VYBER	15	45518	SLUZBY	\N	\N
981203	3348	1996-06-30	VYDAJ	VYBER	15	42199	SLUZBY	\N	\N
981204	3348	1996-07-31	VYDAJ	VYBER	15	44259	SLUZBY	\N	\N
981205	3348	1996-08-31	VYDAJ	VYBER	15	44328	SLUZBY	\N	\N
981206	3348	1996-09-30	VYDAJ	VYBER	15	47617	SLUZBY	\N	\N
981207	3348	1996-10-31	VYDAJ	VYBER	15	50399	SLUZBY	\N	\N
981208	3348	1996-11-30	VYDAJ	VYBER	15	48435	SLUZBY	\N	\N
981209	3348	1996-12-31	VYDAJ	VYBER	15	49786	SLUZBY	\N	\N
981210	3348	1997-01-31	VYDAJ	VYBER	15	33478	SLUZBY	\N	\N
981211	3348	1997-02-28	VYDAJ	VYBER	15	45004	SLUZBY	\N	\N
981212	3348	1997-03-31	VYDAJ	VYBER	15	46773	SLUZBY	\N	\N
981213	3348	1997-04-30	VYDAJ	VYBER	15	46371	SLUZBY	\N	\N
981214	3348	1997-05-31	VYDAJ	VYBER	15	47744	SLUZBY	\N	\N
981215	3348	1997-06-30	VYDAJ	VYBER	15	44601	SLUZBY	\N	\N
981216	3348	1997-07-31	VYDAJ	VYBER	15	49369	SLUZBY	\N	\N
981217	3348	1997-08-31	VYDAJ	VYBER	15	53153	SLUZBY	\N	\N
981218	3348	1997-09-30	VYDAJ	VYBER	15	53649	SLUZBY	\N	\N
981219	3348	1997-10-31	VYDAJ	VYBER	15	59253	SLUZBY	\N	\N
981220	3348	1997-11-30	VYDAJ	VYBER	15	57594	SLUZBY	\N	\N
981221	3348	1997-12-31	VYDAJ	VYBER	15	63147	SLUZBY	\N	\N
981222	3348	1998-01-31	VYDAJ	VYBER	15	45791	SLUZBY	\N	\N
981223	3348	1998-02-28	VYDAJ	VYBER	15	61072	SLUZBY	\N	\N
981224	3348	1998-03-31	VYDAJ	VYBER	15	65497	SLUZBY	\N	\N
981225	3348	1998-04-30	VYDAJ	VYBER	15	69946	SLUZBY	\N	\N
981226	3348	1998-05-31	VYDAJ	VYBER	15	68704	SLUZBY	\N	\N
981227	3348	1998-06-30	VYDAJ	VYBER	15	69687	SLUZBY	\N	\N
981228	3348	1998-07-31	VYDAJ	VYBER	15	73651	SLUZBY	\N	\N
981229	3348	1998-08-31	VYDAJ	VYBER	15	74725	SLUZBY	\N	\N
981230	3348	1998-09-30	VYDAJ	VYBER	15	68074	SLUZBY	\N	\N
981231	3348	1998-10-31	VYDAJ	VYBER	15	70325	SLUZBY	\N	\N
981232	3348	1998-11-30	VYDAJ	VYBER	15	67575	SLUZBY	\N	\N
981233	3348	1995-01-07	VYDAJ	VYBER	3100	25166	\N	\N	\N
981234	3348	1995-02-06	VYDAJ	VYBER	11000	32382	\N	\N	\N
981235	3348	1995-03-08	VYDAJ	VYBER	11500	39139	\N	\N	\N
981236	3348	1995-04-07	VYDAJ	VYBER	14600	42825	\N	\N	\N
981237	3348	1995-05-07	VYDAJ	VYBER	15300	40029	\N	\N	\N
981238	3348	1995-06-06	VYDAJ	VYBER	14500	38019	\N	\N	\N
981239	3348	1995-07-06	VYDAJ	VYBER	3100	30634	\N	\N	\N
981240	3348	1995-08-05	VYDAJ	VYBER	7100	35974	\N	\N	\N
981241	3348	1995-09-04	VYDAJ	VYBER	16700	37530	\N	\N	\N
981242	3348	1995-10-04	VYDAJ	VYBER	10700	39280	\N	\N	\N
981243	3348	1995-11-03	VYDAJ	VYBER	14100	37635	\N	\N	\N
981244	3348	1995-12-03	VYDAJ	VYBER	12100	37984	\N	\N	\N
981245	3348	1996-01-02	VYDAJ	VYBER	7400	44550	\N	\N	\N
981246	3348	1996-02-01	VYDAJ	VYBER	700	35468	\N	\N	\N
981247	3348	1996-03-02	VYDAJ	VYBER	7800	40099	\N	\N	\N
981248	3348	1996-04-01	VYDAJ	VYBER	5600	42383	\N	\N	\N
981249	3348	1996-05-01	VYDAJ	VYBER	11300	43547	\N	\N	\N
981250	3348	1996-05-31	VYDAJ	VYBER	10500	45533	\N	\N	\N
981251	3348	1996-06-30	VYDAJ	VYBER	1000	41199	\N	\N	\N
981252	3348	1996-07-30	VYDAJ	VYBER	9400	44069	\N	\N	\N
981253	3348	1996-08-29	VYDAJ	VYBER	12400	44129	\N	\N	\N
981254	3348	1996-09-28	VYDAJ	VYBER	7500	47418	\N	\N	\N
981255	3348	1996-10-28	VYDAJ	VYBER	9700	50187	\N	\N	\N
981256	3348	1996-11-27	VYDAJ	VYBER	11200	48229	\N	\N	\N
981257	3348	1996-12-27	VYDAJ	VYBER	18300	49554	\N	\N	\N
981258	3348	1997-01-26	VYDAJ	VYBER	5800	40256	\N	\N	\N
981259	3348	1997-02-25	VYDAJ	VYBER	900	44848	\N	\N	\N
981260	3348	1997-03-27	VYDAJ	VYBER	10700	46574	\N	\N	\N
981261	3348	1997-04-26	VYDAJ	VYBER	8900	46183	\N	\N	\N
981262	3348	1997-05-26	VYDAJ	VYBER	11100	47541	\N	\N	\N
981263	3348	1997-06-25	VYDAJ	VYBER	1300	44383	\N	\N	\N
981264	3348	1997-07-25	VYDAJ	VYBER	7700	49171	\N	\N	\N
981265	3348	1997-08-24	VYDAJ	VYBER	8700	52939	\N	\N	\N
981266	3348	1997-09-23	VYDAJ	VYBER	12000	53423	\N	\N	\N
981267	3348	1997-10-23	VYDAJ	VYBER	6900	59019	\N	\N	\N
981268	3348	1997-11-22	VYDAJ	VYBER	9500	62023	\N	\N	\N
981269	3348	1997-12-22	VYDAJ	VYBER	13600	62893	\N	\N	\N
981270	3348	1998-01-21	PRIJEM	VKLAD	4100	53757	\N	\N	\N
981271	3348	1998-02-20	PRIJEM	VKLAD	2800	60861	\N	\N	\N
981272	3348	1998-03-22	VYDAJ	VYBER	6300	65242	\N	\N	\N
981273	3348	1998-04-21	VYDAJ	VYBER	8100	69667	\N	\N	\N
981274	3348	1998-05-21	VYDAJ	VYBER	13800	68416	\N	\N	\N
981275	3348	1998-06-20	VYDAJ	VYBER	7800	69403	\N	\N	\N
981276	3348	1998-07-20	VYDAJ	VYBER	8600	73357	\N	\N	\N
981277	3348	1998-08-19	VYDAJ	VYBER	11500	74421	\N	\N	\N
981278	3348	1998-09-18	VYDAJ	VYBER	14300	72695	\N	\N	\N
981279	3348	1998-10-18	VYDAJ	VYBER	10300	70044	\N	\N	\N
981280	3348	1998-11-17	VYDAJ	VYBER	12900	69695	\N	\N	\N
981281	3348	1998-12-17	VYDAJ	VYBER	16000	72874	\N	\N	\N
981331	3349	1996-03-28	PRIJEM	VKLAD	500	500	\N	\N	\N
981335	3349	1996-04-06	PRIJEM	VKLAD	18159	18659	\N	\N	\N
981336	3349	1996-05-06	PRIJEM	VKLAD	18159	42932	\N	\N	\N
981337	3349	1996-06-06	PRIJEM	VKLAD	27238	63280	\N	\N	\N
981338	3349	1996-07-06	PRIJEM	VKLAD	18159	62995	\N	\N	\N
981339	3349	1996-08-06	PRIJEM	VKLAD	18159	64942	\N	\N	\N
981340	3349	1996-09-06	PRIJEM	VKLAD	18159	58091	\N	\N	\N
981341	3349	1996-10-06	PRIJEM	VKLAD	18159	55935	\N	\N	\N
981342	3349	1996-11-06	PRIJEM	VKLAD	18159	58653	\N	\N	\N
981343	3349	1996-12-06	PRIJEM	VKLAD	27238	65955	\N	\N	\N
981344	3349	1997-01-06	PRIJEM	VKLAD	18159	62389	\N	\N	\N
981345	3349	1997-02-06	PRIJEM	VKLAD	18159	51114	\N	\N	\N
981346	3349	1997-03-06	PRIJEM	VKLAD	18159	54126	\N	\N	\N
981347	3349	1997-04-06	PRIJEM	VKLAD	18159	53030	\N	\N	\N
981348	3349	1997-05-06	PRIJEM	VKLAD	18159	47033	\N	\N	\N
981349	3349	1997-06-06	PRIJEM	VKLAD	27238	54188	\N	\N	\N
981350	3349	1997-07-06	PRIJEM	VKLAD	18159	44261	\N	\N	\N
981351	3349	1997-08-06	PRIJEM	VKLAD	18159	43421	\N	\N	\N
981352	3349	1997-09-06	PRIJEM	VKLAD	18159	42179	\N	\N	\N
981353	3349	1997-10-06	PRIJEM	VKLAD	18159	43231	\N	\N	\N
981354	3349	1997-11-06	PRIJEM	VKLAD	18159	46290	\N	\N	\N
981355	3349	1997-12-06	PRIJEM	VKLAD	27238	54934	\N	\N	\N
981356	3349	1998-01-06	PRIJEM	VKLAD	18159	48239	\N	\N	\N
981357	3349	1998-02-06	PRIJEM	VKLAD	18159	35695	\N	\N	\N
981358	3349	1998-03-06	PRIJEM	VKLAD	18159	39521	\N	\N	\N
981359	3349	1998-04-06	PRIJEM	VKLAD	18159	35750	\N	\N	\N
981360	3349	1998-05-06	PRIJEM	VKLAD	18159	33065	\N	\N	\N
981361	3349	1998-06-06	PRIJEM	VKLAD	27238	42253	\N	\N	\N
981362	3349	1998-07-06	PRIJEM	VKLAD	18159	43586	\N	\N	\N
981363	3349	1998-08-06	PRIJEM	VKLAD	18159	43536	\N	\N	\N
981364	3349	1998-09-06	PRIJEM	VKLAD	18159	48898	\N	\N	\N
981365	3349	1998-10-06	PRIJEM	VKLAD	18159	53396	\N	\N	\N
981366	3349	1998-11-06	PRIJEM	VKLAD	18159	56013	\N	\N	\N
981367	3349	1998-12-06	PRIJEM	VKLAD	27238	66597	\N	\N	\N
981375	3349	1996-08-14	VYDAJ	PREVOD NA UCET	7601	57341	SIPO	MN	26473224
981376	3349	1996-09-14	VYDAJ	PREVOD NA UCET	7601	50490	SIPO	MN	26473224
981377	3349	1996-10-14	VYDAJ	PREVOD NA UCET	7601	48334	SIPO	MN	26473224
981378	3349	1996-11-14	VYDAJ	PREVOD NA UCET	7601	51052	SIPO	MN	26473224
981379	3349	1996-12-14	VYDAJ	PREVOD NA UCET	7601	58354	SIPO	MN	26473224
981380	3349	1997-01-14	VYDAJ	PREVOD NA UCET	7601	54788	SIPO	MN	26473224
981381	3349	1997-02-14	VYDAJ	PREVOD NA UCET	7601	42613	SIPO	MN	26473224
981382	3349	1997-03-14	VYDAJ	PREVOD NA UCET	7601	46525	SIPO	MN	26473224
981383	3349	1997-04-14	VYDAJ	PREVOD NA UCET	7601	43829	SIPO	MN	26473224
981384	3349	1997-05-14	VYDAJ	PREVOD NA UCET	7601	39432	SIPO	MN	26473224
981385	3349	1997-06-14	VYDAJ	PREVOD NA UCET	7601	46587	SIPO	MN	26473224
981386	3349	1997-07-14	VYDAJ	PREVOD NA UCET	7601	36660	SIPO	MN	26473224
981387	3349	1997-08-14	VYDAJ	PREVOD NA UCET	7601	35820	SIPO	MN	26473224
981388	3349	1997-09-14	VYDAJ	PREVOD NA UCET	7601	34578	SIPO	MN	26473224
981389	3349	1997-10-14	VYDAJ	PREVOD NA UCET	7601	35630	SIPO	MN	26473224
981390	3349	1997-11-14	VYDAJ	PREVOD NA UCET	7601	38689	SIPO	MN	26473224
981391	3349	1997-12-14	VYDAJ	PREVOD NA UCET	7601	44833	SIPO	MN	26473224
981392	3349	1998-01-14	VYDAJ	PREVOD NA UCET	7601	40638	SIPO	MN	26473224
981393	3349	1998-02-14	VYDAJ	PREVOD NA UCET	7601	28094	SIPO	MN	26473224
981394	3349	1998-03-14	VYDAJ	PREVOD NA UCET	7601	31920	SIPO	MN	26473224
981395	3349	1998-04-14	VYDAJ	PREVOD NA UCET	7601	28149	SIPO	MN	26473224
981396	3349	1998-05-14	VYDAJ	PREVOD NA UCET	7601	25464	SIPO	MN	26473224
981397	3349	1998-06-14	VYDAJ	PREVOD NA UCET	7601	34652	SIPO	MN	26473224
981398	3349	1998-07-14	VYDAJ	PREVOD NA UCET	7601	35985	SIPO	MN	26473224
981399	3349	1998-08-14	VYDAJ	PREVOD NA UCET	7601	35935	SIPO	MN	26473224
981400	3349	1998-09-14	VYDAJ	PREVOD NA UCET	7601	35097	SIPO	MN	26473224
981401	3349	1998-10-14	VYDAJ	PREVOD NA UCET	7601	40595	SIPO	MN	26473224
981402	3349	1998-11-14	VYDAJ	PREVOD NA UCET	7601	39212	SIPO	MN	26473224
981403	3349	1998-12-14	VYDAJ	PREVOD NA UCET	7601	39196	SIPO	MN	26473224
981405	3349	1997-06-21	VYDAJ	VYBER	11300	35287	\N	\N	\N
981408	3349	1997-01-23	VYDAJ	VYBER	6400	32788	\N	\N	\N
981409	3349	1998-01-29	VYDAJ	VYBER	3100	17438	\N	\N	\N
981410	3349	1996-12-21	VYDAJ	VYBER	2800	55554	\N	\N	\N
981411	3349	1997-12-30	VYDAJ	VYBER	2300	29933	\N	\N	\N
981412	3349	1998-12-27	VYDAJ	VYBER	1700	37496	\N	\N	\N
981414	3349	1996-08-14	VYDAJ	VYBER	2300	55041	\N	\N	\N
981417	3349	1996-09-05	VYDAJ	VYBER	2300	39932	\N	\N	\N
981419	3349	1997-08-28	VYDAJ	VYBER	2500	23920	\N	\N	\N
981420	3349	1997-12-06	VYDAJ	VYBER	2500	52434	\N	\N	\N
981421	3349	1997-04-10	VYDAJ	VYBER	1600	51430	\N	\N	\N
981422	3349	1997-04-30	VYDAJ	VYBER	2200	28874	\N	\N	\N
981423	3349	1997-02-07	VYDAJ	VYBER	900	50214	\N	\N	\N
981424	3349	1998-01-24	VYDAJ	VYBER	4100	20538	\N	\N	\N
981425	3349	1998-12-06	VYDAJ	VYBER	3900	62697	\N	\N	\N
981426	3349	1998-10-30	VYDAJ	VYBER	2900	37695	\N	\N	\N
981427	3349	1998-08-15	VYDAJ	VYBER	1100	34835	\N	\N	\N
981428	3349	1998-03-14	VYDAJ	VYBER	2300	29620	\N	\N	\N
981437	3349	1996-08-31	VYDAJ	VYBER	15	42232	SLUZBY	\N	\N
981438	3349	1996-09-30	VYDAJ	VYBER	15	37776	SLUZBY	\N	\N
981439	3349	1996-10-31	VYDAJ	VYBER	15	40494	SLUZBY	\N	\N
981440	3349	1996-11-30	VYDAJ	VYBER	15	38717	SLUZBY	\N	\N
981441	3349	1996-12-31	VYDAJ	VYBER	15	44230	SLUZBY	\N	\N
981442	3349	1997-01-31	VYDAJ	VYBER	15	32955	SLUZBY	\N	\N
981443	3349	1997-02-28	VYDAJ	VYBER	15	35967	SLUZBY	\N	\N
981444	3349	1997-03-31	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
981445	3349	1997-04-30	VYDAJ	VYBER	15	31074	SLUZBY	\N	\N
981446	3349	1997-05-31	VYDAJ	VYBER	15	26950	SLUZBY	\N	\N
981447	3349	1997-06-30	VYDAJ	VYBER	15	26102	SLUZBY	\N	\N
981448	3349	1997-07-31	VYDAJ	VYBER	15	25262	SLUZBY	\N	\N
981449	3349	1997-08-31	VYDAJ	VYBER	15	24020	SLUZBY	\N	\N
981450	3349	1997-09-30	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
981451	3349	1997-10-31	VYDAJ	VYBER	15	28131	SLUZBY	\N	\N
981452	3349	1997-11-30	VYDAJ	VYBER	15	27696	SLUZBY	\N	\N
981453	3349	1997-12-31	VYDAJ	VYBER	15	30080	SLUZBY	\N	\N
981454	3349	1998-01-31	VYDAJ	VYBER	15	17536	SLUZBY	\N	\N
981455	3349	1998-02-28	VYDAJ	VYBER	15	21362	SLUZBY	\N	\N
981456	3349	1998-03-31	VYDAJ	VYBER	15	17591	SLUZBY	\N	\N
981457	3349	1998-04-30	VYDAJ	VYBER	15	14906	SLUZBY	\N	\N
981458	3349	1998-05-31	VYDAJ	VYBER	15	15015	SLUZBY	\N	\N
981459	3349	1998-06-30	VYDAJ	VYBER	15	25427	SLUZBY	\N	\N
981460	3349	1998-07-31	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
981461	3349	1998-08-31	VYDAJ	VYBER	15	30739	SLUZBY	\N	\N
981462	3349	1998-09-30	VYDAJ	VYBER	15	35237	SLUZBY	\N	\N
981463	3349	1998-10-31	VYDAJ	VYBER	15	37854	SLUZBY	\N	\N
981464	3349	1998-11-30	VYDAJ	VYBER	15	39359	SLUZBY	\N	\N
981465	3349	1996-04-27	PRIJEM	VKLAD	6100	24759	\N	\N	\N
981466	3349	1996-05-27	VYDAJ	VYBER	7000	35932	\N	\N	\N
981467	3349	1996-06-26	VYDAJ	VYBER	18600	44680	\N	\N	\N
981468	3349	1996-07-26	VYDAJ	VYBER	16400	46595	\N	\N	\N
981469	3349	1996-08-25	VYDAJ	VYBER	13000	42041	\N	\N	\N
981470	3349	1996-09-24	VYDAJ	VYBER	12900	37590	\N	\N	\N
981471	3349	1996-10-24	VYDAJ	VYBER	8000	40334	\N	\N	\N
981472	3349	1996-11-23	VYDAJ	VYBER	12500	38552	\N	\N	\N
981473	3349	1996-12-23	VYDAJ	VYBER	11500	44054	\N	\N	\N
981474	3349	1997-01-22	VYDAJ	VYBER	15600	39188	\N	\N	\N
981475	3349	1997-02-21	VYDAJ	VYBER	6800	35813	\N	\N	\N
981476	3349	1997-03-23	VYDAJ	VYBER	11800	34725	\N	\N	\N
981477	3349	1997-04-22	VYDAJ	VYBER	12900	30929	\N	\N	\N
981478	3349	1997-05-22	VYDAJ	VYBER	12600	26832	\N	\N	\N
981479	3349	1997-06-21	VYDAJ	VYBER	9300	25987	\N	\N	\N
981480	3349	1997-07-21	VYDAJ	VYBER	11500	25160	\N	\N	\N
981481	3349	1997-08-20	VYDAJ	VYBER	9400	26420	\N	\N	\N
981482	3349	1997-09-19	VYDAJ	VYBER	9600	24978	\N	\N	\N
981483	3349	1997-10-19	VYDAJ	VYBER	7600	28030	\N	\N	\N
981484	3349	1997-11-18	VYDAJ	VYBER	11100	27589	\N	\N	\N
981485	3349	1997-12-18	VYDAJ	VYBER	12600	32233	\N	\N	\N
981486	3349	1998-01-17	VYDAJ	VYBER	16000	24638	\N	\N	\N
981487	3349	1998-02-16	VYDAJ	VYBER	6800	21294	\N	\N	\N
981488	3349	1998-03-18	VYDAJ	VYBER	12100	17520	\N	\N	\N
981489	3349	1998-04-17	VYDAJ	VYBER	13300	14849	\N	\N	\N
981490	3349	1998-05-17	VYDAJ	VYBER	10500	14964	\N	\N	\N
981491	3349	1998-06-16	VYDAJ	VYBER	9300	25352	\N	\N	\N
981492	3349	1998-07-16	VYDAJ	VYBER	10700	25285	\N	\N	\N
981493	3349	1998-08-15	VYDAJ	VYBER	4200	30635	\N	\N	\N
981494	3349	1998-09-14	VYDAJ	VYBER	6200	42698	\N	\N	\N
981495	3349	1998-10-14	VYDAJ	VYBER	5200	48196	\N	\N	\N
981496	3349	1998-11-13	VYDAJ	VYBER	9200	46813	\N	\N	\N
981497	3349	1998-12-13	VYDAJ	VYBER	15900	46797	\N	\N	\N
981531	3350	1996-07-13	PRIJEM	VKLAD	700	700	\N	\N	\N
981539	3350	1996-08-09	PRIJEM	VKLAD	8129	8829	\N	\N	\N
981540	3350	1996-09-09	PRIJEM	VKLAD	8129	24101	\N	\N	\N
981541	3350	1996-10-09	PRIJEM	VKLAD	8129	27806	\N	\N	\N
981542	3350	1996-11-09	PRIJEM	VKLAD	8129	29722	\N	\N	\N
981543	3350	1996-12-09	PRIJEM	VKLAD	12194	31800	\N	\N	\N
981544	3350	1997-01-09	PRIJEM	VKLAD	8129	19618	\N	\N	\N
981545	3350	1997-02-09	PRIJEM	VKLAD	8129	20175	\N	\N	\N
981546	3350	1997-03-09	PRIJEM	VKLAD	8129	24704	\N	\N	\N
981547	3350	1997-04-09	PRIJEM	VKLAD	8129	21031	\N	\N	\N
981548	3350	1997-05-09	PRIJEM	VKLAD	8129	18445	\N	\N	\N
981549	3350	1997-06-09	PRIJEM	VKLAD	12194	22636	\N	\N	\N
981550	3350	1997-07-09	PRIJEM	VKLAD	8129	18978	\N	\N	\N
981551	3350	1997-08-09	PRIJEM	VKLAD	8129	15313	\N	\N	\N
981552	3350	1997-09-09	PRIJEM	VKLAD	8129	19833	\N	\N	\N
981553	3350	1997-10-09	PRIJEM	VKLAD	8129	18466	\N	\N	\N
981554	3350	1997-11-09	PRIJEM	VKLAD	8129	22991	\N	\N	\N
981555	3350	1997-12-09	PRIJEM	VKLAD	12194	24300	\N	\N	\N
981556	3350	1998-01-09	PRIJEM	VKLAD	8129	21966	\N	\N	\N
981557	3350	1998-02-09	PRIJEM	VKLAD	8129	17369	\N	\N	\N
981558	3350	1998-03-09	PRIJEM	VKLAD	8129	18528	\N	\N	\N
981559	3350	1998-04-09	PRIJEM	VKLAD	8129	17553	\N	\N	\N
981560	3350	1998-05-09	PRIJEM	VKLAD	8129	22080	\N	\N	\N
981561	3350	1998-06-09	PRIJEM	VKLAD	12194	30685	\N	\N	\N
981562	3350	1998-07-09	PRIJEM	VKLAD	8129	28691	\N	\N	\N
981563	3350	1998-08-09	PRIJEM	VKLAD	8129	15659	\N	\N	\N
981564	3350	1998-09-09	PRIJEM	VKLAD	8129	20189	\N	\N	\N
981565	3350	1998-10-09	PRIJEM	VKLAD	8129	24721	\N	\N	\N
981566	3350	1998-11-09	PRIJEM	VKLAD	8129	29272	\N	\N	\N
981567	3350	1998-12-09	PRIJEM	VKLAD	12194	37907	\N	\N	\N
981580	3350	1997-01-08	VYDAJ	PREVOD NA UCET	3661	11489	SIPO	QR	79860478
981581	3350	1997-02-08	VYDAJ	PREVOD NA UCET	3661	12046	SIPO	QR	79860478
981582	3350	1997-03-08	VYDAJ	PREVOD NA UCET	3661	16575	SIPO	QR	79860478
981583	3350	1997-04-08	VYDAJ	PREVOD NA UCET	3661	12902	SIPO	QR	79860478
981584	3350	1997-05-08	VYDAJ	PREVOD NA UCET	3661	10316	SIPO	QR	79860478
981585	3350	1997-06-08	VYDAJ	PREVOD NA UCET	3661	14842	SIPO	QR	79860478
981586	3350	1997-07-08	VYDAJ	PREVOD NA UCET	3661	19049	SIPO	QR	79860478
981587	3350	1997-08-08	VYDAJ	PREVOD NA UCET	3661	7184	SIPO	QR	79860478
981588	3350	1997-09-08	VYDAJ	PREVOD NA UCET	3661	11704	SIPO	QR	79860478
981589	3350	1997-10-08	VYDAJ	PREVOD NA UCET	3661	10337	SIPO	QR	79860478
981590	3350	1997-11-08	VYDAJ	PREVOD NA UCET	3661	14862	SIPO	QR	79860478
981591	3350	1997-12-08	VYDAJ	PREVOD NA UCET	3661	12106	SIPO	QR	79860478
981592	3350	1998-01-08	VYDAJ	PREVOD NA UCET	3661	13837	SIPO	QR	79860478
981593	3350	1998-02-08	VYDAJ	PREVOD NA UCET	3661	9240	SIPO	QR	79860478
981594	3350	1998-03-08	VYDAJ	PREVOD NA UCET	3661	10399	SIPO	QR	79860478
981595	3350	1998-04-08	VYDAJ	PREVOD NA UCET	3661	9424	SIPO	QR	79860478
981596	3350	1998-05-08	VYDAJ	PREVOD NA UCET	3661	13951	SIPO	QR	79860478
981597	3350	1998-06-08	VYDAJ	PREVOD NA UCET	3661	18491	SIPO	QR	79860478
981598	3350	1998-07-08	VYDAJ	PREVOD NA UCET	3661	20562	SIPO	QR	79860478
981599	3350	1998-08-08	VYDAJ	PREVOD NA UCET	3661	7530	SIPO	QR	79860478
981600	3350	1998-09-08	VYDAJ	PREVOD NA UCET	3661	12060	SIPO	QR	79860478
981601	3350	1998-10-08	VYDAJ	PREVOD NA UCET	3661	16592	SIPO	QR	79860478
981602	3350	1998-11-08	VYDAJ	PREVOD NA UCET	3661	21143	SIPO	QR	79860478
981603	3350	1998-12-08	VYDAJ	PREVOD NA UCET	3661	25713	SIPO	QR	79860478
981606	3350	1998-06-25	VYDAJ	VYBER	6560	24125	\N	\N	\N
981607	3350	1996-12-15	VYDAJ	VYBER	1760	20240	\N	\N	\N
981608	3350	1997-12-13	VYDAJ	VYBER	2560	21740	\N	\N	\N
981609	3350	1998-12-13	VYDAJ	VYBER	4640	33267	\N	\N	\N
981616	3350	1997-01-01	VYDAJ	VYBER	3000	17310	\N	\N	\N
981617	3350	1997-01-24	VYDAJ	VYBER	1920	12658	\N	\N	\N
981619	3350	1997-01-03	VYDAJ	VYBER	960	16350	\N	\N	\N
981620	3350	1997-01-06	VYDAJ	VYBER	1200	15150	\N	\N	\N
981621	3350	1997-01-17	VYDAJ	VYBER	2040	14578	\N	\N	\N
981623	3350	1998-01-06	VYDAJ	VYBER	720	17498	\N	\N	\N
981624	3350	1998-01-12	VYDAJ	VYBER	2760	19206	\N	\N	\N
981625	3350	1998-01-22	VYDAJ	VYBER	840	12846	\N	\N	\N
981626	3350	1998-01-16	VYDAJ	VYBER	2040	17166	\N	\N	\N
981627	3350	1998-01-20	VYDAJ	VYBER	3480	13686	\N	\N	\N
981634	3350	1997-09-09	VYDAJ	VYBER	5880	13953	\N	\N	\N
981637	3350	1998-02-25	VYDAJ	VYBER	3360	14009	\N	\N	\N
981650	3350	1996-12-31	VYDAJ	VYBER	15	20310	SLUZBY	\N	\N
981651	3350	1997-01-31	VYDAJ	VYBER	15	12707	SLUZBY	\N	\N
981652	3350	1997-02-28	VYDAJ	VYBER	15	20236	SLUZBY	\N	\N
981653	3350	1997-03-31	VYDAJ	VYBER	15	16563	SLUZBY	\N	\N
981654	3350	1997-04-30	VYDAJ	VYBER	15	13977	SLUZBY	\N	\N
981655	3350	1997-05-31	VYDAJ	VYBER	15	18503	SLUZBY	\N	\N
981656	3350	1997-06-30	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
981657	3350	1997-07-31	VYDAJ	VYBER	15	19045	SLUZBY	\N	\N
981658	3350	1997-08-31	VYDAJ	VYBER	15	15365	SLUZBY	\N	\N
981659	3350	1997-09-30	VYDAJ	VYBER	15	13998	SLUZBY	\N	\N
981660	3350	1997-10-31	VYDAJ	VYBER	15	18523	SLUZBY	\N	\N
981661	3350	1997-11-30	VYDAJ	VYBER	15	23067	SLUZBY	\N	\N
981662	3350	1997-12-31	VYDAJ	VYBER	15	21818	SLUZBY	\N	\N
981663	3350	1998-01-31	VYDAJ	VYBER	15	12901	SLUZBY	\N	\N
981664	3350	1998-02-28	VYDAJ	VYBER	15	14060	SLUZBY	\N	\N
981665	3350	1998-03-31	VYDAJ	VYBER	15	18585	SLUZBY	\N	\N
981666	3350	1998-04-30	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
981667	3350	1998-05-31	VYDAJ	VYBER	15	22152	SLUZBY	\N	\N
981668	3350	1998-06-30	VYDAJ	VYBER	15	24223	SLUZBY	\N	\N
981669	3350	1998-07-31	VYDAJ	VYBER	15	28791	SLUZBY	\N	\N
981670	3350	1998-08-31	VYDAJ	VYBER	15	15721	SLUZBY	\N	\N
981671	3350	1998-09-30	VYDAJ	VYBER	15	20253	SLUZBY	\N	\N
981672	3350	1998-10-31	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
981673	3350	1998-11-30	VYDAJ	VYBER	15	29374	SLUZBY	\N	\N
981674	3350	1996-08-12	PRIJEM	VKLAD	7100	15929	\N	\N	\N
981675	3350	1996-09-11	VYDAJ	VYBER	4500	19601	\N	\N	\N
981676	3350	1996-10-11	VYDAJ	VYBER	6300	21506	\N	\N	\N
981677	3350	1996-11-10	VYDAJ	VYBER	10200	19522	\N	\N	\N
981678	3350	1996-12-10	VYDAJ	VYBER	9800	22000	\N	\N	\N
981679	3350	1997-01-09	VYDAJ	VYBER	3000	16618	\N	\N	\N
981680	3350	1997-02-08	PRIJEM	VKLAD	3000	15707	\N	\N	\N
981681	3350	1997-03-10	VYDAJ	VYBER	8200	16504	\N	\N	\N
981682	3350	1997-04-09	VYDAJ	VYBER	7100	13931	\N	\N	\N
981683	3350	1997-06-08	VYDAJ	VYBER	4400	10442	\N	\N	\N
981684	3350	1997-07-08	VYDAJ	VYBER	8200	10849	\N	\N	\N
981685	3350	1997-08-07	VYDAJ	VYBER	8200	10845	\N	\N	\N
981686	3350	1997-12-05	VYDAJ	VYBER	7300	15767	\N	\N	\N
981687	3350	1998-01-04	VYDAJ	VYBER	3600	18218	\N	\N	\N
981688	3350	1998-04-04	VYDAJ	VYBER	5500	13085	\N	\N	\N
981689	3350	1998-08-02	VYDAJ	VYBER	17600	11191	\N	\N	\N
981719	3351	1996-03-08	PRIJEM	VKLAD	300	300	\N	\N	\N
981722	3351	1996-03-10	PRIJEM	PREVOD Z UCTU	5543	5843	DUCHOD	AB	21643722
981723	3351	1996-04-10	PRIJEM	PREVOD Z UCTU	5543	11403	DUCHOD	AB	21643722
981724	3351	1996-05-10	PRIJEM	PREVOD Z UCTU	5543	16971	DUCHOD	AB	21643722
981725	3351	1996-06-10	PRIJEM	PREVOD Z UCTU	5543	22538	DUCHOD	AB	21643722
981726	3351	1996-07-10	PRIJEM	PREVOD Z UCTU	5543	28105	DUCHOD	AB	21643722
981727	3351	1996-08-10	PRIJEM	PREVOD Z UCTU	5543	28104	DUCHOD	AB	21643722
981728	3351	1996-09-10	PRIJEM	PREVOD Z UCTU	5543	31046	DUCHOD	AB	21643722
981729	3351	1996-10-10	PRIJEM	PREVOD Z UCTU	5543	32700	DUCHOD	AB	21643722
981730	3351	1996-11-10	PRIJEM	PREVOD Z UCTU	5543	31980	DUCHOD	AB	21643722
981731	3351	1996-12-10	PRIJEM	PREVOD Z UCTU	5543	33188	DUCHOD	AB	21643722
981732	3351	1997-01-10	PRIJEM	PREVOD Z UCTU	5543	33272	DUCHOD	AB	21643722
981733	3351	1997-02-10	PRIJEM	PREVOD Z UCTU	5543	30070	DUCHOD	AB	21643722
981734	3351	1997-03-10	PRIJEM	PREVOD Z UCTU	5543	33020	DUCHOD	AB	21643722
981735	3351	1997-04-10	PRIJEM	PREVOD Z UCTU	5543	35982	DUCHOD	AB	21643722
981736	3351	1997-05-10	PRIJEM	PREVOD Z UCTU	5543	35117	DUCHOD	AB	21643722
981737	3351	1997-06-10	PRIJEM	PREVOD Z UCTU	5543	38092	DUCHOD	AB	21643722
981738	3351	1997-07-10	PRIJEM	PREVOD Z UCTU	5543	41075	DUCHOD	AB	21643722
981739	3351	1997-08-10	PRIJEM	PREVOD Z UCTU	5543	42071	DUCHOD	AB	21643722
981740	3351	1997-09-10	PRIJEM	PREVOD Z UCTU	5543	41773	DUCHOD	AB	21643722
981741	3351	1997-10-10	PRIJEM	PREVOD Z UCTU	5543	41647	DUCHOD	AB	21643722
981742	3351	1997-11-10	PRIJEM	PREVOD Z UCTU	5543	38242	DUCHOD	AB	21643722
981743	3351	1997-12-10	PRIJEM	PREVOD Z UCTU	5543	41225	DUCHOD	AB	21643722
981744	3351	1998-01-10	PRIJEM	PREVOD Z UCTU	5543	36367	DUCHOD	AB	21643722
981745	3351	1998-02-10	PRIJEM	PREVOD Z UCTU	5543	33175	DUCHOD	AB	21643722
981746	3351	1998-03-10	PRIJEM	PREVOD Z UCTU	5543	36137	DUCHOD	AB	21643722
981747	3351	1998-04-10	PRIJEM	PREVOD Z UCTU	5543	38312	DUCHOD	AB	21643722
981748	3351	1998-05-10	PRIJEM	PREVOD Z UCTU	5543	38895	DUCHOD	AB	21643722
981749	3351	1998-06-10	PRIJEM	PREVOD Z UCTU	5543	37078	DUCHOD	AB	21643722
981750	3351	1998-07-10	PRIJEM	PREVOD Z UCTU	5543	35475	DUCHOD	AB	21643722
981751	3351	1998-08-10	PRIJEM	PREVOD Z UCTU	5543	36247	DUCHOD	AB	21643722
981752	3351	1998-09-10	PRIJEM	PREVOD Z UCTU	5543	35661	DUCHOD	AB	21643722
981753	3351	1998-10-10	PRIJEM	PREVOD Z UCTU	5543	36031	DUCHOD	AB	21643722
981754	3351	1998-11-10	PRIJEM	PREVOD Z UCTU	5543	33399	DUCHOD	AB	21643722
981755	3351	1998-12-10	PRIJEM	PREVOD Z UCTU	5543	30055	DUCHOD	AB	21643722
981763	3351	1996-08-07	VYDAJ	PREVOD NA UCET	2700	22561	SIPO	WX	48346024
981764	3351	1996-09-07	VYDAJ	PREVOD NA UCET	2700	25503	SIPO	WX	48346024
981765	3351	1996-10-07	VYDAJ	PREVOD NA UCET	2700	27157	SIPO	WX	48346024
981766	3351	1996-11-07	VYDAJ	PREVOD NA UCET	2700	26437	SIPO	WX	48346024
981767	3351	1996-12-07	VYDAJ	PREVOD NA UCET	2700	29095	SIPO	WX	48346024
981768	3351	1997-01-07	VYDAJ	PREVOD NA UCET	2700	27729	SIPO	WX	48346024
981769	3351	1997-02-07	VYDAJ	PREVOD NA UCET	2700	24527	SIPO	WX	48346024
981770	3351	1997-03-07	VYDAJ	PREVOD NA UCET	2700	27477	SIPO	WX	48346024
981771	3351	1997-04-07	VYDAJ	PREVOD NA UCET	2700	30439	SIPO	WX	48346024
981772	3351	1997-05-07	VYDAJ	PREVOD NA UCET	2700	33414	SIPO	WX	48346024
981773	3351	1997-06-07	VYDAJ	PREVOD NA UCET	2700	32549	SIPO	WX	48346024
981774	3351	1997-07-07	VYDAJ	PREVOD NA UCET	2700	35532	SIPO	WX	48346024
981775	3351	1997-08-07	VYDAJ	PREVOD NA UCET	2700	36528	SIPO	WX	48346024
981776	3351	1997-09-07	VYDAJ	PREVOD NA UCET	2700	36230	SIPO	WX	48346024
981777	3351	1997-10-07	VYDAJ	PREVOD NA UCET	2700	36104	SIPO	WX	48346024
981778	3351	1997-11-07	VYDAJ	PREVOD NA UCET	2700	32699	SIPO	WX	48346024
981779	3351	1997-12-07	VYDAJ	PREVOD NA UCET	2700	35682	SIPO	WX	48346024
981780	3351	1998-01-07	VYDAJ	PREVOD NA UCET	2700	32184	SIPO	WX	48346024
981781	3351	1998-02-07	VYDAJ	PREVOD NA UCET	2700	27632	SIPO	WX	48346024
981782	3351	1998-03-07	VYDAJ	PREVOD NA UCET	2700	30594	SIPO	WX	48346024
981783	3351	1998-04-07	VYDAJ	PREVOD NA UCET	2700	32769	SIPO	WX	48346024
981784	3351	1998-05-07	VYDAJ	PREVOD NA UCET	2700	33352	SIPO	WX	48346024
981785	3351	1998-06-07	VYDAJ	PREVOD NA UCET	2700	31535	SIPO	WX	48346024
981786	3351	1998-07-07	VYDAJ	PREVOD NA UCET	2700	32412	SIPO	WX	48346024
981787	3351	1998-08-07	VYDAJ	PREVOD NA UCET	2700	30704	SIPO	WX	48346024
981788	3351	1998-09-07	VYDAJ	PREVOD NA UCET	2700	30118	SIPO	WX	48346024
981789	3351	1998-10-07	VYDAJ	PREVOD NA UCET	2700	30488	SIPO	WX	48346024
981790	3351	1998-11-07	VYDAJ	PREVOD NA UCET	2700	27856	SIPO	WX	48346024
981791	3351	1998-12-07	VYDAJ	PREVOD NA UCET	2700	24512	SIPO	WX	48346024
981792	3351	1996-12-09	VYDAJ	VYBER	1450	27645	\N	\N	\N
981793	3351	1997-12-18	VYDAJ	VYBER	850	40375	\N	\N	\N
981794	3351	1998-12-26	VYDAJ	VYBER	550	25345	\N	\N	\N
981801	3351	1997-01-30	VYDAJ	VYBER	2080	27112	\N	\N	\N
981802	3351	1997-01-18	VYDAJ	VYBER	2240	29912	\N	\N	\N
981803	3351	1997-01-11	VYDAJ	VYBER	560	32712	\N	\N	\N
981804	3351	1997-01-07	VYDAJ	VYBER	1680	30429	\N	\N	\N
981805	3351	1997-01-23	VYDAJ	VYBER	720	29192	\N	\N	\N
981806	3351	1997-01-18	VYDAJ	VYBER	560	32152	\N	\N	\N
981807	3351	1998-01-28	VYDAJ	VYBER	1280	30207	\N	\N	\N
981808	3351	1998-01-03	VYDAJ	VYBER	1520	34884	\N	\N	\N
981809	3351	1998-01-14	VYDAJ	VYBER	720	35647	\N	\N	\N
981810	3351	1998-01-09	VYDAJ	VYBER	1360	30824	\N	\N	\N
981811	3351	1998-01-16	VYDAJ	VYBER	2080	33567	\N	\N	\N
981812	3351	1998-01-21	VYDAJ	VYBER	2080	31487	\N	\N	\N
981815	3351	1996-10-29	VYDAJ	VYBER	3680	29020	\N	\N	\N
981816	3351	1996-07-22	VYDAJ	VYBER	2880	25225	\N	\N	\N
981817	3351	1997-12-26	VYDAJ	VYBER	3520	36855	\N	\N	\N
981818	3351	1997-05-09	VYDAJ	VYBER	3840	29574	\N	\N	\N
981819	3351	1997-10-03	VYDAJ	VYBER	1200	38804	\N	\N	\N
981820	3351	1997-10-23	VYDAJ	VYBER	800	40847	\N	\N	\N
981821	3351	1997-09-13	VYDAJ	VYBER	1920	39853	\N	\N	\N
981822	3351	1998-09-01	VYDAJ	VYBER	1760	32818	\N	\N	\N
981823	3351	1998-12-19	VYDAJ	VYBER	2160	27895	\N	\N	\N
981824	3351	1998-07-08	VYDAJ	VYBER	2480	29932	\N	\N	\N
981825	3351	1998-04-01	VYDAJ	VYBER	800	35469	\N	\N	\N
981833	3351	1996-07-31	VYDAJ	VYBER	15	25261	SLUZBY	\N	\N
981834	3351	1996-08-31	VYDAJ	VYBER	15	28203	SLUZBY	\N	\N
981835	3351	1996-09-30	VYDAJ	VYBER	15	31157	SLUZBY	\N	\N
981836	3351	1996-10-31	VYDAJ	VYBER	15	29137	SLUZBY	\N	\N
981837	3351	1996-11-30	VYDAJ	VYBER	15	32095	SLUZBY	\N	\N
981838	3351	1996-12-31	VYDAJ	VYBER	15	33309	SLUZBY	\N	\N
981839	3351	1997-01-31	VYDAJ	VYBER	15	27227	SLUZBY	\N	\N
981840	3351	1997-02-28	VYDAJ	VYBER	15	30177	SLUZBY	\N	\N
981841	3351	1997-03-31	VYDAJ	VYBER	15	33139	SLUZBY	\N	\N
981842	3351	1997-04-30	VYDAJ	VYBER	15	36114	SLUZBY	\N	\N
981843	3351	1997-05-31	VYDAJ	VYBER	15	35249	SLUZBY	\N	\N
981844	3351	1997-06-30	VYDAJ	VYBER	15	38232	SLUZBY	\N	\N
981845	3351	1997-07-31	VYDAJ	VYBER	15	41228	SLUZBY	\N	\N
981846	3351	1997-08-31	VYDAJ	VYBER	15	38930	SLUZBY	\N	\N
981847	3351	1997-09-30	VYDAJ	VYBER	15	40004	SLUZBY	\N	\N
981848	3351	1997-10-31	VYDAJ	VYBER	15	35399	SLUZBY	\N	\N
981849	3351	1997-11-30	VYDAJ	VYBER	15	38382	SLUZBY	\N	\N
981850	3351	1997-12-31	VYDAJ	VYBER	15	36404	SLUZBY	\N	\N
981851	3351	1998-01-31	VYDAJ	VYBER	15	30332	SLUZBY	\N	\N
981852	3351	1998-02-28	VYDAJ	VYBER	15	33294	SLUZBY	\N	\N
981853	3351	1998-03-31	VYDAJ	VYBER	15	36269	SLUZBY	\N	\N
981854	3351	1998-04-30	VYDAJ	VYBER	15	36052	SLUZBY	\N	\N
981855	3351	1998-05-31	VYDAJ	VYBER	15	34235	SLUZBY	\N	\N
981856	3351	1998-06-30	VYDAJ	VYBER	15	35112	SLUZBY	\N	\N
981857	3351	1998-07-31	VYDAJ	VYBER	15	33404	SLUZBY	\N	\N
981858	3351	1998-08-31	VYDAJ	VYBER	15	34578	SLUZBY	\N	\N
981859	3351	1998-09-30	VYDAJ	VYBER	15	33188	SLUZBY	\N	\N
981860	3351	1998-10-31	VYDAJ	VYBER	15	30556	SLUZBY	\N	\N
981861	3351	1998-11-30	VYDAJ	VYBER	15	27212	SLUZBY	\N	\N
981862	3351	1996-10-04	VYDAJ	VYBER	1300	29857	\N	\N	\N
981863	3351	1996-12-03	VYDAJ	VYBER	300	31795	\N	\N	\N
981864	3351	1997-01-02	VYDAJ	VYBER	1200	32109	\N	\N	\N
981865	3351	1997-07-31	VYDAJ	VYBER	2000	39228	\N	\N	\N
981866	3351	1997-08-30	VYDAJ	VYBER	3300	38771	\N	\N	\N
981867	3351	1997-10-29	VYDAJ	VYBER	5600	35247	\N	\N	\N
981868	3351	1997-12-28	VYDAJ	VYBER	600	36255	\N	\N	\N
981869	3351	1998-04-27	VYDAJ	VYBER	2400	35912	\N	\N	\N
981870	3351	1998-05-27	VYDAJ	VYBER	4800	34095	\N	\N	\N
981871	3351	1998-06-26	VYDAJ	VYBER	2100	34978	\N	\N	\N
981872	3351	1998-07-26	VYDAJ	VYBER	2200	33275	\N	\N	\N
981873	3351	1998-08-25	VYDAJ	VYBER	1800	34447	\N	\N	\N
981874	3351	1998-09-24	VYDAJ	VYBER	2600	33061	\N	\N	\N
981875	3351	1998-10-24	VYDAJ	VYBER	5600	30431	\N	\N	\N
981876	3351	1998-11-23	VYDAJ	VYBER	6300	27099	\N	\N	\N
981877	3351	1998-12-23	VYDAJ	VYBER	2000	25895	\N	\N	\N
981912	3352	1993-11-08	PRIJEM	VKLAD	900	900	\N	\N	\N
981923	3352	1993-11-11	PRIJEM	VKLAD	4408	5308	\N	\N	\N
981924	3352	1993-12-11	PRIJEM	VKLAD	6612	21235	\N	\N	\N
981925	3352	1994-01-11	PRIJEM	VKLAD	4408	28010	\N	\N	\N
981926	3352	1994-02-11	PRIJEM	VKLAD	4408	30025	\N	\N	\N
981927	3352	1994-03-11	PRIJEM	VKLAD	4408	32056	\N	\N	\N
981928	3352	1994-04-11	PRIJEM	VKLAD	4408	30042	\N	\N	\N
981929	3352	1994-05-11	PRIJEM	VKLAD	4408	28124	\N	\N	\N
981930	3352	1994-06-11	PRIJEM	VKLAD	6612	28839	\N	\N	\N
981931	3352	1994-07-11	PRIJEM	VKLAD	4408	24327	\N	\N	\N
981932	3352	1994-08-11	PRIJEM	VKLAD	4408	24986	\N	\N	\N
981933	3352	1994-09-11	PRIJEM	VKLAD	4408	24343	\N	\N	\N
981934	3352	1994-10-11	PRIJEM	VKLAD	4408	23700	\N	\N	\N
981935	3352	1994-11-11	PRIJEM	VKLAD	4408	27354	\N	\N	\N
981936	3352	1994-12-11	PRIJEM	VKLAD	6612	24422	\N	\N	\N
981937	3352	1995-01-11	PRIJEM	VKLAD	4408	23098	\N	\N	\N
981938	3352	1995-02-11	PRIJEM	VKLAD	4408	18298	\N	\N	\N
981939	3352	1995-03-11	PRIJEM	VKLAD	4408	20424	\N	\N	\N
981940	3352	1995-04-11	PRIJEM	VKLAD	4408	24261	\N	\N	\N
981941	3352	1995-05-11	PRIJEM	VKLAD	4408	27912	\N	\N	\N
981942	3352	1995-06-11	PRIJEM	VKLAD	6612	30081	\N	\N	\N
981943	3352	1995-07-11	PRIJEM	VKLAD	4408	28594	\N	\N	\N
981944	3352	1995-08-11	PRIJEM	VKLAD	4408	27769	\N	\N	\N
981945	3352	1995-09-11	PRIJEM	VKLAD	4408	28537	\N	\N	\N
981946	3352	1995-10-11	PRIJEM	VKLAD	4408	28788	\N	\N	\N
981947	3352	1995-11-11	PRIJEM	VKLAD	4408	27461	\N	\N	\N
981948	3352	1995-12-11	PRIJEM	VKLAD	6612	26748	\N	\N	\N
981949	3352	1996-01-11	PRIJEM	VKLAD	4408	19380	\N	\N	\N
981950	3352	1996-02-11	PRIJEM	VKLAD	4408	17886	\N	\N	\N
981951	3352	1996-03-11	PRIJEM	VKLAD	4408	21014	\N	\N	\N
981952	3352	1996-04-11	PRIJEM	VKLAD	4408	22454	\N	\N	\N
981953	3352	1996-05-11	PRIJEM	VKLAD	4408	19559	\N	\N	\N
981954	3352	1996-06-11	PRIJEM	VKLAD	6612	26559	\N	\N	\N
981955	3352	1996-07-11	PRIJEM	VKLAD	4408	26318	\N	\N	\N
981956	3352	1996-08-11	PRIJEM	VKLAD	4408	27079	\N	\N	\N
981957	3352	1996-09-11	PRIJEM	VKLAD	4408	27042	\N	\N	\N
981958	3352	1996-10-11	PRIJEM	VKLAD	4408	28807	\N	\N	\N
981959	3352	1996-11-11	PRIJEM	VKLAD	4408	27576	\N	\N	\N
981960	3352	1996-12-11	PRIJEM	VKLAD	6612	29269	\N	\N	\N
981961	3352	1997-01-11	PRIJEM	VKLAD	4408	18043	\N	\N	\N
981962	3352	1997-02-11	PRIJEM	VKLAD	4408	19434	\N	\N	\N
981963	3352	1997-03-11	PRIJEM	VKLAD	4408	22569	\N	\N	\N
981964	3352	1997-04-11	PRIJEM	VKLAD	4408	23814	\N	\N	\N
981965	3352	1997-05-11	PRIJEM	VKLAD	4408	28569	\N	\N	\N
981966	3352	1997-06-11	PRIJEM	VKLAD	6612	28238	\N	\N	\N
981967	3352	1997-07-11	PRIJEM	VKLAD	4408	23930	\N	\N	\N
981968	3352	1997-08-11	PRIJEM	VKLAD	4408	23278	\N	\N	\N
981969	3352	1997-09-11	PRIJEM	VKLAD	4408	21220	\N	\N	\N
981970	3352	1997-10-11	PRIJEM	VKLAD	4408	21157	\N	\N	\N
981971	3352	1997-11-11	PRIJEM	VKLAD	4408	15783	\N	\N	\N
981972	3352	1997-12-11	PRIJEM	VKLAD	6612	19504	\N	\N	\N
981973	3352	1998-01-11	PRIJEM	VKLAD	4408	16285	\N	\N	\N
981974	3352	1998-02-11	PRIJEM	VKLAD	4408	14257	\N	\N	\N
981975	3352	1998-03-11	PRIJEM	VKLAD	4408	15767	\N	\N	\N
981976	3352	1998-04-11	PRIJEM	VKLAD	4408	17284	\N	\N	\N
981977	3352	1998-05-11	PRIJEM	VKLAD	4408	14497	\N	\N	\N
981978	3352	1998-06-11	PRIJEM	VKLAD	6612	18212	\N	\N	\N
981979	3352	1998-07-11	PRIJEM	VKLAD	4408	17451	\N	\N	\N
981980	3352	1998-08-11	PRIJEM	VKLAD	4408	18975	\N	\N	\N
981981	3352	1998-09-11	PRIJEM	VKLAD	4408	17498	\N	\N	\N
981982	3352	1998-10-11	PRIJEM	VKLAD	4408	19021	\N	\N	\N
981983	3352	1998-11-11	PRIJEM	VKLAD	4408	20551	\N	\N	\N
981984	3352	1998-12-11	PRIJEM	VKLAD	6612	19011	\N	\N	\N
982000	3352	1994-04-09	VYDAJ	PREVOD NA UCET	2360	26212	SIPO	IJ	76645076
982001	3352	1994-05-09	VYDAJ	PREVOD NA UCET	2360	24294	SIPO	IJ	76645076
982002	3352	1994-06-09	VYDAJ	PREVOD NA UCET	2360	22805	SIPO	IJ	76645076
982003	3352	1994-07-09	VYDAJ	PREVOD NA UCET	2360	20497	SIPO	IJ	76645076
982004	3352	1994-08-09	VYDAJ	PREVOD NA UCET	2360	21156	SIPO	IJ	76645076
982005	3352	1994-09-09	VYDAJ	PREVOD NA UCET	2360	20513	SIPO	IJ	76645076
982006	3352	1994-10-09	VYDAJ	PREVOD NA UCET	2360	19870	SIPO	IJ	76645076
982007	3352	1994-11-09	VYDAJ	PREVOD NA UCET	2360	23524	SIPO	IJ	76645076
982008	3352	1994-12-09	VYDAJ	PREVOD NA UCET	2360	18388	SIPO	IJ	76645076
982009	3352	1995-01-09	VYDAJ	PREVOD NA UCET	2360	20348	SIPO	IJ	76645076
982010	3352	1995-02-09	VYDAJ	PREVOD NA UCET	2360	14468	SIPO	IJ	76645076
982011	3352	1995-03-09	VYDAJ	PREVOD NA UCET	2360	16594	SIPO	IJ	76645076
982012	3352	1995-04-09	VYDAJ	PREVOD NA UCET	2360	20431	SIPO	IJ	76645076
982013	3352	1995-05-09	VYDAJ	PREVOD NA UCET	2360	24082	SIPO	IJ	76645076
982014	3352	1995-06-09	VYDAJ	PREVOD NA UCET	2360	24047	SIPO	IJ	76645076
982015	3352	1995-07-09	VYDAJ	PREVOD NA UCET	2360	26324	SIPO	IJ	76645076
982016	3352	1995-08-09	VYDAJ	PREVOD NA UCET	2360	23939	SIPO	IJ	76645076
982017	3352	1995-09-09	VYDAJ	PREVOD NA UCET	2360	24707	SIPO	IJ	76645076
982018	3352	1995-10-09	VYDAJ	PREVOD NA UCET	2360	26278	SIPO	IJ	76645076
982019	3352	1995-11-09	VYDAJ	PREVOD NA UCET	2360	23631	SIPO	IJ	76645076
982020	3352	1995-12-09	VYDAJ	PREVOD NA UCET	2360	20714	SIPO	IJ	76645076
982021	3352	1996-01-09	VYDAJ	PREVOD NA UCET	2360	15550	SIPO	IJ	76645076
982022	3352	1996-02-09	VYDAJ	PREVOD NA UCET	2360	14056	SIPO	IJ	76645076
982023	3352	1996-03-09	VYDAJ	PREVOD NA UCET	2360	17184	SIPO	IJ	76645076
982024	3352	1996-04-09	VYDAJ	PREVOD NA UCET	2360	18624	SIPO	IJ	76645076
982025	3352	1996-05-09	VYDAJ	PREVOD NA UCET	2360	15729	SIPO	IJ	76645076
982026	3352	1996-06-09	VYDAJ	PREVOD NA UCET	2360	20525	SIPO	IJ	76645076
982027	3352	1996-07-09	VYDAJ	PREVOD NA UCET	2360	22488	SIPO	IJ	76645076
982028	3352	1996-08-09	VYDAJ	PREVOD NA UCET	2360	23249	SIPO	IJ	76645076
982029	3352	1996-09-09	VYDAJ	PREVOD NA UCET	2360	23212	SIPO	IJ	76645076
982030	3352	1996-10-09	VYDAJ	PREVOD NA UCET	2360	24977	SIPO	IJ	76645076
982031	3352	1996-11-09	VYDAJ	PREVOD NA UCET	2360	23746	SIPO	IJ	76645076
982032	3352	1996-12-09	VYDAJ	PREVOD NA UCET	2360	23235	SIPO	IJ	76645076
982033	3352	1997-01-09	VYDAJ	PREVOD NA UCET	2360	14213	SIPO	IJ	76645076
982034	3352	1997-02-09	VYDAJ	PREVOD NA UCET	2360	15604	SIPO	IJ	76645076
982035	3352	1997-03-09	VYDAJ	PREVOD NA UCET	2360	18739	SIPO	IJ	76645076
982036	3352	1997-04-09	VYDAJ	PREVOD NA UCET	2360	19984	SIPO	IJ	76645076
982037	3352	1997-05-09	VYDAJ	PREVOD NA UCET	2360	24739	SIPO	IJ	76645076
982038	3352	1997-06-09	VYDAJ	PREVOD NA UCET	2360	22204	SIPO	IJ	76645076
982039	3352	1997-07-09	VYDAJ	PREVOD NA UCET	2360	20100	SIPO	IJ	76645076
982040	3352	1997-08-09	VYDAJ	PREVOD NA UCET	2360	19448	SIPO	IJ	76645076
982041	3352	1997-09-09	VYDAJ	PREVOD NA UCET	2360	17390	SIPO	IJ	76645076
982042	3352	1997-10-09	VYDAJ	PREVOD NA UCET	2360	17327	SIPO	IJ	76645076
982043	3352	1997-11-09	VYDAJ	PREVOD NA UCET	2360	11953	SIPO	IJ	76645076
982044	3352	1997-12-09	VYDAJ	PREVOD NA UCET	2360	13470	SIPO	IJ	76645076
982045	3352	1998-01-09	VYDAJ	PREVOD NA UCET	2360	12455	SIPO	IJ	76645076
982046	3352	1998-02-09	VYDAJ	PREVOD NA UCET	2360	10427	SIPO	IJ	76645076
982047	3352	1998-03-09	VYDAJ	PREVOD NA UCET	2360	11937	SIPO	IJ	76645076
982048	3352	1998-04-09	VYDAJ	PREVOD NA UCET	2360	13454	SIPO	IJ	76645076
982049	3352	1998-05-09	VYDAJ	PREVOD NA UCET	2360	10667	SIPO	IJ	76645076
982050	3352	1998-06-09	VYDAJ	PREVOD NA UCET	2360	12178	SIPO	IJ	76645076
982051	3352	1998-07-09	VYDAJ	PREVOD NA UCET	2360	13621	SIPO	IJ	76645076
982052	3352	1998-08-09	VYDAJ	PREVOD NA UCET	2360	15145	SIPO	IJ	76645076
982053	3352	1998-09-09	VYDAJ	PREVOD NA UCET	2360	13668	SIPO	IJ	76645076
982054	3352	1998-10-09	VYDAJ	PREVOD NA UCET	2360	15191	SIPO	IJ	76645076
982055	3352	1998-11-09	VYDAJ	PREVOD NA UCET	2360	16721	SIPO	IJ	76645076
982056	3352	1998-12-09	VYDAJ	PREVOD NA UCET	2360	12977	SIPO	IJ	76645076
982072	3352	1994-04-10	VYDAJ	PREVOD NA UCET	578	25634	 	YZ	16720837
982073	3352	1994-05-10	VYDAJ	PREVOD NA UCET	578	23716	 	YZ	16720837
982074	3352	1994-06-10	VYDAJ	PREVOD NA UCET	578	22227	 	YZ	16720837
982075	3352	1994-07-10	VYDAJ	PREVOD NA UCET	578	19919	 	YZ	16720837
982076	3352	1994-08-10	VYDAJ	PREVOD NA UCET	578	20578	 	YZ	16720837
982077	3352	1994-09-10	VYDAJ	PREVOD NA UCET	578	19935	 	YZ	16720837
982078	3352	1994-10-10	VYDAJ	PREVOD NA UCET	578	19292	 	YZ	16720837
982079	3352	1994-11-10	VYDAJ	PREVOD NA UCET	578	22946	 	YZ	16720837
982080	3352	1994-12-10	VYDAJ	PREVOD NA UCET	578	17810	 	YZ	16720837
982081	3352	1995-01-10	VYDAJ	PREVOD NA UCET	578	18690	 	YZ	16720837
982082	3352	1995-02-10	VYDAJ	PREVOD NA UCET	578	13890	 	YZ	16720837
982083	3352	1995-03-10	VYDAJ	PREVOD NA UCET	578	16016	 	YZ	16720837
982084	3352	1995-04-10	VYDAJ	PREVOD NA UCET	578	19853	 	YZ	16720837
982085	3352	1995-05-10	VYDAJ	PREVOD NA UCET	578	23504	 	YZ	16720837
982086	3352	1995-06-10	VYDAJ	PREVOD NA UCET	578	23469	 	YZ	16720837
982087	3352	1995-07-10	VYDAJ	PREVOD NA UCET	578	25746	 	YZ	16720837
982088	3352	1995-08-10	VYDAJ	PREVOD NA UCET	578	23361	 	YZ	16720837
982089	3352	1995-09-10	VYDAJ	PREVOD NA UCET	578	24129	 	YZ	16720837
982090	3352	1995-10-10	VYDAJ	PREVOD NA UCET	578	25700	 	YZ	16720837
982091	3352	1995-11-10	VYDAJ	PREVOD NA UCET	578	23053	 	YZ	16720837
982092	3352	1995-12-10	VYDAJ	PREVOD NA UCET	578	20136	 	YZ	16720837
982093	3352	1996-01-10	VYDAJ	PREVOD NA UCET	578	14972	 	YZ	16720837
982094	3352	1996-02-10	VYDAJ	PREVOD NA UCET	578	13478	 	YZ	16720837
982095	3352	1996-03-10	VYDAJ	PREVOD NA UCET	578	16606	 	YZ	16720837
982096	3352	1996-04-10	VYDAJ	PREVOD NA UCET	578	18046	 	YZ	16720837
982097	3352	1996-05-10	VYDAJ	PREVOD NA UCET	578	15151	 	YZ	16720837
982098	3352	1996-06-10	VYDAJ	PREVOD NA UCET	578	19947	 	YZ	16720837
982099	3352	1996-07-10	VYDAJ	PREVOD NA UCET	578	21910	 	YZ	16720837
982100	3352	1996-08-10	VYDAJ	PREVOD NA UCET	578	22671	 	YZ	16720837
982101	3352	1996-09-10	VYDAJ	PREVOD NA UCET	578	22634	 	YZ	16720837
982102	3352	1996-10-10	VYDAJ	PREVOD NA UCET	578	24399	 	YZ	16720837
982103	3352	1996-11-10	VYDAJ	PREVOD NA UCET	578	23168	 	YZ	16720837
982104	3352	1996-12-10	VYDAJ	PREVOD NA UCET	578	22657	 	YZ	16720837
982105	3352	1997-01-10	VYDAJ	PREVOD NA UCET	578	13635	 	YZ	16720837
982106	3352	1997-02-10	VYDAJ	PREVOD NA UCET	578	15026	 	YZ	16720837
982107	3352	1997-03-10	VYDAJ	PREVOD NA UCET	578	18161	 	YZ	16720837
982108	3352	1997-04-10	VYDAJ	PREVOD NA UCET	578	19406	 	YZ	16720837
982109	3352	1997-05-10	VYDAJ	PREVOD NA UCET	578	24161	 	YZ	16720837
982110	3352	1997-06-10	VYDAJ	PREVOD NA UCET	578	21626	 	YZ	16720837
982111	3352	1997-07-10	VYDAJ	PREVOD NA UCET	578	19522	 	YZ	16720837
982112	3352	1997-08-10	VYDAJ	PREVOD NA UCET	578	18870	 	YZ	16720837
982113	3352	1997-09-10	VYDAJ	PREVOD NA UCET	578	16812	 	YZ	16720837
982114	3352	1997-10-10	VYDAJ	PREVOD NA UCET	578	16749	 	YZ	16720837
982115	3352	1997-11-10	VYDAJ	PREVOD NA UCET	578	11375	 	YZ	16720837
982116	3352	1997-12-10	VYDAJ	PREVOD NA UCET	578	12892	 	YZ	16720837
982117	3352	1998-01-10	VYDAJ	PREVOD NA UCET	578	11877	 	YZ	16720837
982118	3352	1998-02-10	VYDAJ	PREVOD NA UCET	578	9849	 	YZ	16720837
982119	3352	1998-03-10	VYDAJ	PREVOD NA UCET	578	11359	 	YZ	16720837
982120	3352	1998-04-10	VYDAJ	PREVOD NA UCET	578	12876	 	YZ	16720837
982121	3352	1998-05-10	VYDAJ	PREVOD NA UCET	578	10089	 	YZ	16720837
982122	3352	1998-06-10	VYDAJ	PREVOD NA UCET	578	11600	 	YZ	16720837
982123	3352	1998-07-10	VYDAJ	PREVOD NA UCET	578	13043	 	YZ	16720837
982124	3352	1998-08-10	VYDAJ	PREVOD NA UCET	578	14567	 	YZ	16720837
982125	3352	1998-09-10	VYDAJ	PREVOD NA UCET	578	13090	 	YZ	16720837
982126	3352	1998-10-10	VYDAJ	PREVOD NA UCET	578	14613	 	YZ	16720837
982127	3352	1998-11-10	VYDAJ	PREVOD NA UCET	578	16143	 	YZ	16720837
982128	3352	1998-12-10	VYDAJ	PREVOD NA UCET	578	12399	 	YZ	16720837
982137	3352	1995-01-20	VYDAJ	VYBER	6720	16378	\N	\N	\N
982138	3352	1996-01-13	VYDAJ	VYBER	3040	14060	\N	\N	\N
982142	3352	1994-12-07	VYDAJ	VYBER	4000	20748	\N	\N	\N
982143	3352	1995-12-17	VYDAJ	VYBER	4480	22268	\N	\N	\N
982144	3352	1996-12-03	VYDAJ	VYBER	4480	25595	\N	\N	\N
982159	3352	1995-01-09	VYDAJ	VYBER	1080	19268	\N	\N	\N
982160	3352	1995-01-29	VYDAJ	VYBER	1200	14458	\N	\N	\N
982162	3352	1995-01-08	VYDAJ	VYBER	2520	22708	\N	\N	\N
982163	3352	1995-01-20	VYDAJ	VYBER	720	15658	\N	\N	\N
982164	3352	1995-01-02	VYDAJ	VYBER	2280	25228	\N	\N	\N
982166	3352	1996-01-12	VYDAJ	VYBER	2280	17100	\N	\N	\N
982171	3352	1997-01-15	VYDAJ	VYBER	2640	15403	\N	\N	\N
982172	3352	1997-01-07	VYDAJ	VYBER	2880	19213	\N	\N	\N
982173	3352	1997-01-01	VYDAJ	VYBER	1680	26293	\N	\N	\N
982174	3352	1997-01-08	VYDAJ	VYBER	2640	16573	\N	\N	\N
982179	3352	1998-01-03	VYDAJ	VYBER	1200	14815	\N	\N	\N
982182	3352	1998-01-12	VYDAJ	VYBER	1440	14845	\N	\N	\N
982190	3352	1994-05-29	VYDAJ	VYBER	4560	23564	\N	\N	\N
982192	3352	1994-07-06	VYDAJ	VYBER	3480	25457	\N	\N	\N
982193	3352	1995-10-10	VYDAJ	VYBER	1320	24380	\N	\N	\N
982194	3352	1995-11-15	VYDAJ	VYBER	1080	26381	\N	\N	\N
982195	3352	1995-07-10	VYDAJ	VYBER	1560	24186	\N	\N	\N
982196	3352	1995-05-30	VYDAJ	VYBER	3600	24312	\N	\N	\N
982197	3352	1996-01-09	VYDAJ	VYBER	4440	17910	\N	\N	\N
982199	3352	1996-04-30	VYDAJ	VYBER	5040	18104	\N	\N	\N
982200	3352	1996-05-23	VYDAJ	VYBER	840	18719	\N	\N	\N
982201	3352	1996-08-23	VYDAJ	VYBER	1200	25879	\N	\N	\N
982202	3352	1997-06-11	VYDAJ	VYBER	3960	24278	\N	\N	\N
982206	3352	1997-12-15	VYDAJ	VYBER	3840	15664	\N	\N	\N
982207	3352	1997-01-03	VYDAJ	VYBER	4200	22093	\N	\N	\N
982209	3352	1998-08-16	VYDAJ	VYBER	3000	15975	\N	\N	\N
982210	3352	1998-12-12	VYDAJ	VYBER	1440	17571	\N	\N	\N
982212	3352	1998-06-17	VYDAJ	VYBER	2280	15932	\N	\N	\N
982213	3352	1998-12-01	VYDAJ	VYBER	5280	15337	\N	\N	\N
982229	3352	1994-03-31	VYDAJ	VYBER	15	32172	SLUZBY	\N	\N
982230	3352	1994-04-30	VYDAJ	VYBER	15	30154	SLUZBY	\N	\N
982231	3352	1994-05-31	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
982232	3352	1994-06-30	VYDAJ	VYBER	15	28937	SLUZBY	\N	\N
982233	3352	1994-07-31	VYDAJ	VYBER	15	24416	SLUZBY	\N	\N
982234	3352	1994-08-31	VYDAJ	VYBER	15	25073	SLUZBY	\N	\N
982235	3352	1994-09-30	VYDAJ	VYBER	15	24430	SLUZBY	\N	\N
982236	3352	1994-10-31	VYDAJ	VYBER	15	23784	SLUZBY	\N	\N
982237	3352	1994-11-30	VYDAJ	VYBER	15	27448	SLUZBY	\N	\N
982238	3352	1994-12-31	VYDAJ	VYBER	15	24508	SLUZBY	\N	\N
982239	3352	1995-01-31	VYDAJ	VYBER	15	14528	SLUZBY	\N	\N
982240	3352	1995-02-28	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
982241	3352	1995-03-31	VYDAJ	VYBER	15	20491	SLUZBY	\N	\N
982242	3352	1995-04-30	VYDAJ	VYBER	15	24342	SLUZBY	\N	\N
982243	3352	1995-05-31	VYDAJ	VYBER	15	24407	SLUZBY	\N	\N
982244	3352	1995-06-30	VYDAJ	VYBER	15	30184	SLUZBY	\N	\N
982245	3352	1995-07-31	VYDAJ	VYBER	15	28699	SLUZBY	\N	\N
982246	3352	1995-08-31	VYDAJ	VYBER	15	27067	SLUZBY	\N	\N
982247	3352	1995-09-30	VYDAJ	VYBER	15	28638	SLUZBY	\N	\N
982248	3352	1995-10-31	VYDAJ	VYBER	15	25991	SLUZBY	\N	\N
982249	3352	1995-11-30	VYDAJ	VYBER	15	23074	SLUZBY	\N	\N
982250	3352	1995-12-31	VYDAJ	VYBER	15	22350	SLUZBY	\N	\N
982251	3352	1996-01-31	VYDAJ	VYBER	15	16416	SLUZBY	\N	\N
982252	3352	1996-02-29	VYDAJ	VYBER	15	19544	SLUZBY	\N	\N
982253	3352	1996-03-31	VYDAJ	VYBER	15	20984	SLUZBY	\N	\N
982254	3352	1996-04-30	VYDAJ	VYBER	15	18089	SLUZBY	\N	\N
982255	3352	1996-05-31	VYDAJ	VYBER	15	22885	SLUZBY	\N	\N
982256	3352	1996-06-30	VYDAJ	VYBER	15	24848	SLUZBY	\N	\N
982257	3352	1996-07-31	VYDAJ	VYBER	15	25609	SLUZBY	\N	\N
982258	3352	1996-08-31	VYDAJ	VYBER	15	25572	SLUZBY	\N	\N
982259	3352	1996-09-30	VYDAJ	VYBER	15	27337	SLUZBY	\N	\N
982260	3352	1996-10-31	VYDAJ	VYBER	15	26106	SLUZBY	\N	\N
982261	3352	1996-11-30	VYDAJ	VYBER	15	30075	SLUZBY	\N	\N
982262	3352	1996-12-31	VYDAJ	VYBER	15	27973	SLUZBY	\N	\N
982263	3352	1997-01-31	VYDAJ	VYBER	15	17964	SLUZBY	\N	\N
982264	3352	1997-02-28	VYDAJ	VYBER	15	21099	SLUZBY	\N	\N
982265	3352	1997-03-31	VYDAJ	VYBER	15	22344	SLUZBY	\N	\N
982266	3352	1997-04-30	VYDAJ	VYBER	15	27099	SLUZBY	\N	\N
982267	3352	1997-05-31	VYDAJ	VYBER	15	24564	SLUZBY	\N	\N
982268	3352	1997-06-30	VYDAJ	VYBER	15	22460	SLUZBY	\N	\N
982269	3352	1997-07-31	VYDAJ	VYBER	15	21808	SLUZBY	\N	\N
982270	3352	1997-08-31	VYDAJ	VYBER	15	19750	SLUZBY	\N	\N
982271	3352	1997-09-30	VYDAJ	VYBER	15	19687	SLUZBY	\N	\N
982272	3352	1997-10-31	VYDAJ	VYBER	15	14313	SLUZBY	\N	\N
982273	3352	1997-11-30	VYDAJ	VYBER	15	15830	SLUZBY	\N	\N
982274	3352	1997-12-31	VYDAJ	VYBER	15	16015	SLUZBY	\N	\N
982275	3352	1998-01-31	VYDAJ	VYBER	15	12787	SLUZBY	\N	\N
982276	3352	1998-02-28	VYDAJ	VYBER	15	14297	SLUZBY	\N	\N
982277	3352	1998-03-31	VYDAJ	VYBER	15	15814	SLUZBY	\N	\N
982278	3352	1998-04-30	VYDAJ	VYBER	15	13027	SLUZBY	\N	\N
982279	3352	1998-05-31	VYDAJ	VYBER	15	14538	SLUZBY	\N	\N
982280	3352	1998-06-30	VYDAJ	VYBER	15	15981	SLUZBY	\N	\N
982281	3352	1998-07-31	VYDAJ	VYBER	15	17505	SLUZBY	\N	\N
982282	3352	1998-08-31	VYDAJ	VYBER	15	16028	SLUZBY	\N	\N
982283	3352	1998-09-30	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
982284	3352	1998-10-31	VYDAJ	VYBER	15	19081	SLUZBY	\N	\N
982285	3352	1998-11-30	VYDAJ	VYBER	15	20617	SLUZBY	\N	\N
982286	3352	1993-12-08	PRIJEM	VKLAD	9300	14623	\N	\N	\N
982287	3352	1994-01-07	PRIJEM	VKLAD	2300	23602	\N	\N	\N
982288	3352	1994-02-06	VYDAJ	VYBER	2500	25617	\N	\N	\N
982289	3352	1994-03-08	VYDAJ	VYBER	2500	27648	\N	\N	\N
982290	3352	1994-04-07	VYDAJ	VYBER	3600	28572	\N	\N	\N
982291	3352	1994-05-07	VYDAJ	VYBER	3500	26654	\N	\N	\N
982292	3352	1994-06-06	PRIJEM	VKLAD	1500	25165	\N	\N	\N
982293	3352	1994-07-06	VYDAJ	VYBER	2600	22857	\N	\N	\N
982294	3352	1994-08-05	VYDAJ	VYBER	900	23516	\N	\N	\N
982295	3352	1994-09-04	VYDAJ	VYBER	2200	22873	\N	\N	\N
982296	3352	1994-10-04	VYDAJ	VYBER	2200	22230	\N	\N	\N
982297	3352	1994-11-03	PRIJEM	VKLAD	2100	25884	\N	\N	\N
982298	3352	1994-12-03	VYDAJ	VYBER	2700	24748	\N	\N	\N
982299	3352	1995-01-02	PRIJEM	VKLAD	3000	27508	\N	\N	\N
982300	3352	1995-02-01	PRIJEM	VKLAD	2300	16828	\N	\N	\N
982301	3352	1995-03-03	PRIJEM	VKLAD	600	18954	\N	\N	\N
982302	3352	1995-04-02	PRIJEM	VKLAD	2300	22791	\N	\N	\N
982303	3352	1995-05-02	PRIJEM	VKLAD	2100	26442	\N	\N	\N
982304	3352	1995-06-01	PRIJEM	VKLAD	2000	26407	\N	\N	\N
982305	3352	1995-07-01	VYDAJ	VYBER	1500	28684	\N	\N	\N
982306	3352	1995-07-31	VYDAJ	VYBER	2400	26299	\N	\N	\N
982307	3352	1995-08-30	VYDAJ	VYBER	800	26969	\N	\N	\N
982308	3352	1995-10-29	VYDAJ	VYBER	2900	25888	\N	\N	\N
982309	3352	1995-11-28	VYDAJ	VYBER	3400	22981	\N	\N	\N
982310	3352	1996-01-27	PRIJEM	VKLAD	2300	16360	\N	\N	\N
982311	3352	1996-02-26	PRIJEM	VKLAD	1600	19486	\N	\N	\N
982312	3352	1996-03-27	VYDAJ	VYBER	100	20914	\N	\N	\N
982313	3352	1996-04-26	PRIJEM	VKLAD	600	23054	\N	\N	\N
982314	3352	1996-05-26	PRIJEM	VKLAD	4100	22819	\N	\N	\N
982315	3352	1996-06-25	VYDAJ	VYBER	1800	24759	\N	\N	\N
982316	3352	1996-07-25	VYDAJ	VYBER	800	25518	\N	\N	\N
982317	3352	1996-08-24	VYDAJ	VYBER	400	25479	\N	\N	\N
982318	3352	1996-09-23	PRIJEM	VKLAD	200	27242	\N	\N	\N
982319	3352	1996-10-23	VYDAJ	VYBER	2800	26007	\N	\N	\N
982320	3352	1996-11-22	PRIJEM	VKLAD	2400	29976	\N	\N	\N
982321	3352	1996-12-22	VYDAJ	VYBER	1400	27869	\N	\N	\N
982322	3352	1997-01-21	PRIJEM	VKLAD	2500	17903	\N	\N	\N
982323	3352	1997-02-20	PRIJEM	VKLAD	1600	21034	\N	\N	\N
982324	3352	1997-03-22	VYDAJ	VYBER	300	22269	\N	\N	\N
982325	3352	1997-04-21	PRIJEM	VKLAD	3200	27014	\N	\N	\N
982326	3352	1997-05-21	VYDAJ	VYBER	4100	24469	\N	\N	\N
982327	3352	1997-06-20	VYDAJ	VYBER	1900	22378	\N	\N	\N
982328	3352	1997-07-20	VYDAJ	VYBER	2200	21730	\N	\N	\N
982329	3352	1997-08-19	VYDAJ	VYBER	3600	19678	\N	\N	\N
982330	3352	1997-09-18	VYDAJ	VYBER	1600	19620	\N	\N	\N
982331	3352	1997-10-18	VYDAJ	VYBER	6900	14257	\N	\N	\N
982332	3352	1997-12-17	PRIJEM	VKLAD	300	15964	\N	\N	\N
982333	3352	1998-01-16	VYDAJ	VYBER	2100	12745	\N	\N	\N
982334	3352	1998-04-16	VYDAJ	VYBER	4300	12984	\N	\N	\N
982397	3353	1996-08-27	PRIJEM	VKLAD	200	200	\N	\N	\N
982401	3353	1996-11-11	PRIJEM	VKLAD	32650	69819	\N	\N	\N
982402	3353	1996-11-21	PRIJEM	VKLAD	20568	90387	\N	\N	\N
982405	3353	1996-10-05	PRIJEM	VKLAD	18854	50334	\N	\N	\N
982407	3353	1996-09-10	PRIJEM	VKLAD	44258	44458	\N	\N	\N
982408	3353	1997-05-12	PRIJEM	VKLAD	27143	37539	\N	\N	\N
982409	3353	1997-08-18	PRIJEM	VKLAD	6363	28264	\N	\N	\N
982410	3353	1997-10-13	PRIJEM	VKLAD	36838	123923	\N	\N	\N
982411	3353	1997-06-10	PRIJEM	VKLAD	41086	63026	\N	\N	\N
982412	3353	1997-02-09	PRIJEM	VKLAD	11521	56542	\N	\N	\N
982413	3353	1997-07-21	PRIJEM	VKLAD	12761	45021	\N	\N	\N
982414	3353	1997-11-24	PRIJEM	VKLAD	22395	61663	\N	\N	\N
982415	3353	1997-09-05	PRIJEM	VKLAD	27857	117305	\N	\N	\N
982416	3353	1997-03-18	PRIJEM	VKLAD	43327	131271	\N	\N	\N
982417	3353	1997-12-09	PRIJEM	VKLAD	36798	98267	\N	\N	\N
982418	3353	1997-09-22	PRIJEM	VKLAD	38736	79967	\N	\N	\N
982419	3353	1997-02-14	PRIJEM	VKLAD	39970	79751	\N	\N	\N
982420	3353	1997-02-25	PRIJEM	VKLAD	17731	100804	\N	\N	\N
982421	3353	1997-03-12	PRIJEM	VKLAD	34991	94031	\N	\N	\N
982422	3353	1997-11-08	PRIJEM	VKLAD	9506	78648	\N	\N	\N
982423	3353	1997-01-28	PRIJEM	VKLAD	20227	50033	\N	\N	\N
982424	3353	1997-10-02	PRIJEM	VKLAD	49978	124204	\N	\N	\N
982425	3353	1997-08-29	PRIJEM	VKLAD	9558	41422	\N	\N	\N
982426	3353	1997-06-17	PRIJEM	VKLAD	44679	90945	\N	\N	\N
982427	3353	1997-01-23	PRIJEM	VKLAD	13389	53006	\N	\N	\N
982428	3353	1997-08-30	PRIJEM	VKLAD	47894	89316	\N	\N	\N
982429	3353	1997-02-24	PRIJEM	VKLAD	30922	86373	\N	\N	\N
982430	3353	1997-10-12	PRIJEM	VKLAD	13055	93171	\N	\N	\N
982431	3353	1998-12-25	PRIJEM	VKLAD	18389	40528	\N	\N	\N
982432	3353	1998-09-02	PRIJEM	VKLAD	43117	64651	\N	\N	\N
982446	3353	1997-02-12	VYDAJ	PREVOD NA UCET	6086	39781	UVER	AB	20473671
982447	3353	1997-03-12	VYDAJ	PREVOD NA UCET	6086	87944	UVER	AB	20473671
982448	3353	1997-04-12	VYDAJ	PREVOD NA UCET	6086	30140	UVER	AB	20473671
982449	3353	1997-05-12	VYDAJ	PREVOD NA UCET	6086	31453	UVER	AB	20473671
982450	3353	1997-06-12	VYDAJ	PREVOD NA UCET	6086	46266	UVER	AB	20473671
982451	3353	1997-07-12	VYDAJ	PREVOD NA UCET	6086	32260	UVER	AB	20473671
982452	3353	1997-08-12	VYDAJ	PREVOD NA UCET	6086	21901	UVER	AB	20473671
982453	3353	1997-09-12	VYDAJ	PREVOD NA UCET	6086	47031	UVER	AB	20473671
982454	3353	1997-10-12	VYDAJ	PREVOD NA UCET	6086	87085	UVER	AB	20473671
982455	3353	1997-11-12	VYDAJ	PREVOD NA UCET	6086	61888	UVER	AB	20473671
982456	3353	1997-12-12	VYDAJ	PREVOD NA UCET	6086	81507	UVER	AB	20473671
982457	3353	1998-01-12	VYDAJ	PREVOD NA UCET	6086	14672	UVER	AB	20473671
982458	3353	1998-02-12	VYDAJ	PREVOD NA UCET	6086	3800	UVER	AB	20473671
982460	3353	1998-04-12	VYDAJ	PREVOD NA UCET	6086	4644	UVER	AB	20473671
982461	3353	1998-05-12	VYDAJ	PREVOD NA UCET	6086	2822	UVER	AB	20473671
982462	3353	1998-06-12	VYDAJ	PREVOD NA UCET	6086	2997	UVER	AB	20473671
982463	3353	1998-07-12	VYDAJ	PREVOD NA UCET	6086	5479	UVER	AB	20473671
982464	3353	1998-08-12	VYDAJ	PREVOD NA UCET	6086	5871	UVER	AB	20473671
982465	3353	1998-09-12	VYDAJ	PREVOD NA UCET	6086	47476	UVER	AB	20473671
982466	3353	1998-10-12	VYDAJ	PREVOD NA UCET	6086	18965	UVER	AB	20473671
982467	3353	1998-11-12	VYDAJ	PREVOD NA UCET	6086	15406	UVER	AB	20473671
982468	3353	1998-12-12	VYDAJ	PREVOD NA UCET	6086	8039	UVER	AB	20473671
982482	3353	1997-02-10	VYDAJ	PREVOD NA UCET	10616	45926	SIPO	WX	11269444
982483	3353	1997-03-10	VYDAJ	PREVOD NA UCET	10616	59098	SIPO	WX	11269444
982484	3353	1997-04-10	VYDAJ	PREVOD NA UCET	10616	36284	SIPO	WX	11269444
982485	3353	1997-05-10	VYDAJ	PREVOD NA UCET	10616	10454	SIPO	WX	11269444
982486	3353	1997-06-10	VYDAJ	PREVOD NA UCET	10616	52410	SIPO	WX	11269444
982487	3353	1997-07-10	VYDAJ	PREVOD NA UCET	10616	38404	SIPO	WX	11269444
982488	3353	1997-08-10	VYDAJ	PREVOD NA UCET	10616	28045	SIPO	WX	11269444
982489	3353	1997-09-10	VYDAJ	PREVOD NA UCET	10616	53175	SIPO	WX	11269444
982490	3353	1997-10-10	VYDAJ	PREVOD NA UCET	10616	80174	SIPO	WX	11269444
982491	3353	1997-11-10	VYDAJ	PREVOD NA UCET	10616	68032	SIPO	WX	11269444
982492	3353	1997-12-10	VYDAJ	PREVOD NA UCET	10616	87651	SIPO	WX	11269444
982493	3353	1998-01-10	VYDAJ	PREVOD NA UCET	10616	20816	SIPO	WX	11269444
982494	3353	1998-02-10	VYDAJ	PREVOD NA UCET	10616	9944	SIPO	WX	11269444
982495	3353	1998-03-10	VYDAJ	PREVOD NA UCET	10616	8421	SIPO	WX	11269444
982496	3353	1998-04-10	VYDAJ	PREVOD NA UCET	10616	10788	SIPO	WX	11269444
982497	3353	1998-05-10	VYDAJ	PREVOD NA UCET	10616	8966	SIPO	WX	11269444
982498	3353	1998-06-10	VYDAJ	PREVOD NA UCET	10616	9141	SIPO	WX	11269444
982499	3353	1998-07-10	VYDAJ	PREVOD NA UCET	10616	11623	SIPO	WX	11269444
982500	3353	1998-08-10	VYDAJ	PREVOD NA UCET	10616	12015	SIPO	WX	11269444
982501	3353	1998-09-10	VYDAJ	PREVOD NA UCET	10616	53621	SIPO	WX	11269444
982502	3353	1998-10-10	VYDAJ	PREVOD NA UCET	10616	25109	SIPO	WX	11269444
982503	3353	1998-11-10	VYDAJ	PREVOD NA UCET	10616	21550	SIPO	WX	11269444
982504	3353	1998-12-10	VYDAJ	PREVOD NA UCET	10616	14183	SIPO	WX	11269444
982518	3353	1997-02-11	VYDAJ	PREVOD NA UCET	58	45868	 	CD	19594610
982519	3353	1997-03-11	VYDAJ	PREVOD NA UCET	58	59040	 	CD	19594610
982520	3353	1997-04-11	VYDAJ	PREVOD NA UCET	58	36226	 	CD	19594610
982521	3353	1997-05-11	VYDAJ	PREVOD NA UCET	58	10396	 	CD	19594610
982522	3353	1997-06-11	VYDAJ	PREVOD NA UCET	58	52352	 	CD	19594610
982523	3353	1997-07-11	VYDAJ	PREVOD NA UCET	58	38346	 	CD	19594610
982524	3353	1997-08-11	VYDAJ	PREVOD NA UCET	58	27987	 	CD	19594610
982525	3353	1997-09-11	VYDAJ	PREVOD NA UCET	58	53117	 	CD	19594610
982526	3353	1997-10-11	VYDAJ	PREVOD NA UCET	58	80116	 	CD	19594610
982527	3353	1997-11-11	VYDAJ	PREVOD NA UCET	58	67974	 	CD	19594610
982528	3353	1997-12-11	VYDAJ	PREVOD NA UCET	58	87593	 	CD	19594610
982529	3353	1998-01-11	VYDAJ	PREVOD NA UCET	58	20758	 	CD	19594610
982530	3353	1998-02-11	VYDAJ	PREVOD NA UCET	58	9886	 	CD	19594610
982531	3353	1998-03-11	VYDAJ	PREVOD NA UCET	58	8363	 	CD	19594610
982532	3353	1998-04-11	VYDAJ	PREVOD NA UCET	58	10730	 	CD	19594610
982533	3353	1998-05-11	VYDAJ	PREVOD NA UCET	58	8908	 	CD	19594610
982534	3353	1998-06-11	VYDAJ	PREVOD NA UCET	58	9083	 	CD	19594610
982535	3353	1998-07-11	VYDAJ	PREVOD NA UCET	58	11565	 	CD	19594610
982536	3353	1998-08-11	VYDAJ	PREVOD NA UCET	58	11957	 	CD	19594610
982537	3353	1998-09-11	VYDAJ	PREVOD NA UCET	58	53563	 	CD	19594610
982538	3353	1998-10-11	VYDAJ	PREVOD NA UCET	58	25051	 	CD	19594610
982539	3353	1998-11-11	VYDAJ	PREVOD NA UCET	58	21492	 	CD	19594610
982540	3353	1998-12-11	VYDAJ	PREVOD NA UCET	58	14125	 	CD	19594610
982554	3353	1997-02-07	VYDAJ	PREVOD NA UCET	414	45021	POJISTNE	UV	21930182
982555	3353	1997-03-07	VYDAJ	PREVOD NA UCET	414	69714	POJISTNE	UV	21930182
982556	3353	1997-04-07	VYDAJ	PREVOD NA UCET	414	46900	POJISTNE	UV	21930182
982557	3353	1997-05-07	VYDAJ	PREVOD NA UCET	414	30970	POJISTNE	UV	21930182
982558	3353	1997-06-07	VYDAJ	PREVOD NA UCET	414	21940	POJISTNE	UV	21930182
982559	3353	1997-07-07	VYDAJ	PREVOD NA UCET	414	49020	POJISTNE	UV	21930182
982560	3353	1997-08-07	VYDAJ	PREVOD NA UCET	414	38661	POJISTNE	UV	21930182
982561	3353	1997-09-07	VYDAJ	PREVOD NA UCET	414	63791	POJISTNE	UV	21930182
982562	3353	1997-10-07	VYDAJ	PREVOD NA UCET	414	90790	POJISTNE	UV	21930182
982563	3353	1997-11-07	VYDAJ	PREVOD NA UCET	414	69142	POJISTNE	UV	21930182
982564	3353	1997-12-07	VYDAJ	PREVOD NA UCET	414	61469	POJISTNE	UV	21930182
982565	3353	1998-01-07	VYDAJ	PREVOD NA UCET	414	33232	POJISTNE	UV	21930182
982566	3353	1998-02-07	VYDAJ	PREVOD NA UCET	414	20560	POJISTNE	UV	21930182
982567	3353	1998-03-07	VYDAJ	PREVOD NA UCET	414	19037	POJISTNE	UV	21930182
982568	3353	1998-04-07	VYDAJ	PREVOD NA UCET	414	21404	POJISTNE	UV	21930182
982569	3353	1998-05-07	VYDAJ	PREVOD NA UCET	414	19582	POJISTNE	UV	21930182
982570	3353	1998-06-07	VYDAJ	PREVOD NA UCET	414	19757	POJISTNE	UV	21930182
982571	3353	1998-07-07	VYDAJ	PREVOD NA UCET	414	22239	POJISTNE	UV	21930182
982572	3353	1998-08-07	VYDAJ	PREVOD NA UCET	414	22631	POJISTNE	UV	21930182
982573	3353	1998-09-07	VYDAJ	PREVOD NA UCET	414	64237	POJISTNE	UV	21930182
982574	3353	1998-10-07	VYDAJ	PREVOD NA UCET	414	35725	POJISTNE	UV	21930182
982575	3353	1998-11-07	VYDAJ	PREVOD NA UCET	414	32166	POJISTNE	UV	21930182
982576	3353	1998-12-07	VYDAJ	PREVOD NA UCET	414	31099	POJISTNE	UV	21930182
982581	3353	1997-06-19	VYBER	VYBER	8185	63260	\N	\N	\N
982582	3353	1997-03-02	VYBER	VYBER	4522	70128	\N	\N	\N
982583	3353	1997-11-13	VYBER	VYBER	24120	37768	\N	\N	\N
982589	3353	1998-01-02	VYBER	VYBER	9033	50746	\N	\N	\N
982595	3353	1997-06-18	VYDAJ	VYBER	19500	71445	\N	\N	\N
982599	3353	1998-01-05	VYDAJ	VYBER	11100	33646	\N	\N	\N
982601	3353	1997-12-20	VYDAJ	VYBER	7200	74307	\N	\N	\N
982602	3353	1998-12-08	VYDAJ	VYBER	6300	24799	\N	\N	\N
982609	3353	1997-01-27	VYDAJ	VYBER	7500	29806	\N	\N	\N
982612	3353	1997-01-25	VYDAJ	VYBER	5100	37306	\N	\N	\N
982613	3353	1997-01-30	VYDAJ	VYBER	4800	45233	\N	\N	\N
982616	3353	1998-01-05	VYDAJ	VYBER	1500	44746	\N	\N	\N
982618	3353	1998-01-09	VYDAJ	VYBER	1800	31432	\N	\N	\N
982619	3353	1998-01-29	VYDAJ	VYBER	5700	20872	\N	\N	\N
982620	3353	1998-01-03	VYDAJ	VYBER	4500	46246	\N	\N	\N
982625	3353	1997-02-24	VYDAJ	VYBER	3300	83073	\N	\N	\N
982626	3353	1997-09-30	VYDAJ	VYBER	6000	74240	\N	\N	\N
982627	3353	1997-05-20	VYDAJ	VYBER	12300	19153	\N	\N	\N
982628	3353	1997-05-09	VYDAJ	VYBER	9900	21070	\N	\N	\N
982629	3353	1997-09-06	VYDAJ	VYBER	5700	64205	\N	\N	\N
982630	3353	1997-04-04	VYDAJ	VYBER	10500	47314	\N	\N	\N
982632	3353	1997-06-01	VYDAJ	VYBER	2400	22354	\N	\N	\N
982635	3353	1998-07-30	VYDAJ	VYBER	2100	22979	\N	\N	\N
982636	3353	1998-12-17	VYDAJ	VYBER	4800	22139	\N	\N	\N
982637	3353	1998-09-30	VYDAJ	VYBER	9000	36154	\N	\N	\N
982651	3353	1997-01-31	VYDAJ	VYBER	15	45435	SLUZBY	\N	\N
982652	3353	1997-02-28	VYDAJ	VYBER	15	74650	SLUZBY	\N	\N
982653	3353	1997-03-31	VYDAJ	VYBER	15	57814	SLUZBY	\N	\N
982654	3353	1997-04-30	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
982655	3353	1997-05-31	VYDAJ	VYBER	15	24754	SLUZBY	\N	\N
982656	3353	1997-06-30	VYDAJ	VYBER	15	49434	SLUZBY	\N	\N
982657	3353	1997-07-31	VYDAJ	VYBER	15	39075	SLUZBY	\N	\N
982658	3353	1997-08-31	VYDAJ	VYBER	15	89448	SLUZBY	\N	\N
982659	3353	1997-09-30	VYDAJ	VYBER	15	74226	SLUZBY	\N	\N
982660	3353	1997-10-31	VYDAJ	VYBER	15	69556	SLUZBY	\N	\N
982661	3353	1997-11-30	VYDAJ	VYBER	15	61883	SLUZBY	\N	\N
982662	3353	1997-12-31	VYDAJ	VYBER	15	59779	SLUZBY	\N	\N
982663	3353	1998-01-31	VYDAJ	VYBER	15	20974	SLUZBY	\N	\N
982664	3353	1998-02-28	VYDAJ	VYBER	15	19451	SLUZBY	\N	\N
982665	3353	1998-03-31	VYDAJ	VYBER	15	21818	SLUZBY	\N	\N
982666	3353	1998-04-30	VYDAJ	VYBER	15	19996	SLUZBY	\N	\N
982667	3353	1998-05-31	VYDAJ	VYBER	15	20171	SLUZBY	\N	\N
982668	3353	1998-06-30	VYDAJ	VYBER	15	22653	SLUZBY	\N	\N
982669	3353	1998-07-31	VYDAJ	VYBER	15	23045	SLUZBY	\N	\N
982670	3353	1998-08-31	VYDAJ	VYBER	15	21534	SLUZBY	\N	\N
982671	3353	1998-09-30	VYDAJ	VYBER	15	36139	SLUZBY	\N	\N
982672	3353	1998-10-31	VYDAJ	VYBER	15	32580	SLUZBY	\N	\N
982673	3353	1998-11-30	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
982674	3353	1996-09-26	VYDAJ	VYBER	13000	31458	\N	\N	\N
982675	3353	1996-10-26	VYDAJ	VYBER	13300	37034	\N	\N	\N
982676	3353	1996-11-25	VYDAJ	VYBER	35100	55287	\N	\N	\N
982677	3353	1996-12-25	VYDAJ	VYBER	16100	39387	\N	\N	\N
982678	3353	1997-01-24	VYDAJ	VYBER	10600	42406	\N	\N	\N
982679	3353	1997-02-23	VYDAJ	VYBER	24300	55451	\N	\N	\N
982680	3353	1997-02-25	VYDAJ	VYBER	26400	74404	\N	\N	\N
982681	3353	1997-03-18	VYDAJ	VYBER	42900	88371	\N	\N	\N
982682	3353	1997-03-25	VYDAJ	VYBER	30900	57471	\N	\N	\N
982683	3353	1997-04-24	PRIJEM	VKLAD	1100	31240	\N	\N	\N
982684	3353	1997-05-24	PRIJEM	VKLAD	5500	24653	\N	\N	\N
982685	3353	1997-06-23	VYDAJ	VYBER	14000	49260	\N	\N	\N
982686	3353	1997-07-23	VYDAJ	VYBER	6100	38921	\N	\N	\N
982687	3353	1997-08-22	PRIJEM	VKLAD	3600	31864	\N	\N	\N
982688	3353	1997-09-05	VYDAJ	VYBER	47400	69905	\N	\N	\N
982689	3353	1997-09-21	VYDAJ	VYBER	5800	41231	\N	\N	\N
982690	3353	1997-10-02	VYDAJ	VYBER	33000	91204	\N	\N	\N
982691	3353	1997-10-13	VYDAJ	VYBER	27800	96123	\N	\N	\N
982692	3353	1997-10-21	VYDAJ	VYBER	26900	69223	\N	\N	\N
982693	3353	1997-11-20	PRIJEM	VKLAD	1500	39268	\N	\N	\N
982694	3353	1997-12-20	VYDAJ	VYBER	14800	59507	\N	\N	\N
982695	3353	1998-01-19	PRIJEM	VKLAD	11900	26572	\N	\N	\N
982696	3353	1998-02-18	PRIJEM	VKLAD	15600	19400	\N	\N	\N
982697	3353	1998-03-20	PRIJEM	VKLAD	13400	21763	\N	\N	\N
982698	3353	1998-04-19	PRIJEM	VKLAD	15300	19944	\N	\N	\N
982699	3353	1998-05-19	PRIJEM	VKLAD	17300	20122	\N	\N	\N
982700	3353	1998-06-18	PRIJEM	VKLAD	19600	22597	\N	\N	\N
982701	3353	1998-07-18	PRIJEM	VKLAD	19600	25079	\N	\N	\N
982702	3353	1998-08-17	PRIJEM	VKLAD	15600	21471	\N	\N	\N
982703	3353	1998-09-16	VYDAJ	VYBER	2500	44976	\N	\N	\N
982704	3353	1998-10-16	PRIJEM	VKLAD	13500	32465	\N	\N	\N
982705	3353	1998-11-15	PRIJEM	VKLAD	16000	31406	\N	\N	\N
982706	3353	1998-12-15	PRIJEM	VKLAD	18900	26939	\N	\N	\N
982737	3354	1993-11-05	PRIJEM	VKLAD	800	800	\N	\N	\N
982748	3354	1993-11-08	PRIJEM	VKLAD	10352	11152	\N	\N	\N
982749	3354	1993-12-08	PRIJEM	VKLAD	15528	32616	\N	\N	\N
982750	3354	1994-01-08	PRIJEM	VKLAD	10352	38183	\N	\N	\N
982751	3354	1994-02-08	PRIJEM	VKLAD	10352	40089	\N	\N	\N
982752	3354	1994-03-08	PRIJEM	VKLAD	10352	41106	\N	\N	\N
982753	3354	1994-04-08	PRIJEM	VKLAD	10352	36672	\N	\N	\N
982754	3354	1994-05-08	PRIJEM	VKLAD	10352	36421	\N	\N	\N
982755	3354	1994-06-08	PRIJEM	VKLAD	15528	39442	\N	\N	\N
982756	3354	1994-07-08	PRIJEM	VKLAD	10352	29659	\N	\N	\N
982757	3354	1994-08-08	PRIJEM	VKLAD	10352	35258	\N	\N	\N
982758	3354	1994-09-08	PRIJEM	VKLAD	10352	35666	\N	\N	\N
982759	3354	1994-10-08	PRIJEM	VKLAD	10352	40290	\N	\N	\N
982760	3354	1994-11-08	PRIJEM	VKLAD	10352	40834	\N	\N	\N
982761	3354	1994-12-08	PRIJEM	VKLAD	15528	43155	\N	\N	\N
982762	3354	1995-01-08	PRIJEM	VKLAD	10352	38004	\N	\N	\N
982763	3354	1995-02-08	PRIJEM	VKLAD	10352	27821	\N	\N	\N
982764	3354	1995-03-08	PRIJEM	VKLAD	10352	31512	\N	\N	\N
982765	3354	1995-04-08	PRIJEM	VKLAD	10352	33419	\N	\N	\N
982766	3354	1995-05-08	PRIJEM	VKLAD	10352	36233	\N	\N	\N
982767	3354	1995-06-08	PRIJEM	VKLAD	15528	43235	\N	\N	\N
982768	3354	1995-07-08	PRIJEM	VKLAD	10352	28662	\N	\N	\N
982769	3354	1995-08-08	PRIJEM	VKLAD	10352	30061	\N	\N	\N
982770	3354	1995-09-08	PRIJEM	VKLAD	10352	32476	\N	\N	\N
982771	3354	1995-10-08	PRIJEM	VKLAD	10352	34901	\N	\N	\N
982772	3354	1995-11-08	PRIJEM	VKLAD	10352	32828	\N	\N	\N
982773	3354	1995-12-08	PRIJEM	VKLAD	15528	37827	\N	\N	\N
982774	3354	1996-01-08	PRIJEM	VKLAD	10352	32961	\N	\N	\N
982775	3354	1996-02-08	PRIJEM	VKLAD	10352	26173	\N	\N	\N
982776	3354	1996-03-08	PRIJEM	VKLAD	10352	31172	\N	\N	\N
982777	3354	1996-04-08	PRIJEM	VKLAD	10352	30186	\N	\N	\N
982778	3354	1996-05-08	PRIJEM	VKLAD	10352	28595	\N	\N	\N
982779	3354	1996-06-08	PRIJEM	VKLAD	15528	31772	\N	\N	\N
982780	3354	1996-07-08	PRIJEM	VKLAD	10352	22574	\N	\N	\N
982781	3354	1996-08-08	PRIJEM	VKLAD	10352	23651	\N	\N	\N
982782	3354	1996-09-08	PRIJEM	VKLAD	10352	24634	\N	\N	\N
982783	3354	1996-10-08	PRIJEM	VKLAD	10352	27422	\N	\N	\N
982784	3354	1996-11-08	PRIJEM	VKLAD	10352	22411	\N	\N	\N
982785	3354	1996-12-08	PRIJEM	VKLAD	15528	26964	\N	\N	\N
982786	3354	1997-01-08	PRIJEM	VKLAD	10352	23352	\N	\N	\N
982787	3354	1997-02-08	PRIJEM	VKLAD	10352	12311	\N	\N	\N
982788	3354	1997-03-08	PRIJEM	VKLAD	10352	18653	\N	\N	\N
982789	3354	1997-04-08	PRIJEM	VKLAD	10352	22718	\N	\N	\N
982790	3354	1997-05-08	PRIJEM	VKLAD	10352	22993	\N	\N	\N
982791	3354	1997-06-08	PRIJEM	VKLAD	15528	27844	\N	\N	\N
982792	3354	1997-07-08	PRIJEM	VKLAD	10352	28836	\N	\N	\N
982793	3354	1997-08-08	PRIJEM	VKLAD	10352	30637	\N	\N	\N
982794	3354	1997-09-08	PRIJEM	VKLAD	10352	27135	\N	\N	\N
982795	3354	1997-10-08	PRIJEM	VKLAD	10352	27626	\N	\N	\N
982796	3354	1997-11-08	PRIJEM	VKLAD	10352	24709	\N	\N	\N
982797	3354	1997-12-08	PRIJEM	VKLAD	15528	29367	\N	\N	\N
982798	3354	1998-01-08	PRIJEM	VKLAD	10352	26459	\N	\N	\N
982799	3354	1998-02-08	PRIJEM	VKLAD	10352	14731	\N	\N	\N
982800	3354	1998-03-08	PRIJEM	VKLAD	10352	28699	\N	\N	\N
982801	3354	1998-04-08	PRIJEM	VKLAD	10352	35010	\N	\N	\N
982802	3354	1998-05-08	PRIJEM	VKLAD	10352	44053	\N	\N	\N
982803	3354	1998-06-08	PRIJEM	VKLAD	15528	50991	\N	\N	\N
982804	3354	1998-07-08	PRIJEM	VKLAD	10352	41448	\N	\N	\N
982805	3354	1998-08-08	PRIJEM	VKLAD	10352	36783	\N	\N	\N
982806	3354	1998-09-08	PRIJEM	VKLAD	10352	36319	\N	\N	\N
982807	3354	1998-10-08	PRIJEM	VKLAD	10352	38356	\N	\N	\N
982808	3354	1998-11-08	PRIJEM	VKLAD	10352	37788	\N	\N	\N
982809	3354	1998-12-08	PRIJEM	VKLAD	15528	42790	\N	\N	\N
982825	3354	1994-04-07	VYDAJ	PREVOD NA UCET	489	26320	SIPO	IJ	6930423
982826	3354	1994-05-07	VYDAJ	PREVOD NA UCET	489	26069	SIPO	IJ	6930423
982827	3354	1994-06-07	VYDAJ	PREVOD NA UCET	489	23914	SIPO	IJ	6930423
982828	3354	1994-07-07	VYDAJ	PREVOD NA UCET	489	19307	SIPO	IJ	6930423
982829	3354	1994-08-07	VYDAJ	PREVOD NA UCET	489	24906	SIPO	IJ	6930423
982830	3354	1994-09-07	VYDAJ	PREVOD NA UCET	489	25314	SIPO	IJ	6930423
982831	3354	1994-10-07	VYDAJ	PREVOD NA UCET	489	29938	SIPO	IJ	6930423
982832	3354	1994-11-07	VYDAJ	PREVOD NA UCET	489	30482	SIPO	IJ	6930423
982833	3354	1994-12-07	VYDAJ	PREVOD NA UCET	489	27627	SIPO	IJ	6930423
982834	3354	1995-01-07	VYDAJ	PREVOD NA UCET	489	27652	SIPO	IJ	6930423
982835	3354	1995-02-07	VYDAJ	PREVOD NA UCET	489	17469	SIPO	IJ	6930423
982836	3354	1995-03-07	VYDAJ	PREVOD NA UCET	489	21160	SIPO	IJ	6930423
982837	3354	1995-04-07	VYDAJ	PREVOD NA UCET	489	23067	SIPO	IJ	6930423
982838	3354	1995-05-07	VYDAJ	PREVOD NA UCET	489	25881	SIPO	IJ	6930423
982839	3354	1995-06-07	VYDAJ	PREVOD NA UCET	489	27707	SIPO	IJ	6930423
982840	3354	1995-07-07	VYDAJ	PREVOD NA UCET	489	18310	SIPO	IJ	6930423
982841	3354	1995-08-07	VYDAJ	PREVOD NA UCET	489	19709	SIPO	IJ	6930423
982842	3354	1995-09-07	VYDAJ	PREVOD NA UCET	489	22124	SIPO	IJ	6930423
982843	3354	1995-10-07	VYDAJ	PREVOD NA UCET	489	24549	SIPO	IJ	6930423
982844	3354	1995-11-07	VYDAJ	PREVOD NA UCET	489	22476	SIPO	IJ	6930423
982845	3354	1995-12-07	VYDAJ	PREVOD NA UCET	489	22299	SIPO	IJ	6930423
982846	3354	1996-01-07	VYDAJ	PREVOD NA UCET	489	22609	SIPO	IJ	6930423
982847	3354	1996-02-07	VYDAJ	PREVOD NA UCET	489	15821	SIPO	IJ	6930423
982848	3354	1996-03-07	VYDAJ	PREVOD NA UCET	489	20820	SIPO	IJ	6930423
982849	3354	1996-04-07	VYDAJ	PREVOD NA UCET	489	19834	SIPO	IJ	6930423
982850	3354	1996-05-07	VYDAJ	PREVOD NA UCET	489	18243	SIPO	IJ	6930423
982851	3354	1996-06-07	VYDAJ	PREVOD NA UCET	489	16244	SIPO	IJ	6930423
982852	3354	1996-07-07	VYDAJ	PREVOD NA UCET	489	12222	SIPO	IJ	6930423
982853	3354	1996-08-07	VYDAJ	PREVOD NA UCET	489	13299	SIPO	IJ	6930423
982854	3354	1996-09-07	VYDAJ	PREVOD NA UCET	489	14282	SIPO	IJ	6930423
982855	3354	1996-10-07	VYDAJ	PREVOD NA UCET	489	17070	SIPO	IJ	6930423
982856	3354	1996-11-07	VYDAJ	PREVOD NA UCET	489	12059	SIPO	IJ	6930423
982857	3354	1996-12-07	VYDAJ	PREVOD NA UCET	489	11436	SIPO	IJ	6930423
982858	3354	1997-01-07	VYDAJ	PREVOD NA UCET	489	13000	SIPO	IJ	6930423
982859	3354	1997-02-07	VYDAJ	PREVOD NA UCET	489	1959	SIPO	IJ	6930423
982860	3354	1997-03-07	VYDAJ	PREVOD NA UCET	489	8501	SIPO	IJ	6930423
982861	3354	1997-04-07	VYDAJ	PREVOD NA UCET	489	12366	SIPO	IJ	6930423
982862	3354	1997-05-07	VYDAJ	PREVOD NA UCET	489	12641	SIPO	IJ	6930423
982863	3354	1997-06-07	VYDAJ	PREVOD NA UCET	489	12316	SIPO	IJ	6930423
982864	3354	1997-07-07	VYDAJ	PREVOD NA UCET	489	18484	SIPO	IJ	6930423
982865	3354	1997-08-07	VYDAJ	PREVOD NA UCET	489	20285	SIPO	IJ	6930423
982866	3354	1997-09-07	VYDAJ	PREVOD NA UCET	489	16783	SIPO	IJ	6930423
982867	3354	1997-10-07	VYDAJ	PREVOD NA UCET	489	17274	SIPO	IJ	6930423
982868	3354	1997-11-07	VYDAJ	PREVOD NA UCET	489	14357	SIPO	IJ	6930423
982869	3354	1997-12-07	VYDAJ	PREVOD NA UCET	489	13839	SIPO	IJ	6930423
982870	3354	1998-01-07	VYDAJ	PREVOD NA UCET	489	16107	SIPO	IJ	6930423
982871	3354	1998-02-07	VYDAJ	PREVOD NA UCET	489	4379	SIPO	IJ	6930423
982872	3354	1998-03-07	VYDAJ	PREVOD NA UCET	489	18347	SIPO	IJ	6930423
982873	3354	1998-04-07	VYDAJ	PREVOD NA UCET	489	24658	SIPO	IJ	6930423
982874	3354	1998-05-07	VYDAJ	PREVOD NA UCET	489	33701	SIPO	IJ	6930423
982875	3354	1998-06-07	VYDAJ	PREVOD NA UCET	489	35463	SIPO	IJ	6930423
982876	3354	1998-07-07	VYDAJ	PREVOD NA UCET	489	31096	SIPO	IJ	6930423
982877	3354	1998-08-07	VYDAJ	PREVOD NA UCET	489	26431	SIPO	IJ	6930423
982878	3354	1998-09-07	VYDAJ	PREVOD NA UCET	489	25967	SIPO	IJ	6930423
982879	3354	1998-10-07	VYDAJ	PREVOD NA UCET	489	28004	SIPO	IJ	6930423
982880	3354	1998-11-07	VYDAJ	PREVOD NA UCET	489	27436	SIPO	IJ	6930423
982881	3354	1998-12-07	VYDAJ	PREVOD NA UCET	489	27262	SIPO	IJ	6930423
982897	3354	1994-04-05	VYDAJ	PREVOD NA UCET	2704	26809	 	WX	12488460
982898	3354	1994-05-05	VYDAJ	PREVOD NA UCET	2704	26558	 	WX	12488460
982899	3354	1994-06-05	VYDAJ	PREVOD NA UCET	2704	24403	 	WX	12488460
982900	3354	1994-07-05	VYDAJ	PREVOD NA UCET	2704	19796	 	WX	12488460
982901	3354	1994-08-05	VYDAJ	PREVOD NA UCET	2704	25395	 	WX	12488460
982902	3354	1994-09-05	VYDAJ	PREVOD NA UCET	2704	25803	 	WX	12488460
982903	3354	1994-10-05	VYDAJ	PREVOD NA UCET	2704	30427	 	WX	12488460
982904	3354	1994-11-05	VYDAJ	PREVOD NA UCET	2704	30971	 	WX	12488460
982905	3354	1994-12-05	VYDAJ	PREVOD NA UCET	2704	28116	 	WX	12488460
982906	3354	1995-01-05	VYDAJ	PREVOD NA UCET	2704	28141	 	WX	12488460
982907	3354	1995-02-05	VYDAJ	PREVOD NA UCET	2704	17958	 	WX	12488460
982908	3354	1995-03-05	VYDAJ	PREVOD NA UCET	2704	21649	 	WX	12488460
982909	3354	1995-04-05	VYDAJ	PREVOD NA UCET	2704	23556	 	WX	12488460
982910	3354	1995-05-05	VYDAJ	PREVOD NA UCET	2704	26370	 	WX	12488460
982911	3354	1995-06-05	VYDAJ	PREVOD NA UCET	2704	28196	 	WX	12488460
982912	3354	1995-07-05	VYDAJ	PREVOD NA UCET	2704	18799	 	WX	12488460
982913	3354	1995-08-05	VYDAJ	PREVOD NA UCET	2704	20198	 	WX	12488460
982914	3354	1995-09-05	VYDAJ	PREVOD NA UCET	2704	22613	 	WX	12488460
982915	3354	1995-10-05	VYDAJ	PREVOD NA UCET	2704	25038	 	WX	12488460
982916	3354	1995-11-05	VYDAJ	PREVOD NA UCET	2704	22965	 	WX	12488460
982917	3354	1995-12-05	VYDAJ	PREVOD NA UCET	2704	22788	 	WX	12488460
982918	3354	1996-01-05	VYDAJ	PREVOD NA UCET	2704	23098	 	WX	12488460
982919	3354	1996-02-05	VYDAJ	PREVOD NA UCET	2704	16310	 	WX	12488460
982920	3354	1996-03-05	VYDAJ	PREVOD NA UCET	2704	21309	 	WX	12488460
982921	3354	1996-04-05	VYDAJ	PREVOD NA UCET	2704	20323	 	WX	12488460
982922	3354	1996-05-05	VYDAJ	PREVOD NA UCET	2704	18732	 	WX	12488460
982923	3354	1996-06-05	VYDAJ	PREVOD NA UCET	2704	16733	 	WX	12488460
982924	3354	1996-07-05	VYDAJ	PREVOD NA UCET	2704	12711	 	WX	12488460
982925	3354	1996-08-05	VYDAJ	PREVOD NA UCET	2704	13788	 	WX	12488460
982926	3354	1996-09-05	VYDAJ	PREVOD NA UCET	2704	14771	 	WX	12488460
982927	3354	1996-10-05	VYDAJ	PREVOD NA UCET	2704	17559	 	WX	12488460
982928	3354	1996-11-05	VYDAJ	PREVOD NA UCET	2704	12548	 	WX	12488460
982929	3354	1996-12-05	VYDAJ	PREVOD NA UCET	2704	14525	 	WX	12488460
982930	3354	1997-01-05	VYDAJ	PREVOD NA UCET	2704	13789	 	WX	12488460
982931	3354	1997-02-05	VYDAJ	PREVOD NA UCET	2704	2448	 	WX	12488460
982932	3354	1997-03-05	VYDAJ	PREVOD NA UCET	2704	8990	 	WX	12488460
982933	3354	1997-04-05	VYDAJ	PREVOD NA UCET	2704	12855	 	WX	12488460
982934	3354	1997-05-05	VYDAJ	PREVOD NA UCET	2704	13130	 	WX	12488460
982935	3354	1997-06-05	VYDAJ	PREVOD NA UCET	2704	13105	 	WX	12488460
982936	3354	1997-07-05	VYDAJ	PREVOD NA UCET	2704	18973	 	WX	12488460
982937	3354	1997-08-05	VYDAJ	PREVOD NA UCET	2704	20774	 	WX	12488460
982938	3354	1997-09-05	VYDAJ	PREVOD NA UCET	2704	17272	 	WX	12488460
982939	3354	1997-10-05	VYDAJ	PREVOD NA UCET	2704	17763	 	WX	12488460
982940	3354	1997-11-05	VYDAJ	PREVOD NA UCET	2704	14846	 	WX	12488460
982941	3354	1997-12-05	VYDAJ	PREVOD NA UCET	2704	14328	 	WX	12488460
982942	3354	1998-01-05	VYDAJ	PREVOD NA UCET	2704	16596	 	WX	12488460
982944	3354	1998-03-05	VYDAJ	PREVOD NA UCET	2704	18836	 	WX	12488460
982945	3354	1998-04-05	VYDAJ	PREVOD NA UCET	2704	25447	 	WX	12488460
982946	3354	1998-05-05	VYDAJ	PREVOD NA UCET	2704	34190	 	WX	12488460
982947	3354	1998-06-05	VYDAJ	PREVOD NA UCET	2704	35952	 	WX	12488460
982948	3354	1998-07-05	VYDAJ	PREVOD NA UCET	2704	31585	 	WX	12488460
982949	3354	1998-08-05	VYDAJ	PREVOD NA UCET	2704	26920	 	WX	12488460
982950	3354	1998-09-05	VYDAJ	PREVOD NA UCET	2704	26456	 	WX	12488460
982951	3354	1998-10-05	VYDAJ	PREVOD NA UCET	2704	28493	 	WX	12488460
982952	3354	1998-11-05	VYDAJ	PREVOD NA UCET	2704	27925	 	WX	12488460
982953	3354	1998-12-05	VYDAJ	PREVOD NA UCET	2704	27751	 	WX	12488460
982968	3354	1994-03-10	VYDAJ	PREVOD NA UCET	1540	39566	POJISTNE	KL	6017333
982969	3354	1994-04-10	VYDAJ	PREVOD NA UCET	1540	35132	POJISTNE	KL	6017333
982970	3354	1994-05-10	VYDAJ	PREVOD NA UCET	1540	34681	POJISTNE	KL	6017333
982971	3354	1994-06-10	VYDAJ	PREVOD NA UCET	1540	37902	POJISTNE	KL	6017333
982972	3354	1994-07-10	VYDAJ	PREVOD NA UCET	1540	28119	POJISTNE	KL	6017333
982973	3354	1994-08-10	VYDAJ	PREVOD NA UCET	1540	29018	POJISTNE	KL	6017333
982974	3354	1994-09-10	VYDAJ	PREVOD NA UCET	1540	34126	POJISTNE	KL	6017333
982975	3354	1994-10-10	VYDAJ	PREVOD NA UCET	1540	38750	POJISTNE	KL	6017333
982976	3354	1994-11-10	VYDAJ	PREVOD NA UCET	1540	39294	POJISTNE	KL	6017333
982977	3354	1994-12-10	VYDAJ	PREVOD NA UCET	1540	41615	POJISTNE	KL	6017333
982978	3354	1995-01-10	VYDAJ	PREVOD NA UCET	1540	36464	POJISTNE	KL	6017333
982979	3354	1995-02-10	VYDAJ	PREVOD NA UCET	1540	26281	POJISTNE	KL	6017333
982980	3354	1995-03-10	VYDAJ	PREVOD NA UCET	1540	29972	POJISTNE	KL	6017333
982981	3354	1995-04-10	VYDAJ	PREVOD NA UCET	1540	31879	POJISTNE	KL	6017333
982982	3354	1995-05-10	VYDAJ	PREVOD NA UCET	1540	34693	POJISTNE	KL	6017333
982983	3354	1995-06-10	VYDAJ	PREVOD NA UCET	1540	41695	POJISTNE	KL	6017333
982984	3354	1995-07-10	VYDAJ	PREVOD NA UCET	1540	27122	POJISTNE	KL	6017333
982985	3354	1995-08-10	VYDAJ	PREVOD NA UCET	1540	28521	POJISTNE	KL	6017333
982986	3354	1995-09-10	VYDAJ	PREVOD NA UCET	1540	30936	POJISTNE	KL	6017333
982987	3354	1995-10-10	VYDAJ	PREVOD NA UCET	1540	33361	POJISTNE	KL	6017333
982988	3354	1995-11-10	VYDAJ	PREVOD NA UCET	1540	31288	POJISTNE	KL	6017333
982989	3354	1995-12-10	VYDAJ	PREVOD NA UCET	1540	36287	POJISTNE	KL	6017333
982990	3354	1996-01-10	VYDAJ	PREVOD NA UCET	1540	30921	POJISTNE	KL	6017333
982991	3354	1996-02-10	VYDAJ	PREVOD NA UCET	1540	24633	POJISTNE	KL	6017333
982992	3354	1996-03-10	VYDAJ	PREVOD NA UCET	1540	29632	POJISTNE	KL	6017333
982993	3354	1996-04-10	VYDAJ	PREVOD NA UCET	1540	28646	POJISTNE	KL	6017333
982994	3354	1996-05-10	VYDAJ	PREVOD NA UCET	1540	26655	POJISTNE	KL	6017333
982995	3354	1996-06-10	VYDAJ	PREVOD NA UCET	1540	30232	POJISTNE	KL	6017333
982996	3354	1996-07-10	VYDAJ	PREVOD NA UCET	1540	21034	POJISTNE	KL	6017333
982997	3354	1996-08-10	VYDAJ	PREVOD NA UCET	1540	22111	POJISTNE	KL	6017333
982998	3354	1996-09-10	VYDAJ	PREVOD NA UCET	1540	23094	POJISTNE	KL	6017333
982999	3354	1996-10-10	VYDAJ	PREVOD NA UCET	1540	25882	POJISTNE	KL	6017333
983000	3354	1996-11-10	VYDAJ	PREVOD NA UCET	1540	20871	POJISTNE	KL	6017333
983001	3354	1996-12-10	VYDAJ	PREVOD NA UCET	1540	25424	POJISTNE	KL	6017333
983002	3354	1997-01-10	VYDAJ	PREVOD NA UCET	1540	18012	POJISTNE	KL	6017333
983003	3354	1997-02-10	VYDAJ	PREVOD NA UCET	1540	10771	POJISTNE	KL	6017333
983004	3354	1997-03-10	VYDAJ	PREVOD NA UCET	1540	17113	POJISTNE	KL	6017333
983005	3354	1997-04-10	VYDAJ	PREVOD NA UCET	1540	21178	POJISTNE	KL	6017333
983006	3354	1997-05-10	VYDAJ	PREVOD NA UCET	1540	21453	POJISTNE	KL	6017333
983007	3354	1997-06-10	VYDAJ	PREVOD NA UCET	1540	26304	POJISTNE	KL	6017333
983008	3354	1997-07-10	VYDAJ	PREVOD NA UCET	1540	26996	POJISTNE	KL	6017333
983009	3354	1997-08-10	VYDAJ	PREVOD NA UCET	1540	29097	POJISTNE	KL	6017333
983010	3354	1997-09-10	VYDAJ	PREVOD NA UCET	1540	25595	POJISTNE	KL	6017333
983011	3354	1997-10-10	VYDAJ	PREVOD NA UCET	1540	26086	POJISTNE	KL	6017333
983012	3354	1997-11-10	VYDAJ	PREVOD NA UCET	1540	23169	POJISTNE	KL	6017333
983013	3354	1997-12-10	VYDAJ	PREVOD NA UCET	1540	25827	POJISTNE	KL	6017333
983014	3354	1998-01-10	VYDAJ	PREVOD NA UCET	1540	23119	POJISTNE	KL	6017333
983015	3354	1998-02-10	VYDAJ	PREVOD NA UCET	1540	13191	POJISTNE	KL	6017333
983016	3354	1998-03-10	VYDAJ	PREVOD NA UCET	1540	27159	POJISTNE	KL	6017333
983017	3354	1998-04-10	VYDAJ	PREVOD NA UCET	1540	33470	POJISTNE	KL	6017333
983018	3354	1998-05-10	VYDAJ	PREVOD NA UCET	1540	42113	POJISTNE	KL	6017333
983019	3354	1998-06-10	VYDAJ	PREVOD NA UCET	1540	49451	POJISTNE	KL	6017333
983020	3354	1998-07-10	VYDAJ	PREVOD NA UCET	1540	39908	POJISTNE	KL	6017333
983021	3354	1998-08-10	VYDAJ	PREVOD NA UCET	1540	35243	POJISTNE	KL	6017333
983022	3354	1998-09-10	VYDAJ	PREVOD NA UCET	1540	34779	POJISTNE	KL	6017333
983023	3354	1998-10-10	VYDAJ	PREVOD NA UCET	1540	30816	POJISTNE	KL	6017333
983024	3354	1998-11-10	VYDAJ	PREVOD NA UCET	1540	30748	POJISTNE	KL	6017333
983025	3354	1998-12-10	VYDAJ	PREVOD NA UCET	1540	33650	POJISTNE	KL	6017333
983040	3354	1994-03-14	VYDAJ	VYBER	200	39366	\N	\N	0
983041	3354	1994-04-13	VYDAJ	VYBER	200	34932	\N	\N	0
983042	3354	1994-05-09	VYDAJ	VYBER	200	36221	\N	\N	0
983043	3354	1994-06-12	VYDAJ	VYBER	300	37602	\N	\N	0
983044	3354	1994-07-12	VYDAJ	PREVOD NA UCET	415	27704	UVER	GH	34654396
983045	3354	1994-08-12	VYDAJ	PREVOD NA UCET	415	28603	UVER	GH	34654396
983046	3354	1994-09-12	VYDAJ	PREVOD NA UCET	415	33711	UVER	GH	34654396
983047	3354	1994-10-12	VYDAJ	PREVOD NA UCET	415	38335	UVER	GH	34654396
983048	3354	1994-11-12	VYDAJ	PREVOD NA UCET	415	38879	UVER	GH	34654396
983049	3354	1994-12-12	VYDAJ	PREVOD NA UCET	415	41200	UVER	GH	34654396
983050	3354	1995-01-12	VYDAJ	PREVOD NA UCET	415	33549	UVER	GH	34654396
983051	3354	1995-02-12	VYDAJ	PREVOD NA UCET	415	25866	UVER	GH	34654396
983052	3354	1995-03-12	VYDAJ	PREVOD NA UCET	415	29557	UVER	GH	34654396
983053	3354	1995-04-12	VYDAJ	PREVOD NA UCET	415	31464	UVER	GH	34654396
983054	3354	1995-05-12	VYDAJ	PREVOD NA UCET	415	34278	UVER	GH	34654396
983055	3354	1995-06-12	VYDAJ	PREVOD NA UCET	415	41280	UVER	GH	34654396
983056	3354	1995-07-14	VYDAJ	VYBER	300	26822	\N	\N	0
983057	3354	1995-08-15	VYDAJ	VYBER	300	28221	\N	\N	0
983058	3354	1995-09-22	VYDAJ	VYBER	200	30736	\N	\N	0
983059	3354	1995-10-22	VYDAJ	VYBER	200	30161	\N	\N	0
983060	3354	1995-11-19	VYDAJ	VYBER	300	30988	\N	\N	0
983061	3354	1995-12-25	VYDAJ	VYBER	400	33987	\N	\N	0
983062	3354	1996-01-01	VYDAJ	VYBER	200	27602	\N	\N	0
983063	3354	1996-02-12	VYDAJ	VYBER	200	24433	\N	\N	0
983064	3354	1996-02-26	VYDAJ	VYBER	500	23933	\N	\N	0
983065	3354	1996-04-23	VYDAJ	VYBER	300	21346	\N	\N	0
983066	3354	1996-05-10	VYDAJ	VYBER	400	28195	\N	\N	0
983067	3354	1996-05-30	VYDAJ	VYBER	400	19355	\N	\N	0
983068	3354	1996-07-24	VYDAJ	VYBER	200	16434	\N	\N	0
983069	3354	1996-08-24	VYDAJ	VYBER	200	17711	\N	\N	0
983070	3354	1996-09-02	VYDAJ	VYBER	300	17475	\N	\N	0
983071	3354	1996-10-25	VYDAJ	VYBER	300	15182	\N	\N	0
983072	3354	1996-11-13	VYDAJ	VYBER	200	20671	\N	\N	0
983073	3354	1996-12-18	VYDAJ	VYBER	300	25124	\N	\N	0
983074	3354	1997-01-06	VYDAJ	VYBER	300	13489	\N	\N	0
983075	3354	1997-02-02	VYDAJ	VYBER	300	5152	\N	\N	0
983076	3354	1997-03-07	VYDAJ	VYBER	200	8301	\N	\N	0
983077	3354	1997-04-21	VYDAJ	VYBER	300	15778	\N	\N	0
983078	3354	1997-05-13	VYDAJ	VYBER	300	21153	\N	\N	0
983079	3354	1997-06-06	VYDAJ	VYBER	300	12805	\N	\N	0
983080	3354	1997-07-09	VYDAJ	VYBER	300	28536	\N	\N	0
983081	3354	1997-08-12	VYDAJ	VYBER	300	28797	\N	\N	0
983082	3354	1997-09-01	VYDAJ	VYBER	300	19976	\N	\N	0
983083	3354	1997-10-04	VYDAJ	VYBER	200	20467	\N	\N	0
983084	3354	1997-11-17	VYDAJ	VYBER	300	18969	\N	\N	0
983085	3354	1997-12-13	VYDAJ	VYBER	300	21527	\N	\N	0
983086	3354	1997-12-29	VYDAJ	VYBER	300	22027	\N	\N	0
983087	3354	1998-01-30	VYDAJ	VYBER	300	4819	\N	\N	0
983088	3354	1998-03-14	VYDAJ	VYBER	300	28059	\N	\N	0
983089	3354	1998-04-07	VYDAJ	VYBER	300	25147	\N	\N	0
983090	3354	1998-05-10	VYDAJ	VYBER	400	43653	\N	\N	0
983091	3354	1998-06-24	VYDAJ	VYBER	300	34351	\N	\N	0
983092	3354	1998-07-01	VYDAJ	VYBER	200	34289	\N	\N	0
983093	3354	1998-08-19	VYDAJ	VYBER	200	33443	\N	\N	0
983094	3354	1998-09-29	VYDAJ	VYBER	300	31079	\N	\N	0
983095	3354	1998-10-16	VYDAJ	VYBER	300	30516	\N	\N	0
983096	3354	1998-11-14	VYDAJ	VYBER	400	30348	\N	\N	0
983097	3354	1998-12-16	VYDAJ	VYBER	300	33350	\N	\N	0
983099	3354	1994-06-15	VYDAJ	VYBER	16000	21602	\N	\N	\N
983100	3354	1995-06-22	VYDAJ	VYBER	19300	21980	\N	\N	\N
983101	3354	1996-06-25	VYDAJ	VYBER	7300	15332	\N	\N	\N
983103	3354	1998-06-13	VYDAJ	VYBER	6700	34651	\N	\N	\N
983106	3354	1995-01-30	VYDAJ	VYBER	8600	20549	\N	\N	\N
983107	3354	1996-01-25	VYDAJ	VYBER	3400	21421	\N	\N	\N
983108	3354	1997-01-14	VYDAJ	VYBER	7300	10712	\N	\N	\N
983109	3354	1998-01-19	VYDAJ	VYBER	9600	12119	\N	\N	\N
983111	3354	1994-12-26	VYDAJ	VYBER	700	40500	\N	\N	\N
983112	3354	1995-12-15	VYDAJ	VYBER	1900	34387	\N	\N	\N
983113	3354	1996-12-07	VYDAJ	VYBER	2600	11925	\N	\N	\N
983114	3354	1997-12-10	VYDAJ	VYBER	2000	27367	\N	\N	\N
983115	3354	1998-12-17	VYDAJ	VYBER	2800	30550	\N	\N	\N
983128	3354	1995-01-02	VYDAJ	VYBER	2000	31545	\N	\N	\N
983129	3354	1995-01-11	VYDAJ	VYBER	2500	33964	\N	\N	\N
983130	3354	1995-01-26	VYDAJ	VYBER	1400	26249	\N	\N	\N
983131	3354	1995-01-25	VYDAJ	VYBER	1500	29149	\N	\N	\N
983132	3354	1995-01-19	VYDAJ	VYBER	2000	30649	\N	\N	\N
983133	3354	1995-01-03	VYDAJ	VYBER	700	30845	\N	\N	\N
983134	3354	1996-01-26	VYDAJ	VYBER	600	18921	\N	\N	\N
983135	3354	1996-01-16	VYDAJ	VYBER	2600	28321	\N	\N	\N
983136	3354	1996-01-25	VYDAJ	VYBER	1900	19521	\N	\N	\N
983137	3354	1996-01-01	VYDAJ	VYBER	1800	25802	\N	\N	\N
983138	3354	1996-01-22	VYDAJ	VYBER	2300	26021	\N	\N	\N
983139	3354	1996-01-08	VYDAJ	VYBER	500	32461	\N	\N	\N
983140	3354	1997-01-10	VYDAJ	VYBER	1700	21652	\N	\N	\N
983141	3354	1997-01-10	VYDAJ	VYBER	2100	19552	\N	\N	\N
983142	3354	1997-01-18	VYDAJ	VYBER	1800	14112	\N	\N	\N
983143	3354	1997-01-25	VYDAJ	VYBER	600	9312	\N	\N	\N
983144	3354	1997-01-24	VYDAJ	VYBER	1300	9912	\N	\N	\N
983145	3354	1997-01-21	VYDAJ	VYBER	2900	11212	\N	\N	\N
983146	3354	1998-01-22	VYDAJ	VYBER	2700	9419	\N	\N	\N
983147	3354	1998-01-28	VYDAJ	VYBER	1900	5119	\N	\N	\N
983148	3354	1998-01-09	VYDAJ	VYBER	1800	24659	\N	\N	\N
983149	3354	1998-01-27	VYDAJ	VYBER	2400	7019	\N	\N	\N
983150	3354	1998-01-05	VYDAJ	VYBER	2800	19300	\N	\N	\N
983151	3354	1998-01-16	VYDAJ	VYBER	700	21719	\N	\N	\N
983159	3354	1994-03-18	VYDAJ	VYBER	1900	37466	\N	\N	\N
983160	3354	1994-08-09	VYDAJ	VYBER	4700	30558	\N	\N	\N
983162	3354	1994-05-30	VYDAJ	VYBER	3300	31381	\N	\N	\N
983163	3354	1995-01-25	VYDAJ	VYBER	1500	27649	\N	\N	\N
983164	3354	1995-07-26	VYDAJ	VYBER	900	18022	\N	\N	\N
983165	3354	1995-07-16	VYDAJ	VYBER	4100	22722	\N	\N	\N
983166	3354	1995-01-16	VYDAJ	VYBER	900	32649	\N	\N	\N
983167	3354	1995-07-24	VYDAJ	VYBER	3800	18922	\N	\N	\N
983168	3354	1995-10-16	VYDAJ	VYBER	3000	30361	\N	\N	\N
983169	3354	1996-11-17	VYDAJ	VYBER	1800	18871	\N	\N	\N
983170	3354	1996-02-24	VYDAJ	VYBER	600	24433	\N	\N	\N
983171	3354	1996-02-21	VYDAJ	VYBER	800	23633	\N	\N	\N
983172	3354	1996-06-21	VYDAJ	VYBER	2400	27832	\N	\N	\N
983173	3354	1996-10-21	VYDAJ	VYBER	3800	15482	\N	\N	\N
983174	3354	1996-07-15	VYDAJ	VYBER	2800	18234	\N	\N	\N
983175	3354	1997-12-12	VYDAJ	VYBER	4000	21827	\N	\N	\N
983176	3354	1997-01-30	VYDAJ	VYBER	3900	5412	\N	\N	\N
983177	3354	1997-10-13	VYDAJ	VYBER	2400	23686	\N	\N	\N
983178	3354	1997-12-03	VYDAJ	VYBER	2000	17032	\N	\N	\N
983179	3354	1997-01-04	VYDAJ	VYBER	1900	16493	\N	\N	\N
983180	3354	1998-08-31	VYDAJ	VYBER	4400	29175	\N	\N	\N
983181	3354	1998-10-08	VYDAJ	VYBER	1400	36956	\N	\N	\N
983182	3354	1998-07-21	VYDAJ	VYBER	3300	29508	\N	\N	\N
983198	3354	1994-03-31	VYDAJ	VYBER	15	37613	SLUZBY	\N	\N
983199	3354	1994-04-30	VYDAJ	VYBER	15	35062	SLUZBY	\N	\N
983200	3354	1994-05-31	VYDAJ	VYBER	15	31507	SLUZBY	\N	\N
983201	3354	1994-06-30	VYDAJ	VYBER	15	21700	SLUZBY	\N	\N
983202	3354	1994-07-31	VYDAJ	VYBER	15	27799	SLUZBY	\N	\N
983203	3354	1994-08-31	VYDAJ	VYBER	15	28707	SLUZBY	\N	\N
983204	3354	1994-09-30	VYDAJ	VYBER	15	33831	SLUZBY	\N	\N
983205	3354	1994-10-31	VYDAJ	VYBER	15	38475	SLUZBY	\N	\N
983206	3354	1994-11-30	VYDAJ	VYBER	15	39020	SLUZBY	\N	\N
983207	3354	1994-12-31	VYDAJ	VYBER	15	33545	SLUZBY	\N	\N
983208	3354	1995-01-31	VYDAJ	VYBER	15	20662	SLUZBY	\N	\N
983209	3354	1995-02-28	VYDAJ	VYBER	15	25953	SLUZBY	\N	\N
983210	3354	1995-03-31	VYDAJ	VYBER	15	26260	SLUZBY	\N	\N
983211	3354	1995-04-30	VYDAJ	VYBER	15	29074	SLUZBY	\N	\N
983212	3354	1995-05-31	VYDAJ	VYBER	15	30900	SLUZBY	\N	\N
983213	3354	1995-06-30	VYDAJ	VYBER	15	21503	SLUZBY	\N	\N
983214	3354	1995-07-31	VYDAJ	VYBER	15	22902	SLUZBY	\N	\N
983215	3354	1995-08-31	VYDAJ	VYBER	15	25317	SLUZBY	\N	\N
983216	3354	1995-09-30	VYDAJ	VYBER	15	27742	SLUZBY	\N	\N
983217	3354	1995-10-31	VYDAJ	VYBER	15	25669	SLUZBY	\N	\N
983218	3354	1995-11-30	VYDAJ	VYBER	15	25492	SLUZBY	\N	\N
983219	3354	1995-12-31	VYDAJ	VYBER	15	27802	SLUZBY	\N	\N
983220	3354	1996-01-31	VYDAJ	VYBER	15	19014	SLUZBY	\N	\N
983221	3354	1996-02-29	VYDAJ	VYBER	15	24013	SLUZBY	\N	\N
983222	3354	1996-03-31	VYDAJ	VYBER	15	23027	SLUZBY	\N	\N
983223	3354	1996-04-30	VYDAJ	VYBER	15	21436	SLUZBY	\N	\N
983224	3354	1996-05-31	VYDAJ	VYBER	15	19437	SLUZBY	\N	\N
983225	3354	1996-06-30	VYDAJ	VYBER	15	15415	SLUZBY	\N	\N
983226	3354	1996-07-31	VYDAJ	VYBER	15	16492	SLUZBY	\N	\N
983227	3354	1996-08-31	VYDAJ	VYBER	15	17775	SLUZBY	\N	\N
983228	3354	1996-09-30	VYDAJ	VYBER	15	20263	SLUZBY	\N	\N
983229	3354	1996-10-31	VYDAJ	VYBER	15	15252	SLUZBY	\N	\N
983230	3354	1996-11-30	VYDAJ	VYBER	15	17229	SLUZBY	\N	\N
983231	3354	1996-12-31	VYDAJ	VYBER	15	18393	SLUZBY	\N	\N
983232	3354	1997-01-31	VYDAJ	VYBER	15	5452	SLUZBY	\N	\N
983233	3354	1997-02-28	VYDAJ	VYBER	15	11694	SLUZBY	\N	\N
983234	3354	1997-03-31	VYDAJ	VYBER	15	15559	SLUZBY	\N	\N
983235	3354	1997-04-30	VYDAJ	VYBER	15	15834	SLUZBY	\N	\N
983236	3354	1997-05-31	VYDAJ	VYBER	15	15809	SLUZBY	\N	\N
983237	3354	1997-06-30	VYDAJ	VYBER	15	21677	SLUZBY	\N	\N
983238	3354	1997-07-31	VYDAJ	VYBER	15	23478	SLUZBY	\N	\N
983239	3354	1997-08-31	VYDAJ	VYBER	15	20276	SLUZBY	\N	\N
983240	3354	1997-09-30	VYDAJ	VYBER	15	20667	SLUZBY	\N	\N
983241	3354	1997-10-31	VYDAJ	VYBER	15	17550	SLUZBY	\N	\N
983242	3354	1997-11-30	VYDAJ	VYBER	15	19032	SLUZBY	\N	\N
983243	3354	1997-12-31	VYDAJ	VYBER	15	22100	SLUZBY	\N	\N
983244	3354	1998-01-31	VYDAJ	VYBER	15	4868	SLUZBY	\N	\N
983245	3354	1998-02-28	VYDAJ	VYBER	15	21540	SLUZBY	\N	\N
983246	3354	1998-03-31	VYDAJ	VYBER	15	28151	SLUZBY	\N	\N
983247	3354	1998-04-30	VYDAJ	VYBER	15	36894	SLUZBY	\N	\N
983248	3354	1998-05-31	VYDAJ	VYBER	15	38656	SLUZBY	\N	\N
983249	3354	1998-06-30	VYDAJ	VYBER	15	34489	SLUZBY	\N	\N
983250	3354	1998-07-31	VYDAJ	VYBER	15	29624	SLUZBY	\N	\N
983251	3354	1998-08-31	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
983252	3354	1998-09-30	VYDAJ	VYBER	15	31197	SLUZBY	\N	\N
983253	3354	1998-10-31	VYDAJ	VYBER	15	30629	SLUZBY	\N	\N
983254	3354	1998-11-30	VYDAJ	VYBER	15	30455	SLUZBY	\N	\N
983255	3354	1993-12-05	PRIJEM	VKLAD	5900	17088	\N	\N	\N
983256	3354	1994-01-04	VYDAJ	VYBER	4900	27831	\N	\N	\N
983257	3354	1994-02-03	VYDAJ	VYBER	8600	29737	\N	\N	\N
983258	3354	1994-03-05	VYDAJ	VYBER	9500	30754	\N	\N	\N
983259	3354	1994-04-04	VYDAJ	VYBER	8100	29513	\N	\N	\N
983260	3354	1994-05-04	VYDAJ	VYBER	5800	29262	\N	\N	\N
983261	3354	1994-06-03	VYDAJ	VYBER	4400	27107	\N	\N	\N
983262	3354	1994-07-03	PRIJEM	VKLAD	800	22500	\N	\N	\N
983263	3354	1994-08-02	PRIJEM	VKLAD	300	28099	\N	\N	\N
983264	3354	1994-09-01	VYDAJ	VYBER	200	28507	\N	\N	\N
983265	3354	1994-10-01	VYDAJ	VYBER	700	33131	\N	\N	\N
983266	3354	1994-10-31	VYDAJ	VYBER	4800	33675	\N	\N	\N
983267	3354	1994-11-30	VYDAJ	VYBER	8200	30820	\N	\N	\N
983268	3354	1994-12-30	VYDAJ	VYBER	7100	33400	\N	\N	\N
983269	3354	1995-01-29	PRIJEM	VKLAD	2900	29149	\N	\N	\N
983270	3354	1995-02-28	VYDAJ	VYBER	1600	24353	\N	\N	\N
983271	3354	1995-03-30	VYDAJ	VYBER	3400	26157	\N	\N	\N
983272	3354	1995-04-29	VYDAJ	VYBER	2500	28964	\N	\N	\N
983273	3354	1995-05-29	VYDAJ	VYBER	3500	30778	\N	\N	\N
983274	3354	1995-06-28	VYDAJ	VYBER	600	21380	\N	\N	\N
983275	3354	1995-07-28	PRIJEM	VKLAD	4800	22822	\N	\N	\N
983276	3354	1995-08-27	VYDAJ	VYBER	3000	25221	\N	\N	\N
983277	3354	1995-09-26	VYDAJ	VYBER	3100	27636	\N	\N	\N
983278	3354	1995-10-26	VYDAJ	VYBER	4600	25561	\N	\N	\N
983279	3354	1995-11-25	VYDAJ	VYBER	5600	25388	\N	\N	\N
983280	3354	1995-12-25	VYDAJ	VYBER	6300	27687	\N	\N	\N
983281	3354	1996-01-24	VYDAJ	VYBER	1200	24821	\N	\N	\N
983282	3354	1996-02-23	PRIJEM	VKLAD	1400	25033	\N	\N	\N
983283	3354	1996-03-24	VYDAJ	VYBER	6700	22932	\N	\N	\N
983284	3354	1996-04-23	VYDAJ	VYBER	7000	21646	\N	\N	\N
983285	3354	1996-05-23	VYDAJ	VYBER	6900	19755	\N	\N	\N
983286	3354	1996-06-22	VYDAJ	VYBER	5200	22632	\N	\N	\N
983287	3354	1996-07-22	VYDAJ	VYBER	1600	16634	\N	\N	\N
983288	3354	1996-08-21	VYDAJ	VYBER	4200	17911	\N	\N	\N
983289	3354	1996-09-20	VYDAJ	VYBER	2900	20194	\N	\N	\N
983290	3354	1996-10-20	VYDAJ	VYBER	6600	19282	\N	\N	\N
983291	3354	1996-11-19	VYDAJ	VYBER	1700	17171	\N	\N	\N
983292	3354	1996-12-19	VYDAJ	VYBER	6800	18324	\N	\N	\N
983293	3354	1997-01-18	PRIJEM	VKLAD	5200	15912	\N	\N	\N
983294	3354	1997-02-17	PRIJEM	VKLAD	900	11671	\N	\N	\N
983295	3354	1997-03-19	VYDAJ	VYBER	1600	15513	\N	\N	\N
983296	3354	1997-04-18	VYDAJ	VYBER	5100	16078	\N	\N	\N
983297	3354	1997-05-18	VYDAJ	VYBER	5400	15753	\N	\N	\N
983298	3354	1997-06-17	VYDAJ	VYBER	4700	21604	\N	\N	\N
983299	3354	1997-07-17	VYDAJ	VYBER	3600	23396	\N	\N	\N
983300	3354	1997-08-16	VYDAJ	VYBER	8600	20197	\N	\N	\N
983301	3354	1997-09-15	VYDAJ	VYBER	5000	20595	\N	\N	\N
983302	3354	1997-10-15	VYDAJ	VYBER	6200	17486	\N	\N	\N
983303	3354	1997-11-14	VYDAJ	VYBER	3900	19269	\N	\N	\N
983304	3354	1997-12-14	PRIJEM	VKLAD	800	22327	\N	\N	\N
983305	3354	1998-01-13	VYDAJ	VYBER	700	22419	\N	\N	\N
983306	3354	1998-02-12	PRIJEM	VKLAD	8300	21491	\N	\N	\N
983307	3354	1998-03-14	PRIJEM	VKLAD	1200	28359	\N	\N	\N
983308	3354	1998-04-13	PRIJEM	VKLAD	3300	36770	\N	\N	\N
983309	3354	1998-05-13	VYDAJ	VYBER	3600	38513	\N	\N	\N
983310	3354	1998-06-12	VYDAJ	VYBER	8100	41351	\N	\N	\N
983311	3354	1998-07-12	VYDAJ	VYBER	7100	32808	\N	\N	\N
983312	3354	1998-08-11	VYDAJ	VYBER	1600	33643	\N	\N	\N
983313	3354	1998-09-10	VYDAJ	VYBER	3400	31379	\N	\N	\N
983314	3354	1998-10-10	VYDAJ	VYBER	4600	32356	\N	\N	\N
983315	3354	1998-11-09	VYDAJ	VYBER	5500	32288	\N	\N	\N
983316	3354	1998-12-09	VYDAJ	VYBER	7600	35190	\N	\N	\N
983383	3355	1994-02-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
983386	3355	1994-03-09	PRIJEM	PREVOD Z UCTU	5768	6868	DUCHOD	OP	11943632
983387	3355	1994-04-09	PRIJEM	PREVOD Z UCTU	5768	12636	DUCHOD	OP	11943632
983388	3355	1994-05-09	PRIJEM	PREVOD Z UCTU	5768	18404	DUCHOD	OP	11943632
983389	3355	1994-06-09	PRIJEM	PREVOD Z UCTU	5768	24172	DUCHOD	OP	11943632
983390	3355	1994-07-09	PRIJEM	PREVOD Z UCTU	5768	29940	DUCHOD	OP	11943632
983391	3355	1994-08-09	PRIJEM	PREVOD Z UCTU	5768	33192	DUCHOD	OP	11943632
983392	3355	1994-09-09	PRIJEM	PREVOD Z UCTU	5768	32289	DUCHOD	OP	11943632
983393	3355	1994-10-09	PRIJEM	PREVOD Z UCTU	5768	33184	DUCHOD	OP	11943632
983394	3355	1994-11-09	PRIJEM	PREVOD Z UCTU	5768	31422	DUCHOD	OP	11943632
983395	3355	1994-12-09	PRIJEM	PREVOD Z UCTU	5768	34521	DUCHOD	OP	11943632
983396	3355	1995-01-09	PRIJEM	PREVOD Z UCTU	5768	32262	DUCHOD	OP	11943632
983397	3355	1995-02-09	PRIJEM	PREVOD Z UCTU	5768	29396	DUCHOD	OP	11943632
983398	3355	1995-03-09	PRIJEM	PREVOD Z UCTU	5768	29897	DUCHOD	OP	11943632
983399	3355	1995-04-09	PRIJEM	PREVOD Z UCTU	5768	31783	DUCHOD	OP	11943632
983400	3355	1995-05-09	PRIJEM	PREVOD Z UCTU	5768	29836	DUCHOD	OP	11943632
983401	3355	1995-06-09	PRIJEM	PREVOD Z UCTU	5768	31929	DUCHOD	OP	11943632
983402	3355	1995-07-09	PRIJEM	PREVOD Z UCTU	5768	28126	DUCHOD	OP	11943632
983403	3355	1995-08-09	PRIJEM	PREVOD Z UCTU	5768	30124	DUCHOD	OP	11943632
983404	3355	1995-09-09	PRIJEM	PREVOD Z UCTU	5768	33412	DUCHOD	OP	11943632
983405	3355	1995-10-09	PRIJEM	PREVOD Z UCTU	5768	36113	DUCHOD	OP	11943632
983406	3355	1995-11-09	PRIJEM	PREVOD Z UCTU	5768	38625	DUCHOD	OP	11943632
983407	3355	1995-12-09	PRIJEM	PREVOD Z UCTU	5768	41948	DUCHOD	OP	11943632
983408	3355	1996-01-09	PRIJEM	PREVOD Z UCTU	5768	36211	DUCHOD	OP	11943632
983409	3355	1996-02-09	PRIJEM	PREVOD Z UCTU	5768	34330	DUCHOD	OP	11943632
983410	3355	1996-03-09	PRIJEM	PREVOD Z UCTU	5768	37640	DUCHOD	OP	11943632
983411	3355	1996-04-09	PRIJEM	PREVOD Z UCTU	5768	40959	DUCHOD	OP	11943632
983412	3355	1996-05-09	PRIJEM	PREVOD Z UCTU	5768	41849	DUCHOD	OP	11943632
983413	3355	1996-06-09	PRIJEM	PREVOD Z UCTU	5768	42380	DUCHOD	OP	11943632
983414	3355	1996-07-09	PRIJEM	PREVOD Z UCTU	5768	39469	DUCHOD	OP	11943632
983415	3355	1996-08-09	PRIJEM	PREVOD Z UCTU	5768	41116	DUCHOD	OP	11943632
983416	3355	1996-09-09	PRIJEM	PREVOD Z UCTU	5768	44454	DUCHOD	OP	11943632
983417	3355	1996-10-09	PRIJEM	PREVOD Z UCTU	5768	47601	DUCHOD	OP	11943632
983418	3355	1996-11-09	PRIJEM	PREVOD Z UCTU	5768	46995	DUCHOD	OP	11943632
983419	3355	1996-12-09	PRIJEM	PREVOD Z UCTU	5768	50352	DUCHOD	OP	11943632
983420	3355	1997-01-09	PRIJEM	PREVOD Z UCTU	5768	47236	DUCHOD	OP	11943632
983421	3355	1997-02-09	PRIJEM	PREVOD Z UCTU	5768	41140	DUCHOD	OP	11943632
983422	3355	1997-03-09	PRIJEM	PREVOD Z UCTU	5768	44473	DUCHOD	OP	11943632
983423	3355	1997-04-09	PRIJEM	PREVOD Z UCTU	5768	47820	DUCHOD	OP	11943632
983424	3355	1997-05-09	PRIJEM	PREVOD Z UCTU	5768	51181	DUCHOD	OP	11943632
983425	3355	1997-06-09	PRIJEM	PREVOD Z UCTU	5768	42256	DUCHOD	OP	11943632
983426	3355	1997-07-09	PRIJEM	PREVOD Z UCTU	5768	45610	DUCHOD	OP	11943632
983427	3355	1997-08-09	PRIJEM	PREVOD Z UCTU	5768	48961	DUCHOD	OP	11943632
983428	3355	1997-09-09	PRIJEM	PREVOD Z UCTU	5768	52327	DUCHOD	OP	11943632
983429	3355	1997-10-09	PRIJEM	PREVOD Z UCTU	5768	55706	DUCHOD	OP	11943632
983430	3355	1997-11-09	PRIJEM	PREVOD Z UCTU	5768	56534	DUCHOD	OP	11943632
983431	3355	1997-12-09	PRIJEM	PREVOD Z UCTU	5768	57130	DUCHOD	OP	11943632
983432	3355	1998-01-09	PRIJEM	PREVOD Z UCTU	5768	54638	DUCHOD	OP	11943632
983433	3355	1998-02-09	PRIJEM	PREVOD Z UCTU	5768	56029	DUCHOD	OP	11943632
983434	3355	1998-03-09	PRIJEM	PREVOD Z UCTU	5768	59423	DUCHOD	OP	11943632
983435	3355	1998-04-09	PRIJEM	PREVOD Z UCTU	5768	60670	DUCHOD	OP	11943632
983436	3355	1998-05-09	PRIJEM	PREVOD Z UCTU	5768	60244	DUCHOD	OP	11943632
983437	3355	1998-06-09	PRIJEM	PREVOD Z UCTU	5768	58161	DUCHOD	OP	11943632
983438	3355	1998-07-09	PRIJEM	PREVOD Z UCTU	5768	61572	DUCHOD	OP	11943632
983439	3355	1998-08-09	PRIJEM	PREVOD Z UCTU	5768	64989	DUCHOD	OP	11943632
983440	3355	1998-09-09	PRIJEM	PREVOD Z UCTU	5768	66897	DUCHOD	OP	11943632
983441	3355	1998-10-09	PRIJEM	PREVOD Z UCTU	5768	70336	DUCHOD	OP	11943632
983442	3355	1998-11-09	PRIJEM	PREVOD Z UCTU	5768	73789	DUCHOD	OP	11943632
983443	3355	1998-12-09	PRIJEM	PREVOD Z UCTU	5768	77257	DUCHOD	OP	11943632
983450	3355	1994-07-12	VYDAJ	PREVOD NA UCET	2575	27365	SIPO	OP	52532029
983451	3355	1994-08-12	VYDAJ	PREVOD NA UCET	2575	30617	SIPO	OP	52532029
983452	3355	1994-09-12	VYDAJ	PREVOD NA UCET	2575	29714	SIPO	OP	52532029
983453	3355	1994-10-12	VYDAJ	PREVOD NA UCET	2575	30609	SIPO	OP	52532029
983454	3355	1994-11-12	VYDAJ	PREVOD NA UCET	2575	28847	SIPO	OP	52532029
983455	3355	1994-12-12	VYDAJ	PREVOD NA UCET	2575	30846	SIPO	OP	52532029
983456	3355	1995-01-12	VYDAJ	PREVOD NA UCET	2575	29687	SIPO	OP	52532029
983457	3355	1995-02-12	VYDAJ	PREVOD NA UCET	2575	26821	SIPO	OP	52532029
983458	3355	1995-03-12	VYDAJ	PREVOD NA UCET	2575	27322	SIPO	OP	52532029
983459	3355	1995-04-12	VYDAJ	PREVOD NA UCET	2575	29208	SIPO	OP	52532029
983460	3355	1995-05-12	VYDAJ	PREVOD NA UCET	2575	27261	SIPO	OP	52532029
983461	3355	1995-06-12	VYDAJ	PREVOD NA UCET	2575	29354	SIPO	OP	52532029
983462	3355	1995-07-12	VYDAJ	PREVOD NA UCET	2575	25551	SIPO	OP	52532029
983463	3355	1995-08-12	VYDAJ	PREVOD NA UCET	2575	27549	SIPO	OP	52532029
983464	3355	1995-09-12	VYDAJ	PREVOD NA UCET	2575	30837	SIPO	OP	52532029
983465	3355	1995-10-12	VYDAJ	PREVOD NA UCET	2575	33538	SIPO	OP	52532029
983466	3355	1995-11-12	VYDAJ	PREVOD NA UCET	2575	36050	SIPO	OP	52532029
983467	3355	1995-12-12	VYDAJ	PREVOD NA UCET	2575	39373	SIPO	OP	52532029
983468	3355	1996-01-12	VYDAJ	PREVOD NA UCET	2575	33636	SIPO	OP	52532029
983469	3355	1996-02-12	VYDAJ	PREVOD NA UCET	2575	31755	SIPO	OP	52532029
983470	3355	1996-03-12	VYDAJ	PREVOD NA UCET	2575	35065	SIPO	OP	52532029
983471	3355	1996-04-12	VYDAJ	PREVOD NA UCET	2575	38384	SIPO	OP	52532029
983472	3355	1996-05-12	VYDAJ	PREVOD NA UCET	2575	39274	SIPO	OP	52532029
983473	3355	1996-06-12	VYDAJ	PREVOD NA UCET	2575	39805	SIPO	OP	52532029
983474	3355	1996-07-12	VYDAJ	PREVOD NA UCET	2575	36894	SIPO	OP	52532029
983475	3355	1996-08-12	VYDAJ	PREVOD NA UCET	2575	38541	SIPO	OP	52532029
983476	3355	1996-09-12	VYDAJ	PREVOD NA UCET	2575	41879	SIPO	OP	52532029
983477	3355	1996-10-12	VYDAJ	PREVOD NA UCET	2575	45026	SIPO	OP	52532029
983478	3355	1996-11-12	VYDAJ	PREVOD NA UCET	2575	44420	SIPO	OP	52532029
983479	3355	1996-12-12	VYDAJ	PREVOD NA UCET	2575	47777	SIPO	OP	52532029
983480	3355	1997-01-12	VYDAJ	PREVOD NA UCET	2575	43061	SIPO	OP	52532029
983481	3355	1997-02-12	VYDAJ	PREVOD NA UCET	2575	38565	SIPO	OP	52532029
983482	3355	1997-03-12	VYDAJ	PREVOD NA UCET	2575	41898	SIPO	OP	52532029
983483	3355	1997-04-12	VYDAJ	PREVOD NA UCET	2575	45245	SIPO	OP	52532029
983484	3355	1997-05-12	VYDAJ	PREVOD NA UCET	2575	48306	SIPO	OP	52532029
983485	3355	1997-06-12	VYDAJ	PREVOD NA UCET	2575	39681	SIPO	OP	52532029
983486	3355	1997-07-12	VYDAJ	PREVOD NA UCET	2575	43035	SIPO	OP	52532029
983487	3355	1997-08-12	VYDAJ	PREVOD NA UCET	2575	46386	SIPO	OP	52532029
983488	3355	1997-09-12	VYDAJ	PREVOD NA UCET	2575	49752	SIPO	OP	52532029
983489	3355	1997-10-12	VYDAJ	PREVOD NA UCET	2575	50571	SIPO	OP	52532029
983490	3355	1997-11-12	VYDAJ	PREVOD NA UCET	2575	51159	SIPO	OP	52532029
983491	3355	1997-12-12	VYDAJ	PREVOD NA UCET	2575	54555	SIPO	OP	52532029
983492	3355	1998-01-12	VYDAJ	PREVOD NA UCET	2575	50623	SIPO	OP	52532029
983493	3355	1998-02-12	VYDAJ	PREVOD NA UCET	2575	53454	SIPO	OP	52532029
983494	3355	1998-03-12	VYDAJ	PREVOD NA UCET	2575	56848	SIPO	OP	52532029
983495	3355	1998-04-12	VYDAJ	PREVOD NA UCET	2575	58095	SIPO	OP	52532029
983496	3355	1998-05-12	VYDAJ	PREVOD NA UCET	2575	57669	SIPO	OP	52532029
983497	3355	1998-06-12	VYDAJ	PREVOD NA UCET	2575	55586	SIPO	OP	52532029
983498	3355	1998-07-12	VYDAJ	PREVOD NA UCET	2575	58997	SIPO	OP	52532029
983499	3355	1998-08-12	VYDAJ	PREVOD NA UCET	2575	62414	SIPO	OP	52532029
983500	3355	1998-09-12	VYDAJ	PREVOD NA UCET	2575	64322	SIPO	OP	52532029
983501	3355	1998-10-12	VYDAJ	PREVOD NA UCET	2575	67761	SIPO	OP	52532029
983502	3355	1998-11-12	VYDAJ	PREVOD NA UCET	2575	71214	SIPO	OP	52532029
983503	3355	1998-12-12	VYDAJ	PREVOD NA UCET	2575	74682	SIPO	OP	52532029
983505	3355	1995-06-28	VYDAJ	VYBER	7100	22254	\N	\N	\N
983506	3355	1996-06-25	VYDAJ	VYBER	2700	33565	\N	\N	\N
983507	3355	1997-06-08	VYDAJ	VYBER	12000	36488	\N	\N	\N
983508	3355	1998-06-06	VYDAJ	VYBER	5500	52393	\N	\N	\N
983509	3355	1994-12-11	VYDAJ	VYBER	1100	33421	\N	\N	\N
983510	3355	1995-12-21	VYDAJ	VYBER	350	37343	\N	\N	\N
983511	3355	1996-12-13	VYDAJ	VYBER	600	44577	\N	\N	\N
983512	3355	1997-12-28	VYDAJ	VYBER	1250	53305	\N	\N	\N
983513	3355	1998-12-15	VYDAJ	VYBER	1050	73632	\N	\N	\N
983520	3355	1995-01-27	VYDAJ	VYBER	1520	24807	\N	\N	\N
983521	3355	1995-01-16	VYDAJ	VYBER	640	27447	\N	\N	\N
983522	3355	1995-01-13	VYDAJ	VYBER	1600	28087	\N	\N	\N
983523	3355	1995-01-06	VYDAJ	VYBER	1760	26494	\N	\N	\N
983524	3355	1995-01-26	VYDAJ	VYBER	1120	26327	\N	\N	\N
983525	3355	1995-01-30	VYDAJ	VYBER	1280	23527	\N	\N	\N
983526	3355	1996-01-30	VYDAJ	VYBER	480	30516	\N	\N	\N
983527	3355	1996-01-24	VYDAJ	VYBER	400	31876	\N	\N	\N
983528	3355	1996-01-14	VYDAJ	VYBER	1360	32276	\N	\N	\N
983529	3355	1996-01-08	VYDAJ	VYBER	1280	30443	\N	\N	\N
983530	3355	1996-01-30	VYDAJ	VYBER	880	30996	\N	\N	\N
983531	3355	1996-01-03	VYDAJ	VYBER	1840	35643	\N	\N	\N
983532	3355	1997-01-18	VYDAJ	VYBER	1840	37141	\N	\N	\N
983533	3355	1997-01-19	VYDAJ	VYBER	1920	35221	\N	\N	\N
983534	3355	1997-01-13	VYDAJ	VYBER	1840	41221	\N	\N	\N
983535	3355	1997-01-12	VYDAJ	VYBER	880	45636	\N	\N	\N
983536	3355	1997-01-16	VYDAJ	VYBER	2240	38981	\N	\N	\N
983537	3355	1997-01-11	VYDAJ	VYBER	720	46516	\N	\N	\N
983538	3355	1998-01-29	VYDAJ	VYBER	560	50063	\N	\N	\N
983539	3355	1998-01-03	VYDAJ	VYBER	880	52630	\N	\N	\N
983540	3355	1998-01-10	VYDAJ	VYBER	640	53998	\N	\N	\N
983541	3355	1998-01-08	VYDAJ	VYBER	2160	48870	\N	\N	\N
983542	3355	1998-01-08	VYDAJ	VYBER	1600	51030	\N	\N	\N
983543	3355	1998-01-12	VYDAJ	VYBER	800	53198	\N	\N	\N
983545	3355	1994-12-22	VYDAJ	VYBER	400	30446	\N	\N	\N
983546	3355	1994-11-08	VYDAJ	VYBER	2160	25654	\N	\N	\N
983547	3355	1995-02-26	VYDAJ	VYBER	720	24041	\N	\N	\N
983548	3355	1995-12-13	VYDAJ	VYBER	1680	37693	\N	\N	\N
983549	3355	1995-05-06	VYDAJ	VYBER	3440	24068	\N	\N	\N
983550	3355	1995-02-17	VYDAJ	VYBER	560	26261	\N	\N	\N
983551	3355	1995-07-20	VYDAJ	VYBER	1280	24271	\N	\N	\N
983552	3355	1995-06-06	VYDAJ	VYBER	1200	26161	\N	\N	\N
983553	3355	1996-06-20	VYDAJ	VYBER	1440	36265	\N	\N	\N
983554	3355	1996-02-07	VYDAJ	VYBER	2080	28562	\N	\N	\N
983555	3355	1996-01-08	VYDAJ	VYBER	3920	31723	\N	\N	\N
983556	3355	1996-10-19	VYDAJ	VYBER	3760	41066	\N	\N	\N
983557	3355	1996-08-04	VYDAJ	VYBER	1680	35348	\N	\N	\N
983558	3355	1996-04-24	VYDAJ	VYBER	1440	35944	\N	\N	\N
983559	3355	1997-10-10	VYDAJ	VYBER	2560	53146	\N	\N	\N
983560	3355	1997-01-02	VYDAJ	VYBER	3280	41468	\N	\N	\N
983561	3355	1997-11-12	VYDAJ	VYBER	2800	53734	\N	\N	\N
983562	3355	1998-12-21	VYDAJ	VYBER	480	70032	\N	\N	\N
983563	3355	1998-12-17	VYDAJ	VYBER	3120	70512	\N	\N	\N
983564	3355	1998-08-19	VYDAJ	VYBER	1520	60894	\N	\N	\N
983565	3355	1998-05-06	VYDAJ	VYBER	1360	56956	\N	\N	\N
983566	3355	1998-05-07	VYDAJ	VYBER	2480	54476	\N	\N	\N
983567	3355	1998-03-26	VYDAJ	VYBER	2160	54688	\N	\N	\N
983575	3355	1994-07-31	VYDAJ	VYBER	15	27424	SLUZBY	\N	\N
983576	3355	1994-08-31	VYDAJ	VYBER	15	26521	SLUZBY	\N	\N
983577	3355	1994-09-30	VYDAJ	VYBER	15	27416	SLUZBY	\N	\N
983578	3355	1994-10-31	VYDAJ	VYBER	15	27814	SLUZBY	\N	\N
983579	3355	1994-11-30	VYDAJ	VYBER	15	28753	SLUZBY	\N	\N
983580	3355	1994-12-31	VYDAJ	VYBER	15	28254	SLUZBY	\N	\N
983581	3355	1995-01-31	VYDAJ	VYBER	15	23628	SLUZBY	\N	\N
983582	3355	1995-02-28	VYDAJ	VYBER	15	24129	SLUZBY	\N	\N
983583	3355	1995-03-31	VYDAJ	VYBER	15	26015	SLUZBY	\N	\N
983584	3355	1995-04-30	VYDAJ	VYBER	15	27508	SLUZBY	\N	\N
983585	3355	1995-05-31	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
983586	3355	1995-06-30	VYDAJ	VYBER	15	22358	SLUZBY	\N	\N
983587	3355	1995-07-31	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
983588	3355	1995-08-31	VYDAJ	VYBER	15	27644	SLUZBY	\N	\N
983589	3355	1995-09-30	VYDAJ	VYBER	15	30345	SLUZBY	\N	\N
983590	3355	1995-10-31	VYDAJ	VYBER	15	32857	SLUZBY	\N	\N
983591	3355	1995-11-30	VYDAJ	VYBER	15	36180	SLUZBY	\N	\N
983592	3355	1995-12-31	VYDAJ	VYBER	15	37483	SLUZBY	\N	\N
983593	3355	1996-01-31	VYDAJ	VYBER	15	30642	SLUZBY	\N	\N
983594	3355	1996-02-29	VYDAJ	VYBER	15	31872	SLUZBY	\N	\N
983595	3355	1996-03-31	VYDAJ	VYBER	15	35191	SLUZBY	\N	\N
983596	3355	1996-04-30	VYDAJ	VYBER	15	36081	SLUZBY	\N	\N
983597	3355	1996-05-31	VYDAJ	VYBER	15	36612	SLUZBY	\N	\N
983598	3355	1996-06-30	VYDAJ	VYBER	15	33701	SLUZBY	\N	\N
983599	3355	1996-07-31	VYDAJ	VYBER	15	37028	SLUZBY	\N	\N
983600	3355	1996-08-31	VYDAJ	VYBER	15	38686	SLUZBY	\N	\N
983601	3355	1996-09-30	VYDAJ	VYBER	15	41833	SLUZBY	\N	\N
983602	3355	1996-10-31	VYDAJ	VYBER	15	41227	SLUZBY	\N	\N
983603	3355	1996-11-30	VYDAJ	VYBER	15	44584	SLUZBY	\N	\N
983604	3355	1996-12-31	VYDAJ	VYBER	15	44748	SLUZBY	\N	\N
983605	3355	1997-01-31	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
983606	3355	1997-02-28	VYDAJ	VYBER	15	38705	SLUZBY	\N	\N
983607	3355	1997-03-31	VYDAJ	VYBER	15	42052	SLUZBY	\N	\N
983608	3355	1997-04-30	VYDAJ	VYBER	15	45413	SLUZBY	\N	\N
983609	3355	1997-05-31	VYDAJ	VYBER	15	48488	SLUZBY	\N	\N
983610	3355	1997-06-30	VYDAJ	VYBER	15	39842	SLUZBY	\N	\N
983611	3355	1997-07-31	VYDAJ	VYBER	15	43193	SLUZBY	\N	\N
983612	3355	1997-08-31	VYDAJ	VYBER	15	46559	SLUZBY	\N	\N
983613	3355	1997-09-30	VYDAJ	VYBER	15	49938	SLUZBY	\N	\N
983614	3355	1997-10-31	VYDAJ	VYBER	15	50766	SLUZBY	\N	\N
983615	3355	1997-11-30	VYDAJ	VYBER	15	51362	SLUZBY	\N	\N
983616	3355	1997-12-31	VYDAJ	VYBER	15	53510	SLUZBY	\N	\N
983617	3355	1998-01-31	VYDAJ	VYBER	15	50261	SLUZBY	\N	\N
983618	3355	1998-02-28	VYDAJ	VYBER	15	53655	SLUZBY	\N	\N
983619	3355	1998-03-31	VYDAJ	VYBER	15	54902	SLUZBY	\N	\N
983620	3355	1998-04-30	VYDAJ	VYBER	15	58316	SLUZBY	\N	\N
983621	3355	1998-05-31	VYDAJ	VYBER	15	57893	SLUZBY	\N	\N
983622	3355	1998-06-30	VYDAJ	VYBER	15	55804	SLUZBY	\N	\N
983623	3355	1998-07-31	VYDAJ	VYBER	15	59221	SLUZBY	\N	\N
983624	3355	1998-08-31	VYDAJ	VYBER	15	61129	SLUZBY	\N	\N
983625	3355	1998-09-30	VYDAJ	VYBER	15	64568	SLUZBY	\N	\N
983626	3355	1998-10-31	VYDAJ	VYBER	15	68021	SLUZBY	\N	\N
983627	3355	1998-11-30	VYDAJ	VYBER	15	71489	SLUZBY	\N	\N
983628	3355	1994-08-25	VYDAJ	VYBER	4200	26417	\N	\N	\N
983629	3355	1994-09-24	VYDAJ	VYBER	2400	27314	\N	\N	\N
983630	3355	1994-10-24	VYDAJ	VYBER	2900	27709	\N	\N	\N
983631	3355	1994-11-23	VYDAJ	VYBER	200	28647	\N	\N	\N
983632	3355	1994-12-23	VYDAJ	VYBER	2300	28146	\N	\N	\N
983633	3355	1995-02-21	VYDAJ	VYBER	1500	24761	\N	\N	\N
983634	3355	1995-03-23	VYDAJ	VYBER	1400	25922	\N	\N	\N
983635	3355	1995-04-22	VYDAJ	VYBER	1800	27408	\N	\N	\N
983636	3355	1995-09-19	VYDAJ	VYBER	600	30237	\N	\N	\N
983637	3355	1995-10-19	VYDAJ	VYBER	800	32738	\N	\N	\N
983638	3355	1996-04-16	VYDAJ	VYBER	1000	37384	\N	\N	\N
983639	3355	1996-05-16	VYDAJ	VYBER	2800	36474	\N	\N	\N
983640	3355	1996-06-15	VYDAJ	VYBER	2100	37705	\N	\N	\N
983641	3355	1996-09-13	VYDAJ	VYBER	200	41679	\N	\N	\N
983642	3355	1996-10-13	VYDAJ	VYBER	200	44826	\N	\N	\N
983643	3355	1996-12-12	VYDAJ	VYBER	2600	45177	\N	\N	\N
983644	3355	1997-05-11	VYDAJ	VYBER	300	50881	\N	\N	\N
984362	3357	1995-07-26	PRIJEM	VKLAD	400	400	\N	\N	\N
984370	3357	1995-08-12	PRIJEM	PREVOD Z UCTU	6741	7141	DUCHOD	QR	39701324
984371	3357	1995-09-12	PRIJEM	PREVOD Z UCTU	6741	13882	DUCHOD	QR	39701324
984372	3357	1995-10-12	PRIJEM	PREVOD Z UCTU	6741	20623	DUCHOD	QR	39701324
984373	3357	1995-11-12	PRIJEM	PREVOD Z UCTU	6741	27364	DUCHOD	QR	39701324
984374	3357	1995-12-12	PRIJEM	PREVOD Z UCTU	6741	30231	DUCHOD	QR	39701324
984375	3357	1996-01-12	PRIJEM	PREVOD Z UCTU	6741	30617	DUCHOD	QR	39701324
984376	3357	1996-02-12	PRIJEM	PREVOD Z UCTU	6741	31818	DUCHOD	QR	39701324
984377	3357	1996-03-12	PRIJEM	PREVOD Z UCTU	6741	30644	DUCHOD	QR	39701324
984378	3357	1996-04-12	PRIJEM	PREVOD Z UCTU	6741	30948	DUCHOD	QR	39701324
984379	3357	1996-05-12	PRIJEM	PREVOD Z UCTU	6741	25724	DUCHOD	QR	39701324
984380	3357	1996-06-12	PRIJEM	PREVOD Z UCTU	6741	23903	DUCHOD	QR	39701324
984381	3357	1996-07-12	PRIJEM	PREVOD Z UCTU	6741	28280	DUCHOD	QR	39701324
984382	3357	1996-08-12	PRIJEM	PREVOD Z UCTU	6741	29269	DUCHOD	QR	39701324
984383	3357	1996-09-12	PRIJEM	PREVOD Z UCTU	6741	31965	DUCHOD	QR	39701324
984384	3357	1996-10-12	PRIJEM	PREVOD Z UCTU	6741	31266	DUCHOD	QR	39701324
984385	3357	1996-11-12	PRIJEM	PREVOD Z UCTU	6741	33169	DUCHOD	QR	39701324
984386	3357	1996-12-12	PRIJEM	PREVOD Z UCTU	6741	35079	DUCHOD	QR	39701324
984387	3357	1997-01-12	PRIJEM	PREVOD Z UCTU	6741	30734	DUCHOD	QR	39701324
984388	3357	1997-02-12	PRIJEM	PREVOD Z UCTU	6741	32233	DUCHOD	QR	39701324
984389	3357	1997-03-12	PRIJEM	PREVOD Z UCTU	6741	27131	DUCHOD	QR	39701324
984390	3357	1997-04-12	PRIJEM	PREVOD Z UCTU	6741	30423	DUCHOD	QR	39701324
984391	3357	1997-05-12	PRIJEM	PREVOD Z UCTU	6741	25840	DUCHOD	QR	39701324
984392	3357	1997-06-12	PRIJEM	PREVOD Z UCTU	6741	30031	DUCHOD	QR	39701324
984393	3357	1997-07-12	PRIJEM	PREVOD Z UCTU	6741	28419	DUCHOD	QR	39701324
984394	3357	1997-08-12	PRIJEM	PREVOD Z UCTU	6741	30208	DUCHOD	QR	39701324
984395	3357	1997-09-12	PRIJEM	PREVOD Z UCTU	6741	28796	DUCHOD	QR	39701324
984396	3357	1997-10-12	PRIJEM	PREVOD Z UCTU	6741	28881	DUCHOD	QR	39701324
984397	3357	1997-11-12	PRIJEM	PREVOD Z UCTU	6741	28614	DUCHOD	QR	39701324
984398	3357	1997-12-12	PRIJEM	PREVOD Z UCTU	6741	27899	DUCHOD	QR	39701324
984399	3357	1998-01-12	PRIJEM	PREVOD Z UCTU	6741	31141	DUCHOD	QR	39701324
984400	3357	1998-02-12	PRIJEM	PREVOD Z UCTU	6741	34968	DUCHOD	QR	39701324
984401	3357	1998-03-12	PRIJEM	PREVOD Z UCTU	6741	35751	DUCHOD	QR	39701324
984402	3357	1998-04-12	PRIJEM	PREVOD Z UCTU	6741	33738	DUCHOD	QR	39701324
984403	3357	1998-05-12	PRIJEM	PREVOD Z UCTU	6741	37056	DUCHOD	QR	39701324
984404	3357	1998-06-12	PRIJEM	PREVOD Z UCTU	6741	36890	DUCHOD	QR	39701324
984405	3357	1998-07-12	PRIJEM	PREVOD Z UCTU	6741	41928	DUCHOD	QR	39701324
984406	3357	1998-08-12	PRIJEM	PREVOD Z UCTU	6741	38580	DUCHOD	QR	39701324
984407	3357	1998-09-12	PRIJEM	PREVOD Z UCTU	6741	41029	DUCHOD	QR	39701324
984408	3357	1998-10-12	PRIJEM	PREVOD Z UCTU	6741	42499	DUCHOD	QR	39701324
984409	3357	1998-11-12	PRIJEM	PREVOD Z UCTU	6741	42355	DUCHOD	QR	39701324
984410	3357	1998-12-12	PRIJEM	PREVOD Z UCTU	6741	38765	DUCHOD	QR	39701324
984423	3357	1996-01-11	VYDAJ	PREVOD NA UCET	1841	23876	SIPO	UV	28360057
984424	3357	1996-02-11	VYDAJ	PREVOD NA UCET	1841	25077	SIPO	UV	28360057
984425	3357	1996-03-11	VYDAJ	PREVOD NA UCET	1841	23903	SIPO	UV	28360057
984426	3357	1996-04-11	VYDAJ	PREVOD NA UCET	1841	24207	SIPO	UV	28360057
984427	3357	1996-05-11	VYDAJ	PREVOD NA UCET	1841	18983	SIPO	UV	28360057
984428	3357	1996-06-11	VYDAJ	PREVOD NA UCET	1841	17162	SIPO	UV	28360057
984429	3357	1996-07-11	VYDAJ	PREVOD NA UCET	1841	21539	SIPO	UV	28360057
984430	3357	1996-08-11	VYDAJ	PREVOD NA UCET	1841	22528	SIPO	UV	28360057
984431	3357	1996-09-11	VYDAJ	PREVOD NA UCET	1841	25224	SIPO	UV	28360057
984432	3357	1996-10-11	VYDAJ	PREVOD NA UCET	1841	24525	SIPO	UV	28360057
984433	3357	1996-11-11	VYDAJ	PREVOD NA UCET	1841	26428	SIPO	UV	28360057
984434	3357	1996-12-11	VYDAJ	PREVOD NA UCET	1841	28338	SIPO	UV	28360057
984435	3357	1997-01-11	VYDAJ	PREVOD NA UCET	1841	23993	SIPO	UV	28360057
984436	3357	1997-02-11	VYDAJ	PREVOD NA UCET	1841	25492	SIPO	UV	28360057
984437	3357	1997-03-11	VYDAJ	PREVOD NA UCET	1841	23990	SIPO	UV	28360057
984438	3357	1997-04-11	VYDAJ	PREVOD NA UCET	1841	23682	SIPO	UV	28360057
984439	3357	1997-05-11	VYDAJ	PREVOD NA UCET	1841	19099	SIPO	UV	28360057
984440	3357	1997-06-11	VYDAJ	PREVOD NA UCET	1841	23290	SIPO	UV	28360057
984441	3357	1997-07-11	VYDAJ	PREVOD NA UCET	1841	21678	SIPO	UV	28360057
984442	3357	1997-08-11	VYDAJ	PREVOD NA UCET	1841	23467	SIPO	UV	28360057
984443	3357	1997-09-11	VYDAJ	PREVOD NA UCET	1841	22055	SIPO	UV	28360057
984444	3357	1997-10-11	VYDAJ	PREVOD NA UCET	1841	22140	SIPO	UV	28360057
984445	3357	1997-11-11	VYDAJ	PREVOD NA UCET	1841	21873	SIPO	UV	28360057
984446	3357	1997-12-11	VYDAJ	PREVOD NA UCET	1841	21158	SIPO	UV	28360057
984447	3357	1998-01-11	VYDAJ	PREVOD NA UCET	1841	24400	SIPO	UV	28360057
984448	3357	1998-02-11	VYDAJ	PREVOD NA UCET	1841	28227	SIPO	UV	28360057
984449	3357	1998-03-11	VYDAJ	PREVOD NA UCET	1841	29010	SIPO	UV	28360057
984450	3357	1998-04-11	VYDAJ	PREVOD NA UCET	1841	26997	SIPO	UV	28360057
984451	3357	1998-05-11	VYDAJ	PREVOD NA UCET	1841	30315	SIPO	UV	28360057
984452	3357	1998-06-11	VYDAJ	PREVOD NA UCET	1841	30149	SIPO	UV	28360057
984453	3357	1998-07-11	VYDAJ	PREVOD NA UCET	1841	35187	SIPO	UV	28360057
984454	3357	1998-08-11	VYDAJ	PREVOD NA UCET	1841	31839	SIPO	UV	28360057
984455	3357	1998-09-11	VYDAJ	PREVOD NA UCET	1841	34288	SIPO	UV	28360057
984456	3357	1998-10-11	VYDAJ	PREVOD NA UCET	1841	35758	SIPO	UV	28360057
984457	3357	1998-11-11	VYDAJ	PREVOD NA UCET	1841	35614	SIPO	UV	28360057
984458	3357	1998-12-11	VYDAJ	PREVOD NA UCET	1841	32024	SIPO	UV	28360057
984459	3357	1995-12-23	VYDAJ	VYBER	400	25631	\N	\N	\N
984460	3357	1996-12-24	VYDAJ	VYBER	350	25729	\N	\N	\N
984461	3357	1997-12-23	VYDAJ	VYBER	350	26149	\N	\N	\N
984462	3357	1998-12-01	VYDAJ	VYBER	1150	41365	\N	\N	\N
984467	3357	1996-02-12	VYDAJ	VYBER	640	31178	\N	\N	\N
984468	3357	1996-03-02	VYDAJ	VYBER	3040	25744	\N	\N	\N
984469	3357	1996-05-19	VYDAJ	VYBER	2000	23724	\N	\N	\N
984470	3357	1996-05-09	VYDAJ	VYBER	3120	20824	\N	\N	\N
984471	3357	1997-03-11	VYDAJ	VYBER	3600	20390	\N	\N	\N
984472	3357	1997-05-06	VYDAJ	VYBER	3280	23740	\N	\N	\N
984473	3357	1997-05-10	VYDAJ	VYBER	2800	20940	\N	\N	\N
984474	3357	1997-11-03	VYDAJ	VYBER	2960	23714	\N	\N	\N
984475	3357	1997-03-16	VYDAJ	VYBER	800	26331	\N	\N	\N
984476	3357	1998-03-29	VYDAJ	VYBER	3360	29191	\N	\N	\N
984477	3357	1998-09-30	VYDAJ	VYBER	2480	38714	\N	\N	\N
984478	3357	1998-02-04	VYDAJ	VYBER	480	30768	\N	\N	\N
984479	3357	1998-03-01	VYDAJ	VYBER	2720	30851	\N	\N	\N
984480	3357	1998-04-07	VYDAJ	VYBER	480	28838	\N	\N	\N
984481	3357	1998-12-14	VYDAJ	VYBER	1600	37165	\N	\N	\N
984482	3357	1998-02-23	VYDAJ	VYBER	1520	33448	\N	\N	\N
984495	3357	1995-12-31	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
984496	3357	1996-01-31	VYDAJ	VYBER	15	26918	SLUZBY	\N	\N
984497	3357	1996-02-29	VYDAJ	VYBER	15	28784	SLUZBY	\N	\N
984498	3357	1996-03-31	VYDAJ	VYBER	15	26048	SLUZBY	\N	\N
984499	3357	1996-04-30	VYDAJ	VYBER	15	23944	SLUZBY	\N	\N
984500	3357	1996-05-31	VYDAJ	VYBER	15	19003	SLUZBY	\N	\N
984501	3357	1996-06-30	VYDAJ	VYBER	15	23380	SLUZBY	\N	\N
984502	3357	1996-07-31	VYDAJ	VYBER	15	24369	SLUZBY	\N	\N
984503	3357	1996-08-31	VYDAJ	VYBER	15	27065	SLUZBY	\N	\N
984504	3357	1996-09-30	VYDAJ	VYBER	15	26366	SLUZBY	\N	\N
984505	3357	1996-10-31	VYDAJ	VYBER	15	28269	SLUZBY	\N	\N
984506	3357	1996-11-30	VYDAJ	VYBER	15	30179	SLUZBY	\N	\N
984507	3357	1996-12-31	VYDAJ	VYBER	15	25834	SLUZBY	\N	\N
984508	3357	1997-01-31	VYDAJ	VYBER	15	27333	SLUZBY	\N	\N
984509	3357	1997-02-28	VYDAJ	VYBER	15	25831	SLUZBY	\N	\N
984510	3357	1997-03-31	VYDAJ	VYBER	15	25523	SLUZBY	\N	\N
984511	3357	1997-04-30	VYDAJ	VYBER	15	27020	SLUZBY	\N	\N
984512	3357	1997-05-31	VYDAJ	VYBER	15	25131	SLUZBY	\N	\N
984513	3357	1997-06-30	VYDAJ	VYBER	15	23519	SLUZBY	\N	\N
984514	3357	1997-07-31	VYDAJ	VYBER	15	25308	SLUZBY	\N	\N
984515	3357	1997-08-31	VYDAJ	VYBER	15	23896	SLUZBY	\N	\N
984516	3357	1997-09-30	VYDAJ	VYBER	15	23981	SLUZBY	\N	\N
984517	3357	1997-10-31	VYDAJ	VYBER	15	26674	SLUZBY	\N	\N
984518	3357	1997-11-30	VYDAJ	VYBER	15	22999	SLUZBY	\N	\N
984519	3357	1997-12-31	VYDAJ	VYBER	15	26241	SLUZBY	\N	\N
984520	3357	1998-01-31	VYDAJ	VYBER	15	31248	SLUZBY	\N	\N
984521	3357	1998-02-28	VYDAJ	VYBER	15	33571	SLUZBY	\N	\N
984522	3357	1998-03-31	VYDAJ	VYBER	15	29318	SLUZBY	\N	\N
984523	3357	1998-04-30	VYDAJ	VYBER	15	33856	SLUZBY	\N	\N
984524	3357	1998-05-31	VYDAJ	VYBER	15	37190	SLUZBY	\N	\N
984525	3357	1998-06-30	VYDAJ	VYBER	15	37028	SLUZBY	\N	\N
984526	3357	1998-07-31	VYDAJ	VYBER	15	42080	SLUZBY	\N	\N
984527	3357	1998-08-31	VYDAJ	VYBER	15	38729	SLUZBY	\N	\N
984528	3357	1998-09-30	VYDAJ	VYBER	15	38699	SLUZBY	\N	\N
984529	3357	1998-10-31	VYDAJ	VYBER	15	42655	SLUZBY	\N	\N
984530	3357	1998-11-30	VYDAJ	VYBER	15	42515	SLUZBY	\N	\N
984531	3357	1995-11-23	VYDAJ	VYBER	3900	23464	\N	\N	\N
984532	3357	1995-12-23	VYDAJ	VYBER	4200	26031	\N	\N	\N
984533	3357	1996-01-22	VYDAJ	VYBER	3800	26817	\N	\N	\N
984534	3357	1996-02-21	VYDAJ	VYBER	2500	28678	\N	\N	\N
984535	3357	1996-03-22	VYDAJ	VYBER	4700	25944	\N	\N	\N
984536	3357	1996-04-21	VYDAJ	VYBER	7100	23848	\N	\N	\N
984537	3357	1996-05-21	VYDAJ	VYBER	4800	18924	\N	\N	\N
984538	3357	1996-06-20	VYDAJ	VYBER	600	23303	\N	\N	\N
984539	3357	1996-07-20	VYDAJ	VYBER	4000	24280	\N	\N	\N
984540	3357	1996-08-19	VYDAJ	VYBER	2300	26969	\N	\N	\N
984541	3357	1996-09-18	VYDAJ	VYBER	5700	26265	\N	\N	\N
984542	3357	1996-10-18	VYDAJ	VYBER	3100	28166	\N	\N	\N
984543	3357	1996-11-17	VYDAJ	VYBER	3100	30069	\N	\N	\N
984544	3357	1996-12-17	VYDAJ	VYBER	9000	26079	\N	\N	\N
984545	3357	1997-01-16	VYDAJ	VYBER	3500	27234	\N	\N	\N
984546	3357	1997-02-15	VYDAJ	VYBER	6500	25733	\N	\N	\N
984547	3357	1997-03-17	VYDAJ	VYBER	900	25431	\N	\N	\N
984548	3357	1997-04-16	VYDAJ	VYBER	3500	26923	\N	\N	\N
984549	3357	1997-05-16	VYDAJ	VYBER	800	25040	\N	\N	\N
984550	3357	1997-06-15	VYDAJ	VYBER	6600	23431	\N	\N	\N
984551	3357	1997-07-15	VYDAJ	VYBER	3200	25219	\N	\N	\N
984552	3357	1997-08-14	VYDAJ	VYBER	6400	23808	\N	\N	\N
984553	3357	1997-09-13	VYDAJ	VYBER	4900	23896	\N	\N	\N
984554	3357	1997-10-13	VYDAJ	VYBER	2300	26581	\N	\N	\N
984555	3357	1997-11-12	VYDAJ	VYBER	5700	22914	\N	\N	\N
984556	3357	1997-12-12	VYDAJ	VYBER	1400	26499	\N	\N	\N
984557	3357	1998-02-10	VYDAJ	VYBER	700	30068	\N	\N	\N
984558	3357	1998-03-12	VYDAJ	VYBER	3200	32551	\N	\N	\N
984559	3357	1998-05-11	VYDAJ	VYBER	1700	32156	\N	\N	\N
984560	3357	1998-06-10	VYDAJ	VYBER	5200	31990	\N	\N	\N
984561	3357	1998-08-09	VYDAJ	VYBER	8400	33680	\N	\N	\N
984562	3357	1998-09-08	VYDAJ	VYBER	2600	36129	\N	\N	\N
984563	3357	1998-10-08	VYDAJ	VYBER	1100	37599	\N	\N	\N
984564	3357	1998-11-07	VYDAJ	VYBER	5200	37455	\N	\N	\N
984565	3357	1998-12-07	VYDAJ	VYBER	7500	33865	\N	\N	\N
984604	3358	1996-02-21	PRIJEM	VKLAD	900	900	\N	\N	\N
984607	3358	1996-03-14	PRIJEM	PREVOD Z UCTU	3279	4179	\N	KL	98206930
984608	3358	1996-04-14	PRIJEM	PREVOD Z UCTU	3279	7458	\N	KL	98206930
984609	3358	1996-05-14	PRIJEM	PREVOD Z UCTU	3279	10737	\N	KL	98206930
984610	3358	1996-06-14	PRIJEM	PREVOD Z UCTU	3279	14016	\N	KL	98206930
984611	3358	1996-07-14	PRIJEM	PREVOD Z UCTU	3279	17295	\N	KL	98206930
984612	3358	1996-08-14	PRIJEM	PREVOD Z UCTU	3279	18414	\N	KL	98206930
984613	3358	1996-09-14	PRIJEM	PREVOD Z UCTU	3279	19567	\N	KL	98206930
984614	3358	1996-10-14	PRIJEM	PREVOD Z UCTU	3279	20724	\N	KL	98206930
984615	3358	1996-11-14	PRIJEM	PREVOD Z UCTU	3279	20534	\N	KL	98206930
984616	3358	1996-12-14	PRIJEM	PREVOD Z UCTU	3279	19491	\N	KL	98206930
984617	3358	1997-01-14	PRIJEM	PREVOD Z UCTU	3279	17916	\N	KL	98206930
984618	3358	1997-02-14	PRIJEM	PREVOD Z UCTU	3279	16152	\N	KL	98206930
984619	3358	1997-03-14	PRIJEM	PREVOD Z UCTU	3279	17293	\N	KL	98206930
984620	3358	1997-04-14	PRIJEM	PREVOD Z UCTU	3279	18079	\N	KL	98206930
984621	3358	1997-05-14	PRIJEM	PREVOD Z UCTU	3279	19230	\N	KL	98206930
984622	3358	1997-06-14	PRIJEM	PREVOD Z UCTU	3279	20386	\N	KL	98206930
984623	3358	1997-07-14	PRIJEM	PREVOD Z UCTU	3279	21545	\N	KL	98206930
984624	3358	1997-08-14	PRIJEM	PREVOD Z UCTU	3279	22560	\N	KL	98206930
984625	3358	1997-09-14	PRIJEM	PREVOD Z UCTU	3279	23728	\N	KL	98206930
984626	3358	1997-10-14	PRIJEM	PREVOD Z UCTU	3279	24902	\N	KL	98206930
984627	3358	1997-11-14	PRIJEM	PREVOD Z UCTU	3279	23528	\N	KL	98206930
984628	3358	1997-12-14	PRIJEM	PREVOD Z UCTU	3279	24701	\N	KL	98206930
984629	3358	1998-01-14	PRIJEM	PREVOD Z UCTU	3279	22298	\N	KL	98206930
984630	3358	1998-02-14	PRIJEM	PREVOD Z UCTU	3279	21666	\N	KL	98206930
984631	3358	1998-03-14	PRIJEM	PREVOD Z UCTU	3279	22831	\N	KL	98206930
984632	3358	1998-04-14	PRIJEM	PREVOD Z UCTU	3279	20900	\N	KL	98206930
984633	3358	1998-05-14	PRIJEM	PREVOD Z UCTU	3279	19317	\N	KL	98206930
984634	3358	1998-06-14	PRIJEM	PREVOD Z UCTU	3279	19723	\N	KL	98206930
984635	3358	1998-07-14	PRIJEM	PREVOD Z UCTU	3279	20881	\N	KL	98206930
984636	3358	1998-08-14	PRIJEM	PREVOD Z UCTU	3279	22043	\N	KL	98206930
984637	3358	1998-09-14	PRIJEM	PREVOD Z UCTU	3279	22810	\N	KL	98206930
984638	3358	1998-10-14	PRIJEM	PREVOD Z UCTU	3279	23170	\N	KL	98206930
984639	3358	1998-11-14	PRIJEM	PREVOD Z UCTU	3279	22901	\N	KL	98206930
984640	3358	1998-12-14	PRIJEM	PREVOD Z UCTU	3279	23652	\N	KL	98206930
984648	3358	1996-08-12	VYDAJ	PREVOD NA UCET	1740	15135	SIPO	MN	14699524
984649	3358	1996-09-12	VYDAJ	PREVOD NA UCET	1740	16288	SIPO	MN	14699524
984650	3358	1996-10-12	VYDAJ	PREVOD NA UCET	1740	17445	SIPO	MN	14699524
984651	3358	1996-11-12	VYDAJ	PREVOD NA UCET	1740	17255	SIPO	MN	14699524
984652	3358	1996-12-12	VYDAJ	PREVOD NA UCET	1740	16212	SIPO	MN	14699524
984653	3358	1997-01-12	VYDAJ	PREVOD NA UCET	1740	15447	SIPO	MN	14699524
984654	3358	1997-02-12	VYDAJ	PREVOD NA UCET	1740	12873	SIPO	MN	14699524
984655	3358	1997-03-12	VYDAJ	PREVOD NA UCET	1740	14014	SIPO	MN	14699524
984656	3358	1997-04-12	VYDAJ	PREVOD NA UCET	1740	14800	SIPO	MN	14699524
984657	3358	1997-05-12	VYDAJ	PREVOD NA UCET	1740	15951	SIPO	MN	14699524
984658	3358	1997-06-12	VYDAJ	PREVOD NA UCET	1740	17107	SIPO	MN	14699524
984659	3358	1997-07-12	VYDAJ	PREVOD NA UCET	1740	18266	SIPO	MN	14699524
984660	3358	1997-08-12	VYDAJ	PREVOD NA UCET	1740	19281	SIPO	MN	14699524
984661	3358	1997-09-12	VYDAJ	PREVOD NA UCET	1740	20449	SIPO	MN	14699524
984662	3358	1997-10-12	VYDAJ	PREVOD NA UCET	1740	21623	SIPO	MN	14699524
984663	3358	1997-11-12	VYDAJ	PREVOD NA UCET	1740	20249	SIPO	MN	14699524
984664	3358	1997-12-12	VYDAJ	PREVOD NA UCET	1740	21422	SIPO	MN	14699524
984665	3358	1998-01-12	VYDAJ	PREVOD NA UCET	1740	19019	SIPO	MN	14699524
984666	3358	1998-02-12	VYDAJ	PREVOD NA UCET	1740	18387	SIPO	MN	14699524
984667	3358	1998-03-12	VYDAJ	PREVOD NA UCET	1740	19552	SIPO	MN	14699524
984668	3358	1998-04-12	VYDAJ	PREVOD NA UCET	1740	17621	SIPO	MN	14699524
984669	3358	1998-05-12	VYDAJ	PREVOD NA UCET	1740	16038	SIPO	MN	14699524
984670	3358	1998-06-12	VYDAJ	PREVOD NA UCET	1740	16444	SIPO	MN	14699524
984671	3358	1998-07-12	VYDAJ	PREVOD NA UCET	1740	17602	SIPO	MN	14699524
984672	3358	1998-08-12	VYDAJ	PREVOD NA UCET	1740	18764	SIPO	MN	14699524
984673	3358	1998-09-12	VYDAJ	PREVOD NA UCET	1740	19531	SIPO	MN	14699524
984674	3358	1998-10-12	VYDAJ	PREVOD NA UCET	1740	19891	SIPO	MN	14699524
984675	3358	1998-11-12	VYDAJ	PREVOD NA UCET	1740	19622	SIPO	MN	14699524
984676	3358	1998-12-12	VYDAJ	PREVOD NA UCET	1740	20373	SIPO	MN	14699524
984683	3358	1996-07-14	VYDAJ	PREVOD NA UCET	446	16849	 	QR	15025878
984684	3358	1996-08-14	VYDAJ	PREVOD NA UCET	446	17968	 	QR	15025878
984685	3358	1996-09-14	VYDAJ	PREVOD NA UCET	446	19121	 	QR	15025878
984686	3358	1996-10-14	VYDAJ	PREVOD NA UCET	446	20278	 	QR	15025878
984687	3358	1996-11-14	VYDAJ	PREVOD NA UCET	446	20088	 	QR	15025878
984688	3358	1996-12-14	VYDAJ	PREVOD NA UCET	446	19045	 	QR	15025878
984689	3358	1997-01-14	VYDAJ	PREVOD NA UCET	446	17470	 	QR	15025878
984690	3358	1997-02-14	VYDAJ	PREVOD NA UCET	446	15706	 	QR	15025878
984691	3358	1997-03-14	VYDAJ	PREVOD NA UCET	446	16847	 	QR	15025878
984692	3358	1997-04-14	VYDAJ	PREVOD NA UCET	446	17633	 	QR	15025878
984693	3358	1997-05-14	VYDAJ	PREVOD NA UCET	446	18784	 	QR	15025878
984694	3358	1997-06-14	VYDAJ	PREVOD NA UCET	446	19940	 	QR	15025878
984695	3358	1997-07-14	VYDAJ	PREVOD NA UCET	446	21099	 	QR	15025878
984696	3358	1997-08-14	VYDAJ	PREVOD NA UCET	446	22114	 	QR	15025878
984697	3358	1997-09-14	VYDAJ	PREVOD NA UCET	446	23282	 	QR	15025878
984698	3358	1997-10-14	VYDAJ	PREVOD NA UCET	446	24456	 	QR	15025878
984699	3358	1997-11-14	VYDAJ	PREVOD NA UCET	446	23082	 	QR	15025878
984700	3358	1997-12-14	VYDAJ	PREVOD NA UCET	446	24255	 	QR	15025878
984701	3358	1998-01-14	VYDAJ	PREVOD NA UCET	446	21852	 	QR	15025878
984702	3358	1998-02-14	VYDAJ	PREVOD NA UCET	446	21220	 	QR	15025878
984703	3358	1998-03-14	VYDAJ	PREVOD NA UCET	446	22385	 	QR	15025878
984704	3358	1998-04-14	VYDAJ	PREVOD NA UCET	446	20454	 	QR	15025878
984705	3358	1998-05-14	VYDAJ	PREVOD NA UCET	446	18871	 	QR	15025878
984706	3358	1998-06-14	VYDAJ	PREVOD NA UCET	446	19277	 	QR	15025878
984707	3358	1998-07-14	VYDAJ	PREVOD NA UCET	446	20435	 	QR	15025878
984708	3358	1998-08-14	VYDAJ	PREVOD NA UCET	446	21597	 	QR	15025878
984709	3358	1998-09-14	VYDAJ	PREVOD NA UCET	446	22364	 	QR	15025878
984710	3358	1998-10-14	VYDAJ	PREVOD NA UCET	446	22724	 	QR	15025878
984711	3358	1998-11-14	VYDAJ	PREVOD NA UCET	446	22455	 	QR	15025878
984712	3358	1998-12-14	VYDAJ	PREVOD NA UCET	446	23206	 	QR	15025878
984717	3358	1997-01-15	VYDAJ	VYBER	900	16570	\N	\N	\N
984718	3358	1998-01-03	VYDAJ	VYBER	1620	22209	\N	\N	\N
984719	3358	1996-12-30	VYDAJ	VYBER	540	17965	\N	\N	\N
984720	3358	1997-12-16	VYDAJ	VYBER	210	24045	\N	\N	\N
984721	3358	1998-12-07	VYDAJ	VYBER	420	22113	\N	\N	\N
984728	3358	1997-01-06	VYDAJ	VYBER	840	17187	\N	\N	\N
984729	3358	1997-01-23	VYDAJ	VYBER	450	14560	\N	\N	\N
984730	3358	1997-01-13	VYDAJ	VYBER	810	14637	\N	\N	\N
984731	3358	1997-01-16	VYDAJ	VYBER	630	15940	\N	\N	\N
984732	3358	1997-01-17	VYDAJ	VYBER	330	15610	\N	\N	\N
984733	3358	1997-01-20	VYDAJ	VYBER	600	15010	\N	\N	\N
984734	3358	1998-01-01	VYDAJ	VYBER	300	23829	\N	\N	\N
984735	3358	1998-01-30	VYDAJ	VYBER	690	20052	\N	\N	\N
984736	3358	1998-01-27	VYDAJ	VYBER	330	21162	\N	\N	\N
984737	3358	1998-01-28	VYDAJ	VYBER	420	20742	\N	\N	\N
984738	3358	1998-01-14	VYDAJ	VYBER	360	21492	\N	\N	\N
984739	3358	1998-01-04	VYDAJ	VYBER	150	22059	\N	\N	\N
984744	3358	1996-11-06	VYDAJ	VYBER	1050	18995	\N	\N	\N
984747	3358	1996-12-17	VYDAJ	VYBER	540	18505	\N	\N	\N
984748	3358	1997-10-14	VYDAJ	VYBER	1320	21906	\N	\N	\N
984749	3358	1997-03-15	VYDAJ	VYBER	360	16487	\N	\N	\N
984750	3358	1997-07-20	VYDAJ	VYBER	150	20949	\N	\N	\N
984752	3358	1997-10-14	VYDAJ	VYBER	1230	23226	\N	\N	\N
984753	3358	1998-11-05	VYDAJ	VYBER	1440	21362	\N	\N	\N
984754	3358	1998-12-17	VYDAJ	VYBER	1080	22126	\N	\N	\N
984755	3358	1998-05-05	VYDAJ	VYBER	150	20378	\N	\N	\N
984756	3358	1998-10-03	VYDAJ	VYBER	810	21631	\N	\N	\N
984757	3358	1998-05-17	VYDAJ	VYBER	750	18121	\N	\N	\N
984765	3358	1996-07-31	VYDAJ	VYBER	15	16875	SLUZBY	\N	\N
984766	3358	1996-08-31	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
984767	3358	1996-09-30	VYDAJ	VYBER	15	19185	SLUZBY	\N	\N
984768	3358	1996-10-31	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
984769	3358	1996-11-30	VYDAJ	VYBER	15	17952	SLUZBY	\N	\N
984770	3358	1996-12-31	VYDAJ	VYBER	15	18027	SLUZBY	\N	\N
984771	3358	1997-01-31	VYDAJ	VYBER	15	14613	SLUZBY	\N	\N
984772	3358	1997-02-28	VYDAJ	VYBER	15	15754	SLUZBY	\N	\N
984773	3358	1997-03-31	VYDAJ	VYBER	15	16540	SLUZBY	\N	\N
984774	3358	1997-04-30	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
984775	3358	1997-05-31	VYDAJ	VYBER	15	18847	SLUZBY	\N	\N
984776	3358	1997-06-30	VYDAJ	VYBER	15	20006	SLUZBY	\N	\N
984777	3358	1997-07-31	VYDAJ	VYBER	15	21021	SLUZBY	\N	\N
984778	3358	1997-08-31	VYDAJ	VYBER	15	22189	SLUZBY	\N	\N
984779	3358	1997-09-30	VYDAJ	VYBER	15	23363	SLUZBY	\N	\N
984780	3358	1997-10-31	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
984781	3358	1997-11-30	VYDAJ	VYBER	15	23162	SLUZBY	\N	\N
984782	3358	1997-12-31	VYDAJ	VYBER	15	24129	SLUZBY	\N	\N
984783	3358	1998-01-31	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
984784	3358	1998-02-28	VYDAJ	VYBER	15	21292	SLUZBY	\N	\N
984785	3358	1998-03-31	VYDAJ	VYBER	15	22461	SLUZBY	\N	\N
984786	3358	1998-04-30	VYDAJ	VYBER	15	20528	SLUZBY	\N	\N
984787	3358	1998-05-31	VYDAJ	VYBER	15	18184	SLUZBY	\N	\N
984788	3358	1998-06-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
984789	3358	1998-07-31	VYDAJ	VYBER	15	20504	SLUZBY	\N	\N
984790	3358	1998-08-31	VYDAJ	VYBER	15	21671	SLUZBY	\N	\N
984791	3358	1998-09-30	VYDAJ	VYBER	15	22441	SLUZBY	\N	\N
984792	3358	1998-10-31	VYDAJ	VYBER	15	22802	SLUZBY	\N	\N
984793	3358	1998-11-30	VYDAJ	VYBER	15	22533	SLUZBY	\N	\N
984794	3358	1996-10-18	VYDAJ	VYBER	300	19978	\N	\N	\N
984795	3358	1996-11-17	VYDAJ	VYBER	2200	17888	\N	\N	\N
984796	3358	1998-01-11	VYDAJ	VYBER	1300	20759	\N	\N	\N
984797	3358	1998-04-11	VYDAJ	VYBER	3100	19361	\N	\N	\N
984798	3358	1998-05-11	VYDAJ	VYBER	2600	17778	\N	\N	\N
984799	3358	1998-09-08	VYDAJ	VYBER	400	21271	\N	\N	\N
984830	3359	1996-07-30	PRIJEM	VKLAD	500	500	\N	\N	\N
984838	3359	1996-08-09	PRIJEM	PREVOD Z UCTU	3709	4209	\N	MN	57582366
984839	3359	1996-09-09	PRIJEM	PREVOD Z UCTU	3709	16923	\N	MN	57582366
984840	3359	1996-10-09	PRIJEM	PREVOD Z UCTU	3709	22090	\N	MN	57582366
984841	3359	1996-11-09	PRIJEM	PREVOD Z UCTU	3709	25477	\N	MN	57582366
984842	3359	1996-12-09	PRIJEM	PREVOD Z UCTU	3709	29778	\N	MN	57582366
984843	3359	1997-01-09	PRIJEM	PREVOD Z UCTU	3709	28838	\N	MN	57582366
984844	3359	1997-02-09	PRIJEM	PREVOD Z UCTU	3709	32561	\N	MN	57582366
984845	3359	1997-03-09	PRIJEM	PREVOD Z UCTU	3709	36843	\N	MN	57582366
984846	3359	1997-04-09	PRIJEM	PREVOD Z UCTU	3709	36049	\N	MN	57582366
984847	3359	1997-05-09	PRIJEM	PREVOD Z UCTU	3709	35352	\N	MN	57582366
984848	3359	1997-06-09	PRIJEM	PREVOD Z UCTU	3709	36854	\N	MN	57582366
984849	3359	1997-07-09	PRIJEM	PREVOD Z UCTU	3709	35649	\N	MN	57582366
984850	3359	1997-08-09	PRIJEM	PREVOD Z UCTU	3709	37953	\N	MN	57582366
984851	3359	1997-09-09	PRIJEM	PREVOD Z UCTU	3709	41167	\N	MN	57582366
984852	3359	1997-10-09	PRIJEM	PREVOD Z UCTU	3709	40561	\N	MN	57582366
984853	3359	1997-11-09	PRIJEM	PREVOD Z UCTU	3709	38380	\N	MN	57582366
984854	3359	1997-12-09	PRIJEM	PREVOD Z UCTU	3709	34598	\N	MN	57582366
984855	3359	1998-01-09	PRIJEM	PREVOD Z UCTU	3709	33805	\N	MN	57582366
984856	3359	1998-02-09	PRIJEM	PREVOD Z UCTU	3709	35059	\N	MN	57582366
984857	3359	1998-03-09	PRIJEM	PREVOD Z UCTU	3709	34956	\N	MN	57582366
984858	3359	1998-04-09	PRIJEM	PREVOD Z UCTU	3709	35755	\N	MN	57582366
984859	3359	1998-05-09	PRIJEM	PREVOD Z UCTU	3709	32551	\N	MN	57582366
984860	3359	1998-06-09	PRIJEM	PREVOD Z UCTU	3709	28066	\N	MN	57582366
984861	3359	1998-07-09	PRIJEM	PREVOD Z UCTU	3709	27835	\N	MN	57582366
984862	3359	1998-08-09	PRIJEM	PREVOD Z UCTU	3709	31108	\N	MN	57582366
984863	3359	1998-09-09	PRIJEM	PREVOD Z UCTU	3709	25881	\N	MN	57582366
984864	3359	1998-10-09	PRIJEM	PREVOD Z UCTU	3709	27644	\N	MN	57582366
984865	3359	1998-11-09	PRIJEM	PREVOD Z UCTU	3709	29513	\N	MN	57582366
984866	3359	1998-12-09	PRIJEM	PREVOD Z UCTU	3709	31992	\N	MN	57582366
984879	3359	1997-01-07	VYDAJ	PREVOD NA UCET	2038	25909	SIPO	MN	58614808
984880	3359	1997-02-07	VYDAJ	PREVOD NA UCET	2038	28852	SIPO	MN	58614808
984881	3359	1997-03-07	VYDAJ	PREVOD NA UCET	2038	33134	SIPO	MN	58614808
984882	3359	1997-04-07	VYDAJ	PREVOD NA UCET	2038	32340	SIPO	MN	58614808
984883	3359	1997-05-07	VYDAJ	PREVOD NA UCET	2038	31643	SIPO	MN	58614808
984884	3359	1997-06-07	VYDAJ	PREVOD NA UCET	2038	33145	SIPO	MN	58614808
984885	3359	1997-07-07	VYDAJ	PREVOD NA UCET	2038	31940	SIPO	MN	58614808
984886	3359	1997-08-07	VYDAJ	PREVOD NA UCET	2038	34244	SIPO	MN	58614808
984887	3359	1997-09-07	VYDAJ	PREVOD NA UCET	2038	37458	SIPO	MN	58614808
984888	3359	1997-10-07	VYDAJ	PREVOD NA UCET	2038	36852	SIPO	MN	58614808
984889	3359	1997-11-07	VYDAJ	PREVOD NA UCET	2038	34671	SIPO	MN	58614808
984890	3359	1997-12-07	VYDAJ	PREVOD NA UCET	2038	30889	SIPO	MN	58614808
984891	3359	1998-01-07	VYDAJ	PREVOD NA UCET	2038	30096	SIPO	MN	58614808
984892	3359	1998-02-07	VYDAJ	PREVOD NA UCET	2038	31350	SIPO	MN	58614808
984893	3359	1998-03-07	VYDAJ	PREVOD NA UCET	2038	31247	SIPO	MN	58614808
984894	3359	1998-04-07	VYDAJ	PREVOD NA UCET	2038	32046	SIPO	MN	58614808
984895	3359	1998-05-07	VYDAJ	PREVOD NA UCET	2038	28842	SIPO	MN	58614808
984896	3359	1998-06-07	VYDAJ	PREVOD NA UCET	2038	24357	SIPO	MN	58614808
984897	3359	1998-07-07	VYDAJ	PREVOD NA UCET	2038	24126	SIPO	MN	58614808
984898	3359	1998-08-07	VYDAJ	PREVOD NA UCET	2038	27399	SIPO	MN	58614808
984899	3359	1998-09-07	VYDAJ	PREVOD NA UCET	2038	22972	SIPO	MN	58614808
984900	3359	1998-10-07	VYDAJ	PREVOD NA UCET	2038	23935	SIPO	MN	58614808
984901	3359	1998-11-07	VYDAJ	PREVOD NA UCET	2038	25804	SIPO	MN	58614808
984902	3359	1998-12-07	VYDAJ	PREVOD NA UCET	2038	28283	SIPO	MN	58614808
984904	3359	1997-06-25	VYDAJ	VYBER	8610	33844	\N	\N	\N
984905	3359	1998-06-03	VYDAJ	VYBER	2670	26395	\N	\N	\N
984906	3359	1996-12-23	VYDAJ	VYBER	840	27948	\N	\N	\N
984907	3359	1997-12-02	VYDAJ	VYBER	510	33107	\N	\N	\N
984908	3359	1998-12-14	VYDAJ	VYBER KARTOU	600	31392	\N	\N	0
984915	3359	1997-01-17	VYDAJ	VYBER	300	26828	\N	\N	\N
984916	3359	1997-01-22	VYDAJ	VYBER	870	25958	\N	\N	\N
984917	3359	1997-01-12	VYDAJ	VYBER	870	27968	\N	\N	\N
984918	3359	1997-01-26	VYDAJ	VYBER	570	30788	\N	\N	\N
984919	3359	1997-01-08	VYDAJ	VYBER	780	25129	\N	\N	\N
984920	3359	1997-01-12	VYDAJ	VYBER	840	27128	\N	\N	\N
984921	3359	1998-01-15	VYDAJ	VYBER	810	32275	\N	\N	\N
984922	3359	1998-01-22	VYDAJ	VYBER	300	33475	\N	\N	\N
984923	3359	1998-01-05	VYDAJ	VYBER	630	32134	\N	\N	\N
984924	3359	1998-01-05	VYDAJ	VYBER	630	32764	\N	\N	\N
984925	3359	1998-01-26	VYDAJ	VYBER	210	33265	\N	\N	\N
984926	3359	1998-01-12	VYDAJ	VYBER	720	33085	\N	\N	\N
984932	3359	1996-12-16	VYDAJ	VYBER	990	28788	\N	\N	\N
984935	3359	1997-12-06	VYDAJ	VYBER	180	32927	\N	\N	\N
984936	3359	1997-12-29	VYDAJ	VYBER	630	33268	\N	\N	\N
984937	3359	1997-10-02	VYDAJ	VYBER	630	38890	\N	\N	\N
984938	3359	1997-02-24	VYDAJ	VYBER	810	31751	\N	\N	\N
984939	3359	1998-08-09	VYDAJ	VYBER KARTOU	1200	29908	\N	\N	0
984940	3359	1998-09-08	VYDAJ	VYBER KARTOU	800	22172	\N	\N	0
984941	3359	1998-08-24	VYDAJ	VYBER KARTOU	300	24908	\N	\N	0
984954	3359	1996-12-31	VYDAJ	VYBER	15	27947	SLUZBY	\N	\N
984955	3359	1997-01-31	VYDAJ	VYBER	15	30890	SLUZBY	\N	\N
984956	3359	1997-02-28	VYDAJ	VYBER	15	35172	SLUZBY	\N	\N
984957	3359	1997-03-31	VYDAJ	VYBER	15	34378	SLUZBY	\N	\N
984958	3359	1997-04-30	VYDAJ	VYBER	15	33681	SLUZBY	\N	\N
984959	3359	1997-05-31	VYDAJ	VYBER	15	35183	SLUZBY	\N	\N
984960	3359	1997-06-30	VYDAJ	VYBER	15	33978	SLUZBY	\N	\N
984961	3359	1997-07-31	VYDAJ	VYBER	15	36282	SLUZBY	\N	\N
984962	3359	1997-08-31	VYDAJ	VYBER	15	39496	SLUZBY	\N	\N
984963	3359	1997-09-30	VYDAJ	VYBER	15	39520	SLUZBY	\N	\N
984964	3359	1997-10-31	VYDAJ	VYBER	15	36709	SLUZBY	\N	\N
984965	3359	1997-11-30	VYDAJ	VYBER	15	33617	SLUZBY	\N	\N
984966	3359	1997-12-31	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
984967	3359	1998-01-31	VYDAJ	VYBER	15	33388	SLUZBY	\N	\N
984968	3359	1998-02-28	VYDAJ	VYBER	15	33285	SLUZBY	\N	\N
984969	3359	1998-03-31	VYDAJ	VYBER	15	34084	SLUZBY	\N	\N
984970	3359	1998-04-30	VYDAJ	VYBER	15	30880	SLUZBY	\N	\N
984971	3359	1998-05-31	VYDAJ	VYBER	15	29065	SLUZBY	\N	\N
984972	3359	1998-06-30	VYDAJ	VYBER	15	26164	SLUZBY	\N	\N
984973	3359	1998-07-31	VYDAJ	VYBER	15	29437	SLUZBY	\N	\N
984974	3359	1998-08-31	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
984975	3359	1998-09-30	VYDAJ	VYBER	15	25973	SLUZBY	\N	\N
984976	3359	1998-10-31	VYDAJ	VYBER	15	27842	SLUZBY	\N	\N
984977	3359	1998-11-30	VYDAJ	VYBER	15	30321	SLUZBY	\N	\N
984978	3359	1996-08-29	PRIJEM	VKLAD	9000	13209	\N	\N	\N
984979	3359	1996-09-28	PRIJEM	VKLAD	1400	18323	\N	\N	\N
984980	3359	1996-10-28	VYDAJ	VYBER	400	21690	\N	\N	\N
984981	3359	1996-11-27	PRIJEM	VKLAD	500	25977	\N	\N	\N
984982	3359	1996-12-27	VYDAJ	VYBER	100	27848	\N	\N	\N
984983	3359	1997-01-26	PRIJEM	VKLAD	5400	31358	\N	\N	\N
984984	3359	1997-02-25	PRIJEM	VKLAD	3300	35051	\N	\N	\N
984985	3359	1997-03-27	VYDAJ	VYBER	2600	34243	\N	\N	\N
984986	3359	1997-04-26	VYDAJ	VYBER	2500	33549	\N	\N	\N
984987	3359	1997-05-26	VYDAJ	VYBER	300	35052	\N	\N	\N
984988	3359	1997-06-25	PRIJEM	VKLAD	5600	42454	\N	\N	\N
984989	3359	1997-07-25	PRIJEM	VKLAD	500	36149	\N	\N	\N
984990	3359	1997-08-24	PRIJEM	VKLAD	1400	39353	\N	\N	\N
984991	3359	1997-09-23	VYDAJ	VYBER	1800	39367	\N	\N	\N
984992	3359	1997-10-23	VYDAJ	VYBER	4000	36561	\N	\N	\N
984993	3359	1997-11-22	VYDAJ	VYBER	4900	33480	\N	\N	\N
984994	3359	1997-12-22	VYDAJ	VYBER	700	33898	\N	\N	\N
984995	3359	1998-01-21	PRIJEM	VKLAD	1500	33775	\N	\N	\N
984996	3359	1998-02-20	VYDAJ	VYBER	1900	33159	\N	\N	\N
984997	3359	1998-03-22	VYDAJ	VYBER	1000	33956	\N	\N	\N
984998	3359	1998-04-21	VYDAJ	VYBER	5000	30755	\N	\N	\N
984999	3359	1998-05-21	VYDAJ	VYBER	3600	28951	\N	\N	\N
985000	3359	1998-06-20	VYDAJ	VYBER KARTOU	2000	26066	\N	\N	0
985001	3359	1998-07-20	PRIJEM	VKLAD	1500	29335	\N	\N	\N
985002	3359	1998-08-19	VYDAJ	VYBER	4700	25208	\N	\N	\N
985003	3359	1998-10-18	PRIJEM	VKLAD	100	27744	\N	\N	\N
985004	3359	1998-11-17	PRIJEM	VKLAD	700	30213	\N	\N	\N
985034	3360	1997-11-10	PRIJEM	VKLAD	600	600	\N	\N	\N
985046	3360	1997-12-09	PRIJEM	VKLAD	20795	21395	\N	\N	\N
985047	3360	1998-01-09	PRIJEM	VKLAD	13863	36424	\N	\N	\N
985048	3360	1998-02-09	PRIJEM	VKLAD	13863	40003	\N	\N	\N
985049	3360	1998-03-09	PRIJEM	VKLAD	13863	54021	\N	\N	\N
985050	3360	1998-04-09	PRIJEM	VKLAD	13863	52947	\N	\N	\N
985051	3360	1998-05-09	PRIJEM	VKLAD	13863	40271	\N	\N	\N
985052	3360	1998-06-09	PRIJEM	VKLAD	20795	53087	\N	\N	\N
985053	3360	1998-07-09	PRIJEM	VKLAD	13863	44436	\N	\N	\N
985054	3360	1998-08-09	PRIJEM	VKLAD	13863	50666	\N	\N	\N
985055	3360	1998-09-09	PRIJEM	VKLAD	13863	53304	\N	\N	\N
985056	3360	1998-10-09	PRIJEM	VKLAD	13863	57643	\N	\N	\N
985057	3360	1998-11-09	PRIJEM	VKLAD	13863	60301	\N	\N	\N
985058	3360	1998-12-09	PRIJEM	VKLAD	20795	68763	\N	\N	\N
985074	3360	1998-04-14	VYDAJ	PREVOD NA UCET	9194	34553	SIPO	OP	85336076
985075	3360	1998-05-14	VYDAJ	PREVOD NA UCET	9194	29177	SIPO	OP	85336076
985076	3360	1998-06-14	VYDAJ	PREVOD NA UCET	9194	20373	SIPO	OP	85336076
985077	3360	1998-07-14	VYDAJ	PREVOD NA UCET	9194	35242	SIPO	OP	85336076
985078	3360	1998-08-14	VYDAJ	PREVOD NA UCET	9194	38592	SIPO	OP	85336076
985079	3360	1998-09-14	VYDAJ	PREVOD NA UCET	9194	44110	SIPO	OP	85336076
985080	3360	1998-10-14	VYDAJ	PREVOD NA UCET	9194	48449	SIPO	OP	85336076
985081	3360	1998-11-14	VYDAJ	PREVOD NA UCET	9194	51107	SIPO	OP	85336076
985082	3360	1998-12-14	VYDAJ	PREVOD NA UCET	9194	59569	SIPO	OP	85336076
985084	3360	1998-06-13	VYDAJ	VYBER	23520	29567	\N	\N	\N
985088	3360	1998-12-05	VYDAJ	VYBER	2240	49069	\N	\N	\N
985106	3360	1998-12-17	VYDAJ	VYBER	1800	57769	\N	\N	\N
985107	3360	1998-05-02	VYDAJ	VYBER	5040	26408	\N	\N	\N
985109	3360	1998-04-18	VYDAJ	VYBER	3240	31313	\N	\N	\N
985110	3360	1998-07-26	VYDAJ	VYBER	1560	33682	\N	\N	\N
985111	3360	1998-08-14	VYDAJ	VYBER	2880	47786	\N	\N	\N
985128	3360	1998-04-30	VYDAJ	VYBER	15	31448	SLUZBY	\N	\N
985129	3360	1998-05-31	VYDAJ	VYBER	15	29293	SLUZBY	\N	\N
985130	3360	1998-06-30	VYDAJ	VYBER	15	20473	SLUZBY	\N	\N
985131	3360	1998-07-31	VYDAJ	VYBER	15	33803	SLUZBY	\N	\N
985132	3360	1998-08-31	VYDAJ	VYBER	15	38741	SLUZBY	\N	\N
985133	3360	1998-09-30	VYDAJ	VYBER	15	44280	SLUZBY	\N	\N
985134	3360	1998-10-31	VYDAJ	VYBER	15	48638	SLUZBY	\N	\N
985135	3360	1998-11-30	VYDAJ	VYBER	15	51309	SLUZBY	\N	\N
985136	3360	1997-12-10	PRIJEM	VKLAD	1100	22495	\N	\N	\N
985137	3360	1998-01-09	VYDAJ	VYBER	6600	29824	\N	\N	\N
985138	3360	1998-02-08	VYDAJ	VYBER	3800	26140	\N	\N	\N
985139	3360	1998-03-10	VYDAJ	VYBER	15100	38921	\N	\N	\N
985140	3360	1998-04-09	VYDAJ	VYBER	9200	43747	\N	\N	\N
985141	3360	1998-05-09	VYDAJ	VYBER	1900	38371	\N	\N	\N
985142	3360	1998-06-08	PRIJEM	VKLAD	3000	32293	\N	\N	\N
985143	3360	1998-07-08	PRIJEM	VKLAD	10100	30573	\N	\N	\N
985144	3360	1998-08-07	PRIJEM	VKLAD	3000	36803	\N	\N	\N
985145	3360	1998-09-06	PRIJEM	VKLAD	700	39441	\N	\N	\N
985146	3360	1998-10-06	VYDAJ	VYBER	500	43780	\N	\N	\N
985147	3360	1998-11-05	VYDAJ	VYBER	2200	46438	\N	\N	\N
985148	3360	1998-12-05	VYDAJ	VYBER	1100	47969	\N	\N	\N
985162	3361	1993-08-26	PRIJEM	VKLAD	200	200	\N	\N	\N
985171	3361	1993-09-07	PRIJEM	VKLAD	9231	9431	\N	\N	\N
985172	3361	1993-10-07	PRIJEM	VKLAD	9231	24575	\N	\N	\N
985173	3361	1993-11-07	PRIJEM	VKLAD	9231	34079	\N	\N	\N
985174	3361	1993-12-07	PRIJEM	VKLAD	13847	41431	\N	\N	\N
985175	3361	1994-01-07	PRIJEM	VKLAD	9231	44585	\N	\N	\N
985176	3361	1994-02-07	PRIJEM	VKLAD	9231	34904	\N	\N	\N
985177	3361	1994-03-07	PRIJEM	VKLAD	9231	33878	\N	\N	\N
985178	3361	1994-04-07	PRIJEM	VKLAD	9231	35151	\N	\N	\N
985179	3361	1994-05-07	PRIJEM	VKLAD	9231	34626	\N	\N	\N
985180	3361	1994-06-07	PRIJEM	VKLAD	13847	39686	\N	\N	\N
985181	3361	1994-07-07	PRIJEM	VKLAD	9231	29553	\N	\N	\N
985182	3361	1994-08-07	PRIJEM	VKLAD	9231	30133	\N	\N	\N
985183	3361	1994-09-07	PRIJEM	VKLAD	9231	37203	\N	\N	\N
985184	3361	1994-10-07	PRIJEM	VKLAD	9231	38388	\N	\N	\N
985185	3361	1994-11-07	PRIJEM	VKLAD	9231	39478	\N	\N	\N
985186	3361	1994-12-07	PRIJEM	VKLAD	13847	38766	\N	\N	\N
985187	3361	1995-01-07	PRIJEM	VKLAD	9231	33257	\N	\N	\N
985188	3361	1995-02-07	PRIJEM	VKLAD	9231	32526	\N	\N	\N
985189	3361	1995-03-07	PRIJEM	VKLAD	9231	33688	\N	\N	\N
985190	3361	1995-04-07	PRIJEM	VKLAD	9231	34540	\N	\N	\N
985191	3361	1995-05-07	PRIJEM	VKLAD	9231	42025	\N	\N	\N
985192	3361	1995-06-07	PRIJEM	VKLAD	13847	47344	\N	\N	\N
985193	3361	1995-07-07	PRIJEM	VKLAD	9231	45159	\N	\N	\N
985194	3361	1995-08-07	PRIJEM	VKLAD	9231	45775	\N	\N	\N
985195	3361	1995-09-07	PRIJEM	VKLAD	9231	43888	\N	\N	\N
985196	3361	1995-10-07	PRIJEM	VKLAD	9231	42098	\N	\N	\N
985197	3361	1995-11-07	PRIJEM	VKLAD	9231	43101	\N	\N	\N
985198	3361	1995-12-07	PRIJEM	VKLAD	13847	51430	\N	\N	\N
985199	3361	1996-01-07	PRIJEM	VKLAD	9231	39949	\N	\N	\N
985200	3361	1996-02-07	PRIJEM	VKLAD	9231	34084	\N	\N	\N
985201	3361	1996-03-07	PRIJEM	VKLAD	9231	39364	\N	\N	\N
985202	3361	1996-04-07	PRIJEM	VKLAD	9231	42962	\N	\N	\N
985203	3361	1996-05-07	PRIJEM	VKLAD	9231	50284	\N	\N	\N
985204	3361	1996-06-07	PRIJEM	VKLAD	13847	58743	\N	\N	\N
985205	3361	1996-07-07	PRIJEM	VKLAD	9231	56600	\N	\N	\N
985206	3361	1996-08-07	PRIJEM	VKLAD	9231	51773	\N	\N	\N
985207	3361	1996-09-07	PRIJEM	VKLAD	9231	52112	\N	\N	\N
985208	3361	1996-10-07	PRIJEM	VKLAD	9231	51006	\N	\N	\N
985209	3361	1996-11-07	PRIJEM	VKLAD	9231	49280	\N	\N	\N
985210	3361	1996-12-07	PRIJEM	VKLAD	13847	55933	\N	\N	\N
985211	3361	1997-01-07	PRIJEM	VKLAD	9231	40881	\N	\N	\N
985212	3361	1997-02-07	PRIJEM	VKLAD	9231	47601	\N	\N	\N
985213	3361	1997-03-07	PRIJEM	VKLAD	9231	46979	\N	\N	\N
985214	3361	1997-04-07	PRIJEM	VKLAD	9231	40603	\N	\N	\N
985215	3361	1997-05-07	PRIJEM	VKLAD	9231	48914	\N	\N	\N
985216	3361	1997-06-07	PRIJEM	VKLAD	13847	58562	\N	\N	\N
985217	3361	1997-07-07	PRIJEM	VKLAD	9231	58873	\N	\N	\N
985218	3361	1997-08-07	PRIJEM	VKLAD	9231	62147	\N	\N	\N
985219	3361	1997-09-07	PRIJEM	VKLAD	9231	64137	\N	\N	\N
985220	3361	1997-10-07	PRIJEM	VKLAD	9231	63657	\N	\N	\N
985221	3361	1997-11-07	PRIJEM	VKLAD	9231	64155	\N	\N	\N
985222	3361	1997-12-07	PRIJEM	VKLAD	13847	72373	\N	\N	\N
985223	3361	1998-01-07	PRIJEM	VKLAD	9231	73857	\N	\N	\N
985224	3361	1998-02-07	PRIJEM	VKLAD	9231	74368	\N	\N	\N
985225	3361	1998-03-07	PRIJEM	VKLAD	9231	77909	\N	\N	\N
985226	3361	1998-04-07	PRIJEM	VKLAD	9231	78166	\N	\N	\N
985227	3361	1998-05-07	PRIJEM	VKLAD	9231	78527	\N	\N	\N
985228	3361	1998-06-07	PRIJEM	VKLAD	13847	84803	\N	\N	\N
985229	3361	1998-07-07	PRIJEM	VKLAD	9231	60277	\N	\N	\N
985230	3361	1998-08-07	PRIJEM	VKLAD	9231	71361	\N	\N	\N
985231	3361	1998-09-07	PRIJEM	VKLAD	9231	80489	\N	\N	\N
985232	3361	1998-10-07	PRIJEM	VKLAD	9231	80162	\N	\N	\N
985233	3361	1998-11-07	PRIJEM	VKLAD	9231	83626	\N	\N	\N
985234	3361	1998-12-07	PRIJEM	VKLAD	13847	83057	\N	\N	\N
985247	3361	1994-01-09	VYDAJ	PREVOD NA UCET	6154	38431	SIPO	EF	34121233
985248	3361	1994-02-09	VYDAJ	PREVOD NA UCET	6154	28750	SIPO	EF	34121233
985249	3361	1994-03-09	VYDAJ	PREVOD NA UCET	6154	27724	SIPO	EF	34121233
985250	3361	1994-04-09	VYDAJ	PREVOD NA UCET	6154	28997	SIPO	EF	34121233
985251	3361	1994-05-09	VYDAJ	PREVOD NA UCET	6154	22952	SIPO	EF	34121233
985252	3361	1994-06-09	VYDAJ	PREVOD NA UCET	6154	33532	SIPO	EF	34121233
985253	3361	1994-07-09	VYDAJ	PREVOD NA UCET	6154	23399	SIPO	EF	34121233
985254	3361	1994-08-09	VYDAJ	PREVOD NA UCET	6154	23979	SIPO	EF	34121233
985255	3361	1994-09-09	VYDAJ	PREVOD NA UCET	6154	31049	SIPO	EF	34121233
985256	3361	1994-10-09	VYDAJ	PREVOD NA UCET	6154	32234	SIPO	EF	34121233
985257	3361	1994-11-09	VYDAJ	PREVOD NA UCET	6154	33324	SIPO	EF	34121233
985258	3361	1994-12-09	VYDAJ	PREVOD NA UCET	6154	32612	SIPO	EF	34121233
985259	3361	1995-01-09	VYDAJ	PREVOD NA UCET	6154	27103	SIPO	EF	34121233
985260	3361	1995-02-09	VYDAJ	PREVOD NA UCET	6154	26372	SIPO	EF	34121233
985261	3361	1995-03-09	VYDAJ	PREVOD NA UCET	6154	27534	SIPO	EF	34121233
985262	3361	1995-04-09	VYDAJ	PREVOD NA UCET	6154	28386	SIPO	EF	34121233
985263	3361	1995-05-09	VYDAJ	PREVOD NA UCET	6154	35871	SIPO	EF	34121233
985264	3361	1995-06-09	VYDAJ	PREVOD NA UCET	6154	41190	SIPO	EF	34121233
985265	3361	1995-07-09	VYDAJ	PREVOD NA UCET	6154	39005	SIPO	EF	34121233
985266	3361	1995-08-09	VYDAJ	PREVOD NA UCET	6154	39621	SIPO	EF	34121233
985267	3361	1995-09-09	VYDAJ	PREVOD NA UCET	6154	37734	SIPO	EF	34121233
985268	3361	1995-10-09	VYDAJ	PREVOD NA UCET	6154	35944	SIPO	EF	34121233
985269	3361	1995-11-09	VYDAJ	PREVOD NA UCET	6154	36947	SIPO	EF	34121233
985270	3361	1995-12-09	VYDAJ	PREVOD NA UCET	6154	45276	SIPO	EF	34121233
985271	3361	1996-01-09	VYDAJ	PREVOD NA UCET	6154	33795	SIPO	EF	34121233
985272	3361	1996-02-09	VYDAJ	PREVOD NA UCET	6154	27930	SIPO	EF	34121233
985273	3361	1996-03-09	VYDAJ	PREVOD NA UCET	6154	33210	SIPO	EF	34121233
985274	3361	1996-04-09	VYDAJ	PREVOD NA UCET	6154	36808	SIPO	EF	34121233
985275	3361	1996-05-09	VYDAJ	PREVOD NA UCET	6154	44130	SIPO	EF	34121233
985276	3361	1996-06-09	VYDAJ	PREVOD NA UCET	6154	52589	SIPO	EF	34121233
985277	3361	1996-07-09	VYDAJ	PREVOD NA UCET	6154	50446	SIPO	EF	34121233
985278	3361	1996-08-09	VYDAJ	PREVOD NA UCET	6154	45619	SIPO	EF	34121233
985279	3361	1996-09-09	VYDAJ	PREVOD NA UCET	6154	43758	SIPO	EF	34121233
985280	3361	1996-10-09	VYDAJ	PREVOD NA UCET	6154	41452	SIPO	EF	34121233
985281	3361	1996-11-09	VYDAJ	PREVOD NA UCET	6154	41926	SIPO	EF	34121233
985282	3361	1996-12-09	VYDAJ	PREVOD NA UCET	6154	41979	SIPO	EF	34121233
985283	3361	1997-01-09	VYDAJ	PREVOD NA UCET	6154	39427	SIPO	EF	34121233
985284	3361	1997-02-09	VYDAJ	PREVOD NA UCET	6154	41447	SIPO	EF	34121233
985285	3361	1997-03-09	VYDAJ	PREVOD NA UCET	6154	43825	SIPO	EF	34121233
985286	3361	1997-04-09	VYDAJ	PREVOD NA UCET	6154	36649	SIPO	EF	34121233
985287	3361	1997-05-09	VYDAJ	PREVOD NA UCET	6154	42760	SIPO	EF	34121233
985288	3361	1997-06-09	VYDAJ	PREVOD NA UCET	6154	52408	SIPO	EF	34121233
985289	3361	1997-07-09	VYDAJ	PREVOD NA UCET	6154	52719	SIPO	EF	34121233
985290	3361	1997-08-09	VYDAJ	PREVOD NA UCET	6154	55993	SIPO	EF	34121233
985291	3361	1997-09-09	VYDAJ	PREVOD NA UCET	6154	57983	SIPO	EF	34121233
985292	3361	1997-10-09	VYDAJ	PREVOD NA UCET	6154	57503	SIPO	EF	34121233
985293	3361	1997-11-09	VYDAJ	PREVOD NA UCET	6154	58001	SIPO	EF	34121233
985294	3361	1997-12-09	VYDAJ	PREVOD NA UCET	6154	66219	SIPO	EF	34121233
985295	3361	1998-01-09	VYDAJ	PREVOD NA UCET	6154	67703	SIPO	EF	34121233
985296	3361	1998-02-09	VYDAJ	PREVOD NA UCET	6154	68214	SIPO	EF	34121233
985297	3361	1998-03-09	VYDAJ	PREVOD NA UCET	6154	71755	SIPO	EF	34121233
985298	3361	1998-04-09	VYDAJ	PREVOD NA UCET	6154	72012	SIPO	EF	34121233
985299	3361	1998-05-09	VYDAJ	PREVOD NA UCET	6154	72373	SIPO	EF	34121233
985300	3361	1998-06-09	VYDAJ	PREVOD NA UCET	6154	78649	SIPO	EF	34121233
985301	3361	1998-07-09	VYDAJ	PREVOD NA UCET	6154	54123	SIPO	EF	34121233
985302	3361	1998-08-09	VYDAJ	PREVOD NA UCET	6154	65207	SIPO	EF	34121233
985303	3361	1998-09-09	VYDAJ	PREVOD NA UCET	6154	70255	SIPO	EF	34121233
985304	3361	1998-10-09	VYDAJ	PREVOD NA UCET	6154	74008	SIPO	EF	34121233
985305	3361	1998-11-09	VYDAJ	PREVOD NA UCET	6154	77472	SIPO	EF	34121233
985306	3361	1998-12-09	VYDAJ	PREVOD NA UCET	6154	73303	SIPO	EF	34121233
985308	3361	1994-06-29	VYDAJ	VYBER	9920	20212	\N	\N	\N
985311	3361	1997-06-09	VYDAJ	VYBER	9760	42648	\N	\N	\N
985312	3361	1998-06-20	VYDAJ	VYBER	45440	33209	\N	\N	\N
985314	3361	1994-12-28	VYDAJ	VYBER	3520	25592	\N	\N	\N
985315	3361	1995-12-19	VYDAJ	VYBER	2400	34776	\N	\N	\N
985316	3361	1996-12-18	VYDAJ	VYBER	4480	37499	\N	\N	\N
985317	3361	1997-12-16	VYDAJ	VYBER	3200	63019	\N	\N	\N
985318	3361	1998-12-04	VYDAJ	VYBER	4160	69210	\N	\N	\N
985326	3361	1994-01-15	VYDAJ	VYBER	2040	35311	\N	\N	\N
985327	3361	1994-01-15	VYDAJ	VYBER	1080	37351	\N	\N	\N
985328	3361	1994-01-26	VYDAJ	VYBER	2880	25551	\N	\N	\N
985329	3361	1994-01-21	VYDAJ	VYBER	2880	30631	\N	\N	\N
985330	3361	1994-01-18	VYDAJ	VYBER	1800	33511	\N	\N	\N
985331	3361	1995-01-03	VYDAJ	VYBER	600	25106	\N	\N	\N
985332	3361	1995-01-09	VYDAJ	VYBER	720	26383	\N	\N	\N
985333	3361	1995-01-26	VYDAJ	VYBER	1200	24883	\N	\N	\N
985334	3361	1995-01-04	VYDAJ	VYBER	1080	24026	\N	\N	\N
985335	3361	1995-01-10	VYDAJ	VYBER	1200	25183	\N	\N	\N
985336	3361	1995-01-29	VYDAJ	VYBER	1680	23203	\N	\N	\N
985337	3361	1996-01-03	VYDAJ	VYBER	3360	31558	\N	\N	\N
985338	3361	1996-01-21	VYDAJ	VYBER	3000	31095	\N	\N	\N
985339	3361	1996-01-26	VYDAJ	VYBER	2760	28335	\N	\N	\N
985340	3361	1996-01-04	VYDAJ	VYBER	840	30718	\N	\N	\N
985341	3361	1996-01-28	VYDAJ	VYBER	2280	24735	\N	\N	\N
985342	3361	1996-01-27	VYDAJ	VYBER	1320	27015	\N	\N	\N
985343	3361	1997-01-21	VYDAJ	VYBER	720	29347	\N	\N	\N
985344	3361	1997-01-16	VYDAJ	VYBER	3240	30787	\N	\N	\N
985345	3361	1997-01-13	VYDAJ	VYBER	2640	36787	\N	\N	\N
985346	3361	1997-01-02	VYDAJ	VYBER	3240	34410	\N	\N	\N
985347	3361	1997-01-16	VYDAJ	VYBER	2760	34027	\N	\N	\N
985348	3361	1997-01-20	VYDAJ	VYBER	720	30067	\N	\N	\N
985349	3361	1998-01-19	VYDAJ	VYBER	600	64823	\N	\N	\N
985350	3361	1998-01-18	VYDAJ	VYBER	840	65423	\N	\N	\N
985351	3361	1998-01-11	VYDAJ	VYBER	600	67103	\N	\N	\N
985352	3361	1998-01-15	VYDAJ	VYBER	840	66263	\N	\N	\N
985353	3361	1998-01-02	VYDAJ	VYBER	1440	64626	\N	\N	\N
985354	3361	1998-01-20	VYDAJ	VYBER	2640	62183	\N	\N	\N
985361	3361	1994-05-08	VYDAJ	VYBER	5520	29106	\N	\N	\N
985362	3361	1994-08-05	VYDAJ	VYBER	4680	21502	\N	\N	\N
985363	3361	1994-08-05	VYDAJ	VYBER	600	20902	\N	\N	\N
985364	3361	1994-12-01	VYDAJ	VYBER	5520	24920	\N	\N	\N
985365	3361	1995-02-10	VYDAJ	VYBER	5160	21212	\N	\N	\N
985366	3361	1995-09-25	VYDAJ	VYBER	4200	32734	\N	\N	\N
985367	3361	1995-02-26	VYDAJ	VYBER	2040	24372	\N	\N	\N
985368	3361	1995-03-25	VYDAJ	VYBER	3720	25214	\N	\N	\N
985369	3361	1996-07-21	VYDAJ	VYBER	5280	42366	\N	\N	\N
985370	3361	1996-11-01	VYDAJ	VYBER	1560	40049	\N	\N	\N
985371	3361	1996-09-24	VYDAJ	VYBER	2160	41598	\N	\N	\N
985372	3361	1997-03-13	VYDAJ	VYBER	2520	41305	\N	\N	\N
985373	3361	1997-09-28	VYDAJ	VYBER	4680	53303	\N	\N	\N
985374	3361	1997-03-29	VYDAJ	VYBER	5880	31225	\N	\N	\N
985375	3361	1997-01-02	VYDAJ	VYBER	2760	31650	\N	\N	\N
985376	3361	1997-03-22	VYDAJ	VYBER	4200	37105	\N	\N	\N
985377	3361	1997-02-18	VYDAJ	VYBER	3840	37607	\N	\N	\N
985378	3361	1998-12-07	VYDAJ	VYBER	3600	79457	\N	\N	\N
985379	3361	1998-07-19	VYDAJ	VYBER	4080	50043	\N	\N	\N
985380	3361	1998-05-02	VYDAJ	VYBER	600	69296	\N	\N	\N
985381	3361	1998-09-08	VYDAJ	VYBER	4080	76409	\N	\N	\N
985395	3361	1994-01-31	VYDAJ	VYBER	15	25673	SLUZBY	\N	\N
985396	3361	1994-02-28	VYDAJ	VYBER	15	24647	SLUZBY	\N	\N
985397	3361	1994-03-31	VYDAJ	VYBER	15	25920	SLUZBY	\N	\N
985398	3361	1994-04-30	VYDAJ	VYBER	15	25395	SLUZBY	\N	\N
985399	3361	1994-05-31	VYDAJ	VYBER	15	25840	SLUZBY	\N	\N
985400	3361	1994-06-30	VYDAJ	VYBER	15	20322	SLUZBY	\N	\N
985401	3361	1994-07-31	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
985402	3361	1994-08-31	VYDAJ	VYBER	15	27972	SLUZBY	\N	\N
985403	3361	1994-09-30	VYDAJ	VYBER	15	29157	SLUZBY	\N	\N
985404	3361	1994-10-31	VYDAJ	VYBER	15	30247	SLUZBY	\N	\N
985405	3361	1994-11-30	VYDAJ	VYBER	15	30440	SLUZBY	\N	\N
985406	3361	1994-12-31	VYDAJ	VYBER	15	25706	SLUZBY	\N	\N
985407	3361	1995-01-31	VYDAJ	VYBER	15	23295	SLUZBY	\N	\N
985408	3361	1995-02-28	VYDAJ	VYBER	15	24457	SLUZBY	\N	\N
985409	3361	1995-03-31	VYDAJ	VYBER	15	25309	SLUZBY	\N	\N
985410	3361	1995-04-30	VYDAJ	VYBER	15	32794	SLUZBY	\N	\N
985411	3361	1995-05-31	VYDAJ	VYBER	15	33498	SLUZBY	\N	\N
985412	3361	1995-06-30	VYDAJ	VYBER	15	35928	SLUZBY	\N	\N
985413	3361	1995-07-31	VYDAJ	VYBER	15	36544	SLUZBY	\N	\N
985414	3361	1995-08-31	VYDAJ	VYBER	15	34657	SLUZBY	\N	\N
985415	3361	1995-09-30	VYDAJ	VYBER	15	32867	SLUZBY	\N	\N
985416	3361	1995-10-31	VYDAJ	VYBER	15	33870	SLUZBY	\N	\N
985417	3361	1995-11-30	VYDAJ	VYBER	15	37584	SLUZBY	\N	\N
985418	3361	1995-12-31	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
985419	3361	1996-01-31	VYDAJ	VYBER	15	24853	SLUZBY	\N	\N
985420	3361	1996-02-29	VYDAJ	VYBER	15	30133	SLUZBY	\N	\N
985421	3361	1996-03-31	VYDAJ	VYBER	15	33731	SLUZBY	\N	\N
985422	3361	1996-04-30	VYDAJ	VYBER	15	41053	SLUZBY	\N	\N
985423	3361	1996-05-31	VYDAJ	VYBER	15	44897	SLUZBY	\N	\N
985424	3361	1996-06-30	VYDAJ	VYBER	15	47369	SLUZBY	\N	\N
985425	3361	1996-07-31	VYDAJ	VYBER	15	42542	SLUZBY	\N	\N
985426	3361	1996-08-31	VYDAJ	VYBER	15	42881	SLUZBY	\N	\N
985427	3361	1996-09-30	VYDAJ	VYBER	15	41775	SLUZBY	\N	\N
985428	3361	1996-10-31	VYDAJ	VYBER	15	41609	SLUZBY	\N	\N
985429	3361	1996-11-30	VYDAJ	VYBER	15	42086	SLUZBY	\N	\N
985430	3361	1996-12-31	VYDAJ	VYBER	15	37650	SLUZBY	\N	\N
985431	3361	1997-01-31	VYDAJ	VYBER	15	29470	SLUZBY	\N	\N
985432	3361	1997-02-28	VYDAJ	VYBER	15	37748	SLUZBY	\N	\N
985433	3361	1997-03-31	VYDAJ	VYBER	15	31372	SLUZBY	\N	\N
985434	3361	1997-04-30	VYDAJ	VYBER	15	36783	SLUZBY	\N	\N
985435	3361	1997-05-31	VYDAJ	VYBER	15	42916	SLUZBY	\N	\N
985436	3361	1997-06-30	VYDAJ	VYBER	15	42842	SLUZBY	\N	\N
985437	3361	1997-07-31	VYDAJ	VYBER	15	52916	SLUZBY	\N	\N
985438	3361	1997-08-31	VYDAJ	VYBER	15	56206	SLUZBY	\N	\N
985439	3361	1997-09-30	VYDAJ	VYBER	15	53526	SLUZBY	\N	\N
985440	3361	1997-10-31	VYDAJ	VYBER	15	57724	SLUZBY	\N	\N
985441	3361	1997-11-30	VYDAJ	VYBER	15	58227	SLUZBY	\N	\N
985442	3361	1997-12-31	VYDAJ	VYBER	15	63266	SLUZBY	\N	\N
985443	3361	1998-01-31	VYDAJ	VYBER	15	62437	SLUZBY	\N	\N
985444	3361	1998-02-28	VYDAJ	VYBER	15	68478	SLUZBY	\N	\N
985445	3361	1998-03-31	VYDAJ	VYBER	15	72035	SLUZBY	\N	\N
985446	3361	1998-04-30	VYDAJ	VYBER	15	72296	SLUZBY	\N	\N
985447	3361	1998-05-31	VYDAJ	VYBER	15	72656	SLUZBY	\N	\N
985448	3361	1998-06-30	VYDAJ	VYBER	15	33446	SLUZBY	\N	\N
985449	3361	1998-07-31	VYDAJ	VYBER	15	62130	SLUZBY	\N	\N
985450	3361	1998-08-31	VYDAJ	VYBER	15	71258	SLUZBY	\N	\N
985451	3361	1998-09-30	VYDAJ	VYBER	15	70931	SLUZBY	\N	\N
985452	3361	1998-10-31	VYDAJ	VYBER	15	74395	SLUZBY	\N	\N
985453	3361	1998-11-30	VYDAJ	VYBER	15	73370	SLUZBY	\N	\N
985454	3361	1993-09-25	PRIJEM	VKLAD	5900	15331	\N	\N	\N
985455	3361	1993-10-25	PRIJEM	VKLAD	200	24775	\N	\N	\N
985456	3361	1993-11-24	VYDAJ	VYBER	6600	27479	\N	\N	\N
985457	3361	1993-12-24	VYDAJ	VYBER	6200	35231	\N	\N	\N
985458	3361	1994-01-23	VYDAJ	VYBER	2200	28431	\N	\N	\N
985459	3361	1994-02-22	VYDAJ	VYBER	4200	24550	\N	\N	\N
985460	3361	1994-03-24	VYDAJ	VYBER	1900	25824	\N	\N	\N
985461	3361	1994-04-23	VYDAJ	VYBER	3700	25297	\N	\N	\N
985462	3361	1994-05-23	PRIJEM	VKLAD	2800	25752	\N	\N	\N
985463	3361	1994-06-22	VYDAJ	VYBER	3400	30132	\N	\N	\N
985464	3361	1994-07-22	PRIJEM	VKLAD	2700	26099	\N	\N	\N
985465	3361	1994-08-21	PRIJEM	VKLAD	3900	27879	\N	\N	\N
985466	3361	1994-09-20	VYDAJ	VYBER	2000	29049	\N	\N	\N
985467	3361	1994-10-20	VYDAJ	VYBER	2100	30134	\N	\N	\N
985468	3361	1994-11-19	VYDAJ	VYBER	3000	30324	\N	\N	\N
985469	3361	1994-12-19	VYDAJ	VYBER	3500	29112	\N	\N	\N
985470	3361	1995-01-18	PRIJEM	VKLAD	900	26083	\N	\N	\N
985471	3361	1995-02-17	PRIJEM	VKLAD	5200	26412	\N	\N	\N
985472	3361	1995-03-19	PRIJEM	VKLAD	1400	28934	\N	\N	\N
985473	3361	1995-04-18	PRIJEM	VKLAD	4300	32686	\N	\N	\N
985474	3361	1995-05-18	VYDAJ	VYBER	2500	33371	\N	\N	\N
985475	3361	1995-06-17	VYDAJ	VYBER	5400	35790	\N	\N	\N
985476	3361	1995-07-17	VYDAJ	VYBER	2600	36405	\N	\N	\N
985477	3361	1995-08-16	VYDAJ	VYBER	5100	34521	\N	\N	\N
985478	3361	1995-09-15	VYDAJ	VYBER	800	36934	\N	\N	\N
985479	3361	1995-10-15	VYDAJ	VYBER	2200	33744	\N	\N	\N
985480	3361	1995-11-14	PRIJEM	VKLAD	500	37447	\N	\N	\N
985481	3361	1995-12-14	VYDAJ	VYBER	8100	37176	\N	\N	\N
985482	3361	1996-01-13	PRIJEM	VKLAD	300	34095	\N	\N	\N
985483	3361	1996-02-12	PRIJEM	VKLAD	2100	30030	\N	\N	\N
985484	3361	1996-03-13	PRIJEM	VKLAD	400	33610	\N	\N	\N
985485	3361	1996-04-12	PRIJEM	VKLAD	4100	40908	\N	\N	\N
985486	3361	1996-05-12	PRIJEM	VKLAD	600	44730	\N	\N	\N
985487	3361	1996-06-11	VYDAJ	VYBER	5400	47189	\N	\N	\N
985488	3361	1996-07-11	VYDAJ	VYBER	2800	47646	\N	\N	\N
985489	3361	1996-08-10	VYDAJ	VYBER	2900	42719	\N	\N	\N
985490	3361	1996-09-09	VYDAJ	VYBER	2200	49912	\N	\N	\N
985491	3361	1996-10-09	VYDAJ	VYBER	3400	47606	\N	\N	\N
985492	3361	1996-11-08	VYDAJ	VYBER	1200	48080	\N	\N	\N
985493	3361	1996-12-08	VYDAJ	VYBER	7800	48133	\N	\N	\N
985494	3361	1997-01-07	PRIJEM	VKLAD	4700	45581	\N	\N	\N
985495	3361	1997-02-06	PRIJEM	VKLAD	8900	38370	\N	\N	\N
985496	3361	1997-03-08	PRIJEM	VKLAD	3000	49979	\N	\N	\N
985497	3361	1997-04-07	PRIJEM	VKLAD	2200	42803	\N	\N	\N
985498	3361	1997-05-07	PRIJEM	VKLAD	2900	39683	\N	\N	\N
985499	3361	1997-06-06	PRIJEM	VKLAD	1800	44716	\N	\N	\N
985500	3361	1997-07-06	PRIJEM	VKLAD	6800	49642	\N	\N	\N
985501	3361	1997-09-04	VYDAJ	VYBER	1300	54906	\N	\N	\N
985502	3361	1997-10-04	PRIJEM	VKLAD	900	54426	\N	\N	\N
985503	3361	1997-11-03	VYDAJ	VYBER	2800	54924	\N	\N	\N
985504	3361	1997-12-03	PRIJEM	VKLAD	300	58527	\N	\N	\N
985505	3361	1998-01-02	PRIJEM	VKLAD	2800	66066	\N	\N	\N
985506	3361	1998-02-01	PRIJEM	VKLAD	2700	65137	\N	\N	\N
985507	3361	1998-03-03	PRIJEM	VKLAD	200	68678	\N	\N	\N
985508	3361	1998-04-02	VYDAJ	VYBER	3100	68935	\N	\N	\N
985509	3361	1998-05-02	VYDAJ	VYBER	2400	69896	\N	\N	\N
985510	3361	1998-06-01	VYDAJ	VYBER	1700	70956	\N	\N	\N
985511	3361	1998-07-01	PRIJEM	VKLAD	17600	51046	\N	\N	\N
985512	3361	1998-07-31	PRIJEM	VKLAD	11900	61943	\N	\N	\N
985513	3361	1998-08-30	PRIJEM	VKLAD	5800	71007	\N	\N	\N
985514	3361	1998-09-29	PRIJEM	VKLAD	400	70655	\N	\N	\N
985515	3361	1998-10-29	PRIJEM	VKLAD	100	74108	\N	\N	\N
985516	3361	1998-11-28	VYDAJ	VYBER	4400	73072	\N	\N	\N
985581	3362	1995-01-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
985583	3362	1995-02-05	PRIJEM	VKLAD	10942	12042	\N	\N	\N
985584	3362	1995-03-05	PRIJEM	VKLAD	10942	31399	\N	\N	\N
985585	3362	1995-04-05	PRIJEM	VKLAD	10942	40334	\N	\N	\N
985586	3362	1995-05-05	PRIJEM	VKLAD	10942	44301	\N	\N	\N
985587	3362	1995-06-05	PRIJEM	VKLAD	16413	53756	\N	\N	\N
985588	3362	1995-07-05	PRIJEM	VKLAD	10942	43847	\N	\N	\N
985589	3362	1995-08-05	PRIJEM	VKLAD	10942	45528	\N	\N	\N
985590	3362	1995-09-05	PRIJEM	VKLAD	10942	44212	\N	\N	\N
985591	3362	1995-10-05	PRIJEM	VKLAD	10942	43091	\N	\N	\N
985592	3362	1995-11-05	PRIJEM	VKLAD	10942	46470	\N	\N	\N
985593	3362	1995-12-05	PRIJEM	VKLAD	16413	49830	\N	\N	\N
985594	3362	1996-01-05	PRIJEM	VKLAD	10942	39724	\N	\N	\N
985595	3362	1996-02-05	PRIJEM	VKLAD	10942	28968	\N	\N	\N
985596	3362	1996-03-05	PRIJEM	VKLAD	10942	40301	\N	\N	\N
985597	3362	1996-04-05	PRIJEM	VKLAD	10942	41168	\N	\N	\N
985598	3362	1996-05-05	PRIJEM	VKLAD	10942	47744	\N	\N	\N
985599	3362	1996-06-05	PRIJEM	VKLAD	16413	54911	\N	\N	\N
985600	3362	1996-07-05	PRIJEM	VKLAD	10942	52730	\N	\N	\N
985601	3362	1996-08-05	PRIJEM	VKLAD	10942	49238	\N	\N	\N
985602	3362	1996-09-05	PRIJEM	VKLAD	10942	49336	\N	\N	\N
985603	3362	1996-10-05	PRIJEM	VKLAD	10942	46132	\N	\N	\N
985604	3362	1996-11-05	PRIJEM	VKLAD	10942	44523	\N	\N	\N
985605	3362	1996-12-05	PRIJEM	VKLAD	16413	49475	\N	\N	\N
985606	3362	1997-01-05	PRIJEM	VKLAD	10942	49476	\N	\N	\N
985607	3362	1997-02-05	PRIJEM	VKLAD	10942	46173	\N	\N	\N
985608	3362	1997-03-05	PRIJEM	VKLAD	10942	40661	\N	\N	\N
985609	3362	1997-04-05	PRIJEM	VKLAD	10942	45438	\N	\N	\N
985610	3362	1997-05-05	PRIJEM	VKLAD	10942	46821	\N	\N	\N
985611	3362	1997-06-05	PRIJEM	VKLAD	16413	33978	\N	\N	\N
985612	3362	1997-07-05	PRIJEM	VKLAD	10942	40537	\N	\N	\N
985613	3362	1997-08-05	PRIJEM	VKLAD	10942	42202	\N	\N	\N
985614	3362	1997-09-05	PRIJEM	VKLAD	10942	43974	\N	\N	\N
985615	3362	1997-10-05	PRIJEM	VKLAD	10942	40838	\N	\N	\N
985616	3362	1997-11-05	PRIJEM	VKLAD	10942	40596	\N	\N	\N
985617	3362	1997-12-05	PRIJEM	VKLAD	16413	43718	\N	\N	\N
985618	3362	1998-01-05	PRIJEM	VKLAD	10942	37886	\N	\N	\N
985619	3362	1998-02-05	PRIJEM	VKLAD	10942	28327	\N	\N	\N
985620	3362	1998-03-05	PRIJEM	VKLAD	10942	41473	\N	\N	\N
985621	3362	1998-04-05	PRIJEM	VKLAD	10942	44743	\N	\N	\N
985622	3362	1998-05-05	PRIJEM	VKLAD	10942	46422	\N	\N	\N
985623	3362	1998-06-05	PRIJEM	VKLAD	16413	50276	\N	\N	\N
985624	3362	1998-07-05	PRIJEM	VKLAD	10942	44164	\N	\N	\N
985625	3362	1998-08-05	PRIJEM	VKLAD	10942	44839	\N	\N	\N
985626	3362	1998-09-05	PRIJEM	VKLAD	10942	42002	\N	\N	\N
985627	3362	1998-10-05	PRIJEM	VKLAD	10942	42966	\N	\N	\N
985628	3362	1998-11-05	PRIJEM	VKLAD	10942	45243	\N	\N	\N
985629	3362	1998-12-05	PRIJEM	VKLAD	16413	49487	\N	\N	\N
985635	3362	1995-06-06	VYDAJ	PREVOD NA UCET	7294	46462	SIPO	UV	25993234
985636	3362	1995-07-06	VYDAJ	PREVOD NA UCET	7294	36553	SIPO	UV	25993234
985637	3362	1995-08-06	VYDAJ	PREVOD NA UCET	7294	38234	SIPO	UV	25993234
985638	3362	1995-09-06	VYDAJ	PREVOD NA UCET	7294	36918	SIPO	UV	25993234
985639	3362	1995-10-06	VYDAJ	PREVOD NA UCET	7294	35797	SIPO	UV	25993234
985640	3362	1995-11-06	VYDAJ	PREVOD NA UCET	7294	39176	SIPO	UV	25993234
985641	3362	1995-12-06	VYDAJ	PREVOD NA UCET	7294	42536	SIPO	UV	25993234
985642	3362	1996-01-06	VYDAJ	PREVOD NA UCET	7294	32430	SIPO	UV	25993234
985643	3362	1996-02-06	VYDAJ	PREVOD NA UCET	7294	21674	SIPO	UV	25993234
985644	3362	1996-03-06	VYDAJ	PREVOD NA UCET	7294	33007	SIPO	UV	25993234
985645	3362	1996-04-06	VYDAJ	PREVOD NA UCET	7294	33874	SIPO	UV	25993234
985646	3362	1996-05-06	VYDAJ	PREVOD NA UCET	7294	40450	SIPO	UV	25993234
985647	3362	1996-06-06	VYDAJ	PREVOD NA UCET	7294	47617	SIPO	UV	25993234
985648	3362	1996-07-06	VYDAJ	PREVOD NA UCET	7294	45436	SIPO	UV	25993234
985649	3362	1996-08-06	VYDAJ	PREVOD NA UCET	7294	41944	SIPO	UV	25993234
985650	3362	1996-09-06	VYDAJ	PREVOD NA UCET	7294	42042	SIPO	UV	25993234
985651	3362	1996-10-06	VYDAJ	PREVOD NA UCET	7294	38838	SIPO	UV	25993234
985652	3362	1996-11-06	VYDAJ	PREVOD NA UCET	7294	37229	SIPO	UV	25993234
985653	3362	1996-12-06	VYDAJ	PREVOD NA UCET	7294	42181	SIPO	UV	25993234
985654	3362	1997-01-06	VYDAJ	PREVOD NA UCET	7294	42182	SIPO	UV	25993234
985655	3362	1997-02-06	VYDAJ	PREVOD NA UCET	7294	38879	SIPO	UV	25993234
985656	3362	1997-03-06	VYDAJ	PREVOD NA UCET	7294	33367	SIPO	UV	25993234
985657	3362	1997-04-06	VYDAJ	PREVOD NA UCET	7294	38144	SIPO	UV	25993234
985658	3362	1997-05-06	VYDAJ	PREVOD NA UCET	7294	39527	SIPO	UV	25993234
985659	3362	1997-06-06	VYDAJ	PREVOD NA UCET	7294	26684	SIPO	UV	25993234
985660	3362	1997-07-06	VYDAJ	PREVOD NA UCET	7294	33243	SIPO	UV	25993234
985661	3362	1997-08-06	VYDAJ	PREVOD NA UCET	7294	34908	SIPO	UV	25993234
985662	3362	1997-09-06	VYDAJ	PREVOD NA UCET	7294	36680	SIPO	UV	25993234
985663	3362	1997-10-06	VYDAJ	PREVOD NA UCET	7294	33544	SIPO	UV	25993234
985664	3362	1997-11-06	VYDAJ	PREVOD NA UCET	7294	33302	SIPO	UV	25993234
985665	3362	1997-12-06	VYDAJ	PREVOD NA UCET	7294	35124	SIPO	UV	25993234
985666	3362	1998-01-06	VYDAJ	PREVOD NA UCET	7294	30592	SIPO	UV	25993234
985667	3362	1998-02-06	VYDAJ	PREVOD NA UCET	7294	21033	SIPO	UV	25993234
985668	3362	1998-03-06	VYDAJ	PREVOD NA UCET	7294	34179	SIPO	UV	25993234
985669	3362	1998-04-06	VYDAJ	PREVOD NA UCET	7294	37449	SIPO	UV	25993234
985670	3362	1998-05-06	VYDAJ	PREVOD NA UCET	7294	39128	SIPO	UV	25993234
985671	3362	1998-06-06	VYDAJ	PREVOD NA UCET	7294	42982	SIPO	UV	25993234
985672	3362	1998-07-06	VYDAJ	PREVOD NA UCET	7294	36870	SIPO	UV	25993234
985673	3362	1998-08-06	VYDAJ	PREVOD NA UCET	7294	37545	SIPO	UV	25993234
985674	3362	1998-09-06	VYDAJ	PREVOD NA UCET	7294	34708	SIPO	UV	25993234
985675	3362	1998-10-06	VYDAJ	PREVOD NA UCET	7294	35672	SIPO	UV	25993234
985676	3362	1998-11-06	VYDAJ	PREVOD NA UCET	7294	34049	SIPO	UV	25993234
985677	3362	1998-12-06	VYDAJ	PREVOD NA UCET	7294	29193	SIPO	UV	25993234
985678	3362	1995-06-07	VYDAJ	VYBER	4600	41862	\N	\N	\N
985679	3362	1996-06-29	VYDAJ	VYBER	3200	41617	\N	\N	\N
985680	3362	1997-06-01	VYDAJ	VYBER	18100	17565	\N	\N	\N
985681	3362	1998-06-23	VYDAJ	VYBER	5400	33082	\N	\N	\N
985683	3362	1996-01-27	VYDAJ	VYBER	6600	17930	\N	\N	\N
985684	3362	1997-01-01	VYDAJ	VYBER	2100	38534	\N	\N	\N
985685	3362	1998-01-19	VYDAJ	VYBER	5700	23092	\N	\N	\N
985686	3362	1995-12-25	VYDAJ	VYBER	1600	34736	\N	\N	\N
985687	3362	1996-12-03	VYDAJ	VYBER	500	33062	\N	\N	\N
985688	3362	1997-12-06	VYDAJ	VYBER	1300	42418	\N	\N	\N
985689	3362	1998-12-05	VYDAJ	VYBER	2900	36487	\N	\N	\N
985696	3362	1996-01-03	VYDAJ	VYBER	2000	28782	\N	\N	\N
985697	3362	1996-01-10	VYDAJ	VYBER	2800	29630	\N	\N	\N
985698	3362	1996-01-25	VYDAJ	VYBER	800	24530	\N	\N	\N
985699	3362	1996-01-13	VYDAJ	VYBER	2500	27130	\N	\N	\N
985700	3362	1996-01-20	VYDAJ	VYBER	2300	25330	\N	\N	\N
985701	3362	1996-01-14	VYDAJ	VYBER	2400	24730	\N	\N	\N
985702	3362	1997-01-13	VYDAJ	VYBER	800	38182	\N	\N	\N
985703	3362	1997-01-10	VYDAJ	VYBER	600	41582	\N	\N	\N
985704	3362	1997-01-13	VYDAJ	VYBER	2600	38982	\N	\N	\N
985705	3362	1997-01-30	VYDAJ	VYBER	1600	35082	\N	\N	\N
985706	3362	1997-01-24	VYDAJ	VYBER	1200	36682	\N	\N	\N
985707	3362	1997-01-17	VYDAJ	VYBER	1800	37882	\N	\N	\N
985708	3362	1998-01-30	VYDAJ	VYBER	2100	17292	\N	\N	\N
985709	3362	1998-01-09	VYDAJ	VYBER	2100	31292	\N	\N	\N
985710	3362	1998-01-19	VYDAJ	VYBER	1300	21792	\N	\N	\N
985711	3362	1998-01-04	VYDAJ	VYBER	2300	26944	\N	\N	\N
985712	3362	1998-01-21	VYDAJ	VYBER	2400	19392	\N	\N	\N
985713	3362	1998-01-15	VYDAJ	VYBER	2500	28792	\N	\N	\N
985716	3362	1995-11-29	VYDAJ	VYBER	2600	33276	\N	\N	\N
985717	3362	1995-09-23	VYDAJ	VYBER	2000	32018	\N	\N	\N
985718	3362	1995-06-14	VYDAJ	VYBER	4000	37862	\N	\N	\N
985720	3362	1996-10-31	VYDAJ	VYBER	4900	33581	\N	\N	\N
985721	3362	1996-09-25	VYDAJ	VYBER	4400	35042	\N	\N	\N
985722	3362	1996-11-28	VYDAJ	VYBER	2100	33429	\N	\N	\N
985723	3362	1996-03-25	VYDAJ	VYBER	4100	30107	\N	\N	\N
985724	3362	1996-01-03	VYDAJ	VYBER	4100	30782	\N	\N	\N
985725	3362	1996-07-22	VYDAJ	VYBER	2400	38136	\N	\N	\N
985726	3362	1997-06-20	VYDAJ	VYBER	2200	29484	\N	\N	\N
985727	3362	1997-09-14	VYDAJ	VYBER	700	29780	\N	\N	\N
985728	3362	1997-12-25	VYDAJ	VYBER	800	31424	\N	\N	\N
985729	3362	1997-03-04	VYDAJ	VYBER	2100	29719	\N	\N	\N
985730	3362	1997-03-04	VYDAJ	VYBER	1900	31819	\N	\N	\N
985731	3362	1997-03-01	VYDAJ	VYBER	3900	33719	\N	\N	\N
985732	3362	1997-08-04	VYDAJ	VYBER	1000	31260	\N	\N	\N
985733	3362	1998-11-23	VYDAJ	VYBER	1100	32949	\N	\N	\N
985734	3362	1998-01-01	VYDAJ	VYBER	2300	29244	\N	\N	\N
985735	3362	1998-06-02	VYDAJ	VYBER	2300	33863	\N	\N	\N
985736	3362	1998-07-24	VYDAJ	VYBER	1200	33770	\N	\N	\N
985743	3362	1995-06-30	VYDAJ	VYBER	15	32905	SLUZBY	\N	\N
985744	3362	1995-07-31	VYDAJ	VYBER	15	34586	SLUZBY	\N	\N
985745	3362	1995-08-31	VYDAJ	VYBER	15	33270	SLUZBY	\N	\N
985746	3362	1995-09-30	VYDAJ	VYBER	15	32149	SLUZBY	\N	\N
985747	3362	1995-10-31	VYDAJ	VYBER	15	35528	SLUZBY	\N	\N
985748	3362	1995-11-30	VYDAJ	VYBER	15	33417	SLUZBY	\N	\N
985749	3362	1995-12-31	VYDAJ	VYBER	15	34882	SLUZBY	\N	\N
985750	3362	1996-01-31	VYDAJ	VYBER	15	18026	SLUZBY	\N	\N
985751	3362	1996-02-29	VYDAJ	VYBER	15	29359	SLUZBY	\N	\N
985752	3362	1996-03-31	VYDAJ	VYBER	15	30226	SLUZBY	\N	\N
985753	3362	1996-04-30	VYDAJ	VYBER	15	36802	SLUZBY	\N	\N
985754	3362	1996-05-31	VYDAJ	VYBER	15	38498	SLUZBY	\N	\N
985755	3362	1996-06-30	VYDAJ	VYBER	15	41788	SLUZBY	\N	\N
985756	3362	1996-07-31	VYDAJ	VYBER	15	38296	SLUZBY	\N	\N
985757	3362	1996-08-31	VYDAJ	VYBER	15	38394	SLUZBY	\N	\N
985758	3362	1996-09-30	VYDAJ	VYBER	15	35190	SLUZBY	\N	\N
985759	3362	1996-10-31	VYDAJ	VYBER	15	38481	SLUZBY	\N	\N
985760	3362	1996-11-30	VYDAJ	VYBER	15	33562	SLUZBY	\N	\N
985761	3362	1996-12-31	VYDAJ	VYBER	15	40634	SLUZBY	\N	\N
985762	3362	1997-01-31	VYDAJ	VYBER	15	35231	SLUZBY	\N	\N
985763	3362	1997-02-28	VYDAJ	VYBER	15	37619	SLUZBY	\N	\N
985764	3362	1997-03-31	VYDAJ	VYBER	15	34496	SLUZBY	\N	\N
985765	3362	1997-04-30	VYDAJ	VYBER	15	35879	SLUZBY	\N	\N
985766	3362	1997-05-31	VYDAJ	VYBER	15	35665	SLUZBY	\N	\N
985767	3362	1997-06-30	VYDAJ	VYBER	15	29595	SLUZBY	\N	\N
985768	3362	1997-07-31	VYDAJ	VYBER	15	32260	SLUZBY	\N	\N
985769	3362	1997-08-31	VYDAJ	VYBER	15	33032	SLUZBY	\N	\N
985770	3362	1997-09-30	VYDAJ	VYBER	15	29896	SLUZBY	\N	\N
985771	3362	1997-10-31	VYDAJ	VYBER	15	29654	SLUZBY	\N	\N
985772	3362	1997-11-30	VYDAJ	VYBER	15	27305	SLUZBY	\N	\N
985773	3362	1997-12-31	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
985774	3362	1998-01-31	VYDAJ	VYBER	15	17385	SLUZBY	\N	\N
985775	3362	1998-02-28	VYDAJ	VYBER	15	30531	SLUZBY	\N	\N
985776	3362	1998-03-31	VYDAJ	VYBER	15	33801	SLUZBY	\N	\N
985777	3362	1998-04-30	VYDAJ	VYBER	15	35480	SLUZBY	\N	\N
985778	3362	1998-05-31	VYDAJ	VYBER	15	36163	SLUZBY	\N	\N
985779	3362	1998-06-30	VYDAJ	VYBER	15	33222	SLUZBY	\N	\N
985780	3362	1998-07-31	VYDAJ	VYBER	15	33897	SLUZBY	\N	\N
985781	3362	1998-08-31	VYDAJ	VYBER	15	31060	SLUZBY	\N	\N
985782	3362	1998-09-30	VYDAJ	VYBER	15	32024	SLUZBY	\N	\N
985783	3362	1998-10-31	VYDAJ	VYBER	15	34301	SLUZBY	\N	\N
985784	3362	1998-11-30	VYDAJ	VYBER	15	33074	SLUZBY	\N	\N
985785	3362	1995-02-24	PRIJEM	VKLAD	8400	20442	\N	\N	\N
985786	3362	1995-03-26	VYDAJ	VYBER	2100	29299	\N	\N	\N
985787	3362	1995-04-25	VYDAJ	VYBER	7100	33234	\N	\N	\N
985788	3362	1995-05-25	VYDAJ	VYBER	7100	37201	\N	\N	\N
985789	3362	1995-06-24	VYDAJ	VYBER	5100	32762	\N	\N	\N
985790	3362	1995-07-24	VYDAJ	VYBER	2100	34453	\N	\N	\N
985791	3362	1995-08-23	VYDAJ	VYBER	5100	33134	\N	\N	\N
985792	3362	1995-09-22	VYDAJ	VYBER	2900	34018	\N	\N	\N
985793	3362	1995-10-22	VYDAJ	VYBER	400	35397	\N	\N	\N
985794	3362	1995-11-21	VYDAJ	VYBER	3300	35876	\N	\N	\N
985795	3362	1995-12-21	VYDAJ	VYBER	6200	36336	\N	\N	\N
985796	3362	1996-01-20	PRIJEM	VKLAD	2900	27630	\N	\N	\N
985797	3362	1996-02-19	PRIJEM	VKLAD	7600	29274	\N	\N	\N
985798	3362	1996-03-20	PRIJEM	VKLAD	1200	34207	\N	\N	\N
985799	3362	1996-04-19	PRIJEM	VKLAD	2800	36674	\N	\N	\N
985800	3362	1996-05-19	VYDAJ	VYBER	2100	38350	\N	\N	\N
985801	3362	1996-06-18	VYDAJ	VYBER	2800	44817	\N	\N	\N
985802	3362	1996-07-18	VYDAJ	VYBER	4900	40536	\N	\N	\N
985803	3362	1996-08-17	VYDAJ	VYBER	3700	38244	\N	\N	\N
985804	3362	1996-09-16	VYDAJ	VYBER	2600	39442	\N	\N	\N
985805	3362	1996-10-16	VYDAJ	VYBER	500	38338	\N	\N	\N
985806	3362	1996-11-15	VYDAJ	VYBER	1700	35529	\N	\N	\N
985807	3362	1996-12-15	VYDAJ	VYBER	1700	40481	\N	\N	\N
985808	3362	1997-01-14	PRIJEM	VKLAD	1500	39682	\N	\N	\N
985809	3362	1997-02-13	VYDAJ	VYBER	1400	37479	\N	\N	\N
985810	3362	1997-03-15	PRIJEM	VKLAD	1000	34367	\N	\N	\N
985811	3362	1997-04-14	VYDAJ	VYBER	2400	35744	\N	\N	\N
985812	3362	1997-05-14	VYDAJ	VYBER	4000	35527	\N	\N	\N
985813	3362	1997-06-13	PRIJEM	VKLAD	5000	31684	\N	\N	\N
985814	3362	1997-07-13	VYDAJ	VYBER	1100	32143	\N	\N	\N
985815	3362	1997-08-12	VYDAJ	VYBER	2000	32908	\N	\N	\N
985816	3362	1997-09-11	VYDAJ	VYBER	6200	30480	\N	\N	\N
985817	3362	1997-10-11	VYDAJ	VYBER	4000	29544	\N	\N	\N
985818	3362	1997-11-10	VYDAJ	VYBER	6100	27202	\N	\N	\N
985819	3362	1997-12-10	VYDAJ	VYBER	2900	32224	\N	\N	\N
985820	3362	1998-01-09	PRIJEM	VKLAD	2800	33392	\N	\N	\N
985821	3362	1998-02-08	PRIJEM	VKLAD	9400	30433	\N	\N	\N
985822	3362	1998-03-10	VYDAJ	VYBER	500	33679	\N	\N	\N
985823	3362	1998-04-09	VYDAJ	VYBER	2100	35349	\N	\N	\N
985824	3362	1998-05-09	VYDAJ	VYBER	3100	36028	\N	\N	\N
985825	3362	1998-06-08	VYDAJ	VYBER	4500	38482	\N	\N	\N
985826	3362	1998-07-08	VYDAJ	VYBER	1900	34970	\N	\N	\N
985827	3362	1998-08-07	VYDAJ	VYBER	6600	30945	\N	\N	\N
985828	3362	1998-09-06	VYDAJ	VYBER	2800	31908	\N	\N	\N
985829	3362	1998-10-06	VYDAJ	VYBER	1500	34172	\N	\N	\N
985830	3362	1998-11-05	VYDAJ	VYBER	3900	41343	\N	\N	\N
985831	3362	1998-12-05	VYDAJ	VYBER	10100	39387	\N	\N	\N
985879	3363	1995-06-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
985886	3363	1995-07-13	PRIJEM	PREVOD Z UCTU	4412	5512	DUCHOD	ST	45808875
985887	3363	1995-08-13	PRIJEM	PREVOD Z UCTU	4412	9924	DUCHOD	ST	45808875
985888	3363	1995-09-13	PRIJEM	PREVOD Z UCTU	4412	14336	DUCHOD	ST	45808875
985889	3363	1995-10-13	PRIJEM	PREVOD Z UCTU	4412	18748	DUCHOD	ST	45808875
985890	3363	1995-11-13	PRIJEM	PREVOD Z UCTU	4412	23160	DUCHOD	ST	45808875
985891	3363	1995-12-13	PRIJEM	PREVOD Z UCTU	4412	24793	DUCHOD	ST	45808875
985892	3363	1996-01-13	PRIJEM	PREVOD Z UCTU	4412	23056	DUCHOD	ST	45808875
985893	3363	1996-02-13	PRIJEM	PREVOD Z UCTU	4412	17070	DUCHOD	ST	45808875
985894	3363	1996-03-13	PRIJEM	PREVOD Z UCTU	4412	19064	DUCHOD	ST	45808875
985895	3363	1996-04-13	PRIJEM	PREVOD Z UCTU	4412	21064	DUCHOD	ST	45808875
985896	3363	1996-05-13	PRIJEM	PREVOD Z UCTU	4412	20508	DUCHOD	ST	45808875
985897	3363	1996-06-13	PRIJEM	PREVOD Z UCTU	4412	22514	DUCHOD	ST	45808875
985898	3363	1996-07-13	PRIJEM	PREVOD Z UCTU	4412	21729	DUCHOD	ST	45808875
985899	3363	1996-08-13	PRIJEM	PREVOD Z UCTU	4412	23745	DUCHOD	ST	45808875
985900	3363	1996-09-13	PRIJEM	PREVOD Z UCTU	4412	25765	DUCHOD	ST	45808875
985901	3363	1996-10-13	PRIJEM	PREVOD Z UCTU	4412	27793	DUCHOD	ST	45808875
985902	3363	1996-11-13	PRIJEM	PREVOD Z UCTU	4412	29829	DUCHOD	ST	45808875
985903	3363	1996-12-13	PRIJEM	PREVOD Z UCTU	4412	28754	DUCHOD	ST	45808875
985904	3363	1997-01-13	PRIJEM	PREVOD Z UCTU	4412	24119	DUCHOD	ST	45808875
985905	3363	1997-02-13	PRIJEM	PREVOD Z UCTU	4412	22943	DUCHOD	ST	45808875
985906	3363	1997-03-13	PRIJEM	PREVOD Z UCTU	4412	24959	DUCHOD	ST	45808875
985907	3363	1997-04-13	PRIJEM	PREVOD Z UCTU	4412	26984	DUCHOD	ST	45808875
985908	3363	1997-05-13	PRIJEM	PREVOD Z UCTU	4412	29017	DUCHOD	ST	45808875
985909	3363	1997-06-13	PRIJEM	PREVOD Z UCTU	4412	27693	DUCHOD	ST	45808875
985910	3363	1997-07-13	PRIJEM	PREVOD Z UCTU	4412	27809	DUCHOD	ST	45808875
985911	3363	1997-08-13	PRIJEM	PREVOD Z UCTU	4412	29849	DUCHOD	ST	45808875
985912	3363	1997-09-13	PRIJEM	PREVOD Z UCTU	4412	31894	DUCHOD	ST	45808875
985913	3363	1997-10-13	PRIJEM	PREVOD Z UCTU	4412	33947	DUCHOD	ST	45808875
985914	3363	1997-11-13	PRIJEM	PREVOD Z UCTU	4412	36009	DUCHOD	ST	45808875
985915	3363	1997-12-13	PRIJEM	PREVOD Z UCTU	4412	35518	DUCHOD	ST	45808875
985916	3363	1998-01-13	PRIJEM	PREVOD Z UCTU	4412	34234	DUCHOD	ST	45808875
985917	3363	1998-02-13	PRIJEM	PREVOD Z UCTU	4412	30291	DUCHOD	ST	45808875
985918	3363	1998-03-13	PRIJEM	PREVOD Z UCTU	4412	30737	DUCHOD	ST	45808875
985919	3363	1998-04-13	PRIJEM	PREVOD Z UCTU	4412	32789	DUCHOD	ST	45808875
985920	3363	1998-05-13	PRIJEM	PREVOD Z UCTU	4412	34846	DUCHOD	ST	45808875
985921	3363	1998-06-13	PRIJEM	PREVOD Z UCTU	4412	22411	DUCHOD	ST	45808875
985922	3363	1998-07-13	PRIJEM	PREVOD Z UCTU	4412	24449	DUCHOD	ST	45808875
985923	3363	1998-08-13	PRIJEM	PREVOD Z UCTU	4412	22148	DUCHOD	ST	45808875
985924	3363	1998-09-13	PRIJEM	PREVOD Z UCTU	4412	24165	DUCHOD	ST	45808875
985925	3363	1998-10-13	PRIJEM	PREVOD Z UCTU	4412	26186	DUCHOD	ST	45808875
985926	3363	1998-11-13	PRIJEM	PREVOD Z UCTU	4412	25175	DUCHOD	ST	45808875
985927	3363	1998-12-13	PRIJEM	PREVOD Z UCTU	4412	25755	DUCHOD	ST	45808875
985938	3363	1995-11-14	VYDAJ	PREVOD NA UCET	2463	20697	SIPO	OP	95549660
985939	3363	1995-12-14	VYDAJ	PREVOD NA UCET	2463	22330	SIPO	OP	95549660
985940	3363	1996-01-14	VYDAJ	PREVOD NA UCET	2463	20593	SIPO	OP	95549660
985941	3363	1996-02-14	VYDAJ	PREVOD NA UCET	2463	14607	SIPO	OP	95549660
985942	3363	1996-03-14	VYDAJ	PREVOD NA UCET	2463	16601	SIPO	OP	95549660
985943	3363	1996-04-14	VYDAJ	PREVOD NA UCET	2463	18601	SIPO	OP	95549660
985944	3363	1996-05-14	VYDAJ	PREVOD NA UCET	2463	18045	SIPO	OP	95549660
985945	3363	1996-06-14	VYDAJ	PREVOD NA UCET	2463	20051	SIPO	OP	95549660
985946	3363	1996-07-14	VYDAJ	PREVOD NA UCET	2463	19266	SIPO	OP	95549660
985947	3363	1996-08-14	VYDAJ	PREVOD NA UCET	2463	21282	SIPO	OP	95549660
985948	3363	1996-09-14	VYDAJ	PREVOD NA UCET	2463	23302	SIPO	OP	95549660
985949	3363	1996-10-14	VYDAJ	PREVOD NA UCET	2463	25330	SIPO	OP	95549660
985950	3363	1996-11-14	VYDAJ	PREVOD NA UCET	2463	27366	SIPO	OP	95549660
985951	3363	1996-12-14	VYDAJ	PREVOD NA UCET	2463	26291	SIPO	OP	95549660
985952	3363	1997-01-14	VYDAJ	PREVOD NA UCET	2463	21656	SIPO	OP	95549660
985953	3363	1997-02-14	VYDAJ	PREVOD NA UCET	2463	20480	SIPO	OP	95549660
985954	3363	1997-03-14	VYDAJ	PREVOD NA UCET	2463	22496	SIPO	OP	95549660
985955	3363	1997-04-14	VYDAJ	PREVOD NA UCET	2463	24521	SIPO	OP	95549660
985956	3363	1997-05-14	VYDAJ	PREVOD NA UCET	2463	26554	SIPO	OP	95549660
985957	3363	1997-06-14	VYDAJ	PREVOD NA UCET	2463	25230	SIPO	OP	95549660
985958	3363	1997-07-14	VYDAJ	PREVOD NA UCET	2463	25346	SIPO	OP	95549660
985959	3363	1997-08-14	VYDAJ	PREVOD NA UCET	2463	27386	SIPO	OP	95549660
985960	3363	1997-09-14	VYDAJ	PREVOD NA UCET	2463	29431	SIPO	OP	95549660
985961	3363	1997-10-14	VYDAJ	PREVOD NA UCET	2463	31484	SIPO	OP	95549660
985962	3363	1997-11-14	VYDAJ	PREVOD NA UCET	2463	33546	SIPO	OP	95549660
985963	3363	1997-12-14	VYDAJ	PREVOD NA UCET	2463	32105	SIPO	OP	95549660
985964	3363	1998-01-14	VYDAJ	PREVOD NA UCET	2463	31771	SIPO	OP	95549660
985965	3363	1998-02-14	VYDAJ	PREVOD NA UCET	2463	27828	SIPO	OP	95549660
985966	3363	1998-03-14	VYDAJ	PREVOD NA UCET	2463	28274	SIPO	OP	95549660
985967	3363	1998-04-14	VYDAJ	PREVOD NA UCET	2463	30326	SIPO	OP	95549660
985968	3363	1998-05-14	VYDAJ	PREVOD NA UCET	2463	32383	SIPO	OP	95549660
985969	3363	1998-06-14	VYDAJ	PREVOD NA UCET	2463	19948	SIPO	OP	95549660
985970	3363	1998-07-14	VYDAJ	PREVOD NA UCET	2463	21986	SIPO	OP	95549660
985971	3363	1998-08-14	VYDAJ	PREVOD NA UCET	2463	19685	SIPO	OP	95549660
985972	3363	1998-09-14	VYDAJ	PREVOD NA UCET	2463	21702	SIPO	OP	95549660
985973	3363	1998-10-14	VYDAJ	PREVOD NA UCET	2463	23723	SIPO	OP	95549660
985974	3363	1998-11-14	VYDAJ	PREVOD NA UCET	2463	22712	SIPO	OP	95549660
985975	3363	1998-12-14	VYDAJ	PREVOD NA UCET	2463	23292	SIPO	OP	95549660
985979	3363	1998-06-12	VYDAJ	VYBER	14500	17999	\N	\N	\N
985980	3363	1995-12-03	VYDAJ	VYBER	350	20381	\N	\N	\N
985981	3363	1996-12-28	VYDAJ	VYBER	1400	24891	\N	\N	\N
985982	3363	1997-12-13	VYDAJ	VYBER	950	34568	\N	\N	\N
985983	3363	1998-12-04	VYDAJ	VYBER	1450	21343	\N	\N	\N
985990	3363	1996-01-08	VYDAJ	VYBER	1760	19044	\N	\N	\N
985991	3363	1996-01-28	VYDAJ	VYBER	2320	13393	\N	\N	\N
985992	3363	1996-01-17	VYDAJ	VYBER	800	19793	\N	\N	\N
985993	3363	1996-01-27	VYDAJ	VYBER	1760	15713	\N	\N	\N
985994	3363	1996-01-17	VYDAJ	VYBER	2320	17473	\N	\N	\N
985995	3363	1996-01-08	VYDAJ	VYBER	400	18644	\N	\N	\N
985996	3363	1997-01-08	VYDAJ	VYBER	720	24267	\N	\N	\N
985997	3363	1997-01-11	VYDAJ	VYBER	640	19707	\N	\N	\N
985998	3363	1997-01-29	VYDAJ	VYBER	1600	18456	\N	\N	\N
985999	3363	1997-01-19	VYDAJ	VYBER	1600	20056	\N	\N	\N
986000	3363	1997-01-08	VYDAJ	VYBER	2080	22187	\N	\N	\N
986001	3363	1997-01-10	VYDAJ	VYBER	1840	20347	\N	\N	\N
986002	3363	1998-01-24	VYDAJ	VYBER	2240	25771	\N	\N	\N
986003	3363	1998-01-20	VYDAJ	VYBER	560	30331	\N	\N	\N
986004	3363	1998-01-21	VYDAJ	VYBER	2320	28011	\N	\N	\N
986005	3363	1998-01-05	VYDAJ	VYBER	1440	30782	\N	\N	\N
986006	3363	1998-01-20	VYDAJ	VYBER	880	30891	\N	\N	\N
986007	3363	1998-01-06	VYDAJ	VYBER	960	29822	\N	\N	\N
986012	3363	1995-12-22	VYDAJ	VYBER	1600	20730	\N	\N	\N
986016	3363	1996-02-05	VYDAJ	VYBER	800	12658	\N	\N	\N
986017	3363	1996-04-19	VYDAJ	VYBER	2560	16041	\N	\N	\N
986018	3363	1996-12-09	VYDAJ	VYBER	3120	24342	\N	\N	\N
986019	3363	1996-07-02	VYDAJ	VYBER	2800	17317	\N	\N	\N
986020	3363	1997-05-22	VYDAJ	VYBER	800	23194	\N	\N	\N
986021	3363	1997-05-21	VYDAJ	VYBER	2560	23994	\N	\N	\N
986022	3363	1997-07-09	VYDAJ	VYBER	1920	23397	\N	\N	\N
986023	3363	1997-11-28	VYDAJ	VYBER	2560	30986	\N	\N	\N
986024	3363	1998-03-01	VYDAJ	VYBER	1600	26325	\N	\N	\N
986025	3363	1998-08-11	VYDAJ	VYBER	2800	17736	\N	\N	\N
986026	3363	1998-07-15	VYDAJ	VYBER	880	21106	\N	\N	\N
986027	3363	1998-07-24	VYDAJ	VYBER	640	20466	\N	\N	\N
986028	3363	1998-11-07	VYDAJ	VYBER	3040	20763	\N	\N	\N
986040	3363	1995-11-30	VYDAJ	VYBER	15	20731	SLUZBY	\N	\N
986041	3363	1995-12-31	VYDAJ	VYBER	15	20804	SLUZBY	\N	\N
986042	3363	1996-01-31	VYDAJ	VYBER	15	13458	SLUZBY	\N	\N
986043	3363	1996-02-29	VYDAJ	VYBER	15	14652	SLUZBY	\N	\N
986044	3363	1996-03-31	VYDAJ	VYBER	15	16652	SLUZBY	\N	\N
986045	3363	1996-04-30	VYDAJ	VYBER	15	16096	SLUZBY	\N	\N
986046	3363	1996-05-31	VYDAJ	VYBER	15	18102	SLUZBY	\N	\N
986047	3363	1996-06-30	VYDAJ	VYBER	15	20117	SLUZBY	\N	\N
986048	3363	1996-07-31	VYDAJ	VYBER	15	19333	SLUZBY	\N	\N
986049	3363	1996-08-31	VYDAJ	VYBER	15	21353	SLUZBY	\N	\N
986050	3363	1996-09-30	VYDAJ	VYBER	15	23381	SLUZBY	\N	\N
986051	3363	1996-10-31	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
986052	3363	1996-11-30	VYDAJ	VYBER	15	27462	SLUZBY	\N	\N
986053	3363	1996-12-31	VYDAJ	VYBER	15	24987	SLUZBY	\N	\N
986054	3363	1997-01-31	VYDAJ	VYBER	15	18531	SLUZBY	\N	\N
986055	3363	1997-02-28	VYDAJ	VYBER	15	20547	SLUZBY	\N	\N
986056	3363	1997-03-31	VYDAJ	VYBER	15	22572	SLUZBY	\N	\N
986057	3363	1997-04-30	VYDAJ	VYBER	15	24605	SLUZBY	\N	\N
986058	3363	1997-05-31	VYDAJ	VYBER	15	23281	SLUZBY	\N	\N
986059	3363	1997-06-30	VYDAJ	VYBER	15	25317	SLUZBY	\N	\N
986060	3363	1997-07-31	VYDAJ	VYBER	15	25437	SLUZBY	\N	\N
986061	3363	1997-08-31	VYDAJ	VYBER	15	27482	SLUZBY	\N	\N
986062	3363	1997-09-30	VYDAJ	VYBER	15	29535	SLUZBY	\N	\N
986063	3363	1997-10-31	VYDAJ	VYBER	15	31597	SLUZBY	\N	\N
986064	3363	1997-11-30	VYDAJ	VYBER	15	31106	SLUZBY	\N	\N
986065	3363	1997-12-31	VYDAJ	VYBER	15	32222	SLUZBY	\N	\N
986066	3363	1998-01-31	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
986067	3363	1998-02-28	VYDAJ	VYBER	15	27925	SLUZBY	\N	\N
986068	3363	1998-03-31	VYDAJ	VYBER	15	28377	SLUZBY	\N	\N
986069	3363	1998-04-30	VYDAJ	VYBER	15	30434	SLUZBY	\N	\N
986070	3363	1998-05-31	VYDAJ	VYBER	15	32499	SLUZBY	\N	\N
986071	3363	1998-06-30	VYDAJ	VYBER	15	20037	SLUZBY	\N	\N
986072	3363	1998-07-31	VYDAJ	VYBER	15	20536	SLUZBY	\N	\N
986073	3363	1998-08-31	VYDAJ	VYBER	15	19753	SLUZBY	\N	\N
986074	3363	1998-09-30	VYDAJ	VYBER	15	21774	SLUZBY	\N	\N
986075	3363	1998-10-31	VYDAJ	VYBER	15	23803	SLUZBY	\N	\N
986076	3363	1998-11-30	VYDAJ	VYBER	15	22793	SLUZBY	\N	\N
986115	3364	1994-12-08	PRIJEM	VKLAD	500	500	\N	\N	\N
986120	3364	1995-10-03	PRIJEM	VKLAD	41346	141146	\N	\N	\N
986121	3364	1995-11-05	PRIJEM	VKLAD	19277	58447	\N	\N	\N
986122	3364	1995-09-16	PRIJEM	VKLAD	18819	99495	\N	\N	\N
986123	3364	1995-04-30	PRIJEM	VKLAD	20639	76740	\N	\N	\N
986124	3364	1995-01-28	PRIJEM	VKLAD	23006	61075	\N	\N	\N
986125	3364	1995-12-12	PRIJEM	VKLAD	30741	61000	\N	\N	\N
986126	3364	1995-09-15	PRIJEM	VKLAD	45745	111876	\N	\N	\N
986127	3364	1995-01-17	PRIJEM	VKLAD	26769	38069	\N	\N	\N
986128	3364	1995-03-27	PRIJEM	VKLAD	22321	92612	\N	\N	\N
986129	3364	1995-11-17	PRIJEM	VKLAD	16887	69144	\N	\N	\N
986130	3364	1995-09-09	PRIJEM	VKLAD	31847	71622	\N	\N	\N
986131	3364	1995-06-05	PRIJEM	VKLAD	43759	144017	\N	\N	\N
986132	3364	1995-06-03	PRIJEM	VKLAD	13913	100258	\N	\N	\N
986133	3364	1995-05-14	PRIJEM	VKLAD	19310	86058	\N	\N	\N
986134	3364	1995-03-16	PRIJEM	VKLAD	36472	70291	\N	\N	\N
986135	3364	1995-05-13	PRIJEM	VKLAD	20744	66748	\N	\N	\N
986136	3364	1995-08-29	PRIJEM	VKLAD	34983	55991	\N	\N	\N
986137	3364	1996-03-04	PRIJEM	VKLAD	31400	57152	\N	\N	\N
986138	3364	1996-08-01	PRIJEM	VKLAD	44267	66128	\N	\N	\N
986139	3364	1996-07-03	PRIJEM	VKLAD	25522	48081	\N	\N	\N
986140	3364	1996-04-14	PRIJEM	VKLAD	18366	40214	\N	\N	\N
986141	3364	1996-02-13	PRIJEM	VKLAD	35454	49095	\N	\N	\N
986142	3364	1997-06-30	PRIJEM	VKLAD	25994	52709	\N	\N	\N
986143	3364	1997-07-05	PRIJEM	VKLAD	42242	113180	\N	\N	\N
986144	3364	1997-03-22	PRIJEM	VKLAD	33230	93650	\N	\N	\N
986145	3364	1997-07-16	PRIJEM	VKLAD	17394	64460	\N	\N	\N
986146	3364	1997-12-26	PRIJEM	VKLAD	34791	74252	\N	\N	\N
986147	3364	1997-10-19	PRIJEM	VKLAD	33222	71674	\N	\N	\N
986148	3364	1997-10-05	PRIJEM	VKLAD	13266	115259	\N	\N	\N
986149	3364	1997-09-03	PRIJEM	VKLAD	28658	95135	\N	\N	\N
986150	3364	1997-08-18	PRIJEM	VKLAD	9647	101597	\N	\N	\N
986151	3364	1997-07-03	PRIJEM	VKLAD	18259	70938	\N	\N	\N
986152	3364	1997-04-16	PRIJEM	VKLAD	25597	61592	\N	\N	\N
986153	3364	1997-03-25	PRIJEM	VKLAD	22608	116258	\N	\N	\N
986154	3364	1997-10-31	PRIJEM	VKLAD	26961	82535	\N	\N	\N
986155	3364	1997-04-12	PRIJEM	VKLAD	9944	35995	\N	\N	\N
986156	3364	1997-10-01	PRIJEM	VKLAD	48536	101993	\N	\N	\N
986157	3364	1997-09-18	PRIJEM	VKLAD	29061	118006	\N	\N	\N
986158	3364	1997-03-17	PRIJEM	VKLAD	40083	60420	\N	\N	\N
986159	3364	1997-08-13	PRIJEM	VKLAD	38444	91950	\N	\N	\N
986160	3364	1997-07-18	PRIJEM	VKLAD	38598	103058	\N	\N	\N
986161	3364	1997-09-21	PRIJEM	VKLAD	16662	71168	\N	\N	\N
986162	3364	1997-01-24	PRIJEM	VKLAD	36821	64003	\N	\N	\N
986163	3364	1997-05-01	PRIJEM	VKLAD	39007	76933	\N	\N	\N
986164	3364	1997-01-09	PRIJEM	VKLAD	43004	60873	\N	\N	\N
986165	3364	1997-06-03	PRIJEM	VKLAD	5385	50063	\N	\N	\N
986166	3364	1997-12-01	PRIJEM	VKLAD	16931	60695	\N	\N	\N
986167	3364	1997-01-26	PRIJEM	VKLAD	9457	73460	\N	\N	\N
986168	3364	1998-11-12	PRIJEM	VKLAD	49642	106092	\N	\N	\N
986169	3364	1998-03-19	PRIJEM	VKLAD	7699	75242	\N	\N	\N
986170	3364	1998-08-13	PRIJEM	VKLAD	49732	156061	\N	\N	\N
986171	3364	1998-04-10	PRIJEM	VKLAD	41138	90542	\N	\N	\N
986172	3364	1998-01-23	PRIJEM	VKLAD	14348	80554	\N	\N	\N
986173	3364	1998-07-30	PRIJEM	VKLAD	25663	103818	\N	\N	\N
986174	3364	1998-07-15	PRIJEM	VKLAD	36898	130855	\N	\N	\N
986175	3364	1998-04-12	PRIJEM	VKLAD	20075	110617	\N	\N	\N
986176	3364	1998-06-15	PRIJEM	VKLAD	44722	101852	\N	\N	\N
986177	3364	1998-02-25	PRIJEM	VKLAD	28551	73525	\N	\N	\N
986178	3364	1998-12-27	PRIJEM	VKLAD	13543	122544	\N	\N	\N
986179	3364	1998-12-15	PRIJEM	VKLAD	40724	125513	\N	\N	\N
986180	3364	1998-01-20	PRIJEM	VKLAD	13170	92972	\N	\N	\N
986181	3364	1998-12-27	PRIJEM	VKLAD	38008	109001	\N	\N	\N
986182	3364	1998-06-26	PRIJEM	VKLAD	39454	120806	\N	\N	\N
986183	3364	1998-12-07	PRIJEM	VKLAD	11175	97579	\N	\N	\N
986184	3364	1998-07-04	PRIJEM	VKLAD	37487	100147	\N	\N	\N
986185	3364	1998-12-01	PRIJEM	VKLAD	34190	103668	\N	\N	\N
986186	3364	1998-06-06	PRIJEM	VKLAD	26060	70820	\N	\N	\N
986187	3364	1998-11-08	PRIJEM	VKLAD	34282	78060	\N	\N	\N
986188	3364	1998-08-08	PRIJEM	VKLAD	8359	111820	\N	\N	\N
986189	3364	1998-01-08	PRIJEM	VKLAD	23274	85293	\N	\N	\N
986190	3364	1998-08-13	PRIJEM	VKLAD	28928	184989	\N	\N	\N
986191	3364	1998-11-16	PRIJEM	VKLAD	25163	131255	\N	\N	\N
986268	3364	1995-05-09	VYDAJ	PREVOD NA UCET	5491	46004	SIPO	ST	86091345
986269	3364	1995-06-09	VYDAJ	PREVOD NA UCET	5491	55127	SIPO	ST	86091345
986270	3364	1995-07-09	VYDAJ	PREVOD NA UCET	5491	33469	SIPO	ST	86091345
986271	3364	1995-08-09	VYDAJ	PREVOD NA UCET	5491	21008	SIPO	ST	86091345
986272	3364	1995-09-09	VYDAJ	PREVOD NA UCET	5491	66131	SIPO	ST	86091345
986273	3364	1995-10-09	VYDAJ	PREVOD NA UCET	5491	53156	SIPO	ST	86091345
986274	3364	1995-11-09	VYDAJ	PREVOD NA UCET	5491	52257	SIPO	ST	86091345
986275	3364	1995-12-09	VYDAJ	PREVOD NA UCET	5491	30259	SIPO	ST	86091345
986276	3364	1996-01-09	VYDAJ	PREVOD NA UCET	5491	15584	SIPO	ST	86091345
986277	3364	1996-02-09	VYDAJ	PREVOD NA UCET	5491	13641	SIPO	ST	86091345
986278	3364	1996-03-09	VYDAJ	PREVOD NA UCET	5491	50962	SIPO	ST	86091345
986279	3364	1996-04-09	VYDAJ	PREVOD NA UCET	5491	21848	SIPO	ST	86091345
986280	3364	1996-05-09	VYDAJ	PREVOD NA UCET	5491	18840	SIPO	ST	86091345
986281	3364	1996-06-09	VYDAJ	PREVOD NA UCET	5491	18206	SIPO	ST	86091345
986282	3364	1996-07-09	VYDAJ	PREVOD NA UCET	5491	41891	SIPO	ST	86091345
986283	3364	1996-08-09	VYDAJ	PREVOD NA UCET	5491	59938	SIPO	ST	86091345
986284	3364	1996-09-09	VYDAJ	PREVOD NA UCET	5491	23756	SIPO	ST	86091345
986285	3364	1996-10-09	VYDAJ	PREVOD NA UCET	5491	17341	SIPO	ST	86091345
986286	3364	1996-11-09	VYDAJ	PREVOD NA UCET	5491	14000	SIPO	ST	86091345
986287	3364	1996-12-09	VYDAJ	PREVOD NA UCET	5491	9646	SIPO	ST	86091345
986288	3364	1997-01-09	VYDAJ	PREVOD NA UCET	5491	55382	SIPO	ST	86091345
986289	3364	1997-02-09	VYDAJ	PREVOD NA UCET	5491	31462	SIPO	ST	86091345
986290	3364	1997-03-09	VYDAJ	PREVOD NA UCET	5491	20337	SIPO	ST	86091345
986291	3364	1997-04-09	VYDAJ	PREVOD NA UCET	5491	26051	SIPO	ST	86091345
986292	3364	1997-05-09	VYDAJ	PREVOD NA UCET	5491	70743	SIPO	ST	86091345
986293	3364	1997-06-09	VYDAJ	PREVOD NA UCET	5491	43873	SIPO	ST	86091345
986294	3364	1997-07-09	VYDAJ	PREVOD NA UCET	5491	47066	SIPO	ST	86091345
986295	3364	1997-08-09	VYDAJ	PREVOD NA UCET	5491	53506	SIPO	ST	86091345
986296	3364	1997-09-09	VYDAJ	PREVOD NA UCET	5491	88945	SIPO	ST	86091345
986297	3364	1997-10-09	VYDAJ	PREVOD NA UCET	5491	41996	SIPO	ST	86091345
986298	3364	1997-11-09	VYDAJ	PREVOD NA UCET	5491	63938	SIPO	ST	86091345
986299	3364	1997-12-09	VYDAJ	PREVOD NA UCET	5491	54505	SIPO	ST	86091345
986300	3364	1998-01-09	VYDAJ	PREVOD NA UCET	5491	79802	SIPO	ST	86091345
986301	3364	1998-02-09	VYDAJ	PREVOD NA UCET	5491	61999	SIPO	ST	86091345
986302	3364	1998-03-09	VYDAJ	PREVOD NA UCET	5491	67543	SIPO	ST	86091345
986303	3364	1998-04-09	VYDAJ	PREVOD NA UCET	5491	49404	SIPO	ST	86091345
986304	3364	1998-05-09	VYDAJ	PREVOD NA UCET	5491	35208	SIPO	ST	86091345
986305	3364	1998-06-09	VYDAJ	PREVOD NA UCET	5491	64630	SIPO	ST	86091345
986306	3364	1998-07-09	VYDAJ	PREVOD NA UCET	5491	93957	SIPO	ST	86091345
986307	3364	1998-08-09	VYDAJ	PREVOD NA UCET	5491	106329	SIPO	ST	86091345
986308	3364	1998-09-09	VYDAJ	PREVOD NA UCET	5491	70131	SIPO	ST	86091345
986309	3364	1998-10-09	VYDAJ	PREVOD NA UCET	5491	66417	SIPO	ST	86091345
986310	3364	1998-11-09	VYDAJ	PREVOD NA UCET	5491	56450	SIPO	ST	86091345
986311	3364	1998-12-09	VYDAJ	PREVOD NA UCET	5491	91389	SIPO	ST	86091345
986328	3364	1995-05-07	VYDAJ	PREVOD NA UCET	699	51495	 	MN	21862072
986329	3364	1995-06-07	VYDAJ	PREVOD NA UCET	699	60618	 	MN	21862072
986330	3364	1995-07-07	VYDAJ	PREVOD NA UCET	699	38960	 	MN	21862072
986331	3364	1995-08-07	VYDAJ	PREVOD NA UCET	699	26499	 	MN	21862072
986332	3364	1995-09-07	VYDAJ	PREVOD NA UCET	699	39775	 	MN	21862072
986333	3364	1995-10-07	VYDAJ	PREVOD NA UCET	699	58647	 	MN	21862072
986334	3364	1995-11-07	VYDAJ	PREVOD NA UCET	699	57748	 	MN	21862072
986335	3364	1995-12-07	VYDAJ	PREVOD NA UCET	699	35750	 	MN	21862072
986336	3364	1996-01-07	VYDAJ	PREVOD NA UCET	699	21075	 	MN	21862072
986337	3364	1996-02-07	VYDAJ	PREVOD NA UCET	699	19132	 	MN	21862072
986338	3364	1996-03-07	VYDAJ	PREVOD NA UCET	699	56453	 	MN	21862072
986339	3364	1996-04-07	VYDAJ	PREVOD NA UCET	699	27339	 	MN	21862072
986340	3364	1996-05-07	VYDAJ	PREVOD NA UCET	699	24331	 	MN	21862072
986341	3364	1996-06-07	VYDAJ	PREVOD NA UCET	699	23697	 	MN	21862072
986342	3364	1996-07-07	VYDAJ	PREVOD NA UCET	699	47382	 	MN	21862072
986343	3364	1996-08-07	VYDAJ	PREVOD NA UCET	699	65429	 	MN	21862072
986344	3364	1996-09-07	VYDAJ	PREVOD NA UCET	699	29247	 	MN	21862072
986345	3364	1996-10-07	VYDAJ	PREVOD NA UCET	699	22832	 	MN	21862072
986346	3364	1996-11-07	VYDAJ	PREVOD NA UCET	699	19491	 	MN	21862072
986347	3364	1996-12-07	VYDAJ	PREVOD NA UCET	699	15137	 	MN	21862072
986348	3364	1997-01-07	VYDAJ	PREVOD NA UCET	699	17869	 	MN	21862072
986349	3364	1997-02-07	VYDAJ	PREVOD NA UCET	699	36953	 	MN	21862072
986350	3364	1997-03-07	VYDAJ	PREVOD NA UCET	699	25828	 	MN	21862072
986351	3364	1997-04-07	VYDAJ	PREVOD NA UCET	699	31542	 	MN	21862072
986352	3364	1997-05-07	VYDAJ	PREVOD NA UCET	699	76234	 	MN	21862072
986353	3364	1997-06-07	VYDAJ	PREVOD NA UCET	699	49364	 	MN	21862072
986354	3364	1997-07-07	VYDAJ	PREVOD NA UCET	699	52557	 	MN	21862072
986355	3364	1997-08-07	VYDAJ	PREVOD NA UCET	699	58997	 	MN	21862072
986356	3364	1997-09-07	VYDAJ	PREVOD NA UCET	699	94436	 	MN	21862072
986357	3364	1997-10-07	VYDAJ	PREVOD NA UCET	699	60460	 	MN	21862072
986358	3364	1997-11-07	VYDAJ	PREVOD NA UCET	699	82029	 	MN	21862072
986359	3364	1997-12-07	VYDAJ	PREVOD NA UCET	699	59996	 	MN	21862072
986360	3364	1998-01-07	VYDAJ	PREVOD NA UCET	699	62019	 	MN	21862072
986361	3364	1998-02-07	VYDAJ	PREVOD NA UCET	699	67490	 	MN	21862072
986362	3364	1998-03-07	VYDAJ	PREVOD NA UCET	699	73034	 	MN	21862072
986363	3364	1998-04-07	VYDAJ	PREVOD NA UCET	699	54895	 	MN	21862072
986364	3364	1998-05-07	VYDAJ	PREVOD NA UCET	699	40699	 	MN	21862072
986365	3364	1998-06-07	VYDAJ	PREVOD NA UCET	699	70121	 	MN	21862072
986366	3364	1998-07-07	VYDAJ	PREVOD NA UCET	699	99448	 	MN	21862072
986367	3364	1998-08-07	VYDAJ	PREVOD NA UCET	699	103461	 	MN	21862072
986368	3364	1998-09-07	VYDAJ	PREVOD NA UCET	699	75622	 	MN	21862072
986369	3364	1998-10-07	VYDAJ	PREVOD NA UCET	699	71908	 	MN	21862072
986370	3364	1998-11-07	VYDAJ	PREVOD NA UCET	699	43778	 	MN	21862072
986371	3364	1998-12-07	VYDAJ	PREVOD NA UCET	699	96880	 	MN	21862072
986384	3364	1995-11-27	VYBER	VYBER	16510	52634	\N	\N	\N
986387	3364	1996-08-10	VYBER	VYBER	13087	46851	\N	\N	\N
986396	3364	1996-07-25	VYBER	VYBER	15644	26247	\N	\N	\N
986397	3364	1996-08-17	VYBER	VYBER	9833	37018	\N	\N	\N
986398	3364	1996-02-14	VYBER	VYBER	21510	27585	\N	\N	\N
986399	3364	1997-03-05	VYBER	VYBER	6643	26527	\N	\N	\N
986400	3364	1997-05-24	VYBER	VYBER	8144	62599	\N	\N	\N
986401	3364	1997-10-08	VYBER	VYBER	12973	47487	\N	\N	\N
986402	3364	1997-01-31	VYBER	VYBER	12753	37682	\N	\N	\N
986403	3364	1997-12-11	VYBER	VYBER	20144	34361	\N	\N	\N
986404	3364	1997-06-16	VYBER	VYBER	21504	22369	\N	\N	\N
986406	3364	1997-03-30	VYBER	VYBER	19681	32077	\N	\N	\N
986409	3364	1997-07-06	VYBER	VYBER	12824	53256	\N	\N	\N
986410	3364	1997-10-18	VYBER	VYBER	3544	38452	\N	\N	\N
986411	3364	1997-08-07	VYBER	VYBER	4510	59696	\N	\N	\N
986412	3364	1997-05-24	VYBER	VYBER	3036	59563	\N	\N	\N
986413	3364	1998-09-01	VYBER	VYBER	7022	76321	\N	\N	\N
986414	3364	1998-12-23	VYBER	VYBER	9650	70993	\N	\N	\N
986415	3364	1998-11-24	VYBER	VYBER	3564	79191	\N	\N	\N
986416	3364	1998-11-01	VYBER	VYBER	14701	57677	\N	\N	\N
986417	3364	1998-08-25	VYBER	VYBER	6582	82907	\N	\N	\N
986418	3364	1998-11-25	VYBER	VYBER	4898	69193	\N	\N	\N
986419	3364	1998-02-11	VYBER	VYBER	22725	39274	\N	\N	\N
986420	3364	1998-01-20	VYBER	VYBER	8466	84506	\N	\N	\N
986421	3364	1998-05-06	VYBER	VYBER	21380	41398	\N	\N	\N
986422	3364	1998-12-01	VYBER	VYBER	17264	86404	\N	\N	\N
986423	3364	1998-02-02	VYBER	VYBER	12656	68189	\N	\N	\N
986424	3364	1998-04-25	VYBER	VYBER	21645	62472	\N	\N	\N
986425	3364	1998-11-09	VYBER	VYBER	16119	61941	\N	\N	\N
986426	3364	1998-12-18	VYBER	VYBER	5070	93843	\N	\N	\N
986434	3364	1996-01-03	VYDAJ	VYBER	12300	21774	\N	\N	\N
986435	3364	1997-01-21	VYDAJ	VYBER	28200	27182	\N	\N	\N
986436	3364	1998-01-01	VYDAJ	VYBER	10200	62718	\N	\N	\N
986438	3364	1995-12-27	VYDAJ	VYBER	3300	43900	\N	\N	\N
986440	3364	1997-12-30	VYDAJ	VYBER	1500	72752	\N	\N	\N
986441	3364	1998-12-11	VYDAJ	VYBER	6600	84789	\N	\N	\N
986446	3364	1995-12-20	VYDAJ	VYBER	13800	47200	\N	\N	\N
986450	3364	1996-04-03	VYDAJ	VYBER	9000	28038	\N	\N	\N
986452	3364	1996-04-14	VYDAJ	VYBER	13500	26714	\N	\N	\N
986455	3364	1997-11-21	VYDAJ	VYBER	12900	51038	\N	\N	\N
986456	3364	1997-11-08	VYDAJ	VYBER	12600	69429	\N	\N	\N
986458	3364	1997-07-20	VYDAJ	VYBER	5400	97658	\N	\N	\N
986459	3364	1997-04-18	VYDAJ	VYBER	6000	55592	\N	\N	\N
986460	3364	1997-04-21	VYDAJ	VYBER	8700	46892	\N	\N	\N
986461	3364	1998-04-04	VYDAJ	VYBER	9000	55594	\N	\N	\N
986462	3364	1998-06-10	VYDAJ	VYBER	7500	57130	\N	\N	\N
986463	3364	1998-11-24	VYDAJ	VYBER	5100	74091	\N	\N	\N
986464	3364	1998-12-21	VYDAJ	VYBER	13200	80643	\N	\N	\N
986465	3364	1998-11-05	VYDAJ	VYBER	13200	44477	\N	\N	\N
986466	3364	1998-03-19	VYDAJ	VYBER	5700	69542	\N	\N	\N
986483	3364	1995-04-30	VYDAJ	VYBER	30	77094	SLUZBY	\N	\N
986484	3364	1995-05-31	VYDAJ	VYBER	30	86345	SLUZBY	\N	\N
986485	3364	1995-06-30	VYDAJ	VYBER	30	55359	SLUZBY	\N	\N
986486	3364	1995-07-31	VYDAJ	VYBER	30	33598	SLUZBY	\N	\N
986487	3364	1995-08-31	VYDAJ	VYBER	30	56074	SLUZBY	\N	\N
986488	3364	1995-09-30	VYDAJ	VYBER	30	99800	SLUZBY	\N	\N
986489	3364	1995-10-31	VYDAJ	VYBER	30	53370	SLUZBY	\N	\N
986490	3364	1995-11-30	VYDAJ	VYBER	30	52849	SLUZBY	\N	\N
986491	3364	1995-12-31	VYDAJ	VYBER	30	44074	SLUZBY	\N	\N
986492	3364	1996-01-31	VYDAJ	VYBER	30	15631	SLUZBY	\N	\N
986493	3364	1996-02-29	VYDAJ	VYBER	30	27652	SLUZBY	\N	\N
986494	3364	1996-03-31	VYDAJ	VYBER	30	51138	SLUZBY	\N	\N
986495	3364	1996-04-30	VYDAJ	VYBER	30	26830	SLUZBY	\N	\N
986496	3364	1996-05-31	VYDAJ	VYBER	30	24396	SLUZBY	\N	\N
986497	3364	1996-06-30	VYDAJ	VYBER	30	22559	SLUZBY	\N	\N
986498	3364	1996-07-31	VYDAJ	VYBER	30	21861	SLUZBY	\N	\N
986499	3364	1996-08-31	VYDAJ	VYBER	30	29946	SLUZBY	\N	\N
986500	3364	1996-09-30	VYDAJ	VYBER	30	23531	SLUZBY	\N	\N
986501	3364	1996-10-31	VYDAJ	VYBER	30	20190	SLUZBY	\N	\N
986502	3364	1996-11-30	VYDAJ	VYBER	30	15836	SLUZBY	\N	\N
986503	3364	1996-12-31	VYDAJ	VYBER	30	18568	SLUZBY	\N	\N
986504	3364	1997-01-31	VYDAJ	VYBER	30	37652	SLUZBY	\N	\N
986505	3364	1997-02-28	VYDAJ	VYBER	30	33170	SLUZBY	\N	\N
986506	3364	1997-03-31	VYDAJ	VYBER	30	32241	SLUZBY	\N	\N
986507	3364	1997-04-30	VYDAJ	VYBER	30	37926	SLUZBY	\N	\N
986508	3364	1997-05-31	VYDAJ	VYBER	30	44678	SLUZBY	\N	\N
986509	3364	1997-06-30	VYDAJ	VYBER	30	52679	SLUZBY	\N	\N
986510	3364	1997-07-31	VYDAJ	VYBER	30	64206	SLUZBY	\N	\N
986511	3364	1997-08-31	VYDAJ	VYBER	30	66477	SLUZBY	\N	\N
986512	3364	1997-09-30	VYDAJ	VYBER	30	53457	SLUZBY	\N	\N
986513	3364	1997-10-31	VYDAJ	VYBER	30	82728	SLUZBY	\N	\N
986514	3364	1997-11-30	VYDAJ	VYBER	30	43764	SLUZBY	\N	\N
986515	3364	1997-12-31	VYDAJ	VYBER	30	72918	SLUZBY	\N	\N
986516	3364	1998-01-31	VYDAJ	VYBER	30	80845	SLUZBY	\N	\N
986517	3364	1998-02-28	VYDAJ	VYBER	30	73733	SLUZBY	\N	\N
986518	3364	1998-03-31	VYDAJ	VYBER	30	64594	SLUZBY	\N	\N
986519	3364	1998-04-30	VYDAJ	VYBER	30	62778	SLUZBY	\N	\N
986520	3364	1998-05-31	VYDAJ	VYBER	30	44760	SLUZBY	\N	\N
986521	3364	1998-06-30	VYDAJ	VYBER	30	62660	SLUZBY	\N	\N
986522	3364	1998-07-31	VYDAJ	VYBER	30	104160	SLUZBY	\N	\N
986523	3364	1998-08-31	VYDAJ	VYBER	30	83343	SLUZBY	\N	\N
986524	3364	1998-09-30	VYDAJ	VYBER	30	72607	SLUZBY	\N	\N
986525	3364	1998-10-31	VYDAJ	VYBER	30	72378	SLUZBY	\N	\N
986526	3364	1998-11-30	VYDAJ	VYBER	30	69478	SLUZBY	\N	\N
986527	3364	1995-01-07	PRIJEM	VKLAD	10800	11300	\N	\N	\N
986528	3364	1995-02-06	VYDAJ	VYBER	19200	41964	\N	\N	\N
986529	3364	1995-03-08	VYDAJ	VYBER	8400	33819	\N	\N	\N
986530	3364	1995-04-07	VYDAJ	VYBER	36800	56101	\N	\N	\N
986531	3364	1995-05-07	VYDAJ	VYBER	24900	52194	\N	\N	\N
986532	3364	1995-06-05	VYDAJ	VYBER	38300	105717	\N	\N	\N
986533	3364	1995-06-06	VYDAJ	VYBER	44400	61317	\N	\N	\N
986534	3364	1995-07-06	VYDAJ	VYBER	15700	39659	\N	\N	\N
986535	3364	1995-08-05	VYDAJ	VYBER	6400	27198	\N	\N	\N
986536	3364	1995-09-04	VYDAJ	VYBER	15600	40474	\N	\N	\N
986537	3364	1995-09-15	VYDAJ	VYBER	31200	80676	\N	\N	\N
986538	3364	1995-10-03	VYDAJ	VYBER	45800	95346	\N	\N	\N
986539	3364	1995-10-04	VYDAJ	VYBER	36000	59346	\N	\N	\N
986540	3364	1995-11-03	VYDAJ	VYBER	14200	39170	\N	\N	\N
986541	3364	1995-12-03	VYDAJ	VYBER	16400	36449	\N	\N	\N
986542	3364	1996-01-02	VYDAJ	VYBER	10000	34074	\N	\N	\N
986543	3364	1996-02-01	PRIJEM	VKLAD	4200	19831	\N	\N	\N
986544	3364	1996-03-02	VYDAJ	VYBER	1900	25752	\N	\N	\N
986545	3364	1996-04-01	VYDAJ	VYBER	14100	37038	\N	\N	\N
986546	3364	1996-05-01	VYDAJ	VYBER	1800	25030	\N	\N	\N
986547	3364	1996-05-31	PRIJEM	VKLAD	5500	24340	\N	\N	\N
986548	3364	1996-06-30	PRIJEM	VKLAD	4300	22506	\N	\N	\N
986549	3364	1996-07-30	VYDAJ	VYBER	4500	21747	\N	\N	\N
986550	3364	1996-08-29	VYDAJ	VYBER	7200	29818	\N	\N	\N
986551	3364	1996-09-28	VYDAJ	VYBER	300	23456	\N	\N	\N
986552	3364	1996-10-28	PRIJEM	VKLAD	2800	20141	\N	\N	\N
986553	3364	1996-11-27	PRIJEM	VKLAD	1800	15800	\N	\N	\N
986554	3364	1996-12-27	PRIJEM	VKLAD	8900	18546	\N	\N	\N
986555	3364	1997-01-26	VYDAJ	VYBER	23200	50260	\N	\N	\N
986556	3364	1997-02-25	PRIJEM	VKLAD	1600	33062	\N	\N	\N
986557	3364	1997-03-25	VYDAJ	VYBER	47600	68658	\N	\N	\N
986558	3364	1997-03-27	VYDAJ	VYBER	16900	51758	\N	\N	\N
986559	3364	1997-04-26	VYDAJ	VYBER	9100	37792	\N	\N	\N
986560	3364	1997-05-26	VYDAJ	VYBER	15100	44463	\N	\N	\N
986561	3364	1997-06-25	PRIJEM	VKLAD	4200	26569	\N	\N	\N
986562	3364	1997-07-05	VYDAJ	VYBER	47100	66080	\N	\N	\N
986563	3364	1997-07-25	VYDAJ	VYBER	33700	63958	\N	\N	\N
986564	3364	1997-08-24	VYDAJ	VYBER	35400	66197	\N	\N	\N
986565	3364	1997-09-18	VYDAJ	VYBER	63500	54506	\N	\N	\N
986566	3364	1997-09-23	VYDAJ	VYBER	18000	53168	\N	\N	\N
986567	3364	1997-10-05	VYDAJ	VYBER	54100	61159	\N	\N	\N
986568	3364	1997-10-23	VYDAJ	VYBER	16100	55574	\N	\N	\N
986569	3364	1997-11-22	VYDAJ	VYBER	7500	43538	\N	\N	\N
986570	3364	1997-12-22	PRIJEM	VKLAD	5100	39461	\N	\N	\N
986571	3364	1998-01-21	VYDAJ	VYBER	18300	66206	\N	\N	\N
986572	3364	1998-02-20	PRIJEM	VKLAD	5700	44974	\N	\N	\N
986573	3364	1998-03-22	VYDAJ	VYBER	5200	64342	\N	\N	\N
986574	3364	1998-04-21	VYDAJ	VYBER	26500	84117	\N	\N	\N
986575	3364	1998-05-21	PRIJEM	VKLAD	9400	44608	\N	\N	\N
986576	3364	1998-06-20	VYDAJ	VYBER	20500	81352	\N	\N	\N
986577	3364	1998-06-26	VYDAJ	VYBER	58400	62406	\N	\N	\N
986578	3364	1998-07-15	VYDAJ	VYBER	41800	89055	\N	\N	\N
986579	3364	1998-07-20	VYDAJ	VYBER	10900	78155	\N	\N	\N
986580	3364	1998-08-13	VYDAJ	VYBER	40400	108889	\N	\N	\N
986581	3364	1998-08-13	VYDAJ	VYBER	35700	149289	\N	\N	\N
986582	3364	1998-08-19	VYDAJ	VYBER	19400	89489	\N	\N	\N
986583	3364	1998-09-18	PRIJEM	VKLAD	2200	72331	\N	\N	\N
986584	3364	1998-10-18	PRIJEM	VKLAD	5700	72117	\N	\N	\N
986585	3364	1998-11-16	VYDAJ	VYBER	45500	85755	\N	\N	\N
986586	3364	1998-11-17	VYDAJ	VYBER	3000	82755	\N	\N	\N
986587	3364	1998-12-15	VYDAJ	VYBER	17200	108313	\N	\N	\N
986588	3364	1998-12-17	VYDAJ	VYBER	9400	98913	\N	\N	\N
986589	3364	1998-12-27	VYDAJ	VYBER	34000	88544	\N	\N	\N
986638	3365	1997-11-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
986650	3365	1997-12-07	PRIJEM	PREVOD Z UCTU	6994	8094	DUCHOD	OP	7868463
986651	3365	1998-01-07	PRIJEM	PREVOD Z UCTU	6994	15088	DUCHOD	OP	7868463
986652	3365	1998-02-07	PRIJEM	PREVOD Z UCTU	6994	21110	DUCHOD	OP	7868463
986653	3365	1998-03-07	PRIJEM	PREVOD Z UCTU	6994	27776	DUCHOD	OP	7868463
986654	3365	1998-04-07	PRIJEM	PREVOD Z UCTU	6994	31062	DUCHOD	OP	7868463
986655	3365	1998-05-07	PRIJEM	PREVOD Z UCTU	6994	27371	DUCHOD	OP	7868463
986656	3365	1998-06-07	PRIJEM	PREVOD Z UCTU	6994	31076	DUCHOD	OP	7868463
986657	3365	1998-07-07	PRIJEM	PREVOD Z UCTU	6994	31686	DUCHOD	OP	7868463
986658	3365	1998-08-07	PRIJEM	PREVOD Z UCTU	6994	27656	DUCHOD	OP	7868463
986659	3365	1998-09-07	PRIJEM	PREVOD Z UCTU	6994	26150	DUCHOD	OP	7868463
986660	3365	1998-10-07	PRIJEM	PREVOD Z UCTU	6994	30147	DUCHOD	OP	7868463
986661	3365	1998-11-07	PRIJEM	PREVOD Z UCTU	6994	31354	DUCHOD	OP	7868463
986662	3365	1998-12-07	PRIJEM	PREVOD Z UCTU	6994	29270	DUCHOD	OP	7868463
986678	3365	1998-04-08	VYDAJ	PREVOD NA UCET	2298	28764	SIPO	YZ	10983294
986679	3365	1998-05-08	VYDAJ	PREVOD NA UCET	2298	25073	SIPO	YZ	10983294
986680	3365	1998-06-08	VYDAJ	PREVOD NA UCET	2298	28778	SIPO	YZ	10983294
986681	3365	1998-07-08	VYDAJ	PREVOD NA UCET	2298	29388	SIPO	YZ	10983294
986682	3365	1998-08-08	VYDAJ	PREVOD NA UCET	2298	25358	SIPO	YZ	10983294
986683	3365	1998-09-08	VYDAJ	PREVOD NA UCET	2298	23852	SIPO	YZ	10983294
986684	3365	1998-10-08	VYDAJ	PREVOD NA UCET	2298	27849	SIPO	YZ	10983294
986685	3365	1998-11-08	VYDAJ	PREVOD NA UCET	2298	25696	SIPO	YZ	10983294
986686	3365	1998-12-08	VYDAJ	PREVOD NA UCET	2298	26972	SIPO	YZ	10983294
986702	3365	1998-04-10	VYDAJ	PREVOD NA UCET	677	28087	 	WX	74494957
986703	3365	1998-05-10	VYDAJ	PREVOD NA UCET	677	24396	 	WX	74494957
986704	3365	1998-06-10	VYDAJ	PREVOD NA UCET	677	28101	 	WX	74494957
986705	3365	1998-07-10	VYDAJ	PREVOD NA UCET	677	28711	 	WX	74494957
986706	3365	1998-08-10	VYDAJ	PREVOD NA UCET	677	24681	 	WX	74494957
986707	3365	1998-09-10	VYDAJ	PREVOD NA UCET	677	23175	 	WX	74494957
986708	3365	1998-10-10	VYDAJ	PREVOD NA UCET	677	27172	 	WX	74494957
986709	3365	1998-11-10	VYDAJ	PREVOD NA UCET	677	25019	 	WX	74494957
986710	3365	1998-12-10	VYDAJ	PREVOD NA UCET	677	26295	 	WX	74494957
986716	3365	1998-12-02	VYDAJ	VYBER	1150	22276	\N	\N	\N
986735	3365	1998-08-01	VYDAJ	VYBER	3040	20662	\N	\N	\N
986737	3365	1998-11-07	VYDAJ	VYBER	3360	27994	\N	\N	\N
986739	3365	1998-05-03	VYDAJ	VYBER	3200	20377	\N	\N	\N
986740	3365	1998-05-10	VYDAJ	VYBER	400	23996	\N	\N	\N
986741	3365	1998-11-16	VYDAJ	VYBER	1680	23339	\N	\N	\N
986758	3365	1998-04-30	VYDAJ	VYBER	15	23577	SLUZBY	\N	\N
986759	3365	1998-05-31	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
986760	3365	1998-06-30	VYDAJ	VYBER	15	24692	SLUZBY	\N	\N
986761	3365	1998-07-31	VYDAJ	VYBER	15	23702	SLUZBY	\N	\N
986762	3365	1998-08-31	VYDAJ	VYBER	15	19156	SLUZBY	\N	\N
986763	3365	1998-09-30	VYDAJ	VYBER	15	23153	SLUZBY	\N	\N
986764	3365	1998-10-31	VYDAJ	VYBER	15	24360	SLUZBY	\N	\N
986765	3365	1998-11-30	VYDAJ	VYBER	15	23426	SLUZBY	\N	\N
986766	3365	1998-01-17	VYDAJ	VYBER	1000	14088	\N	\N	\N
986767	3365	1998-02-16	VYDAJ	VYBER	400	20710	\N	\N	\N
986768	3365	1998-03-18	VYDAJ	VYBER	3800	23976	\N	\N	\N
986769	3365	1998-04-17	VYDAJ	VYBER	4600	23487	\N	\N	\N
986770	3365	1998-06-16	VYDAJ	VYBER	3500	24601	\N	\N	\N
986771	3365	1998-07-16	VYDAJ	VYBER	5100	23611	\N	\N	\N
986772	3365	1998-08-15	VYDAJ	VYBER	5600	19081	\N	\N	\N
986773	3365	1998-09-14	VYDAJ	VYBER	100	23075	\N	\N	\N
986774	3365	1998-10-14	VYDAJ	VYBER	2900	24272	\N	\N	\N
986787	3366	1996-03-02	PRIJEM	VKLAD	200	200	\N	\N	\N
986790	3366	1996-03-08	PRIJEM	VKLAD	13909	14109	\N	\N	\N
986791	3366	1996-04-08	PRIJEM	VKLAD	13909	35764	\N	\N	\N
986792	3366	1996-05-08	PRIJEM	VKLAD	13909	47801	\N	\N	\N
986793	3366	1996-06-08	PRIJEM	VKLAD	20864	57651	\N	\N	\N
986794	3366	1996-07-08	PRIJEM	VKLAD	13909	58414	\N	\N	\N
986795	3366	1996-08-08	PRIJEM	VKLAD	13909	47963	\N	\N	\N
986796	3366	1996-09-08	PRIJEM	VKLAD	13909	45246	\N	\N	\N
986797	3366	1996-10-08	PRIJEM	VKLAD	13909	49341	\N	\N	\N
986798	3366	1996-11-08	PRIJEM	VKLAD	13909	48550	\N	\N	\N
986799	3366	1996-12-08	PRIJEM	VKLAD	20864	50670	\N	\N	\N
986800	3366	1997-01-08	PRIJEM	VKLAD	13909	45237	\N	\N	\N
986801	3366	1997-02-08	PRIJEM	VKLAD	13909	41590	\N	\N	\N
986802	3366	1997-03-08	PRIJEM	VKLAD	13909	46068	\N	\N	\N
986803	3366	1997-04-08	PRIJEM	VKLAD	13909	48765	\N	\N	\N
986804	3366	1997-05-08	PRIJEM	VKLAD	13909	48069	\N	\N	\N
986805	3366	1997-06-08	PRIJEM	VKLAD	20864	58128	\N	\N	\N
986806	3366	1997-07-08	PRIJEM	VKLAD	13909	58064	\N	\N	\N
986807	3366	1997-08-08	PRIJEM	VKLAD	13909	48257	\N	\N	\N
986808	3366	1997-09-08	PRIJEM	VKLAD	13909	49363	\N	\N	\N
986809	3366	1997-10-08	PRIJEM	VKLAD	13909	49169	\N	\N	\N
986810	3366	1997-11-08	PRIJEM	VKLAD	13909	48973	\N	\N	\N
986811	3366	1997-12-08	PRIJEM	VKLAD	20864	54327	\N	\N	\N
986812	3366	1998-01-08	PRIJEM	VKLAD	13909	53341	\N	\N	\N
986813	3366	1998-02-08	PRIJEM	VKLAD	13909	36764	\N	\N	\N
986814	3366	1998-03-08	PRIJEM	VKLAD	13909	43784	\N	\N	\N
986815	3366	1998-04-08	PRIJEM	VKLAD	13909	45926	\N	\N	\N
986816	3366	1998-05-08	PRIJEM	VKLAD	13909	52622	\N	\N	\N
986817	3366	1998-06-08	PRIJEM	VKLAD	20864	61071	\N	\N	\N
986818	3366	1998-07-08	PRIJEM	VKLAD	13909	56484	\N	\N	\N
986819	3366	1998-08-08	PRIJEM	VKLAD	13909	49767	\N	\N	\N
986820	3366	1998-09-08	PRIJEM	VKLAD	13909	48770	\N	\N	\N
986821	3366	1998-10-08	PRIJEM	VKLAD	13909	50067	\N	\N	\N
986822	3366	1998-11-08	PRIJEM	VKLAD	13909	45041	\N	\N	\N
986823	3366	1998-12-08	PRIJEM	VKLAD	20864	51777	\N	\N	\N
986831	3366	1996-08-06	VYDAJ	PREVOD NA UCET	3964	34054	SIPO	UV	81127321
986832	3366	1996-09-06	VYDAJ	PREVOD NA UCET	3964	31337	SIPO	UV	81127321
986833	3366	1996-10-06	VYDAJ	PREVOD NA UCET	3964	35432	SIPO	UV	81127321
986834	3366	1996-11-06	VYDAJ	PREVOD NA UCET	3964	34641	SIPO	UV	81127321
986835	3366	1996-12-06	VYDAJ	PREVOD NA UCET	3964	29806	SIPO	UV	81127321
986836	3366	1997-01-06	VYDAJ	PREVOD NA UCET	3964	31328	SIPO	UV	81127321
986837	3366	1997-02-06	VYDAJ	PREVOD NA UCET	3964	27681	SIPO	UV	81127321
986838	3366	1997-03-06	VYDAJ	PREVOD NA UCET	3964	32159	SIPO	UV	81127321
986839	3366	1997-04-06	VYDAJ	PREVOD NA UCET	3964	34856	SIPO	UV	81127321
986840	3366	1997-05-06	VYDAJ	PREVOD NA UCET	3964	34160	SIPO	UV	81127321
986841	3366	1997-06-06	VYDAJ	PREVOD NA UCET	3964	37264	SIPO	UV	81127321
986842	3366	1997-07-06	VYDAJ	PREVOD NA UCET	3964	44155	SIPO	UV	81127321
986843	3366	1997-08-06	VYDAJ	PREVOD NA UCET	3964	39988	SIPO	UV	81127321
986844	3366	1997-09-06	VYDAJ	PREVOD NA UCET	3964	35454	SIPO	UV	81127321
986845	3366	1997-10-06	VYDAJ	PREVOD NA UCET	3964	35260	SIPO	UV	81127321
986846	3366	1997-11-06	VYDAJ	PREVOD NA UCET	3964	35064	SIPO	UV	81127321
986847	3366	1997-12-06	VYDAJ	PREVOD NA UCET	3964	33463	SIPO	UV	81127321
986848	3366	1998-01-06	VYDAJ	PREVOD NA UCET	3964	39432	SIPO	UV	81127321
986849	3366	1998-02-06	VYDAJ	PREVOD NA UCET	3964	22855	SIPO	UV	81127321
986850	3366	1998-03-06	VYDAJ	PREVOD NA UCET	3964	29875	SIPO	UV	81127321
986851	3366	1998-04-06	VYDAJ	PREVOD NA UCET	3964	32017	SIPO	UV	81127321
986852	3366	1998-05-06	VYDAJ	PREVOD NA UCET	3964	38713	SIPO	UV	81127321
986853	3366	1998-06-06	VYDAJ	PREVOD NA UCET	3964	40207	SIPO	UV	81127321
986854	3366	1998-07-06	VYDAJ	PREVOD NA UCET	3964	42575	SIPO	UV	81127321
986855	3366	1998-08-06	VYDAJ	PREVOD NA UCET	3964	35858	SIPO	UV	81127321
986856	3366	1998-09-06	VYDAJ	PREVOD NA UCET	3964	34861	SIPO	UV	81127321
986857	3366	1998-10-06	VYDAJ	PREVOD NA UCET	3964	36158	SIPO	UV	81127321
986858	3366	1998-11-06	VYDAJ	PREVOD NA UCET	3964	31132	SIPO	UV	81127321
986859	3366	1998-12-06	VYDAJ	PREVOD NA UCET	3964	30913	SIPO	UV	81127321
986866	3366	1996-07-10	VYDAJ	PREVOD NA UCET	1608	56806	 	GH	24337905
986867	3366	1996-08-10	VYDAJ	PREVOD NA UCET	1608	46355	 	GH	24337905
986868	3366	1996-09-10	VYDAJ	PREVOD NA UCET	1608	43638	 	GH	24337905
986869	3366	1996-10-10	VYDAJ	PREVOD NA UCET	1608	47733	 	GH	24337905
986870	3366	1996-11-10	VYDAJ	PREVOD NA UCET	1608	46942	 	GH	24337905
986871	3366	1996-12-10	VYDAJ	PREVOD NA UCET	1608	49062	 	GH	24337905
986872	3366	1997-01-10	VYDAJ	PREVOD NA UCET	1608	40629	 	GH	24337905
986873	3366	1997-02-10	VYDAJ	PREVOD NA UCET	1608	39982	 	GH	24337905
986874	3366	1997-03-10	VYDAJ	PREVOD NA UCET	1608	44460	 	GH	24337905
986875	3366	1997-04-10	VYDAJ	PREVOD NA UCET	1608	47157	 	GH	24337905
986876	3366	1997-05-10	VYDAJ	PREVOD NA UCET	1608	46461	 	GH	24337905
986877	3366	1997-06-10	VYDAJ	PREVOD NA UCET	1608	56520	 	GH	24337905
986878	3366	1997-07-10	VYDAJ	PREVOD NA UCET	1608	54056	 	GH	24337905
986879	3366	1997-08-10	VYDAJ	PREVOD NA UCET	1608	46649	 	GH	24337905
986880	3366	1997-09-10	VYDAJ	PREVOD NA UCET	1608	47755	 	GH	24337905
986881	3366	1997-10-10	VYDAJ	PREVOD NA UCET	1608	47561	 	GH	24337905
986882	3366	1997-11-10	VYDAJ	PREVOD NA UCET	1608	47365	 	GH	24337905
986883	3366	1997-12-10	VYDAJ	PREVOD NA UCET	1608	52719	 	GH	24337905
986884	3366	1998-01-10	VYDAJ	PREVOD NA UCET	1608	51733	 	GH	24337905
986885	3366	1998-02-10	VYDAJ	PREVOD NA UCET	1608	35156	 	GH	24337905
986886	3366	1998-03-10	VYDAJ	PREVOD NA UCET	1608	42176	 	GH	24337905
986887	3366	1998-04-10	VYDAJ	PREVOD NA UCET	1608	44318	 	GH	24337905
986888	3366	1998-05-10	VYDAJ	PREVOD NA UCET	1608	51014	 	GH	24337905
986889	3366	1998-06-10	VYDAJ	PREVOD NA UCET	1608	59463	 	GH	24337905
986890	3366	1998-07-10	VYDAJ	PREVOD NA UCET	1608	54876	 	GH	24337905
986891	3366	1998-08-10	VYDAJ	PREVOD NA UCET	1608	48159	 	GH	24337905
986892	3366	1998-09-10	VYDAJ	PREVOD NA UCET	1608	47162	 	GH	24337905
986893	3366	1998-10-10	VYDAJ	PREVOD NA UCET	1608	48459	 	GH	24337905
986894	3366	1998-11-10	VYDAJ	PREVOD NA UCET	1608	43433	 	GH	24337905
986895	3366	1998-12-10	VYDAJ	PREVOD NA UCET	1608	50169	 	GH	24337905
986896	3366	1996-12-02	VYDAJ	VYBER	3840	33770	\N	\N	\N
986897	3366	1997-12-21	VYDAJ	VYBER	3200	49519	\N	\N	\N
986898	3366	1998-12-03	VYDAJ	VYBER KARTOU	2200	34877	\N	\N	0
986905	3366	1997-01-06	VYDAJ	VYBER	3240	35292	\N	\N	\N
986906	3366	1997-01-22	VYDAJ	VYBER	3360	32109	\N	\N	\N
986907	3366	1997-01-10	VYDAJ	VYBER	1800	38829	\N	\N	\N
986908	3366	1997-01-11	VYDAJ	VYBER	600	38229	\N	\N	\N
986909	3366	1997-01-08	VYDAJ	VYBER	3000	42237	\N	\N	\N
986910	3366	1997-01-21	VYDAJ	VYBER	2760	35469	\N	\N	\N
986911	3366	1998-01-28	VYDAJ	VYBER	2280	29773	\N	\N	\N
986912	3366	1998-01-18	VYDAJ	VYBER	1440	50293	\N	\N	\N
986913	3366	1998-01-25	VYDAJ	VYBER	2040	35413	\N	\N	\N
986914	3366	1998-01-26	VYDAJ	VYBER	3360	32053	\N	\N	\N
986915	3366	1998-01-30	VYDAJ	VYBER	1320	26653	\N	\N	\N
986916	3366	1998-01-28	VYDAJ	VYBER	1800	27973	\N	\N	\N
986917	3366	1996-08-22	VYDAJ	VYBER	720	45635	\N	\N	\N
986923	3366	1996-07-12	VYDAJ	VYBER	4080	52726	\N	\N	\N
986924	3366	1997-07-08	VYDAJ	VYBER	2400	55664	\N	\N	\N
986925	3366	1997-10-06	VYDAJ	VYBER	2400	39224	\N	\N	\N
986926	3366	1997-08-06	VYDAJ	VYBER	5640	34348	\N	\N	\N
986927	3366	1998-10-22	VYDAJ	VYBER	5520	34939	\N	\N	\N
986928	3366	1998-03-26	VYDAJ	VYBER	2040	35836	\N	\N	\N
986929	3366	1998-08-28	VYDAJ	VYBER	4200	38659	\N	\N	\N
986930	3366	1998-01-24	VYDAJ	VYBER	3840	37453	\N	\N	\N
986931	3366	1998-02-24	VYDAJ	VYBER	2640	33716	\N	\N	\N
986932	3366	1998-05-14	VYDAJ	VYBER	3120	47894	\N	\N	\N
986933	3366	1998-08-05	VYDAJ	VYBER	2640	39822	\N	\N	\N
986934	3366	1998-06-16	VYDAJ	VYBER	1920	57543	\N	\N	\N
986942	3366	1996-07-31	VYDAJ	VYBER	15	38018	SLUZBY	\N	\N
986943	3366	1996-08-31	VYDAJ	VYBER	15	35301	SLUZBY	\N	\N
986944	3366	1996-09-30	VYDAJ	VYBER	15	39396	SLUZBY	\N	\N
986945	3366	1996-10-31	VYDAJ	VYBER	15	38605	SLUZBY	\N	\N
986946	3366	1996-11-30	VYDAJ	VYBER	15	37610	SLUZBY	\N	\N
986947	3366	1996-12-31	VYDAJ	VYBER	15	38532	SLUZBY	\N	\N
986948	3366	1997-01-31	VYDAJ	VYBER	15	31645	SLUZBY	\N	\N
986949	3366	1997-02-28	VYDAJ	VYBER	15	36123	SLUZBY	\N	\N
986950	3366	1997-03-31	VYDAJ	VYBER	15	38820	SLUZBY	\N	\N
986951	3366	1997-04-30	VYDAJ	VYBER	15	38124	SLUZBY	\N	\N
986952	3366	1997-05-31	VYDAJ	VYBER	15	41228	SLUZBY	\N	\N
986953	3366	1997-06-30	VYDAJ	VYBER	15	48119	SLUZBY	\N	\N
986954	3366	1997-07-31	VYDAJ	VYBER	15	43952	SLUZBY	\N	\N
986955	3366	1997-08-31	VYDAJ	VYBER	15	39418	SLUZBY	\N	\N
986956	3366	1997-09-30	VYDAJ	VYBER	15	41624	SLUZBY	\N	\N
986957	3366	1997-10-31	VYDAJ	VYBER	15	39028	SLUZBY	\N	\N
986958	3366	1997-11-30	VYDAJ	VYBER	15	37427	SLUZBY	\N	\N
986959	3366	1997-12-31	VYDAJ	VYBER	15	43396	SLUZBY	\N	\N
986960	3366	1998-01-31	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
986961	3366	1998-02-28	VYDAJ	VYBER	15	33839	SLUZBY	\N	\N
986962	3366	1998-03-31	VYDAJ	VYBER	15	35981	SLUZBY	\N	\N
986963	3366	1998-04-30	VYDAJ	VYBER	15	42677	SLUZBY	\N	\N
986964	3366	1998-05-31	VYDAJ	VYBER	15	44171	SLUZBY	\N	\N
986965	3366	1998-06-30	VYDAJ	VYBER	15	46539	SLUZBY	\N	\N
986966	3366	1998-07-31	VYDAJ	VYBER	15	42462	SLUZBY	\N	\N
986967	3366	1998-08-31	VYDAJ	VYBER	15	38825	SLUZBY	\N	\N
986968	3366	1998-09-30	VYDAJ	VYBER	15	40122	SLUZBY	\N	\N
986969	3366	1998-10-31	VYDAJ	VYBER	15	35096	SLUZBY	\N	\N
986970	3366	1998-11-30	VYDAJ	VYBER	15	37077	SLUZBY	\N	\N
986971	3366	1996-04-01	PRIJEM	VKLAD	7700	21855	\N	\N	\N
986972	3366	1996-05-01	VYDAJ	VYBER	2000	33892	\N	\N	\N
986973	3366	1996-05-31	VYDAJ	VYBER	11200	36787	\N	\N	\N
986974	3366	1996-06-30	VYDAJ	VYBER	13300	44505	\N	\N	\N
986975	3366	1996-07-30	VYDAJ	VYBER	14900	37826	\N	\N	\N
986976	3366	1996-08-29	VYDAJ	VYBER	10500	35135	\N	\N	\N
986977	3366	1996-09-28	VYDAJ	VYBER	4400	39238	\N	\N	\N
986978	3366	1996-10-28	VYDAJ	VYBER	9300	38433	\N	\N	\N
986979	3366	1996-11-27	VYDAJ	VYBER	9500	37442	\N	\N	\N
986980	3366	1996-12-27	VYDAJ	VYBER	10700	38362	\N	\N	\N
986981	3366	1997-01-26	VYDAJ	VYBER	600	31509	\N	\N	\N
986982	3366	1997-02-25	VYDAJ	VYBER	4000	35982	\N	\N	\N
986983	3366	1997-03-27	VYDAJ	VYBER	5800	38660	\N	\N	\N
986984	3366	1997-04-26	VYDAJ	VYBER	9200	37957	\N	\N	\N
986985	3366	1997-05-26	VYDAJ	VYBER	5400	41061	\N	\N	\N
986986	3366	1997-06-25	VYDAJ	VYBER	8600	47920	\N	\N	\N
986987	3366	1997-07-25	VYDAJ	VYBER	10300	43756	\N	\N	\N
986988	3366	1997-08-24	VYDAJ	VYBER	7400	39249	\N	\N	\N
986989	3366	1997-09-23	VYDAJ	VYBER	6300	41455	\N	\N	\N
986990	3366	1997-10-23	VYDAJ	VYBER	8700	38861	\N	\N	\N
986991	3366	1997-11-22	VYDAJ	VYBER	10100	37265	\N	\N	\N
986992	3366	1997-12-22	VYDAJ	VYBER	6300	43219	\N	\N	\N
986993	3366	1998-01-21	VYDAJ	VYBER	9000	41293	\N	\N	\N
986994	3366	1998-02-20	PRIJEM	VKLAD	1200	36356	\N	\N	\N
986995	3366	1998-03-22	VYDAJ	VYBER	4300	37876	\N	\N	\N
986996	3366	1998-04-21	VYDAJ	VYBER	1800	42518	\N	\N	\N
986997	3366	1998-05-21	VYDAJ	VYBER	3900	43994	\N	\N	\N
986998	3366	1998-06-20	VYDAJ	VYBER	11200	46343	\N	\N	\N
986999	3366	1998-07-20	VYDAJ	VYBER	12600	42276	\N	\N	\N
987000	3366	1998-08-19	VYDAJ	VYBER	5300	42859	\N	\N	\N
987001	3366	1998-09-18	VYDAJ	VYBER	7200	39962	\N	\N	\N
987002	3366	1998-10-18	VYDAJ	VYBER	8000	40459	\N	\N	\N
987003	3366	1998-11-17	VYDAJ	VYBER	6500	36933	\N	\N	\N
987038	3367	1993-04-01	PRIJEM	VKLAD	800	800	\N	\N	\N
987042	3367	1993-04-13	PRIJEM	VKLAD	22608	23408	\N	\N	\N
987043	3367	1993-05-13	PRIJEM	VKLAD	22608	48375	\N	\N	\N
987044	3367	1993-06-13	PRIJEM	VKLAD	33912	68646	\N	\N	\N
987045	3367	1993-07-13	PRIJEM	VKLAD	22608	66800	\N	\N	\N
987046	3367	1993-08-13	PRIJEM	VKLAD	22608	68793	\N	\N	\N
987047	3367	1993-09-13	PRIJEM	VKLAD	22608	64201	\N	\N	\N
987048	3367	1993-10-13	PRIJEM	VKLAD	22608	65997	\N	\N	\N
987049	3367	1993-11-13	PRIJEM	VKLAD	22608	65296	\N	\N	\N
987050	3367	1993-12-13	PRIJEM	VKLAD	33912	72315	\N	\N	\N
987051	3367	1994-01-13	PRIJEM	VKLAD	22608	67418	\N	\N	\N
987052	3367	1994-02-13	PRIJEM	VKLAD	22608	64696	\N	\N	\N
987053	3367	1994-03-13	PRIJEM	VKLAD	22608	64186	\N	\N	\N
987054	3367	1994-04-13	PRIJEM	VKLAD	22608	66579	\N	\N	\N
987055	3367	1994-05-13	PRIJEM	VKLAD	22608	64892	\N	\N	\N
987056	3367	1994-06-13	PRIJEM	VKLAD	33912	76399	\N	\N	\N
987057	3367	1994-07-13	PRIJEM	VKLAD	22608	71413	\N	\N	\N
987058	3367	1994-08-13	PRIJEM	VKLAD	22608	72327	\N	\N	\N
987059	3367	1994-09-13	PRIJEM	VKLAD	22608	66982	\N	\N	\N
987060	3367	1994-10-13	PRIJEM	VKLAD	22608	66677	\N	\N	\N
987061	3367	1994-11-13	PRIJEM	VKLAD	22608	68069	\N	\N	\N
987062	3367	1994-12-13	PRIJEM	VKLAD	33912	74224	\N	\N	\N
987063	3367	1995-01-13	PRIJEM	VKLAD	22608	71721	\N	\N	\N
987064	3367	1995-02-13	PRIJEM	VKLAD	22608	71024	\N	\N	\N
987065	3367	1995-03-13	PRIJEM	VKLAD	22608	72928	\N	\N	\N
987066	3367	1995-04-13	PRIJEM	VKLAD	22608	74142	\N	\N	\N
987067	3367	1995-05-13	PRIJEM	VKLAD	22608	71654	\N	\N	\N
987068	3367	1995-06-13	PRIJEM	VKLAD	33912	83964	\N	\N	\N
987069	3367	1995-07-13	PRIJEM	VKLAD	22608	72428	\N	\N	\N
987070	3367	1995-08-13	PRIJEM	VKLAD	22608	70779	\N	\N	\N
987071	3367	1995-09-13	PRIJEM	VKLAD	22608	70115	\N	\N	\N
987072	3367	1995-10-13	PRIJEM	VKLAD	22608	76115	\N	\N	\N
987073	3367	1995-11-13	PRIJEM	VKLAD	22608	79736	\N	\N	\N
987074	3367	1995-12-13	PRIJEM	VKLAD	33912	97679	\N	\N	\N
987075	3367	1996-01-13	PRIJEM	VKLAD	22608	92470	\N	\N	\N
987076	3367	1996-02-13	PRIJEM	VKLAD	22608	83911	\N	\N	\N
987077	3367	1996-03-13	PRIJEM	VKLAD	22608	82406	\N	\N	\N
987078	3367	1996-04-13	PRIJEM	VKLAD	22608	83943	\N	\N	\N
987079	3367	1996-05-13	PRIJEM	VKLAD	22608	81726	\N	\N	\N
987080	3367	1996-06-13	PRIJEM	VKLAD	33912	93461	\N	\N	\N
987081	3367	1996-07-13	PRIJEM	VKLAD	22608	92314	\N	\N	\N
987082	3367	1996-08-13	PRIJEM	VKLAD	22608	91080	\N	\N	\N
987083	3367	1996-09-13	PRIJEM	VKLAD	22608	81407	\N	\N	\N
987084	3367	1996-10-13	PRIJEM	VKLAD	22608	88293	\N	\N	\N
987085	3367	1996-11-13	PRIJEM	VKLAD	22608	92114	\N	\N	\N
987086	3367	1996-12-13	PRIJEM	VKLAD	33912	107354	\N	\N	\N
987087	3367	1997-01-13	PRIJEM	VKLAD	22608	102810	\N	\N	\N
987088	3367	1997-02-13	PRIJEM	VKLAD	22608	103997	\N	\N	\N
987089	3367	1997-03-13	PRIJEM	VKLAD	22608	101882	\N	\N	\N
987090	3367	1997-04-13	PRIJEM	VKLAD	22608	104569	\N	\N	\N
987091	3367	1997-05-13	PRIJEM	VKLAD	22608	107257	\N	\N	\N
987092	3367	1997-06-13	PRIJEM	VKLAD	33912	117141	\N	\N	\N
987093	3367	1997-07-13	PRIJEM	VKLAD	22608	93329	\N	\N	\N
987094	3367	1997-08-13	PRIJEM	VKLAD	22608	102257	\N	\N	\N
987095	3367	1997-09-13	PRIJEM	VKLAD	22608	106962	\N	\N	\N
987096	3367	1997-10-13	PRIJEM	VKLAD	22608	111052	\N	\N	\N
987097	3367	1997-11-13	PRIJEM	VKLAD	22608	112159	\N	\N	\N
987098	3367	1997-12-13	PRIJEM	VKLAD	33912	123875	\N	\N	\N
987099	3367	1998-01-13	PRIJEM	VKLAD	22608	85842	\N	\N	\N
987100	3367	1998-02-13	PRIJEM	VKLAD	22608	99219	\N	\N	\N
987101	3367	1998-03-13	PRIJEM	VKLAD	22608	110220	\N	\N	\N
987102	3367	1998-04-13	PRIJEM	VKLAD	22608	111430	\N	\N	\N
987103	3367	1998-05-13	PRIJEM	VKLAD	22608	114966	\N	\N	\N
987104	3367	1998-06-13	PRIJEM	VKLAD	33912	134405	\N	\N	\N
987105	3367	1998-07-13	PRIJEM	VKLAD	22608	100222	\N	\N	\N
987106	3367	1998-08-13	PRIJEM	VKLAD	22608	116061	\N	\N	\N
987107	3367	1998-09-13	PRIJEM	VKLAD	22608	123812	\N	\N	\N
987108	3367	1998-10-13	PRIJEM	VKLAD	22608	120036	\N	\N	\N
987109	3367	1998-11-13	PRIJEM	VKLAD	22608	96282	\N	\N	\N
987110	3367	1998-12-13	PRIJEM	VKLAD	33912	124701	\N	\N	\N
987118	3367	1993-08-13	VYDAJ	PREVOD NA UCET	904	67889	SIPO	KL	62753373
987119	3367	1993-09-13	VYDAJ	PREVOD NA UCET	904	63297	SIPO	KL	62753373
987120	3367	1993-10-13	VYDAJ	PREVOD NA UCET	904	65093	SIPO	KL	62753373
987121	3367	1993-11-13	VYDAJ	PREVOD NA UCET	904	64392	SIPO	KL	62753373
987122	3367	1993-12-13	VYDAJ	PREVOD NA UCET	904	71411	SIPO	KL	62753373
987123	3367	1994-01-13	VYDAJ	PREVOD NA UCET	904	66514	SIPO	KL	62753373
987124	3367	1994-02-13	VYDAJ	PREVOD NA UCET	904	63792	SIPO	KL	62753373
987125	3367	1994-03-13	VYDAJ	PREVOD NA UCET	904	63282	SIPO	KL	62753373
987126	3367	1994-04-13	VYDAJ	PREVOD NA UCET	904	65675	SIPO	KL	62753373
987127	3367	1994-05-13	VYDAJ	PREVOD NA UCET	904	63988	SIPO	KL	62753373
987128	3367	1994-06-13	VYDAJ	PREVOD NA UCET	904	75495	SIPO	KL	62753373
987129	3367	1994-07-13	VYDAJ	PREVOD NA UCET	904	70509	SIPO	KL	62753373
987130	3367	1994-08-13	VYDAJ	PREVOD NA UCET	904	71423	SIPO	KL	62753373
987131	3367	1994-09-13	VYDAJ	PREVOD NA UCET	904	66078	SIPO	KL	62753373
987132	3367	1994-10-13	VYDAJ	PREVOD NA UCET	904	65773	SIPO	KL	62753373
987133	3367	1994-11-13	VYDAJ	PREVOD NA UCET	904	67165	SIPO	KL	62753373
987134	3367	1994-12-13	VYDAJ	PREVOD NA UCET	904	73320	SIPO	KL	62753373
987135	3367	1995-01-13	VYDAJ	PREVOD NA UCET	904	70817	SIPO	KL	62753373
987136	3367	1995-02-13	VYDAJ	PREVOD NA UCET	904	70120	SIPO	KL	62753373
987137	3367	1995-03-13	VYDAJ	PREVOD NA UCET	904	72024	SIPO	KL	62753373
987138	3367	1995-04-13	VYDAJ	PREVOD NA UCET	904	73238	SIPO	KL	62753373
987139	3367	1995-05-13	VYDAJ	PREVOD NA UCET	904	70750	SIPO	KL	62753373
987140	3367	1995-06-13	VYDAJ	PREVOD NA UCET	904	83060	SIPO	KL	62753373
987141	3367	1995-07-13	VYDAJ	PREVOD NA UCET	904	71524	SIPO	KL	62753373
987142	3367	1995-08-13	VYDAJ	PREVOD NA UCET	904	69875	SIPO	KL	62753373
987143	3367	1995-09-13	VYDAJ	PREVOD NA UCET	904	69211	SIPO	KL	62753373
987144	3367	1995-10-13	VYDAJ	PREVOD NA UCET	904	75211	SIPO	KL	62753373
987145	3367	1995-11-13	VYDAJ	PREVOD NA UCET	904	78832	SIPO	KL	62753373
987146	3367	1995-12-13	VYDAJ	PREVOD NA UCET	904	96775	SIPO	KL	62753373
987147	3367	1996-01-13	VYDAJ	PREVOD NA UCET	904	91566	SIPO	KL	62753373
987148	3367	1996-02-13	VYDAJ	PREVOD NA UCET	904	83007	SIPO	KL	62753373
987149	3367	1996-03-13	VYDAJ	PREVOD NA UCET	904	81502	SIPO	KL	62753373
987150	3367	1996-04-13	VYDAJ	PREVOD NA UCET	904	83039	SIPO	KL	62753373
987151	3367	1996-05-13	VYDAJ	PREVOD NA UCET	904	80822	SIPO	KL	62753373
987152	3367	1996-06-13	VYDAJ	PREVOD NA UCET	904	92557	SIPO	KL	62753373
987153	3367	1996-07-13	VYDAJ	PREVOD NA UCET	904	91410	SIPO	KL	62753373
987154	3367	1996-08-13	VYDAJ	PREVOD NA UCET	904	72876	SIPO	KL	62753373
987155	3367	1996-09-13	VYDAJ	PREVOD NA UCET	904	80503	SIPO	KL	62753373
987156	3367	1996-10-13	VYDAJ	PREVOD NA UCET	904	87389	SIPO	KL	62753373
987157	3367	1996-11-13	VYDAJ	PREVOD NA UCET	904	91210	SIPO	KL	62753373
987158	3367	1996-12-13	VYDAJ	PREVOD NA UCET	904	106450	SIPO	KL	62753373
987159	3367	1997-01-13	VYDAJ	PREVOD NA UCET	904	101906	SIPO	KL	62753373
987160	3367	1997-02-13	VYDAJ	PREVOD NA UCET	904	103093	SIPO	KL	62753373
987161	3367	1997-03-13	VYDAJ	PREVOD NA UCET	904	100978	SIPO	KL	62753373
987162	3367	1997-04-13	VYDAJ	PREVOD NA UCET	904	103665	SIPO	KL	62753373
987163	3367	1997-05-13	VYDAJ	PREVOD NA UCET	904	106353	SIPO	KL	62753373
987164	3367	1997-06-13	VYDAJ	PREVOD NA UCET	904	116237	SIPO	KL	62753373
987165	3367	1997-07-13	VYDAJ	PREVOD NA UCET	904	92425	SIPO	KL	62753373
987166	3367	1997-08-13	VYDAJ	PREVOD NA UCET	904	101353	SIPO	KL	62753373
987167	3367	1997-09-13	VYDAJ	PREVOD NA UCET	904	106058	SIPO	KL	62753373
987168	3367	1997-10-13	VYDAJ	PREVOD NA UCET	904	110148	SIPO	KL	62753373
987169	3367	1997-11-13	VYDAJ	PREVOD NA UCET	904	111255	SIPO	KL	62753373
987170	3367	1997-12-13	VYDAJ	PREVOD NA UCET	904	122971	SIPO	KL	62753373
987171	3367	1998-01-13	VYDAJ	PREVOD NA UCET	904	84938	SIPO	KL	62753373
987172	3367	1998-02-13	VYDAJ	PREVOD NA UCET	904	98315	SIPO	KL	62753373
987173	3367	1998-03-13	VYDAJ	PREVOD NA UCET	904	109316	SIPO	KL	62753373
987174	3367	1998-04-13	VYDAJ	PREVOD NA UCET	904	110526	SIPO	KL	62753373
987175	3367	1998-05-13	VYDAJ	PREVOD NA UCET	904	114062	SIPO	KL	62753373
987176	3367	1998-06-13	VYDAJ	PREVOD NA UCET	904	71201	SIPO	KL	62753373
987177	3367	1998-07-13	VYDAJ	PREVOD NA UCET	904	99318	SIPO	KL	62753373
987178	3367	1998-08-13	VYDAJ	PREVOD NA UCET	904	115157	SIPO	KL	62753373
987179	3367	1998-09-13	VYDAJ	PREVOD NA UCET	904	122908	SIPO	KL	62753373
987180	3367	1998-10-13	VYDAJ	PREVOD NA UCET	904	65932	SIPO	KL	62753373
987181	3367	1998-11-13	VYDAJ	PREVOD NA UCET	904	95378	SIPO	KL	62753373
987182	3367	1998-12-13	VYDAJ	PREVOD NA UCET	904	65797	SIPO	KL	62753373
987191	3367	1993-09-07	VYDAJ	PREVOD NA UCET	2119	41593	 	CD	63311707
987192	3367	1993-10-07	VYDAJ	PREVOD NA UCET	2119	43389	 	CD	63311707
987193	3367	1993-11-07	VYDAJ	PREVOD NA UCET	2119	42688	 	CD	63311707
987194	3367	1993-12-07	VYDAJ	PREVOD NA UCET	2119	38403	 	CD	63311707
987195	3367	1994-01-07	VYDAJ	PREVOD NA UCET	2119	44810	 	CD	63311707
987196	3367	1994-02-07	VYDAJ	PREVOD NA UCET	2119	42088	 	CD	63311707
987197	3367	1994-03-07	VYDAJ	PREVOD NA UCET	2119	41578	 	CD	63311707
987198	3367	1994-04-07	VYDAJ	PREVOD NA UCET	2119	43971	 	CD	63311707
987282	3367	1997-09-01	VYDAJ	VYBER	1560	100173	\N	\N	\N
987199	3367	1994-05-07	VYDAJ	PREVOD NA UCET	2119	42284	 	CD	63311707
987200	3367	1994-06-07	VYDAJ	PREVOD NA UCET	2119	42487	 	CD	63311707
987201	3367	1994-07-07	VYDAJ	PREVOD NA UCET	2119	48805	 	CD	63311707
987202	3367	1994-08-07	VYDAJ	PREVOD NA UCET	2119	49719	 	CD	63311707
987203	3367	1994-09-07	VYDAJ	PREVOD NA UCET	2119	47734	 	CD	63311707
987204	3367	1994-10-07	VYDAJ	PREVOD NA UCET	2119	44069	 	CD	63311707
987205	3367	1994-11-07	VYDAJ	PREVOD NA UCET	2119	45461	 	CD	63311707
987206	3367	1994-12-07	VYDAJ	PREVOD NA UCET	2119	40312	 	CD	63311707
987207	3367	1995-01-07	VYDAJ	PREVOD NA UCET	2119	49113	 	CD	63311707
987208	3367	1995-02-07	VYDAJ	PREVOD NA UCET	2119	48416	 	CD	63311707
987209	3367	1995-03-07	VYDAJ	PREVOD NA UCET	2119	50320	 	CD	63311707
987210	3367	1995-04-07	VYDAJ	PREVOD NA UCET	2119	51534	 	CD	63311707
987211	3367	1995-05-07	VYDAJ	PREVOD NA UCET	2119	49046	 	CD	63311707
987212	3367	1995-06-07	VYDAJ	PREVOD NA UCET	2119	50052	 	CD	63311707
987213	3367	1995-07-07	VYDAJ	PREVOD NA UCET	2119	49820	 	CD	63311707
987214	3367	1995-08-07	VYDAJ	PREVOD NA UCET	2119	48171	 	CD	63311707
987215	3367	1995-09-07	VYDAJ	PREVOD NA UCET	2119	47507	 	CD	63311707
987216	3367	1995-10-07	VYDAJ	PREVOD NA UCET	2119	53507	 	CD	63311707
987217	3367	1995-11-07	VYDAJ	PREVOD NA UCET	2119	57128	 	CD	63311707
987218	3367	1995-12-07	VYDAJ	PREVOD NA UCET	2119	63767	 	CD	63311707
987219	3367	1996-01-07	VYDAJ	PREVOD NA UCET	2119	69862	 	CD	63311707
987220	3367	1996-02-07	VYDAJ	PREVOD NA UCET	2119	61303	 	CD	63311707
987221	3367	1996-03-07	VYDAJ	PREVOD NA UCET	2119	59798	 	CD	63311707
987222	3367	1996-04-07	VYDAJ	PREVOD NA UCET	2119	61335	 	CD	63311707
987223	3367	1996-05-07	VYDAJ	PREVOD NA UCET	2119	59118	 	CD	63311707
987224	3367	1996-06-07	VYDAJ	PREVOD NA UCET	2119	59549	 	CD	63311707
987225	3367	1996-07-07	VYDAJ	PREVOD NA UCET	2119	69706	 	CD	63311707
987226	3367	1996-08-07	VYDAJ	PREVOD NA UCET	2119	68472	 	CD	63311707
987227	3367	1996-09-07	VYDAJ	PREVOD NA UCET	2119	65399	 	CD	63311707
987228	3367	1996-10-07	VYDAJ	PREVOD NA UCET	2119	78685	 	CD	63311707
987229	3367	1996-11-07	VYDAJ	PREVOD NA UCET	2119	85606	 	CD	63311707
987230	3367	1996-12-07	VYDAJ	PREVOD NA UCET	2119	89442	 	CD	63311707
987231	3367	1997-01-07	VYDAJ	PREVOD NA UCET	2119	102002	 	CD	63311707
987232	3367	1997-02-07	VYDAJ	PREVOD NA UCET	2119	100189	 	CD	63311707
987233	3367	1997-03-07	VYDAJ	PREVOD NA UCET	2119	101374	 	CD	63311707
987234	3367	1997-04-07	VYDAJ	PREVOD NA UCET	2119	99261	 	CD	63311707
987235	3367	1997-05-07	VYDAJ	PREVOD NA UCET	2119	101949	 	CD	63311707
987236	3367	1997-06-07	VYDAJ	PREVOD NA UCET	2119	100929	 	CD	63311707
987237	3367	1997-07-07	VYDAJ	PREVOD NA UCET	2119	77821	 	CD	63311707
987238	3367	1997-08-07	VYDAJ	PREVOD NA UCET	2119	90649	 	CD	63311707
987239	3367	1997-09-07	VYDAJ	PREVOD NA UCET	2119	84354	 	CD	63311707
987240	3367	1997-10-07	VYDAJ	PREVOD NA UCET	2119	88444	 	CD	63311707
987241	3367	1997-11-07	VYDAJ	PREVOD NA UCET	2119	89551	 	CD	63311707
987242	3367	1997-12-07	VYDAJ	PREVOD NA UCET	2119	89963	 	CD	63311707
987243	3367	1998-01-07	VYDAJ	PREVOD NA UCET	2119	63234	 	CD	63311707
987244	3367	1998-02-07	VYDAJ	PREVOD NA UCET	2119	76611	 	CD	63311707
987245	3367	1998-03-07	VYDAJ	PREVOD NA UCET	2119	87612	 	CD	63311707
987246	3367	1998-04-07	VYDAJ	PREVOD NA UCET	2119	88822	 	CD	63311707
987247	3367	1998-05-07	VYDAJ	PREVOD NA UCET	2119	92358	 	CD	63311707
987248	3367	1998-06-07	VYDAJ	PREVOD NA UCET	2119	100493	 	CD	63311707
987249	3367	1998-07-07	VYDAJ	PREVOD NA UCET	2119	77614	 	CD	63311707
987250	3367	1998-08-07	VYDAJ	PREVOD NA UCET	2119	93453	 	CD	63311707
987251	3367	1998-09-07	VYDAJ	PREVOD NA UCET	2119	101204	 	CD	63311707
987252	3367	1998-10-07	VYDAJ	PREVOD NA UCET	2119	97428	 	CD	63311707
987253	3367	1998-11-07	VYDAJ	PREVOD NA UCET	2119	73674	 	CD	63311707
987254	3367	1998-12-07	VYDAJ	PREVOD NA UCET	2119	90789	 	CD	63311707
987255	3367	1993-12-07	VYDAJ	VYBER	2080	40522	\N	\N	\N
987256	3367	1994-12-01	VYDAJ	VYBER	3680	42431	\N	\N	\N
987257	3367	1995-12-15	VYDAJ	VYBER	1280	95495	\N	\N	\N
987258	3367	1996-12-15	VYDAJ	VYBER	2720	103730	\N	\N	\N
987259	3367	1997-12-16	VYDAJ	VYBER	4000	54471	\N	\N	\N
987260	3367	1998-12-17	VYDAJ	VYBER	1280	64517	\N	\N	\N
987263	3367	1994-09-10	VYDAJ	VYBER	3360	44374	\N	\N	\N
987264	3367	1994-02-02	VYDAJ	VYBER	1920	44207	\N	\N	\N
987265	3367	1994-04-21	VYDAJ	VYBER	4080	61595	\N	\N	\N
987266	3367	1994-05-13	VYDAJ	VYBER	4080	59908	\N	\N	\N
987267	3367	1994-09-03	VYDAJ	VYBER	1800	49853	\N	\N	\N
987268	3367	1994-11-26	VYDAJ	VYBER	1560	45905	\N	\N	\N
987269	3367	1994-01-14	VYDAJ	VYBER	1200	65314	\N	\N	\N
987270	3367	1995-07-06	VYDAJ	VYBER	5160	51939	\N	\N	\N
987271	3367	1995-07-28	VYDAJ	VYBER	4920	50904	\N	\N	\N
987272	3367	1995-07-31	VYDAJ	VYBER	840	50305	\N	\N	\N
987273	3367	1995-08-25	VYDAJ	VYBER	2760	49415	\N	\N	\N
987274	3367	1996-02-13	VYDAJ	VYBER	3840	79167	\N	\N	\N
987275	3367	1996-01-19	VYDAJ	VYBER	5880	65186	\N	\N	\N
987276	3367	1996-04-19	VYDAJ	VYBER	2160	65179	\N	\N	\N
987277	3367	1996-09-04	VYDAJ	VYBER	5640	67518	\N	\N	\N
987278	3367	1996-01-19	VYDAJ	VYBER	2040	63146	\N	\N	\N
987279	3367	1996-05-04	VYDAJ	VYBER	4200	61237	\N	\N	\N
987280	3367	1997-06-02	VYDAJ	VYBER	3720	103048	\N	\N	\N
987281	3367	1997-07-09	VYDAJ	VYBER	1800	76021	\N	\N	\N
987283	3367	1997-06-17	VYDAJ	VYBER	2160	79577	\N	\N	\N
987284	3367	1998-02-19	VYDAJ	VYBER	1440	96875	\N	\N	\N
987285	3367	1998-04-21	VYDAJ	VYBER	3960	106566	\N	\N	\N
987286	3367	1998-10-24	VYDAJ	VYBER	4320	61612	\N	\N	\N
987287	3367	1998-09-17	VYDAJ	VYBER	4080	100328	\N	\N	\N
987288	3367	1998-06-02	VYDAJ	VYBER	2280	112212	\N	\N	\N
987289	3367	1998-08-22	VYDAJ	VYBER	2760	112397	\N	\N	\N
987290	3367	1998-03-29	VYDAJ	VYBER	4680	104636	\N	\N	\N
987299	3367	1993-08-31	VYDAJ	VYBER	15	43712	SLUZBY	\N	\N
987300	3367	1993-09-30	VYDAJ	VYBER	15	45508	SLUZBY	\N	\N
987301	3367	1993-10-31	VYDAJ	VYBER	15	44807	SLUZBY	\N	\N
987302	3367	1993-11-30	VYDAJ	VYBER	15	42602	SLUZBY	\N	\N
987303	3367	1993-12-31	VYDAJ	VYBER	15	46929	SLUZBY	\N	\N
987304	3367	1994-01-31	VYDAJ	VYBER	15	46127	SLUZBY	\N	\N
987305	3367	1994-02-28	VYDAJ	VYBER	15	43697	SLUZBY	\N	\N
987306	3367	1994-03-31	VYDAJ	VYBER	15	46090	SLUZBY	\N	\N
987307	3367	1994-04-30	VYDAJ	VYBER	15	44403	SLUZBY	\N	\N
987308	3367	1994-05-31	VYDAJ	VYBER	15	44606	SLUZBY	\N	\N
987309	3367	1994-06-30	VYDAJ	VYBER	15	50924	SLUZBY	\N	\N
987310	3367	1994-07-31	VYDAJ	VYBER	15	51838	SLUZBY	\N	\N
987311	3367	1994-08-31	VYDAJ	VYBER	15	51653	SLUZBY	\N	\N
987312	3367	1994-09-30	VYDAJ	VYBER	15	46188	SLUZBY	\N	\N
987313	3367	1994-10-31	VYDAJ	VYBER	15	47580	SLUZBY	\N	\N
987314	3367	1994-11-30	VYDAJ	VYBER	15	46111	SLUZBY	\N	\N
987315	3367	1994-12-31	VYDAJ	VYBER	15	51232	SLUZBY	\N	\N
987316	3367	1995-01-31	VYDAJ	VYBER	15	50535	SLUZBY	\N	\N
987317	3367	1995-02-28	VYDAJ	VYBER	15	52439	SLUZBY	\N	\N
987318	3367	1995-03-31	VYDAJ	VYBER	15	53653	SLUZBY	\N	\N
987319	3367	1995-04-30	VYDAJ	VYBER	15	51165	SLUZBY	\N	\N
987320	3367	1995-05-31	VYDAJ	VYBER	15	52171	SLUZBY	\N	\N
987321	3367	1995-06-30	VYDAJ	VYBER	15	57099	SLUZBY	\N	\N
987322	3367	1995-07-31	VYDAJ	VYBER	15	50290	SLUZBY	\N	\N
987323	3367	1995-08-31	VYDAJ	VYBER	15	49626	SLUZBY	\N	\N
987324	3367	1995-09-30	VYDAJ	VYBER	15	55626	SLUZBY	\N	\N
987325	3367	1995-10-31	VYDAJ	VYBER	15	59247	SLUZBY	\N	\N
987326	3367	1995-11-30	VYDAJ	VYBER	15	65886	SLUZBY	\N	\N
987327	3367	1995-12-31	VYDAJ	VYBER	15	71981	SLUZBY	\N	\N
987328	3367	1996-01-31	VYDAJ	VYBER	15	63422	SLUZBY	\N	\N
987329	3367	1996-02-29	VYDAJ	VYBER	15	61917	SLUZBY	\N	\N
987330	3367	1996-03-31	VYDAJ	VYBER	15	63454	SLUZBY	\N	\N
987331	3367	1996-04-30	VYDAJ	VYBER	15	65437	SLUZBY	\N	\N
987332	3367	1996-05-31	VYDAJ	VYBER	15	61668	SLUZBY	\N	\N
987333	3367	1996-06-30	VYDAJ	VYBER	15	71825	SLUZBY	\N	\N
987334	3367	1996-07-31	VYDAJ	VYBER	15	70591	SLUZBY	\N	\N
987335	3367	1996-08-31	VYDAJ	VYBER	15	73158	SLUZBY	\N	\N
987336	3367	1996-09-30	VYDAJ	VYBER	15	80804	SLUZBY	\N	\N
987337	3367	1996-10-31	VYDAJ	VYBER	15	87725	SLUZBY	\N	\N
987338	3367	1996-11-30	VYDAJ	VYBER	15	91561	SLUZBY	\N	\N
987339	3367	1996-12-31	VYDAJ	VYBER	15	104121	SLUZBY	\N	\N
987340	3367	1997-01-31	VYDAJ	VYBER	15	102308	SLUZBY	\N	\N
987341	3367	1997-02-28	VYDAJ	VYBER	15	103493	SLUZBY	\N	\N
987342	3367	1997-03-31	VYDAJ	VYBER	15	101380	SLUZBY	\N	\N
987343	3367	1997-04-30	VYDAJ	VYBER	15	104068	SLUZBY	\N	\N
987344	3367	1997-05-31	VYDAJ	VYBER	15	106768	SLUZBY	\N	\N
987345	3367	1997-06-30	VYDAJ	VYBER	15	79940	SLUZBY	\N	\N
987346	3367	1997-07-31	VYDAJ	VYBER	15	92768	SLUZBY	\N	\N
987347	3367	1997-08-31	VYDAJ	VYBER	15	101733	SLUZBY	\N	\N
987348	3367	1997-09-30	VYDAJ	VYBER	15	106463	SLUZBY	\N	\N
987349	3367	1997-10-31	VYDAJ	VYBER	15	110570	SLUZBY	\N	\N
987350	3367	1997-11-30	VYDAJ	VYBER	15	111682	SLUZBY	\N	\N
987351	3367	1997-12-31	VYDAJ	VYBER	15	54753	SLUZBY	\N	\N
987352	3367	1998-01-31	VYDAJ	VYBER	15	85230	SLUZBY	\N	\N
987353	3367	1998-02-28	VYDAJ	VYBER	15	97231	SLUZBY	\N	\N
987354	3367	1998-03-31	VYDAJ	VYBER	15	105041	SLUZBY	\N	\N
987355	3367	1998-04-30	VYDAJ	VYBER	15	106977	SLUZBY	\N	\N
987356	3367	1998-05-31	VYDAJ	VYBER	15	114492	SLUZBY	\N	\N
987357	3367	1998-06-30	VYDAJ	VYBER	15	71533	SLUZBY	\N	\N
987358	3367	1998-07-31	VYDAJ	VYBER	15	99672	SLUZBY	\N	\N
987359	3367	1998-08-31	VYDAJ	VYBER	15	112823	SLUZBY	\N	\N
987360	3367	1998-09-30	VYDAJ	VYBER	15	100747	SLUZBY	\N	\N
987361	3367	1998-10-31	VYDAJ	VYBER	15	61993	SLUZBY	\N	\N
987362	3367	1998-11-30	VYDAJ	VYBER	15	95708	SLUZBY	\N	\N
987363	3367	1993-05-01	PRIJEM	VKLAD	2300	25767	\N	\N	\N
987364	3367	1993-05-31	VYDAJ	VYBER	13800	34734	\N	\N	\N
987365	3367	1993-06-30	VYDAJ	VYBER	24600	44192	\N	\N	\N
987366	3367	1993-07-30	VYDAJ	VYBER	20800	46000	\N	\N	\N
987367	3367	1993-08-29	VYDAJ	VYBER	24400	43489	\N	\N	\N
987368	3367	1993-09-28	VYDAJ	VYBER	18000	45297	\N	\N	\N
987369	3367	1993-10-28	VYDAJ	VYBER	20500	44593	\N	\N	\N
987370	3367	1993-11-27	VYDAJ	VYBER	22000	42392	\N	\N	\N
987371	3367	1993-12-27	VYDAJ	VYBER	24700	46711	\N	\N	\N
987372	3367	1994-01-26	VYDAJ	VYBER	19400	45914	\N	\N	\N
987373	3367	1994-02-25	VYDAJ	VYBER	20300	43492	\N	\N	\N
987374	3367	1994-03-27	VYDAJ	VYBER	17400	45882	\N	\N	\N
987375	3367	1994-04-26	VYDAJ	VYBER	17400	44195	\N	\N	\N
987376	3367	1994-05-26	VYDAJ	VYBER	15500	44408	\N	\N	\N
987377	3367	1994-06-25	VYDAJ	VYBER	24800	50695	\N	\N	\N
987378	3367	1994-07-25	VYDAJ	VYBER	18900	51609	\N	\N	\N
987379	3367	1994-08-24	VYDAJ	VYBER	20000	51423	\N	\N	\N
987380	3367	1994-09-23	VYDAJ	VYBER	20100	45978	\N	\N	\N
987381	3367	1994-10-23	VYDAJ	VYBER	18400	47373	\N	\N	\N
987382	3367	1994-11-22	VYDAJ	VYBER	19700	47465	\N	\N	\N
987383	3367	1994-12-22	VYDAJ	VYBER	22300	51020	\N	\N	\N
987384	3367	1995-01-21	VYDAJ	VYBER	20500	50317	\N	\N	\N
987385	3367	1995-02-20	VYDAJ	VYBER	17900	52220	\N	\N	\N
987386	3367	1995-03-22	VYDAJ	VYBER	18600	53424	\N	\N	\N
987387	3367	1995-04-21	VYDAJ	VYBER	22300	50938	\N	\N	\N
987388	3367	1995-05-21	VYDAJ	VYBER	18800	51950	\N	\N	\N
987389	3367	1995-06-20	VYDAJ	VYBER	26200	56860	\N	\N	\N
987390	3367	1995-07-20	VYDAJ	VYBER	15700	55824	\N	\N	\N
987391	3367	1995-08-19	VYDAJ	VYBER	17700	52175	\N	\N	\N
987392	3367	1995-09-18	VYDAJ	VYBER	13800	55411	\N	\N	\N
987393	3367	1995-10-18	VYDAJ	VYBER	16200	59011	\N	\N	\N
987394	3367	1995-11-17	VYDAJ	VYBER	13200	65632	\N	\N	\N
987395	3367	1995-12-17	VYDAJ	VYBER	23800	71695	\N	\N	\N
987396	3367	1996-01-16	VYDAJ	VYBER	20500	71066	\N	\N	\N
987397	3367	1996-02-15	VYDAJ	VYBER	17500	61667	\N	\N	\N
987398	3367	1996-03-16	VYDAJ	VYBER	18300	63202	\N	\N	\N
987399	3367	1996-04-15	VYDAJ	VYBER	15700	67339	\N	\N	\N
987400	3367	1996-05-15	VYDAJ	VYBER	19400	61422	\N	\N	\N
987401	3367	1996-06-14	VYDAJ	VYBER	21000	71557	\N	\N	\N
987402	3367	1996-07-14	VYDAJ	VYBER	21100	70310	\N	\N	\N
987403	3367	1996-08-13	VYDAJ	VYBER	17300	73780	\N	\N	\N
987404	3367	1996-09-12	VYDAJ	VYBER	6600	58799	\N	\N	\N
987405	3367	1996-10-12	VYDAJ	VYBER	13000	65685	\N	\N	\N
987406	3367	1996-11-11	VYDAJ	VYBER	16100	69506	\N	\N	\N
987407	3367	1996-12-11	VYDAJ	VYBER	16000	73442	\N	\N	\N
987408	3367	1997-01-10	VYDAJ	VYBER	21800	80202	\N	\N	\N
987409	3367	1997-02-09	VYDAJ	VYBER	18800	81389	\N	\N	\N
987410	3367	1997-03-11	VYDAJ	VYBER	22100	79274	\N	\N	\N
987411	3367	1997-04-10	VYDAJ	VYBER	17300	81961	\N	\N	\N
987412	3367	1997-05-10	VYDAJ	VYBER	17300	84649	\N	\N	\N
987413	3367	1997-06-09	VYDAJ	VYBER	17700	83229	\N	\N	\N
987414	3367	1997-06-13	VYDAJ	VYBER	34500	81737	\N	\N	\N
987415	3367	1997-07-09	VYDAJ	VYBER	5300	70721	\N	\N	\N
987416	3367	1997-08-08	VYDAJ	VYBER	11000	79649	\N	\N	\N
987417	3367	1997-09-07	VYDAJ	VYBER	13700	86473	\N	\N	\N
987418	3367	1997-10-07	VYDAJ	VYBER	15900	90563	\N	\N	\N
987419	3367	1997-11-06	VYDAJ	VYBER	18900	91670	\N	\N	\N
987420	3367	1997-12-06	VYDAJ	VYBER	19600	92082	\N	\N	\N
987421	3367	1997-12-13	VYDAJ	VYBER	64500	58471	\N	\N	\N
987422	3367	1998-01-05	PRIJEM	VKLAD	10600	65353	\N	\N	\N
987423	3367	1998-02-04	VYDAJ	VYBER	6500	78730	\N	\N	\N
987424	3367	1998-03-06	VYDAJ	VYBER	7500	89731	\N	\N	\N
987425	3367	1998-04-05	VYDAJ	VYBER	14100	90941	\N	\N	\N
987426	3367	1998-05-05	VYDAJ	VYBER	12500	94477	\N	\N	\N
987427	3367	1998-06-04	VYDAJ	VYBER	9600	102612	\N	\N	\N
987428	3367	1998-06-13	VYDAJ	VYBER	62300	72105	\N	\N	\N
987429	3367	1998-07-04	PRIJEM	VKLAD	8200	79733	\N	\N	\N
987430	3367	1998-08-03	VYDAJ	VYBER	4100	95572	\N	\N	\N
987431	3367	1998-09-02	VYDAJ	VYBER	9500	103323	\N	\N	\N
987432	3367	1998-09-13	VYDAJ	VYBER	18500	104408	\N	\N	\N
987433	3367	1998-10-02	VYDAJ	VYBER	1200	99547	\N	\N	\N
987434	3367	1998-10-13	VYDAJ	VYBER	53200	66836	\N	\N	\N
987435	3367	1998-11-01	PRIJEM	VKLAD	13800	75793	\N	\N	\N
987436	3367	1998-12-01	VYDAJ	VYBER	2800	92908	\N	\N	\N
987437	3367	1998-12-13	VYDAJ	VYBER	58000	66701	\N	\N	\N
987507	3368	1995-09-14	PRIJEM	VKLAD	200	200	\N	\N	\N
987517	3368	1995-10-07	PRIJEM	VKLAD	14447	14647	\N	\N	\N
987518	3368	1995-11-07	PRIJEM	VKLAD	14447	37249	\N	\N	\N
987519	3368	1995-12-07	PRIJEM	VKLAD	21671	55843	\N	\N	\N
987520	3368	1996-01-07	PRIJEM	VKLAD	14447	56752	\N	\N	\N
987521	3368	1996-02-07	PRIJEM	VKLAD	14447	58580	\N	\N	\N
987522	3368	1996-03-07	PRIJEM	VKLAD	14447	56383	\N	\N	\N
987523	3368	1996-04-07	PRIJEM	VKLAD	14447	55801	\N	\N	\N
987524	3368	1996-05-07	PRIJEM	VKLAD	14447	52891	\N	\N	\N
987525	3368	1996-06-07	PRIJEM	VKLAD	21671	61004	\N	\N	\N
987526	3368	1996-07-07	PRIJEM	VKLAD	14447	32214	\N	\N	\N
987527	3368	1996-08-07	PRIJEM	VKLAD	14447	39417	\N	\N	\N
987528	3368	1996-09-07	PRIJEM	VKLAD	14447	47072	\N	\N	\N
987529	3368	1996-10-07	PRIJEM	VKLAD	14447	46516	\N	\N	\N
987530	3368	1996-11-07	PRIJEM	VKLAD	14447	50489	\N	\N	\N
987531	3368	1996-12-07	PRIJEM	VKLAD	21671	54214	\N	\N	\N
987532	3368	1997-01-07	PRIJEM	VKLAD	14447	54432	\N	\N	\N
987533	3368	1997-02-07	PRIJEM	VKLAD	14447	57667	\N	\N	\N
987534	3368	1997-03-07	PRIJEM	VKLAD	14447	64392	\N	\N	\N
987535	3368	1997-04-07	PRIJEM	VKLAD	14447	59624	\N	\N	\N
987536	3368	1997-05-07	PRIJEM	VKLAD	14447	63266	\N	\N	\N
987537	3368	1997-06-07	PRIJEM	VKLAD	21671	68345	\N	\N	\N
987538	3368	1997-07-07	PRIJEM	VKLAD	14447	51691	\N	\N	\N
987539	3368	1997-08-07	PRIJEM	VKLAD	14447	55976	\N	\N	\N
987540	3368	1997-09-07	PRIJEM	VKLAD	14447	59380	\N	\N	\N
987541	3368	1997-10-07	PRIJEM	VKLAD	14447	65238	\N	\N	\N
987542	3368	1997-11-07	PRIJEM	VKLAD	14447	69898	\N	\N	\N
987543	3368	1997-12-07	PRIJEM	VKLAD	21671	80104	\N	\N	\N
987544	3368	1998-01-07	PRIJEM	VKLAD	14447	73446	\N	\N	\N
987545	3368	1998-02-07	PRIJEM	VKLAD	14447	69273	\N	\N	\N
987546	3368	1998-03-07	PRIJEM	VKLAD	14447	76046	\N	\N	\N
987547	3368	1998-04-07	PRIJEM	VKLAD	14447	83342	\N	\N	\N
987548	3368	1998-05-07	PRIJEM	VKLAD	14447	83876	\N	\N	\N
987549	3368	1998-06-07	PRIJEM	VKLAD	21671	93233	\N	\N	\N
987550	3368	1998-07-07	PRIJEM	VKLAD	14447	73962	\N	\N	\N
987551	3368	1998-08-07	PRIJEM	VKLAD	14447	85705	\N	\N	\N
987552	3368	1998-09-07	PRIJEM	VKLAD	14447	87543	\N	\N	\N
987553	3368	1998-10-07	PRIJEM	VKLAD	14447	92283	\N	\N	\N
987554	3368	1998-11-07	PRIJEM	VKLAD	14447	96749	\N	\N	\N
987555	3368	1998-12-07	PRIJEM	VKLAD	21671	108357	\N	\N	\N
987569	3368	1996-02-10	VYDAJ	PREVOD NA UCET	4389	54191	SIPO	UV	71638446
987570	3368	1996-03-10	VYDAJ	PREVOD NA UCET	4389	51818	SIPO	UV	71638446
987571	3368	1996-04-10	VYDAJ	PREVOD NA UCET	4389	51236	SIPO	UV	71638446
987572	3368	1996-05-10	VYDAJ	PREVOD NA UCET	4389	48326	SIPO	UV	71638446
987573	3368	1996-06-10	VYDAJ	PREVOD NA UCET	4389	25199	SIPO	UV	71638446
987574	3368	1996-07-10	VYDAJ	PREVOD NA UCET	4389	34025	SIPO	UV	71638446
987575	3368	1996-08-10	VYDAJ	PREVOD NA UCET	4389	35852	SIPO	UV	71638446
987576	3368	1996-09-10	VYDAJ	PREVOD NA UCET	4389	37383	SIPO	UV	71638446
987577	3368	1996-10-10	VYDAJ	PREVOD NA UCET	4389	39251	SIPO	UV	71638446
987578	3368	1996-11-10	VYDAJ	PREVOD NA UCET	4389	41024	SIPO	UV	71638446
987579	3368	1996-12-10	VYDAJ	PREVOD NA UCET	4389	45525	SIPO	UV	71638446
987580	3368	1997-01-10	VYDAJ	PREVOD NA UCET	4389	50043	SIPO	UV	71638446
987581	3368	1997-02-10	VYDAJ	PREVOD NA UCET	4389	53102	SIPO	UV	71638446
987582	3368	1997-03-10	VYDAJ	PREVOD NA UCET	4389	51927	SIPO	UV	71638446
987583	3368	1997-04-10	VYDAJ	PREVOD NA UCET	4389	55059	SIPO	UV	71638446
987584	3368	1997-05-10	VYDAJ	PREVOD NA UCET	4389	58877	SIPO	UV	71638446
987585	3368	1997-06-10	VYDAJ	PREVOD NA UCET	4389	59940	SIPO	UV	71638446
987586	3368	1997-07-10	VYDAJ	PREVOD NA UCET	4389	47126	SIPO	UV	71638446
987587	3368	1997-08-10	VYDAJ	PREVOD NA UCET	4389	51411	SIPO	UV	71638446
987588	3368	1997-09-10	VYDAJ	PREVOD NA UCET	4389	54815	SIPO	UV	71638446
987589	3368	1997-10-10	VYDAJ	PREVOD NA UCET	4389	60849	SIPO	UV	71638446
987590	3368	1997-11-10	VYDAJ	PREVOD NA UCET	4389	65509	SIPO	UV	71638446
987591	3368	1997-12-10	VYDAJ	PREVOD NA UCET	4389	75715	SIPO	UV	71638446
987592	3368	1998-01-10	VYDAJ	PREVOD NA UCET	4389	69057	SIPO	UV	71638446
987593	3368	1998-02-10	VYDAJ	PREVOD NA UCET	4389	64708	SIPO	UV	71638446
987594	3368	1998-03-10	VYDAJ	PREVOD NA UCET	4389	71657	SIPO	UV	71638446
987595	3368	1998-04-10	VYDAJ	PREVOD NA UCET	4389	78777	SIPO	UV	71638446
987596	3368	1998-05-10	VYDAJ	PREVOD NA UCET	4389	79311	SIPO	UV	71638446
987597	3368	1998-06-10	VYDAJ	PREVOD NA UCET	4389	88668	SIPO	UV	71638446
987598	3368	1998-07-10	VYDAJ	PREVOD NA UCET	4389	69573	SIPO	UV	71638446
987599	3368	1998-08-10	VYDAJ	PREVOD NA UCET	4389	81316	SIPO	UV	71638446
987600	3368	1998-09-10	VYDAJ	PREVOD NA UCET	4389	79554	SIPO	UV	71638446
987601	3368	1998-10-10	VYDAJ	PREVOD NA UCET	4389	87894	SIPO	UV	71638446
987602	3368	1998-11-10	VYDAJ	PREVOD NA UCET	4389	92360	SIPO	UV	71638446
987603	3368	1998-12-10	VYDAJ	PREVOD NA UCET	4389	103792	SIPO	UV	71638446
987617	3368	1996-02-12	VYDAJ	PREVOD NA UCET	3343	41772	 	CD	59722214
987618	3368	1996-03-12	VYDAJ	PREVOD NA UCET	3343	48475	 	CD	59722214
987619	3368	1996-04-12	VYDAJ	PREVOD NA UCET	3343	38293	 	CD	59722214
987620	3368	1996-05-12	VYDAJ	PREVOD NA UCET	3343	39183	 	CD	59722214
987621	3368	1996-06-12	VYDAJ	PREVOD NA UCET	3343	21856	 	CD	59722214
987622	3368	1996-07-12	VYDAJ	PREVOD NA UCET	3343	30506	 	CD	59722214
987623	3368	1996-08-12	VYDAJ	PREVOD NA UCET	3343	32509	 	CD	59722214
987624	3368	1996-09-12	VYDAJ	PREVOD NA UCET	3343	33864	 	CD	59722214
987625	3368	1996-10-12	VYDAJ	PREVOD NA UCET	3343	35908	 	CD	59722214
987626	3368	1996-11-12	VYDAJ	PREVOD NA UCET	3343	37681	 	CD	59722214
987627	3368	1996-12-12	VYDAJ	PREVOD NA UCET	3343	37686	 	CD	59722214
987628	3368	1997-01-12	VYDAJ	PREVOD NA UCET	3343	46524	 	CD	59722214
987629	3368	1997-02-12	VYDAJ	PREVOD NA UCET	3343	49759	 	CD	59722214
987630	3368	1997-03-12	VYDAJ	PREVOD NA UCET	3343	48584	 	CD	59722214
987631	3368	1997-04-12	VYDAJ	PREVOD NA UCET	3343	51716	 	CD	59722214
987632	3368	1997-05-12	VYDAJ	PREVOD NA UCET	3343	55358	 	CD	59722214
987633	3368	1997-06-12	VYDAJ	PREVOD NA UCET	3343	56597	 	CD	59722214
987634	3368	1997-07-12	VYDAJ	PREVOD NA UCET	3343	43783	 	CD	59722214
987635	3368	1997-08-12	VYDAJ	PREVOD NA UCET	3343	48068	 	CD	59722214
987636	3368	1997-09-12	VYDAJ	PREVOD NA UCET	3343	51472	 	CD	59722214
987637	3368	1997-10-12	VYDAJ	PREVOD NA UCET	3343	57330	 	CD	59722214
987638	3368	1997-11-12	VYDAJ	PREVOD NA UCET	3343	61990	 	CD	59722214
987639	3368	1997-12-12	VYDAJ	PREVOD NA UCET	3343	72196	 	CD	59722214
987640	3368	1998-01-12	VYDAJ	PREVOD NA UCET	3343	65538	 	CD	59722214
987641	3368	1998-02-12	VYDAJ	PREVOD NA UCET	3343	61365	 	CD	59722214
987642	3368	1998-03-12	VYDAJ	PREVOD NA UCET	3343	68138	 	CD	59722214
987643	3368	1998-04-12	VYDAJ	PREVOD NA UCET	3343	75434	 	CD	59722214
987644	3368	1998-05-12	VYDAJ	PREVOD NA UCET	3343	72368	 	CD	59722214
987645	3368	1998-06-12	VYDAJ	PREVOD NA UCET	3343	85325	 	CD	59722214
987646	3368	1998-07-12	VYDAJ	PREVOD NA UCET	3343	62214	 	CD	59722214
987647	3368	1998-08-12	VYDAJ	PREVOD NA UCET	3343	77797	 	CD	59722214
987648	3368	1998-09-12	VYDAJ	PREVOD NA UCET	3343	76035	 	CD	59722214
987649	3368	1998-10-12	VYDAJ	PREVOD NA UCET	3343	84375	 	CD	59722214
987650	3368	1998-11-12	VYDAJ	PREVOD NA UCET	3343	88841	 	CD	59722214
987651	3368	1998-12-12	VYDAJ	PREVOD NA UCET	3343	100449	 	CD	59722214
987665	3368	1996-02-10	VYDAJ	PREVOD NA UCET	176	54015	POJISTNE	UV	2184236
987666	3368	1996-03-10	VYDAJ	PREVOD NA UCET	176	56207	POJISTNE	UV	2184236
987783	3368	1997-03-31	VYDAJ	VYBER	15	48777	SLUZBY	\N	\N
987667	3368	1996-04-10	VYDAJ	PREVOD NA UCET	176	55625	POJISTNE	UV	2184236
987668	3368	1996-05-10	VYDAJ	PREVOD NA UCET	176	52715	POJISTNE	UV	2184236
987669	3368	1996-06-10	VYDAJ	PREVOD NA UCET	176	67828	POJISTNE	UV	2184236
987670	3368	1996-07-10	VYDAJ	PREVOD NA UCET	176	33849	POJISTNE	UV	2184236
987671	3368	1996-08-10	VYDAJ	PREVOD NA UCET	176	40241	POJISTNE	UV	2184236
987672	3368	1996-09-10	VYDAJ	PREVOD NA UCET	176	37207	POJISTNE	UV	2184236
987673	3368	1996-10-10	VYDAJ	PREVOD NA UCET	176	43640	POJISTNE	UV	2184236
987674	3368	1996-11-10	VYDAJ	PREVOD NA UCET	176	45413	POJISTNE	UV	2184236
987675	3368	1996-12-10	VYDAJ	PREVOD NA UCET	176	45349	POJISTNE	UV	2184236
987676	3368	1997-01-10	VYDAJ	PREVOD NA UCET	176	49867	POJISTNE	UV	2184236
987677	3368	1997-02-10	VYDAJ	PREVOD NA UCET	176	57491	POJISTNE	UV	2184236
987678	3368	1997-03-10	VYDAJ	PREVOD NA UCET	176	56316	POJISTNE	UV	2184236
987679	3368	1997-04-10	VYDAJ	PREVOD NA UCET	176	59448	POJISTNE	UV	2184236
987680	3368	1997-05-10	VYDAJ	PREVOD NA UCET	176	58701	POJISTNE	UV	2184236
987681	3368	1997-06-10	VYDAJ	PREVOD NA UCET	176	64329	POJISTNE	UV	2184236
987682	3368	1997-07-10	VYDAJ	PREVOD NA UCET	176	51515	POJISTNE	UV	2184236
987683	3368	1997-08-10	VYDAJ	PREVOD NA UCET	176	55800	POJISTNE	UV	2184236
987684	3368	1997-09-10	VYDAJ	PREVOD NA UCET	176	59204	POJISTNE	UV	2184236
987685	3368	1997-10-10	VYDAJ	PREVOD NA UCET	176	60673	POJISTNE	UV	2184236
987686	3368	1997-11-10	VYDAJ	PREVOD NA UCET	176	65333	POJISTNE	UV	2184236
987687	3368	1997-12-10	VYDAJ	PREVOD NA UCET	176	75539	POJISTNE	UV	2184236
987688	3368	1998-01-10	VYDAJ	PREVOD NA UCET	176	68881	POJISTNE	UV	2184236
987689	3368	1998-02-10	VYDAJ	PREVOD NA UCET	176	69097	POJISTNE	UV	2184236
987690	3368	1998-03-10	VYDAJ	PREVOD NA UCET	176	71481	POJISTNE	UV	2184236
987691	3368	1998-04-10	VYDAJ	PREVOD NA UCET	176	83166	POJISTNE	UV	2184236
987692	3368	1998-05-10	VYDAJ	PREVOD NA UCET	176	83700	POJISTNE	UV	2184236
987693	3368	1998-06-10	VYDAJ	PREVOD NA UCET	176	93057	POJISTNE	UV	2184236
987694	3368	1998-07-10	VYDAJ	PREVOD NA UCET	176	65557	POJISTNE	UV	2184236
987695	3368	1998-08-10	VYDAJ	PREVOD NA UCET	176	81140	POJISTNE	UV	2184236
987696	3368	1998-09-10	VYDAJ	PREVOD NA UCET	176	79378	POJISTNE	UV	2184236
987697	3368	1998-10-10	VYDAJ	PREVOD NA UCET	176	87718	POJISTNE	UV	2184236
987698	3368	1998-11-10	VYDAJ	PREVOD NA UCET	176	92184	POJISTNE	UV	2184236
987699	3368	1998-12-10	VYDAJ	PREVOD NA UCET	176	108181	POJISTNE	UV	2184236
987701	3368	1996-06-10	VYDAJ	VYBER	38240	29588	\N	\N	\N
987702	3368	1997-06-17	VYDAJ	VYBER	20640	35957	\N	\N	\N
987703	3368	1998-06-24	VYDAJ	VYBER	36800	48525	\N	\N	\N
987706	3368	1997-01-02	VYDAJ	VYBER	4960	28665	\N	\N	\N
987707	3368	1998-01-13	VYDAJ	VYBER	8640	56898	\N	\N	\N
987709	3368	1996-12-30	VYDAJ	VYBER	1440	33486	\N	\N	\N
987710	3368	1997-12-22	VYDAJ	VYBER	2080	64236	\N	\N	\N
987711	3368	1998-12-24	VYDAJ	VYBER	960	99489	\N	\N	\N
987724	3368	1997-01-04	VYDAJ	VYBER	1080	27585	\N	\N	\N
987725	3368	1997-01-16	VYDAJ	VYBER	3120	43404	\N	\N	\N
987726	3368	1997-01-20	VYDAJ	VYBER	2640	40764	\N	\N	\N
987727	3368	1997-01-23	VYDAJ	VYBER	1800	38964	\N	\N	\N
987728	3368	1997-01-24	VYDAJ	VYBER	1560	36564	\N	\N	\N
987729	3368	1997-01-24	VYDAJ	VYBER	840	38124	\N	\N	\N
987730	3368	1998-01-14	VYDAJ	VYBER	2280	54618	\N	\N	\N
987731	3368	1998-01-05	VYDAJ	VYBER	1200	58999	\N	\N	\N
987732	3368	1998-01-17	VYDAJ	VYBER	1200	53418	\N	\N	\N
987733	3368	1998-01-24	VYDAJ	VYBER	1080	52338	\N	\N	\N
987734	3368	1998-01-28	VYDAJ	VYBER	720	51618	\N	\N	\N
987735	3368	1998-01-29	VYDAJ	VYBER	1920	49698	\N	\N	\N
987739	3368	1996-12-14	VYDAJ	VYBER	2760	34926	\N	\N	\N
987740	3368	1996-07-01	VYDAJ	VYBER	4200	17767	\N	\N	\N
987741	3368	1996-07-28	VYDAJ	VYBER	5640	24866	\N	\N	\N
987742	3368	1996-09-21	VYDAJ	VYBER	1920	31944	\N	\N	\N
987743	3368	1996-11-22	VYDAJ	VYBER	5280	32401	\N	\N	\N
987744	3368	1996-12-12	VYDAJ	VYBER	4320	41029	\N	\N	\N
987745	3368	1997-09-28	VYDAJ	VYBER	2880	48592	\N	\N	\N
987746	3368	1997-12-13	VYDAJ	VYBER	5880	66316	\N	\N	\N
987747	3368	1997-06-10	VYDAJ	VYBER	3840	64505	\N	\N	\N
987748	3368	1997-09-04	VYDAJ	VYBER	3120	44933	\N	\N	\N
987749	3368	1997-08-04	VYDAJ	VYBER	2520	41529	\N	\N	\N
987750	3368	1998-09-08	VYDAJ	VYBER	3600	83943	\N	\N	\N
987751	3368	1998-05-11	VYDAJ	VYBER	3600	75711	\N	\N	\N
987752	3368	1998-07-10	VYDAJ	VYBER	3840	65733	\N	\N	\N
987753	3368	1998-03-20	VYDAJ	VYBER	2400	65738	\N	\N	\N
987754	3368	1998-12-30	VYDAJ	VYBER	3240	93049	\N	\N	\N
987755	3368	1998-10-27	VYDAJ	VYBER	600	83775	\N	\N	\N
987770	3368	1996-02-29	VYDAJ	VYBER	15	41936	SLUZBY	\N	\N
987771	3368	1996-03-31	VYDAJ	VYBER	15	41354	SLUZBY	\N	\N
987772	3368	1996-04-30	VYDAJ	VYBER	15	38444	SLUZBY	\N	\N
987773	3368	1996-05-31	VYDAJ	VYBER	15	39333	SLUZBY	\N	\N
987774	3368	1996-06-30	VYDAJ	VYBER	15	21967	SLUZBY	\N	\N
987775	3368	1996-07-31	VYDAJ	VYBER	15	24970	SLUZBY	\N	\N
987776	3368	1996-08-31	VYDAJ	VYBER	15	32625	SLUZBY	\N	\N
987777	3368	1996-09-30	VYDAJ	VYBER	15	32069	SLUZBY	\N	\N
987778	3368	1996-10-31	VYDAJ	VYBER	15	36042	SLUZBY	\N	\N
987779	3368	1996-11-30	VYDAJ	VYBER	15	32543	SLUZBY	\N	\N
987780	3368	1996-12-31	VYDAJ	VYBER	15	33625	SLUZBY	\N	\N
987781	3368	1997-01-31	VYDAJ	VYBER	15	36720	SLUZBY	\N	\N
987782	3368	1997-02-28	VYDAJ	VYBER	15	49945	SLUZBY	\N	\N
987784	3368	1997-04-30	VYDAJ	VYBER	15	51919	SLUZBY	\N	\N
987785	3368	1997-05-31	VYDAJ	VYBER	15	55575	SLUZBY	\N	\N
987786	3368	1997-06-30	VYDAJ	VYBER	15	36144	SLUZBY	\N	\N
987787	3368	1997-07-31	VYDAJ	VYBER	15	43949	SLUZBY	\N	\N
987788	3368	1997-08-31	VYDAJ	VYBER	15	48253	SLUZBY	\N	\N
987789	3368	1997-09-30	VYDAJ	VYBER	15	48791	SLUZBY	\N	\N
987790	3368	1997-10-31	VYDAJ	VYBER	15	57551	SLUZBY	\N	\N
987791	3368	1997-11-30	VYDAJ	VYBER	15	62233	SLUZBY	\N	\N
987792	3368	1997-12-31	VYDAJ	VYBER	15	64499	SLUZBY	\N	\N
987793	3368	1998-01-31	VYDAJ	VYBER	15	54826	SLUZBY	\N	\N
987794	3368	1998-02-28	VYDAJ	VYBER	15	61599	SLUZBY	\N	\N
987795	3368	1998-03-31	VYDAJ	VYBER	15	65995	SLUZBY	\N	\N
987796	3368	1998-04-30	VYDAJ	VYBER	15	75729	SLUZBY	\N	\N
987797	3368	1998-05-31	VYDAJ	VYBER	15	72662	SLUZBY	\N	\N
987798	3368	1998-06-30	VYDAJ	VYBER	15	59515	SLUZBY	\N	\N
987799	3368	1998-07-31	VYDAJ	VYBER	15	71258	SLUZBY	\N	\N
987800	3368	1998-08-31	VYDAJ	VYBER	15	73096	SLUZBY	\N	\N
987801	3368	1998-09-30	VYDAJ	VYBER	15	77836	SLUZBY	\N	\N
987802	3368	1998-10-31	VYDAJ	VYBER	15	82302	SLUZBY	\N	\N
987803	3368	1998-11-30	VYDAJ	VYBER	15	86686	SLUZBY	\N	\N
987804	3368	1995-10-14	PRIJEM	VKLAD	8100	22747	\N	\N	\N
987805	3368	1995-11-13	VYDAJ	VYBER	3200	34049	\N	\N	\N
987806	3368	1995-12-13	VYDAJ	VYBER	13700	42143	\N	\N	\N
987807	3368	1996-01-12	VYDAJ	VYBER	12800	43952	\N	\N	\N
987808	3368	1996-02-11	VYDAJ	VYBER	8900	45115	\N	\N	\N
987809	3368	1996-03-12	VYDAJ	VYBER	7300	41175	\N	\N	\N
987810	3368	1996-04-11	VYDAJ	VYBER	9600	41636	\N	\N	\N
987811	3368	1996-05-11	VYDAJ	VYBER	5800	42526	\N	\N	\N
987812	3368	1996-06-10	PRIJEM	VKLAD	7000	68004	\N	\N	\N
987813	3368	1996-07-10	PRIJEM	VKLAD	6200	38414	\N	\N	\N
987814	3368	1996-08-09	PRIJEM	VKLAD	1000	40417	\N	\N	\N
987815	3368	1996-09-08	VYDAJ	VYBER	5300	41772	\N	\N	\N
987816	3368	1996-10-08	VYDAJ	VYBER	2700	43816	\N	\N	\N
987817	3368	1996-11-07	VYDAJ	VYBER	4900	45589	\N	\N	\N
987818	3368	1996-12-07	VYDAJ	VYBER	4300	49914	\N	\N	\N
987819	3368	1997-01-06	PRIJEM	VKLAD	12400	39985	\N	\N	\N
987820	3368	1997-02-05	PRIJEM	VKLAD	6500	43220	\N	\N	\N
987821	3368	1997-03-07	VYDAJ	VYBER	7900	56492	\N	\N	\N
987822	3368	1997-04-06	VYDAJ	VYBER	3600	45177	\N	\N	\N
987823	3368	1997-05-06	VYDAJ	VYBER	3100	48819	\N	\N	\N
987824	3368	1997-06-05	VYDAJ	VYBER	8900	46675	\N	\N	\N
987825	3368	1997-07-05	PRIJEM	VKLAD	1100	37244	\N	\N	\N
987826	3368	1997-08-04	PRIJEM	VKLAD	100	44049	\N	\N	\N
987827	3368	1997-09-03	VYDAJ	VYBER	200	48053	\N	\N	\N
987828	3368	1997-10-03	PRIJEM	VKLAD	2000	50791	\N	\N	\N
987829	3368	1997-11-02	VYDAJ	VYBER	2100	55451	\N	\N	\N
987830	3368	1997-12-02	VYDAJ	VYBER	3800	58433	\N	\N	\N
987831	3368	1998-01-01	VYDAJ	VYBER	4300	60199	\N	\N	\N
987832	3368	1998-01-31	PRIJEM	VKLAD	4900	54841	\N	\N	\N
987833	3368	1998-04-01	PRIJEM	VKLAD	2900	68895	\N	\N	\N
987834	3368	1998-05-01	VYDAJ	VYBER	6300	69429	\N	\N	\N
987835	3368	1998-05-31	VYDAJ	VYBER	1100	71562	\N	\N	\N
987836	3368	1998-06-30	PRIJEM	VKLAD	10700	59529	\N	\N	\N
987837	3368	1998-07-30	PRIJEM	VKLAD	8800	71014	\N	\N	\N
987838	3368	1998-08-29	VYDAJ	VYBER	5000	72797	\N	\N	\N
987839	3368	1998-09-28	PRIJEM	VKLAD	1500	77535	\N	\N	\N
987840	3368	1998-10-28	VYDAJ	VYBER	1800	81975	\N	\N	\N
987841	3368	1998-11-27	VYDAJ	VYBER	2500	86341	\N	\N	\N
987842	3368	1998-12-27	VYDAJ	VYBER	3200	96289	\N	\N	\N
987882	3369	1994-12-01	PRIJEM	VKLAD	300	300	\N	\N	\N
987894	3369	1994-12-13	PRIJEM	VKLAD	6825	7125	\N	\N	\N
987895	3369	1995-01-13	PRIJEM	VKLAD	4550	19494	\N	\N	\N
987896	3369	1995-02-13	PRIJEM	VKLAD	4550	27609	\N	\N	\N
987897	3369	1995-03-13	PRIJEM	VKLAD	4550	28555	\N	\N	\N
987898	3369	1995-04-13	PRIJEM	VKLAD	4550	30514	\N	\N	\N
987899	3369	1995-05-13	PRIJEM	VKLAD	4550	25425	\N	\N	\N
987900	3369	1995-06-13	PRIJEM	VKLAD	6825	27504	\N	\N	\N
987901	3369	1995-07-13	PRIJEM	VKLAD	4550	29614	\N	\N	\N
987902	3369	1995-08-13	PRIJEM	VKLAD	4550	30736	\N	\N	\N
987903	3369	1995-09-13	PRIJEM	VKLAD	4550	29361	\N	\N	\N
987904	3369	1995-10-13	PRIJEM	VKLAD	4550	30982	\N	\N	\N
987905	3369	1995-11-13	PRIJEM	VKLAD	4550	29908	\N	\N	\N
987906	3369	1995-12-13	PRIJEM	VKLAD	6825	26804	\N	\N	\N
987907	3369	1996-01-13	PRIJEM	VKLAD	4550	24609	\N	\N	\N
987908	3369	1996-02-13	PRIJEM	VKLAD	4550	21810	\N	\N	\N
987909	3369	1996-03-13	PRIJEM	VKLAD	4550	22801	\N	\N	\N
987910	3369	1996-04-13	PRIJEM	VKLAD	4550	23795	\N	\N	\N
987911	3369	1996-05-13	PRIJEM	VKLAD	4550	23692	\N	\N	\N
987912	3369	1996-06-13	PRIJEM	VKLAD	6825	23169	\N	\N	\N
987913	3369	1996-07-13	PRIJEM	VKLAD	4550	26777	\N	\N	\N
987914	3369	1996-08-13	PRIJEM	VKLAD	4550	26585	\N	\N	\N
987915	3369	1996-09-13	PRIJEM	VKLAD	4550	27192	\N	\N	\N
987916	3369	1996-10-13	PRIJEM	VKLAD	4550	25302	\N	\N	\N
987917	3369	1996-11-13	PRIJEM	VKLAD	4550	28010	\N	\N	\N
987918	3369	1996-12-13	PRIJEM	VKLAD	6825	28696	\N	\N	\N
987919	3369	1997-01-13	PRIJEM	VKLAD	4550	22906	\N	\N	\N
987920	3369	1997-02-13	PRIJEM	VKLAD	4550	19303	\N	\N	\N
987921	3369	1997-03-13	PRIJEM	VKLAD	4550	24190	\N	\N	\N
987922	3369	1997-04-13	PRIJEM	VKLAD	4550	28794	\N	\N	\N
987923	3369	1997-05-13	PRIJEM	VKLAD	4550	30112	\N	\N	\N
987924	3369	1997-06-13	PRIJEM	VKLAD	6825	22315	\N	\N	\N
987925	3369	1997-07-13	PRIJEM	VKLAD	4550	29323	\N	\N	\N
987926	3369	1997-08-13	PRIJEM	VKLAD	4550	32246	\N	\N	\N
987927	3369	1997-09-13	PRIJEM	VKLAD	4550	27473	\N	\N	\N
987928	3369	1997-10-13	PRIJEM	VKLAD	4550	30691	\N	\N	\N
987929	3369	1997-11-13	PRIJEM	VKLAD	4550	34421	\N	\N	\N
987930	3369	1997-12-13	PRIJEM	VKLAD	6825	36139	\N	\N	\N
987931	3369	1998-01-13	PRIJEM	VKLAD	4550	40394	\N	\N	\N
987932	3369	1998-02-13	PRIJEM	VKLAD	4550	38440	\N	\N	\N
987933	3369	1998-03-13	PRIJEM	VKLAD	4550	40090	\N	\N	\N
987934	3369	1998-04-13	PRIJEM	VKLAD	4550	33841	\N	\N	\N
987935	3369	1998-05-13	PRIJEM	VKLAD	4550	38988	\N	\N	\N
987936	3369	1998-06-13	PRIJEM	VKLAD	6825	43023	\N	\N	\N
987937	3369	1998-07-13	PRIJEM	VKLAD	4550	34184	\N	\N	\N
987938	3369	1998-08-13	PRIJEM	VKLAD	4550	41417	\N	\N	\N
987939	3369	1998-09-13	PRIJEM	VKLAD	4550	47778	\N	\N	\N
987940	3369	1998-10-13	PRIJEM	VKLAD	4550	51368	\N	\N	\N
987941	3369	1998-11-13	PRIJEM	VKLAD	4550	52476	\N	\N	\N
987942	3369	1998-12-13	PRIJEM	VKLAD	6825	59167	\N	\N	\N
987959	3369	1995-05-06	VYDAJ	PREVOD NA UCET	26	23882	SIPO	QR	57075303
987960	3369	1995-06-06	VYDAJ	PREVOD NA UCET	26	23686	SIPO	QR	57075303
987961	3369	1995-07-06	VYDAJ	PREVOD NA UCET	26	28071	SIPO	QR	57075303
987962	3369	1995-08-06	VYDAJ	PREVOD NA UCET	26	29193	SIPO	QR	57075303
987963	3369	1995-09-06	VYDAJ	PREVOD NA UCET	26	27818	SIPO	QR	57075303
987964	3369	1995-10-06	VYDAJ	PREVOD NA UCET	26	29439	SIPO	QR	57075303
987965	3369	1995-11-06	VYDAJ	PREVOD NA UCET	26	28365	SIPO	QR	57075303
987966	3369	1995-12-06	VYDAJ	PREVOD NA UCET	26	27286	SIPO	QR	57075303
987967	3369	1996-01-06	VYDAJ	PREVOD NA UCET	26	24066	SIPO	QR	57075303
987968	3369	1996-02-06	VYDAJ	PREVOD NA UCET	26	21367	SIPO	QR	57075303
987969	3369	1996-03-06	VYDAJ	PREVOD NA UCET	26	22058	SIPO	QR	57075303
987970	3369	1996-04-06	VYDAJ	PREVOD NA UCET	26	22252	SIPO	QR	57075303
987971	3369	1996-05-06	VYDAJ	PREVOD NA UCET	26	22149	SIPO	QR	57075303
987972	3369	1996-06-06	VYDAJ	PREVOD NA UCET	26	28651	SIPO	QR	57075303
987973	3369	1996-07-06	VYDAJ	PREVOD NA UCET	26	25234	SIPO	QR	57075303
987974	3369	1996-08-06	VYDAJ	PREVOD NA UCET	26	25042	SIPO	QR	57075303
987975	3369	1996-09-06	VYDAJ	PREVOD NA UCET	26	25649	SIPO	QR	57075303
987976	3369	1996-10-06	VYDAJ	PREVOD NA UCET	26	26059	SIPO	QR	57075303
987977	3369	1996-11-06	VYDAJ	PREVOD NA UCET	26	26467	SIPO	QR	57075303
987978	3369	1996-12-06	VYDAJ	PREVOD NA UCET	26	25678	SIPO	QR	57075303
987979	3369	1997-01-06	VYDAJ	PREVOD NA UCET	26	21363	SIPO	QR	57075303
987980	3369	1997-02-06	VYDAJ	PREVOD NA UCET	26	22660	SIPO	QR	57075303
987981	3369	1997-03-06	VYDAJ	PREVOD NA UCET	26	22647	SIPO	QR	57075303
987982	3369	1997-04-06	VYDAJ	PREVOD NA UCET	26	27251	SIPO	QR	57075303
987983	3369	1997-05-06	VYDAJ	PREVOD NA UCET	26	28569	SIPO	QR	57075303
987984	3369	1997-06-06	VYDAJ	PREVOD NA UCET	26	27697	SIPO	QR	57075303
987985	3369	1997-07-06	VYDAJ	PREVOD NA UCET	26	27780	SIPO	QR	57075303
987986	3369	1997-08-06	VYDAJ	PREVOD NA UCET	26	30703	SIPO	QR	57075303
987987	3369	1997-09-06	VYDAJ	PREVOD NA UCET	26	27930	SIPO	QR	57075303
987988	3369	1997-10-06	VYDAJ	PREVOD NA UCET	26	29148	SIPO	QR	57075303
987989	3369	1997-11-06	VYDAJ	PREVOD NA UCET	26	32878	SIPO	QR	57075303
987990	3369	1997-12-06	VYDAJ	PREVOD NA UCET	26	35221	SIPO	QR	57075303
987991	3369	1998-01-06	VYDAJ	PREVOD NA UCET	26	38851	SIPO	QR	57075303
987992	3369	1998-02-06	VYDAJ	PREVOD NA UCET	26	32997	SIPO	QR	57075303
987993	3369	1998-03-06	VYDAJ	PREVOD NA UCET	26	38547	SIPO	QR	57075303
987994	3369	1998-04-06	VYDAJ	PREVOD NA UCET	26	32298	SIPO	QR	57075303
987995	3369	1998-05-06	VYDAJ	PREVOD NA UCET	26	37445	SIPO	QR	57075303
987996	3369	1998-06-06	VYDAJ	PREVOD NA UCET	26	39205	SIPO	QR	57075303
987997	3369	1998-07-06	VYDAJ	PREVOD NA UCET	26	28141	SIPO	QR	57075303
987998	3369	1998-08-06	VYDAJ	PREVOD NA UCET	26	34274	SIPO	QR	57075303
987999	3369	1998-09-06	VYDAJ	PREVOD NA UCET	26	41535	SIPO	QR	57075303
988000	3369	1998-10-06	VYDAJ	PREVOD NA UCET	26	47925	SIPO	QR	57075303
988001	3369	1998-11-06	VYDAJ	PREVOD NA UCET	26	51533	SIPO	QR	57075303
988002	3369	1998-12-06	VYDAJ	PREVOD NA UCET	26	52649	SIPO	QR	57075303
988019	3369	1995-05-10	VYDAJ	PREVOD NA UCET	3007	20875	 	CD	76031207
988020	3369	1995-06-10	VYDAJ	PREVOD NA UCET	3007	20679	 	CD	76031207
988021	3369	1995-07-10	VYDAJ	PREVOD NA UCET	3007	25064	 	CD	76031207
988022	3369	1995-08-10	VYDAJ	PREVOD NA UCET	3007	26186	 	CD	76031207
988023	3369	1995-09-10	VYDAJ	PREVOD NA UCET	3007	24811	 	CD	76031207
988024	3369	1995-10-10	VYDAJ	PREVOD NA UCET	3007	26432	 	CD	76031207
988025	3369	1995-11-10	VYDAJ	PREVOD NA UCET	3007	25358	 	CD	76031207
988026	3369	1995-12-10	VYDAJ	PREVOD NA UCET	3007	19979	 	CD	76031207
988027	3369	1996-01-10	VYDAJ	PREVOD NA UCET	3007	21059	 	CD	76031207
988028	3369	1996-02-10	VYDAJ	PREVOD NA UCET	3007	18360	 	CD	76031207
988029	3369	1996-03-10	VYDAJ	PREVOD NA UCET	3007	18251	 	CD	76031207
988030	3369	1996-04-10	VYDAJ	PREVOD NA UCET	3007	19245	 	CD	76031207
988031	3369	1996-05-10	VYDAJ	PREVOD NA UCET	3007	19142	 	CD	76031207
988032	3369	1996-06-10	VYDAJ	PREVOD NA UCET	3007	25644	 	CD	76031207
988033	3369	1996-07-10	VYDAJ	PREVOD NA UCET	3007	22227	 	CD	76031207
988034	3369	1996-08-10	VYDAJ	PREVOD NA UCET	3007	22035	 	CD	76031207
988035	3369	1996-09-10	VYDAJ	PREVOD NA UCET	3007	22642	 	CD	76031207
988036	3369	1996-10-10	VYDAJ	PREVOD NA UCET	3007	20752	 	CD	76031207
988037	3369	1996-11-10	VYDAJ	PREVOD NA UCET	3007	23460	 	CD	76031207
988038	3369	1996-12-10	VYDAJ	PREVOD NA UCET	3007	21871	 	CD	76031207
988039	3369	1997-01-10	VYDAJ	PREVOD NA UCET	3007	18356	 	CD	76031207
988040	3369	1997-02-10	VYDAJ	PREVOD NA UCET	3007	14753	 	CD	76031207
988041	3369	1997-03-10	VYDAJ	PREVOD NA UCET	3007	19640	 	CD	76031207
988042	3369	1997-04-10	VYDAJ	PREVOD NA UCET	3007	24244	 	CD	76031207
988043	3369	1997-05-10	VYDAJ	PREVOD NA UCET	3007	25562	 	CD	76031207
988044	3369	1997-06-10	VYDAJ	PREVOD NA UCET	3007	15490	 	CD	76031207
988045	3369	1997-07-10	VYDAJ	PREVOD NA UCET	3007	24773	 	CD	76031207
988046	3369	1997-08-10	VYDAJ	PREVOD NA UCET	3007	27696	 	CD	76031207
988047	3369	1997-09-10	VYDAJ	PREVOD NA UCET	3007	24923	 	CD	76031207
988048	3369	1997-10-10	VYDAJ	PREVOD NA UCET	3007	26141	 	CD	76031207
988049	3369	1997-11-10	VYDAJ	PREVOD NA UCET	3007	29871	 	CD	76031207
988050	3369	1997-12-10	VYDAJ	PREVOD NA UCET	3007	32214	 	CD	76031207
988051	3369	1998-01-10	VYDAJ	PREVOD NA UCET	3007	35844	 	CD	76031207
988052	3369	1998-02-10	VYDAJ	PREVOD NA UCET	3007	29990	 	CD	76031207
988053	3369	1998-03-10	VYDAJ	PREVOD NA UCET	3007	35540	 	CD	76031207
988054	3369	1998-04-10	VYDAJ	PREVOD NA UCET	3007	29291	 	CD	76031207
988055	3369	1998-05-10	VYDAJ	PREVOD NA UCET	3007	34438	 	CD	76031207
988056	3369	1998-06-10	VYDAJ	PREVOD NA UCET	3007	36198	 	CD	76031207
988057	3369	1998-07-10	VYDAJ	PREVOD NA UCET	3007	25134	 	CD	76031207
988058	3369	1998-08-10	VYDAJ	PREVOD NA UCET	3007	31267	 	CD	76031207
988059	3369	1998-09-10	VYDAJ	PREVOD NA UCET	3007	38528	 	CD	76031207
988060	3369	1998-10-10	VYDAJ	PREVOD NA UCET	3007	44418	 	CD	76031207
988061	3369	1998-11-10	VYDAJ	PREVOD NA UCET	3007	48526	 	CD	76031207
988062	3369	1998-12-10	VYDAJ	PREVOD NA UCET	3007	52342	 	CD	76031207
988065	3369	1996-06-12	VYDAJ	VYBER	9300	16344	\N	\N	\N
988066	3369	1997-06-07	VYDAJ	VYBER	9200	18497	\N	\N	\N
988067	3369	1998-06-27	VYDAJ	VYBER	10600	28023	\N	\N	\N
988070	3369	1996-01-29	VYDAJ	VYBER	4100	21309	\N	\N	\N
988071	3369	1997-01-04	VYDAJ	VYBER	4800	21389	\N	\N	\N
988072	3369	1998-01-13	VYDAJ	VYBER	9100	31294	\N	\N	\N
988074	3369	1995-12-17	VYDAJ	VYBER	1400	25404	\N	\N	\N
988075	3369	1996-12-07	VYDAJ	VYBER	800	24878	\N	\N	\N
988076	3369	1997-12-12	VYDAJ	VYBER	2900	29314	\N	\N	\N
988077	3369	1998-12-16	VYDAJ	VYBER	600	58567	\N	\N	\N
988082	3369	1995-12-09	VYDAJ	VYBER	4300	22986	\N	\N	\N
988084	3369	1995-12-20	VYDAJ	VYBER	3500	21904	\N	\N	\N
988085	3369	1995-04-26	VYDAJ	VYBER	3200	27314	\N	\N	\N
988086	3369	1995-04-30	VYDAJ	VYBER	1000	23908	\N	\N	\N
988088	3369	1996-03-06	VYDAJ	VYBER	800	21258	\N	\N	\N
988089	3369	1996-10-07	VYDAJ	VYBER	2300	23759	\N	\N	\N
988090	3369	1996-04-25	VYDAJ	VYBER	2800	22095	\N	\N	\N
988091	3369	1996-02-11	VYDAJ	VYBER	1100	17260	\N	\N	\N
988092	3369	1996-01-12	VYDAJ	VYBER	1000	20059	\N	\N	\N
988093	3369	1997-05-06	VYDAJ	VYBER	600	28595	\N	\N	\N
988094	3369	1997-06-04	VYDAJ	VYBER	4900	27723	\N	\N	\N
988095	3369	1997-08-23	VYDAJ	VYBER	4000	27846	\N	\N	\N
988096	3369	1997-09-11	VYDAJ	VYBER	2000	22923	\N	\N	\N
988097	3369	1997-02-06	VYDAJ	VYBER	4900	17760	\N	\N	\N
988098	3369	1998-10-07	VYDAJ	VYBER	500	47425	\N	\N	\N
988099	3369	1998-03-19	VYDAJ	VYBER	2300	33390	\N	\N	\N
988100	3369	1998-06-26	VYDAJ	VYBER	2900	38623	\N	\N	\N
988101	3369	1998-12-23	VYDAJ	VYBER	2000	56567	\N	\N	\N
988102	3369	1998-12-25	VYDAJ	VYBER	2800	53767	\N	\N	\N
988103	3369	1998-04-05	VYDAJ	VYBER	1200	32324	\N	\N	\N
988120	3369	1995-04-30	VYDAJ	VYBER	15	27408	SLUZBY	\N	\N
988121	3369	1995-05-31	VYDAJ	VYBER	15	23712	SLUZBY	\N	\N
988122	3369	1995-06-30	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
988123	3369	1995-07-31	VYDAJ	VYBER	15	29219	SLUZBY	\N	\N
988124	3369	1995-08-31	VYDAJ	VYBER	15	27844	SLUZBY	\N	\N
988125	3369	1995-09-30	VYDAJ	VYBER	15	29465	SLUZBY	\N	\N
988126	3369	1995-10-31	VYDAJ	VYBER	15	28391	SLUZBY	\N	\N
988127	3369	1995-11-30	VYDAJ	VYBER	15	27312	SLUZBY	\N	\N
988128	3369	1995-12-31	VYDAJ	VYBER	15	24092	SLUZBY	\N	\N
988129	3369	1996-01-31	VYDAJ	VYBER	15	21393	SLUZBY	\N	\N
988130	3369	1996-02-29	VYDAJ	VYBER	15	22084	SLUZBY	\N	\N
988131	3369	1996-03-31	VYDAJ	VYBER	15	22278	SLUZBY	\N	\N
988132	3369	1996-04-30	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
988133	3369	1996-05-31	VYDAJ	VYBER	15	28677	SLUZBY	\N	\N
988134	3369	1996-06-30	VYDAJ	VYBER	15	25260	SLUZBY	\N	\N
988135	3369	1996-07-31	VYDAJ	VYBER	15	25068	SLUZBY	\N	\N
988136	3369	1996-08-31	VYDAJ	VYBER	15	25675	SLUZBY	\N	\N
988137	3369	1996-09-30	VYDAJ	VYBER	15	26085	SLUZBY	\N	\N
988138	3369	1996-10-31	VYDAJ	VYBER	15	26493	SLUZBY	\N	\N
988139	3369	1996-11-30	VYDAJ	VYBER	15	25704	SLUZBY	\N	\N
988140	3369	1996-12-31	VYDAJ	VYBER	15	26189	SLUZBY	\N	\N
988141	3369	1997-01-31	VYDAJ	VYBER	15	22686	SLUZBY	\N	\N
988142	3369	1997-02-28	VYDAJ	VYBER	15	22673	SLUZBY	\N	\N
988143	3369	1997-03-31	VYDAJ	VYBER	15	27277	SLUZBY	\N	\N
988144	3369	1997-04-30	VYDAJ	VYBER	15	29195	SLUZBY	\N	\N
988145	3369	1997-05-31	VYDAJ	VYBER	15	32623	SLUZBY	\N	\N
988146	3369	1997-06-30	VYDAJ	VYBER	15	27806	SLUZBY	\N	\N
988147	3369	1997-07-31	VYDAJ	VYBER	15	30729	SLUZBY	\N	\N
988148	3369	1997-08-31	VYDAJ	VYBER	15	27956	SLUZBY	\N	\N
988149	3369	1997-09-30	VYDAJ	VYBER	15	29174	SLUZBY	\N	\N
988150	3369	1997-10-31	VYDAJ	VYBER	15	32904	SLUZBY	\N	\N
988151	3369	1997-11-30	VYDAJ	VYBER	15	35247	SLUZBY	\N	\N
988152	3369	1997-12-31	VYDAJ	VYBER	15	38877	SLUZBY	\N	\N
988153	3369	1998-01-31	VYDAJ	VYBER	15	33023	SLUZBY	\N	\N
988154	3369	1998-02-28	VYDAJ	VYBER	15	38573	SLUZBY	\N	\N
988155	3369	1998-03-31	VYDAJ	VYBER	15	33524	SLUZBY	\N	\N
988156	3369	1998-04-30	VYDAJ	VYBER	15	37471	SLUZBY	\N	\N
988157	3369	1998-05-31	VYDAJ	VYBER	15	39231	SLUZBY	\N	\N
988158	3369	1998-06-30	VYDAJ	VYBER	15	28167	SLUZBY	\N	\N
988159	3369	1998-07-31	VYDAJ	VYBER	15	34300	SLUZBY	\N	\N
988160	3369	1998-08-31	VYDAJ	VYBER	15	41561	SLUZBY	\N	\N
988161	3369	1998-09-30	VYDAJ	VYBER	15	47951	SLUZBY	\N	\N
988162	3369	1998-10-31	VYDAJ	VYBER	15	51559	SLUZBY	\N	\N
988163	3369	1998-11-30	VYDAJ	VYBER	15	52675	SLUZBY	\N	\N
988164	3369	1994-12-31	PRIJEM	VKLAD	7800	14944	\N	\N	\N
988165	3369	1995-01-30	PRIJEM	VKLAD	3500	22994	\N	\N	\N
988166	3369	1995-03-01	VYDAJ	VYBER	3700	24005	\N	\N	\N
988167	3369	1995-03-31	VYDAJ	VYBER	2700	25964	\N	\N	\N
988168	3369	1995-04-30	VYDAJ	VYBER	2500	24908	\N	\N	\N
988169	3369	1995-05-30	VYDAJ	VYBER	1800	23625	\N	\N	\N
988170	3369	1995-06-29	PRIJEM	VKLAD	500	28004	\N	\N	\N
988171	3369	1995-07-29	VYDAJ	VYBER	500	29114	\N	\N	\N
988172	3369	1995-08-28	VYDAJ	VYBER	3000	27736	\N	\N	\N
988173	3369	1995-10-27	VYDAJ	VYBER	2700	28282	\N	\N	\N
988174	3369	1995-11-26	VYDAJ	VYBER	2700	27208	\N	\N	\N
988175	3369	1995-12-26	PRIJEM	VKLAD	2100	24004	\N	\N	\N
988176	3369	1996-01-25	PRIJEM	VKLAD	800	25409	\N	\N	\N
988177	3369	1996-02-24	PRIJEM	VKLAD	200	22010	\N	\N	\N
988178	3369	1996-03-25	VYDAJ	VYBER	600	22201	\N	\N	\N
988179	3369	1996-04-24	PRIJEM	VKLAD	1100	24895	\N	\N	\N
988180	3369	1996-05-24	PRIJEM	VKLAD	4900	28592	\N	\N	\N
988181	3369	1996-06-23	PRIJEM	VKLAD	2000	25169	\N	\N	\N
988182	3369	1996-07-23	VYDAJ	VYBER	1800	24977	\N	\N	\N
988183	3369	1996-08-22	VYDAJ	VYBER	1000	25585	\N	\N	\N
988184	3369	1996-09-21	VYDAJ	VYBER	1200	25992	\N	\N	\N
988185	3369	1996-10-21	PRIJEM	VKLAD	1100	26402	\N	\N	\N
988186	3369	1996-11-20	VYDAJ	VYBER	2400	25610	\N	\N	\N
988187	3369	1996-12-20	VYDAJ	VYBER	2600	26096	\N	\N	\N
988188	3369	1997-01-19	VYDAJ	VYBER	300	22606	\N	\N	\N
988189	3369	1997-02-18	PRIJEM	VKLAD	3300	22603	\N	\N	\N
988190	3369	1997-03-20	PRIJEM	VKLAD	3000	27190	\N	\N	\N
988191	3369	1997-04-19	PRIJEM	VKLAD	300	29094	\N	\N	\N
988192	3369	1997-05-19	PRIJEM	VKLAD	2400	32512	\N	\N	\N
988193	3369	1997-06-18	PRIJEM	VKLAD	5400	27715	\N	\N	\N
988194	3369	1997-07-18	PRIJEM	VKLAD	1300	30623	\N	\N	\N
988195	3369	1997-08-17	VYDAJ	VYBER	400	31846	\N	\N	\N
988196	3369	1997-09-16	PRIJEM	VKLAD	1600	29073	\N	\N	\N
988197	3369	1997-10-16	PRIJEM	VKLAD	2100	32791	\N	\N	\N
988198	3369	1997-11-15	PRIJEM	VKLAD	700	35121	\N	\N	\N
988199	3369	1997-12-15	PRIJEM	VKLAD	2600	38739	\N	\N	\N
988200	3369	1998-01-14	PRIJEM	VKLAD	1600	32894	\N	\N	\N
988201	3369	1998-02-13	PRIJEM	VKLAD	3900	33890	\N	\N	\N
988202	3369	1998-03-15	VYDAJ	VYBER	4400	35690	\N	\N	\N
988203	3369	1998-04-14	PRIJEM	VKLAD	3500	37341	\N	\N	\N
988204	3369	1998-05-14	PRIJEM	VKLAD	100	39088	\N	\N	\N
988205	3369	1998-06-13	VYDAJ	VYBER	1500	41523	\N	\N	\N
988206	3369	1998-07-13	PRIJEM	VKLAD	4500	29634	\N	\N	\N
988207	3369	1998-08-12	PRIJEM	VKLAD	5600	36867	\N	\N	\N
988208	3369	1998-09-11	PRIJEM	VKLAD	4700	43228	\N	\N	\N
988209	3369	1998-10-11	PRIJEM	VKLAD	2400	46818	\N	\N	\N
988210	3369	1998-11-10	VYDAJ	VYBER	600	47926	\N	\N	\N
988211	3369	1998-12-10	PRIJEM	VKLAD	2700	55349	\N	\N	\N
988261	3370	1993-11-15	PRIJEM	VKLAD	600	600	\N	\N	\N
988273	3370	1993-12-09	PRIJEM	PREVOD Z UCTU	35782	36382	\N	EF	90757017
988274	3370	1994-01-09	PRIJEM	PREVOD Z UCTU	23855	53003	\N	EF	90757017
988275	3370	1994-02-09	PRIJEM	PREVOD Z UCTU	23855	60899	\N	EF	90757017
988276	3370	1994-03-09	PRIJEM	PREVOD Z UCTU	23855	64416	\N	EF	90757017
988277	3370	1994-04-09	PRIJEM	PREVOD Z UCTU	23855	66444	\N	EF	90757017
988278	3370	1994-05-09	PRIJEM	PREVOD Z UCTU	23855	42762	\N	EF	90757017
988279	3370	1994-06-09	PRIJEM	PREVOD Z UCTU	35782	68270	\N	EF	90757017
988280	3370	1994-07-09	PRIJEM	PREVOD Z UCTU	23855	59161	\N	EF	90757017
988281	3370	1994-08-09	PRIJEM	PREVOD Z UCTU	23855	67369	\N	EF	90757017
988282	3370	1994-09-09	PRIJEM	PREVOD Z UCTU	23855	54969	\N	EF	90757017
988283	3370	1994-10-09	PRIJEM	PREVOD Z UCTU	23855	61358	\N	EF	90757017
988284	3370	1994-11-09	PRIJEM	PREVOD Z UCTU	23855	62672	\N	EF	90757017
988285	3370	1994-12-09	PRIJEM	PREVOD Z UCTU	35782	79415	\N	EF	90757017
988286	3370	1995-01-09	PRIJEM	PREVOD Z UCTU	23855	51440	\N	EF	90757017
988287	3370	1995-02-09	PRIJEM	PREVOD Z UCTU	23855	36710	\N	EF	90757017
988288	3370	1995-03-09	PRIJEM	PREVOD Z UCTU	23855	32701	\N	EF	90757017
988289	3370	1995-04-09	PRIJEM	PREVOD Z UCTU	23855	51448	\N	EF	90757017
988290	3370	1995-05-09	PRIJEM	PREVOD Z UCTU	23855	52325	\N	EF	90757017
988291	3370	1995-06-09	PRIJEM	PREVOD Z UCTU	35782	56223	\N	EF	90757017
988292	3370	1995-07-09	PRIJEM	PREVOD Z UCTU	23855	50855	\N	EF	90757017
988293	3370	1995-08-09	PRIJEM	PREVOD Z UCTU	23855	50243	\N	EF	90757017
988294	3370	1995-09-09	PRIJEM	PREVOD Z UCTU	23855	39824	\N	EF	90757017
988295	3370	1995-10-09	PRIJEM	PREVOD Z UCTU	23855	53696	\N	EF	90757017
988296	3370	1995-11-09	PRIJEM	PREVOD Z UCTU	23855	35940	\N	EF	90757017
988297	3370	1995-12-09	PRIJEM	PREVOD Z UCTU	35782	61222	\N	EF	90757017
988298	3370	1996-01-09	PRIJEM	PREVOD Z UCTU	23855	64189	\N	EF	90757017
988299	3370	1996-02-09	PRIJEM	PREVOD Z UCTU	23855	36180	\N	EF	90757017
988300	3370	1996-03-09	PRIJEM	PREVOD Z UCTU	23855	35932	\N	EF	90757017
988301	3370	1996-04-09	PRIJEM	PREVOD Z UCTU	23855	47990	\N	EF	90757017
988302	3370	1996-05-09	PRIJEM	PREVOD Z UCTU	23855	49757	\N	EF	90757017
988303	3370	1996-06-09	PRIJEM	PREVOD Z UCTU	35782	65998	\N	EF	90757017
988304	3370	1996-07-09	PRIJEM	PREVOD Z UCTU	23855	65987	\N	EF	90757017
988305	3370	1996-08-09	PRIJEM	PREVOD Z UCTU	23855	58894	\N	EF	90757017
988306	3370	1996-09-09	PRIJEM	PREVOD Z UCTU	23855	47601	\N	EF	90757017
988307	3370	1996-10-09	PRIJEM	PREVOD Z UCTU	23855	56773	\N	EF	90757017
988308	3370	1996-11-09	PRIJEM	PREVOD Z UCTU	23855	47821	\N	EF	90757017
988309	3370	1996-12-09	PRIJEM	PREVOD Z UCTU	35782	63589	\N	EF	90757017
988310	3370	1997-01-09	PRIJEM	PREVOD Z UCTU	23855	65353	\N	EF	90757017
988311	3370	1997-02-09	PRIJEM	PREVOD Z UCTU	23855	34475	\N	EF	90757017
988312	3370	1997-03-09	PRIJEM	PREVOD Z UCTU	23855	39091	\N	EF	90757017
988313	3370	1997-04-09	PRIJEM	PREVOD Z UCTU	23855	45946	\N	EF	90757017
988314	3370	1997-05-09	PRIJEM	PREVOD Z UCTU	23855	57981	\N	EF	90757017
988315	3370	1997-06-09	PRIJEM	PREVOD Z UCTU	35782	74591	\N	EF	90757017
988316	3370	1997-07-09	PRIJEM	PREVOD Z UCTU	23855	67693	\N	EF	90757017
988317	3370	1997-08-09	PRIJEM	PREVOD Z UCTU	23855	68214	\N	EF	90757017
988318	3370	1997-09-09	PRIJEM	PREVOD Z UCTU	23855	64261	\N	EF	90757017
988319	3370	1997-10-09	PRIJEM	PREVOD Z UCTU	23855	64868	\N	EF	90757017
988320	3370	1997-11-09	PRIJEM	PREVOD Z UCTU	23855	28972	\N	EF	90757017
988321	3370	1997-12-09	PRIJEM	PREVOD Z UCTU	35782	57835	\N	EF	90757017
988322	3370	1998-01-09	PRIJEM	PREVOD Z UCTU	23855	48375	\N	EF	90757017
988323	3370	1998-02-09	PRIJEM	PREVOD Z UCTU	23855	34720	\N	EF	90757017
988324	3370	1998-03-09	PRIJEM	PREVOD Z UCTU	23855	50319	\N	EF	90757017
988325	3370	1998-04-09	PRIJEM	PREVOD Z UCTU	23855	59977	\N	EF	90757017
988326	3370	1998-05-09	PRIJEM	PREVOD Z UCTU	23855	64068	\N	EF	90757017
988327	3370	1998-06-09	PRIJEM	PREVOD Z UCTU	35782	76400	\N	EF	90757017
988328	3370	1998-07-09	PRIJEM	PREVOD Z UCTU	23855	27555	\N	EF	90757017
988329	3370	1998-08-09	PRIJEM	PREVOD Z UCTU	23855	46232	\N	EF	90757017
988330	3370	1998-09-09	PRIJEM	PREVOD Z UCTU	23855	47084	\N	EF	90757017
988331	3370	1998-10-09	PRIJEM	PREVOD Z UCTU	23855	49020	\N	EF	90757017
988332	3370	1998-11-09	PRIJEM	PREVOD Z UCTU	23855	30445	\N	EF	90757017
988333	3370	1998-12-09	PRIJEM	PREVOD Z UCTU	35782	49648	\N	EF	90757017
988418	3370	1995-01-02	VYBER	VYBER	19114	27585	\N	\N	\N
988419	3370	1995-07-22	VYBER	VYBER	23021	27834	\N	\N	\N
988420	3370	1995-07-05	VYBER	VYBER	6551	34400	\N	\N	\N
988421	3370	1995-06-12	VYBER	VYBER	3134	53089	\N	\N	\N
988422	3370	1995-08-26	VYBER	VYBER	22177	9340	\N	\N	\N
988423	3370	1995-10-16	VYBER	VYBER	9279	15784	\N	\N	\N
988424	3370	1995-02-15	VYBER	VYBER	17123	19587	\N	\N	\N
988425	3370	1995-05-23	VYBER	VYBER	18521	18904	\N	\N	\N
988426	3370	1995-10-13	VYBER	VYBER	17833	25063	\N	\N	\N
988427	3370	1995-08-23	VYBER	VYBER	18726	31517	\N	\N	\N
988428	3370	1995-10-24	VYBER	VYBER	9985	5799	\N	\N	\N
988431	3370	1996-08-30	VYBER	VYBER	13035	31759	\N	\N	\N
988433	3370	1996-04-16	VYBER	VYBER	12324	35666	\N	\N	\N
988435	3370	1996-02-22	VYBER	VYBER	16268	12408	\N	\N	\N
988436	3370	1996-02-20	VYBER	VYBER	7504	28676	\N	\N	\N
988437	3370	1996-10-13	VYBER	VYBER	9539	47234	\N	\N	\N
988438	3370	1997-11-02	VYBER	VYBER	10305	5117	\N	\N	\N
988439	3370	1997-10-28	VYBER	VYBER	24285	15283	\N	\N	\N
988440	3370	1997-02-14	VYBER	VYBER	18379	16096	\N	\N	\N
988441	3370	1997-03-14	VYBER	VYBER	10177	28914	\N	\N	\N
988442	3370	1998-06-15	VYBER	VYBER	21868	6832	\N	\N	\N
988443	3370	1998-08-24	VYBER	VYBER	6382	23150	\N	\N	\N
988444	3370	1998-10-30	VYBER	VYBER	18710	6510	\N	\N	\N
988450	3370	1998-06-10	VYDAJ	VYBER	40500	35900	\N	\N	\N
988453	3370	1995-01-26	VYDAJ	VYBER	16500	440	\N	\N	\N
988454	3370	1996-01-18	VYDAJ	VYBER	21300	24889	\N	\N	\N
988455	3370	1997-01-26	VYDAJ	VYBER	24300	11953	\N	\N	\N
988458	3370	1994-12-21	VYDAJ	VYBER	5700	46515	\N	\N	\N
988459	3370	1995-12-30	VYDAJ	VYBER	2400	58822	\N	\N	\N
988460	3370	1996-12-07	VYDAJ	VYBER	6300	27807	\N	\N	\N
988461	3370	1997-12-25	VYDAJ	VYBER	3000	31335	\N	\N	\N
988462	3370	1998-12-23	VYDAJ	VYBER	3000	21248	\N	\N	\N
988475	3370	1995-01-20	VYDAJ	VYBER	3900	19340	\N	\N	\N
988476	3370	1995-01-18	VYDAJ	VYBER	4200	23240	\N	\N	\N
988478	3370	1995-01-18	VYDAJ	VYBER	7200	27440	\N	\N	\N
988479	3370	1995-01-18	VYDAJ	VYBER	2100	34640	\N	\N	\N
988480	3370	1995-01-26	VYDAJ	VYBER	2400	16940	\N	\N	\N
988481	3370	1996-01-22	VYDAJ	VYBER	4200	15289	\N	\N	\N
988482	3370	1996-01-14	VYDAJ	VYBER	1800	46189	\N	\N	\N
988483	3370	1996-01-19	VYDAJ	VYBER	5400	19489	\N	\N	\N
988484	3370	1996-01-25	VYDAJ	VYBER	6600	8689	\N	\N	\N
988485	3370	1996-01-12	VYDAJ	VYBER	8400	47989	\N	\N	\N
988486	3370	1996-01-11	VYDAJ	VYBER	7800	56389	\N	\N	\N
988487	3370	1997-01-24	VYDAJ	VYBER	6900	36253	\N	\N	\N
988488	3370	1997-01-20	VYDAJ	VYBER	3000	51853	\N	\N	\N
988489	3370	1997-01-14	VYDAJ	VYBER	8100	57253	\N	\N	\N
988490	3370	1997-01-18	VYDAJ	VYBER	2400	54853	\N	\N	\N
988491	3370	1997-01-04	VYDAJ	VYBER	3300	41498	\N	\N	\N
988492	3370	1997-01-30	VYDAJ	VYBER	3300	10453	\N	\N	\N
988493	3370	1998-01-14	VYDAJ	VYBER	8700	34575	\N	\N	\N
988494	3370	1998-01-07	VYDAJ	VYBER	6900	24520	\N	\N	\N
988495	3370	1998-01-26	VYDAJ	VYBER	4800	10775	\N	\N	\N
988496	3370	1998-01-12	VYDAJ	VYBER	5100	43275	\N	\N	\N
988497	3370	1998-01-17	VYDAJ	VYBER	8700	18375	\N	\N	\N
988498	3370	1998-01-14	VYDAJ	VYBER	7500	27075	\N	\N	\N
988506	3370	1994-05-03	VYDAJ	VYBER	12300	18907	\N	\N	\N
988507	3370	1994-04-29	VYDAJ	VYBER	13500	31044	\N	\N	\N
988508	3370	1994-10-25	VYDAJ	VYBER	7500	38658	\N	\N	\N
988509	3370	1994-08-18	VYDAJ	VYBER	14400	30969	\N	\N	\N
988512	3370	1994-06-19	VYDAJ	VYBER	10500	35170	\N	\N	\N
988513	3370	1994-09-10	VYDAJ	VYBER	7500	47469	\N	\N	\N
988514	3370	1995-04-15	VYDAJ	VYBER	12600	28348	\N	\N	\N
988515	3370	1995-10-10	VYDAJ	VYBER	10800	42896	\N	\N	\N
988516	3370	1995-06-27	VYDAJ	VYBER	12300	40789	\N	\N	\N
988517	3370	1995-03-07	VYDAJ	VYBER	10800	8846	\N	\N	\N
988518	3370	1996-10-20	VYDAJ	VYBER	14700	32534	\N	\N	\N
988519	3370	1996-07-27	VYDAJ	VYBER	11700	54287	\N	\N	\N
988520	3370	1996-04-01	VYDAJ	VYBER	2700	33335	\N	\N	\N
988521	3370	1996-08-14	VYDAJ	VYBER	14100	44794	\N	\N	\N
988522	3370	1996-02-23	VYDAJ	VYBER	5400	7008	\N	\N	\N
988523	3370	1996-05-13	VYDAJ	VYBER	6600	43157	\N	\N	\N
988524	3370	1997-08-14	VYDAJ	VYBER	6600	61614	\N	\N	\N
988525	3370	1997-01-23	VYDAJ	VYBER	8700	43153	\N	\N	\N
988526	3370	1998-06-26	VYDAJ	VYBER	7200	3632	\N	\N	\N
988527	3370	1998-06-11	VYDAJ	VYBER	7200	28700	\N	\N	\N
988544	3370	1994-04-30	VYDAJ	VYBER	15	31207	SLUZBY	\N	\N
988545	3370	1994-05-31	VYDAJ	VYBER	15	32488	SLUZBY	\N	\N
988546	3370	1994-06-30	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
988547	3370	1994-07-31	VYDAJ	VYBER	15	43514	SLUZBY	\N	\N
988548	3370	1994-08-31	VYDAJ	VYBER	15	31114	SLUZBY	\N	\N
988549	3370	1994-09-30	VYDAJ	VYBER	15	37503	SLUZBY	\N	\N
988550	3370	1994-10-31	VYDAJ	VYBER	15	38817	SLUZBY	\N	\N
988551	3370	1994-11-30	VYDAJ	VYBER	15	43633	SLUZBY	\N	\N
988552	3370	1994-12-31	VYDAJ	VYBER	15	46699	SLUZBY	\N	\N
988553	3370	1995-01-31	VYDAJ	VYBER	15	555	SLUZBY	\N	\N
988554	3370	1995-02-28	VYDAJ	VYBER	15	19646	SLUZBY	\N	\N
988555	3370	1995-03-31	VYDAJ	VYBER	15	27593	SLUZBY	\N	\N
988556	3370	1995-04-30	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
988557	3370	1995-05-31	VYDAJ	VYBER	15	19041	SLUZBY	\N	\N
988558	3370	1995-06-30	VYDAJ	VYBER	15	40951	SLUZBY	\N	\N
988559	3370	1995-07-31	VYDAJ	VYBER	15	27988	SLUZBY	\N	\N
988560	3370	1995-08-31	VYDAJ	VYBER	15	9469	SLUZBY	\N	\N
988561	3370	1995-09-30	VYDAJ	VYBER	15	39941	SLUZBY	\N	\N
988562	3370	1995-10-31	VYDAJ	VYBER	15	5885	SLUZBY	\N	\N
988563	3370	1995-11-30	VYDAJ	VYBER	15	36040	SLUZBY	\N	\N
988564	3370	1995-12-31	VYDAJ	VYBER	15	59034	SLUZBY	\N	\N
988565	3370	1996-01-31	VYDAJ	VYBER	15	8825	SLUZBY	\N	\N
988566	3370	1996-02-29	VYDAJ	VYBER	15	7077	SLUZBY	\N	\N
988567	3370	1996-03-31	VYDAJ	VYBER	15	36035	SLUZBY	\N	\N
988568	3370	1996-04-30	VYDAJ	VYBER	15	35802	SLUZBY	\N	\N
988569	3370	1996-05-31	VYDAJ	VYBER	15	43316	SLUZBY	\N	\N
988570	3370	1996-06-30	VYDAJ	VYBER	15	66232	SLUZBY	\N	\N
988571	3370	1996-07-31	VYDAJ	VYBER	15	54539	SLUZBY	\N	\N
988572	3370	1996-08-31	VYDAJ	VYBER	15	31946	SLUZBY	\N	\N
988573	3370	1996-09-30	VYDAJ	VYBER	15	32918	SLUZBY	\N	\N
988574	3370	1996-10-31	VYDAJ	VYBER	15	23966	SLUZBY	\N	\N
988575	3370	1996-11-30	VYDAJ	VYBER	15	34107	SLUZBY	\N	\N
988576	3370	1996-12-31	VYDAJ	VYBER	15	44798	SLUZBY	\N	\N
988577	3370	1997-01-31	VYDAJ	VYBER	15	10620	SLUZBY	\N	\N
988578	3370	1997-02-28	VYDAJ	VYBER	15	15236	SLUZBY	\N	\N
988579	3370	1997-03-31	VYDAJ	VYBER	15	22091	SLUZBY	\N	\N
988580	3370	1997-04-30	VYDAJ	VYBER	15	34126	SLUZBY	\N	\N
988581	3370	1997-05-31	VYDAJ	VYBER	15	38809	SLUZBY	\N	\N
988582	3370	1997-06-30	VYDAJ	VYBER	15	43838	SLUZBY	\N	\N
988583	3370	1997-07-31	VYDAJ	VYBER	15	44359	SLUZBY	\N	\N
988584	3370	1997-08-31	VYDAJ	VYBER	15	40406	SLUZBY	\N	\N
988585	3370	1997-09-30	VYDAJ	VYBER	15	41013	SLUZBY	\N	\N
988586	3370	1997-10-31	VYDAJ	VYBER	15	15422	SLUZBY	\N	\N
988587	3370	1997-11-30	VYDAJ	VYBER	15	22053	SLUZBY	\N	\N
988588	3370	1997-12-31	VYDAJ	VYBER	15	31420	SLUZBY	\N	\N
988589	3370	1998-01-31	VYDAJ	VYBER	15	10865	SLUZBY	\N	\N
988590	3370	1998-02-28	VYDAJ	VYBER	15	26464	SLUZBY	\N	\N
988591	3370	1998-03-31	VYDAJ	VYBER	15	36122	SLUZBY	\N	\N
988592	3370	1998-04-30	VYDAJ	VYBER	15	40213	SLUZBY	\N	\N
988593	3370	1998-05-31	VYDAJ	VYBER	15	40618	SLUZBY	\N	\N
988594	3370	1998-06-30	VYDAJ	VYBER	15	3700	SLUZBY	\N	\N
988595	3370	1998-07-31	VYDAJ	VYBER	15	22377	SLUZBY	\N	\N
988596	3370	1998-08-31	VYDAJ	VYBER	15	23229	SLUZBY	\N	\N
988597	3370	1998-09-30	VYDAJ	VYBER	15	25165	SLUZBY	\N	\N
988598	3370	1998-10-31	VYDAJ	VYBER	15	6590	SLUZBY	\N	\N
988599	3370	1998-11-30	VYDAJ	VYBER	15	13866	SLUZBY	\N	\N
988600	3370	1993-12-15	VYDAJ	VYBER	7300	29082	\N	\N	\N
988601	3370	1994-01-14	VYDAJ	VYBER	16100	36903	\N	\N	\N
988602	3370	1994-02-13	VYDAJ	VYBER	20500	40399	\N	\N	\N
988603	3370	1994-03-15	VYDAJ	VYBER	22000	42416	\N	\N	\N
988604	3370	1994-04-14	VYDAJ	VYBER	21900	44544	\N	\N	\N
988605	3370	1994-05-14	VYDAJ	VYBER	10400	32362	\N	\N	\N
988606	3370	1994-06-13	VYDAJ	VYBER	22600	45670	\N	\N	\N
988607	3370	1994-07-13	VYDAJ	VYBER	15800	43361	\N	\N	\N
988608	3370	1994-08-12	VYDAJ	VYBER	22000	45369	\N	\N	\N
988609	3370	1994-09-11	VYDAJ	VYBER	10100	37369	\N	\N	\N
988610	3370	1994-10-11	VYDAJ	VYBER	15200	46158	\N	\N	\N
988611	3370	1994-11-10	VYDAJ	VYBER	19200	43472	\N	\N	\N
988612	3370	1994-12-10	VYDAJ	VYBER	27200	52215	\N	\N	\N
988613	3370	1995-01-09	VYDAJ	VYBER	14700	36740	\N	\N	\N
988614	3370	1995-02-08	PRIJEM	VKLAD	12300	12855	\N	\N	\N
988615	3370	1995-03-10	VYDAJ	VYBER	5200	27501	\N	\N	\N
988616	3370	1995-04-09	VYDAJ	VYBER	10500	40948	\N	\N	\N
988617	3370	1995-05-09	VYDAJ	VYBER	14900	37425	\N	\N	\N
988618	3370	1995-06-08	PRIJEM	VKLAD	1400	20441	\N	\N	\N
988619	3370	1995-07-08	VYDAJ	VYBER	7400	27000	\N	\N	\N
988620	3370	1995-08-07	VYDAJ	VYBER	1600	26388	\N	\N	\N
988621	3370	1995-09-06	PRIJEM	VKLAD	6500	15969	\N	\N	\N
988622	3370	1995-10-06	VYDAJ	VYBER	10100	29841	\N	\N	\N
988623	3370	1995-11-05	PRIJEM	VKLAD	6200	12085	\N	\N	\N
988624	3370	1995-12-05	VYDAJ	VYBER	10600	25440	\N	\N	\N
988625	3370	1996-01-04	VYDAJ	VYBER	18700	40334	\N	\N	\N
988626	3370	1996-02-03	PRIJEM	VKLAD	3500	12325	\N	\N	\N
988627	3370	1996-03-04	PRIJEM	VKLAD	5000	12077	\N	\N	\N
988628	3370	1996-04-03	VYDAJ	VYBER	9200	24135	\N	\N	\N
988629	3370	1996-05-03	VYDAJ	VYBER	9900	25902	\N	\N	\N
988630	3370	1996-06-02	VYDAJ	VYBER	13100	30216	\N	\N	\N
988631	3370	1996-07-02	VYDAJ	VYBER	24100	42132	\N	\N	\N
988632	3370	1996-08-01	VYDAJ	VYBER	19500	35039	\N	\N	\N
988633	3370	1996-08-31	VYDAJ	VYBER	8200	23746	\N	\N	\N
988634	3370	1996-09-30	VYDAJ	VYBER	14800	32933	\N	\N	\N
988635	3370	1996-10-30	VYDAJ	VYBER	8700	23834	\N	\N	\N
988636	3370	1996-11-29	VYDAJ	VYBER	13800	34021	\N	\N	\N
988637	3370	1996-12-29	VYDAJ	VYBER	19000	44589	\N	\N	\N
988638	3370	1997-01-28	PRIJEM	VKLAD	1800	13753	\N	\N	\N
988639	3370	1997-02-27	VYDAJ	VYBER	900	15196	\N	\N	\N
988640	3370	1997-03-29	VYDAJ	VYBER	6900	22014	\N	\N	\N
988641	3370	1997-04-28	VYDAJ	VYBER	11900	34046	\N	\N	\N
988642	3370	1997-05-28	VYDAJ	VYBER	19300	38681	\N	\N	\N
988643	3370	1997-06-27	VYDAJ	VYBER	30900	43691	\N	\N	\N
988644	3370	1997-07-27	VYDAJ	VYBER	23500	44193	\N	\N	\N
988645	3370	1997-08-26	VYDAJ	VYBER	21400	40214	\N	\N	\N
988646	3370	1997-09-25	VYDAJ	VYBER	23400	40861	\N	\N	\N
988647	3370	1997-10-25	VYDAJ	VYBER	25300	39568	\N	\N	\N
988648	3370	1997-11-24	VYDAJ	VYBER	7000	21972	\N	\N	\N
988649	3370	1997-12-24	VYDAJ	VYBER	23500	34335	\N	\N	\N
988650	3370	1998-01-23	VYDAJ	VYBER	2800	15575	\N	\N	\N
988651	3370	1998-02-22	VYDAJ	VYBER	8300	26420	\N	\N	\N
988652	3370	1998-03-24	VYDAJ	VYBER	14300	36019	\N	\N	\N
988653	3370	1998-04-23	VYDAJ	VYBER	19900	40077	\N	\N	\N
988654	3370	1998-05-23	VYDAJ	VYBER	23600	40468	\N	\N	\N
988655	3370	1998-06-22	PRIJEM	VKLAD	4000	10832	\N	\N	\N
988656	3370	1998-07-22	VYDAJ	VYBER	5200	22355	\N	\N	\N
988657	3370	1998-08-21	VYDAJ	VYBER	16700	29532	\N	\N	\N
988658	3370	1998-09-20	VYDAJ	VYBER	22000	25084	\N	\N	\N
988659	3370	1998-10-20	VYDAJ	VYBER	23800	25220	\N	\N	\N
988660	3370	1998-11-19	VYDAJ	VYBER	16600	13845	\N	\N	\N
988661	3370	1998-12-19	VYDAJ	VYBER	25400	24248	\N	\N	\N
988729	3371	1993-11-04	PRIJEM	VKLAD	400	400	\N	\N	\N
988731	3371	1993-12-29	PRIJEM	VKLAD	39293	118666	\N	\N	\N
988735	3371	1993-12-29	PRIJEM	VKLAD	26489	145155	\N	\N	\N
988736	3371	1993-11-07	PRIJEM	VKLAD	26551	26951	\N	\N	\N
988737	3371	1993-11-23	PRIJEM	VKLAD	25670	52621	\N	\N	\N
988738	3371	1993-11-27	PRIJEM	VKLAD	27292	79913	\N	\N	\N
988749	3371	1993-12-22	PRIJEM	VKLAD	25326	79373	\N	\N	\N
988750	3371	1994-05-02	PRIJEM	VKLAD	13219	46367	\N	\N	\N
988751	3371	1994-03-21	PRIJEM	VKLAD	24023	44759	\N	\N	\N
988752	3371	1994-06-03	PRIJEM	VKLAD	31264	52303	\N	\N	\N
988753	3371	1994-01-02	PRIJEM	VKLAD	29034	89211	\N	\N	\N
988754	3371	1994-06-10	PRIJEM	VKLAD	9856	87030	\N	\N	\N
988755	3371	1994-08-01	PRIJEM	VKLAD	47763	148513	\N	\N	\N
988756	3371	1994-04-27	PRIJEM	VKLAD	11005	33049	\N	\N	\N
988757	3371	1994-06-09	PRIJEM	VKLAD	36420	77174	\N	\N	\N
988758	3371	1994-07-08	PRIJEM	VKLAD	28738	100470	\N	\N	\N
988759	3371	1994-11-02	PRIJEM	VKLAD	14367	36639	\N	\N	\N
988760	3371	1994-08-10	PRIJEM	VKLAD	40425	91789	\N	\N	\N
988761	3371	1994-01-19	PRIJEM	VKLAD	31066	65428	\N	\N	\N
988762	3371	1994-02-06	PRIJEM	VKLAD	24360	71394	\N	\N	\N
988763	3371	1994-10-13	PRIJEM	VKLAD	9286	25877	\N	\N	\N
988764	3371	1994-07-08	PRIJEM	VKLAD	33588	71732	\N	\N	\N
988765	3371	1994-11-24	PRIJEM	VKLAD	49555	74645	\N	\N	\N
988766	3371	1994-09-25	PRIJEM	VKLAD	10982	33497	\N	\N	\N
988767	3371	1995-05-06	PRIJEM	VKLAD	21303	44015	\N	\N	\N
988768	3371	1995-12-11	PRIJEM	VKLAD	29416	88733	\N	\N	\N
988769	3371	1995-10-12	PRIJEM	VKLAD	24793	52199	\N	\N	\N
988770	3371	1995-08-14	PRIJEM	VKLAD	26921	58545	\N	\N	\N
988771	3371	1995-08-31	PRIJEM	VKLAD	12202	55633	\N	\N	\N
988772	3371	1995-03-03	PRIJEM	VKLAD	47392	59435	\N	\N	\N
988773	3371	1995-11-05	PRIJEM	VKLAD	5560	56647	\N	\N	\N
988774	3371	1995-10-25	PRIJEM	VKLAD	24726	76925	\N	\N	\N
988775	3371	1995-12-02	PRIJEM	VKLAD	45574	70866	\N	\N	\N
988776	3371	1995-07-30	PRIJEM	VKLAD	15913	42996	\N	\N	\N
988777	3371	1995-08-19	PRIJEM	VKLAD	20770	79315	\N	\N	\N
988778	3371	1995-10-09	PRIJEM	VKLAD	13297	27406	\N	\N	\N
988779	3371	1995-07-06	PRIJEM	VKLAD	47878	68041	\N	\N	\N
988780	3371	1996-01-29	PRIJEM	VKLAD	41060	79609	\N	\N	\N
988781	3371	1996-05-03	PRIJEM	VKLAD	39474	76360	\N	\N	\N
988782	3371	1996-10-26	PRIJEM	VKLAD	11761	71239	\N	\N	\N
988783	3371	1996-12-23	PRIJEM	VKLAD	23914	51724	\N	\N	\N
988784	3371	1996-03-16	PRIJEM	VKLAD	34957	65894	\N	\N	\N
988785	3371	1996-01-09	PRIJEM	VKLAD	36797	47649	\N	\N	\N
988786	3371	1996-08-25	PRIJEM	VKLAD	7931	64214	\N	\N	\N
988787	3371	1996-04-17	PRIJEM	VKLAD	36774	60320	\N	\N	\N
988788	3371	1996-08-23	PRIJEM	VKLAD	36658	56283	\N	\N	\N
988789	3371	1996-05-21	PRIJEM	VKLAD	15761	80572	\N	\N	\N
988790	3371	1996-09-23	PRIJEM	VKLAD	31515	86406	\N	\N	\N
988791	3371	1996-04-08	PRIJEM	VKLAD	5269	23546	\N	\N	\N
988792	3371	1996-09-07	PRIJEM	VKLAD	34231	79603	\N	\N	\N
988793	3371	1996-02-01	PRIJEM	VKLAD	48983	128759	\N	\N	\N
988794	3371	1996-12-27	PRIJEM	VKLAD	16091	43332	\N	\N	\N
988795	3371	1996-04-04	PRIJEM	VKLAD	6589	36429	\N	\N	\N
988796	3371	1996-07-07	PRIJEM	VKLAD	47386	88440	\N	\N	\N
988797	3371	1996-10-17	PRIJEM	VKLAD	43851	97978	\N	\N	\N
988798	3371	1996-06-30	PRIJEM	VKLAD	28124	52463	\N	\N	\N
988799	3371	1996-11-18	PRIJEM	VKLAD	8940	68886	\N	\N	\N
988800	3371	1996-09-17	PRIJEM	VKLAD	14974	88891	\N	\N	\N
988801	3371	1996-09-15	PRIJEM	VKLAD	35014	114617	\N	\N	\N
988802	3371	1997-07-14	PRIJEM	VKLAD	48224	132986	\N	\N	\N
988803	3371	1997-10-31	PRIJEM	VKLAD	28819	49399	\N	\N	\N
988804	3371	1997-06-27	PRIJEM	VKLAD	38443	55166	\N	\N	\N
988805	3371	1997-07-21	PRIJEM	VKLAD	6024	89844	\N	\N	\N
988806	3371	1997-04-29	PRIJEM	VKLAD	15421	74934	\N	\N	\N
988807	3371	1997-04-28	PRIJEM	VKLAD	43004	59513	\N	\N	\N
988808	3371	1997-04-01	PRIJEM	VKLAD	25885	31558	\N	\N	\N
988809	3371	1997-07-18	PRIJEM	VKLAD	25934	83820	\N	\N	\N
988810	3371	1997-06-27	PRIJEM	VKLAD	41021	96187	\N	\N	\N
988811	3371	1998-08-16	PRIJEM	VKLAD	47439	55359	\N	\N	\N
988812	3371	1998-10-08	PRIJEM	VKLAD	14269	35711	\N	\N	\N
988813	3371	1998-04-19	PRIJEM	VKLAD	31359	45745	\N	\N	\N
988814	3371	1998-06-02	PRIJEM	VKLAD	33308	66631	\N	\N	\N
988815	3371	1998-05-13	PRIJEM	VKLAD	11569	33187	\N	\N	\N
988816	3371	1998-03-12	PRIJEM	VKLAD	24935	33274	\N	\N	\N
988817	3371	1998-12-30	PRIJEM	VKLAD	23865	30890	\N	\N	\N
988830	3371	1994-01-06	VYDAJ	PREVOD NA UCET	11549	45762	SIPO	ST	31096357
988831	3371	1994-02-06	VYDAJ	PREVOD NA UCET	11549	59845	SIPO	ST	31096357
988832	3371	1994-03-06	VYDAJ	PREVOD NA UCET	11549	26436	SIPO	ST	31096357
988833	3371	1994-04-06	VYDAJ	PREVOD NA UCET	11549	22044	SIPO	ST	31096357
988834	3371	1994-05-06	VYDAJ	PREVOD NA UCET	11549	13089	SIPO	ST	31096357
988835	3371	1994-06-06	VYDAJ	PREVOD NA UCET	11549	40754	SIPO	ST	31096357
988836	3371	1994-07-06	VYDAJ	PREVOD NA UCET	11549	38144	SIPO	ST	31096357
988837	3371	1994-08-06	VYDAJ	PREVOD NA UCET	11549	51364	SIPO	ST	31096357
988838	3371	1994-09-06	VYDAJ	PREVOD NA UCET	11549	46920	SIPO	ST	31096357
988839	3371	1994-10-06	VYDAJ	PREVOD NA UCET	11549	16591	SIPO	ST	31096357
988840	3371	1994-11-06	VYDAJ	PREVOD NA UCET	11549	25090	SIPO	ST	31096357
988841	3371	1994-12-06	VYDAJ	PREVOD NA UCET	11549	31119	SIPO	ST	31096357
988842	3371	1995-01-06	VYDAJ	PREVOD NA UCET	11549	9177	SIPO	ST	31096357
988843	3371	1995-02-06	VYDAJ	PREVOD NA UCET	11549	3297	SIPO	ST	31096357
988844	3371	1995-03-06	VYDAJ	PREVOD NA UCET	11549	47886	SIPO	ST	31096357
988845	3371	1995-04-06	VYDAJ	PREVOD NA UCET	11549	21991	SIPO	ST	31096357
988846	3371	1995-05-06	VYDAJ	PREVOD NA UCET	11549	32466	SIPO	ST	31096357
988847	3371	1995-06-06	VYDAJ	PREVOD NA UCET	11549	17362	SIPO	ST	31096357
988848	3371	1995-07-06	VYDAJ	PREVOD NA UCET	11549	56492	SIPO	ST	31096357
988849	3371	1995-08-06	VYDAJ	PREVOD NA UCET	11549	31624	SIPO	ST	31096357
988850	3371	1995-09-06	VYDAJ	PREVOD NA UCET	11549	33120	SIPO	ST	31096357
988851	3371	1995-10-06	VYDAJ	PREVOD NA UCET	11549	14109	SIPO	ST	31096357
988852	3371	1995-11-06	VYDAJ	PREVOD NA UCET	11549	32198	SIPO	ST	31096357
988853	3371	1995-12-06	VYDAJ	PREVOD NA UCET	11549	59317	SIPO	ST	31096357
988854	3371	1996-01-06	VYDAJ	PREVOD NA UCET	11549	10852	SIPO	ST	31096357
988855	3371	1996-02-06	VYDAJ	PREVOD NA UCET	11549	64410	SIPO	ST	31096357
988856	3371	1996-03-06	VYDAJ	PREVOD NA UCET	11549	30937	SIPO	ST	31096357
988857	3371	1996-04-06	VYDAJ	PREVOD NA UCET	11549	18277	SIPO	ST	31096357
988858	3371	1996-05-06	VYDAJ	PREVOD NA UCET	11549	64811	SIPO	ST	31096357
988859	3371	1996-06-06	VYDAJ	PREVOD NA UCET	11549	37339	SIPO	ST	31096357
988860	3371	1996-07-06	VYDAJ	PREVOD NA UCET	11549	41054	SIPO	ST	31096357
988861	3371	1996-08-06	VYDAJ	PREVOD NA UCET	11549	14625	SIPO	ST	31096357
988862	3371	1996-09-06	VYDAJ	PREVOD NA UCET	11549	45372	SIPO	ST	31096357
988863	3371	1996-10-06	VYDAJ	PREVOD NA UCET	11549	54127	SIPO	ST	31096357
988864	3371	1996-11-06	VYDAJ	PREVOD NA UCET	11549	59946	SIPO	ST	31096357
988865	3371	1996-12-06	VYDAJ	PREVOD NA UCET	11549	31610	SIPO	ST	31096357
988866	3371	1997-01-06	VYDAJ	PREVOD NA UCET	11549	31941	SIPO	ST	31096357
988867	3371	1997-02-06	VYDAJ	PREVOD NA UCET	11549	11602	SIPO	ST	31096357
988868	3371	1997-03-06	VYDAJ	PREVOD NA UCET	11549	5620	SIPO	ST	31096357
988869	3371	1997-04-06	VYDAJ	PREVOD NA UCET	11549	20009	SIPO	ST	31096357
988870	3371	1997-05-06	VYDAJ	PREVOD NA UCET	11549	63457	SIPO	ST	31096357
988871	3371	1997-06-06	VYDAJ	PREVOD NA UCET	11549	18523	SIPO	ST	31096357
988872	3371	1997-07-06	VYDAJ	PREVOD NA UCET	11549	84762	SIPO	ST	31096357
988873	3371	1997-08-06	VYDAJ	PREVOD NA UCET	11549	76863	SIPO	ST	31096357
988874	3371	1997-09-06	VYDAJ	PREVOD NA UCET	11549	39378	SIPO	ST	31096357
988875	3371	1997-10-06	VYDAJ	PREVOD NA UCET	11549	19476	SIPO	ST	31096357
988876	3371	1997-11-06	VYDAJ	PREVOD NA UCET	11549	37836	SIPO	ST	31096357
988877	3371	1997-12-06	VYDAJ	PREVOD NA UCET	11549	14535	SIPO	ST	31096357
988878	3371	1998-01-06	VYDAJ	PREVOD NA UCET	11549	8260	SIPO	ST	31096357
988881	3371	1998-04-06	VYDAJ	PREVOD NA UCET	11549	14386	SIPO	ST	31096357
988882	3371	1998-05-06	VYDAJ	PREVOD NA UCET	11549	34318	SIPO	ST	31096357
988883	3371	1998-06-06	VYDAJ	PREVOD NA UCET	11549	55082	SIPO	ST	31096357
988884	3371	1998-07-06	VYDAJ	PREVOD NA UCET	11549	19361	SIPO	ST	31096357
988885	3371	1998-08-06	VYDAJ	PREVOD NA UCET	11549	7920	SIPO	ST	31096357
988886	3371	1998-09-06	VYDAJ	PREVOD NA UCET	11549	43949	SIPO	ST	31096357
988887	3371	1998-10-06	VYDAJ	PREVOD NA UCET	11549	21442	SIPO	ST	31096357
988888	3371	1998-11-06	VYDAJ	PREVOD NA UCET	11549	18471	SIPO	ST	31096357
988889	3371	1998-12-06	VYDAJ	PREVOD NA UCET	11549	7025	SIPO	ST	31096357
988891	3371	1994-09-12	VYBER	VYBER	24405	22515	\N	\N	\N
988892	3371	1994-02-25	VYBER	VYBER	8694	51151	\N	\N	\N
988893	3371	1994-05-03	VYBER	VYBER	21629	24738	\N	\N	\N
988896	3371	1995-09-25	VYBER	VYBER	9500	25520	\N	\N	\N
988897	3371	1995-07-26	VYBER	VYBER	24309	32183	\N	\N	\N
988899	3371	1995-09-01	VYBER	VYBER	10950	44669	\N	\N	\N
988901	3371	1995-12-16	VYBER	VYBER	2042	86691	\N	\N	\N
988902	3371	1995-12-22	VYBER	VYBER	17414	51283	\N	\N	\N
988903	3371	1995-11-15	VYBER	VYBER	6224	25974	\N	\N	\N
988905	3371	1995-12-19	VYBER	VYBER	15894	68697	\N	\N	\N
988906	3371	1996-09-27	VYBER	VYBER	8219	78187	\N	\N	\N
988907	3371	1996-04-21	VYBER	VYBER	10459	49861	\N	\N	\N
988908	3371	1996-08-26	VYBER	VYBER	7421	56793	\N	\N	\N
988909	3371	1996-10-01	VYBER	VYBER	12809	65676	\N	\N	\N
988910	3371	1996-12-23	VYBER	VYBER	22383	29341	\N	\N	\N
988912	3371	1996-03-23	VYBER	VYBER	24822	41072	\N	\N	\N
988914	3371	1996-04-05	VYBER	VYBER	6603	29826	\N	\N	\N
988915	3371	1996-07-23	VYBER	VYBER	22193	25947	\N	\N	\N
988916	3371	1997-11-20	VYBER	VYBER	4385	25951	\N	\N	\N
988926	3371	1994-01-11	VYDAJ	VYBER	11400	34362	\N	\N	\N
988928	3371	1996-01-01	VYDAJ	VYBER	15600	22401	\N	\N	\N
988933	3371	1995-12-17	VYDAJ	VYBER	2100	84591	\N	\N	\N
988941	3371	1994-06-15	VYDAJ	VYBER	13200	73830	\N	\N	\N
988943	3371	1994-03-13	VYDAJ	VYBER	5700	20736	\N	\N	\N
988945	3371	1994-12-10	VYDAJ	VYBER	6900	24219	\N	\N	\N
988946	3371	1994-11-26	VYDAJ	VYBER	10200	64445	\N	\N	\N
988948	3371	1995-08-21	VYDAJ	VYBER	13500	65815	\N	\N	\N
988949	3371	1995-11-05	VYDAJ	VYBER	12900	43747	\N	\N	\N
988950	3371	1995-11-23	VYDAJ	VYBER	2700	23274	\N	\N	\N
988951	3371	1996-06-14	VYDAJ	VYBER	2100	35239	\N	\N	\N
988952	3371	1996-06-18	VYDAJ	VYBER	10200	25039	\N	\N	\N
988953	3371	1996-02-27	VYDAJ	VYBER	3600	42210	\N	\N	\N
988954	3371	1996-07-16	VYDAJ	VYBER	14700	73740	\N	\N	\N
988955	3371	1996-12-23	VYDAJ	VYBER	2100	27241	\N	\N	\N
988956	3371	1997-01-11	VYDAJ	VYBER	4500	27441	\N	\N	\N
988957	3371	1997-07-29	VYDAJ	VYBER	1800	88044	\N	\N	\N
988959	3371	1997-05-26	VYDAJ	VYBER	8700	29857	\N	\N	\N
988978	3371	1993-12-31	VYDAJ	VYBER	15	60177	SLUZBY	\N	\N
988979	3371	1994-01-31	VYDAJ	VYBER	15	65634	SLUZBY	\N	\N
988980	3371	1994-02-28	VYDAJ	VYBER	15	51385	SLUZBY	\N	\N
988981	3371	1994-03-31	VYDAJ	VYBER	15	44893	SLUZBY	\N	\N
988982	3371	1994-04-30	VYDAJ	VYBER	15	33148	SLUZBY	\N	\N
988983	3371	1994-05-31	VYDAJ	VYBER	15	13139	SLUZBY	\N	\N
988984	3371	1994-06-30	VYDAJ	VYBER	15	74093	SLUZBY	\N	\N
988985	3371	1994-07-31	VYDAJ	VYBER	15	100750	SLUZBY	\N	\N
988986	3371	1994-08-31	VYDAJ	VYBER	15	92169	SLUZBY	\N	\N
988987	3371	1994-09-30	VYDAJ	VYBER	15	28140	SLUZBY	\N	\N
988988	3371	1994-10-31	VYDAJ	VYBER	15	22272	SLUZBY	\N	\N
988989	3371	1994-11-30	VYDAJ	VYBER	15	42668	SLUZBY	\N	\N
988990	3371	1994-12-31	VYDAJ	VYBER	15	20726	SLUZBY	\N	\N
988991	3371	1995-01-31	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
988992	3371	1995-02-28	VYDAJ	VYBER	15	12043	SLUZBY	\N	\N
988993	3371	1995-03-31	VYDAJ	VYBER	15	33540	SLUZBY	\N	\N
988994	3371	1995-04-30	VYDAJ	VYBER	15	22712	SLUZBY	\N	\N
988995	3371	1995-05-31	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
988996	3371	1995-06-30	VYDAJ	VYBER	15	20163	SLUZBY	\N	\N
988997	3371	1995-07-31	VYDAJ	VYBER	15	43173	SLUZBY	\N	\N
988998	3371	1995-08-31	VYDAJ	VYBER	15	55619	SLUZBY	\N	\N
988999	3371	1995-09-30	VYDAJ	VYBER	15	25658	SLUZBY	\N	\N
989000	3371	1995-10-31	VYDAJ	VYBER	15	51087	SLUZBY	\N	\N
989001	3371	1995-11-30	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
989002	3371	1995-12-31	VYDAJ	VYBER	15	38001	SLUZBY	\N	\N
989003	3371	1996-01-31	VYDAJ	VYBER	15	79776	SLUZBY	\N	\N
989004	3371	1996-02-29	VYDAJ	VYBER	15	42486	SLUZBY	\N	\N
989005	3371	1996-03-31	VYDAJ	VYBER	15	29840	SLUZBY	\N	\N
989006	3371	1996-04-30	VYDAJ	VYBER	15	36886	SLUZBY	\N	\N
989007	3371	1996-05-31	VYDAJ	VYBER	15	48888	SLUZBY	\N	\N
989008	3371	1996-06-30	VYDAJ	VYBER	15	52603	SLUZBY	\N	\N
989009	3371	1996-07-31	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
989010	3371	1996-08-31	VYDAJ	VYBER	15	56921	SLUZBY	\N	\N
989011	3371	1996-09-30	VYDAJ	VYBER	15	78485	SLUZBY	\N	\N
989012	3371	1996-10-31	VYDAJ	VYBER	15	71495	SLUZBY	\N	\N
989013	3371	1996-11-30	VYDAJ	VYBER	15	43159	SLUZBY	\N	\N
989014	3371	1996-12-31	VYDAJ	VYBER	15	43490	SLUZBY	\N	\N
989015	3371	1997-01-31	VYDAJ	VYBER	15	23151	SLUZBY	\N	\N
989016	3371	1997-02-28	VYDAJ	VYBER	15	17169	SLUZBY	\N	\N
989017	3371	1997-03-31	VYDAJ	VYBER	15	5673	SLUZBY	\N	\N
989018	3371	1997-04-30	VYDAJ	VYBER	15	75006	SLUZBY	\N	\N
989019	3371	1997-05-31	VYDAJ	VYBER	15	30072	SLUZBY	\N	\N
989020	3371	1997-06-30	VYDAJ	VYBER	15	96311	SLUZBY	\N	\N
989021	3371	1997-07-31	VYDAJ	VYBER	15	88412	SLUZBY	\N	\N
989022	3371	1997-08-31	VYDAJ	VYBER	15	50927	SLUZBY	\N	\N
989023	3371	1997-09-30	VYDAJ	VYBER	15	31025	SLUZBY	\N	\N
989024	3371	1997-10-31	VYDAJ	VYBER	15	49385	SLUZBY	\N	\N
989025	3371	1997-11-30	VYDAJ	VYBER	15	26084	SLUZBY	\N	\N
989026	3371	1997-12-31	VYDAJ	VYBER	15	19809	SLUZBY	\N	\N
989027	3371	1998-01-31	VYDAJ	VYBER	15	8323	SLUZBY	\N	\N
989028	3371	1998-02-28	VYDAJ	VYBER	15	8339	SLUZBY	\N	\N
989029	3371	1998-03-31	VYDAJ	VYBER	15	25935	SLUZBY	\N	\N
989030	3371	1998-04-30	VYDAJ	VYBER	15	45867	SLUZBY	\N	\N
989031	3371	1998-05-31	VYDAJ	VYBER	15	33323	SLUZBY	\N	\N
989032	3371	1998-06-30	VYDAJ	VYBER	15	30910	SLUZBY	\N	\N
989033	3371	1998-07-31	VYDAJ	VYBER	15	19469	SLUZBY	\N	\N
989034	3371	1998-08-31	VYDAJ	VYBER	15	55498	SLUZBY	\N	\N
989035	3371	1998-09-30	VYDAJ	VYBER	15	32991	SLUZBY	\N	\N
989036	3371	1998-10-31	VYDAJ	VYBER	15	30020	SLUZBY	\N	\N
989037	3371	1998-11-30	VYDAJ	VYBER	15	18574	SLUZBY	\N	\N
989038	3371	1993-12-04	VYDAJ	VYBER	26000	54047	\N	\N	\N
989039	3371	1993-12-29	VYDAJ	VYBER	29600	115555	\N	\N	\N
989040	3371	1993-12-29	VYDAJ	VYBER	55700	59855	\N	\N	\N
989041	3371	1994-01-03	VYDAJ	VYBER	31900	57311	\N	\N	\N
989042	3371	1994-02-02	VYDAJ	VYBER	18600	47034	\N	\N	\N
989043	3371	1994-03-04	VYDAJ	VYBER	13400	37985	\N	\N	\N
989044	3371	1994-04-03	VYDAJ	VYBER	11300	33593	\N	\N	\N
989045	3371	1994-05-03	VYDAJ	VYBER	100	24638	\N	\N	\N
989046	3371	1994-06-02	PRIJEM	VKLAD	7900	21039	\N	\N	\N
989047	3371	1994-07-02	VYDAJ	VYBER	24400	49693	\N	\N	\N
989048	3371	1994-08-01	VYDAJ	VYBER	50100	62913	\N	\N	\N
989049	3371	1994-08-01	VYDAJ	VYBER	35500	113013	\N	\N	\N
989050	3371	1994-08-31	VYDAJ	VYBER	33700	58469	\N	\N	\N
989051	3371	1994-09-30	VYDAJ	VYBER	5500	28154	\N	\N	\N
989052	3371	1994-10-30	VYDAJ	VYBER	3700	22177	\N	\N	\N
989053	3371	1994-11-29	VYDAJ	VYBER	21900	42545	\N	\N	\N
989054	3371	1994-12-29	VYDAJ	VYBER	3600	20619	\N	\N	\N
989055	3371	1995-01-28	PRIJEM	VKLAD	5600	14777	\N	\N	\N
989056	3371	1995-02-27	PRIJEM	VKLAD	8700	11997	\N	\N	\N
989057	3371	1995-03-29	VYDAJ	VYBER	14500	33386	\N	\N	\N
989058	3371	1995-04-28	PRIJEM	VKLAD	600	22591	\N	\N	\N
989059	3371	1995-05-28	VYDAJ	VYBER	3700	28766	\N	\N	\N
989060	3371	1995-06-27	PRIJEM	VKLAD	2700	20062	\N	\N	\N
989061	3371	1995-07-27	VYDAJ	VYBER	5100	27083	\N	\N	\N
989062	3371	1995-08-26	VYDAJ	VYBER	22600	43215	\N	\N	\N
989063	3371	1995-09-25	PRIJEM	VKLAD	1900	35020	\N	\N	\N
989064	3371	1995-10-25	VYDAJ	VYBER	26000	50925	\N	\N	\N
989065	3371	1995-11-24	PRIJEM	VKLAD	1900	25174	\N	\N	\N
989066	3371	1995-12-24	VYDAJ	VYBER	13500	37783	\N	\N	\N
989067	3371	1996-01-23	VYDAJ	VYBER	9100	38549	\N	\N	\N
989068	3371	1996-02-01	VYDAJ	VYBER	52800	75959	\N	\N	\N
989069	3371	1996-02-22	VYDAJ	VYBER	18600	45810	\N	\N	\N
989070	3371	1996-03-23	VYDAJ	VYBER	11400	29672	\N	\N	\N
989071	3371	1996-04-22	VYDAJ	VYBER	13100	36761	\N	\N	\N
989072	3371	1996-05-22	VYDAJ	VYBER	31900	48672	\N	\N	\N
989073	3371	1996-06-21	VYDAJ	VYBER	700	24339	\N	\N	\N
989074	3371	1996-07-21	VYDAJ	VYBER	25600	48140	\N	\N	\N
989075	3371	1996-08-20	PRIJEM	VKLAD	5000	19625	\N	\N	\N
989076	3371	1996-09-15	VYDAJ	VYBER	40700	73917	\N	\N	\N
989077	3371	1996-09-19	VYDAJ	VYBER	34000	54891	\N	\N	\N
989078	3371	1996-10-19	VYDAJ	VYBER	38500	59478	\N	\N	\N
989079	3371	1996-11-18	VYDAJ	VYBER	26000	42886	\N	\N	\N
989080	3371	1996-12-18	VYDAJ	VYBER	3800	27810	\N	\N	\N
989081	3371	1997-01-17	VYDAJ	VYBER	4400	23041	\N	\N	\N
989082	3371	1997-02-16	PRIJEM	VKLAD	5500	17102	\N	\N	\N
989083	3371	1997-04-17	VYDAJ	VYBER	3500	16509	\N	\N	\N
989084	3371	1997-05-17	VYDAJ	VYBER	24900	38557	\N	\N	\N
989085	3371	1997-06-16	VYDAJ	VYBER	1800	16723	\N	\N	\N
989086	3371	1997-07-14	VYDAJ	VYBER	34400	98586	\N	\N	\N
989087	3371	1997-07-16	VYDAJ	VYBER	40700	57886	\N	\N	\N
989088	3371	1997-08-15	VYDAJ	VYBER	26200	50663	\N	\N	\N
989089	3371	1997-09-14	VYDAJ	VYBER	8500	30878	\N	\N	\N
989090	3371	1997-10-14	PRIJEM	VKLAD	1000	20476	\N	\N	\N
989091	3371	1997-11-13	VYDAJ	VYBER	7500	30336	\N	\N	\N
989092	3371	1997-12-13	PRIJEM	VKLAD	5200	19735	\N	\N	\N
989093	3371	1998-03-13	VYDAJ	VYBER	7400	25874	\N	\N	\N
989094	3371	1998-05-12	VYDAJ	VYBER	12700	21618	\N	\N	\N
989095	3371	1998-06-11	VYDAJ	VYBER	24300	30782	\N	\N	\N
989096	3371	1998-09-09	VYDAJ	VYBER	11100	32849	\N	\N	\N
989097	3371	1998-10-09	VYDAJ	VYBER	5800	29911	\N	\N	\N
989164	3372	1994-05-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
989170	3372	1994-06-08	PRIJEM	VKLAD	35960	37060	\N	\N	\N
989171	3372	1994-07-08	PRIJEM	VKLAD	23973	55759	\N	\N	\N
989172	3372	1994-08-08	PRIJEM	VKLAD	23973	61970	\N	\N	\N
989173	3372	1994-09-08	PRIJEM	VKLAD	23973	67907	\N	\N	\N
989174	3372	1994-10-08	PRIJEM	VKLAD	23973	71366	\N	\N	\N
989175	3372	1994-11-08	PRIJEM	VKLAD	23973	66195	\N	\N	\N
989176	3372	1994-12-08	PRIJEM	VKLAD	35960	68807	\N	\N	\N
989177	3372	1995-01-08	PRIJEM	VKLAD	23973	65539	\N	\N	\N
989178	3372	1995-02-08	PRIJEM	VKLAD	23973	57725	\N	\N	\N
989179	3372	1995-03-08	PRIJEM	VKLAD	23973	61504	\N	\N	\N
989180	3372	1995-04-08	PRIJEM	VKLAD	23973	62422	\N	\N	\N
989181	3372	1995-05-08	PRIJEM	VKLAD	23973	62617	\N	\N	\N
989182	3372	1995-06-08	PRIJEM	VKLAD	35960	74397	\N	\N	\N
989183	3372	1995-07-08	PRIJEM	VKLAD	23973	60431	\N	\N	\N
989184	3372	1995-08-08	PRIJEM	VKLAD	23973	65443	\N	\N	\N
989185	3372	1995-09-08	PRIJEM	VKLAD	23973	63341	\N	\N	\N
989186	3372	1995-10-08	PRIJEM	VKLAD	23973	62415	\N	\N	\N
989187	3372	1995-11-08	PRIJEM	VKLAD	23973	64407	\N	\N	\N
989188	3372	1995-12-08	PRIJEM	VKLAD	35960	79318	\N	\N	\N
989189	3372	1996-01-08	PRIJEM	VKLAD	23973	75678	\N	\N	\N
989190	3372	1996-02-08	PRIJEM	VKLAD	23973	66034	\N	\N	\N
989191	3372	1996-03-08	PRIJEM	VKLAD	23973	69338	\N	\N	\N
989192	3372	1996-04-08	PRIJEM	VKLAD	23973	74862	\N	\N	\N
989193	3372	1996-05-08	PRIJEM	VKLAD	23973	76340	\N	\N	\N
989194	3372	1996-06-08	PRIJEM	VKLAD	35960	86863	\N	\N	\N
989195	3372	1996-07-08	PRIJEM	VKLAD	23973	64980	\N	\N	\N
989196	3372	1996-08-08	PRIJEM	VKLAD	23973	67651	\N	\N	\N
989197	3372	1996-09-08	PRIJEM	VKLAD	23973	59427	\N	\N	\N
989198	3372	1996-10-08	PRIJEM	VKLAD	23973	60819	\N	\N	\N
989199	3372	1996-11-08	PRIJEM	VKLAD	23973	60718	\N	\N	\N
989200	3372	1996-12-08	PRIJEM	VKLAD	35960	78296	\N	\N	\N
989201	3372	1997-01-08	PRIJEM	VKLAD	23973	71714	\N	\N	\N
989202	3372	1997-02-08	PRIJEM	VKLAD	23973	50262	\N	\N	\N
989203	3372	1997-03-08	PRIJEM	VKLAD	23973	55187	\N	\N	\N
989204	3372	1997-04-08	PRIJEM	VKLAD	23973	67782	\N	\N	\N
989205	3372	1997-05-08	PRIJEM	VKLAD	23973	75109	\N	\N	\N
989206	3372	1997-06-08	PRIJEM	VKLAD	35960	89138	\N	\N	\N
989207	3372	1997-07-08	PRIJEM	VKLAD	23973	83002	\N	\N	\N
989208	3372	1997-08-08	PRIJEM	VKLAD	23973	85464	\N	\N	\N
989209	3372	1997-09-08	PRIJEM	VKLAD	23973	83051	\N	\N	\N
989210	3372	1997-10-08	PRIJEM	VKLAD	23973	88149	\N	\N	\N
989211	3372	1997-11-08	PRIJEM	VKLAD	23973	87496	\N	\N	\N
989212	3372	1997-12-08	PRIJEM	VKLAD	35960	101434	\N	\N	\N
989213	3372	1998-01-08	PRIJEM	VKLAD	23973	95017	\N	\N	\N
989214	3372	1998-02-08	PRIJEM	VKLAD	23973	88148	\N	\N	\N
989215	3372	1998-03-08	PRIJEM	VKLAD	23973	87702	\N	\N	\N
989216	3372	1998-04-08	PRIJEM	VKLAD	23973	87250	\N	\N	\N
989217	3372	1998-05-08	PRIJEM	VKLAD	23973	86553	\N	\N	\N
989218	3372	1998-06-08	PRIJEM	VKLAD	35960	102679	\N	\N	\N
989219	3372	1998-07-08	PRIJEM	VKLAD	23973	75225	\N	\N	\N
989220	3372	1998-08-08	PRIJEM	VKLAD	23973	74148	\N	\N	\N
989221	3372	1998-09-08	PRIJEM	VKLAD	23973	76933	\N	\N	\N
989222	3372	1998-10-08	PRIJEM	VKLAD	23973	81732	\N	\N	\N
989223	3372	1998-11-08	PRIJEM	VKLAD	23973	83451	\N	\N	\N
989224	3372	1998-12-08	PRIJEM	VKLAD	35960	100766	\N	\N	\N
989234	3372	1994-10-14	VYDAJ	PREVOD NA UCET	9838	61528	SIPO	OP	54498982
989235	3372	1994-11-14	VYDAJ	PREVOD NA UCET	9838	56357	SIPO	OP	54498982
989236	3372	1994-12-14	VYDAJ	PREVOD NA UCET	9838	58969	SIPO	OP	54498982
989237	3372	1995-01-14	VYDAJ	PREVOD NA UCET	9838	55701	SIPO	OP	54498982
989238	3372	1995-02-14	VYDAJ	PREVOD NA UCET	9838	47887	SIPO	OP	54498982
989239	3372	1995-03-14	VYDAJ	PREVOD NA UCET	9838	45786	SIPO	OP	54498982
989240	3372	1995-04-14	VYDAJ	PREVOD NA UCET	9838	52584	SIPO	OP	54498982
989241	3372	1995-05-14	VYDAJ	PREVOD NA UCET	9838	52779	SIPO	OP	54498982
989242	3372	1995-06-14	VYDAJ	PREVOD NA UCET	9838	64559	SIPO	OP	54498982
989243	3372	1995-07-14	VYDAJ	PREVOD NA UCET	9838	50593	SIPO	OP	54498982
989244	3372	1995-08-14	VYDAJ	PREVOD NA UCET	9838	55605	SIPO	OP	54498982
989245	3372	1995-09-14	VYDAJ	PREVOD NA UCET	9838	53503	SIPO	OP	54498982
989246	3372	1995-10-14	VYDAJ	PREVOD NA UCET	9838	52577	SIPO	OP	54498982
989247	3372	1995-11-14	VYDAJ	PREVOD NA UCET	9838	54569	SIPO	OP	54498982
989248	3372	1995-12-14	VYDAJ	PREVOD NA UCET	9838	69480	SIPO	OP	54498982
989249	3372	1996-01-14	VYDAJ	PREVOD NA UCET	9838	65840	SIPO	OP	54498982
989250	3372	1996-02-14	VYDAJ	PREVOD NA UCET	9838	56196	SIPO	OP	54498982
989251	3372	1996-03-14	VYDAJ	PREVOD NA UCET	9838	59500	SIPO	OP	54498982
989252	3372	1996-04-14	VYDAJ	PREVOD NA UCET	9838	65024	SIPO	OP	54498982
989253	3372	1996-05-14	VYDAJ	PREVOD NA UCET	9838	66502	SIPO	OP	54498982
989254	3372	1996-06-14	VYDAJ	PREVOD NA UCET	9838	56625	SIPO	OP	54498982
989255	3372	1996-07-14	VYDAJ	PREVOD NA UCET	9838	49742	SIPO	OP	54498982
989256	3372	1996-08-14	VYDAJ	PREVOD NA UCET	9838	42713	SIPO	OP	54498982
989257	3372	1996-09-14	VYDAJ	PREVOD NA UCET	9838	36689	SIPO	OP	54498982
989258	3372	1996-10-14	VYDAJ	PREVOD NA UCET	9838	38281	SIPO	OP	54498982
989259	3372	1996-11-14	VYDAJ	PREVOD NA UCET	9838	42180	SIPO	OP	54498982
989260	3372	1996-12-14	VYDAJ	PREVOD NA UCET	9838	49958	SIPO	OP	54498982
989261	3372	1997-01-14	VYDAJ	PREVOD NA UCET	9838	41496	SIPO	OP	54498982
989262	3372	1997-02-14	VYDAJ	PREVOD NA UCET	9838	36124	SIPO	OP	54498982
989263	3372	1997-03-14	VYDAJ	PREVOD NA UCET	9838	43649	SIPO	OP	54498982
989264	3372	1997-04-14	VYDAJ	PREVOD NA UCET	9838	50944	SIPO	OP	54498982
989265	3372	1997-05-14	VYDAJ	PREVOD NA UCET	9838	52971	SIPO	OP	54498982
989266	3372	1997-06-14	VYDAJ	PREVOD NA UCET	9838	58800	SIPO	OP	54498982
989267	3372	1997-07-14	VYDAJ	PREVOD NA UCET	9838	62564	SIPO	OP	54498982
989268	3372	1997-08-14	VYDAJ	PREVOD NA UCET	9838	58826	SIPO	OP	54498982
989269	3372	1997-09-14	VYDAJ	PREVOD NA UCET	9838	73213	SIPO	OP	54498982
989270	3372	1997-10-14	VYDAJ	PREVOD NA UCET	9838	78311	SIPO	OP	54498982
989271	3372	1997-11-14	VYDAJ	PREVOD NA UCET	9838	77658	SIPO	OP	54498982
989272	3372	1997-12-14	VYDAJ	PREVOD NA UCET	9838	88996	SIPO	OP	54498982
989273	3372	1998-01-14	VYDAJ	PREVOD NA UCET	9838	79739	SIPO	OP	54498982
989274	3372	1998-02-14	VYDAJ	PREVOD NA UCET	9838	78310	SIPO	OP	54498982
989275	3372	1998-03-14	VYDAJ	PREVOD NA UCET	9838	77864	SIPO	OP	54498982
989276	3372	1998-04-14	VYDAJ	PREVOD NA UCET	9838	77412	SIPO	OP	54498982
989277	3372	1998-05-14	VYDAJ	PREVOD NA UCET	9838	76715	SIPO	OP	54498982
989278	3372	1998-06-14	VYDAJ	PREVOD NA UCET	9838	91441	SIPO	OP	54498982
989279	3372	1998-07-14	VYDAJ	PREVOD NA UCET	9838	65387	SIPO	OP	54498982
989280	3372	1998-08-14	VYDAJ	PREVOD NA UCET	9838	64310	SIPO	OP	54498982
989281	3372	1998-09-14	VYDAJ	PREVOD NA UCET	9838	67095	SIPO	OP	54498982
989282	3372	1998-10-14	VYDAJ	PREVOD NA UCET	9838	71894	SIPO	OP	54498982
989283	3372	1998-11-14	VYDAJ	PREVOD NA UCET	9838	73613	SIPO	OP	54498982
989284	3372	1998-12-14	VYDAJ	PREVOD NA UCET	9838	90928	SIPO	OP	54498982
989286	3372	1995-06-17	VYDAJ	VYBER	19200	45359	\N	\N	\N
989287	3372	1996-06-28	VYDAJ	VYBER	15840	40785	\N	\N	\N
989289	3372	1998-06-27	VYDAJ	VYBER	41120	50321	\N	\N	\N
989291	3372	1995-01-17	VYDAJ	VYBER	9760	41501	\N	\N	\N
989292	3372	1996-01-15	VYDAJ	VYBER	14560	51280	\N	\N	\N
989293	3372	1997-01-27	VYDAJ	VYBER	9600	26136	\N	\N	\N
989294	3372	1998-01-14	VYDAJ	VYBER	5440	89577	\N	\N	\N
989295	3372	1994-12-26	VYDAJ	VYBER	2400	41369	\N	\N	\N
989296	3372	1995-12-03	VYDAJ	VYBER	2880	43359	\N	\N	\N
989297	3372	1996-12-24	VYDAJ	VYBER	2400	47558	\N	\N	\N
989298	3372	1997-12-06	VYDAJ	VYBER KARTOU	1400	76574	\N	\N	0
989299	3372	1998-12-25	VYDAJ	VYBER KARTOU	3400	87528	\N	\N	0
989301	3372	1994-12-03	VYDAJ	VYBER	4800	32848	\N	\N	\N
989302	3372	1994-11-23	VYDAJ	VYBER	1680	37477	\N	\N	\N
989306	3372	1995-09-27	VYDAJ	VYBER	3120	38283	\N	\N	\N
989307	3372	1995-07-01	VYDAJ	VYBER	1560	36458	\N	\N	\N
989308	3372	1995-03-09	VYDAJ	VYBER	5880	55624	\N	\N	\N
989309	3372	1995-01-15	VYDAJ	VYBER	4440	51261	\N	\N	\N
989310	3372	1996-10-28	VYDAJ	VYBER	1680	36601	\N	\N	\N
989311	3372	1996-09-06	VYDAJ	VYBER	5640	35454	\N	\N	\N
989312	3372	1996-08-04	VYDAJ	VYBER	3360	43678	\N	\N	\N
989313	3372	1996-08-17	VYDAJ	VYBER	1800	40913	\N	\N	\N
989314	3372	1996-04-22	VYDAJ	VYBER	1560	52164	\N	\N	\N
989315	3372	1996-07-31	VYDAJ	VYBER	2880	47053	\N	\N	\N
989316	3372	1997-12-11	VYDAJ	VYBER KARTOU	2600	98834	\N	\N	0
989317	3372	1997-01-15	VYDAJ	VYBER	5760	35736	\N	\N	\N
989318	3372	1997-02-28	VYDAJ	VYBER	5040	31214	\N	\N	\N
989319	3372	1997-01-14	VYDAJ	VYBER	5280	51334	\N	\N	\N
989320	3372	1997-07-30	VYDAJ	VYBER	1320	61244	\N	\N	\N
989321	3372	1998-05-29	VYDAJ	VYBER KARTOU	3700	73015	\N	\N	0
989322	3372	1998-03-18	VYDAJ	VYBER KARTOU	1600	76264	\N	\N	0
989323	3372	1998-06-10	VYDAJ	VYBER KARTOU	1400	101279	\N	\N	0
989324	3372	1998-04-25	VYDAJ	VYBER	4440	72972	\N	\N	\N
989325	3372	1998-08-07	VYDAJ	VYBER	5760	50175	\N	\N	\N
989326	3372	1998-08-19	VYDAJ	VYBER KARTOU	3100	61210	\N	\N	0
989337	3372	1994-10-31	VYDAJ	VYBER	15	42222	SLUZBY	\N	\N
989338	3372	1994-11-30	VYDAJ	VYBER	15	37648	SLUZBY	\N	\N
989339	3372	1994-12-31	VYDAJ	VYBER	15	41566	SLUZBY	\N	\N
989340	3372	1995-01-31	VYDAJ	VYBER	15	33752	SLUZBY	\N	\N
989341	3372	1995-02-28	VYDAJ	VYBER	15	37531	SLUZBY	\N	\N
989342	3372	1995-03-31	VYDAJ	VYBER	15	38449	SLUZBY	\N	\N
989343	3372	1995-04-30	VYDAJ	VYBER	15	38644	SLUZBY	\N	\N
989344	3372	1995-05-31	VYDAJ	VYBER	15	38438	SLUZBY	\N	\N
989345	3372	1995-06-30	VYDAJ	VYBER	15	38018	SLUZBY	\N	\N
989346	3372	1995-07-31	VYDAJ	VYBER	15	41470	SLUZBY	\N	\N
989347	3372	1995-08-31	VYDAJ	VYBER	15	39368	SLUZBY	\N	\N
989348	3372	1995-09-30	VYDAJ	VYBER	15	38442	SLUZBY	\N	\N
989349	3372	1995-10-31	VYDAJ	VYBER	15	40434	SLUZBY	\N	\N
989350	3372	1995-11-30	VYDAJ	VYBER	15	46239	SLUZBY	\N	\N
989351	3372	1995-12-31	VYDAJ	VYBER	15	51705	SLUZBY	\N	\N
989352	3372	1996-01-31	VYDAJ	VYBER	15	42061	SLUZBY	\N	\N
989353	3372	1996-02-29	VYDAJ	VYBER	15	45365	SLUZBY	\N	\N
989354	3372	1996-03-31	VYDAJ	VYBER	15	50889	SLUZBY	\N	\N
989355	3372	1996-04-30	VYDAJ	VYBER	15	52367	SLUZBY	\N	\N
989356	3372	1996-05-31	VYDAJ	VYBER	15	50903	SLUZBY	\N	\N
989357	3372	1996-06-30	VYDAJ	VYBER	15	41007	SLUZBY	\N	\N
989358	3372	1996-07-31	VYDAJ	VYBER	15	47038	SLUZBY	\N	\N
989359	3372	1996-08-31	VYDAJ	VYBER	15	41094	SLUZBY	\N	\N
989360	3372	1996-09-30	VYDAJ	VYBER	15	36846	SLUZBY	\N	\N
989361	3372	1996-10-31	VYDAJ	VYBER	15	36745	SLUZBY	\N	\N
989362	3372	1996-11-30	VYDAJ	VYBER	15	42336	SLUZBY	\N	\N
989363	3372	1996-12-31	VYDAJ	VYBER	15	47741	SLUZBY	\N	\N
989364	3372	1997-01-31	VYDAJ	VYBER	15	26289	SLUZBY	\N	\N
989365	3372	1997-02-28	VYDAJ	VYBER	15	36254	SLUZBY	\N	\N
989366	3372	1997-03-31	VYDAJ	VYBER	15	43809	SLUZBY	\N	\N
989367	3372	1997-04-30	VYDAJ	VYBER	15	51136	SLUZBY	\N	\N
989368	3372	1997-05-31	VYDAJ	VYBER	15	53179	SLUZBY	\N	\N
989369	3372	1997-06-30	VYDAJ	VYBER	15	59029	SLUZBY	\N	\N
989370	3372	1997-07-31	VYDAJ	VYBER	15	61491	SLUZBY	\N	\N
989371	3372	1997-08-31	VYDAJ	VYBER	15	59078	SLUZBY	\N	\N
989372	3372	1997-09-30	VYDAJ	VYBER	15	73476	SLUZBY	\N	\N
989373	3372	1997-10-31	VYDAJ	VYBER	15	78623	SLUZBY	\N	\N
989374	3372	1997-11-30	VYDAJ	VYBER	15	77974	SLUZBY	\N	\N
989375	3372	1997-12-31	VYDAJ	VYBER	15	89344	SLUZBY	\N	\N
989376	3372	1998-01-31	VYDAJ	VYBER	15	80075	SLUZBY	\N	\N
989377	3372	1998-02-28	VYDAJ	VYBER	15	78629	SLUZBY	\N	\N
989378	3372	1998-03-31	VYDAJ	VYBER	15	76577	SLUZBY	\N	\N
989379	3372	1998-04-30	VYDAJ	VYBER	15	73280	SLUZBY	\N	\N
989380	3372	1998-05-31	VYDAJ	VYBER	15	73320	SLUZBY	\N	\N
989381	3372	1998-06-30	VYDAJ	VYBER	15	50652	SLUZBY	\N	\N
989382	3372	1998-07-31	VYDAJ	VYBER	15	65635	SLUZBY	\N	\N
989383	3372	1998-08-31	VYDAJ	VYBER	15	61460	SLUZBY	\N	\N
989384	3372	1998-09-30	VYDAJ	VYBER	15	67359	SLUZBY	\N	\N
989385	3372	1998-10-31	VYDAJ	VYBER	15	72178	SLUZBY	\N	\N
989386	3372	1998-11-30	VYDAJ	VYBER	15	73907	SLUZBY	\N	\N
989387	3372	1994-06-25	VYDAJ	VYBER	5300	31760	\N	\N	\N
989388	3372	1994-07-25	VYDAJ	VYBER	17900	37859	\N	\N	\N
989389	3372	1994-08-24	VYDAJ	VYBER	18200	43770	\N	\N	\N
989390	3372	1994-09-23	VYDAJ	VYBER	20700	47207	\N	\N	\N
989391	3372	1994-10-23	VYDAJ	VYBER	19500	42028	\N	\N	\N
989392	3372	1994-11-22	VYDAJ	VYBER	17200	39157	\N	\N	\N
989393	3372	1994-12-22	VYDAJ	VYBER	15200	43769	\N	\N	\N
989394	3372	1995-01-21	VYDAJ	VYBER	7900	33601	\N	\N	\N
989395	3372	1995-02-20	VYDAJ	VYBER	10500	37387	\N	\N	\N
989396	3372	1995-03-22	VYDAJ	VYBER	7500	38286	\N	\N	\N
989397	3372	1995-04-21	VYDAJ	VYBER	14100	38484	\N	\N	\N
989398	3372	1995-05-21	VYDAJ	VYBER	14500	38279	\N	\N	\N
989399	3372	1995-06-20	VYDAJ	VYBER	7500	37859	\N	\N	\N
989400	3372	1995-07-20	VYDAJ	VYBER	9300	41293	\N	\N	\N
989401	3372	1995-08-19	VYDAJ	VYBER	16400	39205	\N	\N	\N
989402	3372	1995-09-18	VYDAJ	VYBER	12100	41403	\N	\N	\N
989403	3372	1995-10-18	VYDAJ	VYBER	12300	40277	\N	\N	\N
989404	3372	1995-11-17	VYDAJ	VYBER	8500	46069	\N	\N	\N
989405	3372	1995-12-17	VYDAJ	VYBER	18000	51480	\N	\N	\N
989406	3372	1996-01-16	VYDAJ	VYBER	9400	41880	\N	\N	\N
989407	3372	1996-02-15	VYDAJ	VYBER	11000	45196	\N	\N	\N
989408	3372	1996-03-16	VYDAJ	VYBER	8800	50700	\N	\N	\N
989409	3372	1996-04-15	VYDAJ	VYBER	11300	53724	\N	\N	\N
989410	3372	1996-05-15	VYDAJ	VYBER	15800	50702	\N	\N	\N
989411	3372	1996-06-14	VYDAJ	VYBER	20400	66463	\N	\N	\N
989412	3372	1996-07-14	VYDAJ	VYBER	5400	59580	\N	\N	\N
989413	3372	1996-08-13	VYDAJ	VYBER	15100	52551	\N	\N	\N
989414	3372	1996-09-12	VYDAJ	VYBER	12900	46527	\N	\N	\N
989415	3372	1996-10-12	VYDAJ	VYBER	12700	48119	\N	\N	\N
989416	3372	1996-11-11	VYDAJ	VYBER	8700	52018	\N	\N	\N
989417	3372	1996-12-11	VYDAJ	VYBER	18500	59796	\N	\N	\N
989418	3372	1997-01-10	VYDAJ	VYBER	15100	56614	\N	\N	\N
989419	3372	1997-02-09	VYDAJ	VYBER	4300	45962	\N	\N	\N
989420	3372	1997-03-11	VYDAJ	VYBER	1700	53487	\N	\N	\N
989421	3372	1997-04-10	VYDAJ	VYBER	7000	60782	\N	\N	\N
989422	3372	1997-05-10	VYDAJ	VYBER	12300	62809	\N	\N	\N
989423	3372	1997-06-09	VYDAJ	VYBER	20500	68638	\N	\N	\N
989424	3372	1997-07-09	VYDAJ	VYBER	10600	72402	\N	\N	\N
989425	3372	1997-08-08	VYDAJ	VYBER	16800	68664	\N	\N	\N
989426	3372	1997-10-07	VYDAJ	VYBER	9300	64176	\N	\N	\N
989427	3372	1997-11-06	VYDAJ	VYBER	15100	63523	\N	\N	\N
989428	3372	1997-12-06	VYDAJ	VYBER	11100	65474	\N	\N	\N
989429	3372	1998-01-05	VYDAJ	VYBER	18300	71044	\N	\N	\N
989430	3372	1998-02-04	VYDAJ	VYBER	15900	64175	\N	\N	\N
989431	3372	1998-03-06	VYDAJ	VYBER	14900	63729	\N	\N	\N
989432	3372	1998-04-05	VYDAJ	VYBER	13300	63277	\N	\N	\N
989433	3372	1998-05-05	VYDAJ	VYBER	10700	62580	\N	\N	\N
989434	3372	1998-06-04	VYDAJ	VYBER	6600	66720	\N	\N	\N
989435	3372	1998-07-04	PRIJEM	VKLAD	600	51252	\N	\N	\N
989436	3372	1998-08-03	VYDAJ	VYBER	9700	55935	\N	\N	\N
989437	3372	1998-09-02	VYDAJ	VYBER	8500	52960	\N	\N	\N
989438	3372	1998-10-02	VYDAJ	VYBER	9600	57759	\N	\N	\N
989439	3372	1998-11-01	VYDAJ	VYBER	12700	59478	\N	\N	\N
989440	3372	1998-12-01	VYDAJ	VYBER	9100	64807	\N	\N	\N
989496	3373	1996-01-18	PRIJEM	VKLAD	900	900	\N	\N	\N
989498	3373	1996-02-05	PRIJEM	VKLAD	18995	19895	\N	\N	\N
989499	3373	1996-03-05	PRIJEM	VKLAD	18995	41231	\N	\N	\N
989500	3373	1996-04-05	PRIJEM	VKLAD	18995	49735	\N	\N	\N
989501	3373	1996-05-05	PRIJEM	VKLAD	18995	55970	\N	\N	\N
989502	3373	1996-06-05	PRIJEM	VKLAD	28493	65516	\N	\N	\N
989503	3373	1996-07-05	PRIJEM	VKLAD	18995	41707	\N	\N	\N
989504	3373	1996-08-05	PRIJEM	VKLAD	18995	42724	\N	\N	\N
989505	3373	1996-09-05	PRIJEM	VKLAD	18995	39597	\N	\N	\N
989506	3373	1996-10-05	PRIJEM	VKLAD	18995	37370	\N	\N	\N
989507	3373	1996-11-05	PRIJEM	VKLAD	18995	35936	\N	\N	\N
989508	3373	1996-12-05	PRIJEM	VKLAD	28493	39568	\N	\N	\N
989509	3373	1997-01-05	PRIJEM	VKLAD	18995	32987	\N	\N	\N
989510	3373	1997-02-05	PRIJEM	VKLAD	18995	25974	\N	\N	\N
989511	3373	1997-03-05	PRIJEM	VKLAD	18995	35805	\N	\N	\N
989512	3373	1997-04-05	PRIJEM	VKLAD	18995	27733	\N	\N	\N
989513	3373	1997-05-05	PRIJEM	VKLAD	18995	24237	\N	\N	\N
989514	3373	1997-06-05	PRIJEM	VKLAD	28493	43560	\N	\N	\N
989515	3373	1997-07-05	PRIJEM	VKLAD	18995	29889	\N	\N	\N
989516	3373	1997-08-05	PRIJEM	VKLAD	18995	39738	\N	\N	\N
989517	3373	1997-09-05	PRIJEM	VKLAD	18995	25456	\N	\N	\N
989518	3373	1997-10-05	PRIJEM	VKLAD	18995	35286	\N	\N	\N
989519	3373	1997-11-05	PRIJEM	VKLAD	18995	45157	\N	\N	\N
989520	3373	1997-12-05	PRIJEM	VKLAD	28493	34774	\N	\N	\N
989521	3373	1998-01-05	PRIJEM	VKLAD	18995	39872	\N	\N	\N
989522	3373	1998-02-05	PRIJEM	VKLAD	18995	42071	\N	\N	\N
989523	3373	1998-03-05	PRIJEM	VKLAD	18995	51970	\N	\N	\N
989524	3373	1998-04-05	PRIJEM	VKLAD	18995	61910	\N	\N	\N
989525	3373	1998-05-05	PRIJEM	VKLAD	18995	25443	\N	\N	\N
989526	3373	1998-06-05	PRIJEM	VKLAD	28493	44770	\N	\N	\N
989527	3373	1998-07-05	PRIJEM	VKLAD	18995	54670	\N	\N	\N
989528	3373	1998-08-05	PRIJEM	VKLAD	18995	64621	\N	\N	\N
989529	3373	1998-09-05	PRIJEM	VKLAD	18995	27379	\N	\N	\N
989530	3373	1998-10-05	PRIJEM	VKLAD	18995	37216	\N	\N	\N
989531	3373	1998-11-05	PRIJEM	VKLAD	18995	33769	\N	\N	\N
989532	3373	1998-12-05	PRIJEM	VKLAD	28493	50741	\N	\N	\N
989538	3373	1996-06-14	VYDAJ	PREVOD NA UCET	5776	29905	SIPO	YZ	67776107
989539	3373	1996-07-14	VYDAJ	PREVOD NA UCET	5776	28536	SIPO	YZ	67776107
989540	3373	1996-08-14	VYDAJ	PREVOD NA UCET	5776	33513	SIPO	YZ	67776107
989541	3373	1996-09-14	VYDAJ	PREVOD NA UCET	5776	18286	SIPO	YZ	67776107
989542	3373	1996-10-14	VYDAJ	PREVOD NA UCET	5776	16859	SIPO	YZ	67776107
989543	3373	1996-11-14	VYDAJ	PREVOD NA UCET	5776	11025	SIPO	YZ	67776107
989544	3373	1996-12-14	VYDAJ	PREVOD NA UCET	5776	14657	SIPO	YZ	67776107
989545	3373	1997-01-14	VYDAJ	PREVOD NA UCET	5776	6936	SIPO	YZ	67776107
989546	3373	1997-02-14	VYDAJ	PREVOD NA UCET	5776	16763	SIPO	YZ	67776107
989547	3373	1997-03-14	VYDAJ	PREVOD NA UCET	5776	8694	SIPO	YZ	67776107
989548	3373	1997-04-14	VYDAJ	PREVOD NA UCET	5776	5222	SIPO	YZ	67776107
989549	3373	1997-05-14	VYDAJ	PREVOD NA UCET	5776	15026	SIPO	YZ	67776107
989550	3373	1997-06-14	VYDAJ	PREVOD NA UCET	5776	10849	SIPO	YZ	67776107
989551	3373	1997-07-14	VYDAJ	PREVOD NA UCET	5776	20678	SIPO	YZ	67776107
989552	3373	1997-08-14	VYDAJ	PREVOD NA UCET	5776	6427	SIPO	YZ	67776107
989553	3373	1997-09-14	VYDAJ	PREVOD NA UCET	5776	16245	SIPO	YZ	67776107
989554	3373	1997-10-14	VYDAJ	PREVOD NA UCET	5776	26075	SIPO	YZ	67776107
989555	3373	1997-11-14	VYDAJ	PREVOD NA UCET	5776	6246	SIPO	YZ	67776107
989556	3373	1997-12-14	VYDAJ	PREVOD NA UCET	5776	25563	SIPO	YZ	67776107
989557	3373	1998-01-14	VYDAJ	PREVOD NA UCET	5776	22981	SIPO	YZ	67776107
989558	3373	1998-02-14	VYDAJ	PREVOD NA UCET	5776	32860	SIPO	YZ	67776107
989559	3373	1998-03-14	VYDAJ	PREVOD NA UCET	5776	42759	SIPO	YZ	67776107
989560	3373	1998-04-14	VYDAJ	PREVOD NA UCET	5776	6399	SIPO	YZ	67776107
989561	3373	1998-05-14	VYDAJ	PREVOD NA UCET	5776	16232	SIPO	YZ	67776107
989562	3373	1998-06-14	VYDAJ	PREVOD NA UCET	5776	35559	SIPO	YZ	67776107
989563	3373	1998-07-14	VYDAJ	PREVOD NA UCET	5776	45459	SIPO	YZ	67776107
989564	3373	1998-08-14	VYDAJ	PREVOD NA UCET	5776	8310	SIPO	YZ	67776107
989565	3373	1998-09-14	VYDAJ	PREVOD NA UCET	5776	18168	SIPO	YZ	67776107
989566	3373	1998-10-14	VYDAJ	PREVOD NA UCET	5776	28005	SIPO	YZ	67776107
989567	3373	1998-11-14	VYDAJ	PREVOD NA UCET	5776	24558	SIPO	YZ	67776107
989568	3373	1998-12-14	VYDAJ	PREVOD NA UCET	5776	41530	SIPO	YZ	67776107
989574	3373	1996-06-09	VYDAJ	PREVOD NA UCET	3435	35681	 	EF	60809451
989575	3373	1996-07-09	VYDAJ	PREVOD NA UCET	3435	38272	 	EF	60809451
989576	3373	1996-08-09	VYDAJ	PREVOD NA UCET	3435	39289	 	EF	60809451
989577	3373	1996-09-09	VYDAJ	PREVOD NA UCET	3435	36162	 	EF	60809451
989578	3373	1996-10-09	VYDAJ	PREVOD NA UCET	3435	33935	 	EF	60809451
989579	3373	1996-11-09	VYDAJ	PREVOD NA UCET	3435	32501	 	EF	60809451
989580	3373	1996-12-09	VYDAJ	PREVOD NA UCET	3435	36133	 	EF	60809451
989581	3373	1997-01-09	VYDAJ	PREVOD NA UCET	3435	24752	 	EF	60809451
989582	3373	1997-02-09	VYDAJ	PREVOD NA UCET	3435	22539	 	EF	60809451
989583	3373	1997-03-09	VYDAJ	PREVOD NA UCET	3435	32370	 	EF	60809451
989584	3373	1997-04-09	VYDAJ	PREVOD NA UCET	3435	24298	 	EF	60809451
989585	3373	1997-05-09	VYDAJ	PREVOD NA UCET	3435	20802	 	EF	60809451
989586	3373	1997-06-09	VYDAJ	PREVOD NA UCET	3435	40125	 	EF	60809451
989587	3373	1997-07-09	VYDAJ	PREVOD NA UCET	3435	26454	 	EF	60809451
989588	3373	1997-08-09	VYDAJ	PREVOD NA UCET	3435	36303	 	EF	60809451
989589	3373	1997-09-09	VYDAJ	PREVOD NA UCET	3435	22021	 	EF	60809451
989590	3373	1997-10-09	VYDAJ	PREVOD NA UCET	3435	31851	 	EF	60809451
989591	3373	1997-11-09	VYDAJ	PREVOD NA UCET	3435	12022	 	EF	60809451
989592	3373	1997-12-09	VYDAJ	PREVOD NA UCET	3435	31339	 	EF	60809451
989593	3373	1998-01-09	VYDAJ	PREVOD NA UCET	3435	33317	 	EF	60809451
989594	3373	1998-02-09	VYDAJ	PREVOD NA UCET	3435	38636	 	EF	60809451
989595	3373	1998-03-09	VYDAJ	PREVOD NA UCET	3435	48535	 	EF	60809451
989596	3373	1998-04-09	VYDAJ	PREVOD NA UCET	3435	12175	 	EF	60809451
989597	3373	1998-05-09	VYDAJ	PREVOD NA UCET	3435	22008	 	EF	60809451
989598	3373	1998-06-09	VYDAJ	PREVOD NA UCET	3435	41335	 	EF	60809451
989599	3373	1998-07-09	VYDAJ	PREVOD NA UCET	3435	51235	 	EF	60809451
989600	3373	1998-08-09	VYDAJ	PREVOD NA UCET	3435	14086	 	EF	60809451
989601	3373	1998-09-09	VYDAJ	PREVOD NA UCET	3435	23944	 	EF	60809451
989602	3373	1998-10-09	VYDAJ	PREVOD NA UCET	3435	33781	 	EF	60809451
989603	3373	1998-11-09	VYDAJ	PREVOD NA UCET	3435	30334	 	EF	60809451
989604	3373	1998-12-09	VYDAJ	PREVOD NA UCET	3435	47306	 	EF	60809451
989605	3373	1996-06-06	VYDAJ	VYBER	26400	39116	\N	\N	\N
989609	3373	1997-12-23	VYDAJ	VYBER	800	24763	\N	\N	\N
989610	3373	1998-12-15	VYDAJ	VYBER	3040	38490	\N	\N	\N
989618	3373	1997-01-02	VYDAJ	VYBER	720	13992	\N	\N	\N
989621	3373	1997-01-12	VYDAJ	VYBER	2640	22112	\N	\N	\N
989623	3373	1998-01-04	VYDAJ	VYBER	1320	20877	\N	\N	\N
989624	3373	1998-01-11	VYDAJ	VYBER	1320	30197	\N	\N	\N
989625	3373	1998-01-11	VYDAJ	VYBER	1800	31517	\N	\N	\N
989626	3373	1998-01-01	VYDAJ	VYBER	2640	22197	\N	\N	\N
989627	3373	1998-01-05	VYDAJ	VYBER	3120	36752	\N	\N	\N
989628	3373	1998-01-13	VYDAJ	VYBER	1440	28757	\N	\N	\N
989629	3373	1996-07-12	VYDAJ	VYBER	3960	34312	\N	\N	\N
989633	3373	1997-01-08	VYDAJ	VYBER	4800	28187	\N	\N	\N
989635	3373	1998-12-20	VYDAJ	VYBER	2040	36450	\N	\N	\N
989636	3373	1998-10-24	VYDAJ	VYBER	4920	23085	\N	\N	\N
989637	3373	1998-11-01	VYDAJ	VYBER	3600	19574	\N	\N	\N
989638	3373	1998-11-19	VYDAJ	VYBER	1800	22758	\N	\N	\N
989639	3373	1998-11-04	VYDAJ	VYBER	4800	14774	\N	\N	\N
989640	3373	1998-11-26	VYDAJ	VYBER	600	22158	\N	\N	\N
989647	3373	1996-06-30	VYDAJ	VYBER	15	22712	SLUZBY	\N	\N
989648	3373	1996-07-31	VYDAJ	VYBER	15	23729	SLUZBY	\N	\N
989649	3373	1996-08-31	VYDAJ	VYBER	15	20602	SLUZBY	\N	\N
989650	3373	1996-09-30	VYDAJ	VYBER	15	18375	SLUZBY	\N	\N
989651	3373	1996-10-31	VYDAJ	VYBER	15	16941	SLUZBY	\N	\N
989652	3373	1996-11-30	VYDAJ	VYBER	15	11075	SLUZBY	\N	\N
989653	3373	1996-12-31	VYDAJ	VYBER	15	14712	SLUZBY	\N	\N
989654	3373	1997-01-31	VYDAJ	VYBER	15	6979	SLUZBY	\N	\N
989655	3373	1997-02-28	VYDAJ	VYBER	15	16810	SLUZBY	\N	\N
989656	3373	1997-03-31	VYDAJ	VYBER	15	8738	SLUZBY	\N	\N
989657	3373	1997-04-30	VYDAJ	VYBER	15	5242	SLUZBY	\N	\N
989658	3373	1997-05-31	VYDAJ	VYBER	15	15067	SLUZBY	\N	\N
989659	3373	1997-06-30	VYDAJ	VYBER	15	10894	SLUZBY	\N	\N
989660	3373	1997-07-31	VYDAJ	VYBER	15	20743	SLUZBY	\N	\N
989661	3373	1997-08-31	VYDAJ	VYBER	15	6461	SLUZBY	\N	\N
989662	3373	1997-09-30	VYDAJ	VYBER	15	16291	SLUZBY	\N	\N
989663	3373	1997-10-31	VYDAJ	VYBER	15	26162	SLUZBY	\N	\N
989664	3373	1997-11-30	VYDAJ	VYBER	15	6282	SLUZBY	\N	\N
989665	3373	1997-12-31	VYDAJ	VYBER	15	24837	SLUZBY	\N	\N
989666	3373	1998-01-31	VYDAJ	VYBER	15	23076	SLUZBY	\N	\N
989667	3373	1998-02-28	VYDAJ	VYBER	15	32975	SLUZBY	\N	\N
989668	3373	1998-03-31	VYDAJ	VYBER	15	42915	SLUZBY	\N	\N
989669	3373	1998-04-30	VYDAJ	VYBER	15	6448	SLUZBY	\N	\N
989670	3373	1998-05-31	VYDAJ	VYBER	15	16278	SLUZBY	\N	\N
989671	3373	1998-06-30	VYDAJ	VYBER	15	35675	SLUZBY	\N	\N
989672	3373	1998-07-31	VYDAJ	VYBER	15	45626	SLUZBY	\N	\N
989673	3373	1998-08-31	VYDAJ	VYBER	15	8384	SLUZBY	\N	\N
989674	3373	1998-09-30	VYDAJ	VYBER	15	18221	SLUZBY	\N	\N
989675	3373	1998-10-31	VYDAJ	VYBER	15	23174	SLUZBY	\N	\N
989676	3373	1998-11-30	VYDAJ	VYBER	15	22249	SLUZBY	\N	\N
989677	3373	1996-02-17	PRIJEM	VKLAD	2300	22195	\N	\N	\N
989678	3373	1996-03-18	VYDAJ	VYBER	10600	30631	\N	\N	\N
989679	3373	1996-04-17	VYDAJ	VYBER	12900	36835	\N	\N	\N
989680	3373	1996-05-17	VYDAJ	VYBER	19100	36870	\N	\N	\N
989681	3373	1996-06-16	VYDAJ	VYBER	7300	22605	\N	\N	\N
989682	3373	1996-07-16	VYDAJ	VYBER	4900	23636	\N	\N	\N
989683	3373	1996-08-15	VYDAJ	VYBER	13000	20513	\N	\N	\N
989684	3373	1996-09-14	VYDAJ	VYBER	12100	24062	\N	\N	\N
989685	3373	1996-10-14	VYDAJ	VYBER	11300	22635	\N	\N	\N
989686	3373	1996-11-13	VYDAJ	VYBER	15700	16801	\N	\N	\N
989687	3373	1996-12-13	VYDAJ	VYBER	15700	20433	\N	\N	\N
989688	3373	1997-01-12	VYDAJ	VYBER	9400	12712	\N	\N	\N
989689	3373	1997-03-13	VYDAJ	VYBER	17900	14470	\N	\N	\N
989690	3373	1997-04-12	VYDAJ	VYBER	13300	10998	\N	\N	\N
989691	3373	1997-06-11	VYDAJ	VYBER	23500	16625	\N	\N	\N
989692	3373	1997-08-10	VYDAJ	VYBER	24100	12203	\N	\N	\N
989693	3373	1997-11-08	VYDAJ	VYBER	29700	15457	\N	\N	\N
989694	3373	1998-04-07	VYDAJ	VYBER	46300	15610	\N	\N	\N
989695	3373	1998-08-05	VYDAJ	VYBER	47100	17521	\N	\N	\N
989731	3374	1993-02-17	PRIJEM	VKLAD	200	200	\N	\N	\N
989732	3374	1993-04-30	PRIJEM	VKLAD	39176	141403	\N	\N	\N
989733	3374	1993-11-03	PRIJEM	VKLAD	33767	128947	\N	\N	\N
989734	3374	1993-08-14	PRIJEM	VKLAD	16644	103720	\N	\N	\N
989735	3374	1993-06-04	PRIJEM	VKLAD	34115	102739	\N	\N	\N
989736	3374	1993-06-18	PRIJEM	VKLAD	48015	97154	\N	\N	\N
989737	3374	1993-07-25	PRIJEM	VKLAD	30563	82352	\N	\N	\N
989738	3374	1993-10-06	PRIJEM	VKLAD	8068	102672	\N	\N	\N
989739	3374	1993-08-02	PRIJEM	VKLAD	49260	130164	\N	\N	\N
989740	3374	1993-07-12	PRIJEM	VKLAD	25282	86471	\N	\N	\N
989741	3374	1993-08-03	PRIJEM	VKLAD	14624	122988	\N	\N	\N
989742	3374	1993-10-14	PRIJEM	VKLAD	32531	123003	\N	\N	\N
989744	3374	1993-10-27	PRIJEM	VKLAD	49046	100649	\N	\N	\N
989745	3374	1993-07-28	PRIJEM	VKLAD	13569	95921	\N	\N	\N
989746	3374	1993-08-12	PRIJEM	VKLAD	23611	87076	\N	\N	\N
989748	3374	1993-07-14	PRIJEM	VKLAD	49018	130489	\N	\N	\N
989749	3374	1993-03-12	PRIJEM	VKLAD	24784	24984	\N	\N	\N
989750	3374	1993-04-24	PRIJEM	VKLAD	47773	125927	\N	\N	\N
989751	3374	1993-06-21	PRIJEM	VKLAD	17031	72004	\N	\N	\N
989752	3374	1993-03-27	PRIJEM	VKLAD	9047	35631	\N	\N	\N
989753	3374	1993-08-21	PRIJEM	VKLAD	37920	103540	\N	\N	\N
989754	3374	1993-08-04	PRIJEM	VKLAD	11877	73365	\N	\N	\N
989755	3374	1993-06-18	PRIJEM	VKLAD	16919	114073	\N	\N	\N
989756	3374	1993-05-23	PRIJEM	VKLAD	34624	77271	\N	\N	\N
989758	3374	1993-04-21	PRIJEM	VKLAD	45670	78154	\N	\N	\N
989759	3374	1993-10-01	PRIJEM	VKLAD	37921	94604	\N	\N	\N
989760	3374	1994-08-30	PRIJEM	VKLAD	44018	70244	\N	\N	\N
989761	3374	1994-07-16	PRIJEM	VKLAD	20380	43694	\N	\N	\N
989762	3374	1994-09-11	PRIJEM	VKLAD	47289	94165	\N	\N	\N
989763	3374	1994-01-21	PRIJEM	VKLAD	38767	57657	\N	\N	\N
989764	3374	1994-06-26	PRIJEM	VKLAD	23297	37956	\N	\N	\N
989765	3374	1994-05-08	PRIJEM	VKLAD	7612	18202	\N	\N	\N
989766	3374	1995-02-22	PRIJEM	VKLAD	39290	35317	\N	\N	\N
989767	3374	1995-02-24	PRIJEM	VKLAD	31657	66974	\N	\N	\N
989768	3374	1995-07-07	PRIJEM	VKLAD	36982	29534	\N	\N	\N
989769	3374	1996-08-12	PRIJEM	VKLAD	11523	8366	\N	\N	\N
989770	3374	1996-12-28	PRIJEM	VKLAD	22125	15951	\N	\N	\N
989771	3374	1997-12-24	PRIJEM	VKLAD	38780	34344	\N	\N	\N
989772	3374	1997-05-26	PRIJEM	VKLAD	23884	16945	\N	\N	\N
989773	3374	1997-03-04	PRIJEM	VKLAD	28346	27015	\N	\N	\N
989774	3374	1998-11-04	PRIJEM	VKLAD	39121	92166	\N	\N	\N
989775	3374	1998-07-10	PRIJEM	VKLAD	15860	69349	\N	\N	\N
989776	3374	1998-10-23	PRIJEM	VKLAD	47568	57748	\N	\N	\N
989777	3374	1998-07-12	PRIJEM	VKLAD	49893	119242	\N	\N	\N
989778	3374	1998-07-23	PRIJEM	VKLAD	20952	69194	\N	\N	\N
989779	3374	1998-06-28	PRIJEM	VKLAD	9181	22891	\N	\N	\N
989780	3374	1998-05-31	PRIJEM	VKLAD	49024	101179	\N	\N	\N
989781	3374	1998-12-29	PRIJEM	VKLAD	32101	72555	\N	\N	\N
989782	3374	1998-04-15	PRIJEM	VKLAD	32787	47016	\N	\N	\N
989783	3374	1998-11-16	PRIJEM	VKLAD	43323	126789	\N	\N	\N
989784	3374	1998-04-26	PRIJEM	VKLAD	19894	35205	\N	\N	\N
989785	3374	1998-12-24	PRIJEM	VKLAD	27324	43154	\N	\N	\N
989786	3374	1998-10-02	PRIJEM	VKLAD	11280	23180	\N	\N	\N
989787	3374	1998-03-11	PRIJEM	VKLAD	43160	52331	\N	\N	\N
989788	3374	1998-02-07	PRIJEM	VKLAD	49059	55877	\N	\N	\N
989789	3374	1998-09-01	PRIJEM	VKLAD	25475	45895	\N	\N	\N
989790	3374	1998-07-06	PRIJEM	VKLAD	45661	63089	\N	\N	\N
989791	3374	1998-05-24	PRIJEM	VKLAD	46772	59755	\N	\N	\N
989796	3374	1993-05-10	VYDAJ	VYBER	4700	85244	SIPO	\N	0
989797	3374	1993-06-08	VYDAJ	VYBER	6600	78839	SIPO	\N	0
989798	3374	1993-07-12	VYDAJ	VYBER	5000	81471	SIPO	\N	0
989799	3374	1993-07-31	VYDAJ	VYBER	6100	80904	SIPO	\N	0
989800	3374	1993-09-13	VYDAJ	VYBER	7200	81390	SIPO	\N	0
989801	3374	1993-10-12	VYDAJ	VYBER	5700	90472	SIPO	\N	0
989802	3374	1993-11-03	VYDAJ	VYBER	5300	73647	SIPO	\N	0
989803	3374	1993-12-16	VYDAJ	VYBER	7200	28871	SIPO	\N	0
989804	3374	1994-01-08	VYDAJ	VYBER	6100	16290	SIPO	\N	0
989805	3374	1994-02-11	VYDAJ	VYBER	6400	33579	SIPO	\N	0
989806	3374	1994-03-14	VYDAJ	VYBER	5400	23813	SIPO	\N	0
989807	3374	1994-04-05	VYDAJ	VYBER	6000	17915	SIPO	\N	0
989808	3374	1994-05-09	VYDAJ	VYBER	5600	12602	SIPO	\N	0
989809	3374	1994-06-08	VYDAJ	VYBER	5500	12359	SIPO	\N	0
989810	3374	1994-07-02	VYDAJ	VYBER	4800	23514	SIPO	\N	0
989811	3374	1994-08-05	VYDAJ	VYBER	7200	36626	SIPO	\N	0
989812	3374	1994-09-11	VYDAJ	VYBER	6900	87265	SIPO	\N	0
989813	3374	1994-10-12	VYDAJ	VYBER	7200	34065	SIPO	\N	0
989814	3374	1994-11-11	VYDAJ	VYBER	6600	15922	SIPO	\N	0
989815	3374	1994-12-04	VYDAJ	VYBER	6100	2584	SIPO	\N	0
989816	3374	1995-01-17	VYDAJ	VYBER	6500	5508	SIPO	\N	0
989818	3374	1995-03-01	VYDAJ	VYBER	7200	59835	SIPO	\N	0
989819	3374	1995-03-30	VYDAJ	VYBER	7000	14535	SIPO	\N	0
989820	3374	1995-05-06	VYDAJ	VYBER	4900	-6218	SIPO	\N	0
989822	3374	1995-07-13	VYDAJ	VYBER	6700	10034	SIPO	\N	0
989823	3374	1995-08-18	VYDAJ	VYBER	5800	-2654	SIPO	\N	0
989836	3374	1996-09-10	VYDAJ	VYBER	5900	-5976	SIPO	\N	0
989842	3374	1997-03-04	VYDAJ	VYBER	5500	21515	SIPO	\N	0
989843	3374	1997-04-13	VYDAJ	VYBER	5300	-444	SIPO	\N	0
989844	3374	1997-04-30	VYDAJ	VYBER	6500	-6939	SIPO	\N	0
989845	3374	1997-06-02	VYDAJ	VYBER	5300	2278	SIPO	\N	0
989852	3374	1998-01-09	VYDAJ	VYBER	4600	6795	SIPO	\N	0
989853	3374	1998-02-14	VYDAJ	VYBER	6000	42577	SIPO	\N	0
989854	3374	1998-03-03	VYDAJ	VYBER	5600	16371	SIPO	\N	0
989855	3374	1998-03-31	VYDAJ	VYBER	4800	14229	SIPO	\N	0
989856	3374	1998-04-30	VYDAJ	VYBER	7400	27898	SIPO	\N	0
989857	3374	1998-05-30	VYDAJ	VYBER	7600	52155	SIPO	\N	0
989858	3374	1998-06-29	VYDAJ	VYBER	5600	17291	SIPO	\N	0
989859	3374	1998-08-03	VYDAJ	VYBER	6100	54248	SIPO	\N	0
989860	3374	1998-09-12	VYDAJ	VYBER	5000	31095	SIPO	\N	0
989861	3374	1998-10-17	VYDAJ	VYBER	5800	10180	SIPO	\N	0
989862	3374	1998-11-02	VYDAJ	VYBER	4800	53045	SIPO	\N	0
989863	3374	1998-12-16	VYDAJ	VYBER	5300	15830	SIPO	\N	0
989868	3374	1993-05-07	VYDAJ	VYBER	8000	89944	 	\N	0
989869	3374	1993-05-31	VYDAJ	VYBER	9000	68639	 	\N	0
989870	3374	1993-07-16	VYDAJ	VYBER	6100	84889	 	\N	0
989871	3374	1993-07-29	VYDAJ	VYBER	9200	86721	 	\N	0
989872	3374	1993-09-12	VYDAJ	VYBER	7200	88590	 	\N	0
989873	3374	1993-10-09	VYDAJ	VYBER	6500	96172	 	\N	0
989874	3374	1993-11-16	VYDAJ	VYBER	7200	48947	 	\N	0
989875	3374	1993-11-28	VYDAJ	VYBER	9500	39447	 	\N	0
989876	3374	1994-01-14	VYDAJ	VYBER	8300	18890	 	\N	0
989877	3374	1994-02-10	VYDAJ	VYBER	9700	39979	 	\N	0
989878	3374	1994-03-01	VYDAJ	VYBER	6100	21113	 	\N	0
989879	3374	1994-04-15	VYDAJ	VYBER	9200	19215	 	\N	0
989880	3374	1994-04-30	VYDAJ	VYBER	8700	10605	 	\N	0
989881	3374	1994-06-10	VYDAJ	VYBER	8300	4059	 	\N	0
989882	3374	1994-06-27	VYDAJ	VYBER	9700	28256	 	\N	0
989883	3374	1994-08-15	VYDAJ	VYBER	6800	26226	 	\N	0
989884	3374	1994-09-06	VYDAJ	VYBER	9300	61076	 	\N	0
989885	3374	1994-10-06	VYDAJ	VYBER	9800	53965	 	\N	0
989886	3374	1994-11-01	VYDAJ	VYBER	9300	17122	 	\N	0
989887	3374	1994-11-29	VYDAJ	VYBER	7300	8622	 	\N	0
989888	3374	1995-01-05	VYDAJ	VYBER	8300	1608	 	\N	0
989889	3374	1995-02-15	VYDAJ	VYBER	9500	-3974	 	\N	0
989890	3374	1995-03-14	VYDAJ	VYBER	6500	21535	 	\N	0
989891	3374	1995-04-14	VYDAJ	VYBER	8600	5762	 	\N	0
989892	3374	1995-04-28	VYDAJ	VYBER	7100	-1338	 	\N	0
989893	3374	1995-06-07	VYDAJ	VYBER	8400	-7434	 	\N	0
989894	3374	1995-07-11	VYDAJ	VYBER	7000	16734	 	\N	0
989895	3374	1995-08-02	VYDAJ	VYBER	7500	2546	 	\N	0
989908	3374	1996-09-04	VYDAJ	VYBER	8400	-76	 	\N	0
989912	3374	1997-01-10	VYDAJ	VYBER	7400	-1313	 	\N	0
989914	3374	1997-03-06	VYDAJ	VYBER	7100	14415	 	\N	0
989915	3374	1997-04-12	VYDAJ	VYBER	9600	4856	 	\N	0
989917	3374	1997-06-08	VYDAJ	VYBER	6400	-4122	 	\N	0
989924	3374	1998-01-02	VYDAJ	VYBER	9400	15595	 	\N	0
989925	3374	1998-02-10	VYDAJ	VYBER	7300	48577	 	\N	0
989926	3374	1998-03-04	VYDAJ	VYBER	7200	9171	 	\N	0
989927	3374	1998-04-16	VYDAJ	VYBER	8400	38616	 	\N	0
989928	3374	1998-05-02	VYDAJ	VYBER	8700	19183	 	\N	0
989929	3374	1998-06-14	VYDAJ	VYBER	6300	29810	 	\N	0
989930	3374	1998-07-08	VYDAJ	VYBER	9600	53489	 	\N	0
989931	3374	1998-07-30	VYDAJ	VYBER	9100	60094	 	\N	0
989932	3374	1998-09-01	VYDAJ	VYBER	9800	36095	 	\N	0
989933	3374	1998-10-03	VYDAJ	VYBER	7200	15980	 	\N	0
989934	3374	1998-11-07	VYDAJ	VYBER	8700	83466	 	\N	0
989935	3374	1998-12-08	VYDAJ	VYBER	8600	21130	 	\N	0
989938	3374	1993-11-01	VYBER	VYBER	5758	95180	\N	\N	\N
989939	3374	1993-05-15	VYBER	VYBER	23997	55247	\N	\N	\N
989940	3374	1994-10-05	VYBER	VYBER	23840	63765	\N	\N	\N
989946	3374	1998-04-21	VYBER	VYBER	11105	27511	\N	\N	\N
989952	3374	1998-06-06	VYDAJ	VYBER	20100	36110	\N	\N	\N
989958	3374	1998-01-01	VYDAJ	VYBER	9300	24995	\N	\N	\N
989959	3374	1993-12-23	VYDAJ	VYBER	6600	22271	\N	\N	\N
989964	3374	1998-12-25	VYDAJ	VYBER	2700	40454	\N	\N	\N
989972	3374	1994-01-27	VYDAJ	VYBER	6300	49557	\N	\N	\N
989976	3374	1994-01-25	VYDAJ	VYBER	1800	55857	\N	\N	\N
989999	3374	1998-01-04	VYDAJ	VYBER	4200	11395	\N	\N	\N
990001	3374	1993-08-29	VYDAJ	VYBER	8100	95440	\N	\N	\N
990003	3374	1993-05-10	VYDAJ	VYBER	6000	79244	\N	\N	\N
990004	3374	1993-08-09	VYDAJ	VYBER	9900	63465	\N	\N	\N
990005	3374	1993-07-20	VYDAJ	VYBER	5700	51789	\N	\N	\N
990007	3374	1993-06-28	VYDAJ	VYBER	11100	60904	\N	\N	\N
990008	3374	1994-10-16	VYDAJ	VYBER	7800	26265	\N	\N	\N
990011	3374	1994-02-25	VYDAJ	VYBER	1500	27079	\N	\N	\N
990014	3374	1995-03-10	VYDAJ	VYBER	10200	28035	\N	\N	\N
990033	3374	1998-03-16	VYDAJ	VYBER	12600	39731	\N	\N	\N
990039	3374	1993-04-30	VYDAJ	VYBER	15	97944	SLUZBY	\N	\N
990040	3374	1993-05-31	VYDAJ	VYBER	15	68624	SLUZBY	\N	\N
990041	3374	1993-06-30	VYDAJ	VYBER	15	61189	SLUZBY	\N	\N
990042	3374	1993-07-31	VYDAJ	VYBER	15	87004	SLUZBY	\N	\N
990043	3374	1993-08-31	VYDAJ	VYBER	15	95790	SLUZBY	\N	\N
990044	3374	1993-09-30	VYDAJ	VYBER	15	56683	SLUZBY	\N	\N
990045	3374	1993-10-31	VYDAJ	VYBER	15	100938	SLUZBY	\N	\N
990046	3374	1993-11-30	VYDAJ	VYBER	15	39771	SLUZBY	\N	\N
990047	3374	1993-12-31	VYDAJ	VYBER	15	22390	SLUZBY	\N	\N
990048	3374	1994-01-31	VYDAJ	VYBER	15	49679	SLUZBY	\N	\N
990049	3374	1994-02-28	VYDAJ	VYBER	15	27213	SLUZBY	\N	\N
990050	3374	1994-03-31	VYDAJ	VYBER	15	23915	SLUZBY	\N	\N
990051	3374	1994-04-30	VYDAJ	VYBER	15	10590	SLUZBY	\N	\N
990052	3374	1994-05-31	VYDAJ	VYBER	15	17859	SLUZBY	\N	\N
990053	3374	1994-06-30	VYDAJ	VYBER	15	28314	SLUZBY	\N	\N
990054	3374	1994-07-31	VYDAJ	VYBER	15	43826	SLUZBY	\N	\N
990055	3374	1994-08-31	VYDAJ	VYBER	15	70376	SLUZBY	\N	\N
990056	3374	1994-09-30	VYDAJ	VYBER	15	87605	SLUZBY	\N	\N
990057	3374	1994-10-31	VYDAJ	VYBER	15	26422	SLUZBY	\N	\N
990058	3374	1994-11-30	VYDAJ	VYBER	15	8684	SLUZBY	\N	\N
990059	3374	1994-12-31	VYDAJ	VYBER	15	9908	SLUZBY	\N	\N
990060	3374	1995-01-31	VYDAJ	VYBER	15	5527	SLUZBY	\N	\N
990061	3374	1995-02-28	VYDAJ	VYBER	15	67035	SLUZBY	\N	\N
990062	3374	1995-03-31	VYDAJ	VYBER	15	14662	SLUZBY	\N	\N
990063	3374	1995-04-30	VYDAJ	VYBER	15	-1316	SLUZBY	\N	\N
990064	3374	1995-05-31	VYDAJ	VYBER	15	970	SLUZBY	\N	\N
990065	3374	1995-06-30	VYDAJ	VYBER	15	-7448	SLUZBY	\N	\N
990066	3374	1995-07-31	VYDAJ	VYBER	15	10061	SLUZBY	\N	\N
990067	3374	1995-08-31	VYDAJ	VYBER	15	-2657	SLUZBY	\N	\N
990068	3374	1995-09-30	VYDAJ	VYBER	15	-2685	SLUZBY	\N	\N
990069	3374	1995-10-31	VYDAJ	VYBER	15	-2729	SLUZBY	\N	\N
990070	3374	1995-11-30	VYDAJ	VYBER	15	-2803	SLUZBY	\N	\N
990071	3374	1995-12-31	VYDAJ	VYBER	15	-2847	SLUZBY	\N	\N
990072	3374	1996-01-31	VYDAJ	VYBER	15	-2861	SLUZBY	\N	\N
990073	3374	1996-02-29	VYDAJ	VYBER	15	-2936	SLUZBY	\N	\N
990074	3374	1996-03-31	VYDAJ	VYBER	15	-2951	SLUZBY	\N	\N
990075	3374	1996-04-30	VYDAJ	VYBER	15	-2996	SLUZBY	\N	\N
990076	3374	1996-05-31	VYDAJ	VYBER	15	-3039	SLUZBY	\N	\N
990077	3374	1996-06-30	VYDAJ	VYBER	15	-3113	SLUZBY	\N	\N
990078	3374	1996-07-31	VYDAJ	VYBER	15	-3157	SLUZBY	\N	\N
990079	3374	1996-08-31	VYDAJ	VYBER	15	8324	SLUZBY	\N	\N
990080	3374	1996-09-30	VYDAJ	VYBER	15	-6022	SLUZBY	\N	\N
990081	3374	1996-10-31	VYDAJ	VYBER	15	-6037	SLUZBY	\N	\N
990082	3374	1996-11-30	VYDAJ	VYBER	15	-6174	SLUZBY	\N	\N
990083	3374	1996-12-31	VYDAJ	VYBER	15	6139	SLUZBY	\N	\N
990084	3374	1997-01-31	VYDAJ	VYBER	15	-1303	SLUZBY	\N	\N
990085	3374	1997-02-28	VYDAJ	VYBER	15	-1331	SLUZBY	\N	\N
990086	3374	1997-03-31	VYDAJ	VYBER	15	14457	SLUZBY	\N	\N
990087	3374	1997-04-30	VYDAJ	VYBER	15	-439	SLUZBY	\N	\N
990088	3374	1997-05-31	VYDAJ	VYBER	15	7635	SLUZBY	\N	\N
990089	3374	1997-06-30	VYDAJ	VYBER	15	-4129	SLUZBY	\N	\N
990090	3374	1997-07-31	VYDAJ	VYBER	15	-4215	SLUZBY	\N	\N
990091	3374	1997-08-31	VYDAJ	VYBER	15	-4229	SLUZBY	\N	\N
990092	3374	1997-09-30	VYDAJ	VYBER	15	-4326	SLUZBY	\N	\N
990093	3374	1997-10-31	VYDAJ	VYBER	15	-4340	SLUZBY	\N	\N
990094	3374	1997-11-30	VYDAJ	VYBER	15	-4436	SLUZBY	\N	\N
990095	3374	1997-12-31	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
990096	3374	1998-01-31	VYDAJ	VYBER	15	6818	SLUZBY	\N	\N
990097	3374	1998-02-28	VYDAJ	VYBER	15	21971	SLUZBY	\N	\N
990098	3374	1998-03-31	VYDAJ	VYBER	15	19029	SLUZBY	\N	\N
990099	3374	1998-04-30	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
990100	3374	1998-05-31	VYDAJ	VYBER	15	56210	SLUZBY	\N	\N
990101	3374	1998-06-30	VYDAJ	VYBER	15	17428	SLUZBY	\N	\N
990102	3374	1998-07-31	VYDAJ	VYBER	15	60348	SLUZBY	\N	\N
990103	3374	1998-08-31	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
990104	3374	1998-09-30	VYDAJ	VYBER	15	11900	SLUZBY	\N	\N
990105	3374	1998-10-31	VYDAJ	VYBER	15	57845	SLUZBY	\N	\N
990106	3374	1998-11-30	VYDAJ	VYBER	15	29730	SLUZBY	\N	\N
990107	3374	1993-03-19	PRIJEM	VKLAD	1600	26584	\N	\N	\N
990108	3374	1993-04-18	VYDAJ	VYBER	3200	32484	\N	\N	\N
990109	3374	1993-04-24	VYDAJ	VYBER	23700	102227	\N	\N	\N
990110	3374	1993-04-30	VYDAJ	VYBER	43700	97959	\N	\N	\N
990111	3374	1993-05-18	VYDAJ	VYBER	12600	42647	\N	\N	\N
990112	3374	1993-06-04	VYDAJ	VYBER	17300	85439	\N	\N	\N
990113	3374	1993-06-17	VYDAJ	VYBER	29700	49139	\N	\N	\N
990114	3374	1993-06-18	VYDAJ	VYBER	59100	54973	\N	\N	\N
990115	3374	1993-07-14	VYDAJ	VYBER	39500	90989	\N	\N	\N
990116	3374	1993-07-17	VYDAJ	VYBER	27400	57489	\N	\N	\N
990117	3374	1993-08-02	VYDAJ	VYBER	21800	108364	\N	\N	\N
990118	3374	1993-08-03	VYDAJ	VYBER	61500	61488	\N	\N	\N
990119	3374	1993-08-16	VYDAJ	VYBER	38100	65620	\N	\N	\N
990120	3374	1993-09-15	VYDAJ	VYBER	25000	56390	\N	\N	\N
990121	3374	1993-10-14	VYDAJ	VYBER	46200	76803	\N	\N	\N
990122	3374	1993-10-15	VYDAJ	VYBER	25200	51603	\N	\N	\N
990123	3374	1993-11-03	VYDAJ	VYBER	50000	78947	\N	\N	\N
990124	3374	1993-11-14	VYDAJ	VYBER	17500	56147	\N	\N	\N
990125	3374	1993-12-14	VYDAJ	VYBER	3700	36071	\N	\N	\N
990126	3374	1994-01-13	PRIJEM	VKLAD	10900	27190	\N	\N	\N
990127	3374	1994-02-12	VYDAJ	VYBER	5000	28579	\N	\N	\N
990128	3374	1994-03-14	PRIJEM	VKLAD	8100	29213	\N	\N	\N
990129	3374	1994-04-13	PRIJEM	VKLAD	10500	28415	\N	\N	\N
990130	3374	1994-05-13	PRIJEM	VKLAD	5200	17802	\N	\N	\N
990131	3374	1994-06-12	PRIJEM	VKLAD	10600	14659	\N	\N	\N
990132	3374	1994-07-12	VYDAJ	VYBER	200	23314	\N	\N	\N
990133	3374	1994-08-11	VYDAJ	VYBER	3600	33026	\N	\N	\N
990134	3374	1994-09-10	VYDAJ	VYBER	14200	46876	\N	\N	\N
990135	3374	1994-10-10	VYDAJ	VYBER	12700	41265	\N	\N	\N
990136	3374	1994-11-09	PRIJEM	VKLAD	5400	22522	\N	\N	\N
990137	3374	1994-12-09	PRIJEM	VKLAD	7300	9884	\N	\N	\N
990138	3374	1995-01-08	PRIJEM	VKLAD	10400	12008	\N	\N	\N
990139	3374	1995-03-09	VYDAJ	VYBER	21600	38235	\N	\N	\N
990140	3374	1995-04-08	VYDAJ	VYBER	300	14362	\N	\N	\N
990141	3374	1995-05-08	PRIJEM	VKLAD	7200	982	\N	\N	\N
990142	3374	1995-07-07	VYDAJ	VYBER	5800	23734	\N	\N	\N
990143	3374	1995-08-06	PRIJEM	VKLAD	600	3146	\N	\N	\N
990144	3374	1996-12-28	VYDAJ	VYBER	9800	6151	\N	\N	\N
990145	3374	1997-05-27	VYDAJ	VYBER	9300	7645	\N	\N	\N
990146	3374	1998-02-21	VYDAJ	VYBER	20700	21877	\N	\N	\N
990147	3374	1998-03-23	VYDAJ	VYBER	20800	18931	\N	\N	\N
990148	3374	1998-04-22	VYDAJ	VYBER	12200	15311	\N	\N	\N
990149	3374	1998-05-22	VYDAJ	VYBER	6200	12983	\N	\N	\N
990150	3374	1998-05-31	VYDAJ	VYBER	45100	56224	\N	\N	\N
990151	3374	1998-06-21	VYDAJ	VYBER	16100	13710	\N	\N	\N
990152	3374	1998-07-12	VYDAJ	VYBER	16200	103042	\N	\N	\N
990153	3374	1998-07-21	VYDAJ	VYBER	54800	48242	\N	\N	\N
990154	3374	1998-08-20	VYDAJ	VYBER	34000	20248	\N	\N	\N
990155	3374	1998-09-19	VYDAJ	VYBER	19300	11795	\N	\N	\N
990156	3374	1998-11-16	VYDAJ	VYBER	58700	68089	\N	\N	\N
990157	3374	1998-11-18	VYDAJ	VYBER	38600	29489	\N	\N	\N
990237	3375	1997-01-15	PRIJEM	VKLAD	800	800	\N	\N	\N
990239	3375	1997-02-14	PRIJEM	VKLAD	10894	11694	\N	\N	\N
990240	3375	1997-03-14	PRIJEM	VKLAD	10894	29028	\N	\N	\N
990241	3375	1997-04-14	PRIJEM	VKLAD	10894	39320	\N	\N	\N
990242	3375	1997-05-14	PRIJEM	VKLAD	10894	39532	\N	\N	\N
990243	3375	1997-06-14	PRIJEM	VKLAD	16341	44591	\N	\N	\N
990244	3375	1997-07-14	PRIJEM	VKLAD	10894	20710	\N	\N	\N
990245	3375	1997-08-14	PRIJEM	VKLAD	10894	34147	\N	\N	\N
990246	3375	1997-09-14	PRIJEM	VKLAD	10894	43545	\N	\N	\N
990247	3375	1997-10-14	PRIJEM	VKLAD	10894	47171	\N	\N	\N
990248	3375	1997-11-14	PRIJEM	VKLAD	10894	56233	\N	\N	\N
990249	3375	1997-12-14	PRIJEM	VKLAD	16341	61171	\N	\N	\N
990250	3375	1998-01-14	PRIJEM	VKLAD	10894	60588	\N	\N	\N
990251	3375	1998-02-14	PRIJEM	VKLAD	10894	59804	\N	\N	\N
990252	3375	1998-03-14	PRIJEM	VKLAD	10894	61629	\N	\N	\N
990253	3375	1998-04-14	PRIJEM	VKLAD	10894	62760	\N	\N	\N
990254	3375	1998-05-14	PRIJEM	VKLAD	10894	65799	\N	\N	\N
990255	3375	1998-06-14	PRIJEM	VKLAD	16341	65695	\N	\N	\N
990256	3375	1998-07-14	PRIJEM	VKLAD	10894	62533	\N	\N	\N
990257	3375	1998-08-14	PRIJEM	VKLAD	10894	63178	\N	\N	\N
990258	3375	1998-09-14	PRIJEM	VKLAD	10894	62220	\N	\N	\N
990259	3375	1998-10-14	PRIJEM	VKLAD	10894	59560	\N	\N	\N
990260	3375	1998-11-14	PRIJEM	VKLAD	10894	58993	\N	\N	\N
990261	3375	1998-12-14	PRIJEM	VKLAD	16341	61066	\N	\N	\N
990262	3375	1997-06-28	VYDAJ	VYBER	29300	4391	\N	\N	\N
990263	3375	1998-06-07	VYDAJ	VYBER	13000	52154	\N	\N	\N
990265	3375	1998-01-04	VYDAJ	VYBER	5400	54194	\N	\N	\N
990266	3375	1997-12-03	VYDAJ	VYBER	1300	52030	\N	\N	\N
990267	3375	1998-12-30	VYDAJ	VYBER KARTOU	600	60466	\N	\N	0
990274	3375	1998-01-08	VYDAJ	VYBER	700	53494	\N	\N	\N
990275	3375	1998-01-03	VYDAJ	VYBER	1800	59594	\N	\N	\N
990276	3375	1998-01-20	VYDAJ	VYBER	1000	58788	\N	\N	\N
990277	3375	1998-01-27	VYDAJ	VYBER	1400	57388	\N	\N	\N
990278	3375	1998-01-15	VYDAJ	VYBER	800	59788	\N	\N	\N
990279	3375	1998-01-09	VYDAJ	VYBER	1600	51894	\N	\N	\N
990280	3375	1997-11-16	VYDAJ	VYBER	3100	53133	\N	\N	\N
990281	3375	1997-09-18	VYDAJ	VYBER	4700	38845	\N	\N	\N
990282	3375	1997-08-27	VYDAJ	VYBER	1600	32547	\N	\N	\N
990285	3375	1998-06-02	VYDAJ	VYBER	900	65154	\N	\N	\N
990286	3375	1998-03-11	VYDAJ	VYBER	4400	55635	\N	\N	\N
990293	3375	1997-06-30	VYDAJ	VYBER	15	4516	SLUZBY	\N	\N
990294	3375	1997-07-31	VYDAJ	VYBER	15	20753	SLUZBY	\N	\N
990295	3375	1997-08-31	VYDAJ	VYBER	15	32651	SLUZBY	\N	\N
990296	3375	1997-09-30	VYDAJ	VYBER	15	38977	SLUZBY	\N	\N
990297	3375	1997-10-31	VYDAJ	VYBER	15	47339	SLUZBY	\N	\N
990298	3375	1997-11-30	VYDAJ	VYBER	15	53330	SLUZBY	\N	\N
990299	3375	1997-12-31	VYDAJ	VYBER	15	61394	SLUZBY	\N	\N
990300	3375	1998-01-31	VYDAJ	VYBER	15	57610	SLUZBY	\N	\N
990301	3375	1998-02-28	VYDAJ	VYBER	15	60035	SLUZBY	\N	\N
990302	3375	1998-03-31	VYDAJ	VYBER	15	61866	SLUZBY	\N	\N
990303	3375	1998-04-30	VYDAJ	VYBER	15	63005	SLUZBY	\N	\N
990304	3375	1998-05-31	VYDAJ	VYBER	15	66054	SLUZBY	\N	\N
990305	3375	1998-06-30	VYDAJ	VYBER	15	65939	SLUZBY	\N	\N
990306	3375	1998-07-31	VYDAJ	VYBER	15	62784	SLUZBY	\N	\N
990307	3375	1998-08-31	VYDAJ	VYBER	15	63426	SLUZBY	\N	\N
990308	3375	1998-09-30	VYDAJ	VYBER	15	62466	SLUZBY	\N	\N
990309	3375	1998-10-31	VYDAJ	VYBER	15	59799	SLUZBY	\N	\N
990310	3375	1998-11-30	VYDAJ	VYBER	15	59225	SLUZBY	\N	\N
990311	3375	1997-02-14	PRIJEM	VKLAD	6400	18094	\N	\N	\N
990312	3375	1997-03-16	VYDAJ	VYBER	700	28328	\N	\N	\N
990313	3375	1997-04-15	VYDAJ	VYBER	10800	28520	\N	\N	\N
990314	3375	1997-05-15	VYDAJ	VYBER	11400	28132	\N	\N	\N
990315	3375	1997-06-14	VYDAJ	VYBER	10900	33691	\N	\N	\N
990316	3375	1997-07-14	PRIJEM	VKLAD	5300	9816	\N	\N	\N
990317	3375	1997-08-13	PRIJEM	VKLAD	2500	23253	\N	\N	\N
990318	3375	1997-10-12	VYDAJ	VYBER	2700	36277	\N	\N	\N
990319	3375	1997-11-11	VYDAJ	VYBER	2000	45339	\N	\N	\N
990320	3375	1997-12-11	VYDAJ	VYBER	7200	44830	\N	\N	\N
990321	3375	1998-01-10	VYDAJ	VYBER	2200	49694	\N	\N	\N
990322	3375	1998-02-09	VYDAJ	VYBER	8700	48910	\N	\N	\N
990323	3375	1998-03-11	VYDAJ	VYBER	4900	50735	\N	\N	\N
990324	3375	1998-04-10	VYDAJ	VYBER	10000	51866	\N	\N	\N
990325	3375	1998-05-10	VYDAJ	VYBER	8100	54905	\N	\N	\N
990326	3375	1998-06-09	VYDAJ	VYBER	2800	49354	\N	\N	\N
990327	3375	1998-07-09	VYDAJ	VYBER	14300	51639	\N	\N	\N
990328	3375	1998-08-08	VYDAJ	VYBER	10500	52284	\N	\N	\N
990329	3375	1998-09-07	VYDAJ	VYBER	12100	51326	\N	\N	\N
990330	3375	1998-10-07	VYDAJ	VYBER	13800	48666	\N	\N	\N
990331	3375	1998-11-06	VYDAJ	VYBER	11700	48099	\N	\N	\N
990332	3375	1998-12-06	VYDAJ	VYBER	14500	44725	\N	\N	\N
990356	3376	1996-11-17	PRIJEM	VKLAD	300	300	\N	\N	\N
990368	3376	1996-12-08	PRIJEM	VKLAD	29268	29568	\N	\N	\N
990369	3376	1997-01-08	PRIJEM	VKLAD	19512	46534	\N	\N	\N
990370	3376	1997-02-08	PRIJEM	VKLAD	19512	54776	\N	\N	\N
990371	3376	1997-03-08	PRIJEM	VKLAD	19512	60948	\N	\N	\N
990372	3376	1997-04-08	PRIJEM	VKLAD	19512	64138	\N	\N	\N
990373	3376	1997-05-08	PRIJEM	VKLAD	19512	59028	\N	\N	\N
990374	3376	1997-06-08	PRIJEM	VKLAD	29268	64105	\N	\N	\N
990375	3376	1997-07-08	PRIJEM	VKLAD	19512	56992	\N	\N	\N
990376	3376	1997-08-08	PRIJEM	VKLAD	19512	55763	\N	\N	\N
990377	3376	1997-09-08	PRIJEM	VKLAD	19512	48475	\N	\N	\N
990378	3376	1997-10-08	PRIJEM	VKLAD	19512	52420	\N	\N	\N
990379	3376	1997-11-08	PRIJEM	VKLAD	19512	49843	\N	\N	\N
990380	3376	1997-12-08	PRIJEM	VKLAD	29268	56124	\N	\N	\N
990381	3376	1998-01-08	PRIJEM	VKLAD	19512	39456	\N	\N	\N
990382	3376	1998-02-08	PRIJEM	VKLAD	19512	41150	\N	\N	\N
990383	3376	1998-03-08	PRIJEM	VKLAD	19512	38389	\N	\N	\N
990384	3376	1998-04-08	PRIJEM	VKLAD	19512	41083	\N	\N	\N
990385	3376	1998-05-08	PRIJEM	VKLAD	19512	44789	\N	\N	\N
990386	3376	1998-06-08	PRIJEM	VKLAD	29268	52638	\N	\N	\N
990387	3376	1998-07-08	PRIJEM	VKLAD	19512	41087	\N	\N	\N
990388	3376	1998-08-08	PRIJEM	VKLAD	19512	36468	\N	\N	\N
990389	3376	1998-09-08	PRIJEM	VKLAD	19512	39578	\N	\N	\N
990390	3376	1998-10-08	PRIJEM	VKLAD	19512	38564	\N	\N	\N
990391	3376	1998-11-08	PRIJEM	VKLAD	19512	35117	\N	\N	\N
990392	3376	1998-12-08	PRIJEM	VKLAD	29268	52181	\N	\N	\N
990408	3376	1997-04-09	VYDAJ	PREVOD NA UCET	6794	57344	SIPO	MN	78656208
990409	3376	1997-05-09	VYDAJ	PREVOD NA UCET	6794	52234	SIPO	MN	78656208
990410	3376	1997-06-09	VYDAJ	PREVOD NA UCET	6794	57311	SIPO	MN	78656208
990411	3376	1997-07-09	VYDAJ	PREVOD NA UCET	6794	50198	SIPO	MN	78656208
990412	3376	1997-08-09	VYDAJ	PREVOD NA UCET	6794	48969	SIPO	MN	78656208
990413	3376	1997-09-09	VYDAJ	PREVOD NA UCET	6794	41681	SIPO	MN	78656208
990414	3376	1997-10-09	VYDAJ	PREVOD NA UCET	6794	45626	SIPO	MN	78656208
990415	3376	1997-11-09	VYDAJ	PREVOD NA UCET	6794	43049	SIPO	MN	78656208
990416	3376	1997-12-09	VYDAJ	PREVOD NA UCET	6794	49330	SIPO	MN	78656208
990417	3376	1998-01-09	VYDAJ	PREVOD NA UCET	6794	32662	SIPO	MN	78656208
990418	3376	1998-02-09	VYDAJ	PREVOD NA UCET	6794	34356	SIPO	MN	78656208
990419	3376	1998-03-09	VYDAJ	PREVOD NA UCET	6794	31595	SIPO	MN	78656208
990420	3376	1998-04-09	VYDAJ	PREVOD NA UCET	6794	34289	SIPO	MN	78656208
990421	3376	1998-05-09	VYDAJ	PREVOD NA UCET	6794	37995	SIPO	MN	78656208
990422	3376	1998-06-09	VYDAJ	PREVOD NA UCET	6794	45844	SIPO	MN	78656208
990423	3376	1998-07-09	VYDAJ	PREVOD NA UCET	6794	34293	SIPO	MN	78656208
990424	3376	1998-08-09	VYDAJ	PREVOD NA UCET	6794	19974	SIPO	MN	78656208
990425	3376	1998-09-09	VYDAJ	PREVOD NA UCET	6794	18984	SIPO	MN	78656208
990426	3376	1998-10-09	VYDAJ	PREVOD NA UCET	6794	17670	SIPO	MN	78656208
990427	3376	1998-11-09	VYDAJ	PREVOD NA UCET	6794	28323	SIPO	MN	78656208
990428	3376	1998-12-09	VYDAJ	PREVOD NA UCET	6794	45387	SIPO	MN	78656208
990430	3376	1997-06-03	VYDAJ	VYBER	4960	34837	\N	\N	\N
990436	3376	1997-12-18	VYDAJ	VYBER	3520	19850	\N	\N	\N
990437	3376	1998-12-21	VYDAJ	VYBER	2080	43307	\N	\N	\N
990445	3376	1997-12-17	VYDAJ	VYBER	5160	23370	\N	\N	\N
990446	3376	1997-07-02	VYDAJ	VYBER	2400	37480	\N	\N	\N
990448	3376	1997-09-01	VYDAJ	VYBER	2640	28963	\N	\N	\N
990449	3376	1997-10-21	VYDAJ	VYBER	1920	30206	\N	\N	\N
990451	3376	1998-10-14	VYDAJ	VYBER	3120	14550	\N	\N	\N
990452	3376	1998-08-05	VYDAJ	VYBER	4200	16956	\N	\N	\N
990453	3376	1998-05-20	VYDAJ	VYBER	5520	23275	\N	\N	\N
990454	3376	1998-02-23	VYDAJ	VYBER	5760	18796	\N	\N	\N
990455	3376	1998-06-24	VYDAJ	VYBER	5760	21484	\N	\N	\N
990456	3376	1998-07-29	VYDAJ	VYBER	3120	21073	\N	\N	\N
990473	3376	1997-04-30	VYDAJ	VYBER	15	39516	SLUZBY	\N	\N
990474	3376	1997-05-31	VYDAJ	VYBER	15	39797	SLUZBY	\N	\N
990475	3376	1997-06-30	VYDAJ	VYBER	15	39880	SLUZBY	\N	\N
990476	3376	1997-07-31	VYDAJ	VYBER	15	36251	SLUZBY	\N	\N
990477	3376	1997-08-31	VYDAJ	VYBER	15	31603	SLUZBY	\N	\N
990478	3376	1997-09-30	VYDAJ	VYBER	15	32908	SLUZBY	\N	\N
990479	3376	1997-10-31	VYDAJ	VYBER	15	30331	SLUZBY	\N	\N
990480	3376	1997-11-30	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
990481	3376	1997-12-31	VYDAJ	VYBER	15	19944	SLUZBY	\N	\N
990482	3376	1998-01-31	VYDAJ	VYBER	15	21638	SLUZBY	\N	\N
990483	3376	1998-02-28	VYDAJ	VYBER	15	18877	SLUZBY	\N	\N
990484	3376	1998-03-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
990485	3376	1998-04-30	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
990486	3376	1998-05-31	VYDAJ	VYBER	15	23370	SLUZBY	\N	\N
990487	3376	1998-06-30	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
990488	3376	1998-07-31	VYDAJ	VYBER	15	21156	SLUZBY	\N	\N
990489	3376	1998-08-31	VYDAJ	VYBER	15	20066	SLUZBY	\N	\N
990490	3376	1998-09-30	VYDAJ	VYBER	15	19052	SLUZBY	\N	\N
990491	3376	1998-10-31	VYDAJ	VYBER	15	14605	SLUZBY	\N	\N
990492	3376	1998-11-30	VYDAJ	VYBER	15	28413	SLUZBY	\N	\N
990493	3376	1996-12-17	VYDAJ	VYBER	2600	26968	\N	\N	\N
990494	3376	1997-01-16	VYDAJ	VYBER	11400	35134	\N	\N	\N
990495	3376	1997-02-15	VYDAJ	VYBER	13500	41276	\N	\N	\N
990496	3376	1997-03-17	VYDAJ	VYBER	16500	44448	\N	\N	\N
990497	3376	1997-04-16	VYDAJ	VYBER	18000	39344	\N	\N	\N
990498	3376	1997-05-16	VYDAJ	VYBER	12600	39634	\N	\N	\N
990499	3376	1997-06-15	VYDAJ	VYBER	17600	39711	\N	\N	\N
990500	3376	1997-07-15	VYDAJ	VYBER	14100	36098	\N	\N	\N
990501	3376	1997-08-14	VYDAJ	VYBER	17500	31469	\N	\N	\N
990502	3376	1997-09-13	VYDAJ	VYBER	8900	32781	\N	\N	\N
990503	3376	1997-10-13	VYDAJ	VYBER	13500	32126	\N	\N	\N
990504	3376	1997-11-12	VYDAJ	VYBER	16300	26749	\N	\N	\N
990505	3376	1997-12-12	VYDAJ	VYBER	20800	28530	\N	\N	\N
990506	3376	1998-01-11	VYDAJ	VYBER	11100	21562	\N	\N	\N
990507	3376	1998-02-10	VYDAJ	VYBER	9800	24556	\N	\N	\N
990508	3376	1998-03-12	VYDAJ	VYBER	10100	21495	\N	\N	\N
990509	3376	1998-04-11	VYDAJ	VYBER	9100	25189	\N	\N	\N
990510	3376	1998-05-11	VYDAJ	VYBER	9200	28795	\N	\N	\N
990511	3376	1998-06-10	VYDAJ	VYBER	18600	27244	\N	\N	\N
990512	3376	1998-07-10	VYDAJ	VYBER	10100	24193	\N	\N	\N
990513	3376	1998-08-09	VYDAJ	VYBER	9700	26768	\N	\N	\N
990514	3376	1998-09-08	VYDAJ	VYBER	13800	25778	\N	\N	\N
990515	3376	1998-10-08	VYDAJ	VYBER	14100	24464	\N	\N	\N
990516	3376	1998-11-07	PRIJEM	VKLAD	1000	15605	\N	\N	\N
990517	3376	1998-12-07	VYDAJ	VYBER	5500	22913	\N	\N	\N
990543	3377	1996-12-02	PRIJEM	VKLAD	900	900	\N	\N	\N
990555	3377	1996-12-14	PRIJEM	VKLAD	31752	32652	\N	\N	\N
990556	3377	1997-01-14	PRIJEM	VKLAD	21168	54099	\N	\N	\N
990557	3377	1997-02-14	PRIJEM	VKLAD	21168	60253	\N	\N	\N
990558	3377	1997-03-14	PRIJEM	VKLAD	21168	63684	\N	\N	\N
990559	3377	1997-04-14	PRIJEM	VKLAD	21168	64374	\N	\N	\N
990560	3377	1997-05-14	PRIJEM	VKLAD	21168	62255	\N	\N	\N
990561	3377	1997-06-14	PRIJEM	VKLAD	31752	71797	\N	\N	\N
990562	3377	1997-07-14	PRIJEM	VKLAD	21168	67358	\N	\N	\N
990563	3377	1997-08-14	PRIJEM	VKLAD	21168	67555	\N	\N	\N
990564	3377	1997-09-14	PRIJEM	VKLAD	21168	65911	\N	\N	\N
990565	3377	1997-10-14	PRIJEM	VKLAD	21168	61633	\N	\N	\N
990566	3377	1997-11-14	PRIJEM	VKLAD	21168	57460	\N	\N	\N
990567	3377	1997-12-14	PRIJEM	VKLAD	31752	64634	\N	\N	\N
990568	3377	1998-01-14	PRIJEM	VKLAD	21168	38073	\N	\N	\N
990569	3377	1998-02-14	PRIJEM	VKLAD	21168	38554	\N	\N	\N
990570	3377	1998-03-14	PRIJEM	VKLAD	21168	48689	\N	\N	\N
990571	3377	1998-04-14	PRIJEM	VKLAD	21168	50362	\N	\N	\N
990572	3377	1998-05-14	PRIJEM	VKLAD	21168	50140	\N	\N	\N
990573	3377	1998-06-14	PRIJEM	VKLAD	31752	54896	\N	\N	\N
990574	3377	1998-07-14	PRIJEM	VKLAD	21168	52472	\N	\N	\N
990575	3377	1998-08-14	PRIJEM	VKLAD	21168	52655	\N	\N	\N
990576	3377	1998-09-14	PRIJEM	VKLAD	21168	54638	\N	\N	\N
990577	3377	1998-10-14	PRIJEM	VKLAD	21168	58630	\N	\N	\N
990578	3377	1998-11-14	PRIJEM	VKLAD	21168	57332	\N	\N	\N
990579	3377	1998-12-14	PRIJEM	VKLAD	31752	65113	\N	\N	\N
990596	3377	1997-05-09	VYDAJ	PREVOD NA UCET	3240	41087	SIPO	QR	72621738
990597	3377	1997-06-09	VYDAJ	PREVOD NA UCET	3240	40045	SIPO	QR	72621738
990598	3377	1997-07-09	VYDAJ	PREVOD NA UCET	3240	46190	SIPO	QR	72621738
990599	3377	1997-08-09	VYDAJ	PREVOD NA UCET	3240	46387	SIPO	QR	72621738
990600	3377	1997-09-09	VYDAJ	PREVOD NA UCET	3240	44743	SIPO	QR	72621738
990601	3377	1997-10-09	VYDAJ	PREVOD NA UCET	3240	40465	SIPO	QR	72621738
990602	3377	1997-11-09	VYDAJ	PREVOD NA UCET	3240	36292	SIPO	QR	72621738
990603	3377	1997-12-09	VYDAJ	PREVOD NA UCET	3240	36602	SIPO	QR	72621738
990604	3377	1998-01-09	VYDAJ	PREVOD NA UCET	3240	28305	SIPO	QR	72621738
990605	3377	1998-02-09	VYDAJ	PREVOD NA UCET	3240	17386	SIPO	QR	72621738
990606	3377	1998-03-09	VYDAJ	PREVOD NA UCET	3240	27521	SIPO	QR	72621738
990607	3377	1998-04-09	VYDAJ	PREVOD NA UCET	3240	29194	SIPO	QR	72621738
990608	3377	1998-05-09	VYDAJ	PREVOD NA UCET	3240	28972	SIPO	QR	72621738
990609	3377	1998-06-09	VYDAJ	PREVOD NA UCET	3240	24944	SIPO	QR	72621738
990610	3377	1998-07-09	VYDAJ	PREVOD NA UCET	3240	31304	SIPO	QR	72621738
990611	3377	1998-08-09	VYDAJ	PREVOD NA UCET	3240	31487	SIPO	QR	72621738
990612	3377	1998-09-09	VYDAJ	PREVOD NA UCET	3240	33470	SIPO	QR	72621738
990613	3377	1998-10-09	VYDAJ	PREVOD NA UCET	3240	37462	SIPO	QR	72621738
990614	3377	1998-11-09	VYDAJ	PREVOD NA UCET	3240	36164	SIPO	QR	72621738
990615	3377	1998-12-09	VYDAJ	PREVOD NA UCET	3240	33361	SIPO	QR	72621738
990621	3377	1998-01-10	VYDAJ	VYBER	10080	18225	\N	\N	\N
990623	3377	1997-12-11	VYDAJ	VYBER	1920	34682	\N	\N	\N
990624	3377	1998-12-05	VYDAJ	VYBER	1760	36601	\N	\N	\N
990637	3377	1998-01-22	VYDAJ	VYBER	3240	34833	\N	\N	\N
990638	3377	1998-01-27	VYDAJ	VYBER	1200	24833	\N	\N	\N
990639	3377	1998-01-30	VYDAJ	VYBER	2760	20513	\N	\N	\N
990640	3377	1998-01-13	VYDAJ	VYBER	1320	16905	\N	\N	\N
990641	3377	1998-01-28	VYDAJ	VYBER	1560	23273	\N	\N	\N
990642	3377	1998-01-02	VYDAJ	VYBER	3000	31545	\N	\N	\N
990646	3377	1997-12-13	VYDAJ	VYBER	1800	32882	\N	\N	\N
990647	3377	1997-12-28	VYDAJ	VYBER	4320	37714	\N	\N	\N
990648	3377	1997-12-30	VYDAJ	VYBER	3360	34354	\N	\N	\N
990650	3377	1997-09-23	VYDAJ	VYBER	4920	60991	\N	\N	\N
990651	3377	1998-11-26	VYDAJ	VYBER	3840	38192	\N	\N	\N
990652	3377	1998-06-13	VYDAJ	VYBER	1800	23144	\N	\N	\N
990669	3377	1997-04-30	VYDAJ	VYBER	15	64627	SLUZBY	\N	\N
990670	3377	1997-05-31	VYDAJ	VYBER	15	43285	SLUZBY	\N	\N
990671	3377	1997-06-30	VYDAJ	VYBER	15	72030	SLUZBY	\N	\N
990672	3377	1997-07-31	VYDAJ	VYBER	15	49627	SLUZBY	\N	\N
990673	3377	1997-08-31	VYDAJ	VYBER	15	47983	SLUZBY	\N	\N
990674	3377	1997-09-30	VYDAJ	VYBER	15	43705	SLUZBY	\N	\N
990675	3377	1997-10-31	VYDAJ	VYBER	15	39532	SLUZBY	\N	\N
990676	3377	1997-11-30	VYDAJ	VYBER	15	39842	SLUZBY	\N	\N
990677	3377	1997-12-31	VYDAJ	VYBER	15	34545	SLUZBY	\N	\N
990678	3377	1998-01-31	VYDAJ	VYBER	15	20626	SLUZBY	\N	\N
990679	3377	1998-02-28	VYDAJ	VYBER	15	30761	SLUZBY	\N	\N
990680	3377	1998-03-31	VYDAJ	VYBER	15	32434	SLUZBY	\N	\N
990681	3377	1998-04-30	VYDAJ	VYBER	15	32212	SLUZBY	\N	\N
990682	3377	1998-05-31	VYDAJ	VYBER	15	28184	SLUZBY	\N	\N
990683	3377	1998-06-30	VYDAJ	VYBER	15	34544	SLUZBY	\N	\N
990684	3377	1998-07-31	VYDAJ	VYBER	15	34727	SLUZBY	\N	\N
990685	3377	1998-08-31	VYDAJ	VYBER	15	36710	SLUZBY	\N	\N
990686	3377	1998-09-30	VYDAJ	VYBER	15	40702	SLUZBY	\N	\N
990687	3377	1998-10-31	VYDAJ	VYBER	15	39404	SLUZBY	\N	\N
990688	3377	1998-11-30	VYDAJ	VYBER	15	38361	SLUZBY	\N	\N
990689	3377	1997-01-01	PRIJEM	VKLAD	200	32931	\N	\N	\N
990690	3377	1997-01-31	VYDAJ	VYBER	15200	39085	\N	\N	\N
990691	3377	1997-03-02	VYDAJ	VYBER	17900	42516	\N	\N	\N
990692	3377	1997-04-01	VYDAJ	VYBER	20700	43206	\N	\N	\N
990693	3377	1997-05-01	VYDAJ	VYBER	20300	44327	\N	\N	\N
990694	3377	1997-05-31	VYDAJ	VYBER	19200	43300	\N	\N	\N
990695	3377	1997-06-30	VYDAJ	VYBER	22600	49430	\N	\N	\N
990696	3377	1997-07-30	VYDAJ	VYBER	18000	49358	\N	\N	\N
990697	3377	1997-08-29	VYDAJ	VYBER	19800	47755	\N	\N	\N
990698	3377	1997-09-28	VYDAJ	VYBER	17500	43491	\N	\N	\N
990699	3377	1997-10-28	VYDAJ	VYBER	22300	39333	\N	\N	\N
990700	3377	1997-11-27	VYDAJ	VYBER	17800	39660	\N	\N	\N
990701	3377	1997-12-27	VYDAJ	VYBER	22600	42034	\N	\N	\N
990702	3377	1998-01-26	VYDAJ	VYBER	8800	26033	\N	\N	\N
990703	3377	1998-02-25	VYDAJ	VYBER	7900	30654	\N	\N	\N
990704	3377	1998-03-27	VYDAJ	VYBER	16400	32289	\N	\N	\N
990705	3377	1998-04-26	VYDAJ	VYBER	18300	32062	\N	\N	\N
990706	3377	1998-05-26	VYDAJ	VYBER	22100	28040	\N	\N	\N
990707	3377	1998-06-25	VYDAJ	VYBER	20500	34396	\N	\N	\N
990708	3377	1998-07-25	VYDAJ	VYBER	17900	34572	\N	\N	\N
990709	3377	1998-08-24	VYDAJ	VYBER	16100	36555	\N	\N	\N
990710	3377	1998-09-23	VYDAJ	VYBER	14100	40538	\N	\N	\N
990711	3377	1998-10-23	VYDAJ	VYBER	19400	39230	\N	\N	\N
990712	3377	1998-11-22	VYDAJ	VYBER	15300	42032	\N	\N	\N
990738	3378	1994-03-14	PRIJEM	VKLAD	800	800	\N	\N	\N
990742	3378	1994-04-05	PRIJEM	VKLAD	12275	13075	\N	\N	\N
990743	3378	1994-05-05	PRIJEM	VKLAD	12275	32801	\N	\N	\N
990744	3378	1994-06-05	PRIJEM	VKLAD	18413	46819	\N	\N	\N
990745	3378	1994-07-05	PRIJEM	VKLAD	12275	47831	\N	\N	\N
990746	3378	1994-08-05	PRIJEM	VKLAD	12275	49157	\N	\N	\N
990747	3378	1994-09-05	PRIJEM	VKLAD	12275	44172	\N	\N	\N
990748	3378	1994-10-05	PRIJEM	VKLAD	12275	44923	\N	\N	\N
990749	3378	1994-11-05	PRIJEM	VKLAD	12275	44332	\N	\N	\N
990750	3378	1994-12-05	PRIJEM	VKLAD	18413	42992	\N	\N	\N
990751	3378	1995-01-05	PRIJEM	VKLAD	12275	43146	\N	\N	\N
990752	3378	1995-02-05	PRIJEM	VKLAD	12275	32674	\N	\N	\N
990753	3378	1995-03-05	PRIJEM	VKLAD	12275	38151	\N	\N	\N
990754	3378	1995-04-05	PRIJEM	VKLAD	12275	37654	\N	\N	\N
990755	3378	1995-05-05	PRIJEM	VKLAD	12275	41252	\N	\N	\N
990756	3378	1995-06-05	PRIJEM	VKLAD	18413	49582	\N	\N	\N
990757	3378	1995-07-05	PRIJEM	VKLAD	12275	43853	\N	\N	\N
990758	3378	1995-08-05	PRIJEM	VKLAD	12275	45664	\N	\N	\N
990759	3378	1995-09-05	PRIJEM	VKLAD	12275	46179	\N	\N	\N
990760	3378	1995-10-05	PRIJEM	VKLAD	12275	45296	\N	\N	\N
990761	3378	1995-11-05	PRIJEM	VKLAD	12275	45855	\N	\N	\N
990762	3378	1995-12-05	PRIJEM	VKLAD	18413	58068	\N	\N	\N
990763	3378	1996-01-05	PRIJEM	VKLAD	12275	53585	\N	\N	\N
990764	3378	1996-02-05	PRIJEM	VKLAD	12275	47253	\N	\N	\N
990765	3378	1996-03-05	PRIJEM	VKLAD	12275	48994	\N	\N	\N
990766	3378	1996-04-05	PRIJEM	VKLAD	12275	48423	\N	\N	\N
990767	3378	1996-05-05	PRIJEM	VKLAD	12275	49772	\N	\N	\N
990768	3378	1996-06-05	PRIJEM	VKLAD	18413	52401	\N	\N	\N
990769	3378	1996-07-05	PRIJEM	VKLAD	12275	37946	\N	\N	\N
990770	3378	1996-08-05	PRIJEM	VKLAD	12275	46445	\N	\N	\N
990771	3378	1996-09-05	PRIJEM	VKLAD	12275	48978	\N	\N	\N
990772	3378	1996-10-05	PRIJEM	VKLAD	12275	52421	\N	\N	\N
990773	3378	1996-11-05	PRIJEM	VKLAD	12275	52378	\N	\N	\N
990774	3378	1996-12-05	PRIJEM	VKLAD	18413	54669	\N	\N	\N
990775	3378	1997-01-05	PRIJEM	VKLAD	12275	51267	\N	\N	\N
990776	3378	1997-02-05	PRIJEM	VKLAD	12275	44351	\N	\N	\N
990777	3378	1997-03-05	PRIJEM	VKLAD	12275	45589	\N	\N	\N
990778	3378	1997-04-05	PRIJEM	VKLAD	12275	47356	\N	\N	\N
990779	3378	1997-05-05	PRIJEM	VKLAD	12275	51392	\N	\N	\N
990780	3378	1997-06-05	PRIJEM	VKLAD	18413	54073	\N	\N	\N
990781	3378	1997-07-05	PRIJEM	VKLAD	12275	51125	\N	\N	\N
990782	3378	1997-08-05	PRIJEM	VKLAD	12275	51473	\N	\N	\N
990783	3378	1997-09-05	PRIJEM	VKLAD	12275	48919	\N	\N	\N
990784	3378	1997-10-05	PRIJEM	VKLAD	12275	40794	\N	\N	\N
990785	3378	1997-11-05	PRIJEM	VKLAD	12275	41987	\N	\N	\N
990786	3378	1997-12-05	PRIJEM	VKLAD	18413	48037	\N	\N	\N
990787	3378	1998-01-05	PRIJEM	VKLAD	12275	39481	\N	\N	\N
990788	3378	1998-02-05	PRIJEM	VKLAD	12275	33493	\N	\N	\N
990789	3378	1998-03-05	PRIJEM	VKLAD	12275	38069	\N	\N	\N
990790	3378	1998-04-05	PRIJEM	VKLAD	12275	32759	\N	\N	\N
990791	3378	1998-05-05	PRIJEM	VKLAD	12275	39644	\N	\N	\N
990792	3378	1998-06-05	PRIJEM	VKLAD	18413	47980	\N	\N	\N
990793	3378	1998-07-05	PRIJEM	VKLAD	12275	48304	\N	\N	\N
990794	3378	1998-08-05	PRIJEM	VKLAD	12275	42426	\N	\N	\N
990795	3378	1998-09-05	PRIJEM	VKLAD	12275	44334	\N	\N	\N
990796	3378	1998-10-05	PRIJEM	VKLAD	12275	37836	\N	\N	\N
990797	3378	1998-11-05	PRIJEM	VKLAD	12275	35457	\N	\N	\N
990798	3378	1998-12-05	PRIJEM	VKLAD	18413	43773	\N	\N	\N
990806	3378	1994-08-08	VYDAJ	PREVOD NA UCET	6387	42770	SIPO	KL	76775717
990807	3378	1994-09-08	VYDAJ	PREVOD NA UCET	6387	37785	SIPO	KL	76775717
990808	3378	1994-10-08	VYDAJ	PREVOD NA UCET	6387	38536	SIPO	KL	76775717
990809	3378	1994-11-08	VYDAJ	PREVOD NA UCET	6387	37945	SIPO	KL	76775717
990810	3378	1994-12-08	VYDAJ	PREVOD NA UCET	6387	36605	SIPO	KL	76775717
990811	3378	1995-01-08	VYDAJ	PREVOD NA UCET	6387	33999	SIPO	KL	76775717
990812	3378	1995-02-08	VYDAJ	PREVOD NA UCET	6387	25787	SIPO	KL	76775717
990813	3378	1995-03-08	VYDAJ	PREVOD NA UCET	6387	31764	SIPO	KL	76775717
990814	3378	1995-04-08	VYDAJ	PREVOD NA UCET	6387	31267	SIPO	KL	76775717
990815	3378	1995-05-08	VYDAJ	PREVOD NA UCET	6387	34865	SIPO	KL	76775717
990816	3378	1995-06-08	VYDAJ	PREVOD NA UCET	6387	31455	SIPO	KL	76775717
990817	3378	1995-07-08	VYDAJ	PREVOD NA UCET	6387	33266	SIPO	KL	76775717
990818	3378	1995-08-08	VYDAJ	PREVOD NA UCET	6387	33777	SIPO	KL	76775717
990819	3378	1995-09-08	VYDAJ	PREVOD NA UCET	6387	32892	SIPO	KL	76775717
990820	3378	1995-10-08	VYDAJ	PREVOD NA UCET	6387	35609	SIPO	KL	76775717
990821	3378	1995-11-08	VYDAJ	PREVOD NA UCET	6387	39468	SIPO	KL	76775717
990822	3378	1995-12-08	VYDAJ	PREVOD NA UCET	6387	51681	SIPO	KL	76775717
990823	3378	1996-01-08	VYDAJ	PREVOD NA UCET	6387	43718	SIPO	KL	76775717
990824	3378	1996-02-08	VYDAJ	PREVOD NA UCET	6387	40866	SIPO	KL	76775717
990825	3378	1996-03-08	VYDAJ	PREVOD NA UCET	6387	42607	SIPO	KL	76775717
990826	3378	1996-04-08	VYDAJ	PREVOD NA UCET	6387	42036	SIPO	KL	76775717
990827	3378	1996-05-08	VYDAJ	PREVOD NA UCET	6387	43385	SIPO	KL	76775717
990828	3378	1996-06-08	VYDAJ	PREVOD NA UCET	6387	46014	SIPO	KL	76775717
990829	3378	1996-07-08	VYDAJ	PREVOD NA UCET	6387	31559	SIPO	KL	76775717
990830	3378	1996-08-08	VYDAJ	PREVOD NA UCET	6387	40058	SIPO	KL	76775717
990831	3378	1996-09-08	VYDAJ	PREVOD NA UCET	6387	42591	SIPO	KL	76775717
990832	3378	1996-10-08	VYDAJ	PREVOD NA UCET	6387	46034	SIPO	KL	76775717
990833	3378	1996-11-08	VYDAJ	PREVOD NA UCET	6387	45991	SIPO	KL	76775717
990834	3378	1996-12-08	VYDAJ	PREVOD NA UCET	6387	48282	SIPO	KL	76775717
990835	3378	1997-01-08	VYDAJ	PREVOD NA UCET	6387	44880	SIPO	KL	76775717
990836	3378	1997-02-08	VYDAJ	PREVOD NA UCET	6387	37964	SIPO	KL	76775717
990837	3378	1997-03-08	VYDAJ	PREVOD NA UCET	6387	39202	SIPO	KL	76775717
990838	3378	1997-04-08	VYDAJ	PREVOD NA UCET	6387	40969	SIPO	KL	76775717
990839	3378	1997-05-08	VYDAJ	PREVOD NA UCET	6387	45005	SIPO	KL	76775717
990840	3378	1997-06-08	VYDAJ	PREVOD NA UCET	6387	47686	SIPO	KL	76775717
990841	3378	1997-07-08	VYDAJ	PREVOD NA UCET	6387	44738	SIPO	KL	76775717
990842	3378	1997-08-08	VYDAJ	PREVOD NA UCET	6387	45086	SIPO	KL	76775717
990843	3378	1997-09-08	VYDAJ	PREVOD NA UCET	6387	42532	SIPO	KL	76775717
990844	3378	1997-10-08	VYDAJ	PREVOD NA UCET	6387	34407	SIPO	KL	76775717
990845	3378	1997-11-08	VYDAJ	PREVOD NA UCET	6387	35600	SIPO	KL	76775717
990846	3378	1997-12-08	VYDAJ	PREVOD NA UCET	6387	41650	SIPO	KL	76775717
990847	3378	1998-01-08	VYDAJ	PREVOD NA UCET	6387	33094	SIPO	KL	76775717
990848	3378	1998-02-08	VYDAJ	PREVOD NA UCET	6387	27106	SIPO	KL	76775717
990849	3378	1998-03-08	VYDAJ	PREVOD NA UCET	6387	31682	SIPO	KL	76775717
990850	3378	1998-04-08	VYDAJ	PREVOD NA UCET	6387	26372	SIPO	KL	76775717
990851	3378	1998-05-08	VYDAJ	PREVOD NA UCET	6387	33257	SIPO	KL	76775717
990852	3378	1998-06-08	VYDAJ	PREVOD NA UCET	6387	41593	SIPO	KL	76775717
990853	3378	1998-07-08	VYDAJ	PREVOD NA UCET	6387	41917	SIPO	KL	76775717
990854	3378	1998-08-08	VYDAJ	PREVOD NA UCET	6387	36039	SIPO	KL	76775717
990855	3378	1998-09-08	VYDAJ	PREVOD NA UCET	6387	37947	SIPO	KL	76775717
990856	3378	1998-10-08	VYDAJ	PREVOD NA UCET	6387	29889	SIPO	KL	76775717
990857	3378	1998-11-08	VYDAJ	PREVOD NA UCET	6387	29070	SIPO	KL	76775717
990858	3378	1998-12-08	VYDAJ	PREVOD NA UCET	6387	36426	SIPO	KL	76775717
990861	3378	1996-06-17	VYDAJ	VYBER	28160	16654	\N	\N	\N
990864	3378	1994-12-30	VYDAJ	VYBER	1760	31345	\N	\N	\N
990865	3378	1995-12-16	VYDAJ	VYBER	3040	48641	\N	\N	\N
990866	3378	1996-12-13	VYDAJ	VYBER	800	47482	\N	\N	\N
990867	3378	1997-12-29	VYDAJ	VYBER	2400	32350	\N	\N	\N
990868	3378	1998-12-05	VYDAJ	VYBER	960	42813	\N	\N	\N
990875	3378	1995-01-17	VYDAJ	VYBER	3000	24619	\N	\N	\N
990876	3378	1995-01-28	VYDAJ	VYBER	2760	20299	\N	\N	\N
990877	3378	1995-01-18	VYDAJ	VYBER	1560	23059	\N	\N	\N
990878	3378	1995-01-04	VYDAJ	VYBER	600	30871	\N	\N	\N
990879	3378	1995-01-10	VYDAJ	VYBER	2880	27619	\N	\N	\N
990880	3378	1995-01-07	VYDAJ	VYBER	2760	40386	\N	\N	\N
990881	3378	1996-01-25	VYDAJ	VYBER	2760	36638	\N	\N	\N
990882	3378	1996-01-01	VYDAJ	VYBER	1920	46910	\N	\N	\N
990883	3378	1996-01-20	VYDAJ	VYBER	3360	40358	\N	\N	\N
990884	3378	1996-01-27	VYDAJ	VYBER	2760	33878	\N	\N	\N
990885	3378	1996-01-27	VYDAJ	VYBER	1560	32318	\N	\N	\N
990886	3378	1996-01-20	VYDAJ	VYBER	960	39398	\N	\N	\N
990887	3378	1997-01-29	VYDAJ	VYBER	1560	31920	\N	\N	\N
990888	3378	1997-01-27	VYDAJ	VYBER	3240	35760	\N	\N	\N
990889	3378	1997-01-28	VYDAJ	VYBER	2280	33480	\N	\N	\N
990890	3378	1997-01-02	VYDAJ	VYBER	1320	41032	\N	\N	\N
990891	3378	1997-01-04	VYDAJ	VYBER	2040	38992	\N	\N	\N
990892	3378	1997-01-10	VYDAJ	VYBER	3480	41400	\N	\N	\N
990893	3378	1998-01-23	VYDAJ	VYBER	2640	24474	\N	\N	\N
990894	3378	1998-01-15	VYDAJ	VYBER	3120	29014	\N	\N	\N
990895	3378	1998-01-01	VYDAJ	VYBER	3480	29006	\N	\N	\N
990896	3378	1998-01-27	VYDAJ	VYBER	3360	21114	\N	\N	\N
990897	3378	1998-01-12	VYDAJ	VYBER	960	32134	\N	\N	\N
990898	3378	1998-01-03	VYDAJ	VYBER	1800	27206	\N	\N	\N
990901	3378	1994-12-02	VYDAJ	VYBER	5880	24580	\N	\N	\N
990904	3378	1994-09-19	VYDAJ	VYBER	1560	32525	\N	\N	\N
990905	3378	1995-06-02	VYDAJ	VYBER	2520	31170	\N	\N	\N
990906	3378	1995-06-06	VYDAJ	VYBER	4440	45142	\N	\N	\N
990907	3378	1995-11-17	VYDAJ	VYBER	960	38508	\N	\N	\N
990908	3378	1995-03-14	VYDAJ	VYBER	5280	25284	\N	\N	\N
990909	3378	1995-10-15	VYDAJ	VYBER	1560	34049	\N	\N	\N
990910	3378	1996-05-27	VYDAJ	VYBER	5760	37625	\N	\N	\N
990911	3378	1996-03-27	VYDAJ	VYBER	3720	38887	\N	\N	\N
990912	3378	1996-01-06	VYDAJ	VYBER	3480	50105	\N	\N	\N
990913	3378	1996-06-12	VYDAJ	VYBER	1200	44814	\N	\N	\N
990914	3378	1997-10-02	VYDAJ	VYBER	5760	28519	\N	\N	\N
990915	3378	1997-05-25	VYDAJ	VYBER	5880	37205	\N	\N	\N
990916	3378	1997-11-03	VYDAJ	VYBER	720	29712	\N	\N	\N
990917	3378	1997-05-18	VYDAJ	VYBER	1920	43085	\N	\N	\N
990918	3378	1997-02-20	VYDAJ	VYBER	4080	33884	\N	\N	\N
990919	3378	1997-03-21	VYDAJ	VYBER	960	38242	\N	\N	\N
990920	3378	1998-04-03	VYDAJ	VYBER	5400	20484	\N	\N	\N
990921	3378	1998-10-06	VYDAJ	VYBER	1560	36276	\N	\N	\N
990922	3378	1998-12-16	VYDAJ	VYBER	1200	30426	\N	\N	\N
990923	3378	1998-12-23	VYDAJ	VYBER	5640	22486	\N	\N	\N
990924	3378	1998-12-14	VYDAJ	VYBER	4800	31626	\N	\N	\N
990933	3378	1994-08-31	VYDAJ	VYBER	15	31897	SLUZBY	\N	\N
990934	3378	1994-09-30	VYDAJ	VYBER	15	32648	SLUZBY	\N	\N
990935	3378	1994-10-31	VYDAJ	VYBER	15	32057	SLUZBY	\N	\N
990936	3378	1994-11-30	VYDAJ	VYBER	15	30460	SLUZBY	\N	\N
990937	3378	1994-12-31	VYDAJ	VYBER	15	31471	SLUZBY	\N	\N
990938	3378	1995-01-31	VYDAJ	VYBER	15	20399	SLUZBY	\N	\N
990939	3378	1995-02-28	VYDAJ	VYBER	15	25876	SLUZBY	\N	\N
990940	3378	1995-03-31	VYDAJ	VYBER	15	25379	SLUZBY	\N	\N
990941	3378	1995-04-30	VYDAJ	VYBER	15	28977	SLUZBY	\N	\N
990942	3378	1995-05-31	VYDAJ	VYBER	15	33690	SLUZBY	\N	\N
990943	3378	1995-06-30	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
990944	3378	1995-07-31	VYDAJ	VYBER	15	33389	SLUZBY	\N	\N
990945	3378	1995-08-31	VYDAJ	VYBER	15	33904	SLUZBY	\N	\N
990946	3378	1995-09-30	VYDAJ	VYBER	15	33021	SLUZBY	\N	\N
990947	3378	1995-10-31	VYDAJ	VYBER	15	34180	SLUZBY	\N	\N
990948	3378	1995-11-30	VYDAJ	VYBER	15	38655	SLUZBY	\N	\N
990949	3378	1995-12-31	VYDAJ	VYBER	15	48830	SLUZBY	\N	\N
990950	3378	1996-01-31	VYDAJ	VYBER	15	32478	SLUZBY	\N	\N
990951	3378	1996-02-29	VYDAJ	VYBER	15	41019	SLUZBY	\N	\N
990952	3378	1996-03-31	VYDAJ	VYBER	15	39048	SLUZBY	\N	\N
990953	3378	1996-04-30	VYDAJ	VYBER	15	42197	SLUZBY	\N	\N
990954	3378	1996-05-31	VYDAJ	VYBER	15	37789	SLUZBY	\N	\N
990955	3378	1996-06-30	VYDAJ	VYBER	15	16771	SLUZBY	\N	\N
990956	3378	1996-07-31	VYDAJ	VYBER	15	34170	SLUZBY	\N	\N
990957	3378	1996-08-31	VYDAJ	VYBER	15	36703	SLUZBY	\N	\N
990958	3378	1996-09-30	VYDAJ	VYBER	15	40146	SLUZBY	\N	\N
990959	3378	1996-10-31	VYDAJ	VYBER	15	40103	SLUZBY	\N	\N
990960	3378	1996-11-30	VYDAJ	VYBER	15	36257	SLUZBY	\N	\N
990961	3378	1996-12-31	VYDAJ	VYBER	15	42352	SLUZBY	\N	\N
990962	3378	1997-01-31	VYDAJ	VYBER	15	32076	SLUZBY	\N	\N
990963	3378	1997-02-28	VYDAJ	VYBER	15	33314	SLUZBY	\N	\N
990964	3378	1997-03-31	VYDAJ	VYBER	15	35081	SLUZBY	\N	\N
990965	3378	1997-04-30	VYDAJ	VYBER	15	39117	SLUZBY	\N	\N
990966	3378	1997-05-31	VYDAJ	VYBER	15	35660	SLUZBY	\N	\N
990967	3378	1997-06-30	VYDAJ	VYBER	15	38850	SLUZBY	\N	\N
990968	3378	1997-07-31	VYDAJ	VYBER	15	39198	SLUZBY	\N	\N
990969	3378	1997-08-31	VYDAJ	VYBER	15	36644	SLUZBY	\N	\N
990970	3378	1997-09-30	VYDAJ	VYBER	15	34279	SLUZBY	\N	\N
990971	3378	1997-10-31	VYDAJ	VYBER	15	30432	SLUZBY	\N	\N
990972	3378	1997-11-30	VYDAJ	VYBER	15	29624	SLUZBY	\N	\N
990973	3378	1997-12-31	VYDAJ	VYBER	15	32486	SLUZBY	\N	\N
990974	3378	1998-01-31	VYDAJ	VYBER	15	21218	SLUZBY	\N	\N
990975	3378	1998-02-28	VYDAJ	VYBER	15	25794	SLUZBY	\N	\N
990976	3378	1998-03-31	VYDAJ	VYBER	15	25884	SLUZBY	\N	\N
990977	3378	1998-04-30	VYDAJ	VYBER	15	27369	SLUZBY	\N	\N
990978	3378	1998-05-31	VYDAJ	VYBER	15	29567	SLUZBY	\N	\N
990979	3378	1998-06-30	VYDAJ	VYBER	15	36029	SLUZBY	\N	\N
990980	3378	1998-07-31	VYDAJ	VYBER	15	30151	SLUZBY	\N	\N
990981	3378	1998-08-31	VYDAJ	VYBER	15	32059	SLUZBY	\N	\N
990982	3378	1998-09-30	VYDAJ	VYBER	15	25561	SLUZBY	\N	\N
990983	3378	1998-10-31	VYDAJ	VYBER	15	23182	SLUZBY	\N	\N
990984	3378	1998-11-30	VYDAJ	VYBER	15	25361	SLUZBY	\N	\N
990985	3378	1994-04-13	PRIJEM	VKLAD	7400	20475	\N	\N	\N
990986	3378	1994-05-13	VYDAJ	VYBER	4500	28301	\N	\N	\N
990987	3378	1994-06-12	VYDAJ	VYBER	11400	35419	\N	\N	\N
990988	3378	1994-07-12	VYDAJ	VYBER	11100	36731	\N	\N	\N
990989	3378	1994-08-11	VYDAJ	VYBER	11000	31770	\N	\N	\N
990990	3378	1994-09-10	VYDAJ	VYBER	3700	34085	\N	\N	\N
990991	3378	1994-10-10	VYDAJ	VYBER	6600	31936	\N	\N	\N
990992	3378	1994-11-09	VYDAJ	VYBER	7600	30345	\N	\N	\N
990993	3378	1994-12-09	VYDAJ	VYBER	3500	33105	\N	\N	\N
990994	3378	1995-01-08	VYDAJ	VYBER	3500	30499	\N	\N	\N
990995	3378	1995-02-07	VYDAJ	VYBER	500	32174	\N	\N	\N
990996	3378	1995-03-09	VYDAJ	VYBER	1200	30564	\N	\N	\N
990997	3378	1995-04-08	VYDAJ	VYBER	2400	28867	\N	\N	\N
990998	3378	1995-05-08	VYDAJ	VYBER	1300	33565	\N	\N	\N
990999	3378	1995-06-07	VYDAJ	VYBER	7300	37842	\N	\N	\N
991000	3378	1995-07-07	VYDAJ	VYBER	4200	39653	\N	\N	\N
991001	3378	1995-08-06	VYDAJ	VYBER	5500	40164	\N	\N	\N
991002	3378	1995-09-05	VYDAJ	VYBER	6900	39279	\N	\N	\N
991003	3378	1995-10-05	VYDAJ	VYBER	3300	41996	\N	\N	\N
991004	3378	1995-11-04	VYDAJ	VYBER	600	33580	\N	\N	\N
991005	3378	1995-12-04	PRIJEM	VKLAD	1000	39655	\N	\N	\N
991006	3378	1996-01-03	VYDAJ	VYBER	5600	41310	\N	\N	\N
991007	3378	1996-02-02	PRIJEM	VKLAD	2500	34978	\N	\N	\N
991008	3378	1996-03-03	VYDAJ	VYBER	4300	36719	\N	\N	\N
991009	3378	1996-04-02	VYDAJ	VYBER	2900	36148	\N	\N	\N
991010	3378	1996-05-02	VYDAJ	VYBER	4700	37497	\N	\N	\N
991011	3378	1996-06-01	VYDAJ	VYBER	3800	33989	\N	\N	\N
991012	3378	1996-07-01	PRIJEM	VKLAD	8900	25671	\N	\N	\N
991013	3378	1996-07-31	PRIJEM	VKLAD	2500	34185	\N	\N	\N
991014	3378	1996-08-30	VYDAJ	VYBER	3500	36558	\N	\N	\N
991015	3378	1996-09-29	VYDAJ	VYBER	2600	39991	\N	\N	\N
991016	3378	1996-10-29	VYDAJ	VYBER	6100	39934	\N	\N	\N
991017	3378	1996-11-28	VYDAJ	VYBER	9900	36091	\N	\N	\N
991018	3378	1996-12-28	VYDAJ	VYBER	5300	42182	\N	\N	\N
991019	3378	1997-01-27	VYDAJ	VYBER	2400	39000	\N	\N	\N
991020	3378	1997-02-26	VYDAJ	VYBER	700	33184	\N	\N	\N
991021	3378	1997-03-28	VYDAJ	VYBER	3300	34942	\N	\N	\N
991022	3378	1997-04-27	VYDAJ	VYBER	2000	38969	\N	\N	\N
991023	3378	1997-05-27	VYDAJ	VYBER	1700	35505	\N	\N	\N
991024	3378	1997-06-26	VYDAJ	VYBER	9000	38686	\N	\N	\N
991025	3378	1997-07-26	VYDAJ	VYBER	5700	39038	\N	\N	\N
991026	3378	1997-08-25	VYDAJ	VYBER	8600	36486	\N	\N	\N
991027	3378	1997-09-24	VYDAJ	VYBER	8400	34132	\N	\N	\N
991028	3378	1997-10-24	VYDAJ	VYBER	4100	30307	\N	\N	\N
991029	3378	1997-11-23	VYDAJ	VYBER	6100	29500	\N	\N	\N
991030	3378	1997-12-23	VYDAJ	VYBER	6900	34750	\N	\N	\N
991031	3378	1998-01-22	VYDAJ	VYBER	1900	27114	\N	\N	\N
991032	3378	1998-02-21	VYDAJ	VYBER	1400	25706	\N	\N	\N
991033	3378	1998-03-23	VYDAJ	VYBER	5900	25782	\N	\N	\N
991034	3378	1998-04-22	PRIJEM	VKLAD	900	27272	\N	\N	\N
991035	3378	1998-05-22	VYDAJ	VYBER	3800	29457	\N	\N	\N
991036	3378	1998-06-21	VYDAJ	VYBER	5700	35893	\N	\N	\N
991037	3378	1998-07-21	VYDAJ	VYBER	11900	30017	\N	\N	\N
991038	3378	1998-08-20	VYDAJ	VYBER	4100	31939	\N	\N	\N
991039	3378	1998-09-19	VYDAJ	VYBER	12500	25447	\N	\N	\N
991040	3378	1998-10-19	VYDAJ	VYBER	6800	23089	\N	\N	\N
991041	3378	1998-11-18	VYDAJ	VYBER	3800	25270	\N	\N	\N
991042	3378	1998-12-18	VYDAJ	VYBER	2300	28126	\N	\N	\N
991100	3379	1997-01-24	PRIJEM	VKLAD	600	600	\N	\N	\N
991102	3379	1997-02-11	PRIJEM	VKLAD	14275	14875	\N	\N	\N
991103	3379	1997-03-11	PRIJEM	VKLAD	14275	34768	\N	\N	\N
991104	3379	1997-04-11	PRIJEM	VKLAD	14275	42135	\N	\N	\N
991105	3379	1997-05-11	PRIJEM	VKLAD	14275	46931	\N	\N	\N
991106	3379	1997-06-11	PRIJEM	VKLAD	21412	55880	\N	\N	\N
991107	3379	1997-07-11	PRIJEM	VKLAD	14275	51687	\N	\N	\N
991108	3379	1997-08-11	PRIJEM	VKLAD	14275	50314	\N	\N	\N
991109	3379	1997-09-11	PRIJEM	VKLAD	14275	53429	\N	\N	\N
991110	3379	1997-10-11	PRIJEM	VKLAD	14275	52952	\N	\N	\N
991111	3379	1997-11-11	PRIJEM	VKLAD	14275	48775	\N	\N	\N
991112	3379	1997-12-11	PRIJEM	VKLAD	21412	53614	\N	\N	\N
991113	3379	1998-01-11	PRIJEM	VKLAD	14275	47744	\N	\N	\N
991114	3379	1998-02-11	PRIJEM	VKLAD	14275	45858	\N	\N	\N
991115	3379	1998-03-11	PRIJEM	VKLAD	14275	49556	\N	\N	\N
991116	3379	1998-04-11	PRIJEM	VKLAD	14275	50664	\N	\N	\N
991117	3379	1998-05-11	PRIJEM	VKLAD	14275	53687	\N	\N	\N
991118	3379	1998-06-11	PRIJEM	VKLAD	21412	39743	\N	\N	\N
991119	3379	1998-07-11	PRIJEM	VKLAD	14275	46949	\N	\N	\N
991120	3379	1998-08-11	PRIJEM	VKLAD	14275	53858	\N	\N	\N
991121	3379	1998-09-11	PRIJEM	VKLAD	14275	53081	\N	\N	\N
991122	3379	1998-10-11	PRIJEM	VKLAD	14275	52000	\N	\N	\N
991123	3379	1998-11-11	PRIJEM	VKLAD	14275	53620	\N	\N	\N
991124	3379	1998-12-11	PRIJEM	VKLAD	21412	60283	\N	\N	\N
991126	3379	1998-06-03	VYDAJ	VYBER	16400	18331	\N	\N	\N
991127	3379	1997-12-03	VYDAJ	VYBER	700	32202	\N	\N	\N
991128	3379	1998-12-03	VYDAJ	VYBER	1400	38871	\N	\N	\N
991135	3379	1998-01-23	VYDAJ	VYBER	1400	31444	\N	\N	\N
991136	3379	1998-01-02	VYDAJ	VYBER	1100	36569	\N	\N	\N
991137	3379	1998-01-09	VYDAJ	VYBER	1400	33469	\N	\N	\N
991138	3379	1998-01-08	VYDAJ	VYBER	900	34869	\N	\N	\N
991139	3379	1998-01-21	VYDAJ	VYBER	2000	32844	\N	\N	\N
991140	3379	1998-01-03	VYDAJ	VYBER	800	35769	\N	\N	\N
991144	3379	1997-07-13	VYDAJ	VYBER	4600	47087	\N	\N	\N
991145	3379	1997-10-16	VYDAJ	VYBER	1500	51452	\N	\N	\N
991147	3379	1998-04-16	VYDAJ	VYBER	500	50164	\N	\N	\N
991148	3379	1998-05-24	VYDAJ	VYBER	4600	34587	\N	\N	\N
991149	3379	1998-01-15	VYDAJ	VYBER	3200	44544	\N	\N	\N
991156	3379	1997-06-30	VYDAJ	VYBER	15	37412	SLUZBY	\N	\N
991157	3379	1997-07-31	VYDAJ	VYBER	15	36039	SLUZBY	\N	\N
991158	3379	1997-08-31	VYDAJ	VYBER	15	39154	SLUZBY	\N	\N
991159	3379	1997-09-30	VYDAJ	VYBER	15	38677	SLUZBY	\N	\N
991160	3379	1997-10-31	VYDAJ	VYBER	15	34500	SLUZBY	\N	\N
991161	3379	1997-11-30	VYDAJ	VYBER	15	32902	SLUZBY	\N	\N
991162	3379	1997-12-31	VYDAJ	VYBER	15	37669	SLUZBY	\N	\N
991163	3379	1998-01-31	VYDAJ	VYBER	15	31583	SLUZBY	\N	\N
991164	3379	1998-02-28	VYDAJ	VYBER	15	35281	SLUZBY	\N	\N
991165	3379	1998-03-31	VYDAJ	VYBER	15	36389	SLUZBY	\N	\N
991166	3379	1998-04-30	VYDAJ	VYBER	15	39412	SLUZBY	\N	\N
991167	3379	1998-05-31	VYDAJ	VYBER	15	34731	SLUZBY	\N	\N
991168	3379	1998-06-30	VYDAJ	VYBER	15	32674	SLUZBY	\N	\N
991169	3379	1998-07-31	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
991170	3379	1998-08-31	VYDAJ	VYBER	15	38806	SLUZBY	\N	\N
991171	3379	1998-09-30	VYDAJ	VYBER	15	37725	SLUZBY	\N	\N
991172	3379	1998-10-31	VYDAJ	VYBER	15	39345	SLUZBY	\N	\N
991173	3379	1998-11-30	VYDAJ	VYBER	15	40271	SLUZBY	\N	\N
991174	3379	1997-02-23	PRIJEM	VKLAD	5600	20475	\N	\N	\N
991175	3379	1997-03-25	VYDAJ	VYBER	7000	27768	\N	\N	\N
991176	3379	1997-04-24	VYDAJ	VYBER	9600	32535	\N	\N	\N
991177	3379	1997-05-24	VYDAJ	VYBER	12600	34331	\N	\N	\N
991178	3379	1997-06-23	VYDAJ	VYBER	18600	37280	\N	\N	\N
991179	3379	1997-07-23	VYDAJ	VYBER	11200	35887	\N	\N	\N
991180	3379	1997-08-22	VYDAJ	VYBER	11300	39014	\N	\N	\N
991181	3379	1997-09-21	VYDAJ	VYBER	14900	38529	\N	\N	\N
991182	3379	1997-10-21	VYDAJ	VYBER	17100	34352	\N	\N	\N
991183	3379	1997-11-20	VYDAJ	VYBER	16000	32775	\N	\N	\N
991184	3379	1997-12-20	VYDAJ	VYBER	16100	37514	\N	\N	\N
991185	3379	1998-01-19	VYDAJ	VYBER	9700	34844	\N	\N	\N
991186	3379	1998-02-18	VYDAJ	VYBER	10700	35158	\N	\N	\N
991187	3379	1998-03-20	VYDAJ	VYBER	13300	36256	\N	\N	\N
991188	3379	1998-04-19	VYDAJ	VYBER	10900	39264	\N	\N	\N
991189	3379	1998-05-19	VYDAJ	VYBER	14500	39187	\N	\N	\N
991190	3379	1998-06-18	VYDAJ	VYBER	7200	32543	\N	\N	\N
991191	3379	1998-07-18	VYDAJ	VYBER	7500	39449	\N	\N	\N
991192	3379	1998-08-17	VYDAJ	VYBER	15200	38658	\N	\N	\N
991193	3379	1998-09-16	VYDAJ	VYBER	15500	37581	\N	\N	\N
991194	3379	1998-10-16	VYDAJ	VYBER	12800	39200	\N	\N	\N
991195	3379	1998-11-15	VYDAJ	VYBER	13500	40120	\N	\N	\N
991219	3380	1993-12-10	PRIJEM	VKLAD	500	10346	\N	\N	\N
991231	3380	1993-12-10	PRIJEM	VKLAD	9846	9846	\N	\N	\N
991232	3380	1994-01-10	PRIJEM	VKLAD	6564	23741	\N	\N	\N
991233	3380	1994-02-10	PRIJEM	VKLAD	6564	32987	\N	\N	\N
991234	3380	1994-03-10	PRIJEM	VKLAD	6564	39676	\N	\N	\N
991235	3380	1994-04-10	PRIJEM	VKLAD	6564	34398	\N	\N	\N
991236	3380	1994-05-10	PRIJEM	VKLAD	6564	33908	\N	\N	\N
991237	3380	1994-06-10	PRIJEM	VKLAD	9846	38587	\N	\N	\N
991238	3380	1994-07-10	PRIJEM	VKLAD	6564	30476	\N	\N	\N
991239	3380	1994-08-10	PRIJEM	VKLAD	6564	32139	\N	\N	\N
991240	3380	1994-09-10	PRIJEM	VKLAD	6564	35633	\N	\N	\N
991241	3380	1994-10-10	PRIJEM	VKLAD	6564	35423	\N	\N	\N
991242	3380	1994-11-10	PRIJEM	VKLAD	6564	37322	\N	\N	\N
991243	3380	1994-12-10	PRIJEM	VKLAD	9846	39118	\N	\N	\N
991244	3380	1995-01-10	PRIJEM	VKLAD	6564	33128	\N	\N	\N
991245	3380	1995-02-10	PRIJEM	VKLAD	6564	36521	\N	\N	\N
991246	3380	1995-03-10	PRIJEM	VKLAD	6564	33724	\N	\N	\N
991247	3380	1995-04-10	PRIJEM	VKLAD	6564	28921	\N	\N	\N
991248	3380	1995-05-10	PRIJEM	VKLAD	6564	32999	\N	\N	\N
991249	3380	1995-06-10	PRIJEM	VKLAD	9846	37268	\N	\N	\N
991250	3380	1995-07-10	PRIJEM	VKLAD	6564	38985	\N	\N	\N
991251	3380	1995-08-10	PRIJEM	VKLAD	6564	40213	\N	\N	\N
991252	3380	1995-09-10	PRIJEM	VKLAD	6564	37847	\N	\N	\N
991253	3380	1995-10-10	PRIJEM	VKLAD	6564	35464	\N	\N	\N
991254	3380	1995-11-10	PRIJEM	VKLAD	6564	36876	\N	\N	\N
991255	3380	1995-12-10	PRIJEM	VKLAD	9846	33275	\N	\N	\N
991256	3380	1996-01-10	PRIJEM	VKLAD	6564	33975	\N	\N	\N
991257	3380	1996-02-10	PRIJEM	VKLAD	6564	36780	\N	\N	\N
991258	3380	1996-03-10	PRIJEM	VKLAD	6564	37685	\N	\N	\N
991259	3380	1996-04-10	PRIJEM	VKLAD	6564	36592	\N	\N	\N
991260	3380	1996-05-10	PRIJEM	VKLAD	6564	30893	\N	\N	\N
991261	3380	1996-06-10	PRIJEM	VKLAD	9846	34265	\N	\N	\N
991262	3380	1996-07-10	PRIJEM	VKLAD	6564	24751	\N	\N	\N
991263	3380	1996-08-10	PRIJEM	VKLAD	6564	24417	\N	\N	\N
991264	3380	1996-09-10	PRIJEM	VKLAD	6564	25073	\N	\N	\N
991265	3380	1996-10-10	PRIJEM	VKLAD	6564	26637	\N	\N	\N
991266	3380	1996-11-10	PRIJEM	VKLAD	6564	24596	\N	\N	\N
991267	3380	1996-12-10	PRIJEM	VKLAD	9846	28831	\N	\N	\N
991268	3380	1997-01-10	PRIJEM	VKLAD	6564	26602	\N	\N	\N
991269	3380	1997-02-10	PRIJEM	VKLAD	6564	26561	\N	\N	\N
991270	3380	1997-03-10	PRIJEM	VKLAD	6564	25627	\N	\N	\N
991271	3380	1997-04-10	PRIJEM	VKLAD	6564	23989	\N	\N	\N
991272	3380	1997-05-10	PRIJEM	VKLAD	6564	25439	\N	\N	\N
991273	3380	1997-06-10	PRIJEM	VKLAD	9846	31579	\N	\N	\N
991274	3380	1997-07-10	PRIJEM	VKLAD	6564	27346	\N	\N	\N
991275	3380	1997-08-10	PRIJEM	VKLAD	6564	28008	\N	\N	\N
991276	3380	1997-09-10	PRIJEM	VKLAD	6564	22067	\N	\N	\N
991277	3380	1997-10-10	PRIJEM	VKLAD	6564	24312	\N	\N	\N
991278	3380	1997-11-10	PRIJEM	VKLAD	6564	19653	\N	\N	\N
991279	3380	1997-12-10	PRIJEM	VKLAD	9846	25167	\N	\N	\N
991280	3380	1998-01-10	PRIJEM	VKLAD	6564	27431	\N	\N	\N
991281	3380	1998-02-10	PRIJEM	VKLAD	6564	29696	\N	\N	\N
991282	3380	1998-03-10	PRIJEM	VKLAD	6564	20353	\N	\N	\N
991283	3380	1998-04-10	PRIJEM	VKLAD	6564	22588	\N	\N	\N
991284	3380	1998-05-10	PRIJEM	VKLAD	6564	24032	\N	\N	\N
991285	3380	1998-06-10	PRIJEM	VKLAD	9846	29577	\N	\N	\N
991286	3380	1998-07-10	PRIJEM	VKLAD	6564	31845	\N	\N	\N
991287	3380	1998-08-10	PRIJEM	VKLAD	6564	25208	\N	\N	\N
991288	3380	1998-09-10	PRIJEM	VKLAD	6564	24175	\N	\N	\N
991289	3380	1998-10-10	PRIJEM	VKLAD	6564	26425	\N	\N	\N
991290	3380	1998-11-10	PRIJEM	VKLAD	6564	28685	\N	\N	\N
991291	3380	1998-12-10	PRIJEM	VKLAD	9846	32932	\N	\N	\N
991307	3380	1994-04-10	VYDAJ	PREVOD NA UCET	4376	30022	SIPO	AB	38360536
991308	3380	1994-05-10	VYDAJ	PREVOD NA UCET	4376	29532	SIPO	AB	38360536
991309	3380	1994-06-10	VYDAJ	PREVOD NA UCET	4376	34211	SIPO	AB	38360536
991310	3380	1994-07-10	VYDAJ	PREVOD NA UCET	4376	26100	SIPO	AB	38360536
991311	3380	1994-08-10	VYDAJ	PREVOD NA UCET	4376	27763	SIPO	AB	38360536
991312	3380	1994-09-10	VYDAJ	PREVOD NA UCET	4376	31257	SIPO	AB	38360536
991313	3380	1994-10-10	VYDAJ	PREVOD NA UCET	4376	31047	SIPO	AB	38360536
991314	3380	1994-11-10	VYDAJ	PREVOD NA UCET	4376	32946	SIPO	AB	38360536
991315	3380	1994-12-10	VYDAJ	PREVOD NA UCET	4376	34742	SIPO	AB	38360536
991316	3380	1995-01-10	VYDAJ	PREVOD NA UCET	4376	28752	SIPO	AB	38360536
991317	3380	1995-02-10	VYDAJ	PREVOD NA UCET	4376	32145	SIPO	AB	38360536
991318	3380	1995-03-10	VYDAJ	PREVOD NA UCET	4376	29348	SIPO	AB	38360536
991319	3380	1995-04-10	VYDAJ	PREVOD NA UCET	4376	24545	SIPO	AB	38360536
991320	3380	1995-05-10	VYDAJ	PREVOD NA UCET	4376	28623	SIPO	AB	38360536
991321	3380	1995-06-10	VYDAJ	PREVOD NA UCET	4376	32892	SIPO	AB	38360536
991322	3380	1995-07-10	VYDAJ	PREVOD NA UCET	4376	34609	SIPO	AB	38360536
991323	3380	1995-08-10	VYDAJ	PREVOD NA UCET	4376	35837	SIPO	AB	38360536
991324	3380	1995-09-10	VYDAJ	PREVOD NA UCET	4376	33471	SIPO	AB	38360536
991325	3380	1995-10-10	VYDAJ	PREVOD NA UCET	4376	31088	SIPO	AB	38360536
991326	3380	1995-11-10	VYDAJ	PREVOD NA UCET	4376	32500	SIPO	AB	38360536
991327	3380	1995-12-10	VYDAJ	PREVOD NA UCET	4376	28899	SIPO	AB	38360536
991328	3380	1996-01-10	VYDAJ	PREVOD NA UCET	4376	29599	SIPO	AB	38360536
991329	3380	1996-02-10	VYDAJ	PREVOD NA UCET	4376	32404	SIPO	AB	38360536
991330	3380	1996-03-10	VYDAJ	PREVOD NA UCET	4376	33309	SIPO	AB	38360536
991331	3380	1996-04-10	VYDAJ	PREVOD NA UCET	4376	32216	SIPO	AB	38360536
991332	3380	1996-05-10	VYDAJ	PREVOD NA UCET	4376	26517	SIPO	AB	38360536
991333	3380	1996-06-10	VYDAJ	PREVOD NA UCET	4376	29889	SIPO	AB	38360536
991334	3380	1996-07-10	VYDAJ	PREVOD NA UCET	4376	20375	SIPO	AB	38360536
991335	3380	1996-08-10	VYDAJ	PREVOD NA UCET	4376	20041	SIPO	AB	38360536
991336	3380	1996-09-10	VYDAJ	PREVOD NA UCET	4376	20697	SIPO	AB	38360536
991337	3380	1996-10-10	VYDAJ	PREVOD NA UCET	4376	22261	SIPO	AB	38360536
991338	3380	1996-11-10	VYDAJ	PREVOD NA UCET	4376	20220	SIPO	AB	38360536
991339	3380	1996-12-10	VYDAJ	PREVOD NA UCET	4376	24455	SIPO	AB	38360536
991340	3380	1997-01-10	VYDAJ	PREVOD NA UCET	4376	22226	SIPO	AB	38360536
991341	3380	1997-02-10	VYDAJ	PREVOD NA UCET	4376	22185	SIPO	AB	38360536
991342	3380	1997-03-10	VYDAJ	PREVOD NA UCET	4376	21251	SIPO	AB	38360536
991343	3380	1997-04-10	VYDAJ	PREVOD NA UCET	4376	19613	SIPO	AB	38360536
991344	3380	1997-05-10	VYDAJ	PREVOD NA UCET	4376	21063	SIPO	AB	38360536
991345	3380	1997-06-10	VYDAJ	PREVOD NA UCET	4376	27203	SIPO	AB	38360536
991346	3380	1997-07-10	VYDAJ	PREVOD NA UCET	4376	22970	SIPO	AB	38360536
991347	3380	1997-08-10	VYDAJ	PREVOD NA UCET	4376	23632	SIPO	AB	38360536
991348	3380	1997-09-10	VYDAJ	PREVOD NA UCET	4376	17691	SIPO	AB	38360536
991349	3380	1997-10-10	VYDAJ	PREVOD NA UCET	4376	19936	SIPO	AB	38360536
991350	3380	1997-11-10	VYDAJ	PREVOD NA UCET	4376	15277	SIPO	AB	38360536
991351	3380	1997-12-10	VYDAJ	PREVOD NA UCET	4376	20791	SIPO	AB	38360536
991352	3380	1998-01-10	VYDAJ	PREVOD NA UCET	4376	23055	SIPO	AB	38360536
991353	3380	1998-02-10	VYDAJ	PREVOD NA UCET	4376	25320	SIPO	AB	38360536
991354	3380	1998-03-10	VYDAJ	PREVOD NA UCET	4376	15977	SIPO	AB	38360536
991355	3380	1998-04-10	VYDAJ	PREVOD NA UCET	4376	18212	SIPO	AB	38360536
991356	3380	1998-05-10	VYDAJ	PREVOD NA UCET	4376	19656	SIPO	AB	38360536
991357	3380	1998-06-10	VYDAJ	PREVOD NA UCET	4376	25201	SIPO	AB	38360536
991358	3380	1998-07-10	VYDAJ	PREVOD NA UCET	4376	27469	SIPO	AB	38360536
991359	3380	1998-08-10	VYDAJ	PREVOD NA UCET	4376	20832	SIPO	AB	38360536
991360	3380	1998-09-10	VYDAJ	PREVOD NA UCET	4376	19799	SIPO	AB	38360536
991361	3380	1998-10-10	VYDAJ	PREVOD NA UCET	4376	22049	SIPO	AB	38360536
991362	3380	1998-11-10	VYDAJ	PREVOD NA UCET	4376	24309	SIPO	AB	38360536
991363	3380	1998-12-10	VYDAJ	PREVOD NA UCET	4376	28556	SIPO	AB	38360536
991365	3380	1994-06-20	VYDAJ	VYBER	13900	20311	\N	\N	\N
991367	3380	1996-06-22	VYDAJ	VYBER	8900	20989	\N	\N	\N
991371	3380	1994-12-16	VYDAJ	VYBER	1400	33342	\N	\N	\N
991372	3380	1995-12-02	VYDAJ	VYBER	2800	26229	\N	\N	\N
991373	3380	1996-12-26	VYDAJ	VYBER	1700	19955	\N	\N	\N
991375	3380	1998-12-19	VYDAJ	VYBER	1100	27456	\N	\N	\N
991379	3380	1994-11-21	VYDAJ	VYBER	1100	31846	\N	\N	\N
991380	3380	1994-07-11	VYDAJ	VYBER	4600	21500	\N	\N	\N
991381	3380	1994-06-30	VYDAJ	VYBER	1900	18512	\N	\N	\N
991382	3380	1994-09-12	VYDAJ	VYBER	3500	27757	\N	\N	\N
991383	3380	1994-12-24	VYDAJ	VYBER	4700	28642	\N	\N	\N
991384	3380	1995-04-06	VYDAJ	VYBER	4200	22357	\N	\N	\N
991385	3380	1995-03-07	VYDAJ	VYBER	4900	27160	\N	\N	\N
991386	3380	1995-12-04	VYDAJ	VYBER	2800	23429	\N	\N	\N
991387	3380	1995-09-28	VYDAJ	VYBER	3600	28871	\N	\N	\N
991388	3380	1995-09-18	VYDAJ	VYBER	1000	32471	\N	\N	\N
991389	3380	1995-06-08	VYDAJ	VYBER	3500	27422	\N	\N	\N
991390	3380	1996-07-01	VYDAJ	VYBER	2400	18187	\N	\N	\N
991391	3380	1996-10-27	VYDAJ	VYBER	2400	17961	\N	\N	\N
991392	3380	1996-08-21	VYDAJ	VYBER	3800	16241	\N	\N	\N
991394	3380	1997-09-04	VYDAJ	VYBER	2300	15503	\N	\N	\N
991396	3380	1997-06-12	VYDAJ	VYBER	3200	24003	\N	\N	\N
991398	3380	1998-07-18	VYDAJ	VYBER	4400	18569	\N	\N	\N
991399	3380	1998-07-13	VYDAJ	VYBER	4500	22969	\N	\N	\N
991400	3380	1998-08-31	VYDAJ	VYBER	3300	17625	\N	\N	\N
991401	3380	1998-04-28	VYDAJ	VYBER	800	17412	\N	\N	\N
991402	3380	1998-11-10	VYDAJ	VYBER	1300	23009	\N	\N	\N
991419	3380	1994-04-30	VYDAJ	VYBER	15	30144	SLUZBY	\N	\N
991420	3380	1994-05-31	VYDAJ	VYBER	15	29641	SLUZBY	\N	\N
991421	3380	1994-06-30	VYDAJ	VYBER	15	20412	SLUZBY	\N	\N
991422	3380	1994-07-31	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
991423	3380	1994-08-31	VYDAJ	VYBER	15	27869	SLUZBY	\N	\N
991424	3380	1994-09-30	VYDAJ	VYBER	15	27859	SLUZBY	\N	\N
991425	3380	1994-10-31	VYDAJ	VYBER	15	31158	SLUZBY	\N	\N
991426	3380	1994-11-30	VYDAJ	VYBER	15	31972	SLUZBY	\N	\N
991427	3380	1994-12-31	VYDAJ	VYBER	15	28764	SLUZBY	\N	\N
991428	3380	1995-01-31	VYDAJ	VYBER	15	28857	SLUZBY	\N	\N
991429	3380	1995-02-28	VYDAJ	VYBER	15	32260	SLUZBY	\N	\N
991430	3380	1995-03-31	VYDAJ	VYBER	15	29457	SLUZBY	\N	\N
991431	3380	1995-04-30	VYDAJ	VYBER	15	24635	SLUZBY	\N	\N
991432	3380	1995-05-31	VYDAJ	VYBER	15	28722	SLUZBY	\N	\N
991433	3380	1995-06-30	VYDAJ	VYBER	15	33021	SLUZBY	\N	\N
991434	3380	1995-07-31	VYDAJ	VYBER	15	34749	SLUZBY	\N	\N
991435	3380	1995-08-31	VYDAJ	VYBER	15	35983	SLUZBY	\N	\N
991436	3380	1995-09-30	VYDAJ	VYBER	15	29000	SLUZBY	\N	\N
991437	3380	1995-10-31	VYDAJ	VYBER	15	30312	SLUZBY	\N	\N
991438	3380	1995-11-30	VYDAJ	VYBER	15	29029	SLUZBY	\N	\N
991439	3380	1995-12-31	VYDAJ	VYBER	15	27411	SLUZBY	\N	\N
991440	3380	1996-01-31	VYDAJ	VYBER	15	30216	SLUZBY	\N	\N
991441	3380	1996-02-29	VYDAJ	VYBER	15	31121	SLUZBY	\N	\N
991442	3380	1996-03-31	VYDAJ	VYBER	15	30028	SLUZBY	\N	\N
991443	3380	1996-04-30	VYDAJ	VYBER	15	24329	SLUZBY	\N	\N
991444	3380	1996-05-31	VYDAJ	VYBER	15	24419	SLUZBY	\N	\N
991445	3380	1996-06-30	VYDAJ	VYBER	15	20587	SLUZBY	\N	\N
991446	3380	1996-07-31	VYDAJ	VYBER	15	17853	SLUZBY	\N	\N
991447	3380	1996-08-31	VYDAJ	VYBER	15	18509	SLUZBY	\N	\N
991448	3380	1996-09-30	VYDAJ	VYBER	15	20073	SLUZBY	\N	\N
991449	3380	1996-10-31	VYDAJ	VYBER	15	18032	SLUZBY	\N	\N
991450	3380	1996-11-30	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
991451	3380	1996-12-31	VYDAJ	VYBER	15	20038	SLUZBY	\N	\N
991452	3380	1997-01-31	VYDAJ	VYBER	15	19997	SLUZBY	\N	\N
991453	3380	1997-02-28	VYDAJ	VYBER	15	19063	SLUZBY	\N	\N
991454	3380	1997-03-31	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
991455	3380	1997-04-30	VYDAJ	VYBER	15	18875	SLUZBY	\N	\N
991456	3380	1997-05-31	VYDAJ	VYBER	15	21733	SLUZBY	\N	\N
991457	3380	1997-06-30	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
991458	3380	1997-07-31	VYDAJ	VYBER	15	21444	SLUZBY	\N	\N
991459	3380	1997-08-31	VYDAJ	VYBER	15	17803	SLUZBY	\N	\N
991460	3380	1997-09-30	VYDAJ	VYBER	15	17748	SLUZBY	\N	\N
991461	3380	1997-10-31	VYDAJ	VYBER	15	13089	SLUZBY	\N	\N
991462	3380	1997-11-30	VYDAJ	VYBER	15	15321	SLUZBY	\N	\N
991463	3380	1997-12-31	VYDAJ	VYBER	15	20867	SLUZBY	\N	\N
991464	3380	1998-01-31	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
991465	3380	1998-02-28	VYDAJ	VYBER	15	13789	SLUZBY	\N	\N
991466	3380	1998-03-31	VYDAJ	VYBER	15	16024	SLUZBY	\N	\N
991467	3380	1998-04-30	VYDAJ	VYBER	15	17468	SLUZBY	\N	\N
991468	3380	1998-05-31	VYDAJ	VYBER	15	19731	SLUZBY	\N	\N
991469	3380	1998-06-30	VYDAJ	VYBER	15	25281	SLUZBY	\N	\N
991470	3380	1998-07-31	VYDAJ	VYBER	15	18644	SLUZBY	\N	\N
991471	3380	1998-08-31	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
991472	3380	1998-09-30	VYDAJ	VYBER	15	19861	SLUZBY	\N	\N
991473	3380	1998-10-31	VYDAJ	VYBER	15	22121	SLUZBY	\N	\N
991474	3380	1998-11-30	VYDAJ	VYBER	15	23086	SLUZBY	\N	\N
991475	3380	1994-01-09	PRIJEM	VKLAD	6800	17177	\N	\N	\N
991476	3380	1994-02-08	PRIJEM	VKLAD	2600	26423	\N	\N	\N
991477	3380	1994-03-10	VYDAJ	VYBER	7200	32476	\N	\N	\N
991478	3380	1994-04-09	VYDAJ	VYBER	4800	27834	\N	\N	\N
991479	3380	1994-05-09	VYDAJ	VYBER	2800	27344	\N	\N	\N
991480	3380	1994-06-08	VYDAJ	VYBER	900	28741	\N	\N	\N
991481	3380	1994-07-08	PRIJEM	VKLAD	5400	23912	\N	\N	\N
991482	3380	1994-08-07	PRIJEM	VKLAD	4000	25575	\N	\N	\N
991483	3380	1994-09-06	PRIJEM	VKLAD	1200	29069	\N	\N	\N
991484	3380	1994-10-06	PRIJEM	VKLAD	1000	28859	\N	\N	\N
991485	3380	1994-11-05	VYDAJ	VYBER	400	30758	\N	\N	\N
991486	3380	1994-12-05	VYDAJ	VYBER	2700	29272	\N	\N	\N
991487	3380	1995-01-04	VYDAJ	VYBER	2200	26564	\N	\N	\N
991488	3380	1995-02-03	PRIJEM	VKLAD	1100	29957	\N	\N	\N
991489	3380	1995-03-05	VYDAJ	VYBER	200	32060	\N	\N	\N
991490	3380	1995-04-04	VYDAJ	VYBER	2900	26557	\N	\N	\N
991491	3380	1995-05-04	PRIJEM	VKLAD	1800	26435	\N	\N	\N
991492	3380	1995-06-03	PRIJEM	VKLAD	2200	30922	\N	\N	\N
991493	3380	1995-07-03	VYDAJ	VYBER	600	32421	\N	\N	\N
991494	3380	1995-08-02	VYDAJ	VYBER	1100	33649	\N	\N	\N
991495	3380	1995-09-01	VYDAJ	VYBER	4700	31283	\N	\N	\N
991496	3380	1995-10-01	VYDAJ	VYBER	100	28900	\N	\N	\N
991497	3380	1995-10-31	VYDAJ	VYBER	900	30327	\N	\N	\N
991498	3380	1995-11-30	VYDAJ	VYBER	3600	29044	\N	\N	\N
991499	3380	1995-12-30	VYDAJ	VYBER	1600	27299	\N	\N	\N
991500	3380	1996-01-29	PRIJEM	VKLAD	500	30099	\N	\N	\N
991501	3380	1996-02-28	VYDAJ	VYBER	1400	31004	\N	\N	\N
991502	3380	1996-03-29	VYDAJ	VYBER	3400	29909	\N	\N	\N
991503	3380	1996-04-28	VYDAJ	VYBER	8000	24216	\N	\N	\N
991504	3380	1996-05-28	VYDAJ	VYBER	2200	24317	\N	\N	\N
991505	3380	1996-06-27	VYDAJ	VYBER	500	20489	\N	\N	\N
991506	3380	1996-07-27	VYDAJ	VYBER	2600	17775	\N	\N	\N
991507	3380	1996-08-26	PRIJEM	VKLAD	2200	18441	\N	\N	\N
991508	3380	1996-09-25	VYDAJ	VYBER	700	19997	\N	\N	\N
991509	3380	1996-10-25	VYDAJ	VYBER	1900	20361	\N	\N	\N
991510	3380	1996-11-24	VYDAJ	VYBER	1300	18920	\N	\N	\N
991511	3380	1996-12-24	VYDAJ	VYBER	2800	21655	\N	\N	\N
991512	3380	1997-01-23	VYDAJ	VYBER	2300	19926	\N	\N	\N
991513	3380	1997-02-22	VYDAJ	VYBER	3200	18985	\N	\N	\N
991514	3380	1997-03-24	VYDAJ	VYBER	3900	17351	\N	\N	\N
991515	3380	1997-04-23	VYDAJ	VYBER	800	18813	\N	\N	\N
991516	3380	1997-05-23	PRIJEM	VKLAD	600	21663	\N	\N	\N
991517	3380	1997-06-22	VYDAJ	VYBER	3300	20703	\N	\N	\N
991518	3380	1997-07-22	VYDAJ	VYBER	1600	21370	\N	\N	\N
991519	3380	1997-08-21	VYDAJ	VYBER	5900	17732	\N	\N	\N
991520	3380	1997-10-20	VYDAJ	VYBER	6900	13036	\N	\N	\N
991521	3380	1998-02-17	VYDAJ	VYBER	11600	13720	\N	\N	\N
991583	3381	1997-08-02	PRIJEM	VKLAD	200	200	\N	\N	\N
991591	3381	1997-08-09	PRIJEM	VKLAD	19074	19274	\N	\N	\N
991592	3381	1997-09-09	PRIJEM	VKLAD	19074	44908	\N	\N	\N
991593	3381	1997-10-09	PRIJEM	VKLAD	19074	55840	\N	\N	\N
991594	3381	1997-11-09	PRIJEM	VKLAD	19074	61333	\N	\N	\N
991595	3381	1997-12-09	PRIJEM	VKLAD	28611	72821	\N	\N	\N
991596	3381	1998-01-09	PRIJEM	VKLAD	19074	54760	\N	\N	\N
991597	3381	1998-02-09	PRIJEM	VKLAD	19074	46203	\N	\N	\N
991598	3381	1998-03-09	PRIJEM	VKLAD	19074	45071	\N	\N	\N
991599	3381	1998-04-09	PRIJEM	VKLAD	19074	42035	\N	\N	\N
991600	3381	1998-05-09	PRIJEM	VKLAD	19074	37281	\N	\N	\N
991601	3381	1998-06-09	PRIJEM	VKLAD	28611	37955	\N	\N	\N
991602	3381	1998-07-09	PRIJEM	VKLAD	19074	34775	\N	\N	\N
991603	3381	1998-08-09	PRIJEM	VKLAD	19074	27890	\N	\N	\N
991604	3381	1998-09-09	PRIJEM	VKLAD	19074	22093	\N	\N	\N
991605	3381	1998-10-09	PRIJEM	VKLAD	19074	26259	\N	\N	\N
991606	3381	1998-11-09	PRIJEM	VKLAD	19074	25383	\N	\N	\N
991607	3381	1998-12-09	PRIJEM	VKLAD	28611	36597	\N	\N	\N
991620	3381	1998-01-06	VYDAJ	PREVOD NA UCET	9971	37126	SIPO	WX	40119654
991621	3381	1998-02-06	VYDAJ	PREVOD NA UCET	9971	27129	SIPO	WX	40119654
991622	3381	1998-03-06	VYDAJ	PREVOD NA UCET	9971	25997	SIPO	WX	40119654
991623	3381	1998-04-06	VYDAJ	PREVOD NA UCET	9971	22961	SIPO	WX	40119654
991624	3381	1998-05-06	VYDAJ	PREVOD NA UCET	9971	18207	SIPO	WX	40119654
991625	3381	1998-06-06	VYDAJ	PREVOD NA UCET	9971	9344	SIPO	WX	40119654
991626	3381	1998-07-06	VYDAJ	PREVOD NA UCET	9971	15701	SIPO	WX	40119654
991627	3381	1998-08-06	VYDAJ	PREVOD NA UCET	9971	8816	SIPO	WX	40119654
991628	3381	1998-09-06	VYDAJ	PREVOD NA UCET	9971	3019	SIPO	WX	40119654
991629	3381	1998-10-06	VYDAJ	PREVOD NA UCET	9971	7185	SIPO	WX	40119654
991630	3381	1998-11-06	VYDAJ	PREVOD NA UCET	9971	6309	SIPO	WX	40119654
991631	3381	1998-12-06	VYDAJ	PREVOD NA UCET	9971	7986	SIPO	WX	40119654
991632	3381	1997-12-25	VYDAJ	VYBER	1120	67981	\N	\N	\N
991633	3381	1998-12-12	VYDAJ	VYBER	2720	33877	\N	\N	\N
991640	3381	1998-01-09	VYDAJ	VYBER	840	53920	\N	\N	\N
991641	3381	1998-01-06	VYDAJ	VYBER	1440	35686	\N	\N	\N
991642	3381	1998-01-14	VYDAJ	VYBER	2760	48640	\N	\N	\N
991643	3381	1998-01-23	VYDAJ	VYBER	1920	46720	\N	\N	\N
991644	3381	1998-01-03	VYDAJ	VYBER	600	47097	\N	\N	\N
991645	3381	1998-01-13	VYDAJ	VYBER	2520	51400	\N	\N	\N
991649	3381	1997-12-16	VYDAJ	VYBER	3720	69101	\N	\N	\N
991651	3381	1998-05-25	VYDAJ	VYBER	4080	29601	\N	\N	\N
991652	3381	1998-04-23	VYDAJ	VYBER	3600	38435	\N	\N	\N
991653	3381	1998-11-04	VYDAJ	VYBER	5160	16280	\N	\N	\N
991654	3381	1998-05-13	VYDAJ	VYBER	3600	33681	\N	\N	\N
991655	3381	1998-08-24	VYDAJ	VYBER	4680	23210	\N	\N	\N
991656	3381	1998-12-24	VYDAJ	VYBER	4680	29197	\N	\N	\N
991669	3381	1997-12-31	VYDAJ	VYBER	15	47697	SLUZBY	\N	\N
991670	3381	1998-01-31	VYDAJ	VYBER	15	37100	SLUZBY	\N	\N
991671	3381	1998-02-28	VYDAJ	VYBER	15	46368	SLUZBY	\N	\N
991672	3381	1998-03-31	VYDAJ	VYBER	15	32932	SLUZBY	\N	\N
991673	3381	1998-04-30	VYDAJ	VYBER	15	28178	SLUZBY	\N	\N
991674	3381	1998-05-31	VYDAJ	VYBER	15	19315	SLUZBY	\N	\N
991675	3381	1998-06-30	VYDAJ	VYBER	15	25672	SLUZBY	\N	\N
991676	3381	1998-07-31	VYDAJ	VYBER	15	18787	SLUZBY	\N	\N
991677	3381	1998-08-31	VYDAJ	VYBER	15	12990	SLUZBY	\N	\N
991678	3381	1998-09-30	VYDAJ	VYBER	15	17156	SLUZBY	\N	\N
991679	3381	1998-10-31	VYDAJ	VYBER	15	21440	SLUZBY	\N	\N
991680	3381	1998-11-30	VYDAJ	VYBER	15	17957	SLUZBY	\N	\N
991681	3381	1997-09-01	PRIJEM	VKLAD	6500	25834	\N	\N	\N
991682	3381	1997-10-01	VYDAJ	VYBER	8300	36766	\N	\N	\N
991683	3381	1997-10-31	VYDAJ	VYBER	13800	42259	\N	\N	\N
991684	3381	1997-11-30	VYDAJ	VYBER	17300	44210	\N	\N	\N
991685	3381	1997-12-30	VYDAJ	VYBER	20500	47481	\N	\N	\N
991686	3381	1998-01-29	VYDAJ	VYBER	9800	36920	\N	\N	\N
991687	3381	1998-02-28	VYDAJ	VYBER	10400	35968	\N	\N	\N
991688	3381	1998-03-30	VYDAJ	VYBER	12300	32771	\N	\N	\N
991689	3381	1998-04-29	VYDAJ	VYBER	10400	28035	\N	\N	\N
991690	3381	1998-05-29	VYDAJ	VYBER	10400	19201	\N	\N	\N
991691	3381	1998-06-28	VYDAJ	VYBER	12400	25555	\N	\N	\N
991692	3381	1998-07-28	VYDAJ	VYBER	16100	18675	\N	\N	\N
991693	3381	1998-08-27	VYDAJ	VYBER	10300	12910	\N	\N	\N
991694	3381	1998-09-26	VYDAJ	VYBER	5000	17093	\N	\N	\N
991695	3381	1998-10-26	VYDAJ	VYBER	4900	21359	\N	\N	\N
991696	3381	1998-11-25	VYDAJ	VYBER	7500	17883	\N	\N	\N
991714	3382	1997-11-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
991728	3382	1998-02-04	PRIJEM	VKLAD	29696	49296	\N	\N	\N
991729	3382	1998-10-20	PRIJEM	VKLAD	18830	41886	\N	\N	\N
991730	3382	1998-04-17	PRIJEM	VKLAD	43219	100678	\N	\N	\N
991731	3382	1998-02-19	PRIJEM	VKLAD	34832	70428	\N	\N	\N
991732	3382	1998-03-17	PRIJEM	VKLAD	45841	116379	\N	\N	\N
991733	3382	1998-09-10	PRIJEM	VKLAD	45882	68622	\N	\N	\N
991754	3382	1998-08-23	VYDAJ	VYBER	3600	22524	\N	\N	0
991755	3382	1998-09-27	VYDAJ	VYBER	2600	37322	\N	\N	0
991756	3382	1998-11-12	VYDAJ	VYBER	4300	37712	\N	\N	0
991757	3382	1998-12-04	VYDAJ	VYBER	4500	11969	\N	\N	0
991759	3382	1998-10-12	VYBER	VYBER	19570	17856	\N	\N	\N
991765	3382	1998-12-01	VYBER	VYBER	15365	16469	\N	\N	\N
991772	3382	1998-12-08	VYDAJ	VYBER	8400	3569	\N	\N	\N
991792	3382	1998-09-20	VYDAJ	VYBER	8100	39922	\N	\N	\N
991818	3382	1998-09-30	VYDAJ	VYBER	30	37426	SLUZBY	\N	\N
991819	3382	1998-10-31	VYDAJ	VYBER	30	42012	SLUZBY	\N	\N
991820	3382	1998-11-30	VYDAJ	VYBER	30	31834	SLUZBY	\N	\N
991821	3382	1997-12-20	PRIJEM	VKLAD	13400	14400	\N	\N	\N
991822	3382	1998-01-19	PRIJEM	VKLAD	5200	19600	\N	\N	\N
991823	3382	1998-02-18	VYDAJ	VYBER	13700	35596	\N	\N	\N
991824	3382	1998-03-17	VYDAJ	VYBER	27000	89379	\N	\N	\N
991825	3382	1998-03-20	VYDAJ	VYBER	32200	57179	\N	\N	\N
991826	3382	1998-04-19	VYDAJ	VYBER	36900	63778	\N	\N	\N
991827	3382	1998-05-19	VYDAJ	VYBER	22700	41327	\N	\N	\N
991828	3382	1998-06-18	VYDAJ	VYBER	9700	31893	\N	\N	\N
991829	3382	1998-07-18	VYDAJ	VYBER	5400	26759	\N	\N	\N
991830	3382	1998-08-17	VYDAJ	VYBER	900	26124	\N	\N	\N
991831	3382	1998-09-16	VYDAJ	VYBER	20600	48022	\N	\N	\N
991832	3382	1998-10-16	PRIJEM	VKLAD	5200	23056	\N	\N	\N
991833	3382	1998-11-15	VYDAJ	VYBER	6000	31712	\N	\N	\N
991845	3383	1997-09-28	PRIJEM	VKLAD	300	300	\N	\N	\N
991848	3383	1998-11-25	PRIJEM	VKLAD	3273	54988	\N	\N	\N
991849	3383	1998-06-03	PRIJEM	VKLAD	7587	50662	\N	\N	\N
991859	3383	1997-10-16	PRIJEM	VKLAD	1600	1900	\N	\N	\N
991860	3383	1997-11-13	PRIJEM	VKLAD	1600	17913	\N	\N	\N
991861	3383	1997-12-15	PRIJEM	VKLAD	1600	28790	\N	\N	\N
991862	3383	1998-01-16	PRIJEM	VKLAD	1600	21840	\N	\N	\N
991863	3383	1998-02-17	PRIJEM	VKLAD	1600	30680	\N	\N	\N
991864	3383	1998-03-16	PRIJEM	VKLAD	1600	38794	\N	\N	\N
991865	3383	1998-04-15	PRIJEM	VKLAD	1600	41739	\N	\N	\N
991866	3383	1998-05-13	PRIJEM	VKLAD	1600	47398	\N	\N	\N
991867	3383	1998-06-16	PRIJEM	VKLAD	1600	49962	\N	\N	\N
991868	3383	1998-07-14	PRIJEM	VKLAD	1600	28535	\N	\N	\N
991869	3383	1998-08-17	PRIJEM	VKLAD	1600	39346	\N	\N	\N
991870	3383	1998-09-13	PRIJEM	VKLAD	1600	43048	\N	\N	\N
991871	3383	1998-10-15	PRIJEM	VKLAD	1600	50521	\N	\N	\N
991872	3383	1998-11-17	PRIJEM	VKLAD	1600	52715	\N	\N	\N
991873	3383	1998-12-13	PRIJEM	VKLAD	1600	56791	\N	\N	\N
991883	3383	1997-10-18	PRIJEM	VKLAD	900	2800	\N	\N	\N
991884	3383	1997-11-18	PRIJEM	VKLAD	900	18813	\N	\N	\N
991885	3383	1997-12-18	PRIJEM	VKLAD	900	29690	\N	\N	\N
991886	3383	1998-01-18	PRIJEM	VKLAD	900	21840	\N	\N	\N
991887	3383	1998-02-18	PRIJEM	VKLAD	900	31580	\N	\N	\N
991888	3383	1998-03-18	PRIJEM	VKLAD	900	39694	\N	\N	\N
991889	3383	1998-04-18	PRIJEM	VKLAD	900	42639	\N	\N	\N
991890	3383	1998-05-18	PRIJEM	VKLAD	900	48298	\N	\N	\N
991891	3383	1998-06-18	PRIJEM	VKLAD	900	50862	\N	\N	\N
991892	3383	1998-07-18	PRIJEM	VKLAD	900	29435	\N	\N	\N
991893	3383	1998-08-18	PRIJEM	VKLAD	900	40246	\N	\N	\N
991894	3383	1998-09-18	PRIJEM	VKLAD	900	43948	\N	\N	\N
991895	3383	1998-10-18	PRIJEM	VKLAD	900	51421	\N	\N	\N
991896	3383	1998-11-18	PRIJEM	VKLAD	900	53615	\N	\N	\N
991897	3383	1998-12-18	PRIJEM	VKLAD	900	57691	\N	\N	\N
991899	3383	1998-06-18	VYDAJ	VYBER	5600	45262	\N	\N	\N
991901	3383	1998-01-09	VYDAJ	VYBER	8700	20240	\N	\N	\N
991903	3383	1998-06-29	VYDAJ	VYBER	18900	26762	\N	\N	\N
991904	3383	1997-12-19	VYDAJ	VYBER	2800	26890	\N	\N	\N
991905	3383	1998-12-25	VYDAJ	VYBER KARTOU	2100	48591	\N	\N	0
991912	3383	1998-01-17	VYDAJ	VYBER	900	20940	\N	\N	\N
991913	3383	1998-01-21	VYDAJ	VYBER	300	21540	\N	\N	\N
991914	3383	1998-01-03	VYDAJ	VYBER	850	29840	\N	\N	\N
991915	3383	1998-01-07	VYDAJ	VYBER	900	28940	\N	\N	\N
991916	3383	1998-01-23	VYDAJ	VYBER	350	21190	\N	\N	\N
991917	3383	1998-01-30	VYDAJ	VYBER	600	28990	\N	\N	\N
991922	3383	1998-08-02	VYDAJ	VYBER	800	37746	\N	\N	\N
991923	3383	1998-10-10	VYDAJ	VYBER	400	48921	\N	\N	\N
991924	3383	1998-02-18	VYDAJ	VYBER	800	30780	\N	\N	\N
991925	3383	1998-06-13	VYDAJ	VYBER	2300	48362	\N	\N	\N
991926	3383	1998-09-02	VYDAJ	VYBER	1750	41448	\N	\N	\N
991927	3383	1998-09-20	VYDAJ	VYBER	300	43648	\N	\N	\N
991940	3383	1997-12-31	VYDAJ	VYBER	15	30690	SLUZBY	\N	\N
991941	3383	1998-01-31	VYDAJ	VYBER	15	29080	SLUZBY	\N	\N
991942	3383	1998-02-28	VYDAJ	VYBER	15	37194	SLUZBY	\N	\N
991943	3383	1998-03-31	VYDAJ	VYBER	15	40139	SLUZBY	\N	\N
991944	3383	1998-04-30	VYDAJ	VYBER	15	45798	SLUZBY	\N	\N
991945	3383	1998-05-31	VYDAJ	VYBER	15	43075	SLUZBY	\N	\N
991946	3383	1998-06-30	VYDAJ	VYBER	15	26935	SLUZBY	\N	\N
991947	3383	1998-07-31	VYDAJ	VYBER	15	38546	SLUZBY	\N	\N
991948	3383	1998-08-31	VYDAJ	VYBER	15	43198	SLUZBY	\N	\N
991949	3383	1998-09-30	VYDAJ	VYBER	15	49321	SLUZBY	\N	\N
991950	3383	1998-10-31	VYDAJ	VYBER	15	51115	SLUZBY	\N	\N
991951	3383	1998-11-30	VYDAJ	VYBER	15	55191	SLUZBY	\N	\N
991952	3383	1997-10-28	PRIJEM	VKLAD	13500	16300	\N	\N	\N
991953	3383	1997-11-27	PRIJEM	VKLAD	8300	27113	\N	\N	\N
991954	3383	1997-12-27	PRIJEM	VKLAD	3700	30590	\N	\N	\N
991955	3383	1998-01-26	PRIJEM	VKLAD	8400	29590	\N	\N	\N
991956	3383	1998-02-25	PRIJEM	VKLAD	6300	37080	\N	\N	\N
991957	3383	1998-03-27	PRIJEM	VKLAD	300	39994	\N	\N	\N
991958	3383	1998-04-26	PRIJEM	VKLAD	3000	45639	\N	\N	\N
991959	3383	1998-05-26	VYDAJ	VYBER	5400	42898	\N	\N	\N
991960	3383	1998-06-25	PRIJEM	VKLAD	400	45662	\N	\N	\N
991961	3383	1998-07-25	PRIJEM	VKLAD	9000	38435	\N	\N	\N
991962	3383	1998-08-24	PRIJEM	VKLAD	2800	43046	\N	\N	\N
991963	3383	1998-09-23	PRIJEM	VKLAD	5500	49148	\N	\N	\N
991964	3383	1998-10-23	VYDAJ	VYBER	500	50921	\N	\N	\N
991965	3383	1998-11-22	VYDAJ	VYBER KARTOU	1900	51715	\N	\N	0
991966	3383	1998-12-22	VYDAJ	VYBER	7000	50691	\N	\N	\N
991982	3384	1995-11-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
991993	3384	1995-11-11	PRIJEM	PREVOD Z UCTU	6211	7311	DUCHOD	IJ	14005995
991994	3384	1995-12-11	PRIJEM	PREVOD Z UCTU	6211	13542	DUCHOD	IJ	14005995
991995	3384	1996-01-11	PRIJEM	PREVOD Z UCTU	6211	19784	DUCHOD	IJ	14005995
991996	3384	1996-02-11	PRIJEM	PREVOD Z UCTU	6211	26025	DUCHOD	IJ	14005995
991997	3384	1996-03-11	PRIJEM	PREVOD Z UCTU	6211	32267	DUCHOD	IJ	14005995
991998	3384	1996-04-11	PRIJEM	PREVOD Z UCTU	6211	31912	DUCHOD	IJ	14005995
991999	3384	1996-05-11	PRIJEM	PREVOD Z UCTU	6211	35294	DUCHOD	IJ	14005995
992000	3384	1996-06-11	PRIJEM	PREVOD Z UCTU	6211	38685	DUCHOD	IJ	14005995
992001	3384	1996-07-11	PRIJEM	PREVOD Z UCTU	6211	38133	DUCHOD	IJ	14005995
992002	3384	1996-08-11	PRIJEM	PREVOD Z UCTU	6211	40412	DUCHOD	IJ	14005995
992003	3384	1996-09-11	PRIJEM	PREVOD Z UCTU	6211	43824	DUCHOD	IJ	14005995
992004	3384	1996-10-11	PRIJEM	PREVOD Z UCTU	6211	43486	DUCHOD	IJ	14005995
992005	3384	1996-11-11	PRIJEM	PREVOD Z UCTU	6211	44031	DUCHOD	IJ	14005995
992006	3384	1996-12-11	PRIJEM	PREVOD Z UCTU	6211	47464	DUCHOD	IJ	14005995
992007	3384	1997-01-11	PRIJEM	PREVOD Z UCTU	6211	42763	DUCHOD	IJ	14005995
992008	3384	1997-02-11	PRIJEM	PREVOD Z UCTU	6211	41468	DUCHOD	IJ	14005995
992009	3384	1997-03-11	PRIJEM	PREVOD Z UCTU	6211	44884	DUCHOD	IJ	14005995
992010	3384	1997-04-11	PRIJEM	PREVOD Z UCTU	6211	48314	DUCHOD	IJ	14005995
992011	3384	1997-05-11	PRIJEM	PREVOD Z UCTU	6211	50458	DUCHOD	IJ	14005995
992012	3384	1997-06-11	PRIJEM	PREVOD Z UCTU	6211	51590	DUCHOD	IJ	14005995
992013	3384	1997-07-11	PRIJEM	PREVOD Z UCTU	6211	40829	DUCHOD	IJ	14005995
992014	3384	1997-08-11	PRIJEM	PREVOD Z UCTU	6211	42845	DUCHOD	IJ	14005995
992015	3384	1997-09-11	PRIJEM	PREVOD Z UCTU	6211	36601	DUCHOD	IJ	14005995
992016	3384	1997-10-11	PRIJEM	PREVOD Z UCTU	6211	37439	DUCHOD	IJ	14005995
992017	3384	1997-11-11	PRIJEM	PREVOD Z UCTU	6211	40838	DUCHOD	IJ	14005995
992018	3384	1997-12-11	PRIJEM	PREVOD Z UCTU	6211	44251	DUCHOD	IJ	14005995
992019	3384	1998-01-11	PRIJEM	PREVOD Z UCTU	6211	45670	DUCHOD	IJ	14005995
992020	3384	1998-02-11	PRIJEM	PREVOD Z UCTU	6211	35193	DUCHOD	IJ	14005995
992021	3384	1998-03-11	PRIJEM	PREVOD Z UCTU	6211	38582	DUCHOD	IJ	14005995
992022	3384	1998-04-11	PRIJEM	PREVOD Z UCTU	6211	41985	DUCHOD	IJ	14005995
992023	3384	1998-05-11	PRIJEM	PREVOD Z UCTU	6211	43242	DUCHOD	IJ	14005995
992024	3384	1998-06-11	PRIJEM	PREVOD Z UCTU	6211	35439	DUCHOD	IJ	14005995
992025	3384	1998-07-11	PRIJEM	PREVOD Z UCTU	6211	38842	DUCHOD	IJ	14005995
992026	3384	1998-08-11	PRIJEM	PREVOD Z UCTU	6211	38505	DUCHOD	IJ	14005995
992027	3384	1998-09-11	PRIJEM	PREVOD Z UCTU	6211	41908	DUCHOD	IJ	14005995
992028	3384	1998-10-11	PRIJEM	PREVOD Z UCTU	6211	45324	DUCHOD	IJ	14005995
992029	3384	1998-11-11	PRIJEM	PREVOD Z UCTU	6211	47153	DUCHOD	IJ	14005995
992030	3384	1998-12-11	PRIJEM	PREVOD Z UCTU	6211	50391	DUCHOD	IJ	14005995
992045	3384	1996-03-14	VYDAJ	PREVOD NA UCET	2935	29332	SIPO	GH	22978300
992046	3384	1996-04-14	VYDAJ	PREVOD NA UCET	2935	28977	SIPO	GH	22978300
992047	3384	1996-05-14	VYDAJ	PREVOD NA UCET	2935	32359	SIPO	GH	22978300
992048	3384	1996-06-14	VYDAJ	PREVOD NA UCET	2935	31800	SIPO	GH	22978300
992049	3384	1996-07-14	VYDAJ	PREVOD NA UCET	2935	35198	SIPO	GH	22978300
992050	3384	1996-08-14	VYDAJ	PREVOD NA UCET	2935	37477	SIPO	GH	22978300
992051	3384	1996-09-14	VYDAJ	PREVOD NA UCET	2935	40889	SIPO	GH	22978300
992052	3384	1996-10-14	VYDAJ	PREVOD NA UCET	2935	40551	SIPO	GH	22978300
992053	3384	1996-11-14	VYDAJ	PREVOD NA UCET	2935	41096	SIPO	GH	22978300
992054	3384	1996-12-14	VYDAJ	PREVOD NA UCET	2935	44529	SIPO	GH	22978300
992055	3384	1997-01-14	VYDAJ	PREVOD NA UCET	2935	35118	SIPO	GH	22978300
992056	3384	1997-02-14	VYDAJ	PREVOD NA UCET	2935	38533	SIPO	GH	22978300
992057	3384	1997-03-14	VYDAJ	PREVOD NA UCET	2935	41949	SIPO	GH	22978300
992058	3384	1997-04-14	VYDAJ	PREVOD NA UCET	2935	45379	SIPO	GH	22978300
992059	3384	1997-05-14	VYDAJ	PREVOD NA UCET	2935	47523	SIPO	GH	22978300
992060	3384	1997-06-14	VYDAJ	PREVOD NA UCET	2935	48655	SIPO	GH	22978300
992061	3384	1997-07-14	VYDAJ	PREVOD NA UCET	2935	37894	SIPO	GH	22978300
992062	3384	1997-08-14	VYDAJ	PREVOD NA UCET	2935	39910	SIPO	GH	22978300
992063	3384	1997-09-14	VYDAJ	PREVOD NA UCET	2935	33666	SIPO	GH	22978300
992064	3384	1997-10-14	VYDAJ	PREVOD NA UCET	2935	34504	SIPO	GH	22978300
992065	3384	1997-11-14	VYDAJ	PREVOD NA UCET	2935	37903	SIPO	GH	22978300
992066	3384	1997-12-14	VYDAJ	PREVOD NA UCET	2935	41066	SIPO	GH	22978300
992067	3384	1998-01-14	VYDAJ	PREVOD NA UCET	2935	42735	SIPO	GH	22978300
992068	3384	1998-02-14	VYDAJ	PREVOD NA UCET	2935	32258	SIPO	GH	22978300
992069	3384	1998-03-14	VYDAJ	PREVOD NA UCET	2935	35647	SIPO	GH	22978300
992070	3384	1998-04-14	VYDAJ	PREVOD NA UCET	2935	39050	SIPO	GH	22978300
992071	3384	1998-05-14	VYDAJ	PREVOD NA UCET	2935	40307	SIPO	GH	22978300
992072	3384	1998-06-14	VYDAJ	PREVOD NA UCET	2935	32504	SIPO	GH	22978300
992073	3384	1998-07-14	VYDAJ	PREVOD NA UCET	2935	35907	SIPO	GH	22978300
992074	3384	1998-08-14	VYDAJ	PREVOD NA UCET	2935	35570	SIPO	GH	22978300
992075	3384	1998-09-14	VYDAJ	PREVOD NA UCET	2935	38973	SIPO	GH	22978300
992076	3384	1998-10-14	VYDAJ	PREVOD NA UCET	2935	42389	SIPO	GH	22978300
992077	3384	1998-11-14	VYDAJ	PREVOD NA UCET	2935	44218	SIPO	GH	22978300
992078	3384	1998-12-14	VYDAJ	PREVOD NA UCET	2935	46956	SIPO	GH	22978300
992080	3384	1996-06-11	VYDAJ	VYBER	3950	34735	\N	\N	\N
992081	3384	1997-06-15	VYDAJ	VYBER	11550	37105	\N	\N	\N
992082	3384	1998-06-07	VYDAJ	VYBER	7300	29228	\N	\N	\N
992085	3384	1997-01-11	VYDAJ	VYBER	3750	39013	\N	\N	\N
992086	3384	1998-01-30	VYDAJ	VYBER	4700	28835	\N	\N	\N
992088	3384	1996-12-20	VYDAJ	VYBER	700	43829	\N	\N	\N
992089	3384	1997-12-11	VYDAJ	VYBER	250	44001	\N	\N	\N
992090	3384	1998-12-12	VYDAJ	VYBER	500	49891	\N	\N	\N
992103	3384	1997-01-03	VYDAJ	VYBER	1280	39832	\N	\N	\N
992104	3384	1997-01-01	VYDAJ	VYBER	560	41112	\N	\N	\N
992105	3384	1997-01-11	VYDAJ	VYBER	960	38053	\N	\N	\N
992106	3384	1997-01-07	VYDAJ	VYBER	400	37112	\N	\N	\N
992107	3384	1997-01-07	VYDAJ	VYBER	560	36552	\N	\N	\N
992108	3384	1997-01-05	VYDAJ	VYBER	2320	37512	\N	\N	\N
992109	3384	1998-01-01	VYDAJ	VYBER	480	40739	\N	\N	\N
992110	3384	1998-01-23	VYDAJ	VYBER	1360	35615	\N	\N	\N
992111	3384	1998-01-21	VYDAJ	VYBER	2240	38895	\N	\N	\N
992112	3384	1998-01-24	VYDAJ	VYBER	2080	33535	\N	\N	\N
992113	3384	1998-01-17	VYDAJ	VYBER	1600	41135	\N	\N	\N
992114	3384	1998-01-22	VYDAJ	VYBER	1920	36975	\N	\N	\N
992118	3384	1996-04-08	VYDAJ	VYBER	2400	25701	\N	\N	\N
992121	3384	1996-11-06	VYDAJ	VYBER	2880	37820	\N	\N	\N
992122	3384	1996-09-24	VYDAJ	VYBER	3760	37129	\N	\N	\N
992123	3384	1996-12-29	VYDAJ	VYBER	2320	41509	\N	\N	\N
992124	3384	1996-07-14	VYDAJ	VYBER	1120	34078	\N	\N	\N
992125	3384	1997-08-18	VYDAJ	VYBER	1600	38310	\N	\N	\N
992126	3384	1997-07-08	VYDAJ	VYBER	960	34618	\N	\N	\N
992127	3384	1997-09-07	VYDAJ	VYBER	2640	30390	\N	\N	\N
992128	3384	1997-06-17	VYDAJ	VYBER	1680	35425	\N	\N	\N
992129	3384	1997-08-31	VYDAJ	VYBER	1520	33030	\N	\N	\N
992130	3384	1997-05-27	VYDAJ	VYBER	2320	45203	\N	\N	\N
992131	3384	1997-09-16	VYDAJ	VYBER	2560	31106	\N	\N	\N
992132	3384	1998-07-31	VYDAJ	VYBER	1040	32308	\N	\N	\N
992133	3384	1998-05-22	VYDAJ	VYBER	3920	36387	\N	\N	\N
992134	3384	1998-01-09	VYDAJ	VYBER	1280	39459	\N	\N	\N
992135	3384	1998-07-30	VYDAJ	VYBER	2000	33207	\N	\N	\N
992136	3384	1998-04-29	VYDAJ	VYBER	1760	36890	\N	\N	\N
992152	3384	1996-03-31	VYDAJ	VYBER	15	29401	SLUZBY	\N	\N
992153	3384	1996-04-30	VYDAJ	VYBER	15	29083	SLUZBY	\N	\N
992154	3384	1996-05-31	VYDAJ	VYBER	15	32474	SLUZBY	\N	\N
992155	3384	1996-06-30	VYDAJ	VYBER	15	31922	SLUZBY	\N	\N
992156	3384	1996-07-31	VYDAJ	VYBER	15	34201	SLUZBY	\N	\N
992157	3384	1996-08-31	VYDAJ	VYBER	15	37613	SLUZBY	\N	\N
992158	3384	1996-09-30	VYDAJ	VYBER	15	37275	SLUZBY	\N	\N
992159	3384	1996-10-31	VYDAJ	VYBER	15	40700	SLUZBY	\N	\N
992160	3384	1996-11-30	VYDAJ	VYBER	15	41253	SLUZBY	\N	\N
992161	3384	1996-12-31	VYDAJ	VYBER	15	41672	SLUZBY	\N	\N
992162	3384	1997-01-31	VYDAJ	VYBER	15	35257	SLUZBY	\N	\N
992163	3384	1997-02-28	VYDAJ	VYBER	15	38673	SLUZBY	\N	\N
992164	3384	1997-03-31	VYDAJ	VYBER	15	42103	SLUZBY	\N	\N
992165	3384	1997-04-30	VYDAJ	VYBER	15	44247	SLUZBY	\N	\N
992166	3384	1997-05-31	VYDAJ	VYBER	15	45379	SLUZBY	\N	\N
992167	3384	1997-06-30	VYDAJ	VYBER	15	35578	SLUZBY	\N	\N
992168	3384	1997-07-31	VYDAJ	VYBER	15	36634	SLUZBY	\N	\N
992169	3384	1997-08-31	VYDAJ	VYBER	15	34550	SLUZBY	\N	\N
992170	3384	1997-09-30	VYDAJ	VYBER	15	31228	SLUZBY	\N	\N
992171	3384	1997-10-31	VYDAJ	VYBER	15	34627	SLUZBY	\N	\N
992172	3384	1997-11-30	VYDAJ	VYBER	15	38040	SLUZBY	\N	\N
992173	3384	1997-12-31	VYDAJ	VYBER	15	41219	SLUZBY	\N	\N
992174	3384	1998-01-31	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
992175	3384	1998-02-28	VYDAJ	VYBER	15	32371	SLUZBY	\N	\N
992176	3384	1998-03-31	VYDAJ	VYBER	15	35774	SLUZBY	\N	\N
992177	3384	1998-04-30	VYDAJ	VYBER	15	37031	SLUZBY	\N	\N
992178	3384	1998-05-31	VYDAJ	VYBER	15	36528	SLUZBY	\N	\N
992179	3384	1998-06-30	VYDAJ	VYBER	15	32631	SLUZBY	\N	\N
992180	3384	1998-07-31	VYDAJ	VYBER	15	32294	SLUZBY	\N	\N
992181	3384	1998-08-31	VYDAJ	VYBER	15	35697	SLUZBY	\N	\N
992182	3384	1998-09-30	VYDAJ	VYBER	15	39113	SLUZBY	\N	\N
992183	3384	1998-10-31	VYDAJ	VYBER	15	40942	SLUZBY	\N	\N
992184	3384	1998-11-30	VYDAJ	VYBER	15	44180	SLUZBY	\N	\N
992185	3384	1996-04-03	VYDAJ	VYBER	1300	28101	\N	\N	\N
992186	3384	1997-04-28	VYDAJ	VYBER	1300	44079	\N	\N	\N
992187	3384	1997-07-27	VYDAJ	VYBER	1400	36494	\N	\N	\N
992188	3384	1997-08-26	VYDAJ	VYBER	3900	34410	\N	\N	\N
992189	3384	1998-04-23	VYDAJ	VYBER	400	38650	\N	\N	\N
992190	3384	1998-07-22	VYDAJ	VYBER	700	35207	\N	\N	\N
992191	3384	1998-10-20	VYDAJ	VYBER	1600	40789	\N	\N	\N
992192	3384	1998-11-19	VYDAJ	VYBER	200	44018	\N	\N	\N
992231	3385	1997-12-21	PRIJEM	VKLAD	600	600	\N	\N	\N
992244	3385	1998-01-06	PRIJEM	VKLAD	5181	5781	\N	\N	\N
992245	3385	1998-02-06	PRIJEM	VKLAD	5181	22991	\N	\N	\N
992246	3385	1998-03-06	PRIJEM	VKLAD	5181	29455	\N	\N	\N
992247	3385	1998-04-06	PRIJEM	VKLAD	5181	32942	\N	\N	\N
992248	3385	1998-05-06	PRIJEM	VKLAD	5181	40049	\N	\N	\N
992249	3385	1998-06-06	PRIJEM	VKLAD	7772	44199	\N	\N	\N
992250	3385	1998-07-06	PRIJEM	VKLAD	5181	41471	\N	\N	\N
992251	3385	1998-08-06	PRIJEM	VKLAD	5181	40143	\N	\N	\N
992252	3385	1998-09-06	PRIJEM	VKLAD	5181	45011	\N	\N	\N
992253	3385	1998-10-06	PRIJEM	VKLAD	5181	47695	\N	\N	\N
992254	3385	1998-11-06	PRIJEM	VKLAD	5181	51393	\N	\N	\N
992255	3385	1998-12-06	PRIJEM	VKLAD	7772	52887	\N	\N	\N
992272	3385	1998-05-14	VYDAJ	PREVOD NA UCET	3454	32395	SIPO	UV	84957164
992273	3385	1998-06-14	VYDAJ	PREVOD NA UCET	3454	40745	SIPO	UV	84957164
992274	3385	1998-07-14	VYDAJ	PREVOD NA UCET	3454	38017	SIPO	UV	84957164
992275	3385	1998-08-14	VYDAJ	PREVOD NA UCET	3454	36689	SIPO	UV	84957164
992276	3385	1998-09-14	VYDAJ	PREVOD NA UCET	3454	41557	SIPO	UV	84957164
992277	3385	1998-10-14	VYDAJ	PREVOD NA UCET	3454	44241	SIPO	UV	84957164
992278	3385	1998-11-14	VYDAJ	PREVOD NA UCET	3454	46639	SIPO	UV	84957164
992279	3385	1998-12-14	VYDAJ	PREVOD NA UCET	3454	44233	SIPO	UV	84957164
992281	3385	1998-12-06	VYDAJ	VYBER	1700	51187	\N	\N	\N
992298	3385	1998-11-15	VYDAJ	VYBER	2000	44639	\N	\N	\N
992299	3385	1998-05-10	VYDAJ	VYBER	4200	35849	\N	\N	\N
992301	3385	1998-12-13	VYDAJ	VYBER	3500	47687	\N	\N	\N
992302	3385	1998-11-12	VYDAJ	VYBER	1300	50093	\N	\N	\N
992303	3385	1998-07-27	VYDAJ	VYBER	2600	34817	\N	\N	\N
992304	3385	1998-07-03	VYDAJ	VYBER	3200	36290	\N	\N	\N
992322	3385	1998-05-31	VYDAJ	VYBER	15	36427	SLUZBY	\N	\N
992323	3385	1998-06-30	VYDAJ	VYBER	15	39490	SLUZBY	\N	\N
992324	3385	1998-07-31	VYDAJ	VYBER	15	34962	SLUZBY	\N	\N
992325	3385	1998-08-31	VYDAJ	VYBER	15	39830	SLUZBY	\N	\N
992326	3385	1998-09-30	VYDAJ	VYBER	15	42514	SLUZBY	\N	\N
992327	3385	1998-10-31	VYDAJ	VYBER	15	46212	SLUZBY	\N	\N
992328	3385	1998-11-30	VYDAJ	VYBER	15	45115	SLUZBY	\N	\N
992329	3385	1998-01-20	PRIJEM	VKLAD	12000	17781	\N	\N	\N
992330	3385	1998-02-19	PRIJEM	VKLAD	1200	24191	\N	\N	\N
992331	3385	1998-03-21	VYDAJ	VYBER	1800	27655	\N	\N	\N
992332	3385	1998-04-20	PRIJEM	VKLAD	1800	34742	\N	\N	\N
992333	3385	1998-05-20	PRIJEM	VKLAD	3900	36295	\N	\N	\N
992334	3385	1998-06-19	VYDAJ	VYBER	1400	39345	\N	\N	\N
992335	3385	1998-07-19	VYDAJ	VYBER	600	37417	\N	\N	\N
992336	3385	1998-08-18	PRIJEM	VKLAD	3000	39689	\N	\N	\N
992337	3385	1998-09-17	PRIJEM	VKLAD	800	42357	\N	\N	\N
992338	3385	1998-10-17	PRIJEM	VKLAD	1800	46041	\N	\N	\N
992339	3385	1998-11-16	PRIJEM	VKLAD	300	44939	\N	\N	\N
992352	3386	1995-05-23	PRIJEM	VKLAD	600	600	\N	\N	\N
992355	3386	1995-10-24	PRIJEM	VKLAD	26722	24555	\N	\N	\N
992356	3386	1995-12-16	PRIJEM	VKLAD	39919	118641	\N	\N	\N
992357	3386	1995-08-09	PRIJEM	VKLAD	22425	120159	\N	\N	\N
992358	3386	1995-12-04	PRIJEM	VKLAD	11112	111846	\N	\N	\N
992359	3386	1995-11-19	PRIJEM	VKLAD	31953	79310	\N	\N	\N
992360	3386	1995-09-02	PRIJEM	VKLAD	40988	92992	\N	\N	\N
992361	3386	1995-08-15	PRIJEM	VKLAD	22954	85813	\N	\N	\N
992362	3386	1995-07-18	PRIJEM	VKLAD	24005	79197	\N	\N	\N
992363	3386	1995-08-01	PRIJEM	VKLAD	41167	91248	\N	\N	\N
992365	3386	1995-11-01	PRIJEM	VKLAD	22688	47357	\N	\N	\N
992366	3386	1995-06-10	PRIJEM	VKLAD	36768	37368	\N	\N	\N
992367	3386	1995-07-12	PRIJEM	VKLAD	22483	55192	\N	\N	\N
992368	3386	1995-09-11	PRIJEM	VKLAD	42327	135319	\N	\N	\N
992369	3386	1995-11-26	PRIJEM	VKLAD	49157	100567	\N	\N	\N
992370	3386	1995-08-03	PRIJEM	VKLAD	27186	118434	\N	\N	\N
992371	3386	1996-06-21	PRIJEM	VKLAD	30033	87797	\N	\N	\N
992372	3386	1996-04-16	PRIJEM	VKLAD	9351	95314	\N	\N	\N
992373	3386	1996-12-05	PRIJEM	VKLAD	47786	99212	\N	\N	\N
992374	3386	1996-09-09	PRIJEM	VKLAD	7350	82969	\N	\N	\N
992375	3386	1996-02-10	PRIJEM	VKLAD	13716	11630	\N	\N	\N
992376	3386	1996-06-18	PRIJEM	VKLAD	6156	57764	\N	\N	\N
992377	3386	1996-04-21	PRIJEM	VKLAD	6947	64461	\N	\N	\N
992378	3386	1996-04-27	PRIJEM	VKLAD	26030	90491	\N	\N	\N
992379	3386	1996-01-16	PRIJEM	VKLAD	12959	12200	\N	\N	\N
992380	3386	1996-02-29	PRIJEM	VKLAD	9408	79648	\N	\N	\N
992381	3386	1996-07-18	PRIJEM	VKLAD	36786	99657	\N	\N	\N
992382	3386	1996-02-26	PRIJEM	VKLAD	29724	47054	\N	\N	\N
992383	3386	1996-06-12	PRIJEM	VKLAD	47472	87961	\N	\N	\N
992384	3386	1996-01-22	PRIJEM	VKLAD	16492	35492	\N	\N	\N
992385	3386	1996-09-21	PRIJEM	VKLAD	23771	44299	\N	\N	\N
992386	3386	1996-10-22	PRIJEM	VKLAD	31635	54557	\N	\N	\N
992387	3386	1996-11-27	PRIJEM	VKLAD	11104	51222	\N	\N	\N
992388	3386	1996-05-04	PRIJEM	VKLAD	17059	107818	\N	\N	\N
992389	3386	1996-07-18	PRIJEM	VKLAD	9759	62871	\N	\N	\N
992390	3386	1996-09-01	PRIJEM	VKLAD	48486	75619	\N	\N	\N
992391	3386	1996-11-20	PRIJEM	VKLAD	9347	64474	\N	\N	\N
992392	3386	1996-03-20	PRIJEM	VKLAD	15526	63848	\N	\N	\N
992393	3386	1996-11-10	PRIJEM	VKLAD	34500	89227	\N	\N	\N
992394	3386	1996-05-22	PRIJEM	VKLAD	33012	67164	\N	\N	\N
992395	3386	1996-04-01	PRIJEM	VKLAD	21831	85963	\N	\N	\N
992396	3386	1996-05-29	PRIJEM	VKLAD	8574	75738	\N	\N	\N
992397	3386	1996-02-29	PRIJEM	VKLAD	23132	70186	\N	\N	\N
992398	3386	1997-03-21	PRIJEM	VKLAD	22290	58614	\N	\N	\N
992399	3386	1997-01-22	PRIJEM	VKLAD	38131	56037	\N	\N	\N
992400	3386	1997-08-21	PRIJEM	VKLAD	34246	53924	\N	\N	\N
992401	3386	1997-06-20	PRIJEM	VKLAD	8644	26630	\N	\N	\N
992402	3386	1997-01-31	PRIJEM	VKLAD	20074	89915	\N	\N	\N
992403	3386	1997-04-03	PRIJEM	VKLAD	27025	75347	\N	\N	\N
992404	3386	1997-02-07	PRIJEM	VKLAD	13782	103682	\N	\N	\N
992405	3386	1997-12-12	PRIJEM	VKLAD	44947	71226	\N	\N	\N
992406	3386	1997-02-15	PRIJEM	VKLAD	36058	96440	\N	\N	\N
992407	3386	1997-01-29	PRIJEM	VKLAD	29245	69682	\N	\N	\N
992408	3386	1997-06-28	PRIJEM	VKLAD	19044	45674	\N	\N	\N
992409	3386	1997-04-17	PRIJEM	VKLAD	49807	96054	\N	\N	\N
992410	3386	1997-09-14	PRIJEM	VKLAD	12344	40603	\N	\N	\N
992411	3386	1997-10-07	PRIJEM	VKLAD	18711	42052	\N	\N	\N
992412	3386	1997-12-15	PRIJEM	VKLAD	40297	111523	\N	\N	\N
992413	3386	1997-11-01	PRIJEM	VKLAD	25620	53687	\N	\N	\N
992414	3386	1997-11-19	PRIJEM	VKLAD	15486	46670	\N	\N	\N
992415	3386	1998-05-30	PRIJEM	VKLAD	45010	50699	\N	\N	\N
992416	3386	1998-06-20	PRIJEM	VKLAD	31878	60097	\N	\N	\N
992417	3386	1995-12-20	VYBER	VYBER	13682	43959	\N	\N	\N
992419	3386	1995-10-23	VYBER	VYBER	22867	2633	\N	\N	\N
992422	3386	1995-10-04	VYBER	VYBER	16131	36200	\N	\N	\N
992423	3386	1995-09-13	VYBER	VYBER	20350	89969	\N	\N	\N
992424	3386	1995-12-10	VYBER	VYBER	16124	78722	\N	\N	\N
992429	3386	1996-10-17	VYBER	VYBER	9540	22922	\N	\N	\N
992430	3386	1996-11-22	VYBER	VYBER	24356	40118	\N	\N	\N
992431	3386	1996-09-16	VYBER	VYBER	6811	39958	\N	\N	\N
992432	3386	1996-12-07	VYBER	VYBER	20421	78791	\N	\N	\N
992433	3386	1996-05-17	VYBER	VYBER	19066	48352	\N	\N	\N
992434	3386	1996-06-23	VYBER	VYBER	7777	80020	\N	\N	\N
992435	3386	1996-01-28	VYBER	VYBER	17816	5676	\N	\N	\N
992437	3386	1996-08-15	VYBER	VYBER	24096	42416	\N	\N	\N
992438	3386	1996-06-13	VYBER	VYBER	8953	79008	\N	\N	\N
992439	3386	1996-08-01	VYBER	VYBER	22578	66512	\N	\N	\N
992440	3386	1996-07-21	VYBER	VYBER	10893	88764	\N	\N	\N
992441	3386	1996-09-17	VYBER	VYBER	19430	20528	\N	\N	\N
992442	3386	1996-05-31	VYBER	VYBER	4085	72004	\N	\N	\N
992443	3386	1997-10-02	VYBER	VYBER	17421	23341	\N	\N	\N
992444	3386	1997-11-10	VYBER	VYBER	3603	31184	\N	\N	\N
992445	3386	1997-02-28	VYBER	VYBER	24189	52939	\N	\N	\N
992446	3386	1997-06-13	VYBER	VYBER	7480	19786	\N	\N	\N
992447	3386	1997-12-02	VYBER	VYBER	5729	41079	\N	\N	\N
992448	3386	1997-06-13	VYBER	VYBER	5131	27266	\N	\N	\N
992449	3386	1997-02-17	VYBER	VYBER	9753	86687	\N	\N	\N
992456	3386	1998-06-26	VYBER	VYBER	3579	56518	\N	\N	\N
992457	3386	1998-01-22	VYBER	VYBER	17128	17011	\N	\N	\N
992459	3386	1996-06-07	VYDAJ	VYBER	31500	40489	\N	\N	\N
992463	3386	1996-01-04	VYDAJ	VYBER	23400	12441	\N	\N	\N
992464	3386	1997-01-07	VYDAJ	VYBER	20400	17306	\N	\N	\N
992465	3386	1998-01-04	VYDAJ	VYBER	11100	83939	\N	\N	\N
992472	3386	1996-01-03	VYDAJ	VYBER	8400	35841	\N	\N	\N
992473	3386	1996-01-04	VYDAJ	VYBER	4500	7941	\N	\N	\N
992475	3386	1996-01-25	VYDAJ	VYBER	4800	23492	\N	\N	\N
992476	3386	1996-01-29	VYDAJ	VYBER	7800	-2125	\N	\N	\N
992477	3386	1996-01-24	VYDAJ	VYBER	7200	28292	\N	\N	\N
992478	3386	1997-01-24	VYDAJ	VYBER	4800	40437	\N	\N	\N
992479	3386	1997-01-23	VYDAJ	VYBER	3000	53037	\N	\N	\N
992480	3386	1997-01-23	VYDAJ	VYBER	7800	45237	\N	\N	\N
992481	3386	1997-01-06	VYDAJ	VYBER	1800	39506	\N	\N	\N
992482	3386	1997-01-04	VYDAJ	VYBER	8100	41306	\N	\N	\N
992483	3386	1997-01-07	VYDAJ	VYBER	1800	37706	\N	\N	\N
992484	3386	1998-01-29	VYDAJ	VYBER KARTOU	1800	3211	\N	\N	0
992485	3386	1998-01-05	VYDAJ	VYBER	5100	78839	\N	\N	\N
992486	3386	1998-01-20	VYDAJ	VYBER	6000	37139	\N	\N	\N
992487	3386	1998-01-03	VYDAJ	VYBER	7800	95039	\N	\N	\N
992488	3386	1998-01-21	VYDAJ	VYBER KARTOU	3000	34139	\N	\N	0
992489	3386	1998-01-24	VYDAJ	VYBER KARTOU	3300	13711	\N	\N	0
992490	3386	1995-10-05	VYDAJ	VYBER	4800	31400	\N	\N	\N
992492	3386	1995-09-13	VYDAJ	VYBER	7200	82769	\N	\N	\N
992493	3386	1995-10-23	VYDAJ	VYBER	4800	-2167	\N	\N	\N
992494	3386	1996-03-11	VYDAJ	VYBER	4800	74822	\N	\N	\N
992495	3386	1996-01-06	VYDAJ	VYBER	8700	-760	\N	\N	\N
992497	3386	1996-08-20	VYDAJ	VYBER	5400	26916	\N	\N	\N
992498	3386	1996-09-13	VYDAJ	VYBER	11100	71869	\N	\N	\N
992499	3386	1997-05-29	VYDAJ	VYBER	11700	46331	\N	\N	\N
992500	3386	1997-08-08	VYDAJ	VYBER	7800	26978	\N	\N	\N
992501	3386	1997-03-28	VYDAJ	VYBER	10500	48114	\N	\N	\N
992502	3386	1997-06-13	VYDAJ	VYBER	1800	17986	\N	\N	\N
992503	3386	1997-12-24	VYDAJ	VYBER	9000	102523	\N	\N	\N
992504	3386	1997-09-08	VYDAJ	VYBER	7200	46859	\N	\N	\N
992505	3386	1997-02-23	VYDAJ	VYBER	9900	76787	\N	\N	\N
992506	3386	1998-08-24	VYDAJ	VYBER	9900	7340	\N	\N	\N
992508	3386	1998-09-05	VYDAJ	VYBER	4800	2419	\N	\N	\N
992509	3386	1998-01-28	VYDAJ	VYBER	8700	5011	\N	\N	\N
992511	3386	1998-12-27	VYDAJ	VYBER KARTOU	3000	8814	\N	\N	0
992520	3386	1995-08-31	VYDAJ	VYBER	15	52004	SLUZBY	\N	\N
992521	3386	1995-09-30	VYDAJ	VYBER	15	52331	SLUZBY	\N	\N
992522	3386	1995-10-31	VYDAJ	VYBER	15	24669	SLUZBY	\N	\N
992523	3386	1995-11-30	VYDAJ	VYBER	15	100734	SLUZBY	\N	\N
992524	3386	1995-12-31	VYDAJ	VYBER	15	44241	SLUZBY	\N	\N
992525	3386	1996-01-31	VYDAJ	VYBER	15	-2082	SLUZBY	\N	\N
992526	3386	1996-02-29	VYDAJ	VYBER	15	79633	SLUZBY	\N	\N
992527	3386	1996-03-31	VYDAJ	VYBER	15	64132	SLUZBY	\N	\N
992528	3386	1996-04-30	VYDAJ	VYBER	15	90759	SLUZBY	\N	\N
992529	3386	1996-05-31	VYDAJ	VYBER	15	71989	SLUZBY	\N	\N
992530	3386	1996-06-30	VYDAJ	VYBER	15	80312	SLUZBY	\N	\N
992531	3386	1996-07-31	VYDAJ	VYBER	15	89090	SLUZBY	\N	\N
992532	3386	1996-08-31	VYDAJ	VYBER	15	27133	SLUZBY	\N	\N
992533	3386	1996-09-30	VYDAJ	VYBER	15	44462	SLUZBY	\N	\N
992534	3386	1996-10-31	VYDAJ	VYBER	15	54727	SLUZBY	\N	\N
992535	3386	1996-11-30	VYDAJ	VYBER	15	51426	SLUZBY	\N	\N
992536	3386	1996-12-31	VYDAJ	VYBER	15	49406	SLUZBY	\N	\N
992537	3386	1997-01-31	VYDAJ	VYBER	15	89900	SLUZBY	\N	\N
992538	3386	1997-02-28	VYDAJ	VYBER	15	52924	SLUZBY	\N	\N
992539	3386	1997-03-31	VYDAJ	VYBER	15	48322	SLUZBY	\N	\N
992540	3386	1997-04-30	VYDAJ	VYBER	15	96331	SLUZBY	\N	\N
992541	3386	1997-05-31	VYDAJ	VYBER	15	46697	SLUZBY	\N	\N
992542	3386	1997-06-30	VYDAJ	VYBER	15	45804	SLUZBY	\N	\N
992543	3386	1997-07-31	VYDAJ	VYBER	15	34778	SLUZBY	\N	\N
992544	3386	1997-08-31	VYDAJ	VYBER	15	54059	SLUZBY	\N	\N
992545	3386	1997-09-30	VYDAJ	VYBER	15	40762	SLUZBY	\N	\N
992546	3386	1997-10-31	VYDAJ	VYBER	15	28067	SLUZBY	\N	\N
992547	3386	1997-11-30	VYDAJ	VYBER	15	46808	SLUZBY	\N	\N
992548	3386	1997-12-31	VYDAJ	VYBER	15	102839	SLUZBY	\N	\N
992549	3386	1998-01-31	VYDAJ	VYBER	15	3367	SLUZBY	\N	\N
992550	3386	1998-02-28	VYDAJ	VYBER	15	5865	SLUZBY	\N	\N
992551	3386	1998-03-31	VYDAJ	VYBER	15	7973	SLUZBY	\N	\N
992552	3386	1998-04-30	VYDAJ	VYBER	15	5989	SLUZBY	\N	\N
992553	3386	1998-05-31	VYDAJ	VYBER	15	50719	SLUZBY	\N	\N
992554	3386	1998-06-30	VYDAJ	VYBER	15	56725	SLUZBY	\N	\N
992555	3386	1998-07-31	VYDAJ	VYBER	15	28440	SLUZBY	\N	\N
992556	3386	1998-08-31	VYDAJ	VYBER	15	7419	SLUZBY	\N	\N
992557	3386	1998-09-30	VYDAJ	VYBER	15	2414	SLUZBY	\N	\N
992558	3386	1998-10-31	VYDAJ	VYBER	15	5807	SLUZBY	\N	\N
992559	3386	1998-11-30	VYDAJ	VYBER	15	6514	SLUZBY	\N	\N
992560	3386	1995-06-22	VYDAJ	VYBER	4700	32668	\N	\N	\N
992561	3386	1995-07-22	VYDAJ	VYBER	29300	49897	\N	\N	\N
992562	3386	1995-08-03	VYDAJ	VYBER	20700	97734	\N	\N	\N
992563	3386	1995-08-09	VYDAJ	VYBER	57300	62859	\N	\N	\N
992564	3386	1995-08-21	VYDAJ	VYBER	34100	51713	\N	\N	\N
992565	3386	1995-09-11	VYDAJ	VYBER	25000	110319	\N	\N	\N
992566	3386	1995-09-20	VYDAJ	VYBER	30700	52069	\N	\N	\N
992567	3386	1995-10-20	VYDAJ	VYBER	5900	25500	\N	\N	\N
992568	3386	1995-11-19	VYDAJ	VYBER	27900	51410	\N	\N	\N
992569	3386	1995-12-04	VYDAJ	VYBER	17000	94846	\N	\N	\N
992570	3386	1995-12-16	VYDAJ	VYBER	28100	90541	\N	\N	\N
992571	3386	1995-12-19	VYDAJ	VYBER	32900	57641	\N	\N	\N
992572	3386	1996-01-18	PRIJEM	VKLAD	6800	19000	\N	\N	\N
992573	3386	1996-02-17	PRIJEM	VKLAD	5700	17330	\N	\N	\N
992574	3386	1996-03-18	VYDAJ	VYBER	26500	48322	\N	\N	\N
992575	3386	1996-04-17	VYDAJ	VYBER	37800	57514	\N	\N	\N
992576	3386	1996-05-04	VYDAJ	VYBER	40400	67418	\N	\N	\N
992577	3386	1996-05-17	VYDAJ	VYBER	14200	34152	\N	\N	\N
992578	3386	1996-06-16	VYDAJ	VYBER	27400	51608	\N	\N	\N
992579	3386	1996-07-16	VYDAJ	VYBER	27200	53112	\N	\N	\N
992580	3386	1996-08-15	VYDAJ	VYBER	10100	32316	\N	\N	\N
992581	3386	1996-09-14	VYDAJ	VYBER	25100	46769	\N	\N	\N
992582	3386	1996-10-14	VYDAJ	VYBER	12000	32462	\N	\N	\N
992583	3386	1996-11-13	VYDAJ	VYBER	34100	55127	\N	\N	\N
992584	3386	1996-12-13	VYDAJ	VYBER	29600	49191	\N	\N	\N
992585	3386	1997-01-12	PRIJEM	VKLAD	600	17906	\N	\N	\N
992586	3386	1997-02-11	VYDAJ	VYBER	43300	60382	\N	\N	\N
992587	3386	1997-03-13	VYDAJ	VYBER	16600	36324	\N	\N	\N
992588	3386	1997-04-12	VYDAJ	VYBER	29100	46247	\N	\N	\N
992589	3386	1997-05-12	VYDAJ	VYBER	38300	58031	\N	\N	\N
992590	3386	1997-06-11	VYDAJ	VYBER	14300	32397	\N	\N	\N
992591	3386	1997-07-11	VYDAJ	VYBER	11200	34604	\N	\N	\N
992592	3386	1997-08-10	VYDAJ	VYBER	7300	19678	\N	\N	\N
992593	3386	1997-09-09	VYDAJ	VYBER	18600	28259	\N	\N	\N
992594	3386	1997-10-09	VYDAJ	VYBER	14100	27952	\N	\N	\N
992595	3386	1997-11-08	VYDAJ	VYBER	18900	34787	\N	\N	\N
992596	3386	1997-12-08	VYDAJ	VYBER	14800	26279	\N	\N	\N
992597	3386	1998-01-07	VYDAJ	VYBER	35700	43139	\N	\N	\N
992598	3386	1998-02-06	PRIJEM	VKLAD	2500	5867	\N	\N	\N
992599	3386	1998-03-08	PRIJEM	VKLAD	2100	7965	\N	\N	\N
992600	3386	1998-04-07	VYDAJ	VYBER KARTOU	2000	5973	\N	\N	0
992601	3386	1998-05-07	VYDAJ	VYBER KARTOU	300	5689	\N	\N	0
992602	3386	1998-06-06	VYDAJ	VYBER	22500	28219	\N	\N	\N
992603	3386	1998-07-06	VYDAJ	VYBER	28500	28225	\N	\N	\N
992604	3386	1998-08-05	VYDAJ	VYBER	11200	17240	\N	\N	\N
992605	3386	1998-09-04	VYDAJ	VYBER KARTOU	200	7219	\N	\N	0
992606	3386	1998-10-04	PRIJEM	VKLAD	3400	5814	\N	\N	\N
992607	3386	1998-11-03	PRIJEM	VKLAD	700	6507	\N	\N	\N
992608	3386	1998-12-03	PRIJEM	VKLAD	5300	11814	\N	\N	\N
992661	3387	1996-12-28	PRIJEM	VKLAD	500	500	\N	\N	\N
992674	3387	1997-01-10	PRIJEM	PREVOD Z UCTU	33352	33852	\N	IJ	5352712
992675	3387	1997-02-10	PRIJEM	PREVOD Z UCTU	33352	62123	\N	IJ	5352712
992676	3387	1997-03-10	PRIJEM	PREVOD Z UCTU	33352	80603	\N	IJ	5352712
992677	3387	1997-04-10	PRIJEM	PREVOD Z UCTU	33352	92758	\N	IJ	5352712
992678	3387	1997-05-10	PRIJEM	PREVOD Z UCTU	33352	96259	\N	IJ	5352712
992679	3387	1997-06-10	PRIJEM	PREVOD Z UCTU	50028	112918	\N	IJ	5352712
992680	3387	1997-07-10	PRIJEM	PREVOD Z UCTU	33352	50685	\N	IJ	5352712
992681	3387	1997-08-10	PRIJEM	PREVOD Z UCTU	33352	77980	\N	IJ	5352712
992682	3387	1997-09-10	PRIJEM	PREVOD Z UCTU	33352	80102	\N	IJ	5352712
992683	3387	1997-10-10	PRIJEM	PREVOD Z UCTU	33352	89671	\N	IJ	5352712
992684	3387	1997-11-10	PRIJEM	PREVOD Z UCTU	33352	97136	\N	IJ	5352712
992685	3387	1997-12-10	PRIJEM	PREVOD Z UCTU	50028	97843	\N	IJ	5352712
992686	3387	1998-01-10	PRIJEM	PREVOD Z UCTU	33352	41914	\N	IJ	5352712
992687	3387	1998-02-10	PRIJEM	PREVOD Z UCTU	33352	51423	\N	IJ	5352712
992688	3387	1998-03-10	PRIJEM	PREVOD Z UCTU	33352	87963	\N	IJ	5352712
992689	3387	1998-04-10	PRIJEM	PREVOD Z UCTU	33352	98127	\N	IJ	5352712
992690	3387	1998-05-10	PRIJEM	PREVOD Z UCTU	33352	104926	\N	IJ	5352712
992691	3387	1998-06-10	PRIJEM	PREVOD Z UCTU	50028	117233	\N	IJ	5352712
992692	3387	1998-07-10	PRIJEM	PREVOD Z UCTU	33352	60138	\N	IJ	5352712
992693	3387	1998-08-10	PRIJEM	PREVOD Z UCTU	33352	59667	\N	IJ	5352712
992694	3387	1998-09-10	PRIJEM	PREVOD Z UCTU	33352	85186	\N	IJ	5352712
992695	3387	1998-10-10	PRIJEM	PREVOD Z UCTU	33352	112323	\N	IJ	5352712
992696	3387	1998-11-10	PRIJEM	PREVOD Z UCTU	33352	117601	\N	IJ	5352712
992697	3387	1998-12-10	PRIJEM	PREVOD Z UCTU	50028	79316	\N	IJ	5352712
992710	3387	1997-09-22	VYBER	VYBER	2437	77665	\N	\N	\N
992711	3387	1997-11-25	VYBER	VYBER	17050	53286	\N	\N	\N
992715	3387	1997-12-26	VYBER	VYBER	17846	50408	\N	\N	\N
992716	3387	1997-12-20	VYBER	VYBER	6389	87554	\N	\N	\N
992717	3387	1997-12-29	VYBER	VYBER	11189	39219	\N	\N	\N
992722	3387	1998-01-22	VYBER	VYBER	12644	40770	\N	\N	\N
992723	3387	1998-08-08	VYBER	VYBER	10398	26315	\N	\N	\N
992724	3387	1998-11-22	VYBER	VYBER	4401	72500	\N	\N	\N
992725	3387	1998-07-29	VYBER	VYBER	20944	36594	\N	\N	\N
992726	3387	1998-09-06	VYBER	VYBER	10928	51834	\N	\N	\N
992727	3387	1998-12-09	VYBER	VYBER	20128	29288	\N	\N	\N
992728	3387	1998-05-21	VYBER	VYBER	19585	85341	\N	\N	\N
992729	3387	1998-12-21	VYBER	VYBER	12078	68338	\N	\N	\N
992732	3387	1997-06-12	VYDAJ	VYBER	42300	17718	\N	\N	\N
992733	3387	1998-06-23	VYDAJ	VYBER	48600	26533	\N	\N	\N
992736	3387	1998-01-30	VYDAJ	VYBER	4200	17970	\N	\N	\N
992738	3387	1997-12-13	VYDAJ	VYBER	3900	93943	\N	\N	\N
992739	3387	1998-12-06	VYDAJ	VYBER	3900	49416	\N	\N	\N
992752	3387	1998-01-06	VYDAJ	VYBER	3900	13062	\N	\N	\N
992753	3387	1998-01-01	VYDAJ	VYBER	5400	34062	\N	\N	\N
992754	3387	1998-01-09	VYDAJ	VYBER	4500	8562	\N	\N	\N
992755	3387	1998-01-04	VYDAJ	VYBER	5700	16962	\N	\N	\N
992756	3387	1998-01-23	VYDAJ	VYBER	5700	35070	\N	\N	\N
992757	3387	1998-01-17	VYDAJ	VYBER	3900	38014	\N	\N	\N
992764	3387	1997-11-30	VYDAJ	VYBER	5700	47815	\N	\N	\N
992765	3387	1997-07-01	VYDAJ	VYBER	5400	17333	\N	\N	\N
992766	3387	1997-09-04	VYDAJ	VYBER	13200	46750	\N	\N	\N
992767	3387	1998-01-03	VYDAJ	VYBER	11400	22662	\N	\N	\N
992768	3387	1998-11-18	VYDAJ	VYBER	13500	81201	\N	\N	\N
992769	3387	1998-06-15	VYDAJ	VYBER	3900	96233	\N	\N	\N
992770	3387	1998-03-26	VYDAJ	VYBER	4500	64563	\N	\N	\N
992771	3387	1998-01-28	VYDAJ	VYBER	12900	22170	\N	\N	\N
992772	3387	1998-12-05	VYDAJ	VYBER	13500	53316	\N	\N	\N
992773	3387	1998-12-02	VYDAJ	VYBER	6000	66816	\N	\N	\N
992791	3387	1997-05-31	VYDAJ	VYBER	30	62890	SLUZBY	\N	\N
992792	3387	1997-06-30	VYDAJ	VYBER	30	22733	SLUZBY	\N	\N
992793	3387	1997-07-31	VYDAJ	VYBER	30	44628	SLUZBY	\N	\N
992794	3387	1997-08-31	VYDAJ	VYBER	30	59950	SLUZBY	\N	\N
992795	3387	1997-09-30	VYDAJ	VYBER	30	56319	SLUZBY	\N	\N
992796	3387	1997-10-31	VYDAJ	VYBER	30	63784	SLUZBY	\N	\N
992797	3387	1997-11-30	VYDAJ	VYBER	30	53515	SLUZBY	\N	\N
992798	3387	1997-12-31	VYDAJ	VYBER	30	39462	SLUZBY	\N	\N
992799	3387	1998-01-31	VYDAJ	VYBER	30	18071	SLUZBY	\N	\N
992800	3387	1998-02-28	VYDAJ	VYBER	30	54611	SLUZBY	\N	\N
992801	3387	1998-03-31	VYDAJ	VYBER	30	64775	SLUZBY	\N	\N
992802	3387	1998-04-30	VYDAJ	VYBER	30	71574	SLUZBY	\N	\N
992803	3387	1998-05-31	VYDAJ	VYBER	30	67205	SLUZBY	\N	\N
992804	3387	1998-06-30	VYDAJ	VYBER	30	26786	SLUZBY	\N	\N
992805	3387	1998-07-31	VYDAJ	VYBER	30	36713	SLUZBY	\N	\N
992806	3387	1998-08-31	VYDAJ	VYBER	30	62762	SLUZBY	\N	\N
992807	3387	1998-09-30	VYDAJ	VYBER	30	78971	SLUZBY	\N	\N
992808	3387	1998-10-31	VYDAJ	VYBER	30	84249	SLUZBY	\N	\N
992809	3387	1998-11-30	VYDAJ	VYBER	30	72816	SLUZBY	\N	\N
992810	3387	1997-01-27	VYDAJ	VYBER	5100	28752	\N	\N	\N
992811	3387	1997-02-26	VYDAJ	VYBER	15000	47123	\N	\N	\N
992812	3387	1997-03-28	VYDAJ	VYBER	21400	59203	\N	\N	\N
992813	3387	1997-04-27	VYDAJ	VYBER	30100	62658	\N	\N	\N
992814	3387	1997-05-27	VYDAJ	VYBER	33600	62659	\N	\N	\N
992815	3387	1997-06-10	VYDAJ	VYBER	52900	60018	\N	\N	\N
992816	3387	1997-06-26	PRIJEM	VKLAD	4900	22618	\N	\N	\N
992817	3387	1997-07-26	VYDAJ	VYBER	6200	44485	\N	\N	\N
992818	3387	1997-08-25	VYDAJ	VYBER	18200	59780	\N	\N	\N
992819	3387	1997-09-24	VYDAJ	VYBER	21600	56065	\N	\N	\N
992820	3387	1997-10-24	VYDAJ	VYBER	26100	63571	\N	\N	\N
992821	3387	1997-11-23	VYDAJ	VYBER	26800	70336	\N	\N	\N
992822	3387	1997-12-23	VYDAJ	VYBER	19300	68254	\N	\N	\N
992823	3387	1998-01-22	PRIJEM	VKLAD	15400	53414	\N	\N	\N
992824	3387	1998-02-21	PRIJEM	VKLAD	3100	54523	\N	\N	\N
992825	3387	1998-03-23	VYDAJ	VYBER	18900	69063	\N	\N	\N
992826	3387	1998-04-22	VYDAJ	VYBER	26800	71327	\N	\N	\N
992827	3387	1998-05-22	VYDAJ	VYBER	18400	66941	\N	\N	\N
992828	3387	1998-06-10	VYDAJ	VYBER	17100	100133	\N	\N	\N
992829	3387	1998-06-21	VYDAJ	VYBER	21100	75133	\N	\N	\N
992830	3387	1998-07-21	VYDAJ	VYBER	2600	57538	\N	\N	\N
992831	3387	1998-08-20	PRIJEM	VKLAD	2900	62567	\N	\N	\N
992832	3387	1998-09-19	VYDAJ	VYBER	6500	78686	\N	\N	\N
992833	3387	1998-10-10	VYDAJ	VYBER	17400	94923	\N	\N	\N
992834	3387	1998-10-19	VYDAJ	VYBER	11000	83923	\N	\N	\N
992835	3387	1998-11-10	VYDAJ	VYBER	22900	94701	\N	\N	\N
992836	3387	1998-11-18	VYDAJ	VYBER	4300	76901	\N	\N	\N
992837	3387	1998-12-18	PRIJEM	VKLAD	1100	80416	\N	\N	\N
993294	3389	1996-01-30	PRIJEM	VKLAD	1100	1100	\N	\N	\N
993295	3389	1996-11-08	PRIJEM	VKLAD	19193	54338	\N	\N	\N
993296	3389	1996-03-24	PRIJEM	VKLAD	20590	89811	\N	\N	\N
993297	3389	1996-05-01	PRIJEM	VKLAD	25616	68986	\N	\N	\N
993298	3389	1996-07-18	PRIJEM	VKLAD	25424	95948	\N	\N	\N
993299	3389	1996-06-25	PRIJEM	VKLAD	42336	79399	\N	\N	\N
993300	3389	1996-06-29	PRIJEM	VKLAD	24839	83738	\N	\N	\N
993301	3389	1996-03-01	PRIJEM	VKLAD	27519	69221	\N	\N	\N
993302	3389	1996-11-11	PRIJEM	VKLAD	30463	84801	\N	\N	\N
993303	3389	1996-08-02	PRIJEM	VKLAD	23927	89903	\N	\N	\N
993304	3389	1996-09-04	PRIJEM	VKLAD	5274	115855	\N	\N	\N
993305	3389	1996-02-24	PRIJEM	VKLAD	41493	56455	\N	\N	\N
993306	3389	1996-09-02	PRIJEM	VKLAD	21806	85919	\N	\N	\N
993307	3389	1996-07-07	PRIJEM	VKLAD	41155	125095	\N	\N	\N
993308	3389	1996-12-18	PRIJEM	VKLAD	26603	92624	\N	\N	\N
993309	3389	1996-12-14	PRIJEM	VKLAD	19925	110903	\N	\N	\N
993311	3389	1996-11-22	PRIJEM	VKLAD	17226	97145	\N	\N	\N
993312	3389	1996-12-05	PRIJEM	VKLAD	27677	96678	\N	\N	\N
993313	3389	1996-10-09	PRIJEM	VKLAD	42465	106199	\N	\N	\N
993314	3389	1996-09-04	PRIJEM	VKLAD	24662	110581	\N	\N	\N
993315	3389	1996-02-07	PRIJEM	VKLAD	13862	14962	\N	\N	\N
993317	3389	1996-10-22	PRIJEM	VKLAD	23530	81747	\N	\N	\N
993318	3389	1997-07-12	PRIJEM	VKLAD	24553	53941	\N	\N	\N
993319	3389	1997-10-12	PRIJEM	VKLAD	40821	78302	\N	\N	\N
993320	3389	1997-12-29	PRIJEM	VKLAD	11858	75791	\N	\N	\N
993321	3389	1997-11-23	PRIJEM	VKLAD	40318	106555	\N	\N	\N
993322	3389	1997-04-18	PRIJEM	VKLAD	41100	74766	\N	\N	\N
993323	3389	1997-10-31	PRIJEM	VKLAD	22449	83618	\N	\N	\N
993324	3389	1997-11-02	PRIJEM	VKLAD	5815	89419	\N	\N	\N
993325	3389	1997-11-25	PRIJEM	VKLAD	24649	131204	\N	\N	\N
993326	3389	1997-02-07	PRIJEM	VKLAD	23525	57257	\N	\N	\N
993327	3389	1997-01-11	PRIJEM	VKLAD	30253	127386	\N	\N	\N
993328	3389	1997-01-09	PRIJEM	VKLAD	39884	97133	\N	\N	\N
993329	3389	1997-04-06	PRIJEM	VKLAD	5768	38548	\N	\N	\N
993330	3389	1997-08-19	PRIJEM	VKLAD	29066	82964	\N	\N	\N
993331	3389	1997-07-12	PRIJEM	VKLAD	39382	93323	\N	\N	\N
993332	3389	1997-12-16	PRIJEM	VKLAD	25405	83933	\N	\N	\N
993333	3389	1998-08-01	PRIJEM	VKLAD	35175	117299	\N	\N	\N
993334	3389	1998-09-16	PRIJEM	VKLAD	11842	48251	\N	\N	\N
993335	3389	1998-06-22	PRIJEM	VKLAD	36081	62020	\N	\N	\N
993336	3389	1998-07-20	PRIJEM	VKLAD	44891	102605	\N	\N	\N
993337	3389	1998-08-12	PRIJEM	VKLAD	17581	78467	\N	\N	\N
993338	3389	1998-11-16	PRIJEM	VKLAD	49884	91025	\N	\N	\N
993339	3389	1998-02-23	PRIJEM	VKLAD	30983	102752	\N	\N	\N
993340	3389	1998-02-02	PRIJEM	VKLAD	21724	67337	\N	\N	\N
993341	3389	1998-10-24	PRIJEM	VKLAD	13558	63357	\N	\N	\N
993342	3389	1998-01-05	PRIJEM	VKLAD	8976	104856	\N	\N	\N
993343	3389	1998-03-04	PRIJEM	VKLAD	25492	83369	\N	\N	\N
993344	3389	1998-09-20	PRIJEM	VKLAD	41435	74686	\N	\N	\N
993345	3389	1998-01-10	PRIJEM	VKLAD	48089	148745	\N	\N	\N
993346	3389	1998-08-15	PRIJEM	VKLAD	23964	97549	\N	\N	\N
993347	3389	1998-02-23	PRIJEM	VKLAD	18225	120977	\N	\N	\N
993348	3389	1998-10-10	PRIJEM	VKLAD	46565	137481	\N	\N	\N
993349	3389	1998-03-21	PRIJEM	VKLAD	9049	46261	\N	\N	\N
993350	3389	1998-06-26	PRIJEM	VKLAD	30711	92731	\N	\N	\N
993351	3389	1998-01-18	PRIJEM	VKLAD	16938	94101	\N	\N	\N
993352	3389	1998-02-08	PRIJEM	VKLAD	16921	84258	\N	\N	\N
993353	3389	1998-01-04	PRIJEM	VKLAD	29701	95880	\N	\N	\N
993354	3389	1998-02-21	PRIJEM	VKLAD	13593	71769	\N	\N	\N
993355	3389	1998-10-02	PRIJEM	VKLAD	16028	90916	\N	\N	\N
993360	3389	1996-05-14	VYDAJ	PREVOD NA UCET	4882	64104	SIPO	IJ	52682036
993361	3389	1996-06-14	VYDAJ	PREVOD NA UCET	4882	40963	SIPO	IJ	52682036
993362	3389	1996-07-14	VYDAJ	PREVOD NA UCET	4882	70524	SIPO	IJ	52682036
993363	3389	1996-08-14	VYDAJ	PREVOD NA UCET	4882	85021	SIPO	IJ	52682036
993364	3389	1996-09-14	VYDAJ	PREVOD NA UCET	4882	90873	SIPO	IJ	52682036
993365	3389	1996-10-14	VYDAJ	PREVOD NA UCET	4882	58217	SIPO	IJ	52682036
993366	3389	1996-11-14	VYDAJ	PREVOD NA UCET	4882	79919	SIPO	IJ	52682036
993367	3389	1996-12-14	VYDAJ	PREVOD NA UCET	4882	66021	SIPO	IJ	52682036
993368	3389	1997-01-14	VYDAJ	PREVOD NA UCET	4882	46104	SIPO	IJ	52682036
993369	3389	1997-02-14	VYDAJ	PREVOD NA UCET	4882	28324	SIPO	IJ	52682036
993370	3389	1997-03-14	VYDAJ	PREVOD NA UCET	4882	19169	SIPO	IJ	52682036
993371	3389	1997-04-14	VYDAJ	PREVOD NA UCET	4882	33666	SIPO	IJ	52682036
993372	3389	1997-05-14	VYDAJ	PREVOD NA UCET	4882	40826	SIPO	IJ	52682036
993373	3389	1997-06-14	VYDAJ	PREVOD NA UCET	4882	37533	SIPO	IJ	52682036
993374	3389	1997-07-14	VYDAJ	PREVOD NA UCET	4882	88441	SIPO	IJ	52682036
993375	3389	1997-08-14	VYDAJ	PREVOD NA UCET	4882	53898	SIPO	IJ	52682036
993376	3389	1997-09-14	VYDAJ	PREVOD NA UCET	4882	41306	SIPO	IJ	52682036
993377	3389	1997-10-14	VYDAJ	PREVOD NA UCET	4882	73420	SIPO	IJ	52682036
993378	3389	1997-11-14	VYDAJ	PREVOD NA UCET	4882	84537	SIPO	IJ	52682036
993379	3389	1997-12-14	VYDAJ	PREVOD NA UCET	4882	58528	SIPO	IJ	52682036
993380	3389	1998-01-14	VYDAJ	PREVOD NA UCET	4882	102063	SIPO	IJ	52682036
993381	3389	1998-02-14	VYDAJ	PREVOD NA UCET	4882	79376	SIPO	IJ	52682036
993382	3389	1998-03-14	VYDAJ	PREVOD NA UCET	4882	56330	SIPO	IJ	52682036
993383	3389	1998-04-14	VYDAJ	PREVOD NA UCET	4882	18333	SIPO	IJ	52682036
993384	3389	1998-05-14	VYDAJ	PREVOD NA UCET	4882	18332	SIPO	IJ	52682036
993385	3389	1998-06-14	VYDAJ	PREVOD NA UCET	4882	23639	SIPO	IJ	52682036
993386	3389	1998-07-14	VYDAJ	PREVOD NA UCET	4882	88014	SIPO	IJ	52682036
993387	3389	1998-08-14	VYDAJ	PREVOD NA UCET	4882	73585	SIPO	IJ	52682036
993388	3389	1998-09-14	VYDAJ	PREVOD NA UCET	4882	36409	SIPO	IJ	52682036
993389	3389	1998-10-14	VYDAJ	PREVOD NA UCET	4882	83899	SIPO	IJ	52682036
993390	3389	1998-11-14	VYDAJ	PREVOD NA UCET	4882	58741	SIPO	IJ	52682036
993391	3389	1998-12-14	VYDAJ	PREVOD NA UCET	4882	81936	SIPO	IJ	52682036
993393	3389	1996-10-31	VYBER	VYBER	21347	35160	\N	\N	\N
993394	3389	1996-07-09	VYBER	VYBER	7689	75406	\N	\N	\N
993395	3389	1996-05-31	VYBER	VYBER	3995	45860	\N	\N	\N
993401	3389	1997-05-14	VYBER	VYBER	9802	45708	\N	\N	\N
993402	3389	1997-08-23	VYBER	VYBER	7732	55832	\N	\N	\N
993403	3389	1997-02-09	VYBER	VYBER	14151	43106	\N	\N	\N
993404	3389	1997-08-26	VYBER	VYBER	9873	45959	\N	\N	\N
993406	3389	1997-04-20	VYBER	VYBER	7630	67136	\N	\N	\N
993407	3389	1997-02-03	VYBER	VYBER	4988	33732	\N	\N	\N
993408	3389	1997-03-05	VYBER	VYBER	14214	24051	\N	\N	\N
993409	3389	1997-12-02	VYBER	VYBER	14759	63410	\N	\N	\N
993411	3389	1998-07-26	VYBER	VYBER	20841	81764	\N	\N	\N
993412	3389	1998-03-31	VYBER	VYBER	23238	23230	\N	\N	\N
993413	3389	1998-08-02	VYBER	VYBER	14313	60886	\N	\N	\N
993414	3389	1998-03-15	VYBER	VYBER	16018	40312	\N	\N	\N
993415	3389	1998-03-10	VYBER	VYBER	22157	61212	\N	\N	\N
993417	3389	1997-06-28	VYDAJ	VYBER	12000	29233	\N	\N	\N
993420	3389	1997-01-14	VYDAJ	VYBER	19800	50986	\N	\N	\N
993421	3389	1998-01-17	VYDAJ	VYBER	22500	79563	\N	\N	\N
993422	3389	1996-12-11	VYDAJ	VYBER	5700	90978	\N	\N	\N
993423	3389	1997-12-29	VYDAJ	VYBER	6600	69191	\N	\N	\N
993424	3389	1998-12-29	VYDAJ	VYBER	7800	45736	\N	\N	\N
993431	3389	1997-01-03	VYDAJ	VYBER	2400	65049	\N	\N	\N
993432	3389	1997-01-12	VYDAJ	VYBER	5400	70786	\N	\N	\N
993433	3389	1997-01-11	VYDAJ	VYBER	5400	121986	\N	\N	\N
993434	3389	1997-01-07	VYDAJ	VYBER	7800	57249	\N	\N	\N
993435	3389	1997-01-24	VYDAJ	VYBER	7200	38504	\N	\N	\N
993436	3389	1997-01-17	VYDAJ	VYBER	4200	41904	\N	\N	\N
993437	3389	1998-01-03	VYDAJ	VYBER	3300	66179	\N	\N	\N
993438	3389	1998-01-22	VYDAJ	VYBER	4800	59701	\N	\N	\N
993439	3389	1998-01-17	VYDAJ	VYBER	2400	77163	\N	\N	\N
993440	3389	1998-01-18	VYDAJ	VYBER	7500	86601	\N	\N	\N
993441	3389	1998-01-29	VYDAJ	VYBER	7500	45301	\N	\N	\N
993442	3389	1998-01-26	VYDAJ	VYBER	6900	52801	\N	\N	\N
993446	3389	1996-06-24	VYDAJ	VYBER	3900	37063	\N	\N	\N
993447	3389	1997-08-14	VYDAJ	VYBER	2700	58780	\N	\N	\N
993448	3389	1997-07-28	VYDAJ	VYBER	6000	61241	\N	\N	\N
993449	3389	1997-02-09	VYDAJ	VYBER	9900	33206	\N	\N	\N
993450	3389	1997-10-02	VYDAJ	VYBER	7500	37481	\N	\N	\N
993452	3389	1998-11-17	VYDAJ	VYBER	4500	86525	\N	\N	\N
993453	3389	1998-08-25	VYDAJ	VYBER	3900	54849	\N	\N	\N
993454	3389	1998-08-26	VYDAJ	VYBER	13800	41049	\N	\N	\N
993455	3389	1998-01-06	VYDAJ	VYBER	4200	100656	\N	\N	\N
993462	3389	1996-05-31	VYDAJ	VYBER	15	45845	SLUZBY	\N	\N
993463	3389	1996-06-30	VYDAJ	VYBER	15	83940	SLUZBY	\N	\N
993464	3389	1996-07-31	VYDAJ	VYBER	15	65976	SLUZBY	\N	\N
993465	3389	1996-08-31	VYDAJ	VYBER	15	64113	SLUZBY	\N	\N
993466	3389	1996-09-30	VYDAJ	VYBER	15	63734	SLUZBY	\N	\N
993467	3389	1996-10-31	VYDAJ	VYBER	15	35145	SLUZBY	\N	\N
993468	3389	1996-11-30	VYDAJ	VYBER	15	69001	SLUZBY	\N	\N
993469	3389	1996-12-31	VYDAJ	VYBER	15	67449	SLUZBY	\N	\N
993470	3389	1997-01-31	VYDAJ	VYBER	15	38720	SLUZBY	\N	\N
993471	3389	1997-02-28	VYDAJ	VYBER	15	38265	SLUZBY	\N	\N
993472	3389	1997-03-31	VYDAJ	VYBER	15	32780	SLUZBY	\N	\N
993473	3389	1997-04-30	VYDAJ	VYBER	15	55510	SLUZBY	\N	\N
993474	3389	1997-05-31	VYDAJ	VYBER	15	42415	SLUZBY	\N	\N
993475	3389	1997-06-30	VYDAJ	VYBER	15	29388	SLUZBY	\N	\N
993476	3389	1997-07-31	VYDAJ	VYBER	15	61480	SLUZBY	\N	\N
993477	3389	1997-08-31	VYDAJ	VYBER	15	46188	SLUZBY	\N	\N
993478	3389	1997-09-30	VYDAJ	VYBER	15	44981	SLUZBY	\N	\N
993479	3389	1997-10-31	VYDAJ	VYBER	15	83604	SLUZBY	\N	\N
993480	3389	1997-11-30	VYDAJ	VYBER	15	78169	SLUZBY	\N	\N
993481	3389	1997-12-31	VYDAJ	VYBER	15	69479	SLUZBY	\N	\N
993482	3389	1998-01-31	VYDAJ	VYBER	15	45613	SLUZBY	\N	\N
993483	3389	1998-02-28	VYDAJ	VYBER	15	57877	SLUZBY	\N	\N
993484	3389	1998-03-31	VYDAJ	VYBER	15	23215	SLUZBY	\N	\N
993485	3389	1998-04-30	VYDAJ	VYBER	15	23214	SLUZBY	\N	\N
993486	3389	1998-05-31	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
993487	3389	1998-06-30	VYDAJ	VYBER	15	92896	SLUZBY	\N	\N
993488	3389	1998-07-31	VYDAJ	VYBER	15	82124	SLUZBY	\N	\N
993489	3389	1998-08-31	VYDAJ	VYBER	15	41291	SLUZBY	\N	\N
993490	3389	1998-09-30	VYDAJ	VYBER	15	74888	SLUZBY	\N	\N
993491	3389	1998-10-31	VYDAJ	VYBER	15	63623	SLUZBY	\N	\N
993492	3389	1998-11-30	VYDAJ	VYBER	15	86818	SLUZBY	\N	\N
993493	3389	1996-02-29	VYDAJ	VYBER	14800	41702	\N	\N	\N
993494	3389	1996-03-30	VYDAJ	VYBER	31600	58211	\N	\N	\N
993495	3389	1996-04-29	VYDAJ	VYBER	15300	43128	\N	\N	\N
993496	3389	1996-05-29	VYDAJ	VYBER	14500	49604	\N	\N	\N
993497	3389	1996-06-28	VYDAJ	VYBER	20500	58899	\N	\N	\N
993498	3389	1996-07-07	VYDAJ	VYBER	42000	83095	\N	\N	\N
993499	3389	1996-07-28	VYDAJ	VYBER	30300	65648	\N	\N	\N
993500	3389	1996-08-27	VYDAJ	VYBER	21200	63821	\N	\N	\N
993501	3389	1996-09-04	VYDAJ	VYBER	20100	95755	\N	\N	\N
993502	3389	1996-09-26	VYDAJ	VYBER	27500	63373	\N	\N	\N
993503	3389	1996-10-09	VYDAJ	VYBER	43100	63099	\N	\N	\N
993504	3389	1996-10-26	VYDAJ	VYBER	25500	56247	\N	\N	\N
993505	3389	1996-11-25	VYDAJ	VYBER	28400	68745	\N	\N	\N
993506	3389	1996-12-14	VYDAJ	VYBER	40000	70903	\N	\N	\N
993507	3389	1996-12-25	VYDAJ	VYBER	25500	67124	\N	\N	\N
993508	3389	1997-01-11	VYDAJ	VYBER	45800	76186	\N	\N	\N
993509	3389	1997-01-24	PRIJEM	VKLAD	3800	45704	\N	\N	\N
993510	3389	1997-02-23	PRIJEM	VKLAD	9800	38124	\N	\N	\N
993511	3389	1997-03-25	PRIJEM	VKLAD	13500	32669	\N	\N	\N
993512	3389	1997-04-24	VYDAJ	VYBER	11800	55336	\N	\N	\N
993513	3389	1997-05-24	PRIJEM	VKLAD	1400	42226	\N	\N	\N
993514	3389	1997-06-23	PRIJEM	VKLAD	3700	41233	\N	\N	\N
993515	3389	1997-07-23	VYDAJ	VYBER	21200	67241	\N	\N	\N
993516	3389	1997-08-22	VYDAJ	VYBER	19400	63564	\N	\N	\N
993517	3389	1997-09-21	PRIJEM	VKLAD	3500	44806	\N	\N	\N
993518	3389	1997-10-21	VYDAJ	VYBER	12500	60920	\N	\N	\N
993519	3389	1997-11-20	VYDAJ	VYBER	18300	66237	\N	\N	\N
993520	3389	1997-11-25	VYDAJ	VYBER	18500	112704	\N	\N	\N
993521	3389	1997-11-30	VYDAJ	VYBER	34900	78183	\N	\N	\N
993522	3389	1997-12-20	VYDAJ	VYBER	20000	63933	\N	\N	\N
993523	3389	1998-01-10	VYDAJ	VYBER	41800	106945	\N	\N	\N
993524	3389	1998-01-19	VYDAJ	VYBER	22100	64501	\N	\N	\N
993525	3389	1998-02-18	VYDAJ	VYBER	21200	58176	\N	\N	\N
993526	3389	1998-02-23	VYDAJ	VYBER	63400	57577	\N	\N	\N
993527	3389	1998-03-20	VYDAJ	VYBER	3100	37212	\N	\N	\N
993528	3389	1998-04-19	PRIJEM	VKLAD	4800	23133	\N	\N	\N
993529	3389	1998-05-19	PRIJEM	VKLAD	10100	28432	\N	\N	\N
993530	3389	1998-06-18	PRIJEM	VKLAD	2300	25939	\N	\N	\N
993531	3389	1998-07-18	VYDAJ	VYBER	30300	57714	\N	\N	\N
993532	3389	1998-08-01	VYDAJ	VYBER	42100	75199	\N	\N	\N
993533	3389	1998-08-17	VYDAJ	VYBER	38800	58749	\N	\N	\N
993534	3389	1998-09-16	VYDAJ	VYBER	15000	33251	\N	\N	\N
993535	3389	1998-10-10	VYDAJ	VYBER	48700	88781	\N	\N	\N
993536	3389	1998-10-16	VYDAJ	VYBER	34100	49799	\N	\N	\N
993537	3389	1998-11-15	VYDAJ	VYBER	17600	41141	\N	\N	\N
993538	3389	1998-12-15	VYDAJ	VYBER	28400	53536	\N	\N	\N
993574	3390	1996-12-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
993587	3390	1997-01-10	PRIJEM	PREVOD Z UCTU	20313	21413	\N	GH	35062569
993588	3390	1997-02-10	PRIJEM	PREVOD Z UCTU	20313	43861	\N	GH	35062569
993589	3390	1997-03-10	PRIJEM	PREVOD Z UCTU	20313	57991	\N	GH	35062569
993590	3390	1997-04-10	PRIJEM	PREVOD Z UCTU	20313	61365	\N	GH	35062569
993591	3390	1997-05-10	PRIJEM	PREVOD Z UCTU	20313	65153	\N	GH	35062569
993592	3390	1997-06-10	PRIJEM	PREVOD Z UCTU	30470	75485	\N	GH	35062569
993593	3390	1997-07-10	PRIJEM	PREVOD Z UCTU	20313	66180	\N	GH	35062569
993594	3390	1997-08-10	PRIJEM	PREVOD Z UCTU	20313	62453	\N	GH	35062569
993595	3390	1997-09-10	PRIJEM	PREVOD Z UCTU	20313	60604	\N	GH	35062569
993596	3390	1997-10-10	PRIJEM	PREVOD Z UCTU	20313	64859	\N	GH	35062569
993597	3390	1997-11-10	PRIJEM	PREVOD Z UCTU	20313	55736	\N	GH	35062569
993598	3390	1997-12-10	PRIJEM	PREVOD Z UCTU	30470	63006	\N	GH	35062569
993599	3390	1998-01-10	PRIJEM	PREVOD Z UCTU	20313	53554	\N	GH	35062569
993600	3390	1998-02-10	PRIJEM	PREVOD Z UCTU	20313	54089	\N	GH	35062569
993601	3390	1998-03-10	PRIJEM	PREVOD Z UCTU	20313	50935	\N	GH	35062569
993602	3390	1998-04-10	PRIJEM	PREVOD Z UCTU	20313	61987	\N	GH	35062569
993603	3390	1998-05-10	PRIJEM	PREVOD Z UCTU	20313	67763	\N	GH	35062569
993604	3390	1998-06-10	PRIJEM	PREVOD Z UCTU	30470	68528	\N	GH	35062569
993605	3390	1998-07-10	PRIJEM	PREVOD Z UCTU	20313	73817	\N	GH	35062569
993606	3390	1998-08-10	PRIJEM	PREVOD Z UCTU	20313	73628	\N	GH	35062569
993607	3390	1998-09-10	PRIJEM	PREVOD Z UCTU	20313	69534	\N	GH	35062569
993608	3390	1998-10-10	PRIJEM	PREVOD Z UCTU	20313	79348	\N	GH	35062569
993609	3390	1998-11-10	PRIJEM	PREVOD Z UCTU	20313	57506	\N	GH	35062569
993610	3390	1998-12-10	PRIJEM	PREVOD Z UCTU	30470	68343	\N	GH	35062569
993627	3390	1997-05-13	VYDAJ	VYBER	2400	60084	\N	\N	0
993628	3390	1997-06-10	VYDAJ	VYBER	3200	70281	\N	\N	0
993629	3390	1997-07-13	VYDAJ	VYBER	3500	60571	\N	\N	0
993630	3390	1997-07-29	VYDAJ	VYBER	3600	41961	\N	\N	0
993631	3390	1997-09-10	VYDAJ	VYBER	3000	55600	\N	\N	0
993632	3390	1997-10-11	VYDAJ	VYBER	3100	59755	\N	\N	0
993633	3390	1997-11-21	VYDAJ	VYBER	2800	32417	\N	\N	0
993634	3390	1997-12-10	VYDAJ	VYBER	2500	60506	\N	\N	0
993635	3390	1997-12-31	VYDAJ	VYBER	2400	44971	\N	\N	0
993636	3390	1998-02-25	VYDAJ	VYBER	2200	46470	\N	\N	0
993637	3390	1998-03-12	VYDAJ	PREVOD NA UCET	3386	45546	UVER	WX	72620779
993638	3390	1998-04-12	VYDAJ	PREVOD NA UCET	3386	56597	UVER	WX	72620779
993639	3390	1998-05-12	VYDAJ	PREVOD NA UCET	3386	62373	UVER	WX	72620779
993640	3390	1998-06-12	VYDAJ	PREVOD NA UCET	3386	63139	UVER	WX	72620779
993641	3390	1998-07-12	VYDAJ	PREVOD NA UCET	3386	68427	UVER	WX	72620779
993642	3390	1998-08-12	VYDAJ	PREVOD NA UCET	3386	68238	UVER	WX	72620779
993643	3390	1998-09-12	VYDAJ	PREVOD NA UCET	3386	64144	UVER	WX	72620779
993644	3390	1998-10-12	VYDAJ	PREVOD NA UCET	3386	73958	UVER	WX	72620779
993645	3390	1998-11-12	VYDAJ	PREVOD NA UCET	3386	48516	UVER	WX	72620779
993646	3390	1998-12-12	VYDAJ	PREVOD NA UCET	3386	62954	UVER	WX	72620779
993663	3390	1997-05-14	VYDAJ	PREVOD NA UCET	850	59234	SIPO	IJ	88170289
993664	3390	1997-06-14	VYDAJ	PREVOD NA UCET	850	68766	SIPO	IJ	88170289
993665	3390	1997-07-14	VYDAJ	PREVOD NA UCET	850	59161	SIPO	IJ	88170289
993666	3390	1997-08-14	VYDAJ	PREVOD NA UCET	850	49334	SIPO	IJ	88170289
993667	3390	1997-09-14	VYDAJ	PREVOD NA UCET	850	54085	SIPO	IJ	88170289
993668	3390	1997-10-14	VYDAJ	PREVOD NA UCET	850	58240	SIPO	IJ	88170289
993669	3390	1997-11-14	VYDAJ	PREVOD NA UCET	850	39317	SIPO	IJ	88170289
993670	3390	1997-12-14	VYDAJ	PREVOD NA UCET	850	51287	SIPO	IJ	88170289
993671	3390	1998-01-14	VYDAJ	PREVOD NA UCET	850	44035	SIPO	IJ	88170289
993672	3390	1998-02-14	VYDAJ	PREVOD NA UCET	850	50570	SIPO	IJ	88170289
993673	3390	1998-03-14	VYDAJ	PREVOD NA UCET	850	44031	SIPO	IJ	88170289
993674	3390	1998-04-14	VYDAJ	PREVOD NA UCET	850	55082	SIPO	IJ	88170289
993675	3390	1998-05-14	VYDAJ	PREVOD NA UCET	850	60858	SIPO	IJ	88170289
993676	3390	1998-06-14	VYDAJ	PREVOD NA UCET	850	61624	SIPO	IJ	88170289
993677	3390	1998-07-14	VYDAJ	PREVOD NA UCET	850	66912	SIPO	IJ	88170289
993678	3390	1998-08-14	VYDAJ	PREVOD NA UCET	850	56523	SIPO	IJ	88170289
993679	3390	1998-09-14	VYDAJ	PREVOD NA UCET	850	58829	SIPO	IJ	88170289
993680	3390	1998-10-14	VYDAJ	PREVOD NA UCET	850	63243	SIPO	IJ	88170289
993681	3390	1998-11-14	VYDAJ	PREVOD NA UCET	850	47001	SIPO	IJ	88170289
993682	3390	1998-12-14	VYDAJ	PREVOD NA UCET	850	51139	SIPO	IJ	88170289
993699	3390	1997-05-10	VYDAJ	PREVOD NA UCET	2004	63149	 	IJ	12870973
993700	3390	1997-06-10	VYDAJ	PREVOD NA UCET	2004	73481	 	IJ	12870973
993701	3390	1997-07-10	VYDAJ	PREVOD NA UCET	2004	64176	 	IJ	12870973
993702	3390	1997-08-10	VYDAJ	PREVOD NA UCET	2004	60449	 	IJ	12870973
993703	3390	1997-09-10	VYDAJ	PREVOD NA UCET	2004	58600	 	IJ	12870973
993704	3390	1997-10-10	VYDAJ	PREVOD NA UCET	2004	62855	 	IJ	12870973
993705	3390	1997-11-10	VYDAJ	PREVOD NA UCET	2004	40832	 	IJ	12870973
993706	3390	1997-12-10	VYDAJ	PREVOD NA UCET	2004	58502	 	IJ	12870973
993707	3390	1998-01-10	VYDAJ	PREVOD NA UCET	2004	51550	 	IJ	12870973
993708	3390	1998-02-10	VYDAJ	PREVOD NA UCET	2004	52085	 	IJ	12870973
993709	3390	1998-03-10	VYDAJ	PREVOD NA UCET	2004	48931	 	IJ	12870973
993710	3390	1998-04-10	VYDAJ	PREVOD NA UCET	2004	59983	 	IJ	12870973
993711	3390	1998-05-10	VYDAJ	PREVOD NA UCET	2004	65759	 	IJ	12870973
993712	3390	1998-06-10	VYDAJ	PREVOD NA UCET	2004	66524	 	IJ	12870973
993713	3390	1998-07-10	VYDAJ	PREVOD NA UCET	2004	71813	 	IJ	12870973
993714	3390	1998-08-10	VYDAJ	PREVOD NA UCET	2004	71624	 	IJ	12870973
993715	3390	1998-09-10	VYDAJ	PREVOD NA UCET	2004	67530	 	IJ	12870973
993716	3390	1998-10-10	VYDAJ	PREVOD NA UCET	2004	77344	 	IJ	12870973
993717	3390	1998-11-10	VYDAJ	PREVOD NA UCET	2004	55502	 	IJ	12870973
993718	3390	1998-12-10	VYDAJ	PREVOD NA UCET	2004	66339	 	IJ	12870973
993735	3390	1997-05-13	VYDAJ	PREVOD NA UCET	105	63044	POJISTNE	KL	2908385
993736	3390	1997-06-13	VYDAJ	PREVOD NA UCET	105	69616	POJISTNE	KL	2908385
993737	3390	1997-07-13	VYDAJ	PREVOD NA UCET	105	64071	POJISTNE	KL	2908385
993738	3390	1997-08-13	VYDAJ	PREVOD NA UCET	105	50184	POJISTNE	KL	2908385
993739	3390	1997-09-13	VYDAJ	PREVOD NA UCET	105	55495	POJISTNE	KL	2908385
993740	3390	1997-10-13	VYDAJ	PREVOD NA UCET	105	59090	POJISTNE	KL	2908385
993741	3390	1997-11-13	VYDAJ	PREVOD NA UCET	105	40727	POJISTNE	KL	2908385
993742	3390	1997-12-13	VYDAJ	PREVOD NA UCET	105	52697	POJISTNE	KL	2908385
993743	3390	1998-01-13	VYDAJ	PREVOD NA UCET	105	44885	POJISTNE	KL	2908385
993744	3390	1998-02-13	VYDAJ	PREVOD NA UCET	105	51980	POJISTNE	KL	2908385
993745	3390	1998-03-13	VYDAJ	PREVOD NA UCET	105	45441	POJISTNE	KL	2908385
993746	3390	1998-04-13	VYDAJ	PREVOD NA UCET	105	55932	POJISTNE	KL	2908385
993747	3390	1998-05-13	VYDAJ	PREVOD NA UCET	105	62268	POJISTNE	KL	2908385
993748	3390	1998-06-13	VYDAJ	PREVOD NA UCET	105	62474	POJISTNE	KL	2908385
993749	3390	1998-07-13	VYDAJ	PREVOD NA UCET	105	68322	POJISTNE	KL	2908385
993750	3390	1998-08-13	VYDAJ	PREVOD NA UCET	105	67573	POJISTNE	KL	2908385
993751	3390	1998-09-13	VYDAJ	PREVOD NA UCET	105	59679	POJISTNE	KL	2908385
993752	3390	1998-10-13	VYDAJ	PREVOD NA UCET	105	64093	POJISTNE	KL	2908385
993753	3390	1998-11-13	VYDAJ	PREVOD NA UCET	105	47851	POJISTNE	KL	2908385
993754	3390	1998-12-13	VYDAJ	PREVOD NA UCET	105	52549	POJISTNE	KL	2908385
993771	3390	1997-05-13	VYDAJ	PREVOD NA UCET	560	62484	 	KL	97396742
993772	3390	1997-06-13	VYDAJ	PREVOD NA UCET	560	69721	 	KL	97396742
993773	3390	1997-07-13	VYDAJ	PREVOD NA UCET	560	60011	 	KL	97396742
993774	3390	1997-08-13	VYDAJ	PREVOD NA UCET	560	50289	 	KL	97396742
993775	3390	1997-09-13	VYDAJ	PREVOD NA UCET	560	54935	 	KL	97396742
993776	3390	1997-10-13	VYDAJ	PREVOD NA UCET	560	59195	 	KL	97396742
993777	3390	1997-11-13	VYDAJ	PREVOD NA UCET	560	40167	 	KL	97396742
993778	3390	1997-12-13	VYDAJ	PREVOD NA UCET	560	52137	 	KL	97396742
993779	3390	1998-01-13	VYDAJ	PREVOD NA UCET	560	44990	 	KL	97396742
993780	3390	1998-02-13	VYDAJ	PREVOD NA UCET	560	51420	 	KL	97396742
993781	3390	1998-03-13	VYDAJ	PREVOD NA UCET	560	44881	 	KL	97396742
993782	3390	1998-04-13	VYDAJ	PREVOD NA UCET	560	56037	 	KL	97396742
993783	3390	1998-05-13	VYDAJ	PREVOD NA UCET	560	61708	 	KL	97396742
993784	3390	1998-06-13	VYDAJ	PREVOD NA UCET	560	62579	 	KL	97396742
993785	3390	1998-07-13	VYDAJ	PREVOD NA UCET	560	67762	 	KL	97396742
993786	3390	1998-08-13	VYDAJ	PREVOD NA UCET	560	67678	 	KL	97396742
993787	3390	1998-09-13	VYDAJ	PREVOD NA UCET	560	59784	 	KL	97396742
993788	3390	1998-10-13	VYDAJ	PREVOD NA UCET	560	64198	 	KL	97396742
993789	3390	1998-11-13	VYDAJ	PREVOD NA UCET	560	47956	 	KL	97396742
993790	3390	1998-12-13	VYDAJ	PREVOD NA UCET	560	51989	 	KL	97396742
993803	3390	1997-10-16	VYBER	VYBER	20865	37375	\N	\N	\N
993806	3390	1998-02-26	VYBER	VYBER	8262	38208	\N	\N	\N
993807	3390	1998-03-06	VYBER	VYBER	7736	30622	\N	\N	\N
993808	3390	1998-05-19	VYBER	VYBER	12464	37894	\N	\N	\N
993809	3390	1998-11-08	VYBER	VYBER	13671	37193	\N	\N	\N
993817	3390	1997-12-12	VYDAJ	VYBER	5700	52802	\N	\N	\N
993818	3390	1998-12-07	VYDAJ	VYBER	6000	37873	\N	\N	\N
993831	3390	1998-01-29	VYDAJ	VYBER	5700	33635	\N	\N	\N
993832	3390	1998-01-23	VYDAJ	VYBER	4500	39335	\N	\N	\N
993833	3390	1998-01-01	VYDAJ	VYBER	5400	39541	\N	\N	\N
993834	3390	1998-01-13	VYDAJ	VYBER	6000	45550	\N	\N	\N
993835	3390	1998-01-08	VYDAJ	VYBER	3300	33241	\N	\N	\N
993836	3390	1998-01-02	VYDAJ	VYBER	3000	36541	\N	\N	\N
993844	3390	1997-08-13	VYDAJ	VYBER	9600	50849	\N	\N	\N
993845	3390	1997-06-29	VYDAJ	VYBER	5100	45666	\N	\N	\N
993847	3390	1997-11-10	VYDAJ	VYBER	12900	42836	\N	\N	\N
993848	3390	1998-10-25	VYDAJ	VYBER	7500	50643	\N	\N	\N
993849	3390	1998-12-03	VYDAJ	VYBER	3300	43873	\N	\N	\N
993850	3390	1998-08-22	VYDAJ	VYBER	7500	49023	\N	\N	\N
993851	3390	1998-10-25	VYDAJ	VYBER	5100	58143	\N	\N	\N
993869	3390	1997-05-31	VYDAJ	VYBER	30	45015	SLUZBY	\N	\N
993870	3390	1997-06-30	VYDAJ	VYBER	30	45867	SLUZBY	\N	\N
993871	3390	1997-07-31	VYDAJ	VYBER	30	42140	SLUZBY	\N	\N
993872	3390	1997-08-31	VYDAJ	VYBER	30	40291	SLUZBY	\N	\N
993873	3390	1997-09-30	VYDAJ	VYBER	30	44546	SLUZBY	\N	\N
993874	3390	1997-10-31	VYDAJ	VYBER	30	35423	SLUZBY	\N	\N
993875	3390	1997-11-30	VYDAJ	VYBER	30	32536	SLUZBY	\N	\N
993876	3390	1997-12-31	VYDAJ	VYBER	30	44941	SLUZBY	\N	\N
993877	3390	1998-01-31	VYDAJ	VYBER	30	33776	SLUZBY	\N	\N
993878	3390	1998-02-28	VYDAJ	VYBER	30	38358	SLUZBY	\N	\N
993879	3390	1998-03-31	VYDAJ	VYBER	30	41674	SLUZBY	\N	\N
993880	3390	1998-04-30	VYDAJ	VYBER	30	47450	SLUZBY	\N	\N
993881	3390	1998-05-31	VYDAJ	VYBER	30	38058	SLUZBY	\N	\N
993882	3390	1998-06-30	VYDAJ	VYBER	30	53504	SLUZBY	\N	\N
993883	3390	1998-07-31	VYDAJ	VYBER	30	53315	SLUZBY	\N	\N
993884	3390	1998-08-31	VYDAJ	VYBER	30	49221	SLUZBY	\N	\N
993885	3390	1998-09-30	VYDAJ	VYBER	30	59035	SLUZBY	\N	\N
993886	3390	1998-10-31	VYDAJ	VYBER	30	50864	SLUZBY	\N	\N
993887	3390	1998-11-30	VYDAJ	VYBER	30	47173	SLUZBY	\N	\N
993888	3390	1997-01-21	PRIJEM	VKLAD	2100	23513	\N	\N	\N
993889	3390	1997-02-20	VYDAJ	VYBER	6300	37561	\N	\N	\N
993890	3390	1997-03-22	VYDAJ	VYBER	17100	40891	\N	\N	\N
993891	3390	1997-04-21	VYDAJ	VYBER	16700	44665	\N	\N	\N
993892	3390	1997-05-21	VYDAJ	VYBER	14400	44834	\N	\N	\N
993893	3390	1997-06-20	VYDAJ	VYBER	18000	50766	\N	\N	\N
993894	3390	1997-07-20	VYDAJ	VYBER	13600	45561	\N	\N	\N
993895	3390	1997-08-19	VYDAJ	VYBER	9200	40134	\N	\N	\N
993896	3390	1997-09-18	VYDAJ	VYBER	9700	44385	\N	\N	\N
993897	3390	1997-10-18	VYDAJ	VYBER	2100	35275	\N	\N	\N
993898	3390	1997-11-17	VYDAJ	VYBER	4100	35217	\N	\N	\N
993899	3390	1997-12-17	VYDAJ	VYBER	4100	47187	\N	\N	\N
993900	3390	1998-01-16	VYDAJ	VYBER	200	43835	\N	\N	\N
993901	3390	1998-02-15	VYDAJ	VYBER	1900	48670	\N	\N	\N
993902	3390	1998-03-17	VYDAJ	VYBER	2500	41531	\N	\N	\N
993903	3390	1998-04-16	VYDAJ	VYBER	7800	47282	\N	\N	\N
993904	3390	1998-05-16	VYDAJ	VYBER	10500	50358	\N	\N	\N
993905	3390	1998-06-15	VYDAJ	VYBER	8300	53324	\N	\N	\N
993906	3390	1998-07-15	VYDAJ	VYBER	13800	53112	\N	\N	\N
993907	3390	1998-08-14	VYDAJ	VYBER	10200	57373	\N	\N	\N
993908	3390	1998-09-13	VYDAJ	VYBER	3800	60344	\N	\N	\N
993909	3390	1998-10-13	VYDAJ	VYBER	9200	64758	\N	\N	\N
993910	3390	1998-11-12	VYDAJ	VYBER	3600	51902	\N	\N	\N
993911	3390	1998-12-12	VYDAJ	VYBER	10300	52654	\N	\N	\N
993936	3391	1993-04-01	PRIJEM	VKLAD	300	300	\N	\N	\N
993940	3391	1993-04-12	PRIJEM	VKLAD	16980	17280	\N	\N	\N
993941	3391	1993-05-12	PRIJEM	VKLAD	16980	38206	\N	\N	\N
993942	3391	1993-06-12	PRIJEM	VKLAD	25470	58403	\N	\N	\N
993943	3391	1993-07-12	PRIJEM	VKLAD	16980	60022	\N	\N	\N
993944	3391	1993-08-12	PRIJEM	VKLAD	16980	57881	\N	\N	\N
993945	3391	1993-09-12	PRIJEM	VKLAD	16980	49357	\N	\N	\N
993946	3391	1993-10-12	PRIJEM	VKLAD	16980	48812	\N	\N	\N
993947	3391	1993-11-12	PRIJEM	VKLAD	16980	48437	\N	\N	\N
993948	3391	1993-12-12	PRIJEM	VKLAD	25470	57075	\N	\N	\N
993949	3391	1994-01-12	PRIJEM	VKLAD	16980	46240	\N	\N	\N
993950	3391	1994-02-12	PRIJEM	VKLAD	16980	41869	\N	\N	\N
993951	3391	1994-03-12	PRIJEM	VKLAD	16980	44192	\N	\N	\N
993952	3391	1994-04-12	PRIJEM	VKLAD	16980	46925	\N	\N	\N
993953	3391	1994-05-12	PRIJEM	VKLAD	16980	48166	\N	\N	\N
993954	3391	1994-06-12	PRIJEM	VKLAD	25470	33841	\N	\N	\N
993955	3391	1994-07-12	PRIJEM	VKLAD	16980	36837	\N	\N	\N
993956	3391	1994-08-12	PRIJEM	VKLAD	16980	43341	\N	\N	\N
993957	3391	1994-09-12	PRIJEM	VKLAD	16980	45866	\N	\N	\N
993958	3391	1994-10-12	PRIJEM	VKLAD	16980	46800	\N	\N	\N
993959	3391	1994-11-12	PRIJEM	VKLAD	16980	47836	\N	\N	\N
993960	3391	1994-12-12	PRIJEM	VKLAD	25470	51464	\N	\N	\N
993961	3391	1995-01-12	PRIJEM	VKLAD	16980	47222	\N	\N	\N
993962	3391	1995-02-12	PRIJEM	VKLAD	16980	44629	\N	\N	\N
993963	3391	1995-03-12	PRIJEM	VKLAD	16980	45854	\N	\N	\N
993964	3391	1995-04-12	PRIJEM	VKLAD	16980	49589	\N	\N	\N
993965	3391	1995-05-12	PRIJEM	VKLAD	16980	47329	\N	\N	\N
993966	3391	1995-06-12	PRIJEM	VKLAD	25470	58657	\N	\N	\N
993967	3391	1995-07-12	PRIJEM	VKLAD	16980	38481	\N	\N	\N
993968	3391	1995-08-12	PRIJEM	VKLAD	16980	39737	\N	\N	\N
993969	3391	1995-09-12	PRIJEM	VKLAD	16980	37739	\N	\N	\N
993970	3391	1995-10-12	PRIJEM	VKLAD	16980	41536	\N	\N	\N
993971	3391	1995-11-12	PRIJEM	VKLAD	16980	48253	\N	\N	\N
993972	3391	1995-12-12	PRIJEM	VKLAD	25470	55277	\N	\N	\N
993973	3391	1996-01-12	PRIJEM	VKLAD	16980	51562	\N	\N	\N
993974	3391	1996-02-12	PRIJEM	VKLAD	16980	41156	\N	\N	\N
993975	3391	1996-03-12	PRIJEM	VKLAD	16980	49273	\N	\N	\N
993976	3391	1996-04-12	PRIJEM	VKLAD	16980	46625	\N	\N	\N
993977	3391	1996-05-12	PRIJEM	VKLAD	16980	50056	\N	\N	\N
993978	3391	1996-06-12	PRIJEM	VKLAD	25470	62190	\N	\N	\N
993979	3391	1996-07-12	PRIJEM	VKLAD	16980	35149	\N	\N	\N
993980	3391	1996-08-12	PRIJEM	VKLAD	16980	42583	\N	\N	\N
993981	3391	1996-09-12	PRIJEM	VKLAD	16980	48500	\N	\N	\N
993982	3391	1996-10-12	PRIJEM	VKLAD	16980	50852	\N	\N	\N
993983	3391	1996-11-12	PRIJEM	VKLAD	16980	53200	\N	\N	\N
993984	3391	1996-12-12	PRIJEM	VKLAD	25470	68563	\N	\N	\N
993985	3391	1997-01-12	PRIJEM	VKLAD	16980	61690	\N	\N	\N
993986	3391	1997-02-12	PRIJEM	VKLAD	16980	55157	\N	\N	\N
993987	3391	1997-03-12	PRIJEM	VKLAD	16980	60137	\N	\N	\N
993988	3391	1997-04-12	PRIJEM	VKLAD	16980	68645	\N	\N	\N
993989	3391	1997-05-12	PRIJEM	VKLAD	16980	66983	\N	\N	\N
993990	3391	1997-06-12	PRIJEM	VKLAD	25470	67776	\N	\N	\N
993991	3391	1997-07-12	PRIJEM	VKLAD	16980	70407	\N	\N	\N
993992	3391	1997-08-12	PRIJEM	VKLAD	16980	67475	\N	\N	\N
993993	3391	1997-09-12	PRIJEM	VKLAD	16980	70693	\N	\N	\N
993994	3391	1997-10-12	PRIJEM	VKLAD	16980	71739	\N	\N	\N
993995	3391	1997-11-12	PRIJEM	VKLAD	16980	70594	\N	\N	\N
993996	3391	1997-12-12	PRIJEM	VKLAD	25470	73827	\N	\N	\N
993997	3391	1998-01-12	PRIJEM	VKLAD	16980	63581	\N	\N	\N
993998	3391	1998-02-12	PRIJEM	VKLAD	16980	57995	\N	\N	\N
993999	3391	1998-03-12	PRIJEM	VKLAD	16980	52981	\N	\N	\N
994000	3391	1998-04-12	PRIJEM	VKLAD	16980	54552	\N	\N	\N
994001	3391	1998-05-12	PRIJEM	VKLAD	16980	58227	\N	\N	\N
994002	3391	1998-06-12	PRIJEM	VKLAD	25470	48350	\N	\N	\N
994003	3391	1998-07-12	PRIJEM	VKLAD	16980	53510	\N	\N	\N
994004	3391	1998-08-12	PRIJEM	VKLAD	16980	59481	\N	\N	\N
994005	3391	1998-09-12	PRIJEM	VKLAD	16980	60776	\N	\N	\N
994006	3391	1998-10-12	PRIJEM	VKLAD	16980	64480	\N	\N	\N
994007	3391	1998-11-12	PRIJEM	VKLAD	16980	67491	\N	\N	\N
994008	3391	1998-12-12	PRIJEM	VKLAD	25470	72705	\N	\N	\N
994016	3391	1993-08-12	VYDAJ	PREVOD NA UCET	813	57068	SIPO	UV	31342697
994017	3391	1993-09-12	VYDAJ	PREVOD NA UCET	813	48544	SIPO	UV	31342697
994018	3391	1993-10-12	VYDAJ	PREVOD NA UCET	813	47999	SIPO	UV	31342697
994019	3391	1993-11-12	VYDAJ	PREVOD NA UCET	813	47624	SIPO	UV	31342697
994020	3391	1993-12-12	VYDAJ	PREVOD NA UCET	813	56262	SIPO	UV	31342697
994021	3391	1994-01-12	VYDAJ	PREVOD NA UCET	813	45427	SIPO	UV	31342697
994022	3391	1994-02-12	VYDAJ	PREVOD NA UCET	813	41056	SIPO	UV	31342697
994023	3391	1994-03-12	VYDAJ	PREVOD NA UCET	813	43379	SIPO	UV	31342697
994024	3391	1994-04-12	VYDAJ	PREVOD NA UCET	813	46112	SIPO	UV	31342697
994025	3391	1994-05-12	VYDAJ	PREVOD NA UCET	813	47353	SIPO	UV	31342697
994026	3391	1994-06-12	VYDAJ	PREVOD NA UCET	813	33028	SIPO	UV	31342697
994027	3391	1994-07-12	VYDAJ	PREVOD NA UCET	813	36024	SIPO	UV	31342697
994028	3391	1994-08-12	VYDAJ	PREVOD NA UCET	813	42528	SIPO	UV	31342697
994029	3391	1994-09-12	VYDAJ	PREVOD NA UCET	813	45053	SIPO	UV	31342697
994030	3391	1994-10-12	VYDAJ	PREVOD NA UCET	813	45987	SIPO	UV	31342697
994031	3391	1994-11-12	VYDAJ	PREVOD NA UCET	813	47023	SIPO	UV	31342697
994032	3391	1994-12-12	VYDAJ	PREVOD NA UCET	813	50651	SIPO	UV	31342697
994033	3391	1995-01-12	VYDAJ	PREVOD NA UCET	813	46409	SIPO	UV	31342697
994034	3391	1995-02-12	VYDAJ	PREVOD NA UCET	813	43816	SIPO	UV	31342697
994035	3391	1995-03-12	VYDAJ	PREVOD NA UCET	813	45041	SIPO	UV	31342697
994036	3391	1995-04-12	VYDAJ	PREVOD NA UCET	813	48776	SIPO	UV	31342697
994037	3391	1995-05-12	VYDAJ	PREVOD NA UCET	813	46516	SIPO	UV	31342697
994038	3391	1995-06-12	VYDAJ	PREVOD NA UCET	813	57844	SIPO	UV	31342697
994039	3391	1995-07-12	VYDAJ	PREVOD NA UCET	813	37668	SIPO	UV	31342697
994040	3391	1995-08-12	VYDAJ	PREVOD NA UCET	813	38924	SIPO	UV	31342697
994041	3391	1995-09-12	VYDAJ	PREVOD NA UCET	813	36926	SIPO	UV	31342697
994042	3391	1995-10-12	VYDAJ	PREVOD NA UCET	813	40723	SIPO	UV	31342697
994043	3391	1995-11-12	VYDAJ	PREVOD NA UCET	813	47440	SIPO	UV	31342697
994044	3391	1995-12-12	VYDAJ	PREVOD NA UCET	813	54464	SIPO	UV	31342697
994045	3391	1996-01-12	VYDAJ	PREVOD NA UCET	813	50749	SIPO	UV	31342697
994046	3391	1996-02-12	VYDAJ	PREVOD NA UCET	813	40343	SIPO	UV	31342697
994047	3391	1996-03-12	VYDAJ	PREVOD NA UCET	813	48460	SIPO	UV	31342697
994048	3391	1996-04-12	VYDAJ	PREVOD NA UCET	813	45812	SIPO	UV	31342697
994049	3391	1996-05-12	VYDAJ	PREVOD NA UCET	813	49243	SIPO	UV	31342697
994050	3391	1996-06-12	VYDAJ	PREVOD NA UCET	813	61377	SIPO	UV	31342697
994051	3391	1996-07-12	VYDAJ	PREVOD NA UCET	813	34336	SIPO	UV	31342697
994052	3391	1996-08-12	VYDAJ	PREVOD NA UCET	813	41770	SIPO	UV	31342697
994053	3391	1996-09-12	VYDAJ	PREVOD NA UCET	813	47687	SIPO	UV	31342697
994054	3391	1996-10-12	VYDAJ	PREVOD NA UCET	813	44039	SIPO	UV	31342697
994055	3391	1996-11-12	VYDAJ	PREVOD NA UCET	813	52387	SIPO	UV	31342697
994056	3391	1996-12-12	VYDAJ	PREVOD NA UCET	813	67750	SIPO	UV	31342697
994057	3391	1997-01-12	VYDAJ	PREVOD NA UCET	813	60877	SIPO	UV	31342697
994058	3391	1997-02-12	VYDAJ	PREVOD NA UCET	813	54344	SIPO	UV	31342697
994059	3391	1997-03-12	VYDAJ	PREVOD NA UCET	813	59324	SIPO	UV	31342697
994060	3391	1997-04-12	VYDAJ	PREVOD NA UCET	813	67832	SIPO	UV	31342697
994061	3391	1997-05-12	VYDAJ	PREVOD NA UCET	813	66170	SIPO	UV	31342697
994062	3391	1997-06-12	VYDAJ	PREVOD NA UCET	813	66963	SIPO	UV	31342697
994063	3391	1997-07-12	VYDAJ	PREVOD NA UCET	813	69594	SIPO	UV	31342697
994064	3391	1997-08-12	VYDAJ	PREVOD NA UCET	813	66662	SIPO	UV	31342697
994065	3391	1997-09-12	VYDAJ	PREVOD NA UCET	813	69880	SIPO	UV	31342697
994066	3391	1997-10-12	VYDAJ	PREVOD NA UCET	813	70926	SIPO	UV	31342697
994067	3391	1997-11-12	VYDAJ	PREVOD NA UCET	813	69781	SIPO	UV	31342697
994068	3391	1997-12-12	VYDAJ	PREVOD NA UCET	813	73014	SIPO	UV	31342697
994069	3391	1998-01-12	VYDAJ	PREVOD NA UCET	813	62768	SIPO	UV	31342697
994070	3391	1998-02-12	VYDAJ	PREVOD NA UCET	813	57182	SIPO	UV	31342697
994071	3391	1998-03-12	VYDAJ	PREVOD NA UCET	813	52168	SIPO	UV	31342697
994072	3391	1998-04-12	VYDAJ	PREVOD NA UCET	813	53739	SIPO	UV	31342697
994073	3391	1998-05-12	VYDAJ	PREVOD NA UCET	813	57414	SIPO	UV	31342697
994074	3391	1998-06-12	VYDAJ	PREVOD NA UCET	813	47537	SIPO	UV	31342697
994075	3391	1998-07-12	VYDAJ	PREVOD NA UCET	813	52697	SIPO	UV	31342697
994076	3391	1998-08-12	VYDAJ	PREVOD NA UCET	813	58668	SIPO	UV	31342697
994077	3391	1998-09-12	VYDAJ	PREVOD NA UCET	813	59963	SIPO	UV	31342697
994078	3391	1998-10-12	VYDAJ	PREVOD NA UCET	813	63667	SIPO	UV	31342697
994079	3391	1998-11-12	VYDAJ	PREVOD NA UCET	813	66678	SIPO	UV	31342697
994080	3391	1998-12-12	VYDAJ	PREVOD NA UCET	813	71892	SIPO	UV	31342697
994089	3391	1993-09-08	VYDAJ	PREVOD NA UCET	6082	32377	 	WX	58574038
994090	3391	1993-10-08	VYDAJ	PREVOD NA UCET	6082	31832	 	WX	58574038
994091	3391	1993-11-08	VYDAJ	PREVOD NA UCET	6082	31457	 	WX	58574038
994092	3391	1993-12-08	VYDAJ	PREVOD NA UCET	6082	31605	 	WX	58574038
994093	3391	1994-01-08	VYDAJ	PREVOD NA UCET	6082	29260	 	WX	58574038
994094	3391	1994-02-08	VYDAJ	PREVOD NA UCET	6082	26329	 	WX	58574038
994095	3391	1994-03-08	VYDAJ	PREVOD NA UCET	6082	27212	 	WX	58574038
994096	3391	1994-04-08	VYDAJ	PREVOD NA UCET	6082	29945	 	WX	58574038
994097	3391	1994-05-08	VYDAJ	PREVOD NA UCET	6082	31186	 	WX	58574038
994098	3391	1994-06-08	VYDAJ	PREVOD NA UCET	6082	8371	 	WX	58574038
994099	3391	1994-07-08	VYDAJ	PREVOD NA UCET	6082	19857	 	WX	58574038
994100	3391	1994-08-08	VYDAJ	PREVOD NA UCET	6082	26361	 	WX	58574038
994101	3391	1994-09-08	VYDAJ	PREVOD NA UCET	6082	28886	 	WX	58574038
994102	3391	1994-10-08	VYDAJ	PREVOD NA UCET	6082	29820	 	WX	58574038
994103	3391	1994-11-08	VYDAJ	PREVOD NA UCET	6082	30856	 	WX	58574038
994104	3391	1994-12-08	VYDAJ	PREVOD NA UCET	6082	25994	 	WX	58574038
994105	3391	1995-01-08	VYDAJ	PREVOD NA UCET	6082	30962	 	WX	58574038
994106	3391	1995-02-08	VYDAJ	PREVOD NA UCET	6082	27649	 	WX	58574038
994107	3391	1995-03-08	VYDAJ	PREVOD NA UCET	6082	28874	 	WX	58574038
994108	3391	1995-04-08	VYDAJ	PREVOD NA UCET	6082	32609	 	WX	58574038
994109	3391	1995-05-08	VYDAJ	PREVOD NA UCET	6082	30349	 	WX	58574038
994110	3391	1995-06-08	VYDAJ	PREVOD NA UCET	6082	33187	 	WX	58574038
994111	3391	1995-07-08	VYDAJ	PREVOD NA UCET	6082	21501	 	WX	58574038
994112	3391	1995-08-08	VYDAJ	PREVOD NA UCET	6082	22757	 	WX	58574038
994113	3391	1995-09-08	VYDAJ	PREVOD NA UCET	6082	20759	 	WX	58574038
994114	3391	1995-10-08	VYDAJ	PREVOD NA UCET	6082	24556	 	WX	58574038
994115	3391	1995-11-08	VYDAJ	PREVOD NA UCET	6082	31273	 	WX	58574038
994116	3391	1995-12-08	VYDAJ	PREVOD NA UCET	6082	29807	 	WX	58574038
994117	3391	1996-01-08	VYDAJ	PREVOD NA UCET	6082	36622	 	WX	58574038
994118	3391	1996-02-08	VYDAJ	PREVOD NA UCET	6082	24176	 	WX	58574038
994119	3391	1996-03-08	VYDAJ	PREVOD NA UCET	6082	32293	 	WX	58574038
994120	3391	1996-04-08	VYDAJ	PREVOD NA UCET	6082	31325	 	WX	58574038
994121	3391	1996-05-08	VYDAJ	PREVOD NA UCET	6082	33076	 	WX	58574038
994122	3391	1996-06-08	VYDAJ	PREVOD NA UCET	6082	36720	 	WX	58574038
994123	3391	1996-07-08	VYDAJ	PREVOD NA UCET	6082	18169	 	WX	58574038
994124	3391	1996-08-08	VYDAJ	PREVOD NA UCET	6082	25603	 	WX	58574038
994125	3391	1996-09-08	VYDAJ	PREVOD NA UCET	6082	31520	 	WX	58574038
994126	3391	1996-10-08	VYDAJ	PREVOD NA UCET	6082	33872	 	WX	58574038
994127	3391	1996-11-08	VYDAJ	PREVOD NA UCET	6082	38120	 	WX	58574038
994128	3391	1996-12-08	VYDAJ	PREVOD NA UCET	6082	46493	 	WX	58574038
994129	3391	1997-01-08	VYDAJ	PREVOD NA UCET	6082	57910	 	WX	58574038
994130	3391	1997-02-08	VYDAJ	PREVOD NA UCET	6082	42777	 	WX	58574038
994131	3391	1997-03-08	VYDAJ	PREVOD NA UCET	6082	48457	 	WX	58574038
994132	3391	1997-04-08	VYDAJ	PREVOD NA UCET	6082	53465	 	WX	58574038
994133	3391	1997-05-08	VYDAJ	PREVOD NA UCET	6082	62003	 	WX	58574038
994134	3391	1997-06-08	VYDAJ	PREVOD NA UCET	6082	33306	 	WX	58574038
994135	3391	1997-07-08	VYDAJ	PREVOD NA UCET	6082	61127	 	WX	58574038
994136	3391	1997-08-08	VYDAJ	PREVOD NA UCET	6082	60295	 	WX	58574038
994137	3391	1997-09-08	VYDAJ	PREVOD NA UCET	6082	53713	 	WX	58574038
994138	3391	1997-10-08	VYDAJ	PREVOD NA UCET	6082	54759	 	WX	58574038
994139	3391	1997-11-08	VYDAJ	PREVOD NA UCET	6082	53614	 	WX	58574038
994140	3391	1997-12-08	VYDAJ	PREVOD NA UCET	6082	51757	 	WX	58574038
994141	3391	1998-01-08	VYDAJ	PREVOD NA UCET	6082	49401	 	WX	58574038
994142	3391	1998-02-08	VYDAJ	PREVOD NA UCET	6082	41015	 	WX	58574038
994143	3391	1998-03-08	VYDAJ	PREVOD NA UCET	6082	36001	 	WX	58574038
994144	3391	1998-04-08	VYDAJ	PREVOD NA UCET	6082	37572	 	WX	58574038
994145	3391	1998-05-08	VYDAJ	PREVOD NA UCET	6082	41247	 	WX	58574038
994146	3391	1998-06-08	VYDAJ	PREVOD NA UCET	6082	41440	 	WX	58574038
994147	3391	1998-07-08	VYDAJ	PREVOD NA UCET	6082	36530	 	WX	58574038
994148	3391	1998-08-08	VYDAJ	PREVOD NA UCET	6082	42501	 	WX	58574038
994149	3391	1998-09-08	VYDAJ	PREVOD NA UCET	6082	43796	 	WX	58574038
994150	3391	1998-10-08	VYDAJ	PREVOD NA UCET	6082	47500	 	WX	58574038
994151	3391	1998-11-08	VYDAJ	PREVOD NA UCET	6082	50511	 	WX	58574038
994152	3391	1998-12-08	VYDAJ	PREVOD NA UCET	6082	47235	 	WX	58574038
994226	3391	1994-06-01	VYDAJ	VYBER	21760	14453	\N	\N	\N
994227	3391	1995-06-23	VYDAJ	VYBER	18720	27424	\N	\N	\N
994228	3391	1996-06-17	VYDAJ	VYBER	25760	24117	\N	\N	\N
994229	3391	1997-06-02	VYDAJ	VYBER	27040	39388	\N	\N	\N
994230	3391	1998-06-09	VYDAJ	VYBER	18560	22880	\N	\N	\N
994231	3391	1993-12-19	VYDAJ	VYBER	2720	53542	\N	\N	\N
994232	3391	1994-12-06	VYDAJ	VYBER	4000	32076	\N	\N	\N
994233	3391	1995-12-04	VYDAJ	VYBER	1440	35889	\N	\N	\N
994234	3391	1996-12-30	VYDAJ	VYBER	4000	63750	\N	\N	\N
994235	3391	1997-12-11	VYDAJ	VYBER KARTOU	3400	48357	\N	\N	0
994236	3391	1998-12-07	VYDAJ	VYBER KARTOU	2700	53317	\N	\N	0
994243	3391	1994-01-20	VYDAJ	VYBER	3480	40147	\N	\N	\N
994244	3391	1994-01-28	VYDAJ	VYBER	2280	32267	\N	\N	\N
994245	3391	1994-01-03	VYDAJ	VYBER	2760	36782	\N	\N	\N
994246	3391	1994-01-04	VYDAJ	VYBER	1440	35342	\N	\N	\N
994247	3391	1994-01-18	VYDAJ	VYBER	1800	43627	\N	\N	\N
994248	3391	1994-01-02	VYDAJ	VYBER	2280	39542	\N	\N	\N
994249	3391	1995-01-22	VYDAJ	VYBER	1680	36229	\N	\N	\N
994250	3391	1995-01-14	VYDAJ	VYBER	1560	44009	\N	\N	\N
994251	3391	1995-01-24	VYDAJ	VYBER	1920	34309	\N	\N	\N
994252	3391	1995-01-06	VYDAJ	VYBER	1560	37044	\N	\N	\N
994253	3391	1995-01-13	VYDAJ	VYBER	840	45569	\N	\N	\N
994254	3391	1995-01-09	VYDAJ	VYBER	720	30242	\N	\N	\N
994255	3391	1996-01-26	VYDAJ	VYBER	1920	32269	\N	\N	\N
994256	3391	1996-01-25	VYDAJ	VYBER	2160	34189	\N	\N	\N
994257	3391	1996-01-29	VYDAJ	VYBER	1080	30109	\N	\N	\N
994258	3391	1996-01-16	VYDAJ	VYBER	2520	42229	\N	\N	\N
994259	3391	1996-01-26	VYDAJ	VYBER	1080	31189	\N	\N	\N
994260	3391	1996-01-11	VYDAJ	VYBER	2040	34582	\N	\N	\N
994261	3391	1997-01-23	VYDAJ	VYBER	2400	54517	\N	\N	\N
994262	3391	1997-01-12	VYDAJ	VYBER	1200	59677	\N	\N	\N
994263	3391	1997-01-25	VYDAJ	VYBER	1920	52597	\N	\N	\N
994264	3391	1997-01-28	VYDAJ	VYBER	2760	49837	\N	\N	\N
994265	3391	1997-01-16	VYDAJ	VYBER	2760	56917	\N	\N	\N
994266	3391	1997-01-29	VYDAJ	VYBER	1200	48637	\N	\N	\N
994267	3391	1998-01-06	VYDAJ	VYBER KARTOU	2500	55483	\N	\N	0
994268	3391	1998-01-21	VYDAJ	VYBER KARTOU	1400	57068	\N	\N	0
994269	3391	1998-01-20	VYDAJ	VYBER KARTOU	2000	58468	\N	\N	0
994270	3391	1998-01-17	VYDAJ	VYBER KARTOU	600	60468	\N	\N	0
994271	3391	1998-01-11	VYDAJ	VYBER KARTOU	800	46601	\N	\N	0
994272	3391	1998-01-10	VYDAJ	VYBER KARTOU	2000	47401	\N	\N	0
994277	3391	1993-10-15	VYDAJ	VYBER	2520	45479	\N	\N	\N
994278	3391	1994-02-11	VYDAJ	VYBER	1440	24889	\N	\N	\N
994279	3391	1994-07-05	VYDAJ	VYBER	4200	25939	\N	\N	\N
994280	3391	1995-08-29	VYDAJ	VYBER	4800	26724	\N	\N	\N
994281	3391	1995-12-24	VYDAJ	VYBER	2520	42544	\N	\N	\N
994282	3391	1995-11-26	VYDAJ	VYBER	960	37180	\N	\N	\N
994283	3391	1995-01-27	VYDAJ	VYBER	720	33589	\N	\N	\N
994284	3391	1995-07-18	VYDAJ	VYBER	4440	33228	\N	\N	\N
994285	3391	1996-01-18	VYDAJ	VYBER	5880	36349	\N	\N	\N
994286	3391	1996-07-30	VYDAJ	VYBER	2160	31576	\N	\N	\N
994287	3391	1996-04-11	VYDAJ	VYBER	1680	29645	\N	\N	\N
994288	3391	1997-07-31	VYDAJ	VYBER	3480	66377	\N	\N	\N
994289	3391	1997-08-17	VYDAJ	VYBER	720	65942	\N	\N	\N
994290	3391	1997-11-20	VYDAJ	VYBER KARTOU	4700	65081	\N	\N	0
994291	3391	1998-06-24	VYDAJ	VYBER KARTOU	2500	45037	\N	\N	0
994292	3391	1998-02-13	VYDAJ	VYBER KARTOU	3600	53582	\N	\N	0
994293	3391	1998-10-24	VYDAJ	VYBER KARTOU	4000	57667	\N	\N	0
994294	3391	1998-01-14	VYDAJ	VYBER KARTOU	1700	61068	\N	\N	0
994295	3391	1998-03-21	VYDAJ	VYBER KARTOU	3600	48568	\N	\N	0
994296	3391	1998-10-20	VYDAJ	VYBER KARTOU	2000	61667	\N	\N	0
994305	3391	1993-08-31	VYDAJ	VYBER	15	38459	SLUZBY	\N	\N
994306	3391	1993-09-30	VYDAJ	VYBER	15	37914	SLUZBY	\N	\N
994307	3391	1993-10-31	VYDAJ	VYBER	15	37539	SLUZBY	\N	\N
994308	3391	1993-11-30	VYDAJ	VYBER	15	37687	SLUZBY	\N	\N
994309	3391	1993-12-31	VYDAJ	VYBER	15	41822	SLUZBY	\N	\N
994310	3391	1994-01-31	VYDAJ	VYBER	15	32411	SLUZBY	\N	\N
994311	3391	1994-02-28	VYDAJ	VYBER	15	33294	SLUZBY	\N	\N
994312	3391	1994-03-31	VYDAJ	VYBER	15	36027	SLUZBY	\N	\N
994313	3391	1994-04-30	VYDAJ	VYBER	15	37268	SLUZBY	\N	\N
994314	3391	1994-05-31	VYDAJ	VYBER	15	36213	SLUZBY	\N	\N
994315	3391	1994-06-30	VYDAJ	VYBER	15	30139	SLUZBY	\N	\N
994316	3391	1994-07-31	VYDAJ	VYBER	15	32443	SLUZBY	\N	\N
994317	3391	1994-08-31	VYDAJ	VYBER	15	34968	SLUZBY	\N	\N
994318	3391	1994-09-30	VYDAJ	VYBER	15	35902	SLUZBY	\N	\N
994319	3391	1994-10-31	VYDAJ	VYBER	15	36938	SLUZBY	\N	\N
994320	3391	1994-11-30	VYDAJ	VYBER	15	36076	SLUZBY	\N	\N
994321	3391	1994-12-31	VYDAJ	VYBER	15	38604	SLUZBY	\N	\N
994322	3391	1995-01-31	VYDAJ	VYBER	15	33731	SLUZBY	\N	\N
994323	3391	1995-02-28	VYDAJ	VYBER	15	34956	SLUZBY	\N	\N
994324	3391	1995-03-31	VYDAJ	VYBER	15	38691	SLUZBY	\N	\N
994325	3391	1995-04-30	VYDAJ	VYBER	15	36431	SLUZBY	\N	\N
994326	3391	1995-05-31	VYDAJ	VYBER	15	39269	SLUZBY	\N	\N
994327	3391	1995-06-30	VYDAJ	VYBER	15	27583	SLUZBY	\N	\N
994328	3391	1995-07-31	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
994329	3391	1995-08-31	VYDAJ	VYBER	15	26841	SLUZBY	\N	\N
994330	3391	1995-09-30	VYDAJ	VYBER	15	30638	SLUZBY	\N	\N
994331	3391	1995-10-31	VYDAJ	VYBER	15	37355	SLUZBY	\N	\N
994332	3391	1995-11-30	VYDAJ	VYBER	15	37329	SLUZBY	\N	\N
994333	3391	1995-12-31	VYDAJ	VYBER	15	42704	SLUZBY	\N	\N
994334	3391	1996-01-31	VYDAJ	VYBER	15	30258	SLUZBY	\N	\N
994335	3391	1996-02-29	VYDAJ	VYBER	15	38375	SLUZBY	\N	\N
994336	3391	1996-03-31	VYDAJ	VYBER	15	37407	SLUZBY	\N	\N
994337	3391	1996-04-30	VYDAJ	VYBER	15	39158	SLUZBY	\N	\N
994338	3391	1996-05-31	VYDAJ	VYBER	15	42802	SLUZBY	\N	\N
994339	3391	1996-06-30	VYDAJ	VYBER	15	24251	SLUZBY	\N	\N
994340	3391	1996-07-31	VYDAJ	VYBER	15	31685	SLUZBY	\N	\N
994341	3391	1996-08-31	VYDAJ	VYBER	15	37602	SLUZBY	\N	\N
994342	3391	1996-09-30	VYDAJ	VYBER	15	39954	SLUZBY	\N	\N
994343	3391	1996-10-31	VYDAJ	VYBER	15	44202	SLUZBY	\N	\N
994344	3391	1996-11-30	VYDAJ	VYBER	15	52575	SLUZBY	\N	\N
994345	3391	1996-12-31	VYDAJ	VYBER	15	63992	SLUZBY	\N	\N
994346	3391	1997-01-31	VYDAJ	VYBER	15	48859	SLUZBY	\N	\N
994347	3391	1997-02-28	VYDAJ	VYBER	15	54539	SLUZBY	\N	\N
994348	3391	1997-03-31	VYDAJ	VYBER	15	59547	SLUZBY	\N	\N
994349	3391	1997-04-30	VYDAJ	VYBER	15	68085	SLUZBY	\N	\N
994350	3391	1997-05-31	VYDAJ	VYBER	15	66428	SLUZBY	\N	\N
994351	3391	1997-06-30	VYDAJ	VYBER	15	67209	SLUZBY	\N	\N
994352	3391	1997-07-31	VYDAJ	VYBER	15	69857	SLUZBY	\N	\N
994353	3391	1997-08-31	VYDAJ	VYBER	15	66195	SLUZBY	\N	\N
994354	3391	1997-09-30	VYDAJ	VYBER	15	70141	SLUZBY	\N	\N
994355	3391	1997-10-31	VYDAJ	VYBER	15	71196	SLUZBY	\N	\N
994356	3391	1997-11-30	VYDAJ	VYBER	15	65339	SLUZBY	\N	\N
994357	3391	1997-12-31	VYDAJ	VYBER	15	73283	SLUZBY	\N	\N
994358	3391	1998-01-31	VYDAJ	VYBER	15	57297	SLUZBY	\N	\N
994359	3391	1998-02-28	VYDAJ	VYBER	15	53783	SLUZBY	\N	\N
994360	3391	1998-03-31	VYDAJ	VYBER	15	48754	SLUZBY	\N	\N
994361	3391	1998-04-30	VYDAJ	VYBER	15	53929	SLUZBY	\N	\N
994362	3391	1998-05-31	VYDAJ	VYBER	15	57622	SLUZBY	\N	\N
994363	3391	1998-06-30	VYDAJ	VYBER	15	45212	SLUZBY	\N	\N
994364	3391	1998-07-31	VYDAJ	VYBER	15	52883	SLUZBY	\N	\N
994365	3391	1998-08-31	VYDAJ	VYBER	15	58878	SLUZBY	\N	\N
994366	3391	1998-09-30	VYDAJ	VYBER	15	60182	SLUZBY	\N	\N
994367	3391	1998-10-31	VYDAJ	VYBER	15	57893	SLUZBY	\N	\N
994368	3391	1998-11-30	VYDAJ	VYBER	15	66917	SLUZBY	\N	\N
994369	3391	1993-05-01	PRIJEM	VKLAD	3900	21226	\N	\N	\N
994370	3391	1993-05-31	VYDAJ	VYBER	5400	32933	\N	\N	\N
994371	3391	1993-06-30	VYDAJ	VYBER	15500	43042	\N	\N	\N
994372	3391	1993-07-30	VYDAJ	VYBER	19300	40722	\N	\N	\N
994373	3391	1993-08-29	VYDAJ	VYBER	18800	38268	\N	\N	\N
994374	3391	1993-09-28	VYDAJ	VYBER	10800	37744	\N	\N	\N
994375	3391	1993-10-28	VYDAJ	VYBER	8100	37379	\N	\N	\N
994376	3391	1993-11-27	VYDAJ	VYBER	10100	37524	\N	\N	\N
994377	3391	1993-12-27	VYDAJ	VYBER	11900	41642	\N	\N	\N
994378	3391	1994-01-26	VYDAJ	VYBER	5600	34547	\N	\N	\N
994379	3391	1994-02-25	VYDAJ	VYBER	7900	33156	\N	\N	\N
994380	3391	1994-03-27	VYDAJ	VYBER	7500	35879	\N	\N	\N
994381	3391	1994-04-26	VYDAJ	VYBER	9000	37112	\N	\N	\N
994382	3391	1994-05-26	VYDAJ	VYBER	11300	36053	\N	\N	\N
994383	3391	1994-06-25	VYDAJ	VYBER	3000	30028	\N	\N	\N
994384	3391	1994-07-25	VYDAJ	VYBER	3700	32324	\N	\N	\N
994385	3391	1994-08-24	VYDAJ	VYBER	7700	34828	\N	\N	\N
994386	3391	1994-09-23	VYDAJ	VYBER	9300	35753	\N	\N	\N
994387	3391	1994-10-23	VYDAJ	VYBER	9200	36787	\N	\N	\N
994388	3391	1994-11-22	VYDAJ	VYBER	11100	35923	\N	\N	\N
994389	3391	1994-12-22	VYDAJ	VYBER	12200	38451	\N	\N	\N
994390	3391	1995-01-21	VYDAJ	VYBER	6100	37909	\N	\N	\N
994391	3391	1995-02-20	VYDAJ	VYBER	9000	34816	\N	\N	\N
994392	3391	1995-03-22	VYDAJ	VYBER	6500	38541	\N	\N	\N
994393	3391	1995-04-21	VYDAJ	VYBER	12500	36276	\N	\N	\N
994394	3391	1995-05-21	VYDAJ	VYBER	7400	39116	\N	\N	\N
994395	3391	1995-06-20	VYDAJ	VYBER	11700	46144	\N	\N	\N
994396	3391	1995-07-20	VYDAJ	VYBER	4500	28728	\N	\N	\N
994397	3391	1995-08-19	VYDAJ	VYBER	7400	31524	\N	\N	\N
994398	3391	1995-09-18	VYDAJ	VYBER	6400	30526	\N	\N	\N
994399	3391	1995-10-18	VYDAJ	VYBER	3500	37223	\N	\N	\N
994400	3391	1995-11-17	VYDAJ	VYBER	9300	38140	\N	\N	\N
994401	3391	1995-12-17	VYDAJ	VYBER	9400	45064	\N	\N	\N
994402	3391	1996-01-16	VYDAJ	VYBER	6000	44749	\N	\N	\N
994403	3391	1996-02-15	VYDAJ	VYBER	2100	38243	\N	\N	\N
994404	3391	1996-03-16	VYDAJ	VYBER	11200	37260	\N	\N	\N
994405	3391	1996-04-15	VYDAJ	VYBER	6800	39012	\N	\N	\N
994406	3391	1996-05-15	VYDAJ	VYBER	6600	42643	\N	\N	\N
994407	3391	1996-06-14	VYDAJ	VYBER	11500	49877	\N	\N	\N
994408	3391	1996-07-14	VYDAJ	VYBER	600	33736	\N	\N	\N
994409	3391	1996-08-13	VYDAJ	VYBER	4300	37470	\N	\N	\N
994410	3391	1996-09-12	VYDAJ	VYBER	7900	39787	\N	\N	\N
994411	3391	1996-10-12	VYDAJ	VYBER	6000	44852	\N	\N	\N
994412	3391	1996-11-11	VYDAJ	VYBER	1900	36220	\N	\N	\N
994413	3391	1996-12-11	VYDAJ	VYBER	3400	43093	\N	\N	\N
994414	3391	1997-01-10	VYDAJ	VYBER	13200	44710	\N	\N	\N
994415	3391	1997-02-09	VYDAJ	VYBER	4600	38177	\N	\N	\N
994416	3391	1997-03-11	VYDAJ	VYBER	5300	43157	\N	\N	\N
994417	3391	1997-04-10	VYDAJ	VYBER	1800	51665	\N	\N	\N
994418	3391	1997-05-10	VYDAJ	VYBER	12000	50003	\N	\N	\N
994419	3391	1997-06-09	PRIJEM	VKLAD	9000	42306	\N	\N	\N
994420	3391	1997-07-09	VYDAJ	VYBER	7700	53427	\N	\N	\N
994421	3391	1997-08-08	VYDAJ	VYBER	9800	50495	\N	\N	\N
994422	3391	1997-09-07	VYDAJ	VYBER	6400	59795	\N	\N	\N
994423	3391	1997-10-07	VYDAJ	VYBER	9300	60841	\N	\N	\N
994424	3391	1997-11-06	VYDAJ	VYBER	11500	59696	\N	\N	\N
994425	3391	1997-12-06	VYDAJ	VYBER KARTOU	7500	57839	\N	\N	0
994426	3391	1998-01-05	VYDAJ	VYBER	15300	57983	\N	\N	\N
994427	3391	1998-02-04	VYDAJ	VYBER	10200	47097	\N	\N	\N
994428	3391	1998-03-06	VYDAJ	VYBER	11700	42083	\N	\N	\N
994429	3391	1998-04-05	VYDAJ	VYBER KARTOU	5100	43654	\N	\N	0
994430	3391	1998-05-05	VYDAJ	VYBER KARTOU	6600	47329	\N	\N	0
994431	3391	1998-06-04	VYDAJ	VYBER	10100	47522	\N	\N	\N
994432	3391	1998-07-04	VYDAJ	VYBER KARTOU	2600	42612	\N	\N	0
994433	3391	1998-08-03	VYDAJ	VYBER KARTOU	4300	48583	\N	\N	0
994434	3391	1998-09-02	VYDAJ	VYBER	9000	49878	\N	\N	\N
994435	3391	1998-10-02	VYDAJ	VYBER KARTOU	6600	53582	\N	\N	0
994436	3391	1998-11-01	VYDAJ	VYBER KARTOU	1300	56593	\N	\N	0
994437	3391	1998-12-01	VYDAJ	VYBER	10900	56017	\N	\N	\N
994507	3392	1995-06-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
994513	3392	1995-06-09	PRIJEM	VKLAD	14169	15169	\N	\N	\N
994514	3392	1995-07-09	PRIJEM	VKLAD	9446	30561	\N	\N	\N
994515	3392	1995-08-09	PRIJEM	VKLAD	9446	38218	\N	\N	\N
994516	3392	1995-09-09	PRIJEM	VKLAD	9446	41615	\N	\N	\N
994517	3392	1995-10-09	PRIJEM	VKLAD	9446	41631	\N	\N	\N
994518	3392	1995-11-09	PRIJEM	VKLAD	9446	40097	\N	\N	\N
994519	3392	1995-12-09	PRIJEM	VKLAD	14169	41814	\N	\N	\N
994520	3392	1996-01-09	PRIJEM	VKLAD	9446	34887	\N	\N	\N
994521	3392	1996-02-09	PRIJEM	VKLAD	9446	30542	\N	\N	\N
994522	3392	1996-03-09	PRIJEM	VKLAD	9446	31260	\N	\N	\N
994523	3392	1996-04-09	PRIJEM	VKLAD	9446	30877	\N	\N	\N
994524	3392	1996-05-09	PRIJEM	VKLAD	9446	33293	\N	\N	\N
994525	3392	1996-06-09	PRIJEM	VKLAD	14169	40141	\N	\N	\N
994526	3392	1996-07-09	PRIJEM	VKLAD	9446	34264	\N	\N	\N
994527	3392	1996-08-09	PRIJEM	VKLAD	9446	31395	\N	\N	\N
994528	3392	1996-09-09	PRIJEM	VKLAD	9446	30414	\N	\N	\N
994529	3392	1996-10-09	PRIJEM	VKLAD	9446	31829	\N	\N	\N
994530	3392	1996-11-09	PRIJEM	VKLAD	9446	27046	\N	\N	\N
994531	3392	1996-12-09	PRIJEM	VKLAD	14169	36271	\N	\N	\N
994532	3392	1997-01-09	PRIJEM	VKLAD	9446	31279	\N	\N	\N
994533	3392	1997-02-09	PRIJEM	VKLAD	9446	23532	\N	\N	\N
994534	3392	1997-03-09	PRIJEM	VKLAD	9446	24224	\N	\N	\N
994535	3392	1997-04-09	PRIJEM	VKLAD	9446	24312	\N	\N	\N
994536	3392	1997-05-09	PRIJEM	VKLAD	9446	26701	\N	\N	\N
994537	3392	1997-06-09	PRIJEM	VKLAD	14169	29721	\N	\N	\N
994538	3392	1997-07-09	PRIJEM	VKLAD	9446	27624	\N	\N	\N
994539	3392	1997-08-09	PRIJEM	VKLAD	9446	29927	\N	\N	\N
994540	3392	1997-09-09	PRIJEM	VKLAD	9446	26643	\N	\N	\N
994541	3392	1997-10-09	PRIJEM	VKLAD	9446	29341	\N	\N	\N
994542	3392	1997-11-09	PRIJEM	VKLAD	9446	30349	\N	\N	\N
994543	3392	1997-12-09	PRIJEM	VKLAD	14169	29041	\N	\N	\N
994544	3392	1998-01-09	PRIJEM	VKLAD	9446	24409	\N	\N	\N
994545	3392	1998-02-09	PRIJEM	VKLAD	9446	25796	\N	\N	\N
994546	3392	1998-03-09	PRIJEM	VKLAD	9446	26188	\N	\N	\N
994547	3392	1998-04-09	PRIJEM	VKLAD	9446	20236	\N	\N	\N
994548	3392	1998-05-09	PRIJEM	VKLAD	9446	25210	\N	\N	\N
994549	3392	1998-06-09	PRIJEM	VKLAD	14169	27985	\N	\N	\N
994550	3392	1998-07-09	PRIJEM	VKLAD	9446	19636	\N	\N	\N
994551	3392	1998-08-09	PRIJEM	VKLAD	9446	28412	\N	\N	\N
994552	3392	1998-09-09	PRIJEM	VKLAD	9446	31551	\N	\N	\N
994553	3392	1998-10-09	PRIJEM	VKLAD	9446	36371	\N	\N	\N
994554	3392	1998-11-09	PRIJEM	VKLAD	9446	42214	\N	\N	\N
994555	3392	1998-12-09	PRIJEM	VKLAD	14169	39503	\N	\N	\N
994566	3392	1995-11-05	VYDAJ	PREVOD NA UCET	6139	30651	SIPO	GH	6041044
994567	3392	1995-12-05	VYDAJ	PREVOD NA UCET	6139	27645	SIPO	GH	6041044
994568	3392	1996-01-05	VYDAJ	PREVOD NA UCET	6139	25441	SIPO	GH	6041044
994569	3392	1996-02-05	VYDAJ	PREVOD NA UCET	6139	23976	SIPO	GH	6041044
994570	3392	1996-03-05	VYDAJ	PREVOD NA UCET	6139	21814	SIPO	GH	6041044
994571	3392	1996-04-05	VYDAJ	PREVOD NA UCET	6139	21431	SIPO	GH	6041044
994572	3392	1996-05-05	VYDAJ	PREVOD NA UCET	6139	23847	SIPO	GH	6041044
994573	3392	1996-06-05	VYDAJ	PREVOD NA UCET	6139	25972	SIPO	GH	6041044
994574	3392	1996-07-05	VYDAJ	PREVOD NA UCET	6139	24818	SIPO	GH	6041044
994575	3392	1996-08-05	VYDAJ	PREVOD NA UCET	6139	24349	SIPO	GH	6041044
994576	3392	1996-09-05	VYDAJ	PREVOD NA UCET	6139	20968	SIPO	GH	6041044
994577	3392	1996-10-05	VYDAJ	PREVOD NA UCET	6139	22383	SIPO	GH	6041044
994578	3392	1996-11-05	VYDAJ	PREVOD NA UCET	6139	17600	SIPO	GH	6041044
994579	3392	1996-12-05	VYDAJ	PREVOD NA UCET	6139	22102	SIPO	GH	6041044
994580	3392	1997-01-05	VYDAJ	PREVOD NA UCET	6139	21833	SIPO	GH	6041044
994581	3392	1997-02-05	VYDAJ	PREVOD NA UCET	6139	14086	SIPO	GH	6041044
994582	3392	1997-03-05	VYDAJ	PREVOD NA UCET	6139	14778	SIPO	GH	6041044
994583	3392	1997-04-05	VYDAJ	PREVOD NA UCET	6139	14866	SIPO	GH	6041044
994584	3392	1997-05-05	VYDAJ	PREVOD NA UCET	6139	17255	SIPO	GH	6041044
994585	3392	1997-06-05	VYDAJ	PREVOD NA UCET	6139	15552	SIPO	GH	6041044
994586	3392	1997-07-05	VYDAJ	PREVOD NA UCET	6139	18178	SIPO	GH	6041044
994587	3392	1997-08-05	VYDAJ	PREVOD NA UCET	6139	20481	SIPO	GH	6041044
994588	3392	1997-09-05	VYDAJ	PREVOD NA UCET	6139	17197	SIPO	GH	6041044
994589	3392	1997-10-05	VYDAJ	PREVOD NA UCET	6139	19895	SIPO	GH	6041044
994590	3392	1997-11-05	VYDAJ	PREVOD NA UCET	6139	20903	SIPO	GH	6041044
994591	3392	1997-12-05	VYDAJ	PREVOD NA UCET	6139	18712	SIPO	GH	6041044
994592	3392	1998-01-05	VYDAJ	PREVOD NA UCET	6139	14963	SIPO	GH	6041044
994593	3392	1998-02-05	VYDAJ	PREVOD NA UCET	6139	16350	SIPO	GH	6041044
994594	3392	1998-03-05	VYDAJ	PREVOD NA UCET	6139	16742	SIPO	GH	6041044
994595	3392	1998-04-05	VYDAJ	PREVOD NA UCET	6139	10790	SIPO	GH	6041044
994596	3392	1998-05-05	VYDAJ	PREVOD NA UCET	6139	15764	SIPO	GH	6041044
994597	3392	1998-06-05	VYDAJ	PREVOD NA UCET	6139	13816	SIPO	GH	6041044
994598	3392	1998-07-05	VYDAJ	PREVOD NA UCET	6139	10190	SIPO	GH	6041044
994599	3392	1998-08-05	VYDAJ	PREVOD NA UCET	6139	18966	SIPO	GH	6041044
994600	3392	1998-09-05	VYDAJ	PREVOD NA UCET	6139	22105	SIPO	GH	6041044
994601	3392	1998-10-05	VYDAJ	PREVOD NA UCET	6139	26925	SIPO	GH	6041044
994602	3392	1998-11-05	VYDAJ	PREVOD NA UCET	6139	32768	SIPO	GH	6041044
994603	3392	1998-12-05	VYDAJ	PREVOD NA UCET	6139	25334	SIPO	GH	6041044
994607	3392	1998-06-26	VYDAJ	VYBER	12640	16245	\N	\N	\N
994608	3392	1995-12-23	VYDAJ	VYBER	2080	39734	\N	\N	\N
994609	3392	1996-12-10	VYDAJ	VYBER	1120	35151	\N	\N	\N
994610	3392	1997-12-20	VYDAJ	VYBER	1280	23921	\N	\N	\N
994611	3392	1998-12-01	VYDAJ	VYBER	800	31473	\N	\N	\N
994617	3392	1995-11-24	VYDAJ	VYBER	4560	35537	\N	\N	\N
994618	3392	1996-02-07	VYDAJ	VYBER	2880	21096	\N	\N	\N
994619	3392	1996-10-26	VYDAJ	VYBER	3600	28229	\N	\N	\N
994620	3392	1996-08-31	VYDAJ	VYBER	3600	27922	\N	\N	\N
994621	3392	1996-06-24	VYDAJ	VYBER	4320	35821	\N	\N	\N
994622	3392	1996-08-06	VYDAJ	VYBER	2400	21949	\N	\N	\N
994623	3392	1996-10-30	VYDAJ	VYBER	5400	23629	\N	\N	\N
994624	3392	1997-12-07	VYDAJ	VYBER	3840	14872	\N	\N	\N
994625	3392	1997-08-10	VYDAJ	VYBER	5280	24647	\N	\N	\N
994626	3392	1997-01-31	VYDAJ	VYBER	5880	20225	\N	\N	\N
994627	3392	1997-01-21	VYDAJ	VYBER	3480	27799	\N	\N	\N
994628	3392	1997-12-09	VYDAJ	VYBER	3840	25201	\N	\N	\N
994629	3392	1998-11-11	VYDAJ	VYBER	4800	37414	\N	\N	\N
994630	3392	1998-03-26	VYDAJ	VYBER	5640	16848	\N	\N	\N
994632	3392	1998-11-30	VYDAJ	VYBER	3480	32288	\N	\N	\N
994633	3392	1998-06-02	VYDAJ	VYBER	5040	19955	\N	\N	\N
994634	3392	1998-08-12	VYDAJ	VYBER	5760	22652	\N	\N	\N
994645	3392	1995-10-31	VYDAJ	VYBER	15	41790	SLUZBY	\N	\N
994646	3392	1995-11-30	VYDAJ	VYBER	15	35684	SLUZBY	\N	\N
994647	3392	1995-12-31	VYDAJ	VYBER	15	39880	SLUZBY	\N	\N
994648	3392	1996-01-31	VYDAJ	VYBER	15	35015	SLUZBY	\N	\N
994649	3392	1996-02-29	VYDAJ	VYBER	15	30653	SLUZBY	\N	\N
994650	3392	1996-03-31	VYDAJ	VYBER	15	31370	SLUZBY	\N	\N
994651	3392	1996-04-30	VYDAJ	VYBER	15	30986	SLUZBY	\N	\N
994652	3392	1996-05-31	VYDAJ	VYBER	15	33411	SLUZBY	\N	\N
994653	3392	1996-06-30	VYDAJ	VYBER	15	35957	SLUZBY	\N	\N
994654	3392	1996-07-31	VYDAJ	VYBER	15	34388	SLUZBY	\N	\N
994655	3392	1996-08-31	VYDAJ	VYBER	15	27107	SLUZBY	\N	\N
994656	3392	1996-09-30	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
994657	3392	1996-10-31	VYDAJ	VYBER	15	23739	SLUZBY	\N	\N
994658	3392	1996-11-30	VYDAJ	VYBER	15	28241	SLUZBY	\N	\N
994659	3392	1996-12-31	VYDAJ	VYBER	15	27972	SLUZBY	\N	\N
994660	3392	1997-01-31	VYDAJ	VYBER	15	26105	SLUZBY	\N	\N
994661	3392	1997-02-28	VYDAJ	VYBER	15	20917	SLUZBY	\N	\N
994662	3392	1997-03-31	VYDAJ	VYBER	15	21005	SLUZBY	\N	\N
994663	3392	1997-04-30	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
994664	3392	1997-05-31	VYDAJ	VYBER	15	21691	SLUZBY	\N	\N
994665	3392	1997-06-30	VYDAJ	VYBER	15	24317	SLUZBY	\N	\N
994666	3392	1997-07-31	VYDAJ	VYBER	15	26620	SLUZBY	\N	\N
994667	3392	1997-08-31	VYDAJ	VYBER	15	23336	SLUZBY	\N	\N
994668	3392	1997-09-30	VYDAJ	VYBER	15	26034	SLUZBY	\N	\N
994669	3392	1997-10-31	VYDAJ	VYBER	15	27042	SLUZBY	\N	\N
994670	3392	1997-11-30	VYDAJ	VYBER	15	24851	SLUZBY	\N	\N
994671	3392	1997-12-31	VYDAJ	VYBER	15	21102	SLUZBY	\N	\N
994672	3392	1998-01-31	VYDAJ	VYBER	15	22489	SLUZBY	\N	\N
994673	3392	1998-02-28	VYDAJ	VYBER	15	22881	SLUZBY	\N	\N
994674	3392	1998-03-31	VYDAJ	VYBER	15	16929	SLUZBY	\N	\N
994675	3392	1998-04-30	VYDAJ	VYBER	15	21903	SLUZBY	\N	\N
994676	3392	1998-05-31	VYDAJ	VYBER	15	24995	SLUZBY	\N	\N
994677	3392	1998-06-30	VYDAJ	VYBER	15	16329	SLUZBY	\N	\N
994678	3392	1998-07-31	VYDAJ	VYBER	15	25105	SLUZBY	\N	\N
994679	3392	1998-08-31	VYDAJ	VYBER	15	28244	SLUZBY	\N	\N
994680	3392	1998-09-30	VYDAJ	VYBER	15	33064	SLUZBY	\N	\N
994681	3392	1998-10-31	VYDAJ	VYBER	15	38907	SLUZBY	\N	\N
994682	3392	1998-11-30	VYDAJ	VYBER	15	32273	SLUZBY	\N	\N
994683	3392	1995-07-08	PRIJEM	VKLAD	5900	21115	\N	\N	\N
994684	3392	1995-08-07	VYDAJ	VYBER	1900	28772	\N	\N	\N
994685	3392	1995-09-06	VYDAJ	VYBER	6200	32169	\N	\N	\N
994686	3392	1995-10-06	VYDAJ	VYBER	9600	32185	\N	\N	\N
994687	3392	1995-11-05	VYDAJ	VYBER	5000	36790	\N	\N	\N
994688	3392	1995-12-05	VYDAJ	VYBER	1900	33784	\N	\N	\N
994689	3392	1996-01-04	VYDAJ	VYBER	8300	31580	\N	\N	\N
994690	3392	1996-02-03	VYDAJ	VYBER	4900	30115	\N	\N	\N
994691	3392	1996-03-04	VYDAJ	VYBER	2700	27953	\N	\N	\N
994692	3392	1996-04-03	VYDAJ	VYBER	3800	27570	\N	\N	\N
994693	3392	1996-05-03	VYDAJ	VYBER	1000	29986	\N	\N	\N
994694	3392	1996-06-02	VYDAJ	VYBER	1300	32111	\N	\N	\N
994695	3392	1996-07-02	VYDAJ	VYBER	5000	30957	\N	\N	\N
994696	3392	1996-08-01	VYDAJ	VYBER	3900	30488	\N	\N	\N
994697	3392	1996-08-31	VYDAJ	VYBER	800	27122	\N	\N	\N
994698	3392	1996-09-30	VYDAJ	VYBER	2000	28522	\N	\N	\N
994699	3392	1996-10-30	PRIJEM	VKLAD	800	29029	\N	\N	\N
994700	3392	1996-11-29	PRIJEM	VKLAD	1100	28146	\N	\N	\N
994701	3392	1996-12-29	VYDAJ	VYBER	7300	27851	\N	\N	\N
994702	3392	1997-01-28	VYDAJ	VYBER	1800	25999	\N	\N	\N
994703	3392	1997-02-27	VYDAJ	VYBER	2700	20832	\N	\N	\N
994704	3392	1997-03-29	VYDAJ	VYBER	3300	20924	\N	\N	\N
994705	3392	1997-04-28	VYDAJ	VYBER	1000	23312	\N	\N	\N
994706	3392	1997-05-28	VYDAJ	VYBER	5100	21601	\N	\N	\N
994707	3392	1997-06-27	VYDAJ	VYBER	5500	24221	\N	\N	\N
994708	3392	1997-07-27	VYDAJ	VYBER	1100	26524	\N	\N	\N
994709	3392	1997-08-26	VYDAJ	VYBER	1400	23247	\N	\N	\N
994710	3392	1997-09-25	VYDAJ	VYBER	700	25943	\N	\N	\N
994711	3392	1997-10-25	VYDAJ	VYBER	2400	26941	\N	\N	\N
994712	3392	1997-11-24	VYDAJ	VYBER	5600	24749	\N	\N	\N
994713	3392	1997-12-24	VYDAJ	VYBER	2900	21021	\N	\N	\N
994714	3392	1998-01-23	VYDAJ	VYBER	2000	22409	\N	\N	\N
994715	3392	1998-02-22	VYDAJ	VYBER	3000	22796	\N	\N	\N
994716	3392	1998-03-24	VYDAJ	VYBER	3700	22488	\N	\N	\N
994717	3392	1998-04-23	PRIJEM	VKLAD	1600	21836	\N	\N	\N
994718	3392	1998-05-23	VYDAJ	VYBER	300	24910	\N	\N	\N
994719	3392	1998-06-22	PRIJEM	VKLAD	900	28885	\N	\N	\N
994720	3392	1998-07-22	PRIJEM	VKLAD	5400	25036	\N	\N	\N
994721	3392	1998-08-21	PRIJEM	VKLAD	5500	28152	\N	\N	\N
994722	3392	1998-09-20	PRIJEM	VKLAD	1400	32951	\N	\N	\N
994723	3392	1998-10-20	PRIJEM	VKLAD	2400	38771	\N	\N	\N
994724	3392	1998-11-19	VYDAJ	VYBER	1800	35614	\N	\N	\N
994768	3393	1996-12-22	PRIJEM	VKLAD	800	800	\N	\N	\N
994781	3393	1997-01-10	PRIJEM	PREVOD Z UCTU	11970	12770	\N	WX	62001865
994782	3393	1997-02-10	PRIJEM	PREVOD Z UCTU	11970	29165	\N	WX	62001865
994783	3393	1997-03-10	PRIJEM	PREVOD Z UCTU	11970	37919	\N	WX	62001865
994784	3393	1997-04-10	PRIJEM	PREVOD Z UCTU	11970	42903	\N	WX	62001865
994785	3393	1997-05-10	PRIJEM	PREVOD Z UCTU	11970	43302	\N	WX	62001865
994786	3393	1997-06-10	PRIJEM	PREVOD Z UCTU	17955	31370	\N	WX	62001865
994787	3393	1997-07-10	PRIJEM	PREVOD Z UCTU	11970	26027	\N	WX	62001865
994788	3393	1997-08-10	PRIJEM	PREVOD Z UCTU	11970	26187	\N	WX	62001865
994789	3393	1997-09-10	PRIJEM	PREVOD Z UCTU	11970	29753	\N	WX	62001865
994790	3393	1997-10-10	PRIJEM	PREVOD Z UCTU	11970	26822	\N	WX	62001865
994791	3393	1997-11-10	PRIJEM	PREVOD Z UCTU	11970	26883	\N	WX	62001865
994792	3393	1997-12-10	PRIJEM	PREVOD Z UCTU	17955	32028	\N	WX	62001865
994793	3393	1998-01-10	PRIJEM	PREVOD Z UCTU	11970	22589	\N	WX	62001865
994794	3393	1998-02-10	PRIJEM	PREVOD Z UCTU	11970	19123	\N	WX	62001865
994795	3393	1998-03-10	PRIJEM	PREVOD Z UCTU	11970	18149	\N	WX	62001865
994796	3393	1998-04-10	PRIJEM	PREVOD Z UCTU	11970	17974	\N	WX	62001865
994797	3393	1998-05-10	PRIJEM	PREVOD Z UCTU	11970	17797	\N	WX	62001865
994798	3393	1998-06-10	PRIJEM	PREVOD Z UCTU	17955	27814	\N	WX	62001865
994799	3393	1998-07-10	PRIJEM	PREVOD Z UCTU	11970	20554	\N	WX	62001865
994800	3393	1998-08-10	PRIJEM	PREVOD Z UCTU	11970	18784	\N	WX	62001865
994801	3393	1998-09-10	PRIJEM	PREVOD Z UCTU	11970	15703	\N	WX	62001865
994802	3393	1998-10-10	PRIJEM	PREVOD Z UCTU	11970	17119	\N	WX	62001865
994803	3393	1998-11-10	PRIJEM	PREVOD Z UCTU	11970	18441	\N	WX	62001865
994804	3393	1998-12-10	PRIJEM	PREVOD Z UCTU	17955	22043	\N	WX	62001865
994822	3393	1997-06-07	VYDAJ	PREVOD NA UCET	7993	13415	SIPO	KL	5670416
994823	3393	1997-07-07	VYDAJ	PREVOD NA UCET	7993	14057	SIPO	KL	5670416
994824	3393	1997-08-07	VYDAJ	PREVOD NA UCET	7993	14217	SIPO	KL	5670416
994825	3393	1997-09-07	VYDAJ	PREVOD NA UCET	7993	17783	SIPO	KL	5670416
994826	3393	1997-10-07	VYDAJ	PREVOD NA UCET	7993	14852	SIPO	KL	5670416
994827	3393	1997-11-07	VYDAJ	PREVOD NA UCET	7993	14913	SIPO	KL	5670416
994828	3393	1997-12-07	VYDAJ	PREVOD NA UCET	7993	14073	SIPO	KL	5670416
994829	3393	1998-01-07	VYDAJ	PREVOD NA UCET	7993	10619	SIPO	KL	5670416
994830	3393	1998-02-07	VYDAJ	PREVOD NA UCET	7993	7153	SIPO	KL	5670416
994831	3393	1998-03-07	VYDAJ	PREVOD NA UCET	7993	6179	SIPO	KL	5670416
994832	3393	1998-04-07	VYDAJ	PREVOD NA UCET	7993	6004	SIPO	KL	5670416
994833	3393	1998-05-07	VYDAJ	PREVOD NA UCET	7993	5827	SIPO	KL	5670416
994834	3393	1998-06-07	VYDAJ	PREVOD NA UCET	7993	9859	SIPO	KL	5670416
994835	3393	1998-07-07	VYDAJ	PREVOD NA UCET	7993	8584	SIPO	KL	5670416
994836	3393	1998-08-07	VYDAJ	PREVOD NA UCET	7993	6814	SIPO	KL	5670416
994837	3393	1998-09-07	VYDAJ	PREVOD NA UCET	7993	3733	SIPO	KL	5670416
994838	3393	1998-10-07	VYDAJ	PREVOD NA UCET	7993	5149	SIPO	KL	5670416
994839	3393	1998-11-07	VYDAJ	PREVOD NA UCET	7993	6471	SIPO	KL	5670416
994840	3393	1998-12-07	VYDAJ	PREVOD NA UCET	7993	4088	SIPO	KL	5670416
994858	3393	1997-05-18	VYBER	VYBER	22890	20412	\N	\N	\N
994896	3393	1998-01-01	VYDAJ	VYBER	2100	18612	\N	\N	\N
994909	3393	1997-06-10	VYDAJ	VYBER	6900	24470	\N	\N	\N
994935	3393	1997-05-31	VYDAJ	VYBER	15	21408	SLUZBY	\N	\N
994936	3393	1997-06-30	VYDAJ	VYBER	15	22050	SLUZBY	\N	\N
994937	3393	1997-07-31	VYDAJ	VYBER	15	22210	SLUZBY	\N	\N
994938	3393	1997-08-31	VYDAJ	VYBER	15	25776	SLUZBY	\N	\N
994939	3393	1997-09-30	VYDAJ	VYBER	15	22845	SLUZBY	\N	\N
994940	3393	1997-10-31	VYDAJ	VYBER	15	22906	SLUZBY	\N	\N
994941	3393	1997-11-30	VYDAJ	VYBER	15	22066	SLUZBY	\N	\N
994942	3393	1997-12-31	VYDAJ	VYBER	15	20712	SLUZBY	\N	\N
994943	3393	1998-01-31	VYDAJ	VYBER	15	15146	SLUZBY	\N	\N
994944	3393	1998-02-28	VYDAJ	VYBER	15	14172	SLUZBY	\N	\N
994945	3393	1998-03-31	VYDAJ	VYBER	15	13997	SLUZBY	\N	\N
994946	3393	1998-04-30	VYDAJ	VYBER	15	13820	SLUZBY	\N	\N
994947	3393	1998-05-31	VYDAJ	VYBER	15	17852	SLUZBY	\N	\N
994948	3393	1998-06-30	VYDAJ	VYBER	15	16577	SLUZBY	\N	\N
994949	3393	1998-07-31	VYDAJ	VYBER	15	14807	SLUZBY	\N	\N
994950	3393	1998-08-31	VYDAJ	VYBER	15	11726	SLUZBY	\N	\N
994951	3393	1998-09-30	VYDAJ	VYBER	15	13142	SLUZBY	\N	\N
994952	3393	1998-10-31	VYDAJ	VYBER	15	14464	SLUZBY	\N	\N
994953	3393	1998-11-30	VYDAJ	VYBER	15	12081	SLUZBY	\N	\N
994954	3393	1997-01-21	PRIJEM	VKLAD	4400	17170	\N	\N	\N
994955	3393	1997-02-20	VYDAJ	VYBER	3300	25865	\N	\N	\N
994956	3393	1997-03-22	VYDAJ	VYBER	7100	30819	\N	\N	\N
994957	3393	1997-04-21	VYDAJ	VYBER	11700	31203	\N	\N	\N
994958	3393	1997-05-21	PRIJEM	VKLAD	900	21312	\N	\N	\N
994959	3393	1997-06-20	VYDAJ	VYBER	2500	21970	\N	\N	\N
994960	3393	1997-07-20	VYDAJ	VYBER	3900	22127	\N	\N	\N
994961	3393	1997-08-19	VYDAJ	VYBER	500	25687	\N	\N	\N
994962	3393	1997-09-18	VYDAJ	VYBER	7000	22753	\N	\N	\N
994963	3393	1997-10-18	VYDAJ	VYBER	4000	22822	\N	\N	\N
994964	3393	1997-11-17	VYDAJ	VYBER	4900	21983	\N	\N	\N
994965	3393	1997-12-17	VYDAJ	VYBER	11400	20628	\N	\N	\N
994966	3393	1998-01-16	VYDAJ	VYBER	7500	15089	\N	\N	\N
994967	3393	1998-02-15	VYDAJ	VYBER	5000	14123	\N	\N	\N
994968	3393	1998-03-17	VYDAJ	VYBER	4200	13949	\N	\N	\N
994969	3393	1998-04-16	VYDAJ	VYBER	4200	13774	\N	\N	\N
994970	3393	1998-06-15	VYDAJ	VYBER	11300	16514	\N	\N	\N
994971	3393	1998-07-15	VYDAJ	VYBER	5800	14754	\N	\N	\N
994972	3393	1998-08-14	VYDAJ	VYBER	7100	11684	\N	\N	\N
994973	3393	1998-09-13	VYDAJ	VYBER	2600	13103	\N	\N	\N
994974	3393	1998-10-13	VYDAJ	VYBER	2700	14419	\N	\N	\N
994975	3393	1998-11-12	VYDAJ	VYBER	6400	12041	\N	\N	\N
994976	3393	1998-12-12	VYDAJ	VYBER	7800	14243	\N	\N	\N
995001	3394	1996-10-09	PRIJEM	VKLAD	200	200	\N	\N	\N
995011	3394	1996-10-13	PRIJEM	PREVOD Z UCTU	6522	6722	DUCHOD	QR	61080419
995012	3394	1996-11-13	PRIJEM	PREVOD Z UCTU	6522	13261	DUCHOD	QR	61080419
995013	3394	1996-12-13	PRIJEM	PREVOD Z UCTU	6522	19811	DUCHOD	QR	61080419
995014	3394	1997-01-13	PRIJEM	PREVOD Z UCTU	6522	26361	DUCHOD	QR	61080419
995015	3394	1997-02-13	PRIJEM	PREVOD Z UCTU	6522	28011	DUCHOD	QR	61080419
995016	3394	1997-03-13	PRIJEM	PREVOD Z UCTU	6522	27583	DUCHOD	QR	61080419
995017	3394	1997-04-13	PRIJEM	PREVOD Z UCTU	6522	29406	DUCHOD	QR	61080419
995018	3394	1997-05-13	PRIJEM	PREVOD Z UCTU	6522	26335	DUCHOD	QR	61080419
995019	3394	1997-06-13	PRIJEM	PREVOD Z UCTU	6522	24359	DUCHOD	QR	61080419
995020	3394	1997-07-13	PRIJEM	PREVOD Z UCTU	6522	21718	DUCHOD	QR	61080419
995021	3394	1997-08-13	PRIJEM	PREVOD Z UCTU	6522	20457	DUCHOD	QR	61080419
995022	3394	1997-09-13	PRIJEM	PREVOD Z UCTU	6522	18729	DUCHOD	QR	61080419
995023	3394	1997-10-13	PRIJEM	PREVOD Z UCTU	6522	22318	DUCHOD	QR	61080419
995024	3394	1997-11-13	PRIJEM	PREVOD Z UCTU	6522	21016	DUCHOD	QR	61080419
995025	3394	1997-12-13	PRIJEM	PREVOD Z UCTU	6522	23215	DUCHOD	QR	61080419
995026	3394	1998-01-13	PRIJEM	PREVOD Z UCTU	6522	21278	DUCHOD	QR	61080419
995027	3394	1998-02-13	PRIJEM	PREVOD Z UCTU	6522	17402	DUCHOD	QR	61080419
995028	3394	1998-03-13	PRIJEM	PREVOD Z UCTU	6522	20640	DUCHOD	QR	61080419
995029	3394	1998-04-13	PRIJEM	PREVOD Z UCTU	6522	22630	DUCHOD	QR	61080419
995030	3394	1998-05-13	PRIJEM	PREVOD Z UCTU	6522	25631	DUCHOD	QR	61080419
995031	3394	1998-06-13	PRIJEM	PREVOD Z UCTU	6522	19994	DUCHOD	QR	61080419
995032	3394	1998-07-13	PRIJEM	PREVOD Z UCTU	6522	23692	DUCHOD	QR	61080419
995033	3394	1998-08-13	PRIJEM	PREVOD Z UCTU	6522	28396	DUCHOD	QR	61080419
995034	3394	1998-09-13	PRIJEM	PREVOD Z UCTU	6522	31417	DUCHOD	QR	61080419
995035	3394	1998-10-13	PRIJEM	PREVOD Z UCTU	6522	25344	DUCHOD	QR	61080419
995036	3394	1998-11-13	PRIJEM	PREVOD Z UCTU	6522	25151	DUCHOD	QR	61080419
995037	3394	1998-12-13	PRIJEM	PREVOD Z UCTU	6522	26458	DUCHOD	QR	61080419
995052	3394	1997-03-10	VYDAJ	PREVOD NA UCET	191	21061	SIPO	GH	46189069
995053	3394	1997-04-10	VYDAJ	PREVOD NA UCET	191	22884	SIPO	GH	46189069
995054	3394	1997-05-10	VYDAJ	PREVOD NA UCET	191	19813	SIPO	GH	46189069
995055	3394	1997-06-10	VYDAJ	PREVOD NA UCET	191	17837	SIPO	GH	46189069
995056	3394	1997-07-10	VYDAJ	PREVOD NA UCET	191	15196	SIPO	GH	46189069
995057	3394	1997-08-10	VYDAJ	PREVOD NA UCET	191	13935	SIPO	GH	46189069
995058	3394	1997-09-10	VYDAJ	PREVOD NA UCET	191	12207	SIPO	GH	46189069
995059	3394	1997-10-10	VYDAJ	PREVOD NA UCET	191	15796	SIPO	GH	46189069
995060	3394	1997-11-10	VYDAJ	PREVOD NA UCET	191	14494	SIPO	GH	46189069
995061	3394	1997-12-10	VYDAJ	PREVOD NA UCET	191	16693	SIPO	GH	46189069
995062	3394	1998-01-10	VYDAJ	PREVOD NA UCET	191	14756	SIPO	GH	46189069
995063	3394	1998-02-10	VYDAJ	PREVOD NA UCET	191	10880	SIPO	GH	46189069
995064	3394	1998-03-10	VYDAJ	PREVOD NA UCET	191	14118	SIPO	GH	46189069
995065	3394	1998-04-10	VYDAJ	PREVOD NA UCET	191	16108	SIPO	GH	46189069
995066	3394	1998-05-10	VYDAJ	PREVOD NA UCET	191	19109	SIPO	GH	46189069
995067	3394	1998-06-10	VYDAJ	PREVOD NA UCET	191	13472	SIPO	GH	46189069
995068	3394	1998-07-10	VYDAJ	PREVOD NA UCET	191	17170	SIPO	GH	46189069
995069	3394	1998-08-10	VYDAJ	PREVOD NA UCET	191	21874	SIPO	GH	46189069
995070	3394	1998-09-10	VYDAJ	PREVOD NA UCET	191	24895	SIPO	GH	46189069
995071	3394	1998-10-10	VYDAJ	PREVOD NA UCET	191	18822	SIPO	GH	46189069
995072	3394	1998-11-10	VYDAJ	PREVOD NA UCET	191	18629	SIPO	GH	46189069
995073	3394	1998-12-10	VYDAJ	PREVOD NA UCET	191	19936	SIPO	GH	46189069
995087	3394	1997-02-14	VYDAJ	PREVOD NA UCET	1698	26313	 	WX	18512994
995088	3394	1997-03-14	VYDAJ	PREVOD NA UCET	1698	25885	 	WX	18512994
995089	3394	1997-04-14	VYDAJ	PREVOD NA UCET	1698	27708	 	WX	18512994
995090	3394	1997-05-14	VYDAJ	PREVOD NA UCET	1698	24637	 	WX	18512994
995091	3394	1997-06-14	VYDAJ	PREVOD NA UCET	1698	22661	 	WX	18512994
995092	3394	1997-07-14	VYDAJ	PREVOD NA UCET	1698	20020	 	WX	18512994
995093	3394	1997-08-14	VYDAJ	PREVOD NA UCET	1698	18759	 	WX	18512994
995094	3394	1997-09-14	VYDAJ	PREVOD NA UCET	1698	17031	 	WX	18512994
995095	3394	1997-10-14	VYDAJ	PREVOD NA UCET	1698	20620	 	WX	18512994
995096	3394	1997-11-14	VYDAJ	PREVOD NA UCET	1698	19318	 	WX	18512994
995097	3394	1997-12-14	VYDAJ	PREVOD NA UCET	1698	21517	 	WX	18512994
995098	3394	1998-01-14	VYDAJ	PREVOD NA UCET	1698	19580	 	WX	18512994
995099	3394	1998-02-14	VYDAJ	PREVOD NA UCET	1698	15704	 	WX	18512994
995100	3394	1998-03-14	VYDAJ	PREVOD NA UCET	1698	18942	 	WX	18512994
995101	3394	1998-04-14	VYDAJ	PREVOD NA UCET	1698	20932	 	WX	18512994
995102	3394	1998-05-14	VYDAJ	PREVOD NA UCET	1698	23933	 	WX	18512994
995103	3394	1998-06-14	VYDAJ	PREVOD NA UCET	1698	18296	 	WX	18512994
995104	3394	1998-07-14	VYDAJ	PREVOD NA UCET	1698	21994	 	WX	18512994
995105	3394	1998-08-14	VYDAJ	PREVOD NA UCET	1698	26698	 	WX	18512994
995106	3394	1998-09-14	VYDAJ	PREVOD NA UCET	1698	29719	 	WX	18512994
995107	3394	1998-10-14	VYDAJ	PREVOD NA UCET	1698	23646	 	WX	18512994
995108	3394	1998-11-14	VYDAJ	PREVOD NA UCET	1698	23453	 	WX	18512994
995109	3394	1998-12-14	VYDAJ	PREVOD NA UCET	1698	24760	 	WX	18512994
995111	3394	1997-06-21	VYDAJ	VYBER	3150	19511	\N	\N	\N
995112	3394	1998-06-09	VYDAJ	VYBER	9250	13663	\N	\N	\N
995115	3394	1998-01-15	VYDAJ	VYBER	2800	16780	\N	\N	\N
995117	3394	1997-12-08	VYDAJ	VYBER	1200	16884	\N	\N	\N
995118	3394	1998-12-16	VYDAJ	VYBER	500	24260	\N	\N	\N
995131	3394	1998-01-01	VYDAJ	VYBER	800	20787	\N	\N	\N
995132	3394	1998-01-08	VYDAJ	VYBER	480	14947	\N	\N	\N
995134	3394	1998-01-19	VYDAJ	VYBER	1760	15020	\N	\N	\N
995135	3394	1998-01-19	VYDAJ	VYBER	2000	13020	\N	\N	\N
995145	3394	1997-02-27	VYDAJ	VYBER	1840	23993	\N	\N	\N
995146	3394	1997-08-05	VYDAJ	VYBER	560	19526	\N	\N	\N
995147	3394	1997-08-24	VYDAJ	VYBER	720	18039	\N	\N	\N
995148	3394	1997-02-19	VYDAJ	VYBER	480	25833	\N	\N	\N
995149	3394	1998-01-07	VYDAJ	VYBER	560	15427	\N	\N	\N
995150	3394	1998-02-25	VYDAJ	VYBER	1440	14264	\N	\N	\N
995152	3394	1998-09-19	VYDAJ	VYBER	3600	26119	\N	\N	\N
995167	3394	1997-02-28	VYDAJ	VYBER	15	24052	SLUZBY	\N	\N
995168	3394	1997-03-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
995169	3394	1997-04-30	VYDAJ	VYBER	15	27804	SLUZBY	\N	\N
995170	3394	1997-05-31	VYDAJ	VYBER	15	24728	SLUZBY	\N	\N
995171	3394	1997-06-30	VYDAJ	VYBER	15	19587	SLUZBY	\N	\N
995172	3394	1997-07-31	VYDAJ	VYBER	15	20086	SLUZBY	\N	\N
995173	3394	1997-08-31	VYDAJ	VYBER	15	18098	SLUZBY	\N	\N
995174	3394	1997-09-30	VYDAJ	VYBER	15	17087	SLUZBY	\N	\N
995175	3394	1997-10-31	VYDAJ	VYBER	15	20685	SLUZBY	\N	\N
995176	3394	1997-11-30	VYDAJ	VYBER	15	19384	SLUZBY	\N	\N
995177	3394	1997-12-31	VYDAJ	VYBER	15	21587	SLUZBY	\N	\N
995178	3394	1998-01-31	VYDAJ	VYBER	15	13071	SLUZBY	\N	\N
995179	3394	1998-02-28	VYDAJ	VYBER	15	14309	SLUZBY	\N	\N
995180	3394	1998-03-31	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
995181	3394	1998-04-30	VYDAJ	VYBER	15	21000	SLUZBY	\N	\N
995182	3394	1998-05-31	VYDAJ	VYBER	15	24013	SLUZBY	\N	\N
995183	3394	1998-06-30	VYDAJ	VYBER	15	18361	SLUZBY	\N	\N
995184	3394	1998-07-31	VYDAJ	VYBER	15	22065	SLUZBY	\N	\N
995185	3394	1998-08-31	VYDAJ	VYBER	15	25086	SLUZBY	\N	\N
995186	3394	1998-09-30	VYDAJ	VYBER	15	19013	SLUZBY	\N	\N
995187	3394	1998-10-31	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
995188	3394	1998-11-30	VYDAJ	VYBER	15	20127	SLUZBY	\N	\N
995189	3394	1997-02-06	VYDAJ	VYBER	4900	21489	\N	\N	\N
995190	3394	1997-03-08	VYDAJ	VYBER	2800	21252	\N	\N	\N
995191	3394	1997-04-07	VYDAJ	VYBER	2900	23075	\N	\N	\N
995192	3394	1997-05-07	VYDAJ	VYBER	7800	20004	\N	\N	\N
995193	3394	1997-06-06	VYDAJ	VYBER	6700	18028	\N	\N	\N
995194	3394	1997-07-06	VYDAJ	VYBER	4200	15387	\N	\N	\N
995195	3394	1997-08-05	VYDAJ	VYBER	5400	14126	\N	\N	\N
995196	3394	1997-09-04	VYDAJ	VYBER	5700	12398	\N	\N	\N
995197	3394	1997-10-04	VYDAJ	VYBER	1100	15987	\N	\N	\N
995198	3394	1997-11-03	VYDAJ	VYBER	6000	14685	\N	\N	\N
995199	3394	1997-12-03	VYDAJ	VYBER	1300	18084	\N	\N	\N
995200	3394	1998-01-02	VYDAJ	VYBER	4800	15987	\N	\N	\N
995201	3394	1998-02-01	VYDAJ	VYBER	2000	11071	\N	\N	\N
995202	3394	1998-04-02	VYDAJ	VYBER	2700	16299	\N	\N	\N
995203	3394	1998-05-02	VYDAJ	VYBER	1700	19300	\N	\N	\N
995204	3394	1998-06-01	VYDAJ	VYBER	1100	22913	\N	\N	\N
995205	3394	1998-07-01	VYDAJ	VYBER	1000	17361	\N	\N	\N
995206	3394	1998-08-30	VYDAJ	VYBER	1700	24998	\N	\N	\N
995207	3394	1998-09-29	VYDAJ	VYBER	7200	18919	\N	\N	\N
995208	3394	1998-10-29	VYDAJ	VYBER	4900	18746	\N	\N	\N
995209	3394	1998-11-28	VYDAJ	VYBER	3400	20053	\N	\N	\N
995237	3395	1997-11-05	PRIJEM	VKLAD	600	600	\N	\N	\N
995248	3395	1997-11-06	PRIJEM	VKLAD	23964	24564	\N	\N	\N
995249	3395	1997-12-06	PRIJEM	VKLAD	35946	59895	\N	\N	\N
995250	3395	1998-01-06	PRIJEM	VKLAD	23964	64385	\N	\N	\N
995251	3395	1998-02-06	PRIJEM	VKLAD	23964	67214	\N	\N	\N
995252	3395	1998-03-06	PRIJEM	VKLAD	23964	71456	\N	\N	\N
995253	3395	1998-04-06	PRIJEM	VKLAD	23964	69865	\N	\N	\N
995254	3395	1998-05-06	PRIJEM	VKLAD	23964	71077	\N	\N	\N
995255	3395	1998-06-06	PRIJEM	VKLAD	35946	81273	\N	\N	\N
995256	3395	1998-07-06	PRIJEM	VKLAD	23964	80618	\N	\N	\N
995257	3395	1998-08-06	PRIJEM	VKLAD	23964	79077	\N	\N	\N
995258	3395	1998-09-06	PRIJEM	VKLAD	23964	80631	\N	\N	\N
995259	3395	1998-10-06	PRIJEM	VKLAD	23964	77687	\N	\N	\N
995260	3395	1998-11-06	PRIJEM	VKLAD	23964	79730	\N	\N	\N
995261	3395	1998-12-06	PRIJEM	VKLAD	35946	91737	\N	\N	\N
995276	3395	1998-03-08	VYDAJ	PREVOD NA UCET	3712	67744	SIPO	OP	31348461
995277	3395	1998-04-08	VYDAJ	PREVOD NA UCET	3712	66153	SIPO	OP	31348461
995278	3395	1998-05-08	VYDAJ	PREVOD NA UCET	3712	67365	SIPO	OP	31348461
995279	3395	1998-06-08	VYDAJ	PREVOD NA UCET	3712	77561	SIPO	OP	31348461
995280	3395	1998-07-08	VYDAJ	PREVOD NA UCET	3712	76906	SIPO	OP	31348461
995281	3395	1998-08-08	VYDAJ	PREVOD NA UCET	3712	75365	SIPO	OP	31348461
995282	3395	1998-09-08	VYDAJ	PREVOD NA UCET	3712	76919	SIPO	OP	31348461
995283	3395	1998-10-08	VYDAJ	PREVOD NA UCET	3712	73975	SIPO	OP	31348461
995284	3395	1998-11-08	VYDAJ	PREVOD NA UCET	3712	76018	SIPO	OP	31348461
995285	3395	1998-12-08	VYDAJ	PREVOD NA UCET	3712	88025	SIPO	OP	31348461
995287	3395	1998-06-03	VYDAJ	VYBER	10400	55827	\N	\N	\N
995291	3395	1998-12-10	VYDAJ	VYBER	2500	85525	\N	\N	\N
995309	3395	1998-03-11	VYDAJ	VYBER	2500	65244	\N	\N	\N
995310	3395	1998-09-28	VYDAJ	VYBER	4600	72319	\N	\N	\N
995312	3395	1998-05-12	VYDAJ	VYBER	1400	65965	\N	\N	\N
995313	3395	1998-05-04	VYDAJ	VYBER	900	65513	\N	\N	\N
995314	3395	1998-11-15	VYDAJ	VYBER	2900	73118	\N	\N	\N
995315	3395	1998-03-21	VYDAJ	VYBER	3000	62244	\N	\N	\N
995331	3395	1998-03-31	VYDAJ	VYBER	15	62501	SLUZBY	\N	\N
995332	3395	1998-04-30	VYDAJ	VYBER	15	66413	SLUZBY	\N	\N
995333	3395	1998-05-31	VYDAJ	VYBER	15	66227	SLUZBY	\N	\N
995334	3395	1998-06-30	VYDAJ	VYBER	15	77854	SLUZBY	\N	\N
995335	3395	1998-07-31	VYDAJ	VYBER	15	77213	SLUZBY	\N	\N
995336	3395	1998-08-31	VYDAJ	VYBER	15	75667	SLUZBY	\N	\N
995337	3395	1998-09-30	VYDAJ	VYBER	15	72623	SLUZBY	\N	\N
995338	3395	1998-10-31	VYDAJ	VYBER	15	55766	SLUZBY	\N	\N
995339	3395	1998-11-30	VYDAJ	VYBER	15	55791	SLUZBY	\N	\N
995340	3395	1997-12-05	VYDAJ	VYBER	700	23949	\N	\N	\N
995341	3395	1998-01-04	VYDAJ	VYBER	19700	40421	\N	\N	\N
995342	3395	1998-02-03	VYDAJ	VYBER	21400	43250	\N	\N	\N
995343	3395	1998-03-05	VYDAJ	VYBER	20000	47492	\N	\N	\N
995344	3395	1998-04-04	VYDAJ	VYBER	16600	45901	\N	\N	\N
995345	3395	1998-05-04	VYDAJ	VYBER	18400	47113	\N	\N	\N
995346	3395	1998-06-03	VYDAJ	VYBER	10500	45327	\N	\N	\N
995347	3395	1998-07-03	VYDAJ	VYBER	21200	56654	\N	\N	\N
995348	3395	1998-08-02	VYDAJ	VYBER	22100	55113	\N	\N	\N
995349	3395	1998-09-01	VYDAJ	VYBER	19000	56667	\N	\N	\N
995350	3395	1998-10-01	VYDAJ	VYBER	18900	53723	\N	\N	\N
995351	3395	1998-10-31	VYDAJ	VYBER	18500	55781	\N	\N	\N
995352	3395	1998-11-30	VYDAJ	VYBER	17600	55806	\N	\N	\N
995367	3396	1997-11-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
995379	3396	1997-12-12	PRIJEM	VKLAD	22516	23616	\N	\N	\N
995380	3396	1998-01-12	PRIJEM	VKLAD	15011	37964	\N	\N	\N
995381	3396	1998-02-12	PRIJEM	VKLAD	15011	47487	\N	\N	\N
995382	3396	1998-03-12	PRIJEM	VKLAD	15011	52341	\N	\N	\N
995383	3396	1998-04-12	PRIJEM	VKLAD	15011	56113	\N	\N	\N
995384	3396	1998-05-12	PRIJEM	VKLAD	15011	55178	\N	\N	\N
995385	3396	1998-06-12	PRIJEM	VKLAD	22516	32206	\N	\N	\N
995386	3396	1998-07-12	PRIJEM	VKLAD	15011	39635	\N	\N	\N
995387	3396	1998-08-12	PRIJEM	VKLAD	15011	41707	\N	\N	\N
995388	3396	1998-09-12	PRIJEM	VKLAD	15011	48245	\N	\N	\N
995389	3396	1998-10-12	PRIJEM	VKLAD	15011	50284	\N	\N	\N
995390	3396	1998-11-12	PRIJEM	VKLAD	15011	53734	\N	\N	\N
995391	3396	1998-12-12	PRIJEM	VKLAD	22516	57573	\N	\N	\N
995393	3396	1998-06-01	VYDAJ	VYBER	30240	9690	\N	\N	\N
995395	3396	1998-12-27	VYDAJ	VYBER	3840	37433	\N	\N	\N
995401	3396	1998-08-02	VYDAJ	VYBER	5040	26696	\N	\N	\N
995402	3396	1998-12-05	VYDAJ	VYBER	720	35057	\N	\N	\N
995403	3396	1998-11-13	VYDAJ	VYBER	5400	48334	\N	\N	\N
995421	3396	1998-04-30	VYDAJ	VYBER	15	40167	SLUZBY	\N	\N
995422	3396	1998-05-31	VYDAJ	VYBER	15	39930	SLUZBY	\N	\N
995423	3396	1998-06-30	VYDAJ	VYBER	15	24624	SLUZBY	\N	\N
995424	3396	1998-07-31	VYDAJ	VYBER	15	31736	SLUZBY	\N	\N
995425	3396	1998-08-31	VYDAJ	VYBER	15	33234	SLUZBY	\N	\N
995426	3396	1998-09-30	VYDAJ	VYBER	15	35273	SLUZBY	\N	\N
995427	3396	1998-10-31	VYDAJ	VYBER	15	38723	SLUZBY	\N	\N
995428	3396	1998-11-30	VYDAJ	VYBER	15	35777	SLUZBY	\N	\N
995429	3396	1997-12-20	VYDAJ	VYBER	700	22916	\N	\N	\N
995430	3396	1998-01-19	VYDAJ	VYBER	5600	32364	\N	\N	\N
995431	3396	1998-02-18	VYDAJ	VYBER	10300	37187	\N	\N	\N
995432	3396	1998-03-20	VYDAJ	VYBER	11400	40941	\N	\N	\N
995433	3396	1998-04-19	VYDAJ	VYBER	16100	40013	\N	\N	\N
995434	3396	1998-05-19	VYDAJ	VYBER	15400	39778	\N	\N	\N
995435	3396	1998-06-18	VYDAJ	VYBER	7700	24506	\N	\N	\N
995436	3396	1998-07-18	VYDAJ	VYBER	8000	31635	\N	\N	\N
995437	3396	1998-08-17	VYDAJ	VYBER	8600	33107	\N	\N	\N
995438	3396	1998-09-16	VYDAJ	VYBER	13100	35145	\N	\N	\N
995439	3396	1998-10-16	VYDAJ	VYBER	11700	38584	\N	\N	\N
995440	3396	1998-11-15	VYDAJ	VYBER	12700	35634	\N	\N	\N
995441	3396	1998-12-15	VYDAJ	VYBER	16300	41273	\N	\N	\N
995455	3397	1996-08-04	PRIJEM	VKLAD	400	400	\N	\N	\N
995463	3397	1996-08-05	PRIJEM	VKLAD	19894	20294	\N	\N	\N
995464	3397	1996-09-05	PRIJEM	VKLAD	19894	42362	\N	\N	\N
995465	3397	1996-10-05	PRIJEM	VKLAD	19894	50820	\N	\N	\N
995466	3397	1996-11-05	PRIJEM	VKLAD	19894	54021	\N	\N	\N
995467	3397	1996-12-05	PRIJEM	VKLAD	29841	65285	\N	\N	\N
995468	3397	1997-01-05	PRIJEM	VKLAD	19894	53122	\N	\N	\N
995469	3397	1997-02-05	PRIJEM	VKLAD	19894	41248	\N	\N	\N
995470	3397	1997-03-05	PRIJEM	VKLAD	19894	42350	\N	\N	\N
995471	3397	1997-04-05	PRIJEM	VKLAD	19894	44975	\N	\N	\N
995472	3397	1997-05-05	PRIJEM	VKLAD	19894	47510	\N	\N	\N
995473	3397	1997-06-05	PRIJEM	VKLAD	29841	56800	\N	\N	\N
995474	3397	1997-07-05	PRIJEM	VKLAD	19894	52492	\N	\N	\N
995475	3397	1997-08-05	PRIJEM	VKLAD	19894	52599	\N	\N	\N
995476	3397	1997-09-05	PRIJEM	VKLAD	19894	51997	\N	\N	\N
995477	3397	1997-10-05	PRIJEM	VKLAD	19894	52133	\N	\N	\N
995478	3397	1997-11-05	PRIJEM	VKLAD	19894	52970	\N	\N	\N
995479	3397	1997-12-05	PRIJEM	VKLAD	29841	63355	\N	\N	\N
995480	3397	1998-01-05	PRIJEM	VKLAD	19894	44114	\N	\N	\N
995481	3397	1998-02-05	PRIJEM	VKLAD	19894	42176	\N	\N	\N
995482	3397	1998-03-05	PRIJEM	VKLAD	19894	47671	\N	\N	\N
995483	3397	1998-04-05	PRIJEM	VKLAD	19894	51790	\N	\N	\N
995484	3397	1998-05-05	PRIJEM	VKLAD	19894	55024	\N	\N	\N
995485	3397	1998-06-05	PRIJEM	VKLAD	29841	68619	\N	\N	\N
995486	3397	1998-07-05	PRIJEM	VKLAD	19894	54502	\N	\N	\N
995487	3397	1998-08-05	PRIJEM	VKLAD	19894	57646	\N	\N	\N
995488	3397	1998-09-05	PRIJEM	VKLAD	19894	55796	\N	\N	\N
995489	3397	1998-10-05	PRIJEM	VKLAD	19894	47255	\N	\N	\N
995490	3397	1998-11-05	PRIJEM	VKLAD	19894	53470	\N	\N	\N
995491	3397	1998-12-05	PRIJEM	VKLAD	29841	62448	\N	\N	\N
995503	3397	1996-12-12	VYDAJ	PREVOD NA UCET	9400	55885	SIPO	UV	22606748
995504	3397	1997-01-12	VYDAJ	PREVOD NA UCET	9400	35402	SIPO	UV	22606748
995505	3397	1997-02-12	VYDAJ	PREVOD NA UCET	9400	31848	SIPO	UV	22606748
995506	3397	1997-03-12	VYDAJ	PREVOD NA UCET	9400	32950	SIPO	UV	22606748
995507	3397	1997-04-12	VYDAJ	PREVOD NA UCET	9400	35575	SIPO	UV	22606748
995508	3397	1997-05-12	VYDAJ	PREVOD NA UCET	9400	38110	SIPO	UV	22606748
995509	3397	1997-06-12	VYDAJ	PREVOD NA UCET	9400	41640	SIPO	UV	22606748
995510	3397	1997-07-12	VYDAJ	PREVOD NA UCET	9400	43092	SIPO	UV	22606748
995511	3397	1997-08-12	VYDAJ	PREVOD NA UCET	9400	43199	SIPO	UV	22606748
995512	3397	1997-09-12	VYDAJ	PREVOD NA UCET	9400	42597	SIPO	UV	22606748
995513	3397	1997-10-12	VYDAJ	PREVOD NA UCET	9400	42733	SIPO	UV	22606748
995514	3397	1997-11-12	VYDAJ	PREVOD NA UCET	9400	43570	SIPO	UV	22606748
995515	3397	1997-12-12	VYDAJ	PREVOD NA UCET	9400	53955	SIPO	UV	22606748
995516	3397	1998-01-12	VYDAJ	PREVOD NA UCET	9400	28394	SIPO	UV	22606748
995517	3397	1998-02-12	VYDAJ	PREVOD NA UCET	9400	32776	SIPO	UV	22606748
995518	3397	1998-03-12	VYDAJ	PREVOD NA UCET	9400	38271	SIPO	UV	22606748
995519	3397	1998-04-12	VYDAJ	PREVOD NA UCET	9400	42390	SIPO	UV	22606748
995520	3397	1998-05-12	VYDAJ	PREVOD NA UCET	9400	45624	SIPO	UV	22606748
995521	3397	1998-06-12	VYDAJ	PREVOD NA UCET	9400	59219	SIPO	UV	22606748
995522	3397	1998-07-12	VYDAJ	PREVOD NA UCET	9400	45102	SIPO	UV	22606748
995523	3397	1998-08-12	VYDAJ	PREVOD NA UCET	9400	48246	SIPO	UV	22606748
995524	3397	1998-09-12	VYDAJ	PREVOD NA UCET	9400	46396	SIPO	UV	22606748
995525	3397	1998-10-12	VYDAJ	PREVOD NA UCET	9400	37855	SIPO	UV	22606748
995526	3397	1998-11-12	VYDAJ	PREVOD NA UCET	9400	44070	SIPO	UV	22606748
995527	3397	1998-12-12	VYDAJ	PREVOD NA UCET	9400	52248	SIPO	UV	22606748
995530	3397	1998-06-21	VYDAJ	VYBER	13120	43339	\N	\N	\N
995532	3397	1997-01-09	VYDAJ	VYBER	8320	44802	\N	\N	\N
995533	3397	1998-01-08	VYDAJ	VYBER	4160	39954	\N	\N	\N
995534	3397	1996-12-27	VYDAJ	VYBER	4640	51245	\N	\N	\N
995535	3397	1997-12-28	VYDAJ	VYBER	4160	30895	\N	\N	\N
995536	3397	1998-12-09	VYDAJ	VYBER	800	61648	\N	\N	\N
995543	3397	1997-01-03	VYDAJ	VYBER	3240	33228	\N	\N	\N
995544	3397	1997-01-14	VYDAJ	VYBER	3480	31082	\N	\N	\N
995545	3397	1997-01-29	VYDAJ	VYBER	2280	25322	\N	\N	\N
995546	3397	1997-01-19	VYDAJ	VYBER	720	27602	\N	\N	\N
995547	3397	1997-01-13	VYDAJ	VYBER	840	34562	\N	\N	\N
995548	3397	1997-01-18	VYDAJ	VYBER	2760	28322	\N	\N	\N
995549	3397	1998-01-11	VYDAJ	VYBER	2160	37794	\N	\N	\N
995550	3397	1998-01-03	VYDAJ	VYBER	1320	27460	\N	\N	\N
995551	3397	1998-01-23	VYDAJ	VYBER	3360	25034	\N	\N	\N
995552	3397	1998-01-01	VYDAJ	VYBER	2280	28780	\N	\N	\N
995553	3397	1998-01-24	VYDAJ	VYBER	3360	21674	\N	\N	\N
995554	3397	1998-01-04	VYDAJ	VYBER	3240	24220	\N	\N	\N
995561	3397	1997-06-08	VYDAJ	VYBER	1800	55000	\N	\N	\N
995562	3397	1997-06-08	VYDAJ	VYBER	3960	51040	\N	\N	\N
995563	3397	1997-08-26	VYDAJ	VYBER	2640	40559	\N	\N	\N
995564	3397	1997-07-18	VYDAJ	VYBER	840	39852	\N	\N	\N
995565	3397	1997-05-23	VYDAJ	VYBER	2400	35710	\N	\N	\N
995566	3397	1997-07-12	VYDAJ	VYBER	2400	40692	\N	\N	\N
995567	3397	1998-12-30	VYDAJ	VYBER	4920	34028	\N	\N	\N
995568	3397	1998-09-29	VYDAJ	VYBER	4680	27216	\N	\N	\N
995569	3397	1998-06-17	VYDAJ	VYBER	2760	56459	\N	\N	\N
995582	3397	1996-12-31	VYDAJ	VYBER	15	51468	SLUZBY	\N	\N
995583	3397	1997-01-31	VYDAJ	VYBER	15	25454	SLUZBY	\N	\N
995584	3397	1997-02-28	VYDAJ	VYBER	15	31956	SLUZBY	\N	\N
995585	3397	1997-03-31	VYDAJ	VYBER	15	33081	SLUZBY	\N	\N
995586	3397	1997-04-30	VYDAJ	VYBER	15	35716	SLUZBY	\N	\N
995587	3397	1997-05-31	VYDAJ	VYBER	15	35859	SLUZBY	\N	\N
995588	3397	1997-06-30	VYDAJ	VYBER	15	41798	SLUZBY	\N	\N
995589	3397	1997-07-31	VYDAJ	VYBER	15	32705	SLUZBY	\N	\N
995590	3397	1997-08-31	VYDAJ	VYBER	15	32103	SLUZBY	\N	\N
995591	3397	1997-09-30	VYDAJ	VYBER	15	32239	SLUZBY	\N	\N
995592	3397	1997-10-31	VYDAJ	VYBER	15	33076	SLUZBY	\N	\N
995593	3397	1997-11-30	VYDAJ	VYBER	15	33514	SLUZBY	\N	\N
995594	3397	1997-12-31	VYDAJ	VYBER	15	31060	SLUZBY	\N	\N
995595	3397	1998-01-31	VYDAJ	VYBER	15	22282	SLUZBY	\N	\N
995596	3397	1998-02-28	VYDAJ	VYBER	15	27777	SLUZBY	\N	\N
995597	3397	1998-03-31	VYDAJ	VYBER	15	31896	SLUZBY	\N	\N
995598	3397	1998-04-30	VYDAJ	VYBER	15	35130	SLUZBY	\N	\N
995599	3397	1998-05-31	VYDAJ	VYBER	15	38778	SLUZBY	\N	\N
995600	3397	1998-06-30	VYDAJ	VYBER	15	34608	SLUZBY	\N	\N
995601	3397	1998-07-31	VYDAJ	VYBER	15	37752	SLUZBY	\N	\N
995602	3397	1998-08-31	VYDAJ	VYBER	15	35902	SLUZBY	\N	\N
995603	3397	1998-09-30	VYDAJ	VYBER	15	27361	SLUZBY	\N	\N
995604	3397	1998-10-31	VYDAJ	VYBER	15	33576	SLUZBY	\N	\N
995605	3397	1998-11-30	VYDAJ	VYBER	15	32607	SLUZBY	\N	\N
995606	3397	1996-09-03	PRIJEM	VKLAD	2100	22468	\N	\N	\N
995607	3397	1996-10-03	VYDAJ	VYBER	11600	30926	\N	\N	\N
995608	3397	1996-11-02	VYDAJ	VYBER	16900	34127	\N	\N	\N
995609	3397	1996-12-02	VYDAJ	VYBER	18800	35444	\N	\N	\N
995610	3397	1997-01-01	VYDAJ	VYBER	15000	36468	\N	\N	\N
995611	3397	1997-01-31	VYDAJ	VYBER	4100	21354	\N	\N	\N
995612	3397	1997-03-02	VYDAJ	VYBER	9500	22456	\N	\N	\N
995613	3397	1997-04-01	VYDAJ	VYBER	8000	25081	\N	\N	\N
995614	3397	1997-05-01	VYDAJ	VYBER	8100	27616	\N	\N	\N
995615	3397	1997-05-31	VYDAJ	VYBER	8900	26959	\N	\N	\N
995616	3397	1997-06-30	VYDAJ	VYBER	9200	32598	\N	\N	\N
995617	3397	1997-07-30	VYDAJ	VYBER	7300	32552	\N	\N	\N
995618	3397	1997-08-29	VYDAJ	VYBER	8600	31959	\N	\N	\N
995619	3397	1997-09-28	VYDAJ	VYBER	10500	32097	\N	\N	\N
995620	3397	1997-10-28	VYDAJ	VYBER	9800	32933	\N	\N	\N
995621	3397	1997-11-27	VYDAJ	VYBER	10200	33370	\N	\N	\N
995622	3397	1997-12-27	VYDAJ	VYBER	18900	35055	\N	\N	\N
995623	3397	1998-01-26	PRIJEM	VKLAD	500	22174	\N	\N	\N
995624	3397	1998-02-25	VYDAJ	VYBER	5100	27676	\N	\N	\N
995625	3397	1998-03-27	VYDAJ	VYBER	6500	31771	\N	\N	\N
995626	3397	1998-04-26	VYDAJ	VYBER	7400	34990	\N	\N	\N
995627	3397	1998-05-26	VYDAJ	VYBER	7000	38624	\N	\N	\N
995628	3397	1998-06-25	VYDAJ	VYBER	8900	34439	\N	\N	\N
995629	3397	1998-07-25	VYDAJ	VYBER	7500	37602	\N	\N	\N
995630	3397	1998-08-24	VYDAJ	VYBER	12500	35746	\N	\N	\N
995631	3397	1998-09-23	VYDAJ	VYBER	14500	31896	\N	\N	\N
995632	3397	1998-10-23	VYDAJ	VYBER	4400	33455	\N	\N	\N
995633	3397	1998-11-22	VYDAJ	VYBER	11600	32470	\N	\N	\N
995634	3397	1998-12-22	VYDAJ	VYBER	13300	38948	\N	\N	\N
995664	3398	1997-04-15	PRIJEM	VKLAD	700	700	\N	\N	\N
995669	3398	1997-05-06	PRIJEM	PREVOD Z UCTU	5891	6591	DUCHOD	IJ	63811206
995670	3398	1997-06-06	PRIJEM	PREVOD Z UCTU	5891	12482	DUCHOD	IJ	63811206
995671	3398	1997-07-06	PRIJEM	PREVOD Z UCTU	5891	18373	DUCHOD	IJ	63811206
995672	3398	1997-08-06	PRIJEM	PREVOD Z UCTU	5891	24264	DUCHOD	IJ	63811206
995673	3398	1997-09-06	PRIJEM	PREVOD Z UCTU	5891	30155	DUCHOD	IJ	63811206
995674	3398	1997-10-06	PRIJEM	PREVOD Z UCTU	5891	32913	DUCHOD	IJ	63811206
995675	3398	1997-11-06	PRIJEM	PREVOD Z UCTU	5891	35419	DUCHOD	IJ	63811206
995676	3398	1997-12-06	PRIJEM	PREVOD Z UCTU	5891	35931	DUCHOD	IJ	63811206
995677	3398	1998-01-06	PRIJEM	PREVOD Z UCTU	5891	34489	DUCHOD	IJ	63811206
995678	3398	1998-02-06	PRIJEM	PREVOD Z UCTU	5891	24527	DUCHOD	IJ	63811206
995679	3398	1998-03-06	PRIJEM	PREVOD Z UCTU	5891	28500	DUCHOD	IJ	63811206
995680	3398	1998-04-06	PRIJEM	PREVOD Z UCTU	5891	28781	DUCHOD	IJ	63811206
995681	3398	1998-05-06	PRIJEM	PREVOD Z UCTU	5891	32274	DUCHOD	IJ	63811206
995682	3398	1998-06-06	PRIJEM	PREVOD Z UCTU	5891	30667	DUCHOD	IJ	63811206
995683	3398	1998-07-06	PRIJEM	PREVOD Z UCTU	5891	22003	DUCHOD	IJ	63811206
995684	3398	1998-08-06	PRIJEM	PREVOD Z UCTU	5891	24523	DUCHOD	IJ	63811206
995685	3398	1998-09-06	PRIJEM	PREVOD Z UCTU	5891	23585	DUCHOD	IJ	63811206
995686	3398	1998-10-06	PRIJEM	PREVOD Z UCTU	5891	20227	DUCHOD	IJ	63811206
995687	3398	1998-11-06	PRIJEM	PREVOD Z UCTU	5891	24189	DUCHOD	IJ	63811206
995688	3398	1998-12-06	PRIJEM	PREVOD Z UCTU	5891	28160	DUCHOD	IJ	63811206
995697	3398	1997-09-14	VYDAJ	PREVOD NA UCET	1990	26965	SIPO	CD	52684825
995698	3398	1997-10-14	VYDAJ	PREVOD NA UCET	1990	29423	SIPO	CD	52684825
995699	3398	1997-11-14	VYDAJ	PREVOD NA UCET	1990	29929	SIPO	CD	52684825
995700	3398	1997-12-14	VYDAJ	PREVOD NA UCET	1990	29141	SIPO	CD	52684825
995701	3398	1998-01-14	VYDAJ	PREVOD NA UCET	1990	28299	SIPO	CD	52684825
995702	3398	1998-02-14	VYDAJ	PREVOD NA UCET	1990	22537	SIPO	CD	52684825
995703	3398	1998-03-14	VYDAJ	PREVOD NA UCET	1990	22810	SIPO	CD	52684825
995704	3398	1998-04-14	VYDAJ	PREVOD NA UCET	1990	26291	SIPO	CD	52684825
995705	3398	1998-05-14	VYDAJ	PREVOD NA UCET	1990	24684	SIPO	CD	52684825
995706	3398	1998-06-14	VYDAJ	PREVOD NA UCET	1990	28677	SIPO	CD	52684825
995707	3398	1998-07-14	VYDAJ	PREVOD NA UCET	1990	20013	SIPO	CD	52684825
995708	3398	1998-08-14	VYDAJ	PREVOD NA UCET	1990	17633	SIPO	CD	52684825
995709	3398	1998-09-14	VYDAJ	PREVOD NA UCET	1990	17795	SIPO	CD	52684825
995710	3398	1998-10-14	VYDAJ	PREVOD NA UCET	1990	18237	SIPO	CD	52684825
995711	3398	1998-11-14	VYDAJ	PREVOD NA UCET	1990	22199	SIPO	CD	52684825
995712	3398	1998-12-14	VYDAJ	PREVOD NA UCET	1990	25690	SIPO	CD	52684825
995714	3398	1998-06-24	VYDAJ	VYBER	12650	16027	\N	\N	\N
995715	3398	1997-12-19	VYDAJ	VYBER	650	28491	\N	\N	\N
995716	3398	1998-12-15	VYDAJ	VYBER	300	25390	\N	\N	\N
995723	3398	1998-01-28	VYDAJ	VYBER	1360	20379	\N	\N	\N
995724	3398	1998-01-10	VYDAJ	VYBER	1120	30769	\N	\N	\N
995725	3398	1998-01-16	VYDAJ	VYBER	1280	27019	\N	\N	\N
995726	3398	1998-01-26	VYDAJ	VYBER	1280	21739	\N	\N	\N
995727	3398	1998-01-21	VYDAJ	VYBER	400	26619	\N	\N	\N
995728	3398	1998-01-30	VYDAJ	VYBER	1840	18539	\N	\N	\N
995730	3398	1998-12-09	VYDAJ	VYBER	480	27680	\N	\N	\N
995731	3398	1998-09-30	VYDAJ	VYBER	3520	14336	\N	\N	\N
995732	3398	1998-07-15	VYDAJ	VYBER	1440	18573	\N	\N	\N
995733	3398	1998-01-25	VYDAJ	VYBER	3600	23019	\N	\N	\N
995734	3398	1998-01-14	VYDAJ	VYBER	480	30289	\N	\N	\N
995744	3398	1997-09-30	VYDAJ	VYBER	15	27022	SLUZBY	\N	\N
995745	3398	1997-10-31	VYDAJ	VYBER	15	29528	SLUZBY	\N	\N
995746	3398	1997-11-30	VYDAJ	VYBER	15	30040	SLUZBY	\N	\N
995747	3398	1997-12-31	VYDAJ	VYBER	15	28598	SLUZBY	\N	\N
995748	3398	1998-01-31	VYDAJ	VYBER	15	18636	SLUZBY	\N	\N
995749	3398	1998-02-28	VYDAJ	VYBER	15	22609	SLUZBY	\N	\N
995750	3398	1998-03-31	VYDAJ	VYBER	15	22890	SLUZBY	\N	\N
995751	3398	1998-04-30	VYDAJ	VYBER	15	26383	SLUZBY	\N	\N
995752	3398	1998-05-31	VYDAJ	VYBER	15	24776	SLUZBY	\N	\N
995753	3398	1998-06-30	VYDAJ	VYBER	15	16112	SLUZBY	\N	\N
995754	3398	1998-07-31	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
995755	3398	1998-08-31	VYDAJ	VYBER	15	17694	SLUZBY	\N	\N
995756	3398	1998-09-30	VYDAJ	VYBER	15	17856	SLUZBY	\N	\N
995757	3398	1998-10-31	VYDAJ	VYBER	15	18298	SLUZBY	\N	\N
995758	3398	1998-11-30	VYDAJ	VYBER	15	22269	SLUZBY	\N	\N
995759	3398	1997-09-12	VYDAJ	VYBER	1200	28955	\N	\N	\N
995760	3398	1997-10-12	VYDAJ	VYBER	1500	31413	\N	\N	\N
995761	3398	1997-11-11	VYDAJ	VYBER	3500	31919	\N	\N	\N
995762	3398	1997-12-11	VYDAJ	VYBER	4800	31131	\N	\N	\N
995763	3398	1998-01-10	VYDAJ	VYBER	2600	31889	\N	\N	\N
995764	3398	1998-03-11	VYDAJ	VYBER	3700	24800	\N	\N	\N
995765	3398	1998-04-10	VYDAJ	VYBER	500	28281	\N	\N	\N
995766	3398	1998-05-10	VYDAJ	VYBER	5600	26674	\N	\N	\N
995767	3398	1998-08-08	VYDAJ	VYBER	4900	19623	\N	\N	\N
995768	3398	1998-09-07	VYDAJ	VYBER	3800	19785	\N	\N	\N
995785	3399	1996-09-26	PRIJEM	VKLAD	900	900	\N	\N	\N
995795	3399	1996-10-11	PRIJEM	VKLAD	16890	17790	\N	\N	\N
995796	3399	1996-11-11	PRIJEM	VKLAD	16890	39598	\N	\N	\N
995797	3399	1996-12-11	PRIJEM	VKLAD	25335	56835	\N	\N	\N
995798	3399	1997-01-11	PRIJEM	VKLAD	16890	57264	\N	\N	\N
995799	3399	1997-02-11	PRIJEM	VKLAD	16890	56221	\N	\N	\N
995800	3399	1997-03-11	PRIJEM	VKLAD	16890	49131	\N	\N	\N
995801	3399	1997-04-11	PRIJEM	VKLAD	16890	44641	\N	\N	\N
995802	3399	1997-05-11	PRIJEM	VKLAD	16890	48120	\N	\N	\N
995803	3399	1997-06-11	PRIJEM	VKLAD	25335	56911	\N	\N	\N
995804	3399	1997-07-11	PRIJEM	VKLAD	16890	51617	\N	\N	\N
995805	3399	1997-08-11	PRIJEM	VKLAD	16890	50116	\N	\N	\N
995806	3399	1997-09-11	PRIJEM	VKLAD	16890	47731	\N	\N	\N
995807	3399	1997-10-11	PRIJEM	VKLAD	16890	45456	\N	\N	\N
995808	3399	1997-11-11	PRIJEM	VKLAD	16890	43227	\N	\N	\N
995809	3399	1997-12-11	PRIJEM	VKLAD	25335	51635	\N	\N	\N
995810	3399	1998-01-11	PRIJEM	VKLAD	16890	42429	\N	\N	\N
995811	3399	1998-02-11	PRIJEM	VKLAD	16890	32816	\N	\N	\N
995812	3399	1998-03-11	PRIJEM	VKLAD	16890	36537	\N	\N	\N
995813	3399	1998-04-11	PRIJEM	VKLAD	16890	35868	\N	\N	\N
995814	3399	1998-05-11	PRIJEM	VKLAD	16890	32918	\N	\N	\N
995815	3399	1998-06-11	PRIJEM	VKLAD	25335	45488	\N	\N	\N
995816	3399	1998-07-11	PRIJEM	VKLAD	16890	34550	\N	\N	\N
995817	3399	1998-08-11	PRIJEM	VKLAD	16890	36577	\N	\N	\N
995818	3399	1998-09-11	PRIJEM	VKLAD	16890	38910	\N	\N	\N
995819	3399	1998-10-11	PRIJEM	VKLAD	16890	41753	\N	\N	\N
995820	3399	1998-11-11	PRIJEM	VKLAD	16890	42304	\N	\N	\N
995821	3399	1998-12-11	PRIJEM	VKLAD	25335	44714	\N	\N	\N
995835	3399	1997-02-11	VYDAJ	PREVOD NA UCET	4748	51473	SIPO	ST	23485142
995836	3399	1997-03-11	VYDAJ	PREVOD NA UCET	4748	44383	SIPO	ST	23485142
995837	3399	1997-04-11	VYDAJ	PREVOD NA UCET	4748	39893	SIPO	ST	23485142
995838	3399	1997-05-11	VYDAJ	PREVOD NA UCET	4748	43372	SIPO	ST	23485142
995839	3399	1997-06-11	VYDAJ	PREVOD NA UCET	4748	52163	SIPO	ST	23485142
995840	3399	1997-07-11	VYDAJ	PREVOD NA UCET	4748	46869	SIPO	ST	23485142
995841	3399	1997-08-11	VYDAJ	PREVOD NA UCET	4748	45368	SIPO	ST	23485142
995842	3399	1997-09-11	VYDAJ	PREVOD NA UCET	4748	42983	SIPO	ST	23485142
995843	3399	1997-10-11	VYDAJ	PREVOD NA UCET	4748	40708	SIPO	ST	23485142
995844	3399	1997-11-11	VYDAJ	PREVOD NA UCET	4748	38479	SIPO	ST	23485142
995845	3399	1997-12-11	VYDAJ	PREVOD NA UCET	4748	46887	SIPO	ST	23485142
995846	3399	1998-01-11	VYDAJ	PREVOD NA UCET	4748	37681	SIPO	ST	23485142
995847	3399	1998-02-11	VYDAJ	PREVOD NA UCET	4748	28068	SIPO	ST	23485142
995848	3399	1998-03-11	VYDAJ	PREVOD NA UCET	4748	31789	SIPO	ST	23485142
995849	3399	1998-04-11	VYDAJ	PREVOD NA UCET	4748	31120	SIPO	ST	23485142
995850	3399	1998-05-11	VYDAJ	PREVOD NA UCET	4748	28170	SIPO	ST	23485142
995851	3399	1998-06-11	VYDAJ	PREVOD NA UCET	4748	40740	SIPO	ST	23485142
995852	3399	1998-07-11	VYDAJ	PREVOD NA UCET	4748	29802	SIPO	ST	23485142
995853	3399	1998-08-11	VYDAJ	PREVOD NA UCET	4748	31829	SIPO	ST	23485142
995854	3399	1998-09-11	VYDAJ	PREVOD NA UCET	4748	34162	SIPO	ST	23485142
995855	3399	1998-10-11	VYDAJ	PREVOD NA UCET	4748	37005	SIPO	ST	23485142
995856	3399	1998-11-11	VYDAJ	PREVOD NA UCET	4748	37556	SIPO	ST	23485142
995857	3399	1998-12-11	VYDAJ	PREVOD NA UCET	4748	39966	SIPO	ST	23485142
995872	3399	1997-03-09	VYDAJ	PREVOD NA UCET	784	32241	 	OP	54617005
995873	3399	1997-04-09	VYDAJ	PREVOD NA UCET	784	27751	 	OP	54617005
995874	3399	1997-05-09	VYDAJ	PREVOD NA UCET	784	31230	 	OP	54617005
995875	3399	1997-06-09	VYDAJ	PREVOD NA UCET	784	31576	 	OP	54617005
995876	3399	1997-07-09	VYDAJ	PREVOD NA UCET	784	34727	 	OP	54617005
995877	3399	1997-08-09	VYDAJ	PREVOD NA UCET	784	33226	 	OP	54617005
995878	3399	1997-09-09	VYDAJ	PREVOD NA UCET	784	30841	 	OP	54617005
995879	3399	1997-10-09	VYDAJ	PREVOD NA UCET	784	28566	 	OP	54617005
995880	3399	1997-11-09	VYDAJ	PREVOD NA UCET	784	26337	 	OP	54617005
995881	3399	1997-12-09	VYDAJ	PREVOD NA UCET	784	26300	 	OP	54617005
995882	3399	1998-01-09	VYDAJ	PREVOD NA UCET	784	25539	 	OP	54617005
995883	3399	1998-02-09	VYDAJ	PREVOD NA UCET	784	15926	 	OP	54617005
995884	3399	1998-03-09	VYDAJ	PREVOD NA UCET	784	19647	 	OP	54617005
995885	3399	1998-04-09	VYDAJ	PREVOD NA UCET	784	18978	 	OP	54617005
995886	3399	1998-05-09	VYDAJ	PREVOD NA UCET	784	16028	 	OP	54617005
995887	3399	1998-06-09	VYDAJ	PREVOD NA UCET	784	20153	 	OP	54617005
995888	3399	1998-07-09	VYDAJ	PREVOD NA UCET	784	17660	 	OP	54617005
995889	3399	1998-08-09	VYDAJ	PREVOD NA UCET	784	19687	 	OP	54617005
995890	3399	1998-09-09	VYDAJ	PREVOD NA UCET	784	22020	 	OP	54617005
995891	3399	1998-10-09	VYDAJ	PREVOD NA UCET	784	24863	 	OP	54617005
995892	3399	1998-11-09	VYDAJ	PREVOD NA UCET	784	25414	 	OP	54617005
995893	3399	1998-12-09	VYDAJ	PREVOD NA UCET	784	19379	 	OP	54617005
995907	3399	1997-02-14	VYDAJ	PREVOD NA UCET	261	51212	POJISTNE	WX	61551862
995908	3399	1997-03-14	VYDAJ	PREVOD NA UCET	261	44122	POJISTNE	WX	61551862
995909	3399	1997-04-14	VYDAJ	PREVOD NA UCET	261	39632	POJISTNE	WX	61551862
995910	3399	1997-05-14	VYDAJ	PREVOD NA UCET	261	43111	POJISTNE	WX	61551862
995911	3399	1997-06-14	VYDAJ	PREVOD NA UCET	261	51902	POJISTNE	WX	61551862
995912	3399	1997-07-14	VYDAJ	PREVOD NA UCET	261	46608	POJISTNE	WX	61551862
995913	3399	1997-08-14	VYDAJ	PREVOD NA UCET	261	45107	POJISTNE	WX	61551862
995914	3399	1997-09-14	VYDAJ	PREVOD NA UCET	261	42722	POJISTNE	WX	61551862
995915	3399	1997-10-14	VYDAJ	PREVOD NA UCET	261	40447	POJISTNE	WX	61551862
995916	3399	1997-11-14	VYDAJ	PREVOD NA UCET	261	38218	POJISTNE	WX	61551862
995917	3399	1997-12-14	VYDAJ	PREVOD NA UCET	261	46626	POJISTNE	WX	61551862
995918	3399	1998-01-14	VYDAJ	PREVOD NA UCET	261	37420	POJISTNE	WX	61551862
995919	3399	1998-02-14	VYDAJ	PREVOD NA UCET	261	27807	POJISTNE	WX	61551862
995920	3399	1998-03-14	VYDAJ	PREVOD NA UCET	261	31528	POJISTNE	WX	61551862
995921	3399	1998-04-14	VYDAJ	PREVOD NA UCET	261	30859	POJISTNE	WX	61551862
995922	3399	1998-05-14	VYDAJ	PREVOD NA UCET	261	27909	POJISTNE	WX	61551862
995923	3399	1998-06-14	VYDAJ	PREVOD NA UCET	261	37479	POJISTNE	WX	61551862
995924	3399	1998-07-14	VYDAJ	PREVOD NA UCET	261	29541	POJISTNE	WX	61551862
995925	3399	1998-08-14	VYDAJ	PREVOD NA UCET	261	31568	POJISTNE	WX	61551862
995926	3399	1998-09-14	VYDAJ	PREVOD NA UCET	261	33901	POJISTNE	WX	61551862
995927	3399	1998-10-14	VYDAJ	PREVOD NA UCET	261	36744	POJISTNE	WX	61551862
995928	3399	1998-11-14	VYDAJ	PREVOD NA UCET	261	37295	POJISTNE	WX	61551862
995929	3399	1998-12-14	VYDAJ	PREVOD NA UCET	261	39705	POJISTNE	WX	61551862
995944	3399	1997-03-07	VYDAJ	PREVOD NA UCET	1753	33025	 	OP	58814012
995945	3399	1997-04-07	VYDAJ	PREVOD NA UCET	1753	31415	 	OP	58814012
995946	3399	1997-05-07	VYDAJ	PREVOD NA UCET	1753	32014	 	OP	58814012
995947	3399	1997-06-07	VYDAJ	PREVOD NA UCET	1753	32360	 	OP	58814012
995948	3399	1997-07-07	VYDAJ	PREVOD NA UCET	1753	35511	 	OP	58814012
995949	3399	1997-08-07	VYDAJ	PREVOD NA UCET	1753	34010	 	OP	58814012
995950	3399	1997-09-07	VYDAJ	PREVOD NA UCET	1753	31625	 	OP	58814012
995951	3399	1997-10-07	VYDAJ	PREVOD NA UCET	1753	29350	 	OP	58814012
995952	3399	1997-11-07	VYDAJ	PREVOD NA UCET	1753	27121	 	OP	58814012
995953	3399	1997-12-07	VYDAJ	PREVOD NA UCET	1753	27084	 	OP	58814012
995954	3399	1998-01-07	VYDAJ	PREVOD NA UCET	1753	26323	 	OP	58814012
995955	3399	1998-02-07	VYDAJ	PREVOD NA UCET	1753	16710	 	OP	58814012
995956	3399	1998-03-07	VYDAJ	PREVOD NA UCET	1753	20431	 	OP	58814012
995957	3399	1998-04-07	VYDAJ	PREVOD NA UCET	1753	19762	 	OP	58814012
995958	3399	1998-05-07	VYDAJ	PREVOD NA UCET	1753	16812	 	OP	58814012
995959	3399	1998-06-07	VYDAJ	PREVOD NA UCET	1753	20937	 	OP	58814012
995960	3399	1998-07-07	VYDAJ	PREVOD NA UCET	1753	18444	 	OP	58814012
995961	3399	1998-08-07	VYDAJ	PREVOD NA UCET	1753	20471	 	OP	58814012
995962	3399	1998-09-07	VYDAJ	PREVOD NA UCET	1753	22804	 	OP	58814012
995963	3399	1998-10-07	VYDAJ	PREVOD NA UCET	1753	25647	 	OP	58814012
995964	3399	1998-11-07	VYDAJ	PREVOD NA UCET	1753	26198	 	OP	58814012
995965	3399	1998-12-07	VYDAJ	PREVOD NA UCET	1753	20163	 	OP	58814012
995967	3399	1997-12-19	VYDAJ	VYBER	4160	42466	\N	\N	\N
995968	3399	1998-12-02	VYDAJ	VYBER	2880	21916	\N	\N	\N
995981	3399	1998-01-06	VYDAJ	VYBER	1200	29396	\N	\N	\N
995982	3399	1998-01-15	VYDAJ	VYBER	1800	35620	\N	\N	\N
995983	3399	1998-01-17	VYDAJ	VYBER	600	32740	\N	\N	\N
995984	3399	1998-01-06	VYDAJ	VYBER	1320	28076	\N	\N	\N
995985	3399	1998-01-21	VYDAJ	VYBER	2040	23400	\N	\N	\N
995986	3399	1998-01-16	VYDAJ	VYBER	2280	33340	\N	\N	\N
995993	3399	1997-10-01	VYDAJ	VYBER	2760	31103	\N	\N	\N
995995	3399	1997-09-03	VYDAJ	VYBER	3480	33378	\N	\N	\N
995997	3399	1997-04-07	VYDAJ	VYBER	2880	28535	\N	\N	\N
995999	3399	1997-05-21	VYDAJ	VYBER	840	42271	\N	\N	\N
996000	3399	1998-06-29	VYDAJ	VYBER	5280	20099	\N	\N	\N
996001	3399	1998-01-29	VYDAJ	VYBER	5040	18360	\N	\N	\N
996002	3399	1998-06-14	VYDAJ	VYBER	3000	37740	\N	\N	\N
996003	3399	1998-05-03	VYDAJ	VYBER	2880	18565	\N	\N	\N
996018	3399	1997-02-28	VYDAJ	VYBER	15	34778	SLUZBY	\N	\N
996019	3399	1997-03-31	VYDAJ	VYBER	15	33168	SLUZBY	\N	\N
996020	3399	1997-04-30	VYDAJ	VYBER	15	33767	SLUZBY	\N	\N
996021	3399	1997-05-31	VYDAJ	VYBER	15	34113	SLUZBY	\N	\N
996022	3399	1997-06-30	VYDAJ	VYBER	15	37264	SLUZBY	\N	\N
996023	3399	1997-07-31	VYDAJ	VYBER	15	35763	SLUZBY	\N	\N
996024	3399	1997-08-31	VYDAJ	VYBER	15	36858	SLUZBY	\N	\N
996025	3399	1997-09-30	VYDAJ	VYBER	15	33863	SLUZBY	\N	\N
996026	3399	1997-10-31	VYDAJ	VYBER	15	28874	SLUZBY	\N	\N
996027	3399	1997-11-30	VYDAJ	VYBER	15	28837	SLUZBY	\N	\N
996028	3399	1997-12-31	VYDAJ	VYBER	15	30596	SLUZBY	\N	\N
996029	3399	1998-01-31	VYDAJ	VYBER	15	18463	SLUZBY	\N	\N
996030	3399	1998-02-28	VYDAJ	VYBER	15	22184	SLUZBY	\N	\N
996031	3399	1998-03-31	VYDAJ	VYBER	15	21515	SLUZBY	\N	\N
996032	3399	1998-04-30	VYDAJ	VYBER	15	21445	SLUZBY	\N	\N
996033	3399	1998-05-31	VYDAJ	VYBER	15	22690	SLUZBY	\N	\N
996034	3399	1998-06-30	VYDAJ	VYBER	15	20197	SLUZBY	\N	\N
996035	3399	1998-07-31	VYDAJ	VYBER	15	22224	SLUZBY	\N	\N
996036	3399	1998-08-31	VYDAJ	VYBER	15	24557	SLUZBY	\N	\N
996037	3399	1998-09-30	VYDAJ	VYBER	15	27400	SLUZBY	\N	\N
996038	3399	1998-10-31	VYDAJ	VYBER	15	27951	SLUZBY	\N	\N
996039	3399	1998-11-30	VYDAJ	VYBER	15	24796	SLUZBY	\N	\N
996040	3399	1996-10-26	PRIJEM	VKLAD	4900	22690	\N	\N	\N
996041	3399	1996-11-25	VYDAJ	VYBER	8200	31398	\N	\N	\N
996042	3399	1996-12-25	VYDAJ	VYBER	16600	40235	\N	\N	\N
996043	3399	1997-01-24	VYDAJ	VYBER	18100	39164	\N	\N	\N
996044	3399	1997-02-23	VYDAJ	VYBER	16600	34612	\N	\N	\N
996045	3399	1997-03-25	VYDAJ	VYBER	11100	33022	\N	\N	\N
996046	3399	1997-04-24	VYDAJ	VYBER	6000	33632	\N	\N	\N
996047	3399	1997-05-24	VYDAJ	VYBER	8300	33971	\N	\N	\N
996048	3399	1997-06-23	VYDAJ	VYBER	14800	37102	\N	\N	\N
996049	3399	1997-07-23	VYDAJ	VYBER	11000	35608	\N	\N	\N
996050	3399	1997-08-22	VYDAJ	VYBER	8400	36707	\N	\N	\N
996051	3399	1997-09-21	VYDAJ	VYBER	9000	33722	\N	\N	\N
996052	3399	1997-10-21	VYDAJ	VYBER	11700	28747	\N	\N	\N
996053	3399	1997-11-20	VYDAJ	VYBER	9500	28718	\N	\N	\N
996054	3399	1997-12-20	VYDAJ	VYBER	12000	30466	\N	\N	\N
996055	3399	1998-01-19	VYDAJ	VYBER	7300	25440	\N	\N	\N
996056	3399	1998-02-18	VYDAJ	VYBER	5700	22107	\N	\N	\N
996057	3399	1998-03-20	VYDAJ	VYBER	10100	21428	\N	\N	\N
996058	3399	1998-04-19	VYDAJ	VYBER	9500	21359	\N	\N	\N
996059	3399	1998-05-19	VYDAJ	VYBER	5300	22609	\N	\N	\N
996060	3399	1998-06-18	VYDAJ	VYBER	12100	25379	\N	\N	\N
996061	3399	1998-07-18	VYDAJ	VYBER	7400	22141	\N	\N	\N
996062	3399	1998-08-17	VYDAJ	VYBER	7100	24468	\N	\N	\N
996063	3399	1998-09-16	VYDAJ	VYBER	6600	27301	\N	\N	\N
996064	3399	1998-10-16	VYDAJ	VYBER	8900	27844	\N	\N	\N
996065	3399	1998-11-15	VYDAJ	VYBER	12600	24695	\N	\N	\N
996391	3401	1997-10-04	PRIJEM	VKLAD	400	400	\N	\N	\N
996395	3401	1997-12-24	PRIJEM	VKLAD	9057	35165	\N	\N	\N
996397	3401	1997-10-15	PRIJEM	VKLAD	26932	27332	\N	\N	\N
996403	3401	1998-04-13	PRIJEM	VKLAD	35127	85602	\N	\N	\N
996404	3401	1998-09-06	PRIJEM	VKLAD	17918	50399	\N	\N	\N
996405	3401	1998-09-08	PRIJEM	VKLAD	25601	76000	\N	\N	\N
996406	3401	1998-12-15	PRIJEM	VKLAD	5333	33124	\N	\N	\N
996407	3401	1998-10-12	PRIJEM	VKLAD	30659	75058	\N	\N	\N
996408	3401	1998-04-22	PRIJEM	VKLAD	35754	119182	\N	\N	\N
996409	3401	1998-06-28	PRIJEM	VKLAD	33592	59187	\N	\N	\N
996410	3401	1998-09-10	PRIJEM	VKLAD	9439	81192	\N	\N	\N
996411	3401	1998-02-04	PRIJEM	VKLAD	42346	73480	\N	\N	\N
996412	3401	1998-04-15	PRIJEM	VKLAD	48526	134128	\N	\N	\N
996429	3401	1998-05-08	VYDAJ	PREVOD NA UCET	4247	20866	SIPO	OP	90434562
996430	3401	1998-06-08	VYDAJ	PREVOD NA UCET	4247	25595	SIPO	OP	90434562
996431	3401	1998-07-08	VYDAJ	PREVOD NA UCET	4247	32326	SIPO	OP	90434562
996432	3401	1998-08-08	VYDAJ	PREVOD NA UCET	4247	25187	SIPO	OP	90434562
996433	3401	1998-09-08	VYDAJ	PREVOD NA UCET	4247	71753	SIPO	OP	90434562
996434	3401	1998-10-08	VYDAJ	PREVOD NA UCET	4247	57299	SIPO	OP	90434562
996435	3401	1998-11-08	VYDAJ	PREVOD NA UCET	4247	34508	SIPO	OP	90434562
996436	3401	1998-12-08	VYDAJ	PREVOD NA UCET	4247	31391	SIPO	OP	90434562
996437	3401	1998-12-24	VYBER	VYBER	9480	23644	\N	\N	\N
996440	3401	1998-05-07	VYBER	VYBER	11038	25113	\N	\N	\N
996441	3401	1998-10-26	VYBER	VYBER	15175	38561	\N	\N	\N
996443	3401	1998-10-15	VYBER	VYBER	21322	53736	\N	\N	\N
996451	3401	1998-12-09	VYDAJ	VYBER KARTOU	3600	27791	\N	\N	0
996468	3401	1998-07-18	VYDAJ	VYBER	10500	21826	\N	\N	\N
996469	3401	1998-04-28	VYDAJ	VYBER	10500	47082	\N	\N	\N
996470	3401	1998-07-07	VYDAJ	VYBER	14100	36573	\N	\N	\N
996472	3401	1998-04-19	VYDAJ	VYBER	6900	83428	\N	\N	\N
996473	3401	1998-10-09	VYDAJ	VYBER	12900	44399	\N	\N	\N
996474	3401	1998-05-05	VYDAJ	VYBER	5700	36151	\N	\N	\N
996492	3401	1998-04-30	VYDAJ	VYBER	30	47351	SLUZBY	\N	\N
996493	3401	1998-05-31	VYDAJ	VYBER	30	20942	SLUZBY	\N	\N
996494	3401	1998-06-30	VYDAJ	VYBER	30	59273	SLUZBY	\N	\N
996495	3401	1998-07-31	VYDAJ	VYBER	30	29434	SLUZBY	\N	\N
996496	3401	1998-08-31	VYDAJ	VYBER	30	32481	SLUZBY	\N	\N
996497	3401	1998-09-30	VYDAJ	VYBER	30	61546	SLUZBY	\N	\N
996498	3401	1998-10-31	VYDAJ	VYBER	30	38755	SLUZBY	\N	\N
996499	3401	1998-11-30	VYDAJ	VYBER	30	35638	SLUZBY	\N	\N
996500	3401	1997-11-03	VYDAJ	VYBER	1900	25495	\N	\N	\N
996501	3401	1997-12-03	PRIJEM	VKLAD	500	26108	\N	\N	\N
996502	3401	1998-01-02	VYDAJ	VYBER	4500	30788	\N	\N	\N
996503	3401	1998-02-01	PRIJEM	VKLAD	200	31134	\N	\N	\N
996504	3401	1998-03-03	VYDAJ	VYBER	15500	58269	\N	\N	\N
996505	3401	1998-04-02	VYDAJ	VYBER	8100	50475	\N	\N	\N
996506	3401	1998-04-15	VYDAJ	VYBER	43800	90328	\N	\N	\N
996507	3401	1998-04-22	VYDAJ	VYBER	61600	57582	\N	\N	\N
996508	3401	1998-05-02	VYDAJ	VYBER	5500	41851	\N	\N	\N
996509	3401	1998-06-01	PRIJEM	VKLAD	8900	29842	\N	\N	\N
996510	3401	1998-07-01	VYDAJ	VYBER	8600	50673	\N	\N	\N
996511	3401	1998-07-31	PRIJEM	VKLAD	7500	29464	\N	\N	\N
996512	3401	1998-08-30	PRIJEM	VKLAD	7200	32387	\N	\N	\N
996513	3401	1998-09-29	VYDAJ	VYBER	19900	61292	\N	\N	\N
996514	3401	1998-11-28	PRIJEM	VKLAD	1000	35508	\N	\N	\N
996530	3402	1995-03-16	PRIJEM	VKLAD	400	400	\N	\N	\N
996531	3402	1995-08-03	PRIJEM	VKLAD	23065	72216	\N	\N	\N
996532	3402	1995-04-21	PRIJEM	VKLAD	29584	84137	\N	\N	\N
996533	3402	1995-10-05	PRIJEM	VKLAD	31410	90193	\N	\N	\N
996534	3402	1995-10-09	PRIJEM	VKLAD	8648	98841	\N	\N	\N
996536	3402	1995-04-12	PRIJEM	VKLAD	33945	80953	\N	\N	\N
996537	3402	1995-10-30	PRIJEM	VKLAD	21304	78165	\N	\N	\N
996539	3402	1995-09-09	PRIJEM	VKLAD	20261	123704	\N	\N	\N
996540	3402	1995-09-09	PRIJEM	VKLAD	27295	103443	\N	\N	\N
996541	3402	1995-06-28	PRIJEM	VKLAD	37262	113374	\N	\N	\N
996542	3402	1995-06-15	PRIJEM	VKLAD	29412	76112	\N	\N	\N
996543	3402	1995-05-24	PRIJEM	VKLAD	48336	120084	\N	\N	\N
996544	3402	1995-11-11	PRIJEM	VKLAD	12294	86377	\N	\N	\N
996545	3402	1995-08-24	PRIJEM	VKLAD	13210	75865	\N	\N	\N
996546	3402	1995-04-08	PRIJEM	VKLAD	46608	47008	\N	\N	\N
996547	3402	1995-07-14	PRIJEM	VKLAD	11012	74940	\N	\N	\N
996548	3402	1995-05-20	PRIJEM	VKLAD	17615	71748	\N	\N	\N
996549	3402	1995-08-04	PRIJEM	VKLAD	27219	99435	\N	\N	\N
996550	3402	1996-05-16	PRIJEM	VKLAD	9818	64245	\N	\N	\N
996551	3402	1996-07-25	PRIJEM	VKLAD	6901	101186	\N	\N	\N
996552	3402	1996-02-02	PRIJEM	VKLAD	32291	72335	\N	\N	\N
996553	3402	1996-07-23	PRIJEM	VKLAD	28117	111385	\N	\N	\N
996554	3402	1996-02-29	PRIJEM	VKLAD	33940	67380	\N	\N	\N
996555	3402	1996-04-23	PRIJEM	VKLAD	49308	107328	\N	\N	\N
996556	3402	1996-08-10	PRIJEM	VKLAD	11813	71456	\N	\N	\N
996557	3402	1996-07-11	PRIJEM	VKLAD	49527	95905	\N	\N	\N
996558	3402	1996-06-06	PRIJEM	VKLAD	8002	110519	\N	\N	\N
996559	3402	1996-11-20	PRIJEM	VKLAD	8220	58187	\N	\N	\N
996560	3402	1996-05-25	PRIJEM	VKLAD	23158	133560	\N	\N	\N
996561	3402	1996-12-11	PRIJEM	VKLAD	26872	74990	\N	\N	\N
996562	3402	1996-01-22	PRIJEM	VKLAD	31257	54003	\N	\N	\N
996563	3402	1996-03-31	PRIJEM	VKLAD	11891	84130	\N	\N	\N
996564	3402	1996-01-02	PRIJEM	VKLAD	5615	55026	\N	\N	\N
996565	3402	1996-09-28	PRIJEM	VKLAD	43757	162809	\N	\N	\N
996566	3402	1996-05-20	PRIJEM	VKLAD	46157	110402	\N	\N	\N
996567	3402	1996-06-01	PRIJEM	VKLAD	37404	144717	\N	\N	\N
996568	3402	1996-09-03	PRIJEM	VKLAD	22927	69773	\N	\N	\N
996569	3402	1996-03-05	PRIJEM	VKLAD	43866	111216	\N	\N	\N
996570	3402	1996-09-11	PRIJEM	VKLAD	40859	109432	\N	\N	\N
996571	3402	1996-01-01	PRIJEM	VKLAD	23168	49411	\N	\N	\N
996572	3402	1996-11-13	PRIJEM	VKLAD	15790	53623	\N	\N	\N
996573	3402	1996-04-28	PRIJEM	VKLAD	33463	140791	\N	\N	\N
996574	3402	1996-09-26	PRIJEM	VKLAD	26724	106700	\N	\N	\N
996575	3402	1996-09-06	PRIJEM	VKLAD	26424	96197	\N	\N	\N
996576	3402	1996-09-26	PRIJEM	VKLAD	49352	156052	\N	\N	\N
996577	3402	1996-08-07	PRIJEM	VKLAD	13886	115367	\N	\N	\N
996578	3402	1997-05-08	PRIJEM	VKLAD	14318	60617	\N	\N	\N
996579	3402	1997-05-08	PRIJEM	VKLAD	37874	98491	\N	\N	\N
996580	3402	1997-12-23	PRIJEM	VKLAD	34120	82853	\N	\N	\N
996581	3402	1997-11-07	PRIJEM	VKLAD	15992	70886	\N	\N	\N
996582	3402	1997-01-29	PRIJEM	VKLAD	16235	40392	\N	\N	\N
996583	3402	1997-10-22	PRIJEM	VKLAD	26521	48291	\N	\N	\N
996584	3402	1997-04-15	PRIJEM	VKLAD	34471	58057	\N	\N	\N
996585	3402	1998-12-19	PRIJEM	VKLAD	10437	108949	\N	\N	\N
996586	3402	1998-11-05	PRIJEM	VKLAD	43445	142568	\N	\N	\N
996587	3402	1998-01-11	PRIJEM	VKLAD	10022	79926	\N	\N	\N
996588	3402	1998-09-20	PRIJEM	VKLAD	42194	120098	\N	\N	\N
996589	3402	1998-12-01	PRIJEM	VKLAD	21111	94499	\N	\N	\N
996590	3402	1998-10-30	PRIJEM	VKLAD	28115	98861	\N	\N	\N
996591	3402	1998-09-26	PRIJEM	VKLAD	39434	98432	\N	\N	\N
996592	3402	1998-09-04	PRIJEM	VKLAD	13392	85884	\N	\N	\N
996593	3402	1998-08-11	PRIJEM	VKLAD	45294	139858	\N	\N	\N
996594	3402	1998-01-04	PRIJEM	VKLAD	6391	94626	\N	\N	\N
996595	3402	1998-12-15	PRIJEM	VKLAD	29587	98512	\N	\N	\N
996596	3402	1998-03-26	PRIJEM	VKLAD	20791	52564	\N	\N	\N
996597	3402	1998-01-02	PRIJEM	VKLAD	31064	97040	\N	\N	\N
996598	3402	1998-01-12	PRIJEM	VKLAD	5981	85907	\N	\N	\N
996599	3402	1998-07-22	PRIJEM	VKLAD	49849	143923	\N	\N	\N
996600	3402	1998-04-09	PRIJEM	VKLAD	13699	68303	\N	\N	\N
996601	3402	1998-01-05	PRIJEM	VKLAD	17202	111828	\N	\N	\N
996602	3402	1998-02-16	PRIJEM	VKLAD	15921	51319	\N	\N	\N
996603	3402	1998-08-14	PRIJEM	VKLAD	46540	131298	\N	\N	\N
996604	3402	1998-06-30	PRIJEM	VKLAD	49004	102084	\N	\N	\N
996605	3402	1998-01-02	PRIJEM	VKLAD	20695	117735	\N	\N	\N
996606	3402	1998-08-11	PRIJEM	VKLAD	9074	94564	\N	\N	\N
996607	3402	1998-12-04	PRIJEM	VKLAD	45435	138134	\N	\N	\N
996608	3402	1998-12-12	PRIJEM	VKLAD	43671	158781	\N	\N	\N
996662	3402	1995-06-14	VYDAJ	PREVOD NA UCET	3656	46700	SIPO	CD	91337632
996663	3402	1995-07-14	VYDAJ	PREVOD NA UCET	3656	71284	SIPO	CD	91337632
996664	3402	1995-08-14	VYDAJ	PREVOD NA UCET	3656	62655	SIPO	CD	91337632
996665	3402	1995-09-14	VYDAJ	PREVOD NA UCET	3656	58524	SIPO	CD	91337632
996666	3402	1995-10-14	VYDAJ	PREVOD NA UCET	3656	61361	SIPO	CD	91337632
996667	3402	1995-11-14	VYDAJ	PREVOD NA UCET	3656	59421	SIPO	CD	91337632
996668	3402	1995-12-14	VYDAJ	PREVOD NA UCET	3656	44096	SIPO	CD	91337632
996669	3402	1996-01-14	VYDAJ	PREVOD NA UCET	3656	34746	SIPO	CD	91337632
996670	3402	1996-02-14	VYDAJ	PREVOD NA UCET	3656	39210	SIPO	CD	91337632
996671	3402	1996-03-14	VYDAJ	PREVOD NA UCET	3656	71936	SIPO	CD	91337632
996672	3402	1996-04-14	VYDAJ	PREVOD NA UCET	3656	58020	SIPO	CD	91337632
996673	3402	1996-05-14	VYDAJ	PREVOD NA UCET	3656	54427	SIPO	CD	91337632
996674	3402	1996-06-14	VYDAJ	PREVOD NA UCET	3656	56939	SIPO	CD	91337632
996675	3402	1996-07-14	VYDAJ	PREVOD NA UCET	3656	92249	SIPO	CD	91337632
996676	3402	1996-08-14	VYDAJ	PREVOD NA UCET	3656	67800	SIPO	CD	91337632
996677	3402	1996-09-14	VYDAJ	PREVOD NA UCET	3656	79976	SIPO	CD	91337632
996678	3402	1996-10-14	VYDAJ	PREVOD NA UCET	3656	43452	SIPO	CD	91337632
996679	3402	1996-11-14	VYDAJ	PREVOD NA UCET	3656	49967	SIPO	CD	91337632
996680	3402	1996-12-14	VYDAJ	PREVOD NA UCET	3656	71334	SIPO	CD	91337632
996681	3402	1997-01-14	VYDAJ	PREVOD NA UCET	3656	40957	SIPO	CD	91337632
996682	3402	1997-02-14	VYDAJ	PREVOD NA UCET	3656	38864	SIPO	CD	91337632
996683	3402	1997-03-14	VYDAJ	PREVOD NA UCET	3656	36071	SIPO	CD	91337632
996684	3402	1997-04-14	VYDAJ	PREVOD NA UCET	3656	23586	SIPO	CD	91337632
996685	3402	1997-05-14	VYDAJ	PREVOD NA UCET	3656	90511	SIPO	CD	91337632
996686	3402	1997-06-14	VYDAJ	PREVOD NA UCET	3656	69529	SIPO	CD	91337632
996687	3402	1997-07-14	VYDAJ	PREVOD NA UCET	3656	37881	SIPO	CD	91337632
996688	3402	1997-08-14	VYDAJ	PREVOD NA UCET	3656	39470	SIPO	CD	91337632
996689	3402	1997-09-14	VYDAJ	PREVOD NA UCET	3656	39106	SIPO	CD	91337632
996690	3402	1997-10-14	VYDAJ	PREVOD NA UCET	3656	21770	SIPO	CD	91337632
996691	3402	1997-11-14	VYDAJ	PREVOD NA UCET	3656	62906	SIPO	CD	91337632
996692	3402	1997-12-14	VYDAJ	PREVOD NA UCET	3656	48733	SIPO	CD	91337632
996693	3402	1998-01-14	VYDAJ	PREVOD NA UCET	3656	82251	SIPO	CD	91337632
996694	3402	1998-02-14	VYDAJ	PREVOD NA UCET	3656	35398	SIPO	CD	91337632
996695	3402	1998-03-14	VYDAJ	PREVOD NA UCET	3656	31773	SIPO	CD	91337632
996696	3402	1998-04-14	VYDAJ	PREVOD NA UCET	3656	60323	SIPO	CD	91337632
996697	3402	1998-05-14	VYDAJ	PREVOD NA UCET	3656	54658	SIPO	CD	91337632
996698	3402	1998-06-14	VYDAJ	PREVOD NA UCET	3656	44972	SIPO	CD	91337632
996699	3402	1998-07-14	VYDAJ	PREVOD NA UCET	3656	94074	SIPO	CD	91337632
996700	3402	1998-08-14	VYDAJ	PREVOD NA UCET	3656	85842	SIPO	CD	91337632
996701	3402	1998-09-14	VYDAJ	PREVOD NA UCET	3656	77904	SIPO	CD	91337632
996702	3402	1998-10-14	VYDAJ	PREVOD NA UCET	3656	61646	SIPO	CD	91337632
996703	3402	1998-11-14	VYDAJ	PREVOD NA UCET	3656	87110	SIPO	CD	91337632
996704	3402	1998-12-14	VYDAJ	PREVOD NA UCET	3656	132025	SIPO	CD	91337632
996710	3402	1995-06-09	VYDAJ	PREVOD NA UCET	4324	63656	 	WX	85702967
996711	3402	1995-07-09	VYDAJ	PREVOD NA UCET	4324	63928	 	WX	85702967
996712	3402	1995-08-09	VYDAJ	PREVOD NA UCET	4324	95111	 	WX	85702967
996713	3402	1995-09-09	VYDAJ	PREVOD NA UCET	4324	119380	 	WX	85702967
996714	3402	1995-10-09	VYDAJ	PREVOD NA UCET	4324	94517	 	WX	85702967
996715	3402	1995-11-09	VYDAJ	PREVOD NA UCET	4324	74083	 	WX	85702967
996716	3402	1995-12-09	VYDAJ	PREVOD NA UCET	4324	55352	 	WX	85702967
996717	3402	1996-01-09	VYDAJ	PREVOD NA UCET	4324	44102	 	WX	85702967
996718	3402	1996-02-09	VYDAJ	PREVOD NA UCET	4324	57311	 	WX	85702967
996719	3402	1996-03-09	VYDAJ	PREVOD NA UCET	4324	106892	 	WX	85702967
996720	3402	1996-04-09	VYDAJ	PREVOD NA UCET	4324	79776	 	WX	85702967
996721	3402	1996-05-09	VYDAJ	PREVOD NA UCET	4324	76383	 	WX	85702967
996722	3402	1996-06-09	VYDAJ	PREVOD NA UCET	4324	60595	 	WX	85702967
996723	3402	1996-07-09	VYDAJ	PREVOD NA UCET	4324	46378	 	WX	85702967
996724	3402	1996-08-09	VYDAJ	PREVOD NA UCET	4324	59643	 	WX	85702967
996725	3402	1996-09-09	VYDAJ	PREVOD NA UCET	4324	68573	 	WX	85702967
996726	3402	1996-10-09	VYDAJ	PREVOD NA UCET	4324	47108	 	WX	85702967
996727	3402	1996-11-09	VYDAJ	PREVOD NA UCET	4324	37833	 	WX	85702967
996728	3402	1996-12-09	VYDAJ	PREVOD NA UCET	4324	48118	 	WX	85702967
996729	3402	1997-01-09	VYDAJ	PREVOD NA UCET	4324	44613	 	WX	85702967
996730	3402	1997-02-09	VYDAJ	PREVOD NA UCET	4324	42520	 	WX	85702967
996731	3402	1997-03-09	VYDAJ	PREVOD NA UCET	4324	39727	 	WX	85702967
996732	3402	1997-04-09	VYDAJ	PREVOD NA UCET	4324	37742	 	WX	85702967
996733	3402	1997-05-09	VYDAJ	PREVOD NA UCET	4324	94167	 	WX	85702967
996734	3402	1997-06-09	VYDAJ	PREVOD NA UCET	4324	73185	 	WX	85702967
996735	3402	1997-07-09	VYDAJ	PREVOD NA UCET	4324	59088	 	WX	85702967
996736	3402	1997-08-09	VYDAJ	PREVOD NA UCET	4324	43126	 	WX	85702967
996737	3402	1997-09-09	VYDAJ	PREVOD NA UCET	4324	42762	 	WX	85702967
996738	3402	1997-10-09	VYDAJ	PREVOD NA UCET	4324	25426	 	WX	85702967
996739	3402	1997-11-09	VYDAJ	PREVOD NA UCET	4324	66562	 	WX	85702967
996740	3402	1997-12-09	VYDAJ	PREVOD NA UCET	4324	52389	 	WX	85702967
996741	3402	1998-01-09	VYDAJ	PREVOD NA UCET	4324	69904	 	WX	85702967
996742	3402	1998-02-09	VYDAJ	PREVOD NA UCET	4324	39054	 	WX	85702967
996743	3402	1998-03-09	VYDAJ	PREVOD NA UCET	4324	41729	 	WX	85702967
996744	3402	1998-04-09	VYDAJ	PREVOD NA UCET	4324	63979	 	WX	85702967
996745	3402	1998-05-09	VYDAJ	PREVOD NA UCET	4324	58314	 	WX	85702967
996746	3402	1998-06-09	VYDAJ	PREVOD NA UCET	4324	48628	 	WX	85702967
996747	3402	1998-07-09	VYDAJ	PREVOD NA UCET	4324	97730	 	WX	85702967
996748	3402	1998-08-09	VYDAJ	PREVOD NA UCET	4324	85490	 	WX	85702967
996749	3402	1998-09-09	VYDAJ	PREVOD NA UCET	4324	81560	 	WX	85702967
996750	3402	1998-10-09	VYDAJ	PREVOD NA UCET	4324	65302	 	WX	85702967
996751	3402	1998-11-09	VYDAJ	PREVOD NA UCET	4324	102762	 	WX	85702967
996752	3402	1998-12-09	VYDAJ	PREVOD NA UCET	4324	115110	 	WX	85702967
996754	3402	1996-02-10	VYBER	VYBER	11906	45405	\N	\N	\N
996755	3402	1996-02-11	VYBER	VYBER	2539	42866	\N	\N	\N
996756	3402	1996-07-16	VYBER	VYBER	8981	83268	\N	\N	\N
996757	3402	1996-08-15	VYBER	VYBER	21187	46613	\N	\N	\N
996758	3402	1996-10-28	VYBER	VYBER	6613	36839	\N	\N	\N
996759	3402	1996-06-21	VYBER	VYBER	9103	47836	\N	\N	\N
996760	3402	1996-02-24	VYBER	VYBER	3840	35370	\N	\N	\N
996762	3402	1997-04-20	VYBER	VYBER	2419	55638	\N	\N	\N
996763	3402	1997-09-26	VYBER	VYBER	8744	26735	\N	\N	\N
996764	3402	1997-04-03	VYBER	VYBER	9416	26766	\N	\N	\N
996765	3402	1997-09-19	VYBER	VYBER	3627	35479	\N	\N	\N
996766	3402	1997-07-14	VYBER	VYBER	17551	41537	\N	\N	\N
996767	3402	1997-02-16	VYBER	VYBER	12525	26339	\N	\N	\N
996769	3402	1997-04-22	VYBER	VYBER	19878	35760	\N	\N	\N
996770	3402	1997-01-04	VYBER	VYBER	8939	52537	\N	\N	\N
996771	3402	1998-11-06	VYBER	VYBER	6382	107086	\N	\N	\N
996772	3402	1998-11-17	VYBER	VYBER	24844	62266	\N	\N	\N
996773	3402	1998-05-31	VYBER	VYBER	6916	52982	\N	\N	\N
996774	3402	1998-01-17	VYBER	VYBER	17306	27078	\N	\N	\N
996775	3402	1998-11-13	VYBER	VYBER	11996	90766	\N	\N	\N
996777	3402	1998-01-16	VYBER	VYBER	23467	44384	\N	\N	\N
996778	3402	1995-12-24	VYDAJ	VYBER	4800	26096	\N	\N	\N
996779	3402	1996-12-26	VYDAJ	VYBER	2100	69234	\N	\N	\N
996780	3402	1997-12-08	VYDAJ	VYBER	3600	56713	\N	\N	\N
996781	3402	1998-12-03	VYDAJ	VYBER	1800	92699	\N	\N	\N
996788	3402	1996-01-13	VYDAJ	VYBER	6000	38402	\N	\N	\N
996789	3402	1996-01-22	VYDAJ	VYBER	6900	47103	\N	\N	\N
996790	3402	1996-01-15	VYDAJ	VYBER	1800	32946	\N	\N	\N
996791	3402	1996-01-21	VYDAJ	VYBER	5100	22746	\N	\N	\N
996792	3402	1996-01-16	VYDAJ	VYBER	5100	27846	\N	\N	\N
996793	3402	1996-01-24	VYDAJ	VYBER	7200	39903	\N	\N	\N
996794	3402	1997-01-01	VYDAJ	VYBER	6000	63476	\N	\N	\N
996795	3402	1997-01-24	VYDAJ	VYBER	6900	30757	\N	\N	\N
996796	3402	1997-01-16	VYDAJ	VYBER	3300	37657	\N	\N	\N
996797	3402	1997-01-08	VYDAJ	VYBER	3600	48937	\N	\N	\N
996798	3402	1997-01-28	VYDAJ	VYBER	6600	24157	\N	\N	\N
996799	3402	1997-01-01	VYDAJ	VYBER	3600	59876	\N	\N	\N
996800	3402	1998-01-01	VYDAJ	VYBER	5700	65976	\N	\N	\N
996802	3402	1998-01-06	VYDAJ	VYBER	2100	78728	\N	\N	\N
996804	3402	1998-01-17	VYDAJ	VYBER	2100	24978	\N	\N	\N
996805	3402	1998-01-06	VYDAJ	VYBER	4500	74228	\N	\N	\N
996806	3402	1995-10-29	VYDAJ	VYBER	4500	56861	\N	\N	\N
996809	3402	1995-12-19	VYDAJ	VYBER	13200	30896	\N	\N	\N
996810	3402	1996-01-02	VYDAJ	VYBER	6600	48426	\N	\N	\N
996811	3402	1996-10-30	VYDAJ	VYBER	12000	24839	\N	\N	\N
996812	3402	1996-09-12	VYDAJ	VYBER	5400	83632	\N	\N	\N
996813	3402	1996-02-24	VYDAJ	VYBER	2100	33270	\N	\N	\N
996814	3402	1996-12-02	VYDAJ	VYBER	4200	54142	\N	\N	\N
996815	3402	1997-02-07	VYDAJ	VYBER	3600	46844	\N	\N	\N
996816	3402	1997-04-12	VYDAJ	VYBER	10500	27242	\N	\N	\N
996817	3402	1997-09-28	VYDAJ	VYBER	1500	25235	\N	\N	\N
996819	3402	1997-08-17	VYDAJ	VYBER	4500	34970	\N	\N	\N
996820	3402	1997-10-07	VYDAJ	VYBER	13200	29750	\N	\N	\N
996821	3402	1997-07-23	VYDAJ	VYBER	8100	29781	\N	\N	\N
996822	3402	1997-11-16	VYDAJ	VYBER	8100	54806	\N	\N	\N
996823	3402	1998-03-13	VYDAJ	VYBER	6300	35429	\N	\N	\N
996824	3402	1998-10-07	VYDAJ	VYBER	12600	69626	\N	\N	\N
996825	3402	1998-02-23	VYDAJ	VYBER	5100	31819	\N	\N	\N
996826	3402	1998-09-01	VYDAJ	VYBER	3000	72492	\N	\N	\N
996827	3402	1998-01-15	VYDAJ	VYBER	14400	67851	\N	\N	\N
996828	3402	1998-02-18	VYDAJ	VYBER	14400	36919	\N	\N	\N
996834	3402	1995-05-31	VYDAJ	VYBER	30	67980	SLUZBY	\N	\N
996835	3402	1995-06-30	VYDAJ	VYBER	30	68252	SLUZBY	\N	\N
996836	3402	1995-07-31	VYDAJ	VYBER	30	49151	SLUZBY	\N	\N
996837	3402	1995-08-31	VYDAJ	VYBER	30	76148	SLUZBY	\N	\N
996838	3402	1995-09-30	VYDAJ	VYBER	30	58783	SLUZBY	\N	\N
996839	3402	1995-10-31	VYDAJ	VYBER	30	78407	SLUZBY	\N	\N
996840	3402	1995-11-30	VYDAJ	VYBER	30	59676	SLUZBY	\N	\N
996841	3402	1995-12-31	VYDAJ	VYBER	30	26243	SLUZBY	\N	\N
996842	3402	1996-01-31	VYDAJ	VYBER	30	40044	SLUZBY	\N	\N
996843	3402	1996-02-29	VYDAJ	VYBER	30	67350	SLUZBY	\N	\N
996844	3402	1996-03-31	VYDAJ	VYBER	30	84100	SLUZBY	\N	\N
996845	3402	1996-04-30	VYDAJ	VYBER	30	80707	SLUZBY	\N	\N
996846	3402	1996-05-31	VYDAJ	VYBER	30	107313	SLUZBY	\N	\N
996847	3402	1996-06-30	VYDAJ	VYBER	30	48102	SLUZBY	\N	\N
996848	3402	1996-07-31	VYDAJ	VYBER	30	101481	SLUZBY	\N	\N
996849	3402	1996-08-31	VYDAJ	VYBER	30	46846	SLUZBY	\N	\N
996850	3402	1996-09-30	VYDAJ	VYBER	30	110832	SLUZBY	\N	\N
996851	3402	1996-10-31	VYDAJ	VYBER	30	25057	SLUZBY	\N	\N
996852	3402	1996-11-30	VYDAJ	VYBER	30	58342	SLUZBY	\N	\N
996853	3402	1996-12-31	VYDAJ	VYBER	30	69476	SLUZBY	\N	\N
996854	3402	1997-01-31	VYDAJ	VYBER	30	40544	SLUZBY	\N	\N
996855	3402	1997-02-28	VYDAJ	VYBER	30	26451	SLUZBY	\N	\N
996856	3402	1997-03-31	VYDAJ	VYBER	30	36182	SLUZBY	\N	\N
996857	3402	1997-04-30	VYDAJ	VYBER	30	35899	SLUZBY	\N	\N
996858	3402	1997-05-31	VYDAJ	VYBER	30	90809	SLUZBY	\N	\N
996859	3402	1997-06-30	VYDAJ	VYBER	30	69812	SLUZBY	\N	\N
996860	3402	1997-07-31	VYDAJ	VYBER	30	29950	SLUZBY	\N	\N
996861	3402	1997-08-31	VYDAJ	VYBER	30	35086	SLUZBY	\N	\N
996862	3402	1997-09-30	VYDAJ	VYBER	30	25350	SLUZBY	\N	\N
996863	3402	1997-10-31	VYDAJ	VYBER	30	54894	SLUZBY	\N	\N
996864	3402	1997-11-30	VYDAJ	VYBER	30	60313	SLUZBY	\N	\N
996865	3402	1997-12-31	VYDAJ	VYBER	30	71676	SLUZBY	\N	\N
996866	3402	1998-01-31	VYDAJ	VYBER	30	43378	SLUZBY	\N	\N
996867	3402	1998-02-28	VYDAJ	VYBER	30	46053	SLUZBY	\N	\N
996868	3402	1998-03-31	VYDAJ	VYBER	30	54604	SLUZBY	\N	\N
996869	3402	1998-04-30	VYDAJ	VYBER	30	62638	SLUZBY	\N	\N
996870	3402	1998-05-31	VYDAJ	VYBER	30	52952	SLUZBY	\N	\N
996871	3402	1998-06-30	VYDAJ	VYBER	30	102054	SLUZBY	\N	\N
996872	3402	1998-07-31	VYDAJ	VYBER	30	89814	SLUZBY	\N	\N
996873	3402	1998-08-31	VYDAJ	VYBER	30	75492	SLUZBY	\N	\N
996874	3402	1998-09-30	VYDAJ	VYBER	30	82226	SLUZBY	\N	\N
996875	3402	1998-10-31	VYDAJ	VYBER	30	99123	SLUZBY	\N	\N
996876	3402	1998-11-30	VYDAJ	VYBER	30	73388	SLUZBY	\N	\N
996877	3402	1995-04-15	VYDAJ	VYBER	26400	54553	\N	\N	\N
996878	3402	1995-05-15	VYDAJ	VYBER	30200	54133	\N	\N	\N
996879	3402	1995-05-24	VYDAJ	VYBER	52400	67684	\N	\N	\N
996880	3402	1995-06-14	VYDAJ	VYBER	13300	50356	\N	\N	\N
996881	3402	1995-06-28	VYDAJ	VYBER	45400	67974	\N	\N	\N
996882	3402	1995-07-14	VYDAJ	VYBER	22400	48884	\N	\N	\N
996883	3402	1995-08-13	VYDAJ	VYBER	28800	66311	\N	\N	\N
996884	3402	1995-09-09	VYDAJ	VYBER	26900	92480	\N	\N	\N
996885	3402	1995-09-12	VYDAJ	VYBER	30300	62180	\N	\N	\N
996886	3402	1995-10-12	VYDAJ	VYBER	29500	65017	\N	\N	\N
996887	3402	1995-11-11	VYDAJ	VYBER	23300	63077	\N	\N	\N
996888	3402	1995-12-11	VYDAJ	VYBER	7600	47752	\N	\N	\N
996889	3402	1996-01-10	PRIJEM	VKLAD	300	44402	\N	\N	\N
996890	3402	1996-02-09	VYDAJ	VYBER	10700	61635	\N	\N	\N
996891	3402	1996-03-10	VYDAJ	VYBER	31300	75592	\N	\N	\N
996892	3402	1996-04-09	VYDAJ	VYBER	18100	61676	\N	\N	\N
996893	3402	1996-04-28	VYDAJ	VYBER	60400	80391	\N	\N	\N
996894	3402	1996-05-09	VYDAJ	VYBER	18300	58083	\N	\N	\N
996895	3402	1996-05-25	VYDAJ	VYBER	26600	106960	\N	\N	\N
996896	3402	1996-06-01	VYDAJ	VYBER	42200	102517	\N	\N	\N
996897	3402	1996-06-06	VYDAJ	VYBER	26300	84219	\N	\N	\N
996898	3402	1996-06-08	VYDAJ	VYBER	19300	64919	\N	\N	\N
996899	3402	1996-07-08	PRIJEM	VKLAD	2600	50702	\N	\N	\N
996900	3402	1996-07-23	VYDAJ	VYBER	17100	94285	\N	\N	\N
996901	3402	1996-08-07	VYDAJ	VYBER	42400	72967	\N	\N	\N
996902	3402	1996-08-07	VYDAJ	VYBER	9000	63967	\N	\N	\N
996903	3402	1996-09-06	VYDAJ	VYBER	23300	72897	\N	\N	\N
996904	3402	1996-09-11	VYDAJ	VYBER	20400	89032	\N	\N	\N
996905	3402	1996-09-26	VYDAJ	VYBER	37000	119052	\N	\N	\N
996906	3402	1996-09-28	VYDAJ	VYBER	52300	110509	\N	\N	\N
996907	3402	1996-09-30	VYDAJ	VYBER	62300	48532	\N	\N	\N
996908	3402	1996-10-06	PRIJEM	VKLAD	2900	51432	\N	\N	\N
996909	3402	1996-11-05	PRIJEM	VKLAD	17100	42157	\N	\N	\N
996910	3402	1996-12-05	VYDAJ	VYBER	1700	52442	\N	\N	\N
996911	3402	1997-01-04	PRIJEM	VKLAD	1600	61476	\N	\N	\N
996912	3402	1997-02-03	PRIJEM	VKLAD	9900	50444	\N	\N	\N
996913	3402	1997-03-05	PRIJEM	VKLAD	17600	44051	\N	\N	\N
996914	3402	1997-04-04	PRIJEM	VKLAD	15300	42066	\N	\N	\N
996915	3402	1997-05-04	PRIJEM	VKLAD	10400	46299	\N	\N	\N
996916	3402	1997-06-03	VYDAJ	VYBER	13300	77509	\N	\N	\N
996917	3402	1997-07-03	VYDAJ	VYBER	6400	63412	\N	\N	\N
996918	3402	1997-08-02	PRIJEM	VKLAD	17500	47450	\N	\N	\N
996919	3402	1997-09-01	PRIJEM	VKLAD	12000	47086	\N	\N	\N
996920	3402	1997-10-01	PRIJEM	VKLAD	17600	42950	\N	\N	\N
996921	3402	1997-10-31	PRIJEM	VKLAD	6500	54924	\N	\N	\N
996922	3402	1997-11-30	PRIJEM	VKLAD	5300	60106	\N	\N	\N
996923	3402	1997-12-30	VYDAJ	VYBER	11400	71453	\N	\N	\N
996924	3402	1998-01-02	VYDAJ	VYBER	29500	88235	\N	\N	\N
996925	3402	1998-01-05	VYDAJ	VYBER	31000	80828	\N	\N	\N
996926	3402	1998-01-29	PRIJEM	VKLAD	18200	43178	\N	\N	\N
996927	3402	1998-02-28	PRIJEM	VKLAD	14100	45919	\N	\N	\N
996928	3402	1998-03-30	PRIJEM	VKLAD	1900	54464	\N	\N	\N
996929	3402	1998-04-29	PRIJEM	VKLAD	2100	62423	\N	\N	\N
996930	3402	1998-05-29	PRIJEM	VKLAD	5000	59658	\N	\N	\N
996931	3402	1998-06-28	PRIJEM	VKLAD	7900	52872	\N	\N	\N
996932	3402	1998-07-22	VYDAJ	VYBER	24100	119823	\N	\N	\N
996933	3402	1998-07-28	VYDAJ	VYBER	30400	89423	\N	\N	\N
996934	3402	1998-08-11	VYDAJ	VYBER	55100	84758	\N	\N	\N
996935	3402	1998-08-14	VYDAJ	VYBER	41800	89498	\N	\N	\N
996936	3402	1998-08-27	VYDAJ	VYBER	10700	75142	\N	\N	\N
996937	3402	1998-09-20	VYDAJ	VYBER	61100	58998	\N	\N	\N
996938	3402	1998-09-26	VYDAJ	VYBER	16500	81932	\N	\N	\N
996939	3402	1998-10-26	PRIJEM	VKLAD	9100	70746	\N	\N	\N
996940	3402	1998-11-05	VYDAJ	VYBER	29100	113468	\N	\N	\N
996941	3402	1998-11-25	PRIJEM	VKLAD	10800	73066	\N	\N	\N
996942	3402	1998-12-04	VYDAJ	VYBER	18700	119434	\N	\N	\N
996943	3402	1998-12-12	VYDAJ	VYBER	23100	135681	\N	\N	\N
996944	3402	1998-12-14	VYDAJ	VYBER	63100	68925	\N	\N	\N
996990	3403	1997-05-20	PRIJEM	VKLAD	700	700	\N	\N	\N
996994	3403	1997-07-09	PRIJEM	VKLAD	12104	84222	\N	\N	\N
996997	3403	1997-12-02	PRIJEM	VKLAD	15560	87423	\N	\N	\N
996998	3403	1997-08-02	PRIJEM	VKLAD	15781	73578	\N	\N	\N
996999	3403	1997-09-16	PRIJEM	VKLAD	19583	75994	\N	\N	\N
997000	3403	1997-06-26	PRIJEM	VKLAD	47619	72040	\N	\N	\N
997001	3403	1997-12-01	PRIJEM	VKLAD	41770	71863	\N	\N	\N
997002	3403	1997-06-19	PRIJEM	VKLAD	28121	28821	\N	\N	\N
997003	3403	1997-10-01	PRIJEM	VKLAD	8701	59405	\N	\N	\N
997006	3403	1997-12-26	PRIJEM	VKLAD	29196	72984	\N	\N	\N
997007	3403	1997-08-06	PRIJEM	VKLAD	15958	87736	\N	\N	\N
997009	3403	1997-12-04	PRIJEM	VKLAD	30955	118378	\N	\N	\N
997010	3403	1998-09-17	PRIJEM	VKLAD	35647	70694	\N	\N	\N
997011	3403	1998-12-28	PRIJEM	VKLAD	6664	104250	\N	\N	\N
997012	3403	1998-03-10	PRIJEM	VKLAD	39645	65750	\N	\N	\N
997013	3403	1998-05-23	PRIJEM	VKLAD	33438	58192	\N	\N	\N
997014	3403	1998-10-13	PRIJEM	VKLAD	17752	67894	\N	\N	\N
997015	3403	1998-12-21	PRIJEM	VKLAD	35668	113934	\N	\N	\N
997016	3403	1998-12-23	PRIJEM	VKLAD	31252	97586	\N	\N	\N
997017	3403	1998-03-01	PRIJEM	VKLAD	8039	59881	\N	\N	\N
997018	3403	1998-08-24	PRIJEM	VKLAD	15438	51947	\N	\N	\N
997019	3403	1998-12-18	PRIJEM	VKLAD	26317	86966	\N	\N	\N
997020	3403	1998-01-07	PRIJEM	VKLAD	5317	81908	\N	\N	\N
997021	3403	1998-07-27	PRIJEM	VKLAD	28671	65497	\N	\N	\N
997022	3403	1998-11-15	PRIJEM	VKLAD	12557	71476	\N	\N	\N
997023	3403	1998-02-27	PRIJEM	VKLAD	13261	51680	\N	\N	\N
997024	3403	1998-01-05	PRIJEM	VKLAD	48698	119933	\N	\N	\N
997025	3403	1998-12-29	PRIJEM	VKLAD	22055	126305	\N	\N	\N
997026	3403	1998-12-07	PRIJEM	VKLAD	24598	90344	\N	\N	\N
997027	3403	1998-10-02	PRIJEM	VKLAD	45917	109037	\N	\N	\N
997028	3403	1998-10-24	PRIJEM	VKLAD	21143	89037	\N	\N	\N
997036	3403	1997-08-04	VYDAJ	VYBER	1800	71778	\N	\N	0
997037	3403	1997-09-21	VYDAJ	VYBER	1500	50494	\N	\N	0
997038	3403	1997-10-27	VYDAJ	VYBER	2200	36205	\N	\N	0
997039	3403	1997-11-14	VYDAJ	VYBER	1400	34970	\N	\N	0
997040	3403	1997-12-30	VYDAJ	VYBER	2000	70984	\N	\N	0
997041	3403	1998-01-11	VYDAJ	VYBER	2100	79808	\N	\N	0
997042	3403	1998-02-07	VYDAJ	VYBER	2100	43019	\N	\N	0
997043	3403	1998-03-11	VYDAJ	VYBER	2000	63750	\N	\N	0
997044	3403	1998-03-26	VYDAJ	VYBER	1700	44850	\N	\N	0
997045	3403	1998-05-12	VYDAJ	VYBER	1700	19754	\N	\N	0
997046	3403	1998-06-15	VYDAJ	VYBER	1700	42630	\N	\N	0
997047	3403	1998-07-12	VYDAJ	PREVOD NA UCET	1995	40826	UVER	QR	57706224
997048	3403	1998-08-12	VYDAJ	PREVOD NA UCET	1995	32609	UVER	QR	57706224
997049	3403	1998-09-12	VYDAJ	PREVOD NA UCET	1995	35047	UVER	QR	57706224
997050	3403	1998-10-12	VYDAJ	PREVOD NA UCET	1995	64142	UVER	QR	57706224
997051	3403	1998-11-12	VYDAJ	PREVOD NA UCET	1995	58919	UVER	QR	57706224
997052	3403	1998-12-12	VYDAJ	PREVOD NA UCET	1995	60649	UVER	QR	57706224
997055	3403	1997-12-10	VYBER	VYBER	18190	65988	\N	\N	\N
997057	3403	1998-08-01	VYBER	VYBER	16959	34604	\N	\N	\N
997058	3403	1998-09-10	VYBER	VYBER	19680	32442	\N	\N	\N
997059	3403	1998-11-25	VYBER	VYBER	6016	65460	\N	\N	\N
997060	3403	1998-04-26	VYBER	VYBER	11143	21317	\N	\N	\N
997061	3403	1998-06-01	VYBER	VYBER	2685	55630	\N	\N	\N
997062	3403	1998-03-04	VYBER	VYBER	21695	38186	\N	\N	\N
997063	3403	1998-01-13	VYBER	VYBER	2436	77372	\N	\N	\N
997064	3403	1998-01-06	VYBER	VYBER	13442	76591	\N	\N	\N
997065	3403	1998-03-07	VYBER	VYBER	12081	26105	\N	\N	\N
997066	3403	1998-04-15	VYBER	VYBER	4572	38360	\N	\N	\N
997070	3403	1998-01-28	VYDAJ	VYBER	6600	44872	\N	\N	\N
997071	3403	1997-12-05	VYDAJ	VYBER	6300	84178	\N	\N	\N
997072	3403	1998-12-18	VYDAJ	VYBER	8700	78266	\N	\N	\N
997073	3403	1997-10-10	VYDAJ	VYBER	14400	45005	\N	\N	\N
997074	3403	1997-12-15	VYDAJ	VYBER	6000	59988	\N	\N	\N
997077	3403	1998-10-25	VYDAJ	VYBER	8400	80637	\N	\N	\N
997079	3403	1998-04-06	VYDAJ	VYBER	2100	42932	\N	\N	\N
997081	3403	1998-07-31	VYDAJ	VYBER	14100	51578	\N	\N	\N
997082	3403	1998-09-17	VYDAJ	VYBER	7800	62894	\N	\N	\N
997091	3403	1997-08-31	VYDAJ	VYBER	15	56411	SLUZBY	\N	\N
997092	3403	1997-09-30	VYDAJ	VYBER	15	50704	SLUZBY	\N	\N
997093	3403	1997-10-31	VYDAJ	VYBER	15	36370	SLUZBY	\N	\N
997094	3403	1997-11-30	VYDAJ	VYBER	15	30093	SLUZBY	\N	\N
997095	3403	1997-12-31	VYDAJ	VYBER	15	71235	SLUZBY	\N	\N
997096	3403	1998-01-31	VYDAJ	VYBER	15	45119	SLUZBY	\N	\N
997097	3403	1998-02-28	VYDAJ	VYBER	15	51842	SLUZBY	\N	\N
997098	3403	1998-03-31	VYDAJ	VYBER	15	45032	SLUZBY	\N	\N
997099	3403	1998-04-30	VYDAJ	VYBER	15	21454	SLUZBY	\N	\N
997100	3403	1998-05-31	VYDAJ	VYBER	15	58315	SLUZBY	\N	\N
997101	3403	1998-06-30	VYDAJ	VYBER	15	42821	SLUZBY	\N	\N
997102	3403	1998-07-31	VYDAJ	VYBER	15	51563	SLUZBY	\N	\N
997103	3403	1998-08-31	VYDAJ	VYBER	15	52122	SLUZBY	\N	\N
997104	3403	1998-09-30	VYDAJ	VYBER	15	63120	SLUZBY	\N	\N
997105	3403	1998-10-31	VYDAJ	VYBER	15	80914	SLUZBY	\N	\N
997106	3403	1998-11-30	VYDAJ	VYBER	15	65746	SLUZBY	\N	\N
997107	3403	1997-06-19	VYDAJ	VYBER	4400	24421	\N	\N	\N
997108	3403	1997-07-19	VYDAJ	VYBER	26700	57522	\N	\N	\N
997109	3403	1997-08-18	VYDAJ	VYBER	31600	56136	\N	\N	\N
997110	3403	1997-09-17	VYDAJ	VYBER	24000	51994	\N	\N	\N
997111	3403	1997-10-17	VYDAJ	VYBER	6600	38405	\N	\N	\N
997112	3403	1997-11-16	VYDAJ	VYBER	5000	29970	\N	\N	\N
997113	3403	1997-12-04	VYDAJ	VYBER	27900	90478	\N	\N	\N
997114	3403	1997-12-16	VYDAJ	VYBER	16200	43788	\N	\N	\N
997115	3403	1998-01-05	VYDAJ	VYBER	29900	90033	\N	\N	\N
997116	3403	1998-01-15	VYDAJ	VYBER	25900	51472	\N	\N	\N
997117	3403	1998-02-14	VYDAJ	VYBER	4600	38419	\N	\N	\N
997118	3403	1998-03-16	VYDAJ	VYBER	17200	46550	\N	\N	\N
997119	3403	1998-04-15	VYDAJ	VYBER	5900	32460	\N	\N	\N
997120	3403	1998-05-15	PRIJEM	VKLAD	5000	24754	\N	\N	\N
997121	3403	1998-06-14	VYDAJ	VYBER	11300	44330	\N	\N	\N
997122	3403	1998-07-14	VYDAJ	VYBER	4000	36826	\N	\N	\N
997123	3403	1998-08-13	PRIJEM	VKLAD	3900	36509	\N	\N	\N
997124	3403	1998-09-12	PRIJEM	VKLAD	4600	37042	\N	\N	\N
997125	3403	1998-10-02	VYDAJ	VYBER	42900	66137	\N	\N	\N
997126	3403	1998-10-12	VYDAJ	VYBER	14000	50142	\N	\N	\N
997127	3403	1998-11-11	VYDAJ	VYBER	20000	60914	\N	\N	\N
997128	3403	1998-12-11	VYDAJ	VYBER	27700	62644	\N	\N	\N
997129	3403	1998-12-21	VYDAJ	VYBER	47600	66334	\N	\N	\N
997130	3403	1998-12-29	VYDAJ	VYBER	18700	107605	\N	\N	\N
997150	3404	1997-11-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
997161	3404	1997-11-07	PRIJEM	VKLAD	18409	19409	\N	\N	\N
997162	3404	1997-12-07	PRIJEM	VKLAD	27614	48688	\N	\N	\N
997163	3404	1998-01-07	PRIJEM	VKLAD	18409	56376	\N	\N	\N
997164	3404	1998-02-07	PRIJEM	VKLAD	18409	58214	\N	\N	\N
997165	3404	1998-03-07	PRIJEM	VKLAD	18409	60564	\N	\N	\N
997166	3404	1998-04-07	PRIJEM	VKLAD	18409	64008	\N	\N	\N
997167	3404	1998-05-07	PRIJEM	VKLAD	18409	67752	\N	\N	\N
997168	3404	1998-06-07	PRIJEM	VKLAD	27614	79422	\N	\N	\N
997169	3404	1998-07-07	PRIJEM	VKLAD	18409	68381	\N	\N	\N
997170	3404	1998-08-07	PRIJEM	VKLAD	18409	74351	\N	\N	\N
997171	3404	1998-09-07	PRIJEM	VKLAD	18409	73948	\N	\N	\N
997172	3404	1998-10-07	PRIJEM	VKLAD	18409	74674	\N	\N	\N
997173	3404	1998-11-07	PRIJEM	VKLAD	18409	71460	\N	\N	\N
997174	3404	1998-12-07	PRIJEM	VKLAD	27614	79639	\N	\N	\N
997176	3404	1998-06-13	VYDAJ	VYBER	22300	57122	\N	\N	\N
997180	3404	1998-12-27	VYDAJ	VYBER KARTOU	900	78739	\N	\N	0
997196	3404	1998-04-08	VYDAJ	VYBER	4600	59408	\N	\N	\N
997198	3404	1998-10-05	VYDAJ	VYBER KARTOU	1700	56265	\N	\N	0
997199	3404	1998-10-28	VYDAJ	VYBER KARTOU	1500	73174	\N	\N	0
997200	3404	1998-11-03	VYDAJ	VYBER KARTOU	3000	53051	\N	\N	0
997201	3404	1998-05-13	VYDAJ	VYBER	2000	65752	\N	\N	\N
997217	3404	1998-03-31	VYDAJ	VYBER	15	60799	SLUZBY	\N	\N
997218	3404	1998-04-30	VYDAJ	VYBER	15	59643	SLUZBY	\N	\N
997219	3404	1998-05-31	VYDAJ	VYBER	15	66008	SLUZBY	\N	\N
997220	3404	1998-06-30	VYDAJ	VYBER	15	57372	SLUZBY	\N	\N
997221	3404	1998-07-31	VYDAJ	VYBER	15	68642	SLUZBY	\N	\N
997222	3404	1998-08-31	VYDAJ	VYBER	15	55539	SLUZBY	\N	\N
997223	3404	1998-09-30	VYDAJ	VYBER	15	74165	SLUZBY	\N	\N
997224	3404	1998-10-31	VYDAJ	VYBER	15	56051	SLUZBY	\N	\N
997225	3404	1998-11-30	VYDAJ	VYBER	15	52025	SLUZBY	\N	\N
997226	3404	1997-12-04	PRIJEM	VKLAD	1600	21074	\N	\N	\N
997227	3404	1998-01-03	VYDAJ	VYBER	10900	37967	\N	\N	\N
997228	3404	1998-02-02	VYDAJ	VYBER	16800	39805	\N	\N	\N
997229	3404	1998-03-04	VYDAJ	VYBER	16300	42155	\N	\N	\N
997230	3404	1998-04-03	VYDAJ	VYBER	15200	45599	\N	\N	\N
997231	3404	1998-05-03	VYDAJ	VYBER	10300	49343	\N	\N	\N
997232	3404	1998-06-02	VYDAJ	VYBER	14200	51808	\N	\N	\N
997233	3404	1998-07-02	VYDAJ	VYBER	7400	49972	\N	\N	\N
997234	3404	1998-08-01	VYDAJ	VYBER	12700	55942	\N	\N	\N
997235	3404	1998-08-31	VYDAJ	VYBER	19100	55554	\N	\N	\N
997236	3404	1998-09-30	VYDAJ	VYBER	16200	57965	\N	\N	\N
997237	3404	1998-10-30	VYDAJ	VYBER	17400	55774	\N	\N	\N
997238	3404	1998-11-29	VYDAJ	VYBER	19700	51760	\N	\N	\N
997253	3405	1994-03-07	PRIJEM	VKLAD	200	200	\N	\N	\N
997256	3405	1994-03-12	PRIJEM	VKLAD	20482	20682	\N	\N	\N
997257	3405	1994-04-12	PRIJEM	VKLAD	20482	43420	\N	\N	\N
997258	3405	1994-05-12	PRIJEM	VKLAD	20482	53748	\N	\N	\N
997259	3405	1994-06-12	PRIJEM	VKLAD	30723	71579	\N	\N	\N
997260	3405	1994-07-12	PRIJEM	VKLAD	20482	68332	\N	\N	\N
997261	3405	1994-08-12	PRIJEM	VKLAD	20482	58346	\N	\N	\N
997262	3405	1994-09-12	PRIJEM	VKLAD	20482	54511	\N	\N	\N
997263	3405	1994-10-12	PRIJEM	VKLAD	20482	53753	\N	\N	\N
997264	3405	1994-11-12	PRIJEM	VKLAD	20482	52890	\N	\N	\N
997265	3405	1994-12-12	PRIJEM	VKLAD	30723	64463	\N	\N	\N
997266	3405	1995-01-12	PRIJEM	VKLAD	20482	50427	\N	\N	\N
997267	3405	1995-02-12	PRIJEM	VKLAD	20482	52342	\N	\N	\N
997268	3405	1995-03-12	PRIJEM	VKLAD	20482	51863	\N	\N	\N
997269	3405	1995-04-12	PRIJEM	VKLAD	20482	52793	\N	\N	\N
997270	3405	1995-05-12	PRIJEM	VKLAD	20482	54525	\N	\N	\N
997271	3405	1995-06-12	PRIJEM	VKLAD	30723	63303	\N	\N	\N
997272	3405	1995-07-12	PRIJEM	VKLAD	20482	54145	\N	\N	\N
997273	3405	1995-08-12	PRIJEM	VKLAD	20482	52868	\N	\N	\N
997274	3405	1995-09-12	PRIJEM	VKLAD	20482	54189	\N	\N	\N
997275	3405	1995-10-12	PRIJEM	VKLAD	20482	50708	\N	\N	\N
997276	3405	1995-11-12	PRIJEM	VKLAD	20482	53819	\N	\N	\N
997277	3405	1995-12-12	PRIJEM	VKLAD	30723	55180	\N	\N	\N
997278	3405	1996-01-12	PRIJEM	VKLAD	20482	48395	\N	\N	\N
997279	3405	1996-02-12	PRIJEM	VKLAD	20482	46484	\N	\N	\N
997280	3405	1996-03-12	PRIJEM	VKLAD	20482	46772	\N	\N	\N
997281	3405	1996-04-12	PRIJEM	VKLAD	20482	50463	\N	\N	\N
997282	3405	1996-05-12	PRIJEM	VKLAD	20482	50266	\N	\N	\N
997283	3405	1996-06-12	PRIJEM	VKLAD	30723	60709	\N	\N	\N
997284	3405	1996-07-12	PRIJEM	VKLAD	20482	52629	\N	\N	\N
997285	3405	1996-08-12	PRIJEM	VKLAD	20482	49435	\N	\N	\N
997286	3405	1996-09-12	PRIJEM	VKLAD	20482	47928	\N	\N	\N
997287	3405	1996-10-12	PRIJEM	VKLAD	20482	44410	\N	\N	\N
997288	3405	1996-11-12	PRIJEM	VKLAD	20482	48485	\N	\N	\N
997289	3405	1996-12-12	PRIJEM	VKLAD	30723	58713	\N	\N	\N
997290	3405	1997-01-12	PRIJEM	VKLAD	20482	45416	\N	\N	\N
997291	3405	1997-02-12	PRIJEM	VKLAD	20482	43182	\N	\N	\N
997292	3405	1997-03-12	PRIJEM	VKLAD	20482	50755	\N	\N	\N
997293	3405	1997-04-12	PRIJEM	VKLAD	20482	54656	\N	\N	\N
997294	3405	1997-05-12	PRIJEM	VKLAD	20482	52663	\N	\N	\N
997295	3405	1997-06-12	PRIJEM	VKLAD	30723	67513	\N	\N	\N
997296	3405	1997-07-12	PRIJEM	VKLAD	20482	57543	\N	\N	\N
997297	3405	1997-08-12	PRIJEM	VKLAD	20482	52260	\N	\N	\N
997298	3405	1997-09-12	PRIJEM	VKLAD	20482	51554	\N	\N	\N
997299	3405	1997-10-12	PRIJEM	VKLAD	20482	55453	\N	\N	\N
997300	3405	1997-11-12	PRIJEM	VKLAD	20482	55359	\N	\N	\N
997301	3405	1997-12-12	PRIJEM	VKLAD	30723	60199	\N	\N	\N
997302	3405	1998-01-12	PRIJEM	VKLAD	20482	55208	\N	\N	\N
997303	3405	1998-02-12	PRIJEM	VKLAD	20482	46000	\N	\N	\N
997304	3405	1998-03-12	PRIJEM	VKLAD	20482	52377	\N	\N	\N
997305	3405	1998-04-12	PRIJEM	VKLAD	20482	56979	\N	\N	\N
997306	3405	1998-05-12	PRIJEM	VKLAD	20482	54187	\N	\N	\N
997307	3405	1998-06-12	PRIJEM	VKLAD	30723	62524	\N	\N	\N
997308	3405	1998-07-12	PRIJEM	VKLAD	20482	58937	\N	\N	\N
997309	3405	1998-08-12	PRIJEM	VKLAD	20482	52243	\N	\N	\N
997310	3405	1998-09-12	PRIJEM	VKLAD	20482	49132	\N	\N	\N
997311	3405	1998-10-12	PRIJEM	VKLAD	20482	46526	\N	\N	\N
997312	3405	1998-11-12	PRIJEM	VKLAD	20482	46286	\N	\N	\N
997313	3405	1998-12-12	PRIJEM	VKLAD	30723	65320	\N	\N	\N
997321	3405	1994-08-08	VYDAJ	PREVOD NA UCET	7543	37864	SIPO	KL	12718767
997322	3405	1994-09-08	VYDAJ	PREVOD NA UCET	7543	34029	SIPO	KL	12718767
997323	3405	1994-10-08	VYDAJ	PREVOD NA UCET	7543	33271	SIPO	KL	12718767
997324	3405	1994-11-08	VYDAJ	PREVOD NA UCET	7543	32408	SIPO	KL	12718767
997325	3405	1994-12-08	VYDAJ	PREVOD NA UCET	7543	33740	SIPO	KL	12718767
997326	3405	1995-01-08	VYDAJ	PREVOD NA UCET	7543	32045	SIPO	KL	12718767
997327	3405	1995-02-08	VYDAJ	PREVOD NA UCET	7543	31860	SIPO	KL	12718767
997328	3405	1995-03-08	VYDAJ	PREVOD NA UCET	7543	31381	SIPO	KL	12718767
997329	3405	1995-04-08	VYDAJ	PREVOD NA UCET	7543	32311	SIPO	KL	12718767
997330	3405	1995-05-08	VYDAJ	PREVOD NA UCET	7543	34043	SIPO	KL	12718767
997331	3405	1995-06-08	VYDAJ	PREVOD NA UCET	7543	32580	SIPO	KL	12718767
997332	3405	1995-07-08	VYDAJ	PREVOD NA UCET	7543	33663	SIPO	KL	12718767
997333	3405	1995-08-08	VYDAJ	PREVOD NA UCET	7543	32386	SIPO	KL	12718767
997334	3405	1995-09-08	VYDAJ	PREVOD NA UCET	7543	33707	SIPO	KL	12718767
997335	3405	1995-10-08	VYDAJ	PREVOD NA UCET	7543	30226	SIPO	KL	12718767
997336	3405	1995-11-08	VYDAJ	PREVOD NA UCET	7543	33337	SIPO	KL	12718767
997337	3405	1995-12-08	VYDAJ	PREVOD NA UCET	7543	29357	SIPO	KL	12718767
997338	3405	1996-01-08	VYDAJ	PREVOD NA UCET	7543	27913	SIPO	KL	12718767
997339	3405	1996-02-08	VYDAJ	PREVOD NA UCET	7543	26002	SIPO	KL	12718767
997340	3405	1996-03-08	VYDAJ	PREVOD NA UCET	7543	26290	SIPO	KL	12718767
997341	3405	1996-04-08	VYDAJ	PREVOD NA UCET	7543	29981	SIPO	KL	12718767
997342	3405	1996-05-08	VYDAJ	PREVOD NA UCET	7543	29784	SIPO	KL	12718767
997343	3405	1996-06-08	VYDAJ	PREVOD NA UCET	7543	29986	SIPO	KL	12718767
997344	3405	1996-07-08	VYDAJ	PREVOD NA UCET	7543	32147	SIPO	KL	12718767
997345	3405	1996-08-08	VYDAJ	PREVOD NA UCET	7543	28953	SIPO	KL	12718767
997346	3405	1996-09-08	VYDAJ	PREVOD NA UCET	7543	27446	SIPO	KL	12718767
997347	3405	1996-10-08	VYDAJ	PREVOD NA UCET	7543	23928	SIPO	KL	12718767
997348	3405	1996-11-08	VYDAJ	PREVOD NA UCET	7543	28003	SIPO	KL	12718767
997349	3405	1996-12-08	VYDAJ	PREVOD NA UCET	7543	27990	SIPO	KL	12718767
997350	3405	1997-01-08	VYDAJ	PREVOD NA UCET	7543	28934	SIPO	KL	12718767
997351	3405	1997-02-08	VYDAJ	PREVOD NA UCET	7543	22700	SIPO	KL	12718767
997352	3405	1997-03-08	VYDAJ	PREVOD NA UCET	7543	30273	SIPO	KL	12718767
997353	3405	1997-04-08	VYDAJ	PREVOD NA UCET	7543	34174	SIPO	KL	12718767
997354	3405	1997-05-08	VYDAJ	PREVOD NA UCET	7543	32181	SIPO	KL	12718767
997355	3405	1997-06-08	VYDAJ	PREVOD NA UCET	7543	36790	SIPO	KL	12718767
997356	3405	1997-07-08	VYDAJ	PREVOD NA UCET	7543	37061	SIPO	KL	12718767
997357	3405	1997-08-08	VYDAJ	PREVOD NA UCET	7543	31778	SIPO	KL	12718767
997358	3405	1997-09-08	VYDAJ	PREVOD NA UCET	7543	31072	SIPO	KL	12718767
997359	3405	1997-10-08	VYDAJ	PREVOD NA UCET	7543	34971	SIPO	KL	12718767
997360	3405	1997-11-08	VYDAJ	PREVOD NA UCET	7543	34877	SIPO	KL	12718767
997361	3405	1997-12-08	VYDAJ	PREVOD NA UCET	7543	29476	SIPO	KL	12718767
997362	3405	1998-01-08	VYDAJ	PREVOD NA UCET	7543	37526	SIPO	KL	12718767
997363	3405	1998-02-08	VYDAJ	PREVOD NA UCET	7543	25518	SIPO	KL	12718767
997364	3405	1998-03-08	VYDAJ	PREVOD NA UCET	7543	31895	SIPO	KL	12718767
997365	3405	1998-04-08	VYDAJ	PREVOD NA UCET	7543	36497	SIPO	KL	12718767
997366	3405	1998-05-08	VYDAJ	PREVOD NA UCET	7543	36305	SIPO	KL	12718767
997367	3405	1998-06-08	VYDAJ	PREVOD NA UCET	7543	31801	SIPO	KL	12718767
997368	3405	1998-07-08	VYDAJ	PREVOD NA UCET	7543	38455	SIPO	KL	12718767
997369	3405	1998-08-08	VYDAJ	PREVOD NA UCET	7543	31761	SIPO	KL	12718767
997370	3405	1998-09-08	VYDAJ	PREVOD NA UCET	7543	28650	SIPO	KL	12718767
997371	3405	1998-10-08	VYDAJ	PREVOD NA UCET	7543	26044	SIPO	KL	12718767
997372	3405	1998-11-08	VYDAJ	PREVOD NA UCET	7543	26604	SIPO	KL	12718767
997373	3405	1998-12-08	VYDAJ	PREVOD NA UCET	7543	38897	SIPO	KL	12718767
997374	3405	1994-12-22	VYDAJ	VYBER	1800	62663	\N	\N	\N
997375	3405	1995-12-11	VYDAJ	VYBER	600	28757	\N	\N	\N
997376	3405	1996-12-28	VYDAJ	VYBER KARTOU	2000	37213	\N	\N	0
997377	3405	1997-12-19	VYDAJ	VYBER KARTOU	1100	46199	\N	\N	0
997378	3405	1998-12-15	VYDAJ	VYBER KARTOU	2200	63120	\N	\N	0
997385	3405	1995-01-02	VYDAJ	VYBER	2400	42588	\N	\N	\N
997386	3405	1995-01-10	VYDAJ	VYBER	2100	29945	\N	\N	\N
997387	3405	1995-01-17	VYDAJ	VYBER	2300	48127	\N	\N	\N
997388	3405	1995-01-08	VYDAJ	VYBER	700	39588	\N	\N	\N
997389	3405	1995-01-08	VYDAJ	VYBER	1500	40288	\N	\N	\N
997390	3405	1995-01-04	VYDAJ	VYBER	800	41788	\N	\N	\N
997391	3405	1996-01-29	VYDAJ	VYBER	1000	33395	\N	\N	\N
997392	3405	1996-01-17	VYDAJ	VYBER	600	42495	\N	\N	\N
997393	3405	1996-01-16	VYDAJ	VYBER	1800	43095	\N	\N	\N
997394	3405	1996-01-14	VYDAJ	VYBER	800	44895	\N	\N	\N
997395	3405	1996-01-13	VYDAJ	VYBER	2700	45695	\N	\N	\N
997396	3405	1996-01-08	VYDAJ	VYBER	2100	35456	\N	\N	\N
997397	3405	1997-01-18	VYDAJ	VYBER KARTOU	1400	39816	\N	\N	0
997398	3405	1997-01-11	VYDAJ	VYBER KARTOU	2400	24934	\N	\N	0
997399	3405	1997-01-14	VYDAJ	VYBER KARTOU	800	41216	\N	\N	0
997400	3405	1997-01-22	VYDAJ	VYBER KARTOU	2800	30116	\N	\N	0
997401	3405	1997-01-09	VYDAJ	VYBER KARTOU	1600	27334	\N	\N	0
997402	3405	1997-01-01	VYDAJ	VYBER KARTOU	900	36477	\N	\N	0
997403	3405	1998-01-24	VYDAJ	VYBER KARTOU	2500	36808	\N	\N	0
997404	3405	1998-01-20	VYDAJ	VYBER KARTOU	1000	39308	\N	\N	0
997405	3405	1998-01-28	VYDAJ	VYBER KARTOU	1000	35808	\N	\N	0
997406	3405	1998-01-09	VYDAJ	VYBER KARTOU	2800	34726	\N	\N	0
997407	3405	1998-01-29	VYDAJ	VYBER KARTOU	2900	32908	\N	\N	0
997408	3405	1998-01-19	VYDAJ	VYBER KARTOU	1400	40308	\N	\N	0
997410	3405	1994-09-19	VYDAJ	VYBER	1100	53411	\N	\N	\N
997411	3405	1994-08-13	VYDAJ	VYBER	600	57746	\N	\N	\N
997412	3405	1994-11-07	VYDAJ	VYBER	2400	39951	\N	\N	\N
997413	3405	1995-06-17	VYDAJ	VYBER	4100	59203	\N	\N	\N
997414	3405	1995-11-27	VYDAJ	VYBER	2700	36719	\N	\N	\N
997415	3405	1995-07-04	VYDAJ	VYBER	1100	41206	\N	\N	\N
997416	3405	1995-12-11	VYDAJ	VYBER	4300	24457	\N	\N	\N
997417	3405	1995-09-21	VYDAJ	VYBER	3600	50589	\N	\N	\N
997418	3405	1996-05-31	VYDAJ	VYBER	700	37544	\N	\N	\N
997419	3405	1996-01-02	VYDAJ	VYBER	2400	37556	\N	\N	\N
997420	3405	1996-10-30	VYDAJ	VYBER KARTOU	1400	35410	\N	\N	0
997421	3405	1996-08-30	VYDAJ	VYBER KARTOU	800	34835	\N	\N	0
997422	3405	1996-09-17	VYDAJ	VYBER KARTOU	3700	44228	\N	\N	0
997423	3405	1996-10-05	VYDAJ	VYBER KARTOU	1600	31471	\N	\N	0
997424	3405	1997-08-05	VYDAJ	VYBER KARTOU	3600	39321	\N	\N	0
997425	3405	1997-01-12	VYDAJ	VYBER KARTOU	3400	42016	\N	\N	0
997426	3405	1997-11-14	VYDAJ	VYBER KARTOU	1000	54359	\N	\N	0
997427	3405	1997-11-27	VYDAJ	VYBER KARTOU	3700	36859	\N	\N	0
997428	3405	1997-06-26	VYDAJ	VYBER KARTOU	1500	44413	\N	\N	0
997429	3405	1998-07-01	VYDAJ	VYBER KARTOU	3100	45998	\N	\N	0
997430	3405	1998-09-26	VYDAJ	VYBER KARTOU	3800	33432	\N	\N	0
997431	3405	1998-01-08	VYDAJ	VYBER KARTOU	1300	45069	\N	\N	0
997432	3405	1998-09-03	VYDAJ	VYBER	4500	36193	\N	\N	\N
997433	3405	1998-07-24	VYDAJ	VYBER KARTOU	3800	41137	\N	\N	0
997434	3405	1998-07-25	VYDAJ	VYBER KARTOU	2000	39137	\N	\N	0
997435	3405	1998-05-11	VYDAJ	VYBER KARTOU	2600	33705	\N	\N	0
997436	3405	1998-12-11	VYDAJ	VYBER KARTOU	3400	34597	\N	\N	0
997444	3405	1994-07-31	VYDAJ	VYBER	15	68607	SLUZBY	\N	\N
997445	3405	1994-08-31	VYDAJ	VYBER	15	57972	SLUZBY	\N	\N
997446	3405	1994-09-30	VYDAJ	VYBER	15	53614	SLUZBY	\N	\N
997447	3405	1994-10-31	VYDAJ	VYBER	15	53951	SLUZBY	\N	\N
997448	3405	1994-11-30	VYDAJ	VYBER	15	53083	SLUZBY	\N	\N
997449	3405	1994-12-31	VYDAJ	VYBER	15	62888	SLUZBY	\N	\N
997450	3405	1995-01-31	VYDAJ	VYBER	15	39403	SLUZBY	\N	\N
997451	3405	1995-02-28	VYDAJ	VYBER	15	52524	SLUZBY	\N	\N
997452	3405	1995-03-31	VYDAJ	VYBER	15	52054	SLUZBY	\N	\N
997453	3405	1995-04-30	VYDAJ	VYBER	15	52986	SLUZBY	\N	\N
997454	3405	1995-05-31	VYDAJ	VYBER	15	54723	SLUZBY	\N	\N
997455	3405	1995-06-30	VYDAJ	VYBER	15	42306	SLUZBY	\N	\N
997456	3405	1995-07-31	VYDAJ	VYBER	15	39929	SLUZBY	\N	\N
997457	3405	1995-08-31	VYDAJ	VYBER	15	41250	SLUZBY	\N	\N
997458	3405	1995-09-30	VYDAJ	VYBER	15	37769	SLUZBY	\N	\N
997459	3405	1995-10-31	VYDAJ	VYBER	15	40880	SLUZBY	\N	\N
997460	3405	1995-11-30	VYDAJ	VYBER	15	36900	SLUZBY	\N	\N
997461	3405	1995-12-31	VYDAJ	VYBER	15	39956	SLUZBY	\N	\N
997462	3405	1996-01-31	VYDAJ	VYBER	15	33545	SLUZBY	\N	\N
997463	3405	1996-02-29	VYDAJ	VYBER	15	33833	SLUZBY	\N	\N
997464	3405	1996-03-31	VYDAJ	VYBER	15	37524	SLUZBY	\N	\N
997465	3405	1996-04-30	VYDAJ	VYBER	15	37327	SLUZBY	\N	\N
997466	3405	1996-05-31	VYDAJ	VYBER	15	37529	SLUZBY	\N	\N
997467	3405	1996-06-30	VYDAJ	VYBER	15	39690	SLUZBY	\N	\N
997468	3405	1996-07-31	VYDAJ	VYBER	15	36496	SLUZBY	\N	\N
997469	3405	1996-08-31	VYDAJ	VYBER	15	34989	SLUZBY	\N	\N
997470	3405	1996-09-30	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
997471	3405	1996-10-31	VYDAJ	VYBER	15	35546	SLUZBY	\N	\N
997472	3405	1996-11-30	VYDAJ	VYBER	15	35533	SLUZBY	\N	\N
997473	3405	1996-12-31	VYDAJ	VYBER	15	37377	SLUZBY	\N	\N
997474	3405	1997-01-31	VYDAJ	VYBER	15	30243	SLUZBY	\N	\N
997475	3405	1997-02-28	VYDAJ	VYBER	15	37816	SLUZBY	\N	\N
997476	3405	1997-03-31	VYDAJ	VYBER	15	41717	SLUZBY	\N	\N
997477	3405	1997-04-30	VYDAJ	VYBER	15	39724	SLUZBY	\N	\N
997478	3405	1997-05-31	VYDAJ	VYBER	15	44333	SLUZBY	\N	\N
997479	3405	1997-06-30	VYDAJ	VYBER	15	44604	SLUZBY	\N	\N
997480	3405	1997-07-31	VYDAJ	VYBER	15	42921	SLUZBY	\N	\N
997481	3405	1997-08-31	VYDAJ	VYBER	15	38615	SLUZBY	\N	\N
997482	3405	1997-09-30	VYDAJ	VYBER	15	42514	SLUZBY	\N	\N
997483	3405	1997-10-31	VYDAJ	VYBER	15	42420	SLUZBY	\N	\N
997484	3405	1997-11-30	VYDAJ	VYBER	15	37019	SLUZBY	\N	\N
997485	3405	1997-12-31	VYDAJ	VYBER	15	46369	SLUZBY	\N	\N
997486	3405	1998-01-31	VYDAJ	VYBER	15	33061	SLUZBY	\N	\N
997487	3405	1998-02-28	VYDAJ	VYBER	15	39438	SLUZBY	\N	\N
997488	3405	1998-03-31	VYDAJ	VYBER	15	44040	SLUZBY	\N	\N
997489	3405	1998-04-30	VYDAJ	VYBER	15	43848	SLUZBY	\N	\N
997490	3405	1998-05-31	VYDAJ	VYBER	15	39344	SLUZBY	\N	\N
997491	3405	1998-06-30	VYDAJ	VYBER	15	49098	SLUZBY	\N	\N
997492	3405	1998-07-31	VYDAJ	VYBER	15	39304	SLUZBY	\N	\N
997493	3405	1998-08-31	VYDAJ	VYBER	15	40693	SLUZBY	\N	\N
997494	3405	1998-09-30	VYDAJ	VYBER	15	33587	SLUZBY	\N	\N
997495	3405	1998-10-31	VYDAJ	VYBER	15	34147	SLUZBY	\N	\N
997496	3405	1998-11-30	VYDAJ	VYBER	15	46440	SLUZBY	\N	\N
997497	3405	1994-04-06	PRIJEM	VKLAD	2200	22938	\N	\N	\N
997498	3405	1994-05-06	VYDAJ	VYBER	10300	33266	\N	\N	\N
997499	3405	1994-06-05	VYDAJ	VYBER	13100	40856	\N	\N	\N
997500	3405	1994-07-05	VYDAJ	VYBER	24000	47850	\N	\N	\N
997501	3405	1994-08-04	VYDAJ	VYBER	23200	45407	\N	\N	\N
997502	3405	1994-09-03	VYDAJ	VYBER	16400	41572	\N	\N	\N
997503	3405	1994-10-03	VYDAJ	VYBER	12800	40814	\N	\N	\N
997504	3405	1994-11-02	VYDAJ	VYBER	11600	42351	\N	\N	\N
997505	3405	1994-12-02	VYDAJ	VYBER	11800	41283	\N	\N	\N
997506	3405	1995-01-01	VYDAJ	VYBER	17900	44988	\N	\N	\N
997507	3405	1995-01-31	VYDAJ	VYBER	8900	39417	\N	\N	\N
997508	3405	1995-03-02	VYDAJ	VYBER	13600	38924	\N	\N	\N
997509	3405	1995-04-01	VYDAJ	VYBER	12200	39854	\N	\N	\N
997510	3405	1995-05-01	VYDAJ	VYBER	11400	41586	\N	\N	\N
997511	3405	1995-05-31	VYDAJ	VYBER	14600	40123	\N	\N	\N
997512	3405	1995-06-30	VYDAJ	VYBER	17100	42320	\N	\N	\N
997513	3405	1995-07-30	VYDAJ	VYBER	14400	39745	\N	\N	\N
997514	3405	1995-08-29	VYDAJ	VYBER	11800	41068	\N	\N	\N
997515	3405	1995-09-28	VYDAJ	VYBER	13000	37589	\N	\N	\N
997516	3405	1995-10-28	VYDAJ	VYBER	10000	40708	\N	\N	\N
997517	3405	1995-11-27	VYDAJ	VYBER	14400	39419	\N	\N	\N
997518	3405	1995-12-27	VYDAJ	VYBER	15400	39780	\N	\N	\N
997519	3405	1996-01-26	VYDAJ	VYBER	8100	34395	\N	\N	\N
997520	3405	1996-02-25	VYDAJ	VYBER	12800	33684	\N	\N	\N
997521	3405	1996-03-26	VYDAJ	VYBER	9400	37372	\N	\N	\N
997522	3405	1996-04-25	VYDAJ	VYBER	13300	37163	\N	\N	\N
997523	3405	1996-05-25	VYDAJ	VYBER	12200	38066	\N	\N	\N
997524	3405	1996-06-24	VYDAJ	VYBER	21200	39509	\N	\N	\N
997525	3405	1996-07-24	VYDAJ	VYBER	16300	36329	\N	\N	\N
997526	3405	1996-08-23	VYDAJ	VYBER	13800	35635	\N	\N	\N
997527	3405	1996-09-22	VYDAJ	VYBER	11300	32928	\N	\N	\N
997528	3405	1996-10-22	VYDAJ	VYBER	7600	36810	\N	\N	\N
997529	3405	1996-11-21	VYDAJ	VYBER	13100	35385	\N	\N	\N
997530	3405	1996-12-21	VYDAJ	VYBER	19500	39213	\N	\N	\N
997531	3405	1997-01-20	VYDAJ	VYBER	6900	32916	\N	\N	\N
997532	3405	1997-02-19	VYDAJ	VYBER	5500	37682	\N	\N	\N
997533	3405	1997-03-21	VYDAJ	VYBER	9200	41555	\N	\N	\N
997534	3405	1997-04-20	VYDAJ	VYBER	15100	39556	\N	\N	\N
997535	3405	1997-05-20	VYDAJ	VYBER	8500	44163	\N	\N	\N
997536	3405	1997-06-19	VYDAJ	VYBER	21600	45913	\N	\N	\N
997537	3405	1997-07-19	VYDAJ	VYBER	14800	42743	\N	\N	\N
997538	3405	1997-08-18	VYDAJ	VYBER	13800	38460	\N	\N	\N
997539	3405	1997-09-17	VYDAJ	VYBER	9200	42354	\N	\N	\N
997540	3405	1997-10-17	VYDAJ	VYBER	13200	42253	\N	\N	\N
997541	3405	1997-11-16	VYDAJ	VYBER	13800	40559	\N	\N	\N
997542	3405	1997-12-16	VYDAJ	VYBER	12900	47299	\N	\N	\N
997543	3405	1998-01-15	VYDAJ	VYBER	13500	41708	\N	\N	\N
997544	3405	1998-02-14	VYDAJ	VYBER	6700	39300	\N	\N	\N
997545	3405	1998-03-16	VYDAJ	VYBER	8500	43877	\N	\N	\N
997546	3405	1998-04-15	VYDAJ	VYBER	13300	43679	\N	\N	\N
997547	3405	1998-05-15	VYDAJ	VYBER	15000	39187	\N	\N	\N
997548	3405	1998-06-14	VYDAJ	VYBER	13600	48924	\N	\N	\N
997549	3405	1998-07-14	VYDAJ	VYBER	14000	44937	\N	\N	\N
997550	3405	1998-08-13	VYDAJ	VYBER	11700	40543	\N	\N	\N
997551	3405	1998-09-12	VYDAJ	VYBER	11900	37232	\N	\N	\N
997552	3405	1998-10-12	VYDAJ	VYBER	12500	34026	\N	\N	\N
997553	3405	1998-11-11	VYDAJ	VYBER KARTOU	800	25804	\N	\N	0
997554	3405	1998-12-11	VYDAJ	VYBER KARTOU	900	37997	\N	\N	0
997613	3406	1997-12-08	PRIJEM	VKLAD	1100	7194	\N	\N	\N
997625	3406	1997-12-08	PRIJEM	PREVOD Z UCTU	6094	6094	DUCHOD	CD	76680886
997626	3406	1998-01-08	PRIJEM	PREVOD Z UCTU	6094	13308	DUCHOD	CD	76680886
997627	3406	1998-02-08	PRIJEM	PREVOD Z UCTU	6094	19427	DUCHOD	CD	76680886
997628	3406	1998-03-08	PRIJEM	PREVOD Z UCTU	6094	25546	DUCHOD	CD	76680886
997629	3406	1998-04-08	PRIJEM	PREVOD Z UCTU	6094	30366	DUCHOD	CD	76680886
997630	3406	1998-05-08	PRIJEM	PREVOD Z UCTU	6094	31320	DUCHOD	CD	76680886
997631	3406	1998-06-08	PRIJEM	PREVOD Z UCTU	6094	31574	DUCHOD	CD	76680886
997632	3406	1998-07-08	PRIJEM	PREVOD Z UCTU	6094	24438	DUCHOD	CD	76680886
997633	3406	1998-08-08	PRIJEM	PREVOD Z UCTU	6094	23844	DUCHOD	CD	76680886
997634	3406	1998-09-08	PRIJEM	PREVOD Z UCTU	6094	24890	DUCHOD	CD	76680886
997635	3406	1998-10-08	PRIJEM	PREVOD Z UCTU	6094	23741	DUCHOD	CD	76680886
997636	3406	1998-11-08	PRIJEM	PREVOD Z UCTU	6094	23189	DUCHOD	CD	76680886
997637	3406	1998-12-08	PRIJEM	PREVOD Z UCTU	6094	25494	DUCHOD	CD	76680886
997653	3406	1998-04-09	VYDAJ	PREVOD NA UCET	2820	27546	SIPO	EF	9910709
997654	3406	1998-05-09	VYDAJ	PREVOD NA UCET	2820	28500	SIPO	EF	9910709
997655	3406	1998-06-09	VYDAJ	PREVOD NA UCET	2820	28754	SIPO	EF	9910709
997656	3406	1998-07-09	VYDAJ	PREVOD NA UCET	2820	21618	SIPO	EF	9910709
997657	3406	1998-08-09	VYDAJ	PREVOD NA UCET	2820	21024	SIPO	EF	9910709
997658	3406	1998-09-09	VYDAJ	PREVOD NA UCET	2820	22070	SIPO	EF	9910709
997659	3406	1998-10-09	VYDAJ	PREVOD NA UCET	2820	20921	SIPO	EF	9910709
997660	3406	1998-11-09	VYDAJ	PREVOD NA UCET	2820	20369	SIPO	EF	9910709
997661	3406	1998-12-09	VYDAJ	PREVOD NA UCET	2820	22674	SIPO	EF	9910709
997663	3406	1998-06-23	VYDAJ	VYBER	10500	18254	\N	\N	\N
997667	3406	1998-12-18	VYDAJ	VYBER	800	21874	\N	\N	\N
997687	3406	1998-11-30	VYDAJ	VYBER	640	19815	\N	\N	\N
997688	3406	1998-05-23	VYDAJ	VYBER	3120	25380	\N	\N	\N
997689	3406	1998-08-05	VYDAJ	VYBER	2240	19450	\N	\N	\N
997706	3406	1998-04-30	VYDAJ	VYBER	15	27626	SLUZBY	\N	\N
997707	3406	1998-05-31	VYDAJ	VYBER	15	25480	SLUZBY	\N	\N
997708	3406	1998-06-30	VYDAJ	VYBER	15	18344	SLUZBY	\N	\N
997709	3406	1998-07-31	VYDAJ	VYBER	15	21690	SLUZBY	\N	\N
997710	3406	1998-08-31	VYDAJ	VYBER	15	21096	SLUZBY	\N	\N
997711	3406	1998-09-30	VYDAJ	VYBER	15	22147	SLUZBY	\N	\N
997712	3406	1998-10-31	VYDAJ	VYBER	15	20995	SLUZBY	\N	\N
997713	3406	1998-11-30	VYDAJ	VYBER	15	19800	SLUZBY	\N	\N
997714	3406	1998-04-07	VYDAJ	VYBER	1300	24272	\N	\N	\N
997715	3406	1998-05-07	VYDAJ	VYBER	2400	25226	\N	\N	\N
997716	3406	1998-08-05	VYDAJ	VYBER	1700	17750	\N	\N	\N
997717	3406	1998-09-04	VYDAJ	VYBER	2300	18796	\N	\N	\N
997718	3406	1998-10-04	VYDAJ	VYBER	4500	17647	\N	\N	\N
997719	3406	1998-11-03	VYDAJ	VYBER	3900	17095	\N	\N	\N
997720	3406	1998-12-03	VYDAJ	VYBER	400	19400	\N	\N	\N
997734	3407	1993-08-24	PRIJEM	VKLAD	600	600	\N	\N	\N
997735	3407	1993-10-04	PRIJEM	VKLAD	10580	84125	\N	\N	\N
997736	3407	1993-09-02	PRIJEM	VKLAD	17179	17779	\N	\N	\N
997743	3407	1993-09-30	PRIJEM	VKLAD	48133	73421	\N	\N	\N
997746	3407	1993-10-20	PRIJEM	VKLAD	45971	130096	\N	\N	\N
997749	3407	1993-09-02	PRIJEM	VKLAD	12909	30688	\N	\N	\N
997750	3407	1994-06-07	PRIJEM	VKLAD	21393	39650	\N	\N	\N
997751	3407	1994-04-01	PRIJEM	VKLAD	11034	27911	\N	\N	\N
997752	3407	1995-10-20	PRIJEM	VKLAD	39702	140703	\N	\N	\N
997753	3407	1995-08-02	PRIJEM	VKLAD	24152	72591	\N	\N	\N
997754	3407	1995-06-05	PRIJEM	VKLAD	25980	56446	\N	\N	\N
997755	3407	1995-08-31	PRIJEM	VKLAD	35941	85432	\N	\N	\N
997756	3407	1995-06-21	PRIJEM	VKLAD	44647	87993	\N	\N	\N
997757	3407	1995-01-11	PRIJEM	VKLAD	47077	83113	\N	\N	\N
997758	3407	1995-05-04	PRIJEM	VKLAD	38114	52566	\N	\N	\N
997759	3407	1995-05-30	PRIJEM	VKLAD	17400	54966	\N	\N	\N
997760	3407	1995-10-26	PRIJEM	VKLAD	33039	125642	\N	\N	\N
997761	3407	1995-01-04	PRIJEM	VKLAD	34932	37836	\N	\N	\N
997762	3407	1995-10-12	PRIJEM	VKLAD	39771	93134	\N	\N	\N
997763	3407	1995-10-19	PRIJEM	VKLAD	40967	101001	\N	\N	\N
997764	3407	1996-04-02	PRIJEM	VKLAD	11199	26927	\N	\N	\N
997765	3407	1996-04-23	PRIJEM	VKLAD	10456	40083	\N	\N	\N
997766	3407	1997-06-30	PRIJEM	VKLAD	44263	67854	\N	\N	\N
997767	3407	1998-05-31	PRIJEM	VKLAD	20888	44399	\N	\N	\N
997768	3407	1998-10-15	PRIJEM	VKLAD	37236	47848	\N	\N	\N
997769	3407	1998-06-09	PRIJEM	VKLAD	19186	31623	\N	\N	\N
997770	3407	1998-02-12	PRIJEM	VKLAD	12627	22730	\N	\N	\N
997771	3407	1998-06-10	PRIJEM	VKLAD	29062	60685	\N	\N	\N
997772	3407	1998-11-06	PRIJEM	VKLAD	23658	127673	\N	\N	\N
997773	3407	1998-04-06	PRIJEM	VKLAD	12691	43365	\N	\N	\N
997774	3407	1998-02-15	PRIJEM	VKLAD	5543	28273	\N	\N	\N
997775	3407	1998-09-15	PRIJEM	VKLAD	22647	48576	\N	\N	\N
997776	3407	1998-11-01	PRIJEM	VKLAD	32058	123315	\N	\N	\N
997777	3407	1998-06-13	PRIJEM	VKLAD	8537	69222	\N	\N	\N
997778	3407	1998-08-26	PRIJEM	VKLAD	15306	61426	\N	\N	\N
997779	3407	1998-03-01	PRIJEM	VKLAD	39897	68232	\N	\N	\N
997780	3407	1998-04-17	PRIJEM	VKLAD	46727	90092	\N	\N	\N
997781	3407	1998-12-02	PRIJEM	VKLAD	45329	100759	\N	\N	\N
997782	3407	1998-01-13	PRIJEM	VKLAD	29371	29169	\N	\N	\N
997783	3407	1998-10-30	PRIJEM	VKLAD	12894	44342	\N	\N	\N
997784	3407	1998-06-22	PRIJEM	VKLAD	41408	110630	\N	\N	\N
997785	3407	1998-12-06	PRIJEM	VKLAD	21752	122511	\N	\N	\N
997786	3407	1998-07-23	PRIJEM	VKLAD	35895	80352	\N	\N	\N
997787	3407	1998-04-28	PRIJEM	VKLAD	15051	105143	\N	\N	\N
997788	3407	1998-10-31	PRIJEM	VKLAD	46795	91271	\N	\N	\N
997791	3407	1994-12-17	VYBER	VYBER	13480	11560	\N	\N	\N
997794	3407	1995-03-21	VYBER	VYBER	6015	16653	\N	\N	\N
997795	3407	1996-12-16	VYBER	VYBER	6088	5551	\N	\N	\N
997796	3407	1996-01-19	VYBER	VYBER	2486	10199	\N	\N	\N
997797	3407	1996-12-14	VYBER	VYBER	2086	11639	\N	\N	\N
997799	3407	1996-11-10	VYBER	VYBER	12200	14673	\N	\N	\N
997801	3407	1996-12-18	VYBER	VYBER	5957	-406	\N	\N	\N
997803	3407	1996-10-13	VYBER	VYBER	4836	20203	\N	\N	\N
997804	3407	1996-05-15	VYBER	VYBER	14984	17801	\N	\N	\N
997806	3407	1997-03-12	VYBER	VYBER	2593	18602	\N	\N	\N
997807	3407	1998-09-09	VYBER	VYBER	9165	25929	\N	\N	\N
997808	3407	1998-06-01	VYBER	VYBER	3148	41237	\N	\N	\N
997809	3407	1998-09-21	VYBER	VYBER	6203	42373	\N	\N	\N
997812	3407	1994-06-12	VYDAJ	VYBER	31800	3650	\N	\N	\N
997813	3407	1995-06-03	VYDAJ	VYBER	24600	30466	\N	\N	\N
997816	3407	1998-06-08	VYDAJ	VYBER	28800	12437	\N	\N	\N
997818	3407	1994-01-08	VYDAJ	VYBER	13200	12061	\N	\N	\N
997819	3407	1995-01-25	VYDAJ	VYBER	27300	20513	\N	\N	\N
997820	3407	1996-01-06	VYDAJ	VYBER	12000	11185	\N	\N	\N
997822	3407	1998-01-07	VYDAJ	VYBER	5700	3998	\N	\N	\N
997823	3407	1993-12-13	VYDAJ	VYBER	2700	40219	\N	\N	\N
997824	3407	1994-12-06	VYDAJ	VYBER	2100	14340	\N	\N	\N
997825	3407	1995-12-15	VYDAJ	VYBER	3900	35914	\N	\N	\N
997826	3407	1996-12-01	VYDAJ	VYBER	4500	10225	\N	\N	\N
997827	3407	1997-12-22	VYDAJ	VYBER	6000	8144	\N	\N	\N
997828	3407	1998-12-14	VYDAJ	VYBER	8100	73411	\N	\N	\N
997836	3407	1994-01-06	VYDAJ	VYBER	5400	25261	\N	\N	\N
997837	3407	1994-01-24	VYDAJ	VYBER	6900	4961	\N	\N	\N
997838	3407	1994-01-26	VYDAJ	VYBER	7800	-2839	\N	\N	\N
997839	3407	1994-01-18	VYDAJ	VYBER	8700	1261	\N	\N	\N
997840	3407	1994-01-10	VYDAJ	VYBER	2100	9961	\N	\N	\N
997841	3407	1995-01-29	VYDAJ	VYBER	4500	5213	\N	\N	\N
997842	3407	1995-01-13	VYDAJ	VYBER	4800	73813	\N	\N	\N
997843	3407	1995-01-01	VYDAJ	VYBER	8700	2904	\N	\N	\N
997844	3407	1995-01-11	VYDAJ	VYBER	1500	81613	\N	\N	\N
997845	3407	1995-01-12	VYDAJ	VYBER	3000	78613	\N	\N	\N
997846	3407	1995-01-04	VYDAJ	VYBER	1800	36036	\N	\N	\N
997847	3407	1996-01-21	VYDAJ	VYBER	5700	4499	\N	\N	\N
997848	3407	1996-01-24	VYDAJ	VYBER	4200	299	\N	\N	\N
997850	3407	1996-01-08	VYDAJ	VYBER	2700	3985	\N	\N	\N
997851	3407	1996-01-04	VYDAJ	VYBER	4200	23185	\N	\N	\N
997852	3407	1996-01-08	VYDAJ	VYBER	1800	6685	\N	\N	\N
997855	3407	1997-01-11	VYDAJ	VYBER	7800	1907	\N	\N	\N
997857	3407	1997-01-06	VYDAJ	VYBER	2700	9707	\N	\N	\N
997859	3407	1998-01-14	VYDAJ	VYBER	8400	20769	\N	\N	\N
997860	3407	1998-01-23	VYDAJ	VYBER	8700	12069	\N	\N	\N
997861	3407	1998-01-27	VYDAJ	VYBER	2700	9369	\N	\N	\N
997862	3407	1998-01-28	VYDAJ	VYBER	4200	5169	\N	\N	\N
997863	3407	1998-01-29	VYDAJ	VYBER	2700	2469	\N	\N	\N
997864	3407	1998-01-10	VYDAJ	VYBER	4200	-202	\N	\N	\N
997865	3407	1993-12-18	VYDAJ	VYBER	7500	32719	\N	\N	\N
997866	3407	1993-11-18	VYDAJ	VYBER	8400	56291	\N	\N	\N
997868	3407	1994-11-26	VYDAJ	VYBER	6000	16361	\N	\N	\N
997869	3407	1994-05-04	VYDAJ	VYBER	12600	12178	\N	\N	\N
997870	3407	1994-06-08	VYDAJ	VYBER	4200	35450	\N	\N	\N
997871	3407	1994-07-01	VYDAJ	VYBER	14100	1300	\N	\N	\N
997872	3407	1995-07-21	VYDAJ	VYBER	8700	48145	\N	\N	\N
997873	3407	1995-01-25	VYDAJ	VYBER	10800	9713	\N	\N	\N
997874	3407	1995-04-14	VYDAJ	VYBER	12000	4702	\N	\N	\N
997875	3407	1995-12-27	VYDAJ	VYBER	8700	27214	\N	\N	\N
997876	3407	1996-08-06	VYDAJ	VYBER	10500	12830	\N	\N	\N
997877	3407	1996-02-24	VYDAJ	VYBER	10200	6125	\N	\N	\N
997879	3407	1996-12-10	VYDAJ	VYBER	3900	13725	\N	\N	\N
997880	3407	1996-01-07	VYDAJ	VYBER	2700	8485	\N	\N	\N
997881	3407	1997-10-01	VYDAJ	VYBER	6000	20990	\N	\N	\N
997882	3407	1997-12-21	VYDAJ	VYBER	6300	14144	\N	\N	\N
997883	3407	1997-05-08	VYDAJ	VYBER	2400	22117	\N	\N	\N
997884	3407	1998-05-29	VYDAJ	VYBER	10800	28253	\N	\N	\N
997885	3407	1998-09-29	VYDAJ	VYBER	12300	15873	\N	\N	\N
997887	3407	1998-03-02	VYDAJ	VYBER	4200	38232	\N	\N	\N
997889	3407	1998-12-19	VYDAJ	VYBER	6900	66511	\N	\N	\N
997890	3407	1998-06-25	VYDAJ	VYBER	2700	72830	\N	\N	\N
997891	3407	1998-10-06	VYDAJ	VYBER	5400	10612	\N	\N	\N
997902	3407	1993-10-31	VYDAJ	VYBER	15	64691	SLUZBY	\N	\N
997903	3407	1993-11-30	VYDAJ	VYBER	15	42919	SLUZBY	\N	\N
997904	3407	1993-12-31	VYDAJ	VYBER	15	30661	SLUZBY	\N	\N
997905	3407	1994-01-31	VYDAJ	VYBER	15	-2810	SLUZBY	\N	\N
997906	3407	1994-02-28	VYDAJ	VYBER	15	9850	SLUZBY	\N	\N
997907	3407	1994-03-31	VYDAJ	VYBER	15	16877	SLUZBY	\N	\N
997908	3407	1994-04-30	VYDAJ	VYBER	15	24778	SLUZBY	\N	\N
997909	3407	1994-05-31	VYDAJ	VYBER	15	18257	SLUZBY	\N	\N
997910	3407	1994-06-30	VYDAJ	VYBER	15	15400	SLUZBY	\N	\N
997911	3407	1994-07-31	VYDAJ	VYBER	15	15249	SLUZBY	\N	\N
997912	3407	1994-08-31	VYDAJ	VYBER	15	21999	SLUZBY	\N	\N
997913	3407	1994-09-30	VYDAJ	VYBER	15	23976	SLUZBY	\N	\N
997914	3407	1994-10-31	VYDAJ	VYBER	15	23861	SLUZBY	\N	\N
997915	3407	1994-11-30	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
997916	3407	1994-12-31	VYDAJ	VYBER	15	11604	SLUZBY	\N	\N
997917	3407	1995-01-31	VYDAJ	VYBER	15	5359	SLUZBY	\N	\N
997918	3407	1995-02-28	VYDAJ	VYBER	15	14668	SLUZBY	\N	\N
997919	3407	1995-03-31	VYDAJ	VYBER	15	16702	SLUZBY	\N	\N
997920	3407	1995-04-30	VYDAJ	VYBER	15	14452	SLUZBY	\N	\N
997921	3407	1995-05-31	VYDAJ	VYBER	15	55066	SLUZBY	\N	\N
997922	3407	1995-06-30	VYDAJ	VYBER	15	88245	SLUZBY	\N	\N
997923	3407	1995-07-31	VYDAJ	VYBER	15	48439	SLUZBY	\N	\N
997924	3407	1995-08-31	VYDAJ	VYBER	15	85626	SLUZBY	\N	\N
997925	3407	1995-09-30	VYDAJ	VYBER	15	53363	SLUZBY	\N	\N
997926	3407	1995-10-31	VYDAJ	VYBER	15	92847	SLUZBY	\N	\N
997927	3407	1995-11-30	VYDAJ	VYBER	15	58414	SLUZBY	\N	\N
997928	3407	1995-12-31	VYDAJ	VYBER	15	27385	SLUZBY	\N	\N
997929	3407	1996-01-31	VYDAJ	VYBER	15	325	SLUZBY	\N	\N
997930	3407	1996-02-29	VYDAJ	VYBER	15	6116	SLUZBY	\N	\N
997931	3407	1996-03-31	VYDAJ	VYBER	15	15728	SLUZBY	\N	\N
997932	3407	1996-04-30	VYDAJ	VYBER	15	40185	SLUZBY	\N	\N
997933	3407	1996-05-31	VYDAJ	VYBER	15	17902	SLUZBY	\N	\N
997934	3407	1996-06-30	VYDAJ	VYBER	15	20361	SLUZBY	\N	\N
997935	3407	1996-07-31	VYDAJ	VYBER	15	23330	SLUZBY	\N	\N
997936	3407	1996-08-31	VYDAJ	VYBER	15	15888	SLUZBY	\N	\N
997937	3407	1996-09-30	VYDAJ	VYBER	15	21439	SLUZBY	\N	\N
997938	3407	1996-10-31	VYDAJ	VYBER	15	20273	SLUZBY	\N	\N
997939	3407	1996-11-30	VYDAJ	VYBER	15	14725	SLUZBY	\N	\N
997940	3407	1996-12-31	VYDAJ	VYBER	15	-394	SLUZBY	\N	\N
997941	3407	1997-01-31	VYDAJ	VYBER	15	1902	SLUZBY	\N	\N
997942	3407	1997-02-28	VYDAJ	VYBER	15	13895	SLUZBY	\N	\N
997943	3407	1997-03-31	VYDAJ	VYBER	15	18656	SLUZBY	\N	\N
997944	3407	1997-04-30	VYDAJ	VYBER	15	20417	SLUZBY	\N	\N
997945	3407	1997-05-31	VYDAJ	VYBER	15	22191	SLUZBY	\N	\N
997946	3407	1997-06-30	VYDAJ	VYBER	15	67936	SLUZBY	\N	\N
997947	3407	1997-07-31	VYDAJ	VYBER	15	46499	SLUZBY	\N	\N
997948	3407	1997-08-31	VYDAJ	VYBER	15	31974	SLUZBY	\N	\N
997949	3407	1997-09-30	VYDAJ	VYBER	15	26990	SLUZBY	\N	\N
997950	3407	1997-10-31	VYDAJ	VYBER	15	22667	SLUZBY	\N	\N
997951	3407	1997-11-30	VYDAJ	VYBER	15	21344	SLUZBY	\N	\N
997952	3407	1997-12-31	VYDAJ	VYBER	15	9698	SLUZBY	\N	\N
997953	3407	1998-01-31	VYDAJ	VYBER	15	10103	SLUZBY	\N	\N
997954	3407	1998-02-28	VYDAJ	VYBER	15	28335	SLUZBY	\N	\N
997955	3407	1998-03-31	VYDAJ	VYBER	15	30674	SLUZBY	\N	\N
997956	3407	1998-04-30	VYDAJ	VYBER	15	39053	SLUZBY	\N	\N
997957	3407	1998-05-31	VYDAJ	VYBER	15	44385	SLUZBY	\N	\N
997958	3407	1998-06-30	VYDAJ	VYBER	15	44457	SLUZBY	\N	\N
997959	3407	1998-07-31	VYDAJ	VYBER	15	46120	SLUZBY	\N	\N
997960	3407	1998-08-31	VYDAJ	VYBER	15	35094	SLUZBY	\N	\N
997961	3407	1998-09-30	VYDAJ	VYBER	15	16012	SLUZBY	\N	\N
997962	3407	1998-10-31	VYDAJ	VYBER	15	91257	SLUZBY	\N	\N
997963	3407	1998-11-30	VYDAJ	VYBER	15	55430	SLUZBY	\N	\N
997964	3407	1993-09-23	VYDAJ	VYBER	5400	25288	\N	\N	\N
997965	3407	1993-10-20	VYDAJ	VYBER	21000	109096	\N	\N	\N
997966	3407	1993-10-23	VYDAJ	VYBER	44700	64396	\N	\N	\N
997967	3407	1993-11-22	VYDAJ	VYBER	13600	42691	\N	\N	\N
997968	3407	1993-12-22	VYDAJ	VYBER	2200	30519	\N	\N	\N
997969	3407	1994-01-21	PRIJEM	VKLAD	10600	11861	\N	\N	\N
997970	3407	1994-02-20	PRIJEM	VKLAD	12700	9890	\N	\N	\N
997971	3407	1994-03-22	PRIJEM	VKLAD	7000	16850	\N	\N	\N
997972	3407	1994-04-21	VYDAJ	VYBER	3200	24711	\N	\N	\N
997973	3407	1994-05-21	PRIJEM	VKLAD	6000	18178	\N	\N	\N
997974	3407	1994-06-20	PRIJEM	VKLAD	11700	15350	\N	\N	\N
997975	3407	1994-07-20	PRIJEM	VKLAD	13900	15200	\N	\N	\N
997976	3407	1994-08-19	PRIJEM	VKLAD	6700	21949	\N	\N	\N
997977	3407	1994-09-18	PRIJEM	VKLAD	1900	23899	\N	\N	\N
997978	3407	1994-10-18	VYDAJ	VYBER	200	23776	\N	\N	\N
997979	3407	1994-11-17	VYDAJ	VYBER	1500	22361	\N	\N	\N
997980	3407	1994-12-17	PRIJEM	VKLAD	10700	25040	\N	\N	\N
997981	3407	1995-01-16	VYDAJ	VYBER	26000	47813	\N	\N	\N
997982	3407	1995-02-15	PRIJEM	VKLAD	9300	14659	\N	\N	\N
997983	3407	1995-03-17	PRIJEM	VKLAD	8000	22668	\N	\N	\N
997984	3407	1995-04-16	PRIJEM	VKLAD	9700	14402	\N	\N	\N
997985	3407	1995-05-16	VYDAJ	VYBER	15000	37566	\N	\N	\N
997986	3407	1995-06-15	VYDAJ	VYBER	13100	43346	\N	\N	\N
997987	3407	1995-07-15	VYDAJ	VYBER	31400	56845	\N	\N	\N
997988	3407	1995-08-14	VYDAJ	VYBER	23100	49491	\N	\N	\N
997989	3407	1995-09-13	VYDAJ	VYBER	32600	53026	\N	\N	\N
997990	3407	1995-10-13	VYDAJ	VYBER	33100	60034	\N	\N	\N
997991	3407	1995-10-20	VYDAJ	VYBER	48100	92603	\N	\N	\N
997992	3407	1995-10-26	VYDAJ	VYBER	33100	92542	\N	\N	\N
997993	3407	1995-11-12	VYDAJ	VYBER	34800	58047	\N	\N	\N
997994	3407	1995-12-12	VYDAJ	VYBER	18600	39814	\N	\N	\N
997995	3407	1996-01-11	PRIJEM	VKLAD	8700	12685	\N	\N	\N
997996	3407	1996-02-10	PRIJEM	VKLAD	16000	16325	\N	\N	\N
997997	3407	1996-03-11	PRIJEM	VKLAD	9600	15716	\N	\N	\N
997998	3407	1996-04-10	PRIJEM	VKLAD	2700	29627	\N	\N	\N
997999	3407	1996-05-10	VYDAJ	VYBER	7400	32785	\N	\N	\N
998000	3407	1996-06-09	PRIJEM	VKLAD	2400	20302	\N	\N	\N
998001	3407	1996-07-09	PRIJEM	VKLAD	2900	23261	\N	\N	\N
998002	3407	1996-08-08	PRIJEM	VKLAD	3000	15830	\N	\N	\N
998003	3407	1996-09-07	PRIJEM	VKLAD	5500	21388	\N	\N	\N
998004	3407	1996-10-07	PRIJEM	VKLAD	3600	25039	\N	\N	\N
998005	3407	1996-11-06	PRIJEM	VKLAD	6600	26873	\N	\N	\N
998006	3407	1996-12-06	PRIJEM	VKLAD	7400	17625	\N	\N	\N
998007	3407	1997-01-05	PRIJEM	VKLAD	12800	12407	\N	\N	\N
998008	3407	1997-02-04	PRIJEM	VKLAD	12000	13901	\N	\N	\N
998009	3407	1997-03-06	PRIJEM	VKLAD	7300	21195	\N	\N	\N
998010	3407	1997-04-05	PRIJEM	VKLAD	1700	20356	\N	\N	\N
998011	3407	1997-05-05	PRIJEM	VKLAD	4100	24517	\N	\N	\N
998012	3407	1997-06-04	PRIJEM	VKLAD	1400	23591	\N	\N	\N
998013	3407	1997-07-04	VYDAJ	VYBER	21700	46236	\N	\N	\N
998014	3407	1997-08-03	VYDAJ	VYBER	14700	31799	\N	\N	\N
998015	3407	1997-09-02	VYDAJ	VYBER	5100	26874	\N	\N	\N
998016	3407	1997-10-02	PRIJEM	VKLAD	1600	22590	\N	\N	\N
998017	3407	1997-11-01	VYDAJ	VYBER	1400	21267	\N	\N	\N
998018	3407	1997-12-01	VYDAJ	VYBER	900	20444	\N	\N	\N
998019	3407	1997-12-31	PRIJEM	VKLAD	1500	9644	\N	\N	\N
998020	3407	1998-01-30	PRIJEM	VKLAD	7600	10069	\N	\N	\N
998021	3407	1998-03-01	VYDAJ	VYBER	25800	42432	\N	\N	\N
998022	3407	1998-03-31	VYDAJ	VYBER	7700	30688	\N	\N	\N
998023	3407	1998-04-28	VYDAJ	VYBER	45000	60143	\N	\N	\N
998024	3407	1998-04-30	VYDAJ	VYBER	21300	39068	\N	\N	\N
998025	3407	1998-05-30	VYDAJ	VYBER	4900	23353	\N	\N	\N
998026	3407	1998-06-22	VYDAJ	VYBER	35100	75530	\N	\N	\N
998027	3407	1998-06-29	VYDAJ	VYBER	28600	44230	\N	\N	\N
998028	3407	1998-07-29	VYDAJ	VYBER	34400	45952	\N	\N	\N
998029	3407	1998-08-28	VYDAJ	VYBER	26500	34926	\N	\N	\N
998030	3407	1998-09-27	VYDAJ	VYBER	14200	28173	\N	\N	\N
998031	3407	1998-10-27	VYDAJ	VYBER	16400	31448	\N	\N	\N
998032	3407	1998-11-01	VYDAJ	VYBER	19300	104015	\N	\N	\N
998033	3407	1998-11-06	VYDAJ	VYBER	32300	95373	\N	\N	\N
998034	3407	1998-11-26	VYDAJ	VYBER	40300	55073	\N	\N	\N
998035	3407	1998-12-06	VYDAJ	VYBER	41000	81511	\N	\N	\N
998108	3408	1993-09-19	PRIJEM	VKLAD	300	300	\N	\N	\N
998118	3408	1993-10-09	PRIJEM	VKLAD	20521	20821	\N	\N	\N
998119	3408	1993-11-09	PRIJEM	VKLAD	20521	43883	\N	\N	\N
998120	3408	1993-12-09	PRIJEM	VKLAD	30782	66785	\N	\N	\N
998121	3408	1994-01-09	PRIJEM	VKLAD	20521	64069	\N	\N	\N
998122	3408	1994-02-09	PRIJEM	VKLAD	20521	63871	\N	\N	\N
998123	3408	1994-03-09	PRIJEM	VKLAD	20521	62955	\N	\N	\N
998124	3408	1994-04-09	PRIJEM	VKLAD	20521	61378	\N	\N	\N
998125	3408	1994-05-09	PRIJEM	VKLAD	20521	64961	\N	\N	\N
998126	3408	1994-06-09	PRIJEM	VKLAD	30782	70532	\N	\N	\N
998127	3408	1994-07-09	PRIJEM	VKLAD	20521	57964	\N	\N	\N
998128	3408	1994-08-09	PRIJEM	VKLAD	20521	64841	\N	\N	\N
998129	3408	1994-09-09	PRIJEM	VKLAD	20521	65533	\N	\N	\N
998130	3408	1994-10-09	PRIJEM	VKLAD	20521	67130	\N	\N	\N
998131	3408	1994-11-09	PRIJEM	VKLAD	20521	68533	\N	\N	\N
998132	3408	1994-12-09	PRIJEM	VKLAD	30782	74418	\N	\N	\N
998133	3408	1995-01-09	PRIJEM	VKLAD	20521	64598	\N	\N	\N
998134	3408	1995-02-09	PRIJEM	VKLAD	20521	44638	\N	\N	\N
998135	3408	1995-03-09	PRIJEM	VKLAD	20521	54070	\N	\N	\N
998136	3408	1995-04-09	PRIJEM	VKLAD	20521	62337	\N	\N	\N
998137	3408	1995-05-09	PRIJEM	VKLAD	20521	67029	\N	\N	\N
998138	3408	1995-06-09	PRIJEM	VKLAD	30782	76788	\N	\N	\N
998139	3408	1995-07-09	PRIJEM	VKLAD	20521	56856	\N	\N	\N
998140	3408	1995-08-09	PRIJEM	VKLAD	20521	63030	\N	\N	\N
998141	3408	1995-09-09	PRIJEM	VKLAD	20521	61407	\N	\N	\N
998142	3408	1995-10-09	PRIJEM	VKLAD	20521	58089	\N	\N	\N
998143	3408	1995-11-09	PRIJEM	VKLAD	20521	51131	\N	\N	\N
998144	3408	1995-12-09	PRIJEM	VKLAD	30782	66897	\N	\N	\N
998145	3408	1996-01-09	PRIJEM	VKLAD	20521	60174	\N	\N	\N
998146	3408	1996-02-09	PRIJEM	VKLAD	20521	50321	\N	\N	\N
998147	3408	1996-03-09	PRIJEM	VKLAD	20521	54719	\N	\N	\N
998148	3408	1996-04-09	PRIJEM	VKLAD	20521	58148	\N	\N	\N
998149	3408	1996-05-09	PRIJEM	VKLAD	20521	58365	\N	\N	\N
998150	3408	1996-06-09	PRIJEM	VKLAD	30782	72570	\N	\N	\N
998151	3408	1996-07-09	PRIJEM	VKLAD	20521	46001	\N	\N	\N
998152	3408	1996-08-09	PRIJEM	VKLAD	20521	52582	\N	\N	\N
998153	3408	1996-09-09	PRIJEM	VKLAD	20521	49999	\N	\N	\N
998154	3408	1996-10-09	PRIJEM	VKLAD	20521	56409	\N	\N	\N
998155	3408	1996-11-09	PRIJEM	VKLAD	20521	59642	\N	\N	\N
998156	3408	1996-12-09	PRIJEM	VKLAD	30782	67852	\N	\N	\N
998157	3408	1997-01-09	PRIJEM	VKLAD	20521	42007	\N	\N	\N
998158	3408	1997-02-09	PRIJEM	VKLAD	20521	36840	\N	\N	\N
998159	3408	1997-03-09	PRIJEM	VKLAD	20521	43815	\N	\N	\N
998160	3408	1997-04-09	PRIJEM	VKLAD	20521	42831	\N	\N	\N
998161	3408	1997-05-09	PRIJEM	VKLAD	20521	44814	\N	\N	\N
998162	3408	1997-06-09	PRIJEM	VKLAD	30782	59462	\N	\N	\N
998163	3408	1997-07-09	PRIJEM	VKLAD	20521	42877	\N	\N	\N
998164	3408	1997-08-09	PRIJEM	VKLAD	20521	42973	\N	\N	\N
998165	3408	1997-09-09	PRIJEM	VKLAD	20521	42070	\N	\N	\N
998166	3408	1997-10-09	PRIJEM	VKLAD	20521	39713	\N	\N	\N
998167	3408	1997-11-09	PRIJEM	VKLAD	20521	41277	\N	\N	\N
998168	3408	1997-12-09	PRIJEM	VKLAD	30782	48526	\N	\N	\N
998169	3408	1998-01-09	PRIJEM	VKLAD	20521	39029	\N	\N	\N
998170	3408	1998-02-09	PRIJEM	VKLAD	20521	42721	\N	\N	\N
998171	3408	1998-03-09	PRIJEM	VKLAD	20521	39915	\N	\N	\N
998172	3408	1998-04-09	PRIJEM	VKLAD	20521	60501	\N	\N	\N
998173	3408	1998-05-09	PRIJEM	VKLAD	20521	44358	\N	\N	\N
998174	3408	1998-06-09	PRIJEM	VKLAD	30782	75224	\N	\N	\N
998175	3408	1998-07-09	PRIJEM	VKLAD	20521	72884	\N	\N	\N
998176	3408	1998-08-09	PRIJEM	VKLAD	20521	49082	\N	\N	\N
998177	3408	1998-09-09	PRIJEM	VKLAD	20521	59553	\N	\N	\N
998178	3408	1998-10-09	PRIJEM	VKLAD	20521	40363	\N	\N	\N
998179	3408	1998-11-09	PRIJEM	VKLAD	20521	56542	\N	\N	\N
998180	3408	1998-12-09	PRIJEM	VKLAD	30782	51335	\N	\N	\N
998182	3408	1994-06-10	VYDAJ	VYBER	24640	45892	\N	\N	\N
998183	3408	1995-06-21	VYDAJ	VYBER	12320	36168	\N	\N	\N
998184	3408	1996-06-21	VYDAJ	VYBER	36960	31170	\N	\N	\N
998185	3408	1997-06-21	VYDAJ	VYBER	33600	25862	\N	\N	\N
998186	3408	1998-06-19	VYDAJ	VYBER	23040	52184	\N	\N	\N
998189	3408	1995-01-10	VYDAJ	VYBER	9120	55478	\N	\N	\N
998190	3408	1996-01-13	VYDAJ	VYBER	11040	46854	\N	\N	\N
998191	3408	1997-01-06	VYDAJ	VYBER	15840	21486	\N	\N	\N
998194	3408	1994-12-30	VYDAJ	VYBER	3520	45098	\N	\N	\N
998195	3408	1995-12-14	VYDAJ	VYBER	1920	62937	\N	\N	\N
998196	3408	1996-12-24	VYDAJ	VYBER	3680	64172	\N	\N	\N
998197	3408	1997-12-15	VYDAJ	VYBER	1920	46606	\N	\N	\N
998211	3408	1995-01-18	VYDAJ	VYBER	1320	32498	\N	\N	\N
998212	3408	1995-01-06	VYDAJ	VYBER	1200	44077	\N	\N	\N
998213	3408	1995-01-29	VYDAJ	VYBER	1320	23978	\N	\N	\N
998214	3408	1995-01-14	VYDAJ	VYBER	1440	33818	\N	\N	\N
998215	3408	1995-01-22	VYDAJ	VYBER	3360	29138	\N	\N	\N
998216	3408	1995-01-13	VYDAJ	VYBER	3120	35258	\N	\N	\N
998217	3408	1996-01-09	VYDAJ	VYBER	2280	57894	\N	\N	\N
998218	3408	1996-01-25	VYDAJ	VYBER	3000	41454	\N	\N	\N
998219	3408	1996-01-24	VYDAJ	VYBER	2400	44454	\N	\N	\N
998220	3408	1996-01-26	VYDAJ	VYBER	2880	38574	\N	\N	\N
998221	3408	1996-01-26	VYDAJ	VYBER	3360	35214	\N	\N	\N
998222	3408	1996-01-02	VYDAJ	VYBER	3120	60053	\N	\N	\N
998223	3408	1997-01-17	VYDAJ	VYBER	2280	24607	\N	\N	\N
998224	3408	1997-01-04	VYDAJ	VYBER	600	37326	\N	\N	\N
998225	3408	1997-01-11	VYDAJ	VYBER	3240	35287	\N	\N	\N
998226	3408	1997-01-13	VYDAJ	VYBER	2880	32407	\N	\N	\N
998227	3408	1997-01-22	VYDAJ	VYBER	1800	22807	\N	\N	\N
998228	3408	1997-01-09	VYDAJ	VYBER	3480	38527	\N	\N	\N
998229	3408	1998-01-17	VYDAJ	VYBER	2640	29429	\N	\N	\N
998230	3408	1998-01-28	VYDAJ	VYBER	3000	22109	\N	\N	\N
998231	3408	1998-01-09	VYDAJ	VYBER	2400	36629	\N	\N	\N
998232	3408	1998-01-12	VYDAJ	VYBER	1080	32069	\N	\N	\N
998233	3408	1998-01-25	VYDAJ	VYBER	2760	26669	\N	\N	\N
998234	3408	1998-01-25	VYDAJ	VYBER	1560	25109	\N	\N	\N
998239	3408	1994-03-28	VYDAJ	VYBER	2160	40695	\N	\N	\N
998240	3408	1994-11-27	VYDAJ	VYBER	4680	43453	\N	\N	\N
998241	3408	1994-05-27	VYDAJ	VYBER	5880	39581	\N	\N	\N
998242	3408	1995-01-27	VYDAJ	VYBER	3840	25298	\N	\N	\N
998243	3408	1995-10-04	VYDAJ	VYBER	5400	37568	\N	\N	\N
998244	3408	1995-12-10	VYDAJ	VYBER	2040	64857	\N	\N	\N
998245	3408	1995-03-22	VYDAJ	VYBER	600	41670	\N	\N	\N
998246	3408	1995-10-28	VYDAJ	VYBER	1080	38809	\N	\N	\N
998247	3408	1996-04-20	VYDAJ	VYBER	4320	53828	\N	\N	\N
998248	3408	1996-09-07	VYDAJ	VYBER	4200	29478	\N	\N	\N
998249	3408	1996-06-15	VYDAJ	VYBER	4440	68130	\N	\N	\N
998250	3408	1997-06-22	VYDAJ	VYBER	2640	23222	\N	\N	\N
998251	3408	1997-10-29	VYDAJ	VYBER	1320	20693	\N	\N	\N
998253	3408	1997-09-23	VYDAJ	VYBER	5160	36910	\N	\N	\N
998254	3408	1997-01-16	VYDAJ	VYBER	5520	26887	\N	\N	\N
998255	3408	1997-06-23	VYDAJ	VYBER	960	22262	\N	\N	\N
998256	3408	1997-03-11	VYDAJ	VYBER	960	42855	\N	\N	\N
998257	3408	1998-09-05	VYDAJ	VYBER	3480	44912	\N	\N	\N
998258	3408	1998-10-16	VYDAJ	VYBER	4440	35923	\N	\N	\N
998259	3408	1998-12-30	VYDAJ	VYBER	4920	46415	\N	\N	\N
998260	3408	1998-01-10	VYDAJ	VYBER	3480	33149	\N	\N	\N
998261	3408	1998-08-13	VYDAJ	VYBER	840	48242	\N	\N	\N
998262	3408	1998-09-23	VYDAJ	VYBER	5280	19673	\N	\N	\N
998263	3408	1998-09-07	VYDAJ	VYBER	5880	39032	\N	\N	\N
998278	3408	1994-02-28	VYDAJ	VYBER	15	42434	SLUZBY	\N	\N
998279	3408	1994-03-31	VYDAJ	VYBER	15	40857	SLUZBY	\N	\N
998280	3408	1994-04-30	VYDAJ	VYBER	15	44440	SLUZBY	\N	\N
998281	3408	1994-05-31	VYDAJ	VYBER	15	39750	SLUZBY	\N	\N
998282	3408	1994-06-30	VYDAJ	VYBER	15	37443	SLUZBY	\N	\N
998283	3408	1994-07-31	VYDAJ	VYBER	15	44320	SLUZBY	\N	\N
998284	3408	1994-08-31	VYDAJ	VYBER	15	45012	SLUZBY	\N	\N
998285	3408	1994-09-30	VYDAJ	VYBER	15	46609	SLUZBY	\N	\N
998286	3408	1994-10-31	VYDAJ	VYBER	15	48012	SLUZBY	\N	\N
998287	3408	1994-11-30	VYDAJ	VYBER	15	43636	SLUZBY	\N	\N
998288	3408	1994-12-31	VYDAJ	VYBER	15	45277	SLUZBY	\N	\N
998289	3408	1995-01-31	VYDAJ	VYBER	15	24117	SLUZBY	\N	\N
998290	3408	1995-02-28	VYDAJ	VYBER	15	33549	SLUZBY	\N	\N
998291	3408	1995-03-31	VYDAJ	VYBER	15	41816	SLUZBY	\N	\N
998292	3408	1995-04-30	VYDAJ	VYBER	15	46508	SLUZBY	\N	\N
998293	3408	1995-05-31	VYDAJ	VYBER	15	46006	SLUZBY	\N	\N
998294	3408	1995-06-30	VYDAJ	VYBER	15	36335	SLUZBY	\N	\N
998295	3408	1995-07-31	VYDAJ	VYBER	15	42509	SLUZBY	\N	\N
998296	3408	1995-08-31	VYDAJ	VYBER	15	40886	SLUZBY	\N	\N
998297	3408	1995-09-30	VYDAJ	VYBER	15	42968	SLUZBY	\N	\N
998298	3408	1995-10-31	VYDAJ	VYBER	15	39010	SLUZBY	\N	\N
998299	3408	1995-11-30	VYDAJ	VYBER	15	51315	SLUZBY	\N	\N
998300	3408	1995-12-31	VYDAJ	VYBER	15	63173	SLUZBY	\N	\N
998301	3408	1996-01-31	VYDAJ	VYBER	15	35400	SLUZBY	\N	\N
998302	3408	1996-02-29	VYDAJ	VYBER	15	50498	SLUZBY	\N	\N
998303	3408	1996-03-31	VYDAJ	VYBER	15	54927	SLUZBY	\N	\N
998304	3408	1996-04-30	VYDAJ	VYBER	15	54044	SLUZBY	\N	\N
998305	3408	1996-05-31	VYDAJ	VYBER	15	58588	SLUZBY	\N	\N
998306	3408	1996-06-30	VYDAJ	VYBER	15	31380	SLUZBY	\N	\N
998307	3408	1996-07-31	VYDAJ	VYBER	15	46161	SLUZBY	\N	\N
998308	3408	1996-08-31	VYDAJ	VYBER	15	52778	SLUZBY	\N	\N
998309	3408	1996-09-30	VYDAJ	VYBER	15	50188	SLUZBY	\N	\N
998310	3408	1996-10-31	VYDAJ	VYBER	15	56621	SLUZBY	\N	\N
998311	3408	1996-11-30	VYDAJ	VYBER	15	59870	SLUZBY	\N	\N
998312	3408	1996-12-31	VYDAJ	VYBER	15	64426	SLUZBY	\N	\N
998313	3408	1997-01-31	VYDAJ	VYBER	15	16319	SLUZBY	\N	\N
998314	3408	1997-02-28	VYDAJ	VYBER	15	36894	SLUZBY	\N	\N
998315	3408	1997-03-31	VYDAJ	VYBER	15	43010	SLUZBY	\N	\N
998316	3408	1997-04-30	VYDAJ	VYBER	15	42993	SLUZBY	\N	\N
998317	3408	1997-05-31	VYDAJ	VYBER	15	28680	SLUZBY	\N	\N
998318	3408	1997-06-30	VYDAJ	VYBER	15	22356	SLUZBY	\N	\N
998319	3408	1997-07-31	VYDAJ	VYBER	15	22452	SLUZBY	\N	\N
998320	3408	1997-08-31	VYDAJ	VYBER	15	21549	SLUZBY	\N	\N
998321	3408	1997-09-30	VYDAJ	VYBER	15	19192	SLUZBY	\N	\N
998322	3408	1997-10-31	VYDAJ	VYBER	15	20756	SLUZBY	\N	\N
998323	3408	1997-11-30	VYDAJ	VYBER	15	17744	SLUZBY	\N	\N
998324	3408	1997-12-31	VYDAJ	VYBER	15	18508	SLUZBY	\N	\N
998325	3408	1998-01-31	VYDAJ	VYBER	15	22200	SLUZBY	\N	\N
998326	3408	1998-02-28	VYDAJ	VYBER	15	19394	SLUZBY	\N	\N
998327	3408	1998-03-31	VYDAJ	VYBER	15	39980	SLUZBY	\N	\N
998328	3408	1998-04-30	VYDAJ	VYBER	15	23837	SLUZBY	\N	\N
998329	3408	1998-05-31	VYDAJ	VYBER	15	44442	SLUZBY	\N	\N
998330	3408	1998-06-30	VYDAJ	VYBER	15	52363	SLUZBY	\N	\N
998331	3408	1998-07-31	VYDAJ	VYBER	15	28561	SLUZBY	\N	\N
998332	3408	1998-08-31	VYDAJ	VYBER	15	48392	SLUZBY	\N	\N
998333	3408	1998-09-30	VYDAJ	VYBER	15	19842	SLUZBY	\N	\N
998334	3408	1998-10-31	VYDAJ	VYBER	15	36021	SLUZBY	\N	\N
998335	3408	1998-11-30	VYDAJ	VYBER	15	20553	SLUZBY	\N	\N
998336	3408	1993-10-19	PRIJEM	VKLAD	2500	23321	\N	\N	\N
998337	3408	1993-11-18	VYDAJ	VYBER	8000	35883	\N	\N	\N
998338	3408	1993-12-18	VYDAJ	VYBER	23400	43385	\N	\N	\N
998339	3408	1994-01-17	VYDAJ	VYBER	20900	43169	\N	\N	\N
998340	3408	1994-02-16	VYDAJ	VYBER	21600	42271	\N	\N	\N
998341	3408	1994-03-18	VYDAJ	VYBER	20100	42855	\N	\N	\N
998342	3408	1994-04-17	VYDAJ	VYBER	17100	44278	\N	\N	\N
998343	3408	1994-05-17	VYDAJ	VYBER	19500	45461	\N	\N	\N
998344	3408	1994-06-16	VYDAJ	VYBER	8600	37292	\N	\N	\N
998345	3408	1994-07-16	VYDAJ	VYBER	13800	44164	\N	\N	\N
998346	3408	1994-08-15	VYDAJ	VYBER	20000	44841	\N	\N	\N
998347	3408	1994-09-14	VYDAJ	VYBER	19100	46433	\N	\N	\N
998348	3408	1994-10-14	VYDAJ	VYBER	19300	47830	\N	\N	\N
998349	3408	1994-11-13	VYDAJ	VYBER	20400	48133	\N	\N	\N
998350	3408	1994-12-13	VYDAJ	VYBER	25800	48618	\N	\N	\N
998351	3408	1995-01-12	VYDAJ	VYBER	17100	38378	\N	\N	\N
998352	3408	1995-02-11	VYDAJ	VYBER	11200	33438	\N	\N	\N
998353	3408	1995-03-13	VYDAJ	VYBER	11800	42270	\N	\N	\N
998354	3408	1995-04-12	VYDAJ	VYBER	16000	46337	\N	\N	\N
998355	3408	1995-05-12	VYDAJ	VYBER	21200	45829	\N	\N	\N
998356	3408	1995-06-11	VYDAJ	VYBER	28300	48488	\N	\N	\N
998357	3408	1995-07-11	VYDAJ	VYBER	14500	42356	\N	\N	\N
998358	3408	1995-08-10	VYDAJ	VYBER	22300	40730	\N	\N	\N
998359	3408	1995-09-09	VYDAJ	VYBER	18600	42807	\N	\N	\N
998360	3408	1995-10-09	VYDAJ	VYBER	18200	39889	\N	\N	\N
998361	3408	1995-11-08	VYDAJ	VYBER	8400	30610	\N	\N	\N
998362	3408	1995-12-08	VYDAJ	VYBER	15200	36115	\N	\N	\N
998363	3408	1996-01-07	VYDAJ	VYBER	20400	39653	\N	\N	\N
998364	3408	1996-02-06	VYDAJ	VYBER	5600	29800	\N	\N	\N
998365	3408	1996-03-07	VYDAJ	VYBER	16300	34198	\N	\N	\N
998366	3408	1996-04-06	VYDAJ	VYBER	17300	37627	\N	\N	\N
998367	3408	1996-05-06	VYDAJ	VYBER	16200	37844	\N	\N	\N
998368	3408	1996-06-05	VYDAJ	VYBER	16800	41788	\N	\N	\N
998369	3408	1996-07-05	VYDAJ	VYBER	5900	25480	\N	\N	\N
998370	3408	1996-08-04	VYDAJ	VYBER	14100	32061	\N	\N	\N
998371	3408	1996-09-03	VYDAJ	VYBER	19100	33678	\N	\N	\N
998372	3408	1996-10-03	VYDAJ	VYBER	14300	35888	\N	\N	\N
998373	3408	1996-11-02	VYDAJ	VYBER	17500	39121	\N	\N	\N
998374	3408	1996-12-02	VYDAJ	VYBER	22800	37070	\N	\N	\N
998375	3408	1997-01-01	VYDAJ	VYBER	26500	37926	\N	\N	\N
998376	3408	1997-01-31	VYDAJ	VYBER	6600	16333	\N	\N	\N
998377	3408	1997-03-02	VYDAJ	VYBER	13600	23294	\N	\N	\N
998378	3408	1997-04-01	VYDAJ	VYBER	20700	22310	\N	\N	\N
998379	3408	1997-05-01	VYDAJ	VYBER	18700	24293	\N	\N	\N
998380	3408	1997-05-31	VYDAJ	VYBER	16300	28694	\N	\N	\N
998381	3408	1997-07-30	VYDAJ	VYBER	20500	22377	\N	\N	\N
998382	3408	1997-08-29	VYDAJ	VYBER	21500	21473	\N	\N	\N
998383	3408	1997-09-28	VYDAJ	VYBER	17800	19110	\N	\N	\N
998384	3408	1997-10-28	VYDAJ	VYBER	17700	22013	\N	\N	\N
998385	3408	1997-11-27	VYDAJ	VYBER	23600	17677	\N	\N	\N
998386	3408	1997-12-27	VYDAJ	VYBER	28200	18406	\N	\N	\N
998387	3408	1998-02-25	VYDAJ	VYBER	23400	19321	\N	\N	\N
998388	3408	1998-04-26	VYDAJ	VYBER	36800	23701	\N	\N	\N
998389	3408	1998-07-25	VYDAJ	VYBER	44500	28384	\N	\N	\N
998390	3408	1998-09-23	VYDAJ	VYBER	34600	24953	\N	\N	\N
998391	3408	1998-11-22	VYDAJ	VYBER	36100	20442	\N	\N	\N
998455	3409	1996-03-01	PRIJEM	VKLAD	900	900	\N	\N	\N
998458	3409	1996-03-13	PRIJEM	PREVOD Z UCTU	4896	5796	DUCHOD	AB	82544904
998459	3409	1996-04-13	PRIJEM	PREVOD Z UCTU	4896	10707	DUCHOD	AB	82544904
998460	3409	1996-05-13	PRIJEM	PREVOD Z UCTU	4896	15627	DUCHOD	AB	82544904
998461	3409	1996-06-13	PRIJEM	PREVOD Z UCTU	4896	20547	DUCHOD	AB	82544904
998462	3409	1996-07-13	PRIJEM	PREVOD Z UCTU	4896	21470	DUCHOD	AB	82544904
998463	3409	1996-08-13	PRIJEM	PREVOD Z UCTU	4896	23258	DUCHOD	AB	82544904
998464	3409	1996-09-13	PRIJEM	PREVOD Z UCTU	4896	21769	DUCHOD	AB	82544904
998465	3409	1996-10-13	PRIJEM	PREVOD Z UCTU	4896	21256	DUCHOD	AB	82544904
998466	3409	1996-11-13	PRIJEM	PREVOD Z UCTU	4896	20641	DUCHOD	AB	82544904
998467	3409	1996-12-13	PRIJEM	PREVOD Z UCTU	4896	18301	DUCHOD	AB	82544904
998468	3409	1997-01-13	PRIJEM	PREVOD Z UCTU	4896	17684	DUCHOD	AB	82544904
998469	3409	1997-02-13	PRIJEM	PREVOD Z UCTU	4896	17375	DUCHOD	AB	82544904
998470	3409	1997-03-13	PRIJEM	PREVOD Z UCTU	4896	17343	DUCHOD	AB	82544904
998471	3409	1997-04-13	PRIJEM	PREVOD Z UCTU	4896	15611	DUCHOD	AB	82544904
998472	3409	1997-05-13	PRIJEM	PREVOD Z UCTU	4896	17374	DUCHOD	AB	82544904
998473	3409	1997-06-13	PRIJEM	PREVOD Z UCTU	4896	17643	DUCHOD	AB	82544904
998474	3409	1997-07-13	PRIJEM	PREVOD Z UCTU	4896	19415	DUCHOD	AB	82544904
998475	3409	1997-08-13	PRIJEM	PREVOD Z UCTU	4896	16989	DUCHOD	AB	82544904
998476	3409	1997-09-13	PRIJEM	PREVOD Z UCTU	4896	18758	DUCHOD	AB	82544904
998477	3409	1997-10-13	PRIJEM	PREVOD Z UCTU	4896	20534	DUCHOD	AB	82544904
998478	3409	1997-11-13	PRIJEM	PREVOD Z UCTU	4896	15709	DUCHOD	AB	82544904
998479	3409	1997-12-13	PRIJEM	PREVOD Z UCTU	4896	17472	DUCHOD	AB	82544904
998480	3409	1998-01-13	PRIJEM	PREVOD Z UCTU	4896	17803	DUCHOD	AB	82544904
998481	3409	1998-02-13	PRIJEM	PREVOD Z UCTU	4896	18857	DUCHOD	AB	82544904
998482	3409	1998-03-13	PRIJEM	PREVOD Z UCTU	4896	20633	DUCHOD	AB	82544904
998483	3409	1998-04-13	PRIJEM	PREVOD Z UCTU	4896	22417	DUCHOD	AB	82544904
998484	3409	1998-05-13	PRIJEM	PREVOD Z UCTU	4896	24209	DUCHOD	AB	82544904
998485	3409	1998-06-13	PRIJEM	PREVOD Z UCTU	4896	16592	DUCHOD	AB	82544904
998486	3409	1998-07-13	PRIJEM	PREVOD Z UCTU	4896	18359	DUCHOD	AB	82544904
998487	3409	1998-08-13	PRIJEM	PREVOD Z UCTU	4896	20133	DUCHOD	AB	82544904
998488	3409	1998-09-13	PRIJEM	PREVOD Z UCTU	4896	21915	DUCHOD	AB	82544904
998489	3409	1998-10-13	PRIJEM	PREVOD Z UCTU	4896	23704	DUCHOD	AB	82544904
998490	3409	1998-11-13	PRIJEM	PREVOD Z UCTU	4896	17084	DUCHOD	AB	82544904
998491	3409	1998-12-13	PRIJEM	PREVOD Z UCTU	4896	18853	DUCHOD	AB	82544904
998498	3409	1996-07-14	VYDAJ	PREVOD NA UCET	3167	18303	SIPO	QR	37438416
998499	3409	1996-08-14	VYDAJ	PREVOD NA UCET	3167	20091	SIPO	QR	37438416
998500	3409	1996-09-14	VYDAJ	PREVOD NA UCET	3167	18602	SIPO	QR	37438416
998501	3409	1996-10-14	VYDAJ	PREVOD NA UCET	3167	18089	SIPO	QR	37438416
998502	3409	1996-11-14	VYDAJ	PREVOD NA UCET	3167	17474	SIPO	QR	37438416
998503	3409	1996-12-14	VYDAJ	PREVOD NA UCET	3167	15134	SIPO	QR	37438416
998504	3409	1997-01-14	VYDAJ	PREVOD NA UCET	3167	14517	SIPO	QR	37438416
998505	3409	1997-02-14	VYDAJ	PREVOD NA UCET	3167	14208	SIPO	QR	37438416
998506	3409	1997-03-14	VYDAJ	PREVOD NA UCET	3167	14176	SIPO	QR	37438416
998507	3409	1997-04-14	VYDAJ	PREVOD NA UCET	3167	12444	SIPO	QR	37438416
998508	3409	1997-05-14	VYDAJ	PREVOD NA UCET	3167	14207	SIPO	QR	37438416
998509	3409	1997-06-14	VYDAJ	PREVOD NA UCET	3167	14476	SIPO	QR	37438416
998510	3409	1997-07-14	VYDAJ	PREVOD NA UCET	3167	16248	SIPO	QR	37438416
998511	3409	1997-08-14	VYDAJ	PREVOD NA UCET	3167	13822	SIPO	QR	37438416
998512	3409	1997-09-14	VYDAJ	PREVOD NA UCET	3167	15591	SIPO	QR	37438416
998513	3409	1997-10-14	VYDAJ	PREVOD NA UCET	3167	17367	SIPO	QR	37438416
998514	3409	1997-11-14	VYDAJ	PREVOD NA UCET	3167	12542	SIPO	QR	37438416
998515	3409	1997-12-14	VYDAJ	PREVOD NA UCET	3167	14305	SIPO	QR	37438416
998516	3409	1998-01-14	VYDAJ	PREVOD NA UCET	3167	14636	SIPO	QR	37438416
998517	3409	1998-02-14	VYDAJ	PREVOD NA UCET	3167	15690	SIPO	QR	37438416
998518	3409	1998-03-14	VYDAJ	PREVOD NA UCET	3167	17466	SIPO	QR	37438416
998519	3409	1998-04-14	VYDAJ	PREVOD NA UCET	3167	19250	SIPO	QR	37438416
998520	3409	1998-05-14	VYDAJ	PREVOD NA UCET	3167	21042	SIPO	QR	37438416
998521	3409	1998-06-14	VYDAJ	PREVOD NA UCET	3167	13425	SIPO	QR	37438416
998522	3409	1998-07-14	VYDAJ	PREVOD NA UCET	3167	15192	SIPO	QR	37438416
998523	3409	1998-08-14	VYDAJ	PREVOD NA UCET	3167	16966	SIPO	QR	37438416
998524	3409	1998-09-14	VYDAJ	PREVOD NA UCET	3167	18748	SIPO	QR	37438416
998525	3409	1998-10-14	VYDAJ	PREVOD NA UCET	3167	20537	SIPO	QR	37438416
998526	3409	1998-11-14	VYDAJ	PREVOD NA UCET	3167	13917	SIPO	QR	37438416
998527	3409	1998-12-14	VYDAJ	PREVOD NA UCET	3167	15686	SIPO	QR	37438416
998531	3409	1996-12-21	VYDAJ	VYBER	550	14584	\N	\N	\N
998540	3409	1997-01-15	VYDAJ	VYBER	960	13557	\N	\N	\N
998543	3409	1997-01-02	VYDAJ	VYBER	560	14068	\N	\N	\N
998544	3409	1997-01-24	VYDAJ	VYBER	1120	12437	\N	\N	\N
998545	3409	1997-01-05	VYDAJ	VYBER	1280	12788	\N	\N	\N
998546	3409	1998-01-01	VYDAJ	VYBER	1440	12907	\N	\N	\N
998551	3409	1998-01-22	VYDAJ	VYBER	720	13916	\N	\N	\N
998553	3409	1996-11-16	VYDAJ	VYBER	1120	16354	\N	\N	\N
998555	3409	1996-08-22	VYDAJ	VYBER	3280	16811	\N	\N	\N
998571	3409	1996-07-31	VYDAJ	VYBER	15	18362	SLUZBY	\N	\N
998572	3409	1996-08-31	VYDAJ	VYBER	15	16873	SLUZBY	\N	\N
998573	3409	1996-09-30	VYDAJ	VYBER	15	16360	SLUZBY	\N	\N
998574	3409	1996-10-31	VYDAJ	VYBER	15	15745	SLUZBY	\N	\N
998575	3409	1996-11-30	VYDAJ	VYBER	15	13405	SLUZBY	\N	\N
998576	3409	1996-12-31	VYDAJ	VYBER	15	14628	SLUZBY	\N	\N
998577	3409	1997-01-31	VYDAJ	VYBER	15	12479	SLUZBY	\N	\N
998578	3409	1997-02-28	VYDAJ	VYBER	15	12447	SLUZBY	\N	\N
998579	3409	1997-03-31	VYDAJ	VYBER	15	10715	SLUZBY	\N	\N
998580	3409	1997-04-30	VYDAJ	VYBER	15	12478	SLUZBY	\N	\N
998581	3409	1997-05-31	VYDAJ	VYBER	15	12747	SLUZBY	\N	\N
998582	3409	1997-06-30	VYDAJ	VYBER	15	14519	SLUZBY	\N	\N
998583	3409	1997-07-31	VYDAJ	VYBER	15	12093	SLUZBY	\N	\N
998584	3409	1997-08-31	VYDAJ	VYBER	15	13862	SLUZBY	\N	\N
998585	3409	1997-09-30	VYDAJ	VYBER	15	15638	SLUZBY	\N	\N
998586	3409	1997-10-31	VYDAJ	VYBER	15	10813	SLUZBY	\N	\N
998587	3409	1997-11-30	VYDAJ	VYBER	15	12576	SLUZBY	\N	\N
998588	3409	1997-12-31	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
998589	3409	1998-01-31	VYDAJ	VYBER	15	13961	SLUZBY	\N	\N
998590	3409	1998-02-28	VYDAJ	VYBER	15	15737	SLUZBY	\N	\N
998591	3409	1998-03-31	VYDAJ	VYBER	15	17521	SLUZBY	\N	\N
998592	3409	1998-04-30	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
998593	3409	1998-05-31	VYDAJ	VYBER	15	11696	SLUZBY	\N	\N
998594	3409	1998-06-30	VYDAJ	VYBER	15	13463	SLUZBY	\N	\N
998595	3409	1998-07-31	VYDAJ	VYBER	15	15237	SLUZBY	\N	\N
998596	3409	1998-08-31	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
998597	3409	1998-09-30	VYDAJ	VYBER	15	18808	SLUZBY	\N	\N
998598	3409	1998-10-31	VYDAJ	VYBER	15	12188	SLUZBY	\N	\N
998599	3409	1998-11-30	VYDAJ	VYBER	15	13957	SLUZBY	\N	\N
998600	3409	1996-06-29	VYDAJ	VYBER	4000	16547	\N	\N	\N
998601	3409	1996-09-27	VYDAJ	VYBER	2300	16302	\N	\N	\N
998602	3409	1996-10-27	VYDAJ	VYBER	2400	15689	\N	\N	\N
998603	3409	1996-11-26	VYDAJ	VYBER	3000	13354	\N	\N	\N
998604	3409	1997-02-24	VYDAJ	VYBER	1800	12408	\N	\N	\N
998605	3409	1997-03-26	VYDAJ	VYBER	3500	10676	\N	\N	\N
998606	3409	1997-05-25	VYDAJ	VYBER	1500	12707	\N	\N	\N
998607	3409	1997-07-24	VYDAJ	VYBER	4200	12048	\N	\N	\N
998608	3409	1997-10-22	VYDAJ	VYBER	6600	10767	\N	\N	\N
998609	3409	1998-05-20	VYDAJ	VYBER	9400	11642	\N	\N	\N
998610	3409	1998-10-17	VYDAJ	VYBER	8400	12137	\N	\N	\N
998645	3410	1995-07-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
998652	3410	1995-07-10	PRIJEM	VKLAD	14843	15943	\N	\N	\N
998653	3410	1995-08-10	PRIJEM	VKLAD	14843	33633	\N	\N	\N
998654	3410	1995-09-10	PRIJEM	VKLAD	14843	45595	\N	\N	\N
998655	3410	1995-10-10	PRIJEM	VKLAD	14843	50613	\N	\N	\N
998656	3410	1995-11-10	PRIJEM	VKLAD	14843	53659	\N	\N	\N
998657	3410	1995-12-10	PRIJEM	VKLAD	22265	56277	\N	\N	\N
998658	3410	1996-01-10	PRIJEM	VKLAD	14843	49725	\N	\N	\N
998659	3410	1996-02-10	PRIJEM	VKLAD	14843	36738	\N	\N	\N
998660	3410	1996-03-10	PRIJEM	VKLAD	14843	39428	\N	\N	\N
998661	3410	1996-04-10	PRIJEM	VKLAD	14843	40821	\N	\N	\N
998662	3410	1996-05-10	PRIJEM	VKLAD	14843	49110	\N	\N	\N
998663	3410	1996-06-10	PRIJEM	VKLAD	22265	55750	\N	\N	\N
998664	3410	1996-07-10	PRIJEM	VKLAD	14843	51120	\N	\N	\N
998665	3410	1996-08-10	PRIJEM	VKLAD	14843	52947	\N	\N	\N
998666	3410	1996-09-10	PRIJEM	VKLAD	14843	50877	\N	\N	\N
998667	3410	1996-10-10	PRIJEM	VKLAD	14843	50098	\N	\N	\N
998668	3410	1996-11-10	PRIJEM	VKLAD	14843	49916	\N	\N	\N
998669	3410	1996-12-10	PRIJEM	VKLAD	22265	55452	\N	\N	\N
998670	3410	1997-01-10	PRIJEM	VKLAD	14843	47769	\N	\N	\N
998671	3410	1997-02-10	PRIJEM	VKLAD	14843	35702	\N	\N	\N
998672	3410	1997-03-10	PRIJEM	VKLAD	14843	40562	\N	\N	\N
998673	3410	1997-04-10	PRIJEM	VKLAD	14843	45644	\N	\N	\N
998674	3410	1997-05-10	PRIJEM	VKLAD	14843	50446	\N	\N	\N
998675	3410	1997-06-10	PRIJEM	VKLAD	22265	55483	\N	\N	\N
998676	3410	1997-07-10	PRIJEM	VKLAD	14843	56012	\N	\N	\N
998677	3410	1997-08-10	PRIJEM	VKLAD	14843	56370	\N	\N	\N
998678	3410	1997-09-10	PRIJEM	VKLAD	14843	59013	\N	\N	\N
998679	3410	1997-10-10	PRIJEM	VKLAD	14843	53372	\N	\N	\N
998680	3410	1997-11-10	PRIJEM	VKLAD	14843	47785	\N	\N	\N
998681	3410	1997-12-10	PRIJEM	VKLAD	22265	51025	\N	\N	\N
998682	3410	1998-01-10	PRIJEM	VKLAD	14843	38117	\N	\N	\N
998683	3410	1998-02-10	PRIJEM	VKLAD	14843	27479	\N	\N	\N
998684	3410	1998-03-10	PRIJEM	VKLAD	14843	40918	\N	\N	\N
998685	3410	1998-04-10	PRIJEM	VKLAD	14843	43176	\N	\N	\N
998686	3410	1998-05-10	PRIJEM	VKLAD	14843	48966	\N	\N	\N
998687	3410	1998-06-10	PRIJEM	VKLAD	22265	60998	\N	\N	\N
998688	3410	1998-07-10	PRIJEM	VKLAD	14843	56931	\N	\N	\N
998689	3410	1998-08-10	PRIJEM	VKLAD	14843	53457	\N	\N	\N
998690	3410	1998-09-10	PRIJEM	VKLAD	14843	49365	\N	\N	\N
998691	3410	1998-10-10	PRIJEM	VKLAD	14843	47258	\N	\N	\N
998692	3410	1998-11-10	PRIJEM	VKLAD	14843	50355	\N	\N	\N
998693	3410	1998-12-10	PRIJEM	VKLAD	22265	53692	\N	\N	\N
998705	3410	1995-12-08	VYDAJ	PREVOD NA UCET	3505	34012	SIPO	WX	46270674
998706	3410	1996-01-08	VYDAJ	PREVOD NA UCET	3505	34882	SIPO	WX	46270674
998707	3410	1996-02-08	VYDAJ	PREVOD NA UCET	3505	21895	SIPO	WX	46270674
998708	3410	1996-03-08	VYDAJ	PREVOD NA UCET	3505	24585	SIPO	WX	46270674
998709	3410	1996-04-08	VYDAJ	PREVOD NA UCET	3505	25978	SIPO	WX	46270674
998710	3410	1996-05-08	VYDAJ	PREVOD NA UCET	3505	34267	SIPO	WX	46270674
998711	3410	1996-06-08	VYDAJ	PREVOD NA UCET	3505	33485	SIPO	WX	46270674
998712	3410	1996-07-08	VYDAJ	PREVOD NA UCET	3505	36277	SIPO	WX	46270674
998713	3410	1996-08-08	VYDAJ	PREVOD NA UCET	3505	38104	SIPO	WX	46270674
998714	3410	1996-09-08	VYDAJ	PREVOD NA UCET	3505	36034	SIPO	WX	46270674
998715	3410	1996-10-08	VYDAJ	PREVOD NA UCET	3505	35255	SIPO	WX	46270674
998716	3410	1996-11-08	VYDAJ	PREVOD NA UCET	3505	35073	SIPO	WX	46270674
998717	3410	1996-12-08	VYDAJ	PREVOD NA UCET	3505	33187	SIPO	WX	46270674
998718	3410	1997-01-08	VYDAJ	PREVOD NA UCET	3505	33646	SIPO	WX	46270674
998719	3410	1997-02-08	VYDAJ	PREVOD NA UCET	3505	20859	SIPO	WX	46270674
998720	3410	1997-03-08	VYDAJ	PREVOD NA UCET	3505	25719	SIPO	WX	46270674
998721	3410	1997-04-08	VYDAJ	PREVOD NA UCET	3505	30801	SIPO	WX	46270674
998722	3410	1997-05-08	VYDAJ	PREVOD NA UCET	3505	35603	SIPO	WX	46270674
998723	3410	1997-06-08	VYDAJ	PREVOD NA UCET	3505	33219	SIPO	WX	46270674
998724	3410	1997-07-08	VYDAJ	PREVOD NA UCET	3505	41169	SIPO	WX	46270674
998725	3410	1997-08-08	VYDAJ	PREVOD NA UCET	3505	41527	SIPO	WX	46270674
998726	3410	1997-09-08	VYDAJ	PREVOD NA UCET	3505	44170	SIPO	WX	46270674
998727	3410	1997-10-08	VYDAJ	PREVOD NA UCET	3505	38529	SIPO	WX	46270674
998728	3410	1997-11-08	VYDAJ	PREVOD NA UCET	3505	32942	SIPO	WX	46270674
998729	3410	1997-12-08	VYDAJ	PREVOD NA UCET	3505	28761	SIPO	WX	46270674
998730	3410	1998-01-08	VYDAJ	PREVOD NA UCET	3505	23274	SIPO	WX	46270674
998731	3410	1998-02-08	VYDAJ	PREVOD NA UCET	3505	12636	SIPO	WX	46270674
998732	3410	1998-03-08	VYDAJ	PREVOD NA UCET	3505	26075	SIPO	WX	46270674
998733	3410	1998-04-08	VYDAJ	PREVOD NA UCET	3505	28333	SIPO	WX	46270674
998734	3410	1998-05-08	VYDAJ	PREVOD NA UCET	3505	34123	SIPO	WX	46270674
998735	3410	1998-06-08	VYDAJ	PREVOD NA UCET	3505	38733	SIPO	WX	46270674
998736	3410	1998-07-08	VYDAJ	PREVOD NA UCET	3505	42088	SIPO	WX	46270674
998737	3410	1998-08-08	VYDAJ	PREVOD NA UCET	3505	38614	SIPO	WX	46270674
998738	3410	1998-09-08	VYDAJ	PREVOD NA UCET	3505	34522	SIPO	WX	46270674
998739	3410	1998-10-08	VYDAJ	PREVOD NA UCET	3505	32415	SIPO	WX	46270674
998740	3410	1998-11-08	VYDAJ	PREVOD NA UCET	3505	35512	SIPO	WX	46270674
998741	3410	1998-12-08	VYDAJ	PREVOD NA UCET	3505	31427	SIPO	WX	46270674
998753	3410	1995-12-06	VYDAJ	PREVOD NA UCET	169	37637	POJISTNE	ST	77840584
998754	3410	1996-01-06	VYDAJ	PREVOD NA UCET	169	40667	POJISTNE	ST	77840584
998755	3410	1996-02-06	VYDAJ	PREVOD NA UCET	169	25520	POJISTNE	ST	77840584
998756	3410	1996-03-06	VYDAJ	PREVOD NA UCET	169	28930	POJISTNE	ST	77840584
998757	3410	1996-04-06	VYDAJ	PREVOD NA UCET	169	29603	POJISTNE	ST	77840584
998758	3410	1996-05-06	VYDAJ	PREVOD NA UCET	169	37892	POJISTNE	ST	77840584
998759	3410	1996-06-06	VYDAJ	PREVOD NA UCET	169	37110	POJISTNE	ST	77840584
998760	3410	1996-07-06	VYDAJ	PREVOD NA UCET	169	39902	POJISTNE	ST	77840584
998761	3410	1996-08-06	VYDAJ	PREVOD NA UCET	169	41729	POJISTNE	ST	77840584
998762	3410	1996-09-06	VYDAJ	PREVOD NA UCET	169	39659	POJISTNE	ST	77840584
998763	3410	1996-10-06	VYDAJ	PREVOD NA UCET	169	38880	POJISTNE	ST	77840584
998764	3410	1996-11-06	VYDAJ	PREVOD NA UCET	169	38698	POJISTNE	ST	77840584
998765	3410	1996-12-06	VYDAJ	PREVOD NA UCET	169	36812	POJISTNE	ST	77840584
998766	3410	1997-01-06	VYDAJ	PREVOD NA UCET	169	37271	POJISTNE	ST	77840584
998767	3410	1997-02-06	VYDAJ	PREVOD NA UCET	169	24484	POJISTNE	ST	77840584
998768	3410	1997-03-06	VYDAJ	PREVOD NA UCET	169	29344	POJISTNE	ST	77840584
998769	3410	1997-04-06	VYDAJ	PREVOD NA UCET	169	34426	POJISTNE	ST	77840584
998770	3410	1997-05-06	VYDAJ	PREVOD NA UCET	169	39228	POJISTNE	ST	77840584
998771	3410	1997-06-06	VYDAJ	PREVOD NA UCET	169	36844	POJISTNE	ST	77840584
998772	3410	1997-07-06	VYDAJ	PREVOD NA UCET	169	44794	POJISTNE	ST	77840584
998773	3410	1997-08-06	VYDAJ	PREVOD NA UCET	169	45152	POJISTNE	ST	77840584
998774	3410	1997-09-06	VYDAJ	PREVOD NA UCET	169	47795	POJISTNE	ST	77840584
998775	3410	1997-10-06	VYDAJ	PREVOD NA UCET	169	42154	POJISTNE	ST	77840584
998776	3410	1997-11-06	VYDAJ	PREVOD NA UCET	169	36567	POJISTNE	ST	77840584
998777	3410	1997-12-06	VYDAJ	PREVOD NA UCET	169	35106	POJISTNE	ST	77840584
998778	3410	1998-01-06	VYDAJ	PREVOD NA UCET	169	26899	POJISTNE	ST	77840584
998779	3410	1998-02-06	VYDAJ	PREVOD NA UCET	169	19621	POJISTNE	ST	77840584
998780	3410	1998-03-06	VYDAJ	PREVOD NA UCET	169	29700	POJISTNE	ST	77840584
998781	3410	1998-04-06	VYDAJ	PREVOD NA UCET	169	31958	POJISTNE	ST	77840584
998782	3410	1998-05-06	VYDAJ	PREVOD NA UCET	169	37748	POJISTNE	ST	77840584
998783	3410	1998-06-06	VYDAJ	PREVOD NA UCET	169	42358	POJISTNE	ST	77840584
998784	3410	1998-07-06	VYDAJ	PREVOD NA UCET	169	45713	POJISTNE	ST	77840584
998785	3410	1998-08-06	VYDAJ	PREVOD NA UCET	169	42239	POJISTNE	ST	77840584
998786	3410	1998-09-06	VYDAJ	PREVOD NA UCET	169	38147	POJISTNE	ST	77840584
998787	3410	1998-10-06	VYDAJ	PREVOD NA UCET	169	36040	POJISTNE	ST	77840584
998788	3410	1998-11-06	VYDAJ	PREVOD NA UCET	169	39137	POJISTNE	ST	77840584
998789	3410	1998-12-06	VYDAJ	PREVOD NA UCET	169	35052	POJISTNE	ST	77840584
998801	3410	1995-12-07	VYDAJ	PREVOD NA UCET	120	37517	 	AB	6115699
998802	3410	1996-01-07	VYDAJ	PREVOD NA UCET	120	38387	 	AB	6115699
998803	3410	1996-02-07	VYDAJ	PREVOD NA UCET	120	25400	 	AB	6115699
998804	3410	1996-03-07	VYDAJ	PREVOD NA UCET	120	28090	 	AB	6115699
998805	3410	1996-04-07	VYDAJ	PREVOD NA UCET	120	29483	 	AB	6115699
998806	3410	1996-05-07	VYDAJ	PREVOD NA UCET	120	37772	 	AB	6115699
998807	3410	1996-06-07	VYDAJ	PREVOD NA UCET	120	36990	 	AB	6115699
998808	3410	1996-07-07	VYDAJ	PREVOD NA UCET	120	39782	 	AB	6115699
998809	3410	1996-08-07	VYDAJ	PREVOD NA UCET	120	41609	 	AB	6115699
998810	3410	1996-09-07	VYDAJ	PREVOD NA UCET	120	39539	 	AB	6115699
998811	3410	1996-10-07	VYDAJ	PREVOD NA UCET	120	38760	 	AB	6115699
998812	3410	1996-11-07	VYDAJ	PREVOD NA UCET	120	38578	 	AB	6115699
998813	3410	1996-12-07	VYDAJ	PREVOD NA UCET	120	36692	 	AB	6115699
998814	3410	1997-01-07	VYDAJ	PREVOD NA UCET	120	37151	 	AB	6115699
998815	3410	1997-02-07	VYDAJ	PREVOD NA UCET	120	24364	 	AB	6115699
998816	3410	1997-03-07	VYDAJ	PREVOD NA UCET	120	29224	 	AB	6115699
998817	3410	1997-04-07	VYDAJ	PREVOD NA UCET	120	34306	 	AB	6115699
998818	3410	1997-05-07	VYDAJ	PREVOD NA UCET	120	39108	 	AB	6115699
998819	3410	1997-06-07	VYDAJ	PREVOD NA UCET	120	36724	 	AB	6115699
998820	3410	1997-07-07	VYDAJ	PREVOD NA UCET	120	44674	 	AB	6115699
998821	3410	1997-08-07	VYDAJ	PREVOD NA UCET	120	45032	 	AB	6115699
998822	3410	1997-09-07	VYDAJ	PREVOD NA UCET	120	47675	 	AB	6115699
998823	3410	1997-10-07	VYDAJ	PREVOD NA UCET	120	42034	 	AB	6115699
998824	3410	1997-11-07	VYDAJ	PREVOD NA UCET	120	36447	 	AB	6115699
998825	3410	1997-12-07	VYDAJ	PREVOD NA UCET	120	34986	 	AB	6115699
998826	3410	1998-01-07	VYDAJ	PREVOD NA UCET	120	26779	 	AB	6115699
998827	3410	1998-02-07	VYDAJ	PREVOD NA UCET	120	16141	 	AB	6115699
998828	3410	1998-03-07	VYDAJ	PREVOD NA UCET	120	29580	 	AB	6115699
998829	3410	1998-04-07	VYDAJ	PREVOD NA UCET	120	31838	 	AB	6115699
998830	3410	1998-05-07	VYDAJ	PREVOD NA UCET	120	37628	 	AB	6115699
998831	3410	1998-06-07	VYDAJ	PREVOD NA UCET	120	42238	 	AB	6115699
998832	3410	1998-07-07	VYDAJ	PREVOD NA UCET	120	45593	 	AB	6115699
998833	3410	1998-08-07	VYDAJ	PREVOD NA UCET	120	42119	 	AB	6115699
998834	3410	1998-09-07	VYDAJ	PREVOD NA UCET	120	38027	 	AB	6115699
998835	3410	1998-10-07	VYDAJ	PREVOD NA UCET	120	35920	 	AB	6115699
998836	3410	1998-11-07	VYDAJ	PREVOD NA UCET	120	39017	 	AB	6115699
998837	3410	1998-12-07	VYDAJ	PREVOD NA UCET	120	34932	 	AB	6115699
998839	3410	1996-06-11	VYDAJ	VYBER	10240	45510	\N	\N	\N
998843	3410	1996-01-11	VYDAJ	VYBER	14240	33685	\N	\N	\N
998844	3410	1997-01-17	VYDAJ	VYBER	11040	28929	\N	\N	\N
998845	3410	1998-01-13	VYDAJ	VYBER	11040	24677	\N	\N	\N
998846	3410	1995-12-11	VYDAJ	VYBER	1600	54677	\N	\N	\N
998847	3410	1996-12-28	VYDAJ	VYBER	2080	37272	\N	\N	\N
998848	3410	1997-12-07	VYDAJ	VYBER	2720	32266	\N	\N	\N
998849	3410	1998-12-10	VYDAJ	VYBER	1600	52092	\N	\N	\N
998856	3410	1996-01-06	VYDAJ	VYBER	2160	38507	\N	\N	\N
998857	3410	1996-01-10	VYDAJ	VYBER	1800	47925	\N	\N	\N
998858	3410	1996-01-23	VYDAJ	VYBER	3360	25525	\N	\N	\N
998859	3410	1996-01-28	VYDAJ	VYBER	600	22165	\N	\N	\N
998860	3410	1996-01-24	VYDAJ	VYBER	1200	24325	\N	\N	\N
998861	3410	1996-01-27	VYDAJ	VYBER	1560	22765	\N	\N	\N
998862	3410	1997-01-12	VYDAJ	VYBER	2640	45129	\N	\N	\N
998863	3410	1997-01-21	VYDAJ	VYBER	2640	26289	\N	\N	\N
998864	3410	1997-01-09	VYDAJ	VYBER	720	32926	\N	\N	\N
998865	3410	1997-01-16	VYDAJ	VYBER	1800	39969	\N	\N	\N
998866	3410	1997-01-26	VYDAJ	VYBER	2760	24529	\N	\N	\N
998867	3410	1997-01-14	VYDAJ	VYBER	3360	41769	\N	\N	\N
998868	3410	1998-01-12	VYDAJ	VYBER	2400	35717	\N	\N	\N
998869	3410	1998-01-26	VYDAJ	VYBER	3360	22457	\N	\N	\N
998870	3410	1998-01-20	VYDAJ	VYBER	2760	26657	\N	\N	\N
998871	3410	1998-01-28	VYDAJ	VYBER	2760	19697	\N	\N	\N
998872	3410	1998-01-18	VYDAJ	VYBER	1560	29417	\N	\N	\N
998873	3410	1998-01-23	VYDAJ	VYBER	840	25817	\N	\N	\N
998879	3410	1995-12-13	VYDAJ	VYBER	3720	50957	\N	\N	\N
998880	3410	1996-03-02	VYDAJ	VYBER	960	29099	\N	\N	\N
998881	3410	1996-01-23	VYDAJ	VYBER	4800	28885	\N	\N	\N
998882	3410	1996-12-16	VYDAJ	VYBER	5400	50052	\N	\N	\N
998883	3410	1996-03-16	VYDAJ	VYBER	4920	34508	\N	\N	\N
998884	3410	1996-03-07	VYDAJ	VYBER	720	28210	\N	\N	\N
998885	3410	1996-04-02	VYDAJ	VYBER	960	29772	\N	\N	\N
998886	3410	1997-11-28	VYDAJ	VYBER	1560	35125	\N	\N	\N
998887	3410	1997-05-23	VYDAJ	VYBER	1800	48646	\N	\N	\N
998888	3410	1997-09-25	VYDAJ	VYBER	1560	42133	\N	\N	\N
998889	3410	1997-07-17	VYDAJ	VYBER	3360	52652	\N	\N	\N
998890	3410	1997-08-01	VYDAJ	VYBER	1920	45321	\N	\N	\N
998891	3410	1997-12-28	VYDAJ	VYBER	5520	26925	\N	\N	\N
998892	3410	1997-10-19	VYDAJ	VYBER	4200	49172	\N	\N	\N
998893	3410	1997-09-11	VYDAJ	VYBER	720	58293	\N	\N	\N
998894	3410	1997-12-21	VYDAJ	VYBER	5880	32445	\N	\N	\N
998895	3410	1997-06-03	VYDAJ	VYBER	1800	37013	\N	\N	\N
998896	3410	1998-02-07	VYDAJ	VYBER	3360	16261	\N	\N	\N
998897	3410	1998-11-21	VYDAJ	VYBER	4680	35075	\N	\N	\N
998898	3410	1998-04-01	VYDAJ	VYBER	2520	32127	\N	\N	\N
998899	3410	1998-12-10	VYDAJ	VYBER	1560	50532	\N	\N	\N
998911	3410	1995-11-30	VYDAJ	VYBER	15	37806	SLUZBY	\N	\N
998912	3410	1995-12-31	VYDAJ	VYBER	15	40836	SLUZBY	\N	\N
998913	3410	1996-01-31	VYDAJ	VYBER	15	25689	SLUZBY	\N	\N
998914	3410	1996-02-29	VYDAJ	VYBER	15	30059	SLUZBY	\N	\N
998915	3410	1996-03-31	VYDAJ	VYBER	15	30732	SLUZBY	\N	\N
998916	3410	1996-04-30	VYDAJ	VYBER	15	38061	SLUZBY	\N	\N
998917	3410	1996-05-31	VYDAJ	VYBER	15	37279	SLUZBY	\N	\N
998918	3410	1996-06-30	VYDAJ	VYBER	15	40071	SLUZBY	\N	\N
998919	3410	1996-07-31	VYDAJ	VYBER	15	41898	SLUZBY	\N	\N
998920	3410	1996-08-31	VYDAJ	VYBER	15	39828	SLUZBY	\N	\N
998921	3410	1996-09-30	VYDAJ	VYBER	15	39049	SLUZBY	\N	\N
998922	3410	1996-10-31	VYDAJ	VYBER	15	38867	SLUZBY	\N	\N
998923	3410	1996-11-30	VYDAJ	VYBER	15	36981	SLUZBY	\N	\N
998924	3410	1996-12-31	VYDAJ	VYBER	15	37440	SLUZBY	\N	\N
998925	3410	1997-01-31	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
998926	3410	1997-02-28	VYDAJ	VYBER	15	29513	SLUZBY	\N	\N
998927	3410	1997-03-31	VYDAJ	VYBER	15	34595	SLUZBY	\N	\N
998928	3410	1997-04-30	VYDAJ	VYBER	15	39397	SLUZBY	\N	\N
998929	3410	1997-05-31	VYDAJ	VYBER	15	38813	SLUZBY	\N	\N
998930	3410	1997-06-30	VYDAJ	VYBER	15	44963	SLUZBY	\N	\N
998931	3410	1997-07-31	VYDAJ	VYBER	15	47241	SLUZBY	\N	\N
998932	3410	1997-08-31	VYDAJ	VYBER	15	47964	SLUZBY	\N	\N
998933	3410	1997-09-30	VYDAJ	VYBER	15	42323	SLUZBY	\N	\N
998934	3410	1997-10-31	VYDAJ	VYBER	15	36736	SLUZBY	\N	\N
998935	3410	1997-11-30	VYDAJ	VYBER	15	35275	SLUZBY	\N	\N
998936	3410	1997-12-31	VYDAJ	VYBER	15	27068	SLUZBY	\N	\N
998937	3410	1998-01-31	VYDAJ	VYBER	15	19790	SLUZBY	\N	\N
998938	3410	1998-02-28	VYDAJ	VYBER	15	29869	SLUZBY	\N	\N
998939	3410	1998-03-31	VYDAJ	VYBER	15	34647	SLUZBY	\N	\N
998940	3410	1998-04-30	VYDAJ	VYBER	15	37917	SLUZBY	\N	\N
998941	3410	1998-05-31	VYDAJ	VYBER	15	42527	SLUZBY	\N	\N
998942	3410	1998-06-30	VYDAJ	VYBER	15	45882	SLUZBY	\N	\N
998943	3410	1998-07-31	VYDAJ	VYBER	15	42408	SLUZBY	\N	\N
998944	3410	1998-08-31	VYDAJ	VYBER	15	38316	SLUZBY	\N	\N
998945	3410	1998-09-30	VYDAJ	VYBER	15	36209	SLUZBY	\N	\N
998946	3410	1998-10-31	VYDAJ	VYBER	15	39306	SLUZBY	\N	\N
998947	3410	1998-11-30	VYDAJ	VYBER	15	35221	SLUZBY	\N	\N
998948	3410	1995-08-02	PRIJEM	VKLAD	2800	18790	\N	\N	\N
998949	3410	1995-09-01	VYDAJ	VYBER	3000	30752	\N	\N	\N
998950	3410	1995-10-01	VYDAJ	VYBER	10000	35770	\N	\N	\N
998951	3410	1995-10-31	VYDAJ	VYBER	12000	38816	\N	\N	\N
998952	3410	1995-11-30	VYDAJ	VYBER	16000	37821	\N	\N	\N
998953	3410	1995-12-30	VYDAJ	VYBER	10300	40657	\N	\N	\N
998954	3410	1996-01-29	PRIJEM	VKLAD	3400	25565	\N	\N	\N
998955	3410	1996-02-28	VYDAJ	VYBER	6800	29938	\N	\N	\N
998956	3410	1996-03-29	VYDAJ	VYBER	3900	30608	\N	\N	\N
998957	3410	1996-04-28	VYDAJ	VYBER	2900	37921	\N	\N	\N
998958	3410	1996-05-28	VYDAJ	VYBER	12000	37110	\N	\N	\N
998959	3410	1996-06-27	VYDAJ	VYBER	5600	39910	\N	\N	\N
998960	3410	1996-07-27	VYDAJ	VYBER	9400	41720	\N	\N	\N
998961	3410	1996-08-26	VYDAJ	VYBER	13300	39647	\N	\N	\N
998962	3410	1996-09-25	VYDAJ	VYBER	12000	38877	\N	\N	\N
998963	3410	1996-10-25	VYDAJ	VYBER	11400	38698	\N	\N	\N
998964	3410	1996-11-24	VYDAJ	VYBER	13100	36816	\N	\N	\N
998965	3410	1996-12-24	VYDAJ	VYBER	10700	39352	\N	\N	\N
998966	3410	1997-01-23	PRIJEM	VKLAD	1000	27289	\N	\N	\N
998967	3410	1997-02-22	VYDAJ	VYBER	6300	29402	\N	\N	\N
998968	3410	1997-03-24	VYDAJ	VYBER	6100	34462	\N	\N	\N
998969	3410	1997-04-23	VYDAJ	VYBER	6400	39244	\N	\N	\N
998970	3410	1997-05-23	VYDAJ	VYBER	10000	38646	\N	\N	\N
998971	3410	1997-06-22	VYDAJ	VYBER	10700	44783	\N	\N	\N
998972	3410	1997-07-22	VYDAJ	VYBER	5600	47052	\N	\N	\N
998973	3410	1997-08-21	VYDAJ	VYBER	8600	47770	\N	\N	\N
998974	3410	1997-09-20	VYDAJ	VYBER	14600	43693	\N	\N	\N
998975	3410	1997-10-20	VYDAJ	VYBER	12600	36572	\N	\N	\N
998976	3410	1997-11-19	VYDAJ	VYBER	11100	36685	\N	\N	\N
998977	3410	1997-12-19	VYDAJ	VYBER	12700	38325	\N	\N	\N
998978	3410	1998-01-18	PRIJEM	VKLAD	6300	30977	\N	\N	\N
998979	3410	1998-02-17	PRIJEM	VKLAD	2300	29779	\N	\N	\N
998980	3410	1998-03-19	VYDAJ	VYBER	6400	34518	\N	\N	\N
998981	3410	1998-04-18	VYDAJ	VYBER	5400	37776	\N	\N	\N
998982	3410	1998-05-18	VYDAJ	VYBER	6600	42366	\N	\N	\N
998983	3410	1998-06-17	VYDAJ	VYBER	15300	45698	\N	\N	\N
998984	3410	1998-07-17	VYDAJ	VYBER	14700	42231	\N	\N	\N
998985	3410	1998-08-16	VYDAJ	VYBER	15300	38157	\N	\N	\N
998986	3410	1998-09-15	VYDAJ	VYBER	13300	36065	\N	\N	\N
998987	3410	1998-10-15	VYDAJ	VYBER	8100	39158	\N	\N	\N
998988	3410	1998-11-14	VYDAJ	VYBER	10600	39755	\N	\N	\N
999031	3411	1996-12-17	PRIJEM	VKLAD	900	900	\N	\N	\N
999044	3411	1997-01-13	PRIJEM	VKLAD	13373	14273	\N	\N	\N
999045	3411	1997-02-13	PRIJEM	VKLAD	13373	30884	\N	\N	\N
999046	3411	1997-03-13	PRIJEM	VKLAD	13373	41451	\N	\N	\N
999047	3411	1997-04-13	PRIJEM	VKLAD	13373	49858	\N	\N	\N
999048	3411	1997-05-13	PRIJEM	VKLAD	13373	55093	\N	\N	\N
999049	3411	1997-06-13	PRIJEM	VKLAD	20060	57373	\N	\N	\N
999050	3411	1997-07-13	PRIJEM	VKLAD	13373	27959	\N	\N	\N
999051	3411	1997-08-13	PRIJEM	VKLAD	13373	39993	\N	\N	\N
999052	3411	1997-09-13	PRIJEM	VKLAD	13373	47765	\N	\N	\N
999053	3411	1997-10-13	PRIJEM	VKLAD	13373	49647	\N	\N	\N
999054	3411	1997-11-13	PRIJEM	VKLAD	13373	58658	\N	\N	\N
999055	3411	1997-12-13	PRIJEM	VKLAD	20060	64791	\N	\N	\N
999056	3411	1998-01-13	PRIJEM	VKLAD	13373	59483	\N	\N	\N
999057	3411	1998-02-13	PRIJEM	VKLAD	13373	60064	\N	\N	\N
999058	3411	1998-03-13	PRIJEM	VKLAD	13373	64928	\N	\N	\N
999059	3411	1998-04-13	PRIJEM	VKLAD	13373	63120	\N	\N	\N
999060	3411	1998-05-13	PRIJEM	VKLAD	13373	60893	\N	\N	\N
999061	3411	1998-06-13	PRIJEM	VKLAD	20060	69548	\N	\N	\N
999062	3411	1998-07-13	PRIJEM	VKLAD	13373	51148	\N	\N	\N
999063	3411	1998-08-13	PRIJEM	VKLAD	13373	54795	\N	\N	\N
999064	3411	1998-09-13	PRIJEM	VKLAD	13373	56929	\N	\N	\N
999065	3411	1998-10-13	PRIJEM	VKLAD	13373	55972	\N	\N	\N
999066	3411	1998-11-13	PRIJEM	VKLAD	13373	57414	\N	\N	\N
999067	3411	1998-12-13	PRIJEM	VKLAD	20060	62725	\N	\N	\N
999085	3411	1997-06-09	VYDAJ	PREVOD NA UCET	6443	37313	SIPO	ST	92270415
999086	3411	1997-07-09	VYDAJ	PREVOD NA UCET	6443	14586	SIPO	ST	92270415
999087	3411	1997-08-09	VYDAJ	PREVOD NA UCET	6443	26620	SIPO	ST	92270415
999088	3411	1997-09-09	VYDAJ	PREVOD NA UCET	6443	34392	SIPO	ST	92270415
999089	3411	1997-10-09	VYDAJ	PREVOD NA UCET	6443	36274	SIPO	ST	92270415
999090	3411	1997-11-09	VYDAJ	PREVOD NA UCET	6443	44585	SIPO	ST	92270415
999091	3411	1997-12-09	VYDAJ	PREVOD NA UCET	6443	52431	SIPO	ST	92270415
999092	3411	1998-01-09	VYDAJ	PREVOD NA UCET	6443	52590	SIPO	ST	92270415
999093	3411	1998-02-09	VYDAJ	PREVOD NA UCET	6443	42091	SIPO	ST	92270415
999094	3411	1998-03-09	VYDAJ	PREVOD NA UCET	6443	51555	SIPO	ST	92270415
999095	3411	1998-04-09	VYDAJ	PREVOD NA UCET	6443	55247	SIPO	ST	92270415
999096	3411	1998-05-09	VYDAJ	PREVOD NA UCET	6443	56920	SIPO	ST	92270415
999097	3411	1998-06-09	VYDAJ	PREVOD NA UCET	6443	54689	SIPO	ST	92270415
999098	3411	1998-07-09	VYDAJ	PREVOD NA UCET	6443	31975	SIPO	ST	92270415
999099	3411	1998-08-09	VYDAJ	PREVOD NA UCET	6443	46582	SIPO	ST	92270415
999100	3411	1998-09-09	VYDAJ	PREVOD NA UCET	6443	43556	SIPO	ST	92270415
999101	3411	1998-10-09	VYDAJ	PREVOD NA UCET	6443	42599	SIPO	ST	92270415
999102	3411	1998-11-09	VYDAJ	PREVOD NA UCET	6443	44041	SIPO	ST	92270415
999103	3411	1998-12-09	VYDAJ	PREVOD NA UCET	6443	46986	SIPO	ST	92270415
999105	3411	1997-06-24	VYDAJ	VYBER	20000	25673	\N	\N	\N
999106	3411	1998-06-25	VYDAJ	VYBER	31360	38188	\N	\N	\N
999109	3411	1998-01-20	VYDAJ	VYBER	9600	49883	\N	\N	\N
999111	3411	1997-12-25	VYDAJ	VYBER	1440	63351	\N	\N	\N
999112	3411	1998-12-09	VYDAJ	VYBER	4320	42666	\N	\N	\N
999125	3411	1998-01-02	VYDAJ	VYBER	1440	62153	\N	\N	\N
999126	3411	1998-01-09	VYDAJ	VYBER	2880	49710	\N	\N	\N
999127	3411	1998-01-11	VYDAJ	VYBER	2400	46110	\N	\N	\N
999128	3411	1998-01-24	VYDAJ	VYBER	1560	48323	\N	\N	\N
999129	3411	1998-01-03	VYDAJ	VYBER	960	61193	\N	\N	\N
999130	3411	1998-01-04	VYDAJ	VYBER	2160	59033	\N	\N	\N
999136	3411	1997-09-29	VYDAJ	VYBER	1920	42545	\N	\N	\N
999137	3411	1997-07-04	VYDAJ	VYBER	4800	21029	\N	\N	\N
999141	3411	1998-02-28	VYDAJ	VYBER	2280	58013	\N	\N	\N
999142	3411	1998-03-27	VYDAJ	VYBER	3480	61448	\N	\N	\N
999143	3411	1998-08-11	VYDAJ	VYBER	5160	41422	\N	\N	\N
999161	3411	1997-05-31	VYDAJ	VYBER	15	43756	SLUZBY	\N	\N
999162	3411	1997-06-30	VYDAJ	VYBER	15	25829	SLUZBY	\N	\N
999163	3411	1997-07-31	VYDAJ	VYBER	15	33063	SLUZBY	\N	\N
999164	3411	1997-08-31	VYDAJ	VYBER	15	40835	SLUZBY	\N	\N
999165	3411	1997-09-30	VYDAJ	VYBER	15	42717	SLUZBY	\N	\N
999166	3411	1997-10-31	VYDAJ	VYBER	15	51028	SLUZBY	\N	\N
999167	3411	1997-11-30	VYDAJ	VYBER	15	58874	SLUZBY	\N	\N
999168	3411	1997-12-31	VYDAJ	VYBER	15	63593	SLUZBY	\N	\N
999169	3411	1998-01-31	VYDAJ	VYBER	15	48534	SLUZBY	\N	\N
999170	3411	1998-02-28	VYDAJ	VYBER	15	57998	SLUZBY	\N	\N
999171	3411	1998-03-31	VYDAJ	VYBER	15	61690	SLUZBY	\N	\N
999172	3411	1998-04-30	VYDAJ	VYBER	15	63363	SLUZBY	\N	\N
999173	3411	1998-05-31	VYDAJ	VYBER	15	61132	SLUZBY	\N	\N
999174	3411	1998-06-30	VYDAJ	VYBER	15	38418	SLUZBY	\N	\N
999175	3411	1998-07-31	VYDAJ	VYBER	15	51325	SLUZBY	\N	\N
999176	3411	1998-08-31	VYDAJ	VYBER	15	54999	SLUZBY	\N	\N
999177	3411	1998-09-30	VYDAJ	VYBER	15	57142	SLUZBY	\N	\N
999178	3411	1998-10-31	VYDAJ	VYBER	15	56184	SLUZBY	\N	\N
999179	3411	1998-11-30	VYDAJ	VYBER	15	57629	SLUZBY	\N	\N
999180	3411	1997-01-16	PRIJEM	VKLAD	3200	17473	\N	\N	\N
999181	3411	1997-02-15	VYDAJ	VYBER	2900	27984	\N	\N	\N
999182	3411	1997-03-17	VYDAJ	VYBER	5100	36351	\N	\N	\N
999183	3411	1997-04-16	VYDAJ	VYBER	8300	41558	\N	\N	\N
999184	3411	1997-05-16	VYDAJ	VYBER	11500	43593	\N	\N	\N
999185	3411	1997-06-15	VYDAJ	VYBER	11700	45673	\N	\N	\N
999186	3411	1997-07-15	PRIJEM	VKLAD	5000	32959	\N	\N	\N
999187	3411	1997-08-14	PRIJEM	VKLAD	700	40693	\N	\N	\N
999188	3411	1997-09-13	VYDAJ	VYBER	3300	44465	\N	\N	\N
999189	3411	1997-10-13	PRIJEM	VKLAD	1200	50847	\N	\N	\N
999190	3411	1997-11-12	PRIJEM	VKLAD	700	45285	\N	\N	\N
999191	3411	1997-12-12	VYDAJ	VYBER	7700	44731	\N	\N	\N
999192	3411	1998-01-11	VYDAJ	VYBER	1200	48510	\N	\N	\N
999193	3411	1998-02-10	PRIJEM	VKLAD	4600	46691	\N	\N	\N
999194	3411	1998-04-11	VYDAJ	VYBER	5500	49747	\N	\N	\N
999195	3411	1998-05-11	VYDAJ	VYBER	9400	47520	\N	\N	\N
999196	3411	1998-06-10	VYDAJ	VYBER	5200	49489	\N	\N	\N
999197	3411	1998-07-10	PRIJEM	VKLAD	5800	37775	\N	\N	\N
999198	3411	1998-08-09	PRIJEM	VKLAD	1700	53025	\N	\N	\N
999199	3411	1998-09-08	VYDAJ	VYBER	5000	49999	\N	\N	\N
999200	3411	1998-10-08	VYDAJ	VYBER	8100	49042	\N	\N	\N
999201	3411	1998-11-07	VYDAJ	VYBER	5700	50484	\N	\N	\N
999202	3411	1998-12-07	VYDAJ	VYBER	4200	53429	\N	\N	\N
999227	3412	1996-12-20	PRIJEM	VKLAD	400	400	\N	\N	\N
999240	3412	1997-01-14	PRIJEM	PREVOD Z UCTU	5703	6103	DUCHOD	ST	12766957
999241	3412	1997-02-14	PRIJEM	PREVOD Z UCTU	5703	11806	DUCHOD	ST	12766957
999242	3412	1997-03-14	PRIJEM	PREVOD Z UCTU	5703	17509	DUCHOD	ST	12766957
999243	3412	1997-04-14	PRIJEM	PREVOD Z UCTU	5703	23212	DUCHOD	ST	12766957
999244	3412	1997-05-14	PRIJEM	PREVOD Z UCTU	5703	27251	DUCHOD	ST	12766957
999245	3412	1997-06-14	PRIJEM	PREVOD Z UCTU	5703	26628	DUCHOD	ST	12766957
999246	3412	1997-07-14	PRIJEM	PREVOD Z UCTU	5703	17745	DUCHOD	ST	12766957
999247	3412	1997-08-14	PRIJEM	PREVOD Z UCTU	5703	19092	DUCHOD	ST	12766957
999248	3412	1997-09-14	PRIJEM	PREVOD Z UCTU	5703	19642	DUCHOD	ST	12766957
999249	3412	1997-10-14	PRIJEM	PREVOD Z UCTU	5703	20395	DUCHOD	ST	12766957
999250	3412	1997-11-14	PRIJEM	PREVOD Z UCTU	5703	17249	DUCHOD	ST	12766957
999251	3412	1997-12-14	PRIJEM	PREVOD Z UCTU	5703	20651	DUCHOD	ST	12766957
999252	3412	1998-01-14	PRIJEM	PREVOD Z UCTU	5703	17021	DUCHOD	ST	12766957
999253	3412	1998-02-14	PRIJEM	PREVOD Z UCTU	5703	16339	DUCHOD	ST	12766957
999254	3412	1998-03-14	PRIJEM	PREVOD Z UCTU	5703	20384	DUCHOD	ST	12766957
999255	3412	1998-04-14	PRIJEM	PREVOD Z UCTU	5703	18934	DUCHOD	ST	12766957
999256	3412	1998-05-14	PRIJEM	PREVOD Z UCTU	5703	22088	DUCHOD	ST	12766957
999257	3412	1998-06-14	PRIJEM	PREVOD Z UCTU	5703	21357	DUCHOD	ST	12766957
999258	3412	1998-07-14	PRIJEM	PREVOD Z UCTU	5703	17314	DUCHOD	ST	12766957
999259	3412	1998-08-14	PRIJEM	PREVOD Z UCTU	5703	21364	DUCHOD	ST	12766957
999260	3412	1998-09-14	PRIJEM	PREVOD Z UCTU	5703	18627	DUCHOD	ST	12766957
999261	3412	1998-10-14	PRIJEM	PREVOD Z UCTU	5703	19485	DUCHOD	ST	12766957
999262	3412	1998-11-14	PRIJEM	PREVOD Z UCTU	5703	20049	DUCHOD	ST	12766957
999263	3412	1998-12-14	PRIJEM	PREVOD Z UCTU	5703	18214	DUCHOD	ST	12766957
999281	3412	1997-06-11	VYDAJ	PREVOD NA UCET	670	20925	SIPO	OP	26138603
999282	3412	1997-07-11	VYDAJ	PREVOD NA UCET	670	12042	SIPO	OP	26138603
999283	3412	1997-08-11	VYDAJ	PREVOD NA UCET	670	13389	SIPO	OP	26138603
999284	3412	1997-09-11	VYDAJ	PREVOD NA UCET	670	13939	SIPO	OP	26138603
999285	3412	1997-10-11	VYDAJ	PREVOD NA UCET	670	14692	SIPO	OP	26138603
999286	3412	1997-11-11	VYDAJ	PREVOD NA UCET	670	11546	SIPO	OP	26138603
999287	3412	1997-12-11	VYDAJ	PREVOD NA UCET	670	14948	SIPO	OP	26138603
999288	3412	1998-01-11	VYDAJ	PREVOD NA UCET	670	11318	SIPO	OP	26138603
999289	3412	1998-02-11	VYDAJ	PREVOD NA UCET	670	10636	SIPO	OP	26138603
999290	3412	1998-03-11	VYDAJ	PREVOD NA UCET	670	14681	SIPO	OP	26138603
999291	3412	1998-04-11	VYDAJ	PREVOD NA UCET	670	13231	SIPO	OP	26138603
999292	3412	1998-05-11	VYDAJ	PREVOD NA UCET	670	16385	SIPO	OP	26138603
999293	3412	1998-06-11	VYDAJ	PREVOD NA UCET	670	15654	SIPO	OP	26138603
999294	3412	1998-07-11	VYDAJ	PREVOD NA UCET	670	11611	SIPO	OP	26138603
999295	3412	1998-08-11	VYDAJ	PREVOD NA UCET	670	15661	SIPO	OP	26138603
999296	3412	1998-09-11	VYDAJ	PREVOD NA UCET	670	12924	SIPO	OP	26138603
999297	3412	1998-10-11	VYDAJ	PREVOD NA UCET	670	13782	SIPO	OP	26138603
999298	3412	1998-11-11	VYDAJ	PREVOD NA UCET	670	14346	SIPO	OP	26138603
999299	3412	1998-12-11	VYDAJ	PREVOD NA UCET	670	12511	SIPO	OP	26138603
999317	3412	1997-06-09	VYDAJ	PREVOD NA UCET	1033	21595	 	CD	72363370
999318	3412	1997-07-09	VYDAJ	PREVOD NA UCET	1033	12712	 	CD	72363370
999319	3412	1997-08-09	VYDAJ	PREVOD NA UCET	1033	14059	 	CD	72363370
999320	3412	1997-09-09	VYDAJ	PREVOD NA UCET	1033	14609	 	CD	72363370
999321	3412	1997-10-09	VYDAJ	PREVOD NA UCET	1033	15362	 	CD	72363370
999322	3412	1997-11-09	VYDAJ	PREVOD NA UCET	1033	12216	 	CD	72363370
999323	3412	1997-12-09	VYDAJ	PREVOD NA UCET	1033	16268	 	CD	72363370
999324	3412	1998-01-09	VYDAJ	PREVOD NA UCET	1033	11988	 	CD	72363370
999325	3412	1998-02-09	VYDAJ	PREVOD NA UCET	1033	11306	 	CD	72363370
999326	3412	1998-03-09	VYDAJ	PREVOD NA UCET	1033	15351	 	CD	72363370
999327	3412	1998-04-09	VYDAJ	PREVOD NA UCET	1033	13901	 	CD	72363370
999328	3412	1998-05-09	VYDAJ	PREVOD NA UCET	1033	17055	 	CD	72363370
999329	3412	1998-06-09	VYDAJ	PREVOD NA UCET	1033	16324	 	CD	72363370
999330	3412	1998-07-09	VYDAJ	PREVOD NA UCET	1033	12281	 	CD	72363370
999331	3412	1998-08-09	VYDAJ	PREVOD NA UCET	1033	16331	 	CD	72363370
999332	3412	1998-09-09	VYDAJ	PREVOD NA UCET	1033	13594	 	CD	72363370
999333	3412	1998-10-09	VYDAJ	PREVOD NA UCET	1033	17652	 	CD	72363370
999334	3412	1998-11-09	VYDAJ	PREVOD NA UCET	1033	18516	 	CD	72363370
999335	3412	1998-12-09	VYDAJ	PREVOD NA UCET	1033	19081	 	CD	72363370
999337	3412	1997-06-22	VYDAJ	VYBER	4050	13678	\N	\N	\N
999338	3412	1998-06-23	VYDAJ	VYBER	8100	13257	\N	\N	\N
999340	3412	1997-12-10	VYDAJ	VYBER	650	15618	\N	\N	\N
999341	3412	1998-12-24	VYDAJ	VYBER	1200	17014	\N	\N	\N
999354	3412	1998-01-02	VYDAJ	VYBER	640	13021	\N	\N	\N
999355	3412	1998-01-02	VYDAJ	VYBER	640	13661	\N	\N	\N
999357	3412	1998-01-15	VYDAJ	VYBER	1760	12861	\N	\N	\N
999367	3412	1997-11-05	VYDAJ	VYBER	2800	13249	\N	\N	\N
999368	3412	1997-09-27	VYDAJ	VYBER	800	16342	\N	\N	\N
999369	3412	1998-01-28	VYDAJ	VYBER	560	12301	\N	\N	\N
999371	3412	1998-08-25	VYDAJ	VYBER	3760	17604	\N	\N	\N
999372	3412	1998-09-07	VYDAJ	VYBER	3040	14627	\N	\N	\N
999390	3412	1997-05-31	VYDAJ	VYBER	15	22628	SLUZBY	\N	\N
999391	3412	1997-06-30	VYDAJ	VYBER	15	13745	SLUZBY	\N	\N
999392	3412	1997-07-31	VYDAJ	VYBER	15	15092	SLUZBY	\N	\N
999393	3412	1997-08-31	VYDAJ	VYBER	15	15642	SLUZBY	\N	\N
999394	3412	1997-09-30	VYDAJ	VYBER	15	16395	SLUZBY	\N	\N
999395	3412	1997-10-31	VYDAJ	VYBER	15	16049	SLUZBY	\N	\N
999396	3412	1997-11-30	VYDAJ	VYBER	15	17301	SLUZBY	\N	\N
999397	3412	1997-12-31	VYDAJ	VYBER	15	14301	SLUZBY	\N	\N
999398	3412	1998-01-31	VYDAJ	VYBER	15	12339	SLUZBY	\N	\N
999399	3412	1998-02-28	VYDAJ	VYBER	15	16384	SLUZBY	\N	\N
999400	3412	1998-03-31	VYDAJ	VYBER	15	14934	SLUZBY	\N	\N
999401	3412	1998-04-30	VYDAJ	VYBER	15	18088	SLUZBY	\N	\N
999402	3412	1998-05-31	VYDAJ	VYBER	15	17357	SLUZBY	\N	\N
999403	3412	1998-06-30	VYDAJ	VYBER	15	13314	SLUZBY	\N	\N
999404	3412	1998-07-31	VYDAJ	VYBER	15	17364	SLUZBY	\N	\N
999405	3412	1998-08-31	VYDAJ	VYBER	15	17667	SLUZBY	\N	\N
999406	3412	1998-09-30	VYDAJ	VYBER	15	18685	SLUZBY	\N	\N
999407	3412	1998-10-31	VYDAJ	VYBER	15	19549	SLUZBY	\N	\N
999408	3412	1998-11-30	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
999409	3412	1997-04-19	VYDAJ	VYBER	1700	21512	\N	\N	\N
999410	3412	1997-05-19	VYDAJ	VYBER	4700	22551	\N	\N	\N
999411	3412	1997-06-18	VYDAJ	VYBER	8900	17728	\N	\N	\N
999412	3412	1997-07-18	VYDAJ	VYBER	2700	15045	\N	\N	\N
999413	3412	1997-08-17	VYDAJ	VYBER	3500	15592	\N	\N	\N
999414	3412	1997-09-16	VYDAJ	VYBER	2500	17142	\N	\N	\N
999415	3412	1997-10-16	VYDAJ	VYBER	4400	15995	\N	\N	\N
999416	3412	1997-12-15	VYDAJ	VYBER	6400	14251	\N	\N	\N
999417	3412	1998-01-14	VYDAJ	VYBER	2400	14621	\N	\N	\N
999418	3412	1998-03-15	VYDAJ	VYBER	5500	14884	\N	\N	\N
999419	3412	1998-04-14	VYDAJ	VYBER	900	18034	\N	\N	\N
999420	3412	1998-05-14	VYDAJ	VYBER	4800	17288	\N	\N	\N
999421	3412	1998-10-11	VYDAJ	VYBER	3200	14452	\N	\N	\N
999422	3412	1998-11-10	VYDAJ	VYBER	3500	15016	\N	\N	\N
999423	3412	1998-12-10	VYDAJ	VYBER	5900	13181	\N	\N	\N
999445	3413	1993-07-13	PRIJEM	VKLAD	800	800	\N	\N	\N
999453	3413	1993-08-11	PRIJEM	VKLAD	7481	8281	\N	\N	\N
999454	3413	1993-09-11	PRIJEM	VKLAD	7481	24708	\N	\N	\N
999455	3413	1993-10-11	PRIJEM	VKLAD	7481	31279	\N	\N	\N
999456	3413	1993-11-11	PRIJEM	VKLAD	7481	31270	\N	\N	\N
999457	3413	1993-12-11	PRIJEM	VKLAD	11222	38917	\N	\N	\N
999458	3413	1994-01-11	PRIJEM	VKLAD	7481	35849	\N	\N	\N
999459	3413	1994-02-11	PRIJEM	VKLAD	7481	37659	\N	\N	\N
999460	3413	1994-03-11	PRIJEM	VKLAD	7481	36175	\N	\N	\N
999461	3413	1994-04-11	PRIJEM	VKLAD	7481	33469	\N	\N	\N
999462	3413	1994-05-11	PRIJEM	VKLAD	7481	34413	\N	\N	\N
999463	3413	1994-06-11	PRIJEM	VKLAD	11222	38957	\N	\N	\N
999464	3413	1994-07-11	PRIJEM	VKLAD	7481	40474	\N	\N	\N
999465	3413	1994-08-11	PRIJEM	VKLAD	7481	40302	\N	\N	\N
999466	3413	1994-09-11	PRIJEM	VKLAD	7481	37548	\N	\N	\N
999467	3413	1994-10-11	PRIJEM	VKLAD	7481	37364	\N	\N	\N
999468	3413	1994-11-11	PRIJEM	VKLAD	7481	40480	\N	\N	\N
999469	3413	1994-12-11	PRIJEM	VKLAD	11222	38707	\N	\N	\N
999470	3413	1995-01-11	PRIJEM	VKLAD	7481	39327	\N	\N	\N
999471	3413	1995-02-11	PRIJEM	VKLAD	7481	42550	\N	\N	\N
999472	3413	1995-03-11	PRIJEM	VKLAD	7481	44485	\N	\N	\N
999473	3413	1995-04-11	PRIJEM	VKLAD	7481	43428	\N	\N	\N
999474	3413	1995-05-11	PRIJEM	VKLAD	7481	45570	\N	\N	\N
999475	3413	1995-06-11	PRIJEM	VKLAD	11222	52259	\N	\N	\N
999476	3413	1995-07-11	PRIJEM	VKLAD	7481	39357	\N	\N	\N
999477	3413	1995-08-11	PRIJEM	VKLAD	7481	43776	\N	\N	\N
999478	3413	1995-09-11	PRIJEM	VKLAD	7481	44215	\N	\N	\N
999479	3413	1995-10-11	PRIJEM	VKLAD	7481	47558	\N	\N	\N
999480	3413	1995-11-11	PRIJEM	VKLAD	7481	48451	\N	\N	\N
999481	3413	1995-12-11	PRIJEM	VKLAD	11222	50199	\N	\N	\N
999482	3413	1996-01-11	PRIJEM	VKLAD	7481	53735	\N	\N	\N
999483	3413	1996-02-11	PRIJEM	VKLAD	7481	60618	\N	\N	\N
999484	3413	1996-03-11	PRIJEM	VKLAD	7481	61327	\N	\N	\N
999485	3413	1996-04-11	PRIJEM	VKLAD	7481	59474	\N	\N	\N
999486	3413	1996-05-11	PRIJEM	VKLAD	7481	53513	\N	\N	\N
999487	3413	1996-06-11	PRIJEM	VKLAD	11222	63035	\N	\N	\N
999488	3413	1996-07-11	PRIJEM	VKLAD	7481	46095	\N	\N	\N
999489	3413	1996-08-11	PRIJEM	VKLAD	7481	54933	\N	\N	\N
999490	3413	1996-09-11	PRIJEM	VKLAD	7481	65126	\N	\N	\N
999491	3413	1996-10-11	PRIJEM	VKLAD	7481	70857	\N	\N	\N
999492	3413	1996-11-11	PRIJEM	VKLAD	7481	75611	\N	\N	\N
999493	3413	1996-12-11	PRIJEM	VKLAD	11222	79378	\N	\N	\N
999494	3413	1997-01-11	PRIJEM	VKLAD	7481	81402	\N	\N	\N
999495	3413	1997-02-11	PRIJEM	VKLAD	7481	81758	\N	\N	\N
999496	3413	1997-03-11	PRIJEM	VKLAD	7481	85556	\N	\N	\N
999497	3413	1997-04-11	PRIJEM	VKLAD	7481	86867	\N	\N	\N
999498	3413	1997-05-11	PRIJEM	VKLAD	7481	90386	\N	\N	\N
999499	3413	1997-06-11	PRIJEM	VKLAD	11222	50196	\N	\N	\N
999500	3413	1997-07-11	PRIJEM	VKLAD	7481	72535	\N	\N	\N
999501	3413	1997-08-11	PRIJEM	VKLAD	7481	83504	\N	\N	\N
999502	3413	1997-09-11	PRIJEM	VKLAD	7481	85244	\N	\N	\N
999503	3413	1997-10-11	PRIJEM	VKLAD	7481	91465	\N	\N	\N
999504	3413	1997-11-11	PRIJEM	VKLAD	7481	95302	\N	\N	\N
999505	3413	1997-12-11	PRIJEM	VKLAD	11222	104900	\N	\N	\N
999506	3413	1998-01-11	PRIJEM	VKLAD	7481	107487	\N	\N	\N
999507	3413	1998-02-11	PRIJEM	VKLAD	7481	112994	\N	\N	\N
999508	3413	1998-03-11	PRIJEM	VKLAD	7481	112295	\N	\N	\N
999509	3413	1998-04-11	PRIJEM	VKLAD	7481	96845	\N	\N	\N
999510	3413	1998-05-11	PRIJEM	VKLAD	7481	108819	\N	\N	\N
999511	3413	1998-06-11	PRIJEM	VKLAD	11222	98753	\N	\N	\N
999512	3413	1998-07-11	PRIJEM	VKLAD	7481	108342	\N	\N	\N
999513	3413	1998-08-11	PRIJEM	VKLAD	7481	112149	\N	\N	\N
999514	3413	1998-09-11	PRIJEM	VKLAD	7481	106781	\N	\N	\N
999515	3413	1998-10-11	PRIJEM	VKLAD	7481	111464	\N	\N	\N
999516	3413	1998-11-11	PRIJEM	VKLAD	7481	116067	\N	\N	\N
999517	3413	1998-12-11	PRIJEM	VKLAD	11222	105592	\N	\N	\N
999529	3413	1993-12-12	VYDAJ	PREVOD NA UCET	4359	34558	SIPO	ST	21769154
999530	3413	1994-01-12	VYDAJ	PREVOD NA UCET	4359	31490	SIPO	ST	21769154
999531	3413	1994-02-12	VYDAJ	PREVOD NA UCET	4359	33300	SIPO	ST	21769154
999532	3413	1994-03-12	VYDAJ	PREVOD NA UCET	4359	31816	SIPO	ST	21769154
999533	3413	1994-04-12	VYDAJ	PREVOD NA UCET	4359	29110	SIPO	ST	21769154
999534	3413	1994-05-12	VYDAJ	PREVOD NA UCET	4359	30054	SIPO	ST	21769154
999535	3413	1994-06-12	VYDAJ	PREVOD NA UCET	4359	34598	SIPO	ST	21769154
999536	3413	1994-07-12	VYDAJ	PREVOD NA UCET	4359	36115	SIPO	ST	21769154
999537	3413	1994-08-12	VYDAJ	PREVOD NA UCET	4359	35943	SIPO	ST	21769154
999538	3413	1994-09-12	VYDAJ	PREVOD NA UCET	4359	33189	SIPO	ST	21769154
999539	3413	1994-10-12	VYDAJ	PREVOD NA UCET	4359	33005	SIPO	ST	21769154
999540	3413	1994-11-12	VYDAJ	PREVOD NA UCET	4359	36121	SIPO	ST	21769154
999541	3413	1994-12-12	VYDAJ	PREVOD NA UCET	4359	34348	SIPO	ST	21769154
999542	3413	1995-01-12	VYDAJ	PREVOD NA UCET	4359	34968	SIPO	ST	21769154
999543	3413	1995-02-12	VYDAJ	PREVOD NA UCET	4359	38191	SIPO	ST	21769154
999544	3413	1995-03-12	VYDAJ	PREVOD NA UCET	4359	40126	SIPO	ST	21769154
999545	3413	1995-04-12	VYDAJ	PREVOD NA UCET	4359	39069	SIPO	ST	21769154
999546	3413	1995-05-12	VYDAJ	PREVOD NA UCET	4359	41211	SIPO	ST	21769154
999547	3413	1995-06-12	VYDAJ	PREVOD NA UCET	4359	47900	SIPO	ST	21769154
999548	3413	1995-07-12	VYDAJ	PREVOD NA UCET	4359	34998	SIPO	ST	21769154
999549	3413	1995-08-12	VYDAJ	PREVOD NA UCET	4359	39417	SIPO	ST	21769154
999550	3413	1995-09-12	VYDAJ	PREVOD NA UCET	4359	39856	SIPO	ST	21769154
999551	3413	1995-10-12	VYDAJ	PREVOD NA UCET	4359	43199	SIPO	ST	21769154
999552	3413	1995-11-12	VYDAJ	PREVOD NA UCET	4359	44092	SIPO	ST	21769154
999553	3413	1995-12-12	VYDAJ	PREVOD NA UCET	4359	45840	SIPO	ST	21769154
999554	3413	1996-01-12	VYDAJ	PREVOD NA UCET	4359	49376	SIPO	ST	21769154
999555	3413	1996-02-12	VYDAJ	PREVOD NA UCET	4359	56259	SIPO	ST	21769154
999556	3413	1996-03-12	VYDAJ	PREVOD NA UCET	4359	56968	SIPO	ST	21769154
999557	3413	1996-04-12	VYDAJ	PREVOD NA UCET	4359	55115	SIPO	ST	21769154
999558	3413	1996-05-12	VYDAJ	PREVOD NA UCET	4359	49154	SIPO	ST	21769154
999559	3413	1996-06-12	VYDAJ	PREVOD NA UCET	4359	58676	SIPO	ST	21769154
999560	3413	1996-07-12	VYDAJ	PREVOD NA UCET	4359	41736	SIPO	ST	21769154
999561	3413	1996-08-12	VYDAJ	PREVOD NA UCET	4359	50574	SIPO	ST	21769154
999562	3413	1996-09-12	VYDAJ	PREVOD NA UCET	4359	60767	SIPO	ST	21769154
999563	3413	1996-10-12	VYDAJ	PREVOD NA UCET	4359	66498	SIPO	ST	21769154
999564	3413	1996-11-12	VYDAJ	PREVOD NA UCET	4359	71252	SIPO	ST	21769154
999565	3413	1996-12-12	VYDAJ	PREVOD NA UCET	4359	75019	SIPO	ST	21769154
999566	3413	1997-01-12	VYDAJ	PREVOD NA UCET	4359	77043	SIPO	ST	21769154
999567	3413	1997-02-12	VYDAJ	PREVOD NA UCET	4359	77399	SIPO	ST	21769154
999568	3413	1997-03-12	VYDAJ	PREVOD NA UCET	4359	81197	SIPO	ST	21769154
999569	3413	1997-04-12	VYDAJ	PREVOD NA UCET	4359	82508	SIPO	ST	21769154
999570	3413	1997-05-12	VYDAJ	PREVOD NA UCET	4359	86027	SIPO	ST	21769154
999571	3413	1997-06-12	VYDAJ	PREVOD NA UCET	4359	45837	SIPO	ST	21769154
999572	3413	1997-07-12	VYDAJ	PREVOD NA UCET	4359	68176	SIPO	ST	21769154
999573	3413	1997-08-12	VYDAJ	PREVOD NA UCET	4359	73865	SIPO	ST	21769154
999574	3413	1997-09-12	VYDAJ	PREVOD NA UCET	4359	80885	SIPO	ST	21769154
999575	3413	1997-10-12	VYDAJ	PREVOD NA UCET	4359	87106	SIPO	ST	21769154
999576	3413	1997-11-12	VYDAJ	PREVOD NA UCET	4359	90943	SIPO	ST	21769154
999577	3413	1997-12-12	VYDAJ	PREVOD NA UCET	4359	100541	SIPO	ST	21769154
999578	3413	1998-01-12	VYDAJ	PREVOD NA UCET	4359	103128	SIPO	ST	21769154
999579	3413	1998-02-12	VYDAJ	PREVOD NA UCET	4359	108635	SIPO	ST	21769154
999580	3413	1998-03-12	VYDAJ	PREVOD NA UCET	4359	69636	SIPO	ST	21769154
999581	3413	1998-04-12	VYDAJ	PREVOD NA UCET	4359	92486	SIPO	ST	21769154
999582	3413	1998-05-12	VYDAJ	PREVOD NA UCET	4359	104460	SIPO	ST	21769154
999583	3413	1998-06-12	VYDAJ	PREVOD NA UCET	4359	94394	SIPO	ST	21769154
999584	3413	1998-07-12	VYDAJ	PREVOD NA UCET	4359	103983	SIPO	ST	21769154
999585	3413	1998-08-12	VYDAJ	PREVOD NA UCET	4359	107790	SIPO	ST	21769154
999586	3413	1998-09-12	VYDAJ	PREVOD NA UCET	4359	102422	SIPO	ST	21769154
999587	3413	1998-10-12	VYDAJ	PREVOD NA UCET	4359	107105	SIPO	ST	21769154
999588	3413	1998-11-12	VYDAJ	PREVOD NA UCET	4359	111708	SIPO	ST	21769154
999589	3413	1998-12-12	VYDAJ	PREVOD NA UCET	4359	101233	SIPO	ST	21769154
999602	3413	1994-01-06	VYDAJ	PREVOD NA UCET	242	30954	 	IJ	9298742
999603	3413	1994-02-06	VYDAJ	PREVOD NA UCET	242	31364	 	IJ	9298742
999604	3413	1994-03-06	VYDAJ	PREVOD NA UCET	242	33180	 	IJ	9298742
999605	3413	1994-04-06	VYDAJ	PREVOD NA UCET	242	31694	 	IJ	9298742
999606	3413	1994-05-06	VYDAJ	PREVOD NA UCET	242	28978	 	IJ	9298742
999607	3413	1994-06-06	VYDAJ	PREVOD NA UCET	242	29921	 	IJ	9298742
999608	3413	1994-07-06	VYDAJ	PREVOD NA UCET	242	34479	 	IJ	9298742
999609	3413	1994-08-06	VYDAJ	PREVOD NA UCET	242	36007	 	IJ	9298742
999610	3413	1994-09-06	VYDAJ	PREVOD NA UCET	242	30453	 	IJ	9298742
999611	3413	1994-10-06	VYDAJ	PREVOD NA UCET	242	30269	 	IJ	9298742
999612	3413	1994-11-06	VYDAJ	PREVOD NA UCET	242	33385	 	IJ	9298742
999613	3413	1994-12-06	VYDAJ	PREVOD NA UCET	242	31711	 	IJ	9298742
999614	3413	1995-01-06	VYDAJ	PREVOD NA UCET	242	32232	 	IJ	9298742
999615	3413	1995-02-06	VYDAJ	PREVOD NA UCET	242	35455	 	IJ	9298742
999616	3413	1995-03-06	VYDAJ	PREVOD NA UCET	242	37390	 	IJ	9298742
999617	3413	1995-04-06	VYDAJ	PREVOD NA UCET	242	36333	 	IJ	9298742
999618	3413	1995-05-06	VYDAJ	PREVOD NA UCET	242	38475	 	IJ	9298742
999619	3413	1995-06-06	VYDAJ	PREVOD NA UCET	242	41423	 	IJ	9298742
999620	3413	1995-07-06	VYDAJ	PREVOD NA UCET	242	32262	 	IJ	9298742
999621	3413	1995-08-06	VYDAJ	PREVOD NA UCET	242	36681	 	IJ	9298742
999622	3413	1995-09-06	VYDAJ	PREVOD NA UCET	242	37120	 	IJ	9298742
999623	3413	1995-10-06	VYDAJ	PREVOD NA UCET	242	40463	 	IJ	9298742
999624	3413	1995-11-06	VYDAJ	PREVOD NA UCET	242	41356	 	IJ	9298742
999625	3413	1995-12-06	VYDAJ	PREVOD NA UCET	242	39363	 	IJ	9298742
999626	3413	1996-01-06	VYDAJ	PREVOD NA UCET	242	46640	 	IJ	9298742
999627	3413	1996-02-06	VYDAJ	PREVOD NA UCET	242	53523	 	IJ	9298742
999628	3413	1996-03-06	VYDAJ	PREVOD NA UCET	242	54232	 	IJ	9298742
999629	3413	1996-04-06	VYDAJ	PREVOD NA UCET	242	52379	 	IJ	9298742
999630	3413	1996-05-06	VYDAJ	PREVOD NA UCET	242	46418	 	IJ	9298742
999631	3413	1996-06-06	VYDAJ	PREVOD NA UCET	242	52199	 	IJ	9298742
999632	3413	1996-07-06	VYDAJ	PREVOD NA UCET	242	39000	 	IJ	9298742
999633	3413	1996-08-06	VYDAJ	PREVOD NA UCET	242	47838	 	IJ	9298742
999634	3413	1996-09-06	VYDAJ	PREVOD NA UCET	242	58031	 	IJ	9298742
999635	3413	1996-10-06	VYDAJ	PREVOD NA UCET	242	63762	 	IJ	9298742
999636	3413	1996-11-06	VYDAJ	PREVOD NA UCET	242	68516	 	IJ	9298742
999637	3413	1996-12-06	VYDAJ	PREVOD NA UCET	242	68542	 	IJ	9298742
999638	3413	1997-01-06	VYDAJ	PREVOD NA UCET	242	76467	 	IJ	9298742
999639	3413	1997-02-06	VYDAJ	PREVOD NA UCET	242	74663	 	IJ	9298742
999640	3413	1997-03-06	VYDAJ	PREVOD NA UCET	242	78461	 	IJ	9298742
999641	3413	1997-04-06	VYDAJ	PREVOD NA UCET	242	79772	 	IJ	9298742
999642	3413	1997-05-06	VYDAJ	PREVOD NA UCET	242	83291	 	IJ	9298742
999643	3413	1997-06-06	VYDAJ	PREVOD NA UCET	242	83520	 	IJ	9298742
999644	3413	1997-07-06	VYDAJ	PREVOD NA UCET	242	65440	 	IJ	9298742
999645	3413	1997-08-06	VYDAJ	PREVOD NA UCET	242	76409	 	IJ	9298742
999646	3413	1997-09-06	VYDAJ	PREVOD NA UCET	242	78149	 	IJ	9298742
999647	3413	1997-10-06	VYDAJ	PREVOD NA UCET	242	84370	 	IJ	9298742
999648	3413	1997-11-06	VYDAJ	PREVOD NA UCET	242	88207	 	IJ	9298742
999649	3413	1997-12-06	VYDAJ	PREVOD NA UCET	242	94064	 	IJ	9298742
999650	3413	1998-01-06	VYDAJ	PREVOD NA UCET	242	100392	 	IJ	9298742
999651	3413	1998-02-06	VYDAJ	PREVOD NA UCET	242	105899	 	IJ	9298742
999652	3413	1998-03-06	VYDAJ	PREVOD NA UCET	242	106520	 	IJ	9298742
999653	3413	1998-04-06	VYDAJ	PREVOD NA UCET	242	89750	 	IJ	9298742
999654	3413	1998-05-06	VYDAJ	PREVOD NA UCET	242	101724	 	IJ	9298742
999655	3413	1998-06-06	VYDAJ	PREVOD NA UCET	242	107437	 	IJ	9298742
999656	3413	1998-07-06	VYDAJ	PREVOD NA UCET	242	101247	 	IJ	9298742
999657	3413	1998-08-06	VYDAJ	PREVOD NA UCET	242	105054	 	IJ	9298742
999658	3413	1998-09-06	VYDAJ	PREVOD NA UCET	242	99686	 	IJ	9298742
999659	3413	1998-10-06	VYDAJ	PREVOD NA UCET	242	104369	 	IJ	9298742
999660	3413	1998-11-06	VYDAJ	PREVOD NA UCET	242	108972	 	IJ	9298742
999661	3413	1998-12-06	VYDAJ	PREVOD NA UCET	242	94756	 	IJ	9298742
999674	3413	1994-01-08	VYDAJ	PREVOD NA UCET	247	30568	POJISTNE	WX	78589880
999675	3413	1994-02-08	VYDAJ	PREVOD NA UCET	247	30978	POJISTNE	WX	78589880
999676	3413	1994-03-08	VYDAJ	PREVOD NA UCET	247	32794	POJISTNE	WX	78589880
999677	3413	1994-04-08	VYDAJ	PREVOD NA UCET	247	31308	POJISTNE	WX	78589880
999678	3413	1994-05-08	VYDAJ	PREVOD NA UCET	247	26432	POJISTNE	WX	78589880
999679	3413	1994-06-08	VYDAJ	PREVOD NA UCET	247	29535	POJISTNE	WX	78589880
999680	3413	1994-07-08	VYDAJ	PREVOD NA UCET	247	32993	POJISTNE	WX	78589880
999681	3413	1994-08-08	VYDAJ	PREVOD NA UCET	247	32821	POJISTNE	WX	78589880
999682	3413	1994-09-08	VYDAJ	PREVOD NA UCET	247	30067	POJISTNE	WX	78589880
999683	3413	1994-10-08	VYDAJ	PREVOD NA UCET	247	29883	POJISTNE	WX	78589880
999684	3413	1994-11-08	VYDAJ	PREVOD NA UCET	247	32999	POJISTNE	WX	78589880
999685	3413	1994-12-08	VYDAJ	PREVOD NA UCET	247	27485	POJISTNE	WX	78589880
999686	3413	1995-01-08	VYDAJ	PREVOD NA UCET	247	31846	POJISTNE	WX	78589880
999687	3413	1995-02-08	VYDAJ	PREVOD NA UCET	247	35069	POJISTNE	WX	78589880
999688	3413	1995-03-08	VYDAJ	PREVOD NA UCET	247	37004	POJISTNE	WX	78589880
999689	3413	1995-04-08	VYDAJ	PREVOD NA UCET	247	35947	POJISTNE	WX	78589880
999690	3413	1995-05-08	VYDAJ	PREVOD NA UCET	247	38089	POJISTNE	WX	78589880
999691	3413	1995-06-08	VYDAJ	PREVOD NA UCET	247	41037	POJISTNE	WX	78589880
999692	3413	1995-07-08	VYDAJ	PREVOD NA UCET	247	31876	POJISTNE	WX	78589880
999693	3413	1995-08-08	VYDAJ	PREVOD NA UCET	247	36295	POJISTNE	WX	78589880
999694	3413	1995-09-08	VYDAJ	PREVOD NA UCET	247	36734	POJISTNE	WX	78589880
999695	3413	1995-10-08	VYDAJ	PREVOD NA UCET	247	40077	POJISTNE	WX	78589880
999696	3413	1995-11-08	VYDAJ	PREVOD NA UCET	247	40970	POJISTNE	WX	78589880
999697	3413	1995-12-08	VYDAJ	PREVOD NA UCET	247	38977	POJISTNE	WX	78589880
999698	3413	1996-01-08	VYDAJ	PREVOD NA UCET	247	46254	POJISTNE	WX	78589880
999699	3413	1996-02-08	VYDAJ	PREVOD NA UCET	247	53137	POJISTNE	WX	78589880
999700	3413	1996-03-08	VYDAJ	PREVOD NA UCET	247	53846	POJISTNE	WX	78589880
999701	3413	1996-04-08	VYDAJ	PREVOD NA UCET	247	51993	POJISTNE	WX	78589880
999702	3413	1996-05-08	VYDAJ	PREVOD NA UCET	247	46032	POJISTNE	WX	78589880
999703	3413	1996-06-08	VYDAJ	PREVOD NA UCET	247	51813	POJISTNE	WX	78589880
999704	3413	1996-07-08	VYDAJ	PREVOD NA UCET	247	38614	POJISTNE	WX	78589880
999705	3413	1996-08-08	VYDAJ	PREVOD NA UCET	247	47452	POJISTNE	WX	78589880
999706	3413	1996-09-08	VYDAJ	PREVOD NA UCET	247	57645	POJISTNE	WX	78589880
999707	3413	1996-10-08	VYDAJ	PREVOD NA UCET	247	63376	POJISTNE	WX	78589880
999708	3413	1996-11-08	VYDAJ	PREVOD NA UCET	247	68130	POJISTNE	WX	78589880
999709	3413	1996-12-08	VYDAJ	PREVOD NA UCET	247	68156	POJISTNE	WX	78589880
999710	3413	1997-01-08	VYDAJ	PREVOD NA UCET	247	73921	POJISTNE	WX	78589880
999711	3413	1997-02-08	VYDAJ	PREVOD NA UCET	247	74277	POJISTNE	WX	78589880
999712	3413	1997-03-08	VYDAJ	PREVOD NA UCET	247	78075	POJISTNE	WX	78589880
999713	3413	1997-04-08	VYDAJ	PREVOD NA UCET	247	79386	POJISTNE	WX	78589880
999714	3413	1997-05-08	VYDAJ	PREVOD NA UCET	247	82905	POJISTNE	WX	78589880
999715	3413	1997-06-08	VYDAJ	PREVOD NA UCET	247	83134	POJISTNE	WX	78589880
999716	3413	1997-07-08	VYDAJ	PREVOD NA UCET	247	65054	POJISTNE	WX	78589880
999717	3413	1997-08-08	VYDAJ	PREVOD NA UCET	247	76023	POJISTNE	WX	78589880
999718	3413	1997-09-08	VYDAJ	PREVOD NA UCET	247	77763	POJISTNE	WX	78589880
999719	3413	1997-10-08	VYDAJ	PREVOD NA UCET	247	83984	POJISTNE	WX	78589880
999720	3413	1997-11-08	VYDAJ	PREVOD NA UCET	247	87821	POJISTNE	WX	78589880
999721	3413	1997-12-08	VYDAJ	PREVOD NA UCET	247	93678	POJISTNE	WX	78589880
999722	3413	1998-01-08	VYDAJ	PREVOD NA UCET	247	100006	POJISTNE	WX	78589880
999723	3413	1998-02-08	VYDAJ	PREVOD NA UCET	247	105513	POJISTNE	WX	78589880
999724	3413	1998-03-08	VYDAJ	PREVOD NA UCET	247	104814	POJISTNE	WX	78589880
999725	3413	1998-04-08	VYDAJ	PREVOD NA UCET	247	89364	POJISTNE	WX	78589880
999726	3413	1998-05-08	VYDAJ	PREVOD NA UCET	247	101338	POJISTNE	WX	78589880
999727	3413	1998-06-08	VYDAJ	PREVOD NA UCET	247	87531	POJISTNE	WX	78589880
999728	3413	1998-07-08	VYDAJ	PREVOD NA UCET	247	100861	POJISTNE	WX	78589880
999729	3413	1998-08-08	VYDAJ	PREVOD NA UCET	247	104668	POJISTNE	WX	78589880
999730	3413	1998-09-08	VYDAJ	PREVOD NA UCET	247	99300	POJISTNE	WX	78589880
999731	3413	1998-10-08	VYDAJ	PREVOD NA UCET	247	103983	POJISTNE	WX	78589880
999732	3413	1998-11-08	VYDAJ	PREVOD NA UCET	247	108586	POJISTNE	WX	78589880
999733	3413	1998-12-08	VYDAJ	PREVOD NA UCET	247	94370	POJISTNE	WX	78589880
999746	3413	1994-01-07	VYDAJ	PREVOD NA UCET	139	30815	 	KL	48610538
999747	3413	1994-02-07	VYDAJ	PREVOD NA UCET	139	31225	 	KL	48610538
999748	3413	1994-03-07	VYDAJ	PREVOD NA UCET	139	33041	 	KL	48610538
999749	3413	1994-04-07	VYDAJ	PREVOD NA UCET	139	31555	 	KL	48610538
999750	3413	1994-05-07	VYDAJ	PREVOD NA UCET	139	28839	 	KL	48610538
999751	3413	1994-06-07	VYDAJ	PREVOD NA UCET	139	29782	 	KL	48610538
999752	3413	1994-07-07	VYDAJ	PREVOD NA UCET	139	34340	 	KL	48610538
999753	3413	1994-08-07	VYDAJ	PREVOD NA UCET	139	33068	 	KL	48610538
999754	3413	1994-09-07	VYDAJ	PREVOD NA UCET	139	30314	 	KL	48610538
999755	3413	1994-10-07	VYDAJ	PREVOD NA UCET	139	30130	 	KL	48610538
999756	3413	1994-11-07	VYDAJ	PREVOD NA UCET	139	33246	 	KL	48610538
999757	3413	1994-12-07	VYDAJ	PREVOD NA UCET	139	27732	 	KL	48610538
999758	3413	1995-01-07	VYDAJ	PREVOD NA UCET	139	32093	 	KL	48610538
999759	3413	1995-02-07	VYDAJ	PREVOD NA UCET	139	35316	 	KL	48610538
999760	3413	1995-03-07	VYDAJ	PREVOD NA UCET	139	37251	 	KL	48610538
999761	3413	1995-04-07	VYDAJ	PREVOD NA UCET	139	36194	 	KL	48610538
999762	3413	1995-05-07	VYDAJ	PREVOD NA UCET	139	38336	 	KL	48610538
999763	3413	1995-06-07	VYDAJ	PREVOD NA UCET	139	41284	 	KL	48610538
999764	3413	1995-07-07	VYDAJ	PREVOD NA UCET	139	32123	 	KL	48610538
999765	3413	1995-08-07	VYDAJ	PREVOD NA UCET	139	36542	 	KL	48610538
999766	3413	1995-09-07	VYDAJ	PREVOD NA UCET	139	36981	 	KL	48610538
999767	3413	1995-10-07	VYDAJ	PREVOD NA UCET	139	40324	 	KL	48610538
999768	3413	1995-11-07	VYDAJ	PREVOD NA UCET	139	41217	 	KL	48610538
999769	3413	1995-12-07	VYDAJ	PREVOD NA UCET	139	39224	 	KL	48610538
999770	3413	1996-01-07	VYDAJ	PREVOD NA UCET	139	46501	 	KL	48610538
999771	3413	1996-02-07	VYDAJ	PREVOD NA UCET	139	53384	 	KL	48610538
999772	3413	1996-03-07	VYDAJ	PREVOD NA UCET	139	54093	 	KL	48610538
999773	3413	1996-04-07	VYDAJ	PREVOD NA UCET	139	52240	 	KL	48610538
999774	3413	1996-05-07	VYDAJ	PREVOD NA UCET	139	46279	 	KL	48610538
999775	3413	1996-06-07	VYDAJ	PREVOD NA UCET	139	52060	 	KL	48610538
999776	3413	1996-07-07	VYDAJ	PREVOD NA UCET	139	38861	 	KL	48610538
999777	3413	1996-08-07	VYDAJ	PREVOD NA UCET	139	47699	 	KL	48610538
999778	3413	1996-09-07	VYDAJ	PREVOD NA UCET	139	57892	 	KL	48610538
999779	3413	1996-10-07	VYDAJ	PREVOD NA UCET	139	63623	 	KL	48610538
999780	3413	1996-11-07	VYDAJ	PREVOD NA UCET	139	68377	 	KL	48610538
999781	3413	1996-12-07	VYDAJ	PREVOD NA UCET	139	68403	 	KL	48610538
999782	3413	1997-01-07	VYDAJ	PREVOD NA UCET	139	76328	 	KL	48610538
999783	3413	1997-02-07	VYDAJ	PREVOD NA UCET	139	74524	 	KL	48610538
999784	3413	1997-03-07	VYDAJ	PREVOD NA UCET	139	78322	 	KL	48610538
999785	3413	1997-04-07	VYDAJ	PREVOD NA UCET	139	79633	 	KL	48610538
999786	3413	1997-05-07	VYDAJ	PREVOD NA UCET	139	83152	 	KL	48610538
999787	3413	1997-06-07	VYDAJ	PREVOD NA UCET	139	83381	 	KL	48610538
999788	3413	1997-07-07	VYDAJ	PREVOD NA UCET	139	65301	 	KL	48610538
999789	3413	1997-08-07	VYDAJ	PREVOD NA UCET	139	76270	 	KL	48610538
999790	3413	1997-09-07	VYDAJ	PREVOD NA UCET	139	78010	 	KL	48610538
999791	3413	1997-10-07	VYDAJ	PREVOD NA UCET	139	84231	 	KL	48610538
999792	3413	1997-11-07	VYDAJ	PREVOD NA UCET	139	88068	 	KL	48610538
999793	3413	1997-12-07	VYDAJ	PREVOD NA UCET	139	93925	 	KL	48610538
999794	3413	1998-01-07	VYDAJ	PREVOD NA UCET	139	100253	 	KL	48610538
999795	3413	1998-02-07	VYDAJ	PREVOD NA UCET	139	105760	 	KL	48610538
999796	3413	1998-03-07	VYDAJ	PREVOD NA UCET	139	105061	 	KL	48610538
999797	3413	1998-04-07	VYDAJ	PREVOD NA UCET	139	89611	 	KL	48610538
999798	3413	1998-05-07	VYDAJ	PREVOD NA UCET	139	101585	 	KL	48610538
999799	3413	1998-06-07	VYDAJ	PREVOD NA UCET	139	87778	 	KL	48610538
999800	3413	1998-07-07	VYDAJ	PREVOD NA UCET	139	101108	 	KL	48610538
999801	3413	1998-08-07	VYDAJ	PREVOD NA UCET	139	104915	 	KL	48610538
999802	3413	1998-09-07	VYDAJ	PREVOD NA UCET	139	99547	 	KL	48610538
999803	3413	1998-10-07	VYDAJ	PREVOD NA UCET	139	104230	 	KL	48610538
999804	3413	1998-11-07	VYDAJ	PREVOD NA UCET	139	108833	 	KL	48610538
999805	3413	1998-12-07	VYDAJ	PREVOD NA UCET	139	94617	 	KL	48610538
999808	3413	1995-06-27	VYDAJ	VYBER	20160	27740	\N	\N	\N
999809	3413	1996-06-18	VYDAJ	VYBER	35840	22836	\N	\N	\N
999810	3413	1997-06-10	VYDAJ	VYBER	44160	38974	\N	\N	\N
999811	3413	1998-06-06	VYDAJ	VYBER	19520	87917	\N	\N	\N
999816	3413	1993-12-17	VYDAJ	VYBER	3480	31078	\N	\N	\N
999817	3413	1994-12-07	VYDAJ	VYBER	3840	27871	\N	\N	\N
999818	3413	1994-05-08	VYDAJ	VYBER	2160	26679	\N	\N	\N
999819	3413	1994-04-09	VYDAJ	VYBER	4320	25988	\N	\N	\N
999820	3413	1994-08-28	VYDAJ	VYBER	3480	32463	\N	\N	\N
999821	3413	1995-12-21	VYDAJ	VYBER	4920	40920	\N	\N	\N
999822	3413	1995-10-24	VYDAJ	VYBER	2760	40439	\N	\N	\N
999823	3413	1995-11-14	VYDAJ	VYBER	3360	40732	\N	\N	\N
999824	3413	1995-11-26	VYDAJ	VYBER	5880	34852	\N	\N	\N
999825	3413	1996-11-15	VYDAJ	VYBER	2040	69212	\N	\N	\N
999826	3413	1996-07-01	VYDAJ	VYBER	2760	39242	\N	\N	\N
999827	3413	1996-04-17	VYDAJ	VYBER	2520	52595	\N	\N	\N
999828	3413	1996-08-04	VYDAJ	VYBER	3120	48080	\N	\N	\N
999829	3413	1996-03-13	VYDAJ	VYBER	2160	54808	\N	\N	\N
999830	3413	1996-04-30	VYDAJ	VYBER	5640	46674	\N	\N	\N
999831	3413	1997-01-26	VYDAJ	VYBER	4080	75563	\N	\N	\N
999832	3413	1997-01-26	VYDAJ	VYBER	960	74603	\N	\N	\N
999833	3413	1997-09-04	VYDAJ	VYBER	3480	78391	\N	\N	\N
999834	3413	1997-08-11	VYDAJ	VYBER	5280	78224	\N	\N	\N
999835	3413	1997-09-26	VYDAJ	VYBER	3000	84285	\N	\N	\N
999836	3413	1997-01-08	VYDAJ	VYBER	2160	74168	\N	\N	\N
999837	3413	1998-09-03	VYDAJ	VYBER	3720	99928	\N	\N	\N
999838	3413	1998-08-17	VYDAJ	VYBER	4560	103230	\N	\N	\N
999839	3413	1998-06-29	VYDAJ	VYBER	1800	101094	\N	\N	\N
999840	3413	1998-10-17	VYDAJ	VYBER	5520	108785	\N	\N	\N
999841	3413	1998-09-13	VYDAJ	VYBER	2520	99902	\N	\N	\N
999842	3413	1998-03-07	VYDAJ	VYBER	1320	105200	\N	\N	\N
999855	3413	1993-12-31	VYDAJ	VYBER	15	31196	SLUZBY	\N	\N
999856	3413	1994-01-31	VYDAJ	VYBER	15	31606	SLUZBY	\N	\N
999857	3413	1994-02-28	VYDAJ	VYBER	15	33422	SLUZBY	\N	\N
999858	3413	1994-03-31	VYDAJ	VYBER	15	31936	SLUZBY	\N	\N
999859	3413	1994-04-30	VYDAJ	VYBER	15	29220	SLUZBY	\N	\N
999860	3413	1994-05-31	VYDAJ	VYBER	15	30163	SLUZBY	\N	\N
999861	3413	1994-06-30	VYDAJ	VYBER	15	34721	SLUZBY	\N	\N
999862	3413	1994-07-31	VYDAJ	VYBER	15	36249	SLUZBY	\N	\N
999863	3413	1994-08-31	VYDAJ	VYBER	15	32595	SLUZBY	\N	\N
999864	3413	1994-09-30	VYDAJ	VYBER	15	33311	SLUZBY	\N	\N
999865	3413	1994-10-31	VYDAJ	VYBER	15	33127	SLUZBY	\N	\N
999866	3413	1994-11-30	VYDAJ	VYBER	15	36253	SLUZBY	\N	\N
999867	3413	1994-12-31	VYDAJ	VYBER	15	34474	SLUZBY	\N	\N
999868	3413	1995-01-31	VYDAJ	VYBER	15	35097	SLUZBY	\N	\N
999869	3413	1995-02-28	VYDAJ	VYBER	15	38332	SLUZBY	\N	\N
999870	3413	1995-03-31	VYDAJ	VYBER	15	40275	SLUZBY	\N	\N
999871	3413	1995-04-30	VYDAJ	VYBER	15	39217	SLUZBY	\N	\N
999872	3413	1995-05-31	VYDAJ	VYBER	15	41365	SLUZBY	\N	\N
999873	3413	1995-06-30	VYDAJ	VYBER	15	27904	SLUZBY	\N	\N
999874	3413	1995-07-31	VYDAJ	VYBER	15	35123	SLUZBY	\N	\N
999875	3413	1995-08-31	VYDAJ	VYBER	15	39562	SLUZBY	\N	\N
999876	3413	1995-09-30	VYDAJ	VYBER	15	40005	SLUZBY	\N	\N
999877	3413	1995-10-31	VYDAJ	VYBER	15	41598	SLUZBY	\N	\N
999878	3413	1995-11-30	VYDAJ	VYBER	15	39605	SLUZBY	\N	\N
999879	3413	1995-12-31	VYDAJ	VYBER	15	46882	SLUZBY	\N	\N
999880	3413	1996-01-31	VYDAJ	VYBER	15	53765	SLUZBY	\N	\N
999881	3413	1996-02-29	VYDAJ	VYBER	15	54474	SLUZBY	\N	\N
999882	3413	1996-03-31	VYDAJ	VYBER	15	52621	SLUZBY	\N	\N
999883	3413	1996-04-30	VYDAJ	VYBER	15	46660	SLUZBY	\N	\N
999884	3413	1996-05-31	VYDAJ	VYBER	15	52441	SLUZBY	\N	\N
999885	3413	1996-06-30	VYDAJ	VYBER	15	42002	SLUZBY	\N	\N
999886	3413	1996-07-31	VYDAJ	VYBER	15	51200	SLUZBY	\N	\N
999887	3413	1996-08-31	VYDAJ	VYBER	15	58273	SLUZBY	\N	\N
999888	3413	1996-09-30	VYDAJ	VYBER	15	64004	SLUZBY	\N	\N
999889	3413	1996-10-31	VYDAJ	VYBER	15	68758	SLUZBY	\N	\N
999890	3413	1996-11-30	VYDAJ	VYBER	15	68784	SLUZBY	\N	\N
999891	3413	1996-12-31	VYDAJ	VYBER	15	76709	SLUZBY	\N	\N
999892	3413	1997-01-31	VYDAJ	VYBER	15	74905	SLUZBY	\N	\N
999893	3413	1997-02-28	VYDAJ	VYBER	15	78703	SLUZBY	\N	\N
999894	3413	1997-03-31	VYDAJ	VYBER	15	80014	SLUZBY	\N	\N
999895	3413	1997-04-30	VYDAJ	VYBER	15	83533	SLUZBY	\N	\N
999896	3413	1997-05-31	VYDAJ	VYBER	15	83762	SLUZBY	\N	\N
999897	3413	1997-06-30	VYDAJ	VYBER	15	65682	SLUZBY	\N	\N
999898	3413	1997-07-31	VYDAJ	VYBER	15	76651	SLUZBY	\N	\N
999899	3413	1997-08-31	VYDAJ	VYBER	15	81871	SLUZBY	\N	\N
999900	3413	1997-09-30	VYDAJ	VYBER	15	84612	SLUZBY	\N	\N
999901	3413	1997-10-31	VYDAJ	VYBER	15	88449	SLUZBY	\N	\N
999902	3413	1997-11-30	VYDAJ	VYBER	15	94306	SLUZBY	\N	\N
999903	3413	1997-12-31	VYDAJ	VYBER	15	100634	SLUZBY	\N	\N
999904	3413	1998-01-31	VYDAJ	VYBER	15	106141	SLUZBY	\N	\N
999905	3413	1998-02-28	VYDAJ	VYBER	15	106762	SLUZBY	\N	\N
999906	3413	1998-03-31	VYDAJ	VYBER	15	89992	SLUZBY	\N	\N
999907	3413	1998-04-30	VYDAJ	VYBER	15	101966	SLUZBY	\N	\N
999908	3413	1998-05-31	VYDAJ	VYBER	15	107679	SLUZBY	\N	\N
999909	3413	1998-06-30	VYDAJ	VYBER	15	101489	SLUZBY	\N	\N
999910	3413	1998-07-31	VYDAJ	VYBER	15	105296	SLUZBY	\N	\N
999911	3413	1998-08-31	VYDAJ	VYBER	15	103648	SLUZBY	\N	\N
999912	3413	1998-09-30	VYDAJ	VYBER	15	104611	SLUZBY	\N	\N
999913	3413	1998-10-31	VYDAJ	VYBER	15	109214	SLUZBY	\N	\N
999914	3413	1998-11-30	VYDAJ	VYBER	15	94998	SLUZBY	\N	\N
999915	3413	1993-08-12	PRIJEM	VKLAD	8900	17181	\N	\N	\N
999916	3413	1993-09-11	VYDAJ	VYBER	1000	23708	\N	\N	\N
999917	3413	1993-10-11	VYDAJ	VYBER	3700	27579	\N	\N	\N
999918	3413	1993-11-10	VYDAJ	VYBER	3900	23789	\N	\N	\N
999919	3413	1993-12-10	VYDAJ	VYBER	3700	27695	\N	\N	\N
999920	3413	1994-01-09	VYDAJ	VYBER	2200	28368	\N	\N	\N
999921	3413	1994-02-08	VYDAJ	VYBER	800	30178	\N	\N	\N
999922	3413	1994-03-10	VYDAJ	VYBER	4100	28694	\N	\N	\N
999923	3413	1994-04-09	VYDAJ	VYBER	1000	30308	\N	\N	\N
999924	3413	1994-05-09	PRIJEM	VKLAD	500	26932	\N	\N	\N
999925	3413	1994-06-08	VYDAJ	VYBER	1800	27735	\N	\N	\N
999926	3413	1994-07-08	VYDAJ	VYBER	1100	33240	\N	\N	\N
999927	3413	1994-08-07	VYDAJ	VYBER	2800	33207	\N	\N	\N
999928	3413	1994-09-06	VYDAJ	VYBER	1900	30695	\N	\N	\N
999929	3413	1994-10-06	VYDAJ	VYBER	2800	30511	\N	\N	\N
999930	3413	1994-11-05	PRIJEM	VKLAD	500	33627	\N	\N	\N
999931	3413	1994-12-05	VYDAJ	VYBER	4300	31953	\N	\N	\N
999932	3413	1995-01-04	VYDAJ	VYBER	2000	32474	\N	\N	\N
999933	3413	1995-02-03	PRIJEM	VKLAD	600	35697	\N	\N	\N
999934	3413	1995-03-05	VYDAJ	VYBER	700	37632	\N	\N	\N
999935	3413	1995-04-04	VYDAJ	VYBER	3700	36575	\N	\N	\N
999936	3413	1995-05-04	VYDAJ	VYBER	500	38717	\N	\N	\N
999937	3413	1995-06-03	PRIJEM	VKLAD	300	41665	\N	\N	\N
999938	3413	1995-07-03	PRIJEM	VKLAD	4600	32504	\N	\N	\N
999939	3413	1995-08-02	PRIJEM	VKLAD	1800	36923	\N	\N	\N
999940	3413	1995-09-01	VYDAJ	VYBER	2200	37362	\N	\N	\N
999941	3413	1995-10-01	PRIJEM	VKLAD	700	40705	\N	\N	\N
999942	3413	1995-10-31	PRIJEM	VKLAD	1000	41439	\N	\N	\N
999943	3413	1995-11-30	PRIJEM	VKLAD	4600	39452	\N	\N	\N
999944	3413	1995-12-30	PRIJEM	VKLAD	5800	46720	\N	\N	\N
999945	3413	1996-01-29	PRIJEM	VKLAD	4200	53576	\N	\N	\N
999946	3413	1996-02-28	VYDAJ	VYBER	2000	54259	\N	\N	\N
999947	3413	1996-03-29	VYDAJ	VYBER	2400	52408	\N	\N	\N
999948	3413	1996-04-28	VYDAJ	VYBER	500	52095	\N	\N	\N
999949	3413	1996-05-28	PRIJEM	VKLAD	3100	52254	\N	\N	\N
999950	3413	1996-06-27	PRIJEM	VKLAD	19000	41836	\N	\N	\N
999951	3413	1996-07-27	PRIJEM	VKLAD	9300	51036	\N	\N	\N
999952	3413	1996-08-26	PRIJEM	VKLAD	7500	58074	\N	\N	\N
999953	3413	1996-09-25	PRIJEM	VKLAD	3000	63767	\N	\N	\N
999954	3413	1996-10-25	PRIJEM	VKLAD	2000	68498	\N	\N	\N
999955	3413	1996-11-24	VYDAJ	VYBER	700	68512	\N	\N	\N
999956	3413	1996-12-24	PRIJEM	VKLAD	1400	76419	\N	\N	\N
999957	3413	1997-01-23	PRIJEM	VKLAD	2600	79643	\N	\N	\N
999958	3413	1997-02-22	PRIJEM	VKLAD	1000	78399	\N	\N	\N
999959	3413	1997-03-24	VYDAJ	VYBER	1500	79697	\N	\N	\N
999960	3413	1997-04-23	PRIJEM	VKLAD	700	83208	\N	\N	\N
999961	3413	1997-05-23	VYDAJ	VYBER	2600	83427	\N	\N	\N
999962	3413	1997-06-22	PRIJEM	VKLAD	19600	65437	\N	\N	\N
999963	3413	1997-07-22	PRIJEM	VKLAD	8200	76376	\N	\N	\N
999964	3413	1997-08-21	PRIJEM	VKLAD	7700	81565	\N	\N	\N
999965	3413	1997-09-20	PRIJEM	VKLAD	6400	87285	\N	\N	\N
999966	3413	1997-10-20	PRIJEM	VKLAD	1000	88106	\N	\N	\N
999967	3413	1997-11-19	PRIJEM	VKLAD	3000	93943	\N	\N	\N
999968	3413	1997-12-19	VYDAJ	VYBER	300	100241	\N	\N	\N
999969	3413	1998-01-18	PRIJEM	VKLAD	2600	105728	\N	\N	\N
999970	3413	1998-02-17	VYDAJ	VYBER	2300	106335	\N	\N	\N
999971	3413	1998-03-11	VYDAJ	VYBER	38300	73995	\N	\N	\N
999972	3413	1998-03-19	PRIJEM	VKLAD	20000	89636	\N	\N	\N
999973	3413	1998-04-18	PRIJEM	VKLAD	9100	101586	\N	\N	\N
999974	3413	1998-05-18	PRIJEM	VKLAD	2800	107260	\N	\N	\N
999975	3413	1998-06-17	PRIJEM	VKLAD	8500	102894	\N	\N	\N
999976	3413	1998-07-17	PRIJEM	VKLAD	900	104883	\N	\N	\N
999977	3413	1998-09-15	PRIJEM	VKLAD	4300	104202	\N	\N	\N
999978	3413	1998-10-15	PRIJEM	VKLAD	7200	114305	\N	\N	\N
999979	3413	1998-11-12	VYDAJ	VYBER	41400	70308	\N	\N	\N
999980	3413	1998-11-14	PRIJEM	VKLAD	24300	94608	\N	\N	\N
1000564	3415	1997-12-06	PRIJEM	VKLAD	700	700	\N	\N	\N
1000577	3415	1998-01-05	PRIJEM	VKLAD	6268	6968	\N	\N	\N
1000578	3415	1998-02-05	PRIJEM	VKLAD	6268	31061	\N	\N	\N
1000579	3415	1998-03-05	PRIJEM	VKLAD	6268	37445	\N	\N	\N
1000580	3415	1998-04-05	PRIJEM	VKLAD	6268	41155	\N	\N	\N
1000581	3415	1998-05-05	PRIJEM	VKLAD	6268	42673	\N	\N	\N
1000582	3415	1998-06-05	PRIJEM	VKLAD	9402	33838	\N	\N	\N
1000583	3415	1998-07-05	PRIJEM	VKLAD	6268	37353	\N	\N	\N
1000584	3415	1998-08-05	PRIJEM	VKLAD	6268	40180	\N	\N	\N
1000585	3415	1998-09-05	PRIJEM	VKLAD	6268	35698	\N	\N	\N
1000586	3415	1998-10-05	PRIJEM	VKLAD	6268	31602	\N	\N	\N
1000587	3415	1998-11-05	PRIJEM	VKLAD	6268	33991	\N	\N	\N
1000588	3415	1998-12-05	PRIJEM	VKLAD	9402	41738	\N	\N	\N
1000605	3415	1998-05-05	VYDAJ	PREVOD NA UCET	4178	36195	SIPO	QR	59051889
1000606	3415	1998-06-05	VYDAJ	PREVOD NA UCET	4178	29660	SIPO	QR	59051889
1000607	3415	1998-07-05	VYDAJ	PREVOD NA UCET	4178	33175	SIPO	QR	59051889
1000608	3415	1998-08-05	VYDAJ	PREVOD NA UCET	4178	36002	SIPO	QR	59051889
1000609	3415	1998-09-05	VYDAJ	PREVOD NA UCET	4178	31520	SIPO	QR	59051889
1000610	3415	1998-10-05	VYDAJ	PREVOD NA UCET	4178	27424	SIPO	QR	59051889
1000611	3415	1998-11-05	VYDAJ	PREVOD NA UCET	4178	29813	SIPO	QR	59051889
1000612	3415	1998-12-05	VYDAJ	PREVOD NA UCET	4178	37560	SIPO	QR	59051889
1000614	3415	1998-06-02	VYDAJ	VYBER	20300	14136	\N	\N	\N
1000618	3415	1998-12-15	VYDAJ	VYBER	2200	28460	\N	\N	\N
1000635	3415	1998-08-23	VYDAJ	VYBER	4600	31402	\N	\N	\N
1000636	3415	1998-09-19	VYDAJ	VYBER	1300	30220	\N	\N	\N
1000637	3415	1998-12-06	VYDAJ	VYBER	4100	33460	\N	\N	\N
1000638	3415	1998-05-15	VYDAJ	VYBER	1900	34295	\N	\N	\N
1000639	3415	1998-09-19	VYDAJ	VYBER	4700	25520	\N	\N	\N
1000640	3415	1998-12-13	VYDAJ	VYBER	2800	30660	\N	\N	\N
1000658	3415	1998-05-31	VYDAJ	VYBER	15	34436	SLUZBY	\N	\N
1000659	3415	1998-06-30	VYDAJ	VYBER	15	29785	SLUZBY	\N	\N
1000660	3415	1998-07-31	VYDAJ	VYBER	15	33312	SLUZBY	\N	\N
1000661	3415	1998-08-31	VYDAJ	VYBER	15	31530	SLUZBY	\N	\N
1000662	3415	1998-09-30	VYDAJ	VYBER	15	25634	SLUZBY	\N	\N
1000663	3415	1998-10-31	VYDAJ	VYBER	15	27523	SLUZBY	\N	\N
1000664	3415	1998-11-30	VYDAJ	VYBER	15	29936	SLUZBY	\N	\N
1000665	3415	1998-01-05	PRIJEM	VKLAD	10500	17468	\N	\N	\N
1000666	3415	1998-02-04	PRIJEM	VKLAD	7300	24793	\N	\N	\N
1000667	3415	1998-03-06	VYDAJ	VYBER	2700	34745	\N	\N	\N
1000668	3415	1998-04-05	VYDAJ	VYBER	4900	36255	\N	\N	\N
1000669	3415	1998-05-05	VYDAJ	VYBER	2300	40373	\N	\N	\N
1000670	3415	1998-06-04	PRIJEM	VKLAD	10300	24436	\N	\N	\N
1000671	3415	1998-07-04	PRIJEM	VKLAD	1300	31085	\N	\N	\N
1000672	3415	1998-08-03	PRIJEM	VKLAD	600	33912	\N	\N	\N
1000673	3415	1998-09-02	VYDAJ	VYBER	2100	29430	\N	\N	\N
1000674	3415	1998-10-02	VYDAJ	VYBER	300	25334	\N	\N	\N
1000675	3415	1998-11-01	PRIJEM	VKLAD	200	27723	\N	\N	\N
1000676	3415	1998-12-01	PRIJEM	VKLAD	2400	32336	\N	\N	\N
1001013	3417	1995-09-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1001016	3417	1996-03-19	PRIJEM	VKLAD	39366	65622	\N	\N	\N
1001017	3417	1996-10-06	PRIJEM	VKLAD	12753	32793	\N	\N	\N
1001018	3417	1997-04-12	PRIJEM	VKLAD	37803	53921	\N	\N	\N
1001019	3417	1997-08-19	PRIJEM	VKLAD	28429	49503	\N	\N	\N
1001020	3417	1998-09-29	PRIJEM	VKLAD	14569	58567	\N	\N	\N
1001021	3417	1998-08-05	PRIJEM	VKLAD	20437	40278	\N	\N	\N
1001031	3417	1995-10-13	PRIJEM	VKLAD	800	1900	\N	\N	\N
1001032	3417	1995-11-17	PRIJEM	VKLAD	800	14311	\N	\N	\N
1001033	3417	1995-12-14	PRIJEM	VKLAD	800	23675	\N	\N	\N
1001034	3417	1996-01-13	PRIJEM	VKLAD	800	17511	\N	\N	\N
1001035	3417	1996-02-16	PRIJEM	VKLAD	800	19886	\N	\N	\N
1001036	3417	1996-03-15	PRIJEM	VKLAD	800	25256	\N	\N	\N
1001037	3417	1996-04-17	PRIJEM	VKLAD	800	50369	\N	\N	\N
1001038	3417	1996-05-14	PRIJEM	VKLAD	800	39703	\N	\N	\N
1001039	3417	1996-06-17	PRIJEM	VKLAD	800	32546	\N	\N	\N
1001040	3417	1996-07-13	PRIJEM	VKLAD	800	19760	\N	\N	\N
1001041	3417	1996-08-16	PRIJEM	VKLAD	800	22529	\N	\N	\N
1001042	3417	1996-09-17	PRIJEM	VKLAD	800	25109	\N	\N	\N
1001043	3417	1996-10-17	PRIJEM	VKLAD	800	33593	\N	\N	\N
1001044	3417	1996-11-17	PRIJEM	VKLAD	800	28132	\N	\N	\N
1001045	3417	1996-12-14	PRIJEM	VKLAD	800	24927	\N	\N	\N
1001046	3417	1997-01-15	PRIJEM	VKLAD	800	19658	\N	\N	\N
1001047	3417	1997-02-15	PRIJEM	VKLAD	800	14621	\N	\N	\N
1001048	3417	1997-03-14	PRIJEM	VKLAD	800	16466	\N	\N	\N
1001049	3417	1997-04-17	PRIJEM	VKLAD	800	54721	\N	\N	\N
1001050	3417	1997-05-17	PRIJEM	VKLAD	800	33868	\N	\N	\N
1001051	3417	1997-06-17	PRIJEM	VKLAD	800	22533	\N	\N	\N
1001052	3417	1997-07-17	PRIJEM	VKLAD	800	20012	\N	\N	\N
1001053	3417	1997-08-16	PRIJEM	VKLAD	800	18574	\N	\N	\N
1001054	3417	1997-09-17	PRIJEM	VKLAD	800	50418	\N	\N	\N
1001055	3417	1997-10-16	PRIJEM	VKLAD	800	34782	\N	\N	\N
1001056	3417	1997-11-13	PRIJEM	VKLAD	800	26191	\N	\N	\N
1001057	3417	1997-12-15	PRIJEM	VKLAD	800	21772	\N	\N	\N
1001058	3417	1998-01-17	PRIJEM	VKLAD	800	15030	\N	\N	\N
1001059	3417	1998-02-16	PRIJEM	VKLAD	800	15228	\N	\N	\N
1001060	3417	1998-03-17	PRIJEM	VKLAD	800	15924	\N	\N	\N
1001061	3417	1998-04-17	PRIJEM	VKLAD	800	15125	\N	\N	\N
1001062	3417	1998-05-15	PRIJEM	VKLAD	800	15823	\N	\N	\N
1001063	3417	1998-06-16	PRIJEM	VKLAD	800	16923	\N	\N	\N
1001064	3417	1998-07-15	PRIJEM	VKLAD	800	18778	\N	\N	\N
1001065	3417	1998-08-14	PRIJEM	VKLAD	800	41078	\N	\N	\N
1001066	3417	1998-09-13	PRIJEM	VKLAD	800	42998	\N	\N	\N
1001067	3417	1998-10-13	PRIJEM	VKLAD	800	19635	\N	\N	\N
1001068	3417	1998-11-13	PRIJEM	VKLAD	800	18911	\N	\N	\N
1001069	3417	1998-12-15	PRIJEM	VKLAD	800	20074	\N	\N	\N
1001079	3417	1995-10-18	PRIJEM	VKLAD	1000	2900	\N	\N	\N
1001080	3417	1995-11-18	PRIJEM	VKLAD	1000	15311	\N	\N	\N
1001081	3417	1995-12-18	PRIJEM	VKLAD	1000	24675	\N	\N	\N
1001082	3417	1996-01-18	PRIJEM	VKLAD	1000	17661	\N	\N	\N
1001083	3417	1996-02-18	PRIJEM	VKLAD	1000	20886	\N	\N	\N
1001084	3417	1996-03-18	PRIJEM	VKLAD	1000	26256	\N	\N	\N
1001085	3417	1996-04-18	PRIJEM	VKLAD	1000	51369	\N	\N	\N
1001086	3417	1996-05-18	PRIJEM	VKLAD	1000	40703	\N	\N	\N
1001087	3417	1996-06-18	PRIJEM	VKLAD	1000	33546	\N	\N	\N
1001088	3417	1996-07-18	PRIJEM	VKLAD	1000	20760	\N	\N	\N
1001089	3417	1996-08-18	PRIJEM	VKLAD	1000	23529	\N	\N	\N
1001090	3417	1996-09-18	PRIJEM	VKLAD	1000	26109	\N	\N	\N
1001091	3417	1996-10-18	PRIJEM	VKLAD	1000	34593	\N	\N	\N
1001092	3417	1996-11-18	PRIJEM	VKLAD	1000	29132	\N	\N	\N
1001093	3417	1996-12-18	PRIJEM	VKLAD	1000	25927	\N	\N	\N
1001094	3417	1997-01-18	PRIJEM	VKLAD	1000	19508	\N	\N	\N
1001095	3417	1997-02-18	PRIJEM	VKLAD	1000	15621	\N	\N	\N
1001096	3417	1997-03-18	PRIJEM	VKLAD	1000	17466	\N	\N	\N
1001097	3417	1997-04-18	PRIJEM	VKLAD	1000	55721	\N	\N	\N
1001098	3417	1997-05-18	PRIJEM	VKLAD	1000	34868	\N	\N	\N
1001099	3417	1997-06-18	PRIJEM	VKLAD	1000	23533	\N	\N	\N
1001100	3417	1997-07-18	PRIJEM	VKLAD	1000	21012	\N	\N	\N
1001101	3417	1997-08-18	PRIJEM	VKLAD	1000	19574	\N	\N	\N
1001102	3417	1997-09-18	PRIJEM	VKLAD	1000	33818	\N	\N	\N
1001103	3417	1997-10-18	PRIJEM	VKLAD	1000	25282	\N	\N	\N
1001104	3417	1997-11-18	PRIJEM	VKLAD	1000	20891	\N	\N	\N
1001105	3417	1997-12-18	PRIJEM	VKLAD	1000	14772	\N	\N	\N
1001106	3417	1998-01-18	PRIJEM	VKLAD	1000	16030	\N	\N	\N
1001107	3417	1998-02-18	PRIJEM	VKLAD	1000	16228	\N	\N	\N
1001108	3417	1998-03-18	PRIJEM	VKLAD	1000	16924	\N	\N	\N
1001109	3417	1998-04-18	PRIJEM	VKLAD	1000	16125	\N	\N	\N
1001110	3417	1998-05-18	PRIJEM	VKLAD	1000	16823	\N	\N	\N
1001111	3417	1998-06-18	PRIJEM	VKLAD	1000	17923	\N	\N	\N
1001112	3417	1998-07-18	PRIJEM	VKLAD	1000	19778	\N	\N	\N
1001113	3417	1998-08-18	PRIJEM	VKLAD	1000	42078	\N	\N	\N
1001114	3417	1998-09-18	PRIJEM	VKLAD	1000	43998	\N	\N	\N
1001115	3417	1998-10-18	PRIJEM	VKLAD	1000	20635	\N	\N	\N
1001116	3417	1998-11-18	PRIJEM	VKLAD	1000	19911	\N	\N	\N
1001117	3417	1998-12-18	PRIJEM	VKLAD	1000	21074	\N	\N	\N
1001123	3417	1996-01-11	VYDAJ	VYBER	9100	16711	\N	\N	\N
1001127	3417	1996-06-28	VYDAJ	VYBER	9600	18846	\N	\N	\N
1001128	3417	1997-06-08	VYDAJ	VYBER	3200	21733	\N	\N	\N
1001131	3417	1996-01-30	VYDAJ	VYBER	1500	19011	\N	\N	\N
1001135	3417	1996-12-25	VYDAJ	VYBER	1000	19827	\N	\N	\N
1001137	3417	1998-12-06	VYDAJ	VYBER	700	19274	\N	\N	\N
1001144	3417	1996-01-08	VYDAJ	VYBER	1300	27061	\N	\N	\N
1001145	3417	1996-01-30	VYDAJ	VYBER	400	20511	\N	\N	\N
1001146	3417	1996-01-28	VYDAJ	VYBER	1450	20911	\N	\N	\N
1001147	3417	1996-01-09	VYDAJ	VYBER	400	25811	\N	\N	\N
1001148	3417	1996-01-15	VYDAJ	VYBER	850	16661	\N	\N	\N
1001149	3417	1996-01-08	VYDAJ	VYBER	850	26211	\N	\N	\N
1001150	3417	1997-01-17	VYDAJ	VYBER	1150	18508	\N	\N	\N
1001151	3417	1997-01-28	VYDAJ	VYBER	1450	14858	\N	\N	\N
1001152	3417	1997-01-08	VYDAJ	VYBER	1050	18858	\N	\N	\N
1001153	3417	1997-01-26	VYDAJ	VYBER	1300	17208	\N	\N	\N
1001154	3417	1997-01-28	VYDAJ	VYBER	1100	13758	\N	\N	\N
1001155	3417	1997-01-27	VYDAJ	VYBER	900	16308	\N	\N	\N
1001156	3417	1998-01-06	VYDAJ	VYBER	600	14230	\N	\N	\N
1001159	3417	1998-01-26	VYDAJ	VYBER	800	15230	\N	\N	\N
1001161	3417	1998-01-26	VYDAJ	VYBER	850	14380	\N	\N	\N
1001168	3417	1996-06-01	VYDAJ	VYBER	1000	31746	\N	\N	\N
1001169	3417	1996-07-22	VYDAJ	VYBER	500	20260	\N	\N	\N
1001170	3417	1996-10-22	VYDAJ	VYBER	2250	27743	\N	\N	\N
1001171	3417	1996-09-19	VYDAJ	VYBER	1450	24659	\N	\N	\N
1001172	3417	1996-10-29	VYDAJ	VYBER	500	27243	\N	\N	\N
1001173	3417	1996-04-21	VYDAJ	VYBER	1350	50019	\N	\N	\N
1001174	3417	1997-05-13	VYDAJ	VYBER	1850	33068	\N	\N	\N
1001176	3417	1997-05-27	VYDAJ	VYBER	550	24818	\N	\N	\N
1001177	3417	1998-04-01	VYDAJ	VYBER	2100	14875	\N	\N	\N
1001178	3417	1998-04-19	VYDAJ	VYBER	1150	14975	\N	\N	\N
1001179	3417	1998-05-27	VYDAJ	VYBER	750	16073	\N	\N	\N
1001180	3417	1998-02-21	VYDAJ	VYBER	1150	15078	\N	\N	\N
1001181	3417	1998-04-06	VYDAJ	VYBER	550	14325	\N	\N	\N
1001183	3417	1998-10-20	VYDAJ	VYBER	300	17985	\N	\N	\N
1001184	3417	1998-10-18	VYDAJ	VYBER	2350	18285	\N	\N	\N
1001197	3417	1995-12-31	VYDAJ	VYBER	15	28361	SLUZBY	\N	\N
1001198	3417	1996-01-31	VYDAJ	VYBER	15	19086	SLUZBY	\N	\N
1001199	3417	1996-02-29	VYDAJ	VYBER	15	24456	SLUZBY	\N	\N
1001200	3417	1996-03-31	VYDAJ	VYBER	15	49569	SLUZBY	\N	\N
1001201	3417	1996-04-30	VYDAJ	VYBER	15	38903	SLUZBY	\N	\N
1001202	3417	1996-05-31	VYDAJ	VYBER	15	32746	SLUZBY	\N	\N
1001203	3417	1996-06-30	VYDAJ	VYBER	15	18960	SLUZBY	\N	\N
1001204	3417	1996-07-31	VYDAJ	VYBER	15	21729	SLUZBY	\N	\N
1001205	3417	1996-08-31	VYDAJ	VYBER	15	24309	SLUZBY	\N	\N
1001206	3417	1996-09-30	VYDAJ	VYBER	15	20040	SLUZBY	\N	\N
1001207	3417	1996-10-31	VYDAJ	VYBER	15	27332	SLUZBY	\N	\N
1001208	3417	1996-11-30	VYDAJ	VYBER	15	24127	SLUZBY	\N	\N
1001209	3417	1996-12-31	VYDAJ	VYBER	15	19908	SLUZBY	\N	\N
1001210	3417	1997-01-31	VYDAJ	VYBER	15	13821	SLUZBY	\N	\N
1001211	3417	1997-02-28	VYDAJ	VYBER	15	15666	SLUZBY	\N	\N
1001212	3417	1997-03-31	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
1001213	3417	1997-04-30	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
1001214	3417	1997-05-31	VYDAJ	VYBER	15	24933	SLUZBY	\N	\N
1001215	3417	1997-06-30	VYDAJ	VYBER	15	19212	SLUZBY	\N	\N
1001216	3417	1997-07-31	VYDAJ	VYBER	15	17774	SLUZBY	\N	\N
1001217	3417	1997-08-31	VYDAJ	VYBER	15	49618	SLUZBY	\N	\N
1001218	3417	1997-09-30	VYDAJ	VYBER	15	33982	SLUZBY	\N	\N
1001219	3417	1997-10-31	VYDAJ	VYBER	15	25391	SLUZBY	\N	\N
1001220	3417	1997-11-30	VYDAJ	VYBER	15	20972	SLUZBY	\N	\N
1001221	3417	1997-12-31	VYDAJ	VYBER	15	14830	SLUZBY	\N	\N
1001222	3417	1998-01-31	VYDAJ	VYBER	15	14428	SLUZBY	\N	\N
1001223	3417	1998-02-28	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
1001224	3417	1998-03-31	VYDAJ	VYBER	15	16975	SLUZBY	\N	\N
1001225	3417	1998-04-30	VYDAJ	VYBER	15	15023	SLUZBY	\N	\N
1001226	3417	1998-05-31	VYDAJ	VYBER	15	16123	SLUZBY	\N	\N
1001227	3417	1998-06-30	VYDAJ	VYBER	15	17978	SLUZBY	\N	\N
1001228	3417	1998-07-31	VYDAJ	VYBER	15	19841	SLUZBY	\N	\N
1001229	3417	1998-08-31	VYDAJ	VYBER	15	42198	SLUZBY	\N	\N
1001230	3417	1998-09-30	VYDAJ	VYBER	15	58735	SLUZBY	\N	\N
1001231	3417	1998-10-31	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
1001232	3417	1998-11-30	VYDAJ	VYBER	15	19974	SLUZBY	\N	\N
1001233	3417	1995-10-28	PRIJEM	VKLAD	10600	13500	\N	\N	\N
1001234	3417	1995-11-27	PRIJEM	VKLAD	7500	22811	\N	\N	\N
1001235	3417	1995-12-27	PRIJEM	VKLAD	3600	28275	\N	\N	\N
1001236	3417	1996-01-26	PRIJEM	VKLAD	4700	22361	\N	\N	\N
1001237	3417	1996-02-25	PRIJEM	VKLAD	3500	24386	\N	\N	\N
1001238	3417	1996-03-26	VYDAJ	VYBER	16200	49422	\N	\N	\N
1001239	3417	1996-04-25	VYDAJ	VYBER	11300	38719	\N	\N	\N
1001240	3417	1996-05-25	VYDAJ	VYBER	8100	32603	\N	\N	\N
1001241	3417	1996-06-24	VYDAJ	VYBER	5100	28446	\N	\N	\N
1001242	3417	1996-07-24	PRIJEM	VKLAD	1400	21660	\N	\N	\N
1001243	3417	1996-08-23	PRIJEM	VKLAD	700	24229	\N	\N	\N
1001244	3417	1996-09-22	VYDAJ	VYBER	4700	19959	\N	\N	\N
1001245	3417	1996-10-22	VYDAJ	VYBER	4600	29993	\N	\N	\N
1001246	3417	1996-11-21	VYDAJ	VYBER	5100	24032	\N	\N	\N
1001247	3417	1996-12-21	VYDAJ	VYBER	5100	20827	\N	\N	\N
1001248	3417	1997-01-20	VYDAJ	VYBER	1000	18508	\N	\N	\N
1001249	3417	1997-03-21	VYDAJ	VYBER	1400	16066	\N	\N	\N
1001250	3417	1997-04-20	VYDAJ	VYBER	20900	34821	\N	\N	\N
1001251	3417	1997-05-20	VYDAJ	VYBER	9500	25368	\N	\N	\N
1001252	3417	1997-06-19	VYDAJ	VYBER	4400	19133	\N	\N	\N
1001253	3417	1997-07-19	VYDAJ	VYBER	3300	17712	\N	\N	\N
1001254	3417	1997-08-18	PRIJEM	VKLAD	1500	21074	\N	\N	\N
1001255	3417	1997-09-17	VYDAJ	VYBER	17600	32818	\N	\N	\N
1001256	3417	1997-10-17	VYDAJ	VYBER	10500	24282	\N	\N	\N
1001257	3417	1997-11-16	VYDAJ	VYBER	6300	19891	\N	\N	\N
1001258	3417	1997-12-16	VYDAJ	VYBER	8000	13772	\N	\N	\N
1001259	3417	1998-10-12	VYDAJ	VYBER	39900	18835	\N	\N	\N
1001299	3418	1996-09-02	PRIJEM	VKLAD	400	400	\N	\N	\N
1001303	3418	1996-11-18	PRIJEM	VKLAD	9884	64170	\N	\N	\N
1001304	3418	1996-12-22	PRIJEM	VKLAD	21099	99642	\N	\N	\N
1001305	3418	1996-11-17	PRIJEM	VKLAD	35086	54286	\N	\N	\N
1001306	3418	1996-12-08	PRIJEM	VKLAD	30850	78543	\N	\N	\N
1001308	3418	1997-09-02	PRIJEM	VKLAD	8351	73095	\N	\N	\N
1001309	3418	1997-05-21	PRIJEM	VKLAD	27110	97490	\N	\N	\N
1001310	3418	1997-07-18	PRIJEM	VKLAD	8656	61439	\N	\N	\N
1001311	3418	1997-02-10	PRIJEM	VKLAD	24515	47983	\N	\N	\N
1001312	3418	1997-10-13	PRIJEM	VKLAD	27243	66470	\N	\N	\N
1001313	3418	1997-08-01	PRIJEM	VKLAD	29310	85731	\N	\N	\N
1001314	3418	1997-01-08	PRIJEM	VKLAD	48009	113789	\N	\N	\N
1001315	3418	1997-08-25	PRIJEM	VKLAD	14691	95748	\N	\N	\N
1001316	3418	1997-01-10	PRIJEM	VKLAD	37844	104633	\N	\N	\N
1001317	3418	1997-05-13	PRIJEM	VKLAD	25794	73680	\N	\N	\N
1001318	3418	1997-05-29	PRIJEM	VKLAD	26083	123573	\N	\N	\N
1001319	3418	1997-04-25	PRIJEM	VKLAD	39770	93927	\N	\N	\N
1001320	3418	1997-07-25	PRIJEM	VKLAD	15214	76653	\N	\N	\N
1001321	3418	1997-03-12	PRIJEM	VKLAD	17114	80982	\N	\N	\N
1001322	3418	1997-11-17	PRIJEM	VKLAD	37824	48168	\N	\N	\N
1001323	3418	1997-08-21	PRIJEM	VKLAD	9244	81057	\N	\N	\N
1001324	3418	1997-03-13	PRIJEM	VKLAD	44806	121588	\N	\N	\N
1001325	3418	1997-04-20	PRIJEM	VKLAD	7332	54157	\N	\N	\N
1001326	3418	1997-06-30	PRIJEM	VKLAD	29814	66672	\N	\N	\N
1001327	3418	1997-03-04	PRIJEM	VKLAD	27375	63868	\N	\N	\N
1001328	3418	1998-06-24	PRIJEM	VKLAD	44162	111555	\N	\N	\N
1001329	3418	1998-12-13	PRIJEM	VKLAD	12955	27271	\N	\N	\N
1001330	3418	1998-02-16	PRIJEM	VKLAD	36951	50103	\N	\N	\N
1001331	3418	1998-07-17	PRIJEM	VKLAD	49153	95045	\N	\N	\N
1001332	3418	1998-04-18	PRIJEM	VKLAD	12604	21236	\N	\N	\N
1001333	3418	1998-08-24	PRIJEM	VKLAD	8825	30243	\N	\N	\N
1001334	3418	1998-06-15	PRIJEM	VKLAD	43777	58432	\N	\N	\N
1001335	3418	1998-02-08	PRIJEM	VKLAD	11494	17470	\N	\N	\N
1001336	3418	1998-10-29	PRIJEM	VKLAD	41802	91362	\N	\N	\N
1001337	3418	1998-07-24	PRIJEM	VKLAD	29773	124818	\N	\N	\N
1001338	3418	1998-10-13	PRIJEM	VKLAD	35828	123160	\N	\N	\N
1001339	3418	1998-12-15	PRIJEM	VKLAD	16633	43904	\N	\N	\N
1001340	3418	1998-06-24	PRIJEM	VKLAD	13212	67393	\N	\N	\N
1001341	3418	1998-04-27	PRIJEM	VKLAD	43916	54852	\N	\N	\N
1001342	3418	1998-09-28	PRIJEM	VKLAD	41161	53249	\N	\N	\N
1001343	3418	1998-10-04	PRIJEM	VKLAD	47101	91650	\N	\N	\N
1001356	3418	1997-01-16	VYDAJ	VYBER	3700	44065	\N	\N	0
1001357	3418	1997-02-25	VYDAJ	VYBER	3200	44783	\N	\N	0
1001358	3418	1997-03-14	VYDAJ	VYBER	4000	70473	\N	\N	0
1001359	3418	1997-04-08	VYDAJ	VYBER	2500	46825	\N	\N	0
1001360	3418	1997-05-18	VYDAJ	VYBER	3300	70380	\N	\N	0
1001361	3418	1997-06-12	VYDAJ	PREVOD NA UCET	4318	41864	UVER	ST	23146361
1001362	3418	1997-07-12	VYDAJ	PREVOD NA UCET	4318	62254	UVER	ST	23146361
1001363	3418	1997-08-12	VYDAJ	PREVOD NA UCET	4318	81413	UVER	ST	23146361
1001364	3418	1997-09-12	VYDAJ	PREVOD NA UCET	4318	68777	UVER	ST	23146361
1001365	3418	1997-10-12	VYDAJ	PREVOD NA UCET	4318	39227	UVER	ST	23146361
1001366	3418	1997-11-12	VYDAJ	PREVOD NA UCET	4318	33442	UVER	ST	23146361
1001367	3418	1997-12-12	VYDAJ	PREVOD NA UCET	4318	35712	UVER	ST	23146361
1001368	3418	1998-01-12	VYDAJ	PREVOD NA UCET	4318	10725	UVER	ST	23146361
1001369	3418	1998-02-12	VYDAJ	PREVOD NA UCET	4318	13152	UVER	ST	23146361
1001370	3418	1998-03-12	VYDAJ	PREVOD NA UCET	4318	26597	UVER	ST	23146361
1001371	3418	1998-04-12	VYDAJ	PREVOD NA UCET	4318	8632	UVER	ST	23146361
1001372	3418	1998-05-12	VYDAJ	PREVOD NA UCET	4318	28950	UVER	ST	23146361
1001373	3418	1998-06-12	VYDAJ	PREVOD NA UCET	4318	14655	UVER	ST	23146361
1001374	3418	1998-07-12	VYDAJ	PREVOD NA UCET	4318	45892	UVER	ST	23146361
1001375	3418	1998-08-12	VYDAJ	PREVOD NA UCET	4318	42818	UVER	ST	23146361
1001376	3418	1998-09-12	VYDAJ	PREVOD NA UCET	4318	19688	UVER	ST	23146361
1001377	3418	1998-10-12	VYDAJ	PREVOD NA UCET	4318	87332	UVER	ST	23146361
1001378	3418	1998-11-12	VYDAJ	PREVOD NA UCET	4318	87306	UVER	ST	23146361
1001379	3418	1998-12-12	VYDAJ	PREVOD NA UCET	4318	14316	UVER	ST	23146361
1001382	3418	1997-05-04	VYBER	VYBER	16883	47886	\N	\N	\N
1001383	3418	1997-10-19	VYBER	VYBER	21308	45162	\N	\N	\N
1001384	3418	1997-01-10	VYBER	VYBER	24168	80465	\N	\N	\N
1001385	3418	1997-03-13	VYBER	VYBER	4715	116873	\N	\N	\N
1001386	3418	1997-07-15	VYBER	VYBER	9471	52783	\N	\N	\N
1001387	3418	1997-03-28	VYBER	VYBER	3228	67245	\N	\N	\N
1001388	3418	1997-11-14	VYBER	VYBER	23098	10344	\N	\N	\N
1001389	3418	1998-02-22	VYBER	VYBER	3286	46817	\N	\N	\N
1001390	3418	1998-01-27	VYBER	VYBER	10911	6014	\N	\N	\N
1001391	3418	1998-11-20	VYBER	VYBER	24174	50955	\N	\N	\N
1001395	3418	1998-03-23	VYBER	VYBER	10454	16143	\N	\N	\N
1001396	3418	1998-04-27	VYBER	VYBER	21556	33296	\N	\N	\N
1001397	3418	1998-11-17	VYBER	VYBER	3127	75129	\N	\N	\N
1001398	3418	1998-08-01	VYBER	VYBER	2702	47136	\N	\N	\N
1001399	3418	1998-06-20	VYBER	VYBER	4251	54181	\N	\N	\N
1001400	3418	1998-11-16	VYBER	VYBER	9050	78256	\N	\N	\N
1001401	3418	1998-01-07	VYBER	VYBER	4521	25543	\N	\N	\N
1001407	3418	1997-01-12	VYDAJ	VYBER	27000	53465	\N	\N	\N
1001410	3418	1997-12-21	VYDAJ	VYBER	3300	32412	\N	\N	\N
1001411	3418	1998-12-03	VYDAJ	VYBER	2700	27334	\N	\N	\N
1001418	3418	1997-01-28	VYDAJ	VYBER	6900	25165	\N	\N	\N
1001419	3418	1997-01-30	VYDAJ	VYBER	4200	23365	\N	\N	\N
1001420	3418	1997-01-13	VYDAJ	VYBER	5700	47765	\N	\N	\N
1001421	3418	1997-01-08	VYDAJ	VYBER	2700	66789	\N	\N	\N
1001422	3418	1997-01-26	VYDAJ	VYBER	3600	32065	\N	\N	\N
1001423	3418	1997-01-24	VYDAJ	VYBER	2100	35665	\N	\N	\N
1001426	3418	1998-01-10	VYDAJ	VYBER	3600	15043	\N	\N	\N
1001427	3418	1998-01-10	VYDAJ	VYBER	6900	18643	\N	\N	\N
1001429	3418	1998-01-14	VYDAJ	VYBER	4500	6225	\N	\N	\N
1001434	3418	1997-03-12	VYDAJ	VYBER	4200	76782	\N	\N	\N
1001435	3418	1997-08-19	VYDAJ	VYBER	9600	71813	\N	\N	\N
1001436	3418	1997-01-18	VYDAJ	VYBER	6300	37765	\N	\N	\N
1001437	3418	1997-11-06	VYDAJ	VYBER	1800	37760	\N	\N	\N
1001438	3418	1997-09-30	VYDAJ	VYBER	6300	43645	\N	\N	\N
1001441	3418	1998-04-25	VYDAJ	VYBER	14700	10936	\N	\N	\N
1001442	3418	1998-10-02	VYDAJ	VYBER	8700	44549	\N	\N	\N
1001444	3418	1998-12-07	VYDAJ	VYBER	8700	18634	\N	\N	\N
1001445	3418	1998-08-24	VYDAJ	VYBER	6300	23943	\N	\N	\N
1001459	3418	1997-01-31	VYDAJ	VYBER	100	23468	SLUZBY	\N	\N
1001460	3418	1997-02-28	VYDAJ	VYBER	100	44793	SLUZBY	\N	\N
1001461	3418	1997-03-31	VYDAJ	VYBER	100	67425	SLUZBY	\N	\N
1001462	3418	1997-04-30	VYDAJ	VYBER	100	94069	SLUZBY	\N	\N
1001463	3418	1997-05-31	VYDAJ	VYBER	100	46182	SLUZBY	\N	\N
1001464	3418	1997-06-30	VYDAJ	VYBER	100	66572	SLUZBY	\N	\N
1001465	3418	1997-07-31	VYDAJ	VYBER	100	56421	SLUZBY	\N	\N
1001466	3418	1997-08-31	VYDAJ	VYBER	100	64744	SLUZBY	\N	\N
1001467	3418	1997-09-30	VYDAJ	VYBER	100	43545	SLUZBY	\N	\N
1001468	3418	1997-10-31	VYDAJ	VYBER	100	39560	SLUZBY	\N	\N
1001469	3418	1997-11-30	VYDAJ	VYBER	100	40030	SLUZBY	\N	\N
1001470	3418	1997-12-31	VYDAJ	VYBER	100	30064	SLUZBY	\N	\N
1001471	3418	1998-01-31	VYDAJ	VYBER	100	5976	SLUZBY	\N	\N
1001472	3418	1998-02-28	VYDAJ	VYBER	100	30915	SLUZBY	\N	\N
1001473	3418	1998-03-31	VYDAJ	VYBER	100	12950	SLUZBY	\N	\N
1001474	3418	1998-04-30	VYDAJ	VYBER	100	33268	SLUZBY	\N	\N
1001475	3418	1998-05-31	VYDAJ	VYBER	100	18973	SLUZBY	\N	\N
1001476	3418	1998-06-30	VYDAJ	VYBER	100	50210	SLUZBY	\N	\N
1001477	3418	1998-07-31	VYDAJ	VYBER	100	49838	SLUZBY	\N	\N
1001478	3418	1998-08-31	VYDAJ	VYBER	100	24006	SLUZBY	\N	\N
1001479	3418	1998-09-30	VYDAJ	VYBER	100	53249	SLUZBY	\N	\N
1001480	3418	1998-10-31	VYDAJ	VYBER	100	91624	SLUZBY	\N	\N
1001481	3418	1998-11-30	VYDAJ	VYBER	100	30034	SLUZBY	\N	\N
1001482	3418	1996-10-02	PRIJEM	VKLAD	12800	13200	\N	\N	\N
1001483	3418	1996-11-01	PRIJEM	VKLAD	6000	19200	\N	\N	\N
1001484	3418	1996-12-01	VYDAJ	VYBER	16600	47693	\N	\N	\N
1001485	3418	1996-12-31	VYDAJ	VYBER	34200	65780	\N	\N	\N
1001486	3418	1997-01-08	VYDAJ	VYBER	44300	69489	\N	\N	\N
1001487	3418	1997-01-30	PRIJEM	VKLAD	2400	27565	\N	\N	\N
1001488	3418	1997-03-01	VYDAJ	VYBER	8300	36493	\N	\N	\N
1001489	3418	1997-03-13	VYDAJ	VYBER	42400	74473	\N	\N	\N
1001490	3418	1997-03-31	VYDAJ	VYBER	18100	49325	\N	\N	\N
1001491	3418	1997-04-30	VYDAJ	VYBER	29300	64769	\N	\N	\N
1001492	3418	1997-05-29	VYDAJ	VYBER	56700	66873	\N	\N	\N
1001493	3418	1997-05-30	VYDAJ	VYBER	20900	45973	\N	\N	\N
1001494	3418	1997-06-29	VYDAJ	VYBER	5200	36664	\N	\N	\N
1001495	3418	1997-07-29	VYDAJ	VYBER	20400	56253	\N	\N	\N
1001496	3418	1997-08-28	VYDAJ	VYBER	31200	64548	\N	\N	\N
1001497	3418	1997-09-27	VYDAJ	VYBER	19100	49677	\N	\N	\N
1001498	3418	1997-10-27	VYDAJ	VYBER	5700	39462	\N	\N	\N
1001499	3418	1997-11-26	VYDAJ	VYBER	8200	39968	\N	\N	\N
1001500	3418	1997-12-26	VYDAJ	VYBER	2400	30012	\N	\N	\N
1001501	3418	1998-01-25	PRIJEM	VKLAD	10700	16925	\N	\N	\N
1001502	3418	1998-02-24	VYDAJ	VYBER	15900	30917	\N	\N	\N
1001503	3418	1998-03-26	VYDAJ	VYBER	3200	12943	\N	\N	\N
1001504	3418	1998-04-25	PRIJEM	VKLAD	4400	25636	\N	\N	\N
1001505	3418	1998-05-25	VYDAJ	VYBER	10000	18950	\N	\N	\N
1001506	3418	1998-06-24	VYDAJ	VYBER	15100	50155	\N	\N	\N
1001507	3418	1998-06-24	VYDAJ	VYBER	46300	65255	\N	\N	\N
1001508	3418	1998-07-24	VYDAJ	VYBER	25600	49618	\N	\N	\N
1001509	3418	1998-07-24	VYDAJ	VYBER	49600	75218	\N	\N	\N
1001510	3418	1998-08-23	VYDAJ	VYBER	21400	21418	\N	\N	\N
1001511	3418	1998-09-22	VYDAJ	VYBER	7600	12088	\N	\N	\N
1001512	3418	1998-10-13	VYDAJ	VYBER	30400	92760	\N	\N	\N
1001513	3418	1998-10-22	VYDAJ	VYBER	43200	49560	\N	\N	\N
1001514	3418	1998-11-21	VYDAJ	VYBER	21100	29855	\N	\N	\N
1001515	3418	1998-12-21	VYDAJ	VYBER	16500	27404	\N	\N	\N
1001544	3419	1994-10-29	PRIJEM	VKLAD	800	800	\N	\N	\N
1001555	3419	1994-11-07	PRIJEM	VKLAD	11848	12648	\N	\N	\N
1001556	3419	1994-12-07	PRIJEM	VKLAD	17772	37128	\N	\N	\N
1001557	3419	1995-01-07	PRIJEM	VKLAD	11848	42163	\N	\N	\N
1001558	3419	1995-02-07	PRIJEM	VKLAD	11848	45038	\N	\N	\N
1001559	3419	1995-03-07	PRIJEM	VKLAD	11848	44724	\N	\N	\N
1001560	3419	1995-04-07	PRIJEM	VKLAD	11848	39212	\N	\N	\N
1001561	3419	1995-05-07	PRIJEM	VKLAD	11848	37983	\N	\N	\N
1001562	3419	1995-06-07	PRIJEM	VKLAD	17772	39225	\N	\N	\N
1001563	3419	1995-07-07	PRIJEM	VKLAD	11848	26688	\N	\N	\N
1001564	3419	1995-08-07	PRIJEM	VKLAD	11848	26588	\N	\N	\N
1001565	3419	1995-09-07	PRIJEM	VKLAD	11848	28707	\N	\N	\N
1001566	3419	1995-10-07	PRIJEM	VKLAD	11848	32837	\N	\N	\N
1001567	3419	1995-11-07	PRIJEM	VKLAD	11848	33080	\N	\N	\N
1001568	3419	1995-12-07	PRIJEM	VKLAD	17772	39949	\N	\N	\N
1001569	3419	1996-01-07	PRIJEM	VKLAD	11848	22661	\N	\N	\N
1001570	3419	1996-02-07	PRIJEM	VKLAD	11848	25384	\N	\N	\N
1001571	3419	1996-03-07	PRIJEM	VKLAD	11848	26934	\N	\N	\N
1001572	3419	1996-04-07	PRIJEM	VKLAD	11848	27971	\N	\N	\N
1001573	3419	1996-05-07	PRIJEM	VKLAD	11848	28993	\N	\N	\N
1001574	3419	1996-06-07	PRIJEM	VKLAD	17772	36304	\N	\N	\N
1001575	3419	1996-07-07	PRIJEM	VKLAD	11848	28240	\N	\N	\N
1001576	3419	1996-08-07	PRIJEM	VKLAD	11848	28117	\N	\N	\N
1001577	3419	1996-09-07	PRIJEM	VKLAD	11848	28438	\N	\N	\N
1001578	3419	1996-10-07	PRIJEM	VKLAD	11848	25855	\N	\N	\N
1001579	3419	1996-11-07	PRIJEM	VKLAD	11848	30874	\N	\N	\N
1001580	3419	1996-12-07	PRIJEM	VKLAD	17772	33791	\N	\N	\N
1001581	3419	1997-01-07	PRIJEM	VKLAD	11848	25152	\N	\N	\N
1001582	3419	1997-02-07	PRIJEM	VKLAD	11848	27727	\N	\N	\N
1001583	3419	1997-03-07	PRIJEM	VKLAD	11848	30767	\N	\N	\N
1001584	3419	1997-04-07	PRIJEM	VKLAD	11848	33344	\N	\N	\N
1001585	3419	1997-05-07	PRIJEM	VKLAD	11848	37894	\N	\N	\N
1001586	3419	1997-06-07	PRIJEM	VKLAD	17772	41695	\N	\N	\N
1001587	3419	1997-07-07	PRIJEM	VKLAD	11848	40461	\N	\N	\N
1001588	3419	1997-08-07	PRIJEM	VKLAD	11848	41332	\N	\N	\N
1001589	3419	1997-09-07	PRIJEM	VKLAD	11848	38999	\N	\N	\N
1001590	3419	1997-10-07	PRIJEM	VKLAD	11848	34182	\N	\N	\N
1001591	3419	1997-11-07	PRIJEM	VKLAD	11848	34827	\N	\N	\N
1001592	3419	1997-12-07	PRIJEM	VKLAD	17772	33615	\N	\N	\N
1001593	3419	1998-01-07	PRIJEM	VKLAD	11848	36059	\N	\N	\N
1001594	3419	1998-02-07	PRIJEM	VKLAD	11848	28537	\N	\N	\N
1001595	3419	1998-03-07	PRIJEM	VKLAD	11848	29967	\N	\N	\N
1001596	3419	1998-04-07	PRIJEM	VKLAD	11848	32497	\N	\N	\N
1001597	3419	1998-05-07	PRIJEM	VKLAD	11848	30318	\N	\N	\N
1001598	3419	1998-06-07	PRIJEM	VKLAD	17772	36168	\N	\N	\N
1001599	3419	1998-07-07	PRIJEM	VKLAD	11848	31337	\N	\N	\N
1001600	3419	1998-08-07	PRIJEM	VKLAD	11848	29198	\N	\N	\N
1001601	3419	1998-09-07	PRIJEM	VKLAD	11848	28045	\N	\N	\N
1001602	3419	1998-10-07	PRIJEM	VKLAD	11848	30770	\N	\N	\N
1001603	3419	1998-11-07	PRIJEM	VKLAD	11848	25183	\N	\N	\N
1001604	3419	1998-12-07	PRIJEM	VKLAD	17772	30506	\N	\N	\N
1001619	3419	1995-03-08	VYDAJ	PREVOD NA UCET	4910	39814	SIPO	QR	75110560
1001620	3419	1995-04-08	VYDAJ	PREVOD NA UCET	4910	34302	SIPO	QR	75110560
1001621	3419	1995-05-08	VYDAJ	PREVOD NA UCET	4910	33073	SIPO	QR	75110560
1001622	3419	1995-06-08	VYDAJ	PREVOD NA UCET	4910	34315	SIPO	QR	75110560
1001623	3419	1995-07-08	VYDAJ	PREVOD NA UCET	4910	21778	SIPO	QR	75110560
1001624	3419	1995-08-08	VYDAJ	PREVOD NA UCET	4910	21678	SIPO	QR	75110560
1001625	3419	1995-09-08	VYDAJ	PREVOD NA UCET	4910	23797	SIPO	QR	75110560
1001626	3419	1995-10-08	VYDAJ	PREVOD NA UCET	4910	27927	SIPO	QR	75110560
1001627	3419	1995-11-08	VYDAJ	PREVOD NA UCET	4910	28170	SIPO	QR	75110560
1001628	3419	1995-12-08	VYDAJ	PREVOD NA UCET	4910	35039	SIPO	QR	75110560
1001629	3419	1996-01-08	VYDAJ	PREVOD NA UCET	4910	17751	SIPO	QR	75110560
1001630	3419	1996-02-08	VYDAJ	PREVOD NA UCET	4910	20474	SIPO	QR	75110560
1001631	3419	1996-03-08	VYDAJ	PREVOD NA UCET	4910	22024	SIPO	QR	75110560
1001632	3419	1996-04-08	VYDAJ	PREVOD NA UCET	4910	23061	SIPO	QR	75110560
1001633	3419	1996-05-08	VYDAJ	PREVOD NA UCET	4910	24083	SIPO	QR	75110560
1001634	3419	1996-06-08	VYDAJ	PREVOD NA UCET	4910	31394	SIPO	QR	75110560
1001635	3419	1996-07-08	VYDAJ	PREVOD NA UCET	4910	23330	SIPO	QR	75110560
1001636	3419	1996-08-08	VYDAJ	PREVOD NA UCET	4910	23207	SIPO	QR	75110560
1001637	3419	1996-09-08	VYDAJ	PREVOD NA UCET	4910	23528	SIPO	QR	75110560
1001638	3419	1996-10-08	VYDAJ	PREVOD NA UCET	4910	20945	SIPO	QR	75110560
1001639	3419	1996-11-08	VYDAJ	PREVOD NA UCET	4910	25964	SIPO	QR	75110560
1001640	3419	1996-12-08	VYDAJ	PREVOD NA UCET	4910	28881	SIPO	QR	75110560
1001641	3419	1997-01-08	VYDAJ	PREVOD NA UCET	4910	20242	SIPO	QR	75110560
1001642	3419	1997-02-08	VYDAJ	PREVOD NA UCET	4910	22817	SIPO	QR	75110560
1001643	3419	1997-03-08	VYDAJ	PREVOD NA UCET	4910	25857	SIPO	QR	75110560
1001644	3419	1997-04-08	VYDAJ	PREVOD NA UCET	4910	28434	SIPO	QR	75110560
1001645	3419	1997-05-08	VYDAJ	PREVOD NA UCET	4910	32984	SIPO	QR	75110560
1001646	3419	1997-06-08	VYDAJ	PREVOD NA UCET	4910	36785	SIPO	QR	75110560
1001647	3419	1997-07-08	VYDAJ	PREVOD NA UCET	4910	35551	SIPO	QR	75110560
1001648	3419	1997-08-08	VYDAJ	PREVOD NA UCET	4910	36422	SIPO	QR	75110560
1001649	3419	1997-09-08	VYDAJ	PREVOD NA UCET	4910	34089	SIPO	QR	75110560
1001650	3419	1997-10-08	VYDAJ	PREVOD NA UCET	4910	29272	SIPO	QR	75110560
1001651	3419	1997-11-08	VYDAJ	PREVOD NA UCET	4910	29917	SIPO	QR	75110560
1001652	3419	1997-12-08	VYDAJ	PREVOD NA UCET	4910	28705	SIPO	QR	75110560
1001653	3419	1998-01-08	VYDAJ	PREVOD NA UCET	4910	28989	SIPO	QR	75110560
1001654	3419	1998-02-08	VYDAJ	PREVOD NA UCET	4910	23627	SIPO	QR	75110560
1001655	3419	1998-03-08	VYDAJ	PREVOD NA UCET	4910	25057	SIPO	QR	75110560
1001656	3419	1998-04-08	VYDAJ	PREVOD NA UCET	4910	27587	SIPO	QR	75110560
1001657	3419	1998-05-08	VYDAJ	PREVOD NA UCET	4910	25408	SIPO	QR	75110560
1001658	3419	1998-06-08	VYDAJ	PREVOD NA UCET	4910	31258	SIPO	QR	75110560
1001659	3419	1998-07-08	VYDAJ	PREVOD NA UCET	4910	26427	SIPO	QR	75110560
1001660	3419	1998-08-08	VYDAJ	PREVOD NA UCET	4910	24288	SIPO	QR	75110560
1001661	3419	1998-09-08	VYDAJ	PREVOD NA UCET	4910	21835	SIPO	QR	75110560
1001662	3419	1998-10-08	VYDAJ	PREVOD NA UCET	4910	21660	SIPO	QR	75110560
1001663	3419	1998-11-08	VYDAJ	PREVOD NA UCET	4910	15673	SIPO	QR	75110560
1001664	3419	1998-12-08	VYDAJ	PREVOD NA UCET	4910	20996	SIPO	QR	75110560
1001679	3419	1995-03-11	VYDAJ	PREVOD NA UCET	532	39282	 	QR	88912635
1001680	3419	1995-04-11	VYDAJ	PREVOD NA UCET	532	33770	 	QR	88912635
1001681	3419	1995-05-11	VYDAJ	PREVOD NA UCET	532	32541	 	QR	88912635
1001682	3419	1995-06-11	VYDAJ	PREVOD NA UCET	532	33783	 	QR	88912635
1001683	3419	1995-07-11	VYDAJ	PREVOD NA UCET	532	21246	 	QR	88912635
1001684	3419	1995-08-11	VYDAJ	PREVOD NA UCET	532	21146	 	QR	88912635
1001685	3419	1995-09-11	VYDAJ	PREVOD NA UCET	532	23265	 	QR	88912635
1001686	3419	1995-10-11	VYDAJ	PREVOD NA UCET	532	27395	 	QR	88912635
1001687	3419	1995-11-11	VYDAJ	PREVOD NA UCET	532	27638	 	QR	88912635
1001688	3419	1995-12-11	VYDAJ	PREVOD NA UCET	532	34507	 	QR	88912635
1001689	3419	1996-01-11	VYDAJ	PREVOD NA UCET	532	17219	 	QR	88912635
1001690	3419	1996-02-11	VYDAJ	PREVOD NA UCET	532	18382	 	QR	88912635
1001691	3419	1996-03-11	VYDAJ	PREVOD NA UCET	532	19812	 	QR	88912635
1001692	3419	1996-04-11	VYDAJ	PREVOD NA UCET	532	22529	 	QR	88912635
1001693	3419	1996-05-11	VYDAJ	PREVOD NA UCET	532	23551	 	QR	88912635
1001694	3419	1996-06-11	VYDAJ	PREVOD NA UCET	532	30862	 	QR	88912635
1001695	3419	1996-07-11	VYDAJ	PREVOD NA UCET	532	20158	 	QR	88912635
1001696	3419	1996-08-11	VYDAJ	PREVOD NA UCET	532	22675	 	QR	88912635
1001697	3419	1996-09-11	VYDAJ	PREVOD NA UCET	532	22996	 	QR	88912635
1001698	3419	1996-10-11	VYDAJ	PREVOD NA UCET	532	20413	 	QR	88912635
1001699	3419	1996-11-11	VYDAJ	PREVOD NA UCET	532	25432	 	QR	88912635
1001700	3419	1996-12-11	VYDAJ	PREVOD NA UCET	532	28349	 	QR	88912635
1001701	3419	1997-01-11	VYDAJ	PREVOD NA UCET	532	19710	 	QR	88912635
1001702	3419	1997-02-11	VYDAJ	PREVOD NA UCET	532	22285	 	QR	88912635
1001703	3419	1997-03-11	VYDAJ	PREVOD NA UCET	532	25325	 	QR	88912635
1001704	3419	1997-04-11	VYDAJ	PREVOD NA UCET	532	27902	 	QR	88912635
1001705	3419	1997-05-11	VYDAJ	PREVOD NA UCET	532	32452	 	QR	88912635
1001706	3419	1997-06-11	VYDAJ	PREVOD NA UCET	532	36253	 	QR	88912635
1001707	3419	1997-07-11	VYDAJ	PREVOD NA UCET	532	35019	 	QR	88912635
1001708	3419	1997-08-11	VYDAJ	PREVOD NA UCET	532	35890	 	QR	88912635
1001709	3419	1997-09-11	VYDAJ	PREVOD NA UCET	532	33557	 	QR	88912635
1001710	3419	1997-10-11	VYDAJ	PREVOD NA UCET	532	28740	 	QR	88912635
1001711	3419	1997-11-11	VYDAJ	PREVOD NA UCET	532	29385	 	QR	88912635
1001712	3419	1997-12-11	VYDAJ	PREVOD NA UCET	532	28173	 	QR	88912635
1001713	3419	1998-01-11	VYDAJ	PREVOD NA UCET	532	25537	 	QR	88912635
1001714	3419	1998-02-11	VYDAJ	PREVOD NA UCET	532	24695	 	QR	88912635
1001715	3419	1998-03-11	VYDAJ	PREVOD NA UCET	532	24525	 	QR	88912635
1001716	3419	1998-04-11	VYDAJ	PREVOD NA UCET	532	27055	 	QR	88912635
1001717	3419	1998-05-11	VYDAJ	PREVOD NA UCET	532	24876	 	QR	88912635
1001718	3419	1998-06-11	VYDAJ	PREVOD NA UCET	532	21866	 	QR	88912635
1001719	3419	1998-07-11	VYDAJ	PREVOD NA UCET	532	19735	 	QR	88912635
1001720	3419	1998-08-11	VYDAJ	PREVOD NA UCET	532	22656	 	QR	88912635
1001721	3419	1998-09-11	VYDAJ	PREVOD NA UCET	532	21303	 	QR	88912635
1001722	3419	1998-10-11	VYDAJ	PREVOD NA UCET	532	21128	 	QR	88912635
1001723	3419	1998-11-11	VYDAJ	PREVOD NA UCET	532	15141	 	QR	88912635
1001724	3419	1998-12-11	VYDAJ	PREVOD NA UCET	532	20464	 	QR	88912635
1001740	3419	1995-04-05	VYDAJ	PREVOD NA UCET	2456	27364	POJISTNE	OP	5571186
1001741	3419	1995-05-05	VYDAJ	PREVOD NA UCET	2456	26135	POJISTNE	OP	5571186
1001742	3419	1995-06-05	VYDAJ	PREVOD NA UCET	2456	21453	POJISTNE	OP	5571186
1001743	3419	1995-07-05	VYDAJ	PREVOD NA UCET	2456	14840	POJISTNE	OP	5571186
1001744	3419	1995-08-05	VYDAJ	PREVOD NA UCET	2456	14740	POJISTNE	OP	5571186
1001745	3419	1995-09-05	VYDAJ	PREVOD NA UCET	2456	16859	POJISTNE	OP	5571186
1001746	3419	1995-10-05	VYDAJ	PREVOD NA UCET	2456	20989	POJISTNE	OP	5571186
1001747	3419	1995-11-05	VYDAJ	PREVOD NA UCET	2456	21232	POJISTNE	OP	5571186
1001748	3419	1995-12-05	VYDAJ	PREVOD NA UCET	2456	22177	POJISTNE	OP	5571186
1001749	3419	1996-01-05	VYDAJ	PREVOD NA UCET	2456	10813	POJISTNE	OP	5571186
1001750	3419	1996-02-05	VYDAJ	PREVOD NA UCET	2456	13536	POJISTNE	OP	5571186
1001751	3419	1996-03-05	VYDAJ	PREVOD NA UCET	2456	15086	POJISTNE	OP	5571186
1001752	3419	1996-04-05	VYDAJ	PREVOD NA UCET	2456	16123	POJISTNE	OP	5571186
1001753	3419	1996-05-05	VYDAJ	PREVOD NA UCET	2456	17145	POJISTNE	OP	5571186
1001754	3419	1996-06-05	VYDAJ	PREVOD NA UCET	2456	18532	POJISTNE	OP	5571186
1001755	3419	1996-07-05	VYDAJ	PREVOD NA UCET	2456	16392	POJISTNE	OP	5571186
1001756	3419	1996-08-05	VYDAJ	PREVOD NA UCET	2456	16269	POJISTNE	OP	5571186
1001757	3419	1996-09-05	VYDAJ	PREVOD NA UCET	2456	16590	POJISTNE	OP	5571186
1001758	3419	1996-10-05	VYDAJ	PREVOD NA UCET	2456	14007	POJISTNE	OP	5571186
1001759	3419	1996-11-05	VYDAJ	PREVOD NA UCET	2456	19026	POJISTNE	OP	5571186
1001760	3419	1996-12-05	VYDAJ	PREVOD NA UCET	2456	16019	POJISTNE	OP	5571186
1001761	3419	1997-01-05	VYDAJ	PREVOD NA UCET	2456	13304	POJISTNE	OP	5571186
1001762	3419	1997-02-05	VYDAJ	PREVOD NA UCET	2456	15879	POJISTNE	OP	5571186
1001763	3419	1997-03-05	VYDAJ	PREVOD NA UCET	2456	18919	POJISTNE	OP	5571186
1001764	3419	1997-04-05	VYDAJ	PREVOD NA UCET	2456	21496	POJISTNE	OP	5571186
1001765	3419	1997-05-05	VYDAJ	PREVOD NA UCET	2456	26046	POJISTNE	OP	5571186
1001766	3419	1997-06-05	VYDAJ	PREVOD NA UCET	2456	23923	POJISTNE	OP	5571186
1001767	3419	1997-07-05	VYDAJ	PREVOD NA UCET	2456	28613	POJISTNE	OP	5571186
1001768	3419	1997-08-05	VYDAJ	PREVOD NA UCET	2456	29484	POJISTNE	OP	5571186
1001769	3419	1997-09-05	VYDAJ	PREVOD NA UCET	2456	27151	POJISTNE	OP	5571186
1001770	3419	1997-10-05	VYDAJ	PREVOD NA UCET	2456	22334	POJISTNE	OP	5571186
1001771	3419	1997-11-05	VYDAJ	PREVOD NA UCET	2456	22979	POJISTNE	OP	5571186
1001772	3419	1997-12-05	VYDAJ	PREVOD NA UCET	2456	15843	POJISTNE	OP	5571186
1001773	3419	1998-01-05	VYDAJ	PREVOD NA UCET	2456	24211	POJISTNE	OP	5571186
1001774	3419	1998-02-05	VYDAJ	PREVOD NA UCET	2456	16689	POJISTNE	OP	5571186
1001775	3419	1998-03-05	VYDAJ	PREVOD NA UCET	2456	18119	POJISTNE	OP	5571186
1001776	3419	1998-04-05	VYDAJ	PREVOD NA UCET	2456	20649	POJISTNE	OP	5571186
1001777	3419	1998-05-05	VYDAJ	PREVOD NA UCET	2456	18470	POJISTNE	OP	5571186
1001778	3419	1998-06-05	VYDAJ	PREVOD NA UCET	2456	18396	POJISTNE	OP	5571186
1001779	3419	1998-07-05	VYDAJ	PREVOD NA UCET	2456	19489	POJISTNE	OP	5571186
1001780	3419	1998-08-05	VYDAJ	PREVOD NA UCET	2456	17350	POJISTNE	OP	5571186
1001781	3419	1998-09-05	VYDAJ	PREVOD NA UCET	2456	16197	POJISTNE	OP	5571186
1001782	3419	1998-10-05	VYDAJ	PREVOD NA UCET	2456	18922	POJISTNE	OP	5571186
1001783	3419	1998-11-05	VYDAJ	PREVOD NA UCET	2456	13335	POJISTNE	OP	5571186
1001784	3419	1998-12-05	VYDAJ	PREVOD NA UCET	2456	12734	POJISTNE	OP	5571186
1001786	3419	1995-06-11	VYDAJ	VYBER	16160	17623	\N	\N	\N
1001792	3419	1996-01-02	VYDAJ	VYBER	6080	13269	\N	\N	\N
1001796	3419	1995-12-13	VYDAJ	VYBER	4000	30507	\N	\N	\N
1001797	3419	1996-12-03	VYDAJ	VYBER	3840	18475	\N	\N	\N
1001798	3419	1997-12-04	VYDAJ	VYBER	4480	18299	\N	\N	\N
1001799	3419	1998-12-17	VYDAJ	VYBER	4160	16304	\N	\N	\N
1001812	3419	1996-01-23	VYDAJ	VYBER	1800	15939	\N	\N	\N
1001814	3419	1996-01-01	VYDAJ	VYBER	2760	19349	\N	\N	\N
1001816	3419	1996-01-19	VYDAJ	VYBER	1680	15539	\N	\N	\N
1001818	3419	1997-01-17	VYDAJ	VYBER	2280	19830	\N	\N	\N
1001819	3419	1997-01-04	VYDAJ	VYBER	2640	15760	\N	\N	\N
1001820	3419	1997-01-23	VYDAJ	VYBER	1560	18270	\N	\N	\N
1001821	3419	1997-01-01	VYDAJ	VYBER	2880	22360	\N	\N	\N
1001822	3419	1997-01-04	VYDAJ	VYBER	2520	18400	\N	\N	\N
1001823	3419	1997-01-01	VYDAJ	VYBER	1440	20920	\N	\N	\N
1001824	3419	1998-01-18	VYDAJ	VYBER	840	24697	\N	\N	\N
1001825	3419	1998-01-26	VYDAJ	VYBER	3000	21697	\N	\N	\N
1001826	3419	1998-01-26	VYDAJ	VYBER	2640	19057	\N	\N	\N
1001827	3419	1998-01-09	VYDAJ	VYBER	3120	25869	\N	\N	\N
1001828	3419	1998-01-04	VYDAJ	VYBER	600	26667	\N	\N	\N
1001829	3419	1998-01-07	VYDAJ	VYBER	2160	33899	\N	\N	\N
1001831	3419	1995-08-03	VYDAJ	VYBER	1320	17196	\N	\N	\N
1001833	3419	1995-05-17	VYDAJ	VYBER	4680	27861	\N	\N	\N
1001834	3419	1995-05-30	VYDAJ	VYBER	2760	23801	\N	\N	\N
1001835	3419	1996-02-10	VYDAJ	VYBER	1560	18914	\N	\N	\N
1001836	3419	1996-06-17	VYDAJ	VYBER	5040	25822	\N	\N	\N
1001837	3419	1996-05-13	VYDAJ	VYBER	840	22711	\N	\N	\N
1001838	3419	1996-06-25	VYDAJ	VYBER	960	18762	\N	\N	\N
1001839	3419	1996-07-09	VYDAJ	VYBER	2640	20690	\N	\N	\N
1001840	3419	1996-03-11	VYDAJ	VYBER	1680	20344	\N	\N	\N
1001841	3419	1997-02-12	VYDAJ	VYBER	5280	17005	\N	\N	\N
1001842	3419	1997-05-22	VYDAJ	VYBER	3600	26272	\N	\N	\N
1001843	3419	1997-10-02	VYDAJ	VYBER	5280	24790	\N	\N	\N
1001844	3419	1997-05-13	VYDAJ	VYBER	1080	31372	\N	\N	\N
1001845	3419	1997-11-26	VYDAJ	VYBER	3600	22685	\N	\N	\N
1001846	3419	1997-03-30	VYDAJ	VYBER	960	23865	\N	\N	\N
1001847	3419	1998-07-09	VYDAJ	VYBER	3360	23067	\N	\N	\N
1001848	3419	1998-02-25	VYDAJ	VYBER	4200	20495	\N	\N	\N
1001849	3419	1998-09-03	VYDAJ	VYBER	4080	18653	\N	\N	\N
1001850	3419	1998-06-09	VYDAJ	VYBER	2160	29098	\N	\N	\N
1001851	3419	1998-05-02	VYDAJ	VYBER	4920	20926	\N	\N	\N
1001852	3419	1998-10-16	VYDAJ	VYBER	5400	15728	\N	\N	\N
1001868	3419	1995-03-31	VYDAJ	VYBER	15	29820	SLUZBY	\N	\N
1001869	3419	1995-04-30	VYDAJ	VYBER	15	28591	SLUZBY	\N	\N
1001870	3419	1995-05-31	VYDAJ	VYBER	15	23909	SLUZBY	\N	\N
1001871	3419	1995-06-30	VYDAJ	VYBER	15	17296	SLUZBY	\N	\N
1001872	3419	1995-07-31	VYDAJ	VYBER	15	18516	SLUZBY	\N	\N
1001873	3419	1995-08-31	VYDAJ	VYBER	15	19315	SLUZBY	\N	\N
1001874	3419	1995-09-30	VYDAJ	VYBER	15	23445	SLUZBY	\N	\N
1001875	3419	1995-10-31	VYDAJ	VYBER	15	23688	SLUZBY	\N	\N
1001876	3419	1995-11-30	VYDAJ	VYBER	15	24633	SLUZBY	\N	\N
1001877	3419	1995-12-31	VYDAJ	VYBER	15	22109	SLUZBY	\N	\N
1001878	3419	1996-01-31	VYDAJ	VYBER	15	15992	SLUZBY	\N	\N
1001879	3419	1996-02-29	VYDAJ	VYBER	15	17542	SLUZBY	\N	\N
1001880	3419	1996-03-31	VYDAJ	VYBER	15	18579	SLUZBY	\N	\N
1001881	3419	1996-04-30	VYDAJ	VYBER	15	19601	SLUZBY	\N	\N
1001882	3419	1996-05-31	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
1001883	3419	1996-06-30	VYDAJ	VYBER	15	18848	SLUZBY	\N	\N
1001884	3419	1996-07-31	VYDAJ	VYBER	15	18725	SLUZBY	\N	\N
1001885	3419	1996-08-31	VYDAJ	VYBER	15	19046	SLUZBY	\N	\N
1001886	3419	1996-09-30	VYDAJ	VYBER	15	16463	SLUZBY	\N	\N
1001887	3419	1996-10-31	VYDAJ	VYBER	15	21482	SLUZBY	\N	\N
1001888	3419	1996-11-30	VYDAJ	VYBER	15	22315	SLUZBY	\N	\N
1001889	3419	1996-12-31	VYDAJ	VYBER	15	25240	SLUZBY	\N	\N
1001890	3419	1997-01-31	VYDAJ	VYBER	15	18335	SLUZBY	\N	\N
1001891	3419	1997-02-28	VYDAJ	VYBER	15	21375	SLUZBY	\N	\N
1001892	3419	1997-03-31	VYDAJ	VYBER	15	23952	SLUZBY	\N	\N
1001893	3419	1997-04-30	VYDAJ	VYBER	15	28502	SLUZBY	\N	\N
1001894	3419	1997-05-31	VYDAJ	VYBER	15	26379	SLUZBY	\N	\N
1001895	3419	1997-06-30	VYDAJ	VYBER	15	31069	SLUZBY	\N	\N
1001896	3419	1997-07-31	VYDAJ	VYBER	15	31940	SLUZBY	\N	\N
1001897	3419	1997-08-31	VYDAJ	VYBER	15	29607	SLUZBY	\N	\N
1001898	3419	1997-09-30	VYDAJ	VYBER	15	30070	SLUZBY	\N	\N
1001899	3419	1997-10-31	VYDAJ	VYBER	15	25435	SLUZBY	\N	\N
1001900	3419	1997-11-30	VYDAJ	VYBER	15	22779	SLUZBY	\N	\N
1001901	3419	1997-12-31	VYDAJ	VYBER	15	27267	SLUZBY	\N	\N
1001902	3419	1998-01-31	VYDAJ	VYBER	15	19145	SLUZBY	\N	\N
1001903	3419	1998-02-28	VYDAJ	VYBER	15	20575	SLUZBY	\N	\N
1001904	3419	1998-03-31	VYDAJ	VYBER	15	23105	SLUZBY	\N	\N
1001905	3419	1998-04-30	VYDAJ	VYBER	15	25846	SLUZBY	\N	\N
1001906	3419	1998-05-31	VYDAJ	VYBER	15	20852	SLUZBY	\N	\N
1001907	3419	1998-06-30	VYDAJ	VYBER	15	21945	SLUZBY	\N	\N
1001908	3419	1998-07-31	VYDAJ	VYBER	15	19806	SLUZBY	\N	\N
1001909	3419	1998-08-31	VYDAJ	VYBER	15	22733	SLUZBY	\N	\N
1001910	3419	1998-09-30	VYDAJ	VYBER	15	21378	SLUZBY	\N	\N
1001911	3419	1998-10-31	VYDAJ	VYBER	15	15791	SLUZBY	\N	\N
1001912	3419	1998-11-30	VYDAJ	VYBER	15	15190	SLUZBY	\N	\N
1001913	3419	1994-11-28	PRIJEM	VKLAD	6700	19348	\N	\N	\N
1001914	3419	1994-12-28	VYDAJ	VYBER	6900	30228	\N	\N	\N
1001915	3419	1995-01-27	VYDAJ	VYBER	9100	33063	\N	\N	\N
1001916	3419	1995-02-26	VYDAJ	VYBER	12300	32738	\N	\N	\N
1001917	3419	1995-03-28	VYDAJ	VYBER	9600	29682	\N	\N	\N
1001918	3419	1995-04-27	VYDAJ	VYBER	5300	28470	\N	\N	\N
1001919	3419	1995-05-27	VYDAJ	VYBER	1300	26561	\N	\N	\N
1001920	3419	1995-06-26	VYDAJ	VYBER	400	17223	\N	\N	\N
1001921	3419	1995-07-26	VYDAJ	VYBER	2800	18446	\N	\N	\N
1001922	3419	1995-08-25	VYDAJ	VYBER	1900	19246	\N	\N	\N
1001923	3419	1995-09-24	PRIJEM	VKLAD	100	23365	\N	\N	\N
1001924	3419	1995-10-24	VYDAJ	VYBER	3800	23595	\N	\N	\N
1001925	3419	1995-11-23	VYDAJ	VYBER	3100	24538	\N	\N	\N
1001926	3419	1995-12-23	VYDAJ	VYBER	8500	22007	\N	\N	\N
1001927	3419	1996-01-22	PRIJEM	VKLAD	2200	17739	\N	\N	\N
1001928	3419	1996-02-21	VYDAJ	VYBER	900	17482	\N	\N	\N
1001929	3419	1996-03-22	VYDAJ	VYBER	1300	18512	\N	\N	\N
1001930	3419	1996-04-21	VYDAJ	VYBER	3000	19529	\N	\N	\N
1001931	3419	1996-05-21	VYDAJ	VYBER	1800	20911	\N	\N	\N
1001932	3419	1996-06-20	VYDAJ	VYBER	6100	19722	\N	\N	\N
1001933	3419	1996-07-20	VYDAJ	VYBER	1500	18658	\N	\N	\N
1001934	3419	1996-08-19	VYDAJ	VYBER	3700	18975	\N	\N	\N
1001935	3419	1996-09-18	VYDAJ	VYBER	6600	16396	\N	\N	\N
1001936	3419	1996-10-18	PRIJEM	VKLAD	1000	21413	\N	\N	\N
1001937	3419	1996-11-17	VYDAJ	VYBER	3200	22232	\N	\N	\N
1001938	3419	1996-12-17	VYDAJ	VYBER	3200	25149	\N	\N	\N
1001939	3419	1997-01-16	PRIJEM	VKLAD	2400	22110	\N	\N	\N
1001940	3419	1997-02-15	PRIJEM	VKLAD	4300	21305	\N	\N	\N
1001941	3419	1997-03-17	VYDAJ	VYBER	500	24825	\N	\N	\N
1001942	3419	1997-04-16	PRIJEM	VKLAD	500	28402	\N	\N	\N
1001943	3419	1997-05-16	VYDAJ	VYBER	1500	29872	\N	\N	\N
1001944	3419	1997-06-15	VYDAJ	VYBER	5300	30953	\N	\N	\N
1001945	3419	1997-07-15	VYDAJ	VYBER	3200	31819	\N	\N	\N
1001946	3419	1997-08-14	VYDAJ	VYBER	6400	29490	\N	\N	\N
1001947	3419	1997-09-13	VYDAJ	VYBER	3600	29957	\N	\N	\N
1001948	3419	1997-10-13	VYDAJ	VYBER	3400	25340	\N	\N	\N
1001949	3419	1997-11-12	VYDAJ	VYBER	3100	26285	\N	\N	\N
1001950	3419	1997-12-12	VYDAJ	VYBER	1000	27173	\N	\N	\N
1001951	3419	1998-01-11	PRIJEM	VKLAD	200	26069	\N	\N	\N
1001952	3419	1998-02-10	PRIJEM	VKLAD	1600	25227	\N	\N	\N
1001953	3419	1998-03-12	VYDAJ	VYBER	1500	23025	\N	\N	\N
1001954	3419	1998-04-11	VYDAJ	VYBER	1300	25755	\N	\N	\N
1001955	3419	1998-05-11	VYDAJ	VYBER	4100	20776	\N	\N	\N
1001956	3419	1998-06-10	VYDAJ	VYBER	6700	22398	\N	\N	\N
1001957	3419	1998-07-10	VYDAJ	VYBER	2800	20267	\N	\N	\N
1001958	3419	1998-08-09	VYDAJ	VYBER	1100	23188	\N	\N	\N
1001959	3419	1998-09-08	VYDAJ	VYBER	1300	26745	\N	\N	\N
1001960	3419	1998-10-08	VYDAJ	VYBER	4200	26570	\N	\N	\N
1001961	3419	1998-11-07	VYDAJ	VYBER	4600	20583	\N	\N	\N
1001962	3419	1998-12-07	VYDAJ	VYBER	4600	25906	\N	\N	\N
1002321	3421	1995-02-01	PRIJEM	VKLAD	500	500	\N	\N	\N
1002323	3421	1995-02-10	PRIJEM	VKLAD	18203	18703	\N	\N	\N
1002324	3421	1995-03-10	PRIJEM	VKLAD	18203	40159	\N	\N	\N
1002325	3421	1995-04-10	PRIJEM	VKLAD	18203	51603	\N	\N	\N
1002326	3421	1995-05-10	PRIJEM	VKLAD	18203	55207	\N	\N	\N
1002327	3421	1995-06-10	PRIJEM	VKLAD	27305	67237	\N	\N	\N
1002328	3421	1995-07-10	PRIJEM	VKLAD	18203	44557	\N	\N	\N
1002329	3421	1995-08-10	PRIJEM	VKLAD	18203	48354	\N	\N	\N
1002330	3421	1995-09-10	PRIJEM	VKLAD	18203	44235	\N	\N	\N
1002331	3421	1995-10-10	PRIJEM	VKLAD	18203	46915	\N	\N	\N
1002332	3421	1995-11-10	PRIJEM	VKLAD	18203	46205	\N	\N	\N
1002333	3421	1995-12-10	PRIJEM	VKLAD	27305	53753	\N	\N	\N
1002334	3421	1996-01-10	PRIJEM	VKLAD	18203	47528	\N	\N	\N
1002335	3421	1996-02-10	PRIJEM	VKLAD	18203	42686	\N	\N	\N
1002336	3421	1996-03-10	PRIJEM	VKLAD	18203	49860	\N	\N	\N
1002337	3421	1996-04-10	PRIJEM	VKLAD	18203	49259	\N	\N	\N
1002338	3421	1996-05-10	PRIJEM	VKLAD	18203	50956	\N	\N	\N
1002339	3421	1996-06-10	PRIJEM	VKLAD	27305	61161	\N	\N	\N
1002340	3421	1996-07-10	PRIJEM	VKLAD	18203	58589	\N	\N	\N
1002341	3421	1996-08-10	PRIJEM	VKLAD	18203	55440	\N	\N	\N
1002342	3421	1996-09-10	PRIJEM	VKLAD	18203	58061	\N	\N	\N
1002343	3421	1996-10-10	PRIJEM	VKLAD	18203	54919	\N	\N	\N
1002344	3421	1996-11-10	PRIJEM	VKLAD	18203	54632	\N	\N	\N
1002345	3421	1996-12-10	PRIJEM	VKLAD	27305	59305	\N	\N	\N
1002346	3421	1997-01-10	PRIJEM	VKLAD	18203	51215	\N	\N	\N
1002347	3421	1997-02-10	PRIJEM	VKLAD	18203	47737	\N	\N	\N
1002348	3421	1997-03-10	PRIJEM	VKLAD	18203	57545	\N	\N	\N
1002349	3421	1997-04-10	PRIJEM	VKLAD	18203	61474	\N	\N	\N
1002350	3421	1997-05-10	PRIJEM	VKLAD	18203	65719	\N	\N	\N
1002351	3421	1997-06-10	PRIJEM	VKLAD	27305	79384	\N	\N	\N
1002352	3421	1997-07-10	PRIJEM	VKLAD	18203	55707	\N	\N	\N
1002353	3421	1997-08-10	PRIJEM	VKLAD	18203	61687	\N	\N	\N
1002354	3421	1997-09-10	PRIJEM	VKLAD	18203	63557	\N	\N	\N
1002355	3421	1997-10-10	PRIJEM	VKLAD	18203	65034	\N	\N	\N
1002356	3421	1997-11-10	PRIJEM	VKLAD	18203	72698	\N	\N	\N
1002357	3421	1997-12-10	PRIJEM	VKLAD	27305	90497	\N	\N	\N
1002358	3421	1998-01-10	PRIJEM	VKLAD	18203	87376	\N	\N	\N
1002359	3421	1998-02-10	PRIJEM	VKLAD	18203	77218	\N	\N	\N
1002360	3421	1998-03-10	PRIJEM	VKLAD	18203	82626	\N	\N	\N
1002361	3421	1998-04-10	PRIJEM	VKLAD	18203	83348	\N	\N	\N
1002362	3421	1998-05-10	PRIJEM	VKLAD	18203	84535	\N	\N	\N
1002363	3421	1998-06-10	PRIJEM	VKLAD	27305	92568	\N	\N	\N
1002364	3421	1998-07-10	PRIJEM	VKLAD	18203	68363	\N	\N	\N
1002365	3421	1998-08-10	PRIJEM	VKLAD	18203	76841	\N	\N	\N
1002366	3421	1998-09-10	PRIJEM	VKLAD	18203	78237	\N	\N	\N
1002367	3421	1998-10-10	PRIJEM	VKLAD	18203	73422	\N	\N	\N
1002368	3421	1998-11-10	PRIJEM	VKLAD	18203	75203	\N	\N	\N
1002369	3421	1998-12-10	PRIJEM	VKLAD	27305	78464	\N	\N	\N
1002375	3421	1995-06-12	VYDAJ	PREVOD NA UCET	8640	58597	SIPO	AB	66145115
1002376	3421	1995-07-12	VYDAJ	PREVOD NA UCET	8640	35917	SIPO	AB	66145115
1002377	3421	1995-08-12	VYDAJ	PREVOD NA UCET	8640	39714	SIPO	AB	66145115
1002378	3421	1995-09-12	VYDAJ	PREVOD NA UCET	8640	35595	SIPO	AB	66145115
1002379	3421	1995-10-12	VYDAJ	PREVOD NA UCET	8640	38275	SIPO	AB	66145115
1002380	3421	1995-11-12	VYDAJ	PREVOD NA UCET	8640	37565	SIPO	AB	66145115
1002381	3421	1995-12-12	VYDAJ	PREVOD NA UCET	8640	45113	SIPO	AB	66145115
1002382	3421	1996-01-12	VYDAJ	PREVOD NA UCET	8640	36728	SIPO	AB	66145115
1002383	3421	1996-02-12	VYDAJ	PREVOD NA UCET	8640	34046	SIPO	AB	66145115
1002384	3421	1996-03-12	VYDAJ	PREVOD NA UCET	8640	41220	SIPO	AB	66145115
1002385	3421	1996-04-12	VYDAJ	PREVOD NA UCET	8640	40619	SIPO	AB	66145115
1002386	3421	1996-05-12	VYDAJ	PREVOD NA UCET	8640	42316	SIPO	AB	66145115
1002387	3421	1996-06-12	VYDAJ	PREVOD NA UCET	8640	52521	SIPO	AB	66145115
1002388	3421	1996-07-12	VYDAJ	PREVOD NA UCET	8640	49949	SIPO	AB	66145115
1002389	3421	1996-08-12	VYDAJ	PREVOD NA UCET	8640	46800	SIPO	AB	66145115
1002390	3421	1996-09-12	VYDAJ	PREVOD NA UCET	8640	49421	SIPO	AB	66145115
1002391	3421	1996-10-12	VYDAJ	PREVOD NA UCET	8640	46279	SIPO	AB	66145115
1002392	3421	1996-11-12	VYDAJ	PREVOD NA UCET	8640	45992	SIPO	AB	66145115
1002393	3421	1996-12-12	VYDAJ	PREVOD NA UCET	8640	50665	SIPO	AB	66145115
1002394	3421	1997-01-12	VYDAJ	PREVOD NA UCET	8640	42575	SIPO	AB	66145115
1002395	3421	1997-02-12	VYDAJ	PREVOD NA UCET	8640	39097	SIPO	AB	66145115
1002396	3421	1997-03-12	VYDAJ	PREVOD NA UCET	8640	48905	SIPO	AB	66145115
1002397	3421	1997-04-12	VYDAJ	PREVOD NA UCET	8640	52834	SIPO	AB	66145115
1002398	3421	1997-05-12	VYDAJ	PREVOD NA UCET	8640	57079	SIPO	AB	66145115
1002399	3421	1997-06-12	VYDAJ	PREVOD NA UCET	8640	70744	SIPO	AB	66145115
1002400	3421	1997-07-12	VYDAJ	PREVOD NA UCET	8640	47067	SIPO	AB	66145115
1002401	3421	1997-08-12	VYDAJ	PREVOD NA UCET	8640	53047	SIPO	AB	66145115
1002402	3421	1997-09-12	VYDAJ	PREVOD NA UCET	8640	54917	SIPO	AB	66145115
1002403	3421	1997-10-12	VYDAJ	PREVOD NA UCET	8640	56394	SIPO	AB	66145115
1002404	3421	1997-11-12	VYDAJ	PREVOD NA UCET	8640	64058	SIPO	AB	66145115
1002405	3421	1997-12-12	VYDAJ	PREVOD NA UCET	8640	81857	SIPO	AB	66145115
1002406	3421	1998-01-12	VYDAJ	PREVOD NA UCET	8640	77176	SIPO	AB	66145115
1002407	3421	1998-02-12	VYDAJ	PREVOD NA UCET	8640	68578	SIPO	AB	66145115
1002408	3421	1998-03-12	VYDAJ	PREVOD NA UCET	8640	73986	SIPO	AB	66145115
1002409	3421	1998-04-12	VYDAJ	PREVOD NA UCET	8640	74708	SIPO	AB	66145115
1002410	3421	1998-05-12	VYDAJ	PREVOD NA UCET	8640	75895	SIPO	AB	66145115
1002411	3421	1998-06-12	VYDAJ	PREVOD NA UCET	8640	83928	SIPO	AB	66145115
1002412	3421	1998-07-12	VYDAJ	PREVOD NA UCET	8640	59723	SIPO	AB	66145115
1002413	3421	1998-08-12	VYDAJ	PREVOD NA UCET	8640	68201	SIPO	AB	66145115
1002414	3421	1998-09-12	VYDAJ	PREVOD NA UCET	8640	69597	SIPO	AB	66145115
1002415	3421	1998-10-12	VYDAJ	PREVOD NA UCET	8640	64782	SIPO	AB	66145115
1002416	3421	1998-11-12	VYDAJ	PREVOD NA UCET	8640	55263	SIPO	AB	66145115
1002417	3421	1998-12-12	VYDAJ	PREVOD NA UCET	8640	67104	SIPO	AB	66145115
1002418	3421	1995-06-28	VYDAJ	VYBER	25760	32837	\N	\N	\N
1002420	3421	1997-06-20	VYDAJ	VYBER	37440	37304	\N	\N	\N
1002421	3421	1998-06-29	VYDAJ	VYBER	22240	49888	\N	\N	\N
1002423	3421	1996-01-16	VYDAJ	VYBER	7520	29208	\N	\N	\N
1002424	3421	1997-01-15	VYDAJ	VYBER	5600	36975	\N	\N	\N
1002425	3421	1998-01-30	VYDAJ	VYBER	5440	58736	\N	\N	\N
1002426	3421	1995-12-06	VYDAJ	VYBER	3040	26449	\N	\N	\N
1002427	3421	1996-12-19	VYDAJ	VYBER	4320	43705	\N	\N	\N
1002428	3421	1997-12-22	VYDAJ	VYBER	2720	70337	\N	\N	\N
1002429	3421	1998-12-11	VYDAJ	VYBER	2720	75744	\N	\N	\N
1002436	3421	1996-01-11	VYDAJ	VYBER	2160	45368	\N	\N	\N
1002437	3421	1996-01-29	VYDAJ	VYBER	840	24368	\N	\N	\N
1002438	3421	1996-01-05	VYDAJ	VYBER	3480	32085	\N	\N	\N
1002439	3421	1996-01-28	VYDAJ	VYBER	1320	25208	\N	\N	\N
1002440	3421	1996-01-06	VYDAJ	VYBER	2760	29325	\N	\N	\N
1002441	3421	1996-01-24	VYDAJ	VYBER	2880	26328	\N	\N	\N
1002442	3421	1997-01-08	VYDAJ	VYBER	960	33012	\N	\N	\N
1002443	3421	1997-01-30	VYDAJ	VYBER	600	34675	\N	\N	\N
1002444	3421	1997-01-18	VYDAJ	VYBER	960	35055	\N	\N	\N
1002445	3421	1997-01-16	VYDAJ	VYBER	960	36015	\N	\N	\N
1002446	3421	1997-01-03	VYDAJ	VYBER	960	33972	\N	\N	\N
1002447	3421	1997-01-25	VYDAJ	VYBER	1080	35275	\N	\N	\N
1002448	3421	1998-01-30	VYDAJ	VYBER	840	64176	\N	\N	\N
1002449	3421	1998-01-30	VYDAJ	VYBER	1560	65016	\N	\N	\N
1002450	3421	1998-01-20	VYDAJ	VYBER	3360	66576	\N	\N	\N
1002451	3421	1998-01-11	VYDAJ	VYBER	1560	85816	\N	\N	\N
1002452	3421	1998-01-19	VYDAJ	VYBER	840	69936	\N	\N	\N
1002453	3421	1998-01-01	VYDAJ	VYBER	1440	69173	\N	\N	\N
1002455	3421	1995-08-23	VYDAJ	VYBER	3720	35994	\N	\N	\N
1002458	3421	1996-11-29	VYDAJ	VYBER	4440	31852	\N	\N	\N
1002459	3421	1996-12-19	VYDAJ	VYBER	2640	48025	\N	\N	\N
1002460	3421	1996-12-26	VYDAJ	VYBER	2520	34785	\N	\N	\N
1002461	3421	1996-09-14	VYDAJ	VYBER	5760	43661	\N	\N	\N
1002462	3421	1996-07-30	VYDAJ	VYBER	1080	37069	\N	\N	\N
1002463	3421	1996-10-21	VYDAJ	VYBER	3600	42679	\N	\N	\N
1002464	3421	1997-07-18	VYDAJ	VYBER	3840	40827	\N	\N	\N
1002465	3421	1997-07-12	VYDAJ	VYBER	2400	44667	\N	\N	\N
1002466	3421	1997-09-09	VYDAJ	VYBER	5280	45354	\N	\N	\N
1002467	3421	1997-09-14	VYDAJ	VYBER	4920	49997	\N	\N	\N
1002468	3421	1997-09-25	VYDAJ	VYBER	2160	46637	\N	\N	\N
1002469	3421	1997-02-03	VYDAJ	VYBER	5280	29534	\N	\N	\N
1002470	3421	1998-12-07	VYDAJ	VYBER	600	51159	\N	\N	\N
1002471	3421	1998-12-06	VYDAJ	VYBER	3720	51759	\N	\N	\N
1002472	3421	1998-05-08	VYDAJ	VYBER	840	66332	\N	\N	\N
1002479	3421	1995-06-30	VYDAJ	VYBER	15	33054	SLUZBY	\N	\N
1002480	3421	1995-07-31	VYDAJ	VYBER	15	36051	SLUZBY	\N	\N
1002481	3421	1995-08-31	VYDAJ	VYBER	15	26032	SLUZBY	\N	\N
1002482	3421	1995-09-30	VYDAJ	VYBER	15	28712	SLUZBY	\N	\N
1002483	3421	1995-10-31	VYDAJ	VYBER	15	28002	SLUZBY	\N	\N
1002484	3421	1995-11-30	VYDAJ	VYBER	15	29489	SLUZBY	\N	\N
1002485	3421	1995-12-31	VYDAJ	VYBER	15	35565	SLUZBY	\N	\N
1002486	3421	1996-01-31	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
1002487	3421	1996-02-29	VYDAJ	VYBER	15	31657	SLUZBY	\N	\N
1002488	3421	1996-03-31	VYDAJ	VYBER	15	31056	SLUZBY	\N	\N
1002489	3421	1996-04-30	VYDAJ	VYBER	15	32753	SLUZBY	\N	\N
1002490	3421	1996-05-31	VYDAJ	VYBER	15	33856	SLUZBY	\N	\N
1002491	3421	1996-06-30	VYDAJ	VYBER	15	40386	SLUZBY	\N	\N
1002492	3421	1996-07-31	VYDAJ	VYBER	15	37237	SLUZBY	\N	\N
1002493	3421	1996-08-31	VYDAJ	VYBER	15	39858	SLUZBY	\N	\N
1002494	3421	1996-09-30	VYDAJ	VYBER	15	36716	SLUZBY	\N	\N
1002495	3421	1996-10-31	VYDAJ	VYBER	15	36429	SLUZBY	\N	\N
1002496	3421	1996-11-30	VYDAJ	VYBER	15	32001	SLUZBY	\N	\N
1002497	3421	1996-12-31	VYDAJ	VYBER	15	34932	SLUZBY	\N	\N
1002498	3421	1997-01-31	VYDAJ	VYBER	15	34814	SLUZBY	\N	\N
1002499	3421	1997-02-28	VYDAJ	VYBER	15	39342	SLUZBY	\N	\N
1002500	3421	1997-03-31	VYDAJ	VYBER	15	43271	SLUZBY	\N	\N
1002501	3421	1997-04-30	VYDAJ	VYBER	15	47516	SLUZBY	\N	\N
1002502	3421	1997-05-31	VYDAJ	VYBER	15	52080	SLUZBY	\N	\N
1002503	3421	1997-06-30	VYDAJ	VYBER	15	37504	SLUZBY	\N	\N
1002504	3421	1997-07-31	VYDAJ	VYBER	15	43484	SLUZBY	\N	\N
1002505	3421	1997-08-31	VYDAJ	VYBER	15	50634	SLUZBY	\N	\N
1002506	3421	1997-09-30	VYDAJ	VYBER	15	46831	SLUZBY	\N	\N
1002507	3421	1997-10-31	VYDAJ	VYBER	15	54495	SLUZBY	\N	\N
1002508	3421	1997-11-30	VYDAJ	VYBER	15	63193	SLUZBY	\N	\N
1002509	3421	1997-12-31	VYDAJ	VYBER	15	70613	SLUZBY	\N	\N
1002510	3421	1998-01-31	VYDAJ	VYBER	15	59015	SLUZBY	\N	\N
1002511	3421	1998-02-28	VYDAJ	VYBER	15	64423	SLUZBY	\N	\N
1002512	3421	1998-03-31	VYDAJ	VYBER	15	65145	SLUZBY	\N	\N
1002513	3421	1998-04-30	VYDAJ	VYBER	15	67172	SLUZBY	\N	\N
1002514	3421	1998-05-31	VYDAJ	VYBER	15	65263	SLUZBY	\N	\N
1002515	3421	1998-06-30	VYDAJ	VYBER	15	50160	SLUZBY	\N	\N
1002516	3421	1998-07-31	VYDAJ	VYBER	15	58638	SLUZBY	\N	\N
1002517	3421	1998-08-31	VYDAJ	VYBER	15	60034	SLUZBY	\N	\N
1002518	3421	1998-09-30	VYDAJ	VYBER	15	55219	SLUZBY	\N	\N
1002519	3421	1998-10-31	VYDAJ	VYBER	15	57000	SLUZBY	\N	\N
1002520	3421	1998-11-30	VYDAJ	VYBER	15	55479	SLUZBY	\N	\N
1002521	3421	1995-03-03	PRIJEM	VKLAD	3200	21956	\N	\N	\N
1002522	3421	1995-04-02	VYDAJ	VYBER	6900	33400	\N	\N	\N
1002523	3421	1995-05-02	VYDAJ	VYBER	14800	37004	\N	\N	\N
1002524	3421	1995-06-01	VYDAJ	VYBER	15500	39933	\N	\N	\N
1002525	3421	1995-07-01	VYDAJ	VYBER	6700	26354	\N	\N	\N
1002526	3421	1995-07-31	VYDAJ	VYBER	5900	30151	\N	\N	\N
1002527	3421	1995-08-30	VYDAJ	VYBER	10100	25894	\N	\N	\N
1002528	3421	1995-09-29	VYDAJ	VYBER	7000	28595	\N	\N	\N
1002529	3421	1995-10-29	VYDAJ	VYBER	10400	27875	\N	\N	\N
1002530	3421	1995-11-28	VYDAJ	VYBER	8200	29365	\N	\N	\N
1002531	3421	1995-12-28	VYDAJ	VYBER	9700	35413	\N	\N	\N
1002532	3421	1996-01-27	PRIJEM	VKLAD	200	26528	\N	\N	\N
1002533	3421	1996-02-26	VYDAJ	VYBER	2500	31546	\N	\N	\N
1002534	3421	1996-03-27	VYDAJ	VYBER	10300	30920	\N	\N	\N
1002535	3421	1996-04-26	VYDAJ	VYBER	8000	32619	\N	\N	\N
1002536	3421	1996-05-26	VYDAJ	VYBER	8600	33716	\N	\N	\N
1002537	3421	1996-06-25	VYDAJ	VYBER	12300	40221	\N	\N	\N
1002538	3421	1996-07-25	VYDAJ	VYBER	11800	38149	\N	\N	\N
1002539	3421	1996-08-24	VYDAJ	VYBER	7100	39700	\N	\N	\N
1002540	3421	1996-09-23	VYDAJ	VYBER	7100	36561	\N	\N	\N
1002541	3421	1996-10-23	VYDAJ	VYBER	6400	36279	\N	\N	\N
1002542	3421	1996-11-22	VYDAJ	VYBER	9700	36292	\N	\N	\N
1002543	3421	1996-12-22	VYDAJ	VYBER	6400	37305	\N	\N	\N
1002544	3421	1997-01-21	PRIJEM	VKLAD	1300	36355	\N	\N	\N
1002545	3421	1997-02-20	PRIJEM	VKLAD	100	39197	\N	\N	\N
1002546	3421	1997-03-22	VYDAJ	VYBER	5800	43105	\N	\N	\N
1002547	3421	1997-04-21	VYDAJ	VYBER	5500	47334	\N	\N	\N
1002548	3421	1997-05-21	VYDAJ	VYBER	5200	51879	\N	\N	\N
1002549	3421	1997-06-20	PRIJEM	VKLAD	4000	74744	\N	\N	\N
1002550	3421	1997-07-20	PRIJEM	VKLAD	2500	43327	\N	\N	\N
1002551	3421	1997-08-19	VYDAJ	VYBER	2600	50447	\N	\N	\N
1002552	3421	1997-09-18	VYDAJ	VYBER	1200	48797	\N	\N	\N
1002553	3421	1997-10-18	VYDAJ	VYBER	2100	54294	\N	\N	\N
1002554	3421	1997-11-17	VYDAJ	VYBER	1100	62958	\N	\N	\N
1002555	3421	1997-12-17	VYDAJ	VYBER	8800	73057	\N	\N	\N
1002556	3421	1998-01-16	VYDAJ	VYBER	6400	70776	\N	\N	\N
1002557	3421	1998-02-15	VYDAJ	VYBER	4400	64178	\N	\N	\N
1002558	3421	1998-03-17	VYDAJ	VYBER	9100	64886	\N	\N	\N
1002559	3421	1998-04-16	VYDAJ	VYBER	7800	66908	\N	\N	\N
1002560	3421	1998-05-16	VYDAJ	VYBER	10900	64995	\N	\N	\N
1002561	3421	1998-06-15	VYDAJ	VYBER	11800	72128	\N	\N	\N
1002562	3421	1998-07-15	VYDAJ	VYBER	1300	58423	\N	\N	\N
1002563	3421	1998-08-14	VYDAJ	VYBER	8400	59801	\N	\N	\N
1002564	3421	1998-09-13	VYDAJ	VYBER	14600	54997	\N	\N	\N
1002565	3421	1998-10-13	VYDAJ	VYBER	8000	56782	\N	\N	\N
1002566	3421	1998-11-12	VYDAJ	VYBER	11300	63903	\N	\N	\N
1002614	3422	1996-03-28	PRIJEM	VKLAD	700	700	\N	\N	\N
1002618	3422	1996-04-11	PRIJEM	VKLAD	23623	24323	\N	\N	\N
1002619	3422	1996-05-11	PRIJEM	VKLAD	23623	48560	\N	\N	\N
1002620	3422	1996-06-11	PRIJEM	VKLAD	35435	72807	\N	\N	\N
1002621	3422	1996-07-11	PRIJEM	VKLAD	23623	70391	\N	\N	\N
1002622	3422	1996-08-11	PRIJEM	VKLAD	23623	68407	\N	\N	\N
1002623	3422	1996-09-11	PRIJEM	VKLAD	23623	61081	\N	\N	\N
1002624	3422	1996-10-11	PRIJEM	VKLAD	23623	59296	\N	\N	\N
1002625	3422	1996-11-11	PRIJEM	VKLAD	23623	56001	\N	\N	\N
1002626	3422	1996-12-11	PRIJEM	VKLAD	35435	64160	\N	\N	\N
1002627	3422	1997-01-11	PRIJEM	VKLAD	23623	48880	\N	\N	\N
1002628	3422	1997-02-11	PRIJEM	VKLAD	23623	47840	\N	\N	\N
1002629	3422	1997-03-11	PRIJEM	VKLAD	23623	45094	\N	\N	\N
1002630	3422	1997-04-11	PRIJEM	VKLAD	23623	37278	\N	\N	\N
1002631	3422	1997-05-11	PRIJEM	VKLAD	23623	38499	\N	\N	\N
1002632	3422	1997-06-11	PRIJEM	VKLAD	35435	54734	\N	\N	\N
1002633	3422	1997-07-11	PRIJEM	VKLAD	23623	30279	\N	\N	\N
1002634	3422	1997-08-11	PRIJEM	VKLAD	23623	43681	\N	\N	\N
1002635	3422	1997-09-11	PRIJEM	VKLAD	23623	45605	\N	\N	\N
1002636	3422	1997-10-11	PRIJEM	VKLAD	23623	51456	\N	\N	\N
1002637	3422	1997-11-11	PRIJEM	VKLAD	23623	49740	\N	\N	\N
1002638	3422	1997-12-11	PRIJEM	VKLAD	35435	62414	\N	\N	\N
1002639	3422	1998-01-11	PRIJEM	VKLAD	23623	58496	\N	\N	\N
1002640	3422	1998-02-11	PRIJEM	VKLAD	23623	52970	\N	\N	\N
1002641	3422	1998-03-11	PRIJEM	VKLAD	23623	55845	\N	\N	\N
1002642	3422	1998-04-11	PRIJEM	VKLAD	23623	53216	\N	\N	\N
1002643	3422	1998-05-11	PRIJEM	VKLAD	23623	51082	\N	\N	\N
1002644	3422	1998-06-11	PRIJEM	VKLAD	35435	55674	\N	\N	\N
1002645	3422	1998-07-11	PRIJEM	VKLAD	23623	58338	\N	\N	\N
1002646	3422	1998-08-11	PRIJEM	VKLAD	23623	52515	\N	\N	\N
1002647	3422	1998-09-11	PRIJEM	VKLAD	23623	55985	\N	\N	\N
1002648	3422	1998-10-11	PRIJEM	VKLAD	23623	56059	\N	\N	\N
1002649	3422	1998-11-11	PRIJEM	VKLAD	23623	56133	\N	\N	\N
1002650	3422	1998-12-11	PRIJEM	VKLAD	35435	61401	\N	\N	\N
1002659	3422	1996-09-06	VYDAJ	PREVOD NA UCET	9212	37458	SIPO	CD	16984451
1002660	3422	1996-10-06	VYDAJ	PREVOD NA UCET	9212	35673	SIPO	CD	16984451
1002661	3422	1996-11-06	VYDAJ	PREVOD NA UCET	9212	32378	SIPO	CD	16984451
1002662	3422	1996-12-06	VYDAJ	PREVOD NA UCET	9212	28725	SIPO	CD	16984451
1002663	3422	1997-01-06	VYDAJ	PREVOD NA UCET	9212	31817	SIPO	CD	16984451
1002664	3422	1997-02-06	VYDAJ	PREVOD NA UCET	9212	24217	SIPO	CD	16984451
1002665	3422	1997-03-06	VYDAJ	PREVOD NA UCET	9212	21471	SIPO	CD	16984451
1002666	3422	1997-04-06	VYDAJ	PREVOD NA UCET	9212	18815	SIPO	CD	16984451
1002667	3422	1997-05-06	VYDAJ	PREVOD NA UCET	9212	14876	SIPO	CD	16984451
1002668	3422	1997-06-06	VYDAJ	PREVOD NA UCET	9212	19300	SIPO	CD	16984451
1002669	3422	1997-07-06	VYDAJ	PREVOD NA UCET	9212	6656	SIPO	CD	16984451
1002670	3422	1997-08-06	VYDAJ	PREVOD NA UCET	9212	20058	SIPO	CD	16984451
1002671	3422	1997-09-06	VYDAJ	PREVOD NA UCET	9212	21982	SIPO	CD	16984451
1002672	3422	1997-10-06	VYDAJ	PREVOD NA UCET	9212	27833	SIPO	CD	16984451
1002673	3422	1997-11-06	VYDAJ	PREVOD NA UCET	9212	26117	SIPO	CD	16984451
1002674	3422	1997-12-06	VYDAJ	PREVOD NA UCET	9212	26980	SIPO	CD	16984451
1002675	3422	1998-01-06	VYDAJ	PREVOD NA UCET	9212	34873	SIPO	CD	16984451
1002676	3422	1998-02-06	VYDAJ	PREVOD NA UCET	9212	29347	SIPO	CD	16984451
1002677	3422	1998-03-06	VYDAJ	PREVOD NA UCET	9212	32222	SIPO	CD	16984451
1002678	3422	1998-04-06	VYDAJ	PREVOD NA UCET	9212	29593	SIPO	CD	16984451
1002679	3422	1998-05-06	VYDAJ	PREVOD NA UCET	9212	28859	SIPO	CD	16984451
1002680	3422	1998-06-06	VYDAJ	PREVOD NA UCET	9212	20239	SIPO	CD	16984451
1002681	3422	1998-07-06	VYDAJ	PREVOD NA UCET	9212	34715	SIPO	CD	16984451
1002682	3422	1998-08-06	VYDAJ	PREVOD NA UCET	9212	28892	SIPO	CD	16984451
1002683	3422	1998-09-06	VYDAJ	PREVOD NA UCET	9212	32362	SIPO	CD	16984451
1002684	3422	1998-10-06	VYDAJ	PREVOD NA UCET	9212	32436	SIPO	CD	16984451
1002685	3422	1998-11-06	VYDAJ	PREVOD NA UCET	9212	32510	SIPO	CD	16984451
1002686	3422	1998-12-06	VYDAJ	PREVOD NA UCET	9212	25966	SIPO	CD	16984451
1002688	3422	1997-06-16	VYDAJ	VYBER	40960	13774	\N	\N	\N
1002689	3422	1998-06-03	VYDAJ	VYBER	6880	29451	\N	\N	\N
1002691	3422	1997-01-07	VYDAJ	VYBER	6560	25257	\N	\N	\N
1002692	3422	1998-01-14	VYDAJ	VYBER	12800	45696	\N	\N	\N
1002693	3422	1996-12-11	VYDAJ	VYBER	1120	63040	\N	\N	\N
1002694	3422	1997-12-02	VYDAJ	VYBER KARTOU	2400	36192	\N	\N	0
1002695	3422	1998-12-15	VYDAJ	VYBER	4640	35861	\N	\N	\N
1002697	3422	1996-08-13	VYDAJ	VYBER	5040	63367	\N	\N	\N
1002698	3422	1996-11-16	VYDAJ	VYBER	2040	53961	\N	\N	\N
1002699	3422	1997-03-25	VYDAJ	VYBER KARTOU	2800	27894	\N	\N	0
1002700	3422	1997-10-13	VYDAJ	VYBER KARTOU	2500	48356	\N	\N	0
1002701	3422	1997-04-22	VYDAJ	VYBER	4800	23978	\N	\N	\N
1002702	3422	1997-10-13	VYDAJ	VYBER KARTOU	600	50856	\N	\N	0
1002703	3422	1997-10-25	VYDAJ	VYBER	4080	35176	\N	\N	\N
1002704	3422	1997-08-27	VYDAJ	VYBER	5520	31061	\N	\N	\N
1002705	3422	1997-04-10	VYDAJ	VYBER	5160	13655	\N	\N	\N
1002706	3422	1998-05-19	VYDAJ	VYBER KARTOU	2400	36182	\N	\N	0
1002707	3422	1998-03-01	VYDAJ	VYBER KARTOU	1200	41434	\N	\N	0
1002708	3422	1998-04-12	VYDAJ	VYBER KARTOU	3000	50216	\N	\N	0
1002709	3422	1998-05-10	VYDAJ	VYBER KARTOU	1400	27459	\N	\N	0
1002710	3422	1998-07-21	VYDAJ	VYBER KARTOU	2500	37938	\N	\N	0
1002719	3422	1996-08-31	VYDAJ	VYBER	15	46670	SLUZBY	\N	\N
1002720	3422	1996-09-30	VYDAJ	VYBER	15	44885	SLUZBY	\N	\N
1002721	3422	1996-10-31	VYDAJ	VYBER	15	41590	SLUZBY	\N	\N
1002722	3422	1996-11-30	VYDAJ	VYBER	15	37937	SLUZBY	\N	\N
1002723	3422	1996-12-31	VYDAJ	VYBER	15	41029	SLUZBY	\N	\N
1002724	3422	1997-01-31	VYDAJ	VYBER	15	33429	SLUZBY	\N	\N
1002725	3422	1997-02-28	VYDAJ	VYBER	15	30683	SLUZBY	\N	\N
1002726	3422	1997-03-31	VYDAJ	VYBER	15	28027	SLUZBY	\N	\N
1002727	3422	1997-04-30	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
1002728	3422	1997-05-31	VYDAJ	VYBER	15	28512	SLUZBY	\N	\N
1002729	3422	1997-06-30	VYDAJ	VYBER	15	15868	SLUZBY	\N	\N
1002730	3422	1997-07-31	VYDAJ	VYBER	15	29270	SLUZBY	\N	\N
1002731	3422	1997-08-31	VYDAJ	VYBER	15	31194	SLUZBY	\N	\N
1002732	3422	1997-09-30	VYDAJ	VYBER	15	37045	SLUZBY	\N	\N
1002733	3422	1997-10-31	VYDAJ	VYBER	15	35329	SLUZBY	\N	\N
1002734	3422	1997-11-30	VYDAJ	VYBER	15	38592	SLUZBY	\N	\N
1002735	3422	1997-12-31	VYDAJ	VYBER	15	44085	SLUZBY	\N	\N
1002736	3422	1998-01-31	VYDAJ	VYBER	15	38559	SLUZBY	\N	\N
1002737	3422	1998-02-28	VYDAJ	VYBER	15	42634	SLUZBY	\N	\N
1002738	3422	1998-03-31	VYDAJ	VYBER	15	38805	SLUZBY	\N	\N
1002739	3422	1998-04-30	VYDAJ	VYBER	15	38071	SLUZBY	\N	\N
1002740	3422	1998-05-31	VYDAJ	VYBER	15	36331	SLUZBY	\N	\N
1002741	3422	1998-06-30	VYDAJ	VYBER	15	43927	SLUZBY	\N	\N
1002742	3422	1998-07-31	VYDAJ	VYBER	15	38104	SLUZBY	\N	\N
1002743	3422	1998-08-31	VYDAJ	VYBER	15	41574	SLUZBY	\N	\N
1002744	3422	1998-09-30	VYDAJ	VYBER	15	41648	SLUZBY	\N	\N
1002745	3422	1998-10-31	VYDAJ	VYBER	15	41722	SLUZBY	\N	\N
1002746	3422	1998-11-30	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
1002747	3422	1996-04-27	PRIJEM	VKLAD	600	24923	\N	\N	\N
1002748	3422	1996-05-27	VYDAJ	VYBER	11300	37260	\N	\N	\N
1002749	3422	1996-06-26	VYDAJ	VYBER	26200	46607	\N	\N	\N
1002750	3422	1996-07-26	VYDAJ	VYBER	25800	44591	\N	\N	\N
1002751	3422	1996-08-25	VYDAJ	VYBER	16900	46467	\N	\N	\N
1002752	3422	1996-09-24	VYDAJ	VYBER	16400	44681	\N	\N	\N
1002753	3422	1996-10-24	VYDAJ	VYBER	17900	41396	\N	\N	\N
1002754	3422	1996-11-23	VYDAJ	VYBER	16200	37761	\N	\N	\N
1002755	3422	1996-12-23	VYDAJ	VYBER	22200	40840	\N	\N	\N
1002756	3422	1997-01-22	VYDAJ	VYBER	15600	33280	\N	\N	\N
1002757	3422	1997-02-21	VYDAJ	VYBER	17300	30540	\N	\N	\N
1002758	3422	1997-03-23	VYDAJ	VYBER	14400	30694	\N	\N	\N
1002759	3422	1997-04-22	VYDAJ	VYBER	8500	28778	\N	\N	\N
1002760	3422	1997-05-22	VYDAJ	VYBER	10100	28399	\N	\N	\N
1002761	3422	1997-06-21	PRIJEM	VKLAD	2000	15774	\N	\N	\N
1002762	3422	1997-07-21	VYDAJ	VYBER KARTOU	1100	29179	\N	\N	0
1002763	3422	1997-08-20	VYDAJ	VYBER	7100	36581	\N	\N	\N
1002764	3422	1997-09-19	VYDAJ	VYBER	8700	36905	\N	\N	\N
1002765	3422	1997-10-19	VYDAJ	VYBER	9100	39256	\N	\N	\N
1002766	3422	1997-11-18	VYDAJ	VYBER	11300	38440	\N	\N	\N
1002767	3422	1997-12-18	VYDAJ	VYBER	18500	43914	\N	\N	\N
1002768	3422	1998-01-17	VYDAJ	VYBER	7300	38396	\N	\N	\N
1002769	3422	1998-02-16	VYDAJ	VYBER	10500	42470	\N	\N	\N
1002770	3422	1998-03-18	VYDAJ	VYBER	17200	38645	\N	\N	\N
1002771	3422	1998-04-17	VYDAJ	VYBER	12300	37916	\N	\N	\N
1002772	3422	1998-05-17	VYDAJ	VYBER	12500	38582	\N	\N	\N
1002773	3422	1998-06-16	VYDAJ	VYBER	11900	43774	\N	\N	\N
1002774	3422	1998-07-16	VYDAJ	VYBER	17900	40438	\N	\N	\N
1002775	3422	1998-08-15	VYDAJ	VYBER	11100	41415	\N	\N	\N
1002776	3422	1998-09-14	VYDAJ	VYBER	14500	41485	\N	\N	\N
1002777	3422	1998-10-14	VYDAJ	VYBER	14500	41559	\N	\N	\N
1002778	3422	1998-11-13	VYDAJ	VYBER	21100	35033	\N	\N	\N
1002779	3422	1998-12-13	VYDAJ	VYBER	20900	40501	\N	\N	\N
1002813	3423	1997-11-10	PRIJEM	VKLAD	300	300	\N	\N	\N
1002824	3423	1997-11-14	PRIJEM	VKLAD	5693	5993	\N	\N	\N
1002825	3423	1997-12-14	PRIJEM	VKLAD	8540	24447	\N	\N	\N
1002826	3423	1998-01-14	PRIJEM	VKLAD	5693	31409	\N	\N	\N
1002827	3423	1998-02-14	PRIJEM	VKLAD	5693	34921	\N	\N	\N
1002828	3423	1998-03-14	PRIJEM	VKLAD	5693	30353	\N	\N	\N
1002829	3423	1998-04-14	PRIJEM	VKLAD	5693	27371	\N	\N	\N
1002830	3423	1998-05-14	PRIJEM	VKLAD	5693	24566	\N	\N	\N
1002831	3423	1998-06-14	PRIJEM	VKLAD	8540	27457	\N	\N	\N
1002832	3423	1998-07-14	PRIJEM	VKLAD	5693	23544	\N	\N	\N
1002833	3423	1998-08-14	PRIJEM	VKLAD	5693	17325	\N	\N	\N
1002834	3423	1998-09-14	PRIJEM	VKLAD	5693	19280	\N	\N	\N
1002835	3423	1998-10-14	PRIJEM	VKLAD	5693	21236	\N	\N	\N
1002836	3423	1998-11-14	PRIJEM	VKLAD	5693	23201	\N	\N	\N
1002837	3423	1998-12-14	PRIJEM	VKLAD	8540	17021	\N	\N	\N
1002853	3423	1998-04-05	VYDAJ	PREVOD NA UCET	1110	29363	SIPO	UV	56754469
1002854	3423	1998-05-05	VYDAJ	PREVOD NA UCET	1110	26358	SIPO	UV	56754469
1002855	3423	1998-06-05	VYDAJ	PREVOD NA UCET	1110	23542	SIPO	UV	56754469
1002856	3423	1998-07-05	VYDAJ	PREVOD NA UCET	1110	26436	SIPO	UV	56754469
1002857	3423	1998-08-05	VYDAJ	PREVOD NA UCET	1110	22517	SIPO	UV	56754469
1002858	3423	1998-09-05	VYDAJ	PREVOD NA UCET	1110	16272	SIPO	UV	56754469
1002859	3423	1998-10-05	VYDAJ	PREVOD NA UCET	1110	18228	SIPO	UV	56754469
1002860	3423	1998-11-05	VYDAJ	PREVOD NA UCET	1110	20193	SIPO	UV	56754469
1002861	3423	1998-12-05	VYDAJ	PREVOD NA UCET	1110	22166	SIPO	UV	56754469
1002877	3423	1998-04-07	VYDAJ	PREVOD NA UCET	2685	26678	 	GH	76289182
1002878	3423	1998-05-07	VYDAJ	PREVOD NA UCET	2685	23673	 	GH	76289182
1002879	3423	1998-06-07	VYDAJ	PREVOD NA UCET	2685	20857	 	GH	76289182
1002880	3423	1998-07-07	VYDAJ	PREVOD NA UCET	2685	23751	 	GH	76289182
1002881	3423	1998-08-07	VYDAJ	PREVOD NA UCET	2685	11632	 	GH	76289182
1002882	3423	1998-09-07	VYDAJ	PREVOD NA UCET	2685	13587	 	GH	76289182
1002883	3423	1998-10-07	VYDAJ	PREVOD NA UCET	2685	15543	 	GH	76289182
1002884	3423	1998-11-07	VYDAJ	PREVOD NA UCET	2685	17508	 	GH	76289182
1002885	3423	1998-12-07	VYDAJ	PREVOD NA UCET	2685	8481	 	GH	76289182
1002891	3423	1998-12-30	VYDAJ	VYBER	3840	13181	\N	\N	\N
1002907	3423	1998-06-08	VYDAJ	VYBER	2040	18917	\N	\N	\N
1002924	3423	1998-03-31	VYDAJ	VYBER	15	30473	SLUZBY	\N	\N
1002925	3423	1998-04-30	VYDAJ	VYBER	15	27468	SLUZBY	\N	\N
1002926	3423	1998-05-31	VYDAJ	VYBER	15	24652	SLUZBY	\N	\N
1002927	3423	1998-06-30	VYDAJ	VYBER	15	27546	SLUZBY	\N	\N
1002928	3423	1998-07-31	VYDAJ	VYBER	15	23627	SLUZBY	\N	\N
1002929	3423	1998-08-31	VYDAJ	VYBER	15	17382	SLUZBY	\N	\N
1002930	3423	1998-09-30	VYDAJ	VYBER	15	19338	SLUZBY	\N	\N
1002931	3423	1998-10-31	VYDAJ	VYBER	15	21303	SLUZBY	\N	\N
1002932	3423	1998-11-30	VYDAJ	VYBER	15	23276	SLUZBY	\N	\N
1002933	3423	1997-12-10	PRIJEM	VKLAD	9900	15907	\N	\N	\N
1002934	3423	1998-01-09	PRIJEM	VKLAD	1200	25716	\N	\N	\N
1002935	3423	1998-02-08	VYDAJ	VYBER	2300	29228	\N	\N	\N
1002936	3423	1998-03-10	VYDAJ	VYBER	10400	24660	\N	\N	\N
1002937	3423	1998-04-09	VYDAJ	VYBER	5000	21678	\N	\N	\N
1002938	3423	1998-05-09	VYDAJ	VYBER	4800	18873	\N	\N	\N
1002939	3423	1998-06-08	PRIJEM	VKLAD	100	20957	\N	\N	\N
1002940	3423	1998-07-08	VYDAJ	VYBER	5900	17851	\N	\N	\N
1002941	3423	1998-08-07	VYDAJ	VYBER	8200	14317	\N	\N	\N
1002942	3423	1998-12-05	VYDAJ	VYBER	11000	11166	\N	\N	\N
1002957	3424	1993-02-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1002958	3424	1993-10-18	PRIJEM	VKLAD	8454	72234	\N	\N	\N
1002960	3424	1993-02-18	PRIJEM	VKLAD	44162	45062	\N	\N	\N
1002961	3424	1993-09-26	PRIJEM	VKLAD	10706	40553	\N	\N	\N
1002962	3424	1993-10-24	PRIJEM	VKLAD	18939	91173	\N	\N	\N
1002963	3424	1993-08-27	PRIJEM	VKLAD	19616	104880	\N	\N	\N
1002965	3424	1993-12-27	PRIJEM	VKLAD	35450	76337	\N	\N	\N
1002966	3424	1993-10-16	PRIJEM	VKLAD	20904	63780	\N	\N	\N
1002967	3424	1993-11-20	PRIJEM	VKLAD	30669	65253	\N	\N	\N
1002969	3424	1993-08-19	PRIJEM	VKLAD	35784	85264	\N	\N	\N
1002972	3424	1993-07-20	PRIJEM	VKLAD	18704	44391	\N	\N	\N
1002974	3424	1993-10-06	PRIJEM	VKLAD	27139	67882	\N	\N	\N
1002975	3424	1993-08-13	PRIJEM	VKLAD	27103	71680	\N	\N	\N
1002976	3424	1994-06-04	PRIJEM	VKLAD	25507	105102	\N	\N	\N
1002977	3424	1994-10-23	PRIJEM	VKLAD	6829	23246	\N	\N	\N
1002978	3424	1994-03-07	PRIJEM	VKLAD	8987	34394	\N	\N	\N
1002979	3424	1994-02-03	PRIJEM	VKLAD	8198	57172	\N	\N	\N
1002980	3424	1994-03-10	PRIJEM	VKLAD	21762	75258	\N	\N	\N
1002981	3424	1994-05-21	PRIJEM	VKLAD	37330	79389	\N	\N	\N
1002982	3424	1994-11-04	PRIJEM	VKLAD	6334	29649	\N	\N	\N
1002983	3424	1994-05-19	PRIJEM	VKLAD	9856	42059	\N	\N	\N
1002984	3424	1994-06-18	PRIJEM	VKLAD	41477	90556	\N	\N	\N
1002985	3424	1994-12-29	PRIJEM	VKLAD	32871	53410	\N	\N	\N
1002986	3424	1994-06-21	PRIJEM	VKLAD	39192	129748	\N	\N	\N
1002987	3424	1994-03-22	PRIJEM	VKLAD	17522	67301	\N	\N	\N
1002988	3424	1994-11-13	PRIJEM	VKLAD	37914	61057	\N	\N	\N
1002989	3424	1994-03-08	PRIJEM	VKLAD	22829	57223	\N	\N	\N
1002990	3424	1994-12-06	PRIJEM	VKLAD	11959	37045	\N	\N	\N
1002991	3424	1995-01-19	PRIJEM	VKLAD	26482	80004	\N	\N	\N
1002992	3424	1995-04-12	PRIJEM	VKLAD	12247	55325	\N	\N	\N
1002993	3424	1995-04-17	PRIJEM	VKLAD	38790	89136	\N	\N	\N
1002994	3424	1995-05-13	PRIJEM	VKLAD	27071	74738	\N	\N	\N
1002995	3424	1995-02-18	PRIJEM	VKLAD	28612	102556	\N	\N	\N
1002996	3424	1995-07-30	PRIJEM	VKLAD	38140	66693	\N	\N	\N
1002997	3424	1995-12-14	PRIJEM	VKLAD	17339	44585	\N	\N	\N
1002998	3424	1995-01-10	PRIJEM	VKLAD	18618	58501	\N	\N	\N
1002999	3424	1995-04-20	PRIJEM	VKLAD	39064	128200	\N	\N	\N
1003000	3424	1995-03-08	PRIJEM	VKLAD	10970	113834	\N	\N	\N
1003001	3424	1995-02-16	PRIJEM	VKLAD	31598	73944	\N	\N	\N
1003002	3424	1995-04-21	PRIJEM	VKLAD	46102	144102	\N	\N	\N
1003003	3424	1995-05-01	PRIJEM	VKLAD	8731	74773	\N	\N	\N
1003004	3424	1996-04-21	PRIJEM	VKLAD	7423	108637	\N	\N	\N
1003005	3424	1996-10-03	PRIJEM	VKLAD	27470	85962	\N	\N	\N
1003006	3424	1996-06-04	PRIJEM	VKLAD	22805	68567	\N	\N	\N
1003007	3424	1996-03-28	PRIJEM	VKLAD	47544	151731	\N	\N	\N
1003008	3424	1996-04-14	PRIJEM	VKLAD	38174	101214	\N	\N	\N
1003009	3424	1996-08-30	PRIJEM	VKLAD	48154	86298	\N	\N	\N
1003010	3424	1996-03-24	PRIJEM	VKLAD	19341	84442	\N	\N	\N
1003011	3424	1996-03-25	PRIJEM	VKLAD	19745	104187	\N	\N	\N
1003012	3424	1996-03-03	PRIJEM	VKLAD	43434	82807	\N	\N	\N
1003013	3424	1996-05-08	PRIJEM	VKLAD	9582	50308	\N	\N	\N
1003014	3424	1996-12-10	PRIJEM	VKLAD	23971	107508	\N	\N	\N
1003015	3424	1996-08-06	PRIJEM	VKLAD	32456	82085	\N	\N	\N
1003016	3424	1996-11-09	PRIJEM	VKLAD	32190	86158	\N	\N	\N
1003017	3424	1996-12-02	PRIJEM	VKLAD	37634	87264	\N	\N	\N
1003018	3424	1996-07-17	PRIJEM	VKLAD	44628	76802	\N	\N	\N
1003019	3424	1997-04-07	PRIJEM	VKLAD	8853	86989	\N	\N	\N
1003020	3424	1997-04-30	PRIJEM	VKLAD	5739	76541	\N	\N	\N
1003021	3424	1997-03-14	PRIJEM	VKLAD	22067	89523	\N	\N	\N
1003022	3424	1997-03-05	PRIJEM	VKLAD	5681	76162	\N	\N	\N
1003023	3424	1997-09-10	PRIJEM	VKLAD	30708	76313	\N	\N	\N
1003024	3424	1997-08-14	PRIJEM	VKLAD	30913	69708	\N	\N	\N
1003025	3424	1997-09-17	PRIJEM	VKLAD	9960	81294	\N	\N	\N
1003026	3424	1997-12-26	PRIJEM	VKLAD	43720	94339	\N	\N	\N
1003027	3424	1997-10-27	PRIJEM	VKLAD	31030	85399	\N	\N	\N
1003028	3424	1997-12-30	PRIJEM	VKLAD	15575	86814	\N	\N	\N
1003029	3424	1997-01-29	PRIJEM	VKLAD	22783	81142	\N	\N	\N
1003030	3424	1998-10-08	PRIJEM	VKLAD	39541	111324	\N	\N	\N
1003031	3424	1998-12-15	PRIJEM	VKLAD	12464	94913	\N	\N	\N
1003032	3424	1998-11-26	PRIJEM	VKLAD	8636	99595	\N	\N	\N
1003033	3424	1998-04-05	PRIJEM	VKLAD	40465	127183	\N	\N	\N
1003034	3424	1998-06-13	PRIJEM	VKLAD	45952	108466	\N	\N	\N
1003035	3424	1998-06-21	PRIJEM	VKLAD	19052	114618	\N	\N	\N
1003036	3424	1998-03-14	PRIJEM	VKLAD	12953	66788	\N	\N	\N
1003037	3424	1998-11-24	PRIJEM	VKLAD	34536	90959	\N	\N	\N
1003038	3424	1998-01-22	PRIJEM	VKLAD	39567	100371	\N	\N	\N
1003039	3424	1998-10-09	PRIJEM	VKLAD	24386	124610	\N	\N	\N
1003040	3424	1998-03-26	PRIJEM	VKLAD	41136	114724	\N	\N	\N
1003041	3424	1998-01-28	PRIJEM	VKLAD	19805	120176	\N	\N	\N
1003042	3424	1998-09-06	PRIJEM	VKLAD	11619	77686	\N	\N	\N
1003043	3424	1998-08-15	PRIJEM	VKLAD	39561	102641	\N	\N	\N
1003044	3424	1998-11-03	PRIJEM	VKLAD	13050	90269	\N	\N	\N
1003045	3424	1998-05-17	PRIJEM	VKLAD	40063	82464	\N	\N	\N
1003046	3424	1998-07-20	PRIJEM	VKLAD	41232	126065	\N	\N	\N
1003127	3424	1993-09-12	VYDAJ	PREVOD NA UCET	4979	58327	SIPO	OP	73358708
1003128	3424	1993-10-12	VYDAJ	PREVOD NA UCET	4979	59176	SIPO	OP	73358708
1003129	3424	1993-11-12	VYDAJ	PREVOD NA UCET	4979	59180	SIPO	OP	73358708
1003130	3424	1993-12-12	VYDAJ	PREVOD NA UCET	4979	53487	SIPO	OP	73358708
1003131	3424	1994-01-12	VYDAJ	PREVOD NA UCET	4979	67846	SIPO	OP	73358708
1003132	3424	1994-02-12	VYDAJ	PREVOD NA UCET	4979	32766	SIPO	OP	73358708
1003133	3424	1994-03-12	VYDAJ	PREVOD NA UCET	4979	70279	SIPO	OP	73358708
1003134	3424	1994-04-12	VYDAJ	PREVOD NA UCET	4979	41799	SIPO	OP	73358708
1003135	3424	1994-05-12	VYDAJ	PREVOD NA UCET	4979	32203	SIPO	OP	73358708
1003136	3424	1994-06-12	VYDAJ	PREVOD NA UCET	4979	49079	SIPO	OP	73358708
1003137	3424	1994-07-12	VYDAJ	PREVOD NA UCET	4979	49093	SIPO	OP	73358708
1003138	3424	1994-08-12	VYDAJ	PREVOD NA UCET	4979	21867	SIPO	OP	73358708
1003139	3424	1994-09-12	VYDAJ	PREVOD NA UCET	4979	19651	SIPO	OP	73358708
1003140	3424	1994-10-12	VYDAJ	PREVOD NA UCET	4979	16417	SIPO	OP	73358708
1003141	3424	1994-11-12	VYDAJ	PREVOD NA UCET	4979	23143	SIPO	OP	73358708
1003142	3424	1994-12-12	VYDAJ	PREVOD NA UCET	4979	20539	SIPO	OP	73358708
1003143	3424	1995-01-12	VYDAJ	PREVOD NA UCET	4979	53522	SIPO	OP	73358708
1003144	3424	1995-02-12	VYDAJ	PREVOD NA UCET	4979	42346	SIPO	OP	73358708
1003145	3424	1995-03-12	VYDAJ	PREVOD NA UCET	4979	57528	SIPO	OP	73358708
1003146	3424	1995-04-12	VYDAJ	PREVOD NA UCET	4979	50346	SIPO	OP	73358708
1003147	3424	1995-05-12	VYDAJ	PREVOD NA UCET	4979	47667	SIPO	OP	73358708
1003148	3424	1995-06-12	VYDAJ	PREVOD NA UCET	4979	34690	SIPO	OP	73358708
1003149	3424	1995-07-12	VYDAJ	PREVOD NA UCET	4979	30053	SIPO	OP	73358708
1003150	3424	1995-08-12	VYDAJ	PREVOD NA UCET	4979	45310	SIPO	OP	73358708
1003151	3424	1995-09-12	VYDAJ	PREVOD NA UCET	4979	35902	SIPO	OP	73358708
1003152	3424	1995-10-12	VYDAJ	PREVOD NA UCET	4979	29944	SIPO	OP	73358708
1003153	3424	1995-11-12	VYDAJ	PREVOD NA UCET	4979	25455	SIPO	OP	73358708
1003154	3424	1995-12-12	VYDAJ	PREVOD NA UCET	4979	27246	SIPO	OP	73358708
1003155	3424	1996-01-12	VYDAJ	PREVOD NA UCET	4979	24787	SIPO	OP	73358708
1003156	3424	1996-02-12	VYDAJ	PREVOD NA UCET	4979	28772	SIPO	OP	73358708
1003157	3424	1996-03-12	VYDAJ	PREVOD NA UCET	4979	74101	SIPO	OP	73358708
1003158	3424	1996-04-12	VYDAJ	PREVOD NA UCET	4979	63040	SIPO	OP	73358708
1003159	3424	1996-05-12	VYDAJ	PREVOD NA UCET	4979	41602	SIPO	OP	73358708
1003160	3424	1996-06-12	VYDAJ	PREVOD NA UCET	4979	59861	SIPO	OP	73358708
1003161	3424	1996-07-12	VYDAJ	PREVOD NA UCET	4979	32174	SIPO	OP	73358708
1003162	3424	1996-08-12	VYDAJ	PREVOD NA UCET	4979	26244	SIPO	OP	73358708
1003163	3424	1996-09-12	VYDAJ	PREVOD NA UCET	4979	59231	SIPO	OP	73358708
1003164	3424	1996-10-12	VYDAJ	PREVOD NA UCET	4979	65219	SIPO	OP	73358708
1003165	3424	1996-11-12	VYDAJ	PREVOD NA UCET	4979	64491	SIPO	OP	73358708
1003166	3424	1996-12-12	VYDAJ	PREVOD NA UCET	4979	102529	SIPO	OP	73358708
1003167	3424	1997-01-12	VYDAJ	PREVOD NA UCET	4979	55759	SIPO	OP	73358708
1003168	3424	1997-02-12	VYDAJ	PREVOD NA UCET	4979	72684	SIPO	OP	73358708
1003169	3424	1997-03-12	VYDAJ	PREVOD NA UCET	4979	67456	SIPO	OP	73358708
1003170	3424	1997-04-12	VYDAJ	PREVOD NA UCET	4979	78283	SIPO	OP	73358708
1003171	3424	1997-05-12	VYDAJ	PREVOD NA UCET	4979	53969	SIPO	OP	73358708
1003172	3424	1997-06-12	VYDAJ	PREVOD NA UCET	4979	23359	SIPO	OP	73358708
1003173	3424	1997-07-12	VYDAJ	PREVOD NA UCET	4979	33058	SIPO	OP	73358708
1003174	3424	1997-08-12	VYDAJ	PREVOD NA UCET	4979	38795	SIPO	OP	73358708
1003175	3424	1997-09-12	VYDAJ	PREVOD NA UCET	4979	71334	SIPO	OP	73358708
1003176	3424	1997-10-12	VYDAJ	PREVOD NA UCET	4979	57351	SIPO	OP	73358708
1003177	3424	1997-11-12	VYDAJ	PREVOD NA UCET	4979	65847	SIPO	OP	73358708
1003178	3424	1997-12-12	VYDAJ	PREVOD NA UCET	4979	37719	SIPO	OP	73358708
1003179	3424	1998-01-12	VYDAJ	PREVOD NA UCET	4979	74717	SIPO	OP	73358708
1003180	3424	1998-02-12	VYDAJ	PREVOD NA UCET	4979	68894	SIPO	OP	73358708
1003181	3424	1998-03-12	VYDAJ	PREVOD NA UCET	4979	53835	SIPO	OP	73358708
1003182	3424	1998-04-12	VYDAJ	PREVOD NA UCET	4979	87977	SIPO	OP	73358708
1003183	3424	1998-05-12	VYDAJ	PREVOD NA UCET	4979	65474	SIPO	OP	73358708
1003184	3424	1998-06-12	VYDAJ	PREVOD NA UCET	4979	62514	SIPO	OP	73358708
1003185	3424	1998-07-12	VYDAJ	PREVOD NA UCET	4979	98333	SIPO	OP	73358708
1003186	3424	1998-08-12	VYDAJ	PREVOD NA UCET	4979	63080	SIPO	OP	73358708
1003187	3424	1998-09-12	VYDAJ	PREVOD NA UCET	4979	68980	SIPO	OP	73358708
1003188	3424	1998-10-12	VYDAJ	PREVOD NA UCET	4979	75304	SIPO	OP	73358708
1003189	3424	1998-11-12	VYDAJ	PREVOD NA UCET	4979	39814	SIPO	OP	73358708
1003190	3424	1998-12-12	VYDAJ	PREVOD NA UCET	4979	82449	SIPO	OP	73358708
1003199	3424	1993-09-09	VYDAJ	PREVOD NA UCET	2264	64769	 	AB	4327679
1003200	3424	1993-10-09	VYDAJ	PREVOD NA UCET	2264	64155	 	AB	4327679
1003201	3424	1993-11-09	VYDAJ	PREVOD NA UCET	2264	64159	 	AB	4327679
1003202	3424	1993-12-09	VYDAJ	PREVOD NA UCET	2264	58466	 	AB	4327679
1003203	3424	1994-01-09	VYDAJ	PREVOD NA UCET	2264	72825	 	AB	4327679
1003204	3424	1994-02-09	VYDAJ	PREVOD NA UCET	2264	54908	 	AB	4327679
1003205	3424	1994-03-09	VYDAJ	PREVOD NA UCET	2264	53496	 	AB	4327679
1003206	3424	1994-04-09	VYDAJ	PREVOD NA UCET	2264	65241	 	AB	4327679
1003207	3424	1994-05-09	VYDAJ	PREVOD NA UCET	2264	39745	 	AB	4327679
1003208	3424	1994-06-09	VYDAJ	PREVOD NA UCET	2264	84621	 	AB	4327679
1003209	3424	1994-07-09	VYDAJ	PREVOD NA UCET	2264	79172	 	AB	4327679
1003210	3424	1994-08-09	VYDAJ	PREVOD NA UCET	2264	28746	 	AB	4327679
1003211	3424	1994-09-09	VYDAJ	PREVOD NA UCET	2264	26093	 	AB	4327679
1003212	3424	1994-10-09	VYDAJ	PREVOD NA UCET	2264	22859	 	AB	4327679
1003213	3424	1994-11-09	VYDAJ	PREVOD NA UCET	2264	29585	 	AB	4327679
1003214	3424	1994-12-09	VYDAJ	PREVOD NA UCET	2264	29118	 	AB	4327679
1003215	3424	1995-01-09	VYDAJ	PREVOD NA UCET	2264	39883	 	AB	4327679
1003216	3424	1995-02-09	VYDAJ	PREVOD NA UCET	2264	48788	 	AB	4327679
1003217	3424	1995-03-09	VYDAJ	PREVOD NA UCET	2264	62507	 	AB	4327679
1003218	3424	1995-04-09	VYDAJ	PREVOD NA UCET	2264	44541	 	AB	4327679
1003219	3424	1995-05-09	VYDAJ	PREVOD NA UCET	2264	52646	 	AB	4327679
1003220	3424	1995-06-09	VYDAJ	PREVOD NA UCET	2264	45332	 	AB	4327679
1003221	3424	1995-07-09	VYDAJ	PREVOD NA UCET	2264	36495	 	AB	4327679
1003222	3424	1995-08-09	VYDAJ	PREVOD NA UCET	2264	51752	 	AB	4327679
1003223	3424	1995-09-09	VYDAJ	PREVOD NA UCET	2264	40881	 	AB	4327679
1003224	3424	1995-10-09	VYDAJ	PREVOD NA UCET	2264	36386	 	AB	4327679
1003225	3424	1995-11-09	VYDAJ	PREVOD NA UCET	2264	30434	 	AB	4327679
1003226	3424	1995-12-09	VYDAJ	PREVOD NA UCET	2264	32225	 	AB	4327679
1003227	3424	1996-01-09	VYDAJ	PREVOD NA UCET	2264	29766	 	AB	4327679
1003228	3424	1996-02-09	VYDAJ	PREVOD NA UCET	2264	35214	 	AB	4327679
1003229	3424	1996-03-09	VYDAJ	PREVOD NA UCET	2264	79080	 	AB	4327679
1003230	3424	1996-04-09	VYDAJ	PREVOD NA UCET	2264	77696	 	AB	4327679
1003231	3424	1996-05-09	VYDAJ	PREVOD NA UCET	2264	46581	 	AB	4327679
1003232	3424	1996-06-09	VYDAJ	PREVOD NA UCET	2264	66303	 	AB	4327679
1003233	3424	1996-07-09	VYDAJ	PREVOD NA UCET	2264	37153	 	AB	4327679
1003234	3424	1996-08-09	VYDAJ	PREVOD NA UCET	2264	69571	 	AB	4327679
1003235	3424	1996-09-09	VYDAJ	PREVOD NA UCET	2264	65673	 	AB	4327679
1003236	3424	1996-10-09	VYDAJ	PREVOD NA UCET	2264	83698	 	AB	4327679
1003237	3424	1996-11-09	VYDAJ	PREVOD NA UCET	2264	83894	 	AB	4327679
1003238	3424	1996-12-09	VYDAJ	PREVOD NA UCET	2264	83537	 	AB	4327679
1003239	3424	1997-01-09	VYDAJ	PREVOD NA UCET	2264	60738	 	AB	4327679
1003240	3424	1997-02-09	VYDAJ	PREVOD NA UCET	2264	77663	 	AB	4327679
1003241	3424	1997-03-09	VYDAJ	PREVOD NA UCET	2264	73898	 	AB	4327679
1003242	3424	1997-04-09	VYDAJ	PREVOD NA UCET	2264	83262	 	AB	4327679
1003243	3424	1997-05-09	VYDAJ	PREVOD NA UCET	2264	60411	 	AB	4327679
1003244	3424	1997-06-09	VYDAJ	PREVOD NA UCET	2264	29801	 	AB	4327679
1003245	3424	1997-07-09	VYDAJ	PREVOD NA UCET	2264	38037	 	AB	4327679
1003246	3424	1997-08-09	VYDAJ	PREVOD NA UCET	2264	45237	 	AB	4327679
1003247	3424	1997-09-09	VYDAJ	PREVOD NA UCET	2264	45605	 	AB	4327679
1003248	3424	1997-10-09	VYDAJ	PREVOD NA UCET	2264	63793	 	AB	4327679
1003249	3424	1997-11-09	VYDAJ	PREVOD NA UCET	2264	70826	 	AB	4327679
1003250	3424	1997-12-09	VYDAJ	PREVOD NA UCET	2264	42698	 	AB	4327679
1003251	3424	1998-01-09	VYDAJ	PREVOD NA UCET	2264	81159	 	AB	4327679
1003252	3424	1998-02-09	VYDAJ	PREVOD NA UCET	2264	75336	 	AB	4327679
1003253	3424	1998-03-09	VYDAJ	PREVOD NA UCET	2264	66609	 	AB	4327679
1003254	3424	1998-04-09	VYDAJ	PREVOD NA UCET	2264	94419	 	AB	4327679
1003255	3424	1998-05-09	VYDAJ	PREVOD NA UCET	2264	70453	 	AB	4327679
1003256	3424	1998-06-09	VYDAJ	PREVOD NA UCET	2264	68956	 	AB	4327679
1003257	3424	1998-07-09	VYDAJ	PREVOD NA UCET	2264	104775	 	AB	4327679
1003258	3424	1998-08-09	VYDAJ	PREVOD NA UCET	2264	69522	 	AB	4327679
1003259	3424	1998-09-09	VYDAJ	PREVOD NA UCET	2264	73959	 	AB	4327679
1003260	3424	1998-10-09	VYDAJ	PREVOD NA UCET	2264	120883	 	AB	4327679
1003261	3424	1998-11-09	VYDAJ	PREVOD NA UCET	2264	44793	 	AB	4327679
1003262	3424	1998-12-09	VYDAJ	PREVOD NA UCET	2264	88891	 	AB	4327679
1003271	3424	1993-09-09	VYDAJ	PREVOD NA UCET	1463	63306	POJISTNE	MN	83404469
1003272	3424	1993-10-09	VYDAJ	PREVOD NA UCET	1463	66419	POJISTNE	MN	83404469
1003273	3424	1993-11-09	VYDAJ	PREVOD NA UCET	1463	66423	POJISTNE	MN	83404469
1003274	3424	1993-12-09	VYDAJ	PREVOD NA UCET	1463	60730	POJISTNE	MN	83404469
1003275	3424	1994-01-09	VYDAJ	PREVOD NA UCET	1463	75089	POJISTNE	MN	83404469
1003276	3424	1994-02-09	VYDAJ	PREVOD NA UCET	1463	53445	POJISTNE	MN	83404469
1003277	3424	1994-03-09	VYDAJ	PREVOD NA UCET	1463	55760	POJISTNE	MN	83404469
1003278	3424	1994-04-09	VYDAJ	PREVOD NA UCET	1463	63778	POJISTNE	MN	83404469
1003279	3424	1994-05-09	VYDAJ	PREVOD NA UCET	1463	38282	POJISTNE	MN	83404469
1003280	3424	1994-06-09	VYDAJ	PREVOD NA UCET	1463	83158	POJISTNE	MN	83404469
1003281	3424	1994-07-09	VYDAJ	PREVOD NA UCET	1463	81436	POJISTNE	MN	83404469
1003282	3424	1994-08-09	VYDAJ	PREVOD NA UCET	1463	31010	POJISTNE	MN	83404469
1003283	3424	1994-09-09	VYDAJ	PREVOD NA UCET	1463	24630	POJISTNE	MN	83404469
1003284	3424	1994-10-09	VYDAJ	PREVOD NA UCET	1463	21396	POJISTNE	MN	83404469
1003285	3424	1994-11-09	VYDAJ	PREVOD NA UCET	1463	28122	POJISTNE	MN	83404469
1003286	3424	1994-12-09	VYDAJ	PREVOD NA UCET	1463	31382	POJISTNE	MN	83404469
1003287	3424	1995-01-09	VYDAJ	PREVOD NA UCET	1463	42147	POJISTNE	MN	83404469
1003288	3424	1995-02-09	VYDAJ	PREVOD NA UCET	1463	47325	POJISTNE	MN	83404469
1003289	3424	1995-03-09	VYDAJ	PREVOD NA UCET	1463	64771	POJISTNE	MN	83404469
1003290	3424	1995-04-09	VYDAJ	PREVOD NA UCET	1463	43078	POJISTNE	MN	83404469
1003291	3424	1995-05-09	VYDAJ	PREVOD NA UCET	1463	54910	POJISTNE	MN	83404469
1003292	3424	1995-06-09	VYDAJ	PREVOD NA UCET	1463	43869	POJISTNE	MN	83404469
1003293	3424	1995-07-09	VYDAJ	PREVOD NA UCET	1463	35032	POJISTNE	MN	83404469
1003294	3424	1995-08-09	VYDAJ	PREVOD NA UCET	1463	50289	POJISTNE	MN	83404469
1003295	3424	1995-09-09	VYDAJ	PREVOD NA UCET	1463	43145	POJISTNE	MN	83404469
1003296	3424	1995-10-09	VYDAJ	PREVOD NA UCET	1463	34923	POJISTNE	MN	83404469
1003297	3424	1995-11-09	VYDAJ	PREVOD NA UCET	1463	32698	POJISTNE	MN	83404469
1003298	3424	1995-12-09	VYDAJ	PREVOD NA UCET	1463	34489	POJISTNE	MN	83404469
1003299	3424	1996-01-09	VYDAJ	PREVOD NA UCET	1463	32030	POJISTNE	MN	83404469
1003300	3424	1996-02-09	VYDAJ	PREVOD NA UCET	1463	33751	POJISTNE	MN	83404469
1003301	3424	1996-03-09	VYDAJ	PREVOD NA UCET	1463	81344	POJISTNE	MN	83404469
1003302	3424	1996-04-09	VYDAJ	PREVOD NA UCET	1463	76233	POJISTNE	MN	83404469
1003303	3424	1996-05-09	VYDAJ	PREVOD NA UCET	1463	48845	POJISTNE	MN	83404469
1003304	3424	1996-06-09	VYDAJ	PREVOD NA UCET	1463	64840	POJISTNE	MN	83404469
1003305	3424	1996-07-09	VYDAJ	PREVOD NA UCET	1463	39417	POJISTNE	MN	83404469
1003306	3424	1996-08-09	VYDAJ	PREVOD NA UCET	1463	68108	POJISTNE	MN	83404469
1003307	3424	1996-09-09	VYDAJ	PREVOD NA UCET	1463	64210	POJISTNE	MN	83404469
1003308	3424	1996-10-09	VYDAJ	PREVOD NA UCET	1463	82235	POJISTNE	MN	83404469
1003309	3424	1996-11-09	VYDAJ	PREVOD NA UCET	1463	82431	POJISTNE	MN	83404469
1003310	3424	1996-12-09	VYDAJ	PREVOD NA UCET	1463	85801	POJISTNE	MN	83404469
1003311	3424	1997-01-09	VYDAJ	PREVOD NA UCET	1463	63002	POJISTNE	MN	83404469
1003312	3424	1997-02-09	VYDAJ	PREVOD NA UCET	1463	79927	POJISTNE	MN	83404469
1003313	3424	1997-03-09	VYDAJ	PREVOD NA UCET	1463	72435	POJISTNE	MN	83404469
1003314	3424	1997-04-09	VYDAJ	PREVOD NA UCET	1463	85526	POJISTNE	MN	83404469
1003315	3424	1997-05-09	VYDAJ	PREVOD NA UCET	1463	58948	POJISTNE	MN	83404469
1003316	3424	1997-06-09	VYDAJ	PREVOD NA UCET	1463	28338	POJISTNE	MN	83404469
1003317	3424	1997-07-09	VYDAJ	PREVOD NA UCET	1463	40301	POJISTNE	MN	83404469
1003318	3424	1997-08-09	VYDAJ	PREVOD NA UCET	1463	43774	POJISTNE	MN	83404469
1003319	3424	1997-09-09	VYDAJ	PREVOD NA UCET	1463	47869	POJISTNE	MN	83404469
1003320	3424	1997-10-09	VYDAJ	PREVOD NA UCET	1463	62330	POJISTNE	MN	83404469
1003321	3424	1997-11-09	VYDAJ	PREVOD NA UCET	1463	73090	POJISTNE	MN	83404469
1003322	3424	1997-12-09	VYDAJ	PREVOD NA UCET	1463	44962	POJISTNE	MN	83404469
1003323	3424	1998-01-09	VYDAJ	PREVOD NA UCET	1463	79696	POJISTNE	MN	83404469
1003324	3424	1998-02-09	VYDAJ	PREVOD NA UCET	1463	73873	POJISTNE	MN	83404469
1003325	3424	1998-03-09	VYDAJ	PREVOD NA UCET	1463	65146	POJISTNE	MN	83404469
1003326	3424	1998-04-09	VYDAJ	PREVOD NA UCET	1463	92956	POJISTNE	MN	83404469
1003327	3424	1998-05-09	VYDAJ	PREVOD NA UCET	1463	72717	POJISTNE	MN	83404469
1003328	3424	1998-06-09	VYDAJ	PREVOD NA UCET	1463	67493	POJISTNE	MN	83404469
1003329	3424	1998-07-09	VYDAJ	PREVOD NA UCET	1463	103312	POJISTNE	MN	83404469
1003330	3424	1998-08-09	VYDAJ	PREVOD NA UCET	1463	68059	POJISTNE	MN	83404469
1003331	3424	1998-09-09	VYDAJ	PREVOD NA UCET	1463	76223	POJISTNE	MN	83404469
1003332	3424	1998-10-09	VYDAJ	PREVOD NA UCET	1463	123147	POJISTNE	MN	83404469
1003333	3424	1998-11-09	VYDAJ	PREVOD NA UCET	1463	47057	POJISTNE	MN	83404469
1003334	3424	1998-12-09	VYDAJ	PREVOD NA UCET	1463	87428	POJISTNE	MN	83404469
1003338	3424	1993-10-31	VYBER	VYBER	21440	67901	\N	\N	\N
1003340	3424	1993-09-20	VYBER	VYBER	11480	29847	\N	\N	\N
1003347	3424	1993-11-13	VYBER	VYBER	13896	45284	\N	\N	\N
1003352	3424	1994-12-03	VYBER	VYBER	11907	25086	\N	\N	\N
1003353	3424	1994-07-24	VYBER	VYBER	16851	32242	\N	\N	\N
1003356	3424	1994-07-05	VYBER	VYBER	9151	86015	\N	\N	\N
1003357	3424	1994-06-05	VYBER	VYBER	18217	86885	\N	\N	\N
1003359	3424	1994-12-01	VYBER	VYBER	5028	36993	\N	\N	\N
1003360	3424	1994-11-18	VYBER	VYBER	19180	41877	\N	\N	\N
1003361	3424	1994-07-09	VYBER	VYBER	3116	82899	\N	\N	\N
1003363	3424	1995-04-27	VYBER	VYBER	18378	65724	\N	\N	\N
1003364	3424	1996-08-10	VYBER	VYBER	23128	31223	\N	\N	\N
1003365	3424	1996-04-11	VYBER	VYBER	8214	68019	\N	\N	\N
1003368	3424	1996-08-10	VYBER	VYBER	13757	54351	\N	\N	\N
1003369	3424	1996-10-11	VYBER	VYBER	12037	70198	\N	\N	\N
1003370	3424	1996-09-07	VYBER	VYBER	18527	67937	\N	\N	\N
1003371	3424	1996-10-24	VYBER	VYBER	10191	55028	\N	\N	\N
1003373	3424	1996-11-10	VYBER	VYBER	12961	69470	\N	\N	\N
1003374	3424	1996-08-06	VYBER	VYBER	10250	71835	\N	\N	\N
1003375	3424	1997-05-31	VYBER	VYBER	13715	32079	\N	\N	\N
1003376	3424	1997-10-22	VYBER	VYBER	17982	39369	\N	\N	\N
1003378	3424	1997-08-21	VYBER	VYBER	15788	33953	\N	\N	\N
1003379	3424	1997-05-18	VYBER	VYBER	22888	31081	\N	\N	\N
1003380	3424	1997-12-05	VYBER	VYBER	20602	46425	\N	\N	\N
1003381	3424	1997-05-07	VYBER	VYBER	13852	62675	\N	\N	\N
1003382	3424	1997-08-16	VYBER	VYBER	19967	49741	\N	\N	\N
1003384	3424	1998-05-16	VYBER	VYBER	23073	42401	\N	\N	\N
1003385	3424	1998-08-17	VYBER	VYBER	21276	81365	\N	\N	\N
1003386	3424	1998-08-27	VYBER	VYBER	16694	65771	\N	\N	\N
1003387	3424	1998-01-20	VYBER	VYBER	22313	52404	\N	\N	\N
1003388	3424	1998-05-20	VYBER	VYBER	23118	59346	\N	\N	\N
1003389	3424	1998-07-05	VYBER	VYBER	7952	107039	\N	\N	\N
1003390	3424	1998-09-17	VYBER	VYBER	3265	65715	\N	\N	\N
1003391	3424	1998-07-23	VYBER	VYBER	8842	76523	\N	\N	\N
1003392	3424	1998-11-07	VYBER	VYBER	17355	72914	\N	\N	\N
1003393	3424	1998-03-12	VYBER	VYBER	6332	58814	\N	\N	\N
1003394	3424	1998-11-20	VYBER	VYBER	3891	56423	\N	\N	\N
1003395	3424	1998-04-19	VYBER	VYBER	13326	74651	\N	\N	\N
1003396	3424	1998-11-09	VYBER	VYBER	24394	48520	\N	\N	\N
1003397	3424	1993-12-03	VYDAJ	VYBER	3300	62193	\N	\N	\N
1003398	3424	1994-12-10	VYDAJ	VYBER	3600	25518	\N	\N	\N
1003400	3424	1996-12-30	VYDAJ	VYBER	8100	74629	\N	\N	\N
1003401	3424	1997-12-21	VYDAJ	VYBER	8400	29319	\N	\N	\N
1003402	3424	1998-12-09	VYDAJ	VYBER	8700	91155	\N	\N	\N
1003403	3424	1993-10-29	VYDAJ	VYBER	2100	89073	\N	\N	\N
1003408	3424	1994-02-22	VYDAJ	VYBER	7500	25266	\N	\N	\N
1003411	3424	1995-12-20	VYDAJ	VYBER	11400	33185	\N	\N	\N
1003412	3424	1995-05-29	VYDAJ	VYBER	11100	55838	\N	\N	\N
1003413	3424	1995-01-27	VYDAJ	VYBER	7800	72204	\N	\N	\N
1003414	3424	1995-12-20	VYDAJ	VYBER	7800	25385	\N	\N	\N
1003415	3424	1995-05-23	VYDAJ	VYBER	7800	66938	\N	\N	\N
1003416	3424	1995-06-12	VYDAJ	VYBER	4200	39669	\N	\N	\N
1003417	3424	1995-07-14	VYDAJ	VYBER	1500	28553	\N	\N	\N
1003418	3424	1996-07-03	VYDAJ	VYBER	2400	51680	\N	\N	\N
1003419	3424	1996-07-06	VYDAJ	VYBER	10800	40880	\N	\N	\N
1003420	3424	1996-05-02	VYDAJ	VYBER	6600	40726	\N	\N	\N
1003421	3424	1996-11-30	VYDAJ	VYBER	12300	49645	\N	\N	\N
1003422	3424	1996-08-02	VYDAJ	VYBER	14700	49629	\N	\N	\N
1003423	3424	1996-03-16	VYDAJ	VYBER	9000	65101	\N	\N	\N
1003425	3424	1997-12-26	VYDAJ	VYBER	13800	80539	\N	\N	\N
1003426	3424	1997-10-08	VYDAJ	VYBER	8700	66057	\N	\N	\N
1003427	3424	1997-11-05	VYDAJ	VYBER	11100	74553	\N	\N	\N
1003428	3424	1997-12-27	VYDAJ	VYBER	9300	71239	\N	\N	\N
1003429	3424	1997-01-05	VYDAJ	VYBER	10500	64465	\N	\N	\N
1003430	3424	1998-10-08	VYDAJ	VYBER	11100	100224	\N	\N	\N
1003431	3424	1998-08-03	VYDAJ	VYBER	5100	71786	\N	\N	\N
1003432	3424	1998-01-05	VYDAJ	VYBER	3600	83423	\N	\N	\N
1003433	3424	1998-07-13	VYDAJ	VYBER	13500	84833	\N	\N	\N
1003434	3424	1998-04-05	VYDAJ	VYBER	14700	96683	\N	\N	\N
1003443	3424	1993-08-31	VYDAJ	VYBER	15	67033	SLUZBY	\N	\N
1003444	3424	1993-09-30	VYDAJ	VYBER	15	40743	SLUZBY	\N	\N
1003445	3424	1993-10-31	VYDAJ	VYBER	15	67886	SLUZBY	\N	\N
1003446	3424	1993-11-30	VYDAJ	VYBER	15	65493	SLUZBY	\N	\N
1003447	3424	1993-12-31	VYDAJ	VYBER	15	76552	SLUZBY	\N	\N
1003448	3424	1994-01-31	VYDAJ	VYBER	15	48974	SLUZBY	\N	\N
1003449	3424	1994-02-28	VYDAJ	VYBER	15	25407	SLUZBY	\N	\N
1003450	3424	1994-03-31	VYDAJ	VYBER	15	67505	SLUZBY	\N	\N
1003451	3424	1994-04-30	VYDAJ	VYBER	15	42009	SLUZBY	\N	\N
1003452	3424	1994-05-31	VYDAJ	VYBER	15	79595	SLUZBY	\N	\N
1003453	3424	1994-06-30	VYDAJ	VYBER	15	95166	SLUZBY	\N	\N
1003454	3424	1994-07-31	VYDAJ	VYBER	15	32473	SLUZBY	\N	\N
1003455	3424	1994-08-31	VYDAJ	VYBER	15	21957	SLUZBY	\N	\N
1003456	3424	1994-09-30	VYDAJ	VYBER	15	19723	SLUZBY	\N	\N
1003457	3424	1994-10-31	VYDAJ	VYBER	15	23315	SLUZBY	\N	\N
1003458	3424	1994-11-30	VYDAJ	VYBER	15	42021	SLUZBY	\N	\N
1003459	3424	1994-12-31	VYDAJ	VYBER	15	53510	SLUZBY	\N	\N
1003460	3424	1995-01-31	VYDAJ	VYBER	15	72452	SLUZBY	\N	\N
1003461	3424	1995-02-28	VYDAJ	VYBER	15	102864	SLUZBY	\N	\N
1003462	3424	1995-03-31	VYDAJ	VYBER	15	57805	SLUZBY	\N	\N
1003463	3424	1995-04-30	VYDAJ	VYBER	15	66042	SLUZBY	\N	\N
1003464	3424	1995-05-31	VYDAJ	VYBER	15	56096	SLUZBY	\N	\N
1003465	3424	1995-06-30	VYDAJ	VYBER	15	34859	SLUZBY	\N	\N
1003466	3424	1995-07-31	VYDAJ	VYBER	15	66816	SLUZBY	\N	\N
1003467	3424	1995-08-31	VYDAJ	VYBER	15	45508	SLUZBY	\N	\N
1003468	3424	1995-09-30	VYDAJ	VYBER	15	36050	SLUZBY	\N	\N
1003469	3424	1995-10-31	VYDAJ	VYBER	15	30061	SLUZBY	\N	\N
1003470	3424	1995-11-30	VYDAJ	VYBER	15	25552	SLUZBY	\N	\N
1003471	3424	1995-12-31	VYDAJ	VYBER	15	25493	SLUZBY	\N	\N
1003472	3424	1996-01-31	VYDAJ	VYBER	15	24878	SLUZBY	\N	\N
1003473	3424	1996-02-29	VYDAJ	VYBER	15	28873	SLUZBY	\N	\N
1003474	3424	1996-03-31	VYDAJ	VYBER	15	106360	SLUZBY	\N	\N
1003475	3424	1996-04-30	VYDAJ	VYBER	15	44326	SLUZBY	\N	\N
1003476	3424	1996-05-31	VYDAJ	VYBER	15	45762	SLUZBY	\N	\N
1003477	3424	1996-06-30	VYDAJ	VYBER	15	60080	SLUZBY	\N	\N
1003478	3424	1996-07-31	VYDAJ	VYBER	15	64329	SLUZBY	\N	\N
1003479	3424	1996-08-31	VYDAJ	VYBER	15	86464	SLUZBY	\N	\N
1003480	3424	1996-09-30	VYDAJ	VYBER	15	58492	SLUZBY	\N	\N
1003481	3424	1996-10-31	VYDAJ	VYBER	15	53968	SLUZBY	\N	\N
1003482	3424	1996-11-30	VYDAJ	VYBER	15	49630	SLUZBY	\N	\N
1003483	3424	1996-12-31	VYDAJ	VYBER	15	74965	SLUZBY	\N	\N
1003484	3424	1997-01-31	VYDAJ	VYBER	15	81390	SLUZBY	\N	\N
1003485	3424	1997-02-28	VYDAJ	VYBER	15	70481	SLUZBY	\N	\N
1003486	3424	1997-03-31	VYDAJ	VYBER	15	78136	SLUZBY	\N	\N
1003487	3424	1997-04-30	VYDAJ	VYBER	15	76527	SLUZBY	\N	\N
1003488	3424	1997-05-31	VYDAJ	VYBER	15	32065	SLUZBY	\N	\N
1003489	3424	1997-06-30	VYDAJ	VYBER	15	41764	SLUZBY	\N	\N
1003490	3424	1997-07-31	VYDAJ	VYBER	15	47501	SLUZBY	\N	\N
1003491	3424	1997-08-31	VYDAJ	VYBER	15	49332	SLUZBY	\N	\N
1003492	3424	1997-09-30	VYDAJ	VYBER	15	74757	SLUZBY	\N	\N
1003493	3424	1997-10-31	VYDAJ	VYBER	15	85653	SLUZBY	\N	\N
1003494	3424	1997-11-30	VYDAJ	VYBER	15	67027	SLUZBY	\N	\N
1003495	3424	1997-12-31	VYDAJ	VYBER	15	87023	SLUZBY	\N	\N
1003496	3424	1998-01-31	VYDAJ	VYBER	15	77600	SLUZBY	\N	\N
1003497	3424	1998-02-28	VYDAJ	VYBER	15	68873	SLUZBY	\N	\N
1003498	3424	1998-03-31	VYDAJ	VYBER	15	86718	SLUZBY	\N	\N
1003499	3424	1998-04-30	VYDAJ	VYBER	15	74180	SLUZBY	\N	\N
1003500	3424	1998-05-31	VYDAJ	VYBER	15	71220	SLUZBY	\N	\N
1003501	3424	1998-06-30	VYDAJ	VYBER	15	114991	SLUZBY	\N	\N
1003502	3424	1998-07-31	VYDAJ	VYBER	15	76886	SLUZBY	\N	\N
1003503	3424	1998-08-31	VYDAJ	VYBER	15	66067	SLUZBY	\N	\N
1003504	3424	1998-09-30	VYDAJ	VYBER	15	71783	SLUZBY	\N	\N
1003505	3424	1998-10-31	VYDAJ	VYBER	15	77219	SLUZBY	\N	\N
1003506	3424	1998-11-30	VYDAJ	VYBER	15	99855	SLUZBY	\N	\N
1003507	3424	1993-03-18	VYDAJ	VYBER	10400	34736	\N	\N	\N
1003508	3424	1993-04-17	VYDAJ	VYBER	3000	31924	\N	\N	\N
1003509	3424	1993-05-17	VYDAJ	VYBER	2900	29211	\N	\N	\N
1003510	3424	1993-06-16	VYDAJ	VYBER	1800	27599	\N	\N	\N
1003511	3424	1993-07-16	VYDAJ	VYBER	2100	25687	\N	\N	\N
1003512	3424	1993-08-15	VYDAJ	VYBER	22200	49480	\N	\N	\N
1003513	3424	1993-08-31	VYDAJ	VYBER	38100	67048	\N	\N	\N
1003514	3424	1993-09-14	VYDAJ	VYBER	17000	41327	\N	\N	\N
1003515	3424	1993-10-14	VYDAJ	VYBER	16300	42876	\N	\N	\N
1003516	3424	1993-11-13	VYDAJ	VYBER	10700	34584	\N	\N	\N
1003517	3424	1993-12-13	VYDAJ	VYBER	12600	40887	\N	\N	\N
1003518	3424	1994-01-12	VYDAJ	VYBER	19100	48746	\N	\N	\N
1003519	3424	1994-02-11	VYDAJ	VYBER	15700	37745	\N	\N	\N
1003520	3424	1994-03-13	VYDAJ	VYBER	20500	49779	\N	\N	\N
1003521	3424	1994-04-12	VYDAJ	VYBER	17000	46778	\N	\N	\N
1003522	3424	1994-05-12	VYDAJ	VYBER	1100	37182	\N	\N	\N
1003523	3424	1994-06-11	VYDAJ	VYBER	29100	54058	\N	\N	\N
1003524	3424	1994-06-21	VYDAJ	VYBER	34900	94848	\N	\N	\N
1003525	3424	1994-07-11	VYDAJ	VYBER	25100	54072	\N	\N	\N
1003526	3424	1994-08-10	VYDAJ	VYBER	1900	26846	\N	\N	\N
1003527	3424	1994-09-09	PRIJEM	VKLAD	6400	28357	\N	\N	\N
1003528	3424	1994-10-09	PRIJEM	VKLAD	5400	25123	\N	\N	\N
1003529	3424	1994-11-08	PRIJEM	VKLAD	2200	31849	\N	\N	\N
1003530	3424	1994-12-08	VYDAJ	VYBER	4200	32845	\N	\N	\N
1003531	3424	1995-01-07	VYDAJ	VYBER	9900	43610	\N	\N	\N
1003532	3424	1995-02-06	VYDAJ	VYBER	21400	51052	\N	\N	\N
1003533	3424	1995-03-08	VYDAJ	VYBER	18900	94934	\N	\N	\N
1003534	3424	1995-03-08	VYDAJ	VYBER	28700	66234	\N	\N	\N
1003535	3424	1995-04-07	VYDAJ	VYBER	11000	46805	\N	\N	\N
1003536	3424	1995-04-20	VYDAJ	VYBER	30200	98000	\N	\N	\N
1003537	3424	1995-04-21	VYDAJ	VYBER	60000	84102	\N	\N	\N
1003538	3424	1995-05-07	VYDAJ	VYBER	18400	56373	\N	\N	\N
1003539	3424	1995-06-06	VYDAJ	VYBER	8500	47596	\N	\N	\N
1003540	3424	1995-07-06	PRIJEM	VKLAD	3900	38759	\N	\N	\N
1003541	3424	1995-08-05	VYDAJ	VYBER	12800	54016	\N	\N	\N
1003542	3424	1995-09-04	VYDAJ	VYBER	900	44608	\N	\N	\N
1003543	3424	1995-10-04	PRIJEM	VKLAD	2600	38650	\N	\N	\N
1003544	3424	1995-11-03	PRIJEM	VKLAD	4100	34161	\N	\N	\N
1003545	3424	1995-12-03	PRIJEM	VKLAD	10400	35952	\N	\N	\N
1003546	3424	1996-01-02	PRIJEM	VKLAD	8000	33493	\N	\N	\N
1003547	3424	1996-02-01	PRIJEM	VKLAD	12600	37478	\N	\N	\N
1003548	3424	1996-03-02	PRIJEM	VKLAD	10500	39373	\N	\N	\N
1003549	3424	1996-03-28	VYDAJ	VYBER	45700	106031	\N	\N	\N
1003550	3424	1996-04-01	VYDAJ	VYBER	26400	79960	\N	\N	\N
1003551	3424	1996-04-21	VYDAJ	VYBER	64700	43937	\N	\N	\N
1003552	3424	1996-05-01	PRIJEM	VKLAD	3000	47326	\N	\N	\N
1003553	3424	1996-05-31	PRIJEM	VKLAD	4000	45602	\N	\N	\N
1003554	3424	1996-06-30	VYDAJ	VYBER	6000	54080	\N	\N	\N
1003555	3424	1996-07-30	VYDAJ	VYBER	12700	64102	\N	\N	\N
1003556	3424	1996-08-29	PRIJEM	VKLAD	11900	38144	\N	\N	\N
1003557	3424	1996-09-28	VYDAJ	VYBER	1000	58231	\N	\N	\N
1003558	3424	1996-10-28	VYDAJ	VYBER	1300	53728	\N	\N	\N
1003559	3424	1996-11-27	VYDAJ	VYBER	2800	61691	\N	\N	\N
1003560	3424	1996-12-27	VYDAJ	VYBER	19800	82729	\N	\N	\N
1003561	3424	1997-01-26	PRIJEM	VKLAD	2600	58359	\N	\N	\N
1003562	3424	1997-02-25	VYDAJ	VYBER	2500	70184	\N	\N	\N
1003563	3424	1997-03-27	VYDAJ	VYBER	11700	77823	\N	\N	\N
1003564	3424	1997-04-26	VYDAJ	VYBER	7800	70483	\N	\N	\N
1003565	3424	1997-05-26	PRIJEM	VKLAD	14500	45581	\N	\N	\N
1003566	3424	1997-06-25	PRIJEM	VKLAD	18300	41659	\N	\N	\N
1003567	3424	1997-07-25	PRIJEM	VKLAD	14300	47358	\N	\N	\N
1003568	3424	1997-08-24	PRIJEM	VKLAD	15200	49153	\N	\N	\N
1003569	3424	1997-09-23	VYDAJ	VYBER	6800	74494	\N	\N	\N
1003570	3424	1997-10-23	PRIJEM	VKLAD	15000	54369	\N	\N	\N
1003571	3424	1997-11-22	PRIJEM	VKLAD	900	66747	\N	\N	\N
1003572	3424	1997-12-22	PRIJEM	VKLAD	21300	50619	\N	\N	\N
1003573	3424	1998-01-21	PRIJEM	VKLAD	8400	60804	\N	\N	\N
1003574	3424	1998-01-28	VYDAJ	VYBER	42900	77276	\N	\N	\N
1003575	3424	1998-02-20	VYDAJ	VYBER	300	68594	\N	\N	\N
1003576	3424	1998-03-22	PRIJEM	VKLAD	6800	73588	\N	\N	\N
1003577	3424	1998-03-26	VYDAJ	VYBER	28300	86424	\N	\N	\N
1003578	3424	1998-04-05	VYDAJ	VYBER	15800	111383	\N	\N	\N
1003579	3424	1998-04-21	VYDAJ	VYBER	800	73851	\N	\N	\N
1003580	3424	1998-05-21	PRIJEM	VKLAD	11600	70946	\N	\N	\N
1003581	3424	1998-06-20	VYDAJ	VYBER	12900	95566	\N	\N	\N
1003582	3424	1998-07-20	VYDAJ	VYBER	38000	88065	\N	\N	\N
1003583	3424	1998-07-20	VYDAJ	VYBER	2700	85365	\N	\N	\N
1003584	3424	1998-08-19	PRIJEM	VKLAD	1100	82465	\N	\N	\N
1003585	3424	1998-09-18	PRIJEM	VKLAD	5800	71515	\N	\N	\N
1003586	3424	1998-10-09	VYDAJ	VYBER	40600	80283	\N	\N	\N
1003587	3424	1998-10-18	PRIJEM	VKLAD	1600	76904	\N	\N	\N
1003588	3424	1998-11-17	PRIJEM	VKLAD	20500	60314	\N	\N	\N
1003660	3425	1994-08-24	PRIJEM	VKLAD	500	500	\N	\N	\N
1003669	3425	1994-09-11	PRIJEM	PREVOD Z UCTU	3970	4470	\N	AB	15435099
1003670	3425	1994-10-11	PRIJEM	PREVOD Z UCTU	3970	16754	\N	AB	15435099
1003671	3425	1994-11-11	PRIJEM	PREVOD Z UCTU	3970	22985	\N	AB	15435099
1003672	3425	1994-12-11	PRIJEM	PREVOD Z UCTU	3970	28240	\N	AB	15435099
1003673	3425	1995-01-11	PRIJEM	PREVOD Z UCTU	3970	29212	\N	AB	15435099
1003674	3425	1995-02-11	PRIJEM	PREVOD Z UCTU	3970	28306	\N	AB	15435099
1003675	3425	1995-03-11	PRIJEM	PREVOD Z UCTU	3970	29329	\N	AB	15435099
1003676	3425	1995-04-11	PRIJEM	PREVOD Z UCTU	3970	29846	\N	AB	15435099
1003677	3425	1995-05-11	PRIJEM	PREVOD Z UCTU	3970	31066	\N	AB	15435099
1003678	3425	1995-06-11	PRIJEM	PREVOD Z UCTU	3970	24297	\N	AB	15435099
1003679	3425	1995-07-11	PRIJEM	PREVOD Z UCTU	3970	26604	\N	AB	15435099
1003680	3425	1995-08-11	PRIJEM	PREVOD Z UCTU	3970	26208	\N	AB	15435099
1003681	3425	1995-09-11	PRIJEM	PREVOD Z UCTU	3970	28307	\N	AB	15435099
1003682	3425	1995-10-11	PRIJEM	PREVOD Z UCTU	3970	27420	\N	AB	15435099
1003683	3425	1995-11-11	PRIJEM	PREVOD Z UCTU	3970	31034	\N	AB	15435099
1003684	3425	1995-12-11	PRIJEM	PREVOD Z UCTU	3970	32961	\N	AB	15435099
1003685	3425	1996-01-11	PRIJEM	PREVOD Z UCTU	3970	30971	\N	AB	15435099
1003686	3425	1996-02-11	PRIJEM	PREVOD Z UCTU	3970	27222	\N	AB	15435099
1003687	3425	1996-03-11	PRIJEM	PREVOD Z UCTU	3970	27930	\N	AB	15435099
1003688	3425	1996-04-11	PRIJEM	PREVOD Z UCTU	3970	29142	\N	AB	15435099
1003689	3425	1996-05-11	PRIJEM	PREVOD Z UCTU	3970	29558	\N	AB	15435099
1003690	3425	1996-06-11	PRIJEM	PREVOD Z UCTU	3970	31630	\N	AB	15435099
1003691	3425	1996-07-11	PRIJEM	PREVOD Z UCTU	3970	28721	\N	AB	15435099
1003692	3425	1996-08-11	PRIJEM	PREVOD Z UCTU	3970	35349	\N	AB	15435099
1003693	3425	1996-09-11	PRIJEM	PREVOD Z UCTU	3970	38898	\N	AB	15435099
1003694	3425	1996-10-11	PRIJEM	PREVOD Z UCTU	3970	37563	\N	AB	15435099
1003695	3425	1996-11-11	PRIJEM	PREVOD Z UCTU	3970	38423	\N	AB	15435099
1003696	3425	1996-12-11	PRIJEM	PREVOD Z UCTU	3970	38375	\N	AB	15435099
1003697	3425	1997-01-11	PRIJEM	PREVOD Z UCTU	3970	40609	\N	AB	15435099
1003698	3425	1997-02-11	PRIJEM	PREVOD Z UCTU	3970	40707	\N	AB	15435099
1003699	3425	1997-03-11	PRIJEM	PREVOD Z UCTU	3970	42172	\N	AB	15435099
1003700	3425	1997-04-11	PRIJEM	PREVOD Z UCTU	3970	42738	\N	AB	15435099
1003701	3425	1997-05-11	PRIJEM	PREVOD Z UCTU	3970	41610	\N	AB	15435099
1003702	3425	1997-06-11	PRIJEM	PREVOD Z UCTU	3970	41493	\N	AB	15435099
1003703	3425	1997-07-11	PRIJEM	PREVOD Z UCTU	3970	43664	\N	AB	15435099
1003704	3425	1997-08-11	PRIJEM	PREVOD Z UCTU	3970	40841	\N	AB	15435099
1003705	3425	1997-09-11	PRIJEM	PREVOD Z UCTU	3970	43613	\N	AB	15435099
1003706	3425	1997-10-11	PRIJEM	PREVOD Z UCTU	3970	44637	\N	AB	15435099
1003707	3425	1997-11-11	PRIJEM	PREVOD Z UCTU	3970	46619	\N	AB	15435099
1003708	3425	1997-12-11	PRIJEM	PREVOD Z UCTU	3970	49748	\N	AB	15435099
1003709	3425	1998-01-11	PRIJEM	PREVOD Z UCTU	3970	54108	\N	AB	15435099
1003710	3425	1998-02-11	PRIJEM	PREVOD Z UCTU	3970	50481	\N	AB	15435099
1003711	3425	1998-03-11	PRIJEM	PREVOD Z UCTU	3970	52279	\N	AB	15435099
1003712	3425	1998-04-11	PRIJEM	PREVOD Z UCTU	3970	52792	\N	AB	15435099
1003713	3425	1998-05-11	PRIJEM	PREVOD Z UCTU	3970	55209	\N	AB	15435099
1003714	3425	1998-06-11	PRIJEM	PREVOD Z UCTU	3970	54903	\N	AB	15435099
1003715	3425	1998-07-11	PRIJEM	PREVOD Z UCTU	3970	51161	\N	AB	15435099
1003716	3425	1998-08-11	PRIJEM	PREVOD Z UCTU	3970	54966	\N	AB	15435099
1003717	3425	1998-09-11	PRIJEM	PREVOD Z UCTU	3970	60587	\N	AB	15435099
1003718	3425	1998-10-11	PRIJEM	PREVOD Z UCTU	3970	64529	\N	AB	15435099
1003719	3425	1998-11-11	PRIJEM	PREVOD Z UCTU	3970	64389	\N	AB	15435099
1003720	3425	1998-12-11	PRIJEM	PREVOD Z UCTU	3970	65634	\N	AB	15435099
1003733	3425	1995-01-12	VYDAJ	PREVOD NA UCET	2646	25336	SIPO	CD	15378684
1003734	3425	1995-02-12	VYDAJ	PREVOD NA UCET	2646	25660	SIPO	CD	15378684
1003735	3425	1995-03-12	VYDAJ	PREVOD NA UCET	2646	26683	SIPO	CD	15378684
1003736	3425	1995-04-12	VYDAJ	PREVOD NA UCET	2646	27200	SIPO	CD	15378684
1003737	3425	1995-05-12	VYDAJ	PREVOD NA UCET	2646	28420	SIPO	CD	15378684
1003738	3425	1995-06-12	VYDAJ	PREVOD NA UCET	2646	21651	SIPO	CD	15378684
1003739	3425	1995-07-12	VYDAJ	PREVOD NA UCET	2646	23958	SIPO	CD	15378684
1003740	3425	1995-08-12	VYDAJ	PREVOD NA UCET	2646	23562	SIPO	CD	15378684
1003741	3425	1995-09-12	VYDAJ	PREVOD NA UCET	2646	25661	SIPO	CD	15378684
1003742	3425	1995-10-12	VYDAJ	PREVOD NA UCET	2646	24774	SIPO	CD	15378684
1003743	3425	1995-11-12	VYDAJ	PREVOD NA UCET	2646	28388	SIPO	CD	15378684
1003744	3425	1995-12-12	VYDAJ	PREVOD NA UCET	2646	30315	SIPO	CD	15378684
1003745	3425	1996-01-12	VYDAJ	PREVOD NA UCET	2646	28325	SIPO	CD	15378684
1003746	3425	1996-02-12	VYDAJ	PREVOD NA UCET	2646	24576	SIPO	CD	15378684
1003747	3425	1996-03-12	VYDAJ	PREVOD NA UCET	2646	25284	SIPO	CD	15378684
1003748	3425	1996-04-12	VYDAJ	PREVOD NA UCET	2646	26496	SIPO	CD	15378684
1003749	3425	1996-05-12	VYDAJ	PREVOD NA UCET	2646	26912	SIPO	CD	15378684
1003750	3425	1996-06-12	VYDAJ	PREVOD NA UCET	2646	28984	SIPO	CD	15378684
1003751	3425	1996-07-12	VYDAJ	PREVOD NA UCET	2646	26075	SIPO	CD	15378684
1003752	3425	1996-08-12	VYDAJ	PREVOD NA UCET	2646	32703	SIPO	CD	15378684
1003753	3425	1996-09-12	VYDAJ	PREVOD NA UCET	2646	35772	SIPO	CD	15378684
1003754	3425	1996-10-12	VYDAJ	PREVOD NA UCET	2646	34317	SIPO	CD	15378684
1003755	3425	1996-11-12	VYDAJ	PREVOD NA UCET	2646	34277	SIPO	CD	15378684
1003756	3425	1996-12-12	VYDAJ	PREVOD NA UCET	2646	36529	SIPO	CD	15378684
1003757	3425	1997-01-12	VYDAJ	PREVOD NA UCET	2646	37513	SIPO	CD	15378684
1003758	3425	1997-02-12	VYDAJ	PREVOD NA UCET	2646	38061	SIPO	CD	15378684
1003759	3425	1997-03-12	VYDAJ	PREVOD NA UCET	2646	37326	SIPO	CD	15378684
1003760	3425	1997-04-12	VYDAJ	PREVOD NA UCET	2646	40092	SIPO	CD	15378684
1003761	3425	1997-05-12	VYDAJ	PREVOD NA UCET	2646	38964	SIPO	CD	15378684
1003762	3425	1997-06-12	VYDAJ	PREVOD NA UCET	2646	38847	SIPO	CD	15378684
1003763	3425	1997-07-12	VYDAJ	PREVOD NA UCET	2646	41018	SIPO	CD	15378684
1003764	3425	1997-08-12	VYDAJ	PREVOD NA UCET	2646	38195	SIPO	CD	15378684
1003765	3425	1997-09-12	VYDAJ	PREVOD NA UCET	2646	40367	SIPO	CD	15378684
1003766	3425	1997-10-12	VYDAJ	PREVOD NA UCET	2646	41991	SIPO	CD	15378684
1003767	3425	1997-11-12	VYDAJ	PREVOD NA UCET	2646	43973	SIPO	CD	15378684
1003768	3425	1997-12-12	VYDAJ	PREVOD NA UCET	2646	47102	SIPO	CD	15378684
1003769	3425	1998-01-12	VYDAJ	PREVOD NA UCET	2646	50502	SIPO	CD	15378684
1003770	3425	1998-02-12	VYDAJ	PREVOD NA UCET	2646	47835	SIPO	CD	15378684
1003771	3425	1998-03-12	VYDAJ	PREVOD NA UCET	2646	49633	SIPO	CD	15378684
1003772	3425	1998-04-12	VYDAJ	PREVOD NA UCET	2646	50146	SIPO	CD	15378684
1003773	3425	1998-05-12	VYDAJ	PREVOD NA UCET	2646	52563	SIPO	CD	15378684
1003774	3425	1998-06-12	VYDAJ	PREVOD NA UCET	2646	45207	SIPO	CD	15378684
1003775	3425	1998-07-12	VYDAJ	PREVOD NA UCET	2646	48515	SIPO	CD	15378684
1003776	3425	1998-08-12	VYDAJ	PREVOD NA UCET	2646	52320	SIPO	CD	15378684
1003777	3425	1998-09-12	VYDAJ	PREVOD NA UCET	2646	57941	SIPO	CD	15378684
1003778	3425	1998-10-12	VYDAJ	PREVOD NA UCET	2646	61883	SIPO	CD	15378684
1003779	3425	1998-11-12	VYDAJ	PREVOD NA UCET	2646	61743	SIPO	CD	15378684
1003780	3425	1998-12-12	VYDAJ	PREVOD NA UCET	2646	62988	SIPO	CD	15378684
1003782	3425	1995-06-08	VYDAJ	VYBER	4890	20327	\N	\N	\N
1003783	3425	1996-06-18	VYDAJ	VYBER	6930	24654	\N	\N	\N
1003784	3425	1997-06-10	VYDAJ	VYBER	2190	37523	\N	\N	\N
1003785	3425	1998-06-12	VYDAJ	VYBER	7050	47853	\N	\N	\N
1003787	3425	1995-01-11	VYDAJ	VYBER	1230	27982	\N	\N	\N
1003788	3425	1996-01-29	VYDAJ	VYBER	2040	23845	\N	\N	\N
1003789	3425	1997-01-12	VYDAJ	VYBER	450	40159	\N	\N	\N
1003790	3425	1998-01-11	VYDAJ	VYBER	960	53148	\N	\N	\N
1003792	3425	1995-12-18	VYDAJ	VYBER	180	28335	\N	\N	\N
1003793	3425	1996-12-18	VYDAJ	VYBER	720	34339	\N	\N	\N
1003794	3425	1997-12-08	VYDAJ	VYBER	360	45778	\N	\N	\N
1003795	3425	1998-12-03	VYDAJ	VYBER	720	61664	\N	\N	\N
1003804	3425	1995-01-28	VYDAJ	VYBER	180	24456	\N	\N	\N
1003807	3425	1995-01-28	VYDAJ	VYBER	210	24246	\N	\N	\N
1003808	3425	1996-01-06	VYDAJ	VYBER	690	27001	\N	\N	\N
1003809	3425	1996-01-23	VYDAJ	VYBER	180	26935	\N	\N	\N
1003810	3425	1996-01-04	VYDAJ	VYBER	270	27691	\N	\N	\N
1003811	3425	1996-01-03	VYDAJ	VYBER	480	27961	\N	\N	\N
1003812	3425	1996-01-30	VYDAJ	VYBER	690	23155	\N	\N	\N
1003813	3425	1996-01-14	VYDAJ	VYBER	510	27815	\N	\N	\N
1003814	3425	1997-01-16	VYDAJ	VYBER	630	36883	\N	\N	\N
1003815	3425	1997-01-22	VYDAJ	VYBER	270	36373	\N	\N	\N
1003816	3425	1997-01-05	VYDAJ	VYBER	150	34319	\N	\N	\N
1003817	3425	1997-01-26	VYDAJ	VYBER	570	35803	\N	\N	\N
1003818	3425	1997-01-06	VYDAJ	VYBER	780	33539	\N	\N	\N
1003819	3425	1997-01-17	VYDAJ	VYBER	240	36643	\N	\N	\N
1003820	3425	1998-01-06	VYDAJ	VYBER	780	50738	\N	\N	\N
1003821	3425	1998-01-13	VYDAJ	VYBER	420	50082	\N	\N	\N
1003822	3425	1998-01-26	VYDAJ	VYBER	870	48222	\N	\N	\N
1003823	3425	1998-01-10	VYDAJ	VYBER	600	50138	\N	\N	\N
1003824	3425	1998-01-22	VYDAJ	VYBER	540	49542	\N	\N	\N
1003825	3425	1998-01-25	VYDAJ	VYBER	450	49092	\N	\N	\N
1003833	3425	1995-02-13	VYDAJ	VYBER	1290	24370	\N	\N	\N
1003834	3425	1995-09-05	VYDAJ	VYBER	1410	24337	\N	\N	\N
1003835	3425	1996-10-06	VYDAJ	VYBER	1410	33593	\N	\N	\N
1003836	3425	1996-09-11	VYDAJ	VYBER	480	38418	\N	\N	\N
1003837	3425	1996-05-22	VYDAJ	VYBER	1350	27562	\N	\N	\N
1003838	3425	1996-01-24	VYDAJ	VYBER	1050	25885	\N	\N	\N
1003839	3425	1996-12-13	VYDAJ	VYBER	1470	35059	\N	\N	\N
1003840	3425	1997-10-10	VYDAJ	VYBER	750	40667	\N	\N	\N
1003841	3425	1997-09-11	VYDAJ	VYBER	600	43013	\N	\N	\N
1003842	3425	1997-12-24	VYDAJ	VYBER	1260	45842	\N	\N	\N
1003843	3425	1998-06-10	VYDAJ	VYBER	330	50933	\N	\N	\N
1003844	3425	1998-03-02	VYDAJ	VYBER	510	47509	\N	\N	\N
1003858	3425	1995-01-31	VYDAJ	VYBER	15	24336	SLUZBY	\N	\N
1003859	3425	1995-02-28	VYDAJ	VYBER	15	25359	SLUZBY	\N	\N
1003860	3425	1995-03-31	VYDAJ	VYBER	15	25876	SLUZBY	\N	\N
1003861	3425	1995-04-30	VYDAJ	VYBER	15	27096	SLUZBY	\N	\N
1003862	3425	1995-05-31	VYDAJ	VYBER	15	25217	SLUZBY	\N	\N
1003863	3425	1995-06-30	VYDAJ	VYBER	15	22634	SLUZBY	\N	\N
1003864	3425	1995-07-31	VYDAJ	VYBER	15	22238	SLUZBY	\N	\N
1003865	3425	1995-08-31	VYDAJ	VYBER	15	25747	SLUZBY	\N	\N
1003866	3425	1995-09-30	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
1003867	3425	1995-10-31	VYDAJ	VYBER	15	27064	SLUZBY	\N	\N
1003868	3425	1995-11-30	VYDAJ	VYBER	15	28991	SLUZBY	\N	\N
1003869	3425	1995-12-31	VYDAJ	VYBER	15	28441	SLUZBY	\N	\N
1003870	3425	1996-01-31	VYDAJ	VYBER	15	23252	SLUZBY	\N	\N
1003871	3425	1996-02-29	VYDAJ	VYBER	15	23960	SLUZBY	\N	\N
1003872	3425	1996-03-31	VYDAJ	VYBER	15	25172	SLUZBY	\N	\N
1003873	3425	1996-04-30	VYDAJ	VYBER	15	25588	SLUZBY	\N	\N
1003874	3425	1996-05-31	VYDAJ	VYBER	15	27660	SLUZBY	\N	\N
1003875	3425	1996-06-30	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
1003876	3425	1996-07-31	VYDAJ	VYBER	15	31379	SLUZBY	\N	\N
1003877	3425	1996-08-31	VYDAJ	VYBER	15	34928	SLUZBY	\N	\N
1003878	3425	1996-09-30	VYDAJ	VYBER	15	35003	SLUZBY	\N	\N
1003879	3425	1996-10-31	VYDAJ	VYBER	15	34453	SLUZBY	\N	\N
1003880	3425	1996-11-30	VYDAJ	VYBER	15	34405	SLUZBY	\N	\N
1003881	3425	1996-12-31	VYDAJ	VYBER	15	34469	SLUZBY	\N	\N
1003882	3425	1997-01-31	VYDAJ	VYBER	15	35937	SLUZBY	\N	\N
1003883	3425	1997-02-28	VYDAJ	VYBER	15	38202	SLUZBY	\N	\N
1003884	3425	1997-03-31	VYDAJ	VYBER	15	37468	SLUZBY	\N	\N
1003885	3425	1997-04-30	VYDAJ	VYBER	15	40240	SLUZBY	\N	\N
1003886	3425	1997-05-31	VYDAJ	VYBER	15	39113	SLUZBY	\N	\N
1003887	3425	1997-06-30	VYDAJ	VYBER	15	38994	SLUZBY	\N	\N
1003888	3425	1997-07-31	VYDAJ	VYBER	15	41171	SLUZBY	\N	\N
1003889	3425	1997-08-31	VYDAJ	VYBER	15	38343	SLUZBY	\N	\N
1003890	3425	1997-09-30	VYDAJ	VYBER	15	40517	SLUZBY	\N	\N
1003891	3425	1997-10-31	VYDAJ	VYBER	15	42149	SLUZBY	\N	\N
1003892	3425	1997-11-30	VYDAJ	VYBER	15	44138	SLUZBY	\N	\N
1003893	3425	1997-12-31	VYDAJ	VYBER	15	46018	SLUZBY	\N	\N
1003894	3425	1998-01-31	VYDAJ	VYBER	15	48411	SLUZBY	\N	\N
1003895	3425	1998-02-28	VYDAJ	VYBER	15	48019	SLUZBY	\N	\N
1003896	3425	1998-03-31	VYDAJ	VYBER	15	49822	SLUZBY	\N	\N
1003897	3425	1998-04-30	VYDAJ	VYBER	15	50339	SLUZBY	\N	\N
1003898	3425	1998-05-31	VYDAJ	VYBER	15	52763	SLUZBY	\N	\N
1003899	3425	1998-06-30	VYDAJ	VYBER	15	45391	SLUZBY	\N	\N
1003900	3425	1998-07-31	VYDAJ	VYBER	15	48696	SLUZBY	\N	\N
1003901	3425	1998-08-31	VYDAJ	VYBER	15	52517	SLUZBY	\N	\N
1003902	3425	1998-09-30	VYDAJ	VYBER	15	58159	SLUZBY	\N	\N
1003903	3425	1998-10-31	VYDAJ	VYBER	15	62119	SLUZBY	\N	\N
1003904	3425	1998-11-30	VYDAJ	VYBER	15	61984	SLUZBY	\N	\N
1003905	3425	1994-09-23	PRIJEM	VKLAD	8300	12770	\N	\N	\N
1003906	3425	1994-10-23	PRIJEM	VKLAD	2200	18954	\N	\N	\N
1003907	3425	1994-11-22	PRIJEM	VKLAD	1200	24185	\N	\N	\N
1003908	3425	1994-12-22	VYDAJ	VYBER	3100	25140	\N	\N	\N
1003909	3425	1995-01-21	VYDAJ	VYBER	700	24636	\N	\N	\N
1003910	3425	1995-02-20	PRIJEM	VKLAD	900	25270	\N	\N	\N
1003911	3425	1995-03-22	VYDAJ	VYBER	900	25783	\N	\N	\N
1003912	3425	1995-04-21	VYDAJ	VYBER	200	27000	\N	\N	\N
1003913	3425	1995-05-21	VYDAJ	VYBER	3300	25120	\N	\N	\N
1003914	3425	1995-06-20	PRIJEM	VKLAD	900	22551	\N	\N	\N
1003915	3425	1995-07-20	VYDAJ	VYBER	1800	22158	\N	\N	\N
1003916	3425	1995-08-19	PRIJEM	VKLAD	2100	25662	\N	\N	\N
1003917	3425	1995-09-18	VYDAJ	VYBER	2300	23361	\N	\N	\N
1003918	3425	1995-10-18	PRIJEM	VKLAD	2200	26974	\N	\N	\N
1003919	3425	1995-11-17	PRIJEM	VKLAD	500	28888	\N	\N	\N
1003920	3425	1995-12-17	VYDAJ	VYBER	1800	28515	\N	\N	\N
1003921	3425	1996-01-16	VYDAJ	VYBER	700	27115	\N	\N	\N
1003922	3425	1996-02-15	VYDAJ	VYBER	700	23876	\N	\N	\N
1003923	3425	1996-03-16	VYDAJ	VYBER	200	25084	\N	\N	\N
1003924	3425	1996-04-15	VYDAJ	VYBER	1000	25496	\N	\N	\N
1003925	3425	1996-05-15	PRIJEM	VKLAD	2000	28912	\N	\N	\N
1003926	3425	1996-06-14	PRIJEM	VKLAD	2600	31584	\N	\N	\N
1003927	3425	1996-07-14	PRIJEM	VKLAD	5200	31275	\N	\N	\N
1003928	3425	1996-08-13	PRIJEM	VKLAD	2100	34803	\N	\N	\N
1003929	3425	1996-09-12	VYDAJ	VYBER	900	34872	\N	\N	\N
1003930	3425	1996-10-12	VYDAJ	VYBER	600	36963	\N	\N	\N
1003931	3425	1996-11-11	VYDAJ	VYBER	1500	36923	\N	\N	\N
1003932	3425	1996-12-11	PRIJEM	VKLAD	800	39175	\N	\N	\N
1003933	3425	1997-01-10	PRIJEM	VKLAD	3100	36639	\N	\N	\N
1003934	3425	1997-02-09	PRIJEM	VKLAD	800	36737	\N	\N	\N
1003935	3425	1997-03-11	VYDAJ	VYBER	2200	39972	\N	\N	\N
1003936	3425	1997-04-10	PRIJEM	VKLAD	1300	38768	\N	\N	\N
1003937	3425	1997-05-10	VYDAJ	VYBER	2600	37640	\N	\N	\N
1003938	3425	1997-06-09	PRIJEM	VKLAD	600	39713	\N	\N	\N
1003939	3425	1997-07-09	PRIJEM	VKLAD	700	39694	\N	\N	\N
1003940	3425	1997-08-08	VYDAJ	VYBER	4300	36871	\N	\N	\N
1003941	3425	1997-09-07	PRIJEM	VKLAD	1300	39643	\N	\N	\N
1003942	3425	1997-10-07	PRIJEM	VKLAD	900	41417	\N	\N	\N
1003943	3425	1997-11-06	PRIJEM	VKLAD	500	42649	\N	\N	\N
1003944	3425	1997-12-06	PRIJEM	VKLAD	2000	46138	\N	\N	\N
1003945	3425	1998-01-05	PRIJEM	VKLAD	5500	51518	\N	\N	\N
1003946	3425	1998-02-04	VYDAJ	VYBER	1900	46511	\N	\N	\N
1003947	3425	1998-03-06	PRIJEM	VKLAD	800	48309	\N	\N	\N
1003948	3425	1998-04-05	VYDAJ	VYBER	1000	48822	\N	\N	\N
1003949	3425	1998-05-05	PRIJEM	VKLAD	900	51239	\N	\N	\N
1003950	3425	1998-06-04	VYDAJ	VYBER	1500	51263	\N	\N	\N
1003951	3425	1998-07-04	PRIJEM	VKLAD	1800	47191	\N	\N	\N
1003952	3425	1998-08-03	PRIJEM	VKLAD	2300	50996	\N	\N	\N
1003953	3425	1998-09-02	PRIJEM	VKLAD	4100	56617	\N	\N	\N
1003954	3425	1998-10-02	PRIJEM	VKLAD	2400	60559	\N	\N	\N
1003955	3425	1998-11-01	VYDAJ	VYBER	1700	60419	\N	\N	\N
1003956	3425	1998-12-01	PRIJEM	VKLAD	400	62384	\N	\N	\N
1004009	3426	1996-07-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1004017	3426	1996-08-11	PRIJEM	PREVOD Z UCTU	25465	26165	\N	AB	19822824
1004018	3426	1996-09-11	PRIJEM	PREVOD Z UCTU	25465	48191	\N	AB	19822824
1004019	3426	1996-10-11	PRIJEM	PREVOD Z UCTU	25465	64321	\N	AB	19822824
1004020	3426	1996-11-11	PRIJEM	PREVOD Z UCTU	25465	66989	\N	AB	19822824
1004021	3426	1996-12-11	PRIJEM	PREVOD Z UCTU	38198	88440	\N	AB	19822824
1004022	3426	1997-01-11	PRIJEM	PREVOD Z UCTU	25465	39591	\N	AB	19822824
1004023	3426	1997-02-11	PRIJEM	PREVOD Z UCTU	25465	42818	\N	AB	19822824
1004024	3426	1997-03-11	PRIJEM	PREVOD Z UCTU	25465	47813	\N	AB	19822824
1004025	3426	1997-04-11	PRIJEM	PREVOD Z UCTU	25465	52138	\N	AB	19822824
1004026	3426	1997-05-11	PRIJEM	PREVOD Z UCTU	25465	54404	\N	AB	19822824
1004027	3426	1997-06-11	PRIJEM	PREVOD Z UCTU	38198	72615	\N	AB	19822824
1004028	3426	1997-07-11	PRIJEM	PREVOD Z UCTU	25465	57007	\N	AB	19822824
1004029	3426	1997-08-11	PRIJEM	PREVOD Z UCTU	25465	51787	\N	AB	19822824
1004030	3426	1997-09-11	PRIJEM	PREVOD Z UCTU	25465	54879	\N	AB	19822824
1004031	3426	1997-10-11	PRIJEM	PREVOD Z UCTU	25465	47570	\N	AB	19822824
1004032	3426	1997-11-11	PRIJEM	PREVOD Z UCTU	25465	42783	\N	AB	19822824
1004033	3426	1997-12-11	PRIJEM	PREVOD Z UCTU	38198	62232	\N	AB	19822824
1004034	3426	1998-01-11	PRIJEM	PREVOD Z UCTU	25465	52347	\N	AB	19822824
1004035	3426	1998-02-11	PRIJEM	PREVOD Z UCTU	25465	42261	\N	AB	19822824
1004036	3426	1998-03-11	PRIJEM	PREVOD Z UCTU	25465	53074	\N	AB	19822824
1004037	3426	1998-04-11	PRIJEM	PREVOD Z UCTU	25465	58735	\N	AB	19822824
1004038	3426	1998-05-11	PRIJEM	PREVOD Z UCTU	25465	56707	\N	AB	19822824
1004039	3426	1998-06-11	PRIJEM	PREVOD Z UCTU	38198	75423	\N	AB	19822824
1004040	3426	1998-07-11	PRIJEM	PREVOD Z UCTU	25465	69258	\N	AB	19822824
1004041	3426	1998-08-11	PRIJEM	PREVOD Z UCTU	25465	64005	\N	AB	19822824
1004042	3426	1998-09-11	PRIJEM	PREVOD Z UCTU	25465	59431	\N	AB	19822824
1004043	3426	1998-10-11	PRIJEM	PREVOD Z UCTU	25465	58038	\N	AB	19822824
1004044	3426	1998-11-11	PRIJEM	PREVOD Z UCTU	25465	52610	\N	AB	19822824
1004045	3426	1998-12-11	PRIJEM	PREVOD Z UCTU	38198	67391	\N	AB	19822824
1004058	3426	1997-01-10	VYDAJ	PREVOD NA UCET	13088	14126	SIPO	MN	59809923
1004059	3426	1997-02-10	VYDAJ	PREVOD NA UCET	13088	17353	SIPO	MN	59809923
1004060	3426	1997-03-10	VYDAJ	PREVOD NA UCET	13088	22348	SIPO	MN	59809923
1004061	3426	1997-04-10	VYDAJ	PREVOD NA UCET	13088	26673	SIPO	MN	59809923
1004062	3426	1997-05-10	VYDAJ	PREVOD NA UCET	13088	28939	SIPO	MN	59809923
1004063	3426	1997-06-10	VYDAJ	PREVOD NA UCET	13088	34417	SIPO	MN	59809923
1004064	3426	1997-07-10	VYDAJ	PREVOD NA UCET	13088	31542	SIPO	MN	59809923
1004065	3426	1997-08-10	VYDAJ	PREVOD NA UCET	13088	26322	SIPO	MN	59809923
1004066	3426	1997-09-10	VYDAJ	PREVOD NA UCET	13088	29414	SIPO	MN	59809923
1004067	3426	1997-10-10	VYDAJ	PREVOD NA UCET	13088	22105	SIPO	MN	59809923
1004068	3426	1997-11-10	VYDAJ	PREVOD NA UCET	13088	17318	SIPO	MN	59809923
1004069	3426	1997-12-10	VYDAJ	PREVOD NA UCET	13088	24034	SIPO	MN	59809923
1004070	3426	1998-01-10	VYDAJ	PREVOD NA UCET	13088	26882	SIPO	MN	59809923
1004071	3426	1998-02-10	VYDAJ	PREVOD NA UCET	13088	16796	SIPO	MN	59809923
1004072	3426	1998-03-10	VYDAJ	PREVOD NA UCET	13088	27609	SIPO	MN	59809923
1004073	3426	1998-04-10	VYDAJ	PREVOD NA UCET	13088	33270	SIPO	MN	59809923
1004074	3426	1998-05-10	VYDAJ	PREVOD NA UCET	13088	31242	SIPO	MN	59809923
1004075	3426	1998-06-10	VYDAJ	PREVOD NA UCET	13088	37225	SIPO	MN	59809923
1004076	3426	1998-07-10	VYDAJ	PREVOD NA UCET	13088	43793	SIPO	MN	59809923
1004077	3426	1998-08-10	VYDAJ	PREVOD NA UCET	13088	38540	SIPO	MN	59809923
1004078	3426	1998-09-10	VYDAJ	PREVOD NA UCET	13088	33966	SIPO	MN	59809923
1004079	3426	1998-10-10	VYDAJ	PREVOD NA UCET	13088	32573	SIPO	MN	59809923
1004080	3426	1998-11-10	VYDAJ	PREVOD NA UCET	13088	27145	SIPO	MN	59809923
1004081	3426	1998-12-10	VYDAJ	PREVOD NA UCET	13088	29193	SIPO	MN	59809923
1004093	3426	1996-12-13	VYDAJ	PREVOD NA UCET	488	62996	 	CD	44458460
1004094	3426	1997-01-13	VYDAJ	PREVOD NA UCET	488	39103	 	CD	44458460
1004095	3426	1997-02-13	VYDAJ	PREVOD NA UCET	488	42330	 	CD	44458460
1004096	3426	1997-03-13	VYDAJ	PREVOD NA UCET	488	47325	 	CD	44458460
1004097	3426	1997-04-13	VYDAJ	PREVOD NA UCET	488	51650	 	CD	44458460
1004098	3426	1997-05-13	VYDAJ	PREVOD NA UCET	488	53916	 	CD	44458460
1004099	3426	1997-06-13	VYDAJ	PREVOD NA UCET	488	72127	 	CD	44458460
1004100	3426	1997-07-13	VYDAJ	PREVOD NA UCET	488	56519	 	CD	44458460
1004101	3426	1997-08-13	VYDAJ	PREVOD NA UCET	488	48330	 	CD	44458460
1004102	3426	1997-09-13	VYDAJ	PREVOD NA UCET	488	54391	 	CD	44458460
1004103	3426	1997-10-13	VYDAJ	PREVOD NA UCET	488	47082	 	CD	44458460
1004104	3426	1997-11-13	VYDAJ	PREVOD NA UCET	488	42295	 	CD	44458460
1004105	3426	1997-12-13	VYDAJ	PREVOD NA UCET	488	61744	 	CD	44458460
1004106	3426	1998-01-13	VYDAJ	PREVOD NA UCET	488	51859	 	CD	44458460
1004107	3426	1998-02-13	VYDAJ	PREVOD NA UCET	488	41773	 	CD	44458460
1004108	3426	1998-03-13	VYDAJ	PREVOD NA UCET	488	52586	 	CD	44458460
1004109	3426	1998-04-13	VYDAJ	PREVOD NA UCET	488	58247	 	CD	44458460
1004110	3426	1998-05-13	VYDAJ	PREVOD NA UCET	488	56219	 	CD	44458460
1004111	3426	1998-06-13	VYDAJ	PREVOD NA UCET	488	72535	 	CD	44458460
1004112	3426	1998-07-13	VYDAJ	PREVOD NA UCET	488	68770	 	CD	44458460
1004113	3426	1998-08-13	VYDAJ	PREVOD NA UCET	488	63517	 	CD	44458460
1004114	3426	1998-09-13	VYDAJ	PREVOD NA UCET	488	58943	 	CD	44458460
1004115	3426	1998-10-13	VYDAJ	PREVOD NA UCET	488	57550	 	CD	44458460
1004116	3426	1998-11-13	VYDAJ	PREVOD NA UCET	488	52122	 	CD	44458460
1004117	3426	1998-12-13	VYDAJ	PREVOD NA UCET	488	66903	 	CD	44458460
1004119	3426	1996-12-11	VYBER	VYBER	24956	63484	\N	\N	\N
1004122	3426	1996-12-27	VYBER	VYBER	11595	43301	\N	\N	\N
1004126	3426	1997-02-20	VYBER	VYBER	17986	24344	\N	\N	\N
1004127	3426	1997-09-24	VYBER	VYBER	21763	32628	\N	\N	\N
1004128	3426	1997-01-14	VYBER	VYBER	12050	27053	\N	\N	\N
1004129	3426	1997-10-31	VYBER	VYBER	2807	29736	\N	\N	\N
1004130	3426	1997-12-21	VYBER	VYBER	13649	48095	\N	\N	\N
1004131	3426	1997-08-12	VYBER	VYBER	2969	48818	\N	\N	\N
1004133	3426	1997-06-21	VYDAJ	VYBER	19200	47527	\N	\N	\N
1004138	3426	1996-12-16	VYDAJ	VYBER	8100	54896	\N	\N	\N
1004139	3426	1997-12-03	VYDAJ	VYBER	6300	36122	\N	\N	\N
1004140	3426	1998-12-19	VYDAJ	VYBER	3600	63303	\N	\N	\N
1004147	3426	1997-01-29	VYDAJ	VYBER	1800	22253	\N	\N	\N
1004148	3426	1997-01-03	VYDAJ	VYBER	8100	35414	\N	\N	\N
1004149	3426	1997-01-04	VYDAJ	VYBER	4200	31214	\N	\N	\N
1004151	3426	1997-01-05	VYDAJ	VYBER	8700	22514	\N	\N	\N
1004152	3426	1997-01-26	VYDAJ	VYBER	3000	24053	\N	\N	\N
1004153	3426	1998-01-17	VYDAJ	VYBER	4500	33259	\N	\N	\N
1004154	3426	1998-01-14	VYDAJ	VYBER	7800	44059	\N	\N	\N
1004155	3426	1998-01-17	VYDAJ	VYBER	1500	31759	\N	\N	\N
1004156	3426	1998-01-01	VYDAJ	VYBER	7800	40470	\N	\N	\N
1004157	3426	1998-01-26	VYDAJ	VYBER	2700	29059	\N	\N	\N
1004158	3426	1998-01-16	VYDAJ	VYBER	6300	37759	\N	\N	\N
1004166	3426	1997-06-13	VYDAJ	VYBER	5400	66727	\N	\N	\N
1004168	3426	1997-08-07	VYDAJ	VYBER	14100	42610	\N	\N	\N
1004169	3426	1997-10-25	VYDAJ	VYBER	14700	32382	\N	\N	\N
1004170	3426	1998-10-16	VYDAJ	VYBER	8400	49150	\N	\N	\N
1004171	3426	1998-10-24	VYDAJ	VYBER	5400	43750	\N	\N	\N
1004172	3426	1998-11-21	VYDAJ	VYBER	7800	44322	\N	\N	\N
1004173	3426	1998-04-14	VYDAJ	VYBER	8100	50147	\N	\N	\N
1004174	3426	1998-02-07	VYDAJ	VYBER	1800	29884	\N	\N	\N
1004175	3426	1998-06-11	VYDAJ	VYBER	2400	73023	\N	\N	\N
1004188	3426	1996-12-31	VYDAJ	VYBER	30	43514	SLUZBY	\N	\N
1004189	3426	1997-01-31	VYDAJ	VYBER	30	22341	SLUZBY	\N	\N
1004190	3426	1997-02-28	VYDAJ	VYBER	30	24436	SLUZBY	\N	\N
1004191	3426	1997-03-31	VYDAJ	VYBER	30	47461	SLUZBY	\N	\N
1004192	3426	1997-04-30	VYDAJ	VYBER	30	51827	SLUZBY	\N	\N
1004193	3426	1997-05-31	VYDAJ	VYBER	30	54105	SLUZBY	\N	\N
1004194	3426	1997-06-30	VYDAJ	VYBER	30	47730	SLUZBY	\N	\N
1004195	3426	1997-07-31	VYDAJ	VYBER	30	56710	SLUZBY	\N	\N
1004196	3426	1997-08-31	VYDAJ	VYBER	30	48502	SLUZBY	\N	\N
1004197	3426	1997-09-30	VYDAJ	VYBER	30	32793	SLUZBY	\N	\N
1004198	3426	1997-10-31	VYDAJ	VYBER	30	29706	SLUZBY	\N	\N
1004199	3426	1997-11-30	VYDAJ	VYBER	30	42422	SLUZBY	\N	\N
1004200	3426	1997-12-31	VYDAJ	VYBER	30	48270	SLUZBY	\N	\N
1004201	3426	1998-01-31	VYDAJ	VYBER	30	29184	SLUZBY	\N	\N
1004202	3426	1998-02-28	VYDAJ	VYBER	30	41897	SLUZBY	\N	\N
1004203	3426	1998-03-31	VYDAJ	VYBER	30	52758	SLUZBY	\N	\N
1004204	3426	1998-04-30	VYDAJ	VYBER	30	50330	SLUZBY	\N	\N
1004205	3426	1998-05-31	VYDAJ	VYBER	30	56413	SLUZBY	\N	\N
1004206	3426	1998-06-30	VYDAJ	VYBER	30	72781	SLUZBY	\N	\N
1004207	3426	1998-07-31	VYDAJ	VYBER	30	69028	SLUZBY	\N	\N
1004208	3426	1998-08-31	VYDAJ	VYBER	30	63754	SLUZBY	\N	\N
1004209	3426	1998-09-30	VYDAJ	VYBER	30	59161	SLUZBY	\N	\N
1004210	3426	1998-10-31	VYDAJ	VYBER	30	40233	SLUZBY	\N	\N
1004211	3426	1998-11-30	VYDAJ	VYBER	30	44481	SLUZBY	\N	\N
1004212	3426	1996-08-12	VYDAJ	VYBER	3500	22665	\N	\N	\N
1004213	3426	1996-09-11	VYDAJ	VYBER	9500	38691	\N	\N	\N
1004214	3426	1996-10-11	VYDAJ	VYBER	15600	48721	\N	\N	\N
1004215	3426	1996-11-10	VYDAJ	VYBER	7400	41524	\N	\N	\N
1004216	3426	1996-12-10	VYDAJ	VYBER	17000	50242	\N	\N	\N
1004217	3426	1997-01-09	PRIJEM	VKLAD	4700	27214	\N	\N	\N
1004218	3426	1997-02-08	PRIJEM	VKLAD	8100	30441	\N	\N	\N
1004219	3426	1997-03-10	PRIJEM	VKLAD	11000	35436	\N	\N	\N
1004220	3426	1997-04-09	VYDAJ	VYBER	7700	39761	\N	\N	\N
1004221	3426	1997-05-09	VYDAJ	VYBER	9800	42027	\N	\N	\N
1004222	3426	1997-06-08	VYDAJ	VYBER	6600	47505	\N	\N	\N
1004223	3426	1997-07-08	VYDAJ	VYBER	3100	44630	\N	\N	\N
1004224	3426	1997-08-07	VYDAJ	VYBER	3200	39410	\N	\N	\N
1004225	3426	1997-09-06	VYDAJ	VYBER	6000	42502	\N	\N	\N
1004226	3426	1997-10-06	PRIJEM	VKLAD	2400	35193	\N	\N	\N
1004227	3426	1997-11-05	PRIJEM	VKLAD	700	30406	\N	\N	\N
1004228	3426	1997-12-05	PRIJEM	VKLAD	1000	37122	\N	\N	\N
1004229	3426	1998-01-04	VYDAJ	VYBER	500	39970	\N	\N	\N
1004230	3426	1998-02-03	PRIJEM	VKLAD	2500	31684	\N	\N	\N
1004231	3426	1998-03-05	VYDAJ	VYBER	1200	40697	\N	\N	\N
1004232	3426	1998-04-04	VYDAJ	VYBER	6400	46358	\N	\N	\N
1004233	3426	1998-05-04	VYDAJ	VYBER	6000	44330	\N	\N	\N
1004234	3426	1998-06-03	VYDAJ	VYBER	6100	50313	\N	\N	\N
1004235	3426	1998-07-03	VYDAJ	VYBER	15900	56881	\N	\N	\N
1004236	3426	1998-08-02	VYDAJ	VYBER	17400	51628	\N	\N	\N
1004237	3426	1998-09-01	VYDAJ	VYBER	16700	47054	\N	\N	\N
1004238	3426	1998-10-01	VYDAJ	VYBER	13500	45661	\N	\N	\N
1004239	3426	1998-10-31	VYDAJ	VYBER	3700	40263	\N	\N	\N
1004240	3426	1998-11-30	VYDAJ	VYBER	2200	42281	\N	\N	\N
1004270	3427	1996-08-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1004279	3427	1996-09-14	PRIJEM	VKLAD	23673	24773	\N	\N	\N
1004280	3427	1996-10-14	PRIJEM	VKLAD	23673	48177	\N	\N	\N
1004281	3427	1996-11-14	PRIJEM	VKLAD	23673	61069	\N	\N	\N
1004282	3427	1996-12-14	PRIJEM	VKLAD	35510	75838	\N	\N	\N
1004283	3427	1997-01-14	PRIJEM	VKLAD	23673	74093	\N	\N	\N
1004284	3427	1997-02-14	PRIJEM	VKLAD	23673	59111	\N	\N	\N
1004285	3427	1997-03-14	PRIJEM	VKLAD	23673	54418	\N	\N	\N
1004286	3427	1997-04-14	PRIJEM	VKLAD	23673	54218	\N	\N	\N
1004287	3427	1997-05-14	PRIJEM	VKLAD	23673	53612	\N	\N	\N
1004288	3427	1997-06-14	PRIJEM	VKLAD	35510	40244	\N	\N	\N
1004289	3427	1997-07-14	PRIJEM	VKLAD	23673	48494	\N	\N	\N
1004290	3427	1997-08-14	PRIJEM	VKLAD	23673	52073	\N	\N	\N
1004291	3427	1997-09-14	PRIJEM	VKLAD	23673	60867	\N	\N	\N
1004292	3427	1997-10-14	PRIJEM	VKLAD	23673	61289	\N	\N	\N
1004293	3427	1997-11-14	PRIJEM	VKLAD	23673	63913	\N	\N	\N
1004294	3427	1997-12-14	PRIJEM	VKLAD	35510	77080	\N	\N	\N
1004295	3427	1998-01-14	PRIJEM	VKLAD	23673	72232	\N	\N	\N
1004296	3427	1998-02-14	PRIJEM	VKLAD	23673	65482	\N	\N	\N
1004297	3427	1998-03-14	PRIJEM	VKLAD	23673	64140	\N	\N	\N
1004298	3427	1998-04-14	PRIJEM	VKLAD	23673	67375	\N	\N	\N
1004299	3427	1998-05-14	PRIJEM	VKLAD	23673	70622	\N	\N	\N
1004300	3427	1998-06-14	PRIJEM	VKLAD	35510	90731	\N	\N	\N
1004301	3427	1998-07-14	PRIJEM	VKLAD	23673	63260	\N	\N	\N
1004302	3427	1998-08-14	PRIJEM	VKLAD	23673	69681	\N	\N	\N
1004303	3427	1998-09-14	PRIJEM	VKLAD	23673	78850	\N	\N	\N
1004304	3427	1998-10-14	PRIJEM	VKLAD	23673	84573	\N	\N	\N
1004305	3427	1998-11-14	PRIJEM	VKLAD	23673	88925	\N	\N	\N
1004306	3427	1998-12-14	PRIJEM	VKLAD	35510	99927	\N	\N	\N
1004320	3427	1997-02-09	VYDAJ	PREVOD NA UCET	9843	35438	SIPO	YZ	62610715
1004321	3427	1997-03-09	VYDAJ	PREVOD NA UCET	9843	30745	SIPO	YZ	62610715
1004322	3427	1997-04-09	VYDAJ	PREVOD NA UCET	9843	32545	SIPO	YZ	62610715
1004323	3427	1997-05-09	VYDAJ	PREVOD NA UCET	9843	29939	SIPO	YZ	62610715
1004324	3427	1997-06-09	VYDAJ	PREVOD NA UCET	9843	4734	SIPO	YZ	62610715
1004325	3427	1997-07-09	VYDAJ	PREVOD NA UCET	9843	24821	SIPO	YZ	62610715
1004326	3427	1997-08-09	VYDAJ	PREVOD NA UCET	9843	28400	SIPO	YZ	62610715
1004327	3427	1997-09-09	VYDAJ	PREVOD NA UCET	9843	37194	SIPO	YZ	62610715
1004328	3427	1997-10-09	VYDAJ	PREVOD NA UCET	9843	37616	SIPO	YZ	62610715
1004329	3427	1997-11-09	VYDAJ	PREVOD NA UCET	9843	40240	SIPO	YZ	62610715
1004330	3427	1997-12-09	VYDAJ	PREVOD NA UCET	9843	41570	SIPO	YZ	62610715
1004331	3427	1998-01-09	VYDAJ	PREVOD NA UCET	9843	48559	SIPO	YZ	62610715
1004332	3427	1998-02-09	VYDAJ	PREVOD NA UCET	9843	41809	SIPO	YZ	62610715
1004333	3427	1998-03-09	VYDAJ	PREVOD NA UCET	9843	40467	SIPO	YZ	62610715
1004334	3427	1998-04-09	VYDAJ	PREVOD NA UCET	9843	43702	SIPO	YZ	62610715
1004335	3427	1998-05-09	VYDAJ	PREVOD NA UCET	9843	46949	SIPO	YZ	62610715
1004336	3427	1998-06-09	VYDAJ	PREVOD NA UCET	9843	55221	SIPO	YZ	62610715
1004337	3427	1998-07-09	VYDAJ	PREVOD NA UCET	9843	39587	SIPO	YZ	62610715
1004338	3427	1998-08-09	VYDAJ	PREVOD NA UCET	9843	39608	SIPO	YZ	62610715
1004339	3427	1998-09-09	VYDAJ	PREVOD NA UCET	9843	60077	SIPO	YZ	62610715
1004340	3427	1998-10-09	VYDAJ	PREVOD NA UCET	9843	69300	SIPO	YZ	62610715
1004341	3427	1998-11-09	VYDAJ	PREVOD NA UCET	9843	70952	SIPO	YZ	62610715
1004342	3427	1998-12-09	VYDAJ	PREVOD NA UCET	9843	77917	SIPO	YZ	62610715
1004344	3427	1997-06-07	VYDAJ	VYBER	27200	14577	\N	\N	\N
1004345	3427	1998-06-28	VYDAJ	VYBER	22700	49131	\N	\N	\N
1004347	3427	1997-01-22	VYDAJ	VYBER	4100	45093	\N	\N	\N
1004348	3427	1998-01-21	VYDAJ	VYBER	6400	51432	\N	\N	\N
1004350	3427	1997-12-20	VYDAJ	VYBER	2900	58180	\N	\N	\N
1004351	3427	1998-12-07	VYDAJ	VYBER	1500	87760	\N	\N	\N
1004356	3427	1997-09-27	VYDAJ	VYBER	3500	47267	\N	\N	\N
1004357	3427	1997-04-13	VYDAJ	VYBER	2000	30545	\N	\N	\N
1004358	3427	1997-07-23	VYDAJ	VYBER	2800	39594	\N	\N	\N
1004359	3427	1997-04-15	VYDAJ	VYBER	3500	50718	\N	\N	\N
1004360	3427	1997-08-02	VYDAJ	VYBER	1500	38243	\N	\N	\N
1004361	3427	1998-11-06	VYDAJ	VYBER	4100	80795	\N	\N	\N
1004362	3427	1998-04-18	VYDAJ	VYBER	1200	56575	\N	\N	\N
1004363	3427	1998-07-22	VYDAJ	VYBER	600	49260	\N	\N	\N
1004364	3427	1998-07-15	VYDAJ	VYBER	3800	49860	\N	\N	\N
1004378	3427	1997-01-31	VYDAJ	VYBER	15	45281	SLUZBY	\N	\N
1004379	3427	1997-02-28	VYDAJ	VYBER	15	40588	SLUZBY	\N	\N
1004380	3427	1997-03-31	VYDAJ	VYBER	15	42388	SLUZBY	\N	\N
1004381	3427	1997-04-30	VYDAJ	VYBER	15	39782	SLUZBY	\N	\N
1004382	3427	1997-05-31	VYDAJ	VYBER	15	41777	SLUZBY	\N	\N
1004383	3427	1997-06-30	VYDAJ	VYBER	15	34664	SLUZBY	\N	\N
1004384	3427	1997-07-31	VYDAJ	VYBER	15	39743	SLUZBY	\N	\N
1004385	3427	1997-08-31	VYDAJ	VYBER	15	47037	SLUZBY	\N	\N
1004386	3427	1997-09-30	VYDAJ	VYBER	15	47459	SLUZBY	\N	\N
1004387	3427	1997-10-31	VYDAJ	VYBER	15	50083	SLUZBY	\N	\N
1004388	3427	1997-11-30	VYDAJ	VYBER	15	51413	SLUZBY	\N	\N
1004389	3427	1997-12-31	VYDAJ	VYBER	15	58402	SLUZBY	\N	\N
1004390	3427	1998-01-31	VYDAJ	VYBER	15	51652	SLUZBY	\N	\N
1004391	3427	1998-02-28	VYDAJ	VYBER	15	50310	SLUZBY	\N	\N
1004392	3427	1998-03-31	VYDAJ	VYBER	15	53545	SLUZBY	\N	\N
1004393	3427	1998-04-30	VYDAJ	VYBER	15	56792	SLUZBY	\N	\N
1004394	3427	1998-05-31	VYDAJ	VYBER	15	65064	SLUZBY	\N	\N
1004395	3427	1998-06-30	VYDAJ	VYBER	15	49430	SLUZBY	\N	\N
1004396	3427	1998-07-31	VYDAJ	VYBER	15	49451	SLUZBY	\N	\N
1004397	3427	1998-08-31	VYDAJ	VYBER	15	69920	SLUZBY	\N	\N
1004398	3427	1998-09-30	VYDAJ	VYBER	15	79143	SLUZBY	\N	\N
1004399	3427	1998-10-31	VYDAJ	VYBER	15	84895	SLUZBY	\N	\N
1004400	3427	1998-11-30	VYDAJ	VYBER	15	89260	SLUZBY	\N	\N
1004401	3427	1996-09-22	VYDAJ	VYBER	300	24473	\N	\N	\N
1004402	3427	1996-10-22	VYDAJ	VYBER	10900	37277	\N	\N	\N
1004403	3427	1996-11-21	VYDAJ	VYBER	20900	40169	\N	\N	\N
1004404	3427	1996-12-21	VYDAJ	VYBER	25600	50238	\N	\N	\N
1004405	3427	1997-01-20	VYDAJ	VYBER	24900	49193	\N	\N	\N
1004406	3427	1997-02-19	VYDAJ	VYBER	18700	40411	\N	\N	\N
1004407	3427	1997-03-21	VYDAJ	VYBER	12200	42218	\N	\N	\N
1004408	3427	1997-04-20	VYDAJ	VYBER	11100	39618	\N	\N	\N
1004409	3427	1997-05-20	VYDAJ	VYBER	12000	41612	\N	\N	\N
1004410	3427	1997-06-19	VYDAJ	VYBER	5700	34544	\N	\N	\N
1004411	3427	1997-07-19	VYDAJ	VYBER	6100	42394	\N	\N	\N
1004412	3427	1997-08-18	VYDAJ	VYBER	5200	46873	\N	\N	\N
1004413	3427	1997-09-17	VYDAJ	VYBER	10100	50767	\N	\N	\N
1004414	3427	1997-10-17	VYDAJ	VYBER	11400	49889	\N	\N	\N
1004415	3427	1997-11-16	VYDAJ	VYBER	12700	51213	\N	\N	\N
1004416	3427	1997-12-16	VYDAJ	VYBER	16000	61080	\N	\N	\N
1004417	3427	1998-01-15	VYDAJ	VYBER	14400	57832	\N	\N	\N
1004418	3427	1998-02-14	VYDAJ	VYBER	15400	50082	\N	\N	\N
1004419	3427	1998-03-16	VYDAJ	VYBER	10800	53340	\N	\N	\N
1004420	3427	1998-04-15	VYDAJ	VYBER	9600	57775	\N	\N	\N
1004421	3427	1998-05-15	VYDAJ	VYBER	5800	64822	\N	\N	\N
1004422	3427	1998-06-14	VYDAJ	VYBER	18900	71831	\N	\N	\N
1004423	3427	1998-07-14	VYDAJ	VYBER	9600	53660	\N	\N	\N
1004424	3427	1998-08-13	PRIJEM	VKLAD	6400	46008	\N	\N	\N
1004425	3427	1998-09-12	VYDAJ	VYBER	4900	55177	\N	\N	\N
1004426	3427	1998-10-12	VYDAJ	VYBER	8400	60900	\N	\N	\N
1004427	3427	1998-11-11	VYDAJ	VYBER	5700	65252	\N	\N	\N
1004428	3427	1998-12-11	VYDAJ	VYBER	13500	64417	\N	\N	\N
1004457	3428	1997-07-12	PRIJEM	VKLAD	300	300	\N	\N	\N
1004465	3428	1997-08-12	PRIJEM	VKLAD	11248	26448	\N	\N	\N
1004466	3428	1997-09-12	PRIJEM	VKLAD	11248	39867	\N	\N	\N
1004467	3428	1997-10-12	PRIJEM	VKLAD	11248	43761	\N	\N	\N
1004468	3428	1997-11-12	PRIJEM	VKLAD	11248	44185	\N	\N	\N
1004469	3428	1997-12-12	PRIJEM	VKLAD	16872	52141	\N	\N	\N
1004470	3428	1998-01-12	PRIJEM	VKLAD	11248	45032	\N	\N	\N
1004471	3428	1998-02-12	PRIJEM	VKLAD	11248	34292	\N	\N	\N
1004472	3428	1998-03-12	PRIJEM	VKLAD	11248	37660	\N	\N	\N
1004473	3428	1998-04-12	PRIJEM	VKLAD	11248	39108	\N	\N	\N
1004474	3428	1998-05-12	PRIJEM	VKLAD	11248	41486	\N	\N	\N
1004475	3428	1998-06-12	PRIJEM	VKLAD	16872	46112	\N	\N	\N
1004476	3428	1998-07-12	PRIJEM	VKLAD	11248	20937	\N	\N	\N
1004477	3428	1998-08-12	PRIJEM	VKLAD	11248	31194	\N	\N	\N
1004478	3428	1998-09-12	PRIJEM	VKLAD	11248	32241	\N	\N	\N
1004479	3428	1998-10-12	PRIJEM	VKLAD	11248	34307	\N	\N	\N
1004480	3428	1998-11-12	PRIJEM	VKLAD	11248	36154	\N	\N	\N
1004481	3428	1998-12-12	PRIJEM	VKLAD	16872	43251	\N	\N	\N
1004483	3428	1998-06-25	VYDAJ	VYBER	40960	5152	\N	\N	\N
1004485	3428	1998-01-25	VYDAJ	VYBER	4160	35112	\N	\N	\N
1004486	3428	1997-12-24	VYDAJ	VYBER	2720	47501	\N	\N	\N
1004487	3428	1998-12-29	VYDAJ	VYBER	2400	40851	\N	\N	\N
1004494	3428	1998-01-29	VYDAJ	VYBER	1440	32472	\N	\N	\N
1004495	3428	1998-01-04	VYDAJ	VYBER	1440	43484	\N	\N	\N
1004496	3428	1998-01-26	VYDAJ	VYBER	1200	33912	\N	\N	\N
1004497	3428	1998-01-20	VYDAJ	VYBER	3240	39272	\N	\N	\N
1004498	3428	1998-01-12	VYDAJ	VYBER	2520	42512	\N	\N	\N
1004499	3428	1998-01-04	VYDAJ	VYBER	2760	44924	\N	\N	\N
1004502	3428	1997-12-12	VYDAJ	VYBER	1920	50221	\N	\N	\N
1004504	3428	1998-07-29	VYDAJ	VYBER	840	20097	\N	\N	\N
1004505	3428	1998-03-16	VYDAJ	VYBER	5880	31780	\N	\N	\N
1004506	3428	1998-03-30	VYDAJ	VYBER	3120	26740	\N	\N	\N
1004507	3428	1998-10-24	VYDAJ	VYBER	5520	28787	\N	\N	\N
1004508	3428	1998-03-17	VYDAJ	VYBER	1920	29860	\N	\N	\N
1004509	3428	1998-02-08	VYDAJ	VYBER	3480	23044	\N	\N	\N
1004522	3428	1997-12-31	VYDAJ	VYBER	15	47684	SLUZBY	\N	\N
1004523	3428	1998-01-31	VYDAJ	VYBER	15	32624	SLUZBY	\N	\N
1004524	3428	1998-02-28	VYDAJ	VYBER	15	34412	SLUZBY	\N	\N
1004525	3428	1998-03-31	VYDAJ	VYBER	15	26860	SLUZBY	\N	\N
1004526	3428	1998-04-30	VYDAJ	VYBER	15	39238	SLUZBY	\N	\N
1004527	3428	1998-05-31	VYDAJ	VYBER	15	41640	SLUZBY	\N	\N
1004528	3428	1998-06-30	VYDAJ	VYBER	15	5289	SLUZBY	\N	\N
1004529	3428	1998-07-31	VYDAJ	VYBER	15	20146	SLUZBY	\N	\N
1004530	3428	1998-08-31	VYDAJ	VYBER	15	31293	SLUZBY	\N	\N
1004531	3428	1998-09-30	VYDAJ	VYBER	15	32359	SLUZBY	\N	\N
1004532	3428	1998-10-31	VYDAJ	VYBER	15	28906	SLUZBY	\N	\N
1004533	3428	1998-11-30	VYDAJ	VYBER	15	36279	SLUZBY	\N	\N
1004534	3428	1997-08-11	PRIJEM	VKLAD	14900	15200	\N	\N	\N
1004535	3428	1997-09-10	PRIJEM	VKLAD	2100	28619	\N	\N	\N
1004536	3428	1997-10-10	VYDAJ	VYBER	7500	32513	\N	\N	\N
1004537	3428	1997-11-09	VYDAJ	VYBER	11000	32937	\N	\N	\N
1004538	3428	1997-12-09	VYDAJ	VYBER	9100	35269	\N	\N	\N
1004539	3428	1998-01-08	VYDAJ	VYBER	9700	33784	\N	\N	\N
1004540	3428	1998-02-07	VYDAJ	VYBER	6100	26524	\N	\N	\N
1004541	3428	1998-03-09	VYDAJ	VYBER	8000	26412	\N	\N	\N
1004542	3428	1998-04-08	PRIJEM	VKLAD	1000	27860	\N	\N	\N
1004543	3428	1998-05-08	VYDAJ	VYBER	9000	30238	\N	\N	\N
1004544	3428	1998-06-07	VYDAJ	VYBER	12400	29240	\N	\N	\N
1004545	3428	1998-07-07	PRIJEM	VKLAD	4400	9689	\N	\N	\N
1004546	3428	1998-08-06	VYDAJ	VYBER	200	19946	\N	\N	\N
1004547	3428	1998-09-05	VYDAJ	VYBER	10300	20993	\N	\N	\N
1004548	3428	1998-10-05	VYDAJ	VYBER	9300	23059	\N	\N	\N
1004549	3428	1998-11-04	VYDAJ	VYBER	4000	24906	\N	\N	\N
1004550	3428	1998-12-04	VYDAJ	VYBER	9900	26379	\N	\N	\N
1004568	3429	1993-12-17	PRIJEM	VKLAD	500	500	\N	\N	\N
1004581	3429	1994-01-14	PRIJEM	PREVOD Z UCTU	6664	7164	DUCHOD	UV	61550193
1004582	3429	1994-02-14	PRIJEM	PREVOD Z UCTU	6664	13828	DUCHOD	UV	61550193
1004583	3429	1994-03-14	PRIJEM	PREVOD Z UCTU	6664	20492	DUCHOD	UV	61550193
1004584	3429	1994-04-14	PRIJEM	PREVOD Z UCTU	6664	27156	DUCHOD	UV	61550193
1004585	3429	1994-05-14	PRIJEM	PREVOD Z UCTU	6664	32875	DUCHOD	UV	61550193
1004586	3429	1994-06-14	PRIJEM	PREVOD Z UCTU	6664	30154	DUCHOD	UV	61550193
1004587	3429	1994-07-14	PRIJEM	PREVOD Z UCTU	6664	29384	DUCHOD	UV	61550193
1004588	3429	1994-08-14	PRIJEM	PREVOD Z UCTU	6664	30701	DUCHOD	UV	61550193
1004589	3429	1994-09-14	PRIJEM	PREVOD Z UCTU	6664	29208	DUCHOD	UV	61550193
1004590	3429	1994-10-14	PRIJEM	PREVOD Z UCTU	6664	31912	DUCHOD	UV	61550193
1004591	3429	1994-11-14	PRIJEM	PREVOD Z UCTU	6664	34326	DUCHOD	UV	61550193
1004592	3429	1994-12-14	PRIJEM	PREVOD Z UCTU	6664	35699	DUCHOD	UV	61550193
1004593	3429	1995-01-14	PRIJEM	PREVOD Z UCTU	6664	28864	DUCHOD	UV	61550193
1004594	3429	1995-02-14	PRIJEM	PREVOD Z UCTU	6664	28050	DUCHOD	UV	61550193
1004595	3429	1995-03-14	PRIJEM	PREVOD Z UCTU	6664	32442	DUCHOD	UV	61550193
1004596	3429	1995-04-14	PRIJEM	PREVOD Z UCTU	6664	36655	DUCHOD	UV	61550193
1004597	3429	1995-05-14	PRIJEM	PREVOD Z UCTU	6664	35825	DUCHOD	UV	61550193
1004598	3429	1995-06-14	PRIJEM	PREVOD Z UCTU	6664	38177	DUCHOD	UV	61550193
1004599	3429	1995-07-14	PRIJEM	PREVOD Z UCTU	6664	35707	DUCHOD	UV	61550193
1004600	3429	1995-08-14	PRIJEM	PREVOD Z UCTU	6664	39432	DUCHOD	UV	61550193
1004601	3429	1995-09-14	PRIJEM	PREVOD Z UCTU	6664	38434	DUCHOD	UV	61550193
1004602	3429	1995-10-14	PRIJEM	PREVOD Z UCTU	6664	40177	DUCHOD	UV	61550193
1004603	3429	1995-11-14	PRIJEM	PREVOD Z UCTU	6664	35263	DUCHOD	UV	61550193
1004604	3429	1995-12-14	PRIJEM	PREVOD Z UCTU	6664	37593	DUCHOD	UV	61550193
1004605	3429	1996-01-14	PRIJEM	PREVOD Z UCTU	6664	34429	DUCHOD	UV	61550193
1004606	3429	1996-02-14	PRIJEM	PREVOD Z UCTU	6664	33527	DUCHOD	UV	61550193
1004607	3429	1996-03-14	PRIJEM	PREVOD Z UCTU	6664	36243	DUCHOD	UV	61550193
1004608	3429	1996-04-14	PRIJEM	PREVOD Z UCTU	6664	36873	DUCHOD	UV	61550193
1004609	3429	1996-05-14	PRIJEM	PREVOD Z UCTU	6664	38045	DUCHOD	UV	61550193
1004610	3429	1996-06-14	PRIJEM	PREVOD Z UCTU	6664	28480	DUCHOD	UV	61550193
1004611	3429	1996-07-14	PRIJEM	PREVOD Z UCTU	6664	31230	DUCHOD	UV	61550193
1004612	3429	1996-08-14	PRIJEM	PREVOD Z UCTU	6664	34439	DUCHOD	UV	61550193
1004613	3429	1996-09-14	PRIJEM	PREVOD Z UCTU	6664	37559	DUCHOD	UV	61550193
1004614	3429	1996-10-14	PRIJEM	PREVOD Z UCTU	6664	38292	DUCHOD	UV	61550193
1004615	3429	1996-11-14	PRIJEM	PREVOD Z UCTU	6664	41730	DUCHOD	UV	61550193
1004616	3429	1996-12-14	PRIJEM	PREVOD Z UCTU	6664	44280	DUCHOD	UV	61550193
1004617	3429	1997-01-14	PRIJEM	PREVOD Z UCTU	6664	34811	DUCHOD	UV	61550193
1004618	3429	1997-02-14	PRIJEM	PREVOD Z UCTU	6664	35932	DUCHOD	UV	61550193
1004619	3429	1997-03-14	PRIJEM	PREVOD Z UCTU	6664	34797	DUCHOD	UV	61550193
1004620	3429	1997-04-14	PRIJEM	PREVOD Z UCTU	6664	38818	DUCHOD	UV	61550193
1004621	3429	1997-05-14	PRIJEM	PREVOD Z UCTU	6664	38612	DUCHOD	UV	61550193
1004622	3429	1997-06-14	PRIJEM	PREVOD Z UCTU	6664	29548	DUCHOD	UV	61550193
1004623	3429	1997-07-14	PRIJEM	PREVOD Z UCTU	6664	32615	DUCHOD	UV	61550193
1004624	3429	1997-08-14	PRIJEM	PREVOD Z UCTU	6664	37526	DUCHOD	UV	61550193
1004625	3429	1997-09-14	PRIJEM	PREVOD Z UCTU	6664	36896	DUCHOD	UV	61550193
1004626	3429	1997-10-14	PRIJEM	PREVOD Z UCTU	6664	39625	DUCHOD	UV	61550193
1004627	3429	1997-11-14	PRIJEM	PREVOD Z UCTU	6664	39962	DUCHOD	UV	61550193
1004628	3429	1997-12-14	PRIJEM	PREVOD Z UCTU	6664	37076	DUCHOD	UV	61550193
1004629	3429	1998-01-14	PRIJEM	PREVOD Z UCTU	6664	31236	DUCHOD	UV	61550193
1004630	3429	1998-02-14	PRIJEM	PREVOD Z UCTU	6664	34068	DUCHOD	UV	61550193
1004631	3429	1998-03-14	PRIJEM	PREVOD Z UCTU	6664	36103	DUCHOD	UV	61550193
1004632	3429	1998-04-14	PRIJEM	PREVOD Z UCTU	6664	33984	DUCHOD	UV	61550193
1004633	3429	1998-05-14	PRIJEM	PREVOD Z UCTU	6664	38904	DUCHOD	UV	61550193
1004634	3429	1998-06-14	PRIJEM	PREVOD Z UCTU	6664	26056	DUCHOD	UV	61550193
1004635	3429	1998-07-14	PRIJEM	PREVOD Z UCTU	6664	30963	DUCHOD	UV	61550193
1004636	3429	1998-08-14	PRIJEM	PREVOD Z UCTU	6664	35866	DUCHOD	UV	61550193
1004637	3429	1998-09-14	PRIJEM	PREVOD Z UCTU	6664	40789	DUCHOD	UV	61550193
1004638	3429	1998-10-14	PRIJEM	PREVOD Z UCTU	6664	45733	DUCHOD	UV	61550193
1004639	3429	1998-11-14	PRIJEM	PREVOD Z UCTU	6664	43886	DUCHOD	UV	61550193
1004640	3429	1998-12-14	PRIJEM	PREVOD Z UCTU	6664	46322	DUCHOD	UV	61550193
1004658	3429	1994-06-06	VYDAJ	PREVOD NA UCET	538	24816	SIPO	UV	41107934
1004659	3429	1994-07-06	VYDAJ	PREVOD NA UCET	538	24046	SIPO	UV	41107934
1004660	3429	1994-08-06	VYDAJ	PREVOD NA UCET	538	27843	SIPO	UV	41107934
1004661	3429	1994-09-06	VYDAJ	PREVOD NA UCET	538	27370	SIPO	UV	41107934
1004662	3429	1994-10-06	VYDAJ	PREVOD NA UCET	538	28774	SIPO	UV	41107934
1004663	3429	1994-11-06	VYDAJ	PREVOD NA UCET	538	31488	SIPO	UV	41107934
1004664	3429	1994-12-06	VYDAJ	PREVOD NA UCET	538	33911	SIPO	UV	41107934
1004665	3429	1995-01-06	VYDAJ	PREVOD NA UCET	538	31686	SIPO	UV	41107934
1004666	3429	1995-02-06	VYDAJ	PREVOD NA UCET	538	22712	SIPO	UV	41107934
1004667	3429	1995-03-06	VYDAJ	PREVOD NA UCET	538	27604	SIPO	UV	41107934
1004668	3429	1995-04-06	VYDAJ	PREVOD NA UCET	538	32017	SIPO	UV	41107934
1004669	3429	1995-05-06	VYDAJ	PREVOD NA UCET	538	36247	SIPO	UV	41107934
1004670	3429	1995-06-06	VYDAJ	PREVOD NA UCET	538	34539	SIPO	UV	41107934
1004671	3429	1995-07-06	VYDAJ	PREVOD NA UCET	538	30369	SIPO	UV	41107934
1004672	3429	1995-08-06	VYDAJ	PREVOD NA UCET	538	35294	SIPO	UV	41107934
1004673	3429	1995-09-06	VYDAJ	PREVOD NA UCET	538	39036	SIPO	UV	41107934
1004674	3429	1995-10-06	VYDAJ	PREVOD NA UCET	538	38039	SIPO	UV	41107934
1004675	3429	1995-11-06	VYDAJ	PREVOD NA UCET	538	36425	SIPO	UV	41107934
1004676	3429	1995-12-06	VYDAJ	PREVOD NA UCET	538	34855	SIPO	UV	41107934
1004677	3429	1996-01-06	VYDAJ	PREVOD NA UCET	538	29091	SIPO	UV	41107934
1004678	3429	1996-02-06	VYDAJ	PREVOD NA UCET	538	28189	SIPO	UV	41107934
1004679	3429	1996-03-06	VYDAJ	PREVOD NA UCET	538	33105	SIPO	UV	41107934
1004680	3429	1996-04-06	VYDAJ	PREVOD NA UCET	538	31535	SIPO	UV	41107934
1004681	3429	1996-05-06	VYDAJ	PREVOD NA UCET	538	33187	SIPO	UV	41107934
1004682	3429	1996-06-06	VYDAJ	PREVOD NA UCET	538	32842	SIPO	UV	41107934
1004683	3429	1996-07-06	VYDAJ	PREVOD NA UCET	538	28052	SIPO	UV	41107934
1004684	3429	1996-08-06	VYDAJ	PREVOD NA UCET	538	29101	SIPO	UV	41107934
1004685	3429	1996-09-06	VYDAJ	PREVOD NA UCET	538	32221	SIPO	UV	41107934
1004686	3429	1996-10-06	VYDAJ	PREVOD NA UCET	538	32954	SIPO	UV	41107934
1004687	3429	1996-11-06	VYDAJ	PREVOD NA UCET	538	36392	SIPO	UV	41107934
1004688	3429	1996-12-06	VYDAJ	PREVOD NA UCET	538	38942	SIPO	UV	41107934
1004689	3429	1997-01-06	VYDAJ	PREVOD NA UCET	538	34593	SIPO	UV	41107934
1004690	3429	1997-02-06	VYDAJ	PREVOD NA UCET	538	30594	SIPO	UV	41107934
1004691	3429	1997-03-06	VYDAJ	PREVOD NA UCET	538	29459	SIPO	UV	41107934
1004692	3429	1997-04-06	VYDAJ	PREVOD NA UCET	538	33480	SIPO	UV	41107934
1004693	3429	1997-05-06	VYDAJ	PREVOD NA UCET	538	33274	SIPO	UV	41107934
1004694	3429	1997-06-06	VYDAJ	PREVOD NA UCET	538	38010	SIPO	UV	41107934
1004695	3429	1997-07-06	VYDAJ	PREVOD NA UCET	538	27277	SIPO	UV	41107934
1004696	3429	1997-08-06	VYDAJ	PREVOD NA UCET	538	32188	SIPO	UV	41107934
1004697	3429	1997-09-06	VYDAJ	PREVOD NA UCET	538	31558	SIPO	UV	41107934
1004698	3429	1997-10-06	VYDAJ	PREVOD NA UCET	538	34287	SIPO	UV	41107934
1004699	3429	1997-11-06	VYDAJ	PREVOD NA UCET	538	34624	SIPO	UV	41107934
1004700	3429	1997-12-06	VYDAJ	PREVOD NA UCET	538	33038	SIPO	UV	41107934
1004701	3429	1998-01-06	VYDAJ	PREVOD NA UCET	538	34268	SIPO	UV	41107934
1004702	3429	1998-02-06	VYDAJ	PREVOD NA UCET	538	28730	SIPO	UV	41107934
1004703	3429	1998-03-06	VYDAJ	PREVOD NA UCET	538	30765	SIPO	UV	41107934
1004704	3429	1998-04-06	VYDAJ	PREVOD NA UCET	538	32086	SIPO	UV	41107934
1004705	3429	1998-05-06	VYDAJ	PREVOD NA UCET	538	33566	SIPO	UV	41107934
1004706	3429	1998-06-06	VYDAJ	PREVOD NA UCET	538	35618	SIPO	UV	41107934
1004707	3429	1998-07-06	VYDAJ	PREVOD NA UCET	538	25625	SIPO	UV	41107934
1004708	3429	1998-08-06	VYDAJ	PREVOD NA UCET	538	30528	SIPO	UV	41107934
1004709	3429	1998-09-06	VYDAJ	PREVOD NA UCET	538	35451	SIPO	UV	41107934
1004710	3429	1998-10-06	VYDAJ	PREVOD NA UCET	538	40395	SIPO	UV	41107934
1004711	3429	1998-11-06	VYDAJ	PREVOD NA UCET	538	38548	SIPO	UV	41107934
1004712	3429	1998-12-06	VYDAJ	PREVOD NA UCET	538	42384	SIPO	UV	41107934
1004730	3429	1994-06-13	VYDAJ	PREVOD NA UCET	1326	23490	 	MN	25704860
1004731	3429	1994-07-13	VYDAJ	PREVOD NA UCET	1326	22720	 	MN	25704860
1004732	3429	1994-08-13	VYDAJ	PREVOD NA UCET	1326	24037	 	MN	25704860
1004733	3429	1994-09-13	VYDAJ	PREVOD NA UCET	1326	26044	 	MN	25704860
1004734	3429	1994-10-13	VYDAJ	PREVOD NA UCET	1326	25248	 	MN	25704860
1004735	3429	1994-11-13	VYDAJ	PREVOD NA UCET	1326	27662	 	MN	25704860
1004736	3429	1994-12-13	VYDAJ	PREVOD NA UCET	1326	29585	 	MN	25704860
1004737	3429	1995-01-13	VYDAJ	PREVOD NA UCET	1326	22200	 	MN	25704860
1004738	3429	1995-02-13	VYDAJ	PREVOD NA UCET	1326	21386	 	MN	25704860
1004739	3429	1995-03-13	VYDAJ	PREVOD NA UCET	1326	25778	 	MN	25704860
1004740	3429	1995-04-13	VYDAJ	PREVOD NA UCET	1326	29991	 	MN	25704860
1004741	3429	1995-05-13	VYDAJ	PREVOD NA UCET	1326	29161	 	MN	25704860
1004742	3429	1995-06-13	VYDAJ	PREVOD NA UCET	1326	31513	 	MN	25704860
1004743	3429	1995-07-13	VYDAJ	PREVOD NA UCET	1326	29043	 	MN	25704860
1004744	3429	1995-08-13	VYDAJ	PREVOD NA UCET	1326	32768	 	MN	25704860
1004745	3429	1995-09-13	VYDAJ	PREVOD NA UCET	1326	31770	 	MN	25704860
1004746	3429	1995-10-13	VYDAJ	PREVOD NA UCET	1326	33513	 	MN	25704860
1004747	3429	1995-11-13	VYDAJ	PREVOD NA UCET	1326	28599	 	MN	25704860
1004748	3429	1995-12-13	VYDAJ	PREVOD NA UCET	1326	31529	 	MN	25704860
1004749	3429	1996-01-13	VYDAJ	PREVOD NA UCET	1326	27765	 	MN	25704860
1004750	3429	1996-02-13	VYDAJ	PREVOD NA UCET	1326	26863	 	MN	25704860
1004751	3429	1996-03-13	VYDAJ	PREVOD NA UCET	1326	29579	 	MN	25704860
1004752	3429	1996-04-13	VYDAJ	PREVOD NA UCET	1326	30209	 	MN	25704860
1004753	3429	1996-05-13	VYDAJ	PREVOD NA UCET	1326	31381	 	MN	25704860
1004754	3429	1996-06-13	VYDAJ	PREVOD NA UCET	1326	21816	 	MN	25704860
1004755	3429	1996-07-13	VYDAJ	PREVOD NA UCET	1326	24566	 	MN	25704860
1004756	3429	1996-08-13	VYDAJ	PREVOD NA UCET	1326	27775	 	MN	25704860
1004757	3429	1996-09-13	VYDAJ	PREVOD NA UCET	1326	30895	 	MN	25704860
1004758	3429	1996-10-13	VYDAJ	PREVOD NA UCET	1326	31628	 	MN	25704860
1004759	3429	1996-11-13	VYDAJ	PREVOD NA UCET	1326	35066	 	MN	25704860
1004760	3429	1996-12-13	VYDAJ	PREVOD NA UCET	1326	37616	 	MN	25704860
1004761	3429	1997-01-13	VYDAJ	PREVOD NA UCET	1326	28147	 	MN	25704860
1004762	3429	1997-02-13	VYDAJ	PREVOD NA UCET	1326	29268	 	MN	25704860
1004763	3429	1997-03-13	VYDAJ	PREVOD NA UCET	1326	28133	 	MN	25704860
1004764	3429	1997-04-13	VYDAJ	PREVOD NA UCET	1326	32154	 	MN	25704860
1004765	3429	1997-05-13	VYDAJ	PREVOD NA UCET	1326	31948	 	MN	25704860
1004766	3429	1997-06-13	VYDAJ	PREVOD NA UCET	1326	22884	 	MN	25704860
1004767	3429	1997-07-13	VYDAJ	PREVOD NA UCET	1326	25951	 	MN	25704860
1004768	3429	1997-08-13	VYDAJ	PREVOD NA UCET	1326	30862	 	MN	25704860
1004769	3429	1997-09-13	VYDAJ	PREVOD NA UCET	1326	30232	 	MN	25704860
1004770	3429	1997-10-13	VYDAJ	PREVOD NA UCET	1326	32961	 	MN	25704860
1004771	3429	1997-11-13	VYDAJ	PREVOD NA UCET	1326	33298	 	MN	25704860
1004772	3429	1997-12-13	VYDAJ	PREVOD NA UCET	1326	30412	 	MN	25704860
1004773	3429	1998-01-13	VYDAJ	PREVOD NA UCET	1326	24572	 	MN	25704860
1004774	3429	1998-02-13	VYDAJ	PREVOD NA UCET	1326	27404	 	MN	25704860
1004775	3429	1998-03-13	VYDAJ	PREVOD NA UCET	1326	29439	 	MN	25704860
1004776	3429	1998-04-13	VYDAJ	PREVOD NA UCET	1326	27320	 	MN	25704860
1004777	3429	1998-05-13	VYDAJ	PREVOD NA UCET	1326	32240	 	MN	25704860
1004778	3429	1998-06-13	VYDAJ	PREVOD NA UCET	1326	34292	 	MN	25704860
1004779	3429	1998-07-13	VYDAJ	PREVOD NA UCET	1326	24299	 	MN	25704860
1004780	3429	1998-08-13	VYDAJ	PREVOD NA UCET	1326	29202	 	MN	25704860
1004781	3429	1998-09-13	VYDAJ	PREVOD NA UCET	1326	34125	 	MN	25704860
1004782	3429	1998-10-13	VYDAJ	PREVOD NA UCET	1326	39069	 	MN	25704860
1004783	3429	1998-11-13	VYDAJ	PREVOD NA UCET	1326	37222	 	MN	25704860
1004784	3429	1998-12-13	VYDAJ	PREVOD NA UCET	1326	39658	 	MN	25704860
1004787	3429	1995-06-24	VYDAJ	VYBER	7400	30777	\N	\N	\N
1004788	3429	1996-06-11	VYDAJ	VYBER	9700	23142	\N	\N	\N
1004789	3429	1997-06-08	VYDAJ	VYBER	13800	24210	\N	\N	\N
1004790	3429	1998-06-13	VYDAJ	VYBER	14900	19392	\N	\N	\N
1004793	3429	1995-01-19	VYDAJ	VYBER	2750	25154	\N	\N	\N
1004794	3429	1996-01-16	VYDAJ	VYBER	600	33829	\N	\N	\N
1004795	3429	1997-01-29	VYDAJ	VYBER	600	31011	\N	\N	\N
1004796	3429	1998-01-11	VYDAJ	VYBER	3250	26698	\N	\N	\N
1004798	3429	1994-12-13	VYDAJ	VYBER	550	29035	\N	\N	\N
1004799	3429	1995-12-13	VYDAJ	VYBER	600	30929	\N	\N	\N
1004800	3429	1996-12-30	VYDAJ	VYBER	1150	43130	\N	\N	\N
1004801	3429	1997-12-09	VYDAJ	VYBER	1300	31738	\N	\N	\N
1004802	3429	1998-12-09	VYDAJ	VYBER	1400	40984	\N	\N	\N
1004815	3429	1995-01-06	VYDAJ	VYBER	400	32224	\N	\N	\N
1004816	3429	1995-01-24	VYDAJ	VYBER	400	23154	\N	\N	\N
1004817	3429	1995-01-10	VYDAJ	VYBER	960	23526	\N	\N	\N
1004818	3429	1995-01-07	VYDAJ	VYBER	1600	27846	\N	\N	\N
1004819	3429	1995-01-22	VYDAJ	VYBER	1600	23554	\N	\N	\N
1004820	3429	1995-01-07	VYDAJ	VYBER	2240	29446	\N	\N	\N
1004821	3429	1996-01-29	VYDAJ	VYBER	560	30869	\N	\N	\N
1004822	3429	1996-01-04	VYDAJ	VYBER	560	34929	\N	\N	\N
1004823	3429	1996-01-30	VYDAJ	VYBER	960	29909	\N	\N	\N
1004824	3429	1996-01-22	VYDAJ	VYBER	1360	31429	\N	\N	\N
1004825	3429	1996-01-19	VYDAJ	VYBER	1040	32789	\N	\N	\N
1004826	3429	1996-01-02	VYDAJ	VYBER	1840	35489	\N	\N	\N
1004827	3429	1997-01-14	VYDAJ	VYBER	1920	32891	\N	\N	\N
1004828	3429	1997-01-08	VYDAJ	VYBER	2240	30033	\N	\N	\N
1004829	3429	1997-01-03	VYDAJ	VYBER	1440	36651	\N	\N	\N
1004830	3429	1997-01-04	VYDAJ	VYBER	1520	35131	\N	\N	\N
1004831	3429	1997-01-12	VYDAJ	VYBER	560	29473	\N	\N	\N
1004832	3429	1997-01-08	VYDAJ	VYBER	2320	32273	\N	\N	\N
1004833	3429	1998-01-08	VYDAJ	VYBER	2240	32028	\N	\N	\N
1004834	3429	1998-01-06	VYDAJ	VYBER	1520	34806	\N	\N	\N
1004835	3429	1998-01-12	VYDAJ	VYBER	800	25898	\N	\N	\N
1004836	3429	1998-01-04	VYDAJ	VYBER	880	36326	\N	\N	\N
1004837	3429	1998-01-17	VYDAJ	VYBER	2080	29156	\N	\N	\N
1004838	3429	1998-01-10	VYDAJ	VYBER	2080	29948	\N	\N	\N
1004842	3429	1994-06-18	VYDAJ	VYBER	960	24894	\N	\N	\N
1004843	3429	1994-12-24	VYDAJ	VYBER	400	32499	\N	\N	\N
1004844	3429	1994-06-21	VYDAJ	VYBER	400	24494	\N	\N	\N
1004845	3429	1994-12-18	VYDAJ	VYBER	2800	32899	\N	\N	\N
1004846	3429	1994-05-20	VYDAJ	VYBER	480	29495	\N	\N	\N
1004847	3429	1994-05-27	VYDAJ	VYBER	1200	28295	\N	\N	\N
1004848	3429	1994-05-28	VYDAJ	VYBER	3040	25255	\N	\N	\N
1004849	3429	1994-08-10	VYDAJ	VYBER	2480	25363	\N	\N	\N
1004850	3429	1995-05-17	VYDAJ	VYBER	880	34945	\N	\N	\N
1004851	3429	1995-05-13	VYDAJ	VYBER	1760	30487	\N	\N	\N
1004852	3429	1995-01-18	VYDAJ	VYBER	960	27904	\N	\N	\N
1004853	3429	1995-01-09	VYDAJ	VYBER	3360	24486	\N	\N	\N
1004854	3429	1995-09-09	VYDAJ	VYBER	3040	33096	\N	\N	\N
1004855	3429	1995-11-02	VYDAJ	VYBER	3360	36963	\N	\N	\N
1004856	3429	1996-04-30	VYDAJ	VYBER	3280	33725	\N	\N	\N
1004857	3429	1996-07-10	VYDAJ	VYBER	2160	25892	\N	\N	\N
1004858	3429	1996-01-01	VYDAJ	VYBER	400	37329	\N	\N	\N
1004859	3429	1996-05-10	VYDAJ	VYBER	480	32707	\N	\N	\N
1004860	3429	1997-01-17	VYDAJ	VYBER	1280	31611	\N	\N	\N
1004861	3429	1997-11-15	VYDAJ	VYBER	1920	38042	\N	\N	\N
1004862	3429	1997-09-05	VYDAJ	VYBER	2960	32096	\N	\N	\N
1004863	3429	1997-04-21	VYDAJ	VYBER	1840	36978	\N	\N	\N
1004864	3429	1997-06-14	VYDAJ	VYBER	1840	27708	\N	\N	\N
1004865	3429	1997-03-03	VYDAJ	VYBER	2160	29997	\N	\N	\N
1004866	3429	1998-04-10	VYDAJ	VYBER	3440	28646	\N	\N	\N
1004867	3429	1998-05-21	VYDAJ	VYBER	2880	36024	\N	\N	\N
1004868	3429	1998-10-26	VYDAJ	VYBER	2880	38933	\N	\N	\N
1004869	3429	1998-12-06	VYDAJ	VYBER	1120	42922	\N	\N	\N
1004870	3429	1998-10-15	VYDAJ	VYBER	3920	41813	\N	\N	\N
1004871	3429	1998-03-04	VYDAJ	VYBER	2880	31303	\N	\N	\N
1004872	3429	1998-03-20	VYDAJ	VYBER	3600	32503	\N	\N	\N
1004890	3429	1994-05-31	VYDAJ	VYBER	15	25354	SLUZBY	\N	\N
1004891	3429	1994-06-30	VYDAJ	VYBER	15	24584	SLUZBY	\N	\N
1004892	3429	1994-07-31	VYDAJ	VYBER	15	28381	SLUZBY	\N	\N
1004893	3429	1994-08-31	VYDAJ	VYBER	15	27908	SLUZBY	\N	\N
1004894	3429	1994-09-30	VYDAJ	VYBER	15	29312	SLUZBY	\N	\N
1004895	3429	1994-10-31	VYDAJ	VYBER	15	32026	SLUZBY	\N	\N
1004896	3429	1994-11-30	VYDAJ	VYBER	15	34449	SLUZBY	\N	\N
1004897	3429	1994-12-31	VYDAJ	VYBER	15	32624	SLUZBY	\N	\N
1004898	3429	1995-01-31	VYDAJ	VYBER	15	23250	SLUZBY	\N	\N
1004899	3429	1995-02-28	VYDAJ	VYBER	15	28142	SLUZBY	\N	\N
1004900	3429	1995-03-31	VYDAJ	VYBER	15	32555	SLUZBY	\N	\N
1004901	3429	1995-04-30	VYDAJ	VYBER	15	36785	SLUZBY	\N	\N
1004902	3429	1995-05-31	VYDAJ	VYBER	15	35077	SLUZBY	\N	\N
1004903	3429	1995-06-30	VYDAJ	VYBER	15	30907	SLUZBY	\N	\N
1004904	3429	1995-07-31	VYDAJ	VYBER	15	35832	SLUZBY	\N	\N
1004905	3429	1995-08-31	VYDAJ	VYBER	15	39574	SLUZBY	\N	\N
1004906	3429	1995-09-30	VYDAJ	VYBER	15	38577	SLUZBY	\N	\N
1004907	3429	1995-10-31	VYDAJ	VYBER	15	40323	SLUZBY	\N	\N
1004908	3429	1995-11-30	VYDAJ	VYBER	15	35393	SLUZBY	\N	\N
1004909	3429	1995-12-31	VYDAJ	VYBER	15	37729	SLUZBY	\N	\N
1004910	3429	1996-01-31	VYDAJ	VYBER	15	30027	SLUZBY	\N	\N
1004911	3429	1996-02-29	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
1004912	3429	1996-03-31	VYDAJ	VYBER	15	36373	SLUZBY	\N	\N
1004913	3429	1996-04-30	VYDAJ	VYBER	15	37005	SLUZBY	\N	\N
1004914	3429	1996-05-31	VYDAJ	VYBER	15	38180	SLUZBY	\N	\N
1004915	3429	1996-06-30	VYDAJ	VYBER	15	28590	SLUZBY	\N	\N
1004916	3429	1996-07-31	VYDAJ	VYBER	15	31339	SLUZBY	\N	\N
1004917	3429	1996-08-31	VYDAJ	VYBER	15	34559	SLUZBY	\N	\N
1004918	3429	1996-09-30	VYDAJ	VYBER	15	37692	SLUZBY	\N	\N
1004919	3429	1996-10-31	VYDAJ	VYBER	15	38430	SLUZBY	\N	\N
1004920	3429	1996-11-30	VYDAJ	VYBER	15	41880	SLUZBY	\N	\N
1004921	3429	1996-12-31	VYDAJ	VYBER	15	43291	SLUZBY	\N	\N
1004922	3429	1997-01-31	VYDAJ	VYBER	15	31132	SLUZBY	\N	\N
1004923	3429	1997-02-28	VYDAJ	VYBER	15	36057	SLUZBY	\N	\N
1004924	3429	1997-03-31	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
1004925	3429	1997-04-30	VYDAJ	VYBER	15	33812	SLUZBY	\N	\N
1004926	3429	1997-05-31	VYDAJ	VYBER	15	38548	SLUZBY	\N	\N
1004927	3429	1997-06-30	VYDAJ	VYBER	15	27815	SLUZBY	\N	\N
1004928	3429	1997-07-31	VYDAJ	VYBER	15	32726	SLUZBY	\N	\N
1004929	3429	1997-08-31	VYDAJ	VYBER	15	35056	SLUZBY	\N	\N
1004930	3429	1997-09-30	VYDAJ	VYBER	15	34825	SLUZBY	\N	\N
1004931	3429	1997-10-31	VYDAJ	VYBER	15	35162	SLUZBY	\N	\N
1004932	3429	1997-11-30	VYDAJ	VYBER	15	33576	SLUZBY	\N	\N
1004933	3429	1997-12-31	VYDAJ	VYBER	15	37206	SLUZBY	\N	\N
1004934	3429	1998-01-31	VYDAJ	VYBER	15	29268	SLUZBY	\N	\N
1004935	3429	1998-02-28	VYDAJ	VYBER	15	34183	SLUZBY	\N	\N
1004936	3429	1998-03-31	VYDAJ	VYBER	15	32624	SLUZBY	\N	\N
1004937	3429	1998-04-30	VYDAJ	VYBER	15	34104	SLUZBY	\N	\N
1004938	3429	1998-05-31	VYDAJ	VYBER	15	36156	SLUZBY	\N	\N
1004939	3429	1998-06-30	VYDAJ	VYBER	15	26163	SLUZBY	\N	\N
1004940	3429	1998-07-31	VYDAJ	VYBER	15	31066	SLUZBY	\N	\N
1004941	3429	1998-08-31	VYDAJ	VYBER	15	35989	SLUZBY	\N	\N
1004942	3429	1998-09-30	VYDAJ	VYBER	15	40933	SLUZBY	\N	\N
1004943	3429	1998-10-31	VYDAJ	VYBER	15	39086	SLUZBY	\N	\N
1004944	3429	1998-11-30	VYDAJ	VYBER	15	44042	SLUZBY	\N	\N
1004945	3429	1994-04-16	VYDAJ	VYBER	1000	26156	\N	\N	\N
1004946	3429	1994-05-16	VYDAJ	VYBER	2900	29975	\N	\N	\N
1004947	3429	1994-06-15	VYDAJ	VYBER	4300	25854	\N	\N	\N
1004948	3429	1994-07-15	VYDAJ	VYBER	1100	28284	\N	\N	\N
1004949	3429	1994-08-14	VYDAJ	VYBER	2900	27801	\N	\N	\N
1004950	3429	1994-09-13	VYDAJ	VYBER	3500	22544	\N	\N	\N
1004951	3429	1994-10-13	VYDAJ	VYBER	2200	26574	\N	\N	\N
1004952	3429	1994-11-12	VYDAJ	VYBER	2500	28988	\N	\N	\N
1004953	3429	1994-12-12	VYDAJ	VYBER	3000	30911	\N	\N	\N
1004954	3429	1995-03-12	VYDAJ	VYBER	500	27104	\N	\N	\N
1004955	3429	1995-04-11	VYDAJ	VYBER	700	31317	\N	\N	\N
1004956	3429	1995-05-11	VYDAJ	VYBER	4000	32247	\N	\N	\N
1004957	3429	1995-06-10	VYDAJ	VYBER	1700	32839	\N	\N	\N
1004958	3429	1995-08-09	VYDAJ	VYBER	1200	34094	\N	\N	\N
1004959	3429	1995-09-08	VYDAJ	VYBER	2900	36136	\N	\N	\N
1004960	3429	1995-10-08	VYDAJ	VYBER	3200	34839	\N	\N	\N
1004961	3429	1995-11-07	VYDAJ	VYBER	6500	29925	\N	\N	\N
1004962	3429	1995-12-07	VYDAJ	VYBER	2000	32855	\N	\N	\N
1004963	3429	1996-01-06	VYDAJ	VYBER	5300	29629	\N	\N	\N
1004964	3429	1996-02-05	VYDAJ	VYBER	1300	28727	\N	\N	\N
1004965	3429	1996-03-06	VYDAJ	VYBER	2200	30905	\N	\N	\N
1004966	3429	1996-04-05	VYDAJ	VYBER	4300	32073	\N	\N	\N
1004967	3429	1996-06-04	VYDAJ	VYBER	4800	33380	\N	\N	\N
1004968	3429	1996-08-03	VYDAJ	VYBER	1700	29639	\N	\N	\N
1004969	3429	1996-09-02	VYDAJ	VYBER	1800	32759	\N	\N	\N
1004970	3429	1996-10-02	VYDAJ	VYBER	4200	33492	\N	\N	\N
1004971	3429	1996-11-01	VYDAJ	VYBER	1500	36930	\N	\N	\N
1004972	3429	1996-12-01	VYDAJ	VYBER	2400	39480	\N	\N	\N
1004973	3429	1996-12-31	VYDAJ	VYBER	5200	38091	\N	\N	\N
1004974	3429	1997-03-01	VYDAJ	VYBER	3900	32157	\N	\N	\N
1004975	3429	1997-03-31	VYDAJ	VYBER	900	34018	\N	\N	\N
1004976	3429	1997-04-30	VYDAJ	VYBER	3300	33827	\N	\N	\N
1004977	3429	1997-05-30	VYDAJ	VYBER	200	38412	\N	\N	\N
1004978	3429	1997-08-28	VYDAJ	VYBER	2600	34926	\N	\N	\N
1004979	3429	1997-09-27	VYDAJ	VYBER	2200	34696	\N	\N	\N
1004980	3429	1997-10-27	VYDAJ	VYBER	4600	35025	\N	\N	\N
1004981	3429	1997-11-26	VYDAJ	VYBER	4600	33442	\N	\N	\N
1005039	3430	1996-12-10	PRIJEM	VKLAD	500	500	\N	\N	\N
1005051	3430	1996-12-11	PRIJEM	PREVOD Z UCTU	3844	4344	\N	GH	99804210
1005052	3430	1997-01-11	PRIJEM	PREVOD Z UCTU	3844	17500	\N	GH	99804210
1005053	3430	1997-02-11	PRIJEM	PREVOD Z UCTU	3844	23600	\N	GH	99804210
1005054	3430	1997-03-11	PRIJEM	PREVOD Z UCTU	3844	27633	\N	GH	99804210
1005055	3430	1997-04-11	PRIJEM	PREVOD Z UCTU	3844	28187	\N	GH	99804210
1005056	3430	1997-05-11	PRIJEM	PREVOD Z UCTU	3844	28107	\N	GH	99804210
1005057	3430	1997-06-11	PRIJEM	PREVOD Z UCTU	3844	23726	\N	GH	99804210
1005058	3430	1997-07-11	PRIJEM	PREVOD Z UCTU	3844	21049	\N	GH	99804210
1005059	3430	1997-08-11	PRIJEM	PREVOD Z UCTU	3844	22240	\N	GH	99804210
1005060	3430	1997-09-11	PRIJEM	PREVOD Z UCTU	3844	19212	\N	GH	99804210
1005061	3430	1997-10-11	PRIJEM	PREVOD Z UCTU	3844	21295	\N	GH	99804210
1005062	3430	1997-11-11	PRIJEM	PREVOD Z UCTU	3844	23151	\N	GH	99804210
1005063	3430	1997-12-11	PRIJEM	PREVOD Z UCTU	3844	25046	\N	GH	99804210
1005064	3430	1998-01-11	PRIJEM	PREVOD Z UCTU	3844	22619	\N	GH	99804210
1005065	3430	1998-02-11	PRIJEM	PREVOD Z UCTU	3844	25332	\N	GH	99804210
1005066	3430	1998-03-11	PRIJEM	PREVOD Z UCTU	3844	27184	\N	GH	99804210
1005067	3430	1998-04-11	PRIJEM	PREVOD Z UCTU	3844	30997	\N	GH	99804210
1005068	3430	1998-05-11	PRIJEM	PREVOD Z UCTU	3844	28714	\N	GH	99804210
1005069	3430	1998-06-11	PRIJEM	PREVOD Z UCTU	3844	27264	\N	GH	99804210
1005070	3430	1998-07-11	PRIJEM	PREVOD Z UCTU	3844	26666	\N	GH	99804210
1005071	3430	1998-08-11	PRIJEM	PREVOD Z UCTU	3844	30994	\N	GH	99804210
1005072	3430	1998-09-11	PRIJEM	PREVOD Z UCTU	3844	34031	\N	GH	99804210
1005073	3430	1998-10-11	PRIJEM	PREVOD Z UCTU	3844	38471	\N	GH	99804210
1005074	3430	1998-11-11	PRIJEM	PREVOD Z UCTU	3844	45750	\N	GH	99804210
1005075	3430	1998-12-11	PRIJEM	PREVOD Z UCTU	3844	50142	\N	GH	99804210
1005092	3430	1997-05-07	VYDAJ	PREVOD NA UCET	2426	25863	SIPO	GH	59314578
1005093	3430	1997-06-07	VYDAJ	PREVOD NA UCET	2426	25782	SIPO	GH	59314578
1005094	3430	1997-07-07	VYDAJ	PREVOD NA UCET	2426	19705	SIPO	GH	59314578
1005095	3430	1997-08-07	VYDAJ	PREVOD NA UCET	2426	18696	SIPO	GH	59314578
1005096	3430	1997-09-07	VYDAJ	PREVOD NA UCET	2426	15368	SIPO	GH	59314578
1005097	3430	1997-10-07	VYDAJ	PREVOD NA UCET	2426	17451	SIPO	GH	59314578
1005098	3430	1997-11-07	VYDAJ	PREVOD NA UCET	2426	20567	SIPO	GH	59314578
1005099	3430	1997-12-07	VYDAJ	PREVOD NA UCET	2426	21202	SIPO	GH	59314578
1005100	3430	1998-01-07	VYDAJ	PREVOD NA UCET	2426	18775	SIPO	GH	59314578
1005101	3430	1998-02-07	VYDAJ	PREVOD NA UCET	2426	21488	SIPO	GH	59314578
1005102	3430	1998-03-07	VYDAJ	PREVOD NA UCET	2426	23340	SIPO	GH	59314578
1005103	3430	1998-04-07	VYDAJ	PREVOD NA UCET	2426	27153	SIPO	GH	59314578
1005104	3430	1998-05-07	VYDAJ	PREVOD NA UCET	2426	24870	SIPO	GH	59314578
1005105	3430	1998-06-07	VYDAJ	PREVOD NA UCET	2426	23420	SIPO	GH	59314578
1005106	3430	1998-07-07	VYDAJ	PREVOD NA UCET	2426	22822	SIPO	GH	59314578
1005107	3430	1998-08-07	VYDAJ	PREVOD NA UCET	2426	27150	SIPO	GH	59314578
1005108	3430	1998-09-07	VYDAJ	PREVOD NA UCET	2426	30187	SIPO	GH	59314578
1005109	3430	1998-10-07	VYDAJ	PREVOD NA UCET	2426	34627	SIPO	GH	59314578
1005110	3430	1998-11-07	VYDAJ	PREVOD NA UCET	2426	41906	SIPO	GH	59314578
1005111	3430	1998-12-07	VYDAJ	PREVOD NA UCET	2426	46298	SIPO	GH	59314578
1005113	3430	1997-06-23	VYDAJ	VYBER	1680	22046	\N	\N	\N
1005114	3430	1998-06-26	VYDAJ	VYBER	4710	22554	\N	\N	\N
1005117	3430	1998-01-21	VYDAJ	VYBER	2580	20039	\N	\N	\N
1005119	3430	1997-12-21	VYDAJ	VYBER	630	24416	\N	\N	\N
1005120	3430	1998-12-21	VYDAJ	VYBER	450	49692	\N	\N	\N
1005127	3430	1997-10-20	VYDAJ	VYBER	1470	19825	\N	\N	\N
1005128	3430	1997-11-09	VYDAJ	VYBER	1260	19307	\N	\N	\N
1005129	3430	1997-08-20	VYDAJ	VYBER	1020	21220	\N	\N	\N
1005131	3430	1998-04-25	VYDAJ	VYBER	810	30187	\N	\N	\N
1005132	3430	1998-11-06	VYDAJ	VYBER	1380	44332	\N	\N	\N
1005133	3430	1998-07-28	VYDAJ	VYBER	480	26186	\N	\N	\N
1005134	3430	1998-03-06	VYDAJ	VYBER	1050	25766	\N	\N	\N
1005135	3430	1998-09-06	VYDAJ	VYBER	690	32613	\N	\N	\N
1005136	3430	1998-05-21	VYDAJ	VYBER	1170	27544	\N	\N	\N
1005153	3430	1997-04-30	VYDAJ	VYBER	15	28289	SLUZBY	\N	\N
1005154	3430	1997-05-31	VYDAJ	VYBER	15	28208	SLUZBY	\N	\N
1005155	3430	1997-06-30	VYDAJ	VYBER	15	22131	SLUZBY	\N	\N
1005156	3430	1997-07-31	VYDAJ	VYBER	15	21122	SLUZBY	\N	\N
1005157	3430	1997-08-31	VYDAJ	VYBER	15	21294	SLUZBY	\N	\N
1005158	3430	1997-09-30	VYDAJ	VYBER	15	19277	SLUZBY	\N	\N
1005159	3430	1997-10-31	VYDAJ	VYBER	15	19893	SLUZBY	\N	\N
1005160	3430	1997-11-30	VYDAJ	VYBER	15	23228	SLUZBY	\N	\N
1005161	3430	1997-12-31	VYDAJ	VYBER	15	24501	SLUZBY	\N	\N
1005162	3430	1998-01-31	VYDAJ	VYBER	15	20114	SLUZBY	\N	\N
1005163	3430	1998-02-28	VYDAJ	VYBER	15	25416	SLUZBY	\N	\N
1005164	3430	1998-03-31	VYDAJ	VYBER	15	27279	SLUZBY	\N	\N
1005165	3430	1998-04-30	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
1005166	3430	1998-05-31	VYDAJ	VYBER	15	27646	SLUZBY	\N	\N
1005167	3430	1998-06-30	VYDAJ	VYBER	15	22648	SLUZBY	\N	\N
1005168	3430	1998-07-31	VYDAJ	VYBER	15	26276	SLUZBY	\N	\N
1005169	3430	1998-08-31	VYDAJ	VYBER	15	31103	SLUZBY	\N	\N
1005170	3430	1998-09-30	VYDAJ	VYBER	15	34153	SLUZBY	\N	\N
1005171	3430	1998-10-31	VYDAJ	VYBER	15	45712	SLUZBY	\N	\N
1005172	3430	1998-11-30	VYDAJ	VYBER	15	48724	SLUZBY	\N	\N
1005173	3430	1997-01-09	PRIJEM	VKLAD	9300	13656	\N	\N	\N
1005174	3430	1997-02-08	PRIJEM	VKLAD	2200	19756	\N	\N	\N
1005175	3430	1997-03-10	PRIJEM	VKLAD	100	23789	\N	\N	\N
1005176	3430	1997-04-09	VYDAJ	VYBER	3400	24343	\N	\N	\N
1005177	3430	1997-05-09	VYDAJ	VYBER	1600	24263	\N	\N	\N
1005178	3430	1997-06-08	VYDAJ	VYBER	5900	19882	\N	\N	\N
1005179	3430	1997-07-08	VYDAJ	VYBER	2500	17205	\N	\N	\N
1005180	3430	1997-08-07	VYDAJ	VYBER	300	18396	\N	\N	\N
1005181	3430	1997-09-06	VYDAJ	VYBER	3500	17794	\N	\N	\N
1005182	3430	1997-10-06	PRIJEM	VKLAD	600	19877	\N	\N	\N
1005183	3430	1997-11-05	PRIJEM	VKLAD	3100	22993	\N	\N	\N
1005184	3430	1997-12-05	PRIJEM	VKLAD	400	23628	\N	\N	\N
1005185	3430	1998-01-04	VYDAJ	VYBER	3300	21201	\N	\N	\N
1005186	3430	1998-02-03	PRIJEM	VKLAD	3800	23914	\N	\N	\N
1005187	3430	1998-03-05	PRIJEM	VKLAD	1400	26816	\N	\N	\N
1005188	3430	1998-04-04	PRIJEM	VKLAD	2300	29579	\N	\N	\N
1005189	3430	1998-05-04	VYDAJ	VYBER	3000	27296	\N	\N	\N
1005190	3430	1998-06-03	VYDAJ	VYBER	1800	25846	\N	\N	\N
1005191	3430	1998-07-03	PRIJEM	VKLAD	2600	25248	\N	\N	\N
1005192	3430	1998-08-02	PRIJEM	VKLAD	3300	29576	\N	\N	\N
1005193	3430	1998-09-01	PRIJEM	VKLAD	2200	33303	\N	\N	\N
1005194	3430	1998-10-01	PRIJEM	VKLAD	2900	37053	\N	\N	\N
1005195	3430	1998-10-31	PRIJEM	VKLAD	7100	45727	\N	\N	\N
1005196	3430	1998-11-30	PRIJEM	VKLAD	2800	48550	\N	\N	\N
1005222	3431	1996-09-21	PRIJEM	VKLAD	300	300	\N	\N	\N
1005232	3431	1996-10-09	PRIJEM	VKLAD	20873	21173	\N	\N	\N
1005233	3431	1996-11-09	PRIJEM	VKLAD	20873	44180	\N	\N	\N
1005234	3431	1996-12-09	PRIJEM	VKLAD	31310	67006	\N	\N	\N
1005235	3431	1997-01-09	PRIJEM	VKLAD	20873	67745	\N	\N	\N
1005236	3431	1997-02-09	PRIJEM	VKLAD	20873	70818	\N	\N	\N
1005237	3431	1997-03-09	PRIJEM	VKLAD	20873	68444	\N	\N	\N
1005238	3431	1997-04-09	PRIJEM	VKLAD	20873	71270	\N	\N	\N
1005239	3431	1997-05-09	PRIJEM	VKLAD	20873	71603	\N	\N	\N
1005240	3431	1997-06-09	PRIJEM	VKLAD	31310	80771	\N	\N	\N
1005241	3431	1997-07-09	PRIJEM	VKLAD	20873	63578	\N	\N	\N
1005242	3431	1997-08-09	PRIJEM	VKLAD	20873	63844	\N	\N	\N
1005243	3431	1997-09-09	PRIJEM	VKLAD	20873	59332	\N	\N	\N
1005244	3431	1997-10-09	PRIJEM	VKLAD	20873	57406	\N	\N	\N
1005245	3431	1997-11-09	PRIJEM	VKLAD	20873	57275	\N	\N	\N
1005246	3431	1997-12-09	PRIJEM	VKLAD	31310	56452	\N	\N	\N
1005247	3431	1998-01-09	PRIJEM	VKLAD	20873	39914	\N	\N	\N
1005248	3431	1998-02-09	PRIJEM	VKLAD	20873	36738	\N	\N	\N
1005249	3431	1998-03-09	PRIJEM	VKLAD	20873	44736	\N	\N	\N
1005250	3431	1998-04-09	PRIJEM	VKLAD	20873	50163	\N	\N	\N
1005251	3431	1998-05-09	PRIJEM	VKLAD	20873	56116	\N	\N	\N
1005252	3431	1998-06-09	PRIJEM	VKLAD	31310	65680	\N	\N	\N
1005253	3431	1998-07-09	PRIJEM	VKLAD	20873	38211	\N	\N	\N
1005254	3431	1998-08-09	PRIJEM	VKLAD	20873	51629	\N	\N	\N
1005255	3431	1998-09-09	PRIJEM	VKLAD	20873	52369	\N	\N	\N
1005256	3431	1998-10-09	PRIJEM	VKLAD	20873	55016	\N	\N	\N
1005257	3431	1998-11-09	PRIJEM	VKLAD	20873	53987	\N	\N	\N
1005258	3431	1998-12-09	PRIJEM	VKLAD	31310	59228	\N	\N	\N
1005272	3431	1997-02-11	VYDAJ	PREVOD NA UCET	8649	62169	SIPO	QR	92135792
1005273	3431	1997-03-11	VYDAJ	PREVOD NA UCET	8649	59795	SIPO	QR	92135792
1005274	3431	1997-04-11	VYDAJ	PREVOD NA UCET	8649	62621	SIPO	QR	92135792
1005275	3431	1997-05-11	VYDAJ	PREVOD NA UCET	8649	62954	SIPO	QR	92135792
1005276	3431	1997-06-11	VYDAJ	PREVOD NA UCET	8649	72122	SIPO	QR	92135792
1005277	3431	1997-07-11	VYDAJ	PREVOD NA UCET	8649	54089	SIPO	QR	92135792
1005278	3431	1997-08-11	VYDAJ	PREVOD NA UCET	8649	55195	SIPO	QR	92135792
1005279	3431	1997-09-11	VYDAJ	PREVOD NA UCET	8649	50683	SIPO	QR	92135792
1005280	3431	1997-10-11	VYDAJ	PREVOD NA UCET	8649	48757	SIPO	QR	92135792
1005281	3431	1997-11-11	VYDAJ	PREVOD NA UCET	8649	48626	SIPO	QR	92135792
1005282	3431	1997-12-11	VYDAJ	PREVOD NA UCET	8649	45723	SIPO	QR	92135792
1005283	3431	1998-01-11	VYDAJ	PREVOD NA UCET	8649	27425	SIPO	QR	92135792
1005284	3431	1998-02-11	VYDAJ	PREVOD NA UCET	8649	28089	SIPO	QR	92135792
1005285	3431	1998-03-11	VYDAJ	PREVOD NA UCET	8649	36087	SIPO	QR	92135792
1005286	3431	1998-04-11	VYDAJ	PREVOD NA UCET	8649	41514	SIPO	QR	92135792
1005287	3431	1998-05-11	VYDAJ	PREVOD NA UCET	8649	47467	SIPO	QR	92135792
1005288	3431	1998-06-11	VYDAJ	PREVOD NA UCET	8649	57031	SIPO	QR	92135792
1005289	3431	1998-07-11	VYDAJ	PREVOD NA UCET	8649	29562	SIPO	QR	92135792
1005290	3431	1998-08-11	VYDAJ	PREVOD NA UCET	8649	42980	SIPO	QR	92135792
1005291	3431	1998-09-11	VYDAJ	PREVOD NA UCET	8649	34020	SIPO	QR	92135792
1005292	3431	1998-10-11	VYDAJ	PREVOD NA UCET	8649	32967	SIPO	QR	92135792
1005293	3431	1998-11-11	VYDAJ	PREVOD NA UCET	8649	32838	SIPO	QR	92135792
1005294	3431	1998-12-11	VYDAJ	PREVOD NA UCET	8649	33779	SIPO	QR	92135792
1005296	3431	1997-06-18	VYDAJ	VYBER	21600	50522	\N	\N	\N
1005297	3431	1998-06-28	VYDAJ	VYBER	26240	17191	\N	\N	\N
1005300	3431	1998-01-07	VYDAJ	VYBER	10560	22401	\N	\N	\N
1005302	3431	1997-12-11	VYDAJ	VYBER	2080	54372	\N	\N	\N
1005303	3431	1998-12-11	VYDAJ	VYBER	3680	30099	\N	\N	\N
1005316	3431	1998-01-18	VYDAJ	VYBER	3360	16865	\N	\N	\N
1005317	3431	1998-01-08	VYDAJ	VYBER	3360	19041	\N	\N	\N
1005318	3431	1998-01-09	VYDAJ	VYBER	2280	37634	\N	\N	\N
1005320	3431	1998-01-21	VYDAJ	VYBER	1080	15785	\N	\N	\N
1005321	3431	1998-01-09	VYDAJ	VYBER	1560	36074	\N	\N	\N
1005327	3431	1997-11-30	VYDAJ	VYBER	3360	30317	\N	\N	\N
1005328	3431	1997-12-01	VYDAJ	VYBER	5160	25143	\N	\N	\N
1005329	3431	1997-07-10	VYDAJ	VYBER	840	62738	\N	\N	\N
1005330	3431	1997-07-02	VYDAJ	VYBER	1320	42705	\N	\N	\N
1005331	3431	1998-01-13	VYDAJ	VYBER	1200	26225	\N	\N	\N
1005332	3431	1998-06-17	VYDAJ	VYBER	1800	43431	\N	\N	\N
1005333	3431	1998-05-01	VYDAJ	VYBER	1200	35243	\N	\N	\N
1005334	3431	1998-05-25	VYDAJ	VYBER	1440	34227	\N	\N	\N
1005335	3431	1998-11-28	VYDAJ	VYBER	5040	27798	\N	\N	\N
1005350	3431	1997-02-28	VYDAJ	VYBER	15	47571	SLUZBY	\N	\N
1005351	3431	1997-03-31	VYDAJ	VYBER	15	50397	SLUZBY	\N	\N
1005352	3431	1997-04-30	VYDAJ	VYBER	15	50730	SLUZBY	\N	\N
1005353	3431	1997-05-31	VYDAJ	VYBER	15	49462	SLUZBY	\N	\N
1005354	3431	1997-06-30	VYDAJ	VYBER	15	44025	SLUZBY	\N	\N
1005355	3431	1997-07-31	VYDAJ	VYBER	15	42971	SLUZBY	\N	\N
1005356	3431	1997-08-31	VYDAJ	VYBER	15	38459	SLUZBY	\N	\N
1005357	3431	1997-09-30	VYDAJ	VYBER	15	36533	SLUZBY	\N	\N
1005358	3431	1997-10-31	VYDAJ	VYBER	15	36402	SLUZBY	\N	\N
1005359	3431	1997-11-30	VYDAJ	VYBER	15	30303	SLUZBY	\N	\N
1005360	3431	1997-12-31	VYDAJ	VYBER	15	32961	SLUZBY	\N	\N
1005361	3431	1998-01-31	VYDAJ	VYBER	15	15865	SLUZBY	\N	\N
1005362	3431	1998-02-28	VYDAJ	VYBER	15	23863	SLUZBY	\N	\N
1005363	3431	1998-03-31	VYDAJ	VYBER	15	29290	SLUZBY	\N	\N
1005364	3431	1998-04-30	VYDAJ	VYBER	15	36443	SLUZBY	\N	\N
1005365	3431	1998-05-31	VYDAJ	VYBER	15	34370	SLUZBY	\N	\N
1005366	3431	1998-06-30	VYDAJ	VYBER	15	17338	SLUZBY	\N	\N
1005367	3431	1998-07-31	VYDAJ	VYBER	15	30756	SLUZBY	\N	\N
1005368	3431	1998-08-31	VYDAJ	VYBER	15	31496	SLUZBY	\N	\N
1005369	3431	1998-09-30	VYDAJ	VYBER	15	34143	SLUZBY	\N	\N
1005370	3431	1998-10-31	VYDAJ	VYBER	15	33114	SLUZBY	\N	\N
1005371	3431	1998-11-30	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
1005372	3431	1996-10-21	PRIJEM	VKLAD	2100	23273	\N	\N	\N
1005373	3431	1996-11-20	VYDAJ	VYBER	8600	35580	\N	\N	\N
1005374	3431	1996-12-20	VYDAJ	VYBER	20300	46706	\N	\N	\N
1005375	3431	1997-01-19	VYDAJ	VYBER	18000	49745	\N	\N	\N
1005376	3431	1997-02-18	VYDAJ	VYBER	14800	47369	\N	\N	\N
1005377	3431	1997-03-20	VYDAJ	VYBER	9600	50195	\N	\N	\N
1005378	3431	1997-04-19	VYDAJ	VYBER	12100	50521	\N	\N	\N
1005379	3431	1997-05-19	VYDAJ	VYBER	13700	49254	\N	\N	\N
1005380	3431	1997-06-18	VYDAJ	VYBER	6700	43822	\N	\N	\N
1005381	3431	1997-07-18	VYDAJ	VYBER	11300	42789	\N	\N	\N
1005382	3431	1997-08-17	VYDAJ	VYBER	16900	38295	\N	\N	\N
1005383	3431	1997-09-16	VYDAJ	VYBER	14300	36383	\N	\N	\N
1005384	3431	1997-10-16	VYDAJ	VYBER	12500	36257	\N	\N	\N
1005385	3431	1997-11-15	VYDAJ	VYBER	15100	33526	\N	\N	\N
1005386	3431	1997-12-15	VYDAJ	VYBER	12900	32823	\N	\N	\N
1005387	3431	1998-01-14	VYDAJ	VYBER	6000	20225	\N	\N	\N
1005388	3431	1998-02-13	VYDAJ	VYBER	4300	23789	\N	\N	\N
1005389	3431	1998-03-15	VYDAJ	VYBER	6900	29187	\N	\N	\N
1005390	3431	1998-04-14	VYDAJ	VYBER	5200	36314	\N	\N	\N
1005391	3431	1998-05-14	VYDAJ	VYBER	11800	35667	\N	\N	\N
1005392	3431	1998-06-13	VYDAJ	VYBER	11800	45231	\N	\N	\N
1005393	3431	1998-07-13	PRIJEM	VKLAD	1100	30662	\N	\N	\N
1005394	3431	1998-08-12	VYDAJ	VYBER	11600	31380	\N	\N	\N
1005395	3431	1998-09-11	VYDAJ	VYBER	9700	42669	\N	\N	\N
1005396	3431	1998-10-11	VYDAJ	VYBER	13400	41616	\N	\N	\N
1005397	3431	1998-11-10	VYDAJ	VYBER	12500	41487	\N	\N	\N
1005398	3431	1998-12-10	VYDAJ	VYBER	16800	42428	\N	\N	\N
1005426	3432	1996-06-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1005433	3432	1996-07-10	PRIJEM	VKLAD	4102	5102	\N	\N	\N
1005434	3432	1996-08-10	PRIJEM	VKLAD	4102	22221	\N	\N	\N
1005435	3432	1996-09-10	PRIJEM	VKLAD	4102	27604	\N	\N	\N
1005436	3432	1996-10-10	PRIJEM	VKLAD	4102	31508	\N	\N	\N
1005437	3432	1996-11-10	PRIJEM	VKLAD	4102	33927	\N	\N	\N
1005438	3432	1996-12-10	PRIJEM	VKLAD	6153	29851	\N	\N	\N
1005439	3432	1997-01-10	PRIJEM	VKLAD	4102	13787	\N	\N	\N
1005440	3432	1997-02-10	PRIJEM	VKLAD	4102	13995	\N	\N	\N
1005441	3432	1997-03-10	PRIJEM	VKLAD	4102	17007	\N	\N	\N
1005442	3432	1997-04-10	PRIJEM	VKLAD	4102	20791	\N	\N	\N
1005443	3432	1997-05-10	PRIJEM	VKLAD	4102	23632	\N	\N	\N
1005444	3432	1997-06-10	PRIJEM	VKLAD	6153	23227	\N	\N	\N
1005445	3432	1997-07-10	PRIJEM	VKLAD	4102	20967	\N	\N	\N
1005446	3432	1997-08-10	PRIJEM	VKLAD	4102	14958	\N	\N	\N
1005447	3432	1997-09-10	PRIJEM	VKLAD	4102	15736	\N	\N	\N
1005448	3432	1997-10-10	PRIJEM	VKLAD	4102	19819	\N	\N	\N
1005449	3432	1997-11-10	PRIJEM	VKLAD	4102	25160	\N	\N	\N
1005450	3432	1997-12-10	PRIJEM	VKLAD	6153	22881	\N	\N	\N
1005451	3432	1998-01-10	PRIJEM	VKLAD	4102	17637	\N	\N	\N
1005452	3432	1998-02-10	PRIJEM	VKLAD	4102	16293	\N	\N	\N
1005453	3432	1998-03-10	PRIJEM	VKLAD	4102	16009	\N	\N	\N
1005454	3432	1998-04-10	PRIJEM	VKLAD	4102	14121	\N	\N	\N
1005455	3432	1998-05-10	PRIJEM	VKLAD	4102	14087	\N	\N	\N
1005456	3432	1998-06-10	PRIJEM	VKLAD	6153	16646	\N	\N	\N
1005457	3432	1998-07-10	PRIJEM	VKLAD	4102	12953	\N	\N	\N
1005458	3432	1998-08-10	PRIJEM	VKLAD	4102	14358	\N	\N	\N
1005459	3432	1998-09-10	PRIJEM	VKLAD	4102	12662	\N	\N	\N
1005460	3432	1998-10-10	PRIJEM	VKLAD	4102	14066	\N	\N	\N
1005461	3432	1998-11-10	PRIJEM	VKLAD	4102	12869	\N	\N	\N
1005462	3432	1998-12-10	PRIJEM	VKLAD	6153	17528	\N	\N	\N
1005474	3432	1996-12-06	VYDAJ	PREVOD NA UCET	2734	23698	SIPO	QR	78206079
1005475	3432	1997-01-06	VYDAJ	PREVOD NA UCET	2734	9685	SIPO	QR	78206079
1005476	3432	1997-02-06	VYDAJ	PREVOD NA UCET	2734	9893	SIPO	QR	78206079
1005477	3432	1997-03-06	VYDAJ	PREVOD NA UCET	2734	12905	SIPO	QR	78206079
1005478	3432	1997-04-06	VYDAJ	PREVOD NA UCET	2734	16689	SIPO	QR	78206079
1005479	3432	1997-05-06	VYDAJ	PREVOD NA UCET	2734	19530	SIPO	QR	78206079
1005480	3432	1997-06-06	VYDAJ	PREVOD NA UCET	2734	17074	SIPO	QR	78206079
1005481	3432	1997-07-06	VYDAJ	PREVOD NA UCET	2734	16865	SIPO	QR	78206079
1005482	3432	1997-08-06	VYDAJ	PREVOD NA UCET	2734	10856	SIPO	QR	78206079
1005483	3432	1997-09-06	VYDAJ	PREVOD NA UCET	2734	11634	SIPO	QR	78206079
1005484	3432	1997-10-06	VYDAJ	PREVOD NA UCET	2734	15717	SIPO	QR	78206079
1005485	3432	1997-11-06	VYDAJ	PREVOD NA UCET	2734	21058	SIPO	QR	78206079
1005486	3432	1997-12-06	VYDAJ	PREVOD NA UCET	2734	16728	SIPO	QR	78206079
1005487	3432	1998-01-06	VYDAJ	PREVOD NA UCET	2734	14375	SIPO	QR	78206079
1005488	3432	1998-02-06	VYDAJ	PREVOD NA UCET	2734	12191	SIPO	QR	78206079
1005489	3432	1998-03-06	VYDAJ	PREVOD NA UCET	2734	11907	SIPO	QR	78206079
1005490	3432	1998-04-06	VYDAJ	PREVOD NA UCET	2734	10019	SIPO	QR	78206079
1005491	3432	1998-05-06	VYDAJ	PREVOD NA UCET	2734	9985	SIPO	QR	78206079
1005492	3432	1998-06-06	VYDAJ	PREVOD NA UCET	2734	10493	SIPO	QR	78206079
1005493	3432	1998-07-06	VYDAJ	PREVOD NA UCET	2734	8851	SIPO	QR	78206079
1005494	3432	1998-08-06	VYDAJ	PREVOD NA UCET	2734	10256	SIPO	QR	78206079
1005495	3432	1998-09-06	VYDAJ	PREVOD NA UCET	2734	8560	SIPO	QR	78206079
1005496	3432	1998-10-06	VYDAJ	PREVOD NA UCET	2734	9964	SIPO	QR	78206079
1005497	3432	1998-11-06	VYDAJ	PREVOD NA UCET	2734	8767	SIPO	QR	78206079
1005498	3432	1998-12-06	VYDAJ	PREVOD NA UCET	2734	11375	SIPO	QR	78206079
1005505	3432	1996-12-24	VYDAJ	VYBER	4320	16291	\N	\N	\N
1005506	3432	1997-12-25	VYDAJ	VYBER	3040	17041	\N	\N	\N
1005514	3432	1997-01-02	VYDAJ	VYBER	1560	14819	\N	\N	\N
1005516	3432	1997-01-24	VYDAJ	VYBER	3360	12587	\N	\N	\N
1005518	3432	1997-01-03	VYDAJ	VYBER	2400	12419	\N	\N	\N
1005519	3432	1997-01-18	VYDAJ	VYBER	840	12947	\N	\N	\N
1005520	3432	1998-01-12	VYDAJ	VYBER	2280	15357	\N	\N	\N
1005521	3432	1998-01-06	VYDAJ	VYBER	840	13535	\N	\N	\N
1005522	3432	1998-01-12	VYDAJ	VYBER	1200	14157	\N	\N	\N
1005523	3432	1998-01-17	VYDAJ	VYBER	1800	14877	\N	\N	\N
1005524	3432	1998-01-13	VYDAJ	VYBER	1080	13077	\N	\N	\N
1005528	3432	1996-12-21	VYDAJ	VYBER	5040	24811	\N	\N	\N
1005530	3432	1997-09-21	VYDAJ	VYBER	2040	18396	\N	\N	\N
1005531	3432	1997-07-28	VYDAJ	VYBER	3600	13527	\N	\N	\N
1005532	3432	1997-08-26	VYDAJ	VYBER	5040	14318	\N	\N	\N
1005533	3432	1997-03-17	VYDAJ	VYBER	1440	15567	\N	\N	\N
1005534	3432	1997-07-20	VYDAJ	VYBER	4440	17127	\N	\N	\N
1005535	3432	1997-11-29	VYDAJ	VYBER	2880	19380	\N	\N	\N
1005536	3432	1998-04-10	VYDAJ	VYBER	1440	12681	\N	\N	\N
1005555	3432	1996-11-30	VYDAJ	VYBER	15	26432	SLUZBY	\N	\N
1005556	3432	1996-12-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
1005557	3432	1997-01-31	VYDAJ	VYBER	15	12627	SLUZBY	\N	\N
1005558	3432	1997-02-28	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
1005559	3432	1997-03-31	VYDAJ	VYBER	15	19423	SLUZBY	\N	\N
1005560	3432	1997-04-30	VYDAJ	VYBER	15	22264	SLUZBY	\N	\N
1005561	3432	1997-05-31	VYDAJ	VYBER	15	19808	SLUZBY	\N	\N
1005562	3432	1997-06-30	VYDAJ	VYBER	15	19599	SLUZBY	\N	\N
1005563	3432	1997-07-31	VYDAJ	VYBER	15	13590	SLUZBY	\N	\N
1005564	3432	1997-08-31	VYDAJ	VYBER	15	14368	SLUZBY	\N	\N
1005565	3432	1997-09-30	VYDAJ	VYBER	15	18451	SLUZBY	\N	\N
1005566	3432	1997-10-31	VYDAJ	VYBER	15	23792	SLUZBY	\N	\N
1005567	3432	1997-11-30	VYDAJ	VYBER	15	19462	SLUZBY	\N	\N
1005568	3432	1997-12-31	VYDAJ	VYBER	15	17109	SLUZBY	\N	\N
1005569	3432	1998-01-31	VYDAJ	VYBER	15	14925	SLUZBY	\N	\N
1005570	3432	1998-02-28	VYDAJ	VYBER	15	14641	SLUZBY	\N	\N
1005571	3432	1998-03-31	VYDAJ	VYBER	15	12753	SLUZBY	\N	\N
1005572	3432	1998-04-30	VYDAJ	VYBER	15	12719	SLUZBY	\N	\N
1005573	3432	1998-05-31	VYDAJ	VYBER	15	13227	SLUZBY	\N	\N
1005574	3432	1998-06-30	VYDAJ	VYBER	15	11585	SLUZBY	\N	\N
1005575	3432	1998-07-31	VYDAJ	VYBER	15	12990	SLUZBY	\N	\N
1005576	3432	1998-08-31	VYDAJ	VYBER	15	11294	SLUZBY	\N	\N
1005577	3432	1998-09-30	VYDAJ	VYBER	15	12698	SLUZBY	\N	\N
1005578	3432	1998-10-31	VYDAJ	VYBER	15	11501	SLUZBY	\N	\N
1005579	3432	1998-11-30	VYDAJ	VYBER	15	14109	SLUZBY	\N	\N
1005580	3432	1996-07-25	PRIJEM	VKLAD	13000	18102	\N	\N	\N
1005581	3432	1996-08-24	PRIJEM	VKLAD	1200	23421	\N	\N	\N
1005582	3432	1996-09-23	VYDAJ	VYBER	300	27304	\N	\N	\N
1005583	3432	1996-10-23	VYDAJ	VYBER	1800	29708	\N	\N	\N
1005584	3432	1996-11-22	VYDAJ	VYBER	7600	26327	\N	\N	\N
1005585	3432	1996-12-22	VYDAJ	VYBER	4200	20611	\N	\N	\N
1005586	3432	1997-01-21	PRIJEM	VKLAD	3000	15947	\N	\N	\N
1005587	3432	1997-02-20	PRIJEM	VKLAD	1600	15595	\N	\N	\N
1005588	3432	1997-03-22	PRIJEM	VKLAD	3800	19367	\N	\N	\N
1005589	3432	1997-04-21	PRIJEM	VKLAD	1400	22191	\N	\N	\N
1005590	3432	1997-05-21	VYDAJ	VYBER	3900	19732	\N	\N	\N
1005591	3432	1997-06-20	VYDAJ	VYBER	3700	19527	\N	\N	\N
1005592	3432	1997-07-20	PRIJEM	VKLAD	600	21567	\N	\N	\N
1005593	3432	1997-08-19	PRIJEM	VKLAD	4400	19358	\N	\N	\N
1005594	3432	1997-09-18	PRIJEM	VKLAD	4700	20436	\N	\N	\N
1005595	3432	1997-10-18	PRIJEM	VKLAD	3900	23719	\N	\N	\N
1005596	3432	1997-11-17	VYDAJ	VYBER	2900	22260	\N	\N	\N
1005597	3432	1997-12-17	VYDAJ	VYBER	2800	20081	\N	\N	\N
1005598	3432	1998-01-16	PRIJEM	VKLAD	3600	16677	\N	\N	\N
1005599	3432	1998-02-15	VYDAJ	VYBER	1700	14593	\N	\N	\N
1005600	3432	1998-03-17	VYDAJ	VYBER	3300	12709	\N	\N	\N
1005601	3432	1998-05-16	VYDAJ	VYBER	900	13187	\N	\N	\N
1005602	3432	1998-06-15	VYDAJ	VYBER	5100	11546	\N	\N	\N
1005603	3432	1998-08-14	VYDAJ	VYBER	3100	11258	\N	\N	\N
1005604	3432	1998-10-13	VYDAJ	VYBER	2600	11466	\N	\N	\N
1005605	3432	1998-11-12	PRIJEM	VKLAD	1200	14069	\N	\N	\N
1005606	3432	1998-12-12	VYDAJ	VYBER	2300	15228	\N	\N	\N
1005637	3433	1997-07-07	PRIJEM	VKLAD	500	500	\N	\N	\N
1005644	3433	1997-07-11	PRIJEM	PREVOD Z UCTU	4142	4642	DUCHOD	GH	98091047
1005645	3433	1997-08-11	PRIJEM	PREVOD Z UCTU	4142	8797	DUCHOD	GH	98091047
1005646	3433	1997-09-11	PRIJEM	PREVOD Z UCTU	4142	12958	DUCHOD	GH	98091047
1005647	3433	1997-10-11	PRIJEM	PREVOD Z UCTU	4142	17120	DUCHOD	GH	98091047
1005648	3433	1997-11-11	PRIJEM	PREVOD Z UCTU	4142	21281	DUCHOD	GH	98091047
1005649	3433	1997-12-11	PRIJEM	PREVOD Z UCTU	4142	23161	DUCHOD	GH	98091047
1005650	3433	1998-01-11	PRIJEM	PREVOD Z UCTU	4142	18364	DUCHOD	GH	98091047
1005651	3433	1998-02-11	PRIJEM	PREVOD Z UCTU	4142	17054	DUCHOD	GH	98091047
1005652	3433	1998-03-11	PRIJEM	PREVOD Z UCTU	4142	18937	DUCHOD	GH	98091047
1005653	3433	1998-04-11	PRIJEM	PREVOD Z UCTU	4142	20828	DUCHOD	GH	98091047
1005654	3433	1998-05-11	PRIJEM	PREVOD Z UCTU	4142	20926	DUCHOD	GH	98091047
1005655	3433	1998-06-11	PRIJEM	PREVOD Z UCTU	4142	22829	DUCHOD	GH	98091047
1005656	3433	1998-07-11	PRIJEM	PREVOD Z UCTU	4142	23836	DUCHOD	GH	98091047
1005657	3433	1998-08-11	PRIJEM	PREVOD Z UCTU	4142	21149	DUCHOD	GH	98091047
1005658	3433	1998-09-11	PRIJEM	PREVOD Z UCTU	4142	20571	DUCHOD	GH	98091047
1005659	3433	1998-10-11	PRIJEM	PREVOD Z UCTU	4142	22469	DUCHOD	GH	98091047
1005660	3433	1998-11-11	PRIJEM	PREVOD Z UCTU	4142	23014	DUCHOD	GH	98091047
1005661	3433	1998-12-11	PRIJEM	PREVOD Z UCTU	4142	24925	DUCHOD	GH	98091047
1005672	3433	1997-11-13	VYDAJ	PREVOD NA UCET	2303	18978	SIPO	IJ	6368720
1005673	3433	1997-12-13	VYDAJ	PREVOD NA UCET	2303	18538	SIPO	IJ	6368720
1005674	3433	1998-01-13	VYDAJ	PREVOD NA UCET	2303	16061	SIPO	IJ	6368720
1005675	3433	1998-02-13	VYDAJ	PREVOD NA UCET	2303	14751	SIPO	IJ	6368720
1005676	3433	1998-03-13	VYDAJ	PREVOD NA UCET	2303	16634	SIPO	IJ	6368720
1005677	3433	1998-04-13	VYDAJ	PREVOD NA UCET	2303	18525	SIPO	IJ	6368720
1005678	3433	1998-05-13	VYDAJ	PREVOD NA UCET	2303	18623	SIPO	IJ	6368720
1005679	3433	1998-06-13	VYDAJ	PREVOD NA UCET	2303	20526	SIPO	IJ	6368720
1005680	3433	1998-07-13	VYDAJ	PREVOD NA UCET	2303	21533	SIPO	IJ	6368720
1005681	3433	1998-08-13	VYDAJ	PREVOD NA UCET	2303	18846	SIPO	IJ	6368720
1005682	3433	1998-09-13	VYDAJ	PREVOD NA UCET	2303	18268	SIPO	IJ	6368720
1005683	3433	1998-10-13	VYDAJ	PREVOD NA UCET	2303	20166	SIPO	IJ	6368720
1005684	3433	1998-11-13	VYDAJ	PREVOD NA UCET	2303	20711	SIPO	IJ	6368720
1005685	3433	1998-12-13	VYDAJ	PREVOD NA UCET	2303	22622	SIPO	IJ	6368720
1005689	3433	1998-01-10	VYDAJ	VYBER	1500	14222	\N	\N	\N
1005696	3433	1998-01-27	VYDAJ	VYBER	560	12861	\N	\N	\N
1005697	3433	1998-01-09	VYDAJ	VYBER	1920	15722	\N	\N	\N
1005699	3433	1998-01-20	VYDAJ	VYBER	880	15181	\N	\N	\N
1005700	3433	1998-01-05	VYDAJ	VYBER	960	17642	\N	\N	\N
1005701	3433	1998-01-24	VYDAJ	VYBER	1760	13421	\N	\N	\N
1005703	3433	1997-12-11	VYDAJ	VYBER	2320	20841	\N	\N	\N
1005705	3433	1998-08-10	VYDAJ	VYBER	2800	17007	\N	\N	\N
1005706	3433	1998-08-19	VYDAJ	VYBER	2480	16366	\N	\N	\N
1005707	3433	1998-11-07	VYDAJ	VYBER	1360	18872	\N	\N	\N
1005719	3433	1997-11-30	VYDAJ	VYBER	15	19019	SLUZBY	\N	\N
1005720	3433	1997-12-31	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
1005721	3433	1998-01-31	VYDAJ	VYBER	15	12912	SLUZBY	\N	\N
1005722	3433	1998-02-28	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
1005723	3433	1998-03-31	VYDAJ	VYBER	15	16686	SLUZBY	\N	\N
1005724	3433	1998-04-30	VYDAJ	VYBER	15	18584	SLUZBY	\N	\N
1005725	3433	1998-05-31	VYDAJ	VYBER	15	18687	SLUZBY	\N	\N
1005726	3433	1998-06-30	VYDAJ	VYBER	15	20594	SLUZBY	\N	\N
1005727	3433	1998-07-31	VYDAJ	VYBER	15	21607	SLUZBY	\N	\N
1005728	3433	1998-08-31	VYDAJ	VYBER	15	16429	SLUZBY	\N	\N
1005729	3433	1998-09-30	VYDAJ	VYBER	15	18327	SLUZBY	\N	\N
1005730	3433	1998-10-31	VYDAJ	VYBER	15	20232	SLUZBY	\N	\N
1005731	3433	1998-11-30	VYDAJ	VYBER	15	20783	SLUZBY	\N	\N
1005732	3433	1998-05-03	VYDAJ	VYBER	1800	16784	\N	\N	\N
1005733	3433	1998-07-02	VYDAJ	VYBER	900	19694	\N	\N	\N
1005734	3433	1998-08-01	VYDAJ	VYBER	1800	19807	\N	\N	\N
1005753	3434	1996-05-13	PRIJEM	VKLAD	900	900	\N	\N	\N
1005759	3434	1996-06-05	PRIJEM	PREVOD Z UCTU	2957	3857	\N	AB	15408051
1005760	3434	1996-07-05	PRIJEM	PREVOD Z UCTU	2957	6814	\N	AB	15408051
1005761	3434	1996-08-05	PRIJEM	PREVOD Z UCTU	2957	9771	\N	AB	15408051
1005762	3434	1996-09-05	PRIJEM	PREVOD Z UCTU	2957	12728	\N	AB	15408051
1005763	3434	1996-10-05	PRIJEM	PREVOD Z UCTU	2957	15685	\N	AB	15408051
1005764	3434	1996-11-05	PRIJEM	PREVOD Z UCTU	2957	15110	\N	AB	15408051
1005765	3434	1996-12-05	PRIJEM	PREVOD Z UCTU	2957	15746	\N	AB	15408051
1005766	3434	1997-01-05	PRIJEM	PREVOD Z UCTU	2957	16206	\N	AB	15408051
1005767	3434	1997-02-05	PRIJEM	PREVOD Z UCTU	2957	15493	\N	AB	15408051
1005768	3434	1997-03-05	PRIJEM	PREVOD Z UCTU	2957	16521	\N	AB	15408051
1005769	3434	1997-04-05	PRIJEM	PREVOD Z UCTU	2957	17282	\N	AB	15408051
1005770	3434	1997-05-05	PRIJEM	PREVOD Z UCTU	2957	18317	\N	AB	15408051
1005771	3434	1997-06-05	PRIJEM	PREVOD Z UCTU	2957	19356	\N	AB	15408051
1005772	3434	1997-07-05	PRIJEM	PREVOD Z UCTU	2957	18036	\N	AB	15408051
1005773	3434	1997-08-05	PRIJEM	PREVOD Z UCTU	2957	19074	\N	AB	15408051
1005774	3434	1997-09-05	PRIJEM	PREVOD Z UCTU	2957	20116	\N	AB	15408051
1005775	3434	1997-10-05	PRIJEM	PREVOD Z UCTU	2957	21163	\N	AB	15408051
1005776	3434	1997-11-05	PRIJEM	PREVOD Z UCTU	2957	20414	\N	AB	15408051
1005777	3434	1997-12-05	PRIJEM	PREVOD Z UCTU	2957	21464	\N	AB	15408051
1005778	3434	1998-01-05	PRIJEM	PREVOD Z UCTU	2957	17304	\N	AB	15408051
1005779	3434	1998-02-05	PRIJEM	PREVOD Z UCTU	2957	15905	\N	AB	15408051
1005780	3434	1998-03-05	PRIJEM	PREVOD Z UCTU	2957	16935	\N	AB	15408051
1005781	3434	1998-04-05	PRIJEM	PREVOD Z UCTU	2957	16268	\N	AB	15408051
1005782	3434	1998-05-05	PRIJEM	PREVOD Z UCTU	2957	17301	\N	AB	15408051
1005783	3434	1998-06-05	PRIJEM	PREVOD Z UCTU	2957	14535	\N	AB	15408051
1005784	3434	1998-07-05	PRIJEM	PREVOD Z UCTU	2957	14062	\N	AB	15408051
1005785	3434	1998-08-05	PRIJEM	PREVOD Z UCTU	2957	15085	\N	AB	15408051
1005786	3434	1998-09-05	PRIJEM	PREVOD Z UCTU	2957	16111	\N	AB	15408051
1005787	3434	1998-10-05	PRIJEM	PREVOD Z UCTU	2957	16660	\N	AB	15408051
1005788	3434	1998-11-05	PRIJEM	PREVOD Z UCTU	2957	17121	\N	AB	15408051
1005789	3434	1998-12-05	PRIJEM	PREVOD Z UCTU	2957	16445	\N	AB	15408051
1005799	3434	1996-10-08	VYDAJ	PREVOD NA UCET	983	14702	\N	ST	31012535
1005800	3434	1996-11-08	VYDAJ	PREVOD NA UCET	983	14127	\N	ST	31012535
1005801	3434	1996-12-08	VYDAJ	PREVOD NA UCET	983	14763	\N	ST	31012535
1005802	3434	1997-01-08	VYDAJ	PREVOD NA UCET	983	14203	\N	ST	31012535
1005803	3434	1997-02-08	VYDAJ	PREVOD NA UCET	983	14510	\N	ST	31012535
1005804	3434	1997-03-08	VYDAJ	PREVOD NA UCET	983	15538	\N	ST	31012535
1005805	3434	1997-04-08	VYDAJ	PREVOD NA UCET	983	16299	\N	ST	31012535
1005806	3434	1997-05-08	VYDAJ	PREVOD NA UCET	983	17334	\N	ST	31012535
1005807	3434	1997-06-08	VYDAJ	PREVOD NA UCET	983	17573	\N	ST	31012535
1005808	3434	1997-07-08	VYDAJ	PREVOD NA UCET	983	17053	\N	ST	31012535
1005809	3434	1997-08-08	VYDAJ	PREVOD NA UCET	983	18091	\N	ST	31012535
1005810	3434	1997-09-08	VYDAJ	PREVOD NA UCET	983	19133	\N	ST	31012535
1005811	3434	1997-10-08	VYDAJ	PREVOD NA UCET	983	20180	\N	ST	31012535
1005812	3434	1997-11-08	VYDAJ	PREVOD NA UCET	983	19431	\N	ST	31012535
1005813	3434	1997-12-08	VYDAJ	PREVOD NA UCET	983	20481	\N	ST	31012535
1005814	3434	1998-01-08	VYDAJ	PREVOD NA UCET	983	16321	\N	ST	31012535
1005815	3434	1998-02-08	VYDAJ	PREVOD NA UCET	983	14922	\N	ST	31012535
1005816	3434	1998-03-08	VYDAJ	PREVOD NA UCET	983	15952	\N	ST	31012535
1005817	3434	1998-04-08	VYDAJ	PREVOD NA UCET	983	15285	\N	ST	31012535
1005818	3434	1998-05-08	VYDAJ	PREVOD NA UCET	983	16318	\N	ST	31012535
1005819	3434	1998-06-08	VYDAJ	PREVOD NA UCET	983	13552	\N	ST	31012535
1005820	3434	1998-07-08	VYDAJ	PREVOD NA UCET	983	13079	\N	ST	31012535
1005821	3434	1998-08-08	VYDAJ	PREVOD NA UCET	983	14102	\N	ST	31012535
1005822	3434	1998-09-08	VYDAJ	PREVOD NA UCET	983	15128	\N	ST	31012535
1005823	3434	1998-10-08	VYDAJ	PREVOD NA UCET	983	15677	\N	ST	31012535
1005824	3434	1998-11-08	VYDAJ	PREVOD NA UCET	983	15808	\N	ST	31012535
1005825	3434	1998-12-08	VYDAJ	PREVOD NA UCET	983	15462	\N	ST	31012535
1005835	3434	1996-10-13	VYDAJ	PREVOD NA UCET	988	13714	\N	YZ	23543101
1005836	3434	1996-11-13	VYDAJ	PREVOD NA UCET	988	13139	\N	YZ	23543101
1005837	3434	1996-12-13	VYDAJ	PREVOD NA UCET	988	13775	\N	YZ	23543101
1005838	3434	1997-01-13	VYDAJ	PREVOD NA UCET	988	12795	\N	YZ	23543101
1005839	3434	1997-02-13	VYDAJ	PREVOD NA UCET	988	13522	\N	YZ	23543101
1005840	3434	1997-03-13	VYDAJ	PREVOD NA UCET	988	14550	\N	YZ	23543101
1005841	3434	1997-04-13	VYDAJ	PREVOD NA UCET	988	15311	\N	YZ	23543101
1005842	3434	1997-05-13	VYDAJ	PREVOD NA UCET	988	16346	\N	YZ	23543101
1005843	3434	1997-06-13	VYDAJ	PREVOD NA UCET	988	16585	\N	YZ	23543101
1005844	3434	1997-07-13	VYDAJ	PREVOD NA UCET	988	16065	\N	YZ	23543101
1005845	3434	1997-08-13	VYDAJ	PREVOD NA UCET	988	17103	\N	YZ	23543101
1005846	3434	1997-09-13	VYDAJ	PREVOD NA UCET	988	18145	\N	YZ	23543101
1005847	3434	1997-10-13	VYDAJ	PREVOD NA UCET	988	19192	\N	YZ	23543101
1005848	3434	1997-11-13	VYDAJ	PREVOD NA UCET	988	18443	\N	YZ	23543101
1005849	3434	1997-12-13	VYDAJ	PREVOD NA UCET	988	19493	\N	YZ	23543101
1005850	3434	1998-01-13	VYDAJ	PREVOD NA UCET	988	13383	\N	YZ	23543101
1005851	3434	1998-02-13	VYDAJ	PREVOD NA UCET	988	13934	\N	YZ	23543101
1005852	3434	1998-03-13	VYDAJ	PREVOD NA UCET	988	14964	\N	YZ	23543101
1005853	3434	1998-04-13	VYDAJ	PREVOD NA UCET	988	14297	\N	YZ	23543101
1005854	3434	1998-05-13	VYDAJ	PREVOD NA UCET	988	15330	\N	YZ	23543101
1005855	3434	1998-06-13	VYDAJ	PREVOD NA UCET	988	12564	\N	YZ	23543101
1005856	3434	1998-07-13	VYDAJ	PREVOD NA UCET	988	12091	\N	YZ	23543101
1005857	3434	1998-08-13	VYDAJ	PREVOD NA UCET	988	13114	\N	YZ	23543101
1005858	3434	1998-09-13	VYDAJ	PREVOD NA UCET	988	14140	\N	YZ	23543101
1005859	3434	1998-10-13	VYDAJ	PREVOD NA UCET	988	14689	\N	YZ	23543101
1005860	3434	1998-11-13	VYDAJ	PREVOD NA UCET	988	14820	\N	YZ	23543101
1005861	3434	1998-12-13	VYDAJ	PREVOD NA UCET	988	13514	\N	YZ	23543101
1005863	3434	1997-06-24	VYDAJ	VYBER	1560	15025	\N	\N	\N
1005867	3434	1998-01-10	VYDAJ	VYBER	1950	14371	\N	\N	\N
1005868	3434	1996-12-02	VYDAJ	VYBER	390	12789	\N	\N	\N
1005869	3434	1997-12-20	VYDAJ	VYBER	780	18713	\N	\N	\N
1005878	3434	1997-01-09	VYDAJ	VYBER	420	13783	\N	\N	\N
1005879	3434	1997-01-08	VYDAJ	VYBER	360	15186	\N	\N	\N
1005880	3434	1997-01-06	VYDAJ	VYBER	660	15546	\N	\N	\N
1005881	3434	1997-01-29	VYDAJ	VYBER	300	12495	\N	\N	\N
1005882	3434	1997-01-04	VYDAJ	VYBER	570	13249	\N	\N	\N
1005885	3434	1998-01-18	VYDAJ	VYBER	240	12903	\N	\N	\N
1005888	3434	1998-01-14	VYDAJ	VYBER	240	13143	\N	\N	\N
1005893	3434	1996-10-29	VYDAJ	VYBER	390	12124	\N	\N	\N
1005894	3434	1996-10-26	VYDAJ	VYBER	1200	12514	\N	\N	\N
1005896	3434	1997-03-13	VYDAJ	VYBER	270	14280	\N	\N	\N
1005897	3434	1997-12-23	VYDAJ	VYBER	630	18083	\N	\N	\N
1005898	3434	1998-11-07	VYDAJ	VYBER	330	16791	\N	\N	\N
1005899	3434	1998-09-15	VYDAJ	VYBER	480	13660	\N	\N	\N
1005900	3434	1998-12-03	VYDAJ	VYBER	1380	13488	\N	\N	\N
1005901	3434	1998-12-12	VYDAJ	VYBER	960	14502	\N	\N	\N
1005903	3434	1998-10-29	VYDAJ	VYBER	570	14119	\N	\N	\N
1005914	3434	1996-10-31	VYDAJ	VYBER	15	12153	SLUZBY	\N	\N
1005915	3434	1996-11-30	VYDAJ	VYBER	15	13179	SLUZBY	\N	\N
1005916	3434	1996-12-31	VYDAJ	VYBER	15	13819	SLUZBY	\N	\N
1005917	3434	1997-01-31	VYDAJ	VYBER	15	12536	SLUZBY	\N	\N
1005918	3434	1997-02-28	VYDAJ	VYBER	15	13564	SLUZBY	\N	\N
1005919	3434	1997-03-31	VYDAJ	VYBER	15	14325	SLUZBY	\N	\N
1005920	3434	1997-04-30	VYDAJ	VYBER	15	15360	SLUZBY	\N	\N
1005921	3434	1997-05-31	VYDAJ	VYBER	15	16399	SLUZBY	\N	\N
1005922	3434	1997-06-30	VYDAJ	VYBER	15	15079	SLUZBY	\N	\N
1005923	3434	1997-07-31	VYDAJ	VYBER	15	16117	SLUZBY	\N	\N
1005924	3434	1997-08-31	VYDAJ	VYBER	15	17159	SLUZBY	\N	\N
1005925	3434	1997-09-30	VYDAJ	VYBER	15	18206	SLUZBY	\N	\N
1005926	3434	1997-10-31	VYDAJ	VYBER	15	19257	SLUZBY	\N	\N
1005927	3434	1997-11-30	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
1005928	3434	1997-12-31	VYDAJ	VYBER	15	18147	SLUZBY	\N	\N
1005929	3434	1998-01-31	VYDAJ	VYBER	15	12948	SLUZBY	\N	\N
1005930	3434	1998-02-28	VYDAJ	VYBER	15	13978	SLUZBY	\N	\N
1005931	3434	1998-03-31	VYDAJ	VYBER	15	15011	SLUZBY	\N	\N
1005932	3434	1998-04-30	VYDAJ	VYBER	15	14344	SLUZBY	\N	\N
1005933	3434	1998-05-31	VYDAJ	VYBER	15	15378	SLUZBY	\N	\N
1005934	3434	1998-06-30	VYDAJ	VYBER	15	12605	SLUZBY	\N	\N
1005935	3434	1998-07-31	VYDAJ	VYBER	15	12128	SLUZBY	\N	\N
1005936	3434	1998-08-31	VYDAJ	VYBER	15	13154	SLUZBY	\N	\N
1005937	3434	1998-09-30	VYDAJ	VYBER	15	13703	SLUZBY	\N	\N
1005938	3434	1998-10-31	VYDAJ	VYBER	15	14164	SLUZBY	\N	\N
1005939	3434	1998-11-30	VYDAJ	VYBER	15	14868	SLUZBY	\N	\N
1005940	3434	1997-06-07	VYDAJ	VYBER	800	18556	\N	\N	\N
1005941	3434	1997-11-04	VYDAJ	VYBER	1800	17457	\N	\N	\N
1005942	3434	1998-01-03	VYDAJ	VYBER	3800	14347	\N	\N	\N
1005943	3434	1998-04-03	VYDAJ	VYBER	1700	13311	\N	\N	\N
1005944	3434	1998-06-02	VYDAJ	VYBER	3800	11578	\N	\N	\N
1005945	3434	1998-07-02	VYDAJ	VYBER	1500	11105	\N	\N	\N
1005973	3435	1993-07-01	PRIJEM	VKLAD	200	200	\N	\N	\N
1005980	3435	1993-07-08	PRIJEM	PREVOD Z UCTU	4635	4835	DUCHOD	ST	24069589
1005981	3435	1993-08-08	PRIJEM	PREVOD Z UCTU	4635	9486	DUCHOD	ST	24069589
1005982	3435	1993-09-08	PRIJEM	PREVOD Z UCTU	4635	14141	DUCHOD	ST	24069589
1005983	3435	1993-10-08	PRIJEM	PREVOD Z UCTU	4635	18796	DUCHOD	ST	24069589
1005984	3435	1993-11-08	PRIJEM	PREVOD Z UCTU	4635	23451	DUCHOD	ST	24069589
1005985	3435	1993-12-08	PRIJEM	PREVOD Z UCTU	4635	25043	DUCHOD	ST	24069589
1005986	3435	1994-01-08	PRIJEM	PREVOD Z UCTU	4635	23902	DUCHOD	ST	24069589
1005987	3435	1994-02-08	PRIJEM	PREVOD Z UCTU	4635	17590	DUCHOD	ST	24069589
1005988	3435	1994-03-08	PRIJEM	PREVOD Z UCTU	4635	17498	DUCHOD	ST	24069589
1005989	3435	1994-04-08	PRIJEM	PREVOD Z UCTU	4635	19090	DUCHOD	ST	24069589
1005990	3435	1994-05-08	PRIJEM	PREVOD Z UCTU	4635	20685	DUCHOD	ST	24069589
1005991	3435	1994-06-08	PRIJEM	PREVOD Z UCTU	4635	21486	DUCHOD	ST	24069589
1005992	3435	1994-07-08	PRIJEM	PREVOD Z UCTU	4635	23094	DUCHOD	ST	24069589
1005993	3435	1994-08-08	PRIJEM	PREVOD Z UCTU	4635	24706	DUCHOD	ST	24069589
1005994	3435	1994-09-08	PRIJEM	PREVOD Z UCTU	4635	26324	DUCHOD	ST	24069589
1005995	3435	1994-10-08	PRIJEM	PREVOD Z UCTU	4635	27949	DUCHOD	ST	24069589
1005996	3435	1994-11-08	PRIJEM	PREVOD Z UCTU	4635	29580	DUCHOD	ST	24069589
1005997	3435	1994-12-08	PRIJEM	PREVOD Z UCTU	4635	31219	DUCHOD	ST	24069589
1005998	3435	1995-01-08	PRIJEM	PREVOD Z UCTU	4635	31303	DUCHOD	ST	24069589
1005999	3435	1995-02-08	PRIJEM	PREVOD Z UCTU	4635	25103	DUCHOD	ST	24069589
1006000	3435	1995-03-08	PRIJEM	PREVOD Z UCTU	4635	22959	DUCHOD	ST	24069589
1006001	3435	1995-04-08	PRIJEM	PREVOD Z UCTU	4635	24569	DUCHOD	ST	24069589
1006002	3435	1995-05-08	PRIJEM	PREVOD Z UCTU	4635	25547	DUCHOD	ST	24069589
1006003	3435	1995-06-08	PRIJEM	PREVOD Z UCTU	4635	27171	DUCHOD	ST	24069589
1006004	3435	1995-07-08	PRIJEM	PREVOD Z UCTU	4635	28799	DUCHOD	ST	24069589
1006005	3435	1995-08-08	PRIJEM	PREVOD Z UCTU	4635	29154	DUCHOD	ST	24069589
1006006	3435	1995-09-08	PRIJEM	PREVOD Z UCTU	4635	30794	DUCHOD	ST	24069589
1006007	3435	1995-10-08	PRIJEM	PREVOD Z UCTU	4635	31836	DUCHOD	ST	24069589
1006008	3435	1995-11-08	PRIJEM	PREVOD Z UCTU	4635	29442	DUCHOD	ST	24069589
1006009	3435	1995-12-08	PRIJEM	PREVOD Z UCTU	4635	31085	DUCHOD	ST	24069589
1006010	3435	1996-01-08	PRIJEM	PREVOD Z UCTU	4635	29668	DUCHOD	ST	24069589
1006011	3435	1996-02-08	PRIJEM	PREVOD Z UCTU	4635	19617	DUCHOD	ST	24069589
1006012	3435	1996-03-08	PRIJEM	PREVOD Z UCTU	4635	21220	DUCHOD	ST	24069589
1006013	3435	1996-04-08	PRIJEM	PREVOD Z UCTU	4635	22823	DUCHOD	ST	24069589
1006014	3435	1996-05-08	PRIJEM	PREVOD Z UCTU	4635	23873	DUCHOD	ST	24069589
1006015	3435	1996-06-08	PRIJEM	PREVOD Z UCTU	4635	23809	DUCHOD	ST	24069589
1006016	3435	1996-07-08	PRIJEM	PREVOD Z UCTU	4635	22217	DUCHOD	ST	24069589
1006017	3435	1996-08-08	PRIJEM	PREVOD Z UCTU	4635	23824	DUCHOD	ST	24069589
1006018	3435	1996-09-08	PRIJEM	PREVOD Z UCTU	4635	25437	DUCHOD	ST	24069589
1006019	3435	1996-10-08	PRIJEM	PREVOD Z UCTU	4635	27058	DUCHOD	ST	24069589
1006020	3435	1996-11-08	PRIJEM	PREVOD Z UCTU	4635	28685	DUCHOD	ST	24069589
1006021	3435	1996-12-08	PRIJEM	PREVOD Z UCTU	4635	28705	DUCHOD	ST	24069589
1006022	3435	1997-01-08	PRIJEM	PREVOD Z UCTU	4635	26982	DUCHOD	ST	24069589
1006023	3435	1997-02-08	PRIJEM	PREVOD Z UCTU	4635	23162	DUCHOD	ST	24069589
1006024	3435	1997-03-08	PRIJEM	PREVOD Z UCTU	4635	22447	DUCHOD	ST	24069589
1006025	3435	1997-04-08	PRIJEM	PREVOD Z UCTU	4635	24054	DUCHOD	ST	24069589
1006026	3435	1997-05-08	PRIJEM	PREVOD Z UCTU	4635	25669	DUCHOD	ST	24069589
1006027	3435	1997-06-08	PRIJEM	PREVOD Z UCTU	4635	24248	DUCHOD	ST	24069589
1006028	3435	1997-07-08	PRIJEM	PREVOD Z UCTU	4635	25863	DUCHOD	ST	24069589
1006029	3435	1997-08-08	PRIJEM	PREVOD Z UCTU	4635	27484	DUCHOD	ST	24069589
1006030	3435	1997-09-08	PRIJEM	PREVOD Z UCTU	4635	29113	DUCHOD	ST	24069589
1006031	3435	1997-10-08	PRIJEM	PREVOD Z UCTU	4635	30747	DUCHOD	ST	24069589
1006032	3435	1997-11-08	PRIJEM	PREVOD Z UCTU	4635	30229	DUCHOD	ST	24069589
1006033	3435	1997-12-08	PRIJEM	PREVOD Z UCTU	4635	31873	DUCHOD	ST	24069589
1006034	3435	1998-01-08	PRIJEM	PREVOD Z UCTU	4635	27527	DUCHOD	ST	24069589
1006035	3435	1998-02-08	PRIJEM	PREVOD Z UCTU	4635	21547	DUCHOD	ST	24069589
1006036	3435	1998-03-08	PRIJEM	PREVOD Z UCTU	4635	23150	DUCHOD	ST	24069589
1006037	3435	1998-04-08	PRIJEM	PREVOD Z UCTU	4635	22919	DUCHOD	ST	24069589
1006038	3435	1998-05-08	PRIJEM	PREVOD Z UCTU	4635	24528	DUCHOD	ST	24069589
1006039	3435	1998-06-08	PRIJEM	PREVOD Z UCTU	4635	21655	DUCHOD	ST	24069589
1006040	3435	1998-07-08	PRIJEM	PREVOD Z UCTU	4635	23259	DUCHOD	ST	24069589
1006041	3435	1998-08-08	PRIJEM	PREVOD Z UCTU	4635	24868	DUCHOD	ST	24069589
1006042	3435	1998-09-08	PRIJEM	PREVOD Z UCTU	4635	26485	DUCHOD	ST	24069589
1006043	3435	1998-10-08	PRIJEM	PREVOD Z UCTU	4635	28108	DUCHOD	ST	24069589
1006044	3435	1998-11-08	PRIJEM	PREVOD Z UCTU	4635	29738	DUCHOD	ST	24069589
1006045	3435	1998-12-08	PRIJEM	PREVOD Z UCTU	4635	31374	DUCHOD	ST	24069589
1006056	3435	1993-11-12	VYDAJ	PREVOD NA UCET	3090	20361	SIPO	WX	24808752
1006057	3435	1993-12-12	VYDAJ	PREVOD NA UCET	3090	21953	SIPO	WX	24808752
1006058	3435	1994-01-12	VYDAJ	PREVOD NA UCET	3090	20812	SIPO	WX	24808752
1006059	3435	1994-02-12	VYDAJ	PREVOD NA UCET	3090	14500	SIPO	WX	24808752
1006060	3435	1994-03-12	VYDAJ	PREVOD NA UCET	3090	14408	SIPO	WX	24808752
1006061	3435	1994-04-12	VYDAJ	PREVOD NA UCET	3090	16000	SIPO	WX	24808752
1006062	3435	1994-05-12	VYDAJ	PREVOD NA UCET	3090	17595	SIPO	WX	24808752
1006063	3435	1994-06-12	VYDAJ	PREVOD NA UCET	3090	18396	SIPO	WX	24808752
1006064	3435	1994-07-12	VYDAJ	PREVOD NA UCET	3090	20004	SIPO	WX	24808752
1006065	3435	1994-08-12	VYDAJ	PREVOD NA UCET	3090	21616	SIPO	WX	24808752
1006066	3435	1994-09-12	VYDAJ	PREVOD NA UCET	3090	23234	SIPO	WX	24808752
1006067	3435	1994-10-12	VYDAJ	PREVOD NA UCET	3090	24859	SIPO	WX	24808752
1006068	3435	1994-11-12	VYDAJ	PREVOD NA UCET	3090	26490	SIPO	WX	24808752
1006069	3435	1994-12-12	VYDAJ	PREVOD NA UCET	3090	28129	SIPO	WX	24808752
1006070	3435	1995-01-12	VYDAJ	PREVOD NA UCET	3090	28213	SIPO	WX	24808752
1006071	3435	1995-02-12	VYDAJ	PREVOD NA UCET	3090	22013	SIPO	WX	24808752
1006072	3435	1995-03-12	VYDAJ	PREVOD NA UCET	3090	19869	SIPO	WX	24808752
1006073	3435	1995-04-12	VYDAJ	PREVOD NA UCET	3090	21479	SIPO	WX	24808752
1006074	3435	1995-05-12	VYDAJ	PREVOD NA UCET	3090	22457	SIPO	WX	24808752
1006075	3435	1995-06-12	VYDAJ	PREVOD NA UCET	3090	24081	SIPO	WX	24808752
1006076	3435	1995-07-12	VYDAJ	PREVOD NA UCET	3090	25709	SIPO	WX	24808752
1006077	3435	1995-08-12	VYDAJ	PREVOD NA UCET	3090	26064	SIPO	WX	24808752
1006078	3435	1995-09-12	VYDAJ	PREVOD NA UCET	3090	27704	SIPO	WX	24808752
1006079	3435	1995-10-12	VYDAJ	PREVOD NA UCET	3090	28746	SIPO	WX	24808752
1006080	3435	1995-11-12	VYDAJ	PREVOD NA UCET	3090	26352	SIPO	WX	24808752
1006081	3435	1995-12-12	VYDAJ	PREVOD NA UCET	3090	27995	SIPO	WX	24808752
1006082	3435	1996-01-12	VYDAJ	PREVOD NA UCET	3090	26578	SIPO	WX	24808752
1006083	3435	1996-02-12	VYDAJ	PREVOD NA UCET	3090	16527	SIPO	WX	24808752
1006084	3435	1996-03-12	VYDAJ	PREVOD NA UCET	3090	18130	SIPO	WX	24808752
1006085	3435	1996-04-12	VYDAJ	PREVOD NA UCET	3090	19733	SIPO	WX	24808752
1006086	3435	1996-05-12	VYDAJ	PREVOD NA UCET	3090	20783	SIPO	WX	24808752
1006087	3435	1996-06-12	VYDAJ	PREVOD NA UCET	3090	20719	SIPO	WX	24808752
1006088	3435	1996-07-12	VYDAJ	PREVOD NA UCET	3090	19127	SIPO	WX	24808752
1006089	3435	1996-08-12	VYDAJ	PREVOD NA UCET	3090	20734	SIPO	WX	24808752
1006090	3435	1996-09-12	VYDAJ	PREVOD NA UCET	3090	22347	SIPO	WX	24808752
1006091	3435	1996-10-12	VYDAJ	PREVOD NA UCET	3090	23968	SIPO	WX	24808752
1006092	3435	1996-11-12	VYDAJ	PREVOD NA UCET	3090	25595	SIPO	WX	24808752
1006093	3435	1996-12-12	VYDAJ	PREVOD NA UCET	3090	25615	SIPO	WX	24808752
1006094	3435	1997-01-12	VYDAJ	PREVOD NA UCET	3090	21012	SIPO	WX	24808752
1006095	3435	1997-02-12	VYDAJ	PREVOD NA UCET	3090	20072	SIPO	WX	24808752
1006096	3435	1997-03-12	VYDAJ	PREVOD NA UCET	3090	19357	SIPO	WX	24808752
1006097	3435	1997-04-12	VYDAJ	PREVOD NA UCET	3090	20964	SIPO	WX	24808752
1006098	3435	1997-05-12	VYDAJ	PREVOD NA UCET	3090	22579	SIPO	WX	24808752
1006099	3435	1997-06-12	VYDAJ	PREVOD NA UCET	3090	21158	SIPO	WX	24808752
1006100	3435	1997-07-12	VYDAJ	PREVOD NA UCET	3090	22773	SIPO	WX	24808752
1006101	3435	1997-08-12	VYDAJ	PREVOD NA UCET	3090	24394	SIPO	WX	24808752
1006102	3435	1997-09-12	VYDAJ	PREVOD NA UCET	3090	26023	SIPO	WX	24808752
1006103	3435	1997-10-12	VYDAJ	PREVOD NA UCET	3090	27657	SIPO	WX	24808752
1006104	3435	1997-11-12	VYDAJ	PREVOD NA UCET	3090	27139	SIPO	WX	24808752
1006105	3435	1997-12-12	VYDAJ	PREVOD NA UCET	3090	28783	SIPO	WX	24808752
1006106	3435	1998-01-12	VYDAJ	PREVOD NA UCET	3090	22597	SIPO	WX	24808752
1006107	3435	1998-02-12	VYDAJ	PREVOD NA UCET	3090	18457	SIPO	WX	24808752
1006108	3435	1998-03-12	VYDAJ	PREVOD NA UCET	3090	20060	SIPO	WX	24808752
1006109	3435	1998-04-12	VYDAJ	PREVOD NA UCET	3090	19829	SIPO	WX	24808752
1006110	3435	1998-05-12	VYDAJ	PREVOD NA UCET	3090	20638	SIPO	WX	24808752
1006111	3435	1998-06-12	VYDAJ	PREVOD NA UCET	3090	18565	SIPO	WX	24808752
1006112	3435	1998-07-12	VYDAJ	PREVOD NA UCET	3090	20169	SIPO	WX	24808752
1006113	3435	1998-08-12	VYDAJ	PREVOD NA UCET	3090	21778	SIPO	WX	24808752
1006114	3435	1998-09-12	VYDAJ	PREVOD NA UCET	3090	23395	SIPO	WX	24808752
1006115	3435	1998-10-12	VYDAJ	PREVOD NA UCET	3090	25018	SIPO	WX	24808752
1006116	3435	1998-11-12	VYDAJ	PREVOD NA UCET	3090	26648	SIPO	WX	24808752
1006117	3435	1998-12-12	VYDAJ	PREVOD NA UCET	3090	28284	SIPO	WX	24808752
1006118	3435	1993-12-24	VYDAJ	VYBER	600	21353	\N	\N	\N
1006119	3435	1994-12-23	VYDAJ	VYBER	1000	27129	\N	\N	\N
1006120	3435	1995-12-15	VYDAJ	VYBER	500	27495	\N	\N	\N
1006121	3435	1996-12-07	VYDAJ	VYBER	250	24070	\N	\N	\N
1006122	3435	1997-12-14	VYDAJ	VYBER	550	28233	\N	\N	\N
1006123	3435	1998-12-18	VYDAJ	VYBER	500	27784	\N	\N	\N
1006130	3435	1994-01-23	VYDAJ	VYBER	880	16732	\N	\N	\N
1006131	3435	1994-01-13	VYDAJ	VYBER	960	19852	\N	\N	\N
1006132	3435	1994-01-30	VYDAJ	VYBER	2000	12892	\N	\N	\N
1006133	3435	1994-01-15	VYDAJ	VYBER	2240	17612	\N	\N	\N
1006134	3435	1994-01-04	VYDAJ	VYBER	2160	19267	\N	\N	\N
1006135	3435	1994-01-24	VYDAJ	VYBER	1840	14892	\N	\N	\N
1006136	3435	1995-01-20	VYDAJ	VYBER	800	25093	\N	\N	\N
1006137	3435	1995-01-17	VYDAJ	VYBER	1760	26453	\N	\N	\N
1006138	3435	1995-01-19	VYDAJ	VYBER	560	25893	\N	\N	\N
1006139	3435	1995-01-30	VYDAJ	VYBER	800	22933	\N	\N	\N
1006140	3435	1995-01-05	VYDAJ	VYBER	560	26668	\N	\N	\N
1006141	3435	1995-01-24	VYDAJ	VYBER	1360	23733	\N	\N	\N
1006142	3435	1996-01-06	VYDAJ	VYBER	640	25033	\N	\N	\N
1006143	3435	1996-01-02	VYDAJ	VYBER	960	25673	\N	\N	\N
1006144	3435	1996-01-16	VYDAJ	VYBER	2080	22658	\N	\N	\N
1006145	3435	1996-01-15	VYDAJ	VYBER	1840	24738	\N	\N	\N
1006146	3435	1996-01-02	VYDAJ	VYBER	960	26633	\N	\N	\N
1006147	3435	1996-01-23	VYDAJ	VYBER	1920	20738	\N	\N	\N
1006148	3435	1997-01-09	VYDAJ	VYBER	1520	25462	\N	\N	\N
1006149	3435	1997-01-04	VYDAJ	VYBER	1200	24507	\N	\N	\N
1006150	3435	1997-01-04	VYDAJ	VYBER	2160	22347	\N	\N	\N
1006151	3435	1997-01-10	VYDAJ	VYBER	1360	24102	\N	\N	\N
1006152	3435	1997-01-27	VYDAJ	VYBER	800	18452	\N	\N	\N
1006153	3435	1997-01-22	VYDAJ	VYBER	1760	19252	\N	\N	\N
1006154	3435	1998-01-16	VYDAJ	VYBER	1120	21477	\N	\N	\N
1006155	3435	1998-01-22	VYDAJ	VYBER	1600	19877	\N	\N	\N
1006156	3435	1998-01-06	VYDAJ	VYBER	960	22892	\N	\N	\N
1006157	3435	1998-01-12	VYDAJ	VYBER	1120	25687	\N	\N	\N
1006158	3435	1998-01-01	VYDAJ	VYBER	2160	23852	\N	\N	\N
1006159	3435	1998-01-08	VYDAJ	VYBER	720	26807	\N	\N	\N
1006169	3435	1994-06-07	VYDAJ	VYBER	800	16851	\N	\N	\N
1006170	3435	1994-03-02	VYDAJ	VYBER	1680	12863	\N	\N	\N
1006171	3435	1995-11-05	VYDAJ	VYBER	3040	24807	\N	\N	\N
1006172	3435	1995-08-05	VYDAJ	VYBER	1280	24519	\N	\N	\N
1006173	3435	1995-02-22	VYDAJ	VYBER	3760	18253	\N	\N	\N
1006174	3435	1995-05-05	VYDAJ	VYBER	640	20912	\N	\N	\N
1006175	3435	1995-01-30	VYDAJ	VYBER	2560	20373	\N	\N	\N
1006176	3435	1996-05-03	VYDAJ	VYBER	560	19238	\N	\N	\N
1006177	3435	1996-02-06	VYDAJ	VYBER	3520	14982	\N	\N	\N
1006178	3435	1996-06-17	VYDAJ	VYBER	3200	17519	\N	\N	\N
1006179	3435	1996-01-25	VYDAJ	VYBER	2320	18418	\N	\N	\N
1006180	3435	1996-11-14	VYDAJ	VYBER	1360	24235	\N	\N	\N
1006181	3435	1996-05-30	VYDAJ	VYBER	1680	19103	\N	\N	\N
1006182	3435	1997-02-13	VYDAJ	VYBER	2320	17752	\N	\N	\N
1006183	3435	1997-12-29	VYDAJ	VYBER	2320	25913	\N	\N	\N
1006184	3435	1997-11-01	VYDAJ	VYBER	2160	25594	\N	\N	\N
1006186	3435	1997-05-28	VYDAJ	VYBER	3040	19539	\N	\N	\N
1006187	3435	1998-05-14	VYDAJ	VYBER	1200	19438	\N	\N	\N
1006188	3435	1998-01-24	VYDAJ	VYBER	3040	16837	\N	\N	\N
1006191	3435	1998-05-10	VYDAJ	VYBER	800	23728	\N	\N	\N
1006192	3435	1998-03-30	VYDAJ	VYBER	1840	18220	\N	\N	\N
1006193	3435	1998-05-20	VYDAJ	VYBER	2480	16958	\N	\N	\N
1006205	3435	1993-11-30	VYDAJ	VYBER	15	20408	SLUZBY	\N	\N
1006206	3435	1993-12-31	VYDAJ	VYBER	15	21427	SLUZBY	\N	\N
1006207	3435	1994-01-31	VYDAJ	VYBER	15	12955	SLUZBY	\N	\N
1006208	3435	1994-02-28	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
1006209	3435	1994-03-31	VYDAJ	VYBER	15	14455	SLUZBY	\N	\N
1006210	3435	1994-04-30	VYDAJ	VYBER	15	16050	SLUZBY	\N	\N
1006211	3435	1994-05-31	VYDAJ	VYBER	15	17651	SLUZBY	\N	\N
1006212	3435	1994-06-30	VYDAJ	VYBER	15	18459	SLUZBY	\N	\N
1006213	3435	1994-07-31	VYDAJ	VYBER	15	20071	SLUZBY	\N	\N
1006214	3435	1994-08-31	VYDAJ	VYBER	15	21689	SLUZBY	\N	\N
1006215	3435	1994-09-30	VYDAJ	VYBER	15	23314	SLUZBY	\N	\N
1006216	3435	1994-10-31	VYDAJ	VYBER	15	24945	SLUZBY	\N	\N
1006217	3435	1994-11-30	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
1006218	3435	1994-12-31	VYDAJ	VYBER	15	27228	SLUZBY	\N	\N
1006219	3435	1995-01-31	VYDAJ	VYBER	15	20468	SLUZBY	\N	\N
1006220	3435	1995-02-28	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
1006221	3435	1995-03-31	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
1006222	3435	1995-04-30	VYDAJ	VYBER	15	21552	SLUZBY	\N	\N
1006223	3435	1995-05-31	VYDAJ	VYBER	15	22536	SLUZBY	\N	\N
1006224	3435	1995-06-30	VYDAJ	VYBER	15	24164	SLUZBY	\N	\N
1006225	3435	1995-07-31	VYDAJ	VYBER	15	25799	SLUZBY	\N	\N
1006226	3435	1995-08-31	VYDAJ	VYBER	15	26159	SLUZBY	\N	\N
1006227	3435	1995-09-30	VYDAJ	VYBER	15	27201	SLUZBY	\N	\N
1006228	3435	1995-10-31	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
1006229	3435	1995-11-30	VYDAJ	VYBER	15	26450	SLUZBY	\N	\N
1006230	3435	1995-12-31	VYDAJ	VYBER	15	27593	SLUZBY	\N	\N
1006231	3435	1996-01-31	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
1006232	3435	1996-02-29	VYDAJ	VYBER	15	16585	SLUZBY	\N	\N
1006233	3435	1996-03-31	VYDAJ	VYBER	15	18188	SLUZBY	\N	\N
1006234	3435	1996-04-30	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
1006235	3435	1996-05-31	VYDAJ	VYBER	15	19174	SLUZBY	\N	\N
1006236	3435	1996-06-30	VYDAJ	VYBER	15	17582	SLUZBY	\N	\N
1006237	3435	1996-07-31	VYDAJ	VYBER	15	19189	SLUZBY	\N	\N
1006238	3435	1996-08-31	VYDAJ	VYBER	15	20802	SLUZBY	\N	\N
1006239	3435	1996-09-30	VYDAJ	VYBER	15	22423	SLUZBY	\N	\N
1006240	3435	1996-10-31	VYDAJ	VYBER	15	24050	SLUZBY	\N	\N
1006241	3435	1996-11-30	VYDAJ	VYBER	15	24320	SLUZBY	\N	\N
1006242	3435	1996-12-31	VYDAJ	VYBER	15	25707	SLUZBY	\N	\N
1006243	3435	1997-01-31	VYDAJ	VYBER	15	18527	SLUZBY	\N	\N
1006244	3435	1997-02-28	VYDAJ	VYBER	15	17812	SLUZBY	\N	\N
1006245	3435	1997-03-31	VYDAJ	VYBER	15	19419	SLUZBY	\N	\N
1006246	3435	1997-04-30	VYDAJ	VYBER	15	21034	SLUZBY	\N	\N
1006247	3435	1997-05-31	VYDAJ	VYBER	15	19613	SLUZBY	\N	\N
1006248	3435	1997-06-30	VYDAJ	VYBER	15	21228	SLUZBY	\N	\N
1006249	3435	1997-07-31	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
1006250	3435	1997-08-31	VYDAJ	VYBER	15	24478	SLUZBY	\N	\N
1006251	3435	1997-09-30	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
1006252	3435	1997-10-31	VYDAJ	VYBER	15	27754	SLUZBY	\N	\N
1006253	3435	1997-11-30	VYDAJ	VYBER	15	27238	SLUZBY	\N	\N
1006254	3435	1997-12-31	VYDAJ	VYBER	15	26012	SLUZBY	\N	\N
1006255	3435	1998-01-31	VYDAJ	VYBER	15	16912	SLUZBY	\N	\N
1006256	3435	1998-02-28	VYDAJ	VYBER	15	18515	SLUZBY	\N	\N
1006257	3435	1998-03-31	VYDAJ	VYBER	15	18284	SLUZBY	\N	\N
1006258	3435	1998-04-30	VYDAJ	VYBER	15	19893	SLUZBY	\N	\N
1006259	3435	1998-05-31	VYDAJ	VYBER	15	17020	SLUZBY	\N	\N
1006260	3435	1998-06-30	VYDAJ	VYBER	15	18624	SLUZBY	\N	\N
1006261	3435	1998-07-31	VYDAJ	VYBER	15	20233	SLUZBY	\N	\N
1006262	3435	1998-08-31	VYDAJ	VYBER	15	21850	SLUZBY	\N	\N
1006263	3435	1998-09-30	VYDAJ	VYBER	15	23473	SLUZBY	\N	\N
1006264	3435	1998-10-31	VYDAJ	VYBER	15	25103	SLUZBY	\N	\N
1006265	3435	1998-11-30	VYDAJ	VYBER	15	26739	SLUZBY	\N	\N
1006266	3435	1995-09-19	VYDAJ	VYBER	600	27104	\N	\N	\N
1006267	3435	1995-10-19	VYDAJ	VYBER	1000	27746	\N	\N	\N
1006334	3436	1995-06-24	PRIJEM	VKLAD	200	200	\N	\N	\N
1006341	3436	1995-07-10	PRIJEM	PREVOD Z UCTU	3365	3565	\N	KL	89698391
1006342	3436	1995-08-10	PRIJEM	PREVOD Z UCTU	3365	6930	\N	KL	89698391
1006343	3436	1995-09-10	PRIJEM	PREVOD Z UCTU	3365	10295	\N	KL	89698391
1006344	3436	1995-10-10	PRIJEM	PREVOD Z UCTU	3365	13660	\N	KL	89698391
1006345	3436	1995-11-10	PRIJEM	PREVOD Z UCTU	3365	17025	\N	KL	89698391
1006346	3436	1995-12-10	PRIJEM	PREVOD Z UCTU	3365	17175	\N	KL	89698391
1006347	3436	1996-01-10	PRIJEM	PREVOD Z UCTU	3365	16661	\N	KL	89698391
1006348	3436	1996-02-10	PRIJEM	PREVOD Z UCTU	3365	17826	\N	KL	89698391
1006349	3436	1996-03-10	PRIJEM	PREVOD Z UCTU	3365	18997	\N	KL	89698391
1006350	3436	1996-04-10	PRIJEM	PREVOD Z UCTU	3365	20172	\N	KL	89698391
1006351	3436	1996-05-10	PRIJEM	PREVOD Z UCTU	3365	21352	\N	KL	89698391
1006352	3436	1996-06-10	PRIJEM	PREVOD Z UCTU	3365	22537	\N	KL	89698391
1006353	3436	1996-07-10	PRIJEM	PREVOD Z UCTU	3365	21742	\N	KL	89698391
1006354	3436	1996-08-10	PRIJEM	PREVOD Z UCTU	3365	22929	\N	KL	89698391
1006355	3436	1996-09-10	PRIJEM	PREVOD Z UCTU	3365	22738	\N	KL	89698391
1006356	3436	1996-10-10	PRIJEM	PREVOD Z UCTU	3365	23929	\N	KL	89698391
1006357	3436	1996-11-10	PRIJEM	PREVOD Z UCTU	3365	25124	\N	KL	89698391
1006358	3436	1996-12-10	PRIJEM	PREVOD Z UCTU	3365	26325	\N	KL	89698391
1006359	3436	1997-01-10	PRIJEM	PREVOD Z UCTU	3365	27382	\N	KL	89698391
1006360	3436	1997-02-10	PRIJEM	PREVOD Z UCTU	3365	28592	\N	KL	89698391
1006361	3436	1997-03-10	PRIJEM	PREVOD Z UCTU	3365	28517	\N	KL	89698391
1006362	3436	1997-04-10	PRIJEM	PREVOD Z UCTU	3365	29735	\N	KL	89698391
1006363	3436	1997-05-10	PRIJEM	PREVOD Z UCTU	3365	29604	\N	KL	89698391
1006364	3436	1997-06-10	PRIJEM	PREVOD Z UCTU	3365	30826	\N	KL	89698391
1006365	3436	1997-07-10	PRIJEM	PREVOD Z UCTU	3365	27186	\N	KL	89698391
1006366	3436	1997-08-10	PRIJEM	PREVOD Z UCTU	3365	27974	\N	KL	89698391
1006367	3436	1997-09-10	PRIJEM	PREVOD Z UCTU	3365	29187	\N	KL	89698391
1006368	3436	1997-10-10	PRIJEM	PREVOD Z UCTU	3365	30404	\N	KL	89698391
1006369	3436	1997-11-10	PRIJEM	PREVOD Z UCTU	3365	31627	\N	KL	89698391
1006370	3436	1997-12-10	PRIJEM	PREVOD Z UCTU	3365	31954	\N	KL	89698391
1006371	3436	1998-01-10	PRIJEM	PREVOD Z UCTU	3365	30632	\N	KL	89698391
1006372	3436	1998-02-10	PRIJEM	PREVOD Z UCTU	3365	31439	\N	KL	89698391
1006373	3436	1998-03-10	PRIJEM	PREVOD Z UCTU	3365	32665	\N	KL	89698391
1006374	3436	1998-04-10	PRIJEM	PREVOD Z UCTU	3365	32065	\N	KL	89698391
1006375	3436	1998-05-10	PRIJEM	PREVOD Z UCTU	3365	33297	\N	KL	89698391
1006376	3436	1998-06-10	PRIJEM	PREVOD Z UCTU	3365	34531	\N	KL	89698391
1006377	3436	1998-07-10	PRIJEM	PREVOD Z UCTU	3365	26976	\N	KL	89698391
1006378	3436	1998-08-10	PRIJEM	PREVOD Z UCTU	3365	28183	\N	KL	89698391
1006379	3436	1998-09-10	PRIJEM	PREVOD Z UCTU	3365	29396	\N	KL	89698391
1006380	3436	1998-10-10	PRIJEM	PREVOD Z UCTU	3365	29924	\N	KL	89698391
1006381	3436	1998-11-10	PRIJEM	PREVOD Z UCTU	3365	30936	\N	KL	89698391
1006382	3436	1998-12-10	PRIJEM	PREVOD Z UCTU	3365	30302	\N	KL	89698391
1006393	3436	1995-11-14	VYDAJ	PREVOD NA UCET	2243	14782	SIPO	GH	61714267
1006394	3436	1995-12-14	VYDAJ	PREVOD NA UCET	2243	14932	SIPO	GH	61714267
1006395	3436	1996-01-14	VYDAJ	PREVOD NA UCET	2243	14418	SIPO	GH	61714267
1006396	3436	1996-02-14	VYDAJ	PREVOD NA UCET	2243	15583	SIPO	GH	61714267
1006397	3436	1996-03-14	VYDAJ	PREVOD NA UCET	2243	16754	SIPO	GH	61714267
1006398	3436	1996-04-14	VYDAJ	PREVOD NA UCET	2243	17929	SIPO	GH	61714267
1006399	3436	1996-05-14	VYDAJ	PREVOD NA UCET	2243	19109	SIPO	GH	61714267
1006400	3436	1996-06-14	VYDAJ	PREVOD NA UCET	2243	18314	SIPO	GH	61714267
1006401	3436	1996-07-14	VYDAJ	PREVOD NA UCET	2243	19499	SIPO	GH	61714267
1006402	3436	1996-08-14	VYDAJ	PREVOD NA UCET	2243	19306	SIPO	GH	61714267
1006403	3436	1996-09-14	VYDAJ	PREVOD NA UCET	2243	20495	SIPO	GH	61714267
1006404	3436	1996-10-14	VYDAJ	PREVOD NA UCET	2243	21686	SIPO	GH	61714267
1006405	3436	1996-11-14	VYDAJ	PREVOD NA UCET	2243	22881	SIPO	GH	61714267
1006406	3436	1996-12-14	VYDAJ	PREVOD NA UCET	2243	23932	SIPO	GH	61714267
1006407	3436	1997-01-14	VYDAJ	PREVOD NA UCET	2243	25139	SIPO	GH	61714267
1006408	3436	1997-02-14	VYDAJ	PREVOD NA UCET	2243	26349	SIPO	GH	61714267
1006409	3436	1997-03-14	VYDAJ	PREVOD NA UCET	2243	26274	SIPO	GH	61714267
1006410	3436	1997-04-14	VYDAJ	PREVOD NA UCET	2243	27492	SIPO	GH	61714267
1006411	3436	1997-05-14	VYDAJ	PREVOD NA UCET	2243	27361	SIPO	GH	61714267
1006412	3436	1997-06-14	VYDAJ	PREVOD NA UCET	2243	28583	SIPO	GH	61714267
1006413	3436	1997-07-14	VYDAJ	PREVOD NA UCET	2243	24523	SIPO	GH	61714267
1006414	3436	1997-08-14	VYDAJ	PREVOD NA UCET	2243	25731	SIPO	GH	61714267
1006415	3436	1997-09-14	VYDAJ	PREVOD NA UCET	2243	26944	SIPO	GH	61714267
1006416	3436	1997-10-14	VYDAJ	PREVOD NA UCET	2243	28161	SIPO	GH	61714267
1006417	3436	1997-11-14	VYDAJ	PREVOD NA UCET	2243	29384	SIPO	GH	61714267
1006418	3436	1997-12-14	VYDAJ	PREVOD NA UCET	2243	28331	SIPO	GH	61714267
1006419	3436	1998-01-14	VYDAJ	PREVOD NA UCET	2243	28389	SIPO	GH	61714267
1006420	3436	1998-02-14	VYDAJ	PREVOD NA UCET	2243	29196	SIPO	GH	61714267
1006421	3436	1998-03-14	VYDAJ	PREVOD NA UCET	2243	30422	SIPO	GH	61714267
1006422	3436	1998-04-14	VYDAJ	PREVOD NA UCET	2243	29822	SIPO	GH	61714267
1006423	3436	1998-05-14	VYDAJ	PREVOD NA UCET	2243	31054	SIPO	GH	61714267
1006424	3436	1998-06-14	VYDAJ	PREVOD NA UCET	2243	32288	SIPO	GH	61714267
1006425	3436	1998-07-14	VYDAJ	PREVOD NA UCET	2243	24733	SIPO	GH	61714267
1006426	3436	1998-08-14	VYDAJ	PREVOD NA UCET	2243	25940	SIPO	GH	61714267
1006427	3436	1998-09-14	VYDAJ	PREVOD NA UCET	2243	27153	SIPO	GH	61714267
1006428	3436	1998-10-14	VYDAJ	PREVOD NA UCET	2243	27681	SIPO	GH	61714267
1006429	3436	1998-11-14	VYDAJ	PREVOD NA UCET	2243	28693	SIPO	GH	61714267
1006430	3436	1998-12-14	VYDAJ	PREVOD NA UCET	2243	28059	SIPO	GH	61714267
1006432	3436	1996-06-13	VYDAJ	VYBER	1980	20557	\N	\N	\N
1006433	3436	1997-06-25	VYDAJ	VYBER	4860	23723	\N	\N	\N
1006434	3436	1998-06-27	VYDAJ	VYBER	8790	23498	\N	\N	\N
1006435	3436	1995-12-29	VYDAJ	VYBER	570	13252	\N	\N	\N
1006436	3436	1996-12-10	VYDAJ	VYBER	150	26175	\N	\N	\N
1006437	3436	1997-12-03	VYDAJ	VYBER	270	29219	\N	\N	\N
1006438	3436	1998-12-06	VYDAJ	VYBER	780	26937	\N	\N	\N
1006440	3436	1995-11-16	VYDAJ	VYBER	990	13792	\N	\N	\N
1006445	3436	1995-12-20	VYDAJ	VYBER	1110	13822	\N	\N	\N
1006448	3436	1996-08-12	VYDAJ	VYBER	1380	21549	\N	\N	\N
1006449	3436	1997-12-10	VYDAJ	VYBER	1380	30574	\N	\N	\N
1006450	3436	1997-03-01	VYDAJ	VYBER	210	26232	\N	\N	\N
1006451	3436	1997-05-02	VYDAJ	VYBER	930	26239	\N	\N	\N
1006452	3436	1997-03-06	VYDAJ	VYBER	1080	25152	\N	\N	\N
1006453	3436	1997-07-14	VYDAJ	VYBER	420	26766	\N	\N	\N
1006454	3436	1997-04-23	VYDAJ	VYBER	420	27072	\N	\N	\N
1006455	3436	1997-12-09	VYDAJ	VYBER	630	28589	\N	\N	\N
1006456	3436	1998-04-03	VYDAJ	VYBER	750	28700	\N	\N	\N
1006457	3436	1998-11-26	VYDAJ	VYBER	1080	27613	\N	\N	\N
1006458	3436	1998-01-26	VYDAJ	VYBER	420	27969	\N	\N	\N
1006459	3436	1998-01-06	VYDAJ	VYBER	1170	27267	\N	\N	\N
1006460	3436	1998-11-01	VYDAJ	VYBER	210	27571	\N	\N	\N
1006461	3436	1998-10-04	VYDAJ	VYBER	690	26559	\N	\N	\N
1006462	3436	1998-03-21	VYDAJ	VYBER	1080	29342	\N	\N	\N
1006474	3436	1995-11-30	VYDAJ	VYBER	15	13810	SLUZBY	\N	\N
1006475	3436	1995-12-31	VYDAJ	VYBER	15	13296	SLUZBY	\N	\N
1006476	3436	1996-01-31	VYDAJ	VYBER	15	14461	SLUZBY	\N	\N
1006477	3436	1996-02-29	VYDAJ	VYBER	15	15632	SLUZBY	\N	\N
1006478	3436	1996-03-31	VYDAJ	VYBER	15	16807	SLUZBY	\N	\N
1006479	3436	1996-04-30	VYDAJ	VYBER	15	17987	SLUZBY	\N	\N
1006480	3436	1996-05-31	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
1006481	3436	1996-06-30	VYDAJ	VYBER	15	18377	SLUZBY	\N	\N
1006482	3436	1996-07-31	VYDAJ	VYBER	15	19564	SLUZBY	\N	\N
1006483	3436	1996-08-31	VYDAJ	VYBER	15	19373	SLUZBY	\N	\N
1006484	3436	1996-09-30	VYDAJ	VYBER	15	20564	SLUZBY	\N	\N
1006485	3436	1996-10-31	VYDAJ	VYBER	15	21759	SLUZBY	\N	\N
1006486	3436	1996-11-30	VYDAJ	VYBER	15	22960	SLUZBY	\N	\N
1006487	3436	1996-12-31	VYDAJ	VYBER	15	24017	SLUZBY	\N	\N
1006488	3436	1997-01-31	VYDAJ	VYBER	15	25227	SLUZBY	\N	\N
1006489	3436	1997-02-28	VYDAJ	VYBER	15	26442	SLUZBY	\N	\N
1006490	3436	1997-03-31	VYDAJ	VYBER	15	26370	SLUZBY	\N	\N
1006491	3436	1997-04-30	VYDAJ	VYBER	15	27169	SLUZBY	\N	\N
1006492	3436	1997-05-31	VYDAJ	VYBER	15	27461	SLUZBY	\N	\N
1006493	3436	1997-06-30	VYDAJ	VYBER	15	23821	SLUZBY	\N	\N
1006494	3436	1997-07-31	VYDAJ	VYBER	15	24609	SLUZBY	\N	\N
1006495	3436	1997-08-31	VYDAJ	VYBER	15	25822	SLUZBY	\N	\N
1006496	3436	1997-09-30	VYDAJ	VYBER	15	27039	SLUZBY	\N	\N
1006497	3436	1997-10-31	VYDAJ	VYBER	15	28262	SLUZBY	\N	\N
1006498	3436	1997-11-30	VYDAJ	VYBER	15	29489	SLUZBY	\N	\N
1006499	3436	1997-12-31	VYDAJ	VYBER	15	28437	SLUZBY	\N	\N
1006500	3436	1998-01-31	VYDAJ	VYBER	15	28074	SLUZBY	\N	\N
1006501	3436	1998-02-28	VYDAJ	VYBER	15	29300	SLUZBY	\N	\N
1006502	3436	1998-03-31	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
1006503	3436	1998-04-30	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
1006504	3436	1998-05-31	VYDAJ	VYBER	15	31166	SLUZBY	\N	\N
1006505	3436	1998-06-30	VYDAJ	VYBER	15	23611	SLUZBY	\N	\N
1006506	3436	1998-07-31	VYDAJ	VYBER	15	24818	SLUZBY	\N	\N
1006507	3436	1998-08-31	VYDAJ	VYBER	15	26031	SLUZBY	\N	\N
1006508	3436	1998-09-30	VYDAJ	VYBER	15	27249	SLUZBY	\N	\N
1006509	3436	1998-10-31	VYDAJ	VYBER	15	27781	SLUZBY	\N	\N
1006510	3436	1998-11-30	VYDAJ	VYBER	15	27717	SLUZBY	\N	\N
1006549	3437	1996-11-13	PRIJEM	VKLAD	400	400	\N	\N	\N
1006551	3437	1997-04-08	PRIJEM	VKLAD	40919	100972	\N	\N	\N
1006552	3437	1997-05-17	PRIJEM	VKLAD	8996	46253	\N	\N	\N
1006553	3437	1997-10-18	PRIJEM	VKLAD	48347	102696	\N	\N	\N
1006554	3437	1997-05-21	PRIJEM	VKLAD	34911	81164	\N	\N	\N
1006555	3437	1997-12-18	PRIJEM	VKLAD	48164	88957	\N	\N	\N
1006556	3437	1997-06-11	PRIJEM	VKLAD	47526	123224	\N	\N	\N
1006557	3437	1997-06-09	PRIJEM	VKLAD	20038	117598	\N	\N	\N
1006558	3437	1997-03-10	PRIJEM	VKLAD	49469	100817	\N	\N	\N
1006559	3437	1997-07-29	PRIJEM	VKLAD	38249	133027	\N	\N	\N
1006560	3437	1997-06-25	PRIJEM	VKLAD	39897	66584	\N	\N	\N
1006561	3437	1997-10-26	PRIJEM	VKLAD	10834	99008	\N	\N	\N
1006562	3437	1997-12-11	PRIJEM	VKLAD	6761	41271	\N	\N	\N
1006563	3437	1997-05-05	PRIJEM	VKLAD	14975	74896	\N	\N	\N
1006564	3437	1997-09-15	PRIJEM	VKLAD	20321	46766	\N	\N	\N
1006565	3437	1997-11-30	PRIJEM	VKLAD	13640	57186	\N	\N	\N
1006566	3437	1997-06-04	PRIJEM	VKLAD	22912	104321	\N	\N	\N
1006567	3437	1997-02-01	PRIJEM	VKLAD	33472	51772	\N	\N	\N
1006568	3437	1997-07-17	PRIJEM	VKLAD	34962	112678	\N	\N	\N
1006569	3437	1997-07-13	PRIJEM	VKLAD	38935	78194	\N	\N	\N
1006570	3437	1997-10-29	PRIJEM	VKLAD	12253	111261	\N	\N	\N
1006571	3437	1997-09-18	PRIJEM	VKLAD	42697	89463	\N	\N	\N
1006572	3437	1997-02-11	PRIJEM	VKLAD	29439	81211	\N	\N	\N
1006573	3437	1998-06-10	PRIJEM	VKLAD	40503	78051	\N	\N	\N
1006574	3437	1998-11-03	PRIJEM	VKLAD	19618	42724	\N	\N	\N
1006575	3437	1998-01-11	PRIJEM	VKLAD	36974	91130	\N	\N	\N
1006576	3437	1998-04-06	PRIJEM	VKLAD	38585	136165	\N	\N	\N
1006577	3437	1998-11-11	PRIJEM	VKLAD	34289	59752	\N	\N	\N
1006578	3437	1998-04-18	PRIJEM	VKLAD	28950	109888	\N	\N	\N
1006579	3437	1998-12-11	PRIJEM	VKLAD	33288	105343	\N	\N	\N
1006580	3437	1998-02-16	PRIJEM	VKLAD	26377	80281	\N	\N	\N
1006581	3437	1998-01-27	PRIJEM	VKLAD	23074	101126	\N	\N	\N
1006582	3437	1998-12-24	PRIJEM	VKLAD	5930	51208	\N	\N	\N
1006583	3437	1998-05-21	PRIJEM	VKLAD	32347	66416	\N	\N	\N
1006584	3437	1998-05-01	PRIJEM	VKLAD	29026	74472	\N	\N	\N
1006585	3437	1998-03-24	PRIJEM	VKLAD	11978	97258	\N	\N	\N
1006586	3437	1998-05-02	PRIJEM	VKLAD	41636	116108	\N	\N	\N
1006587	3437	1998-03-14	PRIJEM	VKLAD	43840	85280	\N	\N	\N
1006588	3437	1998-07-22	PRIJEM	VKLAD	43741	97619	\N	\N	\N
1006589	3437	1998-07-02	PRIJEM	VKLAD	20886	98743	\N	\N	\N
1006590	3437	1998-11-30	PRIJEM	VKLAD	45034	125081	\N	\N	\N
1006591	3437	1998-07-03	PRIJEM	VKLAD	13474	112217	\N	\N	\N
1006592	3437	1998-11-18	PRIJEM	VKLAD	31873	91147	\N	\N	\N
1006593	3437	1998-08-01	PRIJEM	VKLAD	16949	114870	\N	\N	\N
1006594	3437	1998-12-09	PRIJEM	VKLAD	35483	72055	\N	\N	\N
1006595	3437	1998-03-10	PRIJEM	VKLAD	25469	53618	\N	\N	\N
1006596	3437	1998-04-12	PRIJEM	VKLAD	31412	81416	\N	\N	\N
1006597	3437	1998-03-08	PRIJEM	VKLAD	27083	107670	\N	\N	\N
1006598	3437	1998-10-03	PRIJEM	VKLAD	30231	53958	\N	\N	\N
1006599	3437	1998-05-28	PRIJEM	VKLAD	10061	64477	\N	\N	\N
1006600	3437	1998-02-05	PRIJEM	VKLAD	44490	145943	\N	\N	\N
1006617	3437	1997-05-13	VYDAJ	PREVOD NA UCET	478	37257	SIPO	OP	91245090
1006618	3437	1997-06-13	VYDAJ	PREVOD NA UCET	478	45246	SIPO	OP	91245090
1006619	3437	1997-07-13	VYDAJ	PREVOD NA UCET	478	77716	SIPO	OP	91245090
1006620	3437	1997-08-13	VYDAJ	PREVOD NA UCET	478	45722	SIPO	OP	91245090
1006621	3437	1997-09-13	VYDAJ	PREVOD NA UCET	478	26445	SIPO	OP	91245090
1006622	3437	1997-10-13	VYDAJ	PREVOD NA UCET	478	54349	SIPO	OP	91245090
1006623	3437	1997-11-13	VYDAJ	PREVOD NA UCET	478	43546	SIPO	OP	91245090
1006624	3437	1997-12-13	VYDAJ	PREVOD NA UCET	478	40793	SIPO	OP	91245090
1006625	3437	1998-01-13	VYDAJ	PREVOD NA UCET	478	78052	SIPO	OP	91245090
1006626	3437	1998-02-13	VYDAJ	PREVOD NA UCET	478	53904	SIPO	OP	91245090
1006627	3437	1998-03-13	VYDAJ	PREVOD NA UCET	478	41440	SIPO	OP	91245090
1006628	3437	1998-04-13	VYDAJ	PREVOD NA UCET	478	80938	SIPO	OP	91245090
1006629	3437	1998-05-13	VYDAJ	PREVOD NA UCET	478	34069	SIPO	OP	91245090
1006630	3437	1998-06-13	VYDAJ	PREVOD NA UCET	478	77573	SIPO	OP	91245090
1006631	3437	1998-07-13	VYDAJ	PREVOD NA UCET	478	53878	SIPO	OP	91245090
1006632	3437	1998-08-13	VYDAJ	PREVOD NA UCET	478	33631	SIPO	OP	91245090
1006633	3437	1998-09-13	VYDAJ	PREVOD NA UCET	478	23634	SIPO	OP	91245090
1006634	3437	1998-10-13	VYDAJ	PREVOD NA UCET	478	23019	SIPO	OP	91245090
1006635	3437	1998-11-13	VYDAJ	PREVOD NA UCET	478	59274	SIPO	OP	91245090
1006636	3437	1998-12-13	VYDAJ	PREVOD NA UCET	478	52265	SIPO	OP	91245090
1006653	3437	1997-05-08	VYDAJ	PREVOD NA UCET	6761	57635	 	WX	29037130
1006654	3437	1997-06-08	VYDAJ	PREVOD NA UCET	6761	97560	 	WX	29037130
1006655	3437	1997-07-08	VYDAJ	PREVOD NA UCET	6761	60059	 	WX	29037130
1006656	3437	1997-08-08	VYDAJ	PREVOD NA UCET	6761	65600	 	WX	29037130
1006657	3437	1997-09-08	VYDAJ	PREVOD NA UCET	6761	19723	 	WX	29037130
1006658	3437	1997-10-08	VYDAJ	PREVOD NA UCET	6761	82927	 	WX	29037130
1006659	3437	1997-11-08	VYDAJ	PREVOD NA UCET	6761	44024	 	WX	29037130
1006660	3437	1997-12-08	VYDAJ	PREVOD NA UCET	6761	50610	 	WX	29037130
1006661	3437	1998-01-08	VYDAJ	PREVOD NA UCET	6761	54156	 	WX	29037130
1006662	3437	1998-02-08	VYDAJ	PREVOD NA UCET	6761	54382	 	WX	29037130
1006663	3437	1998-03-08	VYDAJ	PREVOD NA UCET	6761	47209	 	WX	29037130
1006664	3437	1998-04-08	VYDAJ	PREVOD NA UCET	6761	50004	 	WX	29037130
1006665	3437	1998-05-08	VYDAJ	PREVOD NA UCET	6761	34547	 	WX	29037130
1006666	3437	1998-06-08	VYDAJ	PREVOD NA UCET	6761	37548	 	WX	29037130
1006667	3437	1998-07-08	VYDAJ	PREVOD NA UCET	6761	57956	 	WX	29037130
1006668	3437	1998-08-08	VYDAJ	PREVOD NA UCET	6761	34109	 	WX	29037130
1006669	3437	1998-09-08	VYDAJ	PREVOD NA UCET	6761	24112	 	WX	29037130
1006670	3437	1998-10-08	VYDAJ	PREVOD NA UCET	6761	23497	 	WX	29037130
1006671	3437	1998-11-08	VYDAJ	PREVOD NA UCET	6761	25463	 	WX	29037130
1006672	3437	1998-12-08	VYDAJ	PREVOD NA UCET	6761	36572	 	WX	29037130
1006681	3437	1997-09-08	VYBER	VYBER	6854	26484	\N	\N	\N
1006682	3437	1997-10-20	VYBER	VYBER	14522	88174	\N	\N	\N
1006684	3437	1997-06-14	VYBER	VYBER	18559	26687	\N	\N	\N
1006686	3437	1997-08-05	VYBER	VYBER	11781	72361	\N	\N	\N
1006687	3437	1998-03-09	VYBER	VYBER	19060	28149	\N	\N	\N
1006688	3437	1998-12-21	VYBER	VYBER	6987	45278	\N	\N	\N
1006696	3437	1998-01-12	VYDAJ	VYBER	8400	78530	\N	\N	\N
1006698	3437	1997-12-27	VYDAJ	VYBER	1800	87157	\N	\N	\N
1006699	3437	1998-12-05	VYDAJ	VYBER	5400	43333	\N	\N	\N
1006703	3437	1997-05-05	VYDAJ	VYBER	10500	64396	\N	\N	\N
1006705	3437	1997-08-13	VYDAJ	VYBER	12600	33122	\N	\N	\N
1006707	3437	1997-12-09	VYDAJ	VYBER	6300	34510	\N	\N	\N
1006710	3437	1998-10-07	VYDAJ	VYBER	6000	30258	\N	\N	\N
1006711	3437	1998-07-09	VYDAJ	VYBER KARTOU	3600	54356	\N	\N	0
1006712	3437	1998-03-11	VYDAJ	VYBER	11700	41918	\N	\N	\N
1006713	3437	1998-01-11	VYDAJ	VYBER	4200	86930	\N	\N	\N
1006715	3437	1998-05-21	VYDAJ	VYBER	12000	54416	\N	\N	\N
1006716	3437	1998-11-18	VYDAJ	VYBER	11100	80047	\N	\N	\N
1006734	3437	1997-05-31	VYDAJ	VYBER	15	81409	SLUZBY	\N	\N
1006735	3437	1997-06-30	VYDAJ	VYBER	15	66820	SLUZBY	\N	\N
1006736	3437	1997-07-31	VYDAJ	VYBER	15	84142	SLUZBY	\N	\N
1006737	3437	1997-08-31	VYDAJ	VYBER	15	33338	SLUZBY	\N	\N
1006738	3437	1997-09-30	VYDAJ	VYBER	15	89688	SLUZBY	\N	\N
1006739	3437	1997-10-31	VYDAJ	VYBER	15	59885	SLUZBY	\N	\N
1006740	3437	1997-11-30	VYDAJ	VYBER	15	57371	SLUZBY	\N	\N
1006741	3437	1997-12-31	VYDAJ	VYBER	15	87417	SLUZBY	\N	\N
1006742	3437	1998-01-31	VYDAJ	VYBER	15	101453	SLUZBY	\N	\N
1006743	3437	1998-02-28	VYDAJ	VYBER	15	80587	SLUZBY	\N	\N
1006744	3437	1998-03-31	VYDAJ	VYBER	15	97580	SLUZBY	\N	\N
1006745	3437	1998-04-30	VYDAJ	VYBER	15	45446	SLUZBY	\N	\N
1006746	3437	1998-05-31	VYDAJ	VYBER	15	64709	SLUZBY	\N	\N
1006747	3437	1998-06-30	VYDAJ	VYBER	15	77857	SLUZBY	\N	\N
1006748	3437	1998-07-31	VYDAJ	VYBER	15	97921	SLUZBY	\N	\N
1006749	3437	1998-08-31	VYDAJ	VYBER	15	33773	SLUZBY	\N	\N
1006750	3437	1998-09-30	VYDAJ	VYBER	15	23727	SLUZBY	\N	\N
1006751	3437	1998-10-31	VYDAJ	VYBER	15	23106	SLUZBY	\N	\N
1006752	3437	1998-11-30	VYDAJ	VYBER	15	78333	SLUZBY	\N	\N
1006753	3437	1996-12-13	PRIJEM	VKLAD	13000	13400	\N	\N	\N
1006754	3437	1997-01-12	PRIJEM	VKLAD	4900	18300	\N	\N	\N
1006755	3437	1997-02-11	VYDAJ	VYBER	30000	51211	\N	\N	\N
1006756	3437	1997-03-13	VYDAJ	VYBER	41000	59817	\N	\N	\N
1006757	3437	1997-04-12	VYDAJ	VYBER	41300	59672	\N	\N	\N
1006758	3437	1997-05-12	VYDAJ	VYBER	19900	37735	\N	\N	\N
1006759	3437	1997-06-09	VYDAJ	VYBER	41900	75698	\N	\N	\N
1006760	3437	1997-06-11	VYDAJ	VYBER	51300	71924	\N	\N	\N
1006761	3437	1997-06-11	VYDAJ	VYBER	26200	45724	\N	\N	\N
1006762	3437	1997-07-11	VYDAJ	VYBER	20800	39259	\N	\N	\N
1006763	3437	1997-07-17	VYDAJ	VYBER	17900	94778	\N	\N	\N
1006764	3437	1997-07-29	VYDAJ	VYBER	49200	83827	\N	\N	\N
1006765	3437	1997-08-10	VYDAJ	VYBER	19400	46200	\N	\N	\N
1006766	3437	1997-09-09	PRIJEM	VKLAD	7200	26923	\N	\N	\N
1006767	3437	1997-10-09	VYDAJ	VYBER	28100	54827	\N	\N	\N
1006768	3437	1997-10-29	VYDAJ	VYBER	51700	59561	\N	\N	\N
1006769	3437	1997-11-08	VYDAJ	VYBER	9100	50785	\N	\N	\N
1006770	3437	1997-12-08	VYDAJ	VYBER	9800	40810	\N	\N	\N
1006771	3437	1998-01-07	VYDAJ	VYBER	26500	60917	\N	\N	\N
1006772	3437	1998-02-05	VYDAJ	VYBER	46300	99643	\N	\N	\N
1006773	3437	1998-02-06	VYDAJ	VYBER	38500	61143	\N	\N	\N
1006774	3437	1998-03-08	VYDAJ	VYBER	32000	53970	\N	\N	\N
1006775	3437	1998-03-08	VYDAJ	VYBER	21700	85970	\N	\N	\N
1006776	3437	1998-04-06	VYDAJ	VYBER	51300	84865	\N	\N	\N
1006777	3437	1998-04-07	VYDAJ	VYBER	28100	56765	\N	\N	\N
1006778	3437	1998-04-18	VYDAJ	VYBER	64800	45088	\N	\N	\N
1006779	3437	1998-05-02	VYDAJ	VYBER	58600	57508	\N	\N	\N
1006780	3437	1998-05-07	VYDAJ	VYBER	16200	41308	\N	\N	\N
1006781	3437	1998-06-06	VYDAJ	VYBER	20400	44309	\N	\N	\N
1006782	3437	1998-07-06	VYDAJ	VYBER	47500	64717	\N	\N	\N
1006783	3437	1998-08-01	VYDAJ	VYBER	56700	58170	\N	\N	\N
1006784	3437	1998-08-05	VYDAJ	VYBER	17300	40870	\N	\N	\N
1006785	3437	1998-09-04	VYDAJ	VYBER KARTOU	2900	30873	\N	\N	0
1006786	3437	1998-10-04	VYDAJ	VYBER	17700	36258	\N	\N	\N
1006787	3437	1998-11-03	VYDAJ	VYBER	10500	32224	\N	\N	\N
1006788	3437	1998-11-30	VYDAJ	VYBER	47000	78348	\N	\N	\N
1006789	3437	1998-12-03	VYDAJ	VYBER	29600	48733	\N	\N	\N
1006790	3437	1998-12-11	VYDAJ	VYBER	52600	52743	\N	\N	\N
1006814	3438	1996-12-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1006827	3438	1997-01-13	PRIJEM	PREVOD Z UCTU	5506	6506	DUCHOD	ST	56668645
1006828	3438	1997-02-13	PRIJEM	PREVOD Z UCTU	5506	12012	DUCHOD	ST	56668645
1006829	3438	1997-03-13	PRIJEM	PREVOD Z UCTU	5506	17518	DUCHOD	ST	56668645
1006830	3438	1997-04-13	PRIJEM	PREVOD Z UCTU	5506	23024	DUCHOD	ST	56668645
1006831	3438	1997-05-13	PRIJEM	PREVOD Z UCTU	5506	28530	DUCHOD	ST	56668645
1006832	3438	1997-06-13	PRIJEM	PREVOD Z UCTU	5506	27204	DUCHOD	ST	56668645
1006833	3438	1997-07-13	PRIJEM	PREVOD Z UCTU	5506	23088	DUCHOD	ST	56668645
1006834	3438	1997-08-13	PRIJEM	PREVOD Z UCTU	5506	25814	DUCHOD	ST	56668645
1006835	3438	1997-09-13	PRIJEM	PREVOD Z UCTU	5506	28552	DUCHOD	ST	56668645
1006836	3438	1997-10-13	PRIJEM	PREVOD Z UCTU	5506	24649	DUCHOD	ST	56668645
1006837	3438	1997-11-13	PRIJEM	PREVOD Z UCTU	5506	26582	DUCHOD	ST	56668645
1006838	3438	1997-12-13	PRIJEM	PREVOD Z UCTU	5506	26367	DUCHOD	ST	56668645
1006839	3438	1998-01-13	PRIJEM	PREVOD Z UCTU	5506	19956	DUCHOD	ST	56668645
1006840	3438	1998-02-13	PRIJEM	PREVOD Z UCTU	5506	16582	DUCHOD	ST	56668645
1006841	3438	1998-03-13	PRIJEM	PREVOD Z UCTU	5506	15374	DUCHOD	ST	56668645
1006842	3438	1998-04-13	PRIJEM	PREVOD Z UCTU	5506	17668	DUCHOD	ST	56668645
1006843	3438	1998-05-13	PRIJEM	PREVOD Z UCTU	5506	17061	DUCHOD	ST	56668645
1006844	3438	1998-06-13	PRIJEM	PREVOD Z UCTU	5506	19762	DUCHOD	ST	56668645
1006845	3438	1998-07-13	PRIJEM	PREVOD Z UCTU	5506	17262	DUCHOD	ST	56668645
1006846	3438	1998-08-13	PRIJEM	PREVOD Z UCTU	5506	19964	DUCHOD	ST	56668645
1006847	3438	1998-09-13	PRIJEM	PREVOD Z UCTU	5506	17873	DUCHOD	ST	56668645
1006848	3438	1998-10-13	PRIJEM	PREVOD Z UCTU	5506	20578	DUCHOD	ST	56668645
1006849	3438	1998-11-13	PRIJEM	PREVOD Z UCTU	5506	18394	DUCHOD	ST	56668645
1006850	3438	1998-12-13	PRIJEM	PREVOD Z UCTU	5506	21107	DUCHOD	ST	56668645
1006868	3438	1997-06-05	VYDAJ	PREVOD NA UCET	2857	21698	SIPO	KL	6888103
1006869	3438	1997-07-05	VYDAJ	PREVOD NA UCET	2857	17582	SIPO	KL	6888103
1006870	3438	1997-08-05	VYDAJ	PREVOD NA UCET	2857	20308	SIPO	KL	6888103
1006871	3438	1997-09-05	VYDAJ	PREVOD NA UCET	2857	23046	SIPO	KL	6888103
1006872	3438	1997-10-05	VYDAJ	PREVOD NA UCET	2857	19143	SIPO	KL	6888103
1006873	3438	1997-11-05	VYDAJ	PREVOD NA UCET	2857	21876	SIPO	KL	6888103
1006874	3438	1997-12-05	VYDAJ	PREVOD NA UCET	2857	21111	SIPO	KL	6888103
1006875	3438	1998-01-05	VYDAJ	PREVOD NA UCET	2857	18290	SIPO	KL	6888103
1006876	3438	1998-02-05	VYDAJ	PREVOD NA UCET	2857	11076	SIPO	KL	6888103
1006877	3438	1998-03-05	VYDAJ	PREVOD NA UCET	2857	9868	SIPO	KL	6888103
1006878	3438	1998-04-05	VYDAJ	PREVOD NA UCET	2857	12162	SIPO	KL	6888103
1006879	3438	1998-05-05	VYDAJ	PREVOD NA UCET	2857	11555	SIPO	KL	6888103
1006880	3438	1998-06-05	VYDAJ	PREVOD NA UCET	2857	14256	SIPO	KL	6888103
1006881	3438	1998-07-05	VYDAJ	PREVOD NA UCET	2857	11756	SIPO	KL	6888103
1006882	3438	1998-08-05	VYDAJ	PREVOD NA UCET	2857	14458	SIPO	KL	6888103
1006883	3438	1998-09-05	VYDAJ	PREVOD NA UCET	2857	13567	SIPO	KL	6888103
1006884	3438	1998-10-05	VYDAJ	PREVOD NA UCET	2857	15072	SIPO	KL	6888103
1006885	3438	1998-11-05	VYDAJ	PREVOD NA UCET	2857	17788	SIPO	KL	6888103
1006886	3438	1998-12-05	VYDAJ	PREVOD NA UCET	2857	15601	SIPO	KL	6888103
1006888	3438	1997-06-21	VYDAJ	VYBER	5850	20354	\N	\N	\N
1006891	3438	1997-12-08	VYDAJ	VYBER	250	20861	\N	\N	\N
1006892	3438	1998-12-25	VYDAJ	VYBER	1450	19017	\N	\N	\N
1006905	3438	1998-01-20	VYDAJ	VYBER	1280	16036	\N	\N	\N
1006907	3438	1998-01-14	VYDAJ	VYBER	400	19556	\N	\N	\N
1006908	3438	1998-01-26	VYDAJ	VYBER	2160	13876	\N	\N	\N
1006909	3438	1998-01-17	VYDAJ	VYBER	2240	17316	\N	\N	\N
1006910	3438	1998-01-04	VYDAJ	VYBER	800	21147	\N	\N	\N
1006917	3438	1997-09-20	VYDAJ	VYBER	2640	21912	\N	\N	\N
1006918	3438	1997-11-12	VYDAJ	VYBER	800	21076	\N	\N	\N
1006920	3438	1998-12-15	VYDAJ	VYBER	640	20467	\N	\N	\N
1006921	3438	1998-08-23	VYDAJ	VYBER	400	16364	\N	\N	\N
1006922	3438	1998-04-04	VYDAJ	VYBER	400	15019	\N	\N	\N
1006923	3438	1998-02-17	VYDAJ	VYBER	3600	12682	\N	\N	\N
1006924	3438	1998-01-10	VYDAJ	VYBER	3840	14450	\N	\N	\N
1006942	3438	1997-05-31	VYDAJ	VYBER	15	24555	SLUZBY	\N	\N
1006943	3438	1997-06-30	VYDAJ	VYBER	15	20439	SLUZBY	\N	\N
1006944	3438	1997-07-31	VYDAJ	VYBER	15	23165	SLUZBY	\N	\N
1006945	3438	1997-08-31	VYDAJ	VYBER	15	25903	SLUZBY	\N	\N
1006946	3438	1997-09-30	VYDAJ	VYBER	15	22000	SLUZBY	\N	\N
1006947	3438	1997-10-31	VYDAJ	VYBER	15	24733	SLUZBY	\N	\N
1006948	3438	1997-11-30	VYDAJ	VYBER	15	23968	SLUZBY	\N	\N
1006949	3438	1997-12-31	VYDAJ	VYBER	15	21947	SLUZBY	\N	\N
1006950	3438	1998-01-31	VYDAJ	VYBER	15	13933	SLUZBY	\N	\N
1006951	3438	1998-02-28	VYDAJ	VYBER	15	12725	SLUZBY	\N	\N
1006952	3438	1998-03-31	VYDAJ	VYBER	15	15419	SLUZBY	\N	\N
1006953	3438	1998-04-30	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
1006954	3438	1998-05-31	VYDAJ	VYBER	15	17113	SLUZBY	\N	\N
1006955	3438	1998-06-30	VYDAJ	VYBER	15	14613	SLUZBY	\N	\N
1006956	3438	1998-07-31	VYDAJ	VYBER	15	17315	SLUZBY	\N	\N
1006957	3438	1998-08-31	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
1006958	3438	1998-09-30	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
1006959	3438	1998-10-31	VYDAJ	VYBER	15	20645	SLUZBY	\N	\N
1006960	3438	1998-11-30	VYDAJ	VYBER	15	18458	SLUZBY	\N	\N
1006961	3438	1997-05-20	VYDAJ	VYBER	4000	24530	\N	\N	\N
1006962	3438	1997-06-19	VYDAJ	VYBER	1000	26204	\N	\N	\N
1006963	3438	1997-09-17	VYDAJ	VYBER	4000	24552	\N	\N	\N
1006964	3438	1997-11-16	VYDAJ	VYBER	2700	23882	\N	\N	\N
1006965	3438	1997-12-16	VYDAJ	VYBER	4500	21867	\N	\N	\N
1006966	3438	1998-02-14	VYDAJ	VYBER	300	16282	\N	\N	\N
1006967	3438	1998-04-15	VYDAJ	VYBER	3300	14368	\N	\N	\N
1006968	3438	1998-06-14	VYDAJ	VYBER	5200	14562	\N	\N	\N
1006969	3438	1998-08-13	VYDAJ	VYBER	3200	16764	\N	\N	\N
1006970	3438	1998-09-12	VYDAJ	VYBER	1200	12367	\N	\N	\N
1006971	3438	1998-11-11	VYDAJ	VYBER	4900	12888	\N	\N	\N
1006992	3439	1996-02-16	PRIJEM	VKLAD	700	700	\N	\N	\N
1006995	3439	1996-03-07	PRIJEM	VKLAD	17714	18414	\N	\N	\N
1006996	3439	1996-04-07	PRIJEM	VKLAD	17714	40474	\N	\N	\N
1006997	3439	1996-05-07	PRIJEM	VKLAD	17714	48900	\N	\N	\N
1006998	3439	1996-06-07	PRIJEM	VKLAD	26571	60105	\N	\N	\N
1006999	3439	1996-07-07	PRIJEM	VKLAD	17714	59677	\N	\N	\N
1007000	3439	1996-08-07	PRIJEM	VKLAD	17714	45002	\N	\N	\N
1007001	3439	1996-09-07	PRIJEM	VKLAD	17714	44714	\N	\N	\N
1007002	3439	1996-10-07	PRIJEM	VKLAD	17714	46730	\N	\N	\N
1007003	3439	1996-11-07	PRIJEM	VKLAD	17714	37042	\N	\N	\N
1007004	3439	1996-12-07	PRIJEM	VKLAD	26571	50390	\N	\N	\N
1007005	3439	1997-01-07	PRIJEM	VKLAD	17714	44404	\N	\N	\N
1007006	3439	1997-02-07	PRIJEM	VKLAD	17714	42606	\N	\N	\N
1007007	3439	1997-03-07	PRIJEM	VKLAD	17714	42706	\N	\N	\N
1007008	3439	1997-04-07	PRIJEM	VKLAD	17714	38292	\N	\N	\N
1007009	3439	1997-05-07	PRIJEM	VKLAD	17714	35465	\N	\N	\N
1007010	3439	1997-06-07	PRIJEM	VKLAD	26571	40288	\N	\N	\N
1007011	3439	1997-07-07	PRIJEM	VKLAD	17714	39365	\N	\N	\N
1007012	3439	1997-08-07	PRIJEM	VKLAD	17714	38446	\N	\N	\N
1007013	3439	1997-09-07	PRIJEM	VKLAD	17714	39728	\N	\N	\N
1007014	3439	1997-10-07	PRIJEM	VKLAD	17714	27686	\N	\N	\N
1007015	3439	1997-11-07	PRIJEM	VKLAD	17714	31531	\N	\N	\N
1007016	3439	1997-12-07	PRIJEM	VKLAD	26571	45451	\N	\N	\N
1007017	3439	1998-01-07	PRIJEM	VKLAD	17714	37131	\N	\N	\N
1007018	3439	1998-02-07	PRIJEM	VKLAD	17714	41420	\N	\N	\N
1007019	3439	1998-03-07	PRIJEM	VKLAD	17714	51739	\N	\N	\N
1007020	3439	1998-04-07	PRIJEM	VKLAD	17714	43502	\N	\N	\N
1007021	3439	1998-05-07	PRIJEM	VKLAD	17714	49935	\N	\N	\N
1007022	3439	1998-06-07	PRIJEM	VKLAD	26571	62451	\N	\N	\N
1007023	3439	1998-07-07	PRIJEM	VKLAD	17714	56144	\N	\N	\N
1007024	3439	1998-08-07	PRIJEM	VKLAD	17714	53727	\N	\N	\N
1007025	3439	1998-09-07	PRIJEM	VKLAD	17714	55705	\N	\N	\N
1007026	3439	1998-10-07	PRIJEM	VKLAD	17714	55377	\N	\N	\N
1007027	3439	1998-11-07	PRIJEM	VKLAD	17714	61858	\N	\N	\N
1007028	3439	1998-12-07	PRIJEM	VKLAD	26571	71522	\N	\N	\N
1007036	3439	1996-08-05	VYDAJ	PREVOD NA UCET	7541	27288	SIPO	EF	41336739
1007037	3439	1996-09-05	VYDAJ	PREVOD NA UCET	7541	27000	SIPO	EF	41336739
1007038	3439	1996-10-05	VYDAJ	PREVOD NA UCET	7541	29016	SIPO	EF	41336739
1007039	3439	1996-11-05	VYDAJ	PREVOD NA UCET	7541	22228	SIPO	EF	41336739
1007040	3439	1996-12-05	VYDAJ	PREVOD NA UCET	7541	23819	SIPO	EF	41336739
1007041	3439	1997-01-05	VYDAJ	PREVOD NA UCET	7541	26690	SIPO	EF	41336739
1007042	3439	1997-02-05	VYDAJ	PREVOD NA UCET	7541	24892	SIPO	EF	41336739
1007043	3439	1997-03-05	VYDAJ	PREVOD NA UCET	7541	24992	SIPO	EF	41336739
1007044	3439	1997-04-05	VYDAJ	PREVOD NA UCET	7541	20578	SIPO	EF	41336739
1007045	3439	1997-05-05	VYDAJ	PREVOD NA UCET	7541	17751	SIPO	EF	41336739
1007046	3439	1997-06-05	VYDAJ	PREVOD NA UCET	7541	13717	SIPO	EF	41336739
1007047	3439	1997-07-05	VYDAJ	PREVOD NA UCET	7541	21651	SIPO	EF	41336739
1007048	3439	1997-08-05	VYDAJ	PREVOD NA UCET	7541	20732	SIPO	EF	41336739
1007049	3439	1997-09-05	VYDAJ	PREVOD NA UCET	7541	22014	SIPO	EF	41336739
1007050	3439	1997-10-05	VYDAJ	PREVOD NA UCET	7541	9972	SIPO	EF	41336739
1007051	3439	1997-11-05	VYDAJ	PREVOD NA UCET	7541	13817	SIPO	EF	41336739
1007052	3439	1997-12-05	VYDAJ	PREVOD NA UCET	7541	18880	SIPO	EF	41336739
1007053	3439	1998-01-05	VYDAJ	PREVOD NA UCET	7541	19317	SIPO	EF	41336739
1007054	3439	1998-02-05	VYDAJ	PREVOD NA UCET	7541	23706	SIPO	EF	41336739
1007055	3439	1998-03-05	VYDAJ	PREVOD NA UCET	7541	34025	SIPO	EF	41336739
1007056	3439	1998-04-05	VYDAJ	PREVOD NA UCET	7541	29988	SIPO	EF	41336739
1007057	3439	1998-05-05	VYDAJ	PREVOD NA UCET	7541	36121	SIPO	EF	41336739
1007058	3439	1998-06-05	VYDAJ	PREVOD NA UCET	7541	42580	SIPO	EF	41336739
1007059	3439	1998-07-05	VYDAJ	PREVOD NA UCET	7541	38430	SIPO	EF	41336739
1007060	3439	1998-08-05	VYDAJ	PREVOD NA UCET	7541	36013	SIPO	EF	41336739
1007061	3439	1998-09-05	VYDAJ	PREVOD NA UCET	7541	37991	SIPO	EF	41336739
1007062	3439	1998-10-05	VYDAJ	PREVOD NA UCET	7541	37663	SIPO	EF	41336739
1007063	3439	1998-11-05	VYDAJ	PREVOD NA UCET	7541	44144	SIPO	EF	41336739
1007064	3439	1998-12-05	VYDAJ	PREVOD NA UCET	7541	44951	SIPO	EF	41336739
1007067	3439	1998-06-25	VYDAJ	VYBER	13000	49451	\N	\N	\N
1007069	3439	1997-01-17	VYDAJ	VYBER	1600	32304	\N	\N	\N
1007070	3439	1998-01-17	VYDAJ	VYBER	7100	30031	\N	\N	\N
1007071	3439	1996-12-25	VYDAJ	VYBER	2500	34090	\N	\N	\N
1007072	3439	1997-12-09	VYDAJ	VYBER	1400	28651	\N	\N	\N
1007073	3439	1998-12-12	VYDAJ	VYBER	900	70622	\N	\N	\N
1007075	3439	1996-07-25	VYDAJ	VYBER	4800	36077	\N	\N	\N
1007076	3439	1996-11-02	VYDAJ	VYBER	4400	29769	\N	\N	\N
1007077	3439	1996-07-26	VYDAJ	VYBER	1400	34677	\N	\N	\N
1007078	3439	1996-11-06	VYDAJ	VYBER	2900	19328	\N	\N	\N
1007079	3439	1997-03-08	VYDAJ	VYBER	1500	41206	\N	\N	\N
1007080	3439	1997-09-25	VYDAJ	VYBER	3800	17428	\N	\N	\N
1007081	3439	1997-09-14	VYDAJ	VYBER	4000	21228	\N	\N	\N
1007082	3439	1997-05-24	VYDAJ	VYBER	4700	21165	\N	\N	\N
1007083	3439	1997-09-10	VYDAJ	VYBER	4700	25228	\N	\N	\N
1007084	3439	1997-03-05	VYDAJ	VYBER	800	32533	\N	\N	\N
1007085	3439	1998-09-11	VYDAJ	VYBER	4500	51205	\N	\N	\N
1007086	3439	1998-04-01	VYDAJ	VYBER	1700	37529	\N	\N	\N
1007087	3439	1998-01-03	VYDAJ	VYBER	1900	26858	\N	\N	\N
1007088	3439	1998-04-06	VYDAJ	VYBER	4700	25788	\N	\N	\N
1007096	3439	1996-07-31	VYDAJ	VYBER	15	34829	SLUZBY	\N	\N
1007097	3439	1996-08-31	VYDAJ	VYBER	15	34541	SLUZBY	\N	\N
1007098	3439	1996-09-30	VYDAJ	VYBER	15	36557	SLUZBY	\N	\N
1007099	3439	1996-10-31	VYDAJ	VYBER	15	34169	SLUZBY	\N	\N
1007100	3439	1996-11-30	VYDAJ	VYBER	15	31360	SLUZBY	\N	\N
1007101	3439	1996-12-31	VYDAJ	VYBER	15	34231	SLUZBY	\N	\N
1007102	3439	1997-01-31	VYDAJ	VYBER	15	32433	SLUZBY	\N	\N
1007103	3439	1997-02-28	VYDAJ	VYBER	15	33333	SLUZBY	\N	\N
1007104	3439	1997-03-31	VYDAJ	VYBER	15	28119	SLUZBY	\N	\N
1007105	3439	1997-04-30	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
1007106	3439	1997-05-31	VYDAJ	VYBER	15	21258	SLUZBY	\N	\N
1007107	3439	1997-06-30	VYDAJ	VYBER	15	29192	SLUZBY	\N	\N
1007108	3439	1997-07-31	VYDAJ	VYBER	15	28273	SLUZBY	\N	\N
1007109	3439	1997-08-31	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
1007110	3439	1997-09-30	VYDAJ	VYBER	15	17513	SLUZBY	\N	\N
1007111	3439	1997-10-31	VYDAJ	VYBER	15	21358	SLUZBY	\N	\N
1007112	3439	1997-11-30	VYDAJ	VYBER	15	26421	SLUZBY	\N	\N
1007113	3439	1997-12-31	VYDAJ	VYBER	15	28758	SLUZBY	\N	\N
1007114	3439	1998-01-31	VYDAJ	VYBER	15	30147	SLUZBY	\N	\N
1007115	3439	1998-02-28	VYDAJ	VYBER	15	41566	SLUZBY	\N	\N
1007116	3439	1998-03-31	VYDAJ	VYBER	15	39229	SLUZBY	\N	\N
1007117	3439	1998-04-30	VYDAJ	VYBER	15	43662	SLUZBY	\N	\N
1007118	3439	1998-05-31	VYDAJ	VYBER	15	50121	SLUZBY	\N	\N
1007119	3439	1998-06-30	VYDAJ	VYBER	15	49671	SLUZBY	\N	\N
1007120	3439	1998-07-31	VYDAJ	VYBER	15	56354	SLUZBY	\N	\N
1007121	3439	1998-08-31	VYDAJ	VYBER	15	53932	SLUZBY	\N	\N
1007122	3439	1998-09-30	VYDAJ	VYBER	15	51404	SLUZBY	\N	\N
1007123	3439	1998-10-31	VYDAJ	VYBER	15	55585	SLUZBY	\N	\N
1007124	3439	1998-11-30	VYDAJ	VYBER	15	62092	SLUZBY	\N	\N
1007125	3439	1996-03-17	PRIJEM	VKLAD	4300	22714	\N	\N	\N
1007126	3439	1996-04-16	VYDAJ	VYBER	9400	31074	\N	\N	\N
1007127	3439	1996-05-16	VYDAJ	VYBER	15500	33400	\N	\N	\N
1007128	3439	1996-06-15	VYDAJ	VYBER	18300	41805	\N	\N	\N
1007129	3439	1996-07-15	VYDAJ	VYBER	18800	40877	\N	\N	\N
1007130	3439	1996-08-14	VYDAJ	VYBER	10600	34402	\N	\N	\N
1007131	3439	1996-09-13	VYDAJ	VYBER	8300	36414	\N	\N	\N
1007132	3439	1996-10-13	VYDAJ	VYBER	12700	34030	\N	\N	\N
1007133	3439	1996-11-12	VYDAJ	VYBER	5800	31242	\N	\N	\N
1007134	3439	1996-12-12	VYDAJ	VYBER	13800	36590	\N	\N	\N
1007135	3439	1997-01-11	VYDAJ	VYBER	10500	33904	\N	\N	\N
1007136	3439	1997-02-10	VYDAJ	VYBER	9400	33206	\N	\N	\N
1007137	3439	1997-03-12	VYDAJ	VYBER	13200	28006	\N	\N	\N
1007138	3439	1997-04-11	VYDAJ	VYBER	13100	25192	\N	\N	\N
1007139	3439	1997-05-11	VYDAJ	VYBER	9600	25865	\N	\N	\N
1007140	3439	1997-06-10	VYDAJ	VYBER	11200	29088	\N	\N	\N
1007141	3439	1997-07-10	VYDAJ	VYBER	11200	28165	\N	\N	\N
1007142	3439	1997-08-09	VYDAJ	VYBER	9000	29446	\N	\N	\N
1007143	3439	1997-09-08	VYDAJ	VYBER	9800	29928	\N	\N	\N
1007144	3439	1997-10-08	VYDAJ	VYBER	6400	21286	\N	\N	\N
1007145	3439	1997-11-07	VYDAJ	VYBER	5200	26331	\N	\N	\N
1007146	3439	1997-12-07	VYDAJ	VYBER	15400	30051	\N	\N	\N
1007147	3439	1998-01-06	PRIJEM	VKLAD	100	19417	\N	\N	\N
1007148	3439	1998-02-05	PRIJEM	VKLAD	1100	31247	\N	\N	\N
1007149	3439	1998-03-07	VYDAJ	VYBER	12700	39039	\N	\N	\N
1007150	3439	1998-04-06	PRIJEM	VKLAD	500	30488	\N	\N	\N
1007151	3439	1998-05-06	VYDAJ	VYBER	3900	32221	\N	\N	\N
1007152	3439	1998-06-05	VYDAJ	VYBER	6700	35880	\N	\N	\N
1007153	3439	1998-07-05	VYDAJ	VYBER	3700	45971	\N	\N	\N
1007154	3439	1998-08-04	VYDAJ	VYBER	12800	43554	\N	\N	\N
1007155	3439	1998-09-03	VYDAJ	VYBER	8400	45532	\N	\N	\N
1007156	3439	1998-10-03	VYDAJ	VYBER	6200	45204	\N	\N	\N
1007157	3439	1998-11-02	VYDAJ	VYBER	3900	51685	\N	\N	\N
1007158	3439	1998-12-02	VYDAJ	VYBER	9600	52492	\N	\N	\N
1007193	3440	1995-09-22	PRIJEM	VKLAD	500	500	\N	\N	\N
1007203	3440	1995-10-08	PRIJEM	VKLAD	17296	17796	\N	\N	\N
1007204	3440	1995-11-08	PRIJEM	VKLAD	17296	41124	\N	\N	\N
1007205	3440	1995-12-08	PRIJEM	VKLAD	25944	62284	\N	\N	\N
1007206	3440	1996-01-08	PRIJEM	VKLAD	17296	63746	\N	\N	\N
1007207	3440	1996-02-08	PRIJEM	VKLAD	17296	66039	\N	\N	\N
1007208	3440	1996-03-08	PRIJEM	VKLAD	17296	61012	\N	\N	\N
1007209	3440	1996-04-08	PRIJEM	VKLAD	17296	56781	\N	\N	\N
1007210	3440	1996-05-08	PRIJEM	VKLAD	17296	52030	\N	\N	\N
1007211	3440	1996-06-08	PRIJEM	VKLAD	25944	59009	\N	\N	\N
1007212	3440	1996-07-08	PRIJEM	VKLAD	17296	57263	\N	\N	\N
1007213	3440	1996-08-08	PRIJEM	VKLAD	17296	51210	\N	\N	\N
1007214	3440	1996-09-08	PRIJEM	VKLAD	17296	50237	\N	\N	\N
1007215	3440	1996-10-08	PRIJEM	VKLAD	17296	41856	\N	\N	\N
1007216	3440	1996-11-08	PRIJEM	VKLAD	17296	37749	\N	\N	\N
1007217	3440	1996-12-08	PRIJEM	VKLAD	25944	46175	\N	\N	\N
1007218	3440	1997-01-08	PRIJEM	VKLAD	17296	44571	\N	\N	\N
1007219	3440	1997-02-08	PRIJEM	VKLAD	17296	44070	\N	\N	\N
1007220	3440	1997-03-08	PRIJEM	VKLAD	17296	45973	\N	\N	\N
1007221	3440	1997-04-08	PRIJEM	VKLAD	17296	48385	\N	\N	\N
1007222	3440	1997-05-08	PRIJEM	VKLAD	17296	49805	\N	\N	\N
1007223	3440	1997-06-08	PRIJEM	VKLAD	25944	52674	\N	\N	\N
1007224	3440	1997-07-08	PRIJEM	VKLAD	17296	37175	\N	\N	\N
1007225	3440	1997-08-08	PRIJEM	VKLAD	17296	45383	\N	\N	\N
1007226	3440	1997-09-08	PRIJEM	VKLAD	17296	41980	\N	\N	\N
1007227	3440	1997-10-08	PRIJEM	VKLAD	17296	45377	\N	\N	\N
1007228	3440	1997-11-08	PRIJEM	VKLAD	17296	45176	\N	\N	\N
1007229	3440	1997-12-08	PRIJEM	VKLAD	25944	59339	\N	\N	\N
1007230	3440	1998-01-08	PRIJEM	VKLAD	17296	53782	\N	\N	\N
1007231	3440	1998-02-08	PRIJEM	VKLAD	17296	53715	\N	\N	\N
1007232	3440	1998-03-08	PRIJEM	VKLAD	17296	55457	\N	\N	\N
1007233	3440	1998-04-08	PRIJEM	VKLAD	17296	52798	\N	\N	\N
1007234	3440	1998-05-08	PRIJEM	VKLAD	17296	50926	\N	\N	\N
1007235	3440	1998-06-08	PRIJEM	VKLAD	25944	59193	\N	\N	\N
1007236	3440	1998-07-08	PRIJEM	VKLAD	17296	54927	\N	\N	\N
1007237	3440	1998-08-08	PRIJEM	VKLAD	17296	64184	\N	\N	\N
1007238	3440	1998-09-08	PRIJEM	VKLAD	17296	72981	\N	\N	\N
1007239	3440	1998-10-08	PRIJEM	VKLAD	17296	70608	\N	\N	\N
1007240	3440	1998-11-08	PRIJEM	VKLAD	17296	76436	\N	\N	\N
1007241	3440	1998-12-08	PRIJEM	VKLAD	25944	91335	\N	\N	\N
1007255	3440	1996-02-13	VYDAJ	PREVOD NA UCET	7623	58416	SIPO	GH	44665473
1007256	3440	1996-03-13	VYDAJ	PREVOD NA UCET	7623	53389	SIPO	GH	44665473
1007257	3440	1996-04-13	VYDAJ	PREVOD NA UCET	7623	49158	SIPO	GH	44665473
1007258	3440	1996-05-13	VYDAJ	PREVOD NA UCET	7623	44407	SIPO	GH	44665473
1007259	3440	1996-06-13	VYDAJ	PREVOD NA UCET	7623	51386	SIPO	GH	44665473
1007260	3440	1996-07-13	VYDAJ	PREVOD NA UCET	7623	49640	SIPO	GH	44665473
1007261	3440	1996-08-13	VYDAJ	PREVOD NA UCET	7623	42187	SIPO	GH	44665473
1007262	3440	1996-09-13	VYDAJ	PREVOD NA UCET	7623	42614	SIPO	GH	44665473
1007263	3440	1996-10-13	VYDAJ	PREVOD NA UCET	7623	34233	SIPO	GH	44665473
1007264	3440	1996-11-13	VYDAJ	PREVOD NA UCET	7623	30126	SIPO	GH	44665473
1007265	3440	1996-12-13	VYDAJ	PREVOD NA UCET	7623	38552	SIPO	GH	44665473
1007266	3440	1997-01-13	VYDAJ	PREVOD NA UCET	7623	36948	SIPO	GH	44665473
1007267	3440	1997-02-13	VYDAJ	PREVOD NA UCET	7623	36447	SIPO	GH	44665473
1007268	3440	1997-03-13	VYDAJ	PREVOD NA UCET	7623	38350	SIPO	GH	44665473
1007269	3440	1997-04-13	VYDAJ	PREVOD NA UCET	7623	40762	SIPO	GH	44665473
1007270	3440	1997-05-13	VYDAJ	PREVOD NA UCET	7623	42182	SIPO	GH	44665473
1007271	3440	1997-06-13	VYDAJ	PREVOD NA UCET	7623	32551	SIPO	GH	44665473
1007272	3440	1997-07-13	VYDAJ	PREVOD NA UCET	7623	30052	SIPO	GH	44665473
1007273	3440	1997-08-13	VYDAJ	PREVOD NA UCET	7623	28560	SIPO	GH	44665473
1007274	3440	1997-09-13	VYDAJ	PREVOD NA UCET	7623	30057	SIPO	GH	44665473
1007275	3440	1997-10-13	VYDAJ	PREVOD NA UCET	7623	29854	SIPO	GH	44665473
1007276	3440	1997-11-13	VYDAJ	PREVOD NA UCET	7623	35353	SIPO	GH	44665473
1007277	3440	1997-12-13	VYDAJ	PREVOD NA UCET	7623	42716	SIPO	GH	44665473
1007278	3440	1998-01-13	VYDAJ	PREVOD NA UCET	7623	38359	SIPO	GH	44665473
1007279	3440	1998-02-13	VYDAJ	PREVOD NA UCET	7623	40092	SIPO	GH	44665473
1007280	3440	1998-03-13	VYDAJ	PREVOD NA UCET	7623	40134	SIPO	GH	44665473
1007281	3440	1998-04-13	VYDAJ	PREVOD NA UCET	7623	38075	SIPO	GH	44665473
1007282	3440	1998-05-13	VYDAJ	PREVOD NA UCET	7623	35203	SIPO	GH	44665473
1007283	3440	1998-06-13	VYDAJ	PREVOD NA UCET	7623	40070	SIPO	GH	44665473
1007284	3440	1998-07-13	VYDAJ	PREVOD NA UCET	7623	45904	SIPO	GH	44665473
1007285	3440	1998-08-13	VYDAJ	PREVOD NA UCET	7623	56561	SIPO	GH	44665473
1007286	3440	1998-09-13	VYDAJ	PREVOD NA UCET	7623	65358	SIPO	GH	44665473
1007287	3440	1998-10-13	VYDAJ	PREVOD NA UCET	7623	62985	SIPO	GH	44665473
1007288	3440	1998-11-13	VYDAJ	PREVOD NA UCET	7623	68813	SIPO	GH	44665473
1007289	3440	1998-12-13	VYDAJ	PREVOD NA UCET	7623	83712	SIPO	GH	44665473
1007304	3440	1996-03-06	VYDAJ	PREVOD NA UCET	2066	43741	 	UV	62948483
1007305	3440	1996-04-06	VYDAJ	PREVOD NA UCET	2066	39510	 	UV	62948483
1007306	3440	1996-05-06	VYDAJ	PREVOD NA UCET	2066	34759	 	UV	62948483
1007307	3440	1996-06-06	VYDAJ	PREVOD NA UCET	2066	33090	 	UV	62948483
1007308	3440	1996-07-06	VYDAJ	PREVOD NA UCET	2066	39992	 	UV	62948483
1007309	3440	1996-08-06	VYDAJ	PREVOD NA UCET	2066	33939	 	UV	62948483
1007310	3440	1996-09-06	VYDAJ	PREVOD NA UCET	2066	32966	 	UV	62948483
1007311	3440	1996-10-06	VYDAJ	PREVOD NA UCET	2066	24585	 	UV	62948483
1007312	3440	1996-11-06	VYDAJ	PREVOD NA UCET	2066	20478	 	UV	62948483
1007313	3440	1996-12-06	VYDAJ	PREVOD NA UCET	2066	20256	 	UV	62948483
1007314	3440	1997-01-06	VYDAJ	PREVOD NA UCET	2066	27300	 	UV	62948483
1007315	3440	1997-02-06	VYDAJ	PREVOD NA UCET	2066	26799	 	UV	62948483
1007316	3440	1997-03-06	VYDAJ	PREVOD NA UCET	2066	28702	 	UV	62948483
1007317	3440	1997-04-06	VYDAJ	PREVOD NA UCET	2066	31114	 	UV	62948483
1007318	3440	1997-05-06	VYDAJ	PREVOD NA UCET	2066	32534	 	UV	62948483
1007319	3440	1997-06-06	VYDAJ	PREVOD NA UCET	2066	26755	 	UV	62948483
1007320	3440	1997-07-06	VYDAJ	PREVOD NA UCET	2066	19904	 	UV	62948483
1007321	3440	1997-08-06	VYDAJ	PREVOD NA UCET	2066	28112	 	UV	62948483
1007322	3440	1997-09-06	VYDAJ	PREVOD NA UCET	2066	26609	 	UV	62948483
1007323	3440	1997-10-06	VYDAJ	PREVOD NA UCET	2066	28106	 	UV	62948483
1007324	3440	1997-11-06	VYDAJ	PREVOD NA UCET	2066	27905	 	UV	62948483
1007325	3440	1997-12-06	VYDAJ	PREVOD NA UCET	2066	33420	 	UV	62948483
1007326	3440	1998-01-06	VYDAJ	PREVOD NA UCET	2066	36511	 	UV	62948483
1007327	3440	1998-02-06	VYDAJ	PREVOD NA UCET	2066	36444	 	UV	62948483
1007328	3440	1998-03-06	VYDAJ	PREVOD NA UCET	2066	38186	 	UV	62948483
1007329	3440	1998-04-06	VYDAJ	PREVOD NA UCET	2066	35527	 	UV	62948483
1007330	3440	1998-05-06	VYDAJ	PREVOD NA UCET	2066	33655	 	UV	62948483
1007331	3440	1998-06-06	VYDAJ	PREVOD NA UCET	2066	33274	 	UV	62948483
1007332	3440	1998-07-06	VYDAJ	PREVOD NA UCET	2066	37656	 	UV	62948483
1007333	3440	1998-08-06	VYDAJ	PREVOD NA UCET	2066	44013	 	UV	62948483
1007334	3440	1998-09-06	VYDAJ	PREVOD NA UCET	2066	55710	 	UV	62948483
1007335	3440	1998-10-06	VYDAJ	PREVOD NA UCET	2066	53337	 	UV	62948483
1007336	3440	1998-11-06	VYDAJ	PREVOD NA UCET	2066	59165	 	UV	62948483
1007337	3440	1998-12-06	VYDAJ	PREVOD NA UCET	2066	65416	 	UV	62948483
1007352	3440	1996-03-07	VYDAJ	PREVOD NA UCET	20	43716	POJISTNE	MN	47094911
1007353	3440	1996-04-07	VYDAJ	PREVOD NA UCET	20	39490	POJISTNE	MN	47094911
1007354	3440	1996-05-07	VYDAJ	PREVOD NA UCET	20	34739	POJISTNE	MN	47094911
1007355	3440	1996-06-07	VYDAJ	PREVOD NA UCET	20	33070	POJISTNE	MN	47094911
1007356	3440	1996-07-07	VYDAJ	PREVOD NA UCET	20	39972	POJISTNE	MN	47094911
1007357	3440	1996-08-07	VYDAJ	PREVOD NA UCET	20	33919	POJISTNE	MN	47094911
1007358	3440	1996-09-07	VYDAJ	PREVOD NA UCET	20	32941	POJISTNE	MN	47094911
1007359	3440	1996-10-07	VYDAJ	PREVOD NA UCET	20	24560	POJISTNE	MN	47094911
1007360	3440	1996-11-07	VYDAJ	PREVOD NA UCET	20	20458	POJISTNE	MN	47094911
1007361	3440	1996-12-07	VYDAJ	PREVOD NA UCET	20	20231	POJISTNE	MN	47094911
1007362	3440	1997-01-07	VYDAJ	PREVOD NA UCET	20	27280	POJISTNE	MN	47094911
1007363	3440	1997-02-07	VYDAJ	PREVOD NA UCET	20	26779	POJISTNE	MN	47094911
1007364	3440	1997-03-07	VYDAJ	PREVOD NA UCET	20	28682	POJISTNE	MN	47094911
1007365	3440	1997-04-07	VYDAJ	PREVOD NA UCET	20	31094	POJISTNE	MN	47094911
1007366	3440	1997-05-07	VYDAJ	PREVOD NA UCET	20	32514	POJISTNE	MN	47094911
1007367	3440	1997-06-07	VYDAJ	PREVOD NA UCET	20	26730	POJISTNE	MN	47094911
1007368	3440	1997-07-07	VYDAJ	PREVOD NA UCET	20	19884	POJISTNE	MN	47094911
1007369	3440	1997-08-07	VYDAJ	PREVOD NA UCET	20	28087	POJISTNE	MN	47094911
1007370	3440	1997-09-07	VYDAJ	PREVOD NA UCET	20	24684	POJISTNE	MN	47094911
1007371	3440	1997-10-07	VYDAJ	PREVOD NA UCET	20	28081	POJISTNE	MN	47094911
1007372	3440	1997-11-07	VYDAJ	PREVOD NA UCET	20	27885	POJISTNE	MN	47094911
1007373	3440	1997-12-07	VYDAJ	PREVOD NA UCET	20	33400	POJISTNE	MN	47094911
1007374	3440	1998-01-07	VYDAJ	PREVOD NA UCET	20	36486	POJISTNE	MN	47094911
1007375	3440	1998-02-07	VYDAJ	PREVOD NA UCET	20	36419	POJISTNE	MN	47094911
1007376	3440	1998-03-07	VYDAJ	PREVOD NA UCET	20	38161	POJISTNE	MN	47094911
1007377	3440	1998-04-07	VYDAJ	PREVOD NA UCET	20	35507	POJISTNE	MN	47094911
1007378	3440	1998-05-07	VYDAJ	PREVOD NA UCET	20	33630	POJISTNE	MN	47094911
1007379	3440	1998-06-07	VYDAJ	PREVOD NA UCET	20	33249	POJISTNE	MN	47094911
1007380	3440	1998-07-07	VYDAJ	PREVOD NA UCET	20	37636	POJISTNE	MN	47094911
1007381	3440	1998-08-07	VYDAJ	PREVOD NA UCET	20	46888	POJISTNE	MN	47094911
1007382	3440	1998-09-07	VYDAJ	PREVOD NA UCET	20	55685	POJISTNE	MN	47094911
1007383	3440	1998-10-07	VYDAJ	PREVOD NA UCET	20	53312	POJISTNE	MN	47094911
1007384	3440	1998-11-07	VYDAJ	PREVOD NA UCET	20	59145	POJISTNE	MN	47094911
1007385	3440	1998-12-07	VYDAJ	PREVOD NA UCET	20	65391	POJISTNE	MN	47094911
1007400	3440	1996-03-07	VYDAJ	PREVOD NA UCET	5	43736	 	AB	76361179
1007401	3440	1996-04-07	VYDAJ	PREVOD NA UCET	5	39485	 	AB	76361179
1007402	3440	1996-05-07	VYDAJ	PREVOD NA UCET	5	34734	 	AB	76361179
1007403	3440	1996-06-07	VYDAJ	PREVOD NA UCET	5	33065	 	AB	76361179
1007404	3440	1996-07-07	VYDAJ	PREVOD NA UCET	5	39967	 	AB	76361179
1007405	3440	1996-08-07	VYDAJ	PREVOD NA UCET	5	33914	 	AB	76361179
1007406	3440	1996-09-07	VYDAJ	PREVOD NA UCET	5	32961	 	AB	76361179
1007407	3440	1996-10-07	VYDAJ	PREVOD NA UCET	5	24580	 	AB	76361179
1007408	3440	1996-11-07	VYDAJ	PREVOD NA UCET	5	20453	 	AB	76361179
1007409	3440	1996-12-07	VYDAJ	PREVOD NA UCET	5	20251	 	AB	76361179
1007410	3440	1997-01-07	VYDAJ	PREVOD NA UCET	5	27275	 	AB	76361179
1007411	3440	1997-02-07	VYDAJ	PREVOD NA UCET	5	26774	 	AB	76361179
1007412	3440	1997-03-07	VYDAJ	PREVOD NA UCET	5	28677	 	AB	76361179
1007413	3440	1997-04-07	VYDAJ	PREVOD NA UCET	5	31089	 	AB	76361179
1007414	3440	1997-05-07	VYDAJ	PREVOD NA UCET	5	32509	 	AB	76361179
1007415	3440	1997-06-07	VYDAJ	PREVOD NA UCET	5	26750	 	AB	76361179
1007416	3440	1997-07-07	VYDAJ	PREVOD NA UCET	5	19879	 	AB	76361179
1007417	3440	1997-08-07	VYDAJ	PREVOD NA UCET	5	28107	 	AB	76361179
1007418	3440	1997-09-07	VYDAJ	PREVOD NA UCET	5	26604	 	AB	76361179
1007419	3440	1997-10-07	VYDAJ	PREVOD NA UCET	5	28101	 	AB	76361179
1007420	3440	1997-11-07	VYDAJ	PREVOD NA UCET	5	27880	 	AB	76361179
1007421	3440	1997-12-07	VYDAJ	PREVOD NA UCET	5	33395	 	AB	76361179
1007422	3440	1998-01-07	VYDAJ	PREVOD NA UCET	5	36506	 	AB	76361179
1007423	3440	1998-02-07	VYDAJ	PREVOD NA UCET	5	36439	 	AB	76361179
1007424	3440	1998-03-07	VYDAJ	PREVOD NA UCET	5	38181	 	AB	76361179
1007425	3440	1998-04-07	VYDAJ	PREVOD NA UCET	5	35502	 	AB	76361179
1007426	3440	1998-05-07	VYDAJ	PREVOD NA UCET	5	33650	 	AB	76361179
1007427	3440	1998-06-07	VYDAJ	PREVOD NA UCET	5	33269	 	AB	76361179
1007428	3440	1998-07-07	VYDAJ	PREVOD NA UCET	5	37631	 	AB	76361179
1007429	3440	1998-08-07	VYDAJ	PREVOD NA UCET	5	46908	 	AB	76361179
1007430	3440	1998-09-07	VYDAJ	PREVOD NA UCET	5	55705	 	AB	76361179
1007431	3440	1998-10-07	VYDAJ	PREVOD NA UCET	5	53332	 	AB	76361179
1007432	3440	1998-11-07	VYDAJ	PREVOD NA UCET	5	59140	 	AB	76361179
1007433	3440	1998-12-07	VYDAJ	PREVOD NA UCET	5	65411	 	AB	76361179
1007436	3440	1997-06-22	VYDAJ	VYBER	6500	21851	\N	\N	\N
1007437	3440	1998-06-10	VYDAJ	VYBER	3500	47693	\N	\N	\N
1007439	3440	1996-12-02	VYDAJ	VYBER	700	22322	\N	\N	\N
1007440	3440	1997-12-28	VYDAJ	VYBER	2500	40216	\N	\N	\N
1007441	3440	1998-12-27	VYDAJ	VYBER	2600	81112	\N	\N	\N
1007445	3440	1996-10-13	VYDAJ	VYBER	2900	31333	\N	\N	\N
1007446	3440	1996-10-04	VYDAJ	VYBER	4900	26651	\N	\N	\N
1007447	3440	1996-07-29	VYDAJ	VYBER	600	35840	\N	\N	\N
1007448	3440	1996-10-31	VYDAJ	VYBER	4100	22544	\N	\N	\N
1007449	3440	1996-08-09	VYDAJ	VYBER	1400	49810	\N	\N	\N
1007450	3440	1996-05-16	VYDAJ	VYBER	4600	39807	\N	\N	\N
1007451	3440	1997-06-04	VYDAJ	VYBER	1900	32321	\N	\N	\N
1007452	3440	1997-06-21	VYDAJ	VYBER	4200	28351	\N	\N	\N
1007453	3440	1997-09-07	VYDAJ	VYBER	1900	24704	\N	\N	\N
1007454	3440	1997-06-05	VYDAJ	VYBER	3500	28821	\N	\N	\N
1007455	3440	1998-09-19	VYDAJ	VYBER	3400	61958	\N	\N	\N
1007456	3440	1998-04-22	VYDAJ	VYBER	2500	35575	\N	\N	\N
1007457	3440	1998-01-01	VYDAJ	VYBER	1800	38577	\N	\N	\N
1007458	3440	1998-05-08	VYDAJ	VYBER	4600	46326	\N	\N	\N
1007459	3440	1998-06-28	VYDAJ	VYBER	500	39570	\N	\N	\N
1007460	3440	1998-04-06	VYDAJ	VYBER	2700	37593	\N	\N	\N
1007461	3440	1998-09-26	VYDAJ	VYBER	3400	58558	\N	\N	\N
1007476	3440	1996-02-29	VYDAJ	VYBER	15	45807	SLUZBY	\N	\N
1007477	3440	1996-03-31	VYDAJ	VYBER	15	41576	SLUZBY	\N	\N
1007478	3440	1996-04-30	VYDAJ	VYBER	15	36825	SLUZBY	\N	\N
1007479	3440	1996-05-31	VYDAJ	VYBER	15	35156	SLUZBY	\N	\N
1007480	3440	1996-06-30	VYDAJ	VYBER	15	42058	SLUZBY	\N	\N
1007481	3440	1996-07-31	VYDAJ	VYBER	15	36005	SLUZBY	\N	\N
1007482	3440	1996-08-31	VYDAJ	VYBER	15	35032	SLUZBY	\N	\N
1007483	3440	1996-09-30	VYDAJ	VYBER	15	31551	SLUZBY	\N	\N
1007484	3440	1996-10-31	VYDAJ	VYBER	15	26644	SLUZBY	\N	\N
1007485	3440	1996-11-30	VYDAJ	VYBER	15	23022	SLUZBY	\N	\N
1007486	3440	1996-12-31	VYDAJ	VYBER	15	29366	SLUZBY	\N	\N
1007487	3440	1997-01-31	VYDAJ	VYBER	15	28865	SLUZBY	\N	\N
1007488	3440	1997-02-28	VYDAJ	VYBER	15	30768	SLUZBY	\N	\N
1007489	3440	1997-03-31	VYDAJ	VYBER	15	33180	SLUZBY	\N	\N
1007490	3440	1997-04-30	VYDAJ	VYBER	15	34600	SLUZBY	\N	\N
1007491	3440	1997-05-31	VYDAJ	VYBER	15	34221	SLUZBY	\N	\N
1007492	3440	1997-06-30	VYDAJ	VYBER	15	21970	SLUZBY	\N	\N
1007493	3440	1997-07-31	VYDAJ	VYBER	15	30178	SLUZBY	\N	\N
1007494	3440	1997-08-31	VYDAJ	VYBER	15	28675	SLUZBY	\N	\N
1007495	3440	1997-09-30	VYDAJ	VYBER	15	30172	SLUZBY	\N	\N
1007496	3440	1997-10-31	VYDAJ	VYBER	15	29971	SLUZBY	\N	\N
1007497	3440	1997-11-30	VYDAJ	VYBER	15	35486	SLUZBY	\N	\N
1007498	3440	1997-12-31	VYDAJ	VYBER	15	40377	SLUZBY	\N	\N
1007499	3440	1998-01-31	VYDAJ	VYBER	15	38510	SLUZBY	\N	\N
1007500	3440	1998-02-28	VYDAJ	VYBER	15	40252	SLUZBY	\N	\N
1007501	3440	1998-03-31	VYDAJ	VYBER	15	40293	SLUZBY	\N	\N
1007502	3440	1998-04-30	VYDAJ	VYBER	15	35721	SLUZBY	\N	\N
1007503	3440	1998-05-31	VYDAJ	VYBER	15	35340	SLUZBY	\N	\N
1007504	3440	1998-06-30	VYDAJ	VYBER	15	39722	SLUZBY	\N	\N
1007505	3440	1998-07-31	VYDAJ	VYBER	15	46079	SLUZBY	\N	\N
1007506	3440	1998-08-31	VYDAJ	VYBER	15	56776	SLUZBY	\N	\N
1007507	3440	1998-09-30	VYDAJ	VYBER	15	58803	SLUZBY	\N	\N
1007508	3440	1998-10-31	VYDAJ	VYBER	15	63231	SLUZBY	\N	\N
1007509	3440	1998-11-30	VYDAJ	VYBER	15	69082	SLUZBY	\N	\N
1007510	3440	1995-10-22	PRIJEM	VKLAD	6000	23796	\N	\N	\N
1007511	3440	1995-11-21	VYDAJ	VYBER	4900	36224	\N	\N	\N
1007512	3440	1995-12-21	VYDAJ	VYBER	16000	46284	\N	\N	\N
1007513	3440	1996-01-20	VYDAJ	VYBER	15200	48546	\N	\N	\N
1007514	3440	1996-02-19	VYDAJ	VYBER	12800	45616	\N	\N	\N
1007515	3440	1996-03-20	VYDAJ	VYBER	12000	41389	\N	\N	\N
1007516	3440	1996-04-19	VYDAJ	VYBER	12500	36658	\N	\N	\N
1007517	3440	1996-05-19	VYDAJ	VYBER	4800	35007	\N	\N	\N
1007518	3440	1996-06-18	VYDAJ	VYBER	9500	41886	\N	\N	\N
1007519	3440	1996-07-18	VYDAJ	VYBER	13200	36440	\N	\N	\N
1007520	3440	1996-08-17	VYDAJ	VYBER	7300	34887	\N	\N	\N
1007521	3440	1996-09-16	VYDAJ	VYBER	11200	31414	\N	\N	\N
1007522	3440	1996-10-16	VYDAJ	VYBER	4800	26533	\N	\N	\N
1007523	3440	1996-11-15	VYDAJ	VYBER	7200	22926	\N	\N	\N
1007524	3440	1996-12-15	VYDAJ	VYBER	9300	29252	\N	\N	\N
1007525	3440	1997-01-14	VYDAJ	VYBER	8200	28748	\N	\N	\N
1007526	3440	1997-02-13	VYDAJ	VYBER	5800	30647	\N	\N	\N
1007527	3440	1997-03-15	VYDAJ	VYBER	5300	33050	\N	\N	\N
1007528	3440	1997-04-14	VYDAJ	VYBER	6300	34462	\N	\N	\N
1007529	3440	1997-05-14	VYDAJ	VYBER	8100	34082	\N	\N	\N
1007530	3440	1997-06-13	VYDAJ	VYBER	12500	40174	\N	\N	\N
1007531	3440	1997-07-13	PRIJEM	VKLAD	500	37675	\N	\N	\N
1007532	3440	1997-08-12	VYDAJ	VYBER	9200	36183	\N	\N	\N
1007533	3440	1997-09-11	VYDAJ	VYBER	4300	37680	\N	\N	\N
1007534	3440	1997-10-11	VYDAJ	VYBER	7900	37477	\N	\N	\N
1007535	3440	1997-11-10	VYDAJ	VYBER	2200	42976	\N	\N	\N
1007536	3440	1997-12-10	VYDAJ	VYBER	9000	50339	\N	\N	\N
1007537	3440	1998-01-09	VYDAJ	VYBER	7800	45982	\N	\N	\N
1007538	3440	1998-02-08	VYDAJ	VYBER	6000	47715	\N	\N	\N
1007539	3440	1998-03-10	VYDAJ	VYBER	7700	47757	\N	\N	\N
1007540	3440	1998-04-09	VYDAJ	VYBER	7100	45698	\N	\N	\N
1007541	3440	1998-05-09	VYDAJ	VYBER	3500	42826	\N	\N	\N
1007542	3440	1998-06-08	VYDAJ	VYBER	8000	51193	\N	\N	\N
1007543	3440	1998-07-08	VYDAJ	VYBER	1400	53527	\N	\N	\N
1007544	3440	1998-08-07	PRIJEM	VKLAD	2900	46913	\N	\N	\N
1007545	3440	1998-09-06	PRIJEM	VKLAD	1000	57776	\N	\N	\N
1007546	3440	1998-10-06	VYDAJ	VYBER	3400	55403	\N	\N	\N
1007547	3440	1998-11-05	VYDAJ	VYBER	2000	61231	\N	\N	\N
1007548	3440	1998-12-05	VYDAJ	VYBER	1600	67482	\N	\N	\N
1008103	3442	1996-01-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1008105	3442	1996-02-13	PRIJEM	PREVOD Z UCTU	3345	4245	\N	MN	43728011
1008106	3442	1996-03-13	PRIJEM	PREVOD Z UCTU	3345	7590	\N	MN	43728011
1008107	3442	1996-04-13	PRIJEM	PREVOD Z UCTU	3345	10935	\N	MN	43728011
1008108	3442	1996-05-13	PRIJEM	PREVOD Z UCTU	3345	14280	\N	MN	43728011
1008109	3442	1996-06-13	PRIJEM	PREVOD Z UCTU	3345	17625	\N	MN	43728011
1008110	3442	1996-07-13	PRIJEM	PREVOD Z UCTU	3345	18728	\N	MN	43728011
1008111	3442	1996-08-13	PRIJEM	PREVOD Z UCTU	3345	18401	\N	MN	43728011
1008112	3442	1996-09-13	PRIJEM	PREVOD Z UCTU	3345	19426	\N	MN	43728011
1008113	3442	1996-10-13	PRIJEM	PREVOD Z UCTU	3345	17775	\N	MN	43728011
1008114	3442	1996-11-13	PRIJEM	PREVOD Z UCTU	3345	15450	\N	MN	43728011
1008115	3442	1996-12-13	PRIJEM	PREVOD Z UCTU	3345	16439	\N	MN	43728011
1008116	3442	1997-01-13	PRIJEM	PREVOD Z UCTU	3345	11505	\N	MN	43728011
1008117	3442	1997-02-13	PRIJEM	PREVOD Z UCTU	3345	12656	\N	MN	43728011
1008118	3442	1997-03-13	PRIJEM	PREVOD Z UCTU	3345	13807	\N	MN	43728011
1008119	3442	1997-04-13	PRIJEM	PREVOD Z UCTU	3345	14963	\N	MN	43728011
1008120	3442	1997-05-13	PRIJEM	PREVOD Z UCTU	3345	16124	\N	MN	43728011
1008121	3442	1997-06-13	PRIJEM	PREVOD Z UCTU	3345	14980	\N	MN	43728011
1008122	3442	1997-07-13	PRIJEM	PREVOD Z UCTU	3345	15841	\N	MN	43728011
1008123	3442	1997-08-13	PRIJEM	PREVOD Z UCTU	3345	17006	\N	MN	43728011
1008124	3442	1997-09-13	PRIJEM	PREVOD Z UCTU	3345	17064	\N	MN	43728011
1008125	3442	1997-10-13	PRIJEM	PREVOD Z UCTU	3345	18234	\N	MN	43728011
1008126	3442	1997-11-13	PRIJEM	PREVOD Z UCTU	3345	18958	\N	MN	43728011
1008236	3442	1997-02-28	VYDAJ	VYBER	15	12692	SLUZBY	\N	\N
1008127	3442	1997-12-13	PRIJEM	PREVOD Z UCTU	3345	20136	\N	MN	43728011
1008128	3442	1998-01-13	PRIJEM	PREVOD Z UCTU	3345	19697	\N	MN	43728011
1008129	3442	1998-02-13	PRIJEM	PREVOD Z UCTU	3345	18083	\N	MN	43728011
1008130	3442	1998-03-13	PRIJEM	PREVOD Z UCTU	3345	19257	\N	MN	43728011
1008131	3442	1998-04-13	PRIJEM	PREVOD Z UCTU	3345	20435	\N	MN	43728011
1008132	3442	1998-05-13	PRIJEM	PREVOD Z UCTU	3345	20268	\N	MN	43728011
1008133	3442	1998-06-13	PRIJEM	PREVOD Z UCTU	3345	19892	\N	MN	43728011
1008134	3442	1998-07-13	PRIJEM	PREVOD Z UCTU	3345	20024	\N	MN	43728011
1008135	3442	1998-08-13	PRIJEM	PREVOD Z UCTU	3345	21206	\N	MN	43728011
1008136	3442	1998-09-13	PRIJEM	PREVOD Z UCTU	3345	21340	\N	MN	43728011
1008137	3442	1998-10-13	PRIJEM	PREVOD Z UCTU	3345	22527	\N	MN	43728011
1008138	3442	1998-11-13	PRIJEM	PREVOD Z UCTU	3345	23719	\N	MN	43728011
1008139	3442	1998-12-13	PRIJEM	PREVOD Z UCTU	3345	24706	\N	MN	43728011
1008146	3442	1996-07-11	VYDAJ	PREVOD NA UCET	2230	15383	SIPO	GH	78622638
1008147	3442	1996-08-11	VYDAJ	PREVOD NA UCET	2230	15056	SIPO	GH	78622638
1008148	3442	1996-09-11	VYDAJ	PREVOD NA UCET	2230	16081	SIPO	GH	78622638
1008149	3442	1996-10-11	VYDAJ	PREVOD NA UCET	2230	15730	SIPO	GH	78622638
1008150	3442	1996-11-11	VYDAJ	PREVOD NA UCET	2230	15605	SIPO	GH	78622638
1008151	3442	1996-12-11	VYDAJ	PREVOD NA UCET	2230	13094	SIPO	GH	78622638
1008152	3442	1997-01-11	VYDAJ	PREVOD NA UCET	2230	8160	SIPO	GH	78622638
1008153	3442	1997-02-11	VYDAJ	PREVOD NA UCET	2230	9311	SIPO	GH	78622638
1008154	3442	1997-03-11	VYDAJ	PREVOD NA UCET	2230	10462	SIPO	GH	78622638
1008155	3442	1997-04-11	VYDAJ	PREVOD NA UCET	2230	11618	SIPO	GH	78622638
1008156	3442	1997-05-11	VYDAJ	PREVOD NA UCET	2230	12779	SIPO	GH	78622638
1008157	3442	1997-06-11	VYDAJ	PREVOD NA UCET	2230	11635	SIPO	GH	78622638
1008158	3442	1997-07-11	VYDAJ	PREVOD NA UCET	2230	12496	SIPO	GH	78622638
1008159	3442	1997-08-11	VYDAJ	PREVOD NA UCET	2230	13661	SIPO	GH	78622638
1008160	3442	1997-09-11	VYDAJ	PREVOD NA UCET	2230	13719	SIPO	GH	78622638
1008161	3442	1997-10-11	VYDAJ	PREVOD NA UCET	2230	14889	SIPO	GH	78622638
1008162	3442	1997-11-11	VYDAJ	PREVOD NA UCET	2230	16063	SIPO	GH	78622638
1008163	3442	1997-12-11	VYDAJ	PREVOD NA UCET	2230	16791	SIPO	GH	78622638
1008164	3442	1998-01-11	VYDAJ	PREVOD NA UCET	2230	16352	SIPO	GH	78622638
1008165	3442	1998-02-11	VYDAJ	PREVOD NA UCET	2230	14738	SIPO	GH	78622638
1008166	3442	1998-03-11	VYDAJ	PREVOD NA UCET	2230	15912	SIPO	GH	78622638
1008167	3442	1998-04-11	VYDAJ	PREVOD NA UCET	2230	17090	SIPO	GH	78622638
1008168	3442	1998-05-11	VYDAJ	PREVOD NA UCET	2230	16923	SIPO	GH	78622638
1008169	3442	1998-06-11	VYDAJ	PREVOD NA UCET	2230	16547	SIPO	GH	78622638
1008170	3442	1998-07-11	VYDAJ	PREVOD NA UCET	2230	16679	SIPO	GH	78622638
1008171	3442	1998-08-11	VYDAJ	PREVOD NA UCET	2230	17861	SIPO	GH	78622638
1008172	3442	1998-09-11	VYDAJ	PREVOD NA UCET	2230	17995	SIPO	GH	78622638
1008173	3442	1998-10-11	VYDAJ	PREVOD NA UCET	2230	19182	SIPO	GH	78622638
1008174	3442	1998-11-11	VYDAJ	PREVOD NA UCET	2230	20374	SIPO	GH	78622638
1008175	3442	1998-12-11	VYDAJ	PREVOD NA UCET	2230	21361	SIPO	GH	78622638
1008178	3442	1998-06-04	VYDAJ	VYBER	1560	18777	\N	\N	\N
1008180	3442	1997-01-07	VYDAJ	VYBER	1380	12980	\N	\N	\N
1008181	3442	1998-01-24	VYDAJ	VYBER	1170	16907	\N	\N	\N
1008182	3442	1996-12-10	VYDAJ	VYBER	180	15324	\N	\N	\N
1008183	3442	1997-12-16	VYDAJ	VYBER	690	19446	\N	\N	\N
1008184	3442	1998-12-15	VYDAJ	VYBER	870	23836	\N	\N	\N
1008191	3442	1997-01-05	VYDAJ	VYBER	570	14360	\N	\N	\N
1008192	3442	1997-01-03	VYDAJ	VYBER	750	15740	\N	\N	\N
1008194	3442	1997-01-04	VYDAJ	VYBER	810	14930	\N	\N	\N
1008195	3442	1997-01-08	VYDAJ	VYBER	390	12590	\N	\N	\N
1008197	3442	1998-01-21	VYDAJ	VYBER	270	18077	\N	\N	\N
1008198	3442	1998-01-09	VYDAJ	VYBER	690	18582	\N	\N	\N
1008199	3442	1998-01-13	VYDAJ	VYBER	360	18677	\N	\N	\N
1008200	3442	1998-01-13	VYDAJ	VYBER	660	19037	\N	\N	\N
1008201	3442	1998-01-08	VYDAJ	VYBER	240	19272	\N	\N	\N
1008202	3442	1998-01-17	VYDAJ	VYBER	330	18347	\N	\N	\N
1008203	3442	1996-10-04	VYDAJ	VYBER	390	18830	\N	\N	\N
1008204	3442	1996-09-09	VYDAJ	VYBER	150	18311	\N	\N	\N
1008206	3442	1996-10-10	VYDAJ	VYBER	870	17960	\N	\N	\N
1008208	3442	1996-09-21	VYDAJ	VYBER	270	19156	\N	\N	\N
1008209	3442	1997-06-05	VYDAJ	VYBER	1200	13865	\N	\N	\N
1008212	3442	1997-08-26	VYDAJ	VYBER	1110	15896	\N	\N	\N
1008213	3442	1997-05-30	VYDAJ	VYBER	1110	15014	\N	\N	\N
1008214	3442	1997-06-24	VYDAJ	VYBER	300	14680	\N	\N	\N
1008215	3442	1997-11-12	VYDAJ	VYBER	450	15613	\N	\N	\N
1008216	3442	1998-12-17	VYDAJ	VYBER	1470	22366	\N	\N	\N
1008217	3442	1998-12-02	VYDAJ	VYBER	210	23591	\N	\N	\N
1008218	3442	1998-05-09	VYDAJ	VYBER	1200	19153	\N	\N	\N
1008219	3442	1998-08-16	VYDAJ	VYBER	1050	20156	\N	\N	\N
1008220	3442	1998-04-13	VYDAJ	VYBER	150	20285	\N	\N	\N
1008221	3442	1998-06-27	VYDAJ	VYBER	1050	18842	\N	\N	\N
1008228	3442	1996-06-30	VYDAJ	VYBER	15	17613	SLUZBY	\N	\N
1008229	3442	1996-07-31	VYDAJ	VYBER	15	17286	SLUZBY	\N	\N
1008230	3442	1996-08-31	VYDAJ	VYBER	15	18461	SLUZBY	\N	\N
1008231	3442	1996-09-30	VYDAJ	VYBER	15	19220	SLUZBY	\N	\N
1008232	3442	1996-10-31	VYDAJ	VYBER	15	17835	SLUZBY	\N	\N
1008233	3442	1996-11-30	VYDAJ	VYBER	15	15504	SLUZBY	\N	\N
1008234	3442	1996-12-31	VYDAJ	VYBER	15	16490	SLUZBY	\N	\N
1008235	3442	1997-01-31	VYDAJ	VYBER	15	11541	SLUZBY	\N	\N
1008237	3442	1997-03-31	VYDAJ	VYBER	15	13848	SLUZBY	\N	\N
1008238	3442	1997-04-30	VYDAJ	VYBER	15	15009	SLUZBY	\N	\N
1008239	3442	1997-05-31	VYDAJ	VYBER	15	15065	SLUZBY	\N	\N
1008240	3442	1997-06-30	VYDAJ	VYBER	15	14726	SLUZBY	\N	\N
1008241	3442	1997-07-31	VYDAJ	VYBER	15	15891	SLUZBY	\N	\N
1008242	3442	1997-08-31	VYDAJ	VYBER	15	15949	SLUZBY	\N	\N
1008243	3442	1997-09-30	VYDAJ	VYBER	15	17119	SLUZBY	\N	\N
1008244	3442	1997-10-31	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
1008245	3442	1997-11-30	VYDAJ	VYBER	15	19021	SLUZBY	\N	\N
1008246	3442	1997-12-31	VYDAJ	VYBER	15	19512	SLUZBY	\N	\N
1008247	3442	1998-01-31	VYDAJ	VYBER	15	16968	SLUZBY	\N	\N
1008248	3442	1998-02-28	VYDAJ	VYBER	15	18142	SLUZBY	\N	\N
1008249	3442	1998-03-31	VYDAJ	VYBER	15	19320	SLUZBY	\N	\N
1008250	3442	1998-04-30	VYDAJ	VYBER	15	20353	SLUZBY	\N	\N
1008251	3442	1998-05-31	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
1008252	3442	1998-06-30	VYDAJ	VYBER	15	18909	SLUZBY	\N	\N
1008253	3442	1998-07-31	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
1008254	3442	1998-08-31	VYDAJ	VYBER	15	20225	SLUZBY	\N	\N
1008255	3442	1998-09-30	VYDAJ	VYBER	15	21412	SLUZBY	\N	\N
1008256	3442	1998-10-31	VYDAJ	VYBER	15	22604	SLUZBY	\N	\N
1008257	3442	1998-11-30	VYDAJ	VYBER	15	23801	SLUZBY	\N	\N
1008258	3442	1996-07-14	VYDAJ	VYBER	1500	17228	\N	\N	\N
1008259	3442	1996-10-12	VYDAJ	VYBER	1300	14430	\N	\N	\N
1008260	3442	1996-11-11	VYDAJ	VYBER	3500	12105	\N	\N	\N
1008261	3442	1997-01-10	VYDAJ	VYBER	2200	10390	\N	\N	\N
1008293	3443	1996-07-26	PRIJEM	VKLAD	400	400	\N	\N	\N
1008301	3443	1996-08-10	PRIJEM	PREVOD Z UCTU	4133	4533	DUCHOD	CD	49408882
1008302	3443	1996-09-10	PRIJEM	PREVOD Z UCTU	4133	8666	DUCHOD	CD	49408882
1008303	3443	1996-10-10	PRIJEM	PREVOD Z UCTU	4133	12799	DUCHOD	CD	49408882
1008304	3443	1996-11-10	PRIJEM	PREVOD Z UCTU	4133	16932	DUCHOD	CD	49408882
1008305	3443	1996-12-10	PRIJEM	PREVOD Z UCTU	4133	21065	DUCHOD	CD	49408882
1008306	3443	1997-01-10	PRIJEM	PREVOD Z UCTU	4133	17523	DUCHOD	CD	49408882
1008307	3443	1997-02-10	PRIJEM	PREVOD Z UCTU	4133	18953	DUCHOD	CD	49408882
1008308	3443	1997-03-10	PRIJEM	PREVOD Z UCTU	4133	17738	DUCHOD	CD	49408882
1008309	3443	1997-04-10	PRIJEM	PREVOD Z UCTU	4133	19162	DUCHOD	CD	49408882
1008310	3443	1997-05-10	PRIJEM	PREVOD Z UCTU	4133	19468	DUCHOD	CD	49408882
1008311	3443	1997-06-10	PRIJEM	PREVOD Z UCTU	4133	18814	DUCHOD	CD	49408882
1008312	3443	1997-07-10	PRIJEM	PREVOD Z UCTU	4133	20242	DUCHOD	CD	49408882
1008313	3443	1997-08-10	PRIJEM	PREVOD Z UCTU	4133	21676	DUCHOD	CD	49408882
1008314	3443	1997-09-10	PRIJEM	PREVOD Z UCTU	4133	19187	DUCHOD	CD	49408882
1008315	3443	1997-10-10	PRIJEM	PREVOD Z UCTU	4133	19896	DUCHOD	CD	49408882
1008316	3443	1997-11-10	PRIJEM	PREVOD Z UCTU	4133	21328	DUCHOD	CD	49408882
1008317	3443	1997-12-10	PRIJEM	PREVOD Z UCTU	4133	22166	DUCHOD	CD	49408882
1008318	3443	1998-01-10	PRIJEM	PREVOD Z UCTU	4133	23611	DUCHOD	CD	49408882
1008319	3443	1998-02-10	PRIJEM	PREVOD Z UCTU	4133	22904	DUCHOD	CD	49408882
1008320	3443	1998-03-10	PRIJEM	PREVOD Z UCTU	4133	21305	DUCHOD	CD	49408882
1008321	3443	1998-04-10	PRIJEM	PREVOD Z UCTU	4133	22743	DUCHOD	CD	49408882
1008322	3443	1998-05-10	PRIJEM	PREVOD Z UCTU	4133	24187	DUCHOD	CD	49408882
1008323	3443	1998-06-10	PRIJEM	PREVOD Z UCTU	4133	18987	DUCHOD	CD	49408882
1008324	3443	1998-07-10	PRIJEM	PREVOD Z UCTU	4133	18335	DUCHOD	CD	49408882
1008325	3443	1998-08-10	PRIJEM	PREVOD Z UCTU	4133	19761	DUCHOD	CD	49408882
1008326	3443	1998-09-10	PRIJEM	PREVOD Z UCTU	4133	21192	DUCHOD	CD	49408882
1008327	3443	1998-10-10	PRIJEM	PREVOD Z UCTU	4133	22630	DUCHOD	CD	49408882
1008328	3443	1998-11-10	PRIJEM	PREVOD Z UCTU	4133	24073	DUCHOD	CD	49408882
1008329	3443	1998-12-10	PRIJEM	PREVOD Z UCTU	4133	24322	DUCHOD	CD	49408882
1008341	3443	1996-12-14	VYDAJ	PREVOD NA UCET	2755	18310	SIPO	KL	53761804
1008342	3443	1997-01-14	VYDAJ	PREVOD NA UCET	2755	14768	SIPO	KL	53761804
1008343	3443	1997-02-14	VYDAJ	PREVOD NA UCET	2755	16198	SIPO	KL	53761804
1008344	3443	1997-03-14	VYDAJ	PREVOD NA UCET	2755	14983	SIPO	KL	53761804
1008345	3443	1997-04-14	VYDAJ	PREVOD NA UCET	2755	16407	SIPO	KL	53761804
1008346	3443	1997-05-14	VYDAJ	PREVOD NA UCET	2755	16713	SIPO	KL	53761804
1008347	3443	1997-06-14	VYDAJ	PREVOD NA UCET	2755	16059	SIPO	KL	53761804
1008348	3443	1997-07-14	VYDAJ	PREVOD NA UCET	2755	17487	SIPO	KL	53761804
1008349	3443	1997-08-14	VYDAJ	PREVOD NA UCET	2755	18921	SIPO	KL	53761804
1008350	3443	1997-09-14	VYDAJ	PREVOD NA UCET	2755	16432	SIPO	KL	53761804
1008351	3443	1997-10-14	VYDAJ	PREVOD NA UCET	2755	17141	SIPO	KL	53761804
1008352	3443	1997-11-14	VYDAJ	PREVOD NA UCET	2755	18573	SIPO	KL	53761804
1008353	3443	1997-12-14	VYDAJ	PREVOD NA UCET	2755	19411	SIPO	KL	53761804
1008354	3443	1998-01-14	VYDAJ	PREVOD NA UCET	2755	18706	SIPO	KL	53761804
1008355	3443	1998-02-14	VYDAJ	PREVOD NA UCET	2755	20149	SIPO	KL	53761804
1008356	3443	1998-03-14	VYDAJ	PREVOD NA UCET	2755	18550	SIPO	KL	53761804
1008357	3443	1998-04-14	VYDAJ	PREVOD NA UCET	2755	19988	SIPO	KL	53761804
1008358	3443	1998-05-14	VYDAJ	PREVOD NA UCET	2755	17752	SIPO	KL	53761804
1008359	3443	1998-06-14	VYDAJ	PREVOD NA UCET	2755	16232	SIPO	KL	53761804
1008360	3443	1998-07-14	VYDAJ	PREVOD NA UCET	2755	15580	SIPO	KL	53761804
1008361	3443	1998-08-14	VYDAJ	PREVOD NA UCET	2755	17006	SIPO	KL	53761804
1008362	3443	1998-09-14	VYDAJ	PREVOD NA UCET	2755	18437	SIPO	KL	53761804
1008363	3443	1998-10-14	VYDAJ	PREVOD NA UCET	2755	19875	SIPO	KL	53761804
1008364	3443	1998-11-14	VYDAJ	PREVOD NA UCET	2755	21318	SIPO	KL	53761804
1008365	3443	1998-12-14	VYDAJ	PREVOD NA UCET	2755	20207	SIPO	KL	53761804
1008370	3443	1997-01-02	VYDAJ	VYBER	4950	13390	\N	\N	\N
1008371	3443	1998-01-11	VYDAJ	VYBER	2150	21461	\N	\N	\N
1008373	3443	1997-12-06	VYDAJ	VYBER	600	18033	\N	\N	\N
1008374	3443	1998-12-26	VYDAJ	VYBER	600	19607	\N	\N	\N
1008380	3443	1997-02-20	VYDAJ	VYBER	2640	13558	\N	\N	\N
1008381	3443	1997-05-15	VYDAJ	VYBER	960	15753	\N	\N	\N
1008382	3443	1997-05-16	VYDAJ	VYBER	1120	14633	\N	\N	\N
1008384	3443	1997-09-25	VYDAJ	VYBER	720	15712	\N	\N	\N
1008385	3443	1997-08-15	VYDAJ	VYBER	3920	15001	\N	\N	\N
1008386	3443	1997-04-15	VYDAJ	VYBER	1120	15287	\N	\N	\N
1008387	3443	1998-02-20	VYDAJ	VYBER	2480	17109	\N	\N	\N
1008388	3443	1998-06-30	VYDAJ	VYBER	2080	14202	\N	\N	\N
1008389	3443	1998-11-23	VYDAJ	VYBER	1200	20118	\N	\N	\N
1008390	3443	1998-05-28	VYDAJ	VYBER	2960	14792	\N	\N	\N
1008391	3443	1998-05-10	VYDAJ	VYBER	3680	20507	\N	\N	\N
1008392	3443	1998-12-10	VYDAJ	VYBER	1360	22962	\N	\N	\N
1008393	3443	1998-02-19	VYDAJ	VYBER	560	19589	\N	\N	\N
1008406	3443	1996-12-31	VYDAJ	VYBER	15	18340	SLUZBY	\N	\N
1008407	3443	1997-01-31	VYDAJ	VYBER	15	14820	SLUZBY	\N	\N
1008408	3443	1997-02-28	VYDAJ	VYBER	15	13605	SLUZBY	\N	\N
1008409	3443	1997-03-31	VYDAJ	VYBER	15	15029	SLUZBY	\N	\N
1008410	3443	1997-04-30	VYDAJ	VYBER	15	15335	SLUZBY	\N	\N
1008411	3443	1997-05-31	VYDAJ	VYBER	15	14681	SLUZBY	\N	\N
1008412	3443	1997-06-30	VYDAJ	VYBER	15	16109	SLUZBY	\N	\N
1008413	3443	1997-07-31	VYDAJ	VYBER	15	17543	SLUZBY	\N	\N
1008414	3443	1997-08-31	VYDAJ	VYBER	15	15054	SLUZBY	\N	\N
1008415	3443	1997-09-30	VYDAJ	VYBER	15	15763	SLUZBY	\N	\N
1008416	3443	1997-10-31	VYDAJ	VYBER	15	17195	SLUZBY	\N	\N
1008417	3443	1997-11-30	VYDAJ	VYBER	15	18633	SLUZBY	\N	\N
1008418	3443	1997-12-31	VYDAJ	VYBER	15	19478	SLUZBY	\N	\N
1008419	3443	1998-01-31	VYDAJ	VYBER	15	18771	SLUZBY	\N	\N
1008420	3443	1998-02-28	VYDAJ	VYBER	15	17172	SLUZBY	\N	\N
1008421	3443	1998-03-31	VYDAJ	VYBER	15	18610	SLUZBY	\N	\N
1008422	3443	1998-04-30	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
1008423	3443	1998-05-31	VYDAJ	VYBER	15	14854	SLUZBY	\N	\N
1008424	3443	1998-06-30	VYDAJ	VYBER	15	16282	SLUZBY	\N	\N
1008425	3443	1998-07-31	VYDAJ	VYBER	15	15628	SLUZBY	\N	\N
1008426	3443	1998-08-31	VYDAJ	VYBER	15	17059	SLUZBY	\N	\N
1008427	3443	1998-09-30	VYDAJ	VYBER	15	18497	SLUZBY	\N	\N
1008428	3443	1998-10-31	VYDAJ	VYBER	15	19940	SLUZBY	\N	\N
1008429	3443	1998-11-30	VYDAJ	VYBER	15	20189	SLUZBY	\N	\N
1008455	3444	1997-09-04	PRIJEM	VKLAD	200	200	\N	\N	\N
1008464	3444	1997-09-13	PRIJEM	PREVOD Z UCTU	17164	17364	\N	EF	57102775
1008465	3444	1997-10-13	PRIJEM	PREVOD Z UCTU	17164	38671	\N	EF	57102775
1008466	3444	1997-11-13	PRIJEM	PREVOD Z UCTU	17164	48562	\N	EF	57102775
1008467	3444	1997-12-13	PRIJEM	PREVOD Z UCTU	25746	61894	\N	EF	57102775
1008468	3444	1998-01-13	PRIJEM	PREVOD Z UCTU	17164	61194	\N	EF	57102775
1008469	3444	1998-02-13	PRIJEM	PREVOD Z UCTU	17164	47116	\N	EF	57102775
1008470	3444	1998-03-13	PRIJEM	PREVOD Z UCTU	17164	61712	\N	EF	57102775
1008471	3444	1998-04-13	PRIJEM	PREVOD Z UCTU	17164	73280	\N	EF	57102775
1008472	3444	1998-05-13	PRIJEM	PREVOD Z UCTU	17164	68672	\N	EF	57102775
1008473	3444	1998-06-13	PRIJEM	PREVOD Z UCTU	25746	81433	\N	EF	57102775
1008474	3444	1998-07-13	PRIJEM	PREVOD Z UCTU	17164	61542	\N	EF	57102775
1008475	3444	1998-08-13	PRIJEM	PREVOD Z UCTU	17164	83478	\N	EF	57102775
1008476	3444	1998-09-13	PRIJEM	PREVOD Z UCTU	17164	73850	\N	EF	57102775
1008477	3444	1998-10-13	PRIJEM	PREVOD Z UCTU	17164	79326	\N	EF	57102775
1008478	3444	1998-11-13	PRIJEM	PREVOD Z UCTU	17164	90923	\N	EF	57102775
1008479	3444	1998-12-13	PRIJEM	PREVOD Z UCTU	25746	104548	\N	EF	57102775
1008483	3444	1998-04-21	VYBER	VYBER	24294	48986	\N	\N	\N
1008484	3444	1998-08-24	VYBER	VYBER	19724	51754	\N	\N	\N
1008486	3444	1998-06-29	VYDAJ	VYBER	48300	27133	\N	\N	\N
1008488	3444	1998-01-15	VYDAJ	VYBER	25800	35394	\N	\N	\N
1008490	3444	1998-12-21	VYDAJ	VYBER	6000	98548	\N	\N	\N
1008497	3444	1998-01-16	VYDAJ	VYBER	1800	33594	\N	\N	\N
1008501	3444	1998-01-22	VYDAJ	VYBER	3900	29694	\N	\N	\N
1008502	3444	1998-01-28	VYDAJ	VYBER	1800	27894	\N	\N	\N
1008507	3444	1998-05-27	VYDAJ	VYBER	6300	59672	\N	\N	\N
1008508	3444	1998-09-25	VYDAJ	VYBER	9600	64250	\N	\N	\N
1008509	3444	1998-05-15	VYDAJ	VYBER	2700	65972	\N	\N	\N
1008510	3444	1998-12-22	VYDAJ	VYBER	9000	89548	\N	\N	\N
1008511	3444	1998-06-15	VYDAJ	VYBER	6000	75433	\N	\N	\N
1008512	3444	1998-08-23	VYDAJ	VYBER	12000	71478	\N	\N	\N
1008513	3444	1998-06-11	VYDAJ	VYBER KARTOU	1500	55687	\N	\N	0
1008527	3444	1998-01-31	VYDAJ	VYBER	30	28052	SLUZBY	\N	\N
1008528	3444	1998-02-28	VYDAJ	VYBER	30	47248	SLUZBY	\N	\N
1008529	3444	1998-03-31	VYDAJ	VYBER	30	61916	SLUZBY	\N	\N
1008530	3444	1998-04-30	VYDAJ	VYBER	30	49208	SLUZBY	\N	\N
1008531	3444	1998-05-31	VYDAJ	VYBER	30	59887	SLUZBY	\N	\N
1008532	3444	1998-06-30	VYDAJ	VYBER	30	27378	SLUZBY	\N	\N
1008533	3444	1998-07-31	VYDAJ	VYBER	30	66314	SLUZBY	\N	\N
1008534	3444	1998-08-31	VYDAJ	VYBER	30	56686	SLUZBY	\N	\N
1008535	3444	1998-09-30	VYDAJ	VYBER	30	62162	SLUZBY	\N	\N
1008536	3444	1998-10-31	VYDAJ	VYBER	30	73759	SLUZBY	\N	\N
1008537	3444	1998-11-30	VYDAJ	VYBER	30	78802	SLUZBY	\N	\N
1008538	3444	1997-10-04	PRIJEM	VKLAD	4100	21507	\N	\N	\N
1008539	3444	1997-11-03	VYDAJ	VYBER	7400	31398	\N	\N	\N
1008540	3444	1997-12-03	VYDAJ	VYBER	12600	36148	\N	\N	\N
1008541	3444	1998-01-02	VYDAJ	VYBER	18100	44030	\N	\N	\N
1008542	3444	1998-02-01	PRIJEM	VKLAD	1900	29952	\N	\N	\N
1008543	3444	1998-03-03	VYDAJ	VYBER	2700	44548	\N	\N	\N
1008544	3444	1998-04-02	VYDAJ	VYBER	5800	56116	\N	\N	\N
1008545	3444	1998-05-02	PRIJEM	VKLAD	2300	51508	\N	\N	\N
1008546	3444	1998-06-01	VYDAJ	VYBER	2700	57187	\N	\N	\N
1008547	3444	1998-07-01	PRIJEM	VKLAD	17000	44378	\N	\N	\N
1008548	3444	1998-07-31	PRIJEM	VKLAD	4600	66344	\N	\N	\N
1008549	3444	1998-08-30	PRIJEM	VKLAD	4700	56454	\N	\N	\N
1008550	3444	1998-09-29	VYDAJ	VYBER KARTOU	2300	61950	\N	\N	0
1008551	3444	1998-10-29	VYDAJ	VYBER	5800	73526	\N	\N	\N
1008552	3444	1998-11-28	VYDAJ	VYBER	12400	78523	\N	\N	\N
1008569	3445	1994-02-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1008572	3445	1994-03-14	PRIJEM	VKLAD	10953	12053	\N	\N	\N
1008573	3445	1994-04-14	PRIJEM	VKLAD	10953	29025	\N	\N	\N
1008574	3445	1994-05-14	PRIJEM	VKLAD	10953	36162	\N	\N	\N
1008575	3445	1994-06-14	PRIJEM	VKLAD	16430	44900	\N	\N	\N
1008576	3445	1994-07-14	PRIJEM	VKLAD	10953	46080	\N	\N	\N
1008577	3445	1994-08-14	PRIJEM	VKLAD	10953	42282	\N	\N	\N
1008578	3445	1994-09-14	PRIJEM	VKLAD	10953	41016	\N	\N	\N
1008579	3445	1994-10-14	PRIJEM	VKLAD	10953	45987	\N	\N	\N
1008580	3445	1994-11-14	PRIJEM	VKLAD	10953	44869	\N	\N	\N
1008581	3445	1994-12-14	PRIJEM	VKLAD	16430	49527	\N	\N	\N
1008582	3445	1995-01-14	PRIJEM	VKLAD	10953	40031	\N	\N	\N
1008583	3445	1995-02-14	PRIJEM	VKLAD	10953	26379	\N	\N	\N
1008584	3445	1995-03-14	PRIJEM	VKLAD	10953	34664	\N	\N	\N
1008585	3445	1995-04-14	PRIJEM	VKLAD	10953	39224	\N	\N	\N
1008586	3445	1995-05-14	PRIJEM	VKLAD	10953	43888	\N	\N	\N
1008587	3445	1995-06-14	PRIJEM	VKLAD	16430	51945	\N	\N	\N
1008588	3445	1995-07-14	PRIJEM	VKLAD	10953	44771	\N	\N	\N
1008589	3445	1995-08-14	PRIJEM	VKLAD	10953	41826	\N	\N	\N
1008590	3445	1995-09-14	PRIJEM	VKLAD	10953	44298	\N	\N	\N
1008591	3445	1995-10-14	PRIJEM	VKLAD	10953	41554	\N	\N	\N
1008592	3445	1995-11-14	PRIJEM	VKLAD	10953	43229	\N	\N	\N
1008593	3445	1995-12-14	PRIJEM	VKLAD	16430	49903	\N	\N	\N
1008594	3445	1996-01-14	PRIJEM	VKLAD	10953	37395	\N	\N	\N
1008595	3445	1996-02-14	PRIJEM	VKLAD	10953	29149	\N	\N	\N
1008596	3445	1996-03-14	PRIJEM	VKLAD	10953	35282	\N	\N	\N
1008597	3445	1996-04-14	PRIJEM	VKLAD	10953	30906	\N	\N	\N
1008598	3445	1996-05-14	PRIJEM	VKLAD	10953	33940	\N	\N	\N
1008599	3445	1996-06-14	PRIJEM	VKLAD	16430	39035	\N	\N	\N
1008600	3445	1996-07-14	PRIJEM	VKLAD	10953	38119	\N	\N	\N
1008601	3445	1996-08-14	PRIJEM	VKLAD	10953	35818	\N	\N	\N
1008602	3445	1996-09-14	PRIJEM	VKLAD	10953	31709	\N	\N	\N
1008603	3445	1996-10-14	PRIJEM	VKLAD	10953	26386	\N	\N	\N
1008604	3445	1996-11-14	PRIJEM	VKLAD	10953	27243	\N	\N	\N
1008605	3445	1996-12-14	PRIJEM	VKLAD	16430	39604	\N	\N	\N
1008606	3445	1997-01-14	PRIJEM	VKLAD	10953	26879	\N	\N	\N
1008607	3445	1997-02-14	PRIJEM	VKLAD	10953	26050	\N	\N	\N
1008608	3445	1997-03-14	PRIJEM	VKLAD	10953	37051	\N	\N	\N
1008609	3445	1997-04-14	PRIJEM	VKLAD	10953	26157	\N	\N	\N
1008610	3445	1997-05-14	PRIJEM	VKLAD	10953	33141	\N	\N	\N
1008611	3445	1997-06-14	PRIJEM	VKLAD	16430	45471	\N	\N	\N
1008612	3445	1997-07-14	PRIJEM	VKLAD	10953	29631	\N	\N	\N
1008613	3445	1997-08-14	PRIJEM	VKLAD	10953	39519	\N	\N	\N
1008614	3445	1997-09-14	PRIJEM	VKLAD	10953	50603	\N	\N	\N
1008615	3445	1997-10-14	PRIJEM	VKLAD	10953	28606	\N	\N	\N
1008616	3445	1997-11-14	PRIJEM	VKLAD	10953	39700	\N	\N	\N
1008617	3445	1997-12-14	PRIJEM	VKLAD	16430	51404	\N	\N	\N
1008618	3445	1998-01-14	PRIJEM	VKLAD	10953	50204	\N	\N	\N
1008619	3445	1998-02-14	PRIJEM	VKLAD	10953	48246	\N	\N	\N
1008620	3445	1998-03-14	PRIJEM	VKLAD	10953	59367	\N	\N	\N
1008621	3445	1998-04-14	PRIJEM	VKLAD	10953	61988	\N	\N	\N
1008622	3445	1998-05-14	PRIJEM	VKLAD	10953	30098	\N	\N	\N
1008623	3445	1998-06-14	PRIJEM	VKLAD	16430	46684	\N	\N	\N
1008624	3445	1998-07-14	PRIJEM	VKLAD	10953	57748	\N	\N	\N
1008625	3445	1998-08-14	PRIJEM	VKLAD	10953	30575	\N	\N	\N
1008626	3445	1998-09-14	PRIJEM	VKLAD	10953	41594	\N	\N	\N
1008627	3445	1998-10-14	PRIJEM	VKLAD	10953	27353	\N	\N	\N
1008628	3445	1998-11-14	PRIJEM	VKLAD	10953	38358	\N	\N	\N
1008629	3445	1998-12-14	PRIJEM	VKLAD	16430	50446	\N	\N	\N
1008631	3445	1995-06-15	VYDAJ	VYBER	6560	45385	\N	\N	\N
1008636	3445	1995-01-20	VYDAJ	VYBER	15200	15331	\N	\N	\N
1008637	3445	1996-01-30	VYDAJ	VYBER	13120	14675	\N	\N	\N
1008638	3445	1997-01-18	VYDAJ	VYBER	6240	18599	\N	\N	\N
1008639	3445	1998-01-01	VYDAJ	VYBER	3200	44171	\N	\N	\N
1008640	3445	1994-12-29	VYDAJ	VYBER	3360	34467	\N	\N	\N
1008641	3445	1995-12-20	VYDAJ	VYBER	2560	34443	\N	\N	\N
1008642	3445	1996-12-01	VYDAJ	VYBER	800	23174	\N	\N	\N
1008643	3445	1997-12-12	VYDAJ	VYBER	1120	34974	\N	\N	\N
1008644	3445	1998-12-25	VYDAJ	VYBER	4160	46286	\N	\N	\N
1008651	3445	1995-01-07	VYDAJ	VYBER	840	31958	\N	\N	\N
1008652	3445	1995-01-04	VYDAJ	VYBER	960	33638	\N	\N	\N
1008653	3445	1995-01-15	VYDAJ	VYBER	2400	37631	\N	\N	\N
1008654	3445	1995-01-06	VYDAJ	VYBER	840	32798	\N	\N	\N
1008655	3445	1995-01-11	VYDAJ	VYBER	2880	29078	\N	\N	\N
1008657	3445	1996-01-06	VYDAJ	VYBER	2160	32422	\N	\N	\N
1008658	3445	1996-01-29	VYDAJ	VYBER	3480	29235	\N	\N	\N
1008659	3445	1996-01-17	VYDAJ	VYBER	3120	34275	\N	\N	\N
1008660	3445	1996-01-26	VYDAJ	VYBER	1560	32715	\N	\N	\N
1008661	3445	1996-01-29	VYDAJ	VYBER	1440	27795	\N	\N	\N
1008662	3445	1996-01-11	VYDAJ	VYBER	1080	31342	\N	\N	\N
1008663	3445	1997-01-07	VYDAJ	VYBER	600	39126	\N	\N	\N
1008664	3445	1997-01-30	VYDAJ	VYBER	1200	14999	\N	\N	\N
1008665	3445	1997-01-20	VYDAJ	VYBER	720	17879	\N	\N	\N
1008666	3445	1997-01-15	VYDAJ	VYBER	2040	24839	\N	\N	\N
1008668	3445	1997-01-21	VYDAJ	VYBER	1680	16199	\N	\N	\N
1008669	3445	1998-01-16	VYDAJ	VYBER	3480	46724	\N	\N	\N
1008670	3445	1998-01-11	VYDAJ	VYBER	3000	41171	\N	\N	\N
1008671	3445	1998-01-18	VYDAJ	VYBER	960	45764	\N	\N	\N
1008672	3445	1998-01-19	VYDAJ	VYBER	840	43004	\N	\N	\N
1008673	3445	1998-01-18	VYDAJ	VYBER	1920	43844	\N	\N	\N
1008674	3445	1998-01-13	VYDAJ	VYBER	1920	39251	\N	\N	\N
1008677	3445	1994-07-31	VYDAJ	VYBER	2280	31329	\N	\N	\N
1008678	3445	1994-08-23	VYDAJ	VYBER	4440	29942	\N	\N	\N
1008679	3445	1994-11-26	VYDAJ	VYBER	3000	32969	\N	\N	\N
1008681	3445	1995-10-06	VYDAJ	VYBER	2520	30601	\N	\N	\N
1008682	3445	1995-07-15	VYDAJ	VYBER	1320	43451	\N	\N	\N
1008683	3445	1995-03-06	VYDAJ	VYBER	4440	23711	\N	\N	\N
1008684	3445	1996-11-20	VYDAJ	VYBER	3360	23883	\N	\N	\N
1008685	3445	1996-04-17	VYDAJ	VYBER	4320	26586	\N	\N	\N
1008686	3445	1996-05-16	VYDAJ	VYBER	3840	30100	\N	\N	\N
1008687	3445	1996-04-01	VYDAJ	VYBER	2280	27953	\N	\N	\N
1008688	3445	1996-03-18	VYDAJ	VYBER	5160	30122	\N	\N	\N
1008689	3445	1997-11-21	VYDAJ	VYBER	3720	35980	\N	\N	\N
1008690	3445	1997-05-14	VYDAJ	VYBER	4200	28941	\N	\N	\N
1008691	3445	1997-12-26	VYDAJ	VYBER	4200	47204	\N	\N	\N
1008692	3445	1997-05-01	VYDAJ	VYBER	4080	22188	\N	\N	\N
1008693	3445	1997-03-17	VYDAJ	VYBER	960	36091	\N	\N	\N
1008694	3445	1997-08-03	VYDAJ	VYBER	1200	28566	\N	\N	\N
1008695	3445	1998-02-05	VYDAJ	VYBER	2760	37293	\N	\N	\N
1008696	3445	1998-01-28	VYDAJ	VYBER	3120	39884	\N	\N	\N
1008697	3445	1998-04-30	VYDAJ	VYBER	4440	57759	\N	\N	\N
1008698	3445	1998-03-30	VYDAJ	VYBER	5040	50847	\N	\N	\N
1008699	3445	1998-12-06	VYDAJ	VYBER	4440	34016	\N	\N	\N
1008700	3445	1998-03-27	VYDAJ	VYBER	3480	55887	\N	\N	\N
1008709	3445	1994-07-31	VYDAJ	VYBER	15	33609	SLUZBY	\N	\N
1008710	3445	1994-08-31	VYDAJ	VYBER	15	30063	SLUZBY	\N	\N
1008711	3445	1994-09-30	VYDAJ	VYBER	15	35034	SLUZBY	\N	\N
1008712	3445	1994-10-31	VYDAJ	VYBER	15	33916	SLUZBY	\N	\N
1008713	3445	1994-11-30	VYDAJ	VYBER	15	33097	SLUZBY	\N	\N
1008714	3445	1994-12-31	VYDAJ	VYBER	15	34598	SLUZBY	\N	\N
1008715	3445	1995-01-31	VYDAJ	VYBER	15	15426	SLUZBY	\N	\N
1008716	3445	1995-02-28	VYDAJ	VYBER	15	28151	SLUZBY	\N	\N
1008717	3445	1995-03-31	VYDAJ	VYBER	15	28271	SLUZBY	\N	\N
1008718	3445	1995-04-30	VYDAJ	VYBER	15	32935	SLUZBY	\N	\N
1008719	3445	1995-05-31	VYDAJ	VYBER	15	35515	SLUZBY	\N	\N
1008720	3445	1995-06-30	VYDAJ	VYBER	15	33818	SLUZBY	\N	\N
1008721	3445	1995-07-31	VYDAJ	VYBER	15	30873	SLUZBY	\N	\N
1008722	3445	1995-08-31	VYDAJ	VYBER	15	33345	SLUZBY	\N	\N
1008723	3445	1995-09-30	VYDAJ	VYBER	15	33121	SLUZBY	\N	\N
1008724	3445	1995-10-31	VYDAJ	VYBER	15	32276	SLUZBY	\N	\N
1008725	3445	1995-11-30	VYDAJ	VYBER	15	33473	SLUZBY	\N	\N
1008726	3445	1995-12-31	VYDAJ	VYBER	15	34582	SLUZBY	\N	\N
1008727	3445	1996-01-31	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
1008728	3445	1996-02-29	VYDAJ	VYBER	15	29229	SLUZBY	\N	\N
1008729	3445	1996-03-31	VYDAJ	VYBER	15	30233	SLUZBY	\N	\N
1008730	3445	1996-04-30	VYDAJ	VYBER	15	26687	SLUZBY	\N	\N
1008731	3445	1996-05-31	VYDAJ	VYBER	15	30205	SLUZBY	\N	\N
1008732	3445	1996-06-30	VYDAJ	VYBER	15	39166	SLUZBY	\N	\N
1008733	3445	1996-07-31	VYDAJ	VYBER	15	38265	SLUZBY	\N	\N
1008734	3445	1996-08-31	VYDAJ	VYBER	15	35956	SLUZBY	\N	\N
1008735	3445	1996-09-30	VYDAJ	VYBER	15	31833	SLUZBY	\N	\N
1008736	3445	1996-10-31	VYDAJ	VYBER	15	26490	SLUZBY	\N	\N
1008737	3445	1996-11-30	VYDAJ	VYBER	15	23974	SLUZBY	\N	\N
1008738	3445	1996-12-31	VYDAJ	VYBER	15	39726	SLUZBY	\N	\N
1008739	3445	1997-01-31	VYDAJ	VYBER	15	15097	SLUZBY	\N	\N
1008740	3445	1997-02-28	VYDAJ	VYBER	15	26098	SLUZBY	\N	\N
1008741	3445	1997-03-31	VYDAJ	VYBER	15	36204	SLUZBY	\N	\N
1008742	3445	1997-04-30	VYDAJ	VYBER	15	26268	SLUZBY	\N	\N
1008743	3445	1997-05-31	VYDAJ	VYBER	15	29041	SLUZBY	\N	\N
1008744	3445	1997-06-30	VYDAJ	VYBER	15	45578	SLUZBY	\N	\N
1008745	3445	1997-07-31	VYDAJ	VYBER	15	29766	SLUZBY	\N	\N
1008746	3445	1997-08-31	VYDAJ	VYBER	15	39650	SLUZBY	\N	\N
1008747	3445	1997-09-30	VYDAJ	VYBER	15	50753	SLUZBY	\N	\N
1008748	3445	1997-10-31	VYDAJ	VYBER	15	28747	SLUZBY	\N	\N
1008749	3445	1997-11-30	VYDAJ	VYBER	15	36094	SLUZBY	\N	\N
1008750	3445	1997-12-31	VYDAJ	VYBER	15	47371	SLUZBY	\N	\N
1008751	3445	1998-01-31	VYDAJ	VYBER	15	40053	SLUZBY	\N	\N
1008752	3445	1998-02-28	VYDAJ	VYBER	15	48414	SLUZBY	\N	\N
1008753	3445	1998-03-31	VYDAJ	VYBER	15	51035	SLUZBY	\N	\N
1008754	3445	1998-04-30	VYDAJ	VYBER	15	57745	SLUZBY	\N	\N
1008755	3445	1998-05-31	VYDAJ	VYBER	15	30254	SLUZBY	\N	\N
1008756	3445	1998-06-30	VYDAJ	VYBER	15	46795	SLUZBY	\N	\N
1008757	3445	1998-07-31	VYDAJ	VYBER	15	19622	SLUZBY	\N	\N
1008758	3445	1998-08-31	VYDAJ	VYBER	15	30641	SLUZBY	\N	\N
1008759	3445	1998-09-30	VYDAJ	VYBER	15	16400	SLUZBY	\N	\N
1008760	3445	1998-10-31	VYDAJ	VYBER	15	27405	SLUZBY	\N	\N
1008761	3445	1998-11-30	VYDAJ	VYBER	15	38456	SLUZBY	\N	\N
1008762	3445	1994-03-24	PRIJEM	VKLAD	6000	18053	\N	\N	\N
1008763	3445	1994-04-23	VYDAJ	VYBER	3900	25125	\N	\N	\N
1008764	3445	1994-05-23	VYDAJ	VYBER	7800	28362	\N	\N	\N
1008765	3445	1994-06-22	VYDAJ	VYBER	9900	35000	\N	\N	\N
1008766	3445	1994-07-22	VYDAJ	VYBER	12600	33480	\N	\N	\N
1008767	3445	1994-08-21	VYDAJ	VYBER	7900	34382	\N	\N	\N
1008768	3445	1994-09-20	VYDAJ	VYBER	6100	34916	\N	\N	\N
1008769	3445	1994-10-20	VYDAJ	VYBER	12200	33787	\N	\N	\N
1008770	3445	1994-11-19	VYDAJ	VYBER	8900	35969	\N	\N	\N
1008771	3445	1994-12-19	VYDAJ	VYBER	11700	37827	\N	\N	\N
1008772	3445	1995-01-18	VYDAJ	VYBER	7100	30531	\N	\N	\N
1008773	3445	1995-02-17	PRIJEM	VKLAD	1700	28079	\N	\N	\N
1008774	3445	1995-03-19	VYDAJ	VYBER	6500	28164	\N	\N	\N
1008775	3445	1995-04-18	VYDAJ	VYBER	6400	32824	\N	\N	\N
1008776	3445	1995-05-18	VYDAJ	VYBER	8500	35388	\N	\N	\N
1008777	3445	1995-06-17	VYDAJ	VYBER	11700	33685	\N	\N	\N
1008778	3445	1995-07-17	VYDAJ	VYBER	12700	30751	\N	\N	\N
1008779	3445	1995-08-16	VYDAJ	VYBER	8600	33226	\N	\N	\N
1008780	3445	1995-09-15	VYDAJ	VYBER	11300	32998	\N	\N	\N
1008781	3445	1995-10-15	VYDAJ	VYBER	9400	32154	\N	\N	\N
1008782	3445	1995-11-14	VYDAJ	VYBER	9900	33329	\N	\N	\N
1008783	3445	1995-12-14	VYDAJ	VYBER	12900	37003	\N	\N	\N
1008784	3445	1996-01-13	VYDAJ	VYBER	4900	26442	\N	\N	\N
1008785	3445	1996-02-12	PRIJEM	VKLAD	3400	18196	\N	\N	\N
1008786	3445	1996-03-13	VYDAJ	VYBER	4900	24329	\N	\N	\N
1008787	3445	1996-04-12	VYDAJ	VYBER	8000	19953	\N	\N	\N
1008788	3445	1996-05-12	VYDAJ	VYBER	3700	22987	\N	\N	\N
1008789	3445	1996-06-11	VYDAJ	VYBER	7600	22605	\N	\N	\N
1008790	3445	1996-07-11	VYDAJ	VYBER	12000	27166	\N	\N	\N
1008791	3445	1996-08-10	VYDAJ	VYBER	13400	24865	\N	\N	\N
1008792	3445	1996-09-09	VYDAJ	VYBER	15200	20756	\N	\N	\N
1008793	3445	1996-10-09	VYDAJ	VYBER	16400	15433	\N	\N	\N
1008794	3445	1996-11-08	VYDAJ	VYBER	10200	16290	\N	\N	\N
1008795	3445	1997-01-07	VYDAJ	VYBER	23200	15926	\N	\N	\N
1008796	3445	1997-04-07	VYDAJ	VYBER	21000	15204	\N	\N	\N
1008797	3445	1997-07-06	VYDAJ	VYBER	26900	18678	\N	\N	\N
1008798	3445	1997-10-04	VYDAJ	VYBER	33100	17653	\N	\N	\N
1008799	3445	1998-05-02	VYDAJ	VYBER	38600	19145	\N	\N	\N
1008800	3445	1998-07-31	VYDAJ	VYBER	38300	19637	\N	\N	\N
1008801	3445	1998-09-29	VYDAJ	VYBER	25300	16294	\N	\N	\N
1008860	3446	1996-09-27	PRIJEM	VKLAD	900	900	\N	\N	\N
1008861	3446	1996-12-29	PRIJEM	VKLAD	5643	31943	\N	\N	\N
1008863	3446	1997-01-17	PRIJEM	VKLAD	27887	59843	\N	\N	\N
1008864	3446	1997-06-11	PRIJEM	VKLAD	17935	84919	\N	\N	\N
1008865	3446	1997-03-15	PRIJEM	VKLAD	49895	114406	\N	\N	\N
1008866	3446	1997-11-04	PRIJEM	VKLAD	13707	50140	\N	\N	\N
1008867	3446	1997-09-07	PRIJEM	VKLAD	36115	92094	\N	\N	\N
1008868	3446	1997-02-19	PRIJEM	VKLAD	18208	65298	\N	\N	\N
1008869	3446	1997-09-10	PRIJEM	VKLAD	18290	110384	\N	\N	\N
1008870	3446	1997-09-16	PRIJEM	VKLAD	7745	88770	\N	\N	\N
1008871	3446	1997-05-19	PRIJEM	VKLAD	13791	71061	\N	\N	\N
1008872	3446	1997-07-31	PRIJEM	VKLAD	9291	74381	\N	\N	\N
1008873	3446	1997-06-30	PRIJEM	VKLAD	46012	101572	\N	\N	\N
1008874	3446	1997-02-24	PRIJEM	VKLAD	14006	79304	\N	\N	\N
1008875	3446	1997-04-15	PRIJEM	VKLAD	41006	103697	\N	\N	\N
1008876	3446	1997-03-23	PRIJEM	VKLAD	36998	93104	\N	\N	\N
1008877	3446	1997-08-15	PRIJEM	VKLAD	5378	67000	\N	\N	\N
1008878	3446	1997-04-11	PRIJEM	VKLAD	8342	75350	\N	\N	\N
1008879	3446	1997-05-24	PRIJEM	VKLAD	35426	106487	\N	\N	\N
1008880	3446	1997-12-18	PRIJEM	VKLAD	35344	54947	\N	\N	\N
1008881	3446	1997-02-28	PRIJEM	VKLAD	22532	81736	\N	\N	\N
1008882	3446	1998-11-18	PRIJEM	VKLAD	45565	78489	\N	\N	\N
1008883	3446	1998-07-14	PRIJEM	VKLAD	6015	115210	\N	\N	\N
1008884	3446	1998-12-30	PRIJEM	VKLAD	34595	120857	\N	\N	\N
1008885	3446	1998-03-18	PRIJEM	VKLAD	40107	90890	\N	\N	\N
1008886	3446	1998-11-16	PRIJEM	VKLAD	6841	34524	\N	\N	\N
1008887	3446	1998-05-10	PRIJEM	VKLAD	19123	83158	\N	\N	\N
1008888	3446	1998-06-03	PRIJEM	VKLAD	32202	99380	\N	\N	\N
1008889	3446	1998-03-23	PRIJEM	VKLAD	15270	66752	\N	\N	\N
1008890	3446	1998-12-29	PRIJEM	VKLAD	23645	111862	\N	\N	\N
1008891	3446	1998-03-22	PRIJEM	VKLAD	38392	108182	\N	\N	\N
1008892	3446	1998-05-19	PRIJEM	VKLAD	7916	64315	\N	\N	\N
1008893	3446	1998-06-26	PRIJEM	VKLAD	42308	163271	\N	\N	\N
1008894	3446	1998-12-21	PRIJEM	VKLAD	47484	88217	\N	\N	\N
1008895	3446	1998-09-21	PRIJEM	VKLAD	32380	51958	\N	\N	\N
1008896	3446	1998-03-30	PRIJEM	VKLAD	38752	69787	\N	\N	\N
1008897	3446	1998-04-13	PRIJEM	VKLAD	49349	158982	\N	\N	\N
1008898	3446	1998-06-07	PRIJEM	VKLAD	16505	115885	\N	\N	\N
1008899	3446	1998-06-23	PRIJEM	VKLAD	29409	91035	\N	\N	\N
1008900	3446	1998-07-07	PRIJEM	VKLAD	19615	142895	\N	\N	\N
1008901	3446	1998-03-04	PRIJEM	VKLAD	35536	63442	\N	\N	\N
1008902	3446	1998-05-23	PRIJEM	VKLAD	12994	67009	\N	\N	\N
1008903	3446	1998-08-10	PRIJEM	VKLAD	5068	42046	\N	\N	\N
1008904	3446	1998-05-06	PRIJEM	VKLAD	45799	114635	\N	\N	\N
1008905	3446	1998-06-24	PRIJEM	VKLAD	48528	139563	\N	\N	\N
1008906	3446	1998-09-30	PRIJEM	VKLAD	15881	67839	\N	\N	\N
1008907	3446	1998-04-05	PRIJEM	VKLAD	39710	109633	\N	\N	\N
1008908	3446	1998-01-07	PRIJEM	VKLAD	30492	56577	\N	\N	\N
1008923	3446	1997-03-14	VYDAJ	PREVOD NA UCET	12659	64511	SIPO	UV	46330589
1008924	3446	1997-04-14	VYDAJ	PREVOD NA UCET	12659	62691	SIPO	UV	46330589
1008925	3446	1997-05-14	VYDAJ	PREVOD NA UCET	12659	57270	SIPO	UV	46330589
1008926	3446	1997-06-14	VYDAJ	PREVOD NA UCET	12659	72260	SIPO	UV	46330589
1008927	3446	1997-07-14	VYDAJ	PREVOD NA UCET	12659	83829	SIPO	UV	46330589
1008928	3446	1997-08-14	VYDAJ	PREVOD NA UCET	12659	61622	SIPO	UV	46330589
1008929	3446	1997-09-14	VYDAJ	PREVOD NA UCET	12659	81025	SIPO	UV	46330589
1008930	3446	1997-10-14	VYDAJ	PREVOD NA UCET	12659	27554	SIPO	UV	46330589
1008931	3446	1997-11-14	VYDAJ	PREVOD NA UCET	12659	37481	SIPO	UV	46330589
1008932	3446	1997-12-14	VYDAJ	PREVOD NA UCET	12659	19603	SIPO	UV	46330589
1008933	3446	1998-01-14	VYDAJ	PREVOD NA UCET	12659	30418	SIPO	UV	46330589
1008934	3446	1998-02-14	VYDAJ	PREVOD NA UCET	12659	15108	SIPO	UV	46330589
1008935	3446	1998-03-14	VYDAJ	PREVOD NA UCET	12659	50783	SIPO	UV	46330589
1008936	3446	1998-04-14	VYDAJ	PREVOD NA UCET	12659	93023	SIPO	UV	46330589
1008937	3446	1998-05-14	VYDAJ	PREVOD NA UCET	12659	56399	SIPO	UV	46330589
1008938	3446	1998-06-14	VYDAJ	PREVOD NA UCET	12659	86126	SIPO	UV	46330589
1008939	3446	1998-07-14	VYDAJ	PREVOD NA UCET	12659	55851	SIPO	UV	46330589
1008940	3446	1998-08-14	VYDAJ	PREVOD NA UCET	12659	22299	SIPO	UV	46330589
1008941	3446	1998-09-14	VYDAJ	PREVOD NA UCET	12659	9678	SIPO	UV	46330589
1008942	3446	1998-10-14	VYDAJ	PREVOD NA UCET	12659	55216	SIPO	UV	46330589
1008943	3446	1998-11-14	VYDAJ	PREVOD NA UCET	12659	27683	SIPO	UV	46330589
1008944	3446	1998-12-14	VYDAJ	PREVOD NA UCET	12659	60265	SIPO	UV	46330589
1008951	3446	1997-12-29	VYBER	VYBER	15531	36816	\N	\N	\N
1008952	3446	1997-03-01	VYBER	VYBER	4686	77170	\N	\N	\N
1008954	3446	1997-10-04	VYBER	VYBER	13149	40213	\N	\N	\N
1008956	3446	1997-07-10	VYBER	VYBER	5266	96488	\N	\N	\N
1008957	3446	1997-09-30	VYBER	VYBER	15310	53462	\N	\N	\N
1008958	3446	1998-12-15	VYBER	VYBER	7332	52933	\N	\N	\N
1008959	3446	1998-08-06	VYBER	VYBER	10295	36978	\N	\N	\N
1008960	3446	1998-03-23	VYBER	VYBER	24617	42135	\N	\N	\N
1008962	3446	1998-08-11	VYBER	VYBER	7088	34958	\N	\N	\N
1008963	3446	1998-03-02	VYBER	VYBER	2822	27906	\N	\N	\N
1008965	3446	1997-12-02	VYDAJ	VYBER	4800	32262	\N	\N	\N
1008966	3446	1998-12-09	VYDAJ	VYBER	5700	72924	\N	\N	\N
1008979	3446	1998-01-12	VYDAJ	VYBER	8700	45777	\N	\N	\N
1008980	3446	1998-01-24	VYDAJ	VYBER	7800	27718	\N	\N	\N
1008981	3446	1998-01-02	VYDAJ	VYBER	6300	30585	\N	\N	\N
1008982	3446	1998-01-13	VYDAJ	VYBER	2700	43077	\N	\N	\N
1008983	3446	1998-01-04	VYDAJ	VYBER	4500	26085	\N	\N	\N
1008984	3446	1998-01-11	VYDAJ	VYBER	2100	54477	\N	\N	\N
1008988	3446	1997-05-29	VYDAJ	VYBER	5400	66787	\N	\N	\N
1008989	3446	1997-11-26	VYDAJ	VYBER	9600	36981	\N	\N	\N
1008990	3446	1997-11-01	VYDAJ	VYBER	4800	36433	\N	\N	\N
1008991	3446	1998-01-21	VYDAJ	VYBER	5100	35518	\N	\N	\N
1008992	3446	1998-12-15	VYDAJ	VYBER	9600	43333	\N	\N	\N
1008993	3446	1998-05-11	VYDAJ	VYBER	14100	69058	\N	\N	\N
1008994	3446	1998-03-25	VYDAJ	VYBER	11100	31035	\N	\N	\N
1008995	3446	1998-09-03	VYDAJ	VYBER KARTOU	3900	22337	\N	\N	0
1009010	3446	1997-02-28	VYDAJ	VYBER	100	81856	SLUZBY	\N	\N
1009011	3446	1997-03-31	VYDAJ	VYBER	100	67008	SLUZBY	\N	\N
1009012	3446	1997-04-30	VYDAJ	VYBER	100	69929	SLUZBY	\N	\N
1009013	3446	1997-05-31	VYDAJ	VYBER	100	66984	SLUZBY	\N	\N
1009014	3446	1997-06-30	VYDAJ	VYBER	100	101754	SLUZBY	\N	\N
1009015	3446	1997-07-31	VYDAJ	VYBER	100	74281	SLUZBY	\N	\N
1009016	3446	1997-08-31	VYDAJ	VYBER	100	55979	SLUZBY	\N	\N
1009017	3446	1997-09-30	VYDAJ	VYBER	100	53362	SLUZBY	\N	\N
1009018	3446	1997-10-31	VYDAJ	VYBER	100	41233	SLUZBY	\N	\N
1009019	3446	1997-11-30	VYDAJ	VYBER	100	37062	SLUZBY	\N	\N
1009020	3446	1997-12-31	VYDAJ	VYBER	100	36885	SLUZBY	\N	\N
1009021	3446	1998-01-31	VYDAJ	VYBER	100	27767	SLUZBY	\N	\N
1009022	3446	1998-02-28	VYDAJ	VYBER	100	30728	SLUZBY	\N	\N
1009023	3446	1998-03-31	VYDAJ	VYBER	100	69923	SLUZBY	\N	\N
1009024	3446	1998-04-30	VYDAJ	VYBER	100	68836	SLUZBY	\N	\N
1009025	3446	1998-05-31	VYDAJ	VYBER	100	67178	SLUZBY	\N	\N
1009026	3446	1998-06-30	VYDAJ	VYBER	100	123280	SLUZBY	\N	\N
1009027	3446	1998-07-31	VYDAJ	VYBER	100	47273	SLUZBY	\N	\N
1009028	3446	1998-08-31	VYDAJ	VYBER	100	26237	SLUZBY	\N	\N
1009029	3446	1998-09-30	VYDAJ	VYBER	100	67875	SLUZBY	\N	\N
1009030	3446	1998-10-31	VYDAJ	VYBER	100	40342	SLUZBY	\N	\N
1009031	3446	1998-11-30	VYDAJ	VYBER	100	78624	SLUZBY	\N	\N
1009032	3446	1996-10-27	PRIJEM	VKLAD	13300	14200	\N	\N	\N
1009033	3446	1996-11-26	PRIJEM	VKLAD	8300	22500	\N	\N	\N
1009034	3446	1996-12-26	PRIJEM	VKLAD	3800	26300	\N	\N	\N
1009035	3446	1997-01-25	VYDAJ	VYBER	12900	46943	\N	\N	\N
1009036	3446	1997-02-24	VYDAJ	VYBER	20100	59204	\N	\N	\N
1009037	3446	1997-03-15	VYDAJ	VYBER	58300	56106	\N	\N	\N
1009038	3446	1997-03-26	VYDAJ	VYBER	26300	66804	\N	\N	\N
1009039	3446	1997-04-25	VYDAJ	VYBER	34000	69697	\N	\N	\N
1009040	3446	1997-05-25	VYDAJ	VYBER	34300	72187	\N	\N	\N
1009041	3446	1997-06-24	VYDAJ	VYBER	16700	55560	\N	\N	\N
1009042	3446	1997-07-24	VYDAJ	VYBER	19100	64729	\N	\N	\N
1009043	3446	1997-08-23	VYDAJ	VYBER	11200	55800	\N	\N	\N
1009044	3446	1997-09-10	VYDAJ	VYBER	16700	93684	\N	\N	\N
1009045	3446	1997-09-22	VYDAJ	VYBER	20300	68470	\N	\N	\N
1009046	3446	1997-10-22	PRIJEM	VKLAD	13600	41154	\N	\N	\N
1009047	3446	1997-11-21	PRIJEM	VKLAD	9100	46581	\N	\N	\N
1009048	3446	1997-12-21	VYDAJ	VYBER	2600	52347	\N	\N	\N
1009049	3446	1998-01-20	PRIJEM	VKLAD	10200	40618	\N	\N	\N
1009050	3446	1998-02-19	PRIJEM	VKLAD	15600	30708	\N	\N	\N
1009051	3446	1998-03-21	VYDAJ	VYBER	21100	69790	\N	\N	\N
1009052	3446	1998-03-22	VYDAJ	VYBER	56700	51482	\N	\N	\N
1009053	3446	1998-04-13	VYDAJ	VYBER	53300	105682	\N	\N	\N
1009054	3446	1998-04-20	VYDAJ	VYBER	24400	68623	\N	\N	\N
1009055	3446	1998-05-06	VYDAJ	VYBER	50600	64035	\N	\N	\N
1009056	3446	1998-05-20	VYDAJ	VYBER	10300	54015	\N	\N	\N
1009057	3446	1998-06-07	VYDAJ	VYBER	17100	98785	\N	\N	\N
1009058	3446	1998-06-19	VYDAJ	VYBER	24500	61626	\N	\N	\N
1009059	3446	1998-06-24	VYDAJ	VYBER	18600	120963	\N	\N	\N
1009060	3446	1998-06-26	VYDAJ	VYBER	22600	140671	\N	\N	\N
1009061	3446	1998-06-30	VYDAJ	VYBER	17700	123380	\N	\N	\N
1009062	3446	1998-07-07	VYDAJ	VYBER	33700	109195	\N	\N	\N
1009063	3446	1998-07-14	VYDAJ	VYBER	46700	68510	\N	\N	\N
1009064	3446	1998-07-19	VYDAJ	VYBER	8800	47051	\N	\N	\N
1009065	3446	1998-08-18	PRIJEM	VKLAD	3900	26199	\N	\N	\N
1009066	3446	1998-09-17	PRIJEM	VKLAD	9900	19578	\N	\N	\N
1009067	3446	1998-10-17	VYDAJ	VYBER	15000	40216	\N	\N	\N
1009068	3446	1998-11-16	VYDAJ	VYBER KARTOU	1600	32924	\N	\N	0
1009069	3446	1998-12-16	VYDAJ	VYBER KARTOU	2600	40733	\N	\N	0
1009070	3446	1998-12-29	VYDAJ	VYBER	25600	86262	\N	\N	\N
1009071	3446	1998-12-30	VYDAJ	VYBER	25500	95357	\N	\N	\N
1009426	3448	1996-06-06	PRIJEM	VKLAD	700	700	\N	\N	\N
1009427	3448	1996-06-25	PRIJEM	VKLAD	11546	12246	\N	\N	\N
1009430	3448	1996-09-06	PRIJEM	VKLAD	26017	61268	\N	\N	\N
1009432	3448	1996-11-18	PRIJEM	VKLAD	7310	46369	\N	\N	\N
1009433	3448	1996-10-31	PRIJEM	VKLAD	24509	62589	\N	\N	\N
1009434	3448	1996-07-07	PRIJEM	VKLAD	46159	72394	\N	\N	\N
1009436	3448	1996-07-04	PRIJEM	VKLAD	17079	29335	\N	\N	\N
1009437	3448	1997-06-29	PRIJEM	VKLAD	48806	68478	\N	\N	\N
1009438	3448	1997-10-17	PRIJEM	VKLAD	17809	36642	\N	\N	\N
1009439	3448	1997-08-26	PRIJEM	VKLAD	40614	68423	\N	\N	\N
1009440	3448	1997-01-20	PRIJEM	VKLAD	14412	37785	\N	\N	\N
1009441	3448	1997-04-07	PRIJEM	VKLAD	13057	52861	\N	\N	\N
1009442	3448	1997-04-03	PRIJEM	VKLAD	18492	39804	\N	\N	\N
1009443	3448	1998-03-06	PRIJEM	VKLAD	18929	36101	\N	\N	\N
1009444	3448	1998-03-12	PRIJEM	VKLAD	43252	79353	\N	\N	\N
1009445	3448	1998-04-06	PRIJEM	VKLAD	27413	111583	\N	\N	\N
1009446	3448	1998-06-22	PRIJEM	VKLAD	44664	80944	\N	\N	\N
1009447	3448	1998-03-31	PRIJEM	VKLAD	40584	83976	\N	\N	\N
1009448	3448	1998-07-13	PRIJEM	VKLAD	32356	74398	\N	\N	\N
1009449	3448	1998-10-07	PRIJEM	VKLAD	12192	46930	\N	\N	\N
1009450	3448	1998-04-21	PRIJEM	VKLAD	23207	115629	\N	\N	\N
1009451	3448	1998-05-22	PRIJEM	VKLAD	32262	71563	\N	\N	\N
1009452	3448	1998-12-17	PRIJEM	VKLAD	45563	67282	\N	\N	\N
1009453	3448	1998-10-16	PRIJEM	VKLAD	24045	68114	\N	\N	\N
1009454	3448	1998-09-30	PRIJEM	VKLAD	21820	34702	\N	\N	\N
1009465	3448	1996-10-29	VYDAJ	VYBER	1600	37831	\N	\N	0
1009466	3448	1996-11-25	VYDAJ	VYBER	2600	43769	\N	\N	0
1009467	3448	1997-01-04	VYDAJ	VYBER	2400	24873	\N	\N	0
1009468	3448	1997-02-10	VYDAJ	VYBER	2400	23775	\N	\N	0
1009469	3448	1997-03-13	VYDAJ	VYBER	2600	20452	\N	\N	0
1009470	3448	1997-04-09	VYDAJ	VYBER	1800	51061	\N	\N	0
1009471	3448	1997-05-15	VYDAJ	VYBER	1900	33329	\N	\N	0
1009472	3448	1997-06-02	VYDAJ	VYBER	4200	23772	\N	\N	0
1009473	3448	1997-06-28	VYDAJ	VYBER	4100	19672	\N	\N	0
1009474	3448	1997-08-08	VYDAJ	VYBER	3100	27809	\N	\N	0
1009475	3448	1997-09-14	VYDAJ	VYBER	2700	39745	\N	\N	0
1009476	3448	1997-10-12	VYDAJ	VYBER	2800	18833	\N	\N	0
1009477	3448	1997-11-12	VYDAJ	PREVOD NA UCET	2861	18455	UVER	AB	16375589
1009478	3448	1997-12-12	VYDAJ	PREVOD NA UCET	2861	19352	UVER	AB	16375589
1009479	3448	1998-01-12	VYDAJ	PREVOD NA UCET	2861	15851	UVER	AB	16375589
1009480	3448	1998-02-12	VYDAJ	PREVOD NA UCET	2861	13037	UVER	AB	16375589
1009481	3448	1998-03-12	VYDAJ	PREVOD NA UCET	2861	76492	UVER	AB	16375589
1009482	3448	1998-04-12	VYDAJ	PREVOD NA UCET	2861	92422	UVER	AB	16375589
1009483	3448	1998-05-12	VYDAJ	PREVOD NA UCET	2861	45301	UVER	AB	16375589
1009484	3448	1998-06-12	VYDAJ	PREVOD NA UCET	2861	36280	UVER	AB	16375589
1009485	3448	1998-07-12	VYDAJ	PREVOD NA UCET	2861	42042	UVER	AB	16375589
1009486	3448	1998-08-12	VYDAJ	PREVOD NA UCET	2861	34838	UVER	AB	16375589
1009487	3448	1998-09-12	VYDAJ	PREVOD NA UCET	2861	12882	UVER	AB	16375589
1009488	3448	1998-10-12	VYDAJ	PREVOD NA UCET	2861	44069	UVER	AB	16375589
1009489	3448	1998-11-12	VYDAJ	PREVOD NA UCET	2861	24499	UVER	AB	16375589
1009490	3448	1998-12-12	VYDAJ	PREVOD NA UCET	2861	21719	UVER	AB	16375589
1009500	3448	1997-09-20	VYBER	VYBER	12632	27113	\N	\N	\N
1009517	3448	1996-12-06	VYDAJ	VYBER	2400	30168	\N	\N	\N
1009519	3448	1998-12-24	VYDAJ	VYBER	5400	23782	\N	\N	\N
1009528	3448	1997-01-17	VYDAJ	VYBER	1500	23373	\N	\N	\N
1009530	3448	1997-01-26	VYDAJ	VYBER	8100	29685	\N	\N	\N
1009551	3448	1997-10-21	VYDAJ	VYBER	9300	27342	\N	\N	\N
1009554	3448	1998-05-21	VYDAJ	VYBER	6000	39301	\N	\N	\N
1009565	3448	1996-10-31	VYDAJ	VYBER	30	62559	SLUZBY	\N	\N
1009566	3448	1996-11-30	VYDAJ	VYBER	30	43968	SLUZBY	\N	\N
1009567	3448	1996-12-31	VYDAJ	VYBER	30	30273	SLUZBY	\N	\N
1009568	3448	1997-01-31	VYDAJ	VYBER	30	29775	SLUZBY	\N	\N
1009569	3448	1997-02-28	VYDAJ	VYBER	30	23852	SLUZBY	\N	\N
1009570	3448	1997-03-31	VYDAJ	VYBER	30	20512	SLUZBY	\N	\N
1009571	3448	1997-04-30	VYDAJ	VYBER	30	51229	SLUZBY	\N	\N
1009572	3448	1997-05-31	VYDAJ	VYBER	30	33472	SLUZBY	\N	\N
1009573	3448	1997-06-30	VYDAJ	VYBER	30	68559	SLUZBY	\N	\N
1009574	3448	1997-07-31	VYDAJ	VYBER	30	42209	SLUZBY	\N	\N
1009575	3448	1997-08-31	VYDAJ	VYBER	30	42445	SLUZBY	\N	\N
1009576	3448	1997-09-30	VYDAJ	VYBER	30	21633	SLUZBY	\N	\N
1009577	3448	1997-10-31	VYDAJ	VYBER	30	21316	SLUZBY	\N	\N
1009578	3448	1997-11-30	VYDAJ	VYBER	30	22213	SLUZBY	\N	\N
1009579	3448	1997-12-31	VYDAJ	VYBER	30	18712	SLUZBY	\N	\N
1009580	3448	1998-01-31	VYDAJ	VYBER	30	15897	SLUZBY	\N	\N
1009581	3448	1998-02-28	VYDAJ	VYBER	30	17172	SLUZBY	\N	\N
1009582	3448	1998-03-31	VYDAJ	VYBER	30	84170	SLUZBY	\N	\N
1009583	3448	1998-04-30	VYDAJ	VYBER	30	48162	SLUZBY	\N	\N
1009584	3448	1998-05-31	VYDAJ	VYBER	30	39141	SLUZBY	\N	\N
1009585	3448	1998-06-30	VYDAJ	VYBER	30	44902	SLUZBY	\N	\N
1009586	3448	1998-07-31	VYDAJ	VYBER	30	37699	SLUZBY	\N	\N
1009587	3448	1998-08-31	VYDAJ	VYBER	30	15742	SLUZBY	\N	\N
1009588	3448	1998-09-30	VYDAJ	VYBER	30	34738	SLUZBY	\N	\N
1009589	3448	1998-10-31	VYDAJ	VYBER	30	27359	SLUZBY	\N	\N
1009590	3448	1998-11-30	VYDAJ	VYBER	30	24580	SLUZBY	\N	\N
1009591	3448	1996-07-06	VYDAJ	VYBER	3100	26235	\N	\N	\N
1009592	3448	1996-08-05	VYDAJ	VYBER	26400	46249	\N	\N	\N
1009593	3448	1996-09-04	VYDAJ	VYBER	11300	35251	\N	\N	\N
1009594	3448	1996-10-04	VYDAJ	VYBER	22100	39431	\N	\N	\N
1009595	3448	1996-11-03	VYDAJ	VYBER	23500	39059	\N	\N	\N
1009596	3448	1996-12-03	VYDAJ	VYBER	11400	32568	\N	\N	\N
1009597	3448	1997-01-02	VYDAJ	VYBER	3000	27273	\N	\N	\N
1009598	3448	1997-02-01	VYDAJ	VYBER	3600	26175	\N	\N	\N
1009599	3448	1997-03-03	VYDAJ	VYBER	800	23052	\N	\N	\N
1009600	3448	1997-04-02	PRIJEM	VKLAD	800	21312	\N	\N	\N
1009601	3448	1997-05-02	VYDAJ	VYBER	16000	35229	\N	\N	\N
1009602	3448	1997-06-01	VYDAJ	VYBER	5500	27972	\N	\N	\N
1009603	3448	1997-07-01	VYDAJ	VYBER	26600	41959	\N	\N	\N
1009604	3448	1997-07-31	VYDAJ	VYBER	11300	30909	\N	\N	\N
1009605	3448	1997-08-30	VYDAJ	VYBER	26100	42323	\N	\N	\N
1009606	3448	1997-09-29	VYDAJ	VYBER	5600	21513	\N	\N	\N
1009607	3448	1997-10-29	VYDAJ	VYBER	6100	21242	\N	\N	\N
1009608	3448	1997-11-28	PRIJEM	VKLAD	3700	22155	\N	\N	\N
1009609	3448	1997-12-28	VYDAJ	VYBER	700	18652	\N	\N	\N
1009610	3448	1998-02-26	PRIJEM	VKLAD	4100	17137	\N	\N	\N
1009611	3448	1998-03-28	VYDAJ	VYBER	33100	43392	\N	\N	\N
1009612	3448	1998-04-06	VYDAJ	VYBER	16300	95283	\N	\N	\N
1009613	3448	1998-04-21	VYDAJ	VYBER	30700	84929	\N	\N	\N
1009614	3448	1998-04-27	VYDAJ	VYBER	37100	47829	\N	\N	\N
1009615	3448	1998-05-27	VYDAJ	VYBER	32600	38963	\N	\N	\N
1009616	3448	1998-06-26	VYDAJ	VYBER	36200	44744	\N	\N	\N
1009617	3448	1998-07-26	VYDAJ	VYBER	36900	37498	\N	\N	\N
1009618	3448	1998-08-25	VYDAJ	VYBER	19200	15638	\N	\N	\N
1009619	3448	1998-10-24	VYDAJ	VYBER	40900	27214	\N	\N	\N
1009620	3448	1998-12-23	VYDAJ	VYBER	38100	29182	\N	\N	\N
1009652	3449	1995-04-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1009653	3449	1995-11-16	PRIJEM	VKLAD	12520	40591	\N	\N	\N
1009654	3449	1995-12-03	PRIJEM	VKLAD	4270	41485	\N	\N	\N
1009655	3449	1996-08-25	PRIJEM	VKLAD	43659	72221	\N	\N	\N
1009656	3449	1996-04-28	PRIJEM	VKLAD	4887	35456	\N	\N	\N
1009657	3449	1997-03-23	PRIJEM	VKLAD	28514	66810	\N	\N	\N
1009658	3449	1997-04-17	PRIJEM	VKLAD	18325	71104	\N	\N	\N
1009659	3449	1998-01-30	PRIJEM	VKLAD	9135	59971	\N	\N	\N
1009660	3449	1998-04-07	PRIJEM	VKLAD	21032	81470	\N	\N	\N
1009665	3449	1995-05-13	PRIJEM	VKLAD	600	1600	\N	\N	\N
1009666	3449	1995-06-17	PRIJEM	VKLAD	600	14009	\N	\N	\N
1009667	3449	1995-07-14	PRIJEM	VKLAD	600	22271	\N	\N	\N
1009668	3449	1995-08-15	PRIJEM	VKLAD	600	25663	\N	\N	\N
1009669	3449	1995-09-16	PRIJEM	VKLAD	600	28770	\N	\N	\N
1009670	3449	1995-10-16	PRIJEM	VKLAD	600	27972	\N	\N	\N
1009671	3449	1995-11-17	PRIJEM	VKLAD	600	41191	\N	\N	\N
1009672	3449	1995-12-14	PRIJEM	VKLAD	600	41535	\N	\N	\N
1009673	3449	1996-01-17	PRIJEM	VKLAD	600	36178	\N	\N	\N
1009674	3449	1996-02-16	PRIJEM	VKLAD	600	28752	\N	\N	\N
1009675	3449	1996-03-16	PRIJEM	VKLAD	600	30958	\N	\N	\N
1009676	3449	1996-04-15	PRIJEM	VKLAD	600	30619	\N	\N	\N
1009677	3449	1996-05-14	PRIJEM	VKLAD	600	36171	\N	\N	\N
1009678	3449	1996-06-13	PRIJEM	VKLAD	600	30050	\N	\N	\N
1009679	3449	1996-07-13	PRIJEM	VKLAD	600	28660	\N	\N	\N
1009680	3449	1996-08-17	PRIJEM	VKLAD	600	28462	\N	\N	\N
1009681	3449	1996-09-14	PRIJEM	VKLAD	600	71615	\N	\N	\N
1009682	3449	1996-10-15	PRIJEM	VKLAD	600	54568	\N	\N	\N
1009683	3449	1996-11-14	PRIJEM	VKLAD	600	46662	\N	\N	\N
1009684	3449	1996-12-15	PRIJEM	VKLAD	600	45236	\N	\N	\N
1009685	3449	1997-01-16	PRIJEM	VKLAD	600	37347	\N	\N	\N
1009686	3449	1997-02-17	PRIJEM	VKLAD	600	33678	\N	\N	\N
1009687	3449	1997-03-17	PRIJEM	VKLAD	600	34396	\N	\N	\N
1009688	3449	1997-04-14	PRIJEM	VKLAD	600	67579	\N	\N	\N
1009689	3449	1997-05-16	PRIJEM	VKLAD	600	71574	\N	\N	\N
1009690	3449	1997-06-17	PRIJEM	VKLAD	600	54929	\N	\N	\N
1009691	3449	1997-07-17	PRIJEM	VKLAD	600	48639	\N	\N	\N
1009692	3449	1997-08-16	PRIJEM	VKLAD	600	50224	\N	\N	\N
1009693	3449	1997-09-16	PRIJEM	VKLAD	600	51616	\N	\N	\N
1009694	3449	1997-10-17	PRIJEM	VKLAD	600	53512	\N	\N	\N
1009695	3449	1997-11-13	PRIJEM	VKLAD	600	54116	\N	\N	\N
1009696	3449	1997-12-13	PRIJEM	VKLAD	600	54125	\N	\N	\N
1009697	3449	1998-01-15	PRIJEM	VKLAD	600	54736	\N	\N	\N
1009698	3449	1998-02-13	PRIJEM	VKLAD	600	56980	\N	\N	\N
1009699	3449	1998-03-13	PRIJEM	VKLAD	600	60207	\N	\N	\N
1009700	3449	1998-04-17	PRIJEM	VKLAD	600	69270	\N	\N	\N
1009701	3449	1998-05-17	PRIJEM	VKLAD	600	59732	\N	\N	\N
1009702	3449	1998-06-15	PRIJEM	VKLAD	600	43187	\N	\N	\N
1009703	3449	1998-07-15	PRIJEM	VKLAD	600	48772	\N	\N	\N
1009704	3449	1998-08-17	PRIJEM	VKLAD	600	52950	\N	\N	\N
1009705	3449	1998-09-13	PRIJEM	VKLAD	600	50049	\N	\N	\N
1009706	3449	1998-10-15	PRIJEM	VKLAD	600	52845	\N	\N	\N
1009707	3449	1998-11-15	PRIJEM	VKLAD	600	52545	\N	\N	\N
1009708	3449	1998-12-17	PRIJEM	VKLAD	600	53949	\N	\N	\N
1009710	3449	1996-06-17	VYDAJ	VYBER	5400	24650	\N	\N	\N
1009711	3449	1997-06-20	VYDAJ	VYBER	7900	47029	\N	\N	\N
1009712	3449	1998-06-03	VYDAJ	VYBER	27400	32587	\N	\N	\N
1009713	3449	1995-12-14	VYDAJ	VYBER	1300	40235	\N	\N	\N
1009714	3449	1996-12-26	VYDAJ	VYBER	2700	37736	\N	\N	\N
1009715	3449	1997-12-11	VYDAJ	VYBER KARTOU	2900	51425	\N	\N	0
1009716	3449	1998-12-23	VYDAJ	VYBER KARTOU	800	50949	\N	\N	0
1009723	3449	1996-01-19	VYDAJ	VYBER	750	35428	\N	\N	\N
1009724	3449	1996-01-23	VYDAJ	VYBER	1450	29478	\N	\N	\N
1009725	3449	1996-01-21	VYDAJ	VYBER	250	32178	\N	\N	\N
1009726	3449	1996-01-23	VYDAJ	VYBER	950	30928	\N	\N	\N
1009727	3449	1996-01-20	VYDAJ	VYBER	1100	32428	\N	\N	\N
1009728	3449	1996-01-29	VYDAJ	VYBER	1450	28028	\N	\N	\N
1009729	3449	1997-01-16	VYDAJ	VYBER	400	36947	\N	\N	\N
1009730	3449	1997-01-18	VYDAJ	VYBER	1400	34947	\N	\N	\N
1009731	3449	1997-01-06	VYDAJ	VYBER	1150	36747	\N	\N	\N
1009732	3449	1997-01-28	VYDAJ	VYBER	1000	30147	\N	\N	\N
1009733	3449	1997-01-16	VYDAJ	VYBER	600	36347	\N	\N	\N
1009734	3449	1997-01-20	VYDAJ	VYBER	500	34447	\N	\N	\N
1009735	3449	1998-01-19	VYDAJ	VYBER KARTOU	1100	52336	\N	\N	0
1009736	3449	1998-01-05	VYDAJ	VYBER KARTOU	400	53936	\N	\N	0
1009737	3449	1998-01-16	VYDAJ	VYBER KARTOU	700	53436	\N	\N	0
1009738	3449	1998-01-15	VYDAJ	VYBER KARTOU	600	54136	\N	\N	0
1009739	3449	1998-01-27	VYDAJ	VYBER KARTOU	700	51636	\N	\N	0
1009740	3449	1998-01-27	VYDAJ	VYBER KARTOU	800	50836	\N	\N	0
1009741	3449	1995-12-11	VYDAJ	VYBER	550	40935	\N	\N	\N
1009746	3449	1996-06-06	VYDAJ	VYBER	2100	29450	\N	\N	\N
1009747	3449	1996-01-20	VYDAJ	VYBER	1900	33528	\N	\N	\N
1009748	3449	1996-03-23	VYDAJ	VYBER	850	29908	\N	\N	\N
1009749	3449	1996-09-05	VYDAJ	VYBER	1350	71015	\N	\N	\N
1009750	3449	1996-05-31	VYDAJ	VYBER	1450	31550	\N	\N	\N
1009751	3449	1996-07-26	VYDAJ	VYBER	300	27760	\N	\N	\N
1009752	3449	1996-04-21	VYDAJ	VYBER	1550	30569	\N	\N	\N
1009753	3449	1997-09-17	VYDAJ	VYBER KARTOU	600	51016	\N	\N	0
1009754	3449	1997-08-01	VYDAJ	VYBER KARTOU	900	47924	\N	\N	0
1009755	3449	1997-01-20	VYDAJ	VYBER	2450	31997	\N	\N	\N
1009756	3449	1997-01-23	VYDAJ	VYBER	850	31147	\N	\N	\N
1009757	3449	1997-05-01	VYDAJ	VYBER KARTOU	400	70974	\N	\N	0
1009758	3449	1997-02-05	VYDAJ	VYBER	800	29478	\N	\N	\N
1009759	3449	1997-04-14	VYDAJ	VYBER KARTOU	700	66879	\N	\N	0
1009760	3449	1998-11-05	VYDAJ	VYBER KARTOU	1100	50845	\N	\N	0
1009761	3449	1998-08-21	VYDAJ	VYBER KARTOU	1600	51350	\N	\N	0
1009762	3449	1998-02-01	VYDAJ	VYBER KARTOU	700	59480	\N	\N	0
1009763	3449	1998-08-01	VYDAJ	VYBER KARTOU	2300	46650	\N	\N	0
1009764	3449	1998-12-03	VYDAJ	VYBER KARTOU	1800	50949	\N	\N	0
1009765	3449	1998-11-01	VYDAJ	VYBER KARTOU	1100	51945	\N	\N	0
1009766	3449	1998-12-17	VYDAJ	VYBER KARTOU	2200	51749	\N	\N	0
1009776	3449	1995-09-30	VYDAJ	VYBER	15	27372	SLUZBY	\N	\N
1009777	3449	1995-10-31	VYDAJ	VYBER	15	28071	SLUZBY	\N	\N
1009778	3449	1995-11-30	VYDAJ	VYBER	15	37215	SLUZBY	\N	\N
1009779	3449	1995-12-31	VYDAJ	VYBER	15	35578	SLUZBY	\N	\N
1009780	3449	1996-01-31	VYDAJ	VYBER	15	28152	SLUZBY	\N	\N
1009781	3449	1996-02-29	VYDAJ	VYBER	15	30358	SLUZBY	\N	\N
1009782	3449	1996-03-31	VYDAJ	VYBER	15	30019	SLUZBY	\N	\N
1009783	3449	1996-04-30	VYDAJ	VYBER	15	35571	SLUZBY	\N	\N
1009784	3449	1996-05-31	VYDAJ	VYBER	15	33000	SLUZBY	\N	\N
1009785	3449	1996-06-30	VYDAJ	VYBER	15	28060	SLUZBY	\N	\N
1009786	3449	1996-07-31	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
1009787	3449	1996-08-31	VYDAJ	VYBER	15	72365	SLUZBY	\N	\N
1009788	3449	1996-09-30	VYDAJ	VYBER	15	53968	SLUZBY	\N	\N
1009789	3449	1996-10-31	VYDAJ	VYBER	15	46062	SLUZBY	\N	\N
1009790	3449	1996-11-30	VYDAJ	VYBER	15	44636	SLUZBY	\N	\N
1009791	3449	1996-12-31	VYDAJ	VYBER	15	37897	SLUZBY	\N	\N
1009792	3449	1997-01-31	VYDAJ	VYBER	15	30278	SLUZBY	\N	\N
1009793	3449	1997-02-28	VYDAJ	VYBER	15	33796	SLUZBY	\N	\N
1009794	3449	1997-03-31	VYDAJ	VYBER	15	66979	SLUZBY	\N	\N
1009795	3449	1997-04-30	VYDAJ	VYBER	15	71374	SLUZBY	\N	\N
1009796	3449	1997-05-31	VYDAJ	VYBER	15	58629	SLUZBY	\N	\N
1009797	3449	1997-06-30	VYDAJ	VYBER	15	47239	SLUZBY	\N	\N
1009798	3449	1997-07-31	VYDAJ	VYBER	15	48824	SLUZBY	\N	\N
1009799	3449	1997-08-31	VYDAJ	VYBER	15	50416	SLUZBY	\N	\N
1009800	3449	1997-09-30	VYDAJ	VYBER	15	51212	SLUZBY	\N	\N
1009801	3449	1997-10-31	VYDAJ	VYBER	15	53716	SLUZBY	\N	\N
1009802	3449	1997-11-30	VYDAJ	VYBER	15	54325	SLUZBY	\N	\N
1009803	3449	1997-12-31	VYDAJ	VYBER	15	54336	SLUZBY	\N	\N
1009804	3449	1998-01-31	VYDAJ	VYBER	15	60180	SLUZBY	\N	\N
1009805	3449	1998-02-28	VYDAJ	VYBER	15	57207	SLUZBY	\N	\N
1009806	3449	1998-03-31	VYDAJ	VYBER	15	60438	SLUZBY	\N	\N
1009807	3449	1998-04-30	VYDAJ	VYBER	15	69532	SLUZBY	\N	\N
1009808	3449	1998-05-31	VYDAJ	VYBER	15	59987	SLUZBY	\N	\N
1009809	3449	1998-06-30	VYDAJ	VYBER	15	43372	SLUZBY	\N	\N
1009810	3449	1998-07-31	VYDAJ	VYBER	15	48950	SLUZBY	\N	\N
1009811	3449	1998-08-31	VYDAJ	VYBER	15	51549	SLUZBY	\N	\N
1009812	3449	1998-09-30	VYDAJ	VYBER	15	50245	SLUZBY	\N	\N
1009813	3449	1998-10-31	VYDAJ	VYBER	15	53045	SLUZBY	\N	\N
1009814	3449	1998-11-30	VYDAJ	VYBER	15	52749	SLUZBY	\N	\N
1009815	3449	1995-05-27	PRIJEM	VKLAD	11800	13400	\N	\N	\N
1009816	3449	1995-06-26	PRIJEM	VKLAD	7600	21609	\N	\N	\N
1009817	3449	1995-07-26	PRIJEM	VKLAD	2700	24971	\N	\N	\N
1009818	3449	1995-08-25	PRIJEM	VKLAD	2400	28063	\N	\N	\N
1009819	3449	1995-09-24	VYDAJ	VYBER	1500	27270	\N	\N	\N
1009820	3449	1995-11-23	VYDAJ	VYBER	4100	37091	\N	\N	\N
1009821	3449	1995-12-23	VYDAJ	VYBER	4800	35435	\N	\N	\N
1009822	3449	1996-01-22	VYDAJ	VYBER	300	31878	\N	\N	\N
1009823	3449	1996-02-21	PRIJEM	VKLAD	1500	30252	\N	\N	\N
1009824	3449	1996-03-22	VYDAJ	VYBER	200	30758	\N	\N	\N
1009825	3449	1996-04-21	PRIJEM	VKLAD	1500	32119	\N	\N	\N
1009826	3449	1996-05-21	VYDAJ	VYBER	3300	32871	\N	\N	\N
1009827	3449	1996-06-20	PRIJEM	VKLAD	3300	27950	\N	\N	\N
1009828	3449	1996-07-20	VYDAJ	VYBER	600	28060	\N	\N	\N
1009829	3449	1996-08-19	PRIJEM	VKLAD	100	28562	\N	\N	\N
1009830	3449	1996-09-18	VYDAJ	VYBER	17900	53715	\N	\N	\N
1009831	3449	1996-10-18	VYDAJ	VYBER	8700	45868	\N	\N	\N
1009832	3449	1996-11-17	VYDAJ	VYBER	2200	44462	\N	\N	\N
1009833	3449	1996-12-17	VYDAJ	VYBER	4800	40436	\N	\N	\N
1009834	3449	1997-02-15	PRIJEM	VKLAD	3600	33078	\N	\N	\N
1009835	3449	1997-03-17	PRIJEM	VKLAD	3900	38296	\N	\N	\N
1009836	3449	1997-04-16	VYDAJ	VYBER	14100	52779	\N	\N	\N
1009837	3449	1997-05-16	VYDAJ	VYBER	13200	58374	\N	\N	\N
1009838	3449	1997-06-15	VYDAJ	VYBER	4300	54329	\N	\N	\N
1009839	3449	1997-07-15	PRIJEM	VKLAD	800	48039	\N	\N	\N
1009840	3449	1997-08-14	PRIJEM	VKLAD	1700	49624	\N	\N	\N
1009841	3449	1997-09-13	PRIJEM	VKLAD	600	51016	\N	\N	\N
1009842	3449	1997-10-13	PRIJEM	VKLAD	1700	52912	\N	\N	\N
1009843	3449	1997-11-12	VYDAJ	VYBER KARTOU	200	53516	\N	\N	0
1009844	3449	1997-12-12	PRIJEM	VKLAD	2100	53525	\N	\N	\N
1009845	3449	1998-01-11	PRIJEM	VKLAD	200	54136	\N	\N	\N
1009846	3449	1998-02-10	VYDAJ	VYBER KARTOU	3100	56380	\N	\N	0
1009847	3449	1998-03-12	PRIJEM	VKLAD	2400	59607	\N	\N	\N
1009848	3449	1998-04-11	VYDAJ	VYBER	12800	68670	\N	\N	\N
1009849	3449	1998-05-11	VYDAJ	VYBER	10400	59132	\N	\N	\N
1009850	3449	1998-06-10	PRIJEM	VKLAD	10000	42587	\N	\N	\N
1009851	3449	1998-07-10	PRIJEM	VKLAD	4800	48172	\N	\N	\N
1009852	3449	1998-08-09	PRIJEM	VKLAD	5700	52350	\N	\N	\N
1009853	3449	1998-09-08	VYDAJ	VYBER KARTOU	2100	49449	\N	\N	0
1009854	3449	1998-10-08	PRIJEM	VKLAD	2000	52245	\N	\N	\N
1009855	3449	1998-11-07	PRIJEM	VKLAD	1100	51945	\N	\N	\N
1009856	3449	1998-12-07	PRIJEM	VKLAD	2400	53349	\N	\N	\N
1009901	3450	1996-12-13	PRIJEM	VKLAD	500	500	\N	\N	\N
1009912	3450	1996-12-16	PRIJEM	VKLAD	39260	39760	\N	\N	\N
1009924	3450	1997-05-14	PRIJEM	VKLAD	30196	55604	\N	\N	\N
1009925	3450	1997-06-09	PRIJEM	VKLAD	22421	78229	\N	\N	\N
1009926	3450	1997-12-06	PRIJEM	VKLAD	33530	74930	\N	\N	\N
1009927	3450	1997-06-22	PRIJEM	VKLAD	30820	85649	\N	\N	\N
1009928	3450	1997-09-15	PRIJEM	VKLAD	49728	87859	\N	\N	\N
1009929	3450	1998-05-04	PRIJEM	VKLAD	31253	100543	\N	\N	\N
1009930	3450	1998-11-21	PRIJEM	VKLAD	45757	110988	\N	\N	\N
1009931	3450	1998-07-31	PRIJEM	VKLAD	19244	73434	\N	\N	\N
1009932	3450	1998-10-08	PRIJEM	VKLAD	9683	70464	\N	\N	\N
1009933	3450	1998-10-18	PRIJEM	VKLAD	27616	98080	\N	\N	\N
1009934	3450	1998-05-22	PRIJEM	VKLAD	22385	91728	\N	\N	\N
1009935	3450	1998-06-06	PRIJEM	VKLAD	28136	120187	\N	\N	\N
1009936	3450	1998-11-12	PRIJEM	VKLAD	37899	128731	\N	\N	\N
1009937	3450	1998-09-30	PRIJEM	VKLAD	40253	137045	\N	\N	\N
1009938	3450	1998-09-23	PRIJEM	VKLAD	34386	96792	\N	\N	\N
1009939	3450	1998-07-16	PRIJEM	VKLAD	30550	79838	\N	\N	\N
1009940	3450	1998-03-18	PRIJEM	VKLAD	9214	44973	\N	\N	\N
1009941	3450	1998-01-27	PRIJEM	VKLAD	48445	69563	\N	\N	\N
1009942	3450	1998-11-05	PRIJEM	VKLAD	30280	94534	\N	\N	\N
1009943	3450	1998-04-19	PRIJEM	VKLAD	13147	96666	\N	\N	\N
1009944	3450	1998-04-20	PRIJEM	VKLAD	28593	125259	\N	\N	\N
1009945	3450	1998-04-18	PRIJEM	VKLAD	6860	83519	\N	\N	\N
1009946	3450	1998-06-09	PRIJEM	VKLAD	7099	64186	\N	\N	\N
1009947	3450	1998-12-25	PRIJEM	VKLAD	39232	65254	\N	\N	\N
1009948	3450	1998-08-29	PRIJEM	VKLAD	35763	79451	\N	\N	\N
1009949	3450	1998-01-28	PRIJEM	VKLAD	48061	117624	\N	\N	\N
1009950	3450	1998-06-21	PRIJEM	VKLAD	32893	97079	\N	\N	\N
1009951	3450	1998-04-10	PRIJEM	VKLAD	46248	76659	\N	\N	\N
1009952	3450	1998-04-27	PRIJEM	VKLAD	7721	70353	\N	\N	\N
1009953	3450	1998-09-20	PRIJEM	VKLAD	9999	120806	\N	\N	\N
1009954	3450	1998-09-01	PRIJEM	VKLAD	44227	123927	\N	\N	\N
1009955	3450	1998-09-19	PRIJEM	VKLAD	48280	110807	\N	\N	\N
1009956	3450	1998-04-30	PRIJEM	VKLAD	26225	85440	\N	\N	\N
1009977	3450	1998-07-15	VYBER	VYBER	12632	51088	\N	\N	\N
1009978	3450	1998-08-18	VYBER	VYBER	10532	43688	\N	\N	\N
1009979	3450	1998-02-15	VYBER	VYBER	19286	28394	\N	\N	\N
1009980	3450	1998-11-02	VYBER	VYBER	13465	84954	\N	\N	\N
1009981	3450	1998-05-03	VYBER	VYBER	16136	69290	\N	\N	\N
1009982	3450	1998-12-09	VYBER	VYBER	18191	26022	\N	\N	\N
1009983	3450	1998-12-03	VYBER	VYBER	11332	53913	\N	\N	\N
1009984	3450	1998-04-22	VYBER	VYBER	8927	62632	\N	\N	\N
1009985	3450	1998-11-08	VYBER	VYBER	3702	90832	\N	\N	\N
1009986	3450	1998-04-03	VYBER	VYBER	23997	21111	\N	\N	\N
1009987	3450	1998-07-28	VYBER	VYBER	19048	54190	\N	\N	\N
1009992	3450	1997-12-22	VYDAJ	VYBER	6600	46830	\N	\N	\N
1009993	3450	1998-12-30	VYDAJ	VYBER	2700	62554	\N	\N	\N
1010007	3450	1998-01-01	VYDAJ	VYBER	3000	44018	\N	\N	\N
1010008	3450	1998-01-11	VYDAJ	VYBER	8100	28018	\N	\N	\N
1010009	3450	1998-01-07	VYDAJ	VYBER	5700	38318	\N	\N	\N
1010010	3450	1998-01-15	VYDAJ	VYBER	6900	21118	\N	\N	\N
1010017	3450	1997-09-28	VYDAJ	VYBER	2100	85759	\N	\N	\N
1010020	3450	1997-10-28	VYDAJ	VYBER	12000	44805	\N	\N	\N
1010021	3450	1998-11-13	VYDAJ	VYBER	5700	65231	\N	\N	\N
1010022	3450	1998-07-15	VYDAJ	VYBER	1800	49288	\N	\N	\N
1010023	3450	1998-04-29	VYDAJ	VYBER	11400	58953	\N	\N	\N
1010025	3450	1998-07-19	VYDAJ	VYBER	6600	73238	\N	\N	\N
1010026	3450	1998-09-15	VYDAJ	VYBER	5100	62527	\N	\N	\N
1010027	3450	1998-07-02	VYDAJ	VYBER	1500	95920	\N	\N	\N
1010049	3450	1997-09-30	VYDAJ	VYBER	15	86105	SLUZBY	\N	\N
1010050	3450	1997-10-31	VYDAJ	VYBER	15	45127	SLUZBY	\N	\N
1010051	3450	1997-11-30	VYDAJ	VYBER	15	41400	SLUZBY	\N	\N
1010052	3450	1997-12-31	VYDAJ	VYBER	15	47018	SLUZBY	\N	\N
1010053	3450	1998-01-31	VYDAJ	VYBER	15	57880	SLUZBY	\N	\N
1010054	3450	1998-02-28	VYDAJ	VYBER	15	28559	SLUZBY	\N	\N
1010055	3450	1998-03-31	VYDAJ	VYBER	15	45108	SLUZBY	\N	\N
1010056	3450	1998-04-30	VYDAJ	VYBER	15	85426	SLUZBY	\N	\N
1010057	3450	1998-05-31	VYDAJ	VYBER	15	92051	SLUZBY	\N	\N
1010058	3450	1998-06-30	VYDAJ	VYBER	15	97420	SLUZBY	\N	\N
1010059	3450	1998-07-31	VYDAJ	VYBER	15	73720	SLUZBY	\N	\N
1010060	3450	1998-08-31	VYDAJ	VYBER	15	79700	SLUZBY	\N	\N
1010061	3450	1998-09-30	VYDAJ	VYBER	15	78781	SLUZBY	\N	\N
1010062	3450	1998-10-31	VYDAJ	VYBER	15	98419	SLUZBY	\N	\N
1010063	3450	1998-11-30	VYDAJ	VYBER	15	65245	SLUZBY	\N	\N
1010064	3450	1997-01-12	VYDAJ	VYBER	7000	32846	\N	\N	\N
1010065	3450	1997-02-11	VYDAJ	VYBER	3400	29611	\N	\N	\N
1010066	3450	1997-03-13	VYDAJ	VYBER	2200	27577	\N	\N	\N
1010067	3450	1997-04-12	VYDAJ	VYBER	4200	23543	\N	\N	\N
1010068	3450	1997-05-12	PRIJEM	VKLAD	1700	25408	\N	\N	\N
1010069	3450	1997-06-11	VYDAJ	VYBER	23400	54829	\N	\N	\N
1010070	3450	1997-07-11	VYDAJ	VYBER	27500	58417	\N	\N	\N
1010071	3450	1997-08-10	VYDAJ	VYBER	16800	41974	\N	\N	\N
1010072	3450	1997-09-09	VYDAJ	VYBER	4200	38131	\N	\N	\N
1010073	3450	1997-10-09	VYDAJ	VYBER	29300	56805	\N	\N	\N
1010074	3450	1997-11-08	VYDAJ	VYBER	3900	41227	\N	\N	\N
1010075	3450	1997-12-08	VYDAJ	VYBER	21500	53430	\N	\N	\N
1010076	3450	1998-01-07	VYDAJ	VYBER	2200	36118	\N	\N	\N
1010077	3450	1998-01-28	VYDAJ	VYBER	59900	57724	\N	\N	\N
1010078	3450	1998-02-06	VYDAJ	VYBER	10200	47680	\N	\N	\N
1010079	3450	1998-03-08	PRIJEM	VKLAD	7200	35759	\N	\N	\N
1010080	3450	1998-04-07	PRIJEM	VKLAD	9300	30411	\N	\N	\N
1010081	3450	1998-04-20	VYDAJ	VYBER	53700	71559	\N	\N	\N
1010082	3450	1998-05-07	VYDAJ	VYBER	31200	69343	\N	\N	\N
1010083	3450	1998-06-06	VYDAJ	VYBER	33800	86387	\N	\N	\N
1010084	3450	1998-06-06	VYDAJ	VYBER	29300	57087	\N	\N	\N
1010085	3450	1998-07-06	VYDAJ	VYBER	32200	63720	\N	\N	\N
1010086	3450	1998-08-05	VYDAJ	VYBER	19500	54220	\N	\N	\N
1010087	3450	1998-09-01	VYDAJ	VYBER	21300	102627	\N	\N	\N
1010088	3450	1998-09-04	VYDAJ	VYBER	35000	67627	\N	\N	\N
1010089	3450	1998-09-20	VYDAJ	VYBER	58400	62406	\N	\N	\N
1010090	3450	1998-09-30	VYDAJ	VYBER	58600	78796	\N	\N	\N
1010091	3450	1998-10-04	VYDAJ	VYBER	18000	60781	\N	\N	\N
1010092	3450	1998-11-03	VYDAJ	VYBER	20700	64254	\N	\N	\N
1010093	3450	1998-11-12	VYDAJ	VYBER	57800	70931	\N	\N	\N
1010094	3450	1998-11-21	VYDAJ	VYBER	46100	64888	\N	\N	\N
1010095	3450	1998-12-03	VYDAJ	VYBER	9700	44213	\N	\N	\N
1010121	3451	1996-04-27	PRIJEM	VKLAD	800	800	\N	\N	\N
1010126	3451	1996-05-06	PRIJEM	VKLAD	18769	19569	\N	\N	\N
1010127	3451	1996-06-06	PRIJEM	VKLAD	28154	46235	\N	\N	\N
1010128	3451	1996-07-06	PRIJEM	VKLAD	18769	52490	\N	\N	\N
1010129	3451	1996-08-06	PRIJEM	VKLAD	18769	56502	\N	\N	\N
1010130	3451	1996-09-06	PRIJEM	VKLAD	18769	58029	\N	\N	\N
1010131	3451	1996-10-06	PRIJEM	VKLAD	18769	58970	\N	\N	\N
1010132	3451	1996-11-06	PRIJEM	VKLAD	18769	57412	\N	\N	\N
1010133	3451	1996-12-06	PRIJEM	VKLAD	28154	66632	\N	\N	\N
1010134	3451	1997-01-06	PRIJEM	VKLAD	18769	59609	\N	\N	\N
1010135	3451	1997-02-06	PRIJEM	VKLAD	18769	49837	\N	\N	\N
1010136	3451	1997-03-06	PRIJEM	VKLAD	18769	53844	\N	\N	\N
1010137	3451	1997-04-06	PRIJEM	VKLAD	18769	52465	\N	\N	\N
1010138	3451	1997-05-06	PRIJEM	VKLAD	18769	50676	\N	\N	\N
1010139	3451	1997-06-06	PRIJEM	VKLAD	28154	48778	\N	\N	\N
1010140	3451	1997-07-06	PRIJEM	VKLAD	18769	34774	\N	\N	\N
1010141	3451	1997-08-06	PRIJEM	VKLAD	18769	39018	\N	\N	\N
1010142	3451	1997-09-06	PRIJEM	VKLAD	18769	41176	\N	\N	\N
1010143	3451	1997-10-06	PRIJEM	VKLAD	18769	32429	\N	\N	\N
1010144	3451	1997-11-06	PRIJEM	VKLAD	18769	34874	\N	\N	\N
1010145	3451	1997-12-06	PRIJEM	VKLAD	28154	43190	\N	\N	\N
1010146	3451	1998-01-06	PRIJEM	VKLAD	18769	36054	\N	\N	\N
1010147	3451	1998-02-06	PRIJEM	VKLAD	18769	34983	\N	\N	\N
1010148	3451	1998-03-06	PRIJEM	VKLAD	18769	32009	\N	\N	\N
1010149	3451	1998-04-06	PRIJEM	VKLAD	18769	43752	\N	\N	\N
1010150	3451	1998-05-06	PRIJEM	VKLAD	18769	47855	\N	\N	\N
1010151	3451	1998-06-06	PRIJEM	VKLAD	28154	47123	\N	\N	\N
1010152	3451	1998-07-06	PRIJEM	VKLAD	18769	33161	\N	\N	\N
1010153	3451	1998-08-06	PRIJEM	VKLAD	18769	41189	\N	\N	\N
1010154	3451	1998-09-06	PRIJEM	VKLAD	18769	35749	\N	\N	\N
1010155	3451	1998-10-06	PRIJEM	VKLAD	18769	47507	\N	\N	\N
1010156	3451	1998-11-06	PRIJEM	VKLAD	18769	32750	\N	\N	\N
1010157	3451	1998-12-06	PRIJEM	VKLAD	28154	46680	\N	\N	\N
1010166	3451	1996-09-12	VYDAJ	PREVOD NA UCET	7097	50932	SIPO	UV	61476659
1010167	3451	1996-10-12	VYDAJ	PREVOD NA UCET	7097	51873	SIPO	UV	61476659
1010168	3451	1996-11-12	VYDAJ	PREVOD NA UCET	7097	50315	SIPO	UV	61476659
1010169	3451	1996-12-12	VYDAJ	PREVOD NA UCET	7097	58255	SIPO	UV	61476659
1010170	3451	1997-01-12	VYDAJ	PREVOD NA UCET	7097	52512	SIPO	UV	61476659
1010171	3451	1997-02-12	VYDAJ	PREVOD NA UCET	7097	42740	SIPO	UV	61476659
1010172	3451	1997-03-12	VYDAJ	PREVOD NA UCET	7097	46747	SIPO	UV	61476659
1010173	3451	1997-04-12	VYDAJ	PREVOD NA UCET	7097	45368	SIPO	UV	61476659
1010174	3451	1997-05-12	VYDAJ	PREVOD NA UCET	7097	38899	SIPO	UV	61476659
1010175	3451	1997-06-12	VYDAJ	PREVOD NA UCET	7097	41681	SIPO	UV	61476659
1010176	3451	1997-07-12	VYDAJ	PREVOD NA UCET	7097	27677	SIPO	UV	61476659
1010177	3451	1997-08-12	VYDAJ	PREVOD NA UCET	7097	31921	SIPO	UV	61476659
1010178	3451	1997-09-12	VYDAJ	PREVOD NA UCET	7097	34079	SIPO	UV	61476659
1010179	3451	1997-10-12	VYDAJ	PREVOD NA UCET	7097	25332	SIPO	UV	61476659
1010180	3451	1997-11-12	VYDAJ	PREVOD NA UCET	7097	27777	SIPO	UV	61476659
1010181	3451	1997-12-12	VYDAJ	PREVOD NA UCET	7097	35013	SIPO	UV	61476659
1010182	3451	1998-01-12	VYDAJ	PREVOD NA UCET	7097	17117	SIPO	UV	61476659
1010183	3451	1998-02-12	VYDAJ	PREVOD NA UCET	7097	27886	SIPO	UV	61476659
1010184	3451	1998-03-12	VYDAJ	PREVOD NA UCET	7097	24912	SIPO	UV	61476659
1010185	3451	1998-04-12	VYDAJ	PREVOD NA UCET	7097	36655	SIPO	UV	61476659
1010186	3451	1998-05-12	VYDAJ	PREVOD NA UCET	7097	40758	SIPO	UV	61476659
1010187	3451	1998-06-12	VYDAJ	PREVOD NA UCET	7097	40026	SIPO	UV	61476659
1010188	3451	1998-07-12	VYDAJ	PREVOD NA UCET	7097	26064	SIPO	UV	61476659
1010189	3451	1998-08-12	VYDAJ	PREVOD NA UCET	7097	34092	SIPO	UV	61476659
1010190	3451	1998-09-12	VYDAJ	PREVOD NA UCET	7097	28652	SIPO	UV	61476659
1010191	3451	1998-10-12	VYDAJ	PREVOD NA UCET	7097	40410	SIPO	UV	61476659
1010192	3451	1998-11-12	VYDAJ	PREVOD NA UCET	7097	25653	SIPO	UV	61476659
1010193	3451	1998-12-12	VYDAJ	PREVOD NA UCET	7097	39583	SIPO	UV	61476659
1010195	3451	1997-06-28	VYDAJ	VYBER	13280	15901	\N	\N	\N
1010198	3451	1997-01-21	VYDAJ	VYBER	15200	37312	\N	\N	\N
1010199	3451	1998-01-11	VYDAJ	VYBER	11840	24214	\N	\N	\N
1010200	3451	1996-12-10	VYDAJ	VYBER	1280	65352	\N	\N	\N
1010202	3451	1998-12-05	VYDAJ	VYBER	1920	18527	\N	\N	\N
1010206	3451	1997-05-07	VYDAJ	VYBER	4680	45996	\N	\N	\N
1010207	3451	1997-09-29	VYDAJ	VYBER	3120	14659	\N	\N	\N
1010208	3451	1997-12-11	VYDAJ	VYBER	1080	42110	\N	\N	\N
1010209	3451	1997-03-28	VYDAJ	VYBER	3000	33547	\N	\N	\N
1010210	3451	1997-05-27	VYDAJ	VYBER	5400	20499	\N	\N	\N
1010211	3451	1997-10-04	VYDAJ	VYBER	1080	13660	\N	\N	\N
1010212	3451	1998-12-03	VYDAJ	VYBER	5280	20447	\N	\N	\N
1010213	3451	1998-04-15	VYDAJ	VYBER	3720	32935	\N	\N	\N
1010214	3451	1998-01-29	VYDAJ	VYBER	960	16157	\N	\N	\N
1010215	3451	1998-05-04	VYDAJ	VYBER	3960	29086	\N	\N	\N
1010216	3451	1998-08-02	VYDAJ	VYBER	3720	22420	\N	\N	\N
1010226	3451	1996-09-30	VYDAJ	VYBER	15	40201	SLUZBY	\N	\N
1010227	3451	1996-10-31	VYDAJ	VYBER	15	38643	SLUZBY	\N	\N
1010228	3451	1996-11-30	VYDAJ	VYBER	15	38479	SLUZBY	\N	\N
1010229	3451	1996-12-31	VYDAJ	VYBER	15	40840	SLUZBY	\N	\N
1010230	3451	1997-01-31	VYDAJ	VYBER	15	31068	SLUZBY	\N	\N
1010231	3451	1997-02-28	VYDAJ	VYBER	15	35075	SLUZBY	\N	\N
1010232	3451	1997-03-31	VYDAJ	VYBER	15	33696	SLUZBY	\N	\N
1010233	3451	1997-04-30	VYDAJ	VYBER	15	31907	SLUZBY	\N	\N
1010234	3451	1997-05-31	VYDAJ	VYBER	15	20625	SLUZBY	\N	\N
1010235	3451	1997-06-30	VYDAJ	VYBER	15	16005	SLUZBY	\N	\N
1010236	3451	1997-07-31	VYDAJ	VYBER	15	20249	SLUZBY	\N	\N
1010237	3451	1997-08-31	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
1010238	3451	1997-09-30	VYDAJ	VYBER	15	14740	SLUZBY	\N	\N
1010239	3451	1997-10-31	VYDAJ	VYBER	15	16105	SLUZBY	\N	\N
1010240	3451	1997-11-30	VYDAJ	VYBER	15	15037	SLUZBY	\N	\N
1010241	3451	1997-12-31	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
1010242	3451	1998-01-31	VYDAJ	VYBER	15	16214	SLUZBY	\N	\N
1010243	3451	1998-02-28	VYDAJ	VYBER	15	13240	SLUZBY	\N	\N
1010244	3451	1998-03-31	VYDAJ	VYBER	15	24983	SLUZBY	\N	\N
1010245	3451	1998-04-30	VYDAJ	VYBER	15	33046	SLUZBY	\N	\N
1010246	3451	1998-05-31	VYDAJ	VYBER	15	18969	SLUZBY	\N	\N
1010247	3451	1998-06-30	VYDAJ	VYBER	15	14392	SLUZBY	\N	\N
1010248	3451	1998-07-31	VYDAJ	VYBER	15	26140	SLUZBY	\N	\N
1010249	3451	1998-08-31	VYDAJ	VYBER	15	16980	SLUZBY	\N	\N
1010250	3451	1998-09-30	VYDAJ	VYBER	15	28738	SLUZBY	\N	\N
1010251	3451	1998-10-31	VYDAJ	VYBER	15	13981	SLUZBY	\N	\N
1010252	3451	1998-11-30	VYDAJ	VYBER	15	25727	SLUZBY	\N	\N
1010253	3451	1996-05-27	VYDAJ	VYBER	1500	18069	\N	\N	\N
1010254	3451	1996-06-26	VYDAJ	VYBER	12600	33635	\N	\N	\N
1010255	3451	1996-07-26	VYDAJ	VYBER	14900	37590	\N	\N	\N
1010256	3451	1996-08-25	VYDAJ	VYBER	17400	39102	\N	\N	\N
1010257	3451	1996-09-24	VYDAJ	VYBER	10900	40032	\N	\N	\N
1010258	3451	1996-10-24	VYDAJ	VYBER	13400	38473	\N	\N	\N
1010259	3451	1996-11-23	VYDAJ	VYBER	12000	38315	\N	\N	\N
1010260	3451	1996-12-23	VYDAJ	VYBER	17600	40655	\N	\N	\N
1010261	3451	1997-01-22	VYDAJ	VYBER	6400	30912	\N	\N	\N
1010262	3451	1997-02-21	VYDAJ	VYBER	7800	34940	\N	\N	\N
1010263	3451	1997-03-23	VYDAJ	VYBER	10200	36547	\N	\N	\N
1010264	3451	1997-04-22	VYDAJ	VYBER	13600	31768	\N	\N	\N
1010265	3451	1997-05-22	VYDAJ	VYBER	13000	25899	\N	\N	\N
1010266	3451	1997-06-21	VYDAJ	VYBER	12500	29181	\N	\N	\N
1010267	3451	1997-07-21	VYDAJ	VYBER	7500	20177	\N	\N	\N
1010268	3451	1997-08-20	VYDAJ	VYBER	9600	22321	\N	\N	\N
1010269	3451	1997-09-19	VYDAJ	VYBER	16300	17779	\N	\N	\N
1010270	3451	1997-10-19	VYDAJ	VYBER	9300	16032	\N	\N	\N
1010271	3451	1997-11-18	VYDAJ	VYBER	12800	14977	\N	\N	\N
1010272	3451	1997-12-18	VYDAJ	VYBER	17800	17213	\N	\N	\N
1010273	3451	1998-02-16	VYDAJ	VYBER	14700	13186	\N	\N	\N
1010274	3451	1998-05-17	VYDAJ	VYBER	21900	18858	\N	\N	\N
1010275	3451	1998-06-16	VYDAJ	VYBER	25700	14326	\N	\N	\N
1010276	3451	1998-08-15	VYDAJ	VYBER	17200	16892	\N	\N	\N
1010277	3451	1998-10-14	VYDAJ	VYBER	26500	13910	\N	\N	\N
1010310	3452	1996-12-13	PRIJEM	VKLAD	800	800	\N	\N	\N
1010322	3452	1996-12-14	PRIJEM	PREVOD Z UCTU	4694	5494	DUCHOD	ST	77822822
1010323	3452	1997-01-14	PRIJEM	PREVOD Z UCTU	4694	10201	DUCHOD	ST	77822822
1010324	3452	1997-02-14	PRIJEM	PREVOD Z UCTU	4694	14918	DUCHOD	ST	77822822
1010325	3452	1997-03-14	PRIJEM	PREVOD Z UCTU	4694	19635	DUCHOD	ST	77822822
1010326	3452	1997-04-14	PRIJEM	PREVOD Z UCTU	4694	24352	DUCHOD	ST	77822822
1010327	3452	1997-05-14	PRIJEM	PREVOD Z UCTU	4694	25962	DUCHOD	ST	77822822
1010328	3452	1997-06-14	PRIJEM	PREVOD Z UCTU	4694	27605	DUCHOD	ST	77822822
1010329	3452	1997-07-14	PRIJEM	PREVOD Z UCTU	4694	25548	DUCHOD	ST	77822822
1010330	3452	1997-08-14	PRIJEM	PREVOD Z UCTU	4694	27189	DUCHOD	ST	77822822
1010331	3452	1997-09-14	PRIJEM	PREVOD Z UCTU	4694	28837	DUCHOD	ST	77822822
1010332	3452	1997-10-14	PRIJEM	PREVOD Z UCTU	4694	30492	DUCHOD	ST	77822822
1010333	3452	1997-11-14	PRIJEM	PREVOD Z UCTU	4694	32154	DUCHOD	ST	77822822
1010334	3452	1997-12-14	PRIJEM	PREVOD Z UCTU	4694	28448	DUCHOD	ST	77822822
1010335	3452	1998-01-14	PRIJEM	PREVOD Z UCTU	4694	25864	DUCHOD	ST	77822822
1010336	3452	1998-02-14	PRIJEM	PREVOD Z UCTU	4694	25433	DUCHOD	ST	77822822
1010337	3452	1998-03-14	PRIJEM	PREVOD Z UCTU	4694	27073	DUCHOD	ST	77822822
1010338	3452	1998-04-14	PRIJEM	PREVOD Z UCTU	4694	28727	DUCHOD	ST	77822822
1010339	3452	1998-05-14	PRIJEM	PREVOD Z UCTU	4694	26869	DUCHOD	ST	77822822
1010340	3452	1998-06-14	PRIJEM	PREVOD Z UCTU	4694	27640	DUCHOD	ST	77822822
1010341	3452	1998-07-14	PRIJEM	PREVOD Z UCTU	4694	29297	DUCHOD	ST	77822822
1010342	3452	1998-08-14	PRIJEM	PREVOD Z UCTU	4694	30953	DUCHOD	ST	77822822
1010343	3452	1998-09-14	PRIJEM	PREVOD Z UCTU	4694	29095	DUCHOD	ST	77822822
1010344	3452	1998-10-14	PRIJEM	PREVOD Z UCTU	4694	28749	DUCHOD	ST	77822822
1010345	3452	1998-11-14	PRIJEM	PREVOD Z UCTU	4694	26969	DUCHOD	ST	77822822
1010346	3452	1998-12-14	PRIJEM	PREVOD Z UCTU	4694	27265	DUCHOD	ST	77822822
1010362	3452	1997-04-14	VYDAJ	PREVOD NA UCET	3129	21223	SIPO	CD	27763378
1010363	3452	1997-05-14	VYDAJ	PREVOD NA UCET	3129	22833	SIPO	CD	27763378
1010364	3452	1997-06-14	VYDAJ	PREVOD NA UCET	3129	24476	SIPO	CD	27763378
1010365	3452	1997-07-14	VYDAJ	PREVOD NA UCET	3129	22419	SIPO	CD	27763378
1010366	3452	1997-08-14	VYDAJ	PREVOD NA UCET	3129	24060	SIPO	CD	27763378
1010367	3452	1997-09-14	VYDAJ	PREVOD NA UCET	3129	25708	SIPO	CD	27763378
1010368	3452	1997-10-14	VYDAJ	PREVOD NA UCET	3129	27363	SIPO	CD	27763378
1010369	3452	1997-11-14	VYDAJ	PREVOD NA UCET	3129	29025	SIPO	CD	27763378
1010370	3452	1997-12-14	VYDAJ	PREVOD NA UCET	3129	25319	SIPO	CD	27763378
1010371	3452	1998-01-14	VYDAJ	PREVOD NA UCET	3129	22735	SIPO	CD	27763378
1010372	3452	1998-02-14	VYDAJ	PREVOD NA UCET	3129	22304	SIPO	CD	27763378
1010373	3452	1998-03-14	VYDAJ	PREVOD NA UCET	3129	23944	SIPO	CD	27763378
1010374	3452	1998-04-14	VYDAJ	PREVOD NA UCET	3129	25598	SIPO	CD	27763378
1010375	3452	1998-05-14	VYDAJ	PREVOD NA UCET	3129	23740	SIPO	CD	27763378
1010376	3452	1998-06-14	VYDAJ	PREVOD NA UCET	3129	24511	SIPO	CD	27763378
1010377	3452	1998-07-14	VYDAJ	PREVOD NA UCET	3129	26168	SIPO	CD	27763378
1010378	3452	1998-08-14	VYDAJ	PREVOD NA UCET	3129	27824	SIPO	CD	27763378
1010379	3452	1998-09-14	VYDAJ	PREVOD NA UCET	3129	25966	SIPO	CD	27763378
1010380	3452	1998-10-14	VYDAJ	PREVOD NA UCET	3129	25620	SIPO	CD	27763378
1010381	3452	1998-11-14	VYDAJ	PREVOD NA UCET	3129	23840	SIPO	CD	27763378
1010382	3452	1998-12-14	VYDAJ	PREVOD NA UCET	3129	24136	SIPO	CD	27763378
1010384	3452	1997-06-18	VYDAJ	VYBER	3700	20776	\N	\N	\N
1010387	3452	1997-12-07	VYDAJ	VYBER	1450	25114	\N	\N	\N
1010388	3452	1998-12-06	VYDAJ	VYBER	1350	22571	\N	\N	\N
1010401	3452	1998-01-28	VYDAJ	VYBER	1200	20655	\N	\N	\N
1010402	3452	1998-01-27	VYDAJ	VYBER	400	21855	\N	\N	\N
1010403	3452	1998-01-11	VYDAJ	VYBER	2160	21170	\N	\N	\N
1010404	3452	1998-01-23	VYDAJ	VYBER	480	22255	\N	\N	\N
1010405	3452	1998-01-04	VYDAJ	VYBER	1520	23890	\N	\N	\N
1010406	3452	1998-01-06	VYDAJ	VYBER	560	23330	\N	\N	\N
1010412	3452	1997-11-25	VYDAJ	VYBER	400	26465	\N	\N	\N
1010413	3452	1997-12-07	VYDAJ	VYBER	1360	23754	\N	\N	\N
1010414	3452	1997-11-19	VYDAJ	VYBER	2160	26865	\N	\N	\N
1010417	3452	1998-05-24	VYDAJ	VYBER	880	22860	\N	\N	\N
1010418	3452	1998-05-10	VYDAJ	VYBER	3520	22175	\N	\N	\N
1010419	3452	1998-09-19	VYDAJ	VYBER	960	25006	\N	\N	\N
1010420	3452	1998-12-16	VYDAJ	VYBER	2880	21256	\N	\N	\N
1010421	3452	1998-08-28	VYDAJ	VYBER	3520	24304	\N	\N	\N
1010422	3452	1998-09-29	VYDAJ	VYBER	1040	23966	\N	\N	\N
1010423	3452	1998-10-30	VYDAJ	VYBER	3440	22180	\N	\N	\N
1010440	3452	1997-04-30	VYDAJ	VYBER	15	21268	SLUZBY	\N	\N
1010441	3452	1997-05-31	VYDAJ	VYBER	15	22911	SLUZBY	\N	\N
1010442	3452	1997-06-30	VYDAJ	VYBER	15	20854	SLUZBY	\N	\N
1010443	3452	1997-07-31	VYDAJ	VYBER	15	22495	SLUZBY	\N	\N
1010444	3452	1997-08-31	VYDAJ	VYBER	15	24143	SLUZBY	\N	\N
1010445	3452	1997-09-30	VYDAJ	VYBER	15	25798	SLUZBY	\N	\N
1010446	3452	1997-10-31	VYDAJ	VYBER	15	27460	SLUZBY	\N	\N
1010447	3452	1997-11-30	VYDAJ	VYBER	15	26564	SLUZBY	\N	\N
1010448	3452	1997-12-31	VYDAJ	VYBER	15	25410	SLUZBY	\N	\N
1010449	3452	1998-01-31	VYDAJ	VYBER	15	20739	SLUZBY	\N	\N
1010450	3452	1998-02-28	VYDAJ	VYBER	15	22379	SLUZBY	\N	\N
1010451	3452	1998-03-31	VYDAJ	VYBER	15	24033	SLUZBY	\N	\N
1010452	3452	1998-04-30	VYDAJ	VYBER	15	25695	SLUZBY	\N	\N
1010453	3452	1998-05-31	VYDAJ	VYBER	15	22946	SLUZBY	\N	\N
1010454	3452	1998-06-30	VYDAJ	VYBER	15	24603	SLUZBY	\N	\N
1010455	3452	1998-07-31	VYDAJ	VYBER	15	26259	SLUZBY	\N	\N
1010456	3452	1998-08-31	VYDAJ	VYBER	15	24401	SLUZBY	\N	\N
1010457	3452	1998-09-30	VYDAJ	VYBER	15	24055	SLUZBY	\N	\N
1010458	3452	1998-10-31	VYDAJ	VYBER	15	22275	SLUZBY	\N	\N
1010459	3452	1998-11-30	VYDAJ	VYBER	15	23921	SLUZBY	\N	\N
1010485	3453	1995-06-08	PRIJEM	VKLAD	700	700	\N	\N	\N
1010491	3453	1995-06-09	PRIJEM	VKLAD	32992	33692	\N	\N	\N
1010492	3453	1995-07-09	PRIJEM	VKLAD	21995	50390	\N	\N	\N
1010493	3453	1995-08-09	PRIJEM	VKLAD	21995	55877	\N	\N	\N
1010494	3453	1995-09-09	PRIJEM	VKLAD	21995	61899	\N	\N	\N
1010495	3453	1995-10-09	PRIJEM	VKLAD	21995	65145	\N	\N	\N
1010496	3453	1995-11-09	PRIJEM	VKLAD	21995	62431	\N	\N	\N
1010497	3453	1995-12-09	PRIJEM	VKLAD	32992	72580	\N	\N	\N
1010498	3453	1996-01-09	PRIJEM	VKLAD	21995	66358	\N	\N	\N
1010499	3453	1996-02-09	PRIJEM	VKLAD	21995	59141	\N	\N	\N
1010500	3453	1996-03-09	PRIJEM	VKLAD	21995	61296	\N	\N	\N
1010501	3453	1996-04-09	PRIJEM	VKLAD	21995	63958	\N	\N	\N
1010502	3453	1996-05-09	PRIJEM	VKLAD	21995	59831	\N	\N	\N
1010503	3453	1996-06-09	PRIJEM	VKLAD	32992	67768	\N	\N	\N
1010504	3453	1996-07-09	PRIJEM	VKLAD	21995	55904	\N	\N	\N
1010505	3453	1996-08-09	PRIJEM	VKLAD	21995	54255	\N	\N	\N
1010506	3453	1996-09-09	PRIJEM	VKLAD	21995	51890	\N	\N	\N
1010507	3453	1996-10-09	PRIJEM	VKLAD	21995	53697	\N	\N	\N
1010508	3453	1996-11-09	PRIJEM	VKLAD	21995	48787	\N	\N	\N
1010509	3453	1996-12-09	PRIJEM	VKLAD	32992	62256	\N	\N	\N
1010510	3453	1997-01-09	PRIJEM	VKLAD	21995	56568	\N	\N	\N
1010511	3453	1997-02-09	PRIJEM	VKLAD	21995	48082	\N	\N	\N
1010512	3453	1997-03-09	PRIJEM	VKLAD	21995	46647	\N	\N	\N
1010513	3453	1997-04-09	PRIJEM	VKLAD	21995	43825	\N	\N	\N
1010514	3453	1997-05-09	PRIJEM	VKLAD	21995	43273	\N	\N	\N
1010515	3453	1997-06-09	PRIJEM	VKLAD	32992	53717	\N	\N	\N
1010516	3453	1997-07-09	PRIJEM	VKLAD	21995	37859	\N	\N	\N
1010517	3453	1997-08-09	PRIJEM	VKLAD	21995	38296	\N	\N	\N
1010518	3453	1997-09-09	PRIJEM	VKLAD	21995	40817	\N	\N	\N
1010519	3453	1997-10-09	PRIJEM	VKLAD	21995	40961	\N	\N	\N
1010520	3453	1997-11-09	PRIJEM	VKLAD	21995	45493	\N	\N	\N
1010521	3453	1997-12-09	PRIJEM	VKLAD	32992	51545	\N	\N	\N
1010522	3453	1998-01-09	PRIJEM	VKLAD	21995	43595	\N	\N	\N
1010523	3453	1998-02-09	PRIJEM	VKLAD	21995	39721	\N	\N	\N
1010524	3453	1998-03-09	PRIJEM	VKLAD	21995	46547	\N	\N	\N
1010525	3453	1998-04-09	PRIJEM	VKLAD	21995	47797	\N	\N	\N
1010526	3453	1998-05-09	PRIJEM	VKLAD	21995	51254	\N	\N	\N
1010527	3453	1998-06-09	PRIJEM	VKLAD	32992	66036	\N	\N	\N
1010528	3453	1998-07-09	PRIJEM	VKLAD	21995	55027	\N	\N	\N
1010529	3453	1998-08-09	PRIJEM	VKLAD	21995	59625	\N	\N	\N
1010530	3453	1998-09-09	PRIJEM	VKLAD	21995	55028	\N	\N	\N
1010531	3453	1998-10-09	PRIJEM	VKLAD	21995	57608	\N	\N	\N
1010532	3453	1998-11-09	PRIJEM	VKLAD	21995	46897	\N	\N	\N
1010533	3453	1998-12-09	PRIJEM	VKLAD	32992	67350	\N	\N	\N
1010543	3453	1995-10-09	VYDAJ	PREVOD NA UCET	7062	58083	SIPO	EF	53012669
1010544	3453	1995-11-09	VYDAJ	PREVOD NA UCET	7062	55369	SIPO	EF	53012669
1010545	3453	1995-12-09	VYDAJ	PREVOD NA UCET	7062	65518	SIPO	EF	53012669
1010546	3453	1996-01-09	VYDAJ	PREVOD NA UCET	7062	59296	SIPO	EF	53012669
1010547	3453	1996-02-09	VYDAJ	PREVOD NA UCET	7062	51079	SIPO	EF	53012669
1010548	3453	1996-03-09	VYDAJ	PREVOD NA UCET	7062	54234	SIPO	EF	53012669
1010549	3453	1996-04-09	VYDAJ	PREVOD NA UCET	7062	56896	SIPO	EF	53012669
1010550	3453	1996-05-09	VYDAJ	PREVOD NA UCET	7062	52769	SIPO	EF	53012669
1010551	3453	1996-06-09	VYDAJ	PREVOD NA UCET	7062	60706	SIPO	EF	53012669
1010552	3453	1996-07-09	VYDAJ	PREVOD NA UCET	7062	48842	SIPO	EF	53012669
1010553	3453	1996-08-09	VYDAJ	PREVOD NA UCET	7062	47193	SIPO	EF	53012669
1010554	3453	1996-09-09	VYDAJ	PREVOD NA UCET	7062	44828	SIPO	EF	53012669
1010555	3453	1996-10-09	VYDAJ	PREVOD NA UCET	7062	46635	SIPO	EF	53012669
1010556	3453	1996-11-09	VYDAJ	PREVOD NA UCET	7062	41725	SIPO	EF	53012669
1010557	3453	1996-12-09	VYDAJ	PREVOD NA UCET	7062	55194	SIPO	EF	53012669
1010558	3453	1997-01-09	VYDAJ	PREVOD NA UCET	7062	41206	SIPO	EF	53012669
1010559	3453	1997-02-09	VYDAJ	PREVOD NA UCET	7062	41020	SIPO	EF	53012669
1010560	3453	1997-03-09	VYDAJ	PREVOD NA UCET	7062	39585	SIPO	EF	53012669
1010561	3453	1997-04-09	VYDAJ	PREVOD NA UCET	7062	36763	SIPO	EF	53012669
1010562	3453	1997-05-09	VYDAJ	PREVOD NA UCET	7062	36211	SIPO	EF	53012669
1010563	3453	1997-06-09	VYDAJ	PREVOD NA UCET	7062	46655	SIPO	EF	53012669
1010564	3453	1997-07-09	VYDAJ	PREVOD NA UCET	7062	30797	SIPO	EF	53012669
1010565	3453	1997-08-09	VYDAJ	PREVOD NA UCET	7062	31234	SIPO	EF	53012669
1010566	3453	1997-09-09	VYDAJ	PREVOD NA UCET	7062	33755	SIPO	EF	53012669
1010567	3453	1997-10-09	VYDAJ	PREVOD NA UCET	7062	33899	SIPO	EF	53012669
1010568	3453	1997-11-09	VYDAJ	PREVOD NA UCET	7062	38431	SIPO	EF	53012669
1010569	3453	1997-12-09	VYDAJ	PREVOD NA UCET	7062	44483	SIPO	EF	53012669
1010570	3453	1998-01-09	VYDAJ	PREVOD NA UCET	7062	36533	SIPO	EF	53012669
1010571	3453	1998-02-09	VYDAJ	PREVOD NA UCET	7062	32659	SIPO	EF	53012669
1010572	3453	1998-03-09	VYDAJ	PREVOD NA UCET	7062	39485	SIPO	EF	53012669
1010573	3453	1998-04-09	VYDAJ	PREVOD NA UCET	7062	40735	SIPO	EF	53012669
1010574	3453	1998-05-09	VYDAJ	PREVOD NA UCET	7062	44192	SIPO	EF	53012669
1010575	3453	1998-06-09	VYDAJ	PREVOD NA UCET	7062	58974	SIPO	EF	53012669
1010576	3453	1998-07-09	VYDAJ	PREVOD NA UCET	7062	47965	SIPO	EF	53012669
1010577	3453	1998-08-09	VYDAJ	PREVOD NA UCET	7062	52563	SIPO	EF	53012669
1010578	3453	1998-09-09	VYDAJ	PREVOD NA UCET	7062	47966	SIPO	EF	53012669
1010579	3453	1998-10-09	VYDAJ	PREVOD NA UCET	7062	50546	SIPO	EF	53012669
1010580	3453	1998-11-09	VYDAJ	PREVOD NA UCET	7062	39835	SIPO	EF	53012669
1010581	3453	1998-12-09	VYDAJ	PREVOD NA UCET	7062	60288	SIPO	EF	53012669
1010583	3453	1996-06-01	VYDAJ	VYBER	4100	47076	\N	\N	\N
1010584	3453	1997-06-16	VYDAJ	VYBER	20300	26355	\N	\N	\N
1010585	3453	1998-06-10	VYDAJ	VYBER	7000	51974	\N	\N	\N
1010587	3453	1996-01-30	VYDAJ	VYBER	2800	53796	\N	\N	\N
1010588	3453	1997-01-09	VYDAJ	VYBER	8300	48268	\N	\N	\N
1010590	3453	1995-12-20	VYDAJ	VYBER	1800	63718	\N	\N	\N
1010591	3453	1996-12-08	VYDAJ	VYBER	900	29264	\N	\N	\N
1010592	3453	1997-12-28	VYDAJ	VYBER	1300	21483	\N	\N	\N
1010593	3453	1998-12-12	VYDAJ	VYBER	2000	58288	\N	\N	\N
1010598	3453	1996-02-09	VYDAJ	VYBER	1000	58141	\N	\N	\N
1010599	3453	1996-01-26	VYDAJ	VYBER	2700	56596	\N	\N	\N
1010600	3453	1996-06-15	VYDAJ	VYBER	3900	56806	\N	\N	\N
1010601	3453	1996-05-20	VYDAJ	VYBER	1800	50969	\N	\N	\N
1010602	3453	1997-11-23	VYDAJ	VYBER	2000	36431	\N	\N	\N
1010603	3453	1997-05-14	VYDAJ	VYBER	600	35611	\N	\N	\N
1010604	3453	1998-08-24	VYDAJ	VYBER	4900	32863	\N	\N	\N
1010605	3453	1998-10-26	VYDAJ	VYBER	4600	29046	\N	\N	\N
1010606	3453	1998-10-26	VYDAJ	VYBER	4300	24746	\N	\N	\N
1010607	3453	1998-06-06	VYDAJ	VYBER	800	33044	\N	\N	\N
1010608	3453	1998-01-13	VYDAJ	VYBER	2900	33633	\N	\N	\N
1010619	3453	1995-10-31	VYDAJ	VYBER	15	58336	SLUZBY	\N	\N
1010620	3453	1995-11-30	VYDAJ	VYBER	15	55588	SLUZBY	\N	\N
1010621	3453	1995-12-31	VYDAJ	VYBER	15	63963	SLUZBY	\N	\N
1010622	3453	1996-01-31	VYDAJ	VYBER	15	54046	SLUZBY	\N	\N
1010623	3453	1996-02-29	VYDAJ	VYBER	15	51301	SLUZBY	\N	\N
1010624	3453	1996-03-31	VYDAJ	VYBER	15	54463	SLUZBY	\N	\N
1010625	3453	1996-04-30	VYDAJ	VYBER	15	57136	SLUZBY	\N	\N
1010626	3453	1996-05-31	VYDAJ	VYBER	15	51176	SLUZBY	\N	\N
1010627	3453	1996-06-30	VYDAJ	VYBER	15	57009	SLUZBY	\N	\N
1010628	3453	1996-07-31	VYDAJ	VYBER	15	49060	SLUZBY	\N	\N
1010629	3453	1996-08-31	VYDAJ	VYBER	15	29895	SLUZBY	\N	\N
1010630	3453	1996-09-30	VYDAJ	VYBER	15	31702	SLUZBY	\N	\N
1010631	3453	1996-10-31	VYDAJ	VYBER	15	26792	SLUZBY	\N	\N
1010632	3453	1996-11-30	VYDAJ	VYBER	15	30164	SLUZBY	\N	\N
1010633	3453	1996-12-31	VYDAJ	VYBER	15	34573	SLUZBY	\N	\N
1010634	3453	1997-01-31	VYDAJ	VYBER	15	26087	SLUZBY	\N	\N
1010635	3453	1997-02-28	VYDAJ	VYBER	15	24652	SLUZBY	\N	\N
1010636	3453	1997-03-31	VYDAJ	VYBER	15	21830	SLUZBY	\N	\N
1010637	3453	1997-04-30	VYDAJ	VYBER	15	21278	SLUZBY	\N	\N
1010638	3453	1997-05-31	VYDAJ	VYBER	15	20725	SLUZBY	\N	\N
1010639	3453	1997-06-30	VYDAJ	VYBER	15	15864	SLUZBY	\N	\N
1010640	3453	1997-07-31	VYDAJ	VYBER	15	16301	SLUZBY	\N	\N
1010641	3453	1997-08-31	VYDAJ	VYBER	15	18822	SLUZBY	\N	\N
1010642	3453	1997-09-30	VYDAJ	VYBER	15	18966	SLUZBY	\N	\N
1010643	3453	1997-10-31	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
1010644	3453	1997-11-30	VYDAJ	VYBER	15	18553	SLUZBY	\N	\N
1010645	3453	1997-12-31	VYDAJ	VYBER	15	21600	SLUZBY	\N	\N
1010646	3453	1998-01-31	VYDAJ	VYBER	15	17726	SLUZBY	\N	\N
1010647	3453	1998-02-28	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
1010648	3453	1998-03-31	VYDAJ	VYBER	15	25802	SLUZBY	\N	\N
1010649	3453	1998-04-30	VYDAJ	VYBER	15	29259	SLUZBY	\N	\N
1010650	3453	1998-05-31	VYDAJ	VYBER	15	33844	SLUZBY	\N	\N
1010651	3453	1998-06-30	VYDAJ	VYBER	15	33032	SLUZBY	\N	\N
1010652	3453	1998-07-31	VYDAJ	VYBER	15	37630	SLUZBY	\N	\N
1010653	3453	1998-08-31	VYDAJ	VYBER	15	33033	SLUZBY	\N	\N
1010654	3453	1998-09-30	VYDAJ	VYBER	15	35613	SLUZBY	\N	\N
1010655	3453	1998-10-31	VYDAJ	VYBER	15	24902	SLUZBY	\N	\N
1010656	3453	1998-11-30	VYDAJ	VYBER	15	34358	SLUZBY	\N	\N
1010657	3453	1995-07-08	VYDAJ	VYBER	5400	28395	\N	\N	\N
1010658	3453	1995-08-07	VYDAJ	VYBER	16700	33882	\N	\N	\N
1010659	3453	1995-09-06	VYDAJ	VYBER	16200	39904	\N	\N	\N
1010660	3453	1995-10-06	VYDAJ	VYBER	19000	43150	\N	\N	\N
1010661	3453	1995-11-05	VYDAJ	VYBER	17900	40436	\N	\N	\N
1010662	3453	1995-12-05	VYDAJ	VYBER	16000	39588	\N	\N	\N
1010663	3453	1996-01-04	VYDAJ	VYBER	19600	44363	\N	\N	\N
1010664	3453	1996-02-03	VYDAJ	VYBER	16900	37146	\N	\N	\N
1010665	3453	1996-03-04	VYDAJ	VYBER	12000	39301	\N	\N	\N
1010666	3453	1996-04-03	VYDAJ	VYBER	12500	41963	\N	\N	\N
1010667	3453	1996-05-03	VYDAJ	VYBER	19300	37836	\N	\N	\N
1010668	3453	1996-06-02	VYDAJ	VYBER	12300	34776	\N	\N	\N
1010669	3453	1996-07-02	VYDAJ	VYBER	23100	33909	\N	\N	\N
1010670	3453	1996-08-01	VYDAJ	VYBER	16800	32260	\N	\N	\N
1010671	3453	1996-08-31	VYDAJ	VYBER	17500	29910	\N	\N	\N
1010672	3453	1996-09-30	VYDAJ	VYBER	13300	31716	\N	\N	\N
1010673	3453	1996-10-30	VYDAJ	VYBER	20000	26635	\N	\N	\N
1010674	3453	1996-11-29	VYDAJ	VYBER	11700	30025	\N	\N	\N
1010675	3453	1996-12-29	VYDAJ	VYBER	20800	34394	\N	\N	\N
1010676	3453	1997-01-28	VYDAJ	VYBER	15300	25906	\N	\N	\N
1010677	3453	1997-02-27	VYDAJ	VYBER	16500	24520	\N	\N	\N
1010678	3453	1997-03-29	VYDAJ	VYBER	17900	21685	\N	\N	\N
1010679	3453	1997-04-28	VYDAJ	VYBER	15600	21163	\N	\N	\N
1010680	3453	1997-05-28	VYDAJ	VYBER	15000	20611	\N	\N	\N
1010681	3453	1997-06-27	VYDAJ	VYBER	10600	15755	\N	\N	\N
1010682	3453	1997-07-27	VYDAJ	VYBER	14600	16197	\N	\N	\N
1010683	3453	1997-08-26	VYDAJ	VYBER	12500	18734	\N	\N	\N
1010684	3453	1997-09-25	VYDAJ	VYBER	14900	18855	\N	\N	\N
1010685	3453	1997-10-25	VYDAJ	VYBER	10500	23399	\N	\N	\N
1010686	3453	1997-11-24	VYDAJ	VYBER	18000	18431	\N	\N	\N
1010687	3453	1997-12-24	VYDAJ	VYBER	21700	22783	\N	\N	\N
1010688	3453	1998-01-23	VYDAJ	VYBER	16000	17633	\N	\N	\N
1010689	3453	1998-02-22	VYDAJ	VYBER	8200	24459	\N	\N	\N
1010690	3453	1998-03-24	VYDAJ	VYBER	13800	25685	\N	\N	\N
1010691	3453	1998-04-23	VYDAJ	VYBER	11600	29135	\N	\N	\N
1010692	3453	1998-05-23	VYDAJ	VYBER	10500	33692	\N	\N	\N
1010693	3453	1998-06-22	VYDAJ	VYBER	19100	32874	\N	\N	\N
1010694	3453	1998-07-22	VYDAJ	VYBER	10500	37465	\N	\N	\N
1010695	3453	1998-08-21	VYDAJ	VYBER	14800	37763	\N	\N	\N
1010696	3453	1998-09-20	VYDAJ	VYBER	12500	35466	\N	\N	\N
1010697	3453	1998-10-20	VYDAJ	VYBER	16900	33646	\N	\N	\N
1010698	3453	1998-11-19	VYDAJ	VYBER	5600	34235	\N	\N	\N
1010742	3454	1996-10-17	PRIJEM	VKLAD	500	500	\N	\N	\N
1010753	3454	1996-11-13	PRIJEM	PREVOD Z UCTU	6596	7096	DUCHOD	ST	12585705
1010754	3454	1996-12-13	PRIJEM	PREVOD Z UCTU	6596	13692	DUCHOD	ST	12585705
1010755	3454	1997-01-13	PRIJEM	PREVOD Z UCTU	6596	20288	DUCHOD	ST	12585705
1010756	3454	1997-02-13	PRIJEM	PREVOD Z UCTU	6596	26884	DUCHOD	ST	12585705
1010757	3454	1997-03-13	PRIJEM	PREVOD Z UCTU	6596	33480	DUCHOD	ST	12585705
1010758	3454	1997-04-13	PRIJEM	PREVOD Z UCTU	6596	36725	DUCHOD	ST	12585705
1010759	3454	1997-05-13	PRIJEM	PREVOD Z UCTU	6596	31928	DUCHOD	ST	12585705
1010760	3454	1997-06-13	PRIJEM	PREVOD Z UCTU	6596	35429	DUCHOD	ST	12585705
1010761	3454	1997-07-13	PRIJEM	PREVOD Z UCTU	6596	23966	DUCHOD	ST	12585705
1010762	3454	1997-08-13	PRIJEM	PREVOD Z UCTU	6596	24171	DUCHOD	ST	12585705
1010763	3454	1997-09-13	PRIJEM	PREVOD Z UCTU	6596	24039	DUCHOD	ST	12585705
1010764	3454	1997-10-13	PRIJEM	PREVOD Z UCTU	6596	22807	DUCHOD	ST	12585705
1010765	3454	1997-11-13	PRIJEM	PREVOD Z UCTU	6596	22228	DUCHOD	ST	12585705
1010766	3454	1997-12-13	PRIJEM	PREVOD Z UCTU	6596	23038	DUCHOD	ST	12585705
1010767	3454	1998-01-13	PRIJEM	PREVOD Z UCTU	6596	20403	DUCHOD	ST	12585705
1010768	3454	1998-02-13	PRIJEM	PREVOD Z UCTU	6596	16163	DUCHOD	ST	12585705
1010769	3454	1998-03-13	PRIJEM	PREVOD Z UCTU	6596	16234	DUCHOD	ST	12585705
1010770	3454	1998-04-13	PRIJEM	PREVOD Z UCTU	6596	18970	DUCHOD	ST	12585705
1010771	3454	1998-05-13	PRIJEM	PREVOD Z UCTU	6596	22416	DUCHOD	ST	12585705
1010772	3454	1998-06-13	PRIJEM	PREVOD Z UCTU	6596	20977	DUCHOD	ST	12585705
1010773	3454	1998-07-13	PRIJEM	PREVOD Z UCTU	6596	17629	DUCHOD	ST	12585705
1010774	3454	1998-08-13	PRIJEM	PREVOD Z UCTU	6596	16869	DUCHOD	ST	12585705
1010775	3454	1998-09-13	PRIJEM	PREVOD Z UCTU	6596	19510	DUCHOD	ST	12585705
1010776	3454	1998-10-13	PRIJEM	PREVOD Z UCTU	6596	18758	DUCHOD	ST	12585705
1010777	3454	1998-11-13	PRIJEM	PREVOD Z UCTU	6596	18759	DUCHOD	ST	12585705
1010778	3454	1998-12-13	PRIJEM	PREVOD Z UCTU	6596	18435	DUCHOD	ST	12585705
1010794	3454	1997-04-09	VYDAJ	PREVOD NA UCET	3208	30129	SIPO	CD	20250928
1010795	3454	1997-05-09	VYDAJ	PREVOD NA UCET	3208	25332	SIPO	CD	20250928
1010796	3454	1997-06-09	VYDAJ	PREVOD NA UCET	3208	28833	SIPO	CD	20250928
1010797	3454	1997-07-09	VYDAJ	PREVOD NA UCET	3208	17370	SIPO	CD	20250928
1010798	3454	1997-08-09	VYDAJ	PREVOD NA UCET	3208	17575	SIPO	CD	20250928
1010799	3454	1997-09-09	VYDAJ	PREVOD NA UCET	3208	17443	SIPO	CD	20250928
1010800	3454	1997-10-09	VYDAJ	PREVOD NA UCET	3208	20911	SIPO	CD	20250928
1010801	3454	1997-11-09	VYDAJ	PREVOD NA UCET	3208	15832	SIPO	CD	20250928
1010802	3454	1997-12-09	VYDAJ	PREVOD NA UCET	3208	17642	SIPO	CD	20250928
1010803	3454	1998-01-09	VYDAJ	PREVOD NA UCET	3208	18307	SIPO	CD	20250928
1010804	3454	1998-02-09	VYDAJ	PREVOD NA UCET	3208	9567	SIPO	CD	20250928
1010805	3454	1998-03-09	VYDAJ	PREVOD NA UCET	3208	9638	SIPO	CD	20250928
1010806	3454	1998-04-09	VYDAJ	PREVOD NA UCET	3208	13074	SIPO	CD	20250928
1010807	3454	1998-05-09	VYDAJ	PREVOD NA UCET	3208	15820	SIPO	CD	20250928
1010808	3454	1998-06-09	VYDAJ	PREVOD NA UCET	3208	19281	SIPO	CD	20250928
1010809	3454	1998-07-09	VYDAJ	PREVOD NA UCET	3208	11333	SIPO	CD	20250928
1010810	3454	1998-08-09	VYDAJ	PREVOD NA UCET	3208	10273	SIPO	CD	20250928
1010811	3454	1998-09-09	VYDAJ	PREVOD NA UCET	3208	12914	SIPO	CD	20250928
1010812	3454	1998-10-09	VYDAJ	PREVOD NA UCET	3208	12162	SIPO	CD	20250928
1010813	3454	1998-11-09	VYDAJ	PREVOD NA UCET	3208	12163	SIPO	CD	20250928
1010814	3454	1998-12-09	VYDAJ	PREVOD NA UCET	3208	11839	SIPO	CD	20250928
1010816	3454	1997-06-14	VYDAJ	VYBER	12150	23279	\N	\N	\N
1010817	3454	1998-06-24	VYDAJ	VYBER	6500	14477	\N	\N	\N
1010820	3454	1998-01-25	VYDAJ	VYBER	3050	12713	\N	\N	\N
1010822	3454	1997-12-02	VYDAJ	VYBER	1450	20850	\N	\N	\N
1010823	3454	1998-12-08	VYDAJ	VYBER	1150	15047	\N	\N	\N
1010836	3454	1998-01-20	VYDAJ	VYBER	1360	19043	\N	\N	\N
1010839	3454	1998-01-02	VYDAJ	VYBER	1040	22075	\N	\N	\N
1010840	3454	1998-01-09	VYDAJ	VYBER	560	21515	\N	\N	\N
1010841	3454	1998-01-24	VYDAJ	VYBER	2160	15763	\N	\N	\N
1010845	3454	1997-10-16	VYDAJ	VYBER	3840	18967	\N	\N	\N
1010847	3454	1997-07-25	VYDAJ	VYBER	2560	20706	\N	\N	\N
1010848	3454	1997-04-17	VYDAJ	VYBER	3600	28425	\N	\N	\N
1010849	3454	1997-07-01	VYDAJ	VYBER	2800	20578	\N	\N	\N
1010850	3454	1998-10-17	VYDAJ	VYBER	3440	15318	\N	\N	\N
1010851	3454	1998-02-15	VYDAJ	VYBER	1680	14483	\N	\N	\N
1010852	3454	1998-03-04	VYDAJ	VYBER	1680	12846	\N	\N	\N
1010853	3454	1998-12-04	VYDAJ	VYBER	1520	17297	\N	\N	\N
1010854	3454	1998-01-24	VYDAJ	VYBER	1120	17923	\N	\N	\N
1010870	3454	1997-03-31	VYDAJ	VYBER	15	33337	SLUZBY	\N	\N
1010871	3454	1997-04-30	VYDAJ	VYBER	15	28540	SLUZBY	\N	\N
1010872	3454	1997-05-31	VYDAJ	VYBER	15	32041	SLUZBY	\N	\N
1010873	3454	1997-06-30	VYDAJ	VYBER	15	23378	SLUZBY	\N	\N
1010874	3454	1997-07-31	VYDAJ	VYBER	15	20783	SLUZBY	\N	\N
1010875	3454	1997-08-31	VYDAJ	VYBER	15	20651	SLUZBY	\N	\N
1010876	3454	1997-09-30	VYDAJ	VYBER	15	24119	SLUZBY	\N	\N
1010877	3454	1997-10-31	VYDAJ	VYBER	15	19040	SLUZBY	\N	\N
1010878	3454	1997-11-30	VYDAJ	VYBER	15	22300	SLUZBY	\N	\N
1010879	3454	1997-12-31	VYDAJ	VYBER	15	23115	SLUZBY	\N	\N
1010880	3454	1998-01-31	VYDAJ	VYBER	15	12775	SLUZBY	\N	\N
1010881	3454	1998-02-28	VYDAJ	VYBER	15	14526	SLUZBY	\N	\N
1010882	3454	1998-03-31	VYDAJ	VYBER	15	16282	SLUZBY	\N	\N
1010883	3454	1998-04-30	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
1010884	3454	1998-05-31	VYDAJ	VYBER	15	22489	SLUZBY	\N	\N
1010885	3454	1998-06-30	VYDAJ	VYBER	15	14541	SLUZBY	\N	\N
1010886	3454	1998-07-31	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
1010887	3454	1998-08-31	VYDAJ	VYBER	15	16922	SLUZBY	\N	\N
1010888	3454	1998-09-30	VYDAJ	VYBER	15	19570	SLUZBY	\N	\N
1010889	3454	1998-10-31	VYDAJ	VYBER	15	15371	SLUZBY	\N	\N
1010890	3454	1998-11-30	VYDAJ	VYBER	15	18817	SLUZBY	\N	\N
1010891	3454	1997-03-16	VYDAJ	VYBER	200	33280	\N	\N	\N
1010892	3454	1997-04-15	VYDAJ	VYBER	4700	32025	\N	\N	\N
1010893	3454	1997-07-14	VYDAJ	VYBER	700	23266	\N	\N	\N
1010894	3454	1997-08-13	VYDAJ	VYBER	3600	20571	\N	\N	\N
1010895	3454	1997-10-12	VYDAJ	VYBER	4700	16211	\N	\N	\N
1010896	3454	1997-11-11	VYDAJ	VYBER	200	15632	\N	\N	\N
1010897	3454	1997-12-11	VYDAJ	VYBER	1200	16442	\N	\N	\N
1010898	3454	1998-01-10	VYDAJ	VYBER	4500	13807	\N	\N	\N
1010899	3454	1998-04-10	VYDAJ	VYBER	700	12374	\N	\N	\N
1010900	3454	1998-06-09	VYDAJ	VYBER	4900	14381	\N	\N	\N
1010901	3454	1998-07-09	VYDAJ	VYBER	300	11033	\N	\N	\N
1010902	3454	1998-08-08	VYDAJ	VYBER	4200	13481	\N	\N	\N
1010903	3454	1998-09-07	VYDAJ	VYBER	800	16122	\N	\N	\N
1010904	3454	1998-10-07	VYDAJ	VYBER	4200	15370	\N	\N	\N
1010905	3454	1998-12-06	VYDAJ	VYBER	1100	16197	\N	\N	\N
1010928	3455	1996-03-13	PRIJEM	VKLAD	600	600	\N	\N	\N
1010932	3455	1996-04-05	PRIJEM	PREVOD Z UCTU	33735	34335	\N	UV	11400890
1010933	3455	1996-05-05	PRIJEM	PREVOD Z UCTU	33735	63849	\N	UV	11400890
1010934	3455	1996-06-05	PRIJEM	PREVOD Z UCTU	50602	92408	\N	UV	11400890
1010935	3455	1996-07-05	PRIJEM	PREVOD Z UCTU	33735	91962	\N	UV	11400890
1010936	3455	1996-08-05	PRIJEM	PREVOD Z UCTU	33735	89130	\N	UV	11400890
1010937	3455	1996-09-05	PRIJEM	PREVOD Z UCTU	33735	84876	\N	UV	11400890
1010938	3455	1996-10-05	PRIJEM	PREVOD Z UCTU	33735	64385	\N	UV	11400890
1010939	3455	1996-11-05	PRIJEM	PREVOD Z UCTU	33735	65656	\N	UV	11400890
1010940	3455	1996-12-05	PRIJEM	PREVOD Z UCTU	50602	89716	\N	UV	11400890
1010941	3455	1997-01-05	PRIJEM	PREVOD Z UCTU	33735	71438	\N	UV	11400890
1010942	3455	1997-02-05	PRIJEM	PREVOD Z UCTU	33735	53884	\N	UV	11400890
1010943	3455	1997-03-05	PRIJEM	PREVOD Z UCTU	33735	59311	\N	UV	11400890
1010944	3455	1997-04-05	PRIJEM	PREVOD Z UCTU	33735	60972	\N	UV	11400890
1010945	3455	1997-05-05	PRIJEM	PREVOD Z UCTU	33735	67909	\N	UV	11400890
1010946	3455	1997-06-05	PRIJEM	PREVOD Z UCTU	50602	65277	\N	UV	11400890
1010947	3455	1997-07-05	PRIJEM	PREVOD Z UCTU	33735	55670	\N	UV	11400890
1010948	3455	1997-08-05	PRIJEM	PREVOD Z UCTU	33735	53565	\N	UV	11400890
1010949	3455	1997-09-05	PRIJEM	PREVOD Z UCTU	33735	48949	\N	UV	11400890
1010950	3455	1997-10-05	PRIJEM	PREVOD Z UCTU	33735	54522	\N	UV	11400890
1010951	3455	1997-11-05	PRIJEM	PREVOD Z UCTU	33735	62914	\N	UV	11400890
1010952	3455	1997-12-05	PRIJEM	PREVOD Z UCTU	50602	83279	\N	UV	11400890
1010953	3455	1998-01-05	PRIJEM	PREVOD Z UCTU	33735	76489	\N	UV	11400890
1010954	3455	1998-02-05	PRIJEM	PREVOD Z UCTU	33735	67137	\N	UV	11400890
1010955	3455	1998-03-05	PRIJEM	PREVOD Z UCTU	33735	71189	\N	UV	11400890
1010956	3455	1998-04-05	PRIJEM	PREVOD Z UCTU	33735	76187	\N	UV	11400890
1010957	3455	1998-05-05	PRIJEM	PREVOD Z UCTU	33735	82398	\N	UV	11400890
1010958	3455	1998-06-05	PRIJEM	PREVOD Z UCTU	50602	96799	\N	UV	11400890
1010959	3455	1998-07-05	PRIJEM	PREVOD Z UCTU	33735	79578	\N	UV	11400890
1010960	3455	1998-08-05	PRIJEM	PREVOD Z UCTU	33735	90218	\N	UV	11400890
1010961	3455	1998-09-05	PRIJEM	PREVOD Z UCTU	33735	89841	\N	UV	11400890
1010962	3455	1998-10-05	PRIJEM	PREVOD Z UCTU	33735	99033	\N	UV	11400890
1010963	3455	1998-11-05	PRIJEM	PREVOD Z UCTU	33735	99768	\N	UV	11400890
1010964	3455	1998-12-05	PRIJEM	PREVOD Z UCTU	50602	111360	\N	UV	11400890
1010972	3455	1996-08-08	VYDAJ	VYBER	4900	84230	\N	\N	0
1010973	3455	1996-09-17	VYDAJ	VYBER	4400	30497	\N	\N	0
1010974	3455	1996-10-08	VYDAJ	VYBER	7800	56585	\N	\N	0
1010975	3455	1996-11-01	VYDAJ	VYBER	5300	31921	\N	\N	0
1010976	3455	1996-12-28	VYDAJ	VYBER	5800	42016	\N	\N	0
1010977	3455	1997-01-21	VYDAJ	VYBER	4900	20038	\N	\N	0
1010978	3455	1997-02-05	VYDAJ	VYBER	6600	47284	\N	\N	0
1010979	3455	1997-03-12	VYDAJ	PREVOD NA UCET	5623	32288	UVER	EF	29934013
1010980	3455	1997-04-12	VYDAJ	PREVOD NA UCET	5623	34049	UVER	EF	29934013
1010981	3455	1997-05-12	VYDAJ	PREVOD NA UCET	5623	14599	UVER	EF	29934013
1010982	3455	1997-06-12	VYDAJ	PREVOD NA UCET	5623	37755	UVER	EF	29934013
1010983	3455	1997-07-12	VYDAJ	PREVOD NA UCET	5623	29647	UVER	EF	29934013
1010984	3455	1997-08-12	VYDAJ	PREVOD NA UCET	5623	14742	UVER	EF	29934013
1010985	3455	1997-09-12	VYDAJ	PREVOD NA UCET	5623	43327	UVER	EF	29934013
1010986	3455	1997-10-12	VYDAJ	PREVOD NA UCET	5623	48899	UVER	EF	29934013
1010987	3455	1997-11-12	VYDAJ	PREVOD NA UCET	5623	57292	UVER	EF	29934013
1010988	3455	1997-12-12	VYDAJ	PREVOD NA UCET	5623	77657	UVER	EF	29934013
1010989	3455	1998-01-12	VYDAJ	PREVOD NA UCET	5623	65767	UVER	EF	29934013
1010990	3455	1998-02-12	VYDAJ	PREVOD NA UCET	5623	61514	UVER	EF	29934013
1010991	3455	1998-03-17	VYDAJ	VYBER	5900	65289	\N	\N	0
1010992	3455	1998-04-13	VYDAJ	VYBER	4000	68287	\N	\N	0
1010993	3455	1998-05-17	VYDAJ	VYBER	6300	76098	\N	\N	0
1010994	3455	1998-06-11	VYDAJ	VYBER	4800	91999	\N	\N	0
1010995	3455	1998-06-25	VYDAJ	VYBER	7500	84499	\N	\N	0
1010996	3455	1998-08-10	VYDAJ	VYBER	4900	85318	\N	\N	0
1010997	3455	1998-09-20	VYDAJ	VYBER	4400	85441	\N	\N	0
1010998	3455	1998-10-17	VYDAJ	VYBER	6800	92233	\N	\N	0
1010999	3455	1998-11-14	VYDAJ	VYBER	4300	95468	\N	\N	0
1011000	3455	1998-12-14	VYDAJ	VYBER	5000	106360	\N	\N	0
1011006	3455	1996-09-15	VYBER	VYBER	15479	34897	\N	\N	\N
1011014	3455	1997-03-16	VYBER	VYBER	5157	27131	\N	\N	\N
1011015	3455	1997-05-06	VYBER	VYBER	2991	64918	\N	\N	\N
1011016	3455	1997-11-30	VYBER	VYBER	6031	51492	\N	\N	\N
1011017	3455	1997-05-10	VYBER	VYBER	17697	20221	\N	\N	\N
1011018	3455	1997-06-26	VYBER	VYBER	15940	21815	\N	\N	\N
1011019	3455	1997-09-16	VYBER	VYBER	16860	26467	\N	\N	\N
1011022	3455	1998-06-28	VYDAJ	VYBER	19800	64699	\N	\N	\N
1011023	3455	1996-12-22	VYDAJ	VYBER	7200	47816	\N	\N	\N
1011024	3455	1997-12-27	VYDAJ	VYBER	3300	74357	\N	\N	\N
1011025	3455	1998-12-27	VYDAJ	VYBER	6600	99760	\N	\N	\N
1011032	3455	1997-01-14	VYDAJ	VYBER	7500	24938	\N	\N	\N
1011033	3455	1997-01-08	VYDAJ	VYBER	6900	32438	\N	\N	\N
1011035	3455	1997-01-03	VYDAJ	VYBER	2700	37703	\N	\N	\N
1011036	3455	1997-01-07	VYDAJ	VYBER	2400	39338	\N	\N	\N
1011037	3455	1997-01-01	VYDAJ	VYBER	1800	40403	\N	\N	\N
1011038	3455	1998-01-01	VYDAJ	VYBER	7500	67154	\N	\N	\N
1011039	3455	1998-01-19	VYDAJ	VYBER	3900	53167	\N	\N	\N
1011040	3455	1998-01-15	VYDAJ	VYBER	3000	62767	\N	\N	\N
1011041	3455	1998-01-18	VYDAJ	VYBER	2400	57067	\N	\N	\N
1011042	3455	1998-01-17	VYDAJ	VYBER	3300	59467	\N	\N	\N
1011043	3455	1998-01-11	VYDAJ	VYBER	5100	71389	\N	\N	\N
1011046	3455	1997-08-09	VYDAJ	VYBER	13200	20365	\N	\N	\N
1011047	3455	1997-07-13	VYDAJ	VYBER	9900	19747	\N	\N	\N
1011048	3455	1997-08-05	VYDAJ	VYBER	1800	33565	\N	\N	\N
1011049	3455	1997-11-02	VYDAJ	VYBER	7800	37379	\N	\N	\N
1011050	3455	1997-10-28	VYDAJ	VYBER	3900	44999	\N	\N	\N
1011051	3455	1997-02-06	VYDAJ	VYBER	3600	25484	\N	\N	\N
1011052	3455	1998-05-23	VYDAJ	VYBER	7500	68598	\N	\N	\N
1011053	3455	1998-11-16	VYDAJ	VYBER	14400	81068	\N	\N	\N
1011054	3455	1998-02-22	VYDAJ	VYBER	2400	59114	\N	\N	\N
1011055	3455	1998-04-05	VYDAJ	VYBER	3900	72287	\N	\N	\N
1011056	3455	1998-08-24	VYDAJ	VYBER	10500	74818	\N	\N	\N
1011065	3455	1996-08-31	VYDAJ	VYBER	15	51141	SLUZBY	\N	\N
1011066	3455	1996-09-30	VYDAJ	VYBER	15	30650	SLUZBY	\N	\N
1011067	3455	1996-10-31	VYDAJ	VYBER	15	37221	SLUZBY	\N	\N
1011068	3455	1996-11-30	VYDAJ	VYBER	15	39114	SLUZBY	\N	\N
1011069	3455	1996-12-31	VYDAJ	VYBER	15	42203	SLUZBY	\N	\N
1011070	3455	1997-01-31	VYDAJ	VYBER	15	20149	SLUZBY	\N	\N
1011071	3455	1997-02-28	VYDAJ	VYBER	15	25576	SLUZBY	\N	\N
1011072	3455	1997-03-31	VYDAJ	VYBER	15	27237	SLUZBY	\N	\N
1011073	3455	1997-04-30	VYDAJ	VYBER	15	34174	SLUZBY	\N	\N
1011074	3455	1997-05-31	VYDAJ	VYBER	15	14675	SLUZBY	\N	\N
1011075	3455	1997-06-30	VYDAJ	VYBER	15	21935	SLUZBY	\N	\N
1011076	3455	1997-07-31	VYDAJ	VYBER	15	19830	SLUZBY	\N	\N
1011077	3455	1997-08-31	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
1011078	3455	1997-09-30	VYDAJ	VYBER	15	26587	SLUZBY	\N	\N
1011079	3455	1997-10-31	VYDAJ	VYBER	15	45179	SLUZBY	\N	\N
1011080	3455	1997-11-30	VYDAJ	VYBER	15	51477	SLUZBY	\N	\N
1011081	3455	1997-12-31	VYDAJ	VYBER	15	74654	SLUZBY	\N	\N
1011082	3455	1998-01-31	VYDAJ	VYBER	15	53402	SLUZBY	\N	\N
1011083	3455	1998-02-28	VYDAJ	VYBER	15	59354	SLUZBY	\N	\N
1011084	3455	1998-03-31	VYDAJ	VYBER	15	65552	SLUZBY	\N	\N
1011085	3455	1998-04-30	VYDAJ	VYBER	15	68563	SLUZBY	\N	\N
1011086	3455	1998-05-31	VYDAJ	VYBER	15	68897	SLUZBY	\N	\N
1011087	3455	1998-06-30	VYDAJ	VYBER	15	65043	SLUZBY	\N	\N
1011088	3455	1998-07-31	VYDAJ	VYBER	15	56483	SLUZBY	\N	\N
1011089	3455	1998-08-31	VYDAJ	VYBER	15	56106	SLUZBY	\N	\N
1011090	3455	1998-09-30	VYDAJ	VYBER	15	65298	SLUZBY	\N	\N
1011091	3455	1998-10-31	VYDAJ	VYBER	15	66033	SLUZBY	\N	\N
1011092	3455	1998-11-30	VYDAJ	VYBER	15	60758	SLUZBY	\N	\N
1011093	3455	1996-04-12	VYDAJ	VYBER	4300	30035	\N	\N	\N
1011094	3455	1996-05-12	VYDAJ	VYBER	22200	41649	\N	\N	\N
1011095	3455	1996-06-11	VYDAJ	VYBER	34400	58008	\N	\N	\N
1011096	3455	1996-07-11	VYDAJ	VYBER	36800	55162	\N	\N	\N
1011097	3455	1996-08-10	VYDAJ	VYBER	33300	50930	\N	\N	\N
1011098	3455	1996-09-09	VYDAJ	VYBER	34500	50376	\N	\N	\N
1011099	3455	1996-10-09	VYDAJ	VYBER	19500	37085	\N	\N	\N
1011100	3455	1996-11-08	VYDAJ	VYBER	26700	38956	\N	\N	\N
1011101	3455	1996-12-08	VYDAJ	VYBER	34700	55016	\N	\N	\N
1011102	3455	1997-01-07	VYDAJ	VYBER	29700	41738	\N	\N	\N
1011103	3455	1997-02-06	VYDAJ	VYBER	18200	29084	\N	\N	\N
1011104	3455	1997-03-08	VYDAJ	VYBER	21400	37911	\N	\N	\N
1011105	3455	1997-04-07	VYDAJ	VYBER	21300	39672	\N	\N	\N
1011106	3455	1997-05-07	VYDAJ	VYBER	27000	37918	\N	\N	\N
1011107	3455	1997-06-06	VYDAJ	VYBER	21900	43377	\N	\N	\N
1011108	3455	1997-07-06	VYDAJ	VYBER	20400	35270	\N	\N	\N
1011109	3455	1997-08-05	VYDAJ	VYBER	18200	35365	\N	\N	\N
1011110	3455	1997-09-04	PRIJEM	VKLAD	400	15214	\N	\N	\N
1011111	3455	1997-10-04	VYDAJ	VYBER	5800	20787	\N	\N	\N
1011112	3455	1997-11-03	VYDAJ	VYBER	8200	29179	\N	\N	\N
1011113	3455	1997-12-03	VYDAJ	VYBER	18800	32677	\N	\N	\N
1011114	3455	1998-01-02	VYDAJ	VYBER	24400	42754	\N	\N	\N
1011115	3455	1998-02-01	VYDAJ	VYBER	20000	33402	\N	\N	\N
1011116	3455	1998-03-03	VYDAJ	VYBER	21900	37454	\N	\N	\N
1011117	3455	1998-04-02	VYDAJ	VYBER	23100	42452	\N	\N	\N
1011118	3455	1998-05-02	VYDAJ	VYBER	19900	48663	\N	\N	\N
1011119	3455	1998-06-01	VYDAJ	VYBER	22700	46197	\N	\N	\N
1011120	3455	1998-07-01	VYDAJ	VYBER	19200	45843	\N	\N	\N
1011121	3455	1998-07-31	VYDAJ	VYBER	23400	56498	\N	\N	\N
1011122	3455	1998-08-30	VYDAJ	VYBER	19000	55818	\N	\N	\N
1011123	3455	1998-09-29	VYDAJ	VYBER	20400	65041	\N	\N	\N
1011124	3455	1998-10-29	VYDAJ	VYBER	26500	65733	\N	\N	\N
1011125	3455	1998-11-28	VYDAJ	VYBER	20600	60468	\N	\N	\N
1011159	3456	1993-09-06	PRIJEM	VKLAD	300	300	\N	\N	\N
1011168	3456	1993-09-11	PRIJEM	PREVOD Z UCTU	6443	6743	DUCHOD	CD	24810451
1011169	3456	1993-10-11	PRIJEM	PREVOD Z UCTU	6443	13205	DUCHOD	CD	24810451
1011170	3456	1993-11-11	PRIJEM	PREVOD Z UCTU	6443	19676	DUCHOD	CD	24810451
1011171	3456	1993-12-11	PRIJEM	PREVOD Z UCTU	6443	26147	DUCHOD	CD	24810451
1011172	3456	1994-01-11	PRIJEM	PREVOD Z UCTU	6443	30018	DUCHOD	CD	24810451
1011173	3456	1994-02-11	PRIJEM	PREVOD Z UCTU	6443	32579	DUCHOD	CD	24810451
1011174	3456	1994-03-11	PRIJEM	PREVOD Z UCTU	6443	34235	DUCHOD	CD	24810451
1011175	3456	1994-04-11	PRIJEM	PREVOD Z UCTU	6443	30809	DUCHOD	CD	24810451
1011176	3456	1994-05-11	PRIJEM	PREVOD Z UCTU	6443	31259	DUCHOD	CD	24810451
1011177	3456	1994-06-11	PRIJEM	PREVOD Z UCTU	6443	26063	DUCHOD	CD	24810451
1011178	3456	1994-07-11	PRIJEM	PREVOD Z UCTU	6443	29897	DUCHOD	CD	24810451
1011179	3456	1994-08-11	PRIJEM	PREVOD Z UCTU	6443	29043	DUCHOD	CD	24810451
1011180	3456	1994-09-11	PRIJEM	PREVOD Z UCTU	6443	29887	DUCHOD	CD	24810451
1011181	3456	1994-10-11	PRIJEM	PREVOD Z UCTU	6443	32434	DUCHOD	CD	24810451
1011182	3456	1994-11-11	PRIJEM	PREVOD Z UCTU	6443	32591	DUCHOD	CD	24810451
1011183	3456	1994-12-11	PRIJEM	PREVOD Z UCTU	6443	30255	DUCHOD	CD	24810451
1011184	3456	1995-01-11	PRIJEM	PREVOD Z UCTU	6443	24976	DUCHOD	CD	24810451
1011185	3456	1995-02-11	PRIJEM	PREVOD Z UCTU	6443	27205	DUCHOD	CD	24810451
1011186	3456	1995-03-11	PRIJEM	PREVOD Z UCTU	6443	30019	DUCHOD	CD	24810451
1011187	3456	1995-04-11	PRIJEM	PREVOD Z UCTU	6443	30265	DUCHOD	CD	24810451
1011188	3456	1995-05-11	PRIJEM	PREVOD Z UCTU	6443	31411	DUCHOD	CD	24810451
1011189	3456	1995-06-11	PRIJEM	PREVOD Z UCTU	6443	32862	DUCHOD	CD	24810451
1011190	3456	1995-07-11	PRIJEM	PREVOD Z UCTU	6443	25527	DUCHOD	CD	24810451
1011191	3456	1995-08-11	PRIJEM	PREVOD Z UCTU	6443	23872	DUCHOD	CD	24810451
1011192	3456	1995-09-11	PRIJEM	PREVOD Z UCTU	6443	26091	DUCHOD	CD	24810451
1011193	3456	1995-10-11	PRIJEM	PREVOD Z UCTU	6443	25694	DUCHOD	CD	24810451
1011194	3456	1995-11-11	PRIJEM	PREVOD Z UCTU	6443	21516	DUCHOD	CD	24810451
1011195	3456	1995-12-11	PRIJEM	PREVOD Z UCTU	6443	18857	DUCHOD	CD	24810451
1011196	3456	1996-01-11	PRIJEM	PREVOD Z UCTU	6443	18600	DUCHOD	CD	24810451
1011197	3456	1996-02-11	PRIJEM	PREVOD Z UCTU	6443	20794	DUCHOD	CD	24810451
1011198	3456	1996-03-11	PRIJEM	PREVOD Z UCTU	6443	19397	DUCHOD	CD	24810451
1011199	3456	1996-04-11	PRIJEM	PREVOD Z UCTU	6443	18511	DUCHOD	CD	24810451
1011200	3456	1996-05-11	PRIJEM	PREVOD Z UCTU	6443	21666	DUCHOD	CD	24810451
1011201	3456	1996-06-11	PRIJEM	PREVOD Z UCTU	6443	17065	DUCHOD	CD	24810451
1011202	3456	1996-07-11	PRIJEM	PREVOD Z UCTU	6443	22057	DUCHOD	CD	24810451
1011203	3456	1996-08-11	PRIJEM	PREVOD Z UCTU	6443	27070	DUCHOD	CD	24810451
1011204	3456	1996-09-11	PRIJEM	PREVOD Z UCTU	6443	16781	DUCHOD	CD	24810451
1011205	3456	1996-10-11	PRIJEM	PREVOD Z UCTU	6443	21771	DUCHOD	CD	24810451
1011206	3456	1996-11-11	PRIJEM	PREVOD Z UCTU	6443	26783	DUCHOD	CD	24810451
1011207	3456	1996-12-11	PRIJEM	PREVOD Z UCTU	6443	31815	DUCHOD	CD	24810451
1011208	3456	1997-01-11	PRIJEM	PREVOD Z UCTU	6443	36266	DUCHOD	CD	24810451
1011209	3456	1997-02-11	PRIJEM	PREVOD Z UCTU	6443	37168	DUCHOD	CD	24810451
1011210	3456	1997-03-11	PRIJEM	PREVOD Z UCTU	6443	42243	DUCHOD	CD	24810451
1011211	3456	1997-04-11	PRIJEM	PREVOD Z UCTU	6443	17888	DUCHOD	CD	24810451
1011212	3456	1997-05-11	PRIJEM	PREVOD Z UCTU	6443	20321	DUCHOD	CD	24810451
1011213	3456	1997-06-11	PRIJEM	PREVOD Z UCTU	6443	23805	DUCHOD	CD	24810451
1011214	3456	1997-07-11	PRIJEM	PREVOD Z UCTU	6443	25721	DUCHOD	CD	24810451
1011215	3456	1997-08-11	PRIJEM	PREVOD Z UCTU	6443	30749	DUCHOD	CD	24810451
1011216	3456	1997-09-11	PRIJEM	PREVOD Z UCTU	6443	34354	DUCHOD	CD	24810451
1011217	3456	1997-10-11	PRIJEM	PREVOD Z UCTU	6443	39417	DUCHOD	CD	24810451
1011218	3456	1997-11-11	PRIJEM	PREVOD Z UCTU	6443	44021	DUCHOD	CD	24810451
1011219	3456	1997-12-11	PRIJEM	PREVOD Z UCTU	6443	49124	DUCHOD	CD	24810451
1011220	3456	1998-01-11	PRIJEM	PREVOD Z UCTU	6443	50997	DUCHOD	CD	24810451
1011221	3456	1998-02-11	PRIJEM	PREVOD Z UCTU	6443	56131	DUCHOD	CD	24810451
1011222	3456	1998-03-11	PRIJEM	PREVOD Z UCTU	6443	21483	DUCHOD	CD	24810451
1011223	3456	1998-04-11	PRIJEM	PREVOD Z UCTU	6443	26492	DUCHOD	CD	24810451
1011224	3456	1998-05-11	PRIJEM	PREVOD Z UCTU	6443	31522	DUCHOD	CD	24810451
1011225	3456	1998-06-11	PRIJEM	PREVOD Z UCTU	6443	36573	DUCHOD	CD	24810451
1011226	3456	1998-07-11	PRIJEM	PREVOD Z UCTU	6443	33379	DUCHOD	CD	24810451
1011227	3456	1998-08-11	PRIJEM	PREVOD Z UCTU	6443	33394	DUCHOD	CD	24810451
1011228	3456	1998-09-11	PRIJEM	PREVOD Z UCTU	6443	38453	DUCHOD	CD	24810451
1011229	3456	1998-10-11	PRIJEM	PREVOD Z UCTU	6443	42412	DUCHOD	CD	24810451
1011230	3456	1998-11-11	PRIJEM	PREVOD Z UCTU	6443	47507	DUCHOD	CD	24810451
1011231	3456	1998-12-11	PRIJEM	PREVOD Z UCTU	6443	52623	DUCHOD	CD	24810451
1011245	3456	1994-02-06	VYDAJ	PREVOD NA UCET	1500	26136	SIPO	YZ	52054703
1011246	3456	1994-03-06	VYDAJ	PREVOD NA UCET	1500	27792	SIPO	YZ	52054703
1011247	3456	1994-04-06	VYDAJ	PREVOD NA UCET	1500	24366	SIPO	YZ	52054703
1011248	3456	1994-05-06	VYDAJ	PREVOD NA UCET	1500	24816	SIPO	YZ	52054703
1011249	3456	1994-06-06	VYDAJ	PREVOD NA UCET	1500	22020	SIPO	YZ	52054703
1011250	3456	1994-07-06	VYDAJ	PREVOD NA UCET	1500	23454	SIPO	YZ	52054703
1011251	3456	1994-08-06	VYDAJ	PREVOD NA UCET	1500	22600	SIPO	YZ	52054703
1011252	3456	1994-09-06	VYDAJ	PREVOD NA UCET	1500	23444	SIPO	YZ	52054703
1011253	3456	1994-10-06	VYDAJ	PREVOD NA UCET	1500	25991	SIPO	YZ	52054703
1011254	3456	1994-11-06	VYDAJ	PREVOD NA UCET	1500	26148	SIPO	YZ	52054703
1011255	3456	1994-12-06	VYDAJ	PREVOD NA UCET	1500	23812	SIPO	YZ	52054703
1011256	3456	1995-01-06	VYDAJ	PREVOD NA UCET	1500	22883	SIPO	YZ	52054703
1011257	3456	1995-02-06	VYDAJ	PREVOD NA UCET	1500	20762	SIPO	YZ	52054703
1011258	3456	1995-03-06	VYDAJ	PREVOD NA UCET	1500	23576	SIPO	YZ	52054703
1011259	3456	1995-04-06	VYDAJ	PREVOD NA UCET	1500	23822	SIPO	YZ	52054703
1011260	3456	1995-05-06	VYDAJ	PREVOD NA UCET	1500	24968	SIPO	YZ	52054703
1011261	3456	1995-06-06	VYDAJ	PREVOD NA UCET	1500	26419	SIPO	YZ	52054703
1011262	3456	1995-07-06	VYDAJ	PREVOD NA UCET	1500	19084	SIPO	YZ	52054703
1011263	3456	1995-08-06	VYDAJ	PREVOD NA UCET	1500	17429	SIPO	YZ	52054703
1011264	3456	1995-09-06	VYDAJ	PREVOD NA UCET	1500	19648	SIPO	YZ	52054703
1011265	3456	1995-10-06	VYDAJ	PREVOD NA UCET	1500	19251	SIPO	YZ	52054703
1011266	3456	1995-11-06	VYDAJ	PREVOD NA UCET	1500	15073	SIPO	YZ	52054703
1011267	3456	1995-12-06	VYDAJ	PREVOD NA UCET	1500	12414	SIPO	YZ	52054703
1011268	3456	1996-01-06	VYDAJ	PREVOD NA UCET	1500	12157	SIPO	YZ	52054703
1011269	3456	1996-02-06	VYDAJ	PREVOD NA UCET	1500	14351	SIPO	YZ	52054703
1011270	3456	1996-03-06	VYDAJ	PREVOD NA UCET	1500	12954	SIPO	YZ	52054703
1011271	3456	1996-04-06	VYDAJ	PREVOD NA UCET	1500	12068	SIPO	YZ	52054703
1011272	3456	1996-05-06	VYDAJ	PREVOD NA UCET	1500	15223	SIPO	YZ	52054703
1011273	3456	1996-06-06	VYDAJ	PREVOD NA UCET	1500	10622	SIPO	YZ	52054703
1011274	3456	1996-07-06	VYDAJ	PREVOD NA UCET	1500	15614	SIPO	YZ	52054703
1011275	3456	1996-08-06	VYDAJ	PREVOD NA UCET	1500	20627	SIPO	YZ	52054703
1011276	3456	1996-09-06	VYDAJ	PREVOD NA UCET	1500	10338	SIPO	YZ	52054703
1011277	3456	1996-10-06	VYDAJ	PREVOD NA UCET	1500	15328	SIPO	YZ	52054703
1011278	3456	1996-11-06	VYDAJ	PREVOD NA UCET	1500	20340	SIPO	YZ	52054703
1011279	3456	1996-12-06	VYDAJ	PREVOD NA UCET	1500	25372	SIPO	YZ	52054703
1011280	3456	1997-01-06	VYDAJ	PREVOD NA UCET	1500	29823	SIPO	YZ	52054703
1011281	3456	1997-02-06	VYDAJ	PREVOD NA UCET	1500	30725	SIPO	YZ	52054703
1011282	3456	1997-03-06	VYDAJ	PREVOD NA UCET	1500	35800	SIPO	YZ	52054703
1011283	3456	1997-04-06	VYDAJ	PREVOD NA UCET	1500	11445	SIPO	YZ	52054703
1011284	3456	1997-05-06	VYDAJ	PREVOD NA UCET	1500	13878	SIPO	YZ	52054703
1011285	3456	1997-06-06	VYDAJ	PREVOD NA UCET	1500	17362	SIPO	YZ	52054703
1011286	3456	1997-07-06	VYDAJ	PREVOD NA UCET	1500	19278	SIPO	YZ	52054703
1011287	3456	1997-08-06	VYDAJ	PREVOD NA UCET	1500	24306	SIPO	YZ	52054703
1011288	3456	1997-09-06	VYDAJ	PREVOD NA UCET	1500	27911	SIPO	YZ	52054703
1011289	3456	1997-10-06	VYDAJ	PREVOD NA UCET	1500	32974	SIPO	YZ	52054703
1011290	3456	1997-11-06	VYDAJ	PREVOD NA UCET	1500	37578	SIPO	YZ	52054703
1011291	3456	1997-12-06	VYDAJ	PREVOD NA UCET	1500	42681	SIPO	YZ	52054703
1011292	3456	1998-01-06	VYDAJ	PREVOD NA UCET	1500	47154	SIPO	YZ	52054703
1011293	3456	1998-02-06	VYDAJ	PREVOD NA UCET	1500	49688	SIPO	YZ	52054703
1011294	3456	1998-03-06	VYDAJ	PREVOD NA UCET	1500	15040	SIPO	YZ	52054703
1011295	3456	1998-04-06	VYDAJ	PREVOD NA UCET	1500	20049	SIPO	YZ	52054703
1011296	3456	1998-05-06	VYDAJ	PREVOD NA UCET	1500	25079	SIPO	YZ	52054703
1011297	3456	1998-06-06	VYDAJ	PREVOD NA UCET	1500	30130	SIPO	YZ	52054703
1011298	3456	1998-07-06	VYDAJ	PREVOD NA UCET	1500	26936	SIPO	YZ	52054703
1011299	3456	1998-08-06	VYDAJ	PREVOD NA UCET	1500	26951	SIPO	YZ	52054703
1011300	3456	1998-09-06	VYDAJ	PREVOD NA UCET	1500	32010	SIPO	YZ	52054703
1011301	3456	1998-10-06	VYDAJ	PREVOD NA UCET	1500	35969	SIPO	YZ	52054703
1011302	3456	1998-11-06	VYDAJ	PREVOD NA UCET	1500	41064	SIPO	YZ	52054703
1011303	3456	1998-12-06	VYDAJ	PREVOD NA UCET	1500	46180	SIPO	YZ	52054703
1011305	3456	1994-06-01	VYDAJ	VYBER	6650	24720	\N	\N	\N
1011306	3456	1995-06-23	VYDAJ	VYBER	8500	23082	\N	\N	\N
1011308	3456	1997-06-24	VYDAJ	VYBER	3100	20705	\N	\N	\N
1011309	3456	1998-06-18	VYDAJ	VYBER	8250	28323	\N	\N	\N
1011312	3456	1995-01-10	VYDAJ	VYBER	4350	18533	\N	\N	\N
1011313	3456	1996-01-15	VYDAJ	VYBER	1200	17400	\N	\N	\N
1011314	3456	1997-01-12	VYDAJ	VYBER	3600	32666	\N	\N	\N
1011315	3456	1998-01-07	VYDAJ	VYBER	2600	44554	\N	\N	\N
1011317	3456	1994-12-22	VYDAJ	VYBER	750	27185	\N	\N	\N
1011318	3456	1995-12-12	VYDAJ	VYBER	850	18007	\N	\N	\N
1011319	3456	1996-12-14	VYDAJ	VYBER	600	31215	\N	\N	\N
1011320	3456	1997-12-20	VYDAJ	VYBER	650	48474	\N	\N	\N
1011321	3456	1998-12-28	VYDAJ	VYBER	700	51203	\N	\N	\N
1011330	3456	1994-01-25	VYDAJ	VYBER	1760	28258	\N	\N	\N
1011331	3456	1994-07-05	VYDAJ	VYBER	1200	24954	\N	\N	\N
1011332	3456	1994-08-24	VYDAJ	VYBER	1600	27443	\N	\N	\N
1011333	3456	1994-06-09	VYDAJ	VYBER	2400	19620	\N	\N	\N
1011334	3456	1994-12-17	VYDAJ	VYBER	2320	27935	\N	\N	\N
1011335	3456	1994-03-15	VYDAJ	VYBER	3440	30795	\N	\N	\N
1011336	3456	1994-03-23	VYDAJ	VYBER	3040	27755	\N	\N	\N
1011337	3456	1995-06-15	VYDAJ	VYBER	1280	31582	\N	\N	\N
1011338	3456	1995-03-02	VYDAJ	VYBER	1920	25076	\N	\N	\N
1011339	3456	1995-11-18	VYDAJ	VYBER	3360	18156	\N	\N	\N
1011340	3456	1995-09-12	VYDAJ	VYBER	1520	24571	\N	\N	\N
1011342	3456	1995-10-28	VYDAJ	VYBER	2400	16494	\N	\N	\N
1011343	3456	1995-07-31	VYDAJ	VYBER	2480	18929	\N	\N	\N
1011344	3456	1996-04-20	VYDAJ	VYBER	1840	16671	\N	\N	\N
1011345	3456	1996-03-19	VYDAJ	VYBER	2880	16517	\N	\N	\N
1011347	3456	1996-02-28	VYDAJ	VYBER	2400	14394	\N	\N	\N
1011348	3456	1997-01-30	VYDAJ	VYBER	560	32106	\N	\N	\N
1011349	3456	1997-08-16	VYDAJ	VYBER	1440	29309	\N	\N	\N
1011350	3456	1997-04-26	VYDAJ	VYBER	2560	15328	\N	\N	\N
1011351	3456	1997-10-11	VYDAJ	VYBER	480	38937	\N	\N	\N
1011352	3456	1997-05-29	VYDAJ	VYBER	1520	18801	\N	\N	\N
1011353	3456	1998-07-14	VYDAJ	VYBER	1200	32179	\N	\N	\N
1011354	3456	1998-10-05	VYDAJ	VYBER	1120	37469	\N	\N	\N
1011355	3456	1998-07-14	VYDAJ	VYBER	3840	28339	\N	\N	\N
1011356	3456	1998-12-20	VYDAJ	VYBER	720	51903	\N	\N	\N
1011370	3456	1994-01-31	VYDAJ	VYBER	15	28336	SLUZBY	\N	\N
1011371	3456	1994-02-28	VYDAJ	VYBER	15	32692	SLUZBY	\N	\N
1011372	3456	1994-03-31	VYDAJ	VYBER	15	27866	SLUZBY	\N	\N
1011373	3456	1994-04-30	VYDAJ	VYBER	15	30916	SLUZBY	\N	\N
1011374	3456	1994-05-31	VYDAJ	VYBER	15	31370	SLUZBY	\N	\N
1011375	3456	1994-06-30	VYDAJ	VYBER	15	26154	SLUZBY	\N	\N
1011376	3456	1994-07-31	VYDAJ	VYBER	15	30000	SLUZBY	\N	\N
1011377	3456	1994-08-31	VYDAJ	VYBER	15	27544	SLUZBY	\N	\N
1011378	3456	1994-09-30	VYDAJ	VYBER	15	29991	SLUZBY	\N	\N
1011379	3456	1994-10-31	VYDAJ	VYBER	15	32548	SLUZBY	\N	\N
1011380	3456	1994-11-30	VYDAJ	VYBER	15	25312	SLUZBY	\N	\N
1011381	3456	1994-12-31	VYDAJ	VYBER	15	24383	SLUZBY	\N	\N
1011382	3456	1995-01-31	VYDAJ	VYBER	15	22262	SLUZBY	\N	\N
1011383	3456	1995-02-28	VYDAJ	VYBER	15	26996	SLUZBY	\N	\N
1011384	3456	1995-03-31	VYDAJ	VYBER	15	25322	SLUZBY	\N	\N
1011385	3456	1995-04-30	VYDAJ	VYBER	15	26468	SLUZBY	\N	\N
1011386	3456	1995-05-31	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
1011387	3456	1995-06-30	VYDAJ	VYBER	15	20584	SLUZBY	\N	\N
1011388	3456	1995-07-31	VYDAJ	VYBER	15	21409	SLUZBY	\N	\N
1011389	3456	1995-08-31	VYDAJ	VYBER	15	21148	SLUZBY	\N	\N
1011390	3456	1995-09-30	VYDAJ	VYBER	15	20751	SLUZBY	\N	\N
1011391	3456	1995-10-31	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
1011392	3456	1995-11-30	VYDAJ	VYBER	15	13914	SLUZBY	\N	\N
1011393	3456	1995-12-31	VYDAJ	VYBER	15	13657	SLUZBY	\N	\N
1011394	3456	1996-01-31	VYDAJ	VYBER	15	15851	SLUZBY	\N	\N
1011395	3456	1996-02-29	VYDAJ	VYBER	15	14454	SLUZBY	\N	\N
1011396	3456	1996-03-31	VYDAJ	VYBER	15	13568	SLUZBY	\N	\N
1011397	3456	1996-04-30	VYDAJ	VYBER	15	16723	SLUZBY	\N	\N
1011398	3456	1996-05-31	VYDAJ	VYBER	15	12122	SLUZBY	\N	\N
1011399	3456	1996-06-30	VYDAJ	VYBER	15	17114	SLUZBY	\N	\N
1011400	3456	1996-07-31	VYDAJ	VYBER	15	22127	SLUZBY	\N	\N
1011401	3456	1996-08-31	VYDAJ	VYBER	15	11838	SLUZBY	\N	\N
1011402	3456	1996-09-30	VYDAJ	VYBER	15	16828	SLUZBY	\N	\N
1011403	3456	1996-10-31	VYDAJ	VYBER	15	21840	SLUZBY	\N	\N
1011404	3456	1996-11-30	VYDAJ	VYBER	15	26872	SLUZBY	\N	\N
1011405	3456	1996-12-31	VYDAJ	VYBER	15	31323	SLUZBY	\N	\N
1011406	3456	1997-01-31	VYDAJ	VYBER	15	32225	SLUZBY	\N	\N
1011407	3456	1997-02-28	VYDAJ	VYBER	15	37300	SLUZBY	\N	\N
1011408	3456	1997-03-31	VYDAJ	VYBER	15	12945	SLUZBY	\N	\N
1011409	3456	1997-04-30	VYDAJ	VYBER	15	15378	SLUZBY	\N	\N
1011410	3456	1997-05-31	VYDAJ	VYBER	15	18862	SLUZBY	\N	\N
1011411	3456	1997-06-30	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
1011412	3456	1997-07-31	VYDAJ	VYBER	15	25806	SLUZBY	\N	\N
1011413	3456	1997-08-31	VYDAJ	VYBER	15	29411	SLUZBY	\N	\N
1011414	3456	1997-09-30	VYDAJ	VYBER	15	34474	SLUZBY	\N	\N
1011415	3456	1997-10-31	VYDAJ	VYBER	15	39078	SLUZBY	\N	\N
1011416	3456	1997-11-30	VYDAJ	VYBER	15	44181	SLUZBY	\N	\N
1011417	3456	1997-12-31	VYDAJ	VYBER	15	48654	SLUZBY	\N	\N
1011418	3456	1998-01-31	VYDAJ	VYBER	15	51188	SLUZBY	\N	\N
1011419	3456	1998-02-28	VYDAJ	VYBER	15	16540	SLUZBY	\N	\N
1011420	3456	1998-03-31	VYDAJ	VYBER	15	21549	SLUZBY	\N	\N
1011421	3456	1998-04-30	VYDAJ	VYBER	15	26579	SLUZBY	\N	\N
1011422	3456	1998-05-31	VYDAJ	VYBER	15	31630	SLUZBY	\N	\N
1011423	3456	1998-06-30	VYDAJ	VYBER	15	28436	SLUZBY	\N	\N
1011424	3456	1998-07-31	VYDAJ	VYBER	15	28451	SLUZBY	\N	\N
1011425	3456	1998-08-31	VYDAJ	VYBER	15	33510	SLUZBY	\N	\N
1011426	3456	1998-09-30	VYDAJ	VYBER	15	38589	SLUZBY	\N	\N
1011427	3456	1998-10-31	VYDAJ	VYBER	15	42564	SLUZBY	\N	\N
1011428	3456	1998-11-30	VYDAJ	VYBER	15	47680	SLUZBY	\N	\N
1011429	3456	1994-01-04	VYDAJ	VYBER	2600	23575	\N	\N	\N
1011430	3456	1994-02-03	VYDAJ	VYBER	700	27636	\N	\N	\N
1011431	3456	1994-03-05	VYDAJ	VYBER	3400	29292	\N	\N	\N
1011432	3456	1994-04-04	VYDAJ	VYBER	2000	25866	\N	\N	\N
1011433	3456	1994-05-04	VYDAJ	VYBER	4600	26316	\N	\N	\N
1011434	3456	1994-06-03	VYDAJ	VYBER	1200	23520	\N	\N	\N
1011435	3456	1994-08-02	VYDAJ	VYBER	5900	24100	\N	\N	\N
1011436	3456	1994-09-01	VYDAJ	VYBER	2600	24944	\N	\N	\N
1011437	3456	1994-10-01	VYDAJ	VYBER	2500	27491	\N	\N	\N
1011438	3456	1994-10-31	VYDAJ	VYBER	4900	27648	\N	\N	\N
1011439	3456	1994-11-30	VYDAJ	VYBER	7400	25326	\N	\N	\N
1011440	3456	1994-12-30	VYDAJ	VYBER	2900	24285	\N	\N	\N
1011441	3456	1995-01-29	VYDAJ	VYBER	2800	22176	\N	\N	\N
1011442	3456	1995-02-28	VYDAJ	VYBER	300	27011	\N	\N	\N
1011443	3456	1995-03-30	VYDAJ	VYBER	4800	25219	\N	\N	\N
1011444	3456	1995-04-29	VYDAJ	VYBER	3900	26365	\N	\N	\N
1011445	3456	1995-05-29	VYDAJ	VYBER	3600	27811	\N	\N	\N
1011446	3456	1995-06-28	VYDAJ	VYBER	2600	20482	\N	\N	\N
1011447	3456	1995-07-28	VYDAJ	VYBER	4200	21327	\N	\N	\N
1011448	3456	1995-08-27	VYDAJ	VYBER	2800	21072	\N	\N	\N
1011449	3456	1995-09-26	VYDAJ	VYBER	3900	20671	\N	\N	\N
1011450	3456	1995-10-26	VYDAJ	VYBER	6800	18894	\N	\N	\N
1011451	3456	1995-11-25	VYDAJ	VYBER	4300	13856	\N	\N	\N
1011452	3456	1995-12-25	VYDAJ	VYBER	4400	13607	\N	\N	\N
1011453	3456	1996-01-24	VYDAJ	VYBER	1600	15800	\N	\N	\N
1011454	3456	1996-02-23	VYDAJ	VYBER	4000	16794	\N	\N	\N
1011455	3456	1996-03-24	VYDAJ	VYBER	3000	13517	\N	\N	\N
1011456	3456	1996-05-23	VYDAJ	VYBER	9600	12066	\N	\N	\N
1011457	3456	1996-08-21	VYDAJ	VYBER	15300	11770	\N	\N	\N
1011458	3456	1997-03-19	VYDAJ	VYBER	29400	12843	\N	\N	\N
1011459	3456	1998-02-12	VYDAJ	VYBER	39700	16431	\N	\N	\N
1011524	3457	1994-10-01	PRIJEM	VKLAD	200	200	\N	\N	\N
1011534	3457	1994-10-07	PRIJEM	PREVOD Z UCTU	4194	4394	DUCHOD	MN	82948666
1011535	3457	1994-11-07	PRIJEM	PREVOD Z UCTU	4194	8603	DUCHOD	MN	82948666
1011536	3457	1994-12-07	PRIJEM	PREVOD Z UCTU	4194	12815	DUCHOD	MN	82948666
1011537	3457	1995-01-07	PRIJEM	PREVOD Z UCTU	4194	17027	DUCHOD	MN	82948666
1011538	3457	1995-02-07	PRIJEM	PREVOD Z UCTU	4194	21240	DUCHOD	MN	82948666
1011539	3457	1995-03-07	PRIJEM	PREVOD Z UCTU	4194	22685	DUCHOD	MN	82948666
1011540	3457	1995-04-07	PRIJEM	PREVOD Z UCTU	4194	24150	DUCHOD	MN	82948666
1011541	3457	1995-05-07	PRIJEM	PREVOD Z UCTU	4194	24821	DUCHOD	MN	82948666
1011542	3457	1995-06-07	PRIJEM	PREVOD Z UCTU	4194	24211	DUCHOD	MN	82948666
1011543	3457	1995-07-07	PRIJEM	PREVOD Z UCTU	4194	21840	DUCHOD	MN	82948666
1011544	3457	1995-08-07	PRIJEM	PREVOD Z UCTU	4194	23301	DUCHOD	MN	82948666
1011545	3457	1995-09-07	PRIJEM	PREVOD Z UCTU	4194	24669	DUCHOD	MN	82948666
1011546	3457	1995-10-07	PRIJEM	PREVOD Z UCTU	4194	23093	DUCHOD	MN	82948666
1011547	3457	1995-11-07	PRIJEM	PREVOD Z UCTU	4194	24560	DUCHOD	MN	82948666
1011548	3457	1995-12-07	PRIJEM	PREVOD Z UCTU	4194	26032	DUCHOD	MN	82948666
1011549	3457	1996-01-07	PRIJEM	PREVOD Z UCTU	4194	25109	DUCHOD	MN	82948666
1011550	3457	1996-02-07	PRIJEM	PREVOD Z UCTU	4194	18489	DUCHOD	MN	82948666
1011551	3457	1996-03-07	PRIJEM	PREVOD Z UCTU	4194	19937	DUCHOD	MN	82948666
1011552	3457	1996-04-07	PRIJEM	PREVOD Z UCTU	4194	18662	DUCHOD	MN	82948666
1011553	3457	1996-05-07	PRIJEM	PREVOD Z UCTU	4194	20110	DUCHOD	MN	82948666
1011554	3457	1996-06-07	PRIJEM	PREVOD Z UCTU	4194	17800	DUCHOD	MN	82948666
1011555	3457	1996-07-07	PRIJEM	PREVOD Z UCTU	4194	15734	DUCHOD	MN	82948666
1011556	3457	1996-08-07	PRIJEM	PREVOD Z UCTU	4194	17169	DUCHOD	MN	82948666
1011557	3457	1996-09-07	PRIJEM	PREVOD Z UCTU	4194	18611	DUCHOD	MN	82948666
1011558	3457	1996-10-07	PRIJEM	PREVOD Z UCTU	4194	20059	DUCHOD	MN	82948666
1011559	3457	1996-11-07	PRIJEM	PREVOD Z UCTU	4194	21513	DUCHOD	MN	82948666
1011560	3457	1996-12-07	PRIJEM	PREVOD Z UCTU	4194	22972	DUCHOD	MN	82948666
1011561	3457	1997-01-07	PRIJEM	PREVOD Z UCTU	4194	21016	DUCHOD	MN	82948666
1011562	3457	1997-02-07	PRIJEM	PREVOD Z UCTU	4194	18309	DUCHOD	MN	82948666
1011563	3457	1997-03-07	PRIJEM	PREVOD Z UCTU	4194	19755	DUCHOD	MN	82948666
1011564	3457	1997-04-07	PRIJEM	PREVOD Z UCTU	4194	19121	DUCHOD	MN	82948666
1011565	3457	1997-05-07	PRIJEM	PREVOD Z UCTU	4194	18970	DUCHOD	MN	82948666
1011566	3457	1997-06-07	PRIJEM	PREVOD Z UCTU	4194	20421	DUCHOD	MN	82948666
1011567	3457	1997-07-07	PRIJEM	PREVOD Z UCTU	4194	21876	DUCHOD	MN	82948666
1011568	3457	1997-08-07	PRIJEM	PREVOD Z UCTU	4194	19895	DUCHOD	MN	82948666
1011569	3457	1997-09-07	PRIJEM	PREVOD Z UCTU	4194	21347	DUCHOD	MN	82948666
1011570	3457	1997-10-07	PRIJEM	PREVOD Z UCTU	4194	22806	DUCHOD	MN	82948666
1011571	3457	1997-11-07	PRIJEM	PREVOD Z UCTU	4194	23549	DUCHOD	MN	82948666
1011572	3457	1997-12-07	PRIJEM	PREVOD Z UCTU	4194	25017	DUCHOD	MN	82948666
1011573	3457	1998-01-07	PRIJEM	PREVOD Z UCTU	4194	23197	DUCHOD	MN	82948666
1011574	3457	1998-02-07	PRIJEM	PREVOD Z UCTU	4194	19055	DUCHOD	MN	82948666
1011575	3457	1998-03-07	PRIJEM	PREVOD Z UCTU	4194	20504	DUCHOD	MN	82948666
1011576	3457	1998-04-07	PRIJEM	PREVOD Z UCTU	4194	21959	DUCHOD	MN	82948666
1011577	3457	1998-05-07	PRIJEM	PREVOD Z UCTU	4194	23420	DUCHOD	MN	82948666
1011578	3457	1998-06-07	PRIJEM	PREVOD Z UCTU	4194	24887	DUCHOD	MN	82948666
1011579	3457	1998-07-07	PRIJEM	PREVOD Z UCTU	4194	26360	DUCHOD	MN	82948666
1011580	3457	1998-08-07	PRIJEM	PREVOD Z UCTU	4194	27839	DUCHOD	MN	82948666
1011581	3457	1998-09-07	PRIJEM	PREVOD Z UCTU	4194	27160	DUCHOD	MN	82948666
1011582	3457	1998-10-07	PRIJEM	PREVOD Z UCTU	4194	28643	DUCHOD	MN	82948666
1011583	3457	1998-11-07	PRIJEM	PREVOD Z UCTU	4194	29570	DUCHOD	MN	82948666
1011584	3457	1998-12-07	PRIJEM	PREVOD Z UCTU	4194	31062	DUCHOD	MN	82948666
1011598	3457	1995-02-08	VYDAJ	PREVOD NA UCET	2796	18444	SIPO	YZ	68303775
1011599	3457	1995-03-08	VYDAJ	PREVOD NA UCET	2796	19889	SIPO	YZ	68303775
1011600	3457	1995-04-08	VYDAJ	PREVOD NA UCET	2796	21354	SIPO	YZ	68303775
1011601	3457	1995-05-08	VYDAJ	PREVOD NA UCET	2796	22025	SIPO	YZ	68303775
1011602	3457	1995-06-08	VYDAJ	PREVOD NA UCET	2796	21415	SIPO	YZ	68303775
1011603	3457	1995-07-08	VYDAJ	PREVOD NA UCET	2796	19044	SIPO	YZ	68303775
1011604	3457	1995-08-08	VYDAJ	PREVOD NA UCET	2796	20505	SIPO	YZ	68303775
1011605	3457	1995-09-08	VYDAJ	PREVOD NA UCET	2796	21873	SIPO	YZ	68303775
1011606	3457	1995-10-08	VYDAJ	PREVOD NA UCET	2796	20297	SIPO	YZ	68303775
1011607	3457	1995-11-08	VYDAJ	PREVOD NA UCET	2796	21764	SIPO	YZ	68303775
1011608	3457	1995-12-08	VYDAJ	PREVOD NA UCET	2796	23236	SIPO	YZ	68303775
1011609	3457	1996-01-08	VYDAJ	PREVOD NA UCET	2796	20073	SIPO	YZ	68303775
1011610	3457	1996-02-08	VYDAJ	PREVOD NA UCET	2796	15693	SIPO	YZ	68303775
1011611	3457	1996-03-08	VYDAJ	PREVOD NA UCET	2796	17141	SIPO	YZ	68303775
1011612	3457	1996-04-08	VYDAJ	PREVOD NA UCET	2796	15866	SIPO	YZ	68303775
1011613	3457	1996-05-08	VYDAJ	PREVOD NA UCET	2796	17314	SIPO	YZ	68303775
1011614	3457	1996-06-08	VYDAJ	PREVOD NA UCET	2796	15004	SIPO	YZ	68303775
1011615	3457	1996-07-08	VYDAJ	PREVOD NA UCET	2796	12938	SIPO	YZ	68303775
1011616	3457	1996-08-08	VYDAJ	PREVOD NA UCET	2796	14373	SIPO	YZ	68303775
1011617	3457	1996-09-08	VYDAJ	PREVOD NA UCET	2796	15815	SIPO	YZ	68303775
1011618	3457	1996-10-08	VYDAJ	PREVOD NA UCET	2796	17263	SIPO	YZ	68303775
1011619	3457	1996-11-08	VYDAJ	PREVOD NA UCET	2796	18717	SIPO	YZ	68303775
1011620	3457	1996-12-08	VYDAJ	PREVOD NA UCET	2796	20176	SIPO	YZ	68303775
1011621	3457	1997-01-08	VYDAJ	PREVOD NA UCET	2796	18220	SIPO	YZ	68303775
1011622	3457	1997-02-08	VYDAJ	PREVOD NA UCET	2796	15513	SIPO	YZ	68303775
1011623	3457	1997-03-08	VYDAJ	PREVOD NA UCET	2796	14879	SIPO	YZ	68303775
1011624	3457	1997-04-08	VYDAJ	PREVOD NA UCET	2796	16325	SIPO	YZ	68303775
1011625	3457	1997-05-08	VYDAJ	PREVOD NA UCET	2796	16174	SIPO	YZ	68303775
1011626	3457	1997-06-08	VYDAJ	PREVOD NA UCET	2796	17625	SIPO	YZ	68303775
1011627	3457	1997-07-08	VYDAJ	PREVOD NA UCET	2796	19080	SIPO	YZ	68303775
1011628	3457	1997-08-08	VYDAJ	PREVOD NA UCET	2796	17099	SIPO	YZ	68303775
1011629	3457	1997-09-08	VYDAJ	PREVOD NA UCET	2796	18551	SIPO	YZ	68303775
1011630	3457	1997-10-08	VYDAJ	PREVOD NA UCET	2796	20010	SIPO	YZ	68303775
1011631	3457	1997-11-08	VYDAJ	PREVOD NA UCET	2796	20753	SIPO	YZ	68303775
1011632	3457	1997-12-08	VYDAJ	PREVOD NA UCET	2796	22221	SIPO	YZ	68303775
1011633	3457	1998-01-08	VYDAJ	PREVOD NA UCET	2796	20401	SIPO	YZ	68303775
1011634	3457	1998-02-08	VYDAJ	PREVOD NA UCET	2796	16259	SIPO	YZ	68303775
1011635	3457	1998-03-08	VYDAJ	PREVOD NA UCET	2796	17708	SIPO	YZ	68303775
1011636	3457	1998-04-08	VYDAJ	PREVOD NA UCET	2796	19163	SIPO	YZ	68303775
1011637	3457	1998-05-08	VYDAJ	PREVOD NA UCET	2796	20624	SIPO	YZ	68303775
1011638	3457	1998-06-08	VYDAJ	PREVOD NA UCET	2796	22091	SIPO	YZ	68303775
1011639	3457	1998-07-08	VYDAJ	PREVOD NA UCET	2796	23564	SIPO	YZ	68303775
1011640	3457	1998-08-08	VYDAJ	PREVOD NA UCET	2796	25043	SIPO	YZ	68303775
1011641	3457	1998-09-08	VYDAJ	PREVOD NA UCET	2796	24364	SIPO	YZ	68303775
1011642	3457	1998-10-08	VYDAJ	PREVOD NA UCET	2796	25847	SIPO	YZ	68303775
1011643	3457	1998-11-08	VYDAJ	PREVOD NA UCET	2796	26774	SIPO	YZ	68303775
1011644	3457	1998-12-08	VYDAJ	PREVOD NA UCET	2796	28266	SIPO	YZ	68303775
1011647	3457	1996-06-08	VYDAJ	VYBER	3500	11504	\N	\N	\N
1011651	3457	1995-12-12	VYDAJ	VYBER	800	22436	\N	\N	\N
1011652	3457	1996-12-17	VYDAJ	VYBER	1100	19076	\N	\N	\N
1011653	3457	1997-12-10	VYDAJ	VYBER	1450	20771	\N	\N	\N
1011654	3457	1998-12-26	VYDAJ	VYBER	800	26266	\N	\N	\N
1011667	3457	1996-01-22	VYDAJ	VYBER	1360	14713	\N	\N	\N
1011668	3457	1996-01-18	VYDAJ	VYBER	1200	17513	\N	\N	\N
1011669	3457	1996-01-08	VYDAJ	VYBER	2240	22869	\N	\N	\N
1011670	3457	1996-01-12	VYDAJ	VYBER	1360	18713	\N	\N	\N
1011671	3457	1996-01-21	VYDAJ	VYBER	1440	16073	\N	\N	\N
1011672	3457	1996-01-05	VYDAJ	VYBER	1600	20915	\N	\N	\N
1011673	3457	1997-01-15	VYDAJ	VYBER	960	17260	\N	\N	\N
1011674	3457	1997-01-24	VYDAJ	VYBER	1040	14060	\N	\N	\N
1011676	3457	1997-01-18	VYDAJ	VYBER	2160	15100	\N	\N	\N
1011678	3457	1997-01-06	VYDAJ	VYBER	2320	16822	\N	\N	\N
1011679	3457	1998-01-11	VYDAJ	VYBER	1520	18881	\N	\N	\N
1011680	3457	1998-01-14	VYDAJ	VYBER	880	18001	\N	\N	\N
1011681	3457	1998-01-02	VYDAJ	VYBER	1840	19003	\N	\N	\N
1011682	3457	1998-01-27	VYDAJ	VYBER	2000	14801	\N	\N	\N
1011683	3457	1998-01-17	VYDAJ	VYBER	1200	16801	\N	\N	\N
1011689	3457	1995-09-10	VYDAJ	VYBER	3040	18833	\N	\N	\N
1011690	3457	1995-05-17	VYDAJ	VYBER	2080	19945	\N	\N	\N
1011691	3457	1995-06-27	VYDAJ	VYBER	3840	17575	\N	\N	\N
1011692	3457	1996-03-09	VYDAJ	VYBER	2720	14421	\N	\N	\N
1011693	3457	1996-05-25	VYDAJ	VYBER	3760	13554	\N	\N	\N
1011695	3457	1996-02-02	VYDAJ	VYBER	480	14295	\N	\N	\N
1011698	3457	1997-05-04	VYDAJ	VYBER	1600	14776	\N	\N	\N
1011700	3457	1997-10-14	VYDAJ	VYBER	720	19290	\N	\N	\N
1011701	3457	1997-03-08	VYDAJ	VYBER	2080	17675	\N	\N	\N
1011702	3457	1997-07-27	VYDAJ	VYBER	3440	15640	\N	\N	\N
1011703	3457	1998-08-18	VYDAJ	VYBER	2160	22883	\N	\N	\N
1011704	3457	1998-10-12	VYDAJ	VYBER	560	25287	\N	\N	\N
1011719	3457	1995-02-28	VYDAJ	VYBER	15	18491	SLUZBY	\N	\N
1011720	3457	1995-03-31	VYDAJ	VYBER	15	19956	SLUZBY	\N	\N
1011721	3457	1995-04-30	VYDAJ	VYBER	15	20627	SLUZBY	\N	\N
1011722	3457	1995-05-31	VYDAJ	VYBER	15	20017	SLUZBY	\N	\N
1011723	3457	1995-06-30	VYDAJ	VYBER	15	17646	SLUZBY	\N	\N
1011724	3457	1995-07-31	VYDAJ	VYBER	15	19107	SLUZBY	\N	\N
1011725	3457	1995-08-31	VYDAJ	VYBER	15	20475	SLUZBY	\N	\N
1011726	3457	1995-09-30	VYDAJ	VYBER	15	18899	SLUZBY	\N	\N
1011727	3457	1995-10-31	VYDAJ	VYBER	15	20366	SLUZBY	\N	\N
1011728	3457	1995-11-30	VYDAJ	VYBER	15	21838	SLUZBY	\N	\N
1011729	3457	1995-12-31	VYDAJ	VYBER	15	22515	SLUZBY	\N	\N
1011730	3457	1996-01-31	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
1011731	3457	1996-02-29	VYDAJ	VYBER	15	15743	SLUZBY	\N	\N
1011732	3457	1996-03-31	VYDAJ	VYBER	15	14468	SLUZBY	\N	\N
1011733	3457	1996-04-30	VYDAJ	VYBER	15	15916	SLUZBY	\N	\N
1011734	3457	1996-05-31	VYDAJ	VYBER	15	13606	SLUZBY	\N	\N
1011735	3457	1996-06-30	VYDAJ	VYBER	15	11540	SLUZBY	\N	\N
1011736	3457	1996-07-31	VYDAJ	VYBER	15	12975	SLUZBY	\N	\N
1011737	3457	1996-08-31	VYDAJ	VYBER	15	14417	SLUZBY	\N	\N
1011738	3457	1996-09-30	VYDAJ	VYBER	15	15865	SLUZBY	\N	\N
1011739	3457	1996-10-31	VYDAJ	VYBER	15	17319	SLUZBY	\N	\N
1011740	3457	1996-11-30	VYDAJ	VYBER	15	18778	SLUZBY	\N	\N
1011741	3457	1996-12-31	VYDAJ	VYBER	15	19142	SLUZBY	\N	\N
1011742	3457	1997-01-31	VYDAJ	VYBER	15	14115	SLUZBY	\N	\N
1011743	3457	1997-02-28	VYDAJ	VYBER	15	15561	SLUZBY	\N	\N
1011744	3457	1997-03-31	VYDAJ	VYBER	15	14927	SLUZBY	\N	\N
1011745	3457	1997-04-30	VYDAJ	VYBER	15	16376	SLUZBY	\N	\N
1011746	3457	1997-05-31	VYDAJ	VYBER	15	16227	SLUZBY	\N	\N
1011747	3457	1997-06-30	VYDAJ	VYBER	15	17682	SLUZBY	\N	\N
1011748	3457	1997-07-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
1011749	3457	1997-08-31	VYDAJ	VYBER	15	17153	SLUZBY	\N	\N
1011750	3457	1997-09-30	VYDAJ	VYBER	15	18612	SLUZBY	\N	\N
1011751	3457	1997-10-31	VYDAJ	VYBER	15	19355	SLUZBY	\N	\N
1011752	3457	1997-11-30	VYDAJ	VYBER	15	20823	SLUZBY	\N	\N
1011753	3457	1997-12-31	VYDAJ	VYBER	15	20843	SLUZBY	\N	\N
1011754	3457	1998-01-31	VYDAJ	VYBER	15	14861	SLUZBY	\N	\N
1011755	3457	1998-02-28	VYDAJ	VYBER	15	16310	SLUZBY	\N	\N
1011756	3457	1998-03-31	VYDAJ	VYBER	15	17765	SLUZBY	\N	\N
1011757	3457	1998-04-30	VYDAJ	VYBER	15	19226	SLUZBY	\N	\N
1011758	3457	1998-05-31	VYDAJ	VYBER	15	20693	SLUZBY	\N	\N
1011759	3457	1998-06-30	VYDAJ	VYBER	15	22166	SLUZBY	\N	\N
1011760	3457	1998-07-31	VYDAJ	VYBER	15	23645	SLUZBY	\N	\N
1011761	3457	1998-08-31	VYDAJ	VYBER	15	22966	SLUZBY	\N	\N
1011762	3457	1998-09-30	VYDAJ	VYBER	15	24449	SLUZBY	\N	\N
1011763	3457	1998-10-31	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
1011764	3457	1998-11-30	VYDAJ	VYBER	15	26868	SLUZBY	\N	\N
1011765	3457	1995-04-29	VYDAJ	VYBER	800	20554	\N	\N	\N
1011766	3457	1995-08-27	VYDAJ	VYBER	100	20405	\N	\N	\N
1011767	3457	1998-12-09	VYDAJ	VYBER	1200	27066	\N	\N	\N
1011819	3458	1995-07-07	PRIJEM	VKLAD	600	600	\N	\N	\N
1011826	3458	1995-07-08	PRIJEM	PREVOD Z UCTU	4280	4880	DUCHOD	OP	5645209
1011827	3458	1995-08-08	PRIJEM	PREVOD Z UCTU	4280	9176	DUCHOD	OP	5645209
1011828	3458	1995-09-08	PRIJEM	PREVOD Z UCTU	4280	13476	DUCHOD	OP	5645209
1011829	3458	1995-10-08	PRIJEM	PREVOD Z UCTU	4280	17776	DUCHOD	OP	5645209
1011830	3458	1995-11-08	PRIJEM	PREVOD Z UCTU	4280	22077	DUCHOD	OP	5645209
1011831	3458	1995-12-08	PRIJEM	PREVOD Z UCTU	4280	20443	DUCHOD	OP	5645209
1011832	3458	1996-01-08	PRIJEM	PREVOD Z UCTU	4280	21028	DUCHOD	OP	5645209
1011833	3458	1996-02-08	PRIJEM	PREVOD Z UCTU	4280	16868	DUCHOD	OP	5645209
1011834	3458	1996-03-08	PRIJEM	PREVOD Z UCTU	4280	18512	DUCHOD	OP	5645209
1011835	3458	1996-04-08	PRIJEM	PREVOD Z UCTU	4280	19201	DUCHOD	OP	5645209
1011836	3458	1996-05-08	PRIJEM	PREVOD Z UCTU	4280	17015	DUCHOD	OP	5645209
1011837	3458	1996-06-08	PRIJEM	PREVOD Z UCTU	4280	18105	DUCHOD	OP	5645209
1011838	3458	1996-07-08	PRIJEM	PREVOD Z UCTU	4280	18475	DUCHOD	OP	5645209
1011839	3458	1996-08-08	PRIJEM	PREVOD Z UCTU	4280	16926	DUCHOD	OP	5645209
1011840	3458	1996-09-08	PRIJEM	PREVOD Z UCTU	4280	18571	DUCHOD	OP	5645209
1011841	3458	1996-10-08	PRIJEM	PREVOD Z UCTU	4280	20222	DUCHOD	OP	5645209
1011842	3458	1996-11-08	PRIJEM	PREVOD Z UCTU	4280	18920	DUCHOD	OP	5645209
1011843	3458	1996-12-08	PRIJEM	PREVOD Z UCTU	4280	20578	DUCHOD	OP	5645209
1011844	3458	1997-01-08	PRIJEM	PREVOD Z UCTU	4280	20585	DUCHOD	OP	5645209
1011845	3458	1997-02-08	PRIJEM	PREVOD Z UCTU	4280	18398	DUCHOD	OP	5645209
1011846	3458	1997-03-08	PRIJEM	PREVOD Z UCTU	4280	19168	DUCHOD	OP	5645209
1011847	3458	1997-04-08	PRIJEM	PREVOD Z UCTU	4280	20825	DUCHOD	OP	5645209
1011848	3458	1997-05-08	PRIJEM	PREVOD Z UCTU	4280	22486	DUCHOD	OP	5645209
1011849	3458	1997-06-08	PRIJEM	PREVOD Z UCTU	4280	18310	DUCHOD	OP	5645209
1011850	3458	1997-07-08	PRIJEM	PREVOD Z UCTU	4280	19965	DUCHOD	OP	5645209
1011851	3458	1997-08-08	PRIJEM	PREVOD Z UCTU	4280	21622	DUCHOD	OP	5645209
1011852	3458	1997-09-08	PRIJEM	PREVOD Z UCTU	4280	22644	DUCHOD	OP	5645209
1011853	3458	1997-10-08	PRIJEM	PREVOD Z UCTU	4280	24312	DUCHOD	OP	5645209
1011854	3458	1997-11-08	PRIJEM	PREVOD Z UCTU	4280	25987	DUCHOD	OP	5645209
1011855	3458	1997-12-08	PRIJEM	PREVOD Z UCTU	4280	26368	DUCHOD	OP	5645209
1011856	3458	1998-01-08	PRIJEM	PREVOD Z UCTU	4280	23439	DUCHOD	OP	5645209
1011857	3458	1998-02-08	PRIJEM	PREVOD Z UCTU	4280	19982	DUCHOD	OP	5645209
1011858	3458	1998-03-08	PRIJEM	PREVOD Z UCTU	4280	21639	DUCHOD	OP	5645209
1011859	3458	1998-04-08	PRIJEM	PREVOD Z UCTU	4280	22260	DUCHOD	OP	5645209
1011860	3458	1998-05-08	PRIJEM	PREVOD Z UCTU	4280	23927	DUCHOD	OP	5645209
1011861	3458	1998-06-08	PRIJEM	PREVOD Z UCTU	4280	25600	DUCHOD	OP	5645209
1011862	3458	1998-07-08	PRIJEM	PREVOD Z UCTU	4280	24876	DUCHOD	OP	5645209
1011863	3458	1998-08-08	PRIJEM	PREVOD Z UCTU	4280	26553	DUCHOD	OP	5645209
1011864	3458	1998-09-08	PRIJEM	PREVOD Z UCTU	4280	26796	DUCHOD	OP	5645209
1011865	3458	1998-10-08	PRIJEM	PREVOD Z UCTU	4280	27600	DUCHOD	OP	5645209
1011866	3458	1998-11-08	PRIJEM	PREVOD Z UCTU	4280	29288	DUCHOD	OP	5645209
1011867	3458	1998-12-08	PRIJEM	PREVOD Z UCTU	4280	28577	DUCHOD	OP	5645209
1011878	3458	1995-11-13	VYDAJ	PREVOD NA UCET	1153	19399	SIPO	QR	59860581
1011879	3458	1995-12-13	VYDAJ	PREVOD NA UCET	1153	17765	SIPO	QR	59860581
1011880	3458	1996-01-13	VYDAJ	PREVOD NA UCET	1153	15900	SIPO	QR	59860581
1011881	3458	1996-02-13	VYDAJ	PREVOD NA UCET	1153	14190	SIPO	QR	59860581
1011882	3458	1996-03-13	VYDAJ	PREVOD NA UCET	1153	15834	SIPO	QR	59860581
1011883	3458	1996-04-13	VYDAJ	PREVOD NA UCET	1153	16523	SIPO	QR	59860581
1011884	3458	1996-05-13	VYDAJ	PREVOD NA UCET	1153	14337	SIPO	QR	59860581
1011885	3458	1996-06-13	VYDAJ	PREVOD NA UCET	1153	15427	SIPO	QR	59860581
1011886	3458	1996-07-13	VYDAJ	PREVOD NA UCET	1153	15797	SIPO	QR	59860581
1011887	3458	1996-08-13	VYDAJ	PREVOD NA UCET	1153	14248	SIPO	QR	59860581
1011888	3458	1996-09-13	VYDAJ	PREVOD NA UCET	1153	15893	SIPO	QR	59860581
1011889	3458	1996-10-13	VYDAJ	PREVOD NA UCET	1153	17544	SIPO	QR	59860581
1011890	3458	1996-11-13	VYDAJ	PREVOD NA UCET	1153	16242	SIPO	QR	59860581
1011891	3458	1996-12-13	VYDAJ	PREVOD NA UCET	1153	17900	SIPO	QR	59860581
1011892	3458	1997-01-13	VYDAJ	PREVOD NA UCET	1153	16467	SIPO	QR	59860581
1011893	3458	1997-02-13	VYDAJ	PREVOD NA UCET	1153	15720	SIPO	QR	59860581
1011894	3458	1997-03-13	VYDAJ	PREVOD NA UCET	1153	16490	SIPO	QR	59860581
1011895	3458	1997-04-13	VYDAJ	PREVOD NA UCET	1153	18147	SIPO	QR	59860581
1011896	3458	1997-05-13	VYDAJ	PREVOD NA UCET	1153	19808	SIPO	QR	59860581
1011897	3458	1997-06-13	VYDAJ	PREVOD NA UCET	1153	15632	SIPO	QR	59860581
1011898	3458	1997-07-13	VYDAJ	PREVOD NA UCET	1153	17287	SIPO	QR	59860581
1011899	3458	1997-08-13	VYDAJ	PREVOD NA UCET	1153	18304	SIPO	QR	59860581
1011900	3458	1997-09-13	VYDAJ	PREVOD NA UCET	1153	19966	SIPO	QR	59860581
1011901	3458	1997-10-13	VYDAJ	PREVOD NA UCET	1153	21634	SIPO	QR	59860581
1011902	3458	1997-11-13	VYDAJ	PREVOD NA UCET	1153	23309	SIPO	QR	59860581
1011903	3458	1997-12-13	VYDAJ	PREVOD NA UCET	1153	23690	SIPO	QR	59860581
1011904	3458	1998-01-13	VYDAJ	PREVOD NA UCET	1153	19401	SIPO	QR	59860581
1011905	3458	1998-02-13	VYDAJ	PREVOD NA UCET	1153	17304	SIPO	QR	59860581
1011906	3458	1998-03-13	VYDAJ	PREVOD NA UCET	1153	18961	SIPO	QR	59860581
1011907	3458	1998-04-13	VYDAJ	PREVOD NA UCET	1153	19582	SIPO	QR	59860581
1011908	3458	1998-05-13	VYDAJ	PREVOD NA UCET	1153	21249	SIPO	QR	59860581
1011909	3458	1998-06-13	VYDAJ	PREVOD NA UCET	1153	22922	SIPO	QR	59860581
1011910	3458	1998-07-13	VYDAJ	PREVOD NA UCET	1153	22198	SIPO	QR	59860581
1011911	3458	1998-08-13	VYDAJ	PREVOD NA UCET	1153	23875	SIPO	QR	59860581
1011912	3458	1998-09-13	VYDAJ	PREVOD NA UCET	1153	24118	SIPO	QR	59860581
1011913	3458	1998-10-13	VYDAJ	PREVOD NA UCET	1153	24922	SIPO	QR	59860581
1011914	3458	1998-11-13	VYDAJ	PREVOD NA UCET	1153	24210	SIPO	QR	59860581
1011915	3458	1998-12-13	VYDAJ	PREVOD NA UCET	1153	25899	SIPO	QR	59860581
1011926	3458	1995-11-12	VYDAJ	PREVOD NA UCET	1525	20552	 	KL	39817977
1011927	3458	1995-12-12	VYDAJ	PREVOD NA UCET	1525	18918	 	KL	39817977
1011928	3458	1996-01-12	VYDAJ	PREVOD NA UCET	1525	19503	 	KL	39817977
1011929	3458	1996-02-12	VYDAJ	PREVOD NA UCET	1525	15343	 	KL	39817977
1011930	3458	1996-03-12	VYDAJ	PREVOD NA UCET	1525	16987	 	KL	39817977
1011931	3458	1996-04-12	VYDAJ	PREVOD NA UCET	1525	17676	 	KL	39817977
1011932	3458	1996-05-12	VYDAJ	PREVOD NA UCET	1525	15490	 	KL	39817977
1011933	3458	1996-06-12	VYDAJ	PREVOD NA UCET	1525	16580	 	KL	39817977
1011934	3458	1996-07-12	VYDAJ	PREVOD NA UCET	1525	16950	 	KL	39817977
1011935	3458	1996-08-12	VYDAJ	PREVOD NA UCET	1525	15401	 	KL	39817977
1011936	3458	1996-09-12	VYDAJ	PREVOD NA UCET	1525	17046	 	KL	39817977
1011937	3458	1996-10-12	VYDAJ	PREVOD NA UCET	1525	18697	 	KL	39817977
1011938	3458	1996-11-12	VYDAJ	PREVOD NA UCET	1525	17395	 	KL	39817977
1011939	3458	1996-12-12	VYDAJ	PREVOD NA UCET	1525	19053	 	KL	39817977
1011940	3458	1997-01-12	VYDAJ	PREVOD NA UCET	1525	17620	 	KL	39817977
1011941	3458	1997-02-12	VYDAJ	PREVOD NA UCET	1525	16873	 	KL	39817977
1011942	3458	1997-03-12	VYDAJ	PREVOD NA UCET	1525	17643	 	KL	39817977
1011943	3458	1997-04-12	VYDAJ	PREVOD NA UCET	1525	19300	 	KL	39817977
1011944	3458	1997-05-12	VYDAJ	PREVOD NA UCET	1525	20961	 	KL	39817977
1011945	3458	1997-06-12	VYDAJ	PREVOD NA UCET	1525	16785	 	KL	39817977
1011946	3458	1997-07-12	VYDAJ	PREVOD NA UCET	1525	18440	 	KL	39817977
1011947	3458	1997-08-12	VYDAJ	PREVOD NA UCET	1525	19457	 	KL	39817977
1011948	3458	1997-09-12	VYDAJ	PREVOD NA UCET	1525	21119	 	KL	39817977
1011949	3458	1997-10-12	VYDAJ	PREVOD NA UCET	1525	22787	 	KL	39817977
1011950	3458	1997-11-12	VYDAJ	PREVOD NA UCET	1525	24462	 	KL	39817977
1011951	3458	1997-12-12	VYDAJ	PREVOD NA UCET	1525	24843	 	KL	39817977
1011952	3458	1998-01-12	VYDAJ	PREVOD NA UCET	1525	20554	 	KL	39817977
1011953	3458	1998-02-12	VYDAJ	PREVOD NA UCET	1525	18457	 	KL	39817977
1011954	3458	1998-03-12	VYDAJ	PREVOD NA UCET	1525	20114	 	KL	39817977
1011955	3458	1998-04-12	VYDAJ	PREVOD NA UCET	1525	20735	 	KL	39817977
1011956	3458	1998-05-12	VYDAJ	PREVOD NA UCET	1525	22402	 	KL	39817977
1011957	3458	1998-06-12	VYDAJ	PREVOD NA UCET	1525	24075	 	KL	39817977
1011958	3458	1998-07-12	VYDAJ	PREVOD NA UCET	1525	23351	 	KL	39817977
1011959	3458	1998-08-12	VYDAJ	PREVOD NA UCET	1525	25028	 	KL	39817977
1011960	3458	1998-09-12	VYDAJ	PREVOD NA UCET	1525	25271	 	KL	39817977
1011961	3458	1998-10-12	VYDAJ	PREVOD NA UCET	1525	26075	 	KL	39817977
1011962	3458	1998-11-12	VYDAJ	PREVOD NA UCET	1525	25363	 	KL	39817977
1011963	3458	1998-12-12	VYDAJ	PREVOD NA UCET	1525	27052	 	KL	39817977
1011969	3458	1996-01-13	VYDAJ	VYBER	2450	17053	\N	\N	\N
1011971	3458	1998-01-19	VYDAJ	VYBER	1200	15641	\N	\N	\N
1011972	3458	1995-12-13	VYDAJ	VYBER	600	17165	\N	\N	\N
1011973	3458	1996-12-15	VYDAJ	VYBER	1250	16650	\N	\N	\N
1011974	3458	1997-12-29	VYDAJ	VYBER	450	20680	\N	\N	\N
1011975	3458	1998-12-19	VYDAJ	VYBER	300	24959	\N	\N	\N
1011982	3458	1996-01-15	VYDAJ	VYBER	1520	13100	\N	\N	\N
1011984	3458	1996-01-01	VYDAJ	VYBER	480	16748	\N	\N	\N
1011986	3458	1996-01-14	VYDAJ	VYBER	1280	14620	\N	\N	\N
1011987	3458	1996-01-16	VYDAJ	VYBER	560	12540	\N	\N	\N
1011989	3458	1997-01-08	VYDAJ	VYBER	1440	19145	\N	\N	\N
1011991	3458	1997-01-27	VYDAJ	VYBER	720	14067	\N	\N	\N
1011992	3458	1997-01-14	VYDAJ	VYBER	1680	14787	\N	\N	\N
1011993	3458	1997-01-02	VYDAJ	VYBER	400	16305	\N	\N	\N
1011994	3458	1998-01-11	VYDAJ	VYBER	960	22079	\N	\N	\N
1011995	3458	1998-01-15	VYDAJ	VYBER	560	18841	\N	\N	\N
1011996	3458	1998-01-08	VYDAJ	VYBER	400	23039	\N	\N	\N
1011997	3458	1998-01-15	VYDAJ	VYBER	960	17881	\N	\N	\N
1011998	3458	1998-01-07	VYDAJ	VYBER	1600	19159	\N	\N	\N
1011999	3458	1998-01-18	VYDAJ	VYBER	1040	16841	\N	\N	\N
1012002	3458	1995-12-02	VYDAJ	VYBER	3280	16163	\N	\N	\N
1012006	3458	1996-05-05	VYDAJ	VYBER	3840	12735	\N	\N	\N
1012007	3458	1996-11-04	VYDAJ	VYBER	2960	14640	\N	\N	\N
1012008	3458	1996-03-17	VYDAJ	VYBER	960	14874	\N	\N	\N
1012009	3458	1996-07-25	VYDAJ	VYBER	3200	12597	\N	\N	\N
1012010	3458	1996-05-22	VYDAJ	VYBER	560	13777	\N	\N	\N
1012011	3458	1996-07-04	VYDAJ	VYBER	1280	14195	\N	\N	\N
1012012	3458	1997-08-12	VYDAJ	VYBER	640	20982	\N	\N	\N
1012013	3458	1997-12-25	VYDAJ	VYBER	2560	21130	\N	\N	\N
1012014	3458	1997-06-07	VYDAJ	VYBER	1040	14030	\N	\N	\N
1012015	3458	1997-06-06	VYDAJ	VYBER	2640	15070	\N	\N	\N
1012016	3458	1997-03-02	VYDAJ	VYBER	880	14888	\N	\N	\N
1012017	3458	1997-05-20	VYDAJ	VYBER	2160	17648	\N	\N	\N
1012018	3458	1998-06-19	VYDAJ	VYBER	2400	20522	\N	\N	\N
1012019	3458	1998-03-15	VYDAJ	VYBER	1040	17921	\N	\N	\N
1012020	3458	1998-09-20	VYDAJ	VYBER	880	23238	\N	\N	\N
1012021	3458	1998-11-10	VYDAJ	VYBER	2400	26888	\N	\N	\N
1012022	3458	1998-12-16	VYDAJ	VYBER	640	25259	\N	\N	\N
1012023	3458	1998-08-27	VYDAJ	VYBER	1440	22435	\N	\N	\N
1012035	3458	1995-11-30	VYDAJ	VYBER	15	19443	SLUZBY	\N	\N
1012036	3458	1995-12-31	VYDAJ	VYBER	15	17228	SLUZBY	\N	\N
1012037	3458	1996-01-31	VYDAJ	VYBER	15	12588	SLUZBY	\N	\N
1012038	3458	1996-02-29	VYDAJ	VYBER	15	14232	SLUZBY	\N	\N
1012039	3458	1996-03-31	VYDAJ	VYBER	15	14921	SLUZBY	\N	\N
1012040	3458	1996-04-30	VYDAJ	VYBER	15	16575	SLUZBY	\N	\N
1012041	3458	1996-05-31	VYDAJ	VYBER	15	13825	SLUZBY	\N	\N
1012042	3458	1996-06-30	VYDAJ	VYBER	15	15475	SLUZBY	\N	\N
1012043	3458	1996-07-31	VYDAJ	VYBER	15	12646	SLUZBY	\N	\N
1012044	3458	1996-08-31	VYDAJ	VYBER	15	14291	SLUZBY	\N	\N
1012045	3458	1996-09-30	VYDAJ	VYBER	15	15942	SLUZBY	\N	\N
1012046	3458	1996-10-31	VYDAJ	VYBER	15	17600	SLUZBY	\N	\N
1012047	3458	1996-11-30	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
1012048	3458	1996-12-31	VYDAJ	VYBER	15	16705	SLUZBY	\N	\N
1012049	3458	1997-01-31	VYDAJ	VYBER	15	14118	SLUZBY	\N	\N
1012050	3458	1997-02-28	VYDAJ	VYBER	15	15768	SLUZBY	\N	\N
1012051	3458	1997-03-31	VYDAJ	VYBER	15	16545	SLUZBY	\N	\N
1012052	3458	1997-04-30	VYDAJ	VYBER	15	18206	SLUZBY	\N	\N
1012053	3458	1997-05-31	VYDAJ	VYBER	15	17710	SLUZBY	\N	\N
1012054	3458	1997-06-30	VYDAJ	VYBER	15	15685	SLUZBY	\N	\N
1012055	3458	1997-07-31	VYDAJ	VYBER	15	17342	SLUZBY	\N	\N
1012056	3458	1997-08-31	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
1012057	3458	1997-09-30	VYDAJ	VYBER	15	20032	SLUZBY	\N	\N
1012058	3458	1997-10-31	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
1012059	3458	1997-11-30	VYDAJ	VYBER	15	22088	SLUZBY	\N	\N
1012060	3458	1997-12-31	VYDAJ	VYBER	15	20759	SLUZBY	\N	\N
1012061	3458	1998-01-31	VYDAJ	VYBER	15	15702	SLUZBY	\N	\N
1012062	3458	1998-02-28	VYDAJ	VYBER	15	17359	SLUZBY	\N	\N
1012063	3458	1998-03-31	VYDAJ	VYBER	15	17980	SLUZBY	\N	\N
1012064	3458	1998-04-30	VYDAJ	VYBER	15	19647	SLUZBY	\N	\N
1012065	3458	1998-05-31	VYDAJ	VYBER	15	21320	SLUZBY	\N	\N
1012066	3458	1998-06-30	VYDAJ	VYBER	15	20596	SLUZBY	\N	\N
1012067	3458	1998-07-31	VYDAJ	VYBER	15	22273	SLUZBY	\N	\N
1012068	3458	1998-08-31	VYDAJ	VYBER	15	22516	SLUZBY	\N	\N
1012069	3458	1998-09-30	VYDAJ	VYBER	15	23320	SLUZBY	\N	\N
1012070	3458	1998-10-31	VYDAJ	VYBER	15	25008	SLUZBY	\N	\N
1012071	3458	1998-11-30	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
1012072	3458	1997-11-23	VYDAJ	VYBER	1300	22009	\N	\N	\N
1012115	3459	1996-06-02	PRIJEM	VKLAD	600	600	\N	\N	\N
1012121	3459	1996-06-07	PRIJEM	VKLAD	28882	29482	\N	\N	\N
1012122	3459	1996-07-07	PRIJEM	VKLAD	19255	44835	\N	\N	\N
1012123	3459	1996-08-07	PRIJEM	VKLAD	19255	56765	\N	\N	\N
1012124	3459	1996-09-07	PRIJEM	VKLAD	19255	60745	\N	\N	\N
1012125	3459	1996-10-07	PRIJEM	VKLAD	19255	61373	\N	\N	\N
1012126	3459	1996-11-07	PRIJEM	VKLAD	19255	61989	\N	\N	\N
1012127	3459	1996-12-07	PRIJEM	VKLAD	28882	70534	\N	\N	\N
1012128	3459	1997-01-07	PRIJEM	VKLAD	19255	61083	\N	\N	\N
1012129	3459	1997-02-07	PRIJEM	VKLAD	19255	51429	\N	\N	\N
1012130	3459	1997-03-07	PRIJEM	VKLAD	19255	57606	\N	\N	\N
1012131	3459	1997-04-07	PRIJEM	VKLAD	19255	56419	\N	\N	\N
1012132	3459	1997-05-07	PRIJEM	VKLAD	19255	59173	\N	\N	\N
1012133	3459	1997-06-07	PRIJEM	VKLAD	28882	66905	\N	\N	\N
1012134	3459	1997-07-07	PRIJEM	VKLAD	19255	49213	\N	\N	\N
1012135	3459	1997-08-07	PRIJEM	VKLAD	19255	52180	\N	\N	\N
1012136	3459	1997-09-07	PRIJEM	VKLAD	19255	53773	\N	\N	\N
1012137	3459	1997-10-07	PRIJEM	VKLAD	19255	52456	\N	\N	\N
1012138	3459	1997-11-07	PRIJEM	VKLAD	19255	55937	\N	\N	\N
1012139	3459	1997-12-07	PRIJEM	VKLAD	28882	65558	\N	\N	\N
1012140	3459	1998-01-07	PRIJEM	VKLAD	19255	52522	\N	\N	\N
1012141	3459	1998-02-07	PRIJEM	VKLAD	19255	44527	\N	\N	\N
1012142	3459	1998-03-07	PRIJEM	VKLAD	19255	52380	\N	\N	\N
1012143	3459	1998-04-07	PRIJEM	VKLAD	19255	56362	\N	\N	\N
1012144	3459	1998-05-07	PRIJEM	VKLAD	19255	58160	\N	\N	\N
1012145	3459	1998-06-07	PRIJEM	VKLAD	28882	65237	\N	\N	\N
1012146	3459	1998-07-07	PRIJEM	VKLAD	19255	62503	\N	\N	\N
1012147	3459	1998-08-07	PRIJEM	VKLAD	19255	63424	\N	\N	\N
1012148	3459	1998-09-07	PRIJEM	VKLAD	19255	67854	\N	\N	\N
1012149	3459	1998-10-07	PRIJEM	VKLAD	19255	70099	\N	\N	\N
1012150	3459	1998-11-07	PRIJEM	VKLAD	19255	75759	\N	\N	\N
1012151	3459	1998-12-07	PRIJEM	VKLAD	28882	87163	\N	\N	\N
1012153	3459	1997-06-11	VYDAJ	VYBER	22600	44305	\N	\N	\N
1012154	3459	1998-06-03	VYDAJ	VYBER	7400	36355	\N	\N	\N
1012156	3459	1997-01-16	VYDAJ	VYBER	6100	53583	\N	\N	\N
1012157	3459	1998-01-19	VYDAJ	VYBER	9800	37422	\N	\N	\N
1012158	3459	1996-12-20	VYDAJ	VYBER	1600	68934	\N	\N	\N
1012159	3459	1997-12-05	VYDAJ	VYBER	1100	36676	\N	\N	\N
1012160	3459	1998-12-18	VYDAJ	VYBER	2000	85163	\N	\N	\N
1012167	3459	1997-01-18	VYDAJ	VYBER	1400	52183	\N	\N	\N
1012168	3459	1997-01-05	VYDAJ	VYBER	2200	41828	\N	\N	\N
1012169	3459	1997-01-19	VYDAJ	VYBER	2300	49883	\N	\N	\N
1012170	3459	1997-01-20	VYDAJ	VYBER	2100	47783	\N	\N	\N
1012171	3459	1997-01-12	VYDAJ	VYBER	1400	59683	\N	\N	\N
1012172	3459	1997-01-26	VYDAJ	VYBER	1700	46083	\N	\N	\N
1012173	3459	1998-01-03	VYDAJ	VYBER	2600	38067	\N	\N	\N
1012174	3459	1998-01-28	VYDAJ	VYBER	1100	25122	\N	\N	\N
1012175	3459	1998-01-07	VYDAJ	VYBER	1900	50622	\N	\N	\N
1012176	3459	1998-01-18	VYDAJ	VYBER	900	47222	\N	\N	\N
1012177	3459	1998-01-22	VYDAJ	VYBER	1800	35622	\N	\N	\N
1012178	3459	1998-01-14	VYDAJ	VYBER	2500	48122	\N	\N	\N
1012181	3459	1997-08-20	VYDAJ	VYBER	1200	50980	\N	\N	\N
1012182	3459	1997-04-04	VYDAJ	VYBER	2100	37164	\N	\N	\N
1012183	3459	1997-12-23	VYDAJ	VYBER	2000	63558	\N	\N	\N
1012184	3459	1997-03-24	VYDAJ	VYBER	500	57106	\N	\N	\N
1012185	3459	1997-01-04	VYDAJ	VYBER	3500	44028	\N	\N	\N
1012186	3459	1998-01-25	VYDAJ	VYBER	4300	26222	\N	\N	\N
1012187	3459	1998-05-03	VYDAJ	VYBER	1500	38905	\N	\N	\N
1012188	3459	1998-01-06	VYDAJ	VYBER	4800	33267	\N	\N	\N
1012199	3459	1996-10-31	VYDAJ	VYBER	15	42734	SLUZBY	\N	\N
1012200	3459	1996-11-30	VYDAJ	VYBER	15	41652	SLUZBY	\N	\N
1012201	3459	1996-12-31	VYDAJ	VYBER	15	47528	SLUZBY	\N	\N
1012202	3459	1997-01-31	VYDAJ	VYBER	15	32174	SLUZBY	\N	\N
1012203	3459	1997-02-28	VYDAJ	VYBER	15	38351	SLUZBY	\N	\N
1012204	3459	1997-03-31	VYDAJ	VYBER	15	39264	SLUZBY	\N	\N
1012205	3459	1997-04-30	VYDAJ	VYBER	15	39918	SLUZBY	\N	\N
1012206	3459	1997-05-31	VYDAJ	VYBER	15	38023	SLUZBY	\N	\N
1012207	3459	1997-06-30	VYDAJ	VYBER	15	29958	SLUZBY	\N	\N
1012208	3459	1997-07-31	VYDAJ	VYBER	15	32925	SLUZBY	\N	\N
1012209	3459	1997-08-31	VYDAJ	VYBER	15	34518	SLUZBY	\N	\N
1012210	3459	1997-09-30	VYDAJ	VYBER	15	33201	SLUZBY	\N	\N
1012211	3459	1997-10-31	VYDAJ	VYBER	15	36682	SLUZBY	\N	\N
1012212	3459	1997-11-30	VYDAJ	VYBER	15	37776	SLUZBY	\N	\N
1012213	3459	1997-12-31	VYDAJ	VYBER	15	40667	SLUZBY	\N	\N
1012214	3459	1998-01-31	VYDAJ	VYBER	15	25272	SLUZBY	\N	\N
1012215	3459	1998-02-28	VYDAJ	VYBER	15	33125	SLUZBY	\N	\N
1012216	3459	1998-03-31	VYDAJ	VYBER	15	37107	SLUZBY	\N	\N
1012217	3459	1998-04-30	VYDAJ	VYBER	15	40405	SLUZBY	\N	\N
1012218	3459	1998-05-31	VYDAJ	VYBER	15	43755	SLUZBY	\N	\N
1012219	3459	1998-06-30	VYDAJ	VYBER	15	43248	SLUZBY	\N	\N
1012220	3459	1998-07-31	VYDAJ	VYBER	15	44169	SLUZBY	\N	\N
1012221	3459	1998-08-31	VYDAJ	VYBER	15	48599	SLUZBY	\N	\N
1012222	3459	1998-09-30	VYDAJ	VYBER	15	50844	SLUZBY	\N	\N
1012223	3459	1998-10-31	VYDAJ	VYBER	15	56504	SLUZBY	\N	\N
1012224	3459	1998-11-30	VYDAJ	VYBER	15	58281	SLUZBY	\N	\N
1012225	3459	1996-07-02	VYDAJ	VYBER	4000	25580	\N	\N	\N
1012226	3459	1996-08-01	VYDAJ	VYBER	7500	37510	\N	\N	\N
1012227	3459	1996-08-31	VYDAJ	VYBER	15500	41490	\N	\N	\N
1012228	3459	1996-09-30	VYDAJ	VYBER	18800	42118	\N	\N	\N
1012229	3459	1996-10-30	VYDAJ	VYBER	18800	42573	\N	\N	\N
1012230	3459	1996-11-29	VYDAJ	VYBER	20500	41489	\N	\N	\N
1012231	3459	1996-12-29	VYDAJ	VYBER	21600	47334	\N	\N	\N
1012232	3459	1997-01-28	VYDAJ	VYBER	14100	31983	\N	\N	\N
1012233	3459	1997-02-27	VYDAJ	VYBER	13200	38229	\N	\N	\N
1012234	3459	1997-03-29	VYDAJ	VYBER	18000	39106	\N	\N	\N
1012235	3459	1997-04-28	VYDAJ	VYBER	16700	39719	\N	\N	\N
1012236	3459	1997-05-28	VYDAJ	VYBER	21300	37873	\N	\N	\N
1012237	3459	1997-06-27	VYDAJ	VYBER	14500	29805	\N	\N	\N
1012238	3459	1997-07-27	VYDAJ	VYBER	16400	32813	\N	\N	\N
1012239	3459	1997-08-26	VYDAJ	VYBER	16600	34380	\N	\N	\N
1012240	3459	1997-09-25	VYDAJ	VYBER	20700	33073	\N	\N	\N
1012241	3459	1997-10-25	VYDAJ	VYBER	15900	36556	\N	\N	\N
1012242	3459	1997-11-24	VYDAJ	VYBER	18300	37637	\N	\N	\N
1012243	3459	1997-12-24	VYDAJ	VYBER	23100	40458	\N	\N	\N
1012244	3459	1998-01-23	VYDAJ	VYBER	5100	30522	\N	\N	\N
1012245	3459	1998-02-22	VYDAJ	VYBER	11500	33027	\N	\N	\N
1012246	3459	1998-03-24	VYDAJ	VYBER	15400	36980	\N	\N	\N
1012247	3459	1998-04-23	VYDAJ	VYBER	16100	40262	\N	\N	\N
1012248	3459	1998-05-23	VYDAJ	VYBER	14600	43560	\N	\N	\N
1012249	3459	1998-06-22	VYDAJ	VYBER	22200	43037	\N	\N	\N
1012250	3459	1998-07-22	VYDAJ	VYBER	18500	44003	\N	\N	\N
1012251	3459	1998-08-21	VYDAJ	VYBER	15000	48424	\N	\N	\N
1012252	3459	1998-09-20	VYDAJ	VYBER	17200	50654	\N	\N	\N
1012253	3459	1998-10-20	VYDAJ	VYBER	13800	56299	\N	\N	\N
1012254	3459	1998-11-19	VYDAJ	VYBER	17700	58059	\N	\N	\N
1012286	3460	1997-04-08	PRIJEM	VKLAD	300	300	\N	\N	\N
1012288	3460	1997-11-20	PRIJEM	VKLAD	35892	60645	\N	\N	\N
1012290	3460	1997-07-14	PRIJEM	VKLAD	17344	42933	\N	\N	\N
1012294	3460	1997-10-03	PRIJEM	VKLAD	5304	95559	\N	\N	\N
1012296	3460	1997-06-30	PRIJEM	VKLAD	18784	50004	\N	\N	\N
1012298	3460	1997-07-28	PRIJEM	VKLAD	12717	63888	\N	\N	\N
1012299	3460	1997-08-23	PRIJEM	VKLAD	6071	98166	\N	\N	\N
1012300	3460	1997-06-08	PRIJEM	VKLAD	7575	39563	\N	\N	\N
1012301	3460	1997-07-16	PRIJEM	VKLAD	10438	53371	\N	\N	\N
1012302	3460	1997-08-10	PRIJEM	VKLAD	7699	69276	\N	\N	\N
1012304	3460	1997-09-14	PRIJEM	VKLAD	16071	89896	\N	\N	\N
1012305	3460	1997-06-21	PRIJEM	VKLAD	19093	58656	\N	\N	\N
1012306	3460	1997-09-10	PRIJEM	VKLAD	15322	73825	\N	\N	\N
1012308	3460	1997-06-01	PRIJEM	VKLAD	5006	47388	\N	\N	\N
1012309	3460	1997-12-08	PRIJEM	VKLAD	38734	73127	\N	\N	\N
1012310	3460	1997-05-10	PRIJEM	VKLAD	5109	42247	\N	\N	\N
1012312	3460	1997-08-23	PRIJEM	VKLAD	25819	92095	\N	\N	\N
1012313	3460	1997-07-29	PRIJEM	VKLAD	37305	101193	\N	\N	\N
1012314	3460	1997-05-03	PRIJEM	VKLAD	48538	48838	\N	\N	\N
1012316	3460	1998-02-23	PRIJEM	VKLAD	46090	103608	\N	\N	\N
1012317	3460	1998-06-24	PRIJEM	VKLAD	9398	41507	\N	\N	\N
1012318	3460	1998-10-19	PRIJEM	VKLAD	7974	17504	\N	\N	\N
1012319	3460	1998-03-01	PRIJEM	VKLAD	6955	83578	\N	\N	\N
1012320	3460	1998-02-07	PRIJEM	VKLAD	36371	57518	\N	\N	\N
1012321	3460	1998-02-26	PRIJEM	VKLAD	40972	144580	\N	\N	\N
1012322	3460	1998-06-18	PRIJEM	VKLAD	13575	32109	\N	\N	\N
1012323	3460	1998-04-07	PRIJEM	VKLAD	25232	45808	\N	\N	\N
1012330	3460	1997-07-20	VYDAJ	VYBER	2200	51171	\N	\N	0
1012331	3460	1997-08-12	VYDAJ	VYBER	3000	66276	\N	\N	0
1012332	3460	1997-08-30	VYDAJ	VYBER	2700	95466	\N	\N	0
1012333	3460	1997-10-13	VYDAJ	VYBER	2000	52859	\N	\N	0
1012334	3460	1997-11-23	VYDAJ	VYBER	2900	57745	\N	\N	0
1012335	3460	1997-12-26	VYDAJ	VYBER	3100	65827	\N	\N	0
1012336	3460	1998-01-03	VYDAJ	VYBER	3200	55082	\N	\N	0
1012337	3460	1998-02-26	VYDAJ	VYBER	2400	107580	\N	\N	0
1012338	3460	1998-03-09	VYDAJ	VYBER	2800	50478	\N	\N	0
1012339	3460	1998-04-10	VYDAJ	VYBER	2700	43108	\N	\N	0
1012340	3460	1998-05-01	VYDAJ	VYBER	2900	40364	\N	\N	0
1012341	3460	1998-06-12	VYDAJ	PREVOD NA UCET	2931	18534	UVER	IJ	5287313
1012342	3460	1998-07-12	VYDAJ	PREVOD NA UCET	2931	26084	UVER	IJ	5287313
1012343	3460	1998-08-12	VYDAJ	PREVOD NA UCET	2931	19170	UVER	IJ	5287313
1012344	3460	1998-09-12	VYDAJ	PREVOD NA UCET	2931	12413	UVER	IJ	5287313
1012345	3460	1998-10-12	VYDAJ	PREVOD NA UCET	2931	9530	UVER	IJ	5287313
1012346	3460	1998-11-12	VYDAJ	PREVOD NA UCET	2931	12718	UVER	IJ	5287313
1012347	3460	1998-12-12	VYDAJ	PREVOD NA UCET	2931	9836	UVER	IJ	5287313
1012348	3460	1997-10-23	VYBER	VYBER	20505	30554	\N	\N	\N
1012349	3460	1997-06-28	VYBER	VYBER	6609	31047	\N	\N	\N
1012350	3460	1997-07-02	VYBER	VYBER	6701	43289	\N	\N	\N
1012357	3460	1998-03-14	VYBER	VYBER	20160	30318	\N	\N	\N
1012361	3460	1998-01-04	VYBER	VYBER	13726	21656	\N	\N	\N
1012363	3460	1997-06-26	VYDAJ	VYBER	12900	37656	\N	\N	\N
1012367	3460	1997-12-18	VYDAJ	VYBER	4200	68927	\N	\N	\N
1012375	3460	1998-01-02	VYDAJ	VYBER	7800	58282	\N	\N	\N
1012381	3460	1997-06-22	VYDAJ	VYBER	8100	50556	\N	\N	\N
1012382	3460	1997-11-26	VYDAJ	VYBER	11100	46645	\N	\N	\N
1012385	3460	1997-07-03	VYDAJ	VYBER	11700	31589	\N	\N	\N
1012386	3460	1997-10-15	VYDAJ	VYBER	1800	51059	\N	\N	\N
1012398	3460	1997-06-30	VYDAJ	VYBER	15	49990	SLUZBY	\N	\N
1012399	3460	1997-07-31	VYDAJ	VYBER	15	101377	SLUZBY	\N	\N
1012400	3460	1997-08-31	VYDAJ	VYBER	15	95803	SLUZBY	\N	\N
1012401	3460	1997-09-30	VYDAJ	VYBER	15	90255	SLUZBY	\N	\N
1012402	3460	1997-10-31	VYDAJ	VYBER	15	30753	SLUZBY	\N	\N
1012403	3460	1997-11-30	VYDAJ	VYBER	15	46793	SLUZBY	\N	\N
1012404	3460	1997-12-31	VYDAJ	VYBER	15	66082	SLUZBY	\N	\N
1012405	3460	1998-01-31	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
1012406	3460	1998-02-28	VYDAJ	VYBER	15	107823	SLUZBY	\N	\N
1012407	3460	1998-03-31	VYDAJ	VYBER	15	30476	SLUZBY	\N	\N
1012408	3460	1998-04-30	VYDAJ	VYBER	15	43264	SLUZBY	\N	\N
1012409	3460	1998-05-31	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
1012410	3460	1998-06-30	VYDAJ	VYBER	15	41615	SLUZBY	\N	\N
1012411	3460	1998-07-31	VYDAJ	VYBER	15	26201	SLUZBY	\N	\N
1012412	3460	1998-08-31	VYDAJ	VYBER	15	19244	SLUZBY	\N	\N
1012413	3460	1998-09-30	VYDAJ	VYBER	15	12461	SLUZBY	\N	\N
1012414	3460	1998-10-31	VYDAJ	VYBER	15	15649	SLUZBY	\N	\N
1012415	3460	1998-11-30	VYDAJ	VYBER	15	12767	SLUZBY	\N	\N
1012416	3460	1997-05-08	VYDAJ	VYBER	11700	37138	\N	\N	\N
1012417	3460	1997-06-07	VYDAJ	VYBER	15400	31988	\N	\N	\N
1012418	3460	1997-07-07	VYDAJ	VYBER	6000	25589	\N	\N	\N
1012419	3460	1997-08-06	VYDAJ	VYBER	39800	61577	\N	\N	\N
1012420	3460	1997-09-05	VYDAJ	VYBER	37300	58503	\N	\N	\N
1012421	3460	1997-10-05	VYDAJ	VYBER	40700	54859	\N	\N	\N
1012422	3460	1997-11-04	VYDAJ	VYBER	6000	24753	\N	\N	\N
1012423	3460	1997-12-04	VYDAJ	VYBER	12400	34393	\N	\N	\N
1012424	3460	1998-01-03	VYDAJ	VYBER	19700	35382	\N	\N	\N
1012425	3460	1998-02-02	VYDAJ	VYBER	600	21147	\N	\N	\N
1012426	3460	1998-02-26	VYDAJ	VYBER	34600	109980	\N	\N	\N
1012427	3460	1998-02-28	VYDAJ	VYBER	31200	76623	\N	\N	\N
1012428	3460	1998-03-04	VYDAJ	VYBER	30300	53278	\N	\N	\N
1012429	3460	1998-04-03	VYDAJ	VYBER	9900	20576	\N	\N	\N
1012430	3460	1998-05-03	VYDAJ	VYBER	13500	26864	\N	\N	\N
1012431	3460	1998-06-02	VYDAJ	VYBER	5500	21465	\N	\N	\N
1012432	3460	1998-07-02	VYDAJ	VYBER	12600	29015	\N	\N	\N
1012433	3460	1998-08-01	VYDAJ	VYBER	4100	22101	\N	\N	\N
1012434	3460	1998-08-31	VYDAJ	VYBER	3900	15344	\N	\N	\N
1012435	3460	1998-10-30	VYDAJ	VYBER	1900	15604	\N	\N	\N
1012455	3461	1997-06-23	PRIJEM	VKLAD	900	900	\N	\N	\N
1012508	3461	1997-07-23	PRIJEM	VKLAD	11200	12100	\N	\N	\N
1012509	3461	1997-08-22	PRIJEM	VKLAD	300	12400	\N	\N	\N
1012510	3461	1997-09-21	PRIJEM	VKLAD	6600	19000	\N	\N	\N
1012511	3461	1997-10-21	PRIJEM	VKLAD	2000	21000	\N	\N	\N
1012512	3461	1997-11-20	PRIJEM	VKLAD	1300	22300	\N	\N	\N
1012513	3461	1997-12-20	PRIJEM	VKLAD	3100	25400	\N	\N	\N
1012514	3461	1998-01-19	PRIJEM	VKLAD	3200	28600	\N	\N	\N
1012515	3461	1998-02-18	VYDAJ	VYBER	800	27800	\N	\N	\N
1012516	3461	1998-03-20	PRIJEM	VKLAD	1200	29000	\N	\N	\N
1012517	3461	1998-04-19	VYDAJ	VYBER	1300	27700	\N	\N	\N
1012518	3461	1998-05-19	PRIJEM	VKLAD	2400	30100	\N	\N	\N
1012519	3461	1998-06-18	PRIJEM	VKLAD	4100	34200	\N	\N	\N
1012520	3461	1998-07-18	VYDAJ	VYBER	2900	31300	\N	\N	\N
1012521	3461	1998-08-17	VYDAJ	VYBER	5200	26100	\N	\N	\N
1012522	3461	1998-09-16	VYDAJ	VYBER	900	25200	\N	\N	\N
1012523	3461	1998-10-16	PRIJEM	VKLAD	2600	27800	\N	\N	\N
1012524	3461	1998-11-15	VYDAJ	VYBER	1800	26000	\N	\N	\N
1012525	3461	1998-12-15	VYDAJ	VYBER	4600	21400	\N	\N	\N
1012526	3462	1996-03-04	PRIJEM	VKLAD	700	700	\N	\N	\N
1012529	3462	1996-03-10	PRIJEM	VKLAD	9352	10052	\N	\N	\N
1012530	3462	1996-04-10	PRIJEM	VKLAD	9352	25134	\N	\N	\N
1012531	3462	1996-05-10	PRIJEM	VKLAD	9352	31972	\N	\N	\N
1012532	3462	1996-06-10	PRIJEM	VKLAD	14028	43025	\N	\N	\N
1012533	3462	1996-07-10	PRIJEM	VKLAD	9352	45342	\N	\N	\N
1012534	3462	1996-08-10	PRIJEM	VKLAD	9352	42914	\N	\N	\N
1012535	3462	1996-09-10	PRIJEM	VKLAD	9352	37860	\N	\N	\N
1012536	3462	1996-10-10	PRIJEM	VKLAD	9352	33774	\N	\N	\N
1012537	3462	1996-11-10	PRIJEM	VKLAD	9352	33488	\N	\N	\N
1012538	3462	1996-12-10	PRIJEM	VKLAD	14028	38576	\N	\N	\N
1012539	3462	1997-01-10	PRIJEM	VKLAD	9352	30697	\N	\N	\N
1012540	3462	1997-02-10	PRIJEM	VKLAD	9352	29792	\N	\N	\N
1012541	3462	1997-03-10	PRIJEM	VKLAD	9352	31789	\N	\N	\N
1012542	3462	1997-04-10	PRIJEM	VKLAD	9352	25090	\N	\N	\N
1012543	3462	1997-05-10	PRIJEM	VKLAD	9352	27473	\N	\N	\N
1012544	3462	1997-06-10	PRIJEM	VKLAD	14028	31436	\N	\N	\N
1012545	3462	1997-07-10	PRIJEM	VKLAD	9352	25128	\N	\N	\N
1012546	3462	1997-08-10	PRIJEM	VKLAD	9352	24704	\N	\N	\N
1012547	3462	1997-09-10	PRIJEM	VKLAD	9352	23278	\N	\N	\N
1012548	3462	1997-10-10	PRIJEM	VKLAD	9352	29355	\N	\N	\N
1012549	3462	1997-11-10	PRIJEM	VKLAD	9352	33551	\N	\N	\N
1012550	3462	1997-12-10	PRIJEM	VKLAD	14028	39338	\N	\N	\N
1012551	3462	1998-01-10	PRIJEM	VKLAD	9352	29555	\N	\N	\N
1012552	3462	1998-02-10	PRIJEM	VKLAD	9352	23538	\N	\N	\N
1012553	3462	1998-03-10	PRIJEM	VKLAD	9352	33216	\N	\N	\N
1012554	3462	1998-04-10	PRIJEM	VKLAD	9352	36827	\N	\N	\N
1012555	3462	1998-05-10	PRIJEM	VKLAD	9352	40654	\N	\N	\N
1012556	3462	1998-06-10	PRIJEM	VKLAD	14028	47872	\N	\N	\N
1012557	3462	1998-07-10	PRIJEM	VKLAD	9352	39515	\N	\N	\N
1012558	3462	1998-08-10	PRIJEM	VKLAD	9352	46958	\N	\N	\N
1012559	3462	1998-09-10	PRIJEM	VKLAD	9352	48424	\N	\N	\N
1012560	3462	1998-10-10	PRIJEM	VKLAD	9352	51198	\N	\N	\N
1012561	3462	1998-11-10	PRIJEM	VKLAD	9352	49482	\N	\N	\N
1012562	3462	1998-12-10	PRIJEM	VKLAD	14028	55940	\N	\N	\N
1012569	3462	1996-07-13	VYDAJ	PREVOD NA UCET	1491	39108	SIPO	GH	61501145
1012570	3462	1996-08-13	VYDAJ	PREVOD NA UCET	1491	36680	SIPO	GH	61501145
1012571	3462	1996-09-13	VYDAJ	PREVOD NA UCET	1491	27026	SIPO	GH	61501145
1012572	3462	1996-10-13	VYDAJ	PREVOD NA UCET	1491	27540	SIPO	GH	61501145
1012573	3462	1996-11-13	VYDAJ	PREVOD NA UCET	1491	27254	SIPO	GH	61501145
1012574	3462	1996-12-13	VYDAJ	PREVOD NA UCET	1491	32342	SIPO	GH	61501145
1012575	3462	1997-01-13	VYDAJ	PREVOD NA UCET	1491	20863	SIPO	GH	61501145
1012576	3462	1997-02-13	VYDAJ	PREVOD NA UCET	1491	23558	SIPO	GH	61501145
1012577	3462	1997-03-13	VYDAJ	PREVOD NA UCET	1491	25555	SIPO	GH	61501145
1012578	3462	1997-04-13	VYDAJ	PREVOD NA UCET	1491	18856	SIPO	GH	61501145
1012579	3462	1997-05-13	VYDAJ	PREVOD NA UCET	1491	21239	SIPO	GH	61501145
1012580	3462	1997-06-13	VYDAJ	PREVOD NA UCET	1491	25202	SIPO	GH	61501145
1012581	3462	1997-07-13	VYDAJ	PREVOD NA UCET	1491	18894	SIPO	GH	61501145
1012582	3462	1997-08-13	VYDAJ	PREVOD NA UCET	1491	18470	SIPO	GH	61501145
1012583	3462	1997-09-13	VYDAJ	PREVOD NA UCET	1491	17044	SIPO	GH	61501145
1012584	3462	1997-10-13	VYDAJ	PREVOD NA UCET	1491	23121	SIPO	GH	61501145
1012585	3462	1997-11-13	VYDAJ	PREVOD NA UCET	1491	27317	SIPO	GH	61501145
1012586	3462	1997-12-13	VYDAJ	PREVOD NA UCET	1491	33104	SIPO	GH	61501145
1012587	3462	1998-01-13	VYDAJ	PREVOD NA UCET	1491	19421	SIPO	GH	61501145
1012588	3462	1998-02-13	VYDAJ	PREVOD NA UCET	1491	17304	SIPO	GH	61501145
1012589	3462	1998-03-13	VYDAJ	PREVOD NA UCET	1491	26982	SIPO	GH	61501145
1012590	3462	1998-04-13	VYDAJ	PREVOD NA UCET	1491	30593	SIPO	GH	61501145
1012591	3462	1998-05-13	VYDAJ	PREVOD NA UCET	1491	34420	SIPO	GH	61501145
1012592	3462	1998-06-13	VYDAJ	PREVOD NA UCET	1491	41638	SIPO	GH	61501145
1012593	3462	1998-07-13	VYDAJ	PREVOD NA UCET	1491	33281	SIPO	GH	61501145
1012594	3462	1998-08-13	VYDAJ	PREVOD NA UCET	1491	40724	SIPO	GH	61501145
1012595	3462	1998-09-13	VYDAJ	PREVOD NA UCET	1491	42190	SIPO	GH	61501145
1012596	3462	1998-10-13	VYDAJ	PREVOD NA UCET	1491	44964	SIPO	GH	61501145
1012597	3462	1998-11-13	VYDAJ	PREVOD NA UCET	1491	43248	SIPO	GH	61501145
1012598	3462	1998-12-13	VYDAJ	PREVOD NA UCET	1491	49706	SIPO	GH	61501145
1012605	3462	1996-07-11	VYDAJ	PREVOD NA UCET	4743	40599	 	KL	83431678
1012606	3462	1996-08-11	VYDAJ	PREVOD NA UCET	4743	38171	 	KL	83431678
1012607	3462	1996-09-11	VYDAJ	PREVOD NA UCET	4743	28517	 	KL	83431678
1012608	3462	1996-10-11	VYDAJ	PREVOD NA UCET	4743	29031	 	KL	83431678
1012609	3462	1996-11-11	VYDAJ	PREVOD NA UCET	4743	28745	 	KL	83431678
1012610	3462	1996-12-11	VYDAJ	PREVOD NA UCET	4743	33833	 	KL	83431678
1012611	3462	1997-01-11	VYDAJ	PREVOD NA UCET	4743	24254	 	KL	83431678
1012612	3462	1997-02-11	VYDAJ	PREVOD NA UCET	4743	25049	 	KL	83431678
1012613	3462	1997-03-11	VYDAJ	PREVOD NA UCET	4743	27046	 	KL	83431678
1012614	3462	1997-04-11	VYDAJ	PREVOD NA UCET	4743	20347	 	KL	83431678
1012615	3462	1997-05-11	VYDAJ	PREVOD NA UCET	4743	22730	 	KL	83431678
1012616	3462	1997-06-11	VYDAJ	PREVOD NA UCET	4743	26693	 	KL	83431678
1012617	3462	1997-07-11	VYDAJ	PREVOD NA UCET	4743	20385	 	KL	83431678
1012618	3462	1997-08-11	VYDAJ	PREVOD NA UCET	4743	19961	 	KL	83431678
1012619	3462	1997-09-11	VYDAJ	PREVOD NA UCET	4743	18535	 	KL	83431678
1012620	3462	1997-10-11	VYDAJ	PREVOD NA UCET	4743	24612	 	KL	83431678
1012621	3462	1997-11-11	VYDAJ	PREVOD NA UCET	4743	28808	 	KL	83431678
1012622	3462	1997-12-11	VYDAJ	PREVOD NA UCET	4743	34595	 	KL	83431678
1012623	3462	1998-01-11	VYDAJ	PREVOD NA UCET	4743	20912	 	KL	83431678
1012624	3462	1998-02-11	VYDAJ	PREVOD NA UCET	4743	18795	 	KL	83431678
1012625	3462	1998-03-11	VYDAJ	PREVOD NA UCET	4743	28473	 	KL	83431678
1012626	3462	1998-04-11	VYDAJ	PREVOD NA UCET	4743	32084	 	KL	83431678
1012627	3462	1998-05-11	VYDAJ	PREVOD NA UCET	4743	35911	 	KL	83431678
1012628	3462	1998-06-11	VYDAJ	PREVOD NA UCET	4743	43129	 	KL	83431678
1012629	3462	1998-07-11	VYDAJ	PREVOD NA UCET	4743	34772	 	KL	83431678
1012630	3462	1998-08-11	VYDAJ	PREVOD NA UCET	4743	42215	 	KL	83431678
1012631	3462	1998-09-11	VYDAJ	PREVOD NA UCET	4743	43681	 	KL	83431678
1012632	3462	1998-10-11	VYDAJ	PREVOD NA UCET	4743	46455	 	KL	83431678
1012633	3462	1998-11-11	VYDAJ	PREVOD NA UCET	4743	44739	 	KL	83431678
1012634	3462	1998-12-11	VYDAJ	PREVOD NA UCET	4743	51197	 	KL	83431678
1012636	3462	1997-06-24	VYDAJ	VYBER	6300	18902	\N	\N	\N
1012637	3462	1998-06-17	VYDAJ	VYBER	12700	28938	\N	\N	\N
1012639	3462	1997-01-08	VYDAJ	VYBER	1100	21345	\N	\N	\N
1012641	3462	1996-12-16	VYDAJ	VYBER	2400	29942	\N	\N	\N
1012642	3462	1997-12-15	VYDAJ	VYBER	1700	28504	\N	\N	\N
1012643	3462	1998-12-16	VYDAJ	VYBER	1600	48106	\N	\N	\N
1012650	3462	1997-01-01	VYDAJ	VYBER	800	24745	\N	\N	\N
1012651	3462	1997-01-16	VYDAJ	VYBER	900	19963	\N	\N	\N
1012652	3462	1997-01-10	VYDAJ	VYBER	1700	28997	\N	\N	\N
1012653	3462	1997-01-30	VYDAJ	VYBER	1800	20363	\N	\N	\N
1012654	3462	1997-01-06	VYDAJ	VYBER	2300	22445	\N	\N	\N
1012655	3462	1997-01-11	VYDAJ	VYBER	1900	22354	\N	\N	\N
1012656	3462	1998-01-27	VYDAJ	VYBER	2000	15621	\N	\N	\N
1012657	3462	1998-01-02	VYDAJ	VYBER	2400	21003	\N	\N	\N
1012658	3462	1998-01-10	VYDAJ	VYBER	2100	27455	\N	\N	\N
1012659	3462	1998-01-16	VYDAJ	VYBER	2300	17121	\N	\N	\N
1012660	3462	1998-01-10	VYDAJ	VYBER	1800	25655	\N	\N	\N
1012661	3462	1998-01-29	VYDAJ	VYBER	1500	14121	\N	\N	\N
1012662	3462	1996-09-23	VYDAJ	VYBER	4700	22326	\N	\N	\N
1012664	3462	1996-09-10	VYDAJ	VYBER	4600	33260	\N	\N	\N
1012666	3462	1996-08-19	VYDAJ	VYBER	3200	29280	\N	\N	\N
1012667	3462	1996-08-15	VYDAJ	VYBER	4200	32480	\N	\N	\N
1012668	3462	1996-10-30	VYDAJ	VYBER	1300	26240	\N	\N	\N
1012669	3462	1997-06-25	VYDAJ	VYBER	3900	15002	\N	\N	\N
1012670	3462	1997-09-04	VYDAJ	VYBER	2300	13926	\N	\N	\N
1012671	3462	1997-06-04	VYDAJ	VYBER	1000	17408	\N	\N	\N
1012672	3462	1997-09-25	VYDAJ	VYBER	1000	19944	\N	\N	\N
1012673	3462	1997-12-15	VYDAJ	VYBER	2900	30204	\N	\N	\N
1012674	3462	1997-03-23	VYDAJ	VYBER	2200	23355	\N	\N	\N
1012675	3462	1997-04-03	VYDAJ	VYBER	3400	15738	\N	\N	\N
1012676	3462	1998-03-13	VYDAJ	VYBER	500	26482	\N	\N	\N
1012677	3462	1998-01-08	VYDAJ	VYBER	800	20203	\N	\N	\N
1012678	3462	1998-12-21	VYDAJ	VYBER	2900	39606	\N	\N	\N
1012680	3462	1998-11-04	VYDAJ	VYBER	3800	40130	\N	\N	\N
1012688	3462	1996-07-31	VYDAJ	VYBER	15	39262	SLUZBY	\N	\N
1012689	3462	1996-08-31	VYDAJ	VYBER	15	28508	SLUZBY	\N	\N
1012690	3462	1996-09-30	VYDAJ	VYBER	15	24422	SLUZBY	\N	\N
1012691	3462	1996-10-31	VYDAJ	VYBER	15	24136	SLUZBY	\N	\N
1012692	3462	1996-11-30	VYDAJ	VYBER	15	24548	SLUZBY	\N	\N
1012693	3462	1996-12-31	VYDAJ	VYBER	15	25545	SLUZBY	\N	\N
1012694	3462	1997-01-31	VYDAJ	VYBER	15	20440	SLUZBY	\N	\N
1012695	3462	1997-02-28	VYDAJ	VYBER	15	22437	SLUZBY	\N	\N
1012696	3462	1997-03-31	VYDAJ	VYBER	15	19138	SLUZBY	\N	\N
1012697	3462	1997-04-30	VYDAJ	VYBER	15	18121	SLUZBY	\N	\N
1012698	3462	1997-05-31	VYDAJ	VYBER	15	18408	SLUZBY	\N	\N
1012699	3462	1997-06-30	VYDAJ	VYBER	15	15776	SLUZBY	\N	\N
1012700	3462	1997-07-31	VYDAJ	VYBER	15	15352	SLUZBY	\N	\N
1012701	3462	1997-08-31	VYDAJ	VYBER	15	16226	SLUZBY	\N	\N
1012702	3462	1997-09-30	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
1012703	3462	1997-10-31	VYDAJ	VYBER	15	24199	SLUZBY	\N	\N
1012704	3462	1997-11-30	VYDAJ	VYBER	15	25310	SLUZBY	\N	\N
1012705	3462	1997-12-31	VYDAJ	VYBER	15	23403	SLUZBY	\N	\N
1012706	3462	1998-01-31	VYDAJ	VYBER	15	14186	SLUZBY	\N	\N
1012707	3462	1998-02-28	VYDAJ	VYBER	15	23864	SLUZBY	\N	\N
1012708	3462	1998-03-31	VYDAJ	VYBER	15	27475	SLUZBY	\N	\N
1012709	3462	1998-04-30	VYDAJ	VYBER	15	31302	SLUZBY	\N	\N
1012710	3462	1998-05-31	VYDAJ	VYBER	15	33844	SLUZBY	\N	\N
1012711	3462	1998-06-30	VYDAJ	VYBER	15	30163	SLUZBY	\N	\N
1012712	3462	1998-07-31	VYDAJ	VYBER	15	37606	SLUZBY	\N	\N
1012713	3462	1998-08-31	VYDAJ	VYBER	15	39072	SLUZBY	\N	\N
1012714	3462	1998-09-30	VYDAJ	VYBER	15	41846	SLUZBY	\N	\N
1012715	3462	1998-10-31	VYDAJ	VYBER	15	43930	SLUZBY	\N	\N
1012716	3462	1998-11-30	VYDAJ	VYBER	15	41912	SLUZBY	\N	\N
1012717	3462	1996-04-03	PRIJEM	VKLAD	5700	15782	\N	\N	\N
1012718	3462	1996-05-03	VYDAJ	VYBER	2600	22620	\N	\N	\N
1012719	3462	1996-06-02	VYDAJ	VYBER	3100	28997	\N	\N	\N
1012720	3462	1996-07-02	VYDAJ	VYBER	7200	35990	\N	\N	\N
1012721	3462	1996-08-01	VYDAJ	VYBER	5700	33562	\N	\N	\N
1012722	3462	1996-08-31	VYDAJ	VYBER	900	28522	\N	\N	\N
1012723	3462	1996-09-30	PRIJEM	VKLAD	2000	24437	\N	\N	\N
1012724	3462	1996-10-30	VYDAJ	VYBER	2200	24040	\N	\N	\N
1012725	3462	1996-11-29	VYDAJ	VYBER	2800	24454	\N	\N	\N
1012726	3462	1996-12-29	VYDAJ	VYBER	4500	25442	\N	\N	\N
1012727	3462	1997-01-28	PRIJEM	VKLAD	2200	22163	\N	\N	\N
1012728	3462	1997-02-27	VYDAJ	VYBER	1200	22358	\N	\N	\N
1012729	3462	1997-03-29	VYDAJ	VYBER	4300	19055	\N	\N	\N
1012730	3462	1997-04-28	VYDAJ	VYBER	800	18056	\N	\N	\N
1012731	3462	1997-05-28	VYDAJ	VYBER	2900	18339	\N	\N	\N
1012732	3462	1997-06-27	PRIJEM	VKLAD	700	15702	\N	\N	\N
1012733	3462	1997-07-27	VYDAJ	VYBER	3600	15294	\N	\N	\N
1012734	3462	1997-08-26	VYDAJ	VYBER	2300	16170	\N	\N	\N
1012735	3462	1997-09-25	PRIJEM	VKLAD	3900	20944	\N	\N	\N
1012736	3462	1997-10-25	PRIJEM	VKLAD	1000	24121	\N	\N	\N
1012737	3462	1997-11-24	VYDAJ	VYBER	2100	25217	\N	\N	\N
1012738	3462	1997-12-24	VYDAJ	VYBER	5200	23304	\N	\N	\N
1012739	3462	1998-01-23	PRIJEM	VKLAD	500	17621	\N	\N	\N
1012740	3462	1998-02-22	PRIJEM	VKLAD	6500	23804	\N	\N	\N
1012741	3462	1998-03-24	PRIJEM	VKLAD	900	27382	\N	\N	\N
1012742	3462	1998-04-23	PRIJEM	VKLAD	600	31193	\N	\N	\N
1012743	3462	1998-05-23	VYDAJ	VYBER	700	33720	\N	\N	\N
1012744	3462	1998-06-22	PRIJEM	VKLAD	1100	30038	\N	\N	\N
1012745	3462	1998-07-22	PRIJEM	VKLAD	4200	37481	\N	\N	\N
1012746	3462	1998-08-21	VYDAJ	VYBER	1800	38924	\N	\N	\N
1012747	3462	1998-09-20	VYDAJ	VYBER	500	41690	\N	\N	\N
1012748	3462	1998-10-20	VYDAJ	VYBER	1200	43764	\N	\N	\N
1012749	3462	1998-11-19	VYDAJ	VYBER	1500	41748	\N	\N	\N
1012750	3462	1998-12-19	VYDAJ	VYBER	5600	42506	\N	\N	\N
1012785	3463	1997-09-21	PRIJEM	VKLAD	500	500	\N	\N	\N
1012795	3463	1997-10-09	PRIJEM	VKLAD	12576	13076	\N	\N	\N
1012796	3463	1997-11-09	PRIJEM	VKLAD	12576	28776	\N	\N	\N
1012797	3463	1997-12-09	PRIJEM	VKLAD	18864	41717	\N	\N	\N
1012798	3463	1998-01-09	PRIJEM	VKLAD	12576	45705	\N	\N	\N
1012799	3463	1998-02-09	PRIJEM	VKLAD	12576	47722	\N	\N	\N
1012800	3463	1998-03-09	PRIJEM	VKLAD	12576	46667	\N	\N	\N
1012801	3463	1998-04-09	PRIJEM	VKLAD	12576	38603	\N	\N	\N
1012802	3463	1998-05-09	PRIJEM	VKLAD	12576	34815	\N	\N	\N
1012803	3463	1998-06-09	PRIJEM	VKLAD	18864	42805	\N	\N	\N
1012804	3463	1998-07-09	PRIJEM	VKLAD	12576	36218	\N	\N	\N
1012805	3463	1998-08-09	PRIJEM	VKLAD	12576	33720	\N	\N	\N
1012806	3463	1998-09-09	PRIJEM	VKLAD	12576	31011	\N	\N	\N
1012807	3463	1998-10-09	PRIJEM	VKLAD	12576	26588	\N	\N	\N
1012808	3463	1998-11-09	PRIJEM	VKLAD	12576	28854	\N	\N	\N
1012809	3463	1998-12-09	PRIJEM	VKLAD	18864	42032	\N	\N	\N
1012824	3463	1998-03-07	VYDAJ	PREVOD NA UCET	646	39277	SIPO	QR	23059034
1012825	3463	1998-04-07	VYDAJ	PREVOD NA UCET	646	31213	SIPO	QR	23059034
1012826	3463	1998-05-07	VYDAJ	PREVOD NA UCET	646	22239	SIPO	QR	23059034
1012827	3463	1998-06-07	VYDAJ	PREVOD NA UCET	646	29127	SIPO	QR	23059034
1012828	3463	1998-07-07	VYDAJ	PREVOD NA UCET	646	28828	SIPO	QR	23059034
1012829	3463	1998-08-07	VYDAJ	PREVOD NA UCET	646	26330	SIPO	QR	23059034
1012830	3463	1998-09-07	VYDAJ	PREVOD NA UCET	646	23621	SIPO	QR	23059034
1012831	3463	1998-10-07	VYDAJ	PREVOD NA UCET	646	19198	SIPO	QR	23059034
1012832	3463	1998-11-07	VYDAJ	PREVOD NA UCET	646	16278	SIPO	QR	23059034
1012833	3463	1998-12-07	VYDAJ	PREVOD NA UCET	646	28354	SIPO	QR	23059034
1012848	3463	1998-03-07	VYDAJ	PREVOD NA UCET	5186	34091	 	AB	65683340
1012849	3463	1998-04-07	VYDAJ	PREVOD NA UCET	5186	26027	 	AB	65683340
1012850	3463	1998-05-07	VYDAJ	PREVOD NA UCET	5186	22885	 	AB	65683340
1012851	3463	1998-06-07	VYDAJ	PREVOD NA UCET	5186	23941	 	AB	65683340
1012852	3463	1998-07-07	VYDAJ	PREVOD NA UCET	5186	23642	 	AB	65683340
1012853	3463	1998-08-07	VYDAJ	PREVOD NA UCET	5186	21144	 	AB	65683340
1012854	3463	1998-09-07	VYDAJ	PREVOD NA UCET	5186	18435	 	AB	65683340
1012855	3463	1998-10-07	VYDAJ	PREVOD NA UCET	5186	14012	 	AB	65683340
1012856	3463	1998-11-07	VYDAJ	PREVOD NA UCET	5186	16924	 	AB	65683340
1012857	3463	1998-12-07	VYDAJ	PREVOD NA UCET	5186	23168	 	AB	65683340
1012871	3463	1998-02-09	VYDAJ	PREVOD NA UCET	2552	45170	POJISTNE	GH	85014348
1012872	3463	1998-03-09	VYDAJ	PREVOD NA UCET	2552	44115	POJISTNE	GH	85014348
1012873	3463	1998-04-09	VYDAJ	PREVOD NA UCET	2552	36051	POJISTNE	GH	85014348
1012874	3463	1998-05-09	VYDAJ	PREVOD NA UCET	2552	32263	POJISTNE	GH	85014348
1012875	3463	1998-06-09	VYDAJ	PREVOD NA UCET	2552	40253	POJISTNE	GH	85014348
1012876	3463	1998-07-09	VYDAJ	PREVOD NA UCET	2552	33666	POJISTNE	GH	85014348
1012877	3463	1998-08-09	VYDAJ	PREVOD NA UCET	2552	31168	POJISTNE	GH	85014348
1012878	3463	1998-09-09	VYDAJ	PREVOD NA UCET	2552	28459	POJISTNE	GH	85014348
1012879	3463	1998-10-09	VYDAJ	PREVOD NA UCET	2552	24036	POJISTNE	GH	85014348
1012880	3463	1998-11-09	VYDAJ	PREVOD NA UCET	2552	26302	POJISTNE	GH	85014348
1012881	3463	1998-12-09	VYDAJ	PREVOD NA UCET	2552	39480	POJISTNE	GH	85014348
1012887	3463	1998-12-04	VYDAJ	VYBER	1600	29000	\N	\N	\N
1012905	3463	1998-09-17	VYDAJ	VYBER	2100	21459	\N	\N	\N
1012906	3463	1998-04-02	VYDAJ	VYBER	1700	31859	\N	\N	\N
1012907	3463	1998-03-10	VYDAJ	VYBER	2400	41715	\N	\N	\N
1012908	3463	1998-10-13	VYDAJ	VYBER	4700	19336	\N	\N	\N
1012909	3463	1998-12-23	VYDAJ	VYBER	2300	30580	\N	\N	\N
1012910	3463	1998-09-19	VYDAJ	VYBER	1700	19759	\N	\N	\N
1012925	3463	1998-02-28	VYDAJ	VYBER	15	39923	SLUZBY	\N	\N
1012926	3463	1998-03-31	VYDAJ	VYBER	15	33559	SLUZBY	\N	\N
1012927	3463	1998-04-30	VYDAJ	VYBER	15	28071	SLUZBY	\N	\N
1012928	3463	1998-05-31	VYDAJ	VYBER	15	29773	SLUZBY	\N	\N
1012929	3463	1998-06-30	VYDAJ	VYBER	15	29474	SLUZBY	\N	\N
1012930	3463	1998-07-31	VYDAJ	VYBER	15	26976	SLUZBY	\N	\N
1012931	3463	1998-08-31	VYDAJ	VYBER	15	24267	SLUZBY	\N	\N
1012932	3463	1998-09-30	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
1012933	3463	1998-10-31	VYDAJ	VYBER	15	22110	SLUZBY	\N	\N
1012934	3463	1998-11-30	VYDAJ	VYBER	15	30600	SLUZBY	\N	\N
1012935	3463	1997-10-21	PRIJEM	VKLAD	3100	16176	\N	\N	\N
1012936	3463	1997-11-20	VYDAJ	VYBER	6000	22776	\N	\N	\N
1012937	3463	1997-12-20	VYDAJ	VYBER	8700	33017	\N	\N	\N
1012938	3463	1998-01-19	VYDAJ	VYBER	10700	35005	\N	\N	\N
1012939	3463	1998-02-18	VYDAJ	VYBER	5400	39770	\N	\N	\N
1012940	3463	1998-03-20	VYDAJ	VYBER	8300	33415	\N	\N	\N
1012941	3463	1998-04-19	VYDAJ	VYBER	8100	27951	\N	\N	\N
1012942	3463	1998-05-19	VYDAJ	VYBER	2600	29663	\N	\N	\N
1012943	3463	1998-06-18	VYDAJ	VYBER	10900	29353	\N	\N	\N
1012944	3463	1998-07-18	VYDAJ	VYBER	6800	26866	\N	\N	\N
1012945	3463	1998-08-17	VYDAJ	VYBER	7000	24168	\N	\N	\N
1012946	3463	1998-09-16	VYDAJ	VYBER	4900	23559	\N	\N	\N
1012947	3463	1998-10-16	PRIJEM	VKLAD	2700	22036	\N	\N	\N
1012948	3463	1998-11-15	PRIJEM	VKLAD	4200	30502	\N	\N	\N
1012949	3463	1998-12-15	VYDAJ	VYBER	6600	32880	\N	\N	\N
1012965	3464	1995-05-05	PRIJEM	VKLAD	800	800	\N	\N	\N
1012970	3464	1995-05-06	PRIJEM	VKLAD	7522	8322	\N	\N	\N
1012971	3464	1995-06-06	PRIJEM	VKLAD	11283	28034	\N	\N	\N
1012972	3464	1995-07-06	PRIJEM	VKLAD	7522	30859	\N	\N	\N
1012973	3464	1995-08-06	PRIJEM	VKLAD	7522	35508	\N	\N	\N
1012974	3464	1995-09-06	PRIJEM	VKLAD	7522	35275	\N	\N	\N
1012975	3464	1995-10-06	PRIJEM	VKLAD	7522	36259	\N	\N	\N
1012976	3464	1995-11-06	PRIJEM	VKLAD	7522	30237	\N	\N	\N
1012977	3464	1995-12-06	PRIJEM	VKLAD	11283	38269	\N	\N	\N
1012978	3464	1996-01-06	PRIJEM	VKLAD	7522	36092	\N	\N	\N
1012979	3464	1996-02-06	PRIJEM	VKLAD	7522	32519	\N	\N	\N
1012980	3464	1996-03-06	PRIJEM	VKLAD	7522	29711	\N	\N	\N
1012981	3464	1996-04-06	PRIJEM	VKLAD	7522	33573	\N	\N	\N
1012982	3464	1996-05-06	PRIJEM	VKLAD	7522	35159	\N	\N	\N
1012983	3464	1996-06-06	PRIJEM	VKLAD	11283	37196	\N	\N	\N
1012984	3464	1996-07-06	PRIJEM	VKLAD	7522	34493	\N	\N	\N
1012985	3464	1996-08-06	PRIJEM	VKLAD	7522	34848	\N	\N	\N
1012986	3464	1996-09-06	PRIJEM	VKLAD	7522	28373	\N	\N	\N
1012987	3464	1996-10-06	PRIJEM	VKLAD	7522	32226	\N	\N	\N
1012988	3464	1996-11-06	PRIJEM	VKLAD	7522	29130	\N	\N	\N
1012989	3464	1996-12-06	PRIJEM	VKLAD	11283	35853	\N	\N	\N
1012990	3464	1997-01-06	PRIJEM	VKLAD	7522	31105	\N	\N	\N
1012991	3464	1997-02-06	PRIJEM	VKLAD	7522	24054	\N	\N	\N
1012992	3464	1997-03-06	PRIJEM	VKLAD	7522	29488	\N	\N	\N
1012993	3464	1997-04-06	PRIJEM	VKLAD	7522	28702	\N	\N	\N
1012994	3464	1997-05-06	PRIJEM	VKLAD	7522	33661	\N	\N	\N
1012995	3464	1997-06-06	PRIJEM	VKLAD	11283	42296	\N	\N	\N
1012996	3464	1997-07-06	PRIJEM	VKLAD	7522	42309	\N	\N	\N
1012997	3464	1997-08-06	PRIJEM	VKLAD	7522	39420	\N	\N	\N
1012998	3464	1997-09-06	PRIJEM	VKLAD	7522	33677	\N	\N	\N
1012999	3464	1997-10-06	PRIJEM	VKLAD	7522	35351	\N	\N	\N
1013000	3464	1997-11-06	PRIJEM	VKLAD	7522	40041	\N	\N	\N
1013001	3464	1997-12-06	PRIJEM	VKLAD	11283	45298	\N	\N	\N
1013002	3464	1998-01-06	PRIJEM	VKLAD	7522	33979	\N	\N	\N
1013003	3464	1998-02-06	PRIJEM	VKLAD	7522	38853	\N	\N	\N
1013004	3464	1998-03-06	PRIJEM	VKLAD	7522	45552	\N	\N	\N
1013005	3464	1998-04-06	PRIJEM	VKLAD	7522	49875	\N	\N	\N
1013006	3464	1998-05-06	PRIJEM	VKLAD	7522	53615	\N	\N	\N
1013007	3464	1998-06-06	PRIJEM	VKLAD	11283	57125	\N	\N	\N
1013008	3464	1998-07-06	PRIJEM	VKLAD	7522	54682	\N	\N	\N
1013009	3464	1998-08-06	PRIJEM	VKLAD	7522	54580	\N	\N	\N
1013010	3464	1998-09-06	PRIJEM	VKLAD	7522	46433	\N	\N	\N
1013011	3464	1998-10-06	PRIJEM	VKLAD	7522	53874	\N	\N	\N
1013012	3464	1998-11-06	PRIJEM	VKLAD	7522	60437	\N	\N	\N
1013013	3464	1998-12-06	PRIJEM	VKLAD	11283	68585	\N	\N	\N
1013022	3464	1995-09-06	VYDAJ	PREVOD NA UCET	2802	32473	SIPO	ST	96288322
1013023	3464	1995-10-06	VYDAJ	PREVOD NA UCET	2802	33457	SIPO	ST	96288322
1013024	3464	1995-11-06	VYDAJ	PREVOD NA UCET	2802	25583	SIPO	ST	96288322
1013025	3464	1995-12-06	VYDAJ	PREVOD NA UCET	2802	33615	SIPO	ST	96288322
1013026	3464	1996-01-06	VYDAJ	PREVOD NA UCET	2802	31438	SIPO	ST	96288322
1013027	3464	1996-02-06	VYDAJ	PREVOD NA UCET	2802	27865	SIPO	ST	96288322
1013028	3464	1996-03-06	VYDAJ	PREVOD NA UCET	2802	26909	SIPO	ST	96288322
1013029	3464	1996-04-06	VYDAJ	PREVOD NA UCET	2802	30771	SIPO	ST	96288322
1013030	3464	1996-05-06	VYDAJ	PREVOD NA UCET	2802	32357	SIPO	ST	96288322
1013031	3464	1996-06-06	VYDAJ	PREVOD NA UCET	2802	32542	SIPO	ST	96288322
1013032	3464	1996-07-06	VYDAJ	PREVOD NA UCET	2802	29839	SIPO	ST	96288322
1013033	3464	1996-08-06	VYDAJ	PREVOD NA UCET	2802	30194	SIPO	ST	96288322
1013034	3464	1996-09-06	VYDAJ	PREVOD NA UCET	2802	23719	SIPO	ST	96288322
1013035	3464	1996-10-06	VYDAJ	PREVOD NA UCET	2802	27572	SIPO	ST	96288322
1013036	3464	1996-11-06	VYDAJ	PREVOD NA UCET	2802	24476	SIPO	ST	96288322
1013037	3464	1996-12-06	VYDAJ	PREVOD NA UCET	2802	31199	SIPO	ST	96288322
1013038	3464	1997-01-06	VYDAJ	PREVOD NA UCET	2802	28303	SIPO	ST	96288322
1013039	3464	1997-02-06	VYDAJ	PREVOD NA UCET	2802	21252	SIPO	ST	96288322
1013040	3464	1997-03-06	VYDAJ	PREVOD NA UCET	2802	24834	SIPO	ST	96288322
1013041	3464	1997-04-06	VYDAJ	PREVOD NA UCET	2802	25900	SIPO	ST	96288322
1013042	3464	1997-05-06	VYDAJ	PREVOD NA UCET	2802	30859	SIPO	ST	96288322
1013043	3464	1997-06-06	VYDAJ	PREVOD NA UCET	2802	39494	SIPO	ST	96288322
1013044	3464	1997-07-06	VYDAJ	PREVOD NA UCET	2802	39507	SIPO	ST	96288322
1013045	3464	1997-08-06	VYDAJ	PREVOD NA UCET	2802	34766	SIPO	ST	96288322
1013046	3464	1997-09-06	VYDAJ	PREVOD NA UCET	2802	30875	SIPO	ST	96288322
1013047	3464	1997-10-06	VYDAJ	PREVOD NA UCET	2802	30697	SIPO	ST	96288322
1013048	3464	1997-11-06	VYDAJ	PREVOD NA UCET	2802	37239	SIPO	ST	96288322
1013049	3464	1997-12-06	VYDAJ	PREVOD NA UCET	2802	42496	SIPO	ST	96288322
1013050	3464	1998-01-06	VYDAJ	PREVOD NA UCET	2802	29325	SIPO	ST	96288322
1013051	3464	1998-02-06	VYDAJ	PREVOD NA UCET	2802	36051	SIPO	ST	96288322
1013052	3464	1998-03-06	VYDAJ	PREVOD NA UCET	2802	42750	SIPO	ST	96288322
1013053	3464	1998-04-06	VYDAJ	PREVOD NA UCET	2802	47073	SIPO	ST	96288322
1013054	3464	1998-05-06	VYDAJ	PREVOD NA UCET	2802	48961	SIPO	ST	96288322
1013055	3464	1998-06-06	VYDAJ	PREVOD NA UCET	2802	52471	SIPO	ST	96288322
1013056	3464	1998-07-06	VYDAJ	PREVOD NA UCET	2802	51880	SIPO	ST	96288322
1013057	3464	1998-08-06	VYDAJ	PREVOD NA UCET	2802	51778	SIPO	ST	96288322
1013058	3464	1998-09-06	VYDAJ	PREVOD NA UCET	2802	43631	SIPO	ST	96288322
1013059	3464	1998-10-06	VYDAJ	PREVOD NA UCET	2802	51072	SIPO	ST	96288322
1013060	3464	1998-11-06	VYDAJ	PREVOD NA UCET	2802	57635	SIPO	ST	96288322
1013061	3464	1998-12-06	VYDAJ	PREVOD NA UCET	2802	63931	SIPO	ST	96288322
1013070	3464	1995-09-06	VYDAJ	PREVOD NA UCET	1852	30621	 	IJ	61951309
1013071	3464	1995-10-06	VYDAJ	PREVOD NA UCET	1852	31605	 	IJ	61951309
1013072	3464	1995-11-06	VYDAJ	PREVOD NA UCET	1852	28385	 	IJ	61951309
1013073	3464	1995-12-06	VYDAJ	PREVOD NA UCET	1852	36417	 	IJ	61951309
1013074	3464	1996-01-06	VYDAJ	PREVOD NA UCET	1852	34240	 	IJ	61951309
1013075	3464	1996-02-06	VYDAJ	PREVOD NA UCET	1852	30667	 	IJ	61951309
1013076	3464	1996-03-06	VYDAJ	PREVOD NA UCET	1852	25057	 	IJ	61951309
1013077	3464	1996-04-06	VYDAJ	PREVOD NA UCET	1852	28919	 	IJ	61951309
1013078	3464	1996-05-06	VYDAJ	PREVOD NA UCET	1852	30505	 	IJ	61951309
1013079	3464	1996-06-06	VYDAJ	PREVOD NA UCET	1852	35344	 	IJ	61951309
1013080	3464	1996-07-06	VYDAJ	PREVOD NA UCET	1852	32641	 	IJ	61951309
1013081	3464	1996-08-06	VYDAJ	PREVOD NA UCET	1852	32996	 	IJ	61951309
1013082	3464	1996-09-06	VYDAJ	PREVOD NA UCET	1852	26521	 	IJ	61951309
1013083	3464	1996-10-06	VYDAJ	PREVOD NA UCET	1852	30374	 	IJ	61951309
1013084	3464	1996-11-06	VYDAJ	PREVOD NA UCET	1852	27278	 	IJ	61951309
1013085	3464	1996-12-06	VYDAJ	PREVOD NA UCET	1852	34001	 	IJ	61951309
1013086	3464	1997-01-06	VYDAJ	PREVOD NA UCET	1852	26451	 	IJ	61951309
1013087	3464	1997-02-06	VYDAJ	PREVOD NA UCET	1852	19400	 	IJ	61951309
1013088	3464	1997-03-06	VYDAJ	PREVOD NA UCET	1852	27636	 	IJ	61951309
1013089	3464	1997-04-06	VYDAJ	PREVOD NA UCET	1852	24048	 	IJ	61951309
1013090	3464	1997-05-06	VYDAJ	PREVOD NA UCET	1852	29007	 	IJ	61951309
1013091	3464	1997-06-06	VYDAJ	PREVOD NA UCET	1852	37642	 	IJ	61951309
1013092	3464	1997-07-06	VYDAJ	PREVOD NA UCET	1852	37655	 	IJ	61951309
1013093	3464	1997-08-06	VYDAJ	PREVOD NA UCET	1852	37568	 	IJ	61951309
1013094	3464	1997-09-06	VYDAJ	PREVOD NA UCET	1852	29023	 	IJ	61951309
1013095	3464	1997-10-06	VYDAJ	PREVOD NA UCET	1852	33499	 	IJ	61951309
1013096	3464	1997-11-06	VYDAJ	PREVOD NA UCET	1852	35387	 	IJ	61951309
1013097	3464	1997-12-06	VYDAJ	PREVOD NA UCET	1852	40644	 	IJ	61951309
1013098	3464	1998-01-06	VYDAJ	PREVOD NA UCET	1852	32127	 	IJ	61951309
1013099	3464	1998-02-06	VYDAJ	PREVOD NA UCET	1852	34199	 	IJ	61951309
1013100	3464	1998-03-06	VYDAJ	PREVOD NA UCET	1852	40898	 	IJ	61951309
1013101	3464	1998-04-06	VYDAJ	PREVOD NA UCET	1852	45221	 	IJ	61951309
1013102	3464	1998-05-06	VYDAJ	PREVOD NA UCET	1852	51763	 	IJ	61951309
1013103	3464	1998-06-06	VYDAJ	PREVOD NA UCET	1852	55273	 	IJ	61951309
1013104	3464	1998-07-06	VYDAJ	PREVOD NA UCET	1852	50028	 	IJ	61951309
1013105	3464	1998-08-06	VYDAJ	PREVOD NA UCET	1852	49926	 	IJ	61951309
1013106	3464	1998-09-06	VYDAJ	PREVOD NA UCET	1852	41779	 	IJ	61951309
1013107	3464	1998-10-06	VYDAJ	PREVOD NA UCET	1852	49220	 	IJ	61951309
1013108	3464	1998-11-06	VYDAJ	PREVOD NA UCET	1852	55783	 	IJ	61951309
1013109	3464	1998-12-06	VYDAJ	PREVOD NA UCET	1852	66733	 	IJ	61951309
1013114	3464	1995-12-23	VYDAJ	VYBER	4160	29455	\N	\N	\N
1013115	3464	1996-12-16	VYDAJ	VYBER	960	30239	\N	\N	\N
1013116	3464	1997-12-29	VYDAJ	VYBER	4000	30404	\N	\N	\N
1013117	3464	1998-12-28	VYDAJ	VYBER	3040	56071	\N	\N	\N
1013124	3464	1996-01-16	VYDAJ	VYBER	1440	28198	\N	\N	\N
1013125	3464	1996-01-18	VYDAJ	VYBER	1920	26278	\N	\N	\N
1013126	3464	1996-01-12	VYDAJ	VYBER	1200	29638	\N	\N	\N
1013127	3464	1996-01-10	VYDAJ	VYBER	600	30838	\N	\N	\N
1013128	3464	1996-01-23	VYDAJ	VYBER	2760	23518	\N	\N	\N
1013129	3464	1996-01-25	VYDAJ	VYBER	1320	22198	\N	\N	\N
1013130	3464	1997-01-23	VYDAJ	VYBER	3120	18531	\N	\N	\N
1013131	3464	1997-01-17	VYDAJ	VYBER	2040	23691	\N	\N	\N
1013132	3464	1997-01-18	VYDAJ	VYBER	2040	21651	\N	\N	\N
1013133	3464	1997-01-08	VYDAJ	VYBER	720	25731	\N	\N	\N
1013134	3464	1997-01-30	VYDAJ	VYBER	2880	16451	\N	\N	\N
1013135	3464	1997-01-04	VYDAJ	VYBER	1560	23583	\N	\N	\N
1013136	3464	1998-01-08	VYDAJ	VYBER	1440	27885	\N	\N	\N
1013137	3464	1998-01-12	VYDAJ	VYBER	1920	25965	\N	\N	\N
1013138	3464	1998-01-02	VYDAJ	VYBER	3000	26457	\N	\N	\N
1013139	3464	1998-01-25	VYDAJ	VYBER	600	32065	\N	\N	\N
1013140	3464	1998-01-01	VYDAJ	VYBER	1080	29457	\N	\N	\N
1013141	3464	1998-01-28	VYDAJ	VYBER	840	31225	\N	\N	\N
1013146	3464	1995-10-16	VYDAJ	VYBER	4200	27405	\N	\N	\N
1013148	3464	1996-10-19	VYDAJ	VYBER	3240	24332	\N	\N	\N
1013149	3464	1996-02-21	VYDAJ	VYBER	4080	23785	\N	\N	\N
1013150	3464	1996-10-22	VYDAJ	VYBER	5520	18812	\N	\N	\N
1013151	3464	1996-09-01	VYDAJ	VYBER	3600	20851	\N	\N	\N
1013152	3464	1996-08-15	VYDAJ	VYBER	5040	25154	\N	\N	\N
1013153	3464	1996-07-17	VYDAJ	VYBER	1920	27919	\N	\N	\N
1013154	3464	1997-04-05	VYDAJ	VYBER	2640	21180	\N	\N	\N
1013155	3464	1997-12-11	VYDAJ	VYBER	4440	36204	\N	\N	\N
1013156	3464	1997-08-07	VYDAJ	VYBER	3720	31046	\N	\N	\N
1013157	3464	1998-12-22	VYDAJ	VYBER	3120	59111	\N	\N	\N
1013158	3464	1998-06-24	VYDAJ	VYBER	1800	46971	\N	\N	\N
1013159	3464	1998-09-02	VYDAJ	VYBER	3120	38911	\N	\N	\N
1013160	3464	1998-08-05	VYDAJ	VYBER	960	47058	\N	\N	\N
1013161	3464	1998-08-23	VYDAJ	VYBER	4080	41846	\N	\N	\N
1013171	3464	1995-09-30	VYDAJ	VYBER	15	30737	SLUZBY	\N	\N
1013172	3464	1995-10-31	VYDAJ	VYBER	15	27515	SLUZBY	\N	\N
1013173	3464	1995-11-30	VYDAJ	VYBER	15	25686	SLUZBY	\N	\N
1013174	3464	1995-12-31	VYDAJ	VYBER	15	29570	SLUZBY	\N	\N
1013175	3464	1996-01-31	VYDAJ	VYBER	15	24997	SLUZBY	\N	\N
1013176	3464	1996-02-29	VYDAJ	VYBER	15	22189	SLUZBY	\N	\N
1013177	3464	1996-03-31	VYDAJ	VYBER	15	26051	SLUZBY	\N	\N
1013178	3464	1996-04-30	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
1013179	3464	1996-05-31	VYDAJ	VYBER	15	25913	SLUZBY	\N	\N
1013180	3464	1996-06-30	VYDAJ	VYBER	15	26971	SLUZBY	\N	\N
1013181	3464	1996-07-31	VYDAJ	VYBER	15	27326	SLUZBY	\N	\N
1013182	3464	1996-08-31	VYDAJ	VYBER	15	24451	SLUZBY	\N	\N
1013183	3464	1996-09-30	VYDAJ	VYBER	15	24704	SLUZBY	\N	\N
1013184	3464	1996-10-31	VYDAJ	VYBER	15	21608	SLUZBY	\N	\N
1013185	3464	1996-11-30	VYDAJ	VYBER	15	24570	SLUZBY	\N	\N
1013186	3464	1996-12-31	VYDAJ	VYBER	15	25143	SLUZBY	\N	\N
1013187	3464	1997-01-31	VYDAJ	VYBER	15	16532	SLUZBY	\N	\N
1013188	3464	1997-02-28	VYDAJ	VYBER	15	21966	SLUZBY	\N	\N
1013189	3464	1997-03-31	VYDAJ	VYBER	15	23820	SLUZBY	\N	\N
1013190	3464	1997-04-30	VYDAJ	VYBER	15	26139	SLUZBY	\N	\N
1013191	3464	1997-05-31	VYDAJ	VYBER	15	31013	SLUZBY	\N	\N
1013192	3464	1997-06-30	VYDAJ	VYBER	15	34787	SLUZBY	\N	\N
1013193	3464	1997-07-31	VYDAJ	VYBER	15	31898	SLUZBY	\N	\N
1013194	3464	1997-08-31	VYDAJ	VYBER	15	26155	SLUZBY	\N	\N
1013195	3464	1997-09-30	VYDAJ	VYBER	15	27829	SLUZBY	\N	\N
1013196	3464	1997-10-31	VYDAJ	VYBER	15	32519	SLUZBY	\N	\N
1013197	3464	1997-11-30	VYDAJ	VYBER	15	34015	SLUZBY	\N	\N
1013198	3464	1997-12-31	VYDAJ	VYBER	15	30537	SLUZBY	\N	\N
1013199	3464	1998-01-31	VYDAJ	VYBER	15	31331	SLUZBY	\N	\N
1013200	3464	1998-02-28	VYDAJ	VYBER	15	38030	SLUZBY	\N	\N
1013201	3464	1998-03-31	VYDAJ	VYBER	15	42353	SLUZBY	\N	\N
1013202	3464	1998-04-30	VYDAJ	VYBER	15	46093	SLUZBY	\N	\N
1013203	3464	1998-05-31	VYDAJ	VYBER	15	45842	SLUZBY	\N	\N
1013204	3464	1998-06-30	VYDAJ	VYBER	15	47160	SLUZBY	\N	\N
1013205	3464	1998-07-31	VYDAJ	VYBER	15	48018	SLUZBY	\N	\N
1013206	3464	1998-08-31	VYDAJ	VYBER	15	42031	SLUZBY	\N	\N
1013207	3464	1998-09-30	VYDAJ	VYBER	15	46352	SLUZBY	\N	\N
1013208	3464	1998-10-31	VYDAJ	VYBER	15	52915	SLUZBY	\N	\N
1013209	3464	1998-11-30	VYDAJ	VYBER	15	57302	SLUZBY	\N	\N
1013210	3464	1995-06-04	PRIJEM	VKLAD	8400	16751	\N	\N	\N
1013211	3464	1995-07-04	VYDAJ	VYBER	4800	23337	\N	\N	\N
1013212	3464	1995-08-03	VYDAJ	VYBER	3000	27986	\N	\N	\N
1013213	3464	1995-09-02	VYDAJ	VYBER	7900	27753	\N	\N	\N
1013214	3464	1995-10-02	VYDAJ	VYBER	2000	28737	\N	\N	\N
1013215	3464	1995-11-01	VYDAJ	VYBER	4800	22715	\N	\N	\N
1013216	3464	1995-12-01	PRIJEM	VKLAD	1300	26986	\N	\N	\N
1013217	3464	1995-12-31	VYDAJ	VYBER	1000	28570	\N	\N	\N
1013218	3464	1996-01-30	PRIJEM	VKLAD	2700	24898	\N	\N	\N
1013219	3464	1996-02-29	VYDAJ	VYBER	1700	22203	\N	\N	\N
1013220	3464	1996-03-30	PRIJEM	VKLAD	900	25957	\N	\N	\N
1013221	3464	1996-04-29	VYDAJ	VYBER	1400	27519	\N	\N	\N
1013222	3464	1996-05-29	VYDAJ	VYBER	4700	25805	\N	\N	\N
1013223	3464	1996-06-28	VYDAJ	VYBER	5700	26842	\N	\N	\N
1013224	3464	1996-07-28	VYDAJ	VYBER	700	27219	\N	\N	\N
1013225	3464	1996-08-27	VYDAJ	VYBER	800	24354	\N	\N	\N
1013226	3464	1996-09-26	PRIJEM	VKLAD	900	24619	\N	\N	\N
1013227	3464	1996-10-26	PRIJEM	VKLAD	2700	21512	\N	\N	\N
1013228	3464	1996-12-25	VYDAJ	VYBER	5200	25039	\N	\N	\N
1013229	3464	1997-01-24	PRIJEM	VKLAD	800	19331	\N	\N	\N
1013230	3464	1997-02-23	PRIJEM	VKLAD	2500	21900	\N	\N	\N
1013231	3464	1997-03-25	VYDAJ	VYBER	1100	23734	\N	\N	\N
1013232	3464	1997-04-24	PRIJEM	VKLAD	2000	26048	\N	\N	\N
1013233	3464	1997-05-24	PRIJEM	VKLAD	1900	30907	\N	\N	\N
1013234	3464	1997-06-23	VYDAJ	VYBER	3000	34642	\N	\N	\N
1013235	3464	1997-07-23	VYDAJ	VYBER	5900	31755	\N	\N	\N
1013236	3464	1997-08-22	VYDAJ	VYBER	5000	26046	\N	\N	\N
1013237	3464	1997-09-21	VYDAJ	VYBER	1300	27723	\N	\N	\N
1013238	3464	1997-10-21	PRIJEM	VKLAD	1700	32397	\N	\N	\N
1013239	3464	1997-11-20	VYDAJ	VYBER	1500	33887	\N	\N	\N
1013240	3464	1997-12-20	VYDAJ	VYBER	1800	34404	\N	\N	\N
1013241	3464	1998-01-19	PRIJEM	VKLAD	6700	32665	\N	\N	\N
1013242	3464	1998-02-18	PRIJEM	VKLAD	3700	37899	\N	\N	\N
1013243	3464	1998-03-20	PRIJEM	VKLAD	1300	42198	\N	\N	\N
1013244	3464	1998-04-19	PRIJEM	VKLAD	700	45921	\N	\N	\N
1013245	3464	1998-05-19	VYDAJ	VYBER	3300	45661	\N	\N	\N
1013246	3464	1998-06-18	VYDAJ	VYBER	3700	48771	\N	\N	\N
1013247	3464	1998-07-18	VYDAJ	VYBER	2200	47828	\N	\N	\N
1013248	3464	1998-08-17	VYDAJ	VYBER	4000	45926	\N	\N	\N
1013249	3464	1998-09-16	PRIJEM	VKLAD	4400	46179	\N	\N	\N
1013250	3464	1998-10-16	PRIJEM	VKLAD	3500	52720	\N	\N	\N
1013251	3464	1998-11-15	PRIJEM	VKLAD	1300	57083	\N	\N	\N
1013252	3464	1998-12-15	VYDAJ	VYBER	1700	62231	\N	\N	\N
1013297	3465	1993-07-16	PRIJEM	VKLAD	400	400	\N	\N	\N
1013305	3465	1993-08-05	PRIJEM	VKLAD	10324	10724	\N	\N	\N
1013306	3465	1993-09-05	PRIJEM	VKLAD	10324	25984	\N	\N	\N
1013307	3465	1993-10-05	PRIJEM	VKLAD	10324	35395	\N	\N	\N
1013308	3465	1993-11-05	PRIJEM	VKLAD	10324	38029	\N	\N	\N
1013309	3465	1993-12-05	PRIJEM	VKLAD	15486	47641	\N	\N	\N
1013310	3465	1994-01-05	PRIJEM	VKLAD	10324	41455	\N	\N	\N
1013311	3465	1994-02-05	PRIJEM	VKLAD	10324	22833	\N	\N	\N
1013312	3465	1994-03-05	PRIJEM	VKLAD	10324	29573	\N	\N	\N
1013313	3465	1994-04-05	PRIJEM	VKLAD	10324	34037	\N	\N	\N
1013314	3465	1994-05-05	PRIJEM	VKLAD	10324	37513	\N	\N	\N
1013315	3465	1994-06-05	PRIJEM	VKLAD	15486	44865	\N	\N	\N
1013316	3465	1994-07-05	PRIJEM	VKLAD	10324	43472	\N	\N	\N
1013317	3465	1994-08-05	PRIJEM	VKLAD	10324	44984	\N	\N	\N
1013318	3465	1994-09-05	PRIJEM	VKLAD	10324	41591	\N	\N	\N
1013319	3465	1994-10-05	PRIJEM	VKLAD	10324	44098	\N	\N	\N
1013320	3465	1994-11-05	PRIJEM	VKLAD	10324	43505	\N	\N	\N
1013321	3465	1994-12-05	PRIJEM	VKLAD	15486	51080	\N	\N	\N
1013322	3465	1995-01-05	PRIJEM	VKLAD	10324	43803	\N	\N	\N
1013323	3465	1995-02-05	PRIJEM	VKLAD	10324	38302	\N	\N	\N
1013324	3465	1995-03-05	PRIJEM	VKLAD	10324	44807	\N	\N	\N
1013325	3465	1995-04-05	PRIJEM	VKLAD	10324	42516	\N	\N	\N
1013326	3465	1995-05-05	PRIJEM	VKLAD	10324	48136	\N	\N	\N
1013327	3465	1995-06-05	PRIJEM	VKLAD	15486	53221	\N	\N	\N
1013328	3465	1995-07-05	PRIJEM	VKLAD	10324	36425	\N	\N	\N
1013329	3465	1995-08-05	PRIJEM	VKLAD	10324	44729	\N	\N	\N
1013330	3465	1995-09-05	PRIJEM	VKLAD	10324	46243	\N	\N	\N
1013331	3465	1995-10-05	PRIJEM	VKLAD	10324	52180	\N	\N	\N
1013332	3465	1995-11-05	PRIJEM	VKLAD	10324	55739	\N	\N	\N
1013333	3465	1995-12-05	PRIJEM	VKLAD	15486	65078	\N	\N	\N
1013334	3465	1996-01-05	PRIJEM	VKLAD	10324	58472	\N	\N	\N
1013335	3465	1996-02-05	PRIJEM	VKLAD	10324	53029	\N	\N	\N
1013336	3465	1996-03-05	PRIJEM	VKLAD	10324	57296	\N	\N	\N
1013337	3465	1996-04-05	PRIJEM	VKLAD	10324	61070	\N	\N	\N
1013338	3465	1996-05-05	PRIJEM	VKLAD	10324	63867	\N	\N	\N
1013339	3465	1996-06-05	PRIJEM	VKLAD	15486	72238	\N	\N	\N
1013340	3465	1996-07-05	PRIJEM	VKLAD	10324	63030	\N	\N	\N
1013341	3465	1996-08-05	PRIJEM	VKLAD	10324	64330	\N	\N	\N
1013342	3465	1996-09-05	PRIJEM	VKLAD	10324	62828	\N	\N	\N
1013343	3465	1996-10-05	PRIJEM	VKLAD	10324	68332	\N	\N	\N
1013344	3465	1996-11-05	PRIJEM	VKLAD	10324	70556	\N	\N	\N
1013345	3465	1996-12-05	PRIJEM	VKLAD	15486	75751	\N	\N	\N
1013346	3465	1997-01-05	PRIJEM	VKLAD	10324	72899	\N	\N	\N
1013347	3465	1997-02-05	PRIJEM	VKLAD	10324	65219	\N	\N	\N
1013348	3465	1997-03-05	PRIJEM	VKLAD	10324	71632	\N	\N	\N
1013349	3465	1997-04-05	PRIJEM	VKLAD	10324	74670	\N	\N	\N
1013350	3465	1997-05-05	PRIJEM	VKLAD	10324	74518	\N	\N	\N
1013351	3465	1997-06-05	PRIJEM	VKLAD	15486	79427	\N	\N	\N
1013352	3465	1997-07-05	PRIJEM	VKLAD	10324	63229	\N	\N	\N
1013353	3465	1997-08-05	PRIJEM	VKLAD	10324	65229	\N	\N	\N
1013354	3465	1997-09-05	PRIJEM	VKLAD	10324	66241	\N	\N	\N
1013355	3465	1997-10-05	PRIJEM	VKLAD	10324	67053	\N	\N	\N
1013356	3465	1997-11-05	PRIJEM	VKLAD	10324	68064	\N	\N	\N
1013357	3465	1997-12-05	PRIJEM	VKLAD	15486	74649	\N	\N	\N
1013358	3465	1998-01-05	PRIJEM	VKLAD	10324	74192	\N	\N	\N
1013359	3465	1998-02-05	PRIJEM	VKLAD	10324	61322	\N	\N	\N
1013360	3465	1998-03-05	PRIJEM	VKLAD	10324	67117	\N	\N	\N
1013361	3465	1998-04-05	PRIJEM	VKLAD	10324	72736	\N	\N	\N
1013362	3465	1998-05-05	PRIJEM	VKLAD	10324	78075	\N	\N	\N
1013363	3465	1998-06-05	PRIJEM	VKLAD	15486	85896	\N	\N	\N
1013364	3465	1998-07-05	PRIJEM	VKLAD	10324	61847	\N	\N	\N
1013365	3465	1998-08-05	PRIJEM	VKLAD	10324	66639	\N	\N	\N
1013366	3465	1998-09-05	PRIJEM	VKLAD	10324	74559	\N	\N	\N
1013367	3465	1998-10-05	PRIJEM	VKLAD	10324	84015	\N	\N	\N
1013368	3465	1998-11-05	PRIJEM	VKLAD	10324	89202	\N	\N	\N
1013369	3465	1998-12-05	PRIJEM	VKLAD	15486	92256	\N	\N	\N
1013381	3465	1993-12-06	VYDAJ	PREVOD NA UCET	4543	43098	SIPO	EF	47699880
1013382	3465	1994-01-06	VYDAJ	PREVOD NA UCET	4543	35512	SIPO	EF	47699880
1013383	3465	1994-02-06	VYDAJ	PREVOD NA UCET	4543	18290	SIPO	EF	47699880
1013384	3465	1994-03-06	VYDAJ	PREVOD NA UCET	4543	25030	SIPO	EF	47699880
1013385	3465	1994-04-06	VYDAJ	PREVOD NA UCET	4543	26794	SIPO	EF	47699880
1013386	3465	1994-05-06	VYDAJ	PREVOD NA UCET	4543	32970	SIPO	EF	47699880
1013387	3465	1994-06-06	VYDAJ	PREVOD NA UCET	4543	40322	SIPO	EF	47699880
1013388	3465	1994-07-06	VYDAJ	PREVOD NA UCET	4543	38929	SIPO	EF	47699880
1013389	3465	1994-08-06	VYDAJ	PREVOD NA UCET	4543	40441	SIPO	EF	47699880
1013390	3465	1994-09-06	VYDAJ	PREVOD NA UCET	4543	37048	SIPO	EF	47699880
1013391	3465	1994-10-06	VYDAJ	PREVOD NA UCET	4543	39555	SIPO	EF	47699880
1013392	3465	1994-11-06	VYDAJ	PREVOD NA UCET	4543	38962	SIPO	EF	47699880
1013393	3465	1994-12-06	VYDAJ	PREVOD NA UCET	4543	46537	SIPO	EF	47699880
1013394	3465	1995-01-06	VYDAJ	PREVOD NA UCET	4543	39260	SIPO	EF	47699880
1013395	3465	1995-02-06	VYDAJ	PREVOD NA UCET	4543	34359	SIPO	EF	47699880
1013396	3465	1995-03-06	VYDAJ	PREVOD NA UCET	4543	40264	SIPO	EF	47699880
1013397	3465	1995-04-06	VYDAJ	PREVOD NA UCET	4543	37973	SIPO	EF	47699880
1013398	3465	1995-05-06	VYDAJ	PREVOD NA UCET	4543	43593	SIPO	EF	47699880
1013399	3465	1995-06-06	VYDAJ	PREVOD NA UCET	4543	48678	SIPO	EF	47699880
1013400	3465	1995-07-06	VYDAJ	PREVOD NA UCET	4543	35282	SIPO	EF	47699880
1013401	3465	1995-08-06	VYDAJ	PREVOD NA UCET	4543	35386	SIPO	EF	47699880
1013402	3465	1995-09-06	VYDAJ	PREVOD NA UCET	4543	41700	SIPO	EF	47699880
1013403	3465	1995-10-06	VYDAJ	PREVOD NA UCET	4543	47637	SIPO	EF	47699880
1013404	3465	1995-11-06	VYDAJ	PREVOD NA UCET	4543	51196	SIPO	EF	47699880
1013405	3465	1995-12-06	VYDAJ	PREVOD NA UCET	4543	60535	SIPO	EF	47699880
1013406	3465	1996-01-06	VYDAJ	PREVOD NA UCET	4543	53929	SIPO	EF	47699880
1013407	3465	1996-02-06	VYDAJ	PREVOD NA UCET	4543	48486	SIPO	EF	47699880
1013408	3465	1996-03-06	VYDAJ	PREVOD NA UCET	4543	52753	SIPO	EF	47699880
1013409	3465	1996-04-06	VYDAJ	PREVOD NA UCET	4543	56527	SIPO	EF	47699880
1013410	3465	1996-05-06	VYDAJ	PREVOD NA UCET	4543	59324	SIPO	EF	47699880
1013411	3465	1996-06-06	VYDAJ	PREVOD NA UCET	4543	67695	SIPO	EF	47699880
1013412	3465	1996-07-06	VYDAJ	PREVOD NA UCET	4543	58487	SIPO	EF	47699880
1013413	3465	1996-08-06	VYDAJ	PREVOD NA UCET	4543	56387	SIPO	EF	47699880
1013414	3465	1996-09-06	VYDAJ	PREVOD NA UCET	4543	58285	SIPO	EF	47699880
1013415	3465	1996-10-06	VYDAJ	PREVOD NA UCET	4543	63789	SIPO	EF	47699880
1013416	3465	1996-11-06	VYDAJ	PREVOD NA UCET	4543	66013	SIPO	EF	47699880
1013417	3465	1996-12-06	VYDAJ	PREVOD NA UCET	4543	71208	SIPO	EF	47699880
1013418	3465	1997-01-06	VYDAJ	PREVOD NA UCET	4543	68356	SIPO	EF	47699880
1013419	3465	1997-02-06	VYDAJ	PREVOD NA UCET	4543	60676	SIPO	EF	47699880
1013420	3465	1997-03-06	VYDAJ	PREVOD NA UCET	4543	67089	SIPO	EF	47699880
1013421	3465	1997-04-06	VYDAJ	PREVOD NA UCET	4543	70127	SIPO	EF	47699880
1013422	3465	1997-05-06	VYDAJ	PREVOD NA UCET	4543	69975	SIPO	EF	47699880
1013423	3465	1997-06-06	VYDAJ	PREVOD NA UCET	4543	74884	SIPO	EF	47699880
1013424	3465	1997-07-06	VYDAJ	PREVOD NA UCET	4543	58686	SIPO	EF	47699880
1013425	3465	1997-08-06	VYDAJ	PREVOD NA UCET	4543	60686	SIPO	EF	47699880
1013426	3465	1997-09-06	VYDAJ	PREVOD NA UCET	4543	61698	SIPO	EF	47699880
1013427	3465	1997-10-06	VYDAJ	PREVOD NA UCET	4543	62510	SIPO	EF	47699880
1013428	3465	1997-11-06	VYDAJ	PREVOD NA UCET	4543	63521	SIPO	EF	47699880
1013429	3465	1997-12-06	VYDAJ	PREVOD NA UCET	4543	70106	SIPO	EF	47699880
1013430	3465	1998-01-06	VYDAJ	PREVOD NA UCET	4543	69649	SIPO	EF	47699880
1013431	3465	1998-02-06	VYDAJ	PREVOD NA UCET	4543	56779	SIPO	EF	47699880
1013432	3465	1998-03-06	VYDAJ	PREVOD NA UCET	4543	62574	SIPO	EF	47699880
1013433	3465	1998-04-06	VYDAJ	PREVOD NA UCET	4543	68193	SIPO	EF	47699880
1013434	3465	1998-05-06	VYDAJ	PREVOD NA UCET	4543	73532	SIPO	EF	47699880
1013435	3465	1998-06-06	VYDAJ	PREVOD NA UCET	4543	81353	SIPO	EF	47699880
1013436	3465	1998-07-06	VYDAJ	PREVOD NA UCET	4543	57304	SIPO	EF	47699880
1013437	3465	1998-08-06	VYDAJ	PREVOD NA UCET	4543	62096	SIPO	EF	47699880
1013438	3465	1998-09-06	VYDAJ	PREVOD NA UCET	4543	70016	SIPO	EF	47699880
1013439	3465	1998-10-06	VYDAJ	PREVOD NA UCET	4543	79472	SIPO	EF	47699880
1013440	3465	1998-11-06	VYDAJ	PREVOD NA UCET	4543	84659	SIPO	EF	47699880
1013441	3465	1998-12-06	VYDAJ	PREVOD NA UCET	4543	85213	SIPO	EF	47699880
1013444	3465	1995-06-15	VYDAJ	VYBER	10800	29478	\N	\N	\N
1013445	3465	1996-06-08	VYDAJ	VYBER	15100	52595	\N	\N	\N
1013446	3465	1997-06-07	VYDAJ	VYBER	19000	55884	\N	\N	\N
1013447	3465	1998-06-21	VYDAJ	VYBER	21300	51253	\N	\N	\N
1013449	3465	1994-01-28	VYDAJ	VYBER	8200	12412	\N	\N	\N
1013450	3465	1995-01-12	VYDAJ	VYBER	1000	33060	\N	\N	\N
1013451	3465	1996-01-17	VYDAJ	VYBER	5900	42729	\N	\N	\N
1013452	3465	1997-01-21	VYDAJ	VYBER	7300	56456	\N	\N	\N
1013453	3465	1998-01-27	VYDAJ	VYBER	7800	54249	\N	\N	\N
1013454	3465	1993-12-16	VYDAJ	VYBER	2700	32898	\N	\N	\N
1013455	3465	1994-12-20	VYDAJ	VYBER	1800	36437	\N	\N	\N
1013456	3465	1995-12-11	VYDAJ	VYBER	1900	58635	\N	\N	\N
1013457	3465	1996-12-27	VYDAJ	VYBER	2000	62308	\N	\N	\N
1013458	3465	1997-12-01	VYDAJ	VYBER KARTOU	2500	59163	\N	\N	0
1013459	3465	1998-12-05	VYDAJ	VYBER KARTOU	2500	89756	\N	\N	0
1013466	3465	1994-01-15	VYDAJ	VYBER	2500	26812	\N	\N	\N
1013467	3465	1994-01-01	VYDAJ	VYBER	1900	31131	\N	\N	\N
1013468	3465	1994-01-20	VYDAJ	VYBER	2400	24412	\N	\N	\N
1013469	3465	1994-01-06	VYDAJ	VYBER	1400	40055	\N	\N	\N
1013470	3465	1994-01-21	VYDAJ	VYBER	2700	21712	\N	\N	\N
1013471	3465	1994-01-22	VYDAJ	VYBER	1100	20612	\N	\N	\N
1013472	3465	1995-01-14	VYDAJ	VYBER	2600	30460	\N	\N	\N
1013473	3465	1995-01-25	VYDAJ	VYBER	1200	28660	\N	\N	\N
1013474	3465	1995-01-18	VYDAJ	VYBER	600	29860	\N	\N	\N
1013475	3465	1995-01-28	VYDAJ	VYBER	800	27860	\N	\N	\N
1013476	3465	1995-01-01	VYDAJ	VYBER	1500	35079	\N	\N	\N
1013477	3465	1995-01-03	VYDAJ	VYBER	1600	33479	\N	\N	\N
1013478	3465	1996-01-25	VYDAJ	VYBER	1800	40929	\N	\N	\N
1013479	3465	1996-01-07	VYDAJ	VYBER	2500	51429	\N	\N	\N
1013480	3465	1996-01-02	VYDAJ	VYBER	500	49348	\N	\N	\N
1013481	3465	1996-01-29	VYDAJ	VYBER	1400	39529	\N	\N	\N
1013482	3465	1996-01-08	VYDAJ	VYBER	2800	48629	\N	\N	\N
1013483	3465	1996-01-04	VYDAJ	VYBER	1200	48148	\N	\N	\N
1013484	3465	1997-01-21	VYDAJ	VYBER	2400	54056	\N	\N	\N
1013485	3465	1997-01-14	VYDAJ	VYBER	700	63756	\N	\N	\N
1013486	3465	1997-01-11	VYDAJ	VYBER	1800	66056	\N	\N	\N
1013487	3465	1997-01-13	VYDAJ	VYBER	1600	64456	\N	\N	\N
1013488	3465	1997-01-28	VYDAJ	VYBER	2700	54656	\N	\N	\N
1013489	3465	1997-01-09	VYDAJ	VYBER	500	67856	\N	\N	\N
1013490	3465	1998-01-28	VYDAJ	VYBER KARTOU	2900	50749	\N	\N	0
1013491	3465	1998-01-21	VYDAJ	VYBER KARTOU	2100	62049	\N	\N	0
1013492	3465	1998-01-10	VYDAJ	VYBER KARTOU	500	69149	\N	\N	0
1013493	3465	1998-01-04	VYDAJ	VYBER KARTOU	500	63868	\N	\N	0
1013494	3465	1998-01-11	VYDAJ	VYBER KARTOU	1900	67249	\N	\N	0
1013495	3465	1998-01-27	VYDAJ	VYBER KARTOU	600	53649	\N	\N	0
1013502	3465	1994-08-17	VYDAJ	VYBER	4400	31141	\N	\N	\N
1013503	3465	1994-04-06	VYDAJ	VYBER	2700	31337	\N	\N	\N
1013504	3465	1995-10-28	VYDAJ	VYBER	1600	46037	\N	\N	\N
1013505	3465	1995-06-21	VYDAJ	VYBER	3500	25978	\N	\N	\N
1013506	3465	1995-07-12	VYDAJ	VYBER	1000	34282	\N	\N	\N
1013507	3465	1995-03-22	VYDAJ	VYBER	3300	32064	\N	\N	\N
1013508	3465	1995-12-16	VYDAJ	VYBER	2400	51935	\N	\N	\N
1013509	3465	1995-12-11	VYDAJ	VYBER	4300	54335	\N	\N	\N
1013510	3465	1996-03-07	VYDAJ	VYBER	2700	50053	\N	\N	\N
1013511	3465	1996-07-23	VYDAJ	VYBER	3500	54987	\N	\N	\N
1013512	3465	1996-08-05	VYDAJ	VYBER	3400	60930	\N	\N	\N
1013513	3465	1996-04-28	VYDAJ	VYBER	3900	52627	\N	\N	\N
1013514	3465	1996-02-01	VYDAJ	VYBER	2200	42705	\N	\N	\N
1013515	3465	1997-10-17	VYDAJ	VYBER	3800	58710	\N	\N	\N
1013516	3465	1997-09-04	VYDAJ	VYBER	3700	55917	\N	\N	\N
1013517	3465	1997-11-28	VYDAJ	VYBER KARTOU	1900	61421	\N	\N	0
1013518	3465	1997-06-20	VYDAJ	VYBER	1600	54284	\N	\N	\N
1013519	3465	1997-09-20	VYDAJ	VYBER	4700	56998	\N	\N	\N
1013520	3465	1998-11-13	VYDAJ	VYBER KARTOU	3100	81559	\N	\N	0
1013521	3465	1998-04-10	VYDAJ	VYBER KARTOU	2100	66093	\N	\N	0
1013522	3465	1998-07-16	VYDAJ	VYBER	4900	52404	\N	\N	\N
1013523	3465	1998-03-23	VYDAJ	VYBER KARTOU	3300	62174	\N	\N	0
1013536	3465	1993-12-31	VYDAJ	VYBER	15	33031	SLUZBY	\N	\N
1013537	3465	1994-01-31	VYDAJ	VYBER	15	12509	SLUZBY	\N	\N
1013538	3465	1994-02-28	VYDAJ	VYBER	15	19249	SLUZBY	\N	\N
1013539	3465	1994-03-31	VYDAJ	VYBER	15	23713	SLUZBY	\N	\N
1013540	3465	1994-04-30	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
1013541	3465	1994-05-31	VYDAJ	VYBER	15	29379	SLUZBY	\N	\N
1013542	3465	1994-06-30	VYDAJ	VYBER	15	33148	SLUZBY	\N	\N
1013543	3465	1994-07-31	VYDAJ	VYBER	15	34660	SLUZBY	\N	\N
1013544	3465	1994-08-31	VYDAJ	VYBER	15	31267	SLUZBY	\N	\N
1013545	3465	1994-09-30	VYDAJ	VYBER	15	33774	SLUZBY	\N	\N
1013546	3465	1994-10-31	VYDAJ	VYBER	15	33181	SLUZBY	\N	\N
1013547	3465	1994-11-30	VYDAJ	VYBER	15	35594	SLUZBY	\N	\N
1013548	3465	1994-12-31	VYDAJ	VYBER	15	36579	SLUZBY	\N	\N
1013549	3465	1995-01-31	VYDAJ	VYBER	15	27978	SLUZBY	\N	\N
1013550	3465	1995-02-28	VYDAJ	VYBER	15	34483	SLUZBY	\N	\N
1013551	3465	1995-03-31	VYDAJ	VYBER	15	32192	SLUZBY	\N	\N
1013552	3465	1995-04-30	VYDAJ	VYBER	15	37812	SLUZBY	\N	\N
1013553	3465	1995-05-31	VYDAJ	VYBER	15	37735	SLUZBY	\N	\N
1013554	3465	1995-06-30	VYDAJ	VYBER	15	26101	SLUZBY	\N	\N
1013555	3465	1995-07-31	VYDAJ	VYBER	15	34405	SLUZBY	\N	\N
1013556	3465	1995-08-31	VYDAJ	VYBER	15	35519	SLUZBY	\N	\N
1013557	3465	1995-09-30	VYDAJ	VYBER	15	41856	SLUZBY	\N	\N
1013558	3465	1995-10-31	VYDAJ	VYBER	15	46215	SLUZBY	\N	\N
1013559	3465	1995-11-30	VYDAJ	VYBER	15	51392	SLUZBY	\N	\N
1013560	3465	1995-12-31	VYDAJ	VYBER	15	52148	SLUZBY	\N	\N
1013561	3465	1996-01-31	VYDAJ	VYBER	15	39705	SLUZBY	\N	\N
1013562	3465	1996-02-29	VYDAJ	VYBER	15	48672	SLUZBY	\N	\N
1013563	3465	1996-03-31	VYDAJ	VYBER	15	50246	SLUZBY	\N	\N
1013564	3465	1996-04-30	VYDAJ	VYBER	15	52843	SLUZBY	\N	\N
1013565	3465	1996-05-31	VYDAJ	VYBER	15	56752	SLUZBY	\N	\N
1013566	3465	1996-06-30	VYDAJ	VYBER	15	52806	SLUZBY	\N	\N
1013567	3465	1996-07-31	VYDAJ	VYBER	15	54006	SLUZBY	\N	\N
1013568	3465	1996-08-31	VYDAJ	VYBER	15	52504	SLUZBY	\N	\N
1013569	3465	1996-09-30	VYDAJ	VYBER	15	58008	SLUZBY	\N	\N
1013570	3465	1996-10-31	VYDAJ	VYBER	15	60232	SLUZBY	\N	\N
1013571	3465	1996-11-30	VYDAJ	VYBER	15	60265	SLUZBY	\N	\N
1013572	3465	1996-12-31	VYDAJ	VYBER	15	62575	SLUZBY	\N	\N
1013573	3465	1997-01-31	VYDAJ	VYBER	15	54895	SLUZBY	\N	\N
1013574	3465	1997-02-28	VYDAJ	VYBER	15	61308	SLUZBY	\N	\N
1013575	3465	1997-03-31	VYDAJ	VYBER	15	64346	SLUZBY	\N	\N
1013576	3465	1997-04-30	VYDAJ	VYBER	15	64194	SLUZBY	\N	\N
1013577	3465	1997-05-31	VYDAJ	VYBER	15	63941	SLUZBY	\N	\N
1013578	3465	1997-06-30	VYDAJ	VYBER	15	52905	SLUZBY	\N	\N
1013579	3465	1997-07-31	VYDAJ	VYBER	15	54905	SLUZBY	\N	\N
1013580	3465	1997-08-31	VYDAJ	VYBER	15	59617	SLUZBY	\N	\N
1013581	3465	1997-09-30	VYDAJ	VYBER	15	56729	SLUZBY	\N	\N
1013582	3465	1997-10-31	VYDAJ	VYBER	15	57740	SLUZBY	\N	\N
1013583	3465	1997-11-30	VYDAJ	VYBER	15	61663	SLUZBY	\N	\N
1013584	3465	1997-12-31	VYDAJ	VYBER	15	64368	SLUZBY	\N	\N
1013585	3465	1998-01-31	VYDAJ	VYBER	15	50998	SLUZBY	\N	\N
1013586	3465	1998-02-28	VYDAJ	VYBER	15	56793	SLUZBY	\N	\N
1013587	3465	1998-03-31	VYDAJ	VYBER	15	62412	SLUZBY	\N	\N
1013588	3465	1998-04-30	VYDAJ	VYBER	15	67751	SLUZBY	\N	\N
1013589	3465	1998-05-31	VYDAJ	VYBER	15	70410	SLUZBY	\N	\N
1013590	3465	1998-06-30	VYDAJ	VYBER	15	51523	SLUZBY	\N	\N
1013591	3465	1998-07-31	VYDAJ	VYBER	15	56315	SLUZBY	\N	\N
1013592	3465	1998-08-31	VYDAJ	VYBER	15	64235	SLUZBY	\N	\N
1013593	3465	1998-09-30	VYDAJ	VYBER	15	73691	SLUZBY	\N	\N
1013594	3465	1998-10-31	VYDAJ	VYBER	15	78878	SLUZBY	\N	\N
1013595	3465	1998-11-30	VYDAJ	VYBER	15	76770	SLUZBY	\N	\N
1013596	3465	1993-08-15	PRIJEM	VKLAD	4900	15624	\N	\N	\N
1013597	3465	1993-09-14	VYDAJ	VYBER	1000	24984	\N	\N	\N
1013598	3465	1993-10-14	VYDAJ	VYBER	7800	27595	\N	\N	\N
1013599	3465	1993-11-13	VYDAJ	VYBER	6000	32029	\N	\N	\N
1013600	3465	1993-12-13	VYDAJ	VYBER	7500	35598	\N	\N	\N
1013601	3465	1994-01-12	VYDAJ	VYBER	6200	29312	\N	\N	\N
1013602	3465	1994-02-11	PRIJEM	VKLAD	900	19190	\N	\N	\N
1013603	3465	1994-03-13	VYDAJ	VYBER	1400	23630	\N	\N	\N
1013604	3465	1994-04-12	PRIJEM	VKLAD	300	27094	\N	\N	\N
1013605	3465	1994-05-12	VYDAJ	VYBER	3700	29270	\N	\N	\N
1013606	3465	1994-06-11	VYDAJ	VYBER	7300	33022	\N	\N	\N
1013607	3465	1994-07-11	VYDAJ	VYBER	4400	34529	\N	\N	\N
1013608	3465	1994-08-10	VYDAJ	VYBER	4900	35541	\N	\N	\N
1013609	3465	1994-09-09	VYDAJ	VYBER	3400	33648	\N	\N	\N
1013610	3465	1994-10-09	VYDAJ	VYBER	6500	33055	\N	\N	\N
1013611	3465	1994-11-08	VYDAJ	VYBER	3500	35462	\N	\N	\N
1013612	3465	1994-12-08	VYDAJ	VYBER	8300	38237	\N	\N	\N
1013613	3465	1995-01-07	VYDAJ	VYBER	5200	34060	\N	\N	\N
1013614	3465	1995-02-06	PRIJEM	VKLAD	600	38902	\N	\N	\N
1013615	3465	1995-03-08	VYDAJ	VYBER	4900	35364	\N	\N	\N
1013616	3465	1995-04-07	VYDAJ	VYBER	300	37673	\N	\N	\N
1013617	3465	1995-05-07	VYDAJ	VYBER	6000	37593	\N	\N	\N
1013618	3465	1995-06-06	VYDAJ	VYBER	8400	40278	\N	\N	\N
1013619	3465	1995-07-06	PRIJEM	VKLAD	3400	39825	\N	\N	\N
1013620	3465	1995-08-05	VYDAJ	VYBER	4800	39929	\N	\N	\N
1013621	3465	1995-09-04	PRIJEM	VKLAD	400	35919	\N	\N	\N
1013622	3465	1995-11-03	VYDAJ	VYBER	800	45415	\N	\N	\N
1013623	3465	1995-12-03	VYDAJ	VYBER	1800	49592	\N	\N	\N
1013624	3465	1996-01-02	VYDAJ	VYBER	2300	49848	\N	\N	\N
1013625	3465	1996-02-01	PRIJEM	VKLAD	5200	44905	\N	\N	\N
1013626	3465	1996-03-02	VYDAJ	VYBER	1700	46972	\N	\N	\N
1013627	3465	1996-04-01	PRIJEM	VKLAD	500	50746	\N	\N	\N
1013628	3465	1996-05-01	PRIJEM	VKLAD	700	53543	\N	\N	\N
1013629	3465	1996-05-31	VYDAJ	VYBER	2800	56767	\N	\N	\N
1013630	3465	1996-06-30	VYDAJ	VYBER	100	52706	\N	\N	\N
1013631	3465	1996-07-30	VYDAJ	VYBER	1200	53787	\N	\N	\N
1013632	3465	1996-08-29	VYDAJ	VYBER	4100	52287	\N	\N	\N
1013633	3465	1996-09-28	VYDAJ	VYBER	500	57785	\N	\N	\N
1013634	3465	1996-10-28	VYDAJ	VYBER	3800	59989	\N	\N	\N
1013635	3465	1996-11-27	VYDAJ	VYBER	6000	60013	\N	\N	\N
1013636	3465	1996-12-27	VYDAJ	VYBER	6900	64308	\N	\N	\N
1013637	3465	1997-01-26	PRIJEM	VKLAD	3300	57356	\N	\N	\N
1013638	3465	1997-02-25	PRIJEM	VKLAD	400	61076	\N	\N	\N
1013639	3465	1997-03-27	VYDAJ	VYBER	3000	64089	\N	\N	\N
1013640	3465	1997-04-26	VYDAJ	VYBER	6200	63927	\N	\N	\N
1013641	3465	1997-05-26	VYDAJ	VYBER	6300	63675	\N	\N	\N
1013642	3465	1997-06-25	VYDAJ	VYBER	1600	52684	\N	\N	\N
1013643	3465	1997-07-25	VYDAJ	VYBER	4000	54686	\N	\N	\N
1013644	3465	1997-08-24	VYDAJ	VYBER	1300	59386	\N	\N	\N
1013645	3465	1997-09-23	VYDAJ	VYBER	500	56498	\N	\N	\N
1013646	3465	1997-10-23	VYDAJ	VYBER	1200	57510	\N	\N	\N
1013647	3465	1997-11-22	VYDAJ	VYBER KARTOU	200	63321	\N	\N	0
1013648	3465	1997-12-22	VYDAJ	VYBER	6000	64106	\N	\N	\N
1013649	3465	1998-01-21	VYDAJ	VYBER KARTOU	3100	64149	\N	\N	0
1013650	3465	1998-02-20	VYDAJ	VYBER KARTOU	200	56579	\N	\N	0
1013651	3465	1998-03-22	PRIJEM	VKLAD	2900	65474	\N	\N	\N
1013652	3465	1998-04-21	PRIJEM	VKLAD	1400	67493	\N	\N	\N
1013653	3465	1998-05-21	VYDAJ	VYBER KARTOU	3400	70132	\N	\N	0
1013654	3465	1998-06-20	VYDAJ	VYBER	8800	72553	\N	\N	\N
1013655	3465	1998-07-20	PRIJEM	VKLAD	3700	56104	\N	\N	\N
1013656	3465	1998-08-19	PRIJEM	VKLAD	1900	63996	\N	\N	\N
1013657	3465	1998-09-18	PRIJEM	VKLAD	3400	73416	\N	\N	\N
1013658	3465	1998-10-18	VYDAJ	VYBER KARTOU	900	78572	\N	\N	0
1013659	3465	1998-11-17	VYDAJ	VYBER	5100	76459	\N	\N	\N
1013725	3466	1995-02-16	PRIJEM	VKLAD	600	600	\N	\N	\N
1013728	3466	1995-03-08	PRIJEM	VKLAD	24051	24651	\N	\N	\N
1013729	3466	1995-04-08	PRIJEM	VKLAD	24051	49951	\N	\N	\N
1013730	3466	1995-05-08	PRIJEM	VKLAD	24051	60430	\N	\N	\N
1013731	3466	1995-06-08	PRIJEM	VKLAD	36076	76966	\N	\N	\N
1013732	3466	1995-07-08	PRIJEM	VKLAD	24051	74506	\N	\N	\N
1013733	3466	1995-08-08	PRIJEM	VKLAD	24051	66114	\N	\N	\N
1013734	3466	1995-09-08	PRIJEM	VKLAD	24051	66312	\N	\N	\N
1013735	3466	1995-10-08	PRIJEM	VKLAD	24051	63007	\N	\N	\N
1013736	3466	1995-11-08	PRIJEM	VKLAD	24051	62989	\N	\N	\N
1013737	3466	1995-12-08	PRIJEM	VKLAD	36076	74592	\N	\N	\N
1013738	3466	1996-01-08	PRIJEM	VKLAD	24051	63184	\N	\N	\N
1013739	3466	1996-02-08	PRIJEM	VKLAD	24051	41741	\N	\N	\N
1013740	3466	1996-03-08	PRIJEM	VKLAD	24051	50952	\N	\N	\N
1013741	3466	1996-04-08	PRIJEM	VKLAD	24051	58097	\N	\N	\N
1013742	3466	1996-05-08	PRIJEM	VKLAD	24051	60356	\N	\N	\N
1013743	3466	1996-06-08	PRIJEM	VKLAD	36076	50960	\N	\N	\N
1013744	3466	1996-07-08	PRIJEM	VKLAD	24051	61320	\N	\N	\N
1013745	3466	1996-08-08	PRIJEM	VKLAD	24051	66699	\N	\N	\N
1013746	3466	1996-09-08	PRIJEM	VKLAD	24051	65980	\N	\N	\N
1013747	3466	1996-10-08	PRIJEM	VKLAD	24051	63961	\N	\N	\N
1013748	3466	1996-11-08	PRIJEM	VKLAD	24051	64441	\N	\N	\N
1013749	3466	1996-12-08	PRIJEM	VKLAD	36076	82605	\N	\N	\N
1013750	3466	1997-01-08	PRIJEM	VKLAD	24051	75618	\N	\N	\N
1013751	3466	1997-02-08	PRIJEM	VKLAD	24051	73508	\N	\N	\N
1013752	3466	1997-03-08	PRIJEM	VKLAD	24051	72993	\N	\N	\N
1013753	3466	1997-04-08	PRIJEM	VKLAD	24051	73184	\N	\N	\N
1013754	3466	1997-05-08	PRIJEM	VKLAD	24051	75971	\N	\N	\N
1013755	3466	1997-06-08	PRIJEM	VKLAD	36076	61690	\N	\N	\N
1013756	3466	1997-07-08	PRIJEM	VKLAD	24051	72333	\N	\N	\N
1013757	3466	1997-08-08	PRIJEM	VKLAD	24051	78910	\N	\N	\N
1013758	3466	1997-09-08	PRIJEM	VKLAD	24051	82017	\N	\N	\N
1013759	3466	1997-10-08	PRIJEM	VKLAD	24051	80333	\N	\N	\N
1013760	3466	1997-11-08	PRIJEM	VKLAD	24051	74840	\N	\N	\N
1013761	3466	1997-12-08	PRIJEM	VKLAD	36076	87758	\N	\N	\N
1013762	3466	1998-01-08	PRIJEM	VKLAD	24051	80591	\N	\N	\N
1013763	3466	1998-02-08	PRIJEM	VKLAD	24051	76874	\N	\N	\N
1013764	3466	1998-03-08	PRIJEM	VKLAD	24051	87161	\N	\N	\N
1013765	3466	1998-04-08	PRIJEM	VKLAD	24051	91299	\N	\N	\N
1013766	3466	1998-05-08	PRIJEM	VKLAD	24051	89955	\N	\N	\N
1013767	3466	1998-06-08	PRIJEM	VKLAD	36076	81330	\N	\N	\N
1013768	3466	1998-07-08	PRIJEM	VKLAD	24051	80135	\N	\N	\N
1013769	3466	1998-08-08	PRIJEM	VKLAD	24051	82631	\N	\N	\N
1013770	3466	1998-09-08	PRIJEM	VKLAD	24051	78530	\N	\N	\N
1013771	3466	1998-10-08	PRIJEM	VKLAD	24051	82816	\N	\N	\N
1013772	3466	1998-11-08	PRIJEM	VKLAD	24051	91022	\N	\N	\N
1013773	3466	1998-12-08	PRIJEM	VKLAD	36076	107482	\N	\N	\N
1013781	3466	1995-08-06	VYDAJ	PREVOD NA UCET	2499	42063	SIPO	KL	45041459
1013782	3466	1995-09-06	VYDAJ	PREVOD NA UCET	2499	42261	SIPO	KL	45041459
1013783	3466	1995-10-06	VYDAJ	PREVOD NA UCET	2499	39698	SIPO	KL	45041459
1013784	3466	1995-11-06	VYDAJ	PREVOD NA UCET	2499	39680	SIPO	KL	45041459
1013785	3466	1995-12-06	VYDAJ	PREVOD NA UCET	2499	38516	SIPO	KL	45041459
1013786	3466	1996-01-06	VYDAJ	PREVOD NA UCET	2499	39875	SIPO	KL	45041459
1013787	3466	1996-02-06	VYDAJ	PREVOD NA UCET	2499	18932	SIPO	KL	45041459
1013788	3466	1996-03-06	VYDAJ	PREVOD NA UCET	2499	27643	SIPO	KL	45041459
1013789	3466	1996-04-06	VYDAJ	PREVOD NA UCET	2499	34788	SIPO	KL	45041459
1013790	3466	1996-05-06	VYDAJ	PREVOD NA UCET	2499	37047	SIPO	KL	45041459
1013791	3466	1996-06-06	VYDAJ	PREVOD NA UCET	2499	37284	SIPO	KL	45041459
1013792	3466	1996-07-06	VYDAJ	PREVOD NA UCET	2499	38011	SIPO	KL	45041459
1013793	3466	1996-08-06	VYDAJ	PREVOD NA UCET	2499	42648	SIPO	KL	45041459
1013794	3466	1996-09-06	VYDAJ	PREVOD NA UCET	2499	41929	SIPO	KL	45041459
1013795	3466	1996-10-06	VYDAJ	PREVOD NA UCET	2499	40652	SIPO	KL	45041459
1013796	3466	1996-11-06	VYDAJ	PREVOD NA UCET	2499	43490	SIPO	KL	45041459
1013797	3466	1996-12-06	VYDAJ	PREVOD NA UCET	2499	59929	SIPO	KL	45041459
1013798	3466	1997-01-06	VYDAJ	PREVOD NA UCET	2499	70667	SIPO	KL	45041459
1013799	3466	1997-02-06	VYDAJ	PREVOD NA UCET	2499	49457	SIPO	KL	45041459
1013800	3466	1997-03-06	VYDAJ	PREVOD NA UCET	2499	70442	SIPO	KL	45041459
1013801	3466	1997-04-06	VYDAJ	PREVOD NA UCET	2499	49133	SIPO	KL	45041459
1013802	3466	1997-05-06	VYDAJ	PREVOD NA UCET	2499	70862	SIPO	KL	45041459
1013803	3466	1997-06-06	VYDAJ	PREVOD NA UCET	2499	26356	SIPO	KL	45041459
1013804	3466	1997-07-06	VYDAJ	PREVOD NA UCET	2499	49024	SIPO	KL	45041459
1013805	3466	1997-08-06	VYDAJ	PREVOD NA UCET	2499	54859	SIPO	KL	45041459
1013806	3466	1997-09-06	VYDAJ	PREVOD NA UCET	2499	57966	SIPO	KL	45041459
1013807	3466	1997-10-06	VYDAJ	PREVOD NA UCET	2499	57024	SIPO	KL	45041459
1013808	3466	1997-11-06	VYDAJ	PREVOD NA UCET	2499	51531	SIPO	KL	45041459
1013809	3466	1997-12-06	VYDAJ	PREVOD NA UCET	2499	52424	SIPO	KL	45041459
1013810	3466	1998-01-06	VYDAJ	PREVOD NA UCET	2499	56540	SIPO	KL	45041459
1013811	3466	1998-02-06	VYDAJ	PREVOD NA UCET	2499	54365	SIPO	KL	45041459
1013812	3466	1998-03-06	VYDAJ	PREVOD NA UCET	2499	63110	SIPO	KL	45041459
1013813	3466	1998-04-06	VYDAJ	PREVOD NA UCET	2499	67248	SIPO	KL	45041459
1013814	3466	1998-05-06	VYDAJ	PREVOD NA UCET	2499	65904	SIPO	KL	45041459
1013815	3466	1998-06-06	VYDAJ	PREVOD NA UCET	2499	45254	SIPO	KL	45041459
1013816	3466	1998-07-06	VYDAJ	PREVOD NA UCET	2499	56826	SIPO	KL	45041459
1013817	3466	1998-08-06	VYDAJ	PREVOD NA UCET	2499	58580	SIPO	KL	45041459
1013818	3466	1998-09-06	VYDAJ	PREVOD NA UCET	2499	54479	SIPO	KL	45041459
1013819	3466	1998-10-06	VYDAJ	PREVOD NA UCET	2499	58765	SIPO	KL	45041459
1013820	3466	1998-11-06	VYDAJ	PREVOD NA UCET	2499	67713	SIPO	KL	45041459
1013821	3466	1998-12-06	VYDAJ	PREVOD NA UCET	2499	72148	SIPO	KL	45041459
1013828	3466	1995-07-11	VYDAJ	PREVOD NA UCET	105	74401	 	MN	77973669
1013829	3466	1995-08-11	VYDAJ	PREVOD NA UCET	105	66009	 	MN	77973669
1013830	3466	1995-09-11	VYDAJ	PREVOD NA UCET	105	66207	 	MN	77973669
1013831	3466	1995-10-11	VYDAJ	PREVOD NA UCET	105	62902	 	MN	77973669
1013832	3466	1995-11-11	VYDAJ	PREVOD NA UCET	105	62884	 	MN	77973669
1013833	3466	1995-12-11	VYDAJ	PREVOD NA UCET	105	74487	 	MN	77973669
1013834	3466	1996-01-11	VYDAJ	PREVOD NA UCET	105	63079	 	MN	77973669
1013835	3466	1996-02-11	VYDAJ	PREVOD NA UCET	105	41636	 	MN	77973669
1013836	3466	1996-03-11	VYDAJ	PREVOD NA UCET	105	50847	 	MN	77973669
1013837	3466	1996-04-11	VYDAJ	PREVOD NA UCET	105	39392	 	MN	77973669
1013838	3466	1996-05-11	VYDAJ	PREVOD NA UCET	105	45251	 	MN	77973669
1013839	3466	1996-06-11	VYDAJ	PREVOD NA UCET	105	40355	 	MN	77973669
1013840	3466	1996-07-11	VYDAJ	PREVOD NA UCET	105	45715	 	MN	77973669
1013841	3466	1996-08-11	VYDAJ	PREVOD NA UCET	105	44994	 	MN	77973669
1013842	3466	1996-09-11	VYDAJ	PREVOD NA UCET	105	44275	 	MN	77973669
1013843	3466	1996-10-11	VYDAJ	PREVOD NA UCET	105	46556	 	MN	77973669
1013844	3466	1996-11-11	VYDAJ	PREVOD NA UCET	105	64336	 	MN	77973669
1013845	3466	1996-12-11	VYDAJ	PREVOD NA UCET	105	82500	 	MN	77973669
1013846	3466	1997-01-11	VYDAJ	PREVOD NA UCET	105	72813	 	MN	77973669
1013847	3466	1997-02-11	VYDAJ	PREVOD NA UCET	105	73403	 	MN	77973669
1013848	3466	1997-03-11	VYDAJ	PREVOD NA UCET	105	72888	 	MN	77973669
1013849	3466	1997-04-11	VYDAJ	PREVOD NA UCET	105	73079	 	MN	77973669
1013850	3466	1997-05-11	VYDAJ	PREVOD NA UCET	105	75866	 	MN	77973669
1013851	3466	1997-06-11	VYDAJ	PREVOD NA UCET	105	61585	 	MN	77973669
1013852	3466	1997-07-11	VYDAJ	PREVOD NA UCET	105	72228	 	MN	77973669
1013853	3466	1997-08-11	VYDAJ	PREVOD NA UCET	105	78805	 	MN	77973669
1013854	3466	1997-09-11	VYDAJ	PREVOD NA UCET	105	81912	 	MN	77973669
1013855	3466	1997-10-11	VYDAJ	PREVOD NA UCET	105	80228	 	MN	77973669
1013856	3466	1997-11-11	VYDAJ	PREVOD NA UCET	105	74735	 	MN	77973669
1013857	3466	1997-12-11	VYDAJ	PREVOD NA UCET	105	86853	 	MN	77973669
1013858	3466	1998-01-11	VYDAJ	PREVOD NA UCET	105	78286	 	MN	77973669
1013859	3466	1998-02-11	VYDAJ	PREVOD NA UCET	105	76769	 	MN	77973669
1013860	3466	1998-03-11	VYDAJ	PREVOD NA UCET	105	87056	 	MN	77973669
1013861	3466	1998-04-11	VYDAJ	PREVOD NA UCET	105	91194	 	MN	77973669
1013862	3466	1998-05-11	VYDAJ	PREVOD NA UCET	105	89850	 	MN	77973669
1013863	3466	1998-06-11	VYDAJ	PREVOD NA UCET	105	81225	 	MN	77973669
1013864	3466	1998-07-11	VYDAJ	PREVOD NA UCET	105	80030	 	MN	77973669
1013865	3466	1998-08-11	VYDAJ	PREVOD NA UCET	105	82526	 	MN	77973669
1013866	3466	1998-09-11	VYDAJ	PREVOD NA UCET	105	78425	 	MN	77973669
1013867	3466	1998-10-11	VYDAJ	PREVOD NA UCET	105	82711	 	MN	77973669
1013868	3466	1998-11-11	VYDAJ	PREVOD NA UCET	105	90917	 	MN	77973669
1013869	3466	1998-12-11	VYDAJ	PREVOD NA UCET	105	107377	 	MN	77973669
1013877	3466	1995-08-06	VYDAJ	PREVOD NA UCET	742	44562	POJISTNE	KL	32844662
1013878	3466	1995-09-06	VYDAJ	PREVOD NA UCET	742	44760	POJISTNE	KL	32844662
1013879	3466	1995-10-06	VYDAJ	PREVOD NA UCET	742	38956	POJISTNE	KL	32844662
1013880	3466	1995-11-06	VYDAJ	PREVOD NA UCET	742	38938	POJISTNE	KL	32844662
1013881	3466	1995-12-06	VYDAJ	PREVOD NA UCET	742	41015	POJISTNE	KL	32844662
1013882	3466	1996-01-06	VYDAJ	PREVOD NA UCET	742	39133	POJISTNE	KL	32844662
1013883	3466	1996-02-06	VYDAJ	PREVOD NA UCET	742	17690	POJISTNE	KL	32844662
1013884	3466	1996-03-06	VYDAJ	PREVOD NA UCET	742	26901	POJISTNE	KL	32844662
1013885	3466	1996-04-06	VYDAJ	PREVOD NA UCET	742	34046	POJISTNE	KL	32844662
1013886	3466	1996-05-06	VYDAJ	PREVOD NA UCET	742	36305	POJISTNE	KL	32844662
1013887	3466	1996-06-06	VYDAJ	PREVOD NA UCET	742	39783	POJISTNE	KL	32844662
1013888	3466	1996-07-06	VYDAJ	PREVOD NA UCET	742	37269	POJISTNE	KL	32844662
1013889	3466	1996-08-06	VYDAJ	PREVOD NA UCET	742	45147	POJISTNE	KL	32844662
1013890	3466	1996-09-06	VYDAJ	PREVOD NA UCET	742	44428	POJISTNE	KL	32844662
1013891	3466	1996-10-06	VYDAJ	PREVOD NA UCET	742	39910	POJISTNE	KL	32844662
1013892	3466	1996-11-06	VYDAJ	PREVOD NA UCET	742	45989	POJISTNE	KL	32844662
1013893	3466	1996-12-06	VYDAJ	PREVOD NA UCET	742	62428	POJISTNE	KL	32844662
1013894	3466	1997-01-06	VYDAJ	PREVOD NA UCET	742	73166	POJISTNE	KL	32844662
1013895	3466	1997-02-06	VYDAJ	PREVOD NA UCET	742	51956	POJISTNE	KL	32844662
1013896	3466	1997-03-06	VYDAJ	PREVOD NA UCET	742	72941	POJISTNE	KL	32844662
1013897	3466	1997-04-06	VYDAJ	PREVOD NA UCET	742	72432	POJISTNE	KL	32844662
1013898	3466	1997-05-06	VYDAJ	PREVOD NA UCET	742	51920	POJISTNE	KL	32844662
1013899	3466	1997-06-06	VYDAJ	PREVOD NA UCET	742	25614	POJISTNE	KL	32844662
1013900	3466	1997-07-06	VYDAJ	PREVOD NA UCET	742	48282	POJISTNE	KL	32844662
1013901	3466	1997-08-06	VYDAJ	PREVOD NA UCET	742	57358	POJISTNE	KL	32844662
1013902	3466	1997-09-06	VYDAJ	PREVOD NA UCET	742	60465	POJISTNE	KL	32844662
1013903	3466	1997-10-06	VYDAJ	PREVOD NA UCET	742	56282	POJISTNE	KL	32844662
1013904	3466	1997-11-06	VYDAJ	PREVOD NA UCET	742	50789	POJISTNE	KL	32844662
1013905	3466	1997-12-06	VYDAJ	PREVOD NA UCET	742	51682	POJISTNE	KL	32844662
1013906	3466	1998-01-06	VYDAJ	PREVOD NA UCET	742	63039	POJISTNE	KL	32844662
1013907	3466	1998-02-06	VYDAJ	PREVOD NA UCET	742	53623	POJISTNE	KL	32844662
1013908	3466	1998-03-06	VYDAJ	PREVOD NA UCET	742	65609	POJISTNE	KL	32844662
1013909	3466	1998-04-06	VYDAJ	PREVOD NA UCET	742	69747	POJISTNE	KL	32844662
1013910	3466	1998-05-06	VYDAJ	PREVOD NA UCET	742	68403	POJISTNE	KL	32844662
1013911	3466	1998-06-06	VYDAJ	PREVOD NA UCET	742	47753	POJISTNE	KL	32844662
1013912	3466	1998-07-06	VYDAJ	PREVOD NA UCET	742	56084	POJISTNE	KL	32844662
1013913	3466	1998-08-06	VYDAJ	PREVOD NA UCET	742	61079	POJISTNE	KL	32844662
1013914	3466	1998-09-06	VYDAJ	PREVOD NA UCET	742	56978	POJISTNE	KL	32844662
1013915	3466	1998-10-06	VYDAJ	PREVOD NA UCET	742	61264	POJISTNE	KL	32844662
1013916	3466	1998-11-06	VYDAJ	PREVOD NA UCET	742	66971	POJISTNE	KL	32844662
1013917	3466	1998-12-06	VYDAJ	PREVOD NA UCET	742	71406	POJISTNE	KL	32844662
1013919	3466	1996-06-07	VYDAJ	VYBER	22400	14884	\N	\N	\N
1013920	3466	1997-06-06	VYDAJ	VYBER	27500	28855	\N	\N	\N
1013921	3466	1998-06-03	VYDAJ	VYBER	19100	48495	\N	\N	\N
1013923	3466	1996-01-29	VYDAJ	VYBER	7700	21279	\N	\N	\N
1013924	3466	1997-01-02	VYDAJ	VYBER	7600	73908	\N	\N	\N
1013925	3466	1998-01-06	VYDAJ	VYBER	4000	59039	\N	\N	\N
1013926	3466	1995-12-24	VYDAJ	VYBER	1900	43087	\N	\N	\N
1013927	3466	1996-12-23	VYDAJ	VYBER	1300	81200	\N	\N	\N
1013928	3466	1997-12-08	VYDAJ	VYBER	800	86958	\N	\N	\N
1013929	3466	1998-12-22	VYDAJ	VYBER	2100	105277	\N	\N	\N
1013936	3466	1996-01-23	VYDAJ	VYBER	1900	34079	\N	\N	\N
1013937	3466	1996-01-03	VYDAJ	VYBER	900	42374	\N	\N	\N
1013938	3466	1996-01-27	VYDAJ	VYBER	2900	28979	\N	\N	\N
1013939	3466	1996-01-20	VYDAJ	VYBER	2800	36979	\N	\N	\N
1013940	3466	1996-01-23	VYDAJ	VYBER	1000	35979	\N	\N	\N
1013941	3466	1996-01-15	VYDAJ	VYBER	600	39779	\N	\N	\N
1013942	3466	1997-01-07	VYDAJ	VYBER	1000	51567	\N	\N	\N
1013943	3466	1997-01-17	VYDAJ	VYBER	1300	71513	\N	\N	\N
1013944	3466	1997-01-30	VYDAJ	VYBER	1500	68613	\N	\N	\N
1013945	3466	1997-01-08	VYDAJ	VYBER	1600	74018	\N	\N	\N
1013946	3466	1997-01-28	VYDAJ	VYBER	1400	70113	\N	\N	\N
1013947	3466	1997-01-11	VYDAJ	VYBER	1100	72918	\N	\N	\N
1013948	3466	1998-01-29	VYDAJ	VYBER	800	68986	\N	\N	\N
1013949	3466	1998-01-18	VYDAJ	VYBER	1800	69786	\N	\N	\N
1013950	3466	1998-01-01	VYDAJ	VYBER	1200	85981	\N	\N	\N
1013951	3466	1998-01-03	VYDAJ	VYBER	600	63781	\N	\N	\N
1013952	3466	1998-01-11	VYDAJ	VYBER	2200	78391	\N	\N	\N
1013953	3466	1998-01-17	VYDAJ	VYBER	2300	75986	\N	\N	\N
1013954	3466	1995-12-12	VYDAJ	VYBER	4700	69787	\N	\N	\N
1013957	3466	1995-09-29	VYDAJ	VYBER	3400	42007	\N	\N	\N
1013958	3466	1995-07-24	VYDAJ	VYBER	3300	45101	\N	\N	\N
1013960	3466	1995-07-13	VYDAJ	VYBER	1900	72501	\N	\N	\N
1013961	3466	1996-01-26	VYDAJ	VYBER	2200	31879	\N	\N	\N
1013962	3466	1996-07-11	VYDAJ	VYBER	1300	45820	\N	\N	\N
1013963	3466	1996-09-18	VYDAJ	VYBER	1300	42975	\N	\N	\N
1013964	3466	1996-12-03	VYDAJ	VYBER	1400	63170	\N	\N	\N
1013965	3466	1996-02-06	VYDAJ	VYBER	500	18432	\N	\N	\N
1013966	3466	1996-06-08	VYDAJ	VYBER	3700	47260	\N	\N	\N
1013967	3466	1996-06-04	VYDAJ	VYBER	4900	40525	\N	\N	\N
1013968	3466	1997-10-30	VYDAJ	VYBER	2700	72828	\N	\N	\N
1013969	3466	1997-09-12	VYDAJ	VYBER	2400	79512	\N	\N	\N
1013970	3466	1997-10-18	VYDAJ	VYBER	4700	75528	\N	\N	\N
1013971	3466	1997-05-17	VYDAJ	VYBER	4400	71466	\N	\N	\N
1013972	3466	1998-08-25	VYDAJ	VYBER	4600	77926	\N	\N	\N
1013973	3466	1998-08-30	VYDAJ	VYBER	3900	57426	\N	\N	\N
1013974	3466	1998-01-17	VYDAJ	VYBER	4400	71586	\N	\N	\N
1013975	3466	1998-05-28	VYDAJ	VYBER	3000	86850	\N	\N	\N
1013976	3466	1998-02-07	VYDAJ	VYBER	800	52823	\N	\N	\N
1013977	3466	1998-04-24	VYDAJ	VYBER	4300	86894	\N	\N	\N
1013985	3466	1995-07-31	VYDAJ	VYBER	15	45304	SLUZBY	\N	\N
1013986	3466	1995-08-31	VYDAJ	VYBER	15	45502	SLUZBY	\N	\N
1013987	3466	1995-09-30	VYDAJ	VYBER	15	42197	SLUZBY	\N	\N
1013988	3466	1995-10-31	VYDAJ	VYBER	15	42179	SLUZBY	\N	\N
1013989	3466	1995-11-30	VYDAJ	VYBER	15	41757	SLUZBY	\N	\N
1013990	3466	1995-12-31	VYDAJ	VYBER	15	43274	SLUZBY	\N	\N
1013991	3466	1996-01-31	VYDAJ	VYBER	15	21431	SLUZBY	\N	\N
1013992	3466	1996-02-29	VYDAJ	VYBER	15	30142	SLUZBY	\N	\N
1013993	3466	1996-03-31	VYDAJ	VYBER	15	37287	SLUZBY	\N	\N
1013994	3466	1996-04-30	VYDAJ	VYBER	15	39546	SLUZBY	\N	\N
1013995	3466	1996-05-31	VYDAJ	VYBER	15	45425	SLUZBY	\N	\N
1013996	3466	1996-06-30	VYDAJ	VYBER	15	40510	SLUZBY	\N	\N
1013997	3466	1996-07-31	VYDAJ	VYBER	15	45889	SLUZBY	\N	\N
1013998	3466	1996-08-31	VYDAJ	VYBER	15	45170	SLUZBY	\N	\N
1013999	3466	1996-09-30	VYDAJ	VYBER	15	43151	SLUZBY	\N	\N
1014000	3466	1996-10-31	VYDAJ	VYBER	15	46731	SLUZBY	\N	\N
1014001	3466	1996-11-30	VYDAJ	VYBER	15	64570	SLUZBY	\N	\N
1014002	3466	1996-12-31	VYDAJ	VYBER	15	81508	SLUZBY	\N	\N
1014003	3466	1997-01-31	VYDAJ	VYBER	15	68898	SLUZBY	\N	\N
1014004	3466	1997-02-28	VYDAJ	VYBER	15	73683	SLUZBY	\N	\N
1014005	3466	1997-03-31	VYDAJ	VYBER	15	73174	SLUZBY	\N	\N
1014006	3466	1997-04-30	VYDAJ	VYBER	15	73361	SLUZBY	\N	\N
1014007	3466	1997-05-31	VYDAJ	VYBER	15	71755	SLUZBY	\N	\N
1014008	3466	1997-06-30	VYDAJ	VYBER	15	61823	SLUZBY	\N	\N
1014009	3466	1997-07-31	VYDAJ	VYBER	15	72500	SLUZBY	\N	\N
1014010	3466	1997-08-31	VYDAJ	VYBER	15	79107	SLUZBY	\N	\N
1014011	3466	1997-09-30	VYDAJ	VYBER	15	79823	SLUZBY	\N	\N
1014012	3466	1997-10-31	VYDAJ	VYBER	15	73130	SLUZBY	\N	\N
1014013	3466	1997-11-30	VYDAJ	VYBER	15	75023	SLUZBY	\N	\N
1014014	3466	1997-12-31	VYDAJ	VYBER	15	87181	SLUZBY	\N	\N
1014015	3466	1998-01-31	VYDAJ	VYBER	15	56864	SLUZBY	\N	\N
1014016	3466	1998-02-28	VYDAJ	VYBER	15	77051	SLUZBY	\N	\N
1014017	3466	1998-03-31	VYDAJ	VYBER	15	87389	SLUZBY	\N	\N
1014018	3466	1998-04-30	VYDAJ	VYBER	15	87245	SLUZBY	\N	\N
1014019	3466	1998-05-31	VYDAJ	VYBER	15	87195	SLUZBY	\N	\N
1014020	3466	1998-06-30	VYDAJ	VYBER	15	59325	SLUZBY	\N	\N
1014021	3466	1998-07-31	VYDAJ	VYBER	15	61821	SLUZBY	\N	\N
1014022	3466	1998-08-31	VYDAJ	VYBER	15	57720	SLUZBY	\N	\N
1014023	3466	1998-09-30	VYDAJ	VYBER	15	62006	SLUZBY	\N	\N
1014024	3466	1998-10-31	VYDAJ	VYBER	15	70212	SLUZBY	\N	\N
1014025	3466	1998-11-30	VYDAJ	VYBER	15	74647	SLUZBY	\N	\N
1014026	3466	1995-03-18	PRIJEM	VKLAD	1200	25851	\N	\N	\N
1014027	3466	1995-04-17	VYDAJ	VYBER	13700	36251	\N	\N	\N
1014028	3466	1995-05-17	VYDAJ	VYBER	19700	40730	\N	\N	\N
1014029	3466	1995-06-16	VYDAJ	VYBER	26700	50266	\N	\N	\N
1014030	3466	1995-07-16	VYDAJ	VYBER	24100	48401	\N	\N	\N
1014031	3466	1995-08-15	VYDAJ	VYBER	20700	45309	\N	\N	\N
1014032	3466	1995-09-14	VYDAJ	VYBER	20800	45407	\N	\N	\N
1014033	3466	1995-10-14	VYDAJ	VYBER	20900	42002	\N	\N	\N
1014034	3466	1995-11-13	VYDAJ	VYBER	21300	41584	\N	\N	\N
1014035	3466	1995-12-13	VYDAJ	VYBER	24800	44987	\N	\N	\N
1014036	3466	1996-01-12	VYDAJ	VYBER	22700	40379	\N	\N	\N
1014037	3466	1996-02-11	VYDAJ	VYBER	11600	30036	\N	\N	\N
1014038	3466	1996-03-12	VYDAJ	VYBER	13700	37147	\N	\N	\N
1014039	3466	1996-04-11	VYDAJ	VYBER	18600	39497	\N	\N	\N
1014040	3466	1996-05-11	VYDAJ	VYBER	15000	45356	\N	\N	\N
1014041	3466	1996-06-10	VYDAJ	VYBER	6800	40460	\N	\N	\N
1014042	3466	1996-07-10	VYDAJ	VYBER	14200	47120	\N	\N	\N
1014043	3466	1996-08-09	VYDAJ	VYBER	21600	45099	\N	\N	\N
1014044	3466	1996-09-08	VYDAJ	VYBER	21600	44380	\N	\N	\N
1014045	3466	1996-10-08	VYDAJ	VYBER	17300	46661	\N	\N	\N
1014046	3466	1996-11-07	VYDAJ	VYBER	3100	40390	\N	\N	\N
1014047	3466	1996-12-07	VYDAJ	VYBER	13400	46529	\N	\N	\N
1014048	3466	1997-01-06	VYDAJ	VYBER	18100	52567	\N	\N	\N
1014049	3466	1997-02-05	VYDAJ	VYBER	16200	52698	\N	\N	\N
1014050	3466	1997-03-07	VYDAJ	VYBER	21500	48942	\N	\N	\N
1014051	3466	1997-04-06	VYDAJ	VYBER	20800	51632	\N	\N	\N
1014052	3466	1997-05-06	VYDAJ	VYBER	18200	52662	\N	\N	\N
1014053	3466	1997-06-05	VYDAJ	VYBER	15400	56355	\N	\N	\N
1014054	3466	1997-07-05	VYDAJ	VYBER	10300	51523	\N	\N	\N
1014055	3466	1997-08-04	VYDAJ	VYBER	14400	58100	\N	\N	\N
1014056	3466	1997-09-03	VYDAJ	VYBER	17900	61207	\N	\N	\N
1014057	3466	1997-10-03	VYDAJ	VYBER	20300	59523	\N	\N	\N
1014058	3466	1997-11-02	VYDAJ	VYBER	19100	54030	\N	\N	\N
1014059	3466	1997-12-02	VYDAJ	VYBER	20100	54923	\N	\N	\N
1014060	3466	1998-01-01	VYDAJ	VYBER	21600	64381	\N	\N	\N
1014061	3466	1998-01-31	VYDAJ	VYBER	12400	56879	\N	\N	\N
1014062	3466	1998-03-02	VYDAJ	VYBER	10700	66351	\N	\N	\N
1014063	3466	1998-04-01	VYDAJ	VYBER	16900	70489	\N	\N	\N
1014064	3466	1998-05-01	VYDAJ	VYBER	18100	69145	\N	\N	\N
1014065	3466	1998-05-31	VYDAJ	VYBER	19600	67595	\N	\N	\N
1014066	3466	1998-06-30	VYDAJ	VYBER	22200	59340	\N	\N	\N
1014067	3466	1998-07-30	VYDAJ	VYBER	18500	61530	\N	\N	\N
1014068	3466	1998-08-29	VYDAJ	VYBER	16600	61326	\N	\N	\N
1014069	3466	1998-09-28	VYDAJ	VYBER	16700	61725	\N	\N	\N
1014070	3466	1998-10-28	VYDAJ	VYBER	12800	69911	\N	\N	\N
1014071	3466	1998-11-27	VYDAJ	VYBER	16600	74317	\N	\N	\N
1014118	3467	1996-08-25	PRIJEM	VKLAD	300	300	\N	\N	\N
1014119	3467	1996-12-13	PRIJEM	VKLAD	7960	54967	\N	\N	\N
1014122	3467	1996-11-25	PRIJEM	VKLAD	15845	50236	\N	\N	\N
1014124	3467	1996-09-03	PRIJEM	VKLAD	11886	47073	\N	\N	\N
1014125	3467	1996-11-22	PRIJEM	VKLAD	8566	30791	\N	\N	\N
1014126	3467	1996-09-16	PRIJEM	VKLAD	29808	118067	\N	\N	\N
1014129	3467	1996-09-14	PRIJEM	VKLAD	41186	88259	\N	\N	\N
1014131	3467	1996-08-28	PRIJEM	VKLAD	34868	35168	\N	\N	\N
1014134	3467	1996-09-19	PRIJEM	VKLAD	20739	81106	\N	\N	\N
1014140	3467	1997-06-19	PRIJEM	VKLAD	29346	84813	\N	\N	\N
1014141	3467	1997-10-16	PRIJEM	VKLAD	39778	110131	\N	\N	\N
1014142	3467	1997-06-24	PRIJEM	VKLAD	21093	84106	\N	\N	\N
1014143	3467	1997-12-11	PRIJEM	VKLAD	32230	103911	\N	\N	\N
1014144	3467	1997-04-29	PRIJEM	VKLAD	13733	70458	\N	\N	\N
1014145	3467	1997-09-18	PRIJEM	VKLAD	16199	62660	\N	\N	\N
1014146	3467	1997-08-18	PRIJEM	VKLAD	6325	60313	\N	\N	\N
1014147	3467	1997-11-08	PRIJEM	VKLAD	11333	88974	\N	\N	\N
1014148	3467	1997-04-19	PRIJEM	VKLAD	23809	62725	\N	\N	\N
1014149	3467	1997-08-02	PRIJEM	VKLAD	45231	119650	\N	\N	\N
1014150	3467	1997-06-14	PRIJEM	VKLAD	27716	56085	\N	\N	\N
1014151	3467	1997-03-06	PRIJEM	VKLAD	24777	56059	\N	\N	\N
1014152	3467	1997-08-25	PRIJEM	VKLAD	18113	71426	\N	\N	\N
1014153	3467	1997-10-11	PRIJEM	VKLAD	23713	73875	\N	\N	\N
1014154	3467	1997-05-03	PRIJEM	VKLAD	11812	82477	\N	\N	\N
1014155	3467	1997-06-27	PRIJEM	VKLAD	41471	125577	\N	\N	\N
1014156	3467	1997-07-15	PRIJEM	VKLAD	31822	106991	\N	\N	\N
1014157	3467	1997-09-08	PRIJEM	VKLAD	43249	114923	\N	\N	\N
1014158	3467	1997-10-27	PRIJEM	VKLAD	18049	77380	\N	\N	\N
1014159	3467	1998-04-26	PRIJEM	VKLAD	32995	83632	\N	\N	\N
1014160	3467	1998-01-22	PRIJEM	VKLAD	27734	62369	\N	\N	\N
1014161	3467	1998-09-10	PRIJEM	VKLAD	14984	85459	\N	\N	\N
1014162	3467	1998-05-25	PRIJEM	VKLAD	9092	81662	\N	\N	\N
1014208	3467	1996-10-13	VYDAJ	PREVOD NA UCET	2899	23798	SIPO	IJ	66278958
1014209	3467	1996-11-13	VYDAJ	PREVOD NA UCET	2899	22848	SIPO	IJ	66278958
1014210	3467	1996-12-13	VYDAJ	PREVOD NA UCET	2899	27706	SIPO	IJ	66278958
1014211	3467	1997-01-13	VYDAJ	PREVOD NA UCET	2899	19784	SIPO	IJ	66278958
1014212	3467	1997-02-13	VYDAJ	PREVOD NA UCET	2899	21709	SIPO	IJ	66278958
1014213	3467	1997-03-13	VYDAJ	PREVOD NA UCET	2899	53120	SIPO	IJ	66278958
1014214	3467	1997-04-13	VYDAJ	PREVOD NA UCET	2899	47339	SIPO	IJ	66278958
1014215	3467	1997-05-13	VYDAJ	PREVOD NA UCET	2899	79538	SIPO	IJ	66278958
1014216	3467	1997-06-13	VYDAJ	PREVOD NA UCET	2899	28369	SIPO	IJ	66278958
1014217	3467	1997-07-13	VYDAJ	PREVOD NA UCET	2899	75792	SIPO	IJ	66278958
1014218	3467	1997-08-13	VYDAJ	PREVOD NA UCET	2899	54611	SIPO	IJ	66278958
1014219	3467	1997-09-13	VYDAJ	PREVOD NA UCET	2899	47084	SIPO	IJ	66278958
1014220	3467	1997-10-13	VYDAJ	PREVOD NA UCET	2899	70971	SIPO	IJ	66278958
1014221	3467	1997-11-13	VYDAJ	PREVOD NA UCET	2899	86035	SIPO	IJ	66278958
1014222	3467	1997-12-13	VYDAJ	PREVOD NA UCET	2899	101007	SIPO	IJ	66278958
1014223	3467	1998-01-13	VYDAJ	PREVOD NA UCET	2899	33053	SIPO	IJ	66278958
1014224	3467	1998-02-13	VYDAJ	PREVOD NA UCET	2899	50325	SIPO	IJ	66278958
1014225	3467	1998-03-13	VYDAJ	PREVOD NA UCET	2899	42972	SIPO	IJ	66278958
1014226	3467	1998-04-13	VYDAJ	PREVOD NA UCET	2899	30255	SIPO	IJ	66278958
1014227	3467	1998-05-13	VYDAJ	PREVOD NA UCET	2899	75493	SIPO	IJ	66278958
1014228	3467	1998-06-13	VYDAJ	PREVOD NA UCET	2899	57173	SIPO	IJ	66278958
1014229	3467	1998-07-13	VYDAJ	PREVOD NA UCET	2899	40250	SIPO	IJ	66278958
1014230	3467	1998-08-13	VYDAJ	PREVOD NA UCET	2899	55584	SIPO	IJ	66278958
1014231	3467	1998-09-13	VYDAJ	PREVOD NA UCET	2899	82560	SIPO	IJ	66278958
1014232	3467	1998-10-13	VYDAJ	PREVOD NA UCET	2899	80514	SIPO	IJ	66278958
1014233	3467	1998-11-13	VYDAJ	PREVOD NA UCET	2899	76977	SIPO	IJ	66278958
1014234	3467	1998-12-13	VYDAJ	PREVOD NA UCET	2899	74523	SIPO	IJ	66278958
1014244	3467	1996-10-14	VYDAJ	PREVOD NA UCET	618	23175	 	IJ	69940155
1014245	3467	1996-11-14	VYDAJ	PREVOD NA UCET	618	22225	 	IJ	69940155
1014246	3467	1996-12-14	VYDAJ	PREVOD NA UCET	618	27088	 	IJ	69940155
1014247	3467	1997-01-14	VYDAJ	PREVOD NA UCET	618	19166	 	IJ	69940155
1014248	3467	1997-02-14	VYDAJ	PREVOD NA UCET	618	21091	 	IJ	69940155
1014249	3467	1997-03-14	VYDAJ	PREVOD NA UCET	618	52497	 	IJ	69940155
1014250	3467	1997-04-14	VYDAJ	PREVOD NA UCET	618	46716	 	IJ	69940155
1014251	3467	1997-05-14	VYDAJ	PREVOD NA UCET	618	78915	 	IJ	69940155
1014252	3467	1997-06-14	VYDAJ	PREVOD NA UCET	618	55467	 	IJ	69940155
1014253	3467	1997-07-14	VYDAJ	PREVOD NA UCET	618	75169	 	IJ	69940155
1014254	3467	1997-08-14	VYDAJ	PREVOD NA UCET	618	53988	 	IJ	69940155
1014255	3467	1997-09-14	VYDAJ	PREVOD NA UCET	618	46461	 	IJ	69940155
1014256	3467	1997-10-14	VYDAJ	PREVOD NA UCET	618	70353	 	IJ	69940155
1014257	3467	1997-11-14	VYDAJ	PREVOD NA UCET	618	85412	 	IJ	69940155
1014258	3467	1997-12-14	VYDAJ	PREVOD NA UCET	618	91389	 	IJ	69940155
1014259	3467	1998-01-14	VYDAJ	PREVOD NA UCET	618	32435	 	IJ	69940155
1014260	3467	1998-02-14	VYDAJ	PREVOD NA UCET	618	49707	 	IJ	69940155
1014261	3467	1998-03-14	VYDAJ	PREVOD NA UCET	618	42349	 	IJ	69940155
1014262	3467	1998-04-14	VYDAJ	PREVOD NA UCET	618	29637	 	IJ	69940155
1014263	3467	1998-05-14	VYDAJ	PREVOD NA UCET	618	74870	 	IJ	69940155
1014264	3467	1998-06-14	VYDAJ	PREVOD NA UCET	618	56550	 	IJ	69940155
1014265	3467	1998-07-14	VYDAJ	PREVOD NA UCET	618	39627	 	IJ	69940155
1014266	3467	1998-08-14	VYDAJ	PREVOD NA UCET	618	54961	 	IJ	69940155
1014267	3467	1998-09-14	VYDAJ	PREVOD NA UCET	618	83137	 	IJ	69940155
1014268	3467	1998-10-14	VYDAJ	PREVOD NA UCET	618	82891	 	IJ	69940155
1014269	3467	1998-11-14	VYDAJ	PREVOD NA UCET	618	76359	 	IJ	69940155
1014270	3467	1998-12-14	VYDAJ	PREVOD NA UCET	618	73905	 	IJ	69940155
1014280	3467	1996-10-09	VYDAJ	PREVOD NA UCET	40	26697	POJISTNE	MN	3529680
1014281	3467	1996-11-09	VYDAJ	PREVOD NA UCET	40	25747	POJISTNE	MN	3529680
1014282	3467	1996-12-09	VYDAJ	PREVOD NA UCET	40	47007	POJISTNE	MN	3529680
1014283	3467	1997-01-09	VYDAJ	PREVOD NA UCET	40	26288	POJISTNE	MN	3529680
1014284	3467	1997-02-09	VYDAJ	PREVOD NA UCET	40	24613	POJISTNE	MN	3529680
1014285	3467	1997-03-09	VYDAJ	PREVOD NA UCET	40	56019	POJISTNE	MN	3529680
1014286	3467	1997-04-09	VYDAJ	PREVOD NA UCET	40	50238	POJISTNE	MN	3529680
1014287	3467	1997-05-09	VYDAJ	PREVOD NA UCET	40	82437	POJISTNE	MN	3529680
1014288	3467	1997-06-09	VYDAJ	PREVOD NA UCET	40	51373	POJISTNE	MN	3529680
1014289	3467	1997-07-09	VYDAJ	PREVOD NA UCET	40	78691	POJISTNE	MN	3529680
1014290	3467	1997-08-09	VYDAJ	PREVOD NA UCET	40	66810	POJISTNE	MN	3529680
1014291	3467	1997-09-09	VYDAJ	PREVOD NA UCET	40	49983	POJISTNE	MN	3529680
1014292	3467	1997-10-09	VYDAJ	PREVOD NA UCET	40	50162	POJISTNE	MN	3529680
1014293	3467	1997-11-09	VYDAJ	PREVOD NA UCET	40	88934	POJISTNE	MN	3529680
1014294	3467	1997-12-09	VYDAJ	PREVOD NA UCET	40	71681	POJISTNE	MN	3529680
1014295	3467	1998-01-09	VYDAJ	PREVOD NA UCET	40	41957	POJISTNE	MN	3529680
1014296	3467	1998-02-09	VYDAJ	PREVOD NA UCET	40	53229	POJISTNE	MN	3529680
1014297	3467	1998-03-09	VYDAJ	PREVOD NA UCET	40	45871	POJISTNE	MN	3529680
1014298	3467	1998-04-09	VYDAJ	PREVOD NA UCET	40	33159	POJISTNE	MN	3529680
1014299	3467	1998-05-09	VYDAJ	PREVOD NA UCET	40	78392	POJISTNE	MN	3529680
1014300	3467	1998-06-09	VYDAJ	PREVOD NA UCET	40	60072	POJISTNE	MN	3529680
1014301	3467	1998-07-09	VYDAJ	PREVOD NA UCET	40	43149	POJISTNE	MN	3529680
1014302	3467	1998-08-09	VYDAJ	PREVOD NA UCET	40	58483	POJISTNE	MN	3529680
1014303	3467	1998-09-09	VYDAJ	PREVOD NA UCET	40	70475	POJISTNE	MN	3529680
1014304	3467	1998-10-09	VYDAJ	PREVOD NA UCET	40	83413	POJISTNE	MN	3529680
1014305	3467	1998-11-09	VYDAJ	PREVOD NA UCET	40	80181	POJISTNE	MN	3529680
1014306	3467	1998-12-09	VYDAJ	PREVOD NA UCET	40	74227	POJISTNE	MN	3529680
1014316	3467	1996-10-13	VYDAJ	PREVOD NA UCET	5	23793	 	ST	92155229
1014317	3467	1996-11-13	VYDAJ	PREVOD NA UCET	5	22843	 	ST	92155229
1014318	3467	1996-12-13	VYDAJ	PREVOD NA UCET	5	30605	 	ST	92155229
1014319	3467	1997-01-13	VYDAJ	PREVOD NA UCET	5	22683	 	ST	92155229
1014320	3467	1997-02-13	VYDAJ	PREVOD NA UCET	5	24608	 	ST	92155229
1014321	3467	1997-03-13	VYDAJ	PREVOD NA UCET	5	53115	 	ST	92155229
1014322	3467	1997-04-13	VYDAJ	PREVOD NA UCET	5	47334	 	ST	92155229
1014323	3467	1997-05-13	VYDAJ	PREVOD NA UCET	5	79533	 	ST	92155229
1014324	3467	1997-06-13	VYDAJ	PREVOD NA UCET	5	31268	 	ST	92155229
1014325	3467	1997-07-13	VYDAJ	PREVOD NA UCET	5	75787	 	ST	92155229
1014326	3467	1997-08-13	VYDAJ	PREVOD NA UCET	5	54606	 	ST	92155229
1014327	3467	1997-09-13	VYDAJ	PREVOD NA UCET	5	47079	 	ST	92155229
1014328	3467	1997-10-13	VYDAJ	PREVOD NA UCET	5	73870	 	ST	92155229
1014329	3467	1997-11-13	VYDAJ	PREVOD NA UCET	5	86030	 	ST	92155229
1014330	3467	1997-12-13	VYDAJ	PREVOD NA UCET	5	103906	 	ST	92155229
1014331	3467	1998-01-13	VYDAJ	PREVOD NA UCET	5	35952	 	ST	92155229
1014332	3467	1998-02-13	VYDAJ	PREVOD NA UCET	5	53224	 	ST	92155229
1014333	3467	1998-03-13	VYDAJ	PREVOD NA UCET	5	42967	 	ST	92155229
1014334	3467	1998-04-13	VYDAJ	PREVOD NA UCET	5	33154	 	ST	92155229
1014335	3467	1998-05-13	VYDAJ	PREVOD NA UCET	5	75488	 	ST	92155229
1014336	3467	1998-06-13	VYDAJ	PREVOD NA UCET	5	57168	 	ST	92155229
1014337	3467	1998-07-13	VYDAJ	PREVOD NA UCET	5	40245	 	ST	92155229
1014338	3467	1998-08-13	VYDAJ	PREVOD NA UCET	5	55579	 	ST	92155229
1014339	3467	1998-09-13	VYDAJ	PREVOD NA UCET	5	82555	 	ST	92155229
1014340	3467	1998-10-13	VYDAJ	PREVOD NA UCET	5	80509	 	ST	92155229
1014341	3467	1998-11-13	VYDAJ	PREVOD NA UCET	5	79876	 	ST	92155229
1014342	3467	1998-12-13	VYDAJ	PREVOD NA UCET	5	77422	 	ST	92155229
1014345	3467	1996-12-13	VYBER	VYBER	24357	30610	\N	\N	\N
1014348	3467	1997-09-29	VYBER	VYBER	4879	49981	\N	\N	\N
1014349	3467	1997-05-27	VYBER	VYBER	9679	51136	\N	\N	\N
1014350	3467	1998-04-01	VYBER	VYBER	19943	33199	\N	\N	\N
1014351	3467	1998-05-25	VYBER	VYBER	21842	59820	\N	\N	\N
1014353	3467	1997-06-10	VYDAJ	VYBER	20100	31273	\N	\N	\N
1014357	3467	1998-01-04	VYDAJ	VYBER	27300	41997	\N	\N	\N
1014358	3467	1996-12-03	VYDAJ	VYBER	3300	47047	\N	\N	\N
1014359	3467	1997-12-25	VYDAJ	VYBER	6300	68989	\N	\N	\N
1014360	3467	1998-12-24	VYDAJ	VYBER	7500	66405	\N	\N	\N
1014367	3467	1997-01-26	VYDAJ	VYBER	2100	24566	\N	\N	\N
1014368	3467	1997-01-09	VYDAJ	VYBER	2100	24188	\N	\N	\N
1014369	3467	1997-01-10	VYDAJ	VYBER	1500	22688	\N	\N	\N
1014370	3467	1997-01-03	VYDAJ	VYBER	2700	26328	\N	\N	\N
1014373	3467	1998-01-10	VYDAJ	VYBER	6000	35957	\N	\N	\N
1014374	3467	1998-01-14	VYDAJ	VYBER	3900	28535	\N	\N	\N
1014375	3467	1998-01-28	VYDAJ	VYBER	6000	53069	\N	\N	\N
1014376	3467	1998-01-19	VYDAJ	VYBER	8700	34635	\N	\N	\N
1014377	3467	1998-01-24	VYDAJ	VYBER	3300	59069	\N	\N	\N
1014378	3467	1998-01-17	VYDAJ	VYBER	1800	43335	\N	\N	\N
1014381	3467	1996-10-07	VYDAJ	VYBER	12000	26737	\N	\N	\N
1014384	3467	1996-10-07	VYDAJ	VYBER	14700	38737	\N	\N	\N
1014387	3467	1997-08-12	VYDAJ	VYBER	9300	57510	\N	\N	\N
1014388	3467	1997-04-18	VYDAJ	VYBER	7800	38916	\N	\N	\N
1014389	3467	1997-12-13	VYDAJ	VYBER	9000	92007	\N	\N	\N
1014390	3467	1998-10-28	VYDAJ	VYBER KARTOU	3000	79891	\N	\N	0
1014391	3467	1998-06-29	VYDAJ	VYBER	8700	56450	\N	\N	\N
1014392	3467	1998-06-30	VYDAJ	VYBER	13500	43189	\N	\N	\N
1014393	3467	1998-03-03	VYDAJ	VYBER	5100	45911	\N	\N	\N
1014394	3467	1998-02-25	VYDAJ	VYBER	2700	50807	\N	\N	\N
1014395	3467	1998-05-04	VYDAJ	VYBER	5400	78432	\N	\N	\N
1014396	3467	1998-11-29	VYDAJ	VYBER KARTOU	2400	73959	\N	\N	0
1014406	3467	1996-09-30	VYDAJ	VYBER	15	53437	SLUZBY	\N	\N
1014407	3467	1996-10-31	VYDAJ	VYBER	15	25787	SLUZBY	\N	\N
1014408	3467	1996-11-30	VYDAJ	VYBER	15	50347	SLUZBY	\N	\N
1014409	3467	1996-12-31	VYDAJ	VYBER	15	29028	SLUZBY	\N	\N
1014410	3467	1997-01-31	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
1014411	3467	1997-02-28	VYDAJ	VYBER	15	31282	SLUZBY	\N	\N
1014412	3467	1997-03-31	VYDAJ	VYBER	15	50278	SLUZBY	\N	\N
1014413	3467	1997-04-30	VYDAJ	VYBER	15	70665	SLUZBY	\N	\N
1014414	3467	1997-05-31	VYDAJ	VYBER	15	51413	SLUZBY	\N	\N
1014415	3467	1997-06-30	VYDAJ	VYBER	15	78731	SLUZBY	\N	\N
1014416	3467	1997-07-31	VYDAJ	VYBER	15	74419	SLUZBY	\N	\N
1014417	3467	1997-08-31	VYDAJ	VYBER	15	71674	SLUZBY	\N	\N
1014418	3467	1997-09-30	VYDAJ	VYBER	15	50202	SLUZBY	\N	\N
1014419	3467	1997-10-31	VYDAJ	VYBER	15	77641	SLUZBY	\N	\N
1014420	3467	1997-11-30	VYDAJ	VYBER	15	71721	SLUZBY	\N	\N
1014421	3467	1997-12-31	VYDAJ	VYBER	15	69297	SLUZBY	\N	\N
1014422	3467	1998-01-31	VYDAJ	VYBER	15	53269	SLUZBY	\N	\N
1014423	3467	1998-02-28	VYDAJ	VYBER	15	51011	SLUZBY	\N	\N
1014424	3467	1998-03-31	VYDAJ	VYBER	15	53142	SLUZBY	\N	\N
1014425	3467	1998-04-30	VYDAJ	VYBER	15	83832	SLUZBY	\N	\N
1014426	3467	1998-05-31	VYDAJ	VYBER	15	60112	SLUZBY	\N	\N
1014427	3467	1998-06-30	VYDAJ	VYBER	15	56689	SLUZBY	\N	\N
1014428	3467	1998-07-31	VYDAJ	VYBER	15	58523	SLUZBY	\N	\N
1014429	3467	1998-08-31	VYDAJ	VYBER	15	70515	SLUZBY	\N	\N
1014430	3467	1998-09-30	VYDAJ	VYBER	15	83453	SLUZBY	\N	\N
1014431	3467	1998-10-31	VYDAJ	VYBER	15	80221	SLUZBY	\N	\N
1014432	3467	1998-11-30	VYDAJ	VYBER	15	74267	SLUZBY	\N	\N
1014433	3467	1996-09-16	VYDAJ	VYBER	57700	60367	\N	\N	\N
1014434	3467	1996-09-24	VYDAJ	VYBER	27900	53206	\N	\N	\N
1014435	3467	1996-10-24	PRIJEM	VKLAD	2500	25675	\N	\N	\N
1014436	3467	1996-11-23	PRIJEM	VKLAD	3600	34391	\N	\N	\N
1014437	3467	1996-12-23	PRIJEM	VKLAD	1800	28888	\N	\N	\N
1014438	3467	1997-01-22	PRIJEM	VKLAD	7500	26666	\N	\N	\N
1014439	3467	1997-02-21	PRIJEM	VKLAD	10100	31191	\N	\N	\N
1014440	3467	1997-03-23	VYDAJ	VYBER	2400	50097	\N	\N	\N
1014441	3467	1997-04-22	VYDAJ	VYBER	6000	56725	\N	\N	\N
1014442	3467	1997-05-22	VYDAJ	VYBER	18100	60815	\N	\N	\N
1014443	3467	1997-06-21	VYDAJ	VYBER	21800	63013	\N	\N	\N
1014444	3467	1997-06-27	VYDAJ	VYBER	47100	78477	\N	\N	\N
1014445	3467	1997-07-21	VYDAJ	VYBER	32900	74091	\N	\N	\N
1014446	3467	1997-08-02	VYDAJ	VYBER	52800	66850	\N	\N	\N
1014447	3467	1997-08-20	VYDAJ	VYBER	7000	53313	\N	\N	\N
1014448	3467	1997-09-08	VYDAJ	VYBER	64900	50023	\N	\N	\N
1014449	3467	1997-09-19	VYDAJ	VYBER	7800	54860	\N	\N	\N
1014450	3467	1997-10-16	VYDAJ	VYBER	39300	70831	\N	\N	\N
1014451	3467	1997-10-19	VYDAJ	VYBER	11500	59331	\N	\N	\N
1014452	3467	1997-11-18	VYDAJ	VYBER	14000	71412	\N	\N	\N
1014453	3467	1997-12-18	VYDAJ	VYBER	16100	75289	\N	\N	\N
1014454	3467	1998-01-17	PRIJEM	VKLAD	16600	45135	\N	\N	\N
1014455	3467	1998-02-16	PRIJEM	VKLAD	3800	53507	\N	\N	\N
1014456	3467	1998-03-18	PRIJEM	VKLAD	10600	52949	\N	\N	\N
1014457	3467	1998-04-17	PRIJEM	VKLAD	21000	50637	\N	\N	\N
1014458	3467	1998-05-17	VYDAJ	VYBER	2300	72570	\N	\N	\N
1014459	3467	1998-06-16	PRIJEM	VKLAD	8600	65150	\N	\N	\N
1014460	3467	1998-07-16	PRIJEM	VKLAD	18700	58327	\N	\N	\N
1014461	3467	1998-08-15	PRIJEM	VKLAD	15300	70261	\N	\N	\N
1014462	3467	1998-09-14	PRIJEM	VKLAD	1200	83755	\N	\N	\N
1014463	3467	1998-10-14	PRIJEM	VKLAD	3000	83509	\N	\N	\N
1014464	3467	1998-11-13	VYDAJ	VYBER KARTOU	300	79881	\N	\N	0
1014465	3467	1998-12-13	PRIJEM	VKLAD	3200	77427	\N	\N	\N
1014495	3468	1996-02-14	PRIJEM	VKLAD	300	300	\N	\N	\N
1014498	3468	1996-03-13	PRIJEM	VKLAD	10781	11081	\N	\N	\N
1014499	3468	1996-04-13	PRIJEM	VKLAD	10781	32211	\N	\N	\N
1014500	3468	1996-05-13	PRIJEM	VKLAD	10781	41403	\N	\N	\N
1014501	3468	1996-06-13	PRIJEM	VKLAD	16172	49809	\N	\N	\N
1014502	3468	1996-07-13	PRIJEM	VKLAD	10781	47170	\N	\N	\N
1014503	3468	1996-08-13	PRIJEM	VKLAD	10781	40080	\N	\N	\N
1014504	3468	1996-09-13	PRIJEM	VKLAD	10781	38447	\N	\N	\N
1014505	3468	1996-10-13	PRIJEM	VKLAD	10781	40016	\N	\N	\N
1014506	3468	1996-11-13	PRIJEM	VKLAD	10781	38527	\N	\N	\N
1014507	3468	1996-12-13	PRIJEM	VKLAD	16172	42805	\N	\N	\N
1014508	3468	1997-01-13	PRIJEM	VKLAD	10781	37701	\N	\N	\N
1014509	3468	1997-02-13	PRIJEM	VKLAD	10781	29868	\N	\N	\N
1014510	3468	1997-03-13	PRIJEM	VKLAD	10781	37290	\N	\N	\N
1014511	3468	1997-04-13	PRIJEM	VKLAD	10781	40842	\N	\N	\N
1014512	3468	1997-05-13	PRIJEM	VKLAD	10781	42413	\N	\N	\N
1014513	3468	1997-06-13	PRIJEM	VKLAD	16172	45423	\N	\N	\N
1014514	3468	1997-07-13	PRIJEM	VKLAD	10781	45309	\N	\N	\N
1014515	3468	1997-08-13	PRIJEM	VKLAD	10781	46302	\N	\N	\N
1014516	3468	1997-09-13	PRIJEM	VKLAD	10781	47298	\N	\N	\N
1014517	3468	1997-10-13	PRIJEM	VKLAD	10781	46998	\N	\N	\N
1014518	3468	1997-11-13	PRIJEM	VKLAD	10781	48398	\N	\N	\N
1014519	3468	1997-12-13	PRIJEM	VKLAD	16172	58293	\N	\N	\N
1014520	3468	1998-01-13	PRIJEM	VKLAD	10781	41845	\N	\N	\N
1014521	3468	1998-02-13	PRIJEM	VKLAD	10781	48336	\N	\N	\N
1014522	3468	1998-03-13	PRIJEM	VKLAD	10781	53930	\N	\N	\N
1014523	3468	1998-04-13	PRIJEM	VKLAD	10781	61653	\N	\N	\N
1014524	3468	1998-05-13	PRIJEM	VKLAD	10781	65505	\N	\N	\N
1014525	3468	1998-06-13	PRIJEM	VKLAD	16172	58408	\N	\N	\N
1014526	3468	1998-07-13	PRIJEM	VKLAD	10781	62678	\N	\N	\N
1014527	3468	1998-08-13	PRIJEM	VKLAD	10781	70631	\N	\N	\N
1014528	3468	1998-09-13	PRIJEM	VKLAD	10781	63656	\N	\N	\N
1014529	3468	1998-10-13	PRIJEM	VKLAD	10781	75127	\N	\N	\N
1014530	3468	1998-11-13	PRIJEM	VKLAD	10781	78030	\N	\N	\N
1014531	3468	1998-12-13	PRIJEM	VKLAD	16172	83842	\N	\N	\N
1014539	3468	1996-08-09	VYDAJ	PREVOD NA UCET	3907	31248	SIPO	QR	38282466
1014540	3468	1996-09-09	VYDAJ	PREVOD NA UCET	3907	36315	SIPO	QR	38282466
1014541	3468	1996-10-09	VYDAJ	PREVOD NA UCET	3907	34684	SIPO	QR	38282466
1014542	3468	1996-11-09	VYDAJ	PREVOD NA UCET	3907	34095	SIPO	QR	38282466
1014543	3468	1996-12-09	VYDAJ	PREVOD NA UCET	3907	32682	SIPO	QR	38282466
1014544	3468	1997-01-09	VYDAJ	PREVOD NA UCET	3907	27069	SIPO	QR	38282466
1014545	3468	1997-02-09	VYDAJ	PREVOD NA UCET	3907	19236	SIPO	QR	38282466
1014546	3468	1997-03-09	VYDAJ	PREVOD NA UCET	3907	26058	SIPO	QR	38282466
1014547	3468	1997-04-09	VYDAJ	PREVOD NA UCET	3907	30210	SIPO	QR	38282466
1014548	3468	1997-05-09	VYDAJ	PREVOD NA UCET	3907	31781	SIPO	QR	38282466
1014549	3468	1997-06-09	VYDAJ	PREVOD NA UCET	3907	29400	SIPO	QR	38282466
1014550	3468	1997-07-09	VYDAJ	PREVOD NA UCET	3907	34677	SIPO	QR	38282466
1014551	3468	1997-08-09	VYDAJ	PREVOD NA UCET	3907	35670	SIPO	QR	38282466
1014552	3468	1997-09-09	VYDAJ	PREVOD NA UCET	3907	36666	SIPO	QR	38282466
1014553	3468	1997-10-09	VYDAJ	PREVOD NA UCET	3907	36366	SIPO	QR	38282466
1014554	3468	1997-11-09	VYDAJ	PREVOD NA UCET	3907	37766	SIPO	QR	38282466
1014555	3468	1997-12-09	VYDAJ	PREVOD NA UCET	3907	42270	SIPO	QR	38282466
1014556	3468	1998-01-09	VYDAJ	PREVOD NA UCET	3907	42853	SIPO	QR	38282466
1014557	3468	1998-02-09	VYDAJ	PREVOD NA UCET	3907	37704	SIPO	QR	38282466
1014558	3468	1998-03-09	VYDAJ	PREVOD NA UCET	3907	43298	SIPO	QR	38282466
1014559	3468	1998-04-09	VYDAJ	PREVOD NA UCET	3907	51021	SIPO	QR	38282466
1014560	3468	1998-05-09	VYDAJ	PREVOD NA UCET	3907	54873	SIPO	QR	38282466
1014561	3468	1998-06-09	VYDAJ	PREVOD NA UCET	3907	61745	SIPO	QR	38282466
1014562	3468	1998-07-09	VYDAJ	PREVOD NA UCET	3907	52046	SIPO	QR	38282466
1014563	3468	1998-08-09	VYDAJ	PREVOD NA UCET	3907	59999	SIPO	QR	38282466
1014564	3468	1998-09-09	VYDAJ	PREVOD NA UCET	3907	57824	SIPO	QR	38282466
1014565	3468	1998-10-09	VYDAJ	PREVOD NA UCET	3907	64495	SIPO	QR	38282466
1014566	3468	1998-11-09	VYDAJ	PREVOD NA UCET	3907	67398	SIPO	QR	38282466
1014567	3468	1998-12-09	VYDAJ	PREVOD NA UCET	3907	67819	SIPO	QR	38282466
1014575	3468	1996-08-10	VYDAJ	PREVOD NA UCET	149	31099	 	QR	18880945
1014576	3468	1996-09-10	VYDAJ	PREVOD NA UCET	149	36166	 	QR	18880945
1014577	3468	1996-10-10	VYDAJ	PREVOD NA UCET	149	34535	 	QR	18880945
1014578	3468	1996-11-10	VYDAJ	PREVOD NA UCET	149	31946	 	QR	18880945
1014579	3468	1996-12-10	VYDAJ	PREVOD NA UCET	149	32533	 	QR	18880945
1014580	3468	1997-01-10	VYDAJ	PREVOD NA UCET	149	26920	 	QR	18880945
1014581	3468	1997-02-10	VYDAJ	PREVOD NA UCET	149	19087	 	QR	18880945
1014582	3468	1997-03-10	VYDAJ	PREVOD NA UCET	149	26509	 	QR	18880945
1014583	3468	1997-04-10	VYDAJ	PREVOD NA UCET	149	30061	 	QR	18880945
1014584	3468	1997-05-10	VYDAJ	PREVOD NA UCET	149	31632	 	QR	18880945
1014585	3468	1997-06-10	VYDAJ	PREVOD NA UCET	149	29251	 	QR	18880945
1014586	3468	1997-07-10	VYDAJ	PREVOD NA UCET	149	34528	 	QR	18880945
1014587	3468	1997-08-10	VYDAJ	PREVOD NA UCET	149	35521	 	QR	18880945
1014588	3468	1997-09-10	VYDAJ	PREVOD NA UCET	149	36517	 	QR	18880945
1014589	3468	1997-10-10	VYDAJ	PREVOD NA UCET	149	36217	 	QR	18880945
1014590	3468	1997-11-10	VYDAJ	PREVOD NA UCET	149	37617	 	QR	18880945
1014591	3468	1997-12-10	VYDAJ	PREVOD NA UCET	149	42121	 	QR	18880945
1014592	3468	1998-01-10	VYDAJ	PREVOD NA UCET	149	42704	 	QR	18880945
1014593	3468	1998-02-10	VYDAJ	PREVOD NA UCET	149	37555	 	QR	18880945
1014594	3468	1998-03-10	VYDAJ	PREVOD NA UCET	149	43149	 	QR	18880945
1014595	3468	1998-04-10	VYDAJ	PREVOD NA UCET	149	50872	 	QR	18880945
1014596	3468	1998-05-10	VYDAJ	PREVOD NA UCET	149	54724	 	QR	18880945
1014597	3468	1998-06-10	VYDAJ	PREVOD NA UCET	149	61596	 	QR	18880945
1014598	3468	1998-07-10	VYDAJ	PREVOD NA UCET	149	51897	 	QR	18880945
1014599	3468	1998-08-10	VYDAJ	PREVOD NA UCET	149	59850	 	QR	18880945
1014600	3468	1998-09-10	VYDAJ	PREVOD NA UCET	149	57675	 	QR	18880945
1014601	3468	1998-10-10	VYDAJ	PREVOD NA UCET	149	64346	 	QR	18880945
1014602	3468	1998-11-10	VYDAJ	PREVOD NA UCET	149	67249	 	QR	18880945
1014603	3468	1998-12-10	VYDAJ	PREVOD NA UCET	149	67670	 	QR	18880945
1014642	3468	1998-06-11	VYDAJ	VYBER	19360	42236	\N	\N	\N
1014644	3468	1997-01-24	VYDAJ	VYBER	6080	25741	\N	\N	\N
1014645	3468	1998-01-11	VYDAJ	VYBER	9120	33584	\N	\N	\N
1014646	3468	1996-12-03	VYDAJ	VYBER	2080	36589	\N	\N	\N
1014647	3468	1997-12-26	VYDAJ	VYBER	1280	57013	\N	\N	\N
1014648	3468	1998-12-04	VYDAJ	VYBER	1280	71726	\N	\N	\N
1014655	3468	1997-01-01	VYDAJ	VYBER	1680	41276	\N	\N	\N
1014656	3468	1997-01-16	VYDAJ	VYBER	1200	36501	\N	\N	\N
1014657	3468	1997-01-23	VYDAJ	VYBER	2280	31821	\N	\N	\N
1014658	3468	1997-01-30	VYDAJ	VYBER	1320	24421	\N	\N	\N
1014659	3468	1997-01-05	VYDAJ	VYBER	3000	35276	\N	\N	\N
1014660	3468	1997-01-04	VYDAJ	VYBER	3000	38276	\N	\N	\N
1014661	3468	1998-01-23	VYDAJ	VYBER	720	41125	\N	\N	\N
1014662	3468	1998-01-08	VYDAJ	VYBER	1920	46760	\N	\N	\N
1014663	3468	1998-01-04	VYDAJ	VYBER	3000	50720	\N	\N	\N
1014664	3468	1998-01-06	VYDAJ	VYBER	2040	48680	\N	\N	\N
1014665	3468	1998-01-30	VYDAJ	VYBER	1680	39445	\N	\N	\N
1014666	3468	1998-01-12	VYDAJ	VYBER	2520	31064	\N	\N	\N
1014667	3468	1996-11-12	VYDAJ	VYBER	4200	27746	\N	\N	\N
1014670	3468	1996-10-13	VYDAJ	VYBER	2160	37856	\N	\N	\N
1014671	3468	1997-01-22	VYDAJ	VYBER	2400	34101	\N	\N	\N
1014672	3468	1997-06-07	VYDAJ	VYBER	3960	38607	\N	\N	\N
1014673	3468	1998-07-06	VYDAJ	VYBER	600	55953	\N	\N	\N
1014674	3468	1998-09-11	VYDAJ	VYBER	4800	52875	\N	\N	\N
1014675	3468	1998-08-25	VYDAJ	VYBER	4800	65831	\N	\N	\N
1014676	3468	1998-10-30	VYDAJ	VYBER	4800	70327	\N	\N	\N
1014677	3468	1998-06-21	VYDAJ	VYBER	2880	55528	\N	\N	\N
1014678	3468	1998-09-07	VYDAJ	VYBER	2760	61731	\N	\N	\N
1014679	3468	1998-11-30	VYDAJ	VYBER	3720	73006	\N	\N	\N
1014680	3468	1998-06-26	VYDAJ	VYBER	5400	50128	\N	\N	\N
1014688	3468	1996-07-31	VYDAJ	VYBER	15	35155	SLUZBY	\N	\N
1014689	3468	1996-08-31	VYDAJ	VYBER	15	40222	SLUZBY	\N	\N
1014690	3468	1996-09-30	VYDAJ	VYBER	15	38591	SLUZBY	\N	\N
1014691	3468	1996-10-31	VYDAJ	VYBER	15	38002	SLUZBY	\N	\N
1014692	3468	1996-11-30	VYDAJ	VYBER	15	38669	SLUZBY	\N	\N
1014693	3468	1996-12-31	VYDAJ	VYBER	15	42956	SLUZBY	\N	\N
1014694	3468	1997-01-31	VYDAJ	VYBER	15	24543	SLUZBY	\N	\N
1014695	3468	1997-02-28	VYDAJ	VYBER	15	29965	SLUZBY	\N	\N
1014696	3468	1997-03-31	VYDAJ	VYBER	15	37417	SLUZBY	\N	\N
1014697	3468	1997-04-30	VYDAJ	VYBER	15	40988	SLUZBY	\N	\N
1014698	3468	1997-05-31	VYDAJ	VYBER	15	42567	SLUZBY	\N	\N
1014699	3468	1997-06-30	VYDAJ	VYBER	15	45584	SLUZBY	\N	\N
1014700	3468	1997-07-31	VYDAJ	VYBER	15	45477	SLUZBY	\N	\N
1014701	3468	1997-08-31	VYDAJ	VYBER	15	46473	SLUZBY	\N	\N
1014702	3468	1997-09-30	VYDAJ	VYBER	15	47473	SLUZBY	\N	\N
1014703	3468	1997-10-31	VYDAJ	VYBER	15	47173	SLUZBY	\N	\N
1014704	3468	1997-11-30	VYDAJ	VYBER	15	48577	SLUZBY	\N	\N
1014705	3468	1997-12-31	VYDAJ	VYBER	15	57220	SLUZBY	\N	\N
1014706	3468	1998-01-31	VYDAJ	VYBER	15	39611	SLUZBY	\N	\N
1014707	3468	1998-02-28	VYDAJ	VYBER	15	48505	SLUZBY	\N	\N
1014708	3468	1998-03-31	VYDAJ	VYBER	15	54128	SLUZBY	\N	\N
1014709	3468	1998-04-30	VYDAJ	VYBER	15	61880	SLUZBY	\N	\N
1014710	3468	1998-05-31	VYDAJ	VYBER	15	65752	SLUZBY	\N	\N
1014711	3468	1998-06-30	VYDAJ	VYBER	15	50353	SLUZBY	\N	\N
1014712	3468	1998-07-31	VYDAJ	VYBER	15	62906	SLUZBY	\N	\N
1014713	3468	1998-08-31	VYDAJ	VYBER	15	66091	SLUZBY	\N	\N
1014714	3468	1998-09-30	VYDAJ	VYBER	15	63902	SLUZBY	\N	\N
1014715	3468	1998-10-31	VYDAJ	VYBER	15	71305	SLUZBY	\N	\N
1014716	3468	1998-11-30	VYDAJ	VYBER	15	76726	SLUZBY	\N	\N
1014717	3468	1996-03-15	PRIJEM	VKLAD	10300	21381	\N	\N	\N
1014718	3468	1996-04-14	VYDAJ	VYBER	1700	30511	\N	\N	\N
1014719	3468	1996-05-14	VYDAJ	VYBER	7900	33503	\N	\N	\N
1014720	3468	1996-06-13	VYDAJ	VYBER	13600	36209	\N	\N	\N
1014721	3468	1996-07-13	VYDAJ	VYBER	12200	34970	\N	\N	\N
1014722	3468	1996-08-12	VYDAJ	VYBER	1800	29299	\N	\N	\N
1014723	3468	1996-09-11	VYDAJ	VYBER	8500	27666	\N	\N	\N
1014724	3468	1996-10-11	VYDAJ	VYBER	5300	29235	\N	\N	\N
1014725	3468	1996-11-10	VYDAJ	VYBER	2000	32095	\N	\N	\N
1014726	3468	1996-12-10	VYDAJ	VYBER	5900	26633	\N	\N	\N
1014727	3468	1997-01-09	VYDAJ	VYBER	4300	30976	\N	\N	\N
1014728	3468	1997-02-08	VYDAJ	VYBER	1400	23143	\N	\N	\N
1014729	3468	1997-03-10	PRIJEM	VKLAD	600	26658	\N	\N	\N
1014730	3468	1997-04-09	VYDAJ	VYBER	3300	34117	\N	\N	\N
1014731	3468	1997-05-09	VYDAJ	VYBER	5300	35688	\N	\N	\N
1014732	3468	1997-06-08	VYDAJ	VYBER	5300	33307	\N	\N	\N
1014733	3468	1997-07-08	VYDAJ	VYBER	7000	38584	\N	\N	\N
1014734	3468	1997-08-07	VYDAJ	VYBER	5900	39577	\N	\N	\N
1014735	3468	1997-09-06	VYDAJ	VYBER	5900	40573	\N	\N	\N
1014736	3468	1997-10-06	VYDAJ	VYBER	7200	40273	\N	\N	\N
1014737	3468	1997-11-05	VYDAJ	VYBER	5500	41673	\N	\N	\N
1014738	3468	1997-12-05	VYDAJ	VYBER	2400	46177	\N	\N	\N
1014739	3468	1998-01-04	VYDAJ	VYBER	3500	53720	\N	\N	\N
1014740	3468	1998-02-03	PRIJEM	VKLAD	2000	41611	\N	\N	\N
1014741	3468	1998-03-05	VYDAJ	VYBER	1300	47205	\N	\N	\N
1014742	3468	1998-04-04	PRIJEM	VKLAD	800	54928	\N	\N	\N
1014743	3468	1998-05-04	VYDAJ	VYBER	3100	58780	\N	\N	\N
1014744	3468	1998-06-03	VYDAJ	VYBER	100	65652	\N	\N	\N
1014745	3468	1998-07-03	PRIJEM	VKLAD	6200	56553	\N	\N	\N
1014746	3468	1998-08-02	PRIJEM	VKLAD	1000	63906	\N	\N	\N
1014747	3468	1998-09-01	VYDAJ	VYBER	1600	64491	\N	\N	\N
1014748	3468	1998-10-01	PRIJEM	VKLAD	4500	68402	\N	\N	\N
1014749	3468	1998-10-31	PRIJEM	VKLAD	700	71319	\N	\N	\N
1014750	3468	1998-11-30	VYDAJ	VYBER	1600	76740	\N	\N	\N
1014785	3469	1993-05-22	PRIJEM	VKLAD	800	800	\N	\N	\N
1014791	3469	1993-06-13	PRIJEM	PREVOD Z UCTU	5822	6622	DUCHOD	ST	99198603
1014792	3469	1993-07-13	PRIJEM	PREVOD Z UCTU	5822	12444	DUCHOD	ST	99198603
1014793	3469	1993-08-13	PRIJEM	PREVOD Z UCTU	5822	18266	DUCHOD	ST	99198603
1014794	3469	1993-09-13	PRIJEM	PREVOD Z UCTU	5822	24088	DUCHOD	ST	99198603
1014795	3469	1993-10-13	PRIJEM	PREVOD Z UCTU	5822	28348	DUCHOD	ST	99198603
1014796	3469	1993-11-13	PRIJEM	PREVOD Z UCTU	5822	27502	DUCHOD	ST	99198603
1014797	3469	1993-12-13	PRIJEM	PREVOD Z UCTU	5822	30370	DUCHOD	ST	99198603
1014798	3469	1994-01-13	PRIJEM	PREVOD Z UCTU	5822	21365	DUCHOD	ST	99198603
1014799	3469	1994-02-13	PRIJEM	PREVOD Z UCTU	5822	19783	DUCHOD	ST	99198603
1014800	3469	1994-03-13	PRIJEM	PREVOD Z UCTU	5822	23113	DUCHOD	ST	99198603
1014801	3469	1994-04-13	PRIJEM	PREVOD Z UCTU	5822	24955	DUCHOD	ST	99198603
1014802	3469	1994-05-13	PRIJEM	PREVOD Z UCTU	5822	28307	DUCHOD	ST	99198603
1014803	3469	1994-06-13	PRIJEM	PREVOD Z UCTU	5822	19845	DUCHOD	ST	99198603
1014804	3469	1994-07-13	PRIJEM	PREVOD Z UCTU	5822	19348	DUCHOD	ST	99198603
1014805	3469	1994-08-13	PRIJEM	PREVOD Z UCTU	5822	22676	DUCHOD	ST	99198603
1014806	3469	1994-09-13	PRIJEM	PREVOD Z UCTU	5822	25059	DUCHOD	ST	99198603
1014807	3469	1994-10-13	PRIJEM	PREVOD Z UCTU	5822	25271	DUCHOD	ST	99198603
1014808	3469	1994-11-13	PRIJEM	PREVOD Z UCTU	5822	28323	DUCHOD	ST	99198603
1014809	3469	1994-12-13	PRIJEM	PREVOD Z UCTU	5822	27138	DUCHOD	ST	99198603
1014810	3469	1995-01-13	PRIJEM	PREVOD Z UCTU	5822	27701	DUCHOD	ST	99198603
1014811	3469	1995-02-13	PRIJEM	PREVOD Z UCTU	5822	19644	DUCHOD	ST	99198603
1014812	3469	1995-03-13	PRIJEM	PREVOD Z UCTU	5822	20411	DUCHOD	ST	99198603
1014813	3469	1995-04-13	PRIJEM	PREVOD Z UCTU	5822	18215	DUCHOD	ST	99198603
1014814	3469	1995-05-13	PRIJEM	PREVOD Z UCTU	5822	21539	DUCHOD	ST	99198603
1014815	3469	1995-06-13	PRIJEM	PREVOD Z UCTU	5822	23275	DUCHOD	ST	99198603
1014816	3469	1995-07-13	PRIJEM	PREVOD Z UCTU	5822	18849	DUCHOD	ST	99198603
1014817	3469	1995-08-13	PRIJEM	PREVOD Z UCTU	5822	22176	DUCHOD	ST	99198603
1014818	3469	1995-09-13	PRIJEM	PREVOD Z UCTU	5822	25516	DUCHOD	ST	99198603
1014819	3469	1995-10-13	PRIJEM	PREVOD Z UCTU	5822	28870	DUCHOD	ST	99198603
1014820	3469	1995-11-13	PRIJEM	PREVOD Z UCTU	5822	32238	DUCHOD	ST	99198603
1014821	3469	1995-12-13	PRIJEM	PREVOD Z UCTU	5822	35620	DUCHOD	ST	99198603
1014822	3469	1996-01-13	PRIJEM	PREVOD Z UCTU	5822	35096	DUCHOD	ST	99198603
1014823	3469	1996-02-13	PRIJEM	PREVOD Z UCTU	5822	30170	DUCHOD	ST	99198603
1014824	3469	1996-03-13	PRIJEM	PREVOD Z UCTU	5822	30543	DUCHOD	ST	99198603
1014825	3469	1996-04-13	PRIJEM	PREVOD Z UCTU	5822	31522	DUCHOD	ST	99198603
1014826	3469	1996-05-13	PRIJEM	PREVOD Z UCTU	5822	31504	DUCHOD	ST	99198603
1014827	3469	1996-06-13	PRIJEM	PREVOD Z UCTU	5822	32647	DUCHOD	ST	99198603
1014828	3469	1996-07-13	PRIJEM	PREVOD Z UCTU	5822	30733	DUCHOD	ST	99198603
1014829	3469	1996-08-13	PRIJEM	PREVOD Z UCTU	5822	32712	DUCHOD	ST	99198603
1014830	3469	1996-09-13	PRIJEM	PREVOD Z UCTU	5822	35297	DUCHOD	ST	99198603
1014831	3469	1996-10-13	PRIJEM	PREVOD Z UCTU	5822	32569	DUCHOD	ST	99198603
1014832	3469	1996-11-13	PRIJEM	PREVOD Z UCTU	5822	33875	DUCHOD	ST	99198603
1014833	3469	1996-12-13	PRIJEM	PREVOD Z UCTU	5822	35513	DUCHOD	ST	99198603
1014834	3469	1997-01-13	PRIJEM	PREVOD Z UCTU	5822	31790	DUCHOD	ST	99198603
1014835	3469	1997-02-13	PRIJEM	PREVOD Z UCTU	5822	30100	DUCHOD	ST	99198603
1014836	3469	1997-03-13	PRIJEM	PREVOD Z UCTU	5822	33472	DUCHOD	ST	99198603
1014837	3469	1997-04-13	PRIJEM	PREVOD Z UCTU	5822	36858	DUCHOD	ST	99198603
1014838	3469	1997-05-13	PRIJEM	PREVOD Z UCTU	5822	40158	DUCHOD	ST	99198603
1014839	3469	1997-06-13	PRIJEM	PREVOD Z UCTU	5822	43572	DUCHOD	ST	99198603
1014840	3469	1997-07-13	PRIJEM	PREVOD Z UCTU	5822	35980	DUCHOD	ST	99198603
1014841	3469	1997-08-13	PRIJEM	PREVOD Z UCTU	5822	32167	DUCHOD	ST	99198603
1014842	3469	1997-09-13	PRIJEM	PREVOD Z UCTU	5822	33308	DUCHOD	ST	99198603
1014843	3469	1997-10-13	PRIJEM	PREVOD Z UCTU	5822	30854	DUCHOD	ST	99198603
1014844	3469	1997-11-13	PRIJEM	PREVOD Z UCTU	5822	32832	DUCHOD	ST	99198603
1014845	3469	1997-12-13	PRIJEM	PREVOD Z UCTU	5822	34414	DUCHOD	ST	99198603
1014846	3469	1998-01-13	PRIJEM	PREVOD Z UCTU	5822	31082	DUCHOD	ST	99198603
1014847	3469	1998-02-13	PRIJEM	PREVOD Z UCTU	5822	25199	DUCHOD	ST	99198603
1014848	3469	1998-03-13	PRIJEM	PREVOD Z UCTU	5822	28552	DUCHOD	ST	99198603
1014849	3469	1998-04-13	PRIJEM	PREVOD Z UCTU	5822	31916	DUCHOD	ST	99198603
1014850	3469	1998-05-13	PRIJEM	PREVOD Z UCTU	5822	32087	DUCHOD	ST	99198603
1014851	3469	1998-06-13	PRIJEM	PREVOD Z UCTU	5822	22477	DUCHOD	ST	99198603
1014852	3469	1998-07-13	PRIJEM	PREVOD Z UCTU	5822	25821	DUCHOD	ST	99198603
1014853	3469	1998-08-13	PRIJEM	PREVOD Z UCTU	5822	23962	DUCHOD	ST	99198603
1014854	3469	1998-09-13	PRIJEM	PREVOD Z UCTU	5822	27307	DUCHOD	ST	99198603
1014855	3469	1998-10-13	PRIJEM	PREVOD Z UCTU	5822	30666	DUCHOD	ST	99198603
1014856	3469	1998-11-13	PRIJEM	PREVOD Z UCTU	5822	32137	DUCHOD	ST	99198603
1014857	3469	1998-12-13	PRIJEM	PREVOD Z UCTU	5822	28107	DUCHOD	ST	99198603
1014868	3469	1993-11-12	VYDAJ	PREVOD NA UCET	2554	21680	SIPO	MN	92487829
1014869	3469	1993-12-12	VYDAJ	PREVOD NA UCET	2554	24548	SIPO	MN	92487829
1014870	3469	1994-01-12	VYDAJ	PREVOD NA UCET	2554	15543	SIPO	MN	92487829
1014871	3469	1994-02-12	VYDAJ	PREVOD NA UCET	2554	13961	SIPO	MN	92487829
1014872	3469	1994-03-12	VYDAJ	PREVOD NA UCET	2554	17291	SIPO	MN	92487829
1014873	3469	1994-04-12	VYDAJ	PREVOD NA UCET	2554	19133	SIPO	MN	92487829
1014874	3469	1994-05-12	VYDAJ	PREVOD NA UCET	2554	22485	SIPO	MN	92487829
1014875	3469	1994-06-12	VYDAJ	PREVOD NA UCET	2554	18623	SIPO	MN	92487829
1014876	3469	1994-07-12	VYDAJ	PREVOD NA UCET	2554	13526	SIPO	MN	92487829
1014877	3469	1994-08-12	VYDAJ	PREVOD NA UCET	2554	16854	SIPO	MN	92487829
1014878	3469	1994-09-12	VYDAJ	PREVOD NA UCET	2554	19237	SIPO	MN	92487829
1014879	3469	1994-10-12	VYDAJ	PREVOD NA UCET	2554	19449	SIPO	MN	92487829
1014880	3469	1994-11-12	VYDAJ	PREVOD NA UCET	2554	22501	SIPO	MN	92487829
1014881	3469	1994-12-12	VYDAJ	PREVOD NA UCET	2554	21316	SIPO	MN	92487829
1014882	3469	1995-01-12	VYDAJ	PREVOD NA UCET	2554	21879	SIPO	MN	92487829
1014883	3469	1995-02-12	VYDAJ	PREVOD NA UCET	2554	13822	SIPO	MN	92487829
1014884	3469	1995-03-12	VYDAJ	PREVOD NA UCET	2554	14589	SIPO	MN	92487829
1014885	3469	1995-04-12	VYDAJ	PREVOD NA UCET	2554	12393	SIPO	MN	92487829
1014886	3469	1995-05-12	VYDAJ	PREVOD NA UCET	2554	15717	SIPO	MN	92487829
1014887	3469	1995-06-12	VYDAJ	PREVOD NA UCET	2554	17453	SIPO	MN	92487829
1014888	3469	1995-07-12	VYDAJ	PREVOD NA UCET	2554	13027	SIPO	MN	92487829
1014889	3469	1995-08-12	VYDAJ	PREVOD NA UCET	2554	16354	SIPO	MN	92487829
1014890	3469	1995-09-12	VYDAJ	PREVOD NA UCET	2554	19694	SIPO	MN	92487829
1014891	3469	1995-10-12	VYDAJ	PREVOD NA UCET	2554	23048	SIPO	MN	92487829
1014892	3469	1995-11-12	VYDAJ	PREVOD NA UCET	2554	26416	SIPO	MN	92487829
1014893	3469	1995-12-12	VYDAJ	PREVOD NA UCET	2554	29798	SIPO	MN	92487829
1014894	3469	1996-01-12	VYDAJ	PREVOD NA UCET	2554	29274	SIPO	MN	92487829
1014895	3469	1996-02-12	VYDAJ	PREVOD NA UCET	2554	24348	SIPO	MN	92487829
1014896	3469	1996-03-12	VYDAJ	PREVOD NA UCET	2554	24721	SIPO	MN	92487829
1014897	3469	1996-04-12	VYDAJ	PREVOD NA UCET	2554	25700	SIPO	MN	92487829
1014898	3469	1996-05-12	VYDAJ	PREVOD NA UCET	2554	25682	SIPO	MN	92487829
1014899	3469	1996-06-12	VYDAJ	PREVOD NA UCET	2554	26825	SIPO	MN	92487829
1014900	3469	1996-07-12	VYDAJ	PREVOD NA UCET	2554	24911	SIPO	MN	92487829
1014901	3469	1996-08-12	VYDAJ	PREVOD NA UCET	2554	26890	SIPO	MN	92487829
1014902	3469	1996-09-12	VYDAJ	PREVOD NA UCET	2554	29475	SIPO	MN	92487829
1014903	3469	1996-10-12	VYDAJ	PREVOD NA UCET	2554	26747	SIPO	MN	92487829
1014904	3469	1996-11-12	VYDAJ	PREVOD NA UCET	2554	28053	SIPO	MN	92487829
1014905	3469	1996-12-12	VYDAJ	PREVOD NA UCET	2554	29691	SIPO	MN	92487829
1014906	3469	1997-01-12	VYDAJ	PREVOD NA UCET	2554	25968	SIPO	MN	92487829
1014907	3469	1997-02-12	VYDAJ	PREVOD NA UCET	2554	24278	SIPO	MN	92487829
1014908	3469	1997-03-12	VYDAJ	PREVOD NA UCET	2554	27650	SIPO	MN	92487829
1014909	3469	1997-04-12	VYDAJ	PREVOD NA UCET	2554	31036	SIPO	MN	92487829
1014910	3469	1997-05-12	VYDAJ	PREVOD NA UCET	2554	34336	SIPO	MN	92487829
1014911	3469	1997-06-12	VYDAJ	PREVOD NA UCET	2554	37750	SIPO	MN	92487829
1014912	3469	1997-07-12	VYDAJ	PREVOD NA UCET	2554	30158	SIPO	MN	92487829
1014913	3469	1997-08-12	VYDAJ	PREVOD NA UCET	2554	26345	SIPO	MN	92487829
1014914	3469	1997-09-12	VYDAJ	PREVOD NA UCET	2554	27486	SIPO	MN	92487829
1014915	3469	1997-10-12	VYDAJ	PREVOD NA UCET	2554	25032	SIPO	MN	92487829
1014916	3469	1997-11-12	VYDAJ	PREVOD NA UCET	2554	27010	SIPO	MN	92487829
1014917	3469	1997-12-12	VYDAJ	PREVOD NA UCET	2554	28592	SIPO	MN	92487829
1014918	3469	1998-01-12	VYDAJ	PREVOD NA UCET	2554	25260	SIPO	MN	92487829
1014919	3469	1998-02-12	VYDAJ	PREVOD NA UCET	2554	20817	SIPO	MN	92487829
1014920	3469	1998-03-12	VYDAJ	PREVOD NA UCET	2554	22730	SIPO	MN	92487829
1014921	3469	1998-04-12	VYDAJ	PREVOD NA UCET	2554	26094	SIPO	MN	92487829
1014922	3469	1998-05-12	VYDAJ	PREVOD NA UCET	2554	26265	SIPO	MN	92487829
1014923	3469	1998-06-12	VYDAJ	PREVOD NA UCET	2554	16655	SIPO	MN	92487829
1014924	3469	1998-07-12	VYDAJ	PREVOD NA UCET	2554	19999	SIPO	MN	92487829
1014925	3469	1998-08-12	VYDAJ	PREVOD NA UCET	2554	18140	SIPO	MN	92487829
1014926	3469	1998-09-12	VYDAJ	PREVOD NA UCET	2554	21485	SIPO	MN	92487829
1014927	3469	1998-10-12	VYDAJ	PREVOD NA UCET	2554	24844	SIPO	MN	92487829
1014928	3469	1998-11-12	VYDAJ	PREVOD NA UCET	2554	26315	SIPO	MN	92487829
1014929	3469	1998-12-12	VYDAJ	PREVOD NA UCET	2554	22285	SIPO	MN	92487829
1014931	3469	1994-06-12	VYDAJ	VYBER	4600	14023	\N	\N	\N
1014932	3469	1995-06-19	VYDAJ	VYBER	6800	16475	\N	\N	\N
1014933	3469	1996-06-13	VYDAJ	VYBER	2600	30047	\N	\N	\N
1014934	3469	1997-06-18	VYDAJ	VYBER	11000	32572	\N	\N	\N
1014935	3469	1998-06-04	VYDAJ	VYBER	11150	19209	\N	\N	\N
1014937	3469	1994-01-08	VYDAJ	VYBER	4450	18097	\N	\N	\N
1014938	3469	1995-01-16	VYDAJ	VYBER	850	26851	\N	\N	\N
1014939	3469	1996-01-15	VYDAJ	VYBER	2250	32846	\N	\N	\N
1014940	3469	1997-01-24	VYDAJ	VYBER	2350	26720	\N	\N	\N
1014941	3469	1998-01-21	VYDAJ	VYBER	4850	26232	\N	\N	\N
1014942	3469	1993-12-12	VYDAJ	VYBER	500	27102	\N	\N	\N
1014943	3469	1994-12-08	VYDAJ	VYBER	950	23870	\N	\N	\N
1014944	3469	1995-12-28	VYDAJ	VYBER	400	35220	\N	\N	\N
1014945	3469	1996-12-11	VYDAJ	VYBER	850	32245	\N	\N	\N
1014946	3469	1997-12-26	VYDAJ	VYBER	900	33514	\N	\N	\N
1014947	3469	1998-12-09	VYDAJ	VYBER	800	24839	\N	\N	\N
1014954	3469	1994-01-30	VYDAJ	VYBER	1200	16445	\N	\N	\N
1014955	3469	1994-01-07	VYDAJ	VYBER	480	22547	\N	\N	\N
1014956	3469	1994-01-01	VYDAJ	VYBER	1600	23667	\N	\N	\N
1014957	3469	1994-01-25	VYDAJ	VYBER	1280	19485	\N	\N	\N
1014958	3469	1994-01-27	VYDAJ	VYBER	1840	17645	\N	\N	\N
1014959	3469	1994-01-05	VYDAJ	VYBER	640	23027	\N	\N	\N
1014960	3469	1995-01-22	VYDAJ	VYBER	2080	23331	\N	\N	\N
1014961	3469	1995-01-16	VYDAJ	VYBER	1440	25411	\N	\N	\N
1014962	3469	1995-01-30	VYDAJ	VYBER	560	16291	\N	\N	\N
1014963	3469	1995-01-11	VYDAJ	VYBER	480	24433	\N	\N	\N
1014964	3469	1995-01-24	VYDAJ	VYBER	2000	21331	\N	\N	\N
1014965	3469	1995-01-25	VYDAJ	VYBER	640	20691	\N	\N	\N
1014966	3469	1996-01-16	VYDAJ	VYBER	1440	31406	\N	\N	\N
1014967	3469	1996-01-09	VYDAJ	VYBER	1440	33908	\N	\N	\N
1014968	3469	1996-01-18	VYDAJ	VYBER	1360	29326	\N	\N	\N
1014969	3469	1996-01-23	VYDAJ	VYBER	1840	27486	\N	\N	\N
1014970	3469	1996-01-17	VYDAJ	VYBER	720	30686	\N	\N	\N
1014971	3469	1996-01-12	VYDAJ	VYBER	2080	31828	\N	\N	\N
1014972	3469	1997-01-14	VYDAJ	VYBER	960	30830	\N	\N	\N
1014973	3469	1997-01-19	VYDAJ	VYBER	1760	29070	\N	\N	\N
1014974	3469	1997-01-12	VYDAJ	VYBER	2000	28522	\N	\N	\N
1014975	3469	1997-01-11	VYDAJ	VYBER	1760	30522	\N	\N	\N
1014976	3469	1997-01-09	VYDAJ	VYBER	1200	34442	\N	\N	\N
1014977	3469	1997-01-10	VYDAJ	VYBER	2160	32282	\N	\N	\N
1014978	3469	1998-01-03	VYDAJ	VYBER	800	29174	\N	\N	\N
1014979	3469	1998-01-27	VYDAJ	VYBER	960	25272	\N	\N	\N
1014980	3469	1998-01-30	VYDAJ	VYBER	1280	23272	\N	\N	\N
1014981	3469	1998-01-28	VYDAJ	VYBER	720	24552	\N	\N	\N
1014982	3469	1998-01-01	VYDAJ	VYBER	1920	30614	\N	\N	\N
1014983	3469	1998-01-01	VYDAJ	VYBER	640	29974	\N	\N	\N
1014985	3469	1993-10-31	VYDAJ	VYBER	2800	24234	\N	\N	\N
1014987	3469	1994-06-01	VYDAJ	VYBER	3520	21177	\N	\N	\N
1014988	3469	1994-06-30	VYDAJ	VYBER	3840	16080	\N	\N	\N
1014989	3469	1994-09-28	VYDAJ	VYBER	3040	21919	\N	\N	\N
1014990	3469	1994-09-02	VYDAJ	VYBER	960	21791	\N	\N	\N
1014991	3469	1995-01-26	VYDAJ	VYBER	3840	16851	\N	\N	\N
1014992	3469	1995-07-04	VYDAJ	VYBER	960	15581	\N	\N	\N
1014993	3469	1995-05-28	VYDAJ	VYBER	1600	19939	\N	\N	\N
1014994	3469	1995-01-05	VYDAJ	VYBER	2320	24913	\N	\N	\N
1014995	3469	1995-02-25	VYDAJ	VYBER	2560	17084	\N	\N	\N
1014996	3469	1995-03-23	VYDAJ	VYBER	3680	14891	\N	\N	\N
1014997	3469	1995-03-13	VYDAJ	VYBER	1840	18571	\N	\N	\N
1014998	3469	1996-10-24	VYDAJ	VYBER	2080	30489	\N	\N	\N
1014999	3469	1996-06-11	VYDAJ	VYBER	2240	29379	\N	\N	\N
1015000	3469	1996-09-21	VYDAJ	VYBER	2320	32977	\N	\N	\N
1015001	3469	1997-07-14	VYDAJ	VYBER	3680	32300	\N	\N	\N
1015002	3469	1997-10-03	VYDAJ	VYBER	3120	27586	\N	\N	\N
1015003	3469	1997-09-03	VYDAJ	VYBER	2240	30040	\N	\N	\N
1015004	3469	1997-07-31	VYDAJ	VYBER	3520	28914	\N	\N	\N
1015005	3469	1997-09-24	VYDAJ	VYBER	1520	31788	\N	\N	\N
1015006	3469	1998-04-14	VYDAJ	VYBER	3200	28716	\N	\N	\N
1015007	3469	1998-02-12	VYDAJ	VYBER	1440	19377	\N	\N	\N
1015008	3469	1998-01-04	VYDAJ	VYBER	1360	27814	\N	\N	\N
1015009	3469	1998-07-16	VYDAJ	VYBER	3280	20621	\N	\N	\N
1015010	3469	1998-06-01	VYDAJ	VYBER	1840	30359	\N	\N	\N
1015011	3469	1998-07-16	VYDAJ	VYBER	1920	23901	\N	\N	\N
1015022	3469	1993-10-31	VYDAJ	VYBER	15	27034	SLUZBY	\N	\N
1015023	3469	1993-11-30	VYDAJ	VYBER	15	27602	SLUZBY	\N	\N
1015024	3469	1993-12-31	VYDAJ	VYBER	15	25267	SLUZBY	\N	\N
1015025	3469	1994-01-31	VYDAJ	VYBER	15	16515	SLUZBY	\N	\N
1015026	3469	1994-02-28	VYDAJ	VYBER	15	19845	SLUZBY	\N	\N
1015027	3469	1994-03-31	VYDAJ	VYBER	15	21687	SLUZBY	\N	\N
1015028	3469	1994-04-30	VYDAJ	VYBER	15	25039	SLUZBY	\N	\N
1015029	3469	1994-05-31	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
1015030	3469	1994-06-30	VYDAJ	VYBER	15	19920	SLUZBY	\N	\N
1015031	3469	1994-07-31	VYDAJ	VYBER	15	19408	SLUZBY	\N	\N
1015032	3469	1994-08-31	VYDAJ	VYBER	15	22751	SLUZBY	\N	\N
1015033	3469	1994-09-30	VYDAJ	VYBER	15	22003	SLUZBY	\N	\N
1015034	3469	1994-10-31	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
1015035	3469	1994-11-30	VYDAJ	VYBER	15	24820	SLUZBY	\N	\N
1015036	3469	1994-12-31	VYDAJ	VYBER	15	27233	SLUZBY	\N	\N
1015037	3469	1995-01-31	VYDAJ	VYBER	15	16376	SLUZBY	\N	\N
1015038	3469	1995-02-28	VYDAJ	VYBER	15	17143	SLUZBY	\N	\N
1015039	3469	1995-03-31	VYDAJ	VYBER	15	14947	SLUZBY	\N	\N
1015040	3469	1995-04-30	VYDAJ	VYBER	15	18271	SLUZBY	\N	\N
1015041	3469	1995-05-31	VYDAJ	VYBER	15	20007	SLUZBY	\N	\N
1015042	3469	1995-06-30	VYDAJ	VYBER	15	16541	SLUZBY	\N	\N
1015043	3469	1995-07-31	VYDAJ	VYBER	15	18908	SLUZBY	\N	\N
1015044	3469	1995-08-31	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
1015045	3469	1995-09-30	VYDAJ	VYBER	15	25602	SLUZBY	\N	\N
1015046	3469	1995-10-31	VYDAJ	VYBER	15	28970	SLUZBY	\N	\N
1015047	3469	1995-11-30	VYDAJ	VYBER	15	32352	SLUZBY	\N	\N
1015048	3469	1995-12-31	VYDAJ	VYBER	15	35348	SLUZBY	\N	\N
1015049	3469	1996-01-31	VYDAJ	VYBER	15	27602	SLUZBY	\N	\N
1015050	3469	1996-02-29	VYDAJ	VYBER	15	30275	SLUZBY	\N	\N
1015051	3469	1996-03-31	VYDAJ	VYBER	15	30654	SLUZBY	\N	\N
1015052	3469	1996-04-30	VYDAJ	VYBER	15	31636	SLUZBY	\N	\N
1015053	3469	1996-05-31	VYDAJ	VYBER	15	31619	SLUZBY	\N	\N
1015054	3469	1996-06-30	VYDAJ	VYBER	15	30165	SLUZBY	\N	\N
1015055	3469	1996-07-31	VYDAJ	VYBER	15	30844	SLUZBY	\N	\N
1015056	3469	1996-08-31	VYDAJ	VYBER	15	32829	SLUZBY	\N	\N
1015057	3469	1996-09-30	VYDAJ	VYBER	15	33101	SLUZBY	\N	\N
1015058	3469	1996-10-31	VYDAJ	VYBER	15	30607	SLUZBY	\N	\N
1015059	3469	1996-11-30	VYDAJ	VYBER	15	33995	SLUZBY	\N	\N
1015060	3469	1996-12-31	VYDAJ	VYBER	15	35642	SLUZBY	\N	\N
1015061	3469	1997-01-31	VYDAJ	VYBER	15	26832	SLUZBY	\N	\N
1015062	3469	1997-02-28	VYDAJ	VYBER	15	30204	SLUZBY	\N	\N
1015063	3469	1997-03-31	VYDAJ	VYBER	15	33590	SLUZBY	\N	\N
1015064	3469	1997-04-30	VYDAJ	VYBER	15	36990	SLUZBY	\N	\N
1015065	3469	1997-05-31	VYDAJ	VYBER	15	40304	SLUZBY	\N	\N
1015066	3469	1997-06-30	VYDAJ	VYBER	15	32712	SLUZBY	\N	\N
1015067	3469	1997-07-31	VYDAJ	VYBER	15	28899	SLUZBY	\N	\N
1015068	3469	1997-08-31	VYDAJ	VYBER	15	32280	SLUZBY	\N	\N
1015069	3469	1997-09-30	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
1015070	3469	1997-10-31	VYDAJ	VYBER	15	29564	SLUZBY	\N	\N
1015071	3469	1997-11-30	VYDAJ	VYBER	15	31146	SLUZBY	\N	\N
1015072	3469	1997-12-31	VYDAJ	VYBER	15	32534	SLUZBY	\N	\N
1015073	3469	1998-01-31	VYDAJ	VYBER	15	23371	SLUZBY	\N	\N
1015074	3469	1998-02-28	VYDAJ	VYBER	15	25284	SLUZBY	\N	\N
1015075	3469	1998-03-31	VYDAJ	VYBER	15	28648	SLUZBY	\N	\N
1015076	3469	1998-04-30	VYDAJ	VYBER	15	28819	SLUZBY	\N	\N
1015077	3469	1998-05-31	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
1015078	3469	1998-06-30	VYDAJ	VYBER	15	22553	SLUZBY	\N	\N
1015079	3469	1998-07-31	VYDAJ	VYBER	15	20694	SLUZBY	\N	\N
1015080	3469	1998-08-31	VYDAJ	VYBER	15	24039	SLUZBY	\N	\N
1015081	3469	1998-09-30	VYDAJ	VYBER	15	27398	SLUZBY	\N	\N
1015082	3469	1998-10-31	VYDAJ	VYBER	15	28869	SLUZBY	\N	\N
1015083	3469	1998-11-30	VYDAJ	VYBER	15	25639	SLUZBY	\N	\N
1015084	3469	1993-09-19	VYDAJ	VYBER	1600	22488	\N	\N	\N
1015085	3469	1993-10-19	VYDAJ	VYBER	1400	26948	\N	\N	\N
1015086	3469	1993-12-18	VYDAJ	VYBER	5200	25170	\N	\N	\N
1015087	3469	1994-01-17	VYDAJ	VYBER	600	20765	\N	\N	\N
1015088	3469	1994-03-18	VYDAJ	VYBER	1500	21613	\N	\N	\N
1015089	3469	1994-05-17	VYDAJ	VYBER	3700	24607	\N	\N	\N
1015090	3469	1994-09-14	VYDAJ	VYBER	100	24959	\N	\N	\N
1015091	3469	1994-10-14	VYDAJ	VYBER	300	24971	\N	\N	\N
1015092	3469	1994-11-13	VYDAJ	VYBER	3600	24723	\N	\N	\N
1015093	3469	1996-02-06	VYDAJ	VYBER	700	26902	\N	\N	\N
1015094	3469	1996-03-07	VYDAJ	VYBER	3000	27275	\N	\N	\N
1015095	3469	1996-04-06	VYDAJ	VYBER	2400	28254	\N	\N	\N
1015096	3469	1996-05-06	VYDAJ	VYBER	3400	28236	\N	\N	\N
1015097	3469	1996-07-05	VYDAJ	VYBER	2700	27465	\N	\N	\N
1015098	3469	1996-08-04	VYDAJ	VYBER	1400	29444	\N	\N	\N
1015099	3469	1996-09-03	VYDAJ	VYBER	800	32029	\N	\N	\N
1015100	3469	1996-10-03	VYDAJ	VYBER	3800	29301	\N	\N	\N
1015101	3469	1996-12-02	VYDAJ	VYBER	900	33095	\N	\N	\N
1015102	3469	1997-05-01	VYDAJ	VYBER	100	36890	\N	\N	\N
1015103	3469	1997-09-28	VYDAJ	VYBER	1200	30588	\N	\N	\N
1015104	3469	1997-10-28	VYDAJ	VYBER	1400	29454	\N	\N	\N
1015105	3469	1997-11-27	VYDAJ	VYBER	1800	31032	\N	\N	\N
1015106	3469	1997-12-27	VYDAJ	VYBER	1100	32414	\N	\N	\N
1015107	3469	1998-10-23	VYDAJ	VYBER	1900	28766	\N	\N	\N
1015108	3469	1998-11-22	VYDAJ	VYBER	6600	25537	\N	\N	\N
1015173	3470	1997-01-12	PRIJEM	VKLAD	700	700	\N	\N	\N
1015175	3470	1997-02-09	PRIJEM	PREVOD Z UCTU	5427	6127	DUCHOD	IJ	50884389
1015176	3470	1997-03-09	PRIJEM	PREVOD Z UCTU	5427	11554	DUCHOD	IJ	50884389
1015177	3470	1997-04-09	PRIJEM	PREVOD Z UCTU	5427	16981	DUCHOD	IJ	50884389
1015178	3470	1997-05-09	PRIJEM	PREVOD Z UCTU	5427	22408	DUCHOD	IJ	50884389
1015179	3470	1997-06-09	PRIJEM	PREVOD Z UCTU	5427	27835	DUCHOD	IJ	50884389
1015180	3470	1997-07-09	PRIJEM	PREVOD Z UCTU	5427	30759	DUCHOD	IJ	50884389
1015181	3470	1997-08-09	PRIJEM	PREVOD Z UCTU	5427	31241	DUCHOD	IJ	50884389
1015182	3470	1997-09-09	PRIJEM	PREVOD Z UCTU	5427	31967	DUCHOD	IJ	50884389
1015183	3470	1997-10-09	PRIJEM	PREVOD Z UCTU	5427	35018	DUCHOD	IJ	50884389
1015184	3470	1997-11-09	PRIJEM	PREVOD Z UCTU	5427	35981	DUCHOD	IJ	50884389
1015185	3470	1997-12-09	PRIJEM	PREVOD Z UCTU	5427	38548	DUCHOD	IJ	50884389
1015186	3470	1998-01-09	PRIJEM	PREVOD Z UCTU	5427	38901	DUCHOD	IJ	50884389
1015187	3470	1998-02-09	PRIJEM	PREVOD Z UCTU	5427	32608	DUCHOD	IJ	50884389
1015188	3470	1998-03-09	PRIJEM	PREVOD Z UCTU	5427	33740	DUCHOD	IJ	50884389
1015189	3470	1998-04-09	PRIJEM	PREVOD Z UCTU	5427	36797	DUCHOD	IJ	50884389
1015190	3470	1998-05-09	PRIJEM	PREVOD Z UCTU	5427	35942	DUCHOD	IJ	50884389
1015191	3470	1998-06-09	PRIJEM	PREVOD Z UCTU	5427	35809	DUCHOD	IJ	50884389
1015192	3470	1998-07-09	PRIJEM	PREVOD Z UCTU	5427	36797	DUCHOD	IJ	50884389
1015193	3470	1998-08-09	PRIJEM	PREVOD Z UCTU	5427	39868	DUCHOD	IJ	50884389
1015194	3470	1998-09-09	PRIJEM	PREVOD Z UCTU	5427	42951	DUCHOD	IJ	50884389
1015195	3470	1998-10-09	PRIJEM	PREVOD Z UCTU	5427	43964	DUCHOD	IJ	50884389
1015196	3470	1998-11-09	PRIJEM	PREVOD Z UCTU	5427	47064	DUCHOD	IJ	50884389
1015197	3470	1998-12-09	PRIJEM	PREVOD Z UCTU	5427	49877	DUCHOD	IJ	50884389
1015204	3470	1997-07-07	VYDAJ	PREVOD NA UCET	2492	25332	SIPO	EF	60161107
1015205	3470	1997-08-07	VYDAJ	PREVOD NA UCET	2492	25814	SIPO	EF	60161107
1015206	3470	1997-09-07	VYDAJ	PREVOD NA UCET	2492	26540	SIPO	EF	60161107
1015207	3470	1997-10-07	VYDAJ	PREVOD NA UCET	2492	29591	SIPO	EF	60161107
1015208	3470	1997-11-07	VYDAJ	PREVOD NA UCET	2492	30554	SIPO	EF	60161107
1015209	3470	1997-12-07	VYDAJ	PREVOD NA UCET	2492	33121	SIPO	EF	60161107
1015210	3470	1998-01-07	VYDAJ	PREVOD NA UCET	2492	33474	SIPO	EF	60161107
1015211	3470	1998-02-07	VYDAJ	PREVOD NA UCET	2492	27181	SIPO	EF	60161107
1015212	3470	1998-03-07	VYDAJ	PREVOD NA UCET	2492	28313	SIPO	EF	60161107
1015213	3470	1998-04-07	VYDAJ	PREVOD NA UCET	2492	31370	SIPO	EF	60161107
1015214	3470	1998-05-07	VYDAJ	PREVOD NA UCET	2492	30515	SIPO	EF	60161107
1015215	3470	1998-06-07	VYDAJ	PREVOD NA UCET	2492	30382	SIPO	EF	60161107
1015216	3470	1998-07-07	VYDAJ	PREVOD NA UCET	2492	31370	SIPO	EF	60161107
1015217	3470	1998-08-07	VYDAJ	PREVOD NA UCET	2492	34441	SIPO	EF	60161107
1015218	3470	1998-09-07	VYDAJ	PREVOD NA UCET	2492	37524	SIPO	EF	60161107
1015219	3470	1998-10-07	VYDAJ	PREVOD NA UCET	2492	38537	SIPO	EF	60161107
1015220	3470	1998-11-07	VYDAJ	PREVOD NA UCET	2492	41637	SIPO	EF	60161107
1015221	3470	1998-12-07	VYDAJ	PREVOD NA UCET	2492	44450	SIPO	EF	60161107
1015222	3470	1997-12-05	VYDAJ	VYBER	500	35613	\N	\N	\N
1015223	3470	1998-12-19	VYDAJ	VYBER	550	49327	\N	\N	\N
1015230	3470	1998-01-09	VYDAJ	VYBER	1200	37701	\N	\N	\N
1015231	3470	1998-01-30	VYDAJ	VYBER	560	29541	\N	\N	\N
1015232	3470	1998-01-30	VYDAJ	VYBER	880	30101	\N	\N	\N
1015233	3470	1998-01-26	VYDAJ	VYBER	1600	33301	\N	\N	\N
1015234	3470	1998-01-19	VYDAJ	VYBER	2160	34901	\N	\N	\N
1015235	3470	1998-01-14	VYDAJ	VYBER	640	37061	\N	\N	\N
1015238	3470	1997-07-22	VYDAJ	VYBER	2560	28199	\N	\N	\N
1015239	3470	1997-08-28	VYDAJ	VYBER	2320	28921	\N	\N	\N
1015240	3470	1997-12-20	VYDAJ	VYBER	2720	35828	\N	\N	\N
1015241	3470	1998-06-01	VYDAJ	VYBER	3200	32874	\N	\N	\N
1015242	3470	1998-07-01	VYDAJ	VYBER	2080	33862	\N	\N	\N
1015243	3470	1998-04-20	VYDAJ	VYBER	3920	32877	\N	\N	\N
1015244	3470	1998-02-24	VYDAJ	VYBER	1920	30688	\N	\N	\N
1015245	3470	1998-01-26	VYDAJ	VYBER	2320	30981	\N	\N	\N
1015246	3470	1998-09-20	VYDAJ	VYBER	2080	40871	\N	\N	\N
1015253	3470	1997-06-30	VYDAJ	VYBER	15	27824	SLUZBY	\N	\N
1015254	3470	1997-07-31	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
1015255	3470	1997-08-31	VYDAJ	VYBER	15	29032	SLUZBY	\N	\N
1015256	3470	1997-09-30	VYDAJ	VYBER	15	32083	SLUZBY	\N	\N
1015257	3470	1997-10-31	VYDAJ	VYBER	15	33046	SLUZBY	\N	\N
1015258	3470	1997-11-30	VYDAJ	VYBER	15	36113	SLUZBY	\N	\N
1015259	3470	1997-12-31	VYDAJ	VYBER	15	35966	SLUZBY	\N	\N
1015260	3470	1998-01-31	VYDAJ	VYBER	15	29673	SLUZBY	\N	\N
1015261	3470	1998-02-28	VYDAJ	VYBER	15	30805	SLUZBY	\N	\N
1015262	3470	1998-03-31	VYDAJ	VYBER	15	33862	SLUZBY	\N	\N
1015263	3470	1998-04-30	VYDAJ	VYBER	15	33007	SLUZBY	\N	\N
1015264	3470	1998-05-31	VYDAJ	VYBER	15	36074	SLUZBY	\N	\N
1015265	3470	1998-06-30	VYDAJ	VYBER	15	35942	SLUZBY	\N	\N
1015266	3470	1998-07-31	VYDAJ	VYBER	15	36933	SLUZBY	\N	\N
1015267	3470	1998-08-31	VYDAJ	VYBER	15	40016	SLUZBY	\N	\N
1015268	3470	1998-09-30	VYDAJ	VYBER	15	41029	SLUZBY	\N	\N
1015269	3470	1998-10-31	VYDAJ	VYBER	15	44129	SLUZBY	\N	\N
1015270	3470	1998-11-30	VYDAJ	VYBER	15	47242	SLUZBY	\N	\N
1015271	3470	1997-10-09	VYDAJ	VYBER	2100	32918	\N	\N	\N
1015272	3470	1998-12-03	VYDAJ	VYBER	300	46942	\N	\N	\N
1015292	3471	1997-01-22	PRIJEM	VKLAD	400	400	\N	\N	\N
1015294	3471	1997-02-09	PRIJEM	VKLAD	21968	22368	\N	\N	\N
1015295	3471	1997-03-09	PRIJEM	VKLAD	21968	45664	\N	\N	\N
1015296	3471	1997-04-09	PRIJEM	VKLAD	21968	58346	\N	\N	\N
1015297	3471	1997-05-09	PRIJEM	VKLAD	21968	65674	\N	\N	\N
1015298	3471	1997-06-09	PRIJEM	VKLAD	32952	81114	\N	\N	\N
1015299	3471	1997-07-09	PRIJEM	VKLAD	21968	58558	\N	\N	\N
1015300	3471	1997-08-09	PRIJEM	VKLAD	21968	64339	\N	\N	\N
1015301	3471	1997-09-09	PRIJEM	VKLAD	21968	62341	\N	\N	\N
1015302	3471	1997-10-09	PRIJEM	VKLAD	21968	68108	\N	\N	\N
1015303	3471	1997-11-09	PRIJEM	VKLAD	21968	64021	\N	\N	\N
1015304	3471	1997-12-09	PRIJEM	VKLAD	32952	73970	\N	\N	\N
1015305	3471	1998-01-09	PRIJEM	VKLAD	21968	73564	\N	\N	\N
1015306	3471	1998-02-09	PRIJEM	VKLAD	21968	63749	\N	\N	\N
1015307	3471	1998-03-09	PRIJEM	VKLAD	21968	66893	\N	\N	\N
1015308	3471	1998-04-09	PRIJEM	VKLAD	21968	77887	\N	\N	\N
1015309	3471	1998-05-09	PRIJEM	VKLAD	21968	76615	\N	\N	\N
1015310	3471	1998-06-09	PRIJEM	VKLAD	32952	95918	\N	\N	\N
1015311	3471	1998-07-09	PRIJEM	VKLAD	21968	74042	\N	\N	\N
1015312	3471	1998-08-09	PRIJEM	VKLAD	21968	79264	\N	\N	\N
1015313	3471	1998-09-09	PRIJEM	VKLAD	21968	84486	\N	\N	\N
1015314	3471	1998-10-09	PRIJEM	VKLAD	21968	91333	\N	\N	\N
1015315	3471	1998-11-09	PRIJEM	VKLAD	21968	96202	\N	\N	\N
1015316	3471	1998-12-09	PRIJEM	VKLAD	32952	108265	\N	\N	\N
1015322	3471	1997-06-10	VYDAJ	PREVOD NA UCET	5446	75668	SIPO	WX	495654
1015323	3471	1997-07-10	VYDAJ	PREVOD NA UCET	5446	47952	SIPO	WX	495654
1015324	3471	1997-08-10	VYDAJ	PREVOD NA UCET	5446	58893	SIPO	WX	495654
1015325	3471	1997-09-10	VYDAJ	PREVOD NA UCET	5446	56895	SIPO	WX	495654
1015326	3471	1997-10-10	VYDAJ	PREVOD NA UCET	5446	62662	SIPO	WX	495654
1015327	3471	1997-11-10	VYDAJ	PREVOD NA UCET	5446	58575	SIPO	WX	495654
1015328	3471	1997-12-10	VYDAJ	PREVOD NA UCET	5446	68524	SIPO	WX	495654
1015329	3471	1998-01-10	VYDAJ	PREVOD NA UCET	5446	66718	SIPO	WX	495654
1015330	3471	1998-02-10	VYDAJ	PREVOD NA UCET	5446	58303	SIPO	WX	495654
1015331	3471	1998-03-10	VYDAJ	PREVOD NA UCET	5446	61447	SIPO	WX	495654
1015332	3471	1998-04-10	VYDAJ	PREVOD NA UCET	5446	72441	SIPO	WX	495654
1015333	3471	1998-05-10	VYDAJ	PREVOD NA UCET	5446	71169	SIPO	WX	495654
1015334	3471	1998-06-10	VYDAJ	PREVOD NA UCET	5446	90472	SIPO	WX	495654
1015335	3471	1998-07-10	VYDAJ	PREVOD NA UCET	5446	68596	SIPO	WX	495654
1015336	3471	1998-08-10	VYDAJ	PREVOD NA UCET	5446	73818	SIPO	WX	495654
1015337	3471	1998-09-10	VYDAJ	PREVOD NA UCET	5446	79040	SIPO	WX	495654
1015338	3471	1998-10-10	VYDAJ	PREVOD NA UCET	5446	85887	SIPO	WX	495654
1015339	3471	1998-11-10	VYDAJ	PREVOD NA UCET	5446	90756	SIPO	WX	495654
1015340	3471	1998-12-10	VYDAJ	PREVOD NA UCET	5446	102819	SIPO	WX	495654
1015346	3471	1997-06-14	VYDAJ	PREVOD NA UCET	846	73862	 	YZ	42072856
1015347	3471	1997-07-14	VYDAJ	PREVOD NA UCET	846	47106	 	YZ	42072856
1015348	3471	1997-08-14	VYDAJ	PREVOD NA UCET	846	58047	 	YZ	42072856
1015349	3471	1997-09-14	VYDAJ	PREVOD NA UCET	846	56049	 	YZ	42072856
1015350	3471	1997-10-14	VYDAJ	PREVOD NA UCET	846	61816	 	YZ	42072856
1015351	3471	1997-11-14	VYDAJ	PREVOD NA UCET	846	57729	 	YZ	42072856
1015352	3471	1997-12-14	VYDAJ	PREVOD NA UCET	846	67678	 	YZ	42072856
1015353	3471	1998-01-14	VYDAJ	PREVOD NA UCET	846	65872	 	YZ	42072856
1015354	3471	1998-02-14	VYDAJ	PREVOD NA UCET	846	57457	 	YZ	42072856
1015355	3471	1998-03-14	VYDAJ	PREVOD NA UCET	846	60601	 	YZ	42072856
1015356	3471	1998-04-14	VYDAJ	PREVOD NA UCET	846	71595	 	YZ	42072856
1015357	3471	1998-05-14	VYDAJ	PREVOD NA UCET	846	70323	 	YZ	42072856
1015358	3471	1998-06-14	VYDAJ	PREVOD NA UCET	846	89626	 	YZ	42072856
1015359	3471	1998-07-14	VYDAJ	PREVOD NA UCET	846	67750	 	YZ	42072856
1015360	3471	1998-08-14	VYDAJ	PREVOD NA UCET	846	72972	 	YZ	42072856
1015361	3471	1998-09-14	VYDAJ	PREVOD NA UCET	846	69094	 	YZ	42072856
1015362	3471	1998-10-14	VYDAJ	PREVOD NA UCET	846	85041	 	YZ	42072856
1015363	3471	1998-11-14	VYDAJ	PREVOD NA UCET	846	75010	 	YZ	42072856
1015364	3471	1998-12-14	VYDAJ	PREVOD NA UCET	846	85473	 	YZ	42072856
1015365	3471	1997-06-29	VYDAJ	VYBER	16800	36362	\N	\N	\N
1015366	3471	1998-06-24	VYDAJ	VYBER	19520	51806	\N	\N	\N
1015368	3471	1998-01-26	VYDAJ	VYBER KARTOU	2200	43472	\N	\N	0
1015369	3471	1997-12-03	VYDAJ	VYBER KARTOU	2700	41018	\N	\N	0
1015370	3471	1998-12-22	VYDAJ	VYBER KARTOU	2100	83373	\N	\N	0
1015377	3471	1998-01-06	VYDAJ	VYBER KARTOU	1100	53496	\N	\N	0
1015378	3471	1998-01-08	VYDAJ	VYBER KARTOU	1900	51596	\N	\N	0
1015379	3471	1998-01-15	VYDAJ	VYBER KARTOU	3000	62872	\N	\N	0
1015380	3471	1998-01-24	VYDAJ	VYBER KARTOU	2000	45672	\N	\N	0
1015381	3471	1998-01-28	VYDAJ	VYBER KARTOU	1900	41572	\N	\N	0
1015382	3471	1998-01-10	VYDAJ	VYBER KARTOU	1400	72164	\N	\N	0
1015384	3471	1997-07-09	VYDAJ	VYBER	5160	53398	\N	\N	\N
1015385	3471	1997-11-08	VYDAJ	VYBER	4560	42053	\N	\N	\N
1015386	3471	1997-09-07	VYDAJ	VYBER	3960	40373	\N	\N	\N
1015387	3471	1997-06-12	VYDAJ	VYBER	960	74708	\N	\N	\N
1015389	3471	1998-04-19	VYDAJ	VYBER	4680	54415	\N	\N	\N
1015390	3471	1998-07-18	VYDAJ	VYBER	4080	57070	\N	\N	\N
1015391	3471	1998-03-04	VYDAJ	VYBER	4920	44925	\N	\N	\N
1015398	3471	1997-06-30	VYDAJ	VYBER	15	36590	SLUZBY	\N	\N
1015399	3471	1997-07-31	VYDAJ	VYBER	15	42371	SLUZBY	\N	\N
1015400	3471	1997-08-31	VYDAJ	VYBER	15	44333	SLUZBY	\N	\N
1015401	3471	1997-09-30	VYDAJ	VYBER	15	46140	SLUZBY	\N	\N
1015402	3471	1997-10-31	VYDAJ	VYBER	15	46613	SLUZBY	\N	\N
1015403	3471	1997-11-30	VYDAJ	VYBER	15	43718	SLUZBY	\N	\N
1015404	3471	1997-12-31	VYDAJ	VYBER	15	54596	SLUZBY	\N	\N
1015405	3471	1998-01-31	VYDAJ	VYBER	15	41781	SLUZBY	\N	\N
1015406	3471	1998-02-28	VYDAJ	VYBER	15	49845	SLUZBY	\N	\N
1015407	3471	1998-03-31	VYDAJ	VYBER	15	55919	SLUZBY	\N	\N
1015408	3471	1998-04-30	VYDAJ	VYBER	15	54647	SLUZBY	\N	\N
1015409	3471	1998-05-31	VYDAJ	VYBER	15	62966	SLUZBY	\N	\N
1015410	3471	1998-06-30	VYDAJ	VYBER	15	52074	SLUZBY	\N	\N
1015411	3471	1998-07-31	VYDAJ	VYBER	15	57296	SLUZBY	\N	\N
1015412	3471	1998-08-31	VYDAJ	VYBER	15	62518	SLUZBY	\N	\N
1015413	3471	1998-09-30	VYDAJ	VYBER	15	69365	SLUZBY	\N	\N
1015414	3471	1998-10-31	VYDAJ	VYBER	15	74234	SLUZBY	\N	\N
1015415	3471	1998-11-30	VYDAJ	VYBER	15	75313	SLUZBY	\N	\N
1015416	3471	1997-02-21	PRIJEM	VKLAD	1300	23668	\N	\N	\N
1015417	3471	1997-03-23	VYDAJ	VYBER	9400	36264	\N	\N	\N
1015418	3471	1997-04-22	VYDAJ	VYBER	14800	43546	\N	\N	\N
1015419	3471	1997-05-22	VYDAJ	VYBER	17700	47974	\N	\N	\N
1015420	3471	1997-06-21	VYDAJ	VYBER	20700	53162	\N	\N	\N
1015421	3471	1997-07-21	VYDAJ	VYBER	4900	42206	\N	\N	\N
1015422	3471	1997-08-20	VYDAJ	VYBER	13900	44147	\N	\N	\N
1015423	3471	1997-09-19	VYDAJ	VYBER	10100	45949	\N	\N	\N
1015424	3471	1997-10-19	VYDAJ	VYBER	15400	46416	\N	\N	\N
1015425	3471	1997-11-18	VYDAJ	VYBER	14200	43529	\N	\N	\N
1015426	3471	1997-12-18	VYDAJ	VYBER	13300	54378	\N	\N	\N
1015427	3471	1998-01-17	VYDAJ	VYBER	15200	47672	\N	\N	\N
1015428	3471	1998-02-16	VYDAJ	VYBER	7800	49657	\N	\N	\N
1015429	3471	1998-03-18	VYDAJ	VYBER	4900	55701	\N	\N	\N
1015430	3471	1998-04-17	VYDAJ	VYBER	12500	59095	\N	\N	\N
1015431	3471	1998-05-17	VYDAJ	VYBER	7600	62723	\N	\N	\N
1015432	3471	1998-06-16	VYDAJ	VYBER	18300	71326	\N	\N	\N
1015433	3471	1998-07-16	VYDAJ	VYBER	6600	61150	\N	\N	\N
1015434	3471	1998-08-15	VYDAJ	VYBER	10700	62272	\N	\N	\N
1015435	3471	1998-09-14	VYDAJ	VYBER	9100	69940	\N	\N	\N
1015436	3471	1998-10-14	VYDAJ	VYBER	11100	73941	\N	\N	\N
1015437	3471	1998-11-13	VYDAJ	VYBER	14900	75856	\N	\N	\N
1015438	3471	1998-12-13	VYDAJ	VYBER	16500	86319	\N	\N	\N
1015462	3472	1996-07-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1015470	3472	1996-08-08	PRIJEM	VKLAD	19156	20256	\N	\N	\N
1015471	3472	1996-09-08	PRIJEM	VKLAD	19156	39044	\N	\N	\N
1015472	3472	1996-10-08	PRIJEM	VKLAD	19156	50001	\N	\N	\N
1015473	3472	1996-11-08	PRIJEM	VKLAD	19156	54092	\N	\N	\N
1015474	3472	1996-12-08	PRIJEM	VKLAD	28734	70383	\N	\N	\N
1015475	3472	1997-01-08	PRIJEM	VKLAD	19156	61738	\N	\N	\N
1015476	3472	1997-02-08	PRIJEM	VKLAD	19156	49953	\N	\N	\N
1015477	3472	1997-03-08	PRIJEM	VKLAD	19156	53657	\N	\N	\N
1015478	3472	1997-04-08	PRIJEM	VKLAD	19156	58378	\N	\N	\N
1015479	3472	1997-05-08	PRIJEM	VKLAD	19156	66023	\N	\N	\N
1015480	3472	1997-06-08	PRIJEM	VKLAD	28734	46964	\N	\N	\N
1015481	3472	1997-07-08	PRIJEM	VKLAD	19156	58075	\N	\N	\N
1015482	3472	1997-08-08	PRIJEM	VKLAD	19156	65017	\N	\N	\N
1015483	3472	1997-09-08	PRIJEM	VKLAD	19156	68083	\N	\N	\N
1015484	3472	1997-10-08	PRIJEM	VKLAD	19156	67753	\N	\N	\N
1015485	3472	1997-11-08	PRIJEM	VKLAD	19156	71728	\N	\N	\N
1015486	3472	1997-12-08	PRIJEM	VKLAD	28734	81687	\N	\N	\N
1015487	3472	1998-01-08	PRIJEM	VKLAD	19156	71382	\N	\N	\N
1015488	3472	1998-02-08	PRIJEM	VKLAD	19156	63442	\N	\N	\N
1015489	3472	1998-03-08	PRIJEM	VKLAD	19156	71508	\N	\N	\N
1015490	3472	1998-04-08	PRIJEM	VKLAD	19156	77602	\N	\N	\N
1015491	3472	1998-05-08	PRIJEM	VKLAD	19156	81817	\N	\N	\N
1015492	3472	1998-06-08	PRIJEM	VKLAD	28734	94423	\N	\N	\N
1015493	3472	1998-07-08	PRIJEM	VKLAD	19156	85161	\N	\N	\N
1015494	3472	1998-08-08	PRIJEM	VKLAD	19156	89305	\N	\N	\N
1015495	3472	1998-09-08	PRIJEM	VKLAD	19156	92664	\N	\N	\N
1015496	3472	1998-10-08	PRIJEM	VKLAD	19156	96337	\N	\N	\N
1015497	3472	1998-11-08	PRIJEM	VKLAD	19156	101229	\N	\N	\N
1015498	3472	1998-12-08	PRIJEM	VKLAD	28734	121694	\N	\N	\N
1015510	3472	1996-12-09	VYDAJ	PREVOD NA UCET	9623	60760	SIPO	WX	49463623
1015511	3472	1997-01-09	VYDAJ	PREVOD NA UCET	9623	52115	SIPO	WX	49463623
1015512	3472	1997-02-09	VYDAJ	PREVOD NA UCET	9623	40330	SIPO	WX	49463623
1015513	3472	1997-03-09	VYDAJ	PREVOD NA UCET	9623	44034	SIPO	WX	49463623
1015514	3472	1997-04-09	VYDAJ	PREVOD NA UCET	9623	48755	SIPO	WX	49463623
1015515	3472	1997-05-09	VYDAJ	PREVOD NA UCET	9623	56400	SIPO	WX	49463623
1015516	3472	1997-06-09	VYDAJ	PREVOD NA UCET	9623	37341	SIPO	WX	49463623
1015517	3472	1997-07-09	VYDAJ	PREVOD NA UCET	9623	48452	SIPO	WX	49463623
1015518	3472	1997-08-09	VYDAJ	PREVOD NA UCET	9623	55394	SIPO	WX	49463623
1015519	3472	1997-09-09	VYDAJ	PREVOD NA UCET	9623	58460	SIPO	WX	49463623
1015520	3472	1997-10-09	VYDAJ	PREVOD NA UCET	9623	58130	SIPO	WX	49463623
1015521	3472	1997-11-09	VYDAJ	PREVOD NA UCET	9623	62105	SIPO	WX	49463623
1015522	3472	1997-12-09	VYDAJ	PREVOD NA UCET	9623	72064	SIPO	WX	49463623
1015523	3472	1998-01-09	VYDAJ	PREVOD NA UCET	9623	59159	SIPO	WX	49463623
1015524	3472	1998-02-09	VYDAJ	PREVOD NA UCET	9623	53819	SIPO	WX	49463623
1015525	3472	1998-03-09	VYDAJ	PREVOD NA UCET	9623	61885	SIPO	WX	49463623
1015526	3472	1998-04-09	VYDAJ	PREVOD NA UCET	9623	67979	SIPO	WX	49463623
1015527	3472	1998-05-09	VYDAJ	PREVOD NA UCET	9623	72194	SIPO	WX	49463623
1015528	3472	1998-06-09	VYDAJ	PREVOD NA UCET	9623	84800	SIPO	WX	49463623
1015529	3472	1998-07-09	VYDAJ	PREVOD NA UCET	9623	75538	SIPO	WX	49463623
1015530	3472	1998-08-09	VYDAJ	PREVOD NA UCET	9623	79682	SIPO	WX	49463623
1015531	3472	1998-09-09	VYDAJ	PREVOD NA UCET	9623	83041	SIPO	WX	49463623
1015532	3472	1998-10-09	VYDAJ	PREVOD NA UCET	9623	86714	SIPO	WX	49463623
1015533	3472	1998-11-09	VYDAJ	PREVOD NA UCET	9623	79506	SIPO	WX	49463623
1015534	3472	1998-12-09	VYDAJ	PREVOD NA UCET	9623	60371	SIPO	WX	49463623
1015546	3472	1996-12-11	VYDAJ	PREVOD NA UCET	138	60622	 	OP	78649419
1015547	3472	1997-01-11	VYDAJ	PREVOD NA UCET	138	45777	 	OP	78649419
1015548	3472	1997-02-11	VYDAJ	PREVOD NA UCET	138	40192	 	OP	78649419
1015549	3472	1997-03-11	VYDAJ	PREVOD NA UCET	138	43896	 	OP	78649419
1015550	3472	1997-04-11	VYDAJ	PREVOD NA UCET	138	48617	 	OP	78649419
1015551	3472	1997-05-11	VYDAJ	PREVOD NA UCET	138	56262	 	OP	78649419
1015552	3472	1997-06-11	VYDAJ	PREVOD NA UCET	138	37203	 	OP	78649419
1015553	3472	1997-07-11	VYDAJ	PREVOD NA UCET	138	48314	 	OP	78649419
1015554	3472	1997-08-11	VYDAJ	PREVOD NA UCET	138	55256	 	OP	78649419
1015555	3472	1997-09-11	VYDAJ	PREVOD NA UCET	138	58322	 	OP	78649419
1015556	3472	1997-10-11	VYDAJ	PREVOD NA UCET	138	57992	 	OP	78649419
1015557	3472	1997-11-11	VYDAJ	PREVOD NA UCET	138	61967	 	OP	78649419
1015558	3472	1997-12-11	VYDAJ	PREVOD NA UCET	138	71926	 	OP	78649419
1015559	3472	1998-01-11	VYDAJ	PREVOD NA UCET	138	59021	 	OP	78649419
1015560	3472	1998-02-11	VYDAJ	PREVOD NA UCET	138	53681	 	OP	78649419
1015561	3472	1998-03-11	VYDAJ	PREVOD NA UCET	138	61747	 	OP	78649419
1015562	3472	1998-04-11	VYDAJ	PREVOD NA UCET	138	67841	 	OP	78649419
1015563	3472	1998-05-11	VYDAJ	PREVOD NA UCET	138	72056	 	OP	78649419
1015564	3472	1998-06-11	VYDAJ	PREVOD NA UCET	138	70762	 	OP	78649419
1015565	3472	1998-07-11	VYDAJ	PREVOD NA UCET	138	75400	 	OP	78649419
1015566	3472	1998-08-11	VYDAJ	PREVOD NA UCET	138	73444	 	OP	78649419
1015567	3472	1998-09-11	VYDAJ	PREVOD NA UCET	138	77103	 	OP	78649419
1015568	3472	1998-10-11	VYDAJ	PREVOD NA UCET	138	81976	 	OP	78649419
1015569	3472	1998-11-11	VYDAJ	PREVOD NA UCET	138	79368	 	OP	78649419
1015570	3472	1998-12-11	VYDAJ	PREVOD NA UCET	138	60233	 	OP	78649419
1015583	3472	1997-01-05	VYDAJ	PREVOD NA UCET	227	43482	POJISTNE	YZ	91869926
1015584	3472	1997-02-05	VYDAJ	PREVOD NA UCET	227	30797	POJISTNE	YZ	91869926
1015585	3472	1997-03-05	VYDAJ	PREVOD NA UCET	227	34501	POJISTNE	YZ	91869926
1015586	3472	1997-04-05	VYDAJ	PREVOD NA UCET	227	39222	POJISTNE	YZ	91869926
1015587	3472	1997-05-05	VYDAJ	PREVOD NA UCET	227	46867	POJISTNE	YZ	91869926
1015588	3472	1997-06-05	VYDAJ	PREVOD NA UCET	227	18230	POJISTNE	YZ	91869926
1015589	3472	1997-07-05	VYDAJ	PREVOD NA UCET	227	38919	POJISTNE	YZ	91869926
1015590	3472	1997-08-05	VYDAJ	PREVOD NA UCET	227	45861	POJISTNE	YZ	91869926
1015591	3472	1997-09-05	VYDAJ	PREVOD NA UCET	227	48927	POJISTNE	YZ	91869926
1015592	3472	1997-10-05	VYDAJ	PREVOD NA UCET	227	48597	POJISTNE	YZ	91869926
1015593	3472	1997-11-05	VYDAJ	PREVOD NA UCET	227	52572	POJISTNE	YZ	91869926
1015594	3472	1997-12-05	VYDAJ	PREVOD NA UCET	227	52953	POJISTNE	YZ	91869926
1015595	3472	1998-01-05	VYDAJ	PREVOD NA UCET	227	52226	POJISTNE	YZ	91869926
1015596	3472	1998-02-05	VYDAJ	PREVOD NA UCET	227	44286	POJISTNE	YZ	91869926
1015597	3472	1998-03-05	VYDAJ	PREVOD NA UCET	227	52352	POJISTNE	YZ	91869926
1015598	3472	1998-04-05	VYDAJ	PREVOD NA UCET	227	58446	POJISTNE	YZ	91869926
1015599	3472	1998-05-05	VYDAJ	PREVOD NA UCET	227	62661	POJISTNE	YZ	91869926
1015600	3472	1998-06-05	VYDAJ	PREVOD NA UCET	227	65689	POJISTNE	YZ	91869926
1015601	3472	1998-07-05	VYDAJ	PREVOD NA UCET	227	66005	POJISTNE	YZ	91869926
1015602	3472	1998-08-05	VYDAJ	PREVOD NA UCET	227	70149	POJISTNE	YZ	91869926
1015603	3472	1998-09-05	VYDAJ	PREVOD NA UCET	227	73508	POJISTNE	YZ	91869926
1015604	3472	1998-10-05	VYDAJ	PREVOD NA UCET	227	77181	POJISTNE	YZ	91869926
1015605	3472	1998-11-05	VYDAJ	PREVOD NA UCET	227	82073	POJISTNE	YZ	91869926
1015606	3472	1998-12-05	VYDAJ	PREVOD NA UCET	227	79460	POJISTNE	YZ	91869926
1015608	3472	1997-06-04	VYDAJ	VYBER	29200	18457	\N	\N	\N
1015609	3472	1998-06-09	VYDAJ	VYBER	3100	81700	\N	\N	\N
1015611	3472	1997-01-11	VYDAJ	VYBER	7400	38377	\N	\N	\N
1015612	3472	1998-01-14	VYDAJ	VYBER	3400	50621	\N	\N	\N
1015614	3472	1997-12-23	VYDAJ	VYBER	1000	53626	\N	\N	\N
1015615	3472	1998-12-23	VYDAJ	VYBER	2000	54833	\N	\N	\N
1015622	3472	1997-01-09	VYDAJ	VYBER	600	48815	\N	\N	\N
1015623	3472	1997-01-10	VYDAJ	VYBER	2900	45915	\N	\N	\N
1015624	3472	1997-01-29	VYDAJ	VYBER	2300	30877	\N	\N	\N
1015625	3472	1997-01-05	VYDAJ	VYBER	500	43709	\N	\N	\N
1015626	3472	1997-01-29	VYDAJ	VYBER	1900	33177	\N	\N	\N
1015627	3472	1997-01-09	VYDAJ	VYBER	2700	49415	\N	\N	\N
1015628	3472	1998-01-03	VYDAJ	VYBER	600	52453	\N	\N	\N
1015629	3472	1998-01-02	VYDAJ	VYBER	800	53053	\N	\N	\N
1015630	3472	1998-01-14	VYDAJ	VYBER	2700	47921	\N	\N	\N
1015631	3472	1998-01-21	VYDAJ	VYBER	1700	44321	\N	\N	\N
1015632	3472	1998-01-08	VYDAJ	VYBER	2600	68782	\N	\N	\N
1015633	3472	1998-01-16	VYDAJ	VYBER	1900	46021	\N	\N	\N
1015639	3472	1996-12-19	VYDAJ	VYBER	1700	44022	\N	\N	\N
1015640	3472	1997-08-29	VYDAJ	VYBER	2000	48956	\N	\N	\N
1015641	3472	1997-12-20	VYDAJ	VYBER	3700	54626	\N	\N	\N
1015642	3472	1997-01-15	VYDAJ	VYBER	4600	33777	\N	\N	\N
1015643	3472	1997-02-22	VYDAJ	VYBER	3200	34592	\N	\N	\N
1015644	3472	1997-01-07	VYDAJ	VYBER	900	42582	\N	\N	\N
1015645	3472	1997-09-18	VYDAJ	VYBER	600	50622	\N	\N	\N
1015646	3472	1997-09-30	VYDAJ	VYBER	2000	48839	\N	\N	\N
1015647	3472	1998-06-12	VYDAJ	VYBER	4800	65962	\N	\N	\N
1015648	3472	1998-12-19	VYDAJ	VYBER	3400	56833	\N	\N	\N
1015649	3472	1998-12-07	VYDAJ	VYBER	1500	77960	\N	\N	\N
1015662	3472	1996-12-31	VYDAJ	VYBER	15	44209	SLUZBY	\N	\N
1015663	3472	1997-01-31	VYDAJ	VYBER	15	31024	SLUZBY	\N	\N
1015664	3472	1997-02-28	VYDAJ	VYBER	15	34728	SLUZBY	\N	\N
1015665	3472	1997-03-31	VYDAJ	VYBER	15	39449	SLUZBY	\N	\N
1015666	3472	1997-04-30	VYDAJ	VYBER	15	47094	SLUZBY	\N	\N
1015667	3472	1997-05-31	VYDAJ	VYBER	15	47657	SLUZBY	\N	\N
1015668	3472	1997-06-30	VYDAJ	VYBER	15	39146	SLUZBY	\N	\N
1015669	3472	1997-07-31	VYDAJ	VYBER	15	46088	SLUZBY	\N	\N
1015670	3472	1997-08-31	VYDAJ	VYBER	15	49154	SLUZBY	\N	\N
1015671	3472	1997-09-30	VYDAJ	VYBER	15	48824	SLUZBY	\N	\N
1015672	3472	1997-10-31	VYDAJ	VYBER	15	52799	SLUZBY	\N	\N
1015673	3472	1997-11-30	VYDAJ	VYBER	15	53180	SLUZBY	\N	\N
1015674	3472	1997-12-31	VYDAJ	VYBER	15	53853	SLUZBY	\N	\N
1015675	3472	1998-01-31	VYDAJ	VYBER	15	44513	SLUZBY	\N	\N
1015676	3472	1998-02-28	VYDAJ	VYBER	15	52579	SLUZBY	\N	\N
1015677	3472	1998-03-31	VYDAJ	VYBER	15	58673	SLUZBY	\N	\N
1015678	3472	1998-04-30	VYDAJ	VYBER	15	62888	SLUZBY	\N	\N
1015679	3472	1998-05-31	VYDAJ	VYBER	15	65916	SLUZBY	\N	\N
1015680	3472	1998-06-30	VYDAJ	VYBER	15	66232	SLUZBY	\N	\N
1015681	3472	1998-07-31	VYDAJ	VYBER	15	70376	SLUZBY	\N	\N
1015682	3472	1998-08-31	VYDAJ	VYBER	15	73735	SLUZBY	\N	\N
1015683	3472	1998-09-30	VYDAJ	VYBER	15	77408	SLUZBY	\N	\N
1015684	3472	1998-10-31	VYDAJ	VYBER	15	82300	SLUZBY	\N	\N
1015685	3472	1998-11-30	VYDAJ	VYBER	15	79687	SLUZBY	\N	\N
1015686	3472	1996-08-20	VYDAJ	VYBER	400	19856	\N	\N	\N
1015687	3472	1996-09-19	VYDAJ	VYBER	8300	30744	\N	\N	\N
1015688	3472	1996-10-19	VYDAJ	VYBER	15200	34801	\N	\N	\N
1015689	3472	1996-11-18	VYDAJ	VYBER	12600	41492	\N	\N	\N
1015690	3472	1996-12-18	VYDAJ	VYBER	14900	45722	\N	\N	\N
1015691	3472	1997-01-17	PRIJEM	VKLAD	1300	35077	\N	\N	\N
1015692	3472	1997-02-16	VYDAJ	VYBER	2400	37792	\N	\N	\N
1015693	3472	1997-03-18	VYDAJ	VYBER	4600	39296	\N	\N	\N
1015694	3472	1997-04-17	VYDAJ	VYBER	1700	46917	\N	\N	\N
1015695	3472	1997-05-17	VYDAJ	VYBER	8800	47462	\N	\N	\N
1015696	3472	1997-06-16	PRIJEM	VKLAD	1800	39003	\N	\N	\N
1015697	3472	1997-07-16	VYDAJ	VYBER	2400	45914	\N	\N	\N
1015698	3472	1997-08-15	VYDAJ	VYBER	4300	50956	\N	\N	\N
1015699	3472	1997-09-14	VYDAJ	VYBER	7100	51222	\N	\N	\N
1015700	3472	1997-10-14	VYDAJ	VYBER	5400	52592	\N	\N	\N
1015701	3472	1997-11-13	VYDAJ	VYBER	9000	52967	\N	\N	\N
1015702	3472	1997-12-13	VYDAJ	VYBER	13600	58326	\N	\N	\N
1015703	3472	1998-01-12	VYDAJ	VYBER	5000	54021	\N	\N	\N
1015704	3472	1998-02-11	VYDAJ	VYBER	1300	52381	\N	\N	\N
1015705	3472	1998-03-13	VYDAJ	VYBER	3300	58447	\N	\N	\N
1015706	3472	1998-04-12	VYDAJ	VYBER	5200	62641	\N	\N	\N
1015707	3472	1998-05-12	VYDAJ	VYBER	6400	65656	\N	\N	\N
1015708	3472	1998-06-11	VYDAJ	VYBER	10800	70900	\N	\N	\N
1015709	3472	1998-07-11	VYDAJ	VYBER	5300	70100	\N	\N	\N
1015710	3472	1998-08-10	VYDAJ	VYBER	6100	73582	\N	\N	\N
1015711	3472	1998-09-09	VYDAJ	VYBER	5800	77241	\N	\N	\N
1015712	3472	1998-10-09	VYDAJ	VYBER	4600	82114	\N	\N	\N
1015713	3472	1998-11-08	VYDAJ	VYBER	12100	89129	\N	\N	\N
1015714	3472	1998-12-08	VYDAJ	VYBER	51700	69994	\N	\N	\N
1015715	3472	1998-12-08	PRIJEM	VKLAD	15000	92960	\N	\N	\N
1016354	3474	1995-07-12	PRIJEM	VKLAD	400	3704	\N	\N	\N
1016361	3474	1995-07-12	PRIJEM	PREVOD Z UCTU	3304	3304	\N	CD	1206458
1016362	3474	1995-08-12	PRIJEM	PREVOD Z UCTU	3304	7017	\N	CD	1206458
1016363	3474	1995-09-12	PRIJEM	PREVOD Z UCTU	3304	10335	\N	CD	1206458
1016364	3474	1995-10-12	PRIJEM	PREVOD Z UCTU	3304	13652	\N	CD	1206458
1016365	3474	1995-11-12	PRIJEM	PREVOD Z UCTU	3304	16970	\N	CD	1206458
1016366	3474	1995-12-12	PRIJEM	PREVOD Z UCTU	3304	18105	\N	CD	1206458
1016367	3474	1996-01-12	PRIJEM	PREVOD Z UCTU	3304	17494	\N	CD	1206458
1016368	3474	1996-02-12	PRIJEM	PREVOD Z UCTU	3304	16069	\N	CD	1206458
1016369	3474	1996-03-12	PRIJEM	PREVOD Z UCTU	3304	17220	\N	CD	1206458
1016370	3474	1996-04-12	PRIJEM	PREVOD Z UCTU	3304	18376	\N	CD	1206458
1016371	3474	1996-05-12	PRIJEM	PREVOD Z UCTU	3304	19537	\N	CD	1206458
1016372	3474	1996-06-12	PRIJEM	PREVOD Z UCTU	3304	20704	\N	CD	1206458
1016373	3474	1996-07-12	PRIJEM	PREVOD Z UCTU	3304	20133	\N	CD	1206458
1016374	3474	1996-08-12	PRIJEM	PREVOD Z UCTU	3304	19530	\N	CD	1206458
1016375	3474	1996-09-12	PRIJEM	PREVOD Z UCTU	3304	20697	\N	CD	1206458
1016376	3474	1996-10-12	PRIJEM	PREVOD Z UCTU	3304	21868	\N	CD	1206458
1016377	3474	1996-11-12	PRIJEM	PREVOD Z UCTU	3304	22893	\N	CD	1206458
1016378	3474	1996-12-12	PRIJEM	PREVOD Z UCTU	3304	24074	\N	CD	1206458
1016379	3474	1997-01-12	PRIJEM	PREVOD Z UCTU	3304	22768	\N	CD	1206458
1016380	3474	1997-02-12	PRIJEM	PREVOD Z UCTU	3304	20586	\N	CD	1206458
1016381	3474	1997-03-12	PRIJEM	PREVOD Z UCTU	3304	21546	\N	CD	1206458
1016382	3474	1997-04-12	PRIJEM	PREVOD Z UCTU	3304	21338	\N	CD	1206458
1016383	3474	1997-05-12	PRIJEM	PREVOD Z UCTU	3304	22511	\N	CD	1206458
1016384	3474	1997-06-12	PRIJEM	PREVOD Z UCTU	3304	19279	\N	CD	1206458
1016385	3474	1997-07-12	PRIJEM	PREVOD Z UCTU	3304	20448	\N	CD	1206458
1016386	3474	1997-08-12	PRIJEM	PREVOD Z UCTU	3304	21167	\N	CD	1206458
1016387	3474	1997-09-12	PRIJEM	PREVOD Z UCTU	3304	22159	\N	CD	1206458
1016388	3474	1997-10-12	PRIJEM	PREVOD Z UCTU	3304	23336	\N	CD	1206458
1016389	3474	1997-11-12	PRIJEM	PREVOD Z UCTU	3304	24518	\N	CD	1206458
1016390	3474	1997-12-12	PRIJEM	PREVOD Z UCTU	3304	24564	\N	CD	1206458
1016391	3474	1998-01-12	PRIJEM	PREVOD Z UCTU	3304	24882	\N	CD	1206458
1016392	3474	1998-02-12	PRIJEM	PREVOD Z UCTU	3304	22495	\N	CD	1206458
1016393	3474	1998-03-12	PRIJEM	PREVOD Z UCTU	3304	23673	\N	CD	1206458
1016394	3474	1998-04-12	PRIJEM	PREVOD Z UCTU	3304	24856	\N	CD	1206458
1016395	3474	1998-05-12	PRIJEM	PREVOD Z UCTU	3304	25443	\N	CD	1206458
1016396	3474	1998-06-12	PRIJEM	PREVOD Z UCTU	3304	25494	\N	CD	1206458
1016397	3474	1998-07-12	PRIJEM	PREVOD Z UCTU	3304	16980	\N	CD	1206458
1016398	3474	1998-08-12	PRIJEM	PREVOD Z UCTU	3304	18136	\N	CD	1206458
1016399	3474	1998-09-12	PRIJEM	PREVOD Z UCTU	3304	19295	\N	CD	1206458
1016400	3474	1998-10-12	PRIJEM	PREVOD Z UCTU	3304	20459	\N	CD	1206458
1016401	3474	1998-11-12	PRIJEM	PREVOD Z UCTU	3304	21628	\N	CD	1206458
1016402	3474	1998-12-12	PRIJEM	PREVOD Z UCTU	3304	22441	\N	CD	1206458
1016414	3474	1995-12-11	VYDAJ	PREVOD NA UCET	915	15848	SIPO	QR	94945477
1016415	3474	1996-01-11	VYDAJ	PREVOD NA UCET	915	15237	SIPO	QR	94945477
1016416	3474	1996-02-11	VYDAJ	PREVOD NA UCET	915	12765	SIPO	QR	94945477
1016417	3474	1996-03-11	VYDAJ	PREVOD NA UCET	915	13916	SIPO	QR	94945477
1016418	3474	1996-04-11	VYDAJ	PREVOD NA UCET	915	15072	SIPO	QR	94945477
1016419	3474	1996-05-11	VYDAJ	PREVOD NA UCET	915	16233	SIPO	QR	94945477
1016420	3474	1996-06-11	VYDAJ	PREVOD NA UCET	915	17400	SIPO	QR	94945477
1016421	3474	1996-07-11	VYDAJ	PREVOD NA UCET	915	16829	SIPO	QR	94945477
1016422	3474	1996-08-11	VYDAJ	PREVOD NA UCET	915	16226	SIPO	QR	94945477
1016423	3474	1996-09-11	VYDAJ	PREVOD NA UCET	915	18440	SIPO	QR	94945477
1016424	3474	1996-10-11	VYDAJ	PREVOD NA UCET	915	19611	SIPO	QR	94945477
1016425	3474	1996-11-11	VYDAJ	PREVOD NA UCET	915	20636	SIPO	QR	94945477
1016426	3474	1996-12-11	VYDAJ	PREVOD NA UCET	915	21817	SIPO	QR	94945477
1016427	3474	1997-01-11	VYDAJ	PREVOD NA UCET	915	20511	SIPO	QR	94945477
1016428	3474	1997-02-11	VYDAJ	PREVOD NA UCET	915	17282	SIPO	QR	94945477
1016429	3474	1997-03-11	VYDAJ	PREVOD NA UCET	915	18242	SIPO	QR	94945477
1016430	3474	1997-04-11	VYDAJ	PREVOD NA UCET	915	18034	SIPO	QR	94945477
1016431	3474	1997-05-11	VYDAJ	PREVOD NA UCET	915	19207	SIPO	QR	94945477
1016432	3474	1997-06-11	VYDAJ	PREVOD NA UCET	915	17022	SIPO	QR	94945477
1016433	3474	1997-07-11	VYDAJ	PREVOD NA UCET	915	18191	SIPO	QR	94945477
1016434	3474	1997-08-11	VYDAJ	PREVOD NA UCET	915	18910	SIPO	QR	94945477
1016435	3474	1997-09-11	VYDAJ	PREVOD NA UCET	915	19902	SIPO	QR	94945477
1016436	3474	1997-10-11	VYDAJ	PREVOD NA UCET	915	20032	SIPO	QR	94945477
1016437	3474	1997-11-11	VYDAJ	PREVOD NA UCET	915	22261	SIPO	QR	94945477
1016438	3474	1997-12-11	VYDAJ	PREVOD NA UCET	915	22307	SIPO	QR	94945477
1016439	3474	1998-01-11	VYDAJ	PREVOD NA UCET	915	21578	SIPO	QR	94945477
1016440	3474	1998-02-11	VYDAJ	PREVOD NA UCET	915	19191	SIPO	QR	94945477
1016441	3474	1998-03-11	VYDAJ	PREVOD NA UCET	915	21416	SIPO	QR	94945477
1016442	3474	1998-04-11	VYDAJ	PREVOD NA UCET	915	22599	SIPO	QR	94945477
1016443	3474	1998-05-11	VYDAJ	PREVOD NA UCET	915	23186	SIPO	QR	94945477
1016444	3474	1998-06-11	VYDAJ	PREVOD NA UCET	915	23237	SIPO	QR	94945477
1016445	3474	1998-07-11	VYDAJ	PREVOD NA UCET	915	13676	SIPO	QR	94945477
1016446	3474	1998-08-11	VYDAJ	PREVOD NA UCET	915	14832	SIPO	QR	94945477
1016447	3474	1998-09-11	VYDAJ	PREVOD NA UCET	915	17038	SIPO	QR	94945477
1016448	3474	1998-10-11	VYDAJ	PREVOD NA UCET	915	18202	SIPO	QR	94945477
1016449	3474	1998-11-11	VYDAJ	PREVOD NA UCET	915	18324	SIPO	QR	94945477
1016450	3474	1998-12-11	VYDAJ	PREVOD NA UCET	915	19137	SIPO	QR	94945477
1016461	3474	1995-11-13	VYDAJ	PREVOD NA UCET	240	16730	 	YZ	72860312
1016462	3474	1995-12-13	VYDAJ	PREVOD NA UCET	240	17865	 	YZ	72860312
1016463	3474	1996-01-13	VYDAJ	PREVOD NA UCET	240	17254	 	YZ	72860312
1016464	3474	1996-02-13	VYDAJ	PREVOD NA UCET	240	15829	 	YZ	72860312
1016465	3474	1996-03-13	VYDAJ	PREVOD NA UCET	240	16980	 	YZ	72860312
1016466	3474	1996-04-13	VYDAJ	PREVOD NA UCET	240	18136	 	YZ	72860312
1016467	3474	1996-05-13	VYDAJ	PREVOD NA UCET	240	19297	 	YZ	72860312
1016468	3474	1996-06-13	VYDAJ	PREVOD NA UCET	240	20464	 	YZ	72860312
1016469	3474	1996-07-13	VYDAJ	PREVOD NA UCET	240	19893	 	YZ	72860312
1016470	3474	1996-08-13	VYDAJ	PREVOD NA UCET	240	19290	 	YZ	72860312
1016471	3474	1996-09-13	VYDAJ	PREVOD NA UCET	240	20457	 	YZ	72860312
1016472	3474	1996-10-13	VYDAJ	PREVOD NA UCET	240	21628	 	YZ	72860312
1016473	3474	1996-11-13	VYDAJ	PREVOD NA UCET	240	22653	 	YZ	72860312
1016474	3474	1996-12-13	VYDAJ	PREVOD NA UCET	240	23834	 	YZ	72860312
1016475	3474	1997-01-13	VYDAJ	PREVOD NA UCET	240	22528	 	YZ	72860312
1016476	3474	1997-02-13	VYDAJ	PREVOD NA UCET	240	20346	 	YZ	72860312
1016477	3474	1997-03-13	VYDAJ	PREVOD NA UCET	240	21306	 	YZ	72860312
1016478	3474	1997-04-13	VYDAJ	PREVOD NA UCET	240	21098	 	YZ	72860312
1016479	3474	1997-05-13	VYDAJ	PREVOD NA UCET	240	22271	 	YZ	72860312
1016480	3474	1997-06-13	VYDAJ	PREVOD NA UCET	240	19039	 	YZ	72860312
1016481	3474	1997-07-13	VYDAJ	PREVOD NA UCET	240	20208	 	YZ	72860312
1016482	3474	1997-08-13	VYDAJ	PREVOD NA UCET	240	20927	 	YZ	72860312
1016483	3474	1997-09-13	VYDAJ	PREVOD NA UCET	240	21919	 	YZ	72860312
1016484	3474	1997-10-13	VYDAJ	PREVOD NA UCET	240	23096	 	YZ	72860312
1016485	3474	1997-11-13	VYDAJ	PREVOD NA UCET	240	24278	 	YZ	72860312
1016486	3474	1997-12-13	VYDAJ	PREVOD NA UCET	240	24324	 	YZ	72860312
1016487	3474	1998-01-13	VYDAJ	PREVOD NA UCET	240	23472	 	YZ	72860312
1016488	3474	1998-02-13	VYDAJ	PREVOD NA UCET	240	22255	 	YZ	72860312
1016489	3474	1998-03-13	VYDAJ	PREVOD NA UCET	240	23433	 	YZ	72860312
1016490	3474	1998-04-13	VYDAJ	PREVOD NA UCET	240	24616	 	YZ	72860312
1016491	3474	1998-05-13	VYDAJ	PREVOD NA UCET	240	25203	 	YZ	72860312
1016492	3474	1998-06-13	VYDAJ	PREVOD NA UCET	240	25254	 	YZ	72860312
1016493	3474	1998-07-13	VYDAJ	PREVOD NA UCET	240	16740	 	YZ	72860312
1016494	3474	1998-08-13	VYDAJ	PREVOD NA UCET	240	17896	 	YZ	72860312
1016495	3474	1998-09-13	VYDAJ	PREVOD NA UCET	240	19055	 	YZ	72860312
1016496	3474	1998-10-13	VYDAJ	PREVOD NA UCET	240	20219	 	YZ	72860312
1016497	3474	1998-11-13	VYDAJ	PREVOD NA UCET	240	21388	 	YZ	72860312
1016498	3474	1998-12-13	VYDAJ	PREVOD NA UCET	240	22201	 	YZ	72860312
1016510	3474	1995-12-11	VYDAJ	PREVOD NA UCET	1047	14801	POJISTNE	ST	32642370
1016511	3474	1996-01-11	VYDAJ	PREVOD NA UCET	1047	14190	POJISTNE	ST	32642370
1016512	3474	1996-02-11	VYDAJ	PREVOD NA UCET	1047	13680	POJISTNE	ST	32642370
1016513	3474	1996-03-11	VYDAJ	PREVOD NA UCET	1047	14831	POJISTNE	ST	32642370
1016514	3474	1996-04-11	VYDAJ	PREVOD NA UCET	1047	15987	POJISTNE	ST	32642370
1016515	3474	1996-05-11	VYDAJ	PREVOD NA UCET	1047	17148	POJISTNE	ST	32642370
1016516	3474	1996-06-11	VYDAJ	PREVOD NA UCET	1047	18315	POJISTNE	ST	32642370
1016517	3474	1996-07-11	VYDAJ	PREVOD NA UCET	1047	17744	POJISTNE	ST	32642370
1016518	3474	1996-08-11	VYDAJ	PREVOD NA UCET	1047	17141	POJISTNE	ST	32642370
1016519	3474	1996-09-11	VYDAJ	PREVOD NA UCET	1047	17393	POJISTNE	ST	32642370
1016520	3474	1996-10-11	VYDAJ	PREVOD NA UCET	1047	18564	POJISTNE	ST	32642370
1016521	3474	1996-11-11	VYDAJ	PREVOD NA UCET	1047	19589	POJISTNE	ST	32642370
1016522	3474	1996-12-11	VYDAJ	PREVOD NA UCET	1047	20770	POJISTNE	ST	32642370
1016523	3474	1997-01-11	VYDAJ	PREVOD NA UCET	1047	19464	POJISTNE	ST	32642370
1016524	3474	1997-02-11	VYDAJ	PREVOD NA UCET	1047	18197	POJISTNE	ST	32642370
1016525	3474	1997-03-11	VYDAJ	PREVOD NA UCET	1047	19157	POJISTNE	ST	32642370
1016526	3474	1997-04-11	VYDAJ	PREVOD NA UCET	1047	18949	POJISTNE	ST	32642370
1016527	3474	1997-05-11	VYDAJ	PREVOD NA UCET	1047	20122	POJISTNE	ST	32642370
1016528	3474	1997-06-11	VYDAJ	PREVOD NA UCET	1047	15975	POJISTNE	ST	32642370
1016529	3474	1997-07-11	VYDAJ	PREVOD NA UCET	1047	17144	POJISTNE	ST	32642370
1016530	3474	1997-08-11	VYDAJ	PREVOD NA UCET	1047	17863	POJISTNE	ST	32642370
1016531	3474	1997-09-11	VYDAJ	PREVOD NA UCET	1047	18855	POJISTNE	ST	32642370
1016532	3474	1997-10-11	VYDAJ	PREVOD NA UCET	1047	20947	POJISTNE	ST	32642370
1016533	3474	1997-11-11	VYDAJ	PREVOD NA UCET	1047	21214	POJISTNE	ST	32642370
1016534	3474	1997-12-11	VYDAJ	PREVOD NA UCET	1047	21260	POJISTNE	ST	32642370
1016535	3474	1998-01-11	VYDAJ	PREVOD NA UCET	1047	22493	POJISTNE	ST	32642370
1016536	3474	1998-02-11	VYDAJ	PREVOD NA UCET	1047	20106	POJISTNE	ST	32642370
1016537	3474	1998-03-11	VYDAJ	PREVOD NA UCET	1047	20369	POJISTNE	ST	32642370
1016538	3474	1998-04-11	VYDAJ	PREVOD NA UCET	1047	21552	POJISTNE	ST	32642370
1016539	3474	1998-05-11	VYDAJ	PREVOD NA UCET	1047	22139	POJISTNE	ST	32642370
1016540	3474	1998-06-11	VYDAJ	PREVOD NA UCET	1047	22190	POJISTNE	ST	32642370
1016541	3474	1998-07-11	VYDAJ	PREVOD NA UCET	1047	14591	POJISTNE	ST	32642370
1016542	3474	1998-08-11	VYDAJ	PREVOD NA UCET	1047	15747	POJISTNE	ST	32642370
1016543	3474	1998-09-11	VYDAJ	PREVOD NA UCET	1047	15991	POJISTNE	ST	32642370
1016544	3474	1998-10-11	VYDAJ	PREVOD NA UCET	1047	17155	POJISTNE	ST	32642370
1016545	3474	1998-11-11	VYDAJ	PREVOD NA UCET	1047	19239	POJISTNE	ST	32642370
1016546	3474	1998-12-11	VYDAJ	PREVOD NA UCET	1047	20052	POJISTNE	ST	32642370
1016548	3474	1996-06-26	VYDAJ	VYBER	1410	19054	\N	\N	\N
1016549	3474	1997-06-07	VYDAJ	VYBER	4050	17937	\N	\N	\N
1016550	3474	1998-06-18	VYDAJ	VYBER	8850	16404	\N	\N	\N
1016552	3474	1996-01-20	VYDAJ	VYBER	720	15874	\N	\N	\N
1016553	3474	1997-01-23	VYDAJ	VYBER	1350	20488	\N	\N	\N
1016554	3474	1998-01-12	VYDAJ	VYBER	1170	23712	\N	\N	\N
1016555	3474	1995-12-21	VYDAJ	VYBER	840	17025	\N	\N	\N
1016556	3474	1996-12-27	VYDAJ	VYBER	630	23204	\N	\N	\N
1016557	3474	1997-12-23	VYDAJ	VYBER	150	24174	\N	\N	\N
1016558	3474	1998-12-19	VYDAJ	VYBER	630	21571	\N	\N	\N
1016565	3474	1996-01-03	VYDAJ	VYBER	780	16152	\N	\N	\N
1016566	3474	1996-01-22	VYDAJ	VYBER	270	15604	\N	\N	\N
1016567	3474	1996-01-02	VYDAJ	VYBER	150	16932	\N	\N	\N
1016568	3474	1996-01-24	VYDAJ	VYBER	210	15394	\N	\N	\N
1016569	3474	1996-01-19	VYDAJ	VYBER	660	16594	\N	\N	\N
1016570	3474	1996-01-24	VYDAJ	VYBER	720	14674	\N	\N	\N
1016571	3474	1997-01-02	VYDAJ	VYBER	660	22626	\N	\N	\N
1016572	3474	1997-01-09	VYDAJ	VYBER	720	21606	\N	\N	\N
1016573	3474	1997-01-14	VYDAJ	VYBER	210	22318	\N	\N	\N
1016574	3474	1997-01-11	VYDAJ	VYBER	180	21426	\N	\N	\N
1016575	3474	1997-01-22	VYDAJ	VYBER	480	21838	\N	\N	\N
1016576	3474	1997-01-07	VYDAJ	VYBER	300	22326	\N	\N	\N
1016577	3474	1998-01-22	VYDAJ	VYBER	180	22782	\N	\N	\N
1016578	3474	1998-01-29	VYDAJ	VYBER	840	21072	\N	\N	\N
1016579	3474	1998-01-25	VYDAJ	VYBER	360	21912	\N	\N	\N
1016580	3474	1998-01-24	VYDAJ	VYBER	510	22272	\N	\N	\N
1016581	3474	1998-01-16	VYDAJ	VYBER	510	22962	\N	\N	\N
1016582	3474	1998-01-05	VYDAJ	VYBER	720	23540	\N	\N	\N
1016588	3474	1996-07-20	VYDAJ	VYBER	1200	18693	\N	\N	\N
1016589	3474	1996-08-03	VYDAJ	VYBER	570	18188	\N	\N	\N
1016590	3474	1996-07-05	VYDAJ	VYBER	330	18791	\N	\N	\N
1016591	3474	1996-11-07	VYDAJ	VYBER	150	21551	\N	\N	\N
1016592	3474	1997-06-06	VYDAJ	VYBER	360	21987	\N	\N	\N
1016593	3474	1997-03-04	VYDAJ	VYBER	210	20204	\N	\N	\N
1016594	3474	1997-01-30	VYDAJ	VYBER	1320	19168	\N	\N	\N
1016595	3474	1997-12-11	VYDAJ	VYBER	1140	23222	\N	\N	\N
1016596	3474	1997-08-26	VYDAJ	VYBER	180	20747	\N	\N	\N
1016597	3474	1997-07-31	VYDAJ	VYBER	450	19825	\N	\N	\N
1016598	3474	1997-03-18	VYDAJ	VYBER	1380	19926	\N	\N	\N
1016599	3474	1998-06-11	VYDAJ	VYBER	1140	24152	\N	\N	\N
1016600	3474	1998-07-01	VYDAJ	VYBER	840	15638	\N	\N	\N
1016601	3474	1998-12-21	VYDAJ	VYBER	1260	20311	\N	\N	\N
1016602	3474	1998-05-03	VYDAJ	VYBER	600	24101	\N	\N	\N
1016603	3474	1998-11-21	VYDAJ	VYBER	360	21028	\N	\N	\N
1016615	3474	1995-11-30	VYDAJ	VYBER	15	16763	SLUZBY	\N	\N
1016616	3474	1995-12-31	VYDAJ	VYBER	15	17082	SLUZBY	\N	\N
1016617	3474	1996-01-31	VYDAJ	VYBER	15	14727	SLUZBY	\N	\N
1016618	3474	1996-02-29	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
1016619	3474	1996-03-31	VYDAJ	VYBER	15	17034	SLUZBY	\N	\N
1016620	3474	1996-04-30	VYDAJ	VYBER	15	18195	SLUZBY	\N	\N
1016621	3474	1996-05-31	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
1016622	3474	1996-06-30	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
1016623	3474	1996-07-31	VYDAJ	VYBER	15	18758	SLUZBY	\N	\N
1016624	3474	1996-08-31	VYDAJ	VYBER	15	19355	SLUZBY	\N	\N
1016625	3474	1996-09-30	VYDAJ	VYBER	15	20526	SLUZBY	\N	\N
1016626	3474	1996-10-31	VYDAJ	VYBER	15	21701	SLUZBY	\N	\N
1016627	3474	1996-11-30	VYDAJ	VYBER	15	22732	SLUZBY	\N	\N
1016628	3474	1996-12-31	VYDAJ	VYBER	15	23286	SLUZBY	\N	\N
1016629	3474	1997-01-31	VYDAJ	VYBER	15	19244	SLUZBY	\N	\N
1016630	3474	1997-02-28	VYDAJ	VYBER	15	20414	SLUZBY	\N	\N
1016631	3474	1997-03-31	VYDAJ	VYBER	15	19996	SLUZBY	\N	\N
1016632	3474	1997-04-30	VYDAJ	VYBER	15	21169	SLUZBY	\N	\N
1016633	3474	1997-05-31	VYDAJ	VYBER	15	22347	SLUZBY	\N	\N
1016634	3474	1997-06-30	VYDAJ	VYBER	15	19106	SLUZBY	\N	\N
1016635	3474	1997-07-31	VYDAJ	VYBER	15	20275	SLUZBY	\N	\N
1016636	3474	1997-08-31	VYDAJ	VYBER	15	20817	SLUZBY	\N	\N
1016637	3474	1997-09-30	VYDAJ	VYBER	15	21994	SLUZBY	\N	\N
1016638	3474	1997-10-31	VYDAJ	VYBER	15	23176	SLUZBY	\N	\N
1016639	3474	1997-11-30	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
1016640	3474	1997-12-31	VYDAJ	VYBER	15	24260	SLUZBY	\N	\N
1016641	3474	1998-01-31	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
1016642	3474	1998-02-28	VYDAJ	VYBER	15	22331	SLUZBY	\N	\N
1016643	3474	1998-03-31	VYDAJ	VYBER	15	23514	SLUZBY	\N	\N
1016644	3474	1998-04-30	VYDAJ	VYBER	15	24701	SLUZBY	\N	\N
1016645	3474	1998-05-31	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
1016646	3474	1998-06-30	VYDAJ	VYBER	15	16478	SLUZBY	\N	\N
1016647	3474	1998-07-31	VYDAJ	VYBER	15	16794	SLUZBY	\N	\N
1016648	3474	1998-08-31	VYDAJ	VYBER	15	17953	SLUZBY	\N	\N
1016649	3474	1998-09-30	VYDAJ	VYBER	15	19117	SLUZBY	\N	\N
1016650	3474	1998-10-31	VYDAJ	VYBER	15	20286	SLUZBY	\N	\N
1016651	3474	1998-11-30	VYDAJ	VYBER	15	21099	SLUZBY	\N	\N
1017140	3476	1995-12-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1017153	3476	1996-01-10	PRIJEM	VKLAD	12609	13509	\N	\N	\N
1017154	3476	1996-02-10	PRIJEM	VKLAD	12609	31962	\N	\N	\N
1017155	3476	1996-03-10	PRIJEM	VKLAD	12609	40271	\N	\N	\N
1017156	3476	1996-04-10	PRIJEM	VKLAD	12609	43301	\N	\N	\N
1017157	3476	1996-05-10	PRIJEM	VKLAD	12609	48049	\N	\N	\N
1017158	3476	1996-06-10	PRIJEM	VKLAD	18914	52273	\N	\N	\N
1017159	3476	1996-07-10	PRIJEM	VKLAD	12609	47214	\N	\N	\N
1017160	3476	1996-08-10	PRIJEM	VKLAD	12609	46148	\N	\N	\N
1017161	3476	1996-09-10	PRIJEM	VKLAD	12609	45681	\N	\N	\N
1017162	3476	1996-10-10	PRIJEM	VKLAD	12609	49321	\N	\N	\N
1017163	3476	1996-11-10	PRIJEM	VKLAD	12609	51371	\N	\N	\N
1017164	3476	1996-12-10	PRIJEM	VKLAD	18914	56546	\N	\N	\N
1017165	3476	1997-01-10	PRIJEM	VKLAD	12609	49305	\N	\N	\N
1017166	3476	1997-02-10	PRIJEM	VKLAD	12609	42193	\N	\N	\N
1017167	3476	1997-03-10	PRIJEM	VKLAD	12609	48625	\N	\N	\N
1017168	3476	1997-04-10	PRIJEM	VKLAD	12609	42056	\N	\N	\N
1017169	3476	1997-05-10	PRIJEM	VKLAD	12609	41788	\N	\N	\N
1017170	3476	1997-06-10	PRIJEM	VKLAD	18914	49845	\N	\N	\N
1017171	3476	1997-07-10	PRIJEM	VKLAD	12609	47420	\N	\N	\N
1017172	3476	1997-08-10	PRIJEM	VKLAD	12609	42400	\N	\N	\N
1017173	3476	1997-09-10	PRIJEM	VKLAD	12609	43643	\N	\N	\N
1017174	3476	1997-10-10	PRIJEM	VKLAD	12609	45500	\N	\N	\N
1017175	3476	1997-11-10	PRIJEM	VKLAD	12609	42243	\N	\N	\N
1017176	3476	1997-12-10	PRIJEM	VKLAD	18914	48486	\N	\N	\N
1017177	3476	1998-01-10	PRIJEM	VKLAD	12609	42034	\N	\N	\N
1017178	3476	1998-02-10	PRIJEM	VKLAD	12609	37058	\N	\N	\N
1017179	3476	1998-03-10	PRIJEM	VKLAD	12609	42480	\N	\N	\N
1017180	3476	1998-04-10	PRIJEM	VKLAD	12609	41885	\N	\N	\N
1017181	3476	1998-05-10	PRIJEM	VKLAD	12609	44717	\N	\N	\N
1017182	3476	1998-06-10	PRIJEM	VKLAD	18914	53163	\N	\N	\N
1017183	3476	1998-07-10	PRIJEM	VKLAD	12609	46847	\N	\N	\N
1017184	3476	1998-08-10	PRIJEM	VKLAD	12609	47009	\N	\N	\N
1017185	3476	1998-09-10	PRIJEM	VKLAD	12609	44381	\N	\N	\N
1017186	3476	1998-10-10	PRIJEM	VKLAD	12609	48324	\N	\N	\N
1017187	3476	1998-11-10	PRIJEM	VKLAD	12609	48995	\N	\N	\N
1017188	3476	1998-12-10	PRIJEM	VKLAD	18914	57073	\N	\N	\N
1017206	3476	1996-06-08	VYDAJ	PREVOD NA UCET	860	33359	SIPO	CD	45791339
1017207	3476	1996-07-08	VYDAJ	PREVOD NA UCET	860	34605	SIPO	CD	45791339
1017208	3476	1996-08-08	VYDAJ	PREVOD NA UCET	860	33539	SIPO	CD	45791339
1017209	3476	1996-09-08	VYDAJ	PREVOD NA UCET	860	33072	SIPO	CD	45791339
1017210	3476	1996-10-08	VYDAJ	PREVOD NA UCET	860	36712	SIPO	CD	45791339
1017211	3476	1996-11-08	VYDAJ	PREVOD NA UCET	860	38762	SIPO	CD	45791339
1017212	3476	1996-12-08	VYDAJ	PREVOD NA UCET	860	37632	SIPO	CD	45791339
1017213	3476	1997-01-08	VYDAJ	PREVOD NA UCET	860	36896	SIPO	CD	45791339
1017214	3476	1997-02-08	VYDAJ	PREVOD NA UCET	860	29584	SIPO	CD	45791339
1017215	3476	1997-03-08	VYDAJ	PREVOD NA UCET	860	36016	SIPO	CD	45791339
1017216	3476	1997-04-08	VYDAJ	PREVOD NA UCET	860	33047	SIPO	CD	45791339
1017217	3476	1997-05-08	VYDAJ	PREVOD NA UCET	860	34679	SIPO	CD	45791339
1017218	3476	1997-06-08	VYDAJ	PREVOD NA UCET	860	30931	SIPO	CD	45791339
1017219	3476	1997-07-08	VYDAJ	PREVOD NA UCET	860	43711	SIPO	CD	45791339
1017220	3476	1997-08-08	VYDAJ	PREVOD NA UCET	860	29791	SIPO	CD	45791339
1017221	3476	1997-09-08	VYDAJ	PREVOD NA UCET	860	31034	SIPO	CD	45791339
1017222	3476	1997-10-08	VYDAJ	PREVOD NA UCET	860	32891	SIPO	CD	45791339
1017223	3476	1997-11-08	VYDAJ	PREVOD NA UCET	860	29634	SIPO	CD	45791339
1017224	3476	1997-12-08	VYDAJ	PREVOD NA UCET	860	29572	SIPO	CD	45791339
1017225	3476	1998-01-08	VYDAJ	PREVOD NA UCET	860	29425	SIPO	CD	45791339
1017226	3476	1998-02-08	VYDAJ	PREVOD NA UCET	860	24449	SIPO	CD	45791339
1017227	3476	1998-03-08	VYDAJ	PREVOD NA UCET	860	29871	SIPO	CD	45791339
1017228	3476	1998-04-08	VYDAJ	PREVOD NA UCET	860	29276	SIPO	CD	45791339
1017229	3476	1998-05-08	VYDAJ	PREVOD NA UCET	860	32108	SIPO	CD	45791339
1017230	3476	1998-06-08	VYDAJ	PREVOD NA UCET	860	34249	SIPO	CD	45791339
1017231	3476	1998-07-08	VYDAJ	PREVOD NA UCET	860	34238	SIPO	CD	45791339
1017232	3476	1998-08-08	VYDAJ	PREVOD NA UCET	860	34400	SIPO	CD	45791339
1017233	3476	1998-09-08	VYDAJ	PREVOD NA UCET	860	31772	SIPO	CD	45791339
1017234	3476	1998-10-08	VYDAJ	PREVOD NA UCET	860	35715	SIPO	CD	45791339
1017235	3476	1998-11-08	VYDAJ	PREVOD NA UCET	860	36386	SIPO	CD	45791339
1017236	3476	1998-12-08	VYDAJ	PREVOD NA UCET	860	38959	SIPO	CD	45791339
1017253	3476	1996-05-10	VYDAJ	PREVOD NA UCET	5447	42602	 	YZ	55472403
1017254	3476	1996-06-10	VYDAJ	PREVOD NA UCET	5447	46826	 	YZ	55472403
1017255	3476	1996-07-10	VYDAJ	PREVOD NA UCET	5447	41767	 	YZ	55472403
1017256	3476	1996-08-10	VYDAJ	PREVOD NA UCET	5447	40701	 	YZ	55472403
1017257	3476	1996-09-10	VYDAJ	PREVOD NA UCET	5447	40234	 	YZ	55472403
1017258	3476	1996-10-10	VYDAJ	PREVOD NA UCET	5447	43874	 	YZ	55472403
1017259	3476	1996-11-10	VYDAJ	PREVOD NA UCET	5447	45924	 	YZ	55472403
1017260	3476	1996-12-10	VYDAJ	PREVOD NA UCET	5447	51099	 	YZ	55472403
1017261	3476	1997-01-10	VYDAJ	PREVOD NA UCET	5447	42458	 	YZ	55472403
1017262	3476	1997-02-10	VYDAJ	PREVOD NA UCET	5447	36746	 	YZ	55472403
1017263	3476	1997-03-10	VYDAJ	PREVOD NA UCET	5447	43178	 	YZ	55472403
1017264	3476	1997-04-10	VYDAJ	PREVOD NA UCET	5447	36609	 	YZ	55472403
1017265	3476	1997-05-10	VYDAJ	PREVOD NA UCET	5447	36341	 	YZ	55472403
1017266	3476	1997-06-10	VYDAJ	PREVOD NA UCET	5447	44398	 	YZ	55472403
1017267	3476	1997-07-10	VYDAJ	PREVOD NA UCET	5447	41973	 	YZ	55472403
1017268	3476	1997-08-10	VYDAJ	PREVOD NA UCET	5447	36953	 	YZ	55472403
1017269	3476	1997-09-10	VYDAJ	PREVOD NA UCET	5447	38196	 	YZ	55472403
1017270	3476	1997-10-10	VYDAJ	PREVOD NA UCET	5447	40053	 	YZ	55472403
1017271	3476	1997-11-10	VYDAJ	PREVOD NA UCET	5447	36796	 	YZ	55472403
1017272	3476	1997-12-10	VYDAJ	PREVOD NA UCET	5447	43039	 	YZ	55472403
1017273	3476	1998-01-10	VYDAJ	PREVOD NA UCET	5447	33387	 	YZ	55472403
1017274	3476	1998-02-10	VYDAJ	PREVOD NA UCET	5447	31611	 	YZ	55472403
1017275	3476	1998-03-10	VYDAJ	PREVOD NA UCET	5447	37033	 	YZ	55472403
1017276	3476	1998-04-10	VYDAJ	PREVOD NA UCET	5447	36438	 	YZ	55472403
1017277	3476	1998-05-10	VYDAJ	PREVOD NA UCET	5447	39270	 	YZ	55472403
1017278	3476	1998-06-10	VYDAJ	PREVOD NA UCET	5447	47716	 	YZ	55472403
1017279	3476	1998-07-10	VYDAJ	PREVOD NA UCET	5447	41400	 	YZ	55472403
1017280	3476	1998-08-10	VYDAJ	PREVOD NA UCET	5447	41562	 	YZ	55472403
1017281	3476	1998-09-10	VYDAJ	PREVOD NA UCET	5447	38934	 	YZ	55472403
1017282	3476	1998-10-10	VYDAJ	PREVOD NA UCET	5447	42877	 	YZ	55472403
1017283	3476	1998-11-10	VYDAJ	PREVOD NA UCET	5447	43548	 	YZ	55472403
1017284	3476	1998-12-10	VYDAJ	PREVOD NA UCET	5447	51626	 	YZ	55472403
1017291	3476	1997-01-22	VYDAJ	VYBER	5760	35498	\N	\N	\N
1017292	3476	1998-01-25	VYDAJ	VYBER KARTOU	4000	23587	\N	\N	0
1017294	3476	1996-12-03	VYDAJ	VYBER KARTOU	3200	38492	\N	\N	0
1017295	3476	1997-12-17	VYDAJ	VYBER KARTOU	3700	39339	\N	\N	0
1017296	3476	1998-12-09	VYDAJ	VYBER KARTOU	800	38159	\N	\N	0
1017309	3476	1997-01-29	VYDAJ	VYBER KARTOU	3200	30298	\N	\N	0
1017310	3476	1997-01-10	VYDAJ	VYBER KARTOU	1400	47905	\N	\N	0
1017311	3476	1997-01-02	VYDAJ	VYBER KARTOU	600	40956	\N	\N	0
1017312	3476	1997-01-04	VYDAJ	VYBER KARTOU	3200	37756	\N	\N	0
1017313	3476	1997-01-21	VYDAJ	VYBER KARTOU	1200	41258	\N	\N	0
1017314	3476	1997-01-29	VYDAJ	VYBER KARTOU	2000	33498	\N	\N	0
1017315	3476	1998-01-06	VYDAJ	VYBER KARTOU	2800	30285	\N	\N	0
1017316	3476	1998-01-10	VYDAJ	VYBER KARTOU	3200	38834	\N	\N	0
1017317	3476	1998-01-04	VYDAJ	VYBER KARTOU	1900	33085	\N	\N	0
1017318	3476	1998-01-03	VYDAJ	VYBER KARTOU	1300	38185	\N	\N	0
1017319	3476	1998-01-22	VYDAJ	VYBER KARTOU	3400	29987	\N	\N	0
1017320	3476	1998-01-23	VYDAJ	VYBER KARTOU	2400	27587	\N	\N	0
1017326	3476	1996-08-16	VYDAJ	VYBER KARTOU	3100	33801	\N	\N	0
1017328	3476	1996-09-11	VYDAJ	VYBER KARTOU	2400	37834	\N	\N	0
1017329	3476	1996-06-02	VYDAJ	VYBER	1320	34219	\N	\N	\N
1017330	3476	1997-04-13	VYDAJ	VYBER KARTOU	1200	35409	\N	\N	0
1017331	3476	1997-10-12	VYDAJ	VYBER KARTOU	3100	36953	\N	\N	0
1017332	3476	1998-05-16	VYDAJ	VYBER KARTOU	3700	35570	\N	\N	0
1017333	3476	1998-03-18	VYDAJ	VYBER	4320	32713	\N	\N	\N
1017334	3476	1998-09-12	VYDAJ	VYBER KARTOU	2800	36134	\N	\N	0
1017352	3476	1996-05-31	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
1017353	3476	1996-06-30	VYDAJ	VYBER	15	35465	SLUZBY	\N	\N
1017354	3476	1996-07-31	VYDAJ	VYBER	15	34399	SLUZBY	\N	\N
1017355	3476	1996-08-31	VYDAJ	VYBER	15	33932	SLUZBY	\N	\N
1017356	3476	1996-09-30	VYDAJ	VYBER	15	37572	SLUZBY	\N	\N
1017357	3476	1996-10-31	VYDAJ	VYBER	15	39622	SLUZBY	\N	\N
1017358	3476	1996-11-30	VYDAJ	VYBER	15	41692	SLUZBY	\N	\N
1017359	3476	1996-12-31	VYDAJ	VYBER	15	41556	SLUZBY	\N	\N
1017360	3476	1997-01-31	VYDAJ	VYBER	15	30444	SLUZBY	\N	\N
1017361	3476	1997-02-28	VYDAJ	VYBER	15	36876	SLUZBY	\N	\N
1017362	3476	1997-03-31	VYDAJ	VYBER	15	33907	SLUZBY	\N	\N
1017363	3476	1997-04-30	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
1017364	3476	1997-05-31	VYDAJ	VYBER	15	36491	SLUZBY	\N	\N
1017365	3476	1997-06-30	VYDAJ	VYBER	15	44571	SLUZBY	\N	\N
1017366	3476	1997-07-31	VYDAJ	VYBER	15	42151	SLUZBY	\N	\N
1017367	3476	1997-08-31	VYDAJ	VYBER	15	37094	SLUZBY	\N	\N
1017368	3476	1997-09-30	VYDAJ	VYBER	15	38351	SLUZBY	\N	\N
1017369	3476	1997-10-31	VYDAJ	VYBER	15	37094	SLUZBY	\N	\N
1017370	3476	1997-11-30	VYDAJ	VYBER	15	36932	SLUZBY	\N	\N
1017371	3476	1997-12-31	VYDAJ	VYBER	15	39485	SLUZBY	\N	\N
1017372	3476	1998-01-31	VYDAJ	VYBER	15	23709	SLUZBY	\N	\N
1017373	3476	1998-02-28	VYDAJ	VYBER	15	31731	SLUZBY	\N	\N
1017374	3476	1998-03-31	VYDAJ	VYBER	15	32836	SLUZBY	\N	\N
1017375	3476	1998-04-30	VYDAJ	VYBER	15	36568	SLUZBY	\N	\N
1017376	3476	1998-05-31	VYDAJ	VYBER	15	35709	SLUZBY	\N	\N
1017377	3476	1998-06-30	VYDAJ	VYBER	15	47898	SLUZBY	\N	\N
1017378	3476	1998-07-31	VYDAJ	VYBER	15	41560	SLUZBY	\N	\N
1017379	3476	1998-08-31	VYDAJ	VYBER	15	41732	SLUZBY	\N	\N
1017380	3476	1998-09-30	VYDAJ	VYBER	15	36275	SLUZBY	\N	\N
1017381	3476	1998-10-31	VYDAJ	VYBER	15	37246	SLUZBY	\N	\N
1017382	3476	1998-11-30	VYDAJ	VYBER	15	39819	SLUZBY	\N	\N
1017383	3476	1996-01-15	PRIJEM	VKLAD	5800	19309	\N	\N	\N
1017384	3476	1996-02-14	VYDAJ	VYBER	4400	27562	\N	\N	\N
1017385	3476	1996-03-15	VYDAJ	VYBER	9700	30571	\N	\N	\N
1017386	3476	1996-04-14	VYDAJ	VYBER	8000	35301	\N	\N	\N
1017387	3476	1996-05-14	VYDAJ	VYBER	7200	35402	\N	\N	\N
1017388	3476	1996-06-13	VYDAJ	VYBER	11500	35326	\N	\N	\N
1017389	3476	1996-07-13	VYDAJ	VYBER	7500	34267	\N	\N	\N
1017390	3476	1996-08-12	VYDAJ	VYBER KARTOU	3800	36901	\N	\N	0
1017391	3476	1996-09-11	VYDAJ	VYBER KARTOU	400	37434	\N	\N	0
1017392	3476	1996-10-11	VYDAJ	VYBER	4400	39474	\N	\N	\N
1017393	3476	1996-11-10	VYDAJ	VYBER	4400	41524	\N	\N	\N
1017394	3476	1996-12-10	VYDAJ	VYBER	9700	41399	\N	\N	\N
1017395	3476	1997-01-09	VYDAJ	VYBER KARTOU	200	36696	\N	\N	0
1017396	3476	1997-03-10	VYDAJ	VYBER	9400	33778	\N	\N	\N
1017397	3476	1997-04-09	VYDAJ	VYBER KARTOU	3600	29447	\N	\N	0
1017398	3476	1997-05-09	VYDAJ	VYBER	5500	29179	\N	\N	\N
1017399	3476	1997-06-08	VYDAJ	VYBER	4700	31791	\N	\N	\N
1017400	3476	1997-07-08	VYDAJ	VYBER	8900	34811	\N	\N	\N
1017401	3476	1997-08-07	VYDAJ	VYBER	11500	30651	\N	\N	\N
1017402	3476	1997-09-06	VYDAJ	VYBER	5200	31894	\N	\N	\N
1017403	3476	1997-10-06	VYDAJ	VYBER	4600	33751	\N	\N	\N
1017404	3476	1997-11-05	VYDAJ	VYBER	6600	30494	\N	\N	\N
1017405	3476	1997-12-05	VYDAJ	VYBER	6500	30432	\N	\N	\N
1017406	3476	1998-01-04	VYDAJ	VYBER KARTOU	3200	34985	\N	\N	0
1017407	3476	1998-02-03	PRIJEM	VKLAD	1600	25309	\N	\N	\N
1017408	3476	1998-03-05	VYDAJ	VYBER KARTOU	1000	30731	\N	\N	0
1017409	3476	1998-04-04	VYDAJ	VYBER KARTOU	2700	30136	\N	\N	0
1017410	3476	1998-05-04	VYDAJ	VYBER KARTOU	3600	32968	\N	\N	0
1017411	3476	1998-06-03	VYDAJ	VYBER KARTOU	600	35109	\N	\N	0
1017412	3476	1998-07-03	VYDAJ	VYBER	12800	35098	\N	\N	\N
1017413	3476	1998-08-02	VYDAJ	VYBER	6300	35260	\N	\N	\N
1017414	3476	1998-09-01	VYDAJ	VYBER	9100	32632	\N	\N	\N
1017415	3476	1998-10-01	PRIJEM	VKLAD	300	36575	\N	\N	\N
1017416	3476	1998-10-31	VYDAJ	VYBER	5800	37260	\N	\N	\N
1017417	3476	1998-11-30	VYDAJ	VYBER KARTOU	3900	39834	\N	\N	0
1017454	3477	1993-08-22	PRIJEM	VKLAD	700	700	\N	\N	\N
1017463	3477	1993-09-08	PRIJEM	PREVOD Z UCTU	3199	3899	\N	UV	27869725
1017464	3477	1993-10-08	PRIJEM	PREVOD Z UCTU	3199	7098	\N	UV	27869725
1017465	3477	1993-11-08	PRIJEM	PREVOD Z UCTU	3199	10297	\N	UV	27869725
1017466	3477	1993-12-08	PRIJEM	PREVOD Z UCTU	3199	13496	\N	UV	27869725
1017467	3477	1994-01-08	PRIJEM	PREVOD Z UCTU	3199	16695	\N	UV	27869725
1017468	3477	1994-02-08	PRIJEM	PREVOD Z UCTU	3199	15447	\N	UV	27869725
1017469	3477	1994-03-08	PRIJEM	PREVOD Z UCTU	3199	16553	\N	UV	27869725
1017470	3477	1994-04-08	PRIJEM	PREVOD Z UCTU	3199	17664	\N	UV	27869725
1017471	3477	1994-05-08	PRIJEM	PREVOD Z UCTU	3199	18029	\N	UV	27869725
1017472	3477	1994-06-08	PRIJEM	PREVOD Z UCTU	3199	19149	\N	UV	27869725
1017473	3477	1994-07-08	PRIJEM	PREVOD Z UCTU	3199	19220	\N	UV	27869725
1017474	3477	1994-08-08	PRIJEM	PREVOD Z UCTU	3199	19260	\N	UV	27869725
1017475	3477	1994-09-08	PRIJEM	PREVOD Z UCTU	3199	18072	\N	UV	27869725
1017476	3477	1994-10-08	PRIJEM	PREVOD Z UCTU	3199	18202	\N	UV	27869725
1017477	3477	1994-11-08	PRIJEM	PREVOD Z UCTU	3199	19323	\N	UV	27869725
1017478	3477	1994-12-08	PRIJEM	PREVOD Z UCTU	3199	20445	\N	UV	27869725
1017479	3477	1995-01-08	PRIJEM	PREVOD Z UCTU	3199	19141	\N	UV	27869725
1017480	3477	1995-02-08	PRIJEM	PREVOD Z UCTU	3199	17952	\N	UV	27869725
1017481	3477	1995-03-08	PRIJEM	PREVOD Z UCTU	3199	19068	\N	UV	27869725
1017482	3477	1995-04-08	PRIJEM	PREVOD Z UCTU	3199	20039	\N	UV	27869725
1017483	3477	1995-05-08	PRIJEM	PREVOD Z UCTU	3199	20594	\N	UV	27869725
1017484	3477	1995-06-08	PRIJEM	PREVOD Z UCTU	3199	21723	\N	UV	27869725
1017485	3477	1995-07-08	PRIJEM	PREVOD Z UCTU	3199	17235	\N	UV	27869725
1017486	3477	1995-08-08	PRIJEM	PREVOD Z UCTU	3199	18349	\N	UV	27869725
1017487	3477	1995-09-08	PRIJEM	PREVOD Z UCTU	3199	18956	\N	UV	27869725
1017488	3477	1995-10-08	PRIJEM	PREVOD Z UCTU	3199	20077	\N	UV	27869725
1017489	3477	1995-11-08	PRIJEM	PREVOD Z UCTU	3199	18295	\N	UV	27869725
1017490	3477	1995-12-08	PRIJEM	PREVOD Z UCTU	3199	19413	\N	UV	27869725
1017491	3477	1996-01-08	PRIJEM	PREVOD Z UCTU	3199	15221	\N	UV	27869725
1017492	3477	1996-02-08	PRIJEM	PREVOD Z UCTU	3199	14221	\N	UV	27869725
1017493	3477	1996-03-08	PRIJEM	PREVOD Z UCTU	3199	14019	\N	UV	27869725
1017494	3477	1996-04-08	PRIJEM	PREVOD Z UCTU	3199	15119	\N	UV	27869725
1017495	3477	1996-05-08	PRIJEM	PREVOD Z UCTU	3199	16224	\N	UV	27869725
1017496	3477	1996-06-08	PRIJEM	PREVOD Z UCTU	3199	14626	\N	UV	27869725
1017497	3477	1996-07-08	PRIJEM	PREVOD Z UCTU	3199	15728	\N	UV	27869725
1017498	3477	1996-08-08	PRIJEM	PREVOD Z UCTU	3199	16835	\N	UV	27869725
1017499	3477	1996-09-08	PRIJEM	PREVOD Z UCTU	3199	17015	\N	UV	27869725
1017500	3477	1996-10-08	PRIJEM	PREVOD Z UCTU	3199	18127	\N	UV	27869725
1017501	3477	1996-11-08	PRIJEM	PREVOD Z UCTU	3199	18044	\N	UV	27869725
1017502	3477	1996-12-08	PRIJEM	PREVOD Z UCTU	3199	18654	\N	UV	27869725
1017503	3477	1997-01-08	PRIJEM	PREVOD Z UCTU	3199	19115	\N	UV	27869725
1017504	3477	1997-02-08	PRIJEM	PREVOD Z UCTU	3199	17471	\N	UV	27869725
1017505	3477	1997-03-08	PRIJEM	PREVOD Z UCTU	3199	18585	\N	UV	27869725
1017506	3477	1997-04-08	PRIJEM	PREVOD Z UCTU	3199	18504	\N	UV	27869725
1017507	3477	1997-05-08	PRIJEM	PREVOD Z UCTU	3199	19324	\N	UV	27869725
1017508	3477	1997-06-08	PRIJEM	PREVOD Z UCTU	3199	18346	\N	UV	27869725
1017509	3477	1997-07-08	PRIJEM	PREVOD Z UCTU	3199	18115	\N	UV	27869725
1017510	3477	1997-08-08	PRIJEM	PREVOD Z UCTU	3199	16622	\N	UV	27869725
1017511	3477	1997-09-08	PRIJEM	PREVOD Z UCTU	3199	17736	\N	UV	27869725
1017512	3477	1997-10-08	PRIJEM	PREVOD Z UCTU	3199	18670	\N	UV	27869725
1017513	3477	1997-11-08	PRIJEM	PREVOD Z UCTU	3199	19789	\N	UV	27869725
1017514	3477	1997-12-08	PRIJEM	PREVOD Z UCTU	3199	20491	\N	UV	27869725
1017515	3477	1998-01-08	PRIJEM	PREVOD Z UCTU	3199	20567	\N	UV	27869725
1017516	3477	1998-02-08	PRIJEM	PREVOD Z UCTU	3199	17706	\N	UV	27869725
1017517	3477	1998-03-08	PRIJEM	PREVOD Z UCTU	3199	18820	\N	UV	27869725
1017518	3477	1998-04-08	PRIJEM	PREVOD Z UCTU	3199	18139	\N	UV	27869725
1017519	3477	1998-05-08	PRIJEM	PREVOD Z UCTU	3199	18654	\N	UV	27869725
1017520	3477	1998-06-08	PRIJEM	PREVOD Z UCTU	3199	19772	\N	UV	27869725
1017521	3477	1998-07-08	PRIJEM	PREVOD Z UCTU	3199	20895	\N	UV	27869725
1017522	3477	1998-08-08	PRIJEM	PREVOD Z UCTU	3199	17119	\N	UV	27869725
1017523	3477	1998-09-08	PRIJEM	PREVOD Z UCTU	3199	18131	\N	UV	27869725
1017524	3477	1998-10-08	PRIJEM	PREVOD Z UCTU	3199	19247	\N	UV	27869725
1017525	3477	1998-11-08	PRIJEM	PREVOD Z UCTU	3199	18984	\N	UV	27869725
1017526	3477	1998-12-08	PRIJEM	PREVOD Z UCTU	3199	16800	\N	UV	27869725
1017539	3477	1994-01-13	VYDAJ	PREVOD NA UCET	2132	14143	SIPO	YZ	4360360
1017540	3477	1994-02-13	VYDAJ	PREVOD NA UCET	2132	13315	SIPO	YZ	4360360
1017541	3477	1994-03-13	VYDAJ	PREVOD NA UCET	2132	14421	SIPO	YZ	4360360
1017542	3477	1994-04-13	VYDAJ	PREVOD NA UCET	2132	15532	SIPO	YZ	4360360
1017543	3477	1994-05-13	VYDAJ	PREVOD NA UCET	2132	15897	SIPO	YZ	4360360
1017544	3477	1994-06-13	VYDAJ	PREVOD NA UCET	2132	17017	SIPO	YZ	4360360
1017545	3477	1994-07-13	VYDAJ	PREVOD NA UCET	2132	17088	SIPO	YZ	4360360
1017546	3477	1994-08-13	VYDAJ	PREVOD NA UCET	2132	17128	SIPO	YZ	4360360
1017547	3477	1994-09-13	VYDAJ	PREVOD NA UCET	2132	15940	SIPO	YZ	4360360
1017548	3477	1994-10-13	VYDAJ	PREVOD NA UCET	2132	16070	SIPO	YZ	4360360
1017549	3477	1994-11-13	VYDAJ	PREVOD NA UCET	2132	17191	SIPO	YZ	4360360
1017550	3477	1994-12-13	VYDAJ	PREVOD NA UCET	2132	17803	SIPO	YZ	4360360
1017551	3477	1995-01-13	VYDAJ	PREVOD NA UCET	2132	16859	SIPO	YZ	4360360
1017552	3477	1995-02-13	VYDAJ	PREVOD NA UCET	2132	15820	SIPO	YZ	4360360
1017553	3477	1995-03-13	VYDAJ	PREVOD NA UCET	2132	16936	SIPO	YZ	4360360
1017554	3477	1995-04-13	VYDAJ	PREVOD NA UCET	2132	17907	SIPO	YZ	4360360
1017555	3477	1995-05-13	VYDAJ	PREVOD NA UCET	2132	18462	SIPO	YZ	4360360
1017556	3477	1995-06-13	VYDAJ	PREVOD NA UCET	2132	19591	SIPO	YZ	4360360
1017557	3477	1995-07-13	VYDAJ	PREVOD NA UCET	2132	15103	SIPO	YZ	4360360
1017558	3477	1995-08-13	VYDAJ	PREVOD NA UCET	2132	16217	SIPO	YZ	4360360
1017559	3477	1995-09-13	VYDAJ	PREVOD NA UCET	2132	16824	SIPO	YZ	4360360
1017560	3477	1995-10-13	VYDAJ	PREVOD NA UCET	2132	15045	SIPO	YZ	4360360
1017561	3477	1995-11-13	VYDAJ	PREVOD NA UCET	2132	16163	SIPO	YZ	4360360
1017562	3477	1995-12-13	VYDAJ	PREVOD NA UCET	2132	11981	SIPO	YZ	4360360
1017563	3477	1996-01-13	VYDAJ	PREVOD NA UCET	2132	10989	SIPO	YZ	4360360
1017564	3477	1996-02-13	VYDAJ	PREVOD NA UCET	2132	10789	SIPO	YZ	4360360
1017565	3477	1996-03-13	VYDAJ	PREVOD NA UCET	2132	11887	SIPO	YZ	4360360
1017566	3477	1996-04-13	VYDAJ	PREVOD NA UCET	2132	12987	SIPO	YZ	4360360
1017567	3477	1996-05-13	VYDAJ	PREVOD NA UCET	2132	11392	SIPO	YZ	4360360
1017568	3477	1996-06-13	VYDAJ	PREVOD NA UCET	2132	12494	SIPO	YZ	4360360
1017569	3477	1996-07-13	VYDAJ	PREVOD NA UCET	2132	13596	SIPO	YZ	4360360
1017570	3477	1996-08-13	VYDAJ	PREVOD NA UCET	2132	13773	SIPO	YZ	4360360
1017571	3477	1996-09-13	VYDAJ	PREVOD NA UCET	2132	14883	SIPO	YZ	4360360
1017572	3477	1996-10-13	VYDAJ	PREVOD NA UCET	2132	15995	SIPO	YZ	4360360
1017573	3477	1996-11-13	VYDAJ	PREVOD NA UCET	2132	15912	SIPO	YZ	4360360
1017574	3477	1996-12-13	VYDAJ	PREVOD NA UCET	2132	16522	SIPO	YZ	4360360
1017575	3477	1997-01-13	VYDAJ	PREVOD NA UCET	2132	15693	SIPO	YZ	4360360
1017576	3477	1997-02-13	VYDAJ	PREVOD NA UCET	2132	15339	SIPO	YZ	4360360
1017577	3477	1997-03-13	VYDAJ	PREVOD NA UCET	2132	16453	SIPO	YZ	4360360
1017578	3477	1997-04-13	VYDAJ	PREVOD NA UCET	2132	16372	SIPO	YZ	4360360
1017579	3477	1997-05-13	VYDAJ	PREVOD NA UCET	2132	17192	SIPO	YZ	4360360
1017580	3477	1997-06-13	VYDAJ	PREVOD NA UCET	2132	16214	SIPO	YZ	4360360
1017581	3477	1997-07-13	VYDAJ	PREVOD NA UCET	2132	15983	SIPO	YZ	4360360
1017582	3477	1997-08-13	VYDAJ	PREVOD NA UCET	2132	14490	SIPO	YZ	4360360
1017583	3477	1997-09-13	VYDAJ	PREVOD NA UCET	2132	15604	SIPO	YZ	4360360
1017584	3477	1997-10-13	VYDAJ	PREVOD NA UCET	2132	16538	SIPO	YZ	4360360
1017585	3477	1997-11-13	VYDAJ	PREVOD NA UCET	2132	17657	SIPO	YZ	4360360
1017586	3477	1997-12-13	VYDAJ	PREVOD NA UCET	2132	18359	SIPO	YZ	4360360
1017587	3477	1998-01-13	VYDAJ	PREVOD NA UCET	2132	15525	SIPO	YZ	4360360
1017588	3477	1998-02-13	VYDAJ	PREVOD NA UCET	2132	15574	SIPO	YZ	4360360
1017589	3477	1998-03-13	VYDAJ	PREVOD NA UCET	2132	16688	SIPO	YZ	4360360
1017590	3477	1998-04-13	VYDAJ	PREVOD NA UCET	2132	16007	SIPO	YZ	4360360
1017591	3477	1998-05-13	VYDAJ	PREVOD NA UCET	2132	16522	SIPO	YZ	4360360
1017592	3477	1998-06-13	VYDAJ	PREVOD NA UCET	2132	17640	SIPO	YZ	4360360
1017593	3477	1998-07-13	VYDAJ	PREVOD NA UCET	2132	18763	SIPO	YZ	4360360
1017594	3477	1998-08-13	VYDAJ	PREVOD NA UCET	2132	14987	SIPO	YZ	4360360
1017595	3477	1998-09-13	VYDAJ	PREVOD NA UCET	2132	15999	SIPO	YZ	4360360
1017596	3477	1998-10-13	VYDAJ	PREVOD NA UCET	2132	15735	SIPO	YZ	4360360
1017597	3477	1998-11-13	VYDAJ	PREVOD NA UCET	2132	16852	SIPO	YZ	4360360
1017598	3477	1998-12-13	VYDAJ	PREVOD NA UCET	2132	14668	SIPO	YZ	4360360
1017600	3477	1994-06-28	VYDAJ	VYBER	1050	15967	\N	\N	\N
1017601	3477	1995-06-17	VYDAJ	VYBER	4920	14671	\N	\N	\N
1017603	3477	1997-06-20	VYDAJ	VYBER	1350	14864	\N	\N	\N
1017607	3477	1995-01-13	VYDAJ	VYBER	390	16469	\N	\N	\N
1017609	3477	1997-01-16	VYDAJ	VYBER	1200	14493	\N	\N	\N
1017610	3477	1998-01-12	VYDAJ	VYBER	2070	18497	\N	\N	\N
1017612	3477	1994-12-11	VYDAJ	VYBER	510	19935	\N	\N	\N
1017614	3477	1996-12-07	VYDAJ	VYBER	210	15455	\N	\N	\N
1017615	3477	1997-12-25	VYDAJ	VYBER	510	17849	\N	\N	\N
1017624	3477	1994-01-10	VYDAJ	VYBER	420	16275	\N	\N	\N
1017626	3477	1994-01-18	VYDAJ	VYBER	660	13483	\N	\N	\N
1017629	3477	1995-01-22	VYDAJ	VYBER	360	15239	\N	\N	\N
1017630	3477	1995-01-08	VYDAJ	VYBER	150	18991	\N	\N	\N
1017631	3477	1995-01-02	VYDAJ	VYBER	210	17652	\N	\N	\N
1017632	3477	1995-01-07	VYDAJ	VYBER	300	15942	\N	\N	\N
1017633	3477	1995-01-30	VYDAJ	VYBER	540	14699	\N	\N	\N
1017634	3477	1995-01-16	VYDAJ	VYBER	870	15599	\N	\N	\N
1017641	3477	1997-01-06	VYDAJ	VYBER	150	15916	\N	\N	\N
1017643	3477	1997-01-09	VYDAJ	VYBER	840	17825	\N	\N	\N
1017644	3477	1997-01-08	VYDAJ	VYBER	450	18665	\N	\N	\N
1017645	3477	1997-01-16	VYDAJ	VYBER	270	14223	\N	\N	\N
1017646	3477	1997-01-06	VYDAJ	VYBER	510	16066	\N	\N	\N
1017647	3477	1998-01-18	VYDAJ	VYBER	210	15315	\N	\N	\N
1017649	3477	1998-01-05	VYDAJ	VYBER	540	17368	\N	\N	\N
1017650	3477	1998-01-12	VYDAJ	VYBER	840	17657	\N	\N	\N
1017652	3477	1998-01-19	VYDAJ	VYBER	660	14655	\N	\N	\N
1017659	3477	1994-10-01	VYDAJ	VYBER	990	15003	\N	\N	\N
1017660	3477	1994-05-03	VYDAJ	VYBER	750	14830	\N	\N	\N
1017661	3477	1994-09-05	VYDAJ	VYBER	1230	14873	\N	\N	\N
1017662	3477	1994-01-20	VYDAJ	VYBER	1260	12223	\N	\N	\N
1017663	3477	1994-09-03	VYDAJ	VYBER	1080	16103	\N	\N	\N
1017664	3477	1994-07-18	VYDAJ	VYBER	1080	16008	\N	\N	\N
1017665	3477	1995-03-18	VYDAJ	VYBER	150	16786	\N	\N	\N
1017666	3477	1995-08-29	VYDAJ	VYBER	510	15707	\N	\N	\N
1017667	3477	1995-06-17	VYDAJ	VYBER	690	13981	\N	\N	\N
1017668	3477	1995-01-04	VYDAJ	VYBER	1410	16242	\N	\N	\N
1017669	3477	1995-04-30	VYDAJ	VYBER	570	17395	\N	\N	\N
1017671	3477	1996-08-10	VYDAJ	VYBER	930	15905	\N	\N	\N
1017674	3477	1997-04-15	VYDAJ	VYBER	300	16072	\N	\N	\N
1017676	3477	1997-09-22	VYDAJ	VYBER	180	15424	\N	\N	\N
1017677	3477	1997-07-29	VYDAJ	VYBER	510	15473	\N	\N	\N
1017678	3477	1997-11-15	VYDAJ	VYBER	420	17237	\N	\N	\N
1017680	3477	1998-10-12	VYDAJ	VYBER	1380	17867	\N	\N	\N
1017694	3477	1994-01-31	VYDAJ	VYBER	15	12248	SLUZBY	\N	\N
1017695	3477	1994-02-28	VYDAJ	VYBER	15	13354	SLUZBY	\N	\N
1017696	3477	1994-03-31	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
1017697	3477	1994-04-30	VYDAJ	VYBER	15	15580	SLUZBY	\N	\N
1017698	3477	1994-05-31	VYDAJ	VYBER	15	15950	SLUZBY	\N	\N
1017699	3477	1994-06-30	VYDAJ	VYBER	15	16021	SLUZBY	\N	\N
1017700	3477	1994-07-31	VYDAJ	VYBER	15	16061	SLUZBY	\N	\N
1017701	3477	1994-08-31	VYDAJ	VYBER	15	17183	SLUZBY	\N	\N
1017702	3477	1994-09-30	VYDAJ	VYBER	15	15993	SLUZBY	\N	\N
1017703	3477	1994-10-31	VYDAJ	VYBER	15	16124	SLUZBY	\N	\N
1017704	3477	1994-11-30	VYDAJ	VYBER	15	17246	SLUZBY	\N	\N
1017705	3477	1994-12-31	VYDAJ	VYBER	15	17862	SLUZBY	\N	\N
1017706	3477	1995-01-31	VYDAJ	VYBER	15	14753	SLUZBY	\N	\N
1017707	3477	1995-02-28	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
1017708	3477	1995-03-31	VYDAJ	VYBER	15	16840	SLUZBY	\N	\N
1017709	3477	1995-04-30	VYDAJ	VYBER	15	17965	SLUZBY	\N	\N
1017710	3477	1995-05-31	VYDAJ	VYBER	15	18524	SLUZBY	\N	\N
1017711	3477	1995-06-30	VYDAJ	VYBER	15	14036	SLUZBY	\N	\N
1017712	3477	1995-07-31	VYDAJ	VYBER	15	15150	SLUZBY	\N	\N
1017713	3477	1995-08-31	VYDAJ	VYBER	15	15757	SLUZBY	\N	\N
1017714	3477	1995-09-30	VYDAJ	VYBER	15	16878	SLUZBY	\N	\N
1017715	3477	1995-10-31	VYDAJ	VYBER	15	15096	SLUZBY	\N	\N
1017716	3477	1995-11-30	VYDAJ	VYBER	15	16214	SLUZBY	\N	\N
1017717	3477	1995-12-31	VYDAJ	VYBER	15	12022	SLUZBY	\N	\N
1017718	3477	1996-01-31	VYDAJ	VYBER	15	11022	SLUZBY	\N	\N
1017719	3477	1996-02-29	VYDAJ	VYBER	15	10820	SLUZBY	\N	\N
1017720	3477	1996-03-31	VYDAJ	VYBER	15	11920	SLUZBY	\N	\N
1017721	3477	1996-04-30	VYDAJ	VYBER	15	13025	SLUZBY	\N	\N
1017722	3477	1996-05-31	VYDAJ	VYBER	15	11427	SLUZBY	\N	\N
1017723	3477	1996-06-30	VYDAJ	VYBER	15	12529	SLUZBY	\N	\N
1017724	3477	1996-07-31	VYDAJ	VYBER	15	13636	SLUZBY	\N	\N
1017725	3477	1996-08-31	VYDAJ	VYBER	15	13816	SLUZBY	\N	\N
1017726	3477	1996-09-30	VYDAJ	VYBER	15	14928	SLUZBY	\N	\N
1017727	3477	1996-10-31	VYDAJ	VYBER	15	16045	SLUZBY	\N	\N
1017728	3477	1996-11-30	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
1017729	3477	1996-12-31	VYDAJ	VYBER	15	16576	SLUZBY	\N	\N
1017730	3477	1997-01-31	VYDAJ	VYBER	15	14272	SLUZBY	\N	\N
1017731	3477	1997-02-28	VYDAJ	VYBER	15	15386	SLUZBY	\N	\N
1017732	3477	1997-03-31	VYDAJ	VYBER	15	16505	SLUZBY	\N	\N
1017733	3477	1997-04-30	VYDAJ	VYBER	15	16125	SLUZBY	\N	\N
1017734	3477	1997-05-31	VYDAJ	VYBER	15	17247	SLUZBY	\N	\N
1017735	3477	1997-06-30	VYDAJ	VYBER	15	14916	SLUZBY	\N	\N
1017736	3477	1997-07-31	VYDAJ	VYBER	15	15523	SLUZBY	\N	\N
1017737	3477	1997-08-31	VYDAJ	VYBER	15	14537	SLUZBY	\N	\N
1017738	3477	1997-09-30	VYDAJ	VYBER	15	15471	SLUZBY	\N	\N
1017739	3477	1997-10-31	VYDAJ	VYBER	15	16590	SLUZBY	\N	\N
1017740	3477	1997-11-30	VYDAJ	VYBER	15	17292	SLUZBY	\N	\N
1017741	3477	1997-12-31	VYDAJ	VYBER	15	17908	SLUZBY	\N	\N
1017742	3477	1998-01-31	VYDAJ	VYBER	15	14507	SLUZBY	\N	\N
1017743	3477	1998-02-28	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
1017744	3477	1998-03-31	VYDAJ	VYBER	15	14940	SLUZBY	\N	\N
1017745	3477	1998-04-30	VYDAJ	VYBER	15	15455	SLUZBY	\N	\N
1017746	3477	1998-05-31	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
1017747	3477	1998-06-30	VYDAJ	VYBER	15	17696	SLUZBY	\N	\N
1017748	3477	1998-07-31	VYDAJ	VYBER	15	13920	SLUZBY	\N	\N
1017749	3477	1998-08-31	VYDAJ	VYBER	15	14932	SLUZBY	\N	\N
1017750	3477	1998-09-30	VYDAJ	VYBER	15	16048	SLUZBY	\N	\N
1017751	3477	1998-10-31	VYDAJ	VYBER	15	15785	SLUZBY	\N	\N
1017752	3477	1998-11-30	VYDAJ	VYBER	15	13601	SLUZBY	\N	\N
1017753	3477	1995-10-11	VYDAJ	VYBER	2900	17177	\N	\N	\N
1017754	3477	1995-12-10	VYDAJ	VYBER	5300	14113	\N	\N	\N
1017755	3477	1996-01-09	VYDAJ	VYBER	2100	13121	\N	\N	\N
1017756	3477	1996-02-08	VYDAJ	VYBER	1300	12921	\N	\N	\N
1017757	3477	1996-05-08	VYDAJ	VYBER	2700	13524	\N	\N	\N
1017758	3477	1996-11-04	VYDAJ	VYBER	1200	14845	\N	\N	\N
1017759	3477	1996-12-04	VYDAJ	VYBER	300	15665	\N	\N	\N
1017760	3477	1997-04-03	VYDAJ	VYBER	1200	15305	\N	\N	\N
1017761	3477	1997-06-02	VYDAJ	VYBER	2100	15147	\N	\N	\N
1017762	3477	1997-08-01	VYDAJ	VYBER	2100	13423	\N	\N	\N
1017763	3477	1998-01-28	VYDAJ	VYBER	200	14455	\N	\N	\N
1017764	3477	1998-03-29	VYDAJ	VYBER	1800	14888	\N	\N	\N
1017765	3477	1998-04-28	VYDAJ	VYBER	600	15407	\N	\N	\N
1017766	3477	1998-07-27	VYDAJ	VYBER	4900	13863	\N	\N	\N
1017767	3477	1998-08-26	VYDAJ	VYBER	100	14887	\N	\N	\N
1017768	3477	1998-11-24	VYDAJ	VYBER	3300	13552	\N	\N	\N
1017829	3478	1994-09-04	PRIJEM	VKLAD	400	400	\N	\N	\N
1017838	3478	1994-09-11	PRIJEM	VKLAD	7360	7760	\N	\N	\N
1017839	3478	1994-10-11	PRIJEM	VKLAD	7360	21442	\N	\N	\N
1017840	3478	1994-11-11	PRIJEM	VKLAD	7360	31173	\N	\N	\N
1017841	3478	1994-12-11	PRIJEM	VKLAD	11040	40329	\N	\N	\N
1017842	3478	1995-01-11	PRIJEM	VKLAD	7360	40945	\N	\N	\N
1017843	3478	1995-02-11	PRIJEM	VKLAD	7360	31272	\N	\N	\N
1017844	3478	1995-03-11	PRIJEM	VKLAD	7360	24236	\N	\N	\N
1017845	3478	1995-04-11	PRIJEM	VKLAD	7360	25777	\N	\N	\N
1017846	3478	1995-05-11	PRIJEM	VKLAD	7360	27457	\N	\N	\N
1017847	3478	1995-06-11	PRIJEM	VKLAD	11040	29984	\N	\N	\N
1017848	3478	1995-07-11	PRIJEM	VKLAD	7360	30039	\N	\N	\N
1017849	3478	1995-08-11	PRIJEM	VKLAD	7360	24899	\N	\N	\N
1017850	3478	1995-09-11	PRIJEM	VKLAD	7360	22247	\N	\N	\N
1017851	3478	1995-10-11	PRIJEM	VKLAD	7360	23534	\N	\N	\N
1017852	3478	1995-11-11	PRIJEM	VKLAD	7360	21866	\N	\N	\N
1017853	3478	1995-12-11	PRIJEM	VKLAD	11040	26873	\N	\N	\N
1017854	3478	1996-01-11	PRIJEM	VKLAD	7360	20728	\N	\N	\N
1017855	3478	1996-02-11	PRIJEM	VKLAD	7360	19344	\N	\N	\N
1017856	3478	1996-03-11	PRIJEM	VKLAD	7360	21936	\N	\N	\N
1017857	3478	1996-04-11	PRIJEM	VKLAD	7360	26265	\N	\N	\N
1017858	3478	1996-05-11	PRIJEM	VKLAD	7360	28810	\N	\N	\N
1017859	3478	1996-06-11	PRIJEM	VKLAD	11040	32043	\N	\N	\N
1017860	3478	1996-07-11	PRIJEM	VKLAD	7360	30004	\N	\N	\N
1017861	3478	1996-08-11	PRIJEM	VKLAD	7360	22673	\N	\N	\N
1017862	3478	1996-09-11	PRIJEM	VKLAD	7360	27704	\N	\N	\N
1017863	3478	1996-10-11	PRIJEM	VKLAD	7360	29754	\N	\N	\N
1017864	3478	1996-11-11	PRIJEM	VKLAD	7360	22924	\N	\N	\N
1017865	3478	1996-12-11	PRIJEM	VKLAD	11040	20444	\N	\N	\N
1017866	3478	1997-01-11	PRIJEM	VKLAD	7360	21526	\N	\N	\N
1017867	3478	1997-02-11	PRIJEM	VKLAD	7360	20833	\N	\N	\N
1017868	3478	1997-03-11	PRIJEM	VKLAD	7360	27763	\N	\N	\N
1017869	3478	1997-04-11	PRIJEM	VKLAD	7360	29713	\N	\N	\N
1017870	3478	1997-05-11	PRIJEM	VKLAD	7360	22951	\N	\N	\N
1017871	3478	1997-06-11	PRIJEM	VKLAD	11040	25709	\N	\N	\N
1017872	3478	1997-07-11	PRIJEM	VKLAD	7360	27848	\N	\N	\N
1017873	3478	1997-08-11	PRIJEM	VKLAD	7360	31701	\N	\N	\N
1017874	3478	1997-09-11	PRIJEM	VKLAD	7360	34469	\N	\N	\N
1017875	3478	1997-10-11	PRIJEM	VKLAD	7360	41956	\N	\N	\N
1017876	3478	1997-11-11	PRIJEM	VKLAD	7360	40415	\N	\N	\N
1017877	3478	1997-12-11	PRIJEM	VKLAD	11040	42591	\N	\N	\N
1017878	3478	1998-01-11	PRIJEM	VKLAD	7360	24827	\N	\N	\N
1017879	3478	1998-02-11	PRIJEM	VKLAD	7360	24126	\N	\N	\N
1017880	3478	1998-03-11	PRIJEM	VKLAD	7360	35179	\N	\N	\N
1017881	3478	1998-04-11	PRIJEM	VKLAD	7360	38461	\N	\N	\N
1017882	3478	1998-05-11	PRIJEM	VKLAD	7360	36046	\N	\N	\N
1017883	3478	1998-06-11	PRIJEM	VKLAD	11040	36398	\N	\N	\N
1017884	3478	1998-07-11	PRIJEM	VKLAD	7360	34469	\N	\N	\N
1017885	3478	1998-08-11	PRIJEM	VKLAD	7360	37674	\N	\N	\N
1017886	3478	1998-09-11	PRIJEM	VKLAD	7360	32114	\N	\N	\N
1017887	3478	1998-10-11	PRIJEM	VKLAD	7360	33799	\N	\N	\N
1017888	3478	1998-11-11	PRIJEM	VKLAD	7360	34569	\N	\N	\N
1017889	3478	1998-12-11	PRIJEM	VKLAD	11040	38664	\N	\N	\N
1017903	3478	1995-02-06	VYDAJ	PREVOD NA UCET	4906	23912	SIPO	QR	47389072
1017904	3478	1995-03-06	VYDAJ	PREVOD NA UCET	4906	22276	SIPO	QR	47389072
1017905	3478	1995-04-06	VYDAJ	PREVOD NA UCET	4906	18417	SIPO	QR	47389072
1017906	3478	1995-05-06	VYDAJ	PREVOD NA UCET	4906	20097	SIPO	QR	47389072
1017907	3478	1995-06-06	VYDAJ	PREVOD NA UCET	4906	18944	SIPO	QR	47389072
1017908	3478	1995-07-06	VYDAJ	PREVOD NA UCET	4906	22679	SIPO	QR	47389072
1017909	3478	1995-08-06	VYDAJ	PREVOD NA UCET	4906	17539	SIPO	QR	47389072
1017910	3478	1995-09-06	VYDAJ	PREVOD NA UCET	4906	14887	SIPO	QR	47389072
1017911	3478	1995-10-06	VYDAJ	PREVOD NA UCET	4906	16174	SIPO	QR	47389072
1017912	3478	1995-11-06	VYDAJ	PREVOD NA UCET	4906	14506	SIPO	QR	47389072
1017913	3478	1995-12-06	VYDAJ	PREVOD NA UCET	4906	15833	SIPO	QR	47389072
1017914	3478	1996-01-06	VYDAJ	PREVOD NA UCET	4906	14328	SIPO	QR	47389072
1017915	3478	1996-02-06	VYDAJ	PREVOD NA UCET	4906	11984	SIPO	QR	47389072
1017916	3478	1996-03-06	VYDAJ	PREVOD NA UCET	4906	14576	SIPO	QR	47389072
1017917	3478	1996-04-06	VYDAJ	PREVOD NA UCET	4906	18905	SIPO	QR	47389072
1017918	3478	1996-05-06	VYDAJ	PREVOD NA UCET	4906	21450	SIPO	QR	47389072
1017919	3478	1996-06-06	VYDAJ	PREVOD NA UCET	4906	21003	SIPO	QR	47389072
1017920	3478	1996-07-06	VYDAJ	PREVOD NA UCET	4906	22644	SIPO	QR	47389072
1017921	3478	1996-08-06	VYDAJ	PREVOD NA UCET	4906	15313	SIPO	QR	47389072
1017922	3478	1996-09-06	VYDAJ	PREVOD NA UCET	4906	20344	SIPO	QR	47389072
1017923	3478	1996-10-06	VYDAJ	PREVOD NA UCET	4906	22394	SIPO	QR	47389072
1017924	3478	1996-11-06	VYDAJ	PREVOD NA UCET	4906	15564	SIPO	QR	47389072
1017925	3478	1996-12-06	VYDAJ	PREVOD NA UCET	4906	9404	SIPO	QR	47389072
1017926	3478	1997-01-06	VYDAJ	PREVOD NA UCET	4906	17766	SIPO	QR	47389072
1017927	3478	1997-02-06	VYDAJ	PREVOD NA UCET	4906	17193	SIPO	QR	47389072
1017928	3478	1997-03-06	VYDAJ	PREVOD NA UCET	4906	20403	SIPO	QR	47389072
1017929	3478	1997-04-06	VYDAJ	PREVOD NA UCET	4906	22353	SIPO	QR	47389072
1017930	3478	1997-05-06	VYDAJ	PREVOD NA UCET	4906	15591	SIPO	QR	47389072
1017931	3478	1997-06-06	VYDAJ	PREVOD NA UCET	4906	19589	SIPO	QR	47389072
1017932	3478	1997-07-06	VYDAJ	PREVOD NA UCET	4906	20488	SIPO	QR	47389072
1017933	3478	1997-08-06	VYDAJ	PREVOD NA UCET	4906	24341	SIPO	QR	47389072
1017934	3478	1997-09-06	VYDAJ	PREVOD NA UCET	4906	27109	SIPO	QR	47389072
1017935	3478	1997-10-06	VYDAJ	PREVOD NA UCET	4906	34596	SIPO	QR	47389072
1017936	3478	1997-11-06	VYDAJ	PREVOD NA UCET	4906	33055	SIPO	QR	47389072
1017937	3478	1997-12-06	VYDAJ	PREVOD NA UCET	4906	31551	SIPO	QR	47389072
1017938	3478	1998-01-06	VYDAJ	PREVOD NA UCET	4906	29507	SIPO	QR	47389072
1017939	3478	1998-02-06	VYDAJ	PREVOD NA UCET	4906	16766	SIPO	QR	47389072
1017940	3478	1998-03-06	VYDAJ	PREVOD NA UCET	4906	27819	SIPO	QR	47389072
1017941	3478	1998-04-06	VYDAJ	PREVOD NA UCET	4906	31101	SIPO	QR	47389072
1017942	3478	1998-05-06	VYDAJ	PREVOD NA UCET	4906	28686	SIPO	QR	47389072
1017943	3478	1998-06-06	VYDAJ	PREVOD NA UCET	4906	25358	SIPO	QR	47389072
1017944	3478	1998-07-06	VYDAJ	PREVOD NA UCET	4906	27109	SIPO	QR	47389072
1017945	3478	1998-08-06	VYDAJ	PREVOD NA UCET	4906	30314	SIPO	QR	47389072
1017946	3478	1998-09-06	VYDAJ	PREVOD NA UCET	4906	24754	SIPO	QR	47389072
1017947	3478	1998-10-06	VYDAJ	PREVOD NA UCET	4906	26439	SIPO	QR	47389072
1017948	3478	1998-11-06	VYDAJ	PREVOD NA UCET	4906	27209	SIPO	QR	47389072
1017949	3478	1998-12-06	VYDAJ	PREVOD NA UCET	4906	28584	SIPO	QR	47389072
1017959	3478	1998-01-07	VYDAJ	VYBER	11200	18307	\N	\N	\N
1017961	3478	1995-12-12	VYDAJ	VYBER	2240	24633	\N	\N	\N
1017962	3478	1996-12-05	VYDAJ	VYBER	3520	14310	\N	\N	\N
1017963	3478	1997-12-24	VYDAJ	VYBER	1440	36551	\N	\N	\N
1017964	3478	1998-12-08	VYDAJ	VYBER	960	27624	\N	\N	\N
1017971	3478	1995-01-26	VYDAJ	VYBER	1680	30385	\N	\N	\N
1017973	3478	1995-01-13	VYDAJ	VYBER	1080	36385	\N	\N	\N
1017974	3478	1995-01-18	VYDAJ	VYBER	3240	33145	\N	\N	\N
1017975	3478	1995-01-20	VYDAJ	VYBER	1080	32065	\N	\N	\N
1017976	3478	1995-01-11	VYDAJ	VYBER	3480	37465	\N	\N	\N
1017977	3478	1996-01-11	VYDAJ	VYBER	840	19888	\N	\N	\N
1017978	3478	1996-01-26	VYDAJ	VYBER	2640	16408	\N	\N	\N
1017979	3478	1996-01-02	VYDAJ	VYBER	2880	19234	\N	\N	\N
1017980	3478	1996-01-26	VYDAJ	VYBER	1680	14728	\N	\N	\N
1017981	3478	1996-01-10	VYDAJ	VYBER	960	13368	\N	\N	\N
1017982	3478	1996-01-15	VYDAJ	VYBER	840	19048	\N	\N	\N
1017983	3478	1997-01-09	VYDAJ	VYBER	720	17046	\N	\N	\N
1017984	3478	1997-01-11	VYDAJ	VYBER	1080	20446	\N	\N	\N
1017985	3478	1997-01-18	VYDAJ	VYBER	720	19726	\N	\N	\N
1017986	3478	1997-01-02	VYDAJ	VYBER	2640	22672	\N	\N	\N
1017987	3478	1997-01-10	VYDAJ	VYBER	2880	14166	\N	\N	\N
1017988	3478	1997-01-23	VYDAJ	VYBER	600	22026	\N	\N	\N
1017989	3478	1998-01-14	VYDAJ	VYBER	3360	18107	\N	\N	\N
1017990	3478	1998-01-08	VYDAJ	VYBER	840	17467	\N	\N	\N
1017991	3478	1998-01-12	VYDAJ	VYBER	1680	21467	\N	\N	\N
1017992	3478	1998-01-06	VYDAJ	VYBER	2280	34413	\N	\N	\N
1017993	3478	1998-01-22	VYDAJ	VYBER	2520	21587	\N	\N	\N
1017994	3478	1998-01-12	VYDAJ	VYBER	1680	23147	\N	\N	\N
1017999	3478	1995-09-24	VYDAJ	VYBER	1560	20687	\N	\N	\N
1018000	3478	1995-04-23	VYDAJ	VYBER	960	24817	\N	\N	\N
1018001	3478	1995-03-08	VYDAJ	VYBER	5400	16876	\N	\N	\N
1018002	3478	1995-09-27	VYDAJ	VYBER	1680	19007	\N	\N	\N
1018003	3478	1996-07-17	VYDAJ	VYBER	1320	27124	\N	\N	\N
1018004	3478	1996-11-17	VYDAJ	VYBER	5760	17164	\N	\N	\N
1018005	3478	1996-02-17	VYDAJ	VYBER	3120	16224	\N	\N	\N
1018006	3478	1996-10-26	VYDAJ	VYBER	2880	20374	\N	\N	\N
1018007	3478	1996-08-05	VYDAJ	VYBER	2400	20219	\N	\N	\N
1018008	3478	1996-07-12	VYDAJ	VYBER	1560	28444	\N	\N	\N
1018009	3478	1997-06-08	VYDAJ	VYBER	4920	14669	\N	\N	\N
1018010	3478	1997-10-12	VYDAJ	VYBER	1800	40156	\N	\N	\N
1018011	3478	1997-10-14	VYDAJ	VYBER	2040	38116	\N	\N	\N
1018012	3478	1997-02-09	VYDAJ	VYBER	3720	13473	\N	\N	\N
1018013	3478	1997-04-28	VYDAJ	VYBER	4560	25553	\N	\N	\N
1018014	3478	1997-05-04	VYDAJ	VYBER	5160	20497	\N	\N	\N
1018015	3478	1997-05-31	VYDAJ	VYBER	3240	24495	\N	\N	\N
1018016	3478	1998-08-31	VYDAJ	VYBER	2040	31460	\N	\N	\N
1018017	3478	1998-09-05	VYDAJ	VYBER	1800	29660	\N	\N	\N
1018018	3478	1998-08-02	VYDAJ	VYBER	2880	35220	\N	\N	\N
1018019	3478	1998-09-19	VYDAJ	VYBER	1680	31234	\N	\N	\N
1018033	3478	1995-01-31	VYDAJ	VYBER	15	30518	SLUZBY	\N	\N
1018034	3478	1995-02-28	VYDAJ	VYBER	15	31382	SLUZBY	\N	\N
1018035	3478	1995-03-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
1018036	3478	1995-04-30	VYDAJ	VYBER	15	24903	SLUZBY	\N	\N
1018037	3478	1995-05-31	VYDAJ	VYBER	15	27550	SLUZBY	\N	\N
1018038	3478	1995-06-30	VYDAJ	VYBER	15	30085	SLUZBY	\N	\N
1018039	3478	1995-07-31	VYDAJ	VYBER	15	30145	SLUZBY	\N	\N
1018040	3478	1995-08-31	VYDAJ	VYBER	15	19793	SLUZBY	\N	\N
1018041	3478	1995-09-30	VYDAJ	VYBER	15	21080	SLUZBY	\N	\N
1018042	3478	1995-10-31	VYDAJ	VYBER	15	19412	SLUZBY	\N	\N
1018043	3478	1995-11-30	VYDAJ	VYBER	15	20739	SLUZBY	\N	\N
1018044	3478	1995-12-31	VYDAJ	VYBER	15	22114	SLUZBY	\N	\N
1018045	3478	1996-01-31	VYDAJ	VYBER	15	16890	SLUZBY	\N	\N
1018046	3478	1996-02-29	VYDAJ	VYBER	15	19482	SLUZBY	\N	\N
1018047	3478	1996-03-31	VYDAJ	VYBER	15	23811	SLUZBY	\N	\N
1018048	3478	1996-04-30	VYDAJ	VYBER	15	26356	SLUZBY	\N	\N
1018049	3478	1996-05-31	VYDAJ	VYBER	15	25909	SLUZBY	\N	\N
1018050	3478	1996-06-30	VYDAJ	VYBER	15	27550	SLUZBY	\N	\N
1018051	3478	1996-07-31	VYDAJ	VYBER	15	22619	SLUZBY	\N	\N
1018052	3478	1996-08-31	VYDAJ	VYBER	15	25250	SLUZBY	\N	\N
1018053	3478	1996-09-30	VYDAJ	VYBER	15	27300	SLUZBY	\N	\N
1018054	3478	1996-10-31	VYDAJ	VYBER	15	20470	SLUZBY	\N	\N
1018055	3478	1996-11-30	VYDAJ	VYBER	15	17830	SLUZBY	\N	\N
1018056	3478	1996-12-31	VYDAJ	VYBER	15	25312	SLUZBY	\N	\N
1018057	3478	1997-01-31	VYDAJ	VYBER	15	22099	SLUZBY	\N	\N
1018058	3478	1997-02-28	VYDAJ	VYBER	15	25309	SLUZBY	\N	\N
1018059	3478	1997-03-31	VYDAJ	VYBER	15	27259	SLUZBY	\N	\N
1018060	3478	1997-04-30	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
1018061	3478	1997-05-31	VYDAJ	VYBER	15	27735	SLUZBY	\N	\N
1018062	3478	1997-06-30	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
1018063	3478	1997-07-31	VYDAJ	VYBER	15	29247	SLUZBY	\N	\N
1018064	3478	1997-08-31	VYDAJ	VYBER	15	32015	SLUZBY	\N	\N
1018065	3478	1997-09-30	VYDAJ	VYBER	15	39502	SLUZBY	\N	\N
1018066	3478	1997-10-31	VYDAJ	VYBER	15	37961	SLUZBY	\N	\N
1018067	3478	1997-11-30	VYDAJ	VYBER	15	36457	SLUZBY	\N	\N
1018068	3478	1997-12-31	VYDAJ	VYBER	15	36693	SLUZBY	\N	\N
1018069	3478	1998-01-31	VYDAJ	VYBER	15	21672	SLUZBY	\N	\N
1018070	3478	1998-02-28	VYDAJ	VYBER	15	32725	SLUZBY	\N	\N
1018071	3478	1998-03-31	VYDAJ	VYBER	15	36007	SLUZBY	\N	\N
1018072	3478	1998-04-30	VYDAJ	VYBER	15	33592	SLUZBY	\N	\N
1018073	3478	1998-05-31	VYDAJ	VYBER	15	30264	SLUZBY	\N	\N
1018074	3478	1998-06-30	VYDAJ	VYBER	15	32015	SLUZBY	\N	\N
1018075	3478	1998-07-31	VYDAJ	VYBER	15	38100	SLUZBY	\N	\N
1018076	3478	1998-08-31	VYDAJ	VYBER	15	33500	SLUZBY	\N	\N
1018077	3478	1998-09-30	VYDAJ	VYBER	15	31345	SLUZBY	\N	\N
1018078	3478	1998-10-31	VYDAJ	VYBER	15	32115	SLUZBY	\N	\N
1018079	3478	1998-11-30	VYDAJ	VYBER	15	33490	SLUZBY	\N	\N
1018080	3478	1994-10-04	PRIJEM	VKLAD	6300	14082	\N	\N	\N
1018081	3478	1994-11-03	PRIJEM	VKLAD	2300	23813	\N	\N	\N
1018082	3478	1994-12-03	VYDAJ	VYBER	2000	29289	\N	\N	\N
1018083	3478	1995-01-02	VYDAJ	VYBER	6900	33585	\N	\N	\N
1018084	3478	1995-02-01	VYDAJ	VYBER	1700	28818	\N	\N	\N
1018085	3478	1995-03-03	VYDAJ	VYBER	4200	27182	\N	\N	\N
1018086	3478	1995-04-02	VYDAJ	VYBER	1000	23323	\N	\N	\N
1018087	3478	1995-05-02	PRIJEM	VKLAD	100	25003	\N	\N	\N
1018088	3478	1995-06-01	VYDAJ	VYBER	3700	23850	\N	\N	\N
1018089	3478	1995-07-01	VYDAJ	VYBER	2500	27585	\N	\N	\N
1018090	3478	1995-07-31	VYDAJ	VYBER	7700	22445	\N	\N	\N
1018091	3478	1995-08-30	VYDAJ	VYBER	5200	19699	\N	\N	\N
1018092	3478	1995-09-29	PRIJEM	VKLAD	2000	21007	\N	\N	\N
1018093	3478	1995-10-29	VYDAJ	VYBER	4200	19334	\N	\N	\N
1018094	3478	1995-11-28	VYDAJ	VYBER	1200	20666	\N	\N	\N
1018095	3478	1995-12-28	VYDAJ	VYBER	2600	22033	\N	\N	\N
1018096	3478	1996-01-27	PRIJEM	VKLAD	2100	16828	\N	\N	\N
1018097	3478	1996-02-26	PRIJEM	VKLAD	3200	19424	\N	\N	\N
1018098	3478	1996-03-27	PRIJEM	VKLAD	1800	23736	\N	\N	\N
1018099	3478	1996-05-26	VYDAJ	VYBER	3000	25810	\N	\N	\N
1018100	3478	1996-06-25	VYDAJ	VYBER	4600	27443	\N	\N	\N
1018101	3478	1996-07-25	VYDAJ	VYBER	4600	22524	\N	\N	\N
1018102	3478	1996-08-24	PRIJEM	VKLAD	2500	25173	\N	\N	\N
1018103	3478	1996-09-23	VYDAJ	VYBER	500	27204	\N	\N	\N
1018104	3478	1996-10-23	VYDAJ	VYBER	6500	23254	\N	\N	\N
1018105	3478	1996-11-22	PRIJEM	VKLAD	600	17764	\N	\N	\N
1018106	3478	1996-12-22	PRIJEM	VKLAD	4800	25244	\N	\N	\N
1018107	3478	1997-01-21	PRIJEM	VKLAD	2900	22626	\N	\N	\N
1018108	3478	1997-02-20	PRIJEM	VKLAD	4400	25233	\N	\N	\N
1018109	3478	1997-03-22	VYDAJ	VYBER	600	27163	\N	\N	\N
1018110	3478	1997-04-21	PRIJEM	VKLAD	400	30113	\N	\N	\N
1018111	3478	1997-05-21	PRIJEM	VKLAD	4700	27651	\N	\N	\N
1018112	3478	1997-06-20	VYDAJ	VYBER	400	25309	\N	\N	\N
1018113	3478	1997-07-20	PRIJEM	VKLAD	1300	29148	\N	\N	\N
1018114	3478	1997-08-19	PRIJEM	VKLAD	200	31901	\N	\N	\N
1018115	3478	1997-09-18	PRIJEM	VKLAD	4900	39369	\N	\N	\N
1018116	3478	1997-10-18	VYDAJ	VYBER	300	37816	\N	\N	\N
1018117	3478	1997-11-17	VYDAJ	VYBER	4100	36315	\N	\N	\N
1018118	3478	1997-12-17	VYDAJ	VYBER	4600	37991	\N	\N	\N
1018119	3478	1998-01-16	PRIJEM	VKLAD	6000	24107	\N	\N	\N
1018120	3478	1998-02-15	PRIJEM	VKLAD	8500	32626	\N	\N	\N
1018121	3478	1998-03-17	PRIJEM	VKLAD	700	35879	\N	\N	\N
1018122	3478	1998-04-16	VYDAJ	VYBER	5000	33461	\N	\N	\N
1018123	3478	1998-05-16	VYDAJ	VYBER	5900	30146	\N	\N	\N
1018124	3478	1998-06-15	VYDAJ	VYBER	4500	31898	\N	\N	\N
1018125	3478	1998-07-15	PRIJEM	VKLAD	3500	37969	\N	\N	\N
1018126	3478	1998-08-14	VYDAJ	VYBER	4300	33374	\N	\N	\N
1018127	3478	1998-09-13	PRIJEM	VKLAD	800	32914	\N	\N	\N
1018128	3478	1998-10-13	VYDAJ	VYBER	1800	31999	\N	\N	\N
1018129	3478	1998-11-12	VYDAJ	VYBER	1200	33369	\N	\N	\N
1018182	3479	1994-06-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1018189	3479	1994-07-05	PRIJEM	VKLAD	13734	14834	\N	\N	\N
1018190	3479	1994-08-05	PRIJEM	VKLAD	13734	31912	\N	\N	\N
1018191	3479	1994-09-05	PRIJEM	VKLAD	13734	42649	\N	\N	\N
1018192	3479	1994-10-05	PRIJEM	VKLAD	13734	47014	\N	\N	\N
1018193	3479	1994-11-05	PRIJEM	VKLAD	13734	51298	\N	\N	\N
1018194	3479	1994-12-05	PRIJEM	VKLAD	20601	51498	\N	\N	\N
1018195	3479	1995-01-05	PRIJEM	VKLAD	13734	42680	\N	\N	\N
1018196	3479	1995-02-05	PRIJEM	VKLAD	13734	27715	\N	\N	\N
1018197	3479	1995-03-05	PRIJEM	VKLAD	13734	27868	\N	\N	\N
1018198	3479	1995-04-05	PRIJEM	VKLAD	13734	37040	\N	\N	\N
1018199	3479	1995-05-05	PRIJEM	VKLAD	13734	37403	\N	\N	\N
1018200	3479	1995-06-05	PRIJEM	VKLAD	20601	38469	\N	\N	\N
1018201	3479	1995-07-05	PRIJEM	VKLAD	13734	30643	\N	\N	\N
1018202	3479	1995-08-05	PRIJEM	VKLAD	13734	29897	\N	\N	\N
1018203	3479	1995-09-05	PRIJEM	VKLAD	13734	31335	\N	\N	\N
1018204	3479	1995-10-05	PRIJEM	VKLAD	13734	34186	\N	\N	\N
1018205	3479	1995-11-05	PRIJEM	VKLAD	13734	35443	\N	\N	\N
1018206	3479	1995-12-05	PRIJEM	VKLAD	20601	38882	\N	\N	\N
1018207	3479	1996-01-05	PRIJEM	VKLAD	13734	33701	\N	\N	\N
1018208	3479	1996-02-05	PRIJEM	VKLAD	13734	35215	\N	\N	\N
1018209	3479	1996-03-05	PRIJEM	VKLAD	13734	39891	\N	\N	\N
1018210	3479	1996-04-05	PRIJEM	VKLAD	13734	37166	\N	\N	\N
1018211	3479	1996-05-05	PRIJEM	VKLAD	13734	38867	\N	\N	\N
1018212	3479	1996-06-05	PRIJEM	VKLAD	20601	48026	\N	\N	\N
1018213	3479	1996-07-05	PRIJEM	VKLAD	13734	35931	\N	\N	\N
1018214	3479	1996-08-05	PRIJEM	VKLAD	13734	42330	\N	\N	\N
1018215	3479	1996-09-05	PRIJEM	VKLAD	13734	45935	\N	\N	\N
1018216	3479	1996-10-05	PRIJEM	VKLAD	13734	48056	\N	\N	\N
1018217	3479	1996-11-05	PRIJEM	VKLAD	13734	49161	\N	\N	\N
1018218	3479	1996-12-05	PRIJEM	VKLAD	20601	54939	\N	\N	\N
1018219	3479	1997-01-05	PRIJEM	VKLAD	13734	54675	\N	\N	\N
1018220	3479	1997-02-05	PRIJEM	VKLAD	13734	40502	\N	\N	\N
1018221	3479	1997-03-05	PRIJEM	VKLAD	13734	50589	\N	\N	\N
1018222	3479	1997-04-05	PRIJEM	VKLAD	13734	56722	\N	\N	\N
1018223	3479	1997-05-05	PRIJEM	VKLAD	13734	56027	\N	\N	\N
1018224	3479	1997-06-05	PRIJEM	VKLAD	20601	67763	\N	\N	\N
1018225	3479	1997-07-05	PRIJEM	VKLAD	13734	54344	\N	\N	\N
1018226	3479	1997-08-05	PRIJEM	VKLAD	13734	58550	\N	\N	\N
1018227	3479	1997-09-05	PRIJEM	VKLAD	13734	59205	\N	\N	\N
1018228	3479	1997-10-05	PRIJEM	VKLAD	13734	62668	\N	\N	\N
1018229	3479	1997-11-05	PRIJEM	VKLAD	13734	64043	\N	\N	\N
1018230	3479	1997-12-05	PRIJEM	VKLAD	20601	65169	\N	\N	\N
1018231	3479	1998-01-05	PRIJEM	VKLAD	13734	63439	\N	\N	\N
1018232	3479	1998-02-05	PRIJEM	VKLAD	13734	47743	\N	\N	\N
1018233	3479	1998-03-05	PRIJEM	VKLAD	13734	54363	\N	\N	\N
1018234	3479	1998-04-05	PRIJEM	VKLAD	13734	60006	\N	\N	\N
1018235	3479	1998-05-05	PRIJEM	VKLAD	13734	57666	\N	\N	\N
1018236	3479	1998-06-05	PRIJEM	VKLAD	20601	66102	\N	\N	\N
1018237	3479	1998-07-05	PRIJEM	VKLAD	13734	60565	\N	\N	\N
1018238	3479	1998-08-05	PRIJEM	VKLAD	13734	62830	\N	\N	\N
1018239	3479	1998-09-05	PRIJEM	VKLAD	13734	68108	\N	\N	\N
1018240	3479	1998-10-05	PRIJEM	VKLAD	13734	65124	\N	\N	\N
1018241	3479	1998-11-05	PRIJEM	VKLAD	13734	67407	\N	\N	\N
1018242	3479	1998-12-05	PRIJEM	VKLAD	20601	74034	\N	\N	\N
1018253	3479	1994-11-11	VYDAJ	PREVOD NA UCET	7650	43648	SIPO	QR	1348793
1018254	3479	1994-12-11	VYDAJ	PREVOD NA UCET	7650	33942	SIPO	QR	1348793
1018255	3479	1995-01-11	VYDAJ	PREVOD NA UCET	7650	24850	SIPO	QR	1348793
1018256	3479	1995-02-11	VYDAJ	PREVOD NA UCET	7650	14059	SIPO	QR	1348793
1018257	3479	1995-03-11	VYDAJ	PREVOD NA UCET	7650	24718	SIPO	QR	1348793
1018258	3479	1995-04-11	VYDAJ	PREVOD NA UCET	7650	25090	SIPO	QR	1348793
1018259	3479	1995-05-11	VYDAJ	PREVOD NA UCET	7650	22347	SIPO	QR	1348793
1018260	3479	1995-06-11	VYDAJ	PREVOD NA UCET	7650	18513	SIPO	QR	1348793
1018261	3479	1995-07-11	VYDAJ	PREVOD NA UCET	7650	16087	SIPO	QR	1348793
1018262	3479	1995-08-11	VYDAJ	PREVOD NA UCET	7650	19047	SIPO	QR	1348793
1018263	3479	1995-09-11	VYDAJ	PREVOD NA UCET	7650	20379	SIPO	QR	1348793
1018264	3479	1995-10-11	VYDAJ	PREVOD NA UCET	7650	21630	SIPO	QR	1348793
1018265	3479	1995-11-11	VYDAJ	PREVOD NA UCET	7650	22593	SIPO	QR	1348793
1018266	3479	1995-12-11	VYDAJ	PREVOD NA UCET	7650	24632	SIPO	QR	1348793
1018267	3479	1996-01-11	VYDAJ	PREVOD NA UCET	7650	16651	SIPO	QR	1348793
1018268	3479	1996-02-11	VYDAJ	PREVOD NA UCET	7650	27565	SIPO	QR	1348793
1018269	3479	1996-03-11	VYDAJ	PREVOD NA UCET	7650	23541	SIPO	QR	1348793
1018270	3479	1996-04-11	VYDAJ	PREVOD NA UCET	7650	29516	SIPO	QR	1348793
1018271	3479	1996-05-11	VYDAJ	PREVOD NA UCET	7650	31217	SIPO	QR	1348793
1018272	3479	1996-06-11	VYDAJ	PREVOD NA UCET	7650	40376	SIPO	QR	1348793
1018273	3479	1996-07-11	VYDAJ	PREVOD NA UCET	7650	26775	SIPO	QR	1348793
1018274	3479	1996-08-11	VYDAJ	PREVOD NA UCET	7650	34680	SIPO	QR	1348793
1018275	3479	1996-09-11	VYDAJ	PREVOD NA UCET	7650	36779	SIPO	QR	1348793
1018276	3479	1996-10-11	VYDAJ	PREVOD NA UCET	7650	40406	SIPO	QR	1348793
1018277	3479	1996-11-11	VYDAJ	PREVOD NA UCET	7650	34605	SIPO	QR	1348793
1018278	3479	1996-12-11	VYDAJ	PREVOD NA UCET	7650	47289	SIPO	QR	1348793
1018279	3479	1997-01-11	VYDAJ	PREVOD NA UCET	7650	40425	SIPO	QR	1348793
1018280	3479	1997-02-11	VYDAJ	PREVOD NA UCET	7650	31346	SIPO	QR	1348793
1018281	3479	1997-03-11	VYDAJ	PREVOD NA UCET	7650	42939	SIPO	QR	1348793
1018282	3479	1997-04-11	VYDAJ	PREVOD NA UCET	7650	47566	SIPO	QR	1348793
1018283	3479	1997-05-11	VYDAJ	PREVOD NA UCET	7650	46871	SIPO	QR	1348793
1018284	3479	1997-06-11	VYDAJ	PREVOD NA UCET	7650	58607	SIPO	QR	1348793
1018285	3479	1997-07-11	VYDAJ	PREVOD NA UCET	7650	45188	SIPO	QR	1348793
1018286	3479	1997-08-11	VYDAJ	PREVOD NA UCET	7650	45500	SIPO	QR	1348793
1018287	3479	1997-09-11	VYDAJ	PREVOD NA UCET	7650	51555	SIPO	QR	1348793
1018288	3479	1997-10-11	VYDAJ	PREVOD NA UCET	7650	53512	SIPO	QR	1348793
1018289	3479	1997-11-11	VYDAJ	PREVOD NA UCET	7650	54887	SIPO	QR	1348793
1018290	3479	1997-12-11	VYDAJ	PREVOD NA UCET	7650	57519	SIPO	QR	1348793
1018291	3479	1998-01-11	VYDAJ	PREVOD NA UCET	7650	49723	SIPO	QR	1348793
1018292	3479	1998-02-11	VYDAJ	PREVOD NA UCET	7650	40093	SIPO	QR	1348793
1018293	3479	1998-03-11	VYDAJ	PREVOD NA UCET	7650	46713	SIPO	QR	1348793
1018294	3479	1998-04-11	VYDAJ	PREVOD NA UCET	7650	50850	SIPO	QR	1348793
1018295	3479	1998-05-11	VYDAJ	PREVOD NA UCET	7650	48510	SIPO	QR	1348793
1018296	3479	1998-06-11	VYDAJ	PREVOD NA UCET	7650	56946	SIPO	QR	1348793
1018297	3479	1998-07-11	VYDAJ	PREVOD NA UCET	7650	52915	SIPO	QR	1348793
1018298	3479	1998-08-11	VYDAJ	PREVOD NA UCET	7650	53674	SIPO	QR	1348793
1018299	3479	1998-09-11	VYDAJ	PREVOD NA UCET	7650	60458	SIPO	QR	1348793
1018300	3479	1998-10-11	VYDAJ	PREVOD NA UCET	7650	57474	SIPO	QR	1348793
1018301	3479	1998-11-11	VYDAJ	PREVOD NA UCET	7650	58251	SIPO	QR	1348793
1018302	3479	1998-12-11	VYDAJ	PREVOD NA UCET	7650	61118	SIPO	QR	1348793
1018313	3479	1994-11-11	VYDAJ	PREVOD NA UCET	1506	42142	 	UV	59266370
1018314	3479	1994-12-11	VYDAJ	PREVOD NA UCET	1506	41592	 	UV	59266370
1018315	3479	1995-01-11	VYDAJ	PREVOD NA UCET	1506	23344	 	UV	59266370
1018316	3479	1995-02-11	VYDAJ	PREVOD NA UCET	1506	21709	 	UV	59266370
1018317	3479	1995-03-11	VYDAJ	PREVOD NA UCET	1506	23212	 	UV	59266370
1018318	3479	1995-04-11	VYDAJ	PREVOD NA UCET	1506	23584	 	UV	59266370
1018319	3479	1995-05-11	VYDAJ	PREVOD NA UCET	1506	29997	 	UV	59266370
1018320	3479	1995-06-11	VYDAJ	PREVOD NA UCET	1506	26163	 	UV	59266370
1018321	3479	1995-07-11	VYDAJ	PREVOD NA UCET	1506	23737	 	UV	59266370
1018322	3479	1995-08-11	VYDAJ	PREVOD NA UCET	1506	17541	 	UV	59266370
1018323	3479	1995-09-11	VYDAJ	PREVOD NA UCET	1506	28029	 	UV	59266370
1018324	3479	1995-10-11	VYDAJ	PREVOD NA UCET	1506	29280	 	UV	59266370
1018325	3479	1995-11-11	VYDAJ	PREVOD NA UCET	1506	21087	 	UV	59266370
1018326	3479	1995-12-11	VYDAJ	PREVOD NA UCET	1506	23126	 	UV	59266370
1018327	3479	1996-01-11	VYDAJ	PREVOD NA UCET	1506	15145	 	UV	59266370
1018328	3479	1996-02-11	VYDAJ	PREVOD NA UCET	1506	26059	 	UV	59266370
1018329	3479	1996-03-11	VYDAJ	PREVOD NA UCET	1506	22035	 	UV	59266370
1018330	3479	1996-04-11	VYDAJ	PREVOD NA UCET	1506	28010	 	UV	59266370
1018331	3479	1996-05-11	VYDAJ	PREVOD NA UCET	1506	29711	 	UV	59266370
1018332	3479	1996-06-11	VYDAJ	PREVOD NA UCET	1506	38870	 	UV	59266370
1018333	3479	1996-07-11	VYDAJ	PREVOD NA UCET	1506	34425	 	UV	59266370
1018334	3479	1996-08-11	VYDAJ	PREVOD NA UCET	1506	33174	 	UV	59266370
1018335	3479	1996-09-11	VYDAJ	PREVOD NA UCET	1506	44429	 	UV	59266370
1018336	3479	1996-10-11	VYDAJ	PREVOD NA UCET	1506	38900	 	UV	59266370
1018337	3479	1996-11-11	VYDAJ	PREVOD NA UCET	1506	42255	 	UV	59266370
1018338	3479	1996-12-11	VYDAJ	PREVOD NA UCET	1506	45783	 	UV	59266370
1018339	3479	1997-01-11	VYDAJ	PREVOD NA UCET	1506	38919	 	UV	59266370
1018340	3479	1997-02-11	VYDAJ	PREVOD NA UCET	1506	38996	 	UV	59266370
1018341	3479	1997-03-11	VYDAJ	PREVOD NA UCET	1506	41433	 	UV	59266370
1018342	3479	1997-04-11	VYDAJ	PREVOD NA UCET	1506	55216	 	UV	59266370
1018343	3479	1997-05-11	VYDAJ	PREVOD NA UCET	1506	54521	 	UV	59266370
1018344	3479	1997-06-11	VYDAJ	PREVOD NA UCET	1506	66257	 	UV	59266370
1018345	3479	1997-07-11	VYDAJ	PREVOD NA UCET	1506	52838	 	UV	59266370
1018346	3479	1997-08-11	VYDAJ	PREVOD NA UCET	1506	43994	 	UV	59266370
1018347	3479	1997-09-11	VYDAJ	PREVOD NA UCET	1506	50049	 	UV	59266370
1018348	3479	1997-10-11	VYDAJ	PREVOD NA UCET	1506	61162	 	UV	59266370
1018349	3479	1997-11-11	VYDAJ	PREVOD NA UCET	1506	62537	 	UV	59266370
1018350	3479	1997-12-11	VYDAJ	PREVOD NA UCET	1506	56013	 	UV	59266370
1018351	3479	1998-01-11	VYDAJ	PREVOD NA UCET	1506	57373	 	UV	59266370
1018352	3479	1998-02-11	VYDAJ	PREVOD NA UCET	1506	38587	 	UV	59266370
1018353	3479	1998-03-11	VYDAJ	PREVOD NA UCET	1506	45207	 	UV	59266370
1018354	3479	1998-04-11	VYDAJ	PREVOD NA UCET	1506	58500	 	UV	59266370
1018355	3479	1998-05-11	VYDAJ	PREVOD NA UCET	1506	56160	 	UV	59266370
1018356	3479	1998-06-11	VYDAJ	PREVOD NA UCET	1506	64596	 	UV	59266370
1018357	3479	1998-07-11	VYDAJ	PREVOD NA UCET	1506	51409	 	UV	59266370
1018358	3479	1998-08-11	VYDAJ	PREVOD NA UCET	1506	61324	 	UV	59266370
1018359	3479	1998-09-11	VYDAJ	PREVOD NA UCET	1506	58952	 	UV	59266370
1018360	3479	1998-10-11	VYDAJ	PREVOD NA UCET	1506	55968	 	UV	59266370
1018361	3479	1998-11-11	VYDAJ	PREVOD NA UCET	1506	65901	 	UV	59266370
1018362	3479	1998-12-11	VYDAJ	PREVOD NA UCET	1506	70848	 	UV	59266370
1018365	3479	1996-06-12	VYDAJ	VYBER	14240	24630	\N	\N	\N
1018366	3479	1997-06-28	VYDAJ	VYBER	26720	40387	\N	\N	\N
1018367	3479	1998-06-17	VYDAJ	VYBER	7520	49426	\N	\N	\N
1018369	3479	1995-01-12	VYDAJ	VYBER	5600	17744	\N	\N	\N
1018371	3479	1997-01-26	VYDAJ	VYBER	14080	23039	\N	\N	\N
1018372	3479	1998-01-17	VYDAJ	VYBER	11520	38203	\N	\N	\N
1018373	3479	1994-12-18	VYDAJ	VYBER	4160	29782	\N	\N	\N
1018374	3479	1995-12-22	VYDAJ	VYBER	2400	20726	\N	\N	\N
1018375	3479	1996-12-29	VYDAJ	VYBER	2400	43383	\N	\N	\N
1018376	3479	1997-12-13	VYDAJ	VYBER	1120	54893	\N	\N	\N
1018377	3479	1998-12-11	VYDAJ	VYBER	2080	68768	\N	\N	\N
1018385	3479	1995-01-18	VYDAJ	VYBER	840	14744	\N	\N	\N
1018387	3479	1995-01-01	VYDAJ	VYBER	960	28946	\N	\N	\N
1018389	3479	1995-01-08	VYDAJ	VYBER	1680	41000	\N	\N	\N
1018390	3479	1996-01-07	VYDAJ	VYBER	2040	24301	\N	\N	\N
1018391	3479	1996-01-12	VYDAJ	VYBER	1320	13825	\N	\N	\N
1018394	3479	1996-01-06	VYDAJ	VYBER	960	26341	\N	\N	\N
1018395	3479	1996-01-03	VYDAJ	VYBER	840	19967	\N	\N	\N
1018396	3479	1997-01-09	VYDAJ	VYBER	3240	50355	\N	\N	\N
1018397	3479	1997-01-30	VYDAJ	VYBER	3480	26619	\N	\N	\N
1018398	3479	1997-01-09	VYDAJ	VYBER	2280	48075	\N	\N	\N
1018399	3479	1997-01-05	VYDAJ	VYBER	1080	53595	\N	\N	\N
1018400	3479	1997-01-26	VYDAJ	VYBER	1440	21599	\N	\N	\N
1018401	3479	1997-01-24	VYDAJ	VYBER	1800	37119	\N	\N	\N
1018402	3479	1998-01-22	VYDAJ	VYBER	2160	29443	\N	\N	\N
1018403	3479	1998-01-09	VYDAJ	VYBER	1800	61639	\N	\N	\N
1018404	3479	1998-01-18	VYDAJ	VYBER	2760	32563	\N	\N	\N
1018405	3479	1998-01-17	VYDAJ	VYBER	2880	35323	\N	\N	\N
1018406	3479	1998-01-21	VYDAJ	VYBER	960	31603	\N	\N	\N
1018407	3479	1998-01-11	VYDAJ	VYBER	2760	58879	\N	\N	\N
1018409	3479	1994-11-19	VYDAJ	VYBER	2280	30762	\N	\N	\N
1018416	3479	1995-06-02	VYDAJ	VYBER	4560	17868	\N	\N	\N
1018417	3479	1995-11-16	VYDAJ	VYBER	2880	18207	\N	\N	\N
1018418	3479	1995-06-24	VYDAJ	VYBER	1680	16833	\N	\N	\N
1018420	3479	1995-01-13	VYDAJ	VYBER	2160	15584	\N	\N	\N
1018421	3479	1995-02-03	VYDAJ	VYBER	840	13981	\N	\N	\N
1018422	3479	1996-10-19	VYDAJ	VYBER	3120	35780	\N	\N	\N
1018423	3479	1996-06-19	VYDAJ	VYBER	3240	21390	\N	\N	\N
1018424	3479	1996-04-13	VYDAJ	VYBER	1080	26930	\N	\N	\N
1018425	3479	1996-11-08	VYDAJ	VYBER	5400	43761	\N	\N	\N
1018426	3479	1997-07-15	VYDAJ	VYBER	840	44348	\N	\N	\N
1018427	3479	1997-04-25	VYDAJ	VYBER	3960	43606	\N	\N	\N
1018428	3479	1997-08-06	VYDAJ	VYBER	5400	53150	\N	\N	\N
1018429	3479	1997-12-01	VYDAJ	VYBER	4320	44568	\N	\N	\N
1018430	3479	1998-05-31	VYDAJ	VYBER	1560	46941	\N	\N	\N
1018431	3479	1998-11-27	VYDAJ	VYBER	1440	53211	\N	\N	\N
1018432	3479	1998-09-27	VYDAJ	VYBER	5880	51172	\N	\N	\N
1018433	3479	1998-12-06	VYDAJ	VYBER	1680	72354	\N	\N	\N
1018434	3479	1998-06-01	VYDAJ	VYBER	1440	45501	\N	\N	\N
1018446	3479	1994-11-30	VYDAJ	VYBER	15	30897	SLUZBY	\N	\N
1018447	3479	1994-12-31	VYDAJ	VYBER	15	29906	SLUZBY	\N	\N
1018448	3479	1995-01-31	VYDAJ	VYBER	15	14821	SLUZBY	\N	\N
1018449	3479	1995-02-28	VYDAJ	VYBER	15	14134	SLUZBY	\N	\N
1018450	3479	1995-03-31	VYDAJ	VYBER	15	23306	SLUZBY	\N	\N
1018451	3479	1995-04-30	VYDAJ	VYBER	15	23669	SLUZBY	\N	\N
1018452	3479	1995-05-31	VYDAJ	VYBER	15	22428	SLUZBY	\N	\N
1018453	3479	1995-06-30	VYDAJ	VYBER	15	16909	SLUZBY	\N	\N
1018454	3479	1995-07-31	VYDAJ	VYBER	15	16163	SLUZBY	\N	\N
1018455	3479	1995-08-31	VYDAJ	VYBER	15	17601	SLUZBY	\N	\N
1018456	3479	1995-09-30	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
1018457	3479	1995-10-31	VYDAJ	VYBER	15	21709	SLUZBY	\N	\N
1018458	3479	1995-11-30	VYDAJ	VYBER	15	18281	SLUZBY	\N	\N
1018459	3479	1995-12-31	VYDAJ	VYBER	15	20807	SLUZBY	\N	\N
1018460	3479	1996-01-31	VYDAJ	VYBER	15	13881	SLUZBY	\N	\N
1018461	3479	1996-02-29	VYDAJ	VYBER	15	26157	SLUZBY	\N	\N
1018462	3479	1996-03-31	VYDAJ	VYBER	15	22132	SLUZBY	\N	\N
1018463	3479	1996-04-30	VYDAJ	VYBER	15	27033	SLUZBY	\N	\N
1018464	3479	1996-05-31	VYDAJ	VYBER	15	29825	SLUZBY	\N	\N
1018465	3479	1996-06-30	VYDAJ	VYBER	15	21497	SLUZBY	\N	\N
1018466	3479	1996-07-31	VYDAJ	VYBER	15	26896	SLUZBY	\N	\N
1018467	3479	1996-08-31	VYDAJ	VYBER	15	33301	SLUZBY	\N	\N
1018468	3479	1996-09-30	VYDAJ	VYBER	15	36922	SLUZBY	\N	\N
1018469	3479	1996-10-31	VYDAJ	VYBER	15	35427	SLUZBY	\N	\N
1018470	3479	1996-11-30	VYDAJ	VYBER	15	34338	SLUZBY	\N	\N
1018471	3479	1996-12-31	VYDAJ	VYBER	15	40941	SLUZBY	\N	\N
1018472	3479	1997-01-31	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
1018473	3479	1997-02-28	VYDAJ	VYBER	15	36855	SLUZBY	\N	\N
1018474	3479	1997-03-31	VYDAJ	VYBER	15	42988	SLUZBY	\N	\N
1018475	3479	1997-04-30	VYDAJ	VYBER	15	42293	SLUZBY	\N	\N
1018476	3479	1997-05-31	VYDAJ	VYBER	15	47162	SLUZBY	\N	\N
1018477	3479	1997-06-30	VYDAJ	VYBER	15	40610	SLUZBY	\N	\N
1018478	3479	1997-07-31	VYDAJ	VYBER	15	44816	SLUZBY	\N	\N
1018479	3479	1997-08-31	VYDAJ	VYBER	15	45471	SLUZBY	\N	\N
1018480	3479	1997-09-30	VYDAJ	VYBER	15	48934	SLUZBY	\N	\N
1018481	3479	1997-10-31	VYDAJ	VYBER	15	50309	SLUZBY	\N	\N
1018482	3479	1997-11-30	VYDAJ	VYBER	15	48888	SLUZBY	\N	\N
1018483	3479	1997-12-31	VYDAJ	VYBER	15	49705	SLUZBY	\N	\N
1018484	3479	1998-01-31	VYDAJ	VYBER	15	34009	SLUZBY	\N	\N
1018485	3479	1998-02-28	VYDAJ	VYBER	15	40629	SLUZBY	\N	\N
1018486	3479	1998-03-31	VYDAJ	VYBER	15	46272	SLUZBY	\N	\N
1018487	3479	1998-04-30	VYDAJ	VYBER	15	43932	SLUZBY	\N	\N
1018488	3479	1998-05-31	VYDAJ	VYBER	15	48501	SLUZBY	\N	\N
1018489	3479	1998-06-30	VYDAJ	VYBER	15	46831	SLUZBY	\N	\N
1018490	3479	1998-07-31	VYDAJ	VYBER	15	49096	SLUZBY	\N	\N
1018491	3479	1998-08-31	VYDAJ	VYBER	15	54374	SLUZBY	\N	\N
1018492	3479	1998-09-30	VYDAJ	VYBER	15	51390	SLUZBY	\N	\N
1018493	3479	1998-10-31	VYDAJ	VYBER	15	53673	SLUZBY	\N	\N
1018494	3479	1998-11-30	VYDAJ	VYBER	15	53433	SLUZBY	\N	\N
1018495	3479	1994-07-14	PRIJEM	VKLAD	3300	18134	\N	\N	\N
1018496	3479	1994-08-13	VYDAJ	VYBER	3100	28812	\N	\N	\N
1018497	3479	1994-09-12	VYDAJ	VYBER	9500	33149	\N	\N	\N
1018498	3479	1994-10-12	VYDAJ	VYBER	9600	37414	\N	\N	\N
1018499	3479	1994-11-11	VYDAJ	VYBER	9100	33042	\N	\N	\N
1018500	3479	1994-12-11	VYDAJ	VYBER	8400	43098	\N	\N	\N
1018501	3479	1995-01-10	VYDAJ	VYBER	8500	32500	\N	\N	\N
1018502	3479	1995-02-09	VYDAJ	VYBER	4500	23215	\N	\N	\N
1018503	3479	1995-03-11	PRIJEM	VKLAD	4500	32368	\N	\N	\N
1018504	3479	1995-04-10	VYDAJ	VYBER	4300	32740	\N	\N	\N
1018505	3479	1995-05-10	VYDAJ	VYBER	5900	31503	\N	\N	\N
1018506	3479	1995-06-09	VYDAJ	VYBER	10800	27669	\N	\N	\N
1018507	3479	1995-07-09	VYDAJ	VYBER	5400	25243	\N	\N	\N
1018508	3479	1995-08-08	VYDAJ	VYBER	3200	26697	\N	\N	\N
1018509	3479	1995-09-07	VYDAJ	VYBER	1800	29535	\N	\N	\N
1018510	3479	1995-10-07	VYDAJ	VYBER	3400	30786	\N	\N	\N
1018511	3479	1995-11-06	VYDAJ	VYBER	5200	30243	\N	\N	\N
1018512	3479	1995-12-06	VYDAJ	VYBER	6600	32282	\N	\N	\N
1018513	3479	1996-01-05	VYDAJ	VYBER	6400	27301	\N	\N	\N
1018514	3479	1996-02-04	PRIJEM	VKLAD	7600	21481	\N	\N	\N
1018515	3479	1996-03-05	VYDAJ	VYBER	8700	31191	\N	\N	\N
1018516	3479	1996-04-04	PRIJEM	VKLAD	1300	23432	\N	\N	\N
1018517	3479	1996-05-04	VYDAJ	VYBER	1900	25133	\N	\N	\N
1018518	3479	1996-06-03	VYDAJ	VYBER	2400	27425	\N	\N	\N
1018519	3479	1996-07-03	PRIJEM	VKLAD	700	22197	\N	\N	\N
1018520	3479	1996-08-02	PRIJEM	VKLAD	1700	28596	\N	\N	\N
1018521	3479	1996-09-01	VYDAJ	VYBER	1100	32201	\N	\N	\N
1018522	3479	1996-10-01	VYDAJ	VYBER	2600	34322	\N	\N	\N
1018523	3479	1996-10-31	VYDAJ	VYBER	500	35442	\N	\N	\N
1018524	3479	1996-11-30	VYDAJ	VYBER	400	34353	\N	\N	\N
1018525	3479	1996-12-30	VYDAJ	VYBER	2600	40783	\N	\N	\N
1018526	3479	1997-01-29	PRIJEM	VKLAD	8500	30099	\N	\N	\N
1018527	3479	1997-02-28	PRIJEM	VKLAD	5400	36746	\N	\N	\N
1018528	3479	1997-03-30	PRIJEM	VKLAD	1400	42833	\N	\N	\N
1018529	3479	1997-04-29	VYDAJ	VYBER	1500	42106	\N	\N	\N
1018530	3479	1997-05-29	PRIJEM	VKLAD	100	46971	\N	\N	\N
1018531	3479	1997-06-28	PRIJEM	VKLAD	8500	67107	\N	\N	\N
1018532	3479	1997-07-28	PRIJEM	VKLAD	300	44648	\N	\N	\N
1018533	3479	1997-08-27	PRIJEM	VKLAD	1300	45294	\N	\N	\N
1018534	3479	1997-09-26	VYDAJ	VYBER	1300	48749	\N	\N	\N
1018535	3479	1997-10-26	VYDAJ	VYBER	3400	50112	\N	\N	\N
1018536	3479	1997-11-25	VYDAJ	VYBER	6200	48687	\N	\N	\N
1018537	3479	1997-12-25	VYDAJ	VYBER	5400	49493	\N	\N	\N
1018538	3479	1998-01-24	PRIJEM	VKLAD	4400	33843	\N	\N	\N
1018539	3479	1998-02-23	PRIJEM	VKLAD	1900	40487	\N	\N	\N
1018540	3479	1998-03-25	PRIJEM	VKLAD	900	46107	\N	\N	\N
1018541	3479	1998-04-24	VYDAJ	VYBER	7100	43750	\N	\N	\N
1018542	3479	1998-05-24	VYDAJ	VYBER	200	48310	\N	\N	\N
1018543	3479	1998-06-23	VYDAJ	VYBER	2800	46626	\N	\N	\N
1018544	3479	1998-07-23	VYDAJ	VYBER	2500	48909	\N	\N	\N
1018545	3479	1998-08-22	PRIJEM	VKLAD	500	54174	\N	\N	\N
1018546	3479	1998-09-21	VYDAJ	VYBER	1900	57052	\N	\N	\N
1018547	3479	1998-10-21	VYDAJ	VYBER	2500	53468	\N	\N	\N
1018548	3479	1998-11-20	VYDAJ	VYBER	3600	54651	\N	\N	\N
1018603	3480	1993-09-14	PRIJEM	VKLAD	300	300	\N	\N	\N
1018613	3480	1993-10-14	PRIJEM	VKLAD	13622	13922	\N	\N	\N
1018614	3480	1993-11-14	PRIJEM	VKLAD	13622	34492	\N	\N	\N
1018615	3480	1993-12-14	PRIJEM	VKLAD	20433	49242	\N	\N	\N
1018616	3480	1994-01-14	PRIJEM	VKLAD	13622	50444	\N	\N	\N
1018617	3480	1994-02-14	PRIJEM	VKLAD	13622	51074	\N	\N	\N
1018618	3480	1994-03-14	PRIJEM	VKLAD	13622	52393	\N	\N	\N
1018619	3480	1994-04-14	PRIJEM	VKLAD	13622	51116	\N	\N	\N
1018620	3480	1994-05-14	PRIJEM	VKLAD	13622	49740	\N	\N	\N
1018621	3480	1994-06-14	PRIJEM	VKLAD	20433	58668	\N	\N	\N
1018622	3480	1994-07-14	PRIJEM	VKLAD	13622	54698	\N	\N	\N
1018623	3480	1994-08-14	PRIJEM	VKLAD	13622	49122	\N	\N	\N
1018624	3480	1994-09-14	PRIJEM	VKLAD	13622	52932	\N	\N	\N
1018625	3480	1994-10-14	PRIJEM	VKLAD	13622	53547	\N	\N	\N
1018626	3480	1994-11-14	PRIJEM	VKLAD	13622	52976	\N	\N	\N
1018627	3480	1994-12-14	PRIJEM	VKLAD	20433	57217	\N	\N	\N
1018628	3480	1995-01-14	PRIJEM	VKLAD	13622	54341	\N	\N	\N
1018629	3480	1995-02-14	PRIJEM	VKLAD	13622	51460	\N	\N	\N
1018630	3480	1995-03-14	PRIJEM	VKLAD	13622	56572	\N	\N	\N
1018631	3480	1995-04-14	PRIJEM	VKLAD	13622	56199	\N	\N	\N
1018632	3480	1995-05-14	PRIJEM	VKLAD	13622	57434	\N	\N	\N
1018633	3480	1995-06-14	PRIJEM	VKLAD	20433	50689	\N	\N	\N
1018634	3480	1995-07-14	PRIJEM	VKLAD	13622	56593	\N	\N	\N
1018635	3480	1995-08-14	PRIJEM	VKLAD	13622	62526	\N	\N	\N
1018636	3480	1995-09-14	PRIJEM	VKLAD	13622	67583	\N	\N	\N
1018637	3480	1995-10-14	PRIJEM	VKLAD	13622	69362	\N	\N	\N
1018638	3480	1995-11-14	PRIJEM	VKLAD	13622	72255	\N	\N	\N
1018639	3480	1995-12-14	PRIJEM	VKLAD	20433	78768	\N	\N	\N
1018640	3480	1996-01-14	PRIJEM	VKLAD	13622	72570	\N	\N	\N
1018641	3480	1996-02-14	PRIJEM	VKLAD	13622	70963	\N	\N	\N
1018642	3480	1996-03-14	PRIJEM	VKLAD	13622	71953	\N	\N	\N
1018643	3480	1996-04-14	PRIJEM	VKLAD	13622	73651	\N	\N	\N
1018644	3480	1996-05-14	PRIJEM	VKLAD	13622	74960	\N	\N	\N
1018645	3480	1996-06-14	PRIJEM	VKLAD	20433	63883	\N	\N	\N
1018646	3480	1996-07-14	PRIJEM	VKLAD	13622	66849	\N	\N	\N
1018647	3480	1996-08-14	PRIJEM	VKLAD	13622	67476	\N	\N	\N
1018648	3480	1996-09-14	PRIJEM	VKLAD	13622	66918	\N	\N	\N
1018649	3480	1996-10-14	PRIJEM	VKLAD	13622	66872	\N	\N	\N
1018650	3480	1996-11-14	PRIJEM	VKLAD	13622	62804	\N	\N	\N
1018651	3480	1996-12-14	PRIJEM	VKLAD	20433	70456	\N	\N	\N
1018652	3480	1997-01-14	PRIJEM	VKLAD	13622	61691	\N	\N	\N
1018653	3480	1997-02-14	PRIJEM	VKLAD	13622	54905	\N	\N	\N
1018654	3480	1997-03-14	PRIJEM	VKLAD	13622	52682	\N	\N	\N
1018655	3480	1997-04-14	PRIJEM	VKLAD	13622	57382	\N	\N	\N
1018656	3480	1997-05-14	PRIJEM	VKLAD	13622	59178	\N	\N	\N
1018657	3480	1997-06-14	PRIJEM	VKLAD	20433	55283	\N	\N	\N
1018658	3480	1997-07-14	PRIJEM	VKLAD	13622	62896	\N	\N	\N
1018659	3480	1997-08-14	PRIJEM	VKLAD	13622	64507	\N	\N	\N
1018660	3480	1997-09-14	PRIJEM	VKLAD	13622	63021	\N	\N	\N
1018661	3480	1997-10-14	PRIJEM	VKLAD	13622	60732	\N	\N	\N
1018662	3480	1997-11-14	PRIJEM	VKLAD	13622	60732	\N	\N	\N
1018663	3480	1997-12-14	PRIJEM	VKLAD	20433	65242	\N	\N	\N
1018664	3480	1998-01-14	PRIJEM	VKLAD	13622	50752	\N	\N	\N
1018665	3480	1998-02-14	PRIJEM	VKLAD	13622	50523	\N	\N	\N
1018666	3480	1998-03-14	PRIJEM	VKLAD	13622	52483	\N	\N	\N
1018667	3480	1998-04-14	PRIJEM	VKLAD	13622	55956	\N	\N	\N
1018668	3480	1998-05-14	PRIJEM	VKLAD	13622	54548	\N	\N	\N
1018669	3480	1998-06-14	PRIJEM	VKLAD	20433	68743	\N	\N	\N
1018670	3480	1998-07-14	PRIJEM	VKLAD	13622	57248	\N	\N	\N
1018671	3480	1998-08-14	PRIJEM	VKLAD	13622	60253	\N	\N	\N
1018672	3480	1998-09-14	PRIJEM	VKLAD	13622	60750	\N	\N	\N
1018673	3480	1998-10-14	PRIJEM	VKLAD	13622	62751	\N	\N	\N
1018674	3480	1998-11-14	PRIJEM	VKLAD	13622	63758	\N	\N	\N
1018675	3480	1998-12-14	PRIJEM	VKLAD	20433	70581	\N	\N	\N
1018677	3480	1994-06-29	VYDAJ	VYBER	4800	53868	\N	\N	\N
1018678	3480	1995-06-07	VYDAJ	VYBER	15900	30256	\N	\N	\N
1018679	3480	1996-06-10	VYDAJ	VYBER	18000	43450	\N	\N	\N
1018680	3480	1997-06-12	VYDAJ	VYBER	11500	34850	\N	\N	\N
1018681	3480	1998-06-24	VYDAJ	VYBER	4400	48843	\N	\N	\N
1018683	3480	1994-12-06	VYDAJ	VYBER	2000	51184	\N	\N	\N
1018684	3480	1995-12-01	VYDAJ	VYBER	2600	68635	\N	\N	\N
1018685	3480	1996-12-19	VYDAJ	VYBER	1700	68756	\N	\N	\N
1018686	3480	1997-12-08	VYDAJ	VYBER	1800	44809	\N	\N	\N
1018687	3480	1998-12-01	VYDAJ	VYBER	800	50148	\N	\N	\N
1018700	3480	1995-01-13	VYDAJ	VYBER	1900	40719	\N	\N	\N
1018701	3480	1995-01-05	VYDAJ	VYBER	1300	54319	\N	\N	\N
1018702	3480	1995-01-25	VYDAJ	VYBER	1000	52041	\N	\N	\N
1018703	3480	1995-01-25	VYDAJ	VYBER	1300	53041	\N	\N	\N
1018704	3480	1995-01-28	VYDAJ	VYBER	2000	50041	\N	\N	\N
1018705	3480	1995-01-02	VYDAJ	VYBER	1800	55619	\N	\N	\N
1018706	3480	1996-01-22	VYDAJ	VYBER	2100	68970	\N	\N	\N
1018707	3480	1996-01-21	VYDAJ	VYBER	1500	71070	\N	\N	\N
1018708	3480	1996-01-13	VYDAJ	VYBER	2800	58948	\N	\N	\N
1018709	3480	1996-01-05	VYDAJ	VYBER	2900	61748	\N	\N	\N
1018710	3480	1996-01-28	VYDAJ	VYBER	1400	66670	\N	\N	\N
1018711	3480	1996-01-27	VYDAJ	VYBER	900	68070	\N	\N	\N
1018712	3480	1997-01-16	VYDAJ	VYBER	1800	55991	\N	\N	\N
1018713	3480	1997-01-17	VYDAJ	VYBER	1800	54191	\N	\N	\N
1018714	3480	1997-01-02	VYDAJ	VYBER	2200	50169	\N	\N	\N
1018715	3480	1997-01-25	VYDAJ	VYBER	1100	52591	\N	\N	\N
1018716	3480	1997-01-30	VYDAJ	VYBER	2100	41091	\N	\N	\N
1018717	3480	1997-01-04	VYDAJ	VYBER	1300	48869	\N	\N	\N
1018718	3480	1998-01-04	VYDAJ	VYBER	1400	39430	\N	\N	\N
1018719	3480	1998-01-30	VYDAJ	VYBER	500	36752	\N	\N	\N
1018720	3480	1998-01-08	VYDAJ	VYBER	1100	37130	\N	\N	\N
1018721	3480	1998-01-04	VYDAJ	VYBER	1700	40830	\N	\N	\N
1018722	3480	1998-01-06	VYDAJ	VYBER	1200	38230	\N	\N	\N
1018723	3480	1998-01-14	VYDAJ	VYBER	2800	47952	\N	\N	\N
1018728	3480	1994-06-04	VYDAJ	VYBER	1400	48535	\N	\N	\N
1018729	3480	1994-07-22	VYDAJ	VYBER	4900	48198	\N	\N	\N
1018730	3480	1994-12-07	VYDAJ	VYBER	2800	48384	\N	\N	\N
1018731	3480	1994-09-01	VYDAJ	VYBER	2000	47310	\N	\N	\N
1018732	3480	1994-07-15	VYDAJ	VYBER	1600	53098	\N	\N	\N
1018735	3480	1995-01-06	VYDAJ	VYBER	3000	51319	\N	\N	\N
1018736	3480	1995-03-21	VYDAJ	VYBER	4400	52172	\N	\N	\N
1018737	3480	1995-01-30	VYDAJ	VYBER	4000	46041	\N	\N	\N
1018738	3480	1995-11-25	VYDAJ	VYBER	1300	70955	\N	\N	\N
1018739	3480	1996-04-25	VYDAJ	VYBER	1500	72151	\N	\N	\N
1018740	3480	1996-10-25	VYDAJ	VYBER	1700	65172	\N	\N	\N
1018741	3480	1996-02-22	VYDAJ	VYBER	3700	67263	\N	\N	\N
1018742	3480	1996-09-02	VYDAJ	VYBER	500	53296	\N	\N	\N
1018743	3480	1996-08-21	VYDAJ	VYBER	3000	64476	\N	\N	\N
1018744	3480	1996-11-09	VYDAJ	VYBER	3300	49182	\N	\N	\N
1018745	3480	1997-09-19	VYDAJ	VYBER	4600	58421	\N	\N	\N
1018746	3480	1997-12-16	VYDAJ	VYBER	2500	62742	\N	\N	\N
1018747	3480	1997-03-04	VYDAJ	VYBER	3600	39060	\N	\N	\N
1018748	3480	1997-12-23	VYDAJ	VYBER	4500	42342	\N	\N	\N
1018749	3480	1997-04-21	VYDAJ	VYBER	3000	54382	\N	\N	\N
1018750	3480	1997-01-15	VYDAJ	VYBER	3900	57791	\N	\N	\N
1018751	3480	1997-01-20	VYDAJ	VYBER	500	53691	\N	\N	\N
1018752	3480	1997-01-09	VYDAJ	VYBER	800	48069	\N	\N	\N
1018753	3480	1998-04-16	VYDAJ	VYBER	4300	51656	\N	\N	\N
1018754	3480	1998-06-27	VYDAJ	VYBER	1900	46943	\N	\N	\N
1018755	3480	1998-02-25	VYDAJ	VYBER	1700	38723	\N	\N	\N
1018756	3480	1998-04-13	VYDAJ	VYBER	2900	42334	\N	\N	\N
1018757	3480	1998-07-03	VYDAJ	VYBER	3500	43626	\N	\N	\N
1018772	3480	1994-02-28	VYDAJ	VYBER	15	51271	SLUZBY	\N	\N
1018773	3480	1994-03-31	VYDAJ	VYBER	15	52594	SLUZBY	\N	\N
1018774	3480	1994-04-30	VYDAJ	VYBER	15	51318	SLUZBY	\N	\N
1018775	3480	1994-05-31	VYDAJ	VYBER	15	49935	SLUZBY	\N	\N
1018776	3480	1994-06-30	VYDAJ	VYBER	15	54076	SLUZBY	\N	\N
1018777	3480	1994-07-31	VYDAJ	VYBER	15	48400	SLUZBY	\N	\N
1018778	3480	1994-08-31	VYDAJ	VYBER	15	49310	SLUZBY	\N	\N
1018779	3480	1994-09-30	VYDAJ	VYBER	15	53125	SLUZBY	\N	\N
1018780	3480	1994-10-31	VYDAJ	VYBER	15	53754	SLUZBY	\N	\N
1018781	3480	1994-11-30	VYDAJ	VYBER	15	53184	SLUZBY	\N	\N
1018782	3480	1994-12-31	VYDAJ	VYBER	15	57419	SLUZBY	\N	\N
1018783	3480	1995-01-31	VYDAJ	VYBER	15	46238	SLUZBY	\N	\N
1018784	3480	1995-02-28	VYDAJ	VYBER	15	51650	SLUZBY	\N	\N
1018785	3480	1995-03-31	VYDAJ	VYBER	15	52377	SLUZBY	\N	\N
1018786	3480	1995-04-30	VYDAJ	VYBER	15	56412	SLUZBY	\N	\N
1018787	3480	1995-05-31	VYDAJ	VYBER	15	57656	SLUZBY	\N	\N
1018788	3480	1995-06-30	VYDAJ	VYBER	15	50871	SLUZBY	\N	\N
1018789	3480	1995-07-31	VYDAJ	VYBER	15	56804	SLUZBY	\N	\N
1018790	3480	1995-08-31	VYDAJ	VYBER	15	62761	SLUZBY	\N	\N
1018791	3480	1995-09-30	VYDAJ	VYBER	15	67840	SLUZBY	\N	\N
1018792	3480	1995-10-31	VYDAJ	VYBER	15	69633	SLUZBY	\N	\N
1018793	3480	1995-11-30	VYDAJ	VYBER	15	71235	SLUZBY	\N	\N
1018794	3480	1995-12-31	VYDAJ	VYBER	15	79048	SLUZBY	\N	\N
1018795	3480	1996-01-31	VYDAJ	VYBER	15	66941	SLUZBY	\N	\N
1018796	3480	1996-02-29	VYDAJ	VYBER	15	67531	SLUZBY	\N	\N
1018797	3480	1996-03-31	VYDAJ	VYBER	15	72229	SLUZBY	\N	\N
1018798	3480	1996-04-30	VYDAJ	VYBER	15	72438	SLUZBY	\N	\N
1018799	3480	1996-05-31	VYDAJ	VYBER	15	75250	SLUZBY	\N	\N
1018800	3480	1996-06-30	VYDAJ	VYBER	15	64127	SLUZBY	\N	\N
1018801	3480	1996-07-31	VYDAJ	VYBER	15	53854	SLUZBY	\N	\N
1018802	3480	1996-08-31	VYDAJ	VYBER	15	53796	SLUZBY	\N	\N
1018803	3480	1996-09-30	VYDAJ	VYBER	15	53250	SLUZBY	\N	\N
1018804	3480	1996-10-31	VYDAJ	VYBER	15	52482	SLUZBY	\N	\N
1018805	3480	1996-11-30	VYDAJ	VYBER	15	50023	SLUZBY	\N	\N
1018806	3480	1996-12-31	VYDAJ	VYBER	15	52369	SLUZBY	\N	\N
1018807	3480	1997-01-31	VYDAJ	VYBER	15	41283	SLUZBY	\N	\N
1018808	3480	1997-02-28	VYDAJ	VYBER	15	42660	SLUZBY	\N	\N
1018809	3480	1997-03-31	VYDAJ	VYBER	15	43760	SLUZBY	\N	\N
1018810	3480	1997-04-30	VYDAJ	VYBER	15	45556	SLUZBY	\N	\N
1018811	3480	1997-05-31	VYDAJ	VYBER	15	46350	SLUZBY	\N	\N
1018812	3480	1997-06-30	VYDAJ	VYBER	15	49274	SLUZBY	\N	\N
1018813	3480	1997-07-31	VYDAJ	VYBER	15	50885	SLUZBY	\N	\N
1018814	3480	1997-08-31	VYDAJ	VYBER	15	49399	SLUZBY	\N	\N
1018815	3480	1997-09-30	VYDAJ	VYBER	15	47110	SLUZBY	\N	\N
1018816	3480	1997-10-31	VYDAJ	VYBER	15	47110	SLUZBY	\N	\N
1018817	3480	1997-11-30	VYDAJ	VYBER	15	46609	SLUZBY	\N	\N
1018818	3480	1997-12-31	VYDAJ	VYBER	15	42530	SLUZBY	\N	\N
1018819	3480	1998-01-31	VYDAJ	VYBER	15	36901	SLUZBY	\N	\N
1018820	3480	1998-02-28	VYDAJ	VYBER	15	38861	SLUZBY	\N	\N
1018821	3480	1998-03-31	VYDAJ	VYBER	15	45234	SLUZBY	\N	\N
1018822	3480	1998-04-30	VYDAJ	VYBER	15	40926	SLUZBY	\N	\N
1018823	3480	1998-05-31	VYDAJ	VYBER	15	48310	SLUZBY	\N	\N
1018824	3480	1998-06-30	VYDAJ	VYBER	15	47126	SLUZBY	\N	\N
1018825	3480	1998-07-31	VYDAJ	VYBER	15	46631	SLUZBY	\N	\N
1018826	3480	1998-08-31	VYDAJ	VYBER	15	47128	SLUZBY	\N	\N
1018827	3480	1998-09-30	VYDAJ	VYBER	15	49129	SLUZBY	\N	\N
1018828	3480	1998-10-31	VYDAJ	VYBER	15	50136	SLUZBY	\N	\N
1018829	3480	1998-11-30	VYDAJ	VYBER	15	50948	SLUZBY	\N	\N
1018830	3480	1993-10-14	PRIJEM	VKLAD	5900	19822	\N	\N	\N
1018831	3480	1993-11-13	PRIJEM	VKLAD	1000	20870	\N	\N	\N
1018832	3480	1993-12-13	VYDAJ	VYBER	5800	28809	\N	\N	\N
1018833	3480	1994-01-12	VYDAJ	VYBER	12600	36822	\N	\N	\N
1018834	3480	1994-02-11	VYDAJ	VYBER	13200	37452	\N	\N	\N
1018835	3480	1994-03-13	VYDAJ	VYBER	12500	38771	\N	\N	\N
1018836	3480	1994-04-12	VYDAJ	VYBER	15100	37494	\N	\N	\N
1018837	3480	1994-05-12	VYDAJ	VYBER	15200	36118	\N	\N	\N
1018838	3480	1994-06-11	VYDAJ	VYBER	10300	38235	\N	\N	\N
1018839	3480	1994-07-11	VYDAJ	VYBER	13000	41076	\N	\N	\N
1018840	3480	1994-08-10	VYDAJ	VYBER	12900	35500	\N	\N	\N
1018841	3480	1994-09-09	VYDAJ	VYBER	8000	39310	\N	\N	\N
1018842	3480	1994-10-09	VYDAJ	VYBER	13200	39925	\N	\N	\N
1018843	3480	1994-11-08	VYDAJ	VYBER	14400	39354	\N	\N	\N
1018844	3480	1994-12-08	VYDAJ	VYBER	11600	36784	\N	\N	\N
1018845	3480	1995-01-07	VYDAJ	VYBER	8700	42619	\N	\N	\N
1018846	3480	1995-02-06	VYDAJ	VYBER	8400	37838	\N	\N	\N
1018847	3480	1995-03-08	VYDAJ	VYBER	8700	42950	\N	\N	\N
1018848	3480	1995-04-07	VYDAJ	VYBER	9800	42577	\N	\N	\N
1018849	3480	1995-05-07	VYDAJ	VYBER	12600	43812	\N	\N	\N
1018850	3480	1995-06-06	VYDAJ	VYBER	11500	46156	\N	\N	\N
1018851	3480	1995-07-06	VYDAJ	VYBER	7900	42971	\N	\N	\N
1018852	3480	1995-08-05	VYDAJ	VYBER	7900	48904	\N	\N	\N
1018853	3480	1995-09-04	VYDAJ	VYBER	8800	53961	\N	\N	\N
1018854	3480	1995-10-04	VYDAJ	VYBER	12100	55740	\N	\N	\N
1018855	3480	1995-11-03	VYDAJ	VYBER	11000	58633	\N	\N	\N
1018856	3480	1995-12-03	VYDAJ	VYBER	10300	58335	\N	\N	\N
1018857	3480	1996-01-02	VYDAJ	VYBER	14400	64648	\N	\N	\N
1018858	3480	1996-02-01	VYDAJ	VYBER	9600	57341	\N	\N	\N
1018859	3480	1996-03-02	VYDAJ	VYBER	9200	58331	\N	\N	\N
1018860	3480	1996-04-01	VYDAJ	VYBER	12200	60029	\N	\N	\N
1018861	3480	1996-05-01	VYDAJ	VYBER	11100	61338	\N	\N	\N
1018862	3480	1996-05-31	VYDAJ	VYBER	13800	61450	\N	\N	\N
1018863	3480	1996-06-30	VYDAJ	VYBER	10900	53227	\N	\N	\N
1018864	3480	1996-07-30	VYDAJ	VYBER	13200	53649	\N	\N	\N
1018865	3480	1996-08-29	VYDAJ	VYBER	10900	53576	\N	\N	\N
1018866	3480	1996-09-28	VYDAJ	VYBER	13900	53018	\N	\N	\N
1018867	3480	1996-10-28	VYDAJ	VYBER	12900	52272	\N	\N	\N
1018868	3480	1996-11-27	VYDAJ	VYBER	13000	49804	\N	\N	\N
1018869	3480	1996-12-27	VYDAJ	VYBER	16600	52156	\N	\N	\N
1018870	3480	1997-01-26	VYDAJ	VYBER	9400	43191	\N	\N	\N
1018871	3480	1997-02-25	VYDAJ	VYBER	12400	42505	\N	\N	\N
1018872	3480	1997-03-27	VYDAJ	VYBER	9100	43582	\N	\N	\N
1018873	3480	1997-04-26	VYDAJ	VYBER	9000	45382	\N	\N	\N
1018874	3480	1997-05-26	VYDAJ	VYBER	13000	46178	\N	\N	\N
1018875	3480	1997-06-25	VYDAJ	VYBER	6200	49083	\N	\N	\N
1018876	3480	1997-07-25	VYDAJ	VYBER	12200	50696	\N	\N	\N
1018877	3480	1997-08-24	VYDAJ	VYBER	15300	49207	\N	\N	\N
1018878	3480	1997-09-23	VYDAJ	VYBER	11500	46921	\N	\N	\N
1018879	3480	1997-10-23	VYDAJ	VYBER	13800	46932	\N	\N	\N
1018880	3480	1997-11-22	VYDAJ	VYBER	14300	46432	\N	\N	\N
1018881	3480	1997-12-22	VYDAJ	VYBER	15900	46842	\N	\N	\N
1018882	3480	1998-01-21	VYDAJ	VYBER	10700	37252	\N	\N	\N
1018883	3480	1998-02-20	VYDAJ	VYBER	10100	40423	\N	\N	\N
1018884	3480	1998-03-22	VYDAJ	VYBER	7400	45083	\N	\N	\N
1018885	3480	1998-04-21	VYDAJ	VYBER	10900	40756	\N	\N	\N
1018886	3480	1998-05-21	VYDAJ	VYBER	6400	48148	\N	\N	\N
1018887	3480	1998-06-20	VYDAJ	VYBER	15500	53243	\N	\N	\N
1018888	3480	1998-07-20	VYDAJ	VYBER	10800	46448	\N	\N	\N
1018889	3480	1998-08-19	VYDAJ	VYBER	13300	46953	\N	\N	\N
1018890	3480	1998-09-18	VYDAJ	VYBER	11800	48950	\N	\N	\N
1018891	3480	1998-10-18	VYDAJ	VYBER	12800	49951	\N	\N	\N
1018892	3480	1998-11-17	VYDAJ	VYBER	13000	50758	\N	\N	\N
1019669	3482	1995-01-03	PRIJEM	VKLAD	600	600	\N	\N	\N
1019670	3482	1995-01-11	PRIJEM	PREVOD Z UCTU	4674	5274	DUCHOD	ST	94689869
1019671	3482	1995-02-11	PRIJEM	PREVOD Z UCTU	4674	9963	DUCHOD	ST	94689869
1019672	3482	1995-03-11	PRIJEM	PREVOD Z UCTU	4674	14659	DUCHOD	ST	94689869
1019673	3482	1995-04-11	PRIJEM	PREVOD Z UCTU	4674	19355	DUCHOD	ST	94689869
1019674	3482	1995-05-11	PRIJEM	PREVOD Z UCTU	4674	24051	DUCHOD	ST	94689869
1019675	3482	1995-06-11	PRIJEM	PREVOD Z UCTU	4674	23909	DUCHOD	ST	94689869
1019676	3482	1995-07-11	PRIJEM	PREVOD Z UCTU	4674	14821	DUCHOD	ST	94689869
1019677	3482	1995-08-11	PRIJEM	PREVOD Z UCTU	4674	15954	DUCHOD	ST	94689869
1019678	3482	1995-09-11	PRIJEM	PREVOD Z UCTU	4674	17652	DUCHOD	ST	94689869
1019679	3482	1995-10-11	PRIJEM	PREVOD Z UCTU	4674	19356	DUCHOD	ST	94689869
1019680	3482	1995-11-11	PRIJEM	PREVOD Z UCTU	4674	18984	DUCHOD	ST	94689869
1019681	3482	1995-12-11	PRIJEM	PREVOD Z UCTU	4674	18528	DUCHOD	ST	94689869
1019682	3482	1996-01-11	PRIJEM	PREVOD Z UCTU	4674	17476	DUCHOD	ST	94689869
1019683	3482	1996-02-11	PRIJEM	PREVOD Z UCTU	4674	14370	DUCHOD	ST	94689869
1019684	3482	1996-03-11	PRIJEM	PREVOD Z UCTU	4674	16060	DUCHOD	ST	94689869
1019685	3482	1996-04-11	PRIJEM	PREVOD Z UCTU	4674	14389	DUCHOD	ST	94689869
1019686	3482	1996-05-11	PRIJEM	PREVOD Z UCTU	4674	16080	DUCHOD	ST	94689869
1019687	3482	1996-06-11	PRIJEM	PREVOD Z UCTU	4674	17057	DUCHOD	ST	94689869
1019688	3482	1996-07-11	PRIJEM	PREVOD Z UCTU	4674	18759	DUCHOD	ST	94689869
1019689	3482	1996-08-11	PRIJEM	PREVOD Z UCTU	4674	20468	DUCHOD	ST	94689869
1019690	3482	1996-09-11	PRIJEM	PREVOD Z UCTU	4674	18420	DUCHOD	ST	94689869
1019691	3482	1996-10-11	PRIJEM	PREVOD Z UCTU	4674	17087	DUCHOD	ST	94689869
1019692	3482	1996-11-11	PRIJEM	PREVOD Z UCTU	4674	17910	DUCHOD	ST	94689869
1019693	3482	1996-12-11	PRIJEM	PREVOD Z UCTU	4674	18166	DUCHOD	ST	94689869
1019694	3482	1997-01-11	PRIJEM	PREVOD Z UCTU	4674	18113	DUCHOD	ST	94689869
1019695	3482	1997-02-11	PRIJEM	PREVOD Z UCTU	4674	15893	DUCHOD	ST	94689869
1019696	3482	1997-03-11	PRIJEM	PREVOD Z UCTU	4674	17590	DUCHOD	ST	94689869
1019697	3482	1997-04-11	PRIJEM	PREVOD Z UCTU	4674	17294	DUCHOD	ST	94689869
1019698	3482	1997-05-11	PRIJEM	PREVOD Z UCTU	4674	18037	DUCHOD	ST	94689869
1019699	3482	1997-06-11	PRIJEM	PREVOD Z UCTU	4674	19743	DUCHOD	ST	94689869
1019700	3482	1997-07-11	PRIJEM	PREVOD Z UCTU	4674	17455	DUCHOD	ST	94689869
1019701	3482	1997-08-11	PRIJEM	PREVOD Z UCTU	4674	19158	DUCHOD	ST	94689869
1019702	3482	1997-09-11	PRIJEM	PREVOD Z UCTU	4674	20869	DUCHOD	ST	94689869
1019703	3482	1997-10-11	PRIJEM	PREVOD Z UCTU	4674	19782	DUCHOD	ST	94689869
1019704	3482	1997-11-11	PRIJEM	PREVOD Z UCTU	4674	16886	DUCHOD	ST	94689869
1019705	3482	1997-12-11	PRIJEM	PREVOD Z UCTU	4674	16884	DUCHOD	ST	94689869
1019706	3482	1998-01-11	PRIJEM	PREVOD Z UCTU	4674	15922	DUCHOD	ST	94689869
1019707	3482	1998-02-11	PRIJEM	PREVOD Z UCTU	4674	14362	DUCHOD	ST	94689869
1019708	3482	1998-03-11	PRIJEM	PREVOD Z UCTU	4674	16052	DUCHOD	ST	94689869
1019709	3482	1998-04-11	PRIJEM	PREVOD Z UCTU	4674	16390	DUCHOD	ST	94689869
1019710	3482	1998-05-11	PRIJEM	PREVOD Z UCTU	4674	18089	DUCHOD	ST	94689869
1019711	3482	1998-06-11	PRIJEM	PREVOD Z UCTU	4674	19795	DUCHOD	ST	94689869
1019712	3482	1998-07-11	PRIJEM	PREVOD Z UCTU	4674	15994	DUCHOD	ST	94689869
1019713	3482	1998-08-11	PRIJEM	PREVOD Z UCTU	4674	17691	DUCHOD	ST	94689869
1019714	3482	1998-09-11	PRIJEM	PREVOD Z UCTU	4674	19395	DUCHOD	ST	94689869
1019715	3482	1998-10-11	PRIJEM	PREVOD Z UCTU	4674	21106	DUCHOD	ST	94689869
1019716	3482	1998-11-11	PRIJEM	PREVOD Z UCTU	4674	19702	DUCHOD	ST	94689869
1019717	3482	1998-12-11	PRIJEM	PREVOD Z UCTU	4674	21415	DUCHOD	ST	94689869
1019723	3482	1995-06-09	VYDAJ	PREVOD NA UCET	3026	19235	SIPO	OP	48705834
1019724	3482	1995-07-09	VYDAJ	PREVOD NA UCET	3026	10147	SIPO	OP	48705834
1019725	3482	1995-08-09	VYDAJ	PREVOD NA UCET	3026	11280	SIPO	OP	48705834
1019726	3482	1995-09-09	VYDAJ	PREVOD NA UCET	3026	12978	SIPO	OP	48705834
1019727	3482	1995-10-09	VYDAJ	PREVOD NA UCET	3026	14682	SIPO	OP	48705834
1019728	3482	1995-11-09	VYDAJ	PREVOD NA UCET	3026	14310	SIPO	OP	48705834
1019729	3482	1995-12-09	VYDAJ	PREVOD NA UCET	3026	13854	SIPO	OP	48705834
1019730	3482	1996-01-09	VYDAJ	PREVOD NA UCET	3026	12802	SIPO	OP	48705834
1019731	3482	1996-02-09	VYDAJ	PREVOD NA UCET	3026	9696	SIPO	OP	48705834
1019732	3482	1996-03-09	VYDAJ	PREVOD NA UCET	3026	11386	SIPO	OP	48705834
1019733	3482	1996-04-09	VYDAJ	PREVOD NA UCET	3026	9715	SIPO	OP	48705834
1019734	3482	1996-05-09	VYDAJ	PREVOD NA UCET	3026	11406	SIPO	OP	48705834
1019735	3482	1996-06-09	VYDAJ	PREVOD NA UCET	3026	12383	SIPO	OP	48705834
1019736	3482	1996-07-09	VYDAJ	PREVOD NA UCET	3026	14085	SIPO	OP	48705834
1019737	3482	1996-08-09	VYDAJ	PREVOD NA UCET	3026	15794	SIPO	OP	48705834
1019738	3482	1996-09-09	VYDAJ	PREVOD NA UCET	3026	13746	SIPO	OP	48705834
1019739	3482	1996-10-09	VYDAJ	PREVOD NA UCET	3026	12413	SIPO	OP	48705834
1019740	3482	1996-11-09	VYDAJ	PREVOD NA UCET	3026	13236	SIPO	OP	48705834
1019741	3482	1996-12-09	VYDAJ	PREVOD NA UCET	3026	13492	SIPO	OP	48705834
1019742	3482	1997-01-09	VYDAJ	PREVOD NA UCET	3026	15199	SIPO	OP	48705834
1019743	3482	1997-02-09	VYDAJ	PREVOD NA UCET	3026	11219	SIPO	OP	48705834
1019744	3482	1997-03-09	VYDAJ	PREVOD NA UCET	3026	12916	SIPO	OP	48705834
1019745	3482	1997-04-09	VYDAJ	PREVOD NA UCET	3026	12620	SIPO	OP	48705834
1019746	3482	1997-05-09	VYDAJ	PREVOD NA UCET	3026	13363	SIPO	OP	48705834
1019747	3482	1997-06-09	VYDAJ	PREVOD NA UCET	3026	15069	SIPO	OP	48705834
1019748	3482	1997-07-09	VYDAJ	PREVOD NA UCET	3026	12781	SIPO	OP	48705834
1019749	3482	1997-08-09	VYDAJ	PREVOD NA UCET	3026	14484	SIPO	OP	48705834
1019750	3482	1997-09-09	VYDAJ	PREVOD NA UCET	3026	16195	SIPO	OP	48705834
1019751	3482	1997-10-09	VYDAJ	PREVOD NA UCET	3026	15108	SIPO	OP	48705834
1019752	3482	1997-11-09	VYDAJ	PREVOD NA UCET	3026	12212	SIPO	OP	48705834
1019753	3482	1997-12-09	VYDAJ	PREVOD NA UCET	3026	12210	SIPO	OP	48705834
1019754	3482	1998-01-09	VYDAJ	PREVOD NA UCET	3026	11248	SIPO	OP	48705834
1019755	3482	1998-02-09	VYDAJ	PREVOD NA UCET	3026	9688	SIPO	OP	48705834
1019756	3482	1998-03-09	VYDAJ	PREVOD NA UCET	3026	11378	SIPO	OP	48705834
1019757	3482	1998-04-09	VYDAJ	PREVOD NA UCET	3026	11716	SIPO	OP	48705834
1019758	3482	1998-05-09	VYDAJ	PREVOD NA UCET	3026	13415	SIPO	OP	48705834
1019759	3482	1998-06-09	VYDAJ	PREVOD NA UCET	3026	15121	SIPO	OP	48705834
1019760	3482	1998-07-09	VYDAJ	PREVOD NA UCET	3026	11320	SIPO	OP	48705834
1019761	3482	1998-08-09	VYDAJ	PREVOD NA UCET	3026	13017	SIPO	OP	48705834
1019762	3482	1998-09-09	VYDAJ	PREVOD NA UCET	3026	14721	SIPO	OP	48705834
1019763	3482	1998-10-09	VYDAJ	PREVOD NA UCET	3026	16432	SIPO	OP	48705834
1019764	3482	1998-11-09	VYDAJ	PREVOD NA UCET	3026	15028	SIPO	OP	48705834
1019765	3482	1998-12-09	VYDAJ	PREVOD NA UCET	3026	16741	SIPO	OP	48705834
1019766	3482	1995-06-18	VYDAJ	VYBER	10800	13109	\N	\N	\N
1019768	3482	1997-06-29	VYDAJ	VYBER	4000	15743	\N	\N	\N
1019769	3482	1998-06-13	VYDAJ	VYBER	5500	14295	\N	\N	\N
1019773	3482	1998-01-16	VYDAJ	VYBER	1450	14472	\N	\N	\N
1019774	3482	1995-12-28	VYDAJ	VYBER	700	17828	\N	\N	\N
1019775	3482	1996-12-08	VYDAJ	VYBER	1450	16518	\N	\N	\N
1019776	3482	1997-12-15	VYDAJ	VYBER	900	15984	\N	\N	\N
1019777	3482	1998-12-26	VYDAJ	VYBER	950	15545	\N	\N	\N
1019785	3482	1996-01-02	VYDAJ	VYBER	1760	15828	\N	\N	\N
1019786	3482	1996-01-15	VYDAJ	VYBER	1840	13476	\N	\N	\N
1019788	3482	1996-01-13	VYDAJ	VYBER	2160	15316	\N	\N	\N
1019789	3482	1996-01-17	VYDAJ	VYBER	800	12676	\N	\N	\N
1019791	3482	1997-01-15	VYDAJ	VYBER	1840	16273	\N	\N	\N
1019794	3482	1997-01-17	VYDAJ	VYBER	2080	14193	\N	\N	\N
1019795	3482	1997-01-10	VYDAJ	VYBER	1760	13439	\N	\N	\N
1019796	3482	1998-01-01	VYDAJ	VYBER	960	14274	\N	\N	\N
1019802	3482	1995-08-06	VYDAJ	VYBER	560	14306	\N	\N	\N
1019804	3482	1995-10-16	VYDAJ	VYBER	2080	17276	\N	\N	\N
1019806	3482	1995-11-12	VYDAJ	VYBER	2160	16824	\N	\N	\N
1019808	3482	1996-08-20	VYDAJ	VYBER	1840	18628	\N	\N	\N
1019810	3482	1996-03-12	VYDAJ	VYBER	3360	12700	\N	\N	\N
1019811	3482	1996-10-14	VYDAJ	VYBER	880	16207	\N	\N	\N
1019812	3482	1996-08-24	VYDAJ	VYBER	1920	16708	\N	\N	\N
1019813	3482	1996-05-17	VYDAJ	VYBER	720	15360	\N	\N	\N
1019814	3482	1996-10-06	VYDAJ	VYBER	3040	15439	\N	\N	\N
1019816	3482	1997-04-03	VYDAJ	VYBER	2000	15646	\N	\N	\N
1019820	3482	1997-10-16	VYDAJ	VYBER	1840	17942	\N	\N	\N
1019821	3482	1997-10-20	VYDAJ	VYBER	960	15182	\N	\N	\N
1019822	3482	1997-04-22	VYDAJ	VYBER	960	16334	\N	\N	\N
1019824	3482	1998-12-13	VYDAJ	VYBER	1120	20295	\N	\N	\N
1019825	3482	1998-04-08	VYDAJ	VYBER	1360	14742	\N	\N	\N
1019826	3482	1998-10-28	VYDAJ	VYBER	3120	17986	\N	\N	\N
1019832	3482	1995-05-31	VYDAJ	VYBER	15	24061	SLUZBY	\N	\N
1019833	3482	1995-06-30	VYDAJ	VYBER	15	13173	SLUZBY	\N	\N
1019834	3482	1995-07-31	VYDAJ	VYBER	15	14866	SLUZBY	\N	\N
1019835	3482	1995-08-31	VYDAJ	VYBER	15	16004	SLUZBY	\N	\N
1019836	3482	1995-09-30	VYDAJ	VYBER	15	17708	SLUZBY	\N	\N
1019837	3482	1995-10-31	VYDAJ	VYBER	15	17336	SLUZBY	\N	\N
1019838	3482	1995-11-30	VYDAJ	VYBER	15	16880	SLUZBY	\N	\N
1019839	3482	1995-12-31	VYDAJ	VYBER	15	17588	SLUZBY	\N	\N
1019840	3482	1996-01-31	VYDAJ	VYBER	15	12722	SLUZBY	\N	\N
1019841	3482	1996-02-29	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
1019842	3482	1996-03-31	VYDAJ	VYBER	15	12741	SLUZBY	\N	\N
1019843	3482	1996-04-30	VYDAJ	VYBER	15	14432	SLUZBY	\N	\N
1019844	3482	1996-05-31	VYDAJ	VYBER	15	15409	SLUZBY	\N	\N
1019845	3482	1996-06-30	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
1019846	3482	1996-07-31	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
1019847	3482	1996-08-31	VYDAJ	VYBER	15	16772	SLUZBY	\N	\N
1019848	3482	1996-09-30	VYDAJ	VYBER	15	18479	SLUZBY	\N	\N
1019849	3482	1996-10-31	VYDAJ	VYBER	15	16262	SLUZBY	\N	\N
1019850	3482	1996-11-30	VYDAJ	VYBER	15	17968	SLUZBY	\N	\N
1019851	3482	1996-12-31	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
1019852	3482	1997-01-31	VYDAJ	VYBER	15	14245	SLUZBY	\N	\N
1019853	3482	1997-02-28	VYDAJ	VYBER	15	15942	SLUZBY	\N	\N
1019854	3482	1997-03-31	VYDAJ	VYBER	15	17646	SLUZBY	\N	\N
1019855	3482	1997-04-30	VYDAJ	VYBER	15	16389	SLUZBY	\N	\N
1019856	3482	1997-05-31	VYDAJ	VYBER	15	18095	SLUZBY	\N	\N
1019857	3482	1997-06-30	VYDAJ	VYBER	15	15807	SLUZBY	\N	\N
1019858	3482	1997-07-31	VYDAJ	VYBER	15	17510	SLUZBY	\N	\N
1019859	3482	1997-08-31	VYDAJ	VYBER	15	19221	SLUZBY	\N	\N
1019860	3482	1997-09-30	VYDAJ	VYBER	15	18134	SLUZBY	\N	\N
1019861	3482	1997-10-31	VYDAJ	VYBER	15	15238	SLUZBY	\N	\N
1019862	3482	1997-11-30	VYDAJ	VYBER	15	15236	SLUZBY	\N	\N
1019863	3482	1997-12-31	VYDAJ	VYBER	15	15234	SLUZBY	\N	\N
1019864	3482	1998-01-31	VYDAJ	VYBER	15	12714	SLUZBY	\N	\N
1019865	3482	1998-02-28	VYDAJ	VYBER	15	14404	SLUZBY	\N	\N
1019866	3482	1998-03-31	VYDAJ	VYBER	15	16102	SLUZBY	\N	\N
1019867	3482	1998-04-30	VYDAJ	VYBER	15	16441	SLUZBY	\N	\N
1019868	3482	1998-05-31	VYDAJ	VYBER	15	18147	SLUZBY	\N	\N
1019869	3482	1998-06-30	VYDAJ	VYBER	15	14346	SLUZBY	\N	\N
1019870	3482	1998-07-31	VYDAJ	VYBER	15	16043	SLUZBY	\N	\N
1019871	3482	1998-08-31	VYDAJ	VYBER	15	17747	SLUZBY	\N	\N
1019872	3482	1998-09-30	VYDAJ	VYBER	15	19458	SLUZBY	\N	\N
1019873	3482	1998-10-31	VYDAJ	VYBER	15	18054	SLUZBY	\N	\N
1019874	3482	1998-11-30	VYDAJ	VYBER	15	19767	SLUZBY	\N	\N
1019875	3482	1995-06-02	VYDAJ	VYBER	1800	22261	\N	\N	\N
1019876	3482	1995-12-29	VYDAJ	VYBER	300	17528	\N	\N	\N
1019877	3482	1997-09-19	VYDAJ	VYBER	2800	18069	\N	\N	\N
1019878	3482	1997-10-19	VYDAJ	VYBER	1800	16142	\N	\N	\N
1019879	3482	1997-11-18	VYDAJ	VYBER	1700	15186	\N	\N	\N
1019880	3482	1997-12-18	VYDAJ	VYBER	800	15184	\N	\N	\N
1019881	3482	1998-01-17	VYDAJ	VYBER	1800	12672	\N	\N	\N
1019882	3482	1998-12-13	VYDAJ	VYBER	3800	16495	\N	\N	\N
1019931	3483	1993-10-12	PRIJEM	VKLAD	300	300	\N	\N	\N
1019942	3483	1993-11-07	PRIJEM	PREVOD Z UCTU	3260	3560	\N	IJ	84752761
1019943	3483	1993-12-07	PRIJEM	PREVOD Z UCTU	3260	6820	\N	IJ	84752761
1019944	3483	1994-01-07	PRIJEM	PREVOD Z UCTU	3260	10080	\N	IJ	84752761
1019945	3483	1994-02-07	PRIJEM	PREVOD Z UCTU	3260	13340	\N	IJ	84752761
1019946	3483	1994-03-07	PRIJEM	PREVOD Z UCTU	3260	16600	\N	IJ	84752761
1019947	3483	1994-04-07	PRIJEM	PREVOD Z UCTU	3260	17717	\N	IJ	84752761
1019948	3483	1994-05-07	PRIJEM	PREVOD Z UCTU	3260	17535	\N	IJ	84752761
1019949	3483	1994-06-07	PRIJEM	PREVOD Z UCTU	3260	17950	\N	IJ	84752761
1019950	3483	1994-07-07	PRIJEM	PREVOD Z UCTU	3260	19087	\N	IJ	84752761
1019951	3483	1994-08-07	PRIJEM	PREVOD Z UCTU	3260	19057	\N	IJ	84752761
1019952	3483	1994-09-07	PRIJEM	PREVOD Z UCTU	3260	19627	\N	IJ	84752761
1019953	3483	1994-10-07	PRIJEM	PREVOD Z UCTU	3260	20771	\N	IJ	84752761
1019954	3483	1994-11-07	PRIJEM	PREVOD Z UCTU	3260	20808	\N	IJ	84752761
1019955	3483	1994-12-07	PRIJEM	PREVOD Z UCTU	3260	21957	\N	IJ	84752761
1019956	3483	1995-01-07	PRIJEM	PREVOD Z UCTU	3260	22210	\N	IJ	84752761
1019957	3483	1995-02-07	PRIJEM	PREVOD Z UCTU	3260	18862	\N	IJ	84752761
1019958	3483	1995-03-07	PRIJEM	PREVOD Z UCTU	3260	19762	\N	IJ	84752761
1019959	3483	1995-04-07	PRIJEM	PREVOD Z UCTU	3260	20908	\N	IJ	84752761
1019960	3483	1995-05-07	PRIJEM	PREVOD Z UCTU	3260	22057	\N	IJ	84752761
1019961	3483	1995-06-07	PRIJEM	PREVOD Z UCTU	3260	23211	\N	IJ	84752761
1019962	3483	1995-07-07	PRIJEM	PREVOD Z UCTU	3260	20402	\N	IJ	84752761
1019963	3483	1995-08-07	PRIJEM	PREVOD Z UCTU	3260	21339	\N	IJ	84752761
1019964	3483	1995-09-07	PRIJEM	PREVOD Z UCTU	3260	22490	\N	IJ	84752761
1019965	3483	1995-10-07	PRIJEM	PREVOD Z UCTU	3260	22294	\N	IJ	84752761
1019966	3483	1995-11-07	PRIJEM	PREVOD Z UCTU	3260	23449	\N	IJ	84752761
1019967	3483	1995-12-07	PRIJEM	PREVOD Z UCTU	3260	23558	\N	IJ	84752761
1019968	3483	1996-01-07	PRIJEM	PREVOD Z UCTU	3260	21467	\N	IJ	84752761
1019969	3483	1996-02-07	PRIJEM	PREVOD Z UCTU	3260	19355	\N	IJ	84752761
1019970	3483	1996-03-07	PRIJEM	PREVOD Z UCTU	3260	19597	\N	IJ	84752761
1019971	3483	1996-04-07	PRIJEM	PREVOD Z UCTU	3260	20440	\N	IJ	84752761
1019972	3483	1996-05-07	PRIJEM	PREVOD Z UCTU	3260	18786	\N	IJ	84752761
1019973	3483	1996-06-07	PRIJEM	PREVOD Z UCTU	3260	18826	\N	IJ	84752761
1019974	3483	1996-07-07	PRIJEM	PREVOD Z UCTU	3260	18676	\N	IJ	84752761
1019975	3483	1996-08-07	PRIJEM	PREVOD Z UCTU	3260	19015	\N	IJ	84752761
1019976	3483	1996-09-07	PRIJEM	PREVOD Z UCTU	3260	16954	\N	IJ	84752761
1019977	3483	1996-10-07	PRIJEM	PREVOD Z UCTU	3260	16985	\N	IJ	84752761
1019978	3483	1996-11-07	PRIJEM	PREVOD Z UCTU	3260	18118	\N	IJ	84752761
1019979	3483	1996-12-07	PRIJEM	PREVOD Z UCTU	3260	17453	\N	IJ	84752761
1019980	3483	1997-01-07	PRIJEM	PREVOD Z UCTU	3260	18347	\N	IJ	84752761
1019981	3483	1997-02-07	PRIJEM	PREVOD Z UCTU	3260	17240	\N	IJ	84752761
1019982	3483	1997-03-07	PRIJEM	PREVOD Z UCTU	3260	18373	\N	IJ	84752761
1019983	3483	1997-04-07	PRIJEM	PREVOD Z UCTU	3260	15908	\N	IJ	84752761
1019984	3483	1997-05-07	PRIJEM	PREVOD Z UCTU	3260	17035	\N	IJ	84752761
1019985	3483	1997-06-07	PRIJEM	PREVOD Z UCTU	3260	18168	\N	IJ	84752761
1019986	3483	1997-07-07	PRIJEM	PREVOD Z UCTU	3260	18974	\N	IJ	84752761
1019987	3483	1997-08-07	PRIJEM	PREVOD Z UCTU	3260	20115	\N	IJ	84752761
1019988	3483	1997-09-07	PRIJEM	PREVOD Z UCTU	3260	21260	\N	IJ	84752761
1019989	3483	1997-10-07	PRIJEM	PREVOD Z UCTU	3260	21689	\N	IJ	84752761
1019990	3483	1997-11-07	PRIJEM	PREVOD Z UCTU	3260	22841	\N	IJ	84752761
1019991	3483	1997-12-07	PRIJEM	PREVOD Z UCTU	3260	23997	\N	IJ	84752761
1019992	3483	1998-01-07	PRIJEM	PREVOD Z UCTU	3260	22727	\N	IJ	84752761
1019993	3483	1998-02-07	PRIJEM	PREVOD Z UCTU	3260	20670	\N	IJ	84752761
1019994	3483	1998-03-07	PRIJEM	PREVOD Z UCTU	3260	21816	\N	IJ	84752761
1019995	3483	1998-04-07	PRIJEM	PREVOD Z UCTU	3260	22968	\N	IJ	84752761
1019996	3483	1998-05-07	PRIJEM	PREVOD Z UCTU	3260	22923	\N	IJ	84752761
1019997	3483	1998-06-07	PRIJEM	PREVOD Z UCTU	3260	19849	\N	IJ	84752761
1019998	3483	1998-07-07	PRIJEM	PREVOD Z UCTU	3260	19587	\N	IJ	84752761
1019999	3483	1998-08-07	PRIJEM	PREVOD Z UCTU	3260	20729	\N	IJ	84752761
1020000	3483	1998-09-07	PRIJEM	PREVOD Z UCTU	3260	21575	\N	IJ	84752761
1020001	3483	1998-10-07	PRIJEM	PREVOD Z UCTU	3260	21251	\N	IJ	84752761
1020002	3483	1998-11-07	PRIJEM	PREVOD Z UCTU	3260	22400	\N	IJ	84752761
1020003	3483	1998-12-07	PRIJEM	PREVOD Z UCTU	3260	22114	\N	IJ	84752761
1020018	3483	1994-03-09	VYDAJ	PREVOD NA UCET	2173	14427	SIPO	ST	56916624
1020019	3483	1994-04-09	VYDAJ	PREVOD NA UCET	2173	14224	SIPO	ST	56916624
1020020	3483	1994-05-09	VYDAJ	PREVOD NA UCET	2173	15362	SIPO	ST	56916624
1020021	3483	1994-06-09	VYDAJ	PREVOD NA UCET	2173	15777	SIPO	ST	56916624
1020022	3483	1994-07-09	VYDAJ	PREVOD NA UCET	2173	16914	SIPO	ST	56916624
1020023	3483	1994-08-09	VYDAJ	PREVOD NA UCET	2173	16884	SIPO	ST	56916624
1020024	3483	1994-09-09	VYDAJ	PREVOD NA UCET	2173	17454	SIPO	ST	56916624
1020025	3483	1994-10-09	VYDAJ	PREVOD NA UCET	2173	18598	SIPO	ST	56916624
1020026	3483	1994-11-09	VYDAJ	PREVOD NA UCET	2173	18635	SIPO	ST	56916624
1020027	3483	1994-12-09	VYDAJ	PREVOD NA UCET	2173	19784	SIPO	ST	56916624
1020028	3483	1995-01-09	VYDAJ	PREVOD NA UCET	2173	20037	SIPO	ST	56916624
1020029	3483	1995-02-09	VYDAJ	PREVOD NA UCET	2173	16689	SIPO	ST	56916624
1020030	3483	1995-03-09	VYDAJ	PREVOD NA UCET	2173	17589	SIPO	ST	56916624
1020031	3483	1995-04-09	VYDAJ	PREVOD NA UCET	2173	18735	SIPO	ST	56916624
1020032	3483	1995-05-09	VYDAJ	PREVOD NA UCET	2173	19884	SIPO	ST	56916624
1020033	3483	1995-06-09	VYDAJ	PREVOD NA UCET	2173	21038	SIPO	ST	56916624
1020034	3483	1995-07-09	VYDAJ	PREVOD NA UCET	2173	18229	SIPO	ST	56916624
1020035	3483	1995-08-09	VYDAJ	PREVOD NA UCET	2173	19166	SIPO	ST	56916624
1020036	3483	1995-09-09	VYDAJ	PREVOD NA UCET	2173	20317	SIPO	ST	56916624
1020037	3483	1995-10-09	VYDAJ	PREVOD NA UCET	2173	20121	SIPO	ST	56916624
1020038	3483	1995-11-09	VYDAJ	PREVOD NA UCET	2173	21276	SIPO	ST	56916624
1020039	3483	1995-12-09	VYDAJ	PREVOD NA UCET	2173	21385	SIPO	ST	56916624
1020040	3483	1996-01-09	VYDAJ	PREVOD NA UCET	2173	19294	SIPO	ST	56916624
1020041	3483	1996-02-09	VYDAJ	PREVOD NA UCET	2173	17182	SIPO	ST	56916624
1020042	3483	1996-03-09	VYDAJ	PREVOD NA UCET	2173	17124	SIPO	ST	56916624
1020043	3483	1996-04-09	VYDAJ	PREVOD NA UCET	2173	18267	SIPO	ST	56916624
1020044	3483	1996-05-09	VYDAJ	PREVOD NA UCET	2173	16613	SIPO	ST	56916624
1020045	3483	1996-06-09	VYDAJ	PREVOD NA UCET	2173	16653	SIPO	ST	56916624
1020046	3483	1996-07-09	VYDAJ	PREVOD NA UCET	2173	16503	SIPO	ST	56916624
1020047	3483	1996-08-09	VYDAJ	PREVOD NA UCET	2173	16842	SIPO	ST	56916624
1020048	3483	1996-09-09	VYDAJ	PREVOD NA UCET	2173	14781	SIPO	ST	56916624
1020049	3483	1996-10-09	VYDAJ	PREVOD NA UCET	2173	14812	SIPO	ST	56916624
1020050	3483	1996-11-09	VYDAJ	PREVOD NA UCET	2173	15945	SIPO	ST	56916624
1020051	3483	1996-12-09	VYDAJ	PREVOD NA UCET	2173	15280	SIPO	ST	56916624
1020052	3483	1997-01-09	VYDAJ	PREVOD NA UCET	2173	16174	SIPO	ST	56916624
1020053	3483	1997-02-09	VYDAJ	PREVOD NA UCET	2173	15067	SIPO	ST	56916624
1020054	3483	1997-03-09	VYDAJ	PREVOD NA UCET	2173	16200	SIPO	ST	56916624
1020055	3483	1997-04-09	VYDAJ	PREVOD NA UCET	2173	13735	SIPO	ST	56916624
1020056	3483	1997-05-09	VYDAJ	PREVOD NA UCET	2173	14862	SIPO	ST	56916624
1020057	3483	1997-06-09	VYDAJ	PREVOD NA UCET	2173	15665	SIPO	ST	56916624
1020058	3483	1997-07-09	VYDAJ	PREVOD NA UCET	2173	16801	SIPO	ST	56916624
1020059	3483	1997-08-09	VYDAJ	PREVOD NA UCET	2173	17942	SIPO	ST	56916624
1020060	3483	1997-09-09	VYDAJ	PREVOD NA UCET	2173	19087	SIPO	ST	56916624
1020061	3483	1997-10-09	VYDAJ	PREVOD NA UCET	2173	19516	SIPO	ST	56916624
1020062	3483	1997-11-09	VYDAJ	PREVOD NA UCET	2173	20668	SIPO	ST	56916624
1020063	3483	1997-12-09	VYDAJ	PREVOD NA UCET	2173	21824	SIPO	ST	56916624
1020064	3483	1998-01-09	VYDAJ	PREVOD NA UCET	2173	20554	SIPO	ST	56916624
1020065	3483	1998-02-09	VYDAJ	PREVOD NA UCET	2173	18497	SIPO	ST	56916624
1020066	3483	1998-03-09	VYDAJ	PREVOD NA UCET	2173	19643	SIPO	ST	56916624
1020067	3483	1998-04-09	VYDAJ	PREVOD NA UCET	2173	20795	SIPO	ST	56916624
1020068	3483	1998-05-09	VYDAJ	PREVOD NA UCET	2173	20750	SIPO	ST	56916624
1020069	3483	1998-06-09	VYDAJ	PREVOD NA UCET	2173	17676	SIPO	ST	56916624
1020070	3483	1998-07-09	VYDAJ	PREVOD NA UCET	2173	17414	SIPO	ST	56916624
1020071	3483	1998-08-09	VYDAJ	PREVOD NA UCET	2173	18256	SIPO	ST	56916624
1020072	3483	1998-09-09	VYDAJ	PREVOD NA UCET	2173	19402	SIPO	ST	56916624
1020073	3483	1998-10-09	VYDAJ	PREVOD NA UCET	2173	19078	SIPO	ST	56916624
1020074	3483	1998-11-09	VYDAJ	PREVOD NA UCET	2173	20227	SIPO	ST	56916624
1020075	3483	1998-12-09	VYDAJ	PREVOD NA UCET	2173	19941	SIPO	ST	56916624
1020078	3483	1995-06-18	VYDAJ	VYBER	3960	17078	\N	\N	\N
1020081	3483	1998-06-02	VYDAJ	VYBER	4230	16589	\N	\N	\N
1020084	3483	1995-01-28	VYDAJ	VYBER	1470	16377	\N	\N	\N
1020085	3483	1996-01-11	VYDAJ	VYBER	540	18754	\N	\N	\N
1020086	3483	1997-01-15	VYDAJ	VYBER	1080	15094	\N	\N	\N
1020087	3483	1998-01-23	VYDAJ	VYBER	870	18004	\N	\N	\N
1020089	3483	1994-12-23	VYDAJ	VYBER	600	19184	\N	\N	\N
1020090	3483	1995-12-29	VYDAJ	VYBER	720	20245	\N	\N	\N
1020091	3483	1996-12-13	VYDAJ	VYBER	240	15040	\N	\N	\N
1020092	3483	1997-12-25	VYDAJ	VYBER	360	21464	\N	\N	\N
1020093	3483	1998-12-14	VYDAJ	VYBER	570	19371	\N	\N	\N
1020106	3483	1995-01-16	VYDAJ	VYBER	480	19557	\N	\N	\N
1020107	3483	1995-01-30	VYDAJ	VYBER	840	15537	\N	\N	\N
1020108	3483	1995-01-03	VYDAJ	VYBER	300	18950	\N	\N	\N
1020109	3483	1995-01-24	VYDAJ	VYBER	720	18657	\N	\N	\N
1020110	3483	1995-01-26	VYDAJ	VYBER	810	17847	\N	\N	\N
1020111	3483	1995-01-16	VYDAJ	VYBER	180	19377	\N	\N	\N
1020112	3483	1996-01-30	VYDAJ	VYBER	420	16034	\N	\N	\N
1020113	3483	1996-01-04	VYDAJ	VYBER	480	18207	\N	\N	\N
1020114	3483	1996-01-13	VYDAJ	VYBER	450	18304	\N	\N	\N
1020115	3483	1996-01-21	VYDAJ	VYBER	600	16954	\N	\N	\N
1020116	3483	1996-01-03	VYDAJ	VYBER	630	18687	\N	\N	\N
1020117	3483	1996-01-18	VYDAJ	VYBER	750	17554	\N	\N	\N
1020120	3483	1997-01-17	VYDAJ	VYBER	510	14584	\N	\N	\N
1020122	3483	1997-01-18	VYDAJ	VYBER	450	14134	\N	\N	\N
1020124	3483	1998-01-05	VYDAJ	VYBER	750	19467	\N	\N	\N
1020125	3483	1998-01-17	VYDAJ	VYBER	690	18874	\N	\N	\N
1020126	3483	1998-01-15	VYDAJ	VYBER	750	19804	\N	\N	\N
1020127	3483	1998-01-17	VYDAJ	VYBER	240	19564	\N	\N	\N
1020128	3483	1998-01-27	VYDAJ	VYBER	510	17344	\N	\N	\N
1020129	3483	1998-01-25	VYDAJ	VYBER	150	17854	\N	\N	\N
1020136	3483	1994-05-25	VYDAJ	VYBER	720	14642	\N	\N	\N
1020137	3483	1994-07-23	VYDAJ	VYBER	1170	15744	\N	\N	\N
1020138	3483	1994-08-14	VYDAJ	VYBER	570	16314	\N	\N	\N
1020139	3483	1994-10-21	VYDAJ	VYBER	1110	17488	\N	\N	\N
1020140	3483	1994-04-09	VYDAJ	VYBER	1320	16397	\N	\N	\N
1020141	3483	1995-09-21	VYDAJ	VYBER	1350	18967	\N	\N	\N
1020142	3483	1995-07-25	VYDAJ	VYBER	210	18019	\N	\N	\N
1020143	3483	1995-11-30	VYDAJ	VYBER	1050	20313	\N	\N	\N
1020144	3483	1995-03-04	VYDAJ	VYBER	240	16502	\N	\N	\N
1020145	3483	1995-12-18	VYDAJ	VYBER	420	20965	\N	\N	\N
1020146	3483	1996-03-08	VYDAJ	VYBER	300	19297	\N	\N	\N
1020148	3483	1996-06-28	VYDAJ	VYBER	990	15363	\N	\N	\N
1020150	3483	1997-09-27	VYDAJ	VYBER	720	18367	\N	\N	\N
1020152	3483	1997-12-30	VYDAJ	VYBER	1320	20144	\N	\N	\N
1020153	3483	1997-06-07	VYDAJ	VYBER	330	17838	\N	\N	\N
1020154	3483	1998-12-04	VYDAJ	VYBER	1440	18854	\N	\N	\N
1020155	3483	1998-08-08	VYDAJ	VYBER	300	20429	\N	\N	\N
1020156	3483	1998-06-30	VYDAJ	VYBER	1410	16327	\N	\N	\N
1020157	3483	1998-04-21	VYDAJ	VYBER	270	19595	\N	\N	\N
1020158	3483	1998-04-19	VYDAJ	VYBER	930	19865	\N	\N	\N
1020159	3483	1998-09-10	VYDAJ	VYBER	1470	17932	\N	\N	\N
1020175	3483	1994-03-31	VYDAJ	VYBER	15	14457	SLUZBY	\N	\N
1020176	3483	1994-04-30	VYDAJ	VYBER	15	14275	SLUZBY	\N	\N
1020177	3483	1994-05-31	VYDAJ	VYBER	15	14690	SLUZBY	\N	\N
1020178	3483	1994-06-30	VYDAJ	VYBER	15	15827	SLUZBY	\N	\N
1020179	3483	1994-07-31	VYDAJ	VYBER	15	15797	SLUZBY	\N	\N
1020180	3483	1994-08-31	VYDAJ	VYBER	15	16367	SLUZBY	\N	\N
1020181	3483	1994-09-30	VYDAJ	VYBER	15	17511	SLUZBY	\N	\N
1020182	3483	1994-10-31	VYDAJ	VYBER	15	17548	SLUZBY	\N	\N
1020183	3483	1994-11-30	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
1020184	3483	1994-12-31	VYDAJ	VYBER	15	19250	SLUZBY	\N	\N
1020185	3483	1995-01-31	VYDAJ	VYBER	15	15602	SLUZBY	\N	\N
1020186	3483	1995-02-28	VYDAJ	VYBER	15	16742	SLUZBY	\N	\N
1020187	3483	1995-03-31	VYDAJ	VYBER	15	17648	SLUZBY	\N	\N
1020188	3483	1995-04-30	VYDAJ	VYBER	15	18797	SLUZBY	\N	\N
1020189	3483	1995-05-31	VYDAJ	VYBER	15	19951	SLUZBY	\N	\N
1020190	3483	1995-06-30	VYDAJ	VYBER	15	17142	SLUZBY	\N	\N
1020191	3483	1995-07-31	VYDAJ	VYBER	15	18079	SLUZBY	\N	\N
1020192	3483	1995-08-31	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
1020193	3483	1995-09-30	VYDAJ	VYBER	15	19034	SLUZBY	\N	\N
1020194	3483	1995-10-31	VYDAJ	VYBER	15	20189	SLUZBY	\N	\N
1020195	3483	1995-11-30	VYDAJ	VYBER	15	20298	SLUZBY	\N	\N
1020196	3483	1995-12-31	VYDAJ	VYBER	15	20317	SLUZBY	\N	\N
1020197	3483	1996-01-31	VYDAJ	VYBER	15	16095	SLUZBY	\N	\N
1020198	3483	1996-02-29	VYDAJ	VYBER	15	16337	SLUZBY	\N	\N
1020199	3483	1996-03-31	VYDAJ	VYBER	15	17180	SLUZBY	\N	\N
1020200	3483	1996-04-30	VYDAJ	VYBER	15	15526	SLUZBY	\N	\N
1020201	3483	1996-05-31	VYDAJ	VYBER	15	15566	SLUZBY	\N	\N
1020202	3483	1996-06-30	VYDAJ	VYBER	15	15416	SLUZBY	\N	\N
1020203	3483	1996-07-31	VYDAJ	VYBER	15	15755	SLUZBY	\N	\N
1020204	3483	1996-08-31	VYDAJ	VYBER	15	13694	SLUZBY	\N	\N
1020205	3483	1996-09-30	VYDAJ	VYBER	15	13725	SLUZBY	\N	\N
1020206	3483	1996-10-31	VYDAJ	VYBER	15	14858	SLUZBY	\N	\N
1020207	3483	1996-11-30	VYDAJ	VYBER	15	14193	SLUZBY	\N	\N
1020208	3483	1996-12-31	VYDAJ	VYBER	15	15087	SLUZBY	\N	\N
1020209	3483	1997-01-31	VYDAJ	VYBER	15	13980	SLUZBY	\N	\N
1020210	3483	1997-02-28	VYDAJ	VYBER	15	15113	SLUZBY	\N	\N
1020211	3483	1997-03-31	VYDAJ	VYBER	15	12648	SLUZBY	\N	\N
1020212	3483	1997-04-30	VYDAJ	VYBER	15	13775	SLUZBY	\N	\N
1020213	3483	1997-05-31	VYDAJ	VYBER	15	14908	SLUZBY	\N	\N
1020214	3483	1997-06-30	VYDAJ	VYBER	15	15714	SLUZBY	\N	\N
1020215	3483	1997-07-31	VYDAJ	VYBER	15	16855	SLUZBY	\N	\N
1020216	3483	1997-08-31	VYDAJ	VYBER	15	18000	SLUZBY	\N	\N
1020217	3483	1997-09-30	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
1020218	3483	1997-10-31	VYDAJ	VYBER	15	19581	SLUZBY	\N	\N
1020219	3483	1997-11-30	VYDAJ	VYBER	15	20737	SLUZBY	\N	\N
1020220	3483	1997-12-31	VYDAJ	VYBER	15	20217	SLUZBY	\N	\N
1020221	3483	1998-01-31	VYDAJ	VYBER	15	17410	SLUZBY	\N	\N
1020222	3483	1998-02-28	VYDAJ	VYBER	15	18556	SLUZBY	\N	\N
1020223	3483	1998-03-31	VYDAJ	VYBER	15	19708	SLUZBY	\N	\N
1020224	3483	1998-04-30	VYDAJ	VYBER	15	19663	SLUZBY	\N	\N
1020225	3483	1998-05-31	VYDAJ	VYBER	15	20819	SLUZBY	\N	\N
1020226	3483	1998-06-30	VYDAJ	VYBER	15	17737	SLUZBY	\N	\N
1020227	3483	1998-07-31	VYDAJ	VYBER	15	17469	SLUZBY	\N	\N
1020228	3483	1998-08-31	VYDAJ	VYBER	15	18315	SLUZBY	\N	\N
1020229	3483	1998-09-30	VYDAJ	VYBER	15	17991	SLUZBY	\N	\N
1020230	3483	1998-10-31	VYDAJ	VYBER	15	19140	SLUZBY	\N	\N
1020231	3483	1998-11-30	VYDAJ	VYBER	15	20294	SLUZBY	\N	\N
1020232	3483	1995-12-31	VYDAJ	VYBER	1000	19317	\N	\N	\N
1020233	3483	1996-01-30	VYDAJ	VYBER	500	16454	\N	\N	\N
1020234	3483	1996-02-29	VYDAJ	VYBER	900	16352	\N	\N	\N
1020235	3483	1996-04-29	VYDAJ	VYBER	2800	15467	\N	\N	\N
1020236	3483	1996-05-29	VYDAJ	VYBER	1100	15513	\N	\N	\N
1020237	3483	1996-06-28	VYDAJ	VYBER	300	16353	\N	\N	\N
1020238	3483	1996-07-28	VYDAJ	VYBER	800	15703	\N	\N	\N
1020239	3483	1996-08-27	VYDAJ	VYBER	3200	13642	\N	\N	\N
1020240	3483	1996-09-26	VYDAJ	VYBER	1100	13681	\N	\N	\N
1020241	3483	1996-11-25	VYDAJ	VYBER	1800	14145	\N	\N	\N
1020242	3483	1997-01-24	VYDAJ	VYBER	200	13934	\N	\N	\N
1020243	3483	1997-03-25	VYDAJ	VYBER	3600	12600	\N	\N	\N
1020302	3484	1994-06-01	PRIJEM	VKLAD	300	300	\N	\N	\N
1020308	3484	1994-06-13	PRIJEM	VKLAD	36513	36813	\N	\N	\N
1020309	3484	1994-07-13	PRIJEM	VKLAD	24342	56347	\N	\N	\N
1020310	3484	1994-08-13	PRIJEM	VKLAD	24342	65490	\N	\N	\N
1020311	3484	1994-09-13	PRIJEM	VKLAD	24342	69905	\N	\N	\N
1020312	3484	1994-10-13	PRIJEM	VKLAD	24342	71536	\N	\N	\N
1020313	3484	1994-11-13	PRIJEM	VKLAD	24342	59625	\N	\N	\N
1020314	3484	1994-12-13	PRIJEM	VKLAD	36513	72303	\N	\N	\N
1020315	3484	1995-01-13	PRIJEM	VKLAD	24342	56329	\N	\N	\N
1020316	3484	1995-02-13	PRIJEM	VKLAD	24342	49817	\N	\N	\N
1020317	3484	1995-03-13	PRIJEM	VKLAD	24342	55581	\N	\N	\N
1020318	3484	1995-04-13	PRIJEM	VKLAD	24342	55369	\N	\N	\N
1020319	3484	1995-05-13	PRIJEM	VKLAD	24342	58054	\N	\N	\N
1020320	3484	1995-06-13	PRIJEM	VKLAD	36513	70119	\N	\N	\N
1020321	3484	1995-07-13	PRIJEM	VKLAD	24342	40932	\N	\N	\N
1020322	3484	1995-08-13	PRIJEM	VKLAD	24342	48261	\N	\N	\N
1020323	3484	1995-09-13	PRIJEM	VKLAD	24342	54617	\N	\N	\N
1020324	3484	1995-10-13	PRIJEM	VKLAD	24342	54891	\N	\N	\N
1020325	3484	1995-11-13	PRIJEM	VKLAD	24342	52663	\N	\N	\N
1020326	3484	1995-12-13	PRIJEM	VKLAD	36513	62796	\N	\N	\N
1020327	3484	1996-01-13	PRIJEM	VKLAD	24342	52972	\N	\N	\N
1020328	3484	1996-02-13	PRIJEM	VKLAD	24342	42421	\N	\N	\N
1020329	3484	1996-03-13	PRIJEM	VKLAD	24342	43038	\N	\N	\N
1020330	3484	1996-04-13	PRIJEM	VKLAD	24342	44860	\N	\N	\N
1020331	3484	1996-05-13	PRIJEM	VKLAD	24342	43784	\N	\N	\N
1020332	3484	1996-06-13	PRIJEM	VKLAD	36513	54673	\N	\N	\N
1020333	3484	1996-07-13	PRIJEM	VKLAD	24342	48307	\N	\N	\N
1020334	3484	1996-08-13	PRIJEM	VKLAD	24342	46340	\N	\N	\N
1020335	3484	1996-09-13	PRIJEM	VKLAD	24342	40061	\N	\N	\N
1020336	3484	1996-10-13	PRIJEM	VKLAD	24342	34756	\N	\N	\N
1020337	3484	1996-11-13	PRIJEM	VKLAD	24342	35633	\N	\N	\N
1020338	3484	1996-12-13	PRIJEM	VKLAD	36513	49885	\N	\N	\N
1020339	3484	1997-01-13	PRIJEM	VKLAD	24342	39686	\N	\N	\N
1020340	3484	1997-02-13	PRIJEM	VKLAD	24342	34570	\N	\N	\N
1020341	3484	1997-03-13	PRIJEM	VKLAD	24342	33535	\N	\N	\N
1020342	3484	1997-04-13	PRIJEM	VKLAD	24342	33402	\N	\N	\N
1020343	3484	1997-05-13	PRIJEM	VKLAD	24342	32865	\N	\N	\N
1020344	3484	1997-06-13	PRIJEM	VKLAD	36513	43495	\N	\N	\N
1020345	3484	1997-07-13	PRIJEM	VKLAD	24342	36267	\N	\N	\N
1020346	3484	1997-08-13	PRIJEM	VKLAD	24342	33533	\N	\N	\N
1020347	3484	1997-09-13	PRIJEM	VKLAD	24342	48127	\N	\N	\N
1020348	3484	1997-10-13	PRIJEM	VKLAD	24342	36917	\N	\N	\N
1020349	3484	1997-11-13	PRIJEM	VKLAD	24342	34382	\N	\N	\N
1020350	3484	1997-12-13	PRIJEM	VKLAD	36513	62659	\N	\N	\N
1020351	3484	1998-01-13	PRIJEM	VKLAD	24342	45962	\N	\N	\N
1020352	3484	1998-02-13	PRIJEM	VKLAD	24342	54048	\N	\N	\N
1020353	3484	1998-03-13	PRIJEM	VKLAD	24342	45333	\N	\N	\N
1020354	3484	1998-04-13	PRIJEM	VKLAD	24342	63223	\N	\N	\N
1020355	3484	1998-05-13	PRIJEM	VKLAD	24342	43044	\N	\N	\N
1020356	3484	1998-06-13	PRIJEM	VKLAD	36513	64296	\N	\N	\N
1020357	3484	1998-07-13	PRIJEM	VKLAD	24342	50349	\N	\N	\N
1020358	3484	1998-08-13	PRIJEM	VKLAD	24342	64422	\N	\N	\N
1020359	3484	1998-09-13	PRIJEM	VKLAD	24342	39653	\N	\N	\N
1020360	3484	1998-10-13	PRIJEM	VKLAD	24342	57523	\N	\N	\N
1020361	3484	1998-11-13	PRIJEM	VKLAD	24342	38225	\N	\N	\N
1020362	3484	1998-12-13	PRIJEM	VKLAD	36513	65653	\N	\N	\N
1020373	3484	1994-11-09	VYDAJ	PREVOD NA UCET	6634	35283	SIPO	IJ	28239637
1020374	3484	1994-12-09	VYDAJ	PREVOD NA UCET	6634	35790	SIPO	IJ	28239637
1020375	3484	1995-01-09	VYDAJ	PREVOD NA UCET	6634	38687	SIPO	IJ	28239637
1020376	3484	1995-02-09	VYDAJ	PREVOD NA UCET	6634	25475	SIPO	IJ	28239637
1020377	3484	1995-03-09	VYDAJ	PREVOD NA UCET	6634	31239	SIPO	IJ	28239637
1020378	3484	1995-04-09	VYDAJ	PREVOD NA UCET	6634	31027	SIPO	IJ	28239637
1020379	3484	1995-05-09	VYDAJ	PREVOD NA UCET	6634	33712	SIPO	IJ	28239637
1020380	3484	1995-06-09	VYDAJ	PREVOD NA UCET	6634	33606	SIPO	IJ	28239637
1020381	3484	1995-07-09	VYDAJ	PREVOD NA UCET	6634	16590	SIPO	IJ	28239637
1020382	3484	1995-08-09	VYDAJ	PREVOD NA UCET	6634	23919	SIPO	IJ	28239637
1020383	3484	1995-09-09	VYDAJ	PREVOD NA UCET	6634	30275	SIPO	IJ	28239637
1020384	3484	1995-10-09	VYDAJ	PREVOD NA UCET	6634	30549	SIPO	IJ	28239637
1020385	3484	1995-11-09	VYDAJ	PREVOD NA UCET	6634	28321	SIPO	IJ	28239637
1020386	3484	1995-12-09	VYDAJ	PREVOD NA UCET	6634	26283	SIPO	IJ	28239637
1020387	3484	1996-01-09	VYDAJ	PREVOD NA UCET	6634	31430	SIPO	IJ	28239637
1020388	3484	1996-02-09	VYDAJ	PREVOD NA UCET	6634	18079	SIPO	IJ	28239637
1020389	3484	1996-03-09	VYDAJ	PREVOD NA UCET	6634	18696	SIPO	IJ	28239637
1020390	3484	1996-04-09	VYDAJ	PREVOD NA UCET	6634	20518	SIPO	IJ	28239637
1020391	3484	1996-05-09	VYDAJ	PREVOD NA UCET	6634	19442	SIPO	IJ	28239637
1020392	3484	1996-06-09	VYDAJ	PREVOD NA UCET	6634	18160	SIPO	IJ	28239637
1020393	3484	1996-07-09	VYDAJ	PREVOD NA UCET	6634	23965	SIPO	IJ	28239637
1020394	3484	1996-08-09	VYDAJ	PREVOD NA UCET	6634	21998	SIPO	IJ	28239637
1020395	3484	1996-09-09	VYDAJ	PREVOD NA UCET	6634	15719	SIPO	IJ	28239637
1020396	3484	1996-10-09	VYDAJ	PREVOD NA UCET	6634	10414	SIPO	IJ	28239637
1020397	3484	1996-11-09	VYDAJ	PREVOD NA UCET	6634	11291	SIPO	IJ	28239637
1020398	3484	1996-12-09	VYDAJ	PREVOD NA UCET	6634	13372	SIPO	IJ	28239637
1020399	3484	1997-01-09	VYDAJ	PREVOD NA UCET	6634	15344	SIPO	IJ	28239637
1020400	3484	1997-02-09	VYDAJ	PREVOD NA UCET	6634	10228	SIPO	IJ	28239637
1020401	3484	1997-03-09	VYDAJ	PREVOD NA UCET	6634	9193	SIPO	IJ	28239637
1020402	3484	1997-04-09	VYDAJ	PREVOD NA UCET	6634	9060	SIPO	IJ	28239637
1020403	3484	1997-05-09	VYDAJ	PREVOD NA UCET	6634	8523	SIPO	IJ	28239637
1020404	3484	1997-06-09	VYDAJ	PREVOD NA UCET	6634	6982	SIPO	IJ	28239637
1020405	3484	1997-07-09	VYDAJ	PREVOD NA UCET	6634	11925	SIPO	IJ	28239637
1020406	3484	1997-08-09	VYDAJ	PREVOD NA UCET	6634	9191	SIPO	IJ	28239637
1020407	3484	1997-09-09	VYDAJ	PREVOD NA UCET	6634	23785	SIPO	IJ	28239637
1020408	3484	1997-10-09	VYDAJ	PREVOD NA UCET	6634	12575	SIPO	IJ	28239637
1020409	3484	1997-11-09	VYDAJ	PREVOD NA UCET	6634	10040	SIPO	IJ	28239637
1020410	3484	1997-12-09	VYDAJ	PREVOD NA UCET	6634	26646	SIPO	IJ	28239637
1020411	3484	1998-01-09	VYDAJ	PREVOD NA UCET	6634	55720	SIPO	IJ	28239637
1020412	3484	1998-02-09	VYDAJ	PREVOD NA UCET	6634	29706	SIPO	IJ	28239637
1020413	3484	1998-03-09	VYDAJ	PREVOD NA UCET	6634	47591	SIPO	IJ	28239637
1020414	3484	1998-04-09	VYDAJ	PREVOD NA UCET	6634	38881	SIPO	IJ	28239637
1020415	3484	1998-05-09	VYDAJ	PREVOD NA UCET	6634	53302	SIPO	IJ	28239637
1020416	3484	1998-06-09	VYDAJ	PREVOD NA UCET	6634	27783	SIPO	IJ	28239637
1020417	3484	1998-07-09	VYDAJ	PREVOD NA UCET	6634	28507	SIPO	IJ	28239637
1020418	3484	1998-08-09	VYDAJ	PREVOD NA UCET	6634	40080	SIPO	IJ	28239637
1020419	3484	1998-09-09	VYDAJ	PREVOD NA UCET	6634	15311	SIPO	IJ	28239637
1020420	3484	1998-10-09	VYDAJ	PREVOD NA UCET	6634	33181	SIPO	IJ	28239637
1020421	3484	1998-11-09	VYDAJ	PREVOD NA UCET	6634	13883	SIPO	IJ	28239637
1020422	3484	1998-12-09	VYDAJ	PREVOD NA UCET	6634	29140	SIPO	IJ	28239637
1020424	3484	1995-06-29	VYDAJ	VYBER	25200	23019	\N	\N	\N
1020427	3484	1998-06-17	VYDAJ	VYBER	29300	34996	\N	\N	\N
1020429	3484	1995-01-26	VYDAJ	VYBER	7100	46329	\N	\N	\N
1020430	3484	1996-01-22	VYDAJ	VYBER	8300	28172	\N	\N	\N
1020432	3484	1998-01-21	VYDAJ	VYBER KARTOU	3000	42962	\N	\N	0
1020433	3484	1994-12-27	VYDAJ	VYBER	1000	67603	\N	\N	\N
1020434	3484	1995-12-03	VYDAJ	VYBER KARTOU	1300	32917	\N	\N	0
1020435	3484	1996-12-19	VYDAJ	VYBER KARTOU	1000	24685	\N	\N	0
1020436	3484	1997-12-02	VYDAJ	VYBER KARTOU	1200	33280	\N	\N	0
1020437	3484	1998-12-07	VYDAJ	VYBER KARTOU	2600	35774	\N	\N	0
1020444	3484	1995-01-17	VYDAJ	VYBER	1300	53429	\N	\N	\N
1020445	3484	1995-01-05	VYDAJ	VYBER	2200	45321	\N	\N	\N
1020446	3484	1995-01-09	VYDAJ	VYBER	1500	37187	\N	\N	\N
1020447	3484	1995-01-12	VYDAJ	VYBER	2300	31987	\N	\N	\N
1020448	3484	1995-01-12	VYDAJ	VYBER	2900	34287	\N	\N	\N
1020449	3484	1995-01-15	VYDAJ	VYBER	1600	54729	\N	\N	\N
1020450	3484	1996-01-09	VYDAJ	VYBER KARTOU	500	30930	\N	\N	0
1020451	3484	1996-01-25	VYDAJ	VYBER KARTOU	2400	25772	\N	\N	0
1020452	3484	1996-01-02	VYDAJ	VYBER KARTOU	1500	38064	\N	\N	0
1020453	3484	1996-01-09	VYDAJ	VYBER KARTOU	2300	28630	\N	\N	0
1020454	3484	1996-01-27	VYDAJ	VYBER KARTOU	1200	24572	\N	\N	0
1020455	3484	1996-01-13	VYDAJ	VYBER KARTOU	900	52072	\N	\N	0
1020456	3484	1997-01-21	VYDAJ	VYBER KARTOU	2600	20586	\N	\N	0
1020457	3484	1997-01-22	VYDAJ	VYBER KARTOU	2000	18586	\N	\N	0
1020458	3484	1997-01-05	VYDAJ	VYBER KARTOU	1400	23378	\N	\N	0
1020459	3484	1997-01-07	VYDAJ	VYBER KARTOU	1400	21978	\N	\N	0
1020460	3484	1997-01-25	VYDAJ	VYBER KARTOU	1800	16786	\N	\N	0
1020462	3484	1998-01-22	VYDAJ	VYBER KARTOU	2700	40262	\N	\N	0
1020463	3484	1998-01-01	VYDAJ	VYBER KARTOU	500	62354	\N	\N	0
1020464	3484	1998-01-26	VYDAJ	VYBER KARTOU	1900	38362	\N	\N	0
1020465	3484	1998-01-27	VYDAJ	VYBER KARTOU	1400	36962	\N	\N	0
1020466	3484	1998-01-10	VYDAJ	VYBER KARTOU	1400	54320	\N	\N	0
1020467	3484	1998-01-30	VYDAJ	VYBER KARTOU	800	36162	\N	\N	0
1020472	3484	1994-11-05	VYDAJ	VYBER	4400	41917	\N	\N	\N
1020473	3484	1994-12-13	VYDAJ	VYBER	3700	68603	\N	\N	\N
1020475	3484	1995-04-02	VYDAJ	VYBER	2100	37661	\N	\N	\N
1020476	3484	1995-01-05	VYDAJ	VYBER	1900	47521	\N	\N	\N
1020477	3484	1995-01-30	VYDAJ	VYBER	3300	31929	\N	\N	\N
1020478	3484	1995-08-09	VYDAJ	VYBER KARTOU	700	30553	\N	\N	0
1020479	3484	1995-07-30	VYDAJ	VYBER KARTOU	3000	31132	\N	\N	0
1020480	3484	1996-09-05	VYDAJ	VYBER KARTOU	3100	22353	\N	\N	0
1020481	3484	1996-10-06	VYDAJ	VYBER KARTOU	3900	17048	\N	\N	0
1020482	3484	1996-01-16	VYDAJ	VYBER KARTOU	3100	48972	\N	\N	0
1020483	3484	1996-03-13	VYDAJ	VYBER KARTOU	1700	41338	\N	\N	0
1020484	3484	1996-08-20	VYDAJ	VYBER KARTOU	1100	25340	\N	\N	0
1020485	3484	1997-08-13	VYDAJ	VYBER KARTOU	3200	30333	\N	\N	0
1020487	3484	1997-07-07	VYDAJ	VYBER KARTOU	1900	18559	\N	\N	0
1020489	3484	1997-12-12	VYDAJ	VYBER KARTOU	500	26146	\N	\N	0
1020490	3484	1998-07-12	VYDAJ	VYBER KARTOU	2500	26007	\N	\N	0
1020491	3484	1998-05-24	VYDAJ	VYBER	4200	38844	\N	\N	\N
1020492	3484	1998-04-23	VYDAJ	VYBER KARTOU	3500	59723	\N	\N	0
1020493	3484	1998-07-29	VYDAJ	VYBER KARTOU	3800	46549	\N	\N	0
1020494	3484	1998-12-29	VYDAJ	VYBER KARTOU	2100	63553	\N	\N	0
1020495	3484	1998-05-30	VYDAJ	VYBER	4600	34244	\N	\N	\N
1020506	3484	1994-10-31	VYDAJ	VYBER	15	46317	SLUZBY	\N	\N
1020507	3484	1994-11-30	VYDAJ	VYBER	15	42424	SLUZBY	\N	\N
1020508	3484	1994-12-31	VYDAJ	VYBER	15	49421	SLUZBY	\N	\N
1020509	3484	1995-01-31	VYDAJ	VYBER	15	32109	SLUZBY	\N	\N
1020510	3484	1995-02-28	VYDAJ	VYBER	15	37873	SLUZBY	\N	\N
1020511	3484	1995-03-31	VYDAJ	VYBER	15	39761	SLUZBY	\N	\N
1020512	3484	1995-04-30	VYDAJ	VYBER	15	40346	SLUZBY	\N	\N
1020513	3484	1995-05-31	VYDAJ	VYBER	15	40240	SLUZBY	\N	\N
1020514	3484	1995-06-30	VYDAJ	VYBER	15	23224	SLUZBY	\N	\N
1020515	3484	1995-07-31	VYDAJ	VYBER	15	31253	SLUZBY	\N	\N
1020516	3484	1995-08-31	VYDAJ	VYBER	15	36909	SLUZBY	\N	\N
1020517	3484	1995-09-30	VYDAJ	VYBER	15	37183	SLUZBY	\N	\N
1020518	3484	1995-10-31	VYDAJ	VYBER	15	34955	SLUZBY	\N	\N
1020519	3484	1995-11-30	VYDAJ	VYBER	15	34217	SLUZBY	\N	\N
1020520	3484	1995-12-31	VYDAJ	VYBER	15	39564	SLUZBY	\N	\N
1020521	3484	1996-01-31	VYDAJ	VYBER	15	24713	SLUZBY	\N	\N
1020522	3484	1996-02-29	VYDAJ	VYBER	15	25330	SLUZBY	\N	\N
1020523	3484	1996-03-31	VYDAJ	VYBER	15	27152	SLUZBY	\N	\N
1020524	3484	1996-04-30	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
1020525	3484	1996-05-31	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
1020526	3484	1996-06-30	VYDAJ	VYBER	15	30599	SLUZBY	\N	\N
1020527	3484	1996-07-31	VYDAJ	VYBER	15	28632	SLUZBY	\N	\N
1020528	3484	1996-08-31	VYDAJ	VYBER	15	25453	SLUZBY	\N	\N
1020529	3484	1996-09-30	VYDAJ	VYBER	15	20948	SLUZBY	\N	\N
1020530	3484	1996-10-31	VYDAJ	VYBER	15	17925	SLUZBY	\N	\N
1020531	3484	1996-11-30	VYDAJ	VYBER	15	20006	SLUZBY	\N	\N
1020532	3484	1996-12-31	VYDAJ	VYBER	15	24778	SLUZBY	\N	\N
1020533	3484	1997-01-31	VYDAJ	VYBER	15	16862	SLUZBY	\N	\N
1020534	3484	1997-02-28	VYDAJ	VYBER	15	15827	SLUZBY	\N	\N
1020535	3484	1997-03-31	VYDAJ	VYBER	15	15694	SLUZBY	\N	\N
1020536	3484	1997-04-30	VYDAJ	VYBER	15	15157	SLUZBY	\N	\N
1020537	3484	1997-05-31	VYDAJ	VYBER	15	13616	SLUZBY	\N	\N
1020538	3484	1997-06-30	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
1020539	3484	1997-07-31	VYDAJ	VYBER	15	15825	SLUZBY	\N	\N
1020540	3484	1997-08-31	VYDAJ	VYBER	15	30419	SLUZBY	\N	\N
1020541	3484	1997-09-30	VYDAJ	VYBER	15	19209	SLUZBY	\N	\N
1020542	3484	1997-10-31	VYDAJ	VYBER	15	16674	SLUZBY	\N	\N
1020543	3484	1997-11-30	VYDAJ	VYBER	15	34480	SLUZBY	\N	\N
1020544	3484	1997-12-31	VYDAJ	VYBER	15	62854	SLUZBY	\N	\N
1020545	3484	1998-01-31	VYDAJ	VYBER	15	36340	SLUZBY	\N	\N
1020546	3484	1998-02-28	VYDAJ	VYBER	15	54225	SLUZBY	\N	\N
1020547	3484	1998-03-31	VYDAJ	VYBER	15	45515	SLUZBY	\N	\N
1020548	3484	1998-04-30	VYDAJ	VYBER	15	59936	SLUZBY	\N	\N
1020549	3484	1998-05-31	VYDAJ	VYBER	15	34417	SLUZBY	\N	\N
1020550	3484	1998-06-30	VYDAJ	VYBER	15	35141	SLUZBY	\N	\N
1020551	3484	1998-07-31	VYDAJ	VYBER	15	46714	SLUZBY	\N	\N
1020552	3484	1998-08-31	VYDAJ	VYBER	15	64645	SLUZBY	\N	\N
1020553	3484	1998-09-30	VYDAJ	VYBER	15	39815	SLUZBY	\N	\N
1020554	3484	1998-10-31	VYDAJ	VYBER	15	57717	SLUZBY	\N	\N
1020555	3484	1998-11-30	VYDAJ	VYBER	15	38374	SLUZBY	\N	\N
1020556	3484	1994-07-01	VYDAJ	VYBER	4900	32005	\N	\N	\N
1020557	3484	1994-07-31	VYDAJ	VYBER	15400	41148	\N	\N	\N
1020558	3484	1994-08-30	VYDAJ	VYBER	20100	45390	\N	\N	\N
1020559	3484	1994-09-29	VYDAJ	VYBER	22900	47005	\N	\N	\N
1020560	3484	1994-10-29	VYDAJ	VYBER	25400	46136	\N	\N	\N
1020561	3484	1994-11-28	VYDAJ	VYBER	17400	42225	\N	\N	\N
1020562	3484	1994-12-28	VYDAJ	VYBER	18400	49203	\N	\N	\N
1020563	3484	1995-01-27	VYDAJ	VYBER	11100	35229	\N	\N	\N
1020564	3484	1995-02-26	VYDAJ	VYBER	12100	37717	\N	\N	\N
1020565	3484	1995-03-28	VYDAJ	VYBER	16000	39581	\N	\N	\N
1020566	3484	1995-04-27	VYDAJ	VYBER	15200	40169	\N	\N	\N
1020567	3484	1995-05-27	VYDAJ	VYBER	18000	40054	\N	\N	\N
1020568	3484	1995-06-26	VYDAJ	VYBER	21900	48219	\N	\N	\N
1020569	3484	1995-07-26	VYDAJ	VYBER	6800	34132	\N	\N	\N
1020570	3484	1995-08-25	VYDAJ	VYBER	11500	36761	\N	\N	\N
1020571	3484	1995-09-24	VYDAJ	VYBER	17600	37017	\N	\N	\N
1020572	3484	1995-10-24	VYDAJ	VYBER	20100	34791	\N	\N	\N
1020573	3484	1995-11-23	VYDAJ	VYBER	18600	34063	\N	\N	\N
1020574	3484	1995-12-23	VYDAJ	VYBER	23400	39396	\N	\N	\N
1020575	3484	1996-01-22	VYDAJ	VYBER	12500	36472	\N	\N	\N
1020576	3484	1996-02-21	VYDAJ	VYBER	17200	25221	\N	\N	\N
1020577	3484	1996-03-22	VYDAJ	VYBER	14300	27038	\N	\N	\N
1020578	3484	1996-04-21	VYDAJ	VYBER	18900	25960	\N	\N	\N
1020579	3484	1996-05-21	VYDAJ	VYBER	19100	24684	\N	\N	\N
1020580	3484	1996-06-20	VYDAJ	VYBER	24200	30473	\N	\N	\N
1020581	3484	1996-07-20	VYDAJ	VYBER	19800	28507	\N	\N	\N
1020582	3484	1996-08-19	VYDAJ	VYBER	19900	26440	\N	\N	\N
1020583	3484	1996-09-18	VYDAJ	VYBER	19200	20861	\N	\N	\N
1020584	3484	1996-10-18	VYDAJ	VYBER	16900	17856	\N	\N	\N
1020585	3484	1996-11-17	VYDAJ	VYBER	15700	19933	\N	\N	\N
1020586	3484	1996-12-17	VYDAJ	VYBER	24200	25685	\N	\N	\N
1020587	3484	1997-01-16	VYDAJ	VYBER	16500	23186	\N	\N	\N
1020588	3484	1997-02-15	VYDAJ	VYBER	18800	15770	\N	\N	\N
1020589	3484	1997-03-17	VYDAJ	VYBER	17900	15635	\N	\N	\N
1020590	3484	1997-04-16	VYDAJ	VYBER	18300	15102	\N	\N	\N
1020591	3484	1997-05-16	VYDAJ	VYBER	19300	13565	\N	\N	\N
1020592	3484	1997-06-15	VYDAJ	VYBER	23100	20395	\N	\N	\N
1020593	3484	1997-07-15	VYDAJ	VYBER	20500	15767	\N	\N	\N
1020594	3484	1997-09-13	VYDAJ	VYBER	29000	19127	\N	\N	\N
1020595	3484	1997-10-13	VYDAJ	VYBER	20300	16617	\N	\N	\N
1020596	3484	1998-01-11	VYDAJ	VYBER	32700	21620	\N	\N	\N
1020597	3484	1998-03-12	VYDAJ	VYBER	26600	20991	\N	\N	\N
1020598	3484	1998-05-11	VYDAJ	VYBER	34600	18702	\N	\N	\N
1020599	3484	1998-09-08	VYDAJ	VYBER	42700	21945	\N	\N	\N
1020600	3484	1998-11-07	VYDAJ	VYBER	37200	20517	\N	\N	\N
1020656	3485	1996-06-19	PRIJEM	VKLAD	900	900	\N	\N	\N
1020663	3485	1996-07-07	PRIJEM	VKLAD	13933	14833	\N	\N	\N
1020664	3485	1996-08-07	PRIJEM	VKLAD	13933	35704	\N	\N	\N
1020665	3485	1996-09-07	PRIJEM	VKLAD	13933	42340	\N	\N	\N
1020666	3485	1996-10-07	PRIJEM	VKLAD	13933	48503	\N	\N	\N
1020667	3485	1996-11-07	PRIJEM	VKLAD	13933	50984	\N	\N	\N
1020668	3485	1996-12-07	PRIJEM	VKLAD	20900	53598	\N	\N	\N
1020669	3485	1997-01-07	PRIJEM	VKLAD	13933	53256	\N	\N	\N
1020670	3485	1997-02-07	PRIJEM	VKLAD	13933	47909	\N	\N	\N
1020671	3485	1997-03-07	PRIJEM	VKLAD	13933	50559	\N	\N	\N
1020672	3485	1997-04-07	PRIJEM	VKLAD	13933	54323	\N	\N	\N
1020673	3485	1997-05-07	PRIJEM	VKLAD	13933	50689	\N	\N	\N
1020674	3485	1997-06-07	PRIJEM	VKLAD	20900	58110	\N	\N	\N
1020675	3485	1997-07-07	PRIJEM	VKLAD	13933	33258	\N	\N	\N
1020676	3485	1997-08-07	PRIJEM	VKLAD	13933	42861	\N	\N	\N
1020677	3485	1997-09-07	PRIJEM	VKLAD	13933	47290	\N	\N	\N
1020678	3485	1997-10-07	PRIJEM	VKLAD	13933	47328	\N	\N	\N
1020679	3485	1997-11-07	PRIJEM	VKLAD	13933	48667	\N	\N	\N
1020680	3485	1997-12-07	PRIJEM	VKLAD	20900	56078	\N	\N	\N
1020681	3485	1998-01-07	PRIJEM	VKLAD	13933	47333	\N	\N	\N
1020682	3485	1998-02-07	PRIJEM	VKLAD	13933	49585	\N	\N	\N
1020683	3485	1998-03-07	PRIJEM	VKLAD	13933	51433	\N	\N	\N
1020684	3485	1998-04-07	PRIJEM	VKLAD	13933	52289	\N	\N	\N
1020685	3485	1998-05-07	PRIJEM	VKLAD	13933	56557	\N	\N	\N
1020686	3485	1998-06-07	PRIJEM	VKLAD	20900	64700	\N	\N	\N
1020687	3485	1998-07-07	PRIJEM	VKLAD	13933	54570	\N	\N	\N
1020688	3485	1998-08-07	PRIJEM	VKLAD	13933	57853	\N	\N	\N
1020689	3485	1998-09-07	PRIJEM	VKLAD	13933	57933	\N	\N	\N
1020690	3485	1998-10-07	PRIJEM	VKLAD	13933	56401	\N	\N	\N
1020691	3485	1998-11-07	PRIJEM	VKLAD	13933	44262	\N	\N	\N
1020692	3485	1998-12-07	PRIJEM	VKLAD	20900	51180	\N	\N	\N
1020703	3485	1996-11-10	VYDAJ	PREVOD NA UCET	399	45157	SIPO	OP	78194117
1020704	3485	1996-12-10	VYDAJ	PREVOD NA UCET	399	46071	SIPO	OP	78194117
1020705	3485	1997-01-10	VYDAJ	PREVOD NA UCET	399	47429	SIPO	OP	78194117
1020706	3485	1997-02-10	VYDAJ	PREVOD NA UCET	399	42082	SIPO	OP	78194117
1020707	3485	1997-03-10	VYDAJ	PREVOD NA UCET	399	44732	SIPO	OP	78194117
1020708	3485	1997-04-10	VYDAJ	PREVOD NA UCET	399	48496	SIPO	OP	78194117
1020709	3485	1997-05-10	VYDAJ	PREVOD NA UCET	399	44862	SIPO	OP	78194117
1020710	3485	1997-06-10	VYDAJ	PREVOD NA UCET	399	52283	SIPO	OP	78194117
1020711	3485	1997-07-10	VYDAJ	PREVOD NA UCET	399	22931	SIPO	OP	78194117
1020712	3485	1997-08-10	VYDAJ	PREVOD NA UCET	399	37034	SIPO	OP	78194117
1020713	3485	1997-09-10	VYDAJ	PREVOD NA UCET	399	41463	SIPO	OP	78194117
1020714	3485	1997-10-10	VYDAJ	PREVOD NA UCET	399	41501	SIPO	OP	78194117
1020715	3485	1997-11-10	VYDAJ	PREVOD NA UCET	399	42840	SIPO	OP	78194117
1020716	3485	1997-12-10	VYDAJ	PREVOD NA UCET	399	50251	SIPO	OP	78194117
1020717	3485	1998-01-10	VYDAJ	PREVOD NA UCET	399	37206	SIPO	OP	78194117
1020718	3485	1998-02-10	VYDAJ	PREVOD NA UCET	399	37358	SIPO	OP	78194117
1020719	3485	1998-03-10	VYDAJ	PREVOD NA UCET	399	45606	SIPO	OP	78194117
1020720	3485	1998-04-10	VYDAJ	PREVOD NA UCET	399	42462	SIPO	OP	78194117
1020721	3485	1998-05-10	VYDAJ	PREVOD NA UCET	399	43630	SIPO	OP	78194117
1020722	3485	1998-06-10	VYDAJ	PREVOD NA UCET	399	51173	SIPO	OP	78194117
1020723	3485	1998-07-10	VYDAJ	PREVOD NA UCET	399	49043	SIPO	OP	78194117
1020724	3485	1998-08-10	VYDAJ	PREVOD NA UCET	399	48126	SIPO	OP	78194117
1020725	3485	1998-09-10	VYDAJ	PREVOD NA UCET	399	42306	SIPO	OP	78194117
1020726	3485	1998-10-10	VYDAJ	PREVOD NA UCET	399	38274	SIPO	OP	78194117
1020727	3485	1998-11-10	VYDAJ	PREVOD NA UCET	399	38435	SIPO	OP	78194117
1020728	3485	1998-12-10	VYDAJ	PREVOD NA UCET	399	45353	SIPO	OP	78194117
1020739	3485	1996-11-07	VYDAJ	PREVOD NA UCET	5428	45556	 	GH	6110102
1020740	3485	1996-12-07	VYDAJ	PREVOD NA UCET	5428	48170	 	GH	6110102
1020741	3485	1997-01-07	VYDAJ	PREVOD NA UCET	5428	47828	 	GH	6110102
1020742	3485	1997-02-07	VYDAJ	PREVOD NA UCET	5428	42481	 	GH	6110102
1020743	3485	1997-03-07	VYDAJ	PREVOD NA UCET	5428	45131	 	GH	6110102
1020744	3485	1997-04-07	VYDAJ	PREVOD NA UCET	5428	48895	 	GH	6110102
1020745	3485	1997-05-07	VYDAJ	PREVOD NA UCET	5428	45261	 	GH	6110102
1020746	3485	1997-06-07	VYDAJ	PREVOD NA UCET	5428	52682	 	GH	6110102
1020747	3485	1997-07-07	VYDAJ	PREVOD NA UCET	5428	27830	 	GH	6110102
1020748	3485	1997-08-07	VYDAJ	PREVOD NA UCET	5428	37433	 	GH	6110102
1020749	3485	1997-09-07	VYDAJ	PREVOD NA UCET	5428	41862	 	GH	6110102
1020750	3485	1997-10-07	VYDAJ	PREVOD NA UCET	5428	41900	 	GH	6110102
1020751	3485	1997-11-07	VYDAJ	PREVOD NA UCET	5428	43239	 	GH	6110102
1020752	3485	1997-12-07	VYDAJ	PREVOD NA UCET	5428	50650	 	GH	6110102
1020753	3485	1998-01-07	VYDAJ	PREVOD NA UCET	5428	41905	 	GH	6110102
1020754	3485	1998-02-07	VYDAJ	PREVOD NA UCET	5428	44157	 	GH	6110102
1020755	3485	1998-03-07	VYDAJ	PREVOD NA UCET	5428	46005	 	GH	6110102
1020756	3485	1998-04-07	VYDAJ	PREVOD NA UCET	5428	46861	 	GH	6110102
1020757	3485	1998-05-07	VYDAJ	PREVOD NA UCET	5428	51129	 	GH	6110102
1020758	3485	1998-06-07	VYDAJ	PREVOD NA UCET	5428	59272	 	GH	6110102
1020759	3485	1998-07-07	VYDAJ	PREVOD NA UCET	5428	49142	 	GH	6110102
1020760	3485	1998-08-07	VYDAJ	PREVOD NA UCET	5428	52425	 	GH	6110102
1020761	3485	1998-09-07	VYDAJ	PREVOD NA UCET	5428	52505	 	GH	6110102
1020762	3485	1998-10-07	VYDAJ	PREVOD NA UCET	5428	50973	 	GH	6110102
1020763	3485	1998-11-07	VYDAJ	PREVOD NA UCET	5428	38834	 	GH	6110102
1020764	3485	1998-12-07	VYDAJ	PREVOD NA UCET	5428	45752	 	GH	6110102
1020766	3485	1997-06-24	VYDAJ	VYBER	19700	19183	\N	\N	\N
1020767	3485	1998-06-11	VYDAJ	VYBER	10700	40473	\N	\N	\N
1020768	3485	1996-12-10	VYDAJ	VYBER	1700	46470	\N	\N	\N
1020769	3485	1997-12-28	VYDAJ	VYBER	1300	37451	\N	\N	\N
1020770	3485	1998-12-22	VYDAJ	VYBER KARTOU	1500	43853	\N	\N	0
1020773	3485	1996-12-13	VYDAJ	VYBER	700	45371	\N	\N	\N
1020776	3485	1997-04-23	VYDAJ	VYBER	2300	37296	\N	\N	\N
1020777	3485	1997-01-12	VYDAJ	VYBER	3300	44129	\N	\N	\N
1020778	3485	1997-07-07	VYDAJ	VYBER	4500	23330	\N	\N	\N
1020779	3485	1997-04-27	VYDAJ	VYBER	700	36596	\N	\N	\N
1020780	3485	1997-01-19	VYDAJ	VYBER	800	33829	\N	\N	\N
1020781	3485	1998-12-02	VYDAJ	VYBER	4900	33680	\N	\N	\N
1020782	3485	1998-01-02	VYDAJ	VYBER	4200	33400	\N	\N	\N
1020783	3485	1998-08-03	VYDAJ	VYBER	2200	43920	\N	\N	\N
1020784	3485	1998-08-14	VYDAJ	VYBER	4300	43826	\N	\N	\N
1020785	3485	1998-01-31	VYDAJ	VYBER	1700	35652	\N	\N	\N
1020786	3485	1998-07-19	VYDAJ	VYBER	3100	45943	\N	\N	\N
1020787	3485	1998-09-07	VYDAJ	VYBER	3200	42705	\N	\N	\N
1020799	3485	1996-11-30	VYDAJ	VYBER	15	32698	SLUZBY	\N	\N
1020800	3485	1996-12-31	VYDAJ	VYBER	15	39323	SLUZBY	\N	\N
1020801	3485	1997-01-31	VYDAJ	VYBER	15	33976	SLUZBY	\N	\N
1020802	3485	1997-02-28	VYDAJ	VYBER	15	36626	SLUZBY	\N	\N
1020803	3485	1997-03-31	VYDAJ	VYBER	15	40390	SLUZBY	\N	\N
1020804	3485	1997-04-30	VYDAJ	VYBER	15	36756	SLUZBY	\N	\N
1020805	3485	1997-05-31	VYDAJ	VYBER	15	37210	SLUZBY	\N	\N
1020806	3485	1997-06-30	VYDAJ	VYBER	15	19325	SLUZBY	\N	\N
1020807	3485	1997-07-31	VYDAJ	VYBER	15	28928	SLUZBY	\N	\N
1020808	3485	1997-08-31	VYDAJ	VYBER	15	33357	SLUZBY	\N	\N
1020809	3485	1997-09-30	VYDAJ	VYBER	15	33395	SLUZBY	\N	\N
1020810	3485	1997-10-31	VYDAJ	VYBER	15	34734	SLUZBY	\N	\N
1020811	3485	1997-11-30	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
1020812	3485	1997-12-31	VYDAJ	VYBER	15	37600	SLUZBY	\N	\N
1020813	3485	1998-01-31	VYDAJ	VYBER	15	37352	SLUZBY	\N	\N
1020814	3485	1998-02-28	VYDAJ	VYBER	15	37500	SLUZBY	\N	\N
1020815	3485	1998-03-31	VYDAJ	VYBER	15	38356	SLUZBY	\N	\N
1020816	3485	1998-04-30	VYDAJ	VYBER	15	42624	SLUZBY	\N	\N
1020817	3485	1998-05-31	VYDAJ	VYBER	15	43800	SLUZBY	\N	\N
1020818	3485	1998-06-30	VYDAJ	VYBER	15	40637	SLUZBY	\N	\N
1020819	3485	1998-07-31	VYDAJ	VYBER	15	46120	SLUZBY	\N	\N
1020820	3485	1998-08-31	VYDAJ	VYBER	15	44000	SLUZBY	\N	\N
1020821	3485	1998-09-30	VYDAJ	VYBER	15	42468	SLUZBY	\N	\N
1020822	3485	1998-10-31	VYDAJ	VYBER	15	38429	SLUZBY	\N	\N
1020823	3485	1998-11-30	VYDAJ	VYBER	15	38580	SLUZBY	\N	\N
1020824	3485	1996-07-19	PRIJEM	VKLAD	6900	21733	\N	\N	\N
1020825	3485	1996-08-18	VYDAJ	VYBER	7400	28304	\N	\N	\N
1020826	3485	1996-09-17	VYDAJ	VYBER	7900	34440	\N	\N	\N
1020827	3485	1996-10-17	VYDAJ	VYBER	11600	36903	\N	\N	\N
1020828	3485	1996-11-16	VYDAJ	VYBER	12600	32557	\N	\N	\N
1020829	3485	1996-12-16	VYDAJ	VYBER	6200	39171	\N	\N	\N
1020830	3485	1997-01-15	VYDAJ	VYBER	9500	34629	\N	\N	\N
1020831	3485	1997-02-14	VYDAJ	VYBER	5600	36482	\N	\N	\N
1020832	3485	1997-03-16	VYDAJ	VYBER	4500	40232	\N	\N	\N
1020833	3485	1997-04-15	VYDAJ	VYBER	8900	39596	\N	\N	\N
1020834	3485	1997-05-15	VYDAJ	VYBER	7800	37062	\N	\N	\N
1020835	3485	1997-06-14	VYDAJ	VYBER	13400	38883	\N	\N	\N
1020836	3485	1997-07-14	PRIJEM	VKLAD	5900	28831	\N	\N	\N
1020837	3485	1997-08-13	VYDAJ	VYBER	3800	33234	\N	\N	\N
1020838	3485	1997-09-12	VYDAJ	VYBER	8200	33263	\N	\N	\N
1020839	3485	1997-10-12	VYDAJ	VYBER	6900	34601	\N	\N	\N
1020840	3485	1997-11-11	VYDAJ	VYBER	7800	35040	\N	\N	\N
1020841	3485	1997-12-11	VYDAJ	VYBER	11500	38751	\N	\N	\N
1020842	3485	1998-01-10	VYDAJ	VYBER	4300	37605	\N	\N	\N
1020843	3485	1998-02-09	VYDAJ	VYBER	6400	37757	\N	\N	\N
1020844	3485	1998-03-11	VYDAJ	VYBER	7400	38206	\N	\N	\N
1020845	3485	1998-04-10	VYDAJ	VYBER	4000	42861	\N	\N	\N
1020846	3485	1998-05-10	VYDAJ	VYBER	7100	44029	\N	\N	\N
1020847	3485	1998-06-09	VYDAJ	VYBER	7700	51572	\N	\N	\N
1020848	3485	1998-07-09	PRIJEM	VKLAD	300	49442	\N	\N	\N
1020849	3485	1998-08-08	VYDAJ	VYBER	3900	48525	\N	\N	\N
1020850	3485	1998-09-07	VYDAJ	VYBER	6600	45905	\N	\N	\N
1020851	3485	1998-10-07	VYDAJ	VYBER	12300	38673	\N	\N	\N
1020852	3485	1998-11-06	VYDAJ	VYBER	8100	30329	\N	\N	\N
1020853	3485	1998-12-06	VYDAJ	VYBER KARTOU	3400	30280	\N	\N	0
1020884	3486	1995-10-09	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1020894	3486	1995-10-13	PRIJEM	PREVOD Z UCTU	4264	5264	DUCHOD	KL	24160820
1020895	3486	1995-11-13	PRIJEM	PREVOD Z UCTU	4264	9541	DUCHOD	KL	24160820
1020896	3486	1995-12-13	PRIJEM	PREVOD Z UCTU	4264	13827	DUCHOD	KL	24160820
1020897	3486	1996-01-13	PRIJEM	PREVOD Z UCTU	4264	18113	DUCHOD	KL	24160820
1020898	3486	1996-02-13	PRIJEM	PREVOD Z UCTU	4264	22399	DUCHOD	KL	24160820
1020899	3486	1996-03-13	PRIJEM	PREVOD Z UCTU	4264	21013	DUCHOD	KL	24160820
1020900	3486	1996-04-13	PRIJEM	PREVOD Z UCTU	4264	23254	DUCHOD	KL	24160820
1020901	3486	1996-05-13	PRIJEM	PREVOD Z UCTU	4264	25504	DUCHOD	KL	24160820
1020902	3486	1996-06-13	PRIJEM	PREVOD Z UCTU	4264	25843	DUCHOD	KL	24160820
1020903	3486	1996-07-13	PRIJEM	PREVOD Z UCTU	4264	26987	DUCHOD	KL	24160820
1020904	3486	1996-08-13	PRIJEM	PREVOD Z UCTU	4264	29255	DUCHOD	KL	24160820
1020905	3486	1996-09-13	PRIJEM	PREVOD Z UCTU	4264	31530	DUCHOD	KL	24160820
1020906	3486	1996-10-13	PRIJEM	PREVOD Z UCTU	4264	33814	DUCHOD	KL	24160820
1020907	3486	1996-11-13	PRIJEM	PREVOD Z UCTU	4264	36107	DUCHOD	KL	24160820
1020908	3486	1996-12-13	PRIJEM	PREVOD Z UCTU	4264	32060	DUCHOD	KL	24160820
1020909	3486	1997-01-13	PRIJEM	PREVOD Z UCTU	4264	28089	DUCHOD	KL	24160820
1020910	3486	1997-02-13	PRIJEM	PREVOD Z UCTU	4264	26438	DUCHOD	KL	24160820
1020911	3486	1997-03-13	PRIJEM	PREVOD Z UCTU	4264	26620	DUCHOD	KL	24160820
1020912	3486	1997-04-13	PRIJEM	PREVOD Z UCTU	4264	28883	DUCHOD	KL	24160820
1020913	3486	1997-05-13	PRIJEM	PREVOD Z UCTU	4264	31156	DUCHOD	KL	24160820
1020914	3486	1997-06-13	PRIJEM	PREVOD Z UCTU	4264	33439	DUCHOD	KL	24160820
1020915	3486	1997-07-13	PRIJEM	PREVOD Z UCTU	4264	31291	DUCHOD	KL	24160820
1020916	3486	1997-08-13	PRIJEM	PREVOD Z UCTU	4264	33579	DUCHOD	KL	24160820
1020917	3486	1997-09-13	PRIJEM	PREVOD Z UCTU	4264	35311	DUCHOD	KL	24160820
1020918	3486	1997-10-13	PRIJEM	PREVOD Z UCTU	4264	37610	DUCHOD	KL	24160820
1020919	3486	1997-11-13	PRIJEM	PREVOD Z UCTU	4264	39920	DUCHOD	KL	24160820
1020920	3486	1997-12-13	PRIJEM	PREVOD Z UCTU	4264	40838	DUCHOD	KL	24160820
1020921	3486	1998-01-13	PRIJEM	PREVOD Z UCTU	4264	36279	DUCHOD	KL	24160820
1020922	3486	1998-02-13	PRIJEM	PREVOD Z UCTU	4264	36103	DUCHOD	KL	24160820
1020923	3486	1998-03-13	PRIJEM	PREVOD Z UCTU	4264	38405	DUCHOD	KL	24160820
1020924	3486	1998-04-13	PRIJEM	PREVOD Z UCTU	4264	40717	DUCHOD	KL	24160820
1020925	3486	1998-05-13	PRIJEM	PREVOD Z UCTU	4264	40958	DUCHOD	KL	24160820
1020926	3486	1998-06-13	PRIJEM	PREVOD Z UCTU	4264	43281	DUCHOD	KL	24160820
1020927	3486	1998-07-13	PRIJEM	PREVOD Z UCTU	4264	45614	DUCHOD	KL	24160820
1020928	3486	1998-08-13	PRIJEM	PREVOD Z UCTU	4264	44032	DUCHOD	KL	24160820
1020929	3486	1998-09-13	PRIJEM	PREVOD Z UCTU	4264	46368	DUCHOD	KL	24160820
1020930	3486	1998-10-13	PRIJEM	PREVOD Z UCTU	4264	48713	DUCHOD	KL	24160820
1020931	3486	1998-11-13	PRIJEM	PREVOD Z UCTU	4264	51068	DUCHOD	KL	24160820
1020932	3486	1998-12-13	PRIJEM	PREVOD Z UCTU	4264	48869	DUCHOD	KL	24160820
1020946	3486	1996-02-14	VYDAJ	PREVOD NA UCET	2084	20315	SIPO	EF	56069827
1020947	3486	1996-03-14	VYDAJ	PREVOD NA UCET	2084	18929	SIPO	EF	56069827
1020948	3486	1996-04-14	VYDAJ	PREVOD NA UCET	2084	21170	SIPO	EF	56069827
1020949	3486	1996-05-14	VYDAJ	PREVOD NA UCET	2084	23420	SIPO	EF	56069827
1020950	3486	1996-06-14	VYDAJ	PREVOD NA UCET	2084	23759	SIPO	EF	56069827
1020951	3486	1996-07-14	VYDAJ	PREVOD NA UCET	2084	24903	SIPO	EF	56069827
1020952	3486	1996-08-14	VYDAJ	PREVOD NA UCET	2084	27171	SIPO	EF	56069827
1020953	3486	1996-09-14	VYDAJ	PREVOD NA UCET	2084	29446	SIPO	EF	56069827
1020954	3486	1996-10-14	VYDAJ	PREVOD NA UCET	2084	31730	SIPO	EF	56069827
1020955	3486	1996-11-14	VYDAJ	PREVOD NA UCET	2084	34023	SIPO	EF	56069827
1020956	3486	1996-12-14	VYDAJ	PREVOD NA UCET	2084	29976	SIPO	EF	56069827
1020957	3486	1997-01-14	VYDAJ	PREVOD NA UCET	2084	25285	SIPO	EF	56069827
1020958	3486	1997-02-14	VYDAJ	PREVOD NA UCET	2084	22274	SIPO	EF	56069827
1020959	3486	1997-03-14	VYDAJ	PREVOD NA UCET	2084	24536	SIPO	EF	56069827
1020960	3486	1997-04-14	VYDAJ	PREVOD NA UCET	2084	26799	SIPO	EF	56069827
1020961	3486	1997-05-14	VYDAJ	PREVOD NA UCET	2084	29072	SIPO	EF	56069827
1020962	3486	1997-06-14	VYDAJ	PREVOD NA UCET	2084	31355	SIPO	EF	56069827
1020963	3486	1997-07-14	VYDAJ	PREVOD NA UCET	2084	29207	SIPO	EF	56069827
1020964	3486	1997-08-14	VYDAJ	PREVOD NA UCET	2084	31495	SIPO	EF	56069827
1020965	3486	1997-09-14	VYDAJ	PREVOD NA UCET	2084	33227	SIPO	EF	56069827
1020966	3486	1997-10-14	VYDAJ	PREVOD NA UCET	2084	35526	SIPO	EF	56069827
1020967	3486	1997-11-14	VYDAJ	PREVOD NA UCET	2084	37836	SIPO	EF	56069827
1020968	3486	1997-12-14	VYDAJ	PREVOD NA UCET	2084	38754	SIPO	EF	56069827
1020969	3486	1998-01-14	VYDAJ	PREVOD NA UCET	2084	34195	SIPO	EF	56069827
1020970	3486	1998-02-14	VYDAJ	PREVOD NA UCET	2084	34019	SIPO	EF	56069827
1020971	3486	1998-03-14	VYDAJ	PREVOD NA UCET	2084	36321	SIPO	EF	56069827
1020972	3486	1998-04-14	VYDAJ	PREVOD NA UCET	2084	38633	SIPO	EF	56069827
1020973	3486	1998-05-14	VYDAJ	PREVOD NA UCET	2084	38874	SIPO	EF	56069827
1020974	3486	1998-06-14	VYDAJ	PREVOD NA UCET	2084	41197	SIPO	EF	56069827
1020975	3486	1998-07-14	VYDAJ	PREVOD NA UCET	2084	43530	SIPO	EF	56069827
1020976	3486	1998-08-14	VYDAJ	PREVOD NA UCET	2084	41948	SIPO	EF	56069827
1020977	3486	1998-09-14	VYDAJ	PREVOD NA UCET	2084	44284	SIPO	EF	56069827
1020978	3486	1998-10-14	VYDAJ	PREVOD NA UCET	2084	46629	SIPO	EF	56069827
1020979	3486	1998-11-14	VYDAJ	PREVOD NA UCET	2084	48984	SIPO	EF	56069827
1020980	3486	1998-12-14	VYDAJ	PREVOD NA UCET	2084	46785	SIPO	EF	56069827
1020982	3486	1996-12-06	VYDAJ	VYBER	550	27796	\N	\N	\N
1020983	3486	1997-12-05	VYDAJ	VYBER	300	36574	\N	\N	\N
1020984	3486	1998-12-20	VYDAJ	VYBER	1100	45685	\N	\N	\N
1020997	3486	1997-01-13	VYDAJ	VYBER	720	27369	\N	\N	\N
1020998	3486	1997-01-07	VYDAJ	VYBER	1840	23825	\N	\N	\N
1020999	3486	1997-01-21	VYDAJ	VYBER	880	24405	\N	\N	\N
1021000	3486	1997-01-22	VYDAJ	VYBER	400	24005	\N	\N	\N
1021001	3486	1997-01-02	VYDAJ	VYBER	720	28865	\N	\N	\N
1021002	3486	1997-01-29	VYDAJ	VYBER	1920	22085	\N	\N	\N
1021003	3486	1998-01-05	VYDAJ	VYBER	720	34975	\N	\N	\N
1021004	3486	1998-01-20	VYDAJ	VYBER	1120	31715	\N	\N	\N
1021005	3486	1998-01-06	VYDAJ	VYBER	1680	33295	\N	\N	\N
1021006	3486	1998-01-12	VYDAJ	VYBER	880	32015	\N	\N	\N
1021007	3486	1998-01-19	VYDAJ	VYBER	1360	32835	\N	\N	\N
1021008	3486	1998-01-08	VYDAJ	VYBER	400	32895	\N	\N	\N
1021016	3486	1996-02-15	VYDAJ	VYBER	3600	16715	\N	\N	\N
1021017	3486	1996-11-30	VYDAJ	VYBER	3600	30546	\N	\N	\N
1021018	3486	1996-07-12	VYDAJ	VYBER	1120	22723	\N	\N	\N
1021019	3486	1996-06-10	VYDAJ	VYBER	1920	21579	\N	\N	\N
1021020	3486	1997-07-04	VYDAJ	VYBER	3040	27027	\N	\N	\N
1021021	3486	1997-01-03	VYDAJ	VYBER	3200	25665	\N	\N	\N
1021022	3486	1997-02-14	VYDAJ	VYBER	2080	24358	\N	\N	\N
1021023	3486	1997-08-21	VYDAJ	VYBER	560	30935	\N	\N	\N
1021024	3486	1998-04-28	VYDAJ	VYBER	2080	36553	\N	\N	\N
1021025	3486	1998-07-25	VYDAJ	VYBER	3920	39610	\N	\N	\N
1021026	3486	1998-11-15	VYDAJ	VYBER	1520	47464	\N	\N	\N
1021027	3486	1998-12-04	VYDAJ	VYBER	3040	44605	\N	\N	\N
1021042	3486	1996-02-29	VYDAJ	VYBER	15	16749	SLUZBY	\N	\N
1021043	3486	1996-03-31	VYDAJ	VYBER	15	18990	SLUZBY	\N	\N
1021044	3486	1996-04-30	VYDAJ	VYBER	15	21240	SLUZBY	\N	\N
1021045	3486	1996-05-31	VYDAJ	VYBER	15	23499	SLUZBY	\N	\N
1021046	3486	1996-06-30	VYDAJ	VYBER	15	23843	SLUZBY	\N	\N
1021047	3486	1996-07-31	VYDAJ	VYBER	15	24991	SLUZBY	\N	\N
1021048	3486	1996-08-31	VYDAJ	VYBER	15	27266	SLUZBY	\N	\N
1021049	3486	1996-09-30	VYDAJ	VYBER	15	29550	SLUZBY	\N	\N
1021050	3486	1996-10-31	VYDAJ	VYBER	15	31843	SLUZBY	\N	\N
1021051	3486	1996-11-30	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
1021052	3486	1996-12-31	VYDAJ	VYBER	15	30085	SLUZBY	\N	\N
1021053	3486	1997-01-31	VYDAJ	VYBER	15	22174	SLUZBY	\N	\N
1021054	3486	1997-02-28	VYDAJ	VYBER	15	22356	SLUZBY	\N	\N
1021055	3486	1997-03-31	VYDAJ	VYBER	15	24619	SLUZBY	\N	\N
1021056	3486	1997-04-30	VYDAJ	VYBER	15	26892	SLUZBY	\N	\N
1021057	3486	1997-05-31	VYDAJ	VYBER	15	29175	SLUZBY	\N	\N
1021058	3486	1997-06-30	VYDAJ	VYBER	15	30067	SLUZBY	\N	\N
1021059	3486	1997-07-31	VYDAJ	VYBER	15	29315	SLUZBY	\N	\N
1021060	3486	1997-08-31	VYDAJ	VYBER	15	31047	SLUZBY	\N	\N
1021061	3486	1997-09-30	VYDAJ	VYBER	15	33346	SLUZBY	\N	\N
1021062	3486	1997-10-31	VYDAJ	VYBER	15	35656	SLUZBY	\N	\N
1021063	3486	1997-11-30	VYDAJ	VYBER	15	36874	SLUZBY	\N	\N
1021064	3486	1997-12-31	VYDAJ	VYBER	15	35695	SLUZBY	\N	\N
1021065	3486	1998-01-31	VYDAJ	VYBER	15	31839	SLUZBY	\N	\N
1021066	3486	1998-02-28	VYDAJ	VYBER	15	34141	SLUZBY	\N	\N
1021067	3486	1998-03-31	VYDAJ	VYBER	15	36453	SLUZBY	\N	\N
1021068	3486	1998-04-30	VYDAJ	VYBER	15	36694	SLUZBY	\N	\N
1021069	3486	1998-05-31	VYDAJ	VYBER	15	39017	SLUZBY	\N	\N
1021070	3486	1998-06-30	VYDAJ	VYBER	15	41350	SLUZBY	\N	\N
1021071	3486	1998-07-31	VYDAJ	VYBER	15	39768	SLUZBY	\N	\N
1021072	3486	1998-08-31	VYDAJ	VYBER	15	42104	SLUZBY	\N	\N
1021073	3486	1998-09-30	VYDAJ	VYBER	15	44449	SLUZBY	\N	\N
1021074	3486	1998-10-31	VYDAJ	VYBER	15	46804	SLUZBY	\N	\N
1021075	3486	1998-11-30	VYDAJ	VYBER	15	47645	SLUZBY	\N	\N
1021076	3486	1996-12-02	VYDAJ	VYBER	2200	28346	\N	\N	\N
1021077	3486	1997-01-01	VYDAJ	VYBER	500	29585	\N	\N	\N
1021078	3486	1997-06-30	VYDAJ	VYBER	1400	30081	\N	\N	\N
1021079	3486	1997-11-27	VYDAJ	VYBER	1100	36736	\N	\N	\N
1021080	3486	1997-12-27	VYDAJ	VYBER	3200	35554	\N	\N	\N
1021120	3487	1993-01-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1021121	3487	1993-01-13	PRIJEM	VKLAD	15914	16714	\N	\N	\N
1021122	3487	1993-02-13	PRIJEM	VKLAD	15914	34471	\N	\N	\N
1021123	3487	1993-03-13	PRIJEM	VKLAD	15914	46697	\N	\N	\N
1021124	3487	1993-04-13	PRIJEM	VKLAD	15914	53185	\N	\N	\N
1021125	3487	1993-05-13	PRIJEM	VKLAD	15914	55110	\N	\N	\N
1021126	3487	1993-06-13	PRIJEM	VKLAD	23871	42678	\N	\N	\N
1021127	3487	1993-07-13	PRIJEM	VKLAD	15914	38462	\N	\N	\N
1021128	3487	1993-08-13	PRIJEM	VKLAD	15914	37840	\N	\N	\N
1021129	3487	1993-09-13	PRIJEM	VKLAD	15914	39412	\N	\N	\N
1021130	3487	1993-10-13	PRIJEM	VKLAD	15914	34955	\N	\N	\N
1021131	3487	1993-11-13	PRIJEM	VKLAD	15914	39614	\N	\N	\N
1021132	3487	1993-12-13	PRIJEM	VKLAD	23871	44647	\N	\N	\N
1021133	3487	1994-01-13	PRIJEM	VKLAD	15914	41635	\N	\N	\N
1021134	3487	1994-02-13	PRIJEM	VKLAD	15914	39277	\N	\N	\N
1021135	3487	1994-03-13	PRIJEM	VKLAD	15914	40154	\N	\N	\N
1021136	3487	1994-04-13	PRIJEM	VKLAD	15914	37822	\N	\N	\N
1021137	3487	1994-05-13	PRIJEM	VKLAD	15914	36234	\N	\N	\N
1021138	3487	1994-06-13	PRIJEM	VKLAD	23871	49458	\N	\N	\N
1021139	3487	1994-07-13	PRIJEM	VKLAD	15914	38861	\N	\N	\N
1021140	3487	1994-08-13	PRIJEM	VKLAD	15914	39500	\N	\N	\N
1021141	3487	1994-09-13	PRIJEM	VKLAD	15914	41183	\N	\N	\N
1021142	3487	1994-10-13	PRIJEM	VKLAD	15914	36908	\N	\N	\N
1021143	3487	1994-11-13	PRIJEM	VKLAD	15914	35402	\N	\N	\N
1021144	3487	1994-12-13	PRIJEM	VKLAD	23871	46576	\N	\N	\N
1021145	3487	1995-01-13	PRIJEM	VKLAD	15914	46769	\N	\N	\N
1021146	3487	1995-02-13	PRIJEM	VKLAD	15914	38549	\N	\N	\N
1021147	3487	1995-03-13	PRIJEM	VKLAD	15914	39913	\N	\N	\N
1021148	3487	1995-04-13	PRIJEM	VKLAD	15914	45427	\N	\N	\N
1021149	3487	1995-05-13	PRIJEM	VKLAD	15914	46724	\N	\N	\N
1021150	3487	1995-06-13	PRIJEM	VKLAD	23871	58684	\N	\N	\N
1021151	3487	1995-07-13	PRIJEM	VKLAD	15914	43127	\N	\N	\N
1021152	3487	1995-08-13	PRIJEM	VKLAD	15914	46453	\N	\N	\N
1021153	3487	1995-09-13	PRIJEM	VKLAD	15914	51854	\N	\N	\N
1021154	3487	1995-10-13	PRIJEM	VKLAD	15914	54776	\N	\N	\N
1021155	3487	1995-11-13	PRIJEM	VKLAD	15914	55907	\N	\N	\N
1021156	3487	1995-12-13	PRIJEM	VKLAD	23871	64839	\N	\N	\N
1021157	3487	1996-01-13	PRIJEM	VKLAD	15914	52773	\N	\N	\N
1021158	3487	1996-02-13	PRIJEM	VKLAD	15914	59712	\N	\N	\N
1021159	3487	1996-03-13	PRIJEM	VKLAD	15914	59982	\N	\N	\N
1021160	3487	1996-04-13	PRIJEM	VKLAD	15914	53624	\N	\N	\N
1021161	3487	1996-05-13	PRIJEM	VKLAD	15914	56150	\N	\N	\N
1021162	3487	1996-06-13	PRIJEM	VKLAD	23871	66644	\N	\N	\N
1021163	3487	1996-07-13	PRIJEM	VKLAD	15914	55977	\N	\N	\N
1021164	3487	1996-08-13	PRIJEM	VKLAD	15914	61716	\N	\N	\N
1021165	3487	1996-09-13	PRIJEM	VKLAD	15914	65777	\N	\N	\N
1021166	3487	1996-10-13	PRIJEM	VKLAD	15914	63924	\N	\N	\N
1021167	3487	1996-11-13	PRIJEM	VKLAD	15914	65889	\N	\N	\N
1021168	3487	1996-12-13	PRIJEM	VKLAD	23871	69970	\N	\N	\N
1021169	3487	1997-01-13	PRIJEM	VKLAD	15914	53753	\N	\N	\N
1021170	3487	1997-02-13	PRIJEM	VKLAD	15914	60394	\N	\N	\N
1021171	3487	1997-03-13	PRIJEM	VKLAD	15914	62742	\N	\N	\N
1021172	3487	1997-04-13	PRIJEM	VKLAD	15914	68307	\N	\N	\N
1021173	3487	1997-05-13	PRIJEM	VKLAD	15914	72391	\N	\N	\N
1021174	3487	1997-06-13	PRIJEM	VKLAD	23871	76083	\N	\N	\N
1021175	3487	1997-07-13	PRIJEM	VKLAD	15914	77088	\N	\N	\N
1021176	3487	1997-08-13	PRIJEM	VKLAD	15914	76698	\N	\N	\N
1021177	3487	1997-09-13	PRIJEM	VKLAD	15914	77108	\N	\N	\N
1021178	3487	1997-10-13	PRIJEM	VKLAD	15914	70008	\N	\N	\N
1021179	3487	1997-11-13	PRIJEM	VKLAD	15914	73095	\N	\N	\N
1021180	3487	1997-12-13	PRIJEM	VKLAD	23871	80141	\N	\N	\N
1021181	3487	1998-01-13	PRIJEM	VKLAD	15914	73959	\N	\N	\N
1021182	3487	1998-02-13	PRIJEM	VKLAD	15914	74372	\N	\N	\N
1021183	3487	1998-03-13	PRIJEM	VKLAD	15914	82295	\N	\N	\N
1021184	3487	1998-04-13	PRIJEM	VKLAD	15914	73042	\N	\N	\N
1021185	3487	1998-05-13	PRIJEM	VKLAD	15914	74188	\N	\N	\N
1021186	3487	1998-06-13	PRIJEM	VKLAD	23871	78363	\N	\N	\N
1021187	3487	1998-07-13	PRIJEM	VKLAD	15914	68211	\N	\N	\N
1021188	3487	1998-08-13	PRIJEM	VKLAD	15914	69998	\N	\N	\N
1021189	3487	1998-09-13	PRIJEM	VKLAD	15914	70882	\N	\N	\N
1021190	3487	1998-10-13	PRIJEM	VKLAD	15914	72187	\N	\N	\N
1021191	3487	1998-11-13	PRIJEM	VKLAD	15914	78099	\N	\N	\N
1021192	3487	1998-12-13	PRIJEM	VKLAD	23871	80389	\N	\N	\N
1021198	3487	1993-06-12	VYDAJ	PREVOD NA UCET	324	18807	SIPO	IJ	68540710
1021199	3487	1993-07-12	VYDAJ	PREVOD NA UCET	324	22548	SIPO	IJ	68540710
1021200	3487	1993-08-12	VYDAJ	PREVOD NA UCET	324	21926	SIPO	IJ	68540710
1021201	3487	1993-09-12	VYDAJ	PREVOD NA UCET	324	31449	SIPO	IJ	68540710
1021202	3487	1993-10-12	VYDAJ	PREVOD NA UCET	324	26992	SIPO	IJ	68540710
1021203	3487	1993-11-12	VYDAJ	PREVOD NA UCET	324	31651	SIPO	IJ	68540710
1021204	3487	1993-12-12	VYDAJ	PREVOD NA UCET	324	20776	SIPO	IJ	68540710
1021205	3487	1994-01-12	VYDAJ	PREVOD NA UCET	324	33672	SIPO	IJ	68540710
1021206	3487	1994-02-12	VYDAJ	PREVOD NA UCET	324	23363	SIPO	IJ	68540710
1021207	3487	1994-03-12	VYDAJ	PREVOD NA UCET	324	24240	SIPO	IJ	68540710
1021208	3487	1994-04-12	VYDAJ	PREVOD NA UCET	324	29859	SIPO	IJ	68540710
1021209	3487	1994-05-12	VYDAJ	PREVOD NA UCET	324	20320	SIPO	IJ	68540710
1021210	3487	1994-06-12	VYDAJ	PREVOD NA UCET	324	25587	SIPO	IJ	68540710
1021211	3487	1994-07-12	VYDAJ	PREVOD NA UCET	324	22947	SIPO	IJ	68540710
1021212	3487	1994-08-12	VYDAJ	PREVOD NA UCET	324	23586	SIPO	IJ	68540710
1021213	3487	1994-09-12	VYDAJ	PREVOD NA UCET	324	25269	SIPO	IJ	68540710
1021214	3487	1994-10-12	VYDAJ	PREVOD NA UCET	324	20994	SIPO	IJ	68540710
1021215	3487	1994-11-12	VYDAJ	PREVOD NA UCET	324	19488	SIPO	IJ	68540710
1021216	3487	1994-12-12	VYDAJ	PREVOD NA UCET	324	22705	SIPO	IJ	68540710
1021217	3487	1995-01-12	VYDAJ	PREVOD NA UCET	324	30855	SIPO	IJ	68540710
1021218	3487	1995-02-12	VYDAJ	PREVOD NA UCET	324	22635	SIPO	IJ	68540710
1021219	3487	1995-03-12	VYDAJ	PREVOD NA UCET	324	31950	SIPO	IJ	68540710
1021220	3487	1995-04-12	VYDAJ	PREVOD NA UCET	324	37464	SIPO	IJ	68540710
1021221	3487	1995-05-12	VYDAJ	PREVOD NA UCET	324	38761	SIPO	IJ	68540710
1021222	3487	1995-06-12	VYDAJ	PREVOD NA UCET	324	34813	SIPO	IJ	68540710
1021223	3487	1995-07-12	VYDAJ	PREVOD NA UCET	324	35164	SIPO	IJ	68540710
1021224	3487	1995-08-12	VYDAJ	PREVOD NA UCET	324	30539	SIPO	IJ	68540710
1021225	3487	1995-09-12	VYDAJ	PREVOD NA UCET	324	35940	SIPO	IJ	68540710
1021226	3487	1995-10-12	VYDAJ	PREVOD NA UCET	324	38862	SIPO	IJ	68540710
1021227	3487	1995-11-12	VYDAJ	PREVOD NA UCET	324	39993	SIPO	IJ	68540710
1021228	3487	1995-12-12	VYDAJ	PREVOD NA UCET	324	48919	SIPO	IJ	68540710
1021229	3487	1996-01-12	VYDAJ	PREVOD NA UCET	324	44810	SIPO	IJ	68540710
1021230	3487	1996-02-12	VYDAJ	PREVOD NA UCET	324	43798	SIPO	IJ	68540710
1021231	3487	1996-03-12	VYDAJ	PREVOD NA UCET	324	44068	SIPO	IJ	68540710
1021232	3487	1996-04-12	VYDAJ	PREVOD NA UCET	324	45661	SIPO	IJ	68540710
1021233	3487	1996-05-12	VYDAJ	PREVOD NA UCET	324	48187	SIPO	IJ	68540710
1021234	3487	1996-06-12	VYDAJ	PREVOD NA UCET	324	42773	SIPO	IJ	68540710
1021235	3487	1996-07-12	VYDAJ	PREVOD NA UCET	324	40063	SIPO	IJ	68540710
1021236	3487	1996-08-12	VYDAJ	PREVOD NA UCET	324	53753	SIPO	IJ	68540710
1021237	3487	1996-09-12	VYDAJ	PREVOD NA UCET	324	49863	SIPO	IJ	68540710
1021238	3487	1996-10-12	VYDAJ	PREVOD NA UCET	324	48010	SIPO	IJ	68540710
1021239	3487	1996-11-12	VYDAJ	PREVOD NA UCET	324	57926	SIPO	IJ	68540710
1021240	3487	1996-12-12	VYDAJ	PREVOD NA UCET	324	46099	SIPO	IJ	68540710
1021241	3487	1997-01-12	VYDAJ	PREVOD NA UCET	324	45790	SIPO	IJ	68540710
1021242	3487	1997-02-12	VYDAJ	PREVOD NA UCET	324	52431	SIPO	IJ	68540710
1021243	3487	1997-03-12	VYDAJ	PREVOD NA UCET	324	46828	SIPO	IJ	68540710
1021244	3487	1997-04-12	VYDAJ	PREVOD NA UCET	324	52393	SIPO	IJ	68540710
1021245	3487	1997-05-12	VYDAJ	PREVOD NA UCET	324	56477	SIPO	IJ	68540710
1021246	3487	1997-06-12	VYDAJ	PREVOD NA UCET	324	60163	SIPO	IJ	68540710
1021247	3487	1997-07-12	VYDAJ	PREVOD NA UCET	324	61174	SIPO	IJ	68540710
1021248	3487	1997-08-12	VYDAJ	PREVOD NA UCET	324	60784	SIPO	IJ	68540710
1021249	3487	1997-09-12	VYDAJ	PREVOD NA UCET	324	61194	SIPO	IJ	68540710
1021250	3487	1997-10-12	VYDAJ	PREVOD NA UCET	324	54094	SIPO	IJ	68540710
1021251	3487	1997-11-12	VYDAJ	PREVOD NA UCET	324	57181	SIPO	IJ	68540710
1021252	3487	1997-12-12	VYDAJ	PREVOD NA UCET	324	56270	SIPO	IJ	68540710
1021253	3487	1998-01-12	VYDAJ	PREVOD NA UCET	324	58045	SIPO	IJ	68540710
1021254	3487	1998-02-12	VYDAJ	PREVOD NA UCET	324	66409	SIPO	IJ	68540710
1021255	3487	1998-03-12	VYDAJ	PREVOD NA UCET	324	66381	SIPO	IJ	68540710
1021256	3487	1998-04-12	VYDAJ	PREVOD NA UCET	324	65079	SIPO	IJ	68540710
1021257	3487	1998-05-12	VYDAJ	PREVOD NA UCET	324	67825	SIPO	IJ	68540710
1021258	3487	1998-06-12	VYDAJ	PREVOD NA UCET	324	54492	SIPO	IJ	68540710
1021259	3487	1998-07-12	VYDAJ	PREVOD NA UCET	324	60248	SIPO	IJ	68540710
1021260	3487	1998-08-12	VYDAJ	PREVOD NA UCET	324	62035	SIPO	IJ	68540710
1021261	3487	1998-09-12	VYDAJ	PREVOD NA UCET	324	54968	SIPO	IJ	68540710
1021262	3487	1998-10-12	VYDAJ	PREVOD NA UCET	324	56273	SIPO	IJ	68540710
1021263	3487	1998-11-12	VYDAJ	PREVOD NA UCET	324	70136	SIPO	IJ	68540710
1021264	3487	1998-12-12	VYDAJ	PREVOD NA UCET	324	56518	SIPO	IJ	68540710
1021270	3487	1993-06-12	VYDAJ	PREVOD NA UCET	7951	19131	 	QR	94053124
1021271	3487	1993-07-12	VYDAJ	PREVOD NA UCET	7951	22872	 	QR	94053124
1021272	3487	1993-08-12	VYDAJ	PREVOD NA UCET	7951	22250	 	QR	94053124
1021273	3487	1993-09-12	VYDAJ	PREVOD NA UCET	7951	23498	 	QR	94053124
1021274	3487	1993-10-12	VYDAJ	PREVOD NA UCET	7951	19041	 	QR	94053124
1021275	3487	1993-11-12	VYDAJ	PREVOD NA UCET	7951	23700	 	QR	94053124
1021356	3487	1993-10-06	VYDAJ	VYBER	1200	27316	\N	\N	\N
1021276	3487	1993-12-12	VYDAJ	PREVOD NA UCET	7951	21100	 	QR	94053124
1021277	3487	1994-01-12	VYDAJ	PREVOD NA UCET	7951	25721	 	QR	94053124
1021278	3487	1994-02-12	VYDAJ	PREVOD NA UCET	7951	23687	 	QR	94053124
1021279	3487	1994-03-12	VYDAJ	PREVOD NA UCET	7951	24564	 	QR	94053124
1021280	3487	1994-04-12	VYDAJ	PREVOD NA UCET	7951	21908	 	QR	94053124
1021281	3487	1994-05-12	VYDAJ	PREVOD NA UCET	7951	20644	 	QR	94053124
1021282	3487	1994-06-12	VYDAJ	PREVOD NA UCET	7951	25911	 	QR	94053124
1021283	3487	1994-07-12	VYDAJ	PREVOD NA UCET	7951	23271	 	QR	94053124
1021284	3487	1994-08-12	VYDAJ	PREVOD NA UCET	7951	23910	 	QR	94053124
1021285	3487	1994-09-12	VYDAJ	PREVOD NA UCET	7951	25593	 	QR	94053124
1021286	3487	1994-10-12	VYDAJ	PREVOD NA UCET	7951	21318	 	QR	94053124
1021287	3487	1994-11-12	VYDAJ	PREVOD NA UCET	7951	19812	 	QR	94053124
1021288	3487	1994-12-12	VYDAJ	PREVOD NA UCET	7951	23029	 	QR	94053124
1021289	3487	1995-01-12	VYDAJ	PREVOD NA UCET	7951	31179	 	QR	94053124
1021290	3487	1995-02-12	VYDAJ	PREVOD NA UCET	7951	22959	 	QR	94053124
1021291	3487	1995-03-12	VYDAJ	PREVOD NA UCET	7951	23999	 	QR	94053124
1021292	3487	1995-04-12	VYDAJ	PREVOD NA UCET	7951	29513	 	QR	94053124
1021293	3487	1995-05-12	VYDAJ	PREVOD NA UCET	7951	30810	 	QR	94053124
1021294	3487	1995-06-12	VYDAJ	PREVOD NA UCET	7951	35137	 	QR	94053124
1021295	3487	1995-07-12	VYDAJ	PREVOD NA UCET	7951	27213	 	QR	94053124
1021296	3487	1995-08-12	VYDAJ	PREVOD NA UCET	7951	30863	 	QR	94053124
1021297	3487	1995-09-12	VYDAJ	PREVOD NA UCET	7951	36264	 	QR	94053124
1021298	3487	1995-10-12	VYDAJ	PREVOD NA UCET	7951	39186	 	QR	94053124
1021299	3487	1995-11-12	VYDAJ	PREVOD NA UCET	7951	40317	 	QR	94053124
1021300	3487	1995-12-12	VYDAJ	PREVOD NA UCET	7951	40968	 	QR	94053124
1021301	3487	1996-01-12	VYDAJ	PREVOD NA UCET	7951	36859	 	QR	94053124
1021302	3487	1996-02-12	VYDAJ	PREVOD NA UCET	7951	44122	 	QR	94053124
1021303	3487	1996-03-12	VYDAJ	PREVOD NA UCET	7951	44392	 	QR	94053124
1021304	3487	1996-04-12	VYDAJ	PREVOD NA UCET	7951	37710	 	QR	94053124
1021305	3487	1996-05-12	VYDAJ	PREVOD NA UCET	7951	40236	 	QR	94053124
1021306	3487	1996-06-12	VYDAJ	PREVOD NA UCET	7951	43097	 	QR	94053124
1021307	3487	1996-07-12	VYDAJ	PREVOD NA UCET	7951	40387	 	QR	94053124
1021308	3487	1996-08-12	VYDAJ	PREVOD NA UCET	7951	45802	 	QR	94053124
1021309	3487	1996-09-12	VYDAJ	PREVOD NA UCET	7951	50187	 	QR	94053124
1021310	3487	1996-10-12	VYDAJ	PREVOD NA UCET	7951	48334	 	QR	94053124
1021311	3487	1996-11-12	VYDAJ	PREVOD NA UCET	7951	49975	 	QR	94053124
1021312	3487	1996-12-12	VYDAJ	PREVOD NA UCET	7951	46423	 	QR	94053124
1021313	3487	1997-01-12	VYDAJ	PREVOD NA UCET	7951	37839	 	QR	94053124
1021314	3487	1997-02-12	VYDAJ	PREVOD NA UCET	7951	44480	 	QR	94053124
1021315	3487	1997-03-12	VYDAJ	PREVOD NA UCET	7951	47152	 	QR	94053124
1021316	3487	1997-04-12	VYDAJ	PREVOD NA UCET	7951	52717	 	QR	94053124
1021317	3487	1997-05-12	VYDAJ	PREVOD NA UCET	7951	56801	 	QR	94053124
1021318	3487	1997-06-12	VYDAJ	PREVOD NA UCET	7951	52212	 	QR	94053124
1021319	3487	1997-07-12	VYDAJ	PREVOD NA UCET	7951	61498	 	QR	94053124
1021320	3487	1997-08-12	VYDAJ	PREVOD NA UCET	7951	61108	 	QR	94053124
1021321	3487	1997-09-12	VYDAJ	PREVOD NA UCET	7951	61518	 	QR	94053124
1021322	3487	1997-10-12	VYDAJ	PREVOD NA UCET	7951	54418	 	QR	94053124
1021323	3487	1997-11-12	VYDAJ	PREVOD NA UCET	7951	57505	 	QR	94053124
1021324	3487	1997-12-12	VYDAJ	PREVOD NA UCET	7951	56594	 	QR	94053124
1021325	3487	1998-01-12	VYDAJ	PREVOD NA UCET	7951	58369	 	QR	94053124
1021326	3487	1998-02-12	VYDAJ	PREVOD NA UCET	7951	58458	 	QR	94053124
1021327	3487	1998-03-12	VYDAJ	PREVOD NA UCET	7951	66705	 	QR	94053124
1021328	3487	1998-04-12	VYDAJ	PREVOD NA UCET	7951	57128	 	QR	94053124
1021329	3487	1998-05-12	VYDAJ	PREVOD NA UCET	7951	58274	 	QR	94053124
1021330	3487	1998-06-12	VYDAJ	PREVOD NA UCET	7951	54816	 	QR	94053124
1021331	3487	1998-07-12	VYDAJ	PREVOD NA UCET	7951	52297	 	QR	94053124
1021332	3487	1998-08-12	VYDAJ	PREVOD NA UCET	7951	54084	 	QR	94053124
1021333	3487	1998-09-12	VYDAJ	PREVOD NA UCET	7951	55292	 	QR	94053124
1021334	3487	1998-10-12	VYDAJ	PREVOD NA UCET	7951	56597	 	QR	94053124
1021335	3487	1998-11-12	VYDAJ	PREVOD NA UCET	7951	62185	 	QR	94053124
1021336	3487	1998-12-12	VYDAJ	PREVOD NA UCET	7951	56842	 	QR	94053124
1021337	3487	1993-06-09	VYDAJ	VYBER	14240	27082	\N	\N	\N
1021338	3487	1994-06-18	VYDAJ	VYBER	13280	36178	\N	\N	\N
1021339	3487	1995-06-26	VYDAJ	VYBER	30880	27804	\N	\N	\N
1021340	3487	1996-06-16	VYDAJ	VYBER	19200	47444	\N	\N	\N
1021341	3487	1997-06-10	VYDAJ	VYBER	4960	60487	\N	\N	\N
1021342	3487	1998-06-22	VYDAJ	VYBER	20160	58203	\N	\N	\N
1021344	3487	1994-01-15	VYDAJ	VYBER	7840	33795	\N	\N	\N
1021345	3487	1995-01-20	VYDAJ	VYBER	15200	31569	\N	\N	\N
1021346	3487	1996-01-07	VYDAJ	VYBER	6720	45134	\N	\N	\N
1021347	3487	1997-01-08	VYDAJ	VYBER	8320	46114	\N	\N	\N
1021348	3487	1998-01-02	VYDAJ	VYBER	6880	61420	\N	\N	\N
1021349	3487	1993-12-07	VYDAJ	VYBER	1120	29051	\N	\N	\N
1021350	3487	1994-12-07	VYDAJ	VYBER	3040	30980	\N	\N	\N
1021351	3487	1995-12-14	VYDAJ	VYBER	960	63879	\N	\N	\N
1021352	3487	1996-12-21	VYDAJ	VYBER	4000	56370	\N	\N	\N
1021353	3487	1997-12-04	VYDAJ	VYBER	1120	64545	\N	\N	\N
1021354	3487	1998-12-09	VYDAJ	VYBER	3200	64793	\N	\N	\N
1021355	3487	1993-06-27	VYDAJ	VYBER	5400	37278	\N	\N	\N
1021357	3487	1993-07-07	VYDAJ	VYBER	1920	30823	\N	\N	\N
1021358	3487	1993-09-24	VYDAJ	VYBER	3240	30892	\N	\N	\N
1021360	3487	1993-09-16	VYDAJ	VYBER	5280	34132	\N	\N	\N
1021361	3487	1993-11-23	VYDAJ	VYBER	5280	34334	\N	\N	\N
1021362	3487	1993-08-16	VYDAJ	VYBER	4200	33640	\N	\N	\N
1021363	3487	1994-10-14	VYDAJ	VYBER	4560	32348	\N	\N	\N
1021364	3487	1994-04-04	VYDAJ	VYBER	5520	30183	\N	\N	\N
1021365	3487	1994-09-24	VYDAJ	VYBER	5880	35303	\N	\N	\N
1021366	3487	1994-07-26	VYDAJ	VYBER	1440	37421	\N	\N	\N
1021367	3487	1994-10-03	VYDAJ	VYBER	1680	29269	\N	\N	\N
1021368	3487	1994-04-29	VYDAJ	VYBER	1680	36142	\N	\N	\N
1021369	3487	1994-05-06	VYDAJ	VYBER	2280	28595	\N	\N	\N
1021370	3487	1995-12-28	VYDAJ	VYBER	5040	51639	\N	\N	\N
1021371	3487	1995-07-29	VYDAJ	VYBER	1800	38667	\N	\N	\N
1021372	3487	1995-07-24	VYDAJ	VYBER	5760	37367	\N	\N	\N
1021373	3487	1995-02-20	VYDAJ	VYBER	4200	34349	\N	\N	\N
1021374	3487	1995-03-23	VYDAJ	VYBER	3960	35953	\N	\N	\N
1021375	3487	1995-03-03	VYDAJ	VYBER	1200	32274	\N	\N	\N
1021376	3487	1995-11-23	VYDAJ	VYBER	1560	54347	\N	\N	\N
1021377	3487	1996-02-26	VYDAJ	VYBER	1680	52132	\N	\N	\N
1021378	3487	1996-03-24	VYDAJ	VYBER	5400	45782	\N	\N	\N
1021379	3487	1996-10-02	VYDAJ	VYBER	720	56285	\N	\N	\N
1021380	3487	1996-11-22	VYDAJ	VYBER	3240	54149	\N	\N	\N
1021381	3487	1997-09-28	VYDAJ	VYBER	4200	62108	\N	\N	\N
1021382	3487	1997-01-05	VYDAJ	VYBER	2160	54434	\N	\N	\N
1021383	3487	1998-02-11	VYDAJ	VYBER	1080	70633	\N	\N	\N
1021384	3487	1998-08-25	VYDAJ	VYBER	1920	68078	\N	\N	\N
1021385	3487	1998-10-06	VYDAJ	VYBER	4560	64548	\N	\N	\N
1021386	3487	1998-06-02	VYDAJ	VYBER	1320	73147	\N	\N	\N
1021387	3487	1998-06-11	VYDAJ	VYBER	2880	70267	\N	\N	\N
1021388	3487	1998-09-24	VYDAJ	VYBER	2040	68842	\N	\N	\N
1021389	3487	1998-04-15	VYDAJ	VYBER	5160	67882	\N	\N	\N
1021390	3487	1998-01-17	VYDAJ	VYBER	2520	71439	\N	\N	\N
1021396	3487	1993-05-31	VYDAJ	VYBER	15	55322	SLUZBY	\N	\N
1021397	3487	1993-06-30	VYDAJ	VYBER	15	37443	SLUZBY	\N	\N
1021398	3487	1993-07-31	VYDAJ	VYBER	15	38601	SLUZBY	\N	\N
1021399	3487	1993-08-31	VYDAJ	VYBER	15	33773	SLUZBY	\N	\N
1021400	3487	1993-09-30	VYDAJ	VYBER	15	31016	SLUZBY	\N	\N
1021401	3487	1993-10-31	VYDAJ	VYBER	15	35075	SLUZBY	\N	\N
1021402	3487	1993-11-30	VYDAJ	VYBER	15	34471	SLUZBY	\N	\N
1021403	3487	1993-12-31	VYDAJ	VYBER	15	44796	SLUZBY	\N	\N
1021404	3487	1994-01-31	VYDAJ	VYBER	15	33938	SLUZBY	\N	\N
1021405	3487	1994-02-28	VYDAJ	VYBER	15	39415	SLUZBY	\N	\N
1021406	3487	1994-03-31	VYDAJ	VYBER	15	40303	SLUZBY	\N	\N
1021407	3487	1994-04-30	VYDAJ	VYBER	15	36275	SLUZBY	\N	\N
1021408	3487	1994-05-31	VYDAJ	VYBER	15	36362	SLUZBY	\N	\N
1021409	3487	1994-06-30	VYDAJ	VYBER	15	36322	SLUZBY	\N	\N
1021410	3487	1994-07-31	VYDAJ	VYBER	15	37561	SLUZBY	\N	\N
1021411	3487	1994-08-31	VYDAJ	VYBER	15	39644	SLUZBY	\N	\N
1021412	3487	1994-09-30	VYDAJ	VYBER	15	30949	SLUZBY	\N	\N
1021413	3487	1994-10-31	VYDAJ	VYBER	15	27763	SLUZBY	\N	\N
1021414	3487	1994-11-30	VYDAJ	VYBER	15	34020	SLUZBY	\N	\N
1021415	3487	1994-12-31	VYDAJ	VYBER	15	39130	SLUZBY	\N	\N
1021416	3487	1995-01-31	VYDAJ	VYBER	15	30910	SLUZBY	\N	\N
1021417	3487	1995-02-28	VYDAJ	VYBER	15	33474	SLUZBY	\N	\N
1021418	3487	1995-03-31	VYDAJ	VYBER	15	37788	SLUZBY	\N	\N
1021419	3487	1995-04-30	VYDAJ	VYBER	15	39085	SLUZBY	\N	\N
1021420	3487	1995-05-31	VYDAJ	VYBER	15	43088	SLUZBY	\N	\N
1021421	3487	1995-06-30	VYDAJ	VYBER	15	35488	SLUZBY	\N	\N
1021422	3487	1995-07-31	VYDAJ	VYBER	15	38814	SLUZBY	\N	\N
1021423	3487	1995-08-31	VYDAJ	VYBER	15	44215	SLUZBY	\N	\N
1021424	3487	1995-09-30	VYDAJ	VYBER	15	47137	SLUZBY	\N	\N
1021425	3487	1995-10-31	VYDAJ	VYBER	15	48268	SLUZBY	\N	\N
1021426	3487	1995-11-30	VYDAJ	VYBER	15	49243	SLUZBY	\N	\N
1021427	3487	1995-12-31	VYDAJ	VYBER	15	51854	SLUZBY	\N	\N
1021428	3487	1996-01-31	VYDAJ	VYBER	15	52073	SLUZBY	\N	\N
1021429	3487	1996-02-29	VYDAJ	VYBER	15	52343	SLUZBY	\N	\N
1021430	3487	1996-03-31	VYDAJ	VYBER	15	45985	SLUZBY	\N	\N
1021431	3487	1996-04-30	VYDAJ	VYBER	15	48511	SLUZBY	\N	\N
1021432	3487	1996-05-31	VYDAJ	VYBER	15	51048	SLUZBY	\N	\N
1021433	3487	1996-06-30	VYDAJ	VYBER	15	48338	SLUZBY	\N	\N
1021434	3487	1996-07-31	VYDAJ	VYBER	15	54077	SLUZBY	\N	\N
1021435	3487	1996-08-31	VYDAJ	VYBER	15	58138	SLUZBY	\N	\N
1021436	3487	1996-09-30	VYDAJ	VYBER	15	57005	SLUZBY	\N	\N
1021437	3487	1996-10-31	VYDAJ	VYBER	15	58250	SLUZBY	\N	\N
1021438	3487	1996-11-30	VYDAJ	VYBER	15	54374	SLUZBY	\N	\N
1021439	3487	1996-12-31	VYDAJ	VYBER	15	56594	SLUZBY	\N	\N
1021440	3487	1997-01-31	VYDAJ	VYBER	15	52755	SLUZBY	\N	\N
1021441	3487	1997-02-28	VYDAJ	VYBER	15	55103	SLUZBY	\N	\N
1021442	3487	1997-03-31	VYDAJ	VYBER	15	60668	SLUZBY	\N	\N
1021443	3487	1997-04-30	VYDAJ	VYBER	15	64752	SLUZBY	\N	\N
1021444	3487	1997-05-31	VYDAJ	VYBER	15	65447	SLUZBY	\N	\N
1021445	3487	1997-06-30	VYDAJ	VYBER	15	69449	SLUZBY	\N	\N
1021446	3487	1997-07-31	VYDAJ	VYBER	15	69059	SLUZBY	\N	\N
1021447	3487	1997-08-31	VYDAJ	VYBER	15	69469	SLUZBY	\N	\N
1021448	3487	1997-09-30	VYDAJ	VYBER	15	62369	SLUZBY	\N	\N
1021449	3487	1997-10-31	VYDAJ	VYBER	15	65456	SLUZBY	\N	\N
1021450	3487	1997-11-30	VYDAJ	VYBER	15	65665	SLUZBY	\N	\N
1021451	3487	1997-12-31	VYDAJ	VYBER	15	68300	SLUZBY	\N	\N
1021452	3487	1998-01-31	VYDAJ	VYBER	15	71713	SLUZBY	\N	\N
1021453	3487	1998-02-28	VYDAJ	VYBER	15	74656	SLUZBY	\N	\N
1021454	3487	1998-03-31	VYDAJ	VYBER	15	69803	SLUZBY	\N	\N
1021455	3487	1998-04-30	VYDAJ	VYBER	15	68149	SLUZBY	\N	\N
1021456	3487	1998-05-31	VYDAJ	VYBER	15	74467	SLUZBY	\N	\N
1021457	3487	1998-06-30	VYDAJ	VYBER	15	58472	SLUZBY	\N	\N
1021458	3487	1998-07-31	VYDAJ	VYBER	15	68459	SLUZBY	\N	\N
1021459	3487	1998-08-31	VYDAJ	VYBER	15	68343	SLUZBY	\N	\N
1021460	3487	1998-09-30	VYDAJ	VYBER	15	69108	SLUZBY	\N	\N
1021461	3487	1998-10-31	VYDAJ	VYBER	15	72460	SLUZBY	\N	\N
1021462	3487	1998-11-30	VYDAJ	VYBER	15	78393	SLUZBY	\N	\N
1021463	3487	1993-02-07	PRIJEM	VKLAD	1800	18557	\N	\N	\N
1021464	3487	1993-03-09	VYDAJ	VYBER	3800	30783	\N	\N	\N
1021465	3487	1993-04-08	VYDAJ	VYBER	9600	37271	\N	\N	\N
1021466	3487	1993-05-08	VYDAJ	VYBER	14200	39196	\N	\N	\N
1021467	3487	1993-06-07	VYDAJ	VYBER	14000	41322	\N	\N	\N
1021468	3487	1993-07-07	VYDAJ	VYBER	4700	32743	\N	\N	\N
1021469	3487	1993-08-06	VYDAJ	VYBER	8400	30201	\N	\N	\N
1021470	3487	1993-09-05	VYDAJ	VYBER	2000	31773	\N	\N	\N
1021471	3487	1993-10-05	VYDAJ	VYBER	2500	28516	\N	\N	\N
1021472	3487	1993-11-04	VYDAJ	VYBER	3100	31975	\N	\N	\N
1021473	3487	1993-12-04	VYDAJ	VYBER	4300	30171	\N	\N	\N
1021474	3487	1994-01-03	VYDAJ	VYBER	10800	33996	\N	\N	\N
1021475	3487	1994-02-02	VYDAJ	VYBER	2300	31638	\N	\N	\N
1021476	3487	1994-03-04	VYDAJ	VYBER	6900	32515	\N	\N	\N
1021477	3487	1994-04-03	VYDAJ	VYBER	4600	35703	\N	\N	\N
1021478	3487	1994-05-03	VYDAJ	VYBER	5400	30875	\N	\N	\N
1021479	3487	1994-06-02	VYDAJ	VYBER	2500	33862	\N	\N	\N
1021480	3487	1994-07-02	VYDAJ	VYBER	5100	31222	\N	\N	\N
1021481	3487	1994-08-01	VYDAJ	VYBER	5700	31861	\N	\N	\N
1021482	3487	1994-08-31	VYDAJ	VYBER	6100	33544	\N	\N	\N
1021483	3487	1994-09-30	VYDAJ	VYBER	4500	30963	\N	\N	\N
1021484	3487	1994-10-30	VYDAJ	VYBER	4700	27648	\N	\N	\N
1021485	3487	1994-11-29	VYDAJ	VYBER	1500	33902	\N	\N	\N
1021486	3487	1994-12-29	VYDAJ	VYBER	7600	38976	\N	\N	\N
1021487	3487	1995-01-28	VYDAJ	VYBER	800	30769	\N	\N	\N
1021488	3487	1995-02-27	VYDAJ	VYBER	1000	33349	\N	\N	\N
1021489	3487	1995-03-29	PRIJEM	VKLAD	1700	37653	\N	\N	\N
1021490	3487	1995-04-28	VYDAJ	VYBER	6500	38927	\N	\N	\N
1021491	3487	1995-05-28	VYDAJ	VYBER	3800	42924	\N	\N	\N
1021492	3487	1995-06-27	PRIJEM	VKLAD	7500	35304	\N	\N	\N
1021493	3487	1995-07-27	PRIJEM	VKLAD	3100	40467	\N	\N	\N
1021494	3487	1995-08-26	VYDAJ	VYBER	2400	44053	\N	\N	\N
1021495	3487	1995-09-25	VYDAJ	VYBER	4900	46954	\N	\N	\N
1021496	3487	1995-10-25	VYDAJ	VYBER	6700	48076	\N	\N	\N
1021497	3487	1995-11-24	VYDAJ	VYBER	5300	49047	\N	\N	\N
1021498	3487	1995-12-24	VYDAJ	VYBER	7200	56679	\N	\N	\N
1021499	3487	1996-01-23	VYDAJ	VYBER	900	51873	\N	\N	\N
1021500	3487	1996-02-22	VYDAJ	VYBER	5900	53812	\N	\N	\N
1021501	3487	1996-03-23	VYDAJ	VYBER	8800	51182	\N	\N	\N
1021502	3487	1996-04-22	VYDAJ	VYBER	5300	48324	\N	\N	\N
1021503	3487	1996-05-22	VYDAJ	VYBER	5300	50850	\N	\N	\N
1021504	3487	1996-06-21	PRIJEM	VKLAD	700	48144	\N	\N	\N
1021505	3487	1996-07-21	VYDAJ	VYBER	2100	53877	\N	\N	\N
1021506	3487	1996-08-20	VYDAJ	VYBER	3800	57916	\N	\N	\N
1021507	3487	1996-09-19	VYDAJ	VYBER	9000	56777	\N	\N	\N
1021508	3487	1996-10-19	VYDAJ	VYBER	5900	58024	\N	\N	\N
1021509	3487	1996-11-18	VYDAJ	VYBER	8500	57389	\N	\N	\N
1021510	3487	1996-12-18	VYDAJ	VYBER	9600	60370	\N	\N	\N
1021511	3487	1997-01-17	VYDAJ	VYBER	1200	52553	\N	\N	\N
1021512	3487	1997-02-16	VYDAJ	VYBER	5500	54894	\N	\N	\N
1021513	3487	1997-03-18	VYDAJ	VYBER	2300	60442	\N	\N	\N
1021514	3487	1997-04-17	VYDAJ	VYBER	3800	64507	\N	\N	\N
1021515	3487	1997-05-17	VYDAJ	VYBER	7200	65191	\N	\N	\N
1021516	3487	1997-06-16	VYDAJ	VYBER	6900	69183	\N	\N	\N
1021517	3487	1997-07-16	VYDAJ	VYBER	8300	68788	\N	\N	\N
1021518	3487	1997-08-15	VYDAJ	VYBER	7500	69198	\N	\N	\N
1021519	3487	1997-09-14	VYDAJ	VYBER	10800	66308	\N	\N	\N
1021520	3487	1997-10-14	VYDAJ	VYBER	4800	65208	\N	\N	\N
1021521	3487	1997-11-13	VYDAJ	VYBER	7700	65395	\N	\N	\N
1021522	3487	1997-12-13	VYDAJ	VYBER	12100	68041	\N	\N	\N
1021523	3487	1998-01-12	PRIJEM	VKLAD	4900	66320	\N	\N	\N
1021524	3487	1998-02-11	VYDAJ	VYBER	3900	66733	\N	\N	\N
1021525	3487	1998-03-13	VYDAJ	VYBER	12800	69495	\N	\N	\N
1021526	3487	1998-04-12	VYDAJ	VYBER	4400	65403	\N	\N	\N
1021527	3487	1998-05-12	VYDAJ	VYBER	1600	66225	\N	\N	\N
1021528	3487	1998-06-11	VYDAJ	VYBER	7500	62767	\N	\N	\N
1021529	3487	1998-07-11	PRIJEM	VKLAD	2100	60572	\N	\N	\N
1021530	3487	1998-08-10	VYDAJ	VYBER	6100	62359	\N	\N	\N
1021531	3487	1998-09-09	VYDAJ	VYBER	5100	63243	\N	\N	\N
1021532	3487	1998-11-08	VYDAJ	VYBER	2000	70460	\N	\N	\N
1021533	3487	1998-12-08	VYDAJ	VYBER	10400	67993	\N	\N	\N
1022169	3489	1994-12-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1022182	3489	1995-01-07	PRIJEM	VKLAD	16203	17203	\N	\N	\N
1022183	3489	1995-02-07	PRIJEM	VKLAD	16203	37968	\N	\N	\N
1022184	3489	1995-03-07	PRIJEM	VKLAD	16203	54312	\N	\N	\N
1022185	3489	1995-04-07	PRIJEM	VKLAD	16203	55577	\N	\N	\N
1022186	3489	1995-05-07	PRIJEM	VKLAD	16203	53380	\N	\N	\N
1022187	3489	1995-06-07	PRIJEM	VKLAD	24305	50536	\N	\N	\N
1022188	3489	1995-07-07	PRIJEM	VKLAD	16203	47576	\N	\N	\N
1022189	3489	1995-08-07	PRIJEM	VKLAD	16203	53572	\N	\N	\N
1022190	3489	1995-09-07	PRIJEM	VKLAD	16203	55952	\N	\N	\N
1022191	3489	1995-10-07	PRIJEM	VKLAD	16203	54043	\N	\N	\N
1022192	3489	1995-11-07	PRIJEM	VKLAD	16203	54930	\N	\N	\N
1022193	3489	1995-12-07	PRIJEM	VKLAD	24305	57818	\N	\N	\N
1022194	3489	1996-01-07	PRIJEM	VKLAD	16203	56407	\N	\N	\N
1022195	3489	1996-02-07	PRIJEM	VKLAD	16203	53049	\N	\N	\N
1022196	3489	1996-03-07	PRIJEM	VKLAD	16203	49769	\N	\N	\N
1022197	3489	1996-04-07	PRIJEM	VKLAD	16203	48838	\N	\N	\N
1022198	3489	1996-05-07	PRIJEM	VKLAD	16203	48702	\N	\N	\N
1022199	3489	1996-06-07	PRIJEM	VKLAD	24305	55466	\N	\N	\N
1022200	3489	1996-07-07	PRIJEM	VKLAD	16203	40007	\N	\N	\N
1022201	3489	1996-08-07	PRIJEM	VKLAD	16203	46814	\N	\N	\N
1022202	3489	1996-09-07	PRIJEM	VKLAD	16203	50046	\N	\N	\N
1022203	3489	1996-10-07	PRIJEM	VKLAD	16203	49891	\N	\N	\N
1022204	3489	1996-11-07	PRIJEM	VKLAD	16203	48468	\N	\N	\N
1022205	3489	1996-12-07	PRIJEM	VKLAD	24305	57407	\N	\N	\N
1022206	3489	1997-01-07	PRIJEM	VKLAD	16203	51477	\N	\N	\N
1022207	3489	1997-02-07	PRIJEM	VKLAD	16203	43931	\N	\N	\N
1022208	3489	1997-03-07	PRIJEM	VKLAD	16203	52452	\N	\N	\N
1022209	3489	1997-04-07	PRIJEM	VKLAD	16203	52725	\N	\N	\N
1022210	3489	1997-05-07	PRIJEM	VKLAD	16203	54579	\N	\N	\N
1022211	3489	1997-06-07	PRIJEM	VKLAD	24305	63100	\N	\N	\N
1022212	3489	1997-07-07	PRIJEM	VKLAD	16203	51317	\N	\N	\N
1022213	3489	1997-08-07	PRIJEM	VKLAD	16203	52970	\N	\N	\N
1022214	3489	1997-09-07	PRIJEM	VKLAD	16203	51756	\N	\N	\N
1022215	3489	1997-10-07	PRIJEM	VKLAD	16203	51575	\N	\N	\N
1022216	3489	1997-11-07	PRIJEM	VKLAD	16203	53920	\N	\N	\N
1022217	3489	1997-12-07	PRIJEM	VKLAD	24305	57227	\N	\N	\N
1022218	3489	1998-01-07	PRIJEM	VKLAD	16203	55031	\N	\N	\N
1022219	3489	1998-02-07	PRIJEM	VKLAD	16203	54225	\N	\N	\N
1022220	3489	1998-03-07	PRIJEM	VKLAD	16203	56918	\N	\N	\N
1022221	3489	1998-04-07	PRIJEM	VKLAD	16203	60123	\N	\N	\N
1022222	3489	1998-05-07	PRIJEM	VKLAD	16203	59939	\N	\N	\N
1022223	3489	1998-06-07	PRIJEM	VKLAD	24305	65421	\N	\N	\N
1022224	3489	1998-07-07	PRIJEM	VKLAD	16203	53820	\N	\N	\N
1022225	3489	1998-08-07	PRIJEM	VKLAD	16203	59015	\N	\N	\N
1022226	3489	1998-09-07	PRIJEM	VKLAD	16203	59301	\N	\N	\N
1022227	3489	1998-10-07	PRIJEM	VKLAD	16203	56702	\N	\N	\N
1022228	3489	1998-11-07	PRIJEM	VKLAD	16203	53288	\N	\N	\N
1022229	3489	1998-12-07	PRIJEM	VKLAD	24305	53255	\N	\N	\N
1022246	3489	1995-05-11	VYDAJ	PREVOD NA UCET	3373	32007	SIPO	YZ	33276313
1022247	3489	1995-06-11	VYDAJ	PREVOD NA UCET	3373	47163	SIPO	YZ	33276313
1022248	3489	1995-07-11	VYDAJ	PREVOD NA UCET	3373	44203	SIPO	YZ	33276313
1022249	3489	1995-08-11	VYDAJ	PREVOD NA UCET	3373	50199	SIPO	YZ	33276313
1022250	3489	1995-09-11	VYDAJ	PREVOD NA UCET	3373	52579	SIPO	YZ	33276313
1022251	3489	1995-10-11	VYDAJ	PREVOD NA UCET	3373	50670	SIPO	YZ	33276313
1022252	3489	1995-11-11	VYDAJ	PREVOD NA UCET	3373	51557	SIPO	YZ	33276313
1022253	3489	1995-12-11	VYDAJ	PREVOD NA UCET	3373	54445	SIPO	YZ	33276313
1022254	3489	1996-01-11	VYDAJ	PREVOD NA UCET	3373	53034	SIPO	YZ	33276313
1022255	3489	1996-02-11	VYDAJ	PREVOD NA UCET	3373	49676	SIPO	YZ	33276313
1022256	3489	1996-03-11	VYDAJ	PREVOD NA UCET	3373	46396	SIPO	YZ	33276313
1022257	3489	1996-04-11	VYDAJ	PREVOD NA UCET	3373	45465	SIPO	YZ	33276313
1022258	3489	1996-05-11	VYDAJ	PREVOD NA UCET	3373	45329	SIPO	YZ	33276313
1022259	3489	1996-06-11	VYDAJ	PREVOD NA UCET	3373	52093	SIPO	YZ	33276313
1022260	3489	1996-07-11	VYDAJ	PREVOD NA UCET	3373	36634	SIPO	YZ	33276313
1022261	3489	1996-08-11	VYDAJ	PREVOD NA UCET	3373	43441	SIPO	YZ	33276313
1022262	3489	1996-09-11	VYDAJ	PREVOD NA UCET	3373	46673	SIPO	YZ	33276313
1022263	3489	1996-10-11	VYDAJ	PREVOD NA UCET	3373	46518	SIPO	YZ	33276313
1022264	3489	1996-11-11	VYDAJ	PREVOD NA UCET	3373	45095	SIPO	YZ	33276313
1022265	3489	1996-12-11	VYDAJ	PREVOD NA UCET	3373	51634	SIPO	YZ	33276313
1022266	3489	1997-01-11	VYDAJ	PREVOD NA UCET	3373	34344	SIPO	YZ	33276313
1022267	3489	1997-02-11	VYDAJ	PREVOD NA UCET	3373	40558	SIPO	YZ	33276313
1022268	3489	1997-03-11	VYDAJ	PREVOD NA UCET	3373	49079	SIPO	YZ	33276313
1022269	3489	1997-04-11	VYDAJ	PREVOD NA UCET	3373	49352	SIPO	YZ	33276313
1022270	3489	1997-05-11	VYDAJ	PREVOD NA UCET	3373	51206	SIPO	YZ	33276313
1022271	3489	1997-06-11	VYDAJ	PREVOD NA UCET	3373	59727	SIPO	YZ	33276313
1022272	3489	1997-07-11	VYDAJ	PREVOD NA UCET	3373	47944	SIPO	YZ	33276313
1022273	3489	1997-08-11	VYDAJ	PREVOD NA UCET	3373	49597	SIPO	YZ	33276313
1022274	3489	1997-09-11	VYDAJ	PREVOD NA UCET	3373	48383	SIPO	YZ	33276313
1022275	3489	1997-10-11	VYDAJ	PREVOD NA UCET	3373	48202	SIPO	YZ	33276313
1022276	3489	1997-11-11	VYDAJ	PREVOD NA UCET	3373	48447	SIPO	YZ	33276313
1022277	3489	1997-12-11	VYDAJ	PREVOD NA UCET	3373	53854	SIPO	YZ	33276313
1022278	3489	1998-01-11	VYDAJ	PREVOD NA UCET	3373	48558	SIPO	YZ	33276313
1022279	3489	1998-02-11	VYDAJ	PREVOD NA UCET	3373	48552	SIPO	YZ	33276313
1022280	3489	1998-03-11	VYDAJ	PREVOD NA UCET	3373	53545	SIPO	YZ	33276313
1022281	3489	1998-04-11	VYDAJ	PREVOD NA UCET	3373	55450	SIPO	YZ	33276313
1022282	3489	1998-05-11	VYDAJ	PREVOD NA UCET	3373	54466	SIPO	YZ	33276313
1022283	3489	1998-06-11	VYDAJ	PREVOD NA UCET	3373	37568	SIPO	YZ	33276313
1022284	3489	1998-07-11	VYDAJ	PREVOD NA UCET	3373	50447	SIPO	YZ	33276313
1022285	3489	1998-08-11	VYDAJ	PREVOD NA UCET	3373	55642	SIPO	YZ	33276313
1022286	3489	1998-09-11	VYDAJ	PREVOD NA UCET	3373	55928	SIPO	YZ	33276313
1022287	3489	1998-10-11	VYDAJ	PREVOD NA UCET	3373	53329	SIPO	YZ	33276313
1022288	3489	1998-11-11	VYDAJ	PREVOD NA UCET	3373	49915	SIPO	YZ	33276313
1022289	3489	1998-12-11	VYDAJ	PREVOD NA UCET	3373	46202	SIPO	YZ	33276313
1022306	3489	1995-04-24	VYDAJ	VYBER	2600	36977	\N	\N	0
1022307	3489	1995-06-14	VYDAJ	VYBER	1400	45763	\N	\N	0
1022308	3489	1995-06-29	VYDAJ	VYBER	1400	36523	\N	\N	0
1022309	3489	1995-08-12	VYDAJ	PREVOD NA UCET	1837	48362	UVER	ST	2520353
1022310	3489	1995-09-12	VYDAJ	PREVOD NA UCET	1837	50742	UVER	ST	2520353
1022311	3489	1995-10-12	VYDAJ	PREVOD NA UCET	1837	48833	UVER	ST	2520353
1022312	3489	1995-11-12	VYDAJ	PREVOD NA UCET	1837	49720	UVER	ST	2520353
1022313	3489	1995-12-12	VYDAJ	PREVOD NA UCET	1837	52608	UVER	ST	2520353
1022314	3489	1996-01-12	VYDAJ	PREVOD NA UCET	1837	51197	UVER	ST	2520353
1022315	3489	1996-02-12	VYDAJ	PREVOD NA UCET	1837	47839	UVER	ST	2520353
1022316	3489	1996-03-12	VYDAJ	PREVOD NA UCET	1837	44559	UVER	ST	2520353
1022317	3489	1996-04-12	VYDAJ	PREVOD NA UCET	1837	43628	UVER	ST	2520353
1022318	3489	1996-05-12	VYDAJ	PREVOD NA UCET	1837	43492	UVER	ST	2520353
1022319	3489	1996-06-12	VYDAJ	PREVOD NA UCET	1837	26576	UVER	ST	2520353
1022320	3489	1996-07-12	VYDAJ	PREVOD NA UCET	1837	34797	UVER	ST	2520353
1022321	3489	1996-08-12	VYDAJ	PREVOD NA UCET	1837	41604	UVER	ST	2520353
1022322	3489	1996-09-12	VYDAJ	PREVOD NA UCET	1837	44836	UVER	ST	2520353
1022323	3489	1996-10-12	VYDAJ	PREVOD NA UCET	1837	44681	UVER	ST	2520353
1022324	3489	1996-11-12	VYDAJ	PREVOD NA UCET	1837	43258	UVER	ST	2520353
1022325	3489	1996-12-12	VYDAJ	PREVOD NA UCET	1837	49797	UVER	ST	2520353
1022326	3489	1997-01-12	VYDAJ	PREVOD NA UCET	1837	32507	UVER	ST	2520353
1022327	3489	1997-02-12	VYDAJ	PREVOD NA UCET	1837	38721	UVER	ST	2520353
1022328	3489	1997-03-12	VYDAJ	PREVOD NA UCET	1837	47242	UVER	ST	2520353
1022329	3489	1997-04-12	VYDAJ	PREVOD NA UCET	1837	47515	UVER	ST	2520353
1022330	3489	1997-05-12	VYDAJ	PREVOD NA UCET	1837	49369	UVER	ST	2520353
1022331	3489	1997-06-12	VYDAJ	PREVOD NA UCET	1837	57890	UVER	ST	2520353
1022332	3489	1997-07-12	VYDAJ	PREVOD NA UCET	1837	46107	UVER	ST	2520353
1022333	3489	1997-08-14	VYDAJ	VYBER	1800	47797	\N	\N	0
1022334	3489	1997-09-16	VYDAJ	VYBER	1300	47083	\N	\N	0
1022335	3489	1997-10-24	VYDAJ	VYBER	1400	39602	\N	\N	0
1022336	3489	1997-11-10	VYDAJ	VYBER	2100	51820	\N	\N	0
1022337	3489	1997-12-16	VYDAJ	VYBER	1400	52454	\N	\N	0
1022338	3489	1998-01-10	VYDAJ	VYBER	1300	51931	\N	\N	0
1022339	3489	1998-02-09	VYDAJ	VYBER	2300	51925	\N	\N	0
1022340	3489	1998-03-16	VYDAJ	VYBER	1400	52145	\N	\N	0
1022341	3489	1998-04-11	VYDAJ	VYBER	1300	58823	\N	\N	0
1022342	3489	1998-05-08	VYDAJ	VYBER	2100	57839	\N	\N	0
1022343	3489	1998-06-05	VYDAJ	VYBER	2100	41117	\N	\N	0
1022344	3489	1998-07-28	VYDAJ	VYBER	1600	42647	\N	\N	0
1022345	3489	1998-08-14	VYDAJ	VYBER	1700	53942	\N	\N	0
1022346	3489	1998-09-19	VYDAJ	VYBER	1200	41728	\N	\N	0
1022347	3489	1998-09-26	VYDAJ	VYBER	1400	40328	\N	\N	0
1022348	3489	1998-11-23	VYDAJ	VYBER	2100	30815	\N	\N	0
1022349	3489	1998-11-28	VYDAJ	VYBER	2000	28815	\N	\N	0
1022351	3489	1995-06-15	VYDAJ	VYBER	7840	37923	\N	\N	\N
1022352	3489	1996-06-12	VYDAJ	VYBER	23680	28413	\N	\N	\N
1022354	3489	1998-06-08	VYDAJ	VYBER	24480	40941	\N	\N	\N
1022357	3489	1996-01-13	VYDAJ	VYBER	5440	45757	\N	\N	\N
1022358	3489	1997-01-11	VYDAJ	VYBER	13760	37717	\N	\N	\N
1022359	3489	1998-01-29	VYDAJ	VYBER	3200	37858	\N	\N	\N
1022361	3489	1995-12-03	VYDAJ	VYBER	2560	46513	\N	\N	\N
1022362	3489	1996-12-11	VYDAJ	VYBER	2400	55007	\N	\N	\N
1022363	3489	1997-12-01	VYDAJ	VYBER	3040	32922	\N	\N	\N
1022364	3489	1998-12-07	VYDAJ	VYBER	3680	49575	\N	\N	\N
1022370	3489	1995-11-17	VYDAJ	VYBER	840	48880	\N	\N	\N
1022372	3489	1996-10-18	VYDAJ	VYBER	4560	40121	\N	\N	\N
1022373	3489	1996-02-29	VYDAJ	VYBER	960	47080	\N	\N	\N
1022374	3489	1996-08-20	VYDAJ	VYBER	1200	40404	\N	\N	\N
1022375	3489	1996-12-23	VYDAJ	VYBER	4680	45117	\N	\N	\N
1022376	3489	1997-05-25	VYDAJ	VYBER	2640	46729	\N	\N	\N
1022377	3489	1997-09-19	VYDAJ	VYBER	5160	41923	\N	\N	\N
1022378	3489	1997-03-27	VYDAJ	VYBER	2880	44362	\N	\N	\N
1022379	3489	1997-11-16	VYDAJ	VYBER	2640	45807	\N	\N	\N
1022380	3489	1997-10-25	VYDAJ	VYBER	2040	37562	\N	\N	\N
1022381	3489	1997-06-30	VYDAJ	VYBER	5160	35114	\N	\N	\N
1022382	3489	1998-05-29	VYDAJ	VYBER	5640	43026	\N	\N	\N
1022383	3489	1998-01-09	VYDAJ	VYBER	1800	53231	\N	\N	\N
1022384	3489	1998-08-29	VYDAJ	VYBER	1320	42922	\N	\N	\N
1022402	3489	1995-05-31	VYDAJ	VYBER	15	32131	SLUZBY	\N	\N
1022403	3489	1995-06-30	VYDAJ	VYBER	15	36673	SLUZBY	\N	\N
1022404	3489	1995-07-31	VYDAJ	VYBER	15	44369	SLUZBY	\N	\N
1022405	3489	1995-08-31	VYDAJ	VYBER	15	48549	SLUZBY	\N	\N
1022406	3489	1995-09-30	VYDAJ	VYBER	15	50940	SLUZBY	\N	\N
1022407	3489	1995-10-31	VYDAJ	VYBER	15	49027	SLUZBY	\N	\N
1022408	3489	1995-11-30	VYDAJ	VYBER	15	49073	SLUZBY	\N	\N
1022409	3489	1995-12-31	VYDAJ	VYBER	15	52804	SLUZBY	\N	\N
1022410	3489	1996-01-31	VYDAJ	VYBER	15	45946	SLUZBY	\N	\N
1022411	3489	1996-02-29	VYDAJ	VYBER	15	47066	SLUZBY	\N	\N
1022412	3489	1996-03-31	VYDAJ	VYBER	15	44735	SLUZBY	\N	\N
1022413	3489	1996-04-30	VYDAJ	VYBER	15	43799	SLUZBY	\N	\N
1022414	3489	1996-05-31	VYDAJ	VYBER	15	43662	SLUZBY	\N	\N
1022415	3489	1996-06-30	VYDAJ	VYBER	15	23804	SLUZBY	\N	\N
1022416	3489	1996-07-31	VYDAJ	VYBER	15	30611	SLUZBY	\N	\N
1022417	3489	1996-08-31	VYDAJ	VYBER	15	33843	SLUZBY	\N	\N
1022418	3489	1996-09-30	VYDAJ	VYBER	15	33688	SLUZBY	\N	\N
1022419	3489	1996-10-31	VYDAJ	VYBER	15	32265	SLUZBY	\N	\N
1022420	3489	1996-11-30	VYDAJ	VYBER	15	33102	SLUZBY	\N	\N
1022421	3489	1996-12-31	VYDAJ	VYBER	15	35274	SLUZBY	\N	\N
1022422	3489	1997-01-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
1022423	3489	1997-02-28	VYDAJ	VYBER	15	36249	SLUZBY	\N	\N
1022424	3489	1997-03-31	VYDAJ	VYBER	15	36522	SLUZBY	\N	\N
1022425	3489	1997-04-30	VYDAJ	VYBER	15	38376	SLUZBY	\N	\N
1022426	3489	1997-05-31	VYDAJ	VYBER	15	38795	SLUZBY	\N	\N
1022427	3489	1997-06-30	VYDAJ	VYBER	15	40274	SLUZBY	\N	\N
1022428	3489	1997-07-31	VYDAJ	VYBER	15	36767	SLUZBY	\N	\N
1022429	3489	1997-08-31	VYDAJ	VYBER	15	35553	SLUZBY	\N	\N
1022430	3489	1997-09-30	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
1022431	3489	1997-10-31	VYDAJ	VYBER	15	37717	SLUZBY	\N	\N
1022432	3489	1997-11-30	VYDAJ	VYBER	15	35962	SLUZBY	\N	\N
1022433	3489	1997-12-31	VYDAJ	VYBER	15	38828	SLUZBY	\N	\N
1022434	3489	1998-01-31	VYDAJ	VYBER	15	38022	SLUZBY	\N	\N
1022435	3489	1998-02-28	VYDAJ	VYBER	15	40715	SLUZBY	\N	\N
1022436	3489	1998-03-31	VYDAJ	VYBER	15	43920	SLUZBY	\N	\N
1022437	3489	1998-04-30	VYDAJ	VYBER	15	43736	SLUZBY	\N	\N
1022438	3489	1998-05-31	VYDAJ	VYBER	15	43217	SLUZBY	\N	\N
1022439	3489	1998-06-30	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
1022440	3489	1998-07-31	VYDAJ	VYBER	15	42812	SLUZBY	\N	\N
1022441	3489	1998-08-31	VYDAJ	VYBER	15	43098	SLUZBY	\N	\N
1022442	3489	1998-09-30	VYDAJ	VYBER	15	40499	SLUZBY	\N	\N
1022443	3489	1998-10-31	VYDAJ	VYBER	15	37085	SLUZBY	\N	\N
1022444	3489	1998-11-30	VYDAJ	VYBER	15	28951	SLUZBY	\N	\N
1022445	3489	1995-01-07	PRIJEM	VKLAD	1200	18403	\N	\N	\N
1022446	3489	1995-02-06	PRIJEM	VKLAD	3300	21765	\N	\N	\N
1022447	3489	1995-03-08	VYDAJ	VYBER	15100	39212	\N	\N	\N
1022448	3489	1995-04-07	VYDAJ	VYBER	16000	39577	\N	\N	\N
1022449	3489	1995-05-07	VYDAJ	VYBER	18000	35380	\N	\N	\N
1022450	3489	1995-06-06	VYDAJ	VYBER	5900	26231	\N	\N	\N
1022451	3489	1995-07-06	VYDAJ	VYBER	5300	31373	\N	\N	\N
1022452	3489	1995-08-05	VYDAJ	VYBER	7000	37369	\N	\N	\N
1022453	3489	1995-09-04	VYDAJ	VYBER	8800	39749	\N	\N	\N
1022454	3489	1995-10-04	VYDAJ	VYBER	13100	37840	\N	\N	\N
1022455	3489	1995-11-03	VYDAJ	VYBER	10300	38727	\N	\N	\N
1022456	3489	1995-12-03	VYDAJ	VYBER	13000	33513	\N	\N	\N
1022457	3489	1996-01-02	VYDAJ	VYBER	12600	40204	\N	\N	\N
1022458	3489	1996-02-01	VYDAJ	VYBER	9100	36846	\N	\N	\N
1022459	3489	1996-03-02	VYDAJ	VYBER	13500	33566	\N	\N	\N
1022460	3489	1996-04-01	VYDAJ	VYBER	12100	32635	\N	\N	\N
1022461	3489	1996-05-01	VYDAJ	VYBER	11300	32499	\N	\N	\N
1022462	3489	1996-05-31	VYDAJ	VYBER	12500	31162	\N	\N	\N
1022463	3489	1996-06-30	VYDAJ	VYBER	2900	23818	\N	\N	\N
1022464	3489	1996-07-30	VYDAJ	VYBER	4300	30497	\N	\N	\N
1022465	3489	1996-08-29	VYDAJ	VYBER	6700	33704	\N	\N	\N
1022466	3489	1996-09-28	VYDAJ	VYBER	11300	33536	\N	\N	\N
1022467	3489	1996-10-28	VYDAJ	VYBER	8000	32121	\N	\N	\N
1022468	3489	1996-11-27	VYDAJ	VYBER	10300	32958	\N	\N	\N
1022469	3489	1996-12-27	VYDAJ	VYBER	10000	35117	\N	\N	\N
1022470	3489	1997-01-26	VYDAJ	VYBER	4900	27607	\N	\N	\N
1022471	3489	1997-02-25	VYDAJ	VYBER	2600	36121	\N	\N	\N
1022472	3489	1997-03-27	VYDAJ	VYBER	8000	36362	\N	\N	\N
1022473	3489	1997-04-26	VYDAJ	VYBER	9300	38215	\N	\N	\N
1022474	3489	1997-05-26	VYDAJ	VYBER	8100	38629	\N	\N	\N
1022475	3489	1997-06-25	VYDAJ	VYBER	17800	40090	\N	\N	\N
1022476	3489	1997-07-25	VYDAJ	VYBER	9500	36607	\N	\N	\N
1022477	3489	1997-08-24	VYDAJ	VYBER	12400	35397	\N	\N	\N
1022478	3489	1997-09-23	VYDAJ	VYBER	6700	35223	\N	\N	\N
1022479	3489	1997-10-23	VYDAJ	VYBER	7200	41002	\N	\N	\N
1022480	3489	1997-11-22	VYDAJ	VYBER	10000	35807	\N	\N	\N
1022481	3489	1997-12-22	VYDAJ	VYBER	13800	38654	\N	\N	\N
1022482	3489	1998-01-21	VYDAJ	VYBER	7500	41058	\N	\N	\N
1022483	3489	1998-02-20	VYDAJ	VYBER	8000	40552	\N	\N	\N
1022484	3489	1998-03-22	VYDAJ	VYBER	8400	43745	\N	\N	\N
1022485	3489	1998-04-21	VYDAJ	VYBER	11900	43550	\N	\N	\N
1022486	3489	1998-05-21	VYDAJ	VYBER	5800	48666	\N	\N	\N
1022487	3489	1998-06-20	VYDAJ	VYBER	100	37468	\N	\N	\N
1022488	3489	1998-07-20	VYDAJ	VYBER	6200	44247	\N	\N	\N
1022489	3489	1998-08-19	VYDAJ	VYBER	9700	44242	\N	\N	\N
1022490	3489	1998-09-18	VYDAJ	VYBER	13000	42928	\N	\N	\N
1022491	3489	1998-10-18	VYDAJ	VYBER	16400	36929	\N	\N	\N
1022492	3489	1998-11-17	VYDAJ	VYBER	17000	32915	\N	\N	\N
1022541	3490	1995-11-26	PRIJEM	VKLAD	400	400	\N	\N	\N
1022646	3490	1995-12-26	PRIJEM	VKLAD	11300	11700	\N	\N	\N
1022647	3490	1996-01-25	PRIJEM	VKLAD	6100	17800	\N	\N	\N
1022648	3490	1996-02-24	VYDAJ	VYBER	600	17200	\N	\N	\N
1022649	3490	1996-03-25	PRIJEM	VKLAD	2000	19200	\N	\N	\N
1022650	3490	1996-04-24	PRIJEM	VKLAD	2700	21900	\N	\N	\N
1022651	3490	1996-05-24	VYDAJ	VYBER	2500	19400	\N	\N	\N
1022652	3490	1996-06-23	PRIJEM	VKLAD	2600	22000	\N	\N	\N
1022653	3490	1996-07-23	PRIJEM	VKLAD	1700	23700	\N	\N	\N
1022654	3490	1996-08-22	VYDAJ	VYBER	600	23100	\N	\N	\N
1022655	3490	1996-09-21	VYDAJ	VYBER	2800	20300	\N	\N	\N
1022656	3490	1996-10-21	PRIJEM	VKLAD	200	20500	\N	\N	\N
1022657	3490	1996-11-20	VYDAJ	VYBER	4600	15900	\N	\N	\N
1022658	3490	1996-12-20	VYDAJ	VYBER	600	15300	\N	\N	\N
1022659	3490	1997-01-19	PRIJEM	VKLAD	2500	17800	\N	\N	\N
1022660	3490	1997-02-18	VYDAJ	VYBER	800	17000	\N	\N	\N
1022661	3490	1997-03-20	PRIJEM	VKLAD	3300	20300	\N	\N	\N
1022662	3490	1997-04-19	VYDAJ	VYBER	800	19500	\N	\N	\N
1022663	3490	1997-05-19	PRIJEM	VKLAD	3000	22500	\N	\N	\N
1022664	3490	1997-06-18	VYDAJ	VYBER	4900	17600	\N	\N	\N
1022665	3490	1997-07-18	VYDAJ	VYBER	1500	16100	\N	\N	\N
1022666	3490	1997-08-17	VYDAJ	VYBER	2100	14000	\N	\N	\N
1022667	3490	1997-09-16	VYDAJ	VYBER	1400	12600	\N	\N	\N
1022668	3490	1997-10-16	PRIJEM	VKLAD	4000	16600	\N	\N	\N
1022669	3490	1997-11-15	PRIJEM	VKLAD	2700	19300	\N	\N	\N
1022670	3490	1997-12-15	PRIJEM	VKLAD	600	19900	\N	\N	\N
1022671	3490	1998-01-14	PRIJEM	VKLAD	1000	20900	\N	\N	\N
1022672	3490	1998-03-15	VYDAJ	VYBER	2300	18600	\N	\N	\N
1022673	3490	1998-04-14	VYDAJ	VYBER	2200	16400	\N	\N	\N
1022674	3490	1998-05-14	VYDAJ	VYBER	2800	13600	\N	\N	\N
1022675	3490	1998-06-13	VYDAJ	VYBER	2200	11400	\N	\N	\N
1022676	3490	1998-07-13	PRIJEM	VKLAD	3400	14800	\N	\N	\N
1022677	3490	1998-08-12	PRIJEM	VKLAD	4800	19600	\N	\N	\N
1022678	3490	1998-10-11	VYDAJ	VYBER	5200	14400	\N	\N	\N
1022679	3490	1998-11-10	VYDAJ	VYBER	3400	11000	\N	\N	\N
1022680	3490	1998-12-10	VYDAJ	VYBER	500	10500	\N	\N	\N
1022681	3491	1996-07-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1022689	3491	1996-08-07	PRIJEM	VKLAD	19084	20184	\N	\N	\N
1022690	3491	1996-09-07	PRIJEM	VKLAD	19084	42287	\N	\N	\N
1022691	3491	1996-10-07	PRIJEM	VKLAD	19084	51675	\N	\N	\N
1022692	3491	1996-11-07	PRIJEM	VKLAD	19084	55098	\N	\N	\N
1022693	3491	1996-12-07	PRIJEM	VKLAD	28626	64873	\N	\N	\N
1022694	3491	1997-01-07	PRIJEM	VKLAD	19084	55360	\N	\N	\N
1022695	3491	1997-02-07	PRIJEM	VKLAD	19084	37605	\N	\N	\N
1022696	3491	1997-03-07	PRIJEM	VKLAD	19084	43408	\N	\N	\N
1022697	3491	1997-04-07	PRIJEM	VKLAD	19084	45133	\N	\N	\N
1022698	3491	1997-05-07	PRIJEM	VKLAD	19084	42260	\N	\N	\N
1022699	3491	1997-06-07	PRIJEM	VKLAD	28626	49917	\N	\N	\N
1022700	3491	1997-07-07	PRIJEM	VKLAD	19084	43439	\N	\N	\N
1022701	3491	1997-08-07	PRIJEM	VKLAD	19084	48567	\N	\N	\N
1022702	3491	1997-09-07	PRIJEM	VKLAD	19084	51412	\N	\N	\N
1022703	3491	1997-10-07	PRIJEM	VKLAD	19084	46756	\N	\N	\N
1022704	3491	1997-11-07	PRIJEM	VKLAD	19084	41281	\N	\N	\N
1022705	3491	1997-12-07	PRIJEM	VKLAD	28626	52834	\N	\N	\N
1022706	3491	1998-01-07	PRIJEM	VKLAD	19084	45671	\N	\N	\N
1022707	3491	1998-02-07	PRIJEM	VKLAD	19084	35585	\N	\N	\N
1022708	3491	1998-03-07	PRIJEM	VKLAD	19084	36268	\N	\N	\N
1022709	3491	1998-04-07	PRIJEM	VKLAD	19084	35552	\N	\N	\N
1022710	3491	1998-05-07	PRIJEM	VKLAD	19084	43147	\N	\N	\N
1022711	3491	1998-06-07	PRIJEM	VKLAD	28626	49498	\N	\N	\N
1022712	3491	1998-07-07	PRIJEM	VKLAD	19084	34902	\N	\N	\N
1022713	3491	1998-08-07	PRIJEM	VKLAD	19084	43997	\N	\N	\N
1022714	3491	1998-09-07	PRIJEM	VKLAD	19084	43810	\N	\N	\N
1022715	3491	1998-10-07	PRIJEM	VKLAD	19084	37810	\N	\N	\N
1022716	3491	1998-11-07	PRIJEM	VKLAD	19084	38903	\N	\N	\N
1022717	3491	1998-12-07	PRIJEM	VKLAD	28626	49349	\N	\N	\N
1022729	3491	1996-12-14	VYDAJ	PREVOD NA UCET	1542	55202	SIPO	YZ	90553646
1022730	3491	1997-01-14	VYDAJ	PREVOD NA UCET	1542	45189	SIPO	YZ	90553646
1022731	3491	1997-02-14	VYDAJ	PREVOD NA UCET	1542	28134	SIPO	YZ	90553646
1022732	3491	1997-03-14	VYDAJ	PREVOD NA UCET	1542	33237	SIPO	YZ	90553646
1022733	3491	1997-04-14	VYDAJ	PREVOD NA UCET	1542	37862	SIPO	YZ	90553646
1022734	3491	1997-05-14	VYDAJ	PREVOD NA UCET	1542	34989	SIPO	YZ	90553646
1022735	3491	1997-06-14	VYDAJ	PREVOD NA UCET	1542	37646	SIPO	YZ	90553646
1022736	3491	1997-07-14	VYDAJ	PREVOD NA UCET	1542	36168	SIPO	YZ	90553646
1022737	3491	1997-08-14	VYDAJ	PREVOD NA UCET	1542	41296	SIPO	YZ	90553646
1022738	3491	1997-09-14	VYDAJ	PREVOD NA UCET	1542	44141	SIPO	YZ	90553646
1022739	3491	1997-10-14	VYDAJ	PREVOD NA UCET	1542	39485	SIPO	YZ	90553646
1022740	3491	1997-11-14	VYDAJ	PREVOD NA UCET	1542	34010	SIPO	YZ	90553646
1022741	3491	1997-12-14	VYDAJ	PREVOD NA UCET	1542	45563	SIPO	YZ	90553646
1022742	3491	1998-01-14	VYDAJ	PREVOD NA UCET	1542	30400	SIPO	YZ	90553646
1022743	3491	1998-02-14	VYDAJ	PREVOD NA UCET	1542	28314	SIPO	YZ	90553646
1022744	3491	1998-03-14	VYDAJ	PREVOD NA UCET	1542	28997	SIPO	YZ	90553646
1022745	3491	1998-04-14	VYDAJ	PREVOD NA UCET	1542	28281	SIPO	YZ	90553646
1022746	3491	1998-05-14	VYDAJ	PREVOD NA UCET	1542	35876	SIPO	YZ	90553646
1022747	3491	1998-06-14	VYDAJ	PREVOD NA UCET	1542	42227	SIPO	YZ	90553646
1022748	3491	1998-07-14	VYDAJ	PREVOD NA UCET	1542	27631	SIPO	YZ	90553646
1022749	3491	1998-08-14	VYDAJ	PREVOD NA UCET	1542	36726	SIPO	YZ	90553646
1022750	3491	1998-09-14	VYDAJ	PREVOD NA UCET	1542	36539	SIPO	YZ	90553646
1022751	3491	1998-10-14	VYDAJ	PREVOD NA UCET	1542	30539	SIPO	YZ	90553646
1022752	3491	1998-11-14	VYDAJ	PREVOD NA UCET	1542	20632	SIPO	YZ	90553646
1022753	3491	1998-12-14	VYDAJ	PREVOD NA UCET	1542	42078	SIPO	YZ	90553646
1022765	3491	1996-12-10	VYDAJ	PREVOD NA UCET	776	61697	 	QR	61091714
1022766	3491	1997-01-10	VYDAJ	PREVOD NA UCET	776	51684	 	QR	61091714
1022767	3491	1997-02-10	VYDAJ	PREVOD NA UCET	776	34629	 	QR	61091714
1022768	3491	1997-03-10	VYDAJ	PREVOD NA UCET	776	42632	 	QR	61091714
1022769	3491	1997-04-10	VYDAJ	PREVOD NA UCET	776	44357	 	QR	61091714
1022770	3491	1997-05-10	VYDAJ	PREVOD NA UCET	776	41484	 	QR	61091714
1022771	3491	1997-06-10	VYDAJ	PREVOD NA UCET	776	49141	 	QR	61091714
1022772	3491	1997-07-10	VYDAJ	PREVOD NA UCET	776	42663	 	QR	61091714
1022773	3491	1997-08-10	VYDAJ	PREVOD NA UCET	776	47791	 	QR	61091714
1022774	3491	1997-09-10	VYDAJ	PREVOD NA UCET	776	50636	 	QR	61091714
1022775	3491	1997-10-10	VYDAJ	PREVOD NA UCET	776	45980	 	QR	61091714
1022776	3491	1997-11-10	VYDAJ	PREVOD NA UCET	776	40505	 	QR	61091714
1022777	3491	1997-12-10	VYDAJ	PREVOD NA UCET	776	52058	 	QR	61091714
1022778	3491	1998-01-10	VYDAJ	PREVOD NA UCET	776	44895	 	QR	61091714
1022779	3491	1998-02-10	VYDAJ	PREVOD NA UCET	776	34809	 	QR	61091714
1022780	3491	1998-03-10	VYDAJ	PREVOD NA UCET	776	35492	 	QR	61091714
1022781	3491	1998-04-10	VYDAJ	PREVOD NA UCET	776	34776	 	QR	61091714
1022782	3491	1998-05-10	VYDAJ	PREVOD NA UCET	776	42371	 	QR	61091714
1022783	3491	1998-06-10	VYDAJ	PREVOD NA UCET	776	48722	 	QR	61091714
1022784	3491	1998-07-10	VYDAJ	PREVOD NA UCET	776	34126	 	QR	61091714
1022785	3491	1998-08-10	VYDAJ	PREVOD NA UCET	776	43221	 	QR	61091714
1022786	3491	1998-09-10	VYDAJ	PREVOD NA UCET	776	43034	 	QR	61091714
1022787	3491	1998-10-10	VYDAJ	PREVOD NA UCET	776	37034	 	QR	61091714
1022788	3491	1998-11-10	VYDAJ	PREVOD NA UCET	776	38127	 	QR	61091714
1022789	3491	1998-12-10	VYDAJ	PREVOD NA UCET	776	48573	 	QR	61091714
1022801	3491	1996-12-12	VYDAJ	PREVOD NA UCET	4953	56744	POJISTNE	AB	50632536
1022802	3491	1997-01-12	VYDAJ	PREVOD NA UCET	4953	46731	POJISTNE	AB	50632536
1022803	3491	1997-02-12	VYDAJ	PREVOD NA UCET	4953	29676	POJISTNE	AB	50632536
1022804	3491	1997-03-12	VYDAJ	PREVOD NA UCET	4953	37679	POJISTNE	AB	50632536
1022805	3491	1997-04-12	VYDAJ	PREVOD NA UCET	4953	39404	POJISTNE	AB	50632536
1022806	3491	1997-05-12	VYDAJ	PREVOD NA UCET	4953	36531	POJISTNE	AB	50632536
1022807	3491	1997-06-12	VYDAJ	PREVOD NA UCET	4953	39188	POJISTNE	AB	50632536
1022808	3491	1997-07-12	VYDAJ	PREVOD NA UCET	4953	37710	POJISTNE	AB	50632536
1022809	3491	1997-08-12	VYDAJ	PREVOD NA UCET	4953	42838	POJISTNE	AB	50632536
1022810	3491	1997-09-12	VYDAJ	PREVOD NA UCET	4953	45683	POJISTNE	AB	50632536
1022811	3491	1997-10-12	VYDAJ	PREVOD NA UCET	4953	41027	POJISTNE	AB	50632536
1022812	3491	1997-11-12	VYDAJ	PREVOD NA UCET	4953	35552	POJISTNE	AB	50632536
1022813	3491	1997-12-12	VYDAJ	PREVOD NA UCET	4953	47105	POJISTNE	AB	50632536
1022814	3491	1998-01-12	VYDAJ	PREVOD NA UCET	4953	31942	POJISTNE	AB	50632536
1022815	3491	1998-02-12	VYDAJ	PREVOD NA UCET	4953	29856	POJISTNE	AB	50632536
1022816	3491	1998-03-12	VYDAJ	PREVOD NA UCET	4953	30539	POJISTNE	AB	50632536
1022817	3491	1998-04-12	VYDAJ	PREVOD NA UCET	4953	29823	POJISTNE	AB	50632536
1022818	3491	1998-05-12	VYDAJ	PREVOD NA UCET	4953	37418	POJISTNE	AB	50632536
1022819	3491	1998-06-12	VYDAJ	PREVOD NA UCET	4953	43769	POJISTNE	AB	50632536
1022820	3491	1998-07-12	VYDAJ	PREVOD NA UCET	4953	29173	POJISTNE	AB	50632536
1022821	3491	1998-08-12	VYDAJ	PREVOD NA UCET	4953	38268	POJISTNE	AB	50632536
1022822	3491	1998-09-12	VYDAJ	PREVOD NA UCET	4953	38081	POJISTNE	AB	50632536
1022823	3491	1998-10-12	VYDAJ	PREVOD NA UCET	4953	32081	POJISTNE	AB	50632536
1022824	3491	1998-11-12	VYDAJ	PREVOD NA UCET	4953	33174	POJISTNE	AB	50632536
1022825	3491	1998-12-12	VYDAJ	PREVOD NA UCET	4953	43620	POJISTNE	AB	50632536
1022828	3491	1998-06-21	VYDAJ	VYBER	11000	15727	\N	\N	\N
1022830	3491	1997-01-23	VYDAJ	VYBER	9600	19389	\N	\N	\N
1022831	3491	1998-01-11	VYDAJ	VYBER	8000	36895	\N	\N	\N
1022832	3491	1996-12-10	VYDAJ	VYBER	2400	62473	\N	\N	\N
1022833	3491	1997-12-19	VYDAJ	VYBER	1200	44363	\N	\N	\N
1022834	3491	1998-12-17	VYDAJ	VYBER	1000	24778	\N	\N	\N
1022841	3491	1997-01-08	VYDAJ	VYBER	2900	52460	\N	\N	\N
1022842	3491	1997-01-24	VYDAJ	VYBER	1000	18389	\N	\N	\N
1022843	3491	1997-01-16	VYDAJ	VYBER	2700	42489	\N	\N	\N
1022844	3491	1997-01-18	VYDAJ	VYBER	1900	40589	\N	\N	\N
1022845	3491	1997-01-19	VYDAJ	VYBER	600	37489	\N	\N	\N
1022846	3491	1997-01-19	VYDAJ	VYBER	2500	38089	\N	\N	\N
1022847	3491	1998-01-16	VYDAJ	VYBER	600	29800	\N	\N	\N
1022848	3491	1998-01-04	VYDAJ	VYBER	1900	26587	\N	\N	\N
1022849	3491	1998-01-26	VYDAJ	VYBER	1200	19500	\N	\N	\N
1022850	3491	1998-01-18	VYDAJ	VYBER	1800	20700	\N	\N	\N
1022851	3491	1998-01-01	VYDAJ	VYBER	1100	29087	\N	\N	\N
1022852	3491	1998-01-01	VYDAJ	VYBER	600	28487	\N	\N	\N
1022860	3491	1997-03-14	VYDAJ	VYBER	2900	34779	\N	\N	\N
1022861	3491	1997-10-28	VYDAJ	VYBER	2500	22085	\N	\N	\N
1022862	3491	1997-02-09	VYDAJ	VYBER	2200	35405	\N	\N	\N
1022863	3491	1997-06-11	VYDAJ	VYBER	4000	45141	\N	\N	\N
1022864	3491	1997-06-12	VYDAJ	VYBER	1000	44141	\N	\N	\N
1022865	3491	1998-12-26	VYDAJ	VYBER	800	23978	\N	\N	\N
1022866	3491	1998-09-23	VYDAJ	VYBER	1600	18639	\N	\N	\N
1022867	3491	1998-01-31	VYDAJ	VYBER	3100	16501	\N	\N	\N
1022868	3491	1998-11-04	VYDAJ	VYBER	2200	19819	\N	\N	\N
1022869	3491	1998-03-17	VYDAJ	VYBER	3600	25397	\N	\N	\N
1022870	3491	1998-05-21	VYDAJ	VYBER	4900	20776	\N	\N	\N
1022871	3491	1998-09-16	VYDAJ	VYBER	2400	20239	\N	\N	\N
1022884	3491	1996-12-31	VYDAJ	VYBER	15	36276	SLUZBY	\N	\N
1022885	3491	1997-01-31	VYDAJ	VYBER	15	18521	SLUZBY	\N	\N
1022886	3491	1997-02-28	VYDAJ	VYBER	15	24324	SLUZBY	\N	\N
1022887	3491	1997-03-31	VYDAJ	VYBER	15	26049	SLUZBY	\N	\N
1022888	3491	1997-04-30	VYDAJ	VYBER	15	23176	SLUZBY	\N	\N
1022889	3491	1997-05-31	VYDAJ	VYBER	15	21291	SLUZBY	\N	\N
1022890	3491	1997-06-30	VYDAJ	VYBER	15	24355	SLUZBY	\N	\N
1022891	3491	1997-07-31	VYDAJ	VYBER	15	29483	SLUZBY	\N	\N
1022892	3491	1997-08-31	VYDAJ	VYBER	15	32328	SLUZBY	\N	\N
1022893	3491	1997-09-30	VYDAJ	VYBER	15	27672	SLUZBY	\N	\N
1022894	3491	1997-10-31	VYDAJ	VYBER	15	22197	SLUZBY	\N	\N
1022895	3491	1997-11-30	VYDAJ	VYBER	15	24208	SLUZBY	\N	\N
1022896	3491	1997-12-31	VYDAJ	VYBER	15	30187	SLUZBY	\N	\N
1022897	3491	1998-01-31	VYDAJ	VYBER	15	19601	SLUZBY	\N	\N
1022898	3491	1998-02-28	VYDAJ	VYBER	15	17184	SLUZBY	\N	\N
1022899	3491	1998-03-31	VYDAJ	VYBER	15	16468	SLUZBY	\N	\N
1022900	3491	1998-04-30	VYDAJ	VYBER	15	24063	SLUZBY	\N	\N
1022901	3491	1998-05-31	VYDAJ	VYBER	15	20872	SLUZBY	\N	\N
1022902	3491	1998-06-30	VYDAJ	VYBER	15	15818	SLUZBY	\N	\N
1022903	3491	1998-07-31	VYDAJ	VYBER	15	24913	SLUZBY	\N	\N
1022904	3491	1998-08-31	VYDAJ	VYBER	15	24726	SLUZBY	\N	\N
1022905	3491	1998-09-30	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
1022906	3491	1998-10-31	VYDAJ	VYBER	15	22019	SLUZBY	\N	\N
1022907	3491	1998-11-30	VYDAJ	VYBER	15	20723	SLUZBY	\N	\N
1022908	3491	1996-08-26	PRIJEM	VKLAD	3000	23184	\N	\N	\N
1022909	3491	1996-09-25	VYDAJ	VYBER	9800	32487	\N	\N	\N
1022910	3491	1996-10-25	VYDAJ	VYBER	15800	35875	\N	\N	\N
1022911	3491	1996-11-24	VYDAJ	VYBER	19000	36098	\N	\N	\N
1022912	3491	1996-12-24	VYDAJ	VYBER	19100	36102	\N	\N	\N
1022913	3491	1997-01-23	VYDAJ	VYBER	8500	28989	\N	\N	\N
1022914	3491	1997-02-22	VYDAJ	VYBER	3900	24234	\N	\N	\N
1022915	3491	1997-03-24	VYDAJ	VYBER	7300	25937	\N	\N	\N
1022916	3491	1997-04-23	VYDAJ	VYBER	14800	23062	\N	\N	\N
1022917	3491	1997-05-23	VYDAJ	VYBER	13800	21189	\N	\N	\N
1022918	3491	1997-06-22	VYDAJ	VYBER	13400	24246	\N	\N	\N
1022919	3491	1997-07-22	VYDAJ	VYBER	6800	29368	\N	\N	\N
1022920	3491	1997-08-21	VYDAJ	VYBER	9100	32196	\N	\N	\N
1022921	3491	1997-09-20	VYDAJ	VYBER	16600	27541	\N	\N	\N
1022922	3491	1997-10-20	VYDAJ	VYBER	14900	24585	\N	\N	\N
1022923	3491	1997-11-19	VYDAJ	VYBER	9900	24110	\N	\N	\N
1022924	3491	1997-12-19	VYDAJ	VYBER	14300	30063	\N	\N	\N
1022925	3491	1998-01-18	VYDAJ	VYBER	7300	22500	\N	\N	\N
1022926	3491	1998-02-17	VYDAJ	VYBER	11200	17114	\N	\N	\N
1022927	3491	1998-03-19	VYDAJ	VYBER	9000	16397	\N	\N	\N
1022928	3491	1998-04-18	VYDAJ	VYBER	4300	23981	\N	\N	\N
1022929	3491	1998-05-18	VYDAJ	VYBER	10200	25676	\N	\N	\N
1022930	3491	1998-06-17	VYDAJ	VYBER	15500	26727	\N	\N	\N
1022931	3491	1998-07-17	VYDAJ	VYBER	2800	24831	\N	\N	\N
1022932	3491	1998-08-16	VYDAJ	VYBER	12100	24626	\N	\N	\N
1022933	3491	1998-09-15	VYDAJ	VYBER	13900	22639	\N	\N	\N
1022934	3491	1998-10-15	VYDAJ	VYBER	8600	21939	\N	\N	\N
1022935	3491	1998-11-14	VYDAJ	VYBER	11000	22174	\N	\N	\N
1022936	3491	1998-12-14	VYDAJ	VYBER	16300	25778	\N	\N	\N
1022966	3492	1995-09-10	PRIJEM	VKLAD	600	600	\N	\N	\N
1022976	3492	1995-10-06	PRIJEM	VKLAD	21535	22135	\N	\N	\N
1022977	3492	1995-11-06	PRIJEM	VKLAD	21535	41328	\N	\N	\N
1022978	3492	1995-12-06	PRIJEM	VKLAD	32303	65955	\N	\N	\N
1022979	3492	1996-01-06	PRIJEM	VKLAD	21535	68070	\N	\N	\N
1022980	3492	1996-02-06	PRIJEM	VKLAD	21535	65590	\N	\N	\N
1022981	3492	1996-03-06	PRIJEM	VKLAD	21535	55513	\N	\N	\N
1022982	3492	1996-04-06	PRIJEM	VKLAD	21535	50238	\N	\N	\N
1022983	3492	1996-05-06	PRIJEM	VKLAD	21535	49854	\N	\N	\N
1022984	3492	1996-06-06	PRIJEM	VKLAD	32303	61541	\N	\N	\N
1022985	3492	1996-07-06	PRIJEM	VKLAD	21535	47370	\N	\N	\N
1022986	3492	1996-08-06	PRIJEM	VKLAD	21535	45709	\N	\N	\N
1022987	3492	1996-09-06	PRIJEM	VKLAD	21535	45358	\N	\N	\N
1022988	3492	1996-10-06	PRIJEM	VKLAD	21535	50399	\N	\N	\N
1022989	3492	1996-11-06	PRIJEM	VKLAD	21535	48461	\N	\N	\N
1022990	3492	1996-12-06	PRIJEM	VKLAD	32303	58587	\N	\N	\N
1022991	3492	1997-01-06	PRIJEM	VKLAD	21535	53075	\N	\N	\N
1022992	3492	1997-02-06	PRIJEM	VKLAD	21535	44166	\N	\N	\N
1022993	3492	1997-03-06	PRIJEM	VKLAD	21535	48201	\N	\N	\N
1022994	3492	1997-04-06	PRIJEM	VKLAD	21535	54455	\N	\N	\N
1022995	3492	1997-05-06	PRIJEM	VKLAD	21535	59833	\N	\N	\N
1022996	3492	1997-06-06	PRIJEM	VKLAD	32303	71002	\N	\N	\N
1022997	3492	1997-07-06	PRIJEM	VKLAD	21535	62637	\N	\N	\N
1022998	3492	1997-08-06	PRIJEM	VKLAD	21535	64953	\N	\N	\N
1022999	3492	1997-09-06	PRIJEM	VKLAD	21535	63576	\N	\N	\N
1023000	3492	1997-10-06	PRIJEM	VKLAD	21535	62686	\N	\N	\N
1023001	3492	1997-11-06	PRIJEM	VKLAD	21535	62791	\N	\N	\N
1023002	3492	1997-12-06	PRIJEM	VKLAD	32303	70493	\N	\N	\N
1023003	3492	1998-01-06	PRIJEM	VKLAD	21535	61027	\N	\N	\N
1023004	3492	1998-02-06	PRIJEM	VKLAD	21535	57868	\N	\N	\N
1023005	3492	1998-03-06	PRIJEM	VKLAD	21535	63053	\N	\N	\N
1023006	3492	1998-04-06	PRIJEM	VKLAD	21535	60492	\N	\N	\N
1023007	3492	1998-05-06	PRIJEM	VKLAD	21535	56417	\N	\N	\N
1023008	3492	1998-06-06	PRIJEM	VKLAD	32303	66452	\N	\N	\N
1023009	3492	1998-07-06	PRIJEM	VKLAD	21535	60057	\N	\N	\N
1023010	3492	1998-08-06	PRIJEM	VKLAD	21535	55842	\N	\N	\N
1023011	3492	1998-09-06	PRIJEM	VKLAD	21535	47023	\N	\N	\N
1023012	3492	1998-10-06	PRIJEM	VKLAD	21535	38450	\N	\N	\N
1023013	3492	1998-11-06	PRIJEM	VKLAD	21535	36643	\N	\N	\N
1023014	3492	1998-12-06	PRIJEM	VKLAD	32303	45996	\N	\N	\N
1023028	3492	1996-02-11	VYDAJ	PREVOD NA UCET	4485	38785	SIPO	ST	20670485
1023029	3492	1996-03-11	VYDAJ	PREVOD NA UCET	4485	33528	SIPO	ST	20670485
1023030	3492	1996-04-11	VYDAJ	PREVOD NA UCET	4485	33153	SIPO	ST	20670485
1023031	3492	1996-05-11	VYDAJ	PREVOD NA UCET	4485	34069	SIPO	ST	20670485
1023032	3492	1996-06-11	VYDAJ	PREVOD NA UCET	4485	39456	SIPO	ST	20670485
1023033	3492	1996-07-11	VYDAJ	PREVOD NA UCET	4485	30785	SIPO	ST	20670485
1023034	3492	1996-08-11	VYDAJ	PREVOD NA UCET	4485	41224	SIPO	ST	20670485
1023035	3492	1996-09-11	VYDAJ	PREVOD NA UCET	4485	40873	SIPO	ST	20670485
1023036	3492	1996-10-11	VYDAJ	PREVOD NA UCET	4485	45914	SIPO	ST	20670485
1023037	3492	1996-11-11	VYDAJ	PREVOD NA UCET	4485	43976	SIPO	ST	20670485
1023038	3492	1996-12-11	VYDAJ	PREVOD NA UCET	4485	54102	SIPO	ST	20670485
1023039	3492	1997-01-11	VYDAJ	PREVOD NA UCET	4485	48590	SIPO	ST	20670485
1023040	3492	1997-02-11	VYDAJ	PREVOD NA UCET	4485	39681	SIPO	ST	20670485
1023041	3492	1997-03-11	VYDAJ	PREVOD NA UCET	4485	43716	SIPO	ST	20670485
1023042	3492	1997-04-11	VYDAJ	PREVOD NA UCET	4485	49970	SIPO	ST	20670485
1023043	3492	1997-05-11	VYDAJ	PREVOD NA UCET	4485	55348	SIPO	ST	20670485
1023044	3492	1997-06-11	VYDAJ	PREVOD NA UCET	4485	66517	SIPO	ST	20670485
1023045	3492	1997-07-11	VYDAJ	PREVOD NA UCET	4485	58152	SIPO	ST	20670485
1023046	3492	1997-08-11	VYDAJ	PREVOD NA UCET	4485	60468	SIPO	ST	20670485
1023047	3492	1997-09-11	VYDAJ	PREVOD NA UCET	4485	59091	SIPO	ST	20670485
1023048	3492	1997-10-11	VYDAJ	PREVOD NA UCET	4485	58201	SIPO	ST	20670485
1023049	3492	1997-11-11	VYDAJ	PREVOD NA UCET	4485	56266	SIPO	ST	20670485
1023050	3492	1997-12-11	VYDAJ	PREVOD NA UCET	4485	66008	SIPO	ST	20670485
1023051	3492	1998-01-11	VYDAJ	PREVOD NA UCET	4485	53062	SIPO	ST	20670485
1023052	3492	1998-02-11	VYDAJ	PREVOD NA UCET	4485	53383	SIPO	ST	20670485
1023053	3492	1998-03-11	VYDAJ	PREVOD NA UCET	4485	58568	SIPO	ST	20670485
1023054	3492	1998-04-11	VYDAJ	PREVOD NA UCET	4485	53127	SIPO	ST	20670485
1023055	3492	1998-05-11	VYDAJ	PREVOD NA UCET	4485	48932	SIPO	ST	20670485
1023056	3492	1998-06-11	VYDAJ	PREVOD NA UCET	4485	61967	SIPO	ST	20670485
1023057	3492	1998-07-11	VYDAJ	PREVOD NA UCET	4485	55572	SIPO	ST	20670485
1023058	3492	1998-08-11	VYDAJ	PREVOD NA UCET	4485	51357	SIPO	ST	20670485
1023059	3492	1998-09-11	VYDAJ	PREVOD NA UCET	4485	42538	SIPO	ST	20670485
1023060	3492	1998-10-11	VYDAJ	PREVOD NA UCET	4485	33965	SIPO	ST	20670485
1023061	3492	1998-11-11	VYDAJ	PREVOD NA UCET	4485	32158	SIPO	ST	20670485
1023062	3492	1998-12-11	VYDAJ	PREVOD NA UCET	4485	41511	SIPO	ST	20670485
1023077	3492	1996-03-05	VYDAJ	PREVOD NA UCET	4962	33978	 	AB	556761
1023078	3492	1996-04-05	VYDAJ	PREVOD NA UCET	4962	28703	 	AB	556761
1023079	3492	1996-05-05	VYDAJ	PREVOD NA UCET	4962	28319	 	AB	556761
1023080	3492	1996-06-05	VYDAJ	PREVOD NA UCET	4962	29239	 	AB	556761
1023081	3492	1996-07-05	VYDAJ	PREVOD NA UCET	4962	25835	 	AB	556761
1023082	3492	1996-08-05	VYDAJ	PREVOD NA UCET	4962	24174	 	AB	556761
1023083	3492	1996-09-05	VYDAJ	PREVOD NA UCET	4962	23823	 	AB	556761
1023084	3492	1996-10-05	VYDAJ	PREVOD NA UCET	4962	28864	 	AB	556761
1023085	3492	1996-11-05	VYDAJ	PREVOD NA UCET	4962	26926	 	AB	556761
1023086	3492	1996-12-05	VYDAJ	PREVOD NA UCET	4962	26285	 	AB	556761
1023087	3492	1997-01-05	VYDAJ	PREVOD NA UCET	4962	31540	 	AB	556761
1023088	3492	1997-02-05	VYDAJ	PREVOD NA UCET	4962	22631	 	AB	556761
1023089	3492	1997-03-05	VYDAJ	PREVOD NA UCET	4962	26666	 	AB	556761
1023090	3492	1997-04-05	VYDAJ	PREVOD NA UCET	4962	32920	 	AB	556761
1023091	3492	1997-05-05	VYDAJ	PREVOD NA UCET	4962	38298	 	AB	556761
1023092	3492	1997-06-05	VYDAJ	PREVOD NA UCET	4962	38700	 	AB	556761
1023093	3492	1997-07-05	VYDAJ	PREVOD NA UCET	4962	41102	 	AB	556761
1023094	3492	1997-08-05	VYDAJ	PREVOD NA UCET	4962	43418	 	AB	556761
1023095	3492	1997-09-05	VYDAJ	PREVOD NA UCET	4962	42041	 	AB	556761
1023096	3492	1997-10-05	VYDAJ	PREVOD NA UCET	4962	41151	 	AB	556761
1023097	3492	1997-11-05	VYDAJ	PREVOD NA UCET	4962	41256	 	AB	556761
1023098	3492	1997-12-05	VYDAJ	PREVOD NA UCET	4962	38191	 	AB	556761
1023099	3492	1998-01-05	VYDAJ	PREVOD NA UCET	4962	39492	 	AB	556761
1023100	3492	1998-02-05	VYDAJ	PREVOD NA UCET	4962	36333	 	AB	556761
1023101	3492	1998-03-05	VYDAJ	PREVOD NA UCET	4962	41518	 	AB	556761
1023102	3492	1998-04-05	VYDAJ	PREVOD NA UCET	4962	38957	 	AB	556761
1023103	3492	1998-05-05	VYDAJ	PREVOD NA UCET	4962	34882	 	AB	556761
1023104	3492	1998-06-05	VYDAJ	PREVOD NA UCET	4962	34150	 	AB	556761
1023105	3492	1998-07-05	VYDAJ	PREVOD NA UCET	4962	38522	 	AB	556761
1023106	3492	1998-08-05	VYDAJ	PREVOD NA UCET	4962	34307	 	AB	556761
1023107	3492	1998-09-05	VYDAJ	PREVOD NA UCET	4962	25488	 	AB	556761
1023108	3492	1998-10-05	VYDAJ	PREVOD NA UCET	4962	16915	 	AB	556761
1023109	3492	1998-11-05	VYDAJ	PREVOD NA UCET	4962	15108	 	AB	556761
1023110	3492	1998-12-05	VYDAJ	PREVOD NA UCET	4962	13693	 	AB	556761
1023112	3492	1996-06-24	VYDAJ	VYBER	8800	30656	\N	\N	\N
1023113	3492	1997-06-26	VYDAJ	VYBER	6560	57917	\N	\N	\N
1023116	3492	1996-12-16	VYDAJ	VYBER	2400	51702	\N	\N	\N
1023117	3492	1997-12-25	VYDAJ	VYBER	4320	56528	\N	\N	\N
1023118	3492	1998-12-13	VYDAJ	VYBER	1120	40391	\N	\N	\N
1023131	3492	1997-01-12	VYDAJ	VYBER	2880	43430	\N	\N	\N
1023132	3492	1997-01-26	VYDAJ	VYBER	3360	34550	\N	\N	\N
1023133	3492	1997-01-25	VYDAJ	VYBER	1920	37910	\N	\N	\N
1023134	3492	1997-01-12	VYDAJ	VYBER	2280	46310	\N	\N	\N
1023135	3492	1997-01-29	VYDAJ	VYBER	3120	31430	\N	\N	\N
1023136	3492	1997-01-15	VYDAJ	VYBER	2280	41150	\N	\N	\N
1023137	3492	1998-01-30	VYDAJ	VYBER	1200	41102	\N	\N	\N
1023138	3492	1998-01-20	VYDAJ	VYBER	720	50302	\N	\N	\N
1023139	3492	1998-01-22	VYDAJ	VYBER	1680	48622	\N	\N	\N
1023140	3492	1998-01-24	VYDAJ	VYBER	1920	46702	\N	\N	\N
1023141	3492	1998-01-06	VYDAJ	VYBER	3480	57547	\N	\N	\N
1023142	3492	1998-01-18	VYDAJ	VYBER	2040	51022	\N	\N	\N
1023149	3492	1996-08-29	VYDAJ	VYBER	1560	33544	\N	\N	\N
1023150	3492	1996-08-13	VYDAJ	VYBER	720	40504	\N	\N	\N
1023151	3492	1996-07-21	VYDAJ	VYBER	3360	27425	\N	\N	\N
1023152	3492	1996-08-22	VYDAJ	VYBER	5400	35104	\N	\N	\N
1023153	3492	1996-02-10	VYDAJ	VYBER	3120	43270	\N	\N	\N
1023154	3492	1997-12-15	VYDAJ	VYBER	720	65288	\N	\N	\N
1023155	3492	1997-11-07	VYDAJ	VYBER	2040	60751	\N	\N	\N
1023156	3492	1997-01-17	VYDAJ	VYBER	1320	39830	\N	\N	\N
1023157	3492	1997-06-18	VYDAJ	VYBER	2040	64477	\N	\N	\N
1023158	3492	1997-12-16	VYDAJ	VYBER	4440	60848	\N	\N	\N
1023159	3492	1997-12-29	VYDAJ	VYBER	3600	44228	\N	\N	\N
1023160	3492	1997-11-22	VYDAJ	VYBER	4320	51946	\N	\N	\N
1023161	3492	1998-04-08	VYDAJ	VYBER	2880	57612	\N	\N	\N
1023162	3492	1998-03-17	VYDAJ	VYBER	2400	56168	\N	\N	\N
1023163	3492	1998-09-27	VYDAJ	VYBER	5400	21738	\N	\N	\N
1023164	3492	1998-09-04	VYDAJ	VYBER	3600	30450	\N	\N	\N
1023165	3492	1998-05-09	VYDAJ	VYBER	3000	53417	\N	\N	\N
1023166	3492	1998-08-13	VYDAJ	VYBER	1680	49677	\N	\N	\N
1023167	3492	1998-05-02	VYDAJ	VYBER	2280	39844	\N	\N	\N
1023168	3492	1998-03-24	VYDAJ	VYBER	2160	54008	\N	\N	\N
1023183	3492	1996-02-29	VYDAJ	VYBER	15	38940	SLUZBY	\N	\N
1023184	3492	1996-03-31	VYDAJ	VYBER	15	33665	SLUZBY	\N	\N
1023185	3492	1996-04-30	VYDAJ	VYBER	15	33281	SLUZBY	\N	\N
1023186	3492	1996-05-31	VYDAJ	VYBER	15	34201	SLUZBY	\N	\N
1023187	3492	1996-06-30	VYDAJ	VYBER	15	30797	SLUZBY	\N	\N
1023188	3492	1996-07-31	VYDAJ	VYBER	15	27536	SLUZBY	\N	\N
1023189	3492	1996-08-31	VYDAJ	VYBER	15	33685	SLUZBY	\N	\N
1023190	3492	1996-09-30	VYDAJ	VYBER	15	41026	SLUZBY	\N	\N
1023191	3492	1996-10-31	VYDAJ	VYBER	15	46088	SLUZBY	\N	\N
1023192	3492	1996-11-30	VYDAJ	VYBER	15	44147	SLUZBY	\N	\N
1023193	3492	1996-12-31	VYDAJ	VYBER	15	51902	SLUZBY	\N	\N
1023194	3492	1997-01-31	VYDAJ	VYBER	15	31593	SLUZBY	\N	\N
1023195	3492	1997-02-28	VYDAJ	VYBER	15	39828	SLUZBY	\N	\N
1023196	3492	1997-03-31	VYDAJ	VYBER	15	43882	SLUZBY	\N	\N
1023197	3492	1997-04-30	VYDAJ	VYBER	15	50160	SLUZBY	\N	\N
1023198	3492	1997-05-31	VYDAJ	VYBER	15	55562	SLUZBY	\N	\N
1023199	3492	1997-06-30	VYDAJ	VYBER	15	58164	SLUZBY	\N	\N
1023200	3492	1997-07-31	VYDAJ	VYBER	15	58380	SLUZBY	\N	\N
1023201	3492	1997-08-31	VYDAJ	VYBER	15	47003	SLUZBY	\N	\N
1023202	3492	1997-09-30	VYDAJ	VYBER	15	46113	SLUZBY	\N	\N
1023203	3492	1997-10-31	VYDAJ	VYBER	15	46218	SLUZBY	\N	\N
1023204	3492	1997-11-30	VYDAJ	VYBER	15	43153	SLUZBY	\N	\N
1023205	3492	1997-12-31	VYDAJ	VYBER	15	44454	SLUZBY	\N	\N
1023206	3492	1998-01-31	VYDAJ	VYBER	15	41295	SLUZBY	\N	\N
1023207	3492	1998-02-28	VYDAJ	VYBER	15	46480	SLUZBY	\N	\N
1023208	3492	1998-03-31	VYDAJ	VYBER	15	43919	SLUZBY	\N	\N
1023209	3492	1998-04-30	VYDAJ	VYBER	15	42124	SLUZBY	\N	\N
1023210	3492	1998-05-31	VYDAJ	VYBER	15	39112	SLUZBY	\N	\N
1023211	3492	1998-06-30	VYDAJ	VYBER	15	43484	SLUZBY	\N	\N
1023212	3492	1998-07-31	VYDAJ	VYBER	15	39269	SLUZBY	\N	\N
1023213	3492	1998-08-31	VYDAJ	VYBER	15	34050	SLUZBY	\N	\N
1023214	3492	1998-09-30	VYDAJ	VYBER	15	21877	SLUZBY	\N	\N
1023215	3492	1998-10-31	VYDAJ	VYBER	15	20070	SLUZBY	\N	\N
1023216	3492	1998-11-30	VYDAJ	VYBER	15	18655	SLUZBY	\N	\N
1023217	3492	1995-10-10	VYDAJ	VYBER	2400	19735	\N	\N	\N
1023218	3492	1995-11-09	VYDAJ	VYBER	7800	33528	\N	\N	\N
1023219	3492	1995-12-09	VYDAJ	VYBER	19600	46355	\N	\N	\N
1023220	3492	1996-01-08	VYDAJ	VYBER	24200	43870	\N	\N	\N
1023221	3492	1996-02-07	VYDAJ	VYBER	19200	46390	\N	\N	\N
1023222	3492	1996-03-08	VYDAJ	VYBER	17500	38013	\N	\N	\N
1023223	3492	1996-04-07	VYDAJ	VYBER	12600	37638	\N	\N	\N
1023224	3492	1996-05-07	VYDAJ	VYBER	11300	38554	\N	\N	\N
1023225	3492	1996-06-06	VYDAJ	VYBER	17600	43941	\N	\N	\N
1023226	3492	1996-07-06	VYDAJ	VYBER	12100	35270	\N	\N	\N
1023227	3492	1996-08-05	PRIJEM	VKLAD	1600	29136	\N	\N	\N
1023228	3492	1996-09-04	VYDAJ	VYBER	4900	28785	\N	\N	\N
1023229	3492	1996-10-04	VYDAJ	VYBER	7200	33826	\N	\N	\N
1023230	3492	1996-11-03	VYDAJ	VYBER	14200	31888	\N	\N	\N
1023231	3492	1996-12-03	VYDAJ	VYBER	12900	31247	\N	\N	\N
1023232	3492	1997-01-02	VYDAJ	VYBER	15400	36502	\N	\N	\N
1023233	3492	1997-02-01	VYDAJ	VYBER	4000	27593	\N	\N	\N
1023234	3492	1997-03-03	VYDAJ	VYBER	8200	31628	\N	\N	\N
1023235	3492	1997-04-02	VYDAJ	VYBER	6000	37882	\N	\N	\N
1023236	3492	1997-05-02	VYDAJ	VYBER	6900	43260	\N	\N	\N
1023237	3492	1997-06-01	VYDAJ	VYBER	11900	43662	\N	\N	\N
1023238	3492	1997-07-01	VYDAJ	VYBER	12100	46064	\N	\N	\N
1023239	3492	1997-07-31	VYDAJ	VYBER	10000	48380	\N	\N	\N
1023240	3492	1997-08-30	VYDAJ	VYBER	13700	46768	\N	\N	\N
1023241	3492	1997-09-29	VYDAJ	VYBER	13200	45891	\N	\N	\N
1023242	3492	1997-10-29	VYDAJ	VYBER	12200	46001	\N	\N	\N
1023243	3492	1997-11-28	VYDAJ	VYBER	9000	42946	\N	\N	\N
1023244	3492	1997-12-28	VYDAJ	VYBER	8700	47828	\N	\N	\N
1023245	3492	1998-01-27	VYDAJ	VYBER	4400	42302	\N	\N	\N
1023246	3492	1998-02-26	VYDAJ	VYBER	7100	46283	\N	\N	\N
1023247	3492	1998-03-28	VYDAJ	VYBER	10300	43708	\N	\N	\N
1023248	3492	1998-04-27	VYDAJ	VYBER	11200	41927	\N	\N	\N
1023249	3492	1998-05-27	VYDAJ	VYBER	10000	38932	\N	\N	\N
1023250	3492	1998-06-26	VYDAJ	VYBER	18700	43267	\N	\N	\N
1023251	3492	1998-07-26	VYDAJ	VYBER	16500	39072	\N	\N	\N
1023252	3492	1998-08-25	VYDAJ	VYBER	15800	33877	\N	\N	\N
1023253	3492	1998-09-24	VYDAJ	VYBER	15400	27138	\N	\N	\N
1023254	3492	1998-10-24	VYDAJ	VYBER	14000	19965	\N	\N	\N
1023255	3492	1998-11-23	VYDAJ	VYBER	13600	18558	\N	\N	\N
1023295	3493	1993-07-22	PRIJEM	VKLAD	800	800	\N	\N	\N
1023303	3493	1993-08-14	PRIJEM	PREVOD Z UCTU	3416	4216	\N	AB	46463418
1023304	3493	1993-09-14	PRIJEM	PREVOD Z UCTU	3416	7632	\N	AB	46463418
1023305	3493	1993-10-14	PRIJEM	PREVOD Z UCTU	3416	11048	\N	AB	46463418
1023306	3493	1993-11-14	PRIJEM	PREVOD Z UCTU	3416	14464	\N	AB	46463418
1023307	3493	1993-12-14	PRIJEM	PREVOD Z UCTU	3416	17880	\N	AB	46463418
1023308	3493	1994-01-14	PRIJEM	PREVOD Z UCTU	3416	18441	\N	AB	46463418
1023309	3493	1994-02-14	PRIJEM	PREVOD Z UCTU	3416	19121	\N	AB	46463418
1023310	3493	1994-03-14	PRIJEM	PREVOD Z UCTU	3416	20313	\N	AB	46463418
1023311	3493	1994-04-14	PRIJEM	PREVOD Z UCTU	3416	20250	\N	AB	46463418
1023312	3493	1994-05-14	PRIJEM	PREVOD Z UCTU	3416	21453	\N	AB	46463418
1023313	3493	1994-06-14	PRIJEM	PREVOD Z UCTU	3416	21363	\N	AB	46463418
1023314	3493	1994-07-14	PRIJEM	PREVOD Z UCTU	3416	16200	\N	AB	46463418
1023315	3493	1994-08-14	PRIJEM	PREVOD Z UCTU	3416	17386	\N	AB	46463418
1023316	3493	1994-09-14	PRIJEM	PREVOD Z UCTU	3416	18577	\N	AB	46463418
1023317	3493	1994-10-14	PRIJEM	PREVOD Z UCTU	3416	17785	\N	AB	46463418
1023318	3493	1994-11-14	PRIJEM	PREVOD Z UCTU	3416	18972	\N	AB	46463418
1023319	3493	1994-12-14	PRIJEM	PREVOD Z UCTU	3416	19803	\N	AB	46463418
1023320	3493	1995-01-14	PRIJEM	PREVOD Z UCTU	3416	19565	\N	AB	46463418
1023321	3493	1995-02-14	PRIJEM	PREVOD Z UCTU	3416	20767	\N	AB	46463418
1023322	3493	1995-03-14	PRIJEM	PREVOD Z UCTU	3416	20077	\N	AB	46463418
1023323	3493	1995-04-14	PRIJEM	PREVOD Z UCTU	3416	19352	\N	AB	46463418
1023324	3493	1995-05-14	PRIJEM	PREVOD Z UCTU	3416	20277	\N	AB	46463418
1023325	3493	1995-06-14	PRIJEM	PREVOD Z UCTU	3416	19314	\N	AB	46463418
1023326	3493	1995-07-14	PRIJEM	PREVOD Z UCTU	3416	19646	\N	AB	46463418
1023327	3493	1995-08-14	PRIJEM	PREVOD Z UCTU	3416	20847	\N	AB	46463418
1023328	3493	1995-09-14	PRIJEM	PREVOD Z UCTU	3416	22052	\N	AB	46463418
1023329	3493	1995-10-14	PRIJEM	PREVOD Z UCTU	3416	23257	\N	AB	46463418
1023330	3493	1995-11-14	PRIJEM	PREVOD Z UCTU	3416	24471	\N	AB	46463418
1023331	3493	1995-12-14	PRIJEM	PREVOD Z UCTU	3416	25691	\N	AB	46463418
1023332	3493	1996-01-14	PRIJEM	PREVOD Z UCTU	3416	26339	\N	AB	46463418
1023333	3493	1996-02-14	PRIJEM	PREVOD Z UCTU	3416	24765	\N	AB	46463418
1023334	3493	1996-03-14	PRIJEM	PREVOD Z UCTU	3416	25981	\N	AB	46463418
1023335	3493	1996-04-14	PRIJEM	PREVOD Z UCTU	3416	27201	\N	AB	46463418
1023336	3493	1996-05-14	PRIJEM	PREVOD Z UCTU	3416	28427	\N	AB	46463418
1023337	3493	1996-06-14	PRIJEM	PREVOD Z UCTU	3416	29663	\N	AB	46463418
1023338	3493	1996-07-14	PRIJEM	PREVOD Z UCTU	3416	28675	\N	AB	46463418
1023339	3493	1996-08-14	PRIJEM	PREVOD Z UCTU	3416	29907	\N	AB	46463418
1023340	3493	1996-09-14	PRIJEM	PREVOD Z UCTU	3416	30939	\N	AB	46463418
1023341	3493	1996-10-14	PRIJEM	PREVOD Z UCTU	3416	31519	\N	AB	46463418
1023342	3493	1996-11-14	PRIJEM	PREVOD Z UCTU	3416	30874	\N	AB	46463418
1023343	3493	1996-12-14	PRIJEM	PREVOD Z UCTU	3416	32114	\N	AB	46463418
1023344	3493	1997-01-14	PRIJEM	PREVOD Z UCTU	3416	32824	\N	AB	46463418
1023345	3493	1997-02-14	PRIJEM	PREVOD Z UCTU	3416	33472	\N	AB	46463418
1023346	3493	1997-03-14	PRIJEM	PREVOD Z UCTU	3416	34728	\N	AB	46463418
1023347	3493	1997-04-14	PRIJEM	PREVOD Z UCTU	3416	35985	\N	AB	46463418
1023348	3493	1997-05-14	PRIJEM	PREVOD Z UCTU	3416	35987	\N	AB	46463418
1023349	3493	1997-06-14	PRIJEM	PREVOD Z UCTU	3416	37251	\N	AB	46463418
1023350	3493	1997-07-14	PRIJEM	PREVOD Z UCTU	3416	33048	\N	AB	46463418
1023351	3493	1997-08-14	PRIJEM	PREVOD Z UCTU	3416	33727	\N	AB	46463418
1023352	3493	1997-09-14	PRIJEM	PREVOD Z UCTU	3416	34979	\N	AB	46463418
1023353	3493	1997-10-14	PRIJEM	PREVOD Z UCTU	3416	36236	\N	AB	46463418
1023354	3493	1997-11-14	PRIJEM	PREVOD Z UCTU	3416	37078	\N	AB	46463418
1023355	3493	1997-12-14	PRIJEM	PREVOD Z UCTU	3416	36730	\N	AB	46463418
1023356	3493	1998-01-14	PRIJEM	PREVOD Z UCTU	3416	35092	\N	AB	46463418
1023357	3493	1998-02-14	PRIJEM	PREVOD Z UCTU	3416	36354	\N	AB	46463418
1023358	3493	1998-03-14	PRIJEM	PREVOD Z UCTU	3416	37617	\N	AB	46463418
1023359	3493	1998-04-14	PRIJEM	PREVOD Z UCTU	3416	38885	\N	AB	46463418
1023360	3493	1998-05-14	PRIJEM	PREVOD Z UCTU	3416	40163	\N	AB	46463418
1023361	3493	1998-06-14	PRIJEM	PREVOD Z UCTU	3416	34242	\N	AB	46463418
1023362	3493	1998-07-14	PRIJEM	PREVOD Z UCTU	3416	35233	\N	AB	46463418
1023363	3493	1998-08-14	PRIJEM	PREVOD Z UCTU	3416	36497	\N	AB	46463418
1023364	3493	1998-09-14	PRIJEM	PREVOD Z UCTU	3416	37765	\N	AB	46463418
1023365	3493	1998-10-14	PRIJEM	PREVOD Z UCTU	3416	39033	\N	AB	46463418
1023366	3493	1998-11-14	PRIJEM	PREVOD Z UCTU	3416	39809	\N	AB	46463418
1023367	3493	1998-12-14	PRIJEM	PREVOD Z UCTU	3416	40725	\N	AB	46463418
1023379	3493	1993-12-14	VYDAJ	PREVOD NA UCET	2277	15603	SIPO	WX	38925045
1023380	3493	1994-01-14	VYDAJ	PREVOD NA UCET	2277	16164	SIPO	WX	38925045
1023381	3493	1994-02-14	VYDAJ	PREVOD NA UCET	2277	16844	SIPO	WX	38925045
1023382	3493	1994-03-14	VYDAJ	PREVOD NA UCET	2277	18036	SIPO	WX	38925045
1023383	3493	1994-04-14	VYDAJ	PREVOD NA UCET	2277	17973	SIPO	WX	38925045
1023384	3493	1994-05-14	VYDAJ	PREVOD NA UCET	2277	19176	SIPO	WX	38925045
1023385	3493	1994-06-14	VYDAJ	PREVOD NA UCET	2277	19086	SIPO	WX	38925045
1023386	3493	1994-07-14	VYDAJ	PREVOD NA UCET	2277	13923	SIPO	WX	38925045
1023387	3493	1994-08-14	VYDAJ	PREVOD NA UCET	2277	15109	SIPO	WX	38925045
1023388	3493	1994-09-14	VYDAJ	PREVOD NA UCET	2277	16300	SIPO	WX	38925045
1023389	3493	1994-10-14	VYDAJ	PREVOD NA UCET	2277	15508	SIPO	WX	38925045
1023390	3493	1994-11-14	VYDAJ	PREVOD NA UCET	2277	16695	SIPO	WX	38925045
1023391	3493	1994-12-14	VYDAJ	PREVOD NA UCET	2277	17526	SIPO	WX	38925045
1023392	3493	1995-01-14	VYDAJ	PREVOD NA UCET	2277	17288	SIPO	WX	38925045
1023393	3493	1995-02-14	VYDAJ	PREVOD NA UCET	2277	18490	SIPO	WX	38925045
1023394	3493	1995-03-14	VYDAJ	PREVOD NA UCET	2277	17800	SIPO	WX	38925045
1023395	3493	1995-04-14	VYDAJ	PREVOD NA UCET	2277	17075	SIPO	WX	38925045
1023396	3493	1995-05-14	VYDAJ	PREVOD NA UCET	2277	18000	SIPO	WX	38925045
1023397	3493	1995-06-14	VYDAJ	PREVOD NA UCET	2277	17037	SIPO	WX	38925045
1023398	3493	1995-07-14	VYDAJ	PREVOD NA UCET	2277	17369	SIPO	WX	38925045
1023399	3493	1995-08-14	VYDAJ	PREVOD NA UCET	2277	18570	SIPO	WX	38925045
1023400	3493	1995-09-14	VYDAJ	PREVOD NA UCET	2277	19775	SIPO	WX	38925045
1023401	3493	1995-10-14	VYDAJ	PREVOD NA UCET	2277	20980	SIPO	WX	38925045
1023402	3493	1995-11-14	VYDAJ	PREVOD NA UCET	2277	22194	SIPO	WX	38925045
1023403	3493	1995-12-14	VYDAJ	PREVOD NA UCET	2277	23414	SIPO	WX	38925045
1023404	3493	1996-01-14	VYDAJ	PREVOD NA UCET	2277	24062	SIPO	WX	38925045
1023405	3493	1996-02-14	VYDAJ	PREVOD NA UCET	2277	22488	SIPO	WX	38925045
1023406	3493	1996-03-14	VYDAJ	PREVOD NA UCET	2277	23704	SIPO	WX	38925045
1023407	3493	1996-04-14	VYDAJ	PREVOD NA UCET	2277	24924	SIPO	WX	38925045
1023408	3493	1996-05-14	VYDAJ	PREVOD NA UCET	2277	26150	SIPO	WX	38925045
1023409	3493	1996-06-14	VYDAJ	PREVOD NA UCET	2277	27386	SIPO	WX	38925045
1023410	3493	1996-07-14	VYDAJ	PREVOD NA UCET	2277	26398	SIPO	WX	38925045
1023411	3493	1996-08-14	VYDAJ	PREVOD NA UCET	2277	27630	SIPO	WX	38925045
1023412	3493	1996-09-14	VYDAJ	PREVOD NA UCET	2277	28662	SIPO	WX	38925045
1023413	3493	1996-10-14	VYDAJ	PREVOD NA UCET	2277	29242	SIPO	WX	38925045
1023414	3493	1996-11-14	VYDAJ	PREVOD NA UCET	2277	28597	SIPO	WX	38925045
1023415	3493	1996-12-14	VYDAJ	PREVOD NA UCET	2277	29837	SIPO	WX	38925045
1023416	3493	1997-01-14	VYDAJ	PREVOD NA UCET	2277	30547	SIPO	WX	38925045
1023417	3493	1997-02-14	VYDAJ	PREVOD NA UCET	2277	31195	SIPO	WX	38925045
1023418	3493	1997-03-14	VYDAJ	PREVOD NA UCET	2277	32451	SIPO	WX	38925045
1023419	3493	1997-04-14	VYDAJ	PREVOD NA UCET	2277	33708	SIPO	WX	38925045
1023420	3493	1997-05-14	VYDAJ	PREVOD NA UCET	2277	33710	SIPO	WX	38925045
1023421	3493	1997-06-14	VYDAJ	PREVOD NA UCET	2277	34974	SIPO	WX	38925045
1023422	3493	1997-07-14	VYDAJ	PREVOD NA UCET	2277	30771	SIPO	WX	38925045
1023423	3493	1997-08-14	VYDAJ	PREVOD NA UCET	2277	31450	SIPO	WX	38925045
1023424	3493	1997-09-14	VYDAJ	PREVOD NA UCET	2277	32702	SIPO	WX	38925045
1023425	3493	1997-10-14	VYDAJ	PREVOD NA UCET	2277	33959	SIPO	WX	38925045
1023426	3493	1997-11-14	VYDAJ	PREVOD NA UCET	2277	34801	SIPO	WX	38925045
1023427	3493	1997-12-14	VYDAJ	PREVOD NA UCET	2277	34453	SIPO	WX	38925045
1023428	3493	1998-01-14	VYDAJ	PREVOD NA UCET	2277	32815	SIPO	WX	38925045
1023429	3493	1998-02-14	VYDAJ	PREVOD NA UCET	2277	34077	SIPO	WX	38925045
1023430	3493	1998-03-14	VYDAJ	PREVOD NA UCET	2277	35340	SIPO	WX	38925045
1023431	3493	1998-04-14	VYDAJ	PREVOD NA UCET	2277	36608	SIPO	WX	38925045
1023432	3493	1998-05-14	VYDAJ	PREVOD NA UCET	2277	37886	SIPO	WX	38925045
1023433	3493	1998-06-14	VYDAJ	PREVOD NA UCET	2277	31965	SIPO	WX	38925045
1023434	3493	1998-07-14	VYDAJ	PREVOD NA UCET	2277	32956	SIPO	WX	38925045
1023435	3493	1998-08-14	VYDAJ	PREVOD NA UCET	2277	34220	SIPO	WX	38925045
1023436	3493	1998-09-14	VYDAJ	PREVOD NA UCET	2277	35488	SIPO	WX	38925045
1023437	3493	1998-10-14	VYDAJ	PREVOD NA UCET	2277	36756	SIPO	WX	38925045
1023438	3493	1998-11-14	VYDAJ	PREVOD NA UCET	2277	37532	SIPO	WX	38925045
1023439	3493	1998-12-14	VYDAJ	PREVOD NA UCET	2277	38448	SIPO	WX	38925045
1023441	3493	1994-06-26	VYDAJ	VYBER	6120	12726	\N	\N	\N
1023442	3493	1995-06-02	VYDAJ	VYBER	2160	15898	\N	\N	\N
1023443	3493	1996-06-18	VYDAJ	VYBER	2220	25166	\N	\N	\N
1023444	3493	1997-06-17	VYDAJ	VYBER	5460	29514	\N	\N	\N
1023445	3493	1998-06-04	VYDAJ	VYBER	6510	30826	\N	\N	\N
1023447	3493	1994-01-30	VYDAJ	VYBER	510	15654	\N	\N	\N
1023448	3493	1995-01-10	VYDAJ	VYBER	1440	16149	\N	\N	\N
1023449	3493	1996-01-15	VYDAJ	VYBER	2790	21272	\N	\N	\N
1023450	3493	1997-01-30	VYDAJ	VYBER	600	29947	\N	\N	\N
1023451	3493	1998-01-13	VYDAJ	VYBER	2910	31676	\N	\N	\N
1023452	3493	1993-12-23	VYDAJ	VYBER	600	15003	\N	\N	\N
1023453	3493	1994-12-12	VYDAJ	VYBER	360	16387	\N	\N	\N
1023454	3493	1995-12-14	VYDAJ	VYBER	570	22844	\N	\N	\N
1023455	3493	1996-12-26	VYDAJ	VYBER	540	29297	\N	\N	\N
1023456	3493	1997-12-04	VYDAJ	VYBER	150	34784	\N	\N	\N
1023457	3493	1998-12-16	VYDAJ	VYBER	210	38238	\N	\N	\N
1023464	3493	1994-06-16	VYDAJ	VYBER	240	18846	\N	\N	\N
1023465	3493	1994-03-18	VYDAJ	VYBER	630	17406	\N	\N	\N
1023466	3493	1994-09-28	VYDAJ	VYBER	1200	14320	\N	\N	\N
1023467	3493	1994-05-15	VYDAJ	VYBER	1290	17886	\N	\N	\N
1023468	3493	1994-04-05	VYDAJ	VYBER	630	16834	\N	\N	\N
1023469	3493	1994-09-16	VYDAJ	VYBER	780	15520	\N	\N	\N
1023470	3493	1995-03-05	VYDAJ	VYBER	1020	16661	\N	\N	\N
1023471	3493	1995-04-08	VYDAJ	VYBER	660	15936	\N	\N	\N
1023472	3493	1995-07-13	VYDAJ	VYBER	870	16230	\N	\N	\N
1023473	3493	1995-03-17	VYDAJ	VYBER	1260	16540	\N	\N	\N
1023474	3493	1995-04-28	VYDAJ	VYBER	270	16805	\N	\N	\N
1023475	3493	1995-02-20	VYDAJ	VYBER	870	17620	\N	\N	\N
1023476	3493	1996-10-23	VYDAJ	VYBER	1230	28012	\N	\N	\N
1023477	3493	1996-10-26	VYDAJ	VYBER	660	27352	\N	\N	\N
1023478	3493	1996-09-14	VYDAJ	VYBER	660	28002	\N	\N	\N
1023479	3493	1996-09-10	VYDAJ	VYBER	210	27523	\N	\N	\N
1023480	3493	1997-12-11	VYDAJ	VYBER	1470	33314	\N	\N	\N
1023481	3493	1997-10-20	VYDAJ	VYBER	420	33539	\N	\N	\N
1023482	3493	1997-05-13	VYDAJ	VYBER	1260	32571	\N	\N	\N
1023483	3493	1997-07-28	VYDAJ	VYBER	570	30201	\N	\N	\N
1023484	3493	1998-07-12	VYDAJ	VYBER	270	31817	\N	\N	\N
1023485	3493	1998-06-02	VYDAJ	VYBER	690	37336	\N	\N	\N
1023486	3493	1998-12-01	VYDAJ	VYBER	360	37309	\N	\N	\N
1023499	3493	1993-12-31	VYDAJ	VYBER	15	15025	SLUZBY	\N	\N
1023500	3493	1994-01-31	VYDAJ	VYBER	15	15705	SLUZBY	\N	\N
1023501	3493	1994-02-28	VYDAJ	VYBER	15	16897	SLUZBY	\N	\N
1023502	3493	1994-03-31	VYDAJ	VYBER	15	17464	SLUZBY	\N	\N
1023503	3493	1994-04-30	VYDAJ	VYBER	15	18037	SLUZBY	\N	\N
1023504	3493	1994-05-31	VYDAJ	VYBER	15	17947	SLUZBY	\N	\N
1023505	3493	1994-06-30	VYDAJ	VYBER	15	12784	SLUZBY	\N	\N
1023506	3493	1994-07-31	VYDAJ	VYBER	15	13970	SLUZBY	\N	\N
1023507	3493	1994-08-31	VYDAJ	VYBER	15	15161	SLUZBY	\N	\N
1023508	3493	1994-09-30	VYDAJ	VYBER	15	14369	SLUZBY	\N	\N
1023509	3493	1994-10-31	VYDAJ	VYBER	15	15556	SLUZBY	\N	\N
1023510	3493	1994-11-30	VYDAJ	VYBER	15	16747	SLUZBY	\N	\N
1023511	3493	1994-12-31	VYDAJ	VYBER	15	17589	SLUZBY	\N	\N
1023512	3493	1995-01-31	VYDAJ	VYBER	15	17351	SLUZBY	\N	\N
1023513	3493	1995-02-28	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
1023514	3493	1995-03-31	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
1023515	3493	1995-04-30	VYDAJ	VYBER	15	16861	SLUZBY	\N	\N
1023516	3493	1995-05-31	VYDAJ	VYBER	15	18058	SLUZBY	\N	\N
1023517	3493	1995-06-30	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
1023518	3493	1995-07-31	VYDAJ	VYBER	15	17431	SLUZBY	\N	\N
1023519	3493	1995-08-31	VYDAJ	VYBER	15	18636	SLUZBY	\N	\N
1023520	3493	1995-09-30	VYDAJ	VYBER	15	19841	SLUZBY	\N	\N
1023521	3493	1995-10-31	VYDAJ	VYBER	15	21055	SLUZBY	\N	\N
1023522	3493	1995-11-30	VYDAJ	VYBER	15	22275	SLUZBY	\N	\N
1023523	3493	1995-12-31	VYDAJ	VYBER	15	22923	SLUZBY	\N	\N
1023524	3493	1996-01-31	VYDAJ	VYBER	15	21349	SLUZBY	\N	\N
1023525	3493	1996-02-29	VYDAJ	VYBER	15	22565	SLUZBY	\N	\N
1023526	3493	1996-03-31	VYDAJ	VYBER	15	23785	SLUZBY	\N	\N
1023527	3493	1996-04-30	VYDAJ	VYBER	15	25011	SLUZBY	\N	\N
1023528	3493	1996-05-31	VYDAJ	VYBER	15	26247	SLUZBY	\N	\N
1023529	3493	1996-06-30	VYDAJ	VYBER	15	25259	SLUZBY	\N	\N
1023530	3493	1996-07-31	VYDAJ	VYBER	15	26491	SLUZBY	\N	\N
1023531	3493	1996-08-31	VYDAJ	VYBER	15	27733	SLUZBY	\N	\N
1023532	3493	1996-09-30	VYDAJ	VYBER	15	28103	SLUZBY	\N	\N
1023533	3493	1996-10-31	VYDAJ	VYBER	15	27458	SLUZBY	\N	\N
1023534	3493	1996-11-30	VYDAJ	VYBER	15	28698	SLUZBY	\N	\N
1023535	3493	1996-12-31	VYDAJ	VYBER	15	29408	SLUZBY	\N	\N
1023536	3493	1997-01-31	VYDAJ	VYBER	15	30056	SLUZBY	\N	\N
1023537	3493	1997-02-28	VYDAJ	VYBER	15	31312	SLUZBY	\N	\N
1023538	3493	1997-03-31	VYDAJ	VYBER	15	32569	SLUZBY	\N	\N
1023539	3493	1997-04-30	VYDAJ	VYBER	15	33831	SLUZBY	\N	\N
1023540	3493	1997-05-31	VYDAJ	VYBER	15	33835	SLUZBY	\N	\N
1023541	3493	1997-06-30	VYDAJ	VYBER	15	29632	SLUZBY	\N	\N
1023542	3493	1997-07-31	VYDAJ	VYBER	15	30311	SLUZBY	\N	\N
1023543	3493	1997-08-31	VYDAJ	VYBER	15	31563	SLUZBY	\N	\N
1023544	3493	1997-09-30	VYDAJ	VYBER	15	32820	SLUZBY	\N	\N
1023545	3493	1997-10-31	VYDAJ	VYBER	15	33662	SLUZBY	\N	\N
1023546	3493	1997-11-30	VYDAJ	VYBER	15	34934	SLUZBY	\N	\N
1023547	3493	1997-12-31	VYDAJ	VYBER	15	34586	SLUZBY	\N	\N
1023548	3493	1998-01-31	VYDAJ	VYBER	15	32938	SLUZBY	\N	\N
1023549	3493	1998-02-28	VYDAJ	VYBER	15	34201	SLUZBY	\N	\N
1023550	3493	1998-03-31	VYDAJ	VYBER	15	35469	SLUZBY	\N	\N
1023551	3493	1998-04-30	VYDAJ	VYBER	15	36747	SLUZBY	\N	\N
1023552	3493	1998-05-31	VYDAJ	VYBER	15	38026	SLUZBY	\N	\N
1023553	3493	1998-06-30	VYDAJ	VYBER	15	32087	SLUZBY	\N	\N
1023554	3493	1998-07-31	VYDAJ	VYBER	15	33081	SLUZBY	\N	\N
1023555	3493	1998-08-31	VYDAJ	VYBER	15	34349	SLUZBY	\N	\N
1023556	3493	1998-09-30	VYDAJ	VYBER	15	35617	SLUZBY	\N	\N
1023557	3493	1998-10-31	VYDAJ	VYBER	15	36393	SLUZBY	\N	\N
1023558	3493	1998-11-30	VYDAJ	VYBER	15	37669	SLUZBY	\N	\N
1023559	3493	1998-10-24	VYDAJ	VYBER	500	36256	\N	\N	\N
1023621	3494	1996-07-22	PRIJEM	VKLAD	900	900	\N	\N	\N
1023629	3494	1996-08-05	PRIJEM	PREVOD Z UCTU	6027	6927	DUCHOD	KL	79563820
1023630	3494	1996-09-05	PRIJEM	PREVOD Z UCTU	6027	12954	DUCHOD	KL	79563820
1023631	3494	1996-10-05	PRIJEM	PREVOD Z UCTU	6027	18981	DUCHOD	KL	79563820
1023632	3494	1996-11-05	PRIJEM	PREVOD Z UCTU	6027	25008	DUCHOD	KL	79563820
1023633	3494	1996-12-05	PRIJEM	PREVOD Z UCTU	6027	28973	DUCHOD	KL	79563820
1023634	3494	1997-01-05	PRIJEM	PREVOD Z UCTU	6027	25929	DUCHOD	KL	79563820
1023635	3494	1997-02-05	PRIJEM	PREVOD Z UCTU	6027	25590	DUCHOD	KL	79563820
1023636	3494	1997-03-05	PRIJEM	PREVOD Z UCTU	6027	28093	DUCHOD	KL	79563820
1023637	3494	1997-04-05	PRIJEM	PREVOD Z UCTU	6027	30607	DUCHOD	KL	79563820
1023638	3494	1997-05-05	PRIJEM	PREVOD Z UCTU	6027	33131	DUCHOD	KL	79563820
1023639	3494	1997-06-05	PRIJEM	PREVOD Z UCTU	6027	35666	DUCHOD	KL	79563820
1023640	3494	1997-07-05	PRIJEM	PREVOD Z UCTU	6027	19600	DUCHOD	KL	79563820
1023641	3494	1997-08-05	PRIJEM	PREVOD Z UCTU	6027	22081	DUCHOD	KL	79563820
1023642	3494	1997-09-05	PRIJEM	PREVOD Z UCTU	6027	24569	DUCHOD	KL	79563820
1023643	3494	1997-10-05	PRIJEM	PREVOD Z UCTU	6027	27068	DUCHOD	KL	79563820
1023644	3494	1997-11-05	PRIJEM	PREVOD Z UCTU	6027	29017	DUCHOD	KL	79563820
1023645	3494	1997-12-05	PRIJEM	PREVOD Z UCTU	6027	31535	DUCHOD	KL	79563820
1023646	3494	1998-01-05	PRIJEM	PREVOD Z UCTU	6027	33462	DUCHOD	KL	79563820
1023647	3494	1998-02-05	PRIJEM	PREVOD Z UCTU	6027	32920	DUCHOD	KL	79563820
1023648	3494	1998-03-05	PRIJEM	PREVOD Z UCTU	6027	34572	DUCHOD	KL	79563820
1023649	3494	1998-04-05	PRIJEM	PREVOD Z UCTU	6027	33187	DUCHOD	KL	79563820
1023650	3494	1998-05-05	PRIJEM	PREVOD Z UCTU	6027	35722	DUCHOD	KL	79563820
1023651	3494	1998-06-05	PRIJEM	PREVOD Z UCTU	6027	38268	DUCHOD	KL	79563820
1023652	3494	1998-07-05	PRIJEM	PREVOD Z UCTU	6027	35907	DUCHOD	KL	79563820
1023653	3494	1998-08-05	PRIJEM	PREVOD Z UCTU	6027	38453	DUCHOD	KL	79563820
1023654	3494	1998-09-05	PRIJEM	PREVOD Z UCTU	6027	40530	DUCHOD	KL	79563820
1023655	3494	1998-10-05	PRIJEM	PREVOD Z UCTU	6027	43095	DUCHOD	KL	79563820
1023656	3494	1998-11-05	PRIJEM	PREVOD Z UCTU	6027	45671	DUCHOD	KL	79563820
1023657	3494	1998-12-05	PRIJEM	PREVOD Z UCTU	6027	45850	DUCHOD	KL	79563820
1023669	3494	1996-12-06	VYDAJ	PREVOD NA UCET	3599	25374	SIPO	KL	69196706
1023670	3494	1997-01-06	VYDAJ	PREVOD NA UCET	3599	22330	SIPO	KL	69196706
1023671	3494	1997-02-06	VYDAJ	PREVOD NA UCET	3599	21991	SIPO	KL	69196706
1023672	3494	1997-03-06	VYDAJ	PREVOD NA UCET	3599	24494	SIPO	KL	69196706
1023673	3494	1997-04-06	VYDAJ	PREVOD NA UCET	3599	27008	SIPO	KL	69196706
1023674	3494	1997-05-06	VYDAJ	PREVOD NA UCET	3599	29532	SIPO	KL	69196706
1023675	3494	1997-06-06	VYDAJ	PREVOD NA UCET	3599	32067	SIPO	KL	69196706
1023676	3494	1997-07-06	VYDAJ	PREVOD NA UCET	3599	16001	SIPO	KL	69196706
1023677	3494	1997-08-06	VYDAJ	PREVOD NA UCET	3599	18482	SIPO	KL	69196706
1023678	3494	1997-09-06	VYDAJ	PREVOD NA UCET	3599	20970	SIPO	KL	69196706
1023679	3494	1997-10-06	VYDAJ	PREVOD NA UCET	3599	23469	SIPO	KL	69196706
1023680	3494	1997-11-06	VYDAJ	PREVOD NA UCET	3599	25418	SIPO	KL	69196706
1023681	3494	1997-12-06	VYDAJ	PREVOD NA UCET	3599	27936	SIPO	KL	69196706
1023682	3494	1998-01-06	VYDAJ	PREVOD NA UCET	3599	29863	SIPO	KL	69196706
1023683	3494	1998-02-06	VYDAJ	PREVOD NA UCET	3599	29321	SIPO	KL	69196706
1023684	3494	1998-03-06	VYDAJ	PREVOD NA UCET	3599	30973	SIPO	KL	69196706
1023685	3494	1998-04-06	VYDAJ	PREVOD NA UCET	3599	29588	SIPO	KL	69196706
1023686	3494	1998-05-06	VYDAJ	PREVOD NA UCET	3599	32123	SIPO	KL	69196706
1023687	3494	1998-06-06	VYDAJ	PREVOD NA UCET	3599	34669	SIPO	KL	69196706
1023688	3494	1998-07-06	VYDAJ	PREVOD NA UCET	3599	32308	SIPO	KL	69196706
1023689	3494	1998-08-06	VYDAJ	PREVOD NA UCET	3599	34854	SIPO	KL	69196706
1023690	3494	1998-09-06	VYDAJ	PREVOD NA UCET	3599	36931	SIPO	KL	69196706
1023691	3494	1998-10-06	VYDAJ	PREVOD NA UCET	3599	39496	SIPO	KL	69196706
1023692	3494	1998-11-06	VYDAJ	PREVOD NA UCET	3599	42072	SIPO	KL	69196706
1023693	3494	1998-12-06	VYDAJ	PREVOD NA UCET	3599	42251	SIPO	KL	69196706
1023695	3494	1997-06-12	VYDAJ	VYBER	14250	17817	\N	\N	\N
1023696	3494	1998-06-07	VYDAJ	VYBER	4900	29769	\N	\N	\N
1023698	3494	1997-01-25	VYDAJ	VYBER	1400	19490	\N	\N	\N
1023699	3494	1998-01-14	VYDAJ	VYBER	1950	26793	\N	\N	\N
1023700	3494	1996-12-14	VYDAJ	VYBER	650	24724	\N	\N	\N
1023701	3494	1997-12-27	VYDAJ	VYBER	600	27336	\N	\N	\N
1023702	3494	1998-12-24	VYDAJ	VYBER	1450	37401	\N	\N	\N
1023703	3494	1996-12-15	VYDAJ	VYBER	3200	21524	\N	\N	\N
1023707	3494	1997-07-04	VYDAJ	VYBER	2400	13573	\N	\N	\N
1023708	3494	1997-10-22	VYDAJ	VYBER	560	22909	\N	\N	\N
1023710	3494	1997-06-17	VYDAJ	VYBER	1920	15897	\N	\N	\N
1023711	3494	1997-01-20	VYDAJ	VYBER	1440	20890	\N	\N	\N
1023712	3494	1998-03-10	VYDAJ	VYBER	1520	29453	\N	\N	\N
1023713	3494	1998-08-26	VYDAJ	VYBER	480	34374	\N	\N	\N
1023714	3494	1998-03-30	VYDAJ	VYBER	2400	27053	\N	\N	\N
1023715	3494	1998-01-10	VYDAJ	VYBER	1120	28743	\N	\N	\N
1023716	3494	1998-02-13	VYDAJ	VYBER	880	28441	\N	\N	\N
1023729	3494	1996-12-31	VYDAJ	VYBER	15	19902	SLUZBY	\N	\N
1023730	3494	1997-01-31	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
1023731	3494	1997-02-28	VYDAJ	VYBER	15	22066	SLUZBY	\N	\N
1023732	3494	1997-03-31	VYDAJ	VYBER	15	24580	SLUZBY	\N	\N
1023733	3494	1997-04-30	VYDAJ	VYBER	15	27104	SLUZBY	\N	\N
1023734	3494	1997-05-31	VYDAJ	VYBER	15	29639	SLUZBY	\N	\N
1023735	3494	1997-06-30	VYDAJ	VYBER	15	15973	SLUZBY	\N	\N
1023736	3494	1997-07-31	VYDAJ	VYBER	15	16054	SLUZBY	\N	\N
1023737	3494	1997-08-31	VYDAJ	VYBER	15	18542	SLUZBY	\N	\N
1023738	3494	1997-09-30	VYDAJ	VYBER	15	21041	SLUZBY	\N	\N
1023739	3494	1997-10-31	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
1023740	3494	1997-11-30	VYDAJ	VYBER	15	25508	SLUZBY	\N	\N
1023741	3494	1997-12-31	VYDAJ	VYBER	15	27435	SLUZBY	\N	\N
1023742	3494	1998-01-31	VYDAJ	VYBER	15	26893	SLUZBY	\N	\N
1023743	3494	1998-02-28	VYDAJ	VYBER	15	28545	SLUZBY	\N	\N
1023744	3494	1998-03-31	VYDAJ	VYBER	15	27160	SLUZBY	\N	\N
1023745	3494	1998-04-30	VYDAJ	VYBER	15	29695	SLUZBY	\N	\N
1023746	3494	1998-05-31	VYDAJ	VYBER	15	32241	SLUZBY	\N	\N
1023747	3494	1998-06-30	VYDAJ	VYBER	15	29880	SLUZBY	\N	\N
1023748	3494	1998-07-31	VYDAJ	VYBER	15	32426	SLUZBY	\N	\N
1023749	3494	1998-08-31	VYDAJ	VYBER	15	34503	SLUZBY	\N	\N
1023750	3494	1998-09-30	VYDAJ	VYBER	15	37068	SLUZBY	\N	\N
1023751	3494	1998-10-31	VYDAJ	VYBER	15	39644	SLUZBY	\N	\N
1023752	3494	1998-11-30	VYDAJ	VYBER	15	39823	SLUZBY	\N	\N
1023753	3494	1996-11-19	VYDAJ	VYBER	2100	22908	\N	\N	\N
1023754	3494	1996-12-19	VYDAJ	VYBER	1700	19824	\N	\N	\N
1023755	3494	1998-11-09	VYDAJ	VYBER	2400	39672	\N	\N	\N
1023756	3494	1998-12-09	VYDAJ	VYBER	3400	38851	\N	\N	\N
1023783	3495	1996-05-17	PRIJEM	VKLAD	500	500	\N	\N	\N
1023785	3495	1996-09-29	PRIJEM	VKLAD	27965	56565	\N	\N	\N
1023787	3495	1997-12-21	PRIJEM	VKLAD	37401	99324	\N	\N	\N
1023788	3495	1997-03-29	PRIJEM	VKLAD	5082	51534	\N	\N	\N
1023789	3495	1997-01-31	PRIJEM	VKLAD	26587	71729	\N	\N	\N
1023790	3495	1997-12-23	PRIJEM	VKLAD	38991	129615	\N	\N	\N
1023791	3495	1997-06-29	PRIJEM	VKLAD	27947	90410	\N	\N	\N
1023792	3495	1997-06-22	PRIJEM	VKLAD	16889	67358	\N	\N	\N
1023793	3495	1997-01-15	PRIJEM	VKLAD	14942	44930	\N	\N	\N
1023794	3495	1997-05-01	PRIJEM	VKLAD	43040	64128	\N	\N	\N
1023795	3495	1997-05-07	PRIJEM	VKLAD	9064	92110	\N	\N	\N
1023796	3495	1997-05-07	PRIJEM	VKLAD	23997	83046	\N	\N	\N
1023797	3495	1997-09-03	PRIJEM	VKLAD	7415	60829	\N	\N	\N
1023798	3495	1997-12-11	PRIJEM	VKLAD	6806	61923	\N	\N	\N
1023799	3495	1997-12-23	PRIJEM	VKLAD	11536	141151	\N	\N	\N
1023800	3495	1997-11-22	PRIJEM	VKLAD	33460	71888	\N	\N	\N
1023801	3495	1997-04-04	PRIJEM	VKLAD	22485	74210	\N	\N	\N
1023802	3495	1997-03-29	PRIJEM	VKLAD	6600	46452	\N	\N	\N
1023803	3495	1997-02-08	PRIJEM	VKLAD	47163	118892	\N	\N	\N
1023804	3495	1997-07-13	PRIJEM	VKLAD	16471	83140	\N	\N	\N
1023805	3495	1998-12-23	PRIJEM	VKLAD	30557	112350	\N	\N	\N
1023806	3495	1998-10-21	PRIJEM	VKLAD	16715	49976	\N	\N	\N
1023807	3495	1998-05-09	PRIJEM	VKLAD	14097	66140	\N	\N	\N
1023808	3495	1998-11-05	PRIJEM	VKLAD	30661	62459	\N	\N	\N
1023809	3495	1998-12-22	PRIJEM	VKLAD	23439	81793	\N	\N	\N
1023810	3495	1998-09-01	PRIJEM	VKLAD	14216	64315	\N	\N	\N
1023811	3495	1998-03-11	PRIJEM	VKLAD	5710	41104	\N	\N	\N
1023812	3495	1998-12-07	PRIJEM	VKLAD	37135	64354	\N	\N	\N
1023813	3495	1998-07-31	PRIJEM	VKLAD	9328	80576	\N	\N	\N
1023814	3495	1998-07-11	PRIJEM	VKLAD	45819	71014	\N	\N	\N
1023815	3495	1998-09-27	PRIJEM	VKLAD	7524	52860	\N	\N	\N
1023816	3495	1998-06-12	PRIJEM	VKLAD	29954	78275	\N	\N	\N
1023817	3495	1998-04-19	PRIJEM	VKLAD	48101	87670	\N	\N	\N
1023833	3495	1997-04-06	VYDAJ	PREVOD NA UCET	5079	69131	SIPO	UV	9359574
1023834	3495	1997-05-06	VYDAJ	PREVOD NA UCET	5079	59049	SIPO	UV	9359574
1023835	3495	1997-06-06	VYDAJ	PREVOD NA UCET	5079	57969	SIPO	UV	9359574
1023836	3495	1997-07-06	VYDAJ	PREVOD NA UCET	5079	85569	SIPO	UV	9359574
1023837	3495	1997-08-06	VYDAJ	PREVOD NA UCET	5079	60792	SIPO	UV	9359574
1023838	3495	1997-09-06	VYDAJ	PREVOD NA UCET	5079	55750	SIPO	UV	9359574
1023839	3495	1997-10-06	VYDAJ	PREVOD NA UCET	5079	37960	SIPO	UV	9359574
1023840	3495	1997-11-06	VYDAJ	PREVOD NA UCET	5079	32728	SIPO	UV	9359574
1023841	3495	1997-12-06	VYDAJ	PREVOD NA UCET	5079	64117	SIPO	UV	9359574
1023842	3495	1998-01-06	VYDAJ	PREVOD NA UCET	5079	97419	SIPO	UV	9359574
1023843	3495	1998-02-06	VYDAJ	PREVOD NA UCET	5079	31346	SIPO	UV	9359574
1023844	3495	1998-03-06	VYDAJ	PREVOD NA UCET	5079	26394	SIPO	UV	9359574
1023845	3495	1998-04-06	VYDAJ	PREVOD NA UCET	5079	36169	SIPO	UV	9359574
1023846	3495	1998-05-06	VYDAJ	PREVOD NA UCET	5079	66743	SIPO	UV	9359574
1023847	3495	1998-06-06	VYDAJ	PREVOD NA UCET	5079	55321	SIPO	UV	9359574
1023848	3495	1998-07-06	VYDAJ	PREVOD NA UCET	5079	25195	SIPO	UV	9359574
1023849	3495	1998-08-06	VYDAJ	PREVOD NA UCET	5079	51682	SIPO	UV	9359574
1023850	3495	1998-09-06	VYDAJ	PREVOD NA UCET	5079	45336	SIPO	UV	9359574
1023851	3495	1998-10-06	VYDAJ	PREVOD NA UCET	5079	33261	SIPO	UV	9359574
1023852	3495	1998-11-06	VYDAJ	PREVOD NA UCET	5079	57380	SIPO	UV	9359574
1023853	3495	1998-12-06	VYDAJ	PREVOD NA UCET	5079	27219	SIPO	UV	9359574
1023862	3495	1997-11-24	VYBER	VYBER	2876	69012	\N	\N	\N
1023863	3495	1997-04-25	VYBER	VYBER	18184	20920	\N	\N	\N
1023866	3495	1997-04-12	VYBER	VYBER	8627	60504	\N	\N	\N
1023867	3495	1997-07-22	VYBER	VYBER	17583	65557	\N	\N	\N
1023868	3495	1997-06-26	VYBER	VYBER	4895	62463	\N	\N	\N
1023869	3495	1998-10-30	VYBER	VYBER	4338	45638	\N	\N	\N
1023870	3495	1998-04-22	VYBER	VYBER	16059	71611	\N	\N	\N
1023873	3495	1998-06-21	VYDAJ	VYBER	53700	24575	\N	\N	\N
1023876	3495	1998-01-13	VYDAJ	VYBER	15600	42819	\N	\N	\N
1023878	3495	1997-12-22	VYDAJ	VYBER	8700	90624	\N	\N	\N
1023879	3495	1998-12-15	VYDAJ	VYBER	6000	58354	\N	\N	\N
1023892	3495	1998-01-08	VYDAJ	VYBER	3900	61419	\N	\N	\N
1023893	3495	1998-01-19	VYDAJ	VYBER	8400	26019	\N	\N	\N
1023894	3495	1998-01-19	VYDAJ	VYBER	8400	34419	\N	\N	\N
1023896	3495	1998-01-09	VYDAJ	VYBER	3000	58419	\N	\N	\N
1023897	3495	1998-01-29	VYDAJ	VYBER	2100	23919	\N	\N	\N
1023906	3495	1997-04-13	VYDAJ	VYBER	9000	39104	\N	\N	\N
1023907	3495	1997-09-22	VYDAJ	VYBER	6600	42850	\N	\N	\N
1023908	3495	1998-08-20	VYDAJ	VYBER	1800	49882	\N	\N	\N
1023909	3495	1998-12-01	VYDAJ	VYBER	7500	50098	\N	\N	\N
1023910	3495	1998-05-30	VYDAJ	VYBER	6000	60140	\N	\N	\N
1023926	3495	1997-03-31	VYDAJ	VYBER	15	51725	SLUZBY	\N	\N
1023927	3495	1997-04-30	VYDAJ	VYBER	15	21088	SLUZBY	\N	\N
1023928	3495	1997-05-31	VYDAJ	VYBER	15	63048	SLUZBY	\N	\N
1023929	3495	1997-06-30	VYDAJ	VYBER	15	90648	SLUZBY	\N	\N
1023930	3495	1997-07-31	VYDAJ	VYBER	15	65871	SLUZBY	\N	\N
1023931	3495	1997-08-31	VYDAJ	VYBER	15	53414	SLUZBY	\N	\N
1023932	3495	1997-09-30	VYDAJ	VYBER	15	43039	SLUZBY	\N	\N
1023933	3495	1997-10-31	VYDAJ	VYBER	15	37807	SLUZBY	\N	\N
1023934	3495	1997-11-30	VYDAJ	VYBER	15	69196	SLUZBY	\N	\N
1023935	3495	1997-12-31	VYDAJ	VYBER	15	102498	SLUZBY	\N	\N
1023936	3495	1998-01-31	VYDAJ	VYBER	15	24125	SLUZBY	\N	\N
1023937	3495	1998-02-28	VYDAJ	VYBER	15	31473	SLUZBY	\N	\N
1023938	3495	1998-03-31	VYDAJ	VYBER	15	41248	SLUZBY	\N	\N
1023939	3495	1998-04-30	VYDAJ	VYBER	15	71822	SLUZBY	\N	\N
1023940	3495	1998-05-31	VYDAJ	VYBER	15	60400	SLUZBY	\N	\N
1023941	3495	1998-06-30	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
1023942	3495	1998-07-31	VYDAJ	VYBER	15	80561	SLUZBY	\N	\N
1023943	3495	1998-08-31	VYDAJ	VYBER	15	50099	SLUZBY	\N	\N
1023944	3495	1998-09-30	VYDAJ	VYBER	15	53040	SLUZBY	\N	\N
1023945	3495	1998-10-31	VYDAJ	VYBER	15	45798	SLUZBY	\N	\N
1023946	3495	1998-11-30	VYDAJ	VYBER	15	57598	SLUZBY	\N	\N
1023947	3495	1996-06-16	PRIJEM	VKLAD	12800	13300	\N	\N	\N
1023948	3495	1996-07-16	PRIJEM	VKLAD	7800	21100	\N	\N	\N
1023949	3495	1996-08-15	PRIJEM	VKLAD	6100	27200	\N	\N	\N
1023950	3495	1996-09-14	PRIJEM	VKLAD	1400	28600	\N	\N	\N
1023951	3495	1996-10-14	VYDAJ	VYBER	14300	42281	\N	\N	\N
1023952	3495	1996-11-13	VYDAJ	VYBER	2900	39616	\N	\N	\N
1023953	3495	1996-12-13	VYDAJ	VYBER	3800	36052	\N	\N	\N
1023954	3495	1997-01-12	VYDAJ	VYBER	6300	29988	\N	\N	\N
1023955	3495	1997-02-08	VYDAJ	VYBER	50400	68492	\N	\N	\N
1023956	3495	1997-02-11	VYDAJ	VYBER	19400	49092	\N	\N	\N
1023957	3495	1997-03-13	VYDAJ	VYBER	9500	39852	\N	\N	\N
1023958	3495	1997-04-12	VYDAJ	VYBER	12400	48104	\N	\N	\N
1023959	3495	1997-05-12	VYDAJ	VYBER	29300	62810	\N	\N	\N
1023960	3495	1997-06-11	VYDAJ	VYBER	7500	50469	\N	\N	\N
1023961	3495	1997-07-11	VYDAJ	VYBER	18900	66669	\N	\N	\N
1023962	3495	1997-08-10	VYDAJ	VYBER	7600	53192	\N	\N	\N
1023963	3495	1997-09-09	VYDAJ	VYBER	6300	49450	\N	\N	\N
1023964	3495	1997-10-09	VYDAJ	VYBER	300	37660	\N	\N	\N
1023965	3495	1997-11-08	PRIJEM	VKLAD	5700	38428	\N	\N	\N
1023966	3495	1997-12-08	VYDAJ	VYBER	9000	55117	\N	\N	\N
1023967	3495	1997-12-23	VYDAJ	VYBER	39000	102151	\N	\N	\N
1023968	3495	1998-01-07	VYDAJ	VYBER	32100	65319	\N	\N	\N
1023969	3495	1998-02-06	PRIJEM	VKLAD	12300	36425	\N	\N	\N
1023970	3495	1998-03-08	PRIJEM	VKLAD	9000	35394	\N	\N	\N
1023971	3495	1998-04-07	PRIJEM	VKLAD	3400	39569	\N	\N	\N
1023972	3495	1998-05-07	VYDAJ	VYBER	14700	52043	\N	\N	\N
1023973	3495	1998-06-06	VYDAJ	VYBER	7000	48321	\N	\N	\N
1023974	3495	1998-07-06	PRIJEM	VKLAD	5500	30274	\N	\N	\N
1023975	3495	1998-08-05	VYDAJ	VYBER	23800	56761	\N	\N	\N
1023976	3495	1998-09-04	VYDAJ	VYBER	13900	50415	\N	\N	\N
1023977	3495	1998-10-04	VYDAJ	VYBER	14700	38340	\N	\N	\N
1023978	3495	1998-11-03	VYDAJ	VYBER	14000	31798	\N	\N	\N
1023979	3495	1998-12-03	VYDAJ	VYBER	17800	32298	\N	\N	\N
1023980	3495	1998-12-23	VYDAJ	VYBER	27500	84850	\N	\N	\N
1024009	3496	1997-06-11	PRIJEM	VKLAD	700	700	\N	\N	\N
1024016	3496	1997-07-07	PRIJEM	PREVOD Z UCTU	30762	31462	\N	QR	23304033
1024017	3496	1997-08-07	PRIJEM	PREVOD Z UCTU	30762	56095	\N	QR	23304033
1024018	3496	1997-09-07	PRIJEM	PREVOD Z UCTU	30762	71207	\N	QR	23304033
1024019	3496	1997-10-07	PRIJEM	PREVOD Z UCTU	30762	79261	\N	QR	23304033
1024020	3496	1997-11-07	PRIJEM	PREVOD Z UCTU	30762	85444	\N	QR	23304033
1024021	3496	1997-12-07	PRIJEM	PREVOD Z UCTU	46143	100909	\N	QR	23304033
1024022	3496	1998-01-07	PRIJEM	PREVOD Z UCTU	30762	90210	\N	QR	23304033
1024023	3496	1998-02-07	PRIJEM	PREVOD Z UCTU	30762	59508	\N	QR	23304033
1024024	3496	1998-03-07	PRIJEM	PREVOD Z UCTU	30762	62725	\N	QR	23304033
1024025	3496	1998-04-07	PRIJEM	PREVOD Z UCTU	30762	56794	\N	QR	23304033
1024026	3496	1998-05-07	PRIJEM	PREVOD Z UCTU	30762	55509	\N	QR	23304033
1024027	3496	1998-06-07	PRIJEM	PREVOD Z UCTU	46143	75988	\N	QR	23304033
1024028	3496	1998-07-07	PRIJEM	PREVOD Z UCTU	30762	88605	\N	QR	23304033
1024029	3496	1998-08-07	PRIJEM	PREVOD Z UCTU	30762	72106	\N	QR	23304033
1024030	3496	1998-09-07	PRIJEM	PREVOD Z UCTU	30762	74553	\N	QR	23304033
1024031	3496	1998-10-07	PRIJEM	PREVOD Z UCTU	30762	97476	\N	QR	23304033
1024032	3496	1998-11-07	PRIJEM	PREVOD Z UCTU	30762	103867	\N	QR	23304033
1024033	3496	1998-12-07	PRIJEM	PREVOD Z UCTU	46143	123415	\N	QR	23304033
1024034	3496	1997-12-04	VYBER	VYBER	5207	54766	\N	\N	\N
1024043	3496	1998-10-31	VYBER	VYBER	7519	87720	\N	\N	\N
1024044	3496	1998-04-19	VYBER	VYBER	11439	33055	\N	\N	\N
1024045	3496	1998-05-27	VYBER	VYBER	18513	28296	\N	\N	\N
1024046	3496	1998-03-15	VYBER	VYBER	23828	25897	\N	\N	\N
1024047	3496	1998-08-22	VYBER	VYBER	18031	54075	\N	\N	\N
1024049	3496	1998-04-23	VYBER	VYBER	8435	24620	\N	\N	\N
1024050	3496	1998-07-29	VYBER	VYBER	23620	32206	\N	\N	\N
1024051	3496	1998-10-14	VYBER	VYBER	2617	94859	\N	\N	\N
1024052	3496	1998-07-07	VYBER	VYBER	16058	72547	\N	\N	\N
1024053	3496	1998-02-26	VYBER	VYBER	15740	43768	\N	\N	\N
1024054	3496	1998-01-11	VYBER	VYBER	13834	44976	\N	\N	\N
1024055	3496	1998-07-13	VYBER	VYBER	16721	55826	\N	\N	\N
1024059	3496	1998-01-18	VYDAJ	VYBER	20700	24276	\N	\N	\N
1024060	3496	1997-12-09	VYDAJ	VYBER	6000	59209	\N	\N	\N
1024061	3496	1998-12-23	VYDAJ	VYBER	5400	70715	\N	\N	\N
1024067	3496	1998-03-01	VYDAJ	VYBER	12000	31963	\N	\N	\N
1024068	3496	1998-05-31	VYDAJ	VYBER	8400	20045	\N	\N	\N
1024069	3496	1998-08-27	VYDAJ	VYBER	9600	44475	\N	\N	\N
1024070	3496	1998-08-28	VYDAJ	VYBER	12900	31575	\N	\N	\N
1024082	3496	1997-11-30	VYDAJ	VYBER	15	59973	SLUZBY	\N	\N
1024083	3496	1997-12-31	VYDAJ	VYBER	15	59448	SLUZBY	\N	\N
1024084	3496	1998-01-31	VYDAJ	VYBER	15	24446	SLUZBY	\N	\N
1024085	3496	1998-02-28	VYDAJ	VYBER	15	43963	SLUZBY	\N	\N
1024086	3496	1998-03-31	VYDAJ	VYBER	15	26032	SLUZBY	\N	\N
1024087	3496	1998-04-30	VYDAJ	VYBER	15	24747	SLUZBY	\N	\N
1024088	3496	1998-05-31	VYDAJ	VYBER	15	28445	SLUZBY	\N	\N
1024089	3496	1998-06-30	VYDAJ	VYBER	15	76243	SLUZBY	\N	\N
1024090	3496	1998-07-31	VYDAJ	VYBER	15	32444	SLUZBY	\N	\N
1024091	3496	1998-08-31	VYDAJ	VYBER	15	31791	SLUZBY	\N	\N
1024092	3496	1998-09-30	VYDAJ	VYBER	15	74814	SLUZBY	\N	\N
1024093	3496	1998-10-31	VYDAJ	VYBER	15	87705	SLUZBY	\N	\N
1024094	3496	1998-11-30	VYDAJ	VYBER	15	104272	SLUZBY	\N	\N
1024095	3496	1997-07-11	VYDAJ	VYBER	6200	25262	\N	\N	\N
1024096	3496	1997-08-10	VYDAJ	VYBER	15800	40295	\N	\N	\N
1024097	3496	1997-09-09	VYDAJ	VYBER	22900	48307	\N	\N	\N
1024098	3496	1997-10-09	VYDAJ	VYBER	24800	54461	\N	\N	\N
1024099	3496	1997-11-08	VYDAJ	VYBER	25700	59744	\N	\N	\N
1024100	3496	1997-12-08	VYDAJ	VYBER	35700	65209	\N	\N	\N
1024101	3496	1998-01-07	VYDAJ	VYBER	31400	58810	\N	\N	\N
1024102	3496	1998-02-06	PRIJEM	VKLAD	4300	28746	\N	\N	\N
1024103	3496	1998-03-08	VYDAJ	VYBER	13000	49725	\N	\N	\N
1024104	3496	1998-04-07	VYDAJ	VYBER	12300	44494	\N	\N	\N
1024105	3496	1998-05-07	VYDAJ	VYBER	8700	46809	\N	\N	\N
1024106	3496	1998-06-06	PRIJEM	VKLAD	9800	29845	\N	\N	\N
1024107	3496	1998-07-06	VYDAJ	VYBER	18400	57843	\N	\N	\N
1024108	3496	1998-08-05	PRIJEM	VKLAD	8900	41344	\N	\N	\N
1024109	3496	1998-09-04	PRIJEM	VKLAD	12000	43791	\N	\N	\N
1024110	3496	1998-10-04	VYDAJ	VYBER	8100	66714	\N	\N	\N
1024111	3496	1998-11-03	VYDAJ	VYBER	14600	73105	\N	\N	\N
1024112	3496	1998-12-03	VYDAJ	VYBER	27000	77272	\N	\N	\N
1024113	3496	1998-12-07	VYDAJ	VYBER	47300	76115	\N	\N	\N
1024132	3497	1994-08-02	PRIJEM	VKLAD	900	900	\N	\N	\N
1024140	3497	1994-08-11	PRIJEM	VKLAD	19468	20368	\N	\N	\N
1024141	3497	1994-09-11	PRIJEM	VKLAD	19468	40794	\N	\N	\N
1024142	3497	1994-10-11	PRIJEM	VKLAD	19468	53903	\N	\N	\N
1024143	3497	1994-11-11	PRIJEM	VKLAD	19468	60276	\N	\N	\N
1024144	3497	1994-12-11	PRIJEM	VKLAD	29202	73549	\N	\N	\N
1024145	3497	1995-01-11	PRIJEM	VKLAD	19468	58862	\N	\N	\N
1024146	3497	1995-02-11	PRIJEM	VKLAD	19468	46374	\N	\N	\N
1024147	3497	1995-03-11	PRIJEM	VKLAD	19468	50102	\N	\N	\N
1024148	3497	1995-04-11	PRIJEM	VKLAD	19468	53855	\N	\N	\N
1024149	3497	1995-05-11	PRIJEM	VKLAD	19468	57312	\N	\N	\N
1024150	3497	1995-06-11	PRIJEM	VKLAD	29202	66916	\N	\N	\N
1024151	3497	1995-07-11	PRIJEM	VKLAD	19468	37676	\N	\N	\N
1024152	3497	1995-08-11	PRIJEM	VKLAD	19468	47270	\N	\N	\N
1024153	3497	1995-09-11	PRIJEM	VKLAD	19468	51517	\N	\N	\N
1024154	3497	1995-10-11	PRIJEM	VKLAD	19468	50429	\N	\N	\N
1024155	3497	1995-11-11	PRIJEM	VKLAD	19468	55069	\N	\N	\N
1024156	3497	1995-12-11	PRIJEM	VKLAD	29202	64398	\N	\N	\N
1024157	3497	1996-01-11	PRIJEM	VKLAD	19468	56962	\N	\N	\N
1024158	3497	1996-02-11	PRIJEM	VKLAD	19468	46247	\N	\N	\N
1024159	3497	1996-03-11	PRIJEM	VKLAD	19468	45024	\N	\N	\N
1024160	3497	1996-04-11	PRIJEM	VKLAD	19468	48239	\N	\N	\N
1024161	3497	1996-05-11	PRIJEM	VKLAD	19468	49183	\N	\N	\N
1024162	3497	1996-06-11	PRIJEM	VKLAD	29202	64149	\N	\N	\N
1024163	3497	1996-07-11	PRIJEM	VKLAD	19468	61518	\N	\N	\N
1024164	3497	1996-08-11	PRIJEM	VKLAD	19468	64096	\N	\N	\N
1024165	3497	1996-09-11	PRIJEM	VKLAD	19468	61977	\N	\N	\N
1024166	3497	1996-10-11	PRIJEM	VKLAD	19468	58427	\N	\N	\N
1024167	3497	1996-11-11	PRIJEM	VKLAD	19468	61809	\N	\N	\N
1024168	3497	1996-12-11	PRIJEM	VKLAD	29202	68296	\N	\N	\N
1024169	3497	1997-01-11	PRIJEM	VKLAD	19468	49171	\N	\N	\N
1024170	3497	1997-02-11	PRIJEM	VKLAD	19468	45551	\N	\N	\N
1024171	3497	1997-03-11	PRIJEM	VKLAD	19468	52064	\N	\N	\N
1024172	3497	1997-04-11	PRIJEM	VKLAD	19468	58805	\N	\N	\N
1024173	3497	1997-05-11	PRIJEM	VKLAD	19468	60164	\N	\N	\N
1024174	3497	1997-06-11	PRIJEM	VKLAD	29202	66514	\N	\N	\N
1024175	3497	1997-07-11	PRIJEM	VKLAD	19468	65586	\N	\N	\N
1024176	3497	1997-08-11	PRIJEM	VKLAD	19468	65468	\N	\N	\N
1024177	3497	1997-09-11	PRIJEM	VKLAD	19468	62041	\N	\N	\N
1024178	3497	1997-10-11	PRIJEM	VKLAD	19468	54398	\N	\N	\N
1024179	3497	1997-11-11	PRIJEM	VKLAD	19468	57941	\N	\N	\N
1024180	3497	1997-12-11	PRIJEM	VKLAD	29202	69067	\N	\N	\N
1024181	3497	1998-01-11	PRIJEM	VKLAD	19468	61896	\N	\N	\N
1024182	3497	1998-02-11	PRIJEM	VKLAD	19468	46398	\N	\N	\N
1024183	3497	1998-03-11	PRIJEM	VKLAD	19468	53510	\N	\N	\N
1024184	3497	1998-04-11	PRIJEM	VKLAD	19468	62558	\N	\N	\N
1024185	3497	1998-05-11	PRIJEM	VKLAD	19468	66231	\N	\N	\N
1024186	3497	1998-06-11	PRIJEM	VKLAD	29202	77647	\N	\N	\N
1024187	3497	1998-07-11	PRIJEM	VKLAD	19468	69836	\N	\N	\N
1024188	3497	1998-08-11	PRIJEM	VKLAD	19468	71932	\N	\N	\N
1024189	3497	1998-09-11	PRIJEM	VKLAD	19468	70628	\N	\N	\N
1024190	3497	1998-10-11	PRIJEM	VKLAD	19468	73773	\N	\N	\N
1024191	3497	1998-11-11	PRIJEM	VKLAD	19468	75330	\N	\N	\N
1024192	3497	1998-12-11	PRIJEM	VKLAD	29202	92015	\N	\N	\N
1024205	3497	1995-01-06	VYDAJ	PREVOD NA UCET	1611	40594	SIPO	QR	2248609
1024206	3497	1995-02-06	VYDAJ	PREVOD NA UCET	1611	26906	SIPO	QR	2248609
1024207	3497	1995-03-06	VYDAJ	PREVOD NA UCET	1611	30634	SIPO	QR	2248609
1024208	3497	1995-04-06	VYDAJ	PREVOD NA UCET	1611	34387	SIPO	QR	2248609
1024209	3497	1995-05-06	VYDAJ	PREVOD NA UCET	1611	37844	SIPO	QR	2248609
1024210	3497	1995-06-06	VYDAJ	PREVOD NA UCET	1611	37714	SIPO	QR	2248609
1024211	3497	1995-07-06	VYDAJ	PREVOD NA UCET	1611	20608	SIPO	QR	2248609
1024212	3497	1995-08-06	VYDAJ	PREVOD NA UCET	1611	27802	SIPO	QR	2248609
1024213	3497	1995-09-06	VYDAJ	PREVOD NA UCET	1611	32049	SIPO	QR	2248609
1024214	3497	1995-10-06	VYDAJ	PREVOD NA UCET	1611	30961	SIPO	QR	2248609
1024215	3497	1995-11-06	VYDAJ	PREVOD NA UCET	1611	35601	SIPO	QR	2248609
1024216	3497	1995-12-06	VYDAJ	PREVOD NA UCET	1611	35196	SIPO	QR	2248609
1024217	3497	1996-01-06	VYDAJ	PREVOD NA UCET	1611	39294	SIPO	QR	2248609
1024218	3497	1996-02-06	VYDAJ	PREVOD NA UCET	1611	26779	SIPO	QR	2248609
1024219	3497	1996-03-06	VYDAJ	PREVOD NA UCET	1611	25556	SIPO	QR	2248609
1024220	3497	1996-04-06	VYDAJ	PREVOD NA UCET	1611	28771	SIPO	QR	2248609
1024221	3497	1996-05-06	VYDAJ	PREVOD NA UCET	1611	29715	SIPO	QR	2248609
1024222	3497	1996-06-06	VYDAJ	PREVOD NA UCET	1611	34947	SIPO	QR	2248609
1024223	3497	1996-07-06	VYDAJ	PREVOD NA UCET	1611	42050	SIPO	QR	2248609
1024224	3497	1996-08-06	VYDAJ	PREVOD NA UCET	1611	44628	SIPO	QR	2248609
1024225	3497	1996-09-06	VYDAJ	PREVOD NA UCET	1611	42509	SIPO	QR	2248609
1024226	3497	1996-10-06	VYDAJ	PREVOD NA UCET	1611	38959	SIPO	QR	2248609
1024227	3497	1996-11-06	VYDAJ	PREVOD NA UCET	1611	42341	SIPO	QR	2248609
1024228	3497	1996-12-06	VYDAJ	PREVOD NA UCET	1611	42814	SIPO	QR	2248609
1024229	3497	1997-01-06	VYDAJ	PREVOD NA UCET	1611	39423	SIPO	QR	2248609
1024230	3497	1997-02-06	VYDAJ	PREVOD NA UCET	1611	26083	SIPO	QR	2248609
1024231	3497	1997-03-06	VYDAJ	PREVOD NA UCET	1611	32596	SIPO	QR	2248609
1024232	3497	1997-04-06	VYDAJ	PREVOD NA UCET	1611	39337	SIPO	QR	2248609
1024233	3497	1997-05-06	VYDAJ	PREVOD NA UCET	1611	40696	SIPO	QR	2248609
1024234	3497	1997-06-06	VYDAJ	PREVOD NA UCET	1611	37312	SIPO	QR	2248609
1024235	3497	1997-07-06	VYDAJ	PREVOD NA UCET	1611	46118	SIPO	QR	2248609
1024236	3497	1997-08-06	VYDAJ	PREVOD NA UCET	1611	46000	SIPO	QR	2248609
1024237	3497	1997-09-06	VYDAJ	PREVOD NA UCET	1611	42573	SIPO	QR	2248609
1024238	3497	1997-10-06	VYDAJ	PREVOD NA UCET	1611	34930	SIPO	QR	2248609
1024239	3497	1997-11-06	VYDAJ	PREVOD NA UCET	1611	38473	SIPO	QR	2248609
1024240	3497	1997-12-06	VYDAJ	PREVOD NA UCET	1611	39865	SIPO	QR	2248609
1024241	3497	1998-01-06	VYDAJ	PREVOD NA UCET	1611	45068	SIPO	QR	2248609
1024242	3497	1998-02-06	VYDAJ	PREVOD NA UCET	1611	26930	SIPO	QR	2248609
1024243	3497	1998-03-06	VYDAJ	PREVOD NA UCET	1611	34042	SIPO	QR	2248609
1024244	3497	1998-04-06	VYDAJ	PREVOD NA UCET	1611	43090	SIPO	QR	2248609
1024245	3497	1998-05-06	VYDAJ	PREVOD NA UCET	1611	46763	SIPO	QR	2248609
1024246	3497	1998-06-06	VYDAJ	PREVOD NA UCET	1611	48445	SIPO	QR	2248609
1024247	3497	1998-07-06	VYDAJ	PREVOD NA UCET	1611	50368	SIPO	QR	2248609
1024248	3497	1998-08-06	VYDAJ	PREVOD NA UCET	1611	52464	SIPO	QR	2248609
1024249	3497	1998-09-06	VYDAJ	PREVOD NA UCET	1611	50660	SIPO	QR	2248609
1024250	3497	1998-10-06	VYDAJ	PREVOD NA UCET	1611	60125	SIPO	QR	2248609
1024251	3497	1998-11-06	VYDAJ	PREVOD NA UCET	1611	61362	SIPO	QR	2248609
1024252	3497	1998-12-06	VYDAJ	PREVOD NA UCET	1611	68213	SIPO	QR	2248609
1024264	3497	1994-12-13	VYDAJ	PREVOD NA UCET	5650	67899	 	KL	58310377
1024265	3497	1995-01-13	VYDAJ	PREVOD NA UCET	5650	51172	 	KL	58310377
1024266	3497	1995-02-13	VYDAJ	PREVOD NA UCET	5650	40724	 	KL	58310377
1024267	3497	1995-03-13	VYDAJ	PREVOD NA UCET	5650	44452	 	KL	58310377
1024268	3497	1995-04-13	VYDAJ	PREVOD NA UCET	5650	48205	 	KL	58310377
1024269	3497	1995-05-13	VYDAJ	PREVOD NA UCET	5650	51662	 	KL	58310377
1024270	3497	1995-06-13	VYDAJ	PREVOD NA UCET	5650	61266	 	KL	58310377
1024271	3497	1995-07-13	VYDAJ	PREVOD NA UCET	5650	32026	 	KL	58310377
1024272	3497	1995-08-13	VYDAJ	PREVOD NA UCET	5650	41620	 	KL	58310377
1024273	3497	1995-09-13	VYDAJ	PREVOD NA UCET	5650	45867	 	KL	58310377
1024274	3497	1995-10-13	VYDAJ	PREVOD NA UCET	5650	44779	 	KL	58310377
1024275	3497	1995-11-13	VYDAJ	PREVOD NA UCET	5650	49419	 	KL	58310377
1024276	3497	1995-12-13	VYDAJ	PREVOD NA UCET	5650	58748	 	KL	58310377
1024277	3497	1996-01-13	VYDAJ	PREVOD NA UCET	5650	50232	 	KL	58310377
1024278	3497	1996-02-13	VYDAJ	PREVOD NA UCET	5650	40597	 	KL	58310377
1024279	3497	1996-03-13	VYDAJ	PREVOD NA UCET	5650	39374	 	KL	58310377
1024280	3497	1996-04-13	VYDAJ	PREVOD NA UCET	5650	42589	 	KL	58310377
1024281	3497	1996-05-13	VYDAJ	PREVOD NA UCET	5650	43533	 	KL	58310377
1024282	3497	1996-06-13	VYDAJ	PREVOD NA UCET	5650	58499	 	KL	58310377
1024283	3497	1996-07-13	VYDAJ	PREVOD NA UCET	5650	55868	 	KL	58310377
1024284	3497	1996-08-13	VYDAJ	PREVOD NA UCET	5650	58446	 	KL	58310377
1024285	3497	1996-09-13	VYDAJ	PREVOD NA UCET	5650	56327	 	KL	58310377
1024286	3497	1996-10-13	VYDAJ	PREVOD NA UCET	5650	52777	 	KL	58310377
1024287	3497	1996-11-13	VYDAJ	PREVOD NA UCET	5650	56159	 	KL	58310377
1024288	3497	1996-12-13	VYDAJ	PREVOD NA UCET	5650	62646	 	KL	58310377
1024289	3497	1997-01-13	VYDAJ	PREVOD NA UCET	5650	41841	 	KL	58310377
1024290	3497	1997-02-13	VYDAJ	PREVOD NA UCET	5650	39901	 	KL	58310377
1024291	3497	1997-03-13	VYDAJ	PREVOD NA UCET	5650	46414	 	KL	58310377
1024292	3497	1997-04-13	VYDAJ	PREVOD NA UCET	5650	53155	 	KL	58310377
1024293	3497	1997-05-13	VYDAJ	PREVOD NA UCET	5650	54514	 	KL	58310377
1024294	3497	1997-06-13	VYDAJ	PREVOD NA UCET	5650	60864	 	KL	58310377
1024295	3497	1997-07-13	VYDAJ	PREVOD NA UCET	5650	59936	 	KL	58310377
1024296	3497	1997-08-13	VYDAJ	PREVOD NA UCET	5650	59818	 	KL	58310377
1024297	3497	1997-09-13	VYDAJ	PREVOD NA UCET	5650	56391	 	KL	58310377
1024298	3497	1997-10-13	VYDAJ	PREVOD NA UCET	5650	48748	 	KL	58310377
1024299	3497	1997-11-13	VYDAJ	PREVOD NA UCET	5650	52291	 	KL	58310377
1024300	3497	1997-12-13	VYDAJ	PREVOD NA UCET	5650	63417	 	KL	58310377
1024301	3497	1998-01-13	VYDAJ	PREVOD NA UCET	5650	39686	 	KL	58310377
1024302	3497	1998-02-13	VYDAJ	PREVOD NA UCET	5650	35648	 	KL	58310377
1024303	3497	1998-03-13	VYDAJ	PREVOD NA UCET	5650	47860	 	KL	58310377
1024304	3497	1998-04-13	VYDAJ	PREVOD NA UCET	5650	48308	 	KL	58310377
1024305	3497	1998-05-13	VYDAJ	PREVOD NA UCET	5650	49981	 	KL	58310377
1024306	3497	1998-06-13	VYDAJ	PREVOD NA UCET	5650	51897	 	KL	58310377
1024307	3497	1998-07-13	VYDAJ	PREVOD NA UCET	5650	53986	 	KL	58310377
1024308	3497	1998-08-13	VYDAJ	PREVOD NA UCET	5650	52182	 	KL	58310377
1024309	3497	1998-09-13	VYDAJ	PREVOD NA UCET	5650	64978	 	KL	58310377
1024310	3497	1998-10-13	VYDAJ	PREVOD NA UCET	5650	68123	 	KL	58310377
1024311	3497	1998-11-13	VYDAJ	PREVOD NA UCET	5650	69680	 	KL	58310377
1024312	3497	1998-12-13	VYDAJ	PREVOD NA UCET	5650	86365	 	KL	58310377
1024324	3497	1994-12-14	VYDAJ	PREVOD NA UCET	118	67781	POJISTNE	KL	42836803
1024325	3497	1995-01-14	VYDAJ	PREVOD NA UCET	118	51054	POJISTNE	KL	42836803
1024326	3497	1995-02-14	VYDAJ	PREVOD NA UCET	118	40606	POJISTNE	KL	42836803
1024327	3497	1995-03-14	VYDAJ	PREVOD NA UCET	118	44334	POJISTNE	KL	42836803
1024328	3497	1995-04-14	VYDAJ	PREVOD NA UCET	118	48087	POJISTNE	KL	42836803
1024329	3497	1995-05-14	VYDAJ	PREVOD NA UCET	118	51544	POJISTNE	KL	42836803
1024330	3497	1995-06-14	VYDAJ	PREVOD NA UCET	118	18108	POJISTNE	KL	42836803
1024331	3497	1995-07-14	VYDAJ	PREVOD NA UCET	118	31908	POJISTNE	KL	42836803
1024332	3497	1995-08-14	VYDAJ	PREVOD NA UCET	118	41502	POJISTNE	KL	42836803
1024333	3497	1995-09-14	VYDAJ	PREVOD NA UCET	118	45749	POJISTNE	KL	42836803
1024334	3497	1995-10-14	VYDAJ	PREVOD NA UCET	118	44661	POJISTNE	KL	42836803
1024335	3497	1995-11-14	VYDAJ	PREVOD NA UCET	118	49301	POJISTNE	KL	42836803
1024336	3497	1995-12-14	VYDAJ	PREVOD NA UCET	118	58630	POJISTNE	KL	42836803
1024337	3497	1996-01-14	VYDAJ	PREVOD NA UCET	118	50114	POJISTNE	KL	42836803
1024338	3497	1996-02-14	VYDAJ	PREVOD NA UCET	118	40479	POJISTNE	KL	42836803
1024339	3497	1996-03-14	VYDAJ	PREVOD NA UCET	118	39256	POJISTNE	KL	42836803
1024340	3497	1996-04-14	VYDAJ	PREVOD NA UCET	118	42471	POJISTNE	KL	42836803
1024341	3497	1996-05-14	VYDAJ	PREVOD NA UCET	118	43415	POJISTNE	KL	42836803
1024342	3497	1996-06-14	VYDAJ	PREVOD NA UCET	118	58381	POJISTNE	KL	42836803
1024343	3497	1996-07-14	VYDAJ	PREVOD NA UCET	118	55750	POJISTNE	KL	42836803
1024344	3497	1996-08-14	VYDAJ	PREVOD NA UCET	118	58328	POJISTNE	KL	42836803
1024345	3497	1996-09-14	VYDAJ	PREVOD NA UCET	118	56209	POJISTNE	KL	42836803
1024346	3497	1996-10-14	VYDAJ	PREVOD NA UCET	118	52659	POJISTNE	KL	42836803
1024347	3497	1996-11-14	VYDAJ	PREVOD NA UCET	118	56041	POJISTNE	KL	42836803
1024348	3497	1996-12-14	VYDAJ	PREVOD NA UCET	118	62528	POJISTNE	KL	42836803
1024349	3497	1997-01-14	VYDAJ	PREVOD NA UCET	118	38723	POJISTNE	KL	42836803
1024350	3497	1997-02-14	VYDAJ	PREVOD NA UCET	118	39783	POJISTNE	KL	42836803
1024351	3497	1997-03-14	VYDAJ	PREVOD NA UCET	118	46296	POJISTNE	KL	42836803
1024352	3497	1997-04-14	VYDAJ	PREVOD NA UCET	118	53037	POJISTNE	KL	42836803
1024353	3497	1997-05-14	VYDAJ	PREVOD NA UCET	118	54396	POJISTNE	KL	42836803
1024354	3497	1997-06-14	VYDAJ	PREVOD NA UCET	118	60746	POJISTNE	KL	42836803
1024355	3497	1997-07-14	VYDAJ	PREVOD NA UCET	118	59818	POJISTNE	KL	42836803
1024356	3497	1997-08-14	VYDAJ	PREVOD NA UCET	118	59700	POJISTNE	KL	42836803
1024357	3497	1997-09-14	VYDAJ	PREVOD NA UCET	118	56273	POJISTNE	KL	42836803
1024358	3497	1997-10-14	VYDAJ	PREVOD NA UCET	118	48630	POJISTNE	KL	42836803
1024359	3497	1997-11-14	VYDAJ	PREVOD NA UCET	118	42273	POJISTNE	KL	42836803
1024360	3497	1997-12-14	VYDAJ	PREVOD NA UCET	118	47099	POJISTNE	KL	42836803
1024361	3497	1998-01-14	VYDAJ	PREVOD NA UCET	118	35248	POJISTNE	KL	42836803
1024362	3497	1998-02-14	VYDAJ	PREVOD NA UCET	118	35530	POJISTNE	KL	42836803
1024363	3497	1998-03-14	VYDAJ	PREVOD NA UCET	118	47742	POJISTNE	KL	42836803
1024364	3497	1998-04-14	VYDAJ	PREVOD NA UCET	118	48190	POJISTNE	KL	42836803
1024365	3497	1998-05-14	VYDAJ	PREVOD NA UCET	118	49863	POJISTNE	KL	42836803
1024366	3497	1998-06-14	VYDAJ	PREVOD NA UCET	118	51779	POJISTNE	KL	42836803
1024367	3497	1998-07-14	VYDAJ	PREVOD NA UCET	118	53868	POJISTNE	KL	42836803
1024368	3497	1998-08-14	VYDAJ	PREVOD NA UCET	118	52064	POJISTNE	KL	42836803
1024369	3497	1998-09-14	VYDAJ	PREVOD NA UCET	118	64860	POJISTNE	KL	42836803
1024370	3497	1998-10-14	VYDAJ	PREVOD NA UCET	118	68005	POJISTNE	KL	42836803
1024371	3497	1998-11-14	VYDAJ	PREVOD NA UCET	118	69562	POJISTNE	KL	42836803
1024372	3497	1998-12-14	VYDAJ	PREVOD NA UCET	118	86247	POJISTNE	KL	42836803
1024374	3497	1995-06-14	VYDAJ	VYBER	43040	18226	\N	\N	\N
1024379	3497	1995-01-25	VYDAJ	VYBER	8800	35654	\N	\N	\N
1024380	3497	1996-01-22	VYDAJ	VYBER	7360	39634	\N	\N	\N
1024381	3497	1997-01-09	VYDAJ	VYBER	8640	29703	\N	\N	\N
1024382	3497	1998-01-11	VYDAJ	VYBER	15680	46216	\N	\N	\N
1024384	3497	1995-12-25	VYDAJ	VYBER	3040	55590	\N	\N	\N
1024385	3497	1996-12-20	VYDAJ	VYBER	4480	42648	\N	\N	\N
1024386	3497	1997-12-01	VYDAJ	VYBER	960	41476	\N	\N	\N
1024387	3497	1998-12-18	VYDAJ	VYBER	3520	82727	\N	\N	\N
1024394	3497	1995-01-08	VYDAJ	VYBER	1200	39394	\N	\N	\N
1024395	3497	1995-01-15	VYDAJ	VYBER	1320	49734	\N	\N	\N
1024396	3497	1995-01-19	VYDAJ	VYBER	960	44454	\N	\N	\N
1024397	3497	1995-01-26	VYDAJ	VYBER	1200	34454	\N	\N	\N
1024398	3497	1995-01-11	VYDAJ	VYBER	2040	56822	\N	\N	\N
1024399	3497	1995-01-02	VYDAJ	VYBER	3000	42205	\N	\N	\N
1024400	3497	1996-01-08	VYDAJ	VYBER	1800	37494	\N	\N	\N
1024401	3497	1996-01-04	VYDAJ	VYBER	2040	40905	\N	\N	\N
1024402	3497	1996-01-12	VYDAJ	VYBER	1080	55882	\N	\N	\N
1024403	3497	1996-01-29	VYDAJ	VYBER	3000	28834	\N	\N	\N
1024404	3497	1996-01-17	VYDAJ	VYBER	1320	46994	\N	\N	\N
1024405	3497	1996-01-14	VYDAJ	VYBER	1800	48314	\N	\N	\N
1024406	3497	1997-01-21	VYDAJ	VYBER	1560	30443	\N	\N	\N
1024407	3497	1997-01-19	VYDAJ	VYBER	720	32003	\N	\N	\N
1024408	3497	1997-01-26	VYDAJ	VYBER	2880	27563	\N	\N	\N
1024409	3497	1997-01-01	VYDAJ	VYBER	1800	41034	\N	\N	\N
1024410	3497	1997-01-08	VYDAJ	VYBER	1080	38343	\N	\N	\N
1024411	3497	1997-01-14	VYDAJ	VYBER	3000	38841	\N	\N	\N
1024412	3497	1998-01-16	VYDAJ	VYBER	1560	33688	\N	\N	\N
1024413	3497	1998-01-02	VYDAJ	VYBER	600	46679	\N	\N	\N
1024414	3497	1998-01-12	VYDAJ	VYBER	1680	44536	\N	\N	\N
1024415	3497	1998-01-07	VYDAJ	VYBER	2640	42428	\N	\N	\N
1024416	3497	1998-01-13	VYDAJ	VYBER	840	35366	\N	\N	\N
1024417	3497	1998-01-13	VYDAJ	VYBER	3480	36206	\N	\N	\N
1024422	3497	1995-08-27	VYDAJ	VYBER	5280	36222	\N	\N	\N
1024423	3497	1995-09-15	VYDAJ	VYBER	4920	40829	\N	\N	\N
1024424	3497	1995-07-06	VYDAJ	VYBER	2400	18208	\N	\N	\N
1024425	3497	1995-12-05	VYDAJ	VYBER	1560	36807	\N	\N	\N
1024426	3497	1995-01-17	VYDAJ	VYBER	4320	45414	\N	\N	\N
1024427	3497	1995-12-30	VYDAJ	VYBER	840	42750	\N	\N	\N
1024428	3497	1996-12-09	VYDAJ	VYBER	1800	39094	\N	\N	\N
1024429	3497	1996-03-03	VYDAJ	VYBER	4440	27167	\N	\N	\N
1024430	3497	1996-12-08	VYDAJ	VYBER	1920	40894	\N	\N	\N
1024431	3497	1996-10-02	VYDAJ	VYBER	720	40570	\N	\N	\N
1024432	3497	1996-10-18	VYDAJ	VYBER	1080	51579	\N	\N	\N
1024433	3497	1996-04-26	VYDAJ	VYBER	1680	31191	\N	\N	\N
1024434	3497	1996-02-02	VYDAJ	VYBER	600	28390	\N	\N	\N
1024435	3497	1997-05-19	VYDAJ	VYBER	4440	38756	\N	\N	\N
1024436	3497	1997-01-11	VYDAJ	VYBER	1680	47491	\N	\N	\N
1024437	3497	1997-10-06	VYDAJ	VYBER	4200	36541	\N	\N	\N
1024438	3497	1998-10-15	VYDAJ	VYBER	5280	62725	\N	\N	\N
1024439	3497	1998-10-10	VYDAJ	VYBER	1920	58205	\N	\N	\N
1024440	3497	1998-01-19	VYDAJ	VYBER	5280	28408	\N	\N	\N
1024441	3497	1998-10-05	VYDAJ	VYBER	3360	61736	\N	\N	\N
1024454	3497	1994-12-31	VYDAJ	VYBER	15	45205	SLUZBY	\N	\N
1024455	3497	1995-01-31	VYDAJ	VYBER	15	28517	SLUZBY	\N	\N
1024456	3497	1995-02-28	VYDAJ	VYBER	15	40745	SLUZBY	\N	\N
1024457	3497	1995-03-31	VYDAJ	VYBER	15	35998	SLUZBY	\N	\N
1024458	3497	1995-04-30	VYDAJ	VYBER	15	39455	SLUZBY	\N	\N
1024459	3497	1995-05-31	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
1024460	3497	1995-06-30	VYDAJ	VYBER	15	22219	SLUZBY	\N	\N
1024461	3497	1995-07-31	VYDAJ	VYBER	15	29413	SLUZBY	\N	\N
1024462	3497	1995-08-31	VYDAJ	VYBER	15	33660	SLUZBY	\N	\N
1024463	3497	1995-09-30	VYDAJ	VYBER	15	32572	SLUZBY	\N	\N
1024464	3497	1995-10-31	VYDAJ	VYBER	15	37212	SLUZBY	\N	\N
1024465	3497	1995-11-30	VYDAJ	VYBER	15	38367	SLUZBY	\N	\N
1024466	3497	1995-12-31	VYDAJ	VYBER	15	42945	SLUZBY	\N	\N
1024467	3497	1996-01-31	VYDAJ	VYBER	15	28990	SLUZBY	\N	\N
1024468	3497	1996-02-29	VYDAJ	VYBER	15	31607	SLUZBY	\N	\N
1024469	3497	1996-03-31	VYDAJ	VYBER	15	30382	SLUZBY	\N	\N
1024470	3497	1996-04-30	VYDAJ	VYBER	15	31326	SLUZBY	\N	\N
1024471	3497	1996-05-31	VYDAJ	VYBER	15	36558	SLUZBY	\N	\N
1024472	3497	1996-06-30	VYDAJ	VYBER	15	43661	SLUZBY	\N	\N
1024473	3497	1996-07-31	VYDAJ	VYBER	15	46239	SLUZBY	\N	\N
1024474	3497	1996-08-31	VYDAJ	VYBER	15	44120	SLUZBY	\N	\N
1024475	3497	1996-09-30	VYDAJ	VYBER	15	41290	SLUZBY	\N	\N
1024476	3497	1996-10-31	VYDAJ	VYBER	15	43952	SLUZBY	\N	\N
1024477	3497	1996-11-30	VYDAJ	VYBER	15	44425	SLUZBY	\N	\N
1024478	3497	1996-12-31	VYDAJ	VYBER	15	42834	SLUZBY	\N	\N
1024479	3497	1997-01-31	VYDAJ	VYBER	15	27694	SLUZBY	\N	\N
1024480	3497	1997-02-28	VYDAJ	VYBER	15	34207	SLUZBY	\N	\N
1024481	3497	1997-03-31	VYDAJ	VYBER	15	40948	SLUZBY	\N	\N
1024482	3497	1997-04-30	VYDAJ	VYBER	15	42307	SLUZBY	\N	\N
1024483	3497	1997-05-31	VYDAJ	VYBER	15	38923	SLUZBY	\N	\N
1024484	3497	1997-06-30	VYDAJ	VYBER	15	47729	SLUZBY	\N	\N
1024485	3497	1997-07-31	VYDAJ	VYBER	15	47611	SLUZBY	\N	\N
1024486	3497	1997-08-31	VYDAJ	VYBER	15	44184	SLUZBY	\N	\N
1024487	3497	1997-09-30	VYDAJ	VYBER	15	40741	SLUZBY	\N	\N
1024488	3497	1997-10-31	VYDAJ	VYBER	15	40084	SLUZBY	\N	\N
1024489	3497	1997-11-30	VYDAJ	VYBER	15	42436	SLUZBY	\N	\N
1024490	3497	1997-12-31	VYDAJ	VYBER	15	47279	SLUZBY	\N	\N
1024491	3497	1998-01-31	VYDAJ	VYBER	15	28541	SLUZBY	\N	\N
1024492	3497	1998-02-28	VYDAJ	VYBER	15	35653	SLUZBY	\N	\N
1024493	3497	1998-03-31	VYDAJ	VYBER	15	44701	SLUZBY	\N	\N
1024494	3497	1998-04-30	VYDAJ	VYBER	15	48374	SLUZBY	\N	\N
1024495	3497	1998-05-31	VYDAJ	VYBER	15	50056	SLUZBY	\N	\N
1024496	3497	1998-06-30	VYDAJ	VYBER	15	51979	SLUZBY	\N	\N
1024497	3497	1998-07-31	VYDAJ	VYBER	15	54075	SLUZBY	\N	\N
1024498	3497	1998-08-31	VYDAJ	VYBER	15	52271	SLUZBY	\N	\N
1024499	3497	1998-09-30	VYDAJ	VYBER	15	65096	SLUZBY	\N	\N
1024500	3497	1998-10-31	VYDAJ	VYBER	15	62973	SLUZBY	\N	\N
1024501	3497	1998-11-30	VYDAJ	VYBER	15	69824	SLUZBY	\N	\N
1024502	3497	1994-09-01	PRIJEM	VKLAD	900	21326	\N	\N	\N
1024503	3497	1994-10-01	VYDAJ	VYBER	6500	34435	\N	\N	\N
1024504	3497	1994-10-31	VYDAJ	VYBER	13300	40808	\N	\N	\N
1024505	3497	1994-11-30	VYDAJ	VYBER	16100	44347	\N	\N	\N
1024506	3497	1994-12-30	VYDAJ	VYBER	22800	44981	\N	\N	\N
1024507	3497	1995-01-29	VYDAJ	VYBER	6100	28354	\N	\N	\N
1024508	3497	1995-02-28	VYDAJ	VYBER	8500	32245	\N	\N	\N
1024509	3497	1995-03-30	VYDAJ	VYBER	8500	35834	\N	\N	\N
1024510	3497	1995-04-29	VYDAJ	VYBER	8800	39287	\N	\N	\N
1024511	3497	1995-05-29	VYDAJ	VYBER	12400	39144	\N	\N	\N
1024512	3497	1995-06-28	PRIJEM	VKLAD	4000	22108	\N	\N	\N
1024513	3497	1995-07-28	VYDAJ	VYBER	2600	29308	\N	\N	\N
1024514	3497	1995-08-27	VYDAJ	VYBER	2700	33522	\N	\N	\N
1024515	3497	1995-09-26	VYDAJ	VYBER	8400	32429	\N	\N	\N
1024516	3497	1995-10-26	VYDAJ	VYBER	7600	37061	\N	\N	\N
1024517	3497	1995-11-25	VYDAJ	VYBER	11100	38201	\N	\N	\N
1024518	3497	1995-12-25	VYDAJ	VYBER	12000	43590	\N	\N	\N
1024519	3497	1996-01-24	VYDAJ	VYBER	7800	31834	\N	\N	\N
1024520	3497	1996-02-23	VYDAJ	VYBER	9000	31479	\N	\N	\N
1024521	3497	1996-03-24	VYDAJ	VYBER	9000	30256	\N	\N	\N
1024522	3497	1996-04-23	VYDAJ	VYBER	9600	32871	\N	\N	\N
1024523	3497	1996-05-23	VYDAJ	VYBER	7000	36415	\N	\N	\N
1024524	3497	1996-06-22	VYDAJ	VYBER	14900	43481	\N	\N	\N
1024525	3497	1996-07-22	VYDAJ	VYBER	9700	46050	\N	\N	\N
1024526	3497	1996-08-21	VYDAJ	VYBER	14400	43928	\N	\N	\N
1024527	3497	1996-09-20	VYDAJ	VYBER	15100	41109	\N	\N	\N
1024528	3497	1996-10-20	VYDAJ	VYBER	7800	43779	\N	\N	\N
1024529	3497	1996-11-19	VYDAJ	VYBER	11800	44241	\N	\N	\N
1024530	3497	1996-12-19	VYDAJ	VYBER	15400	47128	\N	\N	\N
1024531	3497	1997-01-18	VYDAJ	VYBER	6000	32723	\N	\N	\N
1024532	3497	1997-02-17	VYDAJ	VYBER	5700	34083	\N	\N	\N
1024533	3497	1997-03-19	VYDAJ	VYBER	5500	40796	\N	\N	\N
1024534	3497	1997-04-18	VYDAJ	VYBER	10900	42137	\N	\N	\N
1024535	3497	1997-05-18	VYDAJ	VYBER	11200	43196	\N	\N	\N
1024536	3497	1997-06-17	VYDAJ	VYBER	13200	47546	\N	\N	\N
1024537	3497	1997-07-17	VYDAJ	VYBER	12400	47418	\N	\N	\N
1024538	3497	1997-08-16	VYDAJ	VYBER	15700	44000	\N	\N	\N
1024539	3497	1997-09-15	VYDAJ	VYBER	15700	40573	\N	\N	\N
1024540	3497	1997-10-15	VYDAJ	VYBER	8700	39930	\N	\N	\N
1024541	3497	1997-11-14	VYDAJ	VYBER	9900	42391	\N	\N	\N
1024542	3497	1997-12-14	VYDAJ	VYBER	16200	47217	\N	\N	\N
1024543	3497	1998-01-13	PRIJEM	VKLAD	800	45336	\N	\N	\N
1024544	3497	1998-02-12	VYDAJ	VYBER	5100	41298	\N	\N	\N
1024545	3497	1998-03-14	VYDAJ	VYBER	3200	44542	\N	\N	\N
1024546	3497	1998-04-13	VYDAJ	VYBER	8600	53958	\N	\N	\N
1024547	3497	1998-05-13	VYDAJ	VYBER	10600	55631	\N	\N	\N
1024548	3497	1998-06-12	VYDAJ	VYBER	20100	57547	\N	\N	\N
1024549	3497	1998-07-12	VYDAJ	VYBER	10200	59636	\N	\N	\N
1024550	3497	1998-08-11	VYDAJ	VYBER	14100	57832	\N	\N	\N
1024551	3497	1998-09-10	PRIJEM	VKLAD	500	51160	\N	\N	\N
1024552	3497	1998-10-10	VYDAJ	VYBER	3900	54305	\N	\N	\N
1024553	3497	1998-11-09	VYDAJ	VYBER	5500	55862	\N	\N	\N
1024554	3497	1998-12-09	VYDAJ	VYBER	5400	62813	\N	\N	\N
1024608	3498	1996-11-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1024619	3498	1996-11-14	PRIJEM	VKLAD	7948	9048	\N	\N	\N
1024620	3498	1996-12-14	PRIJEM	VKLAD	11922	27391	\N	\N	\N
1024621	3498	1997-01-14	PRIJEM	VKLAD	7948	34821	\N	\N	\N
1024622	3498	1997-02-14	PRIJEM	VKLAD	7948	37902	\N	\N	\N
1024623	3498	1997-03-14	PRIJEM	VKLAD	7948	36502	\N	\N	\N
1024624	3498	1997-04-14	PRIJEM	VKLAD	7948	34458	\N	\N	\N
1024625	3498	1997-05-14	PRIJEM	VKLAD	7948	30205	\N	\N	\N
1024626	3498	1997-06-14	PRIJEM	VKLAD	11922	25070	\N	\N	\N
1024627	3498	1997-07-14	PRIJEM	VKLAD	7948	24292	\N	\N	\N
1024628	3498	1997-08-14	PRIJEM	VKLAD	7948	28787	\N	\N	\N
1024629	3498	1997-09-14	PRIJEM	VKLAD	7948	29400	\N	\N	\N
1024630	3498	1997-10-14	PRIJEM	VKLAD	7948	27598	\N	\N	\N
1024631	3498	1997-11-14	PRIJEM	VKLAD	7948	26208	\N	\N	\N
1024632	3498	1997-12-14	PRIJEM	VKLAD	11922	31189	\N	\N	\N
1024633	3498	1998-01-14	PRIJEM	VKLAD	7948	25640	\N	\N	\N
1024634	3498	1998-02-14	PRIJEM	VKLAD	7948	21749	\N	\N	\N
1024635	3498	1998-03-14	PRIJEM	VKLAD	7948	25630	\N	\N	\N
1024636	3498	1998-04-14	PRIJEM	VKLAD	7948	28130	\N	\N	\N
1024637	3498	1998-05-14	PRIJEM	VKLAD	7948	28301	\N	\N	\N
1024638	3498	1998-06-14	PRIJEM	VKLAD	11922	26987	\N	\N	\N
1024639	3498	1998-07-14	PRIJEM	VKLAD	7948	26895	\N	\N	\N
1024640	3498	1998-08-14	PRIJEM	VKLAD	7948	27702	\N	\N	\N
1024641	3498	1998-09-14	PRIJEM	VKLAD	7948	29212	\N	\N	\N
1024642	3498	1998-10-14	PRIJEM	VKLAD	7948	28326	\N	\N	\N
1024643	3498	1998-11-14	PRIJEM	VKLAD	7948	30838	\N	\N	\N
1024644	3498	1998-12-14	PRIJEM	VKLAD	11922	35734	\N	\N	\N
1024660	3498	1997-04-05	VYDAJ	PREVOD NA UCET	884	35757	SIPO	IJ	27484888
1024661	3498	1997-05-05	VYDAJ	PREVOD NA UCET	884	33704	SIPO	IJ	27484888
1024662	3498	1997-06-05	VYDAJ	PREVOD NA UCET	884	29435	SIPO	IJ	27484888
1024663	3498	1997-07-05	VYDAJ	PREVOD NA UCET	884	18991	SIPO	IJ	27484888
1024664	3498	1997-08-05	VYDAJ	PREVOD NA UCET	884	23486	SIPO	IJ	27484888
1024665	3498	1997-09-05	VYDAJ	PREVOD NA UCET	884	27999	SIPO	IJ	27484888
1024666	3498	1997-10-05	VYDAJ	PREVOD NA UCET	884	25137	SIPO	IJ	27484888
1024667	3498	1997-11-05	VYDAJ	PREVOD NA UCET	884	26807	SIPO	IJ	27484888
1024668	3498	1997-12-05	VYDAJ	PREVOD NA UCET	884	25414	SIPO	IJ	27484888
1024669	3498	1998-01-05	VYDAJ	PREVOD NA UCET	884	26239	SIPO	IJ	27484888
1024670	3498	1998-02-05	VYDAJ	PREVOD NA UCET	884	16148	SIPO	IJ	27484888
1024671	3498	1998-03-05	VYDAJ	PREVOD NA UCET	884	20929	SIPO	IJ	27484888
1024672	3498	1998-04-05	VYDAJ	PREVOD NA UCET	884	24829	SIPO	IJ	27484888
1024673	3498	1998-05-05	VYDAJ	PREVOD NA UCET	884	24100	SIPO	IJ	27484888
1024674	3498	1998-06-05	VYDAJ	PREVOD NA UCET	884	26432	SIPO	IJ	27484888
1024675	3498	1998-07-05	VYDAJ	PREVOD NA UCET	884	26194	SIPO	IJ	27484888
1024676	3498	1998-08-05	VYDAJ	PREVOD NA UCET	884	22101	SIPO	IJ	27484888
1024677	3498	1998-09-05	VYDAJ	PREVOD NA UCET	884	23611	SIPO	IJ	27484888
1024678	3498	1998-10-05	VYDAJ	PREVOD NA UCET	884	22725	SIPO	IJ	27484888
1024679	3498	1998-11-05	VYDAJ	PREVOD NA UCET	884	25237	SIPO	IJ	27484888
1024680	3498	1998-12-05	VYDAJ	PREVOD NA UCET	884	26159	SIPO	IJ	27484888
1024696	3498	1997-04-13	VYDAJ	PREVOD NA UCET	2347	26510	 	GH	43527126
1024697	3498	1997-05-13	VYDAJ	PREVOD NA UCET	2347	22257	 	GH	43527126
1024698	3498	1997-06-13	VYDAJ	PREVOD NA UCET	2347	13148	 	GH	43527126
1024699	3498	1997-07-13	VYDAJ	PREVOD NA UCET	2347	16344	 	GH	43527126
1024700	3498	1997-08-13	VYDAJ	PREVOD NA UCET	2347	20839	 	GH	43527126
1024701	3498	1997-09-13	VYDAJ	PREVOD NA UCET	2347	21452	 	GH	43527126
1024702	3498	1997-10-13	VYDAJ	PREVOD NA UCET	2347	19650	 	GH	43527126
1024703	3498	1997-11-13	VYDAJ	PREVOD NA UCET	2347	18260	 	GH	43527126
1024704	3498	1997-12-13	VYDAJ	PREVOD NA UCET	2347	19267	 	GH	43527126
1024705	3498	1998-01-13	VYDAJ	PREVOD NA UCET	2347	17692	 	GH	43527126
1024706	3498	1998-02-13	VYDAJ	PREVOD NA UCET	2347	13801	 	GH	43527126
1024707	3498	1998-03-13	VYDAJ	PREVOD NA UCET	2347	17682	 	GH	43527126
1024708	3498	1998-04-13	VYDAJ	PREVOD NA UCET	2347	20182	 	GH	43527126
1024709	3498	1998-05-13	VYDAJ	PREVOD NA UCET	2347	20353	 	GH	43527126
1024710	3498	1998-06-13	VYDAJ	PREVOD NA UCET	2347	15065	 	GH	43527126
1024711	3498	1998-07-13	VYDAJ	PREVOD NA UCET	2347	18947	 	GH	43527126
1024712	3498	1998-08-13	VYDAJ	PREVOD NA UCET	2347	19754	 	GH	43527126
1024713	3498	1998-09-13	VYDAJ	PREVOD NA UCET	2347	21264	 	GH	43527126
1024714	3498	1998-10-13	VYDAJ	PREVOD NA UCET	2347	20378	 	GH	43527126
1024715	3498	1998-11-13	VYDAJ	PREVOD NA UCET	2347	22890	 	GH	43527126
1024716	3498	1998-12-13	VYDAJ	PREVOD NA UCET	2347	23812	 	GH	43527126
1024718	3498	1997-06-05	VYDAJ	VYBER	11840	17595	\N	\N	\N
1024721	3498	1997-12-17	VYDAJ	VYBER	4160	27029	\N	\N	\N
1024722	3498	1998-12-19	VYDAJ	VYBER	1600	31134	\N	\N	\N
1024735	3498	1998-01-21	VYDAJ	VYBER	2760	21800	\N	\N	\N
1024736	3498	1998-01-26	VYDAJ	VYBER	960	15920	\N	\N	\N
1024737	3498	1998-01-25	VYDAJ	VYBER	2520	16880	\N	\N	\N
1024738	3498	1998-01-14	VYDAJ	VYBER	1080	24560	\N	\N	\N
1024739	3498	1998-01-21	VYDAJ	VYBER	2400	19400	\N	\N	\N
1024740	3498	1998-01-27	VYDAJ	VYBER	2160	13760	\N	\N	\N
1024745	3498	1997-10-05	VYDAJ	VYBER	1440	23697	\N	\N	\N
1024746	3498	1997-09-27	VYDAJ	VYBER	3480	25920	\N	\N	\N
1024747	3498	1997-06-24	VYDAJ	VYBER	1560	19790	\N	\N	\N
1024748	3498	1997-06-23	VYDAJ	VYBER	3720	21350	\N	\N	\N
1024749	3498	1998-05-03	VYDAJ	VYBER	3240	24984	\N	\N	\N
1024750	3498	1998-12-22	VYDAJ	VYBER	4800	26334	\N	\N	\N
1024751	3498	1998-05-22	VYDAJ	VYBER	1080	27221	\N	\N	\N
1024752	3498	1998-09-26	VYDAJ	VYBER	2400	26812	\N	\N	\N
1024753	3498	1998-06-10	VYDAJ	VYBER	4320	17412	\N	\N	\N
1024754	3498	1998-12-16	VYDAJ	VYBER	3000	32734	\N	\N	\N
1024770	3498	1997-03-31	VYDAJ	VYBER	15	36641	SLUZBY	\N	\N
1024771	3498	1997-04-30	VYDAJ	VYBER	15	34588	SLUZBY	\N	\N
1024772	3498	1997-05-31	VYDAJ	VYBER	15	30319	SLUZBY	\N	\N
1024773	3498	1997-06-30	VYDAJ	VYBER	15	19875	SLUZBY	\N	\N
1024774	3498	1997-07-31	VYDAJ	VYBER	15	24370	SLUZBY	\N	\N
1024775	3498	1997-08-31	VYDAJ	VYBER	15	28883	SLUZBY	\N	\N
1024776	3498	1997-09-30	VYDAJ	VYBER	15	26021	SLUZBY	\N	\N
1024777	3498	1997-10-31	VYDAJ	VYBER	15	27691	SLUZBY	\N	\N
1024778	3498	1997-11-30	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
1024779	3498	1997-12-31	VYDAJ	VYBER	15	27123	SLUZBY	\N	\N
1024780	3498	1998-01-31	VYDAJ	VYBER	15	13832	SLUZBY	\N	\N
1024781	3498	1998-02-28	VYDAJ	VYBER	15	21813	SLUZBY	\N	\N
1024782	3498	1998-03-31	VYDAJ	VYBER	15	25713	SLUZBY	\N	\N
1024783	3498	1998-04-30	VYDAJ	VYBER	15	28224	SLUZBY	\N	\N
1024784	3498	1998-05-31	VYDAJ	VYBER	15	27316	SLUZBY	\N	\N
1024785	3498	1998-06-30	VYDAJ	VYBER	15	27078	SLUZBY	\N	\N
1024786	3498	1998-07-31	VYDAJ	VYBER	15	26985	SLUZBY	\N	\N
1024787	3498	1998-08-31	VYDAJ	VYBER	15	27795	SLUZBY	\N	\N
1024788	3498	1998-09-30	VYDAJ	VYBER	15	26909	SLUZBY	\N	\N
1024789	3498	1998-10-31	VYDAJ	VYBER	15	28421	SLUZBY	\N	\N
1024790	3498	1998-11-30	VYDAJ	VYBER	15	30943	SLUZBY	\N	\N
1024791	3498	1996-12-12	PRIJEM	VKLAD	6400	15469	\N	\N	\N
1024792	3498	1997-01-11	VYDAJ	VYBER	600	26873	\N	\N	\N
1024793	3498	1997-02-10	VYDAJ	VYBER	5000	29954	\N	\N	\N
1024794	3498	1997-03-12	VYDAJ	VYBER	9500	28554	\N	\N	\N
1024795	3498	1997-04-11	VYDAJ	VYBER	6900	28857	\N	\N	\N
1024796	3498	1997-05-11	VYDAJ	VYBER	9100	24604	\N	\N	\N
1024797	3498	1997-06-10	VYDAJ	VYBER	2100	15495	\N	\N	\N
1024798	3498	1997-07-10	VYDAJ	VYBER	300	18691	\N	\N	\N
1024799	3498	1997-08-09	VYDAJ	VYBER	300	23186	\N	\N	\N
1024800	3498	1997-09-08	VYDAJ	VYBER	4200	23799	\N	\N	\N
1024801	3498	1997-10-08	VYDAJ	VYBER	1700	21997	\N	\N	\N
1024802	3498	1997-11-07	VYDAJ	VYBER	6200	20607	\N	\N	\N
1024803	3498	1997-12-07	VYDAJ	VYBER	3800	21614	\N	\N	\N
1024804	3498	1998-01-06	VYDAJ	VYBER	6200	20039	\N	\N	\N
1024805	3498	1998-02-05	PRIJEM	VKLAD	3200	17032	\N	\N	\N
1024806	3498	1998-03-07	VYDAJ	VYBER	900	20029	\N	\N	\N
1024807	3498	1998-04-06	VYDAJ	VYBER	2300	22529	\N	\N	\N
1024808	3498	1998-05-06	VYDAJ	VYBER	1400	22700	\N	\N	\N
1024809	3498	1998-06-05	VYDAJ	VYBER	4700	21732	\N	\N	\N
1024810	3498	1998-07-05	VYDAJ	VYBER	4900	21294	\N	\N	\N
1024811	3498	1998-08-04	VYDAJ	VYBER	4000	22985	\N	\N	\N
1024812	3498	1998-09-03	VYDAJ	VYBER	3300	24495	\N	\N	\N
1024813	3498	1998-10-03	VYDAJ	VYBER	3300	23609	\N	\N	\N
1024814	3498	1998-11-02	VYDAJ	VYBER	2300	26121	\N	\N	\N
1024815	3498	1998-12-02	VYDAJ	VYBER	3900	27043	\N	\N	\N
1024842	3499	1996-09-14	PRIJEM	VKLAD	200	200	\N	\N	\N
1024852	3499	1996-10-07	PRIJEM	PREVOD Z UCTU	42332	42532	\N	GH	73787575
1024853	3499	1996-11-07	PRIJEM	PREVOD Z UCTU	42332	71835	\N	GH	73787575
1024854	3499	1996-12-07	PRIJEM	PREVOD Z UCTU	63498	110800	\N	GH	73787575
1024855	3499	1997-01-07	PRIJEM	PREVOD Z UCTU	42332	82421	\N	GH	73787575
1024856	3499	1997-02-07	PRIJEM	PREVOD Z UCTU	42332	93750	\N	GH	73787575
1024857	3499	1997-03-07	PRIJEM	PREVOD Z UCTU	42332	78338	\N	GH	73787575
1024858	3499	1997-04-07	PRIJEM	PREVOD Z UCTU	42332	71387	\N	GH	73787575
1024859	3499	1997-05-07	PRIJEM	PREVOD Z UCTU	42332	91913	\N	GH	73787575
1024860	3499	1997-06-07	PRIJEM	PREVOD Z UCTU	63498	97135	\N	GH	73787575
1024861	3499	1997-07-07	PRIJEM	PREVOD Z UCTU	42332	104527	\N	GH	73787575
1024862	3499	1997-08-07	PRIJEM	PREVOD Z UCTU	42332	111723	\N	GH	73787575
1024863	3499	1997-09-07	PRIJEM	PREVOD Z UCTU	42332	82971	\N	GH	73787575
1024864	3499	1997-10-07	PRIJEM	PREVOD Z UCTU	42332	74001	\N	GH	73787575
1024865	3499	1997-11-07	PRIJEM	PREVOD Z UCTU	42332	83996	\N	GH	73787575
1024866	3499	1997-12-07	PRIJEM	PREVOD Z UCTU	63498	117592	\N	GH	73787575
1024867	3499	1998-01-07	PRIJEM	PREVOD Z UCTU	42332	82193	\N	GH	73787575
1024868	3499	1998-02-07	PRIJEM	PREVOD Z UCTU	42332	61203	\N	GH	73787575
1024869	3499	1998-03-07	PRIJEM	PREVOD Z UCTU	42332	69855	\N	GH	73787575
1024870	3499	1998-04-07	PRIJEM	PREVOD Z UCTU	42332	74297	\N	GH	73787575
1024871	3499	1998-05-07	PRIJEM	PREVOD Z UCTU	42332	73651	\N	GH	73787575
1024872	3499	1998-06-07	PRIJEM	PREVOD Z UCTU	63498	81495	\N	GH	73787575
1024873	3499	1998-07-07	PRIJEM	PREVOD Z UCTU	42332	83044	\N	GH	73787575
1024874	3499	1998-08-07	PRIJEM	PREVOD Z UCTU	42332	67958	\N	GH	73787575
1024875	3499	1998-09-07	PRIJEM	PREVOD Z UCTU	42332	78206	\N	GH	73787575
1024876	3499	1998-10-07	PRIJEM	PREVOD Z UCTU	42332	83026	\N	GH	73787575
1024877	3499	1998-11-07	PRIJEM	PREVOD Z UCTU	42332	85693	\N	GH	73787575
1024878	3499	1998-12-07	PRIJEM	PREVOD Z UCTU	63498	95185	\N	GH	73787575
1024891	3499	1997-10-21	VYBER	VYBER	9601	41500	\N	\N	\N
1024893	3499	1997-09-26	VYBER	VYBER	20081	31490	\N	\N	\N
1024896	3499	1997-03-17	VYBER	VYBER	20324	34014	\N	\N	\N
1024897	3499	1997-02-18	VYBER	VYBER	24327	35823	\N	\N	\N
1024898	3499	1998-03-05	VYBER	VYBER	12776	27523	\N	\N	\N
1024899	3499	1998-05-18	VYBER	VYBER	20412	20739	\N	\N	\N
1024900	3499	1998-02-17	VYBER	VYBER	7196	47337	\N	\N	\N
1024901	3499	1998-11-07	VYBER	VYBER	13370	72323	\N	\N	\N
1024902	3499	1998-03-28	VYBER	VYBER	10448	31807	\N	\N	\N
1024904	3499	1998-11-03	VYBER	VYBER	4992	78361	\N	\N	\N
1024906	3499	1998-07-30	VYBER	VYBER	24791	35453	\N	\N	\N
1024907	3499	1998-06-15	VYBER	VYBER	17717	63778	\N	\N	\N
1024908	3499	1998-12-08	VYBER	VYBER	20543	74642	\N	\N	\N
1024909	3499	1998-12-23	VYBER	VYBER	11887	56155	\N	\N	\N
1024910	3499	1998-02-08	VYBER	VYBER	6670	54533	\N	\N	\N
1024911	3499	1998-09-02	VYBER	VYBER	4426	63774	\N	\N	\N
1024913	3499	1997-06-06	VYDAJ	VYBER	24300	33637	\N	\N	\N
1024917	3499	1998-01-30	VYDAJ	VYBER	24600	23893	\N	\N	\N
1024919	3499	1997-12-13	VYDAJ	VYBER	5100	39692	\N	\N	\N
1024920	3499	1998-12-17	VYDAJ	VYBER	6600	68042	\N	\N	\N
1024928	3499	1997-05-10	VYDAJ	VYBER	4200	87713	\N	\N	\N
1024930	3499	1997-08-29	VYDAJ	VYBER	9900	40423	\N	\N	\N
1024931	3499	1997-04-02	VYDAJ	VYBER	5100	29055	\N	\N	\N
1024932	3499	1997-09-16	VYDAJ	VYBER	5100	51571	\N	\N	\N
1024933	3499	1998-07-17	VYDAJ	VYBER	14100	68944	\N	\N	\N
1024934	3499	1998-07-26	VYDAJ	VYBER	8700	60244	\N	\N	\N
1024935	3499	1998-04-11	VYDAJ	VYBER	12600	31197	\N	\N	\N
1024936	3499	1998-02-19	VYDAJ	VYBER	7200	40137	\N	\N	\N
1024937	3499	1998-11-15	VYDAJ	VYBER	12600	59723	\N	\N	\N
1024952	3499	1997-02-28	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
1024953	3499	1997-03-31	VYDAJ	VYBER	15	34155	SLUZBY	\N	\N
1024954	3499	1997-04-30	VYDAJ	VYBER	15	49581	SLUZBY	\N	\N
1024955	3499	1997-05-31	VYDAJ	VYBER	15	57937	SLUZBY	\N	\N
1024956	3499	1997-06-30	VYDAJ	VYBER	15	62195	SLUZBY	\N	\N
1024957	3499	1997-07-31	VYDAJ	VYBER	15	69391	SLUZBY	\N	\N
1024958	3499	1997-08-31	VYDAJ	VYBER	15	40639	SLUZBY	\N	\N
1024959	3499	1997-09-30	VYDAJ	VYBER	15	31669	SLUZBY	\N	\N
1024960	3499	1997-10-31	VYDAJ	VYBER	15	41664	SLUZBY	\N	\N
1024961	3499	1997-11-30	VYDAJ	VYBER	15	54094	SLUZBY	\N	\N
1024962	3499	1997-12-31	VYDAJ	VYBER	15	39861	SLUZBY	\N	\N
1024963	3499	1998-01-31	VYDAJ	VYBER	15	24171	SLUZBY	\N	\N
1024964	3499	1998-02-28	VYDAJ	VYBER	15	40299	SLUZBY	\N	\N
1024965	3499	1998-03-31	VYDAJ	VYBER	15	31965	SLUZBY	\N	\N
1024966	3499	1998-04-30	VYDAJ	VYBER	15	31319	SLUZBY	\N	\N
1024967	3499	1998-05-31	VYDAJ	VYBER	15	20897	SLUZBY	\N	\N
1024968	3499	1998-06-30	VYDAJ	VYBER	15	64012	SLUZBY	\N	\N
1024969	3499	1998-07-31	VYDAJ	VYBER	15	35726	SLUZBY	\N	\N
1024970	3499	1998-08-31	VYDAJ	VYBER	15	68200	SLUZBY	\N	\N
1024971	3499	1998-09-30	VYDAJ	VYBER	15	78494	SLUZBY	\N	\N
1024972	3499	1998-10-31	VYDAJ	VYBER	15	83353	SLUZBY	\N	\N
1024973	3499	1998-11-30	VYDAJ	VYBER	15	59987	SLUZBY	\N	\N
1024974	3499	1996-10-14	VYDAJ	VYBER	13100	29432	\N	\N	\N
1024975	3499	1996-11-13	VYDAJ	VYBER	24700	47135	\N	\N	\N
1024976	3499	1996-12-07	VYDAJ	VYBER	50300	60500	\N	\N	\N
1024977	3499	1996-12-13	VYDAJ	VYBER	20600	39900	\N	\N	\N
1024978	3499	1997-01-12	VYDAJ	VYBER	31200	51221	\N	\N	\N
1024979	3499	1997-02-11	VYDAJ	VYBER	33600	60150	\N	\N	\N
1024980	3499	1997-03-13	VYDAJ	VYBER	24000	54338	\N	\N	\N
1024981	3499	1997-04-12	VYDAJ	VYBER	22000	49387	\N	\N	\N
1024982	3499	1997-05-12	VYDAJ	VYBER	30000	57713	\N	\N	\N
1024983	3499	1997-06-11	VYDAJ	VYBER	35200	61935	\N	\N	\N
1024984	3499	1997-07-11	VYDAJ	VYBER	35400	69127	\N	\N	\N
1024985	3499	1997-08-07	VYDAJ	VYBER	38000	73723	\N	\N	\N
1024986	3499	1997-08-10	VYDAJ	VYBER	23400	50323	\N	\N	\N
1024987	3499	1997-09-09	VYDAJ	VYBER	26300	56671	\N	\N	\N
1024988	3499	1997-10-09	VYDAJ	VYBER	22900	51101	\N	\N	\N
1024989	3499	1997-11-08	VYDAJ	VYBER	30100	53896	\N	\N	\N
1024990	3499	1997-12-07	VYDAJ	VYBER	50600	66992	\N	\N	\N
1024991	3499	1997-12-08	VYDAJ	VYBER	22200	44792	\N	\N	\N
1024992	3499	1998-01-07	VYDAJ	VYBER	33700	48493	\N	\N	\N
1024993	3499	1998-02-06	VYDAJ	VYBER	5300	18871	\N	\N	\N
1024994	3499	1998-03-08	VYDAJ	VYBER	27600	42255	\N	\N	\N
1024995	3499	1998-04-07	VYDAJ	VYBER	30500	43797	\N	\N	\N
1024996	3499	1998-05-07	VYDAJ	VYBER	32500	41151	\N	\N	\N
1024997	3499	1998-06-06	VYDAJ	VYBER	2900	17997	\N	\N	\N
1024998	3499	1998-07-06	VYDAJ	VYBER	23300	40712	\N	\N	\N
1024999	3499	1998-08-05	VYDAJ	VYBER	10100	25626	\N	\N	\N
1025000	3499	1998-09-04	VYDAJ	VYBER	27900	35874	\N	\N	\N
1025001	3499	1998-10-04	VYDAJ	VYBER	37800	40694	\N	\N	\N
1025002	3499	1998-11-03	VYDAJ	VYBER	35000	43361	\N	\N	\N
1025003	3499	1998-12-03	VYDAJ	VYBER	28300	31687	\N	\N	\N
1025479	3501	1997-12-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1025492	3501	1998-01-12	PRIJEM	VKLAD	19382	20082	\N	\N	\N
1025493	3501	1998-02-12	PRIJEM	VKLAD	19382	44624	\N	\N	\N
1025494	3501	1998-03-12	PRIJEM	VKLAD	19382	64155	\N	\N	\N
1025495	3501	1998-04-12	PRIJEM	VKLAD	19382	67331	\N	\N	\N
1025496	3501	1998-05-12	PRIJEM	VKLAD	19382	56306	\N	\N	\N
1025497	3501	1998-06-12	PRIJEM	VKLAD	29073	50365	\N	\N	\N
1025498	3501	1998-07-12	PRIJEM	VKLAD	19382	44097	\N	\N	\N
1025499	3501	1998-08-12	PRIJEM	VKLAD	19382	47844	\N	\N	\N
1025500	3501	1998-09-12	PRIJEM	VKLAD	19382	41474	\N	\N	\N
1025501	3501	1998-10-12	PRIJEM	VKLAD	19382	37373	\N	\N	\N
1025502	3501	1998-11-12	PRIJEM	VKLAD	19382	34753	\N	\N	\N
1025503	3501	1998-12-12	PRIJEM	VKLAD	29073	28655	\N	\N	\N
1025521	3501	1998-06-10	VYDAJ	PREVOD NA UCET	7590	19292	SIPO	UV	83109223
1025522	3501	1998-07-10	VYDAJ	PREVOD NA UCET	7590	29415	SIPO	UV	83109223
1025523	3501	1998-08-10	VYDAJ	PREVOD NA UCET	7590	28462	SIPO	UV	83109223
1025524	3501	1998-09-10	VYDAJ	PREVOD NA UCET	7590	22092	SIPO	UV	83109223
1025525	3501	1998-10-10	VYDAJ	PREVOD NA UCET	7590	17991	SIPO	UV	83109223
1025526	3501	1998-11-10	VYDAJ	PREVOD NA UCET	7590	15371	SIPO	UV	83109223
1025527	3501	1998-12-10	VYDAJ	PREVOD NA UCET	7590	8642	SIPO	UV	83109223
1025545	3501	1998-06-05	VYDAJ	PREVOD NA UCET	2225	35582	 	OP	60597056
1025546	3501	1998-07-05	VYDAJ	PREVOD NA UCET	2225	37005	 	OP	60597056
1025547	3501	1998-08-05	VYDAJ	PREVOD NA UCET	2225	40952	 	OP	60597056
1025548	3501	1998-09-05	VYDAJ	PREVOD NA UCET	2225	32582	 	OP	60597056
1025549	3501	1998-10-05	VYDAJ	PREVOD NA UCET	2225	33281	 	OP	60597056
1025550	3501	1998-11-05	VYDAJ	PREVOD NA UCET	2225	26261	 	OP	60597056
1025551	3501	1998-12-05	VYDAJ	PREVOD NA UCET	2225	23832	 	OP	60597056
1025568	3501	1998-05-02	VYDAJ	VYBER	8700	36924	\N	\N	0
1025569	3501	1998-06-09	VYDAJ	VYBER	8700	26882	\N	\N	0
1025570	3501	1998-06-25	VYDAJ	VYBER	5900	44465	\N	\N	0
1025571	3501	1998-08-13	VYDAJ	VYBER	9100	38744	\N	\N	0
1025572	3501	1998-09-17	VYDAJ	VYBER	6100	35374	\N	\N	0
1025573	3501	1998-10-16	VYDAJ	VYBER	9000	28373	\N	\N	0
1025574	3501	1998-11-21	VYDAJ	VYBER	8800	25953	\N	\N	0
1025575	3501	1998-12-10	VYDAJ	VYBER	8100	-418	\N	\N	0
1025581	3501	1998-12-10	VYDAJ	VYBER	960	7682	\N	\N	\N
1025597	3501	1998-07-04	VYDAJ	VYBER	5400	39230	\N	\N	\N
1025598	3501	1998-08-14	VYDAJ	VYBER	4080	34664	\N	\N	\N
1025599	3501	1998-07-26	VYDAJ	VYBER	1080	43017	\N	\N	\N
1025600	3501	1998-08-10	VYDAJ	VYBER	5400	36052	\N	\N	\N
1025620	3501	1998-05-31	VYDAJ	VYBER	15	37807	SLUZBY	\N	\N
1025621	3501	1998-06-30	VYDAJ	VYBER	15	44630	SLUZBY	\N	\N
1025622	3501	1998-07-31	VYDAJ	VYBER	15	43177	SLUZBY	\N	\N
1025623	3501	1998-08-31	VYDAJ	VYBER	15	34807	SLUZBY	\N	\N
1025624	3501	1998-09-30	VYDAJ	VYBER	15	35506	SLUZBY	\N	\N
1025625	3501	1998-10-31	VYDAJ	VYBER	15	28486	SLUZBY	\N	\N
1025626	3501	1998-11-30	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
1025627	3501	1998-01-12	PRIJEM	VKLAD	2200	22282	\N	\N	\N
1025628	3501	1998-02-11	PRIJEM	VKLAD	2900	25242	\N	\N	\N
1025629	3501	1998-03-13	VYDAJ	VYBER	16400	47755	\N	\N	\N
1025630	3501	1998-04-12	VYDAJ	VYBER	21900	45431	\N	\N	\N
1025631	3501	1998-05-12	VYDAJ	VYBER	18700	37606	\N	\N	\N
1025632	3501	1998-06-11	PRIJEM	VKLAD	2000	21292	\N	\N	\N
1025633	3501	1998-07-11	VYDAJ	VYBER	4700	24715	\N	\N	\N
1025634	3501	1998-08-10	PRIJEM	VKLAD	500	41452	\N	\N	\N
1025635	3501	1998-09-09	VYDAJ	VYBER	2900	29682	\N	\N	\N
1025636	3501	1998-10-09	VYDAJ	VYBER	7700	25581	\N	\N	\N
1025637	3501	1998-11-08	VYDAJ	VYBER	3300	22961	\N	\N	\N
1025638	3501	1998-12-08	VYDAJ	VYBER	7600	16232	\N	\N	\N
1025651	3502	1996-03-08	PRIJEM	VKLAD	700	700	\N	\N	\N
1025654	3502	1996-03-11	PRIJEM	VKLAD	22512	23212	\N	\N	\N
1025655	3502	1996-04-11	PRIJEM	VKLAD	22512	47490	\N	\N	\N
1025656	3502	1996-05-11	PRIJEM	VKLAD	22512	58866	\N	\N	\N
1025657	3502	1996-06-11	PRIJEM	VKLAD	33768	77664	\N	\N	\N
1025658	3502	1996-07-11	PRIJEM	VKLAD	22512	75273	\N	\N	\N
1025659	3502	1996-08-11	PRIJEM	VKLAD	22512	61366	\N	\N	\N
1025660	3502	1996-09-11	PRIJEM	VKLAD	22512	62761	\N	\N	\N
1025661	3502	1996-10-11	PRIJEM	VKLAD	22512	59960	\N	\N	\N
1025662	3502	1996-11-11	PRIJEM	VKLAD	22512	61636	\N	\N	\N
1025663	3502	1996-12-11	PRIJEM	VKLAD	33768	72934	\N	\N	\N
1025664	3502	1997-01-11	PRIJEM	VKLAD	22512	65189	\N	\N	\N
1025665	3502	1997-02-11	PRIJEM	VKLAD	22512	56797	\N	\N	\N
1025666	3502	1997-03-11	PRIJEM	VKLAD	22512	61655	\N	\N	\N
1025667	3502	1997-04-11	PRIJEM	VKLAD	22512	57613	\N	\N	\N
1025668	3502	1997-05-11	PRIJEM	VKLAD	22512	58077	\N	\N	\N
1025669	3502	1997-06-11	PRIJEM	VKLAD	33768	68602	\N	\N	\N
1025670	3502	1997-07-11	PRIJEM	VKLAD	22512	65499	\N	\N	\N
1025671	3502	1997-08-11	PRIJEM	VKLAD	22512	58730	\N	\N	\N
1025672	3502	1997-09-11	PRIJEM	VKLAD	22512	59086	\N	\N	\N
1025673	3502	1997-10-11	PRIJEM	VKLAD	22512	61443	\N	\N	\N
1025674	3502	1997-11-11	PRIJEM	VKLAD	22512	65809	\N	\N	\N
1025675	3502	1997-12-11	PRIJEM	VKLAD	33768	77747	\N	\N	\N
1025676	3502	1998-01-11	PRIJEM	VKLAD	22512	69858	\N	\N	\N
1025677	3502	1998-02-11	PRIJEM	VKLAD	22512	55511	\N	\N	\N
1025678	3502	1998-03-11	PRIJEM	VKLAD	22512	60749	\N	\N	\N
1025679	3502	1998-04-11	PRIJEM	VKLAD	22512	64510	\N	\N	\N
1025680	3502	1998-05-11	PRIJEM	VKLAD	22512	66384	\N	\N	\N
1025681	3502	1998-06-11	PRIJEM	VKLAD	33768	79321	\N	\N	\N
1025682	3502	1998-07-11	PRIJEM	VKLAD	22512	55609	\N	\N	\N
1025683	3502	1998-08-11	PRIJEM	VKLAD	22512	61426	\N	\N	\N
1025684	3502	1998-09-11	PRIJEM	VKLAD	22512	70689	\N	\N	\N
1025685	3502	1998-10-11	PRIJEM	VKLAD	22512	69496	\N	\N	\N
1025686	3502	1998-11-11	PRIJEM	VKLAD	22512	76489	\N	\N	\N
1025687	3502	1998-12-11	PRIJEM	VKLAD	33768	81077	\N	\N	\N
1025695	3502	1996-08-07	VYDAJ	PREVOD NA UCET	5258	42814	SIPO	GH	40998464
1025696	3502	1996-09-07	VYDAJ	PREVOD NA UCET	5258	40249	SIPO	GH	40998464
1025697	3502	1996-10-07	VYDAJ	PREVOD NA UCET	5258	37448	SIPO	GH	40998464
1025698	3502	1996-11-07	VYDAJ	PREVOD NA UCET	5258	39124	SIPO	GH	40998464
1025699	3502	1996-12-07	VYDAJ	PREVOD NA UCET	5258	39166	SIPO	GH	40998464
1025700	3502	1997-01-07	VYDAJ	PREVOD NA UCET	5258	42677	SIPO	GH	40998464
1025701	3502	1997-02-07	VYDAJ	PREVOD NA UCET	5258	34285	SIPO	GH	40998464
1025702	3502	1997-03-07	VYDAJ	PREVOD NA UCET	5258	39143	SIPO	GH	40998464
1025703	3502	1997-04-07	VYDAJ	PREVOD NA UCET	5258	35101	SIPO	GH	40998464
1025704	3502	1997-05-07	VYDAJ	PREVOD NA UCET	5258	35565	SIPO	GH	40998464
1025705	3502	1997-06-07	VYDAJ	PREVOD NA UCET	5258	34834	SIPO	GH	40998464
1025706	3502	1997-07-07	VYDAJ	PREVOD NA UCET	5258	42987	SIPO	GH	40998464
1025707	3502	1997-08-07	VYDAJ	PREVOD NA UCET	5258	36218	SIPO	GH	40998464
1025708	3502	1997-09-07	VYDAJ	PREVOD NA UCET	5258	36574	SIPO	GH	40998464
1025709	3502	1997-10-07	VYDAJ	PREVOD NA UCET	5258	38931	SIPO	GH	40998464
1025710	3502	1997-11-07	VYDAJ	PREVOD NA UCET	5258	43297	SIPO	GH	40998464
1025711	3502	1997-12-07	VYDAJ	PREVOD NA UCET	5258	43979	SIPO	GH	40998464
1025712	3502	1998-01-07	VYDAJ	PREVOD NA UCET	5258	47346	SIPO	GH	40998464
1025713	3502	1998-02-07	VYDAJ	PREVOD NA UCET	5258	32999	SIPO	GH	40998464
1025714	3502	1998-03-07	VYDAJ	PREVOD NA UCET	5258	38237	SIPO	GH	40998464
1025715	3502	1998-04-07	VYDAJ	PREVOD NA UCET	5258	41998	SIPO	GH	40998464
1025716	3502	1998-05-07	VYDAJ	PREVOD NA UCET	5258	43872	SIPO	GH	40998464
1025717	3502	1998-06-07	VYDAJ	PREVOD NA UCET	5258	45553	SIPO	GH	40998464
1025718	3502	1998-07-07	VYDAJ	PREVOD NA UCET	5258	33097	SIPO	GH	40998464
1025719	3502	1998-08-07	VYDAJ	PREVOD NA UCET	5258	38914	SIPO	GH	40998464
1025720	3502	1998-09-07	VYDAJ	PREVOD NA UCET	5258	48177	SIPO	GH	40998464
1025721	3502	1998-10-07	VYDAJ	PREVOD NA UCET	5258	46984	SIPO	GH	40998464
1025722	3502	1998-11-07	VYDAJ	PREVOD NA UCET	5258	53977	SIPO	GH	40998464
1025723	3502	1998-12-07	VYDAJ	PREVOD NA UCET	5258	47309	SIPO	GH	40998464
1025726	3502	1998-06-20	VYDAJ	VYBER	38880	40441	\N	\N	\N
1025728	3502	1997-01-23	VYDAJ	VYBER	10720	54469	\N	\N	\N
1025729	3502	1998-01-21	VYDAJ	VYBER	7200	56898	\N	\N	\N
1025730	3502	1996-12-29	VYDAJ	VYBER	960	71974	\N	\N	\N
1025731	3502	1997-12-27	VYDAJ	VYBER	800	76947	\N	\N	\N
1025732	3502	1998-12-19	VYDAJ	VYBER	3680	77397	\N	\N	\N
1025733	3502	1996-09-13	VYDAJ	VYBER	3480	59281	\N	\N	\N
1025734	3502	1996-07-19	VYDAJ	VYBER	1800	73473	\N	\N	\N
1025737	3502	1996-11-21	VYDAJ	VYBER	840	60796	\N	\N	\N
1025739	3502	1996-08-10	VYDAJ	VYBER	3960	38854	\N	\N	\N
1025740	3502	1997-04-05	VYDAJ	VYBER	3960	40359	\N	\N	\N
1025741	3502	1997-07-11	VYDAJ	VYBER	3840	61659	\N	\N	\N
1025742	3502	1997-07-18	VYDAJ	VYBER	720	60939	\N	\N	\N
1025743	3502	1997-03-13	VYDAJ	VYBER	960	60695	\N	\N	\N
1025744	3502	1997-01-24	VYDAJ	VYBER	2760	51709	\N	\N	\N
1025745	3502	1998-09-19	VYDAJ	VYBER	4920	65769	\N	\N	\N
1025746	3502	1998-12-04	VYDAJ	VYBER	5880	52567	\N	\N	\N
1025747	3502	1998-07-11	VYDAJ	VYBER	4920	50689	\N	\N	\N
1025748	3502	1998-09-19	VYDAJ	VYBER	4560	61209	\N	\N	\N
1025749	3502	1998-02-04	VYDAJ	VYBER	2760	38257	\N	\N	\N
1025750	3502	1998-01-17	VYDAJ	VYBER	5760	64098	\N	\N	\N
1025758	3502	1996-07-31	VYDAJ	VYBER	15	73772	SLUZBY	\N	\N
1025759	3502	1996-08-31	VYDAJ	VYBER	15	61607	SLUZBY	\N	\N
1025760	3502	1996-09-30	VYDAJ	VYBER	15	59506	SLUZBY	\N	\N
1025761	3502	1996-10-31	VYDAJ	VYBER	15	60182	SLUZBY	\N	\N
1025762	3502	1996-11-30	VYDAJ	VYBER	15	61024	SLUZBY	\N	\N
1025763	3502	1996-12-31	VYDAJ	VYBER	15	72235	SLUZBY	\N	\N
1025764	3502	1997-01-31	VYDAJ	VYBER	15	51943	SLUZBY	\N	\N
1025765	3502	1997-02-28	VYDAJ	VYBER	15	57001	SLUZBY	\N	\N
1025766	3502	1997-03-31	VYDAJ	VYBER	15	60919	SLUZBY	\N	\N
1025767	3502	1997-04-30	VYDAJ	VYBER	15	57823	SLUZBY	\N	\N
1025768	3502	1997-05-31	VYDAJ	VYBER	15	58292	SLUZBY	\N	\N
1025769	3502	1997-06-30	VYDAJ	VYBER	15	68845	SLUZBY	\N	\N
1025770	3502	1997-07-31	VYDAJ	VYBER	15	61176	SLUZBY	\N	\N
1025771	3502	1997-08-31	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
1025772	3502	1997-09-30	VYDAJ	VYBER	15	44189	SLUZBY	\N	\N
1025773	3502	1997-10-31	VYDAJ	VYBER	15	48555	SLUZBY	\N	\N
1025774	3502	1997-11-30	VYDAJ	VYBER	15	49237	SLUZBY	\N	\N
1025775	3502	1997-12-31	VYDAJ	VYBER	15	52604	SLUZBY	\N	\N
1025776	3502	1998-01-31	VYDAJ	VYBER	15	41017	SLUZBY	\N	\N
1025777	3502	1998-02-28	VYDAJ	VYBER	15	43495	SLUZBY	\N	\N
1025778	3502	1998-03-31	VYDAJ	VYBER	15	47256	SLUZBY	\N	\N
1025779	3502	1998-04-30	VYDAJ	VYBER	15	49130	SLUZBY	\N	\N
1025780	3502	1998-05-31	VYDAJ	VYBER	15	50811	SLUZBY	\N	\N
1025781	3502	1998-06-30	VYDAJ	VYBER	15	38355	SLUZBY	\N	\N
1025782	3502	1998-07-31	VYDAJ	VYBER	15	44172	SLUZBY	\N	\N
1025783	3502	1998-08-31	VYDAJ	VYBER	15	53435	SLUZBY	\N	\N
1025784	3502	1998-09-30	VYDAJ	VYBER	15	52242	SLUZBY	\N	\N
1025785	3502	1998-10-31	VYDAJ	VYBER	15	59235	SLUZBY	\N	\N
1025786	3502	1998-11-30	VYDAJ	VYBER	15	58447	SLUZBY	\N	\N
1025787	3502	1996-04-07	PRIJEM	VKLAD	1700	24978	\N	\N	\N
1025788	3502	1996-05-07	VYDAJ	VYBER	11300	36354	\N	\N	\N
1025789	3502	1996-06-06	VYDAJ	VYBER	15200	43896	\N	\N	\N
1025790	3502	1996-07-06	VYDAJ	VYBER	25200	52761	\N	\N	\N
1025791	3502	1996-08-05	VYDAJ	VYBER	25700	48072	\N	\N	\N
1025792	3502	1996-09-04	VYDAJ	VYBER	16100	45507	\N	\N	\N
1025793	3502	1996-10-04	VYDAJ	VYBER	16800	42706	\N	\N	\N
1025794	3502	1996-11-03	VYDAJ	VYBER	15800	44382	\N	\N	\N
1025795	3502	1996-12-03	VYDAJ	VYBER	16600	44424	\N	\N	\N
1025796	3502	1997-01-02	VYDAJ	VYBER	24300	47935	\N	\N	\N
1025797	3502	1997-02-01	VYDAJ	VYBER	12400	39543	\N	\N	\N
1025798	3502	1997-03-03	VYDAJ	VYBER	12600	44401	\N	\N	\N
1025799	3502	1997-04-02	VYDAJ	VYBER	16600	44319	\N	\N	\N
1025800	3502	1997-05-02	VYDAJ	VYBER	17000	40823	\N	\N	\N
1025801	3502	1997-06-01	VYDAJ	VYBER	18200	40092	\N	\N	\N
1025802	3502	1997-07-01	VYDAJ	VYBER	20600	48245	\N	\N	\N
1025803	3502	1997-07-31	VYDAJ	VYBER	19700	41476	\N	\N	\N
1025804	3502	1997-08-30	VYDAJ	VYBER	17100	41630	\N	\N	\N
1025805	3502	1997-09-29	VYDAJ	VYBER	15100	43986	\N	\N	\N
1025806	3502	1997-10-29	VYDAJ	VYBER	13100	48343	\N	\N	\N
1025807	3502	1997-11-28	VYDAJ	VYBER	16800	49009	\N	\N	\N
1025808	3502	1997-12-28	VYDAJ	VYBER	24600	52347	\N	\N	\N
1025809	3502	1998-01-27	VYDAJ	VYBER	16100	40798	\N	\N	\N
1025810	3502	1998-02-26	VYDAJ	VYBER	12200	43311	\N	\N	\N
1025811	3502	1998-03-28	VYDAJ	VYBER	13700	47049	\N	\N	\N
1025812	3502	1998-04-27	VYDAJ	VYBER	15600	48910	\N	\N	\N
1025813	3502	1998-05-27	VYDAJ	VYBER	15800	50584	\N	\N	\N
1025814	3502	1998-06-26	VYDAJ	VYBER	2300	38141	\N	\N	\N
1025815	3502	1998-07-26	VYDAJ	VYBER	6700	43989	\N	\N	\N
1025816	3502	1998-08-25	VYDAJ	VYBER	8200	53226	\N	\N	\N
1025817	3502	1998-09-24	VYDAJ	VYBER	9200	52009	\N	\N	\N
1025818	3502	1998-10-24	VYDAJ	VYBER	10500	58996	\N	\N	\N
1025819	3502	1998-11-23	VYDAJ	VYBER	18300	58189	\N	\N	\N
1025854	3503	1994-07-17	PRIJEM	VKLAD	800	800	\N	\N	\N
1025862	3503	1994-08-06	PRIJEM	VKLAD	20054	20854	\N	\N	\N
1025863	3503	1994-09-06	PRIJEM	VKLAD	20054	42657	\N	\N	\N
1025864	3503	1994-10-06	PRIJEM	VKLAD	20054	54831	\N	\N	\N
1025865	3503	1994-11-06	PRIJEM	VKLAD	20054	60543	\N	\N	\N
1025866	3503	1994-12-06	PRIJEM	VKLAD	30081	72396	\N	\N	\N
1025867	3503	1995-01-06	PRIJEM	VKLAD	20054	62297	\N	\N	\N
1025868	3503	1995-02-06	PRIJEM	VKLAD	20054	54683	\N	\N	\N
1025869	3503	1995-03-06	PRIJEM	VKLAD	20054	58877	\N	\N	\N
1025870	3503	1995-04-06	PRIJEM	VKLAD	20054	59780	\N	\N	\N
1025871	3503	1995-05-06	PRIJEM	VKLAD	20054	56461	\N	\N	\N
1025872	3503	1995-06-06	PRIJEM	VKLAD	30081	70589	\N	\N	\N
1025873	3503	1995-07-06	PRIJEM	VKLAD	20054	54342	\N	\N	\N
1025874	3503	1995-08-06	PRIJEM	VKLAD	20054	59638	\N	\N	\N
1025875	3503	1995-09-06	PRIJEM	VKLAD	20054	60744	\N	\N	\N
1025876	3503	1995-10-06	PRIJEM	VKLAD	20054	53129	\N	\N	\N
1025877	3503	1995-11-06	PRIJEM	VKLAD	20054	58435	\N	\N	\N
1025878	3503	1995-12-06	PRIJEM	VKLAD	30081	69865	\N	\N	\N
1025879	3503	1996-01-06	PRIJEM	VKLAD	20054	62618	\N	\N	\N
1025880	3503	1996-02-06	PRIJEM	VKLAD	20054	48557	\N	\N	\N
1025881	3503	1996-03-06	PRIJEM	VKLAD	20054	55838	\N	\N	\N
1025882	3503	1996-04-06	PRIJEM	VKLAD	20054	60040	\N	\N	\N
1025883	3503	1996-05-06	PRIJEM	VKLAD	20054	64961	\N	\N	\N
1025884	3503	1996-06-06	PRIJEM	VKLAD	30081	72906	\N	\N	\N
1025885	3503	1996-07-06	PRIJEM	VKLAD	20054	27991	\N	\N	\N
1025886	3503	1996-08-06	PRIJEM	VKLAD	20054	39233	\N	\N	\N
1025887	3503	1996-09-06	PRIJEM	VKLAD	20054	44663	\N	\N	\N
1025888	3503	1996-10-06	PRIJEM	VKLAD	20054	51981	\N	\N	\N
1025889	3503	1996-11-06	PRIJEM	VKLAD	20054	57391	\N	\N	\N
1025890	3503	1996-12-06	PRIJEM	VKLAD	30081	70786	\N	\N	\N
1025891	3503	1997-01-06	PRIJEM	VKLAD	20054	61416	\N	\N	\N
1025892	3503	1997-02-06	PRIJEM	VKLAD	20054	51394	\N	\N	\N
1025893	3503	1997-03-06	PRIJEM	VKLAD	20054	56878	\N	\N	\N
1025894	3503	1997-04-06	PRIJEM	VKLAD	20054	64043	\N	\N	\N
1025895	3503	1997-05-06	PRIJEM	VKLAD	20054	66899	\N	\N	\N
1025896	3503	1997-06-06	PRIJEM	VKLAD	30081	77738	\N	\N	\N
1025897	3503	1997-07-06	PRIJEM	VKLAD	20054	55208	\N	\N	\N
1025898	3503	1997-08-06	PRIJEM	VKLAD	20054	62665	\N	\N	\N
1025899	3503	1997-09-06	PRIJEM	VKLAD	20054	63981	\N	\N	\N
1025900	3503	1997-10-06	PRIJEM	VKLAD	20054	69403	\N	\N	\N
1025901	3503	1997-11-06	PRIJEM	VKLAD	20054	72347	\N	\N	\N
1025902	3503	1997-12-06	PRIJEM	VKLAD	30081	84030	\N	\N	\N
1025903	3503	1998-01-06	PRIJEM	VKLAD	20054	81777	\N	\N	\N
1025904	3503	1998-02-06	PRIJEM	VKLAD	20054	73568	\N	\N	\N
1025905	3503	1998-03-06	PRIJEM	VKLAD	20054	78930	\N	\N	\N
1025906	3503	1998-04-06	PRIJEM	VKLAD	20054	72350	\N	\N	\N
1025907	3503	1998-05-06	PRIJEM	VKLAD	20054	77408	\N	\N	\N
1025908	3503	1998-06-06	PRIJEM	VKLAD	30081	92176	\N	\N	\N
1025909	3503	1998-07-06	PRIJEM	VKLAD	20054	73410	\N	\N	\N
1025910	3503	1998-08-06	PRIJEM	VKLAD	20054	84377	\N	\N	\N
1025911	3503	1998-09-06	PRIJEM	VKLAD	20054	91988	\N	\N	\N
1025912	3503	1998-10-06	PRIJEM	VKLAD	20054	97729	\N	\N	\N
1025913	3503	1998-11-06	PRIJEM	VKLAD	20054	98089	\N	\N	\N
1025914	3503	1998-12-06	PRIJEM	VKLAD	30081	111881	\N	\N	\N
1025916	3503	1995-06-07	VYDAJ	VYBER	28640	41949	\N	\N	\N
1025917	3503	1996-06-15	VYDAJ	VYBER	39360	7846	\N	\N	\N
1025918	3503	1997-06-27	VYDAJ	VYBER	35200	40978	\N	\N	\N
1025919	3503	1998-06-21	VYDAJ	VYBER	31360	57016	\N	\N	\N
1025920	3503	1994-12-18	VYDAJ	VYBER	2880	44116	\N	\N	\N
1025921	3503	1995-12-10	VYDAJ	VYBER	2560	42405	\N	\N	\N
1025922	3503	1996-12-18	VYDAJ	VYBER	4480	63906	\N	\N	\N
1025923	3503	1997-12-12	VYDAJ	VYBER	1280	82750	\N	\N	\N
1025924	3503	1998-12-25	VYDAJ	VYBER KARTOU	2600	83881	\N	\N	0
1025931	3503	1995-01-23	VYDAJ	VYBER	2520	36737	\N	\N	\N
1025932	3503	1995-01-06	VYDAJ	VYBER	2760	59537	\N	\N	\N
1025933	3503	1995-01-24	VYDAJ	VYBER	960	35777	\N	\N	\N
1025934	3503	1995-01-26	VYDAJ	VYBER	1320	34457	\N	\N	\N
1025935	3503	1995-01-03	VYDAJ	VYBER	2040	42243	\N	\N	\N
1025936	3503	1995-01-23	VYDAJ	VYBER	2280	39257	\N	\N	\N
1025937	3503	1996-01-21	VYDAJ	VYBER	2280	32798	\N	\N	\N
1025938	3503	1996-01-20	VYDAJ	VYBER	2760	35078	\N	\N	\N
1025939	3503	1996-01-26	VYDAJ	VYBER	840	29798	\N	\N	\N
1025940	3503	1996-01-29	VYDAJ	VYBER	1440	28358	\N	\N	\N
1025941	3503	1996-01-24	VYDAJ	VYBER	2160	30638	\N	\N	\N
1025942	3503	1996-01-07	VYDAJ	VYBER	840	61778	\N	\N	\N
1025943	3503	1997-01-13	VYDAJ	VYBER	840	60576	\N	\N	\N
1025944	3503	1997-01-19	VYDAJ	VYBER	1800	46296	\N	\N	\N
1025945	3503	1997-01-27	VYDAJ	VYBER	3240	40416	\N	\N	\N
1025946	3503	1997-01-28	VYDAJ	VYBER	1680	38736	\N	\N	\N
1025947	3503	1997-01-23	VYDAJ	VYBER	2640	43656	\N	\N	\N
1025948	3503	1997-01-13	VYDAJ	VYBER	2160	58416	\N	\N	\N
1025949	3503	1998-01-23	VYDAJ	VYBER	1560	67857	\N	\N	\N
1025950	3503	1998-01-09	VYDAJ	VYBER	3360	71697	\N	\N	\N
1025951	3503	1998-01-27	VYDAJ	VYBER	720	53257	\N	\N	\N
1025952	3503	1998-01-08	VYDAJ	VYBER	3360	75057	\N	\N	\N
1025953	3503	1998-01-15	VYDAJ	VYBER	2280	69417	\N	\N	\N
1025954	3503	1998-01-08	VYDAJ	VYBER	3360	78417	\N	\N	\N
1025957	3503	1995-09-09	VYDAJ	VYBER	3000	57744	\N	\N	\N
1025958	3503	1995-04-22	VYDAJ	VYBER	3720	36260	\N	\N	\N
1025959	3503	1995-09-14	VYDAJ	VYBER	2280	37964	\N	\N	\N
1025960	3503	1995-10-02	VYDAJ	VYBER	5040	33075	\N	\N	\N
1025961	3503	1996-08-29	VYDAJ	VYBER	4560	34673	\N	\N	\N
1025962	3503	1996-11-01	VYDAJ	VYBER	840	51337	\N	\N	\N
1025963	3503	1996-12-13	VYDAJ	VYBER	2400	68386	\N	\N	\N
1025964	3503	1996-01-20	VYDAJ	VYBER	3840	37838	\N	\N	\N
1025965	3503	1997-12-17	VYDAJ	VYBER	600	82150	\N	\N	\N
1025966	3503	1997-03-02	VYDAJ	VYBER	4560	47024	\N	\N	\N
1025967	3503	1997-04-25	VYDAJ	VYBER	5040	59003	\N	\N	\N
1025968	3503	1997-01-16	VYDAJ	VYBER	5880	52536	\N	\N	\N
1025969	3503	1997-06-07	VYDAJ	VYBER	1560	76178	\N	\N	\N
1025970	3503	1997-01-17	VYDAJ	VYBER	4440	48096	\N	\N	\N
1025971	3503	1998-06-13	VYDAJ	VYBER KARTOU	3800	88376	\N	\N	0
1025972	3503	1998-05-26	VYDAJ	VYBER	4440	72968	\N	\N	\N
1025973	3503	1998-06-25	VYDAJ	VYBER	4320	52696	\N	\N	\N
1025974	3503	1998-01-23	VYDAJ	VYBER	3480	64377	\N	\N	\N
1025975	3503	1998-03-30	VYDAJ	VYBER	5760	52070	\N	\N	\N
1025988	3503	1994-12-31	VYDAJ	VYBER	15	44283	SLUZBY	\N	\N
1025989	3503	1995-01-31	VYDAJ	VYBER	15	34629	SLUZBY	\N	\N
1025990	3503	1995-02-28	VYDAJ	VYBER	15	38823	SLUZBY	\N	\N
1025991	3503	1995-03-31	VYDAJ	VYBER	15	39726	SLUZBY	\N	\N
1025992	3503	1995-04-30	VYDAJ	VYBER	15	36407	SLUZBY	\N	\N
1025993	3503	1995-05-31	VYDAJ	VYBER	15	40508	SLUZBY	\N	\N
1025994	3503	1995-06-30	VYDAJ	VYBER	15	34288	SLUZBY	\N	\N
1025995	3503	1995-07-31	VYDAJ	VYBER	15	39584	SLUZBY	\N	\N
1025996	3503	1995-08-31	VYDAJ	VYBER	15	40690	SLUZBY	\N	\N
1025997	3503	1995-09-30	VYDAJ	VYBER	15	38115	SLUZBY	\N	\N
1025998	3503	1995-10-31	VYDAJ	VYBER	15	38381	SLUZBY	\N	\N
1025999	3503	1995-11-30	VYDAJ	VYBER	15	39784	SLUZBY	\N	\N
1026000	3503	1995-12-31	VYDAJ	VYBER	15	42564	SLUZBY	\N	\N
1026001	3503	1996-01-31	VYDAJ	VYBER	15	28503	SLUZBY	\N	\N
1026002	3503	1996-02-29	VYDAJ	VYBER	15	35784	SLUZBY	\N	\N
1026003	3503	1996-03-31	VYDAJ	VYBER	15	39986	SLUZBY	\N	\N
1026004	3503	1996-04-30	VYDAJ	VYBER	15	44907	SLUZBY	\N	\N
1026005	3503	1996-05-31	VYDAJ	VYBER	15	42825	SLUZBY	\N	\N
1026006	3503	1996-06-30	VYDAJ	VYBER	15	7937	SLUZBY	\N	\N
1026007	3503	1996-07-31	VYDAJ	VYBER	15	23579	SLUZBY	\N	\N
1026008	3503	1996-08-31	VYDAJ	VYBER	15	34809	SLUZBY	\N	\N
1026009	3503	1996-09-30	VYDAJ	VYBER	15	44827	SLUZBY	\N	\N
1026010	3503	1996-10-31	VYDAJ	VYBER	15	52177	SLUZBY	\N	\N
1026011	3503	1996-11-30	VYDAJ	VYBER	15	57605	SLUZBY	\N	\N
1026012	3503	1996-12-31	VYDAJ	VYBER	15	64162	SLUZBY	\N	\N
1026013	3503	1997-01-31	VYDAJ	VYBER	15	38940	SLUZBY	\N	\N
1026014	3503	1997-02-28	VYDAJ	VYBER	15	51584	SLUZBY	\N	\N
1026015	3503	1997-03-31	VYDAJ	VYBER	15	57089	SLUZBY	\N	\N
1026016	3503	1997-04-30	VYDAJ	VYBER	15	59245	SLUZBY	\N	\N
1026017	3503	1997-05-31	VYDAJ	VYBER	15	67157	SLUZBY	\N	\N
1026018	3503	1997-06-30	VYDAJ	VYBER	15	41254	SLUZBY	\N	\N
1026019	3503	1997-07-31	VYDAJ	VYBER	15	42611	SLUZBY	\N	\N
1026020	3503	1997-08-31	VYDAJ	VYBER	15	43927	SLUZBY	\N	\N
1026021	3503	1997-09-30	VYDAJ	VYBER	15	49349	SLUZBY	\N	\N
1026022	3503	1997-10-31	VYDAJ	VYBER	15	52293	SLUZBY	\N	\N
1026023	3503	1997-11-30	VYDAJ	VYBER	15	53949	SLUZBY	\N	\N
1026024	3503	1997-12-31	VYDAJ	VYBER	15	61723	SLUZBY	\N	\N
1026025	3503	1998-01-31	VYDAJ	VYBER	15	53514	SLUZBY	\N	\N
1026026	3503	1998-02-28	VYDAJ	VYBER	15	58876	SLUZBY	\N	\N
1026027	3503	1998-03-31	VYDAJ	VYBER	15	52296	SLUZBY	\N	\N
1026028	3503	1998-04-30	VYDAJ	VYBER	15	57354	SLUZBY	\N	\N
1026029	3503	1998-05-31	VYDAJ	VYBER	15	62095	SLUZBY	\N	\N
1026030	3503	1998-06-30	VYDAJ	VYBER	15	53356	SLUZBY	\N	\N
1026031	3503	1998-07-31	VYDAJ	VYBER	15	64323	SLUZBY	\N	\N
1026032	3503	1998-08-31	VYDAJ	VYBER	15	71934	SLUZBY	\N	\N
1026033	3503	1998-09-30	VYDAJ	VYBER	15	77675	SLUZBY	\N	\N
1026034	3503	1998-10-31	VYDAJ	VYBER	15	78035	SLUZBY	\N	\N
1026035	3503	1998-11-30	VYDAJ	VYBER	15	81800	SLUZBY	\N	\N
1026036	3503	1994-08-16	PRIJEM	VKLAD	1700	22554	\N	\N	\N
1026037	3503	1994-09-15	VYDAJ	VYBER	8000	34657	\N	\N	\N
1026038	3503	1994-10-15	VYDAJ	VYBER	14500	40331	\N	\N	\N
1026039	3503	1994-11-14	VYDAJ	VYBER	18400	42143	\N	\N	\N
1026040	3503	1994-12-14	VYDAJ	VYBER	25400	46996	\N	\N	\N
1026041	3503	1995-01-13	VYDAJ	VYBER	18000	41537	\N	\N	\N
1026042	3503	1995-02-12	VYDAJ	VYBER	16000	38683	\N	\N	\N
1026043	3503	1995-03-14	VYDAJ	VYBER	19300	39577	\N	\N	\N
1026044	3503	1995-04-13	VYDAJ	VYBER	19800	39980	\N	\N	\N
1026045	3503	1995-05-13	VYDAJ	VYBER	16100	40361	\N	\N	\N
1026046	3503	1995-06-12	VYDAJ	VYBER	7800	34149	\N	\N	\N
1026047	3503	1995-07-12	VYDAJ	VYBER	14900	39442	\N	\N	\N
1026048	3503	1995-08-11	VYDAJ	VYBER	19100	40538	\N	\N	\N
1026049	3503	1995-09-10	VYDAJ	VYBER	17500	40244	\N	\N	\N
1026050	3503	1995-10-10	VYDAJ	VYBER	14900	38229	\N	\N	\N
1026051	3503	1995-11-09	VYDAJ	VYBER	18800	39635	\N	\N	\N
1026052	3503	1995-12-09	VYDAJ	VYBER	24900	44965	\N	\N	\N
1026053	3503	1996-01-08	VYDAJ	VYBER	20100	41678	\N	\N	\N
1026054	3503	1996-02-07	VYDAJ	VYBER	12900	35657	\N	\N	\N
1026055	3503	1996-03-08	VYDAJ	VYBER	16000	39838	\N	\N	\N
1026056	3503	1996-04-07	VYDAJ	VYBER	15300	44740	\N	\N	\N
1026057	3503	1996-05-07	VYDAJ	VYBER	22300	42661	\N	\N	\N
1026058	3503	1996-06-06	VYDAJ	VYBER	25700	47206	\N	\N	\N
1026059	3503	1996-07-06	VYDAJ	VYBER	4500	23491	\N	\N	\N
1026060	3503	1996-08-05	VYDAJ	VYBER	4400	19179	\N	\N	\N
1026061	3503	1996-09-04	VYDAJ	VYBER	10200	24609	\N	\N	\N
1026062	3503	1996-10-04	VYDAJ	VYBER	12900	31927	\N	\N	\N
1026063	3503	1996-11-03	VYDAJ	VYBER	14000	37337	\N	\N	\N
1026064	3503	1996-12-03	VYDAJ	VYBER	16900	40705	\N	\N	\N
1026065	3503	1997-01-02	VYDAJ	VYBER	22800	41362	\N	\N	\N
1026066	3503	1997-02-01	VYDAJ	VYBER	7600	31340	\N	\N	\N
1026067	3503	1997-03-03	VYDAJ	VYBER	10200	36824	\N	\N	\N
1026068	3503	1997-04-02	VYDAJ	VYBER	13100	43989	\N	\N	\N
1026069	3503	1997-05-02	VYDAJ	VYBER	12400	46845	\N	\N	\N
1026070	3503	1997-06-01	VYDAJ	VYBER	19500	47657	\N	\N	\N
1026071	3503	1997-07-01	VYDAJ	VYBER	6100	35154	\N	\N	\N
1026072	3503	1997-07-31	VYDAJ	VYBER	12800	42625	\N	\N	\N
1026073	3503	1997-08-30	VYDAJ	VYBER	18900	43765	\N	\N	\N
1026074	3503	1997-09-29	VYDAJ	VYBER	14800	49181	\N	\N	\N
1026075	3503	1997-10-29	VYDAJ	VYBER	17300	52103	\N	\N	\N
1026076	3503	1997-11-28	VYDAJ	VYBER	18600	53747	\N	\N	\N
1026077	3503	1997-12-28	VYDAJ	VYBER	20700	61450	\N	\N	\N
1026078	3503	1998-01-27	VYDAJ	VYBER	10400	53977	\N	\N	\N
1026079	3503	1998-02-26	VYDAJ	VYBER	14900	58668	\N	\N	\N
1026080	3503	1998-03-28	VYDAJ	VYBER	21100	57830	\N	\N	\N
1026081	3503	1998-04-27	VYDAJ	VYBER	15200	57150	\N	\N	\N
1026082	3503	1998-05-27	VYDAJ	VYBER	11100	61868	\N	\N	\N
1026083	3503	1998-06-26	PRIJEM	VKLAD	400	53096	\N	\N	\N
1026084	3503	1998-07-26	VYDAJ	VYBER	9300	64110	\N	\N	\N
1026085	3503	1998-08-25	VYDAJ	VYBER	12700	71677	\N	\N	\N
1026086	3503	1998-09-24	VYDAJ	VYBER	14600	77388	\N	\N	\N
1026087	3503	1998-10-24	VYDAJ	VYBER	20000	77729	\N	\N	\N
1026088	3503	1998-11-23	VYDAJ	VYBER	16600	81489	\N	\N	\N
1026089	3503	1998-12-23	VYDAJ	VYBER	25400	86481	\N	\N	\N
1026143	3504	1996-08-30	PRIJEM	VKLAD	500	500	\N	\N	\N
1026152	3504	1996-09-10	PRIJEM	VKLAD	5040	5540	\N	\N	\N
1026153	3504	1996-10-10	PRIJEM	VKLAD	5040	19584	\N	\N	\N
1026154	3504	1996-11-10	PRIJEM	VKLAD	5040	25687	\N	\N	\N
1026155	3504	1996-12-10	PRIJEM	VKLAD	7560	29834	\N	\N	\N
1026156	3504	1997-01-10	PRIJEM	VKLAD	5040	32269	\N	\N	\N
1026157	3504	1997-02-10	PRIJEM	VKLAD	5040	24739	\N	\N	\N
1026158	3504	1997-03-10	PRIJEM	VKLAD	5040	24004	\N	\N	\N
1026159	3504	1997-04-10	PRIJEM	VKLAD	5040	16759	\N	\N	\N
1026160	3504	1997-05-10	PRIJEM	VKLAD	5040	15183	\N	\N	\N
1026161	3504	1997-06-10	PRIJEM	VKLAD	7560	17126	\N	\N	\N
1026162	3504	1997-07-10	PRIJEM	VKLAD	5040	17357	\N	\N	\N
1026163	3504	1997-08-10	PRIJEM	VKLAD	5040	15090	\N	\N	\N
1026164	3504	1997-09-10	PRIJEM	VKLAD	5040	16816	\N	\N	\N
1026165	3504	1997-10-10	PRIJEM	VKLAD	5040	18550	\N	\N	\N
1026166	3504	1997-11-10	PRIJEM	VKLAD	5040	20290	\N	\N	\N
1026167	3504	1997-12-10	PRIJEM	VKLAD	7560	21952	\N	\N	\N
1026168	3504	1998-01-10	PRIJEM	VKLAD	5040	19404	\N	\N	\N
1026169	3504	1998-02-10	PRIJEM	VKLAD	5040	21151	\N	\N	\N
1026170	3504	1998-03-10	PRIJEM	VKLAD	5040	22902	\N	\N	\N
1026171	3504	1998-04-10	PRIJEM	VKLAD	5040	21061	\N	\N	\N
1026172	3504	1998-05-10	PRIJEM	VKLAD	5040	22811	\N	\N	\N
1026173	3504	1998-06-10	PRIJEM	VKLAD	7560	27090	\N	\N	\N
1026174	3504	1998-07-10	PRIJEM	VKLAD	5040	18647	\N	\N	\N
1026175	3504	1998-08-10	PRIJEM	VKLAD	5040	15478	\N	\N	\N
1026176	3504	1998-09-10	PRIJEM	VKLAD	5040	16705	\N	\N	\N
1026177	3504	1998-10-10	PRIJEM	VKLAD	5040	18438	\N	\N	\N
1026178	3504	1998-11-10	PRIJEM	VKLAD	5040	20177	\N	\N	\N
1026179	3504	1998-12-10	PRIJEM	VKLAD	7560	20941	\N	\N	\N
1026193	3504	1997-02-08	VYDAJ	PREVOD NA UCET	3360	19699	SIPO	QR	46586519
1026194	3504	1997-03-08	VYDAJ	PREVOD NA UCET	3360	18964	SIPO	QR	46586519
1026195	3504	1997-04-08	VYDAJ	PREVOD NA UCET	3360	11719	SIPO	QR	46586519
1026196	3504	1997-05-08	VYDAJ	PREVOD NA UCET	3360	10143	SIPO	QR	46586519
1026197	3504	1997-06-08	VYDAJ	PREVOD NA UCET	3360	9566	SIPO	QR	46586519
1026198	3504	1997-07-08	VYDAJ	PREVOD NA UCET	3360	12317	SIPO	QR	46586519
1026199	3504	1997-08-08	VYDAJ	PREVOD NA UCET	3360	10050	SIPO	QR	46586519
1026200	3504	1997-09-08	VYDAJ	PREVOD NA UCET	3360	11776	SIPO	QR	46586519
1026201	3504	1997-10-08	VYDAJ	PREVOD NA UCET	3360	13510	SIPO	QR	46586519
1026202	3504	1997-11-08	VYDAJ	PREVOD NA UCET	3360	15250	SIPO	QR	46586519
1026203	3504	1997-12-08	VYDAJ	PREVOD NA UCET	3360	14392	SIPO	QR	46586519
1026204	3504	1998-01-08	VYDAJ	PREVOD NA UCET	3360	14364	SIPO	QR	46586519
1026205	3504	1998-02-08	VYDAJ	PREVOD NA UCET	3360	16111	SIPO	QR	46586519
1026206	3504	1998-03-08	VYDAJ	PREVOD NA UCET	3360	17862	SIPO	QR	46586519
1026207	3504	1998-04-08	VYDAJ	PREVOD NA UCET	3360	16021	SIPO	QR	46586519
1026208	3504	1998-05-08	VYDAJ	PREVOD NA UCET	3360	17771	SIPO	QR	46586519
1026209	3504	1998-06-08	VYDAJ	PREVOD NA UCET	3360	19530	SIPO	QR	46586519
1026210	3504	1998-07-08	VYDAJ	PREVOD NA UCET	3360	13607	SIPO	QR	46586519
1026211	3504	1998-08-08	VYDAJ	PREVOD NA UCET	3360	10438	SIPO	QR	46586519
1026212	3504	1998-09-08	VYDAJ	PREVOD NA UCET	3360	11665	SIPO	QR	46586519
1026213	3504	1998-10-08	VYDAJ	PREVOD NA UCET	3360	13398	SIPO	QR	46586519
1026214	3504	1998-11-08	VYDAJ	PREVOD NA UCET	3360	15137	SIPO	QR	46586519
1026215	3504	1998-12-08	VYDAJ	PREVOD NA UCET	3360	13381	SIPO	QR	46586519
1026218	3504	1998-06-18	VYDAJ	VYBER	8800	18290	\N	\N	\N
1026220	3504	1997-01-15	VYDAJ	VYBER	8300	23969	\N	\N	\N
1026221	3504	1998-01-07	VYDAJ	VYBER	4300	17724	\N	\N	\N
1026224	3504	1998-12-14	VYDAJ	VYBER	900	20041	\N	\N	\N
1026230	3504	1997-04-11	VYDAJ	VYBER	3300	13459	\N	\N	\N
1026231	3504	1997-03-17	VYDAJ	VYBER	3400	20604	\N	\N	\N
1026233	3504	1997-07-07	VYDAJ	VYBER	1500	15677	\N	\N	\N
1026234	3504	1997-11-16	VYDAJ	VYBER	2600	17690	\N	\N	\N
1026236	3504	1997-05-21	VYDAJ	VYBER	2300	12883	\N	\N	\N
1026237	3504	1997-03-30	VYDAJ	VYBER	2800	15004	\N	\N	\N
1026238	3504	1998-07-17	VYDAJ	VYBER	4900	13747	\N	\N	\N
1026239	3504	1998-11-24	VYDAJ	VYBER	3500	16677	\N	\N	\N
1026240	3504	1998-12-29	VYDAJ	VYBER	4400	15641	\N	\N	\N
1026241	3504	1998-03-31	VYDAJ	VYBER	3600	19395	\N	\N	\N
1026242	3504	1998-09-06	VYDAJ	VYBER	500	15025	\N	\N	\N
1026243	3504	1998-07-03	VYDAJ	VYBER	1400	16967	\N	\N	\N
1026258	3504	1997-01-31	VYDAJ	VYBER	15	23059	SLUZBY	\N	\N
1026259	3504	1997-02-28	VYDAJ	VYBER	15	22324	SLUZBY	\N	\N
1026260	3504	1997-03-31	VYDAJ	VYBER	15	15079	SLUZBY	\N	\N
1026261	3504	1997-04-30	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
1026262	3504	1997-05-31	VYDAJ	VYBER	15	12926	SLUZBY	\N	\N
1026263	3504	1997-06-30	VYDAJ	VYBER	15	17177	SLUZBY	\N	\N
1026264	3504	1997-07-31	VYDAJ	VYBER	15	13410	SLUZBY	\N	\N
1026265	3504	1997-08-31	VYDAJ	VYBER	15	15136	SLUZBY	\N	\N
1026266	3504	1997-09-30	VYDAJ	VYBER	15	16870	SLUZBY	\N	\N
1026267	3504	1997-10-31	VYDAJ	VYBER	15	18610	SLUZBY	\N	\N
1026268	3504	1997-11-30	VYDAJ	VYBER	15	17752	SLUZBY	\N	\N
1026269	3504	1997-12-31	VYDAJ	VYBER	15	22024	SLUZBY	\N	\N
1026270	3504	1998-01-31	VYDAJ	VYBER	15	19471	SLUZBY	\N	\N
1026271	3504	1998-02-28	VYDAJ	VYBER	15	21222	SLUZBY	\N	\N
1026272	3504	1998-03-31	VYDAJ	VYBER	15	19381	SLUZBY	\N	\N
1026273	3504	1998-04-30	VYDAJ	VYBER	15	21131	SLUZBY	\N	\N
1026274	3504	1998-05-31	VYDAJ	VYBER	15	22890	SLUZBY	\N	\N
1026275	3504	1998-06-30	VYDAJ	VYBER	15	18367	SLUZBY	\N	\N
1026276	3504	1998-07-31	VYDAJ	VYBER	15	13798	SLUZBY	\N	\N
1026277	3504	1998-08-31	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
1026278	3504	1998-09-30	VYDAJ	VYBER	15	16758	SLUZBY	\N	\N
1026279	3504	1998-10-31	VYDAJ	VYBER	15	18497	SLUZBY	\N	\N
1026280	3504	1998-11-30	VYDAJ	VYBER	15	16741	SLUZBY	\N	\N
1026281	3504	1996-09-29	PRIJEM	VKLAD	9000	14540	\N	\N	\N
1026282	3504	1996-10-29	PRIJEM	VKLAD	1000	20584	\N	\N	\N
1026283	3504	1996-11-28	VYDAJ	VYBER	3500	22187	\N	\N	\N
1026284	3504	1996-12-28	VYDAJ	VYBER	2700	27134	\N	\N	\N
1026285	3504	1997-01-27	VYDAJ	VYBER	1000	22969	\N	\N	\N
1026286	3504	1997-02-26	VYDAJ	VYBER	2500	22239	\N	\N	\N
1026287	3504	1997-03-28	VYDAJ	VYBER	2800	17804	\N	\N	\N
1026288	3504	1997-07-26	VYDAJ	VYBER	4000	13357	\N	\N	\N
1026317	3505	1993-09-23	PRIJEM	VKLAD	200	200	\N	\N	\N
1026327	3505	1993-10-06	PRIJEM	VKLAD	23621	23821	\N	\N	\N
1026328	3505	1993-11-06	PRIJEM	VKLAD	23621	49573	\N	\N	\N
1026329	3505	1993-12-06	PRIJEM	VKLAD	35432	73328	\N	\N	\N
1026330	3505	1994-01-06	PRIJEM	VKLAD	23621	70919	\N	\N	\N
1026331	3505	1994-02-06	PRIJEM	VKLAD	23621	73239	\N	\N	\N
1026332	3505	1994-03-06	PRIJEM	VKLAD	23621	66086	\N	\N	\N
1026333	3505	1994-04-06	PRIJEM	VKLAD	23621	64632	\N	\N	\N
1026334	3505	1994-05-06	PRIJEM	VKLAD	23621	59393	\N	\N	\N
1026335	3505	1994-06-06	PRIJEM	VKLAD	35432	64749	\N	\N	\N
1026336	3505	1994-07-06	PRIJEM	VKLAD	23621	65543	\N	\N	\N
1026337	3505	1994-08-06	PRIJEM	VKLAD	23621	65925	\N	\N	\N
1026338	3505	1994-09-06	PRIJEM	VKLAD	23621	66127	\N	\N	\N
1026339	3505	1994-10-06	PRIJEM	VKLAD	23621	60503	\N	\N	\N
1026340	3505	1994-11-06	PRIJEM	VKLAD	23621	62461	\N	\N	\N
1026341	3505	1994-12-06	PRIJEM	VKLAD	35432	71216	\N	\N	\N
1026342	3505	1995-01-06	PRIJEM	VKLAD	23621	66915	\N	\N	\N
1026343	3505	1995-02-06	PRIJEM	VKLAD	23621	47445	\N	\N	\N
1026344	3505	1995-03-06	PRIJEM	VKLAD	23621	56257	\N	\N	\N
1026345	3505	1995-04-06	PRIJEM	VKLAD	23621	55135	\N	\N	\N
1026346	3505	1995-05-06	PRIJEM	VKLAD	23621	56766	\N	\N	\N
1026347	3505	1995-06-06	PRIJEM	VKLAD	35432	67508	\N	\N	\N
1026348	3505	1995-07-06	PRIJEM	VKLAD	23621	44225	\N	\N	\N
1026349	3505	1995-08-06	PRIJEM	VKLAD	23621	51338	\N	\N	\N
1026350	3505	1995-09-06	PRIJEM	VKLAD	23621	56927	\N	\N	\N
1026351	3505	1995-10-06	PRIJEM	VKLAD	23621	58357	\N	\N	\N
1026352	3505	1995-11-06	PRIJEM	VKLAD	23621	60395	\N	\N	\N
1026353	3505	1995-12-06	PRIJEM	VKLAD	35432	70138	\N	\N	\N
1026354	3505	1996-01-06	PRIJEM	VKLAD	23621	60750	\N	\N	\N
1026355	3505	1996-02-06	PRIJEM	VKLAD	23621	39255	\N	\N	\N
1026356	3505	1996-03-06	PRIJEM	VKLAD	23621	40160	\N	\N	\N
1026357	3505	1996-04-06	PRIJEM	VKLAD	23621	50651	\N	\N	\N
1026358	3505	1996-05-06	PRIJEM	VKLAD	23621	56563	\N	\N	\N
1026359	3505	1996-06-06	PRIJEM	VKLAD	35432	68295	\N	\N	\N
1026360	3505	1996-07-06	PRIJEM	VKLAD	23621	57739	\N	\N	\N
1026361	3505	1996-08-06	PRIJEM	VKLAD	23621	63281	\N	\N	\N
1026362	3505	1996-09-06	PRIJEM	VKLAD	23621	61816	\N	\N	\N
1026363	3505	1996-10-06	PRIJEM	VKLAD	23621	64167	\N	\N	\N
1026364	3505	1996-11-06	PRIJEM	VKLAD	23621	67831	\N	\N	\N
1026365	3505	1996-12-06	PRIJEM	VKLAD	35432	84125	\N	\N	\N
1026366	3505	1997-01-06	PRIJEM	VKLAD	23621	58651	\N	\N	\N
1026367	3505	1997-02-06	PRIJEM	VKLAD	23621	63071	\N	\N	\N
1026368	3505	1997-03-06	PRIJEM	VKLAD	23621	83089	\N	\N	\N
1026369	3505	1997-04-06	PRIJEM	VKLAD	23621	65815	\N	\N	\N
1026370	3505	1997-05-06	PRIJEM	VKLAD	23621	66592	\N	\N	\N
1026371	3505	1997-06-06	PRIJEM	VKLAD	35432	85844	\N	\N	\N
1026372	3505	1997-07-06	PRIJEM	VKLAD	23621	59769	\N	\N	\N
1026373	3505	1997-08-06	PRIJEM	VKLAD	23621	66075	\N	\N	\N
1026374	3505	1997-09-06	PRIJEM	VKLAD	23621	71314	\N	\N	\N
1026375	3505	1997-10-06	PRIJEM	VKLAD	23621	73631	\N	\N	\N
1026376	3505	1997-11-06	PRIJEM	VKLAD	23621	75541	\N	\N	\N
1026377	3505	1997-12-06	PRIJEM	VKLAD	35432	92348	\N	\N	\N
1026378	3505	1998-01-06	PRIJEM	VKLAD	23621	92282	\N	\N	\N
1026379	3505	1998-02-06	PRIJEM	VKLAD	23621	80436	\N	\N	\N
1026380	3505	1998-03-06	PRIJEM	VKLAD	23621	84621	\N	\N	\N
1026381	3505	1998-04-06	PRIJEM	VKLAD	23621	92433	\N	\N	\N
1026382	3505	1998-05-06	PRIJEM	VKLAD	23621	96352	\N	\N	\N
1026383	3505	1998-06-06	PRIJEM	VKLAD	35432	112896	\N	\N	\N
1026384	3505	1998-07-06	PRIJEM	VKLAD	23621	95995	\N	\N	\N
1026385	3505	1998-08-06	PRIJEM	VKLAD	23621	102826	\N	\N	\N
1026386	3505	1998-09-06	PRIJEM	VKLAD	23621	100578	\N	\N	\N
1026387	3505	1998-10-06	PRIJEM	VKLAD	23621	95811	\N	\N	\N
1026388	3505	1998-11-06	PRIJEM	VKLAD	23621	95147	\N	\N	\N
1026389	3505	1998-12-06	PRIJEM	VKLAD	35432	102271	\N	\N	\N
1026403	3505	1994-02-11	VYDAJ	PREVOD NA UCET	3823	63656	SIPO	KL	66976618
1026404	3505	1994-03-11	VYDAJ	PREVOD NA UCET	3823	62263	SIPO	KL	66976618
1026405	3505	1994-04-11	VYDAJ	PREVOD NA UCET	3823	60809	SIPO	KL	66976618
1026406	3505	1994-05-11	VYDAJ	PREVOD NA UCET	3823	55570	SIPO	KL	66976618
1026407	3505	1994-06-11	VYDAJ	PREVOD NA UCET	3823	58526	SIPO	KL	66976618
1026408	3505	1994-07-11	VYDAJ	PREVOD NA UCET	3823	61720	SIPO	KL	66976618
1026409	3505	1994-08-11	VYDAJ	PREVOD NA UCET	3823	62102	SIPO	KL	66976618
1026410	3505	1994-09-11	VYDAJ	PREVOD NA UCET	3823	62304	SIPO	KL	66976618
1026411	3505	1994-10-11	VYDAJ	PREVOD NA UCET	3823	56680	SIPO	KL	66976618
1026412	3505	1994-11-11	VYDAJ	PREVOD NA UCET	3823	58638	SIPO	KL	66976618
1026413	3505	1994-12-11	VYDAJ	PREVOD NA UCET	3823	67393	SIPO	KL	66976618
1026414	3505	1995-01-11	VYDAJ	PREVOD NA UCET	3823	58892	SIPO	KL	66976618
1026415	3505	1995-02-11	VYDAJ	PREVOD NA UCET	3823	43622	SIPO	KL	66976618
1026416	3505	1995-03-11	VYDAJ	PREVOD NA UCET	3823	52434	SIPO	KL	66976618
1026417	3505	1995-04-11	VYDAJ	PREVOD NA UCET	3823	51312	SIPO	KL	66976618
1026418	3505	1995-05-11	VYDAJ	PREVOD NA UCET	3823	52943	SIPO	KL	66976618
1026419	3505	1995-06-11	VYDAJ	PREVOD NA UCET	3823	63685	SIPO	KL	66976618
1026420	3505	1995-07-11	VYDAJ	PREVOD NA UCET	3823	40402	SIPO	KL	66976618
1026421	3505	1995-08-11	VYDAJ	PREVOD NA UCET	3823	46675	SIPO	KL	66976618
1026422	3505	1995-09-11	VYDAJ	PREVOD NA UCET	3823	53104	SIPO	KL	66976618
1026423	3505	1995-10-11	VYDAJ	PREVOD NA UCET	3823	54534	SIPO	KL	66976618
1026424	3505	1995-11-11	VYDAJ	PREVOD NA UCET	3823	56572	SIPO	KL	66976618
1026425	3505	1995-12-11	VYDAJ	PREVOD NA UCET	3823	63435	SIPO	KL	66976618
1026426	3505	1996-01-11	VYDAJ	PREVOD NA UCET	3823	56927	SIPO	KL	66976618
1026427	3505	1996-02-11	VYDAJ	PREVOD NA UCET	3823	25832	SIPO	KL	66976618
1026428	3505	1996-03-11	VYDAJ	PREVOD NA UCET	3823	26937	SIPO	KL	66976618
1026429	3505	1996-04-11	VYDAJ	PREVOD NA UCET	3823	32828	SIPO	KL	66976618
1026430	3505	1996-05-11	VYDAJ	PREVOD NA UCET	3823	34540	SIPO	KL	66976618
1026431	3505	1996-06-11	VYDAJ	PREVOD NA UCET	3823	41172	SIPO	KL	66976618
1026432	3505	1996-07-11	VYDAJ	PREVOD NA UCET	3823	39516	SIPO	KL	66976618
1026433	3505	1996-08-11	VYDAJ	PREVOD NA UCET	3823	42358	SIPO	KL	66976618
1026434	3505	1996-09-11	VYDAJ	PREVOD NA UCET	3823	40393	SIPO	KL	66976618
1026435	3505	1996-10-11	VYDAJ	PREVOD NA UCET	3823	44044	SIPO	KL	66976618
1026436	3505	1996-11-11	VYDAJ	PREVOD NA UCET	3823	48508	SIPO	KL	66976618
1026437	3505	1996-12-11	VYDAJ	PREVOD NA UCET	3823	50902	SIPO	KL	66976618
1026438	3505	1997-01-11	VYDAJ	PREVOD NA UCET	3823	54828	SIPO	KL	66976618
1026439	3505	1997-02-11	VYDAJ	PREVOD NA UCET	3823	59248	SIPO	KL	66976618
1026440	3505	1997-03-11	VYDAJ	PREVOD NA UCET	3823	52966	SIPO	KL	66976618
1026441	3505	1997-04-11	VYDAJ	PREVOD NA UCET	3823	56352	SIPO	KL	66976618
1026442	3505	1997-05-11	VYDAJ	PREVOD NA UCET	3823	62769	SIPO	KL	66976618
1026443	3505	1997-06-11	VYDAJ	PREVOD NA UCET	3823	78061	SIPO	KL	66976618
1026444	3505	1997-07-11	VYDAJ	PREVOD NA UCET	3823	55946	SIPO	KL	66976618
1026445	3505	1997-08-11	VYDAJ	PREVOD NA UCET	3823	62252	SIPO	KL	66976618
1026446	3505	1997-09-11	VYDAJ	PREVOD NA UCET	3823	67491	SIPO	KL	66976618
1026447	3505	1997-10-11	VYDAJ	PREVOD NA UCET	3823	69808	SIPO	KL	66976618
1026448	3505	1997-11-11	VYDAJ	PREVOD NA UCET	3823	71718	SIPO	KL	66976618
1026449	3505	1997-12-11	VYDAJ	PREVOD NA UCET	3823	88525	SIPO	KL	66976618
1026450	3505	1998-01-11	VYDAJ	PREVOD NA UCET	3823	63779	SIPO	KL	66976618
1026451	3505	1998-02-11	VYDAJ	PREVOD NA UCET	3823	76613	SIPO	KL	66976618
1026452	3505	1998-03-11	VYDAJ	PREVOD NA UCET	3823	80798	SIPO	KL	66976618
1026453	3505	1998-04-11	VYDAJ	PREVOD NA UCET	3823	88610	SIPO	KL	66976618
1026454	3505	1998-05-11	VYDAJ	PREVOD NA UCET	3823	92529	SIPO	KL	66976618
1026455	3505	1998-06-11	VYDAJ	PREVOD NA UCET	3823	109073	SIPO	KL	66976618
1026456	3505	1998-07-11	VYDAJ	PREVOD NA UCET	3823	92172	SIPO	KL	66976618
1026457	3505	1998-08-11	VYDAJ	PREVOD NA UCET	3823	99003	SIPO	KL	66976618
1026458	3505	1998-09-11	VYDAJ	PREVOD NA UCET	3823	91955	SIPO	KL	66976618
1026459	3505	1998-10-11	VYDAJ	PREVOD NA UCET	3823	91988	SIPO	KL	66976618
1026460	3505	1998-11-11	VYDAJ	PREVOD NA UCET	3823	91324	SIPO	KL	66976618
1026461	3505	1998-12-11	VYDAJ	PREVOD NA UCET	3823	98448	SIPO	KL	66976618
1026463	3505	1994-06-03	VYDAJ	VYBER	11840	29318	\N	\N	\N
1026464	3505	1995-06-17	VYDAJ	VYBER	18720	22165	\N	\N	\N
1026465	3505	1996-06-11	VYDAJ	VYBER	7200	33972	\N	\N	\N
1026466	3505	1997-06-17	VYDAJ	VYBER	37440	40621	\N	\N	\N
1026467	3505	1998-06-16	VYDAJ	VYBER	22240	86833	\N	\N	\N
1026470	3505	1995-01-20	VYDAJ	VYBER	6880	29072	\N	\N	\N
1026471	3505	1996-01-12	VYDAJ	VYBER	14400	21767	\N	\N	\N
1026472	3505	1997-01-05	VYDAJ	VYBER	15200	35030	\N	\N	\N
1026473	3505	1998-01-06	VYDAJ	VYBER	14240	78042	\N	\N	\N
1026475	3505	1994-12-02	VYDAJ	VYBER	4320	35784	\N	\N	\N
1026476	3505	1995-12-09	VYDAJ	VYBER	2880	67258	\N	\N	\N
1026477	3505	1996-12-14	VYDAJ	VYBER	3360	47542	\N	\N	\N
1026478	3505	1997-12-04	VYDAJ	VYBER	2080	56917	\N	\N	\N
1026479	3505	1998-12-14	VYDAJ	VYBER	4000	92048	\N	\N	\N
1026492	3505	1995-01-27	VYDAJ	VYBER	3000	23672	\N	\N	\N
1026493	3505	1995-01-08	VYDAJ	VYBER	1920	63915	\N	\N	\N
1026494	3505	1995-01-13	VYDAJ	VYBER	2040	56852	\N	\N	\N
1026495	3505	1995-01-08	VYDAJ	VYBER	1080	65835	\N	\N	\N
1026496	3505	1995-01-10	VYDAJ	VYBER	1200	62715	\N	\N	\N
1026497	3505	1995-01-24	VYDAJ	VYBER	2400	26672	\N	\N	\N
1026498	3505	1996-01-14	VYDAJ	VYBER	1320	20447	\N	\N	\N
1026499	3505	1996-01-11	VYDAJ	VYBER	2760	54167	\N	\N	\N
1026501	3505	1996-01-04	VYDAJ	VYBER	2160	37129	\N	\N	\N
1026502	3505	1996-01-26	VYDAJ	VYBER	2400	15527	\N	\N	\N
1026503	3505	1996-01-16	VYDAJ	VYBER	2520	17927	\N	\N	\N
1026504	3505	1997-01-20	VYDAJ	VYBER	1320	44148	\N	\N	\N
1026505	3505	1997-01-04	VYDAJ	VYBER	720	47030	\N	\N	\N
1026506	3505	1997-01-17	VYDAJ	VYBER	1800	45468	\N	\N	\N
1026507	3505	1997-01-28	VYDAJ	VYBER	2880	41268	\N	\N	\N
1026508	3505	1997-01-16	VYDAJ	VYBER	1320	49188	\N	\N	\N
1026509	3505	1997-01-16	VYDAJ	VYBER	1920	47268	\N	\N	\N
1026510	3505	1998-01-29	VYDAJ	VYBER	600	61259	\N	\N	\N
1026511	3505	1998-01-27	VYDAJ	VYBER	1920	61859	\N	\N	\N
1026512	3505	1998-01-10	VYDAJ	VYBER	2760	70722	\N	\N	\N
1026513	3505	1998-01-09	VYDAJ	VYBER	3240	74802	\N	\N	\N
1026514	3505	1998-01-10	VYDAJ	VYBER	3120	67602	\N	\N	\N
1026515	3505	1998-01-10	VYDAJ	VYBER	1320	73482	\N	\N	\N
1026521	3505	1994-03-18	VYDAJ	VYBER	2640	59623	\N	\N	\N
1026523	3505	1994-09-27	VYDAJ	VYBER	4800	36704	\N	\N	\N
1026524	3505	1994-08-29	VYDAJ	VYBER	1080	42322	\N	\N	\N
1026525	3505	1994-05-04	VYDAJ	VYBER	4920	35772	\N	\N	\N
1026526	3505	1994-05-15	VYDAJ	VYBER	600	54970	\N	\N	\N
1026527	3505	1994-02-08	VYDAJ	VYBER	5760	67479	\N	\N	\N
1026528	3505	1994-06-10	VYDAJ	VYBER	2400	62349	\N	\N	\N
1026529	3505	1995-03-26	VYDAJ	VYBER	3960	31374	\N	\N	\N
1026530	3505	1995-10-19	VYDAJ	VYBER	600	36634	\N	\N	\N
1026531	3505	1995-07-01	VYDAJ	VYBER	1680	20604	\N	\N	\N
1026532	3505	1995-08-08	VYDAJ	VYBER	840	50498	\N	\N	\N
1026533	3505	1995-08-19	VYDAJ	VYBER	1200	33175	\N	\N	\N
1026534	3505	1996-02-23	VYDAJ	VYBER	4800	16472	\N	\N	\N
1026535	3505	1996-02-19	VYDAJ	VYBER	4560	21272	\N	\N	\N
1026536	3505	1996-08-29	VYDAJ	VYBER	4320	38038	\N	\N	\N
1026537	3505	1996-05-20	VYDAJ	VYBER	1800	32740	\N	\N	\N
1026538	3505	1997-06-07	VYDAJ	VYBER	3960	81884	\N	\N	\N
1026539	3505	1997-10-30	VYDAJ	VYBER	4560	65248	\N	\N	\N
1026540	3505	1997-04-08	VYDAJ	VYBER	5640	60175	\N	\N	\N
1026541	3505	1997-01-12	VYDAJ	VYBER	4320	50508	\N	\N	\N
1026542	3505	1997-09-20	VYDAJ	VYBER	2040	65451	\N	\N	\N
1026543	3505	1998-12-13	VYDAJ	VYBER	2400	96048	\N	\N	\N
1026544	3505	1998-09-10	VYDAJ	VYBER	4800	95778	\N	\N	\N
1026545	3505	1998-12-22	VYDAJ	VYBER	1080	90968	\N	\N	\N
1026546	3505	1998-02-23	VYDAJ	VYBER	4080	72533	\N	\N	\N
1026547	3505	1998-10-17	VYDAJ	VYBER	3480	88508	\N	\N	\N
1026562	3505	1994-02-28	VYDAJ	VYBER	15	42465	SLUZBY	\N	\N
1026563	3505	1994-03-31	VYDAJ	VYBER	15	41011	SLUZBY	\N	\N
1026564	3505	1994-04-30	VYDAJ	VYBER	15	40692	SLUZBY	\N	\N
1026565	3505	1994-05-31	VYDAJ	VYBER	15	41158	SLUZBY	\N	\N
1026566	3505	1994-06-30	VYDAJ	VYBER	15	41922	SLUZBY	\N	\N
1026567	3505	1994-07-31	VYDAJ	VYBER	15	42304	SLUZBY	\N	\N
1026568	3505	1994-08-31	VYDAJ	VYBER	15	42506	SLUZBY	\N	\N
1026569	3505	1994-09-30	VYDAJ	VYBER	15	36882	SLUZBY	\N	\N
1026570	3505	1994-10-31	VYDAJ	VYBER	15	38840	SLUZBY	\N	\N
1026571	3505	1994-11-30	VYDAJ	VYBER	15	40104	SLUZBY	\N	\N
1026572	3505	1994-12-31	VYDAJ	VYBER	15	43294	SLUZBY	\N	\N
1026573	3505	1995-01-31	VYDAJ	VYBER	15	23824	SLUZBY	\N	\N
1026574	3505	1995-02-28	VYDAJ	VYBER	15	32636	SLUZBY	\N	\N
1026575	3505	1995-03-31	VYDAJ	VYBER	15	31514	SLUZBY	\N	\N
1026576	3505	1995-04-30	VYDAJ	VYBER	15	33145	SLUZBY	\N	\N
1026577	3505	1995-05-31	VYDAJ	VYBER	15	32077	SLUZBY	\N	\N
1026578	3505	1995-06-30	VYDAJ	VYBER	15	22284	SLUZBY	\N	\N
1026579	3505	1995-07-31	VYDAJ	VYBER	15	27717	SLUZBY	\N	\N
1026580	3505	1995-08-31	VYDAJ	VYBER	15	33306	SLUZBY	\N	\N
1026581	3505	1995-09-30	VYDAJ	VYBER	15	34736	SLUZBY	\N	\N
1026582	3505	1995-10-31	VYDAJ	VYBER	15	36774	SLUZBY	\N	\N
1026583	3505	1995-11-30	VYDAJ	VYBER	15	34707	SLUZBY	\N	\N
1026584	3505	1995-12-31	VYDAJ	VYBER	15	39289	SLUZBY	\N	\N
1026585	3505	1996-01-31	VYDAJ	VYBER	15	15634	SLUZBY	\N	\N
1026586	3505	1996-02-29	VYDAJ	VYBER	15	16539	SLUZBY	\N	\N
1026587	3505	1996-03-31	VYDAJ	VYBER	15	27030	SLUZBY	\N	\N
1026588	3505	1996-04-30	VYDAJ	VYBER	15	32942	SLUZBY	\N	\N
1026589	3505	1996-05-31	VYDAJ	VYBER	15	32863	SLUZBY	\N	\N
1026590	3505	1996-06-30	VYDAJ	VYBER	15	34118	SLUZBY	\N	\N
1026591	3505	1996-07-31	VYDAJ	VYBER	15	39660	SLUZBY	\N	\N
1026592	3505	1996-08-31	VYDAJ	VYBER	15	38195	SLUZBY	\N	\N
1026593	3505	1996-09-30	VYDAJ	VYBER	15	40546	SLUZBY	\N	\N
1026594	3505	1996-10-31	VYDAJ	VYBER	15	44210	SLUZBY	\N	\N
1026595	3505	1996-11-30	VYDAJ	VYBER	15	48693	SLUZBY	\N	\N
1026596	3505	1996-12-31	VYDAJ	VYBER	15	47750	SLUZBY	\N	\N
1026597	3505	1997-01-31	VYDAJ	VYBER	15	41450	SLUZBY	\N	\N
1026598	3505	1997-02-28	VYDAJ	VYBER	15	59468	SLUZBY	\N	\N
1026599	3505	1997-03-31	VYDAJ	VYBER	15	53194	SLUZBY	\N	\N
1026600	3505	1997-04-30	VYDAJ	VYBER	15	56571	SLUZBY	\N	\N
1026601	3505	1997-05-31	VYDAJ	VYBER	15	63012	SLUZBY	\N	\N
1026602	3505	1997-06-30	VYDAJ	VYBER	15	40848	SLUZBY	\N	\N
1026603	3505	1997-07-31	VYDAJ	VYBER	15	56154	SLUZBY	\N	\N
1026604	3505	1997-08-31	VYDAJ	VYBER	15	62493	SLUZBY	\N	\N
1026605	3505	1997-09-30	VYDAJ	VYBER	15	65710	SLUZBY	\N	\N
1026606	3505	1997-10-31	VYDAJ	VYBER	15	65520	SLUZBY	\N	\N
1026607	3505	1997-11-30	VYDAJ	VYBER	15	71997	SLUZBY	\N	\N
1026608	3505	1997-12-31	VYDAJ	VYBER	15	68661	SLUZBY	\N	\N
1026609	3505	1998-01-31	VYDAJ	VYBER	15	56815	SLUZBY	\N	\N
1026610	3505	1998-02-28	VYDAJ	VYBER	15	72800	SLUZBY	\N	\N
1026611	3505	1998-03-31	VYDAJ	VYBER	15	81112	SLUZBY	\N	\N
1026612	3505	1998-04-30	VYDAJ	VYBER	15	88931	SLUZBY	\N	\N
1026613	3505	1998-05-31	VYDAJ	VYBER	15	77465	SLUZBY	\N	\N
1026614	3505	1998-06-30	VYDAJ	VYBER	15	72374	SLUZBY	\N	\N
1026615	3505	1998-07-31	VYDAJ	VYBER	15	79205	SLUZBY	\N	\N
1026616	3505	1998-08-31	VYDAJ	VYBER	15	76957	SLUZBY	\N	\N
1026617	3505	1998-09-30	VYDAJ	VYBER	15	72190	SLUZBY	\N	\N
1026618	3505	1998-10-31	VYDAJ	VYBER	15	71526	SLUZBY	\N	\N
1026619	3505	1998-11-30	VYDAJ	VYBER	15	66840	SLUZBY	\N	\N
1026620	3505	1993-10-23	PRIJEM	VKLAD	2100	25921	\N	\N	\N
1026621	3505	1993-11-22	VYDAJ	VYBER	11800	37773	\N	\N	\N
1026622	3505	1993-12-22	VYDAJ	VYBER	26200	47128	\N	\N	\N
1026623	3505	1994-01-21	VYDAJ	VYBER	21500	49419	\N	\N	\N
1026624	3505	1994-02-20	VYDAJ	VYBER	21400	42256	\N	\N	\N
1026625	3505	1994-03-22	VYDAJ	VYBER	18800	40823	\N	\N	\N
1026626	3505	1994-04-21	VYDAJ	VYBER	20300	40509	\N	\N	\N
1026627	3505	1994-05-21	VYDAJ	VYBER	14000	40970	\N	\N	\N
1026628	3505	1994-06-20	VYDAJ	VYBER	16800	41726	\N	\N	\N
1026629	3505	1994-07-20	VYDAJ	VYBER	19600	42120	\N	\N	\N
1026630	3505	1994-08-19	VYDAJ	VYBER	18700	43402	\N	\N	\N
1026631	3505	1994-09-18	VYDAJ	VYBER	20800	41504	\N	\N	\N
1026632	3505	1994-10-18	VYDAJ	VYBER	18000	38680	\N	\N	\N
1026633	3505	1994-11-17	VYDAJ	VYBER	18700	39938	\N	\N	\N
1026634	3505	1994-12-17	VYDAJ	VYBER	24300	43093	\N	\N	\N
1026635	3505	1995-01-16	VYDAJ	VYBER	20900	35952	\N	\N	\N
1026636	3505	1995-02-15	VYDAJ	VYBER	11100	32522	\N	\N	\N
1026637	3505	1995-03-17	VYDAJ	VYBER	17100	35334	\N	\N	\N
1026638	3505	1995-04-16	VYDAJ	VYBER	18300	33012	\N	\N	\N
1026639	3505	1995-05-16	VYDAJ	VYBER	21000	31943	\N	\N	\N
1026640	3505	1995-06-15	VYDAJ	VYBER	22800	40885	\N	\N	\N
1026641	3505	1995-07-15	VYDAJ	VYBER	12800	27602	\N	\N	\N
1026642	3505	1995-08-14	VYDAJ	VYBER	12300	34375	\N	\N	\N
1026643	3505	1995-09-13	VYDAJ	VYBER	18500	34604	\N	\N	\N
1026644	3505	1995-10-13	VYDAJ	VYBER	17300	37234	\N	\N	\N
1026645	3505	1995-11-12	VYDAJ	VYBER	22000	34572	\N	\N	\N
1026646	3505	1995-12-12	VYDAJ	VYBER	24300	39135	\N	\N	\N
1026647	3505	1996-01-11	VYDAJ	VYBER	18000	36167	\N	\N	\N
1026648	3505	1996-02-10	VYDAJ	VYBER	9600	29655	\N	\N	\N
1026649	3505	1996-03-11	VYDAJ	VYBER	9400	30760	\N	\N	\N
1026650	3505	1996-04-10	VYDAJ	VYBER	14000	36651	\N	\N	\N
1026651	3505	1996-05-10	VYDAJ	VYBER	18200	38363	\N	\N	\N
1026652	3505	1996-06-09	VYDAJ	VYBER	23300	44995	\N	\N	\N
1026653	3505	1996-07-09	VYDAJ	VYBER	14400	43339	\N	\N	\N
1026654	3505	1996-08-08	VYDAJ	VYBER	17100	46181	\N	\N	\N
1026655	3505	1996-09-07	VYDAJ	VYBER	17600	44216	\N	\N	\N
1026656	3505	1996-10-07	VYDAJ	VYBER	16300	47867	\N	\N	\N
1026657	3505	1996-11-06	VYDAJ	VYBER	15500	52331	\N	\N	\N
1026658	3505	1996-12-06	VYDAJ	VYBER	29400	54725	\N	\N	\N
1026659	3505	1997-01-05	PRIJEM	VKLAD	3200	50230	\N	\N	\N
1026660	3505	1997-02-04	VYDAJ	VYBER	2000	39450	\N	\N	\N
1026661	3505	1997-03-06	VYDAJ	VYBER	26300	56789	\N	\N	\N
1026662	3505	1997-04-05	VYDAJ	VYBER	11000	42194	\N	\N	\N
1026663	3505	1997-05-05	VYDAJ	VYBER	13600	42971	\N	\N	\N
1026664	3505	1997-06-04	VYDAJ	VYBER	12600	50412	\N	\N	\N
1026665	3505	1997-07-04	VYDAJ	VYBER	4700	36148	\N	\N	\N
1026666	3505	1997-08-03	VYDAJ	VYBER	13700	42454	\N	\N	\N
1026667	3505	1997-09-02	VYDAJ	VYBER	14800	47693	\N	\N	\N
1026668	3505	1997-10-02	VYDAJ	VYBER	15700	50010	\N	\N	\N
1026669	3505	1997-11-01	VYDAJ	VYBER	13600	51920	\N	\N	\N
1026670	3505	1997-12-01	VYDAJ	VYBER	13000	58997	\N	\N	\N
1026671	3505	1997-12-31	VYDAJ	VYBER	20200	68675	\N	\N	\N
1026672	3505	1998-01-30	VYDAJ	VYBER	4700	56559	\N	\N	\N
1026673	3505	1998-03-01	VYDAJ	VYBER	11800	61000	\N	\N	\N
1026674	3505	1998-03-31	VYDAJ	VYBER	12300	68812	\N	\N	\N
1026675	3505	1998-04-30	VYDAJ	VYBER	16200	72731	\N	\N	\N
1026676	3505	1998-05-30	VYDAJ	VYBER	15400	77129	\N	\N	\N
1026677	3505	1998-06-29	VYDAJ	VYBER	14800	72033	\N	\N	\N
1026678	3505	1998-07-29	VYDAJ	VYBER	13300	78872	\N	\N	\N
1026679	3505	1998-08-28	VYDAJ	VYBER	22400	76603	\N	\N	\N
1026680	3505	1998-09-27	VYDAJ	VYBER	20100	71855	\N	\N	\N
1026681	3505	1998-10-27	VYDAJ	VYBER	17300	71208	\N	\N	\N
1026682	3505	1998-11-26	VYDAJ	VYBER	24800	66524	\N	\N	\N
1026746	3506	1997-05-08	PRIJEM	VKLAD	500	500	\N	\N	\N
1026751	3506	1997-05-12	PRIJEM	VKLAD	11470	11970	\N	\N	\N
1026752	3506	1997-06-12	PRIJEM	VKLAD	17205	33907	\N	\N	\N
1026753	3506	1997-07-12	PRIJEM	VKLAD	11470	42585	\N	\N	\N
1026754	3506	1997-08-12	PRIJEM	VKLAD	11470	46920	\N	\N	\N
1026755	3506	1997-09-12	PRIJEM	VKLAD	11470	47779	\N	\N	\N
1026756	3506	1997-10-12	PRIJEM	VKLAD	11470	41086	\N	\N	\N
1026757	3506	1997-11-12	PRIJEM	VKLAD	11470	39670	\N	\N	\N
1026758	3506	1997-12-12	PRIJEM	VKLAD	17205	41875	\N	\N	\N
1026759	3506	1998-01-12	PRIJEM	VKLAD	11470	33037	\N	\N	\N
1026760	3506	1998-02-12	PRIJEM	VKLAD	11470	33371	\N	\N	\N
1026761	3506	1998-03-12	PRIJEM	VKLAD	11470	33107	\N	\N	\N
1026762	3506	1998-04-12	PRIJEM	VKLAD	11470	36351	\N	\N	\N
1026763	3506	1998-05-12	PRIJEM	VKLAD	11470	39505	\N	\N	\N
1026764	3506	1998-06-12	PRIJEM	VKLAD	17205	46907	\N	\N	\N
1026765	3506	1998-07-12	PRIJEM	VKLAD	11470	47197	\N	\N	\N
1026766	3506	1998-08-12	PRIJEM	VKLAD	11470	48999	\N	\N	\N
1026767	3506	1998-09-12	PRIJEM	VKLAD	11470	50596	\N	\N	\N
1026768	3506	1998-10-12	PRIJEM	VKLAD	11470	51110	\N	\N	\N
1026769	3506	1998-11-12	PRIJEM	VKLAD	11470	50723	\N	\N	\N
1026770	3506	1998-12-12	PRIJEM	VKLAD	17205	55470	\N	\N	\N
1026780	3506	1997-10-11	VYDAJ	PREVOD NA UCET	3562	29616	SIPO	MN	58155363
1026781	3506	1997-11-11	VYDAJ	PREVOD NA UCET	3562	28200	SIPO	MN	58155363
1026782	3506	1997-12-11	VYDAJ	PREVOD NA UCET	3562	24670	SIPO	MN	58155363
1026783	3506	1998-01-11	VYDAJ	PREVOD NA UCET	3562	21567	SIPO	MN	58155363
1026784	3506	1998-02-11	VYDAJ	PREVOD NA UCET	3562	21901	SIPO	MN	58155363
1026785	3506	1998-03-11	VYDAJ	PREVOD NA UCET	3562	21637	SIPO	MN	58155363
1026786	3506	1998-04-11	VYDAJ	PREVOD NA UCET	3562	24881	SIPO	MN	58155363
1026787	3506	1998-05-11	VYDAJ	PREVOD NA UCET	3562	28035	SIPO	MN	58155363
1026788	3506	1998-06-11	VYDAJ	PREVOD NA UCET	3562	29702	SIPO	MN	58155363
1026789	3506	1998-07-11	VYDAJ	PREVOD NA UCET	3562	35727	SIPO	MN	58155363
1026790	3506	1998-08-11	VYDAJ	PREVOD NA UCET	3562	37529	SIPO	MN	58155363
1026791	3506	1998-09-11	VYDAJ	PREVOD NA UCET	3562	39126	SIPO	MN	58155363
1026792	3506	1998-10-11	VYDAJ	PREVOD NA UCET	3562	39640	SIPO	MN	58155363
1026793	3506	1998-11-11	VYDAJ	PREVOD NA UCET	3562	39253	SIPO	MN	58155363
1026794	3506	1998-12-11	VYDAJ	PREVOD NA UCET	3562	38265	SIPO	MN	58155363
1026804	3506	1997-10-09	VYDAJ	PREVOD NA UCET	4084	33178	 	GH	59540486
1026805	3506	1997-11-09	VYDAJ	PREVOD NA UCET	4084	31762	 	GH	59540486
1026806	3506	1997-12-09	VYDAJ	PREVOD NA UCET	4084	28232	 	GH	59540486
1026807	3506	1998-01-09	VYDAJ	PREVOD NA UCET	4084	25129	 	GH	59540486
1026808	3506	1998-02-09	VYDAJ	PREVOD NA UCET	4084	25463	 	GH	59540486
1026809	3506	1998-03-09	VYDAJ	PREVOD NA UCET	4084	25199	 	GH	59540486
1026810	3506	1998-04-09	VYDAJ	PREVOD NA UCET	4084	28443	 	GH	59540486
1026811	3506	1998-05-09	VYDAJ	PREVOD NA UCET	4084	31597	 	GH	59540486
1026812	3506	1998-06-09	VYDAJ	PREVOD NA UCET	4084	33264	 	GH	59540486
1026813	3506	1998-07-09	VYDAJ	PREVOD NA UCET	4084	39289	 	GH	59540486
1026814	3506	1998-08-09	VYDAJ	PREVOD NA UCET	4084	41091	 	GH	59540486
1026815	3506	1998-09-09	VYDAJ	PREVOD NA UCET	4084	42688	 	GH	59540486
1026816	3506	1998-10-09	VYDAJ	PREVOD NA UCET	4084	43202	 	GH	59540486
1026817	3506	1998-11-09	VYDAJ	PREVOD NA UCET	4084	42815	 	GH	59540486
1026818	3506	1998-12-09	VYDAJ	PREVOD NA UCET	4084	41827	 	GH	59540486
1026819	3506	1997-12-14	VYDAJ	VYBER	1600	40275	\N	\N	\N
1026820	3506	1998-12-17	VYDAJ	VYBER	1300	54170	\N	\N	\N
1026827	3506	1998-01-16	VYDAJ	VYBER	2000	31037	\N	\N	\N
1026828	3506	1998-01-16	VYDAJ	VYBER	600	30437	\N	\N	\N
1026829	3506	1998-01-19	VYDAJ	VYBER	900	29537	\N	\N	\N
1026830	3506	1998-01-08	VYDAJ	VYBER	1800	29213	\N	\N	\N
1026831	3506	1998-01-26	VYDAJ	VYBER	2800	26737	\N	\N	\N
1026832	3506	1998-01-04	VYDAJ	VYBER	2300	31013	\N	\N	\N
1026833	3506	1997-11-20	VYDAJ	VYBER	2100	37570	\N	\N	\N
1026839	3506	1997-12-21	VYDAJ	VYBER	4500	35775	\N	\N	\N
1026840	3506	1998-10-16	VYDAJ	VYBER	2900	48210	\N	\N	\N
1026841	3506	1998-08-14	VYDAJ	VYBER	4600	44399	\N	\N	\N
1026851	3506	1997-09-30	VYDAJ	VYBER	15	47962	SLUZBY	\N	\N
1026852	3506	1997-10-31	VYDAJ	VYBER	15	41246	SLUZBY	\N	\N
1026853	3506	1997-11-30	VYDAJ	VYBER	15	37716	SLUZBY	\N	\N
1026854	3506	1997-12-31	VYDAJ	VYBER	15	35913	SLUZBY	\N	\N
1026855	3506	1998-01-31	VYDAJ	VYBER	15	26847	SLUZBY	\N	\N
1026856	3506	1998-02-28	VYDAJ	VYBER	15	33483	SLUZBY	\N	\N
1026857	3506	1998-03-31	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
1026858	3506	1998-04-30	VYDAJ	VYBER	15	36481	SLUZBY	\N	\N
1026859	3506	1998-05-31	VYDAJ	VYBER	15	39648	SLUZBY	\N	\N
1026860	3506	1998-06-30	VYDAJ	VYBER	15	47073	SLUZBY	\N	\N
1026861	3506	1998-07-31	VYDAJ	VYBER	15	47375	SLUZBY	\N	\N
1026862	3506	1998-08-31	VYDAJ	VYBER	15	46772	SLUZBY	\N	\N
1026863	3506	1998-09-30	VYDAJ	VYBER	15	50786	SLUZBY	\N	\N
1026864	3506	1998-10-31	VYDAJ	VYBER	15	46899	SLUZBY	\N	\N
1026865	3506	1998-11-30	VYDAJ	VYBER	15	45911	SLUZBY	\N	\N
1026866	3506	1997-06-07	PRIJEM	VKLAD	4700	16702	\N	\N	\N
1026867	3506	1997-07-07	VYDAJ	VYBER	2900	31115	\N	\N	\N
1026868	3506	1997-08-06	VYDAJ	VYBER	7300	35450	\N	\N	\N
1026869	3506	1997-09-05	VYDAJ	VYBER	10800	36309	\N	\N	\N
1026870	3506	1997-10-05	VYDAJ	VYBER	10700	37262	\N	\N	\N
1026871	3506	1997-11-04	VYDAJ	VYBER	5400	35846	\N	\N	\N
1026872	3506	1997-12-04	VYDAJ	VYBER	5400	32316	\N	\N	\N
1026873	3506	1998-01-03	VYDAJ	VYBER	2600	33313	\N	\N	\N
1026874	3506	1998-02-02	PRIJEM	VKLAD	2700	29547	\N	\N	\N
1026875	3506	1998-03-04	VYDAJ	VYBER	4200	29283	\N	\N	\N
1026876	3506	1998-04-03	VYDAJ	VYBER	700	32527	\N	\N	\N
1026877	3506	1998-05-03	VYDAJ	VYBER	800	35681	\N	\N	\N
1026878	3506	1998-06-02	VYDAJ	VYBER	2300	37348	\N	\N	\N
1026879	3506	1998-07-02	VYDAJ	VYBER	3700	43373	\N	\N	\N
1026880	3506	1998-08-01	VYDAJ	VYBER	2200	45175	\N	\N	\N
1026881	3506	1998-08-31	PRIJEM	VKLAD	2200	46599	\N	\N	\N
1026882	3506	1998-09-30	VYDAJ	VYBER	3500	47286	\N	\N	\N
1026883	3506	1998-10-30	VYDAJ	VYBER	1500	46710	\N	\N	\N
1026884	3506	1998-11-29	VYDAJ	VYBER	5000	45723	\N	\N	\N
1026905	3507	1996-12-01	PRIJEM	VKLAD	500	500	\N	\N	\N
1026908	3507	1996-12-20	PRIJEM	VKLAD	31838	139382	\N	\N	\N
1026909	3507	1996-12-03	PRIJEM	VKLAD	38433	38933	\N	\N	\N
1026910	3507	1996-12-06	PRIJEM	VKLAD	20018	58951	\N	\N	\N
1026912	3507	1996-12-19	PRIJEM	VKLAD	48593	107544	\N	\N	\N
1026925	3507	1997-03-01	PRIJEM	VKLAD	42516	99810	\N	\N	\N
1026926	3507	1997-01-29	PRIJEM	VKLAD	39878	90061	\N	\N	\N
1026927	3507	1997-06-21	PRIJEM	VKLAD	47395	107663	\N	\N	\N
1026928	3507	1997-01-07	PRIJEM	VKLAD	13855	87858	\N	\N	\N
1026929	3507	1997-05-28	PRIJEM	VKLAD	38736	110058	\N	\N	\N
1026930	3507	1997-08-05	PRIJEM	VKLAD	30863	77908	\N	\N	\N
1026931	3507	1997-02-16	PRIJEM	VKLAD	11299	58006	\N	\N	\N
1026932	3507	1997-11-19	PRIJEM	VKLAD	49387	75149	\N	\N	\N
1026933	3507	1997-12-23	PRIJEM	VKLAD	47080	102241	\N	\N	\N
1026934	3507	1997-08-19	PRIJEM	VKLAD	47995	101771	\N	\N	\N
1026935	3507	1997-04-07	PRIJEM	VKLAD	48818	91318	\N	\N	\N
1026936	3507	1997-02-18	PRIJEM	VKLAD	11981	69987	\N	\N	\N
1026937	3507	1997-03-29	PRIJEM	VKLAD	24767	59466	\N	\N	\N
1026938	3507	1997-05-13	PRIJEM	VKLAD	21249	73151	\N	\N	\N
1026939	3507	1997-05-27	PRIJEM	VKLAD	24709	97860	\N	\N	\N
1026940	3507	1997-05-27	PRIJEM	VKLAD	34462	132322	\N	\N	\N
1026941	3507	1997-12-27	PRIJEM	VKLAD	42220	113326	\N	\N	\N
1026942	3507	1997-01-13	PRIJEM	VKLAD	44426	129027	\N	\N	\N
1026943	3507	1997-10-03	PRIJEM	VKLAD	18185	62993	\N	\N	\N
1026944	3507	1997-08-31	PRIJEM	VKLAD	19733	88114	\N	\N	\N
1026945	3507	1997-12-25	PRIJEM	VKLAD	35565	137806	\N	\N	\N
1026946	3507	1998-07-25	PRIJEM	VKLAD	25883	105597	\N	\N	\N
1026947	3507	1998-05-28	PRIJEM	VKLAD	38876	97371	\N	\N	\N
1026948	3507	1998-02-03	PRIJEM	VKLAD	37873	81917	\N	\N	\N
1026949	3507	1998-10-10	PRIJEM	VKLAD	24903	108639	\N	\N	\N
1026950	3507	1998-01-17	PRIJEM	VKLAD	30177	135103	\N	\N	\N
1026951	3507	1998-01-06	PRIJEM	VKLAD	28177	84476	\N	\N	\N
1026952	3507	1998-03-06	PRIJEM	VKLAD	37428	118977	\N	\N	\N
1026953	3507	1998-01-12	PRIJEM	VKLAD	28507	109726	\N	\N	\N
1026954	3507	1998-10-15	PRIJEM	VKLAD	41040	119122	\N	\N	\N
1026955	3507	1998-08-31	PRIJEM	VKLAD	21744	88555	\N	\N	\N
1026956	3507	1998-07-24	PRIJEM	VKLAD	31786	92614	\N	\N	\N
1026957	3507	1998-02-21	PRIJEM	VKLAD	42981	110772	\N	\N	\N
1026958	3507	1998-08-15	PRIJEM	VKLAD	38629	92412	\N	\N	\N
1026959	3507	1998-10-07	PRIJEM	VKLAD	21006	86436	\N	\N	\N
1026960	3507	1998-11-20	PRIJEM	VKLAD	33798	88792	\N	\N	\N
1026961	3507	1998-11-21	PRIJEM	VKLAD	49009	137801	\N	\N	\N
1026962	3507	1998-08-19	PRIJEM	VKLAD	29118	121530	\N	\N	\N
1026963	3507	1998-02-10	PRIJEM	VKLAD	36531	115748	\N	\N	\N
1026964	3507	1998-04-26	PRIJEM	VKLAD	48586	89372	\N	\N	\N
1026965	3507	1998-09-17	PRIJEM	VKLAD	47669	125077	\N	\N	\N
1026966	3507	1998-09-02	PRIJEM	VKLAD	22199	110739	\N	\N	\N
1026979	3507	1997-01-11	VYDAJ	PREVOD NA UCET	557	84601	SIPO	WX	42998218
1026980	3507	1997-02-11	VYDAJ	PREVOD NA UCET	557	46707	SIPO	WX	42998218
1026981	3507	1997-03-11	VYDAJ	PREVOD NA UCET	557	58153	SIPO	WX	42998218
1026982	3507	1997-04-11	VYDAJ	PREVOD NA UCET	557	88061	SIPO	WX	42998218
1026983	3507	1997-05-11	VYDAJ	PREVOD NA UCET	557	51902	SIPO	WX	42998218
1026984	3507	1997-06-11	VYDAJ	PREVOD NA UCET	557	60268	SIPO	WX	42998218
1026985	3507	1997-07-11	VYDAJ	PREVOD NA UCET	557	64194	SIPO	WX	42998218
1026986	3507	1997-08-11	VYDAJ	PREVOD NA UCET	557	74651	SIPO	WX	42998218
1026987	3507	1997-09-11	VYDAJ	PREVOD NA UCET	557	49388	SIPO	WX	42998218
1026988	3507	1997-10-11	VYDAJ	PREVOD NA UCET	557	59736	SIPO	WX	42998218
1026989	3507	1997-11-11	VYDAJ	PREVOD NA UCET	557	25762	SIPO	WX	42998218
1026990	3507	1997-12-11	VYDAJ	PREVOD NA UCET	557	55161	SIPO	WX	42998218
1026991	3507	1998-01-11	VYDAJ	PREVOD NA UCET	557	81219	SIPO	WX	42998218
1026992	3507	1998-02-11	VYDAJ	PREVOD NA UCET	557	67791	SIPO	WX	42998218
1026993	3507	1998-03-11	VYDAJ	PREVOD NA UCET	557	68820	SIPO	WX	42998218
1026994	3507	1998-04-11	VYDAJ	PREVOD NA UCET	557	48980	SIPO	WX	42998218
1026995	3507	1998-05-11	VYDAJ	PREVOD NA UCET	557	61795	SIPO	WX	42998218
1026996	3507	1998-06-11	VYDAJ	PREVOD NA UCET	557	71705	SIPO	WX	42998218
1026997	3507	1998-07-11	VYDAJ	PREVOD NA UCET	557	60828	SIPO	WX	42998218
1026998	3507	1998-08-11	VYDAJ	PREVOD NA UCET	557	53783	SIPO	WX	42998218
1026999	3507	1998-09-11	VYDAJ	PREVOD NA UCET	557	77408	SIPO	WX	42998218
1027000	3507	1998-10-11	VYDAJ	PREVOD NA UCET	557	78082	SIPO	WX	42998218
1027001	3507	1998-11-11	VYDAJ	PREVOD NA UCET	557	62122	SIPO	WX	42998218
1027002	3507	1998-12-11	VYDAJ	PREVOD NA UCET	557	67379	SIPO	WX	42998218
1027015	3507	1997-01-09	VYDAJ	PREVOD NA UCET	2700	85158	 	QR	75874447
1027016	3507	1997-02-09	VYDAJ	PREVOD NA UCET	2700	47264	 	QR	75874447
1027017	3507	1997-03-09	VYDAJ	PREVOD NA UCET	2700	58710	 	QR	75874447
1027018	3507	1997-04-09	VYDAJ	PREVOD NA UCET	2700	88618	 	QR	75874447
1027019	3507	1997-05-09	VYDAJ	PREVOD NA UCET	2700	52459	 	QR	75874447
1027020	3507	1997-06-09	VYDAJ	PREVOD NA UCET	2700	60825	 	QR	75874447
1027021	3507	1997-07-09	VYDAJ	PREVOD NA UCET	2700	64751	 	QR	75874447
1027022	3507	1997-08-09	VYDAJ	PREVOD NA UCET	2700	75208	 	QR	75874447
1027023	3507	1997-09-09	VYDAJ	PREVOD NA UCET	2700	49945	 	QR	75874447
1027024	3507	1997-10-09	VYDAJ	PREVOD NA UCET	2700	60293	 	QR	75874447
1027025	3507	1997-11-09	VYDAJ	PREVOD NA UCET	2700	26319	 	QR	75874447
1027026	3507	1997-12-09	VYDAJ	PREVOD NA UCET	2700	57218	 	QR	75874447
1027027	3507	1998-01-09	VYDAJ	PREVOD NA UCET	2700	81776	 	QR	75874447
1027028	3507	1998-02-09	VYDAJ	PREVOD NA UCET	2700	79217	 	QR	75874447
1027029	3507	1998-03-09	VYDAJ	PREVOD NA UCET	2700	69377	 	QR	75874447
1027030	3507	1998-04-09	VYDAJ	PREVOD NA UCET	2700	49537	 	QR	75874447
1027031	3507	1998-05-09	VYDAJ	PREVOD NA UCET	2700	62352	 	QR	75874447
1027032	3507	1998-06-09	VYDAJ	PREVOD NA UCET	2700	72262	 	QR	75874447
1027033	3507	1998-07-09	VYDAJ	PREVOD NA UCET	2700	61385	 	QR	75874447
1027034	3507	1998-08-09	VYDAJ	PREVOD NA UCET	2700	54340	 	QR	75874447
1027035	3507	1998-09-09	VYDAJ	PREVOD NA UCET	2700	77965	 	QR	75874447
1027036	3507	1998-10-09	VYDAJ	PREVOD NA UCET	2700	83736	 	QR	75874447
1027037	3507	1998-11-09	VYDAJ	PREVOD NA UCET	2700	62679	 	QR	75874447
1027038	3507	1998-12-09	VYDAJ	PREVOD NA UCET	2700	67936	 	QR	75874447
1027047	3507	1997-09-03	VYBER	VYBER	8571	79529	\N	\N	\N
1027048	3507	1997-08-18	VYBER	VYBER	20875	53776	\N	\N	\N
1027049	3507	1997-09-07	VYBER	VYBER	22684	52645	\N	\N	\N
1027050	3507	1997-10-23	VYBER	VYBER	13092	27060	\N	\N	\N
1027051	3507	1997-01-23	VYBER	VYBER	4444	51683	\N	\N	\N
1027053	3507	1997-10-15	VYBER	VYBER	19584	40152	\N	\N	\N
1027055	3507	1997-03-13	VYBER	VYBER	16254	41899	\N	\N	\N
1027056	3507	1998-04-27	VYBER	VYBER	19711	69661	\N	\N	\N
1027057	3507	1998-05-30	VYBER	VYBER	22668	74703	\N	\N	\N
1027058	3507	1998-09-07	VYBER	VYBER	9374	80665	\N	\N	\N
1027059	3507	1998-10-01	VYBER	VYBER	2063	65430	\N	\N	\N
1027060	3507	1998-03-21	VYBER	VYBER	15760	53060	\N	\N	\N
1027061	3507	1998-11-04	VYBER	VYBER	14989	65379	\N	\N	\N
1027062	3507	1998-11-13	VYBER	VYBER	7128	54994	\N	\N	\N
1027063	3507	1998-11-22	VYBER	VYBER	8646	70355	\N	\N	\N
1027064	3507	1998-01-21	VYBER	VYBER	17165	79638	\N	\N	\N
1027065	3507	1998-04-16	VYBER	VYBER	13094	35886	\N	\N	\N
1027067	3507	1997-06-23	VYDAJ	VYBER	9300	98363	\N	\N	\N
1027070	3507	1997-12-10	VYDAJ	VYBER KARTOU	1500	55718	\N	\N	0
1027071	3507	1998-12-23	VYDAJ	VYBER	6900	58679	\N	\N	\N
1027078	3507	1997-01-23	VYDAJ	VYBER	1500	50183	\N	\N	\N
1027079	3507	1997-01-14	VYDAJ	VYBER	3000	105927	\N	\N	\N
1027080	3507	1997-01-30	VYDAJ	VYBER	7200	82861	\N	\N	\N
1027081	3507	1997-01-20	VYDAJ	VYBER	4500	56127	\N	\N	\N
1027083	3507	1997-01-30	VYDAJ	VYBER	2700	80161	\N	\N	\N
1027084	3507	1998-01-26	VYDAJ	VYBER	7200	54238	\N	\N	\N
1027085	3507	1998-01-23	VYDAJ	VYBER	5100	74538	\N	\N	\N
1027086	3507	1998-01-20	VYDAJ	VYBER	4200	112103	\N	\N	\N
1027087	3507	1998-01-26	VYDAJ	VYBER	6600	47638	\N	\N	\N
1027088	3507	1998-01-14	VYDAJ	VYBER	4800	104926	\N	\N	\N
1027089	3507	1998-01-28	VYDAJ	VYBER KARTOU	3900	43738	\N	\N	0
1027097	3507	1997-09-06	VYDAJ	VYBER	4200	75329	\N	\N	\N
1027098	3507	1997-02-19	VYDAJ	VYBER	12900	57087	\N	\N	\N
1027099	3507	1997-03-27	VYDAJ	VYBER	7200	34699	\N	\N	\N
1027101	3507	1998-04-28	VYDAJ	VYBER	4800	64861	\N	\N	\N
1027115	3507	1997-01-31	VYDAJ	VYBER	15	49964	SLUZBY	\N	\N
1027116	3507	1997-02-28	VYDAJ	VYBER	15	57294	SLUZBY	\N	\N
1027117	3507	1997-03-31	VYDAJ	VYBER	15	59700	SLUZBY	\N	\N
1027118	3507	1997-04-30	VYDAJ	VYBER	15	88359	SLUZBY	\N	\N
1027119	3507	1997-05-31	VYDAJ	VYBER	15	63525	SLUZBY	\N	\N
1027120	3507	1997-06-30	VYDAJ	VYBER	15	67451	SLUZBY	\N	\N
1027121	3507	1997-07-31	VYDAJ	VYBER	15	47045	SLUZBY	\N	\N
1027122	3507	1997-08-31	VYDAJ	VYBER	15	88100	SLUZBY	\N	\N
1027123	3507	1997-09-30	VYDAJ	VYBER	15	44808	SLUZBY	\N	\N
1027124	3507	1997-10-31	VYDAJ	VYBER	15	29019	SLUZBY	\N	\N
1027125	3507	1997-11-30	VYDAJ	VYBER	15	59918	SLUZBY	\N	\N
1027126	3507	1997-12-31	VYDAJ	VYBER	15	56299	SLUZBY	\N	\N
1027127	3507	1998-01-31	VYDAJ	VYBER	15	44044	SLUZBY	\N	\N
1027128	3507	1998-02-28	VYDAJ	VYBER	15	81549	SLUZBY	\N	\N
1027129	3507	1998-03-31	VYDAJ	VYBER	15	52237	SLUZBY	\N	\N
1027130	3507	1998-04-30	VYDAJ	VYBER	15	65052	SLUZBY	\N	\N
1027131	3507	1998-05-31	VYDAJ	VYBER	15	74962	SLUZBY	\N	\N
1027132	3507	1998-06-30	VYDAJ	VYBER	15	64085	SLUZBY	\N	\N
1027133	3507	1998-07-31	VYDAJ	VYBER	15	57040	SLUZBY	\N	\N
1027134	3507	1998-08-31	VYDAJ	VYBER	15	88540	SLUZBY	\N	\N
1027135	3507	1998-09-30	VYDAJ	VYBER	15	67493	SLUZBY	\N	\N
1027136	3507	1998-10-31	VYDAJ	VYBER	15	80368	SLUZBY	\N	\N
1027137	3507	1998-11-30	VYDAJ	VYBER	15	70636	SLUZBY	\N	\N
1027138	3507	1996-12-20	VYDAJ	VYBER	19200	120182	\N	\N	\N
1027139	3507	1996-12-31	VYDAJ	VYBER	46500	74003	\N	\N	\N
1027140	3507	1997-01-13	VYDAJ	VYBER	20100	108927	\N	\N	\N
1027141	3507	1997-01-14	VYDAJ	VYBER	45300	60627	\N	\N	\N
1027142	3507	1997-01-30	VYDAJ	VYBER	30500	49661	\N	\N	\N
1027143	3507	1997-03-01	VYDAJ	VYBER	38400	61410	\N	\N	\N
1027144	3507	1997-03-31	VYDAJ	VYBER	17200	42500	\N	\N	\N
1027145	3507	1997-04-30	VYDAJ	VYBER	33200	55159	\N	\N	\N
1027146	3507	1997-05-27	VYDAJ	VYBER	61000	71322	\N	\N	\N
1027147	3507	1997-05-28	VYDAJ	VYBER	15200	94858	\N	\N	\N
1027148	3507	1997-05-30	VYDAJ	VYBER	31600	63258	\N	\N	\N
1027149	3507	1997-06-29	VYDAJ	VYBER	31200	67163	\N	\N	\N
1027150	3507	1997-07-29	VYDAJ	VYBER	17400	46794	\N	\N	\N
1027151	3507	1997-08-28	VYDAJ	VYBER	33700	68071	\N	\N	\N
1027152	3507	1997-09-27	VYDAJ	VYBER	4800	44588	\N	\N	\N
1027153	3507	1997-10-27	PRIJEM	VKLAD	1800	28860	\N	\N	\N
1027154	3507	1997-11-26	VYDAJ	VYBER	15400	59749	\N	\N	\N
1027155	3507	1997-12-25	VYDAJ	VYBER	37300	100506	\N	\N	\N
1027156	3507	1997-12-26	VYDAJ	VYBER	29400	71106	\N	\N	\N
1027157	3507	1997-12-27	VYDAJ	VYBER	57300	56026	\N	\N	\N
1027158	3507	1998-01-17	VYDAJ	VYBER	18800	116303	\N	\N	\N
1027159	3507	1998-01-20	VYDAJ	VYBER	15300	96803	\N	\N	\N
1027160	3507	1998-01-25	VYDAJ	VYBER	13100	61438	\N	\N	\N
1027161	3507	1998-02-10	VYDAJ	VYBER	47400	68348	\N	\N	\N
1027162	3507	1998-02-24	VYDAJ	VYBER	29500	81272	\N	\N	\N
1027163	3507	1998-03-06	VYDAJ	VYBER	46900	72077	\N	\N	\N
1027164	3507	1998-03-26	VYDAJ	VYBER KARTOU	1100	51960	\N	\N	0
1027165	3507	1998-04-25	PRIJEM	VKLAD	4900	40786	\N	\N	\N
1027166	3507	1998-05-25	VYDAJ	VYBER KARTOU	3300	58495	\N	\N	0
1027167	3507	1998-06-24	VYDAJ	VYBER	7900	63805	\N	\N	\N
1027168	3507	1998-07-24	VYDAJ	VYBER	12900	79714	\N	\N	\N
1027169	3507	1998-07-25	VYDAJ	VYBER	48800	56797	\N	\N	\N
1027170	3507	1998-08-19	VYDAJ	VYBER	42400	79130	\N	\N	\N
1027171	3507	1998-08-23	VYDAJ	VYBER	12600	66530	\N	\N	\N
1027172	3507	1998-09-02	VYDAJ	VYBER	20700	90039	\N	\N	\N
1027173	3507	1998-09-17	VYDAJ	VYBER	54700	70377	\N	\N	\N
1027174	3507	1998-09-22	VYDAJ	VYBER KARTOU	3200	67177	\N	\N	0
1027175	3507	1998-10-10	VYDAJ	VYBER	30000	78639	\N	\N	\N
1027176	3507	1998-10-15	VYDAJ	VYBER	25900	93222	\N	\N	\N
1027177	3507	1998-10-22	VYDAJ	VYBER	13200	80022	\N	\N	\N
1027178	3507	1998-11-21	VYDAJ	VYBER	49300	79001	\N	\N	\N
1027179	3507	1998-11-21	VYDAJ	VYBER	9500	128301	\N	\N	\N
1027180	3507	1998-12-21	VYDAJ	VYBER KARTOU	1800	65579	\N	\N	0
1027206	3508	1996-09-12	PRIJEM	VKLAD	700	700	\N	\N	\N
1027216	3508	1996-10-07	PRIJEM	VKLAD	20193	20893	\N	\N	\N
1027217	3508	1996-11-07	PRIJEM	VKLAD	20193	44952	\N	\N	\N
1027218	3508	1996-12-07	PRIJEM	VKLAD	30290	65073	\N	\N	\N
1027219	3508	1997-01-07	PRIJEM	VKLAD	20193	65640	\N	\N	\N
1027220	3508	1997-02-07	PRIJEM	VKLAD	20193	65923	\N	\N	\N
1027221	3508	1997-03-07	PRIJEM	VKLAD	20193	64988	\N	\N	\N
1027222	3508	1997-04-07	PRIJEM	VKLAD	20193	60841	\N	\N	\N
1027223	3508	1997-05-07	PRIJEM	VKLAD	20193	57585	\N	\N	\N
1027224	3508	1997-06-07	PRIJEM	VKLAD	30290	64820	\N	\N	\N
1027225	3508	1997-07-07	PRIJEM	VKLAD	20193	46549	\N	\N	\N
1027226	3508	1997-08-07	PRIJEM	VKLAD	20193	51258	\N	\N	\N
1027227	3508	1997-09-07	PRIJEM	VKLAD	20193	53776	\N	\N	\N
1027228	3508	1997-10-07	PRIJEM	VKLAD	20193	54095	\N	\N	\N
1027229	3508	1997-11-07	PRIJEM	VKLAD	20193	33979	\N	\N	\N
1027230	3508	1997-12-07	PRIJEM	VKLAD	30290	45691	\N	\N	\N
1027231	3508	1998-01-07	PRIJEM	VKLAD	20193	42149	\N	\N	\N
1027232	3508	1998-02-07	PRIJEM	VKLAD	20193	36788	\N	\N	\N
1027233	3508	1998-03-07	PRIJEM	VKLAD	20193	38512	\N	\N	\N
1027234	3508	1998-04-07	PRIJEM	VKLAD	20193	39444	\N	\N	\N
1027235	3508	1998-05-07	PRIJEM	VKLAD	20193	40080	\N	\N	\N
1027236	3508	1998-06-07	PRIJEM	VKLAD	30290	51916	\N	\N	\N
1027237	3508	1998-07-07	PRIJEM	VKLAD	20193	36864	\N	\N	\N
1027238	3508	1998-08-07	PRIJEM	VKLAD	20193	43590	\N	\N	\N
1027239	3508	1998-09-07	PRIJEM	VKLAD	20193	47239	\N	\N	\N
1027240	3508	1998-10-07	PRIJEM	VKLAD	20193	50505	\N	\N	\N
1027241	3508	1998-11-07	PRIJEM	VKLAD	20193	46387	\N	\N	\N
1027242	3508	1998-12-07	PRIJEM	VKLAD	30290	53957	\N	\N	\N
1027244	3508	1997-06-24	VYDAJ	VYBER	11800	30020	\N	\N	\N
1027245	3508	1998-06-17	VYDAJ	VYBER	17300	34616	\N	\N	\N
1027247	3508	1997-12-21	VYDAJ	VYBER	800	44891	\N	\N	\N
1027248	3508	1998-12-13	VYDAJ	VYBER	600	53357	\N	\N	\N
1027261	3508	1998-01-01	VYDAJ	VYBER	2800	42256	\N	\N	\N
1027262	3508	1998-01-22	VYDAJ	VYBER	600	38749	\N	\N	\N
1027263	3508	1998-01-20	VYDAJ	VYBER	1000	39349	\N	\N	\N
1027264	3508	1998-01-04	VYDAJ	VYBER	2700	39556	\N	\N	\N
1027265	3508	1998-01-24	VYDAJ	VYBER	2100	36649	\N	\N	\N
1027266	3508	1998-01-12	VYDAJ	VYBER	1800	40349	\N	\N	\N
1027274	3508	1997-05-05	VYDAJ	VYBER	2200	37392	\N	\N	\N
1027275	3508	1997-05-25	VYDAJ	VYBER	1100	34385	\N	\N	\N
1027276	3508	1997-08-07	VYDAJ	VYBER	1300	49958	\N	\N	\N
1027277	3508	1997-07-21	VYDAJ	VYBER	3900	30949	\N	\N	\N
1027278	3508	1997-06-24	VYDAJ	VYBER	3800	26220	\N	\N	\N
1027279	3508	1998-09-17	VYDAJ	VYBER	1100	46139	\N	\N	\N
1027280	3508	1998-05-03	VYDAJ	VYBER	4100	35487	\N	\N	\N
1027281	3508	1998-06-26	VYDAJ	VYBER	4400	30216	\N	\N	\N
1027282	3508	1998-08-21	VYDAJ	VYBER	3800	39790	\N	\N	\N
1027283	3508	1998-10-21	VYDAJ	VYBER	1600	48905	\N	\N	\N
1027284	3508	1998-03-07	VYDAJ	VYBER	800	37712	\N	\N	\N
1027285	3508	1998-04-05	VYDAJ	VYBER	4500	19251	\N	\N	\N
1027286	3508	1998-02-11	VYDAJ	VYBER	2800	33988	\N	\N	\N
1027301	3508	1997-02-28	VYDAJ	VYBER	15	44795	SLUZBY	\N	\N
1027302	3508	1997-03-31	VYDAJ	VYBER	15	40648	SLUZBY	\N	\N
1027303	3508	1997-04-30	VYDAJ	VYBER	15	39592	SLUZBY	\N	\N
1027304	3508	1997-05-31	VYDAJ	VYBER	15	34530	SLUZBY	\N	\N
1027305	3508	1997-06-30	VYDAJ	VYBER	15	26356	SLUZBY	\N	\N
1027306	3508	1997-07-31	VYDAJ	VYBER	15	31065	SLUZBY	\N	\N
1027307	3508	1997-08-31	VYDAJ	VYBER	15	33583	SLUZBY	\N	\N
1027308	3508	1997-09-30	VYDAJ	VYBER	15	33902	SLUZBY	\N	\N
1027309	3508	1997-10-31	VYDAJ	VYBER	15	28286	SLUZBY	\N	\N
1027310	3508	1997-11-30	VYDAJ	VYBER	15	34101	SLUZBY	\N	\N
1027311	3508	1997-12-31	VYDAJ	VYBER	15	45056	SLUZBY	\N	\N
1027312	3508	1998-01-31	VYDAJ	VYBER	15	36795	SLUZBY	\N	\N
1027313	3508	1998-02-28	VYDAJ	VYBER	15	34119	SLUZBY	\N	\N
1027314	3508	1998-03-31	VYDAJ	VYBER	15	37851	SLUZBY	\N	\N
1027315	3508	1998-04-30	VYDAJ	VYBER	15	39587	SLUZBY	\N	\N
1027316	3508	1998-05-31	VYDAJ	VYBER	15	40226	SLUZBY	\N	\N
1027317	3508	1998-06-30	VYDAJ	VYBER	15	30371	SLUZBY	\N	\N
1027318	3508	1998-07-31	VYDAJ	VYBER	15	36997	SLUZBY	\N	\N
1027319	3508	1998-08-31	VYDAJ	VYBER	15	39946	SLUZBY	\N	\N
1027320	3508	1998-09-30	VYDAJ	VYBER	15	46312	SLUZBY	\N	\N
1027321	3508	1998-10-31	VYDAJ	VYBER	15	49094	SLUZBY	\N	\N
1027322	3508	1998-11-30	VYDAJ	VYBER	15	46567	SLUZBY	\N	\N
1027323	3508	1996-10-12	PRIJEM	VKLAD	3800	24693	\N	\N	\N
1027324	3508	1996-11-11	VYDAJ	VYBER	10300	34652	\N	\N	\N
1027325	3508	1996-12-11	VYDAJ	VYBER	19800	45273	\N	\N	\N
1027326	3508	1997-01-10	VYDAJ	VYBER	20100	45540	\N	\N	\N
1027327	3508	1997-02-09	VYDAJ	VYBER	21300	44623	\N	\N	\N
1027328	3508	1997-03-11	VYDAJ	VYBER	24500	40488	\N	\N	\N
1027329	3508	1997-04-10	VYDAJ	VYBER	21400	39441	\N	\N	\N
1027330	3508	1997-05-10	VYDAJ	VYBER	22100	35485	\N	\N	\N
1027331	3508	1997-06-09	VYDAJ	VYBER	23000	41820	\N	\N	\N
1027332	3508	1997-07-09	VYDAJ	VYBER	11700	34849	\N	\N	\N
1027333	3508	1997-08-08	VYDAJ	VYBER	16500	33458	\N	\N	\N
1027334	3508	1997-09-07	VYDAJ	VYBER	20000	33776	\N	\N	\N
1027335	3508	1997-10-07	VYDAJ	VYBER	26000	28095	\N	\N	\N
1027336	3508	1997-11-06	VYDAJ	VYBER	14500	13786	\N	\N	\N
1027337	3508	1997-12-06	VYDAJ	VYBER	18700	15401	\N	\N	\N
1027338	3508	1998-01-05	VYDAJ	VYBER	17600	21956	\N	\N	\N
1027339	3508	1998-02-04	VYDAJ	VYBER	20200	16595	\N	\N	\N
1027340	3508	1998-03-06	VYDAJ	VYBER	15800	18319	\N	\N	\N
1027341	3508	1998-04-05	VYDAJ	VYBER	14100	23751	\N	\N	\N
1027342	3508	1998-05-05	VYDAJ	VYBER	15600	19887	\N	\N	\N
1027343	3508	1998-06-04	VYDAJ	VYBER	18600	21626	\N	\N	\N
1027344	3508	1998-07-04	VYDAJ	VYBER	13700	16671	\N	\N	\N
1027345	3508	1998-08-03	VYDAJ	VYBER	13600	23397	\N	\N	\N
1027346	3508	1998-09-02	VYDAJ	VYBER	12900	27046	\N	\N	\N
1027347	3508	1998-10-02	VYDAJ	VYBER	16000	30312	\N	\N	\N
1027348	3508	1998-11-01	VYDAJ	VYBER	22900	26194	\N	\N	\N
1027349	3508	1998-12-01	VYDAJ	VYBER	22900	23667	\N	\N	\N
1027377	3509	1993-09-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1027387	3509	1993-10-05	PRIJEM	PREVOD Z UCTU	5812	6912	DUCHOD	IJ	83501213
1027388	3509	1993-11-05	PRIJEM	PREVOD Z UCTU	5812	12724	DUCHOD	IJ	83501213
1027389	3509	1993-12-05	PRIJEM	PREVOD Z UCTU	5812	18536	DUCHOD	IJ	83501213
1027390	3509	1994-01-05	PRIJEM	PREVOD Z UCTU	5812	24348	DUCHOD	IJ	83501213
1027391	3509	1994-02-05	PRIJEM	PREVOD Z UCTU	5812	27960	DUCHOD	IJ	83501213
1027392	3509	1994-03-05	PRIJEM	PREVOD Z UCTU	5812	30823	DUCHOD	IJ	83501213
1027393	3509	1994-04-05	PRIJEM	PREVOD Z UCTU	5812	32605	DUCHOD	IJ	83501213
1027394	3509	1994-05-05	PRIJEM	PREVOD Z UCTU	5812	31176	DUCHOD	IJ	83501213
1027395	3509	1994-06-05	PRIJEM	PREVOD Z UCTU	5812	34067	DUCHOD	IJ	83501213
1027396	3509	1994-07-05	PRIJEM	PREVOD Z UCTU	5812	21789	DUCHOD	IJ	83501213
1027397	3509	1994-08-05	PRIJEM	PREVOD Z UCTU	5812	21351	DUCHOD	IJ	83501213
1027398	3509	1994-09-05	PRIJEM	PREVOD Z UCTU	5812	20353	DUCHOD	IJ	83501213
1027399	3509	1994-10-05	PRIJEM	PREVOD Z UCTU	5812	23200	DUCHOD	IJ	83501213
1027400	3509	1994-11-05	PRIJEM	PREVOD Z UCTU	5812	26050	DUCHOD	IJ	83501213
1027401	3509	1994-12-05	PRIJEM	PREVOD Z UCTU	5812	28611	DUCHOD	IJ	83501213
1027402	3509	1995-01-05	PRIJEM	PREVOD Z UCTU	5812	31037	DUCHOD	IJ	83501213
1027403	3509	1995-02-05	PRIJEM	PREVOD Z UCTU	5812	24991	DUCHOD	IJ	83501213
1027404	3509	1995-03-05	PRIJEM	PREVOD Z UCTU	5812	27857	DUCHOD	IJ	83501213
1027405	3509	1995-04-05	PRIJEM	PREVOD Z UCTU	5812	30726	DUCHOD	IJ	83501213
1027406	3509	1995-05-05	PRIJEM	PREVOD Z UCTU	5812	33607	DUCHOD	IJ	83501213
1027407	3509	1995-06-05	PRIJEM	PREVOD Z UCTU	5812	33799	DUCHOD	IJ	83501213
1027408	3509	1995-07-05	PRIJEM	PREVOD Z UCTU	5812	35091	DUCHOD	IJ	83501213
1027409	3509	1995-08-05	PRIJEM	PREVOD Z UCTU	5812	34888	DUCHOD	IJ	83501213
1027410	3509	1995-09-05	PRIJEM	PREVOD Z UCTU	5812	34664	DUCHOD	IJ	83501213
1027411	3509	1995-10-05	PRIJEM	PREVOD Z UCTU	5812	36921	DUCHOD	IJ	83501213
1027412	3509	1995-11-05	PRIJEM	PREVOD Z UCTU	5812	37126	DUCHOD	IJ	83501213
1027413	3509	1995-12-05	PRIJEM	PREVOD Z UCTU	5812	35547	DUCHOD	IJ	83501213
1027414	3509	1996-01-05	PRIJEM	PREVOD Z UCTU	5812	35094	DUCHOD	IJ	83501213
1027415	3509	1996-02-05	PRIJEM	PREVOD Z UCTU	5812	31932	DUCHOD	IJ	83501213
1027416	3509	1996-03-05	PRIJEM	PREVOD Z UCTU	5812	34096	DUCHOD	IJ	83501213
1027417	3509	1996-04-05	PRIJEM	PREVOD Z UCTU	5812	36991	DUCHOD	IJ	83501213
1027418	3509	1996-05-05	PRIJEM	PREVOD Z UCTU	5812	36035	DUCHOD	IJ	83501213
1027419	3509	1996-06-05	PRIJEM	PREVOD Z UCTU	5812	38937	DUCHOD	IJ	83501213
1027420	3509	1996-07-05	PRIJEM	PREVOD Z UCTU	5812	30685	DUCHOD	IJ	83501213
1027421	3509	1996-08-05	PRIJEM	PREVOD Z UCTU	5812	29962	DUCHOD	IJ	83501213
1027422	3509	1996-09-05	PRIJEM	PREVOD Z UCTU	5812	32840	DUCHOD	IJ	83501213
1027423	3509	1996-10-05	PRIJEM	PREVOD Z UCTU	5812	35729	DUCHOD	IJ	83501213
1027424	3509	1996-11-05	PRIJEM	PREVOD Z UCTU	5812	38630	DUCHOD	IJ	83501213
1027425	3509	1996-12-05	PRIJEM	PREVOD Z UCTU	5812	41042	DUCHOD	IJ	83501213
1027426	3509	1997-01-05	PRIJEM	PREVOD Z UCTU	5812	40569	DUCHOD	IJ	83501213
1027427	3509	1997-02-05	PRIJEM	PREVOD Z UCTU	5812	38839	DUCHOD	IJ	83501213
1027428	3509	1997-03-05	PRIJEM	PREVOD Z UCTU	5812	41752	DUCHOD	IJ	83501213
1027429	3509	1997-04-05	PRIJEM	PREVOD Z UCTU	5812	42274	DUCHOD	IJ	83501213
1027430	3509	1997-05-05	PRIJEM	PREVOD Z UCTU	5812	43398	DUCHOD	IJ	83501213
1027431	3509	1997-06-05	PRIJEM	PREVOD Z UCTU	5812	42743	DUCHOD	IJ	83501213
1027432	3509	1997-07-05	PRIJEM	PREVOD Z UCTU	5812	44021	DUCHOD	IJ	83501213
1027433	3509	1997-08-05	PRIJEM	PREVOD Z UCTU	5812	46956	DUCHOD	IJ	83501213
1027434	3509	1997-09-05	PRIJEM	PREVOD Z UCTU	5812	44912	DUCHOD	IJ	83501213
1027435	3509	1997-10-05	PRIJEM	PREVOD Z UCTU	5812	43882	DUCHOD	IJ	83501213
1027436	3509	1997-11-05	PRIJEM	PREVOD Z UCTU	5812	45012	DUCHOD	IJ	83501213
1027437	3509	1997-12-05	PRIJEM	PREVOD Z UCTU	5812	47951	DUCHOD	IJ	83501213
1027438	3509	1998-01-05	PRIJEM	PREVOD Z UCTU	5812	49349	DUCHOD	IJ	83501213
1027439	3509	1998-02-05	PRIJEM	PREVOD Z UCTU	5812	47426	DUCHOD	IJ	83501213
1027440	3509	1998-03-05	PRIJEM	PREVOD Z UCTU	5812	50374	DUCHOD	IJ	83501213
1027441	3509	1998-04-05	PRIJEM	PREVOD Z UCTU	5812	53336	DUCHOD	IJ	83501213
1027442	3509	1998-05-05	PRIJEM	PREVOD Z UCTU	5812	50895	DUCHOD	IJ	83501213
1027443	3509	1998-06-05	PRIJEM	PREVOD Z UCTU	5812	52977	DUCHOD	IJ	83501213
1027444	3509	1998-07-05	PRIJEM	PREVOD Z UCTU	5812	40648	DUCHOD	IJ	83501213
1027445	3509	1998-08-05	PRIJEM	PREVOD Z UCTU	5812	41003	DUCHOD	IJ	83501213
1027446	3509	1998-09-05	PRIJEM	PREVOD Z UCTU	5812	43924	DUCHOD	IJ	83501213
1027447	3509	1998-10-05	PRIJEM	PREVOD Z UCTU	5812	46858	DUCHOD	IJ	83501213
1027448	3509	1998-11-05	PRIJEM	PREVOD Z UCTU	5812	49083	DUCHOD	IJ	83501213
1027449	3509	1998-12-05	PRIJEM	PREVOD Z UCTU	5812	52045	DUCHOD	IJ	83501213
1027463	3509	1994-02-13	VYDAJ	PREVOD NA UCET	3027	24933	SIPO	IJ	59559762
1027464	3509	1994-03-13	VYDAJ	PREVOD NA UCET	3027	27796	SIPO	IJ	59559762
1027465	3509	1994-04-13	VYDAJ	PREVOD NA UCET	3027	27658	SIPO	IJ	59559762
1027466	3509	1994-05-13	VYDAJ	PREVOD NA UCET	3027	28149	SIPO	IJ	59559762
1027467	3509	1994-06-13	VYDAJ	PREVOD NA UCET	3027	31040	SIPO	IJ	59559762
1027468	3509	1994-07-13	VYDAJ	PREVOD NA UCET	3027	18762	SIPO	IJ	59559762
1027469	3509	1994-08-13	VYDAJ	PREVOD NA UCET	3027	18324	SIPO	IJ	59559762
1027470	3509	1994-09-13	VYDAJ	PREVOD NA UCET	3027	17326	SIPO	IJ	59559762
1027471	3509	1994-10-13	VYDAJ	PREVOD NA UCET	3027	20173	SIPO	IJ	59559762
1027472	3509	1994-11-13	VYDAJ	PREVOD NA UCET	3027	23023	SIPO	IJ	59559762
1027473	3509	1994-12-13	VYDAJ	PREVOD NA UCET	3027	25134	SIPO	IJ	59559762
1027474	3509	1995-01-13	VYDAJ	PREVOD NA UCET	3027	27450	SIPO	IJ	59559762
1027475	3509	1995-02-13	VYDAJ	PREVOD NA UCET	3027	21964	SIPO	IJ	59559762
1027476	3509	1995-03-13	VYDAJ	PREVOD NA UCET	3027	24830	SIPO	IJ	59559762
1027477	3509	1995-04-13	VYDAJ	PREVOD NA UCET	3027	27699	SIPO	IJ	59559762
1027478	3509	1995-05-13	VYDAJ	PREVOD NA UCET	3027	30580	SIPO	IJ	59559762
1027479	3509	1995-06-13	VYDAJ	PREVOD NA UCET	3027	30772	SIPO	IJ	59559762
1027480	3509	1995-07-13	VYDAJ	PREVOD NA UCET	3027	32064	SIPO	IJ	59559762
1027481	3509	1995-08-13	VYDAJ	PREVOD NA UCET	3027	31861	SIPO	IJ	59559762
1027482	3509	1995-09-13	VYDAJ	PREVOD NA UCET	3027	31637	SIPO	IJ	59559762
1027483	3509	1995-10-13	VYDAJ	PREVOD NA UCET	3027	33894	SIPO	IJ	59559762
1027484	3509	1995-11-13	VYDAJ	PREVOD NA UCET	3027	34099	SIPO	IJ	59559762
1027485	3509	1995-12-13	VYDAJ	PREVOD NA UCET	3027	32520	SIPO	IJ	59559762
1027486	3509	1996-01-13	VYDAJ	PREVOD NA UCET	3027	30067	SIPO	IJ	59559762
1027487	3509	1996-02-13	VYDAJ	PREVOD NA UCET	3027	28185	SIPO	IJ	59559762
1027488	3509	1996-03-13	VYDAJ	PREVOD NA UCET	3027	31069	SIPO	IJ	59559762
1027489	3509	1996-04-13	VYDAJ	PREVOD NA UCET	3027	33964	SIPO	IJ	59559762
1027490	3509	1996-05-13	VYDAJ	PREVOD NA UCET	3027	33008	SIPO	IJ	59559762
1027491	3509	1996-06-13	VYDAJ	PREVOD NA UCET	3027	35910	SIPO	IJ	59559762
1027492	3509	1996-07-13	VYDAJ	PREVOD NA UCET	3027	27658	SIPO	IJ	59559762
1027493	3509	1996-08-13	VYDAJ	PREVOD NA UCET	3027	26935	SIPO	IJ	59559762
1027494	3509	1996-09-13	VYDAJ	PREVOD NA UCET	3027	29813	SIPO	IJ	59559762
1027495	3509	1996-10-13	VYDAJ	PREVOD NA UCET	3027	32702	SIPO	IJ	59559762
1027496	3509	1996-11-13	VYDAJ	PREVOD NA UCET	3027	35603	SIPO	IJ	59559762
1027497	3509	1996-12-13	VYDAJ	PREVOD NA UCET	3027	38015	SIPO	IJ	59559762
1027498	3509	1997-01-13	VYDAJ	PREVOD NA UCET	3027	37542	SIPO	IJ	59559762
1027499	3509	1997-02-13	VYDAJ	PREVOD NA UCET	3027	35812	SIPO	IJ	59559762
1027500	3509	1997-03-13	VYDAJ	PREVOD NA UCET	3027	38725	SIPO	IJ	59559762
1027501	3509	1997-04-13	VYDAJ	PREVOD NA UCET	3027	39247	SIPO	IJ	59559762
1027502	3509	1997-05-13	VYDAJ	PREVOD NA UCET	3027	40371	SIPO	IJ	59559762
1027503	3509	1997-06-13	VYDAJ	PREVOD NA UCET	3027	38066	SIPO	IJ	59559762
1027504	3509	1997-07-13	VYDAJ	PREVOD NA UCET	3027	40994	SIPO	IJ	59559762
1027505	3509	1997-08-13	VYDAJ	PREVOD NA UCET	3027	40249	SIPO	IJ	59559762
1027506	3509	1997-09-13	VYDAJ	PREVOD NA UCET	3027	38925	SIPO	IJ	59559762
1027507	3509	1997-10-13	VYDAJ	PREVOD NA UCET	3027	40855	SIPO	IJ	59559762
1027508	3509	1997-11-13	VYDAJ	PREVOD NA UCET	3027	41985	SIPO	IJ	59559762
1027509	3509	1997-12-13	VYDAJ	PREVOD NA UCET	3027	44724	SIPO	IJ	59559762
1027510	3509	1998-01-13	VYDAJ	PREVOD NA UCET	3027	41452	SIPO	IJ	59559762
1027511	3509	1998-02-13	VYDAJ	PREVOD NA UCET	3027	44399	SIPO	IJ	59559762
1027512	3509	1998-03-13	VYDAJ	PREVOD NA UCET	3027	47347	SIPO	IJ	59559762
1027513	3509	1998-04-13	VYDAJ	PREVOD NA UCET	3027	44909	SIPO	IJ	59559762
1027514	3509	1998-05-13	VYDAJ	PREVOD NA UCET	3027	47868	SIPO	IJ	59559762
1027515	3509	1998-06-13	VYDAJ	PREVOD NA UCET	3027	49070	SIPO	IJ	59559762
1027516	3509	1998-07-13	VYDAJ	PREVOD NA UCET	3027	37621	SIPO	IJ	59559762
1027517	3509	1998-08-13	VYDAJ	PREVOD NA UCET	3027	37976	SIPO	IJ	59559762
1027518	3509	1998-09-13	VYDAJ	PREVOD NA UCET	3027	40897	SIPO	IJ	59559762
1027519	3509	1998-10-13	VYDAJ	PREVOD NA UCET	3027	43831	SIPO	IJ	59559762
1027520	3509	1998-11-13	VYDAJ	PREVOD NA UCET	3027	46056	SIPO	IJ	59559762
1027521	3509	1998-12-13	VYDAJ	PREVOD NA UCET	3027	48718	SIPO	IJ	59559762
1027523	3509	1994-06-27	VYDAJ	VYBER	13000	15880	\N	\N	\N
1027524	3509	1995-06-23	VYDAJ	VYBER	1600	29172	\N	\N	\N
1027525	3509	1996-06-20	VYDAJ	VYBER	11150	24760	\N	\N	\N
1027526	3509	1997-06-09	VYDAJ	VYBER	1650	41093	\N	\N	\N
1027527	3509	1998-06-25	VYDAJ	VYBER	11850	34660	\N	\N	\N
1027530	3509	1995-01-25	VYDAJ	VYBER	2200	21890	\N	\N	\N
1027531	3509	1996-01-16	VYDAJ	VYBER	4050	26017	\N	\N	\N
1027532	3509	1997-01-30	VYDAJ	VYBER	4550	32892	\N	\N	\N
1027533	3509	1998-01-05	VYDAJ	VYBER	1750	47599	\N	\N	\N
1027535	3509	1994-12-07	VYDAJ	VYBER	450	28161	\N	\N	\N
1027536	3509	1995-12-17	VYDAJ	VYBER	1350	31170	\N	\N	\N
1027537	3509	1996-12-25	VYDAJ	VYBER	250	34625	\N	\N	\N
1027538	3509	1997-12-17	VYDAJ	VYBER	1350	43374	\N	\N	\N
1027539	3509	1998-12-18	VYDAJ	VYBER	600	48118	\N	\N	\N
1027546	3509	1994-07-27	VYDAJ	VYBER	3280	15482	\N	\N	\N
1027547	3509	1994-09-03	VYDAJ	VYBER	3840	14541	\N	\N	\N
1027548	3509	1994-06-14	VYDAJ	VYBER	2160	28880	\N	\N	\N
1027550	3509	1994-04-12	VYDAJ	VYBER	1920	30685	\N	\N	\N
1027551	3509	1995-02-02	VYDAJ	VYBER	2800	19179	\N	\N	\N
1027552	3509	1995-11-18	VYDAJ	VYBER	1680	32419	\N	\N	\N
1027553	3509	1995-09-27	VYDAJ	VYBER	640	30997	\N	\N	\N
1027554	3509	1995-08-26	VYDAJ	VYBER	1920	29941	\N	\N	\N
1027555	3509	1995-01-11	VYDAJ	VYBER	560	30477	\N	\N	\N
1027556	3509	1995-01-18	VYDAJ	VYBER	3360	24090	\N	\N	\N
1027557	3509	1996-02-12	VYDAJ	VYBER	720	31212	\N	\N	\N
1027558	3509	1996-12-14	VYDAJ	VYBER	1040	36975	\N	\N	\N
1027559	3509	1996-01-07	VYDAJ	VYBER	2000	33094	\N	\N	\N
1027560	3509	1996-04-28	VYDAJ	VYBER	1760	30104	\N	\N	\N
1027561	3509	1996-07-25	VYDAJ	VYBER	3600	24058	\N	\N	\N
1027562	3509	1997-08-10	VYDAJ	VYBER	3680	43276	\N	\N	\N
1027563	3509	1997-05-14	VYDAJ	VYBER	3280	37091	\N	\N	\N
1027564	3509	1997-09-11	VYDAJ	VYBER	2960	41952	\N	\N	\N
1027565	3509	1998-11-03	VYDAJ	VYBER	720	43271	\N	\N	\N
1027566	3509	1998-07-17	VYDAJ	VYBER	2560	35061	\N	\N	\N
1027567	3509	1998-06-24	VYDAJ	VYBER	2560	46510	\N	\N	\N
1027568	3509	1998-06-07	VYDAJ	VYBER	880	52097	\N	\N	\N
1027569	3509	1998-01-10	VYDAJ	VYBER	3120	44479	\N	\N	\N
1027570	3509	1998-05-23	VYDAJ	VYBER	880	46988	\N	\N	\N
1027585	3509	1994-02-28	VYDAJ	VYBER	15	25011	SLUZBY	\N	\N
1027586	3509	1994-03-31	VYDAJ	VYBER	15	27893	SLUZBY	\N	\N
1027587	3509	1994-04-30	VYDAJ	VYBER	15	27764	SLUZBY	\N	\N
1027588	3509	1994-05-31	VYDAJ	VYBER	15	28255	SLUZBY	\N	\N
1027589	3509	1994-06-30	VYDAJ	VYBER	15	15977	SLUZBY	\N	\N
1027590	3509	1994-07-31	VYDAJ	VYBER	15	15539	SLUZBY	\N	\N
1027591	3509	1994-08-31	VYDAJ	VYBER	15	18381	SLUZBY	\N	\N
1027592	3509	1994-09-30	VYDAJ	VYBER	15	17388	SLUZBY	\N	\N
1027593	3509	1994-10-31	VYDAJ	VYBER	15	20238	SLUZBY	\N	\N
1027594	3509	1994-11-30	VYDAJ	VYBER	15	22799	SLUZBY	\N	\N
1027595	3509	1994-12-31	VYDAJ	VYBER	15	25225	SLUZBY	\N	\N
1027596	3509	1995-01-31	VYDAJ	VYBER	15	21979	SLUZBY	\N	\N
1027597	3509	1995-02-28	VYDAJ	VYBER	15	22045	SLUZBY	\N	\N
1027598	3509	1995-03-31	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
1027599	3509	1995-04-30	VYDAJ	VYBER	15	27795	SLUZBY	\N	\N
1027600	3509	1995-05-31	VYDAJ	VYBER	15	27987	SLUZBY	\N	\N
1027601	3509	1995-06-30	VYDAJ	VYBER	15	29279	SLUZBY	\N	\N
1027602	3509	1995-07-31	VYDAJ	VYBER	15	29076	SLUZBY	\N	\N
1027603	3509	1995-08-31	VYDAJ	VYBER	15	28852	SLUZBY	\N	\N
1027604	3509	1995-09-30	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
1027605	3509	1995-10-31	VYDAJ	VYBER	15	31314	SLUZBY	\N	\N
1027606	3509	1995-11-30	VYDAJ	VYBER	15	29735	SLUZBY	\N	\N
1027607	3509	1995-12-31	VYDAJ	VYBER	15	29282	SLUZBY	\N	\N
1027608	3509	1996-01-31	VYDAJ	VYBER	15	26120	SLUZBY	\N	\N
1027609	3509	1996-02-29	VYDAJ	VYBER	15	28284	SLUZBY	\N	\N
1027610	3509	1996-03-31	VYDAJ	VYBER	15	31179	SLUZBY	\N	\N
1027611	3509	1996-04-30	VYDAJ	VYBER	15	30223	SLUZBY	\N	\N
1027612	3509	1996-05-31	VYDAJ	VYBER	15	33125	SLUZBY	\N	\N
1027613	3509	1996-06-30	VYDAJ	VYBER	15	24873	SLUZBY	\N	\N
1027614	3509	1996-07-31	VYDAJ	VYBER	15	24150	SLUZBY	\N	\N
1027615	3509	1996-08-31	VYDAJ	VYBER	15	27028	SLUZBY	\N	\N
1027616	3509	1996-09-30	VYDAJ	VYBER	15	29917	SLUZBY	\N	\N
1027617	3509	1996-10-31	VYDAJ	VYBER	15	32818	SLUZBY	\N	\N
1027618	3509	1996-11-30	VYDAJ	VYBER	15	35230	SLUZBY	\N	\N
1027619	3509	1996-12-31	VYDAJ	VYBER	15	34757	SLUZBY	\N	\N
1027620	3509	1997-01-31	VYDAJ	VYBER	15	33027	SLUZBY	\N	\N
1027621	3509	1997-02-28	VYDAJ	VYBER	15	35940	SLUZBY	\N	\N
1027622	3509	1997-03-31	VYDAJ	VYBER	15	36462	SLUZBY	\N	\N
1027623	3509	1997-04-30	VYDAJ	VYBER	15	37586	SLUZBY	\N	\N
1027624	3509	1997-05-31	VYDAJ	VYBER	15	36931	SLUZBY	\N	\N
1027625	3509	1997-06-30	VYDAJ	VYBER	15	38209	SLUZBY	\N	\N
1027626	3509	1997-07-31	VYDAJ	VYBER	15	41144	SLUZBY	\N	\N
1027627	3509	1997-08-31	VYDAJ	VYBER	15	39100	SLUZBY	\N	\N
1027628	3509	1997-09-30	VYDAJ	VYBER	15	38070	SLUZBY	\N	\N
1027629	3509	1997-10-31	VYDAJ	VYBER	15	39200	SLUZBY	\N	\N
1027630	3509	1997-11-30	VYDAJ	VYBER	15	42139	SLUZBY	\N	\N
1027631	3509	1997-12-31	VYDAJ	VYBER	15	43537	SLUZBY	\N	\N
1027632	3509	1998-01-31	VYDAJ	VYBER	15	41614	SLUZBY	\N	\N
1027633	3509	1998-02-28	VYDAJ	VYBER	15	44562	SLUZBY	\N	\N
1027634	3509	1998-03-31	VYDAJ	VYBER	15	47524	SLUZBY	\N	\N
1027635	3509	1998-04-30	VYDAJ	VYBER	15	45083	SLUZBY	\N	\N
1027636	3509	1998-05-31	VYDAJ	VYBER	15	47165	SLUZBY	\N	\N
1027637	3509	1998-06-30	VYDAJ	VYBER	15	34836	SLUZBY	\N	\N
1027638	3509	1998-07-31	VYDAJ	VYBER	15	35191	SLUZBY	\N	\N
1027639	3509	1998-08-31	VYDAJ	VYBER	15	38112	SLUZBY	\N	\N
1027640	3509	1998-09-30	VYDAJ	VYBER	15	41046	SLUZBY	\N	\N
1027641	3509	1998-10-31	VYDAJ	VYBER	15	43991	SLUZBY	\N	\N
1027642	3509	1998-11-30	VYDAJ	VYBER	15	46233	SLUZBY	\N	\N
1027643	3509	1994-02-02	VYDAJ	VYBER	2200	22148	\N	\N	\N
1027644	3509	1994-04-03	VYDAJ	VYBER	1100	26793	\N	\N	\N
1027645	3509	1994-05-03	VYDAJ	VYBER	2400	25364	\N	\N	\N
1027646	3509	1994-11-29	VYDAJ	VYBER	300	22723	\N	\N	\N
1027647	3509	1995-05-28	VYDAJ	VYBER	2700	27880	\N	\N	\N
1027648	3509	1995-07-27	VYDAJ	VYBER	3100	28964	\N	\N	\N
1027649	3509	1995-08-26	VYDAJ	VYBER	1200	28741	\N	\N	\N
1027650	3509	1995-10-25	VYDAJ	VYBER	2700	31194	\N	\N	\N
1027651	3509	1995-11-24	VYDAJ	VYBER	2800	29619	\N	\N	\N
1027652	3509	1995-12-24	VYDAJ	VYBER	2000	29170	\N	\N	\N
1027653	3509	1996-04-22	VYDAJ	VYBER	2100	31864	\N	\N	\N
1027654	3509	1996-11-18	VYDAJ	VYBER	500	35103	\N	\N	\N
1027655	3509	1996-12-18	VYDAJ	VYBER	2100	34875	\N	\N	\N
1027656	3509	1997-01-17	VYDAJ	VYBER	100	37442	\N	\N	\N
1027657	3509	1997-03-18	VYDAJ	VYBER	2400	36325	\N	\N	\N
1027658	3509	1997-04-17	VYDAJ	VYBER	1800	37447	\N	\N	\N
1027659	3509	1997-05-17	VYDAJ	VYBER	300	36791	\N	\N	\N
1027660	3509	1997-08-15	VYDAJ	VYBER	1300	38949	\N	\N	\N
1027661	3509	1997-09-14	VYDAJ	VYBER	1000	37925	\N	\N	\N
1027662	3509	1997-10-14	VYDAJ	VYBER	1800	39055	\N	\N	\N
1027663	3509	1997-12-13	VYDAJ	VYBER	200	47751	\N	\N	\N
1027664	3509	1998-04-12	VYDAJ	VYBER	5400	47936	\N	\N	\N
1027665	3509	1998-12-08	VYDAJ	VYBER	300	51745	\N	\N	\N
1027725	3510	1993-01-07	PRIJEM	VKLAD	500	500	\N	\N	\N
1027726	3510	1993-01-17	PRIJEM	VKLAD	23323	23823	\N	\N	\N
1027727	3510	1993-06-03	PRIJEM	VKLAD	16658	44126	\N	\N	\N
1027728	3510	1994-11-30	PRIJEM	VKLAD	49703	132816	\N	\N	\N
1027729	3510	1994-09-03	PRIJEM	VKLAD	13585	97784	\N	\N	\N
1027730	3510	1994-09-09	PRIJEM	VKLAD	49453	147237	\N	\N	\N
1027731	3510	1994-01-06	PRIJEM	VKLAD	43175	68364	\N	\N	\N
1027732	3510	1994-02-26	PRIJEM	VKLAD	17310	127216	\N	\N	\N
1027733	3510	1994-10-14	PRIJEM	VKLAD	37797	97004	\N	\N	\N
1027734	3510	1994-03-29	PRIJEM	VKLAD	49089	107528	\N	\N	\N
1027735	3510	1994-12-06	PRIJEM	VKLAD	10407	98395	\N	\N	\N
1027736	3510	1994-02-08	PRIJEM	VKLAD	42014	108352	\N	\N	\N
1027737	3510	1994-07-24	PRIJEM	VKLAD	31660	99770	\N	\N	\N
1027738	3510	1994-04-19	PRIJEM	VKLAD	7614	38307	\N	\N	\N
1027739	3510	1994-03-10	PRIJEM	VKLAD	30929	77095	\N	\N	\N
1027740	3510	1994-02-16	PRIJEM	VKLAD	35858	124298	\N	\N	\N
1027741	3510	1994-04-10	PRIJEM	VKLAD	13566	47339	\N	\N	\N
1027742	3510	1994-04-29	PRIJEM	VKLAD	45549	83856	\N	\N	\N
1027743	3510	1994-12-20	PRIJEM	VKLAD	19421	111102	\N	\N	\N
1027744	3510	1994-11-30	PRIJEM	VKLAD	40964	83113	\N	\N	\N
1027745	3510	1994-02-24	PRIJEM	VKLAD	47608	140306	\N	\N	\N
1027746	3510	1994-05-15	PRIJEM	VKLAD	19742	74253	\N	\N	\N
1027747	3510	1994-09-01	PRIJEM	VKLAD	37517	84199	\N	\N	\N
1027748	3510	1994-12-26	PRIJEM	VKLAD	27031	138133	\N	\N	\N
1027749	3510	1994-11-14	PRIJEM	VKLAD	41083	99980	\N	\N	\N
1027750	3510	1994-07-19	PRIJEM	VKLAD	40870	68110	\N	\N	\N
1027751	3510	1994-05-18	PRIJEM	VKLAD	46302	104911	\N	\N	\N
1027752	3510	1994-03-11	PRIJEM	VKLAD	48837	125932	\N	\N	\N
1027753	3510	1994-01-28	PRIJEM	VKLAD	36993	105357	\N	\N	\N
1027754	3510	1994-07-25	PRIJEM	VKLAD	45936	145706	\N	\N	\N
1027755	3510	1994-05-25	PRIJEM	VKLAD	18816	97427	\N	\N	\N
1027756	3510	1995-02-22	PRIJEM	VKLAD	14276	117166	\N	\N	\N
1027757	3510	1995-11-26	PRIJEM	VKLAD	42806	87444	\N	\N	\N
1027758	3510	1995-01-21	PRIJEM	VKLAD	13763	65137	\N	\N	\N
1027759	3510	1995-08-24	PRIJEM	VKLAD	37595	129472	\N	\N	\N
1027760	3510	1995-08-04	PRIJEM	VKLAD	6531	52142	\N	\N	\N
1027761	3510	1995-03-03	PRIJEM	VKLAD	14456	67183	\N	\N	\N
1027762	3510	1995-08-07	PRIJEM	VKLAD	40792	92934	\N	\N	\N
1027763	3510	1995-03-24	PRIJEM	VKLAD	30410	97593	\N	\N	\N
1027764	3510	1995-01-20	PRIJEM	VKLAD	27865	51374	\N	\N	\N
1027765	3510	1995-09-18	PRIJEM	VKLAD	35472	99919	\N	\N	\N
1027766	3510	1995-02-17	PRIJEM	VKLAD	41012	75336	\N	\N	\N
1027767	3510	1995-05-16	PRIJEM	VKLAD	42103	90936	\N	\N	\N
1027768	3510	1995-07-18	PRIJEM	VKLAD	40507	90975	\N	\N	\N
1027769	3510	1995-09-18	PRIJEM	VKLAD	35914	135833	\N	\N	\N
1027770	3510	1995-02-13	PRIJEM	VKLAD	14973	54221	\N	\N	\N
1027771	3510	1995-04-05	PRIJEM	VKLAD	32617	86239	\N	\N	\N
1027772	3510	1995-08-09	PRIJEM	VKLAD	43952	136886	\N	\N	\N
1027773	3510	1995-12-18	PRIJEM	VKLAD	11233	54256	\N	\N	\N
1027774	3510	1995-10-14	PRIJEM	VKLAD	11739	69824	\N	\N	\N
1027775	3510	1995-12-11	PRIJEM	VKLAD	38538	113831	\N	\N	\N
1027776	3510	1995-10-12	PRIJEM	VKLAD	7458	58085	\N	\N	\N
1027777	3510	1995-05-31	PRIJEM	VKLAD	44772	102653	\N	\N	\N
1027778	3510	1995-08-19	PRIJEM	VKLAD	16391	91877	\N	\N	\N
1027779	3510	1995-11-19	PRIJEM	VKLAD	15590	56038	\N	\N	\N
1027780	3510	1995-02-20	PRIJEM	VKLAD	27554	102890	\N	\N	\N
1027781	3510	1996-04-11	PRIJEM	VKLAD	33958	70836	\N	\N	\N
1027782	3510	1996-10-20	PRIJEM	VKLAD	46318	83394	\N	\N	\N
1027783	3510	1996-09-04	PRIJEM	VKLAD	24020	62567	\N	\N	\N
1027784	3510	1996-06-05	PRIJEM	VKLAD	38989	89640	\N	\N	\N
1027785	3510	1996-07-19	PRIJEM	VKLAD	22066	68550	\N	\N	\N
1027786	3510	1996-05-15	PRIJEM	VKLAD	12466	63257	\N	\N	\N
1027787	3510	1997-03-25	PRIJEM	VKLAD	44942	107747	\N	\N	\N
1027788	3510	1997-12-26	PRIJEM	VKLAD	13993	75627	\N	\N	\N
1027789	3510	1997-09-01	PRIJEM	VKLAD	26205	67617	\N	\N	\N
1027790	3510	1997-02-06	PRIJEM	VKLAD	30395	63020	\N	\N	\N
1027791	3510	1997-03-05	PRIJEM	VKLAD	39114	76005	\N	\N	\N
1027792	3510	1997-12-21	PRIJEM	VKLAD	14147	55614	\N	\N	\N
1027793	3510	1997-12-25	PRIJEM	VKLAD	6020	61634	\N	\N	\N
1027794	3510	1997-11-17	PRIJEM	VKLAD	14536	61175	\N	\N	\N
1027795	3510	1998-07-22	PRIJEM	VKLAD	37120	100498	\N	\N	\N
1027796	3510	1998-04-06	PRIJEM	VKLAD	26827	106254	\N	\N	\N
1027797	3510	1998-11-04	PRIJEM	VKLAD	24501	122156	\N	\N	\N
1027798	3510	1998-08-22	PRIJEM	VKLAD	28942	95343	\N	\N	\N
1027799	3510	1998-05-02	PRIJEM	VKLAD	49715	108107	\N	\N	\N
1027800	3510	1998-10-30	PRIJEM	VKLAD	41437	97396	\N	\N	\N
1027801	3510	1998-03-14	PRIJEM	VKLAD	32290	99649	\N	\N	\N
1027802	3510	1998-01-20	PRIJEM	VKLAD	20688	68652	\N	\N	\N
1027803	3510	1998-01-21	PRIJEM	VKLAD	35235	103887	\N	\N	\N
1027804	3510	1998-06-10	PRIJEM	VKLAD	44403	136902	\N	\N	\N
1027805	3510	1998-09-17	PRIJEM	VKLAD	43557	135207	\N	\N	\N
1027806	3510	1998-12-03	PRIJEM	VKLAD	28265	73238	\N	\N	\N
1027807	3510	1998-03-14	PRIJEM	VKLAD	24024	67359	\N	\N	\N
1027808	3510	1998-05-21	PRIJEM	VKLAD	38822	119982	\N	\N	\N
1027809	3510	1998-01-10	PRIJEM	VKLAD	41185	100494	\N	\N	\N
1027810	3510	1998-01-11	PRIJEM	VKLAD	32625	133119	\N	\N	\N
1027811	3510	1998-09-11	PRIJEM	VKLAD	24630	91650	\N	\N	\N
1027812	3510	1998-01-14	PRIJEM	VKLAD	11620	80439	\N	\N	\N
1027813	3510	1998-06-25	PRIJEM	VKLAD	42510	104905	\N	\N	\N
1027814	3510	1998-06-17	PRIJEM	VKLAD	9793	62395	\N	\N	\N
1027815	3510	1998-06-06	PRIJEM	VKLAD	46302	92499	\N	\N	\N
1027816	3510	1998-05-06	PRIJEM	VKLAD	46053	154160	\N	\N	\N
1027825	3510	1994-11-17	VYBER	VYBER	14328	85652	\N	\N	\N
1027826	3510	1994-03-31	VYBER	VYBER	8325	43588	\N	\N	\N
1027827	3510	1994-11-29	VYBER	VYBER	14703	42149	\N	\N	\N
1027828	3510	1994-10-01	VYBER	VYBER	6232	59207	\N	\N	\N
1027829	3510	1994-05-17	VYBER	VYBER	15644	58609	\N	\N	\N
1027830	3510	1994-03-13	VYBER	VYBER	8693	67139	\N	\N	\N
1027831	3510	1994-12-09	VYBER	VYBER	6714	91681	\N	\N	\N
1027832	3510	1994-04-10	VYBER	VYBER	16646	30693	\N	\N	\N
1027833	3510	1994-06-12	VYBER	VYBER	22239	39525	\N	\N	\N
1027834	3510	1994-02-14	VYBER	VYBER	19912	88440	\N	\N	\N
1027835	3510	1995-02-13	VYBER	VYBER	19897	34324	\N	\N	\N
1027836	3510	1995-08-03	VYBER	VYBER	10018	45611	\N	\N	\N
1027837	3510	1995-06-25	VYBER	VYBER	2330	80294	\N	\N	\N
1027838	3510	1995-12-01	VYBER	VYBER	8661	75293	\N	\N	\N
1027839	3510	1995-12-11	VYBER	VYBER	20808	93023	\N	\N	\N
1027840	3510	1995-07-23	VYBER	VYBER	14191	76784	\N	\N	\N
1027841	3510	1995-11-29	VYBER	VYBER	3702	83742	\N	\N	\N
1027842	3510	1995-04-11	VYBER	VYBER	17345	68894	\N	\N	\N
1027843	3510	1995-06-13	VYBER	VYBER	20015	82624	\N	\N	\N
1027844	3510	1995-10-04	VYBER	VYBER	9510	50627	\N	\N	\N
1027845	3510	1995-11-05	VYBER	VYBER	6611	43748	\N	\N	\N
1027847	3510	1996-09-12	VYBER	VYBER	12859	49708	\N	\N	\N
1027849	3510	1996-06-11	VYBER	VYBER	20978	68662	\N	\N	\N
1027851	3510	1996-07-24	VYBER	VYBER	22216	33234	\N	\N	\N
1027853	3510	1997-04-22	VYBER	VYBER	20453	51587	\N	\N	\N
1027855	3510	1997-02-13	VYBER	VYBER	8585	54435	\N	\N	\N
1027856	3510	1997-11-27	VYBER	VYBER	22700	38475	\N	\N	\N
1027857	3510	1997-09-06	VYBER	VYBER	8368	59249	\N	\N	\N
1027858	3510	1998-03-10	VYBER	VYBER	10453	48435	\N	\N	\N
1027859	3510	1998-02-07	VYBER	VYBER	9250	94952	\N	\N	\N
1027860	3510	1998-11-08	VYBER	VYBER	11702	44754	\N	\N	\N
1027861	3510	1998-10-11	VYBER	VYBER	3791	55959	\N	\N	\N
1027862	3510	1998-01-17	VYBER	VYBER	19275	61164	\N	\N	\N
1027863	3510	1998-06-02	VYBER	VYBER	7268	46197	\N	\N	\N
1027864	3510	1998-03-23	VYBER	VYBER	20476	79173	\N	\N	\N
1027866	3510	1998-07-31	VYBER	VYBER	4791	96116	\N	\N	\N
1027867	3510	1998-05-23	VYBER	VYBER	6128	53154	\N	\N	\N
1027868	3510	1998-04-11	VYBER	VYBER	23178	83076	\N	\N	\N
1027869	3510	1998-02-13	VYBER	VYBER	3255	64897	\N	\N	\N
1027882	3510	1995-01-14	VYDAJ	VYBER	8400	49609	\N	\N	\N
1027883	3510	1995-01-18	VYDAJ	VYBER	3300	23509	\N	\N	\N
1027884	3510	1995-01-07	VYDAJ	VYBER	3600	58009	\N	\N	\N
1027885	3510	1995-01-15	VYDAJ	VYBER	6000	43609	\N	\N	\N
1027886	3510	1995-01-18	VYDAJ	VYBER	5700	26809	\N	\N	\N
1027887	3510	1995-01-06	VYDAJ	VYBER	2700	61609	\N	\N	\N
1027889	3510	1996-01-07	VYDAJ	VYBER	8100	25229	\N	\N	\N
1027891	3510	1996-01-07	VYDAJ	VYBER	4500	33329	\N	\N	\N
1027893	3510	1996-01-06	VYDAJ	VYBER	6000	37829	\N	\N	\N
1027894	3510	1997-01-06	VYDAJ	VYBER	6000	47577	\N	\N	\N
1027895	3510	1997-01-08	VYDAJ	VYBER	3300	44277	\N	\N	\N
1027896	3510	1997-01-21	VYDAJ	VYBER	4500	34877	\N	\N	\N
1027897	3510	1997-01-24	VYDAJ	VYBER	2400	32477	\N	\N	\N
1027898	3510	1997-01-12	VYDAJ	VYBER	7200	34077	\N	\N	\N
1027899	3510	1997-01-09	VYDAJ	VYBER	3000	41277	\N	\N	\N
1027900	3510	1998-01-19	VYDAJ	VYBER	2700	47964	\N	\N	\N
1027901	3510	1998-01-04	VYDAJ	VYBER	3600	59309	\N	\N	\N
1027902	3510	1998-01-18	VYDAJ	VYBER	8700	52464	\N	\N	\N
1027903	3510	1998-01-03	VYDAJ	VYBER	5400	62909	\N	\N	\N
1027904	3510	1998-01-19	VYDAJ	VYBER	1800	50664	\N	\N	\N
1027905	3510	1998-01-12	VYDAJ	VYBER	7500	68819	\N	\N	\N
1027907	3510	1994-06-16	VYDAJ	VYBER	11700	27825	\N	\N	\N
1027908	3510	1994-10-14	VYDAJ	VYBER	12900	84104	\N	\N	\N
1027909	3510	1994-03-24	VYDAJ	VYBER	8700	58439	\N	\N	\N
1027910	3510	1994-09-17	VYDAJ	VYBER	11400	105237	\N	\N	\N
1027911	3510	1995-02-11	VYDAJ	VYBER	9000	39248	\N	\N	\N
1027912	3510	1995-11-14	VYDAJ	VYBER	3300	40448	\N	\N	\N
1027913	3510	1995-03-29	VYDAJ	VYBER	7200	53393	\N	\N	\N
1027914	3510	1995-07-04	VYDAJ	VYBER	3600	50468	\N	\N	\N
1027915	3510	1995-01-16	VYDAJ	VYBER	11100	32509	\N	\N	\N
1027916	3510	1995-05-20	VYDAJ	VYBER	9600	81336	\N	\N	\N
1027917	3510	1995-10-23	VYDAJ	VYBER	7200	62624	\N	\N	\N
1027918	3510	1995-09-18	VYDAJ	VYBER	4800	131033	\N	\N	\N
1027919	3510	1996-09-30	VYDAJ	VYBER	10200	29976	\N	\N	\N
1027920	3510	1996-09-30	VYDAJ	VYBER	8400	40191	\N	\N	\N
1027921	3510	1996-07-14	VYDAJ	VYBER	8700	46484	\N	\N	\N
1027923	3510	1997-07-17	VYDAJ	VYBER	4500	39904	\N	\N	\N
1027924	3510	1997-03-01	VYDAJ	VYBER	11400	36891	\N	\N	\N
1027925	3510	1997-10-27	VYDAJ	VYBER	1500	47645	\N	\N	\N
1027926	3510	1997-03-28	VYDAJ	VYBER	10200	97547	\N	\N	\N
1027927	3510	1998-02-15	VYDAJ	VYBER	6300	58597	\N	\N	\N
1027928	3510	1998-06-30	VYDAJ	VYBER	5400	99778	\N	\N	\N
1027929	3510	1998-11-04	VYDAJ	VYBER	3600	118556	\N	\N	\N
1027930	3510	1998-01-01	VYDAJ	VYBER	7500	68309	\N	\N	\N
1027931	3510	1998-12-14	VYDAJ	VYBER	5100	47338	\N	\N	\N
1027946	3510	1994-02-28	VYDAJ	VYBER	15	66666	SLUZBY	\N	\N
1027947	3510	1994-03-31	VYDAJ	VYBER	15	43573	SLUZBY	\N	\N
1027948	3510	1994-04-30	VYDAJ	VYBER	15	84011	SLUZBY	\N	\N
1027949	3510	1994-05-31	VYDAJ	VYBER	15	97764	SLUZBY	\N	\N
1027950	3510	1994-06-30	VYDAJ	VYBER	15	28040	SLUZBY	\N	\N
1027951	3510	1994-07-31	VYDAJ	VYBER	15	92543	SLUZBY	\N	\N
1027952	3510	1994-08-31	VYDAJ	VYBER	15	46682	SLUZBY	\N	\N
1027953	3510	1994-09-30	VYDAJ	VYBER	15	65439	SLUZBY	\N	\N
1027954	3510	1994-10-31	VYDAJ	VYBER	15	58897	SLUZBY	\N	\N
1027955	3510	1994-11-30	VYDAJ	VYBER	15	133088	SLUZBY	\N	\N
1027956	3510	1994-12-31	VYDAJ	VYBER	15	64309	SLUZBY	\N	\N
1027957	3510	1995-01-31	VYDAJ	VYBER	15	48248	SLUZBY	\N	\N
1027958	3510	1995-02-28	VYDAJ	VYBER	15	52727	SLUZBY	\N	\N
1027959	3510	1995-03-31	VYDAJ	VYBER	15	53622	SLUZBY	\N	\N
1027960	3510	1995-04-30	VYDAJ	VYBER	15	48833	SLUZBY	\N	\N
1027961	3510	1995-05-31	VYDAJ	VYBER	15	102639	SLUZBY	\N	\N
1027962	3510	1995-06-30	VYDAJ	VYBER	15	54068	SLUZBY	\N	\N
1027963	3510	1995-07-31	VYDAJ	VYBER	15	55629	SLUZBY	\N	\N
1027964	3510	1995-08-31	VYDAJ	VYBER	15	64447	SLUZBY	\N	\N
1027965	3510	1995-09-30	VYDAJ	VYBER	15	60137	SLUZBY	\N	\N
1027966	3510	1995-10-31	VYDAJ	VYBER	15	50359	SLUZBY	\N	\N
1027967	3510	1995-11-30	VYDAJ	VYBER	15	83954	SLUZBY	\N	\N
1027968	3510	1995-12-31	VYDAJ	VYBER	15	43829	SLUZBY	\N	\N
1027969	3510	1996-01-31	VYDAJ	VYBER	15	30239	SLUZBY	\N	\N
1027970	3510	1996-02-29	VYDAJ	VYBER	15	35148	SLUZBY	\N	\N
1027971	3510	1996-03-31	VYDAJ	VYBER	15	36878	SLUZBY	\N	\N
1027972	3510	1996-04-30	VYDAJ	VYBER	15	50791	SLUZBY	\N	\N
1027973	3510	1996-05-31	VYDAJ	VYBER	15	50651	SLUZBY	\N	\N
1027974	3510	1996-06-30	VYDAJ	VYBER	15	55184	SLUZBY	\N	\N
1027975	3510	1996-07-31	VYDAJ	VYBER	15	33425	SLUZBY	\N	\N
1027976	3510	1996-08-31	VYDAJ	VYBER	15	38547	SLUZBY	\N	\N
1027977	3510	1996-09-30	VYDAJ	VYBER	15	40176	SLUZBY	\N	\N
1027978	3510	1996-10-31	VYDAJ	VYBER	15	83613	SLUZBY	\N	\N
1027979	3510	1996-11-30	VYDAJ	VYBER	15	61640	SLUZBY	\N	\N
1027980	3510	1996-12-31	VYDAJ	VYBER	15	53577	SLUZBY	\N	\N
1027981	3510	1997-01-31	VYDAJ	VYBER	15	32625	SLUZBY	\N	\N
1027982	3510	1997-02-28	VYDAJ	VYBER	15	48291	SLUZBY	\N	\N
1027983	3510	1997-03-31	VYDAJ	VYBER	15	97840	SLUZBY	\N	\N
1027984	3510	1997-04-30	VYDAJ	VYBER	15	51917	SLUZBY	\N	\N
1027985	3510	1997-05-31	VYDAJ	VYBER	15	50414	SLUZBY	\N	\N
1027986	3510	1997-06-30	VYDAJ	VYBER	15	47004	SLUZBY	\N	\N
1027987	3510	1997-07-31	VYDAJ	VYBER	15	40065	SLUZBY	\N	\N
1027988	3510	1997-08-31	VYDAJ	VYBER	15	41412	SLUZBY	\N	\N
1027989	3510	1997-09-30	VYDAJ	VYBER	15	52145	SLUZBY	\N	\N
1027990	3510	1997-10-31	VYDAJ	VYBER	15	47839	SLUZBY	\N	\N
1027991	3510	1997-11-30	VYDAJ	VYBER	15	38667	SLUZBY	\N	\N
1027992	3510	1997-12-31	VYDAJ	VYBER	15	75809	SLUZBY	\N	\N
1027993	3510	1998-01-31	VYDAJ	VYBER	15	104202	SLUZBY	\N	\N
1027994	3510	1998-02-28	VYDAJ	VYBER	15	58888	SLUZBY	\N	\N
1027995	3510	1998-03-31	VYDAJ	VYBER	15	79427	SLUZBY	\N	\N
1027996	3510	1998-04-30	VYDAJ	VYBER	15	58392	SLUZBY	\N	\N
1027997	3510	1998-05-31	VYDAJ	VYBER	15	53465	SLUZBY	\N	\N
1027998	3510	1998-06-30	VYDAJ	VYBER	15	105178	SLUZBY	\N	\N
1027999	3510	1998-07-31	VYDAJ	VYBER	15	96101	SLUZBY	\N	\N
1028000	3510	1998-08-31	VYDAJ	VYBER	15	95720	SLUZBY	\N	\N
1028001	3510	1998-09-30	VYDAJ	VYBER	15	84250	SLUZBY	\N	\N
1028002	3510	1998-10-31	VYDAJ	VYBER	15	97655	SLUZBY	\N	\N
1028003	3510	1998-11-30	VYDAJ	VYBER	15	44973	SLUZBY	\N	\N
1028004	3510	1993-02-06	VYDAJ	VYBER	1600	22271	\N	\N	\N
1028005	3510	1993-03-08	VYDAJ	VYBER	300	22070	\N	\N	\N
1028006	3510	1993-04-07	PRIJEM	VKLAD	3400	25570	\N	\N	\N
1028007	3510	1993-05-07	PRIJEM	VKLAD	1700	27369	\N	\N	\N
1028008	3510	1993-06-06	VYDAJ	VYBER	10900	33226	\N	\N	\N
1028009	3510	1993-07-06	VYDAJ	VYBER	6300	27058	\N	\N	\N
1028010	3510	1993-08-05	VYDAJ	VYBER	1000	26196	\N	\N	\N
1028011	3510	1993-09-04	VYDAJ	VYBER	2100	24235	\N	\N	\N
1028012	3510	1993-10-04	VYDAJ	VYBER	2200	22173	\N	\N	\N
1028013	3510	1993-11-03	PRIJEM	VKLAD	3000	25312	\N	\N	\N
1028014	3510	1993-12-03	PRIJEM	VKLAD	100	25550	\N	\N	\N
1028015	3510	1994-01-02	VYDAJ	VYBER	500	25189	\N	\N	\N
1028016	3510	1994-02-01	VYDAJ	VYBER	39300	66338	\N	\N	\N
1028017	3510	1994-02-16	VYDAJ	VYBER	31600	92698	\N	\N	\N
1028018	3510	1994-02-24	VYDAJ	VYBER	30400	109906	\N	\N	\N
1028019	3510	1994-02-26	VYDAJ	VYBER	16600	110616	\N	\N	\N
1028020	3510	1994-02-28	VYDAJ	VYBER	44400	66681	\N	\N	\N
1028021	3510	1994-03-03	VYDAJ	VYBER	20500	46166	\N	\N	\N
1028022	3510	1994-03-11	VYDAJ	VYBER	50100	75832	\N	\N	\N
1028023	3510	1994-03-29	VYDAJ	VYBER	55900	51628	\N	\N	\N
1028024	3510	1994-04-02	VYDAJ	VYBER	9800	33773	\N	\N	\N
1028025	3510	1994-05-02	VYDAJ	VYBER	29500	54511	\N	\N	\N
1028026	3510	1994-05-18	VYDAJ	VYBER	26300	78611	\N	\N	\N
1028027	3510	1994-06-01	VYDAJ	VYBER	36000	61764	\N	\N	\N
1028028	3510	1994-07-01	VYDAJ	VYBER	800	27240	\N	\N	\N
1028029	3510	1994-07-25	VYDAJ	VYBER	53400	92306	\N	\N	\N
1028030	3510	1994-07-31	VYDAJ	VYBER	31300	61243	\N	\N	\N
1028031	3510	1994-08-30	VYDAJ	VYBER	14800	46443	\N	\N	\N
1028032	3510	1994-09-09	VYDAJ	VYBER	30600	116637	\N	\N	\N
1028033	3510	1994-09-29	VYDAJ	VYBER	40200	65037	\N	\N	\N
1028034	3510	1994-10-29	VYDAJ	VYBER	25500	58604	\N	\N	\N
1028035	3510	1994-11-28	VYDAJ	VYBER	28800	56852	\N	\N	\N
1028036	3510	1994-11-30	VYDAJ	VYBER	45100	87988	\N	\N	\N
1028037	3510	1994-12-26	VYDAJ	VYBER	37200	100933	\N	\N	\N
1028038	3510	1994-12-28	VYDAJ	VYBER	37000	63933	\N	\N	\N
1028039	3510	1995-01-27	VYDAJ	VYBER	17100	48037	\N	\N	\N
1028040	3510	1995-02-22	VYDAJ	VYBER	39000	78166	\N	\N	\N
1028041	3510	1995-02-26	VYDAJ	VYBER	25700	52466	\N	\N	\N
1028042	3510	1995-03-28	VYDAJ	VYBER	37000	60593	\N	\N	\N
1028043	3510	1995-04-27	VYDAJ	VYBER	20300	48594	\N	\N	\N
1028044	3510	1995-05-27	VYDAJ	VYBER	23700	57636	\N	\N	\N
1028045	3510	1995-06-26	VYDAJ	VYBER	26600	53694	\N	\N	\N
1028046	3510	1995-07-26	VYDAJ	VYBER	21400	55384	\N	\N	\N
1028047	3510	1995-08-09	VYDAJ	VYBER	61400	75486	\N	\N	\N
1028048	3510	1995-08-24	VYDAJ	VYBER	31600	97872	\N	\N	\N
1028049	3510	1995-08-25	VYDAJ	VYBER	33800	64072	\N	\N	\N
1028050	3510	1995-09-18	VYDAJ	VYBER	40200	90833	\N	\N	\N
1028051	3510	1995-09-24	VYDAJ	VYBER	31000	59833	\N	\N	\N
1028052	3510	1995-10-24	VYDAJ	VYBER	12500	50124	\N	\N	\N
1028053	3510	1995-11-23	VYDAJ	VYBER	11400	44638	\N	\N	\N
1028054	3510	1995-12-11	VYDAJ	VYBER	50000	43023	\N	\N	\N
1028055	3510	1995-12-23	VYDAJ	VYBER	10700	43556	\N	\N	\N
1028056	3510	1996-01-22	PRIJEM	VKLAD	4900	30129	\N	\N	\N
1028057	3510	1996-02-21	PRIJEM	VKLAD	4800	35039	\N	\N	\N
1028058	3510	1996-03-22	PRIJEM	VKLAD	1600	36748	\N	\N	\N
1028059	3510	1996-04-21	VYDAJ	VYBER	20200	50636	\N	\N	\N
1028060	3510	1996-05-21	VYDAJ	VYBER	12800	50457	\N	\N	\N
1028061	3510	1996-06-20	VYDAJ	VYBER	13700	54962	\N	\N	\N
1028062	3510	1996-07-20	VYDAJ	VYBER	13100	55450	\N	\N	\N
1028063	3510	1996-08-19	PRIJEM	VKLAD	5000	38425	\N	\N	\N
1028064	3510	1996-09-18	VYDAJ	VYBER	1300	48408	\N	\N	\N
1028065	3510	1996-10-18	PRIJEM	VKLAD	7100	37076	\N	\N	\N
1028066	3510	1996-11-17	VYDAJ	VYBER	22300	61313	\N	\N	\N
1028067	3510	1996-12-17	VYDAJ	VYBER	8300	53340	\N	\N	\N
1028068	3510	1997-01-16	PRIJEM	VKLAD	5300	39377	\N	\N	\N
1028069	3510	1997-02-15	VYDAJ	VYBER	6300	48135	\N	\N	\N
1028070	3510	1997-03-17	VYDAJ	VYBER	13200	62805	\N	\N	\N
1028071	3510	1997-04-16	VYDAJ	VYBER	25800	72040	\N	\N	\N
1028072	3510	1997-05-16	VYDAJ	VYBER	1700	50217	\N	\N	\N
1028073	3510	1997-06-15	VYDAJ	VYBER	3600	46814	\N	\N	\N
1028074	3510	1997-07-15	VYDAJ	VYBER	2600	44404	\N	\N	\N
1028075	3510	1997-08-14	PRIJEM	VKLAD	1200	41265	\N	\N	\N
1028076	3510	1997-09-13	VYDAJ	VYBER	7300	51949	\N	\N	\N
1028077	3510	1997-10-13	VYDAJ	VYBER	3000	49145	\N	\N	\N
1028078	3510	1997-11-12	VYDAJ	VYBER	1200	46639	\N	\N	\N
1028079	3510	1997-12-12	PRIJEM	VKLAD	2800	41467	\N	\N	\N
1028080	3510	1998-01-11	VYDAJ	VYBER	23000	110119	\N	\N	\N
1028081	3510	1998-01-11	VYDAJ	VYBER	33800	76319	\N	\N	\N
1028082	3510	1998-02-10	VYDAJ	VYBER	26800	68152	\N	\N	\N
1028083	3510	1998-03-12	VYDAJ	VYBER	5100	43335	\N	\N	\N
1028084	3510	1998-04-11	VYDAJ	VYBER	25000	58076	\N	\N	\N
1028085	3510	1998-05-06	VYDAJ	VYBER	29300	124860	\N	\N	\N
1028086	3510	1998-05-11	VYDAJ	VYBER	43700	81160	\N	\N	\N
1028087	3510	1998-05-21	VYDAJ	VYBER	60700	59282	\N	\N	\N
1028088	3510	1998-06-10	VYDAJ	VYBER	57900	79002	\N	\N	\N
1028089	3510	1998-06-10	VYDAJ	VYBER	26400	52602	\N	\N	\N
1028090	3510	1998-07-10	VYDAJ	VYBER	36400	63378	\N	\N	\N
1028091	3510	1998-08-09	VYDAJ	VYBER	29700	66401	\N	\N	\N
1028092	3510	1998-09-08	VYDAJ	VYBER	28700	67020	\N	\N	\N
1028093	3510	1998-09-17	VYDAJ	VYBER	51400	83807	\N	\N	\N
1028094	3510	1998-10-08	VYDAJ	VYBER	24500	59750	\N	\N	\N
1028095	3510	1998-11-04	VYDAJ	VYBER	36300	82256	\N	\N	\N
1028096	3510	1998-11-07	VYDAJ	VYBER	25800	56456	\N	\N	\N
1028097	3510	1998-12-07	VYDAJ	VYBER	20800	52438	\N	\N	\N
1028170	3511	1996-07-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1028178	3511	1996-08-09	PRIJEM	PREVOD Z UCTU	5485	6485	DUCHOD	WX	12012231
1028179	3511	1996-09-09	PRIJEM	PREVOD Z UCTU	5485	11970	DUCHOD	WX	12012231
1028180	3511	1996-10-09	PRIJEM	PREVOD Z UCTU	5485	17455	DUCHOD	WX	12012231
1028181	3511	1996-11-09	PRIJEM	PREVOD Z UCTU	5485	22940	DUCHOD	WX	12012231
1028182	3511	1996-12-09	PRIJEM	PREVOD Z UCTU	5485	28425	DUCHOD	WX	12012231
1028183	3511	1997-01-09	PRIJEM	PREVOD Z UCTU	5485	23586	DUCHOD	WX	12012231
1028184	3511	1997-02-09	PRIJEM	PREVOD Z UCTU	5485	21955	DUCHOD	WX	12012231
1028185	3511	1997-03-09	PRIJEM	PREVOD Z UCTU	5485	21680	DUCHOD	WX	12012231
1028186	3511	1997-04-09	PRIJEM	PREVOD Z UCTU	5485	24926	DUCHOD	WX	12012231
1028187	3511	1997-05-09	PRIJEM	PREVOD Z UCTU	5485	28184	DUCHOD	WX	12012231
1028188	3511	1997-06-09	PRIJEM	PREVOD Z UCTU	5485	28728	DUCHOD	WX	12012231
1028189	3511	1997-07-09	PRIJEM	PREVOD Z UCTU	5485	19734	DUCHOD	WX	12012231
1028190	3511	1997-08-09	PRIJEM	PREVOD Z UCTU	5485	19290	DUCHOD	WX	12012231
1028191	3511	1997-09-09	PRIJEM	PREVOD Z UCTU	5485	22525	DUCHOD	WX	12012231
1028192	3511	1997-10-09	PRIJEM	PREVOD Z UCTU	5485	25292	DUCHOD	WX	12012231
1028193	3511	1997-11-09	PRIJEM	PREVOD Z UCTU	5485	27048	DUCHOD	WX	12012231
1028194	3511	1997-12-09	PRIJEM	PREVOD Z UCTU	5485	26408	DUCHOD	WX	12012231
1028195	3511	1998-01-09	PRIJEM	PREVOD Z UCTU	5485	23818	DUCHOD	WX	12012231
1028196	3511	1998-02-09	PRIJEM	PREVOD Z UCTU	5485	19863	DUCHOD	WX	12012231
1028197	3511	1998-03-09	PRIJEM	PREVOD Z UCTU	5485	22699	DUCHOD	WX	12012231
1028198	3511	1998-04-09	PRIJEM	PREVOD Z UCTU	5485	22901	DUCHOD	WX	12012231
1028199	3511	1998-05-09	PRIJEM	PREVOD Z UCTU	5485	26150	DUCHOD	WX	12012231
1028200	3511	1998-06-09	PRIJEM	PREVOD Z UCTU	5485	27029	DUCHOD	WX	12012231
1028201	3511	1998-07-09	PRIJEM	PREVOD Z UCTU	5485	18479	DUCHOD	WX	12012231
1028202	3511	1998-08-09	PRIJEM	PREVOD Z UCTU	5485	21710	DUCHOD	WX	12012231
1028203	3511	1998-09-09	PRIJEM	PREVOD Z UCTU	5485	24954	DUCHOD	WX	12012231
1028204	3511	1998-10-09	PRIJEM	PREVOD Z UCTU	5485	24692	DUCHOD	WX	12012231
1028205	3511	1998-11-09	PRIJEM	PREVOD Z UCTU	5485	25069	DUCHOD	WX	12012231
1028206	3511	1998-12-09	PRIJEM	PREVOD Z UCTU	5485	26804	DUCHOD	WX	12012231
1028219	3511	1997-01-05	VYDAJ	PREVOD NA UCET	2313	24101	SIPO	WX	58378344
1028220	3511	1997-02-05	VYDAJ	PREVOD NA UCET	2313	17270	SIPO	WX	58378344
1028221	3511	1997-03-05	VYDAJ	PREVOD NA UCET	2313	19715	SIPO	WX	58378344
1028222	3511	1997-04-05	VYDAJ	PREVOD NA UCET	2313	19441	SIPO	WX	58378344
1028223	3511	1997-05-05	VYDAJ	PREVOD NA UCET	2313	22699	SIPO	WX	58378344
1028224	3511	1997-06-05	VYDAJ	PREVOD NA UCET	2313	23243	SIPO	WX	58378344
1028225	3511	1997-07-05	VYDAJ	PREVOD NA UCET	2313	14249	SIPO	WX	58378344
1028226	3511	1997-08-05	VYDAJ	PREVOD NA UCET	2313	13805	SIPO	WX	58378344
1028227	3511	1997-09-05	VYDAJ	PREVOD NA UCET	2313	17040	SIPO	WX	58378344
1028228	3511	1997-10-05	VYDAJ	PREVOD NA UCET	2313	19807	SIPO	WX	58378344
1028229	3511	1997-11-05	VYDAJ	PREVOD NA UCET	2313	21563	SIPO	WX	58378344
1028230	3511	1997-12-05	VYDAJ	PREVOD NA UCET	2313	20923	SIPO	WX	58378344
1028231	3511	1998-01-05	VYDAJ	PREVOD NA UCET	2313	19053	SIPO	WX	58378344
1028232	3511	1998-02-05	VYDAJ	PREVOD NA UCET	2313	14378	SIPO	WX	58378344
1028233	3511	1998-03-05	VYDAJ	PREVOD NA UCET	2313	17214	SIPO	WX	58378344
1028234	3511	1998-04-05	VYDAJ	PREVOD NA UCET	2313	17416	SIPO	WX	58378344
1028235	3511	1998-05-05	VYDAJ	PREVOD NA UCET	2313	20665	SIPO	WX	58378344
1028236	3511	1998-06-05	VYDAJ	PREVOD NA UCET	2313	21544	SIPO	WX	58378344
1028237	3511	1998-07-05	VYDAJ	PREVOD NA UCET	2313	12994	SIPO	WX	58378344
1028238	3511	1998-08-05	VYDAJ	PREVOD NA UCET	2313	16225	SIPO	WX	58378344
1028239	3511	1998-09-05	VYDAJ	PREVOD NA UCET	2313	19469	SIPO	WX	58378344
1028240	3511	1998-10-05	VYDAJ	PREVOD NA UCET	2313	19207	SIPO	WX	58378344
1028241	3511	1998-11-05	VYDAJ	PREVOD NA UCET	2313	19584	SIPO	WX	58378344
1028242	3511	1998-12-05	VYDAJ	PREVOD NA UCET	2313	21319	SIPO	WX	58378344
1028244	3511	1997-06-24	VYDAJ	VYBER	5650	16478	\N	\N	\N
1028245	3511	1998-06-21	VYDAJ	VYBER	11800	15229	\N	\N	\N
1028247	3511	1997-12-22	VYDAJ	VYBER	750	24558	\N	\N	\N
1028248	3511	1998-12-14	VYDAJ	VYBER	250	26554	\N	\N	\N
1028255	3511	1997-01-11	VYDAJ	VYBER	2080	21506	\N	\N	\N
1028256	3511	1997-01-28	VYDAJ	VYBER	400	19506	\N	\N	\N
1028257	3511	1997-01-05	VYDAJ	VYBER	2320	21781	\N	\N	\N
1028258	3511	1997-01-13	VYDAJ	VYBER	880	20626	\N	\N	\N
1028259	3511	1997-01-26	VYDAJ	VYBER	720	19906	\N	\N	\N
1028260	3511	1997-01-02	VYDAJ	VYBER	2000	26414	\N	\N	\N
1028261	3511	1998-01-30	VYDAJ	VYBER	1120	16618	\N	\N	\N
1028262	3511	1998-01-10	VYDAJ	VYBER	880	22938	\N	\N	\N
1028263	3511	1998-01-05	VYDAJ	VYBER	2320	21366	\N	\N	\N
1028264	3511	1998-01-04	VYDAJ	VYBER	960	23686	\N	\N	\N
1028265	3511	1998-01-06	VYDAJ	VYBER	720	18333	\N	\N	\N
1028266	3511	1998-01-22	VYDAJ	VYBER	1440	21498	\N	\N	\N
1028275	3511	1997-09-26	VYDAJ	VYBER	480	22045	\N	\N	\N
1028276	3511	1997-01-08	VYDAJ	VYBER	3680	18101	\N	\N	\N
1028277	3511	1997-08-03	VYDAJ	VYBER	3680	16118	\N	\N	\N
1028278	3511	1997-03-05	VYDAJ	VYBER	640	19075	\N	\N	\N
1028279	3511	1997-03-07	VYDAJ	VYBER	2880	16195	\N	\N	\N
1028280	3511	1997-05-11	VYDAJ	VYBER	2720	25464	\N	\N	\N
1028281	3511	1997-11-19	VYDAJ	VYBER	2400	23148	\N	\N	\N
1028282	3511	1997-02-07	VYDAJ	VYBER	800	16470	\N	\N	\N
1028283	3511	1998-10-24	VYDAJ	VYBER	2880	21812	\N	\N	\N
1028284	3511	1998-09-30	VYDAJ	VYBER	3520	21520	\N	\N	\N
1028286	3511	1998-11-19	VYDAJ	VYBER	1520	23549	\N	\N	\N
1028287	3511	1998-03-20	VYDAJ	VYBER	1440	19659	\N	\N	\N
1028288	3511	1998-01-24	VYDAJ	VYBER	3760	17738	\N	\N	\N
1028289	3511	1998-05-24	VYDAJ	VYBER	1680	23770	\N	\N	\N
1028302	3511	1996-12-31	VYDAJ	VYBER	15	28414	SLUZBY	\N	\N
1028303	3511	1997-01-31	VYDAJ	VYBER	15	19583	SLUZBY	\N	\N
1028304	3511	1997-02-28	VYDAJ	VYBER	15	22028	SLUZBY	\N	\N
1028305	3511	1997-03-31	VYDAJ	VYBER	15	21754	SLUZBY	\N	\N
1028306	3511	1997-04-30	VYDAJ	VYBER	15	25012	SLUZBY	\N	\N
1028307	3511	1997-05-31	VYDAJ	VYBER	15	25556	SLUZBY	\N	\N
1028308	3511	1997-06-30	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
1028309	3511	1997-07-31	VYDAJ	VYBER	15	19798	SLUZBY	\N	\N
1028310	3511	1997-08-31	VYDAJ	VYBER	15	19353	SLUZBY	\N	\N
1028311	3511	1997-09-30	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
1028312	3511	1997-10-31	VYDAJ	VYBER	15	23876	SLUZBY	\N	\N
1028313	3511	1997-11-30	VYDAJ	VYBER	15	23236	SLUZBY	\N	\N
1028314	3511	1997-12-31	VYDAJ	VYBER	15	24646	SLUZBY	\N	\N
1028315	3511	1998-01-31	VYDAJ	VYBER	15	16691	SLUZBY	\N	\N
1028316	3511	1998-02-28	VYDAJ	VYBER	15	19527	SLUZBY	\N	\N
1028317	3511	1998-03-31	VYDAJ	VYBER	15	19729	SLUZBY	\N	\N
1028318	3511	1998-04-30	VYDAJ	VYBER	15	22978	SLUZBY	\N	\N
1028319	3511	1998-05-31	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
1028320	3511	1998-06-30	VYDAJ	VYBER	15	15307	SLUZBY	\N	\N
1028321	3511	1998-07-31	VYDAJ	VYBER	15	18538	SLUZBY	\N	\N
1028322	3511	1998-08-31	VYDAJ	VYBER	15	21782	SLUZBY	\N	\N
1028323	3511	1998-09-30	VYDAJ	VYBER	15	25040	SLUZBY	\N	\N
1028324	3511	1998-10-31	VYDAJ	VYBER	15	21897	SLUZBY	\N	\N
1028325	3511	1998-11-30	VYDAJ	VYBER	15	23632	SLUZBY	\N	\N
1028326	3511	1997-06-18	VYDAJ	VYBER	6600	22128	\N	\N	\N
1028327	3511	1997-10-16	VYDAJ	VYBER	1500	23792	\N	\N	\N
1028328	3511	1997-11-15	VYDAJ	VYBER	1500	25548	\N	\N	\N
1028329	3511	1997-12-15	VYDAJ	VYBER	1100	25308	\N	\N	\N
1028330	3511	1998-02-13	VYDAJ	VYBER	400	19463	\N	\N	\N
1028331	3511	1998-03-15	VYDAJ	VYBER	1600	21099	\N	\N	\N
1028332	3511	1998-05-14	VYDAJ	VYBER	700	25450	\N	\N	\N
1028358	3512	1996-05-11	PRIJEM	VKLAD	500	500	\N	\N	\N
1028465	3512	1996-06-10	PRIJEM	VKLAD	11000	11500	\N	\N	\N
1028466	3512	1996-07-10	PRIJEM	VKLAD	6800	18300	\N	\N	\N
1028467	3512	1996-08-09	PRIJEM	VKLAD	1000	19300	\N	\N	\N
1028468	3512	1996-09-08	PRIJEM	VKLAD	2900	22200	\N	\N	\N
1028469	3512	1996-10-08	VYDAJ	VYBER	2800	19400	\N	\N	\N
1028470	3512	1996-11-07	PRIJEM	VKLAD	2900	22300	\N	\N	\N
1028471	3512	1996-12-07	PRIJEM	VKLAD	700	23000	\N	\N	\N
1028472	3512	1997-01-06	PRIJEM	VKLAD	3400	26400	\N	\N	\N
1028473	3512	1997-03-07	PRIJEM	VKLAD	500	26900	\N	\N	\N
1028474	3512	1997-04-06	VYDAJ	VYBER	1700	25200	\N	\N	\N
1028475	3512	1997-05-06	VYDAJ	VYBER	2200	23000	\N	\N	\N
1028476	3512	1997-06-05	VYDAJ	VYBER	2100	20900	\N	\N	\N
1028477	3512	1997-07-05	PRIJEM	VKLAD	500	21400	\N	\N	\N
1028478	3512	1997-08-04	PRIJEM	VKLAD	800	22200	\N	\N	\N
1028479	3512	1997-09-03	PRIJEM	VKLAD	100	22300	\N	\N	\N
1028480	3512	1997-10-03	VYDAJ	VYBER	700	21600	\N	\N	\N
1028481	3512	1997-11-02	VYDAJ	VYBER	2500	19100	\N	\N	\N
1028482	3512	1997-12-02	PRIJEM	VKLAD	1300	20400	\N	\N	\N
1028483	3512	1998-01-01	VYDAJ	VYBER	2300	18100	\N	\N	\N
1028484	3512	1998-01-31	VYDAJ	VYBER	1300	16802	\N	\N	\N
1028485	3512	1998-03-02	PRIJEM	VKLAD	900	17702	\N	\N	\N
1028486	3512	1998-04-01	VYDAJ	VYBER	900	16872	\N	\N	\N
1028487	3512	1998-05-01	PRIJEM	VKLAD	600	17542	\N	\N	\N
1028488	3512	1998-05-31	VYDAJ	VYBER	1400	16212	\N	\N	\N
1028489	3512	1998-06-30	VYDAJ	VYBER	800	15480	\N	\N	\N
1028490	3512	1998-07-30	PRIJEM	VKLAD	400	15880	\N	\N	\N
1028491	3512	1998-08-29	VYDAJ	VYBER	600	15347	\N	\N	\N
1028492	3512	1998-09-28	PRIJEM	VKLAD	2800	18215	\N	\N	\N
1028493	3512	1998-10-28	VYDAJ	VYBER	600	17682	\N	\N	\N
1028494	3512	1998-11-27	VYDAJ	VYBER	3500	14250	\N	\N	\N
1028504	3513	1993-03-03	PRIJEM	VKLAD	500	500	\N	\N	\N
1028507	3513	1993-03-14	PRIJEM	VKLAD	19078	19578	\N	\N	\N
1028508	3513	1993-04-14	PRIJEM	VKLAD	19078	40103	\N	\N	\N
1028509	3513	1993-05-14	PRIJEM	VKLAD	19078	48911	\N	\N	\N
1028510	3513	1993-06-14	PRIJEM	VKLAD	28617	65617	\N	\N	\N
1028511	3513	1993-07-14	PRIJEM	VKLAD	19078	66138	\N	\N	\N
1028512	3513	1993-08-14	PRIJEM	VKLAD	19078	55458	\N	\N	\N
1028513	3513	1993-09-14	PRIJEM	VKLAD	19078	54635	\N	\N	\N
1028514	3513	1993-10-14	PRIJEM	VKLAD	19078	50305	\N	\N	\N
1028515	3513	1993-11-14	PRIJEM	VKLAD	19078	47857	\N	\N	\N
1028516	3513	1993-12-14	PRIJEM	VKLAD	28617	59838	\N	\N	\N
1028517	3513	1994-01-14	PRIJEM	VKLAD	19078	55843	\N	\N	\N
1028518	3513	1994-02-14	PRIJEM	VKLAD	19078	42083	\N	\N	\N
1028519	3513	1994-03-14	PRIJEM	VKLAD	19078	47500	\N	\N	\N
1028520	3513	1994-04-14	PRIJEM	VKLAD	19078	49941	\N	\N	\N
1028521	3513	1994-05-14	PRIJEM	VKLAD	19078	53491	\N	\N	\N
1028522	3513	1994-06-14	PRIJEM	VKLAD	28617	56972	\N	\N	\N
1028523	3513	1994-07-14	PRIJEM	VKLAD	19078	47513	\N	\N	\N
1028524	3513	1994-08-14	PRIJEM	VKLAD	19078	49750	\N	\N	\N
1028525	3513	1994-09-14	PRIJEM	VKLAD	19078	49855	\N	\N	\N
1028526	3513	1994-10-14	PRIJEM	VKLAD	19078	49704	\N	\N	\N
1028527	3513	1994-11-14	PRIJEM	VKLAD	19078	50652	\N	\N	\N
1028528	3513	1994-12-14	PRIJEM	VKLAD	28617	63839	\N	\N	\N
1028529	3513	1995-01-14	PRIJEM	VKLAD	19078	56989	\N	\N	\N
1028530	3513	1995-02-14	PRIJEM	VKLAD	19078	49014	\N	\N	\N
1028531	3513	1995-03-14	PRIJEM	VKLAD	19078	54655	\N	\N	\N
1028532	3513	1995-04-14	PRIJEM	VKLAD	19078	53413	\N	\N	\N
1028533	3513	1995-05-14	PRIJEM	VKLAD	19078	48123	\N	\N	\N
1028534	3513	1995-06-14	PRIJEM	VKLAD	28617	58241	\N	\N	\N
1028535	3513	1995-07-14	PRIJEM	VKLAD	19078	55181	\N	\N	\N
1028536	3513	1995-08-14	PRIJEM	VKLAD	19078	55541	\N	\N	\N
1028537	3513	1995-09-14	PRIJEM	VKLAD	19078	57502	\N	\N	\N
1028538	3513	1995-10-14	PRIJEM	VKLAD	19078	59534	\N	\N	\N
1028539	3513	1995-11-14	PRIJEM	VKLAD	19078	58175	\N	\N	\N
1028540	3513	1995-12-14	PRIJEM	VKLAD	28617	67392	\N	\N	\N
1028541	3513	1996-01-14	PRIJEM	VKLAD	19078	54264	\N	\N	\N
1028542	3513	1996-02-14	PRIJEM	VKLAD	19078	61240	\N	\N	\N
1028543	3513	1996-03-14	PRIJEM	VKLAD	19078	63280	\N	\N	\N
1028544	3513	1996-04-14	PRIJEM	VKLAD	19078	70480	\N	\N	\N
1028545	3513	1996-05-14	PRIJEM	VKLAD	19078	68448	\N	\N	\N
1028546	3513	1996-06-14	PRIJEM	VKLAD	28617	81098	\N	\N	\N
1028547	3513	1996-07-14	PRIJEM	VKLAD	19078	54392	\N	\N	\N
1028548	3513	1996-08-14	PRIJEM	VKLAD	19078	60242	\N	\N	\N
1028549	3513	1996-09-14	PRIJEM	VKLAD	19078	68046	\N	\N	\N
1028550	3513	1996-10-14	PRIJEM	VKLAD	19078	74868	\N	\N	\N
1028551	3513	1996-11-14	PRIJEM	VKLAD	19078	77634	\N	\N	\N
1028552	3513	1996-12-14	PRIJEM	VKLAD	28617	85056	\N	\N	\N
1028553	3513	1997-01-14	PRIJEM	VKLAD	19078	71438	\N	\N	\N
1028554	3513	1997-02-14	PRIJEM	VKLAD	19078	69809	\N	\N	\N
1028555	3513	1997-03-14	PRIJEM	VKLAD	19078	68063	\N	\N	\N
1028556	3513	1997-04-14	PRIJEM	VKLAD	19078	65708	\N	\N	\N
1028557	3513	1997-05-14	PRIJEM	VKLAD	19078	66839	\N	\N	\N
1028558	3513	1997-06-14	PRIJEM	VKLAD	28617	78717	\N	\N	\N
1028559	3513	1997-07-14	PRIJEM	VKLAD	19078	58303	\N	\N	\N
1028560	3513	1997-08-14	PRIJEM	VKLAD	19078	64399	\N	\N	\N
1028561	3513	1997-09-14	PRIJEM	VKLAD	19078	64900	\N	\N	\N
1028562	3513	1997-10-14	PRIJEM	VKLAD	19078	60420	\N	\N	\N
1028563	3513	1997-11-14	PRIJEM	VKLAD	19078	58727	\N	\N	\N
1028564	3513	1997-12-14	PRIJEM	VKLAD	28617	68672	\N	\N	\N
1028565	3513	1998-01-14	PRIJEM	VKLAD	19078	54180	\N	\N	\N
1028566	3513	1998-02-14	PRIJEM	VKLAD	19078	56369	\N	\N	\N
1028567	3513	1998-03-14	PRIJEM	VKLAD	19078	57259	\N	\N	\N
1028568	3513	1998-04-14	PRIJEM	VKLAD	19078	57474	\N	\N	\N
1028569	3513	1998-05-14	PRIJEM	VKLAD	19078	62964	\N	\N	\N
1028570	3513	1998-06-14	PRIJEM	VKLAD	28617	66457	\N	\N	\N
1028571	3513	1998-07-14	PRIJEM	VKLAD	19078	69168	\N	\N	\N
1028572	3513	1998-08-14	PRIJEM	VKLAD	19078	67664	\N	\N	\N
1028573	3513	1998-09-14	PRIJEM	VKLAD	19078	68601	\N	\N	\N
1028574	3513	1998-10-14	PRIJEM	VKLAD	19078	68043	\N	\N	\N
1028575	3513	1998-11-14	PRIJEM	VKLAD	19078	67298	\N	\N	\N
1028576	3513	1998-12-14	PRIJEM	VKLAD	28617	81971	\N	\N	\N
1028584	3513	1993-08-12	VYDAJ	PREVOD NA UCET	4507	36380	SIPO	KL	91703849
1028585	3513	1993-09-12	VYDAJ	PREVOD NA UCET	4507	35557	SIPO	KL	91703849
1028586	3513	1993-10-12	VYDAJ	PREVOD NA UCET	4507	31227	SIPO	KL	91703849
1028587	3513	1993-11-12	VYDAJ	PREVOD NA UCET	4507	28779	SIPO	KL	91703849
1028588	3513	1993-12-12	VYDAJ	PREVOD NA UCET	4507	31221	SIPO	KL	91703849
1028589	3513	1994-01-12	VYDAJ	PREVOD NA UCET	4507	36765	SIPO	KL	91703849
1028590	3513	1994-02-12	VYDAJ	PREVOD NA UCET	4507	23005	SIPO	KL	91703849
1028591	3513	1994-03-12	VYDAJ	PREVOD NA UCET	4507	28422	SIPO	KL	91703849
1028592	3513	1994-04-12	VYDAJ	PREVOD NA UCET	4507	30863	SIPO	KL	91703849
1028593	3513	1994-05-12	VYDAJ	PREVOD NA UCET	4507	34413	SIPO	KL	91703849
1028594	3513	1994-06-12	VYDAJ	PREVOD NA UCET	4507	28355	SIPO	KL	91703849
1028595	3513	1994-07-12	VYDAJ	PREVOD NA UCET	4507	28435	SIPO	KL	91703849
1028596	3513	1994-08-12	VYDAJ	PREVOD NA UCET	4507	30672	SIPO	KL	91703849
1028597	3513	1994-09-12	VYDAJ	PREVOD NA UCET	4507	30777	SIPO	KL	91703849
1028598	3513	1994-10-12	VYDAJ	PREVOD NA UCET	4507	34826	SIPO	KL	91703849
1028599	3513	1994-11-12	VYDAJ	PREVOD NA UCET	4507	31574	SIPO	KL	91703849
1028600	3513	1994-12-12	VYDAJ	PREVOD NA UCET	4507	35222	SIPO	KL	91703849
1028601	3513	1995-01-12	VYDAJ	PREVOD NA UCET	4507	37911	SIPO	KL	91703849
1028602	3513	1995-02-12	VYDAJ	PREVOD NA UCET	4507	29936	SIPO	KL	91703849
1028603	3513	1995-03-12	VYDAJ	PREVOD NA UCET	4507	35577	SIPO	KL	91703849
1028604	3513	1995-04-12	VYDAJ	PREVOD NA UCET	4507	34335	SIPO	KL	91703849
1028605	3513	1995-05-12	VYDAJ	PREVOD NA UCET	4507	29045	SIPO	KL	91703849
1028606	3513	1995-06-12	VYDAJ	PREVOD NA UCET	4507	35384	SIPO	KL	91703849
1028607	3513	1995-07-12	VYDAJ	PREVOD NA UCET	4507	36103	SIPO	KL	91703849
1028608	3513	1995-08-12	VYDAJ	PREVOD NA UCET	4507	36463	SIPO	KL	91703849
1028609	3513	1995-09-12	VYDAJ	PREVOD NA UCET	4507	38424	SIPO	KL	91703849
1028610	3513	1995-10-12	VYDAJ	PREVOD NA UCET	4507	40456	SIPO	KL	91703849
1028611	3513	1995-11-12	VYDAJ	PREVOD NA UCET	4507	39097	SIPO	KL	91703849
1028612	3513	1995-12-12	VYDAJ	PREVOD NA UCET	4507	38775	SIPO	KL	91703849
1028613	3513	1996-01-12	VYDAJ	PREVOD NA UCET	4507	35186	SIPO	KL	91703849
1028614	3513	1996-02-12	VYDAJ	PREVOD NA UCET	4507	42162	SIPO	KL	91703849
1028615	3513	1996-03-12	VYDAJ	PREVOD NA UCET	4507	44202	SIPO	KL	91703849
1028616	3513	1996-04-12	VYDAJ	PREVOD NA UCET	4507	51402	SIPO	KL	91703849
1028617	3513	1996-05-12	VYDAJ	PREVOD NA UCET	4507	49370	SIPO	KL	91703849
1028618	3513	1996-06-12	VYDAJ	PREVOD NA UCET	4507	52481	SIPO	KL	91703849
1028619	3513	1996-07-12	VYDAJ	PREVOD NA UCET	4507	35314	SIPO	KL	91703849
1028620	3513	1996-08-12	VYDAJ	PREVOD NA UCET	4507	46684	SIPO	KL	91703849
1028621	3513	1996-09-12	VYDAJ	PREVOD NA UCET	4507	45268	SIPO	KL	91703849
1028622	3513	1996-10-12	VYDAJ	PREVOD NA UCET	4507	61590	SIPO	KL	91703849
1028623	3513	1996-11-12	VYDAJ	PREVOD NA UCET	4507	58556	SIPO	KL	91703849
1028624	3513	1996-12-12	VYDAJ	PREVOD NA UCET	4507	58039	SIPO	KL	91703849
1028625	3513	1997-01-12	VYDAJ	PREVOD NA UCET	4507	52360	SIPO	KL	91703849
1028626	3513	1997-02-12	VYDAJ	PREVOD NA UCET	4507	50731	SIPO	KL	91703849
1028627	3513	1997-03-12	VYDAJ	PREVOD NA UCET	4507	48985	SIPO	KL	91703849
1028628	3513	1997-04-12	VYDAJ	PREVOD NA UCET	4507	46630	SIPO	KL	91703849
1028629	3513	1997-05-12	VYDAJ	PREVOD NA UCET	4507	47761	SIPO	KL	91703849
1028630	3513	1997-06-12	VYDAJ	PREVOD NA UCET	4507	50100	SIPO	KL	91703849
1028631	3513	1997-07-12	VYDAJ	PREVOD NA UCET	4507	39225	SIPO	KL	91703849
1028632	3513	1997-08-12	VYDAJ	PREVOD NA UCET	4507	45321	SIPO	KL	91703849
1028633	3513	1997-09-12	VYDAJ	PREVOD NA UCET	4507	45822	SIPO	KL	91703849
1028634	3513	1997-10-12	VYDAJ	PREVOD NA UCET	4507	41342	SIPO	KL	91703849
1028635	3513	1997-11-12	VYDAJ	PREVOD NA UCET	4507	39649	SIPO	KL	91703849
1028636	3513	1997-12-12	VYDAJ	PREVOD NA UCET	4507	40055	SIPO	KL	91703849
1028637	3513	1998-01-12	VYDAJ	PREVOD NA UCET	4507	35102	SIPO	KL	91703849
1028638	3513	1998-02-12	VYDAJ	PREVOD NA UCET	4507	37291	SIPO	KL	91703849
1028639	3513	1998-03-12	VYDAJ	PREVOD NA UCET	4507	38181	SIPO	KL	91703849
1028640	3513	1998-04-12	VYDAJ	PREVOD NA UCET	4507	38396	SIPO	KL	91703849
1028641	3513	1998-05-12	VYDAJ	PREVOD NA UCET	4507	43886	SIPO	KL	91703849
1028642	3513	1998-06-12	VYDAJ	PREVOD NA UCET	4507	37840	SIPO	KL	91703849
1028643	3513	1998-07-12	VYDAJ	PREVOD NA UCET	4507	50090	SIPO	KL	91703849
1028644	3513	1998-08-12	VYDAJ	PREVOD NA UCET	4507	48586	SIPO	KL	91703849
1028645	3513	1998-09-12	VYDAJ	PREVOD NA UCET	4507	49523	SIPO	KL	91703849
1028646	3513	1998-10-12	VYDAJ	PREVOD NA UCET	4507	48965	SIPO	KL	91703849
1028647	3513	1998-11-12	VYDAJ	PREVOD NA UCET	4507	48220	SIPO	KL	91703849
1028648	3513	1998-12-12	VYDAJ	PREVOD NA UCET	4507	53354	SIPO	KL	91703849
1028656	3513	1993-08-11	VYDAJ	PREVOD NA UCET	2185	40887	 	YZ	20442784
1028657	3513	1993-09-11	VYDAJ	PREVOD NA UCET	2185	40064	 	YZ	20442784
1028658	3513	1993-10-11	VYDAJ	PREVOD NA UCET	2185	35734	 	YZ	20442784
1028659	3513	1993-11-11	VYDAJ	PREVOD NA UCET	2185	33286	 	YZ	20442784
1028660	3513	1993-12-11	VYDAJ	PREVOD NA UCET	2185	35728	 	YZ	20442784
1028661	3513	1994-01-11	VYDAJ	PREVOD NA UCET	2185	41272	 	YZ	20442784
1028662	3513	1994-02-11	VYDAJ	PREVOD NA UCET	2185	27512	 	YZ	20442784
1028663	3513	1994-03-11	VYDAJ	PREVOD NA UCET	2185	32929	 	YZ	20442784
1028664	3513	1994-04-11	VYDAJ	PREVOD NA UCET	2185	35370	 	YZ	20442784
1028665	3513	1994-05-11	VYDAJ	PREVOD NA UCET	2185	38920	 	YZ	20442784
1028666	3513	1994-06-11	VYDAJ	PREVOD NA UCET	2185	38382	 	YZ	20442784
1028667	3513	1994-07-11	VYDAJ	PREVOD NA UCET	2185	32942	 	YZ	20442784
1028668	3513	1994-08-11	VYDAJ	PREVOD NA UCET	2185	35179	 	YZ	20442784
1028669	3513	1994-09-11	VYDAJ	PREVOD NA UCET	2185	35284	 	YZ	20442784
1028670	3513	1994-10-11	VYDAJ	PREVOD NA UCET	2185	39333	 	YZ	20442784
1028671	3513	1994-11-11	VYDAJ	PREVOD NA UCET	2185	36081	 	YZ	20442784
1028672	3513	1994-12-11	VYDAJ	PREVOD NA UCET	2185	39729	 	YZ	20442784
1028673	3513	1995-01-11	VYDAJ	PREVOD NA UCET	2185	42418	 	YZ	20442784
1028674	3513	1995-02-11	VYDAJ	PREVOD NA UCET	2185	34443	 	YZ	20442784
1028675	3513	1995-03-11	VYDAJ	PREVOD NA UCET	2185	40084	 	YZ	20442784
1028676	3513	1995-04-11	VYDAJ	PREVOD NA UCET	2185	38842	 	YZ	20442784
1028677	3513	1995-05-11	VYDAJ	PREVOD NA UCET	2185	33552	 	YZ	20442784
1028678	3513	1995-06-11	VYDAJ	PREVOD NA UCET	2185	39891	 	YZ	20442784
1028679	3513	1995-07-11	VYDAJ	PREVOD NA UCET	2185	40610	 	YZ	20442784
1028680	3513	1995-08-11	VYDAJ	PREVOD NA UCET	2185	40970	 	YZ	20442784
1028681	3513	1995-09-11	VYDAJ	PREVOD NA UCET	2185	42931	 	YZ	20442784
1028682	3513	1995-10-11	VYDAJ	PREVOD NA UCET	2185	44963	 	YZ	20442784
1028683	3513	1995-11-11	VYDAJ	PREVOD NA UCET	2185	43604	 	YZ	20442784
1028684	3513	1995-12-11	VYDAJ	PREVOD NA UCET	2185	43282	 	YZ	20442784
1028685	3513	1996-01-11	VYDAJ	PREVOD NA UCET	2185	39693	 	YZ	20442784
1028686	3513	1996-02-11	VYDAJ	PREVOD NA UCET	2185	46669	 	YZ	20442784
1028687	3513	1996-03-11	VYDAJ	PREVOD NA UCET	2185	48709	 	YZ	20442784
1028688	3513	1996-04-11	VYDAJ	PREVOD NA UCET	2185	55909	 	YZ	20442784
1028689	3513	1996-05-11	VYDAJ	PREVOD NA UCET	2185	53877	 	YZ	20442784
1028690	3513	1996-06-11	VYDAJ	PREVOD NA UCET	2185	56988	 	YZ	20442784
1028691	3513	1996-07-11	VYDAJ	PREVOD NA UCET	2185	39821	 	YZ	20442784
1028692	3513	1996-08-11	VYDAJ	PREVOD NA UCET	2185	51191	 	YZ	20442784
1028693	3513	1996-09-11	VYDAJ	PREVOD NA UCET	2185	49775	 	YZ	20442784
1028694	3513	1996-10-11	VYDAJ	PREVOD NA UCET	2185	66097	 	YZ	20442784
1028695	3513	1996-11-11	VYDAJ	PREVOD NA UCET	2185	72963	 	YZ	20442784
1028696	3513	1996-12-11	VYDAJ	PREVOD NA UCET	2185	75746	 	YZ	20442784
1028697	3513	1997-01-11	VYDAJ	PREVOD NA UCET	2185	56867	 	YZ	20442784
1028698	3513	1997-02-11	VYDAJ	PREVOD NA UCET	2185	55238	 	YZ	20442784
1028699	3513	1997-03-11	VYDAJ	PREVOD NA UCET	2185	67892	 	YZ	20442784
1028700	3513	1997-04-11	VYDAJ	PREVOD NA UCET	2185	51137	 	YZ	20442784
1028701	3513	1997-05-11	VYDAJ	PREVOD NA UCET	2185	52268	 	YZ	20442784
1028702	3513	1997-06-11	VYDAJ	PREVOD NA UCET	2185	54607	 	YZ	20442784
1028703	3513	1997-07-11	VYDAJ	PREVOD NA UCET	2185	43732	 	YZ	20442784
1028704	3513	1997-08-11	VYDAJ	PREVOD NA UCET	2185	49828	 	YZ	20442784
1028705	3513	1997-09-11	VYDAJ	PREVOD NA UCET	2185	50329	 	YZ	20442784
1028706	3513	1997-10-11	VYDAJ	PREVOD NA UCET	2185	45849	 	YZ	20442784
1028707	3513	1997-11-11	VYDAJ	PREVOD NA UCET	2185	44156	 	YZ	20442784
1028708	3513	1997-12-11	VYDAJ	PREVOD NA UCET	2185	44562	 	YZ	20442784
1028709	3513	1998-01-11	VYDAJ	PREVOD NA UCET	2185	39609	 	YZ	20442784
1028710	3513	1998-02-11	VYDAJ	PREVOD NA UCET	2185	41798	 	YZ	20442784
1028711	3513	1998-03-11	VYDAJ	PREVOD NA UCET	2185	42688	 	YZ	20442784
1028712	3513	1998-04-11	VYDAJ	PREVOD NA UCET	2185	42903	 	YZ	20442784
1028713	3513	1998-05-11	VYDAJ	PREVOD NA UCET	2185	48393	 	YZ	20442784
1028714	3513	1998-06-11	VYDAJ	PREVOD NA UCET	2185	42347	 	YZ	20442784
1028715	3513	1998-07-11	VYDAJ	PREVOD NA UCET	2185	54597	 	YZ	20442784
1028716	3513	1998-08-11	VYDAJ	PREVOD NA UCET	2185	53093	 	YZ	20442784
1028717	3513	1998-09-11	VYDAJ	PREVOD NA UCET	2185	54030	 	YZ	20442784
1028718	3513	1998-10-11	VYDAJ	PREVOD NA UCET	2185	53472	 	YZ	20442784
1028719	3513	1998-11-11	VYDAJ	PREVOD NA UCET	2185	52727	 	YZ	20442784
1028720	3513	1998-12-11	VYDAJ	PREVOD NA UCET	2185	57861	 	YZ	20442784
1028722	3513	1994-06-14	VYDAJ	VYBER	20320	36652	\N	\N	\N
1028724	3513	1996-06-20	VYDAJ	VYBER	23200	41798	\N	\N	\N
1028725	3513	1997-06-25	VYDAJ	VYBER	25760	52957	\N	\N	\N
1028726	3513	1998-06-04	VYDAJ	VYBER	11040	52152	\N	\N	\N
1028728	3513	1994-01-25	VYDAJ	VYBER	15040	40803	\N	\N	\N
1028729	3513	1995-01-15	VYDAJ	VYBER	10240	46749	\N	\N	\N
1028730	3513	1996-01-10	VYDAJ	VYBER	12160	41878	\N	\N	\N
1028731	3513	1997-01-02	VYDAJ	VYBER	10400	70052	\N	\N	\N
1028732	3513	1998-01-11	VYDAJ	VYBER	7360	41794	\N	\N	\N
1028733	3513	1993-12-14	VYDAJ	VYBER	3360	56478	\N	\N	\N
1028734	3513	1994-12-17	VYDAJ	VYBER	3360	60479	\N	\N	\N
1028735	3513	1995-12-01	VYDAJ	VYBER	4000	45467	\N	\N	\N
1028736	3513	1996-12-13	VYDAJ	VYBER	1600	56439	\N	\N	\N
1028737	3513	1997-12-30	VYDAJ	VYBER	3520	65152	\N	\N	\N
1028738	3513	1998-12-23	VYDAJ	VYBER	3040	78931	\N	\N	\N
1028739	3513	1993-07-23	VYDAJ	VYBER	2520	63618	\N	\N	\N
1028740	3513	1993-08-04	VYDAJ	VYBER	1200	43072	\N	\N	\N
1028742	3513	1994-09-10	VYDAJ	VYBER	2040	37469	\N	\N	\N
1028743	3513	1994-06-12	VYDAJ	VYBER	5520	32862	\N	\N	\N
1028744	3513	1994-01-28	VYDAJ	VYBER	4080	29523	\N	\N	\N
1028745	3513	1994-10-13	VYDAJ	VYBER	4200	30626	\N	\N	\N
1028746	3513	1994-12-22	VYDAJ	VYBER	960	59519	\N	\N	\N
1028747	3513	1995-11-05	VYDAJ	VYBER	4440	45789	\N	\N	\N
1028748	3513	1995-06-13	VYDAJ	VYBER	5760	29624	\N	\N	\N
1028749	3513	1995-04-27	VYDAJ	VYBER	5640	35573	\N	\N	\N
1028750	3513	1995-07-02	VYDAJ	VYBER	720	42795	\N	\N	\N
1028751	3513	1995-10-07	VYDAJ	VYBER	2640	47148	\N	\N	\N
1028752	3513	1995-01-18	VYDAJ	VYBER	5280	41469	\N	\N	\N
1028753	3513	1996-01-09	VYDAJ	VYBER	960	54038	\N	\N	\N
1028754	3513	1996-12-27	VYDAJ	VYBER	4920	80136	\N	\N	\N
1028755	3513	1996-08-13	VYDAJ	VYBER	5520	41164	\N	\N	\N
1028756	3513	1996-03-08	VYDAJ	VYBER	840	50894	\N	\N	\N
1028757	3513	1996-04-16	VYDAJ	VYBER	5040	65440	\N	\N	\N
1028758	3513	1997-09-24	VYDAJ	VYBER	4440	60460	\N	\N	\N
1028759	3513	1997-03-20	VYDAJ	VYBER	1680	66383	\N	\N	\N
1028760	3513	1997-09-02	VYDAJ	VYBER	720	63914	\N	\N	\N
1028761	3513	1997-03-29	VYDAJ	VYBER	3120	63263	\N	\N	\N
1028762	3513	1997-10-08	VYDAJ	VYBER	2760	48034	\N	\N	\N
1028763	3513	1998-01-05	VYDAJ	VYBER	840	64554	\N	\N	\N
1028764	3513	1998-07-20	VYDAJ	VYBER	3840	65328	\N	\N	\N
1028765	3513	1998-10-18	VYDAJ	VYBER	3480	64563	\N	\N	\N
1028766	3513	1998-03-30	VYDAJ	VYBER	5280	51979	\N	\N	\N
1028767	3513	1998-06-06	VYDAJ	VYBER	1920	44532	\N	\N	\N
1028775	3513	1993-07-31	VYDAJ	VYBER	15	44272	SLUZBY	\N	\N
1028776	3513	1993-08-31	VYDAJ	VYBER	15	42249	SLUZBY	\N	\N
1028777	3513	1993-09-30	VYDAJ	VYBER	15	37919	SLUZBY	\N	\N
1028778	3513	1993-10-31	VYDAJ	VYBER	15	35471	SLUZBY	\N	\N
1028779	3513	1993-11-30	VYDAJ	VYBER	15	37913	SLUZBY	\N	\N
1028780	3513	1993-12-31	VYDAJ	VYBER	15	43457	SLUZBY	\N	\N
1028781	3513	1994-01-31	VYDAJ	VYBER	15	29697	SLUZBY	\N	\N
1028782	3513	1994-02-28	VYDAJ	VYBER	15	35114	SLUZBY	\N	\N
1028783	3513	1994-03-31	VYDAJ	VYBER	15	37555	SLUZBY	\N	\N
1028784	3513	1994-04-30	VYDAJ	VYBER	15	41105	SLUZBY	\N	\N
1028785	3513	1994-05-31	VYDAJ	VYBER	15	40567	SLUZBY	\N	\N
1028786	3513	1994-06-30	VYDAJ	VYBER	15	35127	SLUZBY	\N	\N
1028787	3513	1994-07-31	VYDAJ	VYBER	15	37364	SLUZBY	\N	\N
1028788	3513	1994-08-31	VYDAJ	VYBER	15	39509	SLUZBY	\N	\N
1028789	3513	1994-09-30	VYDAJ	VYBER	15	41518	SLUZBY	\N	\N
1028790	3513	1994-10-31	VYDAJ	VYBER	15	38266	SLUZBY	\N	\N
1028791	3513	1994-11-30	VYDAJ	VYBER	15	41914	SLUZBY	\N	\N
1028792	3513	1994-12-31	VYDAJ	VYBER	15	44603	SLUZBY	\N	\N
1028793	3513	1995-01-31	VYDAJ	VYBER	15	36628	SLUZBY	\N	\N
1028794	3513	1995-02-28	VYDAJ	VYBER	15	42269	SLUZBY	\N	\N
1028795	3513	1995-03-31	VYDAJ	VYBER	15	41027	SLUZBY	\N	\N
1028796	3513	1995-04-30	VYDAJ	VYBER	15	35737	SLUZBY	\N	\N
1028797	3513	1995-05-31	VYDAJ	VYBER	15	42076	SLUZBY	\N	\N
1028798	3513	1995-06-30	VYDAJ	VYBER	15	43515	SLUZBY	\N	\N
1028799	3513	1995-07-31	VYDAJ	VYBER	15	43155	SLUZBY	\N	\N
1028800	3513	1995-08-31	VYDAJ	VYBER	15	45116	SLUZBY	\N	\N
1028801	3513	1995-09-30	VYDAJ	VYBER	15	49788	SLUZBY	\N	\N
1028802	3513	1995-10-31	VYDAJ	VYBER	15	50229	SLUZBY	\N	\N
1028803	3513	1995-11-30	VYDAJ	VYBER	15	49467	SLUZBY	\N	\N
1028804	3513	1995-12-31	VYDAJ	VYBER	15	54998	SLUZBY	\N	\N
1028805	3513	1996-01-31	VYDAJ	VYBER	15	48854	SLUZBY	\N	\N
1028806	3513	1996-02-29	VYDAJ	VYBER	15	51734	SLUZBY	\N	\N
1028807	3513	1996-03-31	VYDAJ	VYBER	15	58094	SLUZBY	\N	\N
1028808	3513	1996-04-30	VYDAJ	VYBER	15	56062	SLUZBY	\N	\N
1028809	3513	1996-05-31	VYDAJ	VYBER	15	59173	SLUZBY	\N	\N
1028810	3513	1996-06-30	VYDAJ	VYBER	15	42006	SLUZBY	\N	\N
1028811	3513	1996-07-31	VYDAJ	VYBER	15	53376	SLUZBY	\N	\N
1028812	3513	1996-08-31	VYDAJ	VYBER	15	51960	SLUZBY	\N	\N
1028813	3513	1996-09-30	VYDAJ	VYBER	15	68282	SLUZBY	\N	\N
1028814	3513	1996-10-31	VYDAJ	VYBER	15	75148	SLUZBY	\N	\N
1028815	3513	1996-11-30	VYDAJ	VYBER	15	77931	SLUZBY	\N	\N
1028816	3513	1996-12-31	VYDAJ	VYBER	15	80452	SLUZBY	\N	\N
1028817	3513	1997-01-31	VYDAJ	VYBER	15	71723	SLUZBY	\N	\N
1028818	3513	1997-02-28	VYDAJ	VYBER	15	70077	SLUZBY	\N	\N
1028819	3513	1997-03-31	VYDAJ	VYBER	15	63522	SLUZBY	\N	\N
1028820	3513	1997-04-30	VYDAJ	VYBER	15	65953	SLUZBY	\N	\N
1028821	3513	1997-05-31	VYDAJ	VYBER	15	67092	SLUZBY	\N	\N
1028822	3513	1997-06-30	VYDAJ	VYBER	15	53217	SLUZBY	\N	\N
1028823	3513	1997-07-31	VYDAJ	VYBER	15	58513	SLUZBY	\N	\N
1028824	3513	1997-08-31	VYDAJ	VYBER	15	64634	SLUZBY	\N	\N
1028825	3513	1997-09-30	VYDAJ	VYBER	15	60694	SLUZBY	\N	\N
1028826	3513	1997-10-31	VYDAJ	VYBER	15	60641	SLUZBY	\N	\N
1028827	3513	1997-11-30	VYDAJ	VYBER	15	58947	SLUZBY	\N	\N
1028828	3513	1997-12-31	VYDAJ	VYBER	15	65394	SLUZBY	\N	\N
1028829	3513	1998-01-31	VYDAJ	VYBER	15	54383	SLUZBY	\N	\N
1028830	3513	1998-02-28	VYDAJ	VYBER	15	56573	SLUZBY	\N	\N
1028831	3513	1998-03-31	VYDAJ	VYBER	15	52188	SLUZBY	\N	\N
1028832	3513	1998-04-30	VYDAJ	VYBER	15	57678	SLUZBY	\N	\N
1028833	3513	1998-05-31	VYDAJ	VYBER	15	63192	SLUZBY	\N	\N
1028834	3513	1998-06-30	VYDAJ	VYBER	15	66682	SLUZBY	\N	\N
1028835	3513	1998-07-31	VYDAJ	VYBER	15	65578	SLUZBY	\N	\N
1028836	3513	1998-08-31	VYDAJ	VYBER	15	67915	SLUZBY	\N	\N
1028837	3513	1998-09-30	VYDAJ	VYBER	15	68857	SLUZBY	\N	\N
1028838	3513	1998-10-31	VYDAJ	VYBER	15	64812	SLUZBY	\N	\N
1028839	3513	1998-11-30	VYDAJ	VYBER	15	67546	SLUZBY	\N	\N
1028840	3513	1993-04-02	PRIJEM	VKLAD	1400	21025	\N	\N	\N
1028841	3513	1993-05-02	VYDAJ	VYBER	10400	29833	\N	\N	\N
1028842	3513	1993-06-01	VYDAJ	VYBER	12100	37000	\N	\N	\N
1028843	3513	1993-07-01	VYDAJ	VYBER	18800	47060	\N	\N	\N
1028844	3513	1993-07-31	VYDAJ	VYBER	19600	44287	\N	\N	\N
1028845	3513	1993-08-30	VYDAJ	VYBER	13400	42058	\N	\N	\N
1028846	3513	1993-09-29	VYDAJ	VYBER	16900	37735	\N	\N	\N
1028847	3513	1993-10-29	VYDAJ	VYBER	15000	35305	\N	\N	\N
1028848	3513	1993-11-28	VYDAJ	VYBER	10100	37757	\N	\N	\N
1028849	3513	1993-12-28	VYDAJ	VYBER	13200	43278	\N	\N	\N
1028850	3513	1994-01-27	VYDAJ	VYBER	7200	33603	\N	\N	\N
1028851	3513	1994-02-26	VYDAJ	VYBER	7100	34983	\N	\N	\N
1028852	3513	1994-03-28	VYDAJ	VYBER	10100	37400	\N	\N	\N
1028853	3513	1994-04-27	VYDAJ	VYBER	9000	40941	\N	\N	\N
1028854	3513	1994-05-27	VYDAJ	VYBER	13100	40391	\N	\N	\N
1028855	3513	1994-06-26	VYDAJ	VYBER	1700	34952	\N	\N	\N
1028856	3513	1994-07-26	VYDAJ	VYBER	10300	37213	\N	\N	\N
1028857	3513	1994-08-25	VYDAJ	VYBER	10400	39350	\N	\N	\N
1028858	3513	1994-09-24	VYDAJ	VYBER	8500	41355	\N	\N	\N
1028859	3513	1994-10-24	VYDAJ	VYBER	11600	38104	\N	\N	\N
1028860	3513	1994-11-23	VYDAJ	VYBER	8900	41752	\N	\N	\N
1028861	3513	1994-12-23	VYDAJ	VYBER	15100	44419	\N	\N	\N
1028862	3513	1995-01-22	VYDAJ	VYBER	5000	36469	\N	\N	\N
1028863	3513	1995-02-21	VYDAJ	VYBER	6900	42114	\N	\N	\N
1028864	3513	1995-03-23	VYDAJ	VYBER	13800	40855	\N	\N	\N
1028865	3513	1995-04-22	VYDAJ	VYBER	12200	41213	\N	\N	\N
1028866	3513	1995-05-22	VYDAJ	VYBER	6200	41923	\N	\N	\N
1028867	3513	1995-06-21	VYDAJ	VYBER	14900	43341	\N	\N	\N
1028868	3513	1995-07-21	VYDAJ	VYBER	12200	42981	\N	\N	\N
1028869	3513	1995-08-20	VYDAJ	VYBER	10600	44941	\N	\N	\N
1028870	3513	1995-09-19	VYDAJ	VYBER	7900	49602	\N	\N	\N
1028871	3513	1995-10-19	VYDAJ	VYBER	9500	50034	\N	\N	\N
1028872	3513	1995-11-18	VYDAJ	VYBER	8900	49275	\N	\N	\N
1028873	3513	1995-12-18	VYDAJ	VYBER	12600	54792	\N	\N	\N
1028874	3513	1996-01-17	VYDAJ	VYBER	5600	48664	\N	\N	\N
1028875	3513	1996-02-16	VYDAJ	VYBER	9700	51540	\N	\N	\N
1028876	3513	1996-03-17	VYDAJ	VYBER	5400	57880	\N	\N	\N
1028877	3513	1996-04-16	VYDAJ	VYBER	9600	55840	\N	\N	\N
1028878	3513	1996-05-16	VYDAJ	VYBER	9500	58948	\N	\N	\N
1028879	3513	1996-06-15	VYDAJ	VYBER	16100	64998	\N	\N	\N
1028880	3513	1996-07-15	VYDAJ	VYBER	1200	53192	\N	\N	\N
1028881	3513	1996-08-14	VYDAJ	VYBER	8500	51742	\N	\N	\N
1028882	3513	1996-09-13	PRIJEM	VKLAD	3700	48968	\N	\N	\N
1028883	3513	1996-10-13	VYDAJ	VYBER	5800	55790	\N	\N	\N
1028884	3513	1996-11-12	VYDAJ	VYBER	9900	63063	\N	\N	\N
1028885	3513	1996-12-12	VYDAJ	VYBER	13200	62546	\N	\N	\N
1028886	3513	1997-01-11	VYDAJ	VYBER	11000	59052	\N	\N	\N
1028887	3513	1997-02-10	VYDAJ	VYBER	14300	57423	\N	\N	\N
1028888	3513	1997-03-12	VYDAJ	VYBER	14400	53492	\N	\N	\N
1028889	3513	1997-04-11	VYDAJ	VYBER	10200	53322	\N	\N	\N
1028890	3513	1997-05-11	VYDAJ	VYBER	11500	54453	\N	\N	\N
1028891	3513	1997-06-10	VYDAJ	VYBER	10300	56792	\N	\N	\N
1028892	3513	1997-07-10	VYDAJ	VYBER	7300	45917	\N	\N	\N
1028893	3513	1997-08-09	VYDAJ	VYBER	6500	52013	\N	\N	\N
1028894	3513	1997-09-08	VYDAJ	VYBER	11400	52514	\N	\N	\N
1028895	3513	1997-10-08	VYDAJ	VYBER	9900	50794	\N	\N	\N
1028896	3513	1997-11-07	VYDAJ	VYBER	14300	46341	\N	\N	\N
1028897	3513	1997-12-07	VYDAJ	VYBER	12200	46747	\N	\N	\N
1028898	3513	1998-01-06	VYDAJ	VYBER	15400	49154	\N	\N	\N
1028899	3513	1998-02-05	VYDAJ	VYBER	10400	43983	\N	\N	\N
1028900	3513	1998-03-07	VYDAJ	VYBER	11700	44873	\N	\N	\N
1028901	3513	1998-04-06	VYDAJ	VYBER	7100	45088	\N	\N	\N
1028902	3513	1998-05-06	VYDAJ	VYBER	7100	50578	\N	\N	\N
1028903	3513	1998-06-05	VYDAJ	VYBER	5700	46452	\N	\N	\N
1028904	3513	1998-07-05	VYDAJ	VYBER	9900	56782	\N	\N	\N
1028905	3513	1998-08-04	VYDAJ	VYBER	10300	55278	\N	\N	\N
1028906	3513	1998-09-03	VYDAJ	VYBER	11700	56215	\N	\N	\N
1028907	3513	1998-10-03	VYDAJ	VYBER	13200	55657	\N	\N	\N
1028908	3513	1998-11-02	VYDAJ	VYBER	9900	54912	\N	\N	\N
1028909	3513	1998-12-02	VYDAJ	VYBER	7500	60046	\N	\N	\N
1028980	3514	1993-02-03	PRIJEM	VKLAD	600	600	\N	\N	\N
1028982	3514	1993-02-07	PRIJEM	PREVOD Z UCTU	3399	3999	\N	GH	67514222
1028983	3514	1993-03-07	PRIJEM	PREVOD Z UCTU	3399	7411	\N	GH	67514222
1028984	3514	1993-04-07	PRIJEM	PREVOD Z UCTU	3399	10827	\N	GH	67514222
1028985	3514	1993-05-07	PRIJEM	PREVOD Z UCTU	3399	14242	\N	GH	67514222
1028986	3514	1993-06-07	PRIJEM	PREVOD Z UCTU	3399	17658	\N	GH	67514222
1028987	3514	1993-07-07	PRIJEM	PREVOD Z UCTU	3399	18830	\N	GH	67514222
1028988	3514	1993-08-07	PRIJEM	PREVOD Z UCTU	3399	20016	\N	GH	67514222
1028989	3514	1993-09-07	PRIJEM	PREVOD Z UCTU	3399	19647	\N	GH	67514222
1028990	3514	1993-10-07	PRIJEM	PREVOD Z UCTU	3399	20838	\N	GH	67514222
1028991	3514	1993-11-07	PRIJEM	PREVOD Z UCTU	3399	20499	\N	GH	67514222
1028992	3514	1993-12-07	PRIJEM	PREVOD Z UCTU	3399	20522	\N	GH	67514222
1028993	3514	1994-01-07	PRIJEM	PREVOD Z UCTU	3399	20306	\N	GH	67514222
1028994	3514	1994-02-07	PRIJEM	PREVOD Z UCTU	3399	17744	\N	GH	67514222
1028995	3514	1994-03-07	PRIJEM	PREVOD Z UCTU	3399	17666	\N	GH	67514222
1028996	3514	1994-04-07	PRIJEM	PREVOD Z UCTU	3399	16418	\N	GH	67514222
1028997	3514	1994-05-07	PRIJEM	PREVOD Z UCTU	3399	17596	\N	GH	67514222
1028998	3514	1994-06-07	PRIJEM	PREVOD Z UCTU	3399	18778	\N	GH	67514222
1028999	3514	1994-07-07	PRIJEM	PREVOD Z UCTU	3399	16931	\N	GH	67514222
1029000	3514	1994-08-07	PRIJEM	PREVOD Z UCTU	3399	17028	\N	GH	67514222
1029001	3514	1994-09-07	PRIJEM	PREVOD Z UCTU	3399	18207	\N	GH	67514222
1029002	3514	1994-10-07	PRIJEM	PREVOD Z UCTU	3399	19391	\N	GH	67514222
1029003	3514	1994-11-07	PRIJEM	PREVOD Z UCTU	3399	20579	\N	GH	67514222
1029004	3514	1994-12-07	PRIJEM	PREVOD Z UCTU	3399	21773	\N	GH	67514222
1029005	3514	1995-01-07	PRIJEM	PREVOD Z UCTU	3399	19969	\N	GH	67514222
1029006	3514	1995-02-07	PRIJEM	PREVOD Z UCTU	3399	19298	\N	GH	67514222
1029007	3514	1995-03-07	PRIJEM	PREVOD Z UCTU	3399	19012	\N	GH	67514222
1029008	3514	1995-04-07	PRIJEM	PREVOD Z UCTU	3399	19448	\N	GH	67514222
1029009	3514	1995-05-07	PRIJEM	PREVOD Z UCTU	3399	20637	\N	GH	67514222
1029010	3514	1995-06-07	PRIJEM	PREVOD Z UCTU	3399	18110	\N	GH	67514222
1029011	3514	1995-07-07	PRIJEM	PREVOD Z UCTU	3399	19297	\N	GH	67514222
1029012	3514	1995-08-07	PRIJEM	PREVOD Z UCTU	3399	20485	\N	GH	67514222
1029013	3514	1995-09-07	PRIJEM	PREVOD Z UCTU	3399	21678	\N	GH	67514222
1029014	3514	1995-10-07	PRIJEM	PREVOD Z UCTU	3399	22875	\N	GH	67514222
1029015	3514	1995-11-07	PRIJEM	PREVOD Z UCTU	3399	22457	\N	GH	67514222
1029016	3514	1995-12-07	PRIJEM	PREVOD Z UCTU	3399	23659	\N	GH	67514222
1029017	3514	1996-01-07	PRIJEM	PREVOD Z UCTU	3399	22555	\N	GH	67514222
1029018	3514	1996-02-07	PRIJEM	PREVOD Z UCTU	3399	19067	\N	GH	67514222
1029019	3514	1996-03-07	PRIJEM	PREVOD Z UCTU	3399	19263	\N	GH	67514222
1029020	3514	1996-04-07	PRIJEM	PREVOD Z UCTU	3399	20451	\N	GH	67514222
1029021	3514	1996-05-07	PRIJEM	PREVOD Z UCTU	3399	20320	\N	GH	67514222
1029022	3514	1996-06-07	PRIJEM	PREVOD Z UCTU	3399	21512	\N	GH	67514222
1029023	3514	1996-07-07	PRIJEM	PREVOD Z UCTU	3399	21747	\N	GH	67514222
1029024	3514	1996-08-07	PRIJEM	PREVOD Z UCTU	3399	22945	\N	GH	67514222
1029025	3514	1996-09-07	PRIJEM	PREVOD Z UCTU	3399	24147	\N	GH	67514222
1029026	3514	1996-10-07	PRIJEM	PREVOD Z UCTU	3399	25355	\N	GH	67514222
1029027	3514	1996-11-07	PRIJEM	PREVOD Z UCTU	3399	26567	\N	GH	67514222
1029028	3514	1996-12-07	PRIJEM	PREVOD Z UCTU	3399	27785	\N	GH	67514222
1029029	3514	1997-01-07	PRIJEM	PREVOD Z UCTU	3399	26306	\N	GH	67514222
1029030	3514	1997-02-07	PRIJEM	PREVOD Z UCTU	3399	25421	\N	GH	67514222
1029031	3514	1997-03-07	PRIJEM	PREVOD Z UCTU	3399	26633	\N	GH	67514222
1029032	3514	1997-04-07	PRIJEM	PREVOD Z UCTU	3399	26948	\N	GH	67514222
1029033	3514	1997-05-07	PRIJEM	PREVOD Z UCTU	3399	28167	\N	GH	67514222
1029034	3514	1997-06-07	PRIJEM	PREVOD Z UCTU	3399	29391	\N	GH	67514222
1029035	3514	1997-07-07	PRIJEM	PREVOD Z UCTU	3399	26955	\N	GH	67514222
1029036	3514	1997-08-07	PRIJEM	PREVOD Z UCTU	3399	27183	\N	GH	67514222
1029037	3514	1997-09-07	PRIJEM	PREVOD Z UCTU	3399	28403	\N	GH	67514222
1029038	3514	1997-10-07	PRIJEM	PREVOD Z UCTU	3399	29627	\N	GH	67514222
1029039	3514	1997-11-07	PRIJEM	PREVOD Z UCTU	3399	29895	\N	GH	67514222
1029040	3514	1997-12-07	PRIJEM	PREVOD Z UCTU	3399	30375	\N	GH	67514222
1029041	3514	1998-01-07	PRIJEM	PREVOD Z UCTU	3399	31096	\N	GH	67514222
1029042	3514	1998-02-07	PRIJEM	PREVOD Z UCTU	3399	27401	\N	GH	67514222
1029043	3514	1998-03-07	PRIJEM	PREVOD Z UCTU	3399	28110	\N	GH	67514222
1029044	3514	1998-04-07	PRIJEM	PREVOD Z UCTU	3399	29333	\N	GH	67514222
1029045	3514	1998-05-07	PRIJEM	PREVOD Z UCTU	3399	30561	\N	GH	67514222
1029046	3514	1998-06-07	PRIJEM	PREVOD Z UCTU	3399	31794	\N	GH	67514222
1029047	3514	1998-07-07	PRIJEM	PREVOD Z UCTU	3399	24210	\N	GH	67514222
1029048	3514	1998-08-07	PRIJEM	PREVOD Z UCTU	3399	24246	\N	GH	67514222
1029049	3514	1998-09-07	PRIJEM	PREVOD Z UCTU	3399	24523	\N	GH	67514222
1029050	3514	1998-10-07	PRIJEM	PREVOD Z UCTU	3399	25132	\N	GH	67514222
1029051	3514	1998-11-07	PRIJEM	PREVOD Z UCTU	3399	26343	\N	GH	67514222
1029052	3514	1998-12-07	PRIJEM	PREVOD Z UCTU	3399	27108	\N	GH	67514222
1029058	3514	1993-06-08	VYDAJ	PREVOD NA UCET	2266	15392	SIPO	QR	48036253
1029059	3514	1993-07-08	VYDAJ	PREVOD NA UCET	2266	16564	SIPO	QR	48036253
1029060	3514	1993-08-08	VYDAJ	PREVOD NA UCET	2266	17750	SIPO	QR	48036253
1029061	3514	1993-09-08	VYDAJ	PREVOD NA UCET	2266	17381	SIPO	QR	48036253
1029062	3514	1993-10-08	VYDAJ	PREVOD NA UCET	2266	18572	SIPO	QR	48036253
1029063	3514	1993-11-08	VYDAJ	PREVOD NA UCET	2266	18233	SIPO	QR	48036253
1029064	3514	1993-12-08	VYDAJ	PREVOD NA UCET	2266	18256	SIPO	QR	48036253
1029065	3514	1994-01-08	VYDAJ	PREVOD NA UCET	2266	17860	SIPO	QR	48036253
1029066	3514	1994-02-08	VYDAJ	PREVOD NA UCET	2266	15478	SIPO	QR	48036253
1029067	3514	1994-03-08	VYDAJ	PREVOD NA UCET	2266	15400	SIPO	QR	48036253
1029068	3514	1994-04-08	VYDAJ	PREVOD NA UCET	2266	14152	SIPO	QR	48036253
1029069	3514	1994-05-08	VYDAJ	PREVOD NA UCET	2266	15330	SIPO	QR	48036253
1029070	3514	1994-06-08	VYDAJ	PREVOD NA UCET	2266	16512	SIPO	QR	48036253
1029071	3514	1994-07-08	VYDAJ	PREVOD NA UCET	2266	14665	SIPO	QR	48036253
1029072	3514	1994-08-08	VYDAJ	PREVOD NA UCET	2266	14762	SIPO	QR	48036253
1029073	3514	1994-09-08	VYDAJ	PREVOD NA UCET	2266	15941	SIPO	QR	48036253
1029074	3514	1994-10-08	VYDAJ	PREVOD NA UCET	2266	17125	SIPO	QR	48036253
1029075	3514	1994-11-08	VYDAJ	PREVOD NA UCET	2266	18313	SIPO	QR	48036253
1029076	3514	1994-12-08	VYDAJ	PREVOD NA UCET	2266	19507	SIPO	QR	48036253
1029077	3514	1995-01-08	VYDAJ	PREVOD NA UCET	2266	17703	SIPO	QR	48036253
1029078	3514	1995-02-08	VYDAJ	PREVOD NA UCET	2266	15562	SIPO	QR	48036253
1029079	3514	1995-03-08	VYDAJ	PREVOD NA UCET	2266	16746	SIPO	QR	48036253
1029080	3514	1995-04-08	VYDAJ	PREVOD NA UCET	2266	17182	SIPO	QR	48036253
1029081	3514	1995-05-08	VYDAJ	PREVOD NA UCET	2266	18371	SIPO	QR	48036253
1029082	3514	1995-06-08	VYDAJ	PREVOD NA UCET	2266	15844	SIPO	QR	48036253
1029083	3514	1995-07-08	VYDAJ	PREVOD NA UCET	2266	17031	SIPO	QR	48036253
1029084	3514	1995-08-08	VYDAJ	PREVOD NA UCET	2266	18219	SIPO	QR	48036253
1029085	3514	1995-09-08	VYDAJ	PREVOD NA UCET	2266	19412	SIPO	QR	48036253
1029086	3514	1995-10-08	VYDAJ	PREVOD NA UCET	2266	20609	SIPO	QR	48036253
1029087	3514	1995-11-08	VYDAJ	PREVOD NA UCET	2266	20191	SIPO	QR	48036253
1029088	3514	1995-12-08	VYDAJ	PREVOD NA UCET	2266	21393	SIPO	QR	48036253
1029089	3514	1996-01-08	VYDAJ	PREVOD NA UCET	2266	20289	SIPO	QR	48036253
1029090	3514	1996-02-08	VYDAJ	PREVOD NA UCET	2266	16801	SIPO	QR	48036253
1029091	3514	1996-03-08	VYDAJ	PREVOD NA UCET	2266	16997	SIPO	QR	48036253
1029092	3514	1996-04-08	VYDAJ	PREVOD NA UCET	2266	18185	SIPO	QR	48036253
1029093	3514	1996-05-08	VYDAJ	PREVOD NA UCET	2266	18054	SIPO	QR	48036253
1029094	3514	1996-06-08	VYDAJ	PREVOD NA UCET	2266	19246	SIPO	QR	48036253
1029095	3514	1996-07-08	VYDAJ	PREVOD NA UCET	2266	19481	SIPO	QR	48036253
1029096	3514	1996-08-08	VYDAJ	PREVOD NA UCET	2266	20679	SIPO	QR	48036253
1029097	3514	1996-09-08	VYDAJ	PREVOD NA UCET	2266	21881	SIPO	QR	48036253
1029098	3514	1996-10-08	VYDAJ	PREVOD NA UCET	2266	23089	SIPO	QR	48036253
1029099	3514	1996-11-08	VYDAJ	PREVOD NA UCET	2266	24301	SIPO	QR	48036253
1029100	3514	1996-12-08	VYDAJ	PREVOD NA UCET	2266	25519	SIPO	QR	48036253
1029101	3514	1997-01-08	VYDAJ	PREVOD NA UCET	2266	24040	SIPO	QR	48036253
1029102	3514	1997-02-08	VYDAJ	PREVOD NA UCET	2266	23155	SIPO	QR	48036253
1029103	3514	1997-03-08	VYDAJ	PREVOD NA UCET	2266	24367	SIPO	QR	48036253
1029104	3514	1997-04-08	VYDAJ	PREVOD NA UCET	2266	24682	SIPO	QR	48036253
1029105	3514	1997-05-08	VYDAJ	PREVOD NA UCET	2266	25901	SIPO	QR	48036253
1029106	3514	1997-06-08	VYDAJ	PREVOD NA UCET	2266	27125	SIPO	QR	48036253
1029107	3514	1997-07-08	VYDAJ	PREVOD NA UCET	2266	24689	SIPO	QR	48036253
1029108	3514	1997-08-08	VYDAJ	PREVOD NA UCET	2266	24917	SIPO	QR	48036253
1029109	3514	1997-09-08	VYDAJ	PREVOD NA UCET	2266	26137	SIPO	QR	48036253
1029110	3514	1997-10-08	VYDAJ	PREVOD NA UCET	2266	27361	SIPO	QR	48036253
1029111	3514	1997-11-08	VYDAJ	PREVOD NA UCET	2266	27629	SIPO	QR	48036253
1029112	3514	1997-12-08	VYDAJ	PREVOD NA UCET	2266	28109	SIPO	QR	48036253
1029113	3514	1998-01-08	VYDAJ	PREVOD NA UCET	2266	27960	SIPO	QR	48036253
1029114	3514	1998-02-08	VYDAJ	PREVOD NA UCET	2266	25135	SIPO	QR	48036253
1029115	3514	1998-03-08	VYDAJ	PREVOD NA UCET	2266	25844	SIPO	QR	48036253
1029116	3514	1998-04-08	VYDAJ	PREVOD NA UCET	2266	27067	SIPO	QR	48036253
1029117	3514	1998-05-08	VYDAJ	PREVOD NA UCET	2266	28295	SIPO	QR	48036253
1029118	3514	1998-06-08	VYDAJ	PREVOD NA UCET	2266	29528	SIPO	QR	48036253
1029119	3514	1998-07-08	VYDAJ	PREVOD NA UCET	2266	21944	SIPO	QR	48036253
1029120	3514	1998-08-08	VYDAJ	PREVOD NA UCET	2266	21980	SIPO	QR	48036253
1029121	3514	1998-09-08	VYDAJ	PREVOD NA UCET	2266	22257	SIPO	QR	48036253
1029122	3514	1998-10-08	VYDAJ	PREVOD NA UCET	2266	22866	SIPO	QR	48036253
1029123	3514	1998-11-08	VYDAJ	PREVOD NA UCET	2266	24077	SIPO	QR	48036253
1029124	3514	1998-12-08	VYDAJ	PREVOD NA UCET	2266	24842	SIPO	QR	48036253
1029126	3514	1994-06-24	VYDAJ	VYBER	3030	13482	\N	\N	\N
1029127	3514	1995-06-06	VYDAJ	VYBER	3720	14711	\N	\N	\N
1029129	3514	1997-06-25	VYDAJ	VYBER	2610	23465	\N	\N	\N
1029130	3514	1998-06-29	VYDAJ	VYBER	8820	20708	\N	\N	\N
1029132	3514	1994-01-16	VYDAJ	VYBER	1980	15130	\N	\N	\N
1029133	3514	1995-01-01	VYDAJ	VYBER	1380	17320	\N	\N	\N
1029134	3514	1996-01-13	VYDAJ	VYBER	2250	17409	\N	\N	\N
1029135	3514	1997-01-01	VYDAJ	VYBER	1500	23237	\N	\N	\N
1029136	3514	1998-01-15	VYDAJ	VYBER	1860	24810	\N	\N	\N
1029137	3514	1993-12-03	VYDAJ	VYBER	300	17123	\N	\N	\N
1029138	3514	1994-12-15	VYDAJ	VYBER	870	18637	\N	\N	\N
1029139	3514	1995-12-13	VYDAJ	VYBER	300	21093	\N	\N	\N
1029140	3514	1996-12-20	VYDAJ	VYBER	870	24649	\N	\N	\N
1029141	3514	1997-12-10	VYDAJ	VYBER	510	27599	\N	\N	\N
1029142	3514	1998-12-13	VYDAJ	VYBER	270	24572	\N	\N	\N
1029149	3514	1994-01-05	VYDAJ	VYBER	660	16907	\N	\N	\N
1029150	3514	1994-01-17	VYDAJ	VYBER	180	14950	\N	\N	\N
1029151	3514	1994-01-28	VYDAJ	VYBER	660	14290	\N	\N	\N
1029152	3514	1994-01-08	VYDAJ	VYBER	180	20126	\N	\N	\N
1029153	3514	1994-01-01	VYDAJ	VYBER	750	17567	\N	\N	\N
1029154	3514	1994-01-16	VYDAJ	VYBER	540	17110	\N	\N	\N
1029155	3514	1995-01-05	VYDAJ	VYBER	240	16570	\N	\N	\N
1029156	3514	1995-01-19	VYDAJ	VYBER	300	17403	\N	\N	\N
1029157	3514	1995-01-21	VYDAJ	VYBER	720	16683	\N	\N	\N
1029158	3514	1995-01-22	VYDAJ	VYBER	480	16203	\N	\N	\N
1029159	3514	1995-01-24	VYDAJ	VYBER	360	15843	\N	\N	\N
1029160	3514	1995-01-01	VYDAJ	VYBER	360	16960	\N	\N	\N
1029161	3514	1996-01-21	VYDAJ	VYBER	330	16389	\N	\N	\N
1029162	3514	1996-01-03	VYDAJ	VYBER	600	20026	\N	\N	\N
1029163	3514	1996-01-05	VYDAJ	VYBER	870	19156	\N	\N	\N
1029164	3514	1996-01-16	VYDAJ	VYBER	690	16719	\N	\N	\N
1029165	3514	1996-01-09	VYDAJ	VYBER	630	19659	\N	\N	\N
1029166	3514	1996-01-26	VYDAJ	VYBER	780	15609	\N	\N	\N
1029167	3514	1997-01-16	VYDAJ	VYBER	750	23140	\N	\N	\N
1029168	3514	1997-01-21	VYDAJ	VYBER	300	22600	\N	\N	\N
1029169	3514	1997-01-28	VYDAJ	VYBER	660	21940	\N	\N	\N
1029170	3514	1997-01-04	VYDAJ	VYBER	330	22907	\N	\N	\N
1029171	3514	1997-01-20	VYDAJ	VYBER	240	22900	\N	\N	\N
1029172	3514	1997-01-08	VYDAJ	VYBER	150	23890	\N	\N	\N
1029173	3514	1998-01-24	VYDAJ	VYBER	720	23910	\N	\N	\N
1029174	3514	1998-01-09	VYDAJ	VYBER	780	27180	\N	\N	\N
1029175	3514	1998-01-08	VYDAJ	VYBER	270	30226	\N	\N	\N
1029176	3514	1998-01-15	VYDAJ	VYBER	510	26670	\N	\N	\N
1029177	3514	1998-01-07	VYDAJ	VYBER	600	30496	\N	\N	\N
1029178	3514	1998-01-19	VYDAJ	VYBER	180	24630	\N	\N	\N
1029179	3514	1993-09-04	VYDAJ	VYBER	1110	16248	\N	\N	\N
1029180	3514	1993-08-30	VYDAJ	VYBER	450	17300	\N	\N	\N
1029181	3514	1993-10-11	VYDAJ	VYBER	1380	17192	\N	\N	\N
1029182	3514	1993-10-23	VYDAJ	VYBER	150	17042	\N	\N	\N
1029183	3514	1993-12-01	VYDAJ	VYBER	870	17423	\N	\N	\N
1029184	3514	1994-01-12	VYDAJ	VYBER	210	17650	\N	\N	\N
1029185	3514	1994-04-01	VYDAJ	VYBER	1050	14399	\N	\N	\N
1029186	3514	1994-04-05	VYDAJ	VYBER	1380	13019	\N	\N	\N
1029187	3514	1994-03-03	VYDAJ	VYBER	1260	14267	\N	\N	\N
1029188	3514	1994-07-28	VYDAJ	VYBER	1080	13585	\N	\N	\N
1029189	3514	1995-10-18	VYDAJ	VYBER	240	20369	\N	\N	\N
1029190	3514	1995-03-26	VYDAJ	VYBER	750	15996	\N	\N	\N
1029191	3514	1995-11-01	VYDAJ	VYBER	1080	19058	\N	\N	\N
1029192	3514	1995-01-03	VYDAJ	VYBER	150	16810	\N	\N	\N
1029193	3514	1995-02-07	VYDAJ	VYBER	1470	17828	\N	\N	\N
1029194	3514	1996-06-19	VYDAJ	VYBER	960	18286	\N	\N	\N
1029195	3514	1996-04-13	VYDAJ	VYBER	1320	16865	\N	\N	\N
1029196	3514	1996-01-02	VYDAJ	VYBER	540	20626	\N	\N	\N
1029197	3514	1996-02-28	VYDAJ	VYBER	990	15811	\N	\N	\N
1029198	3514	1997-07-26	VYDAJ	VYBER	990	23699	\N	\N	\N
1029199	3514	1997-03-09	VYDAJ	VYBER	900	23467	\N	\N	\N
1029200	3514	1997-06-12	VYDAJ	VYBER	1050	26075	\N	\N	\N
1029201	3514	1997-10-17	VYDAJ	VYBER	960	26401	\N	\N	\N
1029202	3514	1997-11-17	VYDAJ	VYBER	750	26879	\N	\N	\N
1029203	3514	1998-12-04	VYDAJ	VYBER	450	23709	\N	\N	\N
1029204	3514	1998-09-06	VYDAJ	VYBER	930	21124	\N	\N	\N
1029205	3514	1998-07-31	VYDAJ	VYBER	1170	20847	\N	\N	\N
1029206	3514	1998-10-03	VYDAJ	VYBER	600	21733	\N	\N	\N
1029207	3514	1998-02-11	VYDAJ	VYBER	510	24625	\N	\N	\N
1029214	3514	1993-06-30	VYDAJ	VYBER	15	15431	SLUZBY	\N	\N
1029215	3514	1993-07-31	VYDAJ	VYBER	15	16617	SLUZBY	\N	\N
1029216	3514	1993-08-31	VYDAJ	VYBER	15	17358	SLUZBY	\N	\N
1029217	3514	1993-09-30	VYDAJ	VYBER	15	17439	SLUZBY	\N	\N
1029218	3514	1993-10-31	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
1029219	3514	1993-11-30	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
1029220	3514	1993-12-31	VYDAJ	VYBER	15	18317	SLUZBY	\N	\N
1029221	3514	1994-01-31	VYDAJ	VYBER	15	14345	SLUZBY	\N	\N
1029222	3514	1994-02-28	VYDAJ	VYBER	15	15527	SLUZBY	\N	\N
1029223	3514	1994-03-31	VYDAJ	VYBER	15	15449	SLUZBY	\N	\N
1029224	3514	1994-04-30	VYDAJ	VYBER	15	14197	SLUZBY	\N	\N
1029225	3514	1994-05-31	VYDAJ	VYBER	15	15379	SLUZBY	\N	\N
1029226	3514	1994-06-30	VYDAJ	VYBER	15	13532	SLUZBY	\N	\N
1029227	3514	1994-07-31	VYDAJ	VYBER	15	13629	SLUZBY	\N	\N
1029228	3514	1994-08-31	VYDAJ	VYBER	15	14808	SLUZBY	\N	\N
1029229	3514	1994-09-30	VYDAJ	VYBER	15	15992	SLUZBY	\N	\N
1029230	3514	1994-10-31	VYDAJ	VYBER	15	17180	SLUZBY	\N	\N
1029231	3514	1994-11-30	VYDAJ	VYBER	15	18374	SLUZBY	\N	\N
1029232	3514	1994-12-31	VYDAJ	VYBER	15	18700	SLUZBY	\N	\N
1029233	3514	1995-01-31	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
1029234	3514	1995-02-28	VYDAJ	VYBER	15	15613	SLUZBY	\N	\N
1029235	3514	1995-03-31	VYDAJ	VYBER	15	16049	SLUZBY	\N	\N
1029236	3514	1995-04-30	VYDAJ	VYBER	15	17238	SLUZBY	\N	\N
1029237	3514	1995-05-31	VYDAJ	VYBER	15	18431	SLUZBY	\N	\N
1029238	3514	1995-06-30	VYDAJ	VYBER	15	15898	SLUZBY	\N	\N
1029239	3514	1995-07-31	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
1029240	3514	1995-08-31	VYDAJ	VYBER	15	18279	SLUZBY	\N	\N
1029241	3514	1995-09-30	VYDAJ	VYBER	15	19476	SLUZBY	\N	\N
1029242	3514	1995-10-31	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
1029243	3514	1995-11-30	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
1029244	3514	1995-12-31	VYDAJ	VYBER	15	21166	SLUZBY	\N	\N
1029245	3514	1996-01-31	VYDAJ	VYBER	15	15668	SLUZBY	\N	\N
1029246	3514	1996-02-29	VYDAJ	VYBER	15	15864	SLUZBY	\N	\N
1029247	3514	1996-03-31	VYDAJ	VYBER	15	17052	SLUZBY	\N	\N
1029248	3514	1996-04-30	VYDAJ	VYBER	15	16921	SLUZBY	\N	\N
1029249	3514	1996-05-31	VYDAJ	VYBER	15	18113	SLUZBY	\N	\N
1029250	3514	1996-06-30	VYDAJ	VYBER	15	18348	SLUZBY	\N	\N
1029251	3514	1996-07-31	VYDAJ	VYBER	15	19546	SLUZBY	\N	\N
1029252	3514	1996-08-31	VYDAJ	VYBER	15	20748	SLUZBY	\N	\N
1029253	3514	1996-09-30	VYDAJ	VYBER	15	21956	SLUZBY	\N	\N
1029254	3514	1996-10-31	VYDAJ	VYBER	15	23168	SLUZBY	\N	\N
1029255	3514	1996-11-30	VYDAJ	VYBER	15	24386	SLUZBY	\N	\N
1029256	3514	1996-12-31	VYDAJ	VYBER	15	24737	SLUZBY	\N	\N
1029257	3514	1997-01-31	VYDAJ	VYBER	15	22022	SLUZBY	\N	\N
1029258	3514	1997-02-28	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
1029259	3514	1997-03-31	VYDAJ	VYBER	15	23549	SLUZBY	\N	\N
1029260	3514	1997-04-30	VYDAJ	VYBER	15	24768	SLUZBY	\N	\N
1029261	3514	1997-05-31	VYDAJ	VYBER	15	25992	SLUZBY	\N	\N
1029262	3514	1997-06-30	VYDAJ	VYBER	15	23556	SLUZBY	\N	\N
1029263	3514	1997-07-31	VYDAJ	VYBER	15	23784	SLUZBY	\N	\N
1029264	3514	1997-08-31	VYDAJ	VYBER	15	25004	SLUZBY	\N	\N
1029265	3514	1997-09-30	VYDAJ	VYBER	15	26228	SLUZBY	\N	\N
1029266	3514	1997-10-31	VYDAJ	VYBER	15	26496	SLUZBY	\N	\N
1029267	3514	1997-11-30	VYDAJ	VYBER	15	26976	SLUZBY	\N	\N
1029268	3514	1997-12-31	VYDAJ	VYBER	15	27697	SLUZBY	\N	\N
1029269	3514	1998-01-31	VYDAJ	VYBER	15	24002	SLUZBY	\N	\N
1029270	3514	1998-02-28	VYDAJ	VYBER	15	24711	SLUZBY	\N	\N
1029271	3514	1998-03-31	VYDAJ	VYBER	15	25934	SLUZBY	\N	\N
1029272	3514	1998-04-30	VYDAJ	VYBER	15	27162	SLUZBY	\N	\N
1029273	3514	1998-05-31	VYDAJ	VYBER	15	28395	SLUZBY	\N	\N
1029274	3514	1998-06-30	VYDAJ	VYBER	15	20811	SLUZBY	\N	\N
1029275	3514	1998-07-31	VYDAJ	VYBER	15	22017	SLUZBY	\N	\N
1029276	3514	1998-08-31	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
1029277	3514	1998-09-30	VYDAJ	VYBER	15	22333	SLUZBY	\N	\N
1029278	3514	1998-10-31	VYDAJ	VYBER	15	22944	SLUZBY	\N	\N
1029279	3514	1998-11-30	VYDAJ	VYBER	15	24159	SLUZBY	\N	\N
1029280	3514	1995-10-21	VYDAJ	VYBER	300	20069	\N	\N	\N
1029352	3515	1996-06-16	PRIJEM	VKLAD	400	400	\N	\N	\N
1029359	3515	1996-07-10	PRIJEM	PREVOD Z UCTU	4373	4773	DUCHOD	IJ	73513376
1029360	3515	1996-08-10	PRIJEM	PREVOD Z UCTU	4373	9146	DUCHOD	IJ	73513376
1029361	3515	1996-09-10	PRIJEM	PREVOD Z UCTU	4373	13519	DUCHOD	IJ	73513376
1029362	3515	1996-10-10	PRIJEM	PREVOD Z UCTU	4373	17892	DUCHOD	IJ	73513376
1029363	3515	1996-11-10	PRIJEM	PREVOD Z UCTU	4373	22265	DUCHOD	IJ	73513376
1029364	3515	1996-12-10	PRIJEM	PREVOD Z UCTU	4373	22812	DUCHOD	IJ	73513376
1029365	3515	1997-01-10	PRIJEM	PREVOD Z UCTU	4373	24339	DUCHOD	IJ	73513376
1029366	3515	1997-02-10	PRIJEM	PREVOD Z UCTU	4373	24222	DUCHOD	IJ	73513376
1029367	3515	1997-03-10	PRIJEM	PREVOD Z UCTU	4373	24605	DUCHOD	IJ	73513376
1029368	3515	1997-04-10	PRIJEM	PREVOD Z UCTU	4373	22880	DUCHOD	IJ	73513376
1029369	3515	1997-05-10	PRIJEM	PREVOD Z UCTU	4373	18161	DUCHOD	IJ	73513376
1029370	3515	1997-06-10	PRIJEM	PREVOD Z UCTU	4373	20019	DUCHOD	IJ	73513376
1029371	3515	1997-07-10	PRIJEM	PREVOD Z UCTU	4373	17784	DUCHOD	IJ	73513376
1029372	3515	1997-08-10	PRIJEM	PREVOD Z UCTU	4373	17434	DUCHOD	IJ	73513376
1029373	3515	1997-09-10	PRIJEM	PREVOD Z UCTU	4373	13773	DUCHOD	IJ	73513376
1029374	3515	1997-10-10	PRIJEM	PREVOD Z UCTU	4373	15613	DUCHOD	IJ	73513376
1029375	3515	1997-11-10	PRIJEM	PREVOD Z UCTU	4373	17460	DUCHOD	IJ	73513376
1029376	3515	1997-12-10	PRIJEM	PREVOD Z UCTU	4373	18415	DUCHOD	IJ	73513376
1029377	3515	1998-01-10	PRIJEM	PREVOD Z UCTU	4373	20276	DUCHOD	IJ	73513376
1029378	3515	1998-02-10	PRIJEM	PREVOD Z UCTU	4373	18582	DUCHOD	IJ	73513376
1029379	3515	1998-03-10	PRIJEM	PREVOD Z UCTU	4373	18041	DUCHOD	IJ	73513376
1029380	3515	1998-04-10	PRIJEM	PREVOD Z UCTU	4373	19262	DUCHOD	IJ	73513376
1029381	3515	1998-05-10	PRIJEM	PREVOD Z UCTU	4373	21126	DUCHOD	IJ	73513376
1029382	3515	1998-06-10	PRIJEM	PREVOD Z UCTU	4373	22996	DUCHOD	IJ	73513376
1029383	3515	1998-07-10	PRIJEM	PREVOD Z UCTU	4373	24874	DUCHOD	IJ	73513376
1029384	3515	1998-08-10	PRIJEM	PREVOD Z UCTU	4373	26759	DUCHOD	IJ	73513376
1029385	3515	1998-09-10	PRIJEM	PREVOD Z UCTU	4373	28653	DUCHOD	IJ	73513376
1029386	3515	1998-10-10	PRIJEM	PREVOD Z UCTU	4373	18254	DUCHOD	IJ	73513376
1029387	3515	1998-11-10	PRIJEM	PREVOD Z UCTU	4373	19085	DUCHOD	IJ	73513376
1029388	3515	1998-12-10	PRIJEM	PREVOD Z UCTU	4373	18062	DUCHOD	IJ	73513376
1029399	3515	1996-11-11	VYDAJ	PREVOD NA UCET	2563	19702	SIPO	WX	37745529
1029400	3515	1996-12-11	VYDAJ	PREVOD NA UCET	2563	20249	SIPO	WX	37745529
1029401	3515	1997-01-11	VYDAJ	PREVOD NA UCET	2563	21776	SIPO	WX	37745529
1029402	3515	1997-02-11	VYDAJ	PREVOD NA UCET	2563	21659	SIPO	WX	37745529
1029403	3515	1997-03-11	VYDAJ	PREVOD NA UCET	2563	22042	SIPO	WX	37745529
1029404	3515	1997-04-11	VYDAJ	PREVOD NA UCET	2563	17437	SIPO	WX	37745529
1029405	3515	1997-05-11	VYDAJ	PREVOD NA UCET	2563	15598	SIPO	WX	37745529
1029406	3515	1997-06-11	VYDAJ	PREVOD NA UCET	2563	17456	SIPO	WX	37745529
1029407	3515	1997-07-11	VYDAJ	PREVOD NA UCET	2563	15221	SIPO	WX	37745529
1029408	3515	1997-08-11	VYDAJ	PREVOD NA UCET	2563	9371	SIPO	WX	37745529
1029409	3515	1997-09-11	VYDAJ	PREVOD NA UCET	2563	11210	SIPO	WX	37745529
1029410	3515	1997-10-11	VYDAJ	PREVOD NA UCET	2563	13050	SIPO	WX	37745529
1029411	3515	1997-11-11	VYDAJ	PREVOD NA UCET	2563	14897	SIPO	WX	37745529
1029412	3515	1997-12-11	VYDAJ	PREVOD NA UCET	2563	15852	SIPO	WX	37745529
1029413	3515	1998-01-11	VYDAJ	PREVOD NA UCET	2563	14163	SIPO	WX	37745529
1029414	3515	1998-02-11	VYDAJ	PREVOD NA UCET	2563	16019	SIPO	WX	37745529
1029415	3515	1998-03-11	VYDAJ	PREVOD NA UCET	2563	15478	SIPO	WX	37745529
1029416	3515	1998-04-11	VYDAJ	PREVOD NA UCET	2563	16699	SIPO	WX	37745529
1029417	3515	1998-05-11	VYDAJ	PREVOD NA UCET	2563	18563	SIPO	WX	37745529
1029418	3515	1998-06-11	VYDAJ	PREVOD NA UCET	2563	20433	SIPO	WX	37745529
1029419	3515	1998-07-11	VYDAJ	PREVOD NA UCET	2563	22311	SIPO	WX	37745529
1029420	3515	1998-08-11	VYDAJ	PREVOD NA UCET	2563	24196	SIPO	WX	37745529
1029421	3515	1998-09-11	VYDAJ	PREVOD NA UCET	2563	26090	SIPO	WX	37745529
1029422	3515	1998-10-11	VYDAJ	PREVOD NA UCET	2563	15691	SIPO	WX	37745529
1029423	3515	1998-11-11	VYDAJ	PREVOD NA UCET	2563	16522	SIPO	WX	37745529
1029424	3515	1998-12-11	VYDAJ	PREVOD NA UCET	2563	15499	SIPO	WX	37745529
1029429	3515	1997-01-30	VYDAJ	VYBER	2000	19776	\N	\N	\N
1029430	3515	1998-01-10	VYDAJ	VYBER	3550	16726	\N	\N	\N
1029431	3515	1996-12-21	VYDAJ	VYBER	350	19899	\N	\N	\N
1029432	3515	1997-12-04	VYDAJ	VYBER	900	14042	\N	\N	\N
1029437	3515	1997-04-10	VYDAJ	VYBER	2880	20000	\N	\N	\N
1029441	3515	1998-10-13	VYDAJ	VYBER	1040	14651	\N	\N	\N
1029442	3515	1998-04-05	VYDAJ	VYBER	640	14889	\N	\N	\N
1029444	3515	1998-11-20	VYDAJ	VYBER	2880	13642	\N	\N	\N
1029445	3515	1998-03-08	VYDAJ	VYBER	2400	13668	\N	\N	\N
1029457	3515	1996-11-30	VYDAJ	VYBER	15	18439	SLUZBY	\N	\N
1029458	3515	1996-12-31	VYDAJ	VYBER	15	19966	SLUZBY	\N	\N
1029459	3515	1997-01-31	VYDAJ	VYBER	15	19849	SLUZBY	\N	\N
1029460	3515	1997-02-28	VYDAJ	VYBER	15	20232	SLUZBY	\N	\N
1029461	3515	1997-03-31	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
1029462	3515	1997-04-30	VYDAJ	VYBER	15	13788	SLUZBY	\N	\N
1029463	3515	1997-05-31	VYDAJ	VYBER	15	15646	SLUZBY	\N	\N
1029464	3515	1997-06-30	VYDAJ	VYBER	15	13411	SLUZBY	\N	\N
1029465	3515	1997-07-31	VYDAJ	VYBER	15	13061	SLUZBY	\N	\N
1029466	3515	1997-08-31	VYDAJ	VYBER	15	9400	SLUZBY	\N	\N
1029467	3515	1997-09-30	VYDAJ	VYBER	15	11240	SLUZBY	\N	\N
1029468	3515	1997-10-31	VYDAJ	VYBER	15	13087	SLUZBY	\N	\N
1029469	3515	1997-11-30	VYDAJ	VYBER	15	14942	SLUZBY	\N	\N
1029470	3515	1997-12-31	VYDAJ	VYBER	15	15903	SLUZBY	\N	\N
1029471	3515	1998-01-31	VYDAJ	VYBER	15	14209	SLUZBY	\N	\N
1029472	3515	1998-02-28	VYDAJ	VYBER	15	16068	SLUZBY	\N	\N
1029473	3515	1998-03-31	VYDAJ	VYBER	15	15529	SLUZBY	\N	\N
1029474	3515	1998-04-30	VYDAJ	VYBER	15	16753	SLUZBY	\N	\N
1029475	3515	1998-05-31	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
1029476	3515	1998-06-30	VYDAJ	VYBER	15	20501	SLUZBY	\N	\N
1029477	3515	1998-07-31	VYDAJ	VYBER	15	22386	SLUZBY	\N	\N
1029478	3515	1998-08-31	VYDAJ	VYBER	15	24280	SLUZBY	\N	\N
1029479	3515	1998-09-30	VYDAJ	VYBER	15	26181	SLUZBY	\N	\N
1029480	3515	1998-10-31	VYDAJ	VYBER	15	14712	SLUZBY	\N	\N
1029481	3515	1998-11-30	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
1029482	3515	1996-11-13	VYDAJ	VYBER	1300	18402	\N	\N	\N
1029483	3515	1997-02-11	VYDAJ	VYBER	1500	20159	\N	\N	\N
1029484	3515	1997-03-13	VYDAJ	VYBER	3600	18442	\N	\N	\N
1029485	3515	1997-04-12	VYDAJ	VYBER	3700	13737	\N	\N	\N
1029486	3515	1997-06-11	VYDAJ	VYBER	4100	13356	\N	\N	\N
1029487	3515	1997-07-11	VYDAJ	VYBER	2200	13021	\N	\N	\N
1029488	3515	1997-08-10	VYDAJ	VYBER	5500	11934	\N	\N	\N
1029489	3515	1998-10-04	VYDAJ	VYBER	12300	13881	\N	\N	\N
1029516	3516	1997-09-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1029519	3516	1998-07-11	PRIJEM	VKLAD	14975	24356	\N	\N	\N
1029520	3516	1998-02-27	PRIJEM	VKLAD	18016	94285	\N	\N	\N
1029521	3516	1998-03-20	PRIJEM	VKLAD	28436	95456	\N	\N	\N
1029522	3516	1998-08-28	PRIJEM	VKLAD	37148	122377	\N	\N	\N
1029523	3516	1998-06-05	PRIJEM	VKLAD	47449	91916	\N	\N	\N
1029524	3516	1998-12-23	PRIJEM	VKLAD	44721	117406	\N	\N	\N
1029525	3516	1998-12-11	PRIJEM	VKLAD	38728	128585	\N	\N	\N
1029526	3516	1998-04-13	PRIJEM	VKLAD	39289	103280	\N	\N	\N
1029527	3516	1998-04-30	PRIJEM	VKLAD	17370	130754	\N	\N	\N
1029528	3516	1998-09-09	PRIJEM	VKLAD	49858	114212	\N	\N	\N
1029529	3516	1998-11-08	PRIJEM	VKLAD	47562	99218	\N	\N	\N
1029530	3516	1998-11-20	PRIJEM	VKLAD	7217	87692	\N	\N	\N
1029531	3516	1998-09-27	PRIJEM	VKLAD	29527	117739	\N	\N	\N
1029532	3516	1998-12-02	PRIJEM	VKLAD	31515	98029	\N	\N	\N
1029533	3516	1998-08-01	PRIJEM	VKLAD	37733	92171	\N	\N	\N
1029534	3516	1998-04-21	PRIJEM	VKLAD	11090	101081	\N	\N	\N
1029535	3516	1998-01-26	PRIJEM	VKLAD	40346	83817	\N	\N	\N
1029536	3516	1998-04-25	PRIJEM	VKLAD	47546	148627	\N	\N	\N
1029537	3516	1998-12-03	PRIJEM	VKLAD	34928	132957	\N	\N	\N
1029538	3516	1998-08-11	PRIJEM	VKLAD	12083	85229	\N	\N	\N
1029539	3516	1998-02-11	PRIJEM	VKLAD	15397	76269	\N	\N	\N
1029540	3516	1998-01-11	PRIJEM	VKLAD	13071	43471	\N	\N	\N
1029541	3516	1998-04-21	PRIJEM	VKLAD	40224	89991	\N	\N	\N
1029542	3516	1998-09-01	PRIJEM	VKLAD	19885	86754	\N	\N	\N
1029543	3516	1998-07-22	PRIJEM	VKLAD	41890	66246	\N	\N	\N
1029544	3516	1998-03-27	PRIJEM	VKLAD	37975	133431	\N	\N	\N
1029545	3516	1998-04-15	PRIJEM	VKLAD	7587	49767	\N	\N	\N
1029546	3516	1998-08-06	PRIJEM	VKLAD	25202	73146	\N	\N	\N
1029561	3516	1998-11-19	VYBER	VYBER	18743	80475	\N	\N	\N
1029565	3516	1998-08-05	VYBER	VYBER	21627	47944	\N	\N	\N
1029566	3516	1998-07-08	VYBER	VYBER	20693	16881	\N	\N	\N
1029567	3516	1998-07-28	VYBER	VYBER	8338	57908	\N	\N	\N
1029568	3516	1998-06-19	VYBER	VYBER	11111	36986	\N	\N	\N
1029569	3516	1998-06-16	VYBER	VYBER	15319	48097	\N	\N	\N
1029571	3516	1998-06-08	VYDAJ	VYBER	28500	63416	\N	\N	\N
1029575	3516	1998-12-01	VYDAJ	VYBER	7800	80214	\N	\N	\N
1029580	3516	1998-03-30	VYDAJ	VYBER	11400	82531	\N	\N	\N
1029582	3516	1998-07-08	VYDAJ	VYBER	7500	9381	\N	\N	\N
1029584	3516	1998-07-31	VYDAJ	VYBER	3600	54438	\N	\N	\N
1029600	3516	1998-03-31	VYDAJ	VYBER	30	82891	SLUZBY	\N	\N
1029601	3516	1998-04-30	VYDAJ	VYBER	30	41324	SLUZBY	\N	\N
1029602	3516	1998-05-31	VYDAJ	VYBER	30	45967	SLUZBY	\N	\N
1029603	3516	1998-06-30	VYDAJ	VYBER	30	37174	SLUZBY	\N	\N
1029604	3516	1998-07-31	VYDAJ	VYBER	30	58038	SLUZBY	\N	\N
1029605	3516	1998-08-31	VYDAJ	VYBER	30	66869	SLUZBY	\N	\N
1029606	3516	1998-09-30	VYDAJ	VYBER	30	62226	SLUZBY	\N	\N
1029607	3516	1998-10-31	VYDAJ	VYBER	30	55556	SLUZBY	\N	\N
1029608	3516	1998-11-30	VYDAJ	VYBER	30	88014	SLUZBY	\N	\N
1029609	3516	1997-10-07	PRIJEM	VKLAD	15900	17000	\N	\N	\N
1029610	3516	1997-11-06	PRIJEM	VKLAD	3400	20400	\N	\N	\N
1029611	3516	1997-12-06	PRIJEM	VKLAD	3000	23400	\N	\N	\N
1029612	3516	1998-01-05	PRIJEM	VKLAD	7000	30400	\N	\N	\N
1029613	3516	1998-02-04	VYDAJ	VYBER	23100	60872	\N	\N	\N
1029614	3516	1998-03-06	VYDAJ	VYBER	27600	67020	\N	\N	\N
1029615	3516	1998-03-27	VYDAJ	VYBER	39500	93931	\N	\N	\N
1029616	3516	1998-04-05	VYDAJ	VYBER	18900	63991	\N	\N	\N
1029617	3516	1998-04-13	VYDAJ	VYBER	61100	42180	\N	\N	\N
1029618	3516	1998-04-25	VYDAJ	VYBER	35600	113027	\N	\N	\N
1029619	3516	1998-04-30	VYDAJ	VYBER	25200	41354	\N	\N	\N
1029620	3516	1998-04-30	VYDAJ	VYBER	64200	66554	\N	\N	\N
1029621	3516	1998-05-05	PRIJEM	VKLAD	4500	45824	\N	\N	\N
1029622	3516	1998-06-04	VYDAJ	VYBER	1500	44467	\N	\N	\N
1029623	3516	1998-07-04	PRIJEM	VKLAD	400	37574	\N	\N	\N
1029624	3516	1998-08-03	VYDAJ	VYBER	22600	69571	\N	\N	\N
1029625	3516	1998-08-28	VYDAJ	VYBER	55800	66577	\N	\N	\N
1029626	3516	1998-09-02	VYDAJ	VYBER	22400	64354	\N	\N	\N
1029627	3516	1998-09-09	VYDAJ	VYBER	26000	88212	\N	\N	\N
1029628	3516	1998-09-27	VYDAJ	VYBER	55900	61839	\N	\N	\N
1029629	3516	1998-10-02	VYDAJ	VYBER	6900	55326	\N	\N	\N
1029630	3516	1998-11-01	VYDAJ	VYBER	3900	51656	\N	\N	\N
1029631	3516	1998-12-01	VYDAJ	VYBER	13700	66514	\N	\N	\N
1029632	3516	1998-12-03	VYDAJ	VYBER	43100	89857	\N	\N	\N
1029633	3516	1998-12-11	VYDAJ	VYBER	55900	72685	\N	\N	\N
1029634	3516	1998-12-23	VYDAJ	VYBER	31900	85506	\N	\N	\N
1029647	3517	1996-11-22	PRIJEM	VKLAD	600	600	\N	\N	\N
1029659	3517	1996-12-06	PRIJEM	VKLAD	18272	18872	\N	\N	\N
1029660	3517	1997-01-06	PRIJEM	VKLAD	12181	36786	\N	\N	\N
1029661	3517	1997-02-06	PRIJEM	VKLAD	12181	39273	\N	\N	\N
1029662	3517	1997-03-06	PRIJEM	VKLAD	12181	42170	\N	\N	\N
1029663	3517	1997-04-06	PRIJEM	VKLAD	12181	43478	\N	\N	\N
1029664	3517	1997-05-06	PRIJEM	VKLAD	12181	46975	\N	\N	\N
1029665	3517	1997-06-06	PRIJEM	VKLAD	18272	50975	\N	\N	\N
1029666	3517	1997-07-06	PRIJEM	VKLAD	12181	25674	\N	\N	\N
1029667	3517	1997-08-06	PRIJEM	VKLAD	12181	31105	\N	\N	\N
1029668	3517	1997-09-06	PRIJEM	VKLAD	12181	31377	\N	\N	\N
1029669	3517	1997-10-06	PRIJEM	VKLAD	12181	35553	\N	\N	\N
1029670	3517	1997-11-06	PRIJEM	VKLAD	12181	40927	\N	\N	\N
1029671	3517	1997-12-06	PRIJEM	VKLAD	18272	41601	\N	\N	\N
1029672	3517	1998-01-06	PRIJEM	VKLAD	12181	35266	\N	\N	\N
1029673	3517	1998-02-06	PRIJEM	VKLAD	12181	36063	\N	\N	\N
1029674	3517	1998-03-06	PRIJEM	VKLAD	12181	42642	\N	\N	\N
1029675	3517	1998-04-06	PRIJEM	VKLAD	12181	34587	\N	\N	\N
1029676	3517	1998-05-06	PRIJEM	VKLAD	12181	36250	\N	\N	\N
1029677	3517	1998-06-06	PRIJEM	VKLAD	18272	41069	\N	\N	\N
1029678	3517	1998-07-06	PRIJEM	VKLAD	12181	29084	\N	\N	\N
1029679	3517	1998-08-06	PRIJEM	VKLAD	12181	31326	\N	\N	\N
1029680	3517	1998-09-06	PRIJEM	VKLAD	12181	25952	\N	\N	\N
1029681	3517	1998-10-06	PRIJEM	VKLAD	12181	28798	\N	\N	\N
1029682	3517	1998-11-06	PRIJEM	VKLAD	12181	29435	\N	\N	\N
1029683	3517	1998-12-06	PRIJEM	VKLAD	18272	38297	\N	\N	\N
1029685	3517	1997-06-22	VYDAJ	VYBER	21280	13395	\N	\N	\N
1029689	3517	1998-01-15	VYDAJ	VYBER	7360	24066	\N	\N	\N
1029691	3517	1997-12-04	VYDAJ	VYBER	4000	23329	\N	\N	\N
1029692	3517	1998-12-02	VYDAJ	VYBER	1280	20025	\N	\N	\N
1029705	3517	1998-01-02	VYDAJ	VYBER	1800	26925	\N	\N	\N
1029706	3517	1998-01-21	VYDAJ	VYBER	1680	23786	\N	\N	\N
1029707	3517	1998-01-04	VYDAJ	VYBER	960	23085	\N	\N	\N
1029708	3517	1998-01-03	VYDAJ	VYBER	2880	24045	\N	\N	\N
1029709	3517	1998-01-06	VYDAJ	VYBER	1680	33586	\N	\N	\N
1029710	3517	1998-01-06	VYDAJ	VYBER	2160	31426	\N	\N	\N
1029717	3517	1997-12-19	VYDAJ	VYBER	2400	28601	\N	\N	\N
1029718	3517	1997-09-05	VYDAJ	VYBER	3480	19196	\N	\N	\N
1029719	3517	1997-04-10	VYDAJ	VYBER	1320	42158	\N	\N	\N
1029721	3517	1997-05-28	VYDAJ	VYBER	600	32575	\N	\N	\N
1029722	3517	1998-09-01	VYDAJ	VYBER	5520	13771	\N	\N	\N
1029723	3517	1998-03-28	VYDAJ	VYBER	5640	22302	\N	\N	\N
1029724	3517	1998-06-23	VYDAJ	VYBER	5520	16829	\N	\N	\N
1029725	3517	1998-05-25	VYDAJ	VYBER	3840	22710	\N	\N	\N
1029726	3517	1998-11-09	VYDAJ	VYBER	5400	24035	\N	\N	\N
1029727	3517	1998-06-23	VYDAJ	VYBER	1320	22349	\N	\N	\N
1029744	3517	1997-04-30	VYDAJ	VYBER	15	34794	SLUZBY	\N	\N
1029745	3517	1997-05-31	VYDAJ	VYBER	15	32703	SLUZBY	\N	\N
1029746	3517	1997-06-30	VYDAJ	VYBER	15	13493	SLUZBY	\N	\N
1029747	3517	1997-07-31	VYDAJ	VYBER	15	18924	SLUZBY	\N	\N
1029748	3517	1997-08-31	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
1029749	3517	1997-09-30	VYDAJ	VYBER	15	23372	SLUZBY	\N	\N
1029750	3517	1997-10-31	VYDAJ	VYBER	15	28746	SLUZBY	\N	\N
1029751	3517	1997-11-30	VYDAJ	VYBER	15	27329	SLUZBY	\N	\N
1029752	3517	1997-12-31	VYDAJ	VYBER	15	28725	SLUZBY	\N	\N
1029753	3517	1998-01-31	VYDAJ	VYBER	15	23882	SLUZBY	\N	\N
1029754	3517	1998-02-28	VYDAJ	VYBER	15	30461	SLUZBY	\N	\N
1029755	3517	1998-03-31	VYDAJ	VYBER	15	22406	SLUZBY	\N	\N
1029756	3517	1998-04-30	VYDAJ	VYBER	15	24069	SLUZBY	\N	\N
1029757	3517	1998-05-31	VYDAJ	VYBER	15	22797	SLUZBY	\N	\N
1029758	3517	1998-06-30	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
1029759	3517	1998-07-31	VYDAJ	VYBER	15	19145	SLUZBY	\N	\N
1029760	3517	1998-08-31	VYDAJ	VYBER	15	19291	SLUZBY	\N	\N
1029761	3517	1998-09-30	VYDAJ	VYBER	15	16617	SLUZBY	\N	\N
1029762	3517	1998-10-31	VYDAJ	VYBER	15	17254	SLUZBY	\N	\N
1029763	3517	1998-11-30	VYDAJ	VYBER	15	21305	SLUZBY	\N	\N
1029764	3517	1996-12-22	PRIJEM	VKLAD	5700	24572	\N	\N	\N
1029765	3517	1997-01-21	VYDAJ	VYBER	9800	26986	\N	\N	\N
1029766	3517	1997-02-20	VYDAJ	VYBER	9400	29873	\N	\N	\N
1029767	3517	1997-03-22	VYDAJ	VYBER	11000	31170	\N	\N	\N
1029768	3517	1997-04-21	VYDAJ	VYBER	7500	34658	\N	\N	\N
1029769	3517	1997-05-21	VYDAJ	VYBER	13800	33175	\N	\N	\N
1029770	3517	1997-06-20	VYDAJ	VYBER	16300	34675	\N	\N	\N
1029771	3517	1997-07-20	VYDAJ	VYBER	6800	18874	\N	\N	\N
1029772	3517	1997-08-19	VYDAJ	VYBER	8500	22605	\N	\N	\N
1029773	3517	1997-09-18	VYDAJ	VYBER	8100	23277	\N	\N	\N
1029774	3517	1997-10-18	VYDAJ	VYBER	6900	28653	\N	\N	\N
1029775	3517	1997-11-17	VYDAJ	VYBER	13700	27227	\N	\N	\N
1029776	3517	1997-12-17	VYDAJ	VYBER	10600	31001	\N	\N	\N
1029777	3517	1998-01-16	PRIJEM	VKLAD	1400	25466	\N	\N	\N
1029778	3517	1998-02-15	VYDAJ	VYBER	5700	30363	\N	\N	\N
1029779	3517	1998-03-17	VYDAJ	VYBER	14700	27942	\N	\N	\N
1029780	3517	1998-04-16	VYDAJ	VYBER	10600	23987	\N	\N	\N
1029781	3517	1998-05-16	VYDAJ	VYBER	9700	26550	\N	\N	\N
1029782	3517	1998-06-15	VYDAJ	VYBER	17400	23669	\N	\N	\N
1029783	3517	1998-07-15	VYDAJ	VYBER	10000	19084	\N	\N	\N
1029784	3517	1998-08-14	VYDAJ	VYBER	12100	19226	\N	\N	\N
1029785	3517	1998-09-13	VYDAJ	VYBER	9400	16552	\N	\N	\N
1029786	3517	1998-10-13	VYDAJ	VYBER	11600	17198	\N	\N	\N
1029787	3517	1998-11-12	VYDAJ	VYBER	2800	21235	\N	\N	\N
1029813	3518	1996-07-22	PRIJEM	VKLAD	700	700	\N	\N	\N
1029821	3518	1996-08-14	PRIJEM	VKLAD	22553	23253	\N	\N	\N
1029822	3518	1996-09-14	PRIJEM	VKLAD	22553	46742	\N	\N	\N
1029823	3518	1996-10-14	PRIJEM	VKLAD	22553	56710	\N	\N	\N
1029824	3518	1996-11-14	PRIJEM	VKLAD	22553	63216	\N	\N	\N
1029825	3518	1996-12-14	PRIJEM	VKLAD	33830	77820	\N	\N	\N
1029826	3518	1997-01-14	PRIJEM	VKLAD	22553	58548	\N	\N	\N
1029827	3518	1997-02-14	PRIJEM	VKLAD	22553	42977	\N	\N	\N
1029828	3518	1997-03-14	PRIJEM	VKLAD	22553	46957	\N	\N	\N
1029829	3518	1997-04-14	PRIJEM	VKLAD	22553	49018	\N	\N	\N
1029830	3518	1997-05-14	PRIJEM	VKLAD	22553	54564	\N	\N	\N
1029831	3518	1997-06-14	PRIJEM	VKLAD	33830	63802	\N	\N	\N
1029832	3518	1997-07-14	PRIJEM	VKLAD	22553	58914	\N	\N	\N
1029833	3518	1997-08-14	PRIJEM	VKLAD	22553	50538	\N	\N	\N
1029834	3518	1997-09-14	PRIJEM	VKLAD	22553	48870	\N	\N	\N
1029835	3518	1997-10-14	PRIJEM	VKLAD	22553	48496	\N	\N	\N
1029836	3518	1997-11-14	PRIJEM	VKLAD	22553	45514	\N	\N	\N
1029837	3518	1997-12-14	PRIJEM	VKLAD	33830	53738	\N	\N	\N
1029838	3518	1998-01-14	PRIJEM	VKLAD	22553	36707	\N	\N	\N
1029839	3518	1998-02-14	PRIJEM	VKLAD	22553	32613	\N	\N	\N
1029840	3518	1998-03-14	PRIJEM	VKLAD	22553	51114	\N	\N	\N
1029841	3518	1998-04-14	PRIJEM	VKLAD	22553	44858	\N	\N	\N
1029842	3518	1998-05-14	PRIJEM	VKLAD	22553	41207	\N	\N	\N
1029843	3518	1998-06-14	PRIJEM	VKLAD	33830	42932	\N	\N	\N
1029844	3518	1998-07-14	PRIJEM	VKLAD	22553	40599	\N	\N	\N
1029845	3518	1998-08-14	PRIJEM	VKLAD	22553	39669	\N	\N	\N
1029846	3518	1998-09-14	PRIJEM	VKLAD	22553	40533	\N	\N	\N
1029847	3518	1998-10-14	PRIJEM	VKLAD	22553	39097	\N	\N	\N
1029848	3518	1998-11-14	PRIJEM	VKLAD	22553	35950	\N	\N	\N
1029849	3518	1998-12-14	PRIJEM	VKLAD	33830	51891	\N	\N	\N
1029862	3518	1997-01-13	VYDAJ	PREVOD NA UCET	3438	35995	SIPO	EF	53048187
1029863	3518	1997-02-13	VYDAJ	PREVOD NA UCET	3438	20424	SIPO	EF	53048187
1029864	3518	1997-03-13	VYDAJ	PREVOD NA UCET	3438	24404	SIPO	EF	53048187
1029865	3518	1997-04-13	VYDAJ	PREVOD NA UCET	3438	26465	SIPO	EF	53048187
1029866	3518	1997-05-13	VYDAJ	PREVOD NA UCET	3438	32011	SIPO	EF	53048187
1029867	3518	1997-06-13	VYDAJ	PREVOD NA UCET	3438	29973	SIPO	EF	53048187
1029868	3518	1997-07-13	VYDAJ	PREVOD NA UCET	3438	36361	SIPO	EF	53048187
1029869	3518	1997-08-13	VYDAJ	PREVOD NA UCET	3438	27985	SIPO	EF	53048187
1029870	3518	1997-09-13	VYDAJ	PREVOD NA UCET	3438	26317	SIPO	EF	53048187
1029871	3518	1997-10-13	VYDAJ	PREVOD NA UCET	3438	25943	SIPO	EF	53048187
1029872	3518	1997-11-13	VYDAJ	PREVOD NA UCET	3438	22961	SIPO	EF	53048187
1029873	3518	1997-12-13	VYDAJ	PREVOD NA UCET	3438	19908	SIPO	EF	53048187
1029874	3518	1998-01-13	VYDAJ	PREVOD NA UCET	3438	14154	SIPO	EF	53048187
1029875	3518	1998-02-13	VYDAJ	PREVOD NA UCET	3438	10060	SIPO	EF	53048187
1029876	3518	1998-03-13	VYDAJ	PREVOD NA UCET	3438	28561	SIPO	EF	53048187
1029877	3518	1998-04-13	VYDAJ	PREVOD NA UCET	3438	22305	SIPO	EF	53048187
1029878	3518	1998-05-13	VYDAJ	PREVOD NA UCET	3438	18654	SIPO	EF	53048187
1029879	3518	1998-06-13	VYDAJ	PREVOD NA UCET	3438	9102	SIPO	EF	53048187
1029880	3518	1998-07-13	VYDAJ	PREVOD NA UCET	3438	18046	SIPO	EF	53048187
1029881	3518	1998-08-13	VYDAJ	PREVOD NA UCET	3438	17116	SIPO	EF	53048187
1029882	3518	1998-09-13	VYDAJ	PREVOD NA UCET	3438	17980	SIPO	EF	53048187
1029883	3518	1998-10-13	VYDAJ	PREVOD NA UCET	3438	16544	SIPO	EF	53048187
1029884	3518	1998-11-13	VYDAJ	PREVOD NA UCET	3438	13397	SIPO	EF	53048187
1029885	3518	1998-12-13	VYDAJ	PREVOD NA UCET	3438	18062	SIPO	EF	53048187
1029888	3518	1998-06-09	VYDAJ	VYBER	21120	20240	\N	\N	\N
1029890	3518	1997-01-26	VYDAJ	VYBER	12000	28148	\N	\N	\N
1029891	3518	1998-01-17	VYDAJ	VYBER	9120	26867	\N	\N	\N
1029892	3518	1996-12-29	VYDAJ	VYBER	2400	45020	\N	\N	\N
1029893	3518	1997-12-04	VYDAJ	VYBER	1760	23346	\N	\N	\N
1029894	3518	1998-12-03	VYDAJ	VYBER	3680	32400	\N	\N	\N
1029901	3518	1997-01-28	VYDAJ	VYBER	3120	23708	\N	\N	\N
1029902	3518	1997-01-26	VYDAJ	VYBER	1320	26828	\N	\N	\N
1029903	3518	1997-01-15	VYDAJ	VYBER	2400	56148	\N	\N	\N
1029904	3518	1997-01-07	VYDAJ	VYBER	1800	43393	\N	\N	\N
1029905	3518	1997-01-12	VYDAJ	VYBER	2040	39433	\N	\N	\N
1029906	3518	1997-01-09	VYDAJ	VYBER	1920	41473	\N	\N	\N
1029907	3518	1998-01-14	VYDAJ	VYBER	720	35987	\N	\N	\N
1029908	3518	1998-01-25	VYDAJ	VYBER	960	25907	\N	\N	\N
1029909	3518	1998-01-03	VYDAJ	VYBER	720	22512	\N	\N	\N
1029910	3518	1998-01-10	VYDAJ	VYBER	2520	19992	\N	\N	\N
1029911	3518	1998-01-12	VYDAJ	VYBER	2400	17592	\N	\N	\N
1029912	3518	1998-01-02	VYDAJ	VYBER	3360	23232	\N	\N	\N
1029918	3518	1997-07-18	VYDAJ	VYBER	5040	31274	\N	\N	\N
1029919	3518	1997-05-29	VYDAJ	VYBER	5400	33264	\N	\N	\N
1029920	3518	1997-07-13	VYDAJ	VYBER	3960	39799	\N	\N	\N
1029921	3518	1997-09-14	VYDAJ	VYBER	1800	47070	\N	\N	\N
1029922	3518	1997-03-29	VYDAJ	VYBER	3480	29777	\N	\N	\N
1029923	3518	1997-03-06	VYDAJ	VYBER	2640	27842	\N	\N	\N
1029924	3518	1998-04-10	VYDAJ	VYBER	1920	25743	\N	\N	\N
1029925	3518	1998-10-16	VYDAJ	VYBER	4200	34897	\N	\N	\N
1029926	3518	1998-03-10	VYDAJ	VYBER	720	31999	\N	\N	\N
1029927	3518	1998-12-21	VYDAJ	VYBER	5640	46251	\N	\N	\N
1029928	3518	1998-04-21	VYDAJ	VYBER	4200	40658	\N	\N	\N
1029929	3518	1998-03-23	VYDAJ	VYBER	960	27554	\N	\N	\N
1029942	3518	1996-12-31	VYDAJ	VYBER	15	45193	SLUZBY	\N	\N
1029943	3518	1997-01-31	VYDAJ	VYBER	15	23862	SLUZBY	\N	\N
1029944	3518	1997-02-28	VYDAJ	VYBER	15	30482	SLUZBY	\N	\N
1029945	3518	1997-03-31	VYDAJ	VYBER	15	29903	SLUZBY	\N	\N
1029946	3518	1997-04-30	VYDAJ	VYBER	15	35449	SLUZBY	\N	\N
1029947	3518	1997-05-31	VYDAJ	VYBER	15	33411	SLUZBY	\N	\N
1029948	3518	1997-06-30	VYDAJ	VYBER	15	43759	SLUZBY	\N	\N
1029949	3518	1997-07-31	VYDAJ	VYBER	15	31423	SLUZBY	\N	\N
1029950	3518	1997-08-31	VYDAJ	VYBER	15	29755	SLUZBY	\N	\N
1029951	3518	1997-09-30	VYDAJ	VYBER	15	29381	SLUZBY	\N	\N
1029952	3518	1997-10-31	VYDAJ	VYBER	15	26399	SLUZBY	\N	\N
1029953	3518	1997-11-30	VYDAJ	VYBER	15	25106	SLUZBY	\N	\N
1029954	3518	1997-12-31	VYDAJ	VYBER	15	26592	SLUZBY	\N	\N
1029955	3518	1998-01-31	VYDAJ	VYBER	15	25998	SLUZBY	\N	\N
1029956	3518	1998-02-28	VYDAJ	VYBER	15	32719	SLUZBY	\N	\N
1029957	3518	1998-03-31	VYDAJ	VYBER	15	27663	SLUZBY	\N	\N
1029958	3518	1998-04-30	VYDAJ	VYBER	15	40792	SLUZBY	\N	\N
1029959	3518	1998-05-31	VYDAJ	VYBER	15	41360	SLUZBY	\N	\N
1029960	3518	1998-06-30	VYDAJ	VYBER	15	43084	SLUZBY	\N	\N
1029961	3518	1998-07-31	VYDAJ	VYBER	15	40754	SLUZBY	\N	\N
1029962	3518	1998-08-31	VYDAJ	VYBER	15	39818	SLUZBY	\N	\N
1029963	3518	1998-09-30	VYDAJ	VYBER	15	40682	SLUZBY	\N	\N
1029964	3518	1998-10-31	VYDAJ	VYBER	15	35035	SLUZBY	\N	\N
1029965	3518	1998-11-30	VYDAJ	VYBER	15	36080	SLUZBY	\N	\N
1029966	3518	1996-08-21	PRIJEM	VKLAD	900	24153	\N	\N	\N
1029967	3518	1996-09-20	VYDAJ	VYBER	12700	34042	\N	\N	\N
1029968	3518	1996-10-20	VYDAJ	VYBER	16200	40510	\N	\N	\N
1029969	3518	1996-11-19	VYDAJ	VYBER	19400	43816	\N	\N	\N
1029970	3518	1996-12-19	VYDAJ	VYBER	30400	47420	\N	\N	\N
1029971	3518	1997-01-18	VYDAJ	VYBER	16000	40148	\N	\N	\N
1029972	3518	1997-02-17	VYDAJ	VYBER	12600	30377	\N	\N	\N
1029973	3518	1997-03-19	VYDAJ	VYBER	13700	33257	\N	\N	\N
1029974	3518	1997-04-18	VYDAJ	VYBER	13700	35318	\N	\N	\N
1029975	3518	1997-05-18	VYDAJ	VYBER	15900	38664	\N	\N	\N
1029976	3518	1997-06-17	VYDAJ	VYBER	20200	43602	\N	\N	\N
1029977	3518	1997-07-17	VYDAJ	VYBER	22600	36314	\N	\N	\N
1029978	3518	1997-08-16	VYDAJ	VYBER	20900	29638	\N	\N	\N
1029979	3518	1997-09-15	VYDAJ	VYBER	17800	29270	\N	\N	\N
1029980	3518	1997-10-15	VYDAJ	VYBER	22200	26296	\N	\N	\N
1029981	3518	1997-11-14	VYDAJ	VYBER	20500	25014	\N	\N	\N
1029982	3518	1997-12-14	VYDAJ	VYBER	27300	26438	\N	\N	\N
1029983	3518	1998-02-12	VYDAJ	VYBER	12500	13498	\N	\N	\N
1029984	3518	1998-03-14	VYDAJ	VYBER	22600	28514	\N	\N	\N
1029985	3518	1998-05-13	VYDAJ	VYBER	18700	22092	\N	\N	\N
1029986	3518	1998-06-12	VYDAJ	VYBER	7700	12540	\N	\N	\N
1029987	3518	1998-07-12	VYDAJ	VYBER	21600	21484	\N	\N	\N
1029988	3518	1998-08-11	VYDAJ	VYBER	20200	20554	\N	\N	\N
1029989	3518	1998-09-10	VYDAJ	VYBER	18400	21418	\N	\N	\N
1029990	3518	1998-10-10	VYDAJ	VYBER	20700	19982	\N	\N	\N
1029991	3518	1998-11-09	VYDAJ	VYBER	18200	16835	\N	\N	\N
1029992	3518	1998-12-09	VYDAJ	VYBER	10900	21500	\N	\N	\N
1030022	3519	1996-02-10	PRIJEM	VKLAD	900	900	\N	\N	\N
1030023	3519	1996-02-17	PRIJEM	VKLAD	22479	24979	\N	\N	\N
1030024	3519	1996-03-14	PRIJEM	VKLAD	6276	31602	\N	\N	\N
1030025	3519	1997-03-26	PRIJEM	VKLAD	5071	26410	\N	\N	\N
1030026	3519	1997-09-21	PRIJEM	VKLAD	23812	48364	\N	\N	\N
1030027	3519	1998-07-26	PRIJEM	VKLAD	2786	30327	\N	\N	\N
1030028	3519	1998-03-31	PRIJEM	VKLAD	2331	33368	\N	\N	\N
1030030	3519	1996-02-15	PRIJEM	VKLAD	1600	2500	\N	\N	\N
1030031	3519	1996-03-14	PRIJEM	VKLAD	1600	33202	\N	\N	\N
1030032	3519	1996-04-17	PRIJEM	VKLAD	1600	29726	\N	\N	\N
1030033	3519	1996-05-13	PRIJEM	VKLAD	1600	28943	\N	\N	\N
1030034	3519	1996-06-16	PRIJEM	VKLAD	1600	25851	\N	\N	\N
1030035	3519	1996-07-14	PRIJEM	VKLAD	1600	25849	\N	\N	\N
1030036	3519	1996-08-17	PRIJEM	VKLAD	1600	29142	\N	\N	\N
1030037	3519	1996-09-16	PRIJEM	VKLAD	1600	26048	\N	\N	\N
1030038	3519	1996-10-15	PRIJEM	VKLAD	1600	27955	\N	\N	\N
1030039	3519	1996-11-17	PRIJEM	VKLAD	1600	22460	\N	\N	\N
1030040	3519	1996-12-15	PRIJEM	VKLAD	1600	19457	\N	\N	\N
1030041	3519	1997-01-15	PRIJEM	VKLAD	1600	18026	\N	\N	\N
1030042	3519	1997-02-14	PRIJEM	VKLAD	1600	19130	\N	\N	\N
1030043	3519	1997-03-13	PRIJEM	VKLAD	1600	20189	\N	\N	\N
1030044	3519	1997-04-15	PRIJEM	VKLAD	1600	22987	\N	\N	\N
1030045	3519	1997-05-17	PRIJEM	VKLAD	1600	21977	\N	\N	\N
1030046	3519	1997-06-17	PRIJEM	VKLAD	1600	15163	\N	\N	\N
1030047	3519	1997-07-15	PRIJEM	VKLAD	1600	20216	\N	\N	\N
1030048	3519	1997-08-16	PRIJEM	VKLAD	1600	21979	\N	\N	\N
1030049	3519	1997-09-14	PRIJEM	VKLAD	1600	24552	\N	\N	\N
1030050	3519	1997-10-15	PRIJEM	VKLAD	1600	36980	\N	\N	\N
1030051	3519	1997-11-13	PRIJEM	VKLAD	1600	32941	\N	\N	\N
1030052	3519	1997-12-17	PRIJEM	VKLAD	1600	34371	\N	\N	\N
1030053	3519	1998-01-14	PRIJEM	VKLAD	1600	25192	\N	\N	\N
1030054	3519	1998-02-15	PRIJEM	VKLAD	1600	27838	\N	\N	\N
1030055	3519	1998-03-17	PRIJEM	VKLAD	1600	29037	\N	\N	\N
1030056	3519	1998-04-17	PRIJEM	VKLAD	1600	35079	\N	\N	\N
1030057	3519	1998-05-17	PRIJEM	VKLAD	1600	31605	\N	\N	\N
1030058	3519	1998-06-16	PRIJEM	VKLAD	1600	35321	\N	\N	\N
1030059	3519	1998-07-15	PRIJEM	VKLAD	1600	25941	\N	\N	\N
1030060	3519	1998-08-17	PRIJEM	VKLAD	1600	37828	\N	\N	\N
1030061	3519	1998-09-14	PRIJEM	VKLAD	1600	38668	\N	\N	\N
1030062	3519	1998-10-16	PRIJEM	VKLAD	1600	34909	\N	\N	\N
1030063	3519	1998-11-13	PRIJEM	VKLAD	1600	36838	\N	\N	\N
1030064	3519	1998-12-15	PRIJEM	VKLAD	1600	37273	\N	\N	\N
1030065	3519	1996-07-18	PRIJEM	VKLAD	1600	27449	\N	\N	\N
1030066	3519	1996-08-18	PRIJEM	VKLAD	1600	30742	\N	\N	\N
1030067	3519	1996-09-18	PRIJEM	VKLAD	1600	27648	\N	\N	\N
1030068	3519	1996-10-18	PRIJEM	VKLAD	1600	29555	\N	\N	\N
1030069	3519	1996-11-18	PRIJEM	VKLAD	1600	24060	\N	\N	\N
1030070	3519	1996-12-18	PRIJEM	VKLAD	1600	21057	\N	\N	\N
1030071	3519	1997-01-18	PRIJEM	VKLAD	1600	16676	\N	\N	\N
1030072	3519	1997-02-18	PRIJEM	VKLAD	1600	20730	\N	\N	\N
1030073	3519	1997-03-18	PRIJEM	VKLAD	1600	21339	\N	\N	\N
1030074	3519	1997-04-18	PRIJEM	VKLAD	1600	24587	\N	\N	\N
1030075	3519	1997-05-18	PRIJEM	VKLAD	1600	23577	\N	\N	\N
1030076	3519	1997-06-18	PRIJEM	VKLAD	1600	16763	\N	\N	\N
1030077	3519	1998-01-18	PRIJEM	VKLAD	1600	26792	\N	\N	\N
1030078	3519	1998-02-18	PRIJEM	VKLAD	1600	29438	\N	\N	\N
1030079	3519	1998-03-18	PRIJEM	VKLAD	1600	30637	\N	\N	\N
1030080	3519	1998-04-18	PRIJEM	VKLAD	1600	36679	\N	\N	\N
1030081	3519	1998-05-18	PRIJEM	VKLAD	1600	33205	\N	\N	\N
1030082	3519	1998-06-18	PRIJEM	VKLAD	1600	36921	\N	\N	\N
1030083	3519	1998-07-18	PRIJEM	VKLAD	1600	27541	\N	\N	\N
1030084	3519	1998-08-18	PRIJEM	VKLAD	1600	39428	\N	\N	\N
1030085	3519	1998-09-18	PRIJEM	VKLAD	1600	40268	\N	\N	\N
1030086	3519	1998-10-18	PRIJEM	VKLAD	1600	36509	\N	\N	\N
1030087	3519	1998-11-18	PRIJEM	VKLAD	1600	38438	\N	\N	\N
1030088	3519	1998-12-18	PRIJEM	VKLAD	1600	38873	\N	\N	\N
1030090	3519	1997-06-05	VYDAJ	VYBER	9400	13563	\N	\N	\N
1030091	3519	1998-06-26	VYDAJ	VYBER	19100	17821	\N	\N	\N
1030092	3519	1996-12-21	VYDAJ	VYBER	1100	19957	\N	\N	\N
1030093	3519	1997-12-22	VYDAJ	VYBER	2500	31871	\N	\N	\N
1030094	3519	1998-12-30	VYDAJ	VYBER	2500	32773	\N	\N	\N
1030101	3519	1997-01-07	VYDAJ	VYBER	1300	17076	\N	\N	\N
1030102	3519	1997-01-12	VYDAJ	VYBER	650	16426	\N	\N	\N
1030103	3519	1997-01-15	VYDAJ	VYBER	550	17476	\N	\N	\N
1030104	3519	1997-01-05	VYDAJ	VYBER	650	19376	\N	\N	\N
1030105	3519	1997-01-19	VYDAJ	VYBER	1450	15226	\N	\N	\N
1030106	3519	1997-01-20	VYDAJ	VYBER	550	14676	\N	\N	\N
1030107	3519	1998-01-11	VYDAJ	VYBER	1400	25592	\N	\N	\N
1030108	3519	1998-01-20	VYDAJ	VYBER	500	26292	\N	\N	\N
1030109	3519	1998-01-12	VYDAJ	VYBER	1250	24342	\N	\N	\N
1030110	3519	1998-01-12	VYDAJ	VYBER	750	23592	\N	\N	\N
1030111	3519	1998-01-01	VYDAJ	VYBER	1100	26992	\N	\N	\N
1030112	3519	1998-01-28	VYDAJ	VYBER	550	25742	\N	\N	\N
1030114	3519	1996-06-22	VYDAJ	VYBER	1600	24251	\N	\N	\N
1030115	3519	1996-12-05	VYDAJ	VYBER	800	23357	\N	\N	\N
1030118	3519	1997-01-16	VYDAJ	VYBER	2400	15076	\N	\N	\N
1030119	3519	1997-03-13	VYDAJ	VYBER	450	19739	\N	\N	\N
1030121	3519	1998-04-19	VYDAJ	VYBER	1150	35529	\N	\N	\N
1030122	3519	1998-07-12	VYDAJ	VYBER	1900	24341	\N	\N	\N
1030123	3519	1998-04-25	VYDAJ	VYBER	1650	33879	\N	\N	\N
1030124	3519	1998-07-10	VYDAJ	VYBER	600	26241	\N	\N	\N
1030125	3519	1998-12-30	VYDAJ	VYBER	1050	31723	\N	\N	\N
1030130	3519	1996-04-30	VYDAJ	VYBER	15	29843	SLUZBY	\N	\N
1030131	3519	1996-05-31	VYDAJ	VYBER	15	29051	SLUZBY	\N	\N
1030132	3519	1996-06-30	VYDAJ	VYBER	15	24349	SLUZBY	\N	\N
1030133	3519	1996-07-31	VYDAJ	VYBER	15	27542	SLUZBY	\N	\N
1030134	3519	1996-08-31	VYDAJ	VYBER	15	30848	SLUZBY	\N	\N
1030135	3519	1996-09-30	VYDAJ	VYBER	15	27755	SLUZBY	\N	\N
1030136	3519	1996-10-31	VYDAJ	VYBER	15	29660	SLUZBY	\N	\N
1030137	3519	1996-11-30	VYDAJ	VYBER	15	24157	SLUZBY	\N	\N
1030138	3519	1996-12-31	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
1030139	3519	1997-01-31	VYDAJ	VYBER	15	14730	SLUZBY	\N	\N
1030140	3519	1997-02-28	VYDAJ	VYBER	15	20789	SLUZBY	\N	\N
1030141	3519	1997-03-31	VYDAJ	VYBER	15	26487	SLUZBY	\N	\N
1030142	3519	1997-04-30	VYDAJ	VYBER	15	24677	SLUZBY	\N	\N
1030143	3519	1997-05-31	VYDAJ	VYBER	15	23663	SLUZBY	\N	\N
1030144	3519	1997-06-30	VYDAJ	VYBER	15	16816	SLUZBY	\N	\N
1030145	3519	1997-07-31	VYDAJ	VYBER	15	20279	SLUZBY	\N	\N
1030146	3519	1997-08-31	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
1030147	3519	1997-09-30	VYDAJ	VYBER	15	48480	SLUZBY	\N	\N
1030148	3519	1997-10-31	VYDAJ	VYBER	15	37141	SLUZBY	\N	\N
1030149	3519	1997-11-30	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
1030150	3519	1997-12-31	VYDAJ	VYBER	15	28092	SLUZBY	\N	\N
1030151	3519	1998-01-31	VYDAJ	VYBER	15	26238	SLUZBY	\N	\N
1030152	3519	1998-02-28	VYDAJ	VYBER	15	29537	SLUZBY	\N	\N
1030153	3519	1998-03-31	VYDAJ	VYBER	15	33479	SLUZBY	\N	\N
1030154	3519	1998-04-30	VYDAJ	VYBER	15	30005	SLUZBY	\N	\N
1030155	3519	1998-05-31	VYDAJ	VYBER	15	33721	SLUZBY	\N	\N
1030156	3519	1998-06-30	VYDAJ	VYBER	15	26841	SLUZBY	\N	\N
1030157	3519	1998-07-31	VYDAJ	VYBER	15	36228	SLUZBY	\N	\N
1030158	3519	1998-08-31	VYDAJ	VYBER	15	37068	SLUZBY	\N	\N
1030159	3519	1998-09-30	VYDAJ	VYBER	15	33309	SLUZBY	\N	\N
1030160	3519	1998-10-31	VYDAJ	VYBER	15	35238	SLUZBY	\N	\N
1030161	3519	1998-11-30	VYDAJ	VYBER	15	35673	SLUZBY	\N	\N
1030162	3519	1996-03-11	PRIJEM	VKLAD	300	25326	\N	\N	\N
1030163	3519	1996-04-10	VYDAJ	VYBER	5200	28126	\N	\N	\N
1030164	3519	1996-05-10	VYDAJ	VYBER	2500	27343	\N	\N	\N
1030165	3519	1996-06-09	VYDAJ	VYBER	4800	24251	\N	\N	\N
1030166	3519	1996-07-09	VYDAJ	VYBER	100	24249	\N	\N	\N
1030167	3519	1996-09-07	VYDAJ	VYBER	6400	24448	\N	\N	\N
1030168	3519	1996-10-07	VYDAJ	VYBER	1400	26355	\N	\N	\N
1030169	3519	1996-11-06	VYDAJ	VYBER	8800	20860	\N	\N	\N
1030170	3519	1996-12-06	VYDAJ	VYBER	5500	17857	\N	\N	\N
1030171	3519	1997-01-05	VYDAJ	VYBER	1000	18376	\N	\N	\N
1030172	3519	1997-02-04	PRIJEM	VKLAD	2800	17530	\N	\N	\N
1030173	3519	1997-03-06	VYDAJ	VYBER	2200	18589	\N	\N	\N
1030174	3519	1997-04-05	VYDAJ	VYBER	5100	21387	\N	\N	\N
1030175	3519	1997-05-05	VYDAJ	VYBER	4300	20377	\N	\N	\N
1030176	3519	1997-06-04	VYDAJ	VYBER	700	22963	\N	\N	\N
1030177	3519	1997-07-04	PRIJEM	VKLAD	1800	18616	\N	\N	\N
1030178	3519	1997-08-03	PRIJEM	VKLAD	100	20379	\N	\N	\N
1030179	3519	1997-09-02	PRIJEM	VKLAD	900	22952	\N	\N	\N
1030180	3519	1997-10-02	VYDAJ	VYBER	13100	35380	\N	\N	\N
1030181	3519	1997-11-01	VYDAJ	VYBER	5800	31341	\N	\N	\N
1030182	3519	1997-12-01	VYDAJ	VYBER	300	32771	\N	\N	\N
1030183	3519	1997-12-31	VYDAJ	VYBER	3900	28107	\N	\N	\N
1030184	3519	1998-01-30	PRIJEM	VKLAD	400	26142	\N	\N	\N
1030185	3519	1998-03-01	VYDAJ	VYBER	2100	27437	\N	\N	\N
1030186	3519	1998-03-31	PRIJEM	VKLAD	400	31037	\N	\N	\N
1030187	3519	1998-04-30	VYDAJ	VYBER	4000	30019	\N	\N	\N
1030188	3519	1998-05-30	PRIJEM	VKLAD	400	33605	\N	\N	\N
1030189	3519	1998-06-29	PRIJEM	VKLAD	8900	26721	\N	\N	\N
1030190	3519	1998-07-29	PRIJEM	VKLAD	5800	36127	\N	\N	\N
1030191	3519	1998-08-28	VYDAJ	VYBER	2500	36928	\N	\N	\N
1030192	3519	1998-09-27	VYDAJ	VYBER	7100	33168	\N	\N	\N
1030193	3519	1998-10-27	VYDAJ	VYBER	1400	35109	\N	\N	\N
1030194	3519	1998-11-26	VYDAJ	VYBER	2900	35538	\N	\N	\N
1030195	3519	1998-12-26	VYDAJ	VYBER	3600	35273	\N	\N	\N
1030231	3520	1995-06-04	PRIJEM	VKLAD	800	800	\N	\N	\N
1030237	3520	1995-06-12	PRIJEM	PREVOD Z UCTU	25016	25816	\N	CD	56562143
1030238	3520	1995-07-12	PRIJEM	PREVOD Z UCTU	16677	42361	\N	CD	56562143
1030239	3520	1995-08-12	PRIJEM	PREVOD Z UCTU	16677	48990	\N	CD	56562143
1030240	3520	1995-09-12	PRIJEM	PREVOD Z UCTU	16677	51762	\N	CD	56562143
1030241	3520	1995-10-12	PRIJEM	PREVOD Z UCTU	16677	54050	\N	CD	56562143
1030242	3520	1995-11-12	PRIJEM	PREVOD Z UCTU	16677	37127	\N	CD	56562143
1030243	3520	1995-12-12	PRIJEM	PREVOD Z UCTU	25016	49258	\N	CD	56562143
1030244	3520	1996-01-12	PRIJEM	PREVOD Z UCTU	16677	52090	\N	CD	56562143
1030245	3520	1996-02-12	PRIJEM	PREVOD Z UCTU	16677	38096	\N	CD	56562143
1030246	3520	1996-03-12	PRIJEM	PREVOD Z UCTU	16677	46349	\N	CD	56562143
1030247	3520	1996-04-12	PRIJEM	PREVOD Z UCTU	16677	51036	\N	CD	56562143
1030248	3520	1996-05-12	PRIJEM	PREVOD Z UCTU	16677	44143	\N	CD	56562143
1030249	3520	1996-06-12	PRIJEM	PREVOD Z UCTU	25016	56491	\N	CD	56562143
1030250	3520	1996-07-12	PRIJEM	PREVOD Z UCTU	16677	57689	\N	CD	56562143
1030251	3520	1996-08-12	PRIJEM	PREVOD Z UCTU	16677	46680	\N	CD	56562143
1030252	3520	1996-09-12	PRIJEM	PREVOD Z UCTU	16677	48821	\N	CD	56562143
1030253	3520	1996-10-12	PRIJEM	PREVOD Z UCTU	16677	37505	\N	CD	56562143
1030254	3520	1996-11-12	PRIJEM	PREVOD Z UCTU	16677	45961	\N	CD	56562143
1030255	3520	1996-12-12	PRIJEM	PREVOD Z UCTU	25016	54414	\N	CD	56562143
1030256	3520	1997-01-12	PRIJEM	PREVOD Z UCTU	16677	39705	\N	CD	56562143
1030257	3520	1997-02-12	PRIJEM	PREVOD Z UCTU	16677	37190	\N	CD	56562143
1030258	3520	1997-03-12	PRIJEM	PREVOD Z UCTU	16677	44944	\N	CD	56562143
1030259	3520	1997-04-12	PRIJEM	PREVOD Z UCTU	16677	45323	\N	CD	56562143
1030260	3520	1997-05-12	PRIJEM	PREVOD Z UCTU	16677	44103	\N	CD	56562143
1030261	3520	1997-06-12	PRIJEM	PREVOD Z UCTU	25016	55521	\N	CD	56562143
1030262	3520	1997-07-12	PRIJEM	PREVOD Z UCTU	16677	50514	\N	CD	56562143
1030263	3520	1997-08-12	PRIJEM	PREVOD Z UCTU	16677	45209	\N	CD	56562143
1030264	3520	1997-09-12	PRIJEM	PREVOD Z UCTU	16677	47593	\N	CD	56562143
1030265	3520	1997-10-12	PRIJEM	PREVOD Z UCTU	16677	46481	\N	CD	56562143
1030266	3520	1997-11-12	PRIJEM	PREVOD Z UCTU	16677	38457	\N	CD	56562143
1030267	3520	1997-12-12	PRIJEM	PREVOD Z UCTU	25016	51355	\N	CD	56562143
1030268	3520	1998-01-12	PRIJEM	PREVOD Z UCTU	16677	37751	\N	CD	56562143
1030269	3520	1998-02-12	PRIJEM	PREVOD Z UCTU	16677	38002	\N	CD	56562143
1030270	3520	1998-03-12	PRIJEM	PREVOD Z UCTU	16677	40556	\N	CD	56562143
1030271	3520	1998-04-12	PRIJEM	PREVOD Z UCTU	16677	42820	\N	CD	56562143
1030272	3520	1998-05-12	PRIJEM	PREVOD Z UCTU	16677	37575	\N	CD	56562143
1030273	3520	1998-06-12	PRIJEM	PREVOD Z UCTU	25016	43558	\N	CD	56562143
1030274	3520	1998-07-12	PRIJEM	PREVOD Z UCTU	16677	37800	\N	CD	56562143
1030275	3520	1998-08-12	PRIJEM	PREVOD Z UCTU	16677	32142	\N	CD	56562143
1030276	3520	1998-09-12	PRIJEM	PREVOD Z UCTU	16677	37478	\N	CD	56562143
1030277	3520	1998-10-12	PRIJEM	PREVOD Z UCTU	16677	35120	\N	CD	56562143
1030278	3520	1998-11-12	PRIJEM	PREVOD Z UCTU	16677	39166	\N	CD	56562143
1030279	3520	1998-12-12	PRIJEM	PREVOD Z UCTU	25016	47168	\N	CD	56562143
1030281	3520	1995-10-20	VYBER	VYBER	22952	23298	\N	\N	\N
1030289	3520	1996-08-03	VYBER	VYBER	12442	30003	\N	\N	\N
1030290	3520	1996-09-17	VYBER	VYBER	2190	23716	\N	\N	\N
1030292	3520	1996-09-12	VYBER	VYBER	22915	25906	\N	\N	\N
1030294	3520	1998-01-12	VYBER	VYBER	4517	33234	\N	\N	\N
1030295	3520	1998-04-14	VYBER	VYBER	6813	36007	\N	\N	\N
1030296	3520	1995-12-27	VYDAJ	VYBER	2400	46858	\N	\N	\N
1030297	3520	1996-12-29	VYDAJ	VYBER	2400	35214	\N	\N	\N
1030298	3520	1997-12-20	VYDAJ	VYBER	7800	43555	\N	\N	\N
1030299	3520	1998-12-01	VYDAJ	VYBER	2400	24552	\N	\N	\N
1030306	3520	1996-01-17	VYDAJ	VYBER	7200	26590	\N	\N	\N
1030307	3520	1996-01-16	VYDAJ	VYBER	6000	33790	\N	\N	\N
1030309	3520	1996-01-13	VYDAJ	VYBER	7800	44290	\N	\N	\N
1030310	3520	1996-01-23	VYDAJ	VYBER	5100	21490	\N	\N	\N
1030311	3520	1996-01-13	VYDAJ	VYBER	4500	39790	\N	\N	\N
1030312	3520	1997-01-09	VYDAJ	VYBER	8400	23028	\N	\N	\N
1030313	3520	1997-01-07	VYDAJ	VYBER	3900	31428	\N	\N	\N
1030315	3520	1997-01-12	VYDAJ	VYBER	2400	37305	\N	\N	\N
1030316	3520	1997-01-22	VYDAJ	VYBER	7500	22305	\N	\N	\N
1030318	3520	1998-01-15	VYDAJ	VYBER	8700	24534	\N	\N	\N
1030321	3520	1998-01-28	VYDAJ	VYBER	3300	21234	\N	\N	\N
1030323	3520	1998-01-02	VYDAJ	VYBER	4200	21074	\N	\N	\N
1030324	3520	1995-11-29	VYDAJ	VYBER	1800	26027	\N	\N	\N
1030328	3520	1995-11-28	VYDAJ	VYBER	9300	27827	\N	\N	\N
1030329	3520	1995-10-15	VYDAJ	VYBER	7800	46250	\N	\N	\N
1030331	3520	1996-04-30	VYDAJ	VYBER	13500	27466	\N	\N	\N
1030332	3520	1996-11-12	VYDAJ	VYBER	13800	32161	\N	\N	\N
1030333	3520	1996-05-15	VYDAJ	VYBER	13800	30343	\N	\N	\N
1030334	3520	1997-01-18	VYDAJ	VYBER	6000	29805	\N	\N	\N
1030336	3520	1997-10-16	VYDAJ	VYBER	13200	33281	\N	\N	\N
1030337	3520	1997-01-17	VYDAJ	VYBER	1500	35805	\N	\N	\N
1030339	3520	1998-12-12	VYDAJ	VYBER	3900	43268	\N	\N	\N
1030344	3520	1998-07-12	VYDAJ	VYBER	11700	26100	\N	\N	\N
1030345	3520	1998-12-04	VYDAJ	VYBER	2400	22152	\N	\N	\N
1030356	3520	1995-10-31	VYDAJ	VYBER	15	23450	SLUZBY	\N	\N
1030357	3520	1995-11-30	VYDAJ	VYBER	15	26142	SLUZBY	\N	\N
1030358	3520	1995-12-31	VYDAJ	VYBER	15	47013	SLUZBY	\N	\N
1030359	3520	1996-01-31	VYDAJ	VYBER	15	21419	SLUZBY	\N	\N
1030360	3520	1996-02-29	VYDAJ	VYBER	15	29672	SLUZBY	\N	\N
1030361	3520	1996-03-31	VYDAJ	VYBER	15	34359	SLUZBY	\N	\N
1030362	3520	1996-04-30	VYDAJ	VYBER	15	40966	SLUZBY	\N	\N
1030363	3520	1996-05-31	VYDAJ	VYBER	15	31475	SLUZBY	\N	\N
1030364	3520	1996-06-30	VYDAJ	VYBER	15	41012	SLUZBY	\N	\N
1030365	3520	1996-07-31	VYDAJ	VYBER	15	42445	SLUZBY	\N	\N
1030366	3520	1996-08-31	VYDAJ	VYBER	15	32144	SLUZBY	\N	\N
1030367	3520	1996-09-30	VYDAJ	VYBER	15	20828	SLUZBY	\N	\N
1030368	3520	1996-10-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
1030369	3520	1996-11-30	VYDAJ	VYBER	15	29398	SLUZBY	\N	\N
1030370	3520	1996-12-31	VYDAJ	VYBER	15	35328	SLUZBY	\N	\N
1030371	3520	1997-01-31	VYDAJ	VYBER	15	20513	SLUZBY	\N	\N
1030372	3520	1997-02-28	VYDAJ	VYBER	15	28267	SLUZBY	\N	\N
1030373	3520	1997-03-31	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
1030374	3520	1997-04-30	VYDAJ	VYBER	15	27426	SLUZBY	\N	\N
1030375	3520	1997-05-31	VYDAJ	VYBER	15	30505	SLUZBY	\N	\N
1030376	3520	1997-06-30	VYDAJ	VYBER	15	33837	SLUZBY	\N	\N
1030377	3520	1997-07-31	VYDAJ	VYBER	15	28532	SLUZBY	\N	\N
1030378	3520	1997-08-31	VYDAJ	VYBER	15	30916	SLUZBY	\N	\N
1030379	3520	1997-09-30	VYDAJ	VYBER	15	29804	SLUZBY	\N	\N
1030380	3520	1997-10-31	VYDAJ	VYBER	15	21780	SLUZBY	\N	\N
1030381	3520	1997-11-30	VYDAJ	VYBER	15	26339	SLUZBY	\N	\N
1030382	3520	1997-12-31	VYDAJ	VYBER	15	25274	SLUZBY	\N	\N
1030383	3520	1998-01-31	VYDAJ	VYBER	15	21325	SLUZBY	\N	\N
1030384	3520	1998-02-28	VYDAJ	VYBER	15	23879	SLUZBY	\N	\N
1030385	3520	1998-03-31	VYDAJ	VYBER	15	26143	SLUZBY	\N	\N
1030386	3520	1998-04-30	VYDAJ	VYBER	15	20898	SLUZBY	\N	\N
1030387	3520	1998-05-31	VYDAJ	VYBER	15	18542	SLUZBY	\N	\N
1030388	3520	1998-06-30	VYDAJ	VYBER	15	21123	SLUZBY	\N	\N
1030389	3520	1998-07-31	VYDAJ	VYBER	15	15465	SLUZBY	\N	\N
1030390	3520	1998-08-31	VYDAJ	VYBER	15	20801	SLUZBY	\N	\N
1030391	3520	1998-09-30	VYDAJ	VYBER	15	18443	SLUZBY	\N	\N
1030392	3520	1998-10-31	VYDAJ	VYBER	15	22489	SLUZBY	\N	\N
1030393	3520	1998-11-30	VYDAJ	VYBER	15	26952	SLUZBY	\N	\N
1030394	3520	1995-07-04	VYDAJ	VYBER	200	25684	\N	\N	\N
1030395	3520	1995-08-03	VYDAJ	VYBER	10200	32313	\N	\N	\N
1030396	3520	1995-09-02	VYDAJ	VYBER	14100	35085	\N	\N	\N
1030397	3520	1995-10-02	VYDAJ	VYBER	14600	37373	\N	\N	\N
1030398	3520	1995-11-01	VYDAJ	VYBER	3000	20450	\N	\N	\N
1030399	3520	1995-12-01	VYDAJ	VYBER	1900	24242	\N	\N	\N
1030400	3520	1995-12-31	VYDAJ	VYBER	11600	35413	\N	\N	\N
1030401	3520	1996-01-30	VYDAJ	VYBER	200	21290	\N	\N	\N
1030402	3520	1996-02-29	VYDAJ	VYBER	8500	29686	\N	\N	\N
1030403	3520	1996-03-30	VYDAJ	VYBER	12100	34249	\N	\N	\N
1030404	3520	1996-04-29	VYDAJ	VYBER	10200	40836	\N	\N	\N
1030405	3520	1996-05-29	PRIJEM	VKLAD	1000	31343	\N	\N	\N
1030406	3520	1996-06-28	VYDAJ	VYBER	15600	40891	\N	\N	\N
1030407	3520	1996-07-28	VYDAJ	VYBER	15400	42289	\N	\N	\N
1030408	3520	1996-08-27	VYDAJ	VYBER	14700	31980	\N	\N	\N
1030409	3520	1996-09-26	VYDAJ	VYBER	3000	20716	\N	\N	\N
1030410	3520	1996-10-26	VYDAJ	VYBER	8300	29205	\N	\N	\N
1030411	3520	1996-11-25	VYDAJ	VYBER	2900	29261	\N	\N	\N
1030412	3520	1996-12-25	VYDAJ	VYBER	16800	37614	\N	\N	\N
1030413	3520	1997-01-24	VYDAJ	VYBER	1900	20405	\N	\N	\N
1030414	3520	1997-02-23	VYDAJ	VYBER	9000	28190	\N	\N	\N
1030415	3520	1997-03-25	VYDAJ	VYBER	16400	28544	\N	\N	\N
1030416	3520	1997-04-24	VYDAJ	VYBER	18000	27323	\N	\N	\N
1030417	3520	1997-05-24	VYDAJ	VYBER	13700	30403	\N	\N	\N
1030418	3520	1997-06-23	VYDAJ	VYBER	21800	33721	\N	\N	\N
1030419	3520	1997-07-23	VYDAJ	VYBER	22100	28414	\N	\N	\N
1030420	3520	1997-08-22	VYDAJ	VYBER	14400	30809	\N	\N	\N
1030421	3520	1997-09-21	VYDAJ	VYBER	17900	29693	\N	\N	\N
1030422	3520	1997-10-21	VYDAJ	VYBER	11600	21681	\N	\N	\N
1030423	3520	1997-11-20	VYDAJ	VYBER	12200	26257	\N	\N	\N
1030424	3520	1997-12-20	VYDAJ	VYBER	18400	25155	\N	\N	\N
1030425	3520	1998-02-18	VYDAJ	VYBER	14200	23802	\N	\N	\N
1030426	3520	1998-03-20	VYDAJ	VYBER	14500	26056	\N	\N	\N
1030427	3520	1998-04-19	VYDAJ	VYBER	15200	20807	\N	\N	\N
1030428	3520	1998-05-19	VYDAJ	VYBER	19100	18475	\N	\N	\N
1030429	3520	1998-06-18	VYDAJ	VYBER	22500	21058	\N	\N	\N
1030430	3520	1998-07-18	VYDAJ	VYBER	10700	15400	\N	\N	\N
1030431	3520	1998-08-17	VYDAJ	VYBER	11400	20742	\N	\N	\N
1030432	3520	1998-09-16	VYDAJ	VYBER	19100	18378	\N	\N	\N
1030433	3520	1998-10-16	VYDAJ	VYBER	12700	22420	\N	\N	\N
1030434	3520	1998-11-15	VYDAJ	VYBER	12300	26866	\N	\N	\N
1030478	3521	1993-06-22	PRIJEM	VKLAD	700	700	\N	\N	\N
1030481	3521	1993-10-06	PRIJEM	VKLAD	49456	109167	\N	\N	\N
1030485	3521	1993-07-27	PRIJEM	VKLAD	34567	47367	\N	\N	\N
1030486	3521	1993-10-07	PRIJEM	VKLAD	35375	102742	\N	\N	\N
1030487	3521	1993-12-17	PRIJEM	VKLAD	25217	111453	\N	\N	\N
1030488	3521	1993-12-08	PRIJEM	VKLAD	24372	86236	\N	\N	\N
1030490	3521	1993-09-29	PRIJEM	VKLAD	47938	109647	\N	\N	\N
1030491	3521	1993-12-05	PRIJEM	VKLAD	30746	61864	\N	\N	\N
1030493	3521	1993-09-16	PRIJEM	VKLAD	36864	96509	\N	\N	\N
1030495	3521	1993-08-09	PRIJEM	VKLAD	42731	90130	\N	\N	\N
1030497	3521	1994-05-01	PRIJEM	VKLAD	23345	86634	\N	\N	\N
1030498	3521	1994-11-21	PRIJEM	VKLAD	40784	105259	\N	\N	\N
1030499	3521	1994-05-10	PRIJEM	VKLAD	30320	165362	\N	\N	\N
1030500	3521	1994-10-01	PRIJEM	VKLAD	26854	92340	\N	\N	\N
1030501	3521	1994-08-16	PRIJEM	VKLAD	24587	113026	\N	\N	\N
1030502	3521	1994-11-20	PRIJEM	VKLAD	17032	64475	\N	\N	\N
1030503	3521	1994-04-20	PRIJEM	VKLAD	42119	63094	\N	\N	\N
1030504	3521	1994-11-27	PRIJEM	VKLAD	48191	123650	\N	\N	\N
1030505	3521	1994-12-11	PRIJEM	VKLAD	37896	140856	\N	\N	\N
1030506	3521	1994-01-03	PRIJEM	VKLAD	13283	61162	\N	\N	\N
1030507	3521	1994-06-23	PRIJEM	VKLAD	21611	51467	\N	\N	\N
1030508	3521	1994-07-23	PRIJEM	VKLAD	27668	117426	\N	\N	\N
1030509	3521	1994-05-14	PRIJEM	VKLAD	24622	105084	\N	\N	\N
1030510	3521	1994-12-06	PRIJEM	VKLAD	41690	102960	\N	\N	\N
1030511	3521	1994-02-04	PRIJEM	VKLAD	33154	56158	\N	\N	\N
1030512	3521	1994-08-02	PRIJEM	VKLAD	49507	88439	\N	\N	\N
1030513	3521	1994-11-08	PRIJEM	VKLAD	22755	72743	\N	\N	\N
1030514	3521	1994-05-17	PRIJEM	VKLAD	39168	144252	\N	\N	\N
1030515	3521	1994-07-03	PRIJEM	VKLAD	48996	100659	\N	\N	\N
1030516	3521	1994-02-23	PRIJEM	VKLAD	43943	74847	\N	\N	\N
1030517	3521	1994-10-07	PRIJEM	VKLAD	34426	126766	\N	\N	\N
1030518	3521	1994-07-21	PRIJEM	VKLAD	24899	89758	\N	\N	\N
1030519	3521	1994-09-11	PRIJEM	VKLAD	16776	76302	\N	\N	\N
1030520	3521	1994-02-25	PRIJEM	VKLAD	34730	109577	\N	\N	\N
1030521	3521	1994-05-10	PRIJEM	VKLAD	48408	135042	\N	\N	\N
1030522	3521	1994-09-14	PRIJEM	VKLAD	32832	109134	\N	\N	\N
1030523	3521	1994-10-19	PRIJEM	VKLAD	17024	61426	\N	\N	\N
1030524	3521	1994-10-13	PRIJEM	VKLAD	26636	109302	\N	\N	\N
1030525	3521	1994-04-04	PRIJEM	VKLAD	17613	58875	\N	\N	\N
1030526	3521	1995-03-28	PRIJEM	VKLAD	31208	98828	\N	\N	\N
1030527	3521	1995-07-05	PRIJEM	VKLAD	31628	110448	\N	\N	\N
1030528	3521	1995-04-04	PRIJEM	VKLAD	49782	148845	\N	\N	\N
1030529	3521	1995-02-09	PRIJEM	VKLAD	5105	45060	\N	\N	\N
1030530	3521	1995-05-14	PRIJEM	VKLAD	47874	104290	\N	\N	\N
1030531	3521	1995-07-05	PRIJEM	VKLAD	49122	78820	\N	\N	\N
1030532	3521	1995-10-03	PRIJEM	VKLAD	49777	133986	\N	\N	\N
1030533	3521	1995-01-27	PRIJEM	VKLAD	27947	49720	\N	\N	\N
1030534	3521	1995-04-22	PRIJEM	VKLAD	9515	65234	\N	\N	\N
1030535	3521	1995-04-28	PRIJEM	VKLAD	28429	93663	\N	\N	\N
1030536	3521	1995-05-04	PRIJEM	VKLAD	39362	133345	\N	\N	\N
1030537	3521	1995-10-29	PRIJEM	VKLAD	31641	103174	\N	\N	\N
1030538	3521	1995-08-27	PRIJEM	VKLAD	19601	70594	\N	\N	\N
1030539	3521	1995-05-13	PRIJEM	VKLAD	45771	115316	\N	\N	\N
1030540	3521	1995-10-09	PRIJEM	VKLAD	29546	137033	\N	\N	\N
1030541	3521	1995-04-10	PRIJEM	VKLAD	25261	113406	\N	\N	\N
1030542	3521	1995-06-21	PRIJEM	VKLAD	24805	89065	\N	\N	\N
1030543	3521	1995-02-17	PRIJEM	VKLAD	26200	62260	\N	\N	\N
1030544	3521	1995-07-12	PRIJEM	VKLAD	20792	118340	\N	\N	\N
1030545	3521	1995-08-17	PRIJEM	VKLAD	12960	50993	\N	\N	\N
1030546	3521	1995-10-04	PRIJEM	VKLAD	17501	128787	\N	\N	\N
1030547	3521	1995-09-13	PRIJEM	VKLAD	36094	83898	\N	\N	\N
1030548	3521	1995-04-10	PRIJEM	VKLAD	25513	138919	\N	\N	\N
1030549	3521	1995-12-09	PRIJEM	VKLAD	16469	78970	\N	\N	\N
1030550	3521	1995-12-26	PRIJEM	VKLAD	13268	56238	\N	\N	\N
1030551	3521	1995-03-23	PRIJEM	VKLAD	35662	67620	\N	\N	\N
1030552	3521	1996-01-22	PRIJEM	VKLAD	22488	86823	\N	\N	\N
1030553	3521	1996-07-08	PRIJEM	VKLAD	31929	63780	\N	\N	\N
1030554	3521	1996-09-12	PRIJEM	VKLAD	30338	74388	\N	\N	\N
1030555	3521	1996-12-29	PRIJEM	VKLAD	24471	85613	\N	\N	\N
1030556	3521	1996-05-07	PRIJEM	VKLAD	25207	128890	\N	\N	\N
1030557	3521	1996-02-29	PRIJEM	VKLAD	41150	95538	\N	\N	\N
1030558	3521	1996-08-21	PRIJEM	VKLAD	21092	48877	\N	\N	\N
1030559	3521	1996-10-22	PRIJEM	VKLAD	11085	123734	\N	\N	\N
1030560	3521	1996-10-13	PRIJEM	VKLAD	38190	94690	\N	\N	\N
1030561	3521	1996-01-03	PRIJEM	VKLAD	9160	112435	\N	\N	\N
1030562	3521	1996-07-16	PRIJEM	VKLAD	13596	118478	\N	\N	\N
1030563	3521	1996-09-06	PRIJEM	VKLAD	37357	68876	\N	\N	\N
1030564	3521	1996-05-29	PRIJEM	VKLAD	38257	100912	\N	\N	\N
1030565	3521	1996-06-17	PRIJEM	VKLAD	42328	143241	\N	\N	\N
1030566	3521	1996-01-31	PRIJEM	VKLAD	20177	53233	\N	\N	\N
1030567	3521	1996-09-20	PRIJEM	VKLAD	34228	108616	\N	\N	\N
1030568	3521	1996-02-28	PRIJEM	VKLAD	33867	62628	\N	\N	\N
1030569	3521	1996-12-11	PRIJEM	VKLAD	36789	68042	\N	\N	\N
1030570	3521	1996-02-01	PRIJEM	VKLAD	6052	59561	\N	\N	\N
1030571	3521	1996-04-16	PRIJEM	VKLAD	48652	103306	\N	\N	\N
1030572	3521	1996-05-12	PRIJEM	VKLAD	42621	105711	\N	\N	\N
1030573	3521	1996-05-28	PRIJEM	VKLAD	15944	121655	\N	\N	\N
1030574	3521	1996-01-02	PRIJEM	VKLAD	46830	103275	\N	\N	\N
1030575	3521	1996-07-12	PRIJEM	VKLAD	41102	104882	\N	\N	\N
1030576	3521	1996-03-26	PRIJEM	VKLAD	23758	85581	\N	\N	\N
1030577	3521	1996-10-18	PRIJEM	VKLAD	17959	112649	\N	\N	\N
1030578	3521	1996-06-09	PRIJEM	VKLAD	36008	100913	\N	\N	\N
1030579	3521	1997-09-06	PRIJEM	VKLAD	42673	76889	\N	\N	\N
1030580	3521	1997-07-08	PRIJEM	VKLAD	22200	57408	\N	\N	\N
1030581	3521	1997-05-22	PRIJEM	VKLAD	31442	142379	\N	\N	\N
1030582	3521	1997-11-16	PRIJEM	VKLAD	33639	73879	\N	\N	\N
1030583	3521	1997-08-18	PRIJEM	VKLAD	22093	48221	\N	\N	\N
1030584	3521	1997-12-07	PRIJEM	VKLAD	18783	60516	\N	\N	\N
1030585	3521	1997-01-25	PRIJEM	VKLAD	16905	85530	\N	\N	\N
1030586	3521	1997-04-04	PRIJEM	VKLAD	48748	81238	\N	\N	\N
1030587	3521	1997-06-19	PRIJEM	VKLAD	31556	67148	\N	\N	\N
1030588	3521	1997-05-17	PRIJEM	VKLAD	45282	110937	\N	\N	\N
1030589	3521	1997-03-21	PRIJEM	VKLAD	42397	120975	\N	\N	\N
1030590	3521	1997-05-31	PRIJEM	VKLAD	26153	139232	\N	\N	\N
1030591	3521	1997-02-05	PRIJEM	VKLAD	34961	84312	\N	\N	\N
1030592	3521	1997-12-29	PRIJEM	VKLAD	46788	76704	\N	\N	\N
1030593	3521	1997-04-15	PRIJEM	VKLAD	18732	99970	\N	\N	\N
1030594	3521	1997-05-12	PRIJEM	VKLAD	18170	65655	\N	\N	\N
1030595	3521	1997-08-19	PRIJEM	VKLAD	8159	56380	\N	\N	\N
1030596	3521	1997-10-14	PRIJEM	VKLAD	30970	68695	\N	\N	\N
1030597	3521	1997-03-04	PRIJEM	VKLAD	14925	62633	\N	\N	\N
1030598	3521	1997-03-12	PRIJEM	VKLAD	15945	78578	\N	\N	\N
1030599	3521	1997-11-19	PRIJEM	VKLAD	6457	80336	\N	\N	\N
1030600	3521	1997-01-24	PRIJEM	VKLAD	45573	74325	\N	\N	\N
1030601	3521	1997-09-21	PRIJEM	VKLAD	10696	73024	\N	\N	\N
1030602	3521	1997-07-28	PRIJEM	VKLAD	16950	48658	\N	\N	\N
1030603	3521	1997-11-14	PRIJEM	VKLAD	7111	40240	\N	\N	\N
1030604	3521	1998-02-02	PRIJEM	VKLAD	48928	76646	\N	\N	\N
1030605	3521	1998-12-10	PRIJEM	VKLAD	16380	48521	\N	\N	\N
1030606	3521	1998-05-17	PRIJEM	VKLAD	16312	47373	\N	\N	\N
1030607	3521	1998-04-11	PRIJEM	VKLAD	18964	66602	\N	\N	\N
1030608	3521	1998-03-09	PRIJEM	VKLAD	49696	91542	\N	\N	\N
1030609	3521	1998-01-02	PRIJEM	VKLAD	5585	68972	\N	\N	\N
1030610	3521	1998-07-16	PRIJEM	VKLAD	29771	52596	\N	\N	\N
1030611	3521	1998-05-27	PRIJEM	VKLAD	10591	57964	\N	\N	\N
1030612	3521	1998-01-06	PRIJEM	VKLAD	23777	55249	\N	\N	\N
1030613	3521	1998-10-23	PRIJEM	VKLAD	37256	66530	\N	\N	\N
1030617	3521	1993-10-30	VYBER	VYBER	5330	48312	\N	\N	\N
1030622	3521	1993-11-25	VYBER	VYBER	4210	30944	\N	\N	\N
1030627	3521	1994-12-11	VYBER	VYBER	6657	134199	\N	\N	\N
1030629	3521	1994-02-10	VYBER	VYBER	5554	50604	\N	\N	\N
1030630	3521	1996-01-23	VYBER	VYBER	11767	75056	\N	\N	\N
1030631	3521	1996-09-03	VYBER	VYBER	5002	44019	\N	\N	\N
1030632	3521	1996-09-23	VYBER	VYBER	18602	90014	\N	\N	\N
1030633	3521	1996-07-16	VYBER	VYBER	17881	100597	\N	\N	\N
1030635	3521	1996-07-21	VYBER	VYBER	12549	37248	\N	\N	\N
1030636	3521	1996-09-09	VYBER	VYBER	24826	44050	\N	\N	\N
1030638	3521	1996-10-24	VYBER	VYBER	3486	67748	\N	\N	\N
1030640	3521	1997-03-22	VYBER	VYBER	18526	44849	\N	\N	\N
1030644	3521	1997-09-12	VYBER	VYBER	14561	62328	\N	\N	\N
1030645	3521	1997-07-09	VYBER	VYBER	16884	40524	\N	\N	\N
1030647	3521	1997-06-05	VYBER	VYBER	10017	49013	\N	\N	\N
1030648	3521	1997-02-26	VYBER	VYBER	11828	72484	\N	\N	\N
1030650	3521	1997-06-16	VYBER	VYBER	13421	35592	\N	\N	\N
1030651	3521	1997-07-22	VYBER	VYBER	8816	31708	\N	\N	\N
1030652	3521	1997-04-15	VYBER	VYBER	16494	83476	\N	\N	\N
1030656	3521	1998-05-06	VYBER	VYBER	7613	31061	\N	\N	\N
1030659	3521	1994-06-04	VYDAJ	VYBER	21000	36756	\N	\N	\N
1030660	3521	1995-06-23	VYDAJ	VYBER	59700	29365	\N	\N	\N
1030661	3521	1996-06-26	VYDAJ	VYBER	56100	33541	\N	\N	\N
1030665	3521	1994-01-04	VYDAJ	VYBER	4500	56662	\N	\N	\N
1030667	3521	1996-01-26	VYDAJ	VYBER	18000	50456	\N	\N	\N
1030669	3521	1998-01-04	VYDAJ	VYBER	27300	31472	\N	\N	\N
1030670	3521	1993-12-29	VYDAJ	VYBER	2700	47653	\N	\N	\N
1030671	3521	1994-12-25	VYDAJ	VYBER	2400	63699	\N	\N	\N
1030672	3521	1995-12-21	VYDAJ	VYBER	8100	42970	\N	\N	\N
1030673	3521	1996-12-26	VYDAJ	VYBER	6900	61142	\N	\N	\N
1030674	3521	1997-12-18	VYDAJ	VYBER	5700	54816	\N	\N	\N
1030675	3521	1998-12-17	VYDAJ	VYBER KARTOU	3900	44621	\N	\N	0
1030682	3521	1994-01-21	VYDAJ	VYBER	2400	22862	\N	\N	\N
1030683	3521	1994-01-13	VYDAJ	VYBER	2700	43162	\N	\N	\N
1030684	3521	1994-01-09	VYDAJ	VYBER	8100	48562	\N	\N	\N
1030685	3521	1994-01-11	VYDAJ	VYBER	2700	45862	\N	\N	\N
1030687	3521	1994-01-19	VYDAJ	VYBER	7200	25262	\N	\N	\N
1030689	3521	1995-01-16	VYDAJ	VYBER	6300	21773	\N	\N	\N
1030690	3521	1995-01-10	VYDAJ	VYBER	5100	34573	\N	\N	\N
1030691	3521	1995-01-27	VYDAJ	VYBER KARTOU	3600	46120	\N	\N	0
1030692	3521	1995-01-10	VYDAJ	VYBER	7800	39673	\N	\N	\N
1030693	3521	1995-01-08	VYDAJ	VYBER KARTOU	3600	47473	\N	\N	0
1030694	3521	1996-01-28	VYDAJ	VYBER	8100	33056	\N	\N	\N
1030695	3521	1996-01-24	VYDAJ	VYBER	6600	68456	\N	\N	\N
1030696	3521	1996-01-16	VYDAJ	VYBER	4200	66135	\N	\N	\N
1030697	3521	1996-01-27	VYDAJ	VYBER	7500	41156	\N	\N	\N
1030698	3521	1996-01-26	VYDAJ	VYBER KARTOU	1800	48656	\N	\N	0
1030699	3521	1996-01-16	VYDAJ	VYBER KARTOU	1800	64335	\N	\N	0
1030700	3521	1997-01-06	VYDAJ	VYBER KARTOU	1800	52752	\N	\N	0
1030701	3521	1997-01-18	VYDAJ	VYBER KARTOU	3600	37152	\N	\N	0
1030702	3521	1997-01-23	VYDAJ	VYBER	8400	28752	\N	\N	\N
1030703	3521	1997-01-13	VYDAJ	VYBER KARTOU	2400	40752	\N	\N	0
1030704	3521	1997-01-24	VYDAJ	VYBER	5700	68625	\N	\N	\N
1030705	3521	1997-01-26	VYDAJ	VYBER	7200	78330	\N	\N	\N
1030707	3521	1998-01-09	VYDAJ	VYBER	7500	47749	\N	\N	\N
1030708	3521	1998-01-01	VYDAJ	VYBER	7500	69387	\N	\N	\N
1030709	3521	1998-01-01	VYDAJ	VYBER	6000	63387	\N	\N	\N
1030710	3521	1998-01-02	VYDAJ	VYBER	4200	58772	\N	\N	\N
1030711	3521	1998-01-02	VYDAJ	VYBER	6000	62972	\N	\N	\N
1030715	3521	1993-10-28	VYDAJ	VYBER	8400	53642	\N	\N	\N
1030717	3521	1994-12-29	VYDAJ	VYBER	12900	50799	\N	\N	\N
1030718	3521	1994-02-10	VYDAJ	VYBER	11400	39204	\N	\N	\N
1030719	3521	1994-10-30	VYDAJ	VYBER	11700	49726	\N	\N	\N
1030720	3521	1994-04-19	VYDAJ	VYBER	13800	20975	\N	\N	\N
1030721	3521	1994-04-07	VYDAJ	VYBER	6900	51975	\N	\N	\N
1030722	3521	1994-07-25	VYDAJ	VYBER	14400	38726	\N	\N	\N
1030723	3521	1994-04-09	VYDAJ	VYBER	6600	45375	\N	\N	\N
1030724	3521	1995-04-06	VYDAJ	VYBER	10800	109345	\N	\N	\N
1030725	3521	1995-07-08	VYDAJ	VYBER	12900	97548	\N	\N	\N
1030726	3521	1995-03-17	VYDAJ	VYBER	11100	31958	\N	\N	\N
1030727	3521	1995-03-09	VYDAJ	VYBER KARTOU	1800	60658	\N	\N	0
1030728	3521	1995-02-08	VYDAJ	VYBER	6300	39955	\N	\N	\N
1030729	3521	1995-11-04	VYDAJ	VYBER	5400	98113	\N	\N	\N
1030730	3521	1996-07-26	VYDAJ	VYBER KARTOU	3900	33348	\N	\N	0
1030731	3521	1996-02-28	VYDAJ	VYBER	8400	54228	\N	\N	\N
1030732	3521	1996-02-12	VYDAJ	VYBER	11700	28761	\N	\N	\N
1030734	3521	1997-05-27	VYDAJ	VYBER	10800	113079	\N	\N	\N
1030736	3521	1997-01-07	VYDAJ	VYBER	9600	43152	\N	\N	\N
1030737	3521	1998-03-20	VYDAJ	VYBER	11700	79842	\N	\N	\N
1030750	3521	1993-10-31	VYDAJ	VYBER	15	48654	SLUZBY	\N	\N
1030751	3521	1993-11-30	VYDAJ	VYBER	15	31118	SLUZBY	\N	\N
1030752	3521	1993-12-31	VYDAJ	VYBER	15	47879	SLUZBY	\N	\N
1030753	3521	1994-01-31	VYDAJ	VYBER	15	23004	SLUZBY	\N	\N
1030754	3521	1994-02-28	VYDAJ	VYBER	15	61921	SLUZBY	\N	\N
1030755	3521	1994-03-31	VYDAJ	VYBER	15	41262	SLUZBY	\N	\N
1030756	3521	1994-04-30	VYDAJ	VYBER	15	63289	SLUZBY	\N	\N
1030757	3521	1994-05-31	VYDAJ	VYBER	15	57756	SLUZBY	\N	\N
1030758	3521	1994-06-30	VYDAJ	VYBER	15	51663	SLUZBY	\N	\N
1030759	3521	1994-07-31	VYDAJ	VYBER	15	38932	SLUZBY	\N	\N
1030760	3521	1994-08-31	VYDAJ	VYBER	15	59526	SLUZBY	\N	\N
1030761	3521	1994-09-30	VYDAJ	VYBER	15	65486	SLUZBY	\N	\N
1030762	3521	1994-10-31	VYDAJ	VYBER	15	49988	SLUZBY	\N	\N
1030763	3521	1994-11-30	VYDAJ	VYBER	15	61270	SLUZBY	\N	\N
1030764	3521	1994-12-31	VYDAJ	VYBER	15	51073	SLUZBY	\N	\N
1030765	3521	1995-01-31	VYDAJ	VYBER	15	46255	SLUZBY	\N	\N
1030766	3521	1995-02-28	VYDAJ	VYBER	15	62458	SLUZBY	\N	\N
1030767	3521	1995-03-31	VYDAJ	VYBER	15	99063	SLUZBY	\N	\N
1030768	3521	1995-04-30	VYDAJ	VYBER	15	93983	SLUZBY	\N	\N
1030769	3521	1995-05-31	VYDAJ	VYBER	15	104660	SLUZBY	\N	\N
1030770	3521	1995-06-30	VYDAJ	VYBER	15	29698	SLUZBY	\N	\N
1030771	3521	1995-07-31	VYDAJ	VYBER	15	51233	SLUZBY	\N	\N
1030772	3521	1995-08-31	VYDAJ	VYBER	15	70804	SLUZBY	\N	\N
1030773	3521	1995-09-30	VYDAJ	VYBER	15	84209	SLUZBY	\N	\N
1030774	3521	1995-10-31	VYDAJ	VYBER	15	103513	SLUZBY	\N	\N
1030775	3521	1995-11-30	VYDAJ	VYBER	15	62501	SLUZBY	\N	\N
1030776	3521	1995-12-31	VYDAJ	VYBER	15	56445	SLUZBY	\N	\N
1030777	3521	1996-01-31	VYDAJ	VYBER	15	53509	SLUZBY	\N	\N
1030778	3521	1996-02-29	VYDAJ	VYBER	15	95523	SLUZBY	\N	\N
1030779	3521	1996-03-31	VYDAJ	VYBER	15	85954	SLUZBY	\N	\N
1030780	3521	1996-04-30	VYDAJ	VYBER	15	103683	SLUZBY	\N	\N
1030781	3521	1996-05-31	VYDAJ	VYBER	15	101305	SLUZBY	\N	\N
1030782	3521	1996-06-30	VYDAJ	VYBER	15	33951	SLUZBY	\N	\N
1030783	3521	1996-07-31	VYDAJ	VYBER	15	33585	SLUZBY	\N	\N
1030784	3521	1996-08-31	VYDAJ	VYBER	15	49021	SLUZBY	\N	\N
1030785	3521	1996-09-30	VYDAJ	VYBER	15	90300	SLUZBY	\N	\N
1030786	3521	1996-10-31	VYDAJ	VYBER	15	68091	SLUZBY	\N	\N
1030787	3521	1996-11-30	VYDAJ	VYBER	15	45353	SLUZBY	\N	\N
1030788	3521	1996-12-31	VYDAJ	VYBER	15	85852	SLUZBY	\N	\N
1030789	3521	1997-01-31	VYDAJ	VYBER	15	78551	SLUZBY	\N	\N
1030790	3521	1997-02-28	VYDAJ	VYBER	15	72808	SLUZBY	\N	\N
1030791	3521	1997-03-31	VYDAJ	VYBER	15	45090	SLUZBY	\N	\N
1030792	3521	1997-04-30	VYDAJ	VYBER	15	83785	SLUZBY	\N	\N
1030793	3521	1997-05-31	VYDAJ	VYBER	15	139630	SLUZBY	\N	\N
1030794	3521	1997-06-30	VYDAJ	VYBER	15	67408	SLUZBY	\N	\N
1030795	3521	1997-07-31	VYDAJ	VYBER	15	26128	SLUZBY	\N	\N
1030796	3521	1997-08-31	VYDAJ	VYBER	15	34216	SLUZBY	\N	\N
1030797	3521	1997-09-30	VYDAJ	VYBER	15	37725	SLUZBY	\N	\N
1030798	3521	1997-10-31	VYDAJ	VYBER	15	33129	SLUZBY	\N	\N
1030799	3521	1997-11-30	VYDAJ	VYBER	15	41733	SLUZBY	\N	\N
1030800	3521	1997-12-31	VYDAJ	VYBER	15	76887	SLUZBY	\N	\N
1030801	3521	1998-01-31	VYDAJ	VYBER	15	27718	SLUZBY	\N	\N
1030802	3521	1998-02-28	VYDAJ	VYBER	15	41846	SLUZBY	\N	\N
1030803	3521	1998-03-31	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
1030804	3521	1998-04-30	VYDAJ	VYBER	15	38674	SLUZBY	\N	\N
1030805	3521	1998-05-31	VYDAJ	VYBER	15	33310	SLUZBY	\N	\N
1030806	3521	1998-06-30	VYDAJ	VYBER	15	22825	SLUZBY	\N	\N
1030807	3521	1998-07-31	VYDAJ	VYBER	15	29074	SLUZBY	\N	\N
1030808	3521	1998-08-31	VYDAJ	VYBER	15	29059	SLUZBY	\N	\N
1030809	3521	1998-09-30	VYDAJ	VYBER	15	29274	SLUZBY	\N	\N
1030810	3521	1998-10-31	VYDAJ	VYBER	15	32031	SLUZBY	\N	\N
1030811	3521	1998-11-30	VYDAJ	VYBER	15	32141	SLUZBY	\N	\N
1030812	3521	1993-07-22	PRIJEM	VKLAD	12100	12800	\N	\N	\N
1030813	3521	1993-08-21	VYDAJ	VYBER	30700	59430	\N	\N	\N
1030814	3521	1993-09-20	VYDAJ	VYBER	34800	61709	\N	\N	\N
1030815	3521	1993-09-29	VYDAJ	VYBER	50200	59447	\N	\N	\N
1030816	3521	1993-10-06	VYDAJ	VYBER	41800	67367	\N	\N	\N
1030817	3521	1993-10-20	VYDAJ	VYBER	40700	62042	\N	\N	\N
1030818	3521	1993-11-19	VYDAJ	VYBER	13500	35154	\N	\N	\N
1030819	3521	1993-12-17	VYDAJ	VYBER	34500	76953	\N	\N	\N
1030820	3521	1993-12-19	VYDAJ	VYBER	26600	50353	\N	\N	\N
1030821	3521	1994-01-18	VYDAJ	VYBER	10700	32462	\N	\N	\N
1030822	3521	1994-02-17	VYDAJ	VYBER	8300	30904	\N	\N	\N
1030823	3521	1994-02-25	VYDAJ	VYBER	47800	61777	\N	\N	\N
1030824	3521	1994-03-19	VYDAJ	VYBER	20900	41021	\N	\N	\N
1030825	3521	1994-04-18	VYDAJ	VYBER	10600	34775	\N	\N	\N
1030826	3521	1994-05-10	VYDAJ	VYBER	50900	80462	\N	\N	\N
1030827	3521	1994-05-10	VYDAJ	VYBER	34000	131362	\N	\N	\N
1030828	3521	1994-05-17	VYDAJ	VYBER	50700	93552	\N	\N	\N
1030829	3521	1994-05-18	VYDAJ	VYBER	36100	57452	\N	\N	\N
1030830	3521	1994-06-17	VYDAJ	VYBER	6900	29856	\N	\N	\N
1030831	3521	1994-07-17	VYDAJ	VYBER	35800	64859	\N	\N	\N
1030832	3521	1994-07-23	VYDAJ	VYBER	64300	53126	\N	\N	\N
1030833	3521	1994-08-16	VYDAJ	VYBER	22800	59226	\N	\N	\N
1030834	3521	1994-08-16	VYDAJ	VYBER	31000	82026	\N	\N	\N
1030835	3521	1994-09-15	VYDAJ	VYBER	43900	65234	\N	\N	\N
1030836	3521	1994-10-07	VYDAJ	VYBER	44100	82666	\N	\N	\N
1030837	3521	1994-10-13	VYDAJ	VYBER	47100	62202	\N	\N	\N
1030838	3521	1994-10-15	VYDAJ	VYBER	17800	44402	\N	\N	\N
1030839	3521	1994-11-14	VYDAJ	VYBER	25300	47443	\N	\N	\N
1030840	3521	1994-11-21	VYDAJ	VYBER	29800	75459	\N	\N	\N
1030841	3521	1994-11-27	VYDAJ	VYBER	62600	61050	\N	\N	\N
1030842	3521	1994-12-11	VYDAJ	VYBER	25800	108399	\N	\N	\N
1030843	3521	1994-12-14	VYDAJ	VYBER	42300	66099	\N	\N	\N
1030844	3521	1995-01-13	VYDAJ	VYBER	6500	28073	\N	\N	\N
1030845	3521	1995-02-12	VYDAJ	VYBER	9000	36060	\N	\N	\N
1030846	3521	1995-03-14	VYDAJ	VYBER	17600	43058	\N	\N	\N
1030847	3521	1995-04-04	VYDAJ	VYBER	28700	120145	\N	\N	\N
1030848	3521	1995-04-06	VYDAJ	VYBER	21200	88145	\N	\N	\N
1030849	3521	1995-04-10	VYDAJ	VYBER	27600	89119	\N	\N	\N
1030850	3521	1995-04-10	VYDAJ	VYBER	22200	116719	\N	\N	\N
1030851	3521	1995-04-13	VYDAJ	VYBER	33400	55719	\N	\N	\N
1030852	3521	1995-05-04	VYDAJ	VYBER	63800	69545	\N	\N	\N
1030853	3521	1995-05-13	VYDAJ	VYBER	31100	56416	\N	\N	\N
1030854	3521	1995-05-13	VYDAJ	VYBER	27800	87516	\N	\N	\N
1030855	3521	1995-06-12	VYDAJ	VYBER	40400	64260	\N	\N	\N
1030856	3521	1995-07-12	VYDAJ	VYBER	38800	50840	\N	\N	\N
1030857	3521	1995-07-12	VYDAJ	VYBER	28700	89640	\N	\N	\N
1030858	3521	1995-08-11	VYDAJ	VYBER	13200	38033	\N	\N	\N
1030859	3521	1995-09-10	VYDAJ	VYBER	23000	47804	\N	\N	\N
1030860	3521	1995-10-03	VYDAJ	VYBER	22700	111286	\N	\N	\N
1030861	3521	1995-10-04	VYDAJ	VYBER	21300	107487	\N	\N	\N
1030862	3521	1995-10-09	VYDAJ	VYBER	17800	119233	\N	\N	\N
1030863	3521	1995-10-10	VYDAJ	VYBER	47700	71533	\N	\N	\N
1030864	3521	1995-11-09	VYDAJ	VYBER	35900	62213	\N	\N	\N
1030865	3521	1995-12-09	VYDAJ	VYBER	27900	51070	\N	\N	\N
1030866	3521	1996-01-08	VYDAJ	VYBER	42100	70335	\N	\N	\N
1030867	3521	1996-02-07	VYDAJ	VYBER	19100	40461	\N	\N	\N
1030868	3521	1996-03-08	VYDAJ	VYBER	33700	61823	\N	\N	\N
1030869	3521	1996-04-07	VYDAJ	VYBER	31300	54654	\N	\N	\N
1030870	3521	1996-05-07	VYDAJ	VYBER	22500	63090	\N	\N	\N
1030871	3521	1996-05-07	VYDAJ	VYBER	43300	85590	\N	\N	\N
1030872	3521	1996-05-28	VYDAJ	VYBER	59000	62655	\N	\N	\N
1030873	3521	1996-06-06	VYDAJ	VYBER	36400	64905	\N	\N	\N
1030874	3521	1996-06-17	VYDAJ	VYBER	53600	89641	\N	\N	\N
1030875	3521	1996-07-06	VYDAJ	VYBER KARTOU	2100	31851	\N	\N	0
1030876	3521	1996-07-16	VYDAJ	VYBER	50800	49797	\N	\N	\N
1030877	3521	1996-08-05	VYDAJ	VYBER	5800	27785	\N	\N	\N
1030878	3521	1996-09-04	VYDAJ	VYBER	12500	31519	\N	\N	\N
1030879	3521	1996-10-04	VYDAJ	VYBER	33800	56500	\N	\N	\N
1030880	3521	1996-10-22	VYDAJ	VYBER	52500	71234	\N	\N	\N
1030881	3521	1996-11-03	VYDAJ	VYBER	23000	45091	\N	\N	\N
1030882	3521	1996-12-03	VYDAJ	VYBER	14100	31253	\N	\N	\N
1030883	3521	1997-01-02	VYDAJ	VYBER	31300	54552	\N	\N	\N
1030884	3521	1997-02-01	VYDAJ	VYBER	29200	49351	\N	\N	\N
1030885	3521	1997-03-03	VYDAJ	VYBER	25100	47708	\N	\N	\N
1030886	3521	1997-03-21	VYDAJ	VYBER	57600	63375	\N	\N	\N
1030887	3521	1997-04-02	VYDAJ	VYBER	12600	32490	\N	\N	\N
1030888	3521	1997-05-02	VYDAJ	VYBER	36300	47485	\N	\N	\N
1030889	3521	1997-05-22	VYDAJ	VYBER	18500	123879	\N	\N	\N
1030890	3521	1997-05-31	VYDAJ	VYBER	32900	106730	\N	\N	\N
1030891	3521	1997-06-01	VYDAJ	VYBER	47700	59030	\N	\N	\N
1030892	3521	1997-07-01	VYDAJ	VYBER	32200	35208	\N	\N	\N
1030893	3521	1997-07-31	VYDAJ	VYBER	22700	26143	\N	\N	\N
1030894	3521	1997-08-30	VYDAJ	VYBER	22300	34080	\N	\N	\N
1030895	3521	1997-09-29	VYDAJ	VYBER	35500	37524	\N	\N	\N
1030896	3521	1997-10-29	VYDAJ	VYBER	35700	32995	\N	\N	\N
1030897	3521	1997-11-28	VYDAJ	VYBER	38800	41536	\N	\N	\N
1030898	3521	1997-12-28	VYDAJ	VYBER	24900	29916	\N	\N	\N
1030899	3521	1998-01-27	VYDAJ	VYBER	20200	27549	\N	\N	\N
1030900	3521	1998-02-26	VYDAJ	VYBER	34900	41746	\N	\N	\N
1030901	3521	1998-03-28	VYDAJ	VYBER	32400	47442	\N	\N	\N
1030902	3521	1998-04-27	VYDAJ	VYBER	28100	38502	\N	\N	\N
1030903	3521	1998-05-27	VYDAJ	VYBER	24800	33164	\N	\N	\N
1030904	3521	1998-06-26	VYDAJ	VYBER	10600	22710	\N	\N	\N
1030905	3521	1998-07-26	VYDAJ	VYBER	23600	28996	\N	\N	\N
1030906	3521	1998-10-24	VYDAJ	VYBER	34600	31930	\N	\N	\N
1030973	3522	1996-06-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1030979	3522	1996-06-14	PRIJEM	PREVOD Z UCTU	6919	7919	DUCHOD	KL	78817206
1030980	3522	1996-07-14	PRIJEM	PREVOD Z UCTU	6919	14857	DUCHOD	KL	78817206
1030981	3522	1996-08-14	PRIJEM	PREVOD Z UCTU	6919	21809	DUCHOD	KL	78817206
1030982	3522	1996-09-14	PRIJEM	PREVOD Z UCTU	6919	26061	DUCHOD	KL	78817206
1030983	3522	1996-10-14	PRIJEM	PREVOD Z UCTU	6919	25756	DUCHOD	KL	78817206
1030984	3522	1996-11-14	PRIJEM	PREVOD Z UCTU	6919	28539	DUCHOD	KL	78817206
1030985	3522	1996-12-14	PRIJEM	PREVOD Z UCTU	6919	31030	DUCHOD	KL	78817206
1030986	3522	1997-01-14	PRIJEM	PREVOD Z UCTU	6919	28026	DUCHOD	KL	78817206
1030987	3522	1997-02-14	PRIJEM	PREVOD Z UCTU	6919	28070	DUCHOD	KL	78817206
1030988	3522	1997-03-14	PRIJEM	PREVOD Z UCTU	6919	30982	DUCHOD	KL	78817206
1030989	3522	1997-04-14	PRIJEM	PREVOD Z UCTU	6919	29793	DUCHOD	KL	78817206
1030990	3522	1997-05-14	PRIJEM	PREVOD Z UCTU	6919	27285	DUCHOD	KL	78817206
1030991	3522	1997-06-14	PRIJEM	PREVOD Z UCTU	6919	27894	DUCHOD	KL	78817206
1030992	3522	1997-07-14	PRIJEM	PREVOD Z UCTU	6919	21024	DUCHOD	KL	78817206
1030993	3522	1997-08-14	PRIJEM	PREVOD Z UCTU	6919	22694	DUCHOD	KL	78817206
1030994	3522	1997-09-14	PRIJEM	PREVOD Z UCTU	6919	23651	DUCHOD	KL	78817206
1030995	3522	1997-10-14	PRIJEM	PREVOD Z UCTU	6919	20071	DUCHOD	KL	78817206
1030996	3522	1997-11-14	PRIJEM	PREVOD Z UCTU	6919	19522	DUCHOD	KL	78817206
1030997	3522	1997-12-14	PRIJEM	PREVOD Z UCTU	6919	20766	DUCHOD	KL	78817206
1030998	3522	1998-01-14	PRIJEM	PREVOD Z UCTU	6919	19666	DUCHOD	KL	78817206
1030999	3522	1998-02-14	PRIJEM	PREVOD Z UCTU	6919	23515	DUCHOD	KL	78817206
1031000	3522	1998-03-14	PRIJEM	PREVOD Z UCTU	6919	20078	DUCHOD	KL	78817206
1031001	3522	1998-04-14	PRIJEM	PREVOD Z UCTU	6919	24630	DUCHOD	KL	78817206
1031002	3522	1998-05-14	PRIJEM	PREVOD Z UCTU	6919	17896	DUCHOD	KL	78817206
1031003	3522	1998-06-14	PRIJEM	PREVOD Z UCTU	6919	18290	DUCHOD	KL	78817206
1031004	3522	1998-07-14	PRIJEM	PREVOD Z UCTU	6919	22829	DUCHOD	KL	78817206
1031005	3522	1998-08-14	PRIJEM	PREVOD Z UCTU	6919	18486	DUCHOD	KL	78817206
1031006	3522	1998-09-14	PRIJEM	PREVOD Z UCTU	6919	21428	DUCHOD	KL	78817206
1031007	3522	1998-10-14	PRIJEM	PREVOD Z UCTU	6919	21338	DUCHOD	KL	78817206
1031008	3522	1998-11-14	PRIJEM	PREVOD Z UCTU	6919	22129	DUCHOD	KL	78817206
1031009	3522	1998-12-14	PRIJEM	PREVOD Z UCTU	6919	25589	DUCHOD	KL	78817206
1031019	3522	1996-10-14	VYDAJ	PREVOD NA UCET	2423	23333	SIPO	IJ	26984930
1031020	3522	1996-11-14	VYDAJ	PREVOD NA UCET	2423	26116	SIPO	IJ	26984930
1031021	3522	1996-12-14	VYDAJ	PREVOD NA UCET	2423	28607	SIPO	IJ	26984930
1031022	3522	1997-01-14	VYDAJ	PREVOD NA UCET	2423	25603	SIPO	IJ	26984930
1031023	3522	1997-02-14	VYDAJ	PREVOD NA UCET	2423	25647	SIPO	IJ	26984930
1031024	3522	1997-03-14	VYDAJ	PREVOD NA UCET	2423	28559	SIPO	IJ	26984930
1031025	3522	1997-04-14	VYDAJ	PREVOD NA UCET	2423	27370	SIPO	IJ	26984930
1031026	3522	1997-05-14	VYDAJ	PREVOD NA UCET	2423	24862	SIPO	IJ	26984930
1031027	3522	1997-06-14	VYDAJ	PREVOD NA UCET	2423	25471	SIPO	IJ	26984930
1031028	3522	1997-07-14	VYDAJ	PREVOD NA UCET	2423	18601	SIPO	IJ	26984930
1031029	3522	1997-08-14	VYDAJ	PREVOD NA UCET	2423	20271	SIPO	IJ	26984930
1031030	3522	1997-09-14	VYDAJ	PREVOD NA UCET	2423	21228	SIPO	IJ	26984930
1031031	3522	1997-10-14	VYDAJ	PREVOD NA UCET	2423	17648	SIPO	IJ	26984930
1031032	3522	1997-11-14	VYDAJ	PREVOD NA UCET	2423	17099	SIPO	IJ	26984930
1031033	3522	1997-12-14	VYDAJ	PREVOD NA UCET	2423	18343	SIPO	IJ	26984930
1031034	3522	1998-01-14	VYDAJ	PREVOD NA UCET	2423	17243	SIPO	IJ	26984930
1031035	3522	1998-02-14	VYDAJ	PREVOD NA UCET	2423	21092	SIPO	IJ	26984930
1031036	3522	1998-03-14	VYDAJ	PREVOD NA UCET	2423	17655	SIPO	IJ	26984930
1031037	3522	1998-04-14	VYDAJ	PREVOD NA UCET	2423	22207	SIPO	IJ	26984930
1031038	3522	1998-05-14	VYDAJ	PREVOD NA UCET	2423	15473	SIPO	IJ	26984930
1031039	3522	1998-06-14	VYDAJ	PREVOD NA UCET	2423	15867	SIPO	IJ	26984930
1031040	3522	1998-07-14	VYDAJ	PREVOD NA UCET	2423	20406	SIPO	IJ	26984930
1031041	3522	1998-08-14	VYDAJ	PREVOD NA UCET	2423	16063	SIPO	IJ	26984930
1031042	3522	1998-09-14	VYDAJ	PREVOD NA UCET	2423	19005	SIPO	IJ	26984930
1031043	3522	1998-10-14	VYDAJ	PREVOD NA UCET	2423	18915	SIPO	IJ	26984930
1031044	3522	1998-11-14	VYDAJ	PREVOD NA UCET	2423	19706	SIPO	IJ	26984930
1031045	3522	1998-12-14	VYDAJ	PREVOD NA UCET	2423	23166	SIPO	IJ	26984930
1031047	3522	1997-06-27	VYDAJ	VYBER	10250	15221	\N	\N	\N
1031050	3522	1997-01-01	VYDAJ	VYBER	1300	27107	\N	\N	\N
1031052	3522	1996-12-19	VYDAJ	VYBER	300	28307	\N	\N	\N
1031053	3522	1997-12-18	VYDAJ	VYBER	750	17593	\N	\N	\N
1031054	3522	1998-12-12	VYDAJ	VYBER	1100	18670	\N	\N	\N
1031057	3522	1997-05-30	VYDAJ	VYBER	480	24382	\N	\N	\N
1031058	3522	1997-12-03	VYDAJ	VYBER	2000	13847	\N	\N	\N
1031059	3522	1997-03-08	VYDAJ	VYBER	1280	24063	\N	\N	\N
1031060	3522	1997-01-25	VYDAJ	VYBER	1040	24563	\N	\N	\N
1031061	3522	1997-09-23	VYDAJ	VYBER	3440	17788	\N	\N	\N
1031062	3522	1997-07-23	VYDAJ	VYBER	2880	15721	\N	\N	\N
1031063	3522	1997-03-26	VYDAJ	VYBER	3280	25279	\N	\N	\N
1031064	3522	1998-09-21	VYDAJ	VYBER	1120	17885	\N	\N	\N
1031065	3522	1998-12-15	VYDAJ	VYBER	400	22766	\N	\N	\N
1031066	3522	1998-05-23	VYDAJ	VYBER	1440	14033	\N	\N	\N
1031067	3522	1998-09-22	VYDAJ	VYBER	1760	16125	\N	\N	\N
1031068	3522	1998-08-25	VYDAJ	VYBER	1600	14463	\N	\N	\N
1031069	3522	1998-09-29	VYDAJ	VYBER	1760	14365	\N	\N	\N
1031070	3522	1998-10-24	VYDAJ	VYBER	3760	15155	\N	\N	\N
1031081	3522	1996-10-31	VYDAJ	VYBER	15	23420	SLUZBY	\N	\N
1031082	3522	1996-11-30	VYDAJ	VYBER	15	26211	SLUZBY	\N	\N
1031083	3522	1996-12-31	VYDAJ	VYBER	15	28407	SLUZBY	\N	\N
1031084	3522	1997-01-31	VYDAJ	VYBER	15	24651	SLUZBY	\N	\N
1031085	3522	1997-02-28	VYDAJ	VYBER	15	25743	SLUZBY	\N	\N
1031086	3522	1997-03-31	VYDAJ	VYBER	15	25374	SLUZBY	\N	\N
1031087	3522	1997-04-30	VYDAJ	VYBER	15	27466	SLUZBY	\N	\N
1031088	3522	1997-05-31	VYDAJ	VYBER	15	24475	SLUZBY	\N	\N
1031089	3522	1997-06-30	VYDAJ	VYBER	15	15305	SLUZBY	\N	\N
1031090	3522	1997-07-31	VYDAJ	VYBER	15	15775	SLUZBY	\N	\N
1031091	3522	1997-08-31	VYDAJ	VYBER	15	16732	SLUZBY	\N	\N
1031092	3522	1997-09-30	VYDAJ	VYBER	15	13152	SLUZBY	\N	\N
1031093	3522	1997-10-31	VYDAJ	VYBER	15	12603	SLUZBY	\N	\N
1031094	3522	1997-11-30	VYDAJ	VYBER	15	15847	SLUZBY	\N	\N
1031095	3522	1997-12-31	VYDAJ	VYBER	15	12747	SLUZBY	\N	\N
1031096	3522	1998-01-31	VYDAJ	VYBER	15	16596	SLUZBY	\N	\N
1031097	3522	1998-02-28	VYDAJ	VYBER	15	13159	SLUZBY	\N	\N
1031098	3522	1998-03-31	VYDAJ	VYBER	15	17711	SLUZBY	\N	\N
1031099	3522	1998-04-30	VYDAJ	VYBER	15	10977	SLUZBY	\N	\N
1031100	3522	1998-05-31	VYDAJ	VYBER	15	11371	SLUZBY	\N	\N
1031101	3522	1998-06-30	VYDAJ	VYBER	15	15910	SLUZBY	\N	\N
1031102	3522	1998-07-31	VYDAJ	VYBER	15	11567	SLUZBY	\N	\N
1031103	3522	1998-08-31	VYDAJ	VYBER	15	14509	SLUZBY	\N	\N
1031104	3522	1998-09-30	VYDAJ	VYBER	15	14419	SLUZBY	\N	\N
1031105	3522	1998-10-31	VYDAJ	VYBER	15	15210	SLUZBY	\N	\N
1031106	3522	1998-11-30	VYDAJ	VYBER	15	19770	SLUZBY	\N	\N
1031107	3522	1996-09-05	VYDAJ	VYBER	2700	19142	\N	\N	\N
1031108	3522	1996-10-05	VYDAJ	VYBER	7300	18837	\N	\N	\N
1031109	3522	1996-11-04	VYDAJ	VYBER	1800	21620	\N	\N	\N
1031110	3522	1996-12-04	VYDAJ	VYBER	2100	24111	\N	\N	\N
1031111	3522	1997-01-03	VYDAJ	VYBER	6000	21107	\N	\N	\N
1031112	3522	1997-02-02	VYDAJ	VYBER	3500	21151	\N	\N	\N
1031113	3522	1997-03-04	VYDAJ	VYBER	400	25343	\N	\N	\N
1031114	3522	1997-04-03	VYDAJ	VYBER	2500	22874	\N	\N	\N
1031115	3522	1997-05-03	VYDAJ	VYBER	7100	20366	\N	\N	\N
1031116	3522	1997-06-02	VYDAJ	VYBER	3500	20975	\N	\N	\N
1031117	3522	1997-07-02	VYDAJ	VYBER	1200	14105	\N	\N	\N
1031118	3522	1997-08-31	VYDAJ	VYBER	3600	16747	\N	\N	\N
1031119	3522	1997-09-30	VYDAJ	VYBER	4700	13167	\N	\N	\N
1031120	3522	1997-10-30	VYDAJ	VYBER	5100	12548	\N	\N	\N
1031121	3522	1997-11-29	VYDAJ	VYBER	1300	15799	\N	\N	\N
1031122	3522	1997-12-29	VYDAJ	VYBER	4900	12693	\N	\N	\N
1031123	3522	1998-01-28	VYDAJ	VYBER	700	16543	\N	\N	\N
1031124	3522	1998-02-27	VYDAJ	VYBER	8000	13092	\N	\N	\N
1031125	3522	1998-04-28	VYDAJ	VYBER	11300	10907	\N	\N	\N
1031126	3522	1998-05-28	VYDAJ	VYBER	2700	11333	\N	\N	\N
1031127	3522	1998-07-27	VYDAJ	VYBER	8900	11506	\N	\N	\N
1031159	3523	1996-05-14	PRIJEM	VKLAD	600	600	\N	\N	\N
1031232	3523	1996-06-13	PRIJEM	VKLAD	12800	13400	\N	\N	\N
1031233	3523	1996-07-13	PRIJEM	VKLAD	4600	18000	\N	\N	\N
1031234	3523	1996-08-12	PRIJEM	VKLAD	2700	20700	\N	\N	\N
1031235	3523	1996-09-11	PRIJEM	VKLAD	3100	23800	\N	\N	\N
1031236	3523	1996-10-11	PRIJEM	VKLAD	600	24400	\N	\N	\N
1031237	3523	1996-11-10	PRIJEM	VKLAD	1100	25500	\N	\N	\N
1031238	3523	1996-12-10	VYDAJ	VYBER	3100	22400	\N	\N	\N
1031239	3523	1997-01-09	VYDAJ	VYBER	3400	19000	\N	\N	\N
1031240	3523	1997-02-08	VYDAJ	VYBER	1500	17500	\N	\N	\N
1031241	3523	1997-03-10	VYDAJ	VYBER	600	16900	\N	\N	\N
1031242	3523	1997-04-09	PRIJEM	VKLAD	4600	21500	\N	\N	\N
1031243	3523	1997-05-09	PRIJEM	VKLAD	1600	23100	\N	\N	\N
1031244	3523	1997-06-08	PRIJEM	VKLAD	2700	25800	\N	\N	\N
1031245	3523	1997-07-08	PRIJEM	VKLAD	3800	29600	\N	\N	\N
1031246	3523	1997-08-07	VYDAJ	VYBER	1400	28200	\N	\N	\N
1031247	3523	1997-09-06	PRIJEM	VKLAD	1000	29200	\N	\N	\N
1031248	3523	1997-10-06	PRIJEM	VKLAD	4600	33800	\N	\N	\N
1031249	3523	1997-11-05	PRIJEM	VKLAD	2300	36100	\N	\N	\N
1031250	3523	1997-12-05	PRIJEM	VKLAD	4000	40100	\N	\N	\N
1031251	3523	1998-01-04	PRIJEM	VKLAD	1200	41300	\N	\N	\N
1031252	3523	1998-02-03	PRIJEM	VKLAD	2000	43300	\N	\N	\N
1031253	3523	1998-03-05	PRIJEM	VKLAD	800	44100	\N	\N	\N
1031254	3523	1998-04-04	PRIJEM	VKLAD	200	44300	\N	\N	\N
1031255	3523	1998-05-04	PRIJEM	VKLAD	1800	46100	\N	\N	\N
1031256	3523	1998-06-03	PRIJEM	VKLAD	2300	48400	\N	\N	\N
1031257	3523	1998-07-03	VYDAJ	VYBER	300	48100	\N	\N	\N
1031258	3523	1998-08-02	PRIJEM	VKLAD	1600	49700	\N	\N	\N
1031259	3523	1998-09-01	VYDAJ	VYBER	3900	45800	\N	\N	\N
1031260	3523	1998-10-01	VYDAJ	VYBER	4600	41200	\N	\N	\N
1031261	3523	1998-10-31	PRIJEM	VKLAD	2700	43906	\N	\N	\N
1031262	3523	1998-11-30	VYDAJ	VYBER	2800	41106	\N	\N	\N
1031264	3524	1997-06-28	PRIJEM	VKLAD	200	200	\N	\N	\N
1031271	3524	1997-07-06	PRIJEM	PREVOD Z UCTU	4826	5026	DUCHOD	UV	74559348
1031272	3524	1997-08-06	PRIJEM	PREVOD Z UCTU	4826	9852	DUCHOD	UV	74559348
1031273	3524	1997-09-06	PRIJEM	PREVOD Z UCTU	4826	14678	DUCHOD	UV	74559348
1031274	3524	1997-10-06	PRIJEM	PREVOD Z UCTU	4826	19504	DUCHOD	UV	74559348
1031275	3524	1997-11-06	PRIJEM	PREVOD Z UCTU	4826	24330	DUCHOD	UV	74559348
1031276	3524	1997-12-06	PRIJEM	PREVOD Z UCTU	4826	26146	DUCHOD	UV	74559348
1031277	3524	1998-01-06	PRIJEM	PREVOD Z UCTU	4826	17471	DUCHOD	UV	74559348
1031278	3524	1998-02-06	PRIJEM	PREVOD Z UCTU	4826	17361	DUCHOD	UV	74559348
1031279	3524	1998-03-06	PRIJEM	PREVOD Z UCTU	4826	17807	DUCHOD	UV	74559348
1031280	3524	1998-04-06	PRIJEM	PREVOD Z UCTU	4826	19617	DUCHOD	UV	74559348
1031281	3524	1998-05-06	PRIJEM	PREVOD Z UCTU	4826	21136	DUCHOD	UV	74559348
1031282	3524	1998-06-06	PRIJEM	PREVOD Z UCTU	4826	19957	DUCHOD	UV	74559348
1031283	3524	1998-07-06	PRIJEM	PREVOD Z UCTU	4826	16168	DUCHOD	UV	74559348
1031284	3524	1998-08-06	PRIJEM	PREVOD Z UCTU	4826	17472	DUCHOD	UV	74559348
1031285	3524	1998-09-06	PRIJEM	PREVOD Z UCTU	4826	18780	DUCHOD	UV	74559348
1031286	3524	1998-10-06	PRIJEM	PREVOD Z UCTU	4826	15488	DUCHOD	UV	74559348
1031287	3524	1998-11-06	PRIJEM	PREVOD Z UCTU	4826	15787	DUCHOD	UV	74559348
1031288	3524	1998-12-06	PRIJEM	PREVOD Z UCTU	4826	14300	DUCHOD	UV	74559348
1031299	3524	1997-11-09	VYDAJ	PREVOD NA UCET	3060	21270	SIPO	WX	74303066
1031300	3524	1997-12-09	VYDAJ	PREVOD NA UCET	3060	23086	SIPO	WX	74303066
1031301	3524	1998-01-09	VYDAJ	PREVOD NA UCET	3060	13451	SIPO	WX	74303066
1031302	3524	1998-02-09	VYDAJ	PREVOD NA UCET	3060	14301	SIPO	WX	74303066
1031303	3524	1998-03-09	VYDAJ	PREVOD NA UCET	3060	14747	SIPO	WX	74303066
1031304	3524	1998-04-09	VYDAJ	PREVOD NA UCET	3060	16557	SIPO	WX	74303066
1031305	3524	1998-05-09	VYDAJ	PREVOD NA UCET	3060	18076	SIPO	WX	74303066
1031306	3524	1998-06-09	VYDAJ	PREVOD NA UCET	3060	16897	SIPO	WX	74303066
1031307	3524	1998-07-09	VYDAJ	PREVOD NA UCET	3060	13108	SIPO	WX	74303066
1031308	3524	1998-08-09	VYDAJ	PREVOD NA UCET	3060	14412	SIPO	WX	74303066
1031309	3524	1998-09-09	VYDAJ	PREVOD NA UCET	3060	15720	SIPO	WX	74303066
1031310	3524	1998-10-09	VYDAJ	PREVOD NA UCET	3060	11228	SIPO	WX	74303066
1031311	3524	1998-11-09	VYDAJ	PREVOD NA UCET	3060	9447	SIPO	WX	74303066
1031312	3524	1998-12-09	VYDAJ	PREVOD NA UCET	3060	11240	SIPO	WX	74303066
1031314	3524	1998-06-13	VYDAJ	VYBER	1900	14997	\N	\N	\N
1031315	3524	1997-12-22	VYDAJ	VYBER	750	19456	\N	\N	\N
1031326	3524	1998-01-24	VYDAJ	VYBER	480	12971	\N	\N	\N
1031327	3524	1998-01-06	VYDAJ	VYBER	960	16511	\N	\N	\N
1031328	3524	1998-01-24	VYDAJ	VYBER	480	12491	\N	\N	\N
1031330	3524	1997-12-22	VYDAJ	VYBER	2560	16896	\N	\N	\N
1031331	3524	1997-12-30	VYDAJ	VYBER	880	16016	\N	\N	\N
1031332	3524	1997-12-15	VYDAJ	VYBER	2880	20206	\N	\N	\N
1031334	3524	1998-02-12	VYDAJ	VYBER	1360	12941	\N	\N	\N
1031335	3524	1998-01-01	VYDAJ	VYBER	3440	12645	\N	\N	\N
1031336	3524	1998-11-07	VYDAJ	VYBER	3280	12507	\N	\N	\N
1031337	3524	1998-10-06	VYDAJ	VYBER	1200	14288	\N	\N	\N
1031350	3524	1997-11-30	VYDAJ	VYBER	15	21320	SLUZBY	\N	\N
1031351	3524	1997-12-31	VYDAJ	VYBER	15	16085	SLUZBY	\N	\N
1031352	3524	1998-01-31	VYDAJ	VYBER	15	12535	SLUZBY	\N	\N
1031353	3524	1998-02-28	VYDAJ	VYBER	15	12981	SLUZBY	\N	\N
1031354	3524	1998-03-31	VYDAJ	VYBER	15	14791	SLUZBY	\N	\N
1031355	3524	1998-04-30	VYDAJ	VYBER	15	16310	SLUZBY	\N	\N
1031356	3524	1998-05-31	VYDAJ	VYBER	15	15131	SLUZBY	\N	\N
1031357	3524	1998-06-30	VYDAJ	VYBER	15	11342	SLUZBY	\N	\N
1031358	3524	1998-07-31	VYDAJ	VYBER	15	12646	SLUZBY	\N	\N
1031359	3524	1998-08-31	VYDAJ	VYBER	15	13954	SLUZBY	\N	\N
1031360	3524	1998-09-30	VYDAJ	VYBER	15	10662	SLUZBY	\N	\N
1031361	3524	1998-10-31	VYDAJ	VYBER	15	10961	SLUZBY	\N	\N
1031362	3524	1998-11-30	VYDAJ	VYBER	15	9474	SLUZBY	\N	\N
1031363	3524	1998-04-24	VYDAJ	VYBER	300	16257	\N	\N	\N
1031364	3524	1998-05-24	VYDAJ	VYBER	3000	15076	\N	\N	\N
1031365	3524	1998-06-23	VYDAJ	VYBER	3700	11297	\N	\N	\N
1031366	3524	1998-07-23	VYDAJ	VYBER	500	12608	\N	\N	\N
1031367	3524	1998-08-22	VYDAJ	VYBER	500	13912	\N	\N	\N
1031368	3524	1998-09-21	VYDAJ	VYBER	5100	10620	\N	\N	\N
1031369	3524	1998-10-21	VYDAJ	VYBER	300	10928	\N	\N	\N
1031384	3525	1995-12-01	PRIJEM	VKLAD	600	600	\N	\N	\N
1031396	3525	1995-12-10	PRIJEM	VKLAD	6940	7540	\N	\N	\N
1031397	3525	1996-01-10	PRIJEM	VKLAD	4627	20891	\N	\N	\N
1031398	3525	1996-02-10	PRIJEM	VKLAD	4627	30388	\N	\N	\N
1031399	3525	1996-03-10	PRIJEM	VKLAD	4627	32822	\N	\N	\N
1031400	3525	1996-04-10	PRIJEM	VKLAD	4627	33667	\N	\N	\N
1031401	3525	1996-05-10	PRIJEM	VKLAD	4627	29018	\N	\N	\N
1031402	3525	1996-06-10	PRIJEM	VKLAD	6940	27563	\N	\N	\N
1031403	3525	1996-07-10	PRIJEM	VKLAD	4627	23985	\N	\N	\N
1031404	3525	1996-08-10	PRIJEM	VKLAD	4627	23055	\N	\N	\N
1031405	3525	1996-09-10	PRIJEM	VKLAD	4627	19958	\N	\N	\N
1031406	3525	1996-10-10	PRIJEM	VKLAD	4627	22254	\N	\N	\N
1031407	3525	1996-11-10	PRIJEM	VKLAD	4627	17700	\N	\N	\N
1031408	3525	1996-12-10	PRIJEM	VKLAD	6940	21208	\N	\N	\N
1031409	3525	1997-01-10	PRIJEM	VKLAD	4627	18763	\N	\N	\N
1031410	3525	1997-02-10	PRIJEM	VKLAD	4627	18028	\N	\N	\N
1031411	3525	1997-03-10	PRIJEM	VKLAD	4627	20517	\N	\N	\N
1031412	3525	1997-04-10	PRIJEM	VKLAD	4627	18012	\N	\N	\N
1031413	3525	1997-05-10	PRIJEM	VKLAD	4627	18398	\N	\N	\N
1031414	3525	1997-06-10	PRIJEM	VKLAD	6940	22301	\N	\N	\N
1031415	3525	1997-07-10	PRIJEM	VKLAD	4627	15894	\N	\N	\N
1031416	3525	1997-08-10	PRIJEM	VKLAD	4627	17473	\N	\N	\N
1031417	3525	1997-09-10	PRIJEM	VKLAD	4627	19058	\N	\N	\N
1031418	3525	1997-10-10	PRIJEM	VKLAD	4627	20650	\N	\N	\N
1031419	3525	1997-11-10	PRIJEM	VKLAD	4627	21529	\N	\N	\N
1031420	3525	1997-12-10	PRIJEM	VKLAD	6940	25447	\N	\N	\N
1031421	3525	1998-01-10	PRIJEM	VKLAD	4627	21260	\N	\N	\N
1031422	3525	1998-02-10	PRIJEM	VKLAD	4627	19260	\N	\N	\N
1031423	3525	1998-03-10	PRIJEM	VKLAD	4627	20852	\N	\N	\N
1031424	3525	1998-04-10	PRIJEM	VKLAD	4627	22452	\N	\N	\N
1031425	3525	1998-05-10	PRIJEM	VKLAD	4627	18163	\N	\N	\N
1031426	3525	1998-06-10	PRIJEM	VKLAD	6940	22064	\N	\N	\N
1031427	3525	1998-07-10	PRIJEM	VKLAD	4627	18856	\N	\N	\N
1031428	3525	1998-08-10	PRIJEM	VKLAD	4627	19365	\N	\N	\N
1031429	3525	1998-09-10	PRIJEM	VKLAD	4627	20959	\N	\N	\N
1031430	3525	1998-10-10	PRIJEM	VKLAD	4627	22558	\N	\N	\N
1031431	3525	1998-11-10	PRIJEM	VKLAD	4627	24165	\N	\N	\N
1031432	3525	1998-12-10	PRIJEM	VKLAD	6940	28090	\N	\N	\N
1031448	3525	1996-04-13	VYDAJ	PREVOD NA UCET	3084	30583	SIPO	UV	81389748
1031449	3525	1996-05-13	VYDAJ	PREVOD NA UCET	3084	25934	SIPO	UV	81389748
1031450	3525	1996-06-13	VYDAJ	PREVOD NA UCET	3084	24479	SIPO	UV	81389748
1031451	3525	1996-07-13	VYDAJ	PREVOD NA UCET	3084	20901	SIPO	UV	81389748
1031452	3525	1996-08-13	VYDAJ	PREVOD NA UCET	3084	19971	SIPO	UV	81389748
1031453	3525	1996-09-13	VYDAJ	PREVOD NA UCET	3084	16874	SIPO	UV	81389748
1031454	3525	1996-10-13	VYDAJ	PREVOD NA UCET	3084	19170	SIPO	UV	81389748
1031455	3525	1996-11-13	VYDAJ	PREVOD NA UCET	3084	14616	SIPO	UV	81389748
1031456	3525	1996-12-13	VYDAJ	PREVOD NA UCET	3084	18124	SIPO	UV	81389748
1031457	3525	1997-01-13	VYDAJ	PREVOD NA UCET	3084	12799	SIPO	UV	81389748
1031458	3525	1997-02-13	VYDAJ	PREVOD NA UCET	3084	14944	SIPO	UV	81389748
1031459	3525	1997-03-13	VYDAJ	PREVOD NA UCET	3084	17433	SIPO	UV	81389748
1031460	3525	1997-04-13	VYDAJ	PREVOD NA UCET	3084	14928	SIPO	UV	81389748
1031461	3525	1997-05-13	VYDAJ	PREVOD NA UCET	3084	15314	SIPO	UV	81389748
1031462	3525	1997-06-13	VYDAJ	PREVOD NA UCET	3084	19217	SIPO	UV	81389748
1031463	3525	1997-07-13	VYDAJ	PREVOD NA UCET	3084	12810	SIPO	UV	81389748
1031464	3525	1997-08-13	VYDAJ	PREVOD NA UCET	3084	14389	SIPO	UV	81389748
1031465	3525	1997-09-13	VYDAJ	PREVOD NA UCET	3084	15974	SIPO	UV	81389748
1031466	3525	1997-10-13	VYDAJ	PREVOD NA UCET	3084	17566	SIPO	UV	81389748
1031467	3525	1997-11-13	VYDAJ	PREVOD NA UCET	3084	18445	SIPO	UV	81389748
1031468	3525	1997-12-13	VYDAJ	PREVOD NA UCET	3084	22363	SIPO	UV	81389748
1031469	3525	1998-01-13	VYDAJ	PREVOD NA UCET	3084	18176	SIPO	UV	81389748
1031470	3525	1998-02-13	VYDAJ	PREVOD NA UCET	3084	16176	SIPO	UV	81389748
1031471	3525	1998-03-13	VYDAJ	PREVOD NA UCET	3084	17768	SIPO	UV	81389748
1031472	3525	1998-04-13	VYDAJ	PREVOD NA UCET	3084	13488	SIPO	UV	81389748
1031473	3525	1998-05-13	VYDAJ	PREVOD NA UCET	3084	15079	SIPO	UV	81389748
1031474	3525	1998-06-13	VYDAJ	PREVOD NA UCET	3084	18980	SIPO	UV	81389748
1031475	3525	1998-07-13	VYDAJ	PREVOD NA UCET	3084	14692	SIPO	UV	81389748
1031476	3525	1998-08-13	VYDAJ	PREVOD NA UCET	3084	16281	SIPO	UV	81389748
1031477	3525	1998-09-13	VYDAJ	PREVOD NA UCET	3084	17875	SIPO	UV	81389748
1031478	3525	1998-10-13	VYDAJ	PREVOD NA UCET	3084	19474	SIPO	UV	81389748
1031479	3525	1998-11-13	VYDAJ	PREVOD NA UCET	3084	21081	SIPO	UV	81389748
1031480	3525	1998-12-13	VYDAJ	PREVOD NA UCET	3084	25006	SIPO	UV	81389748
1031490	3525	1996-12-27	VYDAJ	VYBER	3040	14084	\N	\N	\N
1031491	3525	1997-12-27	VYDAJ	VYBER	1120	19323	\N	\N	\N
1031492	3525	1998-12-26	VYDAJ	VYBER	1920	23086	\N	\N	\N
1031507	3525	1997-01-11	VYDAJ	VYBER	2880	15883	\N	\N	\N
1031508	3525	1997-01-28	VYDAJ	VYBER	1440	13359	\N	\N	\N
1031511	3525	1998-01-18	VYDAJ	VYBER	2160	14576	\N	\N	\N
1031512	3525	1998-01-01	VYDAJ	VYBER	2760	16633	\N	\N	\N
1031514	3525	1998-01-13	VYDAJ	VYBER	1440	16736	\N	\N	\N
1031520	3525	1996-08-21	VYDAJ	VYBER	3600	16371	\N	\N	\N
1031522	3525	1996-07-14	VYDAJ	VYBER	840	20061	\N	\N	\N
1031523	3525	1996-11-09	VYDAJ	VYBER	5760	13073	\N	\N	\N
1031528	3525	1997-11-09	VYDAJ	VYBER	720	16902	\N	\N	\N
1031529	3525	1997-12-25	VYDAJ	VYBER	1920	20443	\N	\N	\N
1031530	3525	1998-07-10	VYDAJ	VYBER	1080	17776	\N	\N	\N
1031532	3525	1998-04-11	VYDAJ	VYBER	5880	16572	\N	\N	\N
1031549	3525	1996-04-30	VYDAJ	VYBER	15	24391	SLUZBY	\N	\N
1031550	3525	1996-05-31	VYDAJ	VYBER	15	20623	SLUZBY	\N	\N
1031551	3525	1996-06-30	VYDAJ	VYBER	15	19358	SLUZBY	\N	\N
1031552	3525	1996-07-31	VYDAJ	VYBER	15	18428	SLUZBY	\N	\N
1031553	3525	1996-08-31	VYDAJ	VYBER	15	15331	SLUZBY	\N	\N
1031554	3525	1996-09-30	VYDAJ	VYBER	15	17627	SLUZBY	\N	\N
1031555	3525	1996-10-31	VYDAJ	VYBER	15	18833	SLUZBY	\N	\N
1031556	3525	1996-11-30	VYDAJ	VYBER	15	14268	SLUZBY	\N	\N
1031557	3525	1996-12-31	VYDAJ	VYBER	15	14136	SLUZBY	\N	\N
1031558	3525	1997-01-31	VYDAJ	VYBER	15	13401	SLUZBY	\N	\N
1031559	3525	1997-02-28	VYDAJ	VYBER	15	15890	SLUZBY	\N	\N
1031560	3525	1997-03-31	VYDAJ	VYBER	15	13385	SLUZBY	\N	\N
1031561	3525	1997-04-30	VYDAJ	VYBER	15	13771	SLUZBY	\N	\N
1031562	3525	1997-05-31	VYDAJ	VYBER	15	15361	SLUZBY	\N	\N
1031563	3525	1997-06-30	VYDAJ	VYBER	15	11267	SLUZBY	\N	\N
1031564	3525	1997-07-31	VYDAJ	VYBER	15	12846	SLUZBY	\N	\N
1031565	3525	1997-08-31	VYDAJ	VYBER	15	14431	SLUZBY	\N	\N
1031566	3525	1997-09-30	VYDAJ	VYBER	15	16023	SLUZBY	\N	\N
1031567	3525	1997-10-31	VYDAJ	VYBER	15	17622	SLUZBY	\N	\N
1031568	3525	1997-11-30	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
1031569	3525	1997-12-31	VYDAJ	VYBER	15	19393	SLUZBY	\N	\N
1031570	3525	1998-01-31	VYDAJ	VYBER	15	14633	SLUZBY	\N	\N
1031571	3525	1998-02-28	VYDAJ	VYBER	15	16225	SLUZBY	\N	\N
1031572	3525	1998-03-31	VYDAJ	VYBER	15	17825	SLUZBY	\N	\N
1031573	3525	1998-04-30	VYDAJ	VYBER	15	13536	SLUZBY	\N	\N
1031574	3525	1998-05-31	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
1031575	3525	1998-06-30	VYDAJ	VYBER	15	14229	SLUZBY	\N	\N
1031576	3525	1998-07-31	VYDAJ	VYBER	15	14738	SLUZBY	\N	\N
1031577	3525	1998-08-31	VYDAJ	VYBER	15	16332	SLUZBY	\N	\N
1031578	3525	1998-09-30	VYDAJ	VYBER	15	17931	SLUZBY	\N	\N
1031579	3525	1998-10-31	VYDAJ	VYBER	15	19538	SLUZBY	\N	\N
1031580	3525	1998-11-30	VYDAJ	VYBER	15	21150	SLUZBY	\N	\N
1031581	3525	1995-12-31	PRIJEM	VKLAD	8700	16240	\N	\N	\N
1031582	3525	1996-01-30	PRIJEM	VKLAD	4800	25691	\N	\N	\N
1031583	3525	1996-02-29	VYDAJ	VYBER	2300	28195	\N	\N	\N
1031584	3525	1996-03-30	VYDAJ	VYBER	3900	28922	\N	\N	\N
1031585	3525	1996-04-29	VYDAJ	VYBER	6300	24283	\N	\N	\N
1031586	3525	1996-05-29	VYDAJ	VYBER	5400	20534	\N	\N	\N
1031587	3525	1996-06-28	VYDAJ	VYBER	5200	19279	\N	\N	\N
1031588	3525	1996-07-28	VYDAJ	VYBER	1700	18361	\N	\N	\N
1031589	3525	1996-08-27	VYDAJ	VYBER	1100	15271	\N	\N	\N
1031590	3525	1996-09-26	PRIJEM	VKLAD	700	17574	\N	\N	\N
1031591	3525	1996-10-26	VYDAJ	VYBER	400	18770	\N	\N	\N
1031592	3525	1996-11-25	VYDAJ	VYBER	400	14216	\N	\N	\N
1031593	3525	1996-12-25	VYDAJ	VYBER	1000	17124	\N	\N	\N
1031594	3525	1997-01-24	PRIJEM	VKLAD	2000	14799	\N	\N	\N
1031595	3525	1997-02-23	PRIJEM	VKLAD	900	15844	\N	\N	\N
1031596	3525	1997-03-25	VYDAJ	VYBER	4100	13333	\N	\N	\N
1031597	3525	1997-04-24	VYDAJ	VYBER	1200	13728	\N	\N	\N
1031598	3525	1997-06-23	VYDAJ	VYBER	8000	11217	\N	\N	\N
1031599	3525	1998-06-18	VYDAJ	VYBER	4800	14180	\N	\N	\N
1031637	3526	1996-07-22	PRIJEM	VKLAD	200	200	\N	\N	\N
1031641	3526	1996-10-23	PRIJEM	VKLAD	31535	64503	\N	\N	\N
1031642	3526	1996-11-20	PRIJEM	VKLAD	10998	81344	\N	\N	\N
1031643	3526	1996-09-10	PRIJEM	VKLAD	23222	47451	\N	\N	\N
1031647	3526	1996-10-29	PRIJEM	VKLAD	37016	101519	\N	\N	\N
1031652	3526	1996-11-04	PRIJEM	VKLAD	26792	128505	\N	\N	\N
1031657	3526	1996-07-31	PRIJEM	VKLAD	24224	24427	\N	\N	\N
1031658	3526	1997-08-28	PRIJEM	VKLAD	46531	90104	\N	\N	\N
1031659	3526	1997-05-29	PRIJEM	VKLAD	44231	119439	\N	\N	\N
1031660	3526	1997-10-10	PRIJEM	VKLAD	48021	173197	\N	\N	\N
1031661	3526	1997-02-25	PRIJEM	VKLAD	10025	43666	\N	\N	\N
1031662	3526	1997-07-12	PRIJEM	VKLAD	31630	95373	\N	\N	\N
1031663	3526	1997-07-16	PRIJEM	VKLAD	10718	132378	\N	\N	\N
1031664	3526	1997-08-08	PRIJEM	VKLAD	21720	116832	\N	\N	\N
1031665	3526	1997-05-25	PRIJEM	VKLAD	46171	75208	\N	\N	\N
1031666	3526	1997-01-08	PRIJEM	VKLAD	22652	74891	\N	\N	\N
1031667	3526	1997-07-16	PRIJEM	VKLAD	26287	121660	\N	\N	\N
1031668	3526	1997-10-10	PRIJEM	VKLAD	39189	125176	\N	\N	\N
1031669	3526	1997-07-20	PRIJEM	VKLAD	44530	84608	\N	\N	\N
1031670	3526	1997-09-24	PRIJEM	VKLAD	18124	84622	\N	\N	\N
1031671	3526	1997-10-15	PRIJEM	VKLAD	32688	106926	\N	\N	\N
1031672	3526	1997-09-30	PRIJEM	VKLAD	26182	111172	\N	\N	\N
1031673	3526	1997-08-30	PRIJEM	VKLAD	11892	101996	\N	\N	\N
1031674	3526	1997-02-01	PRIJEM	VKLAD	34153	94420	\N	\N	\N
1031675	3526	1997-02-17	PRIJEM	VKLAD	39876	111914	\N	\N	\N
1031676	3526	1997-01-17	PRIJEM	VKLAD	27283	97615	\N	\N	\N
1031677	3526	1997-06-25	PRIJEM	VKLAD	34499	81222	\N	\N	\N
1031678	3526	1997-11-03	PRIJEM	VKLAD	36921	103250	\N	\N	\N
1031679	3526	1997-05-07	PRIJEM	VKLAD	13507	43896	\N	\N	\N
1031680	3526	1997-10-08	PRIJEM	VKLAD	48402	135146	\N	\N	\N
1031681	3526	1997-12-17	PRIJEM	VKLAD	30548	77885	\N	\N	\N
1031682	3526	1997-07-31	PRIJEM	VKLAD	10192	94800	\N	\N	\N
1031683	3526	1997-09-07	PRIJEM	VKLAD	32440	134757	\N	\N	\N
1031684	3526	1997-02-11	PRIJEM	VKLAD	34277	124138	\N	\N	\N
1031685	3526	1997-10-05	PRIJEM	VKLAD	42687	121244	\N	\N	\N
1031686	3526	1997-03-18	PRIJEM	VKLAD	22805	62226	\N	\N	\N
1031687	3526	1998-06-19	PRIJEM	VKLAD	20306	131693	\N	\N	\N
1031688	3526	1998-09-04	PRIJEM	VKLAD	42549	143544	\N	\N	\N
1031689	3526	1998-06-21	PRIJEM	VKLAD	38230	146823	\N	\N	\N
1031690	3526	1998-01-22	PRIJEM	VKLAD	26259	74809	\N	\N	\N
1031691	3526	1998-12-18	PRIJEM	VKLAD	48173	93930	\N	\N	\N
1031692	3526	1998-01-26	PRIJEM	VKLAD	39744	106453	\N	\N	\N
1031693	3526	1998-02-25	PRIJEM	VKLAD	25507	71262	\N	\N	\N
1031694	3526	1998-09-02	PRIJEM	VKLAD	24472	100995	\N	\N	\N
1031695	3526	1998-11-02	PRIJEM	VKLAD	11565	91120	\N	\N	\N
1031696	3526	1998-04-03	PRIJEM	VKLAD	20567	81736	\N	\N	\N
1031697	3526	1998-08-21	PRIJEM	VKLAD	35595	76298	\N	\N	\N
1031698	3526	1998-06-15	PRIJEM	VKLAD	49390	111387	\N	\N	\N
1031699	3526	1998-06-04	PRIJEM	VKLAD	47964	124456	\N	\N	\N
1031700	3526	1998-03-30	PRIJEM	VKLAD	7365	39914	\N	\N	\N
1031701	3526	1998-01-10	PRIJEM	VKLAD	44610	66750	\N	\N	\N
1031702	3526	1998-03-30	PRIJEM	VKLAD	21056	60970	\N	\N	\N
1031703	3526	1998-03-13	PRIJEM	VKLAD	22744	89680	\N	\N	\N
1031704	3526	1998-04-25	PRIJEM	VKLAD	48498	97845	\N	\N	\N
1031705	3526	1998-10-18	PRIJEM	VKLAD	37808	79315	\N	\N	\N
1031706	3526	1998-05-19	PRIJEM	VKLAD	31776	76237	\N	\N	\N
1031707	3526	1998-04-09	PRIJEM	VKLAD	46670	119347	\N	\N	\N
1031708	3526	1998-07-04	PRIJEM	VKLAD	15846	123586	\N	\N	\N
1031709	3526	1998-04-28	PRIJEM	VKLAD	32086	119431	\N	\N	\N
1031710	3526	1998-03-25	PRIJEM	VKLAD	8623	32549	\N	\N	\N
1031721	3526	1996-11-08	VYDAJ	PREVOD NA UCET	4559	106546	SIPO	AB	66721755
1031722	3526	1996-12-08	VYDAJ	PREVOD NA UCET	4559	77171	SIPO	AB	66721755
1031723	3526	1997-01-08	VYDAJ	PREVOD NA UCET	4559	70332	SIPO	AB	66721755
1031724	3526	1997-02-08	VYDAJ	PREVOD NA UCET	4559	89861	SIPO	AB	66721755
1031725	3526	1997-03-08	VYDAJ	PREVOD NA UCET	4559	39421	SIPO	AB	66721755
1031726	3526	1997-04-08	VYDAJ	PREVOD NA UCET	4559	45648	SIPO	AB	66721755
1031727	3526	1997-05-08	VYDAJ	PREVOD NA UCET	4559	39337	SIPO	AB	66721755
1031728	3526	1997-06-08	VYDAJ	PREVOD NA UCET	4559	56223	SIPO	AB	66721755
1031729	3526	1997-07-08	VYDAJ	PREVOD NA UCET	4559	63743	SIPO	AB	66721755
1031730	3526	1997-08-08	VYDAJ	PREVOD NA UCET	4559	112273	SIPO	AB	66721755
1031731	3526	1997-09-08	VYDAJ	PREVOD NA UCET	4559	101998	SIPO	AB	66721755
1031732	3526	1997-10-08	VYDAJ	PREVOD NA UCET	4559	85987	SIPO	AB	66721755
1031733	3526	1997-11-08	VYDAJ	PREVOD NA UCET	4559	91022	SIPO	AB	66721755
1031734	3526	1997-12-08	VYDAJ	PREVOD NA UCET	4559	58737	SIPO	AB	66721755
1031735	3526	1998-01-08	VYDAJ	PREVOD NA UCET	4559	22140	SIPO	AB	66721755
1031736	3526	1998-02-08	VYDAJ	PREVOD NA UCET	4559	59555	SIPO	AB	66721755
1031737	3526	1998-03-08	VYDAJ	PREVOD NA UCET	4559	66936	SIPO	AB	66721755
1031738	3526	1998-04-08	VYDAJ	PREVOD NA UCET	4559	72677	SIPO	AB	66721755
1031739	3526	1998-05-08	VYDAJ	PREVOD NA UCET	4559	58261	SIPO	AB	66721755
1031740	3526	1998-06-08	VYDAJ	PREVOD NA UCET	4559	101997	SIPO	AB	66721755
1031741	3526	1998-07-08	VYDAJ	PREVOD NA UCET	4559	96127	SIPO	AB	66721755
1031742	3526	1998-08-08	VYDAJ	PREVOD NA UCET	4559	40103	SIPO	AB	66721755
1031743	3526	1998-09-08	VYDAJ	PREVOD NA UCET	4559	68585	SIPO	AB	66721755
1031744	3526	1998-10-08	VYDAJ	PREVOD NA UCET	4559	43207	SIPO	AB	66721755
1031745	3526	1998-11-08	VYDAJ	PREVOD NA UCET	4559	86561	SIPO	AB	66721755
1031746	3526	1998-12-08	VYDAJ	PREVOD NA UCET	4559	52257	SIPO	AB	66721755
1031761	3526	1997-12-25	VYBER	VYBER	22709	52609	\N	\N	\N
1031762	3526	1997-11-08	VYBER	VYBER	7669	95581	\N	\N	\N
1031763	3526	1997-12-17	VYBER	VYBER	2567	75318	\N	\N	\N
1031764	3526	1997-10-10	VYBER	VYBER	13459	159738	\N	\N	\N
1031765	3526	1997-02-22	VYBER	VYBER	13273	33641	\N	\N	\N
1031766	3526	1997-06-29	VYBER	VYBER	13156	68066	\N	\N	\N
1031767	3526	1998-08-03	VYBER	VYBER	15366	44662	\N	\N	\N
1031768	3526	1998-10-05	VYBER	VYBER	6090	47766	\N	\N	\N
1031769	3526	1998-01-05	VYBER	VYBER	11154	26699	\N	\N	\N
1031770	3526	1998-02-01	VYBER	VYBER	14150	64114	\N	\N	\N
1031771	3526	1998-06-27	VYBER	VYBER	14387	107336	\N	\N	\N
1031772	3526	1998-03-15	VYBER	VYBER	17518	44062	\N	\N	\N
1031773	3526	1998-03-19	VYBER	VYBER	20136	23926	\N	\N	\N
1031774	3526	1998-01-28	VYBER	VYBER	9210	97243	\N	\N	\N
1031777	3526	1998-06-09	VYDAJ	VYBER	17400	84597	\N	\N	\N
1031779	3526	1997-01-19	VYDAJ	VYBER	6900	60015	\N	\N	\N
1031780	3526	1998-01-28	VYDAJ	VYBER	19200	78043	\N	\N	\N
1031781	3526	1996-12-14	VYDAJ	VYBER	4800	72371	\N	\N	\N
1031782	3526	1997-12-26	VYDAJ	VYBER	5100	47509	\N	\N	\N
1031783	3526	1998-12-04	VYDAJ	VYBER	3000	56816	\N	\N	\N
1031789	3526	1997-04-15	VYDAJ	VYBER	9600	28248	\N	\N	\N
1031790	3526	1997-04-10	VYDAJ	VYBER	7800	37848	\N	\N	\N
1031791	3526	1997-10-18	VYDAJ	VYBER	3600	66026	\N	\N	\N
1031792	3526	1997-07-17	VYDAJ	VYBER	10200	40078	\N	\N	\N
1031793	3526	1997-05-09	VYDAJ	VYBER	13200	26137	\N	\N	\N
1031794	3526	1997-02-21	VYDAJ	VYBER	3300	46914	\N	\N	\N
1031795	3526	1998-01-24	VYDAJ	VYBER	8100	66709	\N	\N	\N
1031796	3526	1998-04-05	VYDAJ	VYBER	4500	77236	\N	\N	\N
1031797	3526	1998-04-26	VYDAJ	VYBER	10500	87345	\N	\N	\N
1031798	3526	1998-05-03	VYDAJ	VYBER	3000	62820	\N	\N	\N
1031799	3526	1998-01-02	VYDAJ	VYBER	9900	37853	\N	\N	\N
1031800	3526	1998-07-08	VYDAJ	VYBER	9600	86527	\N	\N	\N
1031812	3526	1996-11-30	VYDAJ	VYBER	15	81730	SLUZBY	\N	\N
1031813	3526	1996-12-31	VYDAJ	VYBER	15	52239	SLUZBY	\N	\N
1031814	3526	1997-01-31	VYDAJ	VYBER	15	60267	SLUZBY	\N	\N
1031815	3526	1997-02-28	VYDAJ	VYBER	15	43980	SLUZBY	\N	\N
1031816	3526	1997-03-31	VYDAJ	VYBER	15	50207	SLUZBY	\N	\N
1031817	3526	1997-04-30	VYDAJ	VYBER	15	30389	SLUZBY	\N	\N
1031818	3526	1997-05-31	VYDAJ	VYBER	15	60782	SLUZBY	\N	\N
1031819	3526	1997-06-30	VYDAJ	VYBER	15	68302	SLUZBY	\N	\N
1031820	3526	1997-07-31	VYDAJ	VYBER	15	95112	SLUZBY	\N	\N
1031821	3526	1997-08-31	VYDAJ	VYBER	15	102317	SLUZBY	\N	\N
1031822	3526	1997-09-30	VYDAJ	VYBER	15	78557	SLUZBY	\N	\N
1031823	3526	1997-10-31	VYDAJ	VYBER	15	66329	SLUZBY	\N	\N
1031824	3526	1997-11-30	VYDAJ	VYBER	15	63296	SLUZBY	\N	\N
1031825	3526	1997-12-31	VYDAJ	VYBER	15	47753	SLUZBY	\N	\N
1031826	3526	1998-01-31	VYDAJ	VYBER	15	78264	SLUZBY	\N	\N
1031827	3526	1998-02-28	VYDAJ	VYBER	15	71495	SLUZBY	\N	\N
1031828	3526	1998-03-31	VYDAJ	VYBER	15	61169	SLUZBY	\N	\N
1031829	3526	1998-04-30	VYDAJ	VYBER	15	65820	SLUZBY	\N	\N
1031830	3526	1998-05-31	VYDAJ	VYBER	15	76492	SLUZBY	\N	\N
1031831	3526	1998-06-30	VYDAJ	VYBER	15	107740	SLUZBY	\N	\N
1031832	3526	1998-07-31	VYDAJ	VYBER	15	60028	SLUZBY	\N	\N
1031833	3526	1998-08-31	VYDAJ	VYBER	15	76523	SLUZBY	\N	\N
1031834	3526	1998-09-30	VYDAJ	VYBER	15	53856	SLUZBY	\N	\N
1031835	3526	1998-10-31	VYDAJ	VYBER	15	79555	SLUZBY	\N	\N
1031836	3526	1998-11-30	VYDAJ	VYBER	15	59816	SLUZBY	\N	\N
1031837	3526	1996-08-21	VYDAJ	VYBER	300	24127	\N	\N	\N
1031838	3526	1996-09-20	VYDAJ	VYBER	13300	34151	\N	\N	\N
1031839	3526	1996-10-20	VYDAJ	VYBER	1300	32968	\N	\N	\N
1031840	3526	1996-11-04	VYDAJ	VYBER	17400	111105	\N	\N	\N
1031841	3526	1996-11-19	VYDAJ	VYBER	36200	70346	\N	\N	\N
1031842	3526	1996-12-19	VYDAJ	VYBER	20400	51971	\N	\N	\N
1031843	3526	1997-01-18	VYDAJ	VYBER	30700	66915	\N	\N	\N
1031844	3526	1997-02-11	VYDAJ	VYBER	52100	72038	\N	\N	\N
1031845	3526	1997-02-17	VYDAJ	VYBER	49300	62614	\N	\N	\N
1031846	3526	1997-02-17	VYDAJ	VYBER	12400	50214	\N	\N	\N
1031847	3526	1997-03-19	VYDAJ	VYBER	12200	50026	\N	\N	\N
1031848	3526	1997-04-18	PRIJEM	VKLAD	2000	30248	\N	\N	\N
1031849	3526	1997-05-18	PRIJEM	VKLAD	2900	29037	\N	\N	\N
1031850	3526	1997-05-29	VYDAJ	VYBER	58800	60639	\N	\N	\N
1031851	3526	1997-06-17	VYDAJ	VYBER	9500	46723	\N	\N	\N
1031852	3526	1997-07-16	VYDAJ	VYBER	16600	115778	\N	\N	\N
1031853	3526	1997-07-16	VYDAJ	VYBER	61900	53878	\N	\N	\N
1031854	3526	1997-07-17	VYDAJ	VYBER	3600	50278	\N	\N	\N
1031855	3526	1997-08-08	VYDAJ	VYBER	54700	57573	\N	\N	\N
1031856	3526	1997-08-16	VYDAJ	VYBER	14000	43573	\N	\N	\N
1031857	3526	1997-09-07	VYDAJ	VYBER	28200	106557	\N	\N	\N
1031858	3526	1997-09-15	VYDAJ	VYBER	35500	66498	\N	\N	\N
1031859	3526	1997-09-30	VYDAJ	VYBER	32600	78572	\N	\N	\N
1031860	3526	1997-10-05	VYDAJ	VYBER	34500	86744	\N	\N	\N
1031861	3526	1997-10-08	VYDAJ	VYBER	44600	90546	\N	\N	\N
1031862	3526	1997-10-10	VYDAJ	VYBER	57500	74238	\N	\N	\N
1031863	3526	1997-10-10	VYDAJ	VYBER	28000	131738	\N	\N	\N
1031864	3526	1997-10-15	VYDAJ	VYBER	37300	69626	\N	\N	\N
1031865	3526	1997-11-14	VYDAJ	VYBER	28000	63022	\N	\N	\N
1031866	3526	1997-12-14	VYDAJ	VYBER	11400	47337	\N	\N	\N
1031867	3526	1998-01-13	VYDAJ	VYBER	18200	48550	\N	\N	\N
1031868	3526	1998-02-12	VYDAJ	VYBER	13800	45755	\N	\N	\N
1031869	3526	1998-03-14	VYDAJ	VYBER	28100	61580	\N	\N	\N
1031870	3526	1998-04-09	VYDAJ	VYBER	57600	61747	\N	\N	\N
1031871	3526	1998-04-13	VYDAJ	VYBER	12400	49347	\N	\N	\N
1031872	3526	1998-04-28	VYDAJ	VYBER	53900	65531	\N	\N	\N
1031873	3526	1998-05-13	VYDAJ	VYBER	13800	44461	\N	\N	\N
1031874	3526	1998-06-04	VYDAJ	VYBER	17900	106556	\N	\N	\N
1031875	3526	1998-06-12	VYDAJ	VYBER	22600	61997	\N	\N	\N
1031876	3526	1998-06-19	VYDAJ	VYBER	23100	108593	\N	\N	\N
1031877	3526	1998-06-21	VYDAJ	VYBER	25100	121723	\N	\N	\N
1031878	3526	1998-07-04	VYDAJ	VYBER	22900	100686	\N	\N	\N
1031879	3526	1998-07-12	VYDAJ	VYBER	26800	59727	\N	\N	\N
1031880	3526	1998-08-11	PRIJEM	VKLAD	600	40703	\N	\N	\N
1031881	3526	1998-09-04	VYDAJ	VYBER	18600	124944	\N	\N	\N
1031882	3526	1998-09-08	VYDAJ	VYBER	51800	73144	\N	\N	\N
1031883	3526	1998-09-10	VYDAJ	VYBER	15000	53585	\N	\N	\N
1031884	3526	1998-10-10	VYDAJ	VYBER	1700	41507	\N	\N	\N
1031885	3526	1998-11-09	VYDAJ	VYBER	27000	59561	\N	\N	\N
1031886	3526	1998-12-09	VYDAJ	VYBER	6500	45757	\N	\N	\N
1031917	3527	1997-01-11	PRIJEM	VKLAD	200	200	\N	\N	\N
1031918	3527	1997-01-14	PRIJEM	VKLAD	24623	24823	\N	\N	\N
1031919	3527	1997-02-14	PRIJEM	VKLAD	24623	45806	\N	\N	\N
1031920	3527	1997-03-14	PRIJEM	VKLAD	24623	54679	\N	\N	\N
1031921	3527	1997-04-14	PRIJEM	VKLAD	24623	62415	\N	\N	\N
1031922	3527	1997-05-14	PRIJEM	VKLAD	24623	62684	\N	\N	\N
1031923	3527	1997-06-14	PRIJEM	VKLAD	36934	75850	\N	\N	\N
1031924	3527	1997-07-14	PRIJEM	VKLAD	24623	60780	\N	\N	\N
1031925	3527	1997-08-14	PRIJEM	VKLAD	24623	67307	\N	\N	\N
1031926	3527	1997-09-14	PRIJEM	VKLAD	24623	67378	\N	\N	\N
1031927	3527	1997-10-14	PRIJEM	VKLAD	24623	67033	\N	\N	\N
1031928	3527	1997-11-14	PRIJEM	VKLAD	24623	66531	\N	\N	\N
1031929	3527	1997-12-14	PRIJEM	VKLAD	36934	81278	\N	\N	\N
1031930	3527	1998-01-14	PRIJEM	VKLAD	24623	74065	\N	\N	\N
1031931	3527	1998-02-14	PRIJEM	VKLAD	24623	58229	\N	\N	\N
1031932	3527	1998-03-14	PRIJEM	VKLAD	24623	59054	\N	\N	\N
1031933	3527	1998-04-14	PRIJEM	VKLAD	24623	53009	\N	\N	\N
1031934	3527	1998-05-14	PRIJEM	VKLAD	24623	52708	\N	\N	\N
1031935	3527	1998-06-14	PRIJEM	VKLAD	36934	58616	\N	\N	\N
1031936	3527	1998-07-14	PRIJEM	VKLAD	24623	38644	\N	\N	\N
1031937	3527	1998-08-14	PRIJEM	VKLAD	24623	37862	\N	\N	\N
1031938	3527	1998-09-14	PRIJEM	VKLAD	24623	40097	\N	\N	\N
1031939	3527	1998-10-14	PRIJEM	VKLAD	24623	46130	\N	\N	\N
1031940	3527	1998-11-14	PRIJEM	VKLAD	24623	42893	\N	\N	\N
1031941	3527	1998-12-14	PRIJEM	VKLAD	36934	57164	\N	\N	\N
1031947	3527	1997-06-09	VYDAJ	PREVOD NA UCET	3414	59516	SIPO	YZ	67898595
1031948	3527	1997-07-09	VYDAJ	PREVOD NA UCET	3414	51457	SIPO	YZ	67898595
1031949	3527	1997-08-09	VYDAJ	PREVOD NA UCET	3414	42684	SIPO	YZ	67898595
1031950	3527	1997-09-09	VYDAJ	PREVOD NA UCET	3414	42755	SIPO	YZ	67898595
1031951	3527	1997-10-09	VYDAJ	PREVOD NA UCET	3414	42410	SIPO	YZ	67898595
1031952	3527	1997-11-09	VYDAJ	PREVOD NA UCET	3414	42868	SIPO	YZ	67898595
1031953	3527	1997-12-09	VYDAJ	PREVOD NA UCET	3414	44344	SIPO	YZ	67898595
1031954	3527	1998-01-09	VYDAJ	PREVOD NA UCET	3414	52242	SIPO	YZ	67898595
1031955	3527	1998-02-09	VYDAJ	PREVOD NA UCET	3414	33606	SIPO	YZ	67898595
1031956	3527	1998-03-09	VYDAJ	PREVOD NA UCET	3414	34431	SIPO	YZ	67898595
1031957	3527	1998-04-09	VYDAJ	PREVOD NA UCET	3414	28386	SIPO	YZ	67898595
1031958	3527	1998-05-09	VYDAJ	PREVOD NA UCET	3414	28085	SIPO	YZ	67898595
1031959	3527	1998-06-09	VYDAJ	PREVOD NA UCET	3414	21682	SIPO	YZ	67898595
1031960	3527	1998-07-09	VYDAJ	PREVOD NA UCET	3414	14021	SIPO	YZ	67898595
1031961	3527	1998-08-09	VYDAJ	PREVOD NA UCET	3414	13239	SIPO	YZ	67898595
1031962	3527	1998-09-09	VYDAJ	PREVOD NA UCET	3414	15474	SIPO	YZ	67898595
1031963	3527	1998-10-09	VYDAJ	PREVOD NA UCET	3414	21507	SIPO	YZ	67898595
1031964	3527	1998-11-09	VYDAJ	PREVOD NA UCET	3414	21370	SIPO	YZ	67898595
1031965	3527	1998-12-09	VYDAJ	PREVOD NA UCET	3414	20230	SIPO	YZ	67898595
1031966	3527	1997-06-16	VYDAJ	VYBER	15680	54650	\N	\N	\N
1031967	3527	1998-06-14	VYDAJ	VYBER	41280	17336	\N	\N	\N
1031969	3527	1998-01-29	VYDAJ	VYBER KARTOU	3500	63365	\N	\N	0
1031970	3527	1997-12-05	VYDAJ	VYBER	4320	62458	\N	\N	\N
1031971	3527	1998-12-19	VYDAJ	VYBER KARTOU	4000	53164	\N	\N	0
1031978	3527	1998-01-20	VYDAJ	VYBER KARTOU	3000	71065	\N	\N	0
1031979	3527	1998-01-24	VYDAJ	VYBER KARTOU	1900	68065	\N	\N	0
1031980	3527	1998-01-23	VYDAJ	VYBER KARTOU	1100	69965	\N	\N	0
1031981	3527	1998-01-10	VYDAJ	VYBER KARTOU	800	49442	\N	\N	0
1031982	3527	1998-01-10	VYDAJ	VYBER KARTOU	2000	50242	\N	\N	0
1031983	3527	1998-01-25	VYDAJ	VYBER KARTOU	1200	66865	\N	\N	0
1031984	3527	1997-11-10	VYDAJ	VYBER	960	41908	\N	\N	\N
1031985	3527	1997-09-06	VYDAJ	VYBER	3480	64069	\N	\N	\N
1031986	3527	1997-06-16	VYDAJ	VYBER	5520	70330	\N	\N	\N
1031987	3527	1998-11-13	VYDAJ	VYBER KARTOU	3100	18270	\N	\N	0
1031989	3527	1998-09-06	VYDAJ	VYBER KARTOU	1100	18888	\N	\N	0
1031990	3527	1998-03-22	VYDAJ	VYBER	5160	53894	\N	\N	\N
1031991	3527	1998-02-09	VYDAJ	VYBER	4920	37020	\N	\N	\N
1031997	3527	1997-05-31	VYDAJ	VYBER	15	62930	SLUZBY	\N	\N
1031998	3527	1997-06-30	VYDAJ	VYBER	15	54871	SLUZBY	\N	\N
1031999	3527	1997-07-31	VYDAJ	VYBER	15	60998	SLUZBY	\N	\N
1032000	3527	1997-08-31	VYDAJ	VYBER	15	67549	SLUZBY	\N	\N
1032001	3527	1997-09-30	VYDAJ	VYBER	15	67624	SLUZBY	\N	\N
1032002	3527	1997-10-31	VYDAJ	VYBER	15	67282	SLUZBY	\N	\N
1032003	3527	1997-11-30	VYDAJ	VYBER	15	66778	SLUZBY	\N	\N
1032004	3527	1997-12-31	VYDAJ	VYBER	15	81556	SLUZBY	\N	\N
1032005	3527	1998-01-31	VYDAJ	VYBER	15	63640	SLUZBY	\N	\N
1032006	3527	1998-02-28	VYDAJ	VYBER	15	58445	SLUZBY	\N	\N
1032007	3527	1998-03-31	VYDAJ	VYBER	15	54100	SLUZBY	\N	\N
1032008	3527	1998-04-30	VYDAJ	VYBER	15	53199	SLUZBY	\N	\N
1032009	3527	1998-05-31	VYDAJ	VYBER	15	52896	SLUZBY	\N	\N
1032010	3527	1998-06-30	VYDAJ	VYBER	15	17435	SLUZBY	\N	\N
1032011	3527	1998-07-31	VYDAJ	VYBER	15	38753	SLUZBY	\N	\N
1032012	3527	1998-08-31	VYDAJ	VYBER	15	37988	SLUZBY	\N	\N
1032013	3527	1998-09-30	VYDAJ	VYBER	15	40221	SLUZBY	\N	\N
1032014	3527	1998-10-31	VYDAJ	VYBER	15	46284	SLUZBY	\N	\N
1032015	3527	1998-11-30	VYDAJ	VYBER	15	43044	SLUZBY	\N	\N
1032016	3527	1997-02-10	VYDAJ	VYBER	3700	21183	\N	\N	\N
1032017	3527	1997-03-12	VYDAJ	VYBER	15900	30056	\N	\N	\N
1032018	3527	1997-04-11	VYDAJ	VYBER	17100	37792	\N	\N	\N
1032019	3527	1997-05-11	VYDAJ	VYBER	24600	38061	\N	\N	\N
1032020	3527	1997-06-10	VYDAJ	VYBER	20600	38916	\N	\N	\N
1032021	3527	1997-07-10	VYDAJ	VYBER	15300	36157	\N	\N	\N
1032022	3527	1997-08-09	VYDAJ	VYBER	14900	46098	\N	\N	\N
1032023	3527	1997-09-08	VYDAJ	VYBER	17900	46169	\N	\N	\N
1032024	3527	1997-10-08	VYDAJ	VYBER	21800	45824	\N	\N	\N
1032025	3527	1997-11-07	VYDAJ	VYBER	21000	46282	\N	\N	\N
1032026	3527	1997-12-07	VYDAJ	VYBER	14700	47758	\N	\N	\N
1032027	3527	1998-01-06	VYDAJ	VYBER	25900	55656	\N	\N	\N
1032028	3527	1998-02-05	VYDAJ	VYBER	21700	41940	\N	\N	\N
1032029	3527	1998-03-07	VYDAJ	VYBER	20600	37845	\N	\N	\N
1032030	3527	1998-04-06	VYDAJ	VYBER	22300	31800	\N	\N	\N
1032031	3527	1998-05-06	VYDAJ	VYBER	21700	31499	\N	\N	\N
1032032	3527	1998-06-05	VYDAJ	VYBER	27800	25096	\N	\N	\N
1032033	3527	1998-08-04	VYDAJ	VYBER	22100	16653	\N	\N	\N
1032034	3527	1998-09-03	VYDAJ	VYBER	18000	19988	\N	\N	\N
1032035	3527	1998-10-03	VYDAJ	VYBER	15300	24921	\N	\N	\N
1032036	3527	1998-11-02	VYDAJ	VYBER	21500	24784	\N	\N	\N
1032037	3527	1998-12-02	VYDAJ	VYBER	19400	23644	\N	\N	\N
1032062	3528	1994-03-05	PRIJEM	VKLAD	900	900	\N	\N	\N
1032065	3528	1994-03-10	PRIJEM	VKLAD	21886	22786	\N	\N	\N
1032066	3528	1994-04-10	PRIJEM	VKLAD	21886	47739	\N	\N	\N
1032067	3528	1994-05-10	PRIJEM	VKLAD	21886	59393	\N	\N	\N
1032068	3528	1994-06-10	PRIJEM	VKLAD	32829	74356	\N	\N	\N
1032069	3528	1994-07-10	PRIJEM	VKLAD	21886	71733	\N	\N	\N
1032070	3528	1994-08-10	PRIJEM	VKLAD	21886	65333	\N	\N	\N
1032071	3528	1994-09-10	PRIJEM	VKLAD	21886	65785	\N	\N	\N
1032072	3528	1994-10-10	PRIJEM	VKLAD	21886	61607	\N	\N	\N
1032073	3528	1994-11-10	PRIJEM	VKLAD	21886	63236	\N	\N	\N
1032074	3528	1994-12-10	PRIJEM	VKLAD	32829	72399	\N	\N	\N
1032075	3528	1995-01-10	PRIJEM	VKLAD	21886	54375	\N	\N	\N
1032076	3528	1995-02-10	PRIJEM	VKLAD	21886	49134	\N	\N	\N
1032077	3528	1995-03-10	PRIJEM	VKLAD	21886	51294	\N	\N	\N
1032078	3528	1995-04-10	PRIJEM	VKLAD	21886	55164	\N	\N	\N
1032079	3528	1995-05-10	PRIJEM	VKLAD	21886	58349	\N	\N	\N
1032080	3528	1995-06-10	PRIJEM	VKLAD	32829	68889	\N	\N	\N
1032081	3528	1995-07-10	PRIJEM	VKLAD	21886	63706	\N	\N	\N
1032082	3528	1995-08-10	PRIJEM	VKLAD	21886	57796	\N	\N	\N
1032083	3528	1995-09-10	PRIJEM	VKLAD	21886	57586	\N	\N	\N
1032084	3528	1995-10-10	PRIJEM	VKLAD	21886	59375	\N	\N	\N
1032085	3528	1995-11-10	PRIJEM	VKLAD	21886	53389	\N	\N	\N
1032086	3528	1995-12-10	PRIJEM	VKLAD	32829	69023	\N	\N	\N
1032087	3528	1996-01-10	PRIJEM	VKLAD	21886	59071	\N	\N	\N
1032088	3528	1996-02-10	PRIJEM	VKLAD	21886	45294	\N	\N	\N
1032089	3528	1996-03-10	PRIJEM	VKLAD	21886	52848	\N	\N	\N
1032090	3528	1996-04-10	PRIJEM	VKLAD	21886	56815	\N	\N	\N
1032091	3528	1996-05-10	PRIJEM	VKLAD	21886	58696	\N	\N	\N
1032092	3528	1996-06-10	PRIJEM	VKLAD	32829	64682	\N	\N	\N
1032093	3528	1996-07-10	PRIJEM	VKLAD	21886	56924	\N	\N	\N
1032094	3528	1996-08-10	PRIJEM	VKLAD	21886	54497	\N	\N	\N
1032095	3528	1996-09-10	PRIJEM	VKLAD	21886	52559	\N	\N	\N
1032096	3528	1996-10-10	PRIJEM	VKLAD	21886	52513	\N	\N	\N
1032097	3528	1996-11-10	PRIJEM	VKLAD	21886	52117	\N	\N	\N
1032098	3528	1996-12-10	PRIJEM	VKLAD	32829	60874	\N	\N	\N
1032099	3528	1997-01-10	PRIJEM	VKLAD	21886	57341	\N	\N	\N
1032100	3528	1997-02-10	PRIJEM	VKLAD	21886	43269	\N	\N	\N
1032101	3528	1997-03-10	PRIJEM	VKLAD	21886	49073	\N	\N	\N
1032102	3528	1997-04-10	PRIJEM	VKLAD	21886	48910	\N	\N	\N
1032103	3528	1997-05-10	PRIJEM	VKLAD	21886	51849	\N	\N	\N
1032104	3528	1997-06-10	PRIJEM	VKLAD	32829	59794	\N	\N	\N
1032105	3528	1997-07-10	PRIJEM	VKLAD	21886	44688	\N	\N	\N
1032106	3528	1997-08-10	PRIJEM	VKLAD	21886	49812	\N	\N	\N
1032107	3528	1997-09-10	PRIJEM	VKLAD	21886	49245	\N	\N	\N
1032108	3528	1997-10-10	PRIJEM	VKLAD	21886	51980	\N	\N	\N
1032109	3528	1997-11-10	PRIJEM	VKLAD	21886	48095	\N	\N	\N
1032110	3528	1997-12-10	PRIJEM	VKLAD	32829	55765	\N	\N	\N
1032111	3528	1998-01-10	PRIJEM	VKLAD	21886	45396	\N	\N	\N
1032112	3528	1998-02-10	PRIJEM	VKLAD	21886	39588	\N	\N	\N
1032113	3528	1998-03-10	PRIJEM	VKLAD	21886	40042	\N	\N	\N
1032114	3528	1998-04-10	PRIJEM	VKLAD	21886	49554	\N	\N	\N
1032115	3528	1998-05-10	PRIJEM	VKLAD	21886	49607	\N	\N	\N
1032116	3528	1998-06-10	PRIJEM	VKLAD	32829	63186	\N	\N	\N
1032117	3528	1998-07-10	PRIJEM	VKLAD	21886	57540	\N	\N	\N
1032118	3528	1998-08-10	PRIJEM	VKLAD	21886	53492	\N	\N	\N
1032119	3528	1998-09-10	PRIJEM	VKLAD	21886	55244	\N	\N	\N
1032120	3528	1998-10-10	PRIJEM	VKLAD	21886	51890	\N	\N	\N
1032121	3528	1998-11-10	PRIJEM	VKLAD	21886	44714	\N	\N	\N
1032122	3528	1998-12-10	PRIJEM	VKLAD	32829	55564	\N	\N	\N
1032129	3528	1994-07-14	VYDAJ	PREVOD NA UCET	7655	64078	SIPO	WX	97499405
1032130	3528	1994-08-14	VYDAJ	PREVOD NA UCET	7655	57678	SIPO	WX	97499405
1032131	3528	1994-09-14	VYDAJ	PREVOD NA UCET	7655	58130	SIPO	WX	97499405
1032132	3528	1994-10-14	VYDAJ	PREVOD NA UCET	7655	53952	SIPO	WX	97499405
1032133	3528	1994-11-14	VYDAJ	PREVOD NA UCET	7655	55581	SIPO	WX	97499405
1032134	3528	1994-12-14	VYDAJ	PREVOD NA UCET	7655	64744	SIPO	WX	97499405
1032135	3528	1995-01-14	VYDAJ	PREVOD NA UCET	7655	44920	SIPO	WX	97499405
1032136	3528	1995-02-14	VYDAJ	PREVOD NA UCET	7655	41479	SIPO	WX	97499405
1032137	3528	1995-03-14	VYDAJ	PREVOD NA UCET	7655	43639	SIPO	WX	97499405
1032138	3528	1995-04-14	VYDAJ	PREVOD NA UCET	7655	47509	SIPO	WX	97499405
1032139	3528	1995-05-14	VYDAJ	PREVOD NA UCET	7655	50694	SIPO	WX	97499405
1032140	3528	1995-06-14	VYDAJ	PREVOD NA UCET	7655	61234	SIPO	WX	97499405
1032141	3528	1995-07-14	VYDAJ	PREVOD NA UCET	7655	52331	SIPO	WX	97499405
1032142	3528	1995-08-14	VYDAJ	PREVOD NA UCET	7655	50141	SIPO	WX	97499405
1032143	3528	1995-09-14	VYDAJ	PREVOD NA UCET	7655	49931	SIPO	WX	97499405
1032144	3528	1995-10-14	VYDAJ	PREVOD NA UCET	7655	51720	SIPO	WX	97499405
1032145	3528	1995-11-14	VYDAJ	PREVOD NA UCET	7655	45734	SIPO	WX	97499405
1032146	3528	1995-12-14	VYDAJ	PREVOD NA UCET	7655	61368	SIPO	WX	97499405
1032147	3528	1996-01-14	VYDAJ	PREVOD NA UCET	7655	50816	SIPO	WX	97499405
1032148	3528	1996-02-14	VYDAJ	PREVOD NA UCET	7655	37639	SIPO	WX	97499405
1032149	3528	1996-03-14	VYDAJ	PREVOD NA UCET	7655	45193	SIPO	WX	97499405
1032150	3528	1996-04-14	VYDAJ	PREVOD NA UCET	7655	49160	SIPO	WX	97499405
1032151	3528	1996-05-14	VYDAJ	PREVOD NA UCET	7655	51041	SIPO	WX	97499405
1032152	3528	1996-06-14	VYDAJ	PREVOD NA UCET	7655	51267	SIPO	WX	97499405
1032153	3528	1996-07-14	VYDAJ	PREVOD NA UCET	7655	49269	SIPO	WX	97499405
1032154	3528	1996-08-14	VYDAJ	PREVOD NA UCET	7655	46842	SIPO	WX	97499405
1032155	3528	1996-09-14	VYDAJ	PREVOD NA UCET	7655	44904	SIPO	WX	97499405
1032156	3528	1996-10-14	VYDAJ	PREVOD NA UCET	7655	43898	SIPO	WX	97499405
1032157	3528	1996-11-14	VYDAJ	PREVOD NA UCET	7655	44462	SIPO	WX	97499405
1032158	3528	1996-12-14	VYDAJ	PREVOD NA UCET	7655	53219	SIPO	WX	97499405
1032159	3528	1997-01-14	VYDAJ	PREVOD NA UCET	7655	49686	SIPO	WX	97499405
1032160	3528	1997-02-14	VYDAJ	PREVOD NA UCET	7655	32494	SIPO	WX	97499405
1032161	3528	1997-03-14	VYDAJ	PREVOD NA UCET	7655	41418	SIPO	WX	97499405
1032162	3528	1997-04-14	VYDAJ	PREVOD NA UCET	7655	41255	SIPO	WX	97499405
1032163	3528	1997-05-14	VYDAJ	PREVOD NA UCET	7655	44194	SIPO	WX	97499405
1032164	3528	1997-06-14	VYDAJ	PREVOD NA UCET	7655	52139	SIPO	WX	97499405
1032165	3528	1997-07-14	VYDAJ	PREVOD NA UCET	7655	37033	SIPO	WX	97499405
1032166	3528	1997-08-14	VYDAJ	PREVOD NA UCET	7655	42157	SIPO	WX	97499405
1032167	3528	1997-09-14	VYDAJ	PREVOD NA UCET	7655	41590	SIPO	WX	97499405
1032168	3528	1997-10-14	VYDAJ	PREVOD NA UCET	7655	44325	SIPO	WX	97499405
1032169	3528	1997-11-14	VYDAJ	PREVOD NA UCET	7655	40440	SIPO	WX	97499405
1032170	3528	1997-12-14	VYDAJ	PREVOD NA UCET	7655	32510	SIPO	WX	97499405
1032171	3528	1998-01-14	VYDAJ	PREVOD NA UCET	7655	20981	SIPO	WX	97499405
1032172	3528	1998-02-14	VYDAJ	PREVOD NA UCET	7655	23733	SIPO	WX	97499405
1032173	3528	1998-03-14	VYDAJ	PREVOD NA UCET	7655	32387	SIPO	WX	97499405
1032174	3528	1998-04-14	VYDAJ	PREVOD NA UCET	7655	30499	SIPO	WX	97499405
1032175	3528	1998-05-14	VYDAJ	PREVOD NA UCET	7655	30252	SIPO	WX	97499405
1032176	3528	1998-06-14	VYDAJ	PREVOD NA UCET	7655	35531	SIPO	WX	97499405
1032177	3528	1998-07-14	VYDAJ	PREVOD NA UCET	7655	31485	SIPO	WX	97499405
1032178	3528	1998-08-14	VYDAJ	PREVOD NA UCET	7655	33237	SIPO	WX	97499405
1032179	3528	1998-09-14	VYDAJ	PREVOD NA UCET	7655	29889	SIPO	WX	97499405
1032180	3528	1998-10-14	VYDAJ	PREVOD NA UCET	7655	28035	SIPO	WX	97499405
1032181	3528	1998-11-14	VYDAJ	PREVOD NA UCET	7655	37059	SIPO	WX	97499405
1032182	3528	1998-12-14	VYDAJ	PREVOD NA UCET	7655	47909	SIPO	WX	97499405
1032186	3528	1997-06-18	VYDAJ	VYBER	12160	24979	\N	\N	\N
1032189	3528	1995-01-24	VYDAJ	VYBER	6720	33400	\N	\N	\N
1032190	3528	1996-01-24	VYDAJ	VYBER	1760	49056	\N	\N	\N
1032191	3528	1997-01-19	VYDAJ	VYBER	6240	25206	\N	\N	\N
1032193	3528	1994-12-29	VYDAJ	VYBER	1920	62824	\N	\N	\N
1032194	3528	1995-12-27	VYDAJ	VYBER	1600	40968	\N	\N	\N
1032195	3528	1996-12-01	VYDAJ	VYBER	4640	28045	\N	\N	\N
1032196	3528	1997-12-19	VYDAJ	VYBER	3360	29150	\N	\N	\N
1032197	3528	1998-12-19	VYDAJ	VYBER	3360	44549	\N	\N	\N
1032204	3528	1995-01-12	VYDAJ	VYBER	1800	52575	\N	\N	\N
1032205	3528	1995-01-03	VYDAJ	VYBER	3240	39569	\N	\N	\N
1032206	3528	1995-01-01	VYDAJ	VYBER	1920	42809	\N	\N	\N
1032207	3528	1995-01-04	VYDAJ	VYBER	3480	33929	\N	\N	\N
1032208	3528	1995-01-15	VYDAJ	VYBER	2640	42280	\N	\N	\N
1032209	3528	1995-01-07	VYDAJ	VYBER	1440	32489	\N	\N	\N
1032210	3528	1996-01-27	VYDAJ	VYBER	2640	31516	\N	\N	\N
1032211	3528	1996-01-09	VYDAJ	VYBER	1320	37185	\N	\N	\N
1032212	3528	1996-01-29	VYDAJ	VYBER	3000	25156	\N	\N	\N
1032213	3528	1996-01-11	VYDAJ	VYBER	600	58471	\N	\N	\N
1032214	3528	1996-01-27	VYDAJ	VYBER	3360	28156	\N	\N	\N
1032215	3528	1996-01-09	VYDAJ	VYBER	2640	38505	\N	\N	\N
1032216	3528	1997-01-26	VYDAJ	VYBER	2280	22926	\N	\N	\N
1032217	3528	1997-01-18	VYDAJ	VYBER	1200	32766	\N	\N	\N
1032218	3528	1997-01-06	VYDAJ	VYBER	1320	35455	\N	\N	\N
1032219	3528	1997-01-19	VYDAJ	VYBER	1320	31446	\N	\N	\N
1032220	3528	1997-01-16	VYDAJ	VYBER	720	48966	\N	\N	\N
1032221	3528	1997-01-27	VYDAJ	VYBER	1680	21246	\N	\N	\N
1032222	3528	1998-01-13	VYDAJ	VYBER	1560	43836	\N	\N	\N
1032224	3528	1998-01-01	VYDAJ	VYBER	720	28550	\N	\N	\N
1032225	3528	1998-01-17	VYDAJ	VYBER	3360	17621	\N	\N	\N
1032226	3528	1998-01-05	VYDAJ	VYBER	3000	23510	\N	\N	\N
1032227	3528	1998-01-03	VYDAJ	VYBER	2040	26510	\N	\N	\N
1032228	3528	1994-08-04	VYDAJ	VYBER	3000	43447	\N	\N	\N
1032229	3528	1994-10-02	VYDAJ	VYBER	2040	39721	\N	\N	\N
1032231	3528	1995-11-02	VYDAJ	VYBER	4680	31503	\N	\N	\N
1032232	3528	1995-07-13	VYDAJ	VYBER	3720	59986	\N	\N	\N
1032233	3528	1995-01-03	VYDAJ	VYBER	2160	37409	\N	\N	\N
1032234	3528	1995-01-20	VYDAJ	VYBER	2160	40120	\N	\N	\N
1032235	3528	1996-05-26	VYDAJ	VYBER	1800	33741	\N	\N	\N
1032236	3528	1996-02-01	VYDAJ	VYBER	1920	23408	\N	\N	\N
1032237	3528	1996-06-02	VYDAJ	VYBER	2040	31853	\N	\N	\N
1032238	3528	1996-10-10	VYDAJ	VYBER	960	51553	\N	\N	\N
1032239	3528	1996-06-14	VYDAJ	VYBER	5760	58922	\N	\N	\N
1032240	3528	1997-10-15	VYDAJ	VYBER	1320	26105	\N	\N	\N
1032241	3528	1997-02-12	VYDAJ	VYBER	3120	40149	\N	\N	\N
1032242	3528	1997-12-01	VYDAJ	VYBER	5400	22936	\N	\N	\N
1032243	3528	1997-05-19	VYDAJ	VYBER	4440	26854	\N	\N	\N
1032244	3528	1997-06-28	VYDAJ	VYBER	2280	22699	\N	\N	\N
1032245	3528	1998-02-17	VYDAJ	VYBER	5640	18093	\N	\N	\N
1032246	3528	1998-11-15	VYDAJ	VYBER	5040	32019	\N	\N	\N
1032247	3528	1998-12-30	VYDAJ	VYBER	1440	43109	\N	\N	\N
1032248	3528	1998-04-23	VYDAJ	VYBER	2880	27619	\N	\N	\N
1032249	3528	1998-11-01	VYDAJ	VYBER	2520	25628	\N	\N	\N
1032257	3528	1994-07-31	VYDAJ	VYBER	15	64347	SLUZBY	\N	\N
1032258	3528	1994-08-31	VYDAJ	VYBER	15	57899	SLUZBY	\N	\N
1032259	3528	1994-09-30	VYDAJ	VYBER	15	58361	SLUZBY	\N	\N
1032260	3528	1994-10-31	VYDAJ	VYBER	15	41350	SLUZBY	\N	\N
1032261	3528	1994-11-30	VYDAJ	VYBER	15	39570	SLUZBY	\N	\N
1032262	3528	1994-12-31	VYDAJ	VYBER	15	44729	SLUZBY	\N	\N
1032263	3528	1995-01-31	VYDAJ	VYBER	15	27248	SLUZBY	\N	\N
1032264	3528	1995-02-28	VYDAJ	VYBER	15	29408	SLUZBY	\N	\N
1032265	3528	1995-03-31	VYDAJ	VYBER	15	33278	SLUZBY	\N	\N
1032266	3528	1995-04-30	VYDAJ	VYBER	15	36463	SLUZBY	\N	\N
1032267	3528	1995-05-31	VYDAJ	VYBER	15	36060	SLUZBY	\N	\N
1032268	3528	1995-06-30	VYDAJ	VYBER	15	41820	SLUZBY	\N	\N
1032269	3528	1995-07-31	VYDAJ	VYBER	15	35910	SLUZBY	\N	\N
1032270	3528	1995-08-31	VYDAJ	VYBER	15	35700	SLUZBY	\N	\N
1032271	3528	1995-09-30	VYDAJ	VYBER	15	37489	SLUZBY	\N	\N
1032272	3528	1995-10-31	VYDAJ	VYBER	15	36183	SLUZBY	\N	\N
1032273	3528	1995-11-30	VYDAJ	VYBER	15	36194	SLUZBY	\N	\N
1032274	3528	1995-12-31	VYDAJ	VYBER	15	41145	SLUZBY	\N	\N
1032275	3528	1996-01-31	VYDAJ	VYBER	15	25328	SLUZBY	\N	\N
1032276	3528	1996-02-29	VYDAJ	VYBER	15	30962	SLUZBY	\N	\N
1032277	3528	1996-03-31	VYDAJ	VYBER	15	34929	SLUZBY	\N	\N
1032278	3528	1996-04-30	VYDAJ	VYBER	15	36810	SLUZBY	\N	\N
1032279	3528	1996-05-31	VYDAJ	VYBER	15	33893	SLUZBY	\N	\N
1032280	3528	1996-06-30	VYDAJ	VYBER	15	35038	SLUZBY	\N	\N
1032281	3528	1996-07-31	VYDAJ	VYBER	15	32611	SLUZBY	\N	\N
1032282	3528	1996-08-31	VYDAJ	VYBER	15	30673	SLUZBY	\N	\N
1032283	3528	1996-09-30	VYDAJ	VYBER	15	30627	SLUZBY	\N	\N
1032284	3528	1996-10-31	VYDAJ	VYBER	15	30231	SLUZBY	\N	\N
1032285	3528	1996-11-30	VYDAJ	VYBER	15	32685	SLUZBY	\N	\N
1032286	3528	1996-12-31	VYDAJ	VYBER	15	36775	SLUZBY	\N	\N
1032287	3528	1997-01-31	VYDAJ	VYBER	15	21383	SLUZBY	\N	\N
1032288	3528	1997-02-28	VYDAJ	VYBER	15	27187	SLUZBY	\N	\N
1032289	3528	1997-03-31	VYDAJ	VYBER	15	27024	SLUZBY	\N	\N
1032290	3528	1997-04-30	VYDAJ	VYBER	15	29963	SLUZBY	\N	\N
1032291	3528	1997-05-31	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
1032292	3528	1997-06-30	VYDAJ	VYBER	15	22802	SLUZBY	\N	\N
1032293	3528	1997-07-31	VYDAJ	VYBER	15	27926	SLUZBY	\N	\N
1032294	3528	1997-08-31	VYDAJ	VYBER	15	27359	SLUZBY	\N	\N
1032295	3528	1997-09-30	VYDAJ	VYBER	15	30094	SLUZBY	\N	\N
1032296	3528	1997-10-31	VYDAJ	VYBER	15	26209	SLUZBY	\N	\N
1032297	3528	1997-11-30	VYDAJ	VYBER	15	28336	SLUZBY	\N	\N
1032298	3528	1997-12-31	VYDAJ	VYBER	15	29270	SLUZBY	\N	\N
1032299	3528	1998-01-31	VYDAJ	VYBER	15	17702	SLUZBY	\N	\N
1032300	3528	1998-02-28	VYDAJ	VYBER	15	18156	SLUZBY	\N	\N
1032301	3528	1998-03-31	VYDAJ	VYBER	15	27668	SLUZBY	\N	\N
1032302	3528	1998-04-30	VYDAJ	VYBER	15	27721	SLUZBY	\N	\N
1032303	3528	1998-05-31	VYDAJ	VYBER	15	30357	SLUZBY	\N	\N
1032304	3528	1998-06-30	VYDAJ	VYBER	15	35654	SLUZBY	\N	\N
1032305	3528	1998-07-31	VYDAJ	VYBER	15	31606	SLUZBY	\N	\N
1032306	3528	1998-08-31	VYDAJ	VYBER	15	33358	SLUZBY	\N	\N
1032307	3528	1998-09-30	VYDAJ	VYBER	15	30004	SLUZBY	\N	\N
1032308	3528	1998-10-31	VYDAJ	VYBER	15	28148	SLUZBY	\N	\N
1032309	3528	1998-11-30	VYDAJ	VYBER	15	32135	SLUZBY	\N	\N
1032310	3528	1994-04-04	PRIJEM	VKLAD	3000	25853	\N	\N	\N
1032311	3528	1994-05-04	VYDAJ	VYBER	10400	37507	\N	\N	\N
1032312	3528	1994-06-03	VYDAJ	VYBER	18100	41527	\N	\N	\N
1032313	3528	1994-07-03	VYDAJ	VYBER	24800	49847	\N	\N	\N
1032314	3528	1994-08-02	VYDAJ	VYBER	17900	46447	\N	\N	\N
1032315	3528	1994-09-01	VYDAJ	VYBER	14000	43899	\N	\N	\N
1032316	3528	1994-10-01	VYDAJ	VYBER	16600	41761	\N	\N	\N
1032317	3528	1994-10-31	VYDAJ	VYBER	12800	41365	\N	\N	\N
1032318	3528	1994-11-30	VYDAJ	VYBER	16200	39585	\N	\N	\N
1032319	3528	1994-12-30	VYDAJ	VYBER	18300	44524	\N	\N	\N
1032320	3528	1995-01-29	VYDAJ	VYBER	6300	27100	\N	\N	\N
1032321	3528	1995-02-28	VYDAJ	VYBER	12200	29422	\N	\N	\N
1032322	3528	1995-03-30	VYDAJ	VYBER	10500	33139	\N	\N	\N
1032323	3528	1995-04-29	VYDAJ	VYBER	11200	36309	\N	\N	\N
1032324	3528	1995-05-29	VYDAJ	VYBER	14800	35894	\N	\N	\N
1032325	3528	1995-06-28	VYDAJ	VYBER	19600	41634	\N	\N	\N
1032326	3528	1995-07-28	VYDAJ	VYBER	16600	35731	\N	\N	\N
1032327	3528	1995-08-27	VYDAJ	VYBER	14600	35541	\N	\N	\N
1032328	3528	1995-09-26	VYDAJ	VYBER	12600	37331	\N	\N	\N
1032329	3528	1995-10-26	VYDAJ	VYBER	15700	36020	\N	\N	\N
1032330	3528	1995-11-25	VYDAJ	VYBER	9700	36034	\N	\N	\N
1032331	3528	1995-12-25	VYDAJ	VYBER	18800	42568	\N	\N	\N
1032332	3528	1996-01-24	VYDAJ	VYBER	14900	34156	\N	\N	\N
1032333	3528	1996-02-23	VYDAJ	VYBER	6800	30839	\N	\N	\N
1032334	3528	1996-03-24	VYDAJ	VYBER	10400	34793	\N	\N	\N
1032335	3528	1996-04-23	VYDAJ	VYBER	12500	36660	\N	\N	\N
1032336	3528	1996-05-23	VYDAJ	VYBER	15500	35541	\N	\N	\N
1032337	3528	1996-06-22	VYDAJ	VYBER	16400	34867	\N	\N	\N
1032338	3528	1996-07-22	VYDAJ	VYBER	16800	32469	\N	\N	\N
1032339	3528	1996-08-21	VYDAJ	VYBER	16300	30542	\N	\N	\N
1032340	3528	1996-09-20	VYDAJ	VYBER	14400	30504	\N	\N	\N
1032341	3528	1996-10-20	VYDAJ	VYBER	13800	30098	\N	\N	\N
1032342	3528	1996-11-19	VYDAJ	VYBER	11900	32562	\N	\N	\N
1032343	3528	1996-12-19	VYDAJ	VYBER	16600	36619	\N	\N	\N
1032344	3528	1997-01-18	VYDAJ	VYBER	15000	33966	\N	\N	\N
1032345	3528	1997-02-17	VYDAJ	VYBER	5400	27094	\N	\N	\N
1032346	3528	1997-03-19	VYDAJ	VYBER	14500	26918	\N	\N	\N
1032347	3528	1997-04-18	VYDAJ	VYBER	11400	29855	\N	\N	\N
1032348	3528	1997-05-18	VYDAJ	VYBER	12900	31294	\N	\N	\N
1032349	3528	1997-06-17	VYDAJ	VYBER	15000	37139	\N	\N	\N
1032350	3528	1997-07-17	VYDAJ	VYBER	9200	27833	\N	\N	\N
1032351	3528	1997-08-16	VYDAJ	VYBER	14900	27257	\N	\N	\N
1032352	3528	1997-09-15	VYDAJ	VYBER	11600	29990	\N	\N	\N
1032353	3528	1997-10-15	VYDAJ	VYBER	16900	27425	\N	\N	\N
1032354	3528	1997-11-14	VYDAJ	VYBER	12200	28240	\N	\N	\N
1032355	3528	1997-12-14	VYDAJ	VYBER	15600	40165	\N	\N	\N
1032356	3528	1998-01-13	VYDAJ	VYBER	15200	28636	\N	\N	\N
1032357	3528	1998-02-12	VYDAJ	VYBER	8200	31388	\N	\N	\N
1032358	3528	1998-03-14	VYDAJ	VYBER	4800	27587	\N	\N	\N
1032359	3528	1998-04-13	VYDAJ	VYBER	11400	38154	\N	\N	\N
1032360	3528	1998-05-13	VYDAJ	VYBER	11700	37907	\N	\N	\N
1032361	3528	1998-06-12	VYDAJ	VYBER	20000	43186	\N	\N	\N
1032362	3528	1998-07-12	VYDAJ	VYBER	18400	39140	\N	\N	\N
1032363	3528	1998-08-11	VYDAJ	VYBER	12600	40892	\N	\N	\N
1032364	3528	1998-09-10	VYDAJ	VYBER	17700	37544	\N	\N	\N
1032365	3528	1998-10-10	VYDAJ	VYBER	16200	35690	\N	\N	\N
1032366	3528	1998-11-09	VYDAJ	VYBER	2800	22828	\N	\N	\N
1032367	3528	1998-12-09	VYDAJ	VYBER	9400	22735	\N	\N	\N
1032426	3529	1997-07-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1032434	3529	1997-08-06	PRIJEM	VKLAD	19694	20794	\N	\N	\N
1032435	3529	1997-09-06	PRIJEM	VKLAD	19694	39555	\N	\N	\N
1032436	3529	1997-10-06	PRIJEM	VKLAD	19694	49566	\N	\N	\N
1032437	3529	1997-11-06	PRIJEM	VKLAD	19694	50853	\N	\N	\N
1032438	3529	1997-12-06	PRIJEM	VKLAD	29541	67205	\N	\N	\N
1032439	3529	1998-01-06	PRIJEM	VKLAD	19694	63201	\N	\N	\N
1032440	3529	1998-02-06	PRIJEM	VKLAD	19694	58639	\N	\N	\N
1032441	3529	1998-03-06	PRIJEM	VKLAD	19694	68755	\N	\N	\N
1032442	3529	1998-04-06	PRIJEM	VKLAD	19694	70429	\N	\N	\N
1032443	3529	1998-05-06	PRIJEM	VKLAD	19694	69898	\N	\N	\N
1032444	3529	1998-06-06	PRIJEM	VKLAD	29541	82416	\N	\N	\N
1032445	3529	1998-07-06	PRIJEM	VKLAD	19694	52303	\N	\N	\N
1032446	3529	1998-08-06	PRIJEM	VKLAD	19694	56030	\N	\N	\N
1032447	3529	1998-09-06	PRIJEM	VKLAD	19694	56440	\N	\N	\N
1032448	3529	1998-10-06	PRIJEM	VKLAD	19694	62848	\N	\N	\N
1032449	3529	1998-11-06	PRIJEM	VKLAD	19694	64282	\N	\N	\N
1032450	3529	1998-12-06	PRIJEM	VKLAD	29541	73997	\N	\N	\N
1032452	3529	1998-06-23	VYDAJ	VYBER	41760	40656	\N	\N	\N
1032454	3529	1998-01-27	VYDAJ	VYBER	9120	49881	\N	\N	\N
1032455	3529	1997-12-07	VYDAJ	VYBER	3680	63525	\N	\N	\N
1032456	3529	1998-12-24	VYDAJ	VYBER	3680	70317	\N	\N	\N
1032463	3529	1998-01-28	VYDAJ	VYBER	1560	48321	\N	\N	\N
1032464	3529	1998-01-05	VYDAJ	VYBER	2400	43507	\N	\N	\N
1032465	3529	1998-01-09	VYDAJ	VYBER	2640	60561	\N	\N	\N
1032466	3529	1998-01-04	VYDAJ	VYBER	2400	60407	\N	\N	\N
1032467	3529	1998-01-01	VYDAJ	VYBER	960	62807	\N	\N	\N
1032468	3529	1998-01-14	VYDAJ	VYBER	1560	59001	\N	\N	\N
1032475	3529	1998-09-04	VYDAJ	VYBER	5400	36746	\N	\N	\N
1032476	3529	1998-07-20	VYDAJ	VYBER	960	51343	\N	\N	\N
1032477	3529	1998-03-17	VYDAJ	VYBER	2880	65875	\N	\N	\N
1032478	3529	1998-06-23	VYDAJ	VYBER	720	39936	\N	\N	\N
1032491	3529	1997-12-31	VYDAJ	VYBER	15	63767	SLUZBY	\N	\N
1032492	3529	1998-01-31	VYDAJ	VYBER	15	48545	SLUZBY	\N	\N
1032493	3529	1998-02-28	VYDAJ	VYBER	15	58861	SLUZBY	\N	\N
1032494	3529	1998-03-31	VYDAJ	VYBER	15	66135	SLUZBY	\N	\N
1032495	3529	1998-04-30	VYDAJ	VYBER	15	70704	SLUZBY	\N	\N
1032496	3529	1998-05-31	VYDAJ	VYBER	15	70175	SLUZBY	\N	\N
1032497	3529	1998-06-30	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
1032498	3529	1998-07-31	VYDAJ	VYBER	15	51536	SLUZBY	\N	\N
1032499	3529	1998-08-31	VYDAJ	VYBER	15	56246	SLUZBY	\N	\N
1032500	3529	1998-09-30	VYDAJ	VYBER	15	56654	SLUZBY	\N	\N
1032501	3529	1998-10-31	VYDAJ	VYBER	15	44588	SLUZBY	\N	\N
1032502	3529	1998-11-30	VYDAJ	VYBER	15	64456	SLUZBY	\N	\N
1032503	3529	1997-08-07	VYDAJ	VYBER	1000	19794	\N	\N	\N
1032504	3529	1997-09-06	VYDAJ	VYBER	9800	29755	\N	\N	\N
1032505	3529	1997-10-06	VYDAJ	VYBER	13000	36566	\N	\N	\N
1032506	3529	1997-11-05	VYDAJ	VYBER	5600	31159	\N	\N	\N
1032507	3529	1997-12-05	VYDAJ	VYBER	13400	37664	\N	\N	\N
1032508	3529	1998-01-04	VYDAJ	VYBER	14500	45907	\N	\N	\N
1032509	3529	1998-02-03	VYDAJ	VYBER	9600	38945	\N	\N	\N
1032510	3529	1998-03-05	VYDAJ	VYBER	9800	49061	\N	\N	\N
1032511	3529	1998-04-04	VYDAJ	VYBER	15400	50735	\N	\N	\N
1032512	3529	1998-05-04	VYDAJ	VYBER	20500	50204	\N	\N	\N
1032513	3529	1998-06-03	VYDAJ	VYBER	17300	52875	\N	\N	\N
1032514	3529	1998-07-03	VYDAJ	VYBER	7600	32609	\N	\N	\N
1032515	3529	1998-08-02	VYDAJ	VYBER	15200	36336	\N	\N	\N
1032516	3529	1998-09-01	VYDAJ	VYBER	14100	42146	\N	\N	\N
1032517	3529	1998-10-01	VYDAJ	VYBER	13500	43154	\N	\N	\N
1032518	3529	1998-10-31	VYDAJ	VYBER	18500	44603	\N	\N	\N
1032519	3529	1998-11-30	VYDAJ	VYBER	20000	44456	\N	\N	\N
1032537	3530	1996-01-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1032538	3530	1996-01-10	PRIJEM	PREVOD Z UCTU	6156	7256	DUCHOD	EF	27247995
1032539	3530	1996-02-10	PRIJEM	PREVOD Z UCTU	6156	13434	DUCHOD	EF	27247995
1032540	3530	1996-03-10	PRIJEM	PREVOD Z UCTU	6156	19620	DUCHOD	EF	27247995
1032541	3530	1996-04-10	PRIJEM	PREVOD Z UCTU	6156	25806	DUCHOD	EF	27247995
1032542	3530	1996-05-10	PRIJEM	PREVOD Z UCTU	6156	31992	DUCHOD	EF	27247995
1032543	3530	1996-06-10	PRIJEM	PREVOD Z UCTU	6156	34390	DUCHOD	EF	27247995
1032544	3530	1996-07-10	PRIJEM	PREVOD Z UCTU	6156	26235	DUCHOD	EF	27247995
1032545	3530	1996-08-10	PRIJEM	PREVOD Z UCTU	6156	26041	DUCHOD	EF	27247995
1032546	3530	1996-09-10	PRIJEM	PREVOD Z UCTU	6156	22426	DUCHOD	EF	27247995
1032547	3530	1996-10-10	PRIJEM	PREVOD Z UCTU	6156	20517	DUCHOD	EF	27247995
1032548	3530	1996-11-10	PRIJEM	PREVOD Z UCTU	6156	22660	DUCHOD	EF	27247995
1032549	3530	1996-12-10	PRIJEM	PREVOD Z UCTU	6156	22712	DUCHOD	EF	27247995
1032550	3530	1997-01-10	PRIJEM	PREVOD Z UCTU	6156	19691	DUCHOD	EF	27247995
1032551	3530	1997-02-10	PRIJEM	PREVOD Z UCTU	6156	17557	DUCHOD	EF	27247995
1032552	3530	1997-03-10	PRIJEM	PREVOD Z UCTU	6156	21489	DUCHOD	EF	27247995
1032553	3530	1997-04-10	PRIJEM	PREVOD Z UCTU	6156	20653	DUCHOD	EF	27247995
1032554	3530	1997-05-10	PRIJEM	PREVOD Z UCTU	6156	18275	DUCHOD	EF	27247995
1032555	3530	1997-06-10	PRIJEM	PREVOD Z UCTU	6156	19108	DUCHOD	EF	27247995
1032556	3530	1997-07-10	PRIJEM	PREVOD Z UCTU	6156	18243	DUCHOD	EF	27247995
1032557	3530	1997-08-10	PRIJEM	PREVOD Z UCTU	6156	16073	DUCHOD	EF	27247995
1032558	3530	1997-09-10	PRIJEM	PREVOD Z UCTU	6156	20299	DUCHOD	EF	27247995
1032673	3530	1997-08-31	VYDAJ	VYBER	15	16120	SLUZBY	\N	\N
1032559	3530	1997-10-10	PRIJEM	PREVOD Z UCTU	6156	16435	DUCHOD	EF	27247995
1032560	3530	1997-11-10	PRIJEM	PREVOD Z UCTU	6156	18578	DUCHOD	EF	27247995
1032561	3530	1997-12-10	PRIJEM	PREVOD Z UCTU	6156	15306	DUCHOD	EF	27247995
1032562	3530	1998-01-10	PRIJEM	PREVOD Z UCTU	6156	16525	DUCHOD	EF	27247995
1032563	3530	1998-02-10	PRIJEM	PREVOD Z UCTU	6156	15362	DUCHOD	EF	27247995
1032564	3530	1998-03-10	PRIJEM	PREVOD Z UCTU	6156	18622	DUCHOD	EF	27247995
1032565	3530	1998-04-10	PRIJEM	PREVOD Z UCTU	6156	19154	DUCHOD	EF	27247995
1032566	3530	1998-05-10	PRIJEM	PREVOD Z UCTU	6156	18887	DUCHOD	EF	27247995
1032567	3530	1998-06-10	PRIJEM	PREVOD Z UCTU	6156	17717	DUCHOD	EF	27247995
1032568	3530	1998-07-10	PRIJEM	PREVOD Z UCTU	6156	17844	DUCHOD	EF	27247995
1032569	3530	1998-08-10	PRIJEM	PREVOD Z UCTU	6156	17771	DUCHOD	EF	27247995
1032570	3530	1998-09-10	PRIJEM	PREVOD Z UCTU	6156	15393	DUCHOD	EF	27247995
1032571	3530	1998-10-10	PRIJEM	PREVOD Z UCTU	6156	19616	DUCHOD	EF	27247995
1032572	3530	1998-11-10	PRIJEM	PREVOD Z UCTU	6156	17245	DUCHOD	EF	27247995
1032573	3530	1998-12-10	PRIJEM	PREVOD Z UCTU	6156	15565	DUCHOD	EF	27247995
1032579	3530	1996-06-05	VYDAJ	PREVOD NA UCET	1977	28234	SIPO	KL	75893652
1032580	3530	1996-07-05	VYDAJ	PREVOD NA UCET	1977	20079	SIPO	KL	75893652
1032581	3530	1996-08-05	VYDAJ	PREVOD NA UCET	1977	19885	SIPO	KL	75893652
1032582	3530	1996-09-05	VYDAJ	PREVOD NA UCET	1977	16270	SIPO	KL	75893652
1032583	3530	1996-10-05	VYDAJ	PREVOD NA UCET	1977	14361	SIPO	KL	75893652
1032584	3530	1996-11-05	VYDAJ	PREVOD NA UCET	1977	16504	SIPO	KL	75893652
1032585	3530	1996-12-05	VYDAJ	PREVOD NA UCET	1977	16556	SIPO	KL	75893652
1032586	3530	1997-01-05	VYDAJ	PREVOD NA UCET	1977	14655	SIPO	KL	75893652
1032587	3530	1997-02-05	VYDAJ	PREVOD NA UCET	1977	11401	SIPO	KL	75893652
1032588	3530	1997-03-05	VYDAJ	PREVOD NA UCET	1977	15333	SIPO	KL	75893652
1032589	3530	1997-04-05	VYDAJ	PREVOD NA UCET	1977	14497	SIPO	KL	75893652
1032590	3530	1997-05-05	VYDAJ	PREVOD NA UCET	1977	12119	SIPO	KL	75893652
1032591	3530	1997-06-05	VYDAJ	PREVOD NA UCET	1977	12952	SIPO	KL	75893652
1032592	3530	1997-07-05	VYDAJ	PREVOD NA UCET	1977	12087	SIPO	KL	75893652
1032593	3530	1997-08-05	VYDAJ	PREVOD NA UCET	1977	9917	SIPO	KL	75893652
1032594	3530	1997-09-05	VYDAJ	PREVOD NA UCET	1977	14143	SIPO	KL	75893652
1032595	3530	1997-10-05	VYDAJ	PREVOD NA UCET	1977	10279	SIPO	KL	75893652
1032596	3530	1997-11-05	VYDAJ	PREVOD NA UCET	1977	12422	SIPO	KL	75893652
1032597	3530	1997-12-05	VYDAJ	PREVOD NA UCET	1977	9150	SIPO	KL	75893652
1032598	3530	1998-01-05	VYDAJ	PREVOD NA UCET	1977	10369	SIPO	KL	75893652
1032599	3530	1998-02-05	VYDAJ	PREVOD NA UCET	1977	9206	SIPO	KL	75893652
1032600	3530	1998-03-05	VYDAJ	PREVOD NA UCET	1977	12466	SIPO	KL	75893652
1032601	3530	1998-04-05	VYDAJ	PREVOD NA UCET	1977	13398	SIPO	KL	75893652
1032602	3530	1998-05-05	VYDAJ	PREVOD NA UCET	1977	12731	SIPO	KL	75893652
1032603	3530	1998-06-05	VYDAJ	PREVOD NA UCET	1977	11561	SIPO	KL	75893652
1032604	3530	1998-07-05	VYDAJ	PREVOD NA UCET	1977	11688	SIPO	KL	75893652
1032605	3530	1998-08-05	VYDAJ	PREVOD NA UCET	1977	11615	SIPO	KL	75893652
1032606	3530	1998-09-05	VYDAJ	PREVOD NA UCET	1977	9237	SIPO	KL	75893652
1032607	3530	1998-10-05	VYDAJ	PREVOD NA UCET	1977	13460	SIPO	KL	75893652
1032608	3530	1998-11-05	VYDAJ	PREVOD NA UCET	1977	11089	SIPO	KL	75893652
1032609	3530	1998-12-05	VYDAJ	PREVOD NA UCET	1977	9409	SIPO	KL	75893652
1032610	3530	1996-06-25	VYDAJ	VYBER	8350	26040	\N	\N	\N
1032614	3530	1997-01-28	VYDAJ	VYBER	2350	14361	\N	\N	\N
1032616	3530	1996-12-15	VYDAJ	VYBER	750	21962	\N	\N	\N
1032618	3530	1998-12-13	VYDAJ	VYBER	1150	14415	\N	\N	\N
1032625	3530	1997-01-26	VYDAJ	VYBER	560	17611	\N	\N	\N
1032626	3530	1997-01-24	VYDAJ	VYBER	1120	18171	\N	\N	\N
1032627	3530	1997-01-26	VYDAJ	VYBER	800	16811	\N	\N	\N
1032628	3530	1997-01-06	VYDAJ	VYBER	1120	13535	\N	\N	\N
1032629	3530	1997-01-29	VYDAJ	VYBER	1040	13321	\N	\N	\N
1032630	3530	1997-01-19	VYDAJ	VYBER	400	19291	\N	\N	\N
1032632	3530	1998-01-12	VYDAJ	VYBER	2000	13645	\N	\N	\N
1032636	3530	1998-01-10	VYDAJ	VYBER	880	15645	\N	\N	\N
1032637	3530	1996-07-16	VYDAJ	VYBER	1760	24475	\N	\N	\N
1032639	3530	1996-10-04	VYDAJ	VYBER	560	16338	\N	\N	\N
1032641	3530	1996-08-16	VYDAJ	VYBER	2080	23961	\N	\N	\N
1032643	3530	1997-03-19	VYDAJ	VYBER	2080	19409	\N	\N	\N
1032645	3530	1997-05-04	VYDAJ	VYBER	1920	14096	\N	\N	\N
1032646	3530	1997-10-15	VYDAJ	VYBER	2080	14355	\N	\N	\N
1032651	3530	1998-02-11	VYDAJ	VYBER	960	14402	\N	\N	\N
1032652	3530	1998-04-08	VYDAJ	VYBER	400	12998	\N	\N	\N
1032658	3530	1996-05-31	VYDAJ	VYBER	15	32011	SLUZBY	\N	\N
1032659	3530	1996-06-30	VYDAJ	VYBER	15	26156	SLUZBY	\N	\N
1032660	3530	1996-07-31	VYDAJ	VYBER	15	24562	SLUZBY	\N	\N
1032661	3530	1996-08-31	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
1032662	3530	1996-09-30	VYDAJ	VYBER	15	16898	SLUZBY	\N	\N
1032663	3530	1996-10-31	VYDAJ	VYBER	15	18481	SLUZBY	\N	\N
1032664	3530	1996-11-30	VYDAJ	VYBER	15	18533	SLUZBY	\N	\N
1032665	3530	1996-12-31	VYDAJ	VYBER	15	16632	SLUZBY	\N	\N
1032666	3530	1997-01-31	VYDAJ	VYBER	15	13378	SLUZBY	\N	\N
1032667	3530	1997-02-28	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
1032668	3530	1997-03-31	VYDAJ	VYBER	15	16474	SLUZBY	\N	\N
1032669	3530	1997-04-30	VYDAJ	VYBER	15	16016	SLUZBY	\N	\N
1032670	3530	1997-05-31	VYDAJ	VYBER	15	14929	SLUZBY	\N	\N
1032671	3530	1997-06-30	VYDAJ	VYBER	15	14064	SLUZBY	\N	\N
1032672	3530	1997-07-31	VYDAJ	VYBER	15	11894	SLUZBY	\N	\N
1032674	3530	1997-09-30	VYDAJ	VYBER	15	12256	SLUZBY	\N	\N
1032675	3530	1997-10-31	VYDAJ	VYBER	15	14399	SLUZBY	\N	\N
1032676	3530	1997-11-30	VYDAJ	VYBER	15	11127	SLUZBY	\N	\N
1032677	3530	1997-12-31	VYDAJ	VYBER	15	12346	SLUZBY	\N	\N
1032678	3530	1998-01-31	VYDAJ	VYBER	15	11183	SLUZBY	\N	\N
1032679	3530	1998-02-28	VYDAJ	VYBER	15	14443	SLUZBY	\N	\N
1032680	3530	1998-03-31	VYDAJ	VYBER	15	15375	SLUZBY	\N	\N
1032681	3530	1998-04-30	VYDAJ	VYBER	15	14708	SLUZBY	\N	\N
1032682	3530	1998-05-31	VYDAJ	VYBER	15	13538	SLUZBY	\N	\N
1032683	3530	1998-06-30	VYDAJ	VYBER	15	13665	SLUZBY	\N	\N
1032684	3530	1998-07-31	VYDAJ	VYBER	15	13592	SLUZBY	\N	\N
1032685	3530	1998-08-31	VYDAJ	VYBER	15	11214	SLUZBY	\N	\N
1032686	3530	1998-09-30	VYDAJ	VYBER	15	15437	SLUZBY	\N	\N
1032687	3530	1998-10-31	VYDAJ	VYBER	15	13066	SLUZBY	\N	\N
1032688	3530	1998-11-30	VYDAJ	VYBER	15	11386	SLUZBY	\N	\N
1032689	3530	1996-06-01	VYDAJ	VYBER	1800	30211	\N	\N	\N
1032690	3530	1996-07-01	VYDAJ	VYBER	4100	22056	\N	\N	\N
1032691	3530	1996-07-31	VYDAJ	VYBER	2700	21862	\N	\N	\N
1032692	3530	1996-08-30	VYDAJ	VYBER	5800	18161	\N	\N	\N
1032693	3530	1996-09-29	VYDAJ	VYBER	5600	16826	\N	\N	\N
1032694	3530	1996-10-29	VYDAJ	VYBER	2100	18417	\N	\N	\N
1032695	3530	1996-11-28	VYDAJ	VYBER	4200	18460	\N	\N	\N
1032696	3530	1996-12-28	VYDAJ	VYBER	5400	16562	\N	\N	\N
1032697	3530	1997-01-27	VYDAJ	VYBER	100	16711	\N	\N	\N
1032698	3530	1997-02-26	VYDAJ	VYBER	300	17257	\N	\N	\N
1032699	3530	1997-03-28	VYDAJ	VYBER	3000	16409	\N	\N	\N
1032700	3530	1997-04-27	VYDAJ	VYBER	4700	15953	\N	\N	\N
1032701	3530	1997-05-27	VYDAJ	VYBER	3400	14875	\N	\N	\N
1032702	3530	1997-06-26	VYDAJ	VYBER	5100	14008	\N	\N	\N
1032703	3530	1997-07-26	VYDAJ	VYBER	6400	11843	\N	\N	\N
1032704	3530	1997-09-24	VYDAJ	VYBER	8100	12199	\N	\N	\N
1032705	3530	1997-11-23	VYDAJ	VYBER	7500	11078	\N	\N	\N
1032706	3530	1997-12-23	VYDAJ	VYBER	3000	12306	\N	\N	\N
1032707	3530	1998-01-22	VYDAJ	VYBER	2500	11145	\N	\N	\N
1032708	3530	1998-03-23	VYDAJ	VYBER	3300	15322	\N	\N	\N
1032709	3530	1998-04-22	VYDAJ	VYBER	4500	14654	\N	\N	\N
1032710	3530	1998-05-22	VYDAJ	VYBER	5400	13487	\N	\N	\N
1032711	3530	1998-06-21	VYDAJ	VYBER	4100	13617	\N	\N	\N
1032712	3530	1998-07-21	VYDAJ	VYBER	4300	13544	\N	\N	\N
1032713	3530	1998-08-20	VYDAJ	VYBER	6600	11171	\N	\N	\N
1032714	3530	1998-10-19	VYDAJ	VYBER	6600	13016	\N	\N	\N
1032715	3530	1998-11-18	VYDAJ	VYBER	5900	11345	\N	\N	\N
1032752	3531	1996-05-03	PRIJEM	VKLAD	900	900	\N	\N	\N
1032757	3531	1996-05-10	PRIJEM	PREVOD Z UCTU	6962	7862	DUCHOD	YZ	97257405
1032758	3531	1996-06-10	PRIJEM	PREVOD Z UCTU	6962	14847	DUCHOD	YZ	97257405
1032759	3531	1996-07-10	PRIJEM	PREVOD Z UCTU	6962	21842	DUCHOD	YZ	97257405
1032760	3531	1996-08-10	PRIJEM	PREVOD Z UCTU	6962	28137	DUCHOD	YZ	97257405
1032761	3531	1996-09-10	PRIJEM	PREVOD Z UCTU	6962	30691	DUCHOD	YZ	97257405
1032762	3531	1996-10-10	PRIJEM	PREVOD Z UCTU	6962	30970	DUCHOD	YZ	97257405
1032763	3531	1996-11-10	PRIJEM	PREVOD Z UCTU	6962	32012	DUCHOD	YZ	97257405
1032764	3531	1996-12-10	PRIJEM	PREVOD Z UCTU	6962	26798	DUCHOD	YZ	97257405
1032765	3531	1997-01-10	PRIJEM	PREVOD Z UCTU	6962	28746	DUCHOD	YZ	97257405
1032766	3531	1997-02-10	PRIJEM	PREVOD Z UCTU	6962	23603	DUCHOD	YZ	97257405
1032767	3531	1997-03-10	PRIJEM	PREVOD Z UCTU	6962	25453	DUCHOD	YZ	97257405
1032768	3531	1997-04-10	PRIJEM	PREVOD Z UCTU	6962	28933	DUCHOD	YZ	97257405
1032769	3531	1997-05-10	PRIJEM	PREVOD Z UCTU	6962	29126	DUCHOD	YZ	97257405
1032770	3531	1997-06-10	PRIJEM	PREVOD Z UCTU	6962	20470	DUCHOD	YZ	97257405
1032771	3531	1997-07-10	PRIJEM	PREVOD Z UCTU	6962	20935	DUCHOD	YZ	97257405
1032772	3531	1997-08-10	PRIJEM	PREVOD Z UCTU	6962	19970	DUCHOD	YZ	97257405
1032773	3531	1997-09-10	PRIJEM	PREVOD Z UCTU	6962	20324	DUCHOD	YZ	97257405
1032774	3531	1997-10-10	PRIJEM	PREVOD Z UCTU	6962	22481	DUCHOD	YZ	97257405
1032775	3531	1997-11-10	PRIJEM	PREVOD Z UCTU	6962	26649	DUCHOD	YZ	97257405
1032776	3531	1997-12-10	PRIJEM	PREVOD Z UCTU	6962	28332	DUCHOD	YZ	97257405
1032777	3531	1998-01-10	PRIJEM	PREVOD Z UCTU	6962	27451	DUCHOD	YZ	97257405
1032778	3531	1998-02-10	PRIJEM	PREVOD Z UCTU	6962	18333	DUCHOD	YZ	97257405
1032779	3531	1998-03-10	PRIJEM	PREVOD Z UCTU	6962	21363	DUCHOD	YZ	97257405
1032780	3531	1998-04-10	PRIJEM	PREVOD Z UCTU	6962	25526	DUCHOD	YZ	97257405
1032781	3531	1998-05-10	PRIJEM	PREVOD Z UCTU	6962	29706	DUCHOD	YZ	97257405
1032782	3531	1998-06-10	PRIJEM	PREVOD Z UCTU	6962	30619	DUCHOD	YZ	97257405
1032783	3531	1998-07-10	PRIJEM	PREVOD Z UCTU	6962	28009	DUCHOD	YZ	97257405
1032784	3531	1998-08-10	PRIJEM	PREVOD Z UCTU	6962	30898	DUCHOD	YZ	97257405
1032785	3531	1998-09-10	PRIJEM	PREVOD Z UCTU	6962	31176	DUCHOD	YZ	97257405
1032786	3531	1998-10-10	PRIJEM	PREVOD Z UCTU	6962	35380	DUCHOD	YZ	97257405
1032787	3531	1998-11-10	PRIJEM	PREVOD Z UCTU	6962	39601	DUCHOD	YZ	97257405
1032788	3531	1998-12-10	PRIJEM	PREVOD Z UCTU	6962	41636	DUCHOD	YZ	97257405
1032798	3531	1996-10-08	VYDAJ	PREVOD NA UCET	2868	24008	SIPO	OP	70772456
1032799	3531	1996-11-08	VYDAJ	PREVOD NA UCET	2868	25050	SIPO	OP	70772456
1032800	3531	1996-12-08	VYDAJ	PREVOD NA UCET	2868	19836	SIPO	OP	70772456
1032801	3531	1997-01-08	VYDAJ	PREVOD NA UCET	2868	21784	SIPO	OP	70772456
1032802	3531	1997-02-08	VYDAJ	PREVOD NA UCET	2868	16641	SIPO	OP	70772456
1032803	3531	1997-03-08	VYDAJ	PREVOD NA UCET	2868	18491	SIPO	OP	70772456
1032804	3531	1997-04-08	VYDAJ	PREVOD NA UCET	2868	21971	SIPO	OP	70772456
1032805	3531	1997-05-08	VYDAJ	PREVOD NA UCET	2868	22164	SIPO	OP	70772456
1032806	3531	1997-06-08	VYDAJ	PREVOD NA UCET	2868	13508	SIPO	OP	70772456
1032807	3531	1997-07-08	VYDAJ	PREVOD NA UCET	2868	13973	SIPO	OP	70772456
1032808	3531	1997-08-08	VYDAJ	PREVOD NA UCET	2868	13008	SIPO	OP	70772456
1032809	3531	1997-09-08	VYDAJ	PREVOD NA UCET	2868	13362	SIPO	OP	70772456
1032810	3531	1997-10-08	VYDAJ	PREVOD NA UCET	2868	15519	SIPO	OP	70772456
1032811	3531	1997-11-08	VYDAJ	PREVOD NA UCET	2868	19687	SIPO	OP	70772456
1032812	3531	1997-12-08	VYDAJ	PREVOD NA UCET	2868	21370	SIPO	OP	70772456
1032813	3531	1998-01-08	VYDAJ	PREVOD NA UCET	2868	21849	SIPO	OP	70772456
1032814	3531	1998-02-08	VYDAJ	PREVOD NA UCET	2868	11371	SIPO	OP	70772456
1032815	3531	1998-03-08	VYDAJ	PREVOD NA UCET	2868	14401	SIPO	OP	70772456
1032816	3531	1998-04-08	VYDAJ	PREVOD NA UCET	2868	18564	SIPO	OP	70772456
1032817	3531	1998-05-08	VYDAJ	PREVOD NA UCET	2868	22744	SIPO	OP	70772456
1032818	3531	1998-06-08	VYDAJ	PREVOD NA UCET	2868	23657	SIPO	OP	70772456
1032819	3531	1998-07-08	VYDAJ	PREVOD NA UCET	2868	21047	SIPO	OP	70772456
1032820	3531	1998-08-08	VYDAJ	PREVOD NA UCET	2868	23936	SIPO	OP	70772456
1032821	3531	1998-09-08	VYDAJ	PREVOD NA UCET	2868	24214	SIPO	OP	70772456
1032822	3531	1998-10-08	VYDAJ	PREVOD NA UCET	2868	28418	SIPO	OP	70772456
1032823	3531	1998-11-08	VYDAJ	PREVOD NA UCET	2868	32639	SIPO	OP	70772456
1032824	3531	1998-12-08	VYDAJ	PREVOD NA UCET	2868	34674	SIPO	OP	70772456
1032826	3531	1997-06-01	VYDAJ	VYBER	9450	16376	\N	\N	\N
1032827	3531	1998-06-12	VYDAJ	VYBER	2400	28219	\N	\N	\N
1032829	3531	1997-01-30	VYDAJ	VYBER	1000	20466	\N	\N	\N
1032830	3531	1998-01-28	VYDAJ	VYBER	4250	14161	\N	\N	\N
1032831	3531	1996-12-23	VYDAJ	VYBER	400	26398	\N	\N	\N
1032832	3531	1997-12-25	VYDAJ	VYBER	350	25182	\N	\N	\N
1032833	3531	1998-12-11	VYDAJ	VYBER	1150	40486	\N	\N	\N
1032840	3531	1997-01-15	VYDAJ	VYBER	2320	21946	\N	\N	\N
1032841	3531	1997-01-10	VYDAJ	VYBER	1520	27226	\N	\N	\N
1032842	3531	1997-01-30	VYDAJ	VYBER	1040	19426	\N	\N	\N
1032843	3531	1997-01-04	VYDAJ	VYBER	1840	24652	\N	\N	\N
1032844	3531	1997-01-16	VYDAJ	VYBER	480	21466	\N	\N	\N
1032845	3531	1997-01-15	VYDAJ	VYBER	560	24266	\N	\N	\N
1032846	3531	1998-01-06	VYDAJ	VYBER	560	24717	\N	\N	\N
1032847	3531	1998-01-14	VYDAJ	VYBER	2320	25131	\N	\N	\N
1032848	3531	1998-01-24	VYDAJ	VYBER	1280	19211	\N	\N	\N
1032849	3531	1998-01-09	VYDAJ	VYBER	1360	20489	\N	\N	\N
1032850	3531	1998-01-24	VYDAJ	VYBER	800	18411	\N	\N	\N
1032851	3531	1998-01-16	VYDAJ	VYBER	2000	23131	\N	\N	\N
1032856	3531	1996-11-07	VYDAJ	VYBER	960	27918	\N	\N	\N
1032857	3531	1996-12-03	VYDAJ	VYBER	2720	22704	\N	\N	\N
1032858	3531	1997-01-14	VYDAJ	VYBER	2400	24826	\N	\N	\N
1032859	3531	1997-07-20	VYDAJ	VYBER	2560	18375	\N	\N	\N
1032860	3531	1997-07-23	VYDAJ	VYBER	2560	15815	\N	\N	\N
1032861	3531	1997-03-25	VYDAJ	VYBER	400	25053	\N	\N	\N
1032862	3531	1997-02-20	VYDAJ	VYBER	2320	21283	\N	\N	\N
1032863	3531	1998-01-23	VYDAJ	VYBER	2640	20491	\N	\N	\N
1032864	3531	1998-09-02	VYDAJ	VYBER	960	27082	\N	\N	\N
1032865	3531	1998-05-21	VYDAJ	VYBER	3280	26426	\N	\N	\N
1032866	3531	1998-02-10	VYDAJ	VYBER	1120	17213	\N	\N	\N
1032867	3531	1998-08-20	VYDAJ	VYBER	2160	28738	\N	\N	\N
1032877	3531	1996-09-30	VYDAJ	VYBER	15	30776	SLUZBY	\N	\N
1032878	3531	1996-10-31	VYDAJ	VYBER	15	28878	SLUZBY	\N	\N
1032879	3531	1996-11-30	VYDAJ	VYBER	15	25424	SLUZBY	\N	\N
1032880	3531	1996-12-31	VYDAJ	VYBER	15	26492	SLUZBY	\N	\N
1032881	3531	1997-01-31	VYDAJ	VYBER	15	19509	SLUZBY	\N	\N
1032882	3531	1997-02-28	VYDAJ	VYBER	15	21359	SLUZBY	\N	\N
1032883	3531	1997-03-31	VYDAJ	VYBER	15	24839	SLUZBY	\N	\N
1032884	3531	1997-04-30	VYDAJ	VYBER	15	25032	SLUZBY	\N	\N
1032885	3531	1997-05-31	VYDAJ	VYBER	15	25826	SLUZBY	\N	\N
1032886	3531	1997-06-30	VYDAJ	VYBER	15	16841	SLUZBY	\N	\N
1032887	3531	1997-07-31	VYDAJ	VYBER	15	15876	SLUZBY	\N	\N
1032888	3531	1997-08-31	VYDAJ	VYBER	15	16230	SLUZBY	\N	\N
1032889	3531	1997-09-30	VYDAJ	VYBER	15	18387	SLUZBY	\N	\N
1032890	3531	1997-10-31	VYDAJ	VYBER	15	22555	SLUZBY	\N	\N
1032891	3531	1997-11-30	VYDAJ	VYBER	15	24238	SLUZBY	\N	\N
1032892	3531	1997-12-31	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
1032893	3531	1998-01-31	VYDAJ	VYBER	15	14239	SLUZBY	\N	\N
1032894	3531	1998-02-28	VYDAJ	VYBER	15	17269	SLUZBY	\N	\N
1032895	3531	1998-03-31	VYDAJ	VYBER	15	21432	SLUZBY	\N	\N
1032896	3531	1998-04-30	VYDAJ	VYBER	15	25612	SLUZBY	\N	\N
1032897	3531	1998-05-31	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
1032898	3531	1998-06-30	VYDAJ	VYBER	15	23915	SLUZBY	\N	\N
1032899	3531	1998-07-31	VYDAJ	VYBER	15	26804	SLUZBY	\N	\N
1032900	3531	1998-08-31	VYDAJ	VYBER	15	28042	SLUZBY	\N	\N
1032901	3531	1998-09-30	VYDAJ	VYBER	15	31286	SLUZBY	\N	\N
1032902	3531	1998-10-31	VYDAJ	VYBER	15	35507	SLUZBY	\N	\N
1032903	3531	1998-11-30	VYDAJ	VYBER	15	37542	SLUZBY	\N	\N
1032904	3531	1996-08-01	VYDAJ	VYBER	700	21175	\N	\N	\N
1032905	3531	1996-08-31	VYDAJ	VYBER	4500	23729	\N	\N	\N
1032906	3531	1996-09-30	VYDAJ	VYBER	3900	26876	\N	\N	\N
1032907	3531	1996-10-30	VYDAJ	VYBER	2200	28770	\N	\N	\N
1032908	3531	1996-11-29	VYDAJ	VYBER	6700	25312	\N	\N	\N
1032909	3531	1997-03-29	VYDAJ	VYBER	300	24753	\N	\N	\N
1032910	3531	1997-04-28	VYDAJ	VYBER	4000	24933	\N	\N	\N
1032911	3531	1997-05-28	VYDAJ	VYBER	3400	25726	\N	\N	\N
1032912	3531	1997-06-27	VYDAJ	VYBER	3700	16770	\N	\N	\N
1032913	3531	1997-08-26	VYDAJ	VYBER	3800	16170	\N	\N	\N
1032914	3531	1997-09-25	VYDAJ	VYBER	2000	18324	\N	\N	\N
1032915	3531	1997-11-24	VYDAJ	VYBER	2500	24149	\N	\N	\N
1032916	3531	1997-12-24	VYDAJ	VYBER	2800	25532	\N	\N	\N
1032917	3531	1998-06-22	VYDAJ	VYBER	4400	23819	\N	\N	\N
1032918	3531	1998-07-22	VYDAJ	VYBER	1300	26709	\N	\N	\N
1032919	3531	1998-08-21	VYDAJ	VYBER	800	27938	\N	\N	\N
1032920	3531	1998-11-19	VYDAJ	VYBER	2200	37401	\N	\N	\N
1032953	3532	1995-07-18	PRIJEM	VKLAD	200	200	\N	\N	\N
1032961	3532	1995-08-12	PRIJEM	VKLAD	11857	12057	\N	\N	\N
1032962	3532	1995-09-12	PRIJEM	VKLAD	11857	27445	\N	\N	\N
1032963	3532	1995-10-12	PRIJEM	VKLAD	11857	36586	\N	\N	\N
1032964	3532	1995-11-12	PRIJEM	VKLAD	11857	38149	\N	\N	\N
1032965	3532	1995-12-12	PRIJEM	VKLAD	17786	47251	\N	\N	\N
1032966	3532	1996-01-12	PRIJEM	VKLAD	11857	44326	\N	\N	\N
1032967	3532	1996-02-12	PRIJEM	VKLAD	11857	25573	\N	\N	\N
1032968	3532	1996-03-12	PRIJEM	VKLAD	11857	33898	\N	\N	\N
1032969	3532	1996-04-12	PRIJEM	VKLAD	11857	34737	\N	\N	\N
1032970	3532	1996-05-12	PRIJEM	VKLAD	11857	34374	\N	\N	\N
1032971	3532	1996-06-12	PRIJEM	VKLAD	17786	38935	\N	\N	\N
1032972	3532	1996-07-12	PRIJEM	VKLAD	11857	14344	\N	\N	\N
1032973	3532	1996-08-12	PRIJEM	VKLAD	11857	25317	\N	\N	\N
1032974	3532	1996-09-12	PRIJEM	VKLAD	11857	29342	\N	\N	\N
1032975	3532	1996-10-12	PRIJEM	VKLAD	11857	32501	\N	\N	\N
1032976	3532	1996-11-12	PRIJEM	VKLAD	11857	35174	\N	\N	\N
1032977	3532	1996-12-12	PRIJEM	VKLAD	17786	40588	\N	\N	\N
1032978	3532	1997-01-12	PRIJEM	VKLAD	11857	35087	\N	\N	\N
1032979	3532	1997-02-12	PRIJEM	VKLAD	11857	35755	\N	\N	\N
1032980	3532	1997-03-12	PRIJEM	VKLAD	11857	43431	\N	\N	\N
1032981	3532	1997-04-12	PRIJEM	VKLAD	11857	45143	\N	\N	\N
1032982	3532	1997-05-12	PRIJEM	VKLAD	11857	43971	\N	\N	\N
1032983	3532	1997-06-12	PRIJEM	VKLAD	17786	46917	\N	\N	\N
1032984	3532	1997-07-12	PRIJEM	VKLAD	11857	38631	\N	\N	\N
1032985	3532	1997-08-12	PRIJEM	VKLAD	11857	42913	\N	\N	\N
1032986	3532	1997-09-12	PRIJEM	VKLAD	11857	44122	\N	\N	\N
1032987	3532	1997-10-12	PRIJEM	VKLAD	11857	40846	\N	\N	\N
1032988	3532	1997-11-12	PRIJEM	VKLAD	11857	39162	\N	\N	\N
1032989	3532	1997-12-12	PRIJEM	VKLAD	17786	44385	\N	\N	\N
1032990	3532	1998-01-12	PRIJEM	VKLAD	11857	36496	\N	\N	\N
1032991	3532	1998-02-12	PRIJEM	VKLAD	11857	28173	\N	\N	\N
1032992	3532	1998-03-12	PRIJEM	VKLAD	11857	26026	\N	\N	\N
1032993	3532	1998-04-12	PRIJEM	VKLAD	11857	21273	\N	\N	\N
1032994	3532	1998-05-12	PRIJEM	VKLAD	11857	21111	\N	\N	\N
1032995	3532	1998-06-12	PRIJEM	VKLAD	17786	22370	\N	\N	\N
1032996	3532	1998-07-12	PRIJEM	VKLAD	11857	19389	\N	\N	\N
1032997	3532	1998-08-12	PRIJEM	VKLAD	11857	21816	\N	\N	\N
1032998	3532	1998-09-12	PRIJEM	VKLAD	11857	18844	\N	\N	\N
1032999	3532	1998-10-12	PRIJEM	VKLAD	11857	21274	\N	\N	\N
1033000	3532	1998-11-12	PRIJEM	VKLAD	11857	22154	\N	\N	\N
1033001	3532	1998-12-12	PRIJEM	VKLAD	17786	24979	\N	\N	\N
1033003	3532	1996-06-22	VYDAJ	VYBER	22000	1435	\N	\N	\N
1033004	3532	1997-06-28	VYDAJ	VYBER	16900	27317	\N	\N	\N
1033005	3532	1998-06-06	VYDAJ	VYBER	5800	4584	\N	\N	\N
1033007	3532	1996-01-12	VYDAJ	VYBER	9900	34426	\N	\N	\N
1033008	3532	1997-01-13	VYDAJ	VYBER	6000	29087	\N	\N	\N
1033009	3532	1998-01-19	VYDAJ	VYBER	4600	30496	\N	\N	\N
1033010	3532	1995-12-23	VYDAJ	VYBER	900	33351	\N	\N	\N
1033011	3532	1996-12-06	VYDAJ	VYBER	2700	32602	\N	\N	\N
1033012	3532	1997-12-16	VYDAJ	VYBER	1900	42485	\N	\N	\N
1033013	3532	1998-12-07	VYDAJ	VYBER	800	7193	\N	\N	\N
1033020	3532	1996-01-07	VYDAJ	VYBER	1000	32469	\N	\N	\N
1033021	3532	1996-01-22	VYDAJ	VYBER	1000	19226	\N	\N	\N
1033022	3532	1996-01-30	VYDAJ	VYBER	1300	15726	\N	\N	\N
1033023	3532	1996-01-13	VYDAJ	VYBER	2100	32326	\N	\N	\N
1033024	3532	1996-01-16	VYDAJ	VYBER	1900	20226	\N	\N	\N
1033025	3532	1996-01-27	VYDAJ	VYBER	2200	17026	\N	\N	\N
1033026	3532	1997-01-21	VYDAJ	VYBER	2300	26787	\N	\N	\N
1033027	3532	1997-01-05	VYDAJ	VYBER	1900	38830	\N	\N	\N
1033028	3532	1997-01-10	VYDAJ	VYBER	1200	23230	\N	\N	\N
1033029	3532	1997-01-30	VYDAJ	VYBER	600	26187	\N	\N	\N
1033030	3532	1997-01-07	VYDAJ	VYBER	1500	37330	\N	\N	\N
1033031	3532	1997-01-08	VYDAJ	VYBER	2200	24430	\N	\N	\N
1033032	3532	1998-01-17	VYDAJ	VYBER	900	35096	\N	\N	\N
1033033	3532	1998-01-11	VYDAJ	VYBER	500	24639	\N	\N	\N
1033034	3532	1998-01-19	VYDAJ	VYBER	2800	27696	\N	\N	\N
1033035	3532	1998-01-30	VYDAJ	VYBER	1500	26196	\N	\N	\N
1033036	3532	1998-01-16	VYDAJ	VYBER	500	35996	\N	\N	\N
1033037	3532	1998-01-08	VYDAJ	VYBER	1400	25139	\N	\N	\N
1033044	3532	1996-03-12	VYDAJ	VYBER	1400	32498	\N	\N	\N
1033045	3532	1996-02-11	VYDAJ	VYBER	2100	13716	\N	\N	\N
1033046	3532	1996-07-13	VYDAJ	VYBER	4200	10144	\N	\N	\N
1033047	3532	1997-10-29	VYDAJ	VYBER	4200	36646	\N	\N	\N
1033048	3532	1997-05-16	VYDAJ	VYBER	4500	39471	\N	\N	\N
1033049	3532	1997-06-16	VYDAJ	VYBER	2700	44217	\N	\N	\N
1033050	3532	1997-11-15	VYDAJ	VYBER	800	36062	\N	\N	\N
1033051	3532	1997-11-14	VYDAJ	VYBER	2300	36862	\N	\N	\N
1033052	3532	1997-07-23	VYDAJ	VYBER	3900	34731	\N	\N	\N
1033053	3532	1998-11-16	VYDAJ	VYBER	4600	17554	\N	\N	\N
1033054	3532	1998-09-28	VYDAJ	VYBER	1900	16944	\N	\N	\N
1033055	3532	1998-02-23	VYDAJ	VYBER	3800	24373	\N	\N	\N
1033068	3532	1995-12-31	VYDAJ	VYBER	15	33469	SLUZBY	\N	\N
1033069	3532	1996-01-31	VYDAJ	VYBER	15	15816	SLUZBY	\N	\N
1033070	3532	1996-02-29	VYDAJ	VYBER	15	22041	SLUZBY	\N	\N
1033071	3532	1996-03-31	VYDAJ	VYBER	15	22880	SLUZBY	\N	\N
1033072	3532	1996-04-30	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
1033073	3532	1996-05-31	VYDAJ	VYBER	15	21149	SLUZBY	\N	\N
1033074	3532	1996-06-30	VYDAJ	VYBER	15	1487	SLUZBY	\N	\N
1033075	3532	1996-07-31	VYDAJ	VYBER	15	10160	SLUZBY	\N	\N
1033076	3532	1996-08-31	VYDAJ	VYBER	15	25385	SLUZBY	\N	\N
1033077	3532	1996-09-30	VYDAJ	VYBER	15	29444	SLUZBY	\N	\N
1033078	3532	1996-10-31	VYDAJ	VYBER	15	32617	SLUZBY	\N	\N
1033079	3532	1996-11-30	VYDAJ	VYBER	15	35302	SLUZBY	\N	\N
1033080	3532	1996-12-31	VYDAJ	VYBER	15	40730	SLUZBY	\N	\N
1033081	3532	1997-01-31	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
1033082	3532	1997-02-28	VYDAJ	VYBER	15	35874	SLUZBY	\N	\N
1033083	3532	1997-03-31	VYDAJ	VYBER	15	43586	SLUZBY	\N	\N
1033084	3532	1997-04-30	VYDAJ	VYBER	15	45314	SLUZBY	\N	\N
1033085	3532	1997-05-31	VYDAJ	VYBER	15	39631	SLUZBY	\N	\N
1033086	3532	1997-06-30	VYDAJ	VYBER	15	27474	SLUZBY	\N	\N
1033087	3532	1997-07-31	VYDAJ	VYBER	15	34856	SLUZBY	\N	\N
1033088	3532	1997-08-31	VYDAJ	VYBER	15	43065	SLUZBY	\N	\N
1033089	3532	1997-09-30	VYDAJ	VYBER	15	44289	SLUZBY	\N	\N
1033090	3532	1997-10-31	VYDAJ	VYBER	15	36805	SLUZBY	\N	\N
1033091	3532	1997-11-30	VYDAJ	VYBER	15	36199	SLUZBY	\N	\N
1033092	3532	1997-12-31	VYDAJ	VYBER	15	42639	SLUZBY	\N	\N
1033093	3532	1998-01-31	VYDAJ	VYBER	15	26316	SLUZBY	\N	\N
1033094	3532	1998-02-28	VYDAJ	VYBER	15	24469	SLUZBY	\N	\N
1033095	3532	1998-03-31	VYDAJ	VYBER	15	26116	SLUZBY	\N	\N
1033096	3532	1998-04-30	VYDAJ	VYBER	15	21354	SLUZBY	\N	\N
1033097	3532	1998-05-31	VYDAJ	VYBER	15	21184	SLUZBY	\N	\N
1033098	3532	1998-06-30	VYDAJ	VYBER	15	22432	SLUZBY	\N	\N
1033099	3532	1998-07-31	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
1033100	3532	1998-08-31	VYDAJ	VYBER	15	21887	SLUZBY	\N	\N
1033101	3532	1998-09-30	VYDAJ	VYBER	15	17017	SLUZBY	\N	\N
1033102	3532	1998-10-31	VYDAJ	VYBER	15	10297	SLUZBY	\N	\N
1033103	3532	1998-11-30	VYDAJ	VYBER	15	7993	SLUZBY	\N	\N
1033104	3532	1995-08-17	PRIJEM	VKLAD	3500	15557	\N	\N	\N
1033105	3532	1995-09-16	VYDAJ	VYBER	2800	24645	\N	\N	\N
1033106	3532	1995-10-16	VYDAJ	VYBER	10400	26186	\N	\N	\N
1033107	3532	1995-11-15	VYDAJ	VYBER	8800	29349	\N	\N	\N
1033108	3532	1995-12-15	VYDAJ	VYBER	13000	34251	\N	\N	\N
1033109	3532	1996-01-14	VYDAJ	VYBER	10200	22126	\N	\N	\N
1033110	3532	1996-02-13	VYDAJ	VYBER	3600	21973	\N	\N	\N
1033111	3532	1996-03-14	VYDAJ	VYBER	9700	22798	\N	\N	\N
1033112	3532	1996-04-13	VYDAJ	VYBER	12300	22437	\N	\N	\N
1033113	3532	1996-05-13	VYDAJ	VYBER	13300	21074	\N	\N	\N
1033114	3532	1996-06-12	VYDAJ	VYBER	15500	23435	\N	\N	\N
1033115	3532	1996-07-12	PRIJEM	VKLAD	1000	2487	\N	\N	\N
1033116	3532	1996-08-11	PRIJEM	VKLAD	3300	13460	\N	\N	\N
1033117	3532	1996-09-10	VYDAJ	VYBER	7900	17485	\N	\N	\N
1033118	3532	1996-10-10	VYDAJ	VYBER	8800	20644	\N	\N	\N
1033119	3532	1996-11-09	VYDAJ	VYBER	9300	23317	\N	\N	\N
1033120	3532	1996-12-09	VYDAJ	VYBER	9800	22802	\N	\N	\N
1033121	3532	1997-01-08	VYDAJ	VYBER	10700	26630	\N	\N	\N
1033122	3532	1997-02-07	VYDAJ	VYBER	2400	23898	\N	\N	\N
1033123	3532	1997-03-09	VYDAJ	VYBER	4300	31574	\N	\N	\N
1033124	3532	1997-04-08	VYDAJ	VYBER	10300	33286	\N	\N	\N
1033125	3532	1997-05-08	VYDAJ	VYBER	13200	32114	\N	\N	\N
1033126	3532	1997-06-07	VYDAJ	VYBER	10500	29131	\N	\N	\N
1033127	3532	1997-07-07	VYDAJ	VYBER	700	26774	\N	\N	\N
1033128	3532	1997-08-06	VYDAJ	VYBER	3800	31056	\N	\N	\N
1033129	3532	1997-09-05	VYDAJ	VYBER	10800	32265	\N	\N	\N
1033130	3532	1997-10-05	VYDAJ	VYBER	15300	28989	\N	\N	\N
1033131	3532	1997-11-04	VYDAJ	VYBER	9500	27305	\N	\N	\N
1033132	3532	1997-12-04	VYDAJ	VYBER	9600	26599	\N	\N	\N
1033133	3532	1998-01-03	VYDAJ	VYBER	16100	26539	\N	\N	\N
1033134	3532	1998-02-02	VYDAJ	VYBER	10000	16316	\N	\N	\N
1033135	3532	1998-03-04	VYDAJ	VYBER	10300	14169	\N	\N	\N
1033136	3532	1998-04-03	VYDAJ	VYBER	16700	9416	\N	\N	\N
1033137	3532	1998-05-03	VYDAJ	VYBER	12100	9254	\N	\N	\N
1033138	3532	1998-06-02	VYDAJ	VYBER	10800	10384	\N	\N	\N
1033139	3532	1998-07-02	VYDAJ	VYBER	14900	7532	\N	\N	\N
1033140	3532	1998-08-01	VYDAJ	VYBER	9500	9959	\N	\N	\N
1033141	3532	1998-08-31	VYDAJ	VYBER	14900	6987	\N	\N	\N
1033142	3532	1998-09-30	VYDAJ	VYBER	7600	9417	\N	\N	\N
1033143	3532	1998-10-30	VYDAJ	VYBER	11000	10274	\N	\N	\N
1033144	3532	1998-11-29	VYDAJ	VYBER	9600	7954	\N	\N	\N
1033186	3533	1994-08-29	PRIJEM	VKLAD	800	800	\N	\N	\N
1033195	3533	1994-09-06	PRIJEM	PREVOD Z UCTU	3191	3991	\N	GH	91073572
1033196	3533	1994-10-06	PRIJEM	PREVOD Z UCTU	3191	17188	\N	GH	91073572
1033197	3533	1994-11-06	PRIJEM	PREVOD Z UCTU	3191	23340	\N	GH	91073572
1033198	3533	1994-12-06	PRIJEM	PREVOD Z UCTU	3191	24916	\N	GH	91073572
1033199	3533	1995-01-06	PRIJEM	PREVOD Z UCTU	3191	25498	\N	GH	91073572
1033200	3533	1995-02-06	PRIJEM	PREVOD Z UCTU	3191	24442	\N	GH	91073572
1033201	3533	1995-03-06	PRIJEM	PREVOD Z UCTU	3191	27784	\N	GH	91073572
1033202	3533	1995-04-06	PRIJEM	PREVOD Z UCTU	3191	31240	\N	GH	91073572
1033203	3533	1995-05-06	PRIJEM	PREVOD Z UCTU	3191	33109	\N	GH	91073572
1033204	3533	1995-06-06	PRIJEM	PREVOD Z UCTU	3191	32925	\N	GH	91073572
1033205	3533	1995-07-06	PRIJEM	PREVOD Z UCTU	3191	28539	\N	GH	91073572
1033206	3533	1995-08-06	PRIJEM	PREVOD Z UCTU	3191	31098	\N	GH	91073572
1033207	3533	1995-09-06	PRIJEM	PREVOD Z UCTU	3191	34168	\N	GH	91073572
1033208	3533	1995-10-06	PRIJEM	PREVOD Z UCTU	3191	35950	\N	GH	91073572
1033209	3533	1995-11-06	PRIJEM	PREVOD Z UCTU	3191	33555	\N	GH	91073572
1033210	3533	1995-12-06	PRIJEM	PREVOD Z UCTU	3191	32574	\N	GH	91073572
1033211	3533	1996-01-06	PRIJEM	PREVOD Z UCTU	3191	33050	\N	GH	91073572
1033212	3533	1996-02-06	PRIJEM	PREVOD Z UCTU	3191	29341	\N	GH	91073572
1033213	3533	1996-03-06	PRIJEM	PREVOD Z UCTU	3191	29271	\N	GH	91073572
1033214	3533	1996-04-06	PRIJEM	PREVOD Z UCTU	3191	32135	\N	GH	91073572
1033215	3533	1996-05-06	PRIJEM	PREVOD Z UCTU	3191	32306	\N	GH	91073572
1033216	3533	1996-06-06	PRIJEM	PREVOD Z UCTU	3191	34180	\N	GH	91073572
1033217	3533	1996-07-06	PRIJEM	PREVOD Z UCTU	3191	32399	\N	GH	91073572
1033218	3533	1996-08-06	PRIJEM	PREVOD Z UCTU	3191	34074	\N	GH	91073572
1033219	3533	1996-09-06	PRIJEM	PREVOD Z UCTU	3191	34121	\N	GH	91073572
1033220	3533	1996-10-06	PRIJEM	PREVOD Z UCTU	3191	39410	\N	GH	91073572
1033221	3533	1996-11-06	PRIJEM	PREVOD Z UCTU	3191	36204	\N	GH	91073572
1033222	3533	1996-12-06	PRIJEM	PREVOD Z UCTU	3191	40099	\N	GH	91073572
1033223	3533	1997-01-06	PRIJEM	PREVOD Z UCTU	3191	39552	\N	GH	91073572
1033224	3533	1997-02-06	PRIJEM	PREVOD Z UCTU	3191	35578	\N	GH	91073572
1033225	3533	1997-03-06	PRIJEM	PREVOD Z UCTU	3191	36464	\N	GH	91073572
1033226	3533	1997-04-06	PRIJEM	PREVOD Z UCTU	3191	35349	\N	GH	91073572
1033227	3533	1997-05-06	PRIJEM	PREVOD Z UCTU	3191	35231	\N	GH	91073572
1033228	3533	1997-06-06	PRIJEM	PREVOD Z UCTU	3191	32617	\N	GH	91073572
1033229	3533	1997-07-06	PRIJEM	PREVOD Z UCTU	3191	31042	\N	GH	91073572
1033230	3533	1997-08-06	PRIJEM	PREVOD Z UCTU	3191	31488	\N	GH	91073572
1033231	3533	1997-09-06	PRIJEM	PREVOD Z UCTU	3191	30693	\N	GH	91073572
1033232	3533	1997-10-06	PRIJEM	PREVOD Z UCTU	3191	30458	\N	GH	91073572
1033233	3533	1997-11-06	PRIJEM	PREVOD Z UCTU	3191	34330	\N	GH	91073572
1033234	3533	1997-12-06	PRIJEM	PREVOD Z UCTU	3191	34410	\N	GH	91073572
1033235	3533	1998-01-06	PRIJEM	PREVOD Z UCTU	3191	32418	\N	GH	91073572
1033236	3533	1998-02-06	PRIJEM	PREVOD Z UCTU	3191	35901	\N	GH	91073572
1033237	3533	1998-03-06	PRIJEM	PREVOD Z UCTU	3191	34983	\N	GH	91073572
1033238	3533	1998-04-06	PRIJEM	PREVOD Z UCTU	3191	33259	\N	GH	91073572
1033239	3533	1998-05-06	PRIJEM	PREVOD Z UCTU	3191	35108	\N	GH	91073572
1033240	3533	1998-06-06	PRIJEM	PREVOD Z UCTU	3191	31681	\N	GH	91073572
1033241	3533	1998-07-06	PRIJEM	PREVOD Z UCTU	3191	25173	\N	GH	91073572
1033242	3533	1998-08-06	PRIJEM	PREVOD Z UCTU	3191	28021	\N	GH	91073572
1033243	3533	1998-09-06	PRIJEM	PREVOD Z UCTU	3191	27672	\N	GH	91073572
1033244	3533	1998-10-06	PRIJEM	PREVOD Z UCTU	3191	30431	\N	GH	91073572
1033245	3533	1998-11-06	PRIJEM	PREVOD Z UCTU	3191	29390	\N	GH	91073572
1033246	3533	1998-12-06	PRIJEM	PREVOD Z UCTU	3191	27474	\N	GH	91073572
1033259	3533	1995-01-12	VYDAJ	PREVOD NA UCET	2127	23371	SIPO	EF	91321044
1033260	3533	1995-02-12	VYDAJ	PREVOD NA UCET	2127	22315	SIPO	EF	91321044
1033261	3533	1995-03-12	VYDAJ	PREVOD NA UCET	2127	25657	SIPO	EF	91321044
1033262	3533	1995-04-12	VYDAJ	PREVOD NA UCET	2127	29113	SIPO	EF	91321044
1033263	3533	1995-05-12	VYDAJ	PREVOD NA UCET	2127	30982	SIPO	EF	91321044
1033264	3533	1995-06-12	VYDAJ	PREVOD NA UCET	2127	30798	SIPO	EF	91321044
1033265	3533	1995-07-12	VYDAJ	PREVOD NA UCET	2127	26412	SIPO	EF	91321044
1033266	3533	1995-08-12	VYDAJ	PREVOD NA UCET	2127	28971	SIPO	EF	91321044
1033267	3533	1995-09-12	VYDAJ	PREVOD NA UCET	2127	32041	SIPO	EF	91321044
1033268	3533	1995-10-12	VYDAJ	PREVOD NA UCET	2127	33823	SIPO	EF	91321044
1033269	3533	1995-11-12	VYDAJ	PREVOD NA UCET	2127	31038	SIPO	EF	91321044
1033270	3533	1995-12-12	VYDAJ	PREVOD NA UCET	2127	30447	SIPO	EF	91321044
1033271	3533	1996-01-12	VYDAJ	PREVOD NA UCET	2127	30923	SIPO	EF	91321044
1033272	3533	1996-02-12	VYDAJ	PREVOD NA UCET	2127	25774	SIPO	EF	91321044
1033273	3533	1996-03-12	VYDAJ	PREVOD NA UCET	2127	27144	SIPO	EF	91321044
1033274	3533	1996-04-12	VYDAJ	PREVOD NA UCET	2127	30008	SIPO	EF	91321044
1033275	3533	1996-05-12	VYDAJ	PREVOD NA UCET	2127	30179	SIPO	EF	91321044
1033276	3533	1996-06-12	VYDAJ	PREVOD NA UCET	2127	32053	SIPO	EF	91321044
1033277	3533	1996-07-12	VYDAJ	PREVOD NA UCET	2127	30272	SIPO	EF	91321044
1033278	3533	1996-08-12	VYDAJ	PREVOD NA UCET	2127	31947	SIPO	EF	91321044
1033279	3533	1996-09-12	VYDAJ	PREVOD NA UCET	2127	31994	SIPO	EF	91321044
1033280	3533	1996-10-12	VYDAJ	PREVOD NA UCET	2127	37283	SIPO	EF	91321044
1033281	3533	1996-11-12	VYDAJ	PREVOD NA UCET	2127	34077	SIPO	EF	91321044
1033282	3533	1996-12-12	VYDAJ	PREVOD NA UCET	2127	37972	SIPO	EF	91321044
1033283	3533	1997-01-12	VYDAJ	PREVOD NA UCET	2127	37425	SIPO	EF	91321044
1033284	3533	1997-02-12	VYDAJ	PREVOD NA UCET	2127	33451	SIPO	EF	91321044
1033285	3533	1997-03-12	VYDAJ	PREVOD NA UCET	2127	34337	SIPO	EF	91321044
1033286	3533	1997-04-12	VYDAJ	PREVOD NA UCET	2127	33222	SIPO	EF	91321044
1033287	3533	1997-05-12	VYDAJ	PREVOD NA UCET	2127	33104	SIPO	EF	91321044
1033288	3533	1997-06-12	VYDAJ	PREVOD NA UCET	2127	23650	SIPO	EF	91321044
1033289	3533	1997-07-12	VYDAJ	PREVOD NA UCET	2127	28915	SIPO	EF	91321044
1033290	3533	1997-08-12	VYDAJ	PREVOD NA UCET	2127	28101	SIPO	EF	91321044
1033291	3533	1997-09-12	VYDAJ	PREVOD NA UCET	2127	28566	SIPO	EF	91321044
1033292	3533	1997-10-12	VYDAJ	PREVOD NA UCET	2127	31031	SIPO	EF	91321044
1033293	3533	1997-11-12	VYDAJ	PREVOD NA UCET	2127	31703	SIPO	EF	91321044
1033294	3533	1997-12-12	VYDAJ	PREVOD NA UCET	2127	30283	SIPO	EF	91321044
1033295	3533	1998-01-12	VYDAJ	PREVOD NA UCET	2127	32591	SIPO	EF	91321044
1033296	3533	1998-02-12	VYDAJ	PREVOD NA UCET	2127	31674	SIPO	EF	91321044
1033297	3533	1998-03-12	VYDAJ	PREVOD NA UCET	2127	29956	SIPO	EF	91321044
1033298	3533	1998-04-12	VYDAJ	PREVOD NA UCET	2127	32132	SIPO	EF	91321044
1033299	3533	1998-05-12	VYDAJ	PREVOD NA UCET	2127	28381	SIPO	EF	91321044
1033300	3533	1998-06-12	VYDAJ	PREVOD NA UCET	2127	24354	SIPO	EF	91321044
1033301	3533	1998-07-12	VYDAJ	PREVOD NA UCET	2127	24746	SIPO	EF	91321044
1033302	3533	1998-08-12	VYDAJ	PREVOD NA UCET	2127	24394	SIPO	EF	91321044
1033303	3533	1998-09-12	VYDAJ	PREVOD NA UCET	2127	27145	SIPO	EF	91321044
1033304	3533	1998-10-12	VYDAJ	PREVOD NA UCET	2127	26104	SIPO	EF	91321044
1033305	3533	1998-11-12	VYDAJ	PREVOD NA UCET	2127	24883	SIPO	EF	91321044
1033306	3533	1998-12-12	VYDAJ	PREVOD NA UCET	2127	30047	SIPO	EF	91321044
1033308	3533	1995-06-28	VYDAJ	VYBER	5160	25238	\N	\N	\N
1033309	3533	1996-06-27	VYDAJ	VYBER	2760	29093	\N	\N	\N
1033310	3533	1997-06-11	VYDAJ	VYBER	6840	25777	\N	\N	\N
1033311	3533	1998-06-23	VYDAJ	VYBER	2460	21894	\N	\N	\N
1033313	3533	1995-01-29	VYDAJ	VYBER	2100	21171	\N	\N	\N
1033314	3533	1996-01-19	VYDAJ	VYBER	450	30473	\N	\N	\N
1033315	3533	1997-01-03	VYDAJ	VYBER	690	36361	\N	\N	\N
1033316	3533	1998-01-05	VYDAJ	VYBER	1170	29227	\N	\N	\N
1033318	3533	1995-12-04	VYDAJ	VYBER	570	29383	\N	\N	\N
1033319	3533	1996-12-25	VYDAJ	VYBER	360	36912	\N	\N	\N
1033320	3533	1997-12-04	VYDAJ	VYBER	600	31219	\N	\N	\N
1033321	3533	1998-12-30	VYDAJ	VYBER	870	29177	\N	\N	\N
1033329	3533	1995-11-06	VYDAJ	VYBER	390	33165	\N	\N	\N
1033330	3533	1995-05-25	VYDAJ	VYBER	660	30322	\N	\N	\N
1033331	3533	1995-10-28	VYDAJ	VYBER	780	30243	\N	\N	\N
1033332	3533	1996-08-18	VYDAJ	VYBER	240	30817	\N	\N	\N
1033333	3533	1996-08-14	VYDAJ	VYBER	990	30957	\N	\N	\N
1033334	3533	1996-02-07	VYDAJ	VYBER	1440	27901	\N	\N	\N
1033335	3533	1996-02-01	VYDAJ	VYBER	930	26150	\N	\N	\N
1033336	3533	1996-02-28	VYDAJ	VYBER	390	25984	\N	\N	\N
1033337	3533	1997-05-14	VYDAJ	VYBER	1290	31814	\N	\N	\N
1033338	3533	1997-07-17	VYDAJ	VYBER	420	28195	\N	\N	\N
1033339	3533	1997-01-26	VYDAJ	VYBER	870	32255	\N	\N	\N
1033340	3533	1997-08-09	VYDAJ	VYBER	1260	30228	\N	\N	\N
1033341	3533	1998-11-10	VYDAJ	VYBER	480	27010	\N	\N	\N
1033342	3533	1998-05-01	VYDAJ	VYBER	330	31917	\N	\N	\N
1033343	3533	1998-12-04	VYDAJ	VYBER	690	24283	\N	\N	\N
1033357	3533	1995-01-31	VYDAJ	VYBER	15	21251	SLUZBY	\N	\N
1033358	3533	1995-02-28	VYDAJ	VYBER	15	24593	SLUZBY	\N	\N
1033359	3533	1995-03-31	VYDAJ	VYBER	15	28049	SLUZBY	\N	\N
1033360	3533	1995-04-30	VYDAJ	VYBER	15	29918	SLUZBY	\N	\N
1033361	3533	1995-05-31	VYDAJ	VYBER	15	29734	SLUZBY	\N	\N
1033362	3533	1995-06-30	VYDAJ	VYBER	15	25348	SLUZBY	\N	\N
1033363	3533	1995-07-31	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
1033364	3533	1995-08-31	VYDAJ	VYBER	15	30977	SLUZBY	\N	\N
1033365	3533	1995-09-30	VYDAJ	VYBER	15	32759	SLUZBY	\N	\N
1033366	3533	1995-10-31	VYDAJ	VYBER	15	30364	SLUZBY	\N	\N
1033367	3533	1995-11-30	VYDAJ	VYBER	15	29953	SLUZBY	\N	\N
1033368	3533	1995-12-31	VYDAJ	VYBER	15	29859	SLUZBY	\N	\N
1033369	3533	1996-01-31	VYDAJ	VYBER	15	27080	SLUZBY	\N	\N
1033370	3533	1996-02-29	VYDAJ	VYBER	15	26080	SLUZBY	\N	\N
1033371	3533	1996-03-31	VYDAJ	VYBER	15	28944	SLUZBY	\N	\N
1033372	3533	1996-04-30	VYDAJ	VYBER	15	29115	SLUZBY	\N	\N
1033373	3533	1996-05-31	VYDAJ	VYBER	15	30989	SLUZBY	\N	\N
1033374	3533	1996-06-30	VYDAJ	VYBER	15	29208	SLUZBY	\N	\N
1033375	3533	1996-07-31	VYDAJ	VYBER	15	30883	SLUZBY	\N	\N
1033376	3533	1996-08-31	VYDAJ	VYBER	15	30930	SLUZBY	\N	\N
1033377	3533	1996-09-30	VYDAJ	VYBER	15	36219	SLUZBY	\N	\N
1033378	3533	1996-10-31	VYDAJ	VYBER	15	33013	SLUZBY	\N	\N
1033379	3533	1996-11-30	VYDAJ	VYBER	15	36908	SLUZBY	\N	\N
1033380	3533	1996-12-31	VYDAJ	VYBER	15	37051	SLUZBY	\N	\N
1033381	3533	1997-01-31	VYDAJ	VYBER	15	32387	SLUZBY	\N	\N
1033382	3533	1997-02-28	VYDAJ	VYBER	15	33273	SLUZBY	\N	\N
1033383	3533	1997-03-31	VYDAJ	VYBER	15	32158	SLUZBY	\N	\N
1033384	3533	1997-04-30	VYDAJ	VYBER	15	32040	SLUZBY	\N	\N
1033385	3533	1997-05-31	VYDAJ	VYBER	15	29426	SLUZBY	\N	\N
1033386	3533	1997-06-30	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
1033387	3533	1997-07-31	VYDAJ	VYBER	15	28297	SLUZBY	\N	\N
1033388	3533	1997-08-31	VYDAJ	VYBER	15	27502	SLUZBY	\N	\N
1033389	3533	1997-09-30	VYDAJ	VYBER	15	27267	SLUZBY	\N	\N
1033390	3533	1997-10-31	VYDAJ	VYBER	15	31139	SLUZBY	\N	\N
1033391	3533	1997-11-30	VYDAJ	VYBER	15	31819	SLUZBY	\N	\N
1033392	3533	1997-12-31	VYDAJ	VYBER	15	30397	SLUZBY	\N	\N
1033393	3533	1998-01-31	VYDAJ	VYBER	15	32710	SLUZBY	\N	\N
1033394	3533	1998-02-28	VYDAJ	VYBER	15	31792	SLUZBY	\N	\N
1033395	3533	1998-03-31	VYDAJ	VYBER	15	30068	SLUZBY	\N	\N
1033396	3533	1998-04-30	VYDAJ	VYBER	15	32247	SLUZBY	\N	\N
1033397	3533	1998-05-31	VYDAJ	VYBER	15	28490	SLUZBY	\N	\N
1033398	3533	1998-06-30	VYDAJ	VYBER	15	21982	SLUZBY	\N	\N
1033399	3533	1998-07-31	VYDAJ	VYBER	15	24830	SLUZBY	\N	\N
1033400	3533	1998-08-31	VYDAJ	VYBER	15	24481	SLUZBY	\N	\N
1033401	3533	1998-09-30	VYDAJ	VYBER	15	27240	SLUZBY	\N	\N
1033402	3533	1998-10-31	VYDAJ	VYBER	15	26199	SLUZBY	\N	\N
1033403	3533	1998-11-30	VYDAJ	VYBER	15	24973	SLUZBY	\N	\N
1033404	3533	1994-09-28	PRIJEM	VKLAD	10000	13991	\N	\N	\N
1033405	3533	1994-10-28	PRIJEM	VKLAD	2900	20088	\N	\N	\N
1033406	3533	1994-11-27	VYDAJ	VYBER	1700	21640	\N	\N	\N
1033407	3533	1994-12-27	VYDAJ	VYBER	2700	22216	\N	\N	\N
1033408	3533	1995-01-26	VYDAJ	VYBER	100	23271	\N	\N	\N
1033409	3533	1995-02-25	PRIJEM	VKLAD	2200	24515	\N	\N	\N
1033410	3533	1995-03-27	PRIJEM	VKLAD	2300	27957	\N	\N	\N
1033411	3533	1995-04-26	PRIJEM	VKLAD	700	29813	\N	\N	\N
1033412	3533	1995-05-26	VYDAJ	VYBER	700	29622	\N	\N	\N
1033413	3533	1995-06-25	VYDAJ	VYBER	400	30398	\N	\N	\N
1033414	3533	1995-07-25	PRIJEM	VKLAD	1400	27812	\N	\N	\N
1033415	3533	1995-08-24	PRIJEM	VKLAD	1900	30871	\N	\N	\N
1033416	3533	1995-09-23	PRIJEM	VKLAD	600	32641	\N	\N	\N
1033417	3533	1995-10-23	VYDAJ	VYBER	2800	31023	\N	\N	\N
1033418	3533	1995-11-22	VYDAJ	VYBER	1200	29838	\N	\N	\N
1033419	3533	1995-12-22	VYDAJ	VYBER	700	29747	\N	\N	\N
1033420	3533	1996-01-21	VYDAJ	VYBER	3500	26973	\N	\N	\N
1033421	3533	1996-02-20	PRIJEM	VKLAD	600	26374	\N	\N	\N
1033422	3533	1996-03-21	PRIJEM	VKLAD	1700	28844	\N	\N	\N
1033423	3533	1996-04-20	VYDAJ	VYBER	1000	29008	\N	\N	\N
1033424	3533	1996-05-20	PRIJEM	VKLAD	700	30879	\N	\N	\N
1033425	3533	1996-06-19	VYDAJ	VYBER	200	31853	\N	\N	\N
1033426	3533	1996-07-19	PRIJEM	VKLAD	500	30772	\N	\N	\N
1033427	3533	1996-08-18	PRIJEM	VKLAD	100	31057	\N	\N	\N
1033428	3533	1996-09-17	PRIJEM	VKLAD	4100	36094	\N	\N	\N
1033429	3533	1996-10-17	VYDAJ	VYBER	4400	32883	\N	\N	\N
1033430	3533	1996-11-16	PRIJEM	VKLAD	2700	36777	\N	\N	\N
1033431	3533	1996-12-16	VYDAJ	VYBER	700	37272	\N	\N	\N
1033432	3533	1997-01-15	VYDAJ	VYBER	4300	33125	\N	\N	\N
1033433	3533	1997-02-14	VYDAJ	VYBER	300	33151	\N	\N	\N
1033434	3533	1997-03-16	VYDAJ	VYBER	2300	32037	\N	\N	\N
1033435	3533	1997-04-15	VYDAJ	VYBER	1300	31922	\N	\N	\N
1033436	3533	1997-05-15	VYDAJ	VYBER	2500	29314	\N	\N	\N
1033437	3533	1997-06-14	PRIJEM	VKLAD	4100	27750	\N	\N	\N
1033438	3533	1997-07-14	VYDAJ	VYBER	300	28615	\N	\N	\N
1033439	3533	1997-08-13	VYDAJ	VYBER	700	27401	\N	\N	\N
1033440	3533	1997-09-12	VYDAJ	VYBER	1400	27166	\N	\N	\N
1033441	3533	1997-10-12	PRIJEM	VKLAD	2700	33158	\N	\N	\N
1033442	3533	1997-11-11	VYDAJ	VYBER	500	33830	\N	\N	\N
1033443	3533	1997-12-11	VYDAJ	VYBER	2000	32410	\N	\N	\N
1033444	3533	1998-01-10	PRIJEM	VKLAD	2300	34718	\N	\N	\N
1033445	3533	1998-02-09	VYDAJ	VYBER	2100	33801	\N	\N	\N
1033446	3533	1998-03-11	VYDAJ	VYBER	2900	32083	\N	\N	\N
1033447	3533	1998-04-10	PRIJEM	VKLAD	1000	34259	\N	\N	\N
1033448	3533	1998-05-10	VYDAJ	VYBER	4600	30508	\N	\N	\N
1033449	3533	1998-06-09	VYDAJ	VYBER	5200	26481	\N	\N	\N
1033450	3533	1998-07-09	PRIJEM	VKLAD	1700	26873	\N	\N	\N
1033451	3533	1998-08-08	VYDAJ	VYBER	1500	26521	\N	\N	\N
1033452	3533	1998-09-07	PRIJEM	VKLAD	1600	29272	\N	\N	\N
1033453	3533	1998-10-07	VYDAJ	VYBER	2200	28231	\N	\N	\N
1033454	3533	1998-11-06	VYDAJ	VYBER	1900	27490	\N	\N	\N
1033455	3533	1998-12-06	PRIJEM	VKLAD	4700	32174	\N	\N	\N
1033508	3534	1996-04-08	PRIJEM	VKLAD	600	600	\N	\N	\N
1033513	3534	1996-05-05	PRIJEM	VKLAD	13126	13726	\N	\N	\N
1033514	3534	1996-06-05	PRIJEM	VKLAD	19689	37974	\N	\N	\N
1033515	3534	1996-07-05	PRIJEM	VKLAD	13126	44820	\N	\N	\N
1033516	3534	1996-08-05	PRIJEM	VKLAD	13126	50196	\N	\N	\N
1033517	3534	1996-09-05	PRIJEM	VKLAD	13126	51179	\N	\N	\N
1033518	3534	1996-10-05	PRIJEM	VKLAD	13126	46487	\N	\N	\N
1033519	3534	1996-11-05	PRIJEM	VKLAD	13126	42670	\N	\N	\N
1033520	3534	1996-12-05	PRIJEM	VKLAD	19689	52936	\N	\N	\N
1033521	3534	1997-01-05	PRIJEM	VKLAD	13126	51376	\N	\N	\N
1033522	3534	1997-02-05	PRIJEM	VKLAD	13126	42866	\N	\N	\N
1033523	3534	1997-03-05	PRIJEM	VKLAD	13126	48966	\N	\N	\N
1033524	3534	1997-04-05	PRIJEM	VKLAD	13126	49795	\N	\N	\N
1033525	3534	1997-05-05	PRIJEM	VKLAD	13126	48597	\N	\N	\N
1033526	3534	1997-06-05	PRIJEM	VKLAD	19689	44297	\N	\N	\N
1033527	3534	1997-07-05	PRIJEM	VKLAD	13126	46236	\N	\N	\N
1033528	3534	1997-08-05	PRIJEM	VKLAD	13126	48452	\N	\N	\N
1033529	3534	1997-09-05	PRIJEM	VKLAD	13126	47558	\N	\N	\N
1033530	3534	1997-10-05	PRIJEM	VKLAD	13126	51377	\N	\N	\N
1033531	3534	1997-11-05	PRIJEM	VKLAD	13126	57616	\N	\N	\N
1033532	3534	1997-12-05	PRIJEM	VKLAD	19689	68640	\N	\N	\N
1033533	3534	1998-01-05	PRIJEM	VKLAD	13126	63795	\N	\N	\N
1033534	3534	1998-02-05	PRIJEM	VKLAD	13126	53598	\N	\N	\N
1033535	3534	1998-03-05	PRIJEM	VKLAD	13126	55844	\N	\N	\N
1033536	3534	1998-04-05	PRIJEM	VKLAD	13126	52094	\N	\N	\N
1033537	3534	1998-05-05	PRIJEM	VKLAD	13126	52630	\N	\N	\N
1033538	3534	1998-06-05	PRIJEM	VKLAD	19689	52220	\N	\N	\N
1033539	3534	1998-07-05	PRIJEM	VKLAD	13126	50153	\N	\N	\N
1033540	3534	1998-08-05	PRIJEM	VKLAD	13126	53283	\N	\N	\N
1033541	3534	1998-09-05	PRIJEM	VKLAD	13126	44841	\N	\N	\N
1033542	3534	1998-10-05	PRIJEM	VKLAD	13126	47148	\N	\N	\N
1033543	3534	1998-11-05	PRIJEM	VKLAD	13126	39454	\N	\N	\N
1033544	3534	1998-12-05	PRIJEM	VKLAD	19689	47605	\N	\N	\N
1033553	3534	1996-09-05	VYDAJ	PREVOD NA UCET	2189	37290	SIPO	UV	3138167
1033554	3534	1996-10-05	VYDAJ	PREVOD NA UCET	2189	35098	SIPO	UV	3138167
1033555	3534	1996-11-05	VYDAJ	PREVOD NA UCET	2189	40481	SIPO	UV	3138167
1033556	3534	1996-12-05	VYDAJ	PREVOD NA UCET	2189	50747	SIPO	UV	3138167
1033557	3534	1997-01-05	VYDAJ	PREVOD NA UCET	2189	49187	SIPO	UV	3138167
1033558	3534	1997-02-05	VYDAJ	PREVOD NA UCET	2189	40677	SIPO	UV	3138167
1033559	3534	1997-03-05	VYDAJ	PREVOD NA UCET	2189	46777	SIPO	UV	3138167
1033560	3534	1997-04-05	VYDAJ	PREVOD NA UCET	2189	47606	SIPO	UV	3138167
1033561	3534	1997-05-05	VYDAJ	PREVOD NA UCET	2189	46408	SIPO	UV	3138167
1033562	3534	1997-06-05	VYDAJ	PREVOD NA UCET	2189	42108	SIPO	UV	3138167
1033563	3534	1997-07-05	VYDAJ	PREVOD NA UCET	2189	44047	SIPO	UV	3138167
1033564	3534	1997-08-05	VYDAJ	PREVOD NA UCET	2189	46263	SIPO	UV	3138167
1033565	3534	1997-09-05	VYDAJ	PREVOD NA UCET	2189	45369	SIPO	UV	3138167
1033566	3534	1997-10-05	VYDAJ	PREVOD NA UCET	2189	49188	SIPO	UV	3138167
1033567	3534	1997-11-05	VYDAJ	PREVOD NA UCET	2189	55427	SIPO	UV	3138167
1033568	3534	1997-12-05	VYDAJ	PREVOD NA UCET	2189	66451	SIPO	UV	3138167
1033569	3534	1998-01-05	VYDAJ	PREVOD NA UCET	2189	61606	SIPO	UV	3138167
1033570	3534	1998-02-05	VYDAJ	PREVOD NA UCET	2189	51409	SIPO	UV	3138167
1033571	3534	1998-03-05	VYDAJ	PREVOD NA UCET	2189	53655	SIPO	UV	3138167
1033572	3534	1998-04-05	VYDAJ	PREVOD NA UCET	2189	49905	SIPO	UV	3138167
1033573	3534	1998-05-05	VYDAJ	PREVOD NA UCET	2189	50441	SIPO	UV	3138167
1033574	3534	1998-06-05	VYDAJ	PREVOD NA UCET	2189	50031	SIPO	UV	3138167
1033575	3534	1998-07-05	VYDAJ	PREVOD NA UCET	2189	47964	SIPO	UV	3138167
1033576	3534	1998-08-05	VYDAJ	PREVOD NA UCET	2189	51094	SIPO	UV	3138167
1033577	3534	1998-09-05	VYDAJ	PREVOD NA UCET	2189	42652	SIPO	UV	3138167
1033578	3534	1998-10-05	VYDAJ	PREVOD NA UCET	2189	44959	SIPO	UV	3138167
1033579	3534	1998-11-05	VYDAJ	PREVOD NA UCET	2189	37265	SIPO	UV	3138167
1033580	3534	1998-12-05	VYDAJ	PREVOD NA UCET	2189	45416	SIPO	UV	3138167
1033589	3534	1996-09-13	VYDAJ	PREVOD NA UCET	4075	33215	 	GH	64108812
1033590	3534	1996-10-13	VYDAJ	PREVOD NA UCET	4075	31023	 	GH	64108812
1033591	3534	1996-11-13	VYDAJ	PREVOD NA UCET	4075	36406	 	GH	64108812
1033592	3534	1996-12-13	VYDAJ	PREVOD NA UCET	4075	46672	 	GH	64108812
1033593	3534	1997-01-13	VYDAJ	PREVOD NA UCET	4075	42592	 	GH	64108812
1033594	3534	1997-02-13	VYDAJ	PREVOD NA UCET	4075	36602	 	GH	64108812
1033595	3534	1997-03-13	VYDAJ	PREVOD NA UCET	4075	42702	 	GH	64108812
1033596	3534	1997-04-13	VYDAJ	PREVOD NA UCET	4075	39211	 	GH	64108812
1033597	3534	1997-05-13	VYDAJ	PREVOD NA UCET	4075	32853	 	GH	64108812
1033598	3534	1997-06-13	VYDAJ	PREVOD NA UCET	4075	36473	 	GH	64108812
1033599	3534	1997-07-13	VYDAJ	PREVOD NA UCET	4075	39972	 	GH	64108812
1033600	3534	1997-08-13	VYDAJ	PREVOD NA UCET	4075	42188	 	GH	64108812
1033601	3534	1997-09-13	VYDAJ	PREVOD NA UCET	4075	40594	 	GH	64108812
1033602	3534	1997-10-13	VYDAJ	PREVOD NA UCET	4075	45113	 	GH	64108812
1033603	3534	1997-11-13	VYDAJ	PREVOD NA UCET	4075	51352	 	GH	64108812
1033604	3534	1997-12-13	VYDAJ	PREVOD NA UCET	4075	62376	 	GH	64108812
1033605	3534	1998-01-13	VYDAJ	PREVOD NA UCET	4075	53331	 	GH	64108812
1033606	3534	1998-02-13	VYDAJ	PREVOD NA UCET	4075	47334	 	GH	64108812
1033607	3534	1998-03-13	VYDAJ	PREVOD NA UCET	4075	49580	 	GH	64108812
1033608	3534	1998-04-13	VYDAJ	PREVOD NA UCET	4075	45830	 	GH	64108812
1033609	3534	1998-05-13	VYDAJ	PREVOD NA UCET	4075	46366	 	GH	64108812
1033610	3534	1998-06-13	VYDAJ	PREVOD NA UCET	4075	45956	 	GH	64108812
1033611	3534	1998-07-13	VYDAJ	PREVOD NA UCET	4075	43889	 	GH	64108812
1033612	3534	1998-08-13	VYDAJ	PREVOD NA UCET	4075	47019	 	GH	64108812
1033613	3534	1998-09-13	VYDAJ	PREVOD NA UCET	4075	38577	 	GH	64108812
1033614	3534	1998-10-13	VYDAJ	PREVOD NA UCET	4075	40884	 	GH	64108812
1033615	3534	1998-11-13	VYDAJ	PREVOD NA UCET	4075	33190	 	GH	64108812
1033616	3534	1998-12-13	VYDAJ	PREVOD NA UCET	4075	41341	 	GH	64108812
1033618	3534	1997-06-01	VYDAJ	VYBER	17280	15708	\N	\N	\N
1033621	3534	1997-01-27	VYDAJ	VYBER	10240	25272	\N	\N	\N
1033622	3534	1998-01-22	VYDAJ	VYBER	4480	46451	\N	\N	\N
1033623	3534	1996-12-13	VYDAJ	VYBER	3200	43472	\N	\N	\N
1033624	3534	1997-12-22	VYDAJ	VYBER	4640	57736	\N	\N	\N
1033625	3534	1998-12-02	VYDAJ	VYBER KARTOU	3400	27916	\N	\N	0
1033632	3534	1997-01-09	VYDAJ	VYBER	2520	46667	\N	\N	\N
1033633	3534	1997-01-21	VYDAJ	VYBER	720	35512	\N	\N	\N
1033634	3534	1997-01-28	VYDAJ	VYBER	1080	24192	\N	\N	\N
1033635	3534	1997-01-16	VYDAJ	VYBER	2520	37432	\N	\N	\N
1033636	3534	1997-01-14	VYDAJ	VYBER	2640	39952	\N	\N	\N
1033637	3534	1997-01-20	VYDAJ	VYBER	1200	36232	\N	\N	\N
1033638	3534	1998-01-14	VYDAJ	VYBER KARTOU	1200	52131	\N	\N	0
1033639	3534	1998-01-27	VYDAJ	VYBER KARTOU	2200	44251	\N	\N	0
1033640	3534	1998-01-17	VYDAJ	VYBER KARTOU	1200	50931	\N	\N	0
1033641	3534	1998-01-09	VYDAJ	VYBER KARTOU	1600	60006	\N	\N	0
1033642	3534	1998-01-12	VYDAJ	VYBER KARTOU	2600	57406	\N	\N	0
1033643	3534	1998-01-03	VYDAJ	VYBER KARTOU	1700	50669	\N	\N	0
1033648	3534	1997-08-31	VYDAJ	VYBER	5520	36846	\N	\N	\N
1033649	3534	1997-06-10	VYDAJ	VYBER	1560	40548	\N	\N	\N
1033650	3534	1997-05-11	VYDAJ	VYBER	3960	36928	\N	\N	\N
1033651	3534	1997-09-12	VYDAJ	VYBER KARTOU	700	44669	\N	\N	0
1033652	3534	1997-04-11	VYDAJ	VYBER	4320	43286	\N	\N	\N
1033653	3534	1997-05-06	VYDAJ	VYBER	5520	40888	\N	\N	\N
1033654	3534	1998-05-26	VYDAJ	VYBER KARTOU	2300	35166	\N	\N	0
1033655	3534	1998-01-28	VYDAJ	VYBER	5280	40271	\N	\N	\N
1033656	3534	1998-10-22	VYDAJ	VYBER KARTOU	2400	38484	\N	\N	0
1033657	3534	1998-05-20	VYDAJ	VYBER KARTOU	3500	42866	\N	\N	0
1033658	3534	1998-05-20	VYDAJ	VYBER	5400	37466	\N	\N	\N
1033659	3534	1998-11-04	VYDAJ	VYBER KARTOU	3000	26328	\N	\N	0
1033660	3534	1998-09-04	VYDAJ	VYBER	5880	31715	\N	\N	\N
1033670	3534	1996-09-30	VYDAJ	VYBER	15	33361	SLUZBY	\N	\N
1033671	3534	1996-10-31	VYDAJ	VYBER	15	31144	SLUZBY	\N	\N
1033672	3534	1996-11-30	VYDAJ	VYBER	15	36547	SLUZBY	\N	\N
1033673	3534	1996-12-31	VYDAJ	VYBER	15	43650	SLUZBY	\N	\N
1033674	3534	1997-01-31	VYDAJ	VYBER	15	24340	SLUZBY	\N	\N
1033675	3534	1997-02-28	VYDAJ	VYBER	15	36740	SLUZBY	\N	\N
1033676	3534	1997-03-31	VYDAJ	VYBER	15	42869	SLUZBY	\N	\N
1033677	3534	1997-04-30	VYDAJ	VYBER	15	39371	SLUZBY	\N	\N
1033678	3534	1997-05-31	VYDAJ	VYBER	15	32988	SLUZBY	\N	\N
1033679	3534	1997-06-30	VYDAJ	VYBER	15	36610	SLUZBY	\N	\N
1033680	3534	1997-07-31	VYDAJ	VYBER	15	40126	SLUZBY	\N	\N
1033681	3534	1997-08-31	VYDAJ	VYBER	15	34432	SLUZBY	\N	\N
1033682	3534	1997-09-30	VYDAJ	VYBER	15	40751	SLUZBY	\N	\N
1033683	3534	1997-10-31	VYDAJ	VYBER	15	44490	SLUZBY	\N	\N
1033684	3534	1997-11-30	VYDAJ	VYBER	15	48951	SLUZBY	\N	\N
1033685	3534	1997-12-31	VYDAJ	VYBER	15	52369	SLUZBY	\N	\N
1033686	3534	1998-01-31	VYDAJ	VYBER	15	40472	SLUZBY	\N	\N
1033687	3534	1998-02-28	VYDAJ	VYBER	15	42718	SLUZBY	\N	\N
1033688	3534	1998-03-31	VYDAJ	VYBER	15	38968	SLUZBY	\N	\N
1033689	3534	1998-04-30	VYDAJ	VYBER	15	39504	SLUZBY	\N	\N
1033690	3534	1998-05-31	VYDAJ	VYBER	15	32531	SLUZBY	\N	\N
1033691	3534	1998-06-30	VYDAJ	VYBER	15	37027	SLUZBY	\N	\N
1033692	3534	1998-07-31	VYDAJ	VYBER	15	40157	SLUZBY	\N	\N
1033693	3534	1998-08-31	VYDAJ	VYBER	15	37595	SLUZBY	\N	\N
1033694	3534	1998-09-30	VYDAJ	VYBER	15	34022	SLUZBY	\N	\N
1033695	3534	1998-10-31	VYDAJ	VYBER	15	29328	SLUZBY	\N	\N
1033696	3534	1998-11-30	VYDAJ	VYBER	15	31316	SLUZBY	\N	\N
1033697	3534	1996-05-08	PRIJEM	VKLAD	4500	18226	\N	\N	\N
1033698	3534	1996-06-07	VYDAJ	VYBER	6400	31574	\N	\N	\N
1033699	3534	1996-07-07	VYDAJ	VYBER	7900	36920	\N	\N	\N
1033700	3534	1996-08-06	VYDAJ	VYBER	12300	37896	\N	\N	\N
1033701	3534	1996-09-05	VYDAJ	VYBER	11700	39479	\N	\N	\N
1033702	3534	1996-10-05	VYDAJ	VYBER	9200	37287	\N	\N	\N
1033703	3534	1996-11-04	VYDAJ	VYBER	1600	29544	\N	\N	\N
1033704	3534	1996-12-04	VYDAJ	VYBER	3300	33247	\N	\N	\N
1033705	3534	1997-01-03	VYDAJ	VYBER	5400	38250	\N	\N	\N
1033706	3534	1997-02-02	PRIJEM	VKLAD	5400	29740	\N	\N	\N
1033707	3534	1997-03-04	VYDAJ	VYBER	900	35840	\N	\N	\N
1033708	3534	1997-04-03	VYDAJ	VYBER	6200	36669	\N	\N	\N
1033709	3534	1997-05-03	VYDAJ	VYBER	3900	35471	\N	\N	\N
1033710	3534	1997-06-02	PRIJEM	VKLAD	8900	24608	\N	\N	\N
1033711	3534	1997-07-02	VYDAJ	VYBER	3500	33110	\N	\N	\N
1033712	3534	1997-08-01	VYDAJ	VYBER	4800	35326	\N	\N	\N
1033713	3534	1997-08-31	VYDAJ	VYBER KARTOU	2400	34446	\N	\N	0
1033714	3534	1997-09-30	VYDAJ	VYBER KARTOU	2500	38251	\N	\N	0
1033715	3534	1997-10-30	VYDAJ	VYBER KARTOU	800	44313	\N	\N	0
1033716	3534	1997-11-29	VYDAJ	VYBER KARTOU	2600	48752	\N	\N	0
1033717	3534	1997-12-29	VYDAJ	VYBER	5600	52136	\N	\N	\N
1033718	3534	1998-01-28	PRIJEM	VKLAD	1300	45551	\N	\N	\N
1033719	3534	1998-02-27	VYDAJ	VYBER	4800	42534	\N	\N	\N
1033720	3534	1998-03-29	VYDAJ	VYBER	10800	38780	\N	\N	\N
1033721	3534	1998-04-28	VYDAJ	VYBER	6500	39330	\N	\N	\N
1033722	3534	1998-05-28	VYDAJ	VYBER KARTOU	2800	32366	\N	\N	0
1033723	3534	1998-06-27	VYDAJ	VYBER	9100	36856	\N	\N	\N
1033724	3534	1998-07-27	VYDAJ	VYBER KARTOU	3900	39989	\N	\N	0
1033725	3534	1998-08-26	VYDAJ	VYBER	9600	37419	\N	\N	\N
1033726	3534	1998-09-25	VYDAJ	VYBER	4700	33877	\N	\N	\N
1033727	3534	1998-10-25	VYDAJ	VYBER	9300	29184	\N	\N	\N
1033728	3534	1998-11-24	VYDAJ	VYBER KARTOU	2000	31190	\N	\N	0
1033761	3535	1993-10-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1033771	3535	1993-10-10	PRIJEM	PREVOD Z UCTU	3197	4297	\N	CD	89602392
1033772	3535	1993-11-10	PRIJEM	PREVOD Z UCTU	3197	7507	\N	CD	89602392
1033773	3535	1993-12-10	PRIJEM	PREVOD Z UCTU	3197	10722	\N	CD	89602392
1033774	3535	1994-01-10	PRIJEM	PREVOD Z UCTU	3197	13937	\N	CD	89602392
1033775	3535	1994-02-10	PRIJEM	PREVOD Z UCTU	3197	17151	\N	CD	89602392
1033776	3535	1994-03-10	PRIJEM	PREVOD Z UCTU	3197	17533	\N	CD	89602392
1033777	3535	1994-04-10	PRIJEM	PREVOD Z UCTU	3197	18655	\N	CD	89602392
1033778	3535	1994-05-10	PRIJEM	PREVOD Z UCTU	3197	19783	\N	CD	89602392
1033779	3535	1994-06-10	PRIJEM	PREVOD Z UCTU	3197	15815	\N	CD	89602392
1033780	3535	1994-07-10	PRIJEM	PREVOD Z UCTU	3197	16937	\N	CD	89602392
1033781	3535	1994-08-10	PRIJEM	PREVOD Z UCTU	3197	18057	\N	CD	89602392
1033782	3535	1994-09-10	PRIJEM	PREVOD Z UCTU	3197	19183	\N	CD	89602392
1033783	3535	1994-10-10	PRIJEM	PREVOD Z UCTU	3197	20313	\N	CD	89602392
1033784	3535	1994-11-10	PRIJEM	PREVOD Z UCTU	3197	20877	\N	CD	89602392
1033785	3535	1994-12-10	PRIJEM	PREVOD Z UCTU	3197	22014	\N	CD	89602392
1033786	3535	1995-01-10	PRIJEM	PREVOD Z UCTU	3197	21174	\N	CD	89602392
1033787	3535	1995-02-10	PRIJEM	PREVOD Z UCTU	3197	18589	\N	CD	89602392
1033788	3535	1995-03-10	PRIJEM	PREVOD Z UCTU	3197	19717	\N	CD	89602392
1033789	3535	1995-04-10	PRIJEM	PREVOD Z UCTU	3197	20849	\N	CD	89602392
1033790	3535	1995-05-10	PRIJEM	PREVOD Z UCTU	3197	21986	\N	CD	89602392
1033791	3535	1995-06-10	PRIJEM	PREVOD Z UCTU	3197	21114	\N	CD	89602392
1033792	3535	1995-07-10	PRIJEM	PREVOD Z UCTU	3197	18137	\N	CD	89602392
1033793	3535	1995-08-10	PRIJEM	PREVOD Z UCTU	3197	19263	\N	CD	89602392
1033794	3535	1995-09-10	PRIJEM	PREVOD Z UCTU	3197	20393	\N	CD	89602392
1033795	3535	1995-10-10	PRIJEM	PREVOD Z UCTU	3197	19514	\N	CD	89602392
1033796	3535	1995-11-10	PRIJEM	PREVOD Z UCTU	3197	19715	\N	CD	89602392
1033797	3535	1995-12-10	PRIJEM	PREVOD Z UCTU	3197	20847	\N	CD	89602392
1033798	3535	1996-01-10	PRIJEM	PREVOD Z UCTU	3197	19611	\N	CD	89602392
1033799	3535	1996-02-10	PRIJEM	PREVOD Z UCTU	3197	16359	\N	CD	89602392
1033800	3535	1996-03-10	PRIJEM	PREVOD Z UCTU	3197	17477	\N	CD	89602392
1033801	3535	1996-04-10	PRIJEM	PREVOD Z UCTU	3197	18599	\N	CD	89602392
1033802	3535	1996-05-10	PRIJEM	PREVOD Z UCTU	3197	18856	\N	CD	89602392
1033803	3535	1996-06-10	PRIJEM	PREVOD Z UCTU	3197	19533	\N	CD	89602392
1033804	3535	1996-07-10	PRIJEM	PREVOD Z UCTU	3197	15412	\N	CD	89602392
1033805	3535	1996-08-10	PRIJEM	PREVOD Z UCTU	3197	16526	\N	CD	89602392
1033806	3535	1996-09-10	PRIJEM	PREVOD Z UCTU	3197	17644	\N	CD	89602392
1033807	3535	1996-10-10	PRIJEM	PREVOD Z UCTU	3197	18767	\N	CD	89602392
1033808	3535	1996-11-10	PRIJEM	PREVOD Z UCTU	3197	19654	\N	CD	89602392
1033809	3535	1996-12-10	PRIJEM	PREVOD Z UCTU	3197	20786	\N	CD	89602392
1033810	3535	1997-01-10	PRIJEM	PREVOD Z UCTU	3197	19791	\N	CD	89602392
1033811	3535	1997-02-10	PRIJEM	PREVOD Z UCTU	3197	19060	\N	CD	89602392
1033812	3535	1997-03-10	PRIJEM	PREVOD Z UCTU	3197	20188	\N	CD	89602392
1033813	3535	1997-04-10	PRIJEM	PREVOD Z UCTU	3197	21322	\N	CD	89602392
1033814	3535	1997-05-10	PRIJEM	PREVOD Z UCTU	3197	22460	\N	CD	89602392
1033815	3535	1997-06-10	PRIJEM	PREVOD Z UCTU	3197	22132	\N	CD	89602392
1033816	3535	1997-07-10	PRIJEM	PREVOD Z UCTU	3197	19131	\N	CD	89602392
1033817	3535	1997-08-10	PRIJEM	PREVOD Z UCTU	3197	20260	\N	CD	89602392
1033818	3535	1997-09-10	PRIJEM	PREVOD Z UCTU	3197	20552	\N	CD	89602392
1033819	3535	1997-10-10	PRIJEM	PREVOD Z UCTU	3197	21687	\N	CD	89602392
1033820	3535	1997-11-10	PRIJEM	PREVOD Z UCTU	3197	22196	\N	CD	89602392
1033821	3535	1997-12-10	PRIJEM	PREVOD Z UCTU	3197	23337	\N	CD	89602392
1033822	3535	1998-01-10	PRIJEM	PREVOD Z UCTU	3197	20216	\N	CD	89602392
1033823	3535	1998-02-10	PRIJEM	PREVOD Z UCTU	3197	18705	\N	CD	89602392
1033824	3535	1998-03-10	PRIJEM	PREVOD Z UCTU	3197	19831	\N	CD	89602392
1033825	3535	1998-04-10	PRIJEM	PREVOD Z UCTU	3197	20962	\N	CD	89602392
1033826	3535	1998-05-10	PRIJEM	PREVOD Z UCTU	3197	22098	\N	CD	89602392
1033827	3535	1998-06-10	PRIJEM	PREVOD Z UCTU	3197	22729	\N	CD	89602392
1033828	3535	1998-07-10	PRIJEM	PREVOD Z UCTU	3197	22190	\N	CD	89602392
1033829	3535	1998-08-10	PRIJEM	PREVOD Z UCTU	3197	23331	\N	CD	89602392
1033830	3535	1998-09-10	PRIJEM	PREVOD Z UCTU	3197	24476	\N	CD	89602392
1033831	3535	1998-10-10	PRIJEM	PREVOD Z UCTU	3197	24786	\N	CD	89602392
1033832	3535	1998-11-10	PRIJEM	PREVOD Z UCTU	3197	25938	\N	CD	89602392
1033833	3535	1998-12-10	PRIJEM	PREVOD Z UCTU	3197	27094	\N	CD	89602392
1033848	3535	1994-03-06	VYDAJ	PREVOD NA UCET	2131	14336	SIPO	CD	947845
1033849	3535	1994-04-06	VYDAJ	PREVOD NA UCET	2131	15458	SIPO	CD	947845
1033850	3535	1994-05-06	VYDAJ	PREVOD NA UCET	2131	16586	SIPO	CD	947845
1033851	3535	1994-06-06	VYDAJ	PREVOD NA UCET	2131	17718	SIPO	CD	947845
1033852	3535	1994-07-06	VYDAJ	PREVOD NA UCET	2131	13740	SIPO	CD	947845
1033853	3535	1994-08-06	VYDAJ	PREVOD NA UCET	2131	14860	SIPO	CD	947845
1033854	3535	1994-09-06	VYDAJ	PREVOD NA UCET	2131	15986	SIPO	CD	947845
1033855	3535	1994-10-06	VYDAJ	PREVOD NA UCET	2131	17116	SIPO	CD	947845
1033856	3535	1994-11-06	VYDAJ	PREVOD NA UCET	2131	17680	SIPO	CD	947845
1033857	3535	1994-12-06	VYDAJ	PREVOD NA UCET	2131	18817	SIPO	CD	947845
1033858	3535	1995-01-06	VYDAJ	PREVOD NA UCET	2131	18637	SIPO	CD	947845
1033859	3535	1995-02-06	VYDAJ	PREVOD NA UCET	2131	15392	SIPO	CD	947845
1033860	3535	1995-03-06	VYDAJ	PREVOD NA UCET	2131	16520	SIPO	CD	947845
1033861	3535	1995-04-06	VYDAJ	PREVOD NA UCET	2131	17652	SIPO	CD	947845
1033862	3535	1995-05-06	VYDAJ	PREVOD NA UCET	2131	18789	SIPO	CD	947845
1033863	3535	1995-06-06	VYDAJ	PREVOD NA UCET	2131	17917	SIPO	CD	947845
1033864	3535	1995-07-06	VYDAJ	PREVOD NA UCET	2131	14940	SIPO	CD	947845
1033865	3535	1995-08-06	VYDAJ	PREVOD NA UCET	2131	16066	SIPO	CD	947845
1033866	3535	1995-09-06	VYDAJ	PREVOD NA UCET	2131	17196	SIPO	CD	947845
1033867	3535	1995-10-06	VYDAJ	PREVOD NA UCET	2131	16317	SIPO	CD	947845
1033868	3535	1995-11-06	VYDAJ	PREVOD NA UCET	2131	16518	SIPO	CD	947845
1033869	3535	1995-12-06	VYDAJ	PREVOD NA UCET	2131	17650	SIPO	CD	947845
1033870	3535	1996-01-06	VYDAJ	PREVOD NA UCET	2131	17194	SIPO	CD	947845
1033871	3535	1996-02-06	VYDAJ	PREVOD NA UCET	2131	13162	SIPO	CD	947845
1033872	3535	1996-03-06	VYDAJ	PREVOD NA UCET	2131	14280	SIPO	CD	947845
1033873	3535	1996-04-06	VYDAJ	PREVOD NA UCET	2131	15402	SIPO	CD	947845
1033874	3535	1996-05-06	VYDAJ	PREVOD NA UCET	2131	15659	SIPO	CD	947845
1033875	3535	1996-06-06	VYDAJ	PREVOD NA UCET	2131	16336	SIPO	CD	947845
1033876	3535	1996-07-06	VYDAJ	PREVOD NA UCET	2131	12215	SIPO	CD	947845
1033877	3535	1996-08-06	VYDAJ	PREVOD NA UCET	2131	13329	SIPO	CD	947845
1033878	3535	1996-09-06	VYDAJ	PREVOD NA UCET	2131	14447	SIPO	CD	947845
1033879	3535	1996-10-06	VYDAJ	PREVOD NA UCET	2131	15570	SIPO	CD	947845
1033880	3535	1996-11-06	VYDAJ	PREVOD NA UCET	2131	16457	SIPO	CD	947845
1033881	3535	1996-12-06	VYDAJ	PREVOD NA UCET	2131	17589	SIPO	CD	947845
1033882	3535	1997-01-06	VYDAJ	PREVOD NA UCET	2131	16894	SIPO	CD	947845
1033883	3535	1997-02-06	VYDAJ	PREVOD NA UCET	2131	15863	SIPO	CD	947845
1033884	3535	1997-03-06	VYDAJ	PREVOD NA UCET	2131	16991	SIPO	CD	947845
1033885	3535	1997-04-06	VYDAJ	PREVOD NA UCET	2131	18125	SIPO	CD	947845
1033886	3535	1997-05-06	VYDAJ	PREVOD NA UCET	2131	19263	SIPO	CD	947845
1033887	3535	1997-06-06	VYDAJ	PREVOD NA UCET	2131	18935	SIPO	CD	947845
1033888	3535	1997-07-06	VYDAJ	PREVOD NA UCET	2131	15934	SIPO	CD	947845
1033889	3535	1997-08-06	VYDAJ	PREVOD NA UCET	2131	17063	SIPO	CD	947845
1033890	3535	1997-09-06	VYDAJ	PREVOD NA UCET	2131	17355	SIPO	CD	947845
1033891	3535	1997-10-06	VYDAJ	PREVOD NA UCET	2131	18490	SIPO	CD	947845
1033892	3535	1997-11-06	VYDAJ	PREVOD NA UCET	2131	19629	SIPO	CD	947845
1033893	3535	1997-12-06	VYDAJ	PREVOD NA UCET	2131	20140	SIPO	CD	947845
1033894	3535	1998-01-06	VYDAJ	PREVOD NA UCET	2131	17169	SIPO	CD	947845
1033895	3535	1998-02-06	VYDAJ	PREVOD NA UCET	2131	15508	SIPO	CD	947845
1033896	3535	1998-03-06	VYDAJ	PREVOD NA UCET	2131	16634	SIPO	CD	947845
1033897	3535	1998-04-06	VYDAJ	PREVOD NA UCET	2131	17765	SIPO	CD	947845
1033898	3535	1998-05-06	VYDAJ	PREVOD NA UCET	2131	18901	SIPO	CD	947845
1033899	3535	1998-06-06	VYDAJ	PREVOD NA UCET	2131	19532	SIPO	CD	947845
1033900	3535	1998-07-06	VYDAJ	PREVOD NA UCET	2131	18993	SIPO	CD	947845
1033901	3535	1998-08-06	VYDAJ	PREVOD NA UCET	2131	20134	SIPO	CD	947845
1033902	3535	1998-09-06	VYDAJ	PREVOD NA UCET	2131	21279	SIPO	CD	947845
1033903	3535	1998-10-06	VYDAJ	PREVOD NA UCET	2131	21589	SIPO	CD	947845
1033904	3535	1998-11-06	VYDAJ	PREVOD NA UCET	2131	22741	SIPO	CD	947845
1033905	3535	1998-12-06	VYDAJ	PREVOD NA UCET	2131	23897	SIPO	CD	947845
1033907	3535	1994-06-09	VYDAJ	VYBER	5100	12618	\N	\N	\N
1033908	3535	1995-06-23	VYDAJ	VYBER	4110	17004	\N	\N	\N
1033909	3535	1996-06-28	VYDAJ	VYBER	5250	14283	\N	\N	\N
1033910	3535	1997-06-27	VYDAJ	VYBER	4140	17992	\N	\N	\N
1033911	3535	1998-06-26	VYDAJ	VYBER	1680	21049	\N	\N	\N
1033914	3535	1995-01-30	VYDAJ	VYBER	1680	17634	\N	\N	\N
1033915	3535	1996-01-03	VYDAJ	VYBER	300	19775	\N	\N	\N
1033916	3535	1997-01-04	VYDAJ	VYBER	630	19895	\N	\N	\N
1033917	3535	1998-01-28	VYDAJ	VYBER	480	18206	\N	\N	\N
1033919	3535	1994-12-15	VYDAJ	VYBER	660	21354	\N	\N	\N
1033920	3535	1995-12-12	VYDAJ	VYBER	840	20007	\N	\N	\N
1033921	3535	1996-12-21	VYDAJ	VYBER	180	20606	\N	\N	\N
1033922	3535	1997-12-26	VYDAJ	VYBER	840	19227	\N	\N	\N
1033923	3535	1998-12-21	VYDAJ	VYBER	420	26674	\N	\N	\N
1033936	3535	1995-01-22	VYDAJ	VYBER	360	19974	\N	\N	\N
1033937	3535	1995-01-29	VYDAJ	VYBER	660	19314	\N	\N	\N
1033938	3535	1995-01-09	VYDAJ	VYBER	660	17977	\N	\N	\N
1033939	3535	1995-01-17	VYDAJ	VYBER	840	20334	\N	\N	\N
1033940	3535	1995-01-30	VYDAJ	VYBER	180	17454	\N	\N	\N
1033941	3535	1995-01-01	VYDAJ	VYBER	660	20768	\N	\N	\N
1033942	3535	1996-01-06	VYDAJ	VYBER	780	16414	\N	\N	\N
1033943	3535	1996-01-05	VYDAJ	VYBER	450	19325	\N	\N	\N
1033944	3535	1996-01-24	VYDAJ	VYBER	720	17901	\N	\N	\N
1033945	3535	1996-01-30	VYDAJ	VYBER	810	17091	\N	\N	\N
1033946	3535	1996-01-11	VYDAJ	VYBER	750	18861	\N	\N	\N
1033947	3535	1996-01-23	VYDAJ	VYBER	240	18621	\N	\N	\N
1033948	3535	1997-01-07	VYDAJ	VYBER	300	16594	\N	\N	\N
1033949	3535	1997-01-16	VYDAJ	VYBER	570	19221	\N	\N	\N
1033950	3535	1997-01-05	VYDAJ	VYBER	870	19025	\N	\N	\N
1033951	3535	1997-01-19	VYDAJ	VYBER	510	18711	\N	\N	\N
1033952	3535	1997-01-02	VYDAJ	VYBER	150	20525	\N	\N	\N
1033953	3535	1997-01-21	VYDAJ	VYBER	780	17931	\N	\N	\N
1033954	3535	1998-01-29	VYDAJ	VYBER	630	17576	\N	\N	\N
1033955	3535	1998-01-21	VYDAJ	VYBER	210	18866	\N	\N	\N
1033956	3535	1998-01-09	VYDAJ	VYBER	150	17019	\N	\N	\N
1033957	3535	1998-01-11	VYDAJ	VYBER	390	19826	\N	\N	\N
1033958	3535	1998-01-14	VYDAJ	VYBER	750	19076	\N	\N	\N
1033959	3535	1998-01-26	VYDAJ	VYBER	180	18686	\N	\N	\N
1033965	3535	1994-03-03	VYDAJ	VYBER	690	16467	\N	\N	\N
1033966	3535	1994-10-23	VYDAJ	VYBER	570	19743	\N	\N	\N
1033967	3535	1995-10-26	VYDAJ	VYBER	930	18584	\N	\N	\N
1033968	3535	1995-05-24	VYDAJ	VYBER	1170	19976	\N	\N	\N
1033969	3535	1995-05-13	VYDAJ	VYBER	840	21146	\N	\N	\N
1033970	3535	1995-09-17	VYDAJ	VYBER	1440	18953	\N	\N	\N
1033971	3535	1995-09-23	VYDAJ	VYBER	570	18383	\N	\N	\N
1033972	3535	1996-10-25	VYDAJ	VYBER	240	18527	\N	\N	\N
1033973	3535	1996-05-15	VYDAJ	VYBER	450	18406	\N	\N	\N
1033974	3535	1996-01-30	VYDAJ	VYBER	990	16101	\N	\N	\N
1033975	3535	1996-01-31	VYDAJ	VYBER	870	15308	\N	\N	\N
1033976	3535	1996-05-01	VYDAJ	VYBER	870	17790	\N	\N	\N
1033977	3535	1997-11-07	VYDAJ	VYBER	630	18999	\N	\N	\N
1033978	3535	1997-12-11	VYDAJ	VYBER	690	22647	\N	\N	\N
1033979	3535	1997-12-18	VYDAJ	VYBER	1440	21207	\N	\N	\N
1033980	3535	1997-08-20	VYDAJ	VYBER	840	19420	\N	\N	\N
1033981	3535	1997-12-20	VYDAJ	VYBER	1140	20067	\N	\N	\N
1033982	3535	1997-06-05	VYDAJ	VYBER	1470	21066	\N	\N	\N
1033983	3535	1998-09-29	VYDAJ	VYBER	840	23636	\N	\N	\N
1033984	3535	1998-06-02	VYDAJ	VYBER	510	21663	\N	\N	\N
1033999	3535	1994-02-28	VYDAJ	VYBER	15	17157	SLUZBY	\N	\N
1034000	3535	1994-03-31	VYDAJ	VYBER	15	17589	SLUZBY	\N	\N
1034001	3535	1994-04-30	VYDAJ	VYBER	15	18717	SLUZBY	\N	\N
1034002	3535	1994-05-31	VYDAJ	VYBER	15	19849	SLUZBY	\N	\N
1034003	3535	1994-06-30	VYDAJ	VYBER	15	15871	SLUZBY	\N	\N
1034004	3535	1994-07-31	VYDAJ	VYBER	15	16991	SLUZBY	\N	\N
1034005	3535	1994-08-31	VYDAJ	VYBER	15	18117	SLUZBY	\N	\N
1034006	3535	1994-09-30	VYDAJ	VYBER	15	19247	SLUZBY	\N	\N
1034007	3535	1994-10-31	VYDAJ	VYBER	15	19811	SLUZBY	\N	\N
1034008	3535	1994-11-30	VYDAJ	VYBER	15	20948	SLUZBY	\N	\N
1034009	3535	1994-12-31	VYDAJ	VYBER	15	21428	SLUZBY	\N	\N
1034010	3535	1995-01-31	VYDAJ	VYBER	15	17523	SLUZBY	\N	\N
1034011	3535	1995-02-28	VYDAJ	VYBER	15	18651	SLUZBY	\N	\N
1034012	3535	1995-03-31	VYDAJ	VYBER	15	19783	SLUZBY	\N	\N
1034013	3535	1995-04-30	VYDAJ	VYBER	15	20920	SLUZBY	\N	\N
1034014	3535	1995-05-31	VYDAJ	VYBER	15	20048	SLUZBY	\N	\N
1034015	3535	1995-06-30	VYDAJ	VYBER	15	17071	SLUZBY	\N	\N
1034016	3535	1995-07-31	VYDAJ	VYBER	15	18197	SLUZBY	\N	\N
1034017	3535	1995-08-31	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
1034018	3535	1995-09-30	VYDAJ	VYBER	15	18448	SLUZBY	\N	\N
1034019	3535	1995-10-31	VYDAJ	VYBER	15	18649	SLUZBY	\N	\N
1034020	3535	1995-11-30	VYDAJ	VYBER	15	19781	SLUZBY	\N	\N
1034021	3535	1995-12-31	VYDAJ	VYBER	15	20075	SLUZBY	\N	\N
1034022	3535	1996-01-31	VYDAJ	VYBER	15	15293	SLUZBY	\N	\N
1034023	3535	1996-02-29	VYDAJ	VYBER	15	16411	SLUZBY	\N	\N
1034024	3535	1996-03-31	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
1034025	3535	1996-04-30	VYDAJ	VYBER	15	18660	SLUZBY	\N	\N
1034026	3535	1996-05-31	VYDAJ	VYBER	15	18467	SLUZBY	\N	\N
1034027	3535	1996-06-30	VYDAJ	VYBER	15	14346	SLUZBY	\N	\N
1034028	3535	1996-07-31	VYDAJ	VYBER	15	15460	SLUZBY	\N	\N
1034029	3535	1996-08-31	VYDAJ	VYBER	15	16578	SLUZBY	\N	\N
1034030	3535	1996-09-30	VYDAJ	VYBER	15	17701	SLUZBY	\N	\N
1034031	3535	1996-10-31	VYDAJ	VYBER	15	18588	SLUZBY	\N	\N
1034032	3535	1996-11-30	VYDAJ	VYBER	15	19720	SLUZBY	\N	\N
1034033	3535	1996-12-31	VYDAJ	VYBER	15	20675	SLUZBY	\N	\N
1034034	3535	1997-01-31	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
1034035	3535	1997-02-28	VYDAJ	VYBER	15	19122	SLUZBY	\N	\N
1034036	3535	1997-03-31	VYDAJ	VYBER	15	20256	SLUZBY	\N	\N
1034037	3535	1997-04-30	VYDAJ	VYBER	15	21394	SLUZBY	\N	\N
1034038	3535	1997-05-31	VYDAJ	VYBER	15	22536	SLUZBY	\N	\N
1034039	3535	1997-06-30	VYDAJ	VYBER	15	18065	SLUZBY	\N	\N
1034040	3535	1997-07-31	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
1034041	3535	1997-08-31	VYDAJ	VYBER	15	19486	SLUZBY	\N	\N
1034042	3535	1997-09-30	VYDAJ	VYBER	15	20621	SLUZBY	\N	\N
1034043	3535	1997-10-31	VYDAJ	VYBER	15	21760	SLUZBY	\N	\N
1034044	3535	1997-11-30	VYDAJ	VYBER	15	22271	SLUZBY	\N	\N
1034045	3535	1997-12-31	VYDAJ	VYBER	15	19300	SLUZBY	\N	\N
1034046	3535	1998-01-31	VYDAJ	VYBER	15	17639	SLUZBY	\N	\N
1034047	3535	1998-02-28	VYDAJ	VYBER	15	18765	SLUZBY	\N	\N
1034048	3535	1998-03-31	VYDAJ	VYBER	15	19896	SLUZBY	\N	\N
1034049	3535	1998-04-30	VYDAJ	VYBER	15	21032	SLUZBY	\N	\N
1034050	3535	1998-05-31	VYDAJ	VYBER	15	22173	SLUZBY	\N	\N
1034051	3535	1998-06-30	VYDAJ	VYBER	15	21124	SLUZBY	\N	\N
1034052	3535	1998-07-31	VYDAJ	VYBER	15	22265	SLUZBY	\N	\N
1034053	3535	1998-08-31	VYDAJ	VYBER	15	23410	SLUZBY	\N	\N
1034054	3535	1998-09-30	VYDAJ	VYBER	15	23720	SLUZBY	\N	\N
1034055	3535	1998-10-31	VYDAJ	VYBER	15	24872	SLUZBY	\N	\N
1034056	3535	1998-11-30	VYDAJ	VYBER	15	26028	SLUZBY	\N	\N
1034120	3536	1994-08-11	PRIJEM	VKLAD	600	600	\N	\N	\N
1034128	3536	1994-08-13	PRIJEM	PREVOD Z UCTU	6263	6863	DUCHOD	IJ	9922194
1034129	3536	1994-09-13	PRIJEM	PREVOD Z UCTU	6263	13144	DUCHOD	IJ	9922194
1034130	3536	1994-10-13	PRIJEM	PREVOD Z UCTU	6263	19435	DUCHOD	IJ	9922194
1034131	3536	1994-11-13	PRIJEM	PREVOD Z UCTU	6263	25727	DUCHOD	IJ	9922194
1034132	3536	1994-12-13	PRIJEM	PREVOD Z UCTU	6263	29418	DUCHOD	IJ	9922194
1034133	3536	1995-01-13	PRIJEM	PREVOD Z UCTU	6263	28032	DUCHOD	IJ	9922194
1034134	3536	1995-02-13	PRIJEM	PREVOD Z UCTU	6263	24018	DUCHOD	IJ	9922194
1034135	3536	1995-03-13	PRIJEM	PREVOD Z UCTU	6263	27761	DUCHOD	IJ	9922194
1034136	3536	1995-04-13	PRIJEM	PREVOD Z UCTU	6263	29719	DUCHOD	IJ	9922194
1034137	3536	1995-05-13	PRIJEM	PREVOD Z UCTU	6263	30895	DUCHOD	IJ	9922194
1034138	3536	1995-06-13	PRIJEM	PREVOD Z UCTU	6263	33476	DUCHOD	IJ	9922194
1034139	3536	1995-07-13	PRIJEM	PREVOD Z UCTU	6263	33460	DUCHOD	IJ	9922194
1034140	3536	1995-08-13	PRIJEM	PREVOD Z UCTU	6263	30364	DUCHOD	IJ	9922194
1034141	3536	1995-09-13	PRIJEM	PREVOD Z UCTU	6263	30844	DUCHOD	IJ	9922194
1034142	3536	1995-10-13	PRIJEM	PREVOD Z UCTU	6263	30227	DUCHOD	IJ	9922194
1034143	3536	1995-11-13	PRIJEM	PREVOD Z UCTU	6263	26929	DUCHOD	IJ	9922194
1034144	3536	1995-12-13	PRIJEM	PREVOD Z UCTU	6263	30687	DUCHOD	IJ	9922194
1034145	3536	1996-01-13	PRIJEM	PREVOD Z UCTU	6263	23743	DUCHOD	IJ	9922194
1034146	3536	1996-02-13	PRIJEM	PREVOD Z UCTU	6263	23164	DUCHOD	IJ	9922194
1034147	3536	1996-03-13	PRIJEM	PREVOD Z UCTU	6263	26909	DUCHOD	IJ	9922194
1034148	3536	1996-04-13	PRIJEM	PREVOD Z UCTU	6263	30669	DUCHOD	IJ	9922194
1034149	3536	1996-05-13	PRIJEM	PREVOD Z UCTU	6263	33399	DUCHOD	IJ	9922194
1034150	3536	1996-06-13	PRIJEM	PREVOD Z UCTU	6263	31861	DUCHOD	IJ	9922194
1034151	3536	1996-07-13	PRIJEM	PREVOD Z UCTU	6263	31846	DUCHOD	IJ	9922194
1034152	3536	1996-08-13	PRIJEM	PREVOD Z UCTU	6263	29507	DUCHOD	IJ	9922194
1034153	3536	1996-09-13	PRIJEM	PREVOD Z UCTU	6263	26094	DUCHOD	IJ	9922194
1034154	3536	1996-10-13	PRIJEM	PREVOD Z UCTU	6263	29249	DUCHOD	IJ	9922194
1034155	3536	1996-11-13	PRIJEM	PREVOD Z UCTU	6263	31313	DUCHOD	IJ	9922194
1034156	3536	1996-12-13	PRIJEM	PREVOD Z UCTU	6263	31689	DUCHOD	IJ	9922194
1034157	3536	1997-01-13	PRIJEM	PREVOD Z UCTU	6263	26042	DUCHOD	IJ	9922194
1034158	3536	1997-02-13	PRIJEM	PREVOD Z UCTU	6263	26997	DUCHOD	IJ	9922194
1034159	3536	1997-03-13	PRIJEM	PREVOD Z UCTU	6263	30351	DUCHOD	IJ	9922194
1034160	3536	1997-04-13	PRIJEM	PREVOD Z UCTU	6263	31418	DUCHOD	IJ	9922194
1034161	3536	1997-05-13	PRIJEM	PREVOD Z UCTU	6263	30288	DUCHOD	IJ	9922194
1034162	3536	1997-06-13	PRIJEM	PREVOD Z UCTU	6263	31460	DUCHOD	IJ	9922194
1034163	3536	1997-07-13	PRIJEM	PREVOD Z UCTU	6263	25393	DUCHOD	IJ	9922194
1034164	3536	1997-08-13	PRIJEM	PREVOD Z UCTU	6263	27045	DUCHOD	IJ	9922194
1034165	3536	1997-09-13	PRIJEM	PREVOD Z UCTU	6263	28098	DUCHOD	IJ	9922194
1034166	3536	1997-10-13	PRIJEM	PREVOD Z UCTU	6263	27456	DUCHOD	IJ	9922194
1034167	3536	1997-11-13	PRIJEM	PREVOD Z UCTU	6263	22903	DUCHOD	IJ	9922194
1034168	3536	1997-12-13	PRIJEM	PREVOD Z UCTU	6263	20834	DUCHOD	IJ	9922194
1034169	3536	1998-01-13	PRIJEM	PREVOD Z UCTU	6263	22240	DUCHOD	IJ	9922194
1034170	3536	1998-02-13	PRIJEM	PREVOD Z UCTU	6263	20865	DUCHOD	IJ	9922194
1034171	3536	1998-03-13	PRIJEM	PREVOD Z UCTU	6263	19627	DUCHOD	IJ	9922194
1034172	3536	1998-04-13	PRIJEM	PREVOD Z UCTU	6263	20247	DUCHOD	IJ	9922194
1034173	3536	1998-05-13	PRIJEM	PREVOD Z UCTU	6263	23972	DUCHOD	IJ	9922194
1034174	3536	1998-06-13	PRIJEM	PREVOD Z UCTU	6263	24112	DUCHOD	IJ	9922194
1034175	3536	1998-07-13	PRIJEM	PREVOD Z UCTU	6263	23508	DUCHOD	IJ	9922194
1034176	3536	1998-08-13	PRIJEM	PREVOD Z UCTU	6263	23959	DUCHOD	IJ	9922194
1034177	3536	1998-09-13	PRIJEM	PREVOD Z UCTU	6263	24397	DUCHOD	IJ	9922194
1034178	3536	1998-10-13	PRIJEM	PREVOD Z UCTU	6263	23735	DUCHOD	IJ	9922194
1034179	3536	1998-11-13	PRIJEM	PREVOD Z UCTU	6263	20342	DUCHOD	IJ	9922194
1034180	3536	1998-12-13	PRIJEM	PREVOD Z UCTU	6263	20161	DUCHOD	IJ	9922194
1034192	3536	1994-12-13	VYDAJ	PREVOD NA UCET	2589	26829	SIPO	AB	57065409
1034193	3536	1995-01-13	VYDAJ	PREVOD NA UCET	2589	25443	SIPO	AB	57065409
1034194	3536	1995-02-13	VYDAJ	PREVOD NA UCET	2589	21429	SIPO	AB	57065409
1034195	3536	1995-03-13	VYDAJ	PREVOD NA UCET	2589	25172	SIPO	AB	57065409
1034196	3536	1995-04-13	VYDAJ	PREVOD NA UCET	2589	27130	SIPO	AB	57065409
1034197	3536	1995-05-13	VYDAJ	PREVOD NA UCET	2589	28306	SIPO	AB	57065409
1034198	3536	1995-06-13	VYDAJ	PREVOD NA UCET	2589	30887	SIPO	AB	57065409
1034199	3536	1995-07-13	VYDAJ	PREVOD NA UCET	2589	30871	SIPO	AB	57065409
1034200	3536	1995-08-13	VYDAJ	PREVOD NA UCET	2589	27775	SIPO	AB	57065409
1034201	3536	1995-09-13	VYDAJ	PREVOD NA UCET	2589	28255	SIPO	AB	57065409
1034202	3536	1995-10-13	VYDAJ	PREVOD NA UCET	2589	27638	SIPO	AB	57065409
1034203	3536	1995-11-13	VYDAJ	PREVOD NA UCET	2589	24340	SIPO	AB	57065409
1034204	3536	1995-12-13	VYDAJ	PREVOD NA UCET	2589	28098	SIPO	AB	57065409
1034205	3536	1996-01-13	VYDAJ	PREVOD NA UCET	2589	21154	SIPO	AB	57065409
1034206	3536	1996-02-13	VYDAJ	PREVOD NA UCET	2589	20575	SIPO	AB	57065409
1034207	3536	1996-03-13	VYDAJ	PREVOD NA UCET	2589	24320	SIPO	AB	57065409
1034208	3536	1996-04-13	VYDAJ	PREVOD NA UCET	2589	28080	SIPO	AB	57065409
1034209	3536	1996-05-13	VYDAJ	PREVOD NA UCET	2589	30810	SIPO	AB	57065409
1034210	3536	1996-06-13	VYDAJ	PREVOD NA UCET	2589	29272	SIPO	AB	57065409
1034211	3536	1996-07-13	VYDAJ	PREVOD NA UCET	2589	29257	SIPO	AB	57065409
1034212	3536	1996-08-13	VYDAJ	PREVOD NA UCET	2589	26918	SIPO	AB	57065409
1034213	3536	1996-09-13	VYDAJ	PREVOD NA UCET	2589	23505	SIPO	AB	57065409
1034214	3536	1996-10-13	VYDAJ	PREVOD NA UCET	2589	26660	SIPO	AB	57065409
1034215	3536	1996-11-13	VYDAJ	PREVOD NA UCET	2589	28724	SIPO	AB	57065409
1034216	3536	1996-12-13	VYDAJ	PREVOD NA UCET	2589	29100	SIPO	AB	57065409
1034217	3536	1997-01-13	VYDAJ	PREVOD NA UCET	2589	23453	SIPO	AB	57065409
1034218	3536	1997-02-13	VYDAJ	PREVOD NA UCET	2589	24408	SIPO	AB	57065409
1034219	3536	1997-03-13	VYDAJ	PREVOD NA UCET	2589	27762	SIPO	AB	57065409
1034220	3536	1997-04-13	VYDAJ	PREVOD NA UCET	2589	28829	SIPO	AB	57065409
1034221	3536	1997-05-13	VYDAJ	PREVOD NA UCET	2589	27699	SIPO	AB	57065409
1034222	3536	1997-06-13	VYDAJ	PREVOD NA UCET	2589	28871	SIPO	AB	57065409
1034223	3536	1997-07-13	VYDAJ	PREVOD NA UCET	2589	22804	SIPO	AB	57065409
1034224	3536	1997-08-13	VYDAJ	PREVOD NA UCET	2589	24456	SIPO	AB	57065409
1034225	3536	1997-09-13	VYDAJ	PREVOD NA UCET	2589	25509	SIPO	AB	57065409
1034226	3536	1997-10-13	VYDAJ	PREVOD NA UCET	2589	24867	SIPO	AB	57065409
1034227	3536	1997-11-13	VYDAJ	PREVOD NA UCET	2589	20314	SIPO	AB	57065409
1034228	3536	1997-12-13	VYDAJ	PREVOD NA UCET	2589	18245	SIPO	AB	57065409
1034229	3536	1998-01-13	VYDAJ	PREVOD NA UCET	2589	19651	SIPO	AB	57065409
1034230	3536	1998-02-13	VYDAJ	PREVOD NA UCET	2589	18276	SIPO	AB	57065409
1034231	3536	1998-03-13	VYDAJ	PREVOD NA UCET	2589	17038	SIPO	AB	57065409
1034232	3536	1998-04-13	VYDAJ	PREVOD NA UCET	2589	17658	SIPO	AB	57065409
1034233	3536	1998-05-13	VYDAJ	PREVOD NA UCET	2589	21383	SIPO	AB	57065409
1034234	3536	1998-06-13	VYDAJ	PREVOD NA UCET	2589	21523	SIPO	AB	57065409
1034235	3536	1998-07-13	VYDAJ	PREVOD NA UCET	2589	20919	SIPO	AB	57065409
1034236	3536	1998-08-13	VYDAJ	PREVOD NA UCET	2589	21370	SIPO	AB	57065409
1034237	3536	1998-09-13	VYDAJ	PREVOD NA UCET	2589	21808	SIPO	AB	57065409
1034238	3536	1998-10-13	VYDAJ	PREVOD NA UCET	2589	21146	SIPO	AB	57065409
1034239	3536	1998-11-13	VYDAJ	PREVOD NA UCET	2589	17753	SIPO	AB	57065409
1034240	3536	1998-12-13	VYDAJ	PREVOD NA UCET	2589	17572	SIPO	AB	57065409
1034242	3536	1995-12-14	VYDAJ	VYBER	1350	26748	\N	\N	\N
1034243	3536	1996-12-30	VYDAJ	VYBER	900	26800	\N	\N	\N
1034252	3536	1995-01-10	VYDAJ	VYBER	400	21769	\N	\N	\N
1034253	3536	1995-01-15	VYDAJ	VYBER	1920	21203	\N	\N	\N
1034254	3536	1995-01-30	VYDAJ	VYBER	1280	17683	\N	\N	\N
1034255	3536	1995-01-14	VYDAJ	VYBER	2320	23123	\N	\N	\N
1034256	3536	1995-01-15	VYDAJ	VYBER	2240	18963	\N	\N	\N
1034257	3536	1995-01-04	VYDAJ	VYBER	2000	22169	\N	\N	\N
1034258	3536	1996-01-09	VYDAJ	VYBER	1360	17480	\N	\N	\N
1034259	3536	1996-01-26	VYDAJ	VYBER	800	16834	\N	\N	\N
1034260	3536	1996-01-21	VYDAJ	VYBER	2160	17634	\N	\N	\N
1034261	3536	1996-01-20	VYDAJ	VYBER	1360	19794	\N	\N	\N
1034262	3536	1996-01-04	VYDAJ	VYBER	2000	18840	\N	\N	\N
1034263	3536	1996-01-03	VYDAJ	VYBER	2080	20840	\N	\N	\N
1034264	3536	1997-01-13	VYDAJ	VYBER	1440	22013	\N	\N	\N
1034265	3536	1997-01-07	VYDAJ	VYBER	2160	21139	\N	\N	\N
1034266	3536	1997-01-22	VYDAJ	VYBER	1360	20653	\N	\N	\N
1034267	3536	1997-01-02	VYDAJ	VYBER	1760	25139	\N	\N	\N
1034268	3536	1997-01-08	VYDAJ	VYBER	1360	19779	\N	\N	\N
1034269	3536	1997-01-05	VYDAJ	VYBER	1840	23299	\N	\N	\N
1034272	3536	1998-01-14	VYDAJ	VYBER	2080	17571	\N	\N	\N
1034274	3536	1998-01-17	VYDAJ	VYBER	1920	15651	\N	\N	\N
1034275	3536	1998-01-08	VYDAJ	VYBER	560	15977	\N	\N	\N
1034277	3536	1994-12-16	VYDAJ	VYBER	2080	24749	\N	\N	\N
1034278	3536	1994-12-17	VYDAJ	VYBER	640	24109	\N	\N	\N
1034282	3536	1995-12-29	VYDAJ	VYBER	3920	22828	\N	\N	\N
1034283	3536	1995-11-03	VYDAJ	VYBER	3040	24706	\N	\N	\N
1034284	3536	1995-07-23	VYDAJ	VYBER	2960	27911	\N	\N	\N
1034285	3536	1995-08-05	VYDAJ	VYBER	2880	24101	\N	\N	\N
1034286	3536	1995-07-25	VYDAJ	VYBER	1040	26871	\N	\N	\N
1034287	3536	1995-11-06	VYDAJ	VYBER	3040	20666	\N	\N	\N
1034288	3536	1996-07-31	VYDAJ	VYBER	1920	23244	\N	\N	\N
1034289	3536	1996-09-12	VYDAJ	VYBER	2480	19831	\N	\N	\N
1034290	3536	1996-05-23	VYDAJ	VYBER	2720	28090	\N	\N	\N
1034291	3536	1996-04-28	VYDAJ	VYBER	1040	27040	\N	\N	\N
1034292	3536	1997-07-08	VYDAJ	VYBER	3840	19130	\N	\N	\N
1034293	3536	1997-12-25	VYDAJ	VYBER	1760	16485	\N	\N	\N
1034294	3536	1998-02-16	VYDAJ	VYBER	1360	16916	\N	\N	\N
1034295	3536	1998-06-23	VYDAJ	VYBER	2640	17183	\N	\N	\N
1034298	3536	1998-12-17	VYDAJ	VYBER	1040	16532	\N	\N	\N
1034300	3536	1998-07-14	VYDAJ	VYBER	3280	17639	\N	\N	\N
1034301	3536	1998-10-16	VYDAJ	VYBER	2320	18826	\N	\N	\N
1034315	3536	1994-12-31	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
1034316	3536	1995-01-31	VYDAJ	VYBER	15	17755	SLUZBY	\N	\N
1034317	3536	1995-02-28	VYDAJ	VYBER	15	21498	SLUZBY	\N	\N
1034318	3536	1995-03-31	VYDAJ	VYBER	15	25256	SLUZBY	\N	\N
1034319	3536	1995-04-30	VYDAJ	VYBER	15	27232	SLUZBY	\N	\N
1034320	3536	1995-05-31	VYDAJ	VYBER	15	28413	SLUZBY	\N	\N
1034321	3536	1995-06-30	VYDAJ	VYBER	15	30997	SLUZBY	\N	\N
1034322	3536	1995-07-31	VYDAJ	VYBER	15	26981	SLUZBY	\N	\N
1034323	3536	1995-08-31	VYDAJ	VYBER	15	27881	SLUZBY	\N	\N
1034324	3536	1995-09-30	VYDAJ	VYBER	15	28364	SLUZBY	\N	\N
1034325	3536	1995-10-31	VYDAJ	VYBER	15	27746	SLUZBY	\N	\N
1034326	3536	1995-11-30	VYDAJ	VYBER	15	24424	SLUZBY	\N	\N
1034327	3536	1995-12-31	VYDAJ	VYBER	15	22920	SLUZBY	\N	\N
1034328	3536	1996-01-31	VYDAJ	VYBER	15	16901	SLUZBY	\N	\N
1034329	3536	1996-02-29	VYDAJ	VYBER	15	20646	SLUZBY	\N	\N
1034330	3536	1996-03-31	VYDAJ	VYBER	15	24406	SLUZBY	\N	\N
1034331	3536	1996-04-30	VYDAJ	VYBER	15	27136	SLUZBY	\N	\N
1034332	3536	1996-05-31	VYDAJ	VYBER	15	28198	SLUZBY	\N	\N
1034333	3536	1996-06-30	VYDAJ	VYBER	15	29383	SLUZBY	\N	\N
1034334	3536	1996-07-31	VYDAJ	VYBER	15	25164	SLUZBY	\N	\N
1034335	3536	1996-08-31	VYDAJ	VYBER	15	22311	SLUZBY	\N	\N
1034336	3536	1996-09-30	VYDAJ	VYBER	15	22986	SLUZBY	\N	\N
1034337	3536	1996-10-31	VYDAJ	VYBER	15	25050	SLUZBY	\N	\N
1034338	3536	1996-11-30	VYDAJ	VYBER	15	25426	SLUZBY	\N	\N
1034339	3536	1996-12-31	VYDAJ	VYBER	15	26899	SLUZBY	\N	\N
1034340	3536	1997-01-31	VYDAJ	VYBER	15	20734	SLUZBY	\N	\N
1034341	3536	1997-02-28	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
1034342	3536	1997-03-31	VYDAJ	VYBER	15	25155	SLUZBY	\N	\N
1034343	3536	1997-04-30	VYDAJ	VYBER	15	24025	SLUZBY	\N	\N
1034344	3536	1997-05-31	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
1034345	3536	1997-06-30	VYDAJ	VYBER	15	22970	SLUZBY	\N	\N
1034346	3536	1997-07-31	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
1034347	3536	1997-08-31	VYDAJ	VYBER	15	21835	SLUZBY	\N	\N
1034348	3536	1997-09-30	VYDAJ	VYBER	15	21193	SLUZBY	\N	\N
1034349	3536	1997-10-31	VYDAJ	VYBER	15	16640	SLUZBY	\N	\N
1034350	3536	1997-11-30	VYDAJ	VYBER	15	14571	SLUZBY	\N	\N
1034351	3536	1997-12-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
1034352	3536	1998-01-31	VYDAJ	VYBER	15	14602	SLUZBY	\N	\N
1034353	3536	1998-02-28	VYDAJ	VYBER	15	13364	SLUZBY	\N	\N
1034354	3536	1998-03-31	VYDAJ	VYBER	15	13984	SLUZBY	\N	\N
1034355	3536	1998-04-30	VYDAJ	VYBER	15	17709	SLUZBY	\N	\N
1034356	3536	1998-05-31	VYDAJ	VYBER	15	17849	SLUZBY	\N	\N
1034357	3536	1998-06-30	VYDAJ	VYBER	15	17245	SLUZBY	\N	\N
1034358	3536	1998-07-31	VYDAJ	VYBER	15	17696	SLUZBY	\N	\N
1034359	3536	1998-08-31	VYDAJ	VYBER	15	18134	SLUZBY	\N	\N
1034360	3536	1998-09-30	VYDAJ	VYBER	15	17472	SLUZBY	\N	\N
1034361	3536	1998-10-31	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
1034362	3536	1998-11-30	VYDAJ	VYBER	15	13898	SLUZBY	\N	\N
1034363	3536	1994-12-09	VYDAJ	VYBER	2600	23155	\N	\N	\N
1034364	3536	1995-04-08	VYDAJ	VYBER	1800	23456	\N	\N	\N
1034365	3536	1995-05-08	VYDAJ	VYBER	2600	24632	\N	\N	\N
1034366	3536	1995-06-07	VYDAJ	VYBER	1200	27213	\N	\N	\N
1034367	3536	1995-07-07	VYDAJ	VYBER	3800	27197	\N	\N	\N
1034368	3536	1995-09-05	VYDAJ	VYBER	3300	24581	\N	\N	\N
1034369	3536	1995-10-05	VYDAJ	VYBER	4400	23964	\N	\N	\N
1034370	3536	1995-11-04	VYDAJ	VYBER	1000	23706	\N	\N	\N
1034371	3536	1996-06-01	VYDAJ	VYBER	2600	25598	\N	\N	\N
1034372	3536	1996-07-01	VYDAJ	VYBER	3800	25583	\N	\N	\N
1034373	3536	1996-07-31	VYDAJ	VYBER	4200	25179	\N	\N	\N
1034374	3536	1996-08-30	VYDAJ	VYBER	4700	22218	\N	\N	\N
1034375	3536	1996-09-29	VYDAJ	VYBER	600	22905	\N	\N	\N
1034376	3536	1996-10-29	VYDAJ	VYBER	1700	24960	\N	\N	\N
1034377	3536	1996-11-28	VYDAJ	VYBER	3400	25324	\N	\N	\N
1034378	3536	1996-12-28	VYDAJ	VYBER	1400	27700	\N	\N	\N
1034379	3536	1997-02-26	VYDAJ	VYBER	400	24008	\N	\N	\N
1034380	3536	1997-03-28	VYDAJ	VYBER	2700	25062	\N	\N	\N
1034381	3536	1997-04-27	VYDAJ	VYBER	4900	23929	\N	\N	\N
1034382	3536	1997-05-27	VYDAJ	VYBER	2600	25099	\N	\N	\N
1034383	3536	1997-06-26	VYDAJ	VYBER	6000	22871	\N	\N	\N
1034384	3536	1997-07-26	VYDAJ	VYBER	2100	20704	\N	\N	\N
1034385	3536	1997-08-25	VYDAJ	VYBER	2700	21756	\N	\N	\N
1034386	3536	1997-09-24	VYDAJ	VYBER	4400	21109	\N	\N	\N
1034387	3536	1997-10-24	VYDAJ	VYBER	8300	16567	\N	\N	\N
1034388	3536	1997-11-23	VYDAJ	VYBER	5800	14514	\N	\N	\N
1034389	3536	1998-01-22	VYDAJ	VYBER	1100	14551	\N	\N	\N
1034390	3536	1998-02-21	VYDAJ	VYBER	3600	13316	\N	\N	\N
1034391	3536	1998-03-23	VYDAJ	VYBER	3100	13938	\N	\N	\N
1034392	3536	1998-05-22	VYDAJ	VYBER	3600	17783	\N	\N	\N
1034393	3536	1998-06-21	VYDAJ	VYBER	1700	19823	\N	\N	\N
1034394	3536	1998-08-20	VYDAJ	VYBER	3300	18070	\N	\N	\N
1034395	3536	1998-09-19	VYDAJ	VYBER	4400	17408	\N	\N	\N
1034396	3536	1998-10-19	VYDAJ	VYBER	4800	14026	\N	\N	\N
1034397	3536	1998-11-18	VYDAJ	VYBER	3900	13853	\N	\N	\N
1034451	3537	1997-08-22	PRIJEM	VKLAD	600	600	\N	\N	\N
1034460	3537	1997-09-09	PRIJEM	VKLAD	6743	7343	\N	\N	\N
1034461	3537	1997-10-09	PRIJEM	VKLAD	6743	23710	\N	\N	\N
1034462	3537	1997-11-09	PRIJEM	VKLAD	6743	31835	\N	\N	\N
1034463	3537	1997-12-09	PRIJEM	VKLAD	10114	38759	\N	\N	\N
1034464	3537	1998-01-09	PRIJEM	VKLAD	6743	40629	\N	\N	\N
1034465	3537	1998-02-09	PRIJEM	VKLAD	6743	21387	\N	\N	\N
1034466	3537	1998-03-09	PRIJEM	VKLAD	6743	20400	\N	\N	\N
1034467	3537	1998-04-09	PRIJEM	VKLAD	6743	18706	\N	\N	\N
1034468	3537	1998-05-09	PRIJEM	VKLAD	6743	18606	\N	\N	\N
1034469	3537	1998-06-09	PRIJEM	VKLAD	10114	22579	\N	\N	\N
1034470	3537	1998-07-09	PRIJEM	VKLAD	6743	16288	\N	\N	\N
1034471	3537	1998-08-09	PRIJEM	VKLAD	6743	15980	\N	\N	\N
1034472	3537	1998-09-09	PRIJEM	VKLAD	6743	18975	\N	\N	\N
1034473	3537	1998-10-09	PRIJEM	VKLAD	6743	22582	\N	\N	\N
1034474	3537	1998-11-09	PRIJEM	VKLAD	6743	23199	\N	\N	\N
1034475	3537	1998-12-09	PRIJEM	VKLAD	10114	24384	\N	\N	\N
1034488	3537	1998-01-12	VYDAJ	PREVOD NA UCET	646	39983	SIPO	KL	60367298
1034489	3537	1998-02-12	VYDAJ	PREVOD NA UCET	646	20741	SIPO	KL	60367298
1034490	3537	1998-03-12	VYDAJ	PREVOD NA UCET	646	19754	SIPO	KL	60367298
1034491	3537	1998-04-12	VYDAJ	PREVOD NA UCET	646	18060	SIPO	KL	60367298
1034492	3537	1998-05-12	VYDAJ	PREVOD NA UCET	646	17960	SIPO	KL	60367298
1034493	3537	1998-06-12	VYDAJ	PREVOD NA UCET	646	21933	SIPO	KL	60367298
1034494	3537	1998-07-12	VYDAJ	PREVOD NA UCET	646	15642	SIPO	KL	60367298
1034495	3537	1998-08-12	VYDAJ	PREVOD NA UCET	646	15334	SIPO	KL	60367298
1034496	3537	1998-09-12	VYDAJ	PREVOD NA UCET	646	15929	SIPO	KL	60367298
1034497	3537	1998-10-12	VYDAJ	PREVOD NA UCET	646	21936	SIPO	KL	60367298
1034498	3537	1998-11-12	VYDAJ	PREVOD NA UCET	646	22553	SIPO	KL	60367298
1034499	3537	1998-12-12	VYDAJ	PREVOD NA UCET	646	23738	SIPO	KL	60367298
1034513	3537	1998-02-05	VYDAJ	PREVOD NA UCET	3772	14721	 	KL	1519895
1034514	3537	1998-03-05	VYDAJ	PREVOD NA UCET	3772	13734	 	KL	1519895
1034515	3537	1998-04-05	VYDAJ	PREVOD NA UCET	3772	12040	 	KL	1519895
1034516	3537	1998-05-05	VYDAJ	PREVOD NA UCET	3772	11940	 	KL	1519895
1034517	3537	1998-06-05	VYDAJ	PREVOD NA UCET	3772	12542	 	KL	1519895
1034518	3537	1998-07-05	VYDAJ	PREVOD NA UCET	3772	9622	 	KL	1519895
1034519	3537	1998-08-05	VYDAJ	PREVOD NA UCET	3772	9314	 	KL	1519895
1034520	3537	1998-09-05	VYDAJ	PREVOD NA UCET	3772	12309	 	KL	1519895
1034521	3537	1998-10-05	VYDAJ	PREVOD NA UCET	3772	15916	 	KL	1519895
1034522	3537	1998-11-05	VYDAJ	PREVOD NA UCET	3772	16533	 	KL	1519895
1034523	3537	1998-12-05	VYDAJ	PREVOD NA UCET	3772	14347	 	KL	1519895
1034537	3537	1998-02-06	VYDAJ	PREVOD NA UCET	50	14671	POJISTNE	WX	75993489
1034538	3537	1998-03-06	VYDAJ	PREVOD NA UCET	50	13684	POJISTNE	WX	75993489
1034539	3537	1998-04-06	VYDAJ	PREVOD NA UCET	50	11990	POJISTNE	WX	75993489
1034540	3537	1998-05-06	VYDAJ	PREVOD NA UCET	50	11890	POJISTNE	WX	75993489
1034541	3537	1998-06-06	VYDAJ	PREVOD NA UCET	50	12492	POJISTNE	WX	75993489
1034542	3537	1998-07-06	VYDAJ	PREVOD NA UCET	50	9572	POJISTNE	WX	75993489
1034543	3537	1998-08-06	VYDAJ	PREVOD NA UCET	50	9264	POJISTNE	WX	75993489
1034544	3537	1998-09-06	VYDAJ	PREVOD NA UCET	50	12259	POJISTNE	WX	75993489
1034545	3537	1998-10-06	VYDAJ	PREVOD NA UCET	50	15866	POJISTNE	WX	75993489
1034546	3537	1998-11-06	VYDAJ	PREVOD NA UCET	50	16483	POJISTNE	WX	75993489
1034547	3537	1998-12-06	VYDAJ	PREVOD NA UCET	50	14297	POJISTNE	WX	75993489
1034561	3537	1998-02-08	VYDAJ	PREVOD NA UCET	27	14644	 	ST	5785829
1034562	3537	1998-03-08	VYDAJ	PREVOD NA UCET	27	13657	 	ST	5785829
1034563	3537	1998-04-08	VYDAJ	PREVOD NA UCET	27	11963	 	ST	5785829
1034564	3537	1998-05-08	VYDAJ	PREVOD NA UCET	27	11863	 	ST	5785829
1034565	3537	1998-06-08	VYDAJ	PREVOD NA UCET	27	12465	 	ST	5785829
1034566	3537	1998-07-08	VYDAJ	PREVOD NA UCET	27	9545	 	ST	5785829
1034567	3537	1998-08-08	VYDAJ	PREVOD NA UCET	27	9237	 	ST	5785829
1034568	3537	1998-09-08	VYDAJ	PREVOD NA UCET	27	12232	 	ST	5785829
1034569	3537	1998-10-08	VYDAJ	PREVOD NA UCET	27	15839	 	ST	5785829
1034570	3537	1998-11-08	VYDAJ	PREVOD NA UCET	27	16456	 	ST	5785829
1034571	3537	1998-12-08	VYDAJ	PREVOD NA UCET	27	14270	 	ST	5785829
1034575	3537	1998-01-16	VYDAJ	VYBER	3500	31883	\N	\N	\N
1034577	3537	1998-12-23	VYDAJ	VYBER	2200	14238	\N	\N	\N
1034585	3537	1998-02-03	VYDAJ	VYBER	4800	18493	\N	\N	\N
1034586	3537	1998-07-01	VYDAJ	VYBER	4300	13394	\N	\N	\N
1034587	3537	1998-01-19	VYDAJ	VYBER	1000	27583	\N	\N	\N
1034588	3537	1998-09-11	VYDAJ	VYBER	2400	16575	\N	\N	\N
1034589	3537	1998-01-14	VYDAJ	VYBER	4600	35383	\N	\N	\N
1034590	3537	1998-01-21	VYDAJ	VYBER	4400	23183	\N	\N	\N
1034604	3537	1998-01-31	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
1034605	3537	1998-02-28	VYDAJ	VYBER	15	17506	SLUZBY	\N	\N
1034606	3537	1998-03-31	VYDAJ	VYBER	15	15812	SLUZBY	\N	\N
1034607	3537	1998-04-30	VYDAJ	VYBER	15	15712	SLUZBY	\N	\N
1034608	3537	1998-05-31	VYDAJ	VYBER	15	16314	SLUZBY	\N	\N
1034609	3537	1998-06-30	VYDAJ	VYBER	15	17694	SLUZBY	\N	\N
1034610	3537	1998-07-31	VYDAJ	VYBER	15	13086	SLUZBY	\N	\N
1034611	3537	1998-08-31	VYDAJ	VYBER	15	16081	SLUZBY	\N	\N
1034612	3537	1998-09-30	VYDAJ	VYBER	15	19688	SLUZBY	\N	\N
1034613	3537	1998-10-31	VYDAJ	VYBER	15	20305	SLUZBY	\N	\N
1034614	3537	1998-11-30	VYDAJ	VYBER	15	18119	SLUZBY	\N	\N
1034615	3537	1997-09-21	PRIJEM	VKLAD	9600	16943	\N	\N	\N
1034616	3537	1997-10-21	PRIJEM	VKLAD	1300	25010	\N	\N	\N
1034617	3537	1997-11-20	VYDAJ	VYBER	3300	28535	\N	\N	\N
1034618	3537	1997-12-20	VYDAJ	VYBER	5000	33759	\N	\N	\N
1034619	3537	1998-01-19	VYDAJ	VYBER	3300	28583	\N	\N	\N
1034620	3537	1998-02-18	VYDAJ	VYBER	3300	17441	\N	\N	\N
1034621	3537	1998-03-20	VYDAJ	VYBER	4000	15754	\N	\N	\N
1034622	3537	1998-04-19	VYDAJ	VYBER	2400	15660	\N	\N	\N
1034623	3537	1998-05-19	VYDAJ	VYBER	1700	16260	\N	\N	\N
1034624	3537	1998-06-18	VYDAJ	VYBER	4300	17633	\N	\N	\N
1034625	3537	1998-07-18	VYDAJ	VYBER	2600	13042	\N	\N	\N
1034626	3537	1998-08-17	PRIJEM	VKLAD	700	16034	\N	\N	\N
1034627	3537	1998-09-16	PRIJEM	VKLAD	3700	19629	\N	\N	\N
1034628	3537	1998-10-16	VYDAJ	VYBER	1700	20236	\N	\N	\N
1034629	3537	1998-11-15	VYDAJ	VYBER	4500	18053	\N	\N	\N
1034630	3537	1998-12-15	VYDAJ	VYBER	7300	16438	\N	\N	\N
1034647	3538	1993-08-08	PRIJEM	VKLAD	400	400	\N	\N	\N
1034656	3538	1993-09-05	PRIJEM	VKLAD	23528	23928	\N	\N	\N
1034657	3538	1993-10-05	PRIJEM	VKLAD	23528	47937	\N	\N	\N
1034658	3538	1993-11-05	PRIJEM	VKLAD	23528	61713	\N	\N	\N
1034659	3538	1993-12-05	PRIJEM	VKLAD	35292	77377	\N	\N	\N
1034660	3538	1994-01-05	PRIJEM	VKLAD	23528	75012	\N	\N	\N
1034661	3538	1994-02-05	PRIJEM	VKLAD	23528	52396	\N	\N	\N
1034662	3538	1994-03-05	PRIJEM	VKLAD	23528	76114	\N	\N	\N
1034663	3538	1994-04-05	PRIJEM	VKLAD	23528	72013	\N	\N	\N
1034664	3538	1994-05-05	PRIJEM	VKLAD	23528	68777	\N	\N	\N
1034665	3538	1994-06-05	PRIJEM	VKLAD	35292	72825	\N	\N	\N
1034666	3538	1994-07-05	PRIJEM	VKLAD	23528	52899	\N	\N	\N
1034667	3538	1994-08-05	PRIJEM	VKLAD	23528	59721	\N	\N	\N
1034668	3538	1994-09-05	PRIJEM	VKLAD	23528	66095	\N	\N	\N
1034669	3538	1994-10-05	PRIJEM	VKLAD	23528	69980	\N	\N	\N
1034670	3538	1994-11-05	PRIJEM	VKLAD	23528	71882	\N	\N	\N
1034671	3538	1994-12-05	PRIJEM	VKLAD	35292	85558	\N	\N	\N
1034672	3538	1995-01-05	PRIJEM	VKLAD	23528	77115	\N	\N	\N
1034673	3538	1995-02-05	PRIJEM	VKLAD	23528	60193	\N	\N	\N
1034674	3538	1995-03-05	PRIJEM	VKLAD	23528	68062	\N	\N	\N
1034675	3538	1995-04-05	PRIJEM	VKLAD	23528	69252	\N	\N	\N
1034676	3538	1995-05-05	PRIJEM	VKLAD	23528	72032	\N	\N	\N
1034677	3538	1995-06-05	PRIJEM	VKLAD	35292	83674	\N	\N	\N
1034678	3538	1995-07-05	PRIJEM	VKLAD	23528	73589	\N	\N	\N
1034679	3538	1995-08-05	PRIJEM	VKLAD	23528	73010	\N	\N	\N
1034680	3538	1995-09-05	PRIJEM	VKLAD	23528	71627	\N	\N	\N
1034681	3538	1995-10-05	PRIJEM	VKLAD	23528	66620	\N	\N	\N
1034682	3538	1995-11-05	PRIJEM	VKLAD	23528	73889	\N	\N	\N
1034683	3538	1995-12-05	PRIJEM	VKLAD	35292	86604	\N	\N	\N
1034684	3538	1996-01-05	PRIJEM	VKLAD	23528	77117	\N	\N	\N
1034685	3538	1996-02-05	PRIJEM	VKLAD	23528	64710	\N	\N	\N
1034686	3538	1996-03-05	PRIJEM	VKLAD	23528	69768	\N	\N	\N
1034687	3538	1996-04-05	PRIJEM	VKLAD	23528	73175	\N	\N	\N
1034688	3538	1996-05-05	PRIJEM	VKLAD	23528	71296	\N	\N	\N
1034689	3538	1996-06-05	PRIJEM	VKLAD	35292	85973	\N	\N	\N
1034690	3538	1996-07-05	PRIJEM	VKLAD	23528	78340	\N	\N	\N
1034691	3538	1996-08-05	PRIJEM	VKLAD	23528	80782	\N	\N	\N
1034692	3538	1996-09-05	PRIJEM	VKLAD	23528	77847	\N	\N	\N
1034693	3538	1996-10-05	PRIJEM	VKLAD	23528	76205	\N	\N	\N
1034694	3538	1996-11-05	PRIJEM	VKLAD	23528	74633	\N	\N	\N
1034695	3538	1996-12-05	PRIJEM	VKLAD	35292	80016	\N	\N	\N
1034696	3538	1997-01-05	PRIJEM	VKLAD	23528	69988	\N	\N	\N
1034697	3538	1997-02-05	PRIJEM	VKLAD	23528	47469	\N	\N	\N
1034698	3538	1997-03-05	PRIJEM	VKLAD	23528	56093	\N	\N	\N
1034699	3538	1997-04-05	PRIJEM	VKLAD	23528	58242	\N	\N	\N
1034700	3538	1997-05-05	PRIJEM	VKLAD	23528	61000	\N	\N	\N
1034701	3538	1997-06-05	PRIJEM	VKLAD	35292	76336	\N	\N	\N
1034702	3538	1997-07-05	PRIJEM	VKLAD	23528	51309	\N	\N	\N
1034703	3538	1997-08-05	PRIJEM	VKLAD	23528	60952	\N	\N	\N
1034704	3538	1997-09-05	PRIJEM	VKLAD	23528	64739	\N	\N	\N
1034705	3538	1997-10-05	PRIJEM	VKLAD	23528	64018	\N	\N	\N
1034706	3538	1997-11-05	PRIJEM	VKLAD	23528	62492	\N	\N	\N
1034707	3538	1997-12-05	PRIJEM	VKLAD	35292	72342	\N	\N	\N
1034708	3538	1998-01-05	PRIJEM	VKLAD	23528	67023	\N	\N	\N
1034709	3538	1998-02-05	PRIJEM	VKLAD	23528	50391	\N	\N	\N
1034710	3538	1998-03-05	PRIJEM	VKLAD	23528	55323	\N	\N	\N
1034711	3538	1998-04-05	PRIJEM	VKLAD	23528	58009	\N	\N	\N
1034712	3538	1998-05-05	PRIJEM	VKLAD	23528	64275	\N	\N	\N
1034713	3538	1998-06-05	PRIJEM	VKLAD	35292	80226	\N	\N	\N
1034714	3538	1998-07-05	PRIJEM	VKLAD	23528	66950	\N	\N	\N
1034715	3538	1998-08-05	PRIJEM	VKLAD	23528	68369	\N	\N	\N
1034716	3538	1998-09-05	PRIJEM	VKLAD	23528	67761	\N	\N	\N
1034717	3538	1998-10-05	PRIJEM	VKLAD	23528	66148	\N	\N	\N
1034718	3538	1998-11-05	PRIJEM	VKLAD	23528	61226	\N	\N	\N
1034719	3538	1998-12-05	PRIJEM	VKLAD	35292	75280	\N	\N	\N
1034721	3538	1994-06-14	VYDAJ	VYBER	37440	35385	\N	\N	\N
1034722	3538	1995-06-29	VYDAJ	VYBER	6400	77274	\N	\N	\N
1034723	3538	1996-06-13	VYDAJ	VYBER	6400	79573	\N	\N	\N
1034724	3538	1997-06-15	VYDAJ	VYBER	41280	35056	\N	\N	\N
1034727	3538	1994-01-21	VYDAJ	VYBER	5600	33572	\N	\N	\N
1034728	3538	1995-01-11	VYDAJ	VYBER	9760	62555	\N	\N	\N
1034729	3538	1996-01-23	VYDAJ	VYBER	11680	55237	\N	\N	\N
1034730	3538	1997-01-25	VYDAJ	VYBER	13120	23768	\N	\N	\N
1034731	3538	1998-01-12	VYDAJ	VYBER KARTOU	3400	53323	\N	\N	0
1034733	3538	1994-12-24	VYDAJ	VYBER	960	84598	\N	\N	\N
1034734	3538	1995-12-30	VYDAJ	VYBER KARTOU	1800	55624	\N	\N	0
1034735	3538	1996-12-04	VYDAJ	VYBER KARTOU	3700	44724	\N	\N	0
1034736	3538	1997-12-24	VYDAJ	VYBER KARTOU	3400	43342	\N	\N	0
1034737	3538	1998-12-24	VYDAJ	VYBER KARTOU	2600	49080	\N	\N	0
1034744	3538	1994-01-07	VYDAJ	VYBER	1800	44932	\N	\N	\N
1034745	3538	1994-01-20	VYDAJ	VYBER	1320	39172	\N	\N	\N
1034746	3538	1994-01-23	VYDAJ	VYBER	3360	30212	\N	\N	\N
1034747	3538	1994-01-05	VYDAJ	VYBER	2880	72132	\N	\N	\N
1034748	3538	1994-01-10	VYDAJ	VYBER	2040	42892	\N	\N	\N
1034749	3538	1994-01-11	VYDAJ	VYBER	2400	40492	\N	\N	\N
1034750	3538	1995-01-01	VYDAJ	VYBER	840	53587	\N	\N	\N
1034751	3538	1995-01-06	VYDAJ	VYBER	1320	75795	\N	\N	\N
1034752	3538	1995-01-26	VYDAJ	VYBER	1800	52235	\N	\N	\N
1034753	3538	1995-01-12	VYDAJ	VYBER	2640	59915	\N	\N	\N
1034754	3538	1995-01-21	VYDAJ	VYBER	2040	54035	\N	\N	\N
1034755	3538	1995-01-10	VYDAJ	VYBER	3480	72315	\N	\N	\N
1034756	3538	1996-01-23	VYDAJ	VYBER KARTOU	2600	66917	\N	\N	0
1034757	3538	1996-01-25	VYDAJ	VYBER KARTOU	1700	40937	\N	\N	0
1034758	3538	1996-01-03	VYDAJ	VYBER KARTOU	2300	53589	\N	\N	0
1034759	3538	1996-01-16	VYDAJ	VYBER KARTOU	1900	69517	\N	\N	0
1034760	3538	1996-01-13	VYDAJ	VYBER KARTOU	2600	71417	\N	\N	0
1034761	3538	1996-01-08	VYDAJ	VYBER KARTOU	3100	74017	\N	\N	0
1034762	3538	1997-01-09	VYDAJ	VYBER KARTOU	3000	66188	\N	\N	0
1034763	3538	1997-01-23	VYDAJ	VYBER KARTOU	3100	36888	\N	\N	0
1034764	3538	1997-01-09	VYDAJ	VYBER KARTOU	800	69188	\N	\N	0
1034765	3538	1997-01-17	VYDAJ	VYBER KARTOU	1900	61888	\N	\N	0
1034766	3538	1997-01-21	VYDAJ	VYBER KARTOU	1100	39988	\N	\N	0
1034767	3538	1997-01-11	VYDAJ	VYBER KARTOU	2400	63788	\N	\N	0
1034768	3538	1998-01-08	VYDAJ	VYBER KARTOU	1900	62223	\N	\N	0
1034769	3538	1998-01-07	VYDAJ	VYBER KARTOU	2900	64123	\N	\N	0
1034770	3538	1998-01-12	VYDAJ	VYBER KARTOU	3100	56723	\N	\N	0
1034771	3538	1998-01-16	VYDAJ	VYBER KARTOU	2800	28723	\N	\N	0
1034772	3538	1998-01-10	VYDAJ	VYBER KARTOU	2400	59823	\N	\N	0
1034773	3538	1998-01-23	VYDAJ	VYBER KARTOU	2000	26723	\N	\N	0
1034778	3538	1994-08-11	VYDAJ	VYBER	1080	58641	\N	\N	\N
1034779	3538	1994-07-26	VYDAJ	VYBER	3000	49899	\N	\N	\N
1034780	3538	1994-03-09	VYDAJ	VYBER	1920	48294	\N	\N	\N
1034781	3538	1994-04-10	VYDAJ	VYBER	1440	45073	\N	\N	\N
1034782	3538	1995-04-17	VYDAJ	VYBER	4560	64692	\N	\N	\N
1034783	3538	1995-12-10	VYDAJ	VYBER	5880	80724	\N	\N	\N
1034784	3538	1995-11-16	VYDAJ	VYBER KARTOU	3000	70889	\N	\N	0
1034785	3538	1995-01-20	VYDAJ	VYBER	3840	56075	\N	\N	\N
1034786	3538	1995-10-03	VYDAJ	VYBER	5520	43092	\N	\N	\N
1034787	3538	1996-04-23	VYDAJ	VYBER	4200	65475	\N	\N	\N
1034788	3538	1996-08-14	VYDAJ	VYBER	4800	75982	\N	\N	\N
1034789	3538	1996-12-21	VYDAJ	VYBER KARTOU	1800	46216	\N	\N	0
1034790	3538	1996-09-13	VYDAJ	VYBER KARTOU	2500	75347	\N	\N	0
1034791	3538	1996-04-22	VYDAJ	VYBER KARTOU	3500	69675	\N	\N	0
1034792	3538	1996-02-13	VYDAJ	VYBER	4560	60150	\N	\N	\N
1034793	3538	1997-03-22	VYDAJ	VYBER KARTOU	1800	34593	\N	\N	0
1034794	3538	1997-11-08	VYDAJ	VYBER KARTOU	3100	59392	\N	\N	0
1034795	3538	1997-08-12	VYDAJ	VYBER KARTOU	1700	59252	\N	\N	0
1034796	3538	1998-03-09	VYDAJ	VYBER	4680	46443	\N	\N	\N
1034797	3538	1998-07-03	VYDAJ	VYBER	5280	43422	\N	\N	\N
1034798	3538	1998-03-06	VYDAJ	VYBER	4200	51123	\N	\N	\N
1034799	3538	1998-11-17	VYDAJ	VYBER KARTOU	2600	39826	\N	\N	0
1034800	3538	1998-11-04	VYDAJ	VYBER KARTOU	2900	37698	\N	\N	0
1034814	3538	1994-01-31	VYDAJ	VYBER	15	30368	SLUZBY	\N	\N
1034815	3538	1994-02-28	VYDAJ	VYBER	15	52586	SLUZBY	\N	\N
1034816	3538	1994-03-31	VYDAJ	VYBER	15	48485	SLUZBY	\N	\N
1034817	3538	1994-04-30	VYDAJ	VYBER	15	45249	SLUZBY	\N	\N
1034818	3538	1994-05-31	VYDAJ	VYBER	15	47233	SLUZBY	\N	\N
1034819	3538	1994-06-30	VYDAJ	VYBER	15	35571	SLUZBY	\N	\N
1034820	3538	1994-07-31	VYDAJ	VYBER	15	50093	SLUZBY	\N	\N
1034821	3538	1994-08-31	VYDAJ	VYBER	15	58867	SLUZBY	\N	\N
1034822	3538	1994-09-30	VYDAJ	VYBER	15	66352	SLUZBY	\N	\N
1034823	3538	1994-10-31	VYDAJ	VYBER	15	70254	SLUZBY	\N	\N
1034824	3538	1994-11-30	VYDAJ	VYBER	15	72166	SLUZBY	\N	\N
1034825	3538	1994-12-31	VYDAJ	VYBER	15	84927	SLUZBY	\N	\N
1034826	3538	1995-01-31	VYDAJ	VYBER	15	36665	SLUZBY	\N	\N
1034827	3538	1995-02-28	VYDAJ	VYBER	15	60334	SLUZBY	\N	\N
1034828	3538	1995-03-31	VYDAJ	VYBER	15	68324	SLUZBY	\N	\N
1034829	3538	1995-04-30	VYDAJ	VYBER	15	64904	SLUZBY	\N	\N
1034830	3538	1995-05-31	VYDAJ	VYBER	15	48382	SLUZBY	\N	\N
1034831	3538	1995-06-30	VYDAJ	VYBER	15	50061	SLUZBY	\N	\N
1034832	3538	1995-07-31	VYDAJ	VYBER	15	49482	SLUZBY	\N	\N
1034833	3538	1995-08-31	VYDAJ	VYBER	15	48099	SLUZBY	\N	\N
1034834	3538	1995-09-30	VYDAJ	VYBER	15	48612	SLUZBY	\N	\N
1034835	3538	1995-10-31	VYDAJ	VYBER	15	50361	SLUZBY	\N	\N
1034836	3538	1995-11-30	VYDAJ	VYBER	15	51312	SLUZBY	\N	\N
1034837	3538	1995-12-31	VYDAJ	VYBER	15	55889	SLUZBY	\N	\N
1034838	3538	1996-01-31	VYDAJ	VYBER	15	41182	SLUZBY	\N	\N
1034839	3538	1996-02-29	VYDAJ	VYBER	15	46240	SLUZBY	\N	\N
1034840	3538	1996-03-31	VYDAJ	VYBER	15	49647	SLUZBY	\N	\N
1034841	3538	1996-04-30	VYDAJ	VYBER	15	47768	SLUZBY	\N	\N
1034842	3538	1996-05-31	VYDAJ	VYBER	15	50681	SLUZBY	\N	\N
1034843	3538	1996-06-30	VYDAJ	VYBER	15	54812	SLUZBY	\N	\N
1034844	3538	1996-07-31	VYDAJ	VYBER	15	57254	SLUZBY	\N	\N
1034845	3538	1996-08-31	VYDAJ	VYBER	15	54319	SLUZBY	\N	\N
1034846	3538	1996-09-30	VYDAJ	VYBER	15	52677	SLUZBY	\N	\N
1034847	3538	1996-10-31	VYDAJ	VYBER	15	51105	SLUZBY	\N	\N
1034848	3538	1996-11-30	VYDAJ	VYBER	15	48424	SLUZBY	\N	\N
1034849	3538	1996-12-31	VYDAJ	VYBER	15	46460	SLUZBY	\N	\N
1034850	3538	1997-01-31	VYDAJ	VYBER	15	23941	SLUZBY	\N	\N
1034851	3538	1997-02-28	VYDAJ	VYBER	15	32565	SLUZBY	\N	\N
1034852	3538	1997-03-31	VYDAJ	VYBER	15	34714	SLUZBY	\N	\N
1034853	3538	1997-04-30	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
1034854	3538	1997-05-31	VYDAJ	VYBER	15	41044	SLUZBY	\N	\N
1034855	3538	1997-06-30	VYDAJ	VYBER	15	27781	SLUZBY	\N	\N
1034856	3538	1997-07-31	VYDAJ	VYBER	15	37424	SLUZBY	\N	\N
1034857	3538	1997-08-31	VYDAJ	VYBER	15	41211	SLUZBY	\N	\N
1034858	3538	1997-09-30	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
1034859	3538	1997-10-31	VYDAJ	VYBER	15	38964	SLUZBY	\N	\N
1034860	3538	1997-11-30	VYDAJ	VYBER	15	37050	SLUZBY	\N	\N
1034861	3538	1997-12-31	VYDAJ	VYBER	15	43495	SLUZBY	\N	\N
1034862	3538	1998-01-31	VYDAJ	VYBER	15	26863	SLUZBY	\N	\N
1034863	3538	1998-02-28	VYDAJ	VYBER	15	31795	SLUZBY	\N	\N
1034864	3538	1998-03-31	VYDAJ	VYBER	15	34481	SLUZBY	\N	\N
1034865	3538	1998-04-30	VYDAJ	VYBER	15	40747	SLUZBY	\N	\N
1034866	3538	1998-05-31	VYDAJ	VYBER	15	44934	SLUZBY	\N	\N
1034867	3538	1998-06-30	VYDAJ	VYBER	15	48702	SLUZBY	\N	\N
1034868	3538	1998-07-31	VYDAJ	VYBER	15	44841	SLUZBY	\N	\N
1034869	3538	1998-08-31	VYDAJ	VYBER	15	44233	SLUZBY	\N	\N
1034870	3538	1998-09-30	VYDAJ	VYBER	15	42620	SLUZBY	\N	\N
1034871	3538	1998-10-31	VYDAJ	VYBER	15	40598	SLUZBY	\N	\N
1034872	3538	1998-11-30	VYDAJ	VYBER	15	39988	SLUZBY	\N	\N
1034873	3538	1993-09-07	PRIJEM	VKLAD	400	24328	\N	\N	\N
1034874	3538	1993-10-07	VYDAJ	VYBER	9900	38037	\N	\N	\N
1034875	3538	1993-11-06	VYDAJ	VYBER	19800	41913	\N	\N	\N
1034876	3538	1993-12-06	VYDAJ	VYBER	26100	51277	\N	\N	\N
1034877	3538	1994-01-05	VYDAJ	VYBER	25400	46732	\N	\N	\N
1034878	3538	1994-02-04	VYDAJ	VYBER	1500	28868	\N	\N	\N
1034879	3538	1994-03-06	VYDAJ	VYBER	25900	50214	\N	\N	\N
1034880	3538	1994-04-05	VYDAJ	VYBER	25500	46513	\N	\N	\N
1034881	3538	1994-05-05	VYDAJ	VYBER	21800	46977	\N	\N	\N
1034882	3538	1994-06-04	VYDAJ	VYBER	9700	37533	\N	\N	\N
1034883	3538	1994-07-04	VYDAJ	VYBER	6200	29371	\N	\N	\N
1034884	3538	1994-08-03	VYDAJ	VYBER	13900	36193	\N	\N	\N
1034885	3538	1994-09-02	VYDAJ	VYBER	16300	42567	\N	\N	\N
1034886	3538	1994-10-02	VYDAJ	VYBER	19900	46452	\N	\N	\N
1034887	3538	1994-11-01	VYDAJ	VYBER	21900	48354	\N	\N	\N
1034888	3538	1994-12-01	VYDAJ	VYBER	21900	50266	\N	\N	\N
1034889	3538	1994-12-31	VYDAJ	VYBER	30500	54427	\N	\N	\N
1034890	3538	1995-01-30	VYDAJ	VYBER	15800	36435	\N	\N	\N
1034891	3538	1995-03-01	VYDAJ	VYBER	15800	44534	\N	\N	\N
1034892	3538	1995-03-31	VYDAJ	VYBER	22600	45724	\N	\N	\N
1034893	3538	1995-04-30	VYDAJ	VYBER	16400	48504	\N	\N	\N
1034894	3538	1995-05-30	VYDAJ	VYBER	23900	48132	\N	\N	\N
1034895	3538	1995-06-29	VYDAJ	VYBER	27400	49874	\N	\N	\N
1034896	3538	1995-07-29	VYDAJ	VYBER	24300	49289	\N	\N	\N
1034897	3538	1995-08-28	VYDAJ	VYBER	25100	47910	\N	\N	\N
1034898	3538	1995-09-27	VYDAJ	VYBER	23200	48427	\N	\N	\N
1034899	3538	1995-10-27	VYDAJ	VYBER	16500	50120	\N	\N	\N
1034900	3538	1995-11-26	VYDAJ	VYBER	19800	51089	\N	\N	\N
1034901	3538	1995-12-26	VYDAJ	VYBER	23300	57424	\N	\N	\N
1034902	3538	1996-01-25	VYDAJ	VYBER	12600	42637	\N	\N	\N
1034903	3538	1996-02-24	VYDAJ	VYBER	14100	46050	\N	\N	\N
1034904	3538	1996-03-25	VYDAJ	VYBER	20300	49468	\N	\N	\N
1034905	3538	1996-04-24	VYDAJ	VYBER	17900	47575	\N	\N	\N
1034906	3538	1996-05-24	VYDAJ	VYBER	20800	50496	\N	\N	\N
1034907	3538	1996-06-23	VYDAJ	VYBER	25000	54573	\N	\N	\N
1034908	3538	1996-07-23	VYDAJ	VYBER	21300	57040	\N	\N	\N
1034909	3538	1996-08-22	VYDAJ	VYBER	21900	54082	\N	\N	\N
1034910	3538	1996-09-21	VYDAJ	VYBER	22900	52447	\N	\N	\N
1034911	3538	1996-10-21	VYDAJ	VYBER	25300	50905	\N	\N	\N
1034912	3538	1996-11-20	VYDAJ	VYBER	26400	48233	\N	\N	\N
1034913	3538	1996-12-20	VYDAJ	VYBER	32000	48016	\N	\N	\N
1034914	3538	1997-01-19	VYDAJ	VYBER	20800	41088	\N	\N	\N
1034915	3538	1997-02-18	VYDAJ	VYBER	15000	32469	\N	\N	\N
1034916	3538	1997-03-20	VYDAJ	VYBER	19700	36393	\N	\N	\N
1034917	3538	1997-04-19	VYDAJ	VYBER	20900	37342	\N	\N	\N
1034918	3538	1997-05-19	VYDAJ	VYBER	20100	40900	\N	\N	\N
1034919	3538	1997-06-18	VYDAJ	VYBER	7400	27656	\N	\N	\N
1034920	3538	1997-07-18	VYDAJ	VYBER	14000	37309	\N	\N	\N
1034921	3538	1997-08-17	VYDAJ	VYBER	18200	41052	\N	\N	\N
1034922	3538	1997-09-16	VYDAJ	VYBER	24400	40339	\N	\N	\N
1034923	3538	1997-10-16	VYDAJ	VYBER	25200	38818	\N	\N	\N
1034924	3538	1997-11-15	VYDAJ	VYBER	22500	36892	\N	\N	\N
1034925	3538	1997-12-15	VYDAJ	VYBER	25600	46742	\N	\N	\N
1034926	3538	1998-01-14	VYDAJ	VYBER	21800	31523	\N	\N	\N
1034927	3538	1998-02-13	VYDAJ	VYBER	18700	31691	\N	\N	\N
1034928	3538	1998-03-15	VYDAJ	VYBER	12100	34343	\N	\N	\N
1034929	3538	1998-04-14	VYDAJ	VYBER	17400	40609	\N	\N	\N
1034930	3538	1998-05-14	VYDAJ	VYBER	19500	44775	\N	\N	\N
1034931	3538	1998-06-13	VYDAJ	VYBER	31700	48526	\N	\N	\N
1034932	3538	1998-07-13	VYDAJ	VYBER	22300	44650	\N	\N	\N
1034933	3538	1998-08-12	VYDAJ	VYBER	24300	44069	\N	\N	\N
1034934	3538	1998-09-11	VYDAJ	VYBER	25300	42461	\N	\N	\N
1034935	3538	1998-10-11	VYDAJ	VYBER	25700	40448	\N	\N	\N
1034936	3538	1998-11-10	VYDAJ	VYBER	18800	42426	\N	\N	\N
1034937	3538	1998-12-10	VYDAJ	VYBER	23600	51680	\N	\N	\N
1035002	3539	1994-06-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1035003	3539	1994-09-01	PRIJEM	VKLAD	12971	31976	\N	\N	\N
1035004	3539	1994-09-07	PRIJEM	VKLAD	30025	57401	\N	\N	\N
1035005	3539	1995-01-07	PRIJEM	VKLAD	26729	53184	\N	\N	\N
1035006	3539	1995-01-23	PRIJEM	VKLAD	2000	53384	\N	\N	\N
1035007	3539	1996-05-22	PRIJEM	VKLAD	39833	82141	\N	\N	\N
1035008	3539	1996-04-28	PRIJEM	VKLAD	11957	43294	\N	\N	\N
1035009	3539	1997-01-07	PRIJEM	VKLAD	21664	62307	\N	\N	\N
1035010	3539	1997-03-16	PRIJEM	VKLAD	30335	79426	\N	\N	\N
1035011	3539	1998-01-22	PRIJEM	VKLAD	48151	79625	\N	\N	\N
1035012	3539	1998-10-06	PRIJEM	VKLAD	26492	64697	\N	\N	\N
1035018	3539	1994-06-14	PRIJEM	VKLAD	1500	2400	\N	\N	\N
1035019	3539	1994-07-14	PRIJEM	VKLAD	1500	13906	\N	\N	\N
1035020	3539	1994-08-13	PRIJEM	VKLAD	1500	20844	\N	\N	\N
1035021	3539	1994-09-16	PRIJEM	VKLAD	1500	58901	\N	\N	\N
1035022	3539	1994-10-14	PRIJEM	VKLAD	1500	42600	\N	\N	\N
1035023	3539	1994-11-14	PRIJEM	VKLAD	1500	34392	\N	\N	\N
1035024	3539	1994-12-13	PRIJEM	VKLAD	1500	30038	\N	\N	\N
1035025	3539	1995-01-17	PRIJEM	VKLAD	1500	54684	\N	\N	\N
1035026	3539	1995-02-13	PRIJEM	VKLAD	1500	40317	\N	\N	\N
1035027	3539	1995-03-16	PRIJEM	VKLAD	1500	35030	\N	\N	\N
1035028	3539	1995-04-14	PRIJEM	VKLAD	1500	31162	\N	\N	\N
1035029	3539	1995-05-16	PRIJEM	VKLAD	1500	29784	\N	\N	\N
1035030	3539	1995-06-15	PRIJEM	VKLAD	1500	16193	\N	\N	\N
1035031	3539	1995-07-13	PRIJEM	VKLAD	1500	23966	\N	\N	\N
1035032	3539	1995-08-14	PRIJEM	VKLAD	1500	23939	\N	\N	\N
1035033	3539	1995-09-16	PRIJEM	VKLAD	1500	25120	\N	\N	\N
1035034	3539	1995-10-15	PRIJEM	VKLAD	1500	27604	\N	\N	\N
1035035	3539	1995-11-15	PRIJEM	VKLAD	1500	28200	\N	\N	\N
1035036	3539	1995-12-15	PRIJEM	VKLAD	1500	29496	\N	\N	\N
1035037	3539	1996-01-15	PRIJEM	VKLAD	1500	23002	\N	\N	\N
1035038	3539	1996-02-17	PRIJEM	VKLAD	1500	28685	\N	\N	\N
1035039	3539	1996-03-13	PRIJEM	VKLAD	1500	27936	\N	\N	\N
1035040	3539	1996-04-14	PRIJEM	VKLAD	1500	30837	\N	\N	\N
1035041	3539	1996-05-17	PRIJEM	VKLAD	1500	41808	\N	\N	\N
1035042	3539	1996-06-14	PRIJEM	VKLAD	1500	37139	\N	\N	\N
1035043	3539	1996-07-17	PRIJEM	VKLAD	1500	37017	\N	\N	\N
1035044	3539	1996-08-16	PRIJEM	VKLAD	1500	39502	\N	\N	\N
1035045	3539	1996-09-14	PRIJEM	VKLAD	1500	38847	\N	\N	\N
1035046	3539	1996-10-17	PRIJEM	VKLAD	1500	34435	\N	\N	\N
1035047	3539	1996-11-13	PRIJEM	VKLAD	1500	36664	\N	\N	\N
1035048	3539	1996-12-15	PRIJEM	VKLAD	1500	38297	\N	\N	\N
1035049	3539	1997-01-13	PRIJEM	VKLAD	1500	58607	\N	\N	\N
1035050	3539	1997-02-13	PRIJEM	VKLAD	1500	49500	\N	\N	\N
1035051	3539	1997-03-17	PRIJEM	VKLAD	1500	80926	\N	\N	\N
1035052	3539	1997-04-13	PRIJEM	VKLAD	1500	66312	\N	\N	\N
1035053	3539	1997-05-17	PRIJEM	VKLAD	1500	54907	\N	\N	\N
1035054	3539	1997-06-17	PRIJEM	VKLAD	1500	49712	\N	\N	\N
1035055	3539	1997-07-16	PRIJEM	VKLAD	1500	37981	\N	\N	\N
1035056	3539	1997-08-15	PRIJEM	VKLAD	1500	39720	\N	\N	\N
1035057	3539	1997-09-17	PRIJEM	VKLAD	1500	42969	\N	\N	\N
1035058	3539	1997-10-15	PRIJEM	VKLAD	1500	47232	\N	\N	\N
1035059	3539	1997-11-14	PRIJEM	VKLAD	1500	46806	\N	\N	\N
1035060	3539	1997-12-17	PRIJEM	VKLAD	1500	44174	\N	\N	\N
1035061	3539	1998-01-13	PRIJEM	VKLAD	1500	29274	\N	\N	\N
1035062	3539	1998-02-15	PRIJEM	VKLAD	1500	79354	\N	\N	\N
1035063	3539	1998-03-13	PRIJEM	VKLAD	1500	57022	\N	\N	\N
1035064	3539	1998-04-15	PRIJEM	VKLAD	1500	43813	\N	\N	\N
1035065	3539	1998-05-15	PRIJEM	VKLAD	1500	38516	\N	\N	\N
1035066	3539	1998-06-14	PRIJEM	VKLAD	1500	40361	\N	\N	\N
1035067	3539	1998-07-16	PRIJEM	VKLAD	1500	27572	\N	\N	\N
1035068	3539	1998-08-15	PRIJEM	VKLAD	1500	29267	\N	\N	\N
1035069	3539	1998-09-16	PRIJEM	VKLAD	1500	38076	\N	\N	\N
1035070	3539	1998-10-17	PRIJEM	VKLAD	1500	52697	\N	\N	\N
1035071	3539	1998-11-13	PRIJEM	VKLAD	1500	54375	\N	\N	\N
1035072	3539	1998-12-16	PRIJEM	VKLAD	1500	41864	\N	\N	\N
1035073	3539	1994-07-18	PRIJEM	VKLAD	500	14406	\N	\N	\N
1035074	3539	1994-08-18	PRIJEM	VKLAD	500	21344	\N	\N	\N
1035075	3539	1994-09-18	PRIJEM	VKLAD	500	59401	\N	\N	\N
1035076	3539	1994-10-18	PRIJEM	VKLAD	500	43100	\N	\N	\N
1035077	3539	1994-11-18	PRIJEM	VKLAD	500	34892	\N	\N	\N
1035078	3539	1994-12-18	PRIJEM	VKLAD	500	30538	\N	\N	\N
1035079	3539	1996-01-18	PRIJEM	VKLAD	500	23502	\N	\N	\N
1035080	3539	1996-02-18	PRIJEM	VKLAD	500	29185	\N	\N	\N
1035081	3539	1996-03-18	PRIJEM	VKLAD	500	28436	\N	\N	\N
1035082	3539	1996-04-18	PRIJEM	VKLAD	500	31337	\N	\N	\N
1035083	3539	1996-05-18	PRIJEM	VKLAD	500	42308	\N	\N	\N
1035084	3539	1996-06-18	PRIJEM	VKLAD	500	37639	\N	\N	\N
1035085	3539	1997-01-18	PRIJEM	VKLAD	500	57107	\N	\N	\N
1035086	3539	1997-02-18	PRIJEM	VKLAD	500	50000	\N	\N	\N
1035087	3539	1997-03-18	PRIJEM	VKLAD	500	81426	\N	\N	\N
1035088	3539	1997-04-18	PRIJEM	VKLAD	500	66812	\N	\N	\N
1035089	3539	1997-05-18	PRIJEM	VKLAD	500	55407	\N	\N	\N
1035090	3539	1997-06-18	PRIJEM	VKLAD	500	50212	\N	\N	\N
1035091	3539	1997-07-18	PRIJEM	VKLAD	500	38481	\N	\N	\N
1035092	3539	1997-08-18	PRIJEM	VKLAD	500	40220	\N	\N	\N
1035093	3539	1997-09-18	PRIJEM	VKLAD	500	43469	\N	\N	\N
1035094	3539	1997-10-18	PRIJEM	VKLAD	500	47732	\N	\N	\N
1035095	3539	1997-11-18	PRIJEM	VKLAD	500	47306	\N	\N	\N
1035096	3539	1997-12-18	PRIJEM	VKLAD	500	44124	\N	\N	\N
1035097	3539	1998-01-18	PRIJEM	VKLAD	500	31474	\N	\N	\N
1035098	3539	1998-02-18	PRIJEM	VKLAD	500	55254	\N	\N	\N
1035099	3539	1998-03-18	PRIJEM	VKLAD	500	57522	\N	\N	\N
1035100	3539	1998-04-18	PRIJEM	VKLAD	500	44313	\N	\N	\N
1035101	3539	1998-05-18	PRIJEM	VKLAD	500	39016	\N	\N	\N
1035102	3539	1998-06-18	PRIJEM	VKLAD	500	25961	\N	\N	\N
1035104	3539	1995-06-12	VYDAJ	VYBER	13800	14693	\N	\N	\N
1035106	3539	1997-06-21	VYDAJ	VYBER	12100	38112	\N	\N	\N
1035109	3539	1995-01-23	VYDAJ	VYBER	3100	50284	\N	\N	\N
1035110	3539	1996-01-09	VYDAJ	VYBER	5500	21502	\N	\N	\N
1035111	3539	1997-01-14	VYDAJ	VYBER	2000	56607	\N	\N	\N
1035112	3539	1998-01-13	VYDAJ	VYBER	6700	22574	\N	\N	\N
1035115	3539	1996-06-02	VYDAJ	VYBER	23400	35639	\N	\N	\N
1035117	3539	1998-06-14	VYDAJ	VYBER	21300	19061	\N	\N	\N
1035119	3539	1995-01-20	VYDAJ	VYBER	3300	51384	\N	\N	\N
1035120	3539	1996-01-19	VYDAJ	VYBER	2800	20702	\N	\N	\N
1035121	3539	1997-01-10	VYDAJ	VYBER	5200	57107	\N	\N	\N
1035122	3539	1998-01-10	VYDAJ	VYBER	6600	27774	\N	\N	\N
1035123	3539	1994-12-22	VYDAJ	VYBER	1800	28738	\N	\N	\N
1035124	3539	1995-12-24	VYDAJ	VYBER	600	28896	\N	\N	\N
1035125	3539	1996-12-04	VYDAJ	VYBER	900	36797	\N	\N	\N
1035126	3539	1997-12-25	VYDAJ	VYBER	2900	34224	\N	\N	\N
1035127	3539	1998-12-27	VYDAJ	VYBER	2200	39664	\N	\N	\N
1035128	3539	1994-08-26	VYDAJ	VYBER	2400	18944	\N	\N	\N
1035131	3539	1994-09-22	VYDAJ	VYBER	600	58801	\N	\N	\N
1035134	3539	1994-09-05	VYDAJ	VYBER	2100	29876	\N	\N	\N
1035135	3539	1995-02-08	VYDAJ	VYBER	850	38817	\N	\N	\N
1035136	3539	1995-05-09	VYDAJ	VYBER	1400	28284	\N	\N	\N
1035137	3539	1995-08-17	VYDAJ	VYBER	1800	22139	\N	\N	\N
1035138	3539	1995-12-07	VYDAJ	VYBER	800	27996	\N	\N	\N
1035139	3539	1995-03-02	VYDAJ	VYBER	1150	39330	\N	\N	\N
1035140	3539	1995-05-19	VYDAJ	VYBER	300	29484	\N	\N	\N
1035141	3539	1995-01-02	VYDAJ	VYBER	2300	26555	\N	\N	\N
1035142	3539	1996-01-02	VYDAJ	VYBER	400	27002	\N	\N	\N
1035143	3539	1996-10-04	VYDAJ	VYBER	1550	32935	\N	\N	\N
1035144	3539	1996-08-14	VYDAJ	VYBER	350	38002	\N	\N	\N
1035145	3539	1996-02-28	VYDAJ	VYBER	400	28785	\N	\N	\N
1035146	3539	1996-03-01	VYDAJ	VYBER	250	26436	\N	\N	\N
1035147	3539	1997-05-10	VYDAJ	VYBER	1400	53407	\N	\N	\N
1035148	3539	1997-04-25	VYDAJ	VYBER	900	55512	\N	\N	\N
1035149	3539	1997-12-17	VYDAJ	VYBER	550	43624	\N	\N	\N
1035150	3539	1997-02-09	VYDAJ	VYBER	2000	48000	\N	\N	\N
1035151	3539	1997-04-29	VYDAJ	VYBER	950	54562	\N	\N	\N
1035152	3539	1997-03-20	VYDAJ	VYBER	1250	80176	\N	\N	\N
1035153	3539	1998-05-11	VYDAJ	VYBER	1850	37016	\N	\N	\N
1035154	3539	1998-10-14	VYDAJ	VYBER	1100	63597	\N	\N	\N
1035155	3539	1998-01-22	VYDAJ	VYBER	1950	77675	\N	\N	\N
1035156	3539	1998-08-24	VYDAJ	VYBER	1400	31967	\N	\N	\N
1035165	3539	1994-08-31	VYDAJ	VYBER	15	19005	SLUZBY	\N	\N
1035166	3539	1994-09-30	VYDAJ	VYBER	15	59000	SLUZBY	\N	\N
1035167	3539	1994-10-31	VYDAJ	VYBER	15	43292	SLUZBY	\N	\N
1035168	3539	1994-11-30	VYDAJ	VYBER	15	35038	SLUZBY	\N	\N
1035169	3539	1994-12-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
1035170	3539	1995-01-31	VYDAJ	VYBER	15	50467	SLUZBY	\N	\N
1035171	3539	1995-02-28	VYDAJ	VYBER	15	40480	SLUZBY	\N	\N
1035172	3539	1995-03-31	VYDAJ	VYBER	15	35162	SLUZBY	\N	\N
1035173	3539	1995-04-30	VYDAJ	VYBER	15	31284	SLUZBY	\N	\N
1035174	3539	1995-05-31	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
1035175	3539	1995-06-30	VYDAJ	VYBER	15	16266	SLUZBY	\N	\N
1035176	3539	1995-07-31	VYDAJ	VYBER	15	24039	SLUZBY	\N	\N
1035177	3539	1995-08-31	VYDAJ	VYBER	15	22220	SLUZBY	\N	\N
1035178	3539	1995-09-30	VYDAJ	VYBER	15	25204	SLUZBY	\N	\N
1035179	3539	1995-10-31	VYDAJ	VYBER	15	27700	SLUZBY	\N	\N
1035180	3539	1995-11-30	VYDAJ	VYBER	15	28796	SLUZBY	\N	\N
1035181	3539	1995-12-31	VYDAJ	VYBER	15	27402	SLUZBY	\N	\N
1035182	3539	1996-01-31	VYDAJ	VYBER	15	27185	SLUZBY	\N	\N
1035183	3539	1996-02-29	VYDAJ	VYBER	15	26686	SLUZBY	\N	\N
1035184	3539	1996-03-31	VYDAJ	VYBER	15	29337	SLUZBY	\N	\N
1035185	3539	1996-04-30	VYDAJ	VYBER	15	40308	SLUZBY	\N	\N
1035186	3539	1996-05-31	VYDAJ	VYBER	15	59039	SLUZBY	\N	\N
1035187	3539	1996-06-30	VYDAJ	VYBER	15	35517	SLUZBY	\N	\N
1035188	3539	1996-07-31	VYDAJ	VYBER	15	38352	SLUZBY	\N	\N
1035189	3539	1996-08-31	VYDAJ	VYBER	15	37347	SLUZBY	\N	\N
1035190	3539	1996-09-30	VYDAJ	VYBER	15	34485	SLUZBY	\N	\N
1035191	3539	1996-10-31	VYDAJ	VYBER	15	35164	SLUZBY	\N	\N
1035192	3539	1996-11-30	VYDAJ	VYBER	15	37697	SLUZBY	\N	\N
1035193	3539	1996-12-31	VYDAJ	VYBER	15	40643	SLUZBY	\N	\N
1035194	3539	1997-01-31	VYDAJ	VYBER	15	50000	SLUZBY	\N	\N
1035195	3539	1997-02-28	VYDAJ	VYBER	15	49091	SLUZBY	\N	\N
1035196	3539	1997-03-31	VYDAJ	VYBER	15	64812	SLUZBY	\N	\N
1035197	3539	1997-04-30	VYDAJ	VYBER	15	54807	SLUZBY	\N	\N
1035198	3539	1997-05-31	VYDAJ	VYBER	15	48212	SLUZBY	\N	\N
1035199	3539	1997-06-30	VYDAJ	VYBER	15	36481	SLUZBY	\N	\N
1035200	3539	1997-07-31	VYDAJ	VYBER	15	38220	SLUZBY	\N	\N
1035201	3539	1997-08-31	VYDAJ	VYBER	15	41469	SLUZBY	\N	\N
1035202	3539	1997-09-30	VYDAJ	VYBER	15	45732	SLUZBY	\N	\N
1035203	3539	1997-10-31	VYDAJ	VYBER	15	45306	SLUZBY	\N	\N
1035204	3539	1997-11-30	VYDAJ	VYBER	15	42674	SLUZBY	\N	\N
1035205	3539	1997-12-31	VYDAJ	VYBER	15	34374	SLUZBY	\N	\N
1035206	3539	1998-01-31	VYDAJ	VYBER	15	77854	SLUZBY	\N	\N
1035207	3539	1998-02-28	VYDAJ	VYBER	15	55522	SLUZBY	\N	\N
1035208	3539	1998-03-31	VYDAJ	VYBER	15	42313	SLUZBY	\N	\N
1035209	3539	1998-04-30	VYDAJ	VYBER	15	38866	SLUZBY	\N	\N
1035210	3539	1998-05-31	VYDAJ	VYBER	15	38861	SLUZBY	\N	\N
1035211	3539	1998-06-30	VYDAJ	VYBER	15	26072	SLUZBY	\N	\N
1035212	3539	1998-07-31	VYDAJ	VYBER	15	27767	SLUZBY	\N	\N
1035213	3539	1998-08-31	VYDAJ	VYBER	15	32076	SLUZBY	\N	\N
1035214	3539	1998-09-30	VYDAJ	VYBER	15	38205	SLUZBY	\N	\N
1035215	3539	1998-10-31	VYDAJ	VYBER	15	52875	SLUZBY	\N	\N
1035216	3539	1998-11-30	VYDAJ	VYBER	15	47564	SLUZBY	\N	\N
1035217	3539	1994-07-08	PRIJEM	VKLAD	10000	12406	\N	\N	\N
1035218	3539	1994-08-07	PRIJEM	VKLAD	4900	19344	\N	\N	\N
1035219	3539	1994-09-06	VYDAJ	VYBER	2500	27376	\N	\N	\N
1035220	3539	1994-10-06	VYDAJ	VYBER	17900	41100	\N	\N	\N
1035221	3539	1994-11-05	VYDAJ	VYBER	10400	32892	\N	\N	\N
1035222	3539	1994-12-05	VYDAJ	VYBER	6500	28538	\N	\N	\N
1035223	3539	1995-01-04	VYDAJ	VYBER	100	26455	\N	\N	\N
1035224	3539	1995-02-03	VYDAJ	VYBER	10800	39667	\N	\N	\N
1035225	3539	1995-03-05	VYDAJ	VYBER	5800	33530	\N	\N	\N
1035226	3539	1995-04-04	VYDAJ	VYBER	5500	29662	\N	\N	\N
1035227	3539	1995-05-04	VYDAJ	VYBER	1600	29684	\N	\N	\N
1035228	3539	1995-06-03	VYDAJ	VYBER	1100	28493	\N	\N	\N
1035229	3539	1995-07-03	PRIJEM	VKLAD	6200	22466	\N	\N	\N
1035230	3539	1995-08-02	VYDAJ	VYBER	1600	22439	\N	\N	\N
1035231	3539	1995-09-01	PRIJEM	VKLAD	1400	23620	\N	\N	\N
1035232	3539	1995-10-01	PRIJEM	VKLAD	900	26104	\N	\N	\N
1035233	3539	1995-10-31	VYDAJ	VYBER	1000	26700	\N	\N	\N
1035234	3539	1995-11-30	PRIJEM	VKLAD	500	28811	\N	\N	\N
1035235	3539	1995-12-30	VYDAJ	VYBER	1600	27296	\N	\N	\N
1035236	3539	1996-01-29	PRIJEM	VKLAD	6400	27102	\N	\N	\N
1035237	3539	1996-02-28	VYDAJ	VYBER	2200	26585	\N	\N	\N
1035238	3539	1996-03-29	PRIJEM	VKLAD	800	29236	\N	\N	\N
1035239	3539	1996-04-28	VYDAJ	VYBER	3100	40194	\N	\N	\N
1035240	3539	1996-05-28	VYDAJ	VYBER	23300	58841	\N	\N	\N
1035241	3539	1996-06-27	VYDAJ	VYBER	2300	35339	\N	\N	\N
1035242	3539	1996-07-27	PRIJEM	VKLAD	1200	38217	\N	\N	\N
1035243	3539	1996-08-26	VYDAJ	VYBER	2300	37202	\N	\N	\N
1035244	3539	1996-09-25	VYDAJ	VYBER	4500	34347	\N	\N	\N
1035245	3539	1996-10-25	PRIJEM	VKLAD	600	35035	\N	\N	\N
1035246	3539	1996-11-24	PRIJEM	VKLAD	900	37564	\N	\N	\N
1035247	3539	1996-12-24	PRIJEM	VKLAD	2200	40497	\N	\N	\N
1035248	3539	1997-01-23	VYDAJ	VYBER	7300	49807	\N	\N	\N
1035249	3539	1997-02-22	VYDAJ	VYBER	1100	48900	\N	\N	\N
1035250	3539	1997-03-24	VYDAJ	VYBER	15600	64576	\N	\N	\N
1035251	3539	1997-04-23	VYDAJ	VYBER	10400	56412	\N	\N	\N
1035252	3539	1997-05-23	VYDAJ	VYBER	7400	48007	\N	\N	\N
1035253	3539	1997-06-22	VYDAJ	VYBER	1800	36312	\N	\N	\N
1035254	3539	1997-07-22	VYDAJ	VYBER	400	38081	\N	\N	\N
1035255	3539	1997-08-21	PRIJEM	VKLAD	1100	41320	\N	\N	\N
1035256	3539	1997-09-20	PRIJEM	VKLAD	2100	45569	\N	\N	\N
1035257	3539	1997-10-20	VYDAJ	VYBER	2600	45132	\N	\N	\N
1035258	3539	1997-11-19	VYDAJ	VYBER	4800	42506	\N	\N	\N
1035259	3539	1997-12-19	VYDAJ	VYBER	7000	37124	\N	\N	\N
1035260	3539	1998-01-18	PRIJEM	VKLAD	8400	30974	\N	\N	\N
1035261	3539	1998-02-17	VYDAJ	VYBER	24600	54754	\N	\N	\N
1035262	3539	1998-03-19	VYDAJ	VYBER	15400	42122	\N	\N	\N
1035263	3539	1998-04-18	VYDAJ	VYBER	5600	38713	\N	\N	\N
1035264	3539	1998-05-18	VYDAJ	VYBER	300	38716	\N	\N	\N
1035265	3539	1998-06-17	PRIJEM	VKLAD	6400	25461	\N	\N	\N
1035266	3539	1998-07-17	PRIJEM	VKLAD	100	27672	\N	\N	\N
1035267	3539	1998-08-16	PRIJEM	VKLAD	4100	33367	\N	\N	\N
1035268	3539	1998-09-15	PRIJEM	VKLAD	4500	36576	\N	\N	\N
1035269	3539	1998-10-15	VYDAJ	VYBER	12400	51197	\N	\N	\N
1035270	3539	1998-11-14	VYDAJ	VYBER	7000	47375	\N	\N	\N
1035271	3539	1998-12-14	VYDAJ	VYBER	7200	40364	\N	\N	\N
1035327	3540	1997-01-03	PRIJEM	VKLAD	600	600	\N	\N	\N
1035328	3540	1997-01-12	PRIJEM	PREVOD Z UCTU	3848	4448	\N	YZ	42804521
1035329	3540	1997-02-12	PRIJEM	PREVOD Z UCTU	3848	16408	\N	YZ	42804521
1035330	3540	1997-03-12	PRIJEM	PREVOD Z UCTU	3848	26105	\N	YZ	42804521
1035331	3540	1997-04-12	PRIJEM	PREVOD Z UCTU	3848	32247	\N	YZ	42804521
1035332	3540	1997-05-12	PRIJEM	PREVOD Z UCTU	3848	34420	\N	YZ	42804521
1035333	3540	1997-06-12	PRIJEM	PREVOD Z UCTU	3848	29109	\N	YZ	42804521
1035334	3540	1997-07-12	PRIJEM	PREVOD Z UCTU	3848	27636	\N	YZ	42804521
1035335	3540	1997-08-12	PRIJEM	PREVOD Z UCTU	3848	29580	\N	YZ	42804521
1035336	3540	1997-09-12	PRIJEM	PREVOD Z UCTU	3848	29068	\N	YZ	42804521
1035337	3540	1997-10-12	PRIJEM	PREVOD Z UCTU	3848	27058	\N	YZ	42804521
1035338	3540	1997-11-12	PRIJEM	PREVOD Z UCTU	3848	28837	\N	YZ	42804521
1035339	3540	1997-12-12	PRIJEM	PREVOD Z UCTU	3848	33525	\N	YZ	42804521
1035340	3540	1998-01-12	PRIJEM	PREVOD Z UCTU	3848	32210	\N	YZ	42804521
1035341	3540	1998-02-12	PRIJEM	PREVOD Z UCTU	3848	37414	\N	YZ	42804521
1035342	3540	1998-03-12	PRIJEM	PREVOD Z UCTU	3848	35935	\N	YZ	42804521
1035343	3540	1998-04-12	PRIJEM	PREVOD Z UCTU	3848	37900	\N	YZ	42804521
1035344	3540	1998-05-12	PRIJEM	PREVOD Z UCTU	3848	42925	\N	YZ	42804521
1035345	3540	1998-06-12	PRIJEM	PREVOD Z UCTU	3848	42158	\N	YZ	42804521
1035346	3540	1998-07-12	PRIJEM	PREVOD Z UCTU	3848	40038	\N	YZ	42804521
1035347	3540	1998-08-12	PRIJEM	PREVOD Z UCTU	3848	44073	\N	YZ	42804521
1035348	3540	1998-09-12	PRIJEM	PREVOD Z UCTU	3848	38178	\N	YZ	42804521
1035349	3540	1998-10-12	PRIJEM	PREVOD Z UCTU	3848	39303	\N	YZ	42804521
1035350	3540	1998-11-12	PRIJEM	PREVOD Z UCTU	3848	41633	\N	YZ	42804521
1035351	3540	1998-12-12	PRIJEM	PREVOD Z UCTU	3848	42973	\N	YZ	42804521
1035357	3540	1997-06-09	VYDAJ	PREVOD NA UCET	2565	25261	SIPO	UV	51321852
1035358	3540	1997-07-09	VYDAJ	PREVOD NA UCET	2565	25048	SIPO	UV	51321852
1035359	3540	1997-08-09	VYDAJ	PREVOD NA UCET	2565	25732	SIPO	UV	51321852
1035360	3540	1997-09-09	VYDAJ	PREVOD NA UCET	2565	25220	SIPO	UV	51321852
1035361	3540	1997-10-09	VYDAJ	PREVOD NA UCET	2565	23210	SIPO	UV	51321852
1035362	3540	1997-11-09	VYDAJ	PREVOD NA UCET	2565	24989	SIPO	UV	51321852
1035363	3540	1997-12-09	VYDAJ	PREVOD NA UCET	2565	29677	SIPO	UV	51321852
1035364	3540	1998-01-09	VYDAJ	PREVOD NA UCET	2565	28362	SIPO	UV	51321852
1035365	3540	1998-02-09	VYDAJ	PREVOD NA UCET	2565	33566	SIPO	UV	51321852
1035366	3540	1998-03-09	VYDAJ	PREVOD NA UCET	2565	32087	SIPO	UV	51321852
1035367	3540	1998-04-09	VYDAJ	PREVOD NA UCET	2565	34052	SIPO	UV	51321852
1035368	3540	1998-05-09	VYDAJ	PREVOD NA UCET	2565	39077	SIPO	UV	51321852
1035369	3540	1998-06-09	VYDAJ	PREVOD NA UCET	2565	38310	SIPO	UV	51321852
1035370	3540	1998-07-09	VYDAJ	PREVOD NA UCET	2565	36190	SIPO	UV	51321852
1035371	3540	1998-08-09	VYDAJ	PREVOD NA UCET	2565	40225	SIPO	UV	51321852
1035372	3540	1998-09-09	VYDAJ	PREVOD NA UCET	2565	34330	SIPO	UV	51321852
1035373	3540	1998-10-09	VYDAJ	PREVOD NA UCET	2565	35455	SIPO	UV	51321852
1035374	3540	1998-11-09	VYDAJ	PREVOD NA UCET	2565	37785	SIPO	UV	51321852
1035375	3540	1998-12-09	VYDAJ	PREVOD NA UCET	2565	39125	SIPO	UV	51321852
1035376	3540	1997-06-01	VYDAJ	VYBER	1920	32626	\N	\N	\N
1035377	3540	1998-06-26	VYDAJ	VYBER	1920	40238	\N	\N	\N
1035379	3540	1998-01-04	VYDAJ	VYBER	2190	30927	\N	\N	\N
1035380	3540	1997-12-17	VYDAJ	VYBER	330	33195	\N	\N	\N
1035381	3540	1998-12-20	VYDAJ	VYBER	570	42403	\N	\N	\N
1035382	3540	1997-07-17	VYDAJ	VYBER	240	27396	\N	\N	\N
1035384	3540	1997-07-09	VYDAJ	VYBER	1260	23788	\N	\N	\N
1035387	3540	1998-05-22	VYDAJ	VYBER	1410	41515	\N	\N	\N
1035388	3540	1998-09-06	VYDAJ	VYBER	540	36895	\N	\N	\N
1035389	3540	1998-09-22	VYDAJ	VYBER	900	37278	\N	\N	\N
1035390	3540	1998-09-01	VYDAJ	VYBER	1200	37435	\N	\N	\N
1035391	3540	1998-03-16	VYDAJ	VYBER	1050	34885	\N	\N	\N
1035392	3540	1998-06-29	VYDAJ	VYBER	240	38598	\N	\N	\N
1035398	3540	1997-05-31	VYDAJ	VYBER	15	34546	SLUZBY	\N	\N
1035399	3540	1997-06-30	VYDAJ	VYBER	15	29213	SLUZBY	\N	\N
1035400	3540	1997-07-31	VYDAJ	VYBER	15	27497	SLUZBY	\N	\N
1035401	3540	1997-08-31	VYDAJ	VYBER	15	29685	SLUZBY	\N	\N
1035402	3540	1997-09-30	VYDAJ	VYBER	15	29175	SLUZBY	\N	\N
1035403	3540	1997-10-31	VYDAJ	VYBER	15	27554	SLUZBY	\N	\N
1035404	3540	1997-11-30	VYDAJ	VYBER	15	32242	SLUZBY	\N	\N
1035405	3540	1997-12-31	VYDAJ	VYBER	15	33117	SLUZBY	\N	\N
1035406	3540	1998-01-31	VYDAJ	VYBER	15	36131	SLUZBY	\N	\N
1035407	3540	1998-02-28	VYDAJ	VYBER	15	34652	SLUZBY	\N	\N
1035408	3540	1998-03-31	VYDAJ	VYBER	15	36617	SLUZBY	\N	\N
1035409	3540	1998-04-30	VYDAJ	VYBER	15	41642	SLUZBY	\N	\N
1035410	3540	1998-05-31	VYDAJ	VYBER	15	40875	SLUZBY	\N	\N
1035411	3540	1998-06-30	VYDAJ	VYBER	15	38755	SLUZBY	\N	\N
1035412	3540	1998-07-31	VYDAJ	VYBER	15	42790	SLUZBY	\N	\N
1035413	3540	1998-08-31	VYDAJ	VYBER	15	38635	SLUZBY	\N	\N
1035414	3540	1998-09-30	VYDAJ	VYBER	15	38020	SLUZBY	\N	\N
1035415	3540	1998-10-31	VYDAJ	VYBER	15	40350	SLUZBY	\N	\N
1035416	3540	1998-11-30	VYDAJ	VYBER	15	41690	SLUZBY	\N	\N
1035417	3540	1997-02-02	PRIJEM	VKLAD	8100	12560	\N	\N	\N
1035418	3540	1997-03-04	PRIJEM	VKLAD	5800	22257	\N	\N	\N
1035419	3540	1997-04-03	PRIJEM	VKLAD	2200	28399	\N	\N	\N
1035420	3540	1997-05-03	VYDAJ	VYBER	1800	30572	\N	\N	\N
1035421	3540	1997-06-02	VYDAJ	VYBER	4800	27826	\N	\N	\N
1035422	3540	1997-07-02	VYDAJ	VYBER	1600	27613	\N	\N	\N
1035423	3540	1997-08-01	PRIJEM	VKLAD	800	28297	\N	\N	\N
1035424	3540	1997-08-31	VYDAJ	VYBER	1900	27785	\N	\N	\N
1035425	3540	1997-09-30	VYDAJ	VYBER	3400	25775	\N	\N	\N
1035426	3540	1997-10-30	PRIJEM	VKLAD	400	27458	\N	\N	\N
1035427	3540	1997-11-29	PRIJEM	VKLAD	3300	32137	\N	\N	\N
1035428	3540	1997-12-29	VYDAJ	VYBER	200	32995	\N	\N	\N
1035429	3540	1998-01-28	PRIJEM	VKLAD	3800	36010	\N	\N	\N
1035430	3540	1998-02-27	VYDAJ	VYBER	2900	34514	\N	\N	\N
1035431	3540	1998-03-29	PRIJEM	VKLAD	1600	36485	\N	\N	\N
1035432	3540	1998-04-28	PRIJEM	VKLAD	3600	41500	\N	\N	\N
1035433	3540	1998-05-28	VYDAJ	VYBER	800	40715	\N	\N	\N
1035434	3540	1998-06-27	VYDAJ	VYBER	1400	38838	\N	\N	\N
1035435	3540	1998-07-27	PRIJEM	VKLAD	2600	42638	\N	\N	\N
1035436	3540	1998-08-26	VYDAJ	VYBER	5600	38473	\N	\N	\N
1035437	3540	1998-09-25	PRIJEM	VKLAD	600	37878	\N	\N	\N
1035438	3540	1998-10-25	PRIJEM	VKLAD	900	40203	\N	\N	\N
1035439	3540	1998-11-24	VYDAJ	VYBER	100	41533	\N	\N	\N
1035464	3541	1997-03-02	PRIJEM	VKLAD	400	400	\N	\N	\N
1035467	3541	1997-03-13	PRIJEM	PREVOD Z UCTU	5485	5885	DUCHOD	OP	84314924
1035468	3541	1997-04-13	PRIJEM	PREVOD Z UCTU	5485	11385	DUCHOD	OP	84314924
1035469	3541	1997-05-13	PRIJEM	PREVOD Z UCTU	5485	16895	DUCHOD	OP	84314924
1035470	3541	1997-06-13	PRIJEM	PREVOD Z UCTU	5485	22404	DUCHOD	OP	84314924
1035471	3541	1997-07-13	PRIJEM	PREVOD Z UCTU	5485	27216	DUCHOD	OP	84314924
1035472	3541	1997-08-13	PRIJEM	PREVOD Z UCTU	5485	28252	DUCHOD	OP	84314924
1035473	3541	1997-09-13	PRIJEM	PREVOD Z UCTU	5485	24040	DUCHOD	OP	84314924
1035474	3541	1997-10-13	PRIJEM	PREVOD Z UCTU	5485	22628	DUCHOD	OP	84314924
1035475	3541	1997-11-13	PRIJEM	PREVOD Z UCTU	5485	26495	DUCHOD	OP	84314924
1035476	3541	1997-12-13	PRIJEM	PREVOD Z UCTU	5485	22216	DUCHOD	OP	84314924
1035477	3541	1998-01-13	PRIJEM	PREVOD Z UCTU	5485	21964	DUCHOD	OP	84314924
1035478	3541	1998-02-13	PRIJEM	PREVOD Z UCTU	5485	16627	DUCHOD	OP	84314924
1035479	3541	1998-03-13	PRIJEM	PREVOD Z UCTU	5485	20474	DUCHOD	OP	84314924
1035480	3541	1998-04-13	PRIJEM	PREVOD Z UCTU	5485	24333	DUCHOD	OP	84314924
1035481	3541	1998-05-13	PRIJEM	PREVOD Z UCTU	5485	24438	DUCHOD	OP	84314924
1035482	3541	1998-06-13	PRIJEM	PREVOD Z UCTU	5485	26390	DUCHOD	OP	84314924
1035483	3541	1998-07-13	PRIJEM	PREVOD Z UCTU	5485	30273	DUCHOD	OP	84314924
1035484	3541	1998-08-13	PRIJEM	PREVOD Z UCTU	5485	34173	DUCHOD	OP	84314924
1035485	3541	1998-09-13	PRIJEM	PREVOD Z UCTU	5485	37888	DUCHOD	OP	84314924
1035486	3541	1998-10-13	PRIJEM	PREVOD Z UCTU	5485	36813	DUCHOD	OP	84314924
1035487	3541	1998-11-13	PRIJEM	PREVOD Z UCTU	5485	36134	DUCHOD	OP	84314924
1035488	3541	1998-12-13	PRIJEM	PREVOD Z UCTU	5485	33049	DUCHOD	OP	84314924
1035496	3541	1997-08-11	VYDAJ	PREVOD NA UCET	1691	22767	SIPO	OP	69823670
1035497	3541	1997-09-11	VYDAJ	PREVOD NA UCET	1691	18555	SIPO	OP	69823670
1035498	3541	1997-10-11	VYDAJ	PREVOD NA UCET	1691	17143	SIPO	OP	69823670
1035499	3541	1997-11-11	VYDAJ	PREVOD NA UCET	1691	21010	SIPO	OP	69823670
1035500	3541	1997-12-11	VYDAJ	PREVOD NA UCET	1691	16731	SIPO	OP	69823670
1035501	3541	1998-01-11	VYDAJ	PREVOD NA UCET	1691	16479	SIPO	OP	69823670
1035502	3541	1998-02-11	VYDAJ	PREVOD NA UCET	1691	11142	SIPO	OP	69823670
1035503	3541	1998-03-11	VYDAJ	PREVOD NA UCET	1691	14989	SIPO	OP	69823670
1035504	3541	1998-04-11	VYDAJ	PREVOD NA UCET	1691	18848	SIPO	OP	69823670
1035505	3541	1998-05-11	VYDAJ	PREVOD NA UCET	1691	18953	SIPO	OP	69823670
1035506	3541	1998-06-11	VYDAJ	PREVOD NA UCET	1691	20905	SIPO	OP	69823670
1035507	3541	1998-07-11	VYDAJ	PREVOD NA UCET	1691	24788	SIPO	OP	69823670
1035508	3541	1998-08-11	VYDAJ	PREVOD NA UCET	1691	28688	SIPO	OP	69823670
1035509	3541	1998-09-11	VYDAJ	PREVOD NA UCET	1691	32403	SIPO	OP	69823670
1035510	3541	1998-10-11	VYDAJ	PREVOD NA UCET	1691	31328	SIPO	OP	69823670
1035511	3541	1998-11-11	VYDAJ	PREVOD NA UCET	1691	30649	SIPO	OP	69823670
1035512	3541	1998-12-11	VYDAJ	PREVOD NA UCET	1691	27564	SIPO	OP	69823670
1035513	3541	1997-12-26	VYDAJ	VYBER	1000	21216	\N	\N	\N
1035514	3541	1998-12-15	VYDAJ	VYBER	950	32099	\N	\N	\N
1035521	3541	1998-01-29	VYDAJ	VYBER	2080	16524	\N	\N	\N
1035522	3541	1998-01-06	VYDAJ	VYBER	480	19130	\N	\N	\N
1035523	3541	1998-01-08	VYDAJ	VYBER	960	18170	\N	\N	\N
1035524	3541	1998-01-03	VYDAJ	VYBER	1680	19610	\N	\N	\N
1035525	3541	1998-01-27	VYDAJ	VYBER	1440	18604	\N	\N	\N
1035526	3541	1998-01-26	VYDAJ	VYBER	1920	20044	\N	\N	\N
1035527	3541	1997-12-06	VYDAJ	VYBER	2960	18422	\N	\N	\N
1035528	3541	1997-07-15	VYDAJ	VYBER	2640	24576	\N	\N	\N
1035529	3541	1997-09-13	VYDAJ	VYBER	1680	22360	\N	\N	\N
1035532	3541	1998-05-20	VYDAJ	VYBER	1920	22518	\N	\N	\N
1035533	3541	1998-04-14	VYDAJ	VYBER	3760	20573	\N	\N	\N
1035534	3541	1998-02-07	VYDAJ	VYBER	3760	12833	\N	\N	\N
1035542	3541	1997-07-31	VYDAJ	VYBER	15	24458	SLUZBY	\N	\N
1035543	3541	1997-08-31	VYDAJ	VYBER	15	20246	SLUZBY	\N	\N
1035544	3541	1997-09-30	VYDAJ	VYBER	15	18834	SLUZBY	\N	\N
1035545	3541	1997-10-31	VYDAJ	VYBER	15	22701	SLUZBY	\N	\N
1035546	3541	1997-11-30	VYDAJ	VYBER	15	21382	SLUZBY	\N	\N
1035547	3541	1997-12-31	VYDAJ	VYBER	15	21290	SLUZBY	\N	\N
1035548	3541	1998-01-31	VYDAJ	VYBER	15	16593	SLUZBY	\N	\N
1035549	3541	1998-02-28	VYDAJ	VYBER	15	16680	SLUZBY	\N	\N
1035550	3541	1998-03-31	VYDAJ	VYBER	15	20539	SLUZBY	\N	\N
1035551	3541	1998-04-30	VYDAJ	VYBER	15	20644	SLUZBY	\N	\N
1035552	3541	1998-05-31	VYDAJ	VYBER	15	22596	SLUZBY	\N	\N
1035553	3541	1998-06-30	VYDAJ	VYBER	15	26479	SLUZBY	\N	\N
1035554	3541	1998-07-31	VYDAJ	VYBER	15	30379	SLUZBY	\N	\N
1035555	3541	1998-08-31	VYDAJ	VYBER	15	34094	SLUZBY	\N	\N
1035556	3541	1998-09-30	VYDAJ	VYBER	15	33019	SLUZBY	\N	\N
1035557	3541	1998-10-31	VYDAJ	VYBER	15	32340	SLUZBY	\N	\N
1035558	3541	1998-11-30	VYDAJ	VYBER	15	29255	SLUZBY	\N	\N
1035559	3541	1997-06-30	VYDAJ	VYBER	700	21731	\N	\N	\N
1035560	3541	1997-07-30	VYDAJ	VYBER	200	24376	\N	\N	\N
1035561	3541	1997-08-29	VYDAJ	VYBER	8100	20152	\N	\N	\N
1035562	3541	1997-09-28	VYDAJ	VYBER	3600	18760	\N	\N	\N
1035563	3541	1997-11-27	VYDAJ	VYBER	5200	21295	\N	\N	\N
1035564	3541	1998-08-24	VYDAJ	VYBER	200	33973	\N	\N	\N
1035565	3541	1998-09-23	VYDAJ	VYBER	5000	32888	\N	\N	\N
1035566	3541	1998-10-23	VYDAJ	VYBER	4600	32213	\N	\N	\N
1035567	3541	1998-11-22	VYDAJ	VYBER	7000	29134	\N	\N	\N
1035590	3542	1993-06-11	PRIJEM	VKLAD	600	600	\N	\N	\N
1035596	3542	1993-06-13	PRIJEM	PREVOD Z UCTU	3401	4001	\N	WX	78724664
1035597	3542	1993-07-13	PRIJEM	PREVOD Z UCTU	3401	7412	\N	WX	78724664
1035598	3542	1993-08-13	PRIJEM	PREVOD Z UCTU	3401	10830	\N	WX	78724664
1035599	3542	1993-09-13	PRIJEM	PREVOD Z UCTU	3401	14247	\N	WX	78724664
1035600	3542	1993-10-13	PRIJEM	PREVOD Z UCTU	3401	17665	\N	WX	78724664
1035601	3542	1993-11-13	PRIJEM	PREVOD Z UCTU	3401	18803	\N	WX	78724664
1035602	3542	1993-12-13	PRIJEM	PREVOD Z UCTU	3401	19159	\N	WX	78724664
1035603	3542	1994-01-13	PRIJEM	PREVOD Z UCTU	3401	18735	\N	WX	78724664
1035604	3542	1994-02-13	PRIJEM	PREVOD Z UCTU	3401	17978	\N	WX	78724664
1035605	3542	1994-03-13	PRIJEM	PREVOD Z UCTU	3401	19170	\N	WX	78724664
1035606	3542	1994-04-13	PRIJEM	PREVOD Z UCTU	3401	20367	\N	WX	78724664
1035607	3542	1994-05-13	PRIJEM	PREVOD Z UCTU	3401	21570	\N	WX	78724664
1035608	3542	1994-06-13	PRIJEM	PREVOD Z UCTU	3401	22777	\N	WX	78724664
1035609	3542	1994-07-13	PRIJEM	PREVOD Z UCTU	3401	17985	\N	WX	78724664
1035610	3542	1994-08-13	PRIJEM	PREVOD Z UCTU	3401	19178	\N	WX	78724664
1035611	3542	1994-09-13	PRIJEM	PREVOD Z UCTU	3401	20375	\N	WX	78724664
1035612	3542	1994-10-13	PRIJEM	PREVOD Z UCTU	3401	19897	\N	WX	78724664
1035613	3542	1994-11-13	PRIJEM	PREVOD Z UCTU	3401	21096	\N	WX	78724664
1035614	3542	1994-12-13	PRIJEM	PREVOD Z UCTU	3401	20710	\N	WX	78724664
1035615	3542	1995-01-13	PRIJEM	PREVOD Z UCTU	3401	18913	\N	WX	78724664
1035616	3542	1995-02-13	PRIJEM	PREVOD Z UCTU	3401	19480	\N	WX	78724664
1035617	3542	1995-03-13	PRIJEM	PREVOD Z UCTU	3401	20678	\N	WX	78724664
1035618	3542	1995-04-13	PRIJEM	PREVOD Z UCTU	3401	21881	\N	WX	78724664
1035619	3542	1995-05-13	PRIJEM	PREVOD Z UCTU	3401	22699	\N	WX	78724664
1035620	3542	1995-06-13	PRIJEM	PREVOD Z UCTU	3401	17249	\N	WX	78724664
1035621	3542	1995-07-13	PRIJEM	PREVOD Z UCTU	3401	18442	\N	WX	78724664
1035622	3542	1995-08-13	PRIJEM	PREVOD Z UCTU	3401	19636	\N	WX	78724664
1035623	3542	1995-09-13	PRIJEM	PREVOD Z UCTU	3401	20145	\N	WX	78724664
1035624	3542	1995-10-13	PRIJEM	PREVOD Z UCTU	3401	21345	\N	WX	78724664
1035625	3542	1995-11-13	PRIJEM	PREVOD Z UCTU	3401	22551	\N	WX	78724664
1035626	3542	1995-12-13	PRIJEM	PREVOD Z UCTU	3401	21632	\N	WX	78724664
1035627	3542	1996-01-13	PRIJEM	PREVOD Z UCTU	3401	21367	\N	WX	78724664
1035628	3542	1996-02-13	PRIJEM	PREVOD Z UCTU	3401	19419	\N	WX	78724664
1035629	3542	1996-03-13	PRIJEM	PREVOD Z UCTU	3401	19444	\N	WX	78724664
1035630	3542	1996-04-13	PRIJEM	PREVOD Z UCTU	3401	20642	\N	WX	78724664
1035631	3542	1996-05-13	PRIJEM	PREVOD Z UCTU	3401	21845	\N	WX	78724664
1035632	3542	1996-06-13	PRIJEM	PREVOD Z UCTU	3401	21943	\N	WX	78724664
1035633	3542	1996-07-13	PRIJEM	PREVOD Z UCTU	3401	20355	\N	WX	78724664
1035634	3542	1996-08-13	PRIJEM	PREVOD Z UCTU	3401	20537	\N	WX	78724664
1035635	3542	1996-09-13	PRIJEM	PREVOD Z UCTU	3401	21739	\N	WX	78724664
1035636	3542	1996-10-13	PRIJEM	PREVOD Z UCTU	3401	22946	\N	WX	78724664
1035637	3542	1996-11-13	PRIJEM	PREVOD Z UCTU	3401	24159	\N	WX	78724664
1035638	3542	1996-12-13	PRIJEM	PREVOD Z UCTU	3401	25376	\N	WX	78724664
1035639	3542	1997-01-13	PRIJEM	PREVOD Z UCTU	3401	25368	\N	WX	78724664
1035640	3542	1997-02-13	PRIJEM	PREVOD Z UCTU	3401	24936	\N	WX	78724664
1035641	3542	1997-03-13	PRIJEM	PREVOD Z UCTU	3401	26156	\N	WX	78724664
1035642	3542	1997-04-13	PRIJEM	PREVOD Z UCTU	3401	26662	\N	WX	78724664
1035643	3542	1997-05-13	PRIJEM	PREVOD Z UCTU	3401	26389	\N	WX	78724664
1035835	3542	1995-02-28	VYDAJ	VYBER	15	19544	SLUZBY	\N	\N
1035644	3542	1997-06-13	PRIJEM	PREVOD Z UCTU	3401	26863	\N	WX	78724664
1035645	3542	1997-07-13	PRIJEM	PREVOD Z UCTU	3401	24608	\N	WX	78724664
1035646	3542	1997-08-13	PRIJEM	PREVOD Z UCTU	3401	25826	\N	WX	78724664
1035647	3542	1997-09-13	PRIJEM	PREVOD Z UCTU	3401	27050	\N	WX	78724664
1035648	3542	1997-10-13	PRIJEM	PREVOD Z UCTU	3401	27828	\N	WX	78724664
1035649	3542	1997-11-13	PRIJEM	PREVOD Z UCTU	3401	29060	\N	WX	78724664
1035650	3542	1997-12-13	PRIJEM	PREVOD Z UCTU	3401	30297	\N	WX	78724664
1035651	3542	1998-01-13	PRIJEM	PREVOD Z UCTU	3401	29379	\N	WX	78724664
1035652	3542	1998-02-13	PRIJEM	PREVOD Z UCTU	3401	29055	\N	WX	78724664
1035653	3542	1998-03-13	PRIJEM	PREVOD Z UCTU	3401	30291	\N	WX	78724664
1035654	3542	1998-04-13	PRIJEM	PREVOD Z UCTU	3401	31533	\N	WX	78724664
1035655	3542	1998-05-13	PRIJEM	PREVOD Z UCTU	3401	32780	\N	WX	78724664
1035656	3542	1998-06-13	PRIJEM	PREVOD Z UCTU	3401	28812	\N	WX	78724664
1035657	3542	1998-07-13	PRIJEM	PREVOD Z UCTU	3401	28878	\N	WX	78724664
1035658	3542	1998-08-13	PRIJEM	PREVOD Z UCTU	3401	29182	\N	WX	78724664
1035659	3542	1998-09-13	PRIJEM	PREVOD Z UCTU	3401	30419	\N	WX	78724664
1035660	3542	1998-10-13	PRIJEM	PREVOD Z UCTU	3401	31661	\N	WX	78724664
1035661	3542	1998-11-13	PRIJEM	PREVOD Z UCTU	3401	32908	\N	WX	78724664
1035662	3542	1998-12-13	PRIJEM	PREVOD Z UCTU	3401	34160	\N	WX	78724664
1035673	3542	1993-11-08	VYDAJ	PREVOD NA UCET	2267	15402	\N	ST	15109885
1035674	3542	1993-12-08	VYDAJ	PREVOD NA UCET	2267	15758	\N	ST	15109885
1035675	3542	1994-01-08	VYDAJ	PREVOD NA UCET	2267	15484	\N	ST	15109885
1035676	3542	1994-02-08	VYDAJ	PREVOD NA UCET	2267	14577	\N	ST	15109885
1035677	3542	1994-03-08	VYDAJ	PREVOD NA UCET	2267	15769	\N	ST	15109885
1035678	3542	1994-04-08	VYDAJ	PREVOD NA UCET	2267	16966	\N	ST	15109885
1035679	3542	1994-05-08	VYDAJ	PREVOD NA UCET	2267	18169	\N	ST	15109885
1035680	3542	1994-06-08	VYDAJ	PREVOD NA UCET	2267	19376	\N	ST	15109885
1035681	3542	1994-07-08	VYDAJ	PREVOD NA UCET	2267	14584	\N	ST	15109885
1035682	3542	1994-08-08	VYDAJ	PREVOD NA UCET	2267	15777	\N	ST	15109885
1035683	3542	1994-09-08	VYDAJ	PREVOD NA UCET	2267	16974	\N	ST	15109885
1035684	3542	1994-10-08	VYDAJ	PREVOD NA UCET	2267	16496	\N	ST	15109885
1035685	3542	1994-11-08	VYDAJ	PREVOD NA UCET	2267	17695	\N	ST	15109885
1035686	3542	1994-12-08	VYDAJ	PREVOD NA UCET	2267	17309	\N	ST	15109885
1035687	3542	1995-01-08	VYDAJ	PREVOD NA UCET	2267	16472	\N	ST	15109885
1035688	3542	1995-02-08	VYDAJ	PREVOD NA UCET	2267	16079	\N	ST	15109885
1035689	3542	1995-03-08	VYDAJ	PREVOD NA UCET	2267	17277	\N	ST	15109885
1035690	3542	1995-04-08	VYDAJ	PREVOD NA UCET	2267	18480	\N	ST	15109885
1035691	3542	1995-05-08	VYDAJ	PREVOD NA UCET	2267	19298	\N	ST	15109885
1035692	3542	1995-06-08	VYDAJ	PREVOD NA UCET	2267	13848	\N	ST	15109885
1035693	3542	1995-07-08	VYDAJ	PREVOD NA UCET	2267	15041	\N	ST	15109885
1035694	3542	1995-08-08	VYDAJ	PREVOD NA UCET	2267	16235	\N	ST	15109885
1035695	3542	1995-09-08	VYDAJ	PREVOD NA UCET	2267	16744	\N	ST	15109885
1035696	3542	1995-10-08	VYDAJ	PREVOD NA UCET	2267	17944	\N	ST	15109885
1035697	3542	1995-11-08	VYDAJ	PREVOD NA UCET	2267	19150	\N	ST	15109885
1035698	3542	1995-12-08	VYDAJ	PREVOD NA UCET	2267	18231	\N	ST	15109885
1035699	3542	1996-01-08	VYDAJ	PREVOD NA UCET	2267	17966	\N	ST	15109885
1035700	3542	1996-02-08	VYDAJ	PREVOD NA UCET	2267	16018	\N	ST	15109885
1035701	3542	1996-03-08	VYDAJ	PREVOD NA UCET	2267	16043	\N	ST	15109885
1035702	3542	1996-04-08	VYDAJ	PREVOD NA UCET	2267	17241	\N	ST	15109885
1035703	3542	1996-05-08	VYDAJ	PREVOD NA UCET	2267	18444	\N	ST	15109885
1035704	3542	1996-06-08	VYDAJ	PREVOD NA UCET	2267	18542	\N	ST	15109885
1035705	3542	1996-07-08	VYDAJ	PREVOD NA UCET	2267	16954	\N	ST	15109885
1035706	3542	1996-08-08	VYDAJ	PREVOD NA UCET	2267	17136	\N	ST	15109885
1035707	3542	1996-09-08	VYDAJ	PREVOD NA UCET	2267	18338	\N	ST	15109885
1035708	3542	1996-10-08	VYDAJ	PREVOD NA UCET	2267	19545	\N	ST	15109885
1035709	3542	1996-11-08	VYDAJ	PREVOD NA UCET	2267	20758	\N	ST	15109885
1035710	3542	1996-12-08	VYDAJ	PREVOD NA UCET	2267	21975	\N	ST	15109885
1035711	3542	1997-01-08	VYDAJ	PREVOD NA UCET	2267	22357	\N	ST	15109885
1035712	3542	1997-02-08	VYDAJ	PREVOD NA UCET	2267	21535	\N	ST	15109885
1035713	3542	1997-03-08	VYDAJ	PREVOD NA UCET	2267	22755	\N	ST	15109885
1035714	3542	1997-04-08	VYDAJ	PREVOD NA UCET	2267	23261	\N	ST	15109885
1035715	3542	1997-05-08	VYDAJ	PREVOD NA UCET	2267	23678	\N	ST	15109885
1035716	3542	1997-06-08	VYDAJ	PREVOD NA UCET	2267	23462	\N	ST	15109885
1035717	3542	1997-07-08	VYDAJ	PREVOD NA UCET	2267	21207	\N	ST	15109885
1035718	3542	1997-08-08	VYDAJ	PREVOD NA UCET	2267	22425	\N	ST	15109885
1035719	3542	1997-09-08	VYDAJ	PREVOD NA UCET	2267	23649	\N	ST	15109885
1035720	3542	1997-10-08	VYDAJ	PREVOD NA UCET	2267	24427	\N	ST	15109885
1035721	3542	1997-11-08	VYDAJ	PREVOD NA UCET	2267	25659	\N	ST	15109885
1035722	3542	1997-12-08	VYDAJ	PREVOD NA UCET	2267	26896	\N	ST	15109885
1035723	3542	1998-01-08	VYDAJ	PREVOD NA UCET	2267	26938	\N	ST	15109885
1035724	3542	1998-02-08	VYDAJ	PREVOD NA UCET	2267	25654	\N	ST	15109885
1035725	3542	1998-03-08	VYDAJ	PREVOD NA UCET	2267	26890	\N	ST	15109885
1035726	3542	1998-04-08	VYDAJ	PREVOD NA UCET	2267	28132	\N	ST	15109885
1035727	3542	1998-05-08	VYDAJ	PREVOD NA UCET	2267	29379	\N	ST	15109885
1035728	3542	1998-06-08	VYDAJ	PREVOD NA UCET	2267	25411	\N	ST	15109885
1035729	3542	1998-07-08	VYDAJ	PREVOD NA UCET	2267	25477	\N	ST	15109885
1035730	3542	1998-08-08	VYDAJ	PREVOD NA UCET	2267	25781	\N	ST	15109885
1035731	3542	1998-09-08	VYDAJ	PREVOD NA UCET	2267	27018	\N	ST	15109885
1035732	3542	1998-10-08	VYDAJ	PREVOD NA UCET	2267	28260	\N	ST	15109885
1035733	3542	1998-11-08	VYDAJ	PREVOD NA UCET	2267	29507	\N	ST	15109885
1035734	3542	1998-12-08	VYDAJ	PREVOD NA UCET	2267	30759	\N	ST	15109885
1035736	3542	1994-06-26	VYDAJ	VYBER	6000	16777	\N	\N	\N
1035737	3542	1995-06-07	VYDAJ	VYBER	5370	16115	\N	\N	\N
1035738	3542	1996-06-17	VYDAJ	VYBER	2790	19153	\N	\N	\N
1035739	3542	1997-06-23	VYDAJ	VYBER	3480	23383	\N	\N	\N
1035740	3542	1998-06-06	VYDAJ	VYBER	3840	27678	\N	\N	\N
1035741	3542	1993-12-19	VYDAJ	VYBER	480	18679	\N	\N	\N
1035742	3542	1994-12-03	VYDAJ	VYBER	690	19576	\N	\N	\N
1035743	3542	1995-12-05	VYDAJ	VYBER	810	20498	\N	\N	\N
1035744	3542	1996-12-26	VYDAJ	VYBER	690	24686	\N	\N	\N
1035745	3542	1997-12-27	VYDAJ	VYBER	780	29517	\N	\N	\N
1035746	3542	1998-12-22	VYDAJ	VYBER	150	34010	\N	\N	\N
1035753	3542	1994-01-28	VYDAJ	VYBER	300	17655	\N	\N	\N
1035754	3542	1994-01-22	VYDAJ	VYBER	210	17955	\N	\N	\N
1035755	3542	1994-01-15	VYDAJ	VYBER	570	18165	\N	\N	\N
1035756	3542	1994-01-12	VYDAJ	VYBER	150	15334	\N	\N	\N
1035757	3542	1994-01-01	VYDAJ	VYBER	510	18231	\N	\N	\N
1035758	3542	1994-01-06	VYDAJ	VYBER	480	17751	\N	\N	\N
1035759	3542	1995-01-06	VYDAJ	VYBER	240	18979	\N	\N	\N
1035760	3542	1995-01-10	VYDAJ	VYBER	180	15512	\N	\N	\N
1035761	3542	1995-01-05	VYDAJ	VYBER	150	19219	\N	\N	\N
1035762	3542	1995-01-08	VYDAJ	VYBER	780	15692	\N	\N	\N
1035763	3542	1995-01-30	VYDAJ	VYBER	630	18283	\N	\N	\N
1035764	3542	1995-01-07	VYDAJ	VYBER	240	18739	\N	\N	\N
1035765	3542	1996-01-05	VYDAJ	VYBER	570	20503	\N	\N	\N
1035766	3542	1996-01-22	VYDAJ	VYBER	300	20287	\N	\N	\N
1035767	3542	1996-01-06	VYDAJ	VYBER	270	20233	\N	\N	\N
1035768	3542	1996-01-19	VYDAJ	VYBER	780	20587	\N	\N	\N
1035769	3542	1996-01-25	VYDAJ	VYBER	240	18757	\N	\N	\N
1035770	3542	1996-01-30	VYDAJ	VYBER	540	18217	\N	\N	\N
1035771	3542	1997-01-07	VYDAJ	VYBER	150	24624	\N	\N	\N
1035772	3542	1997-01-26	VYDAJ	VYBER	390	23718	\N	\N	\N
1035773	3542	1997-01-15	VYDAJ	VYBER	210	24588	\N	\N	\N
1035774	3542	1997-01-15	VYDAJ	VYBER	570	24798	\N	\N	\N
1035775	3542	1997-01-11	VYDAJ	VYBER	390	21967	\N	\N	\N
1035776	3542	1997-01-19	VYDAJ	VYBER	480	24108	\N	\N	\N
1035777	3542	1998-01-10	VYDAJ	VYBER	780	26158	\N	\N	\N
1035778	3542	1998-01-10	VYDAJ	VYBER	180	25978	\N	\N	\N
1035779	3542	1998-01-28	VYDAJ	VYBER	480	27819	\N	\N	\N
1035780	3542	1998-01-15	VYDAJ	VYBER	540	28839	\N	\N	\N
1035781	3542	1998-01-02	VYDAJ	VYBER	420	29205	\N	\N	\N
1035782	3542	1998-01-16	VYDAJ	VYBER	540	28299	\N	\N	\N
1035784	3542	1993-11-13	VYDAJ	VYBER	840	17963	\N	\N	\N
1035787	3542	1994-02-05	VYDAJ	VYBER	870	16844	\N	\N	\N
1035788	3542	1994-09-24	VYDAJ	VYBER	930	19445	\N	\N	\N
1035789	3542	1994-10-07	VYDAJ	VYBER	750	18763	\N	\N	\N
1035790	3542	1994-11-19	VYDAJ	VYBER	900	20196	\N	\N	\N
1035791	3542	1995-12-16	VYDAJ	VYBER	630	21002	\N	\N	\N
1035792	3542	1995-04-16	VYDAJ	VYBER	390	21491	\N	\N	\N
1035793	3542	1995-01-04	VYDAJ	VYBER	1410	19369	\N	\N	\N
1035794	3542	1995-11-28	VYDAJ	VYBER	1320	21231	\N	\N	\N
1035795	3542	1995-05-21	VYDAJ	VYBER	1290	21409	\N	\N	\N
1035796	3542	1995-09-04	VYDAJ	VYBER	690	19011	\N	\N	\N
1035797	3542	1996-07-29	VYDAJ	VYBER	1020	19335	\N	\N	\N
1035798	3542	1996-06-04	VYDAJ	VYBER	1110	20809	\N	\N	\N
1035799	3542	1996-01-24	VYDAJ	VYBER	1290	18997	\N	\N	\N
1035800	3542	1996-02-15	VYDAJ	VYBER	1170	18249	\N	\N	\N
1035801	3542	1997-05-12	VYDAJ	VYBER	690	22988	\N	\N	\N
1035802	3542	1997-05-14	VYDAJ	VYBER	750	25639	\N	\N	\N
1035803	3542	1997-05-08	VYDAJ	VYBER	810	25945	\N	\N	\N
1035804	3542	1997-04-06	VYDAJ	VYBER	720	25528	\N	\N	\N
1035805	3542	1997-09-20	VYDAJ	VYBER	450	26600	\N	\N	\N
1035806	3542	1998-06-05	VYDAJ	VYBER	1380	31518	\N	\N	\N
1035807	3542	1998-06-19	VYDAJ	VYBER	1170	27642	\N	\N	\N
1035808	3542	1998-07-20	VYDAJ	VYBER	930	27948	\N	\N	\N
1035819	3542	1993-10-31	VYDAJ	VYBER	15	17669	SLUZBY	\N	\N
1035820	3542	1993-11-30	VYDAJ	VYBER	15	18025	SLUZBY	\N	\N
1035821	3542	1993-12-31	VYDAJ	VYBER	15	18741	SLUZBY	\N	\N
1035822	3542	1994-01-31	VYDAJ	VYBER	15	17714	SLUZBY	\N	\N
1035823	3542	1994-02-28	VYDAJ	VYBER	15	18036	SLUZBY	\N	\N
1035824	3542	1994-03-31	VYDAJ	VYBER	15	19233	SLUZBY	\N	\N
1035825	3542	1994-04-30	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
1035826	3542	1994-05-31	VYDAJ	VYBER	15	21643	SLUZBY	\N	\N
1035827	3542	1994-06-30	VYDAJ	VYBER	15	16851	SLUZBY	\N	\N
1035828	3542	1994-07-31	VYDAJ	VYBER	15	18044	SLUZBY	\N	\N
1035829	3542	1994-08-31	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
1035830	3542	1994-09-30	VYDAJ	VYBER	15	19513	SLUZBY	\N	\N
1035831	3542	1994-10-31	VYDAJ	VYBER	15	19962	SLUZBY	\N	\N
1035832	3542	1994-11-30	VYDAJ	VYBER	15	20266	SLUZBY	\N	\N
1035833	3542	1994-12-31	VYDAJ	VYBER	15	20779	SLUZBY	\N	\N
1035834	3542	1995-01-31	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
1035836	3542	1995-03-31	VYDAJ	VYBER	15	20747	SLUZBY	\N	\N
1035837	3542	1995-04-30	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
1035838	3542	1995-05-31	VYDAJ	VYBER	15	21485	SLUZBY	\N	\N
1035839	3542	1995-06-30	VYDAJ	VYBER	15	17308	SLUZBY	\N	\N
1035840	3542	1995-07-31	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
1035841	3542	1995-08-31	VYDAJ	VYBER	15	19701	SLUZBY	\N	\N
1035842	3542	1995-09-30	VYDAJ	VYBER	15	20211	SLUZBY	\N	\N
1035843	3542	1995-10-31	VYDAJ	VYBER	15	21417	SLUZBY	\N	\N
1035844	3542	1995-11-30	VYDAJ	VYBER	15	21308	SLUZBY	\N	\N
1035845	3542	1995-12-31	VYDAJ	VYBER	15	21073	SLUZBY	\N	\N
1035846	3542	1996-01-31	VYDAJ	VYBER	15	18285	SLUZBY	\N	\N
1035847	3542	1996-02-29	VYDAJ	VYBER	15	18310	SLUZBY	\N	\N
1035848	3542	1996-03-31	VYDAJ	VYBER	15	19508	SLUZBY	\N	\N
1035849	3542	1996-04-30	VYDAJ	VYBER	15	20711	SLUZBY	\N	\N
1035850	3542	1996-05-31	VYDAJ	VYBER	15	21919	SLUZBY	\N	\N
1035851	3542	1996-06-30	VYDAJ	VYBER	15	19221	SLUZBY	\N	\N
1035852	3542	1996-07-31	VYDAJ	VYBER	15	19403	SLUZBY	\N	\N
1035853	3542	1996-08-31	VYDAJ	VYBER	15	20605	SLUZBY	\N	\N
1035854	3542	1996-09-30	VYDAJ	VYBER	15	21812	SLUZBY	\N	\N
1035855	3542	1996-10-31	VYDAJ	VYBER	15	23025	SLUZBY	\N	\N
1035856	3542	1996-11-30	VYDAJ	VYBER	15	24242	SLUZBY	\N	\N
1035857	3542	1996-12-31	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
1035858	3542	1997-01-31	VYDAJ	VYBER	15	23802	SLUZBY	\N	\N
1035859	3542	1997-02-28	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
1035860	3542	1997-03-31	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
1035861	3542	1997-04-30	VYDAJ	VYBER	15	26755	SLUZBY	\N	\N
1035862	3542	1997-05-31	VYDAJ	VYBER	15	25729	SLUZBY	\N	\N
1035863	3542	1997-06-30	VYDAJ	VYBER	15	23474	SLUZBY	\N	\N
1035864	3542	1997-07-31	VYDAJ	VYBER	15	24692	SLUZBY	\N	\N
1035865	3542	1997-08-31	VYDAJ	VYBER	15	25916	SLUZBY	\N	\N
1035866	3542	1997-09-30	VYDAJ	VYBER	15	26694	SLUZBY	\N	\N
1035867	3542	1997-10-31	VYDAJ	VYBER	15	27926	SLUZBY	\N	\N
1035868	3542	1997-11-30	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
1035869	3542	1997-12-31	VYDAJ	VYBER	15	29625	SLUZBY	\N	\N
1035870	3542	1998-01-31	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
1035871	3542	1998-02-28	VYDAJ	VYBER	15	29157	SLUZBY	\N	\N
1035872	3542	1998-03-31	VYDAJ	VYBER	15	30399	SLUZBY	\N	\N
1035873	3542	1998-04-30	VYDAJ	VYBER	15	31646	SLUZBY	\N	\N
1035874	3542	1998-05-31	VYDAJ	VYBER	15	32898	SLUZBY	\N	\N
1035875	3542	1998-06-30	VYDAJ	VYBER	15	27744	SLUZBY	\N	\N
1035876	3542	1998-07-31	VYDAJ	VYBER	15	28048	SLUZBY	\N	\N
1035877	3542	1998-08-31	VYDAJ	VYBER	15	29285	SLUZBY	\N	\N
1035878	3542	1998-09-30	VYDAJ	VYBER	15	30527	SLUZBY	\N	\N
1035879	3542	1998-10-31	VYDAJ	VYBER	15	31774	SLUZBY	\N	\N
1035880	3542	1998-11-30	VYDAJ	VYBER	15	33026	SLUZBY	\N	\N
1035948	3543	1996-07-21	PRIJEM	VKLAD	900	900	\N	\N	\N
1035956	3543	1996-08-07	PRIJEM	PREVOD Z UCTU	3141	4041	\N	IJ	69468414
1035957	3543	1996-09-07	PRIJEM	PREVOD Z UCTU	3141	7182	\N	IJ	69468414
1035958	3543	1996-10-07	PRIJEM	PREVOD Z UCTU	3141	10323	\N	IJ	69468414
1035959	3543	1996-11-07	PRIJEM	PREVOD Z UCTU	3141	13464	\N	IJ	69468414
1035960	3543	1996-12-07	PRIJEM	PREVOD Z UCTU	3141	16605	\N	IJ	69468414
1035961	3543	1997-01-07	PRIJEM	PREVOD Z UCTU	3141	16770	\N	IJ	69468414
1035962	3543	1997-02-07	PRIJEM	PREVOD Z UCTU	3141	15887	\N	IJ	69468414
1035963	3543	1997-03-07	PRIJEM	PREVOD Z UCTU	3141	16985	\N	IJ	69468414
1035964	3543	1997-04-07	PRIJEM	PREVOD Z UCTU	3141	18087	\N	IJ	69468414
1035965	3543	1997-05-07	PRIJEM	PREVOD Z UCTU	3141	19194	\N	IJ	69468414
1035966	3543	1997-06-07	PRIJEM	PREVOD Z UCTU	3141	20306	\N	IJ	69468414
1035967	3543	1997-07-07	PRIJEM	PREVOD Z UCTU	3141	21422	\N	IJ	69468414
1035968	3543	1997-08-07	PRIJEM	PREVOD Z UCTU	3141	20360	\N	IJ	69468414
1035969	3543	1997-09-07	PRIJEM	PREVOD Z UCTU	3141	21476	\N	IJ	69468414
1035970	3543	1997-10-07	PRIJEM	PREVOD Z UCTU	3141	22597	\N	IJ	69468414
1035971	3543	1997-11-07	PRIJEM	PREVOD Z UCTU	3141	22309	\N	IJ	69468414
1035972	3543	1997-12-07	PRIJEM	PREVOD Z UCTU	3141	21961	\N	IJ	69468414
1035973	3543	1998-01-07	PRIJEM	PREVOD Z UCTU	3141	22694	\N	IJ	69468414
1035974	3543	1998-02-07	PRIJEM	PREVOD Z UCTU	3141	15893	\N	IJ	69468414
1035975	3543	1998-03-07	PRIJEM	PREVOD Z UCTU	3141	13782	\N	IJ	69468414
1035976	3543	1998-04-07	PRIJEM	PREVOD Z UCTU	3141	12665	\N	IJ	69468414
1035977	3543	1998-05-07	PRIJEM	PREVOD Z UCTU	3141	12646	\N	IJ	69468414
1035978	3543	1998-06-07	PRIJEM	PREVOD Z UCTU	3141	13730	\N	IJ	69468414
1035979	3543	1998-07-07	PRIJEM	PREVOD Z UCTU	3141	14819	\N	IJ	69468414
1035980	3543	1998-08-07	PRIJEM	PREVOD Z UCTU	3141	14798	\N	IJ	69468414
1035981	3543	1998-09-07	PRIJEM	PREVOD Z UCTU	3141	14688	\N	IJ	69468414
1035982	3543	1998-10-07	PRIJEM	PREVOD Z UCTU	3141	15780	\N	IJ	69468414
1035983	3543	1998-11-07	PRIJEM	PREVOD Z UCTU	3141	14369	\N	IJ	69468414
1035984	3543	1998-12-07	PRIJEM	PREVOD Z UCTU	3141	15070	\N	IJ	69468414
1035997	3543	1997-01-05	VYDAJ	PREVOD NA UCET	2094	13629	\N	WX	77653699
1035998	3543	1997-02-05	VYDAJ	PREVOD NA UCET	2094	12746	\N	WX	77653699
1035999	3543	1997-03-05	VYDAJ	PREVOD NA UCET	2094	13844	\N	WX	77653699
1036000	3543	1997-04-05	VYDAJ	PREVOD NA UCET	2094	14946	\N	WX	77653699
1036288	3545	1995-01-13	PRIJEM	VKLAD	20203	47709	\N	\N	\N
1036001	3543	1997-05-05	VYDAJ	PREVOD NA UCET	2094	16053	\N	WX	77653699
1036002	3543	1997-06-05	VYDAJ	PREVOD NA UCET	2094	17165	\N	WX	77653699
1036003	3543	1997-07-05	VYDAJ	PREVOD NA UCET	2094	18281	\N	WX	77653699
1036004	3543	1997-08-05	VYDAJ	PREVOD NA UCET	2094	17219	\N	WX	77653699
1036005	3543	1997-09-05	VYDAJ	PREVOD NA UCET	2094	18335	\N	WX	77653699
1036006	3543	1997-10-05	VYDAJ	PREVOD NA UCET	2094	19456	\N	WX	77653699
1036007	3543	1997-11-05	VYDAJ	PREVOD NA UCET	2094	19168	\N	WX	77653699
1036008	3543	1997-12-05	VYDAJ	PREVOD NA UCET	2094	18820	\N	WX	77653699
1036009	3543	1998-01-05	VYDAJ	PREVOD NA UCET	2094	19553	\N	WX	77653699
1036010	3543	1998-02-05	VYDAJ	PREVOD NA UCET	2094	12752	\N	WX	77653699
1036011	3543	1998-03-05	VYDAJ	PREVOD NA UCET	2094	10641	\N	WX	77653699
1036012	3543	1998-04-05	VYDAJ	PREVOD NA UCET	2094	9524	\N	WX	77653699
1036013	3543	1998-05-05	VYDAJ	PREVOD NA UCET	2094	9505	\N	WX	77653699
1036014	3543	1998-06-05	VYDAJ	PREVOD NA UCET	2094	10589	\N	WX	77653699
1036015	3543	1998-07-05	VYDAJ	PREVOD NA UCET	2094	11678	\N	WX	77653699
1036016	3543	1998-08-05	VYDAJ	PREVOD NA UCET	2094	11657	\N	WX	77653699
1036017	3543	1998-09-05	VYDAJ	PREVOD NA UCET	2094	11547	\N	WX	77653699
1036018	3543	1998-10-05	VYDAJ	PREVOD NA UCET	2094	12639	\N	WX	77653699
1036019	3543	1998-11-05	VYDAJ	PREVOD NA UCET	2094	11228	\N	WX	77653699
1036020	3543	1998-12-05	VYDAJ	PREVOD NA UCET	2094	11929	\N	WX	77653699
1036027	3543	1997-01-13	VYDAJ	VYBER	750	15510	\N	\N	\N
1036028	3543	1997-01-26	VYDAJ	VYBER	210	14790	\N	\N	\N
1036029	3543	1997-01-12	VYDAJ	VYBER	510	16260	\N	\N	\N
1036030	3543	1997-01-26	VYDAJ	VYBER	270	15000	\N	\N	\N
1036031	3543	1997-01-26	VYDAJ	VYBER	240	15270	\N	\N	\N
1036032	3543	1997-01-02	VYDAJ	VYBER	870	15723	\N	\N	\N
1036033	3543	1998-01-20	VYDAJ	VYBER	840	16284	\N	\N	\N
1036034	3543	1998-01-02	VYDAJ	VYBER	390	21647	\N	\N	\N
1036035	3543	1998-01-17	VYDAJ	VYBER	750	17124	\N	\N	\N
1036036	3543	1998-01-14	VYDAJ	VYBER	210	17874	\N	\N	\N
1036037	3543	1998-01-27	VYDAJ	VYBER	810	14784	\N	\N	\N
1036038	3543	1998-01-25	VYDAJ	VYBER	690	15594	\N	\N	\N
1036044	3543	1997-10-11	VYDAJ	VYBER	1410	21187	\N	\N	\N
1036045	3543	1997-11-19	VYDAJ	VYBER	1470	20839	\N	\N	\N
1036046	3543	1997-07-30	VYDAJ	VYBER	1080	19242	\N	\N	\N
1036047	3543	1998-01-07	VYDAJ	VYBER	1410	21284	\N	\N	\N
1036048	3543	1998-11-23	VYDAJ	VYBER	390	13979	\N	\N	\N
1036050	3543	1998-07-08	VYDAJ	VYBER	1110	13709	\N	\N	\N
1036065	3543	1996-12-31	VYDAJ	VYBER	15	16593	SLUZBY	\N	\N
1036066	3543	1997-01-31	VYDAJ	VYBER	15	14840	SLUZBY	\N	\N
1036067	3543	1997-02-28	VYDAJ	VYBER	15	15938	SLUZBY	\N	\N
1036068	3543	1997-03-31	VYDAJ	VYBER	15	17040	SLUZBY	\N	\N
1036069	3543	1997-04-30	VYDAJ	VYBER	15	18147	SLUZBY	\N	\N
1036070	3543	1997-05-31	VYDAJ	VYBER	15	19259	SLUZBY	\N	\N
1036071	3543	1997-06-30	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
1036072	3543	1997-07-31	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
1036073	3543	1997-08-31	VYDAJ	VYBER	15	20429	SLUZBY	\N	\N
1036074	3543	1997-09-30	VYDAJ	VYBER	15	21550	SLUZBY	\N	\N
1036075	3543	1997-10-31	VYDAJ	VYBER	15	21262	SLUZBY	\N	\N
1036076	3543	1997-11-30	VYDAJ	VYBER	15	20914	SLUZBY	\N	\N
1036077	3543	1997-12-31	VYDAJ	VYBER	15	22037	SLUZBY	\N	\N
1036078	3543	1998-01-31	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
1036079	3543	1998-02-28	VYDAJ	VYBER	15	12735	SLUZBY	\N	\N
1036080	3543	1998-03-31	VYDAJ	VYBER	15	11618	SLUZBY	\N	\N
1036081	3543	1998-04-30	VYDAJ	VYBER	15	11599	SLUZBY	\N	\N
1036082	3543	1998-05-31	VYDAJ	VYBER	15	12683	SLUZBY	\N	\N
1036083	3543	1998-06-30	VYDAJ	VYBER	15	13772	SLUZBY	\N	\N
1036084	3543	1998-07-31	VYDAJ	VYBER	15	13751	SLUZBY	\N	\N
1036085	3543	1998-08-31	VYDAJ	VYBER	15	13641	SLUZBY	\N	\N
1036086	3543	1998-09-30	VYDAJ	VYBER	15	14733	SLUZBY	\N	\N
1036087	3543	1998-10-31	VYDAJ	VYBER	15	13322	SLUZBY	\N	\N
1036088	3543	1998-11-30	VYDAJ	VYBER	15	14023	SLUZBY	\N	\N
1036089	3543	1997-07-16	VYDAJ	VYBER	1100	20322	\N	\N	\N
1036090	3543	1998-01-12	VYDAJ	VYBER	3200	18084	\N	\N	\N
1036091	3543	1998-02-11	VYDAJ	VYBER	3200	12693	\N	\N	\N
1036092	3543	1998-03-13	VYDAJ	VYBER	2200	11582	\N	\N	\N
1036093	3543	1998-04-12	VYDAJ	VYBER	1100	11565	\N	\N	\N
1036094	3543	1998-08-10	VYDAJ	VYBER	1200	13598	\N	\N	\N
1036095	3543	1998-10-09	VYDAJ	VYBER	2500	13280	\N	\N	\N
1036121	3544	1997-04-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1036126	3544	1997-05-06	PRIJEM	PREVOD Z UCTU	17776	18876	\N	EF	93622636
1036127	3544	1997-06-06	PRIJEM	PREVOD Z UCTU	26664	49015	\N	EF	93622636
1036128	3544	1997-07-06	PRIJEM	PREVOD Z UCTU	17776	51824	\N	EF	93622636
1036129	3544	1997-08-06	PRIJEM	PREVOD Z UCTU	17776	47604	\N	EF	93622636
1036130	3544	1997-09-06	PRIJEM	PREVOD Z UCTU	17776	47182	\N	EF	93622636
1036131	3544	1997-10-06	PRIJEM	PREVOD Z UCTU	17776	37421	\N	EF	93622636
1036132	3544	1997-11-06	PRIJEM	PREVOD Z UCTU	17776	28713	\N	EF	93622636
1036133	3544	1997-12-06	PRIJEM	PREVOD Z UCTU	26664	43269	\N	EF	93622636
1036134	3544	1998-01-06	PRIJEM	PREVOD Z UCTU	17776	35810	\N	EF	93622636
1036135	3544	1998-02-06	PRIJEM	PREVOD Z UCTU	17776	29306	\N	EF	93622636
1036136	3544	1998-03-06	PRIJEM	PREVOD Z UCTU	17776	34183	\N	EF	93622636
1036137	3544	1998-04-06	PRIJEM	PREVOD Z UCTU	17776	35975	\N	EF	93622636
1036138	3544	1998-05-06	PRIJEM	PREVOD Z UCTU	17776	33176	\N	EF	93622636
1036139	3544	1998-06-06	PRIJEM	PREVOD Z UCTU	26664	48957	\N	EF	93622636
1036140	3544	1998-07-06	PRIJEM	PREVOD Z UCTU	17776	37773	\N	EF	93622636
1036141	3544	1998-08-06	PRIJEM	PREVOD Z UCTU	17776	44691	\N	EF	93622636
1036142	3544	1998-09-06	PRIJEM	PREVOD Z UCTU	17776	34901	\N	EF	93622636
1036143	3544	1998-10-06	PRIJEM	PREVOD Z UCTU	17776	32572	\N	EF	93622636
1036144	3544	1998-11-06	PRIJEM	PREVOD Z UCTU	17776	30633	\N	EF	93622636
1036145	3544	1998-12-06	PRIJEM	PREVOD Z UCTU	26664	46377	\N	EF	93622636
1036154	3544	1997-09-14	VYDAJ	PREVOD NA UCET	10975	28707	SIPO	AB	94637792
1036155	3544	1997-10-14	VYDAJ	PREVOD NA UCET	10975	10970	SIPO	AB	94637792
1036156	3544	1997-11-14	VYDAJ	PREVOD NA UCET	10975	17738	SIPO	AB	94637792
1036157	3544	1997-12-14	VYDAJ	PREVOD NA UCET	10975	29294	SIPO	AB	94637792
1036158	3544	1998-01-14	VYDAJ	PREVOD NA UCET	10975	24835	SIPO	AB	94637792
1036159	3544	1998-02-14	VYDAJ	PREVOD NA UCET	10975	18331	SIPO	AB	94637792
1036160	3544	1998-03-14	VYDAJ	PREVOD NA UCET	10975	23208	SIPO	AB	94637792
1036161	3544	1998-04-14	VYDAJ	PREVOD NA UCET	10975	25000	SIPO	AB	94637792
1036162	3544	1998-05-14	VYDAJ	PREVOD NA UCET	10975	22201	SIPO	AB	94637792
1036163	3544	1998-06-14	VYDAJ	PREVOD NA UCET	10975	37982	SIPO	AB	94637792
1036164	3544	1998-07-14	VYDAJ	PREVOD NA UCET	10975	26798	SIPO	AB	94637792
1036165	3544	1998-08-14	VYDAJ	PREVOD NA UCET	10975	33716	SIPO	AB	94637792
1036166	3544	1998-09-14	VYDAJ	PREVOD NA UCET	10975	23926	SIPO	AB	94637792
1036167	3544	1998-10-14	VYDAJ	PREVOD NA UCET	10975	21597	SIPO	AB	94637792
1036168	3544	1998-11-14	VYDAJ	PREVOD NA UCET	10975	19658	SIPO	AB	94637792
1036169	3544	1998-12-14	VYDAJ	PREVOD NA UCET	10975	26702	SIPO	AB	94637792
1036171	3544	1997-10-12	VYBER	VYBER	15476	21945	\N	\N	\N
1036179	3544	1997-12-14	VYDAJ	VYBER	3000	40269	\N	\N	\N
1036180	3544	1998-12-08	VYDAJ	VYBER	8700	37677	\N	\N	\N
1036187	3544	1998-01-17	VYDAJ	VYBER	2400	22435	\N	\N	\N
1036191	3544	1998-01-23	VYDAJ	VYBER	3300	19135	\N	\N	\N
1036195	3544	1997-09-13	VYDAJ	VYBER	7500	39682	\N	\N	\N
1036211	3544	1997-09-30	VYDAJ	VYBER	15	28845	SLUZBY	\N	\N
1036212	3544	1997-10-31	VYDAJ	VYBER	15	11037	SLUZBY	\N	\N
1036213	3544	1997-11-30	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
1036214	3544	1997-12-31	VYDAJ	VYBER	15	29434	SLUZBY	\N	\N
1036215	3544	1998-01-31	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
1036216	3544	1998-02-28	VYDAJ	VYBER	15	18407	SLUZBY	\N	\N
1036217	3544	1998-03-31	VYDAJ	VYBER	15	23299	SLUZBY	\N	\N
1036218	3544	1998-04-30	VYDAJ	VYBER	15	25100	SLUZBY	\N	\N
1036219	3544	1998-05-31	VYDAJ	VYBER	15	22293	SLUZBY	\N	\N
1036220	3544	1998-06-30	VYDAJ	VYBER	15	38097	SLUZBY	\N	\N
1036221	3544	1998-07-31	VYDAJ	VYBER	15	26915	SLUZBY	\N	\N
1036222	3544	1998-08-31	VYDAJ	VYBER	15	17125	SLUZBY	\N	\N
1036223	3544	1998-09-30	VYDAJ	VYBER	15	14796	SLUZBY	\N	\N
1036224	3544	1998-10-31	VYDAJ	VYBER	15	12857	SLUZBY	\N	\N
1036225	3544	1998-11-30	VYDAJ	VYBER	15	19713	SLUZBY	\N	\N
1036226	3544	1997-05-07	PRIJEM	VKLAD	3400	22276	\N	\N	\N
1036227	3544	1997-06-06	VYDAJ	VYBER	15100	33915	\N	\N	\N
1036228	3544	1997-07-06	VYDAJ	VYBER	15700	36124	\N	\N	\N
1036229	3544	1997-08-05	VYDAJ	VYBER	6500	29828	\N	\N	\N
1036230	3544	1997-09-04	VYDAJ	VYBER	18400	29406	\N	\N	\N
1036231	3544	1997-10-04	VYDAJ	VYBER	9200	19645	\N	\N	\N
1036232	3544	1997-11-03	VYDAJ	VYBER	100	10937	\N	\N	\N
1036233	3544	1997-12-03	VYDAJ	VYBER	1200	16605	\N	\N	\N
1036234	3544	1998-01-02	VYDAJ	VYBER	11400	18034	\N	\N	\N
1036235	3544	1998-02-01	VYDAJ	VYBER	7700	11530	\N	\N	\N
1036236	3544	1998-03-03	VYDAJ	VYBER	2000	16407	\N	\N	\N
1036237	3544	1998-04-02	VYDAJ	VYBER	5100	18199	\N	\N	\N
1036238	3544	1998-05-02	VYDAJ	VYBER	9700	15400	\N	\N	\N
1036239	3544	1998-07-01	VYDAJ	VYBER	18100	19997	\N	\N	\N
1036240	3544	1998-08-30	VYDAJ	VYBER	16700	17016	\N	\N	\N
1036241	3544	1998-09-29	VYDAJ	VYBER	9200	14726	\N	\N	\N
1036242	3544	1998-10-29	VYDAJ	VYBER	8800	12797	\N	\N	\N
1036263	3545	1993-02-17	PRIJEM	VKLAD	900	900	\N	\N	\N
1036266	3545	1993-03-13	PRIJEM	VKLAD	20203	21103	\N	\N	\N
1036267	3545	1993-04-13	PRIJEM	VKLAD	20203	42745	\N	\N	\N
1036268	3545	1993-05-13	PRIJEM	VKLAD	20203	52460	\N	\N	\N
1036269	3545	1993-06-13	PRIJEM	VKLAD	30304	70212	\N	\N	\N
1036270	3545	1993-07-13	PRIJEM	VKLAD	20203	69799	\N	\N	\N
1036271	3545	1993-08-13	PRIJEM	VKLAD	20203	60318	\N	\N	\N
1036272	3545	1993-09-13	PRIJEM	VKLAD	20203	49070	\N	\N	\N
1036273	3545	1993-10-13	PRIJEM	VKLAD	20203	51059	\N	\N	\N
1036274	3545	1993-11-13	PRIJEM	VKLAD	20203	52956	\N	\N	\N
1036275	3545	1993-12-13	PRIJEM	VKLAD	30304	63056	\N	\N	\N
1036276	3545	1994-01-13	PRIJEM	VKLAD	20203	52910	\N	\N	\N
1036277	3545	1994-02-13	PRIJEM	VKLAD	20203	47617	\N	\N	\N
1036278	3545	1994-03-13	PRIJEM	VKLAD	20203	54982	\N	\N	\N
1036279	3545	1994-04-13	PRIJEM	VKLAD	20203	52584	\N	\N	\N
1036280	3545	1994-05-13	PRIJEM	VKLAD	20203	53610	\N	\N	\N
1036281	3545	1994-06-13	PRIJEM	VKLAD	30304	53999	\N	\N	\N
1036282	3545	1994-07-13	PRIJEM	VKLAD	20203	45793	\N	\N	\N
1036283	3545	1994-08-13	PRIJEM	VKLAD	20203	50994	\N	\N	\N
1036284	3545	1994-09-13	PRIJEM	VKLAD	20203	51944	\N	\N	\N
1036285	3545	1994-10-13	PRIJEM	VKLAD	20203	51373	\N	\N	\N
1036286	3545	1994-11-13	PRIJEM	VKLAD	20203	51909	\N	\N	\N
1036287	3545	1994-12-13	PRIJEM	VKLAD	30304	65045	\N	\N	\N
1036289	3545	1995-02-13	PRIJEM	VKLAD	20203	51542	\N	\N	\N
1036290	3545	1995-03-13	PRIJEM	VKLAD	20203	52060	\N	\N	\N
1036291	3545	1995-04-13	PRIJEM	VKLAD	20203	52093	\N	\N	\N
1036292	3545	1995-05-13	PRIJEM	VKLAD	20203	55025	\N	\N	\N
1036293	3545	1995-06-13	PRIJEM	VKLAD	30304	60709	\N	\N	\N
1036294	3545	1995-07-13	PRIJEM	VKLAD	20203	54604	\N	\N	\N
1036295	3545	1995-08-13	PRIJEM	VKLAD	20203	55541	\N	\N	\N
1036296	3545	1995-09-13	PRIJEM	VKLAD	20203	54483	\N	\N	\N
1036297	3545	1995-10-13	PRIJEM	VKLAD	20203	52320	\N	\N	\N
1036298	3545	1995-11-13	PRIJEM	VKLAD	20203	51046	\N	\N	\N
1036299	3545	1995-12-13	PRIJEM	VKLAD	30304	58167	\N	\N	\N
1036300	3545	1996-01-13	PRIJEM	VKLAD	20203	43837	\N	\N	\N
1036301	3545	1996-02-13	PRIJEM	VKLAD	20203	45334	\N	\N	\N
1036302	3545	1996-03-13	PRIJEM	VKLAD	20203	44527	\N	\N	\N
1036303	3545	1996-04-13	PRIJEM	VKLAD	20203	44620	\N	\N	\N
1036304	3545	1996-05-13	PRIJEM	VKLAD	20203	43112	\N	\N	\N
1036305	3545	1996-06-13	PRIJEM	VKLAD	30304	53800	\N	\N	\N
1036306	3545	1996-07-13	PRIJEM	VKLAD	20203	31584	\N	\N	\N
1036307	3545	1996-08-13	PRIJEM	VKLAD	20203	36620	\N	\N	\N
1036308	3545	1996-09-13	PRIJEM	VKLAD	20203	36489	\N	\N	\N
1036309	3545	1996-10-13	PRIJEM	VKLAD	20203	40145	\N	\N	\N
1036310	3545	1996-11-13	PRIJEM	VKLAD	20203	40014	\N	\N	\N
1036311	3545	1996-12-13	PRIJEM	VKLAD	30304	53383	\N	\N	\N
1036312	3545	1997-01-13	PRIJEM	VKLAD	20203	46346	\N	\N	\N
1036313	3545	1997-02-13	PRIJEM	VKLAD	20203	40226	\N	\N	\N
1036314	3545	1997-03-13	PRIJEM	VKLAD	20203	40313	\N	\N	\N
1036315	3545	1997-04-13	PRIJEM	VKLAD	20203	39077	\N	\N	\N
1036316	3545	1997-05-13	PRIJEM	VKLAD	20203	42373	\N	\N	\N
1036317	3545	1997-06-13	PRIJEM	VKLAD	30304	54350	\N	\N	\N
1036318	3545	1997-07-13	PRIJEM	VKLAD	20203	47588	\N	\N	\N
1036319	3545	1997-08-13	PRIJEM	VKLAD	20203	49483	\N	\N	\N
1036320	3545	1997-09-13	PRIJEM	VKLAD	20203	49196	\N	\N	\N
1036321	3545	1997-10-13	PRIJEM	VKLAD	20203	46090	\N	\N	\N
1036322	3545	1997-11-13	PRIJEM	VKLAD	20203	44272	\N	\N	\N
1036323	3545	1997-12-13	PRIJEM	VKLAD	30304	58652	\N	\N	\N
1036324	3545	1998-01-13	PRIJEM	VKLAD	20203	48579	\N	\N	\N
1036325	3545	1998-02-13	PRIJEM	VKLAD	20203	42221	\N	\N	\N
1036326	3545	1998-03-13	PRIJEM	VKLAD	20203	42084	\N	\N	\N
1036327	3545	1998-04-13	PRIJEM	VKLAD	20203	40672	\N	\N	\N
1036328	3545	1998-05-13	PRIJEM	VKLAD	20203	44634	\N	\N	\N
1036329	3545	1998-06-13	PRIJEM	VKLAD	30304	55629	\N	\N	\N
1036330	3545	1998-07-13	PRIJEM	VKLAD	20203	48921	\N	\N	\N
1036331	3545	1998-08-13	PRIJEM	VKLAD	20203	47006	\N	\N	\N
1036332	3545	1998-09-13	PRIJEM	VKLAD	20203	38131	\N	\N	\N
1036333	3545	1998-10-13	PRIJEM	VKLAD	20203	39473	\N	\N	\N
1036334	3545	1998-11-13	PRIJEM	VKLAD	20203	35211	\N	\N	\N
1036335	3545	1998-12-13	PRIJEM	VKLAD	30304	54422	\N	\N	\N
1036343	3545	1993-08-05	VYDAJ	PREVOD NA UCET	7358	40115	SIPO	OP	99964111
1036344	3545	1993-09-05	VYDAJ	PREVOD NA UCET	7358	28867	SIPO	OP	99964111
1036345	3545	1993-10-05	VYDAJ	PREVOD NA UCET	7358	30856	SIPO	OP	99964111
1036346	3545	1993-11-05	VYDAJ	PREVOD NA UCET	7358	32753	SIPO	OP	99964111
1036347	3545	1993-12-05	VYDAJ	PREVOD NA UCET	7358	32752	SIPO	OP	99964111
1036348	3545	1994-01-05	VYDAJ	PREVOD NA UCET	7358	32707	SIPO	OP	99964111
1036349	3545	1994-02-05	VYDAJ	PREVOD NA UCET	7358	29414	SIPO	OP	99964111
1036350	3545	1994-03-05	VYDAJ	PREVOD NA UCET	7358	34779	SIPO	OP	99964111
1036351	3545	1994-04-05	VYDAJ	PREVOD NA UCET	7358	32381	SIPO	OP	99964111
1036352	3545	1994-05-05	VYDAJ	PREVOD NA UCET	7358	33407	SIPO	OP	99964111
1036353	3545	1994-06-05	VYDAJ	PREVOD NA UCET	7358	28395	SIPO	OP	99964111
1036354	3545	1994-07-05	VYDAJ	PREVOD NA UCET	7358	27090	SIPO	OP	99964111
1036355	3545	1994-08-05	VYDAJ	PREVOD NA UCET	7358	38591	SIPO	OP	99964111
1036356	3545	1994-09-05	VYDAJ	PREVOD NA UCET	7358	38541	SIPO	OP	99964111
1036357	3545	1994-10-05	VYDAJ	PREVOD NA UCET	7358	44770	SIPO	OP	99964111
1036358	3545	1994-11-05	VYDAJ	PREVOD NA UCET	7358	44206	SIPO	OP	99964111
1036359	3545	1994-12-05	VYDAJ	PREVOD NA UCET	7358	44741	SIPO	OP	99964111
1036360	3545	1995-01-05	VYDAJ	PREVOD NA UCET	7358	54226	SIPO	OP	99964111
1036361	3545	1995-02-05	VYDAJ	PREVOD NA UCET	7358	40539	SIPO	OP	99964111
1036362	3545	1995-03-05	VYDAJ	PREVOD NA UCET	7358	41957	SIPO	OP	99964111
1036363	3545	1995-04-05	VYDAJ	PREVOD NA UCET	7358	44890	SIPO	OP	99964111
1036364	3545	1995-05-05	VYDAJ	PREVOD NA UCET	7358	44922	SIPO	OP	99964111
1036365	3545	1995-06-05	VYDAJ	PREVOD NA UCET	7358	34905	SIPO	OP	99964111
1036366	3545	1995-07-05	VYDAJ	PREVOD NA UCET	7358	45501	SIPO	OP	99964111
1036367	3545	1995-08-05	VYDAJ	PREVOD NA UCET	7358	47438	SIPO	OP	99964111
1036368	3545	1995-09-05	VYDAJ	PREVOD NA UCET	7358	34280	SIPO	OP	99964111
1036369	3545	1995-10-05	VYDAJ	PREVOD NA UCET	7358	32117	SIPO	OP	99964111
1036370	3545	1995-11-05	VYDAJ	PREVOD NA UCET	7358	30843	SIPO	OP	99964111
1036371	3545	1995-12-05	VYDAJ	PREVOD NA UCET	7358	27863	SIPO	OP	99964111
1036372	3545	1996-01-05	VYDAJ	PREVOD NA UCET	7358	28114	SIPO	OP	99964111
1036373	3545	1996-02-05	VYDAJ	PREVOD NA UCET	7358	25131	SIPO	OP	99964111
1036374	3545	1996-03-05	VYDAJ	PREVOD NA UCET	7358	24324	SIPO	OP	99964111
1036375	3545	1996-04-05	VYDAJ	PREVOD NA UCET	7358	24417	SIPO	OP	99964111
1036376	3545	1996-05-05	VYDAJ	PREVOD NA UCET	7358	22909	SIPO	OP	99964111
1036377	3545	1996-06-05	VYDAJ	PREVOD NA UCET	7358	23496	SIPO	OP	99964111
1036378	3545	1996-07-05	VYDAJ	PREVOD NA UCET	7358	11381	SIPO	OP	99964111
1036379	3545	1996-08-05	VYDAJ	PREVOD NA UCET	7358	16417	SIPO	OP	99964111
1036380	3545	1996-09-05	VYDAJ	PREVOD NA UCET	7358	16286	SIPO	OP	99964111
1036381	3545	1996-10-05	VYDAJ	PREVOD NA UCET	7358	19942	SIPO	OP	99964111
1036382	3545	1996-11-05	VYDAJ	PREVOD NA UCET	7358	19811	SIPO	OP	99964111
1036383	3545	1996-12-05	VYDAJ	PREVOD NA UCET	7358	23079	SIPO	OP	99964111
1036384	3545	1997-01-05	VYDAJ	PREVOD NA UCET	7358	26143	SIPO	OP	99964111
1036385	3545	1997-02-05	VYDAJ	PREVOD NA UCET	7358	20023	SIPO	OP	99964111
1036386	3545	1997-03-05	VYDAJ	PREVOD NA UCET	7358	20110	SIPO	OP	99964111
1036387	3545	1997-04-05	VYDAJ	PREVOD NA UCET	7358	18874	SIPO	OP	99964111
1036388	3545	1997-05-05	VYDAJ	PREVOD NA UCET	7358	22170	SIPO	OP	99964111
1036389	3545	1997-06-05	VYDAJ	PREVOD NA UCET	7358	24046	SIPO	OP	99964111
1036390	3545	1997-07-05	VYDAJ	PREVOD NA UCET	7358	27385	SIPO	OP	99964111
1036391	3545	1997-08-05	VYDAJ	PREVOD NA UCET	7358	29280	SIPO	OP	99964111
1036392	3545	1997-09-05	VYDAJ	PREVOD NA UCET	7358	28993	SIPO	OP	99964111
1036393	3545	1997-10-05	VYDAJ	PREVOD NA UCET	7358	25887	SIPO	OP	99964111
1036394	3545	1997-11-05	VYDAJ	PREVOD NA UCET	7358	24069	SIPO	OP	99964111
1036395	3545	1997-12-05	VYDAJ	PREVOD NA UCET	7358	28348	SIPO	OP	99964111
1036396	3545	1998-01-05	VYDAJ	PREVOD NA UCET	7358	28376	SIPO	OP	99964111
1036397	3545	1998-02-05	VYDAJ	PREVOD NA UCET	7358	22018	SIPO	OP	99964111
1036398	3545	1998-03-05	VYDAJ	PREVOD NA UCET	7358	21881	SIPO	OP	99964111
1036399	3545	1998-04-05	VYDAJ	PREVOD NA UCET	7358	24069	SIPO	OP	99964111
1036400	3545	1998-05-05	VYDAJ	PREVOD NA UCET	7358	24431	SIPO	OP	99964111
1036401	3545	1998-06-05	VYDAJ	PREVOD NA UCET	7358	25325	SIPO	OP	99964111
1036402	3545	1998-07-05	VYDAJ	PREVOD NA UCET	7358	28718	SIPO	OP	99964111
1036403	3545	1998-08-05	VYDAJ	PREVOD NA UCET	7358	26803	SIPO	OP	99964111
1036404	3545	1998-09-05	VYDAJ	PREVOD NA UCET	7358	17928	SIPO	OP	99964111
1036405	3545	1998-10-05	VYDAJ	PREVOD NA UCET	7358	19270	SIPO	OP	99964111
1036406	3545	1998-11-05	VYDAJ	PREVOD NA UCET	7358	15008	SIPO	OP	99964111
1036407	3545	1998-12-05	VYDAJ	PREVOD NA UCET	7358	24118	SIPO	OP	99964111
1036409	3545	1994-06-13	VYDAJ	VYBER	19680	34319	\N	\N	\N
1036410	3545	1995-06-02	VYDAJ	VYBER	12960	42263	\N	\N	\N
1036411	3545	1996-06-23	VYDAJ	VYBER	25600	27600	\N	\N	\N
1036412	3545	1997-06-13	VYDAJ	VYBER	11360	42990	\N	\N	\N
1036415	3545	1994-01-02	VYDAJ	VYBER	3040	40065	\N	\N	\N
1036416	3545	1995-01-12	VYDAJ	VYBER	9120	27506	\N	\N	\N
1036417	3545	1996-01-07	VYDAJ	VYBER	4480	23634	\N	\N	\N
1036418	3545	1997-01-23	VYDAJ	VYBER	12000	34346	\N	\N	\N
1036419	3545	1998-01-22	VYDAJ	VYBER	7840	29239	\N	\N	\N
1036420	3545	1993-12-28	VYDAJ	VYBER	3520	42936	\N	\N	\N
1036421	3545	1994-12-20	VYDAJ	VYBER	3680	61365	\N	\N	\N
1036422	3545	1995-12-21	VYDAJ	VYBER	1120	55487	\N	\N	\N
1036423	3545	1996-12-28	VYDAJ	VYBER	3840	33343	\N	\N	\N
1036424	3545	1997-12-28	VYDAJ	VYBER	2880	35572	\N	\N	\N
1036425	3545	1998-12-02	VYDAJ	VYBER	3840	31476	\N	\N	\N
1036426	3545	1993-07-14	VYDAJ	VYBER	4320	65479	\N	\N	\N
1036427	3545	1993-08-21	VYDAJ	VYBER	5760	36058	\N	\N	\N
1036430	3545	1994-09-01	VYDAJ	VYBER	5280	45899	\N	\N	\N
1036431	3545	1994-01-20	VYDAJ	VYBER	4680	36630	\N	\N	\N
1036432	3545	1994-05-19	VYDAJ	VYBER	1200	35610	\N	\N	\N
1036433	3545	1994-02-26	VYDAJ	VYBER	5640	41977	\N	\N	\N
1036434	3545	1995-12-17	VYDAJ	VYBER	1560	56607	\N	\N	\N
1036435	3545	1995-02-13	VYDAJ	VYBER	2400	49142	\N	\N	\N
1036436	3545	1995-07-02	VYDAJ	VYBER	2280	52859	\N	\N	\N
1036437	3545	1995-07-02	VYDAJ	VYBER	720	55139	\N	\N	\N
1036438	3545	1995-09-16	VYDAJ	VYBER	2400	52083	\N	\N	\N
1036439	3545	1995-06-14	VYDAJ	VYBER	5040	55669	\N	\N	\N
1036440	3545	1996-06-18	VYDAJ	VYBER	600	53200	\N	\N	\N
1036443	3545	1997-03-04	VYDAJ	VYBER	2880	27468	\N	\N	\N
1036444	3545	1997-08-14	VYDAJ	VYBER	4680	44803	\N	\N	\N
1036445	3545	1997-04-24	VYDAJ	VYBER	2760	36317	\N	\N	\N
1036446	3545	1997-06-24	VYDAJ	VYBER	4560	37110	\N	\N	\N
1036447	3545	1997-04-02	VYDAJ	VYBER	5400	26232	\N	\N	\N
1036448	3545	1997-06-21	VYDAJ	VYBER	1320	41670	\N	\N	\N
1036449	3545	1998-03-31	VYDAJ	VYBER	1080	31442	\N	\N	\N
1036450	3545	1998-08-15	VYDAJ	VYBER	2880	44126	\N	\N	\N
1036451	3545	1998-04-09	VYDAJ	VYBER	3600	20469	\N	\N	\N
1036452	3545	1998-05-22	VYDAJ	VYBER	1080	43554	\N	\N	\N
1036453	3545	1998-08-22	VYDAJ	VYBER	5760	25166	\N	\N	\N
1036461	3545	1993-07-31	VYDAJ	VYBER	15	47473	SLUZBY	\N	\N
1036462	3545	1993-08-31	VYDAJ	VYBER	15	36225	SLUZBY	\N	\N
1036463	3545	1993-09-30	VYDAJ	VYBER	15	38214	SLUZBY	\N	\N
1036464	3545	1993-10-31	VYDAJ	VYBER	15	40111	SLUZBY	\N	\N
1036465	3545	1993-11-30	VYDAJ	VYBER	15	40110	SLUZBY	\N	\N
1036466	3545	1993-12-31	VYDAJ	VYBER	15	43105	SLUZBY	\N	\N
1036467	3545	1994-01-31	VYDAJ	VYBER	15	36772	SLUZBY	\N	\N
1036468	3545	1994-02-28	VYDAJ	VYBER	15	42137	SLUZBY	\N	\N
1036469	3545	1994-03-31	VYDAJ	VYBER	15	39739	SLUZBY	\N	\N
1036470	3545	1994-04-30	VYDAJ	VYBER	15	40765	SLUZBY	\N	\N
1036471	3545	1994-05-31	VYDAJ	VYBER	15	35753	SLUZBY	\N	\N
1036472	3545	1994-06-30	VYDAJ	VYBER	15	34448	SLUZBY	\N	\N
1036473	3545	1994-07-31	VYDAJ	VYBER	15	45949	SLUZBY	\N	\N
1036474	3545	1994-08-31	VYDAJ	VYBER	15	51179	SLUZBY	\N	\N
1036475	3545	1994-09-30	VYDAJ	VYBER	15	52128	SLUZBY	\N	\N
1036476	3545	1994-10-31	VYDAJ	VYBER	15	51564	SLUZBY	\N	\N
1036477	3545	1994-11-30	VYDAJ	VYBER	15	52099	SLUZBY	\N	\N
1036478	3545	1994-12-31	VYDAJ	VYBER	15	61584	SLUZBY	\N	\N
1036479	3545	1995-01-31	VYDAJ	VYBER	15	47897	SLUZBY	\N	\N
1036480	3545	1995-02-28	VYDAJ	VYBER	15	49315	SLUZBY	\N	\N
1036481	3545	1995-03-31	VYDAJ	VYBER	15	52248	SLUZBY	\N	\N
1036482	3545	1995-04-30	VYDAJ	VYBER	15	52280	SLUZBY	\N	\N
1036483	3545	1995-05-31	VYDAJ	VYBER	15	55223	SLUZBY	\N	\N
1036484	3545	1995-06-30	VYDAJ	VYBER	15	55859	SLUZBY	\N	\N
1036485	3545	1995-07-31	VYDAJ	VYBER	15	54796	SLUZBY	\N	\N
1036486	3545	1995-08-31	VYDAJ	VYBER	15	55738	SLUZBY	\N	\N
1036487	3545	1995-09-30	VYDAJ	VYBER	15	52275	SLUZBY	\N	\N
1036488	3545	1995-10-31	VYDAJ	VYBER	15	52501	SLUZBY	\N	\N
1036489	3545	1995-11-30	VYDAJ	VYBER	15	51221	SLUZBY	\N	\N
1036490	3545	1995-12-31	VYDAJ	VYBER	15	55672	SLUZBY	\N	\N
1036491	3545	1996-01-31	VYDAJ	VYBER	15	43989	SLUZBY	\N	\N
1036492	3545	1996-02-29	VYDAJ	VYBER	15	45482	SLUZBY	\N	\N
1036493	3545	1996-03-31	VYDAJ	VYBER	15	44675	SLUZBY	\N	\N
1036494	3545	1996-04-30	VYDAJ	VYBER	15	44767	SLUZBY	\N	\N
1036495	3545	1996-05-31	VYDAJ	VYBER	15	43254	SLUZBY	\N	\N
1036496	3545	1996-06-30	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
1036497	3545	1996-07-31	VYDAJ	VYBER	15	31675	SLUZBY	\N	\N
1036498	3545	1996-08-31	VYDAJ	VYBER	15	23644	SLUZBY	\N	\N
1036499	3545	1996-09-30	VYDAJ	VYBER	15	27300	SLUZBY	\N	\N
1036500	3545	1996-10-31	VYDAJ	VYBER	15	27169	SLUZBY	\N	\N
1036501	3545	1996-11-30	VYDAJ	VYBER	15	30437	SLUZBY	\N	\N
1036502	3545	1996-12-31	VYDAJ	VYBER	15	33501	SLUZBY	\N	\N
1036503	3545	1997-01-31	VYDAJ	VYBER	15	27381	SLUZBY	\N	\N
1036504	3545	1997-02-28	VYDAJ	VYBER	15	30348	SLUZBY	\N	\N
1036505	3545	1997-03-31	VYDAJ	VYBER	15	31632	SLUZBY	\N	\N
1036506	3545	1997-04-30	VYDAJ	VYBER	15	29528	SLUZBY	\N	\N
1036507	3545	1997-05-31	VYDAJ	VYBER	15	31404	SLUZBY	\N	\N
1036508	3545	1997-06-30	VYDAJ	VYBER	15	34743	SLUZBY	\N	\N
1036509	3545	1997-07-31	VYDAJ	VYBER	15	36638	SLUZBY	\N	\N
1036510	3545	1997-08-31	VYDAJ	VYBER	15	36351	SLUZBY	\N	\N
1036511	3545	1997-09-30	VYDAJ	VYBER	15	33245	SLUZBY	\N	\N
1036512	3545	1997-10-31	VYDAJ	VYBER	15	31427	SLUZBY	\N	\N
1036513	3545	1997-11-30	VYDAJ	VYBER	15	35706	SLUZBY	\N	\N
1036514	3545	1997-12-31	VYDAJ	VYBER	15	35734	SLUZBY	\N	\N
1036515	3545	1998-01-31	VYDAJ	VYBER	15	29376	SLUZBY	\N	\N
1036516	3545	1998-02-28	VYDAJ	VYBER	15	29239	SLUZBY	\N	\N
1036517	3545	1998-03-31	VYDAJ	VYBER	15	31427	SLUZBY	\N	\N
1036518	3545	1998-04-30	VYDAJ	VYBER	15	31789	SLUZBY	\N	\N
1036519	3545	1998-05-31	VYDAJ	VYBER	15	32683	SLUZBY	\N	\N
1036520	3545	1998-06-30	VYDAJ	VYBER	15	36076	SLUZBY	\N	\N
1036521	3545	1998-07-31	VYDAJ	VYBER	15	34161	SLUZBY	\N	\N
1036522	3545	1998-08-31	VYDAJ	VYBER	15	25286	SLUZBY	\N	\N
1036523	3545	1998-09-30	VYDAJ	VYBER	15	26628	SLUZBY	\N	\N
1036524	3545	1998-10-31	VYDAJ	VYBER	15	22366	SLUZBY	\N	\N
1036525	3545	1998-11-30	VYDAJ	VYBER	15	35316	SLUZBY	\N	\N
1036526	3545	1993-03-19	PRIJEM	VKLAD	1400	22503	\N	\N	\N
1036527	3545	1993-04-18	VYDAJ	VYBER	10600	32145	\N	\N	\N
1036528	3545	1993-05-18	VYDAJ	VYBER	12700	39760	\N	\N	\N
1036529	3545	1993-06-17	VYDAJ	VYBER	20800	49412	\N	\N	\N
1036530	3545	1993-07-17	VYDAJ	VYBER	18200	47279	\N	\N	\N
1036531	3545	1993-08-16	VYDAJ	VYBER	18500	41818	\N	\N	\N
1036532	3545	1993-09-15	VYDAJ	VYBER	11000	38070	\N	\N	\N
1036533	3545	1993-10-15	VYDAJ	VYBER	11100	39959	\N	\N	\N
1036534	3545	1993-11-14	VYDAJ	VYBER	13000	39956	\N	\N	\N
1036535	3545	1993-12-14	VYDAJ	VYBER	16600	46456	\N	\N	\N
1036536	3545	1994-01-13	VYDAJ	VYBER	11600	41310	\N	\N	\N
1036537	3545	1994-02-12	VYDAJ	VYBER	2000	27414	\N	\N	\N
1036538	3545	1994-03-14	VYDAJ	VYBER	15400	39582	\N	\N	\N
1036539	3545	1994-04-13	VYDAJ	VYBER	12000	40584	\N	\N	\N
1036540	3545	1994-05-13	VYDAJ	VYBER	16800	36810	\N	\N	\N
1036541	3545	1994-06-12	VYDAJ	VYBER	4700	23695	\N	\N	\N
1036542	3545	1994-07-12	VYDAJ	VYBER	1500	25590	\N	\N	\N
1036543	3545	1994-08-11	VYDAJ	VYBER	7800	30791	\N	\N	\N
1036544	3545	1994-09-10	VYDAJ	VYBER	6800	31741	\N	\N	\N
1036545	3545	1994-10-10	VYDAJ	VYBER	13600	31170	\N	\N	\N
1036546	3545	1994-11-09	VYDAJ	VYBER	12500	31706	\N	\N	\N
1036547	3545	1994-12-09	VYDAJ	VYBER	10000	34741	\N	\N	\N
1036548	3545	1995-01-08	VYDAJ	VYBER	17600	36626	\N	\N	\N
1036549	3545	1995-02-07	VYDAJ	VYBER	9200	31339	\N	\N	\N
1036550	3545	1995-03-09	VYDAJ	VYBER	10100	31857	\N	\N	\N
1036551	3545	1995-04-08	VYDAJ	VYBER	13000	31890	\N	\N	\N
1036552	3545	1995-05-08	VYDAJ	VYBER	10100	34822	\N	\N	\N
1036553	3545	1995-06-07	VYDAJ	VYBER	4500	30405	\N	\N	\N
1036554	3545	1995-07-07	VYDAJ	VYBER	11100	34401	\N	\N	\N
1036555	3545	1995-08-06	VYDAJ	VYBER	12100	35338	\N	\N	\N
1036556	3545	1995-09-05	VYDAJ	VYBER	14100	41638	\N	\N	\N
1036557	3545	1995-10-05	VYDAJ	VYBER	12800	39475	\N	\N	\N
1036558	3545	1995-11-04	VYDAJ	VYBER	14300	38201	\N	\N	\N
1036559	3545	1995-12-04	VYDAJ	VYBER	16000	35221	\N	\N	\N
1036560	3545	1996-01-03	VYDAJ	VYBER	20200	35472	\N	\N	\N
1036561	3545	1996-02-02	VYDAJ	VYBER	11500	32489	\N	\N	\N
1036562	3545	1996-03-03	VYDAJ	VYBER	13800	31682	\N	\N	\N
1036563	3545	1996-04-02	VYDAJ	VYBER	12900	31775	\N	\N	\N
1036564	3545	1996-05-02	VYDAJ	VYBER	14500	30267	\N	\N	\N
1036565	3545	1996-06-01	VYDAJ	VYBER	12400	30854	\N	\N	\N
1036566	3545	1996-07-01	VYDAJ	VYBER	9000	18739	\N	\N	\N
1036567	3545	1996-07-31	VYDAJ	VYBER	7900	23775	\N	\N	\N
1036568	3545	1996-08-30	VYDAJ	VYBER	13100	23520	\N	\N	\N
1036569	3545	1996-09-29	VYDAJ	VYBER	9300	27189	\N	\N	\N
1036570	3545	1996-10-29	VYDAJ	VYBER	13100	27045	\N	\N	\N
1036571	3545	1996-11-28	VYDAJ	VYBER	9700	30314	\N	\N	\N
1036572	3545	1996-12-28	VYDAJ	VYBER	16200	37183	\N	\N	\N
1036573	3545	1997-01-27	VYDAJ	VYBER	7100	27246	\N	\N	\N
1036574	3545	1997-02-26	VYDAJ	VYBER	10000	30226	\N	\N	\N
1036575	3545	1997-03-28	VYDAJ	VYBER	8800	31513	\N	\N	\N
1036576	3545	1997-04-27	VYDAJ	VYBER	6900	29417	\N	\N	\N
1036577	3545	1997-05-27	VYDAJ	VYBER	11100	31273	\N	\N	\N
1036578	3545	1997-06-26	VYDAJ	VYBER	2500	34610	\N	\N	\N
1036579	3545	1997-07-26	VYDAJ	VYBER	11100	36488	\N	\N	\N
1036580	3545	1997-08-25	VYDAJ	VYBER	8600	36203	\N	\N	\N
1036581	3545	1997-09-24	VYDAJ	VYBER	16100	33096	\N	\N	\N
1036582	3545	1997-10-24	VYDAJ	VYBER	14800	31290	\N	\N	\N
1036583	3545	1997-11-23	VYDAJ	VYBER	8700	35572	\N	\N	\N
1036584	3545	1997-12-23	VYDAJ	VYBER	20200	38452	\N	\N	\N
1036585	3545	1998-01-22	VYDAJ	VYBER	11500	37079	\N	\N	\N
1036586	3545	1998-02-21	VYDAJ	VYBER	13100	29121	\N	\N	\N
1036587	3545	1998-03-23	VYDAJ	VYBER	9700	32384	\N	\N	\N
1036588	3545	1998-04-22	VYDAJ	VYBER	9000	31672	\N	\N	\N
1036589	3545	1998-05-22	VYDAJ	VYBER	11000	32554	\N	\N	\N
1036590	3545	1998-06-21	VYDAJ	VYBER	19700	35929	\N	\N	\N
1036591	3545	1998-07-21	VYDAJ	VYBER	14900	34021	\N	\N	\N
1036592	3545	1998-08-20	VYDAJ	VYBER	13200	30926	\N	\N	\N
1036593	3545	1998-09-19	VYDAJ	VYBER	11600	26531	\N	\N	\N
1036594	3545	1998-10-19	VYDAJ	VYBER	17200	22273	\N	\N	\N
1036665	3546	1997-02-03	PRIJEM	VKLAD	800	800	\N	\N	\N
1036667	3546	1997-02-12	PRIJEM	VKLAD	22274	23074	\N	\N	\N
1036668	3546	1997-03-12	PRIJEM	VKLAD	22274	50006	\N	\N	\N
1036669	3546	1997-04-12	PRIJEM	VKLAD	22274	62849	\N	\N	\N
1036670	3546	1997-05-12	PRIJEM	VKLAD	22274	71065	\N	\N	\N
1036671	3546	1997-06-12	PRIJEM	VKLAD	33411	87460	\N	\N	\N
1036672	3546	1997-07-12	PRIJEM	VKLAD	22274	77406	\N	\N	\N
1036673	3546	1997-08-12	PRIJEM	VKLAD	22274	74820	\N	\N	\N
1036674	3546	1997-09-12	PRIJEM	VKLAD	22274	73519	\N	\N	\N
1036675	3546	1997-10-12	PRIJEM	VKLAD	22274	72711	\N	\N	\N
1036676	3546	1997-11-12	PRIJEM	VKLAD	22274	74298	\N	\N	\N
1036677	3546	1997-12-12	PRIJEM	VKLAD	33411	92323	\N	\N	\N
1036678	3546	1998-01-12	PRIJEM	VKLAD	22274	84963	\N	\N	\N
1036679	3546	1998-02-12	PRIJEM	VKLAD	22274	76171	\N	\N	\N
1036680	3546	1998-03-12	PRIJEM	VKLAD	22274	82160	\N	\N	\N
1036681	3546	1998-04-12	PRIJEM	VKLAD	22274	83671	\N	\N	\N
1036682	3546	1998-05-12	PRIJEM	VKLAD	22274	83884	\N	\N	\N
1036683	3546	1998-06-12	PRIJEM	VKLAD	33411	83643	\N	\N	\N
1036684	3546	1998-07-12	PRIJEM	VKLAD	22274	81650	\N	\N	\N
1036685	3546	1998-08-12	PRIJEM	VKLAD	22274	79457	\N	\N	\N
1036686	3546	1998-09-12	PRIJEM	VKLAD	22274	80856	\N	\N	\N
1036687	3546	1998-10-12	PRIJEM	VKLAD	22274	81956	\N	\N	\N
1036688	3546	1998-11-12	PRIJEM	VKLAD	22274	79059	\N	\N	\N
1036689	3546	1998-12-12	PRIJEM	VKLAD	33411	88390	\N	\N	\N
1036696	3546	1997-07-06	VYDAJ	PREVOD NA UCET	1658	55132	SIPO	ST	93214726
1036697	3546	1997-08-06	VYDAJ	PREVOD NA UCET	1658	52546	SIPO	ST	93214726
1036698	3546	1997-09-06	VYDAJ	PREVOD NA UCET	1658	51245	SIPO	ST	93214726
1036699	3546	1997-10-06	VYDAJ	PREVOD NA UCET	1658	50437	SIPO	ST	93214726
1036700	3546	1997-11-06	VYDAJ	PREVOD NA UCET	1658	53824	SIPO	ST	93214726
1036701	3546	1997-12-06	VYDAJ	PREVOD NA UCET	1658	58912	SIPO	ST	93214726
1036702	3546	1998-01-06	VYDAJ	PREVOD NA UCET	1658	65289	SIPO	ST	93214726
1036703	3546	1998-02-06	VYDAJ	PREVOD NA UCET	1658	53897	SIPO	ST	93214726
1036704	3546	1998-03-06	VYDAJ	PREVOD NA UCET	1658	59886	SIPO	ST	93214726
1036705	3546	1998-04-06	VYDAJ	PREVOD NA UCET	1658	61397	SIPO	ST	93214726
1036706	3546	1998-05-06	VYDAJ	PREVOD NA UCET	1658	62710	SIPO	ST	93214726
1036707	3546	1998-06-06	VYDAJ	PREVOD NA UCET	1658	50232	SIPO	ST	93214726
1036708	3546	1998-07-06	VYDAJ	PREVOD NA UCET	1658	59376	SIPO	ST	93214726
1036709	3546	1998-08-06	VYDAJ	PREVOD NA UCET	1658	57183	SIPO	ST	93214726
1036710	3546	1998-09-06	VYDAJ	PREVOD NA UCET	1658	58582	SIPO	ST	93214726
1036711	3546	1998-10-06	VYDAJ	PREVOD NA UCET	1658	59682	SIPO	ST	93214726
1036712	3546	1998-11-06	VYDAJ	PREVOD NA UCET	1658	56785	SIPO	ST	93214726
1036713	3546	1998-12-06	VYDAJ	PREVOD NA UCET	1658	59279	SIPO	ST	93214726
1036720	3546	1997-07-05	VYDAJ	PREVOD NA UCET	4795	56790	 	ST	36442333
1036721	3546	1997-08-05	VYDAJ	PREVOD NA UCET	4795	54204	 	ST	36442333
1036722	3546	1997-09-05	VYDAJ	PREVOD NA UCET	4795	52903	 	ST	36442333
1036723	3546	1997-10-05	VYDAJ	PREVOD NA UCET	4795	52095	 	ST	36442333
1036724	3546	1997-11-05	VYDAJ	PREVOD NA UCET	4795	55482	 	ST	36442333
1036725	3546	1997-12-05	VYDAJ	PREVOD NA UCET	4795	60570	 	ST	36442333
1036726	3546	1998-01-05	VYDAJ	PREVOD NA UCET	4795	66947	 	ST	36442333
1036727	3546	1998-02-05	VYDAJ	PREVOD NA UCET	4795	55555	 	ST	36442333
1036728	3546	1998-03-05	VYDAJ	PREVOD NA UCET	4795	61544	 	ST	36442333
1036729	3546	1998-04-05	VYDAJ	PREVOD NA UCET	4795	63055	 	ST	36442333
1036730	3546	1998-05-05	VYDAJ	PREVOD NA UCET	4795	64368	 	ST	36442333
1036731	3546	1998-06-05	VYDAJ	PREVOD NA UCET	4795	51890	 	ST	36442333
1036732	3546	1998-07-05	VYDAJ	PREVOD NA UCET	4795	61034	 	ST	36442333
1036733	3546	1998-08-05	VYDAJ	PREVOD NA UCET	4795	58841	 	ST	36442333
1036734	3546	1998-09-05	VYDAJ	PREVOD NA UCET	4795	60240	 	ST	36442333
1036735	3546	1998-10-05	VYDAJ	PREVOD NA UCET	4795	61340	 	ST	36442333
1036736	3546	1998-11-05	VYDAJ	PREVOD NA UCET	4795	58443	 	ST	36442333
1036737	3546	1998-12-05	VYDAJ	PREVOD NA UCET	4795	60937	 	ST	36442333
1036739	3546	1998-06-01	VYDAJ	VYBER	12600	56685	\N	\N	\N
1036741	3546	1998-01-27	VYDAJ	VYBER	6100	68963	\N	\N	\N
1036742	3546	1997-12-29	VYDAJ	VYBER	2900	89423	\N	\N	\N
1036743	3546	1998-12-25	VYDAJ	VYBER	2700	85690	\N	\N	\N
1036750	3546	1998-01-06	VYDAJ	VYBER	2600	62689	\N	\N	\N
1036751	3546	1998-01-15	VYDAJ	VYBER	2700	82263	\N	\N	\N
1036752	3546	1998-01-17	VYDAJ	VYBER	1600	78863	\N	\N	\N
1036753	3546	1998-01-16	VYDAJ	VYBER	1800	80463	\N	\N	\N
1036754	3546	1998-01-26	VYDAJ	VYBER	2300	75063	\N	\N	\N
1036755	3546	1998-01-23	VYDAJ	VYBER	1500	77363	\N	\N	\N
1036758	3546	1997-11-11	VYDAJ	VYBER	1800	52024	\N	\N	\N
1036760	3546	1998-02-20	VYDAJ	VYBER	1800	74371	\N	\N	\N
1036761	3546	1998-04-16	VYDAJ	VYBER	4800	78871	\N	\N	\N
1036762	3546	1998-09-14	VYDAJ	VYBER	1300	79556	\N	\N	\N
1036763	3546	1998-03-17	VYDAJ	VYBER	2500	79660	\N	\N	\N
1036764	3546	1998-05-11	VYDAJ	VYBER	1100	61610	\N	\N	\N
1036765	3546	1998-12-07	VYDAJ	VYBER	4300	54979	\N	\N	\N
1036772	3546	1997-06-30	VYDAJ	VYBER	15	87785	SLUZBY	\N	\N
1036773	3546	1997-07-31	VYDAJ	VYBER	15	77699	SLUZBY	\N	\N
1036774	3546	1997-08-31	VYDAJ	VYBER	15	75098	SLUZBY	\N	\N
1036775	3546	1997-09-30	VYDAJ	VYBER	15	73790	SLUZBY	\N	\N
1036776	3546	1997-10-31	VYDAJ	VYBER	15	60277	SLUZBY	\N	\N
1036777	3546	1997-11-30	VYDAJ	VYBER	15	74565	SLUZBY	\N	\N
1036778	3546	1997-12-31	VYDAJ	VYBER	15	71742	SLUZBY	\N	\N
1036779	3546	1998-01-31	VYDAJ	VYBER	15	60350	SLUZBY	\N	\N
1036780	3546	1998-02-28	VYDAJ	VYBER	15	66339	SLUZBY	\N	\N
1036781	3546	1998-03-31	VYDAJ	VYBER	15	67850	SLUZBY	\N	\N
1036782	3546	1998-04-30	VYDAJ	VYBER	15	69163	SLUZBY	\N	\N
1036783	3546	1998-05-31	VYDAJ	VYBER	15	69285	SLUZBY	\N	\N
1036784	3546	1998-06-30	VYDAJ	VYBER	15	65829	SLUZBY	\N	\N
1036785	3546	1998-07-31	VYDAJ	VYBER	15	63636	SLUZBY	\N	\N
1036786	3546	1998-08-31	VYDAJ	VYBER	15	65035	SLUZBY	\N	\N
1036787	3546	1998-09-30	VYDAJ	VYBER	15	66135	SLUZBY	\N	\N
1036788	3546	1998-10-31	VYDAJ	VYBER	15	63238	SLUZBY	\N	\N
1036789	3546	1998-11-30	VYDAJ	VYBER	15	65732	SLUZBY	\N	\N
1036790	3546	1997-03-05	PRIJEM	VKLAD	4600	27732	\N	\N	\N
1036791	3546	1997-04-04	VYDAJ	VYBER	9600	40575	\N	\N	\N
1036792	3546	1997-05-04	VYDAJ	VYBER	14300	48791	\N	\N	\N
1036793	3546	1997-06-03	VYDAJ	VYBER	17300	54049	\N	\N	\N
1036794	3546	1997-07-03	VYDAJ	VYBER	26200	61585	\N	\N	\N
1036795	3546	1997-08-02	VYDAJ	VYBER	18700	58999	\N	\N	\N
1036796	3546	1997-09-01	VYDAJ	VYBER	17400	57698	\N	\N	\N
1036797	3546	1997-10-01	VYDAJ	VYBER	16900	56890	\N	\N	\N
1036798	3546	1997-10-31	VYDAJ	VYBER	12700	60292	\N	\N	\N
1036799	3546	1997-11-30	VYDAJ	VYBER	9200	65365	\N	\N	\N
1036800	3546	1997-12-30	VYDAJ	VYBER	18000	71423	\N	\N	\N
1036801	3546	1998-01-29	VYDAJ	VYBER	8900	60063	\N	\N	\N
1036802	3546	1998-02-28	VYDAJ	VYBER	8300	66353	\N	\N	\N
1036803	3546	1998-03-30	VYDAJ	VYBER	12100	67560	\N	\N	\N
1036804	3546	1998-04-29	VYDAJ	VYBER	10000	68871	\N	\N	\N
1036805	3546	1998-05-29	VYDAJ	VYBER	14900	68984	\N	\N	\N
1036806	3546	1998-06-28	VYDAJ	VYBER	18100	65543	\N	\N	\N
1036807	3546	1998-07-28	VYDAJ	VYBER	18300	63350	\N	\N	\N
1036808	3546	1998-08-27	VYDAJ	VYBER	14700	64757	\N	\N	\N
1036809	3546	1998-09-26	VYDAJ	VYBER	13700	65856	\N	\N	\N
1036810	3546	1998-10-26	VYDAJ	VYBER	19000	62956	\N	\N	\N
1036811	3546	1998-11-25	VYDAJ	VYBER	13600	65459	\N	\N	\N
1036835	3547	1993-08-07	PRIJEM	VKLAD	300	300	\N	\N	\N
1036843	3547	1993-08-10	PRIJEM	PREVOD Z UCTU	4026	4326	DUCHOD	QR	47276687
1036844	3547	1993-09-10	PRIJEM	PREVOD Z UCTU	4026	8365	DUCHOD	QR	47276687
1036845	3547	1993-10-10	PRIJEM	PREVOD Z UCTU	4026	12409	DUCHOD	QR	47276687
1036846	3547	1993-11-10	PRIJEM	PREVOD Z UCTU	4026	16453	DUCHOD	QR	47276687
1036847	3547	1993-12-10	PRIJEM	PREVOD Z UCTU	4026	20497	DUCHOD	QR	47276687
1036848	3547	1994-01-10	PRIJEM	PREVOD Z UCTU	4026	18906	DUCHOD	QR	47276687
1036849	3547	1994-02-10	PRIJEM	PREVOD Z UCTU	4026	18300	DUCHOD	QR	47276687
1036850	3547	1994-03-10	PRIJEM	PREVOD Z UCTU	4026	19690	DUCHOD	QR	47276687
1036851	3547	1994-04-10	PRIJEM	PREVOD Z UCTU	4026	18603	DUCHOD	QR	47276687
1036852	3547	1994-05-10	PRIJEM	PREVOD Z UCTU	4026	19997	DUCHOD	QR	47276687
1036853	3547	1994-06-10	PRIJEM	PREVOD Z UCTU	4026	21395	DUCHOD	QR	47276687
1036854	3547	1994-07-10	PRIJEM	PREVOD Z UCTU	4026	22798	DUCHOD	QR	47276687
1036855	3547	1994-08-10	PRIJEM	PREVOD Z UCTU	4026	24207	DUCHOD	QR	47276687
1036856	3547	1994-09-10	PRIJEM	PREVOD Z UCTU	4026	22822	DUCHOD	QR	47276687
1036857	3547	1994-10-10	PRIJEM	PREVOD Z UCTU	4026	21672	DUCHOD	QR	47276687
1036858	3547	1994-11-10	PRIJEM	PREVOD Z UCTU	4026	20833	DUCHOD	QR	47276687
1036859	3547	1994-12-10	PRIJEM	PREVOD Z UCTU	4026	20874	DUCHOD	QR	47276687
1036860	3547	1995-01-10	PRIJEM	PREVOD Z UCTU	4026	17897	DUCHOD	QR	47276687
1036861	3547	1995-02-10	PRIJEM	PREVOD Z UCTU	4026	17286	DUCHOD	QR	47276687
1036862	3547	1995-03-10	PRIJEM	PREVOD Z UCTU	4026	18672	DUCHOD	QR	47276687
1036863	3547	1995-04-10	PRIJEM	PREVOD Z UCTU	4026	20064	DUCHOD	QR	47276687
1036864	3547	1995-05-10	PRIJEM	PREVOD Z UCTU	4026	19140	DUCHOD	QR	47276687
1036865	3547	1995-06-10	PRIJEM	PREVOD Z UCTU	4026	18691	DUCHOD	QR	47276687
1036866	3547	1995-07-10	PRIJEM	PREVOD Z UCTU	4026	20082	DUCHOD	QR	47276687
1036867	3547	1995-08-10	PRIJEM	PREVOD Z UCTU	4026	21480	DUCHOD	QR	47276687
1036868	3547	1995-09-10	PRIJEM	PREVOD Z UCTU	4026	22003	DUCHOD	QR	47276687
1036869	3547	1995-10-10	PRIJEM	PREVOD Z UCTU	4026	23408	DUCHOD	QR	47276687
1036870	3547	1995-11-10	PRIJEM	PREVOD Z UCTU	4026	21294	DUCHOD	QR	47276687
1036871	3547	1995-12-10	PRIJEM	PREVOD Z UCTU	4026	19645	DUCHOD	QR	47276687
1036872	3547	1996-01-10	PRIJEM	PREVOD Z UCTU	4026	18003	DUCHOD	QR	47276687
1036873	3547	1996-02-10	PRIJEM	PREVOD Z UCTU	4026	18353	DUCHOD	QR	47276687
1036874	3547	1996-03-10	PRIJEM	PREVOD Z UCTU	4026	19743	DUCHOD	QR	47276687
1036875	3547	1996-04-10	PRIJEM	PREVOD Z UCTU	4026	21138	DUCHOD	QR	47276687
1036876	3547	1996-05-10	PRIJEM	PREVOD Z UCTU	4026	21260	DUCHOD	QR	47276687
1036877	3547	1996-06-10	PRIJEM	PREVOD Z UCTU	4026	20985	DUCHOD	QR	47276687
1036878	3547	1996-07-10	PRIJEM	PREVOD Z UCTU	4026	22390	DUCHOD	QR	47276687
1036879	3547	1996-08-10	PRIJEM	PREVOD Z UCTU	4026	22275	DUCHOD	QR	47276687
1036880	3547	1996-09-10	PRIJEM	PREVOD Z UCTU	4026	21119	DUCHOD	QR	47276687
1036881	3547	1996-10-10	PRIJEM	PREVOD Z UCTU	4026	22521	DUCHOD	QR	47276687
1036882	3547	1996-11-10	PRIJEM	PREVOD Z UCTU	4026	20161	DUCHOD	QR	47276687
1036883	3547	1996-12-10	PRIJEM	PREVOD Z UCTU	4026	21559	DUCHOD	QR	47276687
1036884	3547	1997-01-10	PRIJEM	PREVOD Z UCTU	4026	21460	DUCHOD	QR	47276687
1036885	3547	1997-02-10	PRIJEM	PREVOD Z UCTU	4026	19098	DUCHOD	QR	47276687
1036886	3547	1997-03-10	PRIJEM	PREVOD Z UCTU	4026	18889	DUCHOD	QR	47276687
1036887	3547	1997-04-10	PRIJEM	PREVOD Z UCTU	4026	20281	DUCHOD	QR	47276687
1036888	3547	1997-05-10	PRIJEM	PREVOD Z UCTU	4026	19839	DUCHOD	QR	47276687
1036889	3547	1997-06-10	PRIJEM	PREVOD Z UCTU	4026	21238	DUCHOD	QR	47276687
1036890	3547	1997-07-10	PRIJEM	PREVOD Z UCTU	4026	22640	DUCHOD	QR	47276687
1036891	3547	1997-08-10	PRIJEM	PREVOD Z UCTU	4026	22766	DUCHOD	QR	47276687
1036892	3547	1997-09-10	PRIJEM	PREVOD Z UCTU	4026	24174	DUCHOD	QR	47276687
1036893	3547	1997-10-10	PRIJEM	PREVOD Z UCTU	4026	23022	DUCHOD	QR	47276687
1036894	3547	1997-11-10	PRIJEM	PREVOD Z UCTU	4026	24431	DUCHOD	QR	47276687
1036895	3547	1997-12-10	PRIJEM	PREVOD Z UCTU	4026	25845	DUCHOD	QR	47276687
1036896	3547	1998-01-10	PRIJEM	PREVOD Z UCTU	4026	21025	DUCHOD	QR	47276687
1036897	3547	1998-02-10	PRIJEM	PREVOD Z UCTU	4026	20190	DUCHOD	QR	47276687
1036898	3547	1998-03-10	PRIJEM	PREVOD Z UCTU	4026	21587	DUCHOD	QR	47276687
1036899	3547	1998-04-10	PRIJEM	PREVOD Z UCTU	4026	22989	DUCHOD	QR	47276687
1036900	3547	1998-05-10	PRIJEM	PREVOD Z UCTU	4026	24397	DUCHOD	QR	47276687
1036901	3547	1998-06-10	PRIJEM	PREVOD Z UCTU	4026	25811	DUCHOD	QR	47276687
1036902	3547	1998-07-10	PRIJEM	PREVOD Z UCTU	4026	25680	DUCHOD	QR	47276687
1036903	3547	1998-08-10	PRIJEM	PREVOD Z UCTU	4026	27100	DUCHOD	QR	47276687
1036904	3547	1998-09-10	PRIJEM	PREVOD Z UCTU	4026	28525	DUCHOD	QR	47276687
1036905	3547	1998-10-10	PRIJEM	PREVOD Z UCTU	4026	29956	DUCHOD	QR	47276687
1036906	3547	1998-11-10	PRIJEM	PREVOD Z UCTU	4026	28669	DUCHOD	QR	47276687
1036907	3547	1998-12-10	PRIJEM	PREVOD Z UCTU	4026	30101	DUCHOD	QR	47276687
1036919	3547	1993-12-13	VYDAJ	PREVOD NA UCET	2684	17813	SIPO	AB	35709709
1036920	3547	1994-01-13	VYDAJ	PREVOD NA UCET	2684	15742	SIPO	AB	35709709
1036921	3547	1994-02-13	VYDAJ	PREVOD NA UCET	2684	15616	SIPO	AB	35709709
1036922	3547	1994-03-13	VYDAJ	PREVOD NA UCET	2684	17006	SIPO	AB	35709709
1036923	3547	1994-04-13	VYDAJ	PREVOD NA UCET	2684	15919	SIPO	AB	35709709
1036924	3547	1994-05-13	VYDAJ	PREVOD NA UCET	2684	17313	SIPO	AB	35709709
1036925	3547	1994-06-13	VYDAJ	PREVOD NA UCET	2684	18711	SIPO	AB	35709709
1036926	3547	1994-07-13	VYDAJ	PREVOD NA UCET	2684	20114	SIPO	AB	35709709
1036927	3547	1994-08-13	VYDAJ	PREVOD NA UCET	2684	21523	SIPO	AB	35709709
1036928	3547	1994-09-13	VYDAJ	PREVOD NA UCET	2684	20138	SIPO	AB	35709709
1036929	3547	1994-10-13	VYDAJ	PREVOD NA UCET	2684	18988	SIPO	AB	35709709
1036930	3547	1994-11-13	VYDAJ	PREVOD NA UCET	2684	18149	SIPO	AB	35709709
1036931	3547	1994-12-13	VYDAJ	PREVOD NA UCET	2684	17890	SIPO	AB	35709709
1036932	3547	1995-01-13	VYDAJ	PREVOD NA UCET	2684	15213	SIPO	AB	35709709
1036933	3547	1995-02-13	VYDAJ	PREVOD NA UCET	2684	14602	SIPO	AB	35709709
1036934	3547	1995-03-13	VYDAJ	PREVOD NA UCET	2684	15988	SIPO	AB	35709709
1036935	3547	1995-04-13	VYDAJ	PREVOD NA UCET	2684	17380	SIPO	AB	35709709
1036936	3547	1995-05-13	VYDAJ	PREVOD NA UCET	2684	16456	SIPO	AB	35709709
1036937	3547	1995-06-13	VYDAJ	PREVOD NA UCET	2684	16007	SIPO	AB	35709709
1036938	3547	1995-07-13	VYDAJ	PREVOD NA UCET	2684	17398	SIPO	AB	35709709
1036939	3547	1995-08-13	VYDAJ	PREVOD NA UCET	2684	18796	SIPO	AB	35709709
1036940	3547	1995-09-13	VYDAJ	PREVOD NA UCET	2684	19319	SIPO	AB	35709709
1036941	3547	1995-10-13	VYDAJ	PREVOD NA UCET	2684	20724	SIPO	AB	35709709
1036942	3547	1995-11-13	VYDAJ	PREVOD NA UCET	2684	18610	SIPO	AB	35709709
1036943	3547	1995-12-13	VYDAJ	PREVOD NA UCET	2684	16961	SIPO	AB	35709709
1036944	3547	1996-01-13	VYDAJ	PREVOD NA UCET	2684	15319	SIPO	AB	35709709
1036945	3547	1996-02-13	VYDAJ	PREVOD NA UCET	2684	15669	SIPO	AB	35709709
1036946	3547	1996-03-13	VYDAJ	PREVOD NA UCET	2684	17059	SIPO	AB	35709709
1036947	3547	1996-04-13	VYDAJ	PREVOD NA UCET	2684	18454	SIPO	AB	35709709
1036948	3547	1996-05-13	VYDAJ	PREVOD NA UCET	2684	18576	SIPO	AB	35709709
1036949	3547	1996-06-13	VYDAJ	PREVOD NA UCET	2684	18301	SIPO	AB	35709709
1036950	3547	1996-07-13	VYDAJ	PREVOD NA UCET	2684	19706	SIPO	AB	35709709
1036951	3547	1996-08-13	VYDAJ	PREVOD NA UCET	2684	19591	SIPO	AB	35709709
1036952	3547	1996-09-13	VYDAJ	PREVOD NA UCET	2684	18435	SIPO	AB	35709709
1036953	3547	1996-10-13	VYDAJ	PREVOD NA UCET	2684	19837	SIPO	AB	35709709
1036954	3547	1996-11-13	VYDAJ	PREVOD NA UCET	2684	17477	SIPO	AB	35709709
1036955	3547	1996-12-13	VYDAJ	PREVOD NA UCET	2684	18875	SIPO	AB	35709709
1036956	3547	1997-01-13	VYDAJ	PREVOD NA UCET	2684	16616	SIPO	AB	35709709
1036957	3547	1997-02-13	VYDAJ	PREVOD NA UCET	2684	16414	SIPO	AB	35709709
1036958	3547	1997-03-13	VYDAJ	PREVOD NA UCET	2684	16205	SIPO	AB	35709709
1036959	3547	1997-04-13	VYDAJ	PREVOD NA UCET	2684	17597	SIPO	AB	35709709
1036960	3547	1997-05-13	VYDAJ	PREVOD NA UCET	2684	17155	SIPO	AB	35709709
1036961	3547	1997-06-13	VYDAJ	PREVOD NA UCET	2684	18554	SIPO	AB	35709709
1036962	3547	1997-07-13	VYDAJ	PREVOD NA UCET	2684	19956	SIPO	AB	35709709
1036963	3547	1997-08-13	VYDAJ	PREVOD NA UCET	2684	20082	SIPO	AB	35709709
1036964	3547	1997-09-13	VYDAJ	PREVOD NA UCET	2684	21490	SIPO	AB	35709709
1036965	3547	1997-10-13	VYDAJ	PREVOD NA UCET	2684	20338	SIPO	AB	35709709
1036966	3547	1997-11-13	VYDAJ	PREVOD NA UCET	2684	21747	SIPO	AB	35709709
1036967	3547	1997-12-13	VYDAJ	PREVOD NA UCET	2684	23161	SIPO	AB	35709709
1036968	3547	1998-01-13	VYDAJ	PREVOD NA UCET	2684	18341	SIPO	AB	35709709
1036969	3547	1998-02-13	VYDAJ	PREVOD NA UCET	2684	17506	SIPO	AB	35709709
1036970	3547	1998-03-13	VYDAJ	PREVOD NA UCET	2684	18903	SIPO	AB	35709709
1036971	3547	1998-04-13	VYDAJ	PREVOD NA UCET	2684	20305	SIPO	AB	35709709
1036972	3547	1998-05-13	VYDAJ	PREVOD NA UCET	2684	21713	SIPO	AB	35709709
1036973	3547	1998-06-13	VYDAJ	PREVOD NA UCET	2684	23127	SIPO	AB	35709709
1036974	3547	1998-07-13	VYDAJ	PREVOD NA UCET	2684	22996	SIPO	AB	35709709
1036975	3547	1998-08-13	VYDAJ	PREVOD NA UCET	2684	24416	SIPO	AB	35709709
1036976	3547	1998-09-13	VYDAJ	PREVOD NA UCET	2684	25841	SIPO	AB	35709709
1036977	3547	1998-10-13	VYDAJ	PREVOD NA UCET	2684	27272	SIPO	AB	35709709
1036978	3547	1998-11-13	VYDAJ	PREVOD NA UCET	2684	25985	SIPO	AB	35709709
1036979	3547	1998-12-13	VYDAJ	PREVOD NA UCET	2684	27417	SIPO	AB	35709709
1036985	3547	1998-06-27	VYDAJ	VYBER	1550	21577	\N	\N	\N
1036986	3547	1993-12-27	VYDAJ	VYBER	650	17163	\N	\N	\N
1036987	3547	1994-12-12	VYDAJ	VYBER	300	20574	\N	\N	\N
1036988	3547	1995-12-02	VYDAJ	VYBER	1050	15619	\N	\N	\N
1036989	3547	1996-12-17	VYDAJ	VYBER	700	18175	\N	\N	\N
1036990	3547	1997-12-25	VYDAJ	VYBER	400	22761	\N	\N	\N
1036991	3547	1998-12-21	VYDAJ	VYBER	1100	26317	\N	\N	\N
1036998	3547	1994-01-09	VYDAJ	VYBER	2320	14880	\N	\N	\N
1037001	3547	1994-01-20	VYDAJ	VYBER	1520	14222	\N	\N	\N
1037003	3547	1994-01-11	VYDAJ	VYBER	480	18426	\N	\N	\N
1037004	3547	1995-01-20	VYDAJ	VYBER	2000	13213	\N	\N	\N
1037005	3547	1995-01-03	VYDAJ	VYBER	1920	16031	\N	\N	\N
1037007	3547	1995-01-05	VYDAJ	VYBER	2160	13871	\N	\N	\N
1037010	3547	1996-01-14	VYDAJ	VYBER	1040	14279	\N	\N	\N
1037011	3547	1996-01-06	VYDAJ	VYBER	800	13977	\N	\N	\N
1037014	3547	1996-01-05	VYDAJ	VYBER	1280	14777	\N	\N	\N
1037018	3547	1997-01-08	VYDAJ	VYBER	800	17434	\N	\N	\N
1037019	3547	1997-01-21	VYDAJ	VYBER	960	15656	\N	\N	\N
1037020	3547	1997-01-10	VYDAJ	VYBER	2160	19300	\N	\N	\N
1037021	3547	1997-01-27	VYDAJ	VYBER	640	15016	\N	\N	\N
1037025	3547	1998-01-05	VYDAJ	VYBER	480	16999	\N	\N	\N
1037026	3547	1998-01-13	VYDAJ	VYBER	2240	16101	\N	\N	\N
1037027	3547	1998-01-04	VYDAJ	VYBER	1920	20919	\N	\N	\N
1037034	3547	1994-03-15	VYDAJ	VYBER	1360	15646	\N	\N	\N
1037035	3547	1994-12-03	VYDAJ	VYBER	1360	16848	\N	\N	\N
1037036	3547	1994-09-06	VYDAJ	VYBER	2800	18796	\N	\N	\N
1037037	3547	1994-10-23	VYDAJ	VYBER	2240	16748	\N	\N	\N
1037038	3547	1994-09-19	VYDAJ	VYBER	2560	17578	\N	\N	\N
1037039	3547	1994-04-09	VYDAJ	VYBER	1120	14577	\N	\N	\N
1037040	3547	1995-11-23	VYDAJ	VYBER	2000	16610	\N	\N	\N
1037041	3547	1995-05-21	VYDAJ	VYBER	1840	14616	\N	\N	\N
1037042	3547	1995-10-21	VYDAJ	VYBER	3520	17204	\N	\N	\N
1037043	3547	1995-04-26	VYDAJ	VYBER	2320	15060	\N	\N	\N
1037045	3547	1995-08-13	VYDAJ	VYBER	880	17916	\N	\N	\N
1037046	3547	1996-01-04	VYDAJ	VYBER	960	16057	\N	\N	\N
1037049	3547	1996-05-08	VYDAJ	VYBER	1280	17234	\N	\N	\N
1037050	3547	1996-08-27	VYDAJ	VYBER	2560	17031	\N	\N	\N
1037051	3547	1996-07-23	VYDAJ	VYBER	1520	18186	\N	\N	\N
1037052	3547	1996-06-07	VYDAJ	VYBER	1680	16959	\N	\N	\N
1037053	3547	1996-10-19	VYDAJ	VYBER	3760	16077	\N	\N	\N
1037056	3547	1997-02-23	VYDAJ	VYBER	1600	14814	\N	\N	\N
1037057	3547	1997-05-04	VYDAJ	VYBER	1840	15813	\N	\N	\N
1037058	3547	1997-07-29	VYDAJ	VYBER	1280	18676	\N	\N	\N
1037059	3547	1997-09-15	VYDAJ	VYBER	2560	18930	\N	\N	\N
1037060	3547	1998-10-23	VYDAJ	VYBER	2720	24552	\N	\N	\N
1037061	3547	1998-01-05	VYDAJ	VYBER	3440	17479	\N	\N	\N
1037075	3547	1993-12-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
1037076	3547	1994-01-31	VYDAJ	VYBER	15	14274	SLUZBY	\N	\N
1037077	3547	1994-02-28	VYDAJ	VYBER	15	15664	SLUZBY	\N	\N
1037078	3547	1994-03-31	VYDAJ	VYBER	15	15697	SLUZBY	\N	\N
1037079	3547	1994-04-30	VYDAJ	VYBER	15	15971	SLUZBY	\N	\N
1037080	3547	1994-05-31	VYDAJ	VYBER	15	17369	SLUZBY	\N	\N
1037081	3547	1994-06-30	VYDAJ	VYBER	15	18772	SLUZBY	\N	\N
1037082	3547	1994-07-31	VYDAJ	VYBER	15	20181	SLUZBY	\N	\N
1037083	3547	1994-08-31	VYDAJ	VYBER	15	21596	SLUZBY	\N	\N
1037084	3547	1994-09-30	VYDAJ	VYBER	15	17646	SLUZBY	\N	\N
1037085	3547	1994-10-31	VYDAJ	VYBER	15	16807	SLUZBY	\N	\N
1037086	3547	1994-11-30	VYDAJ	VYBER	15	18208	SLUZBY	\N	\N
1037087	3547	1994-12-31	VYDAJ	VYBER	15	17951	SLUZBY	\N	\N
1037088	3547	1995-01-31	VYDAJ	VYBER	15	13260	SLUZBY	\N	\N
1037089	3547	1995-02-28	VYDAJ	VYBER	15	14646	SLUZBY	\N	\N
1037090	3547	1995-03-31	VYDAJ	VYBER	15	16038	SLUZBY	\N	\N
1037091	3547	1995-04-30	VYDAJ	VYBER	15	15114	SLUZBY	\N	\N
1037092	3547	1995-05-31	VYDAJ	VYBER	15	14665	SLUZBY	\N	\N
1037093	3547	1995-06-30	VYDAJ	VYBER	15	16056	SLUZBY	\N	\N
1037094	3547	1995-07-31	VYDAJ	VYBER	15	17454	SLUZBY	\N	\N
1037095	3547	1995-08-31	VYDAJ	VYBER	15	17977	SLUZBY	\N	\N
1037096	3547	1995-09-30	VYDAJ	VYBER	15	19382	SLUZBY	\N	\N
1037097	3547	1995-10-31	VYDAJ	VYBER	15	17268	SLUZBY	\N	\N
1037098	3547	1995-11-30	VYDAJ	VYBER	15	16669	SLUZBY	\N	\N
1037099	3547	1995-12-31	VYDAJ	VYBER	15	17017	SLUZBY	\N	\N
1037100	3547	1996-01-31	VYDAJ	VYBER	15	14327	SLUZBY	\N	\N
1037101	3547	1996-02-29	VYDAJ	VYBER	15	15717	SLUZBY	\N	\N
1037102	3547	1996-03-31	VYDAJ	VYBER	15	17112	SLUZBY	\N	\N
1037103	3547	1996-04-30	VYDAJ	VYBER	15	18514	SLUZBY	\N	\N
1037104	3547	1996-05-31	VYDAJ	VYBER	15	18639	SLUZBY	\N	\N
1037105	3547	1996-06-30	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
1037106	3547	1996-07-31	VYDAJ	VYBER	15	18249	SLUZBY	\N	\N
1037107	3547	1996-08-31	VYDAJ	VYBER	15	17093	SLUZBY	\N	\N
1037108	3547	1996-09-30	VYDAJ	VYBER	15	18495	SLUZBY	\N	\N
1037109	3547	1996-10-31	VYDAJ	VYBER	15	16135	SLUZBY	\N	\N
1037110	3547	1996-11-30	VYDAJ	VYBER	15	17533	SLUZBY	\N	\N
1037111	3547	1996-12-31	VYDAJ	VYBER	15	18234	SLUZBY	\N	\N
1037112	3547	1997-01-31	VYDAJ	VYBER	15	15072	SLUZBY	\N	\N
1037113	3547	1997-02-28	VYDAJ	VYBER	15	14863	SLUZBY	\N	\N
1037114	3547	1997-03-31	VYDAJ	VYBER	15	16255	SLUZBY	\N	\N
1037115	3547	1997-04-30	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
1037116	3547	1997-05-31	VYDAJ	VYBER	15	17212	SLUZBY	\N	\N
1037117	3547	1997-06-30	VYDAJ	VYBER	15	18614	SLUZBY	\N	\N
1037118	3547	1997-07-31	VYDAJ	VYBER	15	18740	SLUZBY	\N	\N
1037119	3547	1997-08-31	VYDAJ	VYBER	15	20148	SLUZBY	\N	\N
1037120	3547	1997-09-30	VYDAJ	VYBER	15	18996	SLUZBY	\N	\N
1037121	3547	1997-10-31	VYDAJ	VYBER	15	20405	SLUZBY	\N	\N
1037122	3547	1997-11-30	VYDAJ	VYBER	15	21819	SLUZBY	\N	\N
1037123	3547	1997-12-31	VYDAJ	VYBER	15	22839	SLUZBY	\N	\N
1037124	3547	1998-01-31	VYDAJ	VYBER	15	16164	SLUZBY	\N	\N
1037125	3547	1998-02-28	VYDAJ	VYBER	15	17561	SLUZBY	\N	\N
1037126	3547	1998-03-31	VYDAJ	VYBER	15	18963	SLUZBY	\N	\N
1037127	3547	1998-04-30	VYDAJ	VYBER	15	20371	SLUZBY	\N	\N
1037128	3547	1998-05-31	VYDAJ	VYBER	15	21785	SLUZBY	\N	\N
1037129	3547	1998-06-30	VYDAJ	VYBER	15	21654	SLUZBY	\N	\N
1037130	3547	1998-07-31	VYDAJ	VYBER	15	23074	SLUZBY	\N	\N
1037131	3547	1998-08-31	VYDAJ	VYBER	15	24499	SLUZBY	\N	\N
1037132	3547	1998-09-30	VYDAJ	VYBER	15	25930	SLUZBY	\N	\N
1037133	3547	1998-10-31	VYDAJ	VYBER	15	24643	SLUZBY	\N	\N
1037134	3547	1998-11-30	VYDAJ	VYBER	15	26075	SLUZBY	\N	\N
1037200	3548	1993-11-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1037212	3548	1993-12-06	PRIJEM	PREVOD Z UCTU	6022	7022	DUCHOD	MN	66209596
1037213	3548	1994-01-06	PRIJEM	PREVOD Z UCTU	6022	13044	DUCHOD	MN	66209596
1037214	3548	1994-02-06	PRIJEM	PREVOD Z UCTU	6022	19066	DUCHOD	MN	66209596
1037215	3548	1994-03-06	PRIJEM	PREVOD Z UCTU	6022	25088	DUCHOD	MN	66209596
1037216	3548	1994-04-06	PRIJEM	PREVOD Z UCTU	6022	31110	DUCHOD	MN	66209596
1037217	3548	1994-05-06	PRIJEM	PREVOD Z UCTU	6022	33619	DUCHOD	MN	66209596
1037218	3548	1994-06-06	PRIJEM	PREVOD Z UCTU	6022	29896	DUCHOD	MN	66209596
1037219	3548	1994-07-06	PRIJEM	PREVOD Z UCTU	6022	28267	DUCHOD	MN	66209596
1037220	3548	1994-08-06	PRIJEM	PREVOD Z UCTU	6022	30287	DUCHOD	MN	66209596
1037221	3548	1994-09-06	PRIJEM	PREVOD Z UCTU	6022	30510	DUCHOD	MN	66209596
1037222	3548	1994-10-06	PRIJEM	PREVOD Z UCTU	6022	31035	DUCHOD	MN	66209596
1037223	3548	1994-11-06	PRIJEM	PREVOD Z UCTU	6022	32466	DUCHOD	MN	66209596
1037224	3548	1994-12-06	PRIJEM	PREVOD Z UCTU	6022	32098	DUCHOD	MN	66209596
1037225	3548	1995-01-06	PRIJEM	PREVOD Z UCTU	6022	28520	DUCHOD	MN	66209596
1037226	3548	1995-02-06	PRIJEM	PREVOD Z UCTU	6022	18862	DUCHOD	MN	66209596
1037227	3548	1995-03-06	PRIJEM	PREVOD Z UCTU	6022	21345	DUCHOD	MN	66209596
1037228	3548	1995-04-06	PRIJEM	PREVOD Z UCTU	6022	23838	DUCHOD	MN	66209596
1037229	3548	1995-05-06	PRIJEM	PREVOD Z UCTU	6022	26341	DUCHOD	MN	66209596
1037230	3548	1995-06-06	PRIJEM	PREVOD Z UCTU	6022	28855	DUCHOD	MN	66209596
1037231	3548	1995-07-06	PRIJEM	PREVOD Z UCTU	6022	20841	DUCHOD	MN	66209596
1037232	3548	1995-08-06	PRIJEM	PREVOD Z UCTU	6022	23335	DUCHOD	MN	66209596
1037233	3548	1995-09-06	PRIJEM	PREVOD Z UCTU	6022	22476	DUCHOD	MN	66209596
1037234	3548	1995-10-06	PRIJEM	PREVOD Z UCTU	6022	24978	DUCHOD	MN	66209596
1037235	3548	1995-11-06	PRIJEM	PREVOD Z UCTU	6022	27486	DUCHOD	MN	66209596
1037236	3548	1995-12-06	PRIJEM	PREVOD Z UCTU	6022	30004	DUCHOD	MN	66209596
1037237	3548	1996-01-06	PRIJEM	PREVOD Z UCTU	6022	31120	DUCHOD	MN	66209596
1037238	3548	1996-02-06	PRIJEM	PREVOD Z UCTU	6022	27936	DUCHOD	MN	66209596
1037239	3548	1996-03-06	PRIJEM	PREVOD Z UCTU	6022	28532	DUCHOD	MN	66209596
1037240	3548	1996-04-06	PRIJEM	PREVOD Z UCTU	6022	27290	DUCHOD	MN	66209596
1037241	3548	1996-05-06	PRIJEM	PREVOD Z UCTU	6022	28688	DUCHOD	MN	66209596
1037242	3548	1996-06-06	PRIJEM	PREVOD Z UCTU	6022	21113	DUCHOD	MN	66209596
1037243	3548	1996-07-06	PRIJEM	PREVOD Z UCTU	6022	21452	DUCHOD	MN	66209596
1037244	3548	1996-08-06	PRIJEM	PREVOD Z UCTU	6022	20656	DUCHOD	MN	66209596
1037245	3548	1996-09-06	PRIJEM	PREVOD Z UCTU	6022	20267	DUCHOD	MN	66209596
1037246	3548	1996-10-06	PRIJEM	PREVOD Z UCTU	6022	20673	DUCHOD	MN	66209596
1037247	3548	1996-11-06	PRIJEM	PREVOD Z UCTU	6022	23162	DUCHOD	MN	66209596
1037248	3548	1996-12-06	PRIJEM	PREVOD Z UCTU	6022	23897	DUCHOD	MN	66209596
1037249	3548	1997-01-06	PRIJEM	PREVOD Z UCTU	6022	23247	DUCHOD	MN	66209596
1037250	3548	1997-02-06	PRIJEM	PREVOD Z UCTU	6022	21344	DUCHOD	MN	66209596
1037251	3548	1997-03-06	PRIJEM	PREVOD Z UCTU	6022	23836	DUCHOD	MN	66209596
1037252	3548	1997-04-06	PRIJEM	PREVOD Z UCTU	6022	25058	DUCHOD	MN	66209596
1037253	3548	1997-05-06	PRIJEM	PREVOD Z UCTU	6022	27566	DUCHOD	MN	66209596
1037254	3548	1997-06-06	PRIJEM	PREVOD Z UCTU	6022	30084	DUCHOD	MN	66209596
1037255	3548	1997-07-06	PRIJEM	PREVOD Z UCTU	6022	23750	DUCHOD	MN	66209596
1037256	3548	1997-08-06	PRIJEM	PREVOD Z UCTU	6022	26252	DUCHOD	MN	66209596
1037257	3548	1997-09-06	PRIJEM	PREVOD Z UCTU	6022	25964	DUCHOD	MN	66209596
1037258	3548	1997-10-06	PRIJEM	PREVOD Z UCTU	6022	26398	DUCHOD	MN	66209596
1037259	3548	1997-11-06	PRIJEM	PREVOD Z UCTU	6022	28911	DUCHOD	MN	66209596
1037260	3548	1997-12-06	PRIJEM	PREVOD Z UCTU	6022	31434	DUCHOD	MN	66209596
1037261	3548	1998-01-06	PRIJEM	PREVOD Z UCTU	6022	32516	DUCHOD	MN	66209596
1037262	3548	1998-02-06	PRIJEM	PREVOD Z UCTU	6022	22675	DUCHOD	MN	66209596
1037263	3548	1998-03-06	PRIJEM	PREVOD Z UCTU	6022	22449	DUCHOD	MN	66209596
1037264	3548	1998-04-06	PRIJEM	PREVOD Z UCTU	6022	24945	DUCHOD	MN	66209596
1037265	3548	1998-05-06	PRIJEM	PREVOD Z UCTU	6022	27451	DUCHOD	MN	66209596
1037266	3548	1998-06-06	PRIJEM	PREVOD Z UCTU	6022	29968	DUCHOD	MN	66209596
1037267	3548	1998-07-06	PRIJEM	PREVOD Z UCTU	6022	28888	DUCHOD	MN	66209596
1037268	3548	1998-08-06	PRIJEM	PREVOD Z UCTU	6022	31410	DUCHOD	MN	66209596
1037269	3548	1998-09-06	PRIJEM	PREVOD Z UCTU	6022	33943	DUCHOD	MN	66209596
1037270	3548	1998-10-06	PRIJEM	PREVOD Z UCTU	6022	36487	DUCHOD	MN	66209596
1037271	3548	1998-11-06	PRIJEM	PREVOD Z UCTU	6022	39041	DUCHOD	MN	66209596
1037272	3548	1998-12-06	PRIJEM	PREVOD Z UCTU	6022	40406	DUCHOD	MN	66209596
1037288	3548	1994-04-08	VYDAJ	PREVOD NA UCET	3586	27524	SIPO	KL	35372984
1037289	3548	1994-05-08	VYDAJ	PREVOD NA UCET	3586	30033	SIPO	KL	35372984
1037290	3548	1994-06-08	VYDAJ	PREVOD NA UCET	3586	26310	SIPO	KL	35372984
1037291	3548	1994-07-08	VYDAJ	PREVOD NA UCET	3586	24681	SIPO	KL	35372984
1037292	3548	1994-08-08	VYDAJ	PREVOD NA UCET	3586	26701	SIPO	KL	35372984
1037293	3548	1994-09-08	VYDAJ	PREVOD NA UCET	3586	24924	SIPO	KL	35372984
1037294	3548	1994-10-08	VYDAJ	PREVOD NA UCET	3586	26349	SIPO	KL	35372984
1037295	3548	1994-11-08	VYDAJ	PREVOD NA UCET	3586	25980	SIPO	KL	35372984
1037296	3548	1994-12-08	VYDAJ	PREVOD NA UCET	3586	23712	SIPO	KL	35372984
1037297	3548	1995-01-08	VYDAJ	PREVOD NA UCET	3586	20144	SIPO	KL	35372984
1037298	3548	1995-02-08	VYDAJ	PREVOD NA UCET	3586	15276	SIPO	KL	35372984
1037299	3548	1995-03-08	VYDAJ	PREVOD NA UCET	3586	17759	SIPO	KL	35372984
1037300	3548	1995-04-08	VYDAJ	PREVOD NA UCET	3586	20252	SIPO	KL	35372984
1037301	3548	1995-05-08	VYDAJ	PREVOD NA UCET	3586	22755	SIPO	KL	35372984
1037302	3548	1995-06-08	VYDAJ	PREVOD NA UCET	3586	25269	SIPO	KL	35372984
1037303	3548	1995-07-08	VYDAJ	PREVOD NA UCET	3586	17255	SIPO	KL	35372984
1037304	3548	1995-08-08	VYDAJ	PREVOD NA UCET	3586	19749	SIPO	KL	35372984
1037305	3548	1995-09-08	VYDAJ	PREVOD NA UCET	3586	18890	SIPO	KL	35372984
1037306	3548	1995-10-08	VYDAJ	PREVOD NA UCET	3586	21392	SIPO	KL	35372984
1037307	3548	1995-11-08	VYDAJ	PREVOD NA UCET	3586	23900	SIPO	KL	35372984
1037308	3548	1995-12-08	VYDAJ	PREVOD NA UCET	3586	26418	SIPO	KL	35372984
1037309	3548	1996-01-08	VYDAJ	PREVOD NA UCET	3586	27534	SIPO	KL	35372984
1037310	3548	1996-02-08	VYDAJ	PREVOD NA UCET	3586	24350	SIPO	KL	35372984
1037311	3548	1996-03-08	VYDAJ	PREVOD NA UCET	3586	24946	SIPO	KL	35372984
1037312	3548	1996-04-08	VYDAJ	PREVOD NA UCET	3586	23704	SIPO	KL	35372984
1037313	3548	1996-05-08	VYDAJ	PREVOD NA UCET	3586	25102	SIPO	KL	35372984
1037314	3548	1996-06-08	VYDAJ	PREVOD NA UCET	3586	17527	SIPO	KL	35372984
1037315	3548	1996-07-08	VYDAJ	PREVOD NA UCET	3586	14586	SIPO	KL	35372984
1037316	3548	1996-08-08	VYDAJ	PREVOD NA UCET	3586	14190	SIPO	KL	35372984
1037317	3548	1996-09-08	VYDAJ	PREVOD NA UCET	3586	16681	SIPO	KL	35372984
1037318	3548	1996-10-08	VYDAJ	PREVOD NA UCET	3586	17087	SIPO	KL	35372984
1037319	3548	1996-11-08	VYDAJ	PREVOD NA UCET	3586	17816	SIPO	KL	35372984
1037320	3548	1996-12-08	VYDAJ	PREVOD NA UCET	3586	20311	SIPO	KL	35372984
1037321	3548	1997-01-08	VYDAJ	PREVOD NA UCET	3586	19661	SIPO	KL	35372984
1037322	3548	1997-02-08	VYDAJ	PREVOD NA UCET	3586	17758	SIPO	KL	35372984
1037323	3548	1997-03-08	VYDAJ	PREVOD NA UCET	3586	20250	SIPO	KL	35372984
1037324	3548	1997-04-08	VYDAJ	PREVOD NA UCET	3586	21472	SIPO	KL	35372984
1037325	3548	1997-05-08	VYDAJ	PREVOD NA UCET	3586	23980	SIPO	KL	35372984
1037326	3548	1997-06-08	VYDAJ	PREVOD NA UCET	3586	26498	SIPO	KL	35372984
1037327	3548	1997-07-08	VYDAJ	PREVOD NA UCET	3586	20164	SIPO	KL	35372984
1037328	3548	1997-08-08	VYDAJ	PREVOD NA UCET	3586	22666	SIPO	KL	35372984
1037329	3548	1997-09-08	VYDAJ	PREVOD NA UCET	3586	22378	SIPO	KL	35372984
1037330	3548	1997-10-08	VYDAJ	PREVOD NA UCET	3586	22812	SIPO	KL	35372984
1037331	3548	1997-11-08	VYDAJ	PREVOD NA UCET	3586	25325	SIPO	KL	35372984
1037332	3548	1997-12-08	VYDAJ	PREVOD NA UCET	3586	27848	SIPO	KL	35372984
1037333	3548	1998-01-08	VYDAJ	PREVOD NA UCET	3586	27650	SIPO	KL	35372984
1037334	3548	1998-02-08	VYDAJ	PREVOD NA UCET	3586	19089	SIPO	KL	35372984
1037335	3548	1998-03-08	VYDAJ	PREVOD NA UCET	3586	18863	SIPO	KL	35372984
1037336	3548	1998-04-08	VYDAJ	PREVOD NA UCET	3586	21359	SIPO	KL	35372984
1037337	3548	1998-05-08	VYDAJ	PREVOD NA UCET	3586	23865	SIPO	KL	35372984
1037338	3548	1998-06-08	VYDAJ	PREVOD NA UCET	3586	26382	SIPO	KL	35372984
1037339	3548	1998-07-08	VYDAJ	PREVOD NA UCET	3586	25302	SIPO	KL	35372984
1037340	3548	1998-08-08	VYDAJ	PREVOD NA UCET	3586	27824	SIPO	KL	35372984
1037341	3548	1998-09-08	VYDAJ	PREVOD NA UCET	3586	30357	SIPO	KL	35372984
1037342	3548	1998-10-08	VYDAJ	PREVOD NA UCET	3586	32901	SIPO	KL	35372984
1037343	3548	1998-11-08	VYDAJ	PREVOD NA UCET	3586	35455	SIPO	KL	35372984
1037344	3548	1998-12-08	VYDAJ	PREVOD NA UCET	3586	36820	SIPO	KL	35372984
1037346	3548	1994-06-17	VYDAJ	VYBER	3850	22160	\N	\N	\N
1037347	3548	1995-06-14	VYDAJ	VYBER	7800	17469	\N	\N	\N
1037348	3548	1996-06-03	VYDAJ	VYBER	10100	15091	\N	\N	\N
1037349	3548	1997-06-21	VYDAJ	VYBER	8850	17648	\N	\N	\N
1037353	3548	1995-01-06	VYDAJ	VYBER	4150	24370	\N	\N	\N
1037354	3548	1996-01-29	VYDAJ	VYBER	750	21824	\N	\N	\N
1037356	3548	1998-01-25	VYDAJ	VYBER	3800	18010	\N	\N	\N
1037358	3548	1994-12-24	VYDAJ	VYBER	1300	22412	\N	\N	\N
1037359	3548	1995-12-08	VYDAJ	VYBER	850	25568	\N	\N	\N
1037360	3548	1996-12-16	VYDAJ	VYBER	1150	19161	\N	\N	\N
1037361	3548	1997-12-20	VYDAJ	VYBER	650	27198	\N	\N	\N
1037362	3548	1998-12-05	VYDAJ	VYBER	1200	34384	\N	\N	\N
1037375	3548	1995-01-18	VYDAJ	VYBER	480	14784	\N	\N	\N
1037376	3548	1995-01-07	VYDAJ	VYBER	640	23730	\N	\N	\N
1037377	3548	1995-01-09	VYDAJ	VYBER	1840	18304	\N	\N	\N
1037378	3548	1995-01-19	VYDAJ	VYBER	400	14384	\N	\N	\N
1037379	3548	1995-01-17	VYDAJ	VYBER	1680	15264	\N	\N	\N
1037380	3548	1995-01-26	VYDAJ	VYBER	1600	12784	\N	\N	\N
1037381	3548	1996-01-04	VYDAJ	VYBER	560	25098	\N	\N	\N
1037382	3548	1996-01-15	VYDAJ	VYBER	800	24814	\N	\N	\N
1037383	3548	1996-01-11	VYDAJ	VYBER	960	25614	\N	\N	\N
1037384	3548	1996-01-08	VYDAJ	VYBER	960	26574	\N	\N	\N
1037385	3548	1996-01-27	VYDAJ	VYBER	960	22574	\N	\N	\N
1037386	3548	1996-01-21	VYDAJ	VYBER	1280	23534	\N	\N	\N
1037387	3548	1997-01-23	VYDAJ	VYBER	1040	16381	\N	\N	\N
1037388	3548	1997-01-17	VYDAJ	VYBER	880	17421	\N	\N	\N
1037389	3548	1997-01-16	VYDAJ	VYBER	1360	18301	\N	\N	\N
1037390	3548	1997-01-27	VYDAJ	VYBER	1120	15261	\N	\N	\N
1037393	3548	1998-01-22	VYDAJ	VYBER	1600	21810	\N	\N	\N
1037394	3548	1998-01-28	VYDAJ	VYBER	1440	16570	\N	\N	\N
1037395	3548	1998-01-08	VYDAJ	VYBER	1280	31236	\N	\N	\N
1037396	3548	1998-01-05	VYDAJ	VYBER	800	26494	\N	\N	\N
1037397	3548	1998-01-09	VYDAJ	VYBER	2240	25410	\N	\N	\N
1037398	3548	1998-01-16	VYDAJ	VYBER	2000	23410	\N	\N	\N
1037407	3548	1994-05-23	VYDAJ	VYBER	400	27533	\N	\N	\N
1037408	3548	1994-05-31	VYDAJ	VYBER	3360	23889	\N	\N	\N
1037409	3548	1994-05-29	VYDAJ	VYBER	400	27133	\N	\N	\N
1037410	3548	1995-09-02	VYDAJ	VYBER	3360	16454	\N	\N	\N
1037411	3548	1995-07-05	VYDAJ	VYBER	2720	14819	\N	\N	\N
1037412	3548	1995-01-12	VYDAJ	VYBER	1360	16944	\N	\N	\N
1037413	3548	1996-08-08	VYDAJ	VYBER	2880	17776	\N	\N	\N
1037414	3548	1996-02-18	VYDAJ	VYBER	1920	22430	\N	\N	\N
1037415	3548	1996-07-06	VYDAJ	VYBER	3280	18172	\N	\N	\N
1037416	3548	1996-05-02	VYDAJ	VYBER	1120	22666	\N	\N	\N
1037417	3548	1996-11-07	VYDAJ	VYBER	1760	21402	\N	\N	\N
1037418	3548	1996-03-23	VYDAJ	VYBER	3760	21186	\N	\N	\N
1037419	3548	1996-06-27	VYDAJ	VYBER	2160	15367	\N	\N	\N
1037420	3548	1996-09-23	VYDAJ	VYBER	2080	14601	\N	\N	\N
1037421	3548	1997-01-05	VYDAJ	VYBER	2000	17225	\N	\N	\N
1037422	3548	1997-03-30	VYDAJ	VYBER	1280	18970	\N	\N	\N
1037423	3548	1997-09-03	VYDAJ	VYBER	2800	19942	\N	\N	\N
1037424	3548	1997-09-28	VYDAJ	VYBER	2080	20298	\N	\N	\N
1037425	3548	1998-06-16	VYDAJ	VYBER	3600	22782	\N	\N	\N
1037426	3548	1998-02-22	VYDAJ	VYBER	2720	16369	\N	\N	\N
1037443	3548	1994-04-30	VYDAJ	VYBER	15	27597	SLUZBY	\N	\N
1037444	3548	1994-05-31	VYDAJ	VYBER	15	23874	SLUZBY	\N	\N
1037445	3548	1994-06-30	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
1037446	3548	1994-07-31	VYDAJ	VYBER	15	24265	SLUZBY	\N	\N
1037447	3548	1994-08-31	VYDAJ	VYBER	15	24488	SLUZBY	\N	\N
1037448	3548	1994-09-30	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
1037449	3548	1994-10-31	VYDAJ	VYBER	15	26444	SLUZBY	\N	\N
1037450	3548	1994-11-30	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
1037451	3548	1994-12-31	VYDAJ	VYBER	15	22498	SLUZBY	\N	\N
1037452	3548	1995-01-31	VYDAJ	VYBER	15	12840	SLUZBY	\N	\N
1037453	3548	1995-02-28	VYDAJ	VYBER	15	15323	SLUZBY	\N	\N
1037454	3548	1995-03-31	VYDAJ	VYBER	15	17816	SLUZBY	\N	\N
1037455	3548	1995-04-30	VYDAJ	VYBER	15	20319	SLUZBY	\N	\N
1037456	3548	1995-05-31	VYDAJ	VYBER	15	22833	SLUZBY	\N	\N
1037457	3548	1995-06-30	VYDAJ	VYBER	15	17539	SLUZBY	\N	\N
1037458	3548	1995-07-31	VYDAJ	VYBER	15	17313	SLUZBY	\N	\N
1037459	3548	1995-08-31	VYDAJ	VYBER	15	19814	SLUZBY	\N	\N
1037460	3548	1995-09-30	VYDAJ	VYBER	15	18956	SLUZBY	\N	\N
1037461	3548	1995-10-31	VYDAJ	VYBER	15	21464	SLUZBY	\N	\N
1037462	3548	1995-11-30	VYDAJ	VYBER	15	23982	SLUZBY	\N	\N
1037463	3548	1995-12-31	VYDAJ	VYBER	15	25658	SLUZBY	\N	\N
1037464	3548	1996-01-31	VYDAJ	VYBER	15	21914	SLUZBY	\N	\N
1037465	3548	1996-02-29	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
1037466	3548	1996-03-31	VYDAJ	VYBER	15	21268	SLUZBY	\N	\N
1037467	3548	1996-04-30	VYDAJ	VYBER	15	23786	SLUZBY	\N	\N
1037468	3548	1996-05-31	VYDAJ	VYBER	15	25191	SLUZBY	\N	\N
1037469	3548	1996-06-30	VYDAJ	VYBER	15	15430	SLUZBY	\N	\N
1037470	3548	1996-07-31	VYDAJ	VYBER	15	14634	SLUZBY	\N	\N
1037471	3548	1996-08-31	VYDAJ	VYBER	15	14245	SLUZBY	\N	\N
1037472	3548	1996-09-30	VYDAJ	VYBER	15	14651	SLUZBY	\N	\N
1037473	3548	1996-10-31	VYDAJ	VYBER	15	17140	SLUZBY	\N	\N
1037474	3548	1996-11-30	VYDAJ	VYBER	15	17875	SLUZBY	\N	\N
1037475	3548	1996-12-31	VYDAJ	VYBER	15	19225	SLUZBY	\N	\N
1037476	3548	1997-01-31	VYDAJ	VYBER	15	15322	SLUZBY	\N	\N
1037477	3548	1997-02-28	VYDAJ	VYBER	15	17814	SLUZBY	\N	\N
1037478	3548	1997-03-31	VYDAJ	VYBER	15	19036	SLUZBY	\N	\N
1037479	3548	1997-04-30	VYDAJ	VYBER	15	21544	SLUZBY	\N	\N
1037480	3548	1997-05-31	VYDAJ	VYBER	15	24062	SLUZBY	\N	\N
1037481	3548	1997-06-30	VYDAJ	VYBER	15	17728	SLUZBY	\N	\N
1037482	3548	1997-07-31	VYDAJ	VYBER	15	20230	SLUZBY	\N	\N
1037483	3548	1997-08-31	VYDAJ	VYBER	15	22742	SLUZBY	\N	\N
1037484	3548	1997-09-30	VYDAJ	VYBER	15	20376	SLUZBY	\N	\N
1037485	3548	1997-10-31	VYDAJ	VYBER	15	22889	SLUZBY	\N	\N
1037486	3548	1997-11-30	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
1037487	3548	1997-12-31	VYDAJ	VYBER	15	27294	SLUZBY	\N	\N
1037488	3548	1998-01-31	VYDAJ	VYBER	15	16653	SLUZBY	\N	\N
1037489	3548	1998-02-28	VYDAJ	VYBER	15	16427	SLUZBY	\N	\N
1037490	3548	1998-03-31	VYDAJ	VYBER	15	18923	SLUZBY	\N	\N
1037491	3548	1998-04-30	VYDAJ	VYBER	15	21429	SLUZBY	\N	\N
1037492	3548	1998-05-31	VYDAJ	VYBER	15	23946	SLUZBY	\N	\N
1037493	3548	1998-06-30	VYDAJ	VYBER	15	22866	SLUZBY	\N	\N
1037494	3548	1998-07-31	VYDAJ	VYBER	15	25388	SLUZBY	\N	\N
1037495	3548	1998-08-31	VYDAJ	VYBER	15	27921	SLUZBY	\N	\N
1037496	3548	1998-09-30	VYDAJ	VYBER	15	30465	SLUZBY	\N	\N
1037497	3548	1998-10-31	VYDAJ	VYBER	15	33019	SLUZBY	\N	\N
1037498	3548	1998-11-30	VYDAJ	VYBER	15	35584	SLUZBY	\N	\N
1037499	3548	1994-05-10	VYDAJ	VYBER	2100	27933	\N	\N	\N
1037500	3548	1994-06-09	VYDAJ	VYBER	300	26010	\N	\N	\N
1037501	3548	1994-07-09	VYDAJ	VYBER	500	24181	\N	\N	\N
1037502	3548	1994-08-08	VYDAJ	VYBER	2300	24401	\N	\N	\N
1037503	3548	1994-09-07	VYDAJ	VYBER	2000	28510	\N	\N	\N
1037504	3548	1994-10-07	VYDAJ	VYBER	1100	29935	\N	\N	\N
1037505	3548	1994-11-06	VYDAJ	VYBER	2900	29566	\N	\N	\N
1037506	3548	1994-12-06	VYDAJ	VYBER	4800	27298	\N	\N	\N
1037564	3549	1996-08-14	PRIJEM	VKLAD	600	600	\N	\N	\N
1037573	3549	1996-09-07	PRIJEM	PREVOD Z UCTU	4898	5498	DUCHOD	OP	23296219
1037574	3549	1996-10-07	PRIJEM	PREVOD Z UCTU	4898	10396	DUCHOD	OP	23296219
1037575	3549	1996-11-07	PRIJEM	PREVOD Z UCTU	4898	15294	DUCHOD	OP	23296219
1037576	3549	1996-12-07	PRIJEM	PREVOD Z UCTU	4898	20192	DUCHOD	OP	23296219
1037577	3549	1997-01-07	PRIJEM	PREVOD Z UCTU	4898	25090	DUCHOD	OP	23296219
1037578	3549	1997-02-07	PRIJEM	PREVOD Z UCTU	4898	14017	DUCHOD	OP	23296219
1037579	3549	1997-03-07	PRIJEM	PREVOD Z UCTU	4898	15693	DUCHOD	OP	23296219
1037580	3549	1997-04-07	PRIJEM	PREVOD Z UCTU	4898	17375	DUCHOD	OP	23296219
1037581	3549	1997-05-07	PRIJEM	PREVOD Z UCTU	4898	17223	DUCHOD	OP	23296219
1037582	3549	1997-06-07	PRIJEM	PREVOD Z UCTU	4898	17152	DUCHOD	OP	23296219
1037583	3549	1997-07-07	PRIJEM	PREVOD Z UCTU	4898	18841	DUCHOD	OP	23296219
1037584	3549	1997-08-07	PRIJEM	PREVOD Z UCTU	4898	20536	DUCHOD	OP	23296219
1037585	3549	1997-09-07	PRIJEM	PREVOD Z UCTU	4898	22239	DUCHOD	OP	23296219
1037586	3549	1997-10-07	PRIJEM	PREVOD Z UCTU	4898	20939	DUCHOD	OP	23296219
1037587	3549	1997-11-07	PRIJEM	PREVOD Z UCTU	4898	20003	DUCHOD	OP	23296219
1037588	3549	1997-12-07	PRIJEM	PREVOD Z UCTU	4898	18473	DUCHOD	OP	23296219
1037589	3549	1998-01-07	PRIJEM	PREVOD Z UCTU	4898	18247	DUCHOD	OP	23296219
1037590	3549	1998-02-07	PRIJEM	PREVOD Z UCTU	4898	15840	DUCHOD	OP	23296219
1037591	3549	1998-03-07	PRIJEM	PREVOD Z UCTU	4898	17523	DUCHOD	OP	23296219
1037592	3549	1998-04-07	PRIJEM	PREVOD Z UCTU	4898	19213	DUCHOD	OP	23296219
1037593	3549	1998-05-07	PRIJEM	PREVOD Z UCTU	4898	20910	DUCHOD	OP	23296219
1037594	3549	1998-06-07	PRIJEM	PREVOD Z UCTU	4898	20933	DUCHOD	OP	23296219
1037595	3549	1998-07-07	PRIJEM	PREVOD Z UCTU	4898	17573	DUCHOD	OP	23296219
1037596	3549	1998-08-07	PRIJEM	PREVOD Z UCTU	4898	19263	DUCHOD	OP	23296219
1037597	3549	1998-09-07	PRIJEM	PREVOD Z UCTU	4898	20960	DUCHOD	OP	23296219
1037598	3549	1998-10-07	PRIJEM	PREVOD Z UCTU	4898	20263	DUCHOD	OP	23296219
1037599	3549	1998-11-07	PRIJEM	PREVOD Z UCTU	4898	19243	DUCHOD	OP	23296219
1037600	3549	1998-12-07	PRIJEM	PREVOD Z UCTU	4898	19990	DUCHOD	OP	23296219
1037614	3549	1997-02-06	VYDAJ	PREVOD NA UCET	3265	9119	SIPO	AB	58160090
1037615	3549	1997-03-06	VYDAJ	PREVOD NA UCET	3265	10795	SIPO	AB	58160090
1037616	3549	1997-04-06	VYDAJ	PREVOD NA UCET	3265	12477	SIPO	AB	58160090
1037617	3549	1997-05-06	VYDAJ	PREVOD NA UCET	3265	12325	SIPO	AB	58160090
1037618	3549	1997-06-06	VYDAJ	PREVOD NA UCET	3265	12254	SIPO	AB	58160090
1037619	3549	1997-07-06	VYDAJ	PREVOD NA UCET	3265	13943	SIPO	AB	58160090
1037620	3549	1997-08-06	VYDAJ	PREVOD NA UCET	3265	15638	SIPO	AB	58160090
1037621	3549	1997-09-06	VYDAJ	PREVOD NA UCET	3265	17341	SIPO	AB	58160090
1037622	3549	1997-10-06	VYDAJ	PREVOD NA UCET	3265	16041	SIPO	AB	58160090
1037623	3549	1997-11-06	VYDAJ	PREVOD NA UCET	3265	15105	SIPO	AB	58160090
1037624	3549	1997-12-06	VYDAJ	PREVOD NA UCET	3265	13575	SIPO	AB	58160090
1037625	3549	1998-01-06	VYDAJ	PREVOD NA UCET	3265	13349	SIPO	AB	58160090
1037626	3549	1998-02-06	VYDAJ	PREVOD NA UCET	3265	10942	SIPO	AB	58160090
1037627	3549	1998-03-06	VYDAJ	PREVOD NA UCET	3265	12625	SIPO	AB	58160090
1037628	3549	1998-04-06	VYDAJ	PREVOD NA UCET	3265	14315	SIPO	AB	58160090
1037629	3549	1998-05-06	VYDAJ	PREVOD NA UCET	3265	16012	SIPO	AB	58160090
1037630	3549	1998-06-06	VYDAJ	PREVOD NA UCET	3265	16035	SIPO	AB	58160090
1037631	3549	1998-07-06	VYDAJ	PREVOD NA UCET	3265	12675	SIPO	AB	58160090
1037632	3549	1998-08-06	VYDAJ	PREVOD NA UCET	3265	14365	SIPO	AB	58160090
1037633	3549	1998-09-06	VYDAJ	PREVOD NA UCET	3265	16062	SIPO	AB	58160090
1037634	3549	1998-10-06	VYDAJ	PREVOD NA UCET	3265	15365	SIPO	AB	58160090
1037635	3549	1998-11-06	VYDAJ	PREVOD NA UCET	3265	14345	SIPO	AB	58160090
1037636	3549	1998-12-06	VYDAJ	PREVOD NA UCET	3265	15092	SIPO	AB	58160090
1037639	3549	1998-06-11	VYDAJ	VYBER	5050	15883	\N	\N	\N
1037641	3549	1997-01-26	VYDAJ	VYBER	4650	12340	\N	\N	\N
1037642	3549	1998-01-17	VYDAJ	VYBER	650	14157	\N	\N	\N
1037644	3549	1997-12-05	VYDAJ	VYBER	750	16840	\N	\N	\N
1037645	3549	1998-12-01	VYDAJ	VYBER	950	18357	\N	\N	\N
1037652	3549	1997-01-21	VYDAJ	VYBER	2320	16990	\N	\N	\N
1037653	3549	1997-01-09	VYDAJ	VYBER	480	24610	\N	\N	\N
1037654	3549	1997-01-11	VYDAJ	VYBER	1920	22690	\N	\N	\N
1037655	3549	1997-01-21	VYDAJ	VYBER	480	19310	\N	\N	\N
1037656	3549	1997-01-20	VYDAJ	VYBER	1760	19790	\N	\N	\N
1037657	3549	1997-01-15	VYDAJ	VYBER	1040	21550	\N	\N	\N
1037658	3549	1998-01-04	VYDAJ	VYBER	1920	16614	\N	\N	\N
1037659	3549	1998-01-14	VYDAJ	VYBER	400	14807	\N	\N	\N
1037660	3549	1998-01-10	VYDAJ	VYBER	1920	16327	\N	\N	\N
1037663	3549	1998-01-12	VYDAJ	VYBER	1120	15207	\N	\N	\N
1037671	3549	1997-04-24	VYDAJ	VYBER	1840	15535	\N	\N	\N
1037674	3549	1997-11-25	VYDAJ	VYBER	2480	17523	\N	\N	\N
1037675	3549	1997-11-01	VYDAJ	VYBER	2640	18370	\N	\N	\N
1037676	3549	1997-06-05	VYDAJ	VYBER	1760	15519	\N	\N	\N
1037678	3549	1998-10-29	VYDAJ	VYBER	2720	17543	\N	\N	\N
1037679	3549	1998-09-25	VYDAJ	VYBER	2400	18560	\N	\N	\N
1037681	3549	1998-05-14	VYDAJ	VYBER	480	20430	\N	\N	\N
1037682	3549	1998-12-14	VYDAJ	VYBER	2000	17990	\N	\N	\N
1037683	3549	1998-06-01	VYDAJ	VYBER	1200	19300	\N	\N	\N
1037697	3549	1997-01-31	VYDAJ	VYBER	15	12384	SLUZBY	\N	\N
1037698	3549	1997-02-28	VYDAJ	VYBER	15	14060	SLUZBY	\N	\N
1037699	3549	1997-03-31	VYDAJ	VYBER	15	15742	SLUZBY	\N	\N
1037700	3549	1997-04-30	VYDAJ	VYBER	15	15590	SLUZBY	\N	\N
1037701	3549	1997-05-31	VYDAJ	VYBER	15	17279	SLUZBY	\N	\N
1037702	3549	1997-06-30	VYDAJ	VYBER	15	17208	SLUZBY	\N	\N
1037703	3549	1997-07-31	VYDAJ	VYBER	15	18903	SLUZBY	\N	\N
1037704	3549	1997-08-31	VYDAJ	VYBER	15	20606	SLUZBY	\N	\N
1037705	3549	1997-09-30	VYDAJ	VYBER	15	19306	SLUZBY	\N	\N
1037706	3549	1997-10-31	VYDAJ	VYBER	15	21010	SLUZBY	\N	\N
1037707	3549	1997-11-30	VYDAJ	VYBER	15	17590	SLUZBY	\N	\N
1037708	3549	1997-12-31	VYDAJ	VYBER	15	18534	SLUZBY	\N	\N
1037709	3549	1998-01-31	VYDAJ	VYBER	15	14207	SLUZBY	\N	\N
1037710	3549	1998-02-28	VYDAJ	VYBER	15	15890	SLUZBY	\N	\N
1037711	3549	1998-03-31	VYDAJ	VYBER	15	17580	SLUZBY	\N	\N
1037712	3549	1998-04-30	VYDAJ	VYBER	15	19277	SLUZBY	\N	\N
1037713	3549	1998-05-31	VYDAJ	VYBER	15	20500	SLUZBY	\N	\N
1037714	3549	1998-06-30	VYDAJ	VYBER	15	15940	SLUZBY	\N	\N
1037715	3549	1998-07-31	VYDAJ	VYBER	15	17630	SLUZBY	\N	\N
1037716	3549	1998-08-31	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
1037717	3549	1998-09-30	VYDAJ	VYBER	15	18630	SLUZBY	\N	\N
1037718	3549	1998-10-31	VYDAJ	VYBER	15	17610	SLUZBY	\N	\N
1037719	3549	1998-11-30	VYDAJ	VYBER	15	19307	SLUZBY	\N	\N
1037720	3549	1997-01-11	VYDAJ	VYBER	100	22590	\N	\N	\N
1037721	3549	1997-09-08	VYDAJ	VYBER	3000	19239	\N	\N	\N
1037746	3550	1996-07-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1037753	3550	1996-07-13	PRIJEM	VKLAD	13144	14144	\N	\N	\N
1037754	3550	1996-08-13	PRIJEM	VKLAD	13144	34024	\N	\N	\N
1037755	3550	1996-09-13	PRIJEM	VKLAD	13144	42778	\N	\N	\N
1037756	3550	1996-10-13	PRIJEM	VKLAD	13144	47886	\N	\N	\N
1037757	3550	1996-11-13	PRIJEM	VKLAD	13144	50821	\N	\N	\N
1037758	3550	1996-12-13	PRIJEM	VKLAD	19716	46967	\N	\N	\N
1037759	3550	1997-01-13	PRIJEM	VKLAD	13144	37277	\N	\N	\N
1037760	3550	1997-02-13	PRIJEM	VKLAD	13144	35686	\N	\N	\N
1037761	3550	1997-03-13	PRIJEM	VKLAD	13144	31649	\N	\N	\N
1037762	3550	1997-04-13	PRIJEM	VKLAD	13144	36143	\N	\N	\N
1037763	3550	1997-05-13	PRIJEM	VKLAD	13144	39649	\N	\N	\N
1037764	3550	1997-06-13	PRIJEM	VKLAD	19716	44073	\N	\N	\N
1037765	3550	1997-07-13	PRIJEM	VKLAD	13144	28759	\N	\N	\N
1037766	3550	1997-08-13	PRIJEM	VKLAD	13144	34635	\N	\N	\N
1037767	3550	1997-09-13	PRIJEM	VKLAD	13144	38834	\N	\N	\N
1037768	3550	1997-10-13	PRIJEM	VKLAD	13144	40950	\N	\N	\N
1037769	3550	1997-11-13	PRIJEM	VKLAD	13144	41617	\N	\N	\N
1037770	3550	1997-12-13	PRIJEM	VKLAD	19716	46571	\N	\N	\N
1037771	3550	1998-01-13	PRIJEM	VKLAD	13144	36631	\N	\N	\N
1037772	3550	1998-02-13	PRIJEM	VKLAD	13144	33355	\N	\N	\N
1037773	3550	1998-03-13	PRIJEM	VKLAD	13144	36049	\N	\N	\N
1037774	3550	1998-04-13	PRIJEM	VKLAD	13144	33631	\N	\N	\N
1037775	3550	1998-05-13	PRIJEM	VKLAD	13144	36923	\N	\N	\N
1037776	3550	1998-06-13	PRIJEM	VKLAD	19716	44701	\N	\N	\N
1037777	3550	1998-07-13	PRIJEM	VKLAD	13144	28551	\N	\N	\N
1037778	3550	1998-08-13	PRIJEM	VKLAD	13144	36738	\N	\N	\N
1037779	3550	1998-09-13	PRIJEM	VKLAD	13144	36240	\N	\N	\N
1037780	3550	1998-10-13	PRIJEM	VKLAD	13144	39143	\N	\N	\N
1037781	3550	1998-11-13	PRIJEM	VKLAD	13144	35350	\N	\N	\N
1037782	3550	1998-12-13	PRIJEM	VKLAD	19716	39440	\N	\N	\N
1037794	3550	1996-12-05	VYDAJ	PREVOD NA UCET	5262	30751	SIPO	CD	42492997
1037795	3550	1997-01-05	VYDAJ	PREVOD NA UCET	5262	27633	SIPO	CD	42492997
1037796	3550	1997-02-05	VYDAJ	PREVOD NA UCET	5262	26042	SIPO	CD	42492997
1037797	3550	1997-03-05	VYDAJ	PREVOD NA UCET	5262	27045	SIPO	CD	42492997
1037798	3550	1997-04-05	VYDAJ	PREVOD NA UCET	5262	26499	SIPO	CD	42492997
1037799	3550	1997-05-05	VYDAJ	PREVOD NA UCET	5262	30005	SIPO	CD	42492997
1037800	3550	1997-06-05	VYDAJ	PREVOD NA UCET	5262	27857	SIPO	CD	42492997
1037801	3550	1997-07-05	VYDAJ	PREVOD NA UCET	5262	19115	SIPO	CD	42492997
1037802	3550	1997-08-05	VYDAJ	PREVOD NA UCET	5262	24991	SIPO	CD	42492997
1037803	3550	1997-09-05	VYDAJ	PREVOD NA UCET	5262	29190	SIPO	CD	42492997
1037804	3550	1997-10-05	VYDAJ	PREVOD NA UCET	5262	31306	SIPO	CD	42492997
1037805	3550	1997-11-05	VYDAJ	PREVOD NA UCET	5262	37133	SIPO	CD	42492997
1037806	3550	1997-12-05	VYDAJ	PREVOD NA UCET	5262	30355	SIPO	CD	42492997
1037807	3550	1998-01-05	VYDAJ	PREVOD NA UCET	5262	26987	SIPO	CD	42492997
1037808	3550	1998-02-05	VYDAJ	PREVOD NA UCET	5262	27191	SIPO	CD	42492997
1037809	3550	1998-03-05	VYDAJ	PREVOD NA UCET	5262	26405	SIPO	CD	42492997
1037810	3550	1998-04-05	VYDAJ	PREVOD NA UCET	5262	23987	SIPO	CD	42492997
1037811	3550	1998-05-05	VYDAJ	PREVOD NA UCET	5262	27279	SIPO	CD	42492997
1037812	3550	1998-06-05	VYDAJ	PREVOD NA UCET	5262	28485	SIPO	CD	42492997
1037813	3550	1998-07-05	VYDAJ	PREVOD NA UCET	5262	24787	SIPO	CD	42492997
1037814	3550	1998-08-05	VYDAJ	PREVOD NA UCET	5262	27094	SIPO	CD	42492997
1037815	3550	1998-09-05	VYDAJ	PREVOD NA UCET	5262	26596	SIPO	CD	42492997
1037816	3550	1998-10-05	VYDAJ	PREVOD NA UCET	5262	29499	SIPO	CD	42492997
1037817	3550	1998-11-05	VYDAJ	PREVOD NA UCET	5262	25706	SIPO	CD	42492997
1037818	3550	1998-12-05	VYDAJ	PREVOD NA UCET	5262	26904	SIPO	CD	42492997
1037830	3550	1996-12-10	VYDAJ	PREVOD NA UCET	936	27251	 	AB	16933977
1037831	3550	1997-01-10	VYDAJ	PREVOD NA UCET	936	24133	 	AB	16933977
1037832	3550	1997-02-10	VYDAJ	PREVOD NA UCET	936	22542	 	AB	16933977
1037833	3550	1997-03-10	VYDAJ	PREVOD NA UCET	936	23545	 	AB	16933977
1037834	3550	1997-04-10	VYDAJ	PREVOD NA UCET	936	22999	 	AB	16933977
1037835	3550	1997-05-10	VYDAJ	PREVOD NA UCET	936	26505	 	AB	16933977
1037836	3550	1997-06-10	VYDAJ	PREVOD NA UCET	936	24357	 	AB	16933977
1037837	3550	1997-07-10	VYDAJ	PREVOD NA UCET	936	15615	 	AB	16933977
1037838	3550	1997-08-10	VYDAJ	PREVOD NA UCET	936	21491	 	AB	16933977
1037839	3550	1997-09-10	VYDAJ	PREVOD NA UCET	936	25690	 	AB	16933977
1037840	3550	1997-10-10	VYDAJ	PREVOD NA UCET	936	27806	 	AB	16933977
1037841	3550	1997-11-10	VYDAJ	PREVOD NA UCET	936	28473	 	AB	16933977
1037842	3550	1997-12-10	VYDAJ	PREVOD NA UCET	936	26855	 	AB	16933977
1037843	3550	1998-01-10	VYDAJ	PREVOD NA UCET	936	23487	 	AB	16933977
1037844	3550	1998-02-10	VYDAJ	PREVOD NA UCET	936	20211	 	AB	16933977
1037845	3550	1998-03-10	VYDAJ	PREVOD NA UCET	936	22905	 	AB	16933977
1037846	3550	1998-04-10	VYDAJ	PREVOD NA UCET	936	20487	 	AB	16933977
1037847	3550	1998-05-10	VYDAJ	PREVOD NA UCET	936	23779	 	AB	16933977
1037848	3550	1998-06-10	VYDAJ	PREVOD NA UCET	936	24985	 	AB	16933977
1037849	3550	1998-07-10	VYDAJ	PREVOD NA UCET	936	21287	 	AB	16933977
1037850	3550	1998-08-10	VYDAJ	PREVOD NA UCET	936	23594	 	AB	16933977
1037851	3550	1998-09-10	VYDAJ	PREVOD NA UCET	936	23096	 	AB	16933977
1037852	3550	1998-10-10	VYDAJ	PREVOD NA UCET	936	25999	 	AB	16933977
1037853	3550	1998-11-10	VYDAJ	PREVOD NA UCET	936	22206	 	AB	16933977
1037854	3550	1998-12-10	VYDAJ	PREVOD NA UCET	936	19724	 	AB	16933977
1037866	3550	1996-12-09	VYDAJ	PREVOD NA UCET	2564	28187	POJISTNE	QR	33730071
1037867	3550	1997-01-09	VYDAJ	PREVOD NA UCET	2564	25069	POJISTNE	QR	33730071
1037868	3550	1997-02-09	VYDAJ	PREVOD NA UCET	2564	23478	POJISTNE	QR	33730071
1037869	3550	1997-03-09	VYDAJ	PREVOD NA UCET	2564	24481	POJISTNE	QR	33730071
1037870	3550	1997-04-09	VYDAJ	PREVOD NA UCET	2564	23935	POJISTNE	QR	33730071
1037871	3550	1997-05-09	VYDAJ	PREVOD NA UCET	2564	27441	POJISTNE	QR	33730071
1037872	3550	1997-06-09	VYDAJ	PREVOD NA UCET	2564	25293	POJISTNE	QR	33730071
1037873	3550	1997-07-09	VYDAJ	PREVOD NA UCET	2564	16551	POJISTNE	QR	33730071
1037874	3550	1997-08-09	VYDAJ	PREVOD NA UCET	2564	22427	POJISTNE	QR	33730071
1037875	3550	1997-09-09	VYDAJ	PREVOD NA UCET	2564	26626	POJISTNE	QR	33730071
1037876	3550	1997-10-09	VYDAJ	PREVOD NA UCET	2564	28742	POJISTNE	QR	33730071
1037877	3550	1997-11-09	VYDAJ	PREVOD NA UCET	2564	29409	POJISTNE	QR	33730071
1037878	3550	1997-12-09	VYDAJ	PREVOD NA UCET	2564	27791	POJISTNE	QR	33730071
1037879	3550	1998-01-09	VYDAJ	PREVOD NA UCET	2564	24423	POJISTNE	QR	33730071
1037880	3550	1998-02-09	VYDAJ	PREVOD NA UCET	2564	21147	POJISTNE	QR	33730071
1037881	3550	1998-03-09	VYDAJ	PREVOD NA UCET	2564	23841	POJISTNE	QR	33730071
1037882	3550	1998-04-09	VYDAJ	PREVOD NA UCET	2564	21423	POJISTNE	QR	33730071
1037883	3550	1998-05-09	VYDAJ	PREVOD NA UCET	2564	24715	POJISTNE	QR	33730071
1037884	3550	1998-06-09	VYDAJ	PREVOD NA UCET	2564	25921	POJISTNE	QR	33730071
1037885	3550	1998-07-09	VYDAJ	PREVOD NA UCET	2564	22223	POJISTNE	QR	33730071
1037886	3550	1998-08-09	VYDAJ	PREVOD NA UCET	2564	24530	POJISTNE	QR	33730071
1037887	3550	1998-09-09	VYDAJ	PREVOD NA UCET	2564	24032	POJISTNE	QR	33730071
1037888	3550	1998-10-09	VYDAJ	PREVOD NA UCET	2564	26935	POJISTNE	QR	33730071
1037889	3550	1998-11-09	VYDAJ	PREVOD NA UCET	2564	23142	POJISTNE	QR	33730071
1037890	3550	1998-12-09	VYDAJ	PREVOD NA UCET	2564	24340	POJISTNE	QR	33730071
1037892	3550	1997-06-25	VYDAJ	VYBER	29920	14153	\N	\N	\N
1037893	3550	1998-06-13	VYDAJ	VYBER	16960	27741	\N	\N	\N
1037894	3550	1996-12-13	VYDAJ	VYBER	2560	44407	\N	\N	\N
1037895	3550	1997-12-29	VYDAJ	VYBER	3360	32111	\N	\N	\N
1037896	3550	1998-12-10	VYDAJ	VYBER	3680	20660	\N	\N	\N
1037899	3550	1996-12-16	VYDAJ	VYBER	4560	39847	\N	\N	\N
1037903	3550	1997-11-22	VYDAJ	VYBER	5040	36577	\N	\N	\N
1037904	3550	1997-03-11	VYDAJ	VYBER	5040	18505	\N	\N	\N
1037905	3550	1997-12-14	VYDAJ	VYBER	5400	41171	\N	\N	\N
1037906	3550	1997-11-05	VYDAJ	VYBER	3960	33173	\N	\N	\N
1037907	3550	1997-05-20	VYDAJ	VYBER	5160	34489	\N	\N	\N
1037908	3550	1997-11-08	VYDAJ	VYBER	1200	31973	\N	\N	\N
1037909	3550	1998-04-04	VYDAJ	VYBER	1920	29249	\N	\N	\N
1037910	3550	1998-02-08	VYDAJ	VYBER	3480	23711	\N	\N	\N
1037911	3550	1998-07-12	VYDAJ	VYBER	5880	15407	\N	\N	\N
1037923	3550	1996-11-30	VYDAJ	VYBER	15	51013	SLUZBY	\N	\N
1037924	3550	1996-12-31	VYDAJ	VYBER	15	39995	SLUZBY	\N	\N
1037925	3550	1997-01-31	VYDAJ	VYBER	15	31304	SLUZBY	\N	\N
1037926	3550	1997-02-28	VYDAJ	VYBER	15	35807	SLUZBY	\N	\N
1037927	3550	1997-03-31	VYDAJ	VYBER	15	31761	SLUZBY	\N	\N
1037928	3550	1997-04-30	VYDAJ	VYBER	15	36267	SLUZBY	\N	\N
1037929	3550	1997-05-31	VYDAJ	VYBER	15	33119	SLUZBY	\N	\N
1037930	3550	1997-06-30	VYDAJ	VYBER	15	24377	SLUZBY	\N	\N
1037931	3550	1997-07-31	VYDAJ	VYBER	15	30253	SLUZBY	\N	\N
1037932	3550	1997-08-31	VYDAJ	VYBER	15	34452	SLUZBY	\N	\N
1037933	3550	1997-09-30	VYDAJ	VYBER	15	36568	SLUZBY	\N	\N
1037934	3550	1997-10-31	VYDAJ	VYBER	15	42395	SLUZBY	\N	\N
1037935	3550	1997-11-30	VYDAJ	VYBER	15	35617	SLUZBY	\N	\N
1037936	3550	1997-12-31	VYDAJ	VYBER	15	32249	SLUZBY	\N	\N
1037937	3550	1998-01-31	VYDAJ	VYBER	15	32453	SLUZBY	\N	\N
1037938	3550	1998-02-28	VYDAJ	VYBER	15	31667	SLUZBY	\N	\N
1037939	3550	1998-03-31	VYDAJ	VYBER	15	31169	SLUZBY	\N	\N
1037940	3550	1998-04-30	VYDAJ	VYBER	15	32541	SLUZBY	\N	\N
1037941	3550	1998-05-31	VYDAJ	VYBER	15	33747	SLUZBY	\N	\N
1037942	3550	1998-06-30	VYDAJ	VYBER	15	30049	SLUZBY	\N	\N
1037943	3550	1998-07-31	VYDAJ	VYBER	15	32356	SLUZBY	\N	\N
1037944	3550	1998-08-31	VYDAJ	VYBER	15	31858	SLUZBY	\N	\N
1037945	3550	1998-09-30	VYDAJ	VYBER	15	34761	SLUZBY	\N	\N
1037946	3550	1998-10-31	VYDAJ	VYBER	15	30968	SLUZBY	\N	\N
1037947	3550	1998-11-30	VYDAJ	VYBER	15	32166	SLUZBY	\N	\N
1037948	3550	1996-08-03	PRIJEM	VKLAD	6700	20880	\N	\N	\N
1037949	3550	1996-09-02	VYDAJ	VYBER	4500	29634	\N	\N	\N
1037950	3550	1996-10-02	VYDAJ	VYBER	8200	34742	\N	\N	\N
1037951	3550	1996-11-01	VYDAJ	VYBER	10400	37677	\N	\N	\N
1037952	3550	1996-12-01	VYDAJ	VYBER	15000	36013	\N	\N	\N
1037953	3550	1996-12-31	VYDAJ	VYBER	7100	32895	\N	\N	\N
1037954	3550	1997-01-30	VYDAJ	VYBER	6100	31177	\N	\N	\N
1037955	3550	1997-03-01	VYDAJ	VYBER	3500	32307	\N	\N	\N
1037956	3550	1997-04-30	VYDAJ	VYBER	1000	35267	\N	\N	\N
1037957	3550	1997-05-30	VYDAJ	VYBER	1500	32989	\N	\N	\N
1037958	3550	1997-06-29	PRIJEM	VKLAD	10100	24253	\N	\N	\N
1037959	3550	1997-07-29	PRIJEM	VKLAD	1400	30159	\N	\N	\N
1037960	3550	1997-08-28	VYDAJ	VYBER	300	34335	\N	\N	\N
1037961	3550	1997-09-27	VYDAJ	VYBER	2400	36434	\N	\N	\N
1037962	3550	1997-10-27	PRIJEM	VKLAD	1300	42250	\N	\N	\N
1037963	3550	1997-11-26	VYDAJ	VYBER	1100	35477	\N	\N	\N
1037964	3550	1997-12-26	VYDAJ	VYBER	5700	35471	\N	\N	\N
1037965	3550	1998-01-25	VYDAJ	VYBER	4300	32331	\N	\N	\N
1037966	3550	1998-02-24	VYDAJ	VYBER	1800	31555	\N	\N	\N
1037967	3550	1998-03-26	VYDAJ	VYBER	5000	31049	\N	\N	\N
1037968	3550	1998-04-25	VYDAJ	VYBER	1200	32431	\N	\N	\N
1037969	3550	1998-05-25	VYDAJ	VYBER	3300	33623	\N	\N	\N
1037970	3550	1998-06-24	PRIJEM	VKLAD	2200	29941	\N	\N	\N
1037971	3550	1998-07-24	PRIJEM	VKLAD	3700	32251	\N	\N	\N
1037972	3550	1998-08-23	VYDAJ	VYBER	5000	31738	\N	\N	\N
1037973	3550	1998-09-22	VYDAJ	VYBER	1600	34640	\N	\N	\N
1037974	3550	1998-10-22	VYDAJ	VYBER	8300	30843	\N	\N	\N
1037975	3550	1998-11-21	VYDAJ	VYBER	3300	32050	\N	\N	\N
1038006	3551	1993-10-17	PRIJEM	VKLAD	700	700	\N	\N	\N
1038017	3551	1993-11-06	PRIJEM	PREVOD Z UCTU	3288	3988	\N	QR	81046956
1038018	3551	1993-12-06	PRIJEM	PREVOD Z UCTU	3288	17706	\N	QR	81046956
1038019	3551	1994-01-06	PRIJEM	PREVOD Z UCTU	3288	26573	\N	QR	81046956
1038020	3551	1994-02-06	PRIJEM	PREVOD Z UCTU	3288	29665	\N	QR	81046956
1038021	3551	1994-03-06	PRIJEM	PREVOD Z UCTU	3288	30765	\N	QR	81046956
1038022	3551	1994-04-06	PRIJEM	PREVOD Z UCTU	3288	31864	\N	QR	81046956
1038023	3551	1994-05-06	PRIJEM	PREVOD Z UCTU	3288	30284	\N	QR	81046956
1038024	3551	1994-06-06	PRIJEM	PREVOD Z UCTU	3288	29378	\N	QR	81046956
1038025	3551	1994-07-06	PRIJEM	PREVOD Z UCTU	3288	29442	\N	QR	81046956
1038026	3551	1994-08-06	PRIJEM	PREVOD Z UCTU	3288	31038	\N	QR	81046956
1038027	3551	1994-09-06	PRIJEM	PREVOD Z UCTU	3288	28783	\N	QR	81046956
1038028	3551	1994-10-06	PRIJEM	PREVOD Z UCTU	3288	29975	\N	QR	81046956
1038029	3551	1994-11-06	PRIJEM	PREVOD Z UCTU	3288	28265	\N	QR	81046956
1038030	3551	1994-12-06	PRIJEM	PREVOD Z UCTU	3288	28303	\N	QR	81046956
1038031	3551	1995-01-06	PRIJEM	PREVOD Z UCTU	3288	29193	\N	QR	81046956
1038032	3551	1995-02-06	PRIJEM	PREVOD Z UCTU	3288	22659	\N	QR	81046956
1038033	3551	1995-03-06	PRIJEM	PREVOD Z UCTU	3288	29543	\N	QR	81046956
1038034	3551	1995-04-06	PRIJEM	PREVOD Z UCTU	3288	31541	\N	QR	81046956
1038035	3551	1995-05-06	PRIJEM	PREVOD Z UCTU	3288	30238	\N	QR	81046956
1038036	3551	1995-06-06	PRIJEM	PREVOD Z UCTU	3288	29130	\N	QR	81046956
1038037	3551	1995-07-06	PRIJEM	PREVOD Z UCTU	3288	22590	\N	QR	81046956
1038038	3551	1995-08-06	PRIJEM	PREVOD Z UCTU	3288	24399	\N	QR	81046956
1038039	3551	1995-09-06	PRIJEM	PREVOD Z UCTU	3288	25875	\N	QR	81046956
1038040	3551	1995-10-06	PRIJEM	PREVOD Z UCTU	3288	28259	\N	QR	81046956
1038041	3551	1995-11-06	PRIJEM	PREVOD Z UCTU	3288	29048	\N	QR	81046956
1038042	3551	1995-12-06	PRIJEM	PREVOD Z UCTU	3288	30641	\N	QR	81046956
1038043	3551	1996-01-06	PRIJEM	PREVOD Z UCTU	3288	28780	\N	QR	81046956
1038044	3551	1996-02-06	PRIJEM	PREVOD Z UCTU	3288	31730	\N	QR	81046956
1038045	3551	1996-03-06	PRIJEM	PREVOD Z UCTU	3288	29979	\N	QR	81046956
1038046	3551	1996-04-06	PRIJEM	PREVOD Z UCTU	3288	31377	\N	QR	81046956
1038047	3551	1996-05-06	PRIJEM	PREVOD Z UCTU	3288	33480	\N	QR	81046956
1038048	3551	1996-06-06	PRIJEM	PREVOD Z UCTU	3288	32091	\N	QR	81046956
1038049	3551	1996-07-06	PRIJEM	PREVOD Z UCTU	3288	30894	\N	QR	81046956
1038050	3551	1996-08-06	PRIJEM	PREVOD Z UCTU	3288	31191	\N	QR	81046956
1038051	3551	1996-09-06	PRIJEM	PREVOD Z UCTU	3288	30893	\N	QR	81046956
1038052	3551	1996-10-06	PRIJEM	PREVOD Z UCTU	3288	31795	\N	QR	81046956
1038053	3551	1996-11-06	PRIJEM	PREVOD Z UCTU	3288	31799	\N	QR	81046956
1038054	3551	1996-12-06	PRIJEM	PREVOD Z UCTU	3288	35905	\N	QR	81046956
1038055	3551	1997-01-06	PRIJEM	PREVOD Z UCTU	3288	33304	\N	QR	81046956
1038056	3551	1997-02-06	PRIJEM	PREVOD Z UCTU	3288	31901	\N	QR	81046956
1038057	3551	1997-03-06	PRIJEM	PREVOD Z UCTU	3288	34005	\N	QR	81046956
1038058	3551	1997-04-06	PRIJEM	PREVOD Z UCTU	3288	35818	\N	QR	81046956
1038059	3551	1997-05-06	PRIJEM	PREVOD Z UCTU	3288	35878	\N	QR	81046956
1038060	3551	1997-06-06	PRIJEM	PREVOD Z UCTU	3288	31990	\N	QR	81046956
1038061	3551	1997-07-06	PRIJEM	PREVOD Z UCTU	3288	34998	\N	QR	81046956
1038062	3551	1997-08-06	PRIJEM	PREVOD Z UCTU	3288	39457	\N	QR	81046956
1038063	3551	1997-09-06	PRIJEM	PREVOD Z UCTU	3288	41494	\N	QR	81046956
1038064	3551	1997-10-06	PRIJEM	PREVOD Z UCTU	3288	37534	\N	QR	81046956
1038065	3551	1997-11-06	PRIJEM	PREVOD Z UCTU	3288	37260	\N	QR	81046956
1038066	3551	1997-12-06	PRIJEM	PREVOD Z UCTU	3288	34151	\N	QR	81046956
1038067	3551	1998-01-06	PRIJEM	PREVOD Z UCTU	3288	33992	\N	QR	81046956
1038068	3551	1998-02-06	PRIJEM	PREVOD Z UCTU	3288	33579	\N	QR	81046956
1038069	3551	1998-03-06	PRIJEM	PREVOD Z UCTU	3288	32166	\N	QR	81046956
1038070	3551	1998-04-06	PRIJEM	PREVOD Z UCTU	3288	27665	\N	QR	81046956
1038071	3551	1998-05-06	PRIJEM	PREVOD Z UCTU	3288	22844	\N	QR	81046956
1038072	3551	1998-06-06	PRIJEM	PREVOD Z UCTU	3288	18142	\N	QR	81046956
1038073	3551	1998-07-06	PRIJEM	PREVOD Z UCTU	3288	17686	\N	QR	81046956
1038074	3551	1998-08-06	PRIJEM	PREVOD Z UCTU	3288	18830	\N	QR	81046956
1038075	3551	1998-09-06	PRIJEM	PREVOD Z UCTU	3288	19978	\N	QR	81046956
1038076	3551	1998-10-06	PRIJEM	PREVOD Z UCTU	3288	19299	\N	QR	81046956
1038077	3551	1998-11-06	PRIJEM	PREVOD Z UCTU	3288	20449	\N	QR	81046956
1038078	3551	1998-12-06	PRIJEM	PREVOD Z UCTU	3288	20463	\N	QR	81046956
1038093	3551	1994-03-08	VYDAJ	PREVOD NA UCET	1769	28996	SIPO	QR	9448177
1038094	3551	1994-04-08	VYDAJ	PREVOD NA UCET	1769	30095	SIPO	QR	9448177
1038095	3551	1994-05-08	VYDAJ	PREVOD NA UCET	1769	28515	SIPO	QR	9448177
1038096	3551	1994-06-08	VYDAJ	PREVOD NA UCET	1769	27609	SIPO	QR	9448177
1038097	3551	1994-07-08	VYDAJ	PREVOD NA UCET	1769	27673	SIPO	QR	9448177
1038098	3551	1994-08-08	VYDAJ	PREVOD NA UCET	1769	29269	SIPO	QR	9448177
1038099	3551	1994-09-08	VYDAJ	PREVOD NA UCET	1769	27014	SIPO	QR	9448177
1038100	3551	1994-10-08	VYDAJ	PREVOD NA UCET	1769	28206	SIPO	QR	9448177
1038101	3551	1994-11-08	VYDAJ	PREVOD NA UCET	1769	26496	SIPO	QR	9448177
1038102	3551	1994-12-08	VYDAJ	PREVOD NA UCET	1769	26534	SIPO	QR	9448177
1038103	3551	1995-01-08	VYDAJ	PREVOD NA UCET	1769	27424	SIPO	QR	9448177
1038104	3551	1995-02-08	VYDAJ	PREVOD NA UCET	1769	20890	SIPO	QR	9448177
1038105	3551	1995-03-08	VYDAJ	PREVOD NA UCET	1769	27774	SIPO	QR	9448177
1038106	3551	1995-04-08	VYDAJ	PREVOD NA UCET	1769	29772	SIPO	QR	9448177
1038107	3551	1995-05-08	VYDAJ	PREVOD NA UCET	1769	28469	SIPO	QR	9448177
1038108	3551	1995-06-08	VYDAJ	PREVOD NA UCET	1769	27361	SIPO	QR	9448177
1038109	3551	1995-07-08	VYDAJ	PREVOD NA UCET	1769	20821	SIPO	QR	9448177
1038110	3551	1995-08-08	VYDAJ	PREVOD NA UCET	1769	22930	SIPO	QR	9448177
1038111	3551	1995-09-08	VYDAJ	PREVOD NA UCET	1769	25306	SIPO	QR	9448177
1038112	3551	1995-10-08	VYDAJ	PREVOD NA UCET	1769	26090	SIPO	QR	9448177
1038113	3551	1995-11-08	VYDAJ	PREVOD NA UCET	1769	27279	SIPO	QR	9448177
1038114	3551	1995-12-08	VYDAJ	PREVOD NA UCET	1769	28512	SIPO	QR	9448177
1038115	3551	1996-01-08	VYDAJ	PREVOD NA UCET	1769	27011	SIPO	QR	9448177
1038116	3551	1996-02-08	VYDAJ	PREVOD NA UCET	1769	29961	SIPO	QR	9448177
1038117	3551	1996-03-08	VYDAJ	PREVOD NA UCET	1769	28210	SIPO	QR	9448177
1038118	3551	1996-04-08	VYDAJ	PREVOD NA UCET	1769	29608	SIPO	QR	9448177
1038119	3551	1996-05-08	VYDAJ	PREVOD NA UCET	1769	31711	SIPO	QR	9448177
1038120	3551	1996-06-08	VYDAJ	PREVOD NA UCET	1769	30322	SIPO	QR	9448177
1038121	3551	1996-07-08	VYDAJ	PREVOD NA UCET	1769	29125	SIPO	QR	9448177
1038122	3551	1996-08-08	VYDAJ	PREVOD NA UCET	1769	29422	SIPO	QR	9448177
1038123	3551	1996-09-08	VYDAJ	PREVOD NA UCET	1769	29124	SIPO	QR	9448177
1038124	3551	1996-10-08	VYDAJ	PREVOD NA UCET	1769	30026	SIPO	QR	9448177
1038125	3551	1996-11-08	VYDAJ	PREVOD NA UCET	1769	30030	SIPO	QR	9448177
1038126	3551	1996-12-08	VYDAJ	PREVOD NA UCET	1769	34136	SIPO	QR	9448177
1038127	3551	1997-01-08	VYDAJ	PREVOD NA UCET	1769	31535	SIPO	QR	9448177
1038128	3551	1997-02-08	VYDAJ	PREVOD NA UCET	1769	30132	SIPO	QR	9448177
1038129	3551	1997-03-08	VYDAJ	PREVOD NA UCET	1769	32236	SIPO	QR	9448177
1038130	3551	1997-04-08	VYDAJ	PREVOD NA UCET	1769	34049	SIPO	QR	9448177
1038131	3551	1997-05-08	VYDAJ	PREVOD NA UCET	1769	34109	SIPO	QR	9448177
1038132	3551	1997-06-08	VYDAJ	PREVOD NA UCET	1769	30221	SIPO	QR	9448177
1038133	3551	1997-07-08	VYDAJ	PREVOD NA UCET	1769	33229	SIPO	QR	9448177
1038134	3551	1997-08-08	VYDAJ	PREVOD NA UCET	1769	37688	SIPO	QR	9448177
1038135	3551	1997-09-08	VYDAJ	PREVOD NA UCET	1769	39725	SIPO	QR	9448177
1038136	3551	1997-10-08	VYDAJ	PREVOD NA UCET	1769	35765	SIPO	QR	9448177
1038137	3551	1997-11-08	VYDAJ	PREVOD NA UCET	1769	35491	SIPO	QR	9448177
1038138	3551	1997-12-08	VYDAJ	PREVOD NA UCET	1769	32382	SIPO	QR	9448177
1038139	3551	1998-01-08	VYDAJ	PREVOD NA UCET	1769	32223	SIPO	QR	9448177
1038140	3551	1998-02-08	VYDAJ	PREVOD NA UCET	1769	31810	SIPO	QR	9448177
1038141	3551	1998-03-08	VYDAJ	PREVOD NA UCET	1769	30397	SIPO	QR	9448177
1038142	3551	1998-04-08	VYDAJ	PREVOD NA UCET	1769	25896	SIPO	QR	9448177
1038143	3551	1998-05-08	VYDAJ	PREVOD NA UCET	1769	21075	SIPO	QR	9448177
1038144	3551	1998-06-08	VYDAJ	PREVOD NA UCET	1769	16373	SIPO	QR	9448177
1038145	3551	1998-07-08	VYDAJ	PREVOD NA UCET	1769	15917	SIPO	QR	9448177
1038146	3551	1998-08-08	VYDAJ	PREVOD NA UCET	1769	17061	SIPO	QR	9448177
1038147	3551	1998-09-08	VYDAJ	PREVOD NA UCET	1769	18209	SIPO	QR	9448177
1038148	3551	1998-10-08	VYDAJ	PREVOD NA UCET	1769	17530	SIPO	QR	9448177
1038149	3551	1998-11-08	VYDAJ	PREVOD NA UCET	1769	18680	SIPO	QR	9448177
1038150	3551	1998-12-08	VYDAJ	PREVOD NA UCET	1769	18694	SIPO	QR	9448177
1038166	3551	1994-04-05	VYDAJ	PREVOD NA UCET	133	28576	 	EF	54634529
1038167	3551	1994-05-05	VYDAJ	PREVOD NA UCET	133	26996	 	EF	54634529
1038168	3551	1994-06-05	VYDAJ	PREVOD NA UCET	133	26090	 	EF	54634529
1038169	3551	1994-07-05	VYDAJ	PREVOD NA UCET	133	26154	 	EF	54634529
1038170	3551	1994-08-05	VYDAJ	PREVOD NA UCET	133	27750	 	EF	54634529
1038171	3551	1994-09-05	VYDAJ	PREVOD NA UCET	133	25495	 	EF	54634529
1038172	3551	1994-10-05	VYDAJ	PREVOD NA UCET	133	26687	 	EF	54634529
1038173	3551	1994-11-05	VYDAJ	PREVOD NA UCET	133	24977	 	EF	54634529
1038174	3551	1994-12-05	VYDAJ	PREVOD NA UCET	133	25015	 	EF	54634529
1038175	3551	1995-01-05	VYDAJ	PREVOD NA UCET	133	25905	 	EF	54634529
1038176	3551	1995-02-05	VYDAJ	PREVOD NA UCET	133	19371	 	EF	54634529
1038177	3551	1995-03-05	VYDAJ	PREVOD NA UCET	133	26255	 	EF	54634529
1038178	3551	1995-04-05	VYDAJ	PREVOD NA UCET	133	28253	 	EF	54634529
1038179	3551	1995-05-05	VYDAJ	PREVOD NA UCET	133	26950	 	EF	54634529
1038180	3551	1995-06-05	VYDAJ	PREVOD NA UCET	133	25842	 	EF	54634529
1038181	3551	1995-07-05	VYDAJ	PREVOD NA UCET	133	19302	 	EF	54634529
1038182	3551	1995-08-05	VYDAJ	PREVOD NA UCET	133	21111	 	EF	54634529
1038183	3551	1995-09-05	VYDAJ	PREVOD NA UCET	133	22587	 	EF	54634529
1038184	3551	1995-10-05	VYDAJ	PREVOD NA UCET	133	24971	 	EF	54634529
1038185	3551	1995-11-05	VYDAJ	PREVOD NA UCET	133	25760	 	EF	54634529
1038186	3551	1995-12-05	VYDAJ	PREVOD NA UCET	133	26953	 	EF	54634529
1038187	3551	1996-01-05	VYDAJ	PREVOD NA UCET	133	28192	 	EF	54634529
1038188	3551	1996-02-05	VYDAJ	PREVOD NA UCET	133	28442	 	EF	54634529
1038189	3551	1996-03-05	VYDAJ	PREVOD NA UCET	133	28591	 	EF	54634529
1038190	3551	1996-04-05	VYDAJ	PREVOD NA UCET	133	28089	 	EF	54634529
1038191	3551	1996-05-05	VYDAJ	PREVOD NA UCET	133	30192	 	EF	54634529
1038192	3551	1996-06-05	VYDAJ	PREVOD NA UCET	133	28803	 	EF	54634529
1038193	3551	1996-07-05	VYDAJ	PREVOD NA UCET	133	27606	 	EF	54634529
1038194	3551	1996-08-05	VYDAJ	PREVOD NA UCET	133	27903	 	EF	54634529
1038195	3551	1996-09-05	VYDAJ	PREVOD NA UCET	133	27605	 	EF	54634529
1038196	3551	1996-10-05	VYDAJ	PREVOD NA UCET	133	28507	 	EF	54634529
1038197	3551	1996-11-05	VYDAJ	PREVOD NA UCET	133	28511	 	EF	54634529
1038198	3551	1996-12-05	VYDAJ	PREVOD NA UCET	133	32617	 	EF	54634529
1038199	3551	1997-01-05	VYDAJ	PREVOD NA UCET	133	30016	 	EF	54634529
1038200	3551	1997-02-05	VYDAJ	PREVOD NA UCET	133	28613	 	EF	54634529
1038201	3551	1997-03-05	VYDAJ	PREVOD NA UCET	133	30717	 	EF	54634529
1038202	3551	1997-04-05	VYDAJ	PREVOD NA UCET	133	32530	 	EF	54634529
1038203	3551	1997-05-05	VYDAJ	PREVOD NA UCET	133	32590	 	EF	54634529
1038204	3551	1997-06-05	VYDAJ	PREVOD NA UCET	133	28702	 	EF	54634529
1038205	3551	1997-07-05	VYDAJ	PREVOD NA UCET	133	31710	 	EF	54634529
1038206	3551	1997-08-05	VYDAJ	PREVOD NA UCET	133	36169	 	EF	54634529
1038207	3551	1997-09-05	VYDAJ	PREVOD NA UCET	133	38206	 	EF	54634529
1038208	3551	1997-10-05	VYDAJ	PREVOD NA UCET	133	34246	 	EF	54634529
1038209	3551	1997-11-05	VYDAJ	PREVOD NA UCET	133	33972	 	EF	54634529
1038210	3551	1997-12-05	VYDAJ	PREVOD NA UCET	133	30863	 	EF	54634529
1038211	3551	1998-01-05	VYDAJ	PREVOD NA UCET	133	30704	 	EF	54634529
1038212	3551	1998-02-05	VYDAJ	PREVOD NA UCET	133	30291	 	EF	54634529
1038213	3551	1998-03-05	VYDAJ	PREVOD NA UCET	133	28878	 	EF	54634529
1038214	3551	1998-04-05	VYDAJ	PREVOD NA UCET	133	24377	 	EF	54634529
1038215	3551	1998-05-05	VYDAJ	PREVOD NA UCET	133	19556	 	EF	54634529
1038216	3551	1998-06-05	VYDAJ	PREVOD NA UCET	133	14854	 	EF	54634529
1038217	3551	1998-07-05	VYDAJ	PREVOD NA UCET	133	14398	 	EF	54634529
1038218	3551	1998-08-05	VYDAJ	PREVOD NA UCET	133	15542	 	EF	54634529
1038219	3551	1998-09-05	VYDAJ	PREVOD NA UCET	133	16690	 	EF	54634529
1038220	3551	1998-10-05	VYDAJ	PREVOD NA UCET	133	16011	 	EF	54634529
1038221	3551	1998-11-05	VYDAJ	PREVOD NA UCET	133	17161	 	EF	54634529
1038222	3551	1998-12-05	VYDAJ	PREVOD NA UCET	133	17175	 	EF	54634529
1038237	3551	1994-03-11	VYDAJ	PREVOD NA UCET	290	28706	POJISTNE	GH	22486317
1038238	3551	1994-04-11	VYDAJ	PREVOD NA UCET	290	29805	POJISTNE	GH	22486317
1038239	3551	1994-05-11	VYDAJ	PREVOD NA UCET	290	28225	POJISTNE	GH	22486317
1038240	3551	1994-06-11	VYDAJ	PREVOD NA UCET	290	27319	POJISTNE	GH	22486317
1038241	3551	1994-07-11	VYDAJ	PREVOD NA UCET	290	27383	POJISTNE	GH	22486317
1038242	3551	1994-08-11	VYDAJ	PREVOD NA UCET	290	28979	POJISTNE	GH	22486317
1038243	3551	1994-09-11	VYDAJ	PREVOD NA UCET	290	26724	POJISTNE	GH	22486317
1038244	3551	1994-10-11	VYDAJ	PREVOD NA UCET	290	27916	POJISTNE	GH	22486317
1038245	3551	1994-11-11	VYDAJ	PREVOD NA UCET	290	26206	POJISTNE	GH	22486317
1038246	3551	1994-12-11	VYDAJ	PREVOD NA UCET	290	26244	POJISTNE	GH	22486317
1038247	3551	1995-01-11	VYDAJ	PREVOD NA UCET	290	25034	POJISTNE	GH	22486317
1038248	3551	1995-02-11	VYDAJ	PREVOD NA UCET	290	26300	POJISTNE	GH	22486317
1038249	3551	1995-03-11	VYDAJ	PREVOD NA UCET	290	28284	POJISTNE	GH	22486317
1038250	3551	1995-04-11	VYDAJ	PREVOD NA UCET	290	26982	POJISTNE	GH	22486317
1038251	3551	1995-05-11	VYDAJ	PREVOD NA UCET	290	25879	POJISTNE	GH	22486317
1038252	3551	1995-06-11	VYDAJ	PREVOD NA UCET	290	27271	POJISTNE	GH	22486317
1038253	3551	1995-07-11	VYDAJ	PREVOD NA UCET	290	21831	POJISTNE	GH	22486317
1038254	3551	1995-08-11	VYDAJ	PREVOD NA UCET	290	22640	POJISTNE	GH	22486317
1038255	3551	1995-09-11	VYDAJ	PREVOD NA UCET	290	25016	POJISTNE	GH	22486317
1038256	3551	1995-10-11	VYDAJ	PREVOD NA UCET	290	25800	POJISTNE	GH	22486317
1038257	3551	1995-11-11	VYDAJ	PREVOD NA UCET	290	26989	POJISTNE	GH	22486317
1038258	3551	1995-12-11	VYDAJ	PREVOD NA UCET	290	28222	POJISTNE	GH	22486317
1038259	3551	1996-01-11	VYDAJ	PREVOD NA UCET	290	26721	POJISTNE	GH	22486317
1038260	3551	1996-02-11	VYDAJ	PREVOD NA UCET	290	29671	POJISTNE	GH	22486317
1038261	3551	1996-03-11	VYDAJ	PREVOD NA UCET	290	27920	POJISTNE	GH	22486317
1038262	3551	1996-04-11	VYDAJ	PREVOD NA UCET	290	29318	POJISTNE	GH	22486317
1038263	3551	1996-05-11	VYDAJ	PREVOD NA UCET	290	31421	POJISTNE	GH	22486317
1038264	3551	1996-06-11	VYDAJ	PREVOD NA UCET	290	30032	POJISTNE	GH	22486317
1038265	3551	1996-07-11	VYDAJ	PREVOD NA UCET	290	28835	POJISTNE	GH	22486317
1038266	3551	1996-08-11	VYDAJ	PREVOD NA UCET	290	29132	POJISTNE	GH	22486317
1038267	3551	1996-09-11	VYDAJ	PREVOD NA UCET	290	28834	POJISTNE	GH	22486317
1038268	3551	1996-10-11	VYDAJ	PREVOD NA UCET	290	29736	POJISTNE	GH	22486317
1038269	3551	1996-11-11	VYDAJ	PREVOD NA UCET	290	29740	POJISTNE	GH	22486317
1038270	3551	1996-12-11	VYDAJ	PREVOD NA UCET	290	33846	POJISTNE	GH	22486317
1038271	3551	1997-01-11	VYDAJ	PREVOD NA UCET	290	31245	POJISTNE	GH	22486317
1038272	3551	1997-02-11	VYDAJ	PREVOD NA UCET	290	29842	POJISTNE	GH	22486317
1038273	3551	1997-03-11	VYDAJ	PREVOD NA UCET	290	31946	POJISTNE	GH	22486317
1038274	3551	1997-04-11	VYDAJ	PREVOD NA UCET	290	33759	POJISTNE	GH	22486317
1038275	3551	1997-05-11	VYDAJ	PREVOD NA UCET	290	33819	POJISTNE	GH	22486317
1038276	3551	1997-06-11	VYDAJ	PREVOD NA UCET	290	29931	POJISTNE	GH	22486317
1038277	3551	1997-07-11	VYDAJ	PREVOD NA UCET	290	32939	POJISTNE	GH	22486317
1038278	3551	1997-08-11	VYDAJ	PREVOD NA UCET	290	37398	POJISTNE	GH	22486317
1038279	3551	1997-09-11	VYDAJ	PREVOD NA UCET	290	39435	POJISTNE	GH	22486317
1038280	3551	1997-10-11	VYDAJ	PREVOD NA UCET	290	35475	POJISTNE	GH	22486317
1038281	3551	1997-11-11	VYDAJ	PREVOD NA UCET	290	35201	POJISTNE	GH	22486317
1038282	3551	1997-12-11	VYDAJ	PREVOD NA UCET	290	32092	POJISTNE	GH	22486317
1038283	3551	1998-01-11	VYDAJ	PREVOD NA UCET	290	30703	POJISTNE	GH	22486317
1038284	3551	1998-02-11	VYDAJ	PREVOD NA UCET	290	30500	POJISTNE	GH	22486317
1038285	3551	1998-03-11	VYDAJ	PREVOD NA UCET	290	30107	POJISTNE	GH	22486317
1038286	3551	1998-04-11	VYDAJ	PREVOD NA UCET	290	25606	POJISTNE	GH	22486317
1038287	3551	1998-05-11	VYDAJ	PREVOD NA UCET	290	20125	POJISTNE	GH	22486317
1038288	3551	1998-06-11	VYDAJ	PREVOD NA UCET	290	16083	POJISTNE	GH	22486317
1038289	3551	1998-07-11	VYDAJ	PREVOD NA UCET	290	15627	POJISTNE	GH	22486317
1038290	3551	1998-08-11	VYDAJ	PREVOD NA UCET	290	16771	POJISTNE	GH	22486317
1038291	3551	1998-09-11	VYDAJ	PREVOD NA UCET	290	17919	POJISTNE	GH	22486317
1038292	3551	1998-10-11	VYDAJ	PREVOD NA UCET	290	17240	POJISTNE	GH	22486317
1038293	3551	1998-11-11	VYDAJ	PREVOD NA UCET	290	18390	POJISTNE	GH	22486317
1038294	3551	1998-12-11	VYDAJ	PREVOD NA UCET	290	18404	POJISTNE	GH	22486317
1038296	3551	1994-06-20	VYDAJ	VYBER	1830	26189	\N	\N	\N
1038297	3551	1995-06-18	VYDAJ	VYBER	7920	19351	\N	\N	\N
1038298	3551	1996-06-18	VYDAJ	VYBER	7170	22862	\N	\N	\N
1038299	3551	1997-06-05	VYDAJ	VYBER	5610	28835	\N	\N	\N
1038303	3551	1995-01-11	VYDAJ	VYBER	1050	23984	\N	\N	\N
1038304	3551	1996-01-16	VYDAJ	VYBER	1050	25671	\N	\N	\N
1038305	3551	1997-01-18	VYDAJ	VYBER	1020	29535	\N	\N	\N
1038306	3551	1998-01-12	VYDAJ	VYBER	690	30013	\N	\N	\N
1038308	3551	1994-12-03	VYDAJ	VYBER	450	25148	\N	\N	\N
1038309	3551	1995-12-06	VYDAJ	VYBER	360	30281	\N	\N	\N
1038310	3551	1996-12-21	VYDAJ	VYBER	420	33426	\N	\N	\N
1038311	3551	1997-12-23	VYDAJ	VYBER	870	31222	\N	\N	\N
1038312	3551	1998-12-29	VYDAJ	VYBER	180	18224	\N	\N	\N
1038318	3551	1994-08-24	VYDAJ	VYBER	750	25529	\N	\N	\N
1038319	3551	1994-04-23	VYDAJ	VYBER	180	27025	\N	\N	\N
1038320	3551	1995-01-13	VYDAJ	VYBER	750	22994	\N	\N	\N
1038321	3551	1995-01-12	VYDAJ	VYBER	240	23744	\N	\N	\N
1038322	3551	1995-07-22	VYDAJ	VYBER	660	21171	\N	\N	\N
1038323	3551	1995-01-14	VYDAJ	VYBER	1440	21554	\N	\N	\N
1038324	3551	1995-01-27	VYDAJ	VYBER	1050	19424	\N	\N	\N
1038325	3551	1995-01-15	VYDAJ	VYBER	1080	20474	\N	\N	\N
1038326	3551	1996-02-14	VYDAJ	VYBER	1050	28621	\N	\N	\N
1038327	3551	1996-01-17	VYDAJ	VYBER	990	24681	\N	\N	\N
1038328	3551	1996-06-20	VYDAJ	VYBER	1020	21842	\N	\N	\N
1038329	3551	1997-08-01	VYDAJ	VYBER	960	36302	\N	\N	\N
1038330	3551	1997-01-14	VYDAJ	VYBER	690	30555	\N	\N	\N
1038331	3551	1997-05-04	VYDAJ	VYBER	1290	32723	\N	\N	\N
1038332	3551	1997-04-20	VYDAJ	VYBER	570	33189	\N	\N	\N
1038333	3551	1997-11-12	VYDAJ	VYBER	930	34271	\N	\N	\N
1038334	3551	1998-11-24	VYDAJ	VYBER	1140	17250	\N	\N	\N
1038335	3551	1998-02-10	VYDAJ	VYBER	1020	30790	\N	\N	\N
1038336	3551	1998-01-10	VYDAJ	VYBER	1230	30993	\N	\N	\N
1038337	3551	1998-09-15	VYDAJ	VYBER	1110	16809	\N	\N	\N
1038338	3551	1998-05-10	VYDAJ	VYBER	660	20415	\N	\N	\N
1038339	3551	1998-10-03	VYDAJ	VYBER	720	16144	\N	\N	\N
1038355	3551	1994-03-31	VYDAJ	VYBER	15	28709	SLUZBY	\N	\N
1038356	3551	1994-04-30	VYDAJ	VYBER	15	27129	SLUZBY	\N	\N
1038357	3551	1994-05-31	VYDAJ	VYBER	15	26223	SLUZBY	\N	\N
1038358	3551	1994-06-30	VYDAJ	VYBER	15	26287	SLUZBY	\N	\N
1038359	3551	1994-07-31	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
1038360	3551	1994-08-31	VYDAJ	VYBER	15	25628	SLUZBY	\N	\N
1038361	3551	1994-09-30	VYDAJ	VYBER	15	26820	SLUZBY	\N	\N
1038362	3551	1994-10-31	VYDAJ	VYBER	15	25110	SLUZBY	\N	\N
1038363	3551	1994-11-30	VYDAJ	VYBER	15	25598	SLUZBY	\N	\N
1038364	3551	1994-12-31	VYDAJ	VYBER	15	26038	SLUZBY	\N	\N
1038365	3551	1995-01-31	VYDAJ	VYBER	15	19504	SLUZBY	\N	\N
1038366	3551	1995-02-28	VYDAJ	VYBER	15	26388	SLUZBY	\N	\N
1038367	3551	1995-03-31	VYDAJ	VYBER	15	28386	SLUZBY	\N	\N
1038368	3551	1995-04-30	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
1038369	3551	1995-05-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
1038370	3551	1995-06-30	VYDAJ	VYBER	15	19435	SLUZBY	\N	\N
1038371	3551	1995-07-31	VYDAJ	VYBER	15	21244	SLUZBY	\N	\N
1038372	3551	1995-08-31	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
1038373	3551	1995-09-30	VYDAJ	VYBER	15	25104	SLUZBY	\N	\N
1038374	3551	1995-10-31	VYDAJ	VYBER	15	25893	SLUZBY	\N	\N
1038375	3551	1995-11-30	VYDAJ	VYBER	15	27086	SLUZBY	\N	\N
1038376	3551	1995-12-31	VYDAJ	VYBER	15	28325	SLUZBY	\N	\N
1038377	3551	1996-01-31	VYDAJ	VYBER	15	24775	SLUZBY	\N	\N
1038378	3551	1996-02-29	VYDAJ	VYBER	15	28724	SLUZBY	\N	\N
1038379	3551	1996-03-31	VYDAJ	VYBER	15	28022	SLUZBY	\N	\N
1038380	3551	1996-04-30	VYDAJ	VYBER	15	29425	SLUZBY	\N	\N
1038381	3551	1996-05-31	VYDAJ	VYBER	15	31536	SLUZBY	\N	\N
1038382	3551	1996-06-30	VYDAJ	VYBER	15	21939	SLUZBY	\N	\N
1038383	3551	1996-07-31	VYDAJ	VYBER	15	28936	SLUZBY	\N	\N
1038384	3551	1996-08-31	VYDAJ	VYBER	15	29238	SLUZBY	\N	\N
1038385	3551	1996-09-30	VYDAJ	VYBER	15	28940	SLUZBY	\N	\N
1038386	3551	1996-10-31	VYDAJ	VYBER	15	29844	SLUZBY	\N	\N
1038387	3551	1996-11-30	VYDAJ	VYBER	15	32750	SLUZBY	\N	\N
1038388	3551	1996-12-31	VYDAJ	VYBER	15	30149	SLUZBY	\N	\N
1038389	3551	1997-01-31	VYDAJ	VYBER	15	28746	SLUZBY	\N	\N
1038390	3551	1997-02-28	VYDAJ	VYBER	15	30850	SLUZBY	\N	\N
1038391	3551	1997-03-31	VYDAJ	VYBER	15	32663	SLUZBY	\N	\N
1038392	3551	1997-04-30	VYDAJ	VYBER	15	34013	SLUZBY	\N	\N
1038393	3551	1997-05-31	VYDAJ	VYBER	15	34445	SLUZBY	\N	\N
1038394	3551	1997-06-30	VYDAJ	VYBER	15	31843	SLUZBY	\N	\N
1038395	3551	1997-07-31	VYDAJ	VYBER	15	37262	SLUZBY	\N	\N
1038396	3551	1997-08-31	VYDAJ	VYBER	15	38339	SLUZBY	\N	\N
1038397	3551	1997-09-30	VYDAJ	VYBER	15	34379	SLUZBY	\N	\N
1038398	3551	1997-10-31	VYDAJ	VYBER	15	34105	SLUZBY	\N	\N
1038399	3551	1997-11-30	VYDAJ	VYBER	15	30996	SLUZBY	\N	\N
1038400	3551	1997-12-31	VYDAJ	VYBER	15	30837	SLUZBY	\N	\N
1038401	3551	1998-01-31	VYDAJ	VYBER	15	30424	SLUZBY	\N	\N
1038402	3551	1998-02-28	VYDAJ	VYBER	15	29011	SLUZBY	\N	\N
1038403	3551	1998-03-31	VYDAJ	VYBER	15	24510	SLUZBY	\N	\N
1038404	3551	1998-04-30	VYDAJ	VYBER	15	19689	SLUZBY	\N	\N
1038405	3551	1998-05-31	VYDAJ	VYBER	15	14987	SLUZBY	\N	\N
1038406	3551	1998-06-30	VYDAJ	VYBER	15	14531	SLUZBY	\N	\N
1038407	3551	1998-07-31	VYDAJ	VYBER	15	15675	SLUZBY	\N	\N
1038408	3551	1998-08-31	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
1038409	3551	1998-09-30	VYDAJ	VYBER	15	16864	SLUZBY	\N	\N
1038410	3551	1998-10-31	VYDAJ	VYBER	15	17294	SLUZBY	\N	\N
1038411	3551	1998-11-30	VYDAJ	VYBER	15	17308	SLUZBY	\N	\N
1038412	3551	1993-11-16	PRIJEM	VKLAD	10400	14388	\N	\N	\N
1038413	3551	1993-12-16	PRIJEM	VKLAD	5500	23206	\N	\N	\N
1038414	3551	1994-01-15	VYDAJ	VYBER	300	26273	\N	\N	\N
1038415	3551	1994-02-14	VYDAJ	VYBER	2300	27365	\N	\N	\N
1038416	3551	1994-03-16	VYDAJ	VYBER	100	28606	\N	\N	\N
1038417	3551	1994-04-15	VYDAJ	VYBER	2600	27205	\N	\N	\N
1038418	3551	1994-05-15	VYDAJ	VYBER	2100	26125	\N	\N	\N
1038419	3551	1994-06-14	PRIJEM	VKLAD	700	28019	\N	\N	\N
1038420	3551	1994-07-14	PRIJEM	VKLAD	400	27783	\N	\N	\N
1038421	3551	1994-08-13	VYDAJ	VYBER	2700	26279	\N	\N	\N
1038422	3551	1994-10-12	VYDAJ	VYBER	2900	25016	\N	\N	\N
1038423	3551	1994-11-11	VYDAJ	VYBER	700	25506	\N	\N	\N
1038424	3551	1994-12-11	VYDAJ	VYBER	300	25944	\N	\N	\N
1038425	3551	1995-01-10	VYDAJ	VYBER	2100	25324	\N	\N	\N
1038426	3551	1995-02-09	PRIJEM	VKLAD	5700	26590	\N	\N	\N
1038427	3551	1995-03-11	PRIJEM	VKLAD	800	28574	\N	\N	\N
1038428	3551	1995-04-10	VYDAJ	VYBER	2500	27272	\N	\N	\N
1038429	3551	1995-05-10	VYDAJ	VYBER	2300	26169	\N	\N	\N
1038430	3551	1995-06-09	PRIJEM	VKLAD	200	27561	\N	\N	\N
1038431	3551	1995-07-09	PRIJEM	VKLAD	1300	22121	\N	\N	\N
1038432	3551	1995-08-08	PRIJEM	VKLAD	300	24699	\N	\N	\N
1038433	3551	1995-09-07	PRIJEM	VKLAD	1200	27075	\N	\N	\N
1038434	3551	1995-10-07	VYDAJ	VYBER	400	27859	\N	\N	\N
1038435	3551	1995-12-06	PRIJEM	VKLAD	400	27353	\N	\N	\N
1038436	3551	1996-01-05	VYDAJ	VYBER	2700	25492	\N	\N	\N
1038437	3551	1996-02-04	PRIJEM	VKLAD	3800	28575	\N	\N	\N
1038438	3551	1996-03-05	VYDAJ	VYBER	1900	26691	\N	\N	\N
1038439	3551	1996-04-04	PRIJEM	VKLAD	200	28222	\N	\N	\N
1038440	3551	1996-05-04	PRIJEM	VKLAD	900	30325	\N	\N	\N
1038441	3551	1996-06-03	VYDAJ	VYBER	2600	28936	\N	\N	\N
1038442	3551	1996-07-03	PRIJEM	VKLAD	5800	27739	\N	\N	\N
1038443	3551	1996-08-02	VYDAJ	VYBER	900	28036	\N	\N	\N
1038444	3551	1996-09-01	VYDAJ	VYBER	1500	27738	\N	\N	\N
1038445	3551	1996-10-01	VYDAJ	VYBER	300	28640	\N	\N	\N
1038446	3551	1996-10-31	VYDAJ	VYBER	1200	28644	\N	\N	\N
1038447	3551	1996-11-30	PRIJEM	VKLAD	2900	32640	\N	\N	\N
1038448	3551	1996-12-30	VYDAJ	VYBER	3400	30026	\N	\N	\N
1038449	3551	1997-01-29	VYDAJ	VYBER	900	28635	\N	\N	\N
1038450	3551	1997-02-28	PRIJEM	VKLAD	900	30742	\N	\N	\N
1038451	3551	1997-03-30	PRIJEM	VKLAD	600	32546	\N	\N	\N
1038452	3551	1997-04-29	PRIJEM	VKLAD	700	33889	\N	\N	\N
1038453	3551	1997-05-29	PRIJEM	VKLAD	500	34319	\N	\N	\N
1038454	3551	1997-06-28	PRIJEM	VKLAD	1800	31731	\N	\N	\N
1038455	3551	1997-07-28	PRIJEM	VKLAD	4200	37139	\N	\N	\N
1038456	3551	1997-08-27	PRIJEM	VKLAD	800	38198	\N	\N	\N
1038457	3551	1997-09-26	VYDAJ	VYBER	5200	34235	\N	\N	\N
1038458	3551	1997-10-26	VYDAJ	VYBER	1500	33975	\N	\N	\N
1038459	3551	1997-11-25	VYDAJ	VYBER	3400	30871	\N	\N	\N
1038460	3551	1997-12-25	VYDAJ	VYBER	500	30722	\N	\N	\N
1038461	3551	1998-01-24	PRIJEM	VKLAD	300	30313	\N	\N	\N
1038462	3551	1998-02-23	VYDAJ	VYBER	1600	28900	\N	\N	\N
1038463	3551	1998-03-25	VYDAJ	VYBER	5700	24407	\N	\N	\N
1038464	3551	1998-04-24	VYDAJ	VYBER	6000	19606	\N	\N	\N
1038465	3551	1998-05-24	VYDAJ	VYBER	5200	14925	\N	\N	\N
1038466	3551	1998-06-23	VYDAJ	VYBER	1600	14483	\N	\N	\N
1038529	3552	1995-09-06	PRIJEM	VKLAD	300	300	\N	\N	\N
1038538	3552	1995-09-09	PRIJEM	VKLAD	11473	11773	\N	\N	\N
1038539	3552	1995-10-09	PRIJEM	VKLAD	11473	32582	\N	\N	\N
1038540	3552	1995-11-09	PRIJEM	VKLAD	11473	38768	\N	\N	\N
1038541	3552	1995-12-09	PRIJEM	VKLAD	17210	48833	\N	\N	\N
1038542	3552	1996-01-09	PRIJEM	VKLAD	11473	52398	\N	\N	\N
1038543	3552	1996-02-09	PRIJEM	VKLAD	11473	41631	\N	\N	\N
1038544	3552	1996-03-09	PRIJEM	VKLAD	11473	44290	\N	\N	\N
1038545	3552	1996-04-09	PRIJEM	VKLAD	11473	42254	\N	\N	\N
1038546	3552	1996-05-09	PRIJEM	VKLAD	11473	41615	\N	\N	\N
1038547	3552	1996-06-09	PRIJEM	VKLAD	17210	33029	\N	\N	\N
1038548	3552	1996-07-09	PRIJEM	VKLAD	11473	40553	\N	\N	\N
1038549	3552	1996-08-09	PRIJEM	VKLAD	11473	49496	\N	\N	\N
1038550	3552	1996-09-09	PRIJEM	VKLAD	11473	52094	\N	\N	\N
1038551	3552	1996-10-09	PRIJEM	VKLAD	11473	50865	\N	\N	\N
1038552	3552	1996-11-09	PRIJEM	VKLAD	11473	54156	\N	\N	\N
1038553	3552	1996-12-09	PRIJEM	VKLAD	17210	59325	\N	\N	\N
1038554	3552	1997-01-09	PRIJEM	VKLAD	11473	54857	\N	\N	\N
1038555	3552	1997-02-09	PRIJEM	VKLAD	11473	46413	\N	\N	\N
1038556	3552	1997-03-09	PRIJEM	VKLAD	11473	54584	\N	\N	\N
1038557	3552	1997-04-09	PRIJEM	VKLAD	11473	57411	\N	\N	\N
1038558	3552	1997-05-09	PRIJEM	VKLAD	11473	64828	\N	\N	\N
1038559	3552	1997-06-09	PRIJEM	VKLAD	17210	62690	\N	\N	\N
1038560	3552	1997-07-09	PRIJEM	VKLAD	11473	70839	\N	\N	\N
1038561	3552	1997-08-09	PRIJEM	VKLAD	11473	71207	\N	\N	\N
1038562	3552	1997-09-09	PRIJEM	VKLAD	11473	73579	\N	\N	\N
1038563	3552	1997-10-09	PRIJEM	VKLAD	11473	73558	\N	\N	\N
1038564	3552	1997-11-09	PRIJEM	VKLAD	11473	70509	\N	\N	\N
1038565	3552	1997-12-09	PRIJEM	VKLAD	17210	78713	\N	\N	\N
1038566	3552	1998-01-09	PRIJEM	VKLAD	11473	79521	\N	\N	\N
1038567	3552	1998-02-09	PRIJEM	VKLAD	11473	69545	\N	\N	\N
1038568	3552	1998-03-09	PRIJEM	VKLAD	11473	75118	\N	\N	\N
1038569	3552	1998-04-09	PRIJEM	VKLAD	11473	79506	\N	\N	\N
1038570	3552	1998-05-09	PRIJEM	VKLAD	11473	83133	\N	\N	\N
1038571	3552	1998-06-09	PRIJEM	VKLAD	17210	74028	\N	\N	\N
1038572	3552	1998-07-09	PRIJEM	VKLAD	11473	83832	\N	\N	\N
1038573	3552	1998-08-09	PRIJEM	VKLAD	11473	84852	\N	\N	\N
1038574	3552	1998-09-09	PRIJEM	VKLAD	11473	88680	\N	\N	\N
1038575	3552	1998-10-09	PRIJEM	VKLAD	11473	87917	\N	\N	\N
1038576	3552	1998-11-09	PRIJEM	VKLAD	11473	84647	\N	\N	\N
1038577	3552	1998-12-09	PRIJEM	VKLAD	17210	89402	\N	\N	\N
1038590	3552	1996-01-13	VYDAJ	PREVOD NA UCET	6694	43310	SIPO	GH	97242187
1038591	3552	1996-02-13	VYDAJ	PREVOD NA UCET	6694	33983	SIPO	GH	97242187
1038592	3552	1996-03-13	VYDAJ	PREVOD NA UCET	6694	36642	SIPO	GH	97242187
1038593	3552	1996-04-13	VYDAJ	PREVOD NA UCET	6694	34606	SIPO	GH	97242187
1038594	3552	1996-05-13	VYDAJ	PREVOD NA UCET	6694	33967	SIPO	GH	97242187
1038595	3552	1996-06-13	VYDAJ	PREVOD NA UCET	6694	25381	SIPO	GH	97242187
1038596	3552	1996-07-13	VYDAJ	PREVOD NA UCET	6694	32905	SIPO	GH	97242187
1038597	3552	1996-08-13	VYDAJ	PREVOD NA UCET	6694	41848	SIPO	GH	97242187
1038598	3552	1996-09-13	VYDAJ	PREVOD NA UCET	6694	44446	SIPO	GH	97242187
1038599	3552	1996-10-13	VYDAJ	PREVOD NA UCET	6694	43217	SIPO	GH	97242187
1038600	3552	1996-11-13	VYDAJ	PREVOD NA UCET	6694	43148	SIPO	GH	97242187
1038601	3552	1996-12-13	VYDAJ	PREVOD NA UCET	6694	51677	SIPO	GH	97242187
1038602	3552	1997-01-13	VYDAJ	PREVOD NA UCET	6694	39889	SIPO	GH	97242187
1038603	3552	1997-02-13	VYDAJ	PREVOD NA UCET	6694	38765	SIPO	GH	97242187
1038604	3552	1997-03-13	VYDAJ	PREVOD NA UCET	6694	42256	SIPO	GH	97242187
1038605	3552	1997-04-13	VYDAJ	PREVOD NA UCET	6694	49763	SIPO	GH	97242187
1038606	3552	1997-05-13	VYDAJ	PREVOD NA UCET	6694	57180	SIPO	GH	97242187
1038607	3552	1997-06-13	VYDAJ	PREVOD NA UCET	6694	55042	SIPO	GH	97242187
1038608	3552	1997-07-13	VYDAJ	PREVOD NA UCET	6694	63191	SIPO	GH	97242187
1038609	3552	1997-08-13	VYDAJ	PREVOD NA UCET	6694	63559	SIPO	GH	97242187
1038610	3552	1997-09-13	VYDAJ	PREVOD NA UCET	6694	65931	SIPO	GH	97242187
1038611	3552	1997-10-13	VYDAJ	PREVOD NA UCET	6694	65910	SIPO	GH	97242187
1038612	3552	1997-11-13	VYDAJ	PREVOD NA UCET	6694	62861	SIPO	GH	97242187
1038613	3552	1997-12-13	VYDAJ	PREVOD NA UCET	6694	66585	SIPO	GH	97242187
1038614	3552	1998-01-13	VYDAJ	PREVOD NA UCET	6694	67073	SIPO	GH	97242187
1038615	3552	1998-02-13	VYDAJ	PREVOD NA UCET	6694	61897	SIPO	GH	97242187
1038616	3552	1998-03-13	VYDAJ	PREVOD NA UCET	6694	67470	SIPO	GH	97242187
1038617	3552	1998-04-13	VYDAJ	PREVOD NA UCET	6694	71858	SIPO	GH	97242187
1038618	3552	1998-05-13	VYDAJ	PREVOD NA UCET	6694	75485	SIPO	GH	97242187
1038619	3552	1998-06-13	VYDAJ	PREVOD NA UCET	6694	66380	SIPO	GH	97242187
1038620	3552	1998-07-13	VYDAJ	PREVOD NA UCET	6694	76184	SIPO	GH	97242187
1038621	3552	1998-08-13	VYDAJ	PREVOD NA UCET	6694	77204	SIPO	GH	97242187
1038622	3552	1998-09-13	VYDAJ	PREVOD NA UCET	6694	81032	SIPO	GH	97242187
1038623	3552	1998-10-13	VYDAJ	PREVOD NA UCET	6694	80269	SIPO	GH	97242187
1038624	3552	1998-11-13	VYDAJ	PREVOD NA UCET	6694	76999	SIPO	GH	97242187
1038625	3552	1998-12-13	VYDAJ	PREVOD NA UCET	6694	78634	SIPO	GH	97242187
1038638	3552	1996-01-10	VYDAJ	PREVOD NA UCET	352	52046	 	OP	15827417
1038639	3552	1996-02-10	VYDAJ	PREVOD NA UCET	352	40677	 	OP	15827417
1038640	3552	1996-03-10	VYDAJ	PREVOD NA UCET	352	43336	 	OP	15827417
1038641	3552	1996-04-10	VYDAJ	PREVOD NA UCET	352	41902	 	OP	15827417
1038642	3552	1996-05-10	VYDAJ	PREVOD NA UCET	352	41263	 	OP	15827417
1038643	3552	1996-06-10	VYDAJ	PREVOD NA UCET	352	32677	 	OP	15827417
1038644	3552	1996-07-10	VYDAJ	PREVOD NA UCET	352	39599	 	OP	15827417
1038645	3552	1996-08-10	VYDAJ	PREVOD NA UCET	352	48542	 	OP	15827417
1038646	3552	1996-09-10	VYDAJ	PREVOD NA UCET	352	51140	 	OP	15827417
1038647	3552	1996-10-10	VYDAJ	PREVOD NA UCET	352	50513	 	OP	15827417
1038648	3552	1996-11-10	VYDAJ	PREVOD NA UCET	352	53804	 	OP	15827417
1038649	3552	1996-12-10	VYDAJ	PREVOD NA UCET	352	58973	 	OP	15827417
1038650	3552	1997-01-10	VYDAJ	PREVOD NA UCET	352	51023	 	OP	15827417
1038651	3552	1997-02-10	VYDAJ	PREVOD NA UCET	352	45459	 	OP	15827417
1038652	3552	1997-03-10	VYDAJ	PREVOD NA UCET	352	53630	 	OP	15827417
1038653	3552	1997-04-10	VYDAJ	PREVOD NA UCET	352	57059	 	OP	15827417
1038654	3552	1997-05-10	VYDAJ	PREVOD NA UCET	352	64476	 	OP	15827417
1038655	3552	1997-06-10	VYDAJ	PREVOD NA UCET	352	61736	 	OP	15827417
1038656	3552	1997-07-10	VYDAJ	PREVOD NA UCET	352	70487	 	OP	15827417
1038657	3552	1997-08-10	VYDAJ	PREVOD NA UCET	352	70253	 	OP	15827417
1038658	3552	1997-09-10	VYDAJ	PREVOD NA UCET	352	73227	 	OP	15827417
1038659	3552	1997-10-10	VYDAJ	PREVOD NA UCET	352	73206	 	OP	15827417
1038660	3552	1997-11-10	VYDAJ	PREVOD NA UCET	352	69555	 	OP	15827417
1038661	3552	1997-12-10	VYDAJ	PREVOD NA UCET	352	73881	 	OP	15827417
1038662	3552	1998-01-10	VYDAJ	PREVOD NA UCET	352	78567	 	OP	15827417
1038663	3552	1998-02-10	VYDAJ	PREVOD NA UCET	352	68591	 	OP	15827417
1038664	3552	1998-03-10	VYDAJ	PREVOD NA UCET	352	74766	 	OP	15827417
1038665	3552	1998-04-10	VYDAJ	PREVOD NA UCET	352	78552	 	OP	15827417
1038666	3552	1998-05-10	VYDAJ	PREVOD NA UCET	352	82179	 	OP	15827417
1038667	3552	1998-06-10	VYDAJ	PREVOD NA UCET	352	73074	 	OP	15827417
1038668	3552	1998-07-10	VYDAJ	PREVOD NA UCET	352	83480	 	OP	15827417
1038669	3552	1998-08-10	VYDAJ	PREVOD NA UCET	352	84500	 	OP	15827417
1038670	3552	1998-09-10	VYDAJ	PREVOD NA UCET	352	87726	 	OP	15827417
1038671	3552	1998-10-10	VYDAJ	PREVOD NA UCET	352	87565	 	OP	15827417
1038672	3552	1998-11-10	VYDAJ	PREVOD NA UCET	352	83693	 	OP	15827417
1038673	3552	1998-12-10	VYDAJ	PREVOD NA UCET	352	88448	 	OP	15827417
1038686	3552	1996-01-10	VYDAJ	PREVOD NA UCET	602	50004	POJISTNE	QR	57125264
1038687	3552	1996-02-10	VYDAJ	PREVOD NA UCET	602	41029	POJISTNE	QR	57125264
1038688	3552	1996-03-10	VYDAJ	PREVOD NA UCET	602	43688	POJISTNE	QR	57125264
1038689	3552	1996-04-10	VYDAJ	PREVOD NA UCET	602	41300	POJISTNE	QR	57125264
1038690	3552	1996-05-10	VYDAJ	PREVOD NA UCET	602	40661	POJISTNE	QR	57125264
1038691	3552	1996-06-10	VYDAJ	PREVOD NA UCET	602	32075	POJISTNE	QR	57125264
1038692	3552	1996-07-10	VYDAJ	PREVOD NA UCET	602	39951	POJISTNE	QR	57125264
1038693	3552	1996-08-10	VYDAJ	PREVOD NA UCET	602	48894	POJISTNE	QR	57125264
1038694	3552	1996-09-10	VYDAJ	PREVOD NA UCET	602	51492	POJISTNE	QR	57125264
1038695	3552	1996-10-10	VYDAJ	PREVOD NA UCET	602	49911	POJISTNE	QR	57125264
1038696	3552	1996-11-10	VYDAJ	PREVOD NA UCET	602	53202	POJISTNE	QR	57125264
1038697	3552	1996-12-10	VYDAJ	PREVOD NA UCET	602	58371	POJISTNE	QR	57125264
1038698	3552	1997-01-10	VYDAJ	PREVOD NA UCET	602	54255	POJISTNE	QR	57125264
1038699	3552	1997-02-10	VYDAJ	PREVOD NA UCET	602	45811	POJISTNE	QR	57125264
1038700	3552	1997-03-10	VYDAJ	PREVOD NA UCET	602	53982	POJISTNE	QR	57125264
1038701	3552	1997-04-10	VYDAJ	PREVOD NA UCET	602	56457	POJISTNE	QR	57125264
1038702	3552	1997-05-10	VYDAJ	PREVOD NA UCET	602	63874	POJISTNE	QR	57125264
1038703	3552	1997-06-10	VYDAJ	PREVOD NA UCET	602	62088	POJISTNE	QR	57125264
1038704	3552	1997-07-10	VYDAJ	PREVOD NA UCET	602	69885	POJISTNE	QR	57125264
1038705	3552	1997-08-10	VYDAJ	PREVOD NA UCET	602	70605	POJISTNE	QR	57125264
1038706	3552	1997-09-10	VYDAJ	PREVOD NA UCET	602	72625	POJISTNE	QR	57125264
1038707	3552	1997-10-10	VYDAJ	PREVOD NA UCET	602	72604	POJISTNE	QR	57125264
1038708	3552	1997-11-10	VYDAJ	PREVOD NA UCET	602	69907	POJISTNE	QR	57125264
1038709	3552	1997-12-10	VYDAJ	PREVOD NA UCET	602	73279	POJISTNE	QR	57125264
1038710	3552	1998-01-10	VYDAJ	PREVOD NA UCET	602	78919	POJISTNE	QR	57125264
1038711	3552	1998-02-10	VYDAJ	PREVOD NA UCET	602	68943	POJISTNE	QR	57125264
1038712	3552	1998-03-10	VYDAJ	PREVOD NA UCET	602	74164	POJISTNE	QR	57125264
1038713	3552	1998-04-10	VYDAJ	PREVOD NA UCET	602	78904	POJISTNE	QR	57125264
1038714	3552	1998-05-10	VYDAJ	PREVOD NA UCET	602	82531	POJISTNE	QR	57125264
1038715	3552	1998-06-10	VYDAJ	PREVOD NA UCET	602	73426	POJISTNE	QR	57125264
1038716	3552	1998-07-10	VYDAJ	PREVOD NA UCET	602	82878	POJISTNE	QR	57125264
1038717	3552	1998-08-10	VYDAJ	PREVOD NA UCET	602	83898	POJISTNE	QR	57125264
1038718	3552	1998-09-10	VYDAJ	PREVOD NA UCET	602	88078	POJISTNE	QR	57125264
1038719	3552	1998-10-10	VYDAJ	PREVOD NA UCET	602	86963	POJISTNE	QR	57125264
1038720	3552	1998-11-10	VYDAJ	PREVOD NA UCET	602	84045	POJISTNE	QR	57125264
1038721	3552	1998-12-10	VYDAJ	PREVOD NA UCET	602	88800	POJISTNE	QR	57125264
1038723	3552	1996-06-07	VYDAJ	VYBER	18880	15819	\N	\N	\N
1038724	3552	1997-06-02	VYDAJ	VYBER	12320	45481	\N	\N	\N
1038725	3552	1998-06-07	VYDAJ	VYBER	16640	56818	\N	\N	\N
1038728	3552	1997-01-14	VYDAJ	VYBER	15520	24369	\N	\N	\N
1038729	3552	1998-01-12	VYDAJ	VYBER	4800	73767	\N	\N	\N
1038731	3552	1996-12-18	VYDAJ	VYBER	1920	49757	\N	\N	\N
1038732	3552	1997-12-09	VYDAJ	VYBER	4480	74233	\N	\N	\N
1038733	3552	1998-12-21	VYDAJ	VYBER	2560	73074	\N	\N	\N
1038741	3552	1996-01-20	VYDAJ	VYBER	2400	40910	\N	\N	\N
1038742	3552	1996-01-22	VYDAJ	VYBER	3000	37910	\N	\N	\N
1038743	3552	1996-01-10	VYDAJ	VYBER	1440	50606	\N	\N	\N
1038744	3552	1996-01-30	VYDAJ	VYBER	600	36590	\N	\N	\N
1038745	3552	1996-01-22	VYDAJ	VYBER	720	37190	\N	\N	\N
1038746	3552	1997-01-11	VYDAJ	VYBER	1200	49823	\N	\N	\N
1038747	3552	1997-01-26	VYDAJ	VYBER	1680	22689	\N	\N	\N
1038748	3552	1997-01-12	VYDAJ	VYBER	3240	46583	\N	\N	\N
1038749	3552	1997-01-27	VYDAJ	VYBER	1680	21009	\N	\N	\N
1038750	3552	1997-01-03	VYDAJ	VYBER	2760	43384	\N	\N	\N
1038751	3552	1997-01-10	VYDAJ	VYBER	2880	51375	\N	\N	\N
1038752	3552	1998-01-17	VYDAJ	VYBER	2760	64313	\N	\N	\N
1038753	3552	1998-01-29	VYDAJ	VYBER	1080	61173	\N	\N	\N
1038754	3552	1998-01-23	VYDAJ	VYBER	2400	62253	\N	\N	\N
1038755	3552	1998-01-19	VYDAJ	VYBER	1920	57953	\N	\N	\N
1038756	3552	1998-01-19	VYDAJ	VYBER	1680	59873	\N	\N	\N
1038757	3552	1998-01-18	VYDAJ	VYBER	2760	61553	\N	\N	\N
1038763	3552	1996-09-24	VYDAJ	VYBER	3120	41326	\N	\N	\N
1038764	3552	1996-11-13	VYDAJ	VYBER	3360	49842	\N	\N	\N
1038765	3552	1996-08-29	VYDAJ	VYBER	2880	38968	\N	\N	\N
1038766	3552	1997-03-22	VYDAJ	VYBER	5880	36376	\N	\N	\N
1038767	3552	1997-10-19	VYDAJ	VYBER	2880	63030	\N	\N	\N
1038768	3552	1997-03-12	VYDAJ	VYBER	4680	48950	\N	\N	\N
1038769	3552	1997-10-21	VYDAJ	VYBER	5040	57990	\N	\N	\N
1038770	3552	1997-05-24	VYDAJ	VYBER	1800	55380	\N	\N	\N
1038771	3552	1998-12-12	VYDAJ	VYBER	3120	85328	\N	\N	\N
1038772	3552	1998-05-18	VYDAJ	VYBER	720	74765	\N	\N	\N
1038773	3552	1998-02-04	VYDAJ	VYBER	3360	58072	\N	\N	\N
1038774	3552	1998-04-25	VYDAJ	VYBER	1080	71378	\N	\N	\N
1038788	3552	1996-01-31	VYDAJ	VYBER	15	36758	SLUZBY	\N	\N
1038789	3552	1996-02-29	VYDAJ	VYBER	15	34117	SLUZBY	\N	\N
1038790	3552	1996-03-31	VYDAJ	VYBER	15	36781	SLUZBY	\N	\N
1038791	3552	1996-04-30	VYDAJ	VYBER	15	34742	SLUZBY	\N	\N
1038792	3552	1996-05-31	VYDAJ	VYBER	15	34099	SLUZBY	\N	\N
1038793	3552	1996-06-30	VYDAJ	VYBER	15	25480	SLUZBY	\N	\N
1038794	3552	1996-07-31	VYDAJ	VYBER	15	33023	SLUZBY	\N	\N
1038795	3552	1996-08-31	VYDAJ	VYBER	15	40621	SLUZBY	\N	\N
1038796	3552	1996-09-30	VYDAJ	VYBER	15	41492	SLUZBY	\N	\N
1038797	3552	1996-10-31	VYDAJ	VYBER	15	42683	SLUZBY	\N	\N
1038798	3552	1996-11-30	VYDAJ	VYBER	15	42116	SLUZBY	\N	\N
1038799	3552	1996-12-31	VYDAJ	VYBER	15	46144	SLUZBY	\N	\N
1038800	3552	1997-01-31	VYDAJ	VYBER	15	34940	SLUZBY	\N	\N
1038801	3552	1997-02-28	VYDAJ	VYBER	15	43111	SLUZBY	\N	\N
1038802	3552	1997-03-31	VYDAJ	VYBER	15	45938	SLUZBY	\N	\N
1038803	3552	1997-04-30	VYDAJ	VYBER	15	53355	SLUZBY	\N	\N
1038804	3552	1997-05-31	VYDAJ	VYBER	15	57801	SLUZBY	\N	\N
1038805	3552	1997-06-30	VYDAJ	VYBER	15	59366	SLUZBY	\N	\N
1038806	3552	1997-07-31	VYDAJ	VYBER	15	59734	SLUZBY	\N	\N
1038807	3552	1997-08-31	VYDAJ	VYBER	15	62106	SLUZBY	\N	\N
1038808	3552	1997-09-30	VYDAJ	VYBER	15	62085	SLUZBY	\N	\N
1038809	3552	1997-10-31	VYDAJ	VYBER	15	59036	SLUZBY	\N	\N
1038810	3552	1997-11-30	VYDAJ	VYBER	15	61504	SLUZBY	\N	\N
1038811	3552	1997-12-31	VYDAJ	VYBER	15	68048	SLUZBY	\N	\N
1038812	3552	1998-01-31	VYDAJ	VYBER	15	61432	SLUZBY	\N	\N
1038813	3552	1998-02-28	VYDAJ	VYBER	15	63645	SLUZBY	\N	\N
1038814	3552	1998-03-31	VYDAJ	VYBER	15	68033	SLUZBY	\N	\N
1038815	3552	1998-04-30	VYDAJ	VYBER	15	71660	SLUZBY	\N	\N
1038816	3552	1998-05-31	VYDAJ	VYBER	15	73458	SLUZBY	\N	\N
1038817	3552	1998-06-30	VYDAJ	VYBER	15	72359	SLUZBY	\N	\N
1038818	3552	1998-07-31	VYDAJ	VYBER	15	73379	SLUZBY	\N	\N
1038819	3552	1998-08-31	VYDAJ	VYBER	15	77207	SLUZBY	\N	\N
1038820	3552	1998-09-30	VYDAJ	VYBER	15	76444	SLUZBY	\N	\N
1038821	3552	1998-10-31	VYDAJ	VYBER	15	73174	SLUZBY	\N	\N
1038822	3552	1998-11-30	VYDAJ	VYBER	15	72192	SLUZBY	\N	\N
1038823	3552	1995-10-06	PRIJEM	VKLAD	9300	21109	\N	\N	\N
1038824	3552	1995-11-05	VYDAJ	VYBER	5400	27295	\N	\N	\N
1038825	3552	1995-12-05	VYDAJ	VYBER	7300	31623	\N	\N	\N
1038826	3552	1996-01-04	VYDAJ	VYBER	8100	40925	\N	\N	\N
1038827	3552	1996-02-03	VYDAJ	VYBER	6600	30158	\N	\N	\N
1038828	3552	1996-03-04	VYDAJ	VYBER	1300	32817	\N	\N	\N
1038829	3552	1996-04-03	VYDAJ	VYBER	6000	30781	\N	\N	\N
1038830	3552	1996-05-03	VYDAJ	VYBER	4600	30142	\N	\N	\N
1038831	3552	1996-06-02	PRIJEM	VKLAD	600	34699	\N	\N	\N
1038832	3552	1996-07-02	PRIJEM	VKLAD	3600	29080	\N	\N	\N
1038833	3552	1996-08-01	PRIJEM	VKLAD	5000	38023	\N	\N	\N
1038834	3552	1996-08-31	PRIJEM	VKLAD	1500	40468	\N	\N	\N
1038835	3552	1996-09-30	VYDAJ	VYBER	2100	39392	\N	\N	\N
1038836	3552	1996-10-30	VYDAJ	VYBER	700	42517	\N	\N	\N
1038837	3552	1996-11-29	VYDAJ	VYBER	1200	41948	\N	\N	\N
1038838	3552	1996-12-29	VYDAJ	VYBER	3800	45957	\N	\N	\N
1038839	3552	1997-01-28	PRIJEM	VKLAD	13800	34809	\N	\N	\N
1038840	3552	1997-02-27	PRIJEM	VKLAD	4200	42965	\N	\N	\N
1038841	3552	1997-03-29	PRIJEM	VKLAD	9400	45776	\N	\N	\N
1038842	3552	1997-04-28	PRIJEM	VKLAD	3400	53163	\N	\N	\N
1038843	3552	1997-05-28	PRIJEM	VKLAD	2200	57580	\N	\N	\N
1038844	3552	1997-06-27	PRIJEM	VKLAD	4100	59142	\N	\N	\N
1038845	3552	1997-07-27	VYDAJ	VYBER	3700	59491	\N	\N	\N
1038846	3552	1997-08-26	VYDAJ	VYBER	1700	61859	\N	\N	\N
1038847	3552	1997-09-25	VYDAJ	VYBER	4100	61831	\N	\N	\N
1038848	3552	1997-10-25	PRIJEM	VKLAD	800	58790	\N	\N	\N
1038849	3552	1997-11-24	VYDAJ	VYBER	1600	61261	\N	\N	\N
1038850	3552	1997-12-24	PRIJEM	VKLAD	1200	67785	\N	\N	\N
1038851	3552	1998-01-23	PRIJEM	VKLAD	6700	64653	\N	\N	\N
1038852	3552	1998-02-22	PRIJEM	VKLAD	1500	63397	\N	\N	\N
1038853	3552	1998-03-24	PRIJEM	VKLAD	300	67770	\N	\N	\N
1038854	3552	1998-04-23	PRIJEM	VKLAD	600	72458	\N	\N	\N
1038855	3552	1998-05-23	VYDAJ	VYBER	1600	73165	\N	\N	\N
1038856	3552	1998-06-22	PRIJEM	VKLAD	5700	72080	\N	\N	\N
1038857	3552	1998-07-22	VYDAJ	VYBER	3100	73084	\N	\N	\N
1038858	3552	1998-08-21	VYDAJ	VYBER	300	76904	\N	\N	\N
1038859	3552	1998-09-20	VYDAJ	VYBER	4900	76132	\N	\N	\N
1038860	3552	1998-10-20	VYDAJ	VYBER	7400	72869	\N	\N	\N
1038861	3552	1998-11-19	VYDAJ	VYBER	5100	71899	\N	\N	\N
1038862	3552	1998-12-19	VYDAJ	VYBER	3000	75634	\N	\N	\N
1038903	3553	1995-08-30	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1038912	3553	1995-09-11	PRIJEM	VKLAD	15359	16359	\N	\N	\N
1038913	3553	1995-10-11	PRIJEM	VKLAD	15359	34523	\N	\N	\N
1038914	3553	1995-11-11	PRIJEM	VKLAD	15359	42265	\N	\N	\N
1038915	3553	1995-12-11	PRIJEM	VKLAD	23038	51416	\N	\N	\N
1038916	3553	1996-01-11	PRIJEM	VKLAD	15359	52297	\N	\N	\N
1038917	3553	1996-02-11	PRIJEM	VKLAD	15359	49593	\N	\N	\N
1038918	3553	1996-03-11	PRIJEM	VKLAD	15359	49782	\N	\N	\N
1038919	3553	1996-04-11	PRIJEM	VKLAD	15359	49207	\N	\N	\N
1038920	3553	1996-05-11	PRIJEM	VKLAD	15359	46692	\N	\N	\N
1038921	3553	1996-06-11	PRIJEM	VKLAD	23038	55747	\N	\N	\N
1038922	3553	1996-07-11	PRIJEM	VKLAD	15359	53632	\N	\N	\N
1038923	3553	1996-08-11	PRIJEM	VKLAD	15359	48634	\N	\N	\N
1038924	3553	1996-09-11	PRIJEM	VKLAD	15359	46344	\N	\N	\N
1038925	3553	1996-10-11	PRIJEM	VKLAD	15359	48219	\N	\N	\N
1038926	3553	1996-11-11	PRIJEM	VKLAD	15359	47900	\N	\N	\N
1038927	3553	1996-12-11	PRIJEM	VKLAD	23038	53860	\N	\N	\N
1038928	3553	1997-01-11	PRIJEM	VKLAD	15359	48693	\N	\N	\N
1038929	3553	1997-02-11	PRIJEM	VKLAD	15359	45776	\N	\N	\N
1038930	3553	1997-03-11	PRIJEM	VKLAD	15359	45368	\N	\N	\N
1038931	3553	1997-04-11	PRIJEM	VKLAD	15359	44235	\N	\N	\N
1038932	3553	1997-05-11	PRIJEM	VKLAD	15359	41696	\N	\N	\N
1038933	3553	1997-06-11	PRIJEM	VKLAD	23038	50931	\N	\N	\N
1038934	3553	1997-07-11	PRIJEM	VKLAD	15359	46997	\N	\N	\N
1038935	3553	1997-08-11	PRIJEM	VKLAD	15359	36568	\N	\N	\N
1038936	3553	1997-09-11	PRIJEM	VKLAD	15359	32114	\N	\N	\N
1038937	3553	1997-10-11	PRIJEM	VKLAD	15359	32930	\N	\N	\N
1038938	3553	1997-11-11	PRIJEM	VKLAD	15359	38357	\N	\N	\N
1038939	3553	1997-12-11	PRIJEM	VKLAD	23038	44973	\N	\N	\N
1038940	3553	1998-01-11	PRIJEM	VKLAD	15359	40516	\N	\N	\N
1038941	3553	1998-02-11	PRIJEM	VKLAD	15359	44673	\N	\N	\N
1038942	3553	1998-03-11	PRIJEM	VKLAD	15359	43536	\N	\N	\N
1038943	3553	1998-04-11	PRIJEM	VKLAD	15359	45401	\N	\N	\N
1038944	3553	1998-05-11	PRIJEM	VKLAD	15359	46275	\N	\N	\N
1038945	3553	1998-06-11	PRIJEM	VKLAD	23038	56846	\N	\N	\N
1038946	3553	1998-07-11	PRIJEM	VKLAD	15359	48639	\N	\N	\N
1038947	3553	1998-08-11	PRIJEM	VKLAD	15359	53732	\N	\N	\N
1038948	3553	1998-09-11	PRIJEM	VKLAD	15359	57945	\N	\N	\N
1038949	3553	1998-10-11	PRIJEM	VKLAD	15359	52555	\N	\N	\N
1038950	3553	1998-11-11	PRIJEM	VKLAD	15359	52554	\N	\N	\N
1038951	3553	1998-12-11	PRIJEM	VKLAD	23038	60130	\N	\N	\N
1038953	3553	1996-12-04	VYDAJ	VYBER	2800	30822	\N	\N	\N
1038954	3553	1997-12-22	VYDAJ	VYBER	2800	25073	\N	\N	\N
1038955	3553	1998-12-17	VYDAJ	VYBER	1300	38430	\N	\N	\N
1038959	3553	1996-12-22	VYDAJ	VYBER	4100	49760	\N	\N	\N
1038960	3553	1996-08-04	VYDAJ	VYBER	3700	33275	\N	\N	\N
1038961	3553	1996-08-17	VYDAJ	VYBER	2900	45734	\N	\N	\N
1038962	3553	1996-03-04	VYDAJ	VYBER	3200	34423	\N	\N	\N
1038963	3553	1996-04-29	VYDAJ	VYBER	3800	31207	\N	\N	\N
1038964	3553	1997-01-29	VYDAJ	VYBER	1600	31593	\N	\N	\N
1038965	3553	1997-09-20	VYDAJ	VYBER	3300	17514	\N	\N	\N
1038966	3553	1997-07-14	VYDAJ	VYBER	4400	42597	\N	\N	\N
1038967	3553	1997-02-05	VYDAJ	VYBER	1300	30417	\N	\N	\N
1038968	3553	1997-08-05	VYDAJ	VYBER	2200	21209	\N	\N	\N
1038969	3553	1997-08-23	VYDAJ	VYBER	4400	16668	\N	\N	\N
1038970	3553	1997-08-11	VYDAJ	VYBER	3600	32968	\N	\N	\N
1038971	3553	1997-04-22	VYDAJ	VYBER	1800	26235	\N	\N	\N
1038972	3553	1998-09-19	VYDAJ	VYBER	3400	37045	\N	\N	\N
1038973	3553	1998-10-28	VYDAJ	VYBER	900	37055	\N	\N	\N
1038974	3553	1998-06-19	VYDAJ	VYBER	3700	33146	\N	\N	\N
1038975	3553	1998-05-09	VYDAJ	VYBER	2200	30916	\N	\N	\N
1038976	3553	1998-06-12	VYDAJ	VYBER	1600	55246	\N	\N	\N
1038990	3553	1996-01-31	VYDAJ	VYBER	15	34234	SLUZBY	\N	\N
1038991	3553	1996-02-29	VYDAJ	VYBER	15	37623	SLUZBY	\N	\N
1038992	3553	1996-03-31	VYDAJ	VYBER	15	33848	SLUZBY	\N	\N
1038993	3553	1996-04-30	VYDAJ	VYBER	15	31333	SLUZBY	\N	\N
1038994	3553	1996-05-31	VYDAJ	VYBER	15	32709	SLUZBY	\N	\N
1038995	3553	1996-06-30	VYDAJ	VYBER	15	38273	SLUZBY	\N	\N
1038996	3553	1996-07-31	VYDAJ	VYBER	15	36975	SLUZBY	\N	\N
1038997	3553	1996-08-31	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
1038998	3553	1996-09-30	VYDAJ	VYBER	15	32860	SLUZBY	\N	\N
1038999	3553	1996-10-31	VYDAJ	VYBER	15	32541	SLUZBY	\N	\N
1039000	3553	1996-11-30	VYDAJ	VYBER	15	33622	SLUZBY	\N	\N
1039001	3553	1996-12-31	VYDAJ	VYBER	15	33334	SLUZBY	\N	\N
1039002	3553	1997-01-31	VYDAJ	VYBER	15	31717	SLUZBY	\N	\N
1039003	3553	1997-02-28	VYDAJ	VYBER	15	30009	SLUZBY	\N	\N
1039004	3553	1997-03-31	VYDAJ	VYBER	15	28876	SLUZBY	\N	\N
1039005	3553	1997-04-30	VYDAJ	VYBER	15	26337	SLUZBY	\N	\N
1039006	3553	1997-05-31	VYDAJ	VYBER	15	27893	SLUZBY	\N	\N
1039007	3553	1997-06-30	VYDAJ	VYBER	15	31638	SLUZBY	\N	\N
1039008	3553	1997-07-31	VYDAJ	VYBER	15	23409	SLUZBY	\N	\N
1039009	3553	1997-08-31	VYDAJ	VYBER	15	16755	SLUZBY	\N	\N
1039010	3553	1997-09-30	VYDAJ	VYBER	15	17571	SLUZBY	\N	\N
1039011	3553	1997-10-31	VYDAJ	VYBER	15	22998	SLUZBY	\N	\N
1039012	3553	1997-11-30	VYDAJ	VYBER	15	21935	SLUZBY	\N	\N
1039013	3553	1997-12-31	VYDAJ	VYBER	15	25157	SLUZBY	\N	\N
1039014	3553	1998-01-31	VYDAJ	VYBER	15	29314	SLUZBY	\N	\N
1039015	3553	1998-02-28	VYDAJ	VYBER	15	28177	SLUZBY	\N	\N
1039016	3553	1998-03-31	VYDAJ	VYBER	15	30042	SLUZBY	\N	\N
1039017	3553	1998-04-30	VYDAJ	VYBER	15	33116	SLUZBY	\N	\N
1039018	3553	1998-05-31	VYDAJ	VYBER	15	33808	SLUZBY	\N	\N
1039019	3553	1998-06-30	VYDAJ	VYBER	15	33280	SLUZBY	\N	\N
1039020	3553	1998-07-31	VYDAJ	VYBER	15	38373	SLUZBY	\N	\N
1039021	3553	1998-08-31	VYDAJ	VYBER	15	42586	SLUZBY	\N	\N
1039022	3553	1998-09-30	VYDAJ	VYBER	15	37196	SLUZBY	\N	\N
1039023	3553	1998-10-31	VYDAJ	VYBER	15	37195	SLUZBY	\N	\N
1039024	3553	1998-11-30	VYDAJ	VYBER	15	37092	SLUZBY	\N	\N
1039025	3553	1995-09-29	PRIJEM	VKLAD	2800	19159	\N	\N	\N
1039026	3553	1995-10-29	VYDAJ	VYBER	7700	26823	\N	\N	\N
1039027	3553	1995-11-28	VYDAJ	VYBER	14000	28265	\N	\N	\N
1039028	3553	1995-12-28	VYDAJ	VYBER	14600	36816	\N	\N	\N
1039029	3553	1996-01-27	VYDAJ	VYBER	18200	34097	\N	\N	\N
1039030	3553	1996-02-26	VYDAJ	VYBER	12100	37493	\N	\N	\N
1039031	3553	1996-03-27	VYDAJ	VYBER	16100	33682	\N	\N	\N
1039032	3553	1996-04-26	VYDAJ	VYBER	14200	35007	\N	\N	\N
1039033	3553	1996-05-26	VYDAJ	VYBER	14100	32592	\N	\N	\N
1039034	3553	1996-06-25	VYDAJ	VYBER	17600	38147	\N	\N	\N
1039035	3553	1996-07-25	VYDAJ	VYBER	16800	36832	\N	\N	\N
1039036	3553	1996-08-24	VYDAJ	VYBER	14900	30834	\N	\N	\N
1039037	3553	1996-09-23	VYDAJ	VYBER	13600	32744	\N	\N	\N
1039038	3553	1996-10-23	VYDAJ	VYBER	15800	32419	\N	\N	\N
1039039	3553	1996-11-22	VYDAJ	VYBER	14400	33500	\N	\N	\N
1039040	3553	1996-12-22	VYDAJ	VYBER	16600	33160	\N	\N	\N
1039041	3553	1997-01-21	VYDAJ	VYBER	15500	33193	\N	\N	\N
1039042	3553	1997-02-20	VYDAJ	VYBER	15900	29876	\N	\N	\N
1039043	3553	1997-03-22	VYDAJ	VYBER	16600	28768	\N	\N	\N
1039044	3553	1997-04-21	VYDAJ	VYBER	16200	28035	\N	\N	\N
1039045	3553	1997-05-21	VYDAJ	VYBER	13900	27796	\N	\N	\N
1039046	3553	1997-06-20	VYDAJ	VYBER	19400	31531	\N	\N	\N
1039047	3553	1997-07-20	VYDAJ	VYBER	19300	23297	\N	\N	\N
1039048	3553	1997-08-19	VYDAJ	VYBER	11900	21068	\N	\N	\N
1039049	3553	1997-09-18	VYDAJ	VYBER	11300	20814	\N	\N	\N
1039050	3553	1997-10-18	VYDAJ	VYBER	10000	22930	\N	\N	\N
1039051	3553	1997-11-17	VYDAJ	VYBER	16500	21857	\N	\N	\N
1039052	3553	1997-12-17	VYDAJ	VYBER	17100	27873	\N	\N	\N
1039053	3553	1998-01-16	VYDAJ	VYBER	11300	29216	\N	\N	\N
1039054	3553	1998-02-15	VYDAJ	VYBER	16600	28073	\N	\N	\N
1039055	3553	1998-03-17	VYDAJ	VYBER	13600	29936	\N	\N	\N
1039056	3553	1998-04-16	VYDAJ	VYBER	12400	33001	\N	\N	\N
1039057	3553	1998-05-16	VYDAJ	VYBER	12600	33675	\N	\N	\N
1039058	3553	1998-06-15	VYDAJ	VYBER	18400	36846	\N	\N	\N
1039059	3553	1998-07-15	VYDAJ	VYBER	10400	38239	\N	\N	\N
1039060	3553	1998-08-14	VYDAJ	VYBER	11300	42432	\N	\N	\N
1039061	3553	1998-09-13	VYDAJ	VYBER	17500	40445	\N	\N	\N
1039062	3553	1998-10-13	VYDAJ	VYBER	14600	37955	\N	\N	\N
1039063	3553	1998-11-12	VYDAJ	VYBER	15600	36954	\N	\N	\N
1039064	3553	1998-12-12	VYDAJ	VYBER	20400	39730	\N	\N	\N
1039105	3554	1993-02-16	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1039106	3554	1993-02-21	PRIJEM	VKLAD	45925	47925	\N	\N	\N
1039108	3554	1994-04-20	PRIJEM	VKLAD	18860	45395	\N	\N	\N
1039109	3554	1994-04-05	PRIJEM	VKLAD	3900	28635	\N	\N	\N
1039110	3554	1995-02-15	PRIJEM	VKLAD	39477	64783	\N	\N	\N
1039111	3554	1995-07-08	PRIJEM	VKLAD	43600	67462	\N	\N	\N
1039112	3554	1996-01-28	PRIJEM	VKLAD	44111	66499	\N	\N	\N
1039113	3554	1996-08-16	PRIJEM	VKLAD	31330	56731	\N	\N	\N
1039114	3554	1997-11-26	PRIJEM	VKLAD	23894	38043	\N	\N	\N
1039115	3554	1997-12-10	PRIJEM	VKLAD	37277	72883	\N	\N	\N
1039116	3554	1998-07-14	PRIJEM	VKLAD	40505	73183	\N	\N	\N
1039117	3554	1998-06-08	PRIJEM	VKLAD	46550	62375	\N	\N	\N
1039120	3554	1993-03-16	PRIJEM	VKLAD	500	48483	\N	\N	\N
1039121	3554	1993-04-13	PRIJEM	VKLAD	500	35157	\N	\N	\N
1039122	3554	1993-05-17	PRIJEM	VKLAD	500	27826	\N	\N	\N
1039123	3554	1993-06-15	PRIJEM	VKLAD	500	25530	\N	\N	\N
1039124	3554	1993-07-13	PRIJEM	VKLAD	500	15113	\N	\N	\N
1039125	3554	1993-08-13	PRIJEM	VKLAD	500	22578	\N	\N	\N
1039126	3554	1993-09-16	PRIJEM	VKLAD	500	22660	\N	\N	\N
1039127	3554	1993-10-14	PRIJEM	VKLAD	500	24145	\N	\N	\N
1039128	3554	1993-11-16	PRIJEM	VKLAD	500	23834	\N	\N	\N
1039129	3554	1993-12-14	PRIJEM	VKLAD	500	23125	\N	\N	\N
1039130	3554	1994-01-16	PRIJEM	VKLAD	500	22007	\N	\N	\N
1039131	3554	1994-02-13	PRIJEM	VKLAD	500	20331	\N	\N	\N
1039132	3554	1994-03-15	PRIJEM	VKLAD	500	24502	\N	\N	\N
1039133	3554	1994-04-16	PRIJEM	VKLAD	500	25635	\N	\N	\N
1039134	3554	1994-05-14	PRIJEM	VKLAD	500	34766	\N	\N	\N
1039135	3554	1994-06-14	PRIJEM	VKLAD	500	31813	\N	\N	\N
1039136	3554	1994-07-15	PRIJEM	VKLAD	500	29940	\N	\N	\N
1039137	3554	1994-08-16	PRIJEM	VKLAD	500	26006	\N	\N	\N
1039138	3554	1994-09-16	PRIJEM	VKLAD	500	23011	\N	\N	\N
1039139	3554	1994-10-15	PRIJEM	VKLAD	500	25099	\N	\N	\N
1039140	3554	1994-11-15	PRIJEM	VKLAD	500	24589	\N	\N	\N
1039141	3554	1994-12-14	PRIJEM	VKLAD	500	24881	\N	\N	\N
1039142	3554	1995-01-13	PRIJEM	VKLAD	500	25170	\N	\N	\N
1039143	3554	1995-02-16	PRIJEM	VKLAD	500	65283	\N	\N	\N
1039144	3554	1995-03-16	PRIJEM	VKLAD	500	46247	\N	\N	\N
1039145	3554	1995-04-16	PRIJEM	VKLAD	500	34966	\N	\N	\N
1039146	3554	1995-05-16	PRIJEM	VKLAD	500	27968	\N	\N	\N
1039147	3554	1995-06-14	PRIJEM	VKLAD	500	19382	\N	\N	\N
1039148	3554	1995-07-14	PRIJEM	VKLAD	500	67962	\N	\N	\N
1039149	3554	1995-08-15	PRIJEM	VKLAD	500	47886	\N	\N	\N
1039150	3554	1995-09-17	PRIJEM	VKLAD	500	35312	\N	\N	\N
1039151	3554	1995-10-13	PRIJEM	VKLAD	500	29176	\N	\N	\N
1039152	3554	1995-11-14	PRIJEM	VKLAD	500	26294	\N	\N	\N
1039153	3554	1995-12-16	PRIJEM	VKLAD	500	26497	\N	\N	\N
1039154	3554	1996-01-17	PRIJEM	VKLAD	500	21488	\N	\N	\N
1039155	3554	1996-02-16	PRIJEM	VKLAD	500	45400	\N	\N	\N
1039156	3554	1996-03-15	PRIJEM	VKLAD	500	36120	\N	\N	\N
1039157	3554	1996-04-14	PRIJEM	VKLAD	500	30176	\N	\N	\N
1039158	3554	1996-05-16	PRIJEM	VKLAD	500	30000	\N	\N	\N
1039159	3554	1996-06-16	PRIJEM	VKLAD	500	28562	\N	\N	\N
1039160	3554	1996-07-13	PRIJEM	VKLAD	500	24510	\N	\N	\N
1039161	3554	1996-08-16	PRIJEM	VKLAD	500	25401	\N	\N	\N
1039162	3554	1996-09-13	PRIJEM	VKLAD	500	43173	\N	\N	\N
1039163	3554	1996-10-13	PRIJEM	VKLAD	500	37334	\N	\N	\N
1039164	3554	1996-11-15	PRIJEM	VKLAD	500	28319	\N	\N	\N
1039165	3554	1996-12-13	PRIJEM	VKLAD	500	24721	\N	\N	\N
1039166	3554	1997-01-17	PRIJEM	VKLAD	500	20153	\N	\N	\N
1039167	3554	1997-02-17	PRIJEM	VKLAD	500	19823	\N	\N	\N
1039168	3554	1997-03-14	PRIJEM	VKLAD	500	16986	\N	\N	\N
1039169	3554	1997-04-14	PRIJEM	VKLAD	500	16689	\N	\N	\N
1039170	3554	1997-05-17	PRIJEM	VKLAD	500	17291	\N	\N	\N
1039171	3554	1997-06-15	PRIJEM	VKLAD	500	15444	\N	\N	\N
1039172	3554	1997-07-17	PRIJEM	VKLAD	500	16891	\N	\N	\N
1039173	3554	1997-08-13	PRIJEM	VKLAD	500	17945	\N	\N	\N
1039174	3554	1997-09-14	PRIJEM	VKLAD	500	15799	\N	\N	\N
1039175	3554	1997-10-17	PRIJEM	VKLAD	500	17247	\N	\N	\N
1039176	3554	1997-11-16	PRIJEM	VKLAD	500	16099	\N	\N	\N
1039177	3554	1997-12-14	PRIJEM	VKLAD	500	73383	\N	\N	\N
1039178	3554	1998-01-17	PRIJEM	VKLAD	500	41086	\N	\N	\N
1039179	3554	1998-02-17	PRIJEM	VKLAD	500	23217	\N	\N	\N
1039180	3554	1998-03-15	PRIJEM	VKLAD	500	16785	\N	\N	\N
1039181	3554	1998-04-16	PRIJEM	VKLAD	500	15634	\N	\N	\N
1039182	3554	1998-05-16	PRIJEM	VKLAD	500	15479	\N	\N	\N
1039183	3554	1998-06-15	PRIJEM	VKLAD	500	62875	\N	\N	\N
1039184	3554	1998-07-17	PRIJEM	VKLAD	500	73683	\N	\N	\N
1039185	3554	1998-08-17	PRIJEM	VKLAD	500	48442	\N	\N	\N
1039186	3554	1998-09-17	PRIJEM	VKLAD	500	36955	\N	\N	\N
1039187	3554	1998-10-15	PRIJEM	VKLAD	500	31140	\N	\N	\N
1039188	3554	1998-11-14	PRIJEM	VKLAD	500	32155	\N	\N	\N
1039189	3554	1998-12-17	PRIJEM	VKLAD	500	28968	\N	\N	\N
1039191	3554	1993-02-18	PRIJEM	VKLAD	900	2000	\N	\N	\N
1039192	3554	1993-03-18	PRIJEM	VKLAD	900	49383	\N	\N	\N
1039193	3554	1993-04-18	PRIJEM	VKLAD	900	29357	\N	\N	\N
1039194	3554	1993-05-18	PRIJEM	VKLAD	900	26926	\N	\N	\N
1039195	3554	1993-06-18	PRIJEM	VKLAD	900	24830	\N	\N	\N
1039196	3554	1993-07-18	PRIJEM	VKLAD	900	22013	\N	\N	\N
1039197	3554	1993-08-18	PRIJEM	VKLAD	900	24278	\N	\N	\N
1039198	3554	1993-09-18	PRIJEM	VKLAD	900	23560	\N	\N	\N
1039199	3554	1993-10-18	PRIJEM	VKLAD	900	26145	\N	\N	\N
1039200	3554	1993-11-18	PRIJEM	VKLAD	900	24734	\N	\N	\N
1039201	3554	1993-12-18	PRIJEM	VKLAD	900	24025	\N	\N	\N
1039202	3554	1994-01-18	PRIJEM	VKLAD	900	22907	\N	\N	\N
1039203	3554	1994-02-18	PRIJEM	VKLAD	900	21231	\N	\N	\N
1039204	3554	1994-03-18	PRIJEM	VKLAD	900	25402	\N	\N	\N
1039205	3554	1994-04-18	PRIJEM	VKLAD	900	26535	\N	\N	\N
1039206	3554	1994-05-18	PRIJEM	VKLAD	900	35666	\N	\N	\N
1039207	3554	1994-06-18	PRIJEM	VKLAD	900	32713	\N	\N	\N
1039208	3554	1994-07-18	PRIJEM	VKLAD	900	30590	\N	\N	\N
1039209	3554	1994-08-18	PRIJEM	VKLAD	900	26906	\N	\N	\N
1039210	3554	1994-09-18	PRIJEM	VKLAD	900	23911	\N	\N	\N
1039211	3554	1994-10-18	PRIJEM	VKLAD	900	25999	\N	\N	\N
1039212	3554	1994-11-18	PRIJEM	VKLAD	900	25489	\N	\N	\N
1039213	3554	1994-12-18	PRIJEM	VKLAD	900	25781	\N	\N	\N
1039214	3554	1995-01-18	PRIJEM	VKLAD	900	25570	\N	\N	\N
1039215	3554	1995-02-18	PRIJEM	VKLAD	900	66183	\N	\N	\N
1039216	3554	1995-03-18	PRIJEM	VKLAD	900	47147	\N	\N	\N
1039217	3554	1995-04-18	PRIJEM	VKLAD	900	35866	\N	\N	\N
1039218	3554	1995-05-18	PRIJEM	VKLAD	900	28868	\N	\N	\N
1039219	3554	1995-06-18	PRIJEM	VKLAD	900	20282	\N	\N	\N
1039220	3554	1995-07-18	PRIJEM	VKLAD	900	68862	\N	\N	\N
1039221	3554	1995-08-18	PRIJEM	VKLAD	900	48786	\N	\N	\N
1039222	3554	1995-09-18	PRIJEM	VKLAD	900	36212	\N	\N	\N
1039223	3554	1995-10-18	PRIJEM	VKLAD	900	30076	\N	\N	\N
1039224	3554	1995-11-18	PRIJEM	VKLAD	900	27194	\N	\N	\N
1039225	3554	1995-12-18	PRIJEM	VKLAD	900	25197	\N	\N	\N
1039226	3554	1996-01-18	PRIJEM	VKLAD	900	22388	\N	\N	\N
1039227	3554	1996-02-18	PRIJEM	VKLAD	900	46300	\N	\N	\N
1039228	3554	1996-03-18	PRIJEM	VKLAD	900	37020	\N	\N	\N
1039229	3554	1996-04-18	PRIJEM	VKLAD	900	31076	\N	\N	\N
1039230	3554	1996-05-18	PRIJEM	VKLAD	900	30900	\N	\N	\N
1039231	3554	1996-06-18	PRIJEM	VKLAD	900	29462	\N	\N	\N
1039232	3554	1996-07-18	PRIJEM	VKLAD	900	25410	\N	\N	\N
1039233	3554	1996-08-18	PRIJEM	VKLAD	900	57631	\N	\N	\N
1039234	3554	1996-09-18	PRIJEM	VKLAD	900	44073	\N	\N	\N
1039235	3554	1996-10-18	PRIJEM	VKLAD	900	38234	\N	\N	\N
1039236	3554	1996-11-18	PRIJEM	VKLAD	900	29219	\N	\N	\N
1039237	3554	1996-12-18	PRIJEM	VKLAD	900	23221	\N	\N	\N
1039238	3554	1997-01-18	PRIJEM	VKLAD	900	21053	\N	\N	\N
1039239	3554	1997-02-18	PRIJEM	VKLAD	900	20723	\N	\N	\N
1039240	3554	1997-03-18	PRIJEM	VKLAD	900	17636	\N	\N	\N
1039241	3554	1997-04-18	PRIJEM	VKLAD	900	17589	\N	\N	\N
1039242	3554	1997-05-18	PRIJEM	VKLAD	900	18191	\N	\N	\N
1039243	3554	1997-06-18	PRIJEM	VKLAD	900	16344	\N	\N	\N
1039244	3554	1997-07-18	PRIJEM	VKLAD	900	17791	\N	\N	\N
1039245	3554	1997-08-18	PRIJEM	VKLAD	900	18845	\N	\N	\N
1039246	3554	1997-09-18	PRIJEM	VKLAD	900	16699	\N	\N	\N
1039247	3554	1997-10-18	PRIJEM	VKLAD	900	18147	\N	\N	\N
1039248	3554	1997-11-18	PRIJEM	VKLAD	900	16999	\N	\N	\N
1039249	3554	1997-12-18	PRIJEM	VKLAD	900	74283	\N	\N	\N
1039250	3554	1998-01-18	PRIJEM	VKLAD	900	40686	\N	\N	\N
1039251	3554	1998-02-18	PRIJEM	VKLAD	900	24117	\N	\N	\N
1039252	3554	1998-03-18	PRIJEM	VKLAD	900	17685	\N	\N	\N
1039253	3554	1998-04-18	PRIJEM	VKLAD	900	16534	\N	\N	\N
1039254	3554	1998-05-18	PRIJEM	VKLAD	900	16379	\N	\N	\N
1039255	3554	1998-06-18	PRIJEM	VKLAD	900	54275	\N	\N	\N
1039256	3554	1998-07-18	PRIJEM	VKLAD	900	74583	\N	\N	\N
1039257	3554	1998-08-18	PRIJEM	VKLAD	900	49342	\N	\N	\N
1039258	3554	1998-09-18	PRIJEM	VKLAD	900	37855	\N	\N	\N
1039259	3554	1998-10-18	PRIJEM	VKLAD	900	32040	\N	\N	\N
1039260	3554	1998-11-18	PRIJEM	VKLAD	900	32055	\N	\N	\N
1039261	3554	1998-12-18	PRIJEM	VKLAD	900	31168	\N	\N	\N
1039262	3554	1993-06-23	VYDAJ	VYBER	8600	16230	\N	\N	\N
1039265	3554	1996-06-21	VYDAJ	VYBER	4000	25462	\N	\N	\N
1039267	3554	1998-06-15	VYDAJ	VYBER	9500	53375	\N	\N	\N
1039270	3554	1995-06-11	VYDAJ	VYBER	6200	18882	\N	\N	\N
1039274	3554	1993-12-19	VYDAJ	VYBER	2400	21625	\N	\N	\N
1039275	3554	1994-12-20	VYDAJ	VYBER	1200	24581	\N	\N	\N
1039276	3554	1995-12-11	VYDAJ	VYBER	1400	25997	\N	\N	\N
1039277	3554	1996-12-13	VYDAJ	VYBER	2400	22321	\N	\N	\N
1039278	3554	1997-12-07	VYDAJ	VYBER	2500	35606	\N	\N	\N
1039279	3554	1998-12-13	VYDAJ	VYBER	2500	29668	\N	\N	\N
1039286	3554	1994-01-29	VYDAJ	VYBER	600	20307	\N	\N	\N
1039287	3554	1994-01-20	VYDAJ	VYBER	550	22357	\N	\N	\N
1039288	3554	1994-01-01	VYDAJ	VYBER	250	21457	\N	\N	\N
1039289	3554	1994-01-12	VYDAJ	VYBER	950	21507	\N	\N	\N
1039290	3554	1994-01-23	VYDAJ	VYBER	1450	20907	\N	\N	\N
1039291	3554	1994-01-05	VYDAJ	VYBER	1100	20357	\N	\N	\N
1039292	3554	1995-01-23	VYDAJ	VYBER	450	23720	\N	\N	\N
1039293	3554	1995-01-16	VYDAJ	VYBER	500	24670	\N	\N	\N
1039294	3554	1995-01-30	VYDAJ	VYBER	1200	20020	\N	\N	\N
1039295	3554	1995-01-19	VYDAJ	VYBER	650	24920	\N	\N	\N
1039296	3554	1995-01-26	VYDAJ	VYBER	500	23220	\N	\N	\N
1039297	3554	1995-01-22	VYDAJ	VYBER	750	24170	\N	\N	\N
1039298	3554	1996-01-08	VYDAJ	VYBER	700	21888	\N	\N	\N
1039299	3554	1996-01-05	VYDAJ	VYBER	1400	22588	\N	\N	\N
1039300	3554	1996-01-03	VYDAJ	VYBER	350	23988	\N	\N	\N
1039301	3554	1996-01-10	VYDAJ	VYBER	900	20988	\N	\N	\N
1039302	3554	1996-01-01	VYDAJ	VYBER	350	23488	\N	\N	\N
1039303	3554	1996-01-01	VYDAJ	VYBER	950	22538	\N	\N	\N
1039304	3554	1997-01-09	VYDAJ	VYBER	1100	19653	\N	\N	\N
1039305	3554	1997-01-01	VYDAJ	VYBER	900	22303	\N	\N	\N
1039306	3554	1997-01-04	VYDAJ	VYBER	800	21503	\N	\N	\N
1039307	3554	1997-01-28	VYDAJ	VYBER	450	19903	\N	\N	\N
1039308	3554	1997-01-29	VYDAJ	VYBER	650	19253	\N	\N	\N
1039309	3554	1997-01-07	VYDAJ	VYBER	750	20753	\N	\N	\N
1039310	3554	1998-01-10	VYDAJ	VYBER	1150	40586	\N	\N	\N
1039311	3554	1998-01-18	VYDAJ	VYBER	250	40436	\N	\N	\N
1039312	3554	1998-01-21	VYDAJ	VYBER	600	39836	\N	\N	\N
1039313	3554	1998-01-17	VYDAJ	VYBER	1300	39786	\N	\N	\N
1039314	3554	1998-01-23	VYDAJ	VYBER	650	22586	\N	\N	\N
1039315	3554	1998-01-09	VYDAJ	VYBER	450	41736	\N	\N	\N
1039316	3554	1993-06-11	VYDAJ	VYBER	2000	25030	\N	\N	\N
1039318	3554	1993-07-03	VYDAJ	VYBER	1700	14613	\N	\N	\N
1039319	3554	1993-05-10	VYDAJ	VYBER	2150	27326	\N	\N	\N
1039320	3554	1994-07-16	VYDAJ	VYBER	250	29690	\N	\N	\N
1039321	3554	1994-03-27	VYDAJ	VYBER	750	24652	\N	\N	\N
1039322	3554	1994-09-12	VYDAJ	VYBER	2300	22511	\N	\N	\N
1039323	3554	1994-05-08	VYDAJ	VYBER	1350	44166	\N	\N	\N
1039324	3554	1994-02-08	VYDAJ	VYBER	1250	19131	\N	\N	\N
1039325	3554	1995-04-25	VYDAJ	VYBER	2450	33116	\N	\N	\N
1039326	3554	1995-01-29	VYDAJ	VYBER	2000	21220	\N	\N	\N
1039327	3554	1995-12-24	VYDAJ	VYBER	1450	23747	\N	\N	\N
1039328	3554	1995-10-12	VYDAJ	VYBER	400	28676	\N	\N	\N
1039329	3554	1995-03-18	VYDAJ	VYBER	1900	45247	\N	\N	\N
1039330	3554	1995-12-16	VYDAJ	VYBER	2200	24297	\N	\N	\N
1039331	3554	1995-04-24	VYDAJ	VYBER	300	35566	\N	\N	\N
1039332	3554	1996-06-30	VYDAJ	VYBER	2250	24024	\N	\N	\N
1039333	3554	1996-05-20	VYDAJ	VYBER	750	30150	\N	\N	\N
1039334	3554	1996-11-12	VYDAJ	VYBER	1350	27819	\N	\N	\N
1039335	3554	1996-08-18	VYDAJ	VYBER	800	56831	\N	\N	\N
1039338	3554	1997-03-17	VYDAJ	VYBER	250	16736	\N	\N	\N
1039340	3554	1997-04-24	VYDAJ	VYBER	950	16639	\N	\N	\N
1039341	3554	1997-11-18	VYDAJ	VYBER	250	16749	\N	\N	\N
1039342	3554	1997-07-24	VYDAJ	VYBER	400	17391	\N	\N	\N
1039345	3554	1998-08-29	VYDAJ	VYBER	1750	36292	\N	\N	\N
1039346	3554	1998-10-05	VYDAJ	VYBER	2050	30640	\N	\N	\N
1039347	3554	1998-12-13	VYDAJ	VYBER	1200	28468	\N	\N	\N
1039353	3554	1993-04-30	VYDAJ	VYBER	15	29476	SLUZBY	\N	\N
1039354	3554	1993-05-31	VYDAJ	VYBER	15	27030	SLUZBY	\N	\N
1039355	3554	1993-06-30	VYDAJ	VYBER	15	16313	SLUZBY	\N	\N
1039356	3554	1993-07-31	VYDAJ	VYBER	15	22078	SLUZBY	\N	\N
1039357	3554	1993-08-31	VYDAJ	VYBER	15	24360	SLUZBY	\N	\N
1039358	3554	1993-09-30	VYDAJ	VYBER	15	23645	SLUZBY	\N	\N
1039359	3554	1993-10-31	VYDAJ	VYBER	15	26234	SLUZBY	\N	\N
1039360	3554	1993-11-30	VYDAJ	VYBER	15	24825	SLUZBY	\N	\N
1039361	3554	1993-12-31	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
1039362	3554	1994-01-31	VYDAJ	VYBER	15	20381	SLUZBY	\N	\N
1039363	3554	1994-02-28	VYDAJ	VYBER	15	21302	SLUZBY	\N	\N
1039364	3554	1994-03-31	VYDAJ	VYBER	15	24735	SLUZBY	\N	\N
1039365	3554	1994-04-30	VYDAJ	VYBER	15	45516	SLUZBY	\N	\N
1039366	3554	1994-05-31	VYDAJ	VYBER	15	35813	SLUZBY	\N	\N
1039367	3554	1994-06-30	VYDAJ	VYBER	15	32840	SLUZBY	\N	\N
1039368	3554	1994-07-31	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
1039369	3554	1994-08-31	VYDAJ	VYBER	15	27011	SLUZBY	\N	\N
1039370	3554	1994-09-30	VYDAJ	VYBER	15	23999	SLUZBY	\N	\N
1039371	3554	1994-10-31	VYDAJ	VYBER	15	26089	SLUZBY	\N	\N
1039372	3554	1994-11-30	VYDAJ	VYBER	15	25581	SLUZBY	\N	\N
1039373	3554	1994-12-31	VYDAJ	VYBER	15	24670	SLUZBY	\N	\N
1039374	3554	1995-01-31	VYDAJ	VYBER	15	20106	SLUZBY	\N	\N
1039375	3554	1995-02-28	VYDAJ	VYBER	15	66347	SLUZBY	\N	\N
1039376	3554	1995-03-31	VYDAJ	VYBER	15	45466	SLUZBY	\N	\N
1039377	3554	1995-04-30	VYDAJ	VYBER	15	33268	SLUZBY	\N	\N
1039378	3554	1995-05-31	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
1039379	3554	1995-06-30	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
1039380	3554	1995-07-31	VYDAJ	VYBER	15	69086	SLUZBY	\N	\N
1039381	3554	1995-08-31	VYDAJ	VYBER	15	49012	SLUZBY	\N	\N
1039382	3554	1995-09-30	VYDAJ	VYBER	15	36376	SLUZBY	\N	\N
1039383	3554	1995-10-31	VYDAJ	VYBER	15	30194	SLUZBY	\N	\N
1039384	3554	1995-11-30	VYDAJ	VYBER	15	27297	SLUZBY	\N	\N
1039385	3554	1995-12-31	VYDAJ	VYBER	15	23838	SLUZBY	\N	\N
1039386	3554	1996-01-31	VYDAJ	VYBER	15	66600	SLUZBY	\N	\N
1039387	3554	1996-02-29	VYDAJ	VYBER	15	46520	SLUZBY	\N	\N
1039388	3554	1996-03-31	VYDAJ	VYBER	15	37176	SLUZBY	\N	\N
1039389	3554	1996-04-30	VYDAJ	VYBER	15	31200	SLUZBY	\N	\N
1039390	3554	1996-05-31	VYDAJ	VYBER	15	28062	SLUZBY	\N	\N
1039391	3554	1996-06-30	VYDAJ	VYBER	15	24010	SLUZBY	\N	\N
1039392	3554	1996-07-31	VYDAJ	VYBER	15	24901	SLUZBY	\N	\N
1039393	3554	1996-08-31	VYDAJ	VYBER	15	42673	SLUZBY	\N	\N
1039394	3554	1996-09-30	VYDAJ	VYBER	15	36834	SLUZBY	\N	\N
1039395	3554	1996-10-31	VYDAJ	VYBER	15	29169	SLUZBY	\N	\N
1039396	3554	1996-11-30	VYDAJ	VYBER	15	24221	SLUZBY	\N	\N
1039397	3554	1996-12-31	VYDAJ	VYBER	15	23203	SLUZBY	\N	\N
1039398	3554	1997-01-31	VYDAJ	VYBER	15	19323	SLUZBY	\N	\N
1039399	3554	1997-02-28	VYDAJ	VYBER	15	16486	SLUZBY	\N	\N
1039400	3554	1997-03-31	VYDAJ	VYBER	15	16189	SLUZBY	\N	\N
1039401	3554	1997-04-30	VYDAJ	VYBER	15	16791	SLUZBY	\N	\N
1039402	3554	1997-05-31	VYDAJ	VYBER	15	14944	SLUZBY	\N	\N
1039403	3554	1997-06-30	VYDAJ	VYBER	15	16391	SLUZBY	\N	\N
1039404	3554	1997-07-31	VYDAJ	VYBER	15	17445	SLUZBY	\N	\N
1039405	3554	1997-08-31	VYDAJ	VYBER	15	15299	SLUZBY	\N	\N
1039406	3554	1997-09-30	VYDAJ	VYBER	15	16747	SLUZBY	\N	\N
1039407	3554	1997-10-31	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
1039408	3554	1997-11-30	VYDAJ	VYBER	15	38106	SLUZBY	\N	\N
1039409	3554	1997-12-31	VYDAJ	VYBER	15	42186	SLUZBY	\N	\N
1039410	3554	1998-01-31	VYDAJ	VYBER	15	22717	SLUZBY	\N	\N
1039411	3554	1998-02-28	VYDAJ	VYBER	15	16285	SLUZBY	\N	\N
1039412	3554	1998-03-31	VYDAJ	VYBER	15	15134	SLUZBY	\N	\N
1039413	3554	1998-04-30	VYDAJ	VYBER	15	14979	SLUZBY	\N	\N
1039414	3554	1998-05-31	VYDAJ	VYBER	15	15825	SLUZBY	\N	\N
1039415	3554	1998-06-30	VYDAJ	VYBER	15	32678	SLUZBY	\N	\N
1039416	3554	1998-07-31	VYDAJ	VYBER	15	47942	SLUZBY	\N	\N
1039417	3554	1998-08-31	VYDAJ	VYBER	15	36455	SLUZBY	\N	\N
1039418	3554	1998-09-30	VYDAJ	VYBER	15	32690	SLUZBY	\N	\N
1039419	3554	1998-10-31	VYDAJ	VYBER	15	31655	SLUZBY	\N	\N
1039420	3554	1998-11-30	VYDAJ	VYBER	15	32168	SLUZBY	\N	\N
1039421	3554	1993-03-18	VYDAJ	VYBER	14900	34483	\N	\N	\N
1039422	3554	1993-04-17	VYDAJ	VYBER	6700	28457	\N	\N	\N
1039423	3554	1993-05-17	VYDAJ	VYBER	1800	26026	\N	\N	\N
1039424	3554	1993-06-16	VYDAJ	VYBER	1600	23930	\N	\N	\N
1039425	3554	1993-07-16	PRIJEM	VKLAD	6000	21113	\N	\N	\N
1039426	3554	1993-08-15	PRIJEM	VKLAD	800	23378	\N	\N	\N
1039427	3554	1993-09-14	VYDAJ	VYBER	2200	22160	\N	\N	\N
1039428	3554	1993-10-14	PRIJEM	VKLAD	1100	25245	\N	\N	\N
1039429	3554	1993-11-13	VYDAJ	VYBER	2900	23334	\N	\N	\N
1039430	3554	1993-12-13	VYDAJ	VYBER	2200	22625	\N	\N	\N
1039431	3554	1994-01-12	PRIJEM	VKLAD	2100	22457	\N	\N	\N
1039432	3554	1994-02-11	PRIJEM	VKLAD	700	19831	\N	\N	\N
1039433	3554	1994-03-13	PRIJEM	VKLAD	2700	24002	\N	\N	\N
1039434	3554	1994-04-12	VYDAJ	VYBER	3500	25135	\N	\N	\N
1039435	3554	1994-05-12	VYDAJ	VYBER	9900	34266	\N	\N	\N
1039436	3554	1994-06-11	VYDAJ	VYBER	4500	31313	\N	\N	\N
1039437	3554	1994-07-11	VYDAJ	VYBER	3400	29440	\N	\N	\N
1039438	3554	1994-08-10	VYDAJ	VYBER	5200	25506	\N	\N	\N
1039439	3554	1994-09-09	VYDAJ	VYBER	2200	24811	\N	\N	\N
1039440	3554	1994-10-09	PRIJEM	VKLAD	600	24599	\N	\N	\N
1039441	3554	1994-11-08	VYDAJ	VYBER	2000	24089	\N	\N	\N
1039442	3554	1994-12-08	VYDAJ	VYBER	1200	24381	\N	\N	\N
1039443	3554	1995-02-06	PRIJEM	VKLAD	5200	25306	\N	\N	\N
1039444	3554	1995-03-08	VYDAJ	VYBER	20600	45747	\N	\N	\N
1039445	3554	1995-04-07	VYDAJ	VYBER	11000	34466	\N	\N	\N
1039446	3554	1995-05-07	VYDAJ	VYBER	5800	27468	\N	\N	\N
1039447	3554	1995-06-06	VYDAJ	VYBER	3900	25082	\N	\N	\N
1039448	3554	1995-07-06	PRIJEM	VKLAD	3500	23862	\N	\N	\N
1039449	3554	1995-08-05	VYDAJ	VYBER	21700	47386	\N	\N	\N
1039450	3554	1995-09-04	VYDAJ	VYBER	14200	34812	\N	\N	\N
1039451	3554	1995-10-04	VYDAJ	VYBER	7300	29076	\N	\N	\N
1039452	3554	1995-11-03	VYDAJ	VYBER	4400	25794	\N	\N	\N
1039453	3554	1995-12-03	PRIJEM	VKLAD	100	27397	\N	\N	\N
1039454	3554	1996-01-02	PRIJEM	VKLAD	1800	24338	\N	\N	\N
1039455	3554	1996-02-01	VYDAJ	VYBER	21700	44900	\N	\N	\N
1039456	3554	1996-03-02	VYDAJ	VYBER	10900	35620	\N	\N	\N
1039457	3554	1996-04-01	VYDAJ	VYBER	7500	29676	\N	\N	\N
1039458	3554	1996-05-01	VYDAJ	VYBER	1700	29500	\N	\N	\N
1039459	3554	1996-05-31	VYDAJ	VYBER	2200	28076	\N	\N	\N
1039460	3554	1996-06-30	PRIJEM	VKLAD	700	26274	\N	\N	\N
1039461	3554	1996-07-30	VYDAJ	VYBER	600	24810	\N	\N	\N
1039462	3554	1996-08-29	VYDAJ	VYBER	14300	42531	\N	\N	\N
1039463	3554	1996-09-28	VYDAJ	VYBER	7400	36673	\N	\N	\N
1039464	3554	1996-10-28	VYDAJ	VYBER	9200	29034	\N	\N	\N
1039465	3554	1996-11-27	VYDAJ	VYBER	5100	24119	\N	\N	\N
1039466	3554	1996-12-27	VYDAJ	VYBER	100	23121	\N	\N	\N
1039467	3554	1997-01-26	VYDAJ	VYBER	700	20353	\N	\N	\N
1039468	3554	1997-02-25	VYDAJ	VYBER	4300	16423	\N	\N	\N
1039469	3554	1997-03-27	VYDAJ	VYBER	1500	16136	\N	\N	\N
1039470	3554	1997-04-26	PRIJEM	VKLAD	100	16739	\N	\N	\N
1039471	3554	1997-05-26	VYDAJ	VYBER	3300	14891	\N	\N	\N
1039472	3554	1997-08-24	VYDAJ	VYBER	3600	15245	\N	\N	\N
1039473	3554	1997-10-23	VYDAJ	VYBER	2600	15547	\N	\N	\N
1039474	3554	1997-11-22	VYDAJ	VYBER	2600	14149	\N	\N	\N
1039475	3554	1997-12-22	VYDAJ	VYBER	32300	41983	\N	\N	\N
1039476	3554	1998-01-21	VYDAJ	VYBER	16600	23236	\N	\N	\N
1039477	3554	1998-02-20	VYDAJ	VYBER	7900	16217	\N	\N	\N
1039478	3554	1998-03-22	VYDAJ	VYBER	2600	15085	\N	\N	\N
1039479	3554	1998-04-21	VYDAJ	VYBER	1600	14934	\N	\N	\N
1039480	3554	1998-05-21	VYDAJ	VYBER	600	15779	\N	\N	\N
1039481	3554	1998-06-20	VYDAJ	VYBER	21700	32575	\N	\N	\N
1039482	3554	1998-07-20	VYDAJ	VYBER	26800	47783	\N	\N	\N
1039483	3554	1998-08-19	VYDAJ	VYBER	11300	38042	\N	\N	\N
1039484	3554	1998-09-18	VYDAJ	VYBER	5300	32555	\N	\N	\N
1039485	3554	1998-10-18	VYDAJ	VYBER	500	31540	\N	\N	\N
1039486	3554	1998-11-17	VYDAJ	VYBER	1000	31155	\N	\N	\N
1039487	3554	1998-12-17	PRIJEM	VKLAD	1300	30268	\N	\N	\N
1039559	3555	1994-09-26	PRIJEM	VKLAD	700	700	\N	\N	\N
1039569	3555	1994-10-13	PRIJEM	PREVOD Z UCTU	20548	21248	\N	QR	18991834
1039570	3555	1994-11-13	PRIJEM	PREVOD Z UCTU	20548	42013	\N	QR	18991834
1039571	3555	1994-12-13	PRIJEM	PREVOD Z UCTU	30822	64435	\N	QR	18991834
1039572	3555	1995-01-13	PRIJEM	PREVOD Z UCTU	20548	65033	\N	QR	18991834
1039573	3555	1995-02-13	PRIJEM	PREVOD Z UCTU	20548	65065	\N	QR	18991834
1039574	3555	1995-03-13	PRIJEM	PREVOD Z UCTU	20548	55208	\N	QR	18991834
1039575	3555	1995-04-13	PRIJEM	PREVOD Z UCTU	20548	49668	\N	QR	18991834
1039576	3555	1995-05-13	PRIJEM	PREVOD Z UCTU	20548	47407	\N	QR	18991834
1039577	3555	1995-06-13	PRIJEM	PREVOD Z UCTU	30822	53607	\N	QR	18991834
1039578	3555	1995-07-13	PRIJEM	PREVOD Z UCTU	20548	46939	\N	QR	18991834
1039579	3555	1995-08-13	PRIJEM	PREVOD Z UCTU	20548	36441	\N	QR	18991834
1039580	3555	1995-09-13	PRIJEM	PREVOD Z UCTU	20548	39228	\N	QR	18991834
1039581	3555	1995-10-13	PRIJEM	PREVOD Z UCTU	20548	30097	\N	QR	18991834
1039582	3555	1995-11-13	PRIJEM	PREVOD Z UCTU	20548	31455	\N	QR	18991834
1039583	3555	1995-12-13	PRIJEM	PREVOD Z UCTU	30822	37692	\N	QR	18991834
1039584	3555	1996-01-13	PRIJEM	PREVOD Z UCTU	20548	31442	\N	QR	18991834
1039585	3555	1996-02-13	PRIJEM	PREVOD Z UCTU	20548	30402	\N	QR	18991834
1039586	3555	1996-03-13	PRIJEM	PREVOD Z UCTU	20548	28659	\N	QR	18991834
1039587	3555	1996-04-13	PRIJEM	PREVOD Z UCTU	20548	33915	\N	QR	18991834
1039588	3555	1996-05-13	PRIJEM	PREVOD Z UCTU	20548	35587	\N	QR	18991834
1039589	3555	1996-06-13	PRIJEM	PREVOD Z UCTU	30822	46037	\N	QR	18991834
1039590	3555	1996-07-13	PRIJEM	PREVOD Z UCTU	20548	32321	\N	QR	18991834
1039591	3555	1996-08-13	PRIJEM	PREVOD Z UCTU	20548	30881	\N	QR	18991834
1039592	3555	1996-09-13	PRIJEM	PREVOD Z UCTU	20548	37549	\N	QR	18991834
1039593	3555	1996-10-13	PRIJEM	PREVOD Z UCTU	20548	38030	\N	QR	18991834
1039594	3555	1996-11-13	PRIJEM	PREVOD Z UCTU	20548	33422	\N	QR	18991834
1039595	3555	1996-12-13	PRIJEM	PREVOD Z UCTU	30822	47166	\N	QR	18991834
1039596	3555	1997-01-13	PRIJEM	PREVOD Z UCTU	20548	30084	\N	QR	18991834
1039597	3555	1997-02-13	PRIJEM	PREVOD Z UCTU	20548	40551	\N	QR	18991834
1039598	3555	1997-03-13	PRIJEM	PREVOD Z UCTU	20548	48649	\N	QR	18991834
1039599	3555	1997-04-13	PRIJEM	PREVOD Z UCTU	20548	37753	\N	QR	18991834
1039600	3555	1997-05-13	PRIJEM	PREVOD Z UCTU	20548	43453	\N	QR	18991834
1039601	3555	1997-06-13	PRIJEM	PREVOD Z UCTU	30822	54706	\N	QR	18991834
1039602	3555	1997-07-13	PRIJEM	PREVOD Z UCTU	20548	50632	\N	QR	18991834
1039603	3555	1997-08-13	PRIJEM	PREVOD Z UCTU	20548	52683	\N	QR	18991834
1039604	3555	1997-09-13	PRIJEM	PREVOD Z UCTU	20548	50349	\N	QR	18991834
1039605	3555	1997-10-13	PRIJEM	PREVOD Z UCTU	20548	46307	\N	QR	18991834
1039606	3555	1997-11-13	PRIJEM	PREVOD Z UCTU	20548	48158	\N	QR	18991834
1039607	3555	1997-12-13	PRIJEM	PREVOD Z UCTU	30822	50476	\N	QR	18991834
1039608	3555	1998-01-13	PRIJEM	PREVOD Z UCTU	20548	34190	\N	QR	18991834
1039609	3555	1998-02-13	PRIJEM	PREVOD Z UCTU	20548	35154	\N	QR	18991834
1039610	3555	1998-03-13	PRIJEM	PREVOD Z UCTU	20548	36954	\N	QR	18991834
1039611	3555	1998-04-13	PRIJEM	PREVOD Z UCTU	20548	36653	\N	QR	18991834
1039612	3555	1998-05-13	PRIJEM	PREVOD Z UCTU	20548	40536	\N	QR	18991834
1039613	3555	1998-06-13	PRIJEM	PREVOD Z UCTU	30822	46861	\N	QR	18991834
1039614	3555	1998-07-13	PRIJEM	PREVOD Z UCTU	20548	43194	\N	QR	18991834
1039615	3555	1998-08-13	PRIJEM	PREVOD Z UCTU	20548	37695	\N	QR	18991834
1039616	3555	1998-09-13	PRIJEM	PREVOD Z UCTU	20548	38091	\N	QR	18991834
1039617	3555	1998-10-13	PRIJEM	PREVOD Z UCTU	20548	33195	\N	QR	18991834
1039618	3555	1998-11-13	PRIJEM	PREVOD Z UCTU	20548	39469	\N	QR	18991834
1039619	3555	1998-12-13	PRIJEM	PREVOD Z UCTU	30822	47452	\N	QR	18991834
1039694	3555	1995-03-11	VYDAJ	PREVOD NA UCET	12578	34660	SIPO	AB	19062775
1039695	3555	1995-04-11	VYDAJ	PREVOD NA UCET	12578	29120	SIPO	AB	19062775
1039696	3555	1995-05-11	VYDAJ	PREVOD NA UCET	12578	26859	SIPO	AB	19062775
1039697	3555	1995-06-11	VYDAJ	PREVOD NA UCET	12578	22785	SIPO	AB	19062775
1039698	3555	1995-07-11	VYDAJ	PREVOD NA UCET	12578	26391	SIPO	AB	19062775
1039699	3555	1995-08-11	VYDAJ	PREVOD NA UCET	12578	15893	SIPO	AB	19062775
1039700	3555	1995-09-11	VYDAJ	PREVOD NA UCET	12578	18680	SIPO	AB	19062775
1039701	3555	1995-10-11	VYDAJ	PREVOD NA UCET	12578	9549	SIPO	AB	19062775
1039702	3555	1995-11-11	VYDAJ	PREVOD NA UCET	12578	10907	SIPO	AB	19062775
1039703	3555	1995-12-11	VYDAJ	PREVOD NA UCET	12578	6870	SIPO	AB	19062775
1039704	3555	1996-01-11	VYDAJ	PREVOD NA UCET	12578	10894	SIPO	AB	19062775
1039705	3555	1996-02-11	VYDAJ	PREVOD NA UCET	12578	9854	SIPO	AB	19062775
1039706	3555	1996-03-11	VYDAJ	PREVOD NA UCET	12578	8111	SIPO	AB	19062775
1039707	3555	1996-04-11	VYDAJ	PREVOD NA UCET	12578	13367	SIPO	AB	19062775
1039708	3555	1996-05-11	VYDAJ	PREVOD NA UCET	12578	15039	SIPO	AB	19062775
1039709	3555	1996-06-11	VYDAJ	PREVOD NA UCET	12578	15215	SIPO	AB	19062775
1039710	3555	1996-07-11	VYDAJ	PREVOD NA UCET	12578	11773	SIPO	AB	19062775
1039711	3555	1996-08-11	VYDAJ	PREVOD NA UCET	12578	10333	SIPO	AB	19062775
1039712	3555	1996-09-11	VYDAJ	PREVOD NA UCET	12578	17001	SIPO	AB	19062775
1039713	3555	1996-10-11	VYDAJ	PREVOD NA UCET	12578	17482	SIPO	AB	19062775
1039714	3555	1996-11-11	VYDAJ	PREVOD NA UCET	12578	12874	SIPO	AB	19062775
1039715	3555	1996-12-11	VYDAJ	PREVOD NA UCET	12578	16344	SIPO	AB	19062775
1039716	3555	1997-01-11	VYDAJ	PREVOD NA UCET	12578	9536	SIPO	AB	19062775
1039717	3555	1997-02-11	VYDAJ	PREVOD NA UCET	12578	14703	SIPO	AB	19062775
1039718	3555	1997-03-11	VYDAJ	PREVOD NA UCET	12578	28101	SIPO	AB	19062775
1039719	3555	1997-04-11	VYDAJ	PREVOD NA UCET	12578	17205	SIPO	AB	19062775
1039720	3555	1997-05-11	VYDAJ	PREVOD NA UCET	12578	22905	SIPO	AB	19062775
1039721	3555	1997-06-11	VYDAJ	PREVOD NA UCET	12578	16384	SIPO	AB	19062775
1039722	3555	1997-07-11	VYDAJ	PREVOD NA UCET	12578	29984	SIPO	AB	19062775
1039723	3555	1997-08-11	VYDAJ	PREVOD NA UCET	12578	32135	SIPO	AB	19062775
1039724	3555	1997-09-11	VYDAJ	PREVOD NA UCET	12578	29801	SIPO	AB	19062775
1039725	3555	1997-10-11	VYDAJ	PREVOD NA UCET	12578	25759	SIPO	AB	19062775
1039726	3555	1997-11-11	VYDAJ	PREVOD NA UCET	12578	27610	SIPO	AB	19062775
1039727	3555	1997-12-11	VYDAJ	PREVOD NA UCET	12578	19654	SIPO	AB	19062775
1039728	3555	1998-01-11	VYDAJ	PREVOD NA UCET	12578	13642	SIPO	AB	19062775
1039729	3555	1998-02-11	VYDAJ	PREVOD NA UCET	12578	14606	SIPO	AB	19062775
1039730	3555	1998-03-11	VYDAJ	PREVOD NA UCET	12578	16406	SIPO	AB	19062775
1039731	3555	1998-04-11	VYDAJ	PREVOD NA UCET	12578	16105	SIPO	AB	19062775
1039732	3555	1998-05-11	VYDAJ	PREVOD NA UCET	12578	19988	SIPO	AB	19062775
1039733	3555	1998-06-11	VYDAJ	PREVOD NA UCET	12578	16039	SIPO	AB	19062775
1039734	3555	1998-07-11	VYDAJ	PREVOD NA UCET	12578	22646	SIPO	AB	19062775
1039735	3555	1998-08-11	VYDAJ	PREVOD NA UCET	12578	17147	SIPO	AB	19062775
1039736	3555	1998-09-11	VYDAJ	PREVOD NA UCET	12578	17543	SIPO	AB	19062775
1039737	3555	1998-10-11	VYDAJ	PREVOD NA UCET	12578	12647	SIPO	AB	19062775
1039738	3555	1998-11-11	VYDAJ	PREVOD NA UCET	12578	18921	SIPO	AB	19062775
1039739	3555	1998-12-11	VYDAJ	PREVOD NA UCET	12578	16630	SIPO	AB	19062775
1039751	3555	1996-10-13	VYBER	VYBER	15379	22651	\N	\N	\N
1039754	3555	1996-12-19	VYBER	VYBER	5661	31605	\N	\N	\N
1039759	3555	1996-01-02	VYBER	VYBER	3215	23472	\N	\N	\N
1039763	3555	1996-07-18	VYBER	VYBER	4298	22823	\N	\N	\N
1039764	3555	1997-05-13	VYBER	VYBER	22542	28811	\N	\N	\N
1039765	3555	1997-12-20	VYBER	VYBER	19994	25082	\N	\N	\N
1039766	3555	1997-04-11	VYBER	VYBER	7914	29783	\N	\N	\N
1039770	3555	1997-11-03	VYBER	VYBER	3984	42488	\N	\N	\N
1039772	3555	1998-03-31	VYBER	VYBER	12997	24098	\N	\N	\N
1039773	3555	1998-12-05	VYBER	VYBER	5794	29208	\N	\N	\N
1039775	3555	1998-06-03	VYBER	VYBER	14961	25717	\N	\N	\N
1039776	3555	1998-06-14	VYBER	VYBER	6776	40085	\N	\N	\N
1039780	3555	1998-07-13	VYBER	VYBER	11721	31473	\N	\N	\N
1039782	3555	1998-03-09	VYBER	VYBER	7779	28984	\N	\N	\N
1039786	3555	1996-06-23	VYDAJ	VYBER	12300	24237	\N	\N	\N
1039795	3555	1995-12-16	VYDAJ	VYBER	7500	30192	\N	\N	\N
1039796	3555	1996-12-19	VYDAJ	VYBER	4800	22005	\N	\N	\N
1039797	3555	1997-12-13	VYDAJ	VYBER	5400	45076	\N	\N	\N
1039806	3555	1995-12-07	VYDAJ	VYBER	5400	19448	\N	\N	\N
1039807	3555	1995-07-15	VYDAJ	VYBER	13200	33739	\N	\N	\N
1039809	3555	1995-09-15	VYDAJ	VYBER	14400	24828	\N	\N	\N
1039814	3555	1996-02-27	VYDAJ	VYBER	4200	20602	\N	\N	\N
1039815	3555	1996-01-27	VYDAJ	VYBER	1800	22342	\N	\N	\N
1039816	3555	1996-12-19	VYDAJ	VYBER	4800	26805	\N	\N	\N
1039818	3555	1997-08-02	VYDAJ	VYBER	5700	45113	\N	\N	\N
1039819	3555	1997-12-01	VYDAJ	VYBER	14400	33932	\N	\N	\N
1039820	3555	1997-09-28	VYDAJ	VYBER	9300	41049	\N	\N	\N
1039821	3555	1997-06-24	VYDAJ	VYBER	12300	42406	\N	\N	\N
1039824	3555	1998-09-30	VYDAJ	VYBER	13500	24740	\N	\N	\N
1039826	3555	1998-01-21	VYDAJ	VYBER	9900	24290	\N	\N	\N
1039841	3555	1995-02-28	VYDAJ	VYBER	15	47238	SLUZBY	\N	\N
1039842	3555	1995-03-31	VYDAJ	VYBER	15	41698	SLUZBY	\N	\N
1039843	3555	1995-04-30	VYDAJ	VYBER	15	39437	SLUZBY	\N	\N
1039844	3555	1995-05-31	VYDAJ	VYBER	15	35363	SLUZBY	\N	\N
1039845	3555	1995-06-30	VYDAJ	VYBER	15	38969	SLUZBY	\N	\N
1039846	3555	1995-07-31	VYDAJ	VYBER	15	28471	SLUZBY	\N	\N
1039847	3555	1995-08-31	VYDAJ	VYBER	15	31258	SLUZBY	\N	\N
1039848	3555	1995-09-30	VYDAJ	VYBER	15	22127	SLUZBY	\N	\N
1039849	3555	1995-10-31	VYDAJ	VYBER	15	23485	SLUZBY	\N	\N
1039850	3555	1995-11-30	VYDAJ	VYBER	15	24848	SLUZBY	\N	\N
1039851	3555	1995-12-31	VYDAJ	VYBER	15	26687	SLUZBY	\N	\N
1039852	3555	1996-01-31	VYDAJ	VYBER	15	22432	SLUZBY	\N	\N
1039853	3555	1996-02-29	VYDAJ	VYBER	15	20689	SLUZBY	\N	\N
1039854	3555	1996-03-31	VYDAJ	VYBER	15	25945	SLUZBY	\N	\N
1039855	3555	1996-04-30	VYDAJ	VYBER	15	27617	SLUZBY	\N	\N
1039856	3555	1996-05-31	VYDAJ	VYBER	15	27793	SLUZBY	\N	\N
1039857	3555	1996-06-30	VYDAJ	VYBER	15	24351	SLUZBY	\N	\N
1039858	3555	1996-07-31	VYDAJ	VYBER	15	22911	SLUZBY	\N	\N
1039859	3555	1996-08-31	VYDAJ	VYBER	15	29579	SLUZBY	\N	\N
1039860	3555	1996-09-30	VYDAJ	VYBER	15	30060	SLUZBY	\N	\N
1039861	3555	1996-10-31	VYDAJ	VYBER	15	25452	SLUZBY	\N	\N
1039862	3555	1996-11-30	VYDAJ	VYBER	15	28922	SLUZBY	\N	\N
1039863	3555	1996-12-31	VYDAJ	VYBER	15	22114	SLUZBY	\N	\N
1039864	3555	1997-01-31	VYDAJ	VYBER	15	27281	SLUZBY	\N	\N
1039865	3555	1997-02-28	VYDAJ	VYBER	15	40679	SLUZBY	\N	\N
1039866	3555	1997-03-31	VYDAJ	VYBER	15	37697	SLUZBY	\N	\N
1039867	3555	1997-04-30	VYDAJ	VYBER	15	35483	SLUZBY	\N	\N
1039868	3555	1997-05-31	VYDAJ	VYBER	15	28962	SLUZBY	\N	\N
1039869	3555	1997-06-30	VYDAJ	VYBER	15	42562	SLUZBY	\N	\N
1039870	3555	1997-07-31	VYDAJ	VYBER	15	50813	SLUZBY	\N	\N
1039871	3555	1997-08-31	VYDAJ	VYBER	15	52879	SLUZBY	\N	\N
1039872	3555	1997-09-30	VYDAJ	VYBER	15	41237	SLUZBY	\N	\N
1039873	3555	1997-10-31	VYDAJ	VYBER	15	46472	SLUZBY	\N	\N
1039874	3555	1997-11-30	VYDAJ	VYBER	15	48332	SLUZBY	\N	\N
1039875	3555	1997-12-31	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
1039876	3555	1998-01-31	VYDAJ	VYBER	15	24384	SLUZBY	\N	\N
1039877	3555	1998-02-28	VYDAJ	VYBER	15	35263	SLUZBY	\N	\N
1039878	3555	1998-03-31	VYDAJ	VYBER	15	24083	SLUZBY	\N	\N
1039879	3555	1998-04-30	VYDAJ	VYBER	15	36766	SLUZBY	\N	\N
1039880	3555	1998-05-31	VYDAJ	VYBER	15	40678	SLUZBY	\N	\N
1039881	3555	1998-06-30	VYDAJ	VYBER	15	40224	SLUZBY	\N	\N
1039882	3555	1998-07-31	VYDAJ	VYBER	15	31625	SLUZBY	\N	\N
1039883	3555	1998-08-31	VYDAJ	VYBER	15	37821	SLUZBY	\N	\N
1039884	3555	1998-09-30	VYDAJ	VYBER	15	24725	SLUZBY	\N	\N
1039885	3555	1998-10-31	VYDAJ	VYBER	15	33299	SLUZBY	\N	\N
1039886	3555	1998-11-30	VYDAJ	VYBER	15	39602	SLUZBY	\N	\N
1039887	3555	1994-10-26	PRIJEM	VKLAD	200	21448	\N	\N	\N
1039888	3555	1994-11-25	VYDAJ	VYBER	8500	33513	\N	\N	\N
1039889	3555	1994-12-25	VYDAJ	VYBER	20100	44335	\N	\N	\N
1039890	3555	1995-01-24	VYDAJ	VYBER	20700	44333	\N	\N	\N
1039891	3555	1995-02-23	VYDAJ	VYBER	18000	47065	\N	\N	\N
1039892	3555	1995-03-25	VYDAJ	VYBER	13700	41508	\N	\N	\N
1039893	3555	1995-04-24	VYDAJ	VYBER	10400	39268	\N	\N	\N
1039894	3555	1995-05-24	VYDAJ	VYBER	12200	35207	\N	\N	\N
1039895	3555	1995-06-23	VYDAJ	VYBER	14800	38807	\N	\N	\N
1039896	3555	1995-07-23	VYDAJ	VYBER	5400	28339	\N	\N	\N
1039897	3555	1995-08-22	VYDAJ	VYBER	5300	31141	\N	\N	\N
1039898	3555	1995-09-21	VYDAJ	VYBER	2800	22028	\N	\N	\N
1039899	3555	1995-10-21	VYDAJ	VYBER	6700	23397	\N	\N	\N
1039900	3555	1995-11-20	VYDAJ	VYBER	6700	24755	\N	\N	\N
1039901	3555	1995-12-20	VYDAJ	VYBER	3600	26592	\N	\N	\N
1039902	3555	1996-01-19	VYDAJ	VYBER	7300	24142	\N	\N	\N
1039903	3555	1996-02-18	VYDAJ	VYBER	5600	24802	\N	\N	\N
1039904	3555	1996-03-19	VYDAJ	VYBER	2800	25859	\N	\N	\N
1039905	3555	1996-04-18	VYDAJ	VYBER	6400	27515	\N	\N	\N
1039906	3555	1996-05-18	VYDAJ	VYBER	7900	27687	\N	\N	\N
1039907	3555	1996-06-17	VYDAJ	VYBER	9500	36537	\N	\N	\N
1039908	3555	1996-07-17	VYDAJ	VYBER	5200	27121	\N	\N	\N
1039909	3555	1996-08-16	VYDAJ	VYBER	1400	29481	\N	\N	\N
1039910	3555	1996-09-15	VYDAJ	VYBER	7600	29949	\N	\N	\N
1039911	3555	1996-10-15	PRIJEM	VKLAD	2700	25351	\N	\N	\N
1039912	3555	1996-11-14	VYDAJ	VYBER	4600	28822	\N	\N	\N
1039913	3555	1996-12-14	VYDAJ	VYBER	9900	37266	\N	\N	\N
1039914	3555	1997-01-13	VYDAJ	VYBER	2900	27184	\N	\N	\N
1039915	3555	1997-02-12	PRIJEM	VKLAD	5300	20003	\N	\N	\N
1039916	3555	1997-03-14	VYDAJ	VYBER	11100	37549	\N	\N	\N
1039917	3555	1997-04-13	VYDAJ	VYBER	2400	35353	\N	\N	\N
1039918	3555	1997-05-13	PRIJEM	VKLAD	7900	51353	\N	\N	\N
1039919	3555	1997-06-12	PRIJEM	VKLAD	7500	23884	\N	\N	\N
1039920	3555	1997-07-12	PRIJEM	VKLAD	100	30084	\N	\N	\N
1039921	3555	1997-08-11	VYDAJ	VYBER	400	44713	\N	\N	\N
1039922	3555	1997-09-10	VYDAJ	VYBER	10500	42379	\N	\N	\N
1039923	3555	1997-10-10	VYDAJ	VYBER	2900	38337	\N	\N	\N
1039924	3555	1997-11-09	VYDAJ	VYBER	2300	40188	\N	\N	\N
1039925	3555	1997-12-09	VYDAJ	VYBER	1700	32232	\N	\N	\N
1039926	3555	1998-01-08	PRIJEM	VKLAD	1000	26220	\N	\N	\N
1039927	3555	1998-02-07	PRIJEM	VKLAD	2800	27184	\N	\N	\N
1039928	3555	1998-03-09	PRIJEM	VKLAD	1500	36763	\N	\N	\N
1039929	3555	1998-04-08	PRIJEM	VKLAD	4600	28683	\N	\N	\N
1039930	3555	1998-05-08	VYDAJ	VYBER	4200	32566	\N	\N	\N
1039931	3555	1998-06-07	PRIJEM	VKLAD	2900	28617	\N	\N	\N
1039932	3555	1998-07-07	VYDAJ	VYBER	5000	35224	\N	\N	\N
1039933	3555	1998-08-06	VYDAJ	VYBER	1900	29725	\N	\N	\N
1039934	3555	1998-09-05	VYDAJ	VYBER	7700	30121	\N	\N	\N
1039935	3555	1998-10-05	PRIJEM	VKLAD	500	25225	\N	\N	\N
1039936	3555	1998-11-04	VYDAJ	VYBER	1800	31499	\N	\N	\N
1039937	3555	1998-12-04	VYDAJ	VYBER	4600	35002	\N	\N	\N
1039989	3556	1997-08-29	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1039998	3556	1997-09-07	PRIJEM	PREVOD Z UCTU	17483	18583	\N	UV	47784644
1039999	3556	1997-10-07	PRIJEM	PREVOD Z UCTU	17483	41876	\N	UV	47784644
1040000	3556	1997-11-07	PRIJEM	PREVOD Z UCTU	17483	50065	\N	UV	47784644
1040001	3556	1997-12-07	PRIJEM	PREVOD Z UCTU	26224	63027	\N	UV	47784644
1040002	3556	1998-01-07	PRIJEM	PREVOD Z UCTU	17483	64670	\N	UV	47784644
1040003	3556	1998-02-07	PRIJEM	PREVOD Z UCTU	17483	38781	\N	UV	47784644
1040004	3556	1998-03-07	PRIJEM	PREVOD Z UCTU	17483	47884	\N	UV	47784644
1040005	3556	1998-04-07	PRIJEM	PREVOD Z UCTU	17483	42708	\N	UV	47784644
1040006	3556	1998-05-07	PRIJEM	PREVOD Z UCTU	17483	40948	\N	UV	47784644
1040007	3556	1998-06-07	PRIJEM	PREVOD Z UCTU	26224	55774	\N	UV	47784644
1040008	3556	1998-07-07	PRIJEM	PREVOD Z UCTU	17483	45955	\N	UV	47784644
1040009	3556	1998-08-07	PRIJEM	PREVOD Z UCTU	17483	43825	\N	UV	47784644
1040010	3556	1998-09-07	PRIJEM	PREVOD Z UCTU	17483	40406	\N	UV	47784644
1040011	3556	1998-10-07	PRIJEM	PREVOD Z UCTU	17483	41802	\N	UV	47784644
1040012	3556	1998-11-07	PRIJEM	PREVOD Z UCTU	17483	42160	\N	UV	47784644
1040013	3556	1998-12-07	PRIJEM	PREVOD Z UCTU	26224	49782	\N	UV	47784644
1040026	3556	1998-01-19	VYDAJ	VYBER	2400	42435	\N	\N	0
1040027	3556	1998-02-12	VYDAJ	VYBER	1800	35997	\N	\N	0
1040028	3556	1998-03-10	VYDAJ	VYBER	2600	44300	\N	\N	0
1040029	3556	1998-04-14	VYDAJ	VYBER	2800	19578	\N	\N	0
1040030	3556	1998-05-27	VYDAJ	VYBER	3100	32724	\N	\N	0
1040031	3556	1998-06-26	VYDAJ	VYBER	2400	28309	\N	\N	0
1040032	3556	1998-07-25	VYDAJ	VYBER	2800	29617	\N	\N	0
1040033	3556	1998-08-02	VYDAJ	VYBER	3400	26342	\N	\N	0
1040034	3556	1998-09-25	VYDAJ	VYBER	2200	24206	\N	\N	0
1040035	3556	1998-10-12	VYDAJ	PREVOD NA UCET	2914	37904	UVER	AB	15446061
1040036	3556	1998-11-12	VYDAJ	PREVOD NA UCET	2914	38262	UVER	AB	15446061
1040037	3556	1998-12-12	VYDAJ	PREVOD NA UCET	2914	43835	UVER	AB	15446061
1040050	3556	1998-01-13	VYDAJ	PREVOD NA UCET	4240	44835	SIPO	OP	63096010
1040051	3556	1998-02-13	VYDAJ	PREVOD NA UCET	4240	31757	SIPO	OP	63096010
1040052	3556	1998-03-13	VYDAJ	PREVOD NA UCET	4240	40060	SIPO	OP	63096010
1040053	3556	1998-04-13	VYDAJ	PREVOD NA UCET	4240	22378	SIPO	OP	63096010
1040054	3556	1998-05-13	VYDAJ	PREVOD NA UCET	4240	35724	SIPO	OP	63096010
1040055	3556	1998-06-13	VYDAJ	PREVOD NA UCET	4240	50550	SIPO	OP	63096010
1040056	3556	1998-07-13	VYDAJ	PREVOD NA UCET	4240	40731	SIPO	OP	63096010
1040057	3556	1998-08-13	VYDAJ	PREVOD NA UCET	4240	38601	SIPO	OP	63096010
1040058	3556	1998-09-13	VYDAJ	PREVOD NA UCET	4240	33146	SIPO	OP	63096010
1040059	3556	1998-10-13	VYDAJ	PREVOD NA UCET	4240	33664	SIPO	OP	63096010
1040060	3556	1998-11-13	VYDAJ	PREVOD NA UCET	4240	34022	SIPO	OP	63096010
1040061	3556	1998-12-13	VYDAJ	PREVOD NA UCET	4240	39595	SIPO	OP	63096010
1040074	3556	1998-01-07	VYDAJ	PREVOD NA UCET	984	63686	 	AB	8922565
1040075	3556	1998-02-07	VYDAJ	PREVOD NA UCET	984	37797	 	AB	8922565
1040076	3556	1998-03-07	VYDAJ	PREVOD NA UCET	984	46900	 	AB	8922565
1040077	3556	1998-04-07	VYDAJ	PREVOD NA UCET	984	41724	 	AB	8922565
1040078	3556	1998-05-07	VYDAJ	PREVOD NA UCET	984	39964	 	AB	8922565
1040079	3556	1998-06-07	VYDAJ	PREVOD NA UCET	984	54790	 	AB	8922565
1040080	3556	1998-07-07	VYDAJ	PREVOD NA UCET	984	44971	 	AB	8922565
1040081	3556	1998-08-07	VYDAJ	PREVOD NA UCET	984	42841	 	AB	8922565
1040082	3556	1998-09-07	VYDAJ	PREVOD NA UCET	984	39422	 	AB	8922565
1040083	3556	1998-10-07	VYDAJ	PREVOD NA UCET	984	40818	 	AB	8922565
1040084	3556	1998-11-07	VYDAJ	PREVOD NA UCET	984	41176	 	AB	8922565
1040085	3556	1998-12-07	VYDAJ	PREVOD NA UCET	984	48798	 	AB	8922565
1040092	3556	1998-09-20	VYBER	VYBER	5440	27706	\N	\N	\N
1040093	3556	1998-02-18	VYBER	VYBER	5405	26352	\N	\N	\N
1040094	3556	1998-07-14	VYBER	VYBER	9314	31417	\N	\N	\N
1040095	3556	1998-12-08	VYBER	VYBER	2049	46749	\N	\N	\N
1040096	3556	1998-02-22	VYBER	VYBER	3157	23195	\N	\N	\N
1040097	3556	1998-09-13	VYBER	VYBER	2036	37386	\N	\N	\N
1040098	3556	1998-06-25	VYBER	VYBER	18641	31909	\N	\N	\N
1040099	3556	1998-12-05	VYBER	VYBER	5783	23558	\N	\N	\N
1040100	3556	1998-03-31	VYBER	VYBER	4893	25240	\N	\N	\N
1040101	3556	1998-01-13	VYBER	VYBER	6811	49075	\N	\N	\N
1040102	3556	1998-03-25	VYBER	VYBER	9981	30079	\N	\N	\N
1040103	3556	1998-04-10	VYBER	VYBER	15106	26618	\N	\N	\N
1040105	3556	1998-12-17	VYBER	VYBER	17226	22369	\N	\N	\N
1040109	3556	1998-01-20	VYDAJ	VYBER	8100	34335	\N	\N	\N
1040117	3556	1998-05-29	VYDAJ	VYBER	3300	29424	\N	\N	\N
1040120	3556	1998-01-09	VYDAJ	VYBER	7800	55886	\N	\N	\N
1040122	3556	1998-08-22	VYDAJ	VYBER	11700	26901	\N	\N	\N
1040125	3556	1998-01-28	VYDAJ	VYBER	12900	21135	\N	\N	\N
1040139	3556	1998-01-31	VYDAJ	VYBER	15	21298	SLUZBY	\N	\N
1040140	3556	1998-02-28	VYDAJ	VYBER	15	30401	SLUZBY	\N	\N
1040141	3556	1998-03-31	VYDAJ	VYBER	15	25225	SLUZBY	\N	\N
1040142	3556	1998-04-30	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
1040143	3556	1998-05-31	VYDAJ	VYBER	15	29550	SLUZBY	\N	\N
1040144	3556	1998-06-30	VYDAJ	VYBER	15	28472	SLUZBY	\N	\N
1040145	3556	1998-07-31	VYDAJ	VYBER	15	29742	SLUZBY	\N	\N
1040146	3556	1998-08-31	VYDAJ	VYBER	15	22923	SLUZBY	\N	\N
1040147	3556	1998-09-30	VYDAJ	VYBER	15	24319	SLUZBY	\N	\N
1040148	3556	1998-10-31	VYDAJ	VYBER	15	24677	SLUZBY	\N	\N
1040149	3556	1998-11-30	VYDAJ	VYBER	15	29341	SLUZBY	\N	\N
1040150	3556	1997-09-28	PRIJEM	VKLAD	5800	24383	\N	\N	\N
1040151	3556	1997-10-28	VYDAJ	VYBER	9400	32476	\N	\N	\N
1040152	3556	1997-11-27	VYDAJ	VYBER	13400	36665	\N	\N	\N
1040153	3556	1997-12-27	VYDAJ	VYBER	16000	47027	\N	\N	\N
1040154	3556	1998-01-26	VYDAJ	VYBER	300	34035	\N	\N	\N
1040155	3556	1998-02-25	PRIJEM	VKLAD	7100	30295	\N	\N	\N
1040156	3556	1998-03-27	VYDAJ	VYBER	100	29979	\N	\N	\N
1040157	3556	1998-04-26	PRIJEM	VKLAD	3800	23378	\N	\N	\N
1040158	3556	1998-05-26	PRIJEM	VKLAD	100	35824	\N	\N	\N
1040159	3556	1998-06-25	VYDAJ	VYBER	1200	30709	\N	\N	\N
1040160	3556	1998-07-25	PRIJEM	VKLAD	1000	32417	\N	\N	\N
1040161	3556	1998-08-24	VYDAJ	VYBER	4100	22801	\N	\N	\N
1040162	3556	1998-09-23	VYDAJ	VYBER	1300	26406	\N	\N	\N
1040163	3556	1998-10-23	VYDAJ	VYBER	9100	24564	\N	\N	\N
1040164	3556	1998-11-22	VYDAJ	VYBER	4800	29222	\N	\N	\N
1040181	3557	1996-11-02	PRIJEM	VKLAD	400	400	\N	\N	\N
1040192	3557	1996-11-13	PRIJEM	PREVOD Z UCTU	3393	3793	\N	UV	71643262
1040193	3557	1996-12-13	PRIJEM	PREVOD Z UCTU	3393	7196	\N	UV	71643262
1040194	3557	1997-01-13	PRIJEM	PREVOD Z UCTU	3393	10604	\N	UV	71643262
1040195	3557	1997-02-13	PRIJEM	PREVOD Z UCTU	3393	14013	\N	UV	71643262
1040196	3557	1997-03-13	PRIJEM	PREVOD Z UCTU	3393	17422	\N	UV	71643262
1040197	3557	1997-04-13	PRIJEM	PREVOD Z UCTU	3393	18316	\N	UV	71643262
1040198	3557	1997-05-13	PRIJEM	PREVOD Z UCTU	3393	19507	\N	UV	71643262
1040199	3557	1997-06-13	PRIJEM	PREVOD Z UCTU	3393	16502	\N	UV	71643262
1040200	3557	1997-07-13	PRIJEM	PREVOD Z UCTU	3393	17361	\N	UV	71643262
1040201	3557	1997-08-13	PRIJEM	PREVOD Z UCTU	3393	18547	\N	UV	71643262
1040202	3557	1997-09-13	PRIJEM	PREVOD Z UCTU	3393	19739	\N	UV	71643262
1040203	3557	1997-10-13	PRIJEM	PREVOD Z UCTU	3393	20935	\N	UV	71643262
1040204	3557	1997-11-13	PRIJEM	PREVOD Z UCTU	3393	22137	\N	UV	71643262
1040205	3557	1997-12-13	PRIJEM	PREVOD Z UCTU	3393	22984	\N	UV	71643262
1040206	3557	1998-01-13	PRIJEM	PREVOD Z UCTU	3393	22303	\N	UV	71643262
1040207	3557	1998-02-13	PRIJEM	PREVOD Z UCTU	3393	18074	\N	UV	71643262
1040208	3557	1998-03-13	PRIJEM	PREVOD Z UCTU	3393	19263	\N	UV	71643262
1040209	3557	1998-04-13	PRIJEM	PREVOD Z UCTU	3393	20068	\N	UV	71643262
1040210	3557	1998-05-13	PRIJEM	PREVOD Z UCTU	3393	20785	\N	UV	71643262
1040211	3557	1998-06-13	PRIJEM	PREVOD Z UCTU	3393	21986	\N	UV	71643262
1040212	3557	1998-07-13	PRIJEM	PREVOD Z UCTU	3393	19980	\N	UV	71643262
1040213	3557	1998-08-13	PRIJEM	PREVOD Z UCTU	3393	21179	\N	UV	71643262
1040214	3557	1998-09-13	PRIJEM	PREVOD Z UCTU	3393	22381	\N	UV	71643262
1040215	3557	1998-10-13	PRIJEM	PREVOD Z UCTU	3393	23589	\N	UV	71643262
1040216	3557	1998-11-13	PRIJEM	PREVOD Z UCTU	3393	24801	\N	UV	71643262
1040217	3557	1998-12-13	PRIJEM	PREVOD Z UCTU	3393	26019	\N	UV	71643262
1040233	3557	1997-04-09	VYDAJ	PREVOD NA UCET	2262	15163	SIPO	QR	45131135
1040234	3557	1997-05-09	VYDAJ	PREVOD NA UCET	2262	16114	SIPO	QR	45131135
1040235	3557	1997-06-09	VYDAJ	PREVOD NA UCET	2262	16829	SIPO	QR	45131135
1040236	3557	1997-07-09	VYDAJ	PREVOD NA UCET	2262	13968	SIPO	QR	45131135
1040237	3557	1997-08-09	VYDAJ	PREVOD NA UCET	2262	15154	SIPO	QR	45131135
1040238	3557	1997-09-09	VYDAJ	PREVOD NA UCET	2262	16346	SIPO	QR	45131135
1040239	3557	1997-10-09	VYDAJ	PREVOD NA UCET	2262	17542	SIPO	QR	45131135
1040240	3557	1997-11-09	VYDAJ	PREVOD NA UCET	2262	18744	SIPO	QR	45131135
1040241	3557	1997-12-09	VYDAJ	PREVOD NA UCET	2262	19591	SIPO	QR	45131135
1040242	3557	1998-01-09	VYDAJ	PREVOD NA UCET	2262	18910	SIPO	QR	45131135
1040243	3557	1998-02-09	VYDAJ	PREVOD NA UCET	2262	14681	SIPO	QR	45131135
1040244	3557	1998-03-09	VYDAJ	PREVOD NA UCET	2262	15870	SIPO	QR	45131135
1040245	3557	1998-04-09	VYDAJ	PREVOD NA UCET	2262	16675	SIPO	QR	45131135
1040246	3557	1998-05-09	VYDAJ	PREVOD NA UCET	2262	17392	SIPO	QR	45131135
1040247	3557	1998-06-09	VYDAJ	PREVOD NA UCET	2262	18593	SIPO	QR	45131135
1040248	3557	1998-07-09	VYDAJ	PREVOD NA UCET	2262	16587	SIPO	QR	45131135
1040249	3557	1998-08-09	VYDAJ	PREVOD NA UCET	2262	17786	SIPO	QR	45131135
1040250	3557	1998-09-09	VYDAJ	PREVOD NA UCET	2262	18988	SIPO	QR	45131135
1040251	3557	1998-10-09	VYDAJ	PREVOD NA UCET	2262	20196	SIPO	QR	45131135
1040252	3557	1998-11-09	VYDAJ	PREVOD NA UCET	2262	21408	SIPO	QR	45131135
1040253	3557	1998-12-09	VYDAJ	PREVOD NA UCET	2262	22626	SIPO	QR	45131135
1040255	3557	1997-06-12	VYDAJ	VYBER	3720	13109	\N	\N	\N
1040256	3557	1998-06-26	VYDAJ	VYBER	1740	20246	\N	\N	\N
1040259	3557	1998-01-22	VYDAJ	VYBER	2940	19033	\N	\N	\N
1040261	3557	1997-12-17	VYDAJ	VYBER	660	22324	\N	\N	\N
1040262	3557	1998-12-27	VYDAJ	VYBER	330	25689	\N	\N	\N
1040275	3557	1998-01-04	VYDAJ	VYBER	570	21562	\N	\N	\N
1040276	3557	1998-01-06	VYDAJ	VYBER	390	21172	\N	\N	\N
1040277	3557	1998-01-15	VYDAJ	VYBER	330	21973	\N	\N	\N
1040278	3557	1998-01-24	VYDAJ	VYBER	300	18733	\N	\N	\N
1040279	3557	1998-01-29	VYDAJ	VYBER	870	17863	\N	\N	\N
1040280	3557	1998-01-03	VYDAJ	VYBER	270	22132	\N	\N	\N
1040285	3557	1997-07-03	VYDAJ	VYBER	330	16230	\N	\N	\N
1040287	3557	1997-04-12	VYDAJ	VYBER	240	14923	\N	\N	\N
1040288	3557	1997-05-24	VYDAJ	VYBER	480	19027	\N	\N	\N
1040289	3557	1997-11-24	VYDAJ	VYBER	360	21777	\N	\N	\N
1040290	3557	1998-01-30	VYDAJ	VYBER	990	16873	\N	\N	\N
1040291	3557	1998-04-03	VYDAJ	VYBER	390	18937	\N	\N	\N
1040292	3557	1998-05-05	VYDAJ	VYBER	480	19654	\N	\N	\N
1040293	3557	1998-07-05	VYDAJ	VYBER	1470	18849	\N	\N	\N
1040309	3557	1997-03-31	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
1040310	3557	1997-04-30	VYDAJ	VYBER	15	18376	SLUZBY	\N	\N
1040311	3557	1997-05-31	VYDAJ	VYBER	15	19091	SLUZBY	\N	\N
1040312	3557	1997-06-30	VYDAJ	VYBER	15	16560	SLUZBY	\N	\N
1040313	3557	1997-07-31	VYDAJ	VYBER	15	17416	SLUZBY	\N	\N
1040314	3557	1997-08-31	VYDAJ	VYBER	15	18608	SLUZBY	\N	\N
1040315	3557	1997-09-30	VYDAJ	VYBER	15	19804	SLUZBY	\N	\N
1040316	3557	1997-10-31	VYDAJ	VYBER	15	21006	SLUZBY	\N	\N
1040317	3557	1997-11-30	VYDAJ	VYBER	15	21853	SLUZBY	\N	\N
1040318	3557	1997-12-31	VYDAJ	VYBER	15	22402	SLUZBY	\N	\N
1040319	3557	1998-01-31	VYDAJ	VYBER	15	16943	SLUZBY	\N	\N
1040320	3557	1998-02-28	VYDAJ	VYBER	15	18132	SLUZBY	\N	\N
1040321	3557	1998-03-31	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
1040322	3557	1998-04-30	VYDAJ	VYBER	15	20134	SLUZBY	\N	\N
1040323	3557	1998-05-31	VYDAJ	VYBER	15	20855	SLUZBY	\N	\N
1040324	3557	1998-06-30	VYDAJ	VYBER	15	20319	SLUZBY	\N	\N
1040325	3557	1998-07-31	VYDAJ	VYBER	15	20048	SLUZBY	\N	\N
1040326	3557	1998-08-31	VYDAJ	VYBER	15	21250	SLUZBY	\N	\N
1040327	3557	1998-09-30	VYDAJ	VYBER	15	22458	SLUZBY	\N	\N
1040328	3557	1998-10-31	VYDAJ	VYBER	15	23670	SLUZBY	\N	\N
1040329	3557	1998-11-30	VYDAJ	VYBER	15	24888	SLUZBY	\N	\N
1040356	3558	1993-05-23	PRIJEM	VKLAD	400	400	\N	\N	\N
1040362	3558	1993-06-12	PRIJEM	PREVOD Z UCTU	65614	66014	\N	WX	69702541
1040363	3558	1993-07-12	PRIJEM	PREVOD Z UCTU	43743	87111	\N	WX	69702541
1040364	3558	1993-08-12	PRIJEM	PREVOD Z UCTU	43743	100152	\N	WX	69702541
1040365	3558	1993-09-12	PRIJEM	PREVOD Z UCTU	43743	105938	\N	WX	69702541
1040366	3558	1993-10-12	PRIJEM	PREVOD Z UCTU	43743	97375	\N	WX	69702541
1040367	3558	1993-11-12	PRIJEM	PREVOD Z UCTU	43743	61841	\N	WX	69702541
1040368	3558	1993-12-12	PRIJEM	PREVOD Z UCTU	65614	92807	\N	WX	69702541
1040369	3558	1994-01-12	PRIJEM	PREVOD Z UCTU	43743	61554	\N	WX	69702541
1040370	3558	1994-02-12	PRIJEM	PREVOD Z UCTU	43743	69745	\N	WX	69702541
1040371	3558	1994-03-12	PRIJEM	PREVOD Z UCTU	43743	76898	\N	WX	69702541
1040372	3558	1994-04-12	PRIJEM	PREVOD Z UCTU	43743	67672	\N	WX	69702541
1040373	3558	1994-05-12	PRIJEM	PREVOD Z UCTU	43743	59199	\N	WX	69702541
1040374	3558	1994-06-12	PRIJEM	PREVOD Z UCTU	65614	99561	\N	WX	69702541
1040375	3558	1994-07-12	PRIJEM	PREVOD Z UCTU	43743	99771	\N	WX	69702541
1040376	3558	1994-08-12	PRIJEM	PREVOD Z UCTU	43743	92723	\N	WX	69702541
1040377	3558	1994-09-12	PRIJEM	PREVOD Z UCTU	43743	79408	\N	WX	69702541
1040378	3558	1994-10-12	PRIJEM	PREVOD Z UCTU	43743	68346	\N	WX	69702541
1040379	3558	1994-11-12	PRIJEM	PREVOD Z UCTU	43743	68228	\N	WX	69702541
1040380	3558	1994-12-12	PRIJEM	PREVOD Z UCTU	65614	109457	\N	WX	69702541
1040381	3558	1995-01-12	PRIJEM	PREVOD Z UCTU	43743	83328	\N	WX	69702541
1040382	3558	1995-02-12	PRIJEM	PREVOD Z UCTU	43743	68291	\N	WX	69702541
1040383	3558	1995-03-12	PRIJEM	PREVOD Z UCTU	43743	85871	\N	WX	69702541
1040384	3558	1995-04-12	PRIJEM	PREVOD Z UCTU	43743	84841	\N	WX	69702541
1040385	3558	1995-05-12	PRIJEM	PREVOD Z UCTU	43743	93423	\N	WX	69702541
1040386	3558	1995-06-12	PRIJEM	PREVOD Z UCTU	65614	95192	\N	WX	69702541
1040387	3558	1995-07-12	PRIJEM	PREVOD Z UCTU	43743	82023	\N	WX	69702541
1040388	3558	1995-08-12	PRIJEM	PREVOD Z UCTU	43743	80284	\N	WX	69702541
1040389	3558	1995-09-12	PRIJEM	PREVOD Z UCTU	43743	92837	\N	WX	69702541
1040390	3558	1995-10-12	PRIJEM	PREVOD Z UCTU	43743	88987	\N	WX	69702541
1040391	3558	1995-11-12	PRIJEM	PREVOD Z UCTU	43743	88594	\N	WX	69702541
1040392	3558	1995-12-12	PRIJEM	PREVOD Z UCTU	65614	114776	\N	WX	69702541
1040393	3558	1996-01-12	PRIJEM	PREVOD Z UCTU	43743	90460	\N	WX	69702541
1040394	3558	1996-02-12	PRIJEM	PREVOD Z UCTU	43743	77118	\N	WX	69702541
1040395	3558	1996-03-12	PRIJEM	PREVOD Z UCTU	43743	84429	\N	WX	69702541
1040396	3558	1996-04-12	PRIJEM	PREVOD Z UCTU	43743	72977	\N	WX	69702541
1040397	3558	1996-05-12	PRIJEM	PREVOD Z UCTU	43743	91094	\N	WX	69702541
1040398	3558	1996-06-12	PRIJEM	PREVOD Z UCTU	65614	120560	\N	WX	69702541
1040399	3558	1996-07-12	PRIJEM	PREVOD Z UCTU	43743	76087	\N	WX	69702541
1040400	3558	1996-08-12	PRIJEM	PREVOD Z UCTU	43743	88336	\N	WX	69702541
1040401	3558	1996-09-12	PRIJEM	PREVOD Z UCTU	43743	97439	\N	WX	69702541
1040402	3558	1996-10-12	PRIJEM	PREVOD Z UCTU	43743	107665	\N	WX	69702541
1040403	3558	1996-11-12	PRIJEM	PREVOD Z UCTU	43743	85746	\N	WX	69702541
1040404	3558	1996-12-12	PRIJEM	PREVOD Z UCTU	65614	110125	\N	WX	69702541
1040405	3558	1997-01-12	PRIJEM	PREVOD Z UCTU	43743	99162	\N	WX	69702541
1040406	3558	1997-02-12	PRIJEM	PREVOD Z UCTU	43743	82042	\N	WX	69702541
1040407	3558	1997-03-12	PRIJEM	PREVOD Z UCTU	43743	79823	\N	WX	69702541
1040408	3558	1997-04-12	PRIJEM	PREVOD Z UCTU	43743	92179	\N	WX	69702541
1040409	3558	1997-05-12	PRIJEM	PREVOD Z UCTU	43743	105285	\N	WX	69702541
1040410	3558	1997-06-12	PRIJEM	PREVOD Z UCTU	65614	126454	\N	WX	69702541
1040411	3558	1997-07-12	PRIJEM	PREVOD Z UCTU	43743	82005	\N	WX	69702541
1040412	3558	1997-08-12	PRIJEM	PREVOD Z UCTU	43743	101662	\N	WX	69702541
1040413	3558	1997-09-12	PRIJEM	PREVOD Z UCTU	43743	69867	\N	WX	69702541
1040414	3558	1997-10-12	PRIJEM	PREVOD Z UCTU	43743	92203	\N	WX	69702541
1040415	3558	1997-11-12	PRIJEM	PREVOD Z UCTU	43743	107380	\N	WX	69702541
1040416	3558	1997-12-12	PRIJEM	PREVOD Z UCTU	65614	123149	\N	WX	69702541
1040417	3558	1998-01-12	PRIJEM	PREVOD Z UCTU	43743	86486	\N	WX	69702541
1040687	3558	1997-12-29	VYBER	VYBER	3943	60306	\N	\N	\N
1040418	3558	1998-02-12	PRIJEM	PREVOD Z UCTU	43743	97106	\N	WX	69702541
1040419	3558	1998-03-12	PRIJEM	PREVOD Z UCTU	43743	103673	\N	WX	69702541
1040420	3558	1998-04-12	PRIJEM	PREVOD Z UCTU	43743	93261	\N	WX	69702541
1040421	3558	1998-05-12	PRIJEM	PREVOD Z UCTU	43743	96407	\N	WX	69702541
1040422	3558	1998-06-12	PRIJEM	PREVOD Z UCTU	65614	126347	\N	WX	69702541
1040423	3558	1998-07-12	PRIJEM	PREVOD Z UCTU	43743	111001	\N	WX	69702541
1040424	3558	1998-08-12	PRIJEM	PREVOD Z UCTU	43743	107649	\N	WX	69702541
1040425	3558	1998-09-12	PRIJEM	PREVOD Z UCTU	43743	108265	\N	WX	69702541
1040426	3558	1998-10-12	PRIJEM	PREVOD Z UCTU	43743	101196	\N	WX	69702541
1040427	3558	1998-11-12	PRIJEM	PREVOD Z UCTU	43743	106439	\N	WX	69702541
1040428	3558	1998-12-12	PRIJEM	PREVOD Z UCTU	65614	140342	\N	WX	69702541
1040439	3558	1993-11-06	VYDAJ	PREVOD NA UCET	1580	38774	SIPO	YZ	68742489
1040440	3558	1993-12-06	VYDAJ	PREVOD NA UCET	1580	30576	SIPO	YZ	68742489
1040441	3558	1994-01-06	VYDAJ	PREVOD NA UCET	1580	21194	SIPO	YZ	68742489
1040442	3558	1994-02-06	VYDAJ	PREVOD NA UCET	1580	29385	SIPO	YZ	68742489
1040443	3558	1994-03-06	VYDAJ	PREVOD NA UCET	1580	36538	SIPO	YZ	68742489
1040444	3558	1994-04-06	VYDAJ	PREVOD NA UCET	1580	27312	SIPO	YZ	68742489
1040445	3558	1994-05-06	VYDAJ	PREVOD NA UCET	1580	18839	SIPO	YZ	68742489
1040446	3558	1994-06-06	VYDAJ	PREVOD NA UCET	1580	37330	SIPO	YZ	68742489
1040447	3558	1994-07-06	VYDAJ	PREVOD NA UCET	1580	59411	SIPO	YZ	68742489
1040448	3558	1994-08-06	VYDAJ	PREVOD NA UCET	1580	64063	SIPO	YZ	68742489
1040449	3558	1994-09-06	VYDAJ	PREVOD NA UCET	1580	39048	SIPO	YZ	68742489
1040450	3558	1994-10-06	VYDAJ	PREVOD NA UCET	1580	27986	SIPO	YZ	68742489
1040451	3558	1994-11-06	VYDAJ	PREVOD NA UCET	1580	44024	SIPO	YZ	68742489
1040452	3558	1994-12-06	VYDAJ	PREVOD NA UCET	1580	47226	SIPO	YZ	68742489
1040453	3558	1995-01-06	VYDAJ	PREVOD NA UCET	1580	49568	SIPO	YZ	68742489
1040454	3558	1995-02-06	VYDAJ	PREVOD NA UCET	1580	27931	SIPO	YZ	68742489
1040455	3558	1995-03-06	VYDAJ	PREVOD NA UCET	1580	45511	SIPO	YZ	68742489
1040456	3558	1995-04-06	VYDAJ	PREVOD NA UCET	1580	44481	SIPO	YZ	68742489
1040457	3558	1995-05-06	VYDAJ	PREVOD NA UCET	1580	53063	SIPO	YZ	68742489
1040458	3558	1995-06-06	VYDAJ	PREVOD NA UCET	1580	41061	SIPO	YZ	68742489
1040459	3558	1995-07-06	VYDAJ	PREVOD NA UCET	1580	41663	SIPO	YZ	68742489
1040460	3558	1995-08-06	VYDAJ	PREVOD NA UCET	1580	48524	SIPO	YZ	68742489
1040461	3558	1995-09-06	VYDAJ	PREVOD NA UCET	1580	78977	SIPO	YZ	68742489
1040462	3558	1995-10-06	VYDAJ	PREVOD NA UCET	1580	70227	SIPO	YZ	68742489
1040463	3558	1995-11-06	VYDAJ	PREVOD NA UCET	1580	87734	SIPO	YZ	68742489
1040464	3558	1995-12-06	VYDAJ	PREVOD NA UCET	1580	83745	SIPO	YZ	68742489
1040465	3558	1996-01-06	VYDAJ	PREVOD NA UCET	1580	84000	SIPO	YZ	68742489
1040466	3558	1996-02-06	VYDAJ	PREVOD NA UCET	1580	60702	SIPO	YZ	68742489
1040467	3558	1996-03-06	VYDAJ	PREVOD NA UCET	1580	61969	SIPO	YZ	68742489
1040468	3558	1996-04-06	VYDAJ	PREVOD NA UCET	1580	35817	SIPO	YZ	68742489
1040469	3558	1996-05-06	VYDAJ	PREVOD NA UCET	1580	71634	SIPO	YZ	68742489
1040470	3558	1996-06-06	VYDAJ	PREVOD NA UCET	1580	60729	SIPO	YZ	68742489
1040471	3558	1996-07-06	VYDAJ	PREVOD NA UCET	1580	35727	SIPO	YZ	68742489
1040472	3558	1996-08-06	VYDAJ	PREVOD NA UCET	1580	47976	SIPO	YZ	68742489
1040473	3558	1996-09-06	VYDAJ	PREVOD NA UCET	1580	57079	SIPO	YZ	68742489
1040474	3558	1996-10-06	VYDAJ	PREVOD NA UCET	1580	67305	SIPO	YZ	68742489
1040475	3558	1996-11-06	VYDAJ	PREVOD NA UCET	1580	55886	SIPO	YZ	68742489
1040476	3558	1996-12-06	VYDAJ	PREVOD NA UCET	1580	47894	SIPO	YZ	68742489
1040477	3558	1997-01-06	VYDAJ	PREVOD NA UCET	1580	68402	SIPO	YZ	68742489
1040478	3558	1997-02-06	VYDAJ	PREVOD NA UCET	1580	61734	SIPO	YZ	68742489
1040479	3558	1997-03-06	VYDAJ	PREVOD NA UCET	1580	39463	SIPO	YZ	68742489
1040480	3558	1997-04-06	VYDAJ	PREVOD NA UCET	1580	59009	SIPO	YZ	68742489
1040481	3558	1997-05-06	VYDAJ	PREVOD NA UCET	1580	64925	SIPO	YZ	68742489
1040482	3558	1997-06-06	VYDAJ	PREVOD NA UCET	1580	64223	SIPO	YZ	68742489
1040483	3558	1997-07-06	VYDAJ	PREVOD NA UCET	1580	48545	SIPO	YZ	68742489
1040484	3558	1997-08-06	VYDAJ	PREVOD NA UCET	1580	61302	SIPO	YZ	68742489
1040485	3558	1997-09-06	VYDAJ	PREVOD NA UCET	1580	73021	SIPO	YZ	68742489
1040486	3558	1997-10-06	VYDAJ	PREVOD NA UCET	1580	51843	SIPO	YZ	68742489
1040487	3558	1997-11-06	VYDAJ	PREVOD NA UCET	1580	67020	SIPO	YZ	68742489
1040488	3558	1997-12-06	VYDAJ	PREVOD NA UCET	1580	69653	SIPO	YZ	68742489
1040489	3558	1998-01-06	VYDAJ	PREVOD NA UCET	1580	46126	SIPO	YZ	68742489
1040490	3558	1998-02-06	VYDAJ	PREVOD NA UCET	1580	56746	SIPO	YZ	68742489
1040491	3558	1998-03-06	VYDAJ	PREVOD NA UCET	1580	63313	SIPO	YZ	68742489
1040492	3558	1998-04-06	VYDAJ	PREVOD NA UCET	1580	61430	SIPO	YZ	68742489
1040493	3558	1998-05-06	VYDAJ	PREVOD NA UCET	1580	56047	SIPO	YZ	68742489
1040494	3558	1998-06-06	VYDAJ	PREVOD NA UCET	1580	64116	SIPO	YZ	68742489
1040495	3558	1998-07-06	VYDAJ	PREVOD NA UCET	1580	70641	SIPO	YZ	68742489
1040496	3558	1998-08-06	VYDAJ	PREVOD NA UCET	1580	67289	SIPO	YZ	68742489
1040497	3558	1998-09-06	VYDAJ	PREVOD NA UCET	1580	67905	SIPO	YZ	68742489
1040498	3558	1998-10-06	VYDAJ	PREVOD NA UCET	1580	60836	SIPO	YZ	68742489
1040499	3558	1998-11-06	VYDAJ	PREVOD NA UCET	1580	66079	SIPO	YZ	68742489
1040500	3558	1998-12-06	VYDAJ	PREVOD NA UCET	1580	82394	SIPO	YZ	68742489
1040511	3558	1993-11-07	VYDAJ	PREVOD NA UCET	152	38622	 	KL	9583253
1040512	3558	1993-12-07	VYDAJ	PREVOD NA UCET	152	30424	 	KL	9583253
1040513	3558	1994-01-07	VYDAJ	PREVOD NA UCET	152	21042	 	KL	9583253
1040514	3558	1994-02-07	VYDAJ	PREVOD NA UCET	152	29233	 	KL	9583253
1040515	3558	1994-03-07	VYDAJ	PREVOD NA UCET	152	36386	 	KL	9583253
1040516	3558	1994-04-07	VYDAJ	PREVOD NA UCET	152	27160	 	KL	9583253
1040517	3558	1994-05-07	VYDAJ	PREVOD NA UCET	152	18687	 	KL	9583253
1040518	3558	1994-06-07	VYDAJ	PREVOD NA UCET	152	37178	 	KL	9583253
1040519	3558	1994-07-07	VYDAJ	PREVOD NA UCET	152	59259	 	KL	9583253
1040520	3558	1994-08-07	VYDAJ	PREVOD NA UCET	152	63911	 	KL	9583253
1040521	3558	1994-09-07	VYDAJ	PREVOD NA UCET	152	38896	 	KL	9583253
1040522	3558	1994-10-07	VYDAJ	PREVOD NA UCET	152	27834	 	KL	9583253
1040523	3558	1994-11-07	VYDAJ	PREVOD NA UCET	152	43872	 	KL	9583253
1040524	3558	1994-12-07	VYDAJ	PREVOD NA UCET	152	47074	 	KL	9583253
1040525	3558	1995-01-07	VYDAJ	PREVOD NA UCET	152	49416	 	KL	9583253
1040526	3558	1995-02-07	VYDAJ	PREVOD NA UCET	152	27779	 	KL	9583253
1040527	3558	1995-03-07	VYDAJ	PREVOD NA UCET	152	45359	 	KL	9583253
1040528	3558	1995-04-07	VYDAJ	PREVOD NA UCET	152	44329	 	KL	9583253
1040529	3558	1995-05-07	VYDAJ	PREVOD NA UCET	152	52911	 	KL	9583253
1040530	3558	1995-06-07	VYDAJ	PREVOD NA UCET	152	40909	 	KL	9583253
1040531	3558	1995-07-07	VYDAJ	PREVOD NA UCET	152	41511	 	KL	9583253
1040532	3558	1995-08-07	VYDAJ	PREVOD NA UCET	152	48372	 	KL	9583253
1040533	3558	1995-09-07	VYDAJ	PREVOD NA UCET	152	78825	 	KL	9583253
1040534	3558	1995-10-07	VYDAJ	PREVOD NA UCET	152	70075	 	KL	9583253
1040535	3558	1995-11-07	VYDAJ	PREVOD NA UCET	152	73482	 	KL	9583253
1040536	3558	1995-12-07	VYDAJ	PREVOD NA UCET	152	83593	 	KL	9583253
1040537	3558	1996-01-07	VYDAJ	PREVOD NA UCET	152	83848	 	KL	9583253
1040538	3558	1996-02-07	VYDAJ	PREVOD NA UCET	152	41750	 	KL	9583253
1040539	3558	1996-03-07	VYDAJ	PREVOD NA UCET	152	61817	 	KL	9583253
1040540	3558	1996-04-07	VYDAJ	PREVOD NA UCET	152	35665	 	KL	9583253
1040541	3558	1996-05-07	VYDAJ	PREVOD NA UCET	152	71482	 	KL	9583253
1040542	3558	1996-06-07	VYDAJ	PREVOD NA UCET	152	60577	 	KL	9583253
1040543	3558	1996-07-07	VYDAJ	PREVOD NA UCET	152	35575	 	KL	9583253
1040544	3558	1996-08-07	VYDAJ	PREVOD NA UCET	152	47824	 	KL	9583253
1040545	3558	1996-09-07	VYDAJ	PREVOD NA UCET	152	56927	 	KL	9583253
1040546	3558	1996-10-07	VYDAJ	PREVOD NA UCET	152	67153	 	KL	9583253
1040547	3558	1996-11-07	VYDAJ	PREVOD NA UCET	152	45234	 	KL	9583253
1040548	3558	1996-12-07	VYDAJ	PREVOD NA UCET	152	47742	 	KL	9583253
1040549	3558	1997-01-07	VYDAJ	PREVOD NA UCET	152	68250	 	KL	9583253
1040550	3558	1997-02-07	VYDAJ	PREVOD NA UCET	152	61582	 	KL	9583253
1040551	3558	1997-03-07	VYDAJ	PREVOD NA UCET	152	39311	 	KL	9583253
1040552	3558	1997-04-07	VYDAJ	PREVOD NA UCET	152	58857	 	KL	9583253
1040553	3558	1997-05-07	VYDAJ	PREVOD NA UCET	152	64773	 	KL	9583253
1040554	3558	1997-06-07	VYDAJ	PREVOD NA UCET	152	64071	 	KL	9583253
1040555	3558	1997-07-07	VYDAJ	PREVOD NA UCET	152	48393	 	KL	9583253
1040556	3558	1997-08-07	VYDAJ	PREVOD NA UCET	152	61150	 	KL	9583253
1040557	3558	1997-09-07	VYDAJ	PREVOD NA UCET	152	72869	 	KL	9583253
1040558	3558	1997-10-07	VYDAJ	PREVOD NA UCET	152	51691	 	KL	9583253
1040559	3558	1997-11-07	VYDAJ	PREVOD NA UCET	152	66868	 	KL	9583253
1040560	3558	1997-12-07	VYDAJ	PREVOD NA UCET	152	69501	 	KL	9583253
1040561	3558	1998-01-07	VYDAJ	PREVOD NA UCET	152	45974	 	KL	9583253
1040562	3558	1998-02-07	VYDAJ	PREVOD NA UCET	152	56594	 	KL	9583253
1040563	3558	1998-03-07	VYDAJ	PREVOD NA UCET	152	63161	 	KL	9583253
1040564	3558	1998-04-07	VYDAJ	PREVOD NA UCET	152	52749	 	KL	9583253
1040565	3558	1998-05-07	VYDAJ	PREVOD NA UCET	152	55895	 	KL	9583253
1040566	3558	1998-06-07	VYDAJ	PREVOD NA UCET	152	63964	 	KL	9583253
1040567	3558	1998-07-07	VYDAJ	PREVOD NA UCET	152	70489	 	KL	9583253
1040568	3558	1998-08-07	VYDAJ	PREVOD NA UCET	152	67137	 	KL	9583253
1040569	3558	1998-09-07	VYDAJ	PREVOD NA UCET	152	67753	 	KL	9583253
1040570	3558	1998-10-07	VYDAJ	PREVOD NA UCET	152	60684	 	KL	9583253
1040571	3558	1998-11-07	VYDAJ	PREVOD NA UCET	152	65927	 	KL	9583253
1040572	3558	1998-12-07	VYDAJ	PREVOD NA UCET	152	82242	 	KL	9583253
1040583	3558	1993-11-11	VYDAJ	PREVOD NA UCET	3231	18098	POJISTNE	GH	98339360
1040584	3558	1993-12-11	VYDAJ	PREVOD NA UCET	3231	27193	POJISTNE	GH	98339360
1040585	3558	1994-01-11	VYDAJ	PREVOD NA UCET	3231	17811	POJISTNE	GH	98339360
1040586	3558	1994-02-11	VYDAJ	PREVOD NA UCET	3231	26002	POJISTNE	GH	98339360
1040587	3558	1994-03-11	VYDAJ	PREVOD NA UCET	3231	33155	POJISTNE	GH	98339360
1040588	3558	1994-04-11	VYDAJ	PREVOD NA UCET	3231	23929	POJISTNE	GH	98339360
1040589	3558	1994-05-11	VYDAJ	PREVOD NA UCET	3231	15456	POJISTNE	GH	98339360
1040590	3558	1994-06-11	VYDAJ	PREVOD NA UCET	3231	33947	POJISTNE	GH	98339360
1040591	3558	1994-07-11	VYDAJ	PREVOD NA UCET	3231	56028	POJISTNE	GH	98339360
1040592	3558	1994-08-11	VYDAJ	PREVOD NA UCET	3231	48980	POJISTNE	GH	98339360
1040593	3558	1994-09-11	VYDAJ	PREVOD NA UCET	3231	35665	POJISTNE	GH	98339360
1040594	3558	1994-10-11	VYDAJ	PREVOD NA UCET	3231	24603	POJISTNE	GH	98339360
1040595	3558	1994-11-11	VYDAJ	PREVOD NA UCET	3231	24485	POJISTNE	GH	98339360
1040596	3558	1994-12-11	VYDAJ	PREVOD NA UCET	3231	43843	POJISTNE	GH	98339360
1040597	3558	1995-01-11	VYDAJ	PREVOD NA UCET	3231	39585	POJISTNE	GH	98339360
1040598	3558	1995-02-11	VYDAJ	PREVOD NA UCET	3231	24548	POJISTNE	GH	98339360
1040599	3558	1995-03-11	VYDAJ	PREVOD NA UCET	3231	42128	POJISTNE	GH	98339360
1040600	3558	1995-04-11	VYDAJ	PREVOD NA UCET	3231	41098	POJISTNE	GH	98339360
1040601	3558	1995-05-11	VYDAJ	PREVOD NA UCET	3231	49680	POJISTNE	GH	98339360
1040602	3558	1995-06-11	VYDAJ	PREVOD NA UCET	3231	29578	POJISTNE	GH	98339360
1040603	3558	1995-07-11	VYDAJ	PREVOD NA UCET	3231	38280	POJISTNE	GH	98339360
1040604	3558	1995-08-11	VYDAJ	PREVOD NA UCET	3231	36541	POJISTNE	GH	98339360
1040605	3558	1995-09-11	VYDAJ	PREVOD NA UCET	3231	49094	POJISTNE	GH	98339360
1040606	3558	1995-10-11	VYDAJ	PREVOD NA UCET	3231	45244	POJISTNE	GH	98339360
1040607	3558	1995-11-11	VYDAJ	PREVOD NA UCET	3231	44851	POJISTNE	GH	98339360
1040608	3558	1995-12-11	VYDAJ	PREVOD NA UCET	3231	49162	POJISTNE	GH	98339360
1040609	3558	1996-01-11	VYDAJ	PREVOD NA UCET	3231	46717	POJISTNE	GH	98339360
1040610	3558	1996-02-11	VYDAJ	PREVOD NA UCET	3231	33375	POJISTNE	GH	98339360
1040611	3558	1996-03-11	VYDAJ	PREVOD NA UCET	3231	40686	POJISTNE	GH	98339360
1040612	3558	1996-04-11	VYDAJ	PREVOD NA UCET	3231	29234	POJISTNE	GH	98339360
1040613	3558	1996-05-11	VYDAJ	PREVOD NA UCET	3231	47351	POJISTNE	GH	98339360
1040614	3558	1996-06-11	VYDAJ	PREVOD NA UCET	3231	54946	POJISTNE	GH	98339360
1040615	3558	1996-07-11	VYDAJ	PREVOD NA UCET	3231	32344	POJISTNE	GH	98339360
1040616	3558	1996-08-11	VYDAJ	PREVOD NA UCET	3231	44593	POJISTNE	GH	98339360
1040617	3558	1996-09-11	VYDAJ	PREVOD NA UCET	3231	53696	POJISTNE	GH	98339360
1040618	3558	1996-10-11	VYDAJ	PREVOD NA UCET	3231	63922	POJISTNE	GH	98339360
1040619	3558	1996-11-11	VYDAJ	PREVOD NA UCET	3231	42003	POJISTNE	GH	98339360
1040620	3558	1996-12-11	VYDAJ	PREVOD NA UCET	3231	44511	POJISTNE	GH	98339360
1040621	3558	1997-01-11	VYDAJ	PREVOD NA UCET	3231	55419	POJISTNE	GH	98339360
1040622	3558	1997-02-11	VYDAJ	PREVOD NA UCET	3231	38299	POJISTNE	GH	98339360
1040623	3558	1997-03-11	VYDAJ	PREVOD NA UCET	3231	36080	POJISTNE	GH	98339360
1040624	3558	1997-04-11	VYDAJ	PREVOD NA UCET	3231	48436	POJISTNE	GH	98339360
1040625	3558	1997-05-11	VYDAJ	PREVOD NA UCET	3231	61542	POJISTNE	GH	98339360
1040626	3558	1997-06-11	VYDAJ	PREVOD NA UCET	3231	60840	POJISTNE	GH	98339360
1040627	3558	1997-07-11	VYDAJ	PREVOD NA UCET	3231	38262	POJISTNE	GH	98339360
1040628	3558	1997-08-11	VYDAJ	PREVOD NA UCET	3231	57919	POJISTNE	GH	98339360
1040629	3558	1997-09-11	VYDAJ	PREVOD NA UCET	3231	26124	POJISTNE	GH	98339360
1040630	3558	1997-10-11	VYDAJ	PREVOD NA UCET	3231	48460	POJISTNE	GH	98339360
1040631	3558	1997-11-11	VYDAJ	PREVOD NA UCET	3231	63637	POJISTNE	GH	98339360
1040632	3558	1997-12-11	VYDAJ	PREVOD NA UCET	3231	57535	POJISTNE	GH	98339360
1040633	3558	1998-01-11	VYDAJ	PREVOD NA UCET	3231	42743	POJISTNE	GH	98339360
1040634	3558	1998-02-11	VYDAJ	PREVOD NA UCET	3231	53363	POJISTNE	GH	98339360
1040635	3558	1998-03-11	VYDAJ	PREVOD NA UCET	3231	59930	POJISTNE	GH	98339360
1040636	3558	1998-04-11	VYDAJ	PREVOD NA UCET	3231	49518	POJISTNE	GH	98339360
1040637	3558	1998-05-11	VYDAJ	PREVOD NA UCET	3231	52664	POJISTNE	GH	98339360
1040638	3558	1998-06-11	VYDAJ	PREVOD NA UCET	3231	60733	POJISTNE	GH	98339360
1040639	3558	1998-07-11	VYDAJ	PREVOD NA UCET	3231	67258	POJISTNE	GH	98339360
1040640	3558	1998-08-11	VYDAJ	PREVOD NA UCET	3231	63906	POJISTNE	GH	98339360
1040641	3558	1998-09-11	VYDAJ	PREVOD NA UCET	3231	64522	POJISTNE	GH	98339360
1040642	3558	1998-10-11	VYDAJ	PREVOD NA UCET	3231	57453	POJISTNE	GH	98339360
1040643	3558	1998-11-11	VYDAJ	PREVOD NA UCET	3231	62696	POJISTNE	GH	98339360
1040644	3558	1998-12-11	VYDAJ	PREVOD NA UCET	3231	74728	POJISTNE	GH	98339360
1040651	3558	1993-11-09	VYBER	VYBER	17293	21329	\N	\N	\N
1040652	3558	1993-10-18	VYBER	VYBER	14883	82492	\N	\N	\N
1040653	3558	1993-11-12	VYBER	VYBER	13371	48470	\N	\N	\N
1040655	3558	1993-10-23	VYBER	VYBER	15338	40154	\N	\N	\N
1040657	3558	1993-11-24	VYBER	VYBER	2968	32002	\N	\N	\N
1040659	3558	1994-11-08	VYBER	VYBER	16156	27716	\N	\N	\N
1040660	3558	1994-05-12	VYBER	VYBER	6833	52366	\N	\N	\N
1040661	3558	1994-01-06	VYBER	VYBER	23751	22774	\N	\N	\N
1040662	3558	1994-04-16	VYBER	VYBER	14016	53656	\N	\N	\N
1040663	3558	1994-09-03	VYBER	VYBER	20853	40628	\N	\N	\N
1040666	3558	1994-05-02	VYBER	VYBER	21507	20419	\N	\N	\N
1040667	3558	1994-12-21	VYBER	VYBER	4740	61417	\N	\N	\N
1040669	3558	1994-09-24	VYBER	VYBER	18425	29383	\N	\N	\N
1040670	3558	1994-02-04	VYBER	VYBER	9253	30965	\N	\N	\N
1040671	3558	1994-04-01	VYBER	VYBER	21511	28892	\N	\N	\N
1040672	3558	1995-09-23	VYBER	VYBER	4160	88677	\N	\N	\N
1040673	3558	1995-10-02	VYBER	VYBER	7007	71807	\N	\N	\N
1040674	3558	1995-06-25	VYBER	VYBER	15344	43048	\N	\N	\N
1040675	3558	1996-08-29	VYBER	VYBER	3775	84561	\N	\N	\N
1040676	3558	1996-11-30	VYBER	VYBER	9979	76089	\N	\N	\N
1040677	3558	1996-04-01	VYBER	VYBER	13778	47297	\N	\N	\N
1040678	3558	1996-02-09	VYBER	VYBER	5144	36606	\N	\N	\N
1040679	3558	1996-11-04	VYBER	VYBER	13491	57466	\N	\N	\N
1040680	3558	1996-03-15	VYBER	VYBER	23593	60836	\N	\N	\N
1040682	3558	1996-07-28	VYBER	VYBER	3565	59022	\N	\N	\N
1040683	3558	1997-04-09	VYBER	VYBER	7190	51667	\N	\N	\N
1040684	3558	1997-12-10	VYBER	VYBER	8735	60766	\N	\N	\N
1040685	3558	1997-03-05	VYBER	VYBER	8051	41043	\N	\N	\N
1040686	3558	1997-02-10	VYBER	VYBER	20052	41530	\N	\N	\N
1040688	3558	1997-05-23	VYBER	VYBER	18439	86846	\N	\N	\N
1040689	3558	1997-06-28	VYBER	VYBER	8712	60942	\N	\N	\N
1040690	3558	1997-09-17	VYBER	VYBER	4910	64957	\N	\N	\N
1040691	3558	1997-02-27	VYBER	VYBER	22844	59198	\N	\N	\N
1040692	3558	1997-09-11	VYBER	VYBER	21196	29355	\N	\N	\N
1040693	3558	1997-09-11	VYBER	VYBER	22318	50551	\N	\N	\N
1040694	3558	1997-09-22	VYBER	VYBER	3490	61467	\N	\N	\N
1040695	3558	1998-05-06	VYBER	VYBER	18048	57627	\N	\N	\N
1040696	3558	1998-04-07	VYBER	VYBER	8529	52901	\N	\N	\N
1040697	3558	1998-08-23	VYBER	VYBER	16051	83365	\N	\N	\N
1040698	3558	1998-05-24	VYBER	VYBER	14018	82389	\N	\N	\N
1040699	3558	1998-10-06	VYBER	VYBER	23595	62416	\N	\N	\N
1040700	3558	1998-02-12	VYBER	VYBER	4206	92900	\N	\N	\N
1040701	3558	1998-12-24	VYBER	VYBER	17955	71387	\N	\N	\N
1040702	3558	1998-07-18	VYBER	VYBER	7457	98744	\N	\N	\N
1040703	3558	1998-12-09	VYBER	VYBER	4283	77959	\N	\N	\N
1040704	3558	1998-01-26	VYBER	VYBER	4002	62984	\N	\N	\N
1040705	3558	1998-10-13	VYBER	VYBER	14525	86671	\N	\N	\N
1040706	3558	1998-08-18	VYBER	VYBER	8233	99416	\N	\N	\N
1040707	3558	1998-07-21	VYBER	VYBER	20095	78649	\N	\N	\N
1040711	3558	1996-06-15	VYDAJ	VYBER	57900	47360	\N	\N	\N
1040714	3558	1993-12-28	VYDAJ	VYBER	2400	55307	\N	\N	\N
1040715	3558	1994-12-21	VYDAJ	VYBER	4500	56917	\N	\N	\N
1040716	3558	1995-12-04	VYDAJ	VYBER KARTOU	3600	85325	\N	\N	0
1040717	3558	1996-12-01	VYDAJ	VYBER	7200	68874	\N	\N	\N
1040718	3558	1997-12-21	VYDAJ	VYBER	4800	83149	\N	\N	\N
1040719	3558	1998-12-29	VYDAJ	VYBER	5100	66287	\N	\N	\N
1040727	3558	1994-01-04	VYDAJ	VYBER	5400	46525	\N	\N	\N
1040728	3558	1994-01-03	VYDAJ	VYBER	3600	51925	\N	\N	\N
1040730	3558	1994-01-18	VYDAJ	VYBER	5400	56154	\N	\N	\N
1040731	3558	1994-01-29	VYDAJ	VYBER	1500	40054	\N	\N	\N
1040732	3558	1995-01-27	VYDAJ	VYBER	5100	36828	\N	\N	\N
1040733	3558	1995-01-14	VYDAJ	VYBER	1500	47328	\N	\N	\N
1040734	3558	1995-01-09	VYDAJ	VYBER	6600	42816	\N	\N	\N
1040735	3558	1995-01-13	VYDAJ	VYBER	8400	74928	\N	\N	\N
1040736	3558	1995-01-24	VYDAJ	VYBER	5400	41928	\N	\N	\N
1040737	3558	1995-01-04	VYDAJ	VYBER	6000	51148	\N	\N	\N
1040738	3558	1996-01-30	VYDAJ	VYBER	5100	61960	\N	\N	\N
1040739	3558	1996-01-27	VYDAJ	VYBER KARTOU	2100	67060	\N	\N	0
1040740	3558	1996-01-02	VYDAJ	VYBER	8100	85580	\N	\N	\N
1040741	3558	1996-01-26	VYDAJ	VYBER	5400	71260	\N	\N	\N
1040742	3558	1996-01-08	VYDAJ	VYBER	6000	77848	\N	\N	\N
1040743	3558	1996-01-26	VYDAJ	VYBER KARTOU	2100	69160	\N	\N	0
1040744	3558	1997-01-09	VYDAJ	VYBER	4800	58650	\N	\N	\N
1040745	3558	1997-01-21	VYDAJ	VYBER	5100	90162	\N	\N	\N
1040746	3558	1997-01-08	VYDAJ	VYBER	4800	63450	\N	\N	\N
1040747	3558	1997-01-15	VYDAJ	VYBER KARTOU	2100	97062	\N	\N	0
1040748	3558	1997-01-23	VYDAJ	VYBER	4200	85962	\N	\N	\N
1040749	3558	1997-01-16	VYDAJ	VYBER KARTOU	1800	95262	\N	\N	0
1040750	3558	1998-01-04	VYDAJ	VYBER	7500	47706	\N	\N	\N
1040751	3558	1998-01-02	VYDAJ	VYBER KARTOU	2400	58206	\N	\N	0
1040752	3558	1998-01-02	VYDAJ	VYBER KARTOU	3000	55206	\N	\N	0
1040753	3558	1998-01-20	VYDAJ	VYBER	8700	66986	\N	\N	\N
1040754	3558	1998-01-15	VYDAJ	VYBER KARTOU	3900	75686	\N	\N	0
1040755	3558	1998-01-15	VYDAJ	VYBER	6900	79586	\N	\N	\N
1040759	3558	1994-09-17	VYDAJ	VYBER	7500	47808	\N	\N	\N
1040760	3558	1994-08-09	VYDAJ	VYBER	11700	52211	\N	\N	\N
1040761	3558	1994-02-16	VYDAJ	VYBER	6300	63445	\N	\N	\N
1040762	3558	1994-03-05	VYDAJ	VYBER	7800	38118	\N	\N	\N
1040763	3558	1995-05-31	VYDAJ	VYBER	7800	42641	\N	\N	\N
1040764	3558	1995-11-06	VYDAJ	VYBER	14100	73634	\N	\N	\N
1040765	3558	1995-03-17	VYDAJ	VYBER	8400	45871	\N	\N	\N
1040766	3558	1995-09-30	VYDAJ	VYBER	10200	78814	\N	\N	\N
1040767	3558	1995-06-11	VYDAJ	VYBER	8100	32809	\N	\N	\N
1040768	3558	1995-01-28	VYDAJ	VYBER	7500	29328	\N	\N	\N
1040769	3558	1995-05-25	VYDAJ	VYBER	8700	50223	\N	\N	\N
1040770	3558	1996-06-28	VYDAJ	VYBER	6600	40760	\N	\N	\N
1040771	3558	1996-07-12	VYDAJ	VYBER	13500	62587	\N	\N	\N
1040772	3558	1996-05-17	VYDAJ	VYBER KARTOU	3000	88094	\N	\N	0
1040773	3558	1996-01-21	VYDAJ	VYBER	13800	76660	\N	\N	\N
1040774	3558	1996-04-01	VYDAJ	VYBER	9900	37397	\N	\N	\N
1040775	3558	1996-06-09	VYDAJ	VYBER KARTOU	2400	58177	\N	\N	0
1040776	3558	1996-11-07	VYDAJ	VYBER	10500	45386	\N	\N	\N
1040777	3558	1996-02-13	VYDAJ	VYBER	13800	63318	\N	\N	\N
1040778	3558	1997-11-30	VYDAJ	VYBER	5400	71248	\N	\N	\N
1040779	3558	1997-07-10	VYDAJ	VYBER	6900	41493	\N	\N	\N
1040780	3558	1997-06-19	VYDAJ	VYBER	8400	69654	\N	\N	\N
1040781	3558	1998-07-15	VYDAJ	VYBER	4800	106201	\N	\N	\N
1040782	3558	1998-04-02	VYDAJ	VYBER	12900	63010	\N	\N	\N
1040783	3558	1998-02-24	VYDAJ	VYBER	13800	79100	\N	\N	\N
1040784	3558	1998-10-15	VYDAJ	VYBER	9300	77371	\N	\N	\N
1040795	3558	1993-10-31	VYDAJ	VYBER	15	40354	SLUZBY	\N	\N
1040796	3558	1993-11-30	VYDAJ	VYBER	15	32156	SLUZBY	\N	\N
1040797	3558	1993-12-31	VYDAJ	VYBER	15	55525	SLUZBY	\N	\N
1040798	3558	1994-01-31	VYDAJ	VYBER	15	40218	SLUZBY	\N	\N
1040799	3558	1994-02-28	VYDAJ	VYBER	15	45918	SLUZBY	\N	\N
1040800	3558	1994-03-31	VYDAJ	VYBER	15	50403	SLUZBY	\N	\N
1040801	3558	1994-04-30	VYDAJ	VYBER	15	41926	SLUZBY	\N	\N
1040802	3558	1994-05-31	VYDAJ	VYBER	15	38910	SLUZBY	\N	\N
1040803	3558	1994-06-30	VYDAJ	VYBER	15	60991	SLUZBY	\N	\N
1040804	3558	1994-07-31	VYDAJ	VYBER	15	65643	SLUZBY	\N	\N
1040805	3558	1994-08-31	VYDAJ	VYBER	15	61481	SLUZBY	\N	\N
1040806	3558	1994-09-30	VYDAJ	VYBER	15	29566	SLUZBY	\N	\N
1040807	3558	1994-10-31	VYDAJ	VYBER	15	45604	SLUZBY	\N	\N
1040808	3558	1994-11-30	VYDAJ	VYBER	15	48806	SLUZBY	\N	\N
1040809	3558	1994-12-31	VYDAJ	VYBER	15	57148	SLUZBY	\N	\N
1040810	3558	1995-01-31	VYDAJ	VYBER	15	29511	SLUZBY	\N	\N
1040811	3558	1995-02-28	VYDAJ	VYBER	15	47091	SLUZBY	\N	\N
1040812	3558	1995-03-31	VYDAJ	VYBER	15	46061	SLUZBY	\N	\N
1040813	3558	1995-04-30	VYDAJ	VYBER	15	54643	SLUZBY	\N	\N
1040814	3558	1995-05-31	VYDAJ	VYBER	15	50441	SLUZBY	\N	\N
1040815	3558	1995-06-30	VYDAJ	VYBER	15	43243	SLUZBY	\N	\N
1040816	3558	1995-07-31	VYDAJ	VYBER	15	50104	SLUZBY	\N	\N
1040817	3558	1995-08-31	VYDAJ	VYBER	15	80557	SLUZBY	\N	\N
1040818	3558	1995-09-30	VYDAJ	VYBER	15	89014	SLUZBY	\N	\N
1040819	3558	1995-10-31	VYDAJ	VYBER	15	89314	SLUZBY	\N	\N
1040820	3558	1995-11-30	VYDAJ	VYBER	15	88925	SLUZBY	\N	\N
1040821	3558	1995-12-31	VYDAJ	VYBER	15	93680	SLUZBY	\N	\N
1040822	3558	1996-01-31	VYDAJ	VYBER	15	62282	SLUZBY	\N	\N
1040823	3558	1996-02-29	VYDAJ	VYBER	15	63549	SLUZBY	\N	\N
1040824	3558	1996-03-31	VYDAJ	VYBER	15	61075	SLUZBY	\N	\N
1040825	3558	1996-04-30	VYDAJ	VYBER	15	73214	SLUZBY	\N	\N
1040826	3558	1996-05-31	VYDAJ	VYBER	15	88409	SLUZBY	\N	\N
1040827	3558	1996-06-30	VYDAJ	VYBER	15	41007	SLUZBY	\N	\N
1040828	3558	1996-07-31	VYDAJ	VYBER	15	59256	SLUZBY	\N	\N
1040829	3558	1996-08-31	VYDAJ	VYBER	15	84859	SLUZBY	\N	\N
1040830	3558	1996-09-30	VYDAJ	VYBER	15	97785	SLUZBY	\N	\N
1040831	3558	1996-10-31	VYDAJ	VYBER	15	108057	SLUZBY	\N	\N
1040832	3558	1996-11-30	VYDAJ	VYBER	15	76074	SLUZBY	\N	\N
1040833	3558	1996-12-31	VYDAJ	VYBER	15	110482	SLUZBY	\N	\N
1040834	3558	1997-01-31	VYDAJ	VYBER	15	86314	SLUZBY	\N	\N
1040835	3558	1997-02-28	VYDAJ	VYBER	15	59494	SLUZBY	\N	\N
1040836	3558	1997-03-31	VYDAJ	VYBER	15	80089	SLUZBY	\N	\N
1040837	3558	1997-04-30	VYDAJ	VYBER	15	92505	SLUZBY	\N	\N
1040838	3558	1997-05-31	VYDAJ	VYBER	15	87203	SLUZBY	\N	\N
1040839	3558	1997-06-30	VYDAJ	VYBER	15	61225	SLUZBY	\N	\N
1040840	3558	1997-07-31	VYDAJ	VYBER	15	82282	SLUZBY	\N	\N
1040841	3558	1997-08-31	VYDAJ	VYBER	15	74601	SLUZBY	\N	\N
1040842	3558	1997-09-30	VYDAJ	VYBER	15	53423	SLUZBY	\N	\N
1040843	3558	1997-10-31	VYDAJ	VYBER	15	68600	SLUZBY	\N	\N
1040844	3558	1997-11-30	VYDAJ	VYBER	15	71233	SLUZBY	\N	\N
1040845	3558	1997-12-31	VYDAJ	VYBER	15	60606	SLUZBY	\N	\N
1040846	3558	1998-01-31	VYDAJ	VYBER	15	58326	SLUZBY	\N	\N
1040847	3558	1998-02-28	VYDAJ	VYBER	15	64893	SLUZBY	\N	\N
1040848	3558	1998-03-31	VYDAJ	VYBER	15	75910	SLUZBY	\N	\N
1040849	3558	1998-04-30	VYDAJ	VYBER	15	75675	SLUZBY	\N	\N
1040850	3558	1998-05-31	VYDAJ	VYBER	15	65696	SLUZBY	\N	\N
1040851	3558	1998-06-30	VYDAJ	VYBER	15	72221	SLUZBY	\N	\N
1040852	3558	1998-07-31	VYDAJ	VYBER	15	68869	SLUZBY	\N	\N
1040853	3558	1998-08-31	VYDAJ	VYBER	15	69485	SLUZBY	\N	\N
1040854	3558	1998-09-30	VYDAJ	VYBER	15	86011	SLUZBY	\N	\N
1040855	3558	1998-10-31	VYDAJ	VYBER	15	67659	SLUZBY	\N	\N
1040856	3558	1998-11-30	VYDAJ	VYBER	15	83974	SLUZBY	\N	\N
1040857	3558	1993-06-22	VYDAJ	VYBER	22700	43314	\N	\N	\N
1040858	3558	1993-07-22	VYDAJ	VYBER	30900	56211	\N	\N	\N
1040859	3558	1993-08-21	VYDAJ	VYBER	38200	61952	\N	\N	\N
1040860	3558	1993-09-12	VYDAJ	VYBER	19100	86838	\N	\N	\N
1040861	3558	1993-09-20	VYDAJ	VYBER	33500	53338	\N	\N	\N
1040862	3558	1993-10-20	VYDAJ	VYBER	27000	55492	\N	\N	\N
1040863	3558	1993-11-19	VYDAJ	VYBER	13500	34970	\N	\N	\N
1040864	3558	1993-12-19	VYDAJ	VYBER	35100	57707	\N	\N	\N
1040865	3558	1994-01-18	VYDAJ	VYBER	14600	41554	\N	\N	\N
1040866	3558	1994-02-17	VYDAJ	VYBER	17700	45745	\N	\N	\N
1040867	3558	1994-03-19	VYDAJ	VYBER	26700	50198	\N	\N	\N
1040868	3558	1994-04-18	VYDAJ	VYBER	11900	41756	\N	\N	\N
1040869	3558	1994-05-18	VYDAJ	VYBER	13600	38766	\N	\N	\N
1040870	3558	1994-06-17	VYDAJ	VYBER	38800	60761	\N	\N	\N
1040871	3558	1994-07-17	VYDAJ	VYBER	34400	65371	\N	\N	\N
1040872	3558	1994-08-16	VYDAJ	VYBER	31500	61223	\N	\N	\N
1040873	3558	1994-09-15	VYDAJ	VYBER	24100	55308	\N	\N	\N
1040874	3558	1994-10-15	VYDAJ	VYBER	22900	45446	\N	\N	\N
1040875	3558	1994-11-14	VYDAJ	VYBER	19600	48628	\N	\N	\N
1040876	3558	1994-12-14	VYDAJ	VYBER	43300	66157	\N	\N	\N
1040877	3558	1995-01-13	VYDAJ	VYBER	26100	48828	\N	\N	\N
1040878	3558	1995-02-12	VYDAJ	VYBER	21400	46891	\N	\N	\N
1040879	3558	1995-03-14	VYDAJ	VYBER	31600	54271	\N	\N	\N
1040880	3558	1995-04-13	VYDAJ	VYBER	30400	54441	\N	\N	\N
1040881	3558	1995-05-13	VYDAJ	VYBER	34500	58923	\N	\N	\N
1040882	3558	1995-06-12	VYDAJ	VYBER	36800	58392	\N	\N	\N
1040883	3558	1995-07-12	VYDAJ	VYBER	32100	49923	\N	\N	\N
1040884	3558	1995-08-11	VYDAJ	VYBER	8600	39772	\N	\N	\N
1040885	3558	1995-09-10	VYDAJ	VYBER	26500	52325	\N	\N	\N
1040886	3558	1995-10-10	VYDAJ	VYBER	21600	48475	\N	\N	\N
1040887	3558	1995-11-09	VYDAJ	VYBER	25400	48082	\N	\N	\N
1040888	3558	1995-12-09	VYDAJ	VYBER	31200	52393	\N	\N	\N
1040889	3558	1995-12-31	VYDAJ	VYBER	21500	93695	\N	\N	\N
1040890	3558	1996-01-08	VYDAJ	VYBER	27900	49948	\N	\N	\N
1040891	3558	1996-02-07	VYDAJ	VYBER	18800	41902	\N	\N	\N
1040892	3558	1996-03-08	VYDAJ	VYBER	17900	43917	\N	\N	\N
1040893	3558	1996-04-07	VYDAJ	VYBER KARTOU	3200	32465	\N	\N	0
1040894	3558	1996-05-07	VYDAJ	VYBER	20900	50582	\N	\N	\N
1040895	3558	1996-06-06	VYDAJ	VYBER	26100	62309	\N	\N	\N
1040896	3558	1996-06-12	VYDAJ	VYBER	15300	105260	\N	\N	\N
1040897	3558	1996-07-06	VYDAJ	VYBER KARTOU	3700	37307	\N	\N	0
1040898	3558	1996-08-05	VYDAJ	VYBER	9700	49556	\N	\N	\N
1040899	3558	1996-09-04	VYDAJ	VYBER	26200	58659	\N	\N	\N
1040900	3558	1996-10-04	VYDAJ	VYBER	28900	68885	\N	\N	\N
1040901	3558	1996-11-03	VYDAJ	VYBER	37100	70957	\N	\N	\N
1040902	3558	1996-12-03	VYDAJ	VYBER	19400	49474	\N	\N	\N
1040903	3558	1997-01-02	VYDAJ	VYBER	40500	69982	\N	\N	\N
1040904	3558	1997-02-01	VYDAJ	VYBER	23000	63314	\N	\N	\N
1040905	3558	1997-03-03	VYDAJ	VYBER	10400	49094	\N	\N	\N
1040906	3558	1997-04-02	VYDAJ	VYBER	19500	60589	\N	\N	\N
1040907	3558	1997-05-02	VYDAJ	VYBER	26000	66505	\N	\N	\N
1040908	3558	1997-06-01	VYDAJ	VYBER	21400	65803	\N	\N	\N
1040909	3558	1997-06-12	VYDAJ	VYBER	48400	78054	\N	\N	\N
1040910	3558	1997-07-01	VYDAJ	VYBER	11100	50125	\N	\N	\N
1040911	3558	1997-07-31	VYDAJ	VYBER	19400	62882	\N	\N	\N
1040912	3558	1997-08-30	VYDAJ	VYBER	27400	74262	\N	\N	\N
1040913	3558	1997-09-29	VYDAJ	VYBER	8300	53167	\N	\N	\N
1040914	3558	1997-10-29	VYDAJ	VYBER	23900	68303	\N	\N	\N
1040915	3558	1997-11-28	VYDAJ	VYBER	31100	76280	\N	\N	\N
1040916	3558	1997-12-12	VYDAJ	VYBER	35200	87949	\N	\N	\N
1040917	3558	1997-12-28	VYDAJ	VYBER	18900	64249	\N	\N	\N
1040918	3558	1998-01-27	VYDAJ	VYBER	4900	58084	\N	\N	\N
1040919	3558	1998-02-26	VYDAJ	VYBER	14500	64600	\N	\N	\N
1040920	3558	1998-03-28	VYDAJ	VYBER	28100	75573	\N	\N	\N
1040921	3558	1998-04-27	VYDAJ	VYBER	17900	75361	\N	\N	\N
1040922	3558	1998-05-27	VYDAJ	VYBER	17000	65389	\N	\N	\N
1040923	3558	1998-06-12	VYDAJ	VYBER	44100	82247	\N	\N	\N
1040924	3558	1998-06-26	VYDAJ	VYBER	10400	71847	\N	\N	\N
1040925	3558	1998-07-26	VYDAJ	VYBER	10100	68549	\N	\N	\N
1040926	3558	1998-08-25	VYDAJ	VYBER	14200	69165	\N	\N	\N
1040927	3558	1998-09-24	VYDAJ	VYBER	22600	85665	\N	\N	\N
1040928	3558	1998-10-24	VYDAJ	VYBER	10000	67371	\N	\N	\N
1040929	3558	1998-11-23	VYDAJ	VYBER	22800	83639	\N	\N	\N
1040930	3558	1998-12-12	VYDAJ	VYBER	24500	115842	\N	\N	\N
1040931	3558	1998-12-23	VYDAJ	VYBER	26500	89342	\N	\N	\N
1040999	3559	1995-12-30	PRIJEM	VKLAD	600	600	\N	\N	\N
1041012	3559	1996-01-11	PRIJEM	VKLAD	14036	14636	\N	\N	\N
1041013	3559	1996-02-11	PRIJEM	VKLAD	14036	33280	\N	\N	\N
1041014	3559	1996-03-11	PRIJEM	VKLAD	14036	41198	\N	\N	\N
1041015	3559	1996-04-11	PRIJEM	VKLAD	14036	45949	\N	\N	\N
1041016	3559	1996-05-11	PRIJEM	VKLAD	14036	48919	\N	\N	\N
1041017	3559	1996-06-11	PRIJEM	VKLAD	21054	35186	\N	\N	\N
1041018	3559	1996-07-11	PRIJEM	VKLAD	14036	38528	\N	\N	\N
1041019	3559	1996-08-11	PRIJEM	VKLAD	14036	43476	\N	\N	\N
1041020	3559	1996-09-11	PRIJEM	VKLAD	14036	41834	\N	\N	\N
1041021	3559	1996-10-11	PRIJEM	VKLAD	14036	44392	\N	\N	\N
1041022	3559	1996-11-11	PRIJEM	VKLAD	14036	42455	\N	\N	\N
1041023	3559	1996-12-11	PRIJEM	VKLAD	21054	53034	\N	\N	\N
1041024	3559	1997-01-11	PRIJEM	VKLAD	14036	43320	\N	\N	\N
1041025	3559	1997-02-11	PRIJEM	VKLAD	14036	45885	\N	\N	\N
1041026	3559	1997-03-11	PRIJEM	VKLAD	14036	50860	\N	\N	\N
1041027	3559	1997-04-11	PRIJEM	VKLAD	14036	50452	\N	\N	\N
1041028	3559	1997-05-11	PRIJEM	VKLAD	14036	46037	\N	\N	\N
1041029	3559	1997-06-11	PRIJEM	VKLAD	21054	56231	\N	\N	\N
1041030	3559	1997-07-11	PRIJEM	VKLAD	14036	48410	\N	\N	\N
1041031	3559	1997-08-11	PRIJEM	VKLAD	14036	53894	\N	\N	\N
1041032	3559	1997-09-11	PRIJEM	VKLAD	14036	62006	\N	\N	\N
1041033	3559	1997-10-11	PRIJEM	VKLAD	14036	62039	\N	\N	\N
1041034	3559	1997-11-11	PRIJEM	VKLAD	14036	64275	\N	\N	\N
1041035	3559	1997-12-11	PRIJEM	VKLAD	21054	67928	\N	\N	\N
1041036	3559	1998-01-11	PRIJEM	VKLAD	14036	60166	\N	\N	\N
1041037	3559	1998-02-11	PRIJEM	VKLAD	14036	51381	\N	\N	\N
1041038	3559	1998-03-11	PRIJEM	VKLAD	14036	50064	\N	\N	\N
1041039	3559	1998-04-11	PRIJEM	VKLAD	14036	51047	\N	\N	\N
1041040	3559	1998-05-11	PRIJEM	VKLAD	14036	54137	\N	\N	\N
1041041	3559	1998-06-11	PRIJEM	VKLAD	21054	40953	\N	\N	\N
1041042	3559	1998-07-11	PRIJEM	VKLAD	14036	44914	\N	\N	\N
1041043	3559	1998-08-11	PRIJEM	VKLAD	14036	50182	\N	\N	\N
1041044	3559	1998-09-11	PRIJEM	VKLAD	14036	50961	\N	\N	\N
1041045	3559	1998-10-11	PRIJEM	VKLAD	14036	53448	\N	\N	\N
1041046	3559	1998-11-11	PRIJEM	VKLAD	14036	54039	\N	\N	\N
1041047	3559	1998-12-11	PRIJEM	VKLAD	21054	60548	\N	\N	\N
1041065	3559	1996-06-09	VYDAJ	PREVOD NA UCET	4418	14132	SIPO	ST	75172489
1041066	3559	1996-07-09	VYDAJ	PREVOD NA UCET	4418	24492	SIPO	ST	75172489
1041067	3559	1996-08-09	VYDAJ	PREVOD NA UCET	4418	29440	SIPO	ST	75172489
1041068	3559	1996-09-09	VYDAJ	PREVOD NA UCET	4418	27798	SIPO	ST	75172489
1041069	3559	1996-10-09	VYDAJ	PREVOD NA UCET	4418	30356	SIPO	ST	75172489
1041070	3559	1996-11-09	VYDAJ	PREVOD NA UCET	4418	28419	SIPO	ST	75172489
1041071	3559	1996-12-09	VYDAJ	PREVOD NA UCET	4418	31980	SIPO	ST	75172489
1041072	3559	1997-01-09	VYDAJ	PREVOD NA UCET	4418	29984	SIPO	ST	75172489
1041073	3559	1997-02-09	VYDAJ	PREVOD NA UCET	4418	31849	SIPO	ST	75172489
1041074	3559	1997-03-09	VYDAJ	PREVOD NA UCET	4418	36824	SIPO	ST	75172489
1041075	3559	1997-04-09	VYDAJ	PREVOD NA UCET	4418	36416	SIPO	ST	75172489
1041076	3559	1997-05-09	VYDAJ	PREVOD NA UCET	4418	32001	SIPO	ST	75172489
1041077	3559	1997-06-09	VYDAJ	PREVOD NA UCET	4418	35177	SIPO	ST	75172489
1041078	3559	1997-07-09	VYDAJ	PREVOD NA UCET	4418	34374	SIPO	ST	75172489
1041079	3559	1997-08-09	VYDAJ	PREVOD NA UCET	4418	39858	SIPO	ST	75172489
1041080	3559	1997-09-09	VYDAJ	PREVOD NA UCET	4418	47970	SIPO	ST	75172489
1041081	3559	1997-10-09	VYDAJ	PREVOD NA UCET	4418	48003	SIPO	ST	75172489
1041082	3559	1997-11-09	VYDAJ	PREVOD NA UCET	4418	50239	SIPO	ST	75172489
1041083	3559	1997-12-09	VYDAJ	PREVOD NA UCET	4418	46874	SIPO	ST	75172489
1041084	3559	1998-01-09	VYDAJ	PREVOD NA UCET	4418	48030	SIPO	ST	75172489
1041085	3559	1998-02-09	VYDAJ	PREVOD NA UCET	4418	37345	SIPO	ST	75172489
1041086	3559	1998-03-09	VYDAJ	PREVOD NA UCET	4418	36028	SIPO	ST	75172489
1041087	3559	1998-04-09	VYDAJ	PREVOD NA UCET	4418	37011	SIPO	ST	75172489
1041088	3559	1998-05-09	VYDAJ	PREVOD NA UCET	4418	40101	SIPO	ST	75172489
1041089	3559	1998-06-09	VYDAJ	PREVOD NA UCET	4418	19899	SIPO	ST	75172489
1041090	3559	1998-07-09	VYDAJ	PREVOD NA UCET	4418	30878	SIPO	ST	75172489
1041091	3559	1998-08-09	VYDAJ	PREVOD NA UCET	4418	36146	SIPO	ST	75172489
1041092	3559	1998-09-09	VYDAJ	PREVOD NA UCET	4418	36925	SIPO	ST	75172489
1041093	3559	1998-10-09	VYDAJ	PREVOD NA UCET	4418	39412	SIPO	ST	75172489
1041094	3559	1998-11-09	VYDAJ	PREVOD NA UCET	4418	40003	SIPO	ST	75172489
1041095	3559	1998-12-09	VYDAJ	PREVOD NA UCET	4418	40094	SIPO	ST	75172489
1041097	3559	1996-06-07	VYDAJ	VYBER	18200	18550	\N	\N	\N
1041098	3559	1997-06-17	VYDAJ	VYBER	19500	36731	\N	\N	\N
1041099	3559	1998-06-05	VYDAJ	VYBER	21100	24317	\N	\N	\N
1041101	3559	1996-12-04	VYDAJ	VYBER	600	36398	\N	\N	\N
1041102	3559	1997-12-11	VYDAJ	VYBER KARTOU	1200	66728	\N	\N	0
1041103	3559	1998-12-10	VYDAJ	VYBER KARTOU	600	39494	\N	\N	0
1041116	3559	1997-01-28	VYDAJ	VYBER	700	36120	\N	\N	\N
1041117	3559	1997-01-17	VYDAJ	VYBER	800	42520	\N	\N	\N
1041118	3559	1997-01-04	VYDAJ	VYBER	1600	37202	\N	\N	\N
1041119	3559	1997-01-04	VYDAJ	VYBER	2800	34402	\N	\N	\N
1041120	3559	1997-01-10	VYDAJ	VYBER	700	29284	\N	\N	\N
1041121	3559	1997-01-21	VYDAJ	VYBER	700	41820	\N	\N	\N
1041122	3559	1998-01-12	VYDAJ	VYBER KARTOU	2000	58166	\N	\N	0
1041123	3559	1998-01-12	VYDAJ	VYBER KARTOU	1000	57166	\N	\N	0
1041124	3559	1998-01-24	VYDAJ	VYBER KARTOU	1400	47966	\N	\N	0
1041125	3559	1998-01-03	VYDAJ	VYBER KARTOU	1500	52448	\N	\N	0
1041126	3559	1998-01-10	VYDAJ	VYBER KARTOU	1900	46130	\N	\N	0
1041127	3559	1998-01-29	VYDAJ	VYBER KARTOU	1300	41566	\N	\N	0
1041134	3559	1996-10-16	VYDAJ	VYBER	1700	42692	\N	\N	\N
1041136	3559	1996-08-19	VYDAJ	VYBER	4600	38876	\N	\N	\N
1041138	3559	1997-04-17	VYDAJ	VYBER	2600	47852	\N	\N	\N
1041139	3559	1997-05-01	VYDAJ	VYBER	3000	36419	\N	\N	\N
1041140	3559	1997-07-18	VYDAJ	VYBER	4600	43810	\N	\N	\N
1041141	3559	1998-01-26	VYDAJ	VYBER KARTOU	3100	44866	\N	\N	0
1041142	3559	1998-10-07	VYDAJ	VYBER KARTOU	1300	43830	\N	\N	0
1041143	3559	1998-01-28	VYDAJ	VYBER KARTOU	2000	42866	\N	\N	0
1041161	3559	1996-05-31	VYDAJ	VYBER	15	36750	SLUZBY	\N	\N
1041162	3559	1996-06-30	VYDAJ	VYBER	15	28910	SLUZBY	\N	\N
1041163	3559	1996-07-31	VYDAJ	VYBER	15	33858	SLUZBY	\N	\N
1041164	3559	1996-08-31	VYDAJ	VYBER	15	32216	SLUZBY	\N	\N
1041165	3559	1996-09-30	VYDAJ	VYBER	15	34774	SLUZBY	\N	\N
1041166	3559	1996-10-31	VYDAJ	VYBER	15	32837	SLUZBY	\N	\N
1041167	3559	1996-11-30	VYDAJ	VYBER	15	36998	SLUZBY	\N	\N
1041168	3559	1996-12-31	VYDAJ	VYBER	15	38802	SLUZBY	\N	\N
1041169	3559	1997-01-31	VYDAJ	VYBER	15	36267	SLUZBY	\N	\N
1041170	3559	1997-02-28	VYDAJ	VYBER	15	41242	SLUZBY	\N	\N
1041171	3559	1997-03-31	VYDAJ	VYBER	15	40834	SLUZBY	\N	\N
1041172	3559	1997-04-30	VYDAJ	VYBER	15	39419	SLUZBY	\N	\N
1041173	3559	1997-05-31	VYDAJ	VYBER	15	39595	SLUZBY	\N	\N
1041174	3559	1997-06-30	VYDAJ	VYBER	15	38792	SLUZBY	\N	\N
1041175	3559	1997-07-31	VYDAJ	VYBER	15	44276	SLUZBY	\N	\N
1041176	3559	1997-08-31	VYDAJ	VYBER	15	52388	SLUZBY	\N	\N
1041177	3559	1997-09-30	VYDAJ	VYBER	15	52421	SLUZBY	\N	\N
1041178	3559	1997-10-31	VYDAJ	VYBER	15	54657	SLUZBY	\N	\N
1041179	3559	1997-11-30	VYDAJ	VYBER	15	51292	SLUZBY	\N	\N
1041180	3559	1997-12-31	VYDAJ	VYBER	15	53948	SLUZBY	\N	\N
1041181	3559	1998-01-31	VYDAJ	VYBER	15	41763	SLUZBY	\N	\N
1041182	3559	1998-02-28	VYDAJ	VYBER	15	40446	SLUZBY	\N	\N
1041183	3559	1998-03-31	VYDAJ	VYBER	15	41429	SLUZBY	\N	\N
1041184	3559	1998-04-30	VYDAJ	VYBER	15	44519	SLUZBY	\N	\N
1041185	3559	1998-05-31	VYDAJ	VYBER	15	45417	SLUZBY	\N	\N
1041186	3559	1998-06-30	VYDAJ	VYBER	15	35296	SLUZBY	\N	\N
1041187	3559	1998-07-31	VYDAJ	VYBER	15	40564	SLUZBY	\N	\N
1041188	3559	1998-08-31	VYDAJ	VYBER	15	41343	SLUZBY	\N	\N
1041189	3559	1998-09-30	VYDAJ	VYBER	15	45130	SLUZBY	\N	\N
1041190	3559	1998-10-31	VYDAJ	VYBER	15	44421	SLUZBY	\N	\N
1041191	3559	1998-11-30	VYDAJ	VYBER	15	44512	SLUZBY	\N	\N
1041192	3559	1996-01-29	PRIJEM	VKLAD	4600	19236	\N	\N	\N
1041193	3559	1996-02-28	VYDAJ	VYBER	6200	27080	\N	\N	\N
1041194	3559	1996-03-29	VYDAJ	VYBER	9400	31798	\N	\N	\N
1041195	3559	1996-04-28	VYDAJ	VYBER	11200	34749	\N	\N	\N
1041196	3559	1996-05-28	VYDAJ	VYBER	12300	36619	\N	\N	\N
1041197	3559	1996-06-27	VYDAJ	VYBER	6400	28786	\N	\N	\N
1041198	3559	1996-07-27	VYDAJ	VYBER	4800	33728	\N	\N	\N
1041199	3559	1996-08-26	VYDAJ	VYBER	6800	32076	\N	\N	\N
1041200	3559	1996-09-25	VYDAJ	VYBER	7200	34634	\N	\N	\N
1041201	3559	1996-10-25	VYDAJ	VYBER	10000	32692	\N	\N	\N
1041202	3559	1996-11-24	VYDAJ	VYBER	5600	36855	\N	\N	\N
1041203	3559	1996-12-24	VYDAJ	VYBER	14400	38634	\N	\N	\N
1041204	3559	1997-01-23	VYDAJ	VYBER	5000	36820	\N	\N	\N
1041205	3559	1997-02-22	VYDAJ	VYBER	4800	41085	\N	\N	\N
1041206	3559	1997-03-24	VYDAJ	VYBER	10200	40660	\N	\N	\N
1041207	3559	1997-04-23	VYDAJ	VYBER	8600	39252	\N	\N	\N
1041208	3559	1997-05-23	VYDAJ	VYBER	6600	39437	\N	\N	\N
1041209	3559	1997-06-22	PRIJEM	VKLAD	1900	38631	\N	\N	\N
1041210	3559	1997-07-22	PRIJEM	VKLAD	300	44110	\N	\N	\N
1041211	3559	1997-08-21	VYDAJ	VYBER KARTOU	1700	52194	\N	\N	0
1041212	3559	1997-09-20	VYDAJ	VYBER	9800	52206	\N	\N	\N
1041213	3559	1997-10-20	VYDAJ	VYBER	7600	54439	\N	\N	\N
1041214	3559	1997-11-19	VYDAJ	VYBER	13200	51075	\N	\N	\N
1041215	3559	1997-12-19	VYDAJ	VYBER	13000	53728	\N	\N	\N
1041216	3559	1998-01-18	VYDAJ	VYBER	7800	49366	\N	\N	\N
1041217	3559	1998-02-17	VYDAJ	VYBER	11100	40281	\N	\N	\N
1041218	3559	1998-03-19	VYDAJ	VYBER	8800	41264	\N	\N	\N
1041219	3559	1998-04-18	VYDAJ	VYBER	6700	44347	\N	\N	\N
1041220	3559	1998-05-18	VYDAJ	VYBER	8900	45237	\N	\N	\N
1041221	3559	1998-06-17	VYDAJ	VYBER	5800	35153	\N	\N	\N
1041222	3559	1998-07-17	VYDAJ	VYBER	4500	40414	\N	\N	\N
1041223	3559	1998-08-16	VYDAJ	VYBER	9000	41182	\N	\N	\N
1041224	3559	1998-09-15	VYDAJ	VYBER	6000	44961	\N	\N	\N
1041225	3559	1998-10-15	VYDAJ	VYBER	9200	44248	\N	\N	\N
1041226	3559	1998-11-14	VYDAJ	VYBER	9700	44339	\N	\N	\N
1041263	3560	1996-11-10	PRIJEM	VKLAD	800	800	\N	\N	\N
1041275	3560	1996-12-06	PRIJEM	PREVOD Z UCTU	5026	5826	DUCHOD	AB	16620582
1041276	3560	1997-01-06	PRIJEM	PREVOD Z UCTU	5026	10852	DUCHOD	AB	16620582
1041277	3560	1997-02-06	PRIJEM	PREVOD Z UCTU	5026	15878	DUCHOD	AB	16620582
1041278	3560	1997-03-06	PRIJEM	PREVOD Z UCTU	5026	20904	DUCHOD	AB	16620582
1041279	3560	1997-04-06	PRIJEM	PREVOD Z UCTU	5026	25930	DUCHOD	AB	16620582
1041280	3560	1997-05-06	PRIJEM	PREVOD Z UCTU	5026	24160	DUCHOD	AB	16620582
1041281	3560	1997-06-06	PRIJEM	PREVOD Z UCTU	5026	25219	DUCHOD	AB	16620582
1041282	3560	1997-07-06	PRIJEM	PREVOD Z UCTU	5026	26984	DUCHOD	AB	16620582
1041283	3560	1997-08-06	PRIJEM	PREVOD Z UCTU	5026	24931	DUCHOD	AB	16620582
1041284	3560	1997-09-06	PRIJEM	PREVOD Z UCTU	5026	20135	DUCHOD	AB	16620582
1041285	3560	1997-10-06	PRIJEM	PREVOD Z UCTU	5026	21879	DUCHOD	AB	16620582
1041286	3560	1997-11-06	PRIJEM	PREVOD Z UCTU	5026	20724	DUCHOD	AB	16620582
1041287	3560	1997-12-06	PRIJEM	PREVOD Z UCTU	5026	15427	DUCHOD	AB	16620582
1041288	3560	1998-01-06	PRIJEM	PREVOD Z UCTU	5026	14505	DUCHOD	AB	16620582
1041289	3560	1998-02-06	PRIJEM	PREVOD Z UCTU	5026	14222	DUCHOD	AB	16620582
1041290	3560	1998-03-06	PRIJEM	PREVOD Z UCTU	5026	15941	DUCHOD	AB	16620582
1041291	3560	1998-04-06	PRIJEM	PREVOD Z UCTU	5026	17668	DUCHOD	AB	16620582
1041292	3560	1998-05-06	PRIJEM	PREVOD Z UCTU	5026	19402	DUCHOD	AB	16620582
1041293	3560	1998-06-06	PRIJEM	PREVOD Z UCTU	5026	21143	DUCHOD	AB	16620582
1041294	3560	1998-07-06	PRIJEM	PREVOD Z UCTU	5026	13365	DUCHOD	AB	16620582
1041295	3560	1998-08-06	PRIJEM	PREVOD Z UCTU	5026	15084	DUCHOD	AB	16620582
1041296	3560	1998-09-06	PRIJEM	PREVOD Z UCTU	5026	16807	DUCHOD	AB	16620582
1041297	3560	1998-10-06	PRIJEM	PREVOD Z UCTU	5026	13437	DUCHOD	AB	16620582
1041298	3560	1998-11-06	PRIJEM	PREVOD Z UCTU	5026	15155	DUCHOD	AB	16620582
1041299	3560	1998-12-06	PRIJEM	PREVOD Z UCTU	5026	16578	DUCHOD	AB	16620582
1041316	3560	1997-05-05	VYDAJ	PREVOD NA UCET	3350	19134	SIPO	UV	69438946
1041317	3560	1997-06-05	VYDAJ	PREVOD NA UCET	3350	20193	SIPO	UV	69438946
1041318	3560	1997-07-05	VYDAJ	PREVOD NA UCET	3350	21958	SIPO	UV	69438946
1041319	3560	1997-08-05	VYDAJ	PREVOD NA UCET	3350	19905	SIPO	UV	69438946
1041320	3560	1997-09-05	VYDAJ	PREVOD NA UCET	3350	15109	SIPO	UV	69438946
1041321	3560	1997-10-05	VYDAJ	PREVOD NA UCET	3350	16853	SIPO	UV	69438946
1041322	3560	1997-11-05	VYDAJ	PREVOD NA UCET	3350	16898	SIPO	UV	69438946
1041323	3560	1997-12-05	VYDAJ	PREVOD NA UCET	3350	10401	SIPO	UV	69438946
1041324	3560	1998-01-05	VYDAJ	PREVOD NA UCET	3350	9479	SIPO	UV	69438946
1041325	3560	1998-02-05	VYDAJ	PREVOD NA UCET	3350	9196	SIPO	UV	69438946
1041326	3560	1998-03-05	VYDAJ	PREVOD NA UCET	3350	10915	SIPO	UV	69438946
1041327	3560	1998-04-05	VYDAJ	PREVOD NA UCET	3350	12642	SIPO	UV	69438946
1041328	3560	1998-05-05	VYDAJ	PREVOD NA UCET	3350	14376	SIPO	UV	69438946
1041329	3560	1998-06-05	VYDAJ	PREVOD NA UCET	3350	16117	SIPO	UV	69438946
1041330	3560	1998-07-05	VYDAJ	PREVOD NA UCET	3350	8339	SIPO	UV	69438946
1041331	3560	1998-08-05	VYDAJ	PREVOD NA UCET	3350	10058	SIPO	UV	69438946
1041332	3560	1998-09-05	VYDAJ	PREVOD NA UCET	3350	11781	SIPO	UV	69438946
1041333	3560	1998-10-05	VYDAJ	PREVOD NA UCET	3350	8411	SIPO	UV	69438946
1041334	3560	1998-11-05	VYDAJ	PREVOD NA UCET	3350	10129	SIPO	UV	69438946
1041335	3560	1998-12-05	VYDAJ	PREVOD NA UCET	3350	11552	SIPO	UV	69438946
1041344	3560	1998-12-29	VYDAJ	VYBER	1350	15228	\N	\N	\N
1041357	3560	1998-01-18	VYDAJ	VYBER	1280	12505	\N	\N	\N
1041362	3560	1998-01-17	VYDAJ	VYBER	720	13785	\N	\N	\N
1041370	3560	1997-12-08	VYDAJ	VYBER	2640	12787	\N	\N	\N
1041371	3560	1997-08-08	VYDAJ	VYBER	3840	18791	\N	\N	\N
1041372	3560	1997-08-20	VYDAJ	VYBER	400	18391	\N	\N	\N
1041373	3560	1997-11-24	VYDAJ	VYBER	3840	16884	\N	\N	\N
1041374	3560	1997-08-02	VYDAJ	VYBER	1920	23255	\N	\N	\N
1041379	3560	1998-06-15	VYDAJ	VYBER	2720	18423	\N	\N	\N
1041396	3560	1997-04-30	VYDAJ	VYBER	15	22484	SLUZBY	\N	\N
1041397	3560	1997-05-31	VYDAJ	VYBER	15	23543	SLUZBY	\N	\N
1041398	3560	1997-06-30	VYDAJ	VYBER	15	25308	SLUZBY	\N	\N
1041399	3560	1997-07-31	VYDAJ	VYBER	15	25175	SLUZBY	\N	\N
1041400	3560	1997-08-31	VYDAJ	VYBER	15	18459	SLUZBY	\N	\N
1041401	3560	1997-09-30	VYDAJ	VYBER	15	20203	SLUZBY	\N	\N
1041402	3560	1997-10-31	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
1041403	3560	1997-11-30	VYDAJ	VYBER	15	16951	SLUZBY	\N	\N
1041404	3560	1997-12-31	VYDAJ	VYBER	15	12829	SLUZBY	\N	\N
1041405	3560	1998-01-31	VYDAJ	VYBER	15	12546	SLUZBY	\N	\N
1041406	3560	1998-02-28	VYDAJ	VYBER	15	14265	SLUZBY	\N	\N
1041407	3560	1998-03-31	VYDAJ	VYBER	15	15992	SLUZBY	\N	\N
1041408	3560	1998-04-30	VYDAJ	VYBER	15	17726	SLUZBY	\N	\N
1041409	3560	1998-05-31	VYDAJ	VYBER	15	19467	SLUZBY	\N	\N
1041410	3560	1998-06-30	VYDAJ	VYBER	15	18489	SLUZBY	\N	\N
1041411	3560	1998-07-31	VYDAJ	VYBER	15	13408	SLUZBY	\N	\N
1041412	3560	1998-08-31	VYDAJ	VYBER	15	15131	SLUZBY	\N	\N
1041413	3560	1998-09-30	VYDAJ	VYBER	15	16861	SLUZBY	\N	\N
1041414	3560	1998-10-31	VYDAJ	VYBER	15	13479	SLUZBY	\N	\N
1041415	3560	1998-11-30	VYDAJ	VYBER	15	15202	SLUZBY	\N	\N
1041416	3560	1997-04-09	VYDAJ	VYBER	3500	22430	\N	\N	\N
1041417	3560	1997-05-09	VYDAJ	VYBER	700	23460	\N	\N	\N
1041418	3560	1997-07-08	VYDAJ	VYBER	1900	25084	\N	\N	\N
1041419	3560	1997-08-07	VYDAJ	VYBER	2300	22631	\N	\N	\N
1041420	3560	1997-10-06	VYDAJ	VYBER	1700	20179	\N	\N	\N
1041421	3560	1997-11-05	VYDAJ	VYBER	1200	15698	\N	\N	\N
1041422	3560	1997-12-05	VYDAJ	VYBER	3200	13751	\N	\N	\N
1041423	3560	1998-07-03	VYDAJ	VYBER	6800	11689	\N	\N	\N
1041424	3560	1998-10-01	VYDAJ	VYBER	5100	11761	\N	\N	\N
1041425	3560	1998-11-30	VYDAJ	VYBER	300	14902	\N	\N	\N
1041447	3561	1997-10-15	PRIJEM	VKLAD	600	600	\N	\N	\N
1041458	3561	1997-11-08	PRIJEM	PREVOD Z UCTU	4324	4924	DUCHOD	OP	18583649
1041459	3561	1997-12-08	PRIJEM	PREVOD Z UCTU	4324	9248	DUCHOD	OP	18583649
1041460	3561	1998-01-08	PRIJEM	PREVOD Z UCTU	4324	13572	DUCHOD	OP	18583649
1041461	3561	1998-02-08	PRIJEM	PREVOD Z UCTU	4324	17028	DUCHOD	OP	18583649
1041462	3561	1998-03-08	PRIJEM	PREVOD Z UCTU	4324	21405	DUCHOD	OP	18583649
1041463	3561	1998-04-08	PRIJEM	PREVOD Z UCTU	4324	22095	DUCHOD	OP	18583649
1041464	3561	1998-05-08	PRIJEM	PREVOD Z UCTU	4324	24705	DUCHOD	OP	18583649
1041465	3561	1998-06-08	PRIJEM	PREVOD Z UCTU	4324	26323	DUCHOD	OP	18583649
1041466	3561	1998-07-08	PRIJEM	PREVOD Z UCTU	4324	20128	DUCHOD	OP	18583649
1041467	3561	1998-08-08	PRIJEM	PREVOD Z UCTU	4324	21648	DUCHOD	OP	18583649
1041468	3561	1998-09-08	PRIJEM	PREVOD Z UCTU	4324	22651	DUCHOD	OP	18583649
1041469	3561	1998-10-08	PRIJEM	PREVOD Z UCTU	4324	25264	DUCHOD	OP	18583649
1041470	3561	1998-11-08	PRIJEM	PREVOD Z UCTU	4324	20666	DUCHOD	OP	18583649
1041471	3561	1998-12-08	PRIJEM	PREVOD Z UCTU	4324	23270	DUCHOD	OP	18583649
1041487	3561	1998-04-06	VYDAJ	PREVOD NA UCET	1789	17771	SIPO	AB	87848221
1041488	3561	1998-05-06	VYDAJ	PREVOD NA UCET	1789	20381	SIPO	AB	87848221
1041489	3561	1998-06-06	VYDAJ	PREVOD NA UCET	1789	21999	SIPO	AB	87848221
1041490	3561	1998-07-06	VYDAJ	PREVOD NA UCET	1789	15804	SIPO	AB	87848221
1041491	3561	1998-08-06	VYDAJ	PREVOD NA UCET	1789	17324	SIPO	AB	87848221
1041492	3561	1998-09-06	VYDAJ	PREVOD NA UCET	1789	18327	SIPO	AB	87848221
1041493	3561	1998-10-06	VYDAJ	PREVOD NA UCET	1789	20940	SIPO	AB	87848221
1041494	3561	1998-11-06	VYDAJ	PREVOD NA UCET	1789	16342	SIPO	AB	87848221
1041495	3561	1998-12-06	VYDAJ	PREVOD NA UCET	1789	18946	SIPO	AB	87848221
1041497	3561	1998-06-12	VYDAJ	VYBER	8800	17523	\N	\N	\N
1041519	3561	1998-07-25	VYDAJ	VYBER	480	19048	\N	\N	\N
1041520	3561	1998-10-12	VYDAJ	VYBER	2800	18064	\N	\N	\N
1041536	3561	1998-03-31	VYDAJ	VYBER	15	19560	SLUZBY	\N	\N
1041537	3561	1998-04-30	VYDAJ	VYBER	15	22170	SLUZBY	\N	\N
1041538	3561	1998-05-31	VYDAJ	VYBER	15	23788	SLUZBY	\N	\N
1041539	3561	1998-06-30	VYDAJ	VYBER	15	17593	SLUZBY	\N	\N
1041540	3561	1998-07-31	VYDAJ	VYBER	15	19113	SLUZBY	\N	\N
1041541	3561	1998-08-31	VYDAJ	VYBER	15	20116	SLUZBY	\N	\N
1041542	3561	1998-09-30	VYDAJ	VYBER	15	22729	SLUZBY	\N	\N
1041543	3561	1998-10-31	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
1041544	3561	1998-11-30	VYDAJ	VYBER	15	20735	SLUZBY	\N	\N
1041545	3561	1998-01-13	VYDAJ	VYBER	900	12672	\N	\N	\N
1041546	3561	1998-03-14	VYDAJ	VYBER	1900	19505	\N	\N	\N
1041547	3561	1998-05-13	VYDAJ	VYBER	1000	23705	\N	\N	\N
1041548	3561	1998-07-12	VYDAJ	VYBER	600	19528	\N	\N	\N
1041549	3561	1998-08-11	VYDAJ	VYBER	1600	20048	\N	\N	\N
1041550	3561	1998-10-10	VYDAJ	VYBER	4400	20864	\N	\N	\N
1041563	3562	1996-07-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1041564	3562	1996-10-18	PRIJEM	VKLAD	23411	68498	\N	\N	\N
1041565	3562	1996-08-31	PRIJEM	VKLAD	48235	75274	\N	\N	\N
1041568	3562	1996-11-20	PRIJEM	VKLAD	19311	69224	\N	\N	\N
1041569	3562	1996-09-05	PRIJEM	VKLAD	38279	113553	\N	\N	\N
1041571	3562	1996-10-23	PRIJEM	VKLAD	33544	102042	\N	\N	\N
1041572	3562	1996-10-12	PRIJEM	VKLAD	15589	72887	\N	\N	\N
1041573	3562	1996-10-30	PRIJEM	VKLAD	33122	135164	\N	\N	\N
1041575	3562	1996-10-03	PRIJEM	VKLAD	22643	88522	\N	\N	\N
1041576	3562	1996-09-28	PRIJEM	VKLAD	15781	65534	\N	\N	\N
1041578	3562	1996-08-12	PRIJEM	VKLAD	36682	37682	\N	\N	\N
1041579	3562	1996-11-16	PRIJEM	VKLAD	12179	114413	\N	\N	\N
1041580	3562	1996-12-03	PRIJEM	VKLAD	10066	71531	\N	\N	\N
1041582	3562	1996-12-27	PRIJEM	VKLAD	44589	90720	\N	\N	\N
1041584	3562	1996-11-15	PRIJEM	VKLAD	42762	144034	\N	\N	\N
1041586	3562	1996-10-31	PRIJEM	VKLAD	39151	159286	\N	\N	\N
1041587	3562	1996-10-04	PRIJEM	VKLAD	20776	109298	\N	\N	\N
1041591	3562	1997-10-22	PRIJEM	VKLAD	49720	82775	\N	\N	\N
1041592	3562	1997-05-26	PRIJEM	VKLAD	14521	50127	\N	\N	\N
1041593	3562	1997-12-26	PRIJEM	VKLAD	42399	62509	\N	\N	\N
1041594	3562	1997-03-30	PRIJEM	VKLAD	42873	71461	\N	\N	\N
1041595	3562	1997-07-15	PRIJEM	VKLAD	20734	57812	\N	\N	\N
1041596	3562	1997-10-07	PRIJEM	VKLAD	11388	48700	\N	\N	\N
1041597	3562	1997-08-26	PRIJEM	VKLAD	38858	67337	\N	\N	\N
1041598	3562	1997-06-06	PRIJEM	VKLAD	7883	35561	\N	\N	\N
1041599	3562	1998-12-04	PRIJEM	VKLAD	8964	112040	\N	\N	\N
1041600	3562	1998-04-11	PRIJEM	VKLAD	31284	81337	\N	\N	\N
1041601	3562	1998-11-14	PRIJEM	VKLAD	34155	118537	\N	\N	\N
1041602	3562	1998-10-17	PRIJEM	VKLAD	10435	83120	\N	\N	\N
1041603	3562	1998-07-26	PRIJEM	VKLAD	48423	104736	\N	\N	\N
1041604	3562	1998-05-23	PRIJEM	VKLAD	21012	71243	\N	\N	\N
1041605	3562	1998-02-25	PRIJEM	VKLAD	28064	53747	\N	\N	\N
1041606	3562	1998-06-25	PRIJEM	VKLAD	12788	82883	\N	\N	\N
1041607	3562	1998-06-13	PRIJEM	VKLAD	44160	110473	\N	\N	\N
1041608	3562	1998-08-07	PRIJEM	VKLAD	23647	128723	\N	\N	\N
1041609	3562	1998-06-02	PRIJEM	VKLAD	15791	87284	\N	\N	\N
1041610	3562	1998-06-27	PRIJEM	VKLAD	28411	104472	\N	\N	\N
1041611	3562	1998-11-07	PRIJEM	VKLAD	14478	91672	\N	\N	\N
1041612	3562	1998-06-02	PRIJEM	VKLAD	23919	111203	\N	\N	\N
1041613	3562	1998-05-04	PRIJEM	VKLAD	39897	121531	\N	\N	\N
1041614	3562	1998-10-10	PRIJEM	VKLAD	35353	79976	\N	\N	\N
1041615	3562	1998-06-14	PRIJEM	VKLAD	31822	142295	\N	\N	\N
1041616	3562	1998-11-17	PRIJEM	VKLAD	43820	119957	\N	\N	\N
1041617	3562	1998-03-20	PRIJEM	VKLAD	28334	75616	\N	\N	\N
1041618	3562	1998-01-27	PRIJEM	VKLAD	15178	43739	\N	\N	\N
1041619	3562	1998-10-20	PRIJEM	VKLAD	20274	103394	\N	\N	\N
1041629	3562	1996-09-26	VYDAJ	VYBER	8200	49753	\N	\N	0
1041630	3562	1996-11-10	VYDAJ	VYBER	5800	101272	\N	\N	0
1041631	3562	1996-12-12	VYDAJ	VYBER	7500	64031	\N	\N	0
1041632	3562	1997-01-13	VYDAJ	VYBER	5600	68895	\N	\N	0
1041633	3562	1997-02-19	VYDAJ	VYBER	4400	25207	\N	\N	0
1041634	3562	1997-03-01	VYDAJ	VYBER	5800	19488	\N	\N	0
1041635	3562	1997-04-08	VYDAJ	VYBER	7800	63771	\N	\N	0
1041636	3562	1997-05-25	VYDAJ	VYBER	6600	35606	\N	\N	0
1041637	3562	1997-06-23	VYDAJ	VYBER	8300	30461	\N	\N	0
1041638	3562	1997-07-18	VYDAJ	VYBER	9000	48812	\N	\N	0
1041639	3562	1997-08-07	VYDAJ	VYBER	6500	21179	\N	\N	0
1041640	3562	1997-09-17	VYDAJ	VYBER	8000	40167	\N	\N	0
1041641	3562	1997-10-20	VYDAJ	VYBER	7200	33055	\N	\N	0
1041642	3562	1997-11-11	VYDAJ	VYBER	6500	76490	\N	\N	0
1041643	3562	1997-12-11	VYDAJ	VYBER	6100	39839	\N	\N	0
1041644	3562	1998-01-11	VYDAJ	VYBER	5800	36361	\N	\N	0
1041645	3562	1998-02-08	VYDAJ	VYBER	10000	33892	\N	\N	0
1041646	3562	1998-03-20	VYDAJ	VYBER	5800	69816	\N	\N	0
1041647	3562	1998-03-29	VYDAJ	VYBER	7700	62116	\N	\N	0
1041648	3562	1998-05-11	VYDAJ	VYBER	8500	50231	\N	\N	0
1041649	3562	1998-06-12	VYDAJ	PREVOD NA UCET	7291	66313	UVER	MN	34374082
1041650	3562	1998-07-12	VYDAJ	PREVOD NA UCET	7291	70136	UVER	MN	34374082
1041651	3562	1998-08-12	VYDAJ	PREVOD NA UCET	7291	44933	UVER	MN	34374082
1041652	3562	1998-09-12	VYDAJ	PREVOD NA UCET	7291	37771	UVER	MN	34374082
1041653	3562	1998-10-12	VYDAJ	PREVOD NA UCET	7291	72685	UVER	MN	34374082
1041654	3562	1998-11-12	VYDAJ	PREVOD NA UCET	7291	84382	UVER	MN	34374082
1041655	3562	1998-12-12	VYDAJ	PREVOD NA UCET	7291	59849	UVER	MN	34374082
1041663	3562	1997-05-27	VYBER	VYBER	22626	27501	\N	\N	\N
1041664	3562	1997-12-12	VYBER	VYBER	19729	20110	\N	\N	\N
1041666	3562	1997-09-10	VYBER	VYBER	5416	56667	\N	\N	\N
1041667	3562	1997-01-10	VYBER	VYBER	5080	82295	\N	\N	\N
1041669	3562	1997-08-07	VYBER	VYBER	21291	27679	\N	\N	\N
1041671	3562	1997-10-06	VYBER	VYBER	3052	37312	\N	\N	\N
1041672	3562	1997-10-13	VYBER	VYBER	7845	40255	\N	\N	\N
1041675	3562	1998-02-15	VYBER	VYBER	6409	25683	\N	\N	\N
1041676	3562	1998-06-26	VYBER	VYBER	6822	76061	\N	\N	\N
1041677	3562	1998-07-18	VYBER	VYBER	13823	56313	\N	\N	\N
1041678	3562	1998-12-24	VYBER	VYBER	2891	53058	\N	\N	\N
1041681	3562	1998-06-16	VYDAJ	VYBER	9300	70095	\N	\N	\N
1041683	3562	1997-01-20	VYDAJ	VYBER	23700	23095	\N	\N	\N
1041684	3562	1998-01-10	VYDAJ	VYBER	3300	42161	\N	\N	\N
1041685	3562	1996-12-02	VYDAJ	VYBER	8100	61465	\N	\N	\N
1041686	3562	1997-12-10	VYDAJ	VYBER	2100	51939	\N	\N	\N
1041687	3562	1998-12-14	VYDAJ	VYBER	3900	55949	\N	\N	\N
1041694	3562	1997-01-11	VYDAJ	VYBER	2400	79895	\N	\N	\N
1041697	3562	1997-01-08	VYDAJ	VYBER	3600	87375	\N	\N	\N
1041698	3562	1997-01-11	VYDAJ	VYBER	5400	74495	\N	\N	\N
1041699	3562	1997-01-21	VYDAJ	VYBER	1800	21295	\N	\N	\N
1041702	3562	1998-01-07	VYDAJ	VYBER	4200	50961	\N	\N	\N
1041703	3562	1998-01-02	VYDAJ	VYBER	7500	55161	\N	\N	\N
1041704	3562	1998-01-09	VYDAJ	VYBER	7200	43761	\N	\N	\N
1041705	3562	1998-01-12	VYDAJ	VYBER	7800	28561	\N	\N	\N
1041710	3562	1997-09-02	VYDAJ	VYBER	5400	62083	\N	\N	\N
1041712	3562	1998-06-08	VYDAJ	VYBER	6000	101603	\N	\N	\N
1041713	3562	1998-03-18	VYDAJ	VYBER	2400	47282	\N	\N	\N
1041714	3562	1998-08-09	VYDAJ	VYBER	9900	52223	\N	\N	\N
1041715	3562	1998-06-04	VYDAJ	VYBER	3600	107603	\N	\N	\N
1041716	3562	1998-05-09	VYDAJ	VYBER	7500	66731	\N	\N	\N
1041727	3562	1996-10-31	VYDAJ	VYBER	15	107072	SLUZBY	\N	\N
1041728	3562	1996-11-30	VYDAJ	VYBER	15	69565	SLUZBY	\N	\N
1041729	3562	1996-12-31	VYDAJ	VYBER	15	90975	SLUZBY	\N	\N
1041730	3562	1997-01-31	VYDAJ	VYBER	15	21507	SLUZBY	\N	\N
1041731	3562	1997-02-28	VYDAJ	VYBER	15	25288	SLUZBY	\N	\N
1041732	3562	1997-03-31	VYDAJ	VYBER	15	71571	SLUZBY	\N	\N
1041733	3562	1997-04-30	VYDAJ	VYBER	15	49806	SLUZBY	\N	\N
1041734	3562	1997-05-31	VYDAJ	VYBER	15	27678	SLUZBY	\N	\N
1041735	3562	1997-06-30	VYDAJ	VYBER	15	30578	SLUZBY	\N	\N
1041736	3562	1997-07-31	VYDAJ	VYBER	15	48970	SLUZBY	\N	\N
1041737	3562	1997-08-31	VYDAJ	VYBER	15	67483	SLUZBY	\N	\N
1041738	3562	1997-09-30	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
1041739	3562	1997-10-31	VYDAJ	VYBER	15	82990	SLUZBY	\N	\N
1041740	3562	1997-11-30	VYDAJ	VYBER	15	54039	SLUZBY	\N	\N
1041741	3562	1997-12-31	VYDAJ	VYBER	15	62661	SLUZBY	\N	\N
1041742	3562	1998-01-31	VYDAJ	VYBER	15	43892	SLUZBY	\N	\N
1041743	3562	1998-02-28	VYDAJ	VYBER	15	53882	SLUZBY	\N	\N
1041744	3562	1998-03-31	VYDAJ	VYBER	15	62353	SLUZBY	\N	\N
1041745	3562	1998-04-30	VYDAJ	VYBER	15	81634	SLUZBY	\N	\N
1041746	3562	1998-05-31	VYDAJ	VYBER	15	71493	SLUZBY	\N	\N
1041747	3562	1998-06-30	VYDAJ	VYBER	15	104826	SLUZBY	\N	\N
1041748	3562	1998-07-31	VYDAJ	VYBER	15	105076	SLUZBY	\N	\N
1041749	3562	1998-08-31	VYDAJ	VYBER	15	45161	SLUZBY	\N	\N
1041750	3562	1998-09-30	VYDAJ	VYBER	15	37923	SLUZBY	\N	\N
1041751	3562	1998-10-31	VYDAJ	VYBER	15	103694	SLUZBY	\N	\N
1041752	3562	1998-11-30	VYDAJ	VYBER	15	103076	SLUZBY	\N	\N
1041753	3562	1996-08-18	VYDAJ	VYBER	10700	26982	\N	\N	\N
1041754	3562	1996-09-05	VYDAJ	VYBER	18600	94953	\N	\N	\N
1041755	3562	1996-09-17	VYDAJ	VYBER	37000	57953	\N	\N	\N
1041756	3562	1996-10-04	VYDAJ	VYBER	52000	57298	\N	\N	\N
1041757	3562	1996-10-17	VYDAJ	VYBER	27800	45087	\N	\N	\N
1041758	3562	1996-10-30	VYDAJ	VYBER	15400	119764	\N	\N	\N
1041759	3562	1996-10-31	VYDAJ	VYBER	52200	107086	\N	\N	\N
1041760	3562	1996-11-15	VYDAJ	VYBER	41800	102234	\N	\N	\N
1041761	3562	1996-11-16	VYDAJ	VYBER	44600	49913	\N	\N	\N
1041762	3562	1996-11-16	VYDAJ	VYBER	19900	94513	\N	\N	\N
1041763	3562	1996-12-16	VYDAJ	VYBER	17900	46131	\N	\N	\N
1041764	3562	1997-01-15	VYDAJ	VYBER	22100	46795	\N	\N	\N
1041765	3562	1997-02-14	PRIJEM	VKLAD	8100	29607	\N	\N	\N
1041766	3562	1997-03-16	PRIJEM	VKLAD	9100	28588	\N	\N	\N
1041767	3562	1997-04-15	VYDAJ	VYBER	14200	49571	\N	\N	\N
1041768	3562	1997-05-15	VYDAJ	VYBER	7600	42206	\N	\N	\N
1041769	3562	1997-06-14	PRIJEM	VKLAD	3200	38761	\N	\N	\N
1041770	3562	1997-07-14	PRIJEM	VKLAD	6500	37078	\N	\N	\N
1041771	3562	1997-08-13	PRIJEM	VKLAD	7300	28479	\N	\N	\N
1041772	3562	1997-09-12	VYDAJ	VYBER	8500	48167	\N	\N	\N
1041773	3562	1997-10-12	VYDAJ	VYBER	600	48100	\N	\N	\N
1041774	3562	1997-11-11	VYDAJ	VYBER	22700	53790	\N	\N	\N
1041775	3562	1997-12-11	VYDAJ	VYBER	6000	45939	\N	\N	\N
1041776	3562	1998-01-10	PRIJEM	VKLAD	1700	45461	\N	\N	\N
1041777	3562	1998-02-09	VYDAJ	VYBER	1800	32092	\N	\N	\N
1041778	3562	1998-03-11	VYDAJ	VYBER	4200	49682	\N	\N	\N
1041779	3562	1998-04-10	VYDAJ	VYBER	12300	50053	\N	\N	\N
1041780	3562	1998-05-04	VYDAJ	VYBER	47300	74231	\N	\N	\N
1041781	3562	1998-05-10	VYDAJ	VYBER	8000	58731	\N	\N	\N
1041782	3562	1998-06-09	VYDAJ	VYBER	28000	73603	\N	\N	\N
1041783	3562	1998-06-14	VYDAJ	VYBER	62900	79395	\N	\N	\N
1041784	3562	1998-07-09	VYDAJ	VYBER	27400	77426	\N	\N	\N
1041785	3562	1998-08-07	VYDAJ	VYBER	54800	73923	\N	\N	\N
1041786	3562	1998-08-08	VYDAJ	VYBER	11800	62123	\N	\N	\N
1041787	3562	1998-09-07	VYDAJ	VYBER	100	45061	\N	\N	\N
1041788	3562	1998-10-07	PRIJEM	VKLAD	6700	44623	\N	\N	\N
1041789	3562	1998-11-06	VYDAJ	VYBER	26500	77194	\N	\N	\N
1041790	3562	1998-11-14	VYDAJ	VYBER	42400	76137	\N	\N	\N
1041791	3562	1998-11-17	VYDAJ	VYBER	17300	102657	\N	\N	\N
1041792	3562	1998-12-04	VYDAJ	VYBER	29000	83040	\N	\N	\N
1041793	3562	1998-12-06	VYDAJ	VYBER	15900	67140	\N	\N	\N
1041823	3563	1996-07-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1041830	3563	1996-07-07	PRIJEM	VKLAD	18088	19088	\N	\N	\N
1041831	3563	1996-08-07	PRIJEM	VKLAD	18088	38540	\N	\N	\N
1041832	3563	1996-09-07	PRIJEM	VKLAD	18088	50973	\N	\N	\N
1041833	3563	1996-10-07	PRIJEM	VKLAD	18088	57563	\N	\N	\N
1041834	3563	1996-11-07	PRIJEM	VKLAD	18088	59886	\N	\N	\N
1041835	3563	1996-12-07	PRIJEM	VKLAD	27132	69946	\N	\N	\N
1041836	3563	1997-01-07	PRIJEM	VKLAD	18088	66495	\N	\N	\N
1041837	3563	1997-02-07	PRIJEM	VKLAD	18088	59311	\N	\N	\N
1041838	3563	1997-03-07	PRIJEM	VKLAD	18088	63859	\N	\N	\N
1041839	3563	1997-04-07	PRIJEM	VKLAD	18088	64792	\N	\N	\N
1041840	3563	1997-05-07	PRIJEM	VKLAD	18088	63760	\N	\N	\N
1041841	3563	1997-06-07	PRIJEM	VKLAD	27132	73668	\N	\N	\N
1041842	3563	1997-07-07	PRIJEM	VKLAD	18088	54643	\N	\N	\N
1041843	3563	1997-08-07	PRIJEM	VKLAD	18088	57995	\N	\N	\N
1041844	3563	1997-09-07	PRIJEM	VKLAD	18088	58935	\N	\N	\N
1041845	3563	1997-10-07	PRIJEM	VKLAD	18088	58277	\N	\N	\N
1041846	3563	1997-11-07	PRIJEM	VKLAD	18088	56517	\N	\N	\N
1041847	3563	1997-12-07	PRIJEM	VKLAD	27132	63092	\N	\N	\N
1041848	3563	1998-01-07	PRIJEM	VKLAD	18088	53125	\N	\N	\N
1041849	3563	1998-02-07	PRIJEM	VKLAD	18088	36466	\N	\N	\N
1041850	3563	1998-03-07	PRIJEM	VKLAD	18088	41724	\N	\N	\N
1041851	3563	1998-04-07	PRIJEM	VKLAD	18088	45898	\N	\N	\N
1041852	3563	1998-05-07	PRIJEM	VKLAD	18088	47822	\N	\N	\N
1041853	3563	1998-06-07	PRIJEM	VKLAD	27132	57063	\N	\N	\N
1041854	3563	1998-07-07	PRIJEM	VKLAD	18088	37951	\N	\N	\N
1041855	3563	1998-08-07	PRIJEM	VKLAD	18088	41211	\N	\N	\N
1041856	3563	1998-09-07	PRIJEM	VKLAD	18088	46926	\N	\N	\N
1041857	3563	1998-10-07	PRIJEM	VKLAD	18088	50022	\N	\N	\N
1041858	3563	1998-11-07	PRIJEM	VKLAD	18088	54533	\N	\N	\N
1041859	3563	1998-12-07	PRIJEM	VKLAD	27132	66505	\N	\N	\N
1041861	3563	1997-06-26	VYDAJ	VYBER	20900	52268	\N	\N	\N
1041862	3563	1998-06-14	VYDAJ	VYBER	26400	30663	\N	\N	\N
1041864	3563	1997-01-04	VYDAJ	VYBER	3500	48407	\N	\N	\N
1041865	3563	1998-01-28	VYDAJ	VYBER	3100	19925	\N	\N	\N
1041866	3563	1996-12-23	VYDAJ	VYBER	2500	67446	\N	\N	\N
1041867	3563	1997-12-23	VYDAJ	VYBER	2300	60792	\N	\N	\N
1041868	3563	1998-12-28	VYDAJ	VYBER	900	46405	\N	\N	\N
1041875	3563	1997-01-20	VYDAJ	VYBER	1800	60895	\N	\N	\N
1041876	3563	1997-01-25	VYDAJ	VYBER	1400	57195	\N	\N	\N
1041877	3563	1997-01-24	VYDAJ	VYBER	2300	58595	\N	\N	\N
1041878	3563	1997-01-26	VYDAJ	VYBER	2600	54595	\N	\N	\N
1041879	3563	1997-01-17	VYDAJ	VYBER	2000	62695	\N	\N	\N
1041880	3563	1997-01-07	VYDAJ	VYBER	1800	64695	\N	\N	\N
1041881	3563	1998-01-19	VYDAJ	VYBER	1900	45525	\N	\N	\N
1041882	3563	1998-01-21	VYDAJ	VYBER	2700	42825	\N	\N	\N
1041883	3563	1998-01-30	VYDAJ	VYBER	1700	18225	\N	\N	\N
1041884	3563	1998-01-06	VYDAJ	VYBER	1700	35037	\N	\N	\N
1041885	3563	1998-01-18	VYDAJ	VYBER	2300	47425	\N	\N	\N
1041886	3563	1998-01-13	VYDAJ	VYBER	700	52425	\N	\N	\N
1041889	3563	1996-11-21	VYDAJ	VYBER	3400	56486	\N	\N	\N
1041892	3563	1997-06-24	VYDAJ	VYBER	500	73168	\N	\N	\N
1041893	3563	1997-06-30	VYDAJ	VYBER	2900	36569	\N	\N	\N
1041894	3563	1997-07-18	VYDAJ	VYBER	1000	53643	\N	\N	\N
1041895	3563	1997-06-29	VYDAJ	VYBER	500	39268	\N	\N	\N
1041896	3563	1998-08-03	VYDAJ	VYBER	600	23123	\N	\N	\N
1041897	3563	1998-02-22	VYDAJ	VYBER	4200	32266	\N	\N	\N
1041898	3563	1998-04-09	VYDAJ	VYBER	2900	42998	\N	\N	\N
1041899	3563	1998-01-16	VYDAJ	VYBER	2700	49725	\N	\N	\N
1041911	3563	1996-11-30	VYDAJ	VYBER	15	56714	SLUZBY	\N	\N
1041912	3563	1996-12-31	VYDAJ	VYBER	15	51907	SLUZBY	\N	\N
1041913	3563	1997-01-31	VYDAJ	VYBER	15	41223	SLUZBY	\N	\N
1041914	3563	1997-02-28	VYDAJ	VYBER	15	59471	SLUZBY	\N	\N
1041915	3563	1997-03-31	VYDAJ	VYBER	15	46704	SLUZBY	\N	\N
1041916	3563	1997-04-30	VYDAJ	VYBER	15	45672	SLUZBY	\N	\N
1041917	3563	1997-05-31	VYDAJ	VYBER	15	46536	SLUZBY	\N	\N
1041918	3563	1997-06-30	VYDAJ	VYBER	15	36555	SLUZBY	\N	\N
1041919	3563	1997-07-31	VYDAJ	VYBER	15	39907	SLUZBY	\N	\N
1041920	3563	1997-08-31	VYDAJ	VYBER	15	40847	SLUZBY	\N	\N
1041921	3563	1997-09-30	VYDAJ	VYBER	15	40189	SLUZBY	\N	\N
1041922	3563	1997-10-31	VYDAJ	VYBER	15	38429	SLUZBY	\N	\N
1041923	3563	1997-11-30	VYDAJ	VYBER	15	35960	SLUZBY	\N	\N
1041924	3563	1997-12-31	VYDAJ	VYBER	15	36737	SLUZBY	\N	\N
1041925	3563	1998-01-31	VYDAJ	VYBER	15	18378	SLUZBY	\N	\N
1041926	3563	1998-02-28	VYDAJ	VYBER	15	23636	SLUZBY	\N	\N
1041927	3563	1998-03-31	VYDAJ	VYBER	15	27810	SLUZBY	\N	\N
1041928	3563	1998-04-30	VYDAJ	VYBER	15	29734	SLUZBY	\N	\N
1041929	3563	1998-05-31	VYDAJ	VYBER	15	29931	SLUZBY	\N	\N
1041930	3563	1998-06-30	VYDAJ	VYBER	15	19863	SLUZBY	\N	\N
1041931	3563	1998-07-31	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
1041932	3563	1998-08-31	VYDAJ	VYBER	15	28838	SLUZBY	\N	\N
1041933	3563	1998-09-30	VYDAJ	VYBER	15	31934	SLUZBY	\N	\N
1041934	3563	1998-10-31	VYDAJ	VYBER	15	36445	SLUZBY	\N	\N
1041935	3563	1998-11-30	VYDAJ	VYBER	15	39373	SLUZBY	\N	\N
1041936	3563	1996-08-03	PRIJEM	VKLAD	1300	20452	\N	\N	\N
1041937	3563	1996-09-02	VYDAJ	VYBER	5800	32885	\N	\N	\N
1041938	3563	1996-10-02	VYDAJ	VYBER	11700	39475	\N	\N	\N
1041939	3563	1996-11-01	VYDAJ	VYBER	16000	41798	\N	\N	\N
1041940	3563	1996-12-01	VYDAJ	VYBER	13900	42814	\N	\N	\N
1041941	3563	1996-12-31	VYDAJ	VYBER	15800	51922	\N	\N	\N
1041942	3563	1997-01-30	VYDAJ	VYBER	13600	40995	\N	\N	\N
1041943	3563	1997-03-01	VYDAJ	VYBER	13700	45771	\N	\N	\N
1041944	3563	1997-03-31	VYDAJ	VYBER	17400	46719	\N	\N	\N
1041945	3563	1997-04-30	VYDAJ	VYBER	19300	45687	\N	\N	\N
1041946	3563	1997-05-30	VYDAJ	VYBER	17400	46360	\N	\N	\N
1041947	3563	1997-06-29	VYDAJ	VYBER	12500	39768	\N	\N	\N
1041948	3563	1997-07-29	VYDAJ	VYBER	13900	39743	\N	\N	\N
1041949	3563	1997-08-28	VYDAJ	VYBER	17300	40695	\N	\N	\N
1041950	3563	1997-09-27	VYDAJ	VYBER	18900	40035	\N	\N	\N
1041951	3563	1997-10-27	VYDAJ	VYBER	20000	38277	\N	\N	\N
1041952	3563	1997-11-26	VYDAJ	VYBER	20700	35817	\N	\N	\N
1041953	3563	1997-12-26	VYDAJ	VYBER	24200	36592	\N	\N	\N
1041954	3563	1998-01-25	VYDAJ	VYBER	19800	23025	\N	\N	\N
1041955	3563	1998-02-24	VYDAJ	VYBER	8700	23566	\N	\N	\N
1041956	3563	1998-03-26	VYDAJ	VYBER	14000	27724	\N	\N	\N
1041957	3563	1998-04-25	VYDAJ	VYBER	13400	29598	\N	\N	\N
1041958	3563	1998-05-25	VYDAJ	VYBER	18000	29822	\N	\N	\N
1041959	3563	1998-06-24	VYDAJ	VYBER	10900	19763	\N	\N	\N
1041960	3563	1998-07-24	VYDAJ	VYBER	14300	23651	\N	\N	\N
1041961	3563	1998-08-23	VYDAJ	VYBER	12500	28711	\N	\N	\N
1041962	3563	1998-09-22	VYDAJ	VYBER	15100	31826	\N	\N	\N
1041963	3563	1998-10-22	VYDAJ	VYBER	13700	36322	\N	\N	\N
1041964	3563	1998-11-21	VYDAJ	VYBER	15300	39233	\N	\N	\N
1041965	3563	1998-12-21	VYDAJ	VYBER	19200	47305	\N	\N	\N
1041996	3564	1996-11-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1042008	3564	1996-12-05	PRIJEM	VKLAD	10428	11428	\N	\N	\N
1042009	3564	1997-01-05	PRIJEM	VKLAD	6952	25618	\N	\N	\N
1042010	3564	1997-02-05	PRIJEM	VKLAD	6952	30057	\N	\N	\N
1042011	3564	1997-03-05	PRIJEM	VKLAD	6952	33812	\N	\N	\N
1042012	3564	1997-04-05	PRIJEM	VKLAD	6952	34377	\N	\N	\N
1042013	3564	1997-05-05	PRIJEM	VKLAD	6952	36440	\N	\N	\N
1042014	3564	1997-06-05	PRIJEM	VKLAD	10428	43484	\N	\N	\N
1042015	3564	1997-07-05	PRIJEM	VKLAD	6952	35859	\N	\N	\N
1042016	3564	1997-08-05	PRIJEM	VKLAD	6952	38724	\N	\N	\N
1042017	3564	1997-09-05	PRIJEM	VKLAD	6952	37490	\N	\N	\N
1042018	3564	1997-10-05	PRIJEM	VKLAD	6952	39760	\N	\N	\N
1042019	3564	1997-11-05	PRIJEM	VKLAD	6952	37832	\N	\N	\N
1042020	3564	1997-12-05	PRIJEM	VKLAD	10428	40573	\N	\N	\N
1042021	3564	1998-01-05	PRIJEM	VKLAD	6952	38654	\N	\N	\N
1042022	3564	1998-02-05	PRIJEM	VKLAD	6952	32619	\N	\N	\N
1042023	3564	1998-03-05	PRIJEM	VKLAD	6952	41588	\N	\N	\N
1042024	3564	1998-04-05	PRIJEM	VKLAD	6952	38069	\N	\N	\N
1042025	3564	1998-05-05	PRIJEM	VKLAD	6952	33945	\N	\N	\N
1042026	3564	1998-06-05	PRIJEM	VKLAD	10428	11677	\N	\N	\N
1042027	3564	1998-07-05	PRIJEM	VKLAD	6952	25793	\N	\N	\N
1042028	3564	1998-08-05	PRIJEM	VKLAD	6952	31325	\N	\N	\N
1042029	3564	1998-09-05	PRIJEM	VKLAD	6952	33370	\N	\N	\N
1042030	3564	1998-10-05	PRIJEM	VKLAD	6952	40339	\N	\N	\N
1042031	3564	1998-11-05	PRIJEM	VKLAD	6952	44728	\N	\N	\N
1042032	3564	1998-12-05	PRIJEM	VKLAD	10428	45793	\N	\N	\N
1042034	3564	1997-06-14	VYDAJ	VYBER	7900	33684	\N	\N	\N
1042035	3564	1998-06-01	VYDAJ	VYBER	28200	1249	\N	\N	\N
1042038	3564	1998-01-21	VYDAJ	VYBER	3900	26754	\N	\N	\N
1042040	3564	1997-12-08	VYDAJ	VYBER	2000	38573	\N	\N	\N
1042041	3564	1998-12-24	VYDAJ	VYBER	1400	38493	\N	\N	\N
1042054	3564	1998-01-09	VYDAJ	VYBER	2100	33854	\N	\N	\N
1042055	3564	1998-01-24	VYDAJ	VYBER	1200	25554	\N	\N	\N
1042056	3564	1998-01-07	VYDAJ	VYBER	2700	35954	\N	\N	\N
1042057	3564	1998-01-13	VYDAJ	VYBER	2400	30654	\N	\N	\N
1042058	3564	1998-01-01	VYDAJ	VYBER	2100	33402	\N	\N	\N
1042059	3564	1998-01-04	VYDAJ	VYBER	1700	31702	\N	\N	\N
1042068	3564	1997-06-06	VYDAJ	VYBER	1900	41584	\N	\N	\N
1042069	3564	1997-11-21	VYDAJ	VYBER	600	30032	\N	\N	\N
1042071	3564	1997-10-09	VYDAJ	VYBER	900	38860	\N	\N	\N
1042072	3564	1997-04-05	VYDAJ	VYBER	1800	32577	\N	\N	\N
1042075	3564	1998-03-12	VYDAJ	VYBER	4500	37088	\N	\N	\N
1042076	3564	1998-12-17	VYDAJ	VYBER	1000	39893	\N	\N	\N
1042077	3564	1998-04-25	VYDAJ	VYBER	3500	29969	\N	\N	\N
1042078	3564	1998-03-25	VYDAJ	VYBER	3700	31888	\N	\N	\N
1042079	3564	1998-04-04	VYDAJ	VYBER	900	31117	\N	\N	\N
1042080	3564	1998-04-28	VYDAJ	VYBER	3100	26869	\N	\N	\N
1042081	3564	1998-12-04	VYDAJ	VYBER	1000	35365	\N	\N	\N
1042098	3564	1997-04-30	VYDAJ	VYBER	15	29488	SLUZBY	\N	\N
1042099	3564	1997-05-31	VYDAJ	VYBER	15	33056	SLUZBY	\N	\N
1042100	3564	1997-06-30	VYDAJ	VYBER	15	28907	SLUZBY	\N	\N
1042101	3564	1997-07-31	VYDAJ	VYBER	15	31772	SLUZBY	\N	\N
1042102	3564	1997-08-31	VYDAJ	VYBER	15	30538	SLUZBY	\N	\N
1042103	3564	1997-09-30	VYDAJ	VYBER	15	32808	SLUZBY	\N	\N
1042104	3564	1997-10-31	VYDAJ	VYBER	15	30880	SLUZBY	\N	\N
1042105	3564	1997-11-30	VYDAJ	VYBER	15	30145	SLUZBY	\N	\N
1042106	3564	1997-12-31	VYDAJ	VYBER	15	35502	SLUZBY	\N	\N
1042107	3564	1998-01-31	VYDAJ	VYBER	15	25667	SLUZBY	\N	\N
1042108	3564	1998-02-28	VYDAJ	VYBER	15	34636	SLUZBY	\N	\N
1042109	3564	1998-03-31	VYDAJ	VYBER	15	32017	SLUZBY	\N	\N
1042110	3564	1998-04-30	VYDAJ	VYBER	15	26993	SLUZBY	\N	\N
1042111	3564	1998-05-31	VYDAJ	VYBER	15	29449	SLUZBY	\N	\N
1042112	3564	1998-06-30	VYDAJ	VYBER	15	18841	SLUZBY	\N	\N
1042113	3564	1998-07-31	VYDAJ	VYBER	15	24373	SLUZBY	\N	\N
1042114	3564	1998-08-31	VYDAJ	VYBER	15	26418	SLUZBY	\N	\N
1042115	3564	1998-09-30	VYDAJ	VYBER	15	33387	SLUZBY	\N	\N
1042116	3564	1998-10-31	VYDAJ	VYBER	15	37776	SLUZBY	\N	\N
1042117	3564	1998-11-30	VYDAJ	VYBER	15	36365	SLUZBY	\N	\N
1042118	3564	1996-12-17	PRIJEM	VKLAD	7200	18628	\N	\N	\N
1042119	3564	1997-01-16	VYDAJ	VYBER	2600	23018	\N	\N	\N
1042120	3564	1997-02-15	VYDAJ	VYBER	3300	26757	\N	\N	\N
1042121	3564	1997-03-17	VYDAJ	VYBER	6500	27312	\N	\N	\N
1042122	3564	1997-04-16	VYDAJ	VYBER	3200	29377	\N	\N	\N
1042123	3564	1997-05-16	VYDAJ	VYBER	3500	32940	\N	\N	\N
1042124	3564	1997-06-15	VYDAJ	VYBER	4900	28784	\N	\N	\N
1042125	3564	1997-07-15	VYDAJ	VYBER	4200	31659	\N	\N	\N
1042126	3564	1997-08-14	VYDAJ	VYBER	8300	30424	\N	\N	\N
1042127	3564	1997-09-13	VYDAJ	VYBER	4800	32690	\N	\N	\N
1042128	3564	1997-10-13	VYDAJ	VYBER	8100	30760	\N	\N	\N
1042129	3564	1997-11-12	VYDAJ	VYBER	7200	30632	\N	\N	\N
1042130	3564	1997-12-12	VYDAJ	VYBER	3200	35373	\N	\N	\N
1042131	3564	1998-01-11	VYDAJ	VYBER	800	33054	\N	\N	\N
1042132	3564	1998-02-10	PRIJEM	VKLAD	1900	34519	\N	\N	\N
1042133	3564	1998-03-12	VYDAJ	VYBER	1500	35588	\N	\N	\N
1042134	3564	1998-04-11	VYDAJ	VYBER	4600	33469	\N	\N	\N
1042135	3564	1998-05-11	VYDAJ	VYBER	4600	29345	\N	\N	\N
1042136	3564	1998-06-10	PRIJEM	VKLAD	7100	18777	\N	\N	\N
1042137	3564	1998-07-10	VYDAJ	VYBER	1500	24293	\N	\N	\N
1042138	3564	1998-08-09	VYDAJ	VYBER	5000	26325	\N	\N	\N
1042139	3564	1998-09-08	VYDAJ	VYBER	100	33270	\N	\N	\N
1042140	3564	1998-10-08	VYDAJ	VYBER	2700	37639	\N	\N	\N
1042141	3564	1998-11-07	VYDAJ	VYBER	8500	36228	\N	\N	\N
1042142	3564	1998-12-07	VYDAJ	VYBER	4900	40893	\N	\N	\N
1042168	3565	1997-02-12	PRIJEM	VKLAD	300	300	\N	\N	\N
1042171	3565	1997-03-08	PRIJEM	PREVOD Z UCTU	3594	3894	\N	AB	46753895
1042172	3565	1997-04-08	PRIJEM	PREVOD Z UCTU	3594	19527	\N	AB	46753895
1042173	3565	1997-05-08	PRIJEM	PREVOD Z UCTU	3594	31015	\N	AB	46753895
1042174	3565	1997-06-08	PRIJEM	PREVOD Z UCTU	3594	33229	\N	AB	46753895
1042175	3565	1997-07-08	PRIJEM	PREVOD Z UCTU	3594	32143	\N	AB	46753895
1042176	3565	1997-08-08	PRIJEM	PREVOD Z UCTU	3594	31936	\N	AB	46753895
1042177	3565	1997-09-08	PRIJEM	PREVOD Z UCTU	3594	35250	\N	AB	46753895
1042178	3565	1997-10-08	PRIJEM	PREVOD Z UCTU	3594	33163	\N	AB	46753895
1042179	3565	1997-11-08	PRIJEM	PREVOD Z UCTU	3594	33795	\N	AB	46753895
1042180	3565	1997-12-08	PRIJEM	PREVOD Z UCTU	3594	32064	\N	AB	46753895
1042181	3565	1998-01-08	PRIJEM	PREVOD Z UCTU	3594	32155	\N	AB	46753895
1042182	3565	1998-02-08	PRIJEM	PREVOD Z UCTU	3594	25292	\N	AB	46753895
1042183	3565	1998-03-08	PRIJEM	PREVOD Z UCTU	3594	26576	\N	AB	46753895
1042184	3565	1998-04-08	PRIJEM	PREVOD Z UCTU	3594	23667	\N	AB	46753895
1042185	3565	1998-05-08	PRIJEM	PREVOD Z UCTU	3594	26045	\N	AB	46753895
1042186	3565	1998-06-08	PRIJEM	PREVOD Z UCTU	3594	28027	\N	AB	46753895
1042187	3565	1998-07-08	PRIJEM	PREVOD Z UCTU	3594	26244	\N	AB	46753895
1042188	3565	1998-08-08	PRIJEM	PREVOD Z UCTU	3594	28324	\N	AB	46753895
1042189	3565	1998-09-08	PRIJEM	PREVOD Z UCTU	3594	29819	\N	AB	46753895
1042190	3565	1998-10-08	PRIJEM	PREVOD Z UCTU	3594	31216	\N	AB	46753895
1042191	3565	1998-11-08	PRIJEM	PREVOD Z UCTU	3594	29119	\N	AB	46753895
1042192	3565	1998-12-08	PRIJEM	PREVOD Z UCTU	3594	29018	\N	AB	46753895
1042199	3565	1997-07-11	VYDAJ	PREVOD NA UCET	492	31651	SIPO	QR	59281444
1042200	3565	1997-08-11	VYDAJ	PREVOD NA UCET	492	33444	SIPO	QR	59281444
1042201	3565	1997-09-11	VYDAJ	PREVOD NA UCET	492	31358	SIPO	QR	59281444
1042202	3565	1997-10-11	VYDAJ	PREVOD NA UCET	492	32471	SIPO	QR	59281444
1042203	3565	1997-11-11	VYDAJ	PREVOD NA UCET	492	30503	SIPO	QR	59281444
1042204	3565	1997-12-11	VYDAJ	PREVOD NA UCET	492	29772	SIPO	QR	59281444
1042205	3565	1998-01-11	VYDAJ	PREVOD NA UCET	492	30343	SIPO	QR	59281444
1042206	3565	1998-02-11	VYDAJ	PREVOD NA UCET	492	24800	SIPO	QR	59281444
1042207	3565	1998-03-11	VYDAJ	PREVOD NA UCET	492	22084	SIPO	QR	59281444
1042208	3565	1998-04-11	VYDAJ	PREVOD NA UCET	492	24275	SIPO	QR	59281444
1042209	3565	1998-05-11	VYDAJ	PREVOD NA UCET	492	24053	SIPO	QR	59281444
1042210	3565	1998-06-11	VYDAJ	PREVOD NA UCET	492	21055	SIPO	QR	59281444
1042211	3565	1998-07-11	VYDAJ	PREVOD NA UCET	492	25752	SIPO	QR	59281444
1042212	3565	1998-08-11	VYDAJ	PREVOD NA UCET	492	27832	SIPO	QR	59281444
1042213	3565	1998-09-11	VYDAJ	PREVOD NA UCET	492	29327	SIPO	QR	59281444
1042214	3565	1998-10-11	VYDAJ	PREVOD NA UCET	492	30724	SIPO	QR	59281444
1042215	3565	1998-11-11	VYDAJ	PREVOD NA UCET	492	28627	SIPO	QR	59281444
1042216	3565	1998-12-11	VYDAJ	PREVOD NA UCET	492	28526	SIPO	QR	59281444
1042223	3565	1997-07-12	VYDAJ	PREVOD NA UCET	1494	29647	 	QR	37784505
1042224	3565	1997-08-12	VYDAJ	PREVOD NA UCET	1494	31540	 	QR	37784505
1042225	3565	1997-09-12	VYDAJ	PREVOD NA UCET	1494	29454	 	QR	37784505
1042226	3565	1997-10-12	VYDAJ	PREVOD NA UCET	1494	30567	 	QR	37784505
1042227	3565	1997-11-12	VYDAJ	PREVOD NA UCET	1494	28599	 	QR	37784505
1042228	3565	1997-12-12	VYDAJ	PREVOD NA UCET	1494	28278	 	QR	37784505
1042229	3565	1998-01-12	VYDAJ	PREVOD NA UCET	1494	28849	 	QR	37784505
1042230	3565	1998-02-12	VYDAJ	PREVOD NA UCET	1494	22896	 	QR	37784505
1042231	3565	1998-03-12	VYDAJ	PREVOD NA UCET	1494	20180	 	QR	37784505
1042232	3565	1998-04-12	VYDAJ	PREVOD NA UCET	1494	22371	 	QR	37784505
1042233	3565	1998-05-12	VYDAJ	PREVOD NA UCET	1494	22149	 	QR	37784505
1042234	3565	1998-06-12	VYDAJ	PREVOD NA UCET	1494	19151	 	QR	37784505
1042235	3565	1998-07-12	VYDAJ	PREVOD NA UCET	1494	24258	 	QR	37784505
1042236	3565	1998-08-12	VYDAJ	PREVOD NA UCET	1494	25928	 	QR	37784505
1042237	3565	1998-09-12	VYDAJ	PREVOD NA UCET	1494	27423	 	QR	37784505
1042238	3565	1998-10-12	VYDAJ	PREVOD NA UCET	1494	28820	 	QR	37784505
1042239	3565	1998-11-12	VYDAJ	PREVOD NA UCET	1494	27133	 	QR	37784505
1042240	3565	1998-12-12	VYDAJ	PREVOD NA UCET	1494	26622	 	QR	37784505
1042247	3565	1997-07-12	VYDAJ	PREVOD NA UCET	410	28237	POJISTNE	AB	17042690
1042248	3565	1997-08-12	VYDAJ	PREVOD NA UCET	410	33034	POJISTNE	AB	17042690
1042249	3565	1997-09-12	VYDAJ	PREVOD NA UCET	410	30948	POJISTNE	AB	17042690
1042250	3565	1997-10-12	VYDAJ	PREVOD NA UCET	410	32061	POJISTNE	AB	17042690
1042251	3565	1997-11-12	VYDAJ	PREVOD NA UCET	410	30093	POJISTNE	AB	17042690
1042252	3565	1997-12-12	VYDAJ	PREVOD NA UCET	410	27868	POJISTNE	AB	17042690
1042253	3565	1998-01-12	VYDAJ	PREVOD NA UCET	410	28439	POJISTNE	AB	17042690
1042254	3565	1998-02-12	VYDAJ	PREVOD NA UCET	410	24390	POJISTNE	AB	17042690
1042255	3565	1998-03-12	VYDAJ	PREVOD NA UCET	410	21674	POJISTNE	AB	17042690
1042256	3565	1998-04-12	VYDAJ	PREVOD NA UCET	410	23865	POJISTNE	AB	17042690
1042257	3565	1998-05-12	VYDAJ	PREVOD NA UCET	410	23643	POJISTNE	AB	17042690
1042258	3565	1998-06-12	VYDAJ	PREVOD NA UCET	410	20645	POJISTNE	AB	17042690
1042259	3565	1998-07-12	VYDAJ	PREVOD NA UCET	410	23848	POJISTNE	AB	17042690
1042260	3565	1998-08-12	VYDAJ	PREVOD NA UCET	410	27422	POJISTNE	AB	17042690
1042261	3565	1998-09-12	VYDAJ	PREVOD NA UCET	410	28917	POJISTNE	AB	17042690
1042262	3565	1998-10-12	VYDAJ	PREVOD NA UCET	410	30314	POJISTNE	AB	17042690
1042263	3565	1998-11-12	VYDAJ	PREVOD NA UCET	410	26723	POJISTNE	AB	17042690
1042264	3565	1998-12-12	VYDAJ	PREVOD NA UCET	410	28116	POJISTNE	AB	17042690
1042266	3565	1998-06-08	VYDAJ	VYBER	6480	21547	\N	\N	\N
1042268	3565	1998-01-18	VYDAJ	VYBER	1890	25979	\N	\N	\N
1042269	3565	1997-12-24	VYDAJ	VYBER	780	27088	\N	\N	\N
1042270	3565	1998-12-12	VYDAJ	VYBER	840	25782	\N	\N	\N
1042277	3565	1998-01-30	VYDAJ	VYBER	660	23609	\N	\N	\N
1042278	3565	1998-01-06	VYDAJ	VYBER	330	26861	\N	\N	\N
1042279	3565	1998-01-13	VYDAJ	VYBER	570	27869	\N	\N	\N
1042280	3565	1998-01-09	VYDAJ	VYBER	600	31555	\N	\N	\N
1042281	3565	1998-01-11	VYDAJ	VYBER	720	30835	\N	\N	\N
1042282	3565	1998-01-28	VYDAJ	VYBER	510	25469	\N	\N	\N
1042283	3565	1997-10-22	VYDAJ	VYBER	480	30087	\N	\N	\N
1042284	3565	1997-12-02	VYDAJ	VYBER	240	28470	\N	\N	\N
1042286	3565	1997-07-12	VYDAJ	VYBER	510	31141	\N	\N	\N
1042287	3565	1998-03-14	VYDAJ	VYBER	180	20000	\N	\N	\N
1042288	3565	1998-02-05	VYDAJ	VYBER	1410	22298	\N	\N	\N
1042289	3565	1998-06-30	VYDAJ	VYBER	1170	18050	\N	\N	\N
1042290	3565	1998-12-23	VYDAJ	VYBER	240	25542	\N	\N	\N
1042291	3565	1998-01-30	VYDAJ	VYBER	1200	24269	\N	\N	\N
1042299	3565	1997-07-31	VYDAJ	VYBER	15	28342	SLUZBY	\N	\N
1042300	3565	1997-08-31	VYDAJ	VYBER	15	31656	SLUZBY	\N	\N
1042301	3565	1997-09-30	VYDAJ	VYBER	15	29569	SLUZBY	\N	\N
1042302	3565	1997-10-31	VYDAJ	VYBER	15	30201	SLUZBY	\N	\N
1042303	3565	1997-11-30	VYDAJ	VYBER	15	28710	SLUZBY	\N	\N
1042304	3565	1997-12-31	VYDAJ	VYBER	15	27191	SLUZBY	\N	\N
1042305	3565	1998-01-31	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
1042306	3565	1998-02-28	VYDAJ	VYBER	15	22982	SLUZBY	\N	\N
1042307	3565	1998-03-31	VYDAJ	VYBER	15	20073	SLUZBY	\N	\N
1042308	3565	1998-04-30	VYDAJ	VYBER	15	22451	SLUZBY	\N	\N
1042309	3565	1998-05-31	VYDAJ	VYBER	15	22233	SLUZBY	\N	\N
1042310	3565	1998-06-30	VYDAJ	VYBER	15	19220	SLUZBY	\N	\N
1042311	3565	1998-07-31	VYDAJ	VYBER	15	23930	SLUZBY	\N	\N
1042312	3565	1998-08-31	VYDAJ	VYBER	15	26025	SLUZBY	\N	\N
1042313	3565	1998-09-30	VYDAJ	VYBER	15	27522	SLUZBY	\N	\N
1042314	3565	1998-10-31	VYDAJ	VYBER	15	28925	SLUZBY	\N	\N
1042315	3565	1998-11-30	VYDAJ	VYBER	15	26824	SLUZBY	\N	\N
1042316	3565	1997-03-14	PRIJEM	VKLAD	12000	15894	\N	\N	\N
1042317	3565	1997-04-13	PRIJEM	VKLAD	7800	27327	\N	\N	\N
1042318	3565	1997-05-13	VYDAJ	VYBER	1500	29515	\N	\N	\N
1042319	3565	1997-06-12	VYDAJ	VYBER	4800	28429	\N	\N	\N
1042320	3565	1997-07-12	VYDAJ	VYBER	1000	28647	\N	\N	\N
1042321	3565	1997-08-11	PRIJEM	VKLAD	2000	33936	\N	\N	\N
1042322	3565	1997-09-10	VYDAJ	VYBER	3400	31850	\N	\N	\N
1042323	3565	1997-10-10	VYDAJ	VYBER	200	32963	\N	\N	\N
1042324	3565	1997-11-09	VYDAJ	VYBER	2800	30995	\N	\N	\N
1042325	3565	1997-12-09	VYDAJ	VYBER	1800	30264	\N	\N	\N
1042326	3565	1998-01-08	PRIJEM	VKLAD	1700	28561	\N	\N	\N
1042327	3565	1998-02-07	VYDAJ	VYBER	600	21698	\N	\N	\N
1042328	3565	1998-03-09	VYDAJ	VYBER	4000	22576	\N	\N	\N
1042329	3565	1998-04-08	PRIJEM	VKLAD	1100	24767	\N	\N	\N
1042330	3565	1998-05-08	VYDAJ	VYBER	1500	24545	\N	\N	\N
1042331	3565	1998-06-07	PRIJEM	VKLAD	2200	24433	\N	\N	\N
1042332	3565	1998-07-07	PRIJEM	VKLAD	4600	22650	\N	\N	\N
1042333	3565	1998-08-06	PRIJEM	VKLAD	800	24730	\N	\N	\N
1042334	3565	1998-09-05	PRIJEM	VKLAD	200	26225	\N	\N	\N
1042335	3565	1998-10-05	PRIJEM	VKLAD	100	27622	\N	\N	\N
1042336	3565	1998-11-04	VYDAJ	VYBER	3400	25525	\N	\N	\N
1042337	3565	1998-12-04	VYDAJ	VYBER	1400	25424	\N	\N	\N
1042360	3566	1993-06-09	PRIJEM	VKLAD	300	300	\N	\N	\N
1042366	3566	1993-06-14	PRIJEM	VKLAD	8032	8332	\N	\N	\N
1042367	3566	1993-07-14	PRIJEM	VKLAD	5355	21307	\N	\N	\N
1042368	3566	1993-08-14	PRIJEM	VKLAD	5355	27128	\N	\N	\N
1042369	3566	1993-09-14	PRIJEM	VKLAD	5355	30286	\N	\N	\N
1042370	3566	1993-10-14	PRIJEM	VKLAD	5355	31761	\N	\N	\N
1042371	3566	1993-11-14	PRIJEM	VKLAD	5355	30961	\N	\N	\N
1042372	3566	1993-12-14	PRIJEM	VKLAD	8032	32331	\N	\N	\N
1042373	3566	1994-01-14	PRIJEM	VKLAD	5355	23523	\N	\N	\N
1042374	3566	1994-02-14	PRIJEM	VKLAD	5355	18185	\N	\N	\N
1042375	3566	1994-03-14	PRIJEM	VKLAD	5355	26927	\N	\N	\N
1042376	3566	1994-04-14	PRIJEM	VKLAD	5355	31598	\N	\N	\N
1042377	3566	1994-05-14	PRIJEM	VKLAD	5355	30391	\N	\N	\N
1042378	3566	1994-06-14	PRIJEM	VKLAD	8032	32263	\N	\N	\N
1042379	3566	1994-07-14	PRIJEM	VKLAD	5355	32361	\N	\N	\N
1042380	3566	1994-08-14	PRIJEM	VKLAD	5355	26151	\N	\N	\N
1042381	3566	1994-09-14	PRIJEM	VKLAD	5355	26827	\N	\N	\N
1042382	3566	1994-10-14	PRIJEM	VKLAD	5355	28099	\N	\N	\N
1042383	3566	1994-11-14	PRIJEM	VKLAD	5355	28581	\N	\N	\N
1042384	3566	1994-12-14	PRIJEM	VKLAD	8032	29741	\N	\N	\N
1042385	3566	1995-01-14	PRIJEM	VKLAD	5355	22225	\N	\N	\N
1042386	3566	1995-02-14	PRIJEM	VKLAD	5355	21177	\N	\N	\N
1042387	3566	1995-03-14	PRIJEM	VKLAD	5355	21625	\N	\N	\N
1042388	3566	1995-04-14	PRIJEM	VKLAD	5355	23376	\N	\N	\N
1042389	3566	1995-05-14	PRIJEM	VKLAD	5355	29037	\N	\N	\N
1042390	3566	1995-06-14	PRIJEM	VKLAD	8032	31697	\N	\N	\N
1042391	3566	1995-07-14	PRIJEM	VKLAD	5355	33387	\N	\N	\N
1042392	3566	1995-08-14	PRIJEM	VKLAD	5355	28589	\N	\N	\N
1042393	3566	1995-09-14	PRIJEM	VKLAD	5355	29072	\N	\N	\N
1042394	3566	1995-10-14	PRIJEM	VKLAD	5355	29559	\N	\N	\N
1042395	3566	1995-11-14	PRIJEM	VKLAD	5355	30143	\N	\N	\N
1042396	3566	1995-12-14	PRIJEM	VKLAD	8032	34008	\N	\N	\N
1042397	3566	1996-01-14	PRIJEM	VKLAD	5355	23205	\N	\N	\N
1042398	3566	1996-02-14	PRIJEM	VKLAD	5355	22463	\N	\N	\N
1042399	3566	1996-03-14	PRIJEM	VKLAD	5355	21915	\N	\N	\N
1042400	3566	1996-04-14	PRIJEM	VKLAD	5355	21370	\N	\N	\N
1042401	3566	1996-05-14	PRIJEM	VKLAD	5355	20422	\N	\N	\N
1042402	3566	1996-06-14	PRIJEM	VKLAD	8032	21242	\N	\N	\N
1042403	3566	1996-07-14	PRIJEM	VKLAD	5355	18181	\N	\N	\N
1042404	3566	1996-08-14	PRIJEM	VKLAD	5355	15614	\N	\N	\N
1042405	3566	1996-09-14	PRIJEM	VKLAD	5355	14336	\N	\N	\N
1042406	3566	1996-10-14	PRIJEM	VKLAD	5355	16158	\N	\N	\N
1042407	3566	1996-11-14	PRIJEM	VKLAD	5355	13985	\N	\N	\N
1042408	3566	1996-12-14	PRIJEM	VKLAD	8032	18481	\N	\N	\N
1042409	3566	1997-01-14	PRIJEM	VKLAD	5355	17514	\N	\N	\N
1042410	3566	1997-02-14	PRIJEM	VKLAD	5355	17349	\N	\N	\N
1042411	3566	1997-03-14	PRIJEM	VKLAD	5355	15476	\N	\N	\N
1042412	3566	1997-04-14	PRIJEM	VKLAD	5355	17302	\N	\N	\N
1042413	3566	1997-05-14	PRIJEM	VKLAD	5355	19135	\N	\N	\N
1042414	3566	1997-06-14	PRIJEM	VKLAD	8032	23653	\N	\N	\N
1042415	3566	1997-07-14	PRIJEM	VKLAD	5355	25507	\N	\N	\N
1042416	3566	1997-08-14	PRIJEM	VKLAD	5355	22664	\N	\N	\N
1042417	3566	1997-09-14	PRIJEM	VKLAD	5355	14299	\N	\N	\N
1042418	3566	1997-10-14	PRIJEM	VKLAD	5355	16119	\N	\N	\N
1042419	3566	1997-11-14	PRIJEM	VKLAD	5355	17947	\N	\N	\N
1042420	3566	1997-12-14	PRIJEM	VKLAD	8032	21159	\N	\N	\N
1042421	3566	1998-01-14	PRIJEM	VKLAD	5355	18304	\N	\N	\N
1042422	3566	1998-02-14	PRIJEM	VKLAD	5355	16641	\N	\N	\N
1042423	3566	1998-03-14	PRIJEM	VKLAD	5355	18475	\N	\N	\N
1042424	3566	1998-04-14	PRIJEM	VKLAD	5355	20312	\N	\N	\N
1042425	3566	1998-05-14	PRIJEM	VKLAD	5355	18651	\N	\N	\N
1042426	3566	1998-06-14	PRIJEM	VKLAD	8032	23167	\N	\N	\N
1042427	3566	1998-07-14	PRIJEM	VKLAD	5355	25018	\N	\N	\N
1042428	3566	1998-08-14	PRIJEM	VKLAD	5355	23386	\N	\N	\N
1042429	3566	1998-09-14	PRIJEM	VKLAD	5355	25247	\N	\N	\N
1042430	3566	1998-10-14	PRIJEM	VKLAD	5355	27112	\N	\N	\N
1042431	3566	1998-11-14	PRIJEM	VKLAD	5355	27884	\N	\N	\N
1042432	3566	1998-12-14	PRIJEM	VKLAD	8032	32436	\N	\N	\N
1042443	3566	1993-11-05	VYDAJ	PREVOD NA UCET	294	27506	SIPO	QR	38624727
1042444	3566	1993-12-05	VYDAJ	PREVOD NA UCET	294	27499	SIPO	QR	38624727
1042445	3566	1994-01-05	VYDAJ	PREVOD NA UCET	294	26768	SIPO	QR	38624727
1042446	3566	1994-02-05	VYDAJ	PREVOD NA UCET	294	18406	SIPO	QR	38624727
1042447	3566	1994-03-05	VYDAJ	PREVOD NA UCET	294	17948	SIPO	QR	38624727
1042448	3566	1994-04-05	VYDAJ	PREVOD NA UCET	294	29519	SIPO	QR	38624727
1042449	3566	1994-05-05	VYDAJ	PREVOD NA UCET	294	25036	SIPO	QR	38624727
1042450	3566	1994-06-05	VYDAJ	PREVOD NA UCET	294	27507	SIPO	QR	38624727
1042451	3566	1994-07-05	VYDAJ	PREVOD NA UCET	294	30282	SIPO	QR	38624727
1042452	3566	1994-08-05	VYDAJ	PREVOD NA UCET	294	24072	SIPO	QR	38624727
1042453	3566	1994-09-05	VYDAJ	PREVOD NA UCET	294	24748	SIPO	QR	38624727
1042454	3566	1994-10-05	VYDAJ	PREVOD NA UCET	294	26020	SIPO	QR	38624727
1042455	3566	1994-11-05	VYDAJ	PREVOD NA UCET	294	26502	SIPO	QR	38624727
1042456	3566	1994-12-05	VYDAJ	PREVOD NA UCET	294	23609	SIPO	QR	38624727
1042457	3566	1995-01-05	VYDAJ	PREVOD NA UCET	294	19470	SIPO	QR	38624727
1042458	3566	1995-02-05	VYDAJ	PREVOD NA UCET	294	15822	SIPO	QR	38624727
1042459	3566	1995-03-05	VYDAJ	PREVOD NA UCET	294	19546	SIPO	QR	38624727
1042460	3566	1995-04-05	VYDAJ	PREVOD NA UCET	294	18021	SIPO	QR	38624727
1042461	3566	1995-05-05	VYDAJ	PREVOD NA UCET	294	23682	SIPO	QR	38624727
1042462	3566	1995-06-05	VYDAJ	PREVOD NA UCET	294	23665	SIPO	QR	38624727
1042463	3566	1995-07-05	VYDAJ	PREVOD NA UCET	294	31308	SIPO	QR	38624727
1042464	3566	1995-08-05	VYDAJ	PREVOD NA UCET	294	25134	SIPO	QR	38624727
1042465	3566	1995-09-05	VYDAJ	PREVOD NA UCET	294	26993	SIPO	QR	38624727
1042466	3566	1995-10-05	VYDAJ	PREVOD NA UCET	294	24204	SIPO	QR	38624727
1042467	3566	1995-11-05	VYDAJ	PREVOD NA UCET	294	24788	SIPO	QR	38624727
1042468	3566	1995-12-05	VYDAJ	PREVOD NA UCET	294	29252	SIPO	QR	38624727
1042469	3566	1996-01-05	VYDAJ	PREVOD NA UCET	294	21250	SIPO	QR	38624727
1042470	3566	1996-02-05	VYDAJ	PREVOD NA UCET	294	17108	SIPO	QR	38624727
1042471	3566	1996-03-05	VYDAJ	PREVOD NA UCET	294	19836	SIPO	QR	38624727
1042472	3566	1996-04-05	VYDAJ	PREVOD NA UCET	294	19291	SIPO	QR	38624727
1042473	3566	1996-05-05	VYDAJ	PREVOD NA UCET	294	18343	SIPO	QR	38624727
1042474	3566	1996-06-05	VYDAJ	PREVOD NA UCET	294	13210	SIPO	QR	38624727
1042475	3566	1996-07-05	VYDAJ	PREVOD NA UCET	294	12826	SIPO	QR	38624727
1042476	3566	1996-08-05	VYDAJ	PREVOD NA UCET	294	10259	SIPO	QR	38624727
1042477	3566	1996-09-05	VYDAJ	PREVOD NA UCET	294	8981	SIPO	QR	38624727
1042478	3566	1996-10-05	VYDAJ	PREVOD NA UCET	294	14079	SIPO	QR	38624727
1042479	3566	1996-11-05	VYDAJ	PREVOD NA UCET	294	11906	SIPO	QR	38624727
1042480	3566	1996-12-05	VYDAJ	PREVOD NA UCET	294	13725	SIPO	QR	38624727
1042481	3566	1997-01-05	VYDAJ	PREVOD NA UCET	294	15435	SIPO	QR	38624727
1042482	3566	1997-02-05	VYDAJ	PREVOD NA UCET	294	11994	SIPO	QR	38624727
1042483	3566	1997-03-05	VYDAJ	PREVOD NA UCET	294	10121	SIPO	QR	38624727
1042484	3566	1997-04-05	VYDAJ	PREVOD NA UCET	294	11947	SIPO	QR	38624727
1042485	3566	1997-05-05	VYDAJ	PREVOD NA UCET	294	17056	SIPO	QR	38624727
1042486	3566	1997-06-05	VYDAJ	PREVOD NA UCET	294	15621	SIPO	QR	38624727
1042487	3566	1997-07-05	VYDAJ	PREVOD NA UCET	294	23428	SIPO	QR	38624727
1042488	3566	1997-08-05	VYDAJ	PREVOD NA UCET	294	17309	SIPO	QR	38624727
1042489	3566	1997-09-05	VYDAJ	PREVOD NA UCET	294	8944	SIPO	QR	38624727
1042490	3566	1997-10-05	VYDAJ	PREVOD NA UCET	294	10764	SIPO	QR	38624727
1042491	3566	1997-11-05	VYDAJ	PREVOD NA UCET	294	12592	SIPO	QR	38624727
1042492	3566	1997-12-05	VYDAJ	PREVOD NA UCET	294	13127	SIPO	QR	38624727
1042493	3566	1998-01-05	VYDAJ	PREVOD NA UCET	294	12949	SIPO	QR	38624727
1042494	3566	1998-02-05	VYDAJ	PREVOD NA UCET	294	14562	SIPO	QR	38624727
1042495	3566	1998-03-05	VYDAJ	PREVOD NA UCET	294	13120	SIPO	QR	38624727
1042496	3566	1998-04-05	VYDAJ	PREVOD NA UCET	294	14957	SIPO	QR	38624727
1042497	3566	1998-05-05	VYDAJ	PREVOD NA UCET	294	13296	SIPO	QR	38624727
1042498	3566	1998-06-05	VYDAJ	PREVOD NA UCET	294	15135	SIPO	QR	38624727
1042499	3566	1998-07-05	VYDAJ	PREVOD NA UCET	294	22939	SIPO	QR	38624727
1042500	3566	1998-08-05	VYDAJ	PREVOD NA UCET	294	24807	SIPO	QR	38624727
1042501	3566	1998-09-05	VYDAJ	PREVOD NA UCET	294	19892	SIPO	QR	38624727
1042502	3566	1998-10-05	VYDAJ	PREVOD NA UCET	294	21757	SIPO	QR	38624727
1042503	3566	1998-11-05	VYDAJ	PREVOD NA UCET	294	22529	SIPO	QR	38624727
1042504	3566	1998-12-05	VYDAJ	PREVOD NA UCET	294	27680	SIPO	QR	38624727
1042515	3566	1993-11-05	VYDAJ	PREVOD NA UCET	3276	27800	 	MN	22689193
1042516	3566	1993-12-05	VYDAJ	PREVOD NA UCET	3276	27793	 	MN	22689193
1042517	3566	1994-01-05	VYDAJ	PREVOD NA UCET	3276	27062	 	MN	22689193
1042518	3566	1994-02-05	VYDAJ	PREVOD NA UCET	3276	15130	 	MN	22689193
1042519	3566	1994-03-05	VYDAJ	PREVOD NA UCET	3276	14672	 	MN	22689193
1042520	3566	1994-04-05	VYDAJ	PREVOD NA UCET	3276	26243	 	MN	22689193
1042521	3566	1994-05-05	VYDAJ	PREVOD NA UCET	3276	28430	 	MN	22689193
1042522	3566	1994-06-05	VYDAJ	PREVOD NA UCET	3276	24231	 	MN	22689193
1042523	3566	1994-07-05	VYDAJ	PREVOD NA UCET	3276	27006	 	MN	22689193
1042524	3566	1994-08-05	VYDAJ	PREVOD NA UCET	3276	20796	 	MN	22689193
1042525	3566	1994-09-05	VYDAJ	PREVOD NA UCET	3276	21472	 	MN	22689193
1042526	3566	1994-10-05	VYDAJ	PREVOD NA UCET	3276	22744	 	MN	22689193
1042527	3566	1994-11-05	VYDAJ	PREVOD NA UCET	3276	23226	 	MN	22689193
1042528	3566	1994-12-05	VYDAJ	PREVOD NA UCET	3276	23903	 	MN	22689193
1042529	3566	1995-01-05	VYDAJ	PREVOD NA UCET	3276	19764	 	MN	22689193
1042530	3566	1995-02-05	VYDAJ	PREVOD NA UCET	3276	16116	 	MN	22689193
1042531	3566	1995-03-05	VYDAJ	PREVOD NA UCET	3276	16270	 	MN	22689193
1042532	3566	1995-04-05	VYDAJ	PREVOD NA UCET	3276	18315	 	MN	22689193
1042533	3566	1995-05-05	VYDAJ	PREVOD NA UCET	3276	23976	 	MN	22689193
1042534	3566	1995-06-05	VYDAJ	PREVOD NA UCET	3276	23959	 	MN	22689193
1042535	3566	1995-07-05	VYDAJ	PREVOD NA UCET	3276	28032	 	MN	22689193
1042536	3566	1995-08-05	VYDAJ	PREVOD NA UCET	3276	25428	 	MN	22689193
1042537	3566	1995-09-05	VYDAJ	PREVOD NA UCET	3276	23717	 	MN	22689193
1042538	3566	1995-10-05	VYDAJ	PREVOD NA UCET	3276	24498	 	MN	22689193
1042539	3566	1995-11-05	VYDAJ	PREVOD NA UCET	3276	25082	 	MN	22689193
1042540	3566	1995-12-05	VYDAJ	PREVOD NA UCET	3276	25976	 	MN	22689193
1042541	3566	1996-01-05	VYDAJ	PREVOD NA UCET	3276	21544	 	MN	22689193
1042542	3566	1996-02-05	VYDAJ	PREVOD NA UCET	3276	17402	 	MN	22689193
1042543	3566	1996-03-05	VYDAJ	PREVOD NA UCET	3276	16560	 	MN	22689193
1042544	3566	1996-04-05	VYDAJ	PREVOD NA UCET	3276	16015	 	MN	22689193
1042545	3566	1996-05-05	VYDAJ	PREVOD NA UCET	3276	15067	 	MN	22689193
1042546	3566	1996-06-05	VYDAJ	PREVOD NA UCET	3276	13504	 	MN	22689193
1042547	3566	1996-07-05	VYDAJ	PREVOD NA UCET	3276	13120	 	MN	22689193
1042548	3566	1996-08-05	VYDAJ	PREVOD NA UCET	3276	10553	 	MN	22689193
1042549	3566	1996-09-05	VYDAJ	PREVOD NA UCET	3276	9275	 	MN	22689193
1042550	3566	1996-10-05	VYDAJ	PREVOD NA UCET	3276	10803	 	MN	22689193
1042551	3566	1996-11-05	VYDAJ	PREVOD NA UCET	3276	8630	 	MN	22689193
1042552	3566	1996-12-05	VYDAJ	PREVOD NA UCET	3276	10449	 	MN	22689193
1042553	3566	1997-01-05	VYDAJ	PREVOD NA UCET	3276	12159	 	MN	22689193
1042554	3566	1997-02-05	VYDAJ	PREVOD NA UCET	3276	12288	 	MN	22689193
1042555	3566	1997-03-05	VYDAJ	PREVOD NA UCET	3276	10415	 	MN	22689193
1042556	3566	1997-04-05	VYDAJ	PREVOD NA UCET	3276	12241	 	MN	22689193
1042557	3566	1997-05-05	VYDAJ	PREVOD NA UCET	3276	13780	 	MN	22689193
1042558	3566	1997-06-05	VYDAJ	PREVOD NA UCET	3276	15915	 	MN	22689193
1042559	3566	1997-07-05	VYDAJ	PREVOD NA UCET	3276	20152	 	MN	22689193
1042560	3566	1997-08-05	VYDAJ	PREVOD NA UCET	3276	17603	 	MN	22689193
1042561	3566	1997-09-05	VYDAJ	PREVOD NA UCET	3276	9238	 	MN	22689193
1042562	3566	1997-10-05	VYDAJ	PREVOD NA UCET	3276	11058	 	MN	22689193
1042563	3566	1997-11-05	VYDAJ	PREVOD NA UCET	3276	12886	 	MN	22689193
1042564	3566	1997-12-05	VYDAJ	PREVOD NA UCET	3276	13421	 	MN	22689193
1042565	3566	1998-01-05	VYDAJ	PREVOD NA UCET	3276	17943	 	MN	22689193
1042566	3566	1998-02-05	VYDAJ	PREVOD NA UCET	3276	11286	 	MN	22689193
1042567	3566	1998-03-05	VYDAJ	PREVOD NA UCET	3276	13414	 	MN	22689193
1042568	3566	1998-04-05	VYDAJ	PREVOD NA UCET	3276	15251	 	MN	22689193
1042569	3566	1998-05-05	VYDAJ	PREVOD NA UCET	3276	13590	 	MN	22689193
1042570	3566	1998-06-05	VYDAJ	PREVOD NA UCET	3276	15429	 	MN	22689193
1042571	3566	1998-07-05	VYDAJ	PREVOD NA UCET	3276	19663	 	MN	22689193
1042572	3566	1998-08-05	VYDAJ	PREVOD NA UCET	3276	21531	 	MN	22689193
1042573	3566	1998-09-05	VYDAJ	PREVOD NA UCET	3276	20186	 	MN	22689193
1042574	3566	1998-10-05	VYDAJ	PREVOD NA UCET	3276	22051	 	MN	22689193
1042575	3566	1998-11-05	VYDAJ	PREVOD NA UCET	3276	22823	 	MN	22689193
1042576	3566	1998-12-05	VYDAJ	PREVOD NA UCET	3276	24404	 	MN	22689193
1042656	3566	1994-01-13	VYDAJ	VYBER	5800	18168	\N	\N	\N
1042660	3566	1998-01-16	VYDAJ	VYBER	3500	14804	\N	\N	\N
1042661	3566	1993-12-20	VYDAJ	VYBER	2100	30231	\N	\N	\N
1042662	3566	1994-12-08	VYDAJ	VYBER	1900	21709	\N	\N	\N
1042663	3566	1995-12-23	VYDAJ	VYBER	700	33308	\N	\N	\N
1042665	3566	1997-12-04	VYDAJ	VYBER	1300	16697	\N	\N	\N
1042666	3566	1998-12-19	VYDAJ	VYBER	700	31736	\N	\N	\N
1042673	3566	1994-01-29	VYDAJ	VYBER	700	15123	\N	\N	\N
1042674	3566	1994-01-22	VYDAJ	VYBER	1900	18023	\N	\N	\N
1042675	3566	1994-01-20	VYDAJ	VYBER	2600	19923	\N	\N	\N
1042676	3566	1994-01-26	VYDAJ	VYBER	2200	15823	\N	\N	\N
1042677	3566	1994-01-15	VYDAJ	VYBER	1000	22523	\N	\N	\N
1042678	3566	1994-01-29	VYDAJ	VYBER	2100	13023	\N	\N	\N
1042679	3566	1995-01-18	VYDAJ	VYBER	1100	19725	\N	\N	\N
1042680	3566	1995-01-05	VYDAJ	VYBER	2900	23040	\N	\N	\N
1042681	3566	1995-01-18	VYDAJ	VYBER	900	18825	\N	\N	\N
1042682	3566	1995-01-20	VYDAJ	VYBER	2800	16025	\N	\N	\N
1042683	3566	1995-01-07	VYDAJ	VYBER	2600	16870	\N	\N	\N
1042684	3566	1995-01-18	VYDAJ	VYBER	1400	20825	\N	\N	\N
1042685	3566	1996-01-06	VYDAJ	VYBER	1600	19650	\N	\N	\N
1042686	3566	1996-01-01	VYDAJ	VYBER	1000	25920	\N	\N	\N
1042687	3566	1996-01-10	VYDAJ	VYBER	1800	17850	\N	\N	\N
1042688	3566	1996-01-03	VYDAJ	VYBER	600	24820	\N	\N	\N
1042689	3566	1996-01-01	VYDAJ	VYBER	500	25420	\N	\N	\N
1042690	3566	1996-01-21	VYDAJ	VYBER	2500	20705	\N	\N	\N
1042696	3566	1997-01-18	VYDAJ	VYBER	1600	15914	\N	\N	\N
1042701	3566	1998-01-05	VYDAJ	VYBER	2600	13243	\N	\N	\N
1042705	3566	1993-10-26	VYDAJ	VYBER	800	30961	\N	\N	\N
1042709	3566	1994-07-28	VYDAJ	VYBER	3700	25361	\N	\N	\N
1042710	3566	1994-09-17	VYDAJ	VYBER	3500	23327	\N	\N	\N
1042711	3566	1994-02-12	VYDAJ	VYBER	2300	12830	\N	\N	\N
1042712	3566	1994-07-17	VYDAJ	VYBER	3300	29061	\N	\N	\N
1042713	3566	1995-08-09	VYDAJ	VYBER	1900	23234	\N	\N	\N
1042714	3566	1995-07-26	VYDAJ	VYBER	2200	31187	\N	\N	\N
1042715	3566	1995-02-25	VYDAJ	VYBER	4200	16977	\N	\N	\N
1042716	3566	1996-02-22	VYDAJ	VYBER	3500	18963	\N	\N	\N
1042717	3566	1996-12-20	VYDAJ	VYBER	3000	15681	\N	\N	\N
1042719	3566	1997-07-15	VYDAJ	VYBER	4700	20807	\N	\N	\N
1042723	3566	1998-10-25	VYDAJ	VYBER	1100	26012	\N	\N	\N
1042724	3566	1998-08-09	VYDAJ	VYBER	3500	18031	\N	\N	\N
1042725	3566	1998-04-20	VYDAJ	VYBER	3500	16812	\N	\N	\N
1042726	3566	1998-01-05	VYDAJ	VYBER	2100	15843	\N	\N	\N
1042738	3566	1993-10-31	VYDAJ	VYBER	15	31076	SLUZBY	\N	\N
1042739	3566	1993-11-30	VYDAJ	VYBER	15	31069	SLUZBY	\N	\N
1042740	3566	1993-12-31	VYDAJ	VYBER	15	30338	SLUZBY	\N	\N
1042741	3566	1994-01-31	VYDAJ	VYBER	15	13100	SLUZBY	\N	\N
1042742	3566	1994-02-28	VYDAJ	VYBER	15	18242	SLUZBY	\N	\N
1042743	3566	1994-03-31	VYDAJ	VYBER	15	27013	SLUZBY	\N	\N
1042744	3566	1994-04-30	VYDAJ	VYBER	15	31706	SLUZBY	\N	\N
1042745	3566	1994-05-31	VYDAJ	VYBER	15	30501	SLUZBY	\N	\N
1042746	3566	1994-06-30	VYDAJ	VYBER	15	32376	SLUZBY	\N	\N
1042747	3566	1994-07-31	VYDAJ	VYBER	15	25466	SLUZBY	\N	\N
1042748	3566	1994-08-31	VYDAJ	VYBER	15	26242	SLUZBY	\N	\N
1042749	3566	1994-09-30	VYDAJ	VYBER	15	23414	SLUZBY	\N	\N
1042750	3566	1994-10-31	VYDAJ	VYBER	15	28196	SLUZBY	\N	\N
1042751	3566	1994-11-30	VYDAJ	VYBER	15	28679	SLUZBY	\N	\N
1042752	3566	1994-12-31	VYDAJ	VYBER	15	29840	SLUZBY	\N	\N
1042753	3566	1995-01-31	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
1042754	3566	1995-02-28	VYDAJ	VYBER	15	17040	SLUZBY	\N	\N
1042755	3566	1995-03-31	VYDAJ	VYBER	15	21691	SLUZBY	\N	\N
1042756	3566	1995-04-30	VYDAJ	VYBER	15	27252	SLUZBY	\N	\N
1042757	3566	1995-05-31	VYDAJ	VYBER	15	27235	SLUZBY	\N	\N
1042758	3566	1995-06-30	VYDAJ	VYBER	15	31602	SLUZBY	\N	\N
1042759	3566	1995-07-31	VYDAJ	VYBER	15	28704	SLUZBY	\N	\N
1042760	3566	1995-08-31	VYDAJ	VYBER	15	27287	SLUZBY	\N	\N
1042761	3566	1995-09-30	VYDAJ	VYBER	15	27774	SLUZBY	\N	\N
1042762	3566	1995-10-31	VYDAJ	VYBER	15	28358	SLUZBY	\N	\N
1042763	3566	1995-11-30	VYDAJ	VYBER	15	29546	SLUZBY	\N	\N
1042764	3566	1995-12-31	VYDAJ	VYBER	15	26920	SLUZBY	\N	\N
1042765	3566	1996-01-31	VYDAJ	VYBER	15	20678	SLUZBY	\N	\N
1042766	3566	1996-02-29	VYDAJ	VYBER	15	20130	SLUZBY	\N	\N
1042767	3566	1996-03-31	VYDAJ	VYBER	15	19585	SLUZBY	\N	\N
1042768	3566	1996-04-30	VYDAJ	VYBER	15	18637	SLUZBY	\N	\N
1042769	3566	1996-05-31	VYDAJ	VYBER	15	16780	SLUZBY	\N	\N
1042770	3566	1996-06-30	VYDAJ	VYBER	15	16396	SLUZBY	\N	\N
1042771	3566	1996-07-31	VYDAJ	VYBER	15	13829	SLUZBY	\N	\N
1042772	3566	1996-08-31	VYDAJ	VYBER	15	12551	SLUZBY	\N	\N
1042773	3566	1996-09-30	VYDAJ	VYBER	15	14373	SLUZBY	\N	\N
1042774	3566	1996-10-31	VYDAJ	VYBER	15	12200	SLUZBY	\N	\N
1042775	3566	1996-11-30	VYDAJ	VYBER	15	14019	SLUZBY	\N	\N
1042776	3566	1996-12-31	VYDAJ	VYBER	15	15729	SLUZBY	\N	\N
1042777	3566	1997-01-31	VYDAJ	VYBER	15	15564	SLUZBY	\N	\N
1042778	3566	1997-02-28	VYDAJ	VYBER	15	13691	SLUZBY	\N	\N
1042779	3566	1997-03-31	VYDAJ	VYBER	15	15517	SLUZBY	\N	\N
1042780	3566	1997-04-30	VYDAJ	VYBER	15	17350	SLUZBY	\N	\N
1042781	3566	1997-05-31	VYDAJ	VYBER	15	19191	SLUZBY	\N	\N
1042782	3566	1997-06-30	VYDAJ	VYBER	15	23722	SLUZBY	\N	\N
1042783	3566	1997-07-31	VYDAJ	VYBER	15	20879	SLUZBY	\N	\N
1042784	3566	1997-08-31	VYDAJ	VYBER	15	12514	SLUZBY	\N	\N
1042785	3566	1997-09-30	VYDAJ	VYBER	15	14334	SLUZBY	\N	\N
1042786	3566	1997-10-31	VYDAJ	VYBER	15	16162	SLUZBY	\N	\N
1042787	3566	1997-11-30	VYDAJ	VYBER	15	17997	SLUZBY	\N	\N
1042788	3566	1997-12-31	VYDAJ	VYBER	15	21219	SLUZBY	\N	\N
1042789	3566	1998-01-31	VYDAJ	VYBER	15	14856	SLUZBY	\N	\N
1042790	3566	1998-02-28	VYDAJ	VYBER	15	16690	SLUZBY	\N	\N
1042791	3566	1998-03-31	VYDAJ	VYBER	15	18527	SLUZBY	\N	\N
1042792	3566	1998-04-30	VYDAJ	VYBER	15	16866	SLUZBY	\N	\N
1042793	3566	1998-05-31	VYDAJ	VYBER	15	18705	SLUZBY	\N	\N
1042794	3566	1998-06-30	VYDAJ	VYBER	15	23233	SLUZBY	\N	\N
1042795	3566	1998-07-31	VYDAJ	VYBER	15	25101	SLUZBY	\N	\N
1042796	3566	1998-08-31	VYDAJ	VYBER	15	23462	SLUZBY	\N	\N
1042797	3566	1998-09-30	VYDAJ	VYBER	15	25327	SLUZBY	\N	\N
1042798	3566	1998-10-31	VYDAJ	VYBER	15	26099	SLUZBY	\N	\N
1042799	3566	1998-11-30	VYDAJ	VYBER	15	27974	SLUZBY	\N	\N
1042800	3566	1993-07-09	PRIJEM	VKLAD	7600	15952	\N	\N	\N
1042801	3566	1993-08-08	PRIJEM	VKLAD	400	21773	\N	\N	\N
1042802	3566	1993-09-07	VYDAJ	VYBER	2300	24931	\N	\N	\N
1042803	3566	1993-10-07	VYDAJ	VYBER	4000	26406	\N	\N	\N
1042804	3566	1993-11-06	VYDAJ	VYBER	1900	25606	\N	\N	\N
1042805	3566	1993-12-06	VYDAJ	VYBER	3200	24299	\N	\N	\N
1042806	3566	1994-01-05	VYDAJ	VYBER	2800	23968	\N	\N	\N
1042807	3566	1994-02-04	PRIJEM	VKLAD	5600	18700	\N	\N	\N
1042808	3566	1994-03-06	PRIJEM	VKLAD	6900	21572	\N	\N	\N
1042809	3566	1994-04-05	PRIJEM	VKLAD	2800	29813	\N	\N	\N
1042810	3566	1994-05-05	VYDAJ	VYBER	3100	25330	\N	\N	\N
1042811	3566	1994-06-04	VYDAJ	VYBER	2700	27801	\N	\N	\N
1042812	3566	1994-07-04	VYDAJ	VYBER	1800	30576	\N	\N	\N
1042813	3566	1994-08-03	VYDAJ	VYBER	1100	24366	\N	\N	\N
1042814	3566	1994-09-02	VYDAJ	VYBER	1200	25042	\N	\N	\N
1042815	3566	1994-10-02	PRIJEM	VKLAD	2900	26314	\N	\N	\N
1042816	3566	1994-11-01	VYDAJ	VYBER	1400	26796	\N	\N	\N
1042817	3566	1994-12-01	VYDAJ	VYBER	1500	27179	\N	\N	\N
1042818	3566	1994-12-31	VYDAJ	VYBER	3900	25940	\N	\N	\N
1042819	3566	1995-01-30	PRIJEM	VKLAD	3300	19325	\N	\N	\N
1042820	3566	1995-03-01	PRIJEM	VKLAD	2800	19840	\N	\N	\N
1042821	3566	1995-03-31	VYDAJ	VYBER	100	21591	\N	\N	\N
1042822	3566	1995-04-30	PRIJEM	VKLAD	3800	27266	\N	\N	\N
1042823	3566	1995-05-30	VYDAJ	VYBER	1900	27137	\N	\N	\N
1042824	3566	1995-06-29	VYDAJ	VYBER	200	31497	\N	\N	\N
1042825	3566	1995-07-29	VYDAJ	VYBER	2600	28587	\N	\N	\N
1042826	3566	1995-08-28	VYDAJ	VYBER	1400	27189	\N	\N	\N
1042827	3566	1995-09-27	VYDAJ	VYBER	1400	27672	\N	\N	\N
1042828	3566	1995-10-27	VYDAJ	VYBER	1300	28259	\N	\N	\N
1042829	3566	1995-11-26	VYDAJ	VYBER	700	29443	\N	\N	\N
1042830	3566	1995-12-26	VYDAJ	VYBER	6500	26808	\N	\N	\N
1042831	3566	1996-01-25	VYDAJ	VYBER	100	20605	\N	\N	\N
1042832	3566	1996-02-24	PRIJEM	VKLAD	1100	20063	\N	\N	\N
1042833	3566	1996-03-25	VYDAJ	VYBER	2400	19515	\N	\N	\N
1042834	3566	1996-04-24	VYDAJ	VYBER	2800	18570	\N	\N	\N
1042835	3566	1996-05-24	VYDAJ	VYBER	3700	16722	\N	\N	\N
1042836	3566	1996-06-23	VYDAJ	VYBER	4900	16342	\N	\N	\N
1042837	3566	1996-07-23	VYDAJ	VYBER	4400	13781	\N	\N	\N
1042838	3566	1996-08-22	VYDAJ	VYBER	3100	12514	\N	\N	\N
1042839	3566	1996-10-21	VYDAJ	VYBER	4000	12158	\N	\N	\N
1042840	3566	1996-12-20	PRIJEM	VKLAD	200	18681	\N	\N	\N
1042841	3566	1997-01-19	VYDAJ	VYBER	400	15514	\N	\N	\N
1042842	3566	1997-02-18	VYDAJ	VYBER	3700	13649	\N	\N	\N
1042843	3566	1997-08-17	VYDAJ	VYBER	10200	12464	\N	\N	\N
1042911	3567	1994-12-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1042913	3567	1994-12-21	PRIJEM	VKLAD	10566	11566	\N	\N	\N
1042919	3567	1995-10-22	PRIJEM	VKLAD	23941	64062	\N	\N	\N
1042920	3567	1995-04-26	PRIJEM	VKLAD	7059	47300	\N	\N	\N
1042921	3567	1995-02-23	PRIJEM	VKLAD	49989	92828	\N	\N	\N
1042922	3567	1995-06-13	PRIJEM	VKLAD	7638	72716	\N	\N	\N
1042923	3567	1995-02-22	PRIJEM	VKLAD	20508	42839	\N	\N	\N
1042924	3567	1995-09-26	PRIJEM	VKLAD	15053	36937	\N	\N	\N
1042925	3567	1995-08-06	PRIJEM	VKLAD	21962	51345	\N	\N	\N
1042926	3567	1995-06-29	PRIJEM	VKLAD	25615	58231	\N	\N	\N
1042927	3567	1995-05-30	PRIJEM	VKLAD	49279	85934	\N	\N	\N
1042928	3567	1995-12-11	PRIJEM	VKLAD	21793	56037	\N	\N	\N
1042929	3567	1995-10-14	PRIJEM	VKLAD	17801	46721	\N	\N	\N
1042930	3567	1996-02-22	PRIJEM	VKLAD	8488	70595	\N	\N	\N
1042931	3567	1996-09-27	PRIJEM	VKLAD	36149	75793	\N	\N	\N
1042932	3567	1996-12-09	PRIJEM	VKLAD	36506	91031	\N	\N	\N
1042933	3567	1996-08-22	PRIJEM	VKLAD	29935	88084	\N	\N	\N
1042934	3567	1996-07-31	PRIJEM	VKLAD	40197	97134	\N	\N	\N
1042935	3567	1996-02-26	PRIJEM	VKLAD	14655	85250	\N	\N	\N
1042936	3567	1996-10-08	PRIJEM	VKLAD	6236	75282	\N	\N	\N
1042937	3567	1996-03-15	PRIJEM	VKLAD	11021	61460	\N	\N	\N
1042938	3567	1996-07-06	PRIJEM	VKLAD	36656	91653	\N	\N	\N
1042939	3567	1996-07-05	PRIJEM	VKLAD	42953	118297	\N	\N	\N
1042940	3567	1996-11-23	PRIJEM	VKLAD	37363	61303	\N	\N	\N
1042941	3567	1996-06-21	PRIJEM	VKLAD	34219	75117	\N	\N	\N
1042942	3567	1996-02-05	PRIJEM	VKLAD	47899	104806	\N	\N	\N
1042943	3567	1996-04-18	PRIJEM	VKLAD	31327	75955	\N	\N	\N
1042944	3567	1996-08-25	PRIJEM	VKLAD	42459	130543	\N	\N	\N
1042945	3567	1996-05-28	PRIJEM	VKLAD	32665	61750	\N	\N	\N
1042946	3567	1996-12-14	PRIJEM	VKLAD	12159	69534	\N	\N	\N
1042947	3567	1996-01-26	PRIJEM	VKLAD	8891	56745	\N	\N	\N
1042948	3567	1996-01-22	PRIJEM	VKLAD	13547	47854	\N	\N	\N
1042949	3567	1997-12-17	PRIJEM	VKLAD	18133	75759	\N	\N	\N
1042950	3567	1997-02-19	PRIJEM	VKLAD	34585	58577	\N	\N	\N
1042951	3567	1997-11-17	PRIJEM	VKLAD	48368	73415	\N	\N	\N
1042952	3567	1997-11-26	PRIJEM	VKLAD	21338	94753	\N	\N	\N
1042953	3567	1997-07-11	PRIJEM	VKLAD	15914	45196	\N	\N	\N
1042954	3567	1997-02-28	PRIJEM	VKLAD	15183	113431	\N	\N	\N
1042955	3567	1997-10-03	PRIJEM	VKLAD	13894	90303	\N	\N	\N
1042956	3567	1997-09-17	PRIJEM	VKLAD	27352	52934	\N	\N	\N
1042957	3567	1997-01-08	PRIJEM	VKLAD	36511	69792	\N	\N	\N
1042958	3567	1997-09-23	PRIJEM	VKLAD	33787	86721	\N	\N	\N
1042959	3567	1997-12-09	PRIJEM	VKLAD	30374	118682	\N	\N	\N
1042960	3567	1997-12-06	PRIJEM	VKLAD	32095	95251	\N	\N	\N
1042961	3567	1997-02-20	PRIJEM	VKLAD	47076	105653	\N	\N	\N
1042962	3567	1998-12-06	PRIJEM	VKLAD	7308	25987	\N	\N	\N
1042963	3567	1998-07-10	PRIJEM	VKLAD	19164	52114	\N	\N	\N
1042964	3567	1998-07-18	PRIJEM	VKLAD	28892	62354	\N	\N	\N
1042965	3567	1998-09-03	PRIJEM	VKLAD	31163	51738	\N	\N	\N
1042966	3567	1998-10-03	PRIJEM	VKLAD	26513	42811	\N	\N	\N
1042967	3567	1998-04-23	PRIJEM	VKLAD	6433	21241	\N	\N	\N
1042968	3567	1998-12-15	PRIJEM	VKLAD	44086	61974	\N	\N	\N
1042969	3567	1998-07-07	PRIJEM	VKLAD	30836	47833	\N	\N	\N
1042970	3567	1998-07-24	PRIJEM	VKLAD	49982	112336	\N	\N	\N
1043048	3567	1995-06-09	VYDAJ	PREVOD NA UCET	1156	72865	SIPO	QR	29068303
1043049	3567	1995-07-09	VYDAJ	PREVOD NA UCET	1156	42090	SIPO	QR	29068303
1043050	3567	1995-08-09	VYDAJ	PREVOD NA UCET	1156	19998	SIPO	QR	29068303
1043051	3567	1995-09-09	VYDAJ	PREVOD NA UCET	1156	14884	SIPO	QR	29068303
1043052	3567	1995-10-09	VYDAJ	PREVOD NA UCET	1156	28920	SIPO	QR	29068303
1043053	3567	1995-11-09	VYDAJ	PREVOD NA UCET	1156	56138	SIPO	QR	29068303
1043054	3567	1995-12-09	VYDAJ	PREVOD NA UCET	1156	34244	SIPO	QR	29068303
1043055	3567	1996-01-09	VYDAJ	PREVOD NA UCET	1156	33807	SIPO	QR	29068303
1043056	3567	1996-02-09	VYDAJ	PREVOD NA UCET	1156	96707	SIPO	QR	29068303
1043057	3567	1996-03-09	VYDAJ	PREVOD NA UCET	1156	70239	SIPO	QR	29068303
1043058	3567	1996-04-09	VYDAJ	PREVOD NA UCET	1156	53628	SIPO	QR	29068303
1043059	3567	1996-05-09	VYDAJ	PREVOD NA UCET	1156	68108	SIPO	QR	29068303
1043060	3567	1996-06-09	VYDAJ	PREVOD NA UCET	1156	50598	SIPO	QR	29068303
1043061	3567	1996-07-09	VYDAJ	PREVOD NA UCET	1156	83554	SIPO	QR	29068303
1043062	3567	1996-08-09	VYDAJ	PREVOD NA UCET	1156	89020	SIPO	QR	29068303
1043063	3567	1996-09-09	VYDAJ	PREVOD NA UCET	1156	53444	SIPO	QR	29068303
1043064	3567	1996-10-09	VYDAJ	PREVOD NA UCET	1156	74126	SIPO	QR	29068303
1043065	3567	1996-11-09	VYDAJ	PREVOD NA UCET	1156	35350	SIPO	QR	29068303
1043066	3567	1996-12-09	VYDAJ	PREVOD NA UCET	1156	89875	SIPO	QR	29068303
1043067	3567	1997-01-09	VYDAJ	PREVOD NA UCET	1156	51136	SIPO	QR	29068303
1043068	3567	1997-02-09	VYDAJ	PREVOD NA UCET	1156	23992	SIPO	QR	29068303
1043069	3567	1997-03-09	VYDAJ	PREVOD NA UCET	1156	48825	SIPO	QR	29068303
1043070	3567	1997-04-09	VYDAJ	PREVOD NA UCET	1156	32567	SIPO	QR	29068303
1043071	3567	1997-05-09	VYDAJ	PREVOD NA UCET	1156	23899	SIPO	QR	29068303
1043072	3567	1997-06-09	VYDAJ	PREVOD NA UCET	1156	27485	SIPO	QR	29068303
1043073	3567	1997-07-09	VYDAJ	PREVOD NA UCET	1156	29282	SIPO	QR	29068303
1043074	3567	1997-08-09	VYDAJ	PREVOD NA UCET	1156	33846	SIPO	QR	29068303
1043075	3567	1997-09-09	VYDAJ	PREVOD NA UCET	1156	25582	SIPO	QR	29068303
1043076	3567	1997-10-09	VYDAJ	PREVOD NA UCET	1156	43755	SIPO	QR	29068303
1043077	3567	1997-11-09	VYDAJ	PREVOD NA UCET	1156	25047	SIPO	QR	29068303
1043078	3567	1997-12-09	VYDAJ	PREVOD NA UCET	1156	57626	SIPO	QR	29068303
1043079	3567	1998-01-09	VYDAJ	PREVOD NA UCET	1156	34436	SIPO	QR	29068303
1043080	3567	1998-02-09	VYDAJ	PREVOD NA UCET	1156	19184	SIPO	QR	29068303
1043081	3567	1998-03-09	VYDAJ	PREVOD NA UCET	1156	14958	SIPO	QR	29068303
1043082	3567	1998-04-09	VYDAJ	PREVOD NA UCET	1156	14808	SIPO	QR	29068303
1043083	3567	1998-05-09	VYDAJ	PREVOD NA UCET	1156	17594	SIPO	QR	29068303
1043084	3567	1998-06-09	VYDAJ	PREVOD NA UCET	1156	13455	SIPO	QR	29068303
1043085	3567	1998-07-09	VYDAJ	PREVOD NA UCET	1156	32950	SIPO	QR	29068303
1043086	3567	1998-08-09	VYDAJ	PREVOD NA UCET	1156	33532	SIPO	QR	29068303
1043087	3567	1998-09-09	VYDAJ	PREVOD NA UCET	1156	38940	SIPO	QR	29068303
1043088	3567	1998-10-09	VYDAJ	PREVOD NA UCET	1156	34712	SIPO	QR	29068303
1043089	3567	1998-11-09	VYDAJ	PREVOD NA UCET	1156	18610	SIPO	QR	29068303
1043090	3567	1998-12-09	VYDAJ	PREVOD NA UCET	1156	17888	SIPO	QR	29068303
1043108	3567	1995-06-07	VYDAJ	PREVOD NA UCET	6943	74021	 	GH	86320829
1043109	3567	1995-07-07	VYDAJ	PREVOD NA UCET	6943	43246	 	GH	86320829
1043110	3567	1995-08-07	VYDAJ	PREVOD NA UCET	6943	44402	 	GH	86320829
1043111	3567	1995-09-07	VYDAJ	PREVOD NA UCET	6943	16040	 	GH	86320829
1043112	3567	1995-10-07	VYDAJ	PREVOD NA UCET	6943	30076	 	GH	86320829
1043113	3567	1995-11-07	VYDAJ	PREVOD NA UCET	6943	57294	 	GH	86320829
1043114	3567	1995-12-07	VYDAJ	PREVOD NA UCET	6943	35400	 	GH	86320829
1043115	3567	1996-01-07	VYDAJ	PREVOD NA UCET	6943	34963	 	GH	86320829
1043116	3567	1996-02-07	VYDAJ	PREVOD NA UCET	6943	97863	 	GH	86320829
1043117	3567	1996-03-07	VYDAJ	PREVOD NA UCET	6943	71395	 	GH	86320829
1043118	3567	1996-04-07	VYDAJ	PREVOD NA UCET	6943	54784	 	GH	86320829
1043119	3567	1996-05-07	VYDAJ	PREVOD NA UCET	6943	69264	 	GH	86320829
1043120	3567	1996-06-07	VYDAJ	PREVOD NA UCET	6943	51754	 	GH	86320829
1043121	3567	1996-07-07	VYDAJ	PREVOD NA UCET	6943	84710	 	GH	86320829
1043122	3567	1996-08-07	VYDAJ	PREVOD NA UCET	6943	90176	 	GH	86320829
1043123	3567	1996-09-07	VYDAJ	PREVOD NA UCET	6943	54600	 	GH	86320829
1043124	3567	1996-10-07	VYDAJ	PREVOD NA UCET	6943	69046	 	GH	86320829
1043125	3567	1996-11-07	VYDAJ	PREVOD NA UCET	6943	42506	 	GH	86320829
1043126	3567	1996-12-07	VYDAJ	PREVOD NA UCET	6943	54525	 	GH	86320829
1043127	3567	1997-01-07	VYDAJ	PREVOD NA UCET	6943	33281	 	GH	86320829
1043128	3567	1997-02-07	VYDAJ	PREVOD NA UCET	6943	25148	 	GH	86320829
1043129	3567	1997-03-07	VYDAJ	PREVOD NA UCET	6943	68481	 	GH	86320829
1043130	3567	1997-04-07	VYDAJ	PREVOD NA UCET	6943	37923	 	GH	86320829
1043131	3567	1997-05-07	VYDAJ	PREVOD NA UCET	6943	17955	 	GH	86320829
1043132	3567	1997-06-07	VYDAJ	PREVOD NA UCET	6943	28641	 	GH	86320829
1043133	3567	1997-07-07	VYDAJ	PREVOD NA UCET	6943	30438	 	GH	86320829
1043134	3567	1997-08-07	VYDAJ	PREVOD NA UCET	6943	35002	 	GH	86320829
1043135	3567	1997-09-07	VYDAJ	PREVOD NA UCET	6943	26738	 	GH	86320829
1043136	3567	1997-10-07	VYDAJ	PREVOD NA UCET	6943	57360	 	GH	86320829
1043137	3567	1997-11-07	VYDAJ	PREVOD NA UCET	6943	26203	 	GH	86320829
1043138	3567	1997-12-07	VYDAJ	PREVOD NA UCET	6943	88308	 	GH	86320829
1043139	3567	1998-01-07	VYDAJ	PREVOD NA UCET	6943	35592	 	GH	86320829
1043140	3567	1998-02-07	VYDAJ	PREVOD NA UCET	6943	20340	 	GH	86320829
1043141	3567	1998-03-07	VYDAJ	PREVOD NA UCET	6943	16114	 	GH	86320829
1043142	3567	1998-04-07	VYDAJ	PREVOD NA UCET	6943	15964	 	GH	86320829
1043143	3567	1998-05-07	VYDAJ	PREVOD NA UCET	6943	18750	 	GH	86320829
1043144	3567	1998-06-07	VYDAJ	PREVOD NA UCET	6943	14611	 	GH	86320829
1043145	3567	1998-07-07	VYDAJ	PREVOD NA UCET	6943	40890	 	GH	86320829
1043146	3567	1998-08-07	VYDAJ	PREVOD NA UCET	6943	34688	 	GH	86320829
1043147	3567	1998-09-07	VYDAJ	PREVOD NA UCET	6943	40096	 	GH	86320829
1043148	3567	1998-10-07	VYDAJ	PREVOD NA UCET	6943	35868	 	GH	86320829
1043149	3567	1998-11-07	VYDAJ	PREVOD NA UCET	6943	19766	 	GH	86320829
1043150	3567	1998-12-07	VYDAJ	PREVOD NA UCET	6943	19044	 	GH	86320829
1043153	3567	1995-06-06	VYBER	VYBER	5163	80964	\N	\N	\N
1043154	3567	1995-07-03	VYBER	VYBER	4912	50189	\N	\N	\N
1043157	3567	1995-07-01	VYBER	VYBER	3354	55101	\N	\N	\N
1043158	3567	1995-08-08	VYBER	VYBER	23248	21154	\N	\N	\N
1043159	3567	1995-07-19	VYBER	VYBER	4954	29236	\N	\N	\N
1043160	3567	1995-06-11	VYBER	VYBER	7787	65078	\N	\N	\N
1043162	3567	1996-11-15	VYBER	VYBER	11410	23940	\N	\N	\N
1043164	3567	1996-08-10	VYBER	VYBER	4171	84849	\N	\N	\N
1043165	3567	1996-12-27	VYBER	VYBER	24841	42893	\N	\N	\N
1043166	3567	1996-08-28	VYBER	VYBER	19222	75921	\N	\N	\N
1043167	3567	1996-06-02	VYBER	VYBER	3266	58697	\N	\N	\N
1043168	3567	1996-05-19	VYBER	VYBER	21723	29085	\N	\N	\N
1043169	3567	1997-12-19	VYBER	VYBER	14290	61469	\N	\N	\N
1043171	3567	1997-10-09	VYBER	VYBER	12449	44911	\N	\N	\N
1043172	3567	1997-01-13	VYBER	VYBER	3931	42024	\N	\N	\N
1043174	3567	1997-01-13	VYBER	VYBER	5181	45955	\N	\N	\N
1043175	3567	1997-02-25	VYBER	VYBER	7405	98248	\N	\N	\N
1043177	3567	1997-01-06	VYBER	VYBER	2925	40224	\N	\N	\N
1043180	3567	1997-03-04	VYBER	VYBER	8813	75424	\N	\N	\N
1043183	3567	1998-07-28	VYBER	VYBER	21411	61325	\N	\N	\N
1043184	3567	1998-12-16	VYBER	VYBER	24323	37651	\N	\N	\N
1043186	3567	1998-07-17	VYBER	VYBER	18652	33462	\N	\N	\N
1043189	3567	1998-09-12	VYBER	VYBER	13337	25603	\N	\N	\N
1043190	3567	1998-09-07	VYBER	VYBER	4699	47039	\N	\N	\N
1043192	3567	1998-07-08	VYBER	VYBER	6784	34106	\N	\N	\N
1043193	3567	1998-01-14	VYBER	VYBER	5285	29151	\N	\N	\N
1043196	3567	1995-06-16	VYDAJ	VYBER	27600	45116	\N	\N	\N
1043203	3567	1997-01-13	VYDAJ	VYBER	10500	31524	\N	\N	\N
1043206	3567	1995-12-23	VYDAJ	VYBER	3300	41737	\N	\N	\N
1043207	3567	1996-12-21	VYDAJ	VYBER	1800	67734	\N	\N	\N
1043208	3567	1997-12-21	VYDAJ	VYBER	4800	56669	\N	\N	\N
1043219	3567	1995-12-04	VYDAJ	VYBER	3300	42343	\N	\N	\N
1043220	3567	1996-03-01	VYDAJ	VYBER	7200	78338	\N	\N	\N
1043221	3567	1996-10-14	VYDAJ	VYBER	2400	49226	\N	\N	\N
1043222	3567	1996-08-29	VYDAJ	VYBER	14700	61221	\N	\N	\N
1043223	3567	1996-12-13	VYDAJ	VYBER	6000	57375	\N	\N	\N
1043224	3567	1997-03-25	VYDAJ	VYBER	4200	44625	\N	\N	\N
1043226	3567	1997-10-27	VYDAJ	VYBER	12300	31455	\N	\N	\N
1043228	3567	1997-04-30	VYDAJ	VYBER	7800	24912	\N	\N	\N
1043229	3567	1997-10-02	VYDAJ	VYBER	10500	76409	\N	\N	\N
1043231	3567	1998-10-18	VYDAJ	VYBER	8100	26612	\N	\N	\N
1043233	3567	1998-12-25	VYDAJ	VYBER	2100	35551	\N	\N	\N
1043252	3567	1995-05-31	VYDAJ	VYBER	15	86127	SLUZBY	\N	\N
1043253	3567	1995-06-30	VYDAJ	VYBER	15	58455	SLUZBY	\N	\N
1043254	3567	1995-07-31	VYDAJ	VYBER	15	29383	SLUZBY	\N	\N
1043255	3567	1995-08-31	VYDAJ	VYBER	15	22983	SLUZBY	\N	\N
1043256	3567	1995-09-30	VYDAJ	VYBER	15	37019	SLUZBY	\N	\N
1043257	3567	1995-10-31	VYDAJ	VYBER	15	64237	SLUZBY	\N	\N
1043258	3567	1995-11-30	VYDAJ	VYBER	15	45643	SLUZBY	\N	\N
1043259	3567	1995-12-31	VYDAJ	VYBER	15	41906	SLUZBY	\N	\N
1043260	3567	1996-01-31	VYDAJ	VYBER	15	56907	SLUZBY	\N	\N
1043261	3567	1996-02-29	VYDAJ	VYBER	15	85538	SLUZBY	\N	\N
1043262	3567	1996-03-31	VYDAJ	VYBER	15	61727	SLUZBY	\N	\N
1043263	3567	1996-04-30	VYDAJ	VYBER	15	76207	SLUZBY	\N	\N
1043264	3567	1996-05-31	VYDAJ	VYBER	15	61963	SLUZBY	\N	\N
1043265	3567	1996-06-30	VYDAJ	VYBER	15	75344	SLUZBY	\N	\N
1043266	3567	1996-07-31	VYDAJ	VYBER	15	97119	SLUZBY	\N	\N
1043267	3567	1996-08-31	VYDAJ	VYBER	15	61543	SLUZBY	\N	\N
1043268	3567	1996-09-30	VYDAJ	VYBER	15	75989	SLUZBY	\N	\N
1043269	3567	1996-10-31	VYDAJ	VYBER	15	49449	SLUZBY	\N	\N
1043270	3567	1996-11-30	VYDAJ	VYBER	15	61468	SLUZBY	\N	\N
1043271	3567	1996-12-31	VYDAJ	VYBER	15	43149	SLUZBY	\N	\N
1043272	3567	1997-01-31	VYDAJ	VYBER	15	31691	SLUZBY	\N	\N
1043273	3567	1997-02-28	VYDAJ	VYBER	15	84237	SLUZBY	\N	\N
1043274	3567	1997-03-31	VYDAJ	VYBER	15	44866	SLUZBY	\N	\N
1043275	3567	1997-04-30	VYDAJ	VYBER	15	24898	SLUZBY	\N	\N
1043276	3567	1997-05-31	VYDAJ	VYBER	15	23984	SLUZBY	\N	\N
1043277	3567	1997-06-30	VYDAJ	VYBER	15	27581	SLUZBY	\N	\N
1043278	3567	1997-07-31	VYDAJ	VYBER	15	45345	SLUZBY	\N	\N
1043279	3567	1997-08-31	VYDAJ	VYBER	15	33981	SLUZBY	\N	\N
1043280	3567	1997-09-30	VYDAJ	VYBER	15	86909	SLUZBY	\N	\N
1043281	3567	1997-10-31	VYDAJ	VYBER	15	31646	SLUZBY	\N	\N
1043282	3567	1997-11-30	VYDAJ	VYBER	15	94956	SLUZBY	\N	\N
1043283	3567	1997-12-31	VYDAJ	VYBER	15	56935	SLUZBY	\N	\N
1043284	3567	1998-01-31	VYDAJ	VYBER	15	29283	SLUZBY	\N	\N
1043285	3567	1998-02-28	VYDAJ	VYBER	15	19257	SLUZBY	\N	\N
1043286	3567	1998-03-31	VYDAJ	VYBER	15	15007	SLUZBY	\N	\N
1043287	3567	1998-04-30	VYDAJ	VYBER	15	21293	SLUZBY	\N	\N
1043288	3567	1998-05-31	VYDAJ	VYBER	15	17654	SLUZBY	\N	\N
1043289	3567	1998-06-30	VYDAJ	VYBER	15	13497	SLUZBY	\N	\N
1043290	3567	1998-07-31	VYDAJ	VYBER	15	61531	SLUZBY	\N	\N
1043291	3567	1998-08-31	VYDAJ	VYBER	15	33675	SLUZBY	\N	\N
1043292	3567	1998-09-30	VYDAJ	VYBER	15	16298	SLUZBY	\N	\N
1043293	3567	1998-10-31	VYDAJ	VYBER	15	26709	SLUZBY	\N	\N
1043294	3567	1998-11-30	VYDAJ	VYBER	15	18679	SLUZBY	\N	\N
1043295	3567	1995-01-19	PRIJEM	VKLAD	4900	16483	\N	\N	\N
1043296	3567	1995-02-18	PRIJEM	VKLAD	5800	22331	\N	\N	\N
1043297	3567	1995-03-20	VYDAJ	VYBER	33100	59854	\N	\N	\N
1043298	3567	1995-04-19	VYDAJ	VYBER	20000	40241	\N	\N	\N
1043299	3567	1995-05-19	VYDAJ	VYBER	11000	36655	\N	\N	\N
1043300	3567	1995-06-18	VYDAJ	VYBER	12500	32616	\N	\N	\N
1043301	3567	1995-07-18	VYDAJ	VYBER	7900	34190	\N	\N	\N
1043302	3567	1995-08-17	PRIJEM	VKLAD	2900	22898	\N	\N	\N
1043303	3567	1995-09-16	PRIJEM	VKLAD	7000	21884	\N	\N	\N
1043304	3567	1995-10-16	VYDAJ	VYBER	6600	40121	\N	\N	\N
1043305	3567	1995-11-15	VYDAJ	VYBER	10700	45438	\N	\N	\N
1043306	3567	1995-12-15	VYDAJ	VYBER	11000	45037	\N	\N	\N
1043307	3567	1996-01-14	PRIJEM	VKLAD	500	34307	\N	\N	\N
1043308	3567	1996-02-13	VYDAJ	VYBER	34600	62107	\N	\N	\N
1043309	3567	1996-03-14	VYDAJ	VYBER	19800	50439	\N	\N	\N
1043310	3567	1996-04-13	VYDAJ	VYBER	9000	44628	\N	\N	\N
1043311	3567	1996-05-13	VYDAJ	VYBER	17300	50808	\N	\N	\N
1043312	3567	1996-06-12	VYDAJ	VYBER	9700	40898	\N	\N	\N
1043313	3567	1996-07-05	VYDAJ	VYBER	63300	54997	\N	\N	\N
1043314	3567	1996-07-12	VYDAJ	VYBER	26900	56654	\N	\N	\N
1043315	3567	1996-08-11	VYDAJ	VYBER	26700	58149	\N	\N	\N
1043316	3567	1996-08-25	VYDAJ	VYBER	35400	95143	\N	\N	\N
1043317	3567	1996-09-10	VYDAJ	VYBER	13800	39644	\N	\N	\N
1043318	3567	1996-10-10	VYDAJ	VYBER	22500	51626	\N	\N	\N
1043319	3567	1996-11-09	VYDAJ	VYBER	6000	36506	\N	\N	\N
1043320	3567	1996-12-09	VYDAJ	VYBER	26500	63375	\N	\N	\N
1043321	3567	1997-01-08	VYDAJ	VYBER	17500	52292	\N	\N	\N
1043322	3567	1997-02-07	PRIJEM	VKLAD	400	32091	\N	\N	\N
1043323	3567	1997-02-28	VYDAJ	VYBER	29400	84251	\N	\N	\N
1043324	3567	1997-03-09	VYDAJ	VYBER	18500	49981	\N	\N	\N
1043325	3567	1997-04-08	VYDAJ	VYBER	4200	33723	\N	\N	\N
1043326	3567	1997-05-08	PRIJEM	VKLAD	7100	25055	\N	\N	\N
1043327	3567	1997-06-07	PRIJEM	VKLAD	11600	35584	\N	\N	\N
1043328	3567	1997-07-07	PRIJEM	VKLAD	9800	37381	\N	\N	\N
1043329	3567	1997-08-06	VYDAJ	VYBER	3400	41945	\N	\N	\N
1043330	3567	1997-09-05	VYDAJ	VYBER	300	33681	\N	\N	\N
1043331	3567	1997-10-05	VYDAJ	VYBER	26000	64303	\N	\N	\N
1043332	3567	1997-11-04	PRIJEM	VKLAD	1500	33146	\N	\N	\N
1043333	3567	1997-12-04	VYDAJ	VYBER	31800	63156	\N	\N	\N
1043334	3567	1997-12-09	VYDAJ	VYBER	59900	58782	\N	\N	\N
1043335	3567	1998-01-03	VYDAJ	VYBER	14400	42535	\N	\N	\N
1043336	3567	1998-02-02	VYDAJ	VYBER	2000	27283	\N	\N	\N
1043337	3567	1998-03-04	PRIJEM	VKLAD	3800	23057	\N	\N	\N
1043338	3567	1998-04-03	PRIJEM	VKLAD	7900	22907	\N	\N	\N
1043339	3567	1998-05-03	PRIJEM	VKLAD	4400	25693	\N	\N	\N
1043340	3567	1998-06-02	PRIJEM	VKLAD	3900	21554	\N	\N	\N
1043341	3567	1998-07-02	PRIJEM	VKLAD	3500	16997	\N	\N	\N
1043342	3567	1998-07-24	VYDAJ	VYBER	29600	82736	\N	\N	\N
1043343	3567	1998-08-01	VYDAJ	VYBER	19900	41631	\N	\N	\N
1043344	3567	1998-08-31	VYDAJ	VYBER	13100	20575	\N	\N	\N
1043345	3567	1998-09-30	VYDAJ	VYBER	9400	16313	\N	\N	\N
1043395	3568	1996-04-11	PRIJEM	VKLAD	500	500	\N	\N	\N
1043399	3568	1996-04-14	PRIJEM	PREVOD Z UCTU	5243	5743	DUCHOD	EF	94403439
1043400	3568	1996-05-14	PRIJEM	PREVOD Z UCTU	5243	11000	DUCHOD	EF	94403439
1043401	3568	1996-06-14	PRIJEM	PREVOD Z UCTU	5243	16267	DUCHOD	EF	94403439
1043402	3568	1996-07-14	PRIJEM	PREVOD Z UCTU	5243	21533	DUCHOD	EF	94403439
1043403	3568	1996-08-14	PRIJEM	PREVOD Z UCTU	5243	25700	DUCHOD	EF	94403439
1043404	3568	1996-09-14	PRIJEM	PREVOD Z UCTU	5243	27175	DUCHOD	EF	94403439
1043405	3568	1996-10-14	PRIJEM	PREVOD Z UCTU	5243	29686	DUCHOD	EF	94403439
1043406	3568	1996-11-14	PRIJEM	PREVOD Z UCTU	5243	27145	DUCHOD	EF	94403439
1043407	3568	1996-12-14	PRIJEM	PREVOD Z UCTU	5243	23422	DUCHOD	EF	94403439
1043408	3568	1997-01-14	PRIJEM	PREVOD Z UCTU	5243	18757	DUCHOD	EF	94403439
1043409	3568	1997-02-14	PRIJEM	PREVOD Z UCTU	5243	16711	DUCHOD	EF	94403439
1043410	3568	1997-03-14	PRIJEM	PREVOD Z UCTU	5243	16018	DUCHOD	EF	94403439
1043411	3568	1997-04-14	PRIJEM	PREVOD Z UCTU	5243	18686	DUCHOD	EF	94403439
1043412	3568	1997-05-14	PRIJEM	PREVOD Z UCTU	5243	21361	DUCHOD	EF	94403439
1043413	3568	1997-06-14	PRIJEM	PREVOD Z UCTU	5243	21348	DUCHOD	EF	94403439
1043414	3568	1997-07-14	PRIJEM	PREVOD Z UCTU	5243	17830	DUCHOD	EF	94403439
1043415	3568	1997-08-14	PRIJEM	PREVOD Z UCTU	5243	18102	DUCHOD	EF	94403439
1043416	3568	1997-09-14	PRIJEM	PREVOD Z UCTU	5243	18077	DUCHOD	EF	94403439
1043417	3568	1997-10-14	PRIJEM	PREVOD Z UCTU	5243	18452	DUCHOD	EF	94403439
1043418	3568	1997-11-14	PRIJEM	PREVOD Z UCTU	5243	21128	DUCHOD	EF	94403439
1043419	3568	1997-12-14	PRIJEM	PREVOD Z UCTU	5243	20213	DUCHOD	EF	94403439
1043420	3568	1998-01-14	PRIJEM	PREVOD Z UCTU	5243	15884	DUCHOD	EF	94403439
1043421	3568	1998-02-14	PRIJEM	PREVOD Z UCTU	5243	16306	DUCHOD	EF	94403439
1043422	3568	1998-03-14	PRIJEM	PREVOD Z UCTU	5243	16071	DUCHOD	EF	94403439
1043423	3568	1998-04-14	PRIJEM	PREVOD Z UCTU	5243	17938	DUCHOD	EF	94403439
1043424	3568	1998-05-14	PRIJEM	PREVOD Z UCTU	5243	20609	DUCHOD	EF	94403439
1043425	3568	1998-06-14	PRIJEM	PREVOD Z UCTU	5243	19492	DUCHOD	EF	94403439
1043426	3568	1998-07-14	PRIJEM	PREVOD Z UCTU	5243	17970	DUCHOD	EF	94403439
1043427	3568	1998-08-14	PRIJEM	PREVOD Z UCTU	5243	14141	DUCHOD	EF	94403439
1043428	3568	1998-09-14	PRIJEM	PREVOD Z UCTU	5243	16797	DUCHOD	EF	94403439
1043429	3568	1998-10-14	PRIJEM	PREVOD Z UCTU	5243	19464	DUCHOD	EF	94403439
1043430	3568	1998-11-14	PRIJEM	PREVOD Z UCTU	5243	14038	DUCHOD	EF	94403439
1043431	3568	1998-12-14	PRIJEM	PREVOD Z UCTU	5243	16694	DUCHOD	EF	94403439
1043440	3568	1996-09-10	VYDAJ	PREVOD NA UCET	2626	21932	SIPO	EF	83231448
1043441	3568	1996-10-10	VYDAJ	PREVOD NA UCET	2626	24443	SIPO	EF	83231448
1043442	3568	1996-11-10	VYDAJ	PREVOD NA UCET	2626	21902	SIPO	EF	83231448
1043443	3568	1996-12-10	VYDAJ	PREVOD NA UCET	2626	18179	SIPO	EF	83231448
1043444	3568	1997-01-10	VYDAJ	PREVOD NA UCET	2626	16114	SIPO	EF	83231448
1043445	3568	1997-02-10	VYDAJ	PREVOD NA UCET	2626	11468	SIPO	EF	83231448
1043446	3568	1997-03-10	VYDAJ	PREVOD NA UCET	2626	10775	SIPO	EF	83231448
1043447	3568	1997-04-10	VYDAJ	PREVOD NA UCET	2626	13443	SIPO	EF	83231448
1043448	3568	1997-05-10	VYDAJ	PREVOD NA UCET	2626	16118	SIPO	EF	83231448
1043449	3568	1997-06-10	VYDAJ	PREVOD NA UCET	2626	16105	SIPO	EF	83231448
1043450	3568	1997-07-10	VYDAJ	PREVOD NA UCET	2626	12587	SIPO	EF	83231448
1043451	3568	1997-08-10	VYDAJ	PREVOD NA UCET	2626	12859	SIPO	EF	83231448
1043452	3568	1997-09-10	VYDAJ	PREVOD NA UCET	2626	12834	SIPO	EF	83231448
1043453	3568	1997-10-10	VYDAJ	PREVOD NA UCET	2626	13209	SIPO	EF	83231448
1043454	3568	1997-11-10	VYDAJ	PREVOD NA UCET	2626	15885	SIPO	EF	83231448
1043455	3568	1997-12-10	VYDAJ	PREVOD NA UCET	2626	14970	SIPO	EF	83231448
1043456	3568	1998-01-10	VYDAJ	PREVOD NA UCET	2626	10641	SIPO	EF	83231448
1043457	3568	1998-02-10	VYDAJ	PREVOD NA UCET	2626	11063	SIPO	EF	83231448
1043458	3568	1998-03-10	VYDAJ	PREVOD NA UCET	2626	10828	SIPO	EF	83231448
1043459	3568	1998-04-10	VYDAJ	PREVOD NA UCET	2626	12695	SIPO	EF	83231448
1043460	3568	1998-05-10	VYDAJ	PREVOD NA UCET	2626	15366	SIPO	EF	83231448
1043461	3568	1998-06-10	VYDAJ	PREVOD NA UCET	2626	14249	SIPO	EF	83231448
1043462	3568	1998-07-10	VYDAJ	PREVOD NA UCET	2626	12727	SIPO	EF	83231448
1043463	3568	1998-08-10	VYDAJ	PREVOD NA UCET	2626	8898	SIPO	EF	83231448
1043464	3568	1998-09-10	VYDAJ	PREVOD NA UCET	2626	11554	SIPO	EF	83231448
1043465	3568	1998-10-10	VYDAJ	PREVOD NA UCET	2626	14221	SIPO	EF	83231448
1043466	3568	1998-11-10	VYDAJ	PREVOD NA UCET	2626	8795	SIPO	EF	83231448
1043467	3568	1998-12-10	VYDAJ	PREVOD NA UCET	2626	11451	SIPO	EF	83231448
1043469	3568	1997-06-23	VYDAJ	VYBER	5200	16148	\N	\N	\N
1043472	3568	1997-01-11	VYDAJ	VYBER	2600	13514	\N	\N	\N
1043474	3568	1996-12-02	VYDAJ	VYBER	350	22405	\N	\N	\N
1043475	3568	1997-12-19	VYDAJ	VYBER	1250	18963	\N	\N	\N
1043476	3568	1998-12-16	VYDAJ	VYBER	700	15994	\N	\N	\N
1043483	3568	1997-01-05	VYDAJ	VYBER	1280	19740	\N	\N	\N
1043484	3568	1997-01-15	VYDAJ	VYBER	800	17957	\N	\N	\N
1043485	3568	1997-01-19	VYDAJ	VYBER	1680	16277	\N	\N	\N
1043487	3568	1997-01-19	VYDAJ	VYBER	2240	14037	\N	\N	\N
1043492	3568	1998-01-23	VYDAJ	VYBER	480	15404	\N	\N	\N
1043494	3568	1998-01-27	VYDAJ	VYBER	1760	13644	\N	\N	\N
1043497	3568	1996-11-23	VYDAJ	VYBER	3840	22665	\N	\N	\N
1043498	3568	1996-12-30	VYDAJ	VYBER	2480	20942	\N	\N	\N
1043500	3568	1996-10-30	VYDAJ	VYBER	2960	26726	\N	\N	\N
1043501	3568	1996-11-16	VYDAJ	VYBER	640	26505	\N	\N	\N
1043504	3568	1997-03-04	VYDAJ	VYBER	3360	13401	\N	\N	\N
1043505	3568	1997-12-29	VYDAJ	VYBER	2320	14483	\N	\N	\N
1043507	3568	1997-12-29	VYDAJ	VYBER	2160	16803	\N	\N	\N
1043508	3568	1998-01-09	VYDAJ	VYBER	1280	13267	\N	\N	\N
1043517	3568	1996-08-31	VYDAJ	VYBER	15	25758	SLUZBY	\N	\N
1043518	3568	1996-09-30	VYDAJ	VYBER	15	27269	SLUZBY	\N	\N
1043519	3568	1996-10-31	VYDAJ	VYBER	15	26828	SLUZBY	\N	\N
1043520	3568	1996-11-30	VYDAJ	VYBER	15	22755	SLUZBY	\N	\N
1043521	3568	1996-12-31	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
1043522	3568	1997-01-31	VYDAJ	VYBER	15	14094	SLUZBY	\N	\N
1043523	3568	1997-02-28	VYDAJ	VYBER	15	16761	SLUZBY	\N	\N
1043524	3568	1997-03-31	VYDAJ	VYBER	15	16069	SLUZBY	\N	\N
1043525	3568	1997-04-30	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
1043526	3568	1997-05-31	VYDAJ	VYBER	15	21431	SLUZBY	\N	\N
1043527	3568	1997-06-30	VYDAJ	VYBER	15	16213	SLUZBY	\N	\N
1043528	3568	1997-07-31	VYDAJ	VYBER	15	17885	SLUZBY	\N	\N
1043529	3568	1997-08-31	VYDAJ	VYBER	15	18160	SLUZBY	\N	\N
1043530	3568	1997-09-30	VYDAJ	VYBER	15	18135	SLUZBY	\N	\N
1043531	3568	1997-10-31	VYDAJ	VYBER	15	18511	SLUZBY	\N	\N
1043532	3568	1997-11-30	VYDAJ	VYBER	15	21196	SLUZBY	\N	\N
1043533	3568	1997-12-31	VYDAJ	VYBER	15	14547	SLUZBY	\N	\N
1043534	3568	1998-01-31	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
1043535	3568	1998-02-28	VYDAJ	VYBER	15	16354	SLUZBY	\N	\N
1043536	3568	1998-03-31	VYDAJ	VYBER	15	16121	SLUZBY	\N	\N
1043537	3568	1998-04-30	VYDAJ	VYBER	15	17992	SLUZBY	\N	\N
1043538	3568	1998-05-31	VYDAJ	VYBER	15	16875	SLUZBY	\N	\N
1043539	3568	1998-06-30	VYDAJ	VYBER	15	15353	SLUZBY	\N	\N
1043540	3568	1998-07-31	VYDAJ	VYBER	15	11524	SLUZBY	\N	\N
1043541	3568	1998-08-31	VYDAJ	VYBER	15	14180	SLUZBY	\N	\N
1043542	3568	1998-09-30	VYDAJ	VYBER	15	16847	SLUZBY	\N	\N
1043543	3568	1998-10-31	VYDAJ	VYBER	15	11421	SLUZBY	\N	\N
1043544	3568	1998-11-30	VYDAJ	VYBER	15	14077	SLUZBY	\N	\N
1043545	3568	1996-08-09	VYDAJ	VYBER	1100	20457	\N	\N	\N
1043546	3568	1996-09-08	VYDAJ	VYBER	1200	24558	\N	\N	\N
1043547	3568	1996-10-08	VYDAJ	VYBER	200	27069	\N	\N	\N
1043548	3568	1996-11-07	VYDAJ	VYBER	2300	24528	\N	\N	\N
1043549	3568	1996-12-07	VYDAJ	VYBER	1600	20805	\N	\N	\N
1043550	3568	1997-01-06	VYDAJ	VYBER	1000	18740	\N	\N	\N
1043551	3568	1997-06-05	VYDAJ	VYBER	2700	18731	\N	\N	\N
1043552	3568	1997-07-05	VYDAJ	VYBER	1000	15213	\N	\N	\N
1043553	3568	1997-08-04	VYDAJ	VYBER	2400	15485	\N	\N	\N
1043554	3568	1997-09-03	VYDAJ	VYBER	2700	15460	\N	\N	\N
1043555	3568	1997-10-03	VYDAJ	VYBER	2300	15835	\N	\N	\N
1043556	3568	1997-12-02	VYDAJ	VYBER	3600	17596	\N	\N	\N
1043557	3568	1998-03-02	VYDAJ	VYBER	2900	13454	\N	\N	\N
1043558	3568	1998-04-01	VYDAJ	VYBER	800	15321	\N	\N	\N
1043559	3568	1998-05-31	VYDAJ	VYBER	3800	16890	\N	\N	\N
1043560	3568	1998-06-30	VYDAJ	VYBER	4200	15368	\N	\N	\N
1043561	3568	1998-07-30	VYDAJ	VYBER	6500	11470	\N	\N	\N
1043562	3568	1998-10-28	VYDAJ	VYBER	8100	11364	\N	\N	\N
1043596	3569	1996-09-18	PRIJEM	VKLAD	400	400	\N	\N	\N
1043599	3569	1997-10-06	PRIJEM	VKLAD	33182	49210	\N	\N	\N
1043600	3569	1997-02-07	PRIJEM	VKLAD	43016	56239	\N	\N	\N
1043601	3569	1998-12-14	PRIJEM	VKLAD	27471	40149	\N	\N	\N
1043602	3569	1998-05-13	PRIJEM	VKLAD	31110	43834	\N	\N	\N
1043612	3569	1996-10-13	PRIJEM	VKLAD	800	1200	\N	\N	\N
1043613	3569	1996-11-15	PRIJEM	VKLAD	800	13322	\N	\N	\N
1043614	3569	1996-12-15	PRIJEM	VKLAD	800	19484	\N	\N	\N
1043615	3569	1997-01-15	PRIJEM	VKLAD	800	21154	\N	\N	\N
1043616	3569	1997-02-15	PRIJEM	VKLAD	800	57039	\N	\N	\N
1043617	3569	1997-03-14	PRIJEM	VKLAD	800	41395	\N	\N	\N
1043618	3569	1997-04-13	PRIJEM	VKLAD	800	32934	\N	\N	\N
1043619	3569	1997-05-15	PRIJEM	VKLAD	800	23639	\N	\N	\N
1043620	3569	1997-06-14	PRIJEM	VKLAD	800	18878	\N	\N	\N
1043621	3569	1997-07-16	PRIJEM	VKLAD	800	17247	\N	\N	\N
1043622	3569	1997-08-14	PRIJEM	VKLAD	800	19006	\N	\N	\N
1043623	3569	1997-09-17	PRIJEM	VKLAD	800	15070	\N	\N	\N
1043624	3569	1997-10-14	PRIJEM	VKLAD	800	31110	\N	\N	\N
1043625	3569	1997-11-17	PRIJEM	VKLAD	800	24902	\N	\N	\N
1043626	3569	1997-12-14	PRIJEM	VKLAD	800	19909	\N	\N	\N
1043627	3569	1998-01-16	PRIJEM	VKLAD	800	19837	\N	\N	\N
1043628	3569	1998-02-17	PRIJEM	VKLAD	800	17607	\N	\N	\N
1043629	3569	1998-03-13	PRIJEM	VKLAD	800	16419	\N	\N	\N
1043630	3569	1998-04-13	PRIJEM	VKLAD	800	13576	\N	\N	\N
1043631	3569	1998-05-17	PRIJEM	VKLAD	800	44634	\N	\N	\N
1043632	3569	1998-06-16	PRIJEM	VKLAD	800	31256	\N	\N	\N
1043633	3569	1998-07-13	PRIJEM	VKLAD	800	26990	\N	\N	\N
1043634	3569	1998-08-16	PRIJEM	VKLAD	800	20045	\N	\N	\N
1043635	3569	1998-09-14	PRIJEM	VKLAD	800	15523	\N	\N	\N
1043636	3569	1998-10-14	PRIJEM	VKLAD	800	13184	\N	\N	\N
1043637	3569	1998-11-14	PRIJEM	VKLAD	800	14931	\N	\N	\N
1043638	3569	1998-12-15	PRIJEM	VKLAD	800	40949	\N	\N	\N
1043648	3569	1996-10-18	PRIJEM	VKLAD	900	12500	\N	\N	\N
1043649	3569	1996-11-18	PRIJEM	VKLAD	900	18622	\N	\N	\N
1043650	3569	1996-12-18	PRIJEM	VKLAD	900	22484	\N	\N	\N
1043651	3569	1997-01-18	PRIJEM	VKLAD	900	23404	\N	\N	\N
1043652	3569	1997-02-18	PRIJEM	VKLAD	900	41339	\N	\N	\N
1043653	3569	1997-03-18	PRIJEM	VKLAD	900	31995	\N	\N	\N
1043654	3569	1997-04-18	PRIJEM	VKLAD	900	25134	\N	\N	\N
1043655	3569	1997-05-18	PRIJEM	VKLAD	900	24739	\N	\N	\N
1043656	3569	1997-06-18	PRIJEM	VKLAD	900	17178	\N	\N	\N
1043657	3569	1997-07-18	PRIJEM	VKLAD	900	18147	\N	\N	\N
1043658	3569	1997-08-18	PRIJEM	VKLAD	900	19606	\N	\N	\N
1043659	3569	1997-09-18	PRIJEM	VKLAD	900	15970	\N	\N	\N
1043660	3569	1997-10-18	PRIJEM	VKLAD	900	32010	\N	\N	\N
1043661	3569	1997-11-18	PRIJEM	VKLAD	900	25802	\N	\N	\N
1043662	3569	1997-12-18	PRIJEM	VKLAD	900	20809	\N	\N	\N
1043663	3569	1998-01-18	PRIJEM	VKLAD	900	20737	\N	\N	\N
1043664	3569	1998-02-18	PRIJEM	VKLAD	900	18507	\N	\N	\N
1043665	3569	1998-03-18	PRIJEM	VKLAD	900	17319	\N	\N	\N
1043666	3569	1998-04-18	PRIJEM	VKLAD	900	13626	\N	\N	\N
1043667	3569	1998-05-18	PRIJEM	VKLAD	900	45534	\N	\N	\N
1043668	3569	1998-06-18	PRIJEM	VKLAD	900	31756	\N	\N	\N
1043669	3569	1998-07-18	PRIJEM	VKLAD	900	27890	\N	\N	\N
1043670	3569	1998-08-18	PRIJEM	VKLAD	900	20945	\N	\N	\N
1043671	3569	1998-09-18	PRIJEM	VKLAD	900	16423	\N	\N	\N
1043672	3569	1998-10-18	PRIJEM	VKLAD	900	14084	\N	\N	\N
1043673	3569	1998-11-18	PRIJEM	VKLAD	900	15831	\N	\N	\N
1043674	3569	1998-12-18	PRIJEM	VKLAD	900	41849	\N	\N	\N
1043679	3569	1997-01-24	VYDAJ	VYBER	8200	14554	\N	\N	\N
1043680	3569	1998-01-29	VYDAJ	VYBER	2200	18537	\N	\N	\N
1043682	3569	1997-06-12	VYDAJ	VYBER	4700	20128	\N	\N	\N
1043683	3569	1998-06-07	VYDAJ	VYBER	6000	39656	\N	\N	\N
1043685	3569	1997-12-06	VYDAJ	VYBER	2200	23709	\N	\N	\N
1043686	3569	1998-12-27	VYDAJ	VYBER	500	41349	\N	\N	\N
1043693	3569	1997-01-15	VYDAJ	VYBER	850	20304	\N	\N	\N
1043694	3569	1997-01-26	VYDAJ	VYBER	1400	13154	\N	\N	\N
1043695	3569	1997-01-12	VYDAJ	VYBER	400	20354	\N	\N	\N
1043696	3569	1997-01-21	VYDAJ	VYBER	650	22754	\N	\N	\N
1043697	3569	1997-01-11	VYDAJ	VYBER	1150	20754	\N	\N	\N
1043698	3569	1997-01-10	VYDAJ	VYBER	650	21904	\N	\N	\N
1043699	3569	1998-01-08	VYDAJ	VYBER	450	19237	\N	\N	\N
1043700	3569	1998-01-12	VYDAJ	VYBER	650	21087	\N	\N	\N
1043701	3569	1998-01-04	VYDAJ	VYBER	450	20437	\N	\N	\N
1043702	3569	1998-01-14	VYDAJ	VYBER	750	20337	\N	\N	\N
1043703	3569	1998-01-07	VYDAJ	VYBER	750	19687	\N	\N	\N
1043704	3569	1998-01-14	VYDAJ	VYBER	1300	19037	\N	\N	\N
1043709	3569	1997-05-04	VYDAJ	VYBER	2400	22839	\N	\N	\N
1043710	3569	1997-06-13	VYDAJ	VYBER	2050	18078	\N	\N	\N
1043711	3569	1997-08-31	VYDAJ	VYBER	1000	18685	\N	\N	\N
1043712	3569	1997-03-10	VYDAJ	VYBER	850	40595	\N	\N	\N
1043713	3569	1998-08-11	VYDAJ	VYBER	1300	19245	\N	\N	\N
1043714	3569	1998-06-17	VYDAJ	VYBER	400	30856	\N	\N	\N
1043715	3569	1998-04-16	VYDAJ	VYBER	850	12726	\N	\N	\N
1043716	3569	1998-02-25	VYDAJ	VYBER	1050	17457	\N	\N	\N
1043717	3569	1998-04-30	VYDAJ	VYBER	750	12924	\N	\N	\N
1043718	3569	1998-07-25	VYDAJ	VYBER	2050	25840	\N	\N	\N
1043731	3569	1996-12-31	VYDAJ	VYBER	15	22554	SLUZBY	\N	\N
1043732	3569	1997-01-31	VYDAJ	VYBER	15	13223	SLUZBY	\N	\N
1043733	3569	1997-02-28	VYDAJ	VYBER	15	41445	SLUZBY	\N	\N
1043734	3569	1997-03-31	VYDAJ	VYBER	15	32134	SLUZBY	\N	\N
1043735	3569	1997-04-30	VYDAJ	VYBER	15	25239	SLUZBY	\N	\N
1043736	3569	1997-05-31	VYDAJ	VYBER	15	24828	SLUZBY	\N	\N
1043737	3569	1997-06-30	VYDAJ	VYBER	15	17247	SLUZBY	\N	\N
1043738	3569	1997-07-31	VYDAJ	VYBER	15	18206	SLUZBY	\N	\N
1043739	3569	1997-08-31	VYDAJ	VYBER	15	18670	SLUZBY	\N	\N
1043740	3569	1997-09-30	VYDAJ	VYBER	15	16028	SLUZBY	\N	\N
1043741	3569	1997-10-31	VYDAJ	VYBER	15	32102	SLUZBY	\N	\N
1043742	3569	1997-11-30	VYDAJ	VYBER	15	25909	SLUZBY	\N	\N
1043743	3569	1997-12-31	VYDAJ	VYBER	15	20887	SLUZBY	\N	\N
1043744	3569	1998-01-31	VYDAJ	VYBER	15	18607	SLUZBY	\N	\N
1043745	3569	1998-02-28	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
1043746	3569	1998-03-31	VYDAJ	VYBER	15	17376	SLUZBY	\N	\N
1043747	3569	1998-04-30	VYDAJ	VYBER	15	13674	SLUZBY	\N	\N
1043748	3569	1998-05-31	VYDAJ	VYBER	15	45656	SLUZBY	\N	\N
1043749	3569	1998-06-30	VYDAJ	VYBER	15	31890	SLUZBY	\N	\N
1043750	3569	1998-07-31	VYDAJ	VYBER	15	25945	SLUZBY	\N	\N
1043751	3569	1998-08-31	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
1043752	3569	1998-09-30	VYDAJ	VYBER	15	16484	SLUZBY	\N	\N
1043753	3569	1998-10-31	VYDAJ	VYBER	15	14131	SLUZBY	\N	\N
1043754	3569	1998-11-30	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
1043755	3569	1996-10-18	PRIJEM	VKLAD	10400	11600	\N	\N	\N
1043756	3569	1996-11-17	PRIJEM	VKLAD	4400	17722	\N	\N	\N
1043757	3569	1996-12-17	PRIJEM	VKLAD	2100	21584	\N	\N	\N
1043758	3569	1997-01-16	PRIJEM	VKLAD	2200	22504	\N	\N	\N
1043759	3569	1997-02-15	VYDAJ	VYBER	16600	40439	\N	\N	\N
1043760	3569	1997-03-17	VYDAJ	VYBER	10300	31095	\N	\N	\N
1043761	3569	1997-04-16	VYDAJ	VYBER	8700	24234	\N	\N	\N
1043762	3569	1997-05-16	PRIJEM	VKLAD	200	23839	\N	\N	\N
1043763	3569	1997-06-15	VYDAJ	VYBER	2600	16278	\N	\N	\N
1043764	3569	1997-07-15	VYDAJ	VYBER	800	16447	\N	\N	\N
1043765	3569	1997-08-14	VYDAJ	VYBER	300	18706	\N	\N	\N
1043766	3569	1997-09-13	VYDAJ	VYBER	4400	14270	\N	\N	\N
1043767	3569	1997-10-13	VYDAJ	VYBER	18900	30310	\N	\N	\N
1043768	3569	1997-11-12	VYDAJ	VYBER	8000	24102	\N	\N	\N
1043769	3569	1997-12-12	VYDAJ	VYBER	4600	19109	\N	\N	\N
1043770	3569	1998-01-11	PRIJEM	VKLAD	2500	21737	\N	\N	\N
1043771	3569	1998-02-10	VYDAJ	VYBER	1800	16807	\N	\N	\N
1043772	3569	1998-03-12	VYDAJ	VYBER	1900	15619	\N	\N	\N
1043773	3569	1998-04-11	VYDAJ	VYBER	4600	12776	\N	\N	\N
1043774	3569	1998-05-11	VYDAJ	VYBER	200	12724	\N	\N	\N
1043775	3569	1998-06-10	VYDAJ	VYBER	9200	30456	\N	\N	\N
1043776	3569	1998-07-10	VYDAJ	VYBER	5700	26190	\N	\N	\N
1043777	3569	1998-08-09	VYDAJ	VYBER	5400	20545	\N	\N	\N
1043778	3569	1998-09-08	VYDAJ	VYBER	6300	14723	\N	\N	\N
1043779	3569	1998-10-08	VYDAJ	VYBER	4100	12384	\N	\N	\N
1043780	3569	1998-12-07	VYDAJ	VYBER	3200	12678	\N	\N	\N
1043808	3570	1993-11-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1043820	3570	1993-12-08	PRIJEM	VKLAD	8632	9632	\N	\N	\N
1043821	3570	1994-01-08	PRIJEM	VKLAD	5755	24495	\N	\N	\N
1043822	3570	1994-02-08	PRIJEM	VKLAD	5755	31431	\N	\N	\N
1043823	3570	1994-03-08	PRIJEM	VKLAD	5755	32593	\N	\N	\N
1043824	3570	1994-04-08	PRIJEM	VKLAD	5755	35761	\N	\N	\N
1043825	3570	1994-05-08	PRIJEM	VKLAD	5755	30890	\N	\N	\N
1043826	3570	1994-06-08	PRIJEM	VKLAD	8632	20297	\N	\N	\N
1043827	3570	1994-07-08	PRIJEM	VKLAD	5755	22992	\N	\N	\N
1043828	3570	1994-08-08	PRIJEM	VKLAD	5755	26591	\N	\N	\N
1043829	3570	1994-09-08	PRIJEM	VKLAD	5755	30006	\N	\N	\N
1043830	3570	1994-10-08	PRIJEM	VKLAD	5755	28731	\N	\N	\N
1043831	3570	1994-11-08	PRIJEM	VKLAD	5755	28654	\N	\N	\N
1043832	3570	1994-12-08	PRIJEM	VKLAD	8632	32152	\N	\N	\N
1043833	3570	1995-01-08	PRIJEM	VKLAD	5755	26080	\N	\N	\N
1043834	3570	1995-02-08	PRIJEM	VKLAD	5755	21481	\N	\N	\N
1043835	3570	1995-03-08	PRIJEM	VKLAD	5755	29177	\N	\N	\N
1043836	3570	1995-04-08	PRIJEM	VKLAD	5755	33303	\N	\N	\N
1043837	3570	1995-05-08	PRIJEM	VKLAD	5755	32941	\N	\N	\N
1043838	3570	1995-06-08	PRIJEM	VKLAD	8632	38360	\N	\N	\N
1043839	3570	1995-07-08	PRIJEM	VKLAD	5755	24514	\N	\N	\N
1043840	3570	1995-08-08	PRIJEM	VKLAD	5755	33127	\N	\N	\N
1043841	3570	1995-09-08	PRIJEM	VKLAD	5755	37972	\N	\N	\N
1043842	3570	1995-10-08	PRIJEM	VKLAD	5755	38433	\N	\N	\N
1043843	3570	1995-11-08	PRIJEM	VKLAD	5755	40394	\N	\N	\N
1043844	3570	1995-12-08	PRIJEM	VKLAD	8632	43944	\N	\N	\N
1043845	3570	1996-01-08	PRIJEM	VKLAD	5755	37619	\N	\N	\N
1043846	3570	1996-02-08	PRIJEM	VKLAD	5755	30370	\N	\N	\N
1043847	3570	1996-03-08	PRIJEM	VKLAD	5755	38911	\N	\N	\N
1043848	3570	1996-04-08	PRIJEM	VKLAD	5755	38871	\N	\N	\N
1043849	3570	1996-05-08	PRIJEM	VKLAD	5755	42939	\N	\N	\N
1043850	3570	1996-06-08	PRIJEM	VKLAD	8632	40794	\N	\N	\N
1043851	3570	1996-07-08	PRIJEM	VKLAD	5755	41874	\N	\N	\N
1043852	3570	1996-08-08	PRIJEM	VKLAD	5755	43652	\N	\N	\N
1043853	3570	1996-09-08	PRIJEM	VKLAD	5755	42428	\N	\N	\N
1043854	3570	1996-10-08	PRIJEM	VKLAD	5755	42903	\N	\N	\N
1043855	3570	1996-11-08	PRIJEM	VKLAD	5755	35564	\N	\N	\N
1043856	3570	1996-12-08	PRIJEM	VKLAD	8632	41192	\N	\N	\N
1043857	3570	1997-01-08	PRIJEM	VKLAD	5755	42665	\N	\N	\N
1043858	3570	1997-02-08	PRIJEM	VKLAD	5755	32332	\N	\N	\N
1043859	3570	1997-03-08	PRIJEM	VKLAD	5755	39986	\N	\N	\N
1043860	3570	1997-04-08	PRIJEM	VKLAD	5755	41653	\N	\N	\N
1043861	3570	1997-05-08	PRIJEM	VKLAD	5755	45332	\N	\N	\N
1043862	3570	1997-06-08	PRIJEM	VKLAD	8632	34894	\N	\N	\N
1043863	3570	1997-07-08	PRIJEM	VKLAD	5755	42663	\N	\N	\N
1043864	3570	1997-08-08	PRIJEM	VKLAD	5755	48854	\N	\N	\N
1043865	3570	1997-09-08	PRIJEM	VKLAD	5755	48751	\N	\N	\N
1043866	3570	1997-10-08	PRIJEM	VKLAD	5755	49752	\N	\N	\N
1043867	3570	1997-11-08	PRIJEM	VKLAD	5755	46744	\N	\N	\N
1043868	3570	1997-12-08	PRIJEM	VKLAD	8632	49816	\N	\N	\N
1043869	3570	1998-01-08	PRIJEM	VKLAD	5755	48603	\N	\N	\N
1043870	3570	1998-02-08	PRIJEM	VKLAD	5755	46578	\N	\N	\N
1043871	3570	1998-03-08	PRIJEM	VKLAD	5755	47764	\N	\N	\N
1043872	3570	1998-04-08	PRIJEM	VKLAD	5755	52965	\N	\N	\N
1043873	3570	1998-05-08	PRIJEM	VKLAD	5755	56779	\N	\N	\N
1043874	3570	1998-06-08	PRIJEM	VKLAD	8632	62590	\N	\N	\N
1043875	3570	1998-07-08	PRIJEM	VKLAD	5755	51105	\N	\N	\N
1043876	3570	1998-08-08	PRIJEM	VKLAD	5755	59209	\N	\N	\N
1043877	3570	1998-09-08	PRIJEM	VKLAD	5755	67350	\N	\N	\N
1043878	3570	1998-10-08	PRIJEM	VKLAD	5755	72224	\N	\N	\N
1043879	3570	1998-11-08	PRIJEM	VKLAD	5755	74522	\N	\N	\N
1043880	3570	1998-12-08	PRIJEM	VKLAD	8632	76807	\N	\N	\N
1043897	3570	1994-05-07	VYDAJ	PREVOD NA UCET	3836	25135	SIPO	EF	1657617
1043898	3570	1994-06-07	VYDAJ	PREVOD NA UCET	3836	11665	SIPO	EF	1657617
1043899	3570	1994-07-07	VYDAJ	PREVOD NA UCET	3836	17237	SIPO	EF	1657617
1043900	3570	1994-08-07	VYDAJ	PREVOD NA UCET	3836	20836	SIPO	EF	1657617
1043901	3570	1994-09-07	VYDAJ	PREVOD NA UCET	3836	24251	SIPO	EF	1657617
1043902	3570	1994-10-07	VYDAJ	PREVOD NA UCET	3836	22976	SIPO	EF	1657617
1043903	3570	1994-11-07	VYDAJ	PREVOD NA UCET	3836	22899	SIPO	EF	1657617
1043904	3570	1994-12-07	VYDAJ	PREVOD NA UCET	3836	23520	SIPO	EF	1657617
1043905	3570	1995-01-07	VYDAJ	PREVOD NA UCET	3836	20325	SIPO	EF	1657617
1043906	3570	1995-02-07	VYDAJ	PREVOD NA UCET	3836	15726	SIPO	EF	1657617
1043907	3570	1995-03-07	VYDAJ	PREVOD NA UCET	3836	23422	SIPO	EF	1657617
1043908	3570	1995-04-07	VYDAJ	PREVOD NA UCET	3836	27548	SIPO	EF	1657617
1043909	3570	1995-05-07	VYDAJ	PREVOD NA UCET	3836	27186	SIPO	EF	1657617
1043910	3570	1995-06-07	VYDAJ	PREVOD NA UCET	3836	29728	SIPO	EF	1657617
1043911	3570	1995-07-07	VYDAJ	PREVOD NA UCET	3836	18759	SIPO	EF	1657617
1043912	3570	1995-08-07	VYDAJ	PREVOD NA UCET	3836	27372	SIPO	EF	1657617
1043913	3570	1995-09-07	VYDAJ	PREVOD NA UCET	3836	32217	SIPO	EF	1657617
1043914	3570	1995-10-07	VYDAJ	PREVOD NA UCET	3836	32678	SIPO	EF	1657617
1043915	3570	1995-11-07	VYDAJ	PREVOD NA UCET	3836	34639	SIPO	EF	1657617
1043916	3570	1995-12-07	VYDAJ	PREVOD NA UCET	3836	35312	SIPO	EF	1657617
1043917	3570	1996-01-07	VYDAJ	PREVOD NA UCET	3836	31864	SIPO	EF	1657617
1043918	3570	1996-02-07	VYDAJ	PREVOD NA UCET	3836	24615	SIPO	EF	1657617
1043919	3570	1996-03-07	VYDAJ	PREVOD NA UCET	3836	33156	SIPO	EF	1657617
1043920	3570	1996-04-07	VYDAJ	PREVOD NA UCET	3836	33116	SIPO	EF	1657617
1043921	3570	1996-05-07	VYDAJ	PREVOD NA UCET	3836	37184	SIPO	EF	1657617
1043922	3570	1996-06-07	VYDAJ	PREVOD NA UCET	3836	38062	SIPO	EF	1657617
1043923	3570	1996-07-07	VYDAJ	PREVOD NA UCET	3836	36119	SIPO	EF	1657617
1043924	3570	1996-08-07	VYDAJ	PREVOD NA UCET	3836	37897	SIPO	EF	1657617
1043925	3570	1996-09-07	VYDAJ	PREVOD NA UCET	3836	36673	SIPO	EF	1657617
1043926	3570	1996-10-07	VYDAJ	PREVOD NA UCET	3836	37148	SIPO	EF	1657617
1043927	3570	1996-11-07	VYDAJ	PREVOD NA UCET	3836	29809	SIPO	EF	1657617
1043928	3570	1996-12-07	VYDAJ	PREVOD NA UCET	3836	32560	SIPO	EF	1657617
1043929	3570	1997-01-07	VYDAJ	PREVOD NA UCET	3836	38710	SIPO	EF	1657617
1043930	3570	1997-02-07	VYDAJ	PREVOD NA UCET	3836	26577	SIPO	EF	1657617
1043931	3570	1997-03-07	VYDAJ	PREVOD NA UCET	3836	34231	SIPO	EF	1657617
1043932	3570	1997-04-07	VYDAJ	PREVOD NA UCET	3836	35898	SIPO	EF	1657617
1043933	3570	1997-05-07	VYDAJ	PREVOD NA UCET	3836	39577	SIPO	EF	1657617
1043934	3570	1997-06-07	VYDAJ	PREVOD NA UCET	3836	26262	SIPO	EF	1657617
1043935	3570	1997-07-07	VYDAJ	PREVOD NA UCET	3836	36908	SIPO	EF	1657617
1043936	3570	1997-08-07	VYDAJ	PREVOD NA UCET	3836	43099	SIPO	EF	1657617
1043937	3570	1997-09-07	VYDAJ	PREVOD NA UCET	3836	42996	SIPO	EF	1657617
1043938	3570	1997-10-07	VYDAJ	PREVOD NA UCET	3836	43997	SIPO	EF	1657617
1043939	3570	1997-11-07	VYDAJ	PREVOD NA UCET	3836	40989	SIPO	EF	1657617
1043940	3570	1997-12-07	VYDAJ	PREVOD NA UCET	3836	41184	SIPO	EF	1657617
1043941	3570	1998-01-07	VYDAJ	PREVOD NA UCET	3836	42848	SIPO	EF	1657617
1043942	3570	1998-02-07	VYDAJ	PREVOD NA UCET	3836	40823	SIPO	EF	1657617
1043943	3570	1998-03-07	VYDAJ	PREVOD NA UCET	3836	42009	SIPO	EF	1657617
1043944	3570	1998-04-07	VYDAJ	PREVOD NA UCET	3836	47210	SIPO	EF	1657617
1043945	3570	1998-05-07	VYDAJ	PREVOD NA UCET	3836	51024	SIPO	EF	1657617
1043946	3570	1998-06-07	VYDAJ	PREVOD NA UCET	3836	53958	SIPO	EF	1657617
1043947	3570	1998-07-07	VYDAJ	PREVOD NA UCET	3836	45350	SIPO	EF	1657617
1043948	3570	1998-08-07	VYDAJ	PREVOD NA UCET	3836	53454	SIPO	EF	1657617
1043949	3570	1998-09-07	VYDAJ	PREVOD NA UCET	3836	61595	SIPO	EF	1657617
1043950	3570	1998-10-07	VYDAJ	PREVOD NA UCET	3836	66469	SIPO	EF	1657617
1043951	3570	1998-11-07	VYDAJ	PREVOD NA UCET	3836	68767	SIPO	EF	1657617
1043952	3570	1998-12-07	VYDAJ	PREVOD NA UCET	3836	68175	SIPO	EF	1657617
1043954	3570	1994-06-03	VYDAJ	VYBER	13000	15501	\N	\N	\N
1043955	3570	1995-06-28	VYDAJ	VYBER	17000	22460	\N	\N	\N
1043956	3570	1996-06-07	VYDAJ	VYBER	5900	32162	\N	\N	\N
1043957	3570	1997-06-07	VYDAJ	VYBER	11200	30098	\N	\N	\N
1043958	3570	1998-06-18	VYDAJ	VYBER	21400	41190	\N	\N	\N
1043960	3570	1994-12-26	VYDAJ	VYBER	2000	26752	\N	\N	\N
1043961	3570	1995-12-21	VYDAJ	VYBER	2900	38144	\N	\N	\N
1043962	3570	1996-12-09	VYDAJ	VYBER	1300	39892	\N	\N	\N
1043963	3570	1997-12-12	VYDAJ	VYBER	700	44316	\N	\N	\N
1043964	3570	1998-12-10	VYDAJ	VYBER	1700	75107	\N	\N	\N
1043977	3570	1995-01-28	VYDAJ	VYBER	2100	21980	\N	\N	\N
1043978	3570	1995-01-20	VYDAJ	VYBER	2900	15980	\N	\N	\N
1043979	3570	1995-01-05	VYDAJ	VYBER	2700	24161	\N	\N	\N
1043980	3570	1995-01-19	VYDAJ	VYBER	1800	18880	\N	\N	\N
1043981	3570	1995-01-19	VYDAJ	VYBER	1100	20680	\N	\N	\N
1043982	3570	1995-01-29	VYDAJ	VYBER	2500	19480	\N	\N	\N
1043983	3570	1996-01-06	VYDAJ	VYBER	2600	35700	\N	\N	\N
1043984	3570	1996-01-28	VYDAJ	VYBER	1300	31019	\N	\N	\N
1043985	3570	1996-01-18	VYDAJ	VYBER	1800	35519	\N	\N	\N
1043986	3570	1996-01-29	VYDAJ	VYBER	2700	28319	\N	\N	\N
1043987	3570	1996-01-14	VYDAJ	VYBER	1900	35719	\N	\N	\N
1043988	3570	1996-01-22	VYDAJ	VYBER	2700	32819	\N	\N	\N
1043989	3570	1997-01-07	VYDAJ	VYBER	1800	36910	\N	\N	\N
1043990	3570	1997-01-09	VYDAJ	VYBER	2600	40065	\N	\N	\N
1043991	3570	1997-01-23	VYDAJ	VYBER	1900	38665	\N	\N	\N
1043992	3570	1997-01-26	VYDAJ	VYBER	1300	34565	\N	\N	\N
1043993	3570	1997-01-25	VYDAJ	VYBER	2800	35865	\N	\N	\N
1043994	3570	1997-01-10	VYDAJ	VYBER	500	39565	\N	\N	\N
1043995	3570	1998-01-04	VYDAJ	VYBER	1500	42984	\N	\N	\N
1043996	3570	1998-01-09	VYDAJ	VYBER	2800	45803	\N	\N	\N
1043997	3570	1998-01-11	VYDAJ	VYBER	2000	42403	\N	\N	\N
1043998	3570	1998-01-16	VYDAJ	VYBER	700	41703	\N	\N	\N
1043999	3570	1998-01-17	VYDAJ	VYBER	2800	38903	\N	\N	\N
1044000	3570	1998-01-10	VYDAJ	VYBER	1400	44403	\N	\N	\N
1044007	3570	1994-07-30	VYDAJ	VYBER	1000	24592	\N	\N	\N
1044009	3570	1994-10-31	VYDAJ	VYBER	4100	26750	\N	\N	\N
1044010	3570	1994-09-08	VYDAJ	VYBER	2300	27706	\N	\N	\N
1044011	3570	1994-04-27	VYDAJ	VYBER	4400	31361	\N	\N	\N
1044012	3570	1995-01-14	VYDAJ	VYBER	4300	21780	\N	\N	\N
1044013	3570	1995-02-08	VYDAJ	VYBER	700	20781	\N	\N	\N
1044014	3570	1995-12-05	VYDAJ	VYBER	3100	39148	\N	\N	\N
1044015	3570	1995-04-22	VYDAJ	VYBER	4900	28403	\N	\N	\N
1044016	3570	1995-06-02	VYDAJ	VYBER	1300	33564	\N	\N	\N
1044017	3570	1995-09-29	VYDAJ	VYBER	2800	36372	\N	\N	\N
1044018	3570	1995-10-17	VYDAJ	VYBER	3200	35233	\N	\N	\N
1044019	3570	1996-07-08	VYDAJ	VYBER	500	41374	\N	\N	\N
1044020	3570	1996-01-23	VYDAJ	VYBER	500	32319	\N	\N	\N
1044021	3570	1996-10-21	VYDAJ	VYBER	3300	33503	\N	\N	\N
1044022	3570	1996-07-02	VYDAJ	VYBER	3800	39955	\N	\N	\N
1044023	3570	1996-02-25	VYDAJ	VYBER	800	36870	\N	\N	\N
1044024	3570	1996-10-15	VYDAJ	VYBER	4100	36803	\N	\N	\N
1044025	3570	1997-02-06	VYDAJ	VYBER	4300	30413	\N	\N	\N
1044026	3570	1997-07-01	VYDAJ	VYBER	600	40744	\N	\N	\N
1044027	3570	1997-05-30	VYDAJ	VYBER	2600	41132	\N	\N	\N
1044028	3570	1998-02-14	VYDAJ	VYBER	900	45678	\N	\N	\N
1044029	3570	1998-03-23	VYDAJ	VYBER	600	47964	\N	\N	\N
1044030	3570	1998-03-31	VYDAJ	VYBER	4400	43760	\N	\N	\N
1044031	3570	1998-07-03	VYDAJ	VYBER	1700	35586	\N	\N	\N
1044032	3570	1998-06-27	VYDAJ	VYBER	4100	37090	\N	\N	\N
1044049	3570	1994-04-30	VYDAJ	VYBER	15	28971	SLUZBY	\N	\N
1044050	3570	1994-05-31	VYDAJ	VYBER	15	28501	SLUZBY	\N	\N
1044051	3570	1994-06-30	VYDAJ	VYBER	15	21073	SLUZBY	\N	\N
1044052	3570	1994-07-31	VYDAJ	VYBER	15	24672	SLUZBY	\N	\N
1044053	3570	1994-08-31	VYDAJ	VYBER	15	28087	SLUZBY	\N	\N
1044054	3570	1994-09-30	VYDAJ	VYBER	15	26812	SLUZBY	\N	\N
1044055	3570	1994-10-31	VYDAJ	VYBER	15	26735	SLUZBY	\N	\N
1044056	3570	1994-11-30	VYDAJ	VYBER	15	27356	SLUZBY	\N	\N
1044057	3570	1994-12-31	VYDAJ	VYBER	15	26861	SLUZBY	\N	\N
1044058	3570	1995-01-31	VYDAJ	VYBER	15	19562	SLUZBY	\N	\N
1044059	3570	1995-02-28	VYDAJ	VYBER	15	27258	SLUZBY	\N	\N
1044060	3570	1995-03-31	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
1044061	3570	1995-04-30	VYDAJ	VYBER	15	31022	SLUZBY	\N	\N
1044062	3570	1995-05-31	VYDAJ	VYBER	15	34864	SLUZBY	\N	\N
1044063	3570	1995-06-30	VYDAJ	VYBER	15	22595	SLUZBY	\N	\N
1044064	3570	1995-07-31	VYDAJ	VYBER	15	31208	SLUZBY	\N	\N
1044065	3570	1995-08-31	VYDAJ	VYBER	15	36053	SLUZBY	\N	\N
1044066	3570	1995-09-30	VYDAJ	VYBER	15	36514	SLUZBY	\N	\N
1044067	3570	1995-10-31	VYDAJ	VYBER	15	38475	SLUZBY	\N	\N
1044068	3570	1995-11-30	VYDAJ	VYBER	15	42248	SLUZBY	\N	\N
1044069	3570	1995-12-31	VYDAJ	VYBER	15	38300	SLUZBY	\N	\N
1044070	3570	1996-01-31	VYDAJ	VYBER	15	28451	SLUZBY	\N	\N
1044071	3570	1996-02-29	VYDAJ	VYBER	15	36992	SLUZBY	\N	\N
1044072	3570	1996-03-31	VYDAJ	VYBER	15	36952	SLUZBY	\N	\N
1044073	3570	1996-04-30	VYDAJ	VYBER	15	41020	SLUZBY	\N	\N
1044074	3570	1996-05-31	VYDAJ	VYBER	15	41898	SLUZBY	\N	\N
1044075	3570	1996-06-30	VYDAJ	VYBER	15	43755	SLUZBY	\N	\N
1044076	3570	1996-07-31	VYDAJ	VYBER	15	41733	SLUZBY	\N	\N
1044077	3570	1996-08-31	VYDAJ	VYBER	15	40509	SLUZBY	\N	\N
1044078	3570	1996-09-30	VYDAJ	VYBER	15	40984	SLUZBY	\N	\N
1044079	3570	1996-10-31	VYDAJ	VYBER	15	33645	SLUZBY	\N	\N
1044080	3570	1996-11-30	VYDAJ	VYBER	15	36396	SLUZBY	\N	\N
1044081	3570	1996-12-31	VYDAJ	VYBER	15	42546	SLUZBY	\N	\N
1044082	3570	1997-01-31	VYDAJ	VYBER	15	34713	SLUZBY	\N	\N
1044083	3570	1997-02-28	VYDAJ	VYBER	15	38067	SLUZBY	\N	\N
1044084	3570	1997-03-31	VYDAJ	VYBER	15	39734	SLUZBY	\N	\N
1044085	3570	1997-04-30	VYDAJ	VYBER	15	43413	SLUZBY	\N	\N
1044086	3570	1997-05-31	VYDAJ	VYBER	15	41298	SLUZBY	\N	\N
1044087	3570	1997-06-30	VYDAJ	VYBER	15	41344	SLUZBY	\N	\N
1044088	3570	1997-07-31	VYDAJ	VYBER	15	46935	SLUZBY	\N	\N
1044089	3570	1997-08-31	VYDAJ	VYBER	15	46832	SLUZBY	\N	\N
1044090	3570	1997-09-30	VYDAJ	VYBER	15	47833	SLUZBY	\N	\N
1044091	3570	1997-10-31	VYDAJ	VYBER	15	44825	SLUZBY	\N	\N
1044092	3570	1997-11-30	VYDAJ	VYBER	15	45020	SLUZBY	\N	\N
1044093	3570	1997-12-31	VYDAJ	VYBER	15	44484	SLUZBY	\N	\N
1044094	3570	1998-01-31	VYDAJ	VYBER	15	39059	SLUZBY	\N	\N
1044095	3570	1998-02-28	VYDAJ	VYBER	15	45845	SLUZBY	\N	\N
1044096	3570	1998-03-31	VYDAJ	VYBER	15	43746	SLUZBY	\N	\N
1044097	3570	1998-04-30	VYDAJ	VYBER	15	53160	SLUZBY	\N	\N
1044098	3570	1998-05-31	VYDAJ	VYBER	15	56994	SLUZBY	\N	\N
1044099	3570	1998-06-30	VYDAJ	VYBER	15	37286	SLUZBY	\N	\N
1044100	3570	1998-07-31	VYDAJ	VYBER	15	51290	SLUZBY	\N	\N
1044101	3570	1998-08-31	VYDAJ	VYBER	15	59431	SLUZBY	\N	\N
1044102	3570	1998-09-30	VYDAJ	VYBER	15	67605	SLUZBY	\N	\N
1044103	3570	1998-10-31	VYDAJ	VYBER	15	72503	SLUZBY	\N	\N
1044104	3570	1998-11-30	VYDAJ	VYBER	15	74811	SLUZBY	\N	\N
1044105	3570	1993-12-29	PRIJEM	VKLAD	9100	18732	\N	\N	\N
1044106	3570	1994-01-28	PRIJEM	VKLAD	1100	25595	\N	\N	\N
1044107	3570	1994-02-27	VYDAJ	VYBER	4700	26731	\N	\N	\N
1044108	3570	1994-03-29	VYDAJ	VYBER	2700	29893	\N	\N	\N
1044109	3570	1994-04-28	VYDAJ	VYBER	2500	28861	\N	\N	\N
1044110	3570	1994-05-28	VYDAJ	VYBER	2500	28390	\N	\N	\N
1044111	3570	1994-06-27	PRIJEM	VKLAD	700	20997	\N	\N	\N
1044112	3570	1994-07-27	PRIJEM	VKLAD	2600	25592	\N	\N	\N
1044113	3570	1994-08-26	PRIJEM	VKLAD	1400	27991	\N	\N	\N
1044114	3570	1994-09-25	VYDAJ	VYBER	1000	26706	\N	\N	\N
1044115	3570	1994-10-25	PRIJEM	VKLAD	2000	30731	\N	\N	\N
1044116	3570	1994-11-24	VYDAJ	VYBER	1400	27254	\N	\N	\N
1044117	3570	1994-12-24	VYDAJ	VYBER	3400	28752	\N	\N	\N
1044118	3570	1995-01-23	PRIJEM	VKLAD	8100	24080	\N	\N	\N
1044119	3570	1995-02-22	PRIJEM	VKLAD	6400	27181	\N	\N	\N
1044120	3570	1995-03-24	PRIJEM	VKLAD	2100	31277	\N	\N	\N
1044121	3570	1995-04-23	PRIJEM	VKLAD	2500	30903	\N	\N	\N
1044122	3570	1995-05-23	PRIJEM	VKLAD	1800	34741	\N	\N	\N
1044123	3570	1995-06-22	PRIJEM	VKLAD	1100	39460	\N	\N	\N
1044124	3570	1995-07-22	PRIJEM	VKLAD	6600	31114	\N	\N	\N
1044125	3570	1995-08-21	PRIJEM	VKLAD	2800	35927	\N	\N	\N
1044126	3570	1995-09-20	PRIJEM	VKLAD	1200	39172	\N	\N	\N
1044127	3570	1995-10-20	PRIJEM	VKLAD	3100	38333	\N	\N	\N
1044128	3570	1995-11-19	PRIJEM	VKLAD	1700	42094	\N	\N	\N
1044129	3570	1995-12-19	VYDAJ	VYBER	2900	41044	\N	\N	\N
1044130	3570	1996-01-18	PRIJEM	VKLAD	1600	37319	\N	\N	\N
1044131	3570	1996-02-17	PRIJEM	VKLAD	7300	37670	\N	\N	\N
1044132	3570	1996-03-18	VYDAJ	VYBER	2100	36811	\N	\N	\N
1044133	3570	1996-04-17	PRIJEM	VKLAD	2000	40871	\N	\N	\N
1044134	3570	1996-05-17	VYDAJ	VYBER	1200	41739	\N	\N	\N
1044135	3570	1996-06-16	PRIJEM	VKLAD	2800	43594	\N	\N	\N
1044136	3570	1996-07-16	PRIJEM	VKLAD	200	41574	\N	\N	\N
1044137	3570	1996-08-15	VYDAJ	VYBER	3300	40352	\N	\N	\N
1044138	3570	1996-09-14	VYDAJ	VYBER	1600	40828	\N	\N	\N
1044139	3570	1996-10-14	VYDAJ	VYBER	2000	40903	\N	\N	\N
1044140	3570	1996-11-13	PRIJEM	VKLAD	700	36264	\N	\N	\N
1044141	3570	1996-12-13	PRIJEM	VKLAD	2500	42392	\N	\N	\N
1044142	3570	1997-01-12	PRIJEM	VKLAD	1000	40565	\N	\N	\N
1044143	3570	1997-02-11	PRIJEM	VKLAD	5600	37932	\N	\N	\N
1044144	3570	1997-03-13	VYDAJ	VYBER	400	39586	\N	\N	\N
1044145	3570	1997-04-12	PRIJEM	VKLAD	1600	43253	\N	\N	\N
1044146	3570	1997-05-12	VYDAJ	VYBER	1600	43732	\N	\N	\N
1044147	3570	1997-06-11	PRIJEM	VKLAD	6300	41194	\N	\N	\N
1044148	3570	1997-07-11	PRIJEM	VKLAD	4100	46763	\N	\N	\N
1044149	3570	1997-08-10	VYDAJ	VYBER	2200	46654	\N	\N	\N
1044150	3570	1997-09-09	VYDAJ	VYBER	1100	47651	\N	\N	\N
1044151	3570	1997-10-09	VYDAJ	VYBER	5100	44652	\N	\N	\N
1044152	3570	1997-11-08	VYDAJ	VYBER	1900	44844	\N	\N	\N
1044153	3570	1997-12-08	VYDAJ	VYBER	4800	45016	\N	\N	\N
1044154	3570	1998-01-07	PRIJEM	VKLAD	3700	46684	\N	\N	\N
1044155	3570	1998-02-06	PRIJEM	VKLAD	5600	44659	\N	\N	\N
1044156	3570	1998-03-08	PRIJEM	VKLAD	800	48564	\N	\N	\N
1044157	3570	1998-04-07	PRIJEM	VKLAD	7300	51046	\N	\N	\N
1044158	3570	1998-05-07	PRIJEM	VKLAD	1700	54860	\N	\N	\N
1044159	3570	1998-06-06	PRIJEM	VKLAD	800	57794	\N	\N	\N
1044160	3570	1998-07-06	PRIJEM	VKLAD	13600	49186	\N	\N	\N
1044161	3570	1998-08-05	PRIJEM	VKLAD	6000	57290	\N	\N	\N
1044162	3570	1998-09-04	PRIJEM	VKLAD	6000	65431	\N	\N	\N
1044163	3570	1998-10-04	PRIJEM	VKLAD	2700	70305	\N	\N	\N
1044164	3570	1998-11-03	PRIJEM	VKLAD	100	72603	\N	\N	\N
1044165	3570	1998-12-03	VYDAJ	VYBER	2800	72011	\N	\N	\N
1044227	3571	1993-11-21	PRIJEM	VKLAD	800	800	\N	\N	\N
1044239	3571	1993-12-09	PRIJEM	VKLAD	7754	8554	\N	\N	\N
1044240	3571	1994-01-09	PRIJEM	VKLAD	5169	21447	\N	\N	\N
1044241	3571	1994-02-09	PRIJEM	VKLAD	5169	27894	\N	\N	\N
1044242	3571	1994-03-09	PRIJEM	VKLAD	5169	30661	\N	\N	\N
1044243	3571	1994-04-09	PRIJEM	VKLAD	5169	32138	\N	\N	\N
1044244	3571	1994-05-09	PRIJEM	VKLAD	5169	30566	\N	\N	\N
1044245	3571	1994-06-09	PRIJEM	VKLAD	7754	30114	\N	\N	\N
1044246	3571	1994-07-09	PRIJEM	VKLAD	5169	20372	\N	\N	\N
1044247	3571	1994-08-09	PRIJEM	VKLAD	5169	26270	\N	\N	\N
1044248	3571	1994-09-09	PRIJEM	VKLAD	5169	25599	\N	\N	\N
1044249	3571	1994-10-09	PRIJEM	VKLAD	5169	29014	\N	\N	\N
1044250	3571	1994-11-09	PRIJEM	VKLAD	5169	28937	\N	\N	\N
1044251	3571	1994-12-09	PRIJEM	VKLAD	7754	31443	\N	\N	\N
1044252	3571	1995-01-09	PRIJEM	VKLAD	5169	24166	\N	\N	\N
1044253	3571	1995-02-09	PRIJEM	VKLAD	5169	19045	\N	\N	\N
1044254	3571	1995-03-09	PRIJEM	VKLAD	5169	22184	\N	\N	\N
1044255	3571	1995-04-09	PRIJEM	VKLAD	5169	20841	\N	\N	\N
1044256	3571	1995-05-09	PRIJEM	VKLAD	5169	26642	\N	\N	\N
1044257	3571	1995-06-09	PRIJEM	VKLAD	7754	34952	\N	\N	\N
1044258	3571	1995-07-09	PRIJEM	VKLAD	5169	21319	\N	\N	\N
1044259	3571	1995-08-09	PRIJEM	VKLAD	5169	24682	\N	\N	\N
1044260	3571	1995-09-09	PRIJEM	VKLAD	5169	30702	\N	\N	\N
1044261	3571	1995-10-09	PRIJEM	VKLAD	5169	33337	\N	\N	\N
1044262	3571	1995-11-09	PRIJEM	VKLAD	5169	33077	\N	\N	\N
1044263	3571	1995-12-09	PRIJEM	VKLAD	7754	35599	\N	\N	\N
1044264	3571	1996-01-09	PRIJEM	VKLAD	5169	29092	\N	\N	\N
1044265	3571	1996-02-09	PRIJEM	VKLAD	5169	20277	\N	\N	\N
1044266	3571	1996-03-09	PRIJEM	VKLAD	5169	29786	\N	\N	\N
1044267	3571	1996-04-09	PRIJEM	VKLAD	5169	29615	\N	\N	\N
1044268	3571	1996-05-09	PRIJEM	VKLAD	5169	30542	\N	\N	\N
1044269	3571	1996-06-09	PRIJEM	VKLAD	7754	34914	\N	\N	\N
1044270	3571	1996-07-09	PRIJEM	VKLAD	5169	31233	\N	\N	\N
1044271	3571	1996-08-09	PRIJEM	VKLAD	5169	28846	\N	\N	\N
1044272	3571	1996-09-09	PRIJEM	VKLAD	5169	33723	\N	\N	\N
1044273	3571	1996-10-09	PRIJEM	VKLAD	5169	33681	\N	\N	\N
1044274	3571	1996-11-09	PRIJEM	VKLAD	5169	32927	\N	\N	\N
1044275	3571	1996-12-09	PRIJEM	VKLAD	7754	30956	\N	\N	\N
1044276	3571	1997-01-09	PRIJEM	VKLAD	5169	25230	\N	\N	\N
1044277	3571	1997-02-09	PRIJEM	VKLAD	5169	27170	\N	\N	\N
1044278	3571	1997-03-09	PRIJEM	VKLAD	5169	30180	\N	\N	\N
1044279	3571	1997-04-09	PRIJEM	VKLAD	5169	31309	\N	\N	\N
1044280	3571	1997-05-09	PRIJEM	VKLAD	5169	30083	\N	\N	\N
1044281	3571	1997-06-09	PRIJEM	VKLAD	7754	35294	\N	\N	\N
1044282	3571	1997-07-09	PRIJEM	VKLAD	5169	30642	\N	\N	\N
1044283	3571	1997-08-09	PRIJEM	VKLAD	5169	26198	\N	\N	\N
1044284	3571	1997-09-09	PRIJEM	VKLAD	5169	27716	\N	\N	\N
1044285	3571	1997-10-09	PRIJEM	VKLAD	5169	28235	\N	\N	\N
1044286	3571	1997-11-09	PRIJEM	VKLAD	5169	28257	\N	\N	\N
1044287	3571	1997-12-09	PRIJEM	VKLAD	7754	33065	\N	\N	\N
1044288	3571	1998-01-09	PRIJEM	VKLAD	5169	17737	\N	\N	\N
1044289	3571	1998-02-09	PRIJEM	VKLAD	5169	24664	\N	\N	\N
1044290	3571	1998-03-09	PRIJEM	VKLAD	5169	29092	\N	\N	\N
1044291	3571	1998-04-09	PRIJEM	VKLAD	5169	32621	\N	\N	\N
1044292	3571	1998-05-09	PRIJEM	VKLAD	5169	36061	\N	\N	\N
1044293	3571	1998-06-09	PRIJEM	VKLAD	7754	41749	\N	\N	\N
1044294	3571	1998-07-09	PRIJEM	VKLAD	5169	42923	\N	\N	\N
1044295	3571	1998-08-09	PRIJEM	VKLAD	5169	38962	\N	\N	\N
1044296	3571	1998-09-09	PRIJEM	VKLAD	5169	37983	\N	\N	\N
1044297	3571	1998-10-09	PRIJEM	VKLAD	5169	34940	\N	\N	\N
1044298	3571	1998-11-09	PRIJEM	VKLAD	5169	37329	\N	\N	\N
1044299	3571	1998-12-09	PRIJEM	VKLAD	7754	40871	\N	\N	\N
1044316	3571	1994-05-08	VYDAJ	PREVOD NA UCET	3224	25397	SIPO	ST	3029764
1044317	3571	1994-06-08	VYDAJ	PREVOD NA UCET	3224	22361	SIPO	ST	3029764
1044318	3571	1994-07-08	VYDAJ	PREVOD NA UCET	3224	15203	SIPO	ST	3029764
1044319	3571	1994-08-08	VYDAJ	PREVOD NA UCET	3224	21101	SIPO	ST	3029764
1044320	3571	1994-09-08	VYDAJ	PREVOD NA UCET	3224	20430	SIPO	ST	3029764
1044321	3571	1994-10-08	VYDAJ	PREVOD NA UCET	3224	23845	SIPO	ST	3029764
1044322	3571	1994-11-08	VYDAJ	PREVOD NA UCET	3224	23768	SIPO	ST	3029764
1044323	3571	1994-12-08	VYDAJ	PREVOD NA UCET	3224	23690	SIPO	ST	3029764
1044324	3571	1995-01-08	VYDAJ	PREVOD NA UCET	3224	18997	SIPO	ST	3029764
1044325	3571	1995-02-08	VYDAJ	PREVOD NA UCET	3224	13876	SIPO	ST	3029764
1044326	3571	1995-03-08	VYDAJ	PREVOD NA UCET	3224	17015	SIPO	ST	3029764
1044327	3571	1995-04-08	VYDAJ	PREVOD NA UCET	3224	15672	SIPO	ST	3029764
1044328	3571	1995-05-08	VYDAJ	PREVOD NA UCET	3224	21473	SIPO	ST	3029764
1044329	3571	1995-06-08	VYDAJ	PREVOD NA UCET	3224	27198	SIPO	ST	3029764
1044330	3571	1995-07-08	VYDAJ	PREVOD NA UCET	3224	16150	SIPO	ST	3029764
1044331	3571	1995-08-08	VYDAJ	PREVOD NA UCET	3224	19513	SIPO	ST	3029764
1044332	3571	1995-09-08	VYDAJ	PREVOD NA UCET	3224	25533	SIPO	ST	3029764
1044333	3571	1995-10-08	VYDAJ	PREVOD NA UCET	3224	28168	SIPO	ST	3029764
1044334	3571	1995-11-08	VYDAJ	PREVOD NA UCET	3224	27908	SIPO	ST	3029764
1044335	3571	1995-12-08	VYDAJ	PREVOD NA UCET	3224	27845	SIPO	ST	3029764
1044336	3571	1996-01-08	VYDAJ	PREVOD NA UCET	3224	23923	SIPO	ST	3029764
1044337	3571	1996-02-08	VYDAJ	PREVOD NA UCET	3224	15108	SIPO	ST	3029764
1044338	3571	1996-03-08	VYDAJ	PREVOD NA UCET	3224	24617	SIPO	ST	3029764
1044339	3571	1996-04-08	VYDAJ	PREVOD NA UCET	3224	24446	SIPO	ST	3029764
1044340	3571	1996-05-08	VYDAJ	PREVOD NA UCET	3224	25373	SIPO	ST	3029764
1044341	3571	1996-06-08	VYDAJ	PREVOD NA UCET	3224	27161	SIPO	ST	3029764
1044342	3571	1996-07-08	VYDAJ	PREVOD NA UCET	3224	26064	SIPO	ST	3029764
1044343	3571	1996-08-08	VYDAJ	PREVOD NA UCET	3224	23677	SIPO	ST	3029764
1044344	3571	1996-09-08	VYDAJ	PREVOD NA UCET	3224	28554	SIPO	ST	3029764
1044345	3571	1996-10-08	VYDAJ	PREVOD NA UCET	3224	28512	SIPO	ST	3029764
1044346	3571	1996-11-08	VYDAJ	PREVOD NA UCET	3224	27758	SIPO	ST	3029764
1044347	3571	1996-12-08	VYDAJ	PREVOD NA UCET	3224	23202	SIPO	ST	3029764
1044348	3571	1997-01-08	VYDAJ	PREVOD NA UCET	3224	20061	SIPO	ST	3029764
1044349	3571	1997-02-08	VYDAJ	PREVOD NA UCET	3224	22001	SIPO	ST	3029764
1044350	3571	1997-03-08	VYDAJ	PREVOD NA UCET	3224	25011	SIPO	ST	3029764
1044351	3571	1997-04-08	VYDAJ	PREVOD NA UCET	3224	26140	SIPO	ST	3029764
1044352	3571	1997-05-08	VYDAJ	PREVOD NA UCET	3224	24914	SIPO	ST	3029764
1044353	3571	1997-06-08	VYDAJ	PREVOD NA UCET	3224	27541	SIPO	ST	3029764
1044354	3571	1997-07-08	VYDAJ	PREVOD NA UCET	3224	25473	SIPO	ST	3029764
1044355	3571	1997-08-08	VYDAJ	PREVOD NA UCET	3224	21029	SIPO	ST	3029764
1044356	3571	1997-09-08	VYDAJ	PREVOD NA UCET	3224	22547	SIPO	ST	3029764
1044357	3571	1997-10-08	VYDAJ	PREVOD NA UCET	3224	23066	SIPO	ST	3029764
1044358	3571	1997-11-08	VYDAJ	PREVOD NA UCET	3224	23088	SIPO	ST	3029764
1044359	3571	1997-12-08	VYDAJ	PREVOD NA UCET	3224	25312	SIPO	ST	3029764
1044360	3571	1998-01-08	VYDAJ	PREVOD NA UCET	3224	12568	SIPO	ST	3029764
1044361	3571	1998-02-08	VYDAJ	PREVOD NA UCET	3224	19495	SIPO	ST	3029764
1044362	3571	1998-03-08	VYDAJ	PREVOD NA UCET	3224	23923	SIPO	ST	3029764
1044363	3571	1998-04-08	VYDAJ	PREVOD NA UCET	3224	27452	SIPO	ST	3029764
1044364	3571	1998-05-08	VYDAJ	PREVOD NA UCET	3224	30892	SIPO	ST	3029764
1044365	3571	1998-06-08	VYDAJ	PREVOD NA UCET	3224	33995	SIPO	ST	3029764
1044366	3571	1998-07-08	VYDAJ	PREVOD NA UCET	3224	37754	SIPO	ST	3029764
1044367	3571	1998-08-08	VYDAJ	PREVOD NA UCET	3224	33793	SIPO	ST	3029764
1044368	3571	1998-09-08	VYDAJ	PREVOD NA UCET	3224	32814	SIPO	ST	3029764
1044369	3571	1998-10-08	VYDAJ	PREVOD NA UCET	3224	29771	SIPO	ST	3029764
1044370	3571	1998-11-08	VYDAJ	PREVOD NA UCET	3224	32160	SIPO	ST	3029764
1044371	3571	1998-12-08	VYDAJ	PREVOD NA UCET	3224	33117	SIPO	ST	3029764
1044387	3571	1994-04-12	VYDAJ	PREVOD NA UCET	222	31916	 	AB	82703417
1044388	3571	1994-05-12	VYDAJ	PREVOD NA UCET	222	30344	 	AB	82703417
1044389	3571	1994-06-12	VYDAJ	PREVOD NA UCET	222	29892	 	AB	82703417
1044390	3571	1994-07-12	VYDAJ	PREVOD NA UCET	222	20150	 	AB	82703417
1044391	3571	1994-08-12	VYDAJ	PREVOD NA UCET	222	24368	 	AB	82703417
1044392	3571	1994-09-12	VYDAJ	PREVOD NA UCET	222	25377	 	AB	82703417
1044393	3571	1994-10-12	VYDAJ	PREVOD NA UCET	222	28792	 	AB	82703417
1044394	3571	1994-11-12	VYDAJ	PREVOD NA UCET	222	28715	 	AB	82703417
1044395	3571	1994-12-12	VYDAJ	PREVOD NA UCET	222	31221	 	AB	82703417
1044396	3571	1995-01-12	VYDAJ	PREVOD NA UCET	222	22864	 	AB	82703417
1044397	3571	1995-02-12	VYDAJ	PREVOD NA UCET	222	18823	 	AB	82703417
1044398	3571	1995-03-12	VYDAJ	PREVOD NA UCET	222	21962	 	AB	82703417
1044399	3571	1995-04-12	VYDAJ	PREVOD NA UCET	222	20619	 	AB	82703417
1044400	3571	1995-05-12	VYDAJ	PREVOD NA UCET	222	26420	 	AB	82703417
1044401	3571	1995-06-12	VYDAJ	PREVOD NA UCET	222	34730	 	AB	82703417
1044402	3571	1995-07-12	VYDAJ	PREVOD NA UCET	222	21097	 	AB	82703417
1044403	3571	1995-08-12	VYDAJ	PREVOD NA UCET	222	24460	 	AB	82703417
1044404	3571	1995-09-12	VYDAJ	PREVOD NA UCET	222	31280	 	AB	82703417
1044405	3571	1995-10-12	VYDAJ	PREVOD NA UCET	222	31015	 	AB	82703417
1044406	3571	1995-11-12	VYDAJ	PREVOD NA UCET	222	30955	 	AB	82703417
1044407	3571	1995-12-12	VYDAJ	PREVOD NA UCET	222	30877	 	AB	82703417
1044408	3571	1996-01-12	VYDAJ	PREVOD NA UCET	222	24850	 	AB	82703417
1044409	3571	1996-02-12	VYDAJ	PREVOD NA UCET	222	27755	 	AB	82703417
1044410	3571	1996-03-12	VYDAJ	PREVOD NA UCET	222	29364	 	AB	82703417
1044411	3571	1996-04-12	VYDAJ	PREVOD NA UCET	222	28493	 	AB	82703417
1044412	3571	1996-05-12	VYDAJ	PREVOD NA UCET	222	28620	 	AB	82703417
1044413	3571	1996-06-12	VYDAJ	PREVOD NA UCET	222	34692	 	AB	82703417
1044414	3571	1996-07-12	VYDAJ	PREVOD NA UCET	222	31011	 	AB	82703417
1044415	3571	1996-08-12	VYDAJ	PREVOD NA UCET	222	28624	 	AB	82703417
1044416	3571	1996-09-12	VYDAJ	PREVOD NA UCET	222	33501	 	AB	82703417
1044417	3571	1996-10-12	VYDAJ	PREVOD NA UCET	222	33459	 	AB	82703417
1044418	3571	1996-11-12	VYDAJ	PREVOD NA UCET	222	32705	 	AB	82703417
1044419	3571	1996-12-12	VYDAJ	PREVOD NA UCET	222	30734	 	AB	82703417
1044420	3571	1997-01-12	VYDAJ	PREVOD NA UCET	222	22008	 	AB	82703417
1044421	3571	1997-02-12	VYDAJ	PREVOD NA UCET	222	26948	 	AB	82703417
1044422	3571	1997-03-12	VYDAJ	PREVOD NA UCET	222	29958	 	AB	82703417
1044423	3571	1997-04-12	VYDAJ	PREVOD NA UCET	222	31087	 	AB	82703417
1044424	3571	1997-05-12	VYDAJ	PREVOD NA UCET	222	29861	 	AB	82703417
1044425	3571	1997-06-12	VYDAJ	PREVOD NA UCET	222	35072	 	AB	82703417
1044426	3571	1997-07-12	VYDAJ	PREVOD NA UCET	222	30420	 	AB	82703417
1044427	3571	1997-08-12	VYDAJ	PREVOD NA UCET	222	25976	 	AB	82703417
1044428	3571	1997-09-12	VYDAJ	PREVOD NA UCET	222	27494	 	AB	82703417
1044429	3571	1997-10-12	VYDAJ	PREVOD NA UCET	222	28013	 	AB	82703417
1044430	3571	1997-11-12	VYDAJ	PREVOD NA UCET	222	28035	 	AB	82703417
1044431	3571	1997-12-12	VYDAJ	PREVOD NA UCET	222	31563	 	AB	82703417
1044432	3571	1998-01-12	VYDAJ	PREVOD NA UCET	222	17515	 	AB	82703417
1044433	3571	1998-02-12	VYDAJ	PREVOD NA UCET	222	24442	 	AB	82703417
1044434	3571	1998-03-12	VYDAJ	PREVOD NA UCET	222	28870	 	AB	82703417
1044435	3571	1998-04-12	VYDAJ	PREVOD NA UCET	222	32399	 	AB	82703417
1044436	3571	1998-05-12	VYDAJ	PREVOD NA UCET	222	31399	 	AB	82703417
1044437	3571	1998-06-12	VYDAJ	PREVOD NA UCET	222	41527	 	AB	82703417
1044438	3571	1998-07-12	VYDAJ	PREVOD NA UCET	222	42701	 	AB	82703417
1044439	3571	1998-08-12	VYDAJ	PREVOD NA UCET	222	37300	 	AB	82703417
1044440	3571	1998-09-12	VYDAJ	PREVOD NA UCET	222	37761	 	AB	82703417
1044441	3571	1998-10-12	VYDAJ	PREVOD NA UCET	222	34718	 	AB	82703417
1044442	3571	1998-11-12	VYDAJ	PREVOD NA UCET	222	37107	 	AB	82703417
1044443	3571	1998-12-12	VYDAJ	PREVOD NA UCET	222	39209	 	AB	82703417
1044445	3571	1994-06-29	VYDAJ	VYBER	6560	18332	\N	\N	\N
1044446	3571	1995-06-23	VYDAJ	VYBER	12160	19270	\N	\N	\N
1044455	3571	1998-01-03	VYDAJ	VYBER	10400	15792	\N	\N	\N
1044457	3571	1994-12-22	VYDAJ	VYBER	2240	24881	\N	\N	\N
1044458	3571	1995-12-16	VYDAJ	VYBER	2400	28477	\N	\N	\N
1044459	3571	1996-12-03	VYDAJ	VYBER	2400	30426	\N	\N	\N
1044460	3571	1997-12-11	VYDAJ	VYBER	1280	31785	\N	\N	\N
1044461	3571	1998-12-09	VYDAJ	VYBER	1440	39431	\N	\N	\N
1044474	3571	1995-01-11	VYDAJ	VYBER	1080	23086	\N	\N	\N
1044475	3571	1995-01-17	VYDAJ	VYBER	1920	23744	\N	\N	\N
1044476	3571	1995-01-21	VYDAJ	VYBER	1440	19784	\N	\N	\N
1044477	3571	1995-01-18	VYDAJ	VYBER	2520	21224	\N	\N	\N
1044478	3571	1995-01-04	VYDAJ	VYBER	2760	22221	\N	\N	\N
1044479	3571	1995-01-24	VYDAJ	VYBER	1560	18224	\N	\N	\N
1044480	3571	1996-01-15	VYDAJ	VYBER	1800	22210	\N	\N	\N
1044481	3571	1996-01-02	VYDAJ	VYBER	1440	27147	\N	\N	\N
1044482	3571	1996-01-27	VYDAJ	VYBER	2040	18250	\N	\N	\N
1044483	3571	1996-01-19	VYDAJ	VYBER	1920	20290	\N	\N	\N
1044484	3571	1996-01-15	VYDAJ	VYBER	840	24010	\N	\N	\N
1044485	3571	1996-01-11	VYDAJ	VYBER	3120	25072	\N	\N	\N
1044486	3571	1997-01-06	VYDAJ	VYBER	1800	23285	\N	\N	\N
1044487	3571	1997-01-11	VYDAJ	VYBER	3000	22230	\N	\N	\N
1044488	3571	1997-01-05	VYDAJ	VYBER	3480	25085	\N	\N	\N
1044489	3571	1997-01-24	VYDAJ	VYBER	1440	18648	\N	\N	\N
1044490	3571	1997-01-03	VYDAJ	VYBER	600	27965	\N	\N	\N
1044491	3571	1997-01-01	VYDAJ	VYBER	2280	28565	\N	\N	\N
1044493	3571	1998-01-24	VYDAJ	VYBER	840	15955	\N	\N	\N
1044496	3571	1998-01-16	VYDAJ	VYBER	720	16795	\N	\N	\N
1044502	3571	1994-05-13	VYDAJ	VYBER	2160	28184	\N	\N	\N
1044504	3571	1994-08-10	VYDAJ	VYBER	1680	24590	\N	\N	\N
1044505	3571	1995-01-30	VYDAJ	VYBER	1200	17024	\N	\N	\N
1044506	3571	1995-03-03	VYDAJ	VYBER	5160	20239	\N	\N	\N
1044507	3571	1995-08-05	VYDAJ	VYBER	2040	22737	\N	\N	\N
1044508	3571	1995-03-18	VYDAJ	VYBER	4440	18822	\N	\N	\N
1044509	3571	1996-04-05	VYDAJ	VYBER	1800	27670	\N	\N	\N
1044510	3571	1996-07-25	VYDAJ	VYBER	4320	26691	\N	\N	\N
1044511	3571	1996-06-18	VYDAJ	VYBER	2520	32172	\N	\N	\N
1044512	3571	1996-05-31	VYDAJ	VYBER	2640	26099	\N	\N	\N
1044513	3571	1996-08-17	VYDAJ	VYBER	3840	24784	\N	\N	\N
1044515	3571	1996-10-03	VYDAJ	VYBER	3480	30136	\N	\N	\N
1044516	3571	1997-01-23	VYDAJ	VYBER	1920	20088	\N	\N	\N
1044517	3571	1997-07-23	VYDAJ	VYBER	1080	29340	\N	\N	\N
1044518	3571	1997-04-29	VYDAJ	VYBER	5160	25927	\N	\N	\N
1044519	3571	1997-12-24	VYDAJ	VYBER	2280	29283	\N	\N	\N
1044520	3571	1998-10-24	VYDAJ	VYBER	1560	33158	\N	\N	\N
1044521	3571	1998-03-02	VYDAJ	VYBER	5280	27147	\N	\N	\N
1044522	3571	1998-05-11	VYDAJ	VYBER	4440	31621	\N	\N	\N
1044523	3571	1998-08-10	VYDAJ	VYBER	1440	37522	\N	\N	\N
1044524	3571	1998-07-30	VYDAJ	VYBER	2040	36861	\N	\N	\N
1044541	3571	1994-04-30	VYDAJ	VYBER	15	28621	SLUZBY	\N	\N
1044542	3571	1994-05-31	VYDAJ	VYBER	15	25585	SLUZBY	\N	\N
1044543	3571	1994-06-30	VYDAJ	VYBER	15	18427	SLUZBY	\N	\N
1044544	3571	1994-07-31	VYDAJ	VYBER	15	24325	SLUZBY	\N	\N
1044545	3571	1994-08-31	VYDAJ	VYBER	15	23654	SLUZBY	\N	\N
1044546	3571	1994-09-30	VYDAJ	VYBER	15	27069	SLUZBY	\N	\N
1044547	3571	1994-10-31	VYDAJ	VYBER	15	26992	SLUZBY	\N	\N
1044548	3571	1994-11-30	VYDAJ	VYBER	15	26914	SLUZBY	\N	\N
1044549	3571	1994-12-31	VYDAJ	VYBER	15	24981	SLUZBY	\N	\N
1044550	3571	1995-01-31	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
1044551	3571	1995-02-28	VYDAJ	VYBER	15	25399	SLUZBY	\N	\N
1044552	3571	1995-03-31	VYDAJ	VYBER	15	18896	SLUZBY	\N	\N
1044553	3571	1995-04-30	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
1044554	3571	1995-05-31	VYDAJ	VYBER	15	30422	SLUZBY	\N	\N
1044555	3571	1995-06-30	VYDAJ	VYBER	15	19374	SLUZBY	\N	\N
1044556	3571	1995-07-31	VYDAJ	VYBER	15	24777	SLUZBY	\N	\N
1044557	3571	1995-08-31	VYDAJ	VYBER	15	28757	SLUZBY	\N	\N
1044558	3571	1995-09-30	VYDAJ	VYBER	15	31392	SLUZBY	\N	\N
1044559	3571	1995-10-31	VYDAJ	VYBER	15	31132	SLUZBY	\N	\N
1044560	3571	1995-11-30	VYDAJ	VYBER	15	31069	SLUZBY	\N	\N
1044561	3571	1995-12-31	VYDAJ	VYBER	15	28587	SLUZBY	\N	\N
1044562	3571	1996-01-31	VYDAJ	VYBER	15	18332	SLUZBY	\N	\N
1044563	3571	1996-02-29	VYDAJ	VYBER	15	27841	SLUZBY	\N	\N
1044564	3571	1996-03-31	VYDAJ	VYBER	15	29470	SLUZBY	\N	\N
1044565	3571	1996-04-30	VYDAJ	VYBER	15	28597	SLUZBY	\N	\N
1044566	3571	1996-05-31	VYDAJ	VYBER	15	26085	SLUZBY	\N	\N
1044567	3571	1996-06-30	VYDAJ	VYBER	15	32288	SLUZBY	\N	\N
1044568	3571	1996-07-31	VYDAJ	VYBER	15	26801	SLUZBY	\N	\N
1044569	3571	1996-08-31	VYDAJ	VYBER	15	24878	SLUZBY	\N	\N
1044570	3571	1996-09-30	VYDAJ	VYBER	15	33616	SLUZBY	\N	\N
1044571	3571	1996-10-31	VYDAJ	VYBER	15	33582	SLUZBY	\N	\N
1044572	3571	1996-11-30	VYDAJ	VYBER	15	32826	SLUZBY	\N	\N
1044573	3571	1996-12-31	VYDAJ	VYBER	15	30845	SLUZBY	\N	\N
1044574	3571	1997-01-31	VYDAJ	VYBER	15	18725	SLUZBY	\N	\N
1044575	3571	1997-02-28	VYDAJ	VYBER	15	27035	SLUZBY	\N	\N
1044576	3571	1997-03-31	VYDAJ	VYBER	15	30064	SLUZBY	\N	\N
1044577	3571	1997-04-30	VYDAJ	VYBER	15	26038	SLUZBY	\N	\N
1044578	3571	1997-05-31	VYDAJ	VYBER	15	29965	SLUZBY	\N	\N
1044579	3571	1997-06-30	VYDAJ	VYBER	15	35197	SLUZBY	\N	\N
1044580	3571	1997-07-31	VYDAJ	VYBER	15	29453	SLUZBY	\N	\N
1044581	3571	1997-08-31	VYDAJ	VYBER	15	26071	SLUZBY	\N	\N
1044582	3571	1997-09-30	VYDAJ	VYBER	15	27590	SLUZBY	\N	\N
1044583	3571	1997-10-31	VYDAJ	VYBER	15	28112	SLUZBY	\N	\N
1044584	3571	1997-11-30	VYDAJ	VYBER	15	28536	SLUZBY	\N	\N
1044585	3571	1997-12-31	VYDAJ	VYBER	15	26192	SLUZBY	\N	\N
1044586	3571	1998-01-31	VYDAJ	VYBER	15	22719	SLUZBY	\N	\N
1044587	3571	1998-02-28	VYDAJ	VYBER	15	32427	SLUZBY	\N	\N
1044588	3571	1998-03-31	VYDAJ	VYBER	15	30676	SLUZBY	\N	\N
1044589	3571	1998-04-30	VYDAJ	VYBER	15	34116	SLUZBY	\N	\N
1044590	3571	1998-05-31	VYDAJ	VYBER	15	37219	SLUZBY	\N	\N
1044591	3571	1998-06-30	VYDAJ	VYBER	15	40978	SLUZBY	\N	\N
1044592	3571	1998-07-31	VYDAJ	VYBER	15	37017	SLUZBY	\N	\N
1044593	3571	1998-08-31	VYDAJ	VYBER	15	36038	SLUZBY	\N	\N
1044594	3571	1998-09-30	VYDAJ	VYBER	15	32995	SLUZBY	\N	\N
1044595	3571	1998-10-31	VYDAJ	VYBER	15	35384	SLUZBY	\N	\N
1044596	3571	1998-11-30	VYDAJ	VYBER	15	36341	SLUZBY	\N	\N
1044597	3571	1993-12-21	PRIJEM	VKLAD	7700	16254	\N	\N	\N
1044598	3571	1994-01-20	PRIJEM	VKLAD	1200	22647	\N	\N	\N
1044599	3571	1994-02-19	VYDAJ	VYBER	2500	25394	\N	\N	\N
1044600	3571	1994-03-21	VYDAJ	VYBER	3800	26861	\N	\N	\N
1044601	3571	1994-04-20	VYDAJ	VYBER	3400	28516	\N	\N	\N
1044602	3571	1994-05-20	VYDAJ	VYBER	2700	25484	\N	\N	\N
1044603	3571	1994-06-19	VYDAJ	VYBER	5000	24892	\N	\N	\N
1044604	3571	1994-07-19	PRIJEM	VKLAD	4100	24250	\N	\N	\N
1044605	3571	1994-08-18	VYDAJ	VYBER	800	23568	\N	\N	\N
1044606	3571	1994-09-17	PRIJEM	VKLAD	1600	26977	\N	\N	\N
1044607	3571	1994-10-17	VYDAJ	VYBER	1900	26892	\N	\N	\N
1044608	3571	1994-11-16	VYDAJ	VYBER	1900	26815	\N	\N	\N
1044609	3571	1994-12-16	VYDAJ	VYBER	4100	27121	\N	\N	\N
1044610	3571	1995-01-15	PRIJEM	VKLAD	2800	25664	\N	\N	\N
1044611	3571	1995-02-14	PRIJEM	VKLAD	6500	25323	\N	\N	\N
1044612	3571	1995-03-16	PRIJEM	VKLAD	1300	23262	\N	\N	\N
1044613	3571	1995-04-15	PRIJEM	VKLAD	4000	24619	\N	\N	\N
1044614	3571	1995-05-15	PRIJEM	VKLAD	3900	30320	\N	\N	\N
1044615	3571	1995-06-14	VYDAJ	VYBER	3300	31430	\N	\N	\N
1044616	3571	1995-07-14	PRIJEM	VKLAD	3600	24697	\N	\N	\N
1044617	3571	1995-08-13	PRIJEM	VKLAD	4200	28660	\N	\N	\N
1044618	3571	1995-09-12	PRIJEM	VKLAD	800	31502	\N	\N	\N
1044619	3571	1995-10-12	VYDAJ	VYBER	2100	31237	\N	\N	\N
1044620	3571	1995-11-11	VYDAJ	VYBER	1900	31177	\N	\N	\N
1044621	3571	1995-12-11	VYDAJ	VYBER	4500	31099	\N	\N	\N
1044622	3571	1996-01-10	VYDAJ	VYBER	900	28192	\N	\N	\N
1044623	3571	1996-02-09	PRIJEM	VKLAD	7700	27977	\N	\N	\N
1044624	3571	1996-03-10	VYDAJ	VYBER	200	29586	\N	\N	\N
1044625	3571	1996-04-09	VYDAJ	VYBER	900	28715	\N	\N	\N
1044626	3571	1996-05-09	VYDAJ	VYBER	1700	28842	\N	\N	\N
1044627	3571	1996-06-08	PRIJEM	VKLAD	4300	30385	\N	\N	\N
1044628	3571	1996-07-08	VYDAJ	VYBER	3000	29288	\N	\N	\N
1044629	3571	1996-08-07	PRIJEM	VKLAD	100	26901	\N	\N	\N
1044630	3571	1996-09-06	PRIJEM	VKLAD	6900	31778	\N	\N	\N
1044631	3571	1996-10-06	PRIJEM	VKLAD	1600	31736	\N	\N	\N
1044632	3571	1996-11-05	VYDAJ	VYBER	2600	30982	\N	\N	\N
1044633	3571	1996-12-05	VYDAJ	VYBER	4000	26426	\N	\N	\N
1044634	3571	1997-01-04	PRIJEM	VKLAD	600	28565	\N	\N	\N
1044635	3571	1997-02-03	PRIJEM	VKLAD	6500	25225	\N	\N	\N
1044636	3571	1997-03-05	PRIJEM	VKLAD	1200	28235	\N	\N	\N
1044637	3571	1997-04-04	VYDAJ	VYBER	700	29364	\N	\N	\N
1044638	3571	1997-05-04	PRIJEM	VKLAD	2100	28138	\N	\N	\N
1044639	3571	1997-06-03	PRIJEM	VKLAD	800	30765	\N	\N	\N
1044640	3571	1997-07-03	VYDAJ	VYBER	6500	28697	\N	\N	\N
1044641	3571	1997-08-02	VYDAJ	VYBER	5200	24253	\N	\N	\N
1044642	3571	1997-09-01	VYDAJ	VYBER	300	25771	\N	\N	\N
1044643	3571	1997-10-01	VYDAJ	VYBER	1300	26290	\N	\N	\N
1044644	3571	1997-10-31	VYDAJ	VYBER	1800	26312	\N	\N	\N
1044645	3571	1997-11-30	PRIJEM	VKLAD	400	28435	\N	\N	\N
1044646	3571	1997-12-30	VYDAJ	VYBER	3200	26083	\N	\N	\N
1044647	3571	1998-01-29	PRIJEM	VKLAD	6700	22655	\N	\N	\N
1044648	3571	1998-02-28	PRIJEM	VKLAD	7900	32441	\N	\N	\N
1044649	3571	1998-03-30	PRIJEM	VKLAD	1700	30570	\N	\N	\N
1044650	3571	1998-04-29	PRIJEM	VKLAD	1600	33999	\N	\N	\N
1044651	3571	1998-05-29	PRIJEM	VKLAD	5700	37099	\N	\N	\N
1044652	3571	1998-06-28	VYDAJ	VYBER	700	40827	\N	\N	\N
1044653	3571	1998-07-28	VYDAJ	VYBER	3800	38901	\N	\N	\N
1044654	3571	1998-08-27	VYDAJ	VYBER	1400	35900	\N	\N	\N
1044655	3571	1998-09-26	VYDAJ	VYBER	4900	32861	\N	\N	\N
1044656	3571	1998-10-26	PRIJEM	VKLAD	2100	35258	\N	\N	\N
1044657	3571	1998-11-25	VYDAJ	VYBER	900	36207	\N	\N	\N
1044719	3572	1995-11-12	PRIJEM	VKLAD	900	900	\N	\N	\N
1044730	3572	1995-11-14	PRIJEM	PREVOD Z UCTU	6213	7113	DUCHOD	EF	14282012
1044731	3572	1995-12-14	PRIJEM	PREVOD Z UCTU	6213	13343	DUCHOD	EF	14282012
1044732	3572	1996-01-14	PRIJEM	PREVOD Z UCTU	6213	19585	DUCHOD	EF	14282012
1044733	3572	1996-02-14	PRIJEM	PREVOD Z UCTU	6213	25828	DUCHOD	EF	14282012
1044734	3572	1996-03-14	PRIJEM	PREVOD Z UCTU	6213	32071	DUCHOD	EF	14282012
1044735	3572	1996-04-14	PRIJEM	PREVOD Z UCTU	6213	31338	DUCHOD	EF	14282012
1044736	3572	1996-05-14	PRIJEM	PREVOD Z UCTU	6213	32303	DUCHOD	EF	14282012
1044737	3572	1996-06-14	PRIJEM	PREVOD Z UCTU	6213	31069	DUCHOD	EF	14282012
1044738	3572	1996-07-14	PRIJEM	PREVOD Z UCTU	6213	22398	DUCHOD	EF	14282012
1044739	3572	1996-08-14	PRIJEM	PREVOD Z UCTU	6213	24520	DUCHOD	EF	14282012
1044740	3572	1996-09-14	PRIJEM	PREVOD Z UCTU	6213	23068	DUCHOD	EF	14282012
1044741	3572	1996-10-14	PRIJEM	PREVOD Z UCTU	6213	23093	DUCHOD	EF	14282012
1044742	3572	1996-11-14	PRIJEM	PREVOD Z UCTU	6213	24522	DUCHOD	EF	14282012
1044743	3572	1996-12-14	PRIJEM	PREVOD Z UCTU	6213	24155	DUCHOD	EF	14282012
1044744	3572	1997-01-14	PRIJEM	PREVOD Z UCTU	6213	23008	DUCHOD	EF	14282012
1044745	3572	1997-02-14	PRIJEM	PREVOD Z UCTU	6213	18601	DUCHOD	EF	14282012
1044746	3572	1997-03-14	PRIJEM	PREVOD Z UCTU	6213	21906	DUCHOD	EF	14282012
1044747	3572	1997-04-14	PRIJEM	PREVOD Z UCTU	6213	25126	DUCHOD	EF	14282012
1044748	3572	1997-05-14	PRIJEM	PREVOD Z UCTU	6213	26778	DUCHOD	EF	14282012
1044749	3572	1997-06-14	PRIJEM	PREVOD Z UCTU	6213	30118	DUCHOD	EF	14282012
1044750	3572	1997-07-14	PRIJEM	PREVOD Z UCTU	6213	21901	DUCHOD	EF	14282012
1044751	3572	1997-08-14	PRIJEM	PREVOD Z UCTU	6213	25221	DUCHOD	EF	14282012
1044752	3572	1997-09-14	PRIJEM	PREVOD Z UCTU	6213	27114	DUCHOD	EF	14282012
1044753	3572	1997-10-14	PRIJEM	PREVOD Z UCTU	6213	30457	DUCHOD	EF	14282012
1044754	3572	1997-11-14	PRIJEM	PREVOD Z UCTU	6213	32412	DUCHOD	EF	14282012
1044755	3572	1997-12-14	PRIJEM	PREVOD Z UCTU	6213	34397	DUCHOD	EF	14282012
1044756	3572	1998-01-14	PRIJEM	PREVOD Z UCTU	6213	28541	DUCHOD	EF	14282012
1044757	3572	1998-02-14	PRIJEM	PREVOD Z UCTU	6213	24810	DUCHOD	EF	14282012
1044758	3572	1998-03-14	PRIJEM	PREVOD Z UCTU	6213	26218	DUCHOD	EF	14282012
1044759	3572	1998-04-14	PRIJEM	PREVOD Z UCTU	6213	29555	DUCHOD	EF	14282012
1044760	3572	1998-05-14	PRIJEM	PREVOD Z UCTU	6213	32907	DUCHOD	EF	14282012
1044761	3572	1998-06-14	PRIJEM	PREVOD Z UCTU	6213	32221	DUCHOD	EF	14282012
1044762	3572	1998-07-14	PRIJEM	PREVOD Z UCTU	6213	34788	DUCHOD	EF	14282012
1044763	3572	1998-08-14	PRIJEM	PREVOD Z UCTU	6213	38161	DUCHOD	EF	14282012
1044764	3572	1998-09-14	PRIJEM	PREVOD Z UCTU	6213	37546	DUCHOD	EF	14282012
1044765	3572	1998-10-14	PRIJEM	PREVOD Z UCTU	6213	37928	DUCHOD	EF	14282012
1044766	3572	1998-11-14	PRIJEM	PREVOD Z UCTU	6213	41314	DUCHOD	EF	14282012
1044767	3572	1998-12-14	PRIJEM	PREVOD Z UCTU	6213	36111	DUCHOD	EF	14282012
1044783	3572	1996-04-12	VYDAJ	PREVOD NA UCET	2964	25125	SIPO	GH	82395380
1044784	3572	1996-05-12	VYDAJ	PREVOD NA UCET	2964	26090	SIPO	GH	82395380
1044785	3572	1996-06-12	VYDAJ	PREVOD NA UCET	2964	24856	SIPO	GH	82395380
1044786	3572	1996-07-12	VYDAJ	PREVOD NA UCET	2964	16185	SIPO	GH	82395380
1044787	3572	1996-08-12	VYDAJ	PREVOD NA UCET	2964	18307	SIPO	GH	82395380
1044788	3572	1996-09-12	VYDAJ	PREVOD NA UCET	2964	16855	SIPO	GH	82395380
1044789	3572	1996-10-12	VYDAJ	PREVOD NA UCET	2964	16880	SIPO	GH	82395380
1044790	3572	1996-11-12	VYDAJ	PREVOD NA UCET	2964	18309	SIPO	GH	82395380
1044791	3572	1996-12-12	VYDAJ	PREVOD NA UCET	2964	17942	SIPO	GH	82395380
1044792	3572	1997-01-12	VYDAJ	PREVOD NA UCET	2964	16795	SIPO	GH	82395380
1044793	3572	1997-02-12	VYDAJ	PREVOD NA UCET	2964	12388	SIPO	GH	82395380
1044794	3572	1997-03-12	VYDAJ	PREVOD NA UCET	2964	15693	SIPO	GH	82395380
1044795	3572	1997-04-12	VYDAJ	PREVOD NA UCET	2964	18913	SIPO	GH	82395380
1044796	3572	1997-05-12	VYDAJ	PREVOD NA UCET	2964	20565	SIPO	GH	82395380
1044797	3572	1997-06-12	VYDAJ	PREVOD NA UCET	2964	23905	SIPO	GH	82395380
1044798	3572	1997-07-12	VYDAJ	PREVOD NA UCET	2964	15688	SIPO	GH	82395380
1044929	3572	1997-11-01	VYDAJ	VYBER	1400	29163	\N	\N	\N
1044799	3572	1997-08-12	VYDAJ	PREVOD NA UCET	2964	19008	SIPO	GH	82395380
1044800	3572	1997-09-12	VYDAJ	PREVOD NA UCET	2964	20901	SIPO	GH	82395380
1044801	3572	1997-10-12	VYDAJ	PREVOD NA UCET	2964	24244	SIPO	GH	82395380
1044802	3572	1997-11-12	VYDAJ	PREVOD NA UCET	2964	26199	SIPO	GH	82395380
1044803	3572	1997-12-12	VYDAJ	PREVOD NA UCET	2964	28184	SIPO	GH	82395380
1044804	3572	1998-01-12	VYDAJ	PREVOD NA UCET	2964	22328	SIPO	GH	82395380
1044805	3572	1998-02-12	VYDAJ	PREVOD NA UCET	2964	18597	SIPO	GH	82395380
1044806	3572	1998-03-12	VYDAJ	PREVOD NA UCET	2964	20005	SIPO	GH	82395380
1044807	3572	1998-04-12	VYDAJ	PREVOD NA UCET	2964	23342	SIPO	GH	82395380
1044808	3572	1998-05-12	VYDAJ	PREVOD NA UCET	2964	26694	SIPO	GH	82395380
1044809	3572	1998-06-12	VYDAJ	PREVOD NA UCET	2964	29258	SIPO	GH	82395380
1044810	3572	1998-07-12	VYDAJ	PREVOD NA UCET	2964	28575	SIPO	GH	82395380
1044811	3572	1998-08-12	VYDAJ	PREVOD NA UCET	2964	31948	SIPO	GH	82395380
1044812	3572	1998-09-12	VYDAJ	PREVOD NA UCET	2964	31333	SIPO	GH	82395380
1044813	3572	1998-10-12	VYDAJ	PREVOD NA UCET	2964	31715	SIPO	GH	82395380
1044814	3572	1998-11-12	VYDAJ	PREVOD NA UCET	2964	35101	SIPO	GH	82395380
1044815	3572	1998-12-12	VYDAJ	PREVOD NA UCET	2964	29898	SIPO	GH	82395380
1044817	3572	1996-06-15	VYDAJ	VYBER	10650	20419	\N	\N	\N
1044818	3572	1997-06-18	VYDAJ	VYBER	11550	18568	\N	\N	\N
1044819	3572	1998-06-13	VYDAJ	VYBER	3250	26008	\N	\N	\N
1044822	3572	1997-01-15	VYDAJ	VYBER	3400	19608	\N	\N	\N
1044823	3572	1998-01-23	VYDAJ	VYBER	1150	23791	\N	\N	\N
1044825	3572	1996-12-11	VYDAJ	VYBER	700	20906	\N	\N	\N
1044826	3572	1997-12-16	VYDAJ	VYBER	1200	33197	\N	\N	\N
1044827	3572	1998-12-08	VYDAJ	VYBER	900	32862	\N	\N	\N
1044840	3572	1997-01-09	VYDAJ	VYBER	640	21199	\N	\N	\N
1044841	3572	1997-01-21	VYDAJ	VYBER	480	17128	\N	\N	\N
1044842	3572	1997-01-16	VYDAJ	VYBER	2000	17608	\N	\N	\N
1044843	3572	1997-01-22	VYDAJ	VYBER	1840	15288	\N	\N	\N
1044844	3572	1997-01-02	VYDAJ	VYBER	1760	22479	\N	\N	\N
1044845	3572	1997-01-11	VYDAJ	VYBER	1440	19759	\N	\N	\N
1044846	3572	1998-01-02	VYDAJ	VYBER	640	26092	\N	\N	\N
1044847	3572	1998-01-30	VYDAJ	VYBER	1920	21471	\N	\N	\N
1044848	3572	1998-01-09	VYDAJ	VYBER	800	25292	\N	\N	\N
1044849	3572	1998-01-24	VYDAJ	VYBER	400	23391	\N	\N	\N
1044850	3572	1998-01-16	VYDAJ	VYBER	1760	26781	\N	\N	\N
1044851	3572	1998-01-21	VYDAJ	VYBER	1840	24941	\N	\N	\N
1044860	3572	1996-08-23	VYDAJ	VYBER	3680	20840	\N	\N	\N
1044862	3572	1996-06-26	VYDAJ	VYBER	1360	19059	\N	\N	\N
1044864	3572	1997-12-22	VYDAJ	VYBER	3680	29517	\N	\N	\N
1044865	3572	1997-01-05	VYDAJ	VYBER	640	21839	\N	\N	\N
1044866	3572	1997-09-10	VYDAJ	VYBER	1440	23865	\N	\N	\N
1044867	3572	1997-04-29	VYDAJ	VYBER	1680	23446	\N	\N	\N
1044868	3572	1997-11-30	VYDAJ	VYBER	480	32063	\N	\N	\N
1044869	3572	1998-05-23	VYDAJ	VYBER	800	32107	\N	\N	\N
1044870	3572	1998-12-01	VYDAJ	VYBER	2800	33762	\N	\N	\N
1044871	3572	1998-02-17	VYDAJ	VYBER	1920	22890	\N	\N	\N
1044887	3572	1996-03-31	VYDAJ	VYBER	15	32089	SLUZBY	\N	\N
1044888	3572	1996-04-30	VYDAJ	VYBER	15	31454	SLUZBY	\N	\N
1044889	3572	1996-05-31	VYDAJ	VYBER	15	32420	SLUZBY	\N	\N
1044890	3572	1996-06-30	VYDAJ	VYBER	15	19149	SLUZBY	\N	\N
1044891	3572	1996-07-31	VYDAJ	VYBER	15	22471	SLUZBY	\N	\N
1044892	3572	1996-08-31	VYDAJ	VYBER	15	20919	SLUZBY	\N	\N
1044893	3572	1996-09-30	VYDAJ	VYBER	15	23144	SLUZBY	\N	\N
1044894	3572	1996-10-31	VYDAJ	VYBER	15	23173	SLUZBY	\N	\N
1044895	3572	1996-11-30	VYDAJ	VYBER	15	24606	SLUZBY	\N	\N
1044896	3572	1996-12-31	VYDAJ	VYBER	15	24239	SLUZBY	\N	\N
1044897	3572	1997-01-31	VYDAJ	VYBER	15	15352	SLUZBY	\N	\N
1044898	3572	1997-02-28	VYDAJ	VYBER	15	18657	SLUZBY	\N	\N
1044899	3572	1997-03-31	VYDAJ	VYBER	15	21977	SLUZBY	\N	\N
1044900	3572	1997-04-30	VYDAJ	VYBER	15	23529	SLUZBY	\N	\N
1044901	3572	1997-05-31	VYDAJ	VYBER	15	26869	SLUZBY	\N	\N
1044902	3572	1997-06-30	VYDAJ	VYBER	15	18652	SLUZBY	\N	\N
1044903	3572	1997-07-31	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
1044904	3572	1997-08-31	VYDAJ	VYBER	15	25305	SLUZBY	\N	\N
1044905	3572	1997-09-30	VYDAJ	VYBER	15	27208	SLUZBY	\N	\N
1044906	3572	1997-10-31	VYDAJ	VYBER	15	30563	SLUZBY	\N	\N
1044907	3572	1997-11-30	VYDAJ	VYBER	15	32048	SLUZBY	\N	\N
1044908	3572	1997-12-31	VYDAJ	VYBER	15	26732	SLUZBY	\N	\N
1044909	3572	1998-01-31	VYDAJ	VYBER	15	21561	SLUZBY	\N	\N
1044910	3572	1998-02-28	VYDAJ	VYBER	15	22969	SLUZBY	\N	\N
1044911	3572	1998-03-31	VYDAJ	VYBER	15	26306	SLUZBY	\N	\N
1044912	3572	1998-04-30	VYDAJ	VYBER	15	29658	SLUZBY	\N	\N
1044913	3572	1998-05-31	VYDAJ	VYBER	15	32222	SLUZBY	\N	\N
1044914	3572	1998-06-30	VYDAJ	VYBER	15	31539	SLUZBY	\N	\N
1044915	3572	1998-07-31	VYDAJ	VYBER	15	34912	SLUZBY	\N	\N
1044916	3572	1998-08-31	VYDAJ	VYBER	15	34297	SLUZBY	\N	\N
1044917	3572	1998-09-30	VYDAJ	VYBER	15	34679	SLUZBY	\N	\N
1044918	3572	1998-10-31	VYDAJ	VYBER	15	38065	SLUZBY	\N	\N
1044919	3572	1998-11-30	VYDAJ	VYBER	15	36562	SLUZBY	\N	\N
1044920	3572	1996-04-10	VYDAJ	VYBER	4000	28089	\N	\N	\N
1044921	3572	1996-05-10	VYDAJ	VYBER	2400	29054	\N	\N	\N
1044922	3572	1996-06-09	VYDAJ	VYBER	4600	27820	\N	\N	\N
1044923	3572	1996-08-08	VYDAJ	VYBER	1200	21271	\N	\N	\N
1044924	3572	1996-09-07	VYDAJ	VYBER	1100	19819	\N	\N	\N
1044925	3572	1996-10-07	VYDAJ	VYBER	3300	19844	\N	\N	\N
1044926	3572	1996-11-06	VYDAJ	VYBER	1900	21273	\N	\N	\N
1044927	3572	1996-12-06	VYDAJ	VYBER	3000	21606	\N	\N	\N
1044928	3572	1997-04-05	VYDAJ	VYBER	100	21877	\N	\N	\N
1044930	3572	1997-12-01	VYDAJ	VYBER	900	31148	\N	\N	\N
1044931	3572	1997-12-31	VYDAJ	VYBER	2900	26747	\N	\N	\N
1044932	3572	1998-06-29	VYDAJ	VYBER	800	31421	\N	\N	\N
1044933	3572	1998-08-28	VYDAJ	VYBER	4000	34161	\N	\N	\N
1044934	3572	1998-09-27	VYDAJ	VYBER	3000	34546	\N	\N	\N
1044935	3572	1998-11-26	VYDAJ	VYBER	4900	36414	\N	\N	\N
1044974	3573	1996-06-27	PRIJEM	VKLAD	400	400	\N	\N	\N
1044976	3573	1996-12-24	PRIJEM	VKLAD	25299	49499	\N	\N	\N
1044977	3573	1997-10-20	PRIJEM	VKLAD	4903	33639	\N	\N	\N
1044978	3573	1997-08-04	PRIJEM	VKLAD	15925	41552	\N	\N	\N
1044979	3573	1998-10-04	PRIJEM	VKLAD	18435	31993	\N	\N	\N
1044980	3573	1998-07-24	PRIJEM	VKLAD	10801	23938	\N	\N	\N
1044989	3573	1998-12-03	VYDAJ	VYBER	500	27431	\N	\N	\N
1045018	3573	1998-10-24	VYDAJ	VYBER	1850	25643	\N	\N	\N
1045019	3573	1998-12-05	VYDAJ	VYBER	550	26881	\N	\N	\N
1045054	3573	1998-10-31	VYDAJ	VYBER	15	25736	SLUZBY	\N	\N
1045055	3573	1998-11-30	VYDAJ	VYBER	15	27931	SLUZBY	\N	\N
1045056	3573	1996-07-27	PRIJEM	VKLAD	11600	12000	\N	\N	\N
1045057	3573	1996-08-26	PRIJEM	VKLAD	6700	18700	\N	\N	\N
1045058	3573	1996-09-25	PRIJEM	VKLAD	1500	20200	\N	\N	\N
1045059	3573	1996-10-25	VYDAJ	VYBER	300	19900	\N	\N	\N
1045060	3573	1996-11-24	PRIJEM	VKLAD	4300	24200	\N	\N	\N
1045061	3573	1996-12-24	VYDAJ	VYBER	12200	37299	\N	\N	\N
1045062	3573	1997-01-23	VYDAJ	VYBER	6700	30639	\N	\N	\N
1045063	3573	1997-02-22	VYDAJ	VYBER	1000	29795	\N	\N	\N
1045064	3573	1997-03-24	VYDAJ	VYBER	2300	27650	\N	\N	\N
1045065	3573	1997-04-23	VYDAJ	VYBER	4100	23705	\N	\N	\N
1045066	3573	1997-05-23	VYDAJ	VYBER	300	23561	\N	\N	\N
1045067	3573	1997-06-22	VYDAJ	VYBER	1000	22716	\N	\N	\N
1045068	3573	1997-07-22	PRIJEM	VKLAD	2600	25472	\N	\N	\N
1045069	3573	1997-08-21	VYDAJ	VYBER	9300	32252	\N	\N	\N
1045070	3573	1997-09-20	VYDAJ	VYBER	3800	28601	\N	\N	\N
1045071	3573	1997-10-20	VYDAJ	VYBER	5000	28639	\N	\N	\N
1045072	3573	1997-11-19	VYDAJ	VYBER	2800	25970	\N	\N	\N
1045073	3573	1997-12-19	PRIJEM	VKLAD	2700	28791	\N	\N	\N
1045074	3573	1998-01-18	VYDAJ	VYBER	1900	27011	\N	\N	\N
1045075	3573	1998-02-17	PRIJEM	VKLAD	1900	29032	\N	\N	\N
1045076	3573	1998-03-19	VYDAJ	VYBER	700	28453	\N	\N	\N
1045077	3573	1998-04-18	VYDAJ	VYBER	2500	26074	\N	\N	\N
1045078	3573	1998-05-18	VYDAJ	VYBER	5300	20895	\N	\N	\N
1045079	3573	1998-06-17	VYDAJ	VYBER	5000	16016	\N	\N	\N
1045080	3573	1998-07-17	VYDAJ	VYBER	3000	13137	\N	\N	\N
1045081	3573	1998-08-16	VYDAJ	VYBER	9200	14854	\N	\N	\N
1045082	3573	1998-09-15	VYDAJ	VYBER	1500	13456	\N	\N	\N
1045083	3573	1998-10-15	VYDAJ	VYBER	4500	27493	\N	\N	\N
1045084	3573	1998-11-14	PRIJEM	VKLAD	2100	27836	\N	\N	\N
1045110	3574	1997-03-08	PRIJEM	VKLAD	600	600	\N	\N	\N
1045114	3574	1997-04-06	PRIJEM	PREVOD Z UCTU	3492	4092	\N	MN	52195888
1045115	3574	1997-05-06	PRIJEM	PREVOD Z UCTU	3492	16527	\N	MN	52195888
1045116	3574	1997-06-06	PRIJEM	PREVOD Z UCTU	3492	27306	\N	MN	52195888
1045117	3574	1997-07-06	PRIJEM	PREVOD Z UCTU	3492	30896	\N	MN	52195888
1045118	3574	1997-08-06	PRIJEM	PREVOD Z UCTU	3492	28909	\N	MN	52195888
1045119	3574	1997-09-06	PRIJEM	PREVOD Z UCTU	3492	30280	\N	MN	52195888
1045120	3574	1997-10-06	PRIJEM	PREVOD Z UCTU	3492	28654	\N	MN	52195888
1045121	3574	1997-11-06	PRIJEM	PREVOD Z UCTU	3492	26524	\N	MN	52195888
1045122	3574	1997-12-06	PRIJEM	PREVOD Z UCTU	3492	25984	\N	MN	52195888
1045123	3574	1998-01-06	PRIJEM	PREVOD Z UCTU	3492	24441	\N	MN	52195888
1045124	3574	1998-02-06	PRIJEM	PREVOD Z UCTU	3492	19106	\N	MN	52195888
1045125	3574	1998-03-06	PRIJEM	PREVOD Z UCTU	3492	22736	\N	MN	52195888
1045126	3574	1998-04-06	PRIJEM	PREVOD Z UCTU	3492	22457	\N	MN	52195888
1045127	3574	1998-05-06	PRIJEM	PREVOD Z UCTU	3492	21399	\N	MN	52195888
1045128	3574	1998-06-06	PRIJEM	PREVOD Z UCTU	3492	18337	\N	MN	52195888
1045129	3574	1998-07-06	PRIJEM	PREVOD Z UCTU	3492	17402	\N	MN	52195888
1045130	3574	1998-08-06	PRIJEM	PREVOD Z UCTU	3492	14583	\N	MN	52195888
1045131	3574	1998-09-06	PRIJEM	PREVOD Z UCTU	3492	14981	\N	MN	52195888
1045132	3574	1998-10-06	PRIJEM	PREVOD Z UCTU	3492	14592	\N	MN	52195888
1045133	3574	1998-11-06	PRIJEM	PREVOD Z UCTU	3492	14501	\N	MN	52195888
1045134	3574	1998-12-06	PRIJEM	PREVOD Z UCTU	3492	14806	\N	MN	52195888
1045143	3574	1997-09-05	VYDAJ	PREVOD NA UCET	2328	26788	SIPO	WX	11223960
1045144	3574	1997-10-05	VYDAJ	PREVOD NA UCET	2328	25162	SIPO	WX	11223960
1045145	3574	1997-11-05	VYDAJ	PREVOD NA UCET	2328	23032	SIPO	WX	11223960
1045146	3574	1997-12-05	VYDAJ	PREVOD NA UCET	2328	22492	SIPO	WX	11223960
1045147	3574	1998-01-05	VYDAJ	PREVOD NA UCET	2328	20949	SIPO	WX	11223960
1045148	3574	1998-02-05	VYDAJ	PREVOD NA UCET	2328	15614	SIPO	WX	11223960
1045149	3574	1998-03-05	VYDAJ	PREVOD NA UCET	2328	19244	SIPO	WX	11223960
1045150	3574	1998-04-05	VYDAJ	PREVOD NA UCET	2328	18965	SIPO	WX	11223960
1045151	3574	1998-05-05	VYDAJ	PREVOD NA UCET	2328	17907	SIPO	WX	11223960
1045152	3574	1998-06-05	VYDAJ	PREVOD NA UCET	2328	14845	SIPO	WX	11223960
1045153	3574	1998-07-05	VYDAJ	PREVOD NA UCET	2328	13910	SIPO	WX	11223960
1045154	3574	1998-08-05	VYDAJ	PREVOD NA UCET	2328	11091	SIPO	WX	11223960
1045155	3574	1998-09-05	VYDAJ	PREVOD NA UCET	2328	11489	SIPO	WX	11223960
1045156	3574	1998-10-05	VYDAJ	PREVOD NA UCET	2328	11100	SIPO	WX	11223960
1045157	3574	1998-11-05	VYDAJ	PREVOD NA UCET	2328	11009	SIPO	WX	11223960
1045158	3574	1998-12-05	VYDAJ	PREVOD NA UCET	2328	12124	SIPO	WX	11223960
1045160	3574	1998-06-23	VYDAJ	VYBER	1860	16477	\N	\N	\N
1045162	3574	1998-01-13	VYDAJ	VYBER	2580	21861	\N	\N	\N
1045163	3574	1997-12-04	VYDAJ	VYBER	720	24820	\N	\N	\N
1045164	3574	1998-12-05	VYDAJ	VYBER	810	11314	\N	\N	\N
1045166	3574	1997-11-17	VYDAJ	VYBER	180	26344	\N	\N	\N
1045171	3574	1998-03-24	VYDAJ	VYBER	1320	21416	\N	\N	\N
1045172	3574	1998-11-10	VYDAJ	VYBER	1320	13181	\N	\N	\N
1045174	3574	1998-08-03	VYDAJ	VYBER	840	13419	\N	\N	\N
1045175	3574	1998-08-07	VYDAJ	VYBER	810	13773	\N	\N	\N
1045176	3574	1998-12-02	VYDAJ	VYBER	570	14452	\N	\N	\N
1045185	3574	1997-08-31	VYDAJ	VYBER	15	29016	SLUZBY	\N	\N
1045186	3574	1997-09-30	VYDAJ	VYBER	15	30390	SLUZBY	\N	\N
1045187	3574	1997-10-31	VYDAJ	VYBER	15	28760	SLUZBY	\N	\N
1045188	3574	1997-11-30	VYDAJ	VYBER	15	26440	SLUZBY	\N	\N
1045189	3574	1997-12-31	VYDAJ	VYBER	15	26077	SLUZBY	\N	\N
1045190	3574	1998-01-31	VYDAJ	VYBER	15	21942	SLUZBY	\N	\N
1045191	3574	1998-02-28	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
1045192	3574	1998-03-31	VYDAJ	VYBER	15	21493	SLUZBY	\N	\N
1045193	3574	1998-04-30	VYDAJ	VYBER	15	22535	SLUZBY	\N	\N
1045194	3574	1998-05-31	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
1045195	3574	1998-06-30	VYDAJ	VYBER	15	16538	SLUZBY	\N	\N
1045196	3574	1998-07-31	VYDAJ	VYBER	15	17459	SLUZBY	\N	\N
1045197	3574	1998-08-31	VYDAJ	VYBER	15	13817	SLUZBY	\N	\N
1045198	3574	1998-09-30	VYDAJ	VYBER	15	13428	SLUZBY	\N	\N
1045199	3574	1998-10-31	VYDAJ	VYBER	15	13337	SLUZBY	\N	\N
1045200	3574	1998-11-30	VYDAJ	VYBER	15	15022	SLUZBY	\N	\N
1045201	3574	1997-04-07	PRIJEM	VKLAD	8900	12992	\N	\N	\N
1045202	3574	1997-05-07	PRIJEM	VKLAD	6100	22627	\N	\N	\N
1045203	3574	1997-06-06	PRIJEM	VKLAD	1100	23814	\N	\N	\N
1045204	3574	1997-07-06	VYDAJ	VYBER	900	29996	\N	\N	\N
1045205	3574	1997-08-05	VYDAJ	VYBER	4700	25417	\N	\N	\N
1045206	3574	1997-09-04	PRIJEM	VKLAD	100	29116	\N	\N	\N
1045207	3574	1997-10-04	VYDAJ	VYBER	2900	27490	\N	\N	\N
1045208	3574	1997-11-03	VYDAJ	VYBER	3400	25360	\N	\N	\N
1045209	3574	1997-12-03	VYDAJ	VYBER	900	25540	\N	\N	\N
1045210	3574	1998-01-02	VYDAJ	VYBER	2800	23277	\N	\N	\N
1045211	3574	1998-02-01	VYDAJ	VYBER	4000	17942	\N	\N	\N
1045212	3574	1998-03-03	PRIJEM	VKLAD	2400	21572	\N	\N	\N
1045213	3574	1998-04-02	VYDAJ	VYBER	200	21293	\N	\N	\N
1045214	3574	1998-05-02	VYDAJ	VYBER	2300	20235	\N	\N	\N
1045215	3574	1998-06-01	VYDAJ	VYBER	4300	17173	\N	\N	\N
1045216	3574	1998-07-01	VYDAJ	VYBER	300	16238	\N	\N	\N
1045217	3574	1998-07-31	VYDAJ	VYBER	3200	14259	\N	\N	\N
1045218	3574	1998-09-29	VYDAJ	VYBER	1600	13381	\N	\N	\N
1045219	3574	1998-10-29	VYDAJ	VYBER	1300	13292	\N	\N	\N
1045220	3574	1998-11-28	PRIJEM	VKLAD	1800	14981	\N	\N	\N
1045242	3575	1993-09-08	PRIJEM	VKLAD	700	700	\N	\N	\N
1045251	3575	1993-09-11	PRIJEM	VKLAD	7605	8305	\N	\N	\N
1045252	3575	1993-10-11	PRIJEM	VKLAD	7605	21733	\N	\N	\N
1045253	3575	1993-11-11	PRIJEM	VKLAD	7605	31611	\N	\N	\N
1045254	3575	1993-12-11	PRIJEM	VKLAD	11408	40337	\N	\N	\N
1045255	3575	1994-01-11	PRIJEM	VKLAD	7605	41398	\N	\N	\N
1045256	3575	1994-02-11	PRIJEM	VKLAD	7605	36469	\N	\N	\N
1045257	3575	1994-03-11	PRIJEM	VKLAD	7605	35020	\N	\N	\N
1045258	3575	1994-04-11	PRIJEM	VKLAD	7605	36366	\N	\N	\N
1045259	3575	1994-05-11	PRIJEM	VKLAD	7605	32412	\N	\N	\N
1045260	3575	1994-06-11	PRIJEM	VKLAD	11408	38552	\N	\N	\N
1045261	3575	1994-07-11	PRIJEM	VKLAD	7605	37898	\N	\N	\N
1045262	3575	1994-08-11	PRIJEM	VKLAD	7605	35153	\N	\N	\N
1045263	3575	1994-09-11	PRIJEM	VKLAD	7605	33705	\N	\N	\N
1045264	3575	1994-10-11	PRIJEM	VKLAD	7605	33740	\N	\N	\N
1045265	3575	1994-11-11	PRIJEM	VKLAD	7605	36474	\N	\N	\N
1045266	3575	1994-12-11	PRIJEM	VKLAD	11408	39027	\N	\N	\N
1045267	3575	1995-01-11	PRIJEM	VKLAD	7605	31285	\N	\N	\N
1045268	3575	1995-02-11	PRIJEM	VKLAD	7605	32608	\N	\N	\N
1045269	3575	1995-03-11	PRIJEM	VKLAD	7605	37738	\N	\N	\N
1045270	3575	1995-04-11	PRIJEM	VKLAD	7605	40390	\N	\N	\N
1045271	3575	1995-05-11	PRIJEM	VKLAD	7605	39348	\N	\N	\N
1045272	3575	1995-06-11	PRIJEM	VKLAD	11408	42314	\N	\N	\N
1045273	3575	1995-07-11	PRIJEM	VKLAD	7605	43678	\N	\N	\N
1045274	3575	1995-08-11	PRIJEM	VKLAD	7605	40954	\N	\N	\N
1045275	3575	1995-09-11	PRIJEM	VKLAD	7605	39522	\N	\N	\N
1045276	3575	1995-10-11	PRIJEM	VKLAD	7605	39480	\N	\N	\N
1045277	3575	1995-11-11	PRIJEM	VKLAD	7605	43239	\N	\N	\N
1045278	3575	1995-12-11	PRIJEM	VKLAD	11408	49516	\N	\N	\N
1045279	3575	1996-01-11	PRIJEM	VKLAD	7605	43005	\N	\N	\N
1045280	3575	1996-02-11	PRIJEM	VKLAD	7605	35676	\N	\N	\N
1045281	3575	1996-03-11	PRIJEM	VKLAD	7605	41129	\N	\N	\N
1045282	3575	1996-04-11	PRIJEM	VKLAD	7605	42295	\N	\N	\N
1045283	3575	1996-05-11	PRIJEM	VKLAD	7605	45271	\N	\N	\N
1045284	3575	1996-06-11	PRIJEM	VKLAD	11408	48553	\N	\N	\N
1045285	3575	1996-07-11	PRIJEM	VKLAD	7605	48139	\N	\N	\N
1045286	3575	1996-08-11	PRIJEM	VKLAD	7605	49733	\N	\N	\N
1045287	3575	1996-09-11	PRIJEM	VKLAD	7605	39424	\N	\N	\N
1045288	3575	1996-10-11	PRIJEM	VKLAD	7605	41490	\N	\N	\N
1045289	3575	1996-11-11	PRIJEM	VKLAD	7605	40451	\N	\N	\N
1045290	3575	1996-12-11	PRIJEM	VKLAD	11408	44116	\N	\N	\N
1045291	3575	1997-01-11	PRIJEM	VKLAD	7605	38283	\N	\N	\N
1045292	3575	1997-02-11	PRIJEM	VKLAD	7605	31931	\N	\N	\N
1045293	3575	1997-03-11	PRIJEM	VKLAD	7605	37362	\N	\N	\N
1045294	3575	1997-04-11	PRIJEM	VKLAD	7605	41316	\N	\N	\N
1045295	3575	1997-05-11	PRIJEM	VKLAD	7605	40276	\N	\N	\N
1045296	3575	1997-06-11	PRIJEM	VKLAD	11408	48542	\N	\N	\N
1045297	3575	1997-07-11	PRIJEM	VKLAD	7605	48025	\N	\N	\N
1045298	3575	1997-08-11	PRIJEM	VKLAD	7605	45308	\N	\N	\N
1045299	3575	1997-09-11	PRIJEM	VKLAD	7605	43683	\N	\N	\N
1045300	3575	1997-10-11	PRIJEM	VKLAD	7605	40851	\N	\N	\N
1045301	3575	1997-11-11	PRIJEM	VKLAD	7605	41209	\N	\N	\N
1045302	3575	1997-12-11	PRIJEM	VKLAD	11408	49279	\N	\N	\N
1045303	3575	1998-01-11	PRIJEM	VKLAD	7605	41151	\N	\N	\N
1045304	3575	1998-02-11	PRIJEM	VKLAD	7605	25391	\N	\N	\N
1045305	3575	1998-03-11	PRIJEM	VKLAD	7605	27393	\N	\N	\N
1045306	3575	1998-04-11	PRIJEM	VKLAD	7605	36012	\N	\N	\N
1045307	3575	1998-05-11	PRIJEM	VKLAD	7605	38353	\N	\N	\N
1045308	3575	1998-06-11	PRIJEM	VKLAD	11408	46110	\N	\N	\N
1045309	3575	1998-07-11	PRIJEM	VKLAD	7605	46982	\N	\N	\N
1045310	3575	1998-08-11	PRIJEM	VKLAD	7605	44958	\N	\N	\N
1045311	3575	1998-09-11	PRIJEM	VKLAD	7605	43527	\N	\N	\N
1045312	3575	1998-10-11	PRIJEM	VKLAD	7605	43194	\N	\N	\N
1045313	3575	1998-11-11	PRIJEM	VKLAD	7605	41656	\N	\N	\N
1045314	3575	1998-12-11	PRIJEM	VKLAD	11408	40411	\N	\N	\N
1045327	3575	1994-01-14	VYDAJ	PREVOD NA UCET	5070	35628	SIPO	IJ	97652846
1045328	3575	1994-02-14	VYDAJ	PREVOD NA UCET	5070	31399	SIPO	IJ	97652846
1045329	3575	1994-03-14	VYDAJ	PREVOD NA UCET	5070	29950	SIPO	IJ	97652846
1045330	3575	1994-04-14	VYDAJ	PREVOD NA UCET	5070	31296	SIPO	IJ	97652846
1045331	3575	1994-05-14	VYDAJ	PREVOD NA UCET	5070	27342	SIPO	IJ	97652846
1045332	3575	1994-06-14	VYDAJ	PREVOD NA UCET	5070	33482	SIPO	IJ	97652846
1045333	3575	1994-07-14	VYDAJ	PREVOD NA UCET	5070	32828	SIPO	IJ	97652846
1045334	3575	1994-08-14	VYDAJ	PREVOD NA UCET	5070	30083	SIPO	IJ	97652846
1045335	3575	1994-09-14	VYDAJ	PREVOD NA UCET	5070	28635	SIPO	IJ	97652846
1045336	3575	1994-10-14	VYDAJ	PREVOD NA UCET	5070	28670	SIPO	IJ	97652846
1045337	3575	1994-11-14	VYDAJ	PREVOD NA UCET	5070	31404	SIPO	IJ	97652846
1045338	3575	1994-12-14	VYDAJ	PREVOD NA UCET	5070	33957	SIPO	IJ	97652846
1045339	3575	1995-01-14	VYDAJ	PREVOD NA UCET	5070	26215	SIPO	IJ	97652846
1045340	3575	1995-02-14	VYDAJ	PREVOD NA UCET	5070	27538	SIPO	IJ	97652846
1045341	3575	1995-03-14	VYDAJ	PREVOD NA UCET	5070	32668	SIPO	IJ	97652846
1045342	3575	1995-04-14	VYDAJ	PREVOD NA UCET	5070	35320	SIPO	IJ	97652846
1045343	3575	1995-05-14	VYDAJ	PREVOD NA UCET	5070	34278	SIPO	IJ	97652846
1045344	3575	1995-06-14	VYDAJ	PREVOD NA UCET	5070	37244	SIPO	IJ	97652846
1045345	3575	1995-07-14	VYDAJ	PREVOD NA UCET	5070	38608	SIPO	IJ	97652846
1045346	3575	1995-08-14	VYDAJ	PREVOD NA UCET	5070	35884	SIPO	IJ	97652846
1045347	3575	1995-09-14	VYDAJ	PREVOD NA UCET	5070	34452	SIPO	IJ	97652846
1045348	3575	1995-10-14	VYDAJ	PREVOD NA UCET	5070	34410	SIPO	IJ	97652846
1045349	3575	1995-11-14	VYDAJ	PREVOD NA UCET	5070	38169	SIPO	IJ	97652846
1045350	3575	1995-12-14	VYDAJ	PREVOD NA UCET	5070	42646	SIPO	IJ	97652846
1045351	3575	1996-01-14	VYDAJ	PREVOD NA UCET	5070	37935	SIPO	IJ	97652846
1045352	3575	1996-02-14	VYDAJ	PREVOD NA UCET	5070	30606	SIPO	IJ	97652846
1045353	3575	1996-03-14	VYDAJ	PREVOD NA UCET	5070	36059	SIPO	IJ	97652846
1045354	3575	1996-04-14	VYDAJ	PREVOD NA UCET	5070	37225	SIPO	IJ	97652846
1045355	3575	1996-05-14	VYDAJ	PREVOD NA UCET	5070	40201	SIPO	IJ	97652846
1045356	3575	1996-06-14	VYDAJ	PREVOD NA UCET	5070	43483	SIPO	IJ	97652846
1045357	3575	1996-07-14	VYDAJ	PREVOD NA UCET	5070	43069	SIPO	IJ	97652846
1045358	3575	1996-08-14	VYDAJ	PREVOD NA UCET	5070	44663	SIPO	IJ	97652846
1045359	3575	1996-09-14	VYDAJ	PREVOD NA UCET	5070	34354	SIPO	IJ	97652846
1045360	3575	1996-10-14	VYDAJ	PREVOD NA UCET	5070	36420	SIPO	IJ	97652846
1045361	3575	1996-11-14	VYDAJ	PREVOD NA UCET	5070	35381	SIPO	IJ	97652846
1045362	3575	1996-12-14	VYDAJ	PREVOD NA UCET	5070	37546	SIPO	IJ	97652846
1045363	3575	1997-01-14	VYDAJ	PREVOD NA UCET	5070	33213	SIPO	IJ	97652846
1045364	3575	1997-02-14	VYDAJ	PREVOD NA UCET	5070	26861	SIPO	IJ	97652846
1045365	3575	1997-03-14	VYDAJ	PREVOD NA UCET	5070	32292	SIPO	IJ	97652846
1045366	3575	1997-04-14	VYDAJ	PREVOD NA UCET	5070	36246	SIPO	IJ	97652846
1045367	3575	1997-05-14	VYDAJ	PREVOD NA UCET	5070	35206	SIPO	IJ	97652846
1045368	3575	1997-06-14	VYDAJ	PREVOD NA UCET	5070	43472	SIPO	IJ	97652846
1045369	3575	1997-07-14	VYDAJ	PREVOD NA UCET	5070	42955	SIPO	IJ	97652846
1045370	3575	1997-08-14	VYDAJ	PREVOD NA UCET	5070	40238	SIPO	IJ	97652846
1045371	3575	1997-09-14	VYDAJ	PREVOD NA UCET	5070	38613	SIPO	IJ	97652846
1045372	3575	1997-10-14	VYDAJ	PREVOD NA UCET	5070	35781	SIPO	IJ	97652846
1045373	3575	1997-11-14	VYDAJ	PREVOD NA UCET	5070	36139	SIPO	IJ	97652846
1045374	3575	1997-12-14	VYDAJ	PREVOD NA UCET	5070	44209	SIPO	IJ	97652846
1045375	3575	1998-01-14	VYDAJ	PREVOD NA UCET	5070	35381	SIPO	IJ	97652846
1045376	3575	1998-02-14	VYDAJ	PREVOD NA UCET	5070	22221	SIPO	IJ	97652846
1045377	3575	1998-03-14	VYDAJ	PREVOD NA UCET	5070	22323	SIPO	IJ	97652846
1045378	3575	1998-04-14	VYDAJ	PREVOD NA UCET	5070	30942	SIPO	IJ	97652846
1045379	3575	1998-05-14	VYDAJ	PREVOD NA UCET	5070	33283	SIPO	IJ	97652846
1045380	3575	1998-06-14	VYDAJ	PREVOD NA UCET	5070	39240	SIPO	IJ	97652846
1045381	3575	1998-07-14	VYDAJ	PREVOD NA UCET	5070	37212	SIPO	IJ	97652846
1045382	3575	1998-08-14	VYDAJ	PREVOD NA UCET	5070	35788	SIPO	IJ	97652846
1045383	3575	1998-09-14	VYDAJ	PREVOD NA UCET	5070	35457	SIPO	IJ	97652846
1045384	3575	1998-10-14	VYDAJ	PREVOD NA UCET	5070	34424	SIPO	IJ	97652846
1045385	3575	1998-11-14	VYDAJ	PREVOD NA UCET	5070	32986	SIPO	IJ	97652846
1045386	3575	1998-12-14	VYDAJ	PREVOD NA UCET	5070	30441	SIPO	IJ	97652846
1045388	3575	1994-12-21	VYDAJ	VYBER	1300	32657	\N	\N	\N
1045389	3575	1995-12-12	VYDAJ	VYBER	1800	47716	\N	\N	\N
1045390	3575	1996-12-07	VYDAJ	VYBER	2400	32708	\N	\N	\N
1045391	3575	1997-12-26	VYDAJ	VYBER	2200	33909	\N	\N	\N
1045392	3575	1998-12-17	VYDAJ	VYBER	2300	28141	\N	\N	\N
1045399	3575	1994-01-21	VYDAJ	VYBER	1900	33028	\N	\N	\N
1045400	3575	1994-01-12	VYDAJ	VYBER	700	40698	\N	\N	\N
1045402	3575	1994-01-23	VYDAJ	VYBER	2100	30928	\N	\N	\N
1045404	3575	1994-01-20	VYDAJ	VYBER	700	34928	\N	\N	\N
1045405	3575	1995-01-30	VYDAJ	VYBER	2500	17715	\N	\N	\N
1045406	3575	1995-01-06	VYDAJ	VYBER	2900	26280	\N	\N	\N
1045407	3575	1995-01-14	VYDAJ	VYBER	500	25715	\N	\N	\N
1045408	3575	1995-01-07	VYDAJ	VYBER	2600	23680	\N	\N	\N
1045409	3575	1995-01-20	VYDAJ	VYBER	1200	20215	\N	\N	\N
1045410	3575	1995-01-05	VYDAJ	VYBER	700	29180	\N	\N	\N
1045411	3575	1996-01-15	VYDAJ	VYBER	2500	35435	\N	\N	\N
1045412	3575	1996-01-28	VYDAJ	VYBER	2700	32135	\N	\N	\N
1045413	3575	1996-01-04	VYDAJ	VYBER	700	36500	\N	\N	\N
1045414	3575	1996-01-02	VYDAJ	VYBER	2100	37200	\N	\N	\N
1045415	3575	1996-01-25	VYDAJ	VYBER	2500	32935	\N	\N	\N
1045416	3575	1996-01-09	VYDAJ	VYBER	1100	35400	\N	\N	\N
1045417	3575	1997-01-03	VYDAJ	VYBER	800	31878	\N	\N	\N
1045418	3575	1997-01-05	VYDAJ	VYBER	700	30678	\N	\N	\N
1045419	3575	1997-01-29	VYDAJ	VYBER	2300	26813	\N	\N	\N
1045420	3575	1997-01-30	VYDAJ	VYBER	2600	24213	\N	\N	\N
1045421	3575	1997-01-16	VYDAJ	VYBER	2700	30513	\N	\N	\N
1045422	3575	1997-01-05	VYDAJ	VYBER	500	31378	\N	\N	\N
1045423	3575	1998-01-28	VYDAJ	VYBER	2900	17681	\N	\N	\N
1045424	3575	1998-01-11	VYDAJ	VYBER	700	40451	\N	\N	\N
1045425	3575	1998-01-06	VYDAJ	VYBER	500	33546	\N	\N	\N
1045426	3575	1998-01-17	VYDAJ	VYBER	2300	27981	\N	\N	\N
1045427	3575	1998-01-23	VYDAJ	VYBER	1600	26381	\N	\N	\N
1045428	3575	1998-01-24	VYDAJ	VYBER	1400	24981	\N	\N	\N
1045433	3575	1994-04-25	VYDAJ	VYBER	3700	27596	\N	\N	\N
1045434	3575	1994-02-02	VYDAJ	VYBER	2400	28664	\N	\N	\N
1045435	3575	1994-09-19	VYDAJ	VYBER	2500	26135	\N	\N	\N
1045436	3575	1994-06-16	VYDAJ	VYBER	3500	29982	\N	\N	\N
1045437	3575	1994-03-21	VYDAJ	VYBER	1900	28050	\N	\N	\N
1045438	3575	1994-09-20	VYDAJ	VYBER	3100	23035	\N	\N	\N
1045439	3575	1995-01-18	VYDAJ	VYBER	4300	21415	\N	\N	\N
1045440	3575	1995-08-01	VYDAJ	VYBER	600	33349	\N	\N	\N
1045441	3575	1995-12-23	VYDAJ	VYBER	1500	41146	\N	\N	\N
1045442	3575	1995-09-29	VYDAJ	VYBER	3100	31752	\N	\N	\N
1045443	3575	1995-07-28	VYDAJ	VYBER	2800	35808	\N	\N	\N
1045444	3575	1995-04-15	VYDAJ	VYBER	2100	33220	\N	\N	\N
1045445	3575	1996-08-18	VYDAJ	VYBER	3100	41563	\N	\N	\N
1045446	3575	1996-12-14	VYDAJ	VYBER	1500	42616	\N	\N	\N
1045447	3575	1996-02-05	VYDAJ	VYBER	4200	28071	\N	\N	\N
1045448	3575	1996-04-03	VYDAJ	VYBER	1800	34690	\N	\N	\N
1045449	3575	1996-08-29	VYDAJ	VYBER	4700	35663	\N	\N	\N
1045450	3575	1996-09-10	VYDAJ	VYBER	4000	31819	\N	\N	\N
1045451	3575	1997-09-08	VYDAJ	VYBER	1000	36078	\N	\N	\N
1045452	3575	1997-03-06	VYDAJ	VYBER	800	29757	\N	\N	\N
1045453	3575	1997-08-17	VYDAJ	VYBER	2700	37538	\N	\N	\N
1045454	3575	1998-02-27	VYDAJ	VYBER	2500	19721	\N	\N	\N
1045455	3575	1998-10-21	VYDAJ	VYBER	500	33924	\N	\N	\N
1045456	3575	1998-01-25	VYDAJ	VYBER	4400	20581	\N	\N	\N
1045457	3575	1998-02-13	VYDAJ	VYBER	1600	20491	\N	\N	\N
1045458	3575	1998-11-22	VYDAJ	VYBER	4100	28886	\N	\N	\N
1045459	3575	1998-02-12	VYDAJ	VYBER	3300	22091	\N	\N	\N
1045473	3575	1994-01-31	VYDAJ	VYBER	15	31064	SLUZBY	\N	\N
1045474	3575	1994-02-28	VYDAJ	VYBER	15	31515	SLUZBY	\N	\N
1045475	3575	1994-03-31	VYDAJ	VYBER	15	28161	SLUZBY	\N	\N
1045476	3575	1994-04-30	VYDAJ	VYBER	15	27707	SLUZBY	\N	\N
1045477	3575	1994-05-31	VYDAJ	VYBER	15	27444	SLUZBY	\N	\N
1045478	3575	1994-06-30	VYDAJ	VYBER	15	30093	SLUZBY	\N	\N
1045479	3575	1994-07-31	VYDAJ	VYBER	15	32948	SLUZBY	\N	\N
1045480	3575	1994-08-31	VYDAJ	VYBER	15	30200	SLUZBY	\N	\N
1045481	3575	1994-09-30	VYDAJ	VYBER	15	23135	SLUZBY	\N	\N
1045482	3575	1994-10-31	VYDAJ	VYBER	15	28769	SLUZBY	\N	\N
1045483	3575	1994-11-30	VYDAJ	VYBER	15	31519	SLUZBY	\N	\N
1045484	3575	1994-12-31	VYDAJ	VYBER	15	32780	SLUZBY	\N	\N
1045485	3575	1995-01-31	VYDAJ	VYBER	15	25003	SLUZBY	\N	\N
1045486	3575	1995-02-28	VYDAJ	VYBER	15	27633	SLUZBY	\N	\N
1045487	3575	1995-03-31	VYDAJ	VYBER	15	32785	SLUZBY	\N	\N
1045488	3575	1995-04-30	VYDAJ	VYBER	15	33343	SLUZBY	\N	\N
1045489	3575	1995-05-31	VYDAJ	VYBER	15	30906	SLUZBY	\N	\N
1045490	3575	1995-06-30	VYDAJ	VYBER	15	37373	SLUZBY	\N	\N
1045491	3575	1995-07-31	VYDAJ	VYBER	15	33949	SLUZBY	\N	\N
1045492	3575	1995-08-31	VYDAJ	VYBER	15	31917	SLUZBY	\N	\N
1045493	3575	1995-09-30	VYDAJ	VYBER	15	31875	SLUZBY	\N	\N
1045494	3575	1995-10-31	VYDAJ	VYBER	15	35634	SLUZBY	\N	\N
1045495	3575	1995-11-30	VYDAJ	VYBER	15	38108	SLUZBY	\N	\N
1045496	3575	1995-12-31	VYDAJ	VYBER	15	39300	SLUZBY	\N	\N
1045497	3575	1996-01-31	VYDAJ	VYBER	15	32271	SLUZBY	\N	\N
1045498	3575	1996-02-29	VYDAJ	VYBER	15	33524	SLUZBY	\N	\N
1045499	3575	1996-03-31	VYDAJ	VYBER	15	36490	SLUZBY	\N	\N
1045500	3575	1996-04-30	VYDAJ	VYBER	15	37666	SLUZBY	\N	\N
1045501	3575	1996-05-31	VYDAJ	VYBER	15	37145	SLUZBY	\N	\N
1045502	3575	1996-06-30	VYDAJ	VYBER	15	40534	SLUZBY	\N	\N
1045503	3575	1996-07-31	VYDAJ	VYBER	15	42128	SLUZBY	\N	\N
1045504	3575	1996-08-31	VYDAJ	VYBER	15	35819	SLUZBY	\N	\N
1045505	3575	1996-09-30	VYDAJ	VYBER	15	33885	SLUZBY	\N	\N
1045506	3575	1996-10-31	VYDAJ	VYBER	15	32846	SLUZBY	\N	\N
1045507	3575	1996-11-30	VYDAJ	VYBER	15	35108	SLUZBY	\N	\N
1045508	3575	1996-12-31	VYDAJ	VYBER	15	32678	SLUZBY	\N	\N
1045509	3575	1997-01-31	VYDAJ	VYBER	15	24326	SLUZBY	\N	\N
1045510	3575	1997-02-28	VYDAJ	VYBER	15	30557	SLUZBY	\N	\N
1045511	3575	1997-03-31	VYDAJ	VYBER	15	33711	SLUZBY	\N	\N
1045512	3575	1997-04-30	VYDAJ	VYBER	15	32671	SLUZBY	\N	\N
1045513	3575	1997-05-31	VYDAJ	VYBER	15	37134	SLUZBY	\N	\N
1045514	3575	1997-06-30	VYDAJ	VYBER	15	40420	SLUZBY	\N	\N
1045515	3575	1997-07-31	VYDAJ	VYBER	15	37703	SLUZBY	\N	\N
1045516	3575	1997-08-31	VYDAJ	VYBER	15	37078	SLUZBY	\N	\N
1045517	3575	1997-09-30	VYDAJ	VYBER	15	33246	SLUZBY	\N	\N
1045518	3575	1997-10-31	VYDAJ	VYBER	15	33604	SLUZBY	\N	\N
1045519	3575	1997-11-30	VYDAJ	VYBER	15	37871	SLUZBY	\N	\N
1045520	3575	1997-12-31	VYDAJ	VYBER	15	34046	SLUZBY	\N	\N
1045521	3575	1998-01-31	VYDAJ	VYBER	15	17786	SLUZBY	\N	\N
1045522	3575	1998-02-28	VYDAJ	VYBER	15	19788	SLUZBY	\N	\N
1045523	3575	1998-03-31	VYDAJ	VYBER	15	28407	SLUZBY	\N	\N
1045524	3575	1998-04-30	VYDAJ	VYBER	15	30748	SLUZBY	\N	\N
1045525	3575	1998-05-31	VYDAJ	VYBER	15	34702	SLUZBY	\N	\N
1045526	3575	1998-06-30	VYDAJ	VYBER	15	39377	SLUZBY	\N	\N
1045527	3575	1998-07-31	VYDAJ	VYBER	15	37353	SLUZBY	\N	\N
1045528	3575	1998-08-31	VYDAJ	VYBER	15	35922	SLUZBY	\N	\N
1045529	3575	1998-09-30	VYDAJ	VYBER	15	35589	SLUZBY	\N	\N
1045530	3575	1998-10-31	VYDAJ	VYBER	15	34051	SLUZBY	\N	\N
1045531	3575	1998-11-30	VYDAJ	VYBER	15	29003	SLUZBY	\N	\N
1045532	3575	1993-10-08	PRIJEM	VKLAD	5800	14128	\N	\N	\N
1045533	3575	1993-11-07	PRIJEM	VKLAD	2200	24006	\N	\N	\N
1045534	3575	1993-12-07	VYDAJ	VYBER	2800	28929	\N	\N	\N
1045535	3575	1994-01-06	VYDAJ	VYBER	6700	33793	\N	\N	\N
1045536	3575	1994-02-05	PRIJEM	VKLAD	200	28864	\N	\N	\N
1045537	3575	1994-03-07	VYDAJ	VYBER	4100	27415	\N	\N	\N
1045538	3575	1994-04-06	PRIJEM	VKLAD	600	28761	\N	\N	\N
1045539	3575	1994-05-06	VYDAJ	VYBER	2900	24807	\N	\N	\N
1045540	3575	1994-06-05	VYDAJ	VYBER	300	27144	\N	\N	\N
1045541	3575	1994-07-05	PRIJEM	VKLAD	200	30293	\N	\N	\N
1045542	3575	1994-08-04	VYDAJ	VYBER	5400	27548	\N	\N	\N
1045543	3575	1994-09-03	VYDAJ	VYBER	4100	26100	\N	\N	\N
1045544	3575	1994-10-03	PRIJEM	VKLAD	3000	26135	\N	\N	\N
1045545	3575	1994-11-02	PRIJEM	VKLAD	100	28869	\N	\N	\N
1045546	3575	1994-12-02	VYDAJ	VYBER	3900	27619	\N	\N	\N
1045547	3575	1995-01-01	VYDAJ	VYBER	2900	29880	\N	\N	\N
1045548	3575	1995-01-31	PRIJEM	VKLAD	7200	24915	\N	\N	\N
1045549	3575	1995-03-02	PRIJEM	VKLAD	2500	30133	\N	\N	\N
1045550	3575	1995-05-01	VYDAJ	VYBER	1600	31743	\N	\N	\N
1045551	3575	1995-05-31	VYDAJ	VYBER	3500	30921	\N	\N	\N
1045552	3575	1995-06-30	VYDAJ	VYBER	1300	36073	\N	\N	\N
1045553	3575	1995-07-30	VYDAJ	VYBER	2000	33808	\N	\N	\N
1045554	3575	1995-08-29	VYDAJ	VYBER	4100	31784	\N	\N	\N
1045555	3575	1995-09-28	PRIJEM	VKLAD	400	34852	\N	\N	\N
1045556	3575	1995-10-28	PRIJEM	VKLAD	1100	35510	\N	\N	\N
1045557	3575	1995-11-27	VYDAJ	VYBER	200	37969	\N	\N	\N
1045558	3575	1995-12-27	VYDAJ	VYBER	2000	39146	\N	\N	\N
1045559	3575	1996-01-26	PRIJEM	VKLAD	1900	34835	\N	\N	\N
1045560	3575	1996-02-25	PRIJEM	VKLAD	2800	33406	\N	\N	\N
1045561	3575	1996-03-26	PRIJEM	VKLAD	300	36359	\N	\N	\N
1045562	3575	1996-04-25	PRIJEM	VKLAD	300	37525	\N	\N	\N
1045563	3575	1996-05-25	VYDAJ	VYBER	3200	37001	\N	\N	\N
1045564	3575	1996-06-24	VYDAJ	VYBER	3100	40383	\N	\N	\N
1045565	3575	1996-07-24	VYDAJ	VYBER	1100	41969	\N	\N	\N
1045566	3575	1996-08-23	VYDAJ	VYBER	1200	40363	\N	\N	\N
1045567	3575	1996-09-22	VYDAJ	VYBER	600	33754	\N	\N	\N
1045568	3575	1996-10-22	VYDAJ	VYBER	3700	32720	\N	\N	\N
1045569	3575	1996-11-21	VYDAJ	VYBER	400	34981	\N	\N	\N
1045570	3575	1996-12-21	VYDAJ	VYBER	5000	32546	\N	\N	\N
1045571	3575	1997-01-20	VYDAJ	VYBER	1400	29113	\N	\N	\N
1045572	3575	1997-02-19	PRIJEM	VKLAD	3600	30461	\N	\N	\N
1045573	3575	1997-03-21	PRIJEM	VKLAD	1300	33592	\N	\N	\N
1045574	3575	1997-04-20	VYDAJ	VYBER	3700	32546	\N	\N	\N
1045575	3575	1997-05-20	PRIJEM	VKLAD	1800	37006	\N	\N	\N
1045576	3575	1997-06-19	VYDAJ	VYBER	3200	40272	\N	\N	\N
1045577	3575	1997-07-19	VYDAJ	VYBER	5400	37555	\N	\N	\N
1045578	3575	1997-08-18	VYDAJ	VYBER	600	36938	\N	\N	\N
1045579	3575	1997-09-17	VYDAJ	VYBER	5500	33113	\N	\N	\N
1045580	3575	1997-10-17	VYDAJ	VYBER	2300	33481	\N	\N	\N
1045581	3575	1997-11-16	PRIJEM	VKLAD	1600	37739	\N	\N	\N
1045582	3575	1997-12-16	VYDAJ	VYBER	8100	36109	\N	\N	\N
1045583	3575	1998-01-15	VYDAJ	VYBER	5100	30281	\N	\N	\N
1045584	3575	1998-02-14	PRIJEM	VKLAD	6800	27291	\N	\N	\N
1045585	3575	1998-03-16	PRIJEM	VKLAD	6000	28323	\N	\N	\N
1045586	3575	1998-04-15	VYDAJ	VYBER	300	30642	\N	\N	\N
1045587	3575	1998-05-15	PRIJEM	VKLAD	1300	34583	\N	\N	\N
1045588	3575	1998-06-14	VYDAJ	VYBER	1800	44310	\N	\N	\N
1045589	3575	1998-07-14	VYDAJ	VYBER	4700	42282	\N	\N	\N
1045590	3575	1998-08-13	VYDAJ	VYBER	4100	40858	\N	\N	\N
1045591	3575	1998-09-12	VYDAJ	VYBER	3000	40527	\N	\N	\N
1045592	3575	1998-10-12	VYDAJ	VYBER	3700	39494	\N	\N	\N
1045593	3575	1998-11-11	VYDAJ	VYBER	3600	38056	\N	\N	\N
1045594	3575	1998-12-11	VYDAJ	VYBER	4900	35511	\N	\N	\N
1045659	3576	1994-11-07	PRIJEM	VKLAD	900	900	\N	\N	\N
1045671	3576	1994-12-06	PRIJEM	PREVOD Z UCTU	4065	4965	DUCHOD	CD	28097510
1045672	3576	1995-01-06	PRIJEM	PREVOD Z UCTU	4065	9030	DUCHOD	CD	28097510
1045673	3576	1995-02-06	PRIJEM	PREVOD Z UCTU	4065	13095	DUCHOD	CD	28097510
1045674	3576	1995-03-06	PRIJEM	PREVOD Z UCTU	4065	17160	DUCHOD	CD	28097510
1045675	3576	1995-04-06	PRIJEM	PREVOD Z UCTU	4065	21225	DUCHOD	CD	28097510
1045676	3576	1995-05-06	PRIJEM	PREVOD Z UCTU	4065	19672	DUCHOD	CD	28097510
1045677	3576	1995-06-06	PRIJEM	PREVOD Z UCTU	4065	22130	DUCHOD	CD	28097510
1045678	3576	1995-07-06	PRIJEM	PREVOD Z UCTU	4065	20901	DUCHOD	CD	28097510
1045679	3576	1995-08-06	PRIJEM	PREVOD Z UCTU	4065	23362	DUCHOD	CD	28097510
1045680	3576	1995-09-06	PRIJEM	PREVOD Z UCTU	4065	22303	DUCHOD	CD	28097510
1045681	3576	1995-10-06	PRIJEM	PREVOD Z UCTU	4065	24770	DUCHOD	CD	28097510
1045682	3576	1995-11-06	PRIJEM	PREVOD Z UCTU	4065	27246	DUCHOD	CD	28097510
1045683	3576	1995-12-06	PRIJEM	PREVOD Z UCTU	4065	26604	DUCHOD	CD	28097510
1045684	3576	1996-01-06	PRIJEM	PREVOD Z UCTU	4065	27858	DUCHOD	CD	28097510
1045685	3576	1996-02-06	PRIJEM	PREVOD Z UCTU	4065	22532	DUCHOD	CD	28097510
1045686	3576	1996-03-06	PRIJEM	PREVOD Z UCTU	4065	24999	DUCHOD	CD	28097510
1045687	3576	1996-04-06	PRIJEM	PREVOD Z UCTU	4065	27477	DUCHOD	CD	28097510
1045688	3576	1996-05-06	PRIJEM	PREVOD Z UCTU	4065	24596	DUCHOD	CD	28097510
1045689	3576	1996-06-06	PRIJEM	PREVOD Z UCTU	4065	27072	DUCHOD	CD	28097510
1045690	3576	1996-07-06	PRIJEM	PREVOD Z UCTU	4065	29559	DUCHOD	CD	28097510
1045691	3576	1996-08-06	PRIJEM	PREVOD Z UCTU	4065	32055	DUCHOD	CD	28097510
1045692	3576	1996-09-06	PRIJEM	PREVOD Z UCTU	4065	30154	DUCHOD	CD	28097510
1045693	3576	1996-10-06	PRIJEM	PREVOD Z UCTU	4065	32353	DUCHOD	CD	28097510
1045694	3576	1996-11-06	PRIJEM	PREVOD Z UCTU	4065	29574	DUCHOD	CD	28097510
1045695	3576	1996-12-06	PRIJEM	PREVOD Z UCTU	4065	30623	DUCHOD	CD	28097510
1045696	3576	1997-01-06	PRIJEM	PREVOD Z UCTU	4065	31524	DUCHOD	CD	28097510
1045697	3576	1997-02-06	PRIJEM	PREVOD Z UCTU	4065	22827	DUCHOD	CD	28097510
1045698	3576	1997-03-06	PRIJEM	PREVOD Z UCTU	4065	23610	DUCHOD	CD	28097510
1045699	3576	1997-04-06	PRIJEM	PREVOD Z UCTU	4065	26082	DUCHOD	CD	28097510
1045700	3576	1997-05-06	PRIJEM	PREVOD Z UCTU	4065	22557	DUCHOD	CD	28097510
1045701	3576	1997-06-06	PRIJEM	PREVOD Z UCTU	4065	19654	DUCHOD	CD	28097510
1045702	3576	1997-07-06	PRIJEM	PREVOD Z UCTU	4065	22113	DUCHOD	CD	28097510
1045703	3576	1997-08-06	PRIJEM	PREVOD Z UCTU	4065	20731	DUCHOD	CD	28097510
1045704	3576	1997-09-06	PRIJEM	PREVOD Z UCTU	4065	23191	DUCHOD	CD	28097510
1045705	3576	1997-10-06	PRIJEM	PREVOD Z UCTU	4065	25660	DUCHOD	CD	28097510
1045706	3576	1997-11-06	PRIJEM	PREVOD Z UCTU	4065	28140	DUCHOD	CD	28097510
1045707	3576	1997-12-06	PRIJEM	PREVOD Z UCTU	4065	30230	DUCHOD	CD	28097510
1045708	3576	1998-01-06	PRIJEM	PREVOD Z UCTU	4065	29005	DUCHOD	CD	28097510
1045709	3576	1998-02-06	PRIJEM	PREVOD Z UCTU	4065	19378	DUCHOD	CD	28097510
1045710	3576	1998-03-06	PRIJEM	PREVOD Z UCTU	4065	21832	DUCHOD	CD	28097510
1045711	3576	1998-04-06	PRIJEM	PREVOD Z UCTU	4065	24295	DUCHOD	CD	28097510
1045712	3576	1998-05-06	PRIJEM	PREVOD Z UCTU	4065	26769	DUCHOD	CD	28097510
1045713	3576	1998-06-06	PRIJEM	PREVOD Z UCTU	4065	27087	DUCHOD	CD	28097510
1045714	3576	1998-07-06	PRIJEM	PREVOD Z UCTU	4065	26247	DUCHOD	CD	28097510
1045715	3576	1998-08-06	PRIJEM	PREVOD Z UCTU	4065	28729	DUCHOD	CD	28097510
1045716	3576	1998-09-06	PRIJEM	PREVOD Z UCTU	4065	26741	DUCHOD	CD	28097510
1045717	3576	1998-10-06	PRIJEM	PREVOD Z UCTU	4065	29227	DUCHOD	CD	28097510
1045718	3576	1998-11-06	PRIJEM	PREVOD Z UCTU	4065	31722	DUCHOD	CD	28097510
1045719	3576	1998-12-06	PRIJEM	PREVOD Z UCTU	4065	34226	DUCHOD	CD	28097510
1045735	3576	1995-04-07	VYDAJ	PREVOD NA UCET	1213	18812	SIPO	EF	38732874
1045736	3576	1995-05-07	VYDAJ	PREVOD NA UCET	1213	18459	SIPO	EF	38732874
1045737	3576	1995-06-07	VYDAJ	PREVOD NA UCET	1213	20917	SIPO	EF	38732874
1045738	3576	1995-07-07	VYDAJ	PREVOD NA UCET	1213	19688	SIPO	EF	38732874
1045739	3576	1995-08-07	VYDAJ	PREVOD NA UCET	1213	22149	SIPO	EF	38732874
1045740	3576	1995-09-07	VYDAJ	PREVOD NA UCET	1213	21090	SIPO	EF	38732874
1045741	3576	1995-10-07	VYDAJ	PREVOD NA UCET	1213	23557	SIPO	EF	38732874
1045742	3576	1995-11-07	VYDAJ	PREVOD NA UCET	1213	26033	SIPO	EF	38732874
1045743	3576	1995-12-07	VYDAJ	PREVOD NA UCET	1213	25391	SIPO	EF	38732874
1045744	3576	1996-01-07	VYDAJ	PREVOD NA UCET	1213	26645	SIPO	EF	38732874
1045745	3576	1996-02-07	VYDAJ	PREVOD NA UCET	1213	21319	SIPO	EF	38732874
1045746	3576	1996-03-07	VYDAJ	PREVOD NA UCET	1213	23786	SIPO	EF	38732874
1045747	3576	1996-04-07	VYDAJ	PREVOD NA UCET	1213	26264	SIPO	EF	38732874
1045748	3576	1996-05-07	VYDAJ	PREVOD NA UCET	1213	23383	SIPO	EF	38732874
1045749	3576	1996-06-07	VYDAJ	PREVOD NA UCET	1213	25859	SIPO	EF	38732874
1045750	3576	1996-07-07	VYDAJ	PREVOD NA UCET	1213	28346	SIPO	EF	38732874
1045751	3576	1996-08-07	VYDAJ	PREVOD NA UCET	1213	30842	SIPO	EF	38732874
1045752	3576	1996-09-07	VYDAJ	PREVOD NA UCET	1213	28941	SIPO	EF	38732874
1045753	3576	1996-10-07	VYDAJ	PREVOD NA UCET	1213	31140	SIPO	EF	38732874
1045754	3576	1996-11-07	VYDAJ	PREVOD NA UCET	1213	28361	SIPO	EF	38732874
1045755	3576	1996-12-07	VYDAJ	PREVOD NA UCET	1213	29410	SIPO	EF	38732874
1045756	3576	1997-01-07	VYDAJ	PREVOD NA UCET	1213	29591	SIPO	EF	38732874
1045757	3576	1997-02-07	VYDAJ	PREVOD NA UCET	1213	19934	SIPO	EF	38732874
1045758	3576	1997-03-07	VYDAJ	PREVOD NA UCET	1213	22397	SIPO	EF	38732874
1045759	3576	1997-04-07	VYDAJ	PREVOD NA UCET	1213	24869	SIPO	EF	38732874
1045760	3576	1997-05-07	VYDAJ	PREVOD NA UCET	1213	21344	SIPO	EF	38732874
1045761	3576	1997-06-07	VYDAJ	PREVOD NA UCET	1213	18441	SIPO	EF	38732874
1045762	3576	1997-07-07	VYDAJ	PREVOD NA UCET	1213	20900	SIPO	EF	38732874
1045763	3576	1997-08-07	VYDAJ	PREVOD NA UCET	1213	19518	SIPO	EF	38732874
1045764	3576	1997-09-07	VYDAJ	PREVOD NA UCET	1213	21978	SIPO	EF	38732874
1045765	3576	1997-10-07	VYDAJ	PREVOD NA UCET	1213	24447	SIPO	EF	38732874
1045766	3576	1997-11-07	VYDAJ	PREVOD NA UCET	1213	26927	SIPO	EF	38732874
1045767	3576	1997-12-07	VYDAJ	PREVOD NA UCET	1213	29017	SIPO	EF	38732874
1045768	3576	1998-01-07	VYDAJ	PREVOD NA UCET	1213	25952	SIPO	EF	38732874
1045769	3576	1998-02-07	VYDAJ	PREVOD NA UCET	1213	18165	SIPO	EF	38732874
1045770	3576	1998-03-07	VYDAJ	PREVOD NA UCET	1213	20619	SIPO	EF	38732874
1045771	3576	1998-04-07	VYDAJ	PREVOD NA UCET	1213	23082	SIPO	EF	38732874
1045772	3576	1998-05-07	VYDAJ	PREVOD NA UCET	1213	23396	SIPO	EF	38732874
1045773	3576	1998-06-07	VYDAJ	PREVOD NA UCET	1213	25874	SIPO	EF	38732874
1045774	3576	1998-07-07	VYDAJ	PREVOD NA UCET	1213	25034	SIPO	EF	38732874
1045775	3576	1998-08-07	VYDAJ	PREVOD NA UCET	1213	27516	SIPO	EF	38732874
1045776	3576	1998-09-07	VYDAJ	PREVOD NA UCET	1213	25528	SIPO	EF	38732874
1045777	3576	1998-10-07	VYDAJ	PREVOD NA UCET	1213	28014	SIPO	EF	38732874
1045778	3576	1998-11-07	VYDAJ	PREVOD NA UCET	1213	30509	SIPO	EF	38732874
1045779	3576	1998-12-07	VYDAJ	PREVOD NA UCET	1213	33013	SIPO	EF	38732874
1045795	3576	1995-04-09	VYDAJ	PREVOD NA UCET	455	18357	 	IJ	62933295
1045796	3576	1995-05-09	VYDAJ	PREVOD NA UCET	455	18004	 	IJ	62933295
1045797	3576	1995-06-09	VYDAJ	PREVOD NA UCET	455	20462	 	IJ	62933295
1045798	3576	1995-07-09	VYDAJ	PREVOD NA UCET	455	19233	 	IJ	62933295
1045799	3576	1995-08-09	VYDAJ	PREVOD NA UCET	455	20654	 	IJ	62933295
1045800	3576	1995-09-09	VYDAJ	PREVOD NA UCET	455	20635	 	IJ	62933295
1045801	3576	1995-10-09	VYDAJ	PREVOD NA UCET	455	23102	 	IJ	62933295
1045802	3576	1995-11-09	VYDAJ	PREVOD NA UCET	455	25578	 	IJ	62933295
1045803	3576	1995-12-09	VYDAJ	PREVOD NA UCET	455	24936	 	IJ	62933295
1045804	3576	1996-01-09	VYDAJ	PREVOD NA UCET	455	24670	 	IJ	62933295
1045805	3576	1996-02-09	VYDAJ	PREVOD NA UCET	455	20864	 	IJ	62933295
1045806	3576	1996-03-09	VYDAJ	PREVOD NA UCET	455	23331	 	IJ	62933295
1045807	3576	1996-04-09	VYDAJ	PREVOD NA UCET	455	25809	 	IJ	62933295
1045808	3576	1996-05-09	VYDAJ	PREVOD NA UCET	455	22928	 	IJ	62933295
1045809	3576	1996-06-09	VYDAJ	PREVOD NA UCET	455	25404	 	IJ	62933295
1045810	3576	1996-07-09	VYDAJ	PREVOD NA UCET	455	27891	 	IJ	62933295
1045811	3576	1996-08-09	VYDAJ	PREVOD NA UCET	455	30387	 	IJ	62933295
1045812	3576	1996-09-09	VYDAJ	PREVOD NA UCET	455	28486	 	IJ	62933295
1045813	3576	1996-10-09	VYDAJ	PREVOD NA UCET	455	30685	 	IJ	62933295
1045814	3576	1996-11-09	VYDAJ	PREVOD NA UCET	455	27906	 	IJ	62933295
1045815	3576	1996-12-09	VYDAJ	PREVOD NA UCET	455	28955	 	IJ	62933295
1045816	3576	1997-01-09	VYDAJ	PREVOD NA UCET	455	29136	 	IJ	62933295
1045817	3576	1997-02-09	VYDAJ	PREVOD NA UCET	455	19479	 	IJ	62933295
1045818	3576	1997-03-09	VYDAJ	PREVOD NA UCET	455	21942	 	IJ	62933295
1045819	3576	1997-04-09	VYDAJ	PREVOD NA UCET	455	24414	 	IJ	62933295
1045820	3576	1997-05-09	VYDAJ	PREVOD NA UCET	455	20889	 	IJ	62933295
1045821	3576	1997-06-09	VYDAJ	PREVOD NA UCET	455	17986	 	IJ	62933295
1045822	3576	1997-07-09	VYDAJ	PREVOD NA UCET	455	20445	 	IJ	62933295
1045823	3576	1997-08-09	VYDAJ	PREVOD NA UCET	455	19063	 	IJ	62933295
1045824	3576	1997-09-09	VYDAJ	PREVOD NA UCET	455	21523	 	IJ	62933295
1045825	3576	1997-10-09	VYDAJ	PREVOD NA UCET	455	23992	 	IJ	62933295
1045826	3576	1997-11-09	VYDAJ	PREVOD NA UCET	455	26472	 	IJ	62933295
1045827	3576	1997-12-09	VYDAJ	PREVOD NA UCET	455	28562	 	IJ	62933295
1045828	3576	1998-01-09	VYDAJ	PREVOD NA UCET	455	22617	 	IJ	62933295
1045829	3576	1998-02-09	VYDAJ	PREVOD NA UCET	455	17710	 	IJ	62933295
1045830	3576	1998-03-09	VYDAJ	PREVOD NA UCET	455	20164	 	IJ	62933295
1045831	3576	1998-04-09	VYDAJ	PREVOD NA UCET	455	22627	 	IJ	62933295
1045832	3576	1998-05-09	VYDAJ	PREVOD NA UCET	455	22941	 	IJ	62933295
1045833	3576	1998-06-09	VYDAJ	PREVOD NA UCET	455	25419	 	IJ	62933295
1045834	3576	1998-07-09	VYDAJ	PREVOD NA UCET	455	24579	 	IJ	62933295
1045835	3576	1998-08-09	VYDAJ	PREVOD NA UCET	455	27061	 	IJ	62933295
1045836	3576	1998-09-09	VYDAJ	PREVOD NA UCET	455	25073	 	IJ	62933295
1045837	3576	1998-10-09	VYDAJ	PREVOD NA UCET	455	27559	 	IJ	62933295
1045838	3576	1998-11-09	VYDAJ	PREVOD NA UCET	455	30054	 	IJ	62933295
1045839	3576	1998-12-09	VYDAJ	PREVOD NA UCET	455	32558	 	IJ	62933295
1045841	3576	1995-06-25	VYDAJ	VYBER	3050	16772	\N	\N	\N
1045843	3576	1997-06-04	VYDAJ	VYBER	3850	17109	\N	\N	\N
1045844	3576	1998-06-20	VYDAJ	VYBER	2200	23219	\N	\N	\N
1045847	3576	1996-01-20	VYDAJ	VYBER	1000	20150	\N	\N	\N
1045848	3576	1997-01-17	VYDAJ	VYBER	4300	21076	\N	\N	\N
1045849	3576	1998-01-11	VYDAJ	VYBER	3050	19567	\N	\N	\N
1045851	3576	1995-12-27	VYDAJ	VYBER	750	24186	\N	\N	\N
1045852	3576	1996-12-02	VYDAJ	VYBER	1450	26558	\N	\N	\N
1045853	3576	1997-12-10	VYDAJ	VYBER	1400	27162	\N	\N	\N
1045854	3576	1998-12-27	VYDAJ	VYBER	1400	30598	\N	\N	\N
1045867	3576	1996-01-25	VYDAJ	VYBER	640	18390	\N	\N	\N
1045868	3576	1996-01-13	VYDAJ	VYBER	2160	22110	\N	\N	\N
1045869	3576	1996-01-04	VYDAJ	VYBER	480	23793	\N	\N	\N
1045870	3576	1996-01-12	VYDAJ	VYBER	400	24270	\N	\N	\N
1045871	3576	1996-01-25	VYDAJ	VYBER	1120	19030	\N	\N	\N
1045872	3576	1996-01-17	VYDAJ	VYBER	960	21150	\N	\N	\N
1045873	3576	1997-01-13	VYDAJ	VYBER	480	27056	\N	\N	\N
1045874	3576	1997-01-11	VYDAJ	VYBER	1600	27536	\N	\N	\N
1045875	3576	1997-01-30	VYDAJ	VYBER	1680	18676	\N	\N	\N
1045876	3576	1997-01-06	VYDAJ	VYBER	720	30804	\N	\N	\N
1045877	3576	1997-01-16	VYDAJ	VYBER	1680	25376	\N	\N	\N
1045878	3576	1997-01-19	VYDAJ	VYBER	720	20356	\N	\N	\N
1045879	3576	1998-01-24	VYDAJ	VYBER	1040	15247	\N	\N	\N
1045880	3576	1998-01-17	VYDAJ	VYBER	1680	16287	\N	\N	\N
1045881	3576	1998-01-07	VYDAJ	VYBER	1840	27165	\N	\N	\N
1045883	3576	1998-01-04	VYDAJ	VYBER	2320	24940	\N	\N	\N
1045884	3576	1998-01-12	VYDAJ	VYBER	1600	17967	\N	\N	\N
1045888	3576	1995-08-08	VYDAJ	VYBER	1040	21109	\N	\N	\N
1045889	3576	1995-11-10	VYDAJ	VYBER	3120	22458	\N	\N	\N
1045891	3576	1995-06-12	VYDAJ	VYBER	640	19822	\N	\N	\N
1045892	3576	1995-05-01	VYDAJ	VYBER	2800	15607	\N	\N	\N
1045893	3576	1995-08-12	VYDAJ	VYBER	2480	18174	\N	\N	\N
1045894	3576	1996-01-08	VYDAJ	VYBER	1520	25125	\N	\N	\N
1045895	3576	1996-11-04	VYDAJ	VYBER	2960	25509	\N	\N	\N
1045896	3576	1996-04-20	VYDAJ	VYBER	3120	20449	\N	\N	\N
1045897	3576	1996-10-09	VYDAJ	VYBER	2320	28365	\N	\N	\N
1045898	3576	1996-04-18	VYDAJ	VYBER	2240	23569	\N	\N	\N
1045899	3576	1996-08-19	VYDAJ	VYBER	2000	25987	\N	\N	\N
1045900	3576	1996-08-16	VYDAJ	VYBER	2400	27987	\N	\N	\N
1045901	3576	1997-06-05	VYDAJ	VYBER	1520	15589	\N	\N	\N
1045902	3576	1997-04-26	VYDAJ	VYBER	3760	18414	\N	\N	\N
1045903	3576	1997-02-07	VYDAJ	VYBER	1680	21147	\N	\N	\N
1045904	3576	1997-07-19	VYDAJ	VYBER	3840	16605	\N	\N	\N
1045905	3576	1997-11-25	VYDAJ	VYBER	400	26072	\N	\N	\N
1045906	3576	1997-04-19	VYDAJ	VYBER	2240	22174	\N	\N	\N
1045907	3576	1998-01-09	VYDAJ	VYBER	2880	23072	\N	\N	\N
1045908	3576	1998-06-21	VYDAJ	VYBER	1120	22099	\N	\N	\N
1045909	3576	1998-09-03	VYDAJ	VYBER	1840	25316	\N	\N	\N
1045910	3576	1998-09-04	VYDAJ	VYBER	2640	22676	\N	\N	\N
1045911	3576	1998-05-06	VYDAJ	VYBER	2160	24609	\N	\N	\N
1045912	3576	1998-12-22	VYDAJ	VYBER	560	31998	\N	\N	\N
1045929	3576	1995-04-30	VYDAJ	VYBER	15	18407	SLUZBY	\N	\N
1045930	3576	1995-05-31	VYDAJ	VYBER	15	18065	SLUZBY	\N	\N
1045931	3576	1995-06-30	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
1045932	3576	1995-07-31	VYDAJ	VYBER	15	19297	SLUZBY	\N	\N
1045933	3576	1995-08-31	VYDAJ	VYBER	15	18238	SLUZBY	\N	\N
1045934	3576	1995-09-30	VYDAJ	VYBER	15	20705	SLUZBY	\N	\N
1045935	3576	1995-10-31	VYDAJ	VYBER	15	23181	SLUZBY	\N	\N
1045936	3576	1995-11-30	VYDAJ	VYBER	15	22539	SLUZBY	\N	\N
1045937	3576	1995-12-31	VYDAJ	VYBER	15	24273	SLUZBY	\N	\N
1045938	3576	1996-01-31	VYDAJ	VYBER	15	18467	SLUZBY	\N	\N
1045939	3576	1996-02-29	VYDAJ	VYBER	15	20934	SLUZBY	\N	\N
1045940	3576	1996-03-31	VYDAJ	VYBER	15	23412	SLUZBY	\N	\N
1045941	3576	1996-04-30	VYDAJ	VYBER	15	20531	SLUZBY	\N	\N
1045942	3576	1996-05-31	VYDAJ	VYBER	15	23007	SLUZBY	\N	\N
1045943	3576	1996-06-30	VYDAJ	VYBER	15	25494	SLUZBY	\N	\N
1045944	3576	1996-07-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
1045945	3576	1996-08-31	VYDAJ	VYBER	15	26089	SLUZBY	\N	\N
1045946	3576	1996-09-30	VYDAJ	VYBER	15	28288	SLUZBY	\N	\N
1045947	3576	1996-10-31	VYDAJ	VYBER	15	28469	SLUZBY	\N	\N
1045948	3576	1996-11-30	VYDAJ	VYBER	15	28008	SLUZBY	\N	\N
1045949	3576	1996-12-31	VYDAJ	VYBER	15	27459	SLUZBY	\N	\N
1045950	3576	1997-01-31	VYDAJ	VYBER	15	18762	SLUZBY	\N	\N
1045951	3576	1997-02-28	VYDAJ	VYBER	15	19545	SLUZBY	\N	\N
1045952	3576	1997-03-31	VYDAJ	VYBER	15	22017	SLUZBY	\N	\N
1045953	3576	1997-04-30	VYDAJ	VYBER	15	18492	SLUZBY	\N	\N
1045954	3576	1997-05-31	VYDAJ	VYBER	15	20959	SLUZBY	\N	\N
1045955	3576	1997-06-30	VYDAJ	VYBER	15	18048	SLUZBY	\N	\N
1045956	3576	1997-07-31	VYDAJ	VYBER	15	16666	SLUZBY	\N	\N
1045957	3576	1997-08-31	VYDAJ	VYBER	15	19126	SLUZBY	\N	\N
1045958	3576	1997-09-30	VYDAJ	VYBER	15	21595	SLUZBY	\N	\N
1045959	3576	1997-10-31	VYDAJ	VYBER	15	24075	SLUZBY	\N	\N
1045960	3576	1997-11-30	VYDAJ	VYBER	15	26165	SLUZBY	\N	\N
1045961	3576	1997-12-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
1045962	3576	1998-01-31	VYDAJ	VYBER	15	15313	SLUZBY	\N	\N
1045963	3576	1998-02-28	VYDAJ	VYBER	15	17767	SLUZBY	\N	\N
1045964	3576	1998-03-31	VYDAJ	VYBER	15	20230	SLUZBY	\N	\N
1045965	3576	1998-04-30	VYDAJ	VYBER	15	22704	SLUZBY	\N	\N
1045966	3576	1998-05-31	VYDAJ	VYBER	15	23022	SLUZBY	\N	\N
1045967	3576	1998-06-30	VYDAJ	VYBER	15	22182	SLUZBY	\N	\N
1045968	3576	1998-07-31	VYDAJ	VYBER	15	24664	SLUZBY	\N	\N
1045969	3576	1998-08-31	VYDAJ	VYBER	15	27156	SLUZBY	\N	\N
1045970	3576	1998-09-30	VYDAJ	VYBER	15	25162	SLUZBY	\N	\N
1045971	3576	1998-10-31	VYDAJ	VYBER	15	27657	SLUZBY	\N	\N
1045972	3576	1998-11-30	VYDAJ	VYBER	15	30161	SLUZBY	\N	\N
1045973	3576	1995-04-06	VYDAJ	VYBER	1200	20025	\N	\N	\N
1045974	3576	1996-09-27	VYDAJ	VYBER	300	28186	\N	\N	\N
1045975	3576	1996-12-26	VYDAJ	VYBER	1600	27355	\N	\N	\N
1046021	3577	1997-05-11	PRIJEM	VKLAD	700	700	\N	\N	\N
1046026	3577	1997-05-12	PRIJEM	VKLAD	11946	12646	\N	\N	\N
1046027	3577	1997-06-12	PRIJEM	VKLAD	17919	32899	\N	\N	\N
1046028	3577	1997-07-12	PRIJEM	VKLAD	11946	38551	\N	\N	\N
1046029	3577	1997-08-12	PRIJEM	VKLAD	11946	40449	\N	\N	\N
1046030	3577	1997-09-12	PRIJEM	VKLAD	11946	42661	\N	\N	\N
1046031	3577	1997-10-12	PRIJEM	VKLAD	11946	41103	\N	\N	\N
1046032	3577	1997-11-12	PRIJEM	VKLAD	11946	35836	\N	\N	\N
1046033	3577	1997-12-12	PRIJEM	VKLAD	17919	38722	\N	\N	\N
1046034	3577	1998-01-12	PRIJEM	VKLAD	11946	40833	\N	\N	\N
1046035	3577	1998-02-12	PRIJEM	VKLAD	11946	35246	\N	\N	\N
1046036	3577	1998-03-12	PRIJEM	VKLAD	11946	34842	\N	\N	\N
1046037	3577	1998-04-12	PRIJEM	VKLAD	11946	40243	\N	\N	\N
1046038	3577	1998-05-12	PRIJEM	VKLAD	11946	45364	\N	\N	\N
1046039	3577	1998-06-12	PRIJEM	VKLAD	17919	54077	\N	\N	\N
1046040	3577	1998-07-12	PRIJEM	VKLAD	11946	45093	\N	\N	\N
1046041	3577	1998-08-12	PRIJEM	VKLAD	11946	50634	\N	\N	\N
1046042	3577	1998-09-12	PRIJEM	VKLAD	11946	50398	\N	\N	\N
1046043	3577	1998-10-12	PRIJEM	VKLAD	11946	49564	\N	\N	\N
1046044	3577	1998-11-12	PRIJEM	VKLAD	11946	49927	\N	\N	\N
1046045	3577	1998-12-12	PRIJEM	VKLAD	17919	57361	\N	\N	\N
1046055	3577	1997-10-05	VYDAJ	PREVOD NA UCET	7964	34857	SIPO	IJ	28108173
1046056	3577	1997-11-05	VYDAJ	PREVOD NA UCET	7964	30390	SIPO	IJ	28108173
1046057	3577	1997-12-05	VYDAJ	PREVOD NA UCET	7964	28003	SIPO	IJ	28108173
1046058	3577	1998-01-05	VYDAJ	PREVOD NA UCET	7964	28487	SIPO	IJ	28108173
1046059	3577	1998-02-05	VYDAJ	PREVOD NA UCET	7964	23300	SIPO	IJ	28108173
1046060	3577	1998-03-05	VYDAJ	PREVOD NA UCET	7964	21796	SIPO	IJ	28108173
1046061	3577	1998-04-05	VYDAJ	PREVOD NA UCET	7964	26997	SIPO	IJ	28108173
1046062	3577	1998-05-05	VYDAJ	PREVOD NA UCET	7964	28818	SIPO	IJ	28108173
1046063	3577	1998-06-05	VYDAJ	PREVOD NA UCET	7964	36158	SIPO	IJ	28108173
1046064	3577	1998-07-05	VYDAJ	PREVOD NA UCET	7964	33147	SIPO	IJ	28108173
1046065	3577	1998-08-05	VYDAJ	PREVOD NA UCET	7964	38688	SIPO	IJ	28108173
1046066	3577	1998-09-05	VYDAJ	PREVOD NA UCET	7964	38452	SIPO	IJ	28108173
1046067	3577	1998-10-05	VYDAJ	PREVOD NA UCET	7964	37618	SIPO	IJ	28108173
1046068	3577	1998-11-05	VYDAJ	PREVOD NA UCET	7964	37981	SIPO	IJ	28108173
1046069	3577	1998-12-05	VYDAJ	PREVOD NA UCET	7964	39442	SIPO	IJ	28108173
1046071	3577	1998-06-16	VYDAJ	VYBER	24000	30077	\N	\N	\N
1046073	3577	1998-01-19	VYDAJ	VYBER	4200	36633	\N	\N	\N
1046074	3577	1997-12-17	VYDAJ	VYBER	2400	36322	\N	\N	\N
1046075	3577	1998-12-27	VYDAJ	VYBER	500	56861	\N	\N	\N
1046082	3577	1998-01-21	VYDAJ	VYBER	500	36133	\N	\N	\N
1046083	3577	1998-01-22	VYDAJ	VYBER	1500	34633	\N	\N	\N
1046084	3577	1998-01-06	VYDAJ	VYBER	1300	28887	\N	\N	\N
1046085	3577	1998-01-28	VYDAJ	VYBER	2600	30433	\N	\N	\N
1046086	3577	1998-01-25	VYDAJ	VYBER	1600	33033	\N	\N	\N
1046087	3577	1998-01-29	VYDAJ	VYBER	1600	28833	\N	\N	\N
1046088	3577	1997-11-07	VYDAJ	VYBER	3200	23890	\N	\N	\N
1046089	3577	1997-10-31	VYDAJ	VYBER	2900	38354	\N	\N	\N
1046092	3577	1997-12-11	VYDAJ	VYBER	3000	20803	\N	\N	\N
1046093	3577	1998-02-15	VYDAJ	VYBER	3800	31446	\N	\N	\N
1046094	3577	1998-06-24	VYDAJ	VYBER	3600	26477	\N	\N	\N
1046095	3577	1998-05-17	VYDAJ	VYBER	900	44464	\N	\N	\N
1046096	3577	1998-05-01	VYDAJ	VYBER	3600	36782	\N	\N	\N
1046097	3577	1998-02-22	VYDAJ	VYBER	1800	29646	\N	\N	\N
1046098	3577	1998-11-19	VYDAJ	VYBER	1200	48727	\N	\N	\N
1046108	3577	1997-09-30	VYDAJ	VYBER	15	42821	SLUZBY	\N	\N
1046109	3577	1997-10-31	VYDAJ	VYBER	15	41254	SLUZBY	\N	\N
1046110	3577	1997-11-30	VYDAJ	VYBER	15	35967	SLUZBY	\N	\N
1046111	3577	1997-12-31	VYDAJ	VYBER	15	36451	SLUZBY	\N	\N
1046112	3577	1998-01-31	VYDAJ	VYBER	15	28964	SLUZBY	\N	\N
1046113	3577	1998-02-28	VYDAJ	VYBER	15	29760	SLUZBY	\N	\N
1046114	3577	1998-03-31	VYDAJ	VYBER	15	34961	SLUZBY	\N	\N
1046115	3577	1998-04-30	VYDAJ	VYBER	15	40382	SLUZBY	\N	\N
1046116	3577	1998-05-31	VYDAJ	VYBER	15	44622	SLUZBY	\N	\N
1046117	3577	1998-06-30	VYDAJ	VYBER	15	26611	SLUZBY	\N	\N
1046118	3577	1998-07-31	VYDAJ	VYBER	15	45252	SLUZBY	\N	\N
1046119	3577	1998-08-31	VYDAJ	VYBER	15	50816	SLUZBY	\N	\N
1046120	3577	1998-09-30	VYDAJ	VYBER	15	50582	SLUZBY	\N	\N
1046121	3577	1998-10-31	VYDAJ	VYBER	15	49745	SLUZBY	\N	\N
1046122	3577	1998-11-30	VYDAJ	VYBER	15	48906	SLUZBY	\N	\N
1046123	3577	1997-06-10	PRIJEM	VKLAD	2300	14980	\N	\N	\N
1046124	3577	1997-07-10	VYDAJ	VYBER	6400	26605	\N	\N	\N
1046125	3577	1997-08-09	VYDAJ	VYBER	10200	28503	\N	\N	\N
1046126	3577	1997-09-08	VYDAJ	VYBER	9900	30715	\N	\N	\N
1046127	3577	1997-10-08	VYDAJ	VYBER	5700	29157	\N	\N	\N
1046128	3577	1997-11-07	VYDAJ	VYBER	3300	27090	\N	\N	\N
1046129	3577	1997-12-07	VYDAJ	VYBER	4200	23803	\N	\N	\N
1046130	3577	1998-01-06	PRIJEM	VKLAD	1700	30187	\N	\N	\N
1046131	3577	1998-02-05	PRIJEM	VKLAD	2300	31264	\N	\N	\N
1046132	3577	1998-03-07	PRIJEM	VKLAD	1100	22896	\N	\N	\N
1046133	3577	1998-04-06	PRIJEM	VKLAD	1300	28297	\N	\N	\N
1046134	3577	1998-05-06	PRIJEM	VKLAD	4600	33418	\N	\N	\N
1046135	3577	1998-06-05	VYDAJ	VYBER	500	44122	\N	\N	\N
1046136	3577	1998-07-05	PRIJEM	VKLAD	14500	41111	\N	\N	\N
1046137	3577	1998-08-04	PRIJEM	VKLAD	1400	46652	\N	\N	\N
1046138	3577	1998-09-03	VYDAJ	VYBER	4400	46416	\N	\N	\N
1046139	3577	1998-10-03	VYDAJ	VYBER	5000	45582	\N	\N	\N
1046140	3577	1998-11-02	VYDAJ	VYBER	3800	45945	\N	\N	\N
1046141	3577	1998-12-02	VYDAJ	VYBER	1500	47406	\N	\N	\N
1046162	3578	1996-02-17	PRIJEM	VKLAD	600	600	\N	\N	\N
1046165	3578	1996-03-08	PRIJEM	VKLAD	12709	13309	\N	\N	\N
1046166	3578	1996-04-08	PRIJEM	VKLAD	12709	34259	\N	\N	\N
1046167	3578	1996-05-08	PRIJEM	VKLAD	12709	42373	\N	\N	\N
1046168	3578	1996-06-08	PRIJEM	VKLAD	19064	58379	\N	\N	\N
1046169	3578	1996-07-08	PRIJEM	VKLAD	12709	57863	\N	\N	\N
1046170	3578	1996-08-08	PRIJEM	VKLAD	12709	54877	\N	\N	\N
1046171	3578	1996-09-08	PRIJEM	VKLAD	12709	55806	\N	\N	\N
1046172	3578	1996-10-08	PRIJEM	VKLAD	12709	55134	\N	\N	\N
1046173	3578	1996-11-08	PRIJEM	VKLAD	12709	58169	\N	\N	\N
1046174	3578	1996-12-08	PRIJEM	VKLAD	19064	67168	\N	\N	\N
1046175	3578	1997-01-08	PRIJEM	VKLAD	12709	53564	\N	\N	\N
1046176	3578	1997-02-08	PRIJEM	VKLAD	12709	52092	\N	\N	\N
1046177	3578	1997-03-08	PRIJEM	VKLAD	12709	59023	\N	\N	\N
1046178	3578	1997-04-08	PRIJEM	VKLAD	12709	58207	\N	\N	\N
1046179	3578	1997-05-08	PRIJEM	VKLAD	12709	60450	\N	\N	\N
1046180	3578	1997-06-08	PRIJEM	VKLAD	19064	72667	\N	\N	\N
1046181	3578	1997-07-08	PRIJEM	VKLAD	12709	56944	\N	\N	\N
1046182	3578	1997-08-08	PRIJEM	VKLAD	12709	64095	\N	\N	\N
1046183	3578	1997-09-08	PRIJEM	VKLAD	12709	65464	\N	\N	\N
1046184	3578	1997-10-08	PRIJEM	VKLAD	12709	66129	\N	\N	\N
1046185	3578	1997-11-08	PRIJEM	VKLAD	12709	72716	\N	\N	\N
1046186	3578	1997-12-08	PRIJEM	VKLAD	19064	78203	\N	\N	\N
1046187	3578	1998-01-08	PRIJEM	VKLAD	12709	69856	\N	\N	\N
1046188	3578	1998-02-08	PRIJEM	VKLAD	12709	70954	\N	\N	\N
1046189	3578	1998-03-08	PRIJEM	VKLAD	12709	79868	\N	\N	\N
1046190	3578	1998-04-08	PRIJEM	VKLAD	12709	74387	\N	\N	\N
1046191	3578	1998-05-08	PRIJEM	VKLAD	12709	77519	\N	\N	\N
1046192	3578	1998-06-08	PRIJEM	VKLAD	19064	83292	\N	\N	\N
1046193	3578	1998-07-08	PRIJEM	VKLAD	12709	59592	\N	\N	\N
1046194	3578	1998-08-08	PRIJEM	VKLAD	12709	73257	\N	\N	\N
1046195	3578	1998-09-08	PRIJEM	VKLAD	12709	79875	\N	\N	\N
1046196	3578	1998-10-08	PRIJEM	VKLAD	12709	80748	\N	\N	\N
1046197	3578	1998-11-08	PRIJEM	VKLAD	12709	83917	\N	\N	\N
1046198	3578	1998-12-08	PRIJEM	VKLAD	19064	95443	\N	\N	\N
1046205	3578	1996-07-08	VYDAJ	PREVOD NA UCET	4051	53812	SIPO	KL	34134709
1046206	3578	1996-08-08	VYDAJ	PREVOD NA UCET	4051	50826	SIPO	KL	34134709
1046207	3578	1996-09-08	VYDAJ	PREVOD NA UCET	4051	51755	SIPO	KL	34134709
1046208	3578	1996-10-08	VYDAJ	PREVOD NA UCET	4051	51083	SIPO	KL	34134709
1046209	3578	1996-11-08	VYDAJ	PREVOD NA UCET	4051	54118	SIPO	KL	34134709
1046210	3578	1996-12-08	VYDAJ	PREVOD NA UCET	4051	63117	SIPO	KL	34134709
1046211	3578	1997-01-08	VYDAJ	PREVOD NA UCET	4051	49513	SIPO	KL	34134709
1046212	3578	1997-02-08	VYDAJ	PREVOD NA UCET	4051	48041	SIPO	KL	34134709
1046213	3578	1997-03-08	VYDAJ	PREVOD NA UCET	4051	54972	SIPO	KL	34134709
1046214	3578	1997-04-08	VYDAJ	PREVOD NA UCET	4051	54156	SIPO	KL	34134709
1046215	3578	1997-05-08	VYDAJ	PREVOD NA UCET	4051	56399	SIPO	KL	34134709
1046216	3578	1997-06-08	VYDAJ	PREVOD NA UCET	4051	68616	SIPO	KL	34134709
1046217	3578	1997-07-08	VYDAJ	PREVOD NA UCET	4051	52893	SIPO	KL	34134709
1046218	3578	1997-08-08	VYDAJ	PREVOD NA UCET	4051	60044	SIPO	KL	34134709
1046219	3578	1997-09-08	VYDAJ	PREVOD NA UCET	4051	61413	SIPO	KL	34134709
1046220	3578	1997-10-08	VYDAJ	PREVOD NA UCET	4051	62078	SIPO	KL	34134709
1046221	3578	1997-11-08	VYDAJ	PREVOD NA UCET	4051	58865	SIPO	KL	34134709
1046222	3578	1997-12-08	VYDAJ	PREVOD NA UCET	4051	65052	SIPO	KL	34134709
1046223	3578	1998-01-08	VYDAJ	PREVOD NA UCET	4051	65805	SIPO	KL	34134709
1046224	3578	1998-02-08	VYDAJ	PREVOD NA UCET	4051	66903	SIPO	KL	34134709
1046225	3578	1998-03-08	VYDAJ	PREVOD NA UCET	4051	75817	SIPO	KL	34134709
1046226	3578	1998-04-08	VYDAJ	PREVOD NA UCET	4051	70336	SIPO	KL	34134709
1046227	3578	1998-05-08	VYDAJ	PREVOD NA UCET	4051	73468	SIPO	KL	34134709
1046228	3578	1998-06-08	VYDAJ	PREVOD NA UCET	4051	79241	SIPO	KL	34134709
1046229	3578	1998-07-08	VYDAJ	PREVOD NA UCET	4051	55541	SIPO	KL	34134709
1046230	3578	1998-08-08	VYDAJ	PREVOD NA UCET	4051	69206	SIPO	KL	34134709
1046231	3578	1998-09-08	VYDAJ	PREVOD NA UCET	4051	75824	SIPO	KL	34134709
1046232	3578	1998-10-08	VYDAJ	PREVOD NA UCET	4051	76697	SIPO	KL	34134709
1046233	3578	1998-11-08	VYDAJ	PREVOD NA UCET	4051	79866	SIPO	KL	34134709
1046234	3578	1998-12-08	VYDAJ	PREVOD NA UCET	4051	91392	SIPO	KL	34134709
1046236	3578	1997-06-16	VYDAJ	VYBER	15680	44036	\N	\N	\N
1046237	3578	1998-06-09	VYDAJ	VYBER	46720	32521	\N	\N	\N
1046238	3578	1996-12-26	VYDAJ	VYBER	3840	46177	\N	\N	\N
1046239	3578	1997-12-30	VYDAJ	VYBER	4160	59892	\N	\N	\N
1046240	3578	1998-12-27	VYDAJ	VYBER	4160	84332	\N	\N	\N
1046247	3578	1997-01-11	VYDAJ	VYBER	3360	46153	\N	\N	\N
1046248	3578	1997-01-22	VYDAJ	VYBER	1320	41973	\N	\N	\N
1046249	3578	1997-01-11	VYDAJ	VYBER	1680	44473	\N	\N	\N
1046250	3578	1997-01-21	VYDAJ	VYBER	2880	43293	\N	\N	\N
1046251	3578	1997-01-06	VYDAJ	VYBER	3360	40855	\N	\N	\N
1046252	3578	1997-01-27	VYDAJ	VYBER	2760	39213	\N	\N	\N
1046253	3578	1998-01-04	VYDAJ	VYBER KARTOU	2800	55447	\N	\N	0
1046254	3578	1998-01-17	VYDAJ	VYBER KARTOU	1200	61105	\N	\N	0
1046255	3578	1998-01-15	VYDAJ	VYBER KARTOU	1700	62305	\N	\N	0
1046256	3578	1998-01-02	VYDAJ	VYBER KARTOU	1900	58247	\N	\N	0
1046257	3578	1998-01-30	VYDAJ	VYBER KARTOU	1800	59305	\N	\N	0
1046258	3578	1998-01-09	VYDAJ	VYBER KARTOU	1800	64005	\N	\N	0
1046262	3578	1996-07-16	VYDAJ	VYBER	4320	41992	\N	\N	\N
1046264	3578	1997-12-22	VYDAJ	VYBER KARTOU	1000	64052	\N	\N	0
1046265	3578	1997-08-25	VYDAJ	VYBER	2400	52544	\N	\N	\N
1046266	3578	1997-03-16	VYDAJ	VYBER	3360	45312	\N	\N	\N
1046267	3578	1997-01-05	VYDAJ	VYBER	2160	44215	\N	\N	\N
1046268	3578	1998-05-16	VYDAJ	VYBER	4320	67848	\N	\N	\N
1046269	3578	1998-05-15	VYDAJ	VYBER KARTOU	1300	72168	\N	\N	0
1046270	3578	1998-10-02	VYDAJ	VYBER	4080	69039	\N	\N	\N
1046271	3578	1998-12-23	VYDAJ	VYBER KARTOU	2900	88492	\N	\N	0
1046272	3578	1998-09-19	VYDAJ	VYBER KARTOU	3000	72824	\N	\N	0
1046280	3578	1996-07-31	VYDAJ	VYBER	15	42168	SLUZBY	\N	\N
1046281	3578	1996-08-31	VYDAJ	VYBER	15	43097	SLUZBY	\N	\N
1046282	3578	1996-09-30	VYDAJ	VYBER	15	42425	SLUZBY	\N	\N
1046283	3578	1996-10-31	VYDAJ	VYBER	15	45460	SLUZBY	\N	\N
1046284	3578	1996-11-30	VYDAJ	VYBER	15	48105	SLUZBY	\N	\N
1046285	3578	1996-12-31	VYDAJ	VYBER	15	46375	SLUZBY	\N	\N
1046286	3578	1997-01-31	VYDAJ	VYBER	15	39383	SLUZBY	\N	\N
1046287	3578	1997-02-28	VYDAJ	VYBER	15	46314	SLUZBY	\N	\N
1046288	3578	1997-03-31	VYDAJ	VYBER	15	45498	SLUZBY	\N	\N
1046289	3578	1997-04-30	VYDAJ	VYBER	15	47741	SLUZBY	\N	\N
1046290	3578	1997-05-31	VYDAJ	VYBER	15	53603	SLUZBY	\N	\N
1046291	3578	1997-06-30	VYDAJ	VYBER	15	44235	SLUZBY	\N	\N
1046292	3578	1997-07-31	VYDAJ	VYBER	15	51386	SLUZBY	\N	\N
1046293	3578	1997-08-31	VYDAJ	VYBER	15	52755	SLUZBY	\N	\N
1046294	3578	1997-09-30	VYDAJ	VYBER	15	53420	SLUZBY	\N	\N
1046295	3578	1997-10-31	VYDAJ	VYBER	15	60007	SLUZBY	\N	\N
1046296	3578	1997-11-30	VYDAJ	VYBER	15	59139	SLUZBY	\N	\N
1046297	3578	1997-12-31	VYDAJ	VYBER	15	60147	SLUZBY	\N	\N
1046298	3578	1998-01-31	VYDAJ	VYBER	15	59545	SLUZBY	\N	\N
1046299	3578	1998-02-28	VYDAJ	VYBER	15	67159	SLUZBY	\N	\N
1046300	3578	1998-03-31	VYDAJ	VYBER	15	66178	SLUZBY	\N	\N
1046301	3578	1998-04-30	VYDAJ	VYBER	15	70610	SLUZBY	\N	\N
1046302	3578	1998-05-31	VYDAJ	VYBER	15	68128	SLUZBY	\N	\N
1046303	3578	1998-06-30	VYDAJ	VYBER	15	32683	SLUZBY	\N	\N
1046304	3578	1998-07-31	VYDAJ	VYBER	15	55748	SLUZBY	\N	\N
1046305	3578	1998-08-31	VYDAJ	VYBER	15	69466	SLUZBY	\N	\N
1046306	3578	1998-09-30	VYDAJ	VYBER	15	73119	SLUZBY	\N	\N
1046307	3578	1998-10-31	VYDAJ	VYBER	15	77008	SLUZBY	\N	\N
1046308	3578	1998-11-30	VYDAJ	VYBER	15	80180	SLUZBY	\N	\N
1046309	3578	1996-03-18	PRIJEM	VKLAD	8200	21509	\N	\N	\N
1046310	3578	1996-04-17	VYDAJ	VYBER	4700	29559	\N	\N	\N
1046311	3578	1996-05-17	VYDAJ	VYBER	3200	39173	\N	\N	\N
1046312	3578	1996-06-16	VYDAJ	VYBER	13400	44979	\N	\N	\N
1046313	3578	1996-07-16	VYDAJ	VYBER	7500	46312	\N	\N	\N
1046314	3578	1996-08-15	VYDAJ	VYBER	7900	42926	\N	\N	\N
1046315	3578	1996-09-14	VYDAJ	VYBER	9500	42255	\N	\N	\N
1046316	3578	1996-10-14	VYDAJ	VYBER	5800	45283	\N	\N	\N
1046317	3578	1996-11-13	VYDAJ	VYBER	6200	47918	\N	\N	\N
1046318	3578	1996-12-13	VYDAJ	VYBER	13100	50017	\N	\N	\N
1046319	3578	1997-01-12	PRIJEM	VKLAD	1700	46173	\N	\N	\N
1046320	3578	1997-02-11	VYDAJ	VYBER	1900	46141	\N	\N	\N
1046321	3578	1997-03-13	VYDAJ	VYBER	6300	48672	\N	\N	\N
1046322	3578	1997-04-12	VYDAJ	VYBER	6600	47556	\N	\N	\N
1046323	3578	1997-05-12	VYDAJ	VYBER	3000	53399	\N	\N	\N
1046324	3578	1997-06-11	VYDAJ	VYBER	8900	59716	\N	\N	\N
1046325	3578	1997-07-11	VYDAJ	VYBER	1700	51193	\N	\N	\N
1046326	3578	1997-08-10	VYDAJ	VYBER	5100	54944	\N	\N	\N
1046327	3578	1997-09-09	VYDAJ	VYBER	8200	53213	\N	\N	\N
1046328	3578	1997-10-09	VYDAJ	VYBER	2300	59778	\N	\N	\N
1046329	3578	1997-11-08	VYDAJ	VYBER	9800	62916	\N	\N	\N
1046330	3578	1997-12-08	VYDAJ	VYBER	9100	69103	\N	\N	\N
1046331	3578	1998-01-07	PRIJEM	VKLAD	1700	57147	\N	\N	\N
1046332	3578	1998-02-06	VYDAJ	VYBER KARTOU	1300	58245	\N	\N	0
1046333	3578	1998-03-08	VYDAJ	VYBER	9900	65917	\N	\N	\N
1046334	3578	1998-04-07	VYDAJ	VYBER	4500	61678	\N	\N	\N
1046335	3578	1998-05-07	VYDAJ	VYBER	5800	64810	\N	\N	\N
1046336	3578	1998-06-06	VYDAJ	VYBER KARTOU	3900	64228	\N	\N	0
1046337	3578	1998-07-06	PRIJEM	VKLAD	14200	46883	\N	\N	\N
1046338	3578	1998-08-05	PRIJEM	VKLAD	4800	60548	\N	\N	\N
1046339	3578	1998-09-04	VYDAJ	VYBER KARTOU	2300	67166	\N	\N	0
1046340	3578	1998-10-04	VYDAJ	VYBER KARTOU	1000	68039	\N	\N	0
1046341	3578	1998-11-03	VYDAJ	VYBER	5800	71208	\N	\N	\N
1046342	3578	1998-12-03	VYDAJ	VYBER KARTOU	3800	76380	\N	\N	0
1046377	3579	1994-09-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1046386	3579	1994-09-12	PRIJEM	VKLAD	24085	25085	\N	\N	\N
1046387	3579	1994-10-12	PRIJEM	VKLAD	24085	50636	\N	\N	\N
1046388	3579	1994-11-12	PRIJEM	VKLAD	24085	62594	\N	\N	\N
1046389	3579	1994-12-12	PRIJEM	VKLAD	36128	80465	\N	\N	\N
1046390	3579	1995-01-12	PRIJEM	VKLAD	24085	76655	\N	\N	\N
1046391	3579	1995-02-12	PRIJEM	VKLAD	24085	71274	\N	\N	\N
1046392	3579	1995-03-12	PRIJEM	VKLAD	24085	71827	\N	\N	\N
1046393	3579	1995-04-12	PRIJEM	VKLAD	24085	69560	\N	\N	\N
1046394	3579	1995-05-12	PRIJEM	VKLAD	24085	72320	\N	\N	\N
1046395	3579	1995-06-12	PRIJEM	VKLAD	36128	52729	\N	\N	\N
1046396	3579	1995-07-12	PRIJEM	VKLAD	24085	61740	\N	\N	\N
1046397	3579	1995-08-12	PRIJEM	VKLAD	24085	68207	\N	\N	\N
1046398	3579	1995-09-12	PRIJEM	VKLAD	24085	72036	\N	\N	\N
1046399	3579	1995-10-12	PRIJEM	VKLAD	24085	73584	\N	\N	\N
1046400	3579	1995-11-12	PRIJEM	VKLAD	24085	75437	\N	\N	\N
1046401	3579	1995-12-12	PRIJEM	VKLAD	36128	87939	\N	\N	\N
1046402	3579	1996-01-12	PRIJEM	VKLAD	24085	76056	\N	\N	\N
1046403	3579	1996-02-12	PRIJEM	VKLAD	24085	62442	\N	\N	\N
1046404	3579	1996-03-12	PRIJEM	VKLAD	24085	69947	\N	\N	\N
1046405	3579	1996-04-12	PRIJEM	VKLAD	24085	74983	\N	\N	\N
1046406	3579	1996-05-12	PRIJEM	VKLAD	24085	76234	\N	\N	\N
1046407	3579	1996-06-12	PRIJEM	VKLAD	36128	77855	\N	\N	\N
1046408	3579	1996-07-12	PRIJEM	VKLAD	24085	78323	\N	\N	\N
1046409	3579	1996-08-12	PRIJEM	VKLAD	24085	73182	\N	\N	\N
1046410	3579	1996-09-12	PRIJEM	VKLAD	24085	82440	\N	\N	\N
1046411	3579	1996-10-12	PRIJEM	VKLAD	24085	82394	\N	\N	\N
1046412	3579	1996-11-12	PRIJEM	VKLAD	24085	85670	\N	\N	\N
1046413	3579	1996-12-12	PRIJEM	VKLAD	36128	84772	\N	\N	\N
1046414	3579	1997-01-12	PRIJEM	VKLAD	24085	75365	\N	\N	\N
1046415	3579	1997-02-12	PRIJEM	VKLAD	24085	64636	\N	\N	\N
1046416	3579	1997-03-12	PRIJEM	VKLAD	24085	78060	\N	\N	\N
1046417	3579	1997-04-12	PRIJEM	VKLAD	24085	84420	\N	\N	\N
1046418	3579	1997-05-12	PRIJEM	VKLAD	24085	84594	\N	\N	\N
1046419	3579	1997-06-12	PRIJEM	VKLAD	36128	97614	\N	\N	\N
1046420	3579	1997-07-12	PRIJEM	VKLAD	24085	53805	\N	\N	\N
1046421	3579	1997-08-12	PRIJEM	VKLAD	24085	66973	\N	\N	\N
1046422	3579	1997-09-12	PRIJEM	VKLAD	24085	71421	\N	\N	\N
1046423	3579	1997-10-12	PRIJEM	VKLAD	24085	75969	\N	\N	\N
1046424	3579	1997-11-12	PRIJEM	VKLAD	24085	81510	\N	\N	\N
1046425	3579	1997-12-12	PRIJEM	VKLAD	36128	97311	\N	\N	\N
1046426	3579	1998-01-12	PRIJEM	VKLAD	24085	68452	\N	\N	\N
1046427	3579	1998-02-12	PRIJEM	VKLAD	24085	71826	\N	\N	\N
1046428	3579	1998-03-12	PRIJEM	VKLAD	24085	80653	\N	\N	\N
1046429	3579	1998-04-12	PRIJEM	VKLAD	24085	90921	\N	\N	\N
1046430	3579	1998-05-12	PRIJEM	VKLAD	24085	92209	\N	\N	\N
1046431	3579	1998-06-12	PRIJEM	VKLAD	36128	104790	\N	\N	\N
1046432	3579	1998-07-12	PRIJEM	VKLAD	24085	92646	\N	\N	\N
1046433	3579	1998-08-12	PRIJEM	VKLAD	24085	97532	\N	\N	\N
1046434	3579	1998-09-12	PRIJEM	VKLAD	24085	93759	\N	\N	\N
1046435	3579	1998-10-12	PRIJEM	VKLAD	24085	94580	\N	\N	\N
1046436	3579	1998-11-12	PRIJEM	VKLAD	24085	97680	\N	\N	\N
1046437	3579	1998-12-12	PRIJEM	VKLAD	36128	114916	\N	\N	\N
1046450	3579	1995-01-14	VYDAJ	PREVOD NA UCET	3460	73195	SIPO	IJ	50074374
1046451	3579	1995-02-14	VYDAJ	PREVOD NA UCET	3460	67814	SIPO	IJ	50074374
1046452	3579	1995-03-14	VYDAJ	PREVOD NA UCET	3460	68367	SIPO	IJ	50074374
1046453	3579	1995-04-14	VYDAJ	PREVOD NA UCET	3460	66100	SIPO	IJ	50074374
1046454	3579	1995-05-14	VYDAJ	PREVOD NA UCET	3460	68860	SIPO	IJ	50074374
1046455	3579	1995-06-14	VYDAJ	PREVOD NA UCET	3460	49269	SIPO	IJ	50074374
1046456	3579	1995-07-14	VYDAJ	PREVOD NA UCET	3460	58280	SIPO	IJ	50074374
1046457	3579	1995-08-14	VYDAJ	PREVOD NA UCET	3460	64747	SIPO	IJ	50074374
1046458	3579	1995-09-14	VYDAJ	PREVOD NA UCET	3460	68576	SIPO	IJ	50074374
1046459	3579	1995-10-14	VYDAJ	PREVOD NA UCET	3460	70124	SIPO	IJ	50074374
1046460	3579	1995-11-14	VYDAJ	PREVOD NA UCET	3460	71977	SIPO	IJ	50074374
1046461	3579	1995-12-14	VYDAJ	PREVOD NA UCET	3460	84479	SIPO	IJ	50074374
1046462	3579	1996-01-14	VYDAJ	PREVOD NA UCET	3460	69716	SIPO	IJ	50074374
1046463	3579	1996-02-14	VYDAJ	PREVOD NA UCET	3460	58982	SIPO	IJ	50074374
1046464	3579	1996-03-14	VYDAJ	PREVOD NA UCET	3460	66487	SIPO	IJ	50074374
1046465	3579	1996-04-14	VYDAJ	PREVOD NA UCET	3460	71523	SIPO	IJ	50074374
1046466	3579	1996-05-14	VYDAJ	PREVOD NA UCET	3460	72774	SIPO	IJ	50074374
1046467	3579	1996-06-14	VYDAJ	PREVOD NA UCET	3460	74395	SIPO	IJ	50074374
1046468	3579	1996-07-14	VYDAJ	PREVOD NA UCET	3460	74863	SIPO	IJ	50074374
1046469	3579	1996-08-14	VYDAJ	PREVOD NA UCET	3460	69722	SIPO	IJ	50074374
1046470	3579	1996-09-14	VYDAJ	PREVOD NA UCET	3460	78980	SIPO	IJ	50074374
1046471	3579	1996-10-14	VYDAJ	PREVOD NA UCET	3460	78934	SIPO	IJ	50074374
1046472	3579	1996-11-14	VYDAJ	PREVOD NA UCET	3460	82210	SIPO	IJ	50074374
1046473	3579	1996-12-14	VYDAJ	PREVOD NA UCET	3460	81312	SIPO	IJ	50074374
1046474	3579	1997-01-14	VYDAJ	PREVOD NA UCET	3460	71905	SIPO	IJ	50074374
1046475	3579	1997-02-14	VYDAJ	PREVOD NA UCET	3460	61176	SIPO	IJ	50074374
1046476	3579	1997-03-14	VYDAJ	PREVOD NA UCET	3460	74600	SIPO	IJ	50074374
1046477	3579	1997-04-14	VYDAJ	PREVOD NA UCET	3460	80960	SIPO	IJ	50074374
1046478	3579	1997-05-14	VYDAJ	PREVOD NA UCET	3460	81134	SIPO	IJ	50074374
1046479	3579	1997-06-14	VYDAJ	PREVOD NA UCET	3460	94154	SIPO	IJ	50074374
1046480	3579	1997-07-14	VYDAJ	PREVOD NA UCET	3460	50345	SIPO	IJ	50074374
1046481	3579	1997-08-14	VYDAJ	PREVOD NA UCET	3460	63513	SIPO	IJ	50074374
1046482	3579	1997-09-14	VYDAJ	PREVOD NA UCET	3460	67961	SIPO	IJ	50074374
1046483	3579	1997-10-14	VYDAJ	PREVOD NA UCET	3460	72509	SIPO	IJ	50074374
1046484	3579	1997-11-14	VYDAJ	PREVOD NA UCET	3460	78050	SIPO	IJ	50074374
1046485	3579	1997-12-14	VYDAJ	PREVOD NA UCET	3460	93851	SIPO	IJ	50074374
1046486	3579	1998-01-14	VYDAJ	PREVOD NA UCET	3460	58692	SIPO	IJ	50074374
1046487	3579	1998-02-14	VYDAJ	PREVOD NA UCET	3460	56366	SIPO	IJ	50074374
1046488	3579	1998-03-14	VYDAJ	PREVOD NA UCET	3460	77193	SIPO	IJ	50074374
1046489	3579	1998-04-14	VYDAJ	PREVOD NA UCET	3460	67861	SIPO	IJ	50074374
1046490	3579	1998-05-14	VYDAJ	PREVOD NA UCET	3460	88749	SIPO	IJ	50074374
1046491	3579	1998-06-14	VYDAJ	PREVOD NA UCET	3460	76130	SIPO	IJ	50074374
1046492	3579	1998-07-14	VYDAJ	PREVOD NA UCET	3460	73886	SIPO	IJ	50074374
1046493	3579	1998-08-14	VYDAJ	PREVOD NA UCET	3460	78572	SIPO	IJ	50074374
1046494	3579	1998-09-14	VYDAJ	PREVOD NA UCET	3460	90299	SIPO	IJ	50074374
1046495	3579	1998-10-14	VYDAJ	PREVOD NA UCET	3460	91120	SIPO	IJ	50074374
1046496	3579	1998-11-14	VYDAJ	PREVOD NA UCET	3460	94220	SIPO	IJ	50074374
1046497	3579	1998-12-14	VYDAJ	PREVOD NA UCET	3460	78956	SIPO	IJ	50074374
1046499	3579	1995-06-07	VYDAJ	VYBER	30720	16601	\N	\N	\N
1046500	3579	1996-06-07	VYDAJ	VYBER	13280	41727	\N	\N	\N
1046501	3579	1997-06-28	VYDAJ	VYBER	40000	29454	\N	\N	\N
1046502	3579	1998-06-17	VYDAJ	VYBER	7840	68290	\N	\N	\N
1046505	3579	1996-01-19	VYDAJ	VYBER	8800	60916	\N	\N	\N
1046506	3579	1997-01-29	VYDAJ	VYBER	7840	43805	\N	\N	\N
1046507	3579	1998-01-05	VYDAJ	VYBER	15680	47487	\N	\N	\N
1046509	3579	1995-12-19	VYDAJ	VYBER	3360	81119	\N	\N	\N
1046510	3579	1996-12-04	VYDAJ	VYBER	1280	59084	\N	\N	\N
1046511	3579	1997-12-22	VYDAJ	VYBER	2560	66391	\N	\N	\N
1046512	3579	1998-12-18	VYDAJ	VYBER	2400	76556	\N	\N	\N
1046520	3579	1995-01-28	VYDAJ	VYBER	1800	62155	\N	\N	\N
1046521	3579	1995-01-19	VYDAJ	VYBER	1560	63955	\N	\N	\N
1046522	3579	1995-01-18	VYDAJ	VYBER	3360	68755	\N	\N	\N
1046523	3579	1995-01-19	VYDAJ	VYBER	3240	65515	\N	\N	\N
1046524	3579	1995-01-15	VYDAJ	VYBER	1080	72115	\N	\N	\N
1046525	3579	1996-01-14	VYDAJ	VYBER	2880	73176	\N	\N	\N
1046526	3579	1996-01-09	VYDAJ	VYBER	1440	53531	\N	\N	\N
1046527	3579	1996-01-21	VYDAJ	VYBER	840	60076	\N	\N	\N
1046528	3579	1996-01-09	VYDAJ	VYBER	1560	51971	\N	\N	\N
1046529	3579	1996-01-27	VYDAJ	VYBER	3360	38136	\N	\N	\N
1046530	3579	1996-01-21	VYDAJ	VYBER	3480	56596	\N	\N	\N
1046531	3579	1997-01-02	VYDAJ	VYBER	3120	53200	\N	\N	\N
1046532	3579	1997-01-25	VYDAJ	VYBER	3360	55845	\N	\N	\N
1046533	3579	1997-01-01	VYDAJ	VYBER	3240	56320	\N	\N	\N
1046534	3579	1997-01-27	VYDAJ	VYBER	1080	51645	\N	\N	\N
1046535	3579	1997-01-08	VYDAJ	VYBER	1920	51280	\N	\N	\N
1046536	3579	1997-01-25	VYDAJ	VYBER	3120	52725	\N	\N	\N
1046537	3579	1998-01-28	VYDAJ	VYBER	2880	49452	\N	\N	\N
1046538	3579	1998-01-15	VYDAJ	VYBER	1080	57612	\N	\N	\N
1046539	3579	1998-01-01	VYDAJ	VYBER	2040	64607	\N	\N	\N
1046540	3579	1998-01-29	VYDAJ	VYBER	1920	47532	\N	\N	\N
1046541	3579	1998-01-03	VYDAJ	VYBER	1440	63167	\N	\N	\N
1046542	3579	1998-01-08	VYDAJ	VYBER	3120	44367	\N	\N	\N
1046551	3579	1995-08-17	VYDAJ	VYBER	4200	60547	\N	\N	\N
1046552	3579	1995-07-17	VYDAJ	VYBER	2040	56240	\N	\N	\N
1046553	3579	1995-04-06	VYDAJ	VYBER	2760	45475	\N	\N	\N
1046555	3579	1996-07-28	VYDAJ	VYBER	4320	51143	\N	\N	\N
1046556	3579	1996-08-04	VYDAJ	VYBER	2280	49097	\N	\N	\N
1046557	3579	1996-11-16	VYDAJ	VYBER	3000	79210	\N	\N	\N
1046558	3579	1996-12-10	VYDAJ	VYBER	4680	48644	\N	\N	\N
1046559	3579	1996-12-04	VYDAJ	VYBER	5760	53324	\N	\N	\N
1046560	3579	1996-09-24	VYDAJ	VYBER	4320	58060	\N	\N	\N
1046561	3579	1997-09-27	VYDAJ	VYBER	5880	51681	\N	\N	\N
1046562	3579	1997-08-27	VYDAJ	VYBER	3360	47153	\N	\N	\N
1046563	3579	1997-02-01	VYDAJ	VYBER	3480	40551	\N	\N	\N
1046564	3579	1997-06-03	VYDAJ	VYBER	600	61486	\N	\N	\N
1046565	3579	1998-09-19	VYDAJ	VYBER	3240	87059	\N	\N	\N
1046566	3579	1998-08-10	VYDAJ	VYBER	720	73447	\N	\N	\N
1046567	3579	1998-01-26	VYDAJ	VYBER	2400	52332	\N	\N	\N
1046568	3579	1998-01-19	VYDAJ	VYBER	2880	54732	\N	\N	\N
1046569	3579	1998-11-11	VYDAJ	VYBER	2880	73595	\N	\N	\N
1046583	3579	1995-01-31	VYDAJ	VYBER	15	47189	SLUZBY	\N	\N
1046584	3579	1995-02-28	VYDAJ	VYBER	15	68042	SLUZBY	\N	\N
1046585	3579	1995-03-31	VYDAJ	VYBER	15	68635	SLUZBY	\N	\N
1046586	3579	1995-04-30	VYDAJ	VYBER	15	66335	SLUZBY	\N	\N
1046587	3579	1995-05-31	VYDAJ	VYBER	15	47321	SLUZBY	\N	\N
1046588	3579	1995-06-30	VYDAJ	VYBER	15	37655	SLUZBY	\N	\N
1046589	3579	1995-07-31	VYDAJ	VYBER	15	44122	SLUZBY	\N	\N
1046590	3579	1995-08-31	VYDAJ	VYBER	15	47951	SLUZBY	\N	\N
1046591	3579	1995-09-30	VYDAJ	VYBER	15	49499	SLUZBY	\N	\N
1046592	3579	1995-10-31	VYDAJ	VYBER	15	51352	SLUZBY	\N	\N
1046593	3579	1995-11-30	VYDAJ	VYBER	15	51811	SLUZBY	\N	\N
1046594	3579	1995-12-31	VYDAJ	VYBER	15	54971	SLUZBY	\N	\N
1046595	3579	1996-01-31	VYDAJ	VYBER	15	38357	SLUZBY	\N	\N
1046596	3579	1996-02-29	VYDAJ	VYBER	15	45862	SLUZBY	\N	\N
1046597	3579	1996-03-31	VYDAJ	VYBER	15	50898	SLUZBY	\N	\N
1046598	3579	1996-04-30	VYDAJ	VYBER	15	52149	SLUZBY	\N	\N
1046599	3579	1996-05-31	VYDAJ	VYBER	15	55007	SLUZBY	\N	\N
1046600	3579	1996-06-30	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
1046601	3579	1996-07-31	VYDAJ	VYBER	15	51377	SLUZBY	\N	\N
1046602	3579	1996-08-31	VYDAJ	VYBER	15	58355	SLUZBY	\N	\N
1046603	3579	1996-09-30	VYDAJ	VYBER	15	58309	SLUZBY	\N	\N
1046604	3579	1996-10-31	VYDAJ	VYBER	15	61585	SLUZBY	\N	\N
1046605	3579	1996-11-30	VYDAJ	VYBER	15	60364	SLUZBY	\N	\N
1046606	3579	1996-12-31	VYDAJ	VYBER	15	59560	SLUZBY	\N	\N
1046607	3579	1997-01-31	VYDAJ	VYBER	15	44031	SLUZBY	\N	\N
1046608	3579	1997-02-28	VYDAJ	VYBER	15	53975	SLUZBY	\N	\N
1046609	3579	1997-03-31	VYDAJ	VYBER	15	60335	SLUZBY	\N	\N
1046610	3579	1997-04-30	VYDAJ	VYBER	15	60509	SLUZBY	\N	\N
1046611	3579	1997-05-31	VYDAJ	VYBER	15	62086	SLUZBY	\N	\N
1046612	3579	1997-06-30	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
1046613	3579	1997-07-31	VYDAJ	VYBER	15	42888	SLUZBY	\N	\N
1046614	3579	1997-08-31	VYDAJ	VYBER	15	47336	SLUZBY	\N	\N
1046615	3579	1997-09-30	VYDAJ	VYBER	15	51884	SLUZBY	\N	\N
1046616	3579	1997-10-31	VYDAJ	VYBER	15	57425	SLUZBY	\N	\N
1046617	3579	1997-11-30	VYDAJ	VYBER	15	61183	SLUZBY	\N	\N
1046618	3579	1997-12-31	VYDAJ	VYBER	15	66647	SLUZBY	\N	\N
1046619	3579	1998-01-31	VYDAJ	VYBER	15	47741	SLUZBY	\N	\N
1046620	3579	1998-02-28	VYDAJ	VYBER	15	56568	SLUZBY	\N	\N
1046621	3579	1998-03-31	VYDAJ	VYBER	15	66836	SLUZBY	\N	\N
1046622	3579	1998-04-30	VYDAJ	VYBER	15	68124	SLUZBY	\N	\N
1046623	3579	1998-05-31	VYDAJ	VYBER	15	68662	SLUZBY	\N	\N
1046624	3579	1998-06-30	VYDAJ	VYBER	15	68561	SLUZBY	\N	\N
1046625	3579	1998-07-31	VYDAJ	VYBER	15	74167	SLUZBY	\N	\N
1046626	3579	1998-08-31	VYDAJ	VYBER	15	78874	SLUZBY	\N	\N
1046627	3579	1998-09-30	VYDAJ	VYBER	15	87395	SLUZBY	\N	\N
1046628	3579	1998-10-31	VYDAJ	VYBER	15	91475	SLUZBY	\N	\N
1046629	3579	1998-11-30	VYDAJ	VYBER	15	94588	SLUZBY	\N	\N
1046630	3579	1994-10-02	PRIJEM	VKLAD	1400	26551	\N	\N	\N
1046631	3579	1994-11-01	VYDAJ	VYBER	12300	38509	\N	\N	\N
1046632	3579	1994-12-01	VYDAJ	VYBER	18500	44337	\N	\N	\N
1046633	3579	1994-12-31	VYDAJ	VYBER	28200	52570	\N	\N	\N
1046634	3579	1995-01-30	VYDAJ	VYBER	15200	46955	\N	\N	\N
1046635	3579	1995-03-01	VYDAJ	VYBER	20300	47742	\N	\N	\N
1046636	3579	1995-03-31	VYDAJ	VYBER	20400	48235	\N	\N	\N
1046637	3579	1995-04-30	VYDAJ	VYBER	18100	48235	\N	\N	\N
1046638	3579	1995-05-30	VYDAJ	VYBER	21800	47060	\N	\N	\N
1046639	3579	1995-06-29	VYDAJ	VYBER	11800	37469	\N	\N	\N
1046640	3579	1995-07-29	VYDAJ	VYBER	12300	43940	\N	\N	\N
1046641	3579	1995-08-28	VYDAJ	VYBER	12800	47747	\N	\N	\N
1046642	3579	1995-09-27	VYDAJ	VYBER	19300	49276	\N	\N	\N
1046643	3579	1995-10-27	VYDAJ	VYBER	19000	51124	\N	\N	\N
1046644	3579	1995-11-26	VYDAJ	VYBER	20400	51577	\N	\N	\N
1046645	3579	1995-12-26	VYDAJ	VYBER	26400	54719	\N	\N	\N
1046646	3579	1996-01-25	VYDAJ	VYBER	15100	41496	\N	\N	\N
1046647	3579	1996-02-24	VYDAJ	VYBER	13300	45682	\N	\N	\N
1046648	3579	1996-03-25	VYDAJ	VYBER	15800	50687	\N	\N	\N
1046649	3579	1996-04-24	VYDAJ	VYBER	19600	51923	\N	\N	\N
1046650	3579	1996-05-24	VYDAJ	VYBER	18000	54774	\N	\N	\N
1046651	3579	1996-06-23	VYDAJ	VYBER	20400	53995	\N	\N	\N
1046652	3579	1996-07-23	VYDAJ	VYBER	19400	55463	\N	\N	\N
1046653	3579	1996-08-22	VYDAJ	VYBER	11600	58122	\N	\N	\N
1046654	3579	1996-09-21	VYDAJ	VYBER	16600	62380	\N	\N	\N
1046655	3579	1996-10-21	VYDAJ	VYBER	17600	61334	\N	\N	\N
1046656	3579	1996-11-20	VYDAJ	VYBER	19100	60110	\N	\N	\N
1046657	3579	1996-12-20	VYDAJ	VYBER	22000	59312	\N	\N	\N
1046658	3579	1997-01-19	VYDAJ	VYBER	12700	59205	\N	\N	\N
1046659	3579	1997-02-18	VYDAJ	VYBER	7400	53776	\N	\N	\N
1046660	3579	1997-03-20	VYDAJ	VYBER	14500	60100	\N	\N	\N
1046661	3579	1997-04-19	VYDAJ	VYBER	20700	60260	\N	\N	\N
1046662	3579	1997-05-19	VYDAJ	VYBER	19300	61834	\N	\N	\N
1046663	3579	1997-06-18	VYDAJ	VYBER	24700	69454	\N	\N	\N
1046664	3579	1997-07-18	VYDAJ	VYBER	7600	42745	\N	\N	\N
1046665	3579	1997-08-17	VYDAJ	VYBER	13000	50513	\N	\N	\N
1046666	3579	1997-09-16	VYDAJ	VYBER	10400	57561	\N	\N	\N
1046667	3579	1997-10-16	VYDAJ	VYBER	15300	57209	\N	\N	\N
1046668	3579	1997-11-15	VYDAJ	VYBER	17100	60950	\N	\N	\N
1046669	3579	1997-12-15	VYDAJ	VYBER	24900	68951	\N	\N	\N
1046670	3579	1998-01-14	VYDAJ	VYBER	6300	62152	\N	\N	\N
1046671	3579	1998-02-13	VYDAJ	VYBER	12000	59826	\N	\N	\N
1046672	3579	1998-03-15	VYDAJ	VYBER	10600	66593	\N	\N	\N
1046673	3579	1998-04-14	VYDAJ	VYBER	19600	71321	\N	\N	\N
1046674	3579	1998-05-14	VYDAJ	VYBER	20400	68349	\N	\N	\N
1046675	3579	1998-06-13	VYDAJ	VYBER	25200	79590	\N	\N	\N
1046676	3579	1998-07-13	VYDAJ	VYBER	15300	77346	\N	\N	\N
1046677	3579	1998-08-12	VYDAJ	VYBER	15500	82032	\N	\N	\N
1046678	3579	1998-09-11	VYDAJ	VYBER	9200	69674	\N	\N	\N
1046679	3579	1998-10-11	VYDAJ	VYBER	16900	70495	\N	\N	\N
1046680	3579	1998-11-10	VYDAJ	VYBER	15000	76475	\N	\N	\N
1046681	3579	1998-12-10	VYDAJ	VYBER	15800	78788	\N	\N	\N
1046682	3579	1998-12-12	VYDAJ	VYBER	32500	82416	\N	\N	\N
1046735	3580	1993-08-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1046743	3580	1993-08-12	PRIJEM	VKLAD	14631	15631	\N	\N	\N
1046744	3580	1993-09-12	PRIJEM	VKLAD	14631	32904	\N	\N	\N
1046745	3580	1993-10-12	PRIJEM	VKLAD	14631	41613	\N	\N	\N
1046746	3580	1993-11-12	PRIJEM	VKLAD	14631	45957	\N	\N	\N
1046747	3580	1993-12-12	PRIJEM	VKLAD	21946	56034	\N	\N	\N
1046748	3580	1994-01-12	PRIJEM	VKLAD	14631	49985	\N	\N	\N
1046749	3580	1994-02-12	PRIJEM	VKLAD	14631	39464	\N	\N	\N
1046750	3580	1994-03-12	PRIJEM	VKLAD	14631	43360	\N	\N	\N
1046751	3580	1994-04-12	PRIJEM	VKLAD	14631	43766	\N	\N	\N
1046752	3580	1994-05-12	PRIJEM	VKLAD	14631	45117	\N	\N	\N
1046753	3580	1994-06-12	PRIJEM	VKLAD	21946	55250	\N	\N	\N
1046754	3580	1994-07-12	PRIJEM	VKLAD	14631	33547	\N	\N	\N
1046755	3580	1994-08-12	PRIJEM	VKLAD	14631	41219	\N	\N	\N
1046756	3580	1994-09-12	PRIJEM	VKLAD	14631	44419	\N	\N	\N
1046757	3580	1994-10-12	PRIJEM	VKLAD	14631	49534	\N	\N	\N
1046758	3580	1994-11-12	PRIJEM	VKLAD	14631	51867	\N	\N	\N
1046759	3580	1994-12-12	PRIJEM	VKLAD	21946	56860	\N	\N	\N
1046760	3580	1995-01-12	PRIJEM	VKLAD	14631	46662	\N	\N	\N
1046761	3580	1995-02-12	PRIJEM	VKLAD	14631	40456	\N	\N	\N
1046762	3580	1995-03-12	PRIJEM	VKLAD	14631	44550	\N	\N	\N
1046763	3580	1995-04-12	PRIJEM	VKLAD	14631	49463	\N	\N	\N
1046764	3580	1995-05-12	PRIJEM	VKLAD	14631	52094	\N	\N	\N
1046765	3580	1995-06-12	PRIJEM	VKLAD	21946	57527	\N	\N	\N
1046766	3580	1995-07-12	PRIJEM	VKLAD	14631	40815	\N	\N	\N
1046767	3580	1995-08-12	PRIJEM	VKLAD	14631	50617	\N	\N	\N
1046768	3580	1995-09-12	PRIJEM	VKLAD	14631	55153	\N	\N	\N
1046769	3580	1995-10-12	PRIJEM	VKLAD	14631	59206	\N	\N	\N
1046770	3580	1995-11-12	PRIJEM	VKLAD	14631	56865	\N	\N	\N
1046771	3580	1995-12-12	PRIJEM	VKLAD	21946	56352	\N	\N	\N
1046772	3580	1996-01-12	PRIJEM	VKLAD	14631	52376	\N	\N	\N
1046773	3580	1996-02-12	PRIJEM	VKLAD	14631	41900	\N	\N	\N
1046774	3580	1996-03-12	PRIJEM	VKLAD	14631	47597	\N	\N	\N
1046775	3580	1996-04-12	PRIJEM	VKLAD	14631	51415	\N	\N	\N
1046776	3580	1996-05-12	PRIJEM	VKLAD	14631	52243	\N	\N	\N
1046777	3580	1996-06-12	PRIJEM	VKLAD	21946	64797	\N	\N	\N
1046778	3580	1996-07-12	PRIJEM	VKLAD	14631	42310	\N	\N	\N
1046779	3580	1996-08-12	PRIJEM	VKLAD	14631	51616	\N	\N	\N
1046780	3580	1996-09-12	PRIJEM	VKLAD	14631	54245	\N	\N	\N
1046781	3580	1996-10-12	PRIJEM	VKLAD	14631	57485	\N	\N	\N
1046782	3580	1996-11-12	PRIJEM	VKLAD	14631	59118	\N	\N	\N
1046783	3580	1996-12-12	PRIJEM	VKLAD	21946	67115	\N	\N	\N
1046784	3580	1997-01-12	PRIJEM	VKLAD	14631	53832	\N	\N	\N
1046785	3580	1997-02-12	PRIJEM	VKLAD	14631	57883	\N	\N	\N
1046786	3580	1997-03-12	PRIJEM	VKLAD	14631	67391	\N	\N	\N
1046787	3580	1997-04-12	PRIJEM	VKLAD	14631	71487	\N	\N	\N
1046788	3580	1997-05-12	PRIJEM	VKLAD	14631	71115	\N	\N	\N
1046789	3580	1997-06-12	PRIJEM	VKLAD	21946	71521	\N	\N	\N
1046790	3580	1997-07-12	PRIJEM	VKLAD	14631	54293	\N	\N	\N
1046791	3580	1997-08-12	PRIJEM	VKLAD	14631	59740	\N	\N	\N
1046792	3580	1997-09-12	PRIJEM	VKLAD	14631	67027	\N	\N	\N
1046793	3580	1997-10-12	PRIJEM	VKLAD	14631	63540	\N	\N	\N
1046794	3580	1997-11-12	PRIJEM	VKLAD	14631	63459	\N	\N	\N
1046795	3580	1997-12-12	PRIJEM	VKLAD	21946	70173	\N	\N	\N
1046796	3580	1998-01-12	PRIJEM	VKLAD	14631	54349	\N	\N	\N
1046797	3580	1998-02-12	PRIJEM	VKLAD	14631	52338	\N	\N	\N
1046798	3580	1998-03-12	PRIJEM	VKLAD	14631	61584	\N	\N	\N
1046799	3580	1998-04-12	PRIJEM	VKLAD	14631	65872	\N	\N	\N
1046800	3580	1998-05-12	PRIJEM	VKLAD	14631	68482	\N	\N	\N
1046801	3580	1998-06-12	PRIJEM	VKLAD	21946	58779	\N	\N	\N
1046802	3580	1998-07-12	PRIJEM	VKLAD	14631	65476	\N	\N	\N
1046803	3580	1998-08-12	PRIJEM	VKLAD	14631	70881	\N	\N	\N
1046804	3580	1998-09-12	PRIJEM	VKLAD	14631	73111	\N	\N	\N
1046805	3580	1998-10-12	PRIJEM	VKLAD	14631	76252	\N	\N	\N
1046806	3580	1998-11-12	PRIJEM	VKLAD	14631	81705	\N	\N	\N
1046807	3580	1998-12-12	PRIJEM	VKLAD	21946	94994	\N	\N	\N
1046820	3580	1994-01-08	VYDAJ	PREVOD NA UCET	3430	36289	SIPO	EF	31000817
1046821	3580	1994-02-08	VYDAJ	PREVOD NA UCET	3430	25168	SIPO	EF	31000817
1046822	3580	1994-03-08	VYDAJ	PREVOD NA UCET	3430	29064	SIPO	EF	31000817
1046823	3580	1994-04-08	VYDAJ	PREVOD NA UCET	3430	29470	SIPO	EF	31000817
1046824	3580	1994-05-08	VYDAJ	PREVOD NA UCET	3430	30821	SIPO	EF	31000817
1046825	3580	1994-06-08	VYDAJ	PREVOD NA UCET	3430	33639	SIPO	EF	31000817
1046826	3580	1994-07-08	VYDAJ	PREVOD NA UCET	3430	19251	SIPO	EF	31000817
1046827	3580	1994-08-08	VYDAJ	PREVOD NA UCET	3430	26923	SIPO	EF	31000817
1046828	3580	1994-09-08	VYDAJ	PREVOD NA UCET	3430	30123	SIPO	EF	31000817
1046829	3580	1994-10-08	VYDAJ	PREVOD NA UCET	3430	35238	SIPO	EF	31000817
1046830	3580	1994-11-08	VYDAJ	PREVOD NA UCET	3430	37571	SIPO	EF	31000817
1046831	3580	1994-12-08	VYDAJ	PREVOD NA UCET	3430	35249	SIPO	EF	31000817
1046832	3580	1995-01-08	VYDAJ	PREVOD NA UCET	3430	36686	SIPO	EF	31000817
1046833	3580	1995-02-08	VYDAJ	PREVOD NA UCET	3430	26160	SIPO	EF	31000817
1046834	3580	1995-03-08	VYDAJ	PREVOD NA UCET	3430	30254	SIPO	EF	31000817
1046835	3580	1995-04-08	VYDAJ	PREVOD NA UCET	3430	35167	SIPO	EF	31000817
1046836	3580	1995-05-08	VYDAJ	PREVOD NA UCET	3430	37798	SIPO	EF	31000817
1046837	3580	1995-06-08	VYDAJ	PREVOD NA UCET	3430	35916	SIPO	EF	31000817
1046838	3580	1995-07-08	VYDAJ	PREVOD NA UCET	3430	26519	SIPO	EF	31000817
1046839	3580	1995-08-08	VYDAJ	PREVOD NA UCET	3430	36321	SIPO	EF	31000817
1046840	3580	1995-09-08	VYDAJ	PREVOD NA UCET	3430	40857	SIPO	EF	31000817
1046841	3580	1995-10-08	VYDAJ	PREVOD NA UCET	3430	44910	SIPO	EF	31000817
1046842	3580	1995-11-08	VYDAJ	PREVOD NA UCET	3430	42569	SIPO	EF	31000817
1046843	3580	1995-12-08	VYDAJ	PREVOD NA UCET	3430	40261	SIPO	EF	31000817
1046844	3580	1996-01-08	VYDAJ	PREVOD NA UCET	3430	38800	SIPO	EF	31000817
1046845	3580	1996-02-08	VYDAJ	PREVOD NA UCET	3430	27604	SIPO	EF	31000817
1046846	3580	1996-03-08	VYDAJ	PREVOD NA UCET	3430	33301	SIPO	EF	31000817
1046847	3580	1996-04-08	VYDAJ	PREVOD NA UCET	3430	37119	SIPO	EF	31000817
1046848	3580	1996-05-08	VYDAJ	PREVOD NA UCET	3430	37947	SIPO	EF	31000817
1046849	3580	1996-06-08	VYDAJ	PREVOD NA UCET	3430	43186	SIPO	EF	31000817
1046850	3580	1996-07-08	VYDAJ	PREVOD NA UCET	3430	28014	SIPO	EF	31000817
1046851	3580	1996-08-08	VYDAJ	PREVOD NA UCET	3430	37320	SIPO	EF	31000817
1046852	3580	1996-09-08	VYDAJ	PREVOD NA UCET	3430	39949	SIPO	EF	31000817
1046853	3580	1996-10-08	VYDAJ	PREVOD NA UCET	3430	43189	SIPO	EF	31000817
1046854	3580	1996-11-08	VYDAJ	PREVOD NA UCET	3430	44822	SIPO	EF	31000817
1046855	3580	1996-12-08	VYDAJ	PREVOD NA UCET	3430	45504	SIPO	EF	31000817
1046856	3580	1997-01-08	VYDAJ	PREVOD NA UCET	3430	49016	SIPO	EF	31000817
1046857	3580	1997-02-08	VYDAJ	PREVOD NA UCET	3430	40787	SIPO	EF	31000817
1046858	3580	1997-03-08	VYDAJ	PREVOD NA UCET	3430	53095	SIPO	EF	31000817
1046859	3580	1997-04-08	VYDAJ	PREVOD NA UCET	3430	57191	SIPO	EF	31000817
1046860	3580	1997-05-08	VYDAJ	PREVOD NA UCET	3430	56819	SIPO	EF	31000817
1046861	3580	1997-06-08	VYDAJ	PREVOD NA UCET	3430	53810	SIPO	EF	31000817
1046862	3580	1997-07-08	VYDAJ	PREVOD NA UCET	3430	31197	SIPO	EF	31000817
1046863	3580	1997-08-08	VYDAJ	PREVOD NA UCET	3430	51044	SIPO	EF	31000817
1046864	3580	1997-09-08	VYDAJ	PREVOD NA UCET	3430	56531	SIPO	EF	31000817
1046865	3580	1997-10-08	VYDAJ	PREVOD NA UCET	3430	62044	SIPO	EF	31000817
1046866	3580	1997-11-08	VYDAJ	PREVOD NA UCET	3430	49163	SIPO	EF	31000817
1046867	3580	1997-12-08	VYDAJ	PREVOD NA UCET	3430	48562	SIPO	EF	31000817
1046868	3580	1998-01-08	VYDAJ	PREVOD NA UCET	3430	40053	SIPO	EF	31000817
1046869	3580	1998-02-08	VYDAJ	PREVOD NA UCET	3430	38042	SIPO	EF	31000817
1046870	3580	1998-03-08	VYDAJ	PREVOD NA UCET	3430	47288	SIPO	EF	31000817
1046871	3580	1998-04-08	VYDAJ	PREVOD NA UCET	3430	51576	SIPO	EF	31000817
1046872	3580	1998-05-08	VYDAJ	PREVOD NA UCET	3430	54186	SIPO	EF	31000817
1046873	3580	1998-06-08	VYDAJ	PREVOD NA UCET	3430	55408	SIPO	EF	31000817
1046874	3580	1998-07-08	VYDAJ	PREVOD NA UCET	3430	51180	SIPO	EF	31000817
1046875	3580	1998-08-08	VYDAJ	PREVOD NA UCET	3430	56585	SIPO	EF	31000817
1046876	3580	1998-09-08	VYDAJ	PREVOD NA UCET	3430	58815	SIPO	EF	31000817
1046877	3580	1998-10-08	VYDAJ	PREVOD NA UCET	3430	61956	SIPO	EF	31000817
1046878	3580	1998-11-08	VYDAJ	PREVOD NA UCET	3430	67409	SIPO	EF	31000817
1046879	3580	1998-12-08	VYDAJ	PREVOD NA UCET	3430	73383	SIPO	EF	31000817
1046892	3580	1994-01-11	VYDAJ	PREVOD NA UCET	335	35354	 	AB	9052366
1046893	3580	1994-02-11	VYDAJ	PREVOD NA UCET	335	24833	 	AB	9052366
1046894	3580	1994-03-11	VYDAJ	PREVOD NA UCET	335	28729	 	AB	9052366
1046895	3580	1994-04-11	VYDAJ	PREVOD NA UCET	335	29135	 	AB	9052366
1046896	3580	1994-05-11	VYDAJ	PREVOD NA UCET	335	30486	 	AB	9052366
1046897	3580	1994-06-11	VYDAJ	PREVOD NA UCET	335	33304	 	AB	9052366
1046898	3580	1994-07-11	VYDAJ	PREVOD NA UCET	335	18916	 	AB	9052366
1046899	3580	1994-08-11	VYDAJ	PREVOD NA UCET	335	26588	 	AB	9052366
1046900	3580	1994-09-11	VYDAJ	PREVOD NA UCET	335	29788	 	AB	9052366
1046901	3580	1994-10-11	VYDAJ	PREVOD NA UCET	335	34903	 	AB	9052366
1046902	3580	1994-11-11	VYDAJ	PREVOD NA UCET	335	37236	 	AB	9052366
1046903	3580	1994-12-11	VYDAJ	PREVOD NA UCET	335	34914	 	AB	9052366
1046904	3580	1995-01-11	VYDAJ	PREVOD NA UCET	335	32031	 	AB	9052366
1046905	3580	1995-02-11	VYDAJ	PREVOD NA UCET	335	25825	 	AB	9052366
1046906	3580	1995-03-11	VYDAJ	PREVOD NA UCET	335	29919	 	AB	9052366
1046907	3580	1995-04-11	VYDAJ	PREVOD NA UCET	335	34832	 	AB	9052366
1046908	3580	1995-05-11	VYDAJ	PREVOD NA UCET	335	37463	 	AB	9052366
1046909	3580	1995-06-11	VYDAJ	PREVOD NA UCET	335	35581	 	AB	9052366
1046910	3580	1995-07-11	VYDAJ	PREVOD NA UCET	335	26184	 	AB	9052366
1046911	3580	1995-08-11	VYDAJ	PREVOD NA UCET	335	35986	 	AB	9052366
1046912	3580	1995-09-11	VYDAJ	PREVOD NA UCET	335	40522	 	AB	9052366
1046913	3580	1995-10-11	VYDAJ	PREVOD NA UCET	335	44575	 	AB	9052366
1046914	3580	1995-11-11	VYDAJ	PREVOD NA UCET	335	42234	 	AB	9052366
1046915	3580	1995-12-11	VYDAJ	PREVOD NA UCET	335	34406	 	AB	9052366
1046916	3580	1996-01-11	VYDAJ	PREVOD NA UCET	335	37745	 	AB	9052366
1046917	3580	1996-02-11	VYDAJ	PREVOD NA UCET	335	27269	 	AB	9052366
1046918	3580	1996-03-11	VYDAJ	PREVOD NA UCET	335	32966	 	AB	9052366
1046919	3580	1996-04-11	VYDAJ	PREVOD NA UCET	335	36784	 	AB	9052366
1046920	3580	1996-05-11	VYDAJ	PREVOD NA UCET	335	37612	 	AB	9052366
1046921	3580	1996-06-11	VYDAJ	PREVOD NA UCET	335	42851	 	AB	9052366
1046922	3580	1996-07-11	VYDAJ	PREVOD NA UCET	335	27679	 	AB	9052366
1046923	3580	1996-08-11	VYDAJ	PREVOD NA UCET	335	36985	 	AB	9052366
1046924	3580	1996-09-11	VYDAJ	PREVOD NA UCET	335	39614	 	AB	9052366
1046925	3580	1996-10-11	VYDAJ	PREVOD NA UCET	335	42854	 	AB	9052366
1046926	3580	1996-11-11	VYDAJ	PREVOD NA UCET	335	44487	 	AB	9052366
1046927	3580	1996-12-11	VYDAJ	PREVOD NA UCET	335	45169	 	AB	9052366
1046928	3580	1997-01-11	VYDAJ	PREVOD NA UCET	335	40521	 	AB	9052366
1046929	3580	1997-02-11	VYDAJ	PREVOD NA UCET	335	43252	 	AB	9052366
1046930	3580	1997-03-11	VYDAJ	PREVOD NA UCET	335	52760	 	AB	9052366
1046931	3580	1997-04-11	VYDAJ	PREVOD NA UCET	335	56856	 	AB	9052366
1046932	3580	1997-05-11	VYDAJ	PREVOD NA UCET	335	56484	 	AB	9052366
1046933	3580	1997-06-11	VYDAJ	PREVOD NA UCET	335	49575	 	AB	9052366
1046934	3580	1997-07-11	VYDAJ	PREVOD NA UCET	335	39662	 	AB	9052366
1046935	3580	1997-08-11	VYDAJ	PREVOD NA UCET	335	45109	 	AB	9052366
1046936	3580	1997-09-11	VYDAJ	PREVOD NA UCET	335	52396	 	AB	9052366
1046937	3580	1997-10-11	VYDAJ	PREVOD NA UCET	335	48909	 	AB	9052366
1046938	3580	1997-11-11	VYDAJ	PREVOD NA UCET	335	48828	 	AB	9052366
1046939	3580	1997-12-11	VYDAJ	PREVOD NA UCET	335	48227	 	AB	9052366
1046940	3580	1998-01-11	VYDAJ	PREVOD NA UCET	335	39718	 	AB	9052366
1046941	3580	1998-02-11	VYDAJ	PREVOD NA UCET	335	37707	 	AB	9052366
1046942	3580	1998-03-11	VYDAJ	PREVOD NA UCET	335	46953	 	AB	9052366
1046943	3580	1998-04-11	VYDAJ	PREVOD NA UCET	335	51241	 	AB	9052366
1046944	3580	1998-05-11	VYDAJ	PREVOD NA UCET	335	53851	 	AB	9052366
1046945	3580	1998-06-11	VYDAJ	PREVOD NA UCET	335	36833	 	AB	9052366
1046946	3580	1998-07-11	VYDAJ	PREVOD NA UCET	335	50845	 	AB	9052366
1046947	3580	1998-08-11	VYDAJ	PREVOD NA UCET	335	56250	 	AB	9052366
1046948	3580	1998-09-11	VYDAJ	PREVOD NA UCET	335	58480	 	AB	9052366
1046949	3580	1998-10-11	VYDAJ	PREVOD NA UCET	335	61621	 	AB	9052366
1046950	3580	1998-11-11	VYDAJ	PREVOD NA UCET	335	67074	 	AB	9052366
1046951	3580	1998-12-11	VYDAJ	PREVOD NA UCET	335	73048	 	AB	9052366
1046953	3580	1994-06-23	VYDAJ	VYBER	33120	22130	\N	\N	\N
1046954	3580	1995-06-12	VYDAJ	VYBER	34240	23287	\N	\N	\N
1046955	3580	1996-06-27	VYDAJ	VYBER	19840	31257	\N	\N	\N
1046956	3580	1997-06-25	VYDAJ	VYBER	37120	34401	\N	\N	\N
1046957	3580	1998-06-11	VYDAJ	VYBER	18240	37168	\N	\N	\N
1046959	3580	1994-01-19	VYDAJ	VYBER	4640	44145	\N	\N	\N
1046960	3580	1995-01-24	VYDAJ	VYBER	5600	30762	\N	\N	\N
1046961	3580	1996-01-25	VYDAJ	VYBER	4480	35556	\N	\N	\N
1046962	3580	1997-01-10	VYDAJ	VYBER	8160	40856	\N	\N	\N
1046963	3580	1998-01-06	VYDAJ	VYBER	12000	50783	\N	\N	\N
1046964	3580	1993-12-15	VYDAJ	VYBER	2880	53154	\N	\N	\N
1046965	3580	1994-12-01	VYDAJ	VYBER	1760	38679	\N	\N	\N
1046966	3580	1995-12-21	VYDAJ	VYBER	3040	43612	\N	\N	\N
1046967	3580	1996-12-07	VYDAJ	VYBER	3680	48934	\N	\N	\N
1046968	3580	1997-12-21	VYDAJ	VYBER	4640	65533	\N	\N	\N
1046969	3580	1998-12-22	VYDAJ	VYBER KARTOU	2200	92794	\N	\N	0
1046976	3580	1994-01-30	VYDAJ	VYBER	2280	28445	\N	\N	\N
1046977	3580	1994-01-21	VYDAJ	VYBER	600	40305	\N	\N	\N
1046978	3580	1994-01-23	VYDAJ	VYBER	2880	37425	\N	\N	\N
1046979	3580	1994-01-20	VYDAJ	VYBER	3240	40905	\N	\N	\N
1046980	3580	1994-01-18	VYDAJ	VYBER	1200	48785	\N	\N	\N
1046981	3580	1994-01-10	VYDAJ	VYBER	600	35689	\N	\N	\N
1046982	3580	1995-01-19	VYDAJ	VYBER	840	43662	\N	\N	\N
1046983	3580	1995-01-16	VYDAJ	VYBER	2160	44502	\N	\N	\N
1046984	3580	1995-01-10	VYDAJ	VYBER	2640	34046	\N	\N	\N
1046985	3580	1995-01-04	VYDAJ	VYBER	840	40716	\N	\N	\N
1046986	3580	1995-01-11	VYDAJ	VYBER	1680	32366	\N	\N	\N
1046987	3580	1995-01-08	VYDAJ	VYBER	600	40116	\N	\N	\N
1046988	3580	1996-01-17	VYDAJ	VYBER	1560	47336	\N	\N	\N
1046989	3580	1996-01-01	VYDAJ	VYBER	1560	42230	\N	\N	\N
1046990	3580	1996-01-28	VYDAJ	VYBER	960	30876	\N	\N	\N
1046991	3580	1996-01-10	VYDAJ	VYBER	720	38080	\N	\N	\N
1046992	3580	1996-01-12	VYDAJ	VYBER	3480	48896	\N	\N	\N
1046993	3580	1996-01-25	VYDAJ	VYBER	600	40036	\N	\N	\N
1046994	3580	1997-01-06	VYDAJ	VYBER	2400	52446	\N	\N	\N
1046995	3580	1997-01-12	VYDAJ	VYBER	2280	51552	\N	\N	\N
1046996	3580	1997-01-02	VYDAJ	VYBER	1680	54846	\N	\N	\N
1046997	3580	1997-01-17	VYDAJ	VYBER	3480	45472	\N	\N	\N
1046998	3580	1997-01-11	VYDAJ	VYBER	1320	39201	\N	\N	\N
1046999	3580	1997-01-15	VYDAJ	VYBER	1800	48952	\N	\N	\N
1047000	3580	1998-01-14	VYDAJ	VYBER KARTOU	2800	51549	\N	\N	0
1047001	3580	1998-01-30	VYDAJ	VYBER KARTOU	700	41489	\N	\N	0
1047002	3580	1998-01-16	VYDAJ	VYBER KARTOU	1100	50449	\N	\N	0
1047003	3580	1998-01-24	VYDAJ	VYBER KARTOU	2600	42189	\N	\N	0
1047004	3580	1998-01-16	VYDAJ	VYBER KARTOU	1100	49349	\N	\N	0
1047005	3580	1998-01-06	VYDAJ	VYBER KARTOU	3000	62783	\N	\N	0
1047011	3580	1994-03-18	VYDAJ	VYBER	3600	39760	\N	\N	\N
1047012	3580	1994-12-18	VYDAJ	VYBER	2880	53980	\N	\N	\N
1047013	3580	1994-04-18	VYDAJ	VYBER	960	42806	\N	\N	\N
1047014	3580	1995-05-27	VYDAJ	VYBER	4920	39174	\N	\N	\N
1047015	3580	1995-12-08	VYDAJ	VYBER	5520	34741	\N	\N	\N
1047016	3580	1995-01-25	VYDAJ	VYBER	1320	29442	\N	\N	\N
1047017	3580	1995-12-07	VYDAJ	VYBER	2160	43691	\N	\N	\N
1047018	3580	1996-01-27	VYDAJ	VYBER	3720	31836	\N	\N	\N
1047019	3580	1996-10-23	VYDAJ	VYBER	3120	48065	\N	\N	\N
1047020	3580	1997-09-29	VYDAJ	VYBER KARTOU	1800	65227	\N	\N	0
1047021	3580	1997-10-19	VYDAJ	VYBER	5880	57660	\N	\N	\N
1047022	3580	1997-02-07	VYDAJ	VYBER	1440	44217	\N	\N	\N
1047023	3580	1997-03-01	VYDAJ	VYBER	1560	56525	\N	\N	\N
1047024	3580	1998-01-17	VYDAJ	VYBER	4560	44789	\N	\N	\N
1047025	3580	1998-07-06	VYDAJ	VYBER	5400	54610	\N	\N	\N
1047038	3580	1993-12-31	VYDAJ	VYBER	15	39719	SLUZBY	\N	\N
1047039	3580	1994-01-31	VYDAJ	VYBER	15	28598	SLUZBY	\N	\N
1047040	3580	1994-02-28	VYDAJ	VYBER	15	32494	SLUZBY	\N	\N
1047041	3580	1994-03-31	VYDAJ	VYBER	15	32900	SLUZBY	\N	\N
1047042	3580	1994-04-30	VYDAJ	VYBER	15	34251	SLUZBY	\N	\N
1047043	3580	1994-05-31	VYDAJ	VYBER	15	37069	SLUZBY	\N	\N
1047044	3580	1994-06-30	VYDAJ	VYBER	15	22681	SLUZBY	\N	\N
1047045	3580	1994-07-31	VYDAJ	VYBER	15	30353	SLUZBY	\N	\N
1047046	3580	1994-08-31	VYDAJ	VYBER	15	33553	SLUZBY	\N	\N
1047047	3580	1994-09-30	VYDAJ	VYBER	15	38668	SLUZBY	\N	\N
1047048	3580	1994-10-31	VYDAJ	VYBER	15	41001	SLUZBY	\N	\N
1047049	3580	1994-11-30	VYDAJ	VYBER	15	40439	SLUZBY	\N	\N
1047050	3580	1994-12-31	VYDAJ	VYBER	15	41556	SLUZBY	\N	\N
1047051	3580	1995-01-31	VYDAJ	VYBER	15	29590	SLUZBY	\N	\N
1047052	3580	1995-02-28	VYDAJ	VYBER	15	33684	SLUZBY	\N	\N
1047053	3580	1995-03-31	VYDAJ	VYBER	15	38597	SLUZBY	\N	\N
1047054	3580	1995-04-30	VYDAJ	VYBER	15	41228	SLUZBY	\N	\N
1047055	3580	1995-05-31	VYDAJ	VYBER	15	39346	SLUZBY	\N	\N
1047056	3580	1995-06-30	VYDAJ	VYBER	15	29949	SLUZBY	\N	\N
1047057	3580	1995-07-31	VYDAJ	VYBER	15	39751	SLUZBY	\N	\N
1047058	3580	1995-08-31	VYDAJ	VYBER	15	44287	SLUZBY	\N	\N
1047059	3580	1995-09-30	VYDAJ	VYBER	15	48340	SLUZBY	\N	\N
1047060	3580	1995-10-31	VYDAJ	VYBER	15	45999	SLUZBY	\N	\N
1047061	3580	1995-11-30	VYDAJ	VYBER	15	45851	SLUZBY	\N	\N
1047062	3580	1995-12-31	VYDAJ	VYBER	15	43790	SLUZBY	\N	\N
1047063	3580	1996-01-31	VYDAJ	VYBER	15	31034	SLUZBY	\N	\N
1047064	3580	1996-02-29	VYDAJ	VYBER	15	36731	SLUZBY	\N	\N
1047065	3580	1996-03-31	VYDAJ	VYBER	15	40549	SLUZBY	\N	\N
1047066	3580	1996-04-30	VYDAJ	VYBER	15	41377	SLUZBY	\N	\N
1047067	3580	1996-05-31	VYDAJ	VYBER	15	46616	SLUZBY	\N	\N
1047068	3580	1996-06-30	VYDAJ	VYBER	15	31444	SLUZBY	\N	\N
1047069	3580	1996-07-31	VYDAJ	VYBER	15	40750	SLUZBY	\N	\N
1047070	3580	1996-08-31	VYDAJ	VYBER	15	43379	SLUZBY	\N	\N
1047071	3580	1996-09-30	VYDAJ	VYBER	15	46619	SLUZBY	\N	\N
1047072	3580	1996-10-31	VYDAJ	VYBER	15	48252	SLUZBY	\N	\N
1047073	3580	1996-11-30	VYDAJ	VYBER	15	52614	SLUZBY	\N	\N
1047074	3580	1996-12-31	VYDAJ	VYBER	15	56526	SLUZBY	\N	\N
1047075	3580	1997-01-31	VYDAJ	VYBER	15	45657	SLUZBY	\N	\N
1047076	3580	1997-02-28	VYDAJ	VYBER	15	58085	SLUZBY	\N	\N
1047077	3580	1997-03-31	VYDAJ	VYBER	15	60621	SLUZBY	\N	\N
1047078	3580	1997-04-30	VYDAJ	VYBER	15	60249	SLUZBY	\N	\N
1047079	3580	1997-05-31	VYDAJ	VYBER	15	57240	SLUZBY	\N	\N
1047080	3580	1997-06-30	VYDAJ	VYBER	15	34627	SLUZBY	\N	\N
1047081	3580	1997-07-31	VYDAJ	VYBER	15	54474	SLUZBY	\N	\N
1047082	3580	1997-08-31	VYDAJ	VYBER	15	59961	SLUZBY	\N	\N
1047083	3580	1997-09-30	VYDAJ	VYBER	15	65474	SLUZBY	\N	\N
1047084	3580	1997-10-31	VYDAJ	VYBER	15	57893	SLUZBY	\N	\N
1047085	3580	1997-11-30	VYDAJ	VYBER	15	63692	SLUZBY	\N	\N
1047086	3580	1997-12-31	VYDAJ	VYBER	15	65783	SLUZBY	\N	\N
1047087	3580	1998-01-31	VYDAJ	VYBER	15	41672	SLUZBY	\N	\N
1047088	3580	1998-02-28	VYDAJ	VYBER	15	52518	SLUZBY	\N	\N
1047089	3580	1998-03-31	VYDAJ	VYBER	15	61806	SLUZBY	\N	\N
1047090	3580	1998-04-30	VYDAJ	VYBER	15	66116	SLUZBY	\N	\N
1047091	3580	1998-05-31	VYDAJ	VYBER	15	68738	SLUZBY	\N	\N
1047092	3580	1998-06-30	VYDAJ	VYBER	15	59010	SLUZBY	\N	\N
1047093	3580	1998-07-31	VYDAJ	VYBER	15	65715	SLUZBY	\N	\N
1047094	3580	1998-08-31	VYDAJ	VYBER	15	71145	SLUZBY	\N	\N
1047095	3580	1998-09-30	VYDAJ	VYBER	15	73386	SLUZBY	\N	\N
1047096	3580	1998-10-31	VYDAJ	VYBER	15	76539	SLUZBY	\N	\N
1047097	3580	1998-11-30	VYDAJ	VYBER	15	82013	SLUZBY	\N	\N
1047098	3580	1993-08-31	PRIJEM	VKLAD	2600	18231	\N	\N	\N
1047099	3580	1993-09-30	VYDAJ	VYBER	6000	26982	\N	\N	\N
1047100	3580	1993-10-30	VYDAJ	VYBER	10400	31213	\N	\N	\N
1047101	3580	1993-11-29	VYDAJ	VYBER	12000	33957	\N	\N	\N
1047102	3580	1993-12-29	VYDAJ	VYBER	13600	39554	\N	\N	\N
1047103	3580	1994-01-28	VYDAJ	VYBER	6700	30725	\N	\N	\N
1047104	3580	1994-02-27	VYDAJ	VYBER	7100	32364	\N	\N	\N
1047105	3580	1994-03-29	VYDAJ	VYBER	7000	32760	\N	\N	\N
1047106	3580	1994-04-28	VYDAJ	VYBER	8700	34106	\N	\N	\N
1047107	3580	1994-05-28	VYDAJ	VYBER	8200	36917	\N	\N	\N
1047108	3580	1994-06-27	PRIJEM	VKLAD	400	22530	\N	\N	\N
1047109	3580	1994-07-27	VYDAJ	VYBER	3300	30247	\N	\N	\N
1047110	3580	1994-08-26	VYDAJ	VYBER	7800	33419	\N	\N	\N
1047111	3580	1994-09-25	VYDAJ	VYBER	5900	38519	\N	\N	\N
1047112	3580	1994-10-25	VYDAJ	VYBER	8700	40834	\N	\N	\N
1047113	3580	1994-11-24	VYDAJ	VYBER	11600	40267	\N	\N	\N
1047114	3580	1994-12-24	VYDAJ	VYBER	12600	41380	\N	\N	\N
1047115	3580	1995-01-23	VYDAJ	VYBER	7300	36362	\N	\N	\N
1047116	3580	1995-02-22	VYDAJ	VYBER	6900	33556	\N	\N	\N
1047117	3580	1995-03-24	VYDAJ	VYBER	6100	38450	\N	\N	\N
1047118	3580	1995-04-23	VYDAJ	VYBER	8400	41063	\N	\N	\N
1047119	3580	1995-05-23	VYDAJ	VYBER	8000	44094	\N	\N	\N
1047120	3580	1995-06-22	PRIJEM	VKLAD	6500	29787	\N	\N	\N
1047121	3580	1995-07-22	VYDAJ	VYBER	1200	39615	\N	\N	\N
1047122	3580	1995-08-21	VYDAJ	VYBER	6500	44117	\N	\N	\N
1047123	3580	1995-09-20	VYDAJ	VYBER	7000	48153	\N	\N	\N
1047124	3580	1995-10-20	VYDAJ	VYBER	13400	45806	\N	\N	\N
1047125	3580	1995-11-19	VYDAJ	VYBER	11200	45665	\N	\N	\N
1047126	3580	1995-12-19	VYDAJ	VYBER	9700	46652	\N	\N	\N
1047127	3580	1996-01-18	VYDAJ	VYBER	6700	40636	\N	\N	\N
1047128	3580	1996-02-17	VYDAJ	VYBER	5300	36600	\N	\N	\N
1047129	3580	1996-03-18	VYDAJ	VYBER	7200	40397	\N	\N	\N
1047130	3580	1996-04-17	VYDAJ	VYBER	10200	41215	\N	\N	\N
1047131	3580	1996-05-17	VYDAJ	VYBER	5800	46443	\N	\N	\N
1047132	3580	1996-06-16	VYDAJ	VYBER	13700	51097	\N	\N	\N
1047133	3580	1996-07-16	VYDAJ	VYBER	1700	40610	\N	\N	\N
1047134	3580	1996-08-15	VYDAJ	VYBER	8400	43216	\N	\N	\N
1047135	3580	1996-09-14	VYDAJ	VYBER	7800	46445	\N	\N	\N
1047136	3580	1996-10-14	VYDAJ	VYBER	6300	51185	\N	\N	\N
1047137	3580	1996-11-13	VYDAJ	VYBER	6700	52418	\N	\N	\N
1047138	3580	1996-12-13	VYDAJ	VYBER	10800	56315	\N	\N	\N
1047139	3580	1997-01-12	VYDAJ	VYBER	800	50752	\N	\N	\N
1047140	3580	1997-02-11	PRIJEM	VKLAD	2800	43587	\N	\N	\N
1047141	3580	1997-03-13	VYDAJ	VYBER	7000	60391	\N	\N	\N
1047142	3580	1997-04-12	VYDAJ	VYBER	11500	59987	\N	\N	\N
1047143	3580	1997-05-12	VYDAJ	VYBER	14100	57015	\N	\N	\N
1047144	3580	1997-06-11	VYDAJ	VYBER KARTOU	3900	49910	\N	\N	0
1047145	3580	1997-07-11	PRIJEM	VKLAD	8800	39997	\N	\N	\N
1047146	3580	1997-08-10	VYDAJ	VYBER	5600	45444	\N	\N	\N
1047147	3580	1997-09-09	VYDAJ	VYBER KARTOU	3800	52731	\N	\N	0
1047148	3580	1997-10-09	VYDAJ	VYBER	12800	49244	\N	\N	\N
1047149	3580	1997-11-08	VYDAJ	VYBER	5300	52593	\N	\N	\N
1047150	3580	1997-12-08	VYDAJ	VYBER	11700	51992	\N	\N	\N
1047151	3580	1998-01-07	VYDAJ	VYBER	7300	43483	\N	\N	\N
1047152	3580	1998-02-06	VYDAJ	VYBER KARTOU	200	41472	\N	\N	0
1047153	3580	1998-03-08	VYDAJ	VYBER KARTOU	1800	50718	\N	\N	0
1047154	3580	1998-04-07	VYDAJ	VYBER	6800	55006	\N	\N	\N
1047155	3580	1998-05-07	VYDAJ	VYBER	8500	57616	\N	\N	\N
1047156	3580	1998-06-06	VYDAJ	VYBER	9900	58838	\N	\N	\N
1047157	3580	1998-07-06	PRIJEM	VKLAD	1000	60010	\N	\N	\N
1047158	3580	1998-08-05	VYDAJ	VYBER	5700	60015	\N	\N	\N
1047159	3580	1998-09-04	VYDAJ	VYBER	8900	62245	\N	\N	\N
1047160	3580	1998-10-04	VYDAJ	VYBER	8000	65386	\N	\N	\N
1047161	3580	1998-11-03	VYDAJ	VYBER	5700	70839	\N	\N	\N
1047162	3580	1998-12-03	VYDAJ	VYBER	5200	76813	\N	\N	\N
1047228	3581	1997-03-26	PRIJEM	VKLAD	600	600	\N	\N	\N
1047232	3581	1997-04-09	PRIJEM	VKLAD	9789	10389	\N	\N	\N
1047233	3581	1997-05-09	PRIJEM	VKLAD	9789	31096	\N	\N	\N
1047234	3581	1997-06-09	PRIJEM	VKLAD	14684	43275	\N	\N	\N
1047235	3581	1997-07-09	PRIJEM	VKLAD	9789	43388	\N	\N	\N
1047236	3581	1997-08-09	PRIJEM	VKLAD	9789	41414	\N	\N	\N
1047237	3581	1997-09-09	PRIJEM	VKLAD	9789	30005	\N	\N	\N
1047238	3581	1997-10-09	PRIJEM	VKLAD	9789	28185	\N	\N	\N
1047239	3581	1997-11-09	PRIJEM	VKLAD	9789	27157	\N	\N	\N
1047240	3581	1997-12-09	PRIJEM	VKLAD	14684	30423	\N	\N	\N
1047241	3581	1998-01-09	PRIJEM	VKLAD	9789	20393	\N	\N	\N
1047242	3581	1998-02-09	PRIJEM	VKLAD	9789	17729	\N	\N	\N
1047243	3581	1998-03-09	PRIJEM	VKLAD	9789	16864	\N	\N	\N
1047244	3581	1998-04-09	PRIJEM	VKLAD	9789	14590	\N	\N	\N
1047245	3581	1998-05-09	PRIJEM	VKLAD	9789	15608	\N	\N	\N
1047246	3581	1998-06-09	PRIJEM	VKLAD	14684	20624	\N	\N	\N
1047247	3581	1998-07-09	PRIJEM	VKLAD	9789	14950	\N	\N	\N
1047248	3581	1998-08-09	PRIJEM	VKLAD	9789	15168	\N	\N	\N
1047249	3581	1998-09-09	PRIJEM	VKLAD	9789	16492	\N	\N	\N
1047250	3581	1998-10-09	PRIJEM	VKLAD	9789	15414	\N	\N	\N
1047251	3581	1998-11-09	PRIJEM	VKLAD	9789	15933	\N	\N	\N
1047252	3581	1998-12-09	PRIJEM	VKLAD	14684	24155	\N	\N	\N
1047261	3581	1997-09-07	VYDAJ	PREVOD NA UCET	3663	23062	SIPO	EF	78509592
1047262	3581	1997-10-07	VYDAJ	PREVOD NA UCET	3663	21242	SIPO	EF	78509592
1047263	3581	1997-11-07	VYDAJ	PREVOD NA UCET	3663	20214	SIPO	EF	78509592
1047264	3581	1997-12-07	VYDAJ	PREVOD NA UCET	3663	18585	SIPO	EF	78509592
1047265	3581	1998-01-07	VYDAJ	PREVOD NA UCET	3663	13450	SIPO	EF	78509592
1047266	3581	1998-02-07	VYDAJ	PREVOD NA UCET	3663	10786	SIPO	EF	78509592
1047267	3581	1998-03-07	VYDAJ	PREVOD NA UCET	3663	9921	SIPO	EF	78509592
1047268	3581	1998-04-07	VYDAJ	PREVOD NA UCET	3663	7647	SIPO	EF	78509592
1047269	3581	1998-05-07	VYDAJ	PREVOD NA UCET	3663	8665	SIPO	EF	78509592
1047270	3581	1998-06-07	VYDAJ	PREVOD NA UCET	3663	8786	SIPO	EF	78509592
1047271	3581	1998-07-07	VYDAJ	PREVOD NA UCET	3663	8007	SIPO	EF	78509592
1047272	3581	1998-08-07	VYDAJ	PREVOD NA UCET	3663	8225	SIPO	EF	78509592
1047273	3581	1998-09-07	VYDAJ	PREVOD NA UCET	3663	9549	SIPO	EF	78509592
1047274	3581	1998-10-07	VYDAJ	PREVOD NA UCET	3663	8471	SIPO	EF	78509592
1047275	3581	1998-11-07	VYDAJ	PREVOD NA UCET	3663	8990	SIPO	EF	78509592
1047276	3581	1998-12-07	VYDAJ	PREVOD NA UCET	3663	12317	SIPO	EF	78509592
1047285	3581	1997-09-08	VYDAJ	PREVOD NA UCET	2846	20216	 	IJ	1107889
1047286	3581	1997-10-08	VYDAJ	PREVOD NA UCET	2846	18396	 	IJ	1107889
1047287	3581	1997-11-08	VYDAJ	PREVOD NA UCET	2846	17368	 	IJ	1107889
1047288	3581	1997-12-08	VYDAJ	PREVOD NA UCET	2846	15739	 	IJ	1107889
1047289	3581	1998-01-08	VYDAJ	PREVOD NA UCET	2846	10604	 	IJ	1107889
1047290	3581	1998-02-08	VYDAJ	PREVOD NA UCET	2846	7940	 	IJ	1107889
1047291	3581	1998-03-08	VYDAJ	PREVOD NA UCET	2846	7075	 	IJ	1107889
1047292	3581	1998-04-08	VYDAJ	PREVOD NA UCET	2846	4801	 	IJ	1107889
1047293	3581	1998-05-08	VYDAJ	PREVOD NA UCET	2846	5819	 	IJ	1107889
1047294	3581	1998-06-08	VYDAJ	PREVOD NA UCET	2846	5940	 	IJ	1107889
1047295	3581	1998-07-08	VYDAJ	PREVOD NA UCET	2846	5161	 	IJ	1107889
1047296	3581	1998-08-08	VYDAJ	PREVOD NA UCET	2846	5379	 	IJ	1107889
1047297	3581	1998-09-08	VYDAJ	PREVOD NA UCET	2846	6703	 	IJ	1107889
1047298	3581	1998-10-08	VYDAJ	PREVOD NA UCET	2846	5625	 	IJ	1107889
1047299	3581	1998-11-08	VYDAJ	PREVOD NA UCET	2846	6144	 	IJ	1107889
1047300	3581	1998-12-08	VYDAJ	PREVOD NA UCET	2846	9471	 	IJ	1107889
1047305	3581	1997-12-28	VYDAJ	VYBER	2700	20023	\N	\N	\N
1047306	3581	1998-12-09	VYDAJ	VYBER	800	23355	\N	\N	\N
1047313	3581	1998-01-13	VYDAJ	VYBER	2300	18093	\N	\N	\N
1047314	3581	1998-01-04	VYDAJ	VYBER	900	19213	\N	\N	\N
1047315	3581	1998-01-06	VYDAJ	VYBER	2100	17113	\N	\N	\N
1047317	3581	1998-01-22	VYDAJ	VYBER	2400	14393	\N	\N	\N
1047319	3581	1997-11-28	VYDAJ	VYBER	3900	22157	\N	\N	\N
1047321	3581	1997-08-25	VYDAJ	VYBER	1500	26614	\N	\N	\N
1047324	3581	1998-09-02	VYDAJ	VYBER	2000	13212	\N	\N	\N
1047326	3581	1998-03-07	VYDAJ	VYBER	4600	13584	\N	\N	\N
1047338	3581	1997-08-31	VYDAJ	VYBER	15	26725	SLUZBY	\N	\N
1047339	3581	1997-09-30	VYDAJ	VYBER	15	24905	SLUZBY	\N	\N
1047340	3581	1997-10-31	VYDAJ	VYBER	15	23877	SLUZBY	\N	\N
1047341	3581	1997-11-30	VYDAJ	VYBER	15	22248	SLUZBY	\N	\N
1047342	3581	1997-12-31	VYDAJ	VYBER	15	20113	SLUZBY	\N	\N
1047343	3581	1998-01-31	VYDAJ	VYBER	15	14449	SLUZBY	\N	\N
1047344	3581	1998-02-28	VYDAJ	VYBER	15	18184	SLUZBY	\N	\N
1047345	3581	1998-03-31	VYDAJ	VYBER	15	11310	SLUZBY	\N	\N
1047346	3581	1998-04-30	VYDAJ	VYBER	15	12328	SLUZBY	\N	\N
1047347	3581	1998-05-31	VYDAJ	VYBER	15	12449	SLUZBY	\N	\N
1047348	3581	1998-06-30	VYDAJ	VYBER	15	11670	SLUZBY	\N	\N
1047349	3581	1998-07-31	VYDAJ	VYBER	15	11888	SLUZBY	\N	\N
1047350	3581	1998-08-31	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
1047351	3581	1998-09-30	VYDAJ	VYBER	15	12134	SLUZBY	\N	\N
1047352	3581	1998-10-31	VYDAJ	VYBER	15	12653	SLUZBY	\N	\N
1047353	3581	1998-11-30	VYDAJ	VYBER	15	15980	SLUZBY	\N	\N
1047354	3581	1997-04-25	PRIJEM	VKLAD	10900	21289	\N	\N	\N
1047355	3581	1997-05-25	VYDAJ	VYBER	2600	28496	\N	\N	\N
1047356	3581	1997-06-24	VYDAJ	VYBER	9800	33475	\N	\N	\N
1047357	3581	1997-07-24	VYDAJ	VYBER	11900	31488	\N	\N	\N
1047358	3581	1997-08-23	VYDAJ	VYBER	13300	28114	\N	\N	\N
1047359	3581	1997-09-22	VYDAJ	VYBER	5200	24805	\N	\N	\N
1047360	3581	1997-10-22	VYDAJ	VYBER	4400	23785	\N	\N	\N
1047361	3581	1997-11-21	VYDAJ	VYBER	1100	26057	\N	\N	\N
1047362	3581	1997-12-21	VYDAJ	VYBER	7700	22723	\N	\N	\N
1047363	3581	1998-01-20	VYDAJ	VYBER	1300	16793	\N	\N	\N
1047364	3581	1998-02-19	PRIJEM	VKLAD	400	18129	\N	\N	\N
1047365	3581	1998-03-21	VYDAJ	VYBER	5600	11264	\N	\N	\N
1047366	3581	1998-04-20	VYDAJ	VYBER	2300	12290	\N	\N	\N
1047367	3581	1998-05-20	VYDAJ	VYBER	3200	12408	\N	\N	\N
1047368	3581	1998-06-19	VYDAJ	VYBER	9000	11624	\N	\N	\N
1047369	3581	1998-07-19	VYDAJ	VYBER	3100	11850	\N	\N	\N
1047370	3581	1998-09-17	VYDAJ	VYBER	4400	12092	\N	\N	\N
1047371	3581	1998-10-17	VYDAJ	VYBER	2800	12614	\N	\N	\N
1047393	3582	1995-08-26	PRIJEM	VKLAD	700	700	\N	\N	\N
1047402	3582	1995-09-14	PRIJEM	PREVOD Z UCTU	2942	3642	\N	EF	81702202
1047403	3582	1995-10-14	PRIJEM	PREVOD Z UCTU	2942	6584	\N	EF	81702202
1047404	3582	1995-11-14	PRIJEM	PREVOD Z UCTU	2942	9526	\N	EF	81702202
1047405	3582	1995-12-14	PRIJEM	PREVOD Z UCTU	2942	12468	\N	EF	81702202
1047406	3582	1996-01-14	PRIJEM	PREVOD Z UCTU	2942	15410	\N	EF	81702202
1047407	3582	1996-02-14	PRIJEM	PREVOD Z UCTU	2942	14575	\N	EF	81702202
1047408	3582	1996-03-14	PRIJEM	PREVOD Z UCTU	2942	15600	\N	EF	81702202
1047409	3582	1996-04-14	PRIJEM	PREVOD Z UCTU	2942	16360	\N	EF	81702202
1047410	3582	1996-05-14	PRIJEM	PREVOD Z UCTU	2942	17392	\N	EF	81702202
1047411	3582	1996-06-14	PRIJEM	PREVOD Z UCTU	2942	18429	\N	EF	81702202
1047412	3582	1996-07-14	PRIJEM	PREVOD Z UCTU	2942	19471	\N	EF	81702202
1047413	3582	1996-08-14	PRIJEM	PREVOD Z UCTU	2942	19134	\N	EF	81702202
1047414	3582	1996-09-14	PRIJEM	PREVOD Z UCTU	2942	19279	\N	EF	81702202
1047415	3582	1996-10-14	PRIJEM	PREVOD Z UCTU	2942	20323	\N	EF	81702202
1047416	3582	1996-11-14	PRIJEM	PREVOD Z UCTU	2942	21372	\N	EF	81702202
1047417	3582	1996-12-14	PRIJEM	PREVOD Z UCTU	2942	20985	\N	EF	81702202
1047418	3582	1997-01-14	PRIJEM	PREVOD Z UCTU	2942	19903	\N	EF	81702202
1047419	3582	1997-02-14	PRIJEM	PREVOD Z UCTU	2942	18639	\N	EF	81702202
1047420	3582	1997-03-14	PRIJEM	PREVOD Z UCTU	2942	18539	\N	EF	81702202
1047421	3582	1997-04-14	PRIJEM	PREVOD Z UCTU	2942	18531	\N	EF	81702202
1047422	3582	1997-05-14	PRIJEM	PREVOD Z UCTU	2942	19572	\N	EF	81702202
1047423	3582	1997-06-14	PRIJEM	PREVOD Z UCTU	2942	20618	\N	EF	81702202
1047424	3582	1997-07-14	PRIJEM	PREVOD Z UCTU	2942	21669	\N	EF	81702202
1047425	3582	1997-08-14	PRIJEM	PREVOD Z UCTU	2942	22363	\N	EF	81702202
1047426	3582	1997-09-14	PRIJEM	PREVOD Z UCTU	2942	23421	\N	EF	81702202
1047427	3582	1997-10-14	PRIJEM	PREVOD Z UCTU	2942	23883	\N	EF	81702202
1047428	3582	1997-11-14	PRIJEM	PREVOD Z UCTU	2942	23927	\N	EF	81702202
1047429	3582	1997-12-14	PRIJEM	PREVOD Z UCTU	2942	24601	\N	EF	81702202
1047430	3582	1998-01-14	PRIJEM	PREVOD Z UCTU	2942	24377	\N	EF	81702202
1047431	3582	1998-02-14	PRIJEM	PREVOD Z UCTU	2942	23249	\N	EF	81702202
1047432	3582	1998-03-14	PRIJEM	PREVOD Z UCTU	2942	24010	\N	EF	81702202
1047433	3582	1998-04-14	PRIJEM	PREVOD Z UCTU	2942	25075	\N	EF	81702202
1047434	3582	1998-05-14	PRIJEM	PREVOD Z UCTU	2942	25944	\N	EF	81702202
1047435	3582	1998-06-14	PRIJEM	PREVOD Z UCTU	2942	25245	\N	EF	81702202
1047436	3582	1998-07-14	PRIJEM	PREVOD Z UCTU	2942	22914	\N	EF	81702202
1047437	3582	1998-08-14	PRIJEM	PREVOD Z UCTU	2942	22466	\N	EF	81702202
1047438	3582	1998-09-14	PRIJEM	PREVOD Z UCTU	2942	15545	\N	EF	81702202
1047439	3582	1998-10-14	PRIJEM	PREVOD Z UCTU	2942	16481	\N	EF	81702202
1047440	3582	1998-11-14	PRIJEM	PREVOD Z UCTU	2942	17512	\N	EF	81702202
1047441	3582	1998-12-14	PRIJEM	PREVOD Z UCTU	2942	17749	\N	EF	81702202
1047455	3582	1996-02-08	VYDAJ	PREVOD NA UCET	1961	11633	SIPO	MN	35781991
1047456	3582	1996-03-08	VYDAJ	PREVOD NA UCET	1961	12658	SIPO	MN	35781991
1047457	3582	1996-04-08	VYDAJ	PREVOD NA UCET	1961	13688	SIPO	MN	35781991
1047458	3582	1996-05-08	VYDAJ	PREVOD NA UCET	1961	14450	SIPO	MN	35781991
1047459	3582	1996-06-08	VYDAJ	PREVOD NA UCET	1961	15487	SIPO	MN	35781991
1047460	3582	1996-07-08	VYDAJ	PREVOD NA UCET	1961	16529	SIPO	MN	35781991
1047461	3582	1996-08-08	VYDAJ	PREVOD NA UCET	1961	16192	SIPO	MN	35781991
1047462	3582	1996-09-08	VYDAJ	PREVOD NA UCET	1961	16337	SIPO	MN	35781991
1047463	3582	1996-10-08	VYDAJ	PREVOD NA UCET	1961	17381	SIPO	MN	35781991
1047464	3582	1996-11-08	VYDAJ	PREVOD NA UCET	1961	18430	SIPO	MN	35781991
1047465	3582	1996-12-08	VYDAJ	PREVOD NA UCET	1961	18043	SIPO	MN	35781991
1047466	3582	1997-01-08	VYDAJ	PREVOD NA UCET	1961	17201	SIPO	MN	35781991
1047467	3582	1997-02-08	VYDAJ	PREVOD NA UCET	1961	15697	SIPO	MN	35781991
1047468	3582	1997-03-08	VYDAJ	PREVOD NA UCET	1961	15597	SIPO	MN	35781991
1047469	3582	1997-04-08	VYDAJ	PREVOD NA UCET	1961	15589	SIPO	MN	35781991
1047470	3582	1997-05-08	VYDAJ	PREVOD NA UCET	1961	16630	SIPO	MN	35781991
1047471	3582	1997-06-08	VYDAJ	PREVOD NA UCET	1961	17676	SIPO	MN	35781991
1047472	3582	1997-07-08	VYDAJ	PREVOD NA UCET	1961	18727	SIPO	MN	35781991
1047473	3582	1997-08-08	VYDAJ	PREVOD NA UCET	1961	19421	SIPO	MN	35781991
1047474	3582	1997-09-08	VYDAJ	PREVOD NA UCET	1961	20479	SIPO	MN	35781991
1047475	3582	1997-10-08	VYDAJ	PREVOD NA UCET	1961	21541	SIPO	MN	35781991
1047476	3582	1997-11-08	VYDAJ	PREVOD NA UCET	1961	20985	SIPO	MN	35781991
1047477	3582	1997-12-08	VYDAJ	PREVOD NA UCET	1961	22049	SIPO	MN	35781991
1047478	3582	1998-01-08	VYDAJ	PREVOD NA UCET	1961	21645	SIPO	MN	35781991
1047479	3582	1998-02-08	VYDAJ	PREVOD NA UCET	1961	20307	SIPO	MN	35781991
1047480	3582	1998-03-08	VYDAJ	PREVOD NA UCET	1961	21368	SIPO	MN	35781991
1047481	3582	1998-04-08	VYDAJ	PREVOD NA UCET	1961	22133	SIPO	MN	35781991
1047482	3582	1998-05-08	VYDAJ	PREVOD NA UCET	1961	23202	SIPO	MN	35781991
1047483	3582	1998-06-08	VYDAJ	PREVOD NA UCET	1961	23203	SIPO	MN	35781991
1047484	3582	1998-07-08	VYDAJ	PREVOD NA UCET	1961	22772	SIPO	MN	35781991
1047485	3582	1998-08-08	VYDAJ	PREVOD NA UCET	1961	21034	SIPO	MN	35781991
1047486	3582	1998-09-08	VYDAJ	PREVOD NA UCET	1961	19203	SIPO	MN	35781991
1047487	3582	1998-10-08	VYDAJ	PREVOD NA UCET	1961	13639	SIPO	MN	35781991
1047488	3582	1998-11-08	VYDAJ	PREVOD NA UCET	1961	14570	SIPO	MN	35781991
1047489	3582	1998-12-08	VYDAJ	PREVOD NA UCET	1961	14807	SIPO	MN	35781991
1047491	3582	1996-12-01	VYDAJ	VYBER	360	20004	\N	\N	\N
1047492	3582	1997-12-09	VYDAJ	VYBER	390	21659	\N	\N	\N
1047493	3582	1998-12-28	VYDAJ	VYBER	270	17479	\N	\N	\N
1047503	3582	1996-01-21	VYDAJ	VYBER	630	14360	\N	\N	\N
1047504	3582	1996-01-25	VYDAJ	VYBER	780	13580	\N	\N	\N
1047505	3582	1996-01-17	VYDAJ	VYBER	420	14990	\N	\N	\N
1047506	3582	1997-01-30	VYDAJ	VYBER	600	17593	\N	\N	\N
1047507	3582	1997-01-05	VYDAJ	VYBER	660	19162	\N	\N	\N
1047508	3582	1997-01-15	VYDAJ	VYBER	270	19633	\N	\N	\N
1047509	3582	1997-01-13	VYDAJ	VYBER	240	16961	\N	\N	\N
1047510	3582	1997-01-24	VYDAJ	VYBER	840	18793	\N	\N	\N
1047511	3582	1997-01-24	VYDAJ	VYBER	600	18193	\N	\N	\N
1047512	3582	1998-01-19	VYDAJ	VYBER	600	23627	\N	\N	\N
1047513	3582	1998-01-20	VYDAJ	VYBER	720	22907	\N	\N	\N
1047514	3582	1998-01-06	VYDAJ	VYBER	210	23606	\N	\N	\N
1047515	3582	1998-01-02	VYDAJ	VYBER	450	24236	\N	\N	\N
1047516	3582	1998-01-05	VYDAJ	VYBER	420	23816	\N	\N	\N
1047517	3582	1998-01-13	VYDAJ	VYBER	210	21435	\N	\N	\N
1047520	3582	1996-12-15	VYDAJ	VYBER	1230	19755	\N	\N	\N
1047521	3582	1996-09-03	VYDAJ	VYBER	900	18298	\N	\N	\N
1047522	3582	1996-11-27	VYDAJ	VYBER	1080	20292	\N	\N	\N
1047523	3582	1996-04-11	VYDAJ	VYBER	270	13418	\N	\N	\N
1047524	3582	1996-07-20	VYDAJ	VYBER	1380	18091	\N	\N	\N
1047525	3582	1997-10-13	VYDAJ	VYBER	600	20941	\N	\N	\N
1047526	3582	1997-02-22	VYDAJ	VYBER	1140	17499	\N	\N	\N
1047527	3582	1997-10-26	VYDAJ	VYBER	1020	22863	\N	\N	\N
1047528	3582	1997-04-03	VYDAJ	VYBER	1050	17550	\N	\N	\N
1047529	3582	1997-07-21	VYDAJ	VYBER	360	21309	\N	\N	\N
1047530	3582	1998-09-02	VYDAJ	VYBER	1380	21164	\N	\N	\N
1047531	3582	1998-05-26	VYDAJ	VYBER	870	25074	\N	\N	\N
1047532	3582	1998-01-18	VYDAJ	VYBER	150	24227	\N	\N	\N
1047533	3582	1998-06-21	VYDAJ	VYBER	390	24855	\N	\N	\N
1047534	3582	1998-08-10	VYDAJ	VYBER	810	19524	\N	\N	\N
1047535	3582	1998-07-06	VYDAJ	VYBER	210	24733	\N	\N	\N
1047536	3582	1998-01-31	VYDAJ	VYBER	720	22268	\N	\N	\N
1047550	3582	1996-01-31	VYDAJ	VYBER	15	13594	SLUZBY	\N	\N
1047551	3582	1996-02-29	VYDAJ	VYBER	15	14619	SLUZBY	\N	\N
1047552	3582	1996-03-31	VYDAJ	VYBER	15	15649	SLUZBY	\N	\N
1047553	3582	1996-04-30	VYDAJ	VYBER	15	16411	SLUZBY	\N	\N
1047554	3582	1996-05-31	VYDAJ	VYBER	15	17448	SLUZBY	\N	\N
1047555	3582	1996-06-30	VYDAJ	VYBER	15	18490	SLUZBY	\N	\N
1047556	3582	1996-07-31	VYDAJ	VYBER	15	18153	SLUZBY	\N	\N
1047557	3582	1996-08-31	VYDAJ	VYBER	15	19198	SLUZBY	\N	\N
1047558	3582	1996-09-30	VYDAJ	VYBER	15	19342	SLUZBY	\N	\N
1047559	3582	1996-10-31	VYDAJ	VYBER	15	20391	SLUZBY	\N	\N
1047560	3582	1996-11-30	VYDAJ	VYBER	15	20364	SLUZBY	\N	\N
1047561	3582	1996-12-31	VYDAJ	VYBER	15	19822	SLUZBY	\N	\N
1047562	3582	1997-01-31	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
1047563	3582	1997-02-28	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
1047564	3582	1997-03-31	VYDAJ	VYBER	15	18600	SLUZBY	\N	\N
1047565	3582	1997-04-30	VYDAJ	VYBER	15	18591	SLUZBY	\N	\N
1047566	3582	1997-05-31	VYDAJ	VYBER	15	19637	SLUZBY	\N	\N
1047567	3582	1997-06-30	VYDAJ	VYBER	15	20688	SLUZBY	\N	\N
1047568	3582	1997-07-31	VYDAJ	VYBER	15	21382	SLUZBY	\N	\N
1047569	3582	1997-08-31	VYDAJ	VYBER	15	22440	SLUZBY	\N	\N
1047570	3582	1997-09-30	VYDAJ	VYBER	15	23502	SLUZBY	\N	\N
1047571	3582	1997-10-31	VYDAJ	VYBER	15	22946	SLUZBY	\N	\N
1047572	3582	1997-11-30	VYDAJ	VYBER	15	24010	SLUZBY	\N	\N
1047573	3582	1997-12-31	VYDAJ	VYBER	15	24686	SLUZBY	\N	\N
1047574	3582	1998-01-31	VYDAJ	VYBER	15	22988	SLUZBY	\N	\N
1047575	3582	1998-02-28	VYDAJ	VYBER	15	23329	SLUZBY	\N	\N
1047576	3582	1998-03-31	VYDAJ	VYBER	15	24094	SLUZBY	\N	\N
1047577	3582	1998-04-30	VYDAJ	VYBER	15	25163	SLUZBY	\N	\N
1047578	3582	1998-05-31	VYDAJ	VYBER	15	25164	SLUZBY	\N	\N
1047579	3582	1998-06-30	VYDAJ	VYBER	15	24943	SLUZBY	\N	\N
1047580	3582	1998-07-31	VYDAJ	VYBER	15	22995	SLUZBY	\N	\N
1047581	3582	1998-08-31	VYDAJ	VYBER	15	22544	SLUZBY	\N	\N
1047582	3582	1998-09-30	VYDAJ	VYBER	15	15600	SLUZBY	\N	\N
1047583	3582	1998-10-31	VYDAJ	VYBER	15	16531	SLUZBY	\N	\N
1047584	3582	1998-11-30	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
1047585	3582	1998-03-13	VYDAJ	VYBER	300	21068	\N	\N	\N
1047586	3582	1998-05-12	VYDAJ	VYBER	200	23002	\N	\N	\N
1047587	3582	1998-06-11	VYDAJ	VYBER	900	22303	\N	\N	\N
1047588	3582	1998-07-11	VYDAJ	VYBER	2800	19972	\N	\N	\N
1047589	3582	1998-08-10	VYDAJ	VYBER	700	20334	\N	\N	\N
1047590	3582	1998-09-09	VYDAJ	VYBER	6600	12603	\N	\N	\N
1047591	3582	1998-10-09	VYDAJ	VYBER	100	13539	\N	\N	\N
1047592	3582	1998-12-08	VYDAJ	VYBER	800	16768	\N	\N	\N
1047629	3583	1995-02-03	PRIJEM	VKLAD	500	500	\N	\N	\N
1047631	3583	1995-02-11	PRIJEM	PREVOD Z UCTU	5336	5836	DUCHOD	WX	19092953
1047632	3583	1995-03-11	PRIJEM	PREVOD Z UCTU	5336	11188	DUCHOD	WX	19092953
1047633	3583	1995-04-11	PRIJEM	PREVOD Z UCTU	5336	16548	DUCHOD	WX	19092953
1047634	3583	1995-05-11	PRIJEM	PREVOD Z UCTU	5336	21908	DUCHOD	WX	19092953
1047635	3583	1995-06-11	PRIJEM	PREVOD Z UCTU	5336	27269	DUCHOD	WX	19092953
1047636	3583	1995-07-11	PRIJEM	PREVOD Z UCTU	5336	29579	DUCHOD	WX	19092953
1047637	3583	1995-08-11	PRIJEM	PREVOD Z UCTU	5336	26956	DUCHOD	WX	19092953
1047638	3583	1995-09-11	PRIJEM	PREVOD Z UCTU	5336	29290	DUCHOD	WX	19092953
1047639	3583	1995-10-11	PRIJEM	PREVOD Z UCTU	5336	30832	DUCHOD	WX	19092953
1047640	3583	1995-11-11	PRIJEM	PREVOD Z UCTU	5336	33182	DUCHOD	WX	19092953
1047641	3583	1995-12-11	PRIJEM	PREVOD Z UCTU	5336	35541	DUCHOD	WX	19092953
1047642	3583	1996-01-11	PRIJEM	PREVOD Z UCTU	5336	28664	DUCHOD	WX	19092953
1047643	3583	1996-02-11	PRIJEM	PREVOD Z UCTU	5336	27082	DUCHOD	WX	19092953
1047644	3583	1996-03-11	PRIJEM	PREVOD Z UCTU	5336	29416	DUCHOD	WX	19092953
1047645	3583	1996-04-11	PRIJEM	PREVOD Z UCTU	5336	28552	DUCHOD	WX	19092953
1047646	3583	1996-05-11	PRIJEM	PREVOD Z UCTU	5336	30892	DUCHOD	WX	19092953
1047647	3583	1996-06-11	PRIJEM	PREVOD Z UCTU	5336	26920	DUCHOD	WX	19092953
1047648	3583	1996-07-11	PRIJEM	PREVOD Z UCTU	5336	29260	DUCHOD	WX	19092953
1047649	3583	1996-08-11	PRIJEM	PREVOD Z UCTU	5336	31603	DUCHOD	WX	19092953
1047650	3583	1996-09-11	PRIJEM	PREVOD Z UCTU	5336	33956	DUCHOD	WX	19092953
1047651	3583	1996-10-11	PRIJEM	PREVOD Z UCTU	5336	36318	DUCHOD	WX	19092953
1047652	3583	1996-11-11	PRIJEM	PREVOD Z UCTU	5336	38290	DUCHOD	WX	19092953
1047653	3583	1996-12-11	PRIJEM	PREVOD Z UCTU	5336	39870	DUCHOD	WX	19092953
1047654	3583	1997-01-11	PRIJEM	PREVOD Z UCTU	5336	37169	DUCHOD	WX	19092953
1047655	3583	1997-02-11	PRIJEM	PREVOD Z UCTU	5336	31141	DUCHOD	WX	19092953
1047656	3583	1997-03-11	PRIJEM	PREVOD Z UCTU	5336	33498	DUCHOD	WX	19092953
1047657	3583	1997-04-11	PRIJEM	PREVOD Z UCTU	5336	35858	DUCHOD	WX	19092953
1047658	3583	1997-05-11	PRIJEM	PREVOD Z UCTU	5336	37828	DUCHOD	WX	19092953
1047659	3583	1997-06-11	PRIJEM	PREVOD Z UCTU	5336	26457	DUCHOD	WX	19092953
1047660	3583	1997-07-11	PRIJEM	PREVOD Z UCTU	5336	21839	DUCHOD	WX	19092953
1047661	3583	1997-08-11	PRIJEM	PREVOD Z UCTU	5336	24157	DUCHOD	WX	19092953
1047662	3583	1997-09-11	PRIJEM	PREVOD Z UCTU	5336	26478	DUCHOD	WX	19092953
1047663	3583	1997-10-11	PRIJEM	PREVOD Z UCTU	5336	25205	DUCHOD	WX	19092953
1047664	3583	1997-11-11	PRIJEM	PREVOD Z UCTU	5336	25613	DUCHOD	WX	19092953
1047665	3583	1997-12-11	PRIJEM	PREVOD Z UCTU	5336	26344	DUCHOD	WX	19092953
1047666	3583	1998-01-11	PRIJEM	PREVOD Z UCTU	5336	25695	DUCHOD	WX	19092953
1047667	3583	1998-02-11	PRIJEM	PREVOD Z UCTU	5336	21817	DUCHOD	WX	19092953
1047668	3583	1998-03-11	PRIJEM	PREVOD Z UCTU	5336	24128	DUCHOD	WX	19092953
1047669	3583	1998-04-11	PRIJEM	PREVOD Z UCTU	5336	26448	DUCHOD	WX	19092953
1047670	3583	1998-05-11	PRIJEM	PREVOD Z UCTU	5336	27415	DUCHOD	WX	19092953
1047671	3583	1998-06-11	PRIJEM	PREVOD Z UCTU	5336	29749	DUCHOD	WX	19092953
1047672	3583	1998-07-11	PRIJEM	PREVOD Z UCTU	5336	22029	DUCHOD	WX	19092953
1047673	3583	1998-08-11	PRIJEM	PREVOD Z UCTU	5336	22261	DUCHOD	WX	19092953
1047674	3583	1998-09-11	PRIJEM	PREVOD Z UCTU	5336	23772	DUCHOD	WX	19092953
1047675	3583	1998-10-11	PRIJEM	PREVOD Z UCTU	5336	26091	DUCHOD	WX	19092953
1047676	3583	1998-11-11	PRIJEM	PREVOD Z UCTU	5336	28419	DUCHOD	WX	19092953
1047677	3583	1998-12-11	PRIJEM	PREVOD Z UCTU	5336	29557	DUCHOD	WX	19092953
1047683	3583	1995-06-12	VYDAJ	PREVOD NA UCET	3084	24185	SIPO	ST	18402582
1047684	3583	1995-07-12	VYDAJ	PREVOD NA UCET	3084	26495	SIPO	ST	18402582
1047685	3583	1995-08-12	VYDAJ	PREVOD NA UCET	3084	23872	SIPO	ST	18402582
1047686	3583	1995-09-12	VYDAJ	PREVOD NA UCET	3084	26206	SIPO	ST	18402582
1047687	3583	1995-10-12	VYDAJ	PREVOD NA UCET	3084	27748	SIPO	ST	18402582
1047688	3583	1995-11-12	VYDAJ	PREVOD NA UCET	3084	30098	SIPO	ST	18402582
1047689	3583	1995-12-12	VYDAJ	PREVOD NA UCET	3084	32457	SIPO	ST	18402582
1047690	3583	1996-01-12	VYDAJ	PREVOD NA UCET	3084	25580	SIPO	ST	18402582
1047691	3583	1996-02-12	VYDAJ	PREVOD NA UCET	3084	23998	SIPO	ST	18402582
1047692	3583	1996-03-12	VYDAJ	PREVOD NA UCET	3084	26332	SIPO	ST	18402582
1047693	3583	1996-04-12	VYDAJ	PREVOD NA UCET	3084	25468	SIPO	ST	18402582
1047694	3583	1996-05-12	VYDAJ	PREVOD NA UCET	3084	27808	SIPO	ST	18402582
1047695	3583	1996-06-12	VYDAJ	PREVOD NA UCET	3084	23836	SIPO	ST	18402582
1047696	3583	1996-07-12	VYDAJ	PREVOD NA UCET	3084	26176	SIPO	ST	18402582
1047697	3583	1996-08-12	VYDAJ	PREVOD NA UCET	3084	28519	SIPO	ST	18402582
1047698	3583	1996-09-12	VYDAJ	PREVOD NA UCET	3084	30872	SIPO	ST	18402582
1047699	3583	1996-10-12	VYDAJ	PREVOD NA UCET	3084	33234	SIPO	ST	18402582
1047700	3583	1996-11-12	VYDAJ	PREVOD NA UCET	3084	35206	SIPO	ST	18402582
1047701	3583	1996-12-12	VYDAJ	PREVOD NA UCET	3084	36786	SIPO	ST	18402582
1047702	3583	1997-01-12	VYDAJ	PREVOD NA UCET	3084	34085	SIPO	ST	18402582
1047703	3583	1997-02-12	VYDAJ	PREVOD NA UCET	3084	28057	SIPO	ST	18402582
1047704	3583	1997-03-12	VYDAJ	PREVOD NA UCET	3084	30414	SIPO	ST	18402582
1047705	3583	1997-04-12	VYDAJ	PREVOD NA UCET	3084	32774	SIPO	ST	18402582
1047706	3583	1997-05-12	VYDAJ	PREVOD NA UCET	3084	34744	SIPO	ST	18402582
1047707	3583	1997-06-12	VYDAJ	PREVOD NA UCET	3084	20333	SIPO	ST	18402582
1047708	3583	1997-07-12	VYDAJ	PREVOD NA UCET	3084	18755	SIPO	ST	18402582
1047709	3583	1997-08-12	VYDAJ	PREVOD NA UCET	3084	21073	SIPO	ST	18402582
1047710	3583	1997-09-12	VYDAJ	PREVOD NA UCET	3084	23394	SIPO	ST	18402582
1047711	3583	1997-10-12	VYDAJ	PREVOD NA UCET	3084	22121	SIPO	ST	18402582
1047712	3583	1997-11-12	VYDAJ	PREVOD NA UCET	3084	22529	SIPO	ST	18402582
1047713	3583	1997-12-12	VYDAJ	PREVOD NA UCET	3084	23260	SIPO	ST	18402582
1047714	3583	1998-01-12	VYDAJ	PREVOD NA UCET	3084	22611	SIPO	ST	18402582
1047715	3583	1998-02-12	VYDAJ	PREVOD NA UCET	3084	18733	SIPO	ST	18402582
1047716	3583	1998-03-12	VYDAJ	PREVOD NA UCET	3084	21044	SIPO	ST	18402582
1047717	3583	1998-04-12	VYDAJ	PREVOD NA UCET	3084	23364	SIPO	ST	18402582
1047718	3583	1998-05-12	VYDAJ	PREVOD NA UCET	3084	24331	SIPO	ST	18402582
1047719	3583	1998-06-12	VYDAJ	PREVOD NA UCET	3084	26665	SIPO	ST	18402582
1047720	3583	1998-07-12	VYDAJ	PREVOD NA UCET	3084	18945	SIPO	ST	18402582
1047721	3583	1998-08-12	VYDAJ	PREVOD NA UCET	3084	19177	SIPO	ST	18402582
1047722	3583	1998-09-12	VYDAJ	PREVOD NA UCET	3084	20688	SIPO	ST	18402582
1047723	3583	1998-10-12	VYDAJ	PREVOD NA UCET	3084	23007	SIPO	ST	18402582
1047724	3583	1998-11-12	VYDAJ	PREVOD NA UCET	3084	25335	SIPO	ST	18402582
1047725	3583	1998-12-12	VYDAJ	PREVOD NA UCET	3084	26223	SIPO	ST	18402582
1047727	3583	1996-06-06	VYDAJ	VYBER	4800	21584	\N	\N	\N
1047728	3583	1997-06-10	VYDAJ	VYBER	13750	21121	\N	\N	\N
1047729	3583	1998-06-21	VYDAJ	VYBER	10050	16615	\N	\N	\N
1047731	3583	1996-01-04	VYDAJ	VYBER	4250	23728	\N	\N	\N
1047732	3583	1997-01-06	VYDAJ	VYBER	2450	31833	\N	\N	\N
1047733	3583	1998-01-21	VYDAJ	VYBER	1800	17691	\N	\N	\N
1047734	3583	1995-12-15	VYDAJ	VYBER	750	31707	\N	\N	\N
1047735	3583	1996-12-03	VYDAJ	VYBER	800	34534	\N	\N	\N
1047736	3583	1997-12-23	VYDAJ	VYBER	1300	21960	\N	\N	\N
1047737	3583	1998-12-12	VYDAJ	VYBER	250	29307	\N	\N	\N
1047744	3583	1996-01-13	VYDAJ	VYBER	1680	23420	\N	\N	\N
1047745	3583	1996-01-29	VYDAJ	VYBER	640	21660	\N	\N	\N
1047746	3583	1996-01-08	VYDAJ	VYBER	400	23328	\N	\N	\N
1047747	3583	1996-01-24	VYDAJ	VYBER	720	22300	\N	\N	\N
1047748	3583	1996-01-12	VYDAJ	VYBER	480	25100	\N	\N	\N
1047749	3583	1996-01-22	VYDAJ	VYBER	400	23020	\N	\N	\N
1047750	3583	1997-01-25	VYDAJ	VYBER	1040	29605	\N	\N	\N
1047751	3583	1997-01-13	VYDAJ	VYBER	560	33525	\N	\N	\N
1047752	3583	1997-01-20	VYDAJ	VYBER	1040	32485	\N	\N	\N
1047753	3583	1997-01-03	VYDAJ	VYBER	1280	34283	\N	\N	\N
1047754	3583	1997-01-03	VYDAJ	VYBER	1360	35563	\N	\N	\N
1047755	3583	1997-01-22	VYDAJ	VYBER	1840	30645	\N	\N	\N
1047756	3583	1998-01-20	VYDAJ	VYBER	1280	19491	\N	\N	\N
1047757	3583	1998-01-05	VYDAJ	VYBER	1680	20359	\N	\N	\N
1047758	3583	1998-01-20	VYDAJ	VYBER	1840	20771	\N	\N	\N
1047760	3583	1998-01-24	VYDAJ	VYBER	720	16971	\N	\N	\N
1047761	3583	1998-01-29	VYDAJ	VYBER	560	16411	\N	\N	\N
1047762	3583	1995-07-21	VYDAJ	VYBER	1120	25375	\N	\N	\N
1047765	3583	1995-09-22	VYDAJ	VYBER	800	25406	\N	\N	\N
1047767	3583	1995-07-22	VYDAJ	VYBER	3840	21535	\N	\N	\N
1047768	3583	1995-12-22	VYDAJ	VYBER	3840	27867	\N	\N	\N
1047769	3583	1996-03-14	VYDAJ	VYBER	3200	23132	\N	\N	\N
1047770	3583	1996-10-13	VYDAJ	VYBER	400	32834	\N	\N	\N
1047771	3583	1996-05-22	VYDAJ	VYBER	1520	26288	\N	\N	\N
1047773	3583	1997-11-03	VYDAJ	VYBER	1920	20277	\N	\N	\N
1047774	3583	1997-12-06	VYDAJ	VYBER	1600	21008	\N	\N	\N
1047775	3583	1997-07-07	VYDAJ	VYBER	3920	16503	\N	\N	\N
1047776	3583	1997-04-27	VYDAJ	VYBER	400	32374	\N	\N	\N
1047777	3583	1997-10-10	VYDAJ	VYBER	1520	19869	\N	\N	\N
1047778	3583	1997-02-01	VYDAJ	VYBER	3920	25805	\N	\N	\N
1047779	3583	1997-06-11	VYDAJ	VYBER	3040	23417	\N	\N	\N
1047780	3583	1997-09-17	VYDAJ	VYBER	2080	21314	\N	\N	\N
1047781	3583	1998-08-22	VYDAJ	VYBER	800	18377	\N	\N	\N
1047782	3583	1998-07-30	VYDAJ	VYBER	2080	16865	\N	\N	\N
1047783	3583	1998-12-04	VYDAJ	VYBER	1200	24221	\N	\N	\N
1047784	3583	1998-04-13	VYDAJ	VYBER	1360	22004	\N	\N	\N
1047793	3583	1995-06-30	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
1047794	3583	1995-07-31	VYDAJ	VYBER	15	21620	SLUZBY	\N	\N
1047795	3583	1995-08-31	VYDAJ	VYBER	15	23954	SLUZBY	\N	\N
1047796	3583	1995-09-30	VYDAJ	VYBER	15	25496	SLUZBY	\N	\N
1047797	3583	1995-10-31	VYDAJ	VYBER	15	27846	SLUZBY	\N	\N
1047798	3583	1995-11-30	VYDAJ	VYBER	15	30205	SLUZBY	\N	\N
1047799	3583	1995-12-31	VYDAJ	VYBER	15	27978	SLUZBY	\N	\N
1047800	3583	1996-01-31	VYDAJ	VYBER	15	21746	SLUZBY	\N	\N
1047801	3583	1996-02-29	VYDAJ	VYBER	15	24080	SLUZBY	\N	\N
1047802	3583	1996-03-31	VYDAJ	VYBER	15	23216	SLUZBY	\N	\N
1047803	3583	1996-04-30	VYDAJ	VYBER	15	25556	SLUZBY	\N	\N
1047804	3583	1996-05-31	VYDAJ	VYBER	15	26384	SLUZBY	\N	\N
1047805	3583	1996-06-30	VYDAJ	VYBER	15	23924	SLUZBY	\N	\N
1047806	3583	1996-07-31	VYDAJ	VYBER	15	26267	SLUZBY	\N	\N
1047807	3583	1996-08-31	VYDAJ	VYBER	15	28620	SLUZBY	\N	\N
1047808	3583	1996-09-30	VYDAJ	VYBER	15	30982	SLUZBY	\N	\N
1047809	3583	1996-10-31	VYDAJ	VYBER	15	32954	SLUZBY	\N	\N
1047810	3583	1996-11-30	VYDAJ	VYBER	15	35334	SLUZBY	\N	\N
1047811	3583	1996-12-31	VYDAJ	VYBER	15	36923	SLUZBY	\N	\N
1047812	3583	1997-01-31	VYDAJ	VYBER	15	29725	SLUZBY	\N	\N
1047813	3583	1997-02-28	VYDAJ	VYBER	15	28162	SLUZBY	\N	\N
1047814	3583	1997-03-31	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
1047815	3583	1997-04-30	VYDAJ	VYBER	15	32492	SLUZBY	\N	\N
1047816	3583	1997-05-31	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
1047817	3583	1997-06-30	VYDAJ	VYBER	15	20423	SLUZBY	\N	\N
1047818	3583	1997-07-31	VYDAJ	VYBER	15	18821	SLUZBY	\N	\N
1047819	3583	1997-08-31	VYDAJ	VYBER	15	21142	SLUZBY	\N	\N
1047820	3583	1997-09-30	VYDAJ	VYBER	15	21389	SLUZBY	\N	\N
1047821	3583	1997-10-31	VYDAJ	VYBER	15	22197	SLUZBY	\N	\N
1047822	3583	1997-11-30	VYDAJ	VYBER	15	22608	SLUZBY	\N	\N
1047823	3583	1997-12-31	VYDAJ	VYBER	15	22039	SLUZBY	\N	\N
1047824	3583	1998-01-31	VYDAJ	VYBER	15	16481	SLUZBY	\N	\N
1047825	3583	1998-02-28	VYDAJ	VYBER	15	18792	SLUZBY	\N	\N
1047826	3583	1998-03-31	VYDAJ	VYBER	15	21112	SLUZBY	\N	\N
1047827	3583	1998-04-30	VYDAJ	VYBER	15	22079	SLUZBY	\N	\N
1047828	3583	1998-05-31	VYDAJ	VYBER	15	24413	SLUZBY	\N	\N
1047829	3583	1998-06-30	VYDAJ	VYBER	15	16693	SLUZBY	\N	\N
1047830	3583	1998-07-31	VYDAJ	VYBER	15	16925	SLUZBY	\N	\N
1047831	3583	1998-08-31	VYDAJ	VYBER	15	18436	SLUZBY	\N	\N
1047832	3583	1998-09-30	VYDAJ	VYBER	15	20755	SLUZBY	\N	\N
1047833	3583	1998-10-31	VYDAJ	VYBER	15	23083	SLUZBY	\N	\N
1047834	3583	1998-11-30	VYDAJ	VYBER	15	25421	SLUZBY	\N	\N
1047882	3584	1996-06-12	PRIJEM	VKLAD	200	200	\N	\N	\N
1047889	3584	1996-07-08	PRIJEM	PREVOD Z UCTU	33827	34027	\N	AB	61573970
1047890	3584	1996-08-08	PRIJEM	PREVOD Z UCTU	33827	62732	\N	AB	61573970
1047891	3584	1996-09-08	PRIJEM	PREVOD Z UCTU	33827	76317	\N	AB	61573970
1047892	3584	1996-10-08	PRIJEM	PREVOD Z UCTU	33827	81636	\N	AB	61573970
1047893	3584	1996-11-08	PRIJEM	PREVOD Z UCTU	33827	84269	\N	AB	61573970
1047894	3584	1996-12-08	PRIJEM	PREVOD Z UCTU	50740	73351	\N	AB	61573970
1047895	3584	1997-01-08	PRIJEM	PREVOD Z UCTU	33827	63843	\N	AB	61573970
1047896	3584	1997-02-08	PRIJEM	PREVOD Z UCTU	33827	56405	\N	AB	61573970
1047897	3584	1997-03-08	PRIJEM	PREVOD Z UCTU	33827	70402	\N	AB	61573970
1047898	3584	1997-04-08	PRIJEM	PREVOD Z UCTU	33827	59365	\N	AB	61573970
1047899	3584	1997-05-08	PRIJEM	PREVOD Z UCTU	33827	60418	\N	AB	61573970
1047900	3584	1997-06-08	PRIJEM	PREVOD Z UCTU	50740	72892	\N	AB	61573970
1047901	3584	1997-07-08	PRIJEM	PREVOD Z UCTU	33827	71957	\N	AB	61573970
1047902	3584	1997-08-08	PRIJEM	PREVOD Z UCTU	33827	71050	\N	AB	61573970
1047903	3584	1997-09-08	PRIJEM	PREVOD Z UCTU	33827	66031	\N	AB	61573970
1047904	3584	1997-10-08	PRIJEM	PREVOD Z UCTU	33827	53513	\N	AB	61573970
1047905	3584	1997-11-08	PRIJEM	PREVOD Z UCTU	33827	60712	\N	AB	61573970
1047906	3584	1997-12-08	PRIJEM	PREVOD Z UCTU	50740	80363	\N	AB	61573970
1047907	3584	1998-01-08	PRIJEM	PREVOD Z UCTU	33827	69271	\N	AB	61573970
1047908	3584	1998-02-08	PRIJEM	PREVOD Z UCTU	33827	54185	\N	AB	61573970
1047909	3584	1998-03-08	PRIJEM	PREVOD Z UCTU	33827	63072	\N	AB	61573970
1047910	3584	1998-04-08	PRIJEM	PREVOD Z UCTU	33827	62282	\N	AB	61573970
1047911	3584	1998-05-08	PRIJEM	PREVOD Z UCTU	33827	66119	\N	AB	61573970
1047912	3584	1998-06-08	PRIJEM	PREVOD Z UCTU	50740	84396	\N	AB	61573970
1047913	3584	1998-07-08	PRIJEM	PREVOD Z UCTU	33827	65038	\N	AB	61573970
1047914	3584	1998-08-08	PRIJEM	PREVOD Z UCTU	33827	65103	\N	AB	61573970
1047915	3584	1998-09-08	PRIJEM	PREVOD Z UCTU	33827	62165	\N	AB	61573970
1047916	3584	1998-10-08	PRIJEM	PREVOD Z UCTU	33827	55688	\N	AB	61573970
1047917	3584	1998-11-08	PRIJEM	PREVOD Z UCTU	33827	58168	\N	AB	61573970
1047918	3584	1998-12-08	PRIJEM	PREVOD Z UCTU	50740	78169	\N	AB	61573970
1047965	3584	1996-11-12	VYDAJ	PREVOD NA UCET	12078	40891	SIPO	EF	46564525
1047966	3584	1996-12-12	VYDAJ	PREVOD NA UCET	12078	36873	SIPO	EF	46564525
1047967	3584	1997-01-12	VYDAJ	PREVOD NA UCET	12078	31365	SIPO	EF	46564525
1047968	3584	1997-02-12	VYDAJ	PREVOD NA UCET	12078	44327	SIPO	EF	46564525
1047969	3584	1997-03-12	VYDAJ	PREVOD NA UCET	12078	30924	SIPO	EF	46564525
1047970	3584	1997-04-12	VYDAJ	PREVOD NA UCET	12078	26587	SIPO	EF	46564525
1047971	3584	1997-05-12	VYDAJ	PREVOD NA UCET	12078	28940	SIPO	EF	46564525
1047972	3584	1997-06-12	VYDAJ	PREVOD NA UCET	12078	60814	SIPO	EF	46564525
1047973	3584	1997-07-12	VYDAJ	PREVOD NA UCET	12078	59879	SIPO	EF	46564525
1047974	3584	1997-08-12	VYDAJ	PREVOD NA UCET	12078	58972	SIPO	EF	46564525
1047975	3584	1997-09-12	VYDAJ	PREVOD NA UCET	12078	24065	SIPO	EF	46564525
1047976	3584	1997-10-12	VYDAJ	PREVOD NA UCET	12078	41435	SIPO	EF	46564525
1047977	3584	1997-11-12	VYDAJ	PREVOD NA UCET	12078	48634	SIPO	EF	46564525
1047978	3584	1997-12-12	VYDAJ	PREVOD NA UCET	12078	68285	SIPO	EF	46564525
1047979	3584	1998-01-12	VYDAJ	PREVOD NA UCET	12078	53593	SIPO	EF	46564525
1047980	3584	1998-02-12	VYDAJ	PREVOD NA UCET	12078	42107	SIPO	EF	46564525
1047981	3584	1998-03-12	VYDAJ	PREVOD NA UCET	12078	50994	SIPO	EF	46564525
1047982	3584	1998-04-12	VYDAJ	PREVOD NA UCET	12078	50204	SIPO	EF	46564525
1047983	3584	1998-05-12	VYDAJ	PREVOD NA UCET	12078	54041	SIPO	EF	46564525
1047984	3584	1998-06-12	VYDAJ	PREVOD NA UCET	12078	55279	SIPO	EF	46564525
1047985	3584	1998-07-12	VYDAJ	PREVOD NA UCET	12078	52960	SIPO	EF	46564525
1047986	3584	1998-08-12	VYDAJ	PREVOD NA UCET	12078	53025	SIPO	EF	46564525
1047987	3584	1998-09-12	VYDAJ	PREVOD NA UCET	12078	50087	SIPO	EF	46564525
1047988	3584	1998-10-12	VYDAJ	PREVOD NA UCET	12078	43610	SIPO	EF	46564525
1047989	3584	1998-11-12	VYDAJ	PREVOD NA UCET	12078	46090	SIPO	EF	46564525
1047990	3584	1998-12-12	VYDAJ	PREVOD NA UCET	12078	66091	SIPO	EF	46564525
1048001	3584	1996-11-13	VYDAJ	PREVOD NA UCET	98	33566	 	OP	3099793
1048002	3584	1996-12-13	VYDAJ	PREVOD NA UCET	98	36775	 	OP	3099793
1048003	3584	1997-01-13	VYDAJ	PREVOD NA UCET	98	31267	 	OP	3099793
1048004	3584	1997-02-13	VYDAJ	PREVOD NA UCET	98	44229	 	OP	3099793
1048005	3584	1997-03-13	VYDAJ	PREVOD NA UCET	98	30826	 	OP	3099793
1048006	3584	1997-04-13	VYDAJ	PREVOD NA UCET	98	26489	 	OP	3099793
1048007	3584	1997-05-13	VYDAJ	PREVOD NA UCET	98	28842	 	OP	3099793
1048008	3584	1997-06-13	VYDAJ	PREVOD NA UCET	98	60716	 	OP	3099793
1048009	3584	1997-07-13	VYDAJ	PREVOD NA UCET	98	59781	 	OP	3099793
1048010	3584	1997-08-13	VYDAJ	PREVOD NA UCET	98	58874	 	OP	3099793
1048011	3584	1997-09-13	VYDAJ	PREVOD NA UCET	98	23967	 	OP	3099793
1048012	3584	1997-10-13	VYDAJ	PREVOD NA UCET	98	41337	 	OP	3099793
1048013	3584	1997-11-13	VYDAJ	PREVOD NA UCET	98	48536	 	OP	3099793
1048014	3584	1997-12-13	VYDAJ	PREVOD NA UCET	98	68187	 	OP	3099793
1048015	3584	1998-01-13	VYDAJ	PREVOD NA UCET	98	53495	 	OP	3099793
1048016	3584	1998-02-13	VYDAJ	PREVOD NA UCET	98	37509	 	OP	3099793
1048017	3584	1998-03-13	VYDAJ	PREVOD NA UCET	98	50896	 	OP	3099793
1048018	3584	1998-04-13	VYDAJ	PREVOD NA UCET	98	50106	 	OP	3099793
1048019	3584	1998-05-13	VYDAJ	PREVOD NA UCET	98	53943	 	OP	3099793
1048020	3584	1998-06-13	VYDAJ	PREVOD NA UCET	98	55181	 	OP	3099793
1048021	3584	1998-07-13	VYDAJ	PREVOD NA UCET	98	52862	 	OP	3099793
1048022	3584	1998-08-13	VYDAJ	PREVOD NA UCET	98	52927	 	OP	3099793
1048023	3584	1998-09-13	VYDAJ	PREVOD NA UCET	98	49989	 	OP	3099793
1048024	3584	1998-10-13	VYDAJ	PREVOD NA UCET	98	43512	 	OP	3099793
1048025	3584	1998-11-13	VYDAJ	PREVOD NA UCET	98	45992	 	OP	3099793
1048026	3584	1998-12-13	VYDAJ	PREVOD NA UCET	98	65993	 	OP	3099793
1048030	3584	1996-11-13	VYBER	VYBER	7227	33664	\N	\N	\N
1048031	3584	1997-09-09	VYBER	VYBER	16709	49322	\N	\N	\N
1048032	3584	1997-09-10	VYBER	VYBER	13179	36143	\N	\N	\N
1048035	3584	1998-09-26	VYBER	VYBER	12815	37174	\N	\N	\N
1048036	3584	1998-06-08	VYBER	VYBER	17039	67357	\N	\N	\N
1048043	3584	1998-01-21	VYDAJ	VYBER	23400	25595	\N	\N	\N
1048044	3584	1996-12-03	VYDAJ	VYBER	6000	22611	\N	\N	\N
1048045	3584	1997-12-13	VYDAJ	VYBER	3900	64287	\N	\N	\N
1048046	3584	1998-12-22	VYDAJ	VYBER	4800	61193	\N	\N	\N
1048053	3584	1997-01-04	VYDAJ	VYBER	6900	30016	\N	\N	\N
1048057	3584	1997-01-14	VYDAJ	VYBER	8100	23167	\N	\N	\N
1048058	3584	1997-01-12	VYDAJ	VYBER	2700	43443	\N	\N	\N
1048059	3584	1998-01-02	VYDAJ	VYBER	3300	54044	\N	\N	\N
1048061	3584	1998-01-08	VYDAJ	VYBER	3600	65671	\N	\N	\N
1048062	3584	1998-01-03	VYDAJ	VYBER	3300	35444	\N	\N	\N
1048063	3584	1998-01-02	VYDAJ	VYBER	7200	57344	\N	\N	\N
1048064	3584	1998-01-23	VYDAJ	VYBER	3600	21995	\N	\N	\N
1048068	3584	1996-11-21	VYDAJ	VYBER	5100	28466	\N	\N	\N
1048069	3584	1997-08-27	VYDAJ	VYBER	11700	47174	\N	\N	\N
1048070	3584	1997-08-30	VYDAJ	VYBER	1500	45674	\N	\N	\N
1048071	3584	1997-03-14	VYDAJ	VYBER	5400	25426	\N	\N	\N
1048073	3584	1997-02-21	VYDAJ	VYBER	7800	36429	\N	\N	\N
1048074	3584	1998-03-18	VYDAJ	VYBER	8700	34996	\N	\N	\N
1048075	3584	1998-01-20	VYDAJ	VYBER	4500	48995	\N	\N	\N
1048076	3584	1998-02-13	VYDAJ	VYBER	4500	37607	\N	\N	\N
1048077	3584	1998-03-16	VYDAJ	VYBER	7200	43696	\N	\N	\N
1048092	3584	1996-11-30	VYDAJ	VYBER	15	28611	SLUZBY	\N	\N
1048093	3584	1996-12-31	VYDAJ	VYBER	15	36916	SLUZBY	\N	\N
1048094	3584	1997-01-31	VYDAJ	VYBER	15	23278	SLUZBY	\N	\N
1048095	3584	1997-02-28	VYDAJ	VYBER	15	36575	SLUZBY	\N	\N
1048096	3584	1997-03-31	VYDAJ	VYBER	15	25538	SLUZBY	\N	\N
1048097	3584	1997-04-30	VYDAJ	VYBER	15	26591	SLUZBY	\N	\N
1048098	3584	1997-05-31	VYDAJ	VYBER	15	28952	SLUZBY	\N	\N
1048099	3584	1997-06-30	VYDAJ	VYBER	15	60930	SLUZBY	\N	\N
1048100	3584	1997-07-31	VYDAJ	VYBER	15	60023	SLUZBY	\N	\N
1048101	3584	1997-08-31	VYDAJ	VYBER	15	45904	SLUZBY	\N	\N
1048102	3584	1997-09-30	VYDAJ	VYBER	15	24086	SLUZBY	\N	\N
1048103	3584	1997-10-31	VYDAJ	VYBER	15	41485	SLUZBY	\N	\N
1048104	3584	1997-11-30	VYDAJ	VYBER	15	48723	SLUZBY	\N	\N
1048105	3584	1997-12-31	VYDAJ	VYBER	15	64544	SLUZBY	\N	\N
1048106	3584	1998-01-31	VYDAJ	VYBER	15	22158	SLUZBY	\N	\N
1048107	3584	1998-02-28	VYDAJ	VYBER	15	37645	SLUZBY	\N	\N
1048108	3584	1998-03-31	VYDAJ	VYBER	15	35155	SLUZBY	\N	\N
1048109	3584	1998-04-30	VYDAJ	VYBER	15	50292	SLUZBY	\N	\N
1048110	3584	1998-05-31	VYDAJ	VYBER	15	54156	SLUZBY	\N	\N
1048111	3584	1998-06-30	VYDAJ	VYBER	15	55411	SLUZBY	\N	\N
1048112	3584	1998-07-31	VYDAJ	VYBER	15	53076	SLUZBY	\N	\N
1048113	3584	1998-08-31	VYDAJ	VYBER	15	53138	SLUZBY	\N	\N
1048114	3584	1998-09-30	VYDAJ	VYBER	15	37361	SLUZBY	\N	\N
1048115	3584	1998-10-31	VYDAJ	VYBER	15	24341	SLUZBY	\N	\N
1048116	3584	1998-11-30	VYDAJ	VYBER	15	27429	SLUZBY	\N	\N
1048117	3584	1996-07-12	VYDAJ	VYBER	5200	28827	\N	\N	\N
1048118	3584	1996-08-11	VYDAJ	VYBER	20400	42332	\N	\N	\N
1048119	3584	1996-09-10	VYDAJ	VYBER	28700	47617	\N	\N	\N
1048120	3584	1996-10-10	VYDAJ	VYBER	31400	50236	\N	\N	\N
1048121	3584	1996-11-09	VYDAJ	VYBER	31300	52969	\N	\N	\N
1048122	3584	1996-12-09	VYDAJ	VYBER	24400	48951	\N	\N	\N
1048123	3584	1997-01-08	VYDAJ	VYBER	17700	46143	\N	\N	\N
1048124	3584	1997-02-07	VYDAJ	VYBER	700	22578	\N	\N	\N
1048125	3584	1997-03-09	VYDAJ	VYBER	27400	43002	\N	\N	\N
1048126	3584	1997-04-08	VYDAJ	VYBER	20700	38665	\N	\N	\N
1048127	3584	1997-05-08	VYDAJ	VYBER	19400	41018	\N	\N	\N
1048128	3584	1997-06-07	VYDAJ	VYBER	6800	22152	\N	\N	\N
1048129	3584	1997-07-07	VYDAJ	VYBER	22800	38130	\N	\N	\N
1048130	3584	1997-08-06	VYDAJ	VYBER	22800	37223	\N	\N	\N
1048131	3584	1997-09-05	VYDAJ	VYBER	13700	32204	\N	\N	\N
1048132	3584	1997-10-05	VYDAJ	VYBER	4400	19686	\N	\N	\N
1048133	3584	1997-11-04	VYDAJ	VYBER	14600	26885	\N	\N	\N
1048134	3584	1997-12-04	VYDAJ	VYBER	19100	29623	\N	\N	\N
1048135	3584	1998-01-03	VYDAJ	VYBER	15300	38744	\N	\N	\N
1048136	3584	1998-02-02	VYDAJ	VYBER	1800	20358	\N	\N	\N
1048137	3584	1998-03-04	VYDAJ	VYBER	8400	29245	\N	\N	\N
1048138	3584	1998-04-03	VYDAJ	VYBER	6700	28455	\N	\N	\N
1048139	3584	1998-05-03	VYDAJ	VYBER	18000	32292	\N	\N	\N
1048140	3584	1998-06-02	VYDAJ	VYBER	20500	33656	\N	\N	\N
1048141	3584	1998-07-02	VYDAJ	VYBER	24200	31211	\N	\N	\N
1048142	3584	1998-08-01	VYDAJ	VYBER	21800	31276	\N	\N	\N
1048143	3584	1998-08-31	VYDAJ	VYBER	24800	28338	\N	\N	\N
1048144	3584	1998-09-30	VYDAJ	VYBER	15500	21861	\N	\N	\N
1048145	3584	1998-10-30	VYDAJ	VYBER	19300	24212	\N	\N	\N
1048146	3584	1998-11-29	VYDAJ	VYBER	18700	27292	\N	\N	\N
1048177	3585	1996-06-23	PRIJEM	VKLAD	300	300	\N	\N	\N
1048184	3585	1996-07-12	PRIJEM	PREVOD Z UCTU	6242	6542	DUCHOD	KL	7378769
1048185	3585	1996-08-12	PRIJEM	PREVOD Z UCTU	6242	12784	DUCHOD	KL	7378769
1048186	3585	1996-09-12	PRIJEM	PREVOD Z UCTU	6242	19026	DUCHOD	KL	7378769
1048187	3585	1996-10-12	PRIJEM	PREVOD Z UCTU	6242	25268	DUCHOD	KL	7378769
1048188	3585	1996-11-12	PRIJEM	PREVOD Z UCTU	6242	31510	DUCHOD	KL	7378769
1048189	3585	1996-12-12	PRIJEM	PREVOD Z UCTU	6242	31518	DUCHOD	KL	7378769
1048190	3585	1997-01-12	PRIJEM	PREVOD Z UCTU	6242	27188	DUCHOD	KL	7378769
1048191	3585	1997-02-12	PRIJEM	PREVOD Z UCTU	6242	18448	DUCHOD	KL	7378769
1048192	3585	1997-03-12	PRIJEM	PREVOD Z UCTU	6242	21886	DUCHOD	KL	7378769
1048193	3585	1997-04-12	PRIJEM	PREVOD Z UCTU	6242	22634	DUCHOD	KL	7378769
1048194	3585	1997-05-12	PRIJEM	PREVOD Z UCTU	6242	24648	DUCHOD	KL	7378769
1048195	3585	1997-06-12	PRIJEM	PREVOD Z UCTU	6242	28112	DUCHOD	KL	7378769
1048196	3585	1997-07-12	PRIJEM	PREVOD Z UCTU	6242	31590	DUCHOD	KL	7378769
1048197	3585	1997-08-12	PRIJEM	PREVOD Z UCTU	6242	32677	DUCHOD	KL	7378769
1048198	3585	1997-09-12	PRIJEM	PREVOD Z UCTU	6242	33568	DUCHOD	KL	7378769
1048199	3585	1997-10-12	PRIJEM	PREVOD Z UCTU	6242	35086	DUCHOD	KL	7378769
1048200	3585	1997-11-12	PRIJEM	PREVOD Z UCTU	6242	37992	DUCHOD	KL	7378769
1048201	3585	1997-12-12	PRIJEM	PREVOD Z UCTU	6242	35143	DUCHOD	KL	7378769
1048202	3585	1998-01-12	PRIJEM	PREVOD Z UCTU	6242	32552	DUCHOD	KL	7378769
1048203	3585	1998-02-12	PRIJEM	PREVOD Z UCTU	6242	26476	DUCHOD	KL	7378769
1048204	3585	1998-03-12	PRIJEM	PREVOD Z UCTU	6242	29946	DUCHOD	KL	7378769
1048205	3585	1998-04-12	PRIJEM	PREVOD Z UCTU	6242	33431	DUCHOD	KL	7378769
1048206	3585	1998-05-12	PRIJEM	PREVOD Z UCTU	6242	36930	DUCHOD	KL	7378769
1048207	3585	1998-06-12	PRIJEM	PREVOD Z UCTU	6242	37244	DUCHOD	KL	7378769
1048208	3585	1998-07-12	PRIJEM	PREVOD Z UCTU	6242	35452	DUCHOD	KL	7378769
1048209	3585	1998-08-12	PRIJEM	PREVOD Z UCTU	6242	35436	DUCHOD	KL	7378769
1048210	3585	1998-09-12	PRIJEM	PREVOD Z UCTU	6242	38644	DUCHOD	KL	7378769
1048211	3585	1998-10-12	PRIJEM	PREVOD Z UCTU	6242	36965	DUCHOD	KL	7378769
1048212	3585	1998-11-12	PRIJEM	PREVOD Z UCTU	6242	34683	DUCHOD	KL	7378769
1048213	3585	1998-12-12	PRIJEM	PREVOD Z UCTU	6242	31626	DUCHOD	KL	7378769
1048225	3585	1996-12-10	VYDAJ	PREVOD NA UCET	2862	25276	SIPO	CD	78560203
1048226	3585	1997-01-10	VYDAJ	PREVOD NA UCET	2862	22706	SIPO	CD	78560203
1048227	3585	1997-02-10	VYDAJ	PREVOD NA UCET	2862	12206	SIPO	CD	78560203
1048228	3585	1997-03-10	VYDAJ	PREVOD NA UCET	2862	15644	SIPO	CD	78560203
1048229	3585	1997-04-10	VYDAJ	PREVOD NA UCET	2862	16392	SIPO	CD	78560203
1048230	3585	1997-05-10	VYDAJ	PREVOD NA UCET	2862	19846	SIPO	CD	78560203
1048231	3585	1997-06-10	VYDAJ	PREVOD NA UCET	2862	21870	SIPO	CD	78560203
1048232	3585	1997-07-10	VYDAJ	PREVOD NA UCET	2862	25348	SIPO	CD	78560203
1048233	3585	1997-08-10	VYDAJ	PREVOD NA UCET	2862	26435	SIPO	CD	78560203
1048234	3585	1997-09-10	VYDAJ	PREVOD NA UCET	2862	27326	SIPO	CD	78560203
1048235	3585	1997-10-10	VYDAJ	PREVOD NA UCET	2862	28844	SIPO	CD	78560203
1048236	3585	1997-11-10	VYDAJ	PREVOD NA UCET	2862	31750	SIPO	CD	78560203
1048237	3585	1997-12-10	VYDAJ	PREVOD NA UCET	2862	28901	SIPO	CD	78560203
1048238	3585	1998-01-10	VYDAJ	PREVOD NA UCET	2862	26310	SIPO	CD	78560203
1048239	3585	1998-02-10	VYDAJ	PREVOD NA UCET	2862	20234	SIPO	CD	78560203
1048240	3585	1998-03-10	VYDAJ	PREVOD NA UCET	2862	23704	SIPO	CD	78560203
1048241	3585	1998-04-10	VYDAJ	PREVOD NA UCET	2862	27189	SIPO	CD	78560203
1048242	3585	1998-05-10	VYDAJ	PREVOD NA UCET	2862	30688	SIPO	CD	78560203
1048243	3585	1998-06-10	VYDAJ	PREVOD NA UCET	2862	31002	SIPO	CD	78560203
1048244	3585	1998-07-10	VYDAJ	PREVOD NA UCET	2862	29210	SIPO	CD	78560203
1048245	3585	1998-08-10	VYDAJ	PREVOD NA UCET	2862	29194	SIPO	CD	78560203
1048246	3585	1998-09-10	VYDAJ	PREVOD NA UCET	2862	32702	SIPO	CD	78560203
1048247	3585	1998-10-10	VYDAJ	PREVOD NA UCET	2862	35923	SIPO	CD	78560203
1048248	3585	1998-11-10	VYDAJ	PREVOD NA UCET	2862	30641	SIPO	CD	78560203
1048249	3585	1998-12-10	VYDAJ	PREVOD NA UCET	2862	25384	SIPO	CD	78560203
1048252	3585	1998-06-17	VYDAJ	VYBER	5200	31944	\N	\N	\N
1048254	3585	1997-01-13	VYDAJ	VYBER	2500	24688	\N	\N	\N
1048255	3585	1998-01-20	VYDAJ	VYBER	2600	28032	\N	\N	\N
1048256	3585	1996-12-20	VYDAJ	VYBER	500	30018	\N	\N	\N
1048257	3585	1997-12-16	VYDAJ	VYBER	950	32093	\N	\N	\N
1048258	3585	1998-12-15	VYDAJ	VYBER	250	31376	\N	\N	\N
1048265	3585	1997-01-23	VYDAJ	VYBER	1760	16108	\N	\N	\N
1048266	3585	1997-01-21	VYDAJ	VYBER	1760	19228	\N	\N	\N
1048267	3585	1997-01-10	VYDAJ	VYBER	1760	20946	\N	\N	\N
1048268	3585	1997-01-08	VYDAJ	VYBER	1280	25568	\N	\N	\N
1048269	3585	1997-01-22	VYDAJ	VYBER	1360	17868	\N	\N	\N
1048270	3585	1997-01-06	VYDAJ	VYBER	800	29328	\N	\N	\N
1048271	3585	1998-01-21	VYDAJ	VYBER	960	26192	\N	\N	\N
1048272	3585	1998-01-20	VYDAJ	VYBER	880	27152	\N	\N	\N
1048273	3585	1998-01-06	VYDAJ	VYBER	1120	29172	\N	\N	\N
1048274	3585	1998-01-29	VYDAJ	VYBER	2080	22992	\N	\N	\N
1048275	3585	1998-01-16	VYDAJ	VYBER	1920	30632	\N	\N	\N
1048276	3585	1998-01-27	VYDAJ	VYBER	1120	25072	\N	\N	\N
1048281	3585	1997-10-07	VYDAJ	VYBER	880	31706	\N	\N	\N
1048282	3585	1997-11-29	VYDAJ	VYBER	3760	31632	\N	\N	\N
1048283	3585	1997-01-07	VYDAJ	VYBER	2480	26848	\N	\N	\N
1048284	3585	1997-05-10	VYDAJ	VYBER	1440	18406	\N	\N	\N
1048285	3585	1997-01-31	VYDAJ	VYBER	1120	15068	\N	\N	\N
1048286	3585	1997-12-29	VYDAJ	VYBER	1920	30173	\N	\N	\N
1048287	3585	1998-10-26	VYDAJ	VYBER	3600	33365	\N	\N	\N
1048288	3585	1998-06-06	VYDAJ	VYBER	3200	33864	\N	\N	\N
1048289	3585	1998-11-17	VYDAJ	VYBER	1360	33323	\N	\N	\N
1048290	3585	1998-07-24	VYDAJ	VYBER	3520	31932	\N	\N	\N
1048302	3585	1996-11-30	VYDAJ	VYBER	15	28138	SLUZBY	\N	\N
1048303	3585	1996-12-31	VYDAJ	VYBER	15	30128	SLUZBY	\N	\N
1048304	3585	1997-01-31	VYDAJ	VYBER	15	16188	SLUZBY	\N	\N
1048305	3585	1997-02-28	VYDAJ	VYBER	15	18506	SLUZBY	\N	\N
1048306	3585	1997-03-31	VYDAJ	VYBER	15	19254	SLUZBY	\N	\N
1048307	3585	1997-04-30	VYDAJ	VYBER	15	22708	SLUZBY	\N	\N
1048308	3585	1997-05-31	VYDAJ	VYBER	15	24732	SLUZBY	\N	\N
1048309	3585	1997-06-30	VYDAJ	VYBER	15	28210	SLUZBY	\N	\N
1048310	3585	1997-07-31	VYDAJ	VYBER	15	29297	SLUZBY	\N	\N
1048311	3585	1997-08-31	VYDAJ	VYBER	15	30188	SLUZBY	\N	\N
1048312	3585	1997-09-30	VYDAJ	VYBER	15	32586	SLUZBY	\N	\N
1048313	3585	1997-10-31	VYDAJ	VYBER	15	34612	SLUZBY	\N	\N
1048314	3585	1997-11-30	VYDAJ	VYBER	15	31763	SLUZBY	\N	\N
1048315	3585	1997-12-31	VYDAJ	VYBER	15	30292	SLUZBY	\N	\N
1048316	3585	1998-01-31	VYDAJ	VYBER	15	23096	SLUZBY	\N	\N
1048317	3585	1998-02-28	VYDAJ	VYBER	15	26566	SLUZBY	\N	\N
1048318	3585	1998-03-31	VYDAJ	VYBER	15	30051	SLUZBY	\N	\N
1048319	3585	1998-04-30	VYDAJ	VYBER	15	33550	SLUZBY	\N	\N
1048320	3585	1998-05-31	VYDAJ	VYBER	15	37064	SLUZBY	\N	\N
1048321	3585	1998-06-30	VYDAJ	VYBER	15	32072	SLUZBY	\N	\N
1048322	3585	1998-07-31	VYDAJ	VYBER	15	32056	SLUZBY	\N	\N
1048323	3585	1998-08-31	VYDAJ	VYBER	15	35564	SLUZBY	\N	\N
1048324	3585	1998-09-30	VYDAJ	VYBER	15	38785	SLUZBY	\N	\N
1048325	3585	1998-10-31	VYDAJ	VYBER	15	33503	SLUZBY	\N	\N
1048326	3585	1998-11-30	VYDAJ	VYBER	15	33446	SLUZBY	\N	\N
1048327	3585	1996-11-20	VYDAJ	VYBER	3400	28110	\N	\N	\N
1048328	3585	1996-12-20	VYDAJ	VYBER	1000	30518	\N	\N	\N
1048329	3585	1997-01-19	VYDAJ	VYBER	3700	20988	\N	\N	\N
1048330	3585	1997-03-20	VYDAJ	VYBER	2700	19186	\N	\N	\N
1048331	3585	1997-07-18	VYDAJ	VYBER	2400	29190	\N	\N	\N
1048332	3585	1997-08-17	VYDAJ	VYBER	2600	30077	\N	\N	\N
1048333	3585	1997-09-16	VYDAJ	VYBER	1100	32468	\N	\N	\N
1048334	3585	1997-10-16	VYDAJ	VYBER	600	34486	\N	\N	\N
1048335	3585	1997-11-15	VYDAJ	VYBER	2600	35392	\N	\N	\N
1048336	3585	1997-12-15	VYDAJ	VYBER	2100	33043	\N	\N	\N
1048337	3585	1998-06-13	VYDAJ	VYBER	100	37144	\N	\N	\N
1048338	3585	1998-09-11	VYDAJ	VYBER	300	32402	\N	\N	\N
1048339	3585	1998-10-11	VYDAJ	VYBER	5200	30723	\N	\N	\N
1048340	3585	1998-11-10	VYDAJ	VYBER	2200	28441	\N	\N	\N
1048341	3585	1998-12-10	VYDAJ	VYBER	5200	28246	\N	\N	\N
1048368	3586	1993-03-27	PRIJEM	VKLAD	300	300	\N	\N	\N
1048372	3586	1993-04-08	PRIJEM	VKLAD	12951	13251	\N	\N	\N
1048373	3586	1993-05-08	PRIJEM	VKLAD	12951	32015	\N	\N	\N
1048374	3586	1993-06-08	PRIJEM	VKLAD	19426	45126	\N	\N	\N
1048375	3586	1993-07-08	PRIJEM	VKLAD	12951	48692	\N	\N	\N
1048376	3586	1993-08-08	PRIJEM	VKLAD	12951	48691	\N	\N	\N
1048377	3586	1993-09-08	PRIJEM	VKLAD	12951	47975	\N	\N	\N
1048378	3586	1993-10-08	PRIJEM	VKLAD	12951	50060	\N	\N	\N
1048379	3586	1993-11-08	PRIJEM	VKLAD	12951	51753	\N	\N	\N
1048380	3586	1993-12-08	PRIJEM	VKLAD	19426	58626	\N	\N	\N
1048381	3586	1994-01-08	PRIJEM	VKLAD	12951	49231	\N	\N	\N
1048382	3586	1994-02-08	PRIJEM	VKLAD	12951	39531	\N	\N	\N
1048383	3586	1994-03-08	PRIJEM	VKLAD	12951	43711	\N	\N	\N
1048384	3586	1994-04-08	PRIJEM	VKLAD	12951	45779	\N	\N	\N
1048385	3586	1994-05-08	PRIJEM	VKLAD	12951	48455	\N	\N	\N
1048386	3586	1994-06-08	PRIJEM	VKLAD	19426	37013	\N	\N	\N
1048387	3586	1994-07-08	PRIJEM	VKLAD	12951	45289	\N	\N	\N
1048388	3586	1994-08-08	PRIJEM	VKLAD	12951	48771	\N	\N	\N
1048389	3586	1994-09-08	PRIJEM	VKLAD	12951	48556	\N	\N	\N
1048390	3586	1994-10-08	PRIJEM	VKLAD	12951	49542	\N	\N	\N
1048391	3586	1994-11-08	PRIJEM	VKLAD	12951	47529	\N	\N	\N
1048392	3586	1994-12-08	PRIJEM	VKLAD	19426	57090	\N	\N	\N
1048393	3586	1995-01-08	PRIJEM	VKLAD	12951	38078	\N	\N	\N
1048394	3586	1995-02-08	PRIJEM	VKLAD	12951	27324	\N	\N	\N
1048395	3586	1995-03-08	PRIJEM	VKLAD	12951	39044	\N	\N	\N
1048396	3586	1995-04-08	PRIJEM	VKLAD	12951	43297	\N	\N	\N
1048397	3586	1995-05-08	PRIJEM	VKLAD	12951	39459	\N	\N	\N
1048398	3586	1995-06-08	PRIJEM	VKLAD	19426	21404	\N	\N	\N
1048399	3586	1995-07-08	PRIJEM	VKLAD	12951	35840	\N	\N	\N
1048400	3586	1995-08-08	PRIJEM	VKLAD	12951	40581	\N	\N	\N
1048401	3586	1995-09-08	PRIJEM	VKLAD	12951	44743	\N	\N	\N
1048402	3586	1995-10-08	PRIJEM	VKLAD	12951	45917	\N	\N	\N
1048403	3586	1995-11-08	PRIJEM	VKLAD	12951	47894	\N	\N	\N
1048404	3586	1995-12-08	PRIJEM	VKLAD	19426	55252	\N	\N	\N
1048405	3586	1996-01-08	PRIJEM	VKLAD	12951	39140	\N	\N	\N
1048406	3586	1996-02-08	PRIJEM	VKLAD	12951	37895	\N	\N	\N
1048407	3586	1996-03-08	PRIJEM	VKLAD	12951	47561	\N	\N	\N
1048408	3586	1996-04-08	PRIJEM	VKLAD	12951	52053	\N	\N	\N
1048409	3586	1996-05-08	PRIJEM	VKLAD	12951	51750	\N	\N	\N
1048410	3586	1996-06-08	PRIJEM	VKLAD	19426	59725	\N	\N	\N
1048411	3586	1996-07-08	PRIJEM	VKLAD	12951	30465	\N	\N	\N
1048412	3586	1996-08-08	PRIJEM	VKLAD	12951	40102	\N	\N	\N
1048413	3586	1996-09-08	PRIJEM	VKLAD	12951	47280	\N	\N	\N
1048414	3586	1996-10-08	PRIJEM	VKLAD	12951	51301	\N	\N	\N
1048415	3586	1996-11-08	PRIJEM	VKLAD	12951	52345	\N	\N	\N
1048416	3586	1996-12-08	PRIJEM	VKLAD	19426	59772	\N	\N	\N
1048417	3586	1997-01-08	PRIJEM	VKLAD	12951	52849	\N	\N	\N
1048418	3586	1997-02-08	PRIJEM	VKLAD	12951	48480	\N	\N	\N
1048419	3586	1997-03-08	PRIJEM	VKLAD	12951	52905	\N	\N	\N
1048420	3586	1997-04-08	PRIJEM	VKLAD	12951	54446	\N	\N	\N
1048421	3586	1997-05-08	PRIJEM	VKLAD	12951	54002	\N	\N	\N
1048422	3586	1997-06-08	PRIJEM	VKLAD	19426	54137	\N	\N	\N
1048423	3586	1997-07-08	PRIJEM	VKLAD	12951	55585	\N	\N	\N
1048424	3586	1997-08-08	PRIJEM	VKLAD	12951	55549	\N	\N	\N
1048425	3586	1997-09-08	PRIJEM	VKLAD	12951	58313	\N	\N	\N
1048426	3586	1997-10-08	PRIJEM	VKLAD	12951	58286	\N	\N	\N
1048427	3586	1997-11-08	PRIJEM	VKLAD	12951	54362	\N	\N	\N
1048428	3586	1997-12-08	PRIJEM	VKLAD	19426	63987	\N	\N	\N
1048429	3586	1998-01-08	PRIJEM	VKLAD	12951	57876	\N	\N	\N
1048430	3586	1998-02-08	PRIJEM	VKLAD	12951	50726	\N	\N	\N
1048431	3586	1998-03-08	PRIJEM	VKLAD	12951	52618	\N	\N	\N
1048432	3586	1998-04-08	PRIJEM	VKLAD	12951	57758	\N	\N	\N
1048433	3586	1998-05-08	PRIJEM	VKLAD	12951	58777	\N	\N	\N
1048434	3586	1998-06-08	PRIJEM	VKLAD	19426	71577	\N	\N	\N
1048435	3586	1998-07-08	PRIJEM	VKLAD	12951	71832	\N	\N	\N
1048436	3586	1998-08-08	PRIJEM	VKLAD	12951	76511	\N	\N	\N
1048437	3586	1998-09-08	PRIJEM	VKLAD	12951	77208	\N	\N	\N
1048438	3586	1998-10-08	PRIJEM	VKLAD	12951	79408	\N	\N	\N
1048439	3586	1998-11-08	PRIJEM	VKLAD	12951	82519	\N	\N	\N
1048440	3586	1998-12-08	PRIJEM	VKLAD	19426	86713	\N	\N	\N
1048442	3586	1994-06-06	VYDAJ	VYBER	13400	18987	\N	\N	\N
1048443	3586	1995-06-01	VYDAJ	VYBER	27600	1978	\N	\N	\N
1048444	3586	1996-06-11	VYDAJ	VYBER	24300	17425	\N	\N	\N
1048445	3586	1997-06-04	VYDAJ	VYBER	17000	34711	\N	\N	\N
1048446	3586	1998-06-27	VYDAJ	VYBER	6400	65177	\N	\N	\N
1048448	3586	1994-01-01	VYDAJ	VYBER	4100	39080	\N	\N	\N
1048449	3586	1995-01-23	VYDAJ	VYBER	9900	16778	\N	\N	\N
1048450	3586	1996-01-03	VYDAJ	VYBER	4200	26189	\N	\N	\N
1048451	3586	1997-01-23	VYDAJ	VYBER	8000	40549	\N	\N	\N
1048452	3586	1998-01-20	VYDAJ	VYBER	6900	45476	\N	\N	\N
1048459	3586	1994-01-12	VYDAJ	VYBER	2100	47131	\N	\N	\N
1048460	3586	1994-01-02	VYDAJ	VYBER	2100	36980	\N	\N	\N
1048461	3586	1994-01-25	VYDAJ	VYBER	1000	31931	\N	\N	\N
1048462	3586	1994-01-14	VYDAJ	VYBER	2900	44231	\N	\N	\N
1048463	3586	1994-01-07	VYDAJ	VYBER	700	36280	\N	\N	\N
1048464	3586	1994-01-29	VYDAJ	VYBER	900	31031	\N	\N	\N
1048465	3586	1995-01-24	VYDAJ	VYBER	2500	14278	\N	\N	\N
1048466	3586	1995-01-04	VYDAJ	VYBER	1700	27727	\N	\N	\N
1048467	3586	1995-01-15	VYDAJ	VYBER	2400	35678	\N	\N	\N
1048468	3586	1995-01-05	VYDAJ	VYBER	2600	25127	\N	\N	\N
1048469	3586	1995-01-15	VYDAJ	VYBER	2900	32778	\N	\N	\N
1048470	3586	1995-01-16	VYDAJ	VYBER	1700	26678	\N	\N	\N
1048471	3586	1996-01-20	VYDAJ	VYBER KARTOU	700	26740	\N	\N	0
1048472	3586	1996-01-13	VYDAJ	VYBER KARTOU	2000	30340	\N	\N	0
1048473	3586	1996-01-15	VYDAJ	VYBER KARTOU	2900	27440	\N	\N	0
1048474	3586	1996-01-01	VYDAJ	VYBER KARTOU	2100	31789	\N	\N	0
1048475	3586	1996-01-02	VYDAJ	VYBER KARTOU	1400	30389	\N	\N	0
1048476	3586	1996-01-10	VYDAJ	VYBER KARTOU	700	38440	\N	\N	0
1048477	3586	1997-01-14	VYDAJ	VYBER KARTOU	1800	49049	\N	\N	0
1048478	3586	1997-01-03	VYDAJ	VYBER KARTOU	2000	57998	\N	\N	0
1048479	3586	1997-01-08	VYDAJ	VYBER KARTOU	2000	50849	\N	\N	0
1048480	3586	1997-01-29	VYDAJ	VYBER KARTOU	800	37949	\N	\N	0
1048481	3586	1997-01-14	VYDAJ	VYBER KARTOU	500	48549	\N	\N	0
1048482	3586	1997-01-28	VYDAJ	VYBER KARTOU	1800	38749	\N	\N	0
1048483	3586	1998-01-17	VYDAJ	VYBER KARTOU	2800	52376	\N	\N	0
1048484	3586	1998-01-05	VYDAJ	VYBER KARTOU	1100	45825	\N	\N	0
1048485	3586	1998-01-21	VYDAJ	VYBER KARTOU	1100	44376	\N	\N	0
1048486	3586	1998-01-24	VYDAJ	VYBER KARTOU	1600	42776	\N	\N	0
1048487	3586	1998-01-16	VYDAJ	VYBER KARTOU	2700	55176	\N	\N	0
1048488	3586	1998-01-07	VYDAJ	VYBER KARTOU	900	44925	\N	\N	0
1048493	3586	1994-12-23	VYDAJ	VYBER	2000	36490	\N	\N	\N
1048494	3586	1994-02-05	VYDAJ	VYBER	4600	26580	\N	\N	\N
1048495	3586	1994-06-07	VYDAJ	VYBER	1400	17587	\N	\N	\N
1048496	3586	1994-12-29	VYDAJ	VYBER	4300	29290	\N	\N	\N
1048497	3586	1994-07-17	VYDAJ	VYBER	700	44589	\N	\N	\N
1048498	3586	1994-12-26	VYDAJ	VYBER	2900	33590	\N	\N	\N
1048499	3586	1994-10-16	VYDAJ	VYBER	3200	46342	\N	\N	\N
1048500	3586	1994-06-04	VYDAJ	VYBER	2400	32387	\N	\N	\N
1048501	3586	1995-08-17	VYDAJ	VYBER	2000	31681	\N	\N	\N
1048503	3586	1995-12-17	VYDAJ	VYBER	2000	37352	\N	\N	\N
1048504	3586	1995-05-05	VYDAJ	VYBER	3700	26508	\N	\N	\N
1048505	3586	1995-12-27	VYDAJ	VYBER KARTOU	3600	33752	\N	\N	0
1048506	3586	1995-09-11	VYDAJ	VYBER	900	43843	\N	\N	\N
1048507	3586	1996-01-30	VYDAJ	VYBER KARTOU	1900	24840	\N	\N	0
1048508	3586	1997-12-28	VYDAJ	VYBER KARTOU	500	63487	\N	\N	0
1048509	3586	1997-11-03	VYDAJ	VYBER KARTOU	2900	41411	\N	\N	0
1048510	3586	1997-03-11	VYDAJ	VYBER KARTOU	3400	49505	\N	\N	0
1048511	3586	1997-08-17	VYDAJ	VYBER KARTOU	800	54749	\N	\N	0
1048512	3586	1997-01-05	VYDAJ	VYBER	4200	39898	\N	\N	\N
1048513	3586	1997-11-15	VYDAJ	VYBER KARTOU	1100	53262	\N	\N	0
1048514	3586	1998-03-06	VYDAJ	VYBER KARTOU	2600	39667	\N	\N	0
1048515	3586	1998-03-16	VYDAJ	VYBER KARTOU	800	50618	\N	\N	0
1048516	3586	1998-03-21	VYDAJ	VYBER KARTOU	600	50018	\N	\N	0
1048517	3586	1998-03-08	VYDAJ	VYBER KARTOU	1200	51418	\N	\N	0
1048526	3586	1993-08-31	VYDAJ	VYBER	15	35024	SLUZBY	\N	\N
1048527	3586	1993-09-30	VYDAJ	VYBER	15	37109	SLUZBY	\N	\N
1048528	3586	1993-10-31	VYDAJ	VYBER	15	38802	SLUZBY	\N	\N
1048529	3586	1993-11-30	VYDAJ	VYBER	15	39200	SLUZBY	\N	\N
1048530	3586	1993-12-31	VYDAJ	VYBER	15	43180	SLUZBY	\N	\N
1048531	3586	1994-01-31	VYDAJ	VYBER	15	31180	SLUZBY	\N	\N
1048532	3586	1994-02-28	VYDAJ	VYBER	15	30760	SLUZBY	\N	\N
1048533	3586	1994-03-31	VYDAJ	VYBER	15	32828	SLUZBY	\N	\N
1048534	3586	1994-04-30	VYDAJ	VYBER	15	35504	SLUZBY	\N	\N
1048535	3586	1994-05-31	VYDAJ	VYBER	15	34787	SLUZBY	\N	\N
1048536	3586	1994-06-30	VYDAJ	VYBER	15	32338	SLUZBY	\N	\N
1048537	3586	1994-07-31	VYDAJ	VYBER	15	35820	SLUZBY	\N	\N
1048538	3586	1994-08-31	VYDAJ	VYBER	15	35605	SLUZBY	\N	\N
1048539	3586	1994-09-30	VYDAJ	VYBER	15	36591	SLUZBY	\N	\N
1048540	3586	1994-10-31	VYDAJ	VYBER	15	34578	SLUZBY	\N	\N
1048541	3586	1994-11-30	VYDAJ	VYBER	15	37664	SLUZBY	\N	\N
1048542	3586	1994-12-31	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
1048543	3586	1995-01-31	VYDAJ	VYBER	15	14373	SLUZBY	\N	\N
1048544	3586	1995-02-28	VYDAJ	VYBER	15	26093	SLUZBY	\N	\N
1048545	3586	1995-03-31	VYDAJ	VYBER	15	30346	SLUZBY	\N	\N
1048546	3586	1995-04-30	VYDAJ	VYBER	15	30208	SLUZBY	\N	\N
1048547	3586	1995-05-31	VYDAJ	VYBER	15	29578	SLUZBY	\N	\N
1048548	3586	1995-06-30	VYDAJ	VYBER	15	22889	SLUZBY	\N	\N
1048549	3586	1995-07-31	VYDAJ	VYBER	15	27630	SLUZBY	\N	\N
1048550	3586	1995-08-31	VYDAJ	VYBER	15	31792	SLUZBY	\N	\N
1048551	3586	1995-09-30	VYDAJ	VYBER	15	32966	SLUZBY	\N	\N
1048552	3586	1995-10-31	VYDAJ	VYBER	15	34943	SLUZBY	\N	\N
1048553	3586	1995-11-30	VYDAJ	VYBER	15	35826	SLUZBY	\N	\N
1048554	3586	1995-12-31	VYDAJ	VYBER	15	33889	SLUZBY	\N	\N
1048555	3586	1996-01-31	VYDAJ	VYBER	15	24944	SLUZBY	\N	\N
1048556	3586	1996-02-29	VYDAJ	VYBER	15	34610	SLUZBY	\N	\N
1048557	3586	1996-03-31	VYDAJ	VYBER	15	39102	SLUZBY	\N	\N
1048558	3586	1996-04-30	VYDAJ	VYBER	15	38799	SLUZBY	\N	\N
1048559	3586	1996-05-31	VYDAJ	VYBER	15	40299	SLUZBY	\N	\N
1048560	3586	1996-06-30	VYDAJ	VYBER	15	17514	SLUZBY	\N	\N
1048561	3586	1996-07-31	VYDAJ	VYBER	15	27151	SLUZBY	\N	\N
1048562	3586	1996-08-31	VYDAJ	VYBER	15	36429	SLUZBY	\N	\N
1048563	3586	1996-09-30	VYDAJ	VYBER	15	47450	SLUZBY	\N	\N
1048564	3586	1996-10-31	VYDAJ	VYBER	15	51494	SLUZBY	\N	\N
1048565	3586	1996-11-30	VYDAJ	VYBER	15	52546	SLUZBY	\N	\N
1048566	3586	1996-12-31	VYDAJ	VYBER	15	59998	SLUZBY	\N	\N
1048567	3586	1997-01-31	VYDAJ	VYBER	15	38129	SLUZBY	\N	\N
1048568	3586	1997-02-28	VYDAJ	VYBER	15	48654	SLUZBY	\N	\N
1048569	3586	1997-03-31	VYDAJ	VYBER	15	49695	SLUZBY	\N	\N
1048570	3586	1997-04-30	VYDAJ	VYBER	15	54651	SLUZBY	\N	\N
1048571	3586	1997-05-31	VYDAJ	VYBER	15	54211	SLUZBY	\N	\N
1048572	3586	1997-06-30	VYDAJ	VYBER	15	54334	SLUZBY	\N	\N
1048573	3586	1997-07-31	VYDAJ	VYBER	15	55798	SLUZBY	\N	\N
1048574	3586	1997-08-31	VYDAJ	VYBER	15	54962	SLUZBY	\N	\N
1048575	3586	1997-09-30	VYDAJ	VYBER	15	58535	SLUZBY	\N	\N
1048576	3586	1997-10-31	VYDAJ	VYBER	15	58511	SLUZBY	\N	\N
1048577	3586	1997-11-30	VYDAJ	VYBER	15	53461	SLUZBY	\N	\N
1048578	3586	1997-12-31	VYDAJ	VYBER	15	63725	SLUZBY	\N	\N
1048579	3586	1998-01-31	VYDAJ	VYBER	15	37775	SLUZBY	\N	\N
1048580	3586	1998-02-28	VYDAJ	VYBER	15	50867	SLUZBY	\N	\N
1048581	3586	1998-03-31	VYDAJ	VYBER	15	44807	SLUZBY	\N	\N
1048582	3586	1998-04-30	VYDAJ	VYBER	15	45826	SLUZBY	\N	\N
1048583	3586	1998-05-31	VYDAJ	VYBER	15	52151	SLUZBY	\N	\N
1048584	3586	1998-06-30	VYDAJ	VYBER	15	58881	SLUZBY	\N	\N
1048585	3586	1998-07-31	VYDAJ	VYBER	15	63560	SLUZBY	\N	\N
1048586	3586	1998-08-31	VYDAJ	VYBER	15	64257	SLUZBY	\N	\N
1048587	3586	1998-09-30	VYDAJ	VYBER	15	66457	SLUZBY	\N	\N
1048588	3586	1998-10-31	VYDAJ	VYBER	15	69568	SLUZBY	\N	\N
1048589	3586	1998-11-30	VYDAJ	VYBER	15	67287	SLUZBY	\N	\N
1048590	3586	1993-04-26	PRIJEM	VKLAD	5800	19051	\N	\N	\N
1048591	3586	1993-05-26	VYDAJ	VYBER	6400	25615	\N	\N	\N
1048592	3586	1993-06-25	VYDAJ	VYBER	9500	35626	\N	\N	\N
1048593	3586	1993-07-25	VYDAJ	VYBER	13100	35592	\N	\N	\N
1048594	3586	1993-08-24	VYDAJ	VYBER	13800	34891	\N	\N	\N
1048595	3586	1993-09-23	VYDAJ	VYBER	11000	36975	\N	\N	\N
1048596	3586	1993-10-23	VYDAJ	VYBER	11400	38660	\N	\N	\N
1048597	3586	1993-11-22	VYDAJ	VYBER	12700	39053	\N	\N	\N
1048598	3586	1993-12-22	VYDAJ	VYBER	15600	43026	\N	\N	\N
1048599	3586	1994-01-21	VYDAJ	VYBER	11300	32931	\N	\N	\N
1048600	3586	1994-02-20	VYDAJ	VYBER	8900	30631	\N	\N	\N
1048601	3586	1994-03-22	VYDAJ	VYBER	11000	32711	\N	\N	\N
1048602	3586	1994-04-21	VYDAJ	VYBER	10400	35379	\N	\N	\N
1048603	3586	1994-05-21	VYDAJ	VYBER	13800	34655	\N	\N	\N
1048604	3586	1994-06-20	VYDAJ	VYBER	4800	32213	\N	\N	\N
1048605	3586	1994-07-20	VYDAJ	VYBER	8900	35689	\N	\N	\N
1048606	3586	1994-08-19	VYDAJ	VYBER	13300	35471	\N	\N	\N
1048607	3586	1994-09-18	VYDAJ	VYBER	12100	36456	\N	\N	\N
1048608	3586	1994-10-18	VYDAJ	VYBER	11900	34442	\N	\N	\N
1048609	3586	1994-11-17	VYDAJ	VYBER	10000	37529	\N	\N	\N
1048610	3586	1994-12-17	VYDAJ	VYBER	18600	38490	\N	\N	\N
1048611	3586	1995-01-16	VYDAJ	VYBER	4400	28378	\N	\N	\N
1048612	3586	1995-02-15	VYDAJ	VYBER	1300	26024	\N	\N	\N
1048613	3586	1995-03-17	VYDAJ	VYBER	8800	30244	\N	\N	\N
1048614	3586	1995-04-16	VYDAJ	VYBER	13200	30097	\N	\N	\N
1048615	3586	1995-05-16	VYDAJ	VYBER	10000	29459	\N	\N	\N
1048616	3586	1995-06-15	PRIJEM	VKLAD	1400	22804	\N	\N	\N
1048617	3586	1995-07-15	VYDAJ	VYBER	8300	27540	\N	\N	\N
1048618	3586	1995-08-14	VYDAJ	VYBER	6900	33681	\N	\N	\N
1048619	3586	1995-09-13	VYDAJ	VYBER	11000	32843	\N	\N	\N
1048620	3586	1995-10-13	VYDAJ	VYBER	11100	34817	\N	\N	\N
1048621	3586	1995-11-12	VYDAJ	VYBER	12200	35694	\N	\N	\N
1048622	3586	1995-12-12	VYDAJ	VYBER	15900	39352	\N	\N	\N
1048623	3586	1996-01-11	VYDAJ	VYBER	6100	32340	\N	\N	\N
1048624	3586	1996-02-10	VYDAJ	VYBER KARTOU	3400	34495	\N	\N	0
1048625	3586	1996-03-11	VYDAJ	VYBER	8600	38961	\N	\N	\N
1048626	3586	1996-04-10	VYDAJ	VYBER	13400	38653	\N	\N	\N
1048627	3586	1996-05-10	VYDAJ	VYBER	11600	40150	\N	\N	\N
1048628	3586	1996-06-09	VYDAJ	VYBER	18000	41725	\N	\N	\N
1048629	3586	1996-07-09	VYDAJ	VYBER KARTOU	3400	27065	\N	\N	0
1048630	3586	1996-08-08	VYDAJ	VYBER KARTOU	3800	36302	\N	\N	0
1048631	3586	1996-09-07	VYDAJ	VYBER KARTOU	2100	34329	\N	\N	0
1048632	3586	1996-10-07	VYDAJ	VYBER	9100	38350	\N	\N	\N
1048633	3586	1996-11-06	VYDAJ	VYBER	12100	39394	\N	\N	\N
1048634	3586	1996-12-06	VYDAJ	VYBER	12200	40346	\N	\N	\N
1048635	3586	1997-01-05	VYDAJ	VYBER	13900	44098	\N	\N	\N
1048636	3586	1997-02-04	VYDAJ	VYBER KARTOU	2600	35529	\N	\N	0
1048637	3586	1997-03-06	VYDAJ	VYBER	8700	39954	\N	\N	\N
1048638	3586	1997-04-05	VYDAJ	VYBER	8200	41495	\N	\N	\N
1048639	3586	1997-05-05	VYDAJ	VYBER	13600	41051	\N	\N	\N
1048640	3586	1997-06-04	VYDAJ	VYBER KARTOU	2500	51711	\N	\N	0
1048641	3586	1997-07-04	VYDAJ	VYBER	11700	42634	\N	\N	\N
1048642	3586	1997-08-03	VYDAJ	VYBER	13200	42598	\N	\N	\N
1048643	3586	1997-09-02	VYDAJ	VYBER	9600	45362	\N	\N	\N
1048644	3586	1997-10-02	VYDAJ	VYBER	13200	45335	\N	\N	\N
1048645	3586	1997-11-01	VYDAJ	VYBER	14200	44311	\N	\N	\N
1048646	3586	1997-12-01	VYDAJ	VYBER	8900	44561	\N	\N	\N
1048647	3586	1997-12-31	VYDAJ	VYBER	16800	46925	\N	\N	\N
1048648	3586	1998-01-30	VYDAJ	VYBER	5200	37576	\N	\N	\N
1048649	3586	1998-03-01	VYDAJ	VYBER	8600	42267	\N	\N	\N
1048650	3586	1998-03-31	VYDAJ	VYBER	5400	44822	\N	\N	\N
1048651	3586	1998-04-30	VYDAJ	VYBER	12100	45841	\N	\N	\N
1048652	3586	1998-05-30	VYDAJ	VYBER	6800	51977	\N	\N	\N
1048653	3586	1998-06-29	VYDAJ	VYBER	6500	58677	\N	\N	\N
1048654	3586	1998-07-29	VYDAJ	VYBER	8500	63332	\N	\N	\N
1048655	3586	1998-08-28	VYDAJ	VYBER	12500	64011	\N	\N	\N
1048656	3586	1998-09-27	VYDAJ	VYBER	11000	66208	\N	\N	\N
1048657	3586	1998-10-27	VYDAJ	VYBER	10100	69308	\N	\N	\N
1048658	3586	1998-11-26	VYDAJ	VYBER	15500	67019	\N	\N	\N
1048727	3587	1995-12-24	PRIJEM	VKLAD	700	700	\N	\N	\N
1048740	3587	1996-01-11	PRIJEM	PREVOD Z UCTU	3251	3951	\N	AB	62280243
1048741	3587	1996-02-11	PRIJEM	PREVOD Z UCTU	3251	18621	\N	AB	62280243
1048742	3587	1996-03-11	PRIJEM	PREVOD Z UCTU	3251	23341	\N	AB	62280243
1048743	3587	1996-04-11	PRIJEM	PREVOD Z UCTU	3251	25178	\N	AB	62280243
1048744	3587	1996-05-11	PRIJEM	PREVOD Z UCTU	3251	27623	\N	AB	62280243
1048745	3587	1996-06-11	PRIJEM	PREVOD Z UCTU	3251	26016	\N	AB	62280243
1048746	3587	1996-07-11	PRIJEM	PREVOD Z UCTU	3251	18099	\N	AB	62280243
1048747	3587	1996-08-11	PRIJEM	PREVOD Z UCTU	3251	18036	\N	AB	62280243
1048748	3587	1996-09-11	PRIJEM	PREVOD Z UCTU	3251	18674	\N	AB	62280243
1048749	3587	1996-10-11	PRIJEM	PREVOD Z UCTU	3251	21819	\N	AB	62280243
1048750	3587	1996-11-11	PRIJEM	PREVOD Z UCTU	3251	18886	\N	AB	62280243
1048751	3587	1996-12-11	PRIJEM	PREVOD Z UCTU	3251	17424	\N	AB	62280243
1048752	3587	1997-01-11	PRIJEM	PREVOD Z UCTU	3251	15908	\N	AB	62280243
1048753	3587	1997-02-11	PRIJEM	PREVOD Z UCTU	3251	17018	\N	AB	62280243
1048754	3587	1997-03-11	PRIJEM	PREVOD Z UCTU	3251	14746	\N	AB	62280243
1048755	3587	1997-04-11	PRIJEM	PREVOD Z UCTU	3251	16773	\N	AB	62280243
1048756	3587	1997-05-11	PRIJEM	PREVOD Z UCTU	3251	16904	\N	AB	62280243
1048757	3587	1997-06-11	PRIJEM	PREVOD Z UCTU	3251	16335	\N	AB	62280243
1048758	3587	1997-07-11	PRIJEM	PREVOD Z UCTU	3251	16605	\N	AB	62280243
1048759	3587	1997-08-11	PRIJEM	PREVOD Z UCTU	3251	19141	\N	AB	62280243
1048760	3587	1997-09-11	PRIJEM	PREVOD Z UCTU	3251	20184	\N	AB	62280243
1048761	3587	1997-10-11	PRIJEM	PREVOD Z UCTU	3251	23036	\N	AB	62280243
1048762	3587	1997-11-11	PRIJEM	PREVOD Z UCTU	3251	22391	\N	AB	62280243
1048763	3587	1997-12-11	PRIJEM	PREVOD Z UCTU	3251	24450	\N	AB	62280243
1048764	3587	1998-01-11	PRIJEM	PREVOD Z UCTU	3251	22678	\N	AB	62280243
1048765	3587	1998-02-11	PRIJEM	PREVOD Z UCTU	3251	15005	\N	AB	62280243
1048766	3587	1998-03-11	PRIJEM	PREVOD Z UCTU	3251	14748	\N	AB	62280243
1048767	3587	1998-04-11	PRIJEM	PREVOD Z UCTU	3251	15472	\N	AB	62280243
1048768	3587	1998-05-11	PRIJEM	PREVOD Z UCTU	3251	16600	\N	AB	62280243
1048769	3587	1998-06-11	PRIJEM	PREVOD Z UCTU	3251	14958	\N	AB	62280243
1048770	3587	1998-07-11	PRIJEM	PREVOD Z UCTU	3251	12173	\N	AB	62280243
1048771	3587	1998-08-11	PRIJEM	PREVOD Z UCTU	3251	13287	\N	AB	62280243
1048772	3587	1998-09-11	PRIJEM	PREVOD Z UCTU	3251	16405	\N	AB	62280243
1048773	3587	1998-10-11	PRIJEM	PREVOD Z UCTU	3251	15153	\N	AB	62280243
1048774	3587	1998-11-11	PRIJEM	PREVOD Z UCTU	3251	14981	\N	AB	62280243
1048775	3587	1998-12-11	PRIJEM	PREVOD Z UCTU	3251	19108	\N	AB	62280243
1048793	3587	1996-06-06	VYDAJ	PREVOD NA UCET	1108	22765	SIPO	KL	50633436
1048794	3587	1996-07-06	VYDAJ	PREVOD NA UCET	1108	14848	SIPO	KL	50633436
1048795	3587	1996-08-06	VYDAJ	PREVOD NA UCET	1108	14785	SIPO	KL	50633436
1048796	3587	1996-09-06	VYDAJ	PREVOD NA UCET	1108	15423	SIPO	KL	50633436
1048797	3587	1996-10-06	VYDAJ	PREVOD NA UCET	1108	18568	SIPO	KL	50633436
1048798	3587	1996-11-06	VYDAJ	PREVOD NA UCET	1108	16145	SIPO	KL	50633436
1048799	3587	1996-12-06	VYDAJ	PREVOD NA UCET	1108	14173	SIPO	KL	50633436
1048800	3587	1997-01-06	VYDAJ	PREVOD NA UCET	1108	13497	SIPO	KL	50633436
1048801	3587	1997-02-06	VYDAJ	PREVOD NA UCET	1108	13767	SIPO	KL	50633436
1048802	3587	1997-03-06	VYDAJ	PREVOD NA UCET	1108	11495	SIPO	KL	50633436
1048803	3587	1997-04-06	VYDAJ	PREVOD NA UCET	1108	13522	SIPO	KL	50633436
1048804	3587	1997-05-06	VYDAJ	PREVOD NA UCET	1108	13653	SIPO	KL	50633436
1048805	3587	1997-06-06	VYDAJ	PREVOD NA UCET	1108	13084	SIPO	KL	50633436
1048806	3587	1997-07-06	VYDAJ	PREVOD NA UCET	1108	13354	SIPO	KL	50633436
1048807	3587	1997-08-06	VYDAJ	PREVOD NA UCET	1108	15890	SIPO	KL	50633436
1048808	3587	1997-09-06	VYDAJ	PREVOD NA UCET	1108	16933	SIPO	KL	50633436
1048809	3587	1997-10-06	VYDAJ	PREVOD NA UCET	1108	19785	SIPO	KL	50633436
1048810	3587	1997-11-06	VYDAJ	PREVOD NA UCET	1108	19140	SIPO	KL	50633436
1048811	3587	1997-12-06	VYDAJ	PREVOD NA UCET	1108	21199	SIPO	KL	50633436
1048812	3587	1998-01-06	VYDAJ	PREVOD NA UCET	1108	19427	SIPO	KL	50633436
1048813	3587	1998-02-06	VYDAJ	PREVOD NA UCET	1108	11654	SIPO	KL	50633436
1048814	3587	1998-03-06	VYDAJ	PREVOD NA UCET	1108	11497	SIPO	KL	50633436
1048815	3587	1998-04-06	VYDAJ	PREVOD NA UCET	1108	12221	SIPO	KL	50633436
1048816	3587	1998-05-06	VYDAJ	PREVOD NA UCET	1108	13349	SIPO	KL	50633436
1048817	3587	1998-06-06	VYDAJ	PREVOD NA UCET	1108	11707	SIPO	KL	50633436
1048818	3587	1998-07-06	VYDAJ	PREVOD NA UCET	1108	8922	SIPO	KL	50633436
1048819	3587	1998-08-06	VYDAJ	PREVOD NA UCET	1108	10036	SIPO	KL	50633436
1048820	3587	1998-09-06	VYDAJ	PREVOD NA UCET	1108	11154	SIPO	KL	50633436
1048821	3587	1998-10-06	VYDAJ	PREVOD NA UCET	1108	13802	SIPO	KL	50633436
1048822	3587	1998-11-06	VYDAJ	PREVOD NA UCET	1108	13030	SIPO	KL	50633436
1048823	3587	1998-12-06	VYDAJ	PREVOD NA UCET	1108	12857	SIPO	KL	50633436
1048840	3587	1996-05-13	VYDAJ	PREVOD NA UCET	1059	26564	 	QR	68455278
1048841	3587	1996-06-13	VYDAJ	PREVOD NA UCET	1059	24957	 	QR	68455278
1048842	3587	1996-07-13	VYDAJ	PREVOD NA UCET	1059	17040	 	QR	68455278
1048843	3587	1996-08-13	VYDAJ	PREVOD NA UCET	1059	16977	 	QR	68455278
1048844	3587	1996-09-13	VYDAJ	PREVOD NA UCET	1059	17615	 	QR	68455278
1048845	3587	1996-10-13	VYDAJ	PREVOD NA UCET	1059	19470	 	QR	68455278
1048846	3587	1996-11-13	VYDAJ	PREVOD NA UCET	1059	17827	 	QR	68455278
1048847	3587	1996-12-13	VYDAJ	PREVOD NA UCET	1059	16365	 	QR	68455278
1048848	3587	1997-01-13	VYDAJ	PREVOD NA UCET	1059	14219	 	QR	68455278
1048849	3587	1997-02-13	VYDAJ	PREVOD NA UCET	1059	15959	 	QR	68455278
1048850	3587	1997-03-13	VYDAJ	PREVOD NA UCET	1059	13687	 	QR	68455278
1048851	3587	1997-04-13	VYDAJ	PREVOD NA UCET	1059	15714	 	QR	68455278
1048852	3587	1997-05-13	VYDAJ	PREVOD NA UCET	1059	15845	 	QR	68455278
1048853	3587	1997-06-13	VYDAJ	PREVOD NA UCET	1059	15276	 	QR	68455278
1048854	3587	1997-07-13	VYDAJ	PREVOD NA UCET	1059	15546	 	QR	68455278
1048855	3587	1997-08-13	VYDAJ	PREVOD NA UCET	1059	18082	 	QR	68455278
1048856	3587	1997-09-13	VYDAJ	PREVOD NA UCET	1059	19125	 	QR	68455278
1048857	3587	1997-10-13	VYDAJ	PREVOD NA UCET	1059	21977	 	QR	68455278
1048858	3587	1997-11-13	VYDAJ	PREVOD NA UCET	1059	22232	 	QR	68455278
1048859	3587	1997-12-13	VYDAJ	PREVOD NA UCET	1059	23391	 	QR	68455278
1048860	3587	1998-01-13	VYDAJ	PREVOD NA UCET	1059	15559	 	QR	68455278
1048861	3587	1998-02-13	VYDAJ	PREVOD NA UCET	1059	13676	 	QR	68455278
1048862	3587	1998-03-13	VYDAJ	PREVOD NA UCET	1059	13689	 	QR	68455278
1048863	3587	1998-04-13	VYDAJ	PREVOD NA UCET	1059	14413	 	QR	68455278
1048864	3587	1998-05-13	VYDAJ	PREVOD NA UCET	1059	12771	 	QR	68455278
1048865	3587	1998-06-13	VYDAJ	PREVOD NA UCET	1059	9999	 	QR	68455278
1048866	3587	1998-07-13	VYDAJ	PREVOD NA UCET	1059	11114	 	QR	68455278
1048867	3587	1998-08-13	VYDAJ	PREVOD NA UCET	1059	12228	 	QR	68455278
1048868	3587	1998-09-13	VYDAJ	PREVOD NA UCET	1059	15346	 	QR	68455278
1048869	3587	1998-10-13	VYDAJ	PREVOD NA UCET	1059	14094	 	QR	68455278
1048870	3587	1998-11-13	VYDAJ	PREVOD NA UCET	1059	13922	 	QR	68455278
1048871	3587	1998-12-13	VYDAJ	PREVOD NA UCET	1059	18049	 	QR	68455278
1048873	3587	1996-06-14	VYDAJ	VYBER	7020	17937	\N	\N	\N
1048879	3587	1998-01-17	VYDAJ	VYBER	1080	14059	\N	\N	\N
1048881	3587	1996-12-21	VYDAJ	VYBER	300	15065	\N	\N	\N
1048882	3587	1997-12-22	VYDAJ	VYBER	330	20461	\N	\N	\N
1048883	3587	1998-12-27	VYDAJ	VYBER	300	17749	\N	\N	\N
1048896	3587	1997-01-07	VYDAJ	VYBER	420	12657	\N	\N	\N
1048897	3587	1997-01-12	VYDAJ	VYBER	630	15278	\N	\N	\N
1048898	3587	1997-01-01	VYDAJ	VYBER	330	14785	\N	\N	\N
1048899	3587	1997-01-07	VYDAJ	VYBER	420	13077	\N	\N	\N
1048900	3587	1997-01-01	VYDAJ	VYBER	180	14605	\N	\N	\N
1048901	3587	1997-01-21	VYDAJ	VYBER	390	14829	\N	\N	\N
1048902	3587	1998-01-20	VYDAJ	VYBER	840	13039	\N	\N	\N
1048904	3587	1998-01-11	VYDAJ	VYBER	660	22018	\N	\N	\N
1048905	3587	1998-01-21	VYDAJ	VYBER	330	12709	\N	\N	\N
1048906	3587	1998-01-20	VYDAJ	VYBER	180	13879	\N	\N	\N
1048907	3587	1998-01-17	VYDAJ	VYBER	420	15139	\N	\N	\N
1048914	3587	1996-05-28	VYDAJ	VYBER	1110	23784	\N	\N	\N
1048915	3587	1996-06-26	VYDAJ	VYBER	750	15887	\N	\N	\N
1048916	3587	1996-10-13	VYDAJ	VYBER	1290	20529	\N	\N	\N
1048917	3587	1996-11-09	VYDAJ	VYBER	510	15635	\N	\N	\N
1048918	3587	1996-10-17	VYDAJ	VYBER	1380	18090	\N	\N	\N
1048919	3587	1996-05-14	VYDAJ	VYBER	570	25994	\N	\N	\N
1048920	3587	1996-11-16	VYDAJ	VYBER	1200	16627	\N	\N	\N
1048922	3587	1997-04-15	VYDAJ	VYBER	300	15414	\N	\N	\N
1048923	3587	1997-06-27	VYDAJ	VYBER	360	14416	\N	\N	\N
1048925	3587	1998-09-15	VYDAJ	VYBER	480	14866	\N	\N	\N
1048926	3587	1998-05-13	VYDAJ	VYBER	1170	13830	\N	\N	\N
1048929	3587	1998-02-12	VYDAJ	VYBER	270	14735	\N	\N	\N
1048930	3587	1998-03-24	VYDAJ	VYBER	300	13289	\N	\N	\N
1048931	3587	1998-02-14	VYDAJ	VYBER	1110	12566	\N	\N	\N
1048949	3587	1996-05-31	VYDAJ	VYBER	15	23873	SLUZBY	\N	\N
1048950	3587	1996-06-30	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
1048951	3587	1996-07-31	VYDAJ	VYBER	15	15893	SLUZBY	\N	\N
1048952	3587	1996-08-31	VYDAJ	VYBER	15	16531	SLUZBY	\N	\N
1048953	3587	1996-09-30	VYDAJ	VYBER	15	19676	SLUZBY	\N	\N
1048954	3587	1996-10-31	VYDAJ	VYBER	15	17253	SLUZBY	\N	\N
1048955	3587	1996-11-30	VYDAJ	VYBER	15	15281	SLUZBY	\N	\N
1048956	3587	1996-12-31	VYDAJ	VYBER	15	15115	SLUZBY	\N	\N
1048957	3587	1997-01-31	VYDAJ	VYBER	15	14875	SLUZBY	\N	\N
1048958	3587	1997-02-28	VYDAJ	VYBER	15	12603	SLUZBY	\N	\N
1048959	3587	1997-03-31	VYDAJ	VYBER	15	14630	SLUZBY	\N	\N
1048960	3587	1997-04-30	VYDAJ	VYBER	15	14761	SLUZBY	\N	\N
1048961	3587	1997-05-31	VYDAJ	VYBER	15	14192	SLUZBY	\N	\N
1048962	3587	1997-06-30	VYDAJ	VYBER	15	14462	SLUZBY	\N	\N
1048963	3587	1997-07-31	VYDAJ	VYBER	15	16998	SLUZBY	\N	\N
1048964	3587	1997-08-31	VYDAJ	VYBER	15	18041	SLUZBY	\N	\N
1048965	3587	1997-09-30	VYDAJ	VYBER	15	20893	SLUZBY	\N	\N
1048966	3587	1997-10-31	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
1048967	3587	1997-11-30	VYDAJ	VYBER	15	22307	SLUZBY	\N	\N
1048968	3587	1997-12-31	VYDAJ	VYBER	15	20535	SLUZBY	\N	\N
1048969	3587	1998-01-31	VYDAJ	VYBER	15	12762	SLUZBY	\N	\N
1048970	3587	1998-02-28	VYDAJ	VYBER	15	12605	SLUZBY	\N	\N
1048971	3587	1998-03-31	VYDAJ	VYBER	15	13329	SLUZBY	\N	\N
1048972	3587	1998-04-30	VYDAJ	VYBER	15	14457	SLUZBY	\N	\N
1048973	3587	1998-05-31	VYDAJ	VYBER	15	12815	SLUZBY	\N	\N
1048974	3587	1998-06-30	VYDAJ	VYBER	15	10030	SLUZBY	\N	\N
1048975	3587	1998-07-31	VYDAJ	VYBER	15	11144	SLUZBY	\N	\N
1048976	3587	1998-08-31	VYDAJ	VYBER	15	12262	SLUZBY	\N	\N
1048977	3587	1998-09-30	VYDAJ	VYBER	15	14910	SLUZBY	\N	\N
1048978	3587	1998-10-31	VYDAJ	VYBER	15	14138	SLUZBY	\N	\N
1048979	3587	1998-11-30	VYDAJ	VYBER	15	13965	SLUZBY	\N	\N
1048980	3587	1996-01-23	PRIJEM	VKLAD	11400	15351	\N	\N	\N
1048981	3587	1996-02-22	PRIJEM	VKLAD	1400	20021	\N	\N	\N
1048982	3587	1996-03-23	VYDAJ	VYBER	1500	21841	\N	\N	\N
1048983	3587	1996-04-22	VYDAJ	VYBER	900	24278	\N	\N	\N
1048984	3587	1996-05-22	VYDAJ	VYBER	1100	24894	\N	\N	\N
1048985	3587	1996-06-21	VYDAJ	VYBER	1300	16637	\N	\N	\N
1048986	3587	1996-07-21	VYDAJ	VYBER	1200	15840	\N	\N	\N
1048987	3587	1996-08-20	VYDAJ	VYBER	500	16477	\N	\N	\N
1048988	3587	1996-09-19	PRIJEM	VKLAD	2000	19615	\N	\N	\N
1048989	3587	1996-10-19	VYDAJ	VYBER	900	17190	\N	\N	\N
1048990	3587	1996-11-18	VYDAJ	VYBER	1400	15227	\N	\N	\N
1048991	3587	1996-12-18	VYDAJ	VYBER	1000	15365	\N	\N	\N
1048992	3587	1997-01-17	PRIJEM	VKLAD	1000	15219	\N	\N	\N
1048993	3587	1997-02-16	VYDAJ	VYBER	3400	12559	\N	\N	\N
1048994	3587	1997-03-18	PRIJEM	VKLAD	900	14587	\N	\N	\N
1048995	3587	1997-04-17	VYDAJ	VYBER	700	14714	\N	\N	\N
1048996	3587	1997-05-17	VYDAJ	VYBER	1700	14145	\N	\N	\N
1048997	3587	1997-06-16	VYDAJ	VYBER	500	14776	\N	\N	\N
1048998	3587	1997-07-16	PRIJEM	VKLAD	1400	16946	\N	\N	\N
1048999	3587	1997-08-15	VYDAJ	VYBER	100	17982	\N	\N	\N
1049000	3587	1997-09-14	PRIJEM	VKLAD	1700	20825	\N	\N	\N
1049001	3587	1997-10-14	VYDAJ	VYBER	1800	20177	\N	\N	\N
1049002	3587	1997-11-13	PRIJEM	VKLAD	900	23291	\N	\N	\N
1049003	3587	1997-12-13	VYDAJ	VYBER	2600	20791	\N	\N	\N
1049004	3587	1998-01-12	VYDAJ	VYBER	5400	16618	\N	\N	\N
1049005	3587	1998-02-11	PRIJEM	VKLAD	100	11754	\N	\N	\N
1049006	3587	1998-03-13	VYDAJ	VYBER	100	13589	\N	\N	\N
1049007	3587	1998-05-12	VYDAJ	VYBER	1600	15000	\N	\N	\N
1049008	3587	1998-06-11	VYDAJ	VYBER	3900	11058	\N	\N	\N
1049009	3587	1998-09-09	PRIJEM	VKLAD	2000	13154	\N	\N	\N
1049010	3587	1998-10-09	VYDAJ	VYBER	1900	11902	\N	\N	\N
1049011	3587	1998-11-08	VYDAJ	VYBER	1300	11730	\N	\N	\N
1049012	3587	1998-12-08	PRIJEM	VKLAD	3000	15857	\N	\N	\N
1049049	3588	1996-06-28	PRIJEM	VKLAD	700	700	\N	\N	\N
1049056	3588	1996-07-09	PRIJEM	PREVOD Z UCTU	6679	7379	DUCHOD	AB	71433156
1049057	3588	1996-08-09	PRIJEM	PREVOD Z UCTU	6679	14058	DUCHOD	AB	71433156
1049058	3588	1996-09-09	PRIJEM	PREVOD Z UCTU	6679	20737	DUCHOD	AB	71433156
1049059	3588	1996-10-09	PRIJEM	PREVOD Z UCTU	6679	27416	DUCHOD	AB	71433156
1049060	3588	1996-11-09	PRIJEM	PREVOD Z UCTU	6679	34095	DUCHOD	AB	71433156
1049061	3588	1996-12-09	PRIJEM	PREVOD Z UCTU	6679	35989	DUCHOD	AB	71433156
1049062	3588	1997-01-09	PRIJEM	PREVOD Z UCTU	6679	34591	DUCHOD	AB	71433156
1049063	3588	1997-02-09	PRIJEM	PREVOD Z UCTU	6679	35979	DUCHOD	AB	71433156
1049064	3588	1997-03-09	PRIJEM	PREVOD Z UCTU	6679	36813	DUCHOD	AB	71433156
1049065	3588	1997-04-09	PRIJEM	PREVOD Z UCTU	6679	42055	DUCHOD	AB	71433156
1049066	3588	1997-05-09	PRIJEM	PREVOD Z UCTU	6679	41513	DUCHOD	AB	71433156
1049067	3588	1997-06-09	PRIJEM	PREVOD Z UCTU	6679	45073	DUCHOD	AB	71433156
1049068	3588	1997-07-09	PRIJEM	PREVOD Z UCTU	6679	34967	DUCHOD	AB	71433156
1049069	3588	1997-08-09	PRIJEM	PREVOD Z UCTU	6679	35761	DUCHOD	AB	71433156
1049070	3588	1997-09-09	PRIJEM	PREVOD Z UCTU	6679	38395	DUCHOD	AB	71433156
1049071	3588	1997-10-09	PRIJEM	PREVOD Z UCTU	6679	38436	DUCHOD	AB	71433156
1049072	3588	1997-11-09	PRIJEM	PREVOD Z UCTU	6679	36174	DUCHOD	AB	71433156
1049073	3588	1997-12-09	PRIJEM	PREVOD Z UCTU	6679	33901	DUCHOD	AB	71433156
1049074	3588	1998-01-09	PRIJEM	PREVOD Z UCTU	6679	21519	DUCHOD	AB	71433156
1049075	3588	1998-02-09	PRIJEM	PREVOD Z UCTU	6679	22193	DUCHOD	AB	71433156
1049076	3588	1998-03-09	PRIJEM	PREVOD Z UCTU	6679	20182	DUCHOD	AB	71433156
1049077	3588	1998-04-09	PRIJEM	PREVOD Z UCTU	6679	25356	DUCHOD	AB	71433156
1049078	3588	1998-05-09	PRIJEM	PREVOD Z UCTU	6679	22837	DUCHOD	AB	71433156
1049079	3588	1998-06-09	PRIJEM	PREVOD Z UCTU	6679	18905	DUCHOD	AB	71433156
1049080	3588	1998-07-09	PRIJEM	PREVOD Z UCTU	6679	24072	DUCHOD	AB	71433156
1049081	3588	1998-08-09	PRIJEM	PREVOD Z UCTU	6679	20744	DUCHOD	AB	71433156
1049082	3588	1998-09-09	PRIJEM	PREVOD Z UCTU	6679	24557	DUCHOD	AB	71433156
1049083	3588	1998-10-09	PRIJEM	PREVOD Z UCTU	6679	29748	DUCHOD	AB	71433156
1049084	3588	1998-11-09	PRIJEM	PREVOD Z UCTU	6679	34960	DUCHOD	AB	71433156
1049085	3588	1998-12-09	PRIJEM	PREVOD Z UCTU	6679	40193	DUCHOD	AB	71433156
1049096	3588	1996-11-10	VYDAJ	PREVOD NA UCET	1563	32532	SIPO	OP	51301729
1049097	3588	1996-12-10	VYDAJ	PREVOD NA UCET	1563	34426	SIPO	OP	51301729
1049098	3588	1997-01-10	VYDAJ	PREVOD NA UCET	1563	33028	SIPO	OP	51301729
1049099	3588	1997-02-10	VYDAJ	PREVOD NA UCET	1563	34416	SIPO	OP	51301729
1049100	3588	1997-03-10	VYDAJ	PREVOD NA UCET	1563	35250	SIPO	OP	51301729
1049101	3588	1997-04-10	VYDAJ	PREVOD NA UCET	1563	40492	SIPO	OP	51301729
1049102	3588	1997-05-10	VYDAJ	PREVOD NA UCET	1563	39950	SIPO	OP	51301729
1049103	3588	1997-06-10	VYDAJ	PREVOD NA UCET	1563	43510	SIPO	OP	51301729
1049104	3588	1997-07-10	VYDAJ	PREVOD NA UCET	1563	33404	SIPO	OP	51301729
1049105	3588	1997-08-10	VYDAJ	PREVOD NA UCET	1563	34198	SIPO	OP	51301729
1049106	3588	1997-09-10	VYDAJ	PREVOD NA UCET	1563	36832	SIPO	OP	51301729
1049107	3588	1997-10-10	VYDAJ	PREVOD NA UCET	1563	36873	SIPO	OP	51301729
1049108	3588	1997-11-10	VYDAJ	PREVOD NA UCET	1563	34611	SIPO	OP	51301729
1049109	3588	1997-12-10	VYDAJ	PREVOD NA UCET	1563	32338	SIPO	OP	51301729
1049110	3588	1998-01-10	VYDAJ	PREVOD NA UCET	1563	19956	SIPO	OP	51301729
1049111	3588	1998-02-10	VYDAJ	PREVOD NA UCET	1563	20630	SIPO	OP	51301729
1049112	3588	1998-03-10	VYDAJ	PREVOD NA UCET	1563	18619	SIPO	OP	51301729
1049113	3588	1998-04-10	VYDAJ	PREVOD NA UCET	1563	23793	SIPO	OP	51301729
1049114	3588	1998-05-10	VYDAJ	PREVOD NA UCET	1563	21274	SIPO	OP	51301729
1049115	3588	1998-06-10	VYDAJ	PREVOD NA UCET	1563	17342	SIPO	OP	51301729
1049116	3588	1998-07-10	VYDAJ	PREVOD NA UCET	1563	22509	SIPO	OP	51301729
1049117	3588	1998-08-10	VYDAJ	PREVOD NA UCET	1563	19181	SIPO	OP	51301729
1049118	3588	1998-09-10	VYDAJ	PREVOD NA UCET	1563	22994	SIPO	OP	51301729
1049119	3588	1998-10-10	VYDAJ	PREVOD NA UCET	1563	28185	SIPO	OP	51301729
1049120	3588	1998-11-10	VYDAJ	PREVOD NA UCET	1563	33397	SIPO	OP	51301729
1049121	3588	1998-12-10	VYDAJ	PREVOD NA UCET	1563	38630	SIPO	OP	51301729
1049123	3588	1997-06-26	VYDAJ	VYBER	5550	30860	\N	\N	\N
1049125	3588	1996-12-19	VYDAJ	VYBER	1450	32976	\N	\N	\N
1049126	3588	1997-12-23	VYDAJ	VYBER	1350	17708	\N	\N	\N
1049127	3588	1998-12-12	VYDAJ	VYBER	1050	37580	\N	\N	\N
1049128	3588	1996-12-24	VYDAJ	VYBER	480	32496	\N	\N	\N
1049129	3588	1996-12-25	VYDAJ	VYBER	3200	29296	\N	\N	\N
1049131	3588	1997-12-20	VYDAJ	VYBER	880	19058	\N	\N	\N
1049132	3588	1997-01-22	VYDAJ	VYBER	3840	29188	\N	\N	\N
1049133	3588	1997-07-05	VYDAJ	VYBER	2720	28288	\N	\N	\N
1049134	3588	1997-07-28	VYDAJ	VYBER	1440	28964	\N	\N	\N
1049136	3588	1998-03-02	VYDAJ	VYBER	480	13503	\N	\N	\N
1049137	3588	1998-01-01	VYDAJ	VYBER	2960	14840	\N	\N	\N
1049139	3588	1998-08-23	VYDAJ	VYBER	1360	17821	\N	\N	\N
1049151	3588	1996-11-30	VYDAJ	VYBER	15	29310	SLUZBY	\N	\N
1049152	3588	1996-12-31	VYDAJ	VYBER	15	27912	SLUZBY	\N	\N
1049153	3588	1997-01-31	VYDAJ	VYBER	15	29300	SLUZBY	\N	\N
1049154	3588	1997-02-28	VYDAJ	VYBER	15	30134	SLUZBY	\N	\N
1049155	3588	1997-03-31	VYDAJ	VYBER	15	35376	SLUZBY	\N	\N
1049156	3588	1997-04-30	VYDAJ	VYBER	15	34834	SLUZBY	\N	\N
1049157	3588	1997-05-31	VYDAJ	VYBER	15	38394	SLUZBY	\N	\N
1049158	3588	1997-06-30	VYDAJ	VYBER	15	31008	SLUZBY	\N	\N
1049159	3588	1997-07-31	VYDAJ	VYBER	15	29082	SLUZBY	\N	\N
1049160	3588	1997-08-31	VYDAJ	VYBER	15	31716	SLUZBY	\N	\N
1049161	3588	1997-09-30	VYDAJ	VYBER	15	31757	SLUZBY	\N	\N
1049162	3588	1997-10-31	VYDAJ	VYBER	15	29495	SLUZBY	\N	\N
1049163	3588	1997-11-30	VYDAJ	VYBER	15	27222	SLUZBY	\N	\N
1049164	3588	1997-12-31	VYDAJ	VYBER	15	17800	SLUZBY	\N	\N
1049165	3588	1998-01-31	VYDAJ	VYBER	15	15514	SLUZBY	\N	\N
1049166	3588	1998-02-28	VYDAJ	VYBER	15	13983	SLUZBY	\N	\N
1049167	3588	1998-03-31	VYDAJ	VYBER	15	18677	SLUZBY	\N	\N
1049168	3588	1998-04-30	VYDAJ	VYBER	15	16158	SLUZBY	\N	\N
1049169	3588	1998-05-31	VYDAJ	VYBER	15	12226	SLUZBY	\N	\N
1049170	3588	1998-06-30	VYDAJ	VYBER	15	17393	SLUZBY	\N	\N
1049171	3588	1998-07-31	VYDAJ	VYBER	15	14065	SLUZBY	\N	\N
1049172	3588	1998-08-31	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
1049173	3588	1998-09-30	VYDAJ	VYBER	15	23069	SLUZBY	\N	\N
1049174	3588	1998-10-31	VYDAJ	VYBER	15	28281	SLUZBY	\N	\N
1049175	3588	1998-11-30	VYDAJ	VYBER	15	33514	SLUZBY	\N	\N
1049176	3588	1996-11-25	VYDAJ	VYBER	3300	29232	\N	\N	\N
1049177	3588	1996-12-25	VYDAJ	VYBER	1500	27796	\N	\N	\N
1049178	3588	1997-02-23	VYDAJ	VYBER	4400	30016	\N	\N	\N
1049179	3588	1997-04-24	VYDAJ	VYBER	5800	34692	\N	\N	\N
1049180	3588	1997-05-24	VYDAJ	VYBER	1700	38250	\N	\N	\N
1049181	3588	1997-06-23	VYDAJ	VYBER	7100	36410	\N	\N	\N
1049182	3588	1997-07-23	VYDAJ	VYBER	3000	30404	\N	\N	\N
1049183	3588	1997-08-22	VYDAJ	VYBER	2600	31598	\N	\N	\N
1049184	3588	1997-09-21	VYDAJ	VYBER	5200	31632	\N	\N	\N
1049185	3588	1997-10-21	VYDAJ	VYBER	7500	29373	\N	\N	\N
1049186	3588	1997-11-20	VYDAJ	VYBER	7500	27111	\N	\N	\N
1049187	3588	1997-12-20	VYDAJ	VYBER	12400	19938	\N	\N	\N
1049188	3588	1998-01-19	VYDAJ	VYBER	4500	15456	\N	\N	\N
1049189	3588	1998-02-18	VYDAJ	VYBER	6700	13930	\N	\N	\N
1049190	3588	1998-04-19	VYDAJ	VYBER	7700	16093	\N	\N	\N
1049191	3588	1998-05-19	VYDAJ	VYBER	9100	12174	\N	\N	\N
1049192	3588	1998-07-18	VYDAJ	VYBER	8500	14009	\N	\N	\N
1049219	3589	1996-11-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1049220	3589	1996-12-27	PRIJEM	VKLAD	32231	44831	\N	\N	\N
1049224	3589	1997-04-18	PRIJEM	VKLAD	15704	66892	\N	\N	\N
1049225	3589	1997-03-25	PRIJEM	VKLAD	31676	63095	\N	\N	\N
1049226	3589	1997-06-21	PRIJEM	VKLAD	46545	91644	\N	\N	\N
1049227	3589	1997-09-23	PRIJEM	VKLAD	32945	51776	\N	\N	\N
1049228	3589	1997-04-05	PRIJEM	VKLAD	46218	109488	\N	\N	\N
1049229	3589	1997-05-19	PRIJEM	VKLAD	14198	52709	\N	\N	\N
1049230	3589	1997-02-06	PRIJEM	VKLAD	5308	43356	\N	\N	\N
1049231	3589	1997-10-07	PRIJEM	VKLAD	31346	83260	\N	\N	\N
1049232	3589	1997-11-19	PRIJEM	VKLAD	27651	55909	\N	\N	\N
1049233	3589	1997-07-12	PRIJEM	VKLAD	34526	92623	\N	\N	\N
1049234	3589	1997-12-20	PRIJEM	VKLAD	30094	56593	\N	\N	\N
1049235	3589	1997-06-28	PRIJEM	VKLAD	45986	137630	\N	\N	\N
1049236	3589	1997-06-10	PRIJEM	VKLAD	38512	81842	\N	\N	\N
1049237	3589	1998-11-21	PRIJEM	VKLAD	7946	31484	\N	\N	\N
1049238	3589	1998-06-07	PRIJEM	VKLAD	33563	79092	\N	\N	\N
1049239	3589	1998-02-24	PRIJEM	VKLAD	45099	106250	\N	\N	\N
1049240	3589	1998-10-10	PRIJEM	VKLAD	45315	111808	\N	\N	\N
1049241	3589	1998-05-03	PRIJEM	VKLAD	37246	89805	\N	\N	\N
1049242	3589	1998-02-14	PRIJEM	VKLAD	32052	61151	\N	\N	\N
1049243	3589	1998-06-30	PRIJEM	VKLAD	29610	97266	\N	\N	\N
1049244	3589	1998-01-08	PRIJEM	VKLAD	23901	67413	\N	\N	\N
1049245	3589	1998-09-27	PRIJEM	VKLAD	6460	70677	\N	\N	\N
1049246	3589	1998-08-07	PRIJEM	VKLAD	42420	88740	\N	\N	\N
1049247	3589	1998-04-28	PRIJEM	VKLAD	9943	52404	\N	\N	\N
1049248	3589	1998-04-04	PRIJEM	VKLAD	45051	67904	\N	\N	\N
1049249	3589	1998-12-18	PRIJEM	VKLAD	45160	69071	\N	\N	\N
1049250	3589	1998-08-14	PRIJEM	VKLAD	15823	96720	\N	\N	\N
1049251	3589	1998-06-09	PRIJEM	VKLAD	41493	120585	\N	\N	\N
1049252	3589	1998-09-29	PRIJEM	VKLAD	22304	92981	\N	\N	\N
1049253	3589	1998-05-22	PRIJEM	VKLAD	5185	57247	\N	\N	\N
1049254	3589	1998-07-30	PRIJEM	VKLAD	13806	48808	\N	\N	\N
1049255	3589	1998-06-01	PRIJEM	VKLAD	48167	105629	\N	\N	\N
1049272	3589	1997-05-12	VYDAJ	PREVOD NA UCET	7843	47611	SIPO	KL	9368139
1049273	3589	1997-06-12	VYDAJ	PREVOD NA UCET	7843	45099	SIPO	KL	9368139
1049274	3589	1997-07-12	VYDAJ	PREVOD NA UCET	7843	84780	SIPO	KL	9368139
1049275	3589	1997-08-12	VYDAJ	PREVOD NA UCET	7843	47302	SIPO	KL	9368139
1049276	3589	1997-09-12	VYDAJ	PREVOD NA UCET	7843	18831	SIPO	KL	9368139
1049277	3589	1997-10-12	VYDAJ	PREVOD NA UCET	7843	45217	SIPO	KL	9368139
1049278	3589	1997-11-12	VYDAJ	PREVOD NA UCET	7843	28258	SIPO	KL	9368139
1049279	3589	1997-12-12	VYDAJ	PREVOD NA UCET	7843	26499	SIPO	KL	9368139
1049280	3589	1998-01-12	VYDAJ	PREVOD NA UCET	7843	45770	SIPO	KL	9368139
1049281	3589	1998-02-12	VYDAJ	PREVOD NA UCET	7843	29099	SIPO	KL	9368139
1049282	3589	1998-03-12	VYDAJ	PREVOD NA UCET	7843	42005	SIPO	KL	9368139
1049283	3589	1998-04-12	VYDAJ	PREVOD NA UCET	7843	42461	SIPO	KL	9368139
1049284	3589	1998-05-12	VYDAJ	PREVOD NA UCET	7843	52062	SIPO	KL	9368139
1049285	3589	1998-06-12	VYDAJ	PREVOD NA UCET	7843	67342	SIPO	KL	9368139
1049286	3589	1998-07-12	VYDAJ	PREVOD NA UCET	7843	35002	SIPO	KL	9368139
1049287	3589	1998-08-12	VYDAJ	PREVOD NA UCET	7843	80897	SIPO	KL	9368139
1049288	3589	1998-09-12	VYDAJ	PREVOD NA UCET	7843	64217	SIPO	KL	9368139
1049289	3589	1998-10-12	VYDAJ	PREVOD NA UCET	7843	72771	SIPO	KL	9368139
1049290	3589	1998-11-12	VYDAJ	PREVOD NA UCET	7843	29453	SIPO	KL	9368139
1049291	3589	1998-12-12	VYDAJ	PREVOD NA UCET	7843	23911	SIPO	KL	9368139
1049300	3589	1997-09-09	VYBER	VYBER	17166	30374	\N	\N	\N
1049301	3589	1997-12-09	VYBER	VYBER	5942	38842	\N	\N	\N
1049303	3589	1998-10-12	VYBER	VYBER	3594	80614	\N	\N	\N
1049304	3589	1998-03-16	VYBER	VYBER	19301	22704	\N	\N	\N
1049305	3589	1998-11-12	VYBER	VYBER	18003	37296	\N	\N	\N
1049308	3589	1998-01-05	VYBER	VYBER	3861	52912	\N	\N	\N
1049310	3589	1998-07-10	VYBER	VYBER	20206	52745	\N	\N	\N
1049311	3589	1998-11-19	VYBER	VYBER	5915	23538	\N	\N	\N
1049320	3589	1998-12-30	VYDAJ	VYBER	5700	63371	\N	\N	\N
1049333	3589	1998-01-14	VYDAJ	VYBER	4500	39170	\N	\N	\N
1049334	3589	1998-01-09	VYDAJ	VYBER	2100	59013	\N	\N	\N
1049335	3589	1998-01-13	VYDAJ	VYBER	2100	43670	\N	\N	\N
1049336	3589	1998-01-11	VYDAJ	VYBER	5400	53613	\N	\N	\N
1049337	3589	1998-01-05	VYDAJ	VYBER	8400	44512	\N	\N	\N
1049338	3589	1998-01-08	VYDAJ	VYBER	6300	61113	\N	\N	\N
1049344	3589	1997-05-06	VYDAJ	VYBER	11700	55454	\N	\N	\N
1049345	3589	1997-06-03	VYDAJ	VYBER	9600	43330	\N	\N	\N
1049347	3589	1997-07-11	VYDAJ	VYBER	1800	87597	\N	\N	\N
1049349	3589	1997-12-11	VYDAJ	VYBER	4500	34342	\N	\N	\N
1049350	3589	1998-10-21	VYDAJ	VYBER	3300	69471	\N	\N	\N
1049351	3589	1998-07-10	VYDAJ	VYBER	9900	42845	\N	\N	\N
1049352	3589	1998-02-27	VYDAJ	VYBER	7500	62050	\N	\N	\N
1049353	3589	1998-12-02	VYDAJ	VYBER	2100	29554	\N	\N	\N
1049354	3589	1998-12-06	VYDAJ	VYBER	1500	31754	\N	\N	\N
1049371	3589	1997-04-30	VYDAJ	VYBER	15	67154	SLUZBY	\N	\N
1049372	3589	1997-05-31	VYDAJ	VYBER	15	52930	SLUZBY	\N	\N
1049373	3589	1997-06-30	VYDAJ	VYBER	15	89397	SLUZBY	\N	\N
1049374	3589	1997-07-31	VYDAJ	VYBER	15	85145	SLUZBY	\N	\N
1049375	3589	1997-08-31	VYDAJ	VYBER	15	47540	SLUZBY	\N	\N
1049376	3589	1997-09-30	VYDAJ	VYBER	15	51914	SLUZBY	\N	\N
1049377	3589	1997-10-31	VYDAJ	VYBER	15	45401	SLUZBY	\N	\N
1049378	3589	1997-11-30	VYDAJ	VYBER	15	56084	SLUZBY	\N	\N
1049379	3589	1997-12-31	VYDAJ	VYBER	15	56773	SLUZBY	\N	\N
1049380	3589	1998-01-31	VYDAJ	VYBER	15	39342	SLUZBY	\N	\N
1049381	3589	1998-02-28	VYDAJ	VYBER	15	62248	SLUZBY	\N	\N
1049382	3589	1998-03-31	VYDAJ	VYBER	15	22853	SLUZBY	\N	\N
1049383	3589	1998-04-30	VYDAJ	VYBER	15	52559	SLUZBY	\N	\N
1049384	3589	1998-05-31	VYDAJ	VYBER	15	57462	SLUZBY	\N	\N
1049385	3589	1998-06-30	VYDAJ	VYBER	15	97251	SLUZBY	\N	\N
1049386	3589	1998-07-31	VYDAJ	VYBER	15	49020	SLUZBY	\N	\N
1049387	3589	1998-08-31	VYDAJ	VYBER	15	97060	SLUZBY	\N	\N
1049388	3589	1998-09-30	VYDAJ	VYBER	15	93293	SLUZBY	\N	\N
1049389	3589	1998-10-31	VYDAJ	VYBER	15	69799	SLUZBY	\N	\N
1049390	3589	1998-11-30	VYDAJ	VYBER	15	31654	SLUZBY	\N	\N
1049391	3589	1996-12-13	PRIJEM	VKLAD	11500	12600	\N	\N	\N
1049392	3589	1997-01-12	VYDAJ	VYBER	7000	37861	\N	\N	\N
1049393	3589	1997-02-11	VYDAJ	VYBER	7500	35856	\N	\N	\N
1049394	3589	1997-03-13	VYDAJ	VYBER	4600	31419	\N	\N	\N
1049395	3589	1997-04-05	VYDAJ	VYBER	29300	80188	\N	\N	\N
1049396	3589	1997-04-12	VYDAJ	VYBER	29000	51188	\N	\N	\N
1049397	3589	1997-05-12	VYDAJ	VYBER	9100	38511	\N	\N	\N
1049398	3589	1997-06-11	VYDAJ	VYBER	28900	52942	\N	\N	\N
1049399	3589	1997-06-28	VYDAJ	VYBER	48500	89130	\N	\N	\N
1049400	3589	1997-07-11	VYDAJ	VYBER	29500	58097	\N	\N	\N
1049401	3589	1997-08-10	VYDAJ	VYBER	30000	55145	\N	\N	\N
1049402	3589	1997-09-09	VYDAJ	VYBER	3700	26674	\N	\N	\N
1049403	3589	1997-10-09	VYDAJ	VYBER	30200	53060	\N	\N	\N
1049404	3589	1997-11-08	VYDAJ	VYBER	9300	36101	\N	\N	\N
1049405	3589	1997-12-08	VYDAJ	VYBER	11300	44784	\N	\N	\N
1049406	3589	1998-01-07	VYDAJ	VYBER	1000	43512	\N	\N	\N
1049407	3589	1998-02-06	VYDAJ	VYBER	2400	36942	\N	\N	\N
1049408	3589	1998-02-24	VYDAJ	VYBER	36700	69550	\N	\N	\N
1049409	3589	1998-03-08	VYDAJ	VYBER	12400	49848	\N	\N	\N
1049410	3589	1998-04-07	VYDAJ	VYBER	17600	50304	\N	\N	\N
1049411	3589	1998-05-07	VYDAJ	VYBER	29900	59905	\N	\N	\N
1049412	3589	1998-06-01	VYDAJ	VYBER	54500	51129	\N	\N	\N
1049413	3589	1998-06-06	VYDAJ	VYBER	5600	45529	\N	\N	\N
1049414	3589	1998-06-09	VYDAJ	VYBER	45400	75185	\N	\N	\N
1049415	3589	1998-07-06	VYDAJ	VYBER	24300	72951	\N	\N	\N
1049416	3589	1998-08-05	VYDAJ	VYBER	2700	46320	\N	\N	\N
1049417	3589	1998-09-04	VYDAJ	VYBER	25000	72060	\N	\N	\N
1049418	3589	1998-10-04	VYDAJ	VYBER	26800	66493	\N	\N	\N
1049419	3589	1998-10-10	VYDAJ	VYBER	27600	84208	\N	\N	\N
1049420	3589	1998-11-03	VYDAJ	VYBER	14500	55299	\N	\N	\N
1049421	3589	1998-12-03	PRIJEM	VKLAD	3700	33254	\N	\N	\N
1049447	3590	1996-06-02	PRIJEM	VKLAD	800	800	\N	\N	\N
1049453	3590	1996-06-06	PRIJEM	VKLAD	32822	33622	\N	\N	\N
1049454	3590	1996-07-06	PRIJEM	VKLAD	21881	47420	\N	\N	\N
1049455	3590	1996-08-06	PRIJEM	VKLAD	21881	57689	\N	\N	\N
1049456	3590	1996-09-06	PRIJEM	VKLAD	21881	61201	\N	\N	\N
1049457	3590	1996-10-06	PRIJEM	VKLAD	21881	65346	\N	\N	\N
1049458	3590	1996-11-06	PRIJEM	VKLAD	21881	60587	\N	\N	\N
1049459	3590	1996-12-06	PRIJEM	VKLAD	32822	68748	\N	\N	\N
1049460	3590	1997-01-06	PRIJEM	VKLAD	21881	61178	\N	\N	\N
1049461	3590	1997-02-06	PRIJEM	VKLAD	21881	57091	\N	\N	\N
1049462	3590	1997-03-06	PRIJEM	VKLAD	21881	59697	\N	\N	\N
1049463	3590	1997-04-06	PRIJEM	VKLAD	21881	56912	\N	\N	\N
1049464	3590	1997-05-06	PRIJEM	VKLAD	21881	53714	\N	\N	\N
1049465	3590	1997-06-06	PRIJEM	VKLAD	32822	63246	\N	\N	\N
1049466	3590	1997-07-06	PRIJEM	VKLAD	21881	51751	\N	\N	\N
1049467	3590	1997-08-06	PRIJEM	VKLAD	21881	48025	\N	\N	\N
1049468	3590	1997-09-06	PRIJEM	VKLAD	21881	50288	\N	\N	\N
1049469	3590	1997-10-06	PRIJEM	VKLAD	21881	47857	\N	\N	\N
1049470	3590	1997-11-06	PRIJEM	VKLAD	21881	50419	\N	\N	\N
1049471	3590	1997-12-06	PRIJEM	VKLAD	32822	60227	\N	\N	\N
1049472	3590	1998-01-06	PRIJEM	VKLAD	21881	43233	\N	\N	\N
1049473	3590	1998-02-06	PRIJEM	VKLAD	21881	43189	\N	\N	\N
1049474	3590	1998-03-06	PRIJEM	VKLAD	21881	42826	\N	\N	\N
1049475	3590	1998-04-06	PRIJEM	VKLAD	21881	45765	\N	\N	\N
1049476	3590	1998-05-06	PRIJEM	VKLAD	21881	47215	\N	\N	\N
1049477	3590	1998-06-06	PRIJEM	VKLAD	32822	62113	\N	\N	\N
1049478	3590	1998-07-06	PRIJEM	VKLAD	21881	54894	\N	\N	\N
1049479	3590	1998-08-06	PRIJEM	VKLAD	21881	52874	\N	\N	\N
1049480	3590	1998-09-06	PRIJEM	VKLAD	21881	52146	\N	\N	\N
1049481	3590	1998-10-06	PRIJEM	VKLAD	21881	45704	\N	\N	\N
1049482	3590	1998-11-06	PRIJEM	VKLAD	21881	45345	\N	\N	\N
1049483	3590	1998-12-06	PRIJEM	VKLAD	32822	56324	\N	\N	\N
1049493	3590	1996-10-11	VYDAJ	PREVOD NA UCET	8939	56407	SIPO	ST	36574792
1049494	3590	1996-11-11	VYDAJ	PREVOD NA UCET	8939	51648	SIPO	ST	36574792
1049495	3590	1996-12-11	VYDAJ	PREVOD NA UCET	8939	59809	SIPO	ST	36574792
1049496	3590	1997-01-11	VYDAJ	PREVOD NA UCET	8939	52239	SIPO	ST	36574792
1049497	3590	1997-02-11	VYDAJ	PREVOD NA UCET	8939	48152	SIPO	ST	36574792
1049498	3590	1997-03-11	VYDAJ	PREVOD NA UCET	8939	50758	SIPO	ST	36574792
1049499	3590	1997-04-11	VYDAJ	PREVOD NA UCET	8939	47973	SIPO	ST	36574792
1049500	3590	1997-05-11	VYDAJ	PREVOD NA UCET	8939	44775	SIPO	ST	36574792
1049501	3590	1997-06-11	VYDAJ	PREVOD NA UCET	8939	42507	SIPO	ST	36574792
1049502	3590	1997-07-11	VYDAJ	PREVOD NA UCET	8939	42812	SIPO	ST	36574792
1049503	3590	1997-08-11	VYDAJ	PREVOD NA UCET	8939	39086	SIPO	ST	36574792
1049504	3590	1997-09-11	VYDAJ	PREVOD NA UCET	8939	41349	SIPO	ST	36574792
1049505	3590	1997-10-11	VYDAJ	PREVOD NA UCET	8939	38918	SIPO	ST	36574792
1049506	3590	1997-11-11	VYDAJ	PREVOD NA UCET	8939	41480	SIPO	ST	36574792
1049507	3590	1997-12-11	VYDAJ	PREVOD NA UCET	8939	51288	SIPO	ST	36574792
1049508	3590	1998-01-11	VYDAJ	PREVOD NA UCET	8939	34294	SIPO	ST	36574792
1049509	3590	1998-02-11	VYDAJ	PREVOD NA UCET	8939	34250	SIPO	ST	36574792
1049510	3590	1998-03-11	VYDAJ	PREVOD NA UCET	8939	33887	SIPO	ST	36574792
1049511	3590	1998-04-11	VYDAJ	PREVOD NA UCET	8939	36826	SIPO	ST	36574792
1049512	3590	1998-05-11	VYDAJ	PREVOD NA UCET	8939	38276	SIPO	ST	36574792
1049513	3590	1998-06-11	VYDAJ	PREVOD NA UCET	8939	53174	SIPO	ST	36574792
1049514	3590	1998-07-11	VYDAJ	PREVOD NA UCET	8939	45955	SIPO	ST	36574792
1049515	3590	1998-08-11	VYDAJ	PREVOD NA UCET	8939	43935	SIPO	ST	36574792
1049516	3590	1998-09-11	VYDAJ	PREVOD NA UCET	8939	43207	SIPO	ST	36574792
1049517	3590	1998-10-11	VYDAJ	PREVOD NA UCET	8939	36765	SIPO	ST	36574792
1049518	3590	1998-11-11	VYDAJ	PREVOD NA UCET	8939	36406	SIPO	ST	36574792
1049519	3590	1998-12-11	VYDAJ	PREVOD NA UCET	8939	47385	SIPO	ST	36574792
1049521	3590	1997-06-10	VYDAJ	VYBER	11800	51446	\N	\N	\N
1049522	3590	1998-06-11	VYDAJ	VYBER	6000	47174	\N	\N	\N
1049524	3590	1997-01-24	VYDAJ	VYBER	7800	42739	\N	\N	\N
1049525	3590	1998-01-02	VYDAJ	VYBER	8000	21352	\N	\N	\N
1049526	3590	1996-12-18	VYDAJ	VYBER	1300	56009	\N	\N	\N
1049527	3590	1997-12-02	VYDAJ	VYBER	1500	27405	\N	\N	\N
1049528	3590	1998-12-26	VYDAJ	VYBER	2000	23985	\N	\N	\N
1049530	3590	1996-12-11	VYDAJ	VYBER	2500	57309	\N	\N	\N
1049535	3590	1997-12-23	VYDAJ	VYBER	2400	46388	\N	\N	\N
1049536	3590	1997-07-21	VYDAJ	VYBER	4400	38412	\N	\N	\N
1049537	3590	1997-12-19	VYDAJ	VYBER	2500	48788	\N	\N	\N
1049538	3590	1997-01-23	VYDAJ	VYBER	1700	50539	\N	\N	\N
1049539	3590	1997-06-04	VYDAJ	VYBER	4600	30424	\N	\N	\N
1049540	3590	1997-11-16	VYDAJ	VYBER	2200	39280	\N	\N	\N
1049551	3590	1996-10-31	VYDAJ	VYBER	15	38706	SLUZBY	\N	\N
1049552	3590	1996-11-30	VYDAJ	VYBER	15	35926	SLUZBY	\N	\N
1049553	3590	1996-12-31	VYDAJ	VYBER	15	39297	SLUZBY	\N	\N
1049554	3590	1997-01-31	VYDAJ	VYBER	15	35210	SLUZBY	\N	\N
1049555	3590	1997-02-28	VYDAJ	VYBER	15	37816	SLUZBY	\N	\N
1049556	3590	1997-03-31	VYDAJ	VYBER	15	35031	SLUZBY	\N	\N
1049557	3590	1997-04-30	VYDAJ	VYBER	15	31833	SLUZBY	\N	\N
1049558	3590	1997-05-31	VYDAJ	VYBER	15	35024	SLUZBY	\N	\N
1049559	3590	1997-06-30	VYDAJ	VYBER	15	29870	SLUZBY	\N	\N
1049560	3590	1997-07-31	VYDAJ	VYBER	15	26144	SLUZBY	\N	\N
1049561	3590	1997-08-31	VYDAJ	VYBER	15	28407	SLUZBY	\N	\N
1049562	3590	1997-09-30	VYDAJ	VYBER	15	25976	SLUZBY	\N	\N
1049563	3590	1997-10-31	VYDAJ	VYBER	15	28538	SLUZBY	\N	\N
1049564	3590	1997-11-30	VYDAJ	VYBER	15	28905	SLUZBY	\N	\N
1049565	3590	1997-12-31	VYDAJ	VYBER	15	29352	SLUZBY	\N	\N
1049566	3590	1998-01-31	VYDAJ	VYBER	15	21308	SLUZBY	\N	\N
1049567	3590	1998-02-28	VYDAJ	VYBER	15	20945	SLUZBY	\N	\N
1049568	3590	1998-03-31	VYDAJ	VYBER	15	23884	SLUZBY	\N	\N
1049569	3590	1998-04-30	VYDAJ	VYBER	15	25334	SLUZBY	\N	\N
1049570	3590	1998-05-31	VYDAJ	VYBER	15	29291	SLUZBY	\N	\N
1049571	3590	1998-06-30	VYDAJ	VYBER	15	33013	SLUZBY	\N	\N
1049572	3590	1998-07-31	VYDAJ	VYBER	15	30993	SLUZBY	\N	\N
1049573	3590	1998-08-31	VYDAJ	VYBER	15	30265	SLUZBY	\N	\N
1049574	3590	1998-09-30	VYDAJ	VYBER	15	23823	SLUZBY	\N	\N
1049575	3590	1998-10-31	VYDAJ	VYBER	15	23464	SLUZBY	\N	\N
1049576	3590	1998-11-30	VYDAJ	VYBER	15	23502	SLUZBY	\N	\N
1049577	3590	1996-07-02	VYDAJ	VYBER	8200	25539	\N	\N	\N
1049578	3590	1996-08-01	VYDAJ	VYBER	11800	35808	\N	\N	\N
1049579	3590	1996-08-31	VYDAJ	VYBER	18600	39320	\N	\N	\N
1049580	3590	1996-09-30	VYDAJ	VYBER	17900	43465	\N	\N	\N
1049581	3590	1996-10-30	VYDAJ	VYBER	17900	38507	\N	\N	\N
1049582	3590	1996-11-29	VYDAJ	VYBER	15900	35748	\N	\N	\N
1049583	3590	1996-12-29	VYDAJ	VYBER	16900	39109	\N	\N	\N
1049584	3590	1997-01-28	VYDAJ	VYBER	7700	35039	\N	\N	\N
1049585	3590	1997-02-27	VYDAJ	VYBER	10500	37652	\N	\N	\N
1049586	3590	1997-03-29	VYDAJ	VYBER	15900	34858	\N	\N	\N
1049587	3590	1997-04-28	VYDAJ	VYBER	16300	31673	\N	\N	\N
1049588	3590	1997-05-28	VYDAJ	VYBER	9900	34875	\N	\N	\N
1049589	3590	1997-06-27	VYDAJ	VYBER	12800	29707	\N	\N	\N
1049590	3590	1997-07-27	VYDAJ	VYBER	12400	26012	\N	\N	\N
1049591	3590	1997-08-26	VYDAJ	VYBER	10800	28286	\N	\N	\N
1049592	3590	1997-09-25	VYDAJ	VYBER	15500	25849	\N	\N	\N
1049593	3590	1997-10-25	VYDAJ	VYBER	10500	28418	\N	\N	\N
1049594	3590	1997-11-24	VYDAJ	VYBER	10500	28780	\N	\N	\N
1049595	3590	1997-12-24	VYDAJ	VYBER	17200	29188	\N	\N	\N
1049596	3590	1998-01-23	VYDAJ	VYBER	13100	21194	\N	\N	\N
1049597	3590	1998-02-22	VYDAJ	VYBER	13400	20850	\N	\N	\N
1049598	3590	1998-03-24	VYDAJ	VYBER	10100	23787	\N	\N	\N
1049599	3590	1998-04-23	VYDAJ	VYBER	11600	25226	\N	\N	\N
1049600	3590	1998-05-23	VYDAJ	VYBER	9100	29176	\N	\N	\N
1049601	3590	1998-06-22	VYDAJ	VYBER	14300	32874	\N	\N	\N
1049602	3590	1998-07-22	VYDAJ	VYBER	15100	30855	\N	\N	\N
1049603	3590	1998-08-21	VYDAJ	VYBER	13800	30135	\N	\N	\N
1049604	3590	1998-09-20	VYDAJ	VYBER	19500	23707	\N	\N	\N
1049605	3590	1998-10-20	VYDAJ	VYBER	13400	23365	\N	\N	\N
1049606	3590	1998-11-19	VYDAJ	VYBER	13000	23406	\N	\N	\N
1049607	3590	1998-12-19	VYDAJ	VYBER	21400	25985	\N	\N	\N
1049639	3591	1996-06-09	PRIJEM	VKLAD	200	200	\N	\N	\N
1049640	3591	1996-09-19	PRIJEM	VKLAD	40162	71178	\N	\N	\N
1049641	3591	1996-11-17	PRIJEM	VKLAD	17890	108723	\N	\N	\N
1049642	3591	1996-06-12	PRIJEM	VKLAD	44780	44980	\N	\N	\N
1049643	3591	1996-11-23	PRIJEM	VKLAD	15357	68480	\N	\N	\N
1049644	3591	1996-07-13	PRIJEM	VKLAD	30096	75830	\N	\N	\N
1049646	3591	1996-09-29	PRIJEM	VKLAD	19150	130280	\N	\N	\N
1049647	3591	1996-08-29	PRIJEM	VKLAD	8322	44600	\N	\N	\N
1049649	3591	1996-11-29	PRIJEM	VKLAD	20634	89114	\N	\N	\N
1049650	3591	1996-08-17	PRIJEM	VKLAD	11208	40778	\N	\N	\N
1049651	3591	1996-06-25	PRIJEM	VKLAD	43766	88746	\N	\N	\N
1049652	3591	1996-06-26	PRIJEM	VKLAD	20788	109534	\N	\N	\N
1049653	3591	1996-11-10	PRIJEM	VKLAD	7486	63306	\N	\N	\N
1049654	3591	1996-11-16	PRIJEM	VKLAD	31788	90833	\N	\N	\N
1049658	3591	1996-11-04	PRIJEM	VKLAD	8049	82520	\N	\N	\N
1049659	3591	1996-07-05	PRIJEM	VKLAD	14016	65120	\N	\N	\N
1049660	3591	1996-07-09	PRIJEM	VKLAD	11175	76295	\N	\N	\N
1049662	3591	1996-12-18	PRIJEM	VKLAD	30981	81450	\N	\N	\N
1049663	3591	1996-10-28	PRIJEM	VKLAD	22167	74306	\N	\N	\N
1049665	3591	1996-09-29	PRIJEM	VKLAD	39952	111130	\N	\N	\N
1049666	3591	1997-10-06	PRIJEM	VKLAD	16500	42445	\N	\N	\N
1049667	3591	1997-08-04	PRIJEM	VKLAD	23861	60947	\N	\N	\N
1049668	3591	1997-02-10	PRIJEM	VKLAD	32647	54140	\N	\N	\N
1049669	3591	1997-12-30	PRIJEM	VKLAD	21989	36670	\N	\N	\N
1049670	3591	1997-08-01	PRIJEM	VKLAD	41039	56386	\N	\N	\N
1049671	3591	1997-08-13	PRIJEM	VKLAD	9743	47596	\N	\N	\N
1049672	3591	1997-04-23	PRIJEM	VKLAD	40802	67084	\N	\N	\N
1049673	3591	1997-08-28	PRIJEM	VKLAD	7364	54960	\N	\N	\N
1049674	3591	1998-11-24	PRIJEM	VKLAD	19806	59759	\N	\N	\N
1049675	3591	1998-12-25	PRIJEM	VKLAD	33926	55662	\N	\N	\N
1049676	3591	1998-01-28	PRIJEM	VKLAD	24738	42716	\N	\N	\N
1049677	3591	1998-05-31	PRIJEM	VKLAD	43175	70639	\N	\N	\N
1049678	3591	1998-07-10	PRIJEM	VKLAD	16775	56369	\N	\N	\N
1049679	3591	1998-08-26	PRIJEM	VKLAD	5640	31577	\N	\N	\N
1049680	3591	1998-09-15	PRIJEM	VKLAD	31068	62429	\N	\N	\N
1049681	3591	1998-07-21	PRIJEM	VKLAD	18276	70384	\N	\N	\N
1049688	3591	1996-07-10	VYDAJ	PREVOD NA UCET	4261	45734	SIPO	IJ	9111011
1049689	3591	1996-08-10	VYDAJ	PREVOD NA UCET	4261	33170	SIPO	IJ	9111011
1049690	3591	1996-09-10	VYDAJ	PREVOD NA UCET	4261	31016	SIPO	IJ	9111011
1049691	3591	1996-10-10	VYDAJ	PREVOD NA UCET	4261	52139	SIPO	IJ	9111011
1049692	3591	1996-11-10	VYDAJ	PREVOD NA UCET	4261	59045	SIPO	IJ	9111011
1049693	3591	1996-12-10	VYDAJ	PREVOD NA UCET	4261	56169	SIPO	IJ	9111011
1049694	3591	1997-01-10	VYDAJ	PREVOD NA UCET	4261	39750	SIPO	IJ	9111011
1049695	3591	1997-02-10	VYDAJ	PREVOD NA UCET	4261	49879	SIPO	IJ	9111011
1049696	3591	1997-03-10	VYDAJ	PREVOD NA UCET	4261	31195	SIPO	IJ	9111011
1049697	3591	1997-04-10	VYDAJ	PREVOD NA UCET	4261	26282	SIPO	IJ	9111011
1049698	3591	1997-05-10	VYDAJ	PREVOD NA UCET	4261	41083	SIPO	IJ	9111011
1049699	3591	1997-06-10	VYDAJ	PREVOD NA UCET	4261	17763	SIPO	IJ	9111011
1049700	3591	1997-07-10	VYDAJ	PREVOD NA UCET	4261	15381	SIPO	IJ	9111011
1049701	3591	1997-08-10	VYDAJ	PREVOD NA UCET	4261	37853	SIPO	IJ	9111011
1049702	3591	1997-09-10	VYDAJ	PREVOD NA UCET	4261	35184	SIPO	IJ	9111011
1049703	3591	1997-10-10	VYDAJ	PREVOD NA UCET	4261	38184	SIPO	IJ	9111011
1049704	3591	1997-11-10	VYDAJ	PREVOD NA UCET	4261	17765	SIPO	IJ	9111011
1049705	3591	1997-12-10	VYDAJ	PREVOD NA UCET	4261	14681	SIPO	IJ	9111011
1049706	3591	1998-01-10	VYDAJ	PREVOD NA UCET	4261	17978	SIPO	IJ	9111011
1049707	3591	1998-02-10	VYDAJ	PREVOD NA UCET	4261	21141	SIPO	IJ	9111011
1049708	3591	1998-03-10	VYDAJ	PREVOD NA UCET	4261	20388	SIPO	IJ	9111011
1049709	3591	1998-04-10	VYDAJ	PREVOD NA UCET	4261	20812	SIPO	IJ	9111011
1049710	3591	1998-05-10	VYDAJ	PREVOD NA UCET	4261	20954	SIPO	IJ	9111011
1049711	3591	1998-06-10	VYDAJ	PREVOD NA UCET	4261	66278	SIPO	IJ	9111011
1049712	3591	1998-07-10	VYDAJ	PREVOD NA UCET	4261	52108	SIPO	IJ	9111011
1049713	3591	1998-08-10	VYDAJ	PREVOD NA UCET	4261	25937	SIPO	IJ	9111011
1049714	3591	1998-09-10	VYDAJ	PREVOD NA UCET	4261	31361	SIPO	IJ	9111011
1049715	3591	1998-10-10	VYDAJ	PREVOD NA UCET	4261	48769	SIPO	IJ	9111011
1049716	3591	1998-11-10	VYDAJ	PREVOD NA UCET	4261	39953	SIPO	IJ	9111011
1049717	3591	1998-12-10	VYDAJ	PREVOD NA UCET	4261	52494	SIPO	IJ	9111011
1049718	3591	1996-12-19	VYBER	VYBER	16128	65322	\N	\N	\N
1049719	3591	1996-08-03	VYBER	VYBER	8771	67295	\N	\N	\N
1049721	3591	1996-08-05	VYBER	VYBER	19764	47531	\N	\N	\N
1049730	3591	1997-05-13	VYBER	VYBER	19012	22071	\N	\N	\N
1049731	3591	1997-08-05	VYBER	VYBER	18833	42114	\N	\N	\N
1049733	3591	1998-08-08	VYBER	VYBER	22106	30198	\N	\N	\N
1049734	3591	1998-10-21	VYBER	VYBER	5159	43610	\N	\N	\N
1049737	3591	1998-06-13	VYBER	VYBER	3311	62967	\N	\N	\N
1049738	3591	1998-12-24	VYBER	VYBER	23258	21736	\N	\N	\N
1049739	3591	1998-02-10	VYBER	VYBER	2907	25402	\N	\N	\N
1049742	3591	1998-06-15	VYDAJ	VYBER	20700	42267	\N	\N	\N
1049746	3591	1996-12-27	VYDAJ	VYBER	6000	59322	\N	\N	\N
1049748	3591	1998-12-15	VYDAJ	VYBER	7500	44994	\N	\N	\N
1049757	3591	1997-01-17	VYDAJ	VYBER	6600	19350	\N	\N	\N
1049758	3591	1997-01-10	VYDAJ	VYBER	3600	36150	\N	\N	\N
1049760	3591	1997-01-16	VYDAJ	VYBER	5700	25950	\N	\N	\N
1049762	3591	1998-01-29	VYDAJ	VYBER	8700	34016	\N	\N	\N
1049764	3591	1998-01-01	VYDAJ	VYBER	4200	26439	\N	\N	\N
1049765	3591	1998-01-07	VYDAJ	VYBER	4200	22239	\N	\N	\N
1049767	3591	1996-08-14	VYDAJ	VYBER	3600	29570	\N	\N	\N
1049769	3591	1996-08-19	VYDAJ	VYBER	4500	36278	\N	\N	\N
1049771	3591	1996-12-10	VYDAJ	VYBER	5700	50469	\N	\N	\N
1049774	3591	1997-10-28	VYDAJ	VYBER	6300	21084	\N	\N	\N
1049775	3591	1997-10-25	VYDAJ	VYBER	10800	27384	\N	\N	\N
1049776	3591	1997-09-18	VYDAJ	VYBER	5100	30084	\N	\N	\N
1049777	3591	1997-01-16	VYDAJ	VYBER	4500	31650	\N	\N	\N
1049778	3591	1997-02-28	VYDAJ	VYBER KARTOU	3600	46456	\N	\N	0
1049779	3591	1998-10-25	VYDAJ	VYBER	6000	37610	\N	\N	\N
1049788	3591	1996-07-31	VYDAJ	VYBER	100	76066	SLUZBY	\N	\N
1049789	3591	1996-08-31	VYDAJ	VYBER	100	44677	SLUZBY	\N	\N
1049790	3591	1996-09-30	VYDAJ	VYBER	100	81900	SLUZBY	\N	\N
1049791	3591	1996-10-31	VYDAJ	VYBER	100	74471	SLUZBY	\N	\N
1049792	3591	1996-11-30	VYDAJ	VYBER	100	89330	SLUZBY	\N	\N
1049793	3591	1996-12-31	VYDAJ	VYBER	100	59511	SLUZBY	\N	\N
1049794	3591	1997-01-31	VYDAJ	VYBER	100	19393	SLUZBY	\N	\N
1049795	3591	1997-02-28	VYDAJ	VYBER	100	46356	SLUZBY	\N	\N
1049796	3591	1997-03-31	VYDAJ	VYBER	100	31243	SLUZBY	\N	\N
1049797	3591	1997-04-30	VYDAJ	VYBER	100	67144	SLUZBY	\N	\N
1049798	3591	1997-05-31	VYDAJ	VYBER	100	22124	SLUZBY	\N	\N
1049799	3591	1997-06-30	VYDAJ	VYBER	100	17742	SLUZBY	\N	\N
1049800	3591	1997-07-31	VYDAJ	VYBER	100	15347	SLUZBY	\N	\N
1049801	3591	1997-08-31	VYDAJ	VYBER	100	55045	SLUZBY	\N	\N
1049802	3591	1997-09-30	VYDAJ	VYBER	100	30145	SLUZBY	\N	\N
1049803	3591	1997-10-31	VYDAJ	VYBER	100	21126	SLUZBY	\N	\N
1049804	3591	1997-11-30	VYDAJ	VYBER	100	17742	SLUZBY	\N	\N
1049805	3591	1997-12-31	VYDAJ	VYBER	100	36639	SLUZBY	\N	\N
1049806	3591	1998-01-31	VYDAJ	VYBER	100	28309	SLUZBY	\N	\N
1049807	3591	1998-02-28	VYDAJ	VYBER	100	21149	SLUZBY	\N	\N
1049808	3591	1998-03-31	VYDAJ	VYBER	100	25073	SLUZBY	\N	\N
1049809	3591	1998-04-30	VYDAJ	VYBER	100	25215	SLUZBY	\N	\N
1049810	3591	1998-05-31	VYDAJ	VYBER	100	70539	SLUZBY	\N	\N
1049811	3591	1998-06-30	VYDAJ	VYBER	100	39594	SLUZBY	\N	\N
1049812	3591	1998-07-31	VYDAJ	VYBER	100	52304	SLUZBY	\N	\N
1049813	3591	1998-08-31	VYDAJ	VYBER	100	35622	SLUZBY	\N	\N
1049814	3591	1998-09-30	VYDAJ	VYBER	100	53030	SLUZBY	\N	\N
1049815	3591	1998-10-31	VYDAJ	VYBER	100	44214	SLUZBY	\N	\N
1049816	3591	1998-11-30	VYDAJ	VYBER	100	56755	SLUZBY	\N	\N
1049817	3591	1996-06-26	VYDAJ	VYBER	58600	50934	\N	\N	\N
1049818	3591	1996-07-09	VYDAJ	VYBER	26300	49995	\N	\N	\N
1049819	3591	1996-08-08	VYDAJ	VYBER	10100	37431	\N	\N	\N
1049820	3591	1996-09-07	VYDAJ	VYBER	9400	35277	\N	\N	\N
1049821	3591	1996-09-29	VYDAJ	VYBER	48500	81780	\N	\N	\N
1049822	3591	1996-10-07	VYDAJ	VYBER	25500	56400	\N	\N	\N
1049823	3591	1996-11-06	VYDAJ	VYBER	26700	55820	\N	\N	\N
1049824	3591	1996-11-17	VYDAJ	VYBER	55600	53123	\N	\N	\N
1049825	3591	1996-12-06	VYDAJ	VYBER	28900	60430	\N	\N	\N
1049826	3591	1997-01-05	VYDAJ	VYBER	15500	44011	\N	\N	\N
1049827	3591	1997-02-04	PRIJEM	VKLAD	2100	21493	\N	\N	\N
1049828	3591	1997-03-06	VYDAJ	VYBER	10900	35456	\N	\N	\N
1049829	3591	1997-04-05	VYDAJ	VYBER KARTOU	700	30543	\N	\N	0
1049830	3591	1997-05-05	VYDAJ	VYBER	21800	45344	\N	\N	\N
1049831	3591	1997-06-04	VYDAJ	VYBER KARTOU	100	22024	\N	\N	0
1049832	3591	1997-07-04	PRIJEM	VKLAD	1900	19642	\N	\N	\N
1049833	3591	1997-08-03	VYDAJ	VYBER	19300	37086	\N	\N	\N
1049834	3591	1997-09-02	VYDAJ	VYBER	15600	39445	\N	\N	\N
1049835	3591	1997-10-02	VYDAJ	VYBER	4200	25945	\N	\N	\N
1049836	3591	1997-11-01	PRIJEM	VKLAD	900	22026	\N	\N	\N
1049837	3591	1997-12-01	PRIJEM	VKLAD	1200	18942	\N	\N	\N
1049838	3591	1997-12-31	VYDAJ	VYBER	6000	30639	\N	\N	\N
1049839	3591	1998-01-30	VYDAJ	VYBER	5700	28316	\N	\N	\N
1049840	3591	1998-03-01	PRIJEM	VKLAD	3500	24649	\N	\N	\N
1049841	3591	1998-03-31	PRIJEM	VKLAD	4700	25088	\N	\N	\N
1049842	3591	1998-04-30	PRIJEM	VKLAD	4400	25212	\N	\N	\N
1049843	3591	1998-05-30	PRIJEM	VKLAD	6400	27354	\N	\N	\N
1049844	3591	1998-06-29	VYDAJ	VYBER KARTOU	2800	39467	\N	\N	0
1049845	3591	1998-07-29	VYDAJ	VYBER	18200	52184	\N	\N	\N
1049846	3591	1998-08-28	PRIJEM	VKLAD	4000	35577	\N	\N	\N
1049847	3591	1998-09-27	VYDAJ	VYBER	9500	52929	\N	\N	\N
1049848	3591	1998-10-27	PRIJEM	VKLAD	6500	44110	\N	\N	\N
1049849	3591	1998-11-26	VYDAJ	VYBER KARTOU	3100	56659	\N	\N	0
1049881	3592	1993-01-08	PRIJEM	VKLAD	600	600	\N	\N	\N
1049882	3592	1993-01-10	PRIJEM	PREVOD Z UCTU	6007	6607	DUCHOD	MN	73166322
1049883	3592	1993-02-10	PRIJEM	PREVOD Z UCTU	6007	12634	DUCHOD	MN	73166322
1049884	3592	1993-03-10	PRIJEM	PREVOD Z UCTU	6007	18668	DUCHOD	MN	73166322
1049885	3592	1993-04-10	PRIJEM	PREVOD Z UCTU	6007	24703	DUCHOD	MN	73166322
1049886	3592	1993-05-10	PRIJEM	PREVOD Z UCTU	6007	30737	DUCHOD	MN	73166322
1049887	3592	1993-06-10	PRIJEM	PREVOD Z UCTU	6007	18703	DUCHOD	MN	73166322
1049888	3592	1993-07-10	PRIJEM	PREVOD Z UCTU	6007	21415	DUCHOD	MN	73166322
1049889	3592	1993-08-10	PRIJEM	PREVOD Z UCTU	6007	24119	DUCHOD	MN	73166322
1049890	3592	1993-09-10	PRIJEM	PREVOD Z UCTU	6007	22425	DUCHOD	MN	73166322
1049891	3592	1993-10-10	PRIJEM	PREVOD Z UCTU	6007	23292	DUCHOD	MN	73166322
1049892	3592	1993-11-10	PRIJEM	PREVOD Z UCTU	6007	26008	DUCHOD	MN	73166322
1049893	3592	1993-12-10	PRIJEM	PREVOD Z UCTU	6007	24650	DUCHOD	MN	73166322
1049894	3592	1994-01-10	PRIJEM	PREVOD Z UCTU	6007	26329	DUCHOD	MN	73166322
1049895	3592	1994-02-10	PRIJEM	PREVOD Z UCTU	6007	27403	DUCHOD	MN	73166322
1049896	3592	1994-03-10	PRIJEM	PREVOD Z UCTU	6007	30134	DUCHOD	MN	73166322
1049897	3592	1994-04-10	PRIJEM	PREVOD Z UCTU	6007	30572	DUCHOD	MN	73166322
1049898	3592	1994-05-10	PRIJEM	PREVOD Z UCTU	6007	30216	DUCHOD	MN	73166322
1049899	3592	1994-06-10	PRIJEM	PREVOD Z UCTU	6007	30762	DUCHOD	MN	73166322
1049900	3592	1994-07-10	PRIJEM	PREVOD Z UCTU	6007	33509	DUCHOD	MN	73166322
1049901	3592	1994-08-10	PRIJEM	PREVOD Z UCTU	6007	31963	DUCHOD	MN	73166322
1049902	3592	1994-09-10	PRIJEM	PREVOD Z UCTU	6007	31094	DUCHOD	MN	73166322
1049903	3592	1994-10-10	PRIJEM	PREVOD Z UCTU	6007	33838	DUCHOD	MN	73166322
1049904	3592	1994-11-10	PRIJEM	PREVOD Z UCTU	6007	33452	DUCHOD	MN	73166322
1049905	3592	1994-12-10	PRIJEM	PREVOD Z UCTU	6007	34705	DUCHOD	MN	73166322
1049906	3592	1995-01-10	PRIJEM	PREVOD Z UCTU	6007	32059	DUCHOD	MN	73166322
1049907	3592	1995-02-10	PRIJEM	PREVOD Z UCTU	6007	32100	DUCHOD	MN	73166322
1049908	3592	1995-03-10	PRIJEM	PREVOD Z UCTU	6007	33247	DUCHOD	MN	73166322
1049909	3592	1995-04-10	PRIJEM	PREVOD Z UCTU	6007	32098	DUCHOD	MN	73166322
1049910	3592	1995-05-10	PRIJEM	PREVOD Z UCTU	6007	34846	DUCHOD	MN	73166322
1049911	3592	1995-06-10	PRIJEM	PREVOD Z UCTU	6007	29202	DUCHOD	MN	73166322
1049912	3592	1995-07-10	PRIJEM	PREVOD Z UCTU	6007	22373	DUCHOD	MN	73166322
1049913	3592	1995-08-10	PRIJEM	PREVOD Z UCTU	6007	25080	DUCHOD	MN	73166322
1049914	3592	1995-09-10	PRIJEM	PREVOD Z UCTU	6007	27799	DUCHOD	MN	73166322
1049915	3592	1995-10-10	PRIJEM	PREVOD Z UCTU	6007	30528	DUCHOD	MN	73166322
1049916	3592	1995-11-10	PRIJEM	PREVOD Z UCTU	6007	33269	DUCHOD	MN	73166322
1049917	3592	1995-12-10	PRIJEM	PREVOD Z UCTU	6007	32118	DUCHOD	MN	73166322
1049918	3592	1996-01-10	PRIJEM	PREVOD Z UCTU	6007	33463	DUCHOD	MN	73166322
1049919	3592	1996-02-10	PRIJEM	PREVOD Z UCTU	6007	29408	DUCHOD	MN	73166322
1049920	3592	1996-03-10	PRIJEM	PREVOD Z UCTU	6007	32144	DUCHOD	MN	73166322
1049921	3592	1996-04-10	PRIJEM	PREVOD Z UCTU	6007	27944	DUCHOD	MN	73166322
1049922	3592	1996-05-10	PRIJEM	PREVOD Z UCTU	6007	28571	DUCHOD	MN	73166322
1049923	3592	1996-06-10	PRIJEM	PREVOD Z UCTU	6007	31304	DUCHOD	MN	73166322
1049924	3592	1996-07-10	PRIJEM	PREVOD Z UCTU	6007	22081	DUCHOD	MN	73166322
1049925	3592	1996-08-10	PRIJEM	PREVOD Z UCTU	6007	24225	DUCHOD	MN	73166322
1049926	3592	1996-09-10	PRIJEM	PREVOD Z UCTU	6007	25337	DUCHOD	MN	73166322
1049927	3592	1996-10-10	PRIJEM	PREVOD Z UCTU	6007	26353	DUCHOD	MN	73166322
1049928	3592	1996-11-10	PRIJEM	PREVOD Z UCTU	6007	26852	DUCHOD	MN	73166322
1049929	3592	1996-12-10	PRIJEM	PREVOD Z UCTU	6007	24827	DUCHOD	MN	73166322
1049930	3592	1997-01-10	PRIJEM	PREVOD Z UCTU	6007	24388	DUCHOD	MN	73166322
1049931	3592	1997-02-10	PRIJEM	PREVOD Z UCTU	6007	22763	DUCHOD	MN	73166322
1049932	3592	1997-03-10	PRIJEM	PREVOD Z UCTU	6007	21963	DUCHOD	MN	73166322
1049933	3592	1997-04-10	PRIJEM	PREVOD Z UCTU	6007	24667	DUCHOD	MN	73166322
1049934	3592	1997-05-10	PRIJEM	PREVOD Z UCTU	6007	27383	DUCHOD	MN	73166322
1049935	3592	1997-06-10	PRIJEM	PREVOD Z UCTU	6007	28205	DUCHOD	MN	73166322
1049936	3592	1997-07-10	PRIJEM	PREVOD Z UCTU	6007	23069	DUCHOD	MN	73166322
1049937	3592	1997-08-10	PRIJEM	PREVOD Z UCTU	6007	22413	DUCHOD	MN	73166322
1049938	3592	1997-09-10	PRIJEM	PREVOD Z UCTU	6007	25119	DUCHOD	MN	73166322
1049939	3592	1997-10-10	PRIJEM	PREVOD Z UCTU	6007	26933	DUCHOD	MN	73166322
1049940	3592	1997-11-10	PRIJEM	PREVOD Z UCTU	6007	29357	DUCHOD	MN	73166322
1049941	3592	1997-12-10	PRIJEM	PREVOD Z UCTU	6007	25728	DUCHOD	MN	73166322
1049942	3592	1998-01-10	PRIJEM	PREVOD Z UCTU	6007	27650	DUCHOD	MN	73166322
1049943	3592	1998-02-10	PRIJEM	PREVOD Z UCTU	6007	30179	DUCHOD	MN	73166322
1049944	3592	1998-03-10	PRIJEM	PREVOD Z UCTU	6007	29107	DUCHOD	MN	73166322
1049945	3592	1998-04-10	PRIJEM	PREVOD Z UCTU	6007	27128	DUCHOD	MN	73166322
1049946	3592	1998-05-10	PRIJEM	PREVOD Z UCTU	6007	23235	DUCHOD	MN	73166322
1049947	3592	1998-06-10	PRIJEM	PREVOD Z UCTU	6007	20328	DUCHOD	MN	73166322
1049948	3592	1998-07-10	PRIJEM	PREVOD Z UCTU	6007	17009	DUCHOD	MN	73166322
1049949	3592	1998-08-10	PRIJEM	PREVOD Z UCTU	6007	19691	DUCHOD	MN	73166322
1049950	3592	1998-09-10	PRIJEM	PREVOD Z UCTU	6007	17172	DUCHOD	MN	73166322
1049951	3592	1998-10-10	PRIJEM	PREVOD Z UCTU	6007	19854	DUCHOD	MN	73166322
1049952	3592	1998-11-10	PRIJEM	PREVOD Z UCTU	6007	22548	DUCHOD	MN	73166322
1049953	3592	1998-12-10	PRIJEM	PREVOD Z UCTU	6007	25253	DUCHOD	MN	73166322
1049958	3592	1993-05-12	VYDAJ	PREVOD NA UCET	3360	27377	SIPO	KL	88522523
1049959	3592	1993-06-12	VYDAJ	PREVOD NA UCET	3360	15343	SIPO	KL	88522523
1049960	3592	1993-07-12	VYDAJ	PREVOD NA UCET	3360	18055	SIPO	KL	88522523
1049961	3592	1993-08-12	VYDAJ	PREVOD NA UCET	3360	20759	SIPO	KL	88522523
1049962	3592	1993-09-12	VYDAJ	PREVOD NA UCET	3360	19065	SIPO	KL	88522523
1049963	3592	1993-10-12	VYDAJ	PREVOD NA UCET	3360	19932	SIPO	KL	88522523
1049964	3592	1993-11-12	VYDAJ	PREVOD NA UCET	3360	22648	SIPO	KL	88522523
1049965	3592	1993-12-12	VYDAJ	PREVOD NA UCET	3360	21290	SIPO	KL	88522523
1049966	3592	1994-01-12	VYDAJ	PREVOD NA UCET	3360	22969	SIPO	KL	88522523
1049967	3592	1994-02-12	VYDAJ	PREVOD NA UCET	3360	24043	SIPO	KL	88522523
1049968	3592	1994-03-12	VYDAJ	PREVOD NA UCET	3360	26774	SIPO	KL	88522523
1049969	3592	1994-04-12	VYDAJ	PREVOD NA UCET	3360	27212	SIPO	KL	88522523
1049970	3592	1994-05-12	VYDAJ	PREVOD NA UCET	3360	26856	SIPO	KL	88522523
1049971	3592	1994-06-12	VYDAJ	PREVOD NA UCET	3360	27402	SIPO	KL	88522523
1049972	3592	1994-07-12	VYDAJ	PREVOD NA UCET	3360	30149	SIPO	KL	88522523
1049973	3592	1994-08-12	VYDAJ	PREVOD NA UCET	3360	28603	SIPO	KL	88522523
1049974	3592	1994-09-12	VYDAJ	PREVOD NA UCET	3360	27734	SIPO	KL	88522523
1049975	3592	1994-10-12	VYDAJ	PREVOD NA UCET	3360	30478	SIPO	KL	88522523
1049976	3592	1994-11-12	VYDAJ	PREVOD NA UCET	3360	30092	SIPO	KL	88522523
1049977	3592	1994-12-12	VYDAJ	PREVOD NA UCET	3360	31345	SIPO	KL	88522523
1049978	3592	1995-01-12	VYDAJ	PREVOD NA UCET	3360	28699	SIPO	KL	88522523
1049979	3592	1995-02-12	VYDAJ	PREVOD NA UCET	3360	28740	SIPO	KL	88522523
1049980	3592	1995-03-12	VYDAJ	PREVOD NA UCET	3360	29887	SIPO	KL	88522523
1049981	3592	1995-04-12	VYDAJ	PREVOD NA UCET	3360	28738	SIPO	KL	88522523
1049982	3592	1995-05-12	VYDAJ	PREVOD NA UCET	3360	31486	SIPO	KL	88522523
1049983	3592	1995-06-12	VYDAJ	PREVOD NA UCET	3360	25842	SIPO	KL	88522523
1049984	3592	1995-07-12	VYDAJ	PREVOD NA UCET	3360	19013	SIPO	KL	88522523
1049985	3592	1995-08-12	VYDAJ	PREVOD NA UCET	3360	21720	SIPO	KL	88522523
1049986	3592	1995-09-12	VYDAJ	PREVOD NA UCET	3360	24439	SIPO	KL	88522523
1049987	3592	1995-10-12	VYDAJ	PREVOD NA UCET	3360	27168	SIPO	KL	88522523
1049988	3592	1995-11-12	VYDAJ	PREVOD NA UCET	3360	29909	SIPO	KL	88522523
1049989	3592	1995-12-12	VYDAJ	PREVOD NA UCET	3360	28758	SIPO	KL	88522523
1049990	3592	1996-01-12	VYDAJ	PREVOD NA UCET	3360	30103	SIPO	KL	88522523
1049991	3592	1996-02-12	VYDAJ	PREVOD NA UCET	3360	26048	SIPO	KL	88522523
1049992	3592	1996-03-12	VYDAJ	PREVOD NA UCET	3360	28784	SIPO	KL	88522523
1049993	3592	1996-04-12	VYDAJ	PREVOD NA UCET	3360	24584	SIPO	KL	88522523
1049994	3592	1996-05-12	VYDAJ	PREVOD NA UCET	3360	25211	SIPO	KL	88522523
1049995	3592	1996-06-12	VYDAJ	PREVOD NA UCET	3360	27944	SIPO	KL	88522523
1049996	3592	1996-07-12	VYDAJ	PREVOD NA UCET	3360	18721	SIPO	KL	88522523
1049997	3592	1996-08-12	VYDAJ	PREVOD NA UCET	3360	20865	SIPO	KL	88522523
1049998	3592	1996-09-12	VYDAJ	PREVOD NA UCET	3360	21977	SIPO	KL	88522523
1049999	3592	1996-10-12	VYDAJ	PREVOD NA UCET	3360	22273	SIPO	KL	88522523
1050000	3592	1996-11-12	VYDAJ	PREVOD NA UCET	3360	22612	SIPO	KL	88522523
1050001	3592	1996-12-12	VYDAJ	PREVOD NA UCET	3360	21467	SIPO	KL	88522523
1050002	3592	1997-01-12	VYDAJ	PREVOD NA UCET	3360	21028	SIPO	KL	88522523
1050003	3592	1997-02-12	VYDAJ	PREVOD NA UCET	3360	19403	SIPO	KL	88522523
1050004	3592	1997-03-12	VYDAJ	PREVOD NA UCET	3360	18603	SIPO	KL	88522523
1050005	3592	1997-04-12	VYDAJ	PREVOD NA UCET	3360	21307	SIPO	KL	88522523
1050006	3592	1997-05-12	VYDAJ	PREVOD NA UCET	3360	24023	SIPO	KL	88522523
1050007	3592	1997-06-12	VYDAJ	PREVOD NA UCET	3360	24845	SIPO	KL	88522523
1050008	3592	1997-07-12	VYDAJ	PREVOD NA UCET	3360	19709	SIPO	KL	88522523
1050009	3592	1997-08-12	VYDAJ	PREVOD NA UCET	3360	19053	SIPO	KL	88522523
1050010	3592	1997-09-12	VYDAJ	PREVOD NA UCET	3360	21759	SIPO	KL	88522523
1050011	3592	1997-10-12	VYDAJ	PREVOD NA UCET	3360	23573	SIPO	KL	88522523
1050012	3592	1997-11-12	VYDAJ	PREVOD NA UCET	3360	25997	SIPO	KL	88522523
1050013	3592	1997-12-12	VYDAJ	PREVOD NA UCET	3360	22368	SIPO	KL	88522523
1050014	3592	1998-01-12	VYDAJ	PREVOD NA UCET	3360	24290	SIPO	KL	88522523
1050015	3592	1998-02-12	VYDAJ	PREVOD NA UCET	3360	23019	SIPO	KL	88522523
1050016	3592	1998-03-12	VYDAJ	PREVOD NA UCET	3360	25747	SIPO	KL	88522523
1050017	3592	1998-04-12	VYDAJ	PREVOD NA UCET	3360	23768	SIPO	KL	88522523
1050018	3592	1998-05-12	VYDAJ	PREVOD NA UCET	3360	19875	SIPO	KL	88522523
1050019	3592	1998-06-12	VYDAJ	PREVOD NA UCET	3360	10968	SIPO	KL	88522523
1050020	3592	1998-07-12	VYDAJ	PREVOD NA UCET	3360	13649	SIPO	KL	88522523
1050021	3592	1998-08-12	VYDAJ	PREVOD NA UCET	3360	11131	SIPO	KL	88522523
1050022	3592	1998-09-12	VYDAJ	PREVOD NA UCET	3360	13812	SIPO	KL	88522523
1050023	3592	1998-10-12	VYDAJ	PREVOD NA UCET	3360	16494	SIPO	KL	88522523
1050024	3592	1998-11-12	VYDAJ	PREVOD NA UCET	3360	19188	SIPO	KL	88522523
1050025	3592	1998-12-12	VYDAJ	PREVOD NA UCET	3360	21893	SIPO	KL	88522523
1050026	3592	1993-06-05	VYDAJ	VYBER	14750	12696	\N	\N	\N
1050027	3592	1994-06-08	VYDAJ	VYBER	2200	24755	\N	\N	\N
1050028	3592	1995-06-23	VYDAJ	VYBER	8600	16762	\N	\N	\N
1050029	3592	1996-06-21	VYDAJ	VYBER	11950	15994	\N	\N	\N
1050033	3592	1994-01-26	VYDAJ	VYBER	850	22119	\N	\N	\N
1050034	3592	1995-01-14	VYDAJ	VYBER	2700	25999	\N	\N	\N
1050035	3592	1996-01-12	VYDAJ	VYBER	3900	26203	\N	\N	\N
1050036	3592	1997-01-13	VYDAJ	VYBER	2250	18778	\N	\N	\N
1050037	3592	1998-01-05	VYDAJ	VYBER	800	21643	\N	\N	\N
1050038	3592	1993-12-03	VYDAJ	VYBER	800	18643	\N	\N	\N
1050039	3592	1994-12-16	VYDAJ	VYBER	1400	29945	\N	\N	\N
1050040	3592	1995-12-22	VYDAJ	VYBER	300	28458	\N	\N	\N
1050041	3592	1996-12-25	VYDAJ	VYBER	450	18317	\N	\N	\N
1050042	3592	1997-12-03	VYDAJ	VYBER	950	19721	\N	\N	\N
1050043	3592	1998-12-24	VYDAJ	VYBER	900	20993	\N	\N	\N
1050044	3592	1993-08-17	VYDAJ	VYBER	1200	16359	\N	\N	\N
1050046	3592	1993-11-29	VYDAJ	VYBER	3280	19368	\N	\N	\N
1050047	3592	1993-12-12	VYDAJ	VYBER	1040	20250	\N	\N	\N
1050048	3592	1993-08-16	VYDAJ	VYBER	3200	17559	\N	\N	\N
1050049	3592	1993-10-07	VYDAJ	VYBER	1840	17285	\N	\N	\N
1050050	3592	1994-08-15	VYDAJ	VYBER	1120	27483	\N	\N	\N
1050051	3592	1994-03-25	VYDAJ	VYBER	1600	25174	\N	\N	\N
1050052	3592	1994-10-29	VYDAJ	VYBER	3040	27438	\N	\N	\N
1050053	3592	1995-06-23	VYDAJ	VYBER	480	16282	\N	\N	\N
1050054	3592	1995-06-02	VYDAJ	VYBER	3200	23195	\N	\N	\N
1050055	3592	1995-06-18	VYDAJ	VYBER	480	25362	\N	\N	\N
1050056	3592	1996-03-27	VYDAJ	VYBER	1840	21844	\N	\N	\N
1050058	3592	1996-11-15	VYDAJ	VYBER	3360	19252	\N	\N	\N
1050059	3592	1996-07-25	VYDAJ	VYBER	560	18161	\N	\N	\N
1050060	3592	1996-10-11	VYDAJ	VYBER	720	25633	\N	\N	\N
1050061	3592	1996-11-10	VYDAJ	VYBER	880	25972	\N	\N	\N
1050062	3592	1997-07-02	VYDAJ	VYBER	800	18502	\N	\N	\N
1050063	3592	1997-07-08	VYDAJ	VYBER	1440	17062	\N	\N	\N
1050064	3592	1997-01-17	VYDAJ	VYBER	2080	16698	\N	\N	\N
1050065	3592	1997-06-14	VYDAJ	VYBER	640	24205	\N	\N	\N
1050066	3592	1997-06-29	VYDAJ	VYBER	3280	19225	\N	\N	\N
1050067	3592	1997-07-13	VYDAJ	VYBER	3360	16349	\N	\N	\N
1050081	3592	1993-05-31	VYDAJ	VYBER	15	27446	SLUZBY	\N	\N
1050082	3592	1993-06-30	VYDAJ	VYBER	15	15408	SLUZBY	\N	\N
1050083	3592	1993-07-31	VYDAJ	VYBER	15	18112	SLUZBY	\N	\N
1050084	3592	1993-08-31	VYDAJ	VYBER	15	16418	SLUZBY	\N	\N
1050085	3592	1993-09-30	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
1050086	3592	1993-10-31	VYDAJ	VYBER	15	20001	SLUZBY	\N	\N
1050087	3592	1993-11-30	VYDAJ	VYBER	15	19443	SLUZBY	\N	\N
1050088	3592	1993-12-31	VYDAJ	VYBER	15	20322	SLUZBY	\N	\N
1050089	3592	1994-01-31	VYDAJ	VYBER	15	22196	SLUZBY	\N	\N
1050090	3592	1994-02-28	VYDAJ	VYBER	15	24127	SLUZBY	\N	\N
1050091	3592	1994-03-31	VYDAJ	VYBER	15	25265	SLUZBY	\N	\N
1050092	3592	1994-04-30	VYDAJ	VYBER	15	27309	SLUZBY	\N	\N
1050093	3592	1994-05-31	VYDAJ	VYBER	15	26955	SLUZBY	\N	\N
1050094	3592	1994-06-30	VYDAJ	VYBER	15	27502	SLUZBY	\N	\N
1050095	3592	1994-07-31	VYDAJ	VYBER	15	30256	SLUZBY	\N	\N
1050096	3592	1994-08-31	VYDAJ	VYBER	15	25087	SLUZBY	\N	\N
1050097	3592	1994-09-30	VYDAJ	VYBER	15	27831	SLUZBY	\N	\N
1050098	3592	1994-10-31	VYDAJ	VYBER	15	27445	SLUZBY	\N	\N
1050099	3592	1994-11-30	VYDAJ	VYBER	15	28698	SLUZBY	\N	\N
1050100	3592	1994-12-31	VYDAJ	VYBER	15	26052	SLUZBY	\N	\N
1050101	3592	1995-01-31	VYDAJ	VYBER	15	26093	SLUZBY	\N	\N
1050102	3592	1995-02-28	VYDAJ	VYBER	15	27240	SLUZBY	\N	\N
1050103	3592	1995-03-31	VYDAJ	VYBER	15	26091	SLUZBY	\N	\N
1050104	3592	1995-04-30	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
1050105	3592	1995-05-31	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
1050106	3592	1995-06-30	VYDAJ	VYBER	15	16366	SLUZBY	\N	\N
1050107	3592	1995-07-31	VYDAJ	VYBER	15	19073	SLUZBY	\N	\N
1050108	3592	1995-08-31	VYDAJ	VYBER	15	21792	SLUZBY	\N	\N
1050109	3592	1995-09-30	VYDAJ	VYBER	15	24521	SLUZBY	\N	\N
1050110	3592	1995-10-31	VYDAJ	VYBER	15	27262	SLUZBY	\N	\N
1050111	3592	1995-11-30	VYDAJ	VYBER	15	26111	SLUZBY	\N	\N
1050112	3592	1995-12-31	VYDAJ	VYBER	15	27456	SLUZBY	\N	\N
1050113	3592	1996-01-31	VYDAJ	VYBER	15	23401	SLUZBY	\N	\N
1050114	3592	1996-02-29	VYDAJ	VYBER	15	26137	SLUZBY	\N	\N
1050115	3592	1996-03-31	VYDAJ	VYBER	15	21937	SLUZBY	\N	\N
1050116	3592	1996-04-30	VYDAJ	VYBER	15	22564	SLUZBY	\N	\N
1050117	3592	1996-05-31	VYDAJ	VYBER	15	25297	SLUZBY	\N	\N
1050118	3592	1996-06-30	VYDAJ	VYBER	15	16074	SLUZBY	\N	\N
1050119	3592	1996-07-31	VYDAJ	VYBER	15	18218	SLUZBY	\N	\N
1050120	3592	1996-08-31	VYDAJ	VYBER	15	19330	SLUZBY	\N	\N
1050121	3592	1996-09-30	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
1050122	3592	1996-10-31	VYDAJ	VYBER	15	20845	SLUZBY	\N	\N
1050123	3592	1996-11-30	VYDAJ	VYBER	15	18820	SLUZBY	\N	\N
1050124	3592	1996-12-31	VYDAJ	VYBER	15	18381	SLUZBY	\N	\N
1050125	3592	1997-01-31	VYDAJ	VYBER	15	16756	SLUZBY	\N	\N
1050126	3592	1997-02-28	VYDAJ	VYBER	15	15956	SLUZBY	\N	\N
1050127	3592	1997-03-31	VYDAJ	VYBER	15	18660	SLUZBY	\N	\N
1050128	3592	1997-04-30	VYDAJ	VYBER	15	21376	SLUZBY	\N	\N
1050129	3592	1997-05-31	VYDAJ	VYBER	15	22198	SLUZBY	\N	\N
1050130	3592	1997-06-30	VYDAJ	VYBER	15	19302	SLUZBY	\N	\N
1050131	3592	1997-07-31	VYDAJ	VYBER	15	16406	SLUZBY	\N	\N
1050132	3592	1997-08-31	VYDAJ	VYBER	15	19112	SLUZBY	\N	\N
1050133	3592	1997-09-30	VYDAJ	VYBER	15	20926	SLUZBY	\N	\N
1050134	3592	1997-10-31	VYDAJ	VYBER	15	23350	SLUZBY	\N	\N
1050135	3592	1997-11-30	VYDAJ	VYBER	15	20671	SLUZBY	\N	\N
1050136	3592	1997-12-31	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
1050137	3592	1998-01-31	VYDAJ	VYBER	15	24172	SLUZBY	\N	\N
1050138	3592	1998-02-28	VYDAJ	VYBER	15	23100	SLUZBY	\N	\N
1050139	3592	1998-03-31	VYDAJ	VYBER	15	21121	SLUZBY	\N	\N
1050140	3592	1998-04-30	VYDAJ	VYBER	15	17228	SLUZBY	\N	\N
1050141	3592	1998-05-31	VYDAJ	VYBER	15	14321	SLUZBY	\N	\N
1050142	3592	1998-06-30	VYDAJ	VYBER	15	11002	SLUZBY	\N	\N
1050143	3592	1998-07-31	VYDAJ	VYBER	15	13684	SLUZBY	\N	\N
1050144	3592	1998-08-31	VYDAJ	VYBER	15	11165	SLUZBY	\N	\N
1050145	3592	1998-09-30	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
1050146	3592	1998-10-31	VYDAJ	VYBER	15	16541	SLUZBY	\N	\N
1050147	3592	1998-11-30	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
1050148	3592	1994-02-02	VYDAJ	VYBER	800	21396	\N	\N	\N
1050149	3592	1994-04-03	VYDAJ	VYBER	700	24565	\N	\N	\N
1050150	3592	1994-05-03	VYDAJ	VYBER	3100	24209	\N	\N	\N
1050151	3592	1994-08-01	VYDAJ	VYBER	4300	25956	\N	\N	\N
1050152	3592	1994-08-31	VYDAJ	VYBER	2500	25102	\N	\N	\N
1050153	3592	1994-10-30	VYDAJ	VYBER	100	27338	\N	\N	\N
1050154	3592	1994-11-29	VYDAJ	VYBER	1500	28592	\N	\N	\N
1050155	3592	1994-12-29	VYDAJ	VYBER	4000	25945	\N	\N	\N
1050156	3592	1995-02-27	VYDAJ	VYBER	1600	27140	\N	\N	\N
1050157	3592	1995-03-29	VYDAJ	VYBER	3900	25987	\N	\N	\N
1050158	3592	1995-05-28	VYDAJ	VYBER	5200	26286	\N	\N	\N
1050159	3592	1995-11-24	VYDAJ	VYBER	3900	26009	\N	\N	\N
1050160	3592	1995-12-24	VYDAJ	VYBER	1100	27358	\N	\N	\N
1050161	3592	1996-01-23	VYDAJ	VYBER	2900	23303	\N	\N	\N
1050162	3592	1996-03-23	VYDAJ	VYBER	5100	23684	\N	\N	\N
1050163	3592	1996-04-22	VYDAJ	VYBER	2100	22484	\N	\N	\N
1050164	3592	1996-08-20	VYDAJ	VYBER	1600	19265	\N	\N	\N
1050165	3592	1996-09-19	VYDAJ	VYBER	1700	20277	\N	\N	\N
1050166	3592	1996-10-19	VYDAJ	VYBER	1500	20773	\N	\N	\N
1050167	3592	1996-11-18	VYDAJ	VYBER	500	18752	\N	\N	\N
1050168	3592	1996-12-18	VYDAJ	VYBER	2700	18767	\N	\N	\N
1050169	3592	1997-02-16	VYDAJ	VYBER	3500	15903	\N	\N	\N
1050170	3592	1997-05-17	VYDAJ	VYBER	1900	22123	\N	\N	\N
1050171	3592	1997-06-16	VYDAJ	VYBER	1700	22505	\N	\N	\N
1050172	3592	1997-09-14	VYDAJ	VYBER	900	20859	\N	\N	\N
1050173	3592	1997-10-14	VYDAJ	VYBER	300	23273	\N	\N	\N
1050174	3592	1997-11-13	VYDAJ	VYBER	5400	20597	\N	\N	\N
1050175	3592	1998-01-12	VYDAJ	VYBER	200	24090	\N	\N	\N
1050176	3592	1998-02-11	VYDAJ	VYBER	3800	26379	\N	\N	\N
1050177	3592	1998-03-13	VYDAJ	VYBER	4700	21047	\N	\N	\N
1050178	3592	1998-04-12	VYDAJ	VYBER	6600	17168	\N	\N	\N
1050179	3592	1998-05-12	VYDAJ	VYBER	5600	14275	\N	\N	\N
1050180	3592	1998-06-11	VYDAJ	VYBER	6000	14328	\N	\N	\N
1050181	3592	1998-08-10	VYDAJ	VYBER	5200	14491	\N	\N	\N
1050254	3593	1993-02-18	PRIJEM	VKLAD	200	200	\N	\N	\N
1050257	3593	1993-03-12	PRIJEM	VKLAD	15787	15987	\N	\N	\N
1050258	3593	1993-04-12	PRIJEM	VKLAD	15787	35706	\N	\N	\N
1050259	3593	1993-05-12	PRIJEM	VKLAD	15787	44090	\N	\N	\N
1050260	3593	1993-06-12	PRIJEM	VKLAD	23681	55794	\N	\N	\N
1050261	3593	1993-07-12	PRIJEM	VKLAD	15787	58133	\N	\N	\N
1050262	3593	1993-08-12	PRIJEM	VKLAD	15787	54586	\N	\N	\N
1050263	3593	1993-09-12	PRIJEM	VKLAD	15787	50728	\N	\N	\N
1050264	3593	1993-10-12	PRIJEM	VKLAD	15787	47754	\N	\N	\N
1050265	3593	1993-11-12	PRIJEM	VKLAD	15787	42392	\N	\N	\N
1050266	3593	1993-12-12	PRIJEM	VKLAD	23681	51576	\N	\N	\N
1050267	3593	1994-01-12	PRIJEM	VKLAD	15787	44358	\N	\N	\N
1050268	3593	1994-02-12	PRIJEM	VKLAD	15787	36535	\N	\N	\N
1050269	3593	1994-03-12	PRIJEM	VKLAD	15787	42682	\N	\N	\N
1050270	3593	1994-04-12	PRIJEM	VKLAD	15787	39299	\N	\N	\N
1050271	3593	1994-05-12	PRIJEM	VKLAD	15787	43090	\N	\N	\N
1050272	3593	1994-06-12	PRIJEM	VKLAD	23681	53387	\N	\N	\N
1050273	3593	1994-07-12	PRIJEM	VKLAD	15787	48501	\N	\N	\N
1050274	3593	1994-08-12	PRIJEM	VKLAD	15787	48921	\N	\N	\N
1050275	3593	1994-09-12	PRIJEM	VKLAD	15787	47546	\N	\N	\N
1050276	3593	1994-10-12	PRIJEM	VKLAD	15787	45847	\N	\N	\N
1050277	3593	1994-11-12	PRIJEM	VKLAD	15787	46591	\N	\N	\N
1050278	3593	1994-12-12	PRIJEM	VKLAD	23681	54434	\N	\N	\N
1050279	3593	1995-01-12	PRIJEM	VKLAD	15787	46587	\N	\N	\N
1050280	3593	1995-02-12	PRIJEM	VKLAD	15787	42033	\N	\N	\N
1050281	3593	1995-03-12	PRIJEM	VKLAD	15787	44361	\N	\N	\N
1050282	3593	1995-04-12	PRIJEM	VKLAD	15787	43301	\N	\N	\N
1050283	3593	1995-05-12	PRIJEM	VKLAD	15787	45641	\N	\N	\N
1050284	3593	1995-06-12	PRIJEM	VKLAD	23681	52180	\N	\N	\N
1050285	3593	1995-07-12	PRIJEM	VKLAD	15787	44574	\N	\N	\N
1050286	3593	1995-08-12	PRIJEM	VKLAD	15787	41921	\N	\N	\N
1050287	3593	1995-09-12	PRIJEM	VKLAD	15787	42954	\N	\N	\N
1050288	3593	1995-10-12	PRIJEM	VKLAD	15787	40181	\N	\N	\N
1050289	3593	1995-11-12	PRIJEM	VKLAD	15787	42102	\N	\N	\N
1050290	3593	1995-12-12	PRIJEM	VKLAD	23681	39406	\N	\N	\N
1050291	3593	1996-01-12	PRIJEM	VKLAD	15787	40832	\N	\N	\N
1050292	3593	1996-02-12	PRIJEM	VKLAD	15787	33827	\N	\N	\N
1050293	3593	1996-03-12	PRIJEM	VKLAD	15787	41911	\N	\N	\N
1050294	3593	1996-04-12	PRIJEM	VKLAD	15787	44647	\N	\N	\N
1050295	3593	1996-05-12	PRIJEM	VKLAD	15787	43682	\N	\N	\N
1050296	3593	1996-06-12	PRIJEM	VKLAD	23681	52816	\N	\N	\N
1050297	3593	1996-07-12	PRIJEM	VKLAD	15787	48777	\N	\N	\N
1050298	3593	1996-08-12	PRIJEM	VKLAD	15787	45740	\N	\N	\N
1050299	3593	1996-09-12	PRIJEM	VKLAD	15787	36018	\N	\N	\N
1050300	3593	1996-10-12	PRIJEM	VKLAD	15787	40914	\N	\N	\N
1050301	3593	1996-11-12	PRIJEM	VKLAD	15787	37722	\N	\N	\N
1050302	3593	1996-12-12	PRIJEM	VKLAD	23681	43016	\N	\N	\N
1050303	3593	1997-01-12	PRIJEM	VKLAD	15787	31492	\N	\N	\N
1050304	3593	1997-02-12	PRIJEM	VKLAD	15787	30398	\N	\N	\N
1050305	3593	1997-03-12	PRIJEM	VKLAD	15787	34162	\N	\N	\N
1050306	3593	1997-04-12	PRIJEM	VKLAD	15787	31739	\N	\N	\N
1050307	3593	1997-05-12	PRIJEM	VKLAD	15787	27907	\N	\N	\N
1050308	3593	1997-06-12	PRIJEM	VKLAD	23681	34551	\N	\N	\N
1050309	3593	1997-07-12	PRIJEM	VKLAD	15787	30872	\N	\N	\N
1050310	3593	1997-08-12	PRIJEM	VKLAD	15787	35039	\N	\N	\N
1050311	3593	1997-09-12	PRIJEM	VKLAD	15787	35416	\N	\N	\N
1050312	3593	1997-10-12	PRIJEM	VKLAD	15787	30334	\N	\N	\N
1050313	3593	1997-11-12	PRIJEM	VKLAD	15787	32300	\N	\N	\N
1050314	3593	1997-12-12	PRIJEM	VKLAD	23681	38561	\N	\N	\N
1050315	3593	1998-01-12	PRIJEM	VKLAD	15787	30662	\N	\N	\N
1050316	3593	1998-02-12	PRIJEM	VKLAD	15787	29918	\N	\N	\N
1050317	3593	1998-03-12	PRIJEM	VKLAD	15787	34075	\N	\N	\N
1050318	3593	1998-04-12	PRIJEM	VKLAD	15787	34345	\N	\N	\N
1050319	3593	1998-05-12	PRIJEM	VKLAD	15787	36317	\N	\N	\N
1050320	3593	1998-06-12	PRIJEM	VKLAD	23681	45789	\N	\N	\N
1050321	3593	1998-07-12	PRIJEM	VKLAD	15787	37931	\N	\N	\N
1050322	3593	1998-08-12	PRIJEM	VKLAD	15787	37565	\N	\N	\N
1050323	3593	1998-09-12	PRIJEM	VKLAD	15787	43754	\N	\N	\N
1050324	3593	1998-10-12	PRIJEM	VKLAD	15787	46062	\N	\N	\N
1050325	3593	1998-11-12	PRIJEM	VKLAD	15787	51484	\N	\N	\N
1050326	3593	1998-12-12	PRIJEM	VKLAD	23681	53770	\N	\N	\N
1050334	3593	1993-08-11	VYDAJ	PREVOD NA UCET	4524	38799	SIPO	UV	49978005
1050335	3593	1993-09-11	VYDAJ	PREVOD NA UCET	4524	34941	SIPO	UV	49978005
1050336	3593	1993-10-11	VYDAJ	PREVOD NA UCET	4524	31967	SIPO	UV	49978005
1050337	3593	1993-11-11	VYDAJ	PREVOD NA UCET	4524	26605	SIPO	UV	49978005
1050338	3593	1993-12-11	VYDAJ	PREVOD NA UCET	4524	27896	SIPO	UV	49978005
1050339	3593	1994-01-11	VYDAJ	PREVOD NA UCET	4524	28571	SIPO	UV	49978005
1050340	3593	1994-02-11	VYDAJ	PREVOD NA UCET	4524	20748	SIPO	UV	49978005
1050341	3593	1994-03-11	VYDAJ	PREVOD NA UCET	4524	26895	SIPO	UV	49978005
1050342	3593	1994-04-11	VYDAJ	PREVOD NA UCET	4524	23512	SIPO	UV	49978005
1050343	3593	1994-05-11	VYDAJ	PREVOD NA UCET	4524	27303	SIPO	UV	49978005
1050344	3593	1994-06-11	VYDAJ	PREVOD NA UCET	4524	29706	SIPO	UV	49978005
1050345	3593	1994-07-11	VYDAJ	PREVOD NA UCET	4524	32714	SIPO	UV	49978005
1050346	3593	1994-08-11	VYDAJ	PREVOD NA UCET	4524	33134	SIPO	UV	49978005
1050347	3593	1994-09-11	VYDAJ	PREVOD NA UCET	4524	31759	SIPO	UV	49978005
1050348	3593	1994-10-11	VYDAJ	PREVOD NA UCET	4524	37760	SIPO	UV	49978005
1050349	3593	1994-11-11	VYDAJ	PREVOD NA UCET	4524	30804	SIPO	UV	49978005
1050350	3593	1994-12-11	VYDAJ	PREVOD NA UCET	4524	30753	SIPO	UV	49978005
1050351	3593	1995-01-11	VYDAJ	PREVOD NA UCET	4524	30800	SIPO	UV	49978005
1050352	3593	1995-02-11	VYDAJ	PREVOD NA UCET	4524	26246	SIPO	UV	49978005
1050353	3593	1995-03-11	VYDAJ	PREVOD NA UCET	4524	28574	SIPO	UV	49978005
1050354	3593	1995-04-11	VYDAJ	PREVOD NA UCET	4524	27514	SIPO	UV	49978005
1050355	3593	1995-05-11	VYDAJ	PREVOD NA UCET	4524	29854	SIPO	UV	49978005
1050356	3593	1995-06-11	VYDAJ	PREVOD NA UCET	4524	28499	SIPO	UV	49978005
1050357	3593	1995-07-11	VYDAJ	PREVOD NA UCET	4524	28787	SIPO	UV	49978005
1050358	3593	1995-08-11	VYDAJ	PREVOD NA UCET	4524	26134	SIPO	UV	49978005
1050359	3593	1995-09-11	VYDAJ	PREVOD NA UCET	4524	27167	SIPO	UV	49978005
1050360	3593	1995-10-11	VYDAJ	PREVOD NA UCET	4524	24394	SIPO	UV	49978005
1050361	3593	1995-11-11	VYDAJ	PREVOD NA UCET	4524	26315	SIPO	UV	49978005
1050362	3593	1995-12-11	VYDAJ	PREVOD NA UCET	4524	15726	SIPO	UV	49978005
1050363	3593	1996-01-11	VYDAJ	PREVOD NA UCET	4524	25045	SIPO	UV	49978005
1050364	3593	1996-02-11	VYDAJ	PREVOD NA UCET	4524	18040	SIPO	UV	49978005
1050365	3593	1996-03-11	VYDAJ	PREVOD NA UCET	4524	26124	SIPO	UV	49978005
1050366	3593	1996-04-11	VYDAJ	PREVOD NA UCET	4524	28860	SIPO	UV	49978005
1050367	3593	1996-05-11	VYDAJ	PREVOD NA UCET	4524	27895	SIPO	UV	49978005
1050368	3593	1996-06-11	VYDAJ	PREVOD NA UCET	4524	29135	SIPO	UV	49978005
1050369	3593	1996-07-11	VYDAJ	PREVOD NA UCET	4524	32990	SIPO	UV	49978005
1050370	3593	1996-08-11	VYDAJ	PREVOD NA UCET	4524	29953	SIPO	UV	49978005
1050371	3593	1996-09-11	VYDAJ	PREVOD NA UCET	4524	20231	SIPO	UV	49978005
1050372	3593	1996-10-11	VYDAJ	PREVOD NA UCET	4524	25127	SIPO	UV	49978005
1050373	3593	1996-11-11	VYDAJ	PREVOD NA UCET	4524	21935	SIPO	UV	49978005
1050374	3593	1996-12-11	VYDAJ	PREVOD NA UCET	4524	19336	SIPO	UV	49978005
1050375	3593	1997-01-11	VYDAJ	PREVOD NA UCET	4524	15705	SIPO	UV	49978005
1050376	3593	1997-02-11	VYDAJ	PREVOD NA UCET	4524	14611	SIPO	UV	49978005
1050377	3593	1997-03-11	VYDAJ	PREVOD NA UCET	4524	18375	SIPO	UV	49978005
1050569	3593	1994-11-30	VYDAJ	VYBER	15	45777	SLUZBY	\N	\N
1050378	3593	1997-04-11	VYDAJ	PREVOD NA UCET	4524	15952	SIPO	UV	49978005
1050379	3593	1997-05-11	VYDAJ	PREVOD NA UCET	4524	12120	SIPO	UV	49978005
1050380	3593	1997-06-11	VYDAJ	PREVOD NA UCET	4524	10870	SIPO	UV	49978005
1050381	3593	1997-07-11	VYDAJ	PREVOD NA UCET	4524	15085	SIPO	UV	49978005
1050382	3593	1997-08-11	VYDAJ	PREVOD NA UCET	4524	19252	SIPO	UV	49978005
1050383	3593	1997-09-11	VYDAJ	PREVOD NA UCET	4524	19629	SIPO	UV	49978005
1050384	3593	1997-10-11	VYDAJ	PREVOD NA UCET	4524	14547	SIPO	UV	49978005
1050385	3593	1997-11-11	VYDAJ	PREVOD NA UCET	4524	16513	SIPO	UV	49978005
1050386	3593	1997-12-11	VYDAJ	PREVOD NA UCET	4524	14880	SIPO	UV	49978005
1050387	3593	1998-01-11	VYDAJ	PREVOD NA UCET	4524	14875	SIPO	UV	49978005
1050388	3593	1998-02-11	VYDAJ	PREVOD NA UCET	4524	14131	SIPO	UV	49978005
1050389	3593	1998-03-11	VYDAJ	PREVOD NA UCET	4524	18288	SIPO	UV	49978005
1050390	3593	1998-04-11	VYDAJ	PREVOD NA UCET	4524	18558	SIPO	UV	49978005
1050391	3593	1998-05-11	VYDAJ	PREVOD NA UCET	4524	20530	SIPO	UV	49978005
1050392	3593	1998-06-11	VYDAJ	PREVOD NA UCET	4524	22109	SIPO	UV	49978005
1050393	3593	1998-07-11	VYDAJ	PREVOD NA UCET	4524	22144	SIPO	UV	49978005
1050394	3593	1998-08-11	VYDAJ	PREVOD NA UCET	4524	21778	SIPO	UV	49978005
1050395	3593	1998-09-11	VYDAJ	PREVOD NA UCET	4524	27967	SIPO	UV	49978005
1050396	3593	1998-10-11	VYDAJ	PREVOD NA UCET	4524	30275	SIPO	UV	49978005
1050397	3593	1998-11-11	VYDAJ	PREVOD NA UCET	4524	35697	SIPO	UV	49978005
1050398	3593	1998-12-11	VYDAJ	PREVOD NA UCET	4524	30090	SIPO	UV	49978005
1050405	3593	1993-07-12	VYDAJ	PREVOD NA UCET	986	57147	 	ST	40100878
1050406	3593	1993-08-12	VYDAJ	PREVOD NA UCET	986	53600	 	ST	40100878
1050407	3593	1993-09-12	VYDAJ	PREVOD NA UCET	986	49742	 	ST	40100878
1050408	3593	1993-10-12	VYDAJ	PREVOD NA UCET	986	46768	 	ST	40100878
1050409	3593	1993-11-12	VYDAJ	PREVOD NA UCET	986	41406	 	ST	40100878
1050410	3593	1993-12-12	VYDAJ	PREVOD NA UCET	986	50590	 	ST	40100878
1050411	3593	1994-01-12	VYDAJ	PREVOD NA UCET	986	43372	 	ST	40100878
1050412	3593	1994-02-12	VYDAJ	PREVOD NA UCET	986	35549	 	ST	40100878
1050413	3593	1994-03-12	VYDAJ	PREVOD NA UCET	986	41696	 	ST	40100878
1050414	3593	1994-04-12	VYDAJ	PREVOD NA UCET	986	38313	 	ST	40100878
1050415	3593	1994-05-12	VYDAJ	PREVOD NA UCET	986	42104	 	ST	40100878
1050416	3593	1994-06-12	VYDAJ	PREVOD NA UCET	986	52401	 	ST	40100878
1050417	3593	1994-07-12	VYDAJ	PREVOD NA UCET	986	47515	 	ST	40100878
1050418	3593	1994-08-12	VYDAJ	PREVOD NA UCET	986	39135	 	ST	40100878
1050419	3593	1994-09-12	VYDAJ	PREVOD NA UCET	986	46560	 	ST	40100878
1050420	3593	1994-10-12	VYDAJ	PREVOD NA UCET	986	44861	 	ST	40100878
1050421	3593	1994-11-12	VYDAJ	PREVOD NA UCET	986	45605	 	ST	40100878
1050422	3593	1994-12-12	VYDAJ	PREVOD NA UCET	986	53448	 	ST	40100878
1050423	3593	1995-01-12	VYDAJ	PREVOD NA UCET	986	45601	 	ST	40100878
1050424	3593	1995-02-12	VYDAJ	PREVOD NA UCET	986	41047	 	ST	40100878
1050425	3593	1995-03-12	VYDAJ	PREVOD NA UCET	986	43375	 	ST	40100878
1050426	3593	1995-04-12	VYDAJ	PREVOD NA UCET	986	42315	 	ST	40100878
1050427	3593	1995-05-12	VYDAJ	PREVOD NA UCET	986	44655	 	ST	40100878
1050428	3593	1995-06-12	VYDAJ	PREVOD NA UCET	986	51194	 	ST	40100878
1050429	3593	1995-07-12	VYDAJ	PREVOD NA UCET	986	43588	 	ST	40100878
1050430	3593	1995-08-12	VYDAJ	PREVOD NA UCET	986	40935	 	ST	40100878
1050431	3593	1995-09-12	VYDAJ	PREVOD NA UCET	986	41968	 	ST	40100878
1050432	3593	1995-10-12	VYDAJ	PREVOD NA UCET	986	39195	 	ST	40100878
1050433	3593	1995-11-12	VYDAJ	PREVOD NA UCET	986	41116	 	ST	40100878
1050434	3593	1995-12-12	VYDAJ	PREVOD NA UCET	986	38420	 	ST	40100878
1050435	3593	1996-01-12	VYDAJ	PREVOD NA UCET	986	39846	 	ST	40100878
1050436	3593	1996-02-12	VYDAJ	PREVOD NA UCET	986	32841	 	ST	40100878
1050437	3593	1996-03-12	VYDAJ	PREVOD NA UCET	986	40925	 	ST	40100878
1050438	3593	1996-04-12	VYDAJ	PREVOD NA UCET	986	43661	 	ST	40100878
1050439	3593	1996-05-12	VYDAJ	PREVOD NA UCET	986	42696	 	ST	40100878
1050440	3593	1996-06-12	VYDAJ	PREVOD NA UCET	986	51830	 	ST	40100878
1050441	3593	1996-07-12	VYDAJ	PREVOD NA UCET	986	47791	 	ST	40100878
1050442	3593	1996-08-12	VYDAJ	PREVOD NA UCET	986	44754	 	ST	40100878
1050443	3593	1996-09-12	VYDAJ	PREVOD NA UCET	986	35032	 	ST	40100878
1050444	3593	1996-10-12	VYDAJ	PREVOD NA UCET	986	39928	 	ST	40100878
1050445	3593	1996-11-12	VYDAJ	PREVOD NA UCET	986	36736	 	ST	40100878
1050446	3593	1996-12-12	VYDAJ	PREVOD NA UCET	986	42030	 	ST	40100878
1050447	3593	1997-01-12	VYDAJ	PREVOD NA UCET	986	29066	 	ST	40100878
1050448	3593	1997-02-12	VYDAJ	PREVOD NA UCET	986	29412	 	ST	40100878
1050449	3593	1997-03-12	VYDAJ	PREVOD NA UCET	986	33176	 	ST	40100878
1050450	3593	1997-04-12	VYDAJ	PREVOD NA UCET	986	30753	 	ST	40100878
1050451	3593	1997-05-12	VYDAJ	PREVOD NA UCET	986	26921	 	ST	40100878
1050452	3593	1997-06-12	VYDAJ	PREVOD NA UCET	986	33565	 	ST	40100878
1050453	3593	1997-07-12	VYDAJ	PREVOD NA UCET	986	29886	 	ST	40100878
1050454	3593	1997-08-12	VYDAJ	PREVOD NA UCET	986	34053	 	ST	40100878
1050455	3593	1997-09-12	VYDAJ	PREVOD NA UCET	986	34430	 	ST	40100878
1050456	3593	1997-10-12	VYDAJ	PREVOD NA UCET	986	29348	 	ST	40100878
1050457	3593	1997-11-12	VYDAJ	PREVOD NA UCET	986	31314	 	ST	40100878
1050458	3593	1997-12-12	VYDAJ	PREVOD NA UCET	986	37575	 	ST	40100878
1050459	3593	1998-01-12	VYDAJ	PREVOD NA UCET	986	29676	 	ST	40100878
1050460	3593	1998-02-12	VYDAJ	PREVOD NA UCET	986	28932	 	ST	40100878
1050461	3593	1998-03-12	VYDAJ	PREVOD NA UCET	986	33089	 	ST	40100878
1050462	3593	1998-04-12	VYDAJ	PREVOD NA UCET	986	33359	 	ST	40100878
1050463	3593	1998-05-12	VYDAJ	PREVOD NA UCET	986	35331	 	ST	40100878
1050464	3593	1998-06-12	VYDAJ	PREVOD NA UCET	986	44803	 	ST	40100878
1050465	3593	1998-07-12	VYDAJ	PREVOD NA UCET	986	36945	 	ST	40100878
1050466	3593	1998-08-12	VYDAJ	PREVOD NA UCET	986	36579	 	ST	40100878
1050467	3593	1998-09-12	VYDAJ	PREVOD NA UCET	986	42768	 	ST	40100878
1050468	3593	1998-10-12	VYDAJ	PREVOD NA UCET	986	45076	 	ST	40100878
1050469	3593	1998-11-12	VYDAJ	PREVOD NA UCET	986	50498	 	ST	40100878
1050470	3593	1998-12-12	VYDAJ	PREVOD NA UCET	986	52784	 	ST	40100878
1050471	3593	1993-12-01	VYDAJ	VYBER	2720	32420	\N	\N	\N
1050472	3593	1994-12-12	VYDAJ	VYBER	4000	49448	\N	\N	\N
1050473	3593	1995-12-10	VYDAJ	VYBER	4320	20250	\N	\N	\N
1050474	3593	1996-12-19	VYDAJ	VYBER	4320	37710	\N	\N	\N
1050475	3593	1997-12-20	VYDAJ	VYBER	1440	36135	\N	\N	\N
1050476	3593	1998-12-13	VYDAJ	VYBER	2560	50224	\N	\N	\N
1050483	3593	1994-01-17	VYDAJ	VYBER	2400	31392	\N	\N	\N
1050484	3593	1994-01-13	VYDAJ	VYBER	3480	39892	\N	\N	\N
1050485	3593	1994-01-01	VYDAJ	VYBER	1200	37535	\N	\N	\N
1050486	3593	1994-01-28	VYDAJ	VYBER	720	27792	\N	\N	\N
1050487	3593	1994-01-19	VYDAJ	VYBER	2880	28512	\N	\N	\N
1050488	3593	1994-01-28	VYDAJ	VYBER	2640	25152	\N	\N	\N
1050489	3593	1995-01-09	VYDAJ	VYBER	1080	35324	\N	\N	\N
1050490	3593	1995-01-29	VYDAJ	VYBER	1800	40321	\N	\N	\N
1050491	3593	1995-01-03	VYDAJ	VYBER	3240	45204	\N	\N	\N
1050492	3593	1995-01-01	VYDAJ	VYBER	1200	48444	\N	\N	\N
1050493	3593	1995-01-25	VYDAJ	VYBER	2280	43321	\N	\N	\N
1050494	3593	1995-01-27	VYDAJ	VYBER	1200	42121	\N	\N	\N
1050495	3593	1996-01-16	VYDAJ	VYBER	2520	34566	\N	\N	\N
1050496	3593	1996-01-13	VYDAJ	VYBER	1920	37926	\N	\N	\N
1050497	3593	1996-01-17	VYDAJ	VYBER	2280	32286	\N	\N	\N
1050498	3593	1996-01-30	VYDAJ	VYBER	1080	27966	\N	\N	\N
1050499	3593	1996-01-24	VYDAJ	VYBER	3240	29046	\N	\N	\N
1050500	3593	1996-01-14	VYDAJ	VYBER	840	37086	\N	\N	\N
1050501	3593	1997-01-01	VYDAJ	VYBER	3120	21309	\N	\N	\N
1050502	3593	1997-01-06	VYDAJ	VYBER	1080	20229	\N	\N	\N
1050503	3593	1997-01-22	VYDAJ	VYBER	1200	25466	\N	\N	\N
1050504	3593	1997-01-12	VYDAJ	VYBER	1440	30052	\N	\N	\N
1050505	3593	1997-01-28	VYDAJ	VYBER	720	19046	\N	\N	\N
1050506	3593	1997-01-22	VYDAJ	VYBER	2400	26666	\N	\N	\N
1050507	3593	1998-01-16	VYDAJ	VYBER	1560	28116	\N	\N	\N
1050508	3593	1998-01-03	VYDAJ	VYBER	3240	22999	\N	\N	\N
1050509	3593	1998-01-19	VYDAJ	VYBER	960	23676	\N	\N	\N
1050510	3593	1998-01-20	VYDAJ	VYBER	600	23076	\N	\N	\N
1050511	3593	1998-01-10	VYDAJ	VYBER	2760	20239	\N	\N	\N
1050512	3593	1998-01-10	VYDAJ	VYBER	840	19399	\N	\N	\N
1050515	3593	1993-11-10	VYDAJ	VYBER	4080	31129	\N	\N	\N
1050516	3593	1993-10-17	VYDAJ	VYBER	3000	35068	\N	\N	\N
1050517	3593	1994-03-06	VYDAJ	VYBER	1440	31419	\N	\N	\N
1050518	3593	1994-01-05	VYDAJ	VYBER	4440	33095	\N	\N	\N
1050519	3593	1994-03-15	VYDAJ	VYBER	720	33076	\N	\N	\N
1050520	3593	1994-03-22	VYDAJ	VYBER	2520	30556	\N	\N	\N
1050521	3593	1994-09-22	VYDAJ	VYBER	4440	42120	\N	\N	\N
1050522	3593	1994-03-25	VYDAJ	VYBER	2640	27916	\N	\N	\N
1050523	3593	1995-12-07	VYDAJ	VYBER	5400	24570	\N	\N	\N
1050524	3593	1995-06-12	VYDAJ	VYBER	3360	47834	\N	\N	\N
1050525	3593	1995-09-23	VYDAJ	VYBER	5280	35968	\N	\N	\N
1050526	3593	1995-09-19	VYDAJ	VYBER	720	41248	\N	\N	\N
1050527	3593	1995-12-21	VYDAJ	VYBER	5280	33140	\N	\N	\N
1050528	3593	1995-02-06	VYDAJ	VYBER	4320	36170	\N	\N	\N
1050529	3593	1996-03-25	VYDAJ	VYBER	2880	38045	\N	\N	\N
1050530	3593	1996-02-04	VYDAJ	VYBER	1320	22564	\N	\N	\N
1050531	3593	1996-09-06	VYDAJ	VYBER	4800	24755	\N	\N	\N
1050532	3593	1996-08-15	VYDAJ	VYBER	4560	40194	\N	\N	\N
1050533	3593	1996-11-06	VYDAJ	VYBER	3600	26459	\N	\N	\N
1050534	3593	1997-10-07	VYDAJ	VYBER	5160	19071	\N	\N	\N
1050536	3593	1997-11-30	VYDAJ	VYBER	4200	19404	\N	\N	\N
1050538	3593	1997-06-15	VYDAJ	VYBER	1440	32125	\N	\N	\N
1050539	3593	1998-06-22	VYDAJ	VYBER	1440	32063	\N	\N	\N
1050540	3593	1998-07-06	VYDAJ	VYBER	5520	26668	\N	\N	\N
1050541	3593	1998-01-17	VYDAJ	VYBER	3480	24636	\N	\N	\N
1050543	3593	1998-07-31	VYDAJ	VYBER	3960	26316	\N	\N	\N
1050544	3593	1998-12-08	VYDAJ	VYBER	5040	34614	\N	\N	\N
1050545	3593	1998-11-18	VYDAJ	VYBER	4200	46298	\N	\N	\N
1050553	3593	1993-07-31	VYDAJ	VYBER	15	43323	SLUZBY	\N	\N
1050554	3593	1993-08-31	VYDAJ	VYBER	15	39465	SLUZBY	\N	\N
1050555	3593	1993-09-30	VYDAJ	VYBER	15	36491	SLUZBY	\N	\N
1050556	3593	1993-10-31	VYDAJ	VYBER	15	35209	SLUZBY	\N	\N
1050557	3593	1993-11-30	VYDAJ	VYBER	15	35140	SLUZBY	\N	\N
1050558	3593	1993-12-31	VYDAJ	VYBER	15	38735	SLUZBY	\N	\N
1050559	3593	1994-01-31	VYDAJ	VYBER	15	25272	SLUZBY	\N	\N
1050560	3593	1994-02-28	VYDAJ	VYBER	15	32859	SLUZBY	\N	\N
1050561	3593	1994-03-31	VYDAJ	VYBER	15	28036	SLUZBY	\N	\N
1050562	3593	1994-04-30	VYDAJ	VYBER	15	31827	SLUZBY	\N	\N
1050563	3593	1994-05-31	VYDAJ	VYBER	15	34230	SLUZBY	\N	\N
1050564	3593	1994-06-30	VYDAJ	VYBER	15	37238	SLUZBY	\N	\N
1050565	3593	1994-07-31	VYDAJ	VYBER	15	37658	SLUZBY	\N	\N
1050566	3593	1994-08-31	VYDAJ	VYBER	15	39283	SLUZBY	\N	\N
1050567	3593	1994-09-30	VYDAJ	VYBER	15	42284	SLUZBY	\N	\N
1050568	3593	1994-10-31	VYDAJ	VYBER	15	45028	SLUZBY	\N	\N
1050570	3593	1994-12-31	VYDAJ	VYBER	15	49644	SLUZBY	\N	\N
1050571	3593	1995-01-31	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
1050572	3593	1995-02-28	VYDAJ	VYBER	15	41198	SLUZBY	\N	\N
1050573	3593	1995-03-31	VYDAJ	VYBER	15	43538	SLUZBY	\N	\N
1050574	3593	1995-04-30	VYDAJ	VYBER	15	42478	SLUZBY	\N	\N
1050575	3593	1995-05-31	VYDAJ	VYBER	15	44823	SLUZBY	\N	\N
1050576	3593	1995-06-30	VYDAJ	VYBER	15	48011	SLUZBY	\N	\N
1050577	3593	1995-07-31	VYDAJ	VYBER	15	43758	SLUZBY	\N	\N
1050578	3593	1995-08-31	VYDAJ	VYBER	15	41091	SLUZBY	\N	\N
1050579	3593	1995-09-30	VYDAJ	VYBER	15	36118	SLUZBY	\N	\N
1050580	3593	1995-10-31	VYDAJ	VYBER	15	39339	SLUZBY	\N	\N
1050581	3593	1995-11-30	VYDAJ	VYBER	15	41270	SLUZBY	\N	\N
1050582	3593	1995-12-31	VYDAJ	VYBER	15	33269	SLUZBY	\N	\N
1050583	3593	1996-01-31	VYDAJ	VYBER	15	28084	SLUZBY	\N	\N
1050584	3593	1996-02-29	VYDAJ	VYBER	15	32948	SLUZBY	\N	\N
1050585	3593	1996-03-31	VYDAJ	VYBER	15	38184	SLUZBY	\N	\N
1050586	3593	1996-04-30	VYDAJ	VYBER	15	43819	SLUZBY	\N	\N
1050587	3593	1996-05-31	VYDAJ	VYBER	15	42859	SLUZBY	\N	\N
1050588	3593	1996-06-30	VYDAJ	VYBER	15	52014	SLUZBY	\N	\N
1050589	3593	1996-07-31	VYDAJ	VYBER	15	47977	SLUZBY	\N	\N
1050590	3593	1996-08-31	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
1050591	3593	1996-09-30	VYDAJ	VYBER	15	35151	SLUZBY	\N	\N
1050592	3593	1996-10-31	VYDAJ	VYBER	15	30059	SLUZBY	\N	\N
1050593	3593	1996-11-30	VYDAJ	VYBER	15	23860	SLUZBY	\N	\N
1050594	3593	1996-12-31	VYDAJ	VYBER	15	24429	SLUZBY	\N	\N
1050595	3593	1997-01-31	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
1050596	3593	1997-02-28	VYDAJ	VYBER	15	22899	SLUZBY	\N	\N
1050597	3593	1997-03-31	VYDAJ	VYBER	15	20476	SLUZBY	\N	\N
1050598	3593	1997-04-30	VYDAJ	VYBER	15	16644	SLUZBY	\N	\N
1050599	3593	1997-05-31	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
1050600	3593	1997-06-30	VYDAJ	VYBER	15	19609	SLUZBY	\N	\N
1050601	3593	1997-07-31	VYDAJ	VYBER	15	23776	SLUZBY	\N	\N
1050602	3593	1997-08-31	VYDAJ	VYBER	15	24153	SLUZBY	\N	\N
1050603	3593	1997-09-30	VYDAJ	VYBER	15	24231	SLUZBY	\N	\N
1050604	3593	1997-10-31	VYDAJ	VYBER	15	21037	SLUZBY	\N	\N
1050605	3593	1997-11-30	VYDAJ	VYBER	15	23604	SLUZBY	\N	\N
1050606	3593	1997-12-31	VYDAJ	VYBER	15	26239	SLUZBY	\N	\N
1050607	3593	1998-01-31	VYDAJ	VYBER	15	18655	SLUZBY	\N	\N
1050608	3593	1998-02-28	VYDAJ	VYBER	15	22812	SLUZBY	\N	\N
1050609	3593	1998-03-31	VYDAJ	VYBER	15	23082	SLUZBY	\N	\N
1050610	3593	1998-04-30	VYDAJ	VYBER	15	25054	SLUZBY	\N	\N
1050611	3593	1998-05-31	VYDAJ	VYBER	15	26633	SLUZBY	\N	\N
1050612	3593	1998-06-30	VYDAJ	VYBER	15	32188	SLUZBY	\N	\N
1050613	3593	1998-07-31	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
1050614	3593	1998-08-31	VYDAJ	VYBER	15	32491	SLUZBY	\N	\N
1050615	3593	1998-09-30	VYDAJ	VYBER	15	34799	SLUZBY	\N	\N
1050616	3593	1998-10-31	VYDAJ	VYBER	15	40221	SLUZBY	\N	\N
1050617	3593	1998-11-30	VYDAJ	VYBER	15	39654	SLUZBY	\N	\N
1050618	3593	1993-03-20	PRIJEM	VKLAD	3900	19887	\N	\N	\N
1050619	3593	1993-04-19	VYDAJ	VYBER	7500	28206	\N	\N	\N
1050620	3593	1993-05-19	VYDAJ	VYBER	12100	31990	\N	\N	\N
1050621	3593	1993-06-18	VYDAJ	VYBER	13600	42194	\N	\N	\N
1050622	3593	1993-07-18	VYDAJ	VYBER	14000	43147	\N	\N	\N
1050623	3593	1993-08-17	VYDAJ	VYBER	14300	39300	\N	\N	\N
1050624	3593	1993-09-16	VYDAJ	VYBER	13400	36342	\N	\N	\N
1050625	3593	1993-10-16	VYDAJ	VYBER	8700	38068	\N	\N	\N
1050626	3593	1993-11-15	VYDAJ	VYBER	6400	35006	\N	\N	\N
1050627	3593	1993-12-15	VYDAJ	VYBER	12000	38590	\N	\N	\N
1050628	3593	1994-01-14	VYDAJ	VYBER	6100	33792	\N	\N	\N
1050629	3593	1994-02-13	VYDAJ	VYBER	2800	32749	\N	\N	\N
1050630	3593	1994-03-15	VYDAJ	VYBER	7900	33796	\N	\N	\N
1050631	3593	1994-04-14	VYDAJ	VYBER	6600	31713	\N	\N	\N
1050632	3593	1994-05-14	VYDAJ	VYBER	8000	34104	\N	\N	\N
1050633	3593	1994-06-13	VYDAJ	VYBER	15300	37101	\N	\N	\N
1050634	3593	1994-07-13	VYDAJ	VYBER	10000	37515	\N	\N	\N
1050635	3593	1994-08-12	VYDAJ	VYBER	8800	40121	\N	\N	\N
1050636	3593	1994-09-11	VYDAJ	VYBER	3000	36283	\N	\N	\N
1050637	3593	1994-10-11	VYDAJ	VYBER	7700	30060	\N	\N	\N
1050638	3593	1994-11-10	VYDAJ	VYBER	9700	35328	\N	\N	\N
1050639	3593	1994-12-10	VYDAJ	VYBER	10500	35277	\N	\N	\N
1050640	3593	1995-01-09	VYDAJ	VYBER	8800	36404	\N	\N	\N
1050641	3593	1995-02-08	VYDAJ	VYBER	5400	30770	\N	\N	\N
1050642	3593	1995-03-10	VYDAJ	VYBER	8100	33098	\N	\N	\N
1050643	3593	1995-04-09	VYDAJ	VYBER	11500	32038	\N	\N	\N
1050644	3593	1995-05-09	VYDAJ	VYBER	8100	34378	\N	\N	\N
1050645	3593	1995-06-08	VYDAJ	VYBER	11800	33023	\N	\N	\N
1050646	3593	1995-07-08	VYDAJ	VYBER	14700	33311	\N	\N	\N
1050647	3593	1995-08-07	VYDAJ	VYBER	13100	30658	\N	\N	\N
1050648	3593	1995-09-06	VYDAJ	VYBER	9400	31691	\N	\N	\N
1050649	3593	1995-10-06	VYDAJ	VYBER	7200	28918	\N	\N	\N
1050650	3593	1995-11-05	VYDAJ	VYBER	8500	30839	\N	\N	\N
1050651	3593	1995-12-05	VYDAJ	VYBER	11300	29970	\N	\N	\N
1050652	3593	1996-01-04	VYDAJ	VYBER	3700	29569	\N	\N	\N
1050653	3593	1996-02-03	VYDAJ	VYBER	4200	23884	\N	\N	\N
1050654	3593	1996-03-04	VYDAJ	VYBER	2300	30648	\N	\N	\N
1050655	3593	1996-04-03	VYDAJ	VYBER	4800	33384	\N	\N	\N
1050656	3593	1996-05-03	VYDAJ	VYBER	11400	32419	\N	\N	\N
1050657	3593	1996-06-02	VYDAJ	VYBER	9200	33659	\N	\N	\N
1050658	3593	1996-07-02	VYDAJ	VYBER	14500	37514	\N	\N	\N
1050659	3593	1996-08-01	VYDAJ	VYBER	13500	34477	\N	\N	\N
1050660	3593	1996-08-31	VYDAJ	VYBER	10800	29569	\N	\N	\N
1050661	3593	1996-09-30	VYDAJ	VYBER	5500	29651	\N	\N	\N
1050662	3593	1996-10-30	VYDAJ	VYBER	10000	29928	\N	\N	\N
1050663	3593	1996-11-29	VYDAJ	VYBER	13000	23736	\N	\N	\N
1050664	3593	1996-12-29	VYDAJ	VYBER	13400	24310	\N	\N	\N
1050665	3593	1997-01-28	VYDAJ	VYBER	5700	19766	\N	\N	\N
1050666	3593	1997-02-27	VYDAJ	VYBER	6600	22812	\N	\N	\N
1050667	3593	1997-03-29	VYDAJ	VYBER	12800	20376	\N	\N	\N
1050668	3593	1997-04-28	VYDAJ	VYBER	14200	16553	\N	\N	\N
1050669	3593	1997-05-28	VYDAJ	VYBER	11600	15321	\N	\N	\N
1050670	3593	1997-06-27	VYDAJ	VYBER	12600	19525	\N	\N	\N
1050671	3593	1997-07-27	VYDAJ	VYBER	6200	23686	\N	\N	\N
1050672	3593	1997-08-26	VYDAJ	VYBER	10000	24053	\N	\N	\N
1050673	3593	1997-09-25	VYDAJ	VYBER	10300	24130	\N	\N	\N
1050674	3593	1997-10-25	VYDAJ	VYBER	8400	20948	\N	\N	\N
1050675	3593	1997-11-24	VYDAJ	VYBER	7800	23514	\N	\N	\N
1050676	3593	1997-12-24	VYDAJ	VYBER	10000	26135	\N	\N	\N
1050677	3593	1998-01-23	VYDAJ	VYBER	4500	18576	\N	\N	\N
1050678	3593	1998-02-22	VYDAJ	VYBER	6200	22732	\N	\N	\N
1050679	3593	1998-03-24	VYDAJ	VYBER	10100	22989	\N	\N	\N
1050680	3593	1998-04-23	VYDAJ	VYBER	8400	24959	\N	\N	\N
1050681	3593	1998-05-23	VYDAJ	VYBER	8800	26531	\N	\N	\N
1050682	3593	1998-06-22	VYDAJ	VYBER	11300	33503	\N	\N	\N
1050683	3593	1998-07-22	VYDAJ	VYBER	6800	30145	\N	\N	\N
1050684	3593	1998-08-21	VYDAJ	VYBER	4200	32379	\N	\N	\N
1050685	3593	1998-09-20	VYDAJ	VYBER	8100	34668	\N	\N	\N
1050686	3593	1998-10-20	VYDAJ	VYBER	5000	40076	\N	\N	\N
1050687	3593	1998-11-19	VYDAJ	VYBER	6800	39498	\N	\N	\N
1050758	3594	1993-12-30	PRIJEM	VKLAD	600	600	\N	\N	\N
1050765	3594	1994-06-26	PRIJEM	VKLAD	6507	45230	\N	\N	\N
1050766	3594	1994-07-01	PRIJEM	VKLAD	32325	68899	\N	\N	\N
1050767	3594	1994-03-24	PRIJEM	VKLAD	49365	112005	\N	\N	\N
1050768	3594	1994-09-23	PRIJEM	VKLAD	42329	87856	\N	\N	\N
1050769	3594	1994-03-29	PRIJEM	VKLAD	43000	159777	\N	\N	\N
1050770	3594	1994-03-07	PRIJEM	VKLAD	17498	62640	\N	\N	\N
1050771	3594	1994-04-22	PRIJEM	VKLAD	21605	45225	\N	\N	\N
1050772	3594	1994-01-07	PRIJEM	VKLAD	23688	24288	\N	\N	\N
1050773	3594	1994-02-05	PRIJEM	VKLAD	20999	47598	\N	\N	\N
1050774	3594	1994-06-10	PRIJEM	VKLAD	6387	38723	\N	\N	\N
1050775	3594	1994-07-06	PRIJEM	VKLAD	28703	94119	\N	\N	\N
1050776	3594	1994-08-15	PRIJEM	VKLAD	16421	78555	\N	\N	\N
1050777	3594	1994-03-29	PRIJEM	VKLAD	35272	116777	\N	\N	\N
1050778	3594	1994-12-01	PRIJEM	VKLAD	41906	66915	\N	\N	\N
1050779	3594	1994-08-07	PRIJEM	VKLAD	6872	60730	\N	\N	\N
1050780	3594	1994-04-27	PRIJEM	VKLAD	31449	76674	\N	\N	\N
1050781	3594	1994-08-13	PRIJEM	VKLAD	49104	109834	\N	\N	\N
1050782	3594	1994-02-24	PRIJEM	VKLAD	18607	66205	\N	\N	\N
1050783	3594	1995-08-12	PRIJEM	VKLAD	20272	92159	\N	\N	\N
1050784	3594	1995-01-15	PRIJEM	VKLAD	6019	25893	\N	\N	\N
1050785	3594	1995-05-03	PRIJEM	VKLAD	24658	86602	\N	\N	\N
1050786	3594	1995-08-12	PRIJEM	VKLAD	7190	71887	\N	\N	\N
1050787	3594	1995-12-23	PRIJEM	VKLAD	5512	45412	\N	\N	\N
1050788	3594	1995-09-10	PRIJEM	VKLAD	17713	104344	\N	\N	\N
1050789	3594	1995-06-27	PRIJEM	VKLAD	35732	85190	\N	\N	\N
1050790	3594	1995-06-23	PRIJEM	VKLAD	24287	60988	\N	\N	\N
1050791	3594	1995-04-15	PRIJEM	VKLAD	46228	67171	\N	\N	\N
1050792	3594	1995-05-10	PRIJEM	VKLAD	40724	123843	\N	\N	\N
1050793	3594	1995-07-09	PRIJEM	VKLAD	31937	113830	\N	\N	\N
1050794	3594	1995-04-22	PRIJEM	VKLAD	27092	94263	\N	\N	\N
1050795	3594	1995-08-04	PRIJEM	VKLAD	44092	103667	\N	\N	\N
1050796	3594	1995-07-12	PRIJEM	VKLAD	45103	99533	\N	\N	\N
1050797	3594	1995-11-26	PRIJEM	VKLAD	13735	73445	\N	\N	\N
1050798	3594	1995-05-01	PRIJEM	VKLAD	19757	61944	\N	\N	\N
1050799	3594	1995-11-25	PRIJEM	VKLAD	36481	59710	\N	\N	\N
1050800	3594	1995-04-13	PRIJEM	VKLAD	7229	20943	\N	\N	\N
1050801	3594	1995-04-24	PRIJEM	VKLAD	38539	127737	\N	\N	\N
1050802	3594	1995-08-05	PRIJEM	VKLAD	24013	127680	\N	\N	\N
1050803	3594	1995-09-05	PRIJEM	VKLAD	38972	90114	\N	\N	\N
1050804	3594	1995-10-08	PRIJEM	VKLAD	22310	69313	\N	\N	\N
1050805	3594	1995-02-13	PRIJEM	VKLAD	18217	35914	\N	\N	\N
1050806	3594	1995-06-25	PRIJEM	VKLAD	11670	49458	\N	\N	\N
1050807	3594	1996-02-25	PRIJEM	VKLAD	20243	69329	\N	\N	\N
1050808	3594	1996-02-23	PRIJEM	VKLAD	37678	49086	\N	\N	\N
1050809	3594	1996-04-08	PRIJEM	VKLAD	45632	110209	\N	\N	\N
1050810	3594	1996-07-02	PRIJEM	VKLAD	14038	55067	\N	\N	\N
1050811	3594	1996-04-01	PRIJEM	VKLAD	38639	68060	\N	\N	\N
1050812	3594	1996-05-17	PRIJEM	VKLAD	48066	129967	\N	\N	\N
1050813	3594	1996-06-09	PRIJEM	VKLAD	47585	79039	\N	\N	\N
1050814	3594	1996-12-17	PRIJEM	VKLAD	17775	30315	\N	\N	\N
1050815	3594	1996-09-18	PRIJEM	VKLAD	37691	62978	\N	\N	\N
1050816	3594	1996-04-27	PRIJEM	VKLAD	43269	99478	\N	\N	\N
1050817	3594	1996-09-14	PRIJEM	VKLAD	38028	53587	\N	\N	\N
1050818	3594	1997-07-20	PRIJEM	VKLAD	13644	16498	\N	\N	\N
1050819	3594	1997-11-14	PRIJEM	VKLAD	15316	17987	\N	\N	\N
1050820	3594	1998-01-02	PRIJEM	VKLAD	25420	40016	\N	\N	\N
1050821	3594	1998-08-10	PRIJEM	VKLAD	19827	24759	\N	\N	\N
1050837	3594	1994-04-05	VYDAJ	PREVOD NA UCET	3483	37120	SIPO	MN	15711051
1050838	3594	1994-05-05	VYDAJ	PREVOD NA UCET	3483	46232	SIPO	MN	15711051
1050839	3594	1994-06-05	VYDAJ	PREVOD NA UCET	3483	32336	SIPO	MN	15711051
1050840	3594	1994-07-05	VYDAJ	PREVOD NA UCET	3483	65416	SIPO	MN	15711051
1050841	3594	1994-08-05	VYDAJ	PREVOD NA UCET	3483	53858	SIPO	MN	15711051
1050842	3594	1994-09-05	VYDAJ	PREVOD NA UCET	3483	45527	SIPO	MN	15711051
1050843	3594	1994-10-05	VYDAJ	PREVOD NA UCET	3483	52083	SIPO	MN	15711051
1050844	3594	1994-11-05	VYDAJ	PREVOD NA UCET	3483	30888	SIPO	MN	15711051
1050845	3594	1994-12-05	VYDAJ	PREVOD NA UCET	3483	61332	SIPO	MN	15711051
1050846	3594	1995-01-05	VYDAJ	PREVOD NA UCET	3483	25274	SIPO	MN	15711051
1050847	3594	1995-02-05	VYDAJ	PREVOD NA UCET	3483	17697	SIPO	MN	15711051
1050848	3594	1995-03-05	VYDAJ	PREVOD NA UCET	3483	18425	SIPO	MN	15711051
1050849	3594	1995-04-05	VYDAJ	PREVOD NA UCET	3483	13714	SIPO	MN	15711051
1050850	3594	1995-05-05	VYDAJ	PREVOD NA UCET	3483	83119	SIPO	MN	15711051
1050851	3594	1995-06-05	VYDAJ	PREVOD NA UCET	3483	36701	SIPO	MN	15711051
1050852	3594	1995-07-05	VYDAJ	PREVOD NA UCET	3483	81893	SIPO	MN	15711051
1050853	3594	1995-08-05	VYDAJ	PREVOD NA UCET	3483	82297	SIPO	MN	15711051
1050854	3594	1995-09-05	VYDAJ	PREVOD NA UCET	3483	86631	SIPO	MN	15711051
1050855	3594	1995-10-05	VYDAJ	PREVOD NA UCET	3483	47003	SIPO	MN	15711051
1050856	3594	1995-11-05	VYDAJ	PREVOD NA UCET	3483	28429	SIPO	MN	15711051
1050857	3594	1995-12-05	VYDAJ	PREVOD NA UCET	3483	70100	SIPO	MN	15711051
1050858	3594	1996-01-05	VYDAJ	PREVOD NA UCET	3483	19525	SIPO	MN	15711051
1050859	3594	1996-02-05	VYDAJ	PREVOD NA UCET	3483	11408	SIPO	MN	15711051
1050860	3594	1996-03-05	VYDAJ	PREVOD NA UCET	3483	57239	SIPO	MN	15711051
1050861	3594	1996-04-05	VYDAJ	PREVOD NA UCET	3483	64577	SIPO	MN	15711051
1050862	3594	1996-05-05	VYDAJ	PREVOD NA UCET	3483	96301	SIPO	MN	15711051
1050863	3594	1996-06-05	VYDAJ	PREVOD NA UCET	3483	31454	SIPO	MN	15711051
1050864	3594	1996-07-05	VYDAJ	PREVOD NA UCET	3483	51584	SIPO	MN	15711051
1050865	3594	1996-08-05	VYDAJ	PREVOD NA UCET	3483	28054	SIPO	MN	15711051
1050866	3594	1996-09-05	VYDAJ	PREVOD NA UCET	3483	15559	SIPO	MN	15711051
1050867	3594	1996-10-05	VYDAJ	PREVOD NA UCET	3483	59651	SIPO	MN	15711051
1050868	3594	1996-11-05	VYDAJ	PREVOD NA UCET	3483	28644	SIPO	MN	15711051
1050869	3594	1996-12-05	VYDAJ	PREVOD NA UCET	3483	12540	SIPO	MN	15711051
1050870	3594	1997-01-05	VYDAJ	PREVOD NA UCET	3483	20001	SIPO	MN	15711051
1050871	3594	1997-02-05	VYDAJ	PREVOD NA UCET	3483	16599	SIPO	MN	15711051
1050872	3594	1997-03-05	VYDAJ	PREVOD NA UCET	3483	13182	SIPO	MN	15711051
1050873	3594	1997-04-05	VYDAJ	PREVOD NA UCET	3483	9751	SIPO	MN	15711051
1050874	3594	1997-05-05	VYDAJ	PREVOD NA UCET	3483	6306	SIPO	MN	15711051
1050875	3594	1997-06-05	VYDAJ	PREVOD NA UCET	3483	2846	SIPO	MN	15711051
1050877	3594	1997-08-05	VYDAJ	PREVOD NA UCET	3483	13011	SIPO	MN	15711051
1050878	3594	1997-09-05	VYDAJ	PREVOD NA UCET	3483	9579	SIPO	MN	15711051
1050879	3594	1997-10-05	VYDAJ	PREVOD NA UCET	3483	6132	SIPO	MN	15711051
1050880	3594	1997-11-05	VYDAJ	PREVOD NA UCET	3483	2671	SIPO	MN	15711051
1050881	3594	1997-12-05	VYDAJ	PREVOD NA UCET	3483	14539	SIPO	MN	15711051
1050882	3594	1998-01-05	VYDAJ	PREVOD NA UCET	3483	36533	SIPO	MN	15711051
1050883	3594	1998-02-05	VYDAJ	PREVOD NA UCET	3483	22037	SIPO	MN	15711051
1050884	3594	1998-03-05	VYDAJ	PREVOD NA UCET	3483	18642	SIPO	MN	15711051
1050885	3594	1998-04-05	VYDAJ	PREVOD NA UCET	3483	15232	SIPO	MN	15711051
1050886	3594	1998-05-05	VYDAJ	PREVOD NA UCET	3483	11808	SIPO	MN	15711051
1050887	3594	1998-06-05	VYDAJ	PREVOD NA UCET	3483	8369	SIPO	MN	15711051
1050888	3594	1998-07-05	VYDAJ	PREVOD NA UCET	3483	4916	SIPO	MN	15711051
1050890	3594	1998-09-05	VYDAJ	PREVOD NA UCET	3483	21280	SIPO	MN	15711051
1050891	3594	1998-10-05	VYDAJ	PREVOD NA UCET	3483	17880	SIPO	MN	15711051
1050892	3594	1998-11-05	VYDAJ	PREVOD NA UCET	3483	14466	SIPO	MN	15711051
1050893	3594	1998-12-05	VYDAJ	PREVOD NA UCET	3483	11038	SIPO	MN	15711051
1050898	3594	1995-04-22	VYBER	VYBER	5065	89198	\N	\N	\N
1050899	3594	1995-12-23	VYBER	VYBER	22630	22782	\N	\N	\N
1050900	3594	1995-09-20	VYBER	VYBER	16261	88083	\N	\N	\N
1050923	3594	1994-12-01	VYDAJ	VYBER	2100	64815	\N	\N	\N
1050924	3594	1995-12-20	VYDAJ	VYBER	4800	65300	\N	\N	\N
1050925	3594	1996-12-22	VYDAJ	VYBER	6900	23415	\N	\N	\N
1050942	3594	1995-01-13	VYDAJ	VYBER	1500	19874	\N	\N	\N
1050943	3594	1995-01-03	VYDAJ	VYBER	5100	28757	\N	\N	\N
1050944	3594	1995-01-01	VYDAJ	VYBER	8100	33857	\N	\N	\N
1050945	3594	1995-01-05	VYDAJ	VYBER	3900	21374	\N	\N	\N
1050961	3594	1998-01-10	VYDAJ	VYBER	5400	25433	\N	\N	\N
1050962	3594	1998-01-08	VYDAJ	VYBER	5700	30833	\N	\N	\N
1050969	3594	1994-04-13	VYDAJ	VYBER	6600	23620	\N	\N	\N
1050970	3594	1994-08-21	VYDAJ	VYBER	2400	76155	\N	\N	\N
1050971	3594	1994-10-08	VYDAJ	VYBER	1500	50583	\N	\N	\N
1050973	3594	1994-04-07	VYDAJ	VYBER	6900	30220	\N	\N	\N
1050975	3594	1995-02-22	VYDAJ	VYBER	10500	25414	\N	\N	\N
1050977	3594	1995-08-16	VYDAJ	VYBER	7500	84659	\N	\N	\N
1050978	3594	1995-10-18	VYDAJ	VYBER	11400	57913	\N	\N	\N
1050979	3594	1995-11-02	VYDAJ	VYBER	2100	31912	\N	\N	\N
1050980	3594	1996-05-16	VYDAJ	VYBER	14400	81901	\N	\N	\N
1050981	3594	1996-02-28	VYDAJ	VYBER	8700	60629	\N	\N	\N
1050982	3594	1996-09-15	VYDAJ	VYBER	4200	37587	\N	\N	\N
1050983	3594	1996-04-18	VYDAJ	VYBER	5100	56209	\N	\N	\N
1050984	3594	1996-09-15	VYDAJ	VYBER	12300	25287	\N	\N	\N
1051010	3594	1994-03-31	VYDAJ	VYBER	15	40603	SLUZBY	\N	\N
1051011	3594	1994-04-30	VYDAJ	VYBER	15	49715	SLUZBY	\N	\N
1051012	3594	1994-05-31	VYDAJ	VYBER	15	35819	SLUZBY	\N	\N
1051013	3594	1994-06-30	VYDAJ	VYBER	15	36574	SLUZBY	\N	\N
1051014	3594	1994-07-31	VYDAJ	VYBER	15	57341	SLUZBY	\N	\N
1051015	3594	1994-08-31	VYDAJ	VYBER	15	49010	SLUZBY	\N	\N
1051016	3594	1994-09-30	VYDAJ	VYBER	15	55566	SLUZBY	\N	\N
1051017	3594	1994-10-31	VYDAJ	VYBER	15	34371	SLUZBY	\N	\N
1051018	3594	1994-11-30	VYDAJ	VYBER	15	25009	SLUZBY	\N	\N
1051019	3594	1994-12-31	VYDAJ	VYBER	15	41957	SLUZBY	\N	\N
1051020	3594	1995-01-31	VYDAJ	VYBER	15	21180	SLUZBY	\N	\N
1051021	3594	1995-02-28	VYDAJ	VYBER	15	21908	SLUZBY	\N	\N
1051022	3594	1995-03-31	VYDAJ	VYBER	15	17197	SLUZBY	\N	\N
1051023	3594	1995-04-30	VYDAJ	VYBER	15	42187	SLUZBY	\N	\N
1051024	3594	1995-05-31	VYDAJ	VYBER	15	40184	SLUZBY	\N	\N
1051025	3594	1995-06-30	VYDAJ	VYBER	15	85376	SLUZBY	\N	\N
1051026	3594	1995-07-31	VYDAJ	VYBER	15	59575	SLUZBY	\N	\N
1051027	3594	1995-08-31	VYDAJ	VYBER	15	51142	SLUZBY	\N	\N
1051028	3594	1995-09-30	VYDAJ	VYBER	15	50486	SLUZBY	\N	\N
1051029	3594	1995-10-31	VYDAJ	VYBER	15	34012	SLUZBY	\N	\N
1051030	3594	1995-11-30	VYDAJ	VYBER	15	73583	SLUZBY	\N	\N
1051031	3594	1995-12-31	VYDAJ	VYBER	15	23008	SLUZBY	\N	\N
1051032	3594	1996-01-31	VYDAJ	VYBER	15	14891	SLUZBY	\N	\N
1051033	3594	1996-02-29	VYDAJ	VYBER	15	60722	SLUZBY	\N	\N
1051034	3594	1996-03-31	VYDAJ	VYBER	15	29421	SLUZBY	\N	\N
1051035	3594	1996-04-30	VYDAJ	VYBER	15	99784	SLUZBY	\N	\N
1051036	3594	1996-05-31	VYDAJ	VYBER	15	34937	SLUZBY	\N	\N
1051037	3594	1996-06-30	VYDAJ	VYBER	15	41029	SLUZBY	\N	\N
1051038	3594	1996-07-31	VYDAJ	VYBER	15	31537	SLUZBY	\N	\N
1051039	3594	1996-08-31	VYDAJ	VYBER	15	19042	SLUZBY	\N	\N
1051040	3594	1996-09-30	VYDAJ	VYBER	15	63134	SLUZBY	\N	\N
1051041	3594	1996-10-31	VYDAJ	VYBER	15	32127	SLUZBY	\N	\N
1051042	3594	1996-11-30	VYDAJ	VYBER	15	16023	SLUZBY	\N	\N
1051043	3594	1996-12-31	VYDAJ	VYBER	15	23484	SLUZBY	\N	\N
1051044	3594	1997-01-31	VYDAJ	VYBER	15	20082	SLUZBY	\N	\N
1051045	3594	1997-02-28	VYDAJ	VYBER	15	16665	SLUZBY	\N	\N
1051046	3594	1997-03-31	VYDAJ	VYBER	15	13234	SLUZBY	\N	\N
1051047	3594	1997-04-30	VYDAJ	VYBER	15	9789	SLUZBY	\N	\N
1051048	3594	1997-05-31	VYDAJ	VYBER	15	6329	SLUZBY	\N	\N
1051049	3594	1997-06-30	VYDAJ	VYBER	15	2854	SLUZBY	\N	\N
1051050	3594	1997-07-31	VYDAJ	VYBER	15	16494	SLUZBY	\N	\N
1051051	3594	1997-08-31	VYDAJ	VYBER	15	13062	SLUZBY	\N	\N
1051052	3594	1997-09-30	VYDAJ	VYBER	15	9615	SLUZBY	\N	\N
1051053	3594	1997-10-31	VYDAJ	VYBER	15	6154	SLUZBY	\N	\N
1051054	3594	1997-11-30	VYDAJ	VYBER	15	18022	SLUZBY	\N	\N
1051055	3594	1997-12-31	VYDAJ	VYBER	15	14596	SLUZBY	\N	\N
1051056	3594	1998-01-31	VYDAJ	VYBER	15	25520	SLUZBY	\N	\N
1051057	3594	1998-02-28	VYDAJ	VYBER	15	22125	SLUZBY	\N	\N
1051058	3594	1998-03-31	VYDAJ	VYBER	15	18715	SLUZBY	\N	\N
1051059	3594	1998-04-30	VYDAJ	VYBER	15	15291	SLUZBY	\N	\N
1051060	3594	1998-05-31	VYDAJ	VYBER	15	11852	SLUZBY	\N	\N
1051061	3594	1998-06-30	VYDAJ	VYBER	15	8399	SLUZBY	\N	\N
1051062	3594	1998-07-31	VYDAJ	VYBER	15	4932	SLUZBY	\N	\N
1051063	3594	1998-08-31	VYDAJ	VYBER	15	24763	SLUZBY	\N	\N
1051064	3594	1998-09-30	VYDAJ	VYBER	15	21363	SLUZBY	\N	\N
1051065	3594	1998-10-31	VYDAJ	VYBER	15	17949	SLUZBY	\N	\N
1051066	3594	1998-11-30	VYDAJ	VYBER	15	14521	SLUZBY	\N	\N
1051067	3594	1994-01-29	PRIJEM	VKLAD	2300	26588	\N	\N	\N
1051068	3594	1994-02-28	VYDAJ	VYBER	21200	45142	\N	\N	\N
1051069	3594	1994-03-24	VYDAJ	VYBER	30500	81505	\N	\N	\N
1051070	3594	1994-03-29	VYDAJ	VYBER	46900	112877	\N	\N	\N
1051071	3594	1994-03-29	VYDAJ	VYBER	53900	58977	\N	\N	\N
1051072	3594	1994-03-30	VYDAJ	VYBER	18600	40377	\N	\N	\N
1051073	3594	1994-04-29	VYDAJ	VYBER	27100	49574	\N	\N	\N
1051074	3594	1994-05-29	VYDAJ	VYBER	10600	35632	\N	\N	\N
1051075	3594	1994-06-28	VYDAJ	VYBER	8800	36430	\N	\N	\N
1051076	3594	1994-07-28	VYDAJ	VYBER	37100	57019	\N	\N	\N
1051077	3594	1994-08-13	VYDAJ	VYBER	47700	62134	\N	\N	\N
1051078	3594	1994-08-27	VYDAJ	VYBER	27400	48755	\N	\N	\N
1051079	3594	1994-09-26	VYDAJ	VYBER	32500	55356	\N	\N	\N
1051080	3594	1994-10-26	VYDAJ	VYBER	16400	34183	\N	\N	\N
1051081	3594	1994-11-25	VYDAJ	VYBER	6000	24888	\N	\N	\N
1051082	3594	1994-12-25	VYDAJ	VYBER	19600	41732	\N	\N	\N
1051083	3594	1995-01-24	VYDAJ	VYBER	4800	21093	\N	\N	\N
1051084	3594	1995-02-23	VYDAJ	VYBER	3600	21814	\N	\N	\N
1051085	3594	1995-03-25	VYDAJ	VYBER	1300	17125	\N	\N	\N
1051086	3594	1995-04-24	VYDAJ	VYBER	57800	42037	\N	\N	\N
1051087	3594	1995-04-24	VYDAJ	VYBER	27900	99837	\N	\N	\N
1051088	3594	1995-05-10	VYDAJ	VYBER	58800	65043	\N	\N	\N
1051089	3594	1995-05-24	VYDAJ	VYBER	25100	39943	\N	\N	\N
1051090	3594	1995-06-23	VYDAJ	VYBER	23200	37788	\N	\N	\N
1051091	3594	1995-07-09	VYDAJ	VYBER	59400	54430	\N	\N	\N
1051092	3594	1995-07-23	VYDAJ	VYBER	40300	59233	\N	\N	\N
1051093	3594	1995-08-05	VYDAJ	VYBER	17600	64697	\N	\N	\N
1051094	3594	1995-08-05	VYDAJ	VYBER	41900	85780	\N	\N	\N
1051095	3594	1995-08-22	VYDAJ	VYBER	33800	50859	\N	\N	\N
1051096	3594	1995-09-21	VYDAJ	VYBER	37900	50183	\N	\N	\N
1051097	3594	1995-10-21	VYDAJ	VYBER	24100	33813	\N	\N	\N
1051098	3594	1995-11-20	VYDAJ	VYBER	5200	23229	\N	\N	\N
1051099	3594	1995-12-20	VYDAJ	VYBER	25400	39900	\N	\N	\N
1051100	3594	1996-01-19	VYDAJ	VYBER	4700	14825	\N	\N	\N
1051101	3594	1996-03-19	VYDAJ	VYBER	28000	29239	\N	\N	\N
1051102	3594	1996-04-18	VYDAJ	VYBER	48900	61309	\N	\N	\N
1051103	3594	1996-05-17	VYDAJ	VYBER	62900	67067	\N	\N	\N
1051104	3594	1996-05-18	VYDAJ	VYBER	32400	34667	\N	\N	\N
1051105	3594	1996-06-17	VYDAJ	VYBER	38200	40839	\N	\N	\N
1051106	3594	1996-07-17	VYDAJ	VYBER	20200	31384	\N	\N	\N
1051107	3594	1996-08-16	VYDAJ	VYBER	9100	18954	\N	\N	\N
1051108	3594	1996-09-15	VYDAJ	VYBER	11800	41787	\N	\N	\N
1051109	3594	1996-10-15	VYDAJ	VYBER	27700	31951	\N	\N	\N
1051110	3594	1996-11-14	VYDAJ	VYBER	12700	15944	\N	\N	\N
1051176	3595	1994-05-01	PRIJEM	VKLAD	700	700	\N	\N	\N
1051181	3595	1994-05-07	PRIJEM	VKLAD	11803	12503	\N	\N	\N
1051182	3595	1994-06-07	PRIJEM	VKLAD	17705	36750	\N	\N	\N
1051183	3595	1994-07-07	PRIJEM	VKLAD	11803	44435	\N	\N	\N
1051184	3595	1994-08-07	PRIJEM	VKLAD	11803	43773	\N	\N	\N
1051185	3595	1994-09-07	PRIJEM	VKLAD	11803	43209	\N	\N	\N
1051186	3595	1994-10-07	PRIJEM	VKLAD	11803	37260	\N	\N	\N
1051187	3595	1994-11-07	PRIJEM	VKLAD	11803	33328	\N	\N	\N
1051188	3595	1994-12-07	PRIJEM	VKLAD	17705	39284	\N	\N	\N
1051189	3595	1995-01-07	PRIJEM	VKLAD	11803	22224	\N	\N	\N
1051190	3595	1995-02-07	PRIJEM	VKLAD	11803	23612	\N	\N	\N
1051191	3595	1995-03-07	PRIJEM	VKLAD	11803	28828	\N	\N	\N
1051192	3595	1995-04-07	PRIJEM	VKLAD	11803	25759	\N	\N	\N
1051193	3595	1995-05-07	PRIJEM	VKLAD	11803	27882	\N	\N	\N
1051194	3595	1995-06-07	PRIJEM	VKLAD	17705	34814	\N	\N	\N
1051195	3595	1995-07-07	PRIJEM	VKLAD	11803	26459	\N	\N	\N
1051196	3595	1995-08-07	PRIJEM	VKLAD	11803	26283	\N	\N	\N
1051197	3595	1995-09-07	PRIJEM	VKLAD	11803	28807	\N	\N	\N
1051198	3595	1995-10-07	PRIJEM	VKLAD	11803	27338	\N	\N	\N
1051199	3595	1995-11-07	PRIJEM	VKLAD	11803	30167	\N	\N	\N
1051200	3595	1995-12-07	PRIJEM	VKLAD	17705	38009	\N	\N	\N
1051201	3595	1996-01-07	PRIJEM	VKLAD	11803	22301	\N	\N	\N
1051202	3595	1996-02-07	PRIJEM	VKLAD	11803	19176	\N	\N	\N
1051203	3595	1996-03-07	PRIJEM	VKLAD	11803	27079	\N	\N	\N
1051204	3595	1996-04-07	PRIJEM	VKLAD	11803	30607	\N	\N	\N
1051205	3595	1996-05-07	PRIJEM	VKLAD	11803	28709	\N	\N	\N
1051206	3595	1996-06-07	PRIJEM	VKLAD	17705	36844	\N	\N	\N
1051207	3595	1996-07-07	PRIJEM	VKLAD	11803	22909	\N	\N	\N
1051208	3595	1996-08-07	PRIJEM	VKLAD	11803	27522	\N	\N	\N
1051209	3595	1996-09-07	PRIJEM	VKLAD	11803	29349	\N	\N	\N
1051210	3595	1996-10-07	PRIJEM	VKLAD	11803	27570	\N	\N	\N
1051211	3595	1996-11-07	PRIJEM	VKLAD	11803	27694	\N	\N	\N
1051212	3595	1996-12-07	PRIJEM	VKLAD	17705	28977	\N	\N	\N
1051213	3595	1997-01-07	PRIJEM	VKLAD	11803	26597	\N	\N	\N
1051214	3595	1997-02-07	PRIJEM	VKLAD	11803	20024	\N	\N	\N
1051215	3595	1997-03-07	PRIJEM	VKLAD	11803	25828	\N	\N	\N
1051216	3595	1997-04-07	PRIJEM	VKLAD	11803	26043	\N	\N	\N
1051217	3595	1997-05-07	PRIJEM	VKLAD	11803	24195	\N	\N	\N
1051218	3595	1997-06-07	PRIJEM	VKLAD	17705	31307	\N	\N	\N
1051219	3595	1997-07-07	PRIJEM	VKLAD	11803	29935	\N	\N	\N
1051220	3595	1997-08-07	PRIJEM	VKLAD	11803	29064	\N	\N	\N
1051221	3595	1997-09-07	PRIJEM	VKLAD	11803	27387	\N	\N	\N
1051222	3595	1997-10-07	PRIJEM	VKLAD	11803	25501	\N	\N	\N
1051223	3595	1997-11-07	PRIJEM	VKLAD	11803	21503	\N	\N	\N
1051224	3595	1997-12-07	PRIJEM	VKLAD	17705	29906	\N	\N	\N
1051225	3595	1998-01-07	PRIJEM	VKLAD	11803	20876	\N	\N	\N
1051226	3595	1998-02-07	PRIJEM	VKLAD	11803	19360	\N	\N	\N
1051227	3595	1998-03-07	PRIJEM	VKLAD	11803	19545	\N	\N	\N
1051228	3595	1998-04-07	PRIJEM	VKLAD	11803	21937	\N	\N	\N
1051229	3595	1998-05-07	PRIJEM	VKLAD	11803	23838	\N	\N	\N
1051230	3595	1998-06-07	PRIJEM	VKLAD	17705	24450	\N	\N	\N
1051231	3595	1998-07-07	PRIJEM	VKLAD	11803	26556	\N	\N	\N
1051232	3595	1998-08-07	PRIJEM	VKLAD	11803	30281	\N	\N	\N
1051233	3595	1998-09-07	PRIJEM	VKLAD	11803	22149	\N	\N	\N
1051234	3595	1998-10-07	PRIJEM	VKLAD	11803	26155	\N	\N	\N
1051235	3595	1998-11-07	PRIJEM	VKLAD	11803	27711	\N	\N	\N
1051236	3595	1998-12-07	PRIJEM	VKLAD	17705	34642	\N	\N	\N
1051246	3595	1994-10-06	VYDAJ	PREVOD NA UCET	7868	25457	SIPO	CD	30129873
1051247	3595	1994-11-06	VYDAJ	PREVOD NA UCET	7868	21525	SIPO	CD	30129873
1051248	3595	1994-12-06	VYDAJ	PREVOD NA UCET	7868	21579	SIPO	CD	30129873
1051249	3595	1995-01-06	VYDAJ	PREVOD NA UCET	7868	10421	SIPO	CD	30129873
1051250	3595	1995-02-06	VYDAJ	PREVOD NA UCET	7868	11809	SIPO	CD	30129873
1051251	3595	1995-03-06	VYDAJ	PREVOD NA UCET	7868	17025	SIPO	CD	30129873
1051252	3595	1995-04-06	VYDAJ	PREVOD NA UCET	7868	13956	SIPO	CD	30129873
1051253	3595	1995-05-06	VYDAJ	PREVOD NA UCET	7868	16079	SIPO	CD	30129873
1051254	3595	1995-06-06	VYDAJ	PREVOD NA UCET	7868	17110	SIPO	CD	30129873
1051255	3595	1995-07-06	VYDAJ	PREVOD NA UCET	7868	14656	SIPO	CD	30129873
1051256	3595	1995-08-06	VYDAJ	PREVOD NA UCET	7868	14480	SIPO	CD	30129873
1051257	3595	1995-09-06	VYDAJ	PREVOD NA UCET	7868	17004	SIPO	CD	30129873
1051258	3595	1995-10-06	VYDAJ	PREVOD NA UCET	7868	15535	SIPO	CD	30129873
1051259	3595	1995-11-06	VYDAJ	PREVOD NA UCET	7868	18364	SIPO	CD	30129873
1051260	3595	1995-12-06	VYDAJ	PREVOD NA UCET	7868	20304	SIPO	CD	30129873
1051261	3595	1996-01-06	VYDAJ	PREVOD NA UCET	7868	10498	SIPO	CD	30129873
1051262	3595	1996-02-06	VYDAJ	PREVOD NA UCET	7868	7373	SIPO	CD	30129873
1051263	3595	1996-03-06	VYDAJ	PREVOD NA UCET	7868	15276	SIPO	CD	30129873
1051264	3595	1996-04-06	VYDAJ	PREVOD NA UCET	7868	18804	SIPO	CD	30129873
1051265	3595	1996-05-06	VYDAJ	PREVOD NA UCET	7868	16906	SIPO	CD	30129873
1051266	3595	1996-06-06	VYDAJ	PREVOD NA UCET	7868	19139	SIPO	CD	30129873
1051267	3595	1996-07-06	VYDAJ	PREVOD NA UCET	7868	11106	SIPO	CD	30129873
1051268	3595	1996-08-06	VYDAJ	PREVOD NA UCET	7868	15719	SIPO	CD	30129873
1051269	3595	1996-09-06	VYDAJ	PREVOD NA UCET	7868	17546	SIPO	CD	30129873
1051270	3595	1996-10-06	VYDAJ	PREVOD NA UCET	7868	15767	SIPO	CD	30129873
1051271	3595	1996-11-06	VYDAJ	PREVOD NA UCET	7868	15891	SIPO	CD	30129873
1051272	3595	1996-12-06	VYDAJ	PREVOD NA UCET	7868	11273	SIPO	CD	30129873
1051273	3595	1997-01-06	VYDAJ	PREVOD NA UCET	7868	14794	SIPO	CD	30129873
1051274	3595	1997-02-06	VYDAJ	PREVOD NA UCET	7868	8221	SIPO	CD	30129873
1051275	3595	1997-03-06	VYDAJ	PREVOD NA UCET	7868	14025	SIPO	CD	30129873
1051276	3595	1997-04-06	VYDAJ	PREVOD NA UCET	7868	14240	SIPO	CD	30129873
1051277	3595	1997-05-06	VYDAJ	PREVOD NA UCET	7868	12392	SIPO	CD	30129873
1051278	3595	1997-06-06	VYDAJ	PREVOD NA UCET	7868	13602	SIPO	CD	30129873
1051279	3595	1997-07-06	VYDAJ	PREVOD NA UCET	7868	18132	SIPO	CD	30129873
1051280	3595	1997-08-06	VYDAJ	PREVOD NA UCET	7868	17261	SIPO	CD	30129873
1051281	3595	1997-09-06	VYDAJ	PREVOD NA UCET	7868	15584	SIPO	CD	30129873
1051282	3595	1997-10-06	VYDAJ	PREVOD NA UCET	7868	13698	SIPO	CD	30129873
1051283	3595	1997-11-06	VYDAJ	PREVOD NA UCET	7868	9700	SIPO	CD	30129873
1051284	3595	1997-12-06	VYDAJ	PREVOD NA UCET	7868	12201	SIPO	CD	30129873
1051285	3595	1998-01-06	VYDAJ	PREVOD NA UCET	7868	9073	SIPO	CD	30129873
1051286	3595	1998-02-06	VYDAJ	PREVOD NA UCET	7868	7557	SIPO	CD	30129873
1051287	3595	1998-03-06	VYDAJ	PREVOD NA UCET	7868	7742	SIPO	CD	30129873
1051288	3595	1998-04-06	VYDAJ	PREVOD NA UCET	7868	10134	SIPO	CD	30129873
1051289	3595	1998-05-06	VYDAJ	PREVOD NA UCET	7868	12035	SIPO	CD	30129873
1051290	3595	1998-06-06	VYDAJ	PREVOD NA UCET	7868	6746	SIPO	CD	30129873
1051291	3595	1998-07-06	VYDAJ	PREVOD NA UCET	7868	14753	SIPO	CD	30129873
1051292	3595	1998-08-06	VYDAJ	PREVOD NA UCET	7868	18478	SIPO	CD	30129873
1051293	3595	1998-09-06	VYDAJ	PREVOD NA UCET	7868	9246	SIPO	CD	30129873
1051294	3595	1998-10-06	VYDAJ	PREVOD NA UCET	7868	14352	SIPO	CD	30129873
1051295	3595	1998-11-06	VYDAJ	PREVOD NA UCET	7868	15908	SIPO	CD	30129873
1051296	3595	1998-12-06	VYDAJ	PREVOD NA UCET	7868	16938	SIPO	CD	30129873
1051298	3595	1995-06-26	VYDAJ	VYBER	5280	22414	\N	\N	\N
1051299	3595	1996-06-24	VYDAJ	VYBER	14080	18864	\N	\N	\N
1051306	3595	1998-01-08	VYDAJ	VYBER	4800	16076	\N	\N	\N
1051307	3595	1994-12-08	VYDAJ	VYBER	3840	35444	\N	\N	\N
1051308	3595	1995-12-18	VYDAJ	VYBER	800	37209	\N	\N	\N
1051309	3595	1996-12-03	VYDAJ	VYBER	3840	19141	\N	\N	\N
1051310	3595	1997-12-21	VYDAJ	VYBER	2560	17706	\N	\N	\N
1051311	3595	1998-12-24	VYDAJ	VYBER	1600	31002	\N	\N	\N
1051318	3595	1995-01-06	VYDAJ	VYBER	840	18289	\N	\N	\N
1051319	3595	1995-01-27	VYDAJ	VYBER	840	20684	\N	\N	\N
1051320	3595	1995-01-28	VYDAJ	VYBER	1080	19604	\N	\N	\N
1051321	3595	1995-01-02	VYDAJ	VYBER	1560	20449	\N	\N	\N
1051322	3595	1995-01-04	VYDAJ	VYBER	1320	19129	\N	\N	\N
1051323	3595	1995-01-24	VYDAJ	VYBER	3000	19224	\N	\N	\N
1051324	3595	1996-01-28	VYDAJ	VYBER	3120	17101	\N	\N	\N
1051325	3595	1996-01-05	VYDAJ	VYBER	2280	18366	\N	\N	\N
1051326	3595	1996-01-11	VYDAJ	VYBER	3480	14621	\N	\N	\N
1051327	3595	1996-01-30	VYDAJ	VYBER	1080	15181	\N	\N	\N
1051328	3595	1996-01-03	VYDAJ	VYBER	3480	20646	\N	\N	\N
1051329	3595	1996-01-29	VYDAJ	VYBER	840	16261	\N	\N	\N
1051330	3595	1997-01-15	VYDAJ	VYBER	3480	22017	\N	\N	\N
1051331	3595	1997-01-18	VYDAJ	VYBER	3480	18537	\N	\N	\N
1051333	3595	1997-01-19	VYDAJ	VYBER	2520	16017	\N	\N	\N
1051334	3595	1997-01-15	VYDAJ	VYBER	1800	25497	\N	\N	\N
1051341	3595	1998-01-03	VYDAJ	VYBER	840	16941	\N	\N	\N
1051342	3595	1994-12-15	VYDAJ	VYBER	3960	31484	\N	\N	\N
1051343	3595	1994-12-16	VYDAJ	VYBER	4680	26804	\N	\N	\N
1051344	3595	1994-12-25	VYDAJ	VYBER	3000	23804	\N	\N	\N
1051347	3595	1995-03-24	VYDAJ	VYBER	3600	25228	\N	\N	\N
1051348	3595	1995-12-24	VYDAJ	VYBER	4800	24009	\N	\N	\N
1051349	3595	1995-06-13	VYDAJ	VYBER	1200	33614	\N	\N	\N
1051350	3595	1995-08-03	VYDAJ	VYBER	600	22348	\N	\N	\N
1051351	3595	1995-06-14	VYDAJ	VYBER	720	32894	\N	\N	\N
1051352	3595	1996-01-07	VYDAJ	VYBER	1320	20981	\N	\N	\N
1051353	3595	1996-04-29	VYDAJ	VYBER	5040	24667	\N	\N	\N
1051354	3595	1996-01-09	VYDAJ	VYBER	2880	18101	\N	\N	\N
1051355	3595	1996-09-09	VYDAJ	VYBER	5400	23949	\N	\N	\N
1051356	3595	1997-12-20	VYDAJ	VYBER	4440	20266	\N	\N	\N
1051357	3595	1997-04-14	VYDAJ	VYBER	2760	23283	\N	\N	\N
1051359	3595	1997-10-15	VYDAJ	VYBER	5040	17501	\N	\N	\N
1051360	3595	1997-10-12	VYDAJ	VYBER	3360	22541	\N	\N	\N
1051361	3595	1998-12-10	VYDAJ	VYBER	2040	32602	\N	\N	\N
1051362	3595	1998-05-16	VYDAJ	VYBER	4680	14558	\N	\N	\N
1051363	3595	1998-12-26	VYDAJ	VYBER	1200	29802	\N	\N	\N
1051364	3595	1998-08-22	VYDAJ	VYBER	5040	17041	\N	\N	\N
1051365	3595	1998-11-03	VYDAJ	VYBER	4560	19176	\N	\N	\N
1051375	3595	1994-09-30	VYDAJ	VYBER	15	33325	SLUZBY	\N	\N
1051376	3595	1994-10-31	VYDAJ	VYBER	15	29393	SLUZBY	\N	\N
1051377	3595	1994-11-30	VYDAJ	VYBER	15	29447	SLUZBY	\N	\N
1051378	3595	1994-12-31	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
1051379	3595	1995-01-31	VYDAJ	VYBER	15	19677	SLUZBY	\N	\N
1051380	3595	1995-02-28	VYDAJ	VYBER	15	24893	SLUZBY	\N	\N
1051381	3595	1995-03-31	VYDAJ	VYBER	15	21824	SLUZBY	\N	\N
1051382	3595	1995-04-30	VYDAJ	VYBER	15	23947	SLUZBY	\N	\N
1051383	3595	1995-05-31	VYDAJ	VYBER	15	24978	SLUZBY	\N	\N
1051384	3595	1995-06-30	VYDAJ	VYBER	15	22524	SLUZBY	\N	\N
1051385	3595	1995-07-31	VYDAJ	VYBER	15	22948	SLUZBY	\N	\N
1051386	3595	1995-08-31	VYDAJ	VYBER	15	24872	SLUZBY	\N	\N
1051387	3595	1995-09-30	VYDAJ	VYBER	15	23403	SLUZBY	\N	\N
1051388	3595	1995-10-31	VYDAJ	VYBER	15	26232	SLUZBY	\N	\N
1051389	3595	1995-11-30	VYDAJ	VYBER	15	28172	SLUZBY	\N	\N
1051390	3595	1995-12-31	VYDAJ	VYBER	15	24126	SLUZBY	\N	\N
1051391	3595	1996-01-31	VYDAJ	VYBER	15	15241	SLUZBY	\N	\N
1051392	3595	1996-02-29	VYDAJ	VYBER	15	23144	SLUZBY	\N	\N
1051393	3595	1996-03-31	VYDAJ	VYBER	15	26672	SLUZBY	\N	\N
1051394	3595	1996-04-30	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
1051395	3595	1996-05-31	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
1051396	3595	1996-06-30	VYDAJ	VYBER	15	18974	SLUZBY	\N	\N
1051397	3595	1996-07-31	VYDAJ	VYBER	15	23587	SLUZBY	\N	\N
1051398	3595	1996-08-31	VYDAJ	VYBER	15	25414	SLUZBY	\N	\N
1051399	3595	1996-09-30	VYDAJ	VYBER	15	23635	SLUZBY	\N	\N
1051400	3595	1996-10-31	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
1051401	3595	1996-11-30	VYDAJ	VYBER	15	22981	SLUZBY	\N	\N
1051402	3595	1996-12-31	VYDAJ	VYBER	15	22662	SLUZBY	\N	\N
1051403	3595	1997-01-31	VYDAJ	VYBER	15	16089	SLUZBY	\N	\N
1051404	3595	1997-02-28	VYDAJ	VYBER	15	21893	SLUZBY	\N	\N
1051405	3595	1997-03-31	VYDAJ	VYBER	15	22108	SLUZBY	\N	\N
1051406	3595	1997-04-30	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
1051407	3595	1997-05-31	VYDAJ	VYBER	15	21470	SLUZBY	\N	\N
1051408	3595	1997-06-30	VYDAJ	VYBER	15	26000	SLUZBY	\N	\N
1051409	3595	1997-07-31	VYDAJ	VYBER	15	25129	SLUZBY	\N	\N
1051410	3595	1997-08-31	VYDAJ	VYBER	15	23452	SLUZBY	\N	\N
1051411	3595	1997-09-30	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
1051412	3595	1997-10-31	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
1051413	3595	1997-11-30	VYDAJ	VYBER	15	20069	SLUZBY	\N	\N
1051414	3595	1997-12-31	VYDAJ	VYBER	15	17781	SLUZBY	\N	\N
1051415	3595	1998-01-31	VYDAJ	VYBER	15	15425	SLUZBY	\N	\N
1051416	3595	1998-02-28	VYDAJ	VYBER	15	15610	SLUZBY	\N	\N
1051417	3595	1998-03-31	VYDAJ	VYBER	15	18002	SLUZBY	\N	\N
1051418	3595	1998-04-30	VYDAJ	VYBER	15	19903	SLUZBY	\N	\N
1051419	3595	1998-05-31	VYDAJ	VYBER	15	14614	SLUZBY	\N	\N
1051420	3595	1998-06-30	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
1051421	3595	1998-07-31	VYDAJ	VYBER	15	26346	SLUZBY	\N	\N
1051422	3595	1998-08-31	VYDAJ	VYBER	15	17114	SLUZBY	\N	\N
1051423	3595	1998-09-30	VYDAJ	VYBER	15	22220	SLUZBY	\N	\N
1051424	3595	1998-10-31	VYDAJ	VYBER	15	23736	SLUZBY	\N	\N
1051425	3595	1998-11-30	VYDAJ	VYBER	15	27806	SLUZBY	\N	\N
1051426	3595	1994-05-31	PRIJEM	VKLAD	6500	19003	\N	\N	\N
1051427	3595	1994-06-30	VYDAJ	VYBER	4200	32632	\N	\N	\N
1051428	3595	1994-07-30	VYDAJ	VYBER	12600	31835	\N	\N	\N
1051429	3595	1994-08-29	VYDAJ	VYBER	12500	31273	\N	\N	\N
1051430	3595	1994-09-28	VYDAJ	VYBER	10000	33209	\N	\N	\N
1051431	3595	1994-10-28	VYDAJ	VYBER	8000	29260	\N	\N	\N
1051432	3595	1994-11-27	VYDAJ	VYBER	4000	29328	\N	\N	\N
1051433	3595	1994-12-27	VYDAJ	VYBER	1900	21904	\N	\N	\N
1051434	3595	1995-01-26	PRIJEM	VKLAD	2300	21524	\N	\N	\N
1051435	3595	1995-02-25	PRIJEM	VKLAD	1200	24812	\N	\N	\N
1051436	3595	1995-03-27	VYDAJ	VYBER	3500	21728	\N	\N	\N
1051437	3595	1995-04-26	VYDAJ	VYBER	1900	23859	\N	\N	\N
1051438	3595	1995-05-26	VYDAJ	VYBER	3000	24882	\N	\N	\N
1051439	3595	1995-06-25	VYDAJ	VYBER	5200	27694	\N	\N	\N
1051440	3595	1995-07-25	VYDAJ	VYBER	3600	22859	\N	\N	\N
1051441	3595	1995-08-24	VYDAJ	VYBER	1500	24783	\N	\N	\N
1051442	3595	1995-09-23	VYDAJ	VYBER	5500	23307	\N	\N	\N
1051443	3595	1995-10-23	VYDAJ	VYBER	1200	26138	\N	\N	\N
1051444	3595	1995-11-22	VYDAJ	VYBER	2100	28067	\N	\N	\N
1051445	3595	1995-12-22	VYDAJ	VYBER	8400	28809	\N	\N	\N
1051446	3595	1996-01-21	PRIJEM	VKLAD	5600	20221	\N	\N	\N
1051447	3595	1996-02-20	PRIJEM	VKLAD	3900	23076	\N	\N	\N
1051448	3595	1996-03-21	VYDAJ	VYBER	500	26579	\N	\N	\N
1051449	3595	1996-04-20	VYDAJ	VYBER	900	29707	\N	\N	\N
1051450	3595	1996-05-20	VYDAJ	VYBER	1800	26909	\N	\N	\N
1051451	3595	1996-06-19	VYDAJ	VYBER	3900	32944	\N	\N	\N
1051452	3595	1996-07-19	PRIJEM	VKLAD	600	23509	\N	\N	\N
1051453	3595	1996-08-18	VYDAJ	VYBER	2200	25322	\N	\N	\N
1051454	3595	1996-09-17	VYDAJ	VYBER	400	23549	\N	\N	\N
1051455	3595	1996-10-17	VYDAJ	VYBER	3900	23670	\N	\N	\N
1051456	3595	1996-11-16	VYDAJ	VYBER	4800	22894	\N	\N	\N
1051457	3595	1996-12-16	VYDAJ	VYBER	6400	22577	\N	\N	\N
1051458	3595	1997-01-15	PRIJEM	VKLAD	700	27297	\N	\N	\N
1051459	3595	1997-02-14	PRIJEM	VKLAD	1800	21824	\N	\N	\N
1051460	3595	1997-03-16	VYDAJ	VYBER	3800	22028	\N	\N	\N
1051461	3595	1997-04-15	VYDAJ	VYBER	3100	20183	\N	\N	\N
1051462	3595	1997-05-15	VYDAJ	VYBER	2800	21395	\N	\N	\N
1051463	3595	1997-06-14	VYDAJ	VYBER	5400	25907	\N	\N	\N
1051464	3595	1997-07-14	VYDAJ	VYBER	4900	25035	\N	\N	\N
1051465	3595	1997-08-13	VYDAJ	VYBER	5700	23364	\N	\N	\N
1051466	3595	1997-09-12	VYDAJ	VYBER	5900	21487	\N	\N	\N
1051467	3595	1997-10-12	PRIJEM	VKLAD	400	25901	\N	\N	\N
1051468	3595	1997-11-11	VYDAJ	VYBER	1500	20003	\N	\N	\N
1051469	3595	1997-12-11	VYDAJ	VYBER	5200	24706	\N	\N	\N
1051470	3595	1998-01-10	VYDAJ	VYBER	700	15376	\N	\N	\N
1051471	3595	1998-02-09	VYDAJ	VYBER	3800	15560	\N	\N	\N
1051472	3595	1998-03-11	VYDAJ	VYBER	1600	17945	\N	\N	\N
1051473	3595	1998-04-10	VYDAJ	VYBER	2100	19837	\N	\N	\N
1051474	3595	1998-05-10	VYDAJ	VYBER	4600	19238	\N	\N	\N
1051475	3595	1998-06-09	VYDAJ	VYBER	1900	22550	\N	\N	\N
1051476	3595	1998-07-09	VYDAJ	VYBER	300	26256	\N	\N	\N
1051477	3595	1998-08-08	VYDAJ	VYBER	8200	22081	\N	\N	\N
1051478	3595	1998-09-07	PRIJEM	VKLAD	1100	10346	\N	\N	\N
1051479	3595	1998-10-07	VYDAJ	VYBER	2500	23655	\N	\N	\N
1051480	3595	1998-11-06	PRIJEM	VKLAD	4600	23776	\N	\N	\N
1051481	3595	1998-12-06	VYDAJ	VYBER	3000	24806	\N	\N	\N
1051538	3596	1996-04-23	PRIJEM	VKLAD	500	500	\N	\N	\N
1051543	3596	1996-05-07	PRIJEM	VKLAD	18465	18965	\N	\N	\N
1051544	3596	1996-06-07	PRIJEM	VKLAD	27698	52593	\N	\N	\N
1051545	3596	1996-07-07	PRIJEM	VKLAD	18465	60482	\N	\N	\N
1051546	3596	1996-08-07	PRIJEM	VKLAD	18465	64327	\N	\N	\N
1051547	3596	1996-09-07	PRIJEM	VKLAD	18465	64182	\N	\N	\N
1051548	3596	1996-10-07	PRIJEM	VKLAD	18465	61382	\N	\N	\N
1051549	3596	1996-11-07	PRIJEM	VKLAD	18465	64416	\N	\N	\N
1051550	3596	1996-12-07	PRIJEM	VKLAD	27698	73690	\N	\N	\N
1051551	3596	1997-01-07	PRIJEM	VKLAD	18465	57193	\N	\N	\N
1051552	3596	1997-02-07	PRIJEM	VKLAD	18465	55277	\N	\N	\N
1051553	3596	1997-03-07	PRIJEM	VKLAD	18465	56481	\N	\N	\N
1051554	3596	1997-04-07	PRIJEM	VKLAD	18465	59005	\N	\N	\N
1051555	3596	1997-05-07	PRIJEM	VKLAD	18465	58569	\N	\N	\N
1051556	3596	1997-06-07	PRIJEM	VKLAD	27698	73960	\N	\N	\N
1051557	3596	1997-07-07	PRIJEM	VKLAD	18465	64664	\N	\N	\N
1051558	3596	1997-08-07	PRIJEM	VKLAD	18465	66672	\N	\N	\N
1051559	3596	1997-09-07	PRIJEM	VKLAD	18465	68126	\N	\N	\N
1051560	3596	1997-10-07	PRIJEM	VKLAD	18465	72492	\N	\N	\N
1051561	3596	1997-11-07	PRIJEM	VKLAD	18465	74872	\N	\N	\N
1051562	3596	1997-12-07	PRIJEM	VKLAD	27698	81784	\N	\N	\N
1051563	3596	1998-01-07	PRIJEM	VKLAD	18465	77270	\N	\N	\N
1051564	3596	1998-02-07	PRIJEM	VKLAD	18465	56077	\N	\N	\N
1051565	3596	1998-03-07	PRIJEM	VKLAD	18465	53938	\N	\N	\N
1051566	3596	1998-04-07	PRIJEM	VKLAD	18465	61876	\N	\N	\N
1051567	3596	1998-05-07	PRIJEM	VKLAD	18465	66318	\N	\N	\N
1051568	3596	1998-06-07	PRIJEM	VKLAD	27698	77804	\N	\N	\N
1051569	3596	1998-07-07	PRIJEM	VKLAD	18465	50843	\N	\N	\N
1051570	3596	1998-08-07	PRIJEM	VKLAD	18465	61957	\N	\N	\N
1051571	3596	1998-09-07	PRIJEM	VKLAD	18465	61369	\N	\N	\N
1051572	3596	1998-10-07	PRIJEM	VKLAD	18465	63302	\N	\N	\N
1051573	3596	1998-11-07	PRIJEM	VKLAD	18465	68215	\N	\N	\N
1051574	3596	1998-12-07	PRIJEM	VKLAD	27698	76189	\N	\N	\N
1051576	3596	1997-06-19	VYDAJ	VYBER	6240	46020	\N	\N	\N
1051577	3596	1998-06-14	VYDAJ	VYBER	18560	37744	\N	\N	\N
1051579	3596	1997-01-02	VYDAJ	VYBER	11360	38728	\N	\N	\N
1051580	3596	1998-01-13	VYDAJ	VYBER	15360	59990	\N	\N	\N
1051587	3596	1997-01-30	VYDAJ	VYBER	1320	36633	\N	\N	\N
1051588	3596	1997-01-19	VYDAJ	VYBER	720	38553	\N	\N	\N
1051589	3596	1997-01-16	VYDAJ	VYBER	2040	53353	\N	\N	\N
1051590	3596	1997-01-18	VYDAJ	VYBER	2880	39273	\N	\N	\N
1051591	3596	1997-01-09	VYDAJ	VYBER	1800	55393	\N	\N	\N
1051592	3596	1997-01-23	VYDAJ	VYBER	600	37953	\N	\N	\N
1051593	3596	1998-01-13	VYDAJ	VYBER	2640	44250	\N	\N	\N
1051594	3596	1998-01-25	VYDAJ	VYBER	600	37410	\N	\N	\N
1051595	3596	1998-01-19	VYDAJ	VYBER	1800	42450	\N	\N	\N
1051596	3596	1998-01-11	VYDAJ	VYBER	1920	75350	\N	\N	\N
1051597	3596	1998-01-23	VYDAJ	VYBER	1560	40890	\N	\N	\N
1051598	3596	1998-01-25	VYDAJ	VYBER	2880	38010	\N	\N	\N
1051600	3596	1996-09-29	VYDAJ	VYBER	3240	42742	\N	\N	\N
1051602	3596	1996-12-08	VYDAJ	VYBER	4920	68770	\N	\N	\N
1051605	3596	1997-03-14	VYDAJ	VYBER	1560	54921	\N	\N	\N
1051606	3596	1997-07-21	VYDAJ	VYBER	2640	48024	\N	\N	\N
1051607	3596	1997-03-17	VYDAJ	VYBER	2640	52281	\N	\N	\N
1051608	3596	1997-05-03	VYDAJ	VYBER	3360	40104	\N	\N	\N
1051609	3596	1997-02-12	VYDAJ	VYBER	3600	51677	\N	\N	\N
1051610	3596	1997-02-28	VYDAJ	VYBER	4920	38031	\N	\N	\N
1051611	3596	1998-03-05	VYDAJ	VYBER	4080	35473	\N	\N	\N
1051612	3596	1998-08-18	VYDAJ	VYBER	4320	42737	\N	\N	\N
1051613	3596	1998-06-15	VYDAJ	VYBER	5520	32224	\N	\N	\N
1051614	3596	1998-11-15	VYDAJ	VYBER	4920	48295	\N	\N	\N
1051615	3596	1998-12-21	VYDAJ	VYBER	4320	49569	\N	\N	\N
1051616	3596	1998-03-02	VYDAJ	VYBER	4080	39553	\N	\N	\N
1051617	3596	1998-11-03	VYDAJ	VYBER	840	49750	\N	\N	\N
1051627	3596	1996-09-30	VYDAJ	VYBER	15	42917	SLUZBY	\N	\N
1051628	3596	1996-10-31	VYDAJ	VYBER	15	45951	SLUZBY	\N	\N
1051629	3596	1996-11-30	VYDAJ	VYBER	15	45993	SLUZBY	\N	\N
1051630	3596	1996-12-31	VYDAJ	VYBER	15	50088	SLUZBY	\N	\N
1051631	3596	1997-01-31	VYDAJ	VYBER	15	36812	SLUZBY	\N	\N
1051632	3596	1997-02-28	VYDAJ	VYBER	15	38016	SLUZBY	\N	\N
1051633	3596	1997-03-31	VYDAJ	VYBER	15	40540	SLUZBY	\N	\N
1051634	3596	1997-04-30	VYDAJ	VYBER	15	43464	SLUZBY	\N	\N
1051635	3596	1997-05-31	VYDAJ	VYBER	15	46263	SLUZBY	\N	\N
1051636	3596	1997-06-30	VYDAJ	VYBER	15	46199	SLUZBY	\N	\N
1051637	3596	1997-07-31	VYDAJ	VYBER	15	48207	SLUZBY	\N	\N
1051638	3596	1997-08-31	VYDAJ	VYBER	15	49661	SLUZBY	\N	\N
1051639	3596	1997-09-30	VYDAJ	VYBER	15	54027	SLUZBY	\N	\N
1051640	3596	1997-10-31	VYDAJ	VYBER	15	56407	SLUZBY	\N	\N
1051641	3596	1997-11-30	VYDAJ	VYBER	15	54086	SLUZBY	\N	\N
1051642	3596	1997-12-31	VYDAJ	VYBER	15	58805	SLUZBY	\N	\N
1051643	3596	1998-01-31	VYDAJ	VYBER	15	37612	SLUZBY	\N	\N
1051644	3596	1998-02-28	VYDAJ	VYBER	15	43633	SLUZBY	\N	\N
1051645	3596	1998-03-31	VYDAJ	VYBER	15	43411	SLUZBY	\N	\N
1051646	3596	1998-04-30	VYDAJ	VYBER	15	47853	SLUZBY	\N	\N
1051647	3596	1998-05-31	VYDAJ	VYBER	15	50107	SLUZBY	\N	\N
1051648	3596	1998-06-30	VYDAJ	VYBER	15	32378	SLUZBY	\N	\N
1051649	3596	1998-07-31	VYDAJ	VYBER	15	43492	SLUZBY	\N	\N
1051650	3596	1998-08-31	VYDAJ	VYBER	15	42904	SLUZBY	\N	\N
1051651	3596	1998-09-30	VYDAJ	VYBER	15	44837	SLUZBY	\N	\N
1051652	3596	1998-10-31	VYDAJ	VYBER	15	50590	SLUZBY	\N	\N
1051653	3596	1998-11-30	VYDAJ	VYBER	15	48492	SLUZBY	\N	\N
1051654	3596	1996-05-23	PRIJEM	VKLAD	5900	24865	\N	\N	\N
1051655	3596	1996-06-22	VYDAJ	VYBER	10700	41893	\N	\N	\N
1051656	3596	1996-07-22	VYDAJ	VYBER	14800	45682	\N	\N	\N
1051657	3596	1996-08-21	VYDAJ	VYBER	18800	45527	\N	\N	\N
1051658	3596	1996-09-20	VYDAJ	VYBER	18200	45982	\N	\N	\N
1051659	3596	1996-10-20	VYDAJ	VYBER	15600	45782	\N	\N	\N
1051660	3596	1996-11-19	VYDAJ	VYBER	18600	45816	\N	\N	\N
1051661	3596	1996-12-19	VYDAJ	VYBER	18900	49870	\N	\N	\N
1051662	3596	1997-01-18	VYDAJ	VYBER	11200	42153	\N	\N	\N
1051663	3596	1997-02-17	VYDAJ	VYBER	8900	42777	\N	\N	\N
1051664	3596	1997-03-19	VYDAJ	VYBER	11900	40381	\N	\N	\N
1051665	3596	1997-04-18	VYDAJ	VYBER	15700	43305	\N	\N	\N
1051666	3596	1997-05-18	VYDAJ	VYBER	12500	46069	\N	\N	\N
1051667	3596	1997-06-17	VYDAJ	VYBER	21700	52260	\N	\N	\N
1051668	3596	1997-07-17	VYDAJ	VYBER	14000	50664	\N	\N	\N
1051669	3596	1997-08-16	VYDAJ	VYBER	17200	49472	\N	\N	\N
1051670	3596	1997-09-15	VYDAJ	VYBER	14300	53826	\N	\N	\N
1051671	3596	1997-10-15	VYDAJ	VYBER	16300	56192	\N	\N	\N
1051672	3596	1997-11-14	VYDAJ	VYBER	21000	53872	\N	\N	\N
1051673	3596	1997-12-14	VYDAJ	VYBER	23200	58584	\N	\N	\N
1051674	3596	1998-01-13	VYDAJ	VYBER	13100	46890	\N	\N	\N
1051675	3596	1998-02-12	VYDAJ	VYBER	12600	43477	\N	\N	\N
1051676	3596	1998-03-14	VYDAJ	VYBER	10700	43238	\N	\N	\N
1051677	3596	1998-04-13	VYDAJ	VYBER	14200	47676	\N	\N	\N
1051678	3596	1998-05-13	VYDAJ	VYBER	16400	49918	\N	\N	\N
1051679	3596	1998-06-12	VYDAJ	VYBER	21500	56304	\N	\N	\N
1051680	3596	1998-07-12	VYDAJ	VYBER	7500	43343	\N	\N	\N
1051681	3596	1998-08-11	VYDAJ	VYBER	14900	47057	\N	\N	\N
1051682	3596	1998-09-10	VYDAJ	VYBER	16700	44669	\N	\N	\N
1051683	3596	1998-10-10	VYDAJ	VYBER	12900	50402	\N	\N	\N
1051684	3596	1998-11-09	VYDAJ	VYBER	15000	53215	\N	\N	\N
1051685	3596	1998-12-09	VYDAJ	VYBER	22300	53889	\N	\N	\N
1051718	3597	1996-02-11	PRIJEM	VKLAD	500	500	\N	\N	\N
1051719	3597	1996-07-21	PRIJEM	VKLAD	23742	58769	\N	\N	\N
1051720	3597	1996-10-09	PRIJEM	VKLAD	29724	71296	\N	\N	\N
1051721	3597	1996-09-12	PRIJEM	VKLAD	12777	61744	\N	\N	\N
1051722	3597	1996-04-05	PRIJEM	VKLAD	10685	23285	\N	\N	\N
1051723	3597	1996-10-23	PRIJEM	VKLAD	18280	100543	\N	\N	\N
1051724	3597	1996-08-30	PRIJEM	VKLAD	31934	73493	\N	\N	\N
1051725	3597	1996-11-20	PRIJEM	VKLAD	45011	97179	\N	\N	\N
1051726	3597	1996-07-22	PRIJEM	VKLAD	6935	65704	\N	\N	\N
1051727	3597	1996-10-14	PRIJEM	VKLAD	39767	111063	\N	\N	\N
1051728	3597	1996-04-21	PRIJEM	VKLAD	47476	70761	\N	\N	\N
1051729	3597	1996-05-17	PRIJEM	VKLAD	24271	71830	\N	\N	\N
1051730	3597	1997-03-17	PRIJEM	VKLAD	18953	85594	\N	\N	\N
1051731	3597	1997-10-21	PRIJEM	VKLAD	45956	94097	\N	\N	\N
1051732	3597	1997-10-12	PRIJEM	VKLAD	29098	68847	\N	\N	\N
1051733	3597	1997-03-24	PRIJEM	VKLAD	35945	93042	\N	\N	\N
1051734	3597	1997-11-05	PRIJEM	VKLAD	17159	61549	\N	\N	\N
1051735	3597	1997-06-04	PRIJEM	VKLAD	46902	89632	\N	\N	\N
1051736	3597	1997-01-29	PRIJEM	VKLAD	11461	41556	\N	\N	\N
1051737	3597	1997-08-04	PRIJEM	VKLAD	46879	143573	\N	\N	\N
1051738	3597	1997-05-01	PRIJEM	VKLAD	22619	96249	\N	\N	\N
1051739	3597	1997-07-19	PRIJEM	VKLAD	24543	56748	\N	\N	\N
1051740	3597	1997-02-03	PRIJEM	VKLAD	21743	56062	\N	\N	\N
1051741	3597	1997-10-24	PRIJEM	VKLAD	17997	112094	\N	\N	\N
1051742	3597	1997-03-10	PRIJEM	VKLAD	19887	66641	\N	\N	\N
1051743	3597	1997-12-11	PRIJEM	VKLAD	19860	66820	\N	\N	\N
1051744	3597	1997-09-25	PRIJEM	VKLAD	23756	113202	\N	\N	\N
1051745	3597	1997-02-09	PRIJEM	VKLAD	28597	71325	\N	\N	\N
1051746	3597	1997-05-05	PRIJEM	VKLAD	47656	143905	\N	\N	\N
1051747	3597	1997-11-25	PRIJEM	VKLAD	21095	79510	\N	\N	\N
1051748	3597	1997-07-24	PRIJEM	VKLAD	46701	103449	\N	\N	\N
1051749	3597	1997-06-14	PRIJEM	VKLAD	26495	82193	\N	\N	\N
1051750	3597	1997-08-07	PRIJEM	VKLAD	41261	98334	\N	\N	\N
1051751	3597	1997-09-19	PRIJEM	VKLAD	31261	89446	\N	\N	\N
1051752	3597	1997-04-07	PRIJEM	VKLAD	27671	82967	\N	\N	\N
1051753	3597	1998-09-02	PRIJEM	VKLAD	9069	65962	\N	\N	\N
1051754	3597	1998-11-25	PRIJEM	VKLAD	12529	73433	\N	\N	\N
1051755	3597	1998-03-16	PRIJEM	VKLAD	14281	44040	\N	\N	\N
1051756	3597	1998-04-16	PRIJEM	VKLAD	13050	43812	\N	\N	\N
1051757	3597	1998-01-05	PRIJEM	VKLAD	6511	62007	\N	\N	\N
1051758	3597	1998-07-16	PRIJEM	VKLAD	10995	94969	\N	\N	\N
1051759	3597	1998-01-13	PRIJEM	VKLAD	13876	72749	\N	\N	\N
1051760	3597	1998-09-19	PRIJEM	VKLAD	40040	96868	\N	\N	\N
1051761	3597	1998-07-02	PRIJEM	VKLAD	30085	50451	\N	\N	\N
1051762	3597	1998-07-17	PRIJEM	VKLAD	49177	144146	\N	\N	\N
1051763	3597	1998-06-15	PRIJEM	VKLAD	6700	26764	\N	\N	\N
1051764	3597	1998-01-04	PRIJEM	VKLAD	13109	55496	\N	\N	\N
1051765	3597	1998-07-07	PRIJEM	VKLAD	36657	87108	\N	\N	\N
1051766	3597	1998-04-17	PRIJEM	VKLAD	8885	52697	\N	\N	\N
1051767	3597	1998-11-19	PRIJEM	VKLAD	9032	27111	\N	\N	\N
1051768	3597	1998-11-21	PRIJEM	VKLAD	33793	60904	\N	\N	\N
1051769	3597	1998-08-18	PRIJEM	VKLAD	40050	104064	\N	\N	\N
1051813	3597	1996-08-07	VYDAJ	PREVOD NA UCET	3134	62759	SIPO	EF	46205991
1051814	3597	1996-09-07	VYDAJ	PREVOD NA UCET	3134	70467	SIPO	EF	46205991
1051815	3597	1996-10-07	VYDAJ	PREVOD NA UCET	3134	58772	SIPO	EF	46205991
1051816	3597	1996-11-07	VYDAJ	PREVOD NA UCET	3134	59841	SIPO	EF	46205991
1051817	3597	1996-12-07	VYDAJ	PREVOD NA UCET	3134	60778	SIPO	EF	46205991
1051818	3597	1997-01-07	VYDAJ	PREVOD NA UCET	3134	30095	SIPO	EF	46205991
1051819	3597	1997-02-07	VYDAJ	PREVOD NA UCET	3134	42728	SIPO	EF	46205991
1051820	3597	1997-03-07	VYDAJ	PREVOD NA UCET	3134	51250	SIPO	EF	46205991
1051821	3597	1997-04-07	VYDAJ	PREVOD NA UCET	3134	79833	SIPO	EF	46205991
1051822	3597	1997-05-07	VYDAJ	PREVOD NA UCET	3134	68871	SIPO	EF	46205991
1051823	3597	1997-06-07	VYDAJ	PREVOD NA UCET	3134	55698	SIPO	EF	46205991
1051824	3597	1997-07-07	VYDAJ	PREVOD NA UCET	3134	32205	SIPO	EF	46205991
1051825	3597	1997-08-07	VYDAJ	PREVOD NA UCET	3134	95200	SIPO	EF	46205991
1051826	3597	1997-09-07	VYDAJ	PREVOD NA UCET	3134	58185	SIPO	EF	46205991
1051827	3597	1997-10-07	VYDAJ	PREVOD NA UCET	3134	39749	SIPO	EF	46205991
1051828	3597	1997-11-07	VYDAJ	PREVOD NA UCET	3134	58415	SIPO	EF	46205991
1051829	3597	1997-12-07	VYDAJ	PREVOD NA UCET	3134	46960	SIPO	EF	46205991
1051830	3597	1998-01-07	VYDAJ	PREVOD NA UCET	3134	58873	SIPO	EF	46205991
1051831	3597	1998-02-07	VYDAJ	PREVOD NA UCET	3134	41679	SIPO	EF	46205991
1051832	3597	1998-03-07	VYDAJ	PREVOD NA UCET	3134	29759	SIPO	EF	46205991
1051833	3597	1998-04-07	VYDAJ	PREVOD NA UCET	3134	33462	SIPO	EF	46205991
1051834	3597	1998-05-07	VYDAJ	PREVOD NA UCET	3134	32748	SIPO	EF	46205991
1051835	3597	1998-06-07	VYDAJ	PREVOD NA UCET	3134	20064	SIPO	EF	46205991
1051836	3597	1998-07-07	VYDAJ	PREVOD NA UCET	3134	83974	SIPO	EF	46205991
1051837	3597	1998-08-07	VYDAJ	PREVOD NA UCET	3134	64014	SIPO	EF	46205991
1051838	3597	1998-09-07	VYDAJ	PREVOD NA UCET	3134	59528	SIPO	EF	46205991
1051839	3597	1998-10-07	VYDAJ	PREVOD NA UCET	3134	47221	SIPO	EF	46205991
1051840	3597	1998-11-07	VYDAJ	PREVOD NA UCET	3134	18079	SIPO	EF	46205991
1051841	3597	1998-12-07	VYDAJ	PREVOD NA UCET	3134	31931	SIPO	EF	46205991
1051843	3597	1996-11-11	VYBER	VYBER	7673	52168	\N	\N	\N
1051846	3597	1997-11-03	VYBER	VYBER	18296	44390	\N	\N	\N
1051847	3597	1997-04-26	VYBER	VYBER	6446	73387	\N	\N	\N
1051848	3597	1997-03-08	VYBER	VYBER	4496	46754	\N	\N	\N
1051849	3597	1997-10-20	VYBER	VYBER	20706	48141	\N	\N	\N
1051850	3597	1997-07-04	VYBER	VYBER	21978	42539	\N	\N	\N
1051851	3597	1997-05-11	VYBER	VYBER	8345	60526	\N	\N	\N
1051852	3597	1997-03-21	VYBER	VYBER	16395	69199	\N	\N	\N
1051853	3597	1997-03-22	VYBER	VYBER	12102	57097	\N	\N	\N
1051854	3597	1997-01-31	VYBER	VYBER	7271	34419	\N	\N	\N
1051855	3597	1997-11-27	VYBER	VYBER	3581	75929	\N	\N	\N
1051856	3597	1997-05-16	VYBER	VYBER	17929	42597	\N	\N	\N
1051857	3597	1997-06-24	VYBER	VYBER	11552	70641	\N	\N	\N
1051858	3597	1997-04-02	VYBER	VYBER	11156	82096	\N	\N	\N
1051864	3597	1998-01-22	VYDAJ	VYBER	12300	60449	\N	\N	\N
1051865	3597	1996-12-30	VYDAJ	VYBER	3000	35878	\N	\N	\N
1051866	3597	1997-12-24	VYDAJ	VYBER	6900	59920	\N	\N	\N
1051867	3597	1998-12-29	VYDAJ	VYBER	6600	25331	\N	\N	\N
1051870	3597	1996-12-26	VYDAJ	VYBER	14400	38878	\N	\N	\N
1051873	3597	1996-12-13	VYDAJ	VYBER	7500	53278	\N	\N	\N
1051874	3597	1997-06-24	VYDAJ	VYBER	6300	64341	\N	\N	\N
1051875	3597	1997-09-02	VYDAJ	VYBER	5400	90119	\N	\N	\N
1051876	3597	1997-08-01	VYDAJ	VYBER	6900	96694	\N	\N	\N
1051878	3597	1998-02-20	VYDAJ	VYBER	9000	32679	\N	\N	\N
1051879	3597	1998-09-14	VYDAJ	VYBER KARTOU	2700	56828	\N	\N	0
1051881	3597	1998-09-04	VYDAJ	VYBER KARTOU	3300	62662	\N	\N	0
1051882	3597	1998-04-15	VYDAJ	VYBER KARTOU	2700	30762	\N	\N	0
1051890	3597	1996-07-31	VYDAJ	VYBER	100	65893	SLUZBY	\N	\N
1051891	3597	1996-08-31	VYDAJ	VYBER	100	73601	SLUZBY	\N	\N
1051892	3597	1996-09-30	VYDAJ	VYBER	100	61906	SLUZBY	\N	\N
1051893	3597	1996-10-31	VYDAJ	VYBER	100	100775	SLUZBY	\N	\N
1051894	3597	1996-11-30	VYDAJ	VYBER	100	97412	SLUZBY	\N	\N
1051895	3597	1996-12-31	VYDAJ	VYBER	100	36029	SLUZBY	\N	\N
1051896	3597	1997-01-31	VYDAJ	VYBER	100	34319	SLUZBY	\N	\N
1051897	3597	1997-02-28	VYDAJ	VYBER	100	71484	SLUZBY	\N	\N
1051898	3597	1997-03-31	VYDAJ	VYBER	100	93252	SLUZBY	\N	\N
1051899	3597	1997-04-30	VYDAJ	VYBER	100	73630	SLUZBY	\N	\N
1051900	3597	1997-05-31	VYDAJ	VYBER	100	42730	SLUZBY	\N	\N
1051901	3597	1997-06-30	VYDAJ	VYBER	100	64517	SLUZBY	\N	\N
1051902	3597	1997-07-31	VYDAJ	VYBER	100	103594	SLUZBY	\N	\N
1051903	3597	1997-08-31	VYDAJ	VYBER	100	95519	SLUZBY	\N	\N
1051904	3597	1997-09-30	VYDAJ	VYBER	100	59883	SLUZBY	\N	\N
1051905	3597	1997-10-31	VYDAJ	VYBER	100	92686	SLUZBY	\N	\N
1051906	3597	1997-11-30	VYDAJ	VYBER	100	76094	SLUZBY	\N	\N
1051907	3597	1997-12-31	VYDAJ	VYBER	100	60087	SLUZBY	\N	\N
1051908	3597	1998-01-31	VYDAJ	VYBER	100	60613	SLUZBY	\N	\N
1051909	3597	1998-02-28	VYDAJ	VYBER	100	32793	SLUZBY	\N	\N
1051910	3597	1998-03-31	VYDAJ	VYBER	100	44096	SLUZBY	\N	\N
1051911	3597	1998-04-30	VYDAJ	VYBER	100	52782	SLUZBY	\N	\N
1051912	3597	1998-05-31	VYDAJ	VYBER	100	23198	SLUZBY	\N	\N
1051913	3597	1998-06-30	VYDAJ	VYBER	100	26766	SLUZBY	\N	\N
1051914	3597	1998-07-31	VYDAJ	VYBER	100	67148	SLUZBY	\N	\N
1051915	3597	1998-08-31	VYDAJ	VYBER	100	56893	SLUZBY	\N	\N
1051916	3597	1998-09-30	VYDAJ	VYBER	100	50355	SLUZBY	\N	\N
1051917	3597	1998-10-31	VYDAJ	VYBER	100	21213	SLUZBY	\N	\N
1051918	3597	1998-11-30	VYDAJ	VYBER	100	35065	SLUZBY	\N	\N
1051919	3597	1996-03-12	PRIJEM	VKLAD	12100	12600	\N	\N	\N
1051920	3597	1996-05-11	VYDAJ	VYBER	23300	47559	\N	\N	\N
1051921	3597	1996-06-10	VYDAJ	VYBER	26300	45827	\N	\N	\N
1051922	3597	1996-07-10	VYDAJ	VYBER	11100	35027	\N	\N	\N
1051923	3597	1996-08-09	VYDAJ	VYBER	21200	41559	\N	\N	\N
1051924	3597	1996-09-08	VYDAJ	VYBER	21500	48967	\N	\N	\N
1051925	3597	1996-10-08	VYDAJ	VYBER	17200	41572	\N	\N	\N
1051926	3597	1996-10-14	VYDAJ	VYBER	28800	82263	\N	\N	\N
1051927	3597	1996-11-07	VYDAJ	VYBER	37800	62975	\N	\N	\N
1051928	3597	1996-12-07	VYDAJ	VYBER	33500	63912	\N	\N	\N
1051929	3597	1997-01-06	VYDAJ	VYBER	2800	33229	\N	\N	\N
1051930	3597	1997-02-05	VYDAJ	VYBER	10200	45862	\N	\N	\N
1051931	3597	1997-03-07	VYDAJ	VYBER	17100	54384	\N	\N	\N
1051932	3597	1997-04-06	VYDAJ	VYBER	26800	55296	\N	\N	\N
1051933	3597	1997-05-05	VYDAJ	VYBER	32200	111705	\N	\N	\N
1051934	3597	1997-05-06	VYDAJ	VYBER	39700	72005	\N	\N	\N
1051935	3597	1997-06-05	VYDAJ	VYBER	30800	58832	\N	\N	\N
1051936	3597	1997-07-05	VYDAJ	VYBER	7200	35339	\N	\N	\N
1051937	3597	1997-08-04	VYDAJ	VYBER	57800	57073	\N	\N	\N
1051938	3597	1997-08-04	VYDAJ	VYBER	28700	114873	\N	\N	\N
1051939	3597	1997-09-03	VYDAJ	VYBER	28800	61319	\N	\N	\N
1051940	3597	1997-09-25	VYDAJ	VYBER	53500	59702	\N	\N	\N
1051941	3597	1997-10-03	VYDAJ	VYBER	17000	42883	\N	\N	\N
1051942	3597	1997-10-24	VYDAJ	VYBER	19600	92494	\N	\N	\N
1051943	3597	1997-11-02	VYDAJ	VYBER	30000	62686	\N	\N	\N
1051944	3597	1997-12-02	VYDAJ	VYBER	26000	50094	\N	\N	\N
1051945	3597	1998-01-01	VYDAJ	VYBER	17700	42387	\N	\N	\N
1051946	3597	1998-01-31	VYDAJ	VYBER	15800	44813	\N	\N	\N
1051947	3597	1998-03-02	PRIJEM	VKLAD	100	32893	\N	\N	\N
1051948	3597	1998-04-01	VYDAJ	VYBER	7500	36596	\N	\N	\N
1051949	3597	1998-05-01	VYDAJ	VYBER	16900	35882	\N	\N	\N
1051950	3597	1998-05-31	VYDAJ	VYBER	9600	23298	\N	\N	\N
1051951	3597	1998-06-30	VYDAJ	VYBER	6400	20366	\N	\N	\N
1051952	3597	1998-07-17	VYDAJ	VYBER	16000	128146	\N	\N	\N
1051953	3597	1998-07-30	VYDAJ	VYBER	61300	66846	\N	\N	\N
1051954	3597	1998-08-29	VYDAJ	VYBER	47400	56664	\N	\N	\N
1051955	3597	1998-09-28	VYDAJ	VYBER	46700	50168	\N	\N	\N
1051956	3597	1998-10-28	VYDAJ	VYBER	26100	21121	\N	\N	\N
1051957	3597	1998-11-27	VYDAJ	VYBER	38400	35033	\N	\N	\N
1051991	3598	1997-11-02	PRIJEM	VKLAD	300	300	\N	\N	\N
1052002	3598	1997-11-13	PRIJEM	VKLAD	14732	15032	\N	\N	\N
1052003	3598	1997-12-13	PRIJEM	VKLAD	22098	42868	\N	\N	\N
1052004	3598	1998-01-13	PRIJEM	VKLAD	14732	46733	\N	\N	\N
1052005	3598	1998-02-13	PRIJEM	VKLAD	14732	48052	\N	\N	\N
1052006	3598	1998-03-13	PRIJEM	VKLAD	14732	52823	\N	\N	\N
1052007	3598	1998-04-13	PRIJEM	VKLAD	14732	53093	\N	\N	\N
1052008	3598	1998-05-13	PRIJEM	VKLAD	14732	57370	\N	\N	\N
1052009	3598	1998-06-13	PRIJEM	VKLAD	22098	40438	\N	\N	\N
1052010	3598	1998-07-13	PRIJEM	VKLAD	14732	42990	\N	\N	\N
1052011	3598	1998-08-13	PRIJEM	VKLAD	14732	43009	\N	\N	\N
1052012	3598	1998-09-13	PRIJEM	VKLAD	14732	46542	\N	\N	\N
1052013	3598	1998-10-13	PRIJEM	VKLAD	14732	42472	\N	\N	\N
1052014	3598	1998-11-13	PRIJEM	VKLAD	14732	33980	\N	\N	\N
1052015	3598	1998-12-13	PRIJEM	VKLAD	22098	42526	\N	\N	\N
1052030	3598	1998-03-13	VYDAJ	PREVOD NA UCET	6435	46388	SIPO	MN	9772658
1052031	3598	1998-04-13	VYDAJ	PREVOD NA UCET	6435	46658	SIPO	MN	9772658
1052032	3598	1998-05-13	VYDAJ	PREVOD NA UCET	6435	50935	SIPO	MN	9772658
1052033	3598	1998-06-13	VYDAJ	PREVOD NA UCET	6435	34003	SIPO	MN	9772658
1052034	3598	1998-07-13	VYDAJ	PREVOD NA UCET	6435	36555	SIPO	MN	9772658
1052035	3598	1998-08-13	VYDAJ	PREVOD NA UCET	6435	36574	SIPO	MN	9772658
1052036	3598	1998-09-13	VYDAJ	PREVOD NA UCET	6435	40107	SIPO	MN	9772658
1052037	3598	1998-10-13	VYDAJ	PREVOD NA UCET	6435	36037	SIPO	MN	9772658
1052038	3598	1998-11-13	VYDAJ	PREVOD NA UCET	6435	27545	SIPO	MN	9772658
1052039	3598	1998-12-13	VYDAJ	PREVOD NA UCET	6435	36091	SIPO	MN	9772658
1052041	3598	1998-06-06	VYDAJ	VYBER	23600	18340	\N	\N	\N
1052045	3598	1998-12-21	VYDAJ	VYBER KARTOU	1200	34891	\N	\N	0
1052050	3598	1998-10-29	VYDAJ	VYBER KARTOU	1800	19137	\N	\N	0
1052051	3598	1998-10-25	VYDAJ	VYBER	4900	31137	\N	\N	\N
1052067	3598	1998-03-31	VYDAJ	VYBER	15	46561	SLUZBY	\N	\N
1052068	3598	1998-04-30	VYDAJ	VYBER	15	46838	SLUZBY	\N	\N
1052069	3598	1998-05-31	VYDAJ	VYBER	15	41940	SLUZBY	\N	\N
1052070	3598	1998-06-30	VYDAJ	VYBER	15	28258	SLUZBY	\N	\N
1052071	3598	1998-07-31	VYDAJ	VYBER	15	28277	SLUZBY	\N	\N
1052072	3598	1998-08-31	VYDAJ	VYBER	15	31810	SLUZBY	\N	\N
1052073	3598	1998-09-30	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
1052074	3598	1998-10-31	VYDAJ	VYBER	15	19248	SLUZBY	\N	\N
1052075	3598	1998-11-30	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
1052076	3598	1997-12-02	PRIJEM	VKLAD	5700	20770	\N	\N	\N
1052077	3598	1998-01-01	VYDAJ	VYBER	11000	32001	\N	\N	\N
1052078	3598	1998-01-31	VYDAJ	VYBER	13600	33320	\N	\N	\N
1052079	3598	1998-03-02	VYDAJ	VYBER	10100	38091	\N	\N	\N
1052080	3598	1998-04-01	VYDAJ	VYBER	8200	38361	\N	\N	\N
1052081	3598	1998-05-01	VYDAJ	VYBER	4200	42638	\N	\N	\N
1052082	3598	1998-05-31	VYDAJ	VYBER	9200	41955	\N	\N	\N
1052083	3598	1998-06-30	VYDAJ	VYBER	5900	28272	\N	\N	\N
1052084	3598	1998-07-30	VYDAJ	VYBER	8400	28155	\N	\N	\N
1052085	3598	1998-08-29	VYDAJ	VYBER	4900	31674	\N	\N	\N
1052086	3598	1998-09-28	VYDAJ	VYBER	12500	27607	\N	\N	\N
1052087	3598	1998-10-28	VYDAJ	VYBER	10200	20937	\N	\N	\N
1052088	3598	1998-11-27	VYDAJ	VYBER	7200	20345	\N	\N	\N
1052103	3599	1994-03-20	PRIJEM	VKLAD	700	700	\N	\N	\N
1052107	3599	1994-04-08	PRIJEM	PREVOD Z UCTU	5440	6140	DUCHOD	KL	33818835
1052108	3599	1994-05-08	PRIJEM	PREVOD Z UCTU	5440	11580	DUCHOD	KL	33818835
1052109	3599	1994-06-08	PRIJEM	PREVOD Z UCTU	5440	17020	DUCHOD	KL	33818835
1052110	3599	1994-07-08	PRIJEM	PREVOD Z UCTU	5440	22460	DUCHOD	KL	33818835
1052111	3599	1994-08-08	PRIJEM	PREVOD Z UCTU	5440	27900	DUCHOD	KL	33818835
1052112	3599	1994-09-08	PRIJEM	PREVOD Z UCTU	5440	28138	DUCHOD	KL	33818835
1052113	3599	1994-10-08	PRIJEM	PREVOD Z UCTU	5440	30411	DUCHOD	KL	33818835
1052114	3599	1994-11-08	PRIJEM	PREVOD Z UCTU	5440	32690	DUCHOD	KL	33818835
1052115	3599	1994-12-08	PRIJEM	PREVOD Z UCTU	5440	32472	DUCHOD	KL	33818835
1052116	3599	1995-01-08	PRIJEM	PREVOD Z UCTU	5440	24916	DUCHOD	KL	33818835
1052117	3599	1995-02-08	PRIJEM	PREVOD Z UCTU	5440	18799	DUCHOD	KL	33818835
1052118	3599	1995-03-08	PRIJEM	PREVOD Z UCTU	5440	21028	DUCHOD	KL	33818835
1052119	3599	1995-04-08	PRIJEM	PREVOD Z UCTU	5440	21587	DUCHOD	KL	33818835
1052120	3599	1995-05-08	PRIJEM	PREVOD Z UCTU	5440	23829	DUCHOD	KL	33818835
1052121	3599	1995-06-08	PRIJEM	PREVOD Z UCTU	5440	22392	DUCHOD	KL	33818835
1052122	3599	1995-07-08	PRIJEM	PREVOD Z UCTU	5440	24637	DUCHOD	KL	33818835
1052123	3599	1995-08-08	PRIJEM	PREVOD Z UCTU	5440	26891	DUCHOD	KL	33818835
1052124	3599	1995-09-08	PRIJEM	PREVOD Z UCTU	5440	29155	DUCHOD	KL	33818835
1052125	3599	1995-10-08	PRIJEM	PREVOD Z UCTU	5440	28300	DUCHOD	KL	33818835
1052126	3599	1995-11-08	PRIJEM	PREVOD Z UCTU	5440	30570	DUCHOD	KL	33818835
1052127	3599	1995-12-08	PRIJEM	PREVOD Z UCTU	5440	29381	DUCHOD	KL	33818835
1052128	3599	1996-01-08	PRIJEM	PREVOD Z UCTU	5440	30005	DUCHOD	KL	33818835
1052129	3599	1996-02-08	PRIJEM	PREVOD Z UCTU	5440	22314	DUCHOD	KL	33818835
1052130	3599	1996-03-08	PRIJEM	PREVOD Z UCTU	5440	24559	DUCHOD	KL	33818835
1052131	3599	1996-04-08	PRIJEM	PREVOD Z UCTU	5440	26013	DUCHOD	KL	33818835
1052132	3599	1996-05-08	PRIJEM	PREVOD Z UCTU	5440	28276	DUCHOD	KL	33818835
1052133	3599	1996-06-08	PRIJEM	PREVOD Z UCTU	5440	30545	DUCHOD	KL	33818835
1052134	3599	1996-07-08	PRIJEM	PREVOD Z UCTU	5440	19892	DUCHOD	KL	33818835
1052135	3599	1996-08-08	PRIJEM	PREVOD Z UCTU	5440	22126	DUCHOD	KL	33818835
1052136	3599	1996-09-08	PRIJEM	PREVOD Z UCTU	5440	24370	DUCHOD	KL	33818835
1052137	3599	1996-10-08	PRIJEM	PREVOD Z UCTU	5440	26622	DUCHOD	KL	33818835
1052138	3599	1996-11-08	PRIJEM	PREVOD Z UCTU	5440	28885	DUCHOD	KL	33818835
1052139	3599	1996-12-08	PRIJEM	PREVOD Z UCTU	5440	31156	DUCHOD	KL	33818835
1052140	3599	1997-01-08	PRIJEM	PREVOD Z UCTU	5440	28936	DUCHOD	KL	33818835
1052141	3599	1997-02-08	PRIJEM	PREVOD Z UCTU	5440	23121	DUCHOD	KL	33818835
1052142	3599	1997-03-08	PRIJEM	PREVOD Z UCTU	5440	22404	DUCHOD	KL	33818835
1052143	3599	1997-04-08	PRIJEM	PREVOD Z UCTU	5440	24649	DUCHOD	KL	33818835
1052144	3599	1997-05-08	PRIJEM	PREVOD Z UCTU	5440	26903	DUCHOD	KL	33818835
1052145	3599	1997-06-08	PRIJEM	PREVOD Z UCTU	5440	29166	DUCHOD	KL	33818835
1052146	3599	1997-07-08	PRIJEM	PREVOD Z UCTU	5440	24387	DUCHOD	KL	33818835
1052147	3599	1997-08-08	PRIJEM	PREVOD Z UCTU	5440	25280	DUCHOD	KL	33818835
1052148	3599	1997-09-08	PRIJEM	PREVOD Z UCTU	5440	27537	DUCHOD	KL	33818835
1052149	3599	1997-10-08	PRIJEM	PREVOD Z UCTU	5440	29802	DUCHOD	KL	33818835
1052150	3599	1997-11-08	PRIJEM	PREVOD Z UCTU	5440	32077	DUCHOD	KL	33818835
1052151	3599	1997-12-08	PRIJEM	PREVOD Z UCTU	5440	34362	DUCHOD	KL	33818835
1052152	3599	1998-01-08	PRIJEM	PREVOD Z UCTU	5440	36105	DUCHOD	KL	33818835
1052153	3599	1998-02-08	PRIJEM	PREVOD Z UCTU	5440	25346	DUCHOD	KL	33818835
1052154	3599	1998-03-08	PRIJEM	PREVOD Z UCTU	5440	27602	DUCHOD	KL	33818835
1052155	3599	1998-04-08	PRIJEM	PREVOD Z UCTU	5440	29867	DUCHOD	KL	33818835
1052156	3599	1998-05-08	PRIJEM	PREVOD Z UCTU	5440	30461	DUCHOD	KL	33818835
1052157	3599	1998-06-08	PRIJEM	PREVOD Z UCTU	5440	32738	DUCHOD	KL	33818835
1052158	3599	1998-07-08	PRIJEM	PREVOD Z UCTU	5440	27015	DUCHOD	KL	33818835
1052159	3599	1998-08-08	PRIJEM	PREVOD Z UCTU	5440	29278	DUCHOD	KL	33818835
1052160	3599	1998-09-08	PRIJEM	PREVOD Z UCTU	5440	31071	DUCHOD	KL	33818835
1052161	3599	1998-10-08	PRIJEM	PREVOD Z UCTU	5440	32309	DUCHOD	KL	33818835
1052162	3599	1998-11-08	PRIJEM	PREVOD Z UCTU	5440	33875	DUCHOD	KL	33818835
1052163	3599	1998-12-08	PRIJEM	PREVOD Z UCTU	5440	36167	DUCHOD	KL	33818835
1052171	3599	1994-08-11	VYDAJ	PREVOD NA UCET	3257	24643	SIPO	GH	53911006
1052172	3599	1994-09-11	VYDAJ	PREVOD NA UCET	3257	24881	SIPO	GH	53911006
1052173	3599	1994-10-11	VYDAJ	PREVOD NA UCET	3257	27154	SIPO	GH	53911006
1052174	3599	1994-11-11	VYDAJ	PREVOD NA UCET	3257	29433	SIPO	GH	53911006
1052175	3599	1994-12-11	VYDAJ	PREVOD NA UCET	3257	29215	SIPO	GH	53911006
1052176	3599	1995-01-11	VYDAJ	PREVOD NA UCET	3257	21659	SIPO	GH	53911006
1052177	3599	1995-02-11	VYDAJ	PREVOD NA UCET	3257	15542	SIPO	GH	53911006
1052178	3599	1995-03-11	VYDAJ	PREVOD NA UCET	3257	17771	SIPO	GH	53911006
1052179	3599	1995-04-11	VYDAJ	PREVOD NA UCET	3257	18330	SIPO	GH	53911006
1052180	3599	1995-05-11	VYDAJ	PREVOD NA UCET	3257	16892	SIPO	GH	53911006
1052181	3599	1995-06-11	VYDAJ	PREVOD NA UCET	3257	19135	SIPO	GH	53911006
1052182	3599	1995-07-11	VYDAJ	PREVOD NA UCET	3257	21380	SIPO	GH	53911006
1052183	3599	1995-08-11	VYDAJ	PREVOD NA UCET	3257	23634	SIPO	GH	53911006
1052184	3599	1995-09-11	VYDAJ	PREVOD NA UCET	3257	22778	SIPO	GH	53911006
1052185	3599	1995-10-11	VYDAJ	PREVOD NA UCET	3257	25043	SIPO	GH	53911006
1052186	3599	1995-11-11	VYDAJ	PREVOD NA UCET	3257	24413	SIPO	GH	53911006
1052187	3599	1995-12-11	VYDAJ	PREVOD NA UCET	3257	25324	SIPO	GH	53911006
1052188	3599	1996-01-11	VYDAJ	PREVOD NA UCET	3257	25388	SIPO	GH	53911006
1052189	3599	1996-02-11	VYDAJ	PREVOD NA UCET	3257	19057	SIPO	GH	53911006
1052190	3599	1996-03-11	VYDAJ	PREVOD NA UCET	3257	21302	SIPO	GH	53911006
1052191	3599	1996-04-11	VYDAJ	PREVOD NA UCET	3257	22756	SIPO	GH	53911006
1052303	3599	1994-10-31	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
1052192	3599	1996-05-11	VYDAJ	PREVOD NA UCET	3257	25019	SIPO	GH	53911006
1052193	3599	1996-06-11	VYDAJ	PREVOD NA UCET	3257	27288	SIPO	GH	53911006
1052194	3599	1996-07-11	VYDAJ	PREVOD NA UCET	3257	16635	SIPO	GH	53911006
1052195	3599	1996-08-11	VYDAJ	PREVOD NA UCET	3257	18869	SIPO	GH	53911006
1052196	3599	1996-09-11	VYDAJ	PREVOD NA UCET	3257	21113	SIPO	GH	53911006
1052197	3599	1996-10-11	VYDAJ	PREVOD NA UCET	3257	23365	SIPO	GH	53911006
1052198	3599	1996-11-11	VYDAJ	PREVOD NA UCET	3257	25628	SIPO	GH	53911006
1052199	3599	1996-12-11	VYDAJ	PREVOD NA UCET	3257	27899	SIPO	GH	53911006
1052200	3599	1997-01-11	VYDAJ	PREVOD NA UCET	3257	25679	SIPO	GH	53911006
1052201	3599	1997-02-11	VYDAJ	PREVOD NA UCET	3257	19864	SIPO	GH	53911006
1052202	3599	1997-03-11	VYDAJ	PREVOD NA UCET	3257	19147	SIPO	GH	53911006
1052203	3599	1997-04-11	VYDAJ	PREVOD NA UCET	3257	21392	SIPO	GH	53911006
1052204	3599	1997-05-11	VYDAJ	PREVOD NA UCET	3257	23646	SIPO	GH	53911006
1052205	3599	1997-06-11	VYDAJ	PREVOD NA UCET	3257	25909	SIPO	GH	53911006
1052206	3599	1997-07-11	VYDAJ	PREVOD NA UCET	3257	19770	SIPO	GH	53911006
1052207	3599	1997-08-11	VYDAJ	PREVOD NA UCET	3257	22023	SIPO	GH	53911006
1052208	3599	1997-09-11	VYDAJ	PREVOD NA UCET	3257	24280	SIPO	GH	53911006
1052209	3599	1997-10-11	VYDAJ	PREVOD NA UCET	3257	26545	SIPO	GH	53911006
1052210	3599	1997-11-11	VYDAJ	PREVOD NA UCET	3257	28820	SIPO	GH	53911006
1052211	3599	1997-12-11	VYDAJ	PREVOD NA UCET	3257	31105	SIPO	GH	53911006
1052212	3599	1998-01-11	VYDAJ	PREVOD NA UCET	3257	32848	SIPO	GH	53911006
1052213	3599	1998-02-11	VYDAJ	PREVOD NA UCET	3257	22089	SIPO	GH	53911006
1052214	3599	1998-03-11	VYDAJ	PREVOD NA UCET	3257	24345	SIPO	GH	53911006
1052215	3599	1998-04-11	VYDAJ	PREVOD NA UCET	3257	26610	SIPO	GH	53911006
1052216	3599	1998-05-11	VYDAJ	PREVOD NA UCET	3257	27204	SIPO	GH	53911006
1052217	3599	1998-06-11	VYDAJ	PREVOD NA UCET	3257	29481	SIPO	GH	53911006
1052218	3599	1998-07-11	VYDAJ	PREVOD NA UCET	3257	23758	SIPO	GH	53911006
1052219	3599	1998-08-11	VYDAJ	PREVOD NA UCET	3257	25541	SIPO	GH	53911006
1052220	3599	1998-09-11	VYDAJ	PREVOD NA UCET	3257	27814	SIPO	GH	53911006
1052221	3599	1998-10-11	VYDAJ	PREVOD NA UCET	3257	29052	SIPO	GH	53911006
1052222	3599	1998-11-11	VYDAJ	PREVOD NA UCET	3257	30618	SIPO	GH	53911006
1052223	3599	1998-12-11	VYDAJ	PREVOD NA UCET	3257	32910	SIPO	GH	53911006
1052226	3599	1996-06-13	VYDAJ	VYBER	12900	14388	\N	\N	\N
1052228	3599	1998-06-22	VYDAJ	VYBER	8000	21481	\N	\N	\N
1052230	3599	1995-01-17	VYDAJ	VYBER	3800	13779	\N	\N	\N
1052231	3599	1996-01-25	VYDAJ	VYBER	1950	16798	\N	\N	\N
1052232	3599	1997-01-06	VYDAJ	VYBER	3300	23496	\N	\N	\N
1052233	3599	1998-01-20	VYDAJ	VYBER	4000	22928	\N	\N	\N
1052234	3599	1994-12-28	VYDAJ	VYBER	1400	26415	\N	\N	\N
1052235	3599	1995-12-26	VYDAJ	VYBER	850	24474	\N	\N	\N
1052236	3599	1996-12-21	VYDAJ	VYBER	800	27099	\N	\N	\N
1052237	3599	1997-12-18	VYDAJ	VYBER	550	30555	\N	\N	\N
1052238	3599	1998-12-30	VYDAJ	VYBER	900	32010	\N	\N	\N
1052245	3599	1995-01-01	VYDAJ	VYBER	880	25636	\N	\N	\N
1052246	3599	1995-01-01	VYDAJ	VYBER	2240	23396	\N	\N	\N
1052247	3599	1995-01-12	VYDAJ	VYBER	2000	19659	\N	\N	\N
1052248	3599	1995-01-16	VYDAJ	VYBER	2080	17579	\N	\N	\N
1052250	3599	1995-01-22	VYDAJ	VYBER	480	13299	\N	\N	\N
1052251	3599	1996-01-08	VYDAJ	VYBER	800	29205	\N	\N	\N
1052252	3599	1996-01-18	VYDAJ	VYBER	2000	20188	\N	\N	\N
1052253	3599	1996-01-23	VYDAJ	VYBER	1440	18748	\N	\N	\N
1052254	3599	1996-01-14	VYDAJ	VYBER	2240	23148	\N	\N	\N
1052255	3599	1996-01-15	VYDAJ	VYBER	960	22188	\N	\N	\N
1052256	3599	1996-01-08	VYDAJ	VYBER	560	28645	\N	\N	\N
1052257	3599	1997-01-23	VYDAJ	VYBER	1280	20719	\N	\N	\N
1052258	3599	1997-01-16	VYDAJ	VYBER	1040	22639	\N	\N	\N
1052259	3599	1997-01-15	VYDAJ	VYBER	2000	23679	\N	\N	\N
1052260	3599	1997-01-03	VYDAJ	VYBER	400	26796	\N	\N	\N
1052261	3599	1997-01-25	VYDAJ	VYBER	1200	19519	\N	\N	\N
1052262	3599	1997-01-26	VYDAJ	VYBER	1920	17599	\N	\N	\N
1052263	3599	1998-01-30	VYDAJ	VYBER	960	19808	\N	\N	\N
1052264	3599	1998-01-19	VYDAJ	VYBER	2240	26928	\N	\N	\N
1052265	3599	1998-01-15	VYDAJ	VYBER	1200	31648	\N	\N	\N
1052266	3599	1998-01-19	VYDAJ	VYBER	480	29168	\N	\N	\N
1052267	3599	1998-01-15	VYDAJ	VYBER	2000	29648	\N	\N	\N
1052268	3599	1998-01-24	VYDAJ	VYBER	1760	21168	\N	\N	\N
1052269	3599	1994-09-04	VYDAJ	VYBER	2000	22698	\N	\N	\N
1052274	3599	1995-09-10	VYDAJ	VYBER	3120	26035	\N	\N	\N
1052275	3599	1995-03-29	VYDAJ	VYBER	1680	16091	\N	\N	\N
1052277	3599	1995-12-01	VYDAJ	VYBER	560	23941	\N	\N	\N
1052278	3599	1995-05-08	VYDAJ	VYBER	3680	20149	\N	\N	\N
1052279	3599	1995-01-05	VYDAJ	VYBER	3920	19476	\N	\N	\N
1052280	3599	1996-04-02	VYDAJ	VYBER	800	20573	\N	\N	\N
1052281	3599	1997-07-09	VYDAJ	VYBER	1360	23027	\N	\N	\N
1052282	3599	1997-07-06	VYDAJ	VYBER	2560	18947	\N	\N	\N
1052283	3599	1997-06-14	VYDAJ	VYBER	2560	21429	\N	\N	\N
1052284	3599	1997-01-22	VYDAJ	VYBER	640	21999	\N	\N	\N
1052285	3599	1997-06-13	VYDAJ	VYBER	1920	23989	\N	\N	\N
1052286	3599	1997-02-20	VYDAJ	VYBER	2960	16904	\N	\N	\N
1052287	3599	1998-01-26	VYDAJ	VYBER	400	20768	\N	\N	\N
1052288	3599	1998-08-08	VYDAJ	VYBER	480	28798	\N	\N	\N
1052289	3599	1998-10-04	VYDAJ	VYBER	640	26869	\N	\N	\N
1052290	3599	1998-10-17	VYDAJ	VYBER	720	28332	\N	\N	\N
1052291	3599	1998-09-19	VYDAJ	VYBER	400	27414	\N	\N	\N
1052292	3599	1998-04-25	VYDAJ	VYBER	1680	24930	\N	\N	\N
1052301	3599	1994-08-31	VYDAJ	VYBER	15	24698	SLUZBY	\N	\N
1052302	3599	1994-09-30	VYDAJ	VYBER	15	24971	SLUZBY	\N	\N
1052304	3599	1994-11-30	VYDAJ	VYBER	15	27032	SLUZBY	\N	\N
1052305	3599	1994-12-31	VYDAJ	VYBER	15	26516	SLUZBY	\N	\N
1052306	3599	1995-01-31	VYDAJ	VYBER	15	13359	SLUZBY	\N	\N
1052307	3599	1995-02-28	VYDAJ	VYBER	15	15588	SLUZBY	\N	\N
1052308	3599	1995-03-31	VYDAJ	VYBER	15	16147	SLUZBY	\N	\N
1052309	3599	1995-04-30	VYDAJ	VYBER	15	18389	SLUZBY	\N	\N
1052310	3599	1995-05-31	VYDAJ	VYBER	15	16952	SLUZBY	\N	\N
1052311	3599	1995-06-30	VYDAJ	VYBER	15	19197	SLUZBY	\N	\N
1052312	3599	1995-07-31	VYDAJ	VYBER	15	21451	SLUZBY	\N	\N
1052313	3599	1995-08-31	VYDAJ	VYBER	15	23715	SLUZBY	\N	\N
1052314	3599	1995-09-30	VYDAJ	VYBER	15	22860	SLUZBY	\N	\N
1052315	3599	1995-10-31	VYDAJ	VYBER	15	25130	SLUZBY	\N	\N
1052316	3599	1995-11-30	VYDAJ	VYBER	15	24501	SLUZBY	\N	\N
1052317	3599	1995-12-31	VYDAJ	VYBER	15	24565	SLUZBY	\N	\N
1052318	3599	1996-01-31	VYDAJ	VYBER	15	16874	SLUZBY	\N	\N
1052319	3599	1996-02-29	VYDAJ	VYBER	15	19119	SLUZBY	\N	\N
1052320	3599	1996-03-31	VYDAJ	VYBER	15	21373	SLUZBY	\N	\N
1052321	3599	1996-04-30	VYDAJ	VYBER	15	22836	SLUZBY	\N	\N
1052322	3599	1996-05-31	VYDAJ	VYBER	15	25105	SLUZBY	\N	\N
1052323	3599	1996-06-30	VYDAJ	VYBER	15	14452	SLUZBY	\N	\N
1052324	3599	1996-07-31	VYDAJ	VYBER	15	16686	SLUZBY	\N	\N
1052325	3599	1996-08-31	VYDAJ	VYBER	15	18930	SLUZBY	\N	\N
1052326	3599	1996-09-30	VYDAJ	VYBER	15	21182	SLUZBY	\N	\N
1052327	3599	1996-10-31	VYDAJ	VYBER	15	23445	SLUZBY	\N	\N
1052328	3599	1996-11-30	VYDAJ	VYBER	15	25716	SLUZBY	\N	\N
1052329	3599	1996-12-31	VYDAJ	VYBER	15	27196	SLUZBY	\N	\N
1052330	3599	1997-01-31	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
1052331	3599	1997-02-28	VYDAJ	VYBER	15	16964	SLUZBY	\N	\N
1052332	3599	1997-03-31	VYDAJ	VYBER	15	19209	SLUZBY	\N	\N
1052333	3599	1997-04-30	VYDAJ	VYBER	15	21463	SLUZBY	\N	\N
1052334	3599	1997-05-31	VYDAJ	VYBER	15	23726	SLUZBY	\N	\N
1052335	3599	1997-06-30	VYDAJ	VYBER	15	21507	SLUZBY	\N	\N
1052336	3599	1997-07-31	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
1052337	3599	1997-08-31	VYDAJ	VYBER	15	22097	SLUZBY	\N	\N
1052338	3599	1997-09-30	VYDAJ	VYBER	15	24362	SLUZBY	\N	\N
1052339	3599	1997-10-31	VYDAJ	VYBER	15	26637	SLUZBY	\N	\N
1052340	3599	1997-11-30	VYDAJ	VYBER	15	28922	SLUZBY	\N	\N
1052341	3599	1997-12-31	VYDAJ	VYBER	15	30665	SLUZBY	\N	\N
1052342	3599	1998-01-31	VYDAJ	VYBER	15	19906	SLUZBY	\N	\N
1052343	3599	1998-02-28	VYDAJ	VYBER	15	22162	SLUZBY	\N	\N
1052344	3599	1998-03-31	VYDAJ	VYBER	15	24427	SLUZBY	\N	\N
1052345	3599	1998-04-30	VYDAJ	VYBER	15	25021	SLUZBY	\N	\N
1052346	3599	1998-05-31	VYDAJ	VYBER	15	27298	SLUZBY	\N	\N
1052347	3599	1998-06-30	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
1052348	3599	1998-07-31	VYDAJ	VYBER	15	23838	SLUZBY	\N	\N
1052349	3599	1998-08-31	VYDAJ	VYBER	15	25631	SLUZBY	\N	\N
1052350	3599	1998-09-30	VYDAJ	VYBER	15	27509	SLUZBY	\N	\N
1052351	3599	1998-10-31	VYDAJ	VYBER	15	28435	SLUZBY	\N	\N
1052352	3599	1998-11-30	VYDAJ	VYBER	15	30727	SLUZBY	\N	\N
1052353	3599	1994-11-15	VYDAJ	VYBER	2500	26933	\N	\N	\N
1052354	3599	1994-12-15	VYDAJ	VYBER	1400	27815	\N	\N	\N
1052355	3599	1995-11-10	VYDAJ	VYBER	2900	27670	\N	\N	\N
1052356	3599	1995-12-10	VYDAJ	VYBER	800	28581	\N	\N	\N
1052410	3600	1993-08-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1052419	3600	1993-09-05	PRIJEM	PREVOD Z UCTU	6623	7723	DUCHOD	QR	65717464
1052420	3600	1993-10-05	PRIJEM	PREVOD Z UCTU	6623	14346	DUCHOD	QR	65717464
1052421	3600	1993-11-05	PRIJEM	PREVOD Z UCTU	6623	20969	DUCHOD	QR	65717464
1052422	3600	1993-12-05	PRIJEM	PREVOD Z UCTU	6623	27057	DUCHOD	QR	65717464
1052423	3600	1994-01-05	PRIJEM	PREVOD Z UCTU	6623	31178	DUCHOD	QR	65717464
1052424	3600	1994-02-05	PRIJEM	PREVOD Z UCTU	6623	27277	DUCHOD	QR	65717464
1052425	3600	1994-03-05	PRIJEM	PREVOD Z UCTU	6623	32353	DUCHOD	QR	65717464
1052426	3600	1994-04-05	PRIJEM	PREVOD Z UCTU	6623	31351	DUCHOD	QR	65717464
1052427	3600	1994-05-05	PRIJEM	PREVOD Z UCTU	6623	30711	DUCHOD	QR	65717464
1052428	3600	1994-06-05	PRIJEM	PREVOD Z UCTU	6623	31887	DUCHOD	QR	65717464
1052429	3600	1994-07-05	PRIJEM	PREVOD Z UCTU	6623	23436	DUCHOD	QR	65717464
1052430	3600	1994-08-05	PRIJEM	PREVOD Z UCTU	6623	24748	DUCHOD	QR	65717464
1052431	3600	1994-09-05	PRIJEM	PREVOD Z UCTU	6623	29908	DUCHOD	QR	65717464
1052432	3600	1994-10-05	PRIJEM	PREVOD Z UCTU	6623	32789	DUCHOD	QR	65717464
1052433	3600	1994-11-05	PRIJEM	PREVOD Z UCTU	6623	37291	DUCHOD	QR	65717464
1052434	3600	1994-12-05	PRIJEM	PREVOD Z UCTU	6623	39970	DUCHOD	QR	65717464
1052435	3600	1995-01-05	PRIJEM	PREVOD Z UCTU	6623	37401	DUCHOD	QR	65717464
1052436	3600	1995-02-05	PRIJEM	PREVOD Z UCTU	6623	37893	DUCHOD	QR	65717464
1052437	3600	1995-03-05	PRIJEM	PREVOD Z UCTU	6623	37604	DUCHOD	QR	65717464
1052438	3600	1995-04-05	PRIJEM	PREVOD Z UCTU	6623	38526	DUCHOD	QR	65717464
1052439	3600	1995-05-05	PRIJEM	PREVOD Z UCTU	6623	43752	DUCHOD	QR	65717464
1052440	3600	1995-06-05	PRIJEM	PREVOD Z UCTU	6623	45470	DUCHOD	QR	65717464
1052441	3600	1995-07-05	PRIJEM	PREVOD Z UCTU	6623	34720	DUCHOD	QR	65717464
1052442	3600	1995-08-05	PRIJEM	PREVOD Z UCTU	6623	37721	DUCHOD	QR	65717464
1052443	3600	1995-09-05	PRIJEM	PREVOD Z UCTU	6623	42934	DUCHOD	QR	65717464
1052444	3600	1995-10-05	PRIJEM	PREVOD Z UCTU	6623	42568	DUCHOD	QR	65717464
1052445	3600	1995-11-05	PRIJEM	PREVOD Z UCTU	6623	46401	DUCHOD	QR	65717464
1052640	3600	1994-02-28	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
1052446	3600	1995-12-05	PRIJEM	PREVOD Z UCTU	6623	44047	DUCHOD	QR	65717464
1052447	3600	1996-01-05	PRIJEM	PREVOD Z UCTU	6623	43726	DUCHOD	QR	65717464
1052448	3600	1996-02-05	PRIJEM	PREVOD Z UCTU	6623	37917	DUCHOD	QR	65717464
1052449	3600	1996-03-05	PRIJEM	PREVOD Z UCTU	6623	43131	DUCHOD	QR	65717464
1052450	3600	1996-04-05	PRIJEM	PREVOD Z UCTU	6623	48367	DUCHOD	QR	65717464
1052451	3600	1996-05-05	PRIJEM	PREVOD Z UCTU	6623	48520	DUCHOD	QR	65717464
1052452	3600	1996-06-05	PRIJEM	PREVOD Z UCTU	6623	50876	DUCHOD	QR	65717464
1052453	3600	1996-07-05	PRIJEM	PREVOD Z UCTU	6623	45866	DUCHOD	QR	65717464
1052454	3600	1996-08-05	PRIJEM	PREVOD Z UCTU	6623	46005	DUCHOD	QR	65717464
1052455	3600	1996-09-05	PRIJEM	PREVOD Z UCTU	6623	46446	DUCHOD	QR	65717464
1052456	3600	1996-10-05	PRIJEM	PREVOD Z UCTU	6623	43986	DUCHOD	QR	65717464
1052457	3600	1996-11-05	PRIJEM	PREVOD Z UCTU	6623	43518	DUCHOD	QR	65717464
1052458	3600	1996-12-05	PRIJEM	PREVOD Z UCTU	6623	46952	DUCHOD	QR	65717464
1052459	3600	1997-01-05	PRIJEM	PREVOD Z UCTU	6623	45495	DUCHOD	QR	65717464
1052460	3600	1997-02-05	PRIJEM	PREVOD Z UCTU	6623	45339	DUCHOD	QR	65717464
1052461	3600	1997-03-05	PRIJEM	PREVOD Z UCTU	6623	45975	DUCHOD	QR	65717464
1052462	3600	1997-04-05	PRIJEM	PREVOD Z UCTU	6623	49920	DUCHOD	QR	65717464
1052463	3600	1997-05-05	PRIJEM	PREVOD Z UCTU	6623	47574	DUCHOD	QR	65717464
1052464	3600	1997-06-05	PRIJEM	PREVOD Z UCTU	6623	48121	DUCHOD	QR	65717464
1052465	3600	1997-07-05	PRIJEM	PREVOD Z UCTU	6623	45467	DUCHOD	QR	65717464
1052466	3600	1997-08-05	PRIJEM	PREVOD Z UCTU	6623	48206	DUCHOD	QR	65717464
1052467	3600	1997-09-05	PRIJEM	PREVOD Z UCTU	6623	51758	DUCHOD	QR	65717464
1052468	3600	1997-10-05	PRIJEM	PREVOD Z UCTU	6623	52920	DUCHOD	QR	65717464
1052469	3600	1997-11-05	PRIJEM	PREVOD Z UCTU	6623	50480	DUCHOD	QR	65717464
1052470	3600	1997-12-05	PRIJEM	PREVOD Z UCTU	6623	46428	DUCHOD	QR	65717464
1052471	3600	1998-01-05	PRIJEM	PREVOD Z UCTU	6623	45863	DUCHOD	QR	65717464
1052472	3600	1998-02-05	PRIJEM	PREVOD Z UCTU	6623	39189	DUCHOD	QR	65717464
1052473	3600	1998-03-05	PRIJEM	PREVOD Z UCTU	6623	44405	DUCHOD	QR	65717464
1052474	3600	1998-04-05	PRIJEM	PREVOD Z UCTU	6623	49643	DUCHOD	QR	65717464
1052475	3600	1998-05-05	PRIJEM	PREVOD Z UCTU	6623	54903	DUCHOD	QR	65717464
1052476	3600	1998-06-05	PRIJEM	PREVOD Z UCTU	6623	47831	DUCHOD	QR	65717464
1052477	3600	1998-07-05	PRIJEM	PREVOD Z UCTU	6623	50295	DUCHOD	QR	65717464
1052478	3600	1998-08-05	PRIJEM	PREVOD Z UCTU	6623	51957	DUCHOD	QR	65717464
1052479	3600	1998-09-05	PRIJEM	PREVOD Z UCTU	6623	57226	DUCHOD	QR	65717464
1052480	3600	1998-10-05	PRIJEM	PREVOD Z UCTU	6623	60111	DUCHOD	QR	65717464
1052481	3600	1998-11-05	PRIJEM	PREVOD Z UCTU	6623	58602	DUCHOD	QR	65717464
1052482	3600	1998-12-05	PRIJEM	PREVOD Z UCTU	6623	57195	DUCHOD	QR	65717464
1052495	3600	1994-01-13	VYDAJ	PREVOD NA UCET	1537	27041	SIPO	OP	30949759
1052496	3600	1994-02-13	VYDAJ	PREVOD NA UCET	1537	25640	SIPO	OP	30949759
1052497	3600	1994-03-13	VYDAJ	PREVOD NA UCET	1537	27116	SIPO	OP	30949759
1052498	3600	1994-04-13	VYDAJ	PREVOD NA UCET	1537	27514	SIPO	OP	30949759
1052499	3600	1994-05-13	VYDAJ	PREVOD NA UCET	1537	25174	SIPO	OP	30949759
1052500	3600	1994-06-13	VYDAJ	PREVOD NA UCET	1537	16750	SIPO	OP	30949759
1052501	3600	1994-07-13	VYDAJ	PREVOD NA UCET	1537	21899	SIPO	OP	30949759
1052502	3600	1994-08-13	VYDAJ	PREVOD NA UCET	1537	23211	SIPO	OP	30949759
1052503	3600	1994-09-13	VYDAJ	PREVOD NA UCET	1537	28371	SIPO	OP	30949759
1052504	3600	1994-10-13	VYDAJ	PREVOD NA UCET	1537	31252	SIPO	OP	30949759
1052505	3600	1994-11-13	VYDAJ	PREVOD NA UCET	1537	35754	SIPO	OP	30949759
1052506	3600	1994-12-13	VYDAJ	PREVOD NA UCET	1537	38433	SIPO	OP	30949759
1052507	3600	1995-01-13	VYDAJ	PREVOD NA UCET	1537	34584	SIPO	OP	30949759
1052508	3600	1995-02-13	VYDAJ	PREVOD NA UCET	1537	36356	SIPO	OP	30949759
1052509	3600	1995-03-13	VYDAJ	PREVOD NA UCET	1537	36067	SIPO	OP	30949759
1052510	3600	1995-04-13	VYDAJ	PREVOD NA UCET	1537	36989	SIPO	OP	30949759
1052511	3600	1995-05-13	VYDAJ	PREVOD NA UCET	1537	40295	SIPO	OP	30949759
1052512	3600	1995-06-13	VYDAJ	PREVOD NA UCET	1537	40653	SIPO	OP	30949759
1052513	3600	1995-07-13	VYDAJ	PREVOD NA UCET	1537	33183	SIPO	OP	30949759
1052514	3600	1995-08-13	VYDAJ	PREVOD NA UCET	1537	36184	SIPO	OP	30949759
1052515	3600	1995-09-13	VYDAJ	PREVOD NA UCET	1537	41397	SIPO	OP	30949759
1052516	3600	1995-10-13	VYDAJ	PREVOD NA UCET	1537	41031	SIPO	OP	30949759
1052517	3600	1995-11-13	VYDAJ	PREVOD NA UCET	1537	44864	SIPO	OP	30949759
1052518	3600	1995-12-13	VYDAJ	PREVOD NA UCET	1537	42510	SIPO	OP	30949759
1052519	3600	1996-01-13	VYDAJ	PREVOD NA UCET	1537	40109	SIPO	OP	30949759
1052520	3600	1996-02-13	VYDAJ	PREVOD NA UCET	1537	36380	SIPO	OP	30949759
1052521	3600	1996-03-13	VYDAJ	PREVOD NA UCET	1537	41594	SIPO	OP	30949759
1052522	3600	1996-04-13	VYDAJ	PREVOD NA UCET	1537	46830	SIPO	OP	30949759
1052523	3600	1996-05-13	VYDAJ	PREVOD NA UCET	1537	46983	SIPO	OP	30949759
1052524	3600	1996-06-13	VYDAJ	PREVOD NA UCET	1537	47819	SIPO	OP	30949759
1052525	3600	1996-07-13	VYDAJ	PREVOD NA UCET	1537	41129	SIPO	OP	30949759
1052526	3600	1996-08-13	VYDAJ	PREVOD NA UCET	1537	44468	SIPO	OP	30949759
1052527	3600	1996-09-13	VYDAJ	PREVOD NA UCET	1537	44909	SIPO	OP	30949759
1052528	3600	1996-10-13	VYDAJ	PREVOD NA UCET	1537	42449	SIPO	OP	30949759
1052529	3600	1996-11-13	VYDAJ	PREVOD NA UCET	1537	41981	SIPO	OP	30949759
1052530	3600	1996-12-13	VYDAJ	PREVOD NA UCET	1537	45415	SIPO	OP	30949759
1052531	3600	1997-01-13	VYDAJ	PREVOD NA UCET	1537	42958	SIPO	OP	30949759
1052532	3600	1997-02-13	VYDAJ	PREVOD NA UCET	1537	43802	SIPO	OP	30949759
1052533	3600	1997-03-13	VYDAJ	PREVOD NA UCET	1537	44438	SIPO	OP	30949759
1052534	3600	1997-04-13	VYDAJ	PREVOD NA UCET	1537	48383	SIPO	OP	30949759
1052535	3600	1997-05-13	VYDAJ	PREVOD NA UCET	1537	46037	SIPO	OP	30949759
1052536	3600	1997-06-13	VYDAJ	PREVOD NA UCET	1537	46584	SIPO	OP	30949759
1052537	3600	1997-07-13	VYDAJ	PREVOD NA UCET	1537	43930	SIPO	OP	30949759
1052538	3600	1997-08-13	VYDAJ	PREVOD NA UCET	1537	46669	SIPO	OP	30949759
1052539	3600	1997-09-13	VYDAJ	PREVOD NA UCET	1537	50221	SIPO	OP	30949759
1052540	3600	1997-10-13	VYDAJ	PREVOD NA UCET	1537	51383	SIPO	OP	30949759
1052541	3600	1997-11-13	VYDAJ	PREVOD NA UCET	1537	46643	SIPO	OP	30949759
1052542	3600	1997-12-13	VYDAJ	PREVOD NA UCET	1537	44891	SIPO	OP	30949759
1052543	3600	1998-01-13	VYDAJ	PREVOD NA UCET	1537	44326	SIPO	OP	30949759
1052544	3600	1998-02-13	VYDAJ	PREVOD NA UCET	1537	37652	SIPO	OP	30949759
1052545	3600	1998-03-13	VYDAJ	PREVOD NA UCET	1537	42868	SIPO	OP	30949759
1052546	3600	1998-04-13	VYDAJ	PREVOD NA UCET	1537	48106	SIPO	OP	30949759
1052547	3600	1998-05-13	VYDAJ	PREVOD NA UCET	1537	53366	SIPO	OP	30949759
1052548	3600	1998-06-13	VYDAJ	PREVOD NA UCET	1537	46294	SIPO	OP	30949759
1052549	3600	1998-07-13	VYDAJ	PREVOD NA UCET	1537	48758	SIPO	OP	30949759
1052550	3600	1998-08-13	VYDAJ	PREVOD NA UCET	1537	50420	SIPO	OP	30949759
1052551	3600	1998-09-13	VYDAJ	PREVOD NA UCET	1537	53289	SIPO	OP	30949759
1052552	3600	1998-10-13	VYDAJ	PREVOD NA UCET	1537	55574	SIPO	OP	30949759
1052553	3600	1998-11-13	VYDAJ	PREVOD NA UCET	1537	52865	SIPO	OP	30949759
1052554	3600	1998-12-13	VYDAJ	PREVOD NA UCET	1537	50658	SIPO	OP	30949759
1052556	3600	1994-06-06	VYDAJ	VYBER	13600	18287	\N	\N	\N
1052557	3600	1995-06-22	VYDAJ	VYBER	12700	27953	\N	\N	\N
1052558	3600	1996-06-24	VYDAJ	VYBER	5150	42669	\N	\N	\N
1052559	3600	1997-06-23	VYDAJ	VYBER KARTOU	3400	38684	\N	\N	0
1052560	3600	1998-06-04	VYDAJ	VYBER	8950	41208	\N	\N	\N
1052567	3600	1994-01-28	VYDAJ	VYBER	1120	22161	\N	\N	\N
1052568	3600	1994-01-29	VYDAJ	VYBER	1600	20561	\N	\N	\N
1052570	3600	1994-01-26	VYDAJ	VYBER	1040	25441	\N	\N	\N
1052571	3600	1994-01-26	VYDAJ	VYBER	2160	23281	\N	\N	\N
1052572	3600	1994-01-13	VYDAJ	VYBER	560	26481	\N	\N	\N
1052573	3600	1995-01-15	VYDAJ	VYBER	400	34184	\N	\N	\N
1052574	3600	1995-01-22	VYDAJ	VYBER	1280	31144	\N	\N	\N
1052575	3600	1995-01-01	VYDAJ	VYBER	2000	36578	\N	\N	\N
1052576	3600	1995-01-11	VYDAJ	VYBER	880	36521	\N	\N	\N
1052577	3600	1995-01-20	VYDAJ	VYBER	1040	33144	\N	\N	\N
1052578	3600	1995-01-11	VYDAJ	VYBER	400	36121	\N	\N	\N
1052579	3600	1996-01-01	VYDAJ	VYBER	1920	39343	\N	\N	\N
1052580	3600	1996-01-30	VYDAJ	VYBER	2160	31149	\N	\N	\N
1052581	3600	1996-01-25	VYDAJ	VYBER	480	33309	\N	\N	\N
1052582	3600	1996-01-12	VYDAJ	VYBER	2080	41646	\N	\N	\N
1052583	3600	1996-01-23	VYDAJ	VYBER	1120	36989	\N	\N	\N
1052584	3600	1996-01-17	VYDAJ	VYBER	2000	38109	\N	\N	\N
1052585	3600	1997-01-21	VYDAJ	VYBER KARTOU	700	40558	\N	\N	0
1052586	3600	1997-01-21	VYDAJ	VYBER KARTOU	900	41258	\N	\N	0
1052587	3600	1997-01-29	VYDAJ	VYBER KARTOU	1300	38558	\N	\N	0
1052588	3600	1997-01-21	VYDAJ	VYBER KARTOU	800	42158	\N	\N	0
1052589	3600	1997-01-03	VYDAJ	VYBER KARTOU	700	38872	\N	\N	0
1052590	3600	1997-01-25	VYDAJ	VYBER KARTOU	700	39858	\N	\N	0
1052591	3600	1998-01-21	VYDAJ	VYBER KARTOU	2200	35726	\N	\N	0
1052592	3600	1998-01-29	VYDAJ	VYBER KARTOU	1300	32426	\N	\N	0
1052593	3600	1998-01-16	VYDAJ	VYBER KARTOU	1900	41326	\N	\N	0
1052594	3600	1998-01-17	VYDAJ	VYBER KARTOU	2100	37926	\N	\N	0
1052595	3600	1998-01-27	VYDAJ	VYBER KARTOU	2000	33726	\N	\N	0
1052596	3600	1998-01-14	VYDAJ	VYBER KARTOU	1100	43226	\N	\N	0
1052601	3600	1994-03-13	VYDAJ	VYBER	2480	24636	\N	\N	\N
1052602	3600	1994-11-28	VYDAJ	VYBER	640	35114	\N	\N	\N
1052603	3600	1994-07-28	VYDAJ	VYBER	3840	18059	\N	\N	\N
1052604	3600	1994-04-20	VYDAJ	VYBER	3520	23994	\N	\N	\N
1052605	3600	1995-06-05	VYDAJ	VYBER	3280	42190	\N	\N	\N
1052606	3600	1995-01-21	VYDAJ	VYBER	720	32424	\N	\N	\N
1052607	3600	1995-05-13	VYDAJ	VYBER	1920	41832	\N	\N	\N
1052608	3600	1995-02-21	VYDAJ	VYBER	2400	33956	\N	\N	\N
1052609	3600	1996-08-22	VYDAJ	VYBER KARTOU	3000	41468	\N	\N	0
1052610	3600	1996-01-24	VYDAJ	VYBER	3200	33789	\N	\N	\N
1052611	3600	1996-07-09	VYDAJ	VYBER	3200	42666	\N	\N	\N
1052612	3600	1996-01-01	VYDAJ	VYBER	2240	37103	\N	\N	\N
1052613	3600	1996-06-07	VYDAJ	VYBER	1520	49356	\N	\N	\N
1052614	3600	1997-11-14	VYDAJ	VYBER KARTOU	3100	43543	\N	\N	0
1052615	3600	1997-04-29	VYDAJ	VYBER KARTOU	1800	40783	\N	\N	0
1052616	3600	1997-02-18	VYDAJ	VYBER KARTOU	1400	42402	\N	\N	0
1052617	3600	1997-01-07	VYDAJ	VYBER KARTOU	1000	44495	\N	\N	0
1052618	3600	1997-05-31	VYDAJ	VYBER KARTOU	1000	41498	\N	\N	0
1052619	3600	1997-11-05	VYDAJ	VYBER KARTOU	2300	48180	\N	\N	0
1052620	3600	1998-11-30	VYDAJ	VYBER KARTOU	2500	50587	\N	\N	0
1052621	3600	1998-07-02	VYDAJ	VYBER KARTOU	2800	43672	\N	\N	0
1052622	3600	1998-05-25	VYDAJ	VYBER KARTOU	3400	49966	\N	\N	0
1052623	3600	1998-07-14	VYDAJ	VYBER KARTOU	3600	45158	\N	\N	0
1052624	3600	1998-11-04	VYDAJ	VYBER KARTOU	1400	51979	\N	\N	0
1052625	3600	1998-10-21	VYDAJ	VYBER KARTOU	2400	53174	\N	\N	0
1052639	3600	1994-01-31	VYDAJ	VYBER	15	20654	SLUZBY	\N	\N
1052641	3600	1994-03-31	VYDAJ	VYBER	15	24728	SLUZBY	\N	\N
1052642	3600	1994-04-30	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
1052643	3600	1994-05-31	VYDAJ	VYBER	15	25264	SLUZBY	\N	\N
1052644	3600	1994-06-30	VYDAJ	VYBER	15	16813	SLUZBY	\N	\N
1052645	3600	1994-07-31	VYDAJ	VYBER	15	18125	SLUZBY	\N	\N
1052646	3600	1994-08-31	VYDAJ	VYBER	15	23285	SLUZBY	\N	\N
1052647	3600	1994-09-30	VYDAJ	VYBER	15	28466	SLUZBY	\N	\N
1052648	3600	1994-10-31	VYDAJ	VYBER	15	31368	SLUZBY	\N	\N
1052649	3600	1994-11-30	VYDAJ	VYBER	15	35247	SLUZBY	\N	\N
1052650	3600	1994-12-31	VYDAJ	VYBER	15	38578	SLUZBY	\N	\N
1052651	3600	1995-01-31	VYDAJ	VYBER	15	31270	SLUZBY	\N	\N
1052652	3600	1995-02-28	VYDAJ	VYBER	15	34081	SLUZBY	\N	\N
1052653	3600	1995-03-31	VYDAJ	VYBER	15	36203	SLUZBY	\N	\N
1052654	3600	1995-04-30	VYDAJ	VYBER	15	37129	SLUZBY	\N	\N
1052655	3600	1995-05-31	VYDAJ	VYBER	15	40447	SLUZBY	\N	\N
1052656	3600	1995-06-30	VYDAJ	VYBER	15	28097	SLUZBY	\N	\N
1052657	3600	1995-07-31	VYDAJ	VYBER	15	31098	SLUZBY	\N	\N
1052658	3600	1995-08-31	VYDAJ	VYBER	15	36311	SLUZBY	\N	\N
1052659	3600	1995-09-30	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
1052660	3600	1995-10-31	VYDAJ	VYBER	15	39778	SLUZBY	\N	\N
1052661	3600	1995-11-30	VYDAJ	VYBER	15	37424	SLUZBY	\N	\N
1052662	3600	1995-12-31	VYDAJ	VYBER	15	41263	SLUZBY	\N	\N
1052663	3600	1996-01-31	VYDAJ	VYBER	15	31294	SLUZBY	\N	\N
1052664	3600	1996-02-29	VYDAJ	VYBER	15	36508	SLUZBY	\N	\N
1052665	3600	1996-03-31	VYDAJ	VYBER	15	41744	SLUZBY	\N	\N
1052666	3600	1996-04-30	VYDAJ	VYBER	15	41897	SLUZBY	\N	\N
1052667	3600	1996-05-31	VYDAJ	VYBER	15	44253	SLUZBY	\N	\N
1052668	3600	1996-06-30	VYDAJ	VYBER	15	39243	SLUZBY	\N	\N
1052669	3600	1996-07-31	VYDAJ	VYBER	15	39382	SLUZBY	\N	\N
1052670	3600	1996-08-31	VYDAJ	VYBER	15	39823	SLUZBY	\N	\N
1052671	3600	1996-09-30	VYDAJ	VYBER	15	37363	SLUZBY	\N	\N
1052672	3600	1996-10-31	VYDAJ	VYBER	15	36895	SLUZBY	\N	\N
1052673	3600	1996-11-30	VYDAJ	VYBER	15	40329	SLUZBY	\N	\N
1052674	3600	1996-12-31	VYDAJ	VYBER	15	39572	SLUZBY	\N	\N
1052675	3600	1997-01-31	VYDAJ	VYBER	15	38716	SLUZBY	\N	\N
1052676	3600	1997-02-28	VYDAJ	VYBER	15	39352	SLUZBY	\N	\N
1052677	3600	1997-03-31	VYDAJ	VYBER	15	43297	SLUZBY	\N	\N
1052678	3600	1997-04-30	VYDAJ	VYBER	15	40951	SLUZBY	\N	\N
1052679	3600	1997-05-31	VYDAJ	VYBER	15	42498	SLUZBY	\N	\N
1052680	3600	1997-06-30	VYDAJ	VYBER	15	38844	SLUZBY	\N	\N
1052681	3600	1997-07-31	VYDAJ	VYBER	15	41583	SLUZBY	\N	\N
1052682	3600	1997-08-31	VYDAJ	VYBER	15	45135	SLUZBY	\N	\N
1052683	3600	1997-09-30	VYDAJ	VYBER	15	46297	SLUZBY	\N	\N
1052684	3600	1997-10-31	VYDAJ	VYBER	15	43857	SLUZBY	\N	\N
1052685	3600	1997-11-30	VYDAJ	VYBER	15	39805	SLUZBY	\N	\N
1052686	3600	1997-12-31	VYDAJ	VYBER	15	39240	SLUZBY	\N	\N
1052687	3600	1998-01-31	VYDAJ	VYBER	15	32566	SLUZBY	\N	\N
1052688	3600	1998-02-28	VYDAJ	VYBER	15	37782	SLUZBY	\N	\N
1052689	3600	1998-03-31	VYDAJ	VYBER	15	43020	SLUZBY	\N	\N
1052690	3600	1998-04-30	VYDAJ	VYBER	15	48280	SLUZBY	\N	\N
1052691	3600	1998-05-31	VYDAJ	VYBER	15	50158	SLUZBY	\N	\N
1052692	3600	1998-06-30	VYDAJ	VYBER	15	46472	SLUZBY	\N	\N
1052693	3600	1998-07-31	VYDAJ	VYBER	15	45334	SLUZBY	\N	\N
1052694	3600	1998-08-31	VYDAJ	VYBER	15	50603	SLUZBY	\N	\N
1052695	3600	1998-09-30	VYDAJ	VYBER	15	53488	SLUZBY	\N	\N
1052696	3600	1998-10-31	VYDAJ	VYBER	15	53379	SLUZBY	\N	\N
1052697	3600	1998-11-30	VYDAJ	VYBER	15	50572	SLUZBY	\N	\N
1052698	3600	1993-11-08	VYDAJ	VYBER	600	20369	\N	\N	\N
1052699	3600	1993-12-08	VYDAJ	VYBER	2600	24457	\N	\N	\N
1052700	3600	1994-01-07	VYDAJ	VYBER	2600	28578	\N	\N	\N
1052701	3600	1994-02-06	VYDAJ	VYBER	100	27177	\N	\N	\N
1052702	3600	1994-03-08	VYDAJ	VYBER	3700	28653	\N	\N	\N
1052703	3600	1994-04-07	VYDAJ	VYBER	2300	29051	\N	\N	\N
1052704	3600	1994-05-07	VYDAJ	VYBER	4000	26711	\N	\N	\N
1052705	3600	1994-10-04	VYDAJ	VYBER	2300	26166	\N	\N	\N
1052706	3600	1994-11-03	VYDAJ	VYBER	700	30668	\N	\N	\N
1052707	3600	1994-12-03	VYDAJ	VYBER	1900	33347	\N	\N	\N
1052708	3600	1995-01-02	VYDAJ	VYBER	5800	30778	\N	\N	\N
1052709	3600	1995-03-03	VYDAJ	VYBER	3100	30981	\N	\N	\N
1052710	3600	1995-04-02	VYDAJ	VYBER	4300	31903	\N	\N	\N
1052711	3600	1995-06-01	VYDAJ	VYBER	1600	38847	\N	\N	\N
1052712	3600	1995-07-31	VYDAJ	VYBER	2200	31112	\N	\N	\N
1052713	3600	1995-09-29	VYDAJ	VYBER	5600	35797	\N	\N	\N
1052714	3600	1995-10-29	VYDAJ	VYBER	1400	39631	\N	\N	\N
1052715	3600	1995-11-28	VYDAJ	VYBER	7600	37264	\N	\N	\N
1052716	3600	1995-12-28	VYDAJ	VYBER	1400	41110	\N	\N	\N
1052717	3600	1996-04-26	VYDAJ	VYBER	5100	41730	\N	\N	\N
1052718	3600	1996-05-26	VYDAJ	VYBER	2900	44083	\N	\N	\N
1052719	3600	1996-06-25	VYDAJ	VYBER	3600	39069	\N	\N	\N
1052720	3600	1996-07-25	VYDAJ	VYBER	1900	39229	\N	\N	\N
1052721	3600	1996-08-24	VYDAJ	VYBER KARTOU	1800	39668	\N	\N	0
1052722	3600	1996-09-23	VYDAJ	VYBER	7700	37209	\N	\N	\N
1052723	3600	1996-10-23	VYDAJ	VYBER	5700	36749	\N	\N	\N
1052724	3600	1996-11-22	VYDAJ	VYBER KARTOU	1800	40181	\N	\N	0
1052725	3600	1996-12-22	VYDAJ	VYBER	6000	39415	\N	\N	\N
1052726	3600	1997-02-20	VYDAJ	VYBER KARTOU	3200	39202	\N	\N	0
1052727	3600	1997-03-22	VYDAJ	VYBER KARTOU	1300	43138	\N	\N	0
1052728	3600	1997-04-21	VYDAJ	VYBER	5800	42583	\N	\N	\N
1052729	3600	1997-05-21	VYDAJ	VYBER KARTOU	3700	42337	\N	\N	0
1052730	3600	1997-06-20	VYDAJ	VYBER	4500	42084	\N	\N	\N
1052731	3600	1997-07-20	VYDAJ	VYBER KARTOU	2500	41430	\N	\N	0
1052732	3600	1997-08-19	VYDAJ	VYBER KARTOU	1700	44969	\N	\N	0
1052733	3600	1997-09-18	VYDAJ	VYBER	4100	46121	\N	\N	\N
1052734	3600	1997-10-18	VYDAJ	VYBER	7700	43683	\N	\N	\N
1052735	3600	1997-11-17	VYDAJ	VYBER KARTOU	3900	39643	\N	\N	0
1052736	3600	1997-12-17	VYDAJ	VYBER	5800	39091	\N	\N	\N
1052737	3600	1998-01-16	VYDAJ	VYBER KARTOU	1300	40026	\N	\N	0
1052738	3600	1998-09-13	VYDAJ	VYBER KARTOU	2400	54826	\N	\N	0
1052739	3600	1998-10-13	VYDAJ	VYBER KARTOU	3000	57111	\N	\N	0
1052740	3600	1998-11-12	VYDAJ	VYBER	4200	54402	\N	\N	\N
1052741	3600	1998-12-12	VYDAJ	VYBER	5000	52195	\N	\N	\N
1052804	3601	1995-06-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1052811	3601	1995-07-13	PRIJEM	PREVOD Z UCTU	5827	6527	DUCHOD	CD	74661642
1052812	3601	1995-08-13	PRIJEM	PREVOD Z UCTU	5827	12354	DUCHOD	CD	74661642
1052813	3601	1995-09-13	PRIJEM	PREVOD Z UCTU	5827	18181	DUCHOD	CD	74661642
1052814	3601	1995-10-13	PRIJEM	PREVOD Z UCTU	5827	24008	DUCHOD	CD	74661642
1052815	3601	1995-11-13	PRIJEM	PREVOD Z UCTU	5827	29835	DUCHOD	CD	74661642
1052816	3601	1995-12-13	PRIJEM	PREVOD Z UCTU	5827	31258	DUCHOD	CD	74661642
1052817	3601	1996-01-13	PRIJEM	PREVOD Z UCTU	5827	33802	DUCHOD	CD	74661642
1052818	3601	1996-02-13	PRIJEM	PREVOD Z UCTU	5827	27460	DUCHOD	CD	74661642
1052819	3601	1996-03-13	PRIJEM	PREVOD Z UCTU	5827	29181	DUCHOD	CD	74661642
1052820	3601	1996-04-13	PRIJEM	PREVOD Z UCTU	5827	30275	DUCHOD	CD	74661642
1052821	3601	1996-05-13	PRIJEM	PREVOD Z UCTU	5827	33694	DUCHOD	CD	74661642
1052822	3601	1996-06-13	PRIJEM	PREVOD Z UCTU	5827	31446	DUCHOD	CD	74661642
1052823	3601	1996-07-13	PRIJEM	PREVOD Z UCTU	5827	35595	DUCHOD	CD	74661642
1052824	3601	1996-08-13	PRIJEM	PREVOD Z UCTU	5827	38555	DUCHOD	CD	74661642
1052825	3601	1996-09-13	PRIJEM	PREVOD Z UCTU	5827	42727	DUCHOD	CD	74661642
1052826	3601	1996-10-13	PRIJEM	PREVOD Z UCTU	5827	44517	DUCHOD	CD	74661642
1052827	3601	1996-11-13	PRIJEM	PREVOD Z UCTU	5827	48716	DUCHOD	CD	74661642
1052828	3601	1996-12-13	PRIJEM	PREVOD Z UCTU	5827	50430	DUCHOD	CD	74661642
1052829	3601	1997-01-13	PRIJEM	PREVOD Z UCTU	5827	50751	DUCHOD	CD	74661642
1052830	3601	1997-02-13	PRIJEM	PREVOD Z UCTU	5827	49431	DUCHOD	CD	74661642
1052831	3601	1997-03-13	PRIJEM	PREVOD Z UCTU	5827	47047	DUCHOD	CD	74661642
1052832	3601	1997-04-13	PRIJEM	PREVOD Z UCTU	5827	45661	DUCHOD	CD	74661642
1052833	3601	1997-05-13	PRIJEM	PREVOD Z UCTU	5827	45168	DUCHOD	CD	74661642
1052834	3601	1997-06-13	PRIJEM	PREVOD Z UCTU	5827	44668	DUCHOD	CD	74661642
1052835	3601	1997-07-13	PRIJEM	PREVOD Z UCTU	5827	31888	DUCHOD	CD	74661642
1052836	3601	1997-08-13	PRIJEM	PREVOD Z UCTU	5827	36032	DUCHOD	CD	74661642
1052837	3601	1997-09-13	PRIJEM	PREVOD Z UCTU	5827	40193	DUCHOD	CD	74661642
1052838	3601	1997-10-13	PRIJEM	PREVOD Z UCTU	5827	42872	DUCHOD	CD	74661642
1052839	3601	1997-11-13	PRIJEM	PREVOD Z UCTU	5827	39977	DUCHOD	CD	74661642
1052840	3601	1997-12-13	PRIJEM	PREVOD Z UCTU	5827	39364	DUCHOD	CD	74661642
1052841	3601	1998-01-13	PRIJEM	PREVOD Z UCTU	5827	32118	DUCHOD	CD	74661642
1052842	3601	1998-02-13	PRIJEM	PREVOD Z UCTU	5827	28261	DUCHOD	CD	74661642
1052843	3601	1998-03-13	PRIJEM	PREVOD Z UCTU	5827	32391	DUCHOD	CD	74661642
1052844	3601	1998-04-13	PRIJEM	PREVOD Z UCTU	5827	36537	DUCHOD	CD	74661642
1052845	3601	1998-05-13	PRIJEM	PREVOD Z UCTU	5827	38899	DUCHOD	CD	74661642
1052846	3601	1998-06-13	PRIJEM	PREVOD Z UCTU	5827	37030	DUCHOD	CD	74661642
1052847	3601	1998-07-13	PRIJEM	PREVOD Z UCTU	5827	36494	DUCHOD	CD	74661642
1052848	3601	1998-08-13	PRIJEM	PREVOD Z UCTU	5827	40177	DUCHOD	CD	74661642
1052849	3601	1998-09-13	PRIJEM	PREVOD Z UCTU	5827	42513	DUCHOD	CD	74661642
1052850	3601	1998-10-13	PRIJEM	PREVOD Z UCTU	5827	46701	DUCHOD	CD	74661642
1052851	3601	1998-11-13	PRIJEM	PREVOD Z UCTU	5827	47202	DUCHOD	CD	74661642
1052852	3601	1998-12-13	PRIJEM	PREVOD Z UCTU	5827	44743	DUCHOD	CD	74661642
1052864	3601	1995-12-09	VYDAJ	PREVOD NA UCET	1794	28031	SIPO	EF	22016549
1052865	3601	1996-01-09	VYDAJ	PREVOD NA UCET	1794	27975	SIPO	EF	22016549
1052866	3601	1996-02-09	VYDAJ	PREVOD NA UCET	1794	21633	SIPO	EF	22016549
1052867	3601	1996-03-09	VYDAJ	PREVOD NA UCET	1794	23354	SIPO	EF	22016549
1052868	3601	1996-04-09	VYDAJ	PREVOD NA UCET	1794	24448	SIPO	EF	22016549
1052869	3601	1996-05-09	VYDAJ	PREVOD NA UCET	1794	27867	SIPO	EF	22016549
1052870	3601	1996-06-09	VYDAJ	PREVOD NA UCET	1794	25619	SIPO	EF	22016549
1052871	3601	1996-07-09	VYDAJ	PREVOD NA UCET	1794	29768	SIPO	EF	22016549
1052872	3601	1996-08-09	VYDAJ	PREVOD NA UCET	1794	32728	SIPO	EF	22016549
1052873	3601	1996-09-09	VYDAJ	PREVOD NA UCET	1794	36900	SIPO	EF	22016549
1052874	3601	1996-10-09	VYDAJ	PREVOD NA UCET	1794	38690	SIPO	EF	22016549
1052875	3601	1996-11-09	VYDAJ	PREVOD NA UCET	1794	42889	SIPO	EF	22016549
1052876	3601	1996-12-09	VYDAJ	PREVOD NA UCET	1794	44603	SIPO	EF	22016549
1052877	3601	1997-01-09	VYDAJ	PREVOD NA UCET	1794	44924	SIPO	EF	22016549
1052878	3601	1997-02-09	VYDAJ	PREVOD NA UCET	1794	43604	SIPO	EF	22016549
1052879	3601	1997-03-09	VYDAJ	PREVOD NA UCET	1794	41220	SIPO	EF	22016549
1052880	3601	1997-04-09	VYDAJ	PREVOD NA UCET	1794	39834	SIPO	EF	22016549
1052881	3601	1997-05-09	VYDAJ	PREVOD NA UCET	1794	39341	SIPO	EF	22016549
1052882	3601	1997-06-09	VYDAJ	PREVOD NA UCET	1794	38841	SIPO	EF	22016549
1052883	3601	1997-07-09	VYDAJ	PREVOD NA UCET	1794	26061	SIPO	EF	22016549
1052884	3601	1997-08-09	VYDAJ	PREVOD NA UCET	1794	30205	SIPO	EF	22016549
1052885	3601	1997-09-09	VYDAJ	PREVOD NA UCET	1794	34366	SIPO	EF	22016549
1052886	3601	1997-10-09	VYDAJ	PREVOD NA UCET	1794	37045	SIPO	EF	22016549
1052887	3601	1997-11-09	VYDAJ	PREVOD NA UCET	1794	34150	SIPO	EF	22016549
1052888	3601	1997-12-09	VYDAJ	PREVOD NA UCET	1794	33537	SIPO	EF	22016549
1052889	3601	1998-01-09	VYDAJ	PREVOD NA UCET	1794	27011	SIPO	EF	22016549
1052890	3601	1998-02-09	VYDAJ	PREVOD NA UCET	1794	22434	SIPO	EF	22016549
1052891	3601	1998-03-09	VYDAJ	PREVOD NA UCET	1794	26564	SIPO	EF	22016549
1052892	3601	1998-04-09	VYDAJ	PREVOD NA UCET	1794	30710	SIPO	EF	22016549
1052893	3601	1998-05-09	VYDAJ	PREVOD NA UCET	1794	33072	SIPO	EF	22016549
1052894	3601	1998-06-09	VYDAJ	PREVOD NA UCET	1794	33843	SIPO	EF	22016549
1052895	3601	1998-07-09	VYDAJ	PREVOD NA UCET	1794	30667	SIPO	EF	22016549
1052896	3601	1998-08-09	VYDAJ	PREVOD NA UCET	1794	34350	SIPO	EF	22016549
1052897	3601	1998-09-09	VYDAJ	PREVOD NA UCET	1794	36686	SIPO	EF	22016549
1052898	3601	1998-10-09	VYDAJ	PREVOD NA UCET	1794	40874	SIPO	EF	22016549
1052899	3601	1998-11-09	VYDAJ	PREVOD NA UCET	1794	41375	SIPO	EF	22016549
1052900	3601	1998-12-09	VYDAJ	PREVOD NA UCET	1794	38916	SIPO	EF	22016549
1052902	3601	1996-06-08	VYDAJ	VYBER	6400	27413	\N	\N	\N
1052903	3601	1997-06-18	VYDAJ	VYBER	13350	31318	\N	\N	\N
1052904	3601	1998-06-25	VYDAJ	VYBER	4700	32330	\N	\N	\N
1052906	3601	1996-01-04	VYDAJ	VYBER	1600	29769	\N	\N	\N
1052907	3601	1997-01-08	VYDAJ	VYBER	1450	46718	\N	\N	\N
1052908	3601	1998-01-02	VYDAJ	VYBER	4200	28805	\N	\N	\N
1052909	3601	1995-12-11	VYDAJ	VYBER	1000	25431	\N	\N	\N
1052910	3601	1996-12-16	VYDAJ	VYBER	1250	49180	\N	\N	\N
1052911	3601	1997-12-06	VYDAJ	VYBER	1050	35331	\N	\N	\N
1052912	3601	1998-12-26	VYDAJ	VYBER	1150	42493	\N	\N	\N
1052919	3601	1996-01-23	VYDAJ	VYBER	1840	27082	\N	\N	\N
1052920	3601	1996-01-28	VYDAJ	VYBER	1600	23322	\N	\N	\N
1052921	3601	1996-01-17	VYDAJ	VYBER	2080	29562	\N	\N	\N
1052922	3601	1996-01-13	VYDAJ	VYBER	720	33082	\N	\N	\N
1052923	3601	1996-01-18	VYDAJ	VYBER	640	28922	\N	\N	\N
1052924	3601	1996-01-14	VYDAJ	VYBER	1440	31642	\N	\N	\N
1052925	3601	1997-01-27	VYDAJ	VYBER	560	47311	\N	\N	\N
1052926	3601	1997-01-17	VYDAJ	VYBER	1200	49551	\N	\N	\N
1052927	3601	1997-01-30	VYDAJ	VYBER	1600	45711	\N	\N	\N
1052928	3601	1997-01-22	VYDAJ	VYBER	1280	48271	\N	\N	\N
1052929	3601	1997-01-03	VYDAJ	VYBER	1200	48168	\N	\N	\N
1052930	3601	1997-01-25	VYDAJ	VYBER	400	47871	\N	\N	\N
1052931	3601	1998-01-27	VYDAJ	VYBER	1040	28278	\N	\N	\N
1052932	3601	1998-01-14	VYDAJ	VYBER	480	31638	\N	\N	\N
1052933	3601	1998-01-11	VYDAJ	VYBER	720	26291	\N	\N	\N
1052934	3601	1998-01-28	VYDAJ	VYBER	2080	26198	\N	\N	\N
1052935	3601	1998-01-26	VYDAJ	VYBER	1600	29318	\N	\N	\N
1052936	3601	1998-01-15	VYDAJ	VYBER	720	30918	\N	\N	\N
1052943	3601	1996-04-18	VYDAJ	VYBER	720	29555	\N	\N	\N
1052944	3601	1996-01-24	VYDAJ	VYBER	2160	24922	\N	\N	\N
1052945	3601	1996-07-30	VYDAJ	VYBER	1200	34395	\N	\N	\N
1052946	3601	1996-02-18	VYDAJ	VYBER	2400	25060	\N	\N	\N
1052947	3601	1996-04-02	VYDAJ	VYBER	3040	26242	\N	\N	\N
1052948	3601	1997-10-26	VYDAJ	VYBER	3360	38392	\N	\N	\N
1052949	3601	1997-06-24	VYDAJ	VYBER	3600	27718	\N	\N	\N
1052950	3601	1997-10-25	VYDAJ	VYBER	1120	41752	\N	\N	\N
1052951	3601	1997-12-04	VYDAJ	VYBER	1440	36381	\N	\N	\N
1052952	3601	1997-05-23	VYDAJ	VYBER	3600	41568	\N	\N	\N
1052953	3601	1998-12-29	VYDAJ	VYBER	1920	40573	\N	\N	\N
1052954	3601	1998-06-11	VYDAJ	VYBER	2640	31203	\N	\N	\N
1052955	3601	1998-02-09	VYDAJ	VYBER	2080	24228	\N	\N	\N
1052956	3601	1998-11-26	VYDAJ	VYBER	1760	40542	\N	\N	\N
1052957	3601	1998-08-07	VYDAJ	VYBER	480	36144	\N	\N	\N
1052958	3601	1998-08-26	VYDAJ	VYBER	1840	38337	\N	\N	\N
1052970	3601	1995-11-30	VYDAJ	VYBER	15	29825	SLUZBY	\N	\N
1052971	3601	1995-12-31	VYDAJ	VYBER	15	31369	SLUZBY	\N	\N
1052972	3601	1996-01-31	VYDAJ	VYBER	15	23427	SLUZBY	\N	\N
1052973	3601	1996-02-29	VYDAJ	VYBER	15	25148	SLUZBY	\N	\N
1052974	3601	1996-03-31	VYDAJ	VYBER	15	29282	SLUZBY	\N	\N
1052975	3601	1996-04-30	VYDAJ	VYBER	15	29661	SLUZBY	\N	\N
1052976	3601	1996-05-31	VYDAJ	VYBER	15	33813	SLUZBY	\N	\N
1052977	3601	1996-06-30	VYDAJ	VYBER	15	31562	SLUZBY	\N	\N
1052978	3601	1996-07-31	VYDAJ	VYBER	15	34522	SLUZBY	\N	\N
1052979	3601	1996-08-31	VYDAJ	VYBER	15	38694	SLUZBY	\N	\N
1052980	3601	1996-09-30	VYDAJ	VYBER	15	42884	SLUZBY	\N	\N
1052981	3601	1996-10-31	VYDAJ	VYBER	15	44683	SLUZBY	\N	\N
1052982	3601	1996-11-30	VYDAJ	VYBER	15	48897	SLUZBY	\N	\N
1052983	3601	1996-12-31	VYDAJ	VYBER	15	49368	SLUZBY	\N	\N
1052984	3601	1997-01-31	VYDAJ	VYBER	15	45898	SLUZBY	\N	\N
1052985	3601	1997-02-28	VYDAJ	VYBER	15	49614	SLUZBY	\N	\N
1052986	3601	1997-03-31	VYDAJ	VYBER	15	47228	SLUZBY	\N	\N
1052987	3601	1997-04-30	VYDAJ	VYBER	15	45835	SLUZBY	\N	\N
1052988	3601	1997-05-31	VYDAJ	VYBER	15	41735	SLUZBY	\N	\N
1052989	3601	1997-06-30	VYDAJ	VYBER	15	27855	SLUZBY	\N	\N
1052990	3601	1997-07-31	VYDAJ	VYBER	15	31999	SLUZBY	\N	\N
1052991	3601	1997-08-31	VYDAJ	VYBER	15	36160	SLUZBY	\N	\N
1052992	3601	1997-09-30	VYDAJ	VYBER	15	38839	SLUZBY	\N	\N
1052993	3601	1997-10-31	VYDAJ	VYBER	15	35944	SLUZBY	\N	\N
1052994	3601	1997-11-30	VYDAJ	VYBER	15	37821	SLUZBY	\N	\N
1052995	3601	1997-12-31	VYDAJ	VYBER	15	33005	SLUZBY	\N	\N
1052996	3601	1998-01-31	VYDAJ	VYBER	15	26308	SLUZBY	\N	\N
1052997	3601	1998-02-28	VYDAJ	VYBER	15	28358	SLUZBY	\N	\N
1052998	3601	1998-03-31	VYDAJ	VYBER	15	32504	SLUZBY	\N	\N
1052999	3601	1998-04-30	VYDAJ	VYBER	15	34866	SLUZBY	\N	\N
1053000	3601	1998-05-31	VYDAJ	VYBER	15	35637	SLUZBY	\N	\N
1053001	3601	1998-06-30	VYDAJ	VYBER	15	32461	SLUZBY	\N	\N
1053002	3601	1998-07-31	VYDAJ	VYBER	15	36624	SLUZBY	\N	\N
1053003	3601	1998-08-31	VYDAJ	VYBER	15	38480	SLUZBY	\N	\N
1053004	3601	1998-09-30	VYDAJ	VYBER	15	42668	SLUZBY	\N	\N
1053005	3601	1998-10-31	VYDAJ	VYBER	15	43169	SLUZBY	\N	\N
1053006	3601	1998-11-30	VYDAJ	VYBER	15	40710	SLUZBY	\N	\N
1053007	3601	1995-12-10	VYDAJ	VYBER	1600	26431	\N	\N	\N
1053008	3601	1996-10-05	VYDAJ	VYBER	2400	40484	\N	\N	\N
1053009	3601	1996-12-04	VYDAJ	VYBER	2500	46397	\N	\N	\N
1053010	3601	1997-02-02	VYDAJ	VYBER	500	45398	\N	\N	\N
1053011	3601	1997-03-04	VYDAJ	VYBER	6600	43014	\N	\N	\N
1053012	3601	1997-04-03	VYDAJ	VYBER	5600	41628	\N	\N	\N
1053013	3601	1997-05-03	VYDAJ	VYBER	4700	41135	\N	\N	\N
1053014	3601	1997-06-02	VYDAJ	VYBER	1100	40635	\N	\N	\N
1053015	3601	1997-09-30	VYDAJ	VYBER	1500	38854	\N	\N	\N
1053016	3601	1997-10-30	VYDAJ	VYBER	2600	35792	\N	\N	\N
1053017	3601	1997-11-29	VYDAJ	VYBER	2300	37677	\N	\N	\N
1053018	3601	1997-12-29	VYDAJ	VYBER	6500	32864	\N	\N	\N
1053019	3601	1998-04-28	VYDAJ	VYBER	1800	34737	\N	\N	\N
1053020	3601	1998-05-28	VYDAJ	VYBER	3400	35499	\N	\N	\N
1053021	3601	1998-10-25	VYDAJ	VYBER	3700	43001	\N	\N	\N
1053022	3601	1998-11-24	VYDAJ	VYBER	4900	42302	\N	\N	\N
1053023	3601	1998-12-24	VYDAJ	VYBER	1100	43643	\N	\N	\N
1053062	3602	1996-12-03	PRIJEM	VKLAD	600	600	\N	\N	\N
1053085	3602	1997-03-07	PRIJEM	VKLAD	9578	56022	\N	\N	\N
1053086	3602	1997-12-18	PRIJEM	VKLAD	41854	125992	\N	\N	\N
1053087	3602	1997-04-22	PRIJEM	VKLAD	17170	105527	\N	\N	\N
1053088	3602	1997-03-15	PRIJEM	VKLAD	41037	97059	\N	\N	\N
1053089	3602	1997-05-27	PRIJEM	VKLAD	17486	83840	\N	\N	\N
1053090	3602	1997-12-25	PRIJEM	VKLAD	22898	111990	\N	\N	\N
1053091	3602	1997-07-19	PRIJEM	VKLAD	25383	79703	\N	\N	\N
1053092	3602	1997-02-03	PRIJEM	VKLAD	14269	75185	\N	\N	\N
1053093	3602	1997-10-28	PRIJEM	VKLAD	40466	128557	\N	\N	\N
1053094	3602	1997-06-11	PRIJEM	VKLAD	39739	115834	\N	\N	\N
1053095	3602	1997-09-02	PRIJEM	VKLAD	42173	95878	\N	\N	\N
1053096	3602	1997-01-26	PRIJEM	VKLAD	32361	75538	\N	\N	\N
1053097	3602	1997-06-10	PRIJEM	VKLAD	41097	76095	\N	\N	\N
1053098	3602	1997-04-19	PRIJEM	VKLAD	25602	88357	\N	\N	\N
1053099	3602	1997-03-29	PRIJEM	VKLAD	6568	99805	\N	\N	\N
1053100	3602	1997-03-21	PRIJEM	VKLAD	41547	138606	\N	\N	\N
1053101	3602	1997-01-03	PRIJEM	VKLAD	30477	43177	\N	\N	\N
1053102	3602	1997-05-21	PRIJEM	VKLAD	35353	77406	\N	\N	\N
1053103	3602	1997-11-01	PRIJEM	VKLAD	7358	74049	\N	\N	\N
1053104	3602	1997-10-06	PRIJEM	VKLAD	30951	88091	\N	\N	\N
1053105	3602	1997-07-22	PRIJEM	VKLAD	45716	125419	\N	\N	\N
1053106	3602	1997-12-10	PRIJEM	VKLAD	42998	87138	\N	\N	\N
1053107	3602	1997-07-22	PRIJEM	VKLAD	35601	161020	\N	\N	\N
1053108	3602	1997-07-29	PRIJEM	VKLAD	10085	59254	\N	\N	\N
1053109	3602	1997-11-14	PRIJEM	VKLAD	37442	111491	\N	\N	\N
1053110	3602	1997-02-03	PRIJEM	VKLAD	9184	60916	\N	\N	\N
1053111	3602	1997-07-05	PRIJEM	VKLAD	7120	54320	\N	\N	\N
1053112	3602	1997-08-27	PRIJEM	VKLAD	31355	73341	\N	\N	\N
1053113	3602	1998-09-30	PRIJEM	VKLAD	5815	48647	\N	\N	\N
1053114	3602	1998-02-10	PRIJEM	VKLAD	20685	48049	\N	\N	\N
1053115	3602	1998-08-11	PRIJEM	VKLAD	19658	87305	\N	\N	\N
1053116	3602	1998-10-14	PRIJEM	VKLAD	34199	111253	\N	\N	\N
1053117	3602	1998-11-04	PRIJEM	VKLAD	41635	124207	\N	\N	\N
1053118	3602	1998-02-27	PRIJEM	VKLAD	10178	42612	\N	\N	\N
1053119	3602	1998-10-06	PRIJEM	VKLAD	34121	82754	\N	\N	\N
1053120	3602	1998-09-25	PRIJEM	VKLAD	20619	59771	\N	\N	\N
1053121	3602	1998-08-11	PRIJEM	VKLAD	20706	67647	\N	\N	\N
1053122	3602	1998-04-20	PRIJEM	VKLAD	13459	35890	\N	\N	\N
1053123	3602	1998-01-24	PRIJEM	VKLAD	33462	58636	\N	\N	\N
1053124	3602	1998-07-20	PRIJEM	VKLAD	12972	43415	\N	\N	\N
1053125	3602	1998-12-28	PRIJEM	VKLAD	26457	77908	\N	\N	\N
1053126	3602	1998-12-24	PRIJEM	VKLAD	16401	70572	\N	\N	\N
1053131	3602	1997-05-14	VYBER	VYBER	14849	42053	\N	\N	\N
1053132	3602	1997-05-24	VYBER	VYBER	11052	66354	\N	\N	\N
1053134	3602	1997-03-27	VYBER	VYBER	23669	93237	\N	\N	\N
1053137	3602	1997-07-24	VYBER	VYBER	20451	49169	\N	\N	\N
1053139	3602	1997-05-31	VYBER	VYBER	9632	74513	\N	\N	\N
1053140	3602	1997-05-09	VYBER	VYBER	5830	56902	\N	\N	\N
1053141	3602	1997-09-10	VYBER	VYBER	5146	90732	\N	\N	\N
1053144	3602	1998-08-16	VYBER	VYBER	11741	54036	\N	\N	\N
1053145	3602	1998-12-26	VYBER	VYBER	16418	51451	\N	\N	\N
1053146	3602	1998-02-15	VYBER	VYBER	7715	40334	\N	\N	\N
1053147	3602	1998-09-24	VYBER	VYBER	12676	39152	\N	\N	\N
1053148	3602	1998-03-08	VYBER	VYBER	13443	21805	\N	\N	\N
1053149	3602	1998-06-28	VYBER	VYBER	4900	30332	\N	\N	\N
1053150	3602	1998-02-27	VYBER	VYBER	7488	35124	\N	\N	\N
1053151	3602	1998-08-13	VYBER	VYBER	21528	65777	\N	\N	\N
1053152	3602	1998-05-11	VYBER	VYBER	7157	24217	\N	\N	\N
1053153	3602	1998-12-24	VYBER	VYBER	2703	67869	\N	\N	\N
1053154	3602	1998-09-25	VYBER	VYBER	17112	42659	\N	\N	\N
1053160	3602	1998-01-25	VYDAJ	VYBER	29400	29236	\N	\N	\N
1053162	3602	1997-12-10	VYDAJ	VYBER KARTOU	3000	84138	\N	\N	0
1053163	3602	1998-12-08	VYDAJ	VYBER KARTOU	2100	57571	\N	\N	0
1053176	3602	1998-01-09	VYDAJ	VYBER	8400	32674	\N	\N	\N
1053177	3602	1998-01-14	VYDAJ	VYBER KARTOU	3300	26974	\N	\N	0
1053178	3602	1998-01-08	VYDAJ	VYBER	7500	41074	\N	\N	\N
1053180	3602	1998-01-16	VYDAJ	VYBER KARTOU	1800	25174	\N	\N	0
1053181	3602	1998-01-11	VYDAJ	VYBER KARTOU	2400	30274	\N	\N	0
1053187	3602	1997-06-06	VYDAJ	VYBER	11700	34998	\N	\N	\N
1053188	3602	1998-08-30	VYDAJ	VYBER	9000	37336	\N	\N	\N
1053189	3602	1998-10-11	VYDAJ	VYBER	5700	77054	\N	\N	\N
1053191	3602	1998-08-18	VYDAJ	VYBER	13800	40236	\N	\N	\N
1053208	3602	1997-03-31	VYDAJ	VYBER	15	100155	SLUZBY	\N	\N
1053209	3602	1997-04-30	VYDAJ	VYBER	15	105932	SLUZBY	\N	\N
1053210	3602	1997-05-31	VYDAJ	VYBER	15	74498	SLUZBY	\N	\N
1053211	3602	1997-06-30	VYDAJ	VYBER	15	71800	SLUZBY	\N	\N
1053212	3602	1997-07-31	VYDAJ	VYBER	15	41986	SLUZBY	\N	\N
1053213	3602	1997-08-31	VYDAJ	VYBER	15	53705	SLUZBY	\N	\N
1053214	3602	1997-09-30	VYDAJ	VYBER	15	57140	SLUZBY	\N	\N
1053215	3602	1997-10-31	VYDAJ	VYBER	15	66691	SLUZBY	\N	\N
1053216	3602	1997-11-30	VYDAJ	VYBER	15	44140	SLUZBY	\N	\N
1053217	3602	1997-12-31	VYDAJ	VYBER	15	48574	SLUZBY	\N	\N
1053218	3602	1998-01-31	VYDAJ	VYBER	15	27364	SLUZBY	\N	\N
1053219	3602	1998-02-28	VYDAJ	VYBER	15	35248	SLUZBY	\N	\N
1053220	3602	1998-03-31	VYDAJ	VYBER	15	22431	SLUZBY	\N	\N
1053221	3602	1998-04-30	VYDAJ	VYBER	15	31374	SLUZBY	\N	\N
1053222	3602	1998-05-31	VYDAJ	VYBER	15	30132	SLUZBY	\N	\N
1053223	3602	1998-06-30	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
1053224	3602	1998-07-31	VYDAJ	VYBER	15	46941	SLUZBY	\N	\N
1053225	3602	1998-08-31	VYDAJ	VYBER	15	37528	SLUZBY	\N	\N
1053226	3602	1998-09-30	VYDAJ	VYBER	15	48633	SLUZBY	\N	\N
1053227	3602	1998-10-31	VYDAJ	VYBER	15	82572	SLUZBY	\N	\N
1053228	3602	1998-11-30	VYDAJ	VYBER	15	59671	SLUZBY	\N	\N
1053229	3602	1997-01-02	PRIJEM	VKLAD	12100	12700	\N	\N	\N
1053230	3602	1997-02-01	VYDAJ	VYBER	24000	51732	\N	\N	\N
1053231	3602	1997-03-03	VYDAJ	VYBER	29000	46444	\N	\N	\N
1053232	3602	1997-03-21	VYDAJ	VYBER	21700	116906	\N	\N	\N
1053233	3602	1997-04-02	VYDAJ	VYBER	37400	62755	\N	\N	\N
1053234	3602	1997-05-02	VYDAJ	VYBER	43200	62732	\N	\N	\N
1053235	3602	1997-06-01	VYDAJ	VYBER	27800	46698	\N	\N	\N
1053236	3602	1997-06-11	VYDAJ	VYBER	44300	71534	\N	\N	\N
1053237	3602	1997-07-01	VYDAJ	VYBER	24600	47200	\N	\N	\N
1053238	3602	1997-07-22	VYDAJ	VYBER	56000	69620	\N	\N	\N
1053239	3602	1997-07-22	VYDAJ	VYBER	35400	125620	\N	\N	\N
1053240	3602	1997-07-31	VYDAJ	VYBER	17500	42001	\N	\N	\N
1053241	3602	1997-08-30	VYDAJ	VYBER	19800	53541	\N	\N	\N
1053242	3602	1997-09-29	VYDAJ	VYBER	33900	56832	\N	\N	\N
1053243	3602	1997-10-28	VYDAJ	VYBER	22000	106557	\N	\N	\N
1053244	3602	1997-10-29	VYDAJ	VYBER	40100	66457	\N	\N	\N
1053245	3602	1997-11-14	VYDAJ	VYBER	47500	63991	\N	\N	\N
1053246	3602	1997-11-28	VYDAJ	VYBER	20100	43891	\N	\N	\N
1053247	3602	1997-12-18	VYDAJ	VYBER	36900	89092	\N	\N	\N
1053248	3602	1997-12-25	VYDAJ	VYBER	40100	71890	\N	\N	\N
1053249	3602	1997-12-28	VYDAJ	VYBER	23600	48290	\N	\N	\N
1053250	3602	1998-01-27	VYDAJ	VYBER KARTOU	2000	27236	\N	\N	0
1053251	3602	1998-02-26	VYDAJ	VYBER	7900	32434	\N	\N	\N
1053252	3602	1998-03-28	PRIJEM	VKLAD	500	22305	\N	\N	\N
1053253	3602	1998-04-27	VYDAJ	VYBER	4600	31290	\N	\N	\N
1053254	3602	1998-05-27	PRIJEM	VKLAD	5800	30017	\N	\N	\N
1053255	3602	1998-06-26	PRIJEM	VKLAD	5100	35232	\N	\N	\N
1053256	3602	1998-07-26	PRIJEM	VKLAD	3400	46815	\N	\N	\N
1053257	3602	1998-08-25	PRIJEM	VKLAD	6100	46336	\N	\N	\N
1053258	3602	1998-09-24	PRIJEM	VKLAD	14300	51828	\N	\N	\N
1053259	3602	1998-10-24	VYDAJ	VYBER	29000	82253	\N	\N	\N
1053260	3602	1998-11-04	VYDAJ	VYBER	56600	67607	\N	\N	\N
1053261	3602	1998-11-23	VYDAJ	VYBER	8200	59407	\N	\N	\N
1053262	3602	1998-12-23	VYDAJ	VYBER KARTOU	3400	54171	\N	\N	0
1053287	3603	1997-09-17	PRIJEM	VKLAD	600	600	\N	\N	\N
1053297	3603	1997-10-14	PRIJEM	VKLAD	18452	19052	\N	\N	\N
1053298	3603	1997-11-14	PRIJEM	VKLAD	18452	42252	\N	\N	\N
1053299	3603	1997-12-14	PRIJEM	VKLAD	27678	63554	\N	\N	\N
1053300	3603	1998-01-14	PRIJEM	VKLAD	18452	68886	\N	\N	\N
1053301	3603	1998-02-14	PRIJEM	VKLAD	18452	70250	\N	\N	\N
1053302	3603	1998-03-14	PRIJEM	VKLAD	18452	58511	\N	\N	\N
1053303	3603	1998-04-14	PRIJEM	VKLAD	18452	55363	\N	\N	\N
1053304	3603	1998-05-14	PRIJEM	VKLAD	18452	57105	\N	\N	\N
1053305	3603	1998-06-14	PRIJEM	VKLAD	27678	40982	\N	\N	\N
1053306	3603	1998-07-14	PRIJEM	VKLAD	18452	48788	\N	\N	\N
1053307	3603	1998-08-14	PRIJEM	VKLAD	18452	52510	\N	\N	\N
1053308	3603	1998-09-14	PRIJEM	VKLAD	18452	59763	\N	\N	\N
1053309	3603	1998-10-14	PRIJEM	VKLAD	18452	60249	\N	\N	\N
1053310	3603	1998-11-14	PRIJEM	VKLAD	18452	65044	\N	\N	\N
1053311	3603	1998-12-14	PRIJEM	VKLAD	27678	72879	\N	\N	\N
1053326	3603	1998-03-09	VYDAJ	PREVOD NA UCET	7883	40059	SIPO	UV	31472325
1053327	3603	1998-04-09	VYDAJ	PREVOD NA UCET	7883	36911	SIPO	UV	31472325
1053328	3603	1998-05-09	VYDAJ	PREVOD NA UCET	7883	38653	SIPO	UV	31472325
1053329	3603	1998-06-09	VYDAJ	PREVOD NA UCET	7883	13304	SIPO	UV	31472325
1053330	3603	1998-07-09	VYDAJ	PREVOD NA UCET	7883	30336	SIPO	UV	31472325
1053331	3603	1998-08-09	VYDAJ	PREVOD NA UCET	7883	33958	SIPO	UV	31472325
1053332	3603	1998-09-09	VYDAJ	PREVOD NA UCET	7883	44811	SIPO	UV	31472325
1053333	3603	1998-10-09	VYDAJ	PREVOD NA UCET	7883	50697	SIPO	UV	31472325
1053334	3603	1998-11-09	VYDAJ	PREVOD NA UCET	7883	50592	SIPO	UV	31472325
1053335	3603	1998-12-09	VYDAJ	PREVOD NA UCET	7883	57401	SIPO	UV	31472325
1053337	3603	1998-06-03	VYDAJ	VYBER	25800	21187	\N	\N	\N
1053341	3603	1998-12-13	VYDAJ	VYBER	1800	45201	\N	\N	\N
1053345	3603	1998-10-22	VYDAJ	VYBER	2000	58249	\N	\N	\N
1053346	3603	1998-09-19	VYDAJ	VYBER	1400	58363	\N	\N	\N
1053347	3603	1998-04-08	VYDAJ	VYBER	1000	44794	\N	\N	\N
1053362	3603	1998-02-28	VYDAJ	VYBER	15	47942	SLUZBY	\N	\N
1053363	3603	1998-03-31	VYDAJ	VYBER	15	45794	SLUZBY	\N	\N
1053364	3603	1998-04-30	VYDAJ	VYBER	15	46536	SLUZBY	\N	\N
1053365	3603	1998-05-31	VYDAJ	VYBER	15	46987	SLUZBY	\N	\N
1053366	3603	1998-06-30	VYDAJ	VYBER	15	38219	SLUZBY	\N	\N
1053367	3603	1998-07-31	VYDAJ	VYBER	15	41841	SLUZBY	\N	\N
1053368	3603	1998-08-31	VYDAJ	VYBER	15	52694	SLUZBY	\N	\N
1053369	3603	1998-09-30	VYDAJ	VYBER	15	58580	SLUZBY	\N	\N
1053370	3603	1998-10-31	VYDAJ	VYBER	15	58475	SLUZBY	\N	\N
1053371	3603	1998-11-30	VYDAJ	VYBER	15	65284	SLUZBY	\N	\N
1053372	3603	1997-10-17	PRIJEM	VKLAD	4700	23752	\N	\N	\N
1053373	3603	1997-11-16	VYDAJ	VYBER	6500	35752	\N	\N	\N
1053374	3603	1997-12-16	VYDAJ	VYBER	13300	50254	\N	\N	\N
1053375	3603	1998-01-15	VYDAJ	VYBER	17300	51586	\N	\N	\N
1053376	3603	1998-02-14	VYDAJ	VYBER	22500	47750	\N	\N	\N
1053377	3603	1998-03-16	VYDAJ	VYBER	12900	45611	\N	\N	\N
1053378	3603	1998-04-15	VYDAJ	VYBER	9000	46363	\N	\N	\N
1053379	3603	1998-05-15	VYDAJ	VYBER	10300	46805	\N	\N	\N
1053380	3603	1998-06-14	VYDAJ	VYBER	2900	38082	\N	\N	\N
1053381	3603	1998-07-14	VYDAJ	VYBER	7100	41688	\N	\N	\N
1053382	3603	1998-08-13	PRIJEM	VKLAD	100	34058	\N	\N	\N
1053383	3603	1998-09-12	VYDAJ	VYBER	3500	41311	\N	\N	\N
1053384	3603	1998-10-12	VYDAJ	VYBER	8900	41797	\N	\N	\N
1053385	3603	1998-11-11	VYDAJ	VYBER	4000	46592	\N	\N	\N
1053386	3603	1998-12-11	VYDAJ	VYBER	10400	47001	\N	\N	\N
1053402	3604	1993-12-22	PRIJEM	VKLAD	500	500	\N	\N	\N
1053415	3604	1994-01-07	PRIJEM	PREVOD Z UCTU	6945	7445	DUCHOD	YZ	9589982
1053416	3604	1994-02-07	PRIJEM	PREVOD Z UCTU	6945	14390	DUCHOD	YZ	9589982
1053417	3604	1994-03-07	PRIJEM	PREVOD Z UCTU	6945	21335	DUCHOD	YZ	9589982
1053418	3604	1994-04-07	PRIJEM	PREVOD Z UCTU	6945	28280	DUCHOD	YZ	9589982
1053419	3604	1994-05-07	PRIJEM	PREVOD Z UCTU	6945	33762	DUCHOD	YZ	9589982
1053420	3604	1994-06-07	PRIJEM	PREVOD Z UCTU	6945	33916	DUCHOD	YZ	9589982
1053421	3604	1994-07-07	PRIJEM	PREVOD Z UCTU	6945	23208	DUCHOD	YZ	9589982
1053422	3604	1994-08-07	PRIJEM	PREVOD Z UCTU	6945	26323	DUCHOD	YZ	9589982
1053423	3604	1994-09-07	PRIJEM	PREVOD Z UCTU	6945	29450	DUCHOD	YZ	9589982
1053424	3604	1994-10-07	PRIJEM	PREVOD Z UCTU	6945	31489	DUCHOD	YZ	9589982
1053425	3604	1994-11-07	PRIJEM	PREVOD Z UCTU	6945	32754	DUCHOD	YZ	9589982
1053426	3604	1994-12-07	PRIJEM	PREVOD Z UCTU	6945	35459	DUCHOD	YZ	9589982
1053427	3604	1995-01-07	PRIJEM	PREVOD Z UCTU	6945	38326	DUCHOD	YZ	9589982
1053428	3604	1995-02-07	PRIJEM	PREVOD Z UCTU	6945	28100	DUCHOD	YZ	9589982
1053429	3604	1995-03-07	PRIJEM	PREVOD Z UCTU	6945	31238	DUCHOD	YZ	9589982
1053430	3604	1995-04-07	PRIJEM	PREVOD Z UCTU	6945	34386	DUCHOD	YZ	9589982
1053431	3604	1995-05-07	PRIJEM	PREVOD Z UCTU	6945	33861	DUCHOD	YZ	9589982
1053432	3604	1995-06-07	PRIJEM	PREVOD Z UCTU	6945	35918	DUCHOD	YZ	9589982
1053433	3604	1995-07-07	PRIJEM	PREVOD Z UCTU	6945	31712	DUCHOD	YZ	9589982
1053434	3604	1995-08-07	PRIJEM	PREVOD Z UCTU	6945	34862	DUCHOD	YZ	9589982
1053435	3604	1995-09-07	PRIJEM	PREVOD Z UCTU	6945	38025	DUCHOD	YZ	9589982
1053436	3604	1995-10-07	PRIJEM	PREVOD Z UCTU	6945	38595	DUCHOD	YZ	9589982
1053437	3604	1995-11-07	PRIJEM	PREVOD Z UCTU	6945	37763	DUCHOD	YZ	9589982
1053438	3604	1995-12-07	PRIJEM	PREVOD Z UCTU	6945	35524	DUCHOD	YZ	9589982
1053439	3604	1996-01-07	PRIJEM	PREVOD Z UCTU	6945	30522	DUCHOD	YZ	9589982
1053440	3604	1996-02-07	PRIJEM	PREVOD Z UCTU	6945	24592	DUCHOD	YZ	9589982
1053441	3604	1996-03-07	PRIJEM	PREVOD Z UCTU	6945	27712	DUCHOD	YZ	9589982
1053442	3604	1996-04-07	PRIJEM	PREVOD Z UCTU	6945	30644	DUCHOD	YZ	9589982
1053443	3604	1996-05-07	PRIJEM	PREVOD Z UCTU	6945	32285	DUCHOD	YZ	9589982
1053444	3604	1996-06-07	PRIJEM	PREVOD Z UCTU	6945	28187	DUCHOD	YZ	9589982
1053445	3604	1996-07-07	PRIJEM	PREVOD Z UCTU	6945	31329	DUCHOD	YZ	9589982
1053446	3604	1996-08-07	PRIJEM	PREVOD Z UCTU	6945	34188	DUCHOD	YZ	9589982
1053447	3604	1996-09-07	PRIJEM	PREVOD Z UCTU	6945	27327	DUCHOD	YZ	9589982
1053448	3604	1996-10-07	PRIJEM	PREVOD Z UCTU	6945	30360	DUCHOD	YZ	9589982
1053449	3604	1996-11-07	PRIJEM	PREVOD Z UCTU	6945	28288	DUCHOD	YZ	9589982
1053450	3604	1996-12-07	PRIJEM	PREVOD Z UCTU	6945	30122	DUCHOD	YZ	9589982
1053451	3604	1997-01-07	PRIJEM	PREVOD Z UCTU	6945	26741	DUCHOD	YZ	9589982
1053452	3604	1997-02-07	PRIJEM	PREVOD Z UCTU	6945	24260	DUCHOD	YZ	9589982
1053453	3604	1997-03-07	PRIJEM	PREVOD Z UCTU	6945	24817	DUCHOD	YZ	9589982
1053454	3604	1997-04-07	PRIJEM	PREVOD Z UCTU	6945	27937	DUCHOD	YZ	9589982
1053455	3604	1997-05-07	PRIJEM	PREVOD Z UCTU	6945	29870	DUCHOD	YZ	9589982
1053456	3604	1997-06-07	PRIJEM	PREVOD Z UCTU	6945	33013	DUCHOD	YZ	9589982
1053457	3604	1997-07-07	PRIJEM	PREVOD Z UCTU	6945	24685	DUCHOD	YZ	9589982
1053458	3604	1997-08-07	PRIJEM	PREVOD Z UCTU	6945	26362	DUCHOD	YZ	9589982
1053459	3604	1997-09-07	PRIJEM	PREVOD Z UCTU	6945	26188	DUCHOD	YZ	9589982
1053460	3604	1997-10-07	PRIJEM	PREVOD Z UCTU	6945	29318	DUCHOD	YZ	9589982
1053461	3604	1997-11-07	PRIJEM	PREVOD Z UCTU	6945	32457	DUCHOD	YZ	9589982
1053462	3604	1997-12-07	PRIJEM	PREVOD Z UCTU	6945	35608	DUCHOD	YZ	9589982
1053463	3604	1998-01-07	PRIJEM	PREVOD Z UCTU	6945	37771	DUCHOD	YZ	9589982
1053464	3604	1998-02-07	PRIJEM	PREVOD Z UCTU	6945	33335	DUCHOD	YZ	9589982
1053465	3604	1998-03-07	PRIJEM	PREVOD Z UCTU	6945	35849	DUCHOD	YZ	9589982
1053466	3604	1998-04-07	PRIJEM	PREVOD Z UCTU	6945	34587	DUCHOD	YZ	9589982
1053467	3604	1998-05-07	PRIJEM	PREVOD Z UCTU	6945	37747	DUCHOD	YZ	9589982
1053468	3604	1998-06-07	PRIJEM	PREVOD Z UCTU	6945	35020	DUCHOD	YZ	9589982
1053469	3604	1998-07-07	PRIJEM	PREVOD Z UCTU	6945	38188	DUCHOD	YZ	9589982
1053470	3604	1998-08-07	PRIJEM	PREVOD Z UCTU	6945	41363	DUCHOD	YZ	9589982
1053471	3604	1998-09-07	PRIJEM	PREVOD Z UCTU	6945	44551	DUCHOD	YZ	9589982
1053472	3604	1998-10-07	PRIJEM	PREVOD Z UCTU	6945	44467	DUCHOD	YZ	9589982
1053473	3604	1998-11-07	PRIJEM	PREVOD Z UCTU	6945	45746	DUCHOD	YZ	9589982
1053474	3604	1998-12-07	PRIJEM	PREVOD Z UCTU	6945	48952	DUCHOD	YZ	9589982
1053491	3604	1994-05-09	VYDAJ	PREVOD NA UCET	3893	29869	SIPO	ST	88427799
1053492	3604	1994-06-09	VYDAJ	PREVOD NA UCET	3893	30023	SIPO	ST	88427799
1053493	3604	1994-07-09	VYDAJ	PREVOD NA UCET	3893	19315	SIPO	ST	88427799
1053494	3604	1994-08-09	VYDAJ	PREVOD NA UCET	3893	22430	SIPO	ST	88427799
1053495	3604	1994-09-09	VYDAJ	PREVOD NA UCET	3893	25557	SIPO	ST	88427799
1053496	3604	1994-10-09	VYDAJ	PREVOD NA UCET	3893	26716	SIPO	ST	88427799
1053497	3604	1994-11-09	VYDAJ	PREVOD NA UCET	3893	28861	SIPO	ST	88427799
1053498	3604	1994-12-09	VYDAJ	PREVOD NA UCET	3893	31566	SIPO	ST	88427799
1053499	3604	1995-01-09	VYDAJ	PREVOD NA UCET	3893	34033	SIPO	ST	88427799
1053500	3604	1995-02-09	VYDAJ	PREVOD NA UCET	3893	24207	SIPO	ST	88427799
1053501	3604	1995-03-09	VYDAJ	PREVOD NA UCET	3893	27345	SIPO	ST	88427799
1053502	3604	1995-04-09	VYDAJ	PREVOD NA UCET	3893	30493	SIPO	ST	88427799
1053503	3604	1995-05-09	VYDAJ	PREVOD NA UCET	3893	29968	SIPO	ST	88427799
1053504	3604	1995-06-09	VYDAJ	PREVOD NA UCET	3893	24675	SIPO	ST	88427799
1053505	3604	1995-07-09	VYDAJ	PREVOD NA UCET	3893	27819	SIPO	ST	88427799
1053506	3604	1995-08-09	VYDAJ	PREVOD NA UCET	3893	30969	SIPO	ST	88427799
1053507	3604	1995-09-09	VYDAJ	PREVOD NA UCET	3893	34132	SIPO	ST	88427799
1053508	3604	1995-10-09	VYDAJ	PREVOD NA UCET	3893	34702	SIPO	ST	88427799
1053509	3604	1995-11-09	VYDAJ	PREVOD NA UCET	3893	33870	SIPO	ST	88427799
1053510	3604	1995-12-09	VYDAJ	PREVOD NA UCET	3893	31631	SIPO	ST	88427799
1053511	3604	1996-01-09	VYDAJ	PREVOD NA UCET	3893	26629	SIPO	ST	88427799
1053512	3604	1996-02-09	VYDAJ	PREVOD NA UCET	3893	20699	SIPO	ST	88427799
1053513	3604	1996-03-09	VYDAJ	PREVOD NA UCET	3893	23819	SIPO	ST	88427799
1053514	3604	1996-04-09	VYDAJ	PREVOD NA UCET	3893	26751	SIPO	ST	88427799
1053515	3604	1996-05-09	VYDAJ	PREVOD NA UCET	3893	28392	SIPO	ST	88427799
1053516	3604	1996-06-09	VYDAJ	PREVOD NA UCET	3893	24294	SIPO	ST	88427799
1053517	3604	1996-07-09	VYDAJ	PREVOD NA UCET	3893	27136	SIPO	ST	88427799
1053518	3604	1996-08-09	VYDAJ	PREVOD NA UCET	3893	24615	SIPO	ST	88427799
1053519	3604	1996-09-09	VYDAJ	PREVOD NA UCET	3893	23334	SIPO	ST	88427799
1053520	3604	1996-10-09	VYDAJ	PREVOD NA UCET	3893	21267	SIPO	ST	88427799
1053521	3604	1996-11-09	VYDAJ	PREVOD NA UCET	3893	24395	SIPO	ST	88427799
1053522	3604	1996-12-09	VYDAJ	PREVOD NA UCET	3893	26229	SIPO	ST	88427799
1053523	3604	1997-01-09	VYDAJ	PREVOD NA UCET	3893	22848	SIPO	ST	88427799
1053524	3604	1997-02-09	VYDAJ	PREVOD NA UCET	3893	20367	SIPO	ST	88427799
1053525	3604	1997-03-09	VYDAJ	PREVOD NA UCET	3893	20924	SIPO	ST	88427799
1053526	3604	1997-04-09	VYDAJ	PREVOD NA UCET	3893	24044	SIPO	ST	88427799
1053527	3604	1997-05-09	VYDAJ	PREVOD NA UCET	3893	25977	SIPO	ST	88427799
1053528	3604	1997-06-09	VYDAJ	PREVOD NA UCET	3893	29120	SIPO	ST	88427799
1053529	3604	1997-07-09	VYDAJ	PREVOD NA UCET	3893	20792	SIPO	ST	88427799
1053530	3604	1997-08-09	VYDAJ	PREVOD NA UCET	3893	22469	SIPO	ST	88427799
1053531	3604	1997-09-09	VYDAJ	PREVOD NA UCET	3893	22295	SIPO	ST	88427799
1053532	3604	1997-10-09	VYDAJ	PREVOD NA UCET	3893	25425	SIPO	ST	88427799
1053533	3604	1997-11-09	VYDAJ	PREVOD NA UCET	3893	28564	SIPO	ST	88427799
1053534	3604	1997-12-09	VYDAJ	PREVOD NA UCET	3893	31715	SIPO	ST	88427799
1053535	3604	1998-01-09	VYDAJ	PREVOD NA UCET	3893	33878	SIPO	ST	88427799
1053536	3604	1998-02-09	VYDAJ	PREVOD NA UCET	3893	29442	SIPO	ST	88427799
1053537	3604	1998-03-09	VYDAJ	PREVOD NA UCET	3893	31956	SIPO	ST	88427799
1053538	3604	1998-04-09	VYDAJ	PREVOD NA UCET	3893	30694	SIPO	ST	88427799
1053539	3604	1998-05-09	VYDAJ	PREVOD NA UCET	3893	33854	SIPO	ST	88427799
1053540	3604	1998-06-09	VYDAJ	PREVOD NA UCET	3893	31127	SIPO	ST	88427799
1053541	3604	1998-07-09	VYDAJ	PREVOD NA UCET	3893	34295	SIPO	ST	88427799
1053542	3604	1998-08-09	VYDAJ	PREVOD NA UCET	3893	37470	SIPO	ST	88427799
1053543	3604	1998-09-09	VYDAJ	PREVOD NA UCET	3893	40658	SIPO	ST	88427799
1053544	3604	1998-10-09	VYDAJ	PREVOD NA UCET	3893	40574	SIPO	ST	88427799
1053545	3604	1998-11-09	VYDAJ	PREVOD NA UCET	3893	41853	SIPO	ST	88427799
1053546	3604	1998-12-09	VYDAJ	PREVOD NA UCET	3893	45059	SIPO	ST	88427799
1053548	3604	1994-06-23	VYDAJ	VYBER	7650	18173	\N	\N	\N
1053549	3604	1995-06-08	VYDAJ	VYBER	7350	28568	\N	\N	\N
1053550	3604	1996-06-05	VYDAJ	VYBER	7250	21242	\N	\N	\N
1053551	3604	1997-06-11	VYDAJ	VYBER	11450	17670	\N	\N	\N
1053552	3604	1998-06-03	VYDAJ	VYBER	5900	28075	\N	\N	\N
1053554	3604	1994-12-01	VYDAJ	VYBER	450	28514	\N	\N	\N
1053555	3604	1995-12-29	VYDAJ	VYBER	1400	26271	\N	\N	\N
1053556	3604	1996-12-19	VYDAJ	VYBER	1300	24929	\N	\N	\N
1053557	3604	1997-12-17	VYDAJ	VYBER	1000	30715	\N	\N	\N
1053558	3604	1998-12-15	VYDAJ	VYBER	500	44559	\N	\N	\N
1053571	3604	1995-01-08	VYDAJ	VYBER	400	37926	\N	\N	\N
1053572	3604	1995-01-22	VYDAJ	VYBER	2080	24413	\N	\N	\N
1053573	3604	1995-01-10	VYDAJ	VYBER	2160	31873	\N	\N	\N
1053574	3604	1995-01-28	VYDAJ	VYBER	1520	22893	\N	\N	\N
1053575	3604	1995-01-16	VYDAJ	VYBER	1280	26493	\N	\N	\N
1053576	3604	1995-01-11	VYDAJ	VYBER	1520	30353	\N	\N	\N
1053577	3604	1996-01-13	VYDAJ	VYBER	720	21009	\N	\N	\N
1053578	3604	1996-01-05	VYDAJ	VYBER	2320	23577	\N	\N	\N
1053579	3604	1996-01-26	VYDAJ	VYBER	640	19329	\N	\N	\N
1053580	3604	1996-01-01	VYDAJ	VYBER	480	25897	\N	\N	\N
1053581	3604	1996-01-24	VYDAJ	VYBER	1040	19969	\N	\N	\N
1053582	3604	1996-01-28	VYDAJ	VYBER	1760	17569	\N	\N	\N
1053583	3604	1997-01-13	VYDAJ	VYBER	1280	20768	\N	\N	\N
1053584	3604	1997-01-16	VYDAJ	VYBER	720	18528	\N	\N	\N
1053585	3604	1997-01-14	VYDAJ	VYBER	1520	19248	\N	\N	\N
1053586	3604	1997-01-12	VYDAJ	VYBER	800	22048	\N	\N	\N
1053587	3604	1997-01-22	VYDAJ	VYBER	1280	17248	\N	\N	\N
1053588	3604	1997-01-01	VYDAJ	VYBER	560	20696	\N	\N	\N
1053589	3604	1998-01-28	VYDAJ	VYBER	2080	26998	\N	\N	\N
1053590	3604	1998-01-12	VYDAJ	VYBER	1200	32678	\N	\N	\N
1053591	3604	1998-01-28	VYDAJ	VYBER	720	26278	\N	\N	\N
1053592	3604	1998-01-17	VYDAJ	VYBER	1600	31078	\N	\N	\N
1053593	3604	1998-01-24	VYDAJ	VYBER	1280	29078	\N	\N	\N
1053594	3604	1998-01-24	VYDAJ	VYBER	720	30358	\N	\N	\N
1053601	3604	1994-06-23	VYDAJ	VYBER	2000	16173	\N	\N	\N
1053603	3604	1994-10-08	VYDAJ	VYBER	880	30609	\N	\N	\N
1053604	3604	1995-01-15	VYDAJ	VYBER	2080	28273	\N	\N	\N
1053605	3604	1995-12-25	VYDAJ	VYBER	2160	27671	\N	\N	\N
1053606	3604	1995-04-19	VYDAJ	VYBER	3680	26813	\N	\N	\N
1053607	3604	1995-02-03	VYDAJ	VYBER	1840	21155	\N	\N	\N
1053608	3604	1996-08-27	VYDAJ	VYBER	1440	20295	\N	\N	\N
1053609	3604	1996-08-07	VYDAJ	VYBER	480	33708	\N	\N	\N
1053610	3604	1996-08-25	VYDAJ	VYBER	2880	21735	\N	\N	\N
1053611	3604	1996-01-12	VYDAJ	VYBER	2400	21729	\N	\N	\N
1053612	3604	1996-12-24	VYDAJ	VYBER	3760	21169	\N	\N	\N
1053613	3604	1997-07-19	VYDAJ	VYBER	1440	19352	\N	\N	\N
1053614	3604	1997-04-30	VYDAJ	VYBER	1200	22925	\N	\N	\N
1053615	3604	1997-02-27	VYDAJ	VYBER	2560	17807	\N	\N	\N
1053616	3604	1998-02-18	VYDAJ	VYBER	640	28802	\N	\N	\N
1053617	3604	1998-10-26	VYDAJ	VYBER	1520	39054	\N	\N	\N
1053618	3604	1998-03-13	VYDAJ	VYBER	2720	29236	\N	\N	\N
1053619	3604	1998-09-19	VYDAJ	VYBER	3280	37378	\N	\N	\N
1053637	3604	1994-05-31	VYDAJ	VYBER	15	26971	SLUZBY	\N	\N
1053638	3604	1994-06-30	VYDAJ	VYBER	15	16263	SLUZBY	\N	\N
1053639	3604	1994-07-31	VYDAJ	VYBER	15	19378	SLUZBY	\N	\N
1053640	3604	1994-08-31	VYDAJ	VYBER	15	22505	SLUZBY	\N	\N
1053641	3604	1994-09-30	VYDAJ	VYBER	15	24544	SLUZBY	\N	\N
1053642	3604	1994-10-31	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
1053643	3604	1994-11-30	VYDAJ	VYBER	15	28964	SLUZBY	\N	\N
1053644	3604	1994-12-31	VYDAJ	VYBER	15	31381	SLUZBY	\N	\N
1053645	3604	1995-01-31	VYDAJ	VYBER	15	22995	SLUZBY	\N	\N
1053646	3604	1995-02-28	VYDAJ	VYBER	15	24293	SLUZBY	\N	\N
1053647	3604	1995-03-31	VYDAJ	VYBER	15	27441	SLUZBY	\N	\N
1053648	3604	1995-04-30	VYDAJ	VYBER	15	26916	SLUZBY	\N	\N
1053649	3604	1995-05-31	VYDAJ	VYBER	15	28973	SLUZBY	\N	\N
1053650	3604	1995-06-30	VYDAJ	VYBER	15	24767	SLUZBY	\N	\N
1053651	3604	1995-07-31	VYDAJ	VYBER	15	27917	SLUZBY	\N	\N
1053652	3604	1995-08-31	VYDAJ	VYBER	15	31080	SLUZBY	\N	\N
1053653	3604	1995-09-30	VYDAJ	VYBER	15	31650	SLUZBY	\N	\N
1053654	3604	1995-10-31	VYDAJ	VYBER	15	30818	SLUZBY	\N	\N
1053655	3604	1995-11-30	VYDAJ	VYBER	15	28579	SLUZBY	\N	\N
1053656	3604	1995-12-31	VYDAJ	VYBER	15	26377	SLUZBY	\N	\N
1053657	3604	1996-01-31	VYDAJ	VYBER	15	17647	SLUZBY	\N	\N
1053658	3604	1996-02-29	VYDAJ	VYBER	15	20767	SLUZBY	\N	\N
1053659	3604	1996-03-31	VYDAJ	VYBER	15	23699	SLUZBY	\N	\N
1053660	3604	1996-04-30	VYDAJ	VYBER	15	25340	SLUZBY	\N	\N
1053661	3604	1996-05-31	VYDAJ	VYBER	15	28492	SLUZBY	\N	\N
1053662	3604	1996-06-30	VYDAJ	VYBER	15	24384	SLUZBY	\N	\N
1053663	3604	1996-07-31	VYDAJ	VYBER	15	27243	SLUZBY	\N	\N
1053664	3604	1996-08-31	VYDAJ	VYBER	15	20382	SLUZBY	\N	\N
1053665	3604	1996-09-30	VYDAJ	VYBER	15	23415	SLUZBY	\N	\N
1053666	3604	1996-10-31	VYDAJ	VYBER	15	21343	SLUZBY	\N	\N
1053667	3604	1996-11-30	VYDAJ	VYBER	15	24477	SLUZBY	\N	\N
1053668	3604	1996-12-31	VYDAJ	VYBER	15	21256	SLUZBY	\N	\N
1053669	3604	1997-01-31	VYDAJ	VYBER	15	17315	SLUZBY	\N	\N
1053670	3604	1997-02-28	VYDAJ	VYBER	15	17872	SLUZBY	\N	\N
1053671	3604	1997-03-31	VYDAJ	VYBER	15	20992	SLUZBY	\N	\N
1053672	3604	1997-04-30	VYDAJ	VYBER	15	24125	SLUZBY	\N	\N
1053673	3604	1997-05-31	VYDAJ	VYBER	15	26068	SLUZBY	\N	\N
1053674	3604	1997-06-30	VYDAJ	VYBER	15	17740	SLUZBY	\N	\N
1053675	3604	1997-07-31	VYDAJ	VYBER	15	19417	SLUZBY	\N	\N
1053676	3604	1997-08-31	VYDAJ	VYBER	15	22543	SLUZBY	\N	\N
1053677	3604	1997-09-30	VYDAJ	VYBER	15	22373	SLUZBY	\N	\N
1053678	3604	1997-10-31	VYDAJ	VYBER	15	25512	SLUZBY	\N	\N
1053679	3604	1997-11-30	VYDAJ	VYBER	15	28663	SLUZBY	\N	\N
1053680	3604	1997-12-31	VYDAJ	VYBER	15	30826	SLUZBY	\N	\N
1053681	3604	1998-01-31	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
1053682	3604	1998-02-28	VYDAJ	VYBER	15	28904	SLUZBY	\N	\N
1053683	3604	1998-03-31	VYDAJ	VYBER	15	27642	SLUZBY	\N	\N
1053684	3604	1998-04-30	VYDAJ	VYBER	15	30802	SLUZBY	\N	\N
1053685	3604	1998-05-31	VYDAJ	VYBER	15	33975	SLUZBY	\N	\N
1053686	3604	1998-06-30	VYDAJ	VYBER	15	31243	SLUZBY	\N	\N
1053687	3604	1998-07-31	VYDAJ	VYBER	15	34418	SLUZBY	\N	\N
1053688	3604	1998-08-31	VYDAJ	VYBER	15	37606	SLUZBY	\N	\N
1053689	3604	1998-09-30	VYDAJ	VYBER	15	37522	SLUZBY	\N	\N
1053690	3604	1998-10-31	VYDAJ	VYBER	15	38801	SLUZBY	\N	\N
1053691	3604	1998-11-30	VYDAJ	VYBER	15	42007	SLUZBY	\N	\N
1053692	3604	1994-04-21	VYDAJ	VYBER	1500	26780	\N	\N	\N
1053693	3604	1994-05-21	VYDAJ	VYBER	3000	26869	\N	\N	\N
1053694	3604	1994-06-20	VYDAJ	VYBER	4200	25823	\N	\N	\N
1053695	3604	1994-09-18	VYDAJ	VYBER	1100	24457	\N	\N	\N
1053696	3604	1994-10-18	VYDAJ	VYBER	1000	25716	\N	\N	\N
1053697	3604	1994-12-17	VYDAJ	VYBER	300	31266	\N	\N	\N
1053698	3604	1995-01-16	VYDAJ	VYBER	500	27773	\N	\N	\N
1053699	3604	1995-05-16	VYDAJ	VYBER	1100	28868	\N	\N	\N
1053700	3604	1995-09-13	VYDAJ	VYBER	2600	31532	\N	\N	\N
1053701	3604	1995-10-13	VYDAJ	VYBER	4000	30702	\N	\N	\N
1053702	3604	1995-11-12	VYDAJ	VYBER	5400	28470	\N	\N	\N
1053703	3604	1995-12-12	VYDAJ	VYBER	1800	29831	\N	\N	\N
1053704	3604	1996-01-11	VYDAJ	VYBER	2500	24129	\N	\N	\N
1053705	3604	1996-03-11	VYDAJ	VYBER	200	23619	\N	\N	\N
1053706	3604	1996-04-10	VYDAJ	VYBER	1500	25251	\N	\N	\N
1053707	3604	1996-07-09	VYDAJ	VYBER	300	31029	\N	\N	\N
1053708	3604	1996-08-08	VYDAJ	VYBER	5200	28508	\N	\N	\N
1053709	3604	1996-09-07	VYDAJ	VYBER	100	27227	\N	\N	\N
1053710	3604	1996-10-07	VYDAJ	VYBER	5200	25160	\N	\N	\N
1053711	3604	1996-12-06	VYDAJ	VYBER	1300	23177	\N	\N	\N
1053712	3604	1997-01-05	VYDAJ	VYBER	900	19796	\N	\N	\N
1053713	3604	1997-09-02	VYDAJ	VYBER	3300	19243	\N	\N	\N
1053714	3604	1998-03-31	VYDAJ	VYBER	1700	27656	\N	\N	\N
1053715	3604	1998-10-27	VYDAJ	VYBER	400	38654	\N	\N	\N
1053773	3605	1996-03-24	PRIJEM	VKLAD	600	600	\N	\N	\N
1053777	3605	1996-04-10	PRIJEM	VKLAD	24697	25297	\N	\N	\N
1053778	3605	1996-05-10	PRIJEM	VKLAD	24697	48120	\N	\N	\N
1053779	3605	1996-06-10	PRIJEM	VKLAD	37046	68673	\N	\N	\N
1053780	3605	1996-07-10	PRIJEM	VKLAD	24697	66314	\N	\N	\N
1053781	3605	1996-08-10	PRIJEM	VKLAD	24697	64881	\N	\N	\N
1053782	3605	1996-09-10	PRIJEM	VKLAD	24697	56945	\N	\N	\N
1053783	3605	1996-10-10	PRIJEM	VKLAD	24697	47332	\N	\N	\N
1053784	3605	1996-11-10	PRIJEM	VKLAD	24697	48876	\N	\N	\N
1053785	3605	1996-12-10	PRIJEM	VKLAD	37046	56404	\N	\N	\N
1053786	3605	1997-01-10	PRIJEM	VKLAD	24697	44680	\N	\N	\N
1053787	3605	1997-02-10	PRIJEM	VKLAD	24697	42570	\N	\N	\N
1053788	3605	1997-03-10	PRIJEM	VKLAD	24697	40903	\N	\N	\N
1053789	3605	1997-04-10	PRIJEM	VKLAD	24697	42317	\N	\N	\N
1053790	3605	1997-05-10	PRIJEM	VKLAD	24697	42533	\N	\N	\N
1053791	3605	1997-06-10	PRIJEM	VKLAD	37046	52697	\N	\N	\N
1053792	3605	1997-07-10	PRIJEM	VKLAD	24697	48332	\N	\N	\N
1053793	3605	1997-08-10	PRIJEM	VKLAD	24697	42257	\N	\N	\N
1053794	3605	1997-09-10	PRIJEM	VKLAD	24697	39144	\N	\N	\N
1053795	3605	1997-10-10	PRIJEM	VKLAD	24697	35830	\N	\N	\N
1053796	3605	1997-11-10	PRIJEM	VKLAD	24697	34346	\N	\N	\N
1053797	3605	1997-12-10	PRIJEM	VKLAD	37046	45865	\N	\N	\N
1053798	3605	1998-01-10	PRIJEM	VKLAD	24697	34287	\N	\N	\N
1053799	3605	1998-02-10	PRIJEM	VKLAD	24697	41576	\N	\N	\N
1053800	3605	1998-03-10	PRIJEM	VKLAD	24697	35717	\N	\N	\N
1053801	3605	1998-04-10	PRIJEM	VKLAD	24697	37699	\N	\N	\N
1053802	3605	1998-05-10	PRIJEM	VKLAD	24697	35576	\N	\N	\N
1053803	3605	1998-06-10	PRIJEM	VKLAD	37046	45673	\N	\N	\N
1053804	3605	1998-07-10	PRIJEM	VKLAD	24697	37950	\N	\N	\N
1053805	3605	1998-08-10	PRIJEM	VKLAD	24697	57283	\N	\N	\N
1053806	3605	1998-09-10	PRIJEM	VKLAD	24697	40938	\N	\N	\N
1053807	3605	1998-10-10	PRIJEM	VKLAD	24697	36612	\N	\N	\N
1053808	3605	1998-11-10	PRIJEM	VKLAD	24697	55939	\N	\N	\N
1053809	3605	1998-12-10	PRIJEM	VKLAD	37046	51194	\N	\N	\N
1053818	3605	1996-09-06	VYDAJ	PREVOD NA UCET	4410	33320	SIPO	AB	77193778
1053819	3605	1996-10-06	VYDAJ	PREVOD NA UCET	4410	23707	SIPO	AB	77193778
1053820	3605	1996-11-06	VYDAJ	PREVOD NA UCET	4410	25251	SIPO	AB	77193778
1053821	3605	1996-12-06	VYDAJ	PREVOD NA UCET	4410	20431	SIPO	AB	77193778
1053822	3605	1997-01-06	VYDAJ	PREVOD NA UCET	4410	26335	SIPO	AB	77193778
1053823	3605	1997-02-06	VYDAJ	PREVOD NA UCET	4410	18945	SIPO	AB	77193778
1053824	3605	1997-03-06	VYDAJ	PREVOD NA UCET	4410	17278	SIPO	AB	77193778
1053825	3605	1997-04-06	VYDAJ	PREVOD NA UCET	4410	18692	SIPO	AB	77193778
1053826	3605	1997-05-06	VYDAJ	PREVOD NA UCET	4410	18908	SIPO	AB	77193778
1053827	3605	1997-06-06	VYDAJ	PREVOD NA UCET	4410	19124	SIPO	AB	77193778
1053828	3605	1997-07-06	VYDAJ	PREVOD NA UCET	4410	24707	SIPO	AB	77193778
1053829	3605	1997-08-06	VYDAJ	PREVOD NA UCET	4410	18632	SIPO	AB	77193778
1053830	3605	1997-09-06	VYDAJ	PREVOD NA UCET	4410	15519	SIPO	AB	77193778
1053831	3605	1997-10-06	VYDAJ	PREVOD NA UCET	4410	12205	SIPO	AB	77193778
1053832	3605	1997-11-06	VYDAJ	PREVOD NA UCET	4410	10721	SIPO	AB	77193778
1053833	3605	1997-12-06	VYDAJ	PREVOD NA UCET	4410	9891	SIPO	AB	77193778
1053834	3605	1998-01-06	VYDAJ	PREVOD NA UCET	4410	10662	SIPO	AB	77193778
1053835	3605	1998-02-06	VYDAJ	PREVOD NA UCET	4410	17951	SIPO	AB	77193778
1053836	3605	1998-03-06	VYDAJ	PREVOD NA UCET	4410	12092	SIPO	AB	77193778
1053837	3605	1998-04-06	VYDAJ	PREVOD NA UCET	4410	14074	SIPO	AB	77193778
1053838	3605	1998-05-06	VYDAJ	PREVOD NA UCET	4410	11951	SIPO	AB	77193778
1053839	3605	1998-06-06	VYDAJ	PREVOD NA UCET	4410	9700	SIPO	AB	77193778
1053840	3605	1998-07-06	VYDAJ	PREVOD NA UCET	4410	14325	SIPO	AB	77193778
1053841	3605	1998-08-06	VYDAJ	PREVOD NA UCET	4410	33658	SIPO	AB	77193778
1053842	3605	1998-09-06	VYDAJ	PREVOD NA UCET	4410	17313	SIPO	AB	77193778
1053843	3605	1998-10-06	VYDAJ	PREVOD NA UCET	4410	12987	SIPO	AB	77193778
1053844	3605	1998-11-06	VYDAJ	PREVOD NA UCET	4410	32314	SIPO	AB	77193778
1053845	3605	1998-12-06	VYDAJ	PREVOD NA UCET	4410	50760	SIPO	AB	77193778
1053854	3605	1996-09-09	VYDAJ	PREVOD NA UCET	269	32248	 	MN	2428693
1053855	3605	1996-10-09	VYDAJ	PREVOD NA UCET	269	22635	 	MN	2428693
1053856	3605	1996-11-09	VYDAJ	PREVOD NA UCET	269	24179	 	MN	2428693
1053857	3605	1996-12-09	VYDAJ	PREVOD NA UCET	269	19359	 	MN	2428693
1053858	3605	1997-01-09	VYDAJ	PREVOD NA UCET	269	19983	 	MN	2428693
1053859	3605	1997-02-09	VYDAJ	PREVOD NA UCET	269	17873	 	MN	2428693
1053860	3605	1997-03-09	VYDAJ	PREVOD NA UCET	269	16206	 	MN	2428693
1053861	3605	1997-04-09	VYDAJ	PREVOD NA UCET	269	17620	 	MN	2428693
1053862	3605	1997-05-09	VYDAJ	PREVOD NA UCET	269	17836	 	MN	2428693
1053863	3605	1997-06-09	VYDAJ	PREVOD NA UCET	269	15652	 	MN	2428693
1053864	3605	1997-07-09	VYDAJ	PREVOD NA UCET	269	23635	 	MN	2428693
1053865	3605	1997-08-09	VYDAJ	PREVOD NA UCET	269	17560	 	MN	2428693
1053866	3605	1997-09-09	VYDAJ	PREVOD NA UCET	269	14447	 	MN	2428693
1053867	3605	1997-10-09	VYDAJ	PREVOD NA UCET	269	11133	 	MN	2428693
1053868	3605	1997-11-09	VYDAJ	PREVOD NA UCET	269	9649	 	MN	2428693
1053869	3605	1997-12-09	VYDAJ	PREVOD NA UCET	269	8819	 	MN	2428693
1053870	3605	1998-01-09	VYDAJ	PREVOD NA UCET	269	9590	 	MN	2428693
1053871	3605	1998-02-09	VYDAJ	PREVOD NA UCET	269	16879	 	MN	2428693
1053872	3605	1998-03-09	VYDAJ	PREVOD NA UCET	269	11020	 	MN	2428693
1053873	3605	1998-04-09	VYDAJ	PREVOD NA UCET	269	13002	 	MN	2428693
1053874	3605	1998-05-09	VYDAJ	PREVOD NA UCET	269	10879	 	MN	2428693
1053875	3605	1998-06-09	VYDAJ	PREVOD NA UCET	269	8628	 	MN	2428693
1053876	3605	1998-07-09	VYDAJ	PREVOD NA UCET	269	13253	 	MN	2428693
1053877	3605	1998-08-09	VYDAJ	PREVOD NA UCET	269	32586	 	MN	2428693
1053878	3605	1998-09-09	VYDAJ	PREVOD NA UCET	269	16241	 	MN	2428693
1053879	3605	1998-10-09	VYDAJ	PREVOD NA UCET	269	11915	 	MN	2428693
1053880	3605	1998-11-09	VYDAJ	PREVOD NA UCET	269	31242	 	MN	2428693
1053881	3605	1998-12-09	VYDAJ	PREVOD NA UCET	269	45848	 	MN	2428693
1053890	3605	1996-09-07	VYDAJ	PREVOD NA UCET	803	32517	POJISTNE	OP	40185999
1053891	3605	1996-10-07	VYDAJ	PREVOD NA UCET	803	22904	POJISTNE	OP	40185999
1053892	3605	1996-11-07	VYDAJ	PREVOD NA UCET	803	24448	POJISTNE	OP	40185999
1053893	3605	1996-12-07	VYDAJ	PREVOD NA UCET	803	19628	POJISTNE	OP	40185999
1053894	3605	1997-01-07	VYDAJ	PREVOD NA UCET	803	22052	POJISTNE	OP	40185999
1053895	3605	1997-02-07	VYDAJ	PREVOD NA UCET	803	18142	POJISTNE	OP	40185999
1053896	3605	1997-03-07	VYDAJ	PREVOD NA UCET	803	16475	POJISTNE	OP	40185999
1053897	3605	1997-04-07	VYDAJ	PREVOD NA UCET	803	17889	POJISTNE	OP	40185999
1053898	3605	1997-05-07	VYDAJ	PREVOD NA UCET	803	18105	POJISTNE	OP	40185999
1053899	3605	1997-06-07	VYDAJ	PREVOD NA UCET	803	18321	POJISTNE	OP	40185999
1053900	3605	1997-07-07	VYDAJ	PREVOD NA UCET	803	23904	POJISTNE	OP	40185999
1053901	3605	1997-08-07	VYDAJ	PREVOD NA UCET	803	17829	POJISTNE	OP	40185999
1053902	3605	1997-09-07	VYDAJ	PREVOD NA UCET	803	14716	POJISTNE	OP	40185999
1053903	3605	1997-10-07	VYDAJ	PREVOD NA UCET	803	11402	POJISTNE	OP	40185999
1053904	3605	1997-11-07	VYDAJ	PREVOD NA UCET	803	9918	POJISTNE	OP	40185999
1053905	3605	1997-12-07	VYDAJ	PREVOD NA UCET	803	9088	POJISTNE	OP	40185999
1053906	3605	1998-01-07	VYDAJ	PREVOD NA UCET	803	9859	POJISTNE	OP	40185999
1053907	3605	1998-02-07	VYDAJ	PREVOD NA UCET	803	17148	POJISTNE	OP	40185999
1053908	3605	1998-03-07	VYDAJ	PREVOD NA UCET	803	11289	POJISTNE	OP	40185999
1053909	3605	1998-04-07	VYDAJ	PREVOD NA UCET	803	13271	POJISTNE	OP	40185999
1053910	3605	1998-05-07	VYDAJ	PREVOD NA UCET	803	11148	POJISTNE	OP	40185999
1053911	3605	1998-06-07	VYDAJ	PREVOD NA UCET	803	8897	POJISTNE	OP	40185999
1053912	3605	1998-07-07	VYDAJ	PREVOD NA UCET	803	13522	POJISTNE	OP	40185999
1053913	3605	1998-08-07	VYDAJ	PREVOD NA UCET	803	32855	POJISTNE	OP	40185999
1053914	3605	1998-09-07	VYDAJ	PREVOD NA UCET	803	16510	POJISTNE	OP	40185999
1053915	3605	1998-10-07	VYDAJ	PREVOD NA UCET	803	12184	POJISTNE	OP	40185999
1053916	3605	1998-11-07	VYDAJ	PREVOD NA UCET	803	31511	POJISTNE	OP	40185999
1053917	3605	1998-12-07	VYDAJ	PREVOD NA UCET	803	46117	POJISTNE	OP	40185999
1053924	3605	1996-12-30	VYDAJ	VYBER	800	33004	\N	\N	\N
1053925	3605	1997-12-28	VYDAJ	VYBER	1440	16325	\N	\N	\N
1053926	3605	1998-12-06	VYDAJ	VYBER	3840	46920	\N	\N	\N
1053933	3605	1997-01-02	VYDAJ	VYBER	2400	30745	\N	\N	\N
1053934	3605	1997-01-25	VYDAJ	VYBER	1200	25280	\N	\N	\N
1053935	3605	1997-01-27	VYDAJ	VYBER	2040	23240	\N	\N	\N
1053936	3605	1997-01-08	VYDAJ	VYBER	1800	20252	\N	\N	\N
1053937	3605	1997-01-06	VYDAJ	VYBER	3480	22855	\N	\N	\N
1053938	3605	1997-01-18	VYDAJ	VYBER	2400	26480	\N	\N	\N
1053940	3605	1998-01-01	VYDAJ	VYBER	1320	15072	\N	\N	\N
1053943	3605	1998-01-21	VYDAJ	VYBER	1440	22287	\N	\N	\N
1053945	3605	1996-09-10	VYDAJ	VYBER	5280	51665	\N	\N	\N
1053947	3605	1996-12-01	VYDAJ	VYBER	1560	24841	\N	\N	\N
1053949	3605	1997-10-11	VYDAJ	VYBER	2160	33670	\N	\N	\N
1053950	3605	1997-06-09	VYDAJ	VYBER	2400	15921	\N	\N	\N
1053951	3605	1997-08-28	VYDAJ	VYBER	2520	19837	\N	\N	\N
1053952	3605	1997-02-20	VYDAJ	VYBER	1680	21590	\N	\N	\N
1053953	3605	1997-11-30	VYDAJ	VYBER	600	14316	\N	\N	\N
1053954	3605	1998-01-15	VYDAJ	VYBER	5760	23727	\N	\N	\N
1053955	3605	1998-02-11	VYDAJ	VYBER	4440	37136	\N	\N	\N
1053956	3605	1998-05-28	VYDAJ	VYBER	720	14056	\N	\N	\N
1053957	3605	1998-01-12	VYDAJ	VYBER	4800	29487	\N	\N	\N
1053958	3605	1998-12-02	VYDAJ	VYBER	960	55170	\N	\N	\N
1053959	3605	1998-09-16	VYDAJ	VYBER	720	17318	\N	\N	\N
1053960	3605	1998-08-23	VYDAJ	VYBER	1560	21623	\N	\N	\N
1053969	3605	1996-08-31	VYDAJ	VYBER	15	37730	SLUZBY	\N	\N
1053970	3605	1996-09-30	VYDAJ	VYBER	15	28117	SLUZBY	\N	\N
1053971	3605	1996-10-31	VYDAJ	VYBER	15	29661	SLUZBY	\N	\N
1053972	3605	1996-11-30	VYDAJ	VYBER	15	26401	SLUZBY	\N	\N
1053973	3605	1996-12-31	VYDAJ	VYBER	15	33145	SLUZBY	\N	\N
1053974	3605	1997-01-31	VYDAJ	VYBER	15	23355	SLUZBY	\N	\N
1053975	3605	1997-02-28	VYDAJ	VYBER	15	21688	SLUZBY	\N	\N
1053976	3605	1997-03-31	VYDAJ	VYBER	15	23102	SLUZBY	\N	\N
1053977	3605	1997-04-30	VYDAJ	VYBER	15	23318	SLUZBY	\N	\N
1053978	3605	1997-05-31	VYDAJ	VYBER	15	23534	SLUZBY	\N	\N
1053979	3605	1997-06-30	VYDAJ	VYBER	15	29117	SLUZBY	\N	\N
1053980	3605	1997-07-31	VYDAJ	VYBER	15	23042	SLUZBY	\N	\N
1053981	3605	1997-08-31	VYDAJ	VYBER	15	19929	SLUZBY	\N	\N
1053982	3605	1997-09-30	VYDAJ	VYBER	15	16615	SLUZBY	\N	\N
1053983	3605	1997-10-31	VYDAJ	VYBER	15	15131	SLUZBY	\N	\N
1053984	3605	1997-11-30	VYDAJ	VYBER	15	14301	SLUZBY	\N	\N
1053985	3605	1997-12-31	VYDAJ	VYBER	15	16392	SLUZBY	\N	\N
1053986	3605	1998-01-31	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
1053987	3605	1998-02-28	VYDAJ	VYBER	15	16502	SLUZBY	\N	\N
1053988	3605	1998-03-31	VYDAJ	VYBER	15	18484	SLUZBY	\N	\N
1053989	3605	1998-04-30	VYDAJ	VYBER	15	16361	SLUZBY	\N	\N
1053990	3605	1998-05-31	VYDAJ	VYBER	15	14110	SLUZBY	\N	\N
1053991	3605	1998-06-30	VYDAJ	VYBER	15	18735	SLUZBY	\N	\N
1053992	3605	1998-07-31	VYDAJ	VYBER	15	38068	SLUZBY	\N	\N
1053993	3605	1998-08-31	VYDAJ	VYBER	15	21723	SLUZBY	\N	\N
1053994	3605	1998-09-30	VYDAJ	VYBER	15	17397	SLUZBY	\N	\N
1053995	3605	1998-10-31	VYDAJ	VYBER	15	36724	SLUZBY	\N	\N
1053996	3605	1998-11-30	VYDAJ	VYBER	15	56130	SLUZBY	\N	\N
1053997	3605	1996-04-23	VYDAJ	VYBER	1900	23397	\N	\N	\N
1053998	3605	1996-05-23	VYDAJ	VYBER	16600	31520	\N	\N	\N
1053999	3605	1996-06-22	VYDAJ	VYBER	27200	41473	\N	\N	\N
1054000	3605	1996-07-22	VYDAJ	VYBER	26300	40014	\N	\N	\N
1054001	3605	1996-08-21	VYDAJ	VYBER	27300	37581	\N	\N	\N
1054002	3605	1996-09-20	VYDAJ	VYBER	23700	27965	\N	\N	\N
1054003	3605	1996-10-20	VYDAJ	VYBER	17800	29532	\N	\N	\N
1054004	3605	1996-11-19	VYDAJ	VYBER	22600	26276	\N	\N	\N
1054005	3605	1996-12-19	VYDAJ	VYBER	22600	33804	\N	\N	\N
1054006	3605	1997-01-18	VYDAJ	VYBER	15800	28880	\N	\N	\N
1054007	3605	1997-02-17	VYDAJ	VYBER	19300	23270	\N	\N	\N
1054008	3605	1997-03-19	VYDAJ	VYBER	17900	23003	\N	\N	\N
1054009	3605	1997-04-18	VYDAJ	VYBER	19100	23217	\N	\N	\N
1054010	3605	1997-05-18	VYDAJ	VYBER	19100	23433	\N	\N	\N
1054011	3605	1997-06-17	VYDAJ	VYBER	23700	28997	\N	\N	\N
1054012	3605	1997-07-17	VYDAJ	VYBER	25400	22932	\N	\N	\N
1054013	3605	1997-08-16	VYDAJ	VYBER	19900	22357	\N	\N	\N
1054014	3605	1997-09-15	VYDAJ	VYBER	22600	16544	\N	\N	\N
1054015	3605	1997-10-15	VYDAJ	VYBER	18600	15070	\N	\N	\N
1054016	3605	1997-11-14	VYDAJ	VYBER	19500	14846	\N	\N	\N
1054017	3605	1997-12-14	VYDAJ	VYBER	28100	17765	\N	\N	\N
1054018	3605	1998-02-12	VYDAJ	VYBER	20700	16436	\N	\N	\N
1054019	3605	1998-03-14	VYDAJ	VYBER	17300	18417	\N	\N	\N
1054020	3605	1998-04-13	VYDAJ	VYBER	21400	16299	\N	\N	\N
1054021	3605	1998-05-13	VYDAJ	VYBER	20800	14776	\N	\N	\N
1054022	3605	1998-06-12	VYDAJ	VYBER	27000	18673	\N	\N	\N
1054023	3605	1998-08-11	VYDAJ	VYBER	34100	23183	\N	\N	\N
1054024	3605	1998-09-10	VYDAJ	VYBER	22900	18038	\N	\N	\N
1054025	3605	1998-12-09	VYDAJ	VYBER	31700	14148	\N	\N	\N
1054059	3606	1996-04-18	PRIJEM	VKLAD	900	900	\N	\N	\N
1054064	3606	1996-05-11	PRIJEM	VKLAD	6784	7684	\N	\N	\N
1054065	3606	1996-06-11	PRIJEM	VKLAD	10176	27493	\N	\N	\N
1054066	3606	1996-07-11	PRIJEM	VKLAD	6784	35471	\N	\N	\N
1054067	3606	1996-08-11	PRIJEM	VKLAD	6784	36275	\N	\N	\N
1054068	3606	1996-09-11	PRIJEM	VKLAD	6784	39489	\N	\N	\N
1054069	3606	1996-10-11	PRIJEM	VKLAD	6784	34904	\N	\N	\N
1054070	3606	1996-11-11	PRIJEM	VKLAD	6784	36895	\N	\N	\N
1054071	3606	1996-12-11	PRIJEM	VKLAD	10176	36875	\N	\N	\N
1054072	3606	1997-01-11	PRIJEM	VKLAD	6784	30457	\N	\N	\N
1054073	3606	1997-02-11	PRIJEM	VKLAD	6784	24193	\N	\N	\N
1054074	3606	1997-03-11	PRIJEM	VKLAD	6784	31152	\N	\N	\N
1054075	3606	1997-04-11	PRIJEM	VKLAD	6784	30764	\N	\N	\N
1054076	3606	1997-05-11	PRIJEM	VKLAD	6784	38352	\N	\N	\N
1054077	3606	1997-06-11	PRIJEM	VKLAD	10176	37166	\N	\N	\N
1054078	3606	1997-07-11	PRIJEM	VKLAD	6784	36067	\N	\N	\N
1054079	3606	1997-08-11	PRIJEM	VKLAD	6784	40496	\N	\N	\N
1054080	3606	1997-09-11	PRIJEM	VKLAD	6784	37913	\N	\N	\N
1054081	3606	1997-10-11	PRIJEM	VKLAD	6784	40539	\N	\N	\N
1054082	3606	1997-11-11	PRIJEM	VKLAD	6784	44974	\N	\N	\N
1054083	3606	1997-12-11	PRIJEM	VKLAD	10176	52416	\N	\N	\N
1054084	3606	1998-01-11	PRIJEM	VKLAD	6784	51971	\N	\N	\N
1054085	3606	1998-02-11	PRIJEM	VKLAD	6784	49091	\N	\N	\N
1054086	3606	1998-03-11	PRIJEM	VKLAD	6784	57566	\N	\N	\N
1054087	3606	1998-04-11	PRIJEM	VKLAD	6784	63361	\N	\N	\N
1054088	3606	1998-05-11	PRIJEM	VKLAD	6784	68186	\N	\N	\N
1054089	3606	1998-06-11	PRIJEM	VKLAD	10176	67865	\N	\N	\N
1054090	3606	1998-07-11	PRIJEM	VKLAD	6784	68607	\N	\N	\N
1054091	3606	1998-08-11	PRIJEM	VKLAD	6784	73356	\N	\N	\N
1054092	3606	1998-09-11	PRIJEM	VKLAD	6784	70523	\N	\N	\N
1054093	3606	1998-10-11	PRIJEM	VKLAD	6784	73483	\N	\N	\N
1054094	3606	1998-11-11	PRIJEM	VKLAD	6784	68549	\N	\N	\N
1054095	3606	1998-12-11	PRIJEM	VKLAD	10176	71698	\N	\N	\N
1054097	3606	1997-06-05	VYDAJ	VYBER	5280	26990	\N	\N	\N
1054098	3606	1998-06-10	VYDAJ	VYBER	8960	57689	\N	\N	\N
1054100	3606	1997-01-26	VYDAJ	VYBER	8160	21997	\N	\N	\N
1054101	3606	1998-01-11	VYDAJ	VYBER	12960	39011	\N	\N	\N
1054102	3606	1996-12-06	VYDAJ	VYBER	800	26699	\N	\N	\N
1054103	3606	1997-12-27	VYDAJ	VYBER	3520	48896	\N	\N	\N
1054104	3606	1998-12-11	VYDAJ	VYBER KARTOU	2200	69498	\N	\N	0
1054107	3606	1996-09-12	VYDAJ	VYBER	5880	33609	\N	\N	\N
1054109	3606	1996-12-19	VYDAJ	VYBER	4800	23575	\N	\N	\N
1054110	3606	1997-12-06	VYDAJ	VYBER	5400	39740	\N	\N	\N
1054111	3606	1997-03-22	VYDAJ	VYBER	2160	23892	\N	\N	\N
1054112	3606	1997-01-29	VYDAJ	VYBER	4680	17317	\N	\N	\N
1054113	3606	1997-06-20	VYDAJ	VYBER	4200	29166	\N	\N	\N
1054114	3606	1997-07-30	VYDAJ	VYBER	2280	33587	\N	\N	\N
1054115	3606	1998-08-30	VYDAJ	VYBER KARTOU	3700	69656	\N	\N	0
1054116	3606	1998-09-09	VYDAJ	VYBER	5400	63739	\N	\N	\N
1054117	3606	1998-02-14	VYDAJ	VYBER	1680	47411	\N	\N	\N
1054118	3606	1998-10-23	VYDAJ	VYBER KARTOU	3400	70083	\N	\N	0
1054119	3606	1998-06-13	VYDAJ	VYBER KARTOU	3600	64265	\N	\N	0
1054129	3606	1996-09-30	VYDAJ	VYBER	15	28120	SLUZBY	\N	\N
1054130	3606	1996-10-31	VYDAJ	VYBER	15	30111	SLUZBY	\N	\N
1054131	3606	1996-11-30	VYDAJ	VYBER	15	27499	SLUZBY	\N	\N
1054132	3606	1996-12-31	VYDAJ	VYBER	15	23673	SLUZBY	\N	\N
1054133	3606	1997-01-31	VYDAJ	VYBER	15	17409	SLUZBY	\N	\N
1054134	3606	1997-02-28	VYDAJ	VYBER	15	24368	SLUZBY	\N	\N
1054135	3606	1997-03-31	VYDAJ	VYBER	15	23980	SLUZBY	\N	\N
1054136	3606	1997-04-30	VYDAJ	VYBER	15	31568	SLUZBY	\N	\N
1054137	3606	1997-05-31	VYDAJ	VYBER	15	32270	SLUZBY	\N	\N
1054138	3606	1997-06-30	VYDAJ	VYBER	15	29283	SLUZBY	\N	\N
1054139	3606	1997-07-31	VYDAJ	VYBER	15	33712	SLUZBY	\N	\N
1054140	3606	1997-08-31	VYDAJ	VYBER	15	36729	SLUZBY	\N	\N
1054141	3606	1997-09-30	VYDAJ	VYBER	15	38055	SLUZBY	\N	\N
1054142	3606	1997-10-31	VYDAJ	VYBER	15	40690	SLUZBY	\N	\N
1054143	3606	1997-11-30	VYDAJ	VYBER	15	45140	SLUZBY	\N	\N
1054144	3606	1997-12-31	VYDAJ	VYBER	15	49087	SLUZBY	\N	\N
1054145	3606	1998-01-31	VYDAJ	VYBER	15	39207	SLUZBY	\N	\N
1054146	3606	1998-02-28	VYDAJ	VYBER	15	47582	SLUZBY	\N	\N
1054147	3606	1998-03-31	VYDAJ	VYBER	15	57777	SLUZBY	\N	\N
1054148	3606	1998-04-30	VYDAJ	VYBER	15	63602	SLUZBY	\N	\N
1054149	3606	1998-05-31	VYDAJ	VYBER	15	68449	SLUZBY	\N	\N
1054150	3606	1998-06-30	VYDAJ	VYBER	15	64523	SLUZBY	\N	\N
1054151	3606	1998-07-31	VYDAJ	VYBER	15	68872	SLUZBY	\N	\N
1054152	3606	1998-08-31	VYDAJ	VYBER	15	69939	SLUZBY	\N	\N
1054153	3606	1998-09-30	VYDAJ	VYBER	15	70799	SLUZBY	\N	\N
1054154	3606	1998-10-31	VYDAJ	VYBER	15	70365	SLUZBY	\N	\N
1054155	3606	1998-11-30	VYDAJ	VYBER	15	68822	SLUZBY	\N	\N
1054156	3606	1996-05-18	PRIJEM	VKLAD	9600	17284	\N	\N	\N
1054157	3606	1996-06-17	PRIJEM	VKLAD	1100	28593	\N	\N	\N
1054158	3606	1996-07-17	VYDAJ	VYBER	6100	29371	\N	\N	\N
1054159	3606	1996-08-16	VYDAJ	VYBER	3700	32575	\N	\N	\N
1054160	3606	1996-09-15	VYDAJ	VYBER	5600	28009	\N	\N	\N
1054161	3606	1996-10-15	VYDAJ	VYBER	4900	30004	\N	\N	\N
1054162	3606	1996-11-14	VYDAJ	VYBER	9500	27395	\N	\N	\N
1054163	3606	1996-12-14	VYDAJ	VYBER	8500	28375	\N	\N	\N
1054164	3606	1997-01-13	VYDAJ	VYBER	300	30157	\N	\N	\N
1054165	3606	1997-02-12	PRIJEM	VKLAD	100	24293	\N	\N	\N
1054166	3606	1997-03-14	VYDAJ	VYBER	5100	26052	\N	\N	\N
1054167	3606	1997-04-13	PRIJEM	VKLAD	700	31464	\N	\N	\N
1054168	3606	1997-05-13	VYDAJ	VYBER	6200	32152	\N	\N	\N
1054169	3606	1997-06-12	VYDAJ	VYBER	3800	33366	\N	\N	\N
1054170	3606	1997-07-12	VYDAJ	VYBER	200	35867	\N	\N	\N
1054171	3606	1997-08-11	VYDAJ	VYBER	3900	36596	\N	\N	\N
1054172	3606	1997-09-10	VYDAJ	VYBER	5600	31129	\N	\N	\N
1054173	3606	1997-10-10	VYDAJ	VYBER	4300	33755	\N	\N	\N
1054174	3606	1997-11-09	VYDAJ	VYBER	2500	38190	\N	\N	\N
1054175	3606	1997-12-09	PRIJEM	VKLAD	2500	42240	\N	\N	\N
1054176	3606	1998-01-08	VYDAJ	VYBER	3900	45187	\N	\N	\N
1054177	3606	1998-02-07	PRIJEM	VKLAD	3100	42307	\N	\N	\N
1054178	3606	1998-03-09	PRIJEM	VKLAD	3200	50782	\N	\N	\N
1054179	3606	1998-04-08	VYDAJ	VYBER KARTOU	1200	56577	\N	\N	0
1054180	3606	1998-05-08	VYDAJ	VYBER KARTOU	2200	61402	\N	\N	0
1054181	3606	1998-06-07	VYDAJ	VYBER KARTOU	1800	66649	\N	\N	0
1054182	3606	1998-07-07	VYDAJ	VYBER KARTOU	2700	61823	\N	\N	0
1054183	3606	1998-08-06	VYDAJ	VYBER KARTOU	2300	66572	\N	\N	0
1054184	3606	1998-09-05	VYDAJ	VYBER KARTOU	800	69139	\N	\N	0
1054185	3606	1998-10-05	VYDAJ	VYBER	4100	66699	\N	\N	\N
1054186	3606	1998-11-04	VYDAJ	VYBER	8600	61765	\N	\N	\N
1054187	3606	1998-12-04	VYDAJ	VYBER	7300	61522	\N	\N	\N
1054706	3608	1994-08-30	PRIJEM	VKLAD	500	500	\N	\N	\N
1054708	3608	1994-11-04	PRIJEM	VKLAD	32407	77373	\N	\N	\N
1054710	3608	1994-10-29	PRIJEM	VKLAD	5329	68882	\N	\N	\N
1054712	3608	1994-10-25	PRIJEM	VKLAD	15326	104553	\N	\N	\N
1054721	3608	1994-11-02	PRIJEM	VKLAD	11797	113866	\N	\N	\N
1054722	3608	1994-10-29	PRIJEM	VKLAD	27095	95977	\N	\N	\N
1054723	3608	1994-10-06	PRIJEM	VKLAD	32994	89227	\N	\N	\N
1054728	3608	1994-10-02	PRIJEM	VKLAD	27421	56233	\N	\N	\N
1054731	3608	1994-09-10	PRIJEM	VKLAD	30604	31104	\N	\N	\N
1054735	3608	1994-11-01	PRIJEM	VKLAD	42094	102069	\N	\N	\N
1054736	3608	1995-09-05	PRIJEM	VKLAD	22702	55001	\N	\N	\N
1054737	3608	1995-04-24	PRIJEM	VKLAD	8393	22872	\N	\N	\N
1054738	3608	1995-08-12	PRIJEM	VKLAD	39323	60958	\N	\N	\N
1054739	3608	1995-04-04	PRIJEM	VKLAD	22561	41437	\N	\N	\N
1054740	3608	1995-11-11	PRIJEM	VKLAD	28077	56558	\N	\N	\N
1054741	3608	1996-09-28	PRIJEM	VKLAD	16738	59172	\N	\N	\N
1054742	3608	1996-08-10	PRIJEM	VKLAD	35974	79463	\N	\N	\N
1054743	3608	1996-11-24	PRIJEM	VKLAD	40141	73800	\N	\N	\N
1054744	3608	1996-08-25	PRIJEM	VKLAD	19517	69641	\N	\N	\N
1054745	3608	1996-01-11	PRIJEM	VKLAD	8238	28220	\N	\N	\N
1054746	3608	1996-07-29	PRIJEM	VKLAD	13310	54141	\N	\N	\N
1054747	3608	1996-04-19	PRIJEM	VKLAD	5659	31993	\N	\N	\N
1054748	3608	1996-07-17	PRIJEM	VKLAD	19652	46431	\N	\N	\N
1054749	3608	1996-10-08	PRIJEM	VKLAD	13719	73080	\N	\N	\N
1054750	3608	1996-09-12	PRIJEM	VKLAD	11004	67344	\N	\N	\N
1054751	3608	1996-05-27	PRIJEM	VKLAD	15183	44555	\N	\N	\N
1054752	3608	1997-05-04	PRIJEM	VKLAD	19737	55681	\N	\N	\N
1054753	3608	1997-12-14	PRIJEM	VKLAD	19949	50302	\N	\N	\N
1054754	3608	1997-03-14	PRIJEM	VKLAD	15015	38348	\N	\N	\N
1054755	3608	1997-04-04	PRIJEM	VKLAD	21510	55934	\N	\N	\N
1054756	3608	1997-12-26	PRIJEM	VKLAD	20557	102491	\N	\N	\N
1054757	3608	1997-12-16	PRIJEM	VKLAD	39856	87034	\N	\N	\N
1054758	3608	1997-09-25	PRIJEM	VKLAD	36892	66173	\N	\N	\N
1054759	3608	1997-06-07	PRIJEM	VKLAD	17882	56282	\N	\N	\N
1054760	3608	1998-05-13	PRIJEM	VKLAD	44833	97528	\N	\N	\N
1054761	3608	1998-07-21	PRIJEM	VKLAD	43311	76733	\N	\N	\N
1054762	3608	1998-09-19	PRIJEM	VKLAD	11472	50619	\N	\N	\N
1054763	3608	1998-10-31	PRIJEM	VKLAD	34175	66710	\N	\N	\N
1054764	3608	1998-01-26	PRIJEM	VKLAD	29289	101393	\N	\N	\N
1054765	3608	1998-06-25	PRIJEM	VKLAD	14904	46475	\N	\N	\N
1054766	3608	1998-03-04	PRIJEM	VKLAD	39214	96816	\N	\N	\N
1054767	3608	1998-11-15	PRIJEM	VKLAD	44487	73757	\N	\N	\N
1054768	3608	1998-01-25	PRIJEM	VKLAD	37768	72104	\N	\N	\N
1054769	3608	1998-01-16	PRIJEM	VKLAD	7229	67336	\N	\N	\N
1054770	3608	1998-08-10	PRIJEM	VKLAD	24325	74141	\N	\N	\N
1054771	3608	1998-04-17	PRIJEM	VKLAD	38145	93492	\N	\N	\N
1054772	3608	1998-03-24	PRIJEM	VKLAD	49636	90017	\N	\N	\N
1054773	3608	1998-02-12	PRIJEM	VKLAD	14595	78391	\N	\N	\N
1054774	3608	1998-12-10	PRIJEM	VKLAD	5586	46488	\N	\N	\N
1054785	3608	1994-11-03	VYDAJ	VYBER	4000	44966	\N	\N	0
1054786	3608	1994-12-23	VYDAJ	VYBER	5800	32388	\N	\N	0
1054787	3608	1995-01-12	VYDAJ	VYBER	3100	15528	\N	\N	0
1054788	3608	1995-02-05	VYDAJ	VYBER	5200	14652	\N	\N	0
1054789	3608	1995-03-09	VYDAJ	VYBER	3900	15166	\N	\N	0
1054790	3608	1995-03-25	VYDAJ	VYBER	3900	8142	\N	\N	0
1054791	3608	1995-05-06	VYDAJ	VYBER	4200	20818	\N	\N	0
1054792	3608	1995-05-27	VYDAJ	VYBER	3600	22794	\N	\N	0
1054793	3608	1995-07-10	VYDAJ	VYBER	3200	21098	\N	\N	0
1054794	3608	1995-07-29	VYDAJ	VYBER	4700	21574	\N	\N	0
1054795	3608	1995-09-15	VYDAJ	VYBER	3300	48577	\N	\N	0
1054796	3608	1995-10-08	VYDAJ	VYBER	4400	32311	\N	\N	0
1054797	3608	1995-11-11	VYDAJ	VYBER	3500	53058	\N	\N	0
1054798	3608	1995-12-21	VYDAJ	VYBER	3700	21696	\N	\N	0
1054799	3608	1996-01-10	VYDAJ	VYBER	5600	19982	\N	\N	0
1054800	3608	1996-01-26	VYDAJ	VYBER	3800	20796	\N	\N	0
1054801	3608	1996-03-12	VYDAJ	VYBER	3600	23305	\N	\N	0
1054802	3608	1996-04-23	VYDAJ	VYBER	2900	36193	\N	\N	0
1054803	3608	1996-05-20	VYDAJ	VYBER	5400	27772	\N	\N	0
1054804	3608	1996-06-12	VYDAJ	PREVOD NA UCET	4486	35387	UVER	QR	97533720
1054805	3608	1996-07-12	VYDAJ	PREVOD NA UCET	4486	29903	UVER	QR	97533720
1054806	3608	1996-08-12	VYDAJ	PREVOD NA UCET	4486	74977	UVER	QR	97533720
1054807	3608	1996-09-12	VYDAJ	PREVOD NA UCET	4486	62858	UVER	QR	97533720
1054808	3608	1996-10-12	VYDAJ	PREVOD NA UCET	4486	68594	UVER	QR	97533720
1054809	3608	1996-11-12	VYDAJ	PREVOD NA UCET	4486	34083	UVER	QR	97533720
1054810	3608	1996-12-12	VYDAJ	PREVOD NA UCET	4486	69468	UVER	QR	97533720
1054811	3608	1997-01-12	VYDAJ	PREVOD NA UCET	4486	25271	UVER	QR	97533720
1054812	3608	1997-02-12	VYDAJ	PREVOD NA UCET	4486	23262	UVER	QR	97533720
1054813	3608	1997-03-12	VYDAJ	PREVOD NA UCET	4486	23333	UVER	QR	97533720
1054814	3608	1997-04-12	VYDAJ	PREVOD NA UCET	4486	40648	UVER	QR	97533720
1054815	3608	1997-05-12	VYDAJ	PREVOD NA UCET	4486	51195	UVER	QR	97533720
1054816	3608	1997-06-12	VYDAJ	PREVOD NA UCET	4486	51796	UVER	QR	97533720
1054817	3608	1997-07-12	VYDAJ	PREVOD NA UCET	4486	33215	UVER	QR	97533720
1054818	3608	1997-08-12	VYDAJ	PREVOD NA UCET	4486	26913	UVER	QR	97533720
1054819	3608	1997-09-12	VYDAJ	PREVOD NA UCET	4486	26105	UVER	QR	97533720
1054820	3608	1997-10-12	VYDAJ	PREVOD NA UCET	4486	47708	UVER	QR	97533720
1054821	3608	1997-11-12	VYDAJ	PREVOD NA UCET	4486	33164	UVER	QR	97533720
1054822	3608	1997-12-12	VYDAJ	PREVOD NA UCET	4486	30353	UVER	QR	97533720
1054823	3608	1998-01-12	VYDAJ	PREVOD NA UCET	4486	63231	UVER	QR	97533720
1054824	3608	1998-02-12	VYDAJ	PREVOD NA UCET	4486	73905	UVER	QR	97533720
1054825	3608	1998-03-12	VYDAJ	PREVOD NA UCET	4486	66130	UVER	QR	97533720
1054826	3608	1998-04-12	VYDAJ	PREVOD NA UCET	4486	58471	UVER	QR	97533720
1054827	3608	1998-05-12	VYDAJ	PREVOD NA UCET	4486	52695	UVER	QR	97533720
1054828	3608	1998-06-12	VYDAJ	PREVOD NA UCET	4486	43995	UVER	QR	97533720
1054829	3608	1998-07-12	VYDAJ	PREVOD NA UCET	4486	36546	UVER	QR	97533720
1054830	3608	1998-08-12	VYDAJ	PREVOD NA UCET	4486	69655	UVER	QR	97533720
1054831	3608	1998-09-12	VYDAJ	PREVOD NA UCET	4486	42271	UVER	QR	97533720
1054832	3608	1998-10-12	VYDAJ	PREVOD NA UCET	4486	35499	UVER	QR	97533720
1054833	3608	1998-11-12	VYDAJ	PREVOD NA UCET	4486	44094	UVER	QR	97533720
1054834	3608	1998-12-12	VYDAJ	PREVOD NA UCET	4486	42002	UVER	QR	97533720
1054845	3608	1994-11-14	VYDAJ	PREVOD NA UCET	3124	74249	SIPO	AB	49062126
1054846	3608	1994-12-14	VYDAJ	PREVOD NA UCET	3124	38188	SIPO	AB	49062126
1054847	3608	1995-01-14	VYDAJ	PREVOD NA UCET	3124	12404	SIPO	AB	49062126
1054848	3608	1995-02-14	VYDAJ	PREVOD NA UCET	3124	11528	SIPO	AB	49062126
1054849	3608	1995-03-14	VYDAJ	PREVOD NA UCET	3124	12042	SIPO	AB	49062126
1054850	3608	1995-04-14	VYDAJ	PREVOD NA UCET	3124	14479	SIPO	AB	49062126
1054851	3608	1995-05-14	VYDAJ	PREVOD NA UCET	3124	17694	SIPO	AB	49062126
1054852	3608	1995-06-14	VYDAJ	PREVOD NA UCET	3124	19732	SIPO	AB	49062126
1054853	3608	1995-07-14	VYDAJ	PREVOD NA UCET	3124	17974	SIPO	AB	49062126
1054854	3608	1995-08-14	VYDAJ	PREVOD NA UCET	3124	36215	SIPO	AB	49062126
1054855	3608	1995-09-14	VYDAJ	PREVOD NA UCET	3124	51877	SIPO	AB	49062126
1054856	3608	1995-10-14	VYDAJ	PREVOD NA UCET	3124	24687	SIPO	AB	49062126
1054857	3608	1995-11-14	VYDAJ	PREVOD NA UCET	3124	37034	SIPO	AB	49062126
1054858	3608	1995-12-14	VYDAJ	PREVOD NA UCET	3124	25396	SIPO	AB	49062126
1054859	3608	1996-01-14	VYDAJ	PREVOD NA UCET	3124	21796	SIPO	AB	49062126
1054860	3608	1996-02-14	VYDAJ	PREVOD NA UCET	3124	17741	SIPO	AB	49062126
1054861	3608	1996-03-14	VYDAJ	PREVOD NA UCET	3124	20181	SIPO	AB	49062126
1054862	3608	1996-04-14	VYDAJ	PREVOD NA UCET	3124	26334	SIPO	AB	49062126
1054863	3608	1996-05-14	VYDAJ	PREVOD NA UCET	3124	33172	SIPO	AB	49062126
1054864	3608	1996-06-14	VYDAJ	PREVOD NA UCET	3124	32263	SIPO	AB	49062126
1054865	3608	1996-07-14	VYDAJ	PREVOD NA UCET	3124	26779	SIPO	AB	49062126
1054866	3608	1996-08-14	VYDAJ	PREVOD NA UCET	3124	71853	SIPO	AB	49062126
1054867	3608	1996-09-14	VYDAJ	PREVOD NA UCET	3124	59734	SIPO	AB	49062126
1054868	3608	1996-10-14	VYDAJ	PREVOD NA UCET	3124	65470	SIPO	AB	49062126
1054869	3608	1996-11-14	VYDAJ	PREVOD NA UCET	3124	30959	SIPO	AB	49062126
1054870	3608	1996-12-14	VYDAJ	PREVOD NA UCET	3124	66344	SIPO	AB	49062126
1054871	3608	1997-01-14	VYDAJ	PREVOD NA UCET	3124	22147	SIPO	AB	49062126
1054872	3608	1997-02-14	VYDAJ	PREVOD NA UCET	3124	20138	SIPO	AB	49062126
1054873	3608	1997-03-14	VYDAJ	PREVOD NA UCET	3124	35224	SIPO	AB	49062126
1054874	3608	1997-04-14	VYDAJ	PREVOD NA UCET	3124	37524	SIPO	AB	49062126
1054875	3608	1997-05-14	VYDAJ	PREVOD NA UCET	3124	48071	SIPO	AB	49062126
1054876	3608	1997-06-14	VYDAJ	PREVOD NA UCET	3124	48672	SIPO	AB	49062126
1054877	3608	1997-07-14	VYDAJ	PREVOD NA UCET	3124	30091	SIPO	AB	49062126
1054878	3608	1997-08-14	VYDAJ	PREVOD NA UCET	3124	30489	SIPO	AB	49062126
1054879	3608	1997-09-14	VYDAJ	PREVOD NA UCET	3124	29281	SIPO	AB	49062126
1054880	3608	1997-10-14	VYDAJ	PREVOD NA UCET	3124	37484	SIPO	AB	49062126
1054881	3608	1997-11-14	VYDAJ	PREVOD NA UCET	3124	28740	SIPO	AB	49062126
1054882	3608	1997-12-14	VYDAJ	PREVOD NA UCET	3124	47178	SIPO	AB	49062126
1054883	3608	1998-01-14	VYDAJ	PREVOD NA UCET	3124	60107	SIPO	AB	49062126
1054884	3608	1998-02-14	VYDAJ	PREVOD NA UCET	3124	70781	SIPO	AB	49062126
1054885	3608	1998-03-14	VYDAJ	PREVOD NA UCET	3124	63006	SIPO	AB	49062126
1054886	3608	1998-04-14	VYDAJ	PREVOD NA UCET	3124	55347	SIPO	AB	49062126
1054887	3608	1998-05-14	VYDAJ	PREVOD NA UCET	3124	94404	SIPO	AB	49062126
1054888	3608	1998-06-14	VYDAJ	PREVOD NA UCET	3124	31571	SIPO	AB	49062126
1054889	3608	1998-07-14	VYDAJ	PREVOD NA UCET	3124	33422	SIPO	AB	49062126
1054890	3608	1998-08-14	VYDAJ	PREVOD NA UCET	3124	66531	SIPO	AB	49062126
1054891	3608	1998-09-14	VYDAJ	PREVOD NA UCET	3124	39147	SIPO	AB	49062126
1054892	3608	1998-10-14	VYDAJ	PREVOD NA UCET	3124	32375	SIPO	AB	49062126
1054893	3608	1998-11-14	VYDAJ	PREVOD NA UCET	3124	29270	SIPO	AB	49062126
1054894	3608	1998-12-14	VYDAJ	PREVOD NA UCET	3124	38878	SIPO	AB	49062126
1054901	3608	1995-08-12	VYBER	VYBER	21619	39339	\N	\N	\N
1054902	3608	1995-11-24	VYBER	VYBER	8323	28411	\N	\N	\N
1054908	3608	1995-04-08	VYBER	VYBER	23834	17603	\N	\N	\N
1054910	3608	1996-08-21	VYBER	VYBER	4229	50124	\N	\N	\N
1054914	3608	1996-07-30	VYBER	VYBER	10778	43363	\N	\N	\N
1054927	3608	1998-12-02	VYBER	VYBER	15235	46702	\N	\N	\N
1054928	3608	1998-05-28	VYBER	VYBER	7515	61920	\N	\N	\N
1054930	3608	1998-03-21	VYBER	VYBER	22625	40381	\N	\N	\N
1054931	3608	1998-12-01	VYBER	VYBER	12051	61937	\N	\N	\N
1054932	3608	1998-05-16	VYBER	VYBER	24969	69435	\N	\N	\N
1054933	3608	1998-04-26	VYBER	VYBER	21520	71972	\N	\N	\N
1054934	3608	1998-02-05	VYBER	VYBER	5585	90396	\N	\N	\N
1054935	3608	1998-02-25	VYBER	VYBER	9564	57317	\N	\N	\N
1054940	3608	1998-06-13	VYDAJ	VYBER	9300	34695	\N	\N	\N
1054942	3608	1995-01-09	VYDAJ	VYBER	3600	18628	\N	\N	\N
1054944	3608	1997-01-03	VYDAJ	VYBER	12300	29757	\N	\N	\N
1054945	3608	1998-01-19	VYDAJ	VYBER	20100	36136	\N	\N	\N
1054946	3608	1994-12-05	VYDAJ	VYBER	8100	41312	\N	\N	\N
1054948	3608	1996-12-21	VYDAJ	VYBER	8100	41844	\N	\N	\N
1054949	3608	1997-12-21	VYDAJ	VYBER	5100	81934	\N	\N	\N
1054950	3608	1998-12-06	VYDAJ	VYBER	6000	40702	\N	\N	\N
1054958	3608	1995-01-09	VYDAJ	VYBER	1800	22228	\N	\N	\N
1054962	3608	1995-01-04	VYDAJ	VYBER	4500	24028	\N	\N	\N
1054963	3608	1996-01-12	VYDAJ	VYBER	3300	24920	\N	\N	\N
1054968	3608	1996-01-07	VYDAJ	VYBER	2400	25582	\N	\N	\N
1054975	3608	1998-01-29	VYDAJ	VYBER	5700	95693	\N	\N	\N
1054976	3608	1998-01-17	VYDAJ	VYBER	2700	64636	\N	\N	\N
1054977	3608	1998-01-18	VYDAJ	VYBER	5400	56236	\N	\N	\N
1054978	3608	1998-01-24	VYDAJ	VYBER	1800	34336	\N	\N	\N
1054979	3608	1998-01-10	VYDAJ	VYBER	3600	99117	\N	\N	\N
1054980	3608	1998-01-17	VYDAJ	VYBER	3000	61636	\N	\N	\N
1054986	3608	1995-11-13	VYDAJ	VYBER	12900	40158	\N	\N	\N
1054987	3608	1995-09-28	VYDAJ	VYBER	4500	36577	\N	\N	\N
1054989	3608	1995-08-14	VYDAJ	VYBER	11700	24515	\N	\N	\N
1054990	3608	1995-10-08	VYDAJ	VYBER	4500	27811	\N	\N	\N
1054991	3608	1996-08-27	VYDAJ	VYBER	13500	56141	\N	\N	\N
1054993	3608	1996-06-03	VYDAJ	VYBER	4800	39873	\N	\N	\N
1054994	3608	1996-10-30	VYDAJ	VYBER	10800	38370	\N	\N	\N
1054995	3608	1997-09-30	VYDAJ	VYBER	4200	62094	\N	\N	\N
1054997	3608	1997-10-02	VYDAJ	VYBER	9900	52194	\N	\N	\N
1054999	3608	1997-04-09	VYDAJ	VYBER	10800	45134	\N	\N	\N
1055000	3608	1997-07-17	VYDAJ	VYBER	1800	31291	\N	\N	\N
1055001	3608	1998-11-13	VYDAJ	VYBER	11700	32394	\N	\N	\N
1055002	3608	1998-11-03	VYDAJ	VYBER	7500	59180	\N	\N	\N
1055003	3608	1998-08-26	VYDAJ	VYBER	14700	51831	\N	\N	\N
1055004	3608	1998-02-23	VYDAJ	VYBER	3900	66881	\N	\N	\N
1055005	3608	1998-07-30	VYDAJ	VYBER	14700	62033	\N	\N	\N
1055016	3608	1994-10-31	VYDAJ	VYBER	30	59975	SLUZBY	\N	\N
1055017	3608	1994-11-30	VYDAJ	VYBER	30	49412	SLUZBY	\N	\N
1055018	3608	1994-12-31	VYDAJ	VYBER	30	28528	SLUZBY	\N	\N
1055019	3608	1995-01-31	VYDAJ	VYBER	30	19852	SLUZBY	\N	\N
1055020	3608	1995-02-28	VYDAJ	VYBER	30	19066	SLUZBY	\N	\N
1055021	3608	1995-03-31	VYDAJ	VYBER	30	18876	SLUZBY	\N	\N
1055022	3608	1995-04-30	VYDAJ	VYBER	30	25018	SLUZBY	\N	\N
1055023	3608	1995-05-31	VYDAJ	VYBER	30	22856	SLUZBY	\N	\N
1055024	3608	1995-06-30	VYDAJ	VYBER	30	24298	SLUZBY	\N	\N
1055025	3608	1995-07-31	VYDAJ	VYBER	30	21635	SLUZBY	\N	\N
1055026	3608	1995-08-31	VYDAJ	VYBER	30	32299	SLUZBY	\N	\N
1055027	3608	1995-09-30	VYDAJ	VYBER	30	36711	SLUZBY	\N	\N
1055028	3608	1995-10-31	VYDAJ	VYBER	30	28481	SLUZBY	\N	\N
1055029	3608	1995-11-30	VYDAJ	VYBER	30	28520	SLUZBY	\N	\N
1055030	3608	1995-12-31	VYDAJ	VYBER	30	27982	SLUZBY	\N	\N
1055031	3608	1996-01-31	VYDAJ	VYBER	30	20865	SLUZBY	\N	\N
1055032	3608	1996-02-29	VYDAJ	VYBER	30	26905	SLUZBY	\N	\N
1055033	3608	1996-03-31	VYDAJ	VYBER	30	29458	SLUZBY	\N	\N
1055034	3608	1996-04-30	VYDAJ	VYBER	30	36296	SLUZBY	\N	\N
1055035	3608	1996-05-31	VYDAJ	VYBER	30	44673	SLUZBY	\N	\N
1055036	3608	1996-06-30	VYDAJ	VYBER	30	34389	SLUZBY	\N	\N
1055037	3608	1996-07-31	VYDAJ	VYBER	30	43489	SLUZBY	\N	\N
1055038	3608	1996-08-31	VYDAJ	VYBER	30	56340	SLUZBY	\N	\N
1055039	3608	1996-09-30	VYDAJ	VYBER	30	59361	SLUZBY	\N	\N
1055040	3608	1996-10-31	VYDAJ	VYBER	30	38569	SLUZBY	\N	\N
1055041	3608	1996-11-30	VYDAJ	VYBER	30	73954	SLUZBY	\N	\N
1055042	3608	1996-12-31	VYDAJ	VYBER	30	42057	SLUZBY	\N	\N
1055043	3608	1997-01-31	VYDAJ	VYBER	30	27748	SLUZBY	\N	\N
1055044	3608	1997-02-28	VYDAJ	VYBER	30	27819	SLUZBY	\N	\N
1055045	3608	1997-03-31	VYDAJ	VYBER	30	34424	SLUZBY	\N	\N
1055046	3608	1997-04-30	VYDAJ	VYBER	30	35944	SLUZBY	\N	\N
1055047	3608	1997-05-31	VYDAJ	VYBER	30	38400	SLUZBY	\N	\N
1055048	3608	1997-06-30	VYDAJ	VYBER	30	37701	SLUZBY	\N	\N
1055049	3608	1997-07-31	VYDAJ	VYBER	30	31399	SLUZBY	\N	\N
1055050	3608	1997-08-31	VYDAJ	VYBER	30	30591	SLUZBY	\N	\N
1055051	3608	1997-09-30	VYDAJ	VYBER	30	66294	SLUZBY	\N	\N
1055052	3608	1997-10-31	VYDAJ	VYBER	30	37650	SLUZBY	\N	\N
1055053	3608	1997-11-30	VYDAJ	VYBER	30	28839	SLUZBY	\N	\N
1055054	3608	1997-12-31	VYDAJ	VYBER	30	102717	SLUZBY	\N	\N
1055055	3608	1998-01-31	VYDAJ	VYBER	30	95981	SLUZBY	\N	\N
1055056	3608	1998-02-28	VYDAJ	VYBER	30	57602	SLUZBY	\N	\N
1055057	3608	1998-03-31	VYDAJ	VYBER	30	90257	SLUZBY	\N	\N
1055058	3608	1998-04-30	VYDAJ	VYBER	30	72281	SLUZBY	\N	\N
1055059	3608	1998-05-31	VYDAJ	VYBER	30	62181	SLUZBY	\N	\N
1055060	3608	1998-06-30	VYDAJ	VYBER	30	46632	SLUZBY	\N	\N
1055061	3608	1998-07-31	VYDAJ	VYBER	30	62216	SLUZBY	\N	\N
1055062	3608	1998-08-31	VYDAJ	VYBER	30	52057	SLUZBY	\N	\N
1055063	3608	1998-09-30	VYDAJ	VYBER	30	50785	SLUZBY	\N	\N
1055064	3608	1998-10-31	VYDAJ	VYBER	30	66680	SLUZBY	\N	\N
1055065	3608	1998-11-30	VYDAJ	VYBER	30	73988	SLUZBY	\N	\N
1055066	3608	1994-09-29	VYDAJ	VYBER	2300	28804	\N	\N	\N
1055067	3608	1994-10-25	VYDAJ	VYBER	41000	63553	\N	\N	\N
1055068	3608	1994-10-29	VYDAJ	VYBER	36300	59677	\N	\N	\N
1055069	3608	1994-11-02	VYDAJ	VYBER	64900	48966	\N	\N	\N
1055070	3608	1994-11-28	VYDAJ	VYBER	25100	49149	\N	\N	\N
1055071	3608	1994-12-28	VYDAJ	VYBER	4000	28388	\N	\N	\N
1055072	3608	1995-01-27	PRIJEM	VKLAD	7400	19804	\N	\N	\N
1055073	3608	1995-02-26	PRIJEM	VKLAD	7500	19028	\N	\N	\N
1055074	3608	1995-03-28	PRIJEM	VKLAD	10700	18842	\N	\N	\N
1055075	3608	1995-04-27	PRIJEM	VKLAD	2100	24972	\N	\N	\N
1055076	3608	1995-05-27	PRIJEM	VKLAD	8700	26394	\N	\N	\N
1055077	3608	1995-06-26	PRIJEM	VKLAD	4500	24232	\N	\N	\N
1055078	3608	1995-07-26	PRIJEM	VKLAD	8300	26274	\N	\N	\N
1055079	3608	1995-08-25	PRIJEM	VKLAD	7700	32215	\N	\N	\N
1055080	3608	1995-09-24	VYDAJ	VYBER	7500	41077	\N	\N	\N
1055081	3608	1995-10-24	PRIJEM	VKLAD	3700	28387	\N	\N	\N
1055082	3608	1995-11-23	VYDAJ	VYBER	300	36734	\N	\N	\N
1055083	3608	1995-12-23	PRIJEM	VKLAD	6200	27896	\N	\N	\N
1055084	3608	1996-01-22	PRIJEM	VKLAD	2800	24596	\N	\N	\N
1055085	3608	1996-02-21	PRIJEM	VKLAD	9100	26841	\N	\N	\N
1055086	3608	1996-03-22	PRIJEM	VKLAD	9200	29381	\N	\N	\N
1055087	3608	1996-04-21	PRIJEM	VKLAD	7100	39093	\N	\N	\N
1055088	3608	1996-05-21	PRIJEM	VKLAD	1600	29372	\N	\N	\N
1055089	3608	1996-06-20	PRIJEM	VKLAD	2000	34263	\N	\N	\N
1055090	3608	1996-07-20	VYDAJ	VYBER	5600	40831	\N	\N	\N
1055091	3608	1996-08-19	VYDAJ	VYBER	17500	54353	\N	\N	\N
1055092	3608	1996-09-18	VYDAJ	VYBER	17300	42434	\N	\N	\N
1055093	3608	1996-10-18	VYDAJ	VYBER	16300	49170	\N	\N	\N
1055094	3608	1996-11-17	PRIJEM	VKLAD	2700	33659	\N	\N	\N
1055095	3608	1996-12-17	VYDAJ	VYBER	16400	49944	\N	\N	\N
1055096	3608	1997-01-16	PRIJEM	VKLAD	5500	27647	\N	\N	\N
1055097	3608	1997-02-15	PRIJEM	VKLAD	7600	27738	\N	\N	\N
1055098	3608	1997-03-17	VYDAJ	VYBER	900	34324	\N	\N	\N
1055099	3608	1997-04-16	VYDAJ	VYBER	1700	35824	\N	\N	\N
1055100	3608	1997-05-16	VYDAJ	VYBER	9800	38271	\N	\N	\N
1055101	3608	1997-06-15	VYDAJ	VYBER	11100	37572	\N	\N	\N
1055102	3608	1997-07-15	PRIJEM	VKLAD	3000	33091	\N	\N	\N
1055103	3608	1997-08-14	PRIJEM	VKLAD	6700	33613	\N	\N	\N
1055104	3608	1997-09-13	PRIJEM	VKLAD	6300	32405	\N	\N	\N
1055105	3608	1997-10-13	VYDAJ	VYBER	7100	40608	\N	\N	\N
1055106	3608	1997-11-12	VYDAJ	VYBER	1300	31864	\N	\N	\N
1055107	3608	1997-12-12	PRIJEM	VKLAD	6000	34839	\N	\N	\N
1055108	3608	1998-01-11	VYDAJ	VYBER	31400	67717	\N	\N	\N
1055109	3608	1998-02-10	VYDAJ	VYBER	26600	63796	\N	\N	\N
1055110	3608	1998-03-12	VYDAJ	VYBER	26200	70616	\N	\N	\N
1055111	3608	1998-04-11	VYDAJ	VYBER	27300	62957	\N	\N	\N
1055112	3608	1998-05-11	VYDAJ	VYBER	15100	57181	\N	\N	\N
1055113	3608	1998-06-10	VYDAJ	VYBER	13700	48481	\N	\N	\N
1055114	3608	1998-07-10	VYDAJ	VYBER	5600	41032	\N	\N	\N
1055115	3608	1998-08-09	VYDAJ	VYBER	12400	49816	\N	\N	\N
1055116	3608	1998-09-08	VYDAJ	VYBER	5300	46757	\N	\N	\N
1055117	3608	1998-10-08	VYDAJ	VYBER	10800	39985	\N	\N	\N
1055118	3608	1998-11-07	VYDAJ	VYBER	10600	48580	\N	\N	\N
1055119	3608	1998-12-07	PRIJEM	VKLAD	200	40902	\N	\N	\N
1055172	3609	1993-08-03	PRIJEM	VKLAD	600	600	\N	\N	\N
1055180	3609	1993-08-14	PRIJEM	VKLAD	20987	21587	\N	\N	\N
1055181	3609	1993-09-14	PRIJEM	VKLAD	20987	46126	\N	\N	\N
1055182	3609	1993-10-14	PRIJEM	VKLAD	20987	56461	\N	\N	\N
1055183	3609	1993-11-14	PRIJEM	VKLAD	20987	63365	\N	\N	\N
1055184	3609	1993-12-14	PRIJEM	VKLAD	31481	75897	\N	\N	\N
1055185	3609	1994-01-14	PRIJEM	VKLAD	20987	61522	\N	\N	\N
1055186	3609	1994-02-14	PRIJEM	VKLAD	20987	54081	\N	\N	\N
1055187	3609	1994-03-14	PRIJEM	VKLAD	20987	57776	\N	\N	\N
1055188	3609	1994-04-14	PRIJEM	VKLAD	20987	57097	\N	\N	\N
1055189	3609	1994-05-14	PRIJEM	VKLAD	20987	60325	\N	\N	\N
1055190	3609	1994-06-14	PRIJEM	VKLAD	31481	69549	\N	\N	\N
1055191	3609	1994-07-14	PRIJEM	VKLAD	20987	40671	\N	\N	\N
1055192	3609	1994-08-14	PRIJEM	VKLAD	20987	50510	\N	\N	\N
1055193	3609	1994-09-14	PRIJEM	VKLAD	20987	54686	\N	\N	\N
1055194	3609	1994-10-14	PRIJEM	VKLAD	20987	55769	\N	\N	\N
1055195	3609	1994-11-14	PRIJEM	VKLAD	20987	59156	\N	\N	\N
1055196	3609	1994-12-14	PRIJEM	VKLAD	31481	70956	\N	\N	\N
1055197	3609	1995-01-14	PRIJEM	VKLAD	20987	60283	\N	\N	\N
1055198	3609	1995-02-14	PRIJEM	VKLAD	20987	43381	\N	\N	\N
1055199	3609	1995-03-14	PRIJEM	VKLAD	20987	52223	\N	\N	\N
1055200	3609	1995-04-14	PRIJEM	VKLAD	20987	57496	\N	\N	\N
1055201	3609	1995-05-14	PRIJEM	VKLAD	20987	61195	\N	\N	\N
1055202	3609	1995-06-14	PRIJEM	VKLAD	31481	71892	\N	\N	\N
1055203	3609	1995-07-14	PRIJEM	VKLAD	20987	63408	\N	\N	\N
1055204	3609	1995-08-14	PRIJEM	VKLAD	20987	63525	\N	\N	\N
1055205	3609	1995-09-14	PRIJEM	VKLAD	20987	63639	\N	\N	\N
1055206	3609	1995-10-14	PRIJEM	VKLAD	20987	65149	\N	\N	\N
1055207	3609	1995-11-14	PRIJEM	VKLAD	20987	66765	\N	\N	\N
1055208	3609	1995-12-14	PRIJEM	VKLAD	31481	71575	\N	\N	\N
1055209	3609	1996-01-14	PRIJEM	VKLAD	20987	57837	\N	\N	\N
1055210	3609	1996-02-14	PRIJEM	VKLAD	20987	57369	\N	\N	\N
1055211	3609	1996-03-14	PRIJEM	VKLAD	20987	57927	\N	\N	\N
1055212	3609	1996-04-14	PRIJEM	VKLAD	20987	52851	\N	\N	\N
1055213	3609	1996-05-14	PRIJEM	VKLAD	20987	59931	\N	\N	\N
1055214	3609	1996-06-14	PRIJEM	VKLAD	31481	50208	\N	\N	\N
1055215	3609	1996-07-14	PRIJEM	VKLAD	20987	54873	\N	\N	\N
1055216	3609	1996-08-14	PRIJEM	VKLAD	20987	60648	\N	\N	\N
1055217	3609	1996-09-14	PRIJEM	VKLAD	20987	63337	\N	\N	\N
1055218	3609	1996-10-14	PRIJEM	VKLAD	20987	54736	\N	\N	\N
1055219	3609	1996-11-14	PRIJEM	VKLAD	20987	57199	\N	\N	\N
1055220	3609	1996-12-14	PRIJEM	VKLAD	31481	72970	\N	\N	\N
1055221	3609	1997-01-14	PRIJEM	VKLAD	20987	61456	\N	\N	\N
1055222	3609	1997-02-14	PRIJEM	VKLAD	20987	55516	\N	\N	\N
1055223	3609	1997-03-14	PRIJEM	VKLAD	20987	70308	\N	\N	\N
1055224	3609	1997-04-14	PRIJEM	VKLAD	20987	70828	\N	\N	\N
1055225	3609	1997-05-14	PRIJEM	VKLAD	20987	68651	\N	\N	\N
1055226	3609	1997-06-14	PRIJEM	VKLAD	31481	74263	\N	\N	\N
1055227	3609	1997-07-14	PRIJEM	VKLAD	20987	65576	\N	\N	\N
1055228	3609	1997-08-14	PRIJEM	VKLAD	20987	67931	\N	\N	\N
1055229	3609	1997-09-14	PRIJEM	VKLAD	20987	68090	\N	\N	\N
1055230	3609	1997-10-14	PRIJEM	VKLAD	20987	67461	\N	\N	\N
1055231	3609	1997-11-14	PRIJEM	VKLAD	20987	72732	\N	\N	\N
1055232	3609	1997-12-14	PRIJEM	VKLAD	31481	85498	\N	\N	\N
1055233	3609	1998-01-14	PRIJEM	VKLAD	20987	75673	\N	\N	\N
1055234	3609	1998-02-14	PRIJEM	VKLAD	20987	77260	\N	\N	\N
1055235	3609	1998-03-14	PRIJEM	VKLAD	20987	78946	\N	\N	\N
1055236	3609	1998-04-14	PRIJEM	VKLAD	20987	83554	\N	\N	\N
1055237	3609	1998-05-14	PRIJEM	VKLAD	20987	88385	\N	\N	\N
1055238	3609	1998-06-14	PRIJEM	VKLAD	31481	81830	\N	\N	\N
1055239	3609	1998-07-14	PRIJEM	VKLAD	20987	90542	\N	\N	\N
1055240	3609	1998-08-14	PRIJEM	VKLAD	20987	98194	\N	\N	\N
1055241	3609	1998-09-14	PRIJEM	VKLAD	20987	105368	\N	\N	\N
1055242	3609	1998-10-14	PRIJEM	VKLAD	20987	102776	\N	\N	\N
1055243	3609	1998-11-14	PRIJEM	VKLAD	20987	103789	\N	\N	\N
1055244	3609	1998-12-14	PRIJEM	VKLAD	31481	112549	\N	\N	\N
1055257	3609	1994-01-13	VYDAJ	PREVOD NA UCET	2128	40535	SIPO	GH	7829064
1055258	3609	1994-02-13	VYDAJ	PREVOD NA UCET	2128	33094	SIPO	GH	7829064
1055259	3609	1994-03-13	VYDAJ	PREVOD NA UCET	2128	36789	SIPO	GH	7829064
1055260	3609	1994-04-13	VYDAJ	PREVOD NA UCET	2128	36110	SIPO	GH	7829064
1055261	3609	1994-05-13	VYDAJ	PREVOD NA UCET	2128	39338	SIPO	GH	7829064
1055262	3609	1994-06-13	VYDAJ	PREVOD NA UCET	2128	38069	SIPO	GH	7829064
1055263	3609	1994-07-13	VYDAJ	PREVOD NA UCET	2128	19684	SIPO	GH	7829064
1055264	3609	1994-08-13	VYDAJ	PREVOD NA UCET	2128	29523	SIPO	GH	7829064
1055265	3609	1994-09-13	VYDAJ	PREVOD NA UCET	2128	33699	SIPO	GH	7829064
1055266	3609	1994-10-13	VYDAJ	PREVOD NA UCET	2128	34782	SIPO	GH	7829064
1055267	3609	1994-11-13	VYDAJ	PREVOD NA UCET	2128	38169	SIPO	GH	7829064
1055268	3609	1994-12-13	VYDAJ	PREVOD NA UCET	2128	39475	SIPO	GH	7829064
1055269	3609	1995-01-13	VYDAJ	PREVOD NA UCET	2128	39296	SIPO	GH	7829064
1055270	3609	1995-02-13	VYDAJ	PREVOD NA UCET	2128	22394	SIPO	GH	7829064
1055271	3609	1995-03-13	VYDAJ	PREVOD NA UCET	2128	31236	SIPO	GH	7829064
1055272	3609	1995-04-13	VYDAJ	PREVOD NA UCET	2128	36509	SIPO	GH	7829064
1055273	3609	1995-05-13	VYDAJ	PREVOD NA UCET	2128	40208	SIPO	GH	7829064
1055274	3609	1995-06-13	VYDAJ	PREVOD NA UCET	2128	40411	SIPO	GH	7829064
1055275	3609	1995-07-13	VYDAJ	PREVOD NA UCET	2128	42421	SIPO	GH	7829064
1055276	3609	1995-08-13	VYDAJ	PREVOD NA UCET	2128	42538	SIPO	GH	7829064
1055277	3609	1995-09-13	VYDAJ	PREVOD NA UCET	2128	42652	SIPO	GH	7829064
1055278	3609	1995-10-13	VYDAJ	PREVOD NA UCET	2128	44162	SIPO	GH	7829064
1055279	3609	1995-11-13	VYDAJ	PREVOD NA UCET	2128	45778	SIPO	GH	7829064
1055280	3609	1995-12-13	VYDAJ	PREVOD NA UCET	2128	40095	SIPO	GH	7829064
1055281	3609	1996-01-13	VYDAJ	PREVOD NA UCET	2128	36850	SIPO	GH	7829064
1055282	3609	1996-02-13	VYDAJ	PREVOD NA UCET	2128	36382	SIPO	GH	7829064
1055283	3609	1996-03-13	VYDAJ	PREVOD NA UCET	2128	36940	SIPO	GH	7829064
1055284	3609	1996-04-13	VYDAJ	PREVOD NA UCET	2128	31864	SIPO	GH	7829064
1055285	3609	1996-05-13	VYDAJ	PREVOD NA UCET	2128	38944	SIPO	GH	7829064
1055286	3609	1996-06-13	VYDAJ	PREVOD NA UCET	2128	18728	SIPO	GH	7829064
1055287	3609	1996-07-13	VYDAJ	PREVOD NA UCET	2128	33886	SIPO	GH	7829064
1055288	3609	1996-08-13	VYDAJ	PREVOD NA UCET	2128	39661	SIPO	GH	7829064
1055289	3609	1996-09-13	VYDAJ	PREVOD NA UCET	2128	42350	SIPO	GH	7829064
1055290	3609	1996-10-13	VYDAJ	PREVOD NA UCET	2128	33749	SIPO	GH	7829064
1055291	3609	1996-11-13	VYDAJ	PREVOD NA UCET	2128	36212	SIPO	GH	7829064
1055292	3609	1996-12-13	VYDAJ	PREVOD NA UCET	2128	41490	SIPO	GH	7829064
1055293	3609	1997-01-13	VYDAJ	PREVOD NA UCET	2128	43869	SIPO	GH	7829064
1055294	3609	1997-02-13	VYDAJ	PREVOD NA UCET	2128	34529	SIPO	GH	7829064
1055295	3609	1997-03-13	VYDAJ	PREVOD NA UCET	2128	49321	SIPO	GH	7829064
1055296	3609	1997-04-13	VYDAJ	PREVOD NA UCET	2128	49841	SIPO	GH	7829064
1055297	3609	1997-05-13	VYDAJ	PREVOD NA UCET	2128	47664	SIPO	GH	7829064
1055298	3609	1997-06-13	VYDAJ	PREVOD NA UCET	2128	42782	SIPO	GH	7829064
1055299	3609	1997-07-13	VYDAJ	PREVOD NA UCET	2128	44589	SIPO	GH	7829064
1055300	3609	1997-08-13	VYDAJ	PREVOD NA UCET	2128	46944	SIPO	GH	7829064
1055301	3609	1997-09-13	VYDAJ	PREVOD NA UCET	2128	47103	SIPO	GH	7829064
1055302	3609	1997-10-13	VYDAJ	PREVOD NA UCET	2128	46474	SIPO	GH	7829064
1055303	3609	1997-11-13	VYDAJ	PREVOD NA UCET	2128	51745	SIPO	GH	7829064
1055304	3609	1997-12-13	VYDAJ	PREVOD NA UCET	2128	54017	SIPO	GH	7829064
1055305	3609	1998-01-13	VYDAJ	PREVOD NA UCET	2128	54686	SIPO	GH	7829064
1055306	3609	1998-02-13	VYDAJ	PREVOD NA UCET	2128	56273	SIPO	GH	7829064
1055307	3609	1998-03-13	VYDAJ	PREVOD NA UCET	2128	57959	SIPO	GH	7829064
1055308	3609	1998-04-13	VYDAJ	PREVOD NA UCET	2128	62567	SIPO	GH	7829064
1055309	3609	1998-05-13	VYDAJ	PREVOD NA UCET	2128	67398	SIPO	GH	7829064
1055310	3609	1998-06-13	VYDAJ	PREVOD NA UCET	2128	50350	SIPO	GH	7829064
1055311	3609	1998-07-13	VYDAJ	PREVOD NA UCET	2128	69555	SIPO	GH	7829064
1055312	3609	1998-08-13	VYDAJ	PREVOD NA UCET	2128	77207	SIPO	GH	7829064
1055313	3609	1998-09-13	VYDAJ	PREVOD NA UCET	2128	84381	SIPO	GH	7829064
1055314	3609	1998-10-13	VYDAJ	PREVOD NA UCET	2128	81789	SIPO	GH	7829064
1055315	3609	1998-11-13	VYDAJ	PREVOD NA UCET	2128	82802	SIPO	GH	7829064
1055316	3609	1998-12-13	VYDAJ	PREVOD NA UCET	2128	81068	SIPO	GH	7829064
1055328	3609	1993-12-14	VYDAJ	PREVOD NA UCET	4238	71659	 	WX	36661124
1055329	3609	1994-01-14	VYDAJ	PREVOD NA UCET	4238	57284	 	WX	36661124
1055330	3609	1994-02-14	VYDAJ	PREVOD NA UCET	4238	49843	 	WX	36661124
1055331	3609	1994-03-14	VYDAJ	PREVOD NA UCET	4238	53538	 	WX	36661124
1055332	3609	1994-04-14	VYDAJ	PREVOD NA UCET	4238	52859	 	WX	36661124
1055333	3609	1994-05-14	VYDAJ	PREVOD NA UCET	4238	56087	 	WX	36661124
1055334	3609	1994-06-14	VYDAJ	PREVOD NA UCET	4238	65311	 	WX	36661124
1055335	3609	1994-07-14	VYDAJ	PREVOD NA UCET	4238	36433	 	WX	36661124
1055336	3609	1994-08-14	VYDAJ	PREVOD NA UCET	4238	46272	 	WX	36661124
1055337	3609	1994-09-14	VYDAJ	PREVOD NA UCET	4238	50448	 	WX	36661124
1055338	3609	1994-10-14	VYDAJ	PREVOD NA UCET	4238	51531	 	WX	36661124
1055339	3609	1994-11-14	VYDAJ	PREVOD NA UCET	4238	54918	 	WX	36661124
1055340	3609	1994-12-14	VYDAJ	PREVOD NA UCET	4238	64798	 	WX	36661124
1055341	3609	1995-01-14	VYDAJ	PREVOD NA UCET	4238	56045	 	WX	36661124
1055342	3609	1995-02-14	VYDAJ	PREVOD NA UCET	4238	39143	 	WX	36661124
1055343	3609	1995-03-14	VYDAJ	PREVOD NA UCET	4238	47985	 	WX	36661124
1055344	3609	1995-04-14	VYDAJ	PREVOD NA UCET	4238	53258	 	WX	36661124
1055345	3609	1995-05-14	VYDAJ	PREVOD NA UCET	4238	56957	 	WX	36661124
1055346	3609	1995-06-14	VYDAJ	PREVOD NA UCET	4238	67654	 	WX	36661124
1055347	3609	1995-07-14	VYDAJ	PREVOD NA UCET	4238	59170	 	WX	36661124
1055348	3609	1995-08-14	VYDAJ	PREVOD NA UCET	4238	59287	 	WX	36661124
1055349	3609	1995-09-14	VYDAJ	PREVOD NA UCET	4238	59401	 	WX	36661124
1055350	3609	1995-10-14	VYDAJ	PREVOD NA UCET	4238	60911	 	WX	36661124
1055351	3609	1995-11-14	VYDAJ	PREVOD NA UCET	4238	62527	 	WX	36661124
1055352	3609	1995-12-14	VYDAJ	PREVOD NA UCET	4238	67337	 	WX	36661124
1055353	3609	1996-01-14	VYDAJ	PREVOD NA UCET	4238	53599	 	WX	36661124
1055354	3609	1996-02-14	VYDAJ	PREVOD NA UCET	4238	53131	 	WX	36661124
1055355	3609	1996-03-14	VYDAJ	PREVOD NA UCET	4238	53689	 	WX	36661124
1055356	3609	1996-04-14	VYDAJ	PREVOD NA UCET	4238	48613	 	WX	36661124
1055357	3609	1996-05-14	VYDAJ	PREVOD NA UCET	4238	55693	 	WX	36661124
1055358	3609	1996-06-14	VYDAJ	PREVOD NA UCET	4238	45970	 	WX	36661124
1055359	3609	1996-07-14	VYDAJ	PREVOD NA UCET	4238	50635	 	WX	36661124
1055360	3609	1996-08-14	VYDAJ	PREVOD NA UCET	4238	56410	 	WX	36661124
1055361	3609	1996-09-14	VYDAJ	PREVOD NA UCET	4238	59099	 	WX	36661124
1055362	3609	1996-10-14	VYDAJ	PREVOD NA UCET	4238	50498	 	WX	36661124
1055363	3609	1996-11-14	VYDAJ	PREVOD NA UCET	4238	52961	 	WX	36661124
1055364	3609	1996-12-14	VYDAJ	PREVOD NA UCET	4238	68732	 	WX	36661124
1055365	3609	1997-01-14	VYDAJ	PREVOD NA UCET	4238	52778	 	WX	36661124
1055366	3609	1997-02-14	VYDAJ	PREVOD NA UCET	4238	51278	 	WX	36661124
1055367	3609	1997-03-14	VYDAJ	PREVOD NA UCET	4238	66070	 	WX	36661124
1055368	3609	1997-04-14	VYDAJ	PREVOD NA UCET	4238	53190	 	WX	36661124
1055369	3609	1997-05-14	VYDAJ	PREVOD NA UCET	4238	53013	 	WX	36661124
1055370	3609	1997-06-14	VYDAJ	PREVOD NA UCET	4238	70025	 	WX	36661124
1055371	3609	1997-07-14	VYDAJ	PREVOD NA UCET	4238	61338	 	WX	36661124
1055372	3609	1997-08-14	VYDAJ	PREVOD NA UCET	4238	63693	 	WX	36661124
1055373	3609	1997-09-14	VYDAJ	PREVOD NA UCET	4238	63852	 	WX	36661124
1055374	3609	1997-10-14	VYDAJ	PREVOD NA UCET	4238	63223	 	WX	36661124
1055375	3609	1997-11-14	VYDAJ	PREVOD NA UCET	4238	68494	 	WX	36661124
1055376	3609	1997-12-14	VYDAJ	PREVOD NA UCET	4238	81260	 	WX	36661124
1055377	3609	1998-01-14	VYDAJ	PREVOD NA UCET	4238	71435	 	WX	36661124
1055378	3609	1998-02-14	VYDAJ	PREVOD NA UCET	4238	73022	 	WX	36661124
1055379	3609	1998-03-14	VYDAJ	PREVOD NA UCET	4238	74708	 	WX	36661124
1055380	3609	1998-04-14	VYDAJ	PREVOD NA UCET	4238	79316	 	WX	36661124
1055381	3609	1998-05-14	VYDAJ	PREVOD NA UCET	4238	84147	 	WX	36661124
1055382	3609	1998-06-14	VYDAJ	PREVOD NA UCET	4238	77592	 	WX	36661124
1055383	3609	1998-07-14	VYDAJ	PREVOD NA UCET	4238	86304	 	WX	36661124
1055384	3609	1998-08-14	VYDAJ	PREVOD NA UCET	4238	93956	 	WX	36661124
1055385	3609	1998-09-14	VYDAJ	PREVOD NA UCET	4238	101130	 	WX	36661124
1055386	3609	1998-10-14	VYDAJ	PREVOD NA UCET	4238	98538	 	WX	36661124
1055387	3609	1998-11-14	VYDAJ	PREVOD NA UCET	4238	99551	 	WX	36661124
1055388	3609	1998-12-14	VYDAJ	PREVOD NA UCET	4238	108311	 	WX	36661124
1055390	3609	1994-06-25	VYDAJ	VYBER	45280	20031	\N	\N	\N
1055392	3609	1996-06-11	VYDAJ	VYBER	19200	20856	\N	\N	\N
1055393	3609	1997-06-17	VYDAJ	VYBER	15520	54505	\N	\N	\N
1055394	3609	1998-06-07	VYDAJ	VYBER	45600	38878	\N	\N	\N
1055396	3609	1994-01-09	VYDAJ	VYBER	2720	43623	\N	\N	\N
1055397	3609	1995-01-30	VYDAJ	VYBER	9920	24345	\N	\N	\N
1055398	3609	1996-01-13	VYDAJ	VYBER	2400	40178	\N	\N	\N
1055399	3609	1997-01-07	VYDAJ	VYBER	4480	45997	\N	\N	\N
1055400	3609	1998-01-09	VYDAJ	VYBER	5280	56814	\N	\N	\N
1055401	3609	1993-12-15	VYDAJ	VYBER	2400	69259	\N	\N	\N
1055402	3609	1994-12-14	VYDAJ	VYBER	1920	69036	\N	\N	\N
1055403	3609	1995-12-16	VYDAJ	VYBER	800	66537	\N	\N	\N
1055404	3609	1996-12-17	VYDAJ	VYBER	4640	50292	\N	\N	\N
1055405	3609	1997-12-29	VYDAJ	VYBER	4160	77100	\N	\N	\N
1055406	3609	1998-12-06	VYDAJ	VYBER KARTOU	1800	83196	\N	\N	0
1055413	3609	1994-01-27	VYDAJ	VYBER	1800	55484	\N	\N	\N
1055414	3609	1994-01-12	VYDAJ	VYBER	960	42663	\N	\N	\N
1055415	3609	1994-01-30	VYDAJ	VYBER	2760	35844	\N	\N	\N
1055416	3609	1994-01-05	VYDAJ	VYBER	840	47183	\N	\N	\N
1055417	3609	1994-01-30	VYDAJ	VYBER	3480	38604	\N	\N	\N
1055418	3609	1994-01-08	VYDAJ	VYBER	840	46343	\N	\N	\N
1055419	3609	1995-01-10	VYDAJ	VYBER	2400	41424	\N	\N	\N
1055420	3609	1995-01-24	VYDAJ	VYBER	2160	52445	\N	\N	\N
1055421	3609	1995-01-01	VYDAJ	VYBER	2280	43824	\N	\N	\N
1055422	3609	1995-01-28	VYDAJ	VYBER	3000	37745	\N	\N	\N
1055423	3609	1995-01-19	VYDAJ	VYBER	1440	54605	\N	\N	\N
1055424	3609	1995-01-29	VYDAJ	VYBER	3480	34265	\N	\N	\N
1055425	3609	1996-01-03	VYDAJ	VYBER	720	47258	\N	\N	\N
1055426	3609	1996-01-10	VYDAJ	VYBER	2400	42578	\N	\N	\N
1055427	3609	1996-01-04	VYDAJ	VYBER	2280	44978	\N	\N	\N
1055428	3609	1996-01-02	VYDAJ	VYBER	960	47978	\N	\N	\N
1055429	3609	1996-01-22	VYDAJ	VYBER	2760	38339	\N	\N	\N
1055430	3609	1996-01-13	VYDAJ	VYBER	1200	38978	\N	\N	\N
1055431	3609	1997-01-25	VYDAJ	VYBER KARTOU	3200	33978	\N	\N	0
1055432	3609	1997-01-24	VYDAJ	VYBER KARTOU	2300	37178	\N	\N	0
1055433	3609	1997-01-13	VYDAJ	VYBER KARTOU	3400	40469	\N	\N	0
1055434	3609	1997-01-24	VYDAJ	VYBER KARTOU	2500	39478	\N	\N	0
1055435	3609	1997-01-26	VYDAJ	VYBER KARTOU	700	33278	\N	\N	0
1055436	3609	1997-01-22	VYDAJ	VYBER KARTOU	1300	41978	\N	\N	0
1055437	3609	1998-01-06	VYDAJ	VYBER KARTOU	2000	70694	\N	\N	0
1055438	3609	1998-01-03	VYDAJ	VYBER KARTOU	2300	75094	\N	\N	0
1055439	3609	1998-01-04	VYDAJ	VYBER KARTOU	2400	72694	\N	\N	0
1055440	3609	1998-01-22	VYDAJ	VYBER KARTOU	800	68135	\N	\N	0
1055441	3609	1998-01-28	VYDAJ	VYBER KARTOU	1400	66735	\N	\N	0
1055442	3609	1998-01-18	VYDAJ	VYBER KARTOU	2500	68935	\N	\N	0
1055451	3609	1994-01-31	VYDAJ	VYBER	840	35222	\N	\N	\N
1055452	3609	1995-12-11	VYDAJ	VYBER	1200	42223	\N	\N	\N
1055453	3609	1995-11-30	VYDAJ	VYBER	3000	43423	\N	\N	\N
1055454	3609	1995-06-16	VYDAJ	VYBER	4200	63454	\N	\N	\N
1055455	3609	1996-04-10	VYDAJ	VYBER	5760	33992	\N	\N	\N
1055456	3609	1996-09-17	VYDAJ	VYBER KARTOU	3100	36419	\N	\N	0
1055457	3609	1996-09-16	VYDAJ	VYBER	5880	39519	\N	\N	\N
1055458	3609	1996-10-03	VYDAJ	VYBER KARTOU	700	35877	\N	\N	0
1055459	3609	1996-02-22	VYDAJ	VYBER	2520	38911	\N	\N	\N
1055460	3609	1997-06-12	VYDAJ	VYBER KARTOU	3600	49610	\N	\N	0
1055461	3609	1997-01-14	VYDAJ	VYBER	4440	57016	\N	\N	\N
1055462	3609	1997-04-17	VYDAJ	VYBER KARTOU	3600	49590	\N	\N	0
1055463	3609	1997-10-27	VYDAJ	VYBER KARTOU	2600	60623	\N	\N	0
1055464	3609	1997-08-24	VYDAJ	VYBER KARTOU	3100	60593	\N	\N	0
1055465	3609	1997-07-09	VYDAJ	VYBER KARTOU	2200	52517	\N	\N	0
1055466	3609	1998-12-16	VYDAJ	VYBER KARTOU	1900	106411	\N	\N	0
1055467	3609	1998-08-10	VYDAJ	VYBER KARTOU	600	79335	\N	\N	0
1055468	3609	1998-02-06	VYDAJ	VYBER KARTOU	2400	64601	\N	\N	0
1055469	3609	1998-06-20	VYDAJ	VYBER KARTOU	800	76792	\N	\N	0
1055470	3609	1998-11-20	VYDAJ	VYBER	5040	94511	\N	\N	\N
1055483	3609	1993-12-31	VYDAJ	VYBER	15	69523	SLUZBY	\N	\N
1055484	3609	1994-01-31	VYDAJ	VYBER	15	36062	SLUZBY	\N	\N
1055485	3609	1994-02-28	VYDAJ	VYBER	15	50017	SLUZBY	\N	\N
1055486	3609	1994-03-31	VYDAJ	VYBER	15	53738	SLUZBY	\N	\N
1055487	3609	1994-04-30	VYDAJ	VYBER	15	53066	SLUZBY	\N	\N
1055488	3609	1994-05-31	VYDAJ	VYBER	15	40197	SLUZBY	\N	\N
1055489	3609	1994-06-30	VYDAJ	VYBER	15	21812	SLUZBY	\N	\N
1055490	3609	1994-07-31	VYDAJ	VYBER	15	31651	SLUZBY	\N	\N
1055491	3609	1994-08-31	VYDAJ	VYBER	15	35827	SLUZBY	\N	\N
1055492	3609	1994-09-30	VYDAJ	VYBER	15	36910	SLUZBY	\N	\N
1055493	3609	1994-10-31	VYDAJ	VYBER	15	40297	SLUZBY	\N	\N
1055494	3609	1994-11-30	VYDAJ	VYBER	15	41603	SLUZBY	\N	\N
1055495	3609	1994-12-31	VYDAJ	VYBER	15	46104	SLUZBY	\N	\N
1055496	3609	1995-01-31	VYDAJ	VYBER	15	24522	SLUZBY	\N	\N
1055497	3609	1995-02-28	VYDAJ	VYBER	15	33364	SLUZBY	\N	\N
1055498	3609	1995-03-31	VYDAJ	VYBER	15	38637	SLUZBY	\N	\N
1055499	3609	1995-04-30	VYDAJ	VYBER	15	42336	SLUZBY	\N	\N
1055500	3609	1995-05-31	VYDAJ	VYBER	15	42539	SLUZBY	\N	\N
1055501	3609	1995-06-30	VYDAJ	VYBER	15	44549	SLUZBY	\N	\N
1055502	3609	1995-07-31	VYDAJ	VYBER	15	44666	SLUZBY	\N	\N
1055503	3609	1995-08-31	VYDAJ	VYBER	15	44780	SLUZBY	\N	\N
1055504	3609	1995-09-30	VYDAJ	VYBER	15	46290	SLUZBY	\N	\N
1055505	3609	1995-10-31	VYDAJ	VYBER	15	47906	SLUZBY	\N	\N
1055506	3609	1995-11-30	VYDAJ	VYBER	15	46423	SLUZBY	\N	\N
1055507	3609	1995-12-31	VYDAJ	VYBER	15	48938	SLUZBY	\N	\N
1055508	3609	1996-01-31	VYDAJ	VYBER	15	38510	SLUZBY	\N	\N
1055509	3609	1996-02-29	VYDAJ	VYBER	15	39068	SLUZBY	\N	\N
1055510	3609	1996-03-31	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
1055511	3609	1996-04-30	VYDAJ	VYBER	15	41072	SLUZBY	\N	\N
1055512	3609	1996-05-31	VYDAJ	VYBER	15	40056	SLUZBY	\N	\N
1055513	3609	1996-06-30	VYDAJ	VYBER	15	36014	SLUZBY	\N	\N
1055514	3609	1996-07-31	VYDAJ	VYBER	15	41789	SLUZBY	\N	\N
1055515	3609	1996-08-31	VYDAJ	VYBER	15	44478	SLUZBY	\N	\N
1055516	3609	1996-09-30	VYDAJ	VYBER	15	36577	SLUZBY	\N	\N
1055517	3609	1996-10-31	VYDAJ	VYBER	15	38340	SLUZBY	\N	\N
1055518	3609	1996-11-30	VYDAJ	VYBER	15	43618	SLUZBY	\N	\N
1055519	3609	1996-12-31	VYDAJ	VYBER	15	50477	SLUZBY	\N	\N
1055520	3609	1997-01-31	VYDAJ	VYBER	15	33457	SLUZBY	\N	\N
1055521	3609	1997-02-28	VYDAJ	VYBER	15	51449	SLUZBY	\N	\N
1055522	3609	1997-03-31	VYDAJ	VYBER	15	51969	SLUZBY	\N	\N
1055523	3609	1997-04-30	VYDAJ	VYBER	15	49792	SLUZBY	\N	\N
1055524	3609	1997-05-31	VYDAJ	VYBER	15	53210	SLUZBY	\N	\N
1055525	3609	1997-06-30	VYDAJ	VYBER	15	54717	SLUZBY	\N	\N
1055526	3609	1997-07-31	VYDAJ	VYBER	15	61572	SLUZBY	\N	\N
1055527	3609	1997-08-31	VYDAJ	VYBER	15	60831	SLUZBY	\N	\N
1055528	3609	1997-09-30	VYDAJ	VYBER	15	64102	SLUZBY	\N	\N
1055529	3609	1997-10-31	VYDAJ	VYBER	15	60873	SLUZBY	\N	\N
1055530	3609	1997-11-30	VYDAJ	VYBER	15	68745	SLUZBY	\N	\N
1055531	3609	1997-12-31	VYDAJ	VYBER	15	77394	SLUZBY	\N	\N
1055532	3609	1998-01-31	VYDAJ	VYBER	15	67001	SLUZBY	\N	\N
1055533	3609	1998-02-28	VYDAJ	VYBER	15	73287	SLUZBY	\N	\N
1055534	3609	1998-03-31	VYDAJ	VYBER	15	74995	SLUZBY	\N	\N
1055535	3609	1998-04-30	VYDAJ	VYBER	15	79626	SLUZBY	\N	\N
1055536	3609	1998-05-31	VYDAJ	VYBER	15	84478	SLUZBY	\N	\N
1055537	3609	1998-06-30	VYDAJ	VYBER	15	77083	SLUZBY	\N	\N
1055538	3609	1998-07-31	VYDAJ	VYBER	15	86635	SLUZBY	\N	\N
1055539	3609	1998-08-31	VYDAJ	VYBER	15	94309	SLUZBY	\N	\N
1055540	3609	1998-09-30	VYDAJ	VYBER	15	101517	SLUZBY	\N	\N
1055541	3609	1998-10-31	VYDAJ	VYBER	15	98930	SLUZBY	\N	\N
1055542	3609	1998-11-30	VYDAJ	VYBER	15	94896	SLUZBY	\N	\N
1055543	3609	1993-09-02	PRIJEM	VKLAD	3500	25139	\N	\N	\N
1055544	3609	1993-10-02	VYDAJ	VYBER	10800	35474	\N	\N	\N
1055545	3609	1993-11-01	VYDAJ	VYBER	14300	42378	\N	\N	\N
1055546	3609	1993-12-01	VYDAJ	VYBER	19200	44417	\N	\N	\N
1055547	3609	1993-12-31	VYDAJ	VYBER	21500	48023	\N	\N	\N
1055548	3609	1994-01-30	VYDAJ	VYBER	13400	42084	\N	\N	\N
1055549	3609	1994-03-01	VYDAJ	VYBER	11100	38917	\N	\N	\N
1055550	3609	1994-03-31	VYDAJ	VYBER	15500	38238	\N	\N	\N
1055551	3609	1994-04-30	VYDAJ	VYBER	11600	41466	\N	\N	\N
1055552	3609	1994-05-30	VYDAJ	VYBER	16100	39987	\N	\N	\N
1055553	3609	1994-06-29	PRIJEM	VKLAD	1600	21631	\N	\N	\N
1055554	3609	1994-07-29	VYDAJ	VYBER	4900	31533	\N	\N	\N
1055555	3609	1994-08-28	VYDAJ	VYBER	10600	35672	\N	\N	\N
1055556	3609	1994-09-27	VYDAJ	VYBER	13700	36748	\N	\N	\N
1055557	3609	1994-10-27	VYDAJ	VYBER	11400	40131	\N	\N	\N
1055558	3609	1994-11-26	VYDAJ	VYBER	13500	41418	\N	\N	\N
1055559	3609	1994-12-26	VYDAJ	VYBER	18900	45898	\N	\N	\N
1055560	3609	1995-01-25	VYDAJ	VYBER	11700	40745	\N	\N	\N
1055561	3609	1995-02-24	VYDAJ	VYBER	5900	33243	\N	\N	\N
1055562	3609	1995-03-26	VYDAJ	VYBER	9500	38485	\N	\N	\N
1055563	3609	1995-04-25	VYDAJ	VYBER	11100	42158	\N	\N	\N
1055564	3609	1995-05-25	VYDAJ	VYBER	14600	42357	\N	\N	\N
1055565	3609	1995-06-24	VYDAJ	VYBER	19100	44354	\N	\N	\N
1055566	3609	1995-07-24	VYDAJ	VYBER	14700	44470	\N	\N	\N
1055567	3609	1995-08-23	VYDAJ	VYBER	14700	44587	\N	\N	\N
1055568	3609	1995-09-22	VYDAJ	VYBER	13300	46101	\N	\N	\N
1055569	3609	1995-10-22	VYDAJ	VYBER	13200	47711	\N	\N	\N
1055570	3609	1995-11-21	VYDAJ	VYBER	16300	46227	\N	\N	\N
1055571	3609	1995-12-21	VYDAJ	VYBER	17800	48737	\N	\N	\N
1055572	3609	1996-01-20	VYDAJ	VYBER	12500	41099	\N	\N	\N
1055573	3609	1996-02-19	VYDAJ	VYBER	11700	41431	\N	\N	\N
1055574	3609	1996-03-20	VYDAJ	VYBER	14100	39589	\N	\N	\N
1055575	3609	1996-04-19	VYDAJ	VYBER	7700	40913	\N	\N	\N
1055576	3609	1996-05-19	VYDAJ	VYBER	15800	39893	\N	\N	\N
1055577	3609	1996-06-18	VYDAJ	VYBER	10100	35870	\N	\N	\N
1055578	3609	1996-07-18	VYDAJ	VYBER	9000	41635	\N	\N	\N
1055579	3609	1996-08-17	VYDAJ	VYBER	12100	44310	\N	\N	\N
1055580	3609	1996-09-16	VYDAJ	VYBER	13700	45399	\N	\N	\N
1055581	3609	1996-10-16	VYDAJ	VYBER	12300	38198	\N	\N	\N
1055582	3609	1996-11-15	VYDAJ	VYBER	9500	43461	\N	\N	\N
1055583	3609	1996-12-15	VYDAJ	VYBER	13800	54932	\N	\N	\N
1055584	3609	1997-01-14	VYDAJ	VYBER	9500	43278	\N	\N	\N
1055585	3609	1997-02-13	PRIJEM	VKLAD	3200	36657	\N	\N	\N
1055586	3609	1997-03-15	VYDAJ	VYBER	14300	51770	\N	\N	\N
1055587	3609	1997-04-14	VYDAJ	VYBER	13400	57428	\N	\N	\N
1055588	3609	1997-05-14	VYDAJ	VYBER	11400	57251	\N	\N	\N
1055589	3609	1997-06-13	VYDAJ	VYBER	4700	44910	\N	\N	\N
1055590	3609	1997-07-13	VYDAJ	VYBER	5800	46717	\N	\N	\N
1055591	3609	1997-08-12	VYDAJ	VYBER	12500	49072	\N	\N	\N
1055592	3609	1997-09-11	VYDAJ	VYBER	11600	49231	\N	\N	\N
1055593	3609	1997-10-11	VYDAJ	VYBER	15500	48602	\N	\N	\N
1055594	3609	1997-11-10	VYDAJ	VYBER	7000	53873	\N	\N	\N
1055595	3609	1997-12-10	VYDAJ	VYBER	12600	56145	\N	\N	\N
1055596	3609	1998-01-09	VYDAJ	VYBER	8600	62094	\N	\N	\N
1055597	3609	1998-02-08	VYDAJ	VYBER	6200	58401	\N	\N	\N
1055598	3609	1998-03-10	VYDAJ	VYBER	13200	60087	\N	\N	\N
1055599	3609	1998-04-09	VYDAJ	VYBER	10300	64695	\N	\N	\N
1055600	3609	1998-05-09	VYDAJ	VYBER	10100	69526	\N	\N	\N
1055601	3609	1998-06-08	PRIJEM	VKLAD	13600	52478	\N	\N	\N
1055602	3609	1998-07-08	VYDAJ	VYBER	5400	71683	\N	\N	\N
1055603	3609	1998-08-07	VYDAJ	VYBER	6700	79935	\N	\N	\N
1055604	3609	1998-09-06	VYDAJ	VYBER	7800	86509	\N	\N	\N
1055605	3609	1998-10-06	VYDAJ	VYBER	17600	83917	\N	\N	\N
1055606	3609	1998-11-05	VYDAJ	VYBER	14000	84930	\N	\N	\N
1055607	3609	1998-12-05	VYDAJ	VYBER	9900	84996	\N	\N	\N
1055673	3610	1997-09-22	PRIJEM	VKLAD	700	700	\N	\N	\N
1055683	3610	1997-10-08	PRIJEM	PREVOD Z UCTU	4279	4979	DUCHOD	MN	19294566
1055684	3610	1997-11-08	PRIJEM	PREVOD Z UCTU	4279	9258	DUCHOD	MN	19294566
1055685	3610	1997-12-08	PRIJEM	PREVOD Z UCTU	4279	13537	DUCHOD	MN	19294566
1055686	3610	1998-01-08	PRIJEM	PREVOD Z UCTU	4279	17816	DUCHOD	MN	19294566
1055687	3610	1998-02-08	PRIJEM	PREVOD Z UCTU	4279	22095	DUCHOD	MN	19294566
1055688	3610	1998-03-08	PRIJEM	PREVOD Z UCTU	4279	23783	DUCHOD	MN	19294566
1055689	3610	1998-04-08	PRIJEM	PREVOD Z UCTU	4279	24377	DUCHOD	MN	19294566
1055690	3610	1998-05-08	PRIJEM	PREVOD Z UCTU	4279	26096	DUCHOD	MN	19294566
1055691	3610	1998-06-08	PRIJEM	PREVOD Z UCTU	4279	19417	DUCHOD	MN	19294566
1055692	3610	1998-07-08	PRIJEM	PREVOD Z UCTU	4279	20641	DUCHOD	MN	19294566
1055693	3610	1998-08-08	PRIJEM	PREVOD Z UCTU	4279	22344	DUCHOD	MN	19294566
1055694	3610	1998-09-08	PRIJEM	PREVOD Z UCTU	4279	24054	DUCHOD	MN	19294566
1055695	3610	1998-10-08	PRIJEM	PREVOD Z UCTU	4279	24869	DUCHOD	MN	19294566
1055696	3610	1998-11-08	PRIJEM	PREVOD Z UCTU	4279	26590	DUCHOD	MN	19294566
1055697	3610	1998-12-08	PRIJEM	PREVOD Z UCTU	4279	25034	DUCHOD	MN	19294566
1055711	3610	1998-02-10	VYDAJ	PREVOD NA UCET	1502	19460	SIPO	IJ	97961097
1055712	3610	1998-03-10	VYDAJ	PREVOD NA UCET	1502	21148	SIPO	IJ	97961097
1055713	3610	1998-04-10	VYDAJ	PREVOD NA UCET	1502	21742	SIPO	IJ	97961097
1055714	3610	1998-05-10	VYDAJ	PREVOD NA UCET	1502	23461	SIPO	IJ	97961097
1055715	3610	1998-06-10	VYDAJ	PREVOD NA UCET	1502	16782	SIPO	IJ	97961097
1055716	3610	1998-07-10	VYDAJ	PREVOD NA UCET	1502	18006	SIPO	IJ	97961097
1055717	3610	1998-08-10	VYDAJ	PREVOD NA UCET	1502	19709	SIPO	IJ	97961097
1055718	3610	1998-09-10	VYDAJ	PREVOD NA UCET	1502	21419	SIPO	IJ	97961097
1055719	3610	1998-10-10	VYDAJ	PREVOD NA UCET	1502	22234	SIPO	IJ	97961097
1055720	3610	1998-11-10	VYDAJ	PREVOD NA UCET	1502	23955	SIPO	IJ	97961097
1055721	3610	1998-12-10	VYDAJ	PREVOD NA UCET	1502	22399	SIPO	IJ	97961097
1055735	3610	1998-02-09	VYDAJ	PREVOD NA UCET	1133	20962	 	MN	83137714
1055736	3610	1998-03-09	VYDAJ	PREVOD NA UCET	1133	22650	 	MN	83137714
1055737	3610	1998-04-09	VYDAJ	PREVOD NA UCET	1133	23244	 	MN	83137714
1055738	3610	1998-05-09	VYDAJ	PREVOD NA UCET	1133	24963	 	MN	83137714
1055739	3610	1998-06-09	VYDAJ	PREVOD NA UCET	1133	18284	 	MN	83137714
1055740	3610	1998-07-09	VYDAJ	PREVOD NA UCET	1133	19508	 	MN	83137714
1055741	3610	1998-08-09	VYDAJ	PREVOD NA UCET	1133	21211	 	MN	83137714
1055742	3610	1998-09-09	VYDAJ	PREVOD NA UCET	1133	22921	 	MN	83137714
1055743	3610	1998-10-09	VYDAJ	PREVOD NA UCET	1133	23736	 	MN	83137714
1055744	3610	1998-11-09	VYDAJ	PREVOD NA UCET	1133	25457	 	MN	83137714
1055745	3610	1998-12-09	VYDAJ	PREVOD NA UCET	1133	23901	 	MN	83137714
1055747	3610	1998-06-02	VYDAJ	VYBER	6000	15138	\N	\N	\N
1055751	3610	1998-12-16	VYDAJ	VYBER	1000	21399	\N	\N	\N
1055756	3610	1998-11-16	VYDAJ	VYBER	1680	22275	\N	\N	\N
1055757	3610	1998-03-23	VYDAJ	VYBER	1120	20028	\N	\N	\N
1055758	3610	1998-06-29	VYDAJ	VYBER	480	16302	\N	\N	\N
1055773	3610	1998-02-28	VYDAJ	VYBER	15	19504	SLUZBY	\N	\N
1055774	3610	1998-03-31	VYDAJ	VYBER	15	20098	SLUZBY	\N	\N
1055775	3610	1998-04-30	VYDAJ	VYBER	15	21817	SLUZBY	\N	\N
1055776	3610	1998-05-31	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
1055777	3610	1998-06-30	VYDAJ	VYBER	15	16362	SLUZBY	\N	\N
1055778	3610	1998-07-31	VYDAJ	VYBER	15	18065	SLUZBY	\N	\N
1055779	3610	1998-08-31	VYDAJ	VYBER	15	19775	SLUZBY	\N	\N
1055780	3610	1998-09-30	VYDAJ	VYBER	15	20590	SLUZBY	\N	\N
1055781	3610	1998-10-31	VYDAJ	VYBER	15	22311	SLUZBY	\N	\N
1055782	3610	1998-11-30	VYDAJ	VYBER	15	20755	SLUZBY	\N	\N
1055783	3610	1998-05-20	VYDAJ	VYBER	2400	21061	\N	\N	\N
1055784	3610	1998-09-17	VYDAJ	VYBER	900	20519	\N	\N	\N
1055785	3610	1998-11-16	VYDAJ	VYBER	1600	20675	\N	\N	\N
1056049	3612	1994-08-27	PRIJEM	VKLAD	700	700	\N	\N	\N
1056058	3612	1994-09-09	PRIJEM	VKLAD	14259	14959	\N	\N	\N
1056059	3612	1994-10-09	PRIJEM	VKLAD	14259	35233	\N	\N	\N
1056060	3612	1994-11-09	PRIJEM	VKLAD	14259	45787	\N	\N	\N
1056061	3612	1994-12-09	PRIJEM	VKLAD	21388	54908	\N	\N	\N
1056062	3612	1995-01-09	PRIJEM	VKLAD	14259	53712	\N	\N	\N
1056063	3612	1995-02-09	PRIJEM	VKLAD	14259	43478	\N	\N	\N
1056064	3612	1995-03-09	PRIJEM	VKLAD	14259	41623	\N	\N	\N
1056065	3612	1995-04-09	PRIJEM	VKLAD	14259	39723	\N	\N	\N
1056066	3612	1995-05-09	PRIJEM	VKLAD	14259	36703	\N	\N	\N
1056067	3612	1995-06-09	PRIJEM	VKLAD	21388	47876	\N	\N	\N
1056068	3612	1995-07-09	PRIJEM	VKLAD	14259	30765	\N	\N	\N
1056069	3612	1995-08-09	PRIJEM	VKLAD	14259	33759	\N	\N	\N
1056070	3612	1995-09-09	PRIJEM	VKLAD	14259	35364	\N	\N	\N
1056071	3612	1995-10-09	PRIJEM	VKLAD	14259	39979	\N	\N	\N
1056072	3612	1995-11-09	PRIJEM	VKLAD	14259	37905	\N	\N	\N
1056073	3612	1995-12-09	PRIJEM	VKLAD	21388	43470	\N	\N	\N
1056074	3612	1996-01-09	PRIJEM	VKLAD	14259	37420	\N	\N	\N
1056075	3612	1996-02-09	PRIJEM	VKLAD	14259	34291	\N	\N	\N
1056076	3612	1996-03-09	PRIJEM	VKLAD	14259	37596	\N	\N	\N
1056077	3612	1996-04-09	PRIJEM	VKLAD	14259	39541	\N	\N	\N
1056078	3612	1996-05-09	PRIJEM	VKLAD	14259	42672	\N	\N	\N
1056079	3612	1996-06-09	PRIJEM	VKLAD	21388	52467	\N	\N	\N
1056080	3612	1996-07-09	PRIJEM	VKLAD	14259	50731	\N	\N	\N
1056081	3612	1996-08-09	PRIJEM	VKLAD	14259	54208	\N	\N	\N
1056082	3612	1996-09-09	PRIJEM	VKLAD	14259	54991	\N	\N	\N
1056083	3612	1996-10-09	PRIJEM	VKLAD	14259	56377	\N	\N	\N
1056084	3612	1996-11-09	PRIJEM	VKLAD	14259	51349	\N	\N	\N
1056085	3612	1996-12-09	PRIJEM	VKLAD	21388	64964	\N	\N	\N
1056086	3612	1997-01-09	PRIJEM	VKLAD	14259	52166	\N	\N	\N
1056087	3612	1997-02-09	PRIJEM	VKLAD	14259	50374	\N	\N	\N
1056088	3612	1997-03-09	PRIJEM	VKLAD	14259	58759	\N	\N	\N
1056089	3612	1997-04-09	PRIJEM	VKLAD	14259	59157	\N	\N	\N
1056090	3612	1997-05-09	PRIJEM	VKLAD	14259	62164	\N	\N	\N
1056091	3612	1997-06-09	PRIJEM	VKLAD	21388	64553	\N	\N	\N
1056092	3612	1997-07-09	PRIJEM	VKLAD	14259	59462	\N	\N	\N
1056093	3612	1997-08-09	PRIJEM	VKLAD	14259	56740	\N	\N	\N
1056094	3612	1997-09-09	PRIJEM	VKLAD	14259	54966	\N	\N	\N
1056095	3612	1997-10-09	PRIJEM	VKLAD	14259	59619	\N	\N	\N
1056096	3612	1997-11-09	PRIJEM	VKLAD	14259	66135	\N	\N	\N
1056097	3612	1997-12-09	PRIJEM	VKLAD	21388	74826	\N	\N	\N
1056098	3612	1998-01-09	PRIJEM	VKLAD	14259	73098	\N	\N	\N
1056099	3612	1998-02-09	PRIJEM	VKLAD	14259	73994	\N	\N	\N
1056100	3612	1998-03-09	PRIJEM	VKLAD	14259	81166	\N	\N	\N
1056101	3612	1998-04-09	PRIJEM	VKLAD	14259	81245	\N	\N	\N
1056102	3612	1998-05-09	PRIJEM	VKLAD	14259	78956	\N	\N	\N
1056103	3612	1998-06-09	PRIJEM	VKLAD	21388	84007	\N	\N	\N
1056104	3612	1998-07-09	PRIJEM	VKLAD	14259	70431	\N	\N	\N
1056105	3612	1998-08-09	PRIJEM	VKLAD	14259	73390	\N	\N	\N
1056106	3612	1998-09-09	PRIJEM	VKLAD	14259	68596	\N	\N	\N
1056107	3612	1998-10-09	PRIJEM	VKLAD	14259	75455	\N	\N	\N
1056108	3612	1998-11-09	PRIJEM	VKLAD	14259	76438	\N	\N	\N
1056109	3612	1998-12-09	PRIJEM	VKLAD	21388	85557	\N	\N	\N
1056123	3612	1995-02-05	VYDAJ	PREVOD NA UCET	676	31629	SIPO	UV	61390018
1056124	3612	1995-03-05	VYDAJ	PREVOD NA UCET	676	29774	SIPO	UV	61390018
1056125	3612	1995-04-05	VYDAJ	PREVOD NA UCET	676	25464	SIPO	UV	61390018
1056126	3612	1995-05-05	VYDAJ	PREVOD NA UCET	676	24854	SIPO	UV	61390018
1056127	3612	1995-06-05	VYDAJ	PREVOD NA UCET	676	26488	SIPO	UV	61390018
1056128	3612	1995-07-05	VYDAJ	PREVOD NA UCET	676	18916	SIPO	UV	61390018
1056129	3612	1995-08-05	VYDAJ	PREVOD NA UCET	676	19500	SIPO	UV	61390018
1056130	3612	1995-09-05	VYDAJ	PREVOD NA UCET	676	21105	SIPO	UV	61390018
1056131	3612	1995-10-05	VYDAJ	PREVOD NA UCET	676	28130	SIPO	UV	61390018
1056132	3612	1995-11-05	VYDAJ	PREVOD NA UCET	676	26056	SIPO	UV	61390018
1056133	3612	1995-12-05	VYDAJ	PREVOD NA UCET	676	24492	SIPO	UV	61390018
1056134	3612	1996-01-05	VYDAJ	PREVOD NA UCET	676	24601	SIPO	UV	61390018
1056135	3612	1996-02-05	VYDAJ	PREVOD NA UCET	676	22442	SIPO	UV	61390018
1056136	3612	1996-03-05	VYDAJ	PREVOD NA UCET	676	23337	SIPO	UV	61390018
1056137	3612	1996-04-05	VYDAJ	PREVOD NA UCET	676	31172	SIPO	UV	61390018
1056138	3612	1996-05-05	VYDAJ	PREVOD NA UCET	676	30823	SIPO	UV	61390018
1056139	3612	1996-06-05	VYDAJ	PREVOD NA UCET	676	31079	SIPO	UV	61390018
1056140	3612	1996-07-05	VYDAJ	PREVOD NA UCET	676	38882	SIPO	UV	61390018
1056141	3612	1996-08-05	VYDAJ	PREVOD NA UCET	676	42359	SIPO	UV	61390018
1056142	3612	1996-09-05	VYDAJ	PREVOD NA UCET	676	43142	SIPO	UV	61390018
1056143	3612	1996-10-05	VYDAJ	PREVOD NA UCET	676	44528	SIPO	UV	61390018
1056144	3612	1996-11-05	VYDAJ	PREVOD NA UCET	676	39500	SIPO	UV	61390018
1056145	3612	1996-12-05	VYDAJ	PREVOD NA UCET	676	45986	SIPO	UV	61390018
1056146	3612	1997-01-05	VYDAJ	PREVOD NA UCET	676	40187	SIPO	UV	61390018
1056147	3612	1997-02-05	VYDAJ	PREVOD NA UCET	676	38525	SIPO	UV	61390018
1056148	3612	1997-03-05	VYDAJ	PREVOD NA UCET	676	44500	SIPO	UV	61390018
1056149	3612	1997-04-05	VYDAJ	PREVOD NA UCET	676	44898	SIPO	UV	61390018
1056150	3612	1997-05-05	VYDAJ	PREVOD NA UCET	676	47905	SIPO	UV	61390018
1056151	3612	1997-06-05	VYDAJ	PREVOD NA UCET	676	43165	SIPO	UV	61390018
1056152	3612	1997-07-05	VYDAJ	PREVOD NA UCET	676	45203	SIPO	UV	61390018
1056153	3612	1997-08-05	VYDAJ	PREVOD NA UCET	676	42481	SIPO	UV	61390018
1056154	3612	1997-09-05	VYDAJ	PREVOD NA UCET	676	43117	SIPO	UV	61390018
1056155	3612	1997-10-05	VYDAJ	PREVOD NA UCET	676	47770	SIPO	UV	61390018
1056156	3612	1997-11-05	VYDAJ	PREVOD NA UCET	676	54286	SIPO	UV	61390018
1056157	3612	1997-12-05	VYDAJ	PREVOD NA UCET	676	55848	SIPO	UV	61390018
1056158	3612	1998-01-05	VYDAJ	PREVOD NA UCET	676	59749	SIPO	UV	61390018
1056159	3612	1998-02-05	VYDAJ	PREVOD NA UCET	676	53635	SIPO	UV	61390018
1056160	3612	1998-03-05	VYDAJ	PREVOD NA UCET	676	66907	SIPO	UV	61390018
1056161	3612	1998-04-05	VYDAJ	PREVOD NA UCET	676	67296	SIPO	UV	61390018
1056162	3612	1998-05-05	VYDAJ	PREVOD NA UCET	676	68897	SIPO	UV	61390018
1056163	3612	1998-06-05	VYDAJ	PREVOD NA UCET	676	69019	SIPO	UV	61390018
1056164	3612	1998-07-05	VYDAJ	PREVOD NA UCET	676	55182	SIPO	UV	61390018
1056165	3612	1998-08-05	VYDAJ	PREVOD NA UCET	676	61541	SIPO	UV	61390018
1056166	3612	1998-09-05	VYDAJ	PREVOD NA UCET	676	59947	SIPO	UV	61390018
1056167	3612	1998-10-05	VYDAJ	PREVOD NA UCET	676	63606	SIPO	UV	61390018
1056168	3612	1998-11-05	VYDAJ	PREVOD NA UCET	676	64589	SIPO	UV	61390018
1056169	3612	1998-12-05	VYDAJ	PREVOD NA UCET	676	64169	SIPO	UV	61390018
1056183	3612	1995-02-05	VYDAJ	PREVOD NA UCET	2410	29219	 	WX	4672742
1056184	3612	1995-03-05	VYDAJ	PREVOD NA UCET	2410	27364	 	WX	4672742
1056185	3612	1995-04-05	VYDAJ	PREVOD NA UCET	2410	26140	 	WX	4672742
1056186	3612	1995-05-05	VYDAJ	PREVOD NA UCET	2410	22444	 	WX	4672742
1056187	3612	1995-06-05	VYDAJ	PREVOD NA UCET	2410	27164	 	WX	4672742
1056188	3612	1995-07-05	VYDAJ	PREVOD NA UCET	2410	16506	 	WX	4672742
1056189	3612	1995-08-05	VYDAJ	PREVOD NA UCET	2410	20176	 	WX	4672742
1056190	3612	1995-09-05	VYDAJ	PREVOD NA UCET	2410	21781	 	WX	4672742
1056191	3612	1995-10-05	VYDAJ	PREVOD NA UCET	2410	25720	 	WX	4672742
1056192	3612	1995-11-05	VYDAJ	PREVOD NA UCET	2410	23646	 	WX	4672742
1056193	3612	1995-12-05	VYDAJ	PREVOD NA UCET	2410	22082	 	WX	4672742
1056194	3612	1996-01-05	VYDAJ	PREVOD NA UCET	2410	25277	 	WX	4672742
1056195	3612	1996-02-05	VYDAJ	PREVOD NA UCET	2410	20032	 	WX	4672742
1056196	3612	1996-03-05	VYDAJ	PREVOD NA UCET	2410	24013	 	WX	4672742
1056197	3612	1996-04-05	VYDAJ	PREVOD NA UCET	2410	28762	 	WX	4672742
1056198	3612	1996-05-05	VYDAJ	PREVOD NA UCET	2410	28413	 	WX	4672742
1056199	3612	1996-06-05	VYDAJ	PREVOD NA UCET	2410	31755	 	WX	4672742
1056200	3612	1996-07-05	VYDAJ	PREVOD NA UCET	2410	36472	 	WX	4672742
1056201	3612	1996-08-05	VYDAJ	PREVOD NA UCET	2410	39949	 	WX	4672742
1056202	3612	1996-09-05	VYDAJ	PREVOD NA UCET	2410	40732	 	WX	4672742
1056203	3612	1996-10-05	VYDAJ	PREVOD NA UCET	2410	42118	 	WX	4672742
1056204	3612	1996-11-05	VYDAJ	PREVOD NA UCET	2410	37090	 	WX	4672742
1056205	3612	1996-12-05	VYDAJ	PREVOD NA UCET	2410	43576	 	WX	4672742
1056206	3612	1997-01-05	VYDAJ	PREVOD NA UCET	2410	40863	 	WX	4672742
1056207	3612	1997-02-05	VYDAJ	PREVOD NA UCET	2410	36115	 	WX	4672742
1056208	3612	1997-03-05	VYDAJ	PREVOD NA UCET	2410	45176	 	WX	4672742
1056209	3612	1997-04-05	VYDAJ	PREVOD NA UCET	2410	45574	 	WX	4672742
1056210	3612	1997-05-05	VYDAJ	PREVOD NA UCET	2410	48581	 	WX	4672742
1056211	3612	1997-06-05	VYDAJ	PREVOD NA UCET	2410	43841	 	WX	4672742
1056212	3612	1997-07-05	VYDAJ	PREVOD NA UCET	2410	45879	 	WX	4672742
1056213	3612	1997-08-05	VYDAJ	PREVOD NA UCET	2410	43157	 	WX	4672742
1056214	3612	1997-09-05	VYDAJ	PREVOD NA UCET	2410	40707	 	WX	4672742
1056215	3612	1997-10-05	VYDAJ	PREVOD NA UCET	2410	45360	 	WX	4672742
1056216	3612	1997-11-05	VYDAJ	PREVOD NA UCET	2410	51876	 	WX	4672742
1056217	3612	1997-12-05	VYDAJ	PREVOD NA UCET	2410	53438	 	WX	4672742
1056218	3612	1998-01-05	VYDAJ	PREVOD NA UCET	2410	57339	 	WX	4672742
1056219	3612	1998-02-05	VYDAJ	PREVOD NA UCET	2410	54311	 	WX	4672742
1056220	3612	1998-03-05	VYDAJ	PREVOD NA UCET	2410	67583	 	WX	4672742
1056221	3612	1998-04-05	VYDAJ	PREVOD NA UCET	2410	64886	 	WX	4672742
1056222	3612	1998-05-05	VYDAJ	PREVOD NA UCET	2410	69573	 	WX	4672742
1056223	3612	1998-06-05	VYDAJ	PREVOD NA UCET	2410	69695	 	WX	4672742
1056224	3612	1998-07-05	VYDAJ	PREVOD NA UCET	2410	52772	 	WX	4672742
1056225	3612	1998-08-05	VYDAJ	PREVOD NA UCET	2410	59131	 	WX	4672742
1056226	3612	1998-09-05	VYDAJ	PREVOD NA UCET	2410	54337	 	WX	4672742
1056227	3612	1998-10-05	VYDAJ	PREVOD NA UCET	2410	61196	 	WX	4672742
1056228	3612	1998-11-05	VYDAJ	PREVOD NA UCET	2410	62179	 	WX	4672742
1056229	3612	1998-12-05	VYDAJ	PREVOD NA UCET	2410	64845	 	WX	4672742
1056242	3612	1995-01-12	VYDAJ	PREVOD NA UCET	4262	49450	POJISTNE	IJ	65161853
1056243	3612	1995-02-12	VYDAJ	PREVOD NA UCET	4262	39216	POJISTNE	IJ	65161853
1056244	3612	1995-03-12	VYDAJ	PREVOD NA UCET	4262	37361	POJISTNE	IJ	65161853
1056245	3612	1995-04-12	VYDAJ	PREVOD NA UCET	4262	35461	POJISTNE	IJ	65161853
1056246	3612	1995-05-12	VYDAJ	PREVOD NA UCET	4262	32441	POJISTNE	IJ	65161853
1056247	3612	1995-06-12	VYDAJ	PREVOD NA UCET	4262	23934	POJISTNE	IJ	65161853
1056248	3612	1995-07-12	VYDAJ	PREVOD NA UCET	4262	26503	POJISTNE	IJ	65161853
1056249	3612	1995-08-12	VYDAJ	PREVOD NA UCET	4262	29497	POJISTNE	IJ	65161853
1056250	3612	1995-09-12	VYDAJ	PREVOD NA UCET	4262	31102	POJISTNE	IJ	65161853
1056251	3612	1995-10-12	VYDAJ	PREVOD NA UCET	4262	35717	POJISTNE	IJ	65161853
1056252	3612	1995-11-12	VYDAJ	PREVOD NA UCET	4262	33643	POJISTNE	IJ	65161853
1056253	3612	1995-12-12	VYDAJ	PREVOD NA UCET	4262	39208	POJISTNE	IJ	65161853
1056254	3612	1996-01-12	VYDAJ	PREVOD NA UCET	4262	33158	POJISTNE	IJ	65161853
1056255	3612	1996-02-12	VYDAJ	PREVOD NA UCET	4262	26429	POJISTNE	IJ	65161853
1056256	3612	1996-03-12	VYDAJ	PREVOD NA UCET	4262	33334	POJISTNE	IJ	65161853
1056257	3612	1996-04-12	VYDAJ	PREVOD NA UCET	4262	34679	POJISTNE	IJ	65161853
1056258	3612	1996-05-12	VYDAJ	PREVOD NA UCET	4262	38410	POJISTNE	IJ	65161853
1056259	3612	1996-06-12	VYDAJ	PREVOD NA UCET	4262	48205	POJISTNE	IJ	65161853
1056260	3612	1996-07-12	VYDAJ	PREVOD NA UCET	4262	46469	POJISTNE	IJ	65161853
1056261	3612	1996-08-12	VYDAJ	PREVOD NA UCET	4262	49946	POJISTNE	IJ	65161853
1056262	3612	1996-09-12	VYDAJ	PREVOD NA UCET	4262	50729	POJISTNE	IJ	65161853
1056263	3612	1996-10-12	VYDAJ	PREVOD NA UCET	4262	52115	POJISTNE	IJ	65161853
1056264	3612	1996-11-12	VYDAJ	PREVOD NA UCET	4262	47087	POJISTNE	IJ	65161853
1056265	3612	1996-12-12	VYDAJ	PREVOD NA UCET	4262	60702	POJISTNE	IJ	65161853
1056266	3612	1997-01-12	VYDAJ	PREVOD NA UCET	4262	46344	POJISTNE	IJ	65161853
1056267	3612	1997-02-12	VYDAJ	PREVOD NA UCET	4262	47412	POJISTNE	IJ	65161853
1056268	3612	1997-03-12	VYDAJ	PREVOD NA UCET	4262	54497	POJISTNE	IJ	65161853
1056269	3612	1997-04-12	VYDAJ	PREVOD NA UCET	4262	54895	POJISTNE	IJ	65161853
1056270	3612	1997-05-12	VYDAJ	PREVOD NA UCET	4262	57902	POJISTNE	IJ	65161853
1056271	3612	1997-06-12	VYDAJ	PREVOD NA UCET	4262	48091	POJISTNE	IJ	65161853
1056272	3612	1997-07-12	VYDAJ	PREVOD NA UCET	4262	55200	POJISTNE	IJ	65161853
1056273	3612	1997-08-12	VYDAJ	PREVOD NA UCET	4262	49378	POJISTNE	IJ	65161853
1056274	3612	1997-09-12	VYDAJ	PREVOD NA UCET	4262	49104	POJISTNE	IJ	65161853
1056275	3612	1997-10-12	VYDAJ	PREVOD NA UCET	4262	54757	POJISTNE	IJ	65161853
1056276	3612	1997-11-12	VYDAJ	PREVOD NA UCET	4262	59973	POJISTNE	IJ	65161853
1056277	3612	1997-12-12	VYDAJ	PREVOD NA UCET	4262	64264	POJISTNE	IJ	65161853
1056278	3612	1998-01-12	VYDAJ	PREVOD NA UCET	4262	68836	POJISTNE	IJ	65161853
1056279	3612	1998-02-12	VYDAJ	PREVOD NA UCET	4262	69732	POJISTNE	IJ	65161853
1056280	3612	1998-03-12	VYDAJ	PREVOD NA UCET	4262	67704	POJISTNE	IJ	65161853
1056281	3612	1998-04-12	VYDAJ	PREVOD NA UCET	4262	71703	POJISTNE	IJ	65161853
1056282	3612	1998-05-12	VYDAJ	PREVOD NA UCET	4262	74694	POJISTNE	IJ	65161853
1056283	3612	1998-06-12	VYDAJ	PREVOD NA UCET	4262	79745	POJISTNE	IJ	65161853
1056284	3612	1998-07-12	VYDAJ	PREVOD NA UCET	4262	66169	POJISTNE	IJ	65161853
1056285	3612	1998-08-12	VYDAJ	PREVOD NA UCET	4262	66128	POJISTNE	IJ	65161853
1056286	3612	1998-09-12	VYDAJ	PREVOD NA UCET	4262	64334	POJISTNE	IJ	65161853
1056287	3612	1998-10-12	VYDAJ	PREVOD NA UCET	4262	71193	POJISTNE	IJ	65161853
1056288	3612	1998-11-12	VYDAJ	PREVOD NA UCET	4262	72176	POJISTNE	IJ	65161853
1056289	3612	1998-12-12	VYDAJ	PREVOD NA UCET	4262	81295	POJISTNE	IJ	65161853
1056351	3612	1995-06-12	VYDAJ	VYBER	19680	28196	\N	\N	\N
1056354	3612	1998-06-21	VYDAJ	VYBER	24160	55585	\N	\N	\N
1056356	3612	1995-12-15	VYDAJ	VYBER	1120	38088	\N	\N	\N
1056357	3612	1996-12-29	VYDAJ	VYBER	3200	43082	\N	\N	\N
1056358	3612	1997-12-04	VYDAJ	VYBER	3680	56524	\N	\N	\N
1056359	3612	1998-12-25	VYDAJ	VYBER	2400	75415	\N	\N	\N
1056366	3612	1995-01-26	VYDAJ	VYBER	1320	32150	\N	\N	\N
1056368	3612	1995-01-24	VYDAJ	VYBER	720	34910	\N	\N	\N
1056369	3612	1995-01-18	VYDAJ	VYBER	1440	45730	\N	\N	\N
1056370	3612	1995-01-17	VYDAJ	VYBER	2280	47170	\N	\N	\N
1056371	3612	1995-01-24	VYDAJ	VYBER	1440	33470	\N	\N	\N
1056372	3612	1996-01-17	VYDAJ	VYBER	1320	29558	\N	\N	\N
1056373	3612	1996-01-08	VYDAJ	VYBER	1440	23161	\N	\N	\N
1056374	3612	1996-01-21	VYDAJ	VYBER	840	23618	\N	\N	\N
1056375	3612	1996-01-23	VYDAJ	VYBER	600	23018	\N	\N	\N
1056376	3612	1996-01-05	VYDAJ	VYBER	2520	27687	\N	\N	\N
1056377	3612	1996-01-16	VYDAJ	VYBER	2280	30878	\N	\N	\N
1056378	3612	1997-01-12	VYDAJ	VYBER	1560	50606	\N	\N	\N
1056379	3612	1997-01-07	VYDAJ	VYBER	960	39227	\N	\N	\N
1056380	3612	1997-01-13	VYDAJ	VYBER	960	45384	\N	\N	\N
1056381	3612	1997-01-16	VYDAJ	VYBER	1440	40844	\N	\N	\N
1056382	3612	1997-01-08	VYDAJ	VYBER	1320	37907	\N	\N	\N
1056383	3612	1997-01-16	VYDAJ	VYBER	1800	39044	\N	\N	\N
1056384	3612	1998-01-24	VYDAJ	VYBER	1680	59716	\N	\N	\N
1056385	3612	1998-01-25	VYDAJ	VYBER	1800	57916	\N	\N	\N
1056386	3612	1998-01-23	VYDAJ	VYBER	3000	61396	\N	\N	\N
1056387	3612	1998-01-16	VYDAJ	VYBER	2760	66076	\N	\N	\N
1056388	3612	1998-01-30	VYDAJ	VYBER	1440	56476	\N	\N	\N
1056389	3612	1998-01-22	VYDAJ	VYBER	1680	64396	\N	\N	\N
1056393	3612	1995-03-30	VYDAJ	VYBER	3840	28421	\N	\N	\N
1056394	3612	1995-04-15	VYDAJ	VYBER	5640	29821	\N	\N	\N
1056395	3612	1995-11-21	VYDAJ	VYBER	1680	25063	\N	\N	\N
1056396	3612	1995-06-20	VYDAJ	VYBER	4440	19494	\N	\N	\N
1056397	3612	1995-05-24	VYDAJ	VYBER	1680	29461	\N	\N	\N
1056398	3612	1996-02-11	VYDAJ	VYBER	3600	30691	\N	\N	\N
1056399	3612	1996-04-07	VYDAJ	VYBER	3480	25282	\N	\N	\N
1056400	3612	1996-12-21	VYDAJ	VYBER	4920	46282	\N	\N	\N
1056401	3612	1996-04-10	VYDAJ	VYBER	600	38941	\N	\N	\N
1056402	3612	1996-11-03	VYDAJ	VYBER	5520	40176	\N	\N	\N
1056403	3612	1996-05-26	VYDAJ	VYBER	3480	34030	\N	\N	\N
1056404	3612	1997-09-22	VYDAJ	VYBER	840	48264	\N	\N	\N
1056405	3612	1997-07-27	VYDAJ	VYBER	3120	45380	\N	\N	\N
1056406	3612	1997-05-16	VYDAJ	VYBER	3240	46062	\N	\N	\N
1056407	3612	1997-12-16	VYDAJ	VYBER	960	63304	\N	\N	\N
1056408	3612	1997-08-16	VYDAJ	VYBER	5760	43618	\N	\N	\N
1056409	3612	1997-12-21	VYDAJ	VYBER	3120	60184	\N	\N	\N
1056410	3612	1998-06-04	VYDAJ	VYBER	2880	72105	\N	\N	\N
1056411	3612	1998-09-04	VYDAJ	VYBER	5760	60623	\N	\N	\N
1056412	3612	1998-07-12	VYDAJ	VYBER	4200	61969	\N	\N	\N
1056413	3612	1998-08-09	VYDAJ	VYBER	3000	70390	\N	\N	\N
1056414	3612	1998-12-22	VYDAJ	VYBER	3480	77815	\N	\N	\N
1056415	3612	1998-12-05	VYDAJ	VYBER	1200	67255	\N	\N	\N
1056416	3612	1998-04-11	VYDAJ	VYBER	5280	75965	\N	\N	\N
1056430	3612	1995-01-31	VYDAJ	VYBER	15	32305	SLUZBY	\N	\N
1056431	3612	1995-02-28	VYDAJ	VYBER	15	30450	SLUZBY	\N	\N
1056432	3612	1995-03-31	VYDAJ	VYBER	15	28550	SLUZBY	\N	\N
1056433	3612	1995-04-30	VYDAJ	VYBER	15	25530	SLUZBY	\N	\N
1056434	3612	1995-05-31	VYDAJ	VYBER	15	29574	SLUZBY	\N	\N
1056435	3612	1995-06-30	VYDAJ	VYBER	15	19592	SLUZBY	\N	\N
1056436	3612	1995-07-31	VYDAJ	VYBER	15	22586	SLUZBY	\N	\N
1056437	3612	1995-08-31	VYDAJ	VYBER	15	24191	SLUZBY	\N	\N
1056438	3612	1995-09-30	VYDAJ	VYBER	15	28806	SLUZBY	\N	\N
1056439	3612	1995-10-31	VYDAJ	VYBER	15	26732	SLUZBY	\N	\N
1056440	3612	1995-11-30	VYDAJ	VYBER	15	25168	SLUZBY	\N	\N
1056441	3612	1995-12-31	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
1056442	3612	1996-01-31	VYDAJ	VYBER	15	23118	SLUZBY	\N	\N
1056443	3612	1996-02-29	VYDAJ	VYBER	15	26423	SLUZBY	\N	\N
1056444	3612	1996-03-31	VYDAJ	VYBER	15	31848	SLUZBY	\N	\N
1056445	3612	1996-04-30	VYDAJ	VYBER	15	31499	SLUZBY	\N	\N
1056446	3612	1996-05-31	VYDAJ	VYBER	15	34165	SLUZBY	\N	\N
1056447	3612	1996-06-30	VYDAJ	VYBER	15	39558	SLUZBY	\N	\N
1056448	3612	1996-07-31	VYDAJ	VYBER	15	43035	SLUZBY	\N	\N
1056449	3612	1996-08-31	VYDAJ	VYBER	15	43818	SLUZBY	\N	\N
1056450	3612	1996-09-30	VYDAJ	VYBER	15	45204	SLUZBY	\N	\N
1056451	3612	1996-10-31	VYDAJ	VYBER	15	45696	SLUZBY	\N	\N
1056452	3612	1996-11-30	VYDAJ	VYBER	15	46662	SLUZBY	\N	\N
1056453	3612	1996-12-31	VYDAJ	VYBER	15	43273	SLUZBY	\N	\N
1056454	3612	1997-01-31	VYDAJ	VYBER	15	39201	SLUZBY	\N	\N
1056455	3612	1997-02-28	VYDAJ	VYBER	15	47586	SLUZBY	\N	\N
1056456	3612	1997-03-31	VYDAJ	VYBER	15	47984	SLUZBY	\N	\N
1056457	3612	1997-04-30	VYDAJ	VYBER	15	50991	SLUZBY	\N	\N
1056458	3612	1997-05-31	VYDAJ	VYBER	15	46251	SLUZBY	\N	\N
1056459	3612	1997-06-30	VYDAJ	VYBER	15	48289	SLUZBY	\N	\N
1056460	3612	1997-07-31	VYDAJ	VYBER	15	45567	SLUZBY	\N	\N
1056461	3612	1997-08-31	VYDAJ	VYBER	15	43793	SLUZBY	\N	\N
1056462	3612	1997-09-30	VYDAJ	VYBER	15	48446	SLUZBY	\N	\N
1056463	3612	1997-10-31	VYDAJ	VYBER	15	54962	SLUZBY	\N	\N
1056464	3612	1997-11-30	VYDAJ	VYBER	15	60204	SLUZBY	\N	\N
1056465	3612	1997-12-31	VYDAJ	VYBER	15	60425	SLUZBY	\N	\N
1056466	3612	1998-01-31	VYDAJ	VYBER	15	56721	SLUZBY	\N	\N
1056467	3612	1998-02-28	VYDAJ	VYBER	15	69993	SLUZBY	\N	\N
1056468	3612	1998-03-31	VYDAJ	VYBER	15	67972	SLUZBY	\N	\N
1056469	3612	1998-04-30	VYDAJ	VYBER	15	71983	SLUZBY	\N	\N
1056470	3612	1998-05-31	VYDAJ	VYBER	15	74985	SLUZBY	\N	\N
1056471	3612	1998-06-30	VYDAJ	VYBER	15	55858	SLUZBY	\N	\N
1056472	3612	1998-07-31	VYDAJ	VYBER	15	62217	SLUZBY	\N	\N
1056473	3612	1998-08-31	VYDAJ	VYBER	15	66383	SLUZBY	\N	\N
1056474	3612	1998-09-30	VYDAJ	VYBER	15	64582	SLUZBY	\N	\N
1056475	3612	1998-10-31	VYDAJ	VYBER	15	71465	SLUZBY	\N	\N
1056476	3612	1998-11-30	VYDAJ	VYBER	15	72455	SLUZBY	\N	\N
1056477	3612	1994-09-26	PRIJEM	VKLAD	6000	20959	\N	\N	\N
1056478	3612	1994-10-26	VYDAJ	VYBER	3800	31433	\N	\N	\N
1056479	3612	1994-11-25	VYDAJ	VYBER	12400	33387	\N	\N	\N
1056480	3612	1994-12-25	VYDAJ	VYBER	15600	39308	\N	\N	\N
1056481	3612	1995-01-24	VYDAJ	VYBER	10100	35630	\N	\N	\N
1056482	3612	1995-02-23	VYDAJ	VYBER	8900	30316	\N	\N	\N
1056483	3612	1995-03-25	VYDAJ	VYBER	5100	32261	\N	\N	\N
1056484	3612	1995-04-24	VYDAJ	VYBER	4400	25421	\N	\N	\N
1056485	3612	1995-05-24	VYDAJ	VYBER	1300	31141	\N	\N	\N
1056486	3612	1995-07-23	VYDAJ	VYBER	4000	22503	\N	\N	\N
1056487	3612	1995-08-22	VYDAJ	VYBER	5400	24097	\N	\N	\N
1056488	3612	1995-09-21	VYDAJ	VYBER	2400	28702	\N	\N	\N
1056489	3612	1995-10-21	VYDAJ	VYBER	9100	26617	\N	\N	\N
1056490	3612	1995-11-20	VYDAJ	VYBER	6900	26743	\N	\N	\N
1056491	3612	1995-12-20	VYDAJ	VYBER	8000	30088	\N	\N	\N
1056492	3612	1996-01-19	VYDAJ	VYBER	5100	24458	\N	\N	\N
1056493	3612	1996-02-18	VYDAJ	VYBER	100	26329	\N	\N	\N
1056494	3612	1996-03-19	VYDAJ	VYBER	1600	31734	\N	\N	\N
1056495	3612	1996-04-18	VYDAJ	VYBER	3300	31379	\N	\N	\N
1056496	3612	1996-05-18	VYDAJ	VYBER	900	37510	\N	\N	\N
1056497	3612	1996-06-17	VYDAJ	VYBER	8800	39405	\N	\N	\N
1056498	3612	1996-07-17	VYDAJ	VYBER	3600	42869	\N	\N	\N
1056499	3612	1996-08-16	VYDAJ	VYBER	6300	43646	\N	\N	\N
1056500	3612	1996-09-15	VYDAJ	VYBER	5700	45029	\N	\N	\N
1056501	3612	1996-10-15	VYDAJ	VYBER	6600	45515	\N	\N	\N
1056502	3612	1996-11-14	VYDAJ	VYBER	600	46487	\N	\N	\N
1056503	3612	1996-12-14	VYDAJ	VYBER	9500	51202	\N	\N	\N
1056504	3612	1997-01-13	VYDAJ	VYBER	3100	42284	\N	\N	\N
1056505	3612	1997-02-12	PRIJEM	VKLAD	1300	51674	\N	\N	\N
1056506	3612	1997-03-14	VYDAJ	VYBER	6700	47797	\N	\N	\N
1056507	3612	1997-04-13	VYDAJ	VYBER	4100	50795	\N	\N	\N
1056508	3612	1997-05-13	VYDAJ	VYBER	8600	49302	\N	\N	\N
1056509	3612	1997-06-12	VYDAJ	VYBER	12200	52353	\N	\N	\N
1056510	3612	1997-07-12	VYDAJ	VYBER	6700	48500	\N	\N	\N
1056511	3612	1997-08-11	VYDAJ	VYBER	3100	53640	\N	\N	\N
1056512	3612	1997-09-10	VYDAJ	VYBER	1600	53366	\N	\N	\N
1056513	3612	1997-10-10	VYDAJ	VYBER	600	59019	\N	\N	\N
1056514	3612	1997-11-09	VYDAJ	VYBER	1900	64235	\N	\N	\N
1056515	3612	1997-12-09	VYDAJ	VYBER	6300	68526	\N	\N	\N
1056516	3612	1998-01-08	PRIJEM	VKLAD	1500	58839	\N	\N	\N
1056517	3612	1998-02-07	PRIJEM	VKLAD	6100	59735	\N	\N	\N
1056518	3612	1998-03-09	VYDAJ	VYBER	9200	71966	\N	\N	\N
1056519	3612	1998-04-08	PRIJEM	VKLAD	2100	66986	\N	\N	\N
1056520	3612	1998-05-08	VYDAJ	VYBER	4200	64697	\N	\N	\N
1056521	3612	1998-06-07	VYDAJ	VYBER	6400	62619	\N	\N	\N
1056522	3612	1998-07-07	PRIJEM	VKLAD	3400	56172	\N	\N	\N
1056523	3612	1998-09-05	VYDAJ	VYBER	3200	56747	\N	\N	\N
1056524	3612	1998-10-05	VYDAJ	VYBER	300	64282	\N	\N	\N
1056525	3612	1998-11-04	VYDAJ	VYBER	6200	65265	\N	\N	\N
1056526	3612	1998-12-04	VYDAJ	VYBER	4000	68455	\N	\N	\N
1056579	3613	1993-08-10	PRIJEM	VKLAD	200	200	\N	\N	\N
1056588	3613	1993-09-05	PRIJEM	VKLAD	9261	9461	\N	\N	\N
1056589	3613	1993-10-05	PRIJEM	VKLAD	9261	27879	\N	\N	\N
1056590	3613	1993-11-05	PRIJEM	VKLAD	9261	33534	\N	\N	\N
1056591	3613	1993-12-05	PRIJEM	VKLAD	13892	43544	\N	\N	\N
1056592	3613	1994-01-05	PRIJEM	VKLAD	9261	42640	\N	\N	\N
1056593	3613	1994-02-05	PRIJEM	VKLAD	9261	25814	\N	\N	\N
1056594	3613	1994-03-05	PRIJEM	VKLAD	9261	27264	\N	\N	\N
1056595	3613	1994-04-05	PRIJEM	VKLAD	9261	29520	\N	\N	\N
1056596	3613	1994-05-05	PRIJEM	VKLAD	9261	27773	\N	\N	\N
1056597	3613	1994-06-05	PRIJEM	VKLAD	13892	34965	\N	\N	\N
1056598	3613	1994-07-05	PRIJEM	VKLAD	9261	32636	\N	\N	\N
1056599	3613	1994-08-05	PRIJEM	VKLAD	9261	34715	\N	\N	\N
1056600	3613	1994-09-05	PRIJEM	VKLAD	9261	34200	\N	\N	\N
1056601	3613	1994-10-05	PRIJEM	VKLAD	9261	35392	\N	\N	\N
1056602	3613	1994-11-05	PRIJEM	VKLAD	9261	33590	\N	\N	\N
1056603	3613	1994-12-05	PRIJEM	VKLAD	13892	40610	\N	\N	\N
1056604	3613	1995-01-05	PRIJEM	VKLAD	9261	35916	\N	\N	\N
1056605	3613	1995-02-05	PRIJEM	VKLAD	9261	30699	\N	\N	\N
1056606	3613	1995-03-05	PRIJEM	VKLAD	9261	31376	\N	\N	\N
1056607	3613	1995-04-05	PRIJEM	VKLAD	9261	32257	\N	\N	\N
1056608	3613	1995-05-05	PRIJEM	VKLAD	9261	35741	\N	\N	\N
1056609	3613	1995-06-05	PRIJEM	VKLAD	13892	39558	\N	\N	\N
1056610	3613	1995-07-05	PRIJEM	VKLAD	9261	33149	\N	\N	\N
1056611	3613	1995-08-05	PRIJEM	VKLAD	9261	34536	\N	\N	\N
1056612	3613	1995-09-05	PRIJEM	VKLAD	9261	34823	\N	\N	\N
1056613	3613	1995-10-05	PRIJEM	VKLAD	9261	36111	\N	\N	\N
1056614	3613	1995-11-05	PRIJEM	VKLAD	9261	35803	\N	\N	\N
1056615	3613	1995-12-05	PRIJEM	VKLAD	13892	37024	\N	\N	\N
1056616	3613	1996-01-05	PRIJEM	VKLAD	9261	31211	\N	\N	\N
1056617	3613	1996-02-05	PRIJEM	VKLAD	9261	26777	\N	\N	\N
1056618	3613	1996-03-05	PRIJEM	VKLAD	9261	25723	\N	\N	\N
1056619	3613	1996-04-05	PRIJEM	VKLAD	9261	31275	\N	\N	\N
1056620	3613	1996-05-05	PRIJEM	VKLAD	9261	31347	\N	\N	\N
1056621	3613	1996-06-05	PRIJEM	VKLAD	13892	32546	\N	\N	\N
1056622	3613	1996-07-05	PRIJEM	VKLAD	9261	29813	\N	\N	\N
1056623	3613	1996-08-05	PRIJEM	VKLAD	9261	28576	\N	\N	\N
1056624	3613	1996-09-05	PRIJEM	VKLAD	9261	27133	\N	\N	\N
1056625	3613	1996-10-05	PRIJEM	VKLAD	9261	25884	\N	\N	\N
1056626	3613	1996-11-05	PRIJEM	VKLAD	9261	24829	\N	\N	\N
1056627	3613	1996-12-05	PRIJEM	VKLAD	13892	27900	\N	\N	\N
1056628	3613	1997-01-05	PRIJEM	VKLAD	9261	24146	\N	\N	\N
1056629	3613	1997-02-05	PRIJEM	VKLAD	9261	25085	\N	\N	\N
1056630	3613	1997-03-05	PRIJEM	VKLAD	9261	25829	\N	\N	\N
1056631	3613	1997-04-05	PRIJEM	VKLAD	9261	30080	\N	\N	\N
1056632	3613	1997-05-05	PRIJEM	VKLAD	9261	28237	\N	\N	\N
1056633	3613	1997-06-05	PRIJEM	VKLAD	13892	33521	\N	\N	\N
1056634	3613	1997-07-05	PRIJEM	VKLAD	9261	23786	\N	\N	\N
1056635	3613	1997-08-05	PRIJEM	VKLAD	9261	27228	\N	\N	\N
1056636	3613	1997-09-05	PRIJEM	VKLAD	9261	28984	\N	\N	\N
1056637	3613	1997-10-05	PRIJEM	VKLAD	9261	31846	\N	\N	\N
1056638	3613	1997-11-05	PRIJEM	VKLAD	9261	32917	\N	\N	\N
1056639	3613	1997-12-05	PRIJEM	VKLAD	13892	36519	\N	\N	\N
1056640	3613	1998-01-05	PRIJEM	VKLAD	9261	29393	\N	\N	\N
1056641	3613	1998-02-05	PRIJEM	VKLAD	9261	23741	\N	\N	\N
1056642	3613	1998-03-05	PRIJEM	VKLAD	9261	26881	\N	\N	\N
1056643	3613	1998-04-05	PRIJEM	VKLAD	9261	26928	\N	\N	\N
1056644	3613	1998-05-05	PRIJEM	VKLAD	9261	25976	\N	\N	\N
1056645	3613	1998-06-05	PRIJEM	VKLAD	13892	34358	\N	\N	\N
1056646	3613	1998-07-05	PRIJEM	VKLAD	9261	28212	\N	\N	\N
1056647	3613	1998-08-05	PRIJEM	VKLAD	9261	25758	\N	\N	\N
1056648	3613	1998-09-05	PRIJEM	VKLAD	9261	28907	\N	\N	\N
1056649	3613	1998-10-05	PRIJEM	VKLAD	9261	26655	\N	\N	\N
1056650	3613	1998-11-05	PRIJEM	VKLAD	9261	29807	\N	\N	\N
1056651	3613	1998-12-05	PRIJEM	VKLAD	13892	37603	\N	\N	\N
1056664	3613	1994-01-09	VYDAJ	PREVOD NA UCET	4030	29310	SIPO	AB	67434847
1056665	3613	1994-02-09	VYDAJ	PREVOD NA UCET	4030	20084	SIPO	AB	67434847
1056666	3613	1994-03-09	VYDAJ	PREVOD NA UCET	4030	22334	SIPO	AB	67434847
1056667	3613	1994-04-09	VYDAJ	PREVOD NA UCET	4030	22590	SIPO	AB	67434847
1056668	3613	1994-05-09	VYDAJ	PREVOD NA UCET	4030	23143	SIPO	AB	67434847
1056669	3613	1994-06-09	VYDAJ	PREVOD NA UCET	4030	25435	SIPO	AB	67434847
1056670	3613	1994-07-09	VYDAJ	PREVOD NA UCET	4030	27506	SIPO	AB	67434847
1056671	3613	1994-08-09	VYDAJ	PREVOD NA UCET	4030	27985	SIPO	AB	67434847
1056672	3613	1994-09-09	VYDAJ	PREVOD NA UCET	4030	30170	SIPO	AB	67434847
1056673	3613	1994-10-09	VYDAJ	PREVOD NA UCET	4030	31362	SIPO	AB	67434847
1056674	3613	1994-11-09	VYDAJ	PREVOD NA UCET	4030	29560	SIPO	AB	67434847
1056675	3613	1994-12-09	VYDAJ	PREVOD NA UCET	4030	36580	SIPO	AB	67434847
1056676	3613	1995-01-09	VYDAJ	PREVOD NA UCET	4030	31886	SIPO	AB	67434847
1056677	3613	1995-02-09	VYDAJ	PREVOD NA UCET	4030	26669	SIPO	AB	67434847
1056678	3613	1995-03-09	VYDAJ	PREVOD NA UCET	4030	27346	SIPO	AB	67434847
1056679	3613	1995-04-09	VYDAJ	PREVOD NA UCET	4030	28227	SIPO	AB	67434847
1056680	3613	1995-05-09	VYDAJ	PREVOD NA UCET	4030	28411	SIPO	AB	67434847
1056681	3613	1995-06-09	VYDAJ	PREVOD NA UCET	4030	33728	SIPO	AB	67434847
1056682	3613	1995-07-09	VYDAJ	PREVOD NA UCET	4030	29119	SIPO	AB	67434847
1056683	3613	1995-08-09	VYDAJ	PREVOD NA UCET	4030	30506	SIPO	AB	67434847
1056684	3613	1995-09-09	VYDAJ	PREVOD NA UCET	4030	30793	SIPO	AB	67434847
1056685	3613	1995-10-09	VYDAJ	PREVOD NA UCET	4030	32081	SIPO	AB	67434847
1056686	3613	1995-11-09	VYDAJ	PREVOD NA UCET	4030	31773	SIPO	AB	67434847
1056687	3613	1995-12-09	VYDAJ	PREVOD NA UCET	4030	32994	SIPO	AB	67434847
1056688	3613	1996-01-09	VYDAJ	PREVOD NA UCET	4030	25281	SIPO	AB	67434847
1056689	3613	1996-02-09	VYDAJ	PREVOD NA UCET	4030	22747	SIPO	AB	67434847
1056690	3613	1996-03-09	VYDAJ	PREVOD NA UCET	4030	21693	SIPO	AB	67434847
1056691	3613	1996-04-09	VYDAJ	PREVOD NA UCET	4030	27245	SIPO	AB	67434847
1056692	3613	1996-05-09	VYDAJ	PREVOD NA UCET	4030	27317	SIPO	AB	67434847
1056693	3613	1996-06-09	VYDAJ	PREVOD NA UCET	4030	28516	SIPO	AB	67434847
1056694	3613	1996-07-09	VYDAJ	PREVOD NA UCET	4030	25783	SIPO	AB	67434847
1056695	3613	1996-08-09	VYDAJ	PREVOD NA UCET	4030	24546	SIPO	AB	67434847
1056696	3613	1996-09-09	VYDAJ	PREVOD NA UCET	4030	23103	SIPO	AB	67434847
1056697	3613	1996-10-09	VYDAJ	PREVOD NA UCET	4030	21854	SIPO	AB	67434847
1056698	3613	1996-11-09	VYDAJ	PREVOD NA UCET	4030	20799	SIPO	AB	67434847
1056699	3613	1996-12-09	VYDAJ	PREVOD NA UCET	4030	23870	SIPO	AB	67434847
1056700	3613	1997-01-09	VYDAJ	PREVOD NA UCET	4030	17316	SIPO	AB	67434847
1056701	3613	1997-02-09	VYDAJ	PREVOD NA UCET	4030	21055	SIPO	AB	67434847
1056702	3613	1997-03-09	VYDAJ	PREVOD NA UCET	4030	21799	SIPO	AB	67434847
1056703	3613	1997-04-09	VYDAJ	PREVOD NA UCET	4030	26050	SIPO	AB	67434847
1056704	3613	1997-05-09	VYDAJ	PREVOD NA UCET	4030	24207	SIPO	AB	67434847
1056705	3613	1997-06-09	VYDAJ	PREVOD NA UCET	4030	29491	SIPO	AB	67434847
1056706	3613	1997-07-09	VYDAJ	PREVOD NA UCET	4030	19756	SIPO	AB	67434847
1056707	3613	1997-08-09	VYDAJ	PREVOD NA UCET	4030	22298	SIPO	AB	67434847
1056708	3613	1997-09-09	VYDAJ	PREVOD NA UCET	4030	24954	SIPO	AB	67434847
1056709	3613	1997-10-09	VYDAJ	PREVOD NA UCET	4030	27816	SIPO	AB	67434847
1056710	3613	1997-11-09	VYDAJ	PREVOD NA UCET	4030	28887	SIPO	AB	67434847
1056711	3613	1997-12-09	VYDAJ	PREVOD NA UCET	4030	31289	SIPO	AB	67434847
1056712	3613	1998-01-09	VYDAJ	PREVOD NA UCET	4030	24363	SIPO	AB	67434847
1056713	3613	1998-02-09	VYDAJ	PREVOD NA UCET	4030	18611	SIPO	AB	67434847
1056714	3613	1998-03-09	VYDAJ	PREVOD NA UCET	4030	22851	SIPO	AB	67434847
1056715	3613	1998-04-09	VYDAJ	PREVOD NA UCET	4030	22898	SIPO	AB	67434847
1056716	3613	1998-05-09	VYDAJ	PREVOD NA UCET	4030	21946	SIPO	AB	67434847
1056717	3613	1998-06-09	VYDAJ	PREVOD NA UCET	4030	30328	SIPO	AB	67434847
1056718	3613	1998-07-09	VYDAJ	PREVOD NA UCET	4030	24182	SIPO	AB	67434847
1056719	3613	1998-08-09	VYDAJ	PREVOD NA UCET	4030	21728	SIPO	AB	67434847
1056720	3613	1998-09-09	VYDAJ	PREVOD NA UCET	4030	24877	SIPO	AB	67434847
1056721	3613	1998-10-09	VYDAJ	PREVOD NA UCET	4030	22625	SIPO	AB	67434847
1056722	3613	1998-11-09	VYDAJ	PREVOD NA UCET	4030	25777	SIPO	AB	67434847
1056723	3613	1998-12-09	VYDAJ	PREVOD NA UCET	4030	33573	SIPO	AB	67434847
1056736	3613	1994-01-11	VYDAJ	PREVOD NA UCET	2144	27166	 	MN	62003463
1056737	3613	1994-02-11	VYDAJ	PREVOD NA UCET	2144	17940	 	MN	62003463
1056738	3613	1994-03-11	VYDAJ	PREVOD NA UCET	2144	20190	 	MN	62003463
1056739	3613	1994-04-11	VYDAJ	PREVOD NA UCET	2144	18446	 	MN	62003463
1056740	3613	1994-05-11	VYDAJ	PREVOD NA UCET	2144	20999	 	MN	62003463
1056741	3613	1994-06-11	VYDAJ	PREVOD NA UCET	2144	23291	 	MN	62003463
1056742	3613	1994-07-11	VYDAJ	PREVOD NA UCET	2144	25362	 	MN	62003463
1056743	3613	1994-08-11	VYDAJ	PREVOD NA UCET	2144	25841	 	MN	62003463
1056744	3613	1994-09-11	VYDAJ	PREVOD NA UCET	2144	28026	 	MN	62003463
1056745	3613	1994-10-11	VYDAJ	PREVOD NA UCET	2144	27118	 	MN	62003463
1056746	3613	1994-11-11	VYDAJ	PREVOD NA UCET	2144	27416	 	MN	62003463
1056747	3613	1994-12-11	VYDAJ	PREVOD NA UCET	2144	34436	 	MN	62003463
1056748	3613	1995-01-11	VYDAJ	PREVOD NA UCET	2144	29742	 	MN	62003463
1056749	3613	1995-02-11	VYDAJ	PREVOD NA UCET	2144	24525	 	MN	62003463
1056750	3613	1995-03-11	VYDAJ	PREVOD NA UCET	2144	25202	 	MN	62003463
1056751	3613	1995-04-11	VYDAJ	PREVOD NA UCET	2144	26083	 	MN	62003463
1056752	3613	1995-05-11	VYDAJ	PREVOD NA UCET	2144	26267	 	MN	62003463
1056753	3613	1995-06-11	VYDAJ	PREVOD NA UCET	2144	31584	 	MN	62003463
1056754	3613	1995-07-11	VYDAJ	PREVOD NA UCET	2144	26975	 	MN	62003463
1056755	3613	1995-08-11	VYDAJ	PREVOD NA UCET	2144	28362	 	MN	62003463
1056756	3613	1995-09-11	VYDAJ	PREVOD NA UCET	2144	28649	 	MN	62003463
1056757	3613	1995-10-11	VYDAJ	PREVOD NA UCET	2144	29937	 	MN	62003463
1056758	3613	1995-11-11	VYDAJ	PREVOD NA UCET	2144	29629	 	MN	62003463
1056759	3613	1995-12-11	VYDAJ	PREVOD NA UCET	2144	30850	 	MN	62003463
1056760	3613	1996-01-11	VYDAJ	PREVOD NA UCET	2144	23137	 	MN	62003463
1056761	3613	1996-02-11	VYDAJ	PREVOD NA UCET	2144	20603	 	MN	62003463
1056762	3613	1996-03-11	VYDAJ	PREVOD NA UCET	2144	19549	 	MN	62003463
1056763	3613	1996-04-11	VYDAJ	PREVOD NA UCET	2144	25101	 	MN	62003463
1056764	3613	1996-05-11	VYDAJ	PREVOD NA UCET	2144	25173	 	MN	62003463
1056765	3613	1996-06-11	VYDAJ	PREVOD NA UCET	2144	26372	 	MN	62003463
1056766	3613	1996-07-11	VYDAJ	PREVOD NA UCET	2144	23639	 	MN	62003463
1056767	3613	1996-08-11	VYDAJ	PREVOD NA UCET	2144	22402	 	MN	62003463
1056768	3613	1996-09-11	VYDAJ	PREVOD NA UCET	2144	20959	 	MN	62003463
1056769	3613	1996-10-11	VYDAJ	PREVOD NA UCET	2144	19710	 	MN	62003463
1056770	3613	1996-11-11	VYDAJ	PREVOD NA UCET	2144	18655	 	MN	62003463
1056771	3613	1996-12-11	VYDAJ	PREVOD NA UCET	2144	21726	 	MN	62003463
1056772	3613	1997-01-11	VYDAJ	PREVOD NA UCET	2144	13972	 	MN	62003463
1056773	3613	1997-02-11	VYDAJ	PREVOD NA UCET	2144	18911	 	MN	62003463
1056774	3613	1997-03-11	VYDAJ	PREVOD NA UCET	2144	19655	 	MN	62003463
1056775	3613	1997-04-11	VYDAJ	PREVOD NA UCET	2144	23906	 	MN	62003463
1056776	3613	1997-05-11	VYDAJ	PREVOD NA UCET	2144	22063	 	MN	62003463
1056777	3613	1997-06-11	VYDAJ	PREVOD NA UCET	2144	27347	 	MN	62003463
1056778	3613	1997-07-11	VYDAJ	PREVOD NA UCET	2144	17612	 	MN	62003463
1056779	3613	1997-08-11	VYDAJ	PREVOD NA UCET	2144	20154	 	MN	62003463
1056780	3613	1997-09-11	VYDAJ	PREVOD NA UCET	2144	22810	 	MN	62003463
1056781	3613	1997-10-11	VYDAJ	PREVOD NA UCET	2144	25672	 	MN	62003463
1056782	3613	1997-11-11	VYDAJ	PREVOD NA UCET	2144	26743	 	MN	62003463
1056783	3613	1997-12-11	VYDAJ	PREVOD NA UCET	2144	29145	 	MN	62003463
1056784	3613	1998-01-11	VYDAJ	PREVOD NA UCET	2144	22219	 	MN	62003463
1056785	3613	1998-02-11	VYDAJ	PREVOD NA UCET	2144	16467	 	MN	62003463
1056786	3613	1998-03-11	VYDAJ	PREVOD NA UCET	2144	20707	 	MN	62003463
1056787	3613	1998-04-11	VYDAJ	PREVOD NA UCET	2144	20754	 	MN	62003463
1056788	3613	1998-05-11	VYDAJ	PREVOD NA UCET	2144	19802	 	MN	62003463
1056789	3613	1998-06-11	VYDAJ	PREVOD NA UCET	2144	21284	 	MN	62003463
1056790	3613	1998-07-11	VYDAJ	PREVOD NA UCET	2144	22038	 	MN	62003463
1056791	3613	1998-08-11	VYDAJ	PREVOD NA UCET	2144	19584	 	MN	62003463
1056792	3613	1998-09-11	VYDAJ	PREVOD NA UCET	2144	22733	 	MN	62003463
1056793	3613	1998-10-11	VYDAJ	PREVOD NA UCET	2144	20481	 	MN	62003463
1056794	3613	1998-11-11	VYDAJ	PREVOD NA UCET	2144	23633	 	MN	62003463
1056795	3613	1998-12-11	VYDAJ	PREVOD NA UCET	2144	31429	 	MN	62003463
1056798	3613	1995-06-12	VYDAJ	VYBER	5600	25984	\N	\N	\N
1056799	3613	1996-06-23	VYDAJ	VYBER	6400	19972	\N	\N	\N
1056800	3613	1997-06-26	VYDAJ	VYBER	9100	14447	\N	\N	\N
1056801	3613	1998-06-10	VYDAJ	VYBER	6900	23428	\N	\N	\N
1056803	3613	1994-12-13	VYDAJ	VYBER	2100	32336	\N	\N	\N
1056804	3613	1995-12-15	VYDAJ	VYBER	1200	29650	\N	\N	\N
1056805	3613	1996-12-15	VYDAJ	VYBER	2900	18826	\N	\N	\N
1056806	3613	1997-12-08	VYDAJ	VYBER	1200	35319	\N	\N	\N
1056814	3613	1994-01-06	VYDAJ	VYBER	2200	40440	\N	\N	\N
1056815	3613	1994-01-29	VYDAJ	VYBER	1500	17666	\N	\N	\N
1056816	3613	1994-01-29	VYDAJ	VYBER	1200	16466	\N	\N	\N
1056817	3613	1994-01-12	VYDAJ	VYBER	2300	24866	\N	\N	\N
1056818	3613	1994-01-13	VYDAJ	VYBER	2700	22166	\N	\N	\N
1056820	3613	1995-01-16	VYDAJ	VYBER	700	24842	\N	\N	\N
1056821	3613	1995-01-12	VYDAJ	VYBER	2000	27742	\N	\N	\N
1056822	3613	1995-01-02	VYDAJ	VYBER	1600	27355	\N	\N	\N
1056823	3613	1995-01-16	VYDAJ	VYBER	2200	25542	\N	\N	\N
1056824	3613	1995-01-03	VYDAJ	VYBER	700	26655	\N	\N	\N
1056825	3613	1995-01-19	VYDAJ	VYBER	2600	22242	\N	\N	\N
1056826	3613	1996-01-24	VYDAJ	VYBER	1800	16737	\N	\N	\N
1056827	3613	1996-01-01	VYDAJ	VYBER	2800	21950	\N	\N	\N
1056828	3613	1996-01-08	VYDAJ	VYBER	1900	29311	\N	\N	\N
1056830	3613	1996-01-24	VYDAJ	VYBER	2100	18537	\N	\N	\N
1056831	3613	1996-01-24	VYDAJ	VYBER	1400	15337	\N	\N	\N
1056832	3613	1997-01-10	VYDAJ	VYBER	1200	16116	\N	\N	\N
1056834	3613	1997-01-03	VYDAJ	VYBER	2800	14885	\N	\N	\N
1056835	3613	1997-01-05	VYDAJ	VYBER	1600	22546	\N	\N	\N
1056837	3613	1997-01-05	VYDAJ	VYBER	1200	21346	\N	\N	\N
1056838	3613	1998-01-03	VYDAJ	VYBER	2400	20132	\N	\N	\N
1056840	3613	1998-01-12	VYDAJ	VYBER	2100	20119	\N	\N	\N
1056841	3613	1998-01-14	VYDAJ	VYBER	700	14619	\N	\N	\N
1056842	3613	1998-01-05	VYDAJ	VYBER	1000	28393	\N	\N	\N
1056849	3613	1994-01-18	VYDAJ	VYBER	3000	19166	\N	\N	\N
1056850	3613	1994-11-01	VYDAJ	VYBER	1600	25629	\N	\N	\N
1056851	3613	1994-12-23	VYDAJ	VYBER	4000	28336	\N	\N	\N
1056852	3613	1994-04-10	VYDAJ	VYBER	2000	20590	\N	\N	\N
1056853	3613	1994-10-11	VYDAJ	VYBER	2100	29262	\N	\N	\N
1056854	3613	1995-07-04	VYDAJ	VYBER	1400	23888	\N	\N	\N
1056855	3613	1995-05-28	VYDAJ	VYBER	500	25767	\N	\N	\N
1056856	3613	1995-06-05	VYDAJ	VYBER	1800	37758	\N	\N	\N
1056857	3613	1995-08-27	VYDAJ	VYBER	500	27862	\N	\N	\N
1056858	3613	1995-05-07	VYDAJ	VYBER	3300	32441	\N	\N	\N
1056859	3613	1996-02-17	VYDAJ	VYBER	4100	16503	\N	\N	\N
1056860	3613	1996-01-21	VYDAJ	VYBER	2500	20637	\N	\N	\N
1056861	3613	1997-04-25	VYDAJ	VYBER	900	18906	\N	\N	\N
1056862	3613	1997-08-05	VYDAJ	VYBER	900	26328	\N	\N	\N
1056863	3613	1997-11-19	VYDAJ	VYBER	1600	22543	\N	\N	\N
1056864	3613	1997-05-13	VYDAJ	VYBER	2800	19263	\N	\N	\N
1056865	3613	1997-04-14	VYDAJ	VYBER	4600	19306	\N	\N	\N
1056868	3613	1998-04-26	VYDAJ	VYBER	2100	16654	\N	\N	\N
1056869	3613	1998-01-12	VYDAJ	VYBER	4800	15319	\N	\N	\N
1056870	3613	1998-02-08	VYDAJ	VYBER	1100	22641	\N	\N	\N
1056884	3613	1994-01-31	VYDAJ	VYBER	15	16553	SLUZBY	\N	\N
1056885	3613	1994-02-28	VYDAJ	VYBER	15	18003	SLUZBY	\N	\N
1056886	3613	1994-03-31	VYDAJ	VYBER	15	20259	SLUZBY	\N	\N
1056887	3613	1994-04-30	VYDAJ	VYBER	15	18512	SLUZBY	\N	\N
1056888	3613	1994-05-31	VYDAJ	VYBER	15	21073	SLUZBY	\N	\N
1056889	3613	1994-06-30	VYDAJ	VYBER	15	23375	SLUZBY	\N	\N
1056890	3613	1994-07-31	VYDAJ	VYBER	15	25454	SLUZBY	\N	\N
1056891	3613	1994-08-31	VYDAJ	VYBER	15	25939	SLUZBY	\N	\N
1056892	3613	1994-09-30	VYDAJ	VYBER	15	28131	SLUZBY	\N	\N
1056893	3613	1994-10-31	VYDAJ	VYBER	15	27229	SLUZBY	\N	\N
1056894	3613	1994-11-30	VYDAJ	VYBER	15	27518	SLUZBY	\N	\N
1056895	3613	1994-12-31	VYDAJ	VYBER	15	28455	SLUZBY	\N	\N
1056896	3613	1995-01-31	VYDAJ	VYBER	15	22338	SLUZBY	\N	\N
1056897	3613	1995-02-28	VYDAJ	VYBER	15	24615	SLUZBY	\N	\N
1056898	3613	1995-03-31	VYDAJ	VYBER	15	25296	SLUZBY	\N	\N
1056899	3613	1995-04-30	VYDAJ	VYBER	15	26180	SLUZBY	\N	\N
1056900	3613	1995-05-31	VYDAJ	VYBER	15	25866	SLUZBY	\N	\N
1056901	3613	1995-06-30	VYDAJ	VYBER	15	26088	SLUZBY	\N	\N
1056902	3613	1995-07-31	VYDAJ	VYBER	15	25275	SLUZBY	\N	\N
1056903	3613	1995-08-31	VYDAJ	VYBER	15	25562	SLUZBY	\N	\N
1056904	3613	1995-09-30	VYDAJ	VYBER	15	26850	SLUZBY	\N	\N
1056905	3613	1995-10-31	VYDAJ	VYBER	15	26542	SLUZBY	\N	\N
1056906	3613	1995-11-30	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
1056907	3613	1995-12-31	VYDAJ	VYBER	15	24750	SLUZBY	\N	\N
1056908	3613	1996-01-31	VYDAJ	VYBER	15	17516	SLUZBY	\N	\N
1056909	3613	1996-02-29	VYDAJ	VYBER	15	16462	SLUZBY	\N	\N
1056910	3613	1996-03-31	VYDAJ	VYBER	15	22014	SLUZBY	\N	\N
1056911	3613	1996-04-30	VYDAJ	VYBER	15	22086	SLUZBY	\N	\N
1056912	3613	1996-05-31	VYDAJ	VYBER	15	18654	SLUZBY	\N	\N
1056913	3613	1996-06-30	VYDAJ	VYBER	15	20552	SLUZBY	\N	\N
1056914	3613	1996-07-31	VYDAJ	VYBER	15	19315	SLUZBY	\N	\N
1056915	3613	1996-08-31	VYDAJ	VYBER	15	17872	SLUZBY	\N	\N
1056916	3613	1996-09-30	VYDAJ	VYBER	15	16623	SLUZBY	\N	\N
1056917	3613	1996-10-31	VYDAJ	VYBER	15	15568	SLUZBY	\N	\N
1056918	3613	1996-11-30	VYDAJ	VYBER	15	14008	SLUZBY	\N	\N
1056919	3613	1996-12-31	VYDAJ	VYBER	15	17685	SLUZBY	\N	\N
1056920	3613	1997-01-31	VYDAJ	VYBER	15	15824	SLUZBY	\N	\N
1056921	3613	1997-02-28	VYDAJ	VYBER	15	16568	SLUZBY	\N	\N
1056922	3613	1997-03-31	VYDAJ	VYBER	15	20819	SLUZBY	\N	\N
1056923	3613	1997-04-30	VYDAJ	VYBER	15	18976	SLUZBY	\N	\N
1056924	3613	1997-05-31	VYDAJ	VYBER	15	19629	SLUZBY	\N	\N
1056925	3613	1997-06-30	VYDAJ	VYBER	15	14525	SLUZBY	\N	\N
1056926	3613	1997-07-31	VYDAJ	VYBER	15	17967	SLUZBY	\N	\N
1056927	3613	1997-08-31	VYDAJ	VYBER	15	19723	SLUZBY	\N	\N
1056928	3613	1997-09-30	VYDAJ	VYBER	15	22585	SLUZBY	\N	\N
1056929	3613	1997-10-31	VYDAJ	VYBER	15	23656	SLUZBY	\N	\N
1056930	3613	1997-11-30	VYDAJ	VYBER	15	22627	SLUZBY	\N	\N
1056931	3613	1997-12-31	VYDAJ	VYBER	15	22532	SLUZBY	\N	\N
1056932	3613	1998-01-31	VYDAJ	VYBER	15	14480	SLUZBY	\N	\N
1056933	3613	1998-02-28	VYDAJ	VYBER	15	17620	SLUZBY	\N	\N
1056934	3613	1998-03-31	VYDAJ	VYBER	15	17667	SLUZBY	\N	\N
1056935	3613	1998-04-30	VYDAJ	VYBER	15	16715	SLUZBY	\N	\N
1056936	3613	1998-05-31	VYDAJ	VYBER	15	20466	SLUZBY	\N	\N
1056937	3613	1998-06-30	VYDAJ	VYBER	15	18951	SLUZBY	\N	\N
1056938	3613	1998-07-31	VYDAJ	VYBER	15	16497	SLUZBY	\N	\N
1056939	3613	1998-08-31	VYDAJ	VYBER	15	19646	SLUZBY	\N	\N
1056940	3613	1998-09-30	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
1056941	3613	1998-10-31	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
1056942	3613	1998-11-30	VYDAJ	VYBER	15	23711	SLUZBY	\N	\N
1056943	3613	1993-09-09	PRIJEM	VKLAD	9100	18561	\N	\N	\N
1056944	3613	1993-10-09	VYDAJ	VYBER	3700	24179	\N	\N	\N
1056945	3613	1993-11-08	VYDAJ	VYBER	4000	29534	\N	\N	\N
1056946	3613	1993-12-08	VYDAJ	VYBER	10300	33244	\N	\N	\N
1056947	3613	1994-01-07	VYDAJ	VYBER	7100	33340	\N	\N	\N
1056948	3613	1994-02-06	VYDAJ	VYBER	1700	24114	\N	\N	\N
1056949	3613	1994-03-08	VYDAJ	VYBER	900	26364	\N	\N	\N
1056950	3613	1994-04-07	VYDAJ	VYBER	2900	26620	\N	\N	\N
1056951	3613	1994-05-07	VYDAJ	VYBER	600	27173	\N	\N	\N
1056952	3613	1994-06-06	VYDAJ	VYBER	5500	29465	\N	\N	\N
1056953	3613	1994-07-06	VYDAJ	VYBER	1100	31536	\N	\N	\N
1056954	3613	1994-08-05	VYDAJ	VYBER	2700	32015	\N	\N	\N
1056955	3613	1994-09-04	VYDAJ	VYBER	1000	24939	\N	\N	\N
1056956	3613	1994-10-04	VYDAJ	VYBER	2000	26131	\N	\N	\N
1056957	3613	1994-11-03	VYDAJ	VYBER	1300	24329	\N	\N	\N
1056958	3613	1994-12-03	VYDAJ	VYBER	800	26718	\N	\N	\N
1056959	3613	1995-01-02	PRIJEM	VKLAD	500	28955	\N	\N	\N
1056960	3613	1995-02-01	VYDAJ	VYBER	900	21438	\N	\N	\N
1056961	3613	1995-03-03	VYDAJ	VYBER	2500	22115	\N	\N	\N
1056962	3613	1995-04-02	VYDAJ	VYBER	2300	22996	\N	\N	\N
1056963	3613	1995-05-02	PRIJEM	VKLAD	300	26480	\N	\N	\N
1056964	3613	1995-06-01	VYDAJ	VYBER	200	25666	\N	\N	\N
1056965	3613	1995-07-01	VYDAJ	VYBER	800	25288	\N	\N	\N
1056966	3613	1995-07-31	VYDAJ	VYBER	1800	25290	\N	\N	\N
1056967	3613	1995-08-30	VYDAJ	VYBER	2400	25462	\N	\N	\N
1056968	3613	1995-09-29	VYDAJ	VYBER	1900	26749	\N	\N	\N
1056969	3613	1995-10-29	VYDAJ	VYBER	3500	26437	\N	\N	\N
1056970	3613	1995-11-28	VYDAJ	VYBER	6600	23029	\N	\N	\N
1056971	3613	1995-12-28	VYDAJ	VYBER	5000	24650	\N	\N	\N
1056972	3613	1996-01-27	PRIJEM	VKLAD	2100	17437	\N	\N	\N
1056973	3613	1996-02-26	VYDAJ	VYBER	100	16403	\N	\N	\N
1056974	3613	1996-03-27	PRIJEM	VKLAD	2400	21949	\N	\N	\N
1056975	3613	1996-04-26	VYDAJ	VYBER	3100	22001	\N	\N	\N
1056976	3613	1996-05-26	VYDAJ	VYBER	6600	18573	\N	\N	\N
1056977	3613	1996-06-25	PRIJEM	VKLAD	500	20472	\N	\N	\N
1056978	3613	1996-07-25	VYDAJ	VYBER	4400	19239	\N	\N	\N
1056979	3613	1996-08-24	VYDAJ	VYBER	4600	17802	\N	\N	\N
1056980	3613	1996-09-23	VYDAJ	VYBER	4400	16559	\N	\N	\N
1056981	3613	1996-10-23	VYDAJ	VYBER	4200	15510	\N	\N	\N
1056982	3613	1996-11-22	VYDAJ	VYBER	4700	13955	\N	\N	\N
1056983	3613	1996-12-22	VYDAJ	VYBER	1200	17626	\N	\N	\N
1056984	3613	1997-01-21	PRIJEM	VKLAD	1800	15772	\N	\N	\N
1056985	3613	1997-02-20	VYDAJ	VYBER	2400	16511	\N	\N	\N
1056986	3613	1997-03-22	PRIJEM	VKLAD	1100	20755	\N	\N	\N
1056987	3613	1997-04-21	PRIJEM	VKLAD	500	19806	\N	\N	\N
1056988	3613	1997-05-21	PRIJEM	VKLAD	300	19563	\N	\N	\N
1056989	3613	1997-06-20	VYDAJ	VYBER	3800	23547	\N	\N	\N
1056990	3613	1997-07-20	PRIJEM	VKLAD	300	17912	\N	\N	\N
1056991	3613	1997-08-19	VYDAJ	VYBER	500	19654	\N	\N	\N
1056992	3613	1997-09-18	VYDAJ	VYBER	300	22510	\N	\N	\N
1056993	3613	1997-10-18	VYDAJ	VYBER	2100	23572	\N	\N	\N
1056994	3613	1997-11-17	VYDAJ	VYBER	2600	24143	\N	\N	\N
1056995	3613	1997-12-17	VYDAJ	VYBER	6700	22445	\N	\N	\N
1056996	3613	1998-01-16	VYDAJ	VYBER	200	14419	\N	\N	\N
1056997	3613	1998-02-15	PRIJEM	VKLAD	1100	17567	\N	\N	\N
1056998	3613	1998-03-17	VYDAJ	VYBER	3100	17607	\N	\N	\N
1056999	3613	1998-04-16	VYDAJ	VYBER	2000	18754	\N	\N	\N
1057000	3613	1998-05-16	PRIJEM	VKLAD	600	20402	\N	\N	\N
1057001	3613	1998-06-15	VYDAJ	VYBER	2400	18884	\N	\N	\N
1057002	3613	1998-07-15	VYDAJ	VYBER	5600	16438	\N	\N	\N
1057003	3613	1998-09-13	VYDAJ	VYBER	5400	17333	\N	\N	\N
1057004	3613	1998-12-12	VYDAJ	VYBER	16500	14929	\N	\N	\N
1057069	3614	1996-08-07	PRIJEM	VKLAD	500	500	\N	\N	\N
1057070	3614	1996-09-15	PRIJEM	VKLAD	20335	64300	\N	\N	\N
1057072	3614	1996-08-21	PRIJEM	VKLAD	28816	58431	\N	\N	\N
1057073	3614	1996-08-09	PRIJEM	VKLAD	29115	29615	\N	\N	\N
1057074	3614	1996-12-17	PRIJEM	VKLAD	40827	101265	\N	\N	\N
1057076	3614	1996-12-06	PRIJEM	VKLAD	27245	60438	\N	\N	\N
1057079	3614	1997-03-09	PRIJEM	VKLAD	33802	74855	\N	\N	\N
1057080	3614	1997-01-30	PRIJEM	VKLAD	7769	84930	\N	\N	\N
1057081	3614	1997-05-03	PRIJEM	VKLAD	28976	105058	\N	\N	\N
1057082	3614	1997-02-03	PRIJEM	VKLAD	21926	100261	\N	\N	\N
1057083	3614	1997-05-21	PRIJEM	VKLAD	44704	106481	\N	\N	\N
1057084	3614	1997-01-18	PRIJEM	VKLAD	13291	85651	\N	\N	\N
1057085	3614	1997-08-09	PRIJEM	VKLAD	10346	59814	\N	\N	\N
1057086	3614	1997-07-09	PRIJEM	VKLAD	49236	87364	\N	\N	\N
1057087	3614	1997-04-06	PRIJEM	VKLAD	20365	84537	\N	\N	\N
1057088	3614	1997-01-08	PRIJEM	VKLAD	18054	77655	\N	\N	\N
1057089	3614	1997-01-25	PRIJEM	VKLAD	42530	101171	\N	\N	\N
1057090	3614	1997-01-27	PRIJEM	VKLAD	17790	118961	\N	\N	\N
1057091	3614	1997-11-16	PRIJEM	VKLAD	42370	62128	\N	\N	\N
1057092	3614	1997-07-18	PRIJEM	VKLAD	36317	121386	\N	\N	\N
1057093	3614	1997-08-29	PRIJEM	VKLAD	28872	86391	\N	\N	\N
1057094	3614	1997-03-28	PRIJEM	VKLAD	47667	97516	\N	\N	\N
1057095	3614	1998-07-19	PRIJEM	VKLAD	35801	107733	\N	\N	\N
1057096	3614	1998-07-06	PRIJEM	VKLAD	35996	77113	\N	\N	\N
1057097	3614	1998-09-20	PRIJEM	VKLAD	48874	126282	\N	\N	\N
1057098	3614	1998-08-31	PRIJEM	VKLAD	17443	82604	\N	\N	\N
1057099	3614	1998-04-25	PRIJEM	VKLAD	6021	59521	\N	\N	\N
1057100	3614	1998-01-15	PRIJEM	VKLAD	28879	45756	\N	\N	\N
1057101	3614	1998-12-05	PRIJEM	VKLAD	37950	90633	\N	\N	\N
1057102	3614	1998-08-26	PRIJEM	VKLAD	37292	108555	\N	\N	\N
1057103	3614	1998-04-21	PRIJEM	VKLAD	33184	53500	\N	\N	\N
1057104	3614	1998-10-28	PRIJEM	VKLAD	35028	77885	\N	\N	\N
1057153	3614	1997-01-12	VYDAJ	PREVOD NA UCET	1214	72360	SIPO	MN	28523504
1057154	3614	1997-02-12	VYDAJ	PREVOD NA UCET	1214	59480	SIPO	MN	28523504
1057155	3614	1997-03-12	VYDAJ	PREVOD NA UCET	1214	72560	SIPO	MN	28523504
1057156	3614	1997-04-12	VYDAJ	PREVOD NA UCET	1214	79356	SIPO	MN	28523504
1057157	3614	1997-05-12	VYDAJ	PREVOD NA UCET	1214	65077	SIPO	MN	28523504
1057158	3614	1997-06-12	VYDAJ	PREVOD NA UCET	1214	46718	SIPO	MN	28523504
1057159	3614	1997-07-12	VYDAJ	PREVOD NA UCET	1214	85069	SIPO	MN	28523504
1057160	3614	1997-08-12	VYDAJ	PREVOD NA UCET	1214	57519	SIPO	MN	28523504
1057161	3614	1997-09-12	VYDAJ	PREVOD NA UCET	1214	54753	SIPO	MN	28523504
1057162	3614	1997-10-12	VYDAJ	PREVOD NA UCET	1214	28809	SIPO	MN	28523504
1057163	3614	1997-11-12	VYDAJ	PREVOD NA UCET	1214	19758	SIPO	MN	28523504
1057164	3614	1997-12-12	VYDAJ	PREVOD NA UCET	1214	39707	SIPO	MN	28523504
1057165	3614	1998-01-12	VYDAJ	PREVOD NA UCET	1214	16877	SIPO	MN	28523504
1057166	3614	1998-02-12	VYDAJ	PREVOD NA UCET	1214	30989	SIPO	MN	28523504
1057167	3614	1998-03-12	VYDAJ	PREVOD NA UCET	1214	29330	SIPO	MN	28523504
1057168	3614	1998-04-12	VYDAJ	PREVOD NA UCET	1214	20316	SIPO	MN	28523504
1057169	3614	1998-05-12	VYDAJ	PREVOD NA UCET	1214	44272	SIPO	MN	28523504
1057170	3614	1998-06-12	VYDAJ	PREVOD NA UCET	1214	37966	SIPO	MN	28523504
1057171	3614	1998-07-12	VYDAJ	PREVOD NA UCET	1214	71932	SIPO	MN	28523504
1057172	3614	1998-08-12	VYDAJ	PREVOD NA UCET	1214	71263	SIPO	MN	28523504
1057173	3614	1998-09-12	VYDAJ	PREVOD NA UCET	1214	77408	SIPO	MN	28523504
1057174	3614	1998-10-12	VYDAJ	PREVOD NA UCET	1214	72455	SIPO	MN	28523504
1057175	3614	1998-11-12	VYDAJ	PREVOD NA UCET	1214	70395	SIPO	MN	28523504
1057176	3614	1998-12-12	VYDAJ	PREVOD NA UCET	1214	85452	SIPO	MN	28523504
1057189	3614	1997-01-10	VYDAJ	PREVOD NA UCET	1081	76574	 	OP	19014889
1057190	3614	1997-02-10	VYDAJ	PREVOD NA UCET	1081	60694	 	OP	19014889
1057191	3614	1997-03-10	VYDAJ	PREVOD NA UCET	1081	73774	 	OP	19014889
1057192	3614	1997-04-10	VYDAJ	PREVOD NA UCET	1081	80570	 	OP	19014889
1057193	3614	1997-05-10	VYDAJ	PREVOD NA UCET	1081	66291	 	OP	19014889
1057194	3614	1997-06-10	VYDAJ	PREVOD NA UCET	1081	47932	 	OP	19014889
1057195	3614	1997-07-10	VYDAJ	PREVOD NA UCET	1081	86283	 	OP	19014889
1057196	3614	1997-08-10	VYDAJ	PREVOD NA UCET	1081	58733	 	OP	19014889
1057197	3614	1997-09-10	VYDAJ	PREVOD NA UCET	1081	55967	 	OP	19014889
1057198	3614	1997-10-10	VYDAJ	PREVOD NA UCET	1081	30023	 	OP	19014889
1057199	3614	1997-11-10	VYDAJ	PREVOD NA UCET	1081	20972	 	OP	19014889
1057200	3614	1997-12-10	VYDAJ	PREVOD NA UCET	1081	40921	 	OP	19014889
1057201	3614	1998-01-10	VYDAJ	PREVOD NA UCET	1081	18091	 	OP	19014889
1057202	3614	1998-02-10	VYDAJ	PREVOD NA UCET	1081	32203	 	OP	19014889
1057203	3614	1998-03-10	VYDAJ	PREVOD NA UCET	1081	30544	 	OP	19014889
1057204	3614	1998-04-10	VYDAJ	PREVOD NA UCET	1081	21530	 	OP	19014889
1057205	3614	1998-05-10	VYDAJ	PREVOD NA UCET	1081	45486	 	OP	19014889
1057206	3614	1998-06-10	VYDAJ	PREVOD NA UCET	1081	39180	 	OP	19014889
1057207	3614	1998-07-10	VYDAJ	PREVOD NA UCET	1081	73146	 	OP	19014889
1057208	3614	1998-08-10	VYDAJ	PREVOD NA UCET	1081	72477	 	OP	19014889
1057209	3614	1998-09-10	VYDAJ	PREVOD NA UCET	1081	78622	 	OP	19014889
1057210	3614	1998-10-10	VYDAJ	PREVOD NA UCET	1081	73669	 	OP	19014889
1057211	3614	1998-11-10	VYDAJ	PREVOD NA UCET	1081	74138	 	OP	19014889
1057212	3614	1998-12-10	VYDAJ	PREVOD NA UCET	1081	86666	 	OP	19014889
1057225	3614	1997-01-06	VYDAJ	PREVOD NA UCET	2886	59601	POJISTNE	MN	4245263
1057226	3614	1997-02-06	VYDAJ	PREVOD NA UCET	2886	61775	POJISTNE	MN	4245263
1057227	3614	1997-03-06	VYDAJ	PREVOD NA UCET	2886	41053	POJISTNE	MN	4245263
1057228	3614	1997-04-06	VYDAJ	PREVOD NA UCET	2886	81651	POJISTNE	MN	4245263
1057229	3614	1997-05-06	VYDAJ	PREVOD NA UCET	2886	67372	POJISTNE	MN	4245263
1057230	3614	1997-06-06	VYDAJ	PREVOD NA UCET	2886	49013	POJISTNE	MN	4245263
1057231	3614	1997-07-06	VYDAJ	PREVOD NA UCET	2886	38128	POJISTNE	MN	4245263
1057232	3614	1997-08-06	VYDAJ	PREVOD NA UCET	2886	49468	POJISTNE	MN	4245263
1057233	3614	1997-09-06	VYDAJ	PREVOD NA UCET	2886	57048	POJISTNE	MN	4245263
1057234	3614	1997-10-06	VYDAJ	PREVOD NA UCET	2886	31104	POJISTNE	MN	4245263
1057235	3614	1997-11-06	VYDAJ	PREVOD NA UCET	2886	22053	POJISTNE	MN	4245263
1057236	3614	1997-12-06	VYDAJ	PREVOD NA UCET	2886	42002	POJISTNE	MN	4245263
1057237	3614	1998-01-06	VYDAJ	PREVOD NA UCET	2886	19172	POJISTNE	MN	4245263
1057238	3614	1998-02-06	VYDAJ	PREVOD NA UCET	2886	33284	POJISTNE	MN	4245263
1057239	3614	1998-03-06	VYDAJ	PREVOD NA UCET	2886	31625	POJISTNE	MN	4245263
1057240	3614	1998-04-06	VYDAJ	PREVOD NA UCET	2886	29359	POJISTNE	MN	4245263
1057241	3614	1998-05-06	VYDAJ	PREVOD NA UCET	2886	46567	POJISTNE	MN	4245263
1057242	3614	1998-06-06	VYDAJ	PREVOD NA UCET	2886	40261	POJISTNE	MN	4245263
1057243	3614	1998-07-06	VYDAJ	PREVOD NA UCET	2886	74227	POJISTNE	MN	4245263
1057244	3614	1998-08-06	VYDAJ	PREVOD NA UCET	2886	73558	POJISTNE	MN	4245263
1057245	3614	1998-09-06	VYDAJ	PREVOD NA UCET	2886	79703	POJISTNE	MN	4245263
1057246	3614	1998-10-06	VYDAJ	PREVOD NA UCET	2886	74750	POJISTNE	MN	4245263
1057247	3614	1998-11-06	VYDAJ	PREVOD NA UCET	2886	75219	POJISTNE	MN	4245263
1057248	3614	1998-12-06	VYDAJ	PREVOD NA UCET	2886	87747	POJISTNE	MN	4245263
1057258	3614	1997-01-22	VYBER	VYBER	3910	66441	\N	\N	\N
1057259	3614	1997-11-03	VYBER	VYBER	2778	24939	\N	\N	\N
1057260	3614	1997-03-20	VYBER	VYBER	22711	49849	\N	\N	\N
1057261	3614	1998-11-16	VYBER	VYBER	23955	46440	\N	\N	\N
1057265	3614	1998-11-11	VYBER	VYBER	2529	71609	\N	\N	\N
1057269	3614	1998-10-16	VYBER	VYBER	18581	38301	\N	\N	\N
1057270	3614	1998-04-09	VYBER	VYBER	6748	22611	\N	\N	\N
1057271	3614	1998-10-13	VYBER	VYBER	15573	56882	\N	\N	\N
1057273	3614	1998-10-17	VYBER	VYBER	13544	24757	\N	\N	\N
1057279	3614	1997-01-19	VYDAJ	VYBER	11700	73951	\N	\N	\N
1057282	3614	1997-12-25	VYDAJ	VYBER	6600	33107	\N	\N	\N
1057283	3614	1998-12-20	VYDAJ	VYBER	1800	83652	\N	\N	\N
1057290	3614	1997-01-30	VYDAJ	VYBER	6900	78030	\N	\N	\N
1057291	3614	1997-01-23	VYDAJ	VYBER	7800	58641	\N	\N	\N
1057292	3614	1997-01-12	VYDAJ	VYBER	3000	73574	\N	\N	\N
1057293	3614	1997-01-20	VYDAJ	VYBER	3600	70351	\N	\N	\N
1057294	3614	1997-01-02	VYDAJ	VYBER	8400	93187	\N	\N	\N
1057295	3614	1997-01-28	VYDAJ	VYBER	8700	77161	\N	\N	\N
1057296	3614	1998-01-19	VYDAJ	VYBER	5100	35556	\N	\N	\N
1057298	3614	1998-01-01	VYDAJ	VYBER	8700	22058	\N	\N	\N
1057301	3614	1998-01-19	VYDAJ	VYBER	5100	40656	\N	\N	\N
1057306	3614	1997-04-22	VYDAJ	VYBER	3600	75756	\N	\N	\N
1057307	3614	1997-10-03	VYDAJ	VYBER	9300	33990	\N	\N	\N
1057308	3614	1997-05-17	VYDAJ	VYBER	3300	61777	\N	\N	\N
1057309	3614	1997-10-15	VYDAJ	VYBER	3900	24909	\N	\N	\N
1057314	3614	1998-06-12	VYDAJ	VYBER	5100	32866	\N	\N	\N
1057327	3614	1996-12-31	VYDAJ	VYBER	15	101587	SLUZBY	\N	\N
1057328	3614	1997-01-31	VYDAJ	VYBER	15	78335	SLUZBY	\N	\N
1057329	3614	1997-02-28	VYDAJ	VYBER	15	59739	SLUZBY	\N	\N
1057330	3614	1997-03-31	VYDAJ	VYBER	15	97772	SLUZBY	\N	\N
1057331	3614	1997-04-30	VYDAJ	VYBER	15	76082	SLUZBY	\N	\N
1057332	3614	1997-05-31	VYDAJ	VYBER	15	68399	SLUZBY	\N	\N
1057333	3614	1997-06-30	VYDAJ	VYBER	15	46914	SLUZBY	\N	\N
1057334	3614	1997-07-31	VYDAJ	VYBER	15	70454	SLUZBY	\N	\N
1057335	3614	1997-08-31	VYDAJ	VYBER	15	86634	SLUZBY	\N	\N
1057336	3614	1997-09-30	VYDAJ	VYBER	15	54990	SLUZBY	\N	\N
1057337	3614	1997-10-31	VYDAJ	VYBER	15	27717	SLUZBY	\N	\N
1057338	3614	1997-11-30	VYDAJ	VYBER	15	62288	SLUZBY	\N	\N
1057339	3614	1997-12-31	VYDAJ	VYBER	15	30758	SLUZBY	\N	\N
1057340	3614	1998-01-31	VYDAJ	VYBER	15	36170	SLUZBY	\N	\N
1057341	3614	1998-02-28	VYDAJ	VYBER	15	34511	SLUZBY	\N	\N
1057342	3614	1998-03-31	VYDAJ	VYBER	15	32245	SLUZBY	\N	\N
1057343	3614	1998-04-30	VYDAJ	VYBER	15	49453	SLUZBY	\N	\N
1057344	3614	1998-05-31	VYDAJ	VYBER	15	43147	SLUZBY	\N	\N
1057345	3614	1998-06-30	VYDAJ	VYBER	15	41117	SLUZBY	\N	\N
1057346	3614	1998-07-31	VYDAJ	VYBER	15	76444	SLUZBY	\N	\N
1057347	3614	1998-08-31	VYDAJ	VYBER	15	82589	SLUZBY	\N	\N
1057348	3614	1998-09-30	VYDAJ	VYBER	15	77636	SLUZBY	\N	\N
1057349	3614	1998-10-31	VYDAJ	VYBER	15	78105	SLUZBY	\N	\N
1057350	3614	1998-11-30	VYDAJ	VYBER	15	52683	SLUZBY	\N	\N
1057351	3614	1996-09-06	VYDAJ	VYBER	14600	43965	\N	\N	\N
1057352	3614	1996-10-06	VYDAJ	VYBER	17600	46957	\N	\N	\N
1057353	3614	1996-11-05	VYDAJ	VYBER	10000	37225	\N	\N	\N
1057354	3614	1996-12-05	VYDAJ	VYBER	4300	33193	\N	\N	\N
1057355	3614	1997-01-04	VYDAJ	VYBER	30700	62487	\N	\N	\N
1057356	3614	1997-01-27	VYDAJ	VYBER	33100	85861	\N	\N	\N
1057357	3614	1997-02-03	VYDAJ	VYBER	35600	64661	\N	\N	\N
1057358	3614	1997-03-05	VYDAJ	VYBER	15800	43939	\N	\N	\N
1057359	3614	1997-04-04	VYDAJ	VYBER	33600	64172	\N	\N	\N
1057360	3614	1997-05-04	VYDAJ	VYBER	34800	70258	\N	\N	\N
1057361	3614	1997-05-21	VYDAJ	VYBER	38400	68081	\N	\N	\N
1057362	3614	1997-06-03	VYDAJ	VYBER	16500	51899	\N	\N	\N
1057363	3614	1997-07-03	VYDAJ	VYBER	5900	41014	\N	\N	\N
1057364	3614	1997-07-18	VYDAJ	VYBER	51200	70186	\N	\N	\N
1057365	3614	1997-08-02	VYDAJ	VYBER	18100	52354	\N	\N	\N
1057366	3614	1997-09-01	VYDAJ	VYBER	26700	59934	\N	\N	\N
1057367	3614	1997-10-01	VYDAJ	VYBER	11700	43290	\N	\N	\N
1057368	3614	1997-10-31	PRIJEM	VKLAD	2700	27731	\N	\N	\N
1057369	3614	1997-11-30	VYDAJ	VYBER	17400	44888	\N	\N	\N
1057370	3614	1997-12-30	VYDAJ	VYBER	2500	30607	\N	\N	\N
1057371	3614	1998-01-29	PRIJEM	VKLAD	500	36056	\N	\N	\N
1057372	3614	1998-02-28	PRIJEM	VKLAD	3400	34526	\N	\N	\N
1057373	3614	1998-03-30	PRIJEM	VKLAD	2800	32130	\N	\N	\N
1057374	3614	1998-04-29	VYDAJ	VYBER	10200	49321	\N	\N	\N
1057375	3614	1998-05-29	VYDAJ	VYBER	1300	42972	\N	\N	\N
1057376	3614	1998-06-28	PRIJEM	VKLAD	8100	40966	\N	\N	\N
1057377	3614	1998-07-28	VYDAJ	VYBER	31600	76133	\N	\N	\N
1057378	3614	1998-08-26	VYDAJ	VYBER	31900	76655	\N	\N	\N
1057379	3614	1998-08-27	VYDAJ	VYBER	11800	64855	\N	\N	\N
1057380	3614	1998-09-20	VYDAJ	VYBER	31900	94382	\N	\N	\N
1057381	3614	1998-09-26	VYDAJ	VYBER	17100	77282	\N	\N	\N
1057382	3614	1998-10-26	PRIJEM	VKLAD	18100	42857	\N	\N	\N
1057383	3614	1998-11-25	PRIJEM	VKLAD	6000	52440	\N	\N	\N
1057413	3615	1996-11-05	PRIJEM	VKLAD	300	300	\N	\N	\N
1057424	3615	1996-11-06	PRIJEM	VKLAD	9908	10208	\N	\N	\N
1057425	3615	1996-12-06	PRIJEM	VKLAD	14862	32605	\N	\N	\N
1057426	3615	1997-01-06	PRIJEM	VKLAD	9908	36334	\N	\N	\N
1057427	3615	1997-02-06	PRIJEM	VKLAD	9908	38991	\N	\N	\N
1057428	3615	1997-03-06	PRIJEM	VKLAD	9908	37160	\N	\N	\N
1057429	3615	1997-04-06	PRIJEM	VKLAD	9908	32117	\N	\N	\N
1057430	3615	1997-05-06	PRIJEM	VKLAD	9908	29454	\N	\N	\N
1057431	3615	1997-06-06	PRIJEM	VKLAD	14862	32826	\N	\N	\N
1057432	3615	1997-07-06	PRIJEM	VKLAD	9908	30258	\N	\N	\N
1057433	3615	1997-08-06	PRIJEM	VKLAD	9908	27086	\N	\N	\N
1057434	3615	1997-09-06	PRIJEM	VKLAD	9908	27302	\N	\N	\N
1057435	3615	1997-10-06	PRIJEM	VKLAD	9908	30416	\N	\N	\N
1057436	3615	1997-11-06	PRIJEM	VKLAD	9908	30739	\N	\N	\N
1057437	3615	1997-12-06	PRIJEM	VKLAD	14862	33406	\N	\N	\N
1057438	3615	1998-01-06	PRIJEM	VKLAD	9908	33436	\N	\N	\N
1057439	3615	1998-02-06	PRIJEM	VKLAD	9908	25844	\N	\N	\N
1057440	3615	1998-03-06	PRIJEM	VKLAD	9908	30237	\N	\N	\N
1057441	3615	1998-04-06	PRIJEM	VKLAD	9908	31953	\N	\N	\N
1057442	3615	1998-05-06	PRIJEM	VKLAD	9908	35971	\N	\N	\N
1057443	3615	1998-06-06	PRIJEM	VKLAD	14862	43560	\N	\N	\N
1057444	3615	1998-07-06	PRIJEM	VKLAD	9908	37815	\N	\N	\N
1057445	3615	1998-08-06	PRIJEM	VKLAD	9908	34053	\N	\N	\N
1057446	3615	1998-09-06	PRIJEM	VKLAD	9908	34277	\N	\N	\N
1057447	3615	1998-10-06	PRIJEM	VKLAD	9908	33901	\N	\N	\N
1057448	3615	1998-11-06	PRIJEM	VKLAD	9908	38527	\N	\N	\N
1057449	3615	1998-12-06	PRIJEM	VKLAD	14862	37021	\N	\N	\N
1057464	3615	1997-03-13	VYDAJ	PREVOD NA UCET	3781	33379	SIPO	UV	28111076
1057465	3615	1997-04-13	VYDAJ	PREVOD NA UCET	3781	28336	SIPO	UV	28111076
1057466	3615	1997-05-13	VYDAJ	PREVOD NA UCET	3781	22873	SIPO	UV	28111076
1057467	3615	1997-06-13	VYDAJ	PREVOD NA UCET	3781	29045	SIPO	UV	28111076
1057468	3615	1997-07-13	VYDAJ	PREVOD NA UCET	3781	26477	SIPO	UV	28111076
1057469	3615	1997-08-13	VYDAJ	PREVOD NA UCET	3781	23305	SIPO	UV	28111076
1057470	3615	1997-09-13	VYDAJ	PREVOD NA UCET	3781	23521	SIPO	UV	28111076
1057471	3615	1997-10-13	VYDAJ	PREVOD NA UCET	3781	26635	SIPO	UV	28111076
1057472	3615	1997-11-13	VYDAJ	PREVOD NA UCET	3781	26958	SIPO	UV	28111076
1057473	3615	1997-12-13	VYDAJ	PREVOD NA UCET	3781	29625	SIPO	UV	28111076
1057474	3615	1998-01-13	VYDAJ	PREVOD NA UCET	3781	26955	SIPO	UV	28111076
1057475	3615	1998-02-13	VYDAJ	PREVOD NA UCET	3781	22063	SIPO	UV	28111076
1057476	3615	1998-03-13	VYDAJ	PREVOD NA UCET	3781	25256	SIPO	UV	28111076
1057477	3615	1998-04-13	VYDAJ	PREVOD NA UCET	3781	28172	SIPO	UV	28111076
1057478	3615	1998-05-13	VYDAJ	PREVOD NA UCET	3781	32190	SIPO	UV	28111076
1057479	3615	1998-06-13	VYDAJ	PREVOD NA UCET	3781	39779	SIPO	UV	28111076
1057480	3615	1998-07-13	VYDAJ	PREVOD NA UCET	3781	34034	SIPO	UV	28111076
1057481	3615	1998-08-13	VYDAJ	PREVOD NA UCET	3781	30272	SIPO	UV	28111076
1057482	3615	1998-09-13	VYDAJ	PREVOD NA UCET	3781	30496	SIPO	UV	28111076
1057483	3615	1998-10-13	VYDAJ	PREVOD NA UCET	3781	30120	SIPO	UV	28111076
1057484	3615	1998-11-13	VYDAJ	PREVOD NA UCET	3781	34746	SIPO	UV	28111076
1057485	3615	1998-12-13	VYDAJ	PREVOD NA UCET	3781	30540	SIPO	UV	28111076
1057490	3615	1997-12-05	VYDAJ	VYBER	2300	18544	\N	\N	\N
1057491	3615	1998-12-12	VYDAJ	VYBER	2700	34321	\N	\N	\N
1057504	3615	1998-01-24	VYDAJ	VYBER	2800	15055	\N	\N	\N
1057505	3615	1998-01-30	VYDAJ	VYBER	2400	15855	\N	\N	\N
1057506	3615	1998-01-21	VYDAJ	VYBER	2500	17855	\N	\N	\N
1057507	3615	1998-01-15	VYDAJ	VYBER	2300	24655	\N	\N	\N
1057508	3615	1998-01-06	VYDAJ	VYBER	2100	31336	\N	\N	\N
1057509	3615	1998-01-06	VYDAJ	VYBER	600	30736	\N	\N	\N
1057516	3615	1997-05-06	VYDAJ	VYBER	2800	26654	\N	\N	\N
1057517	3615	1997-03-17	VYDAJ	VYBER	800	32579	\N	\N	\N
1057518	3615	1997-12-16	VYDAJ	VYBER	1000	28625	\N	\N	\N
1057519	3615	1997-10-24	VYDAJ	VYBER	900	25735	\N	\N	\N
1057520	3615	1998-01-20	VYDAJ	VYBER	4300	20355	\N	\N	\N
1057521	3615	1998-03-07	VYDAJ	VYBER	1200	29037	\N	\N	\N
1057522	3615	1998-12-02	VYDAJ	VYBER	4200	22159	\N	\N	\N
1057523	3615	1998-07-26	VYDAJ	VYBER	1900	32134	\N	\N	\N
1057539	3615	1997-03-31	VYDAJ	VYBER	15	32709	SLUZBY	\N	\N
1057540	3615	1997-04-30	VYDAJ	VYBER	15	28446	SLUZBY	\N	\N
1057541	3615	1997-05-31	VYDAJ	VYBER	15	22964	SLUZBY	\N	\N
1057542	3615	1997-06-30	VYDAJ	VYBER	15	29150	SLUZBY	\N	\N
1057543	3615	1997-07-31	VYDAJ	VYBER	15	26578	SLUZBY	\N	\N
1057544	3615	1997-08-31	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
1057545	3615	1997-09-30	VYDAJ	VYBER	15	23608	SLUZBY	\N	\N
1057546	3615	1997-10-31	VYDAJ	VYBER	15	20831	SLUZBY	\N	\N
1057547	3615	1997-11-30	VYDAJ	VYBER	15	27044	SLUZBY	\N	\N
1057548	3615	1997-12-31	VYDAJ	VYBER	15	23528	SLUZBY	\N	\N
1057549	3615	1998-01-31	VYDAJ	VYBER	15	15936	SLUZBY	\N	\N
1057550	3615	1998-02-28	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
1057551	3615	1998-03-31	VYDAJ	VYBER	15	22045	SLUZBY	\N	\N
1057552	3615	1998-04-30	VYDAJ	VYBER	15	26063	SLUZBY	\N	\N
1057553	3615	1998-05-31	VYDAJ	VYBER	15	28698	SLUZBY	\N	\N
1057554	3615	1998-06-30	VYDAJ	VYBER	15	27907	SLUZBY	\N	\N
1057555	3615	1998-07-31	VYDAJ	VYBER	15	24145	SLUZBY	\N	\N
1057556	3615	1998-08-31	VYDAJ	VYBER	15	24369	SLUZBY	\N	\N
1057557	3615	1998-09-30	VYDAJ	VYBER	15	23993	SLUZBY	\N	\N
1057558	3615	1998-10-31	VYDAJ	VYBER	15	28619	SLUZBY	\N	\N
1057559	3615	1998-11-30	VYDAJ	VYBER	15	26359	SLUZBY	\N	\N
1057560	3615	1996-12-05	PRIJEM	VKLAD	7500	17743	\N	\N	\N
1057561	3615	1997-01-04	VYDAJ	VYBER	6300	26426	\N	\N	\N
1057562	3615	1997-02-03	VYDAJ	VYBER	7400	29083	\N	\N	\N
1057563	3615	1997-03-05	VYDAJ	VYBER	11900	27252	\N	\N	\N
1057564	3615	1997-04-04	VYDAJ	VYBER	10500	22209	\N	\N	\N
1057565	3615	1997-05-04	VYDAJ	VYBER	8900	19546	\N	\N	\N
1057566	3615	1997-06-03	VYDAJ	VYBER	5000	17964	\N	\N	\N
1057567	3615	1997-07-03	VYDAJ	VYBER	8800	20350	\N	\N	\N
1057568	3615	1997-08-02	VYDAJ	VYBER	9400	17178	\N	\N	\N
1057569	3615	1997-09-01	VYDAJ	VYBER	6000	17394	\N	\N	\N
1057570	3615	1997-10-01	VYDAJ	VYBER	3100	20508	\N	\N	\N
1057571	3615	1997-10-31	VYDAJ	VYBER	5000	20845	\N	\N	\N
1057572	3615	1997-11-30	VYDAJ	VYBER	6200	20844	\N	\N	\N
1057573	3615	1997-12-30	VYDAJ	VYBER	5200	23425	\N	\N	\N
1057574	3615	1998-01-29	PRIJEM	VKLAD	3200	18255	\N	\N	\N
1057575	3615	1998-02-28	VYDAJ	VYBER	1800	20329	\N	\N	\N
1057576	3615	1998-03-30	VYDAJ	VYBER	3300	21956	\N	\N	\N
1057577	3615	1998-04-29	VYDAJ	VYBER	2200	25972	\N	\N	\N
1057578	3615	1998-05-29	VYDAJ	VYBER	3600	28590	\N	\N	\N
1057579	3615	1998-06-28	VYDAJ	VYBER	12000	27779	\N	\N	\N
1057580	3615	1998-07-28	VYDAJ	VYBER	8100	24034	\N	\N	\N
1057581	3615	1998-08-27	VYDAJ	VYBER	6000	24272	\N	\N	\N
1057582	3615	1998-09-26	VYDAJ	VYBER	6600	23896	\N	\N	\N
1057583	3615	1998-10-26	VYDAJ	VYBER	1600	28520	\N	\N	\N
1057584	3615	1998-11-25	VYDAJ	VYBER	8500	26246	\N	\N	\N
1057611	3616	1997-12-15	PRIJEM	VKLAD	600	600	\N	\N	\N
1057660	3616	1998-01-14	PRIJEM	VKLAD	12500	13100	\N	\N	\N
1057661	3616	1998-02-13	PRIJEM	VKLAD	2300	15400	\N	\N	\N
1057662	3616	1998-03-15	PRIJEM	VKLAD	5900	21300	\N	\N	\N
1057663	3616	1998-04-14	PRIJEM	VKLAD	400	21700	\N	\N	\N
1057664	3616	1998-05-14	PRIJEM	VKLAD	1700	23400	\N	\N	\N
1057665	3616	1998-06-13	PRIJEM	VKLAD	2700	26100	\N	\N	\N
1057666	3616	1998-07-13	PRIJEM	VKLAD	1500	27600	\N	\N	\N
1057667	3616	1998-08-12	VYDAJ	VYBER	3400	24200	\N	\N	\N
1057668	3616	1998-09-11	VYDAJ	VYBER	1600	22600	\N	\N	\N
1057669	3616	1998-10-11	VYDAJ	VYBER	300	22300	\N	\N	\N
1057670	3616	1998-11-10	VYDAJ	VYBER	100	22200	\N	\N	\N
1057671	3616	1998-12-10	PRIJEM	VKLAD	1700	23900	\N	\N	\N
1057672	3617	1993-11-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1057684	3617	1993-12-07	PRIJEM	VKLAD	24506	25606	\N	\N	\N
1057685	3617	1994-01-07	PRIJEM	VKLAD	16337	40097	\N	\N	\N
1057686	3617	1994-02-07	PRIJEM	VKLAD	16337	50457	\N	\N	\N
1057687	3617	1994-03-07	PRIJEM	VKLAD	16337	53243	\N	\N	\N
1057688	3617	1994-04-07	PRIJEM	VKLAD	16337	55738	\N	\N	\N
1057689	3617	1994-05-07	PRIJEM	VKLAD	16337	51441	\N	\N	\N
1057690	3617	1994-06-07	PRIJEM	VKLAD	24506	56328	\N	\N	\N
1057691	3617	1994-07-07	PRIJEM	VKLAD	16337	45830	\N	\N	\N
1057692	3617	1994-08-07	PRIJEM	VKLAD	16337	48526	\N	\N	\N
1057693	3617	1994-09-07	PRIJEM	VKLAD	16337	51954	\N	\N	\N
1057694	3617	1994-10-07	PRIJEM	VKLAD	16337	52888	\N	\N	\N
1057695	3617	1994-11-07	PRIJEM	VKLAD	16337	57034	\N	\N	\N
1057696	3617	1994-12-07	PRIJEM	VKLAD	24506	60886	\N	\N	\N
1057697	3617	1995-01-07	PRIJEM	VKLAD	16337	56156	\N	\N	\N
1057698	3617	1995-02-07	PRIJEM	VKLAD	16337	47252	\N	\N	\N
1057699	3617	1995-03-07	PRIJEM	VKLAD	16337	52076	\N	\N	\N
1057700	3617	1995-04-07	PRIJEM	VKLAD	16337	53614	\N	\N	\N
1057701	3617	1995-05-07	PRIJEM	VKLAD	16337	55154	\N	\N	\N
1057702	3617	1995-06-07	PRIJEM	VKLAD	24506	64632	\N	\N	\N
1057703	3617	1995-07-07	PRIJEM	VKLAD	16337	51450	\N	\N	\N
1057704	3617	1995-08-07	PRIJEM	VKLAD	16337	48955	\N	\N	\N
1057705	3617	1995-09-07	PRIJEM	VKLAD	16337	55099	\N	\N	\N
1057706	3617	1995-10-07	PRIJEM	VKLAD	16337	62786	\N	\N	\N
1057707	3617	1995-11-07	PRIJEM	VKLAD	16337	65028	\N	\N	\N
1057708	3617	1995-12-07	PRIJEM	VKLAD	24506	74331	\N	\N	\N
1057709	3617	1996-01-07	PRIJEM	VKLAD	16337	65747	\N	\N	\N
1057710	3617	1996-02-07	PRIJEM	VKLAD	16337	60291	\N	\N	\N
1057711	3617	1996-03-07	PRIJEM	VKLAD	16337	67639	\N	\N	\N
1057712	3617	1996-04-07	PRIJEM	VKLAD	16337	74678	\N	\N	\N
1057713	3617	1996-05-07	PRIJEM	VKLAD	16337	76349	\N	\N	\N
1057714	3617	1996-06-07	PRIJEM	VKLAD	24506	62532	\N	\N	\N
1057715	3617	1996-07-07	PRIJEM	VKLAD	16337	68949	\N	\N	\N
1057716	3617	1996-08-07	PRIJEM	VKLAD	16337	72097	\N	\N	\N
1057717	3617	1996-09-07	PRIJEM	VKLAD	16337	77259	\N	\N	\N
1057718	3617	1996-10-07	PRIJEM	VKLAD	16337	79828	\N	\N	\N
1057719	3617	1996-11-07	PRIJEM	VKLAD	16337	83209	\N	\N	\N
1057720	3617	1996-12-07	PRIJEM	VKLAD	24506	89891	\N	\N	\N
1057721	3617	1997-01-07	PRIJEM	VKLAD	16337	87893	\N	\N	\N
1057722	3617	1997-02-07	PRIJEM	VKLAD	16337	89018	\N	\N	\N
1057723	3617	1997-03-07	PRIJEM	VKLAD	16337	91053	\N	\N	\N
1057724	3617	1997-04-07	PRIJEM	VKLAD	16337	88737	\N	\N	\N
1057725	3617	1997-05-07	PRIJEM	VKLAD	16337	88966	\N	\N	\N
1057726	3617	1997-06-07	PRIJEM	VKLAD	24506	98549	\N	\N	\N
1057727	3617	1997-07-07	PRIJEM	VKLAD	16337	76135	\N	\N	\N
1057728	3617	1997-08-07	PRIJEM	VKLAD	16337	85738	\N	\N	\N
1057729	3617	1997-09-07	PRIJEM	VKLAD	16337	88435	\N	\N	\N
1057730	3617	1997-10-07	PRIJEM	VKLAD	16337	90036	\N	\N	\N
1057731	3617	1997-11-07	PRIJEM	VKLAD	16337	96054	\N	\N	\N
1057732	3617	1997-12-07	PRIJEM	VKLAD	24506	110864	\N	\N	\N
1057733	3617	1998-01-07	PRIJEM	VKLAD	16337	87971	\N	\N	\N
1057734	3617	1998-02-07	PRIJEM	VKLAD	16337	91625	\N	\N	\N
1057735	3617	1998-03-07	PRIJEM	VKLAD	16337	102972	\N	\N	\N
1057736	3617	1998-04-07	PRIJEM	VKLAD	16337	110243	\N	\N	\N
1057737	3617	1998-05-07	PRIJEM	VKLAD	16337	119244	\N	\N	\N
1057738	3617	1998-06-07	PRIJEM	VKLAD	24506	108650	\N	\N	\N
1057739	3617	1998-07-07	PRIJEM	VKLAD	16337	97807	\N	\N	\N
1057740	3617	1998-08-07	PRIJEM	VKLAD	16337	113373	\N	\N	\N
1057741	3617	1998-09-07	PRIJEM	VKLAD	16337	119982	\N	\N	\N
1057742	3617	1998-10-07	PRIJEM	VKLAD	16337	95804	\N	\N	\N
1057743	3617	1998-11-07	PRIJEM	VKLAD	16337	101990	\N	\N	\N
1057744	3617	1998-12-07	PRIJEM	VKLAD	24506	115322	\N	\N	\N
1057760	3617	1994-04-09	VYDAJ	PREVOD NA UCET	57	55681	SIPO	AB	52725309
1057761	3617	1994-05-09	VYDAJ	PREVOD NA UCET	57	51384	SIPO	AB	52725309
1057762	3617	1994-06-09	VYDAJ	PREVOD NA UCET	57	36554	SIPO	AB	52725309
1057763	3617	1994-07-09	VYDAJ	PREVOD NA UCET	57	43976	SIPO	AB	52725309
1057764	3617	1994-08-09	VYDAJ	PREVOD NA UCET	57	46672	SIPO	AB	52725309
1057765	3617	1994-09-09	VYDAJ	PREVOD NA UCET	57	50100	SIPO	AB	52725309
1057766	3617	1994-10-09	VYDAJ	PREVOD NA UCET	57	51034	SIPO	AB	52725309
1057767	3617	1994-11-09	VYDAJ	PREVOD NA UCET	57	56977	SIPO	AB	52725309
1057768	3617	1994-12-09	VYDAJ	PREVOD NA UCET	57	59032	SIPO	AB	52725309
1057769	3617	1995-01-09	VYDAJ	PREVOD NA UCET	57	38642	SIPO	AB	52725309
1057770	3617	1995-02-09	VYDAJ	PREVOD NA UCET	57	38795	SIPO	AB	52725309
1057771	3617	1995-03-09	VYDAJ	PREVOD NA UCET	57	52019	SIPO	AB	52725309
1057772	3617	1995-04-09	VYDAJ	PREVOD NA UCET	57	51760	SIPO	AB	52725309
1057773	3617	1995-05-09	VYDAJ	PREVOD NA UCET	57	53300	SIPO	AB	52725309
1057774	3617	1995-06-09	VYDAJ	PREVOD NA UCET	57	49778	SIPO	AB	52725309
1057775	3617	1995-07-09	VYDAJ	PREVOD NA UCET	57	42393	SIPO	AB	52725309
1057776	3617	1995-08-09	VYDAJ	PREVOD NA UCET	57	43798	SIPO	AB	52725309
1057777	3617	1995-09-09	VYDAJ	PREVOD NA UCET	57	53245	SIPO	AB	52725309
1057778	3617	1995-10-09	VYDAJ	PREVOD NA UCET	57	62729	SIPO	AB	52725309
1057779	3617	1995-11-09	VYDAJ	PREVOD NA UCET	57	64971	SIPO	AB	52725309
1057780	3617	1995-12-09	VYDAJ	PREVOD NA UCET	57	74274	SIPO	AB	52725309
1057781	3617	1996-01-09	VYDAJ	PREVOD NA UCET	57	62813	SIPO	AB	52725309
1057782	3617	1996-02-09	VYDAJ	PREVOD NA UCET	57	60234	SIPO	AB	52725309
1057783	3617	1996-03-09	VYDAJ	PREVOD NA UCET	57	65785	SIPO	AB	52725309
1057784	3617	1996-04-09	VYDAJ	PREVOD NA UCET	57	74621	SIPO	AB	52725309
1057785	3617	1996-05-09	VYDAJ	PREVOD NA UCET	57	76292	SIPO	AB	52725309
1057786	3617	1996-06-09	VYDAJ	PREVOD NA UCET	57	62475	SIPO	AB	52725309
1057787	3617	1996-07-09	VYDAJ	PREVOD NA UCET	57	68892	SIPO	AB	52725309
1057788	3617	1996-08-09	VYDAJ	PREVOD NA UCET	57	70243	SIPO	AB	52725309
1057789	3617	1996-09-09	VYDAJ	PREVOD NA UCET	57	77202	SIPO	AB	52725309
1057790	3617	1996-10-09	VYDAJ	PREVOD NA UCET	57	77974	SIPO	AB	52725309
1057791	3617	1996-11-09	VYDAJ	PREVOD NA UCET	57	83152	SIPO	AB	52725309
1057792	3617	1996-12-09	VYDAJ	PREVOD NA UCET	57	88037	SIPO	AB	52725309
1057793	3617	1997-01-09	VYDAJ	PREVOD NA UCET	57	86039	SIPO	AB	52725309
1057794	3617	1997-02-09	VYDAJ	PREVOD NA UCET	57	87164	SIPO	AB	52725309
1057795	3617	1997-03-09	VYDAJ	PREVOD NA UCET	57	89199	SIPO	AB	52725309
1057796	3617	1997-04-09	VYDAJ	PREVOD NA UCET	57	88680	SIPO	AB	52725309
1057797	3617	1997-05-09	VYDAJ	PREVOD NA UCET	57	88909	SIPO	AB	52725309
1057798	3617	1997-06-09	VYDAJ	PREVOD NA UCET	57	96695	SIPO	AB	52725309
1057799	3617	1997-07-09	VYDAJ	PREVOD NA UCET	57	74281	SIPO	AB	52725309
1057800	3617	1997-08-09	VYDAJ	PREVOD NA UCET	57	83884	SIPO	AB	52725309
1057801	3617	1997-09-09	VYDAJ	PREVOD NA UCET	57	84178	SIPO	AB	52725309
1057802	3617	1997-10-09	VYDAJ	PREVOD NA UCET	57	89979	SIPO	AB	52725309
1057803	3617	1997-11-09	VYDAJ	PREVOD NA UCET	57	94200	SIPO	AB	52725309
1057804	3617	1997-12-09	VYDAJ	PREVOD NA UCET	57	71710	SIPO	AB	52725309
1057805	3617	1998-01-09	VYDAJ	PREVOD NA UCET	57	86714	SIPO	AB	52725309
1057806	3617	1998-02-09	VYDAJ	PREVOD NA UCET	57	91568	SIPO	AB	52725309
1057807	3617	1998-03-09	VYDAJ	PREVOD NA UCET	57	102915	SIPO	AB	52725309
1057808	3617	1998-04-09	VYDAJ	PREVOD NA UCET	57	108389	SIPO	AB	52725309
1057809	3617	1998-05-09	VYDAJ	PREVOD NA UCET	57	78790	SIPO	AB	52725309
1057810	3617	1998-06-09	VYDAJ	PREVOD NA UCET	57	108593	SIPO	AB	52725309
1057811	3617	1998-07-09	VYDAJ	PREVOD NA UCET	57	95953	SIPO	AB	52725309
1057812	3617	1998-08-09	VYDAJ	PREVOD NA UCET	57	113316	SIPO	AB	52725309
1057813	3617	1998-09-09	VYDAJ	PREVOD NA UCET	57	73025	SIPO	AB	52725309
1057814	3617	1998-10-09	VYDAJ	PREVOD NA UCET	57	95747	SIPO	AB	52725309
1057815	3617	1998-11-09	VYDAJ	PREVOD NA UCET	57	100136	SIPO	AB	52725309
1057816	3617	1998-12-09	VYDAJ	PREVOD NA UCET	57	115265	SIPO	AB	52725309
1057832	3617	1994-04-09	VYDAJ	PREVOD NA UCET	1797	53884	 	AB	46849840
1057833	3617	1994-05-09	VYDAJ	PREVOD NA UCET	1797	49587	 	AB	46849840
1057834	3617	1994-06-09	VYDAJ	PREVOD NA UCET	1797	54531	 	AB	46849840
1057835	3617	1994-07-09	VYDAJ	PREVOD NA UCET	1797	44033	 	AB	46849840
1057836	3617	1994-08-09	VYDAJ	PREVOD NA UCET	1797	46729	 	AB	46849840
1057837	3617	1994-09-09	VYDAJ	PREVOD NA UCET	1797	50157	 	AB	46849840
1057838	3617	1994-10-09	VYDAJ	PREVOD NA UCET	1797	51091	 	AB	46849840
1057839	3617	1994-11-09	VYDAJ	PREVOD NA UCET	1797	55180	 	AB	46849840
1057840	3617	1994-12-09	VYDAJ	PREVOD NA UCET	1797	59089	 	AB	46849840
1057841	3617	1995-01-09	VYDAJ	PREVOD NA UCET	1797	38699	 	AB	46849840
1057842	3617	1995-02-09	VYDAJ	PREVOD NA UCET	1797	36998	 	AB	46849840
1057843	3617	1995-03-09	VYDAJ	PREVOD NA UCET	1797	50222	 	AB	46849840
1057844	3617	1995-04-09	VYDAJ	PREVOD NA UCET	1797	51817	 	AB	46849840
1057845	3617	1995-05-09	VYDAJ	PREVOD NA UCET	1797	53357	 	AB	46849840
1057846	3617	1995-06-09	VYDAJ	PREVOD NA UCET	1797	49835	 	AB	46849840
1057847	3617	1995-07-09	VYDAJ	PREVOD NA UCET	1797	40596	 	AB	46849840
1057848	3617	1995-08-09	VYDAJ	PREVOD NA UCET	1797	42001	 	AB	46849840
1057849	3617	1995-09-09	VYDAJ	PREVOD NA UCET	1797	53302	 	AB	46849840
1057850	3617	1995-10-09	VYDAJ	PREVOD NA UCET	1797	60932	 	AB	46849840
1057851	3617	1995-11-09	VYDAJ	PREVOD NA UCET	1797	63174	 	AB	46849840
1057852	3617	1995-12-09	VYDAJ	PREVOD NA UCET	1797	72477	 	AB	46849840
1057853	3617	1996-01-09	VYDAJ	PREVOD NA UCET	1797	62870	 	AB	46849840
1057854	3617	1996-02-09	VYDAJ	PREVOD NA UCET	1797	58437	 	AB	46849840
1057855	3617	1996-03-09	VYDAJ	PREVOD NA UCET	1797	65842	 	AB	46849840
1057856	3617	1996-04-09	VYDAJ	PREVOD NA UCET	1797	72824	 	AB	46849840
1057857	3617	1996-05-09	VYDAJ	PREVOD NA UCET	1797	74495	 	AB	46849840
1057858	3617	1996-06-09	VYDAJ	PREVOD NA UCET	1797	60678	 	AB	46849840
1057859	3617	1996-07-09	VYDAJ	PREVOD NA UCET	1797	67095	 	AB	46849840
1057860	3617	1996-08-09	VYDAJ	PREVOD NA UCET	1797	70300	 	AB	46849840
1057861	3617	1996-09-09	VYDAJ	PREVOD NA UCET	1797	75405	 	AB	46849840
1057862	3617	1996-10-09	VYDAJ	PREVOD NA UCET	1797	78031	 	AB	46849840
1057863	3617	1996-11-09	VYDAJ	PREVOD NA UCET	1797	81355	 	AB	46849840
1057864	3617	1996-12-09	VYDAJ	PREVOD NA UCET	1797	88094	 	AB	46849840
1057865	3617	1997-01-09	VYDAJ	PREVOD NA UCET	1797	86096	 	AB	46849840
1057866	3617	1997-02-09	VYDAJ	PREVOD NA UCET	1797	87221	 	AB	46849840
1057867	3617	1997-03-09	VYDAJ	PREVOD NA UCET	1797	89256	 	AB	46849840
1057868	3617	1997-04-09	VYDAJ	PREVOD NA UCET	1797	86883	 	AB	46849840
1057869	3617	1997-05-09	VYDAJ	PREVOD NA UCET	1797	87112	 	AB	46849840
1057870	3617	1997-06-09	VYDAJ	PREVOD NA UCET	1797	96752	 	AB	46849840
1057871	3617	1997-07-09	VYDAJ	PREVOD NA UCET	1797	74338	 	AB	46849840
1057872	3617	1997-08-09	VYDAJ	PREVOD NA UCET	1797	83941	 	AB	46849840
1057873	3617	1997-09-09	VYDAJ	PREVOD NA UCET	1797	82381	 	AB	46849840
1057874	3617	1997-10-09	VYDAJ	PREVOD NA UCET	1797	88182	 	AB	46849840
1057875	3617	1997-11-09	VYDAJ	PREVOD NA UCET	1797	94257	 	AB	46849840
1057876	3617	1997-12-09	VYDAJ	PREVOD NA UCET	1797	71767	 	AB	46849840
1057877	3617	1998-01-09	VYDAJ	PREVOD NA UCET	1797	84917	 	AB	46849840
1057878	3617	1998-02-09	VYDAJ	PREVOD NA UCET	1797	89771	 	AB	46849840
1057879	3617	1998-03-09	VYDAJ	PREVOD NA UCET	1797	101118	 	AB	46849840
1057880	3617	1998-04-09	VYDAJ	PREVOD NA UCET	1797	108446	 	AB	46849840
1057881	3617	1998-05-09	VYDAJ	PREVOD NA UCET	1797	78847	 	AB	46849840
1057882	3617	1998-06-09	VYDAJ	PREVOD NA UCET	1797	106796	 	AB	46849840
1057883	3617	1998-07-09	VYDAJ	PREVOD NA UCET	1797	96010	 	AB	46849840
1057884	3617	1998-08-09	VYDAJ	PREVOD NA UCET	1797	111519	 	AB	46849840
1057885	3617	1998-09-09	VYDAJ	PREVOD NA UCET	1797	71228	 	AB	46849840
1057886	3617	1998-10-09	VYDAJ	PREVOD NA UCET	1797	93950	 	AB	46849840
1057887	3617	1998-11-09	VYDAJ	PREVOD NA UCET	1797	100193	 	AB	46849840
1057888	3617	1998-12-09	VYDAJ	PREVOD NA UCET	1797	113468	 	AB	46849840
1057904	3617	1994-04-10	VYDAJ	PREVOD NA UCET	1389	52495	POJISTNE	GH	6879449
1057905	3617	1994-05-10	VYDAJ	PREVOD NA UCET	1389	48198	POJISTNE	GH	6879449
1057906	3617	1994-06-10	VYDAJ	PREVOD NA UCET	1389	35165	POJISTNE	GH	6879449
1057907	3617	1994-07-10	VYDAJ	PREVOD NA UCET	1389	42587	POJISTNE	GH	6879449
1057908	3617	1994-08-10	VYDAJ	PREVOD NA UCET	1389	45283	POJISTNE	GH	6879449
1057909	3617	1994-09-10	VYDAJ	PREVOD NA UCET	1389	48711	POJISTNE	GH	6879449
1057910	3617	1994-10-10	VYDAJ	PREVOD NA UCET	1389	49645	POJISTNE	GH	6879449
1057911	3617	1994-11-10	VYDAJ	PREVOD NA UCET	1389	39591	POJISTNE	GH	6879449
1057912	3617	1994-12-10	VYDAJ	PREVOD NA UCET	1389	57643	POJISTNE	GH	6879449
1057913	3617	1995-01-10	VYDAJ	PREVOD NA UCET	1389	37253	POJISTNE	GH	6879449
1057914	3617	1995-02-10	VYDAJ	PREVOD NA UCET	1389	35609	POJISTNE	GH	6879449
1057915	3617	1995-03-10	VYDAJ	PREVOD NA UCET	1389	48833	POJISTNE	GH	6879449
1057916	3617	1995-04-10	VYDAJ	PREVOD NA UCET	1389	38671	POJISTNE	GH	6879449
1057917	3617	1995-05-10	VYDAJ	PREVOD NA UCET	1389	43811	POJISTNE	GH	6879449
1057918	3617	1995-06-10	VYDAJ	PREVOD NA UCET	1389	48389	POJISTNE	GH	6879449
1057919	3617	1995-07-10	VYDAJ	PREVOD NA UCET	1389	39207	POJISTNE	GH	6879449
1057920	3617	1995-08-10	VYDAJ	PREVOD NA UCET	1389	40612	POJISTNE	GH	6879449
1057921	3617	1995-09-10	VYDAJ	PREVOD NA UCET	1389	51856	POJISTNE	GH	6879449
1057922	3617	1995-10-10	VYDAJ	PREVOD NA UCET	1389	59543	POJISTNE	GH	6879449
1057923	3617	1995-11-10	VYDAJ	PREVOD NA UCET	1389	61785	POJISTNE	GH	6879449
1057924	3617	1995-12-10	VYDAJ	PREVOD NA UCET	1389	71088	POJISTNE	GH	6879449
1057925	3617	1996-01-10	VYDAJ	PREVOD NA UCET	1389	61424	POJISTNE	GH	6879449
1057926	3617	1996-02-10	VYDAJ	PREVOD NA UCET	1389	57048	POJISTNE	GH	6879449
1057927	3617	1996-03-10	VYDAJ	PREVOD NA UCET	1389	64396	POJISTNE	GH	6879449
1057928	3617	1996-04-10	VYDAJ	PREVOD NA UCET	1389	71435	POJISTNE	GH	6879449
1057929	3617	1996-05-10	VYDAJ	PREVOD NA UCET	1389	73106	POJISTNE	GH	6879449
1057930	3617	1996-06-10	VYDAJ	PREVOD NA UCET	1389	59289	POJISTNE	GH	6879449
1057931	3617	1996-07-10	VYDAJ	PREVOD NA UCET	1389	65706	POJISTNE	GH	6879449
1057932	3617	1996-08-10	VYDAJ	PREVOD NA UCET	1389	68854	POJISTNE	GH	6879449
1057933	3617	1996-09-10	VYDAJ	PREVOD NA UCET	1389	74016	POJISTNE	GH	6879449
1057934	3617	1996-10-10	VYDAJ	PREVOD NA UCET	1389	76585	POJISTNE	GH	6879449
1057935	3617	1996-11-10	VYDAJ	PREVOD NA UCET	1389	79966	POJISTNE	GH	6879449
1057936	3617	1996-12-10	VYDAJ	PREVOD NA UCET	1389	86648	POJISTNE	GH	6879449
1057937	3617	1997-01-10	VYDAJ	PREVOD NA UCET	1389	84650	POJISTNE	GH	6879449
1057938	3617	1997-02-10	VYDAJ	PREVOD NA UCET	1389	85775	POJISTNE	GH	6879449
1057939	3617	1997-03-10	VYDAJ	PREVOD NA UCET	1389	87810	POJISTNE	GH	6879449
1057940	3617	1997-04-10	VYDAJ	PREVOD NA UCET	1389	85494	POJISTNE	GH	6879449
1057941	3617	1997-05-10	VYDAJ	PREVOD NA UCET	1389	85723	POJISTNE	GH	6879449
1057942	3617	1997-06-10	VYDAJ	PREVOD NA UCET	1389	95306	POJISTNE	GH	6879449
1057943	3617	1997-07-10	VYDAJ	PREVOD NA UCET	1389	72892	POJISTNE	GH	6879449
1057944	3617	1997-08-10	VYDAJ	PREVOD NA UCET	1389	82495	POJISTNE	GH	6879449
1057945	3617	1997-09-10	VYDAJ	PREVOD NA UCET	1389	80992	POJISTNE	GH	6879449
1057946	3617	1997-10-10	VYDAJ	PREVOD NA UCET	1389	86793	POJISTNE	GH	6879449
1057947	3617	1997-11-10	VYDAJ	PREVOD NA UCET	1389	92811	POJISTNE	GH	6879449
1057948	3617	1997-12-10	VYDAJ	PREVOD NA UCET	1389	70321	POJISTNE	GH	6879449
1057949	3617	1998-01-10	VYDAJ	PREVOD NA UCET	1389	83528	POJISTNE	GH	6879449
1057950	3617	1998-02-10	VYDAJ	PREVOD NA UCET	1389	88382	POJISTNE	GH	6879449
1057951	3617	1998-03-10	VYDAJ	PREVOD NA UCET	1389	99729	POJISTNE	GH	6879449
1057952	3617	1998-04-10	VYDAJ	PREVOD NA UCET	1389	107000	POJISTNE	GH	6879449
1057953	3617	1998-05-10	VYDAJ	PREVOD NA UCET	1389	77401	POJISTNE	GH	6879449
1057954	3617	1998-06-10	VYDAJ	PREVOD NA UCET	1389	105407	POJISTNE	GH	6879449
1057955	3617	1998-07-10	VYDAJ	PREVOD NA UCET	1389	94564	POJISTNE	GH	6879449
1057956	3617	1998-08-10	VYDAJ	PREVOD NA UCET	1389	110130	POJISTNE	GH	6879449
1057957	3617	1998-09-10	VYDAJ	PREVOD NA UCET	1389	69839	POJISTNE	GH	6879449
1057958	3617	1998-10-10	VYDAJ	PREVOD NA UCET	1389	92561	POJISTNE	GH	6879449
1057959	3617	1998-11-10	VYDAJ	PREVOD NA UCET	1389	98747	POJISTNE	GH	6879449
1057960	3617	1998-12-10	VYDAJ	PREVOD NA UCET	1389	112079	POJISTNE	GH	6879449
1057962	3617	1994-06-09	VYDAJ	VYBER	17920	36611	\N	\N	\N
1057963	3617	1995-06-23	VYDAJ	VYBER	13440	34949	\N	\N	\N
1057964	3617	1996-06-03	VYDAJ	VYBER	20800	38026	\N	\N	\N
1057965	3617	1997-06-28	VYDAJ	VYBER	14080	59466	\N	\N	\N
1057966	3617	1998-06-19	VYDAJ	VYBER	20960	84447	\N	\N	\N
1057968	3617	1994-12-18	VYDAJ	VYBER	1760	43483	\N	\N	\N
1057969	3617	1995-12-20	VYDAJ	VYBER	3840	67248	\N	\N	\N
1057970	3617	1996-12-03	VYDAJ	VYBER	4480	65385	\N	\N	\N
1057971	3617	1997-12-24	VYDAJ	VYBER	2880	71341	\N	\N	\N
1057972	3617	1998-12-29	VYDAJ	VYBER	4160	91619	\N	\N	\N
1057985	3617	1995-01-04	VYDAJ	VYBER	2520	41139	\N	\N	\N
1057986	3617	1995-01-05	VYDAJ	VYBER	1320	39819	\N	\N	\N
1057987	3617	1995-01-23	VYDAJ	VYBER	2640	33293	\N	\N	\N
1057988	3617	1995-01-16	VYDAJ	VYBER	1320	35933	\N	\N	\N
1057989	3617	1995-01-30	VYDAJ	VYBER	2520	30773	\N	\N	\N
1057990	3617	1995-01-08	VYDAJ	VYBER	2160	53996	\N	\N	\N
1057991	3617	1996-01-27	VYDAJ	VYBER	840	57104	\N	\N	\N
1057992	3617	1996-01-08	VYDAJ	VYBER	1080	64667	\N	\N	\N
1057993	3617	1996-01-05	VYDAJ	VYBER	1920	49410	\N	\N	\N
1057994	3617	1996-01-18	VYDAJ	VYBER	3480	57944	\N	\N	\N
1057995	3617	1996-01-01	VYDAJ	VYBER	2040	60430	\N	\N	\N
1057996	3617	1996-01-29	VYDAJ	VYBER	1920	55184	\N	\N	\N
1057997	3617	1997-01-05	VYDAJ	VYBER	1560	73356	\N	\N	\N
1057998	3617	1997-01-06	VYDAJ	VYBER	1800	71556	\N	\N	\N
1057999	3617	1997-01-04	VYDAJ	VYBER	1560	74916	\N	\N	\N
1058000	3617	1997-01-10	VYDAJ	VYBER	2640	82010	\N	\N	\N
1058001	3617	1997-01-17	VYDAJ	VYBER	2400	79610	\N	\N	\N
1058002	3617	1997-01-18	VYDAJ	VYBER	3240	76370	\N	\N	\N
1058003	3617	1998-01-11	VYDAJ	VYBER	1920	81608	\N	\N	\N
1058004	3617	1998-01-27	VYDAJ	VYBER	3000	74988	\N	\N	\N
1058005	3617	1998-01-08	VYDAJ	VYBER	1200	86771	\N	\N	\N
1058006	3617	1998-01-14	VYDAJ	VYBER	3360	78248	\N	\N	\N
1058007	3617	1998-01-17	VYDAJ	VYBER	1680	76568	\N	\N	\N
1058008	3617	1998-01-18	VYDAJ	VYBER	2880	73688	\N	\N	\N
1058016	3617	1994-06-01	VYDAJ	VYBER	4920	31823	\N	\N	\N
1058017	3617	1994-11-17	VYDAJ	VYBER	3360	36231	\N	\N	\N
1058019	3617	1994-07-14	VYDAJ	VYBER	4320	32067	\N	\N	\N
1058020	3617	1994-04-15	VYDAJ	VYBER	4440	34955	\N	\N	\N
1058021	3617	1995-07-11	VYDAJ	VYBER	4560	34647	\N	\N	\N
1058022	3617	1995-03-25	VYDAJ	VYBER	1920	37113	\N	\N	\N
1058023	3617	1995-05-17	VYDAJ	VYBER	3840	39971	\N	\N	\N
1058024	3617	1995-07-28	VYDAJ	VYBER	2160	32487	\N	\N	\N
1058025	3617	1995-11-06	VYDAJ	VYBER	2880	48691	\N	\N	\N
1058026	3617	1995-12-23	VYDAJ	VYBER	5040	62208	\N	\N	\N
1058027	3617	1996-02-06	VYDAJ	VYBER	2160	43954	\N	\N	\N
1058028	3617	1996-09-11	VYDAJ	VYBER	600	73416	\N	\N	\N
1058029	3617	1996-08-30	VYDAJ	VYBER	4200	64654	\N	\N	\N
1058030	3617	1996-02-17	VYDAJ	VYBER	3360	53688	\N	\N	\N
1058031	3617	1996-05-12	VYDAJ	VYBER	3360	69746	\N	\N	\N
1058032	3617	1997-02-26	VYDAJ	VYBER	4680	81095	\N	\N	\N
1058033	3617	1997-07-25	VYDAJ	VYBER	2760	70132	\N	\N	\N
1058034	3617	1997-04-22	VYDAJ	VYBER	5280	80214	\N	\N	\N
1058035	3617	1997-03-31	VYDAJ	VYBER	4440	72400	\N	\N	\N
1058036	3617	1997-09-07	VYDAJ	VYBER	4200	84235	\N	\N	\N
1058037	3617	1997-06-18	VYDAJ	VYBER	5160	90146	\N	\N	\N
1058038	3617	1998-12-17	VYDAJ	VYBER	2400	109679	\N	\N	\N
1058039	3617	1998-11-03	VYDAJ	VYBER	2640	85653	\N	\N	\N
1058040	3617	1998-10-20	VYDAJ	VYBER	5520	87941	\N	\N	\N
1058041	3617	1998-07-01	VYDAJ	VYBER	5040	81470	\N	\N	\N
1058042	3617	1998-02-27	VYDAJ	VYBER	1080	86302	\N	\N	\N
1058059	3617	1994-04-30	VYDAJ	VYBER	15	35104	SLUZBY	\N	\N
1058060	3617	1994-05-31	VYDAJ	VYBER	15	36743	SLUZBY	\N	\N
1058061	3617	1994-06-30	VYDAJ	VYBER	15	29493	SLUZBY	\N	\N
1058062	3617	1994-07-31	VYDAJ	VYBER	15	32189	SLUZBY	\N	\N
1058063	3617	1994-08-31	VYDAJ	VYBER	15	35617	SLUZBY	\N	\N
1058064	3617	1994-09-30	VYDAJ	VYBER	15	36551	SLUZBY	\N	\N
1058065	3617	1994-10-31	VYDAJ	VYBER	15	40697	SLUZBY	\N	\N
1058066	3617	1994-11-30	VYDAJ	VYBER	15	36380	SLUZBY	\N	\N
1058067	3617	1994-12-31	VYDAJ	VYBER	15	43659	SLUZBY	\N	\N
1058068	3617	1995-01-31	VYDAJ	VYBER	15	30915	SLUZBY	\N	\N
1058069	3617	1995-02-28	VYDAJ	VYBER	15	35739	SLUZBY	\N	\N
1058070	3617	1995-03-31	VYDAJ	VYBER	15	37277	SLUZBY	\N	\N
1058071	3617	1995-04-30	VYDAJ	VYBER	15	38817	SLUZBY	\N	\N
1058072	3617	1995-05-31	VYDAJ	VYBER	15	40127	SLUZBY	\N	\N
1058073	3617	1995-06-30	VYDAJ	VYBER	15	35113	SLUZBY	\N	\N
1058074	3617	1995-07-31	VYDAJ	VYBER	15	32618	SLUZBY	\N	\N
1058075	3617	1995-08-31	VYDAJ	VYBER	15	40762	SLUZBY	\N	\N
1058076	3617	1995-09-30	VYDAJ	VYBER	15	52049	SLUZBY	\N	\N
1058077	3617	1995-10-31	VYDAJ	VYBER	15	59771	SLUZBY	\N	\N
1058078	3617	1995-11-30	VYDAJ	VYBER	15	62025	SLUZBY	\N	\N
1058079	3617	1995-12-31	VYDAJ	VYBER	15	62470	SLUZBY	\N	\N
1058080	3617	1996-01-31	VYDAJ	VYBER	15	55414	SLUZBY	\N	\N
1058081	3617	1996-02-29	VYDAJ	VYBER	15	53902	SLUZBY	\N	\N
1058082	3617	1996-03-31	VYDAJ	VYBER	15	64641	SLUZBY	\N	\N
1058083	3617	1996-04-30	VYDAJ	VYBER	15	71712	SLUZBY	\N	\N
1058084	3617	1996-05-31	VYDAJ	VYBER	15	70026	SLUZBY	\N	\N
1058085	3617	1996-06-30	VYDAJ	VYBER	15	59512	SLUZBY	\N	\N
1058086	3617	1996-07-31	VYDAJ	VYBER	15	65960	SLUZBY	\N	\N
1058087	3617	1996-08-31	VYDAJ	VYBER	15	64922	SLUZBY	\N	\N
1058088	3617	1996-09-30	VYDAJ	VYBER	15	73691	SLUZBY	\N	\N
1058089	3617	1996-10-31	VYDAJ	VYBER	15	66872	SLUZBY	\N	\N
1058090	3617	1996-11-30	VYDAJ	VYBER	15	69865	SLUZBY	\N	\N
1058091	3617	1996-12-31	VYDAJ	VYBER	15	76476	SLUZBY	\N	\N
1058092	3617	1997-01-31	VYDAJ	VYBER	15	72681	SLUZBY	\N	\N
1058093	3617	1997-02-28	VYDAJ	VYBER	15	74716	SLUZBY	\N	\N
1058094	3617	1997-03-31	VYDAJ	VYBER	15	76840	SLUZBY	\N	\N
1058095	3617	1997-04-30	VYDAJ	VYBER	15	72629	SLUZBY	\N	\N
1058096	3617	1997-05-31	VYDAJ	VYBER	15	74043	SLUZBY	\N	\N
1058097	3617	1997-06-30	VYDAJ	VYBER	15	59798	SLUZBY	\N	\N
1058098	3617	1997-07-31	VYDAJ	VYBER	15	69401	SLUZBY	\N	\N
1058099	3617	1997-08-31	VYDAJ	VYBER	15	72098	SLUZBY	\N	\N
1058100	3617	1997-09-30	VYDAJ	VYBER	15	73699	SLUZBY	\N	\N
1058101	3617	1997-10-31	VYDAJ	VYBER	15	79717	SLUZBY	\N	\N
1058102	3617	1997-11-30	VYDAJ	VYBER	15	86358	SLUZBY	\N	\N
1058103	3617	1997-12-31	VYDAJ	VYBER	15	71634	SLUZBY	\N	\N
1058104	3617	1998-01-31	VYDAJ	VYBER	15	75288	SLUZBY	\N	\N
1058105	3617	1998-02-28	VYDAJ	VYBER	15	86635	SLUZBY	\N	\N
1058106	3617	1998-03-31	VYDAJ	VYBER	15	93906	SLUZBY	\N	\N
1058107	3617	1998-04-30	VYDAJ	VYBER	15	102907	SLUZBY	\N	\N
1058108	3617	1998-05-31	VYDAJ	VYBER	15	84144	SLUZBY	\N	\N
1058109	3617	1998-06-30	VYDAJ	VYBER	15	86510	SLUZBY	\N	\N
1058110	3617	1998-07-31	VYDAJ	VYBER	15	97036	SLUZBY	\N	\N
1058111	3617	1998-08-31	VYDAJ	VYBER	15	103645	SLUZBY	\N	\N
1058112	3617	1998-09-30	VYDAJ	VYBER	15	79467	SLUZBY	\N	\N
1058113	3617	1998-10-31	VYDAJ	VYBER	15	88293	SLUZBY	\N	\N
1058114	3617	1998-11-30	VYDAJ	VYBER	15	90817	SLUZBY	\N	\N
1058115	3617	1993-12-15	VYDAJ	VYBER	1900	23706	\N	\N	\N
1058116	3617	1994-01-14	VYDAJ	VYBER	6100	33997	\N	\N	\N
1058117	3617	1994-02-13	VYDAJ	VYBER	13700	36757	\N	\N	\N
1058118	3617	1994-03-15	VYDAJ	VYBER	14000	39243	\N	\N	\N
1058119	3617	1994-04-14	VYDAJ	VYBER	13100	39395	\N	\N	\N
1058120	3617	1994-05-14	VYDAJ	VYBER	11600	36598	\N	\N	\N
1058121	3617	1994-06-13	VYDAJ	VYBER	5800	29365	\N	\N	\N
1058122	3617	1994-07-13	VYDAJ	VYBER	6200	36387	\N	\N	\N
1058123	3617	1994-08-12	VYDAJ	VYBER	9800	35483	\N	\N	\N
1058124	3617	1994-09-11	VYDAJ	VYBER	12300	36411	\N	\N	\N
1058125	3617	1994-10-11	VYDAJ	VYBER	9100	40545	\N	\N	\N
1058126	3617	1994-11-10	VYDAJ	VYBER	14200	40980	\N	\N	\N
1058127	3617	1994-12-10	VYDAJ	VYBER	12400	45243	\N	\N	\N
1058128	3617	1995-01-09	VYDAJ	VYBER	13500	40496	\N	\N	\N
1058129	3617	1995-02-08	VYDAJ	VYBER	8400	38852	\N	\N	\N
1058130	3617	1995-03-10	VYDAJ	VYBER	9800	39033	\N	\N	\N
1058131	3617	1995-04-09	VYDAJ	VYBER	11700	40060	\N	\N	\N
1058132	3617	1995-05-09	VYDAJ	VYBER	8100	45200	\N	\N	\N
1058133	3617	1995-06-08	VYDAJ	VYBER	13000	51632	\N	\N	\N
1058134	3617	1995-07-08	VYDAJ	VYBER	9000	42450	\N	\N	\N
1058135	3617	1995-08-07	VYDAJ	VYBER	5100	43855	\N	\N	\N
1058136	3617	1995-09-06	VYDAJ	VYBER	2000	38762	\N	\N	\N
1058137	3617	1995-10-06	VYDAJ	VYBER	5600	46449	\N	\N	\N
1058138	3617	1995-11-05	VYDAJ	VYBER	8200	51571	\N	\N	\N
1058139	3617	1995-12-05	VYDAJ	VYBER	12200	49825	\N	\N	\N
1058140	3617	1996-01-04	VYDAJ	VYBER	9100	51330	\N	\N	\N
1058141	3617	1996-02-03	VYDAJ	VYBER	9300	46114	\N	\N	\N
1058142	3617	1996-03-04	VYDAJ	VYBER	2600	51302	\N	\N	\N
1058143	3617	1996-04-03	VYDAJ	VYBER	6300	58341	\N	\N	\N
1058144	3617	1996-05-03	VYDAJ	VYBER	11700	60012	\N	\N	\N
1058145	3617	1996-06-02	VYDAJ	VYBER	11200	58826	\N	\N	\N
1058146	3617	1996-07-02	VYDAJ	VYBER	6900	52612	\N	\N	\N
1058147	3617	1996-08-01	VYDAJ	VYBER	10200	55760	\N	\N	\N
1058148	3617	1996-08-31	VYDAJ	VYBER	4000	60922	\N	\N	\N
1058149	3617	1996-09-30	VYDAJ	VYBER	10200	63491	\N	\N	\N
1058150	3617	1996-10-30	VYDAJ	VYBER	10000	66585	\N	\N	\N
1058151	3617	1996-11-29	VYDAJ	VYBER	10400	69566	\N	\N	\N
1058152	3617	1996-12-29	VYDAJ	VYBER	10500	76148	\N	\N	\N
1058153	3617	1997-01-28	VYDAJ	VYBER	4000	72370	\N	\N	\N
1058154	3617	1997-02-27	VYDAJ	VYBER	6700	74395	\N	\N	\N
1058155	3617	1997-03-29	VYDAJ	VYBER	11300	76510	\N	\N	\N
1058156	3617	1997-04-28	VYDAJ	VYBER	7900	72314	\N	\N	\N
1058157	3617	1997-05-28	VYDAJ	VYBER	12000	73723	\N	\N	\N
1058158	3617	1997-06-27	VYDAJ	VYBER	16600	73546	\N	\N	\N
1058159	3617	1997-07-27	VYDAJ	VYBER	1000	69132	\N	\N	\N
1058160	3617	1997-08-26	VYDAJ	VYBER	10700	71795	\N	\N	\N
1058161	3617	1997-09-25	VYDAJ	VYBER	7600	73392	\N	\N	\N
1058162	3617	1997-10-25	VYDAJ	VYBER	7400	79393	\N	\N	\N
1058163	3617	1997-11-24	VYDAJ	VYBER	6800	86011	\N	\N	\N
1058164	3617	1997-12-09	VYDAJ	VYBER	37300	73564	\N	\N	\N
1058165	3617	1997-12-24	PRIJEM	VKLAD	3900	74221	\N	\N	\N
1058166	3617	1998-01-23	PRIJEM	VKLAD	4300	77988	\N	\N	\N
1058167	3617	1998-02-22	VYDAJ	VYBER	1000	87382	\N	\N	\N
1058168	3617	1998-03-24	VYDAJ	VYBER	6200	93529	\N	\N	\N
1058169	3617	1998-04-23	VYDAJ	VYBER	4500	102500	\N	\N	\N
1058170	3617	1998-05-07	VYDAJ	VYBER	38600	80644	\N	\N	\N
1058171	3617	1998-05-23	PRIJEM	VKLAD	6400	83801	\N	\N	\N
1058172	3617	1998-06-22	PRIJEM	VKLAD	1700	86147	\N	\N	\N
1058173	3617	1998-07-22	PRIJEM	VKLAD	2100	96664	\N	\N	\N
1058174	3617	1998-08-21	VYDAJ	VYBER	6900	103230	\N	\N	\N
1058175	3617	1998-09-07	VYDAJ	VYBER	46900	73082	\N	\N	\N
1058176	3617	1998-09-20	PRIJEM	VKLAD	9300	79139	\N	\N	\N
1058177	3617	1998-10-20	PRIJEM	VKLAD	900	93461	\N	\N	\N
1058178	3617	1998-11-19	VYDAJ	VYBER	8300	90447	\N	\N	\N
1058179	3617	1998-12-19	VYDAJ	VYBER	13900	95779	\N	\N	\N
1058241	3618	1993-09-29	PRIJEM	VKLAD	700	700	\N	\N	\N
1058251	3618	1993-10-13	PRIJEM	VKLAD	16937	17637	\N	\N	\N
1058252	3618	1993-11-13	PRIJEM	VKLAD	16937	39783	\N	\N	\N
1058253	3618	1993-12-13	PRIJEM	VKLAD	25406	55287	\N	\N	\N
1058254	3618	1994-01-13	PRIJEM	VKLAD	16937	54653	\N	\N	\N
1058255	3618	1994-02-13	PRIJEM	VKLAD	16937	56447	\N	\N	\N
1058256	3618	1994-03-13	PRIJEM	VKLAD	16937	45795	\N	\N	\N
1058257	3618	1994-04-13	PRIJEM	VKLAD	16937	44649	\N	\N	\N
1058258	3618	1994-05-13	PRIJEM	VKLAD	16937	42236	\N	\N	\N
1058259	3618	1994-06-13	PRIJEM	VKLAD	25406	46939	\N	\N	\N
1058260	3618	1994-07-13	PRIJEM	VKLAD	16937	40501	\N	\N	\N
1058261	3618	1994-08-13	PRIJEM	VKLAD	16937	39934	\N	\N	\N
1058262	3618	1994-09-13	PRIJEM	VKLAD	16937	42864	\N	\N	\N
1058263	3618	1994-10-13	PRIJEM	VKLAD	16937	41901	\N	\N	\N
1058264	3618	1994-11-13	PRIJEM	VKLAD	16937	41476	\N	\N	\N
1058265	3618	1994-12-13	PRIJEM	VKLAD	25406	51779	\N	\N	\N
1058266	3618	1995-01-13	PRIJEM	VKLAD	16937	42555	\N	\N	\N
1058267	3618	1995-02-13	PRIJEM	VKLAD	16937	43412	\N	\N	\N
1058268	3618	1995-03-13	PRIJEM	VKLAD	16937	42429	\N	\N	\N
1058269	3618	1995-04-13	PRIJEM	VKLAD	16937	45167	\N	\N	\N
1058270	3618	1995-05-13	PRIJEM	VKLAD	16937	42488	\N	\N	\N
1058271	3618	1995-06-13	PRIJEM	VKLAD	25406	49665	\N	\N	\N
1058272	3618	1995-07-13	PRIJEM	VKLAD	16937	45308	\N	\N	\N
1058273	3618	1995-08-13	PRIJEM	VKLAD	16937	45853	\N	\N	\N
1058274	3618	1995-09-13	PRIJEM	VKLAD	16937	44096	\N	\N	\N
1058275	3618	1995-10-13	PRIJEM	VKLAD	16937	44134	\N	\N	\N
1058276	3618	1995-11-13	PRIJEM	VKLAD	16937	42869	\N	\N	\N
1058277	3618	1995-12-13	PRIJEM	VKLAD	25406	46787	\N	\N	\N
1058278	3618	1996-01-13	PRIJEM	VKLAD	16937	32636	\N	\N	\N
1058279	3618	1996-02-13	PRIJEM	VKLAD	16937	37541	\N	\N	\N
1058280	3618	1996-03-13	PRIJEM	VKLAD	16937	40654	\N	\N	\N
1058281	3618	1996-04-13	PRIJEM	VKLAD	16937	42479	\N	\N	\N
1058282	3618	1996-05-13	PRIJEM	VKLAD	16937	44510	\N	\N	\N
1058283	3618	1996-06-13	PRIJEM	VKLAD	25406	58627	\N	\N	\N
1058284	3618	1996-07-13	PRIJEM	VKLAD	16937	54397	\N	\N	\N
1058285	3618	1996-08-13	PRIJEM	VKLAD	16937	48683	\N	\N	\N
1058286	3618	1996-09-13	PRIJEM	VKLAD	16937	49637	\N	\N	\N
1058287	3618	1996-10-13	PRIJEM	VKLAD	16937	52798	\N	\N	\N
1058288	3618	1996-11-13	PRIJEM	VKLAD	16937	53530	\N	\N	\N
1058289	3618	1996-12-13	PRIJEM	VKLAD	25406	70541	\N	\N	\N
1058290	3618	1997-01-13	PRIJEM	VKLAD	16937	67533	\N	\N	\N
1058291	3618	1997-02-13	PRIJEM	VKLAD	16937	64780	\N	\N	\N
1058292	3618	1997-03-13	PRIJEM	VKLAD	16937	68013	\N	\N	\N
1058293	3618	1997-04-13	PRIJEM	VKLAD	16937	75968	\N	\N	\N
1058294	3618	1997-05-13	PRIJEM	VKLAD	16937	79649	\N	\N	\N
1058295	3618	1997-06-13	PRIJEM	VKLAD	25406	91720	\N	\N	\N
1058296	3618	1997-07-13	PRIJEM	VKLAD	16937	76014	\N	\N	\N
1058297	3618	1997-08-13	PRIJEM	VKLAD	16937	77068	\N	\N	\N
1058298	3618	1997-09-13	PRIJEM	VKLAD	16937	78859	\N	\N	\N
1058299	3618	1997-10-13	PRIJEM	VKLAD	16937	75417	\N	\N	\N
1058300	3618	1997-11-13	PRIJEM	VKLAD	16937	75602	\N	\N	\N
1058301	3618	1997-12-13	PRIJEM	VKLAD	25406	81534	\N	\N	\N
1058302	3618	1998-01-13	PRIJEM	VKLAD	16937	79050	\N	\N	\N
1058303	3618	1998-02-13	PRIJEM	VKLAD	16937	68251	\N	\N	\N
1058304	3618	1998-03-13	PRIJEM	VKLAD	16937	72675	\N	\N	\N
1058305	3618	1998-04-13	PRIJEM	VKLAD	16937	79701	\N	\N	\N
1058306	3618	1998-05-13	PRIJEM	VKLAD	16937	86097	\N	\N	\N
1058307	3618	1998-06-13	PRIJEM	VKLAD	25406	90966	\N	\N	\N
1058308	3618	1998-07-13	PRIJEM	VKLAD	16937	74867	\N	\N	\N
1058309	3618	1998-08-13	PRIJEM	VKLAD	16937	84728	\N	\N	\N
1058310	3618	1998-09-13	PRIJEM	VKLAD	16937	92039	\N	\N	\N
1058311	3618	1998-10-13	PRIJEM	VKLAD	16937	89169	\N	\N	\N
1058312	3618	1998-11-13	PRIJEM	VKLAD	16937	86303	\N	\N	\N
1058313	3618	1998-12-13	PRIJEM	VKLAD	25406	97077	\N	\N	\N
1058328	3618	1994-03-06	VYDAJ	PREVOD NA UCET	8812	29684	SIPO	KL	91105961
1058329	3618	1994-04-06	VYDAJ	PREVOD NA UCET	8812	28538	SIPO	KL	91105961
1058330	3618	1994-05-06	VYDAJ	PREVOD NA UCET	8812	26125	SIPO	KL	91105961
1058331	3618	1994-06-06	VYDAJ	PREVOD NA UCET	8812	22359	SIPO	KL	91105961
1058332	3618	1994-07-06	VYDAJ	PREVOD NA UCET	8812	29670	SIPO	KL	91105961
1058333	3618	1994-08-06	VYDAJ	PREVOD NA UCET	8812	23823	SIPO	KL	91105961
1058334	3618	1994-09-06	VYDAJ	PREVOD NA UCET	8812	26753	SIPO	KL	91105961
1058335	3618	1994-10-06	VYDAJ	PREVOD NA UCET	8812	25790	SIPO	KL	91105961
1058336	3618	1994-11-06	VYDAJ	PREVOD NA UCET	8812	26325	SIPO	KL	91105961
1058337	3618	1994-12-06	VYDAJ	PREVOD NA UCET	8812	27199	SIPO	KL	91105961
1058338	3618	1995-01-06	VYDAJ	PREVOD NA UCET	8812	27164	SIPO	KL	91105961
1058339	3618	1995-02-06	VYDAJ	PREVOD NA UCET	8812	27301	SIPO	KL	91105961
1058340	3618	1995-03-06	VYDAJ	PREVOD NA UCET	8812	26318	SIPO	KL	91105961
1058341	3618	1995-04-06	VYDAJ	PREVOD NA UCET	8812	29056	SIPO	KL	91105961
1058342	3618	1995-05-06	VYDAJ	PREVOD NA UCET	8812	26377	SIPO	KL	91105961
1058343	3618	1995-06-06	VYDAJ	PREVOD NA UCET	8812	25085	SIPO	KL	91105961
1058344	3618	1995-07-06	VYDAJ	PREVOD NA UCET	8812	29197	SIPO	KL	91105961
1058345	3618	1995-08-06	VYDAJ	PREVOD NA UCET	8812	29742	SIPO	KL	91105961
1058346	3618	1995-09-06	VYDAJ	PREVOD NA UCET	8812	27985	SIPO	KL	91105961
1058347	3618	1995-10-06	VYDAJ	PREVOD NA UCET	8812	28023	SIPO	KL	91105961
1058348	3618	1995-11-06	VYDAJ	PREVOD NA UCET	8812	26758	SIPO	KL	91105961
1058349	3618	1995-12-06	VYDAJ	PREVOD NA UCET	8812	25087	SIPO	KL	91105961
1058350	3618	1996-01-06	VYDAJ	PREVOD NA UCET	8812	23605	SIPO	KL	91105961
1058351	3618	1996-02-06	VYDAJ	PREVOD NA UCET	8812	21430	SIPO	KL	91105961
1058352	3618	1996-03-06	VYDAJ	PREVOD NA UCET	8812	24543	SIPO	KL	91105961
1058353	3618	1996-04-06	VYDAJ	PREVOD NA UCET	8812	26368	SIPO	KL	91105961
1058354	3618	1996-05-06	VYDAJ	PREVOD NA UCET	8812	28399	SIPO	KL	91105961
1058355	3618	1996-06-06	VYDAJ	PREVOD NA UCET	8812	34047	SIPO	KL	91105961
1058356	3618	1996-07-06	VYDAJ	PREVOD NA UCET	8812	38286	SIPO	KL	91105961
1058357	3618	1996-08-06	VYDAJ	PREVOD NA UCET	8812	32572	SIPO	KL	91105961
1058358	3618	1996-09-06	VYDAJ	PREVOD NA UCET	8812	33526	SIPO	KL	91105961
1058359	3618	1996-10-06	VYDAJ	PREVOD NA UCET	8812	36687	SIPO	KL	91105961
1058360	3618	1996-11-06	VYDAJ	PREVOD NA UCET	8812	32619	SIPO	KL	91105961
1058361	3618	1996-12-06	VYDAJ	PREVOD NA UCET	8812	40461	SIPO	KL	91105961
1058362	3618	1997-01-06	VYDAJ	PREVOD NA UCET	8812	54522	SIPO	KL	91105961
1058363	3618	1997-02-06	VYDAJ	PREVOD NA UCET	8812	47669	SIPO	KL	91105961
1058364	3618	1997-03-06	VYDAJ	PREVOD NA UCET	8812	56202	SIPO	KL	91105961
1058365	3618	1997-04-06	VYDAJ	PREVOD NA UCET	8812	59457	SIPO	KL	91105961
1058366	3618	1997-05-06	VYDAJ	PREVOD NA UCET	8812	67438	SIPO	KL	91105961
1058367	3618	1997-06-06	VYDAJ	PREVOD NA UCET	8812	71140	SIPO	KL	91105961
1058368	3618	1997-07-06	VYDAJ	PREVOD NA UCET	8812	56303	SIPO	KL	91105961
1058369	3618	1997-08-06	VYDAJ	PREVOD NA UCET	8812	65557	SIPO	KL	91105961
1058370	3618	1997-09-06	VYDAJ	PREVOD NA UCET	8812	68548	SIPO	KL	91105961
1058371	3618	1997-10-06	VYDAJ	PREVOD NA UCET	8812	68306	SIPO	KL	91105961
1058372	3618	1997-11-06	VYDAJ	PREVOD NA UCET	8812	66891	SIPO	KL	91105961
1058373	3618	1997-12-06	VYDAJ	PREVOD NA UCET	8812	67074	SIPO	KL	91105961
1058374	3618	1998-01-06	VYDAJ	PREVOD NA UCET	8812	62939	SIPO	KL	91105961
1058375	3618	1998-02-06	VYDAJ	PREVOD NA UCET	8812	52140	SIPO	KL	91105961
1058376	3618	1998-03-06	VYDAJ	PREVOD NA UCET	8812	57764	SIPO	KL	91105961
1058377	3618	1998-04-06	VYDAJ	PREVOD NA UCET	8812	65030	SIPO	KL	91105961
1058378	3618	1998-05-06	VYDAJ	PREVOD NA UCET	8812	69986	SIPO	KL	91105961
1058379	3618	1998-06-06	VYDAJ	PREVOD NA UCET	8812	71906	SIPO	KL	91105961
1058380	3618	1998-07-06	VYDAJ	PREVOD NA UCET	8812	58756	SIPO	KL	91105961
1058381	3618	1998-08-06	VYDAJ	PREVOD NA UCET	8812	68617	SIPO	KL	91105961
1058382	3618	1998-09-06	VYDAJ	PREVOD NA UCET	8812	75928	SIPO	KL	91105961
1058383	3618	1998-10-06	VYDAJ	PREVOD NA UCET	8812	73058	SIPO	KL	91105961
1058384	3618	1998-11-06	VYDAJ	PREVOD NA UCET	8812	70192	SIPO	KL	91105961
1058385	3618	1998-12-06	VYDAJ	PREVOD NA UCET	8812	72497	SIPO	KL	91105961
1058400	3618	1994-03-09	VYDAJ	PREVOD NA UCET	826	28858	 	CD	40253979
1058401	3618	1994-04-09	VYDAJ	PREVOD NA UCET	826	27712	 	CD	40253979
1058402	3618	1994-05-09	VYDAJ	PREVOD NA UCET	826	25299	 	CD	40253979
1058403	3618	1994-06-09	VYDAJ	PREVOD NA UCET	826	21533	 	CD	40253979
1058404	3618	1994-07-09	VYDAJ	PREVOD NA UCET	826	23564	 	CD	40253979
1058405	3618	1994-08-09	VYDAJ	PREVOD NA UCET	826	22997	 	CD	40253979
1058406	3618	1994-09-09	VYDAJ	PREVOD NA UCET	826	25927	 	CD	40253979
1058407	3618	1994-10-09	VYDAJ	PREVOD NA UCET	826	24964	 	CD	40253979
1058408	3618	1994-11-09	VYDAJ	PREVOD NA UCET	826	25499	 	CD	40253979
1058409	3618	1994-12-09	VYDAJ	PREVOD NA UCET	826	26373	 	CD	40253979
1058410	3618	1995-01-09	VYDAJ	PREVOD NA UCET	826	26338	 	CD	40253979
1058411	3618	1995-02-09	VYDAJ	PREVOD NA UCET	826	26475	 	CD	40253979
1058412	3618	1995-03-09	VYDAJ	PREVOD NA UCET	826	25492	 	CD	40253979
1058413	3618	1995-04-09	VYDAJ	PREVOD NA UCET	826	28230	 	CD	40253979
1058414	3618	1995-05-09	VYDAJ	PREVOD NA UCET	826	25551	 	CD	40253979
1058415	3618	1995-06-09	VYDAJ	PREVOD NA UCET	826	24259	 	CD	40253979
1058416	3618	1995-07-09	VYDAJ	PREVOD NA UCET	826	28371	 	CD	40253979
1058417	3618	1995-08-09	VYDAJ	PREVOD NA UCET	826	28916	 	CD	40253979
1058418	3618	1995-09-09	VYDAJ	PREVOD NA UCET	826	27159	 	CD	40253979
1058419	3618	1995-10-09	VYDAJ	PREVOD NA UCET	826	27197	 	CD	40253979
1058420	3618	1995-11-09	VYDAJ	PREVOD NA UCET	826	25932	 	CD	40253979
1058421	3618	1995-12-09	VYDAJ	PREVOD NA UCET	826	21381	 	CD	40253979
1058422	3618	1996-01-09	VYDAJ	PREVOD NA UCET	826	15699	 	CD	40253979
1058423	3618	1996-02-09	VYDAJ	PREVOD NA UCET	826	20604	 	CD	40253979
1058424	3618	1996-03-09	VYDAJ	PREVOD NA UCET	826	23717	 	CD	40253979
1058425	3618	1996-04-09	VYDAJ	PREVOD NA UCET	826	25542	 	CD	40253979
1058426	3618	1996-05-09	VYDAJ	PREVOD NA UCET	826	27573	 	CD	40253979
1058427	3618	1996-06-09	VYDAJ	PREVOD NA UCET	826	33221	 	CD	40253979
1058428	3618	1996-07-09	VYDAJ	PREVOD NA UCET	826	37460	 	CD	40253979
1058429	3618	1996-08-09	VYDAJ	PREVOD NA UCET	826	31746	 	CD	40253979
1058430	3618	1996-09-09	VYDAJ	PREVOD NA UCET	826	32700	 	CD	40253979
1058431	3618	1996-10-09	VYDAJ	PREVOD NA UCET	826	35861	 	CD	40253979
1058432	3618	1996-11-09	VYDAJ	PREVOD NA UCET	826	31793	 	CD	40253979
1058433	3618	1996-12-09	VYDAJ	PREVOD NA UCET	826	39635	 	CD	40253979
1058434	3618	1997-01-09	VYDAJ	PREVOD NA UCET	826	53696	 	CD	40253979
1058435	3618	1997-02-09	VYDAJ	PREVOD NA UCET	826	46843	 	CD	40253979
1058436	3618	1997-03-09	VYDAJ	PREVOD NA UCET	826	55376	 	CD	40253979
1058437	3618	1997-04-09	VYDAJ	PREVOD NA UCET	826	58631	 	CD	40253979
1058438	3618	1997-05-09	VYDAJ	PREVOD NA UCET	826	66612	 	CD	40253979
1058439	3618	1997-06-09	VYDAJ	PREVOD NA UCET	826	70314	 	CD	40253979
1058440	3618	1997-07-09	VYDAJ	PREVOD NA UCET	826	55477	 	CD	40253979
1058441	3618	1997-08-09	VYDAJ	PREVOD NA UCET	826	60131	 	CD	40253979
1058442	3618	1997-09-09	VYDAJ	PREVOD NA UCET	826	61922	 	CD	40253979
1058443	3618	1997-10-09	VYDAJ	PREVOD NA UCET	826	58480	 	CD	40253979
1058444	3618	1997-11-09	VYDAJ	PREVOD NA UCET	826	58665	 	CD	40253979
1058445	3618	1997-12-09	VYDAJ	PREVOD NA UCET	826	57248	 	CD	40253979
1058446	3618	1998-01-09	VYDAJ	PREVOD NA UCET	826	62113	 	CD	40253979
1058447	3618	1998-02-09	VYDAJ	PREVOD NA UCET	826	51314	 	CD	40253979
1058448	3618	1998-03-09	VYDAJ	PREVOD NA UCET	826	55738	 	CD	40253979
1058449	3618	1998-04-09	VYDAJ	PREVOD NA UCET	826	64204	 	CD	40253979
1058450	3618	1998-05-09	VYDAJ	PREVOD NA UCET	826	69160	 	CD	40253979
1058451	3618	1998-06-09	VYDAJ	PREVOD NA UCET	826	71080	 	CD	40253979
1058452	3618	1998-07-09	VYDAJ	PREVOD NA UCET	826	57930	 	CD	40253979
1058453	3618	1998-08-09	VYDAJ	PREVOD NA UCET	826	67791	 	CD	40253979
1058454	3618	1998-09-09	VYDAJ	PREVOD NA UCET	826	75102	 	CD	40253979
1058455	3618	1998-10-09	VYDAJ	PREVOD NA UCET	826	72232	 	CD	40253979
1058456	3618	1998-11-09	VYDAJ	PREVOD NA UCET	826	69366	 	CD	40253979
1058457	3618	1998-12-09	VYDAJ	PREVOD NA UCET	826	71671	 	CD	40253979
1058462	3618	1997-06-14	VYDAJ	VYBER	26880	64840	\N	\N	\N
1058463	3618	1998-06-24	VYDAJ	VYBER	35360	55606	\N	\N	\N
1058465	3618	1994-12-25	VYDAJ	VYBER	1280	40499	\N	\N	\N
1058466	3618	1995-12-08	VYDAJ	VYBER	2880	22207	\N	\N	\N
1058467	3618	1996-12-20	VYDAJ	VYBER	2880	67661	\N	\N	\N
1058468	3618	1997-12-10	VYDAJ	VYBER	1120	56128	\N	\N	\N
1058469	3618	1998-12-01	VYDAJ	VYBER	1920	84709	\N	\N	\N
1058482	3618	1995-01-16	VYDAJ	VYBER	1080	41475	\N	\N	\N
1058483	3618	1995-01-18	VYDAJ	VYBER	3000	38475	\N	\N	\N
1058484	3618	1995-01-10	VYDAJ	VYBER	720	25618	\N	\N	\N
1058485	3618	1995-01-06	VYDAJ	VYBER	600	35976	\N	\N	\N
1058486	3618	1995-01-04	VYDAJ	VYBER	2880	37776	\N	\N	\N
1058487	3618	1995-01-05	VYDAJ	VYBER	1200	36576	\N	\N	\N
1058488	3618	1996-01-09	VYDAJ	VYBER	2040	16525	\N	\N	\N
1058489	3618	1996-01-03	VYDAJ	VYBER	600	32417	\N	\N	\N
1058490	3618	1996-01-02	VYDAJ	VYBER	3000	33017	\N	\N	\N
1058491	3618	1996-01-09	VYDAJ	VYBER	2160	18565	\N	\N	\N
1058493	3618	1996-01-09	VYDAJ	VYBER	2880	20725	\N	\N	\N
1058494	3618	1997-01-28	VYDAJ	VYBER	1560	56253	\N	\N	\N
1058495	3618	1997-01-14	VYDAJ	VYBER	2040	65493	\N	\N	\N
1058496	3618	1997-01-15	VYDAJ	VYBER	1560	60693	\N	\N	\N
1058497	3618	1997-01-03	VYDAJ	VYBER	720	67174	\N	\N	\N
1058498	3618	1997-01-17	VYDAJ	VYBER	2880	57813	\N	\N	\N
1058499	3618	1997-01-14	VYDAJ	VYBER	3240	62253	\N	\N	\N
1058500	3618	1998-01-04	VYDAJ	VYBER	3480	76551	\N	\N	\N
1058501	3618	1998-01-13	VYDAJ	VYBER	3480	75570	\N	\N	\N
1058502	3618	1998-01-20	VYDAJ	VYBER	3000	69810	\N	\N	\N
1058503	3618	1998-01-01	VYDAJ	VYBER	1800	80031	\N	\N	\N
1058504	3618	1998-01-21	VYDAJ	VYBER	2040	67770	\N	\N	\N
1058505	3618	1998-01-13	VYDAJ	VYBER	2760	72810	\N	\N	\N
1058509	3618	1994-07-08	VYDAJ	VYBER	5280	24390	\N	\N	\N
1058510	3618	1994-04-26	VYDAJ	VYBER	5160	39489	\N	\N	\N
1058511	3618	1994-11-10	VYDAJ	VYBER	960	24539	\N	\N	\N
1058513	3618	1994-05-22	VYDAJ	VYBER	3000	39236	\N	\N	\N
1058514	3618	1995-04-19	VYDAJ	VYBER	2520	42647	\N	\N	\N
1058515	3618	1995-05-15	VYDAJ	VYBER	4920	37568	\N	\N	\N
1058516	3618	1995-02-22	VYDAJ	VYBER	3720	34992	\N	\N	\N
1058517	3618	1996-10-23	VYDAJ	VYBER	3840	41258	\N	\N	\N
1058518	3618	1996-07-14	VYDAJ	VYBER	3840	50557	\N	\N	\N
1058519	3618	1996-08-06	VYDAJ	VYBER	1440	41384	\N	\N	\N
1058520	3618	1996-12-04	VYDAJ	VYBER	4440	49273	\N	\N	\N
1058521	3618	1997-01-04	VYDAJ	VYBER	3840	63334	\N	\N	\N
1058522	3618	1997-10-02	VYDAJ	VYBER	2040	77118	\N	\N	\N
1058523	3618	1997-07-17	VYDAJ	VYBER	1920	74094	\N	\N	\N
1058524	3618	1998-09-14	VYDAJ	VYBER	5400	86639	\N	\N	\N
1058525	3618	1998-04-11	VYDAJ	VYBER	1440	62764	\N	\N	\N
1058526	3618	1998-02-15	VYDAJ	VYBER	1920	66331	\N	\N	\N
1058527	3618	1998-06-28	VYDAJ	VYBER	3240	52366	\N	\N	\N
1058528	3618	1998-06-12	VYDAJ	VYBER	5520	65560	\N	\N	\N
1058529	3618	1998-12-16	VYDAJ	VYBER	2160	94917	\N	\N	\N
1058544	3618	1994-02-28	VYDAJ	VYBER	15	38496	SLUZBY	\N	\N
1058545	3618	1994-03-31	VYDAJ	VYBER	15	37350	SLUZBY	\N	\N
1058546	3618	1994-04-30	VYDAJ	VYBER	15	34937	SLUZBY	\N	\N
1058547	3618	1994-05-31	VYDAJ	VYBER	15	31171	SLUZBY	\N	\N
1058548	3618	1994-06-30	VYDAJ	VYBER	15	38482	SLUZBY	\N	\N
1058549	3618	1994-07-31	VYDAJ	VYBER	15	32635	SLUZBY	\N	\N
1058550	3618	1994-08-31	VYDAJ	VYBER	15	35565	SLUZBY	\N	\N
1058551	3618	1994-09-30	VYDAJ	VYBER	15	34602	SLUZBY	\N	\N
1058552	3618	1994-10-31	VYDAJ	VYBER	15	35137	SLUZBY	\N	\N
1058553	3618	1994-11-30	VYDAJ	VYBER	15	36011	SLUZBY	\N	\N
1058554	3618	1994-12-31	VYDAJ	VYBER	15	40656	SLUZBY	\N	\N
1058555	3618	1995-01-31	VYDAJ	VYBER	15	36113	SLUZBY	\N	\N
1058556	3618	1995-02-28	VYDAJ	VYBER	15	35130	SLUZBY	\N	\N
1058557	3618	1995-03-31	VYDAJ	VYBER	15	37868	SLUZBY	\N	\N
1058558	3618	1995-04-30	VYDAJ	VYBER	15	35189	SLUZBY	\N	\N
1058559	3618	1995-05-31	VYDAJ	VYBER	15	33897	SLUZBY	\N	\N
1058560	3618	1995-06-30	VYDAJ	VYBER	15	38009	SLUZBY	\N	\N
1058561	3618	1995-07-31	VYDAJ	VYBER	15	38554	SLUZBY	\N	\N
1058562	3618	1995-08-31	VYDAJ	VYBER	15	36797	SLUZBY	\N	\N
1058563	3618	1995-09-30	VYDAJ	VYBER	15	36835	SLUZBY	\N	\N
1058564	3618	1995-10-31	VYDAJ	VYBER	15	35570	SLUZBY	\N	\N
1058565	3618	1995-11-30	VYDAJ	VYBER	15	33899	SLUZBY	\N	\N
1058566	3618	1995-12-31	VYDAJ	VYBER	15	36017	SLUZBY	\N	\N
1058567	3618	1996-01-31	VYDAJ	VYBER	15	30242	SLUZBY	\N	\N
1058568	3618	1996-02-29	VYDAJ	VYBER	15	33355	SLUZBY	\N	\N
1058569	3618	1996-03-31	VYDAJ	VYBER	15	35180	SLUZBY	\N	\N
1058570	3618	1996-04-30	VYDAJ	VYBER	15	37211	SLUZBY	\N	\N
1058571	3618	1996-05-31	VYDAJ	VYBER	15	42859	SLUZBY	\N	\N
1058572	3618	1996-06-30	VYDAJ	VYBER	15	47098	SLUZBY	\N	\N
1058573	3618	1996-07-31	VYDAJ	VYBER	15	42824	SLUZBY	\N	\N
1058574	3618	1996-08-31	VYDAJ	VYBER	15	42338	SLUZBY	\N	\N
1058575	3618	1996-09-30	VYDAJ	VYBER	15	45499	SLUZBY	\N	\N
1058576	3618	1996-10-31	VYDAJ	VYBER	15	41431	SLUZBY	\N	\N
1058577	3618	1996-11-30	VYDAJ	VYBER	15	53713	SLUZBY	\N	\N
1058578	3618	1996-12-31	VYDAJ	VYBER	15	67894	SLUZBY	\N	\N
1058579	3618	1997-01-31	VYDAJ	VYBER	15	56481	SLUZBY	\N	\N
1058580	3618	1997-02-28	VYDAJ	VYBER	15	65014	SLUZBY	\N	\N
1058581	3618	1997-03-31	VYDAJ	VYBER	15	68269	SLUZBY	\N	\N
1058582	3618	1997-04-30	VYDAJ	VYBER	15	76250	SLUZBY	\N	\N
1058583	3618	1997-05-31	VYDAJ	VYBER	15	79952	SLUZBY	\N	\N
1058584	3618	1997-06-30	VYDAJ	VYBER	15	65115	SLUZBY	\N	\N
1058585	3618	1997-07-31	VYDAJ	VYBER	15	74369	SLUZBY	\N	\N
1058586	3618	1997-08-31	VYDAJ	VYBER	15	77360	SLUZBY	\N	\N
1058587	3618	1997-09-30	VYDAJ	VYBER	15	79158	SLUZBY	\N	\N
1058588	3618	1997-10-31	VYDAJ	VYBER	15	75703	SLUZBY	\N	\N
1058589	3618	1997-11-30	VYDAJ	VYBER	15	75886	SLUZBY	\N	\N
1058590	3618	1997-12-31	VYDAJ	VYBER	15	81831	SLUZBY	\N	\N
1058591	3618	1998-01-31	VYDAJ	VYBER	15	68052	SLUZBY	\N	\N
1058592	3618	1998-02-28	VYDAJ	VYBER	15	66576	SLUZBY	\N	\N
1058593	3618	1998-03-31	VYDAJ	VYBER	15	72942	SLUZBY	\N	\N
1058594	3618	1998-04-30	VYDAJ	VYBER	15	79998	SLUZBY	\N	\N
1058595	3618	1998-05-31	VYDAJ	VYBER	15	86418	SLUZBY	\N	\N
1058596	3618	1998-06-30	VYDAJ	VYBER	15	52668	SLUZBY	\N	\N
1058597	3618	1998-07-31	VYDAJ	VYBER	15	75129	SLUZBY	\N	\N
1058598	3618	1998-08-31	VYDAJ	VYBER	15	85040	SLUZBY	\N	\N
1058599	3618	1998-09-30	VYDAJ	VYBER	15	86970	SLUZBY	\N	\N
1058600	3618	1998-10-31	VYDAJ	VYBER	15	89504	SLUZBY	\N	\N
1058601	3618	1998-11-30	VYDAJ	VYBER	15	86629	SLUZBY	\N	\N
1058602	3618	1993-10-29	PRIJEM	VKLAD	5200	22837	\N	\N	\N
1058603	3618	1993-11-28	VYDAJ	VYBER	10000	29783	\N	\N	\N
1058604	3618	1993-12-28	VYDAJ	VYBER	17700	37587	\N	\N	\N
1058605	3618	1994-01-27	VYDAJ	VYBER	15300	39353	\N	\N	\N
1058606	3618	1994-02-26	VYDAJ	VYBER	18100	38347	\N	\N	\N
1058607	3618	1994-03-28	VYDAJ	VYBER	8600	37195	\N	\N	\N
1058608	3618	1994-04-27	VYDAJ	VYBER	4700	34789	\N	\N	\N
1058609	3618	1994-05-27	VYDAJ	VYBER	8200	31036	\N	\N	\N
1058610	3618	1994-06-26	VYDAJ	VYBER	8600	38339	\N	\N	\N
1058611	3618	1994-07-26	VYDAJ	VYBER	8000	32501	\N	\N	\N
1058612	3618	1994-08-25	VYDAJ	VYBER	4500	35434	\N	\N	\N
1058613	3618	1994-09-24	VYDAJ	VYBER	8400	34464	\N	\N	\N
1058614	3618	1994-10-24	VYDAJ	VYBER	6900	35001	\N	\N	\N
1058615	3618	1994-11-23	VYDAJ	VYBER	5600	35876	\N	\N	\N
1058616	3618	1994-12-23	VYDAJ	VYBER	10000	41779	\N	\N	\N
1058617	3618	1995-01-22	VYDAJ	VYBER	2500	35975	\N	\N	\N
1058618	3618	1995-02-21	VYDAJ	VYBER	4700	38712	\N	\N	\N
1058619	3618	1995-03-23	VYDAJ	VYBER	4700	37729	\N	\N	\N
1058620	3618	1995-04-22	VYDAJ	VYBER	7600	35047	\N	\N	\N
1058621	3618	1995-05-22	VYDAJ	VYBER	3800	33768	\N	\N	\N
1058622	3618	1995-06-21	VYDAJ	VYBER	11800	37865	\N	\N	\N
1058623	3618	1995-07-21	VYDAJ	VYBER	6900	38408	\N	\N	\N
1058624	3618	1995-08-20	VYDAJ	VYBER	9200	36653	\N	\N	\N
1058625	3618	1995-09-19	VYDAJ	VYBER	7400	36696	\N	\N	\N
1058626	3618	1995-10-19	VYDAJ	VYBER	8700	35434	\N	\N	\N
1058627	3618	1995-11-18	VYDAJ	VYBER	9100	33769	\N	\N	\N
1058628	3618	1995-12-18	VYDAJ	VYBER	10900	35887	\N	\N	\N
1058629	3618	1996-01-17	VYDAJ	VYBER	2500	30136	\N	\N	\N
1058630	3618	1996-02-16	VYDAJ	VYBER	4300	33241	\N	\N	\N
1058631	3618	1996-03-17	VYDAJ	VYBER	5600	35054	\N	\N	\N
1058632	3618	1996-04-16	VYDAJ	VYBER	5400	37079	\N	\N	\N
1058633	3618	1996-05-16	VYDAJ	VYBER	1800	42710	\N	\N	\N
1058634	3618	1996-06-15	VYDAJ	VYBER	11700	46927	\N	\N	\N
1058635	3618	1996-07-15	VYDAJ	VYBER	7900	42657	\N	\N	\N
1058636	3618	1996-08-14	VYDAJ	VYBER	6500	42183	\N	\N	\N
1058637	3618	1996-09-13	VYDAJ	VYBER	4300	45337	\N	\N	\N
1058638	3618	1996-10-13	VYDAJ	VYBER	7700	45098	\N	\N	\N
1058639	3618	1996-11-12	PRIJEM	VKLAD	4800	36593	\N	\N	\N
1058640	3618	1996-12-12	PRIJEM	VKLAD	5500	45135	\N	\N	\N
1058641	3618	1997-01-11	VYDAJ	VYBER	3100	50596	\N	\N	\N
1058642	3618	1997-02-10	PRIJEM	VKLAD	1000	47843	\N	\N	\N
1058643	3618	1997-03-12	VYDAJ	VYBER	4300	51076	\N	\N	\N
1058644	3618	1997-04-11	PRIJEM	VKLAD	400	59031	\N	\N	\N
1058645	3618	1997-05-11	VYDAJ	VYBER	3900	62712	\N	\N	\N
1058646	3618	1997-06-10	VYDAJ	VYBER	4000	66314	\N	\N	\N
1058647	3618	1997-07-10	PRIJEM	VKLAD	3600	59077	\N	\N	\N
1058648	3618	1997-08-09	VYDAJ	VYBER	4600	60957	\N	\N	\N
1058649	3618	1997-09-08	VYDAJ	VYBER	5800	62748	\N	\N	\N
1058650	3618	1997-10-08	VYDAJ	VYBER	9000	59306	\N	\N	\N
1058651	3618	1997-11-07	VYDAJ	VYBER	7400	59491	\N	\N	\N
1058652	3618	1997-12-07	VYDAJ	VYBER	9000	58074	\N	\N	\N
1058653	3618	1998-01-06	VYDAJ	VYBER	4800	71751	\N	\N	\N
1058654	3618	1998-02-05	VYDAJ	VYBER	7100	60952	\N	\N	\N
1058655	3618	1998-03-07	VYDAJ	VYBER	1200	56564	\N	\N	\N
1058656	3618	1998-04-06	PRIJEM	VKLAD	900	73842	\N	\N	\N
1058657	3618	1998-05-06	VYDAJ	VYBER	1200	78798	\N	\N	\N
1058658	3618	1998-06-05	VYDAJ	VYBER	5700	80718	\N	\N	\N
1058659	3618	1998-07-05	PRIJEM	VKLAD	14900	67568	\N	\N	\N
1058660	3618	1998-08-04	PRIJEM	VKLAD	2300	77429	\N	\N	\N
1058661	3618	1998-09-03	VYDAJ	VYBER	300	84740	\N	\N	\N
1058662	3618	1998-10-03	VYDAJ	VYBER	5100	81870	\N	\N	\N
1058663	3618	1998-11-02	VYDAJ	VYBER	10500	79004	\N	\N	\N
1058664	3618	1998-12-02	VYDAJ	VYBER	3400	81309	\N	\N	\N
1059012	3620	1997-02-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1059013	3620	1997-07-25	PRIJEM	VKLAD	22206	48079	\N	\N	\N
1059014	3620	1997-08-22	PRIJEM	VKLAD	28736	70128	\N	\N	\N
1059015	3620	1998-04-08	PRIJEM	VKLAD	11490	23118	\N	\N	\N
1059016	3620	1998-11-27	PRIJEM	VKLAD	12097	27379	\N	\N	\N
1059018	3620	1997-02-13	PRIJEM	VKLAD	500	1500	\N	\N	\N
1059019	3620	1997-03-15	PRIJEM	VKLAD	500	14206	\N	\N	\N
1059020	3620	1997-04-14	PRIJEM	VKLAD	500	19048	\N	\N	\N
1059021	3620	1997-05-15	PRIJEM	VKLAD	500	21110	\N	\N	\N
1059022	3620	1997-06-15	PRIJEM	VKLAD	500	23986	\N	\N	\N
1059023	3620	1997-07-16	PRIJEM	VKLAD	500	24173	\N	\N	\N
1059024	3620	1997-08-15	PRIJEM	VKLAD	500	39692	\N	\N	\N
1059025	3620	1997-09-17	PRIJEM	VKLAD	500	45537	\N	\N	\N
1059026	3620	1997-10-15	PRIJEM	VKLAD	500	34970	\N	\N	\N
1059027	3620	1997-11-17	PRIJEM	VKLAD	500	29528	\N	\N	\N
1059028	3620	1997-12-15	PRIJEM	VKLAD	500	23605	\N	\N	\N
1059029	3620	1998-01-15	PRIJEM	VKLAD	500	16695	\N	\N	\N
1059030	3620	1998-02-14	PRIJEM	VKLAD	500	13649	\N	\N	\N
1059031	3620	1998-03-17	PRIJEM	VKLAD	500	11789	\N	\N	\N
1059032	3620	1998-04-14	PRIJEM	VKLAD	500	23618	\N	\N	\N
1059033	3620	1998-05-17	PRIJEM	VKLAD	500	16789	\N	\N	\N
1059034	3620	1998-06-14	PRIJEM	VKLAD	500	13259	\N	\N	\N
1059035	3620	1998-07-13	PRIJEM	VKLAD	500	13806	\N	\N	\N
1059036	3620	1998-08-13	PRIJEM	VKLAD	500	14347	\N	\N	\N
1059037	3620	1998-09-17	PRIJEM	VKLAD	500	14890	\N	\N	\N
1059038	3620	1998-10-13	PRIJEM	VKLAD	500	15435	\N	\N	\N
1059039	3620	1998-11-14	PRIJEM	VKLAD	500	15282	\N	\N	\N
1059040	3620	1998-12-16	PRIJEM	VKLAD	500	27933	\N	\N	\N
1059042	3620	1997-02-18	PRIJEM	VKLAD	1700	3200	\N	\N	\N
1059043	3620	1997-03-18	PRIJEM	VKLAD	1700	15906	\N	\N	\N
1059044	3620	1997-04-18	PRIJEM	VKLAD	1700	20748	\N	\N	\N
1059045	3620	1997-05-18	PRIJEM	VKLAD	1700	22810	\N	\N	\N
1059046	3620	1997-06-18	PRIJEM	VKLAD	1700	25686	\N	\N	\N
1059047	3620	1997-07-18	PRIJEM	VKLAD	1700	25873	\N	\N	\N
1059048	3620	1997-08-18	PRIJEM	VKLAD	1700	41392	\N	\N	\N
1059049	3620	1997-09-18	PRIJEM	VKLAD	1700	47237	\N	\N	\N
1059050	3620	1997-10-18	PRIJEM	VKLAD	1700	36670	\N	\N	\N
1059051	3620	1997-11-18	PRIJEM	VKLAD	1700	31228	\N	\N	\N
1059052	3620	1997-12-18	PRIJEM	VKLAD	1700	25305	\N	\N	\N
1059056	3620	1998-01-02	VYDAJ	VYBER	9900	17495	\N	\N	\N
1059061	3620	1997-12-30	VYDAJ	VYBER	1100	24205	\N	\N	\N
1059062	3620	1998-12-28	VYDAJ	VYBER	1700	26233	\N	\N	\N
1059069	3620	1998-01-20	VYDAJ	VYBER	700	15545	\N	\N	\N
1059070	3620	1998-01-05	VYDAJ	VYBER	900	16195	\N	\N	\N
1059071	3620	1998-01-19	VYDAJ	VYBER	450	16245	\N	\N	\N
1059072	3620	1998-01-21	VYDAJ	VYBER	1350	13445	\N	\N	\N
1059073	3620	1998-01-05	VYDAJ	VYBER	400	17095	\N	\N	\N
1059074	3620	1998-01-23	VYDAJ	VYBER	350	13095	\N	\N	\N
1059076	3620	1997-11-18	VYDAJ	VYBER	600	30628	\N	\N	\N
1059077	3620	1997-12-05	VYDAJ	VYBER	850	23105	\N	\N	\N
1059079	3620	1998-01-20	VYDAJ	VYBER	750	14795	\N	\N	\N
1059081	3620	1998-10-24	VYDAJ	VYBER	700	14735	\N	\N	\N
1059086	3620	1997-04-30	VYDAJ	VYBER	15	20810	SLUZBY	\N	\N
1059087	3620	1997-05-31	VYDAJ	VYBER	15	22886	SLUZBY	\N	\N
1059088	3620	1997-06-30	VYDAJ	VYBER	15	25773	SLUZBY	\N	\N
1059089	3620	1997-07-31	VYDAJ	VYBER	15	48192	SLUZBY	\N	\N
1059090	3620	1997-08-31	VYDAJ	VYBER	15	70337	SLUZBY	\N	\N
1059091	3620	1997-09-30	VYDAJ	VYBER	15	47470	SLUZBY	\N	\N
1059092	3620	1997-10-31	VYDAJ	VYBER	15	36828	SLUZBY	\N	\N
1059093	3620	1997-11-30	VYDAJ	VYBER	15	30755	SLUZBY	\N	\N
1059094	3620	1997-12-31	VYDAJ	VYBER	15	24295	SLUZBY	\N	\N
1059095	3620	1998-01-31	VYDAJ	VYBER	15	13149	SLUZBY	\N	\N
1059096	3620	1998-02-28	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
1059097	3620	1998-03-31	VYDAJ	VYBER	15	11828	SLUZBY	\N	\N
1059098	3620	1998-04-30	VYDAJ	VYBER	15	23689	SLUZBY	\N	\N
1059099	3620	1998-05-31	VYDAJ	VYBER	15	16859	SLUZBY	\N	\N
1059100	3620	1998-06-30	VYDAJ	VYBER	15	13306	SLUZBY	\N	\N
1059101	3620	1998-07-31	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
1059102	3620	1998-08-31	VYDAJ	VYBER	15	14390	SLUZBY	\N	\N
1059103	3620	1998-09-30	VYDAJ	VYBER	15	14935	SLUZBY	\N	\N
1059104	3620	1998-10-31	VYDAJ	VYBER	15	14782	SLUZBY	\N	\N
1059105	3620	1998-11-30	VYDAJ	VYBER	15	27433	SLUZBY	\N	\N
1059106	3620	1997-03-08	PRIJEM	VKLAD	10500	13706	\N	\N	\N
1059107	3620	1997-04-07	PRIJEM	VKLAD	2600	18548	\N	\N	\N
1059108	3620	1997-05-07	VYDAJ	VYBER	200	20610	\N	\N	\N
1059109	3620	1997-06-06	PRIJEM	VKLAD	600	23486	\N	\N	\N
1059110	3620	1997-07-06	VYDAJ	VYBER	2100	23673	\N	\N	\N
1059111	3620	1997-08-05	VYDAJ	VYBER	9000	39192	\N	\N	\N
1059112	3620	1997-09-04	VYDAJ	VYBER	25300	45037	\N	\N	\N
1059113	3620	1997-10-04	VYDAJ	VYBER	13000	34470	\N	\N	\N
1059114	3620	1997-11-03	VYDAJ	VYBER	7800	29028	\N	\N	\N
1059115	3620	1997-12-03	VYDAJ	VYBER	6800	23955	\N	\N	\N
1059116	3620	1998-01-02	PRIJEM	VKLAD	3100	27395	\N	\N	\N
1059117	3620	1998-03-03	VYDAJ	VYBER	2400	11289	\N	\N	\N
1059118	3620	1998-04-02	VYDAJ	VYBER	200	11628	\N	\N	\N
1059119	3620	1998-05-02	VYDAJ	VYBER	7400	16289	\N	\N	\N
1059120	3620	1998-06-01	VYDAJ	VYBER	4100	12759	\N	\N	\N
1059144	3621	1994-12-25	PRIJEM	VKLAD	400	400	\N	\N	\N
1059157	3621	1995-01-13	PRIJEM	VKLAD	7979	8379	\N	\N	\N
1059158	3621	1995-02-13	PRIJEM	VKLAD	7979	26778	\N	\N	\N
1059159	3621	1995-03-13	PRIJEM	VKLAD	7979	35043	\N	\N	\N
1059160	3621	1995-04-13	PRIJEM	VKLAD	7979	40139	\N	\N	\N
1059161	3621	1995-05-13	PRIJEM	VKLAD	7979	40752	\N	\N	\N
1059162	3621	1995-06-13	PRIJEM	VKLAD	11968	37821	\N	\N	\N
1059163	3621	1995-07-13	PRIJEM	VKLAD	7979	28213	\N	\N	\N
1059164	3621	1995-08-13	PRIJEM	VKLAD	7979	32173	\N	\N	\N
1059165	3621	1995-09-13	PRIJEM	VKLAD	7979	32245	\N	\N	\N
1059166	3621	1995-10-13	PRIJEM	VKLAD	7979	31616	\N	\N	\N
1059167	3621	1995-11-13	PRIJEM	VKLAD	7979	31584	\N	\N	\N
1059168	3621	1995-12-13	PRIJEM	VKLAD	11968	30507	\N	\N	\N
1059169	3621	1996-01-13	PRIJEM	VKLAD	7979	27938	\N	\N	\N
1059170	3621	1996-02-13	PRIJEM	VKLAD	7979	22191	\N	\N	\N
1059171	3621	1996-03-13	PRIJEM	VKLAD	7979	25594	\N	\N	\N
1059172	3621	1996-04-13	PRIJEM	VKLAD	7979	32253	\N	\N	\N
1059173	3621	1996-05-13	PRIJEM	VKLAD	7979	35128	\N	\N	\N
1059174	3621	1996-06-13	PRIJEM	VKLAD	11968	41904	\N	\N	\N
1059175	3621	1996-07-13	PRIJEM	VKLAD	7979	28866	\N	\N	\N
1059176	3621	1996-08-13	PRIJEM	VKLAD	7979	35836	\N	\N	\N
1059177	3621	1996-09-13	PRIJEM	VKLAD	7979	35519	\N	\N	\N
1059178	3621	1996-10-13	PRIJEM	VKLAD	7979	36704	\N	\N	\N
1059179	3621	1996-11-13	PRIJEM	VKLAD	7979	34230	\N	\N	\N
1059180	3621	1996-12-13	PRIJEM	VKLAD	11968	33993	\N	\N	\N
1059181	3621	1997-01-13	PRIJEM	VKLAD	7979	28441	\N	\N	\N
1059182	3621	1997-02-13	PRIJEM	VKLAD	7979	26626	\N	\N	\N
1059183	3621	1997-03-13	PRIJEM	VKLAD	7979	24201	\N	\N	\N
1059184	3621	1997-04-13	PRIJEM	VKLAD	7979	21848	\N	\N	\N
1059185	3621	1997-05-13	PRIJEM	VKLAD	7979	26684	\N	\N	\N
1059186	3621	1997-06-13	PRIJEM	VKLAD	11968	27838	\N	\N	\N
1059187	3621	1997-07-13	PRIJEM	VKLAD	7979	29882	\N	\N	\N
1059188	3621	1997-08-13	PRIJEM	VKLAD	7979	28447	\N	\N	\N
1059189	3621	1997-09-13	PRIJEM	VKLAD	7979	29329	\N	\N	\N
1059190	3621	1997-10-13	PRIJEM	VKLAD	7979	26589	\N	\N	\N
1059191	3621	1997-11-13	PRIJEM	VKLAD	7979	25844	\N	\N	\N
1059192	3621	1997-12-13	PRIJEM	VKLAD	11968	28783	\N	\N	\N
1059193	3621	1998-01-13	PRIJEM	VKLAD	7979	23877	\N	\N	\N
1059194	3621	1998-02-13	PRIJEM	VKLAD	7979	16820	\N	\N	\N
1059195	3621	1998-03-13	PRIJEM	VKLAD	7979	18828	\N	\N	\N
1059196	3621	1998-04-13	PRIJEM	VKLAD	7979	15345	\N	\N	\N
1059197	3621	1998-05-13	PRIJEM	VKLAD	7979	18054	\N	\N	\N
1059198	3621	1998-06-13	PRIJEM	VKLAD	11968	22558	\N	\N	\N
1059199	3621	1998-07-13	PRIJEM	VKLAD	7979	16285	\N	\N	\N
1059200	3621	1998-08-13	PRIJEM	VKLAD	7979	19001	\N	\N	\N
1059201	3621	1998-09-13	PRIJEM	VKLAD	7979	16620	\N	\N	\N
1059202	3621	1998-10-13	PRIJEM	VKLAD	7979	19133	\N	\N	\N
1059203	3621	1998-11-13	PRIJEM	VKLAD	7979	17550	\N	\N	\N
1059204	3621	1998-12-13	PRIJEM	VKLAD	11968	22014	\N	\N	\N
1059222	3621	1995-06-10	VYDAJ	PREVOD NA UCET	5319	25853	SIPO	WX	1515150
1059223	3621	1995-07-10	VYDAJ	PREVOD NA UCET	5319	20234	SIPO	WX	1515150
1059224	3621	1995-08-10	VYDAJ	PREVOD NA UCET	5319	24194	SIPO	WX	1515150
1059225	3621	1995-09-10	VYDAJ	PREVOD NA UCET	5319	24266	SIPO	WX	1515150
1059226	3621	1995-10-10	VYDAJ	PREVOD NA UCET	5319	23637	SIPO	WX	1515150
1059227	3621	1995-11-10	VYDAJ	PREVOD NA UCET	5319	23605	SIPO	WX	1515150
1059228	3621	1995-12-10	VYDAJ	PREVOD NA UCET	5319	24179	SIPO	WX	1515150
1059229	3621	1996-01-10	VYDAJ	PREVOD NA UCET	5319	19959	SIPO	WX	1515150
1059230	3621	1996-02-10	VYDAJ	PREVOD NA UCET	5319	14212	SIPO	WX	1515150
1059231	3621	1996-03-10	VYDAJ	PREVOD NA UCET	5319	17615	SIPO	WX	1515150
1059232	3621	1996-04-10	VYDAJ	PREVOD NA UCET	5319	24274	SIPO	WX	1515150
1059233	3621	1996-05-10	VYDAJ	PREVOD NA UCET	5319	27149	SIPO	WX	1515150
1059234	3621	1996-06-10	VYDAJ	PREVOD NA UCET	5319	29936	SIPO	WX	1515150
1059235	3621	1996-07-10	VYDAJ	PREVOD NA UCET	5319	20887	SIPO	WX	1515150
1059236	3621	1996-08-10	VYDAJ	PREVOD NA UCET	5319	27857	SIPO	WX	1515150
1059237	3621	1996-09-10	VYDAJ	PREVOD NA UCET	5319	27540	SIPO	WX	1515150
1059238	3621	1996-10-10	VYDAJ	PREVOD NA UCET	5319	28725	SIPO	WX	1515150
1059239	3621	1996-11-10	VYDAJ	PREVOD NA UCET	5319	26251	SIPO	WX	1515150
1059240	3621	1996-12-10	VYDAJ	PREVOD NA UCET	5319	22025	SIPO	WX	1515150
1059241	3621	1997-01-10	VYDAJ	PREVOD NA UCET	5319	20462	SIPO	WX	1515150
1059242	3621	1997-02-10	VYDAJ	PREVOD NA UCET	5319	9347	SIPO	WX	1515150
1059243	3621	1997-03-10	VYDAJ	PREVOD NA UCET	5319	16222	SIPO	WX	1515150
1059244	3621	1997-04-10	VYDAJ	PREVOD NA UCET	5319	13869	SIPO	WX	1515150
1059245	3621	1997-05-10	VYDAJ	PREVOD NA UCET	5319	18705	SIPO	WX	1515150
1059246	3621	1997-06-10	VYDAJ	PREVOD NA UCET	5319	12370	SIPO	WX	1515150
1059247	3621	1997-07-10	VYDAJ	PREVOD NA UCET	5319	22603	SIPO	WX	1515150
1059248	3621	1997-08-10	VYDAJ	PREVOD NA UCET	5319	24668	SIPO	WX	1515150
1059249	3621	1997-09-10	VYDAJ	PREVOD NA UCET	5319	21550	SIPO	WX	1515150
1059250	3621	1997-10-10	VYDAJ	PREVOD NA UCET	5319	24110	SIPO	WX	1515150
1059251	3621	1997-11-10	VYDAJ	PREVOD NA UCET	5319	17865	SIPO	WX	1515150
1059252	3621	1997-12-10	VYDAJ	PREVOD NA UCET	5319	16815	SIPO	WX	1515150
1059253	3621	1998-01-10	VYDAJ	PREVOD NA UCET	5319	15898	SIPO	WX	1515150
1059254	3621	1998-02-10	VYDAJ	PREVOD NA UCET	5319	8841	SIPO	WX	1515150
1059255	3621	1998-03-10	VYDAJ	PREVOD NA UCET	5319	10849	SIPO	WX	1515150
1059256	3621	1998-04-10	VYDAJ	PREVOD NA UCET	5319	7366	SIPO	WX	1515150
1059257	3621	1998-05-10	VYDAJ	PREVOD NA UCET	5319	10075	SIPO	WX	1515150
1059258	3621	1998-06-10	VYDAJ	PREVOD NA UCET	5319	10590	SIPO	WX	1515150
1059259	3621	1998-07-10	VYDAJ	PREVOD NA UCET	5319	8306	SIPO	WX	1515150
1059260	3621	1998-08-10	VYDAJ	PREVOD NA UCET	5319	11022	SIPO	WX	1515150
1059261	3621	1998-09-10	VYDAJ	PREVOD NA UCET	5319	8641	SIPO	WX	1515150
1059262	3621	1998-10-10	VYDAJ	PREVOD NA UCET	5319	11154	SIPO	WX	1515150
1059263	3621	1998-11-10	VYDAJ	PREVOD NA UCET	5319	9571	SIPO	WX	1515150
1059264	3621	1998-12-10	VYDAJ	PREVOD NA UCET	5319	10046	SIPO	WX	1515150
1059266	3621	1995-06-19	VYDAJ	VYBER	10080	27741	\N	\N	\N
1059267	3621	1996-06-19	VYDAJ	VYBER	9120	31484	\N	\N	\N
1059272	3621	1996-01-19	VYDAJ	VYBER	6720	24718	\N	\N	\N
1059273	3621	1997-01-14	VYDAJ	VYBER	12640	14601	\N	\N	\N
1059274	3621	1998-01-15	VYDAJ	VYBER	5920	17957	\N	\N	\N
1059276	3621	1995-12-05	VYDAJ	VYBER	3200	29498	\N	\N	\N
1059277	3621	1996-12-08	VYDAJ	VYBER	3200	27344	\N	\N	\N
1059278	3621	1997-12-28	VYDAJ	VYBER	3680	25103	\N	\N	\N
1059279	3621	1998-12-02	VYDAJ	VYBER	2240	15365	\N	\N	\N
1059292	3621	1996-01-17	VYDAJ	VYBER	3120	24218	\N	\N	\N
1059293	3621	1996-01-10	VYDAJ	VYBER	1800	25278	\N	\N	\N
1059294	3621	1996-01-09	VYDAJ	VYBER	3240	27078	\N	\N	\N
1059295	3621	1996-01-16	VYDAJ	VYBER	600	27338	\N	\N	\N
1059296	3621	1996-01-18	VYDAJ	VYBER	2280	21938	\N	\N	\N
1059297	3621	1996-01-28	VYDAJ	VYBER	1680	19438	\N	\N	\N
1059298	3621	1997-01-02	VYDAJ	VYBER	960	29141	\N	\N	\N
1059301	3621	1997-01-05	VYDAJ	VYBER	3360	25781	\N	\N	\N
1059306	3621	1998-01-01	VYDAJ	VYBER	1920	23277	\N	\N	\N
1059308	3621	1998-01-18	VYDAJ	VYBER	3360	14597	\N	\N	\N
1059309	3621	1998-01-10	VYDAJ	VYBER	2160	21217	\N	\N	\N
1059315	3621	1995-12-11	VYDAJ	VYBER	5640	18539	\N	\N	\N
1059319	3621	1996-03-02	VYDAJ	VYBER	5040	22934	\N	\N	\N
1059320	3621	1996-10-25	VYDAJ	VYBER	2760	31444	\N	\N	\N
1059321	3621	1996-06-19	VYDAJ	VYBER	5400	26084	\N	\N	\N
1059322	3621	1996-01-28	VYDAJ	VYBER	3600	21118	\N	\N	\N
1059323	3621	1997-11-04	VYDAJ	VYBER	2400	24284	\N	\N	\N
1059324	3621	1997-08-28	VYDAJ	VYBER	1680	26767	\N	\N	\N
1059325	3621	1997-05-27	VYDAJ	VYBER	5880	17604	\N	\N	\N
1059326	3621	1997-04-01	VYDAJ	VYBER	5400	19188	\N	\N	\N
1059327	3621	1997-03-01	VYDAJ	VYBER	5160	21541	\N	\N	\N
1059329	3621	1998-12-27	VYDAJ	VYBER	960	21054	\N	\N	\N
1059349	3621	1995-05-31	VYDAJ	VYBER	15	31172	SLUZBY	\N	\N
1059350	3621	1995-06-30	VYDAJ	VYBER	15	25553	SLUZBY	\N	\N
1059351	3621	1995-07-31	VYDAJ	VYBER	15	29513	SLUZBY	\N	\N
1059352	3621	1995-08-31	VYDAJ	VYBER	15	29585	SLUZBY	\N	\N
1059353	3621	1995-09-30	VYDAJ	VYBER	15	28956	SLUZBY	\N	\N
1059354	3621	1995-10-31	VYDAJ	VYBER	15	28924	SLUZBY	\N	\N
1059355	3621	1995-11-30	VYDAJ	VYBER	15	32698	SLUZBY	\N	\N
1059356	3621	1995-12-31	VYDAJ	VYBER	15	30318	SLUZBY	\N	\N
1059357	3621	1996-01-31	VYDAJ	VYBER	15	19531	SLUZBY	\N	\N
1059358	3621	1996-02-29	VYDAJ	VYBER	15	27974	SLUZBY	\N	\N
1059359	3621	1996-03-31	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
1059360	3621	1996-04-30	VYDAJ	VYBER	15	32468	SLUZBY	\N	\N
1059361	3621	1996-05-31	VYDAJ	VYBER	15	35255	SLUZBY	\N	\N
1059362	3621	1996-06-30	VYDAJ	VYBER	15	26206	SLUZBY	\N	\N
1059363	3621	1996-07-31	VYDAJ	VYBER	15	33176	SLUZBY	\N	\N
1059364	3621	1996-08-31	VYDAJ	VYBER	15	32859	SLUZBY	\N	\N
1059365	3621	1996-09-30	VYDAJ	VYBER	15	34044	SLUZBY	\N	\N
1059366	3621	1996-10-31	VYDAJ	VYBER	15	31570	SLUZBY	\N	\N
1059367	3621	1996-11-30	VYDAJ	VYBER	15	30544	SLUZBY	\N	\N
1059368	3621	1996-12-31	VYDAJ	VYBER	15	30101	SLUZBY	\N	\N
1059369	3621	1997-01-31	VYDAJ	VYBER	15	14666	SLUZBY	\N	\N
1059370	3621	1997-02-28	VYDAJ	VYBER	15	26701	SLUZBY	\N	\N
1059371	3621	1997-03-31	VYDAJ	VYBER	15	24588	SLUZBY	\N	\N
1059372	3621	1997-04-30	VYDAJ	VYBER	15	24024	SLUZBY	\N	\N
1059373	3621	1997-05-31	VYDAJ	VYBER	15	17689	SLUZBY	\N	\N
1059374	3621	1997-06-30	VYDAJ	VYBER	15	27922	SLUZBY	\N	\N
1059375	3621	1997-07-31	VYDAJ	VYBER	15	29987	SLUZBY	\N	\N
1059376	3621	1997-08-31	VYDAJ	VYBER	15	26869	SLUZBY	\N	\N
1059377	3621	1997-09-30	VYDAJ	VYBER	15	29429	SLUZBY	\N	\N
1059378	3621	1997-10-31	VYDAJ	VYBER	15	26684	SLUZBY	\N	\N
1059379	3621	1997-11-30	VYDAJ	VYBER	15	25934	SLUZBY	\N	\N
1059380	3621	1997-12-31	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
1059381	3621	1998-01-31	VYDAJ	VYBER	15	14660	SLUZBY	\N	\N
1059382	3621	1998-02-28	VYDAJ	VYBER	15	16868	SLUZBY	\N	\N
1059383	3621	1998-03-31	VYDAJ	VYBER	15	18885	SLUZBY	\N	\N
1059384	3621	1998-04-30	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
1059385	3621	1998-05-31	VYDAJ	VYBER	15	18109	SLUZBY	\N	\N
1059386	3621	1998-06-30	VYDAJ	VYBER	15	22625	SLUZBY	\N	\N
1059387	3621	1998-07-31	VYDAJ	VYBER	15	16341	SLUZBY	\N	\N
1059388	3621	1998-08-31	VYDAJ	VYBER	15	19060	SLUZBY	\N	\N
1059389	3621	1998-09-30	VYDAJ	VYBER	15	16673	SLUZBY	\N	\N
1059390	3621	1998-10-31	VYDAJ	VYBER	15	19190	SLUZBY	\N	\N
1059391	3621	1998-11-30	VYDAJ	VYBER	15	17605	SLUZBY	\N	\N
1059392	3621	1995-01-24	PRIJEM	VKLAD	10400	18779	\N	\N	\N
1059393	3621	1995-02-23	PRIJEM	VKLAD	200	26978	\N	\N	\N
1059394	3621	1995-03-25	VYDAJ	VYBER	3000	32043	\N	\N	\N
1059395	3621	1995-04-24	VYDAJ	VYBER	7500	32639	\N	\N	\N
1059396	3621	1995-05-24	VYDAJ	VYBER	9700	31052	\N	\N	\N
1059397	3621	1995-06-23	VYDAJ	VYBER	2300	25441	\N	\N	\N
1059398	3621	1995-07-23	PRIJEM	VKLAD	1200	29413	\N	\N	\N
1059399	3621	1995-08-22	VYDAJ	VYBER	2700	29473	\N	\N	\N
1059400	3621	1995-09-21	VYDAJ	VYBER	3400	28845	\N	\N	\N
1059401	3621	1995-10-21	VYDAJ	VYBER	2800	28816	\N	\N	\N
1059402	3621	1995-11-20	PRIJEM	VKLAD	1000	32584	\N	\N	\N
1059403	3621	1995-12-20	VYDAJ	VYBER	300	30207	\N	\N	\N
1059404	3621	1996-01-19	PRIJEM	VKLAD	9500	31438	\N	\N	\N
1059405	3621	1996-02-18	PRIJEM	VKLAD	5700	27891	\N	\N	\N
1059406	3621	1996-03-19	PRIJEM	VKLAD	3900	29494	\N	\N	\N
1059407	3621	1996-04-18	PRIJEM	VKLAD	100	32353	\N	\N	\N
1059408	3621	1996-06-17	VYDAJ	VYBER	1300	40604	\N	\N	\N
1059409	3621	1996-07-17	PRIJEM	VKLAD	4200	33066	\N	\N	\N
1059410	3621	1996-08-16	VYDAJ	VYBER	3100	32736	\N	\N	\N
1059411	3621	1996-09-15	VYDAJ	VYBER	1600	33919	\N	\N	\N
1059412	3621	1996-10-15	VYDAJ	VYBER	2500	34204	\N	\N	\N
1059413	3621	1996-11-14	VYDAJ	VYBER	3800	30430	\N	\N	\N
1059414	3621	1996-12-14	VYDAJ	VYBER	4000	29993	\N	\N	\N
1059415	3621	1997-01-13	VYDAJ	VYBER	1200	27241	\N	\N	\N
1059416	3621	1997-02-12	PRIJEM	VKLAD	9300	18647	\N	\N	\N
1059417	3621	1997-03-14	PRIJEM	VKLAD	300	24501	\N	\N	\N
1059418	3621	1997-04-13	PRIJEM	VKLAD	2100	23948	\N	\N	\N
1059419	3621	1997-05-13	VYDAJ	VYBER	3200	23484	\N	\N	\N
1059420	3621	1997-06-12	PRIJEM	VKLAD	3500	15870	\N	\N	\N
1059421	3621	1997-07-12	VYDAJ	VYBER	700	21903	\N	\N	\N
1059422	3621	1997-08-11	VYDAJ	VYBER	4200	20468	\N	\N	\N
1059423	3621	1997-09-10	VYDAJ	VYBER	200	21350	\N	\N	\N
1059424	3621	1997-10-10	VYDAJ	VYBER	5500	18610	\N	\N	\N
1059425	3621	1997-11-09	VYDAJ	VYBER	1100	23184	\N	\N	\N
1059426	3621	1997-12-09	VYDAJ	VYBER	3800	22134	\N	\N	\N
1059427	3621	1998-01-08	PRIJEM	VKLAD	100	23377	\N	\N	\N
1059428	3621	1998-02-07	VYDAJ	VYBER	500	14160	\N	\N	\N
1059429	3621	1998-03-09	VYDAJ	VYBER	700	16168	\N	\N	\N
1059430	3621	1998-04-08	VYDAJ	VYBER	6200	12685	\N	\N	\N
1059431	3621	1998-06-07	VYDAJ	VYBER	2200	15909	\N	\N	\N
1059432	3621	1998-07-07	VYDAJ	VYBER	9000	13625	\N	\N	\N
1059433	3621	1998-09-05	VYDAJ	VYBER	5100	13960	\N	\N	\N
1059434	3621	1998-10-05	VYDAJ	VYBER	200	16473	\N	\N	\N
1059435	3621	1998-11-04	VYDAJ	VYBER	4300	14890	\N	\N	\N
1059484	3622	1994-10-15	PRIJEM	VKLAD	500	500	\N	\N	\N
1059486	3622	1994-11-12	PRIJEM	VKLAD	11810	57355	\N	\N	\N
1059490	3622	1994-11-29	PRIJEM	VKLAD	35064	78219	\N	\N	\N
1059497	3622	1994-11-08	PRIJEM	VKLAD	45045	45545	\N	\N	\N
1059499	3622	1995-10-02	PRIJEM	VKLAD	16197	39664	\N	\N	\N
1059500	3622	1995-06-27	PRIJEM	VKLAD	47140	92245	\N	\N	\N
1059501	3622	1995-10-19	PRIJEM	VKLAD	48700	81738	\N	\N	\N
1059502	3622	1995-07-17	PRIJEM	VKLAD	22847	118752	\N	\N	\N
1059503	3622	1995-11-22	PRIJEM	VKLAD	38649	90301	\N	\N	\N
1059504	3622	1995-09-19	PRIJEM	VKLAD	9664	63010	\N	\N	\N
1059505	3622	1995-08-17	PRIJEM	VKLAD	30496	100623	\N	\N	\N
1059506	3622	1995-07-15	PRIJEM	VKLAD	30795	95905	\N	\N	\N
1059507	3622	1995-10-08	PRIJEM	VKLAD	36220	112222	\N	\N	\N
1059508	3622	1995-12-27	PRIJEM	VKLAD	42168	73000	\N	\N	\N
1059509	3622	1995-06-14	PRIJEM	VKLAD	47277	89294	\N	\N	\N
1059510	3622	1995-05-26	PRIJEM	VKLAD	40005	63002	\N	\N	\N
1059511	3622	1995-08-16	PRIJEM	VKLAD	12801	70127	\N	\N	\N
1059512	3622	1995-06-19	PRIJEM	VKLAD	44655	116988	\N	\N	\N
1059513	3622	1995-10-07	PRIJEM	VKLAD	9062	76002	\N	\N	\N
1059514	3622	1995-08-13	PRIJEM	VKLAD	5673	57326	\N	\N	\N
1059515	3622	1995-11-02	PRIJEM	VKLAD	15169	97136	\N	\N	\N
1059516	3622	1995-07-30	PRIJEM	VKLAD	33144	107592	\N	\N	\N
1059517	3622	1995-06-21	PRIJEM	VKLAD	15017	45105	\N	\N	\N
1059518	3622	1995-03-12	PRIJEM	VKLAD	10264	55807	\N	\N	\N
1059519	3622	1995-06-07	PRIJEM	VKLAD	20496	72201	\N	\N	\N
1059520	3622	1995-07-10	PRIJEM	VKLAD	27168	77309	\N	\N	\N
1059521	3622	1995-05-02	PRIJEM	VKLAD	15943	32081	\N	\N	\N
1059522	3622	1995-02-24	PRIJEM	VKLAD	16006	55034	\N	\N	\N
1059523	3622	1995-07-28	PRIJEM	VKLAD	48843	133648	\N	\N	\N
1059524	3622	1995-10-07	PRIJEM	VKLAD	27276	66940	\N	\N	\N
1059525	3622	1995-07-14	PRIJEM	VKLAD	16785	65110	\N	\N	\N
1059526	3622	1995-01-05	PRIJEM	VKLAD	22395	74668	\N	\N	\N
1059527	3622	1997-07-15	PRIJEM	VKLAD	37533	50595	\N	\N	\N
1059528	3622	1998-11-09	PRIJEM	VKLAD	10679	41967	\N	\N	\N
1059529	3622	1998-04-26	PRIJEM	VKLAD	20088	38842	\N	\N	\N
1059544	3622	1995-03-11	VYDAJ	PREVOD NA UCET	9698	45543	SIPO	EF	48173946
1059545	3622	1995-04-11	VYDAJ	PREVOD NA UCET	9698	12463	SIPO	EF	48173946
1059546	3622	1995-05-11	VYDAJ	PREVOD NA UCET	9698	22383	SIPO	EF	48173946
1059547	3622	1995-06-11	VYDAJ	PREVOD NA UCET	9698	62503	SIPO	EF	48173946
1059548	3622	1995-07-11	VYDAJ	PREVOD NA UCET	9698	67611	SIPO	EF	48173946
1059549	3622	1995-08-11	VYDAJ	PREVOD NA UCET	9698	53939	SIPO	EF	48173946
1059550	3622	1995-09-11	VYDAJ	PREVOD NA UCET	9698	55632	SIPO	EF	48173946
1059551	3622	1995-10-11	VYDAJ	PREVOD NA UCET	9698	35324	SIPO	EF	48173946
1059552	3622	1995-11-11	VYDAJ	PREVOD NA UCET	9698	53938	SIPO	EF	48173946
1059553	3622	1995-12-11	VYDAJ	PREVOD NA UCET	9698	49689	SIPO	EF	48173946
1059554	3622	1996-01-11	VYDAJ	PREVOD NA UCET	9698	30738	SIPO	EF	48173946
1059555	3622	1996-02-11	VYDAJ	PREVOD NA UCET	9698	20899	SIPO	EF	48173946
1059556	3622	1996-03-11	VYDAJ	PREVOD NA UCET	9698	14392	SIPO	EF	48173946
1059557	3622	1996-04-11	VYDAJ	PREVOD NA UCET	9698	12653	SIPO	EF	48173946
1059558	3622	1996-05-11	VYDAJ	PREVOD NA UCET	9698	14300	SIPO	EF	48173946
1059559	3622	1996-06-11	VYDAJ	PREVOD NA UCET	9698	13049	SIPO	EF	48173946
1059560	3622	1996-07-11	VYDAJ	PREVOD NA UCET	9698	10797	SIPO	EF	48173946
1059561	3622	1996-08-11	VYDAJ	PREVOD NA UCET	9698	13536	SIPO	EF	48173946
1059562	3622	1996-09-11	VYDAJ	PREVOD NA UCET	9698	14481	SIPO	EF	48173946
1059563	3622	1996-10-11	VYDAJ	PREVOD NA UCET	9698	12531	SIPO	EF	48173946
1059564	3622	1996-11-11	VYDAJ	PREVOD NA UCET	9698	15277	SIPO	EF	48173946
1059565	3622	1996-12-11	VYDAJ	PREVOD NA UCET	9698	11729	SIPO	EF	48173946
1059566	3622	1997-01-11	VYDAJ	PREVOD NA UCET	9698	12273	SIPO	EF	48173946
1059567	3622	1997-02-11	VYDAJ	PREVOD NA UCET	9698	12115	SIPO	EF	48173946
1059568	3622	1997-03-11	VYDAJ	PREVOD NA UCET	9698	12457	SIPO	EF	48173946
1059569	3622	1997-04-11	VYDAJ	PREVOD NA UCET	9698	12399	SIPO	EF	48173946
1059570	3622	1997-05-11	VYDAJ	PREVOD NA UCET	9698	15442	SIPO	EF	48173946
1059571	3622	1997-06-11	VYDAJ	PREVOD NA UCET	9698	15093	SIPO	EF	48173946
1059572	3622	1997-07-11	VYDAJ	PREVOD NA UCET	9698	15348	SIPO	EF	48173946
1059573	3622	1997-08-11	VYDAJ	PREVOD NA UCET	9698	26106	SIPO	EF	48173946
1059574	3622	1997-09-11	VYDAJ	PREVOD NA UCET	9698	18224	SIPO	EF	48173946
1059575	3622	1997-10-11	VYDAJ	PREVOD NA UCET	9698	17212	SIPO	EF	48173946
1059576	3622	1997-11-11	VYDAJ	PREVOD NA UCET	9698	16496	SIPO	EF	48173946
1059577	3622	1997-12-11	VYDAJ	PREVOD NA UCET	9698	13979	SIPO	EF	48173946
1059578	3622	1998-01-11	VYDAJ	PREVOD NA UCET	9698	17659	SIPO	EF	48173946
1059579	3622	1998-02-11	VYDAJ	PREVOD NA UCET	9698	18849	SIPO	EF	48173946
1059580	3622	1998-03-11	VYDAJ	PREVOD NA UCET	9698	19843	SIPO	EF	48173946
1059581	3622	1998-04-11	VYDAJ	PREVOD NA UCET	9698	21040	SIPO	EF	48173946
1059582	3622	1998-05-11	VYDAJ	PREVOD NA UCET	9698	27467	SIPO	EF	48173946
1059583	3622	1998-06-11	VYDAJ	PREVOD NA UCET	9698	30299	SIPO	EF	48173946
1059584	3622	1998-07-11	VYDAJ	PREVOD NA UCET	9698	34144	SIPO	EF	48173946
1059585	3622	1998-08-11	VYDAJ	PREVOD NA UCET	9698	27301	SIPO	EF	48173946
1059586	3622	1998-09-11	VYDAJ	PREVOD NA UCET	9698	27840	SIPO	EF	48173946
1059587	3622	1998-10-11	VYDAJ	PREVOD NA UCET	9698	15347	SIPO	EF	48173946
1059588	3622	1998-11-11	VYDAJ	PREVOD NA UCET	9698	32269	SIPO	EF	48173946
1059589	3622	1998-12-11	VYDAJ	PREVOD NA UCET	9698	33819	SIPO	EF	48173946
1059604	3622	1995-03-12	VYDAJ	PREVOD NA UCET	2286	43321	 	YZ	19400376
1059605	3622	1995-04-12	VYDAJ	PREVOD NA UCET	2286	10177	 	YZ	19400376
1059606	3622	1995-05-12	VYDAJ	PREVOD NA UCET	2286	20097	 	YZ	19400376
1059607	3622	1995-06-12	VYDAJ	PREVOD NA UCET	2286	60217	 	YZ	19400376
1059608	3622	1995-07-12	VYDAJ	PREVOD NA UCET	2286	48325	 	YZ	19400376
1059609	3622	1995-08-12	VYDAJ	PREVOD NA UCET	2286	51653	 	YZ	19400376
1059610	3622	1995-09-12	VYDAJ	PREVOD NA UCET	2286	53346	 	YZ	19400376
1059611	3622	1995-10-12	VYDAJ	PREVOD NA UCET	2286	33038	 	YZ	19400376
1059612	3622	1995-11-12	VYDAJ	PREVOD NA UCET	2286	51652	 	YZ	19400376
1059613	3622	1995-12-12	VYDAJ	PREVOD NA UCET	2286	47403	 	YZ	19400376
1059614	3622	1996-01-12	VYDAJ	PREVOD NA UCET	2286	28452	 	YZ	19400376
1059615	3622	1996-02-12	VYDAJ	PREVOD NA UCET	2286	18613	 	YZ	19400376
1059616	3622	1996-03-12	VYDAJ	PREVOD NA UCET	2286	12106	 	YZ	19400376
1059617	3622	1996-04-12	VYDAJ	PREVOD NA UCET	2286	10367	 	YZ	19400376
1059618	3622	1996-05-12	VYDAJ	PREVOD NA UCET	2286	12014	 	YZ	19400376
1059619	3622	1996-06-12	VYDAJ	PREVOD NA UCET	2286	10763	 	YZ	19400376
1059620	3622	1996-07-12	VYDAJ	PREVOD NA UCET	2286	8511	 	YZ	19400376
1059621	3622	1996-08-12	VYDAJ	PREVOD NA UCET	2286	11250	 	YZ	19400376
1059622	3622	1996-09-12	VYDAJ	PREVOD NA UCET	2286	12195	 	YZ	19400376
1059623	3622	1996-10-12	VYDAJ	PREVOD NA UCET	2286	10245	 	YZ	19400376
1059624	3622	1996-11-12	VYDAJ	PREVOD NA UCET	2286	12991	 	YZ	19400376
1059625	3622	1996-12-12	VYDAJ	PREVOD NA UCET	2286	9443	 	YZ	19400376
1059626	3622	1997-01-12	VYDAJ	PREVOD NA UCET	2286	9987	 	YZ	19400376
1059627	3622	1997-02-12	VYDAJ	PREVOD NA UCET	2286	9829	 	YZ	19400376
1059628	3622	1997-03-12	VYDAJ	PREVOD NA UCET	2286	10171	 	YZ	19400376
1059629	3622	1997-04-12	VYDAJ	PREVOD NA UCET	2286	10113	 	YZ	19400376
1059630	3622	1997-05-12	VYDAJ	PREVOD NA UCET	2286	13156	 	YZ	19400376
1059631	3622	1997-06-12	VYDAJ	PREVOD NA UCET	2286	12807	 	YZ	19400376
1059632	3622	1997-07-12	VYDAJ	PREVOD NA UCET	2286	13062	 	YZ	19400376
1059633	3622	1997-08-12	VYDAJ	PREVOD NA UCET	2286	23820	 	YZ	19400376
1059634	3622	1997-09-12	VYDAJ	PREVOD NA UCET	2286	15938	 	YZ	19400376
1059635	3622	1997-10-12	VYDAJ	PREVOD NA UCET	2286	14926	 	YZ	19400376
1059636	3622	1997-11-12	VYDAJ	PREVOD NA UCET	2286	14210	 	YZ	19400376
1059637	3622	1997-12-12	VYDAJ	PREVOD NA UCET	2286	11693	 	YZ	19400376
1059638	3622	1998-01-12	VYDAJ	PREVOD NA UCET	2286	15373	 	YZ	19400376
1059639	3622	1998-02-12	VYDAJ	PREVOD NA UCET	2286	16563	 	YZ	19400376
1059640	3622	1998-03-12	VYDAJ	PREVOD NA UCET	2286	17557	 	YZ	19400376
1059641	3622	1998-04-12	VYDAJ	PREVOD NA UCET	2286	18754	 	YZ	19400376
1059642	3622	1998-05-12	VYDAJ	PREVOD NA UCET	2286	25181	 	YZ	19400376
1059643	3622	1998-06-12	VYDAJ	PREVOD NA UCET	2286	28013	 	YZ	19400376
1059644	3622	1998-07-12	VYDAJ	PREVOD NA UCET	2286	31858	 	YZ	19400376
1059645	3622	1998-08-12	VYDAJ	PREVOD NA UCET	2286	25015	 	YZ	19400376
1059646	3622	1998-09-12	VYDAJ	PREVOD NA UCET	2286	25554	 	YZ	19400376
1059647	3622	1998-10-12	VYDAJ	PREVOD NA UCET	2286	13061	 	YZ	19400376
1059648	3622	1998-11-12	VYDAJ	PREVOD NA UCET	2286	29983	 	YZ	19400376
1059649	3622	1998-12-12	VYDAJ	PREVOD NA UCET	2286	31533	 	YZ	19400376
1059662	3622	1995-09-23	VYBER	VYBER	23720	39290	\N	\N	\N
1059663	3622	1995-03-23	VYBER	VYBER	13609	22012	\N	\N	\N
1059664	3622	1995-09-29	VYBER	VYBER	16075	23215	\N	\N	\N
1059665	3622	1995-06-16	VYBER	VYBER	16961	72333	\N	\N	\N
1059666	3622	1995-08-17	VYBER	VYBER	5649	94974	\N	\N	\N
1059667	3622	1995-07-23	VYBER	VYBER	17747	84805	\N	\N	\N
1059668	3622	1995-12-21	VYBER	VYBER	13271	34132	\N	\N	\N
1059669	3622	1995-07-08	VYBER	VYBER	22296	70210	\N	\N	\N
1059671	3622	1995-07-09	VYBER	VYBER	20069	50141	\N	\N	\N
1059679	3622	1998-11-07	VYBER	VYBER	5153	31288	\N	\N	\N
1059684	3622	1998-09-27	VYBER	VYBER	7552	24924	\N	\N	\N
1059686	3622	1998-12-15	VYBER	VYBER	2219	29314	\N	\N	\N
1059687	3622	1998-04-27	VYBER	VYBER	16177	37065	\N	\N	\N
1059692	3622	1998-09-26	VYBER	VYBER	13878	32476	\N	\N	\N
1059694	3622	1995-06-20	VYDAJ	VYBER	69600	30088	\N	\N	\N
1059704	3622	1995-12-02	VYDAJ	VYBER	6300	84287	\N	\N	\N
1059707	3622	1998-12-27	VYDAJ	VYBER	6300	35114	\N	\N	\N
1059713	3622	1995-06-03	VYDAJ	VYBER	11400	51705	\N	\N	\N
1059714	3622	1995-03-12	VYDAJ	VYBER	10200	45607	\N	\N	\N
1059716	3622	1995-12-30	VYDAJ	VYBER	9300	63700	\N	\N	\N
1059717	3622	1995-12-25	VYDAJ	VYBER	3300	30832	\N	\N	\N
1059721	3622	1996-01-09	VYDAJ	VYBER	6000	40436	\N	\N	\N
1059724	3622	1997-12-05	VYDAJ	VYBER	5100	23677	\N	\N	\N
1059727	3622	1997-07-19	VYDAJ	VYBER	7800	42795	\N	\N	\N
1059731	3622	1998-07-30	VYDAJ	VYBER	8100	36858	\N	\N	\N
1059732	3622	1998-09-08	VYDAJ	VYBER	6300	37538	\N	\N	\N
1059748	3622	1995-02-28	VYDAJ	VYBER	15	55241	SLUZBY	\N	\N
1059749	3622	1995-03-31	VYDAJ	VYBER	15	22161	SLUZBY	\N	\N
1059750	3622	1995-04-30	VYDAJ	VYBER	15	16138	SLUZBY	\N	\N
1059751	3622	1995-05-31	VYDAJ	VYBER	15	63105	SLUZBY	\N	\N
1059752	3622	1995-06-30	VYDAJ	VYBER	15	92506	SLUZBY	\N	\N
1059753	3622	1995-07-31	VYDAJ	VYBER	15	90837	SLUZBY	\N	\N
1059754	3622	1995-08-31	VYDAJ	VYBER	15	95330	SLUZBY	\N	\N
1059755	3622	1995-09-30	VYDAJ	VYBER	15	23467	SLUZBY	\N	\N
1059756	3622	1995-10-31	VYDAJ	VYBER	15	81967	SLUZBY	\N	\N
1059757	3622	1995-11-30	VYDAJ	VYBER	15	90587	SLUZBY	\N	\N
1059758	3622	1995-12-31	VYDAJ	VYBER	15	63936	SLUZBY	\N	\N
1059759	3622	1996-01-31	VYDAJ	VYBER	15	28597	SLUZBY	\N	\N
1059760	3622	1996-02-29	VYDAJ	VYBER	15	18690	SLUZBY	\N	\N
1059761	3622	1996-03-31	VYDAJ	VYBER	15	12151	SLUZBY	\N	\N
1059762	3622	1996-04-30	VYDAJ	VYBER	15	10398	SLUZBY	\N	\N
1059763	3622	1996-05-31	VYDAJ	VYBER	15	12047	SLUZBY	\N	\N
1059764	3622	1996-06-30	VYDAJ	VYBER	15	10795	SLUZBY	\N	\N
1059765	3622	1996-07-31	VYDAJ	VYBER	15	8534	SLUZBY	\N	\N
1059766	3622	1996-08-31	VYDAJ	VYBER	15	11279	SLUZBY	\N	\N
1059767	3622	1996-09-30	VYDAJ	VYBER	15	12229	SLUZBY	\N	\N
1059768	3622	1996-10-31	VYDAJ	VYBER	15	10275	SLUZBY	\N	\N
1059769	3622	1996-11-30	VYDAJ	VYBER	15	13027	SLUZBY	\N	\N
1059770	3622	1996-12-31	VYDAJ	VYBER	15	9471	SLUZBY	\N	\N
1059771	3622	1997-01-31	VYDAJ	VYBER	15	10013	SLUZBY	\N	\N
1059772	3622	1997-02-28	VYDAJ	VYBER	15	9855	SLUZBY	\N	\N
1059773	3622	1997-03-31	VYDAJ	VYBER	15	10197	SLUZBY	\N	\N
1059774	3622	1997-04-30	VYDAJ	VYBER	15	10140	SLUZBY	\N	\N
1059775	3622	1997-05-31	VYDAJ	VYBER	15	13191	SLUZBY	\N	\N
1059776	3622	1997-06-30	VYDAJ	VYBER	15	12846	SLUZBY	\N	\N
1059777	3622	1997-07-31	VYDAJ	VYBER	15	35804	SLUZBY	\N	\N
1059778	3622	1997-08-31	VYDAJ	VYBER	15	27922	SLUZBY	\N	\N
1059779	3622	1997-09-30	VYDAJ	VYBER	15	26910	SLUZBY	\N	\N
1059780	3622	1997-10-31	VYDAJ	VYBER	15	26194	SLUZBY	\N	\N
1059781	3622	1997-11-30	VYDAJ	VYBER	15	28777	SLUZBY	\N	\N
1059782	3622	1997-12-31	VYDAJ	VYBER	15	27357	SLUZBY	\N	\N
1059783	3622	1998-01-31	VYDAJ	VYBER	15	28547	SLUZBY	\N	\N
1059784	3622	1998-02-28	VYDAJ	VYBER	15	29541	SLUZBY	\N	\N
1059785	3622	1998-03-31	VYDAJ	VYBER	15	30738	SLUZBY	\N	\N
1059786	3622	1998-04-30	VYDAJ	VYBER	15	37165	SLUZBY	\N	\N
1059787	3622	1998-05-31	VYDAJ	VYBER	15	39997	SLUZBY	\N	\N
1059788	3622	1998-06-30	VYDAJ	VYBER	15	43842	SLUZBY	\N	\N
1059789	3622	1998-07-31	VYDAJ	VYBER	15	36999	SLUZBY	\N	\N
1059790	3622	1998-08-31	VYDAJ	VYBER	15	43838	SLUZBY	\N	\N
1059791	3622	1998-09-30	VYDAJ	VYBER	15	25045	SLUZBY	\N	\N
1059792	3622	1998-10-31	VYDAJ	VYBER	15	36441	SLUZBY	\N	\N
1059793	3622	1998-11-30	VYDAJ	VYBER	15	43517	SLUZBY	\N	\N
1059794	3622	1994-11-14	VYDAJ	VYBER	14200	43155	\N	\N	\N
1059795	3622	1994-12-14	VYDAJ	VYBER	26400	51947	\N	\N	\N
1059796	3622	1995-01-13	VYDAJ	VYBER	21900	52768	\N	\N	\N
1059797	3622	1995-02-12	VYDAJ	VYBER	14000	39028	\N	\N	\N
1059798	3622	1995-03-14	VYDAJ	VYBER	7700	35621	\N	\N	\N
1059799	3622	1995-04-13	PRIJEM	VKLAD	5900	16077	\N	\N	\N
1059800	3622	1995-05-13	PRIJEM	VKLAD	2900	22997	\N	\N	\N
1059801	3622	1995-06-12	VYDAJ	VYBER	18200	42017	\N	\N	\N
1059802	3622	1995-06-19	VYDAJ	VYBER	17300	99688	\N	\N	\N
1059803	3622	1995-07-12	VYDAJ	VYBER	17000	50611	\N	\N	\N
1059804	3622	1995-07-17	VYDAJ	VYBER	16200	102552	\N	\N	\N
1059805	3622	1995-07-28	VYDAJ	VYBER	59200	74448	\N	\N	\N
1059806	3622	1995-07-31	VYDAJ	VYBER	17100	90851	\N	\N	\N
1059807	3622	1995-08-11	VYDAJ	VYBER	27200	63637	\N	\N	\N
1059808	3622	1995-09-10	VYDAJ	VYBER	30000	65330	\N	\N	\N
1059809	3622	1995-10-08	VYDAJ	VYBER	51100	61122	\N	\N	\N
1059810	3622	1995-10-10	VYDAJ	VYBER	16100	45022	\N	\N	\N
1059811	3622	1995-11-09	VYDAJ	VYBER	33500	63636	\N	\N	\N
1059812	3622	1995-12-09	VYDAJ	VYBER	24900	59387	\N	\N	\N
1059813	3622	1996-01-08	VYDAJ	VYBER	17500	46436	\N	\N	\N
1059814	3622	1996-02-07	PRIJEM	VKLAD	2000	30597	\N	\N	\N
1059815	3622	1996-03-08	PRIJEM	VKLAD	5400	24090	\N	\N	\N
1059816	3622	1996-04-07	PRIJEM	VKLAD	10200	22351	\N	\N	\N
1059817	3622	1996-05-07	PRIJEM	VKLAD	13600	23998	\N	\N	\N
1059818	3622	1996-06-06	PRIJEM	VKLAD	10700	22747	\N	\N	\N
1059819	3622	1996-07-06	PRIJEM	VKLAD	9700	20495	\N	\N	\N
1059820	3622	1996-08-05	PRIJEM	VKLAD	14700	23234	\N	\N	\N
1059821	3622	1996-09-04	PRIJEM	VKLAD	12900	24179	\N	\N	\N
1059822	3622	1996-10-04	PRIJEM	VKLAD	10000	22229	\N	\N	\N
1059823	3622	1996-11-03	PRIJEM	VKLAD	14700	24975	\N	\N	\N
1059824	3622	1996-12-03	PRIJEM	VKLAD	8400	21427	\N	\N	\N
1059825	3622	1997-01-02	PRIJEM	VKLAD	12500	21971	\N	\N	\N
1059826	3622	1997-02-01	PRIJEM	VKLAD	11800	21813	\N	\N	\N
1059827	3622	1997-03-03	PRIJEM	VKLAD	12300	22155	\N	\N	\N
1059828	3622	1997-04-02	PRIJEM	VKLAD	11900	22097	\N	\N	\N
1059829	3622	1997-05-02	PRIJEM	VKLAD	15000	25140	\N	\N	\N
1059830	3622	1997-06-01	PRIJEM	VKLAD	11600	24791	\N	\N	\N
1059831	3622	1997-07-01	PRIJEM	VKLAD	12200	25046	\N	\N	\N
1059832	3622	1997-07-31	VYDAJ	VYBER	7100	35819	\N	\N	\N
1059833	3622	1997-08-30	PRIJEM	VKLAD	4000	27820	\N	\N	\N
1059834	3622	1997-09-29	PRIJEM	VKLAD	10900	26838	\N	\N	\N
1059835	3622	1997-10-29	PRIJEM	VKLAD	11200	26126	\N	\N	\N
1059836	3622	1997-11-28	PRIJEM	VKLAD	14500	28710	\N	\N	\N
1059837	3622	1997-12-28	PRIJEM	VKLAD	15600	27293	\N	\N	\N
1059838	3622	1998-01-27	PRIJEM	VKLAD	13100	28473	\N	\N	\N
1059839	3622	1998-02-26	PRIJEM	VKLAD	12900	29463	\N	\N	\N
1059840	3622	1998-03-28	PRIJEM	VKLAD	13100	30657	\N	\N	\N
1059841	3622	1998-04-27	PRIJEM	VKLAD	14400	53242	\N	\N	\N
1059842	3622	1998-05-27	PRIJEM	VKLAD	14700	39881	\N	\N	\N
1059843	3622	1998-06-26	PRIJEM	VKLAD	15700	43713	\N	\N	\N
1059844	3622	1998-07-26	PRIJEM	VKLAD	13100	44958	\N	\N	\N
1059845	3622	1998-08-25	PRIJEM	VKLAD	18700	43715	\N	\N	\N
1059846	3622	1998-09-24	PRIJEM	VKLAD	20800	46354	\N	\N	\N
1059847	3622	1998-10-24	PRIJEM	VKLAD	23300	36361	\N	\N	\N
1059848	3622	1998-11-23	PRIJEM	VKLAD	13400	43383	\N	\N	\N
1059849	3622	1998-12-23	PRIJEM	VKLAD	12100	41414	\N	\N	\N
1059900	3623	1995-02-12	PRIJEM	VKLAD	600	600	\N	\N	\N
1059903	3623	1995-03-05	PRIJEM	PREVOD Z UCTU	3893	4493	\N	EF	61949133
1059904	3623	1995-04-05	PRIJEM	PREVOD Z UCTU	3893	19023	\N	EF	61949133
1059905	3623	1995-05-05	PRIJEM	PREVOD Z UCTU	3893	25695	\N	EF	61949133
1059906	3623	1995-06-05	PRIJEM	PREVOD Z UCTU	3893	27784	\N	EF	61949133
1059907	3623	1995-07-05	PRIJEM	PREVOD Z UCTU	3893	30884	\N	EF	61949133
1059908	3623	1995-08-05	PRIJEM	PREVOD Z UCTU	3893	30780	\N	EF	61949133
1059909	3623	1995-09-05	PRIJEM	PREVOD Z UCTU	3893	32881	\N	EF	61949133
1059910	3623	1995-10-05	PRIJEM	PREVOD Z UCTU	3893	28186	\N	EF	61949133
1059911	3623	1995-11-05	PRIJEM	PREVOD Z UCTU	3893	26971	\N	EF	61949133
1059912	3623	1995-12-05	PRIJEM	PREVOD Z UCTU	3893	28378	\N	EF	61949133
1059913	3623	1996-01-05	PRIJEM	PREVOD Z UCTU	3893	26449	\N	EF	61949133
1059914	3623	1996-02-05	PRIJEM	PREVOD Z UCTU	3893	28134	\N	EF	61949133
1059915	3623	1996-03-05	PRIJEM	PREVOD Z UCTU	3893	26568	\N	EF	61949133
1059916	3623	1996-04-05	PRIJEM	PREVOD Z UCTU	3893	30660	\N	EF	61949133
1059917	3623	1996-05-05	PRIJEM	PREVOD Z UCTU	3893	29353	\N	EF	61949133
1059918	3623	1996-06-05	PRIJEM	PREVOD Z UCTU	3893	28254	\N	EF	61949133
1059919	3623	1996-07-05	PRIJEM	PREVOD Z UCTU	3893	17690	\N	EF	61949133
1059920	3623	1996-08-05	PRIJEM	PREVOD Z UCTU	3893	23553	\N	EF	61949133
1059921	3623	1996-09-05	PRIJEM	PREVOD Z UCTU	3893	31136	\N	EF	61949133
1059922	3623	1996-10-05	PRIJEM	PREVOD Z UCTU	3893	32539	\N	EF	61949133
1059923	3623	1996-11-05	PRIJEM	PREVOD Z UCTU	3893	32045	\N	EF	61949133
1059924	3623	1996-12-05	PRIJEM	PREVOD Z UCTU	3893	31054	\N	EF	61949133
1059925	3623	1997-01-05	PRIJEM	PREVOD Z UCTU	3893	26609	\N	EF	61949133
1059926	3623	1997-02-05	PRIJEM	PREVOD Z UCTU	3893	26397	\N	EF	61949133
1059927	3623	1997-03-05	PRIJEM	PREVOD Z UCTU	3893	23683	\N	EF	61949133
1059928	3623	1997-04-05	PRIJEM	PREVOD Z UCTU	3893	26458	\N	EF	61949133
1059929	3623	1997-05-05	PRIJEM	PREVOD Z UCTU	3893	30528	\N	EF	61949133
1059930	3623	1997-06-05	PRIJEM	PREVOD Z UCTU	3893	31927	\N	EF	61949133
1059931	3623	1997-07-05	PRIJEM	PREVOD Z UCTU	3893	27799	\N	EF	61949133
1059932	3623	1997-08-05	PRIJEM	PREVOD Z UCTU	3893	27491	\N	EF	61949133
1059933	3623	1997-09-05	PRIJEM	PREVOD Z UCTU	3893	27505	\N	EF	61949133
1059934	3623	1997-10-05	PRIJEM	PREVOD Z UCTU	3893	26990	\N	EF	61949133
1059935	3623	1997-11-05	PRIJEM	PREVOD Z UCTU	3893	26272	\N	EF	61949133
1059936	3623	1997-12-05	PRIJEM	PREVOD Z UCTU	3893	24050	\N	EF	61949133
1059937	3623	1998-01-05	PRIJEM	PREVOD Z UCTU	3893	21758	\N	EF	61949133
1059938	3623	1998-02-05	PRIJEM	PREVOD Z UCTU	3893	20046	\N	EF	61949133
1059939	3623	1998-03-05	PRIJEM	PREVOD Z UCTU	3893	20198	\N	EF	61949133
1059940	3623	1998-04-05	PRIJEM	PREVOD Z UCTU	3893	20979	\N	EF	61949133
1059941	3623	1998-05-05	PRIJEM	PREVOD Z UCTU	3893	23637	\N	EF	61949133
1059942	3623	1998-06-05	PRIJEM	PREVOD Z UCTU	3893	20002	\N	EF	61949133
1059943	3623	1998-07-05	PRIJEM	PREVOD Z UCTU	3893	19225	\N	EF	61949133
1059944	3623	1998-08-05	PRIJEM	PREVOD Z UCTU	3893	19178	\N	EF	61949133
1059945	3623	1998-09-05	PRIJEM	PREVOD Z UCTU	3893	22279	\N	EF	61949133
1059946	3623	1998-10-05	PRIJEM	PREVOD Z UCTU	3893	18436	\N	EF	61949133
1059947	3623	1998-11-05	PRIJEM	PREVOD Z UCTU	3893	22085	\N	EF	61949133
1059948	3623	1998-12-05	PRIJEM	PREVOD Z UCTU	3893	18942	\N	EF	61949133
1059955	3623	1995-07-13	VYDAJ	PREVOD NA UCET	2490	26789	SIPO	OP	63441431
1059956	3623	1995-08-13	VYDAJ	PREVOD NA UCET	2490	28885	SIPO	OP	63441431
1059957	3623	1995-09-13	VYDAJ	PREVOD NA UCET	2490	25486	SIPO	OP	63441431
1059958	3623	1995-10-13	VYDAJ	PREVOD NA UCET	2490	22991	SIPO	OP	63441431
1059959	3623	1995-11-13	VYDAJ	PREVOD NA UCET	2490	24876	SIPO	OP	63441431
1059960	3623	1995-12-13	VYDAJ	PREVOD NA UCET	2490	22473	SIPO	OP	63441431
1059961	3623	1996-01-13	VYDAJ	PREVOD NA UCET	2490	25054	SIPO	OP	63441431
1059962	3623	1996-02-13	VYDAJ	PREVOD NA UCET	2490	23939	SIPO	OP	63441431
1059963	3623	1996-03-13	VYDAJ	PREVOD NA UCET	2490	26673	SIPO	OP	63441431
1059964	3623	1996-04-13	VYDAJ	PREVOD NA UCET	2490	25365	SIPO	OP	63441431
1059965	3623	1996-05-13	VYDAJ	PREVOD NA UCET	2490	25558	SIPO	OP	63441431
1059966	3623	1996-06-13	VYDAJ	PREVOD NA UCET	2490	13739	SIPO	OP	63441431
1059967	3623	1996-07-13	VYDAJ	PREVOD NA UCET	2490	19595	SIPO	OP	63441431
1059968	3623	1996-08-13	VYDAJ	PREVOD NA UCET	2490	24858	SIPO	OP	63441431
1059969	3623	1996-09-13	VYDAJ	PREVOD NA UCET	2490	28541	SIPO	OP	63441431
1059970	3623	1996-10-13	VYDAJ	PREVOD NA UCET	2490	29944	SIPO	OP	63441431
1059971	3623	1996-11-13	VYDAJ	PREVOD NA UCET	2490	29450	SIPO	OP	63441431
1059972	3623	1996-12-13	VYDAJ	PREVOD NA UCET	2490	28459	SIPO	OP	63441431
1059973	3623	1997-01-13	VYDAJ	PREVOD NA UCET	2490	24014	SIPO	OP	63441431
1059974	3623	1997-02-13	VYDAJ	PREVOD NA UCET	2490	23802	SIPO	OP	63441431
1059975	3623	1997-03-13	VYDAJ	PREVOD NA UCET	2490	21088	SIPO	OP	63441431
1059976	3623	1997-04-13	VYDAJ	PREVOD NA UCET	2490	22753	SIPO	OP	63441431
1059977	3623	1997-05-13	VYDAJ	PREVOD NA UCET	2490	27933	SIPO	OP	63441431
1059978	3623	1997-06-13	VYDAJ	PREVOD NA UCET	2490	29332	SIPO	OP	63441431
1059979	3623	1997-07-13	VYDAJ	PREVOD NA UCET	2490	25204	SIPO	OP	63441431
1059980	3623	1997-08-13	VYDAJ	PREVOD NA UCET	2490	24896	SIPO	OP	63441431
1059981	3623	1997-09-13	VYDAJ	PREVOD NA UCET	2490	24910	SIPO	OP	63441431
1059982	3623	1997-10-13	VYDAJ	PREVOD NA UCET	2490	24395	SIPO	OP	63441431
1059983	3623	1997-11-13	VYDAJ	PREVOD NA UCET	2490	23677	SIPO	OP	63441431
1059984	3623	1997-12-13	VYDAJ	PREVOD NA UCET	2490	21095	SIPO	OP	63441431
1059985	3623	1998-01-13	VYDAJ	PREVOD NA UCET	2490	19163	SIPO	OP	63441431
1059986	3623	1998-02-13	VYDAJ	PREVOD NA UCET	2490	17451	SIPO	OP	63441431
1059987	3623	1998-03-13	VYDAJ	PREVOD NA UCET	2490	17603	SIPO	OP	63441431
1059988	3623	1998-04-13	VYDAJ	PREVOD NA UCET	2490	18384	SIPO	OP	63441431
1059989	3623	1998-05-13	VYDAJ	PREVOD NA UCET	2490	21042	SIPO	OP	63441431
1059990	3623	1998-06-13	VYDAJ	PREVOD NA UCET	2490	16507	SIPO	OP	63441431
1059991	3623	1998-07-13	VYDAJ	PREVOD NA UCET	2490	16630	SIPO	OP	63441431
1059992	3623	1998-08-13	VYDAJ	PREVOD NA UCET	2490	16583	SIPO	OP	63441431
1059993	3623	1998-09-13	VYDAJ	PREVOD NA UCET	2490	19684	SIPO	OP	63441431
1059994	3623	1998-10-13	VYDAJ	PREVOD NA UCET	2490	15841	SIPO	OP	63441431
1059995	3623	1998-11-13	VYDAJ	PREVOD NA UCET	2490	19490	SIPO	OP	63441431
1059996	3623	1998-12-13	VYDAJ	PREVOD NA UCET	2490	16347	SIPO	OP	63441431
1060003	3623	1995-07-12	VYDAJ	PREVOD NA UCET	105	30779	 	YZ	12989753
1060004	3623	1995-08-12	VYDAJ	PREVOD NA UCET	105	31375	 	YZ	12989753
1060005	3623	1995-09-12	VYDAJ	PREVOD NA UCET	105	27976	 	YZ	12989753
1060006	3623	1995-10-12	VYDAJ	PREVOD NA UCET	105	25481	 	YZ	12989753
1060007	3623	1995-11-12	VYDAJ	PREVOD NA UCET	105	27366	 	YZ	12989753
1060008	3623	1995-12-12	VYDAJ	PREVOD NA UCET	105	24963	 	YZ	12989753
1060009	3623	1996-01-12	VYDAJ	PREVOD NA UCET	105	27544	 	YZ	12989753
1060010	3623	1996-02-12	VYDAJ	PREVOD NA UCET	105	26429	 	YZ	12989753
1060011	3623	1996-03-12	VYDAJ	PREVOD NA UCET	105	29163	 	YZ	12989753
1060012	3623	1996-04-12	VYDAJ	PREVOD NA UCET	105	27855	 	YZ	12989753
1060013	3623	1996-05-12	VYDAJ	PREVOD NA UCET	105	28048	 	YZ	12989753
1060014	3623	1996-06-12	VYDAJ	PREVOD NA UCET	105	16229	 	YZ	12989753
1060015	3623	1996-07-12	VYDAJ	PREVOD NA UCET	105	22085	 	YZ	12989753
1060016	3623	1996-08-12	VYDAJ	PREVOD NA UCET	105	27348	 	YZ	12989753
1060017	3623	1996-09-12	VYDAJ	PREVOD NA UCET	105	31031	 	YZ	12989753
1060018	3623	1996-10-12	VYDAJ	PREVOD NA UCET	105	32434	 	YZ	12989753
1060019	3623	1996-11-12	VYDAJ	PREVOD NA UCET	105	31940	 	YZ	12989753
1060020	3623	1996-12-12	VYDAJ	PREVOD NA UCET	105	30949	 	YZ	12989753
1060021	3623	1997-01-12	VYDAJ	PREVOD NA UCET	105	26504	 	YZ	12989753
1060022	3623	1997-02-12	VYDAJ	PREVOD NA UCET	105	26292	 	YZ	12989753
1060023	3623	1997-03-12	VYDAJ	PREVOD NA UCET	105	23578	 	YZ	12989753
1060024	3623	1997-04-12	VYDAJ	PREVOD NA UCET	105	25243	 	YZ	12989753
1060025	3623	1997-05-12	VYDAJ	PREVOD NA UCET	105	30423	 	YZ	12989753
1060026	3623	1997-06-12	VYDAJ	PREVOD NA UCET	105	31822	 	YZ	12989753
1060027	3623	1997-07-12	VYDAJ	PREVOD NA UCET	105	27694	 	YZ	12989753
1060028	3623	1997-08-12	VYDAJ	PREVOD NA UCET	105	27386	 	YZ	12989753
1060029	3623	1997-09-12	VYDAJ	PREVOD NA UCET	105	27400	 	YZ	12989753
1060030	3623	1997-10-12	VYDAJ	PREVOD NA UCET	105	26885	 	YZ	12989753
1060031	3623	1997-11-12	VYDAJ	PREVOD NA UCET	105	26167	 	YZ	12989753
1060032	3623	1997-12-12	VYDAJ	PREVOD NA UCET	105	23585	 	YZ	12989753
1060033	3623	1998-01-12	VYDAJ	PREVOD NA UCET	105	21653	 	YZ	12989753
1060034	3623	1998-02-12	VYDAJ	PREVOD NA UCET	105	19941	 	YZ	12989753
1060035	3623	1998-03-12	VYDAJ	PREVOD NA UCET	105	20093	 	YZ	12989753
1060036	3623	1998-04-12	VYDAJ	PREVOD NA UCET	105	20874	 	YZ	12989753
1060037	3623	1998-05-12	VYDAJ	PREVOD NA UCET	105	23532	 	YZ	12989753
1060038	3623	1998-06-12	VYDAJ	PREVOD NA UCET	105	18997	 	YZ	12989753
1060039	3623	1998-07-12	VYDAJ	PREVOD NA UCET	105	19120	 	YZ	12989753
1060040	3623	1998-08-12	VYDAJ	PREVOD NA UCET	105	19073	 	YZ	12989753
1060041	3623	1998-09-12	VYDAJ	PREVOD NA UCET	105	22174	 	YZ	12989753
1060042	3623	1998-10-12	VYDAJ	PREVOD NA UCET	105	18331	 	YZ	12989753
1060043	3623	1998-11-12	VYDAJ	PREVOD NA UCET	105	21980	 	YZ	12989753
1060044	3623	1998-12-12	VYDAJ	PREVOD NA UCET	105	18837	 	YZ	12989753
1060046	3623	1996-06-11	VYDAJ	VYBER	7920	16334	\N	\N	\N
1060047	3623	1997-06-25	VYDAJ	VYBER	1830	27502	\N	\N	\N
1060049	3623	1995-12-08	VYDAJ	VYBER	810	27568	\N	\N	\N
1060050	3623	1996-12-27	VYDAJ	VYBER	450	28009	\N	\N	\N
1060051	3623	1997-12-11	VYDAJ	VYBER	360	23690	\N	\N	\N
1060052	3623	1998-12-29	VYDAJ	VYBER	450	14497	\N	\N	\N
1060054	3623	1995-10-02	VYDAJ	VYBER	1290	24293	\N	\N	\N
1060055	3623	1995-11-28	VYDAJ	VYBER	480	24396	\N	\N	\N
1060056	3623	1996-01-14	VYDAJ	VYBER	450	24604	\N	\N	\N
1060057	3623	1996-01-27	VYDAJ	VYBER	270	24154	\N	\N	\N
1060058	3623	1996-01-26	VYDAJ	VYBER	180	24424	\N	\N	\N
1060059	3623	1996-02-20	VYDAJ	VYBER	1350	22589	\N	\N	\N
1060060	3623	1996-05-28	VYDAJ	VYBER	1290	24268	\N	\N	\N
1060061	3623	1997-12-23	VYDAJ	VYBER	300	20795	\N	\N	\N
1060062	3623	1997-08-31	VYDAJ	VYBER	1170	23627	\N	\N	\N
1060063	3623	1997-04-07	VYDAJ	VYBER	1110	25348	\N	\N	\N
1060064	3623	1998-03-17	VYDAJ	VYBER	1230	16373	\N	\N	\N
1060065	3623	1998-01-18	VYDAJ	VYBER	570	18593	\N	\N	\N
1060067	3623	1998-03-19	VYDAJ	VYBER	1440	14933	\N	\N	\N
1060068	3623	1998-08-17	VYDAJ	VYBER	150	16433	\N	\N	\N
1060069	3623	1998-06-06	VYDAJ	VYBER	900	19102	\N	\N	\N
1060070	3623	1998-07-01	VYDAJ	VYBER	1230	15332	\N	\N	\N
1060078	3623	1995-07-31	VYDAJ	VYBER	15	26887	SLUZBY	\N	\N
1060079	3623	1995-08-31	VYDAJ	VYBER	15	28988	SLUZBY	\N	\N
1060080	3623	1995-09-30	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
1060081	3623	1995-10-31	VYDAJ	VYBER	15	23078	SLUZBY	\N	\N
1060082	3623	1995-11-30	VYDAJ	VYBER	15	24485	SLUZBY	\N	\N
1060083	3623	1995-12-31	VYDAJ	VYBER	15	22556	SLUZBY	\N	\N
1060084	3623	1996-01-31	VYDAJ	VYBER	15	24241	SLUZBY	\N	\N
1060085	3623	1996-02-29	VYDAJ	VYBER	15	22675	SLUZBY	\N	\N
1060086	3623	1996-03-31	VYDAJ	VYBER	15	26767	SLUZBY	\N	\N
1060087	3623	1996-04-30	VYDAJ	VYBER	15	25460	SLUZBY	\N	\N
1060088	3623	1996-05-31	VYDAJ	VYBER	15	24361	SLUZBY	\N	\N
1060089	3623	1996-06-30	VYDAJ	VYBER	15	13797	SLUZBY	\N	\N
1060090	3623	1996-07-31	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
1060091	3623	1996-08-31	VYDAJ	VYBER	15	24943	SLUZBY	\N	\N
1060092	3623	1996-09-30	VYDAJ	VYBER	15	28646	SLUZBY	\N	\N
1060093	3623	1996-10-31	VYDAJ	VYBER	15	30052	SLUZBY	\N	\N
1060094	3623	1996-11-30	VYDAJ	VYBER	15	29561	SLUZBY	\N	\N
1060095	3623	1996-12-31	VYDAJ	VYBER	15	28116	SLUZBY	\N	\N
1060096	3623	1997-01-31	VYDAJ	VYBER	15	24104	SLUZBY	\N	\N
1060097	3623	1997-02-28	VYDAJ	VYBER	15	23890	SLUZBY	\N	\N
1060098	3623	1997-03-31	VYDAJ	VYBER	15	21165	SLUZBY	\N	\N
1060099	3623	1997-04-30	VYDAJ	VYBER	15	22835	SLUZBY	\N	\N
1060100	3623	1997-05-31	VYDAJ	VYBER	15	28034	SLUZBY	\N	\N
1060101	3623	1997-06-30	VYDAJ	VYBER	15	27606	SLUZBY	\N	\N
1060102	3623	1997-07-31	VYDAJ	VYBER	15	23598	SLUZBY	\N	\N
1060103	3623	1997-08-31	VYDAJ	VYBER	15	23612	SLUZBY	\N	\N
1060104	3623	1997-09-30	VYDAJ	VYBER	15	23097	SLUZBY	\N	\N
1060105	3623	1997-10-31	VYDAJ	VYBER	15	22379	SLUZBY	\N	\N
1060106	3623	1997-11-30	VYDAJ	VYBER	15	20157	SLUZBY	\N	\N
1060107	3623	1997-12-31	VYDAJ	VYBER	15	17865	SLUZBY	\N	\N
1060108	3623	1998-01-31	VYDAJ	VYBER	15	16153	SLUZBY	\N	\N
1060109	3623	1998-02-28	VYDAJ	VYBER	15	16305	SLUZBY	\N	\N
1060110	3623	1998-03-31	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
1060111	3623	1998-04-30	VYDAJ	VYBER	15	19744	SLUZBY	\N	\N
1060112	3623	1998-05-31	VYDAJ	VYBER	15	16109	SLUZBY	\N	\N
1060113	3623	1998-06-30	VYDAJ	VYBER	15	16562	SLUZBY	\N	\N
1060114	3623	1998-07-31	VYDAJ	VYBER	15	15285	SLUZBY	\N	\N
1060115	3623	1998-08-31	VYDAJ	VYBER	15	18386	SLUZBY	\N	\N
1060116	3623	1998-09-30	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
1060117	3623	1998-10-31	VYDAJ	VYBER	15	18192	SLUZBY	\N	\N
1060118	3623	1998-11-30	VYDAJ	VYBER	15	15049	SLUZBY	\N	\N
1060119	3623	1995-03-14	PRIJEM	VKLAD	10600	15093	\N	\N	\N
1060120	3623	1995-04-13	PRIJEM	VKLAD	2700	21723	\N	\N	\N
1060121	3623	1995-05-13	VYDAJ	VYBER	1900	23795	\N	\N	\N
1060122	3623	1995-06-12	VYDAJ	VYBER	900	26884	\N	\N	\N
1060123	3623	1995-07-12	VYDAJ	VYBER	1500	29279	\N	\N	\N
1060124	3623	1995-08-11	PRIJEM	VKLAD	700	31480	\N	\N	\N
1060125	3623	1995-09-10	VYDAJ	VYBER	4800	28081	\N	\N	\N
1060126	3623	1995-10-10	VYDAJ	VYBER	2600	25586	\N	\N	\N
1060127	3623	1995-11-09	PRIJEM	VKLAD	500	27471	\N	\N	\N
1060128	3623	1995-12-09	VYDAJ	VYBER	2500	25068	\N	\N	\N
1060129	3623	1996-01-08	PRIJEM	VKLAD	1200	27649	\N	\N	\N
1060130	3623	1996-02-07	VYDAJ	VYBER	1600	26534	\N	\N	\N
1060131	3623	1996-03-08	PRIJEM	VKLAD	2700	29268	\N	\N	\N
1060132	3623	1996-04-07	VYDAJ	VYBER	2700	27960	\N	\N	\N
1060133	3623	1996-05-07	VYDAJ	VYBER	1200	28153	\N	\N	\N
1060134	3623	1996-06-06	VYDAJ	VYBER	4000	24254	\N	\N	\N
1060135	3623	1996-07-06	PRIJEM	VKLAD	4500	22190	\N	\N	\N
1060136	3623	1996-08-05	PRIJEM	VKLAD	3900	27453	\N	\N	\N
1060137	3623	1996-09-04	PRIJEM	VKLAD	2300	27243	\N	\N	\N
1060138	3623	1996-11-03	VYDAJ	VYBER	1900	28152	\N	\N	\N
1060139	3623	1996-12-03	VYDAJ	VYBER	2400	27161	\N	\N	\N
1060140	3623	1997-01-02	VYDAJ	VYBER	5400	22716	\N	\N	\N
1060141	3623	1997-02-01	VYDAJ	VYBER	1600	22504	\N	\N	\N
1060142	3623	1997-03-03	VYDAJ	VYBER	4100	19790	\N	\N	\N
1060143	3623	1997-04-02	PRIJEM	VKLAD	1400	22565	\N	\N	\N
1060144	3623	1997-05-02	PRIJEM	VKLAD	3800	26635	\N	\N	\N
1060145	3623	1997-07-01	VYDAJ	VYBER	3700	23906	\N	\N	\N
1060146	3623	1997-07-31	VYDAJ	VYBER	1700	23612	\N	\N	\N
1060147	3623	1997-08-30	VYDAJ	VYBER	200	24696	\N	\N	\N
1060148	3623	1997-09-29	VYDAJ	VYBER	1900	23010	\N	\N	\N
1060149	3623	1997-10-29	VYDAJ	VYBER	2100	22295	\N	\N	\N
1060150	3623	1997-11-28	VYDAJ	VYBER	3600	20077	\N	\N	\N
1060151	3623	1997-12-28	VYDAJ	VYBER	3000	17795	\N	\N	\N
1060152	3623	1998-01-27	VYDAJ	VYBER	2500	16093	\N	\N	\N
1060153	3623	1998-02-26	VYDAJ	VYBER	1200	16251	\N	\N	\N
1060154	3623	1998-03-28	PRIJEM	VKLAD	2100	17033	\N	\N	\N
1060155	3623	1998-04-27	PRIJEM	VKLAD	1300	19684	\N	\N	\N
1060156	3623	1998-05-27	VYDAJ	VYBER	5000	16042	\N	\N	\N
1060157	3623	1998-07-26	VYDAJ	VYBER	1400	15230	\N	\N	\N
1060158	3623	1998-08-25	PRIJEM	VKLAD	1900	18333	\N	\N	\N
1060159	3623	1998-09-24	VYDAJ	VYBER	5200	14484	\N	\N	\N
1060160	3623	1998-10-24	PRIJEM	VKLAD	2300	18141	\N	\N	\N
1060161	3623	1998-11-23	VYDAJ	VYBER	4500	14990	\N	\N	\N
1060162	3623	1998-12-23	VYDAJ	VYBER	1400	14947	\N	\N	\N
1060209	3624	1995-05-30	PRIJEM	VKLAD	800	800	\N	\N	\N
1060210	3624	1995-08-29	PRIJEM	VKLAD	42479	70571	\N	\N	\N
1060212	3624	1995-06-10	PRIJEM	VKLAD	46801	47601	\N	\N	\N
1060214	3624	1995-08-04	PRIJEM	VKLAD	5498	55438	\N	\N	\N
1060216	3624	1995-08-05	PRIJEM	VKLAD	9869	65307	\N	\N	\N
1060219	3624	1995-06-11	PRIJEM	VKLAD	25664	73265	\N	\N	\N
1060222	3624	1995-09-28	PRIJEM	VKLAD	5694	56531	\N	\N	\N
1060223	3624	1995-08-23	PRIJEM	VKLAD	9044	44092	\N	\N	\N
1060226	3624	1995-11-13	PRIJEM	VKLAD	44321	70061	\N	\N	\N
1060227	3624	1995-11-10	PRIJEM	VKLAD	10264	19129	\N	\N	\N
1060229	3624	1995-11-10	PRIJEM	VKLAD	6611	25740	\N	\N	\N
1060230	3624	1995-07-12	PRIJEM	VKLAD	31085	77446	\N	\N	\N
1060232	3624	1995-09-02	PRIJEM	VKLAD	39451	110190	\N	\N	\N
1060233	3624	1995-12-02	PRIJEM	VKLAD	6309	51431	\N	\N	\N
1060235	3624	1996-09-14	PRIJEM	VKLAD	47928	94645	\N	\N	\N
1060236	3624	1996-01-01	PRIJEM	VKLAD	35615	51194	\N	\N	\N
1060237	3624	1996-01-31	PRIJEM	VKLAD	27245	45879	\N	\N	\N
1060238	3624	1996-02-02	PRIJEM	VKLAD	41440	87289	\N	\N	\N
1060239	3624	1996-03-08	PRIJEM	VKLAD	7439	82780	\N	\N	\N
1060240	3624	1996-11-06	PRIJEM	VKLAD	23171	98663	\N	\N	\N
1060241	3624	1996-07-15	PRIJEM	VKLAD	22868	30659	\N	\N	\N
1060242	3624	1996-08-09	PRIJEM	VKLAD	25647	37775	\N	\N	\N
1060243	3624	1996-09-02	PRIJEM	VKLAD	32698	58670	\N	\N	\N
1060244	3624	1996-10-17	PRIJEM	VKLAD	46993	85881	\N	\N	\N
1060245	3624	1996-02-25	PRIJEM	VKLAD	25672	75017	\N	\N	\N
1060246	3624	1996-02-10	PRIJEM	VKLAD	36509	111845	\N	\N	\N
1060247	3624	1996-11-01	PRIJEM	VKLAD	46121	90192	\N	\N	\N
1060248	3624	1996-11-20	PRIJEM	VKLAD	38813	125523	\N	\N	\N
1060249	3624	1998-10-03	PRIJEM	VKLAD	34231	55477	\N	\N	\N
1060250	3624	1998-01-22	PRIJEM	VKLAD	49573	58696	\N	\N	\N
1060251	3624	1998-07-06	PRIJEM	VKLAD	15439	48455	\N	\N	\N
1060252	3624	1998-09-02	PRIJEM	VKLAD	25837	50619	\N	\N	\N
1060253	3624	1998-04-11	PRIJEM	VKLAD	30351	33002	\N	\N	\N
1060254	3624	1998-11-30	PRIJEM	VKLAD	11877	60320	\N	\N	\N
1060255	3624	1998-11-14	PRIJEM	VKLAD	11259	48443	\N	\N	\N
1060256	3624	1998-11-07	PRIJEM	VKLAD	33965	49137	\N	\N	\N
1060257	3624	1998-06-23	PRIJEM	VKLAD	20230	22241	\N	\N	\N
1060258	3624	1998-09-07	PRIJEM	VKLAD	26307	76926	\N	\N	\N
1060259	3624	1998-07-03	PRIJEM	VKLAD	10739	33016	\N	\N	\N
1060267	3624	1995-08-08	VYDAJ	PREVOD NA UCET	11953	53354	SIPO	GH	76964914
1060268	3624	1995-09-08	VYDAJ	PREVOD NA UCET	11953	80137	SIPO	GH	76964914
1060269	3624	1995-10-08	VYDAJ	PREVOD NA UCET	11953	44892	SIPO	GH	76964914
1060270	3624	1995-11-08	VYDAJ	PREVOD NA UCET	11953	8865	SIPO	GH	76964914
1060271	3624	1995-12-08	VYDAJ	PREVOD NA UCET	11953	13827	SIPO	GH	76964914
1060272	3624	1996-01-08	VYDAJ	PREVOD NA UCET	11953	39241	SIPO	GH	76964914
1060273	3624	1996-02-08	VYDAJ	PREVOD NA UCET	11953	75336	SIPO	GH	76964914
1060274	3624	1996-03-08	VYDAJ	PREVOD NA UCET	11953	70827	SIPO	GH	76964914
1060275	3624	1996-04-08	VYDAJ	PREVOD NA UCET	11953	23191	SIPO	GH	76964914
1060276	3624	1996-05-08	VYDAJ	PREVOD NA UCET	11953	7739	SIPO	GH	76964914
1060279	3624	1996-08-08	VYDAJ	PREVOD NA UCET	11953	12128	SIPO	GH	76964914
1060280	3624	1996-09-08	VYDAJ	PREVOD NA UCET	11953	46717	SIPO	GH	76964914
1060281	3624	1996-10-08	VYDAJ	PREVOD NA UCET	11953	38888	SIPO	GH	76964914
1060282	3624	1996-11-08	VYDAJ	PREVOD NA UCET	11953	86710	SIPO	GH	76964914
1060283	3624	1996-12-08	VYDAJ	PREVOD NA UCET	11953	44341	SIPO	GH	76964914
1060284	3624	1997-01-08	VYDAJ	PREVOD NA UCET	11953	9019	SIPO	GH	76964914
1060297	3624	1998-02-08	VYDAJ	PREVOD NA UCET	11953	14499	SIPO	GH	76964914
1060298	3624	1998-03-08	VYDAJ	PREVOD NA UCET	11953	2623	SIPO	GH	76964914
1060300	3624	1998-05-08	VYDAJ	PREVOD NA UCET	11953	13890	SIPO	GH	76964914
1060301	3624	1998-06-08	VYDAJ	PREVOD NA UCET	11953	2011	SIPO	GH	76964914
1060302	3624	1998-07-08	VYDAJ	PREVOD NA UCET	11953	36502	SIPO	GH	76964914
1060303	3624	1998-08-08	VYDAJ	PREVOD NA UCET	11953	24663	SIPO	GH	76964914
1060304	3624	1998-09-08	VYDAJ	PREVOD NA UCET	11953	57964	SIPO	GH	76964914
1060305	3624	1998-10-08	VYDAJ	PREVOD NA UCET	11953	43524	SIPO	GH	76964914
1060306	3624	1998-11-08	VYDAJ	PREVOD NA UCET	11953	37184	SIPO	GH	76964914
1060307	3624	1998-12-08	VYDAJ	PREVOD NA UCET	11953	48497	SIPO	GH	76964914
1060309	3624	1995-08-13	VYBER	VYBER	18306	35048	\N	\N	\N
1060312	3624	1995-12-05	VYBER	VYBER	22951	28480	\N	\N	\N
1060314	3624	1995-10-20	VYBER	VYBER	24722	20170	\N	\N	\N
1060334	3624	1998-09-07	VYBER	VYBER	7009	69917	\N	\N	\N
1060336	3624	1998-01-30	VYBER	VYBER	21788	26408	\N	\N	\N
1060346	3624	1995-12-07	VYDAJ	VYBER	2700	25780	\N	\N	\N
1060347	3624	1996-12-12	VYDAJ	VYBER	6300	38041	\N	\N	\N
1060358	3624	1996-01-09	VYDAJ	VYBER	5700	33541	\N	\N	\N
1060360	3624	1996-01-09	VYDAJ	VYBER	4500	29041	\N	\N	\N
1060361	3624	1996-01-13	VYDAJ	VYBER	7800	21241	\N	\N	\N
1060371	3624	1998-01-24	VYDAJ	VYBER	6300	52396	\N	\N	\N
1060373	3624	1998-01-26	VYDAJ	VYBER	4200	48196	\N	\N	\N
1060374	3624	1995-08-23	VYDAJ	VYBER	13200	30892	\N	\N	\N
1060379	3624	1996-03-12	VYDAJ	VYBER	10800	60027	\N	\N	\N
1060382	3624	1996-11-03	VYDAJ	VYBER	14700	75492	\N	\N	\N
1060388	3624	1997-01-02	VYDAJ	VYBER	2700	20972	\N	\N	\N
1060390	3624	1998-04-12	VYDAJ	VYBER	7200	25802	\N	\N	\N
1060400	3624	1995-08-31	VYDAJ	VYBER	30	70739	SLUZBY	\N	\N
1060401	3624	1995-09-30	VYDAJ	VYBER	30	56845	SLUZBY	\N	\N
1060402	3624	1995-10-31	VYDAJ	VYBER	30	20818	SLUZBY	\N	\N
1060403	3624	1995-11-30	VYDAJ	VYBER	30	45122	SLUZBY	\N	\N
1060404	3624	1995-12-31	VYDAJ	VYBER	30	15579	SLUZBY	\N	\N
1060405	3624	1996-01-31	VYDAJ	VYBER	30	45849	SLUZBY	\N	\N
1060406	3624	1996-02-29	VYDAJ	VYBER	30	75341	SLUZBY	\N	\N
1060407	3624	1996-03-31	VYDAJ	VYBER	30	35144	SLUZBY	\N	\N
1060408	3624	1996-04-30	VYDAJ	VYBER	30	19692	SLUZBY	\N	\N
1060409	3624	1996-05-31	VYDAJ	VYBER	30	7789	SLUZBY	\N	\N
1060410	3624	1996-06-30	VYDAJ	VYBER	30	7791	SLUZBY	\N	\N
1060411	3624	1996-07-31	VYDAJ	VYBER	30	24081	SLUZBY	\N	\N
1060412	3624	1996-08-31	VYDAJ	VYBER	30	25972	SLUZBY	\N	\N
1060413	3624	1996-09-30	VYDAJ	VYBER	30	50841	SLUZBY	\N	\N
1060414	3624	1996-10-31	VYDAJ	VYBER	30	44071	SLUZBY	\N	\N
1060415	3624	1996-11-30	VYDAJ	VYBER	30	56294	SLUZBY	\N	\N
1060416	3624	1996-12-31	VYDAJ	VYBER	30	23672	SLUZBY	\N	\N
1060417	3624	1997-01-31	VYDAJ	VYBER	30	9040	SLUZBY	\N	\N
1060418	3624	1997-02-28	VYDAJ	VYBER	30	9047	SLUZBY	\N	\N
1060419	3624	1997-03-31	VYDAJ	VYBER	30	9017	SLUZBY	\N	\N
1060420	3624	1997-04-30	VYDAJ	VYBER	30	9063	SLUZBY	\N	\N
1060421	3624	1997-05-31	VYDAJ	VYBER	30	9033	SLUZBY	\N	\N
1060422	3624	1997-06-30	VYDAJ	VYBER	30	9078	SLUZBY	\N	\N
1060423	3624	1997-07-31	VYDAJ	VYBER	30	9085	SLUZBY	\N	\N
1060424	3624	1997-08-31	VYDAJ	VYBER	30	9055	SLUZBY	\N	\N
1060425	3624	1997-09-30	VYDAJ	VYBER	30	9100	SLUZBY	\N	\N
1060426	3624	1997-10-31	VYDAJ	VYBER	30	9070	SLUZBY	\N	\N
1060427	3624	1997-11-30	VYDAJ	VYBER	30	9116	SLUZBY	\N	\N
1060428	3624	1997-12-31	VYDAJ	VYBER	30	9123	SLUZBY	\N	\N
1060429	3624	1998-01-31	VYDAJ	VYBER	30	26452	SLUZBY	\N	\N
1060430	3624	1998-02-28	VYDAJ	VYBER	30	14576	SLUZBY	\N	\N
1060431	3624	1998-03-31	VYDAJ	VYBER	30	2651	SLUZBY	\N	\N
1060432	3624	1998-04-30	VYDAJ	VYBER	30	25843	SLUZBY	\N	\N
1060433	3624	1998-05-31	VYDAJ	VYBER	30	13964	SLUZBY	\N	\N
1060434	3624	1998-06-30	VYDAJ	VYBER	30	22277	SLUZBY	\N	\N
1060435	3624	1998-07-31	VYDAJ	VYBER	30	36616	SLUZBY	\N	\N
1060436	3624	1998-08-31	VYDAJ	VYBER	30	24782	SLUZBY	\N	\N
1060437	3624	1998-09-30	VYDAJ	VYBER	30	21246	SLUZBY	\N	\N
1060438	3624	1998-10-31	VYDAJ	VYBER	30	15172	SLUZBY	\N	\N
1060439	3624	1998-11-30	VYDAJ	VYBER	30	60450	SLUZBY	\N	\N
1060440	3624	1995-06-29	VYDAJ	VYBER	27100	46165	\N	\N	\N
1060441	3624	1995-07-29	VYDAJ	VYBER	27700	49746	\N	\N	\N
1060442	3624	1995-08-28	VYDAJ	VYBER	2800	28092	\N	\N	\N
1060443	3624	1995-09-02	VYDAJ	VYBER	18100	92090	\N	\N	\N
1060444	3624	1995-09-27	VYDAJ	VYBER	29300	50837	\N	\N	\N
1060445	3624	1995-10-27	PRIJEM	VKLAD	500	20670	\N	\N	\N
1060446	3624	1995-11-26	VYDAJ	VYBER	25100	44961	\N	\N	\N
1060447	3624	1995-12-26	PRIJEM	VKLAD	1700	15527	\N	\N	\N
1060448	3624	1996-01-25	VYDAJ	VYBER	2700	18541	\N	\N	\N
1060449	3624	1996-02-10	VYDAJ	VYBER	31500	80345	\N	\N	\N
1060450	3624	1996-02-24	VYDAJ	VYBER	31000	49345	\N	\N	\N
1060451	3624	1996-03-25	VYDAJ	VYBER	25100	34927	\N	\N	\N
1060452	3624	1996-04-24	VYDAJ	VYBER	3600	19591	\N	\N	\N
1060453	3624	1996-07-23	VYDAJ	VYBER	6600	24059	\N	\N	\N
1060454	3624	1996-08-22	VYDAJ	VYBER	11900	25875	\N	\N	\N
1060455	3624	1996-09-21	VYDAJ	VYBER	44000	50645	\N	\N	\N
1060456	3624	1996-10-21	VYDAJ	VYBER	42000	43881	\N	\N	\N
1060457	3624	1996-11-20	VYDAJ	VYBER	23300	56023	\N	\N	\N
1060458	3624	1996-11-20	VYDAJ	VYBER	46200	79323	\N	\N	\N
1060459	3624	1996-12-20	VYDAJ	VYBER	14500	23541	\N	\N	\N
1060460	3624	1998-09-11	VYDAJ	VYBER	36800	21164	\N	\N	\N
1060461	3624	1998-10-11	VYDAJ	VYBER	28400	15124	\N	\N	\N
1060462	3624	1998-12-10	VYDAJ	VYBER	32000	16497	\N	\N	\N
1060508	3625	1994-08-22	PRIJEM	VKLAD	300	300	\N	\N	\N
1060517	3625	1994-09-13	PRIJEM	PREVOD Z UCTU	6974	7274	DUCHOD	OP	44360274
1060518	3625	1994-10-13	PRIJEM	PREVOD Z UCTU	6974	14248	DUCHOD	OP	44360274
1060519	3625	1994-11-13	PRIJEM	PREVOD Z UCTU	6974	21222	DUCHOD	OP	44360274
1060520	3625	1994-12-13	PRIJEM	PREVOD Z UCTU	6974	28196	DUCHOD	OP	44360274
1060521	3625	1995-01-13	PRIJEM	PREVOD Z UCTU	6974	34314	DUCHOD	OP	44360274
1060522	3625	1995-02-13	PRIJEM	PREVOD Z UCTU	6974	32100	DUCHOD	OP	44360274
1060523	3625	1995-03-13	PRIJEM	PREVOD Z UCTU	6974	28879	DUCHOD	OP	44360274
1060524	3625	1995-04-13	PRIJEM	PREVOD Z UCTU	6974	29531	DUCHOD	OP	44360274
1060525	3625	1995-05-13	PRIJEM	PREVOD Z UCTU	6974	32188	DUCHOD	OP	44360274
1060526	3625	1995-06-13	PRIJEM	PREVOD Z UCTU	6974	34055	DUCHOD	OP	44360274
1060527	3625	1995-07-13	PRIJEM	PREVOD Z UCTU	6974	22999	DUCHOD	OP	44360274
1060528	3625	1995-08-13	PRIJEM	PREVOD Z UCTU	6974	21665	DUCHOD	OP	44360274
1060529	3625	1995-09-13	PRIJEM	PREVOD Z UCTU	6974	24489	DUCHOD	OP	44360274
1060530	3625	1995-10-13	PRIJEM	PREVOD Z UCTU	6974	29329	DUCHOD	OP	44360274
1060531	3625	1995-11-13	PRIJEM	PREVOD Z UCTU	6974	31283	DUCHOD	OP	44360274
1060532	3625	1995-12-13	PRIJEM	PREVOD Z UCTU	6974	26540	DUCHOD	OP	44360274
1060533	3625	1996-01-13	PRIJEM	PREVOD Z UCTU	6974	22335	DUCHOD	OP	44360274
1060534	3625	1996-02-13	PRIJEM	PREVOD Z UCTU	6974	25263	DUCHOD	OP	44360274
1060535	3625	1996-03-13	PRIJEM	PREVOD Z UCTU	6974	30106	DUCHOD	OP	44360274
1060536	3625	1996-04-13	PRIJEM	PREVOD Z UCTU	6974	26131	DUCHOD	OP	44360274
1060537	3625	1996-05-13	PRIJEM	PREVOD Z UCTU	6974	28333	DUCHOD	OP	44360274
1060538	3625	1996-06-13	PRIJEM	PREVOD Z UCTU	6974	26472	DUCHOD	OP	44360274
1060539	3625	1996-07-13	PRIJEM	PREVOD Z UCTU	6974	24753	DUCHOD	OP	44360274
1060540	3625	1996-08-13	PRIJEM	PREVOD Z UCTU	6974	23295	DUCHOD	OP	44360274
1060541	3625	1996-09-13	PRIJEM	PREVOD Z UCTU	6974	25399	DUCHOD	OP	44360274
1060542	3625	1996-10-13	PRIJEM	PREVOD Z UCTU	6974	25145	DUCHOD	OP	44360274
1060543	3625	1996-11-13	PRIJEM	PREVOD Z UCTU	6974	24014	DUCHOD	OP	44360274
1060544	3625	1996-12-13	PRIJEM	PREVOD Z UCTU	6974	20059	DUCHOD	OP	44360274
1060545	3625	1997-01-13	PRIJEM	PREVOD Z UCTU	6974	19666	DUCHOD	OP	44360274
1060546	3625	1997-02-13	PRIJEM	PREVOD Z UCTU	6974	21164	DUCHOD	OP	44360274
1060547	3625	1997-03-13	PRIJEM	PREVOD Z UCTU	6974	20966	DUCHOD	OP	44360274
1060548	3625	1997-04-13	PRIJEM	PREVOD Z UCTU	6974	23393	DUCHOD	OP	44360274
1060549	3625	1997-05-13	PRIJEM	PREVOD Z UCTU	6974	21787	DUCHOD	OP	44360274
1060550	3625	1997-06-13	PRIJEM	PREVOD Z UCTU	6974	22121	DUCHOD	OP	44360274
1060551	3625	1997-07-13	PRIJEM	PREVOD Z UCTU	6974	18872	DUCHOD	OP	44360274
1060552	3625	1997-08-13	PRIJEM	PREVOD Z UCTU	6974	23893	DUCHOD	OP	44360274
1060553	3625	1997-09-13	PRIJEM	PREVOD Z UCTU	6974	19830	DUCHOD	OP	44360274
1060554	3625	1997-10-13	PRIJEM	PREVOD Z UCTU	6974	20564	DUCHOD	OP	44360274
1060555	3625	1997-11-13	PRIJEM	PREVOD Z UCTU	6974	23492	DUCHOD	OP	44360274
1060556	3625	1997-12-13	PRIJEM	PREVOD Z UCTU	6974	22027	DUCHOD	OP	44360274
1060557	3625	1998-01-13	PRIJEM	PREVOD Z UCTU	6974	19236	DUCHOD	OP	44360274
1060558	3625	1998-02-13	PRIJEM	PREVOD Z UCTU	6974	19797	DUCHOD	OP	44360274
1060559	3625	1998-03-13	PRIJEM	PREVOD Z UCTU	6974	19874	DUCHOD	OP	44360274
1060560	3625	1998-04-13	PRIJEM	PREVOD Z UCTU	6974	20493	DUCHOD	OP	44360274
1060561	3625	1998-05-13	PRIJEM	PREVOD Z UCTU	6974	19818	DUCHOD	OP	44360274
1060562	3625	1998-06-13	PRIJEM	PREVOD Z UCTU	6974	19280	DUCHOD	OP	44360274
1060563	3625	1998-07-13	PRIJEM	PREVOD Z UCTU	6974	18117	DUCHOD	OP	44360274
1060564	3625	1998-08-13	PRIJEM	PREVOD Z UCTU	6974	23131	DUCHOD	OP	44360274
1060565	3625	1998-09-13	PRIJEM	PREVOD Z UCTU	6974	28166	DUCHOD	OP	44360274
1060566	3625	1998-10-13	PRIJEM	PREVOD Z UCTU	6974	33220	DUCHOD	OP	44360274
1060567	3625	1998-11-13	PRIJEM	PREVOD Z UCTU	6974	35976	DUCHOD	OP	44360274
1060568	3625	1998-12-13	PRIJEM	PREVOD Z UCTU	6974	18258	DUCHOD	OP	44360274
1060582	3625	1995-02-05	VYDAJ	PREVOD NA UCET	1544	25126	SIPO	CD	78479534
1060583	3625	1995-03-05	VYDAJ	PREVOD NA UCET	1544	21905	SIPO	CD	78479534
1060584	3625	1995-04-05	VYDAJ	PREVOD NA UCET	1544	22557	SIPO	CD	78479534
1060585	3625	1995-05-05	VYDAJ	PREVOD NA UCET	1544	25214	SIPO	CD	78479534
1060586	3625	1995-06-05	VYDAJ	PREVOD NA UCET	1544	27081	SIPO	CD	78479534
1060587	3625	1995-07-05	VYDAJ	PREVOD NA UCET	1544	16025	SIPO	CD	78479534
1060588	3625	1995-08-05	VYDAJ	PREVOD NA UCET	1544	14691	SIPO	CD	78479534
1060589	3625	1995-09-05	VYDAJ	PREVOD NA UCET	1544	17515	SIPO	CD	78479534
1060590	3625	1995-10-05	VYDAJ	PREVOD NA UCET	1544	22355	SIPO	CD	78479534
1060591	3625	1995-11-05	VYDAJ	PREVOD NA UCET	1544	24309	SIPO	CD	78479534
1060592	3625	1995-12-05	VYDAJ	PREVOD NA UCET	1544	23126	SIPO	CD	78479534
1060593	3625	1996-01-05	VYDAJ	PREVOD NA UCET	1544	16761	SIPO	CD	78479534
1060594	3625	1996-02-05	VYDAJ	PREVOD NA UCET	1544	18289	SIPO	CD	78479534
1060595	3625	1996-03-05	VYDAJ	PREVOD NA UCET	1544	23132	SIPO	CD	78479534
1060596	3625	1996-04-05	VYDAJ	PREVOD NA UCET	1544	19157	SIPO	CD	78479534
1060597	3625	1996-05-05	VYDAJ	PREVOD NA UCET	1544	21359	SIPO	CD	78479534
1060598	3625	1996-06-05	VYDAJ	PREVOD NA UCET	1544	19698	SIPO	CD	78479534
1060599	3625	1996-07-05	VYDAJ	PREVOD NA UCET	1544	17779	SIPO	CD	78479534
1060600	3625	1996-08-05	VYDAJ	PREVOD NA UCET	1544	22821	SIPO	CD	78479534
1060601	3625	1996-09-05	VYDAJ	PREVOD NA UCET	1544	20325	SIPO	CD	78479534
1060602	3625	1996-10-05	VYDAJ	PREVOD NA UCET	1544	23471	SIPO	CD	78479534
1060603	3625	1996-11-05	VYDAJ	PREVOD NA UCET	1544	23220	SIPO	CD	78479534
1060604	3625	1996-12-05	VYDAJ	PREVOD NA UCET	1544	22085	SIPO	CD	78479534
1060605	3625	1997-01-05	VYDAJ	PREVOD NA UCET	1544	15792	SIPO	CD	78479534
1060606	3625	1997-02-05	VYDAJ	PREVOD NA UCET	1544	14190	SIPO	CD	78479534
1060607	3625	1997-03-05	VYDAJ	PREVOD NA UCET	1544	15292	SIPO	CD	78479534
1060608	3625	1997-04-05	VYDAJ	PREVOD NA UCET	1544	19019	SIPO	CD	78479534
1060609	3625	1997-05-05	VYDAJ	PREVOD NA UCET	1544	20013	SIPO	CD	78479534
1060610	3625	1997-06-05	VYDAJ	PREVOD NA UCET	1544	19847	SIPO	CD	78479534
1060611	3625	1997-07-05	VYDAJ	PREVOD NA UCET	1544	17698	SIPO	CD	78479534
1060612	3625	1997-08-05	VYDAJ	PREVOD NA UCET	1544	16919	SIPO	CD	78479534
1060613	3625	1997-09-05	VYDAJ	PREVOD NA UCET	1544	21956	SIPO	CD	78479534
1060614	3625	1997-10-05	VYDAJ	PREVOD NA UCET	1544	17890	SIPO	CD	78479534
1060615	3625	1997-11-05	VYDAJ	PREVOD NA UCET	1544	16518	SIPO	CD	78479534
1060616	3625	1997-12-05	VYDAJ	PREVOD NA UCET	1544	15053	SIPO	CD	78479534
1060617	3625	1998-01-05	VYDAJ	PREVOD NA UCET	1544	12262	SIPO	CD	78479534
1060618	3625	1998-02-05	VYDAJ	PREVOD NA UCET	1544	12823	SIPO	CD	78479534
1060619	3625	1998-03-05	VYDAJ	PREVOD NA UCET	1544	12900	SIPO	CD	78479534
1060620	3625	1998-04-05	VYDAJ	PREVOD NA UCET	1544	13519	SIPO	CD	78479534
1060621	3625	1998-05-05	VYDAJ	PREVOD NA UCET	1544	12844	SIPO	CD	78479534
1060622	3625	1998-06-05	VYDAJ	PREVOD NA UCET	1544	12306	SIPO	CD	78479534
1060623	3625	1998-07-05	VYDAJ	PREVOD NA UCET	1544	11143	SIPO	CD	78479534
1060624	3625	1998-08-05	VYDAJ	PREVOD NA UCET	1544	16157	SIPO	CD	78479534
1060625	3625	1998-09-05	VYDAJ	PREVOD NA UCET	1544	21192	SIPO	CD	78479534
1060626	3625	1998-10-05	VYDAJ	PREVOD NA UCET	1544	26246	SIPO	CD	78479534
1060627	3625	1998-11-05	VYDAJ	PREVOD NA UCET	1544	31322	SIPO	CD	78479534
1060628	3625	1998-12-05	VYDAJ	PREVOD NA UCET	1544	11284	SIPO	CD	78479534
1060641	3625	1995-01-13	VYDAJ	PREVOD NA UCET	467	33847	 	YZ	6307900
1060642	3625	1995-02-13	VYDAJ	PREVOD NA UCET	467	31633	 	YZ	6307900
1060643	3625	1995-03-13	VYDAJ	PREVOD NA UCET	467	28412	 	YZ	6307900
1060644	3625	1995-04-13	VYDAJ	PREVOD NA UCET	467	29064	 	YZ	6307900
1060645	3625	1995-05-13	VYDAJ	PREVOD NA UCET	467	31721	 	YZ	6307900
1060646	3625	1995-06-13	VYDAJ	PREVOD NA UCET	467	33588	 	YZ	6307900
1060647	3625	1995-07-13	VYDAJ	PREVOD NA UCET	467	22532	 	YZ	6307900
1060648	3625	1995-08-13	VYDAJ	PREVOD NA UCET	467	21198	 	YZ	6307900
1060649	3625	1995-09-13	VYDAJ	PREVOD NA UCET	467	24022	 	YZ	6307900
1060650	3625	1995-10-13	VYDAJ	PREVOD NA UCET	467	28862	 	YZ	6307900
1060651	3625	1995-11-13	VYDAJ	PREVOD NA UCET	467	30816	 	YZ	6307900
1060652	3625	1995-12-13	VYDAJ	PREVOD NA UCET	467	26073	 	YZ	6307900
1060653	3625	1996-01-13	VYDAJ	PREVOD NA UCET	467	21868	 	YZ	6307900
1060654	3625	1996-02-13	VYDAJ	PREVOD NA UCET	467	24796	 	YZ	6307900
1060655	3625	1996-03-13	VYDAJ	PREVOD NA UCET	467	29639	 	YZ	6307900
1060656	3625	1996-04-13	VYDAJ	PREVOD NA UCET	467	23864	 	YZ	6307900
1060657	3625	1996-05-13	VYDAJ	PREVOD NA UCET	467	27866	 	YZ	6307900
1060658	3625	1996-06-13	VYDAJ	PREVOD NA UCET	467	26005	 	YZ	6307900
1060659	3625	1996-07-13	VYDAJ	PREVOD NA UCET	467	24286	 	YZ	6307900
1060660	3625	1996-08-13	VYDAJ	PREVOD NA UCET	467	22828	 	YZ	6307900
1060661	3625	1996-09-13	VYDAJ	PREVOD NA UCET	467	24932	 	YZ	6307900
1060662	3625	1996-10-13	VYDAJ	PREVOD NA UCET	467	24678	 	YZ	6307900
1060663	3625	1996-11-13	VYDAJ	PREVOD NA UCET	467	23547	 	YZ	6307900
1060664	3625	1996-12-13	VYDAJ	PREVOD NA UCET	467	19592	 	YZ	6307900
1060665	3625	1997-01-13	VYDAJ	PREVOD NA UCET	467	19199	 	YZ	6307900
1060666	3625	1997-02-13	VYDAJ	PREVOD NA UCET	467	20697	 	YZ	6307900
1060667	3625	1997-03-13	VYDAJ	PREVOD NA UCET	467	20499	 	YZ	6307900
1060668	3625	1997-04-13	VYDAJ	PREVOD NA UCET	467	22926	 	YZ	6307900
1060669	3625	1997-05-13	VYDAJ	PREVOD NA UCET	467	21320	 	YZ	6307900
1060670	3625	1997-06-13	VYDAJ	PREVOD NA UCET	467	21654	 	YZ	6307900
1060671	3625	1997-07-13	VYDAJ	PREVOD NA UCET	467	18405	 	YZ	6307900
1060672	3625	1997-08-13	VYDAJ	PREVOD NA UCET	467	23426	 	YZ	6307900
1060673	3625	1997-09-13	VYDAJ	PREVOD NA UCET	467	19363	 	YZ	6307900
1060674	3625	1997-10-13	VYDAJ	PREVOD NA UCET	467	20097	 	YZ	6307900
1060675	3625	1997-11-13	VYDAJ	PREVOD NA UCET	467	23025	 	YZ	6307900
1060676	3625	1997-12-13	VYDAJ	PREVOD NA UCET	467	21560	 	YZ	6307900
1060677	3625	1998-01-13	VYDAJ	PREVOD NA UCET	467	18769	 	YZ	6307900
1060678	3625	1998-02-13	VYDAJ	PREVOD NA UCET	467	19330	 	YZ	6307900
1060679	3625	1998-03-13	VYDAJ	PREVOD NA UCET	467	19407	 	YZ	6307900
1060680	3625	1998-04-13	VYDAJ	PREVOD NA UCET	467	20026	 	YZ	6307900
1060681	3625	1998-05-13	VYDAJ	PREVOD NA UCET	467	19351	 	YZ	6307900
1060682	3625	1998-06-13	VYDAJ	PREVOD NA UCET	467	18813	 	YZ	6307900
1060683	3625	1998-07-13	VYDAJ	PREVOD NA UCET	467	17650	 	YZ	6307900
1060684	3625	1998-08-13	VYDAJ	PREVOD NA UCET	467	22664	 	YZ	6307900
1060685	3625	1998-09-13	VYDAJ	PREVOD NA UCET	467	27699	 	YZ	6307900
1060686	3625	1998-10-13	VYDAJ	PREVOD NA UCET	467	32753	 	YZ	6307900
1060687	3625	1998-11-13	VYDAJ	PREVOD NA UCET	467	35509	 	YZ	6307900
1060688	3625	1998-12-13	VYDAJ	PREVOD NA UCET	467	17791	 	YZ	6307900
1060690	3625	1995-06-20	VYDAJ	VYBER	8250	17478	\N	\N	\N
1060691	3625	1996-06-13	VYDAJ	VYBER	6750	19255	\N	\N	\N
1060696	3625	1996-01-11	VYDAJ	VYBER	1400	15361	\N	\N	\N
1060698	3625	1998-01-22	VYDAJ	VYBER	4450	14319	\N	\N	\N
1060700	3625	1995-12-10	VYDAJ	VYBER	1000	19566	\N	\N	\N
1060701	3625	1996-12-10	VYDAJ	VYBER	1100	13085	\N	\N	\N
1060702	3625	1997-12-17	VYDAJ	VYBER	1300	20260	\N	\N	\N
1060709	3625	1995-07-25	VYDAJ	VYBER	3760	16172	\N	\N	\N
1060710	3625	1995-01-18	VYDAJ	VYBER	1280	32567	\N	\N	\N
1060711	3625	1995-12-20	VYDAJ	VYBER	3040	18233	\N	\N	\N
1060712	3625	1995-06-19	VYDAJ	VYBER	2960	25728	\N	\N	\N
1060713	3625	1995-02-20	VYDAJ	VYBER	2880	23353	\N	\N	\N
1060714	3625	1995-12-07	VYDAJ	VYBER	2560	20566	\N	\N	\N
1060715	3625	1995-11-24	VYDAJ	VYBER	1440	24576	\N	\N	\N
1060716	3625	1996-03-23	VYDAJ	VYBER	2720	20619	\N	\N	\N
1060717	3625	1996-11-12	VYDAJ	VYBER	1280	17040	\N	\N	\N
1060718	3625	1996-12-18	VYDAJ	VYBER	2320	17272	\N	\N	\N
1060719	3625	1996-08-31	VYDAJ	VYBER	1040	21884	\N	\N	\N
1060720	3625	1996-04-27	VYDAJ	VYBER	1040	22824	\N	\N	\N
1060721	3625	1997-04-18	VYDAJ	VYBER	1440	21486	\N	\N	\N
1060722	3625	1997-06-27	VYDAJ	VYBER	2480	19174	\N	\N	\N
1060724	3625	1997-02-23	VYDAJ	VYBER	3920	16777	\N	\N	\N
1060725	3625	1997-01-25	VYDAJ	VYBER	3520	15679	\N	\N	\N
1060726	3625	1998-06-04	VYDAJ	VYBER	1360	13850	\N	\N	\N
1060727	3625	1998-11-06	VYDAJ	VYBER	2320	29002	\N	\N	\N
1060728	3625	1998-02-16	VYDAJ	VYBER	1440	17890	\N	\N	\N
1060729	3625	1998-01-01	VYDAJ	VYBER	720	19606	\N	\N	\N
1060730	3625	1998-03-03	VYDAJ	VYBER	800	17144	\N	\N	\N
1060731	3625	1998-06-23	VYDAJ	VYBER	1680	17133	\N	\N	\N
1060745	3625	1995-01-31	VYDAJ	VYBER	15	26670	SLUZBY	\N	\N
1060746	3625	1995-02-28	VYDAJ	VYBER	15	23449	SLUZBY	\N	\N
1060747	3625	1995-03-31	VYDAJ	VYBER	15	24101	SLUZBY	\N	\N
1060748	3625	1995-04-30	VYDAJ	VYBER	15	26758	SLUZBY	\N	\N
1060749	3625	1995-05-31	VYDAJ	VYBER	15	28625	SLUZBY	\N	\N
1060750	3625	1995-06-30	VYDAJ	VYBER	15	17569	SLUZBY	\N	\N
1060751	3625	1995-07-31	VYDAJ	VYBER	15	16235	SLUZBY	\N	\N
1060752	3625	1995-08-31	VYDAJ	VYBER	15	19059	SLUZBY	\N	\N
1060753	3625	1995-09-30	VYDAJ	VYBER	15	23899	SLUZBY	\N	\N
1060754	3625	1995-10-31	VYDAJ	VYBER	15	25853	SLUZBY	\N	\N
1060755	3625	1995-11-30	VYDAJ	VYBER	15	24670	SLUZBY	\N	\N
1060756	3625	1995-12-31	VYDAJ	VYBER	15	18305	SLUZBY	\N	\N
1060757	3625	1996-01-31	VYDAJ	VYBER	15	19833	SLUZBY	\N	\N
1060758	3625	1996-02-29	VYDAJ	VYBER	15	24676	SLUZBY	\N	\N
1060759	3625	1996-03-31	VYDAJ	VYBER	15	20701	SLUZBY	\N	\N
1060760	3625	1996-04-30	VYDAJ	VYBER	15	22903	SLUZBY	\N	\N
1060761	3625	1996-05-31	VYDAJ	VYBER	15	21242	SLUZBY	\N	\N
1060762	3625	1996-06-30	VYDAJ	VYBER	15	19323	SLUZBY	\N	\N
1060763	3625	1996-07-31	VYDAJ	VYBER	15	24365	SLUZBY	\N	\N
1060764	3625	1996-08-31	VYDAJ	VYBER	15	21869	SLUZBY	\N	\N
1060765	3625	1996-09-30	VYDAJ	VYBER	15	25015	SLUZBY	\N	\N
1060766	3625	1996-10-31	VYDAJ	VYBER	15	24764	SLUZBY	\N	\N
1060767	3625	1996-11-30	VYDAJ	VYBER	15	23629	SLUZBY	\N	\N
1060768	3625	1996-12-31	VYDAJ	VYBER	15	17336	SLUZBY	\N	\N
1060769	3625	1997-01-31	VYDAJ	VYBER	15	15734	SLUZBY	\N	\N
1060770	3625	1997-02-28	VYDAJ	VYBER	15	16836	SLUZBY	\N	\N
1060771	3625	1997-03-31	VYDAJ	VYBER	15	20563	SLUZBY	\N	\N
1060772	3625	1997-04-30	VYDAJ	VYBER	15	21557	SLUZBY	\N	\N
1060773	3625	1997-05-31	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
1060774	3625	1997-06-30	VYDAJ	VYBER	15	19242	SLUZBY	\N	\N
1060775	3625	1997-07-31	VYDAJ	VYBER	15	18463	SLUZBY	\N	\N
1060776	3625	1997-08-31	VYDAJ	VYBER	15	23500	SLUZBY	\N	\N
1060777	3625	1997-09-30	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
1060778	3625	1997-10-31	VYDAJ	VYBER	15	20162	SLUZBY	\N	\N
1060779	3625	1997-11-30	VYDAJ	VYBER	15	23097	SLUZBY	\N	\N
1060780	3625	1997-12-31	VYDAJ	VYBER	15	20326	SLUZBY	\N	\N
1060781	3625	1998-01-31	VYDAJ	VYBER	15	14367	SLUZBY	\N	\N
1060782	3625	1998-02-28	VYDAJ	VYBER	15	17944	SLUZBY	\N	\N
1060783	3625	1998-03-31	VYDAJ	VYBER	15	19463	SLUZBY	\N	\N
1060784	3625	1998-04-30	VYDAJ	VYBER	15	20088	SLUZBY	\N	\N
1060785	3625	1998-05-31	VYDAJ	VYBER	15	19410	SLUZBY	\N	\N
1060786	3625	1998-06-30	VYDAJ	VYBER	15	17187	SLUZBY	\N	\N
1060787	3625	1998-07-31	VYDAJ	VYBER	15	17701	SLUZBY	\N	\N
1060788	3625	1998-08-31	VYDAJ	VYBER	15	22736	SLUZBY	\N	\N
1060789	3625	1998-09-30	VYDAJ	VYBER	15	27790	SLUZBY	\N	\N
1060790	3625	1998-10-31	VYDAJ	VYBER	15	32866	SLUZBY	\N	\N
1060791	3625	1998-11-30	VYDAJ	VYBER	15	12828	SLUZBY	\N	\N
1060792	3625	1994-12-20	VYDAJ	VYBER	900	27296	\N	\N	\N
1060793	3625	1995-01-19	VYDAJ	VYBER	6000	26567	\N	\N	\N
1060794	3625	1995-02-18	VYDAJ	VYBER	5400	26233	\N	\N	\N
1060795	3625	1995-03-20	VYDAJ	VYBER	4400	24012	\N	\N	\N
1060796	3625	1995-04-19	VYDAJ	VYBER	2400	26664	\N	\N	\N
1060797	3625	1995-05-19	VYDAJ	VYBER	3200	28521	\N	\N	\N
1060798	3625	1995-06-18	VYDAJ	VYBER	4900	28688	\N	\N	\N
1060799	3625	1995-07-18	VYDAJ	VYBER	2600	19932	\N	\N	\N
1060800	3625	1995-08-17	VYDAJ	VYBER	2200	18998	\N	\N	\N
1060801	3625	1995-09-16	VYDAJ	VYBER	200	23822	\N	\N	\N
1060802	3625	1995-10-16	VYDAJ	VYBER	3100	25762	\N	\N	\N
1060803	3625	1995-11-15	VYDAJ	VYBER	4800	26016	\N	\N	\N
1060804	3625	1995-12-15	VYDAJ	VYBER	4800	21273	\N	\N	\N
1060805	3625	1996-01-14	VYDAJ	VYBER	2100	19768	\N	\N	\N
1060806	3625	1996-02-13	VYDAJ	VYBER	200	24596	\N	\N	\N
1060807	3625	1996-03-14	VYDAJ	VYBER	6300	23339	\N	\N	\N
1060808	3625	1996-04-13	VYDAJ	VYBER	1800	24331	\N	\N	\N
1060809	3625	1996-05-13	VYDAJ	VYBER	6700	21166	\N	\N	\N
1060810	3625	1996-06-12	VYDAJ	VYBER	200	19498	\N	\N	\N
1060811	3625	1996-08-11	VYDAJ	VYBER	6500	16321	\N	\N	\N
1060812	3625	1996-09-10	VYDAJ	VYBER	1900	18425	\N	\N	\N
1060813	3625	1996-10-10	VYDAJ	VYBER	5300	18171	\N	\N	\N
1060814	3625	1996-11-09	VYDAJ	VYBER	4900	18320	\N	\N	\N
1060815	3625	1996-12-09	VYDAJ	VYBER	7900	14185	\N	\N	\N
1060816	3625	1997-01-08	VYDAJ	VYBER	3100	12692	\N	\N	\N
1060817	3625	1997-03-09	VYDAJ	VYBER	1300	13992	\N	\N	\N
1060818	3625	1997-04-08	VYDAJ	VYBER	2600	16419	\N	\N	\N
1060819	3625	1997-05-08	VYDAJ	VYBER	5200	14813	\N	\N	\N
1060820	3625	1997-06-07	VYDAJ	VYBER	4700	15147	\N	\N	\N
1060821	3625	1997-07-07	VYDAJ	VYBER	5800	11898	\N	\N	\N
1060822	3625	1997-09-05	VYDAJ	VYBER	9100	12856	\N	\N	\N
1060823	3625	1997-10-05	VYDAJ	VYBER	4300	13590	\N	\N	\N
1060824	3625	1997-11-04	VYDAJ	VYBER	2100	18062	\N	\N	\N
1060825	3625	1997-12-04	VYDAJ	VYBER	6500	16597	\N	\N	\N
1060826	3625	1998-01-03	VYDAJ	VYBER	5800	13806	\N	\N	\N
1060827	3625	1998-03-04	VYDAJ	VYBER	2700	14444	\N	\N	\N
1060828	3625	1998-04-03	VYDAJ	VYBER	4400	15063	\N	\N	\N
1060829	3625	1998-05-03	VYDAJ	VYBER	5700	14388	\N	\N	\N
1060830	3625	1998-06-02	VYDAJ	VYBER	4200	15210	\N	\N	\N
1060831	3625	1998-07-02	VYDAJ	VYBER	4500	12687	\N	\N	\N
1060832	3625	1998-11-29	VYDAJ	VYBER	22800	12709	\N	\N	\N
1060882	3626	1996-11-05	PRIJEM	VKLAD	900	900	\N	\N	\N
1060893	3626	1996-11-08	PRIJEM	VKLAD	12366	13266	\N	\N	\N
1060894	3626	1996-12-08	PRIJEM	VKLAD	18549	40257	\N	\N	\N
1060895	3626	1997-01-08	PRIJEM	VKLAD	12366	43966	\N	\N	\N
1060896	3626	1997-02-08	PRIJEM	VKLAD	12366	49011	\N	\N	\N
1060897	3626	1997-03-08	PRIJEM	VKLAD	12366	49076	\N	\N	\N
1060898	3626	1997-04-08	PRIJEM	VKLAD	12366	44492	\N	\N	\N
1060899	3626	1997-05-08	PRIJEM	VKLAD	12366	41900	\N	\N	\N
1060900	3626	1997-06-08	PRIJEM	VKLAD	18549	46679	\N	\N	\N
1060901	3626	1997-07-08	PRIJEM	VKLAD	12366	38971	\N	\N	\N
1060902	3626	1997-08-08	PRIJEM	VKLAD	12366	44870	\N	\N	\N
1060903	3626	1997-09-08	PRIJEM	VKLAD	12366	42869	\N	\N	\N
1060904	3626	1997-10-08	PRIJEM	VKLAD	12366	35929	\N	\N	\N
1060905	3626	1997-11-08	PRIJEM	VKLAD	12366	35361	\N	\N	\N
1060906	3626	1997-12-08	PRIJEM	VKLAD	18549	46711	\N	\N	\N
1060907	3626	1998-01-08	PRIJEM	VKLAD	12366	50048	\N	\N	\N
1060908	3626	1998-02-08	PRIJEM	VKLAD	12366	36280	\N	\N	\N
1060909	3626	1998-03-08	PRIJEM	VKLAD	12366	33468	\N	\N	\N
1060910	3626	1998-04-08	PRIJEM	VKLAD	12366	38849	\N	\N	\N
1060911	3626	1998-05-08	PRIJEM	VKLAD	12366	39226	\N	\N	\N
1060912	3626	1998-06-08	PRIJEM	VKLAD	18549	46173	\N	\N	\N
1060913	3626	1998-07-08	PRIJEM	VKLAD	12366	47038	\N	\N	\N
1060914	3626	1998-08-08	PRIJEM	VKLAD	12366	41610	\N	\N	\N
1060915	3626	1998-09-08	PRIJEM	VKLAD	12366	45497	\N	\N	\N
1060916	3626	1998-10-08	PRIJEM	VKLAD	12366	39583	\N	\N	\N
1060917	3626	1998-11-08	PRIJEM	VKLAD	12366	38466	\N	\N	\N
1060918	3626	1998-12-08	PRIJEM	VKLAD	18549	42345	\N	\N	\N
1060934	3626	1997-04-06	VYDAJ	PREVOD NA UCET	3068	32126	SIPO	ST	53192520
1060935	3626	1997-05-06	VYDAJ	PREVOD NA UCET	3068	29534	SIPO	ST	53192520
1060936	3626	1997-06-06	VYDAJ	PREVOD NA UCET	3068	28130	SIPO	ST	53192520
1060937	3626	1997-07-06	VYDAJ	PREVOD NA UCET	3068	26605	SIPO	ST	53192520
1060938	3626	1997-08-06	VYDAJ	PREVOD NA UCET	3068	32504	SIPO	ST	53192520
1060939	3626	1997-09-06	VYDAJ	PREVOD NA UCET	3068	30503	SIPO	ST	53192520
1060940	3626	1997-10-06	VYDAJ	PREVOD NA UCET	3068	23563	SIPO	ST	53192520
1060941	3626	1997-11-06	VYDAJ	PREVOD NA UCET	3068	22995	SIPO	ST	53192520
1060942	3626	1997-12-06	VYDAJ	PREVOD NA UCET	3068	28162	SIPO	ST	53192520
1060943	3626	1998-01-06	VYDAJ	PREVOD NA UCET	3068	37682	SIPO	ST	53192520
1060944	3626	1998-02-06	VYDAJ	PREVOD NA UCET	3068	23914	SIPO	ST	53192520
1060945	3626	1998-03-06	VYDAJ	PREVOD NA UCET	3068	21102	SIPO	ST	53192520
1060946	3626	1998-04-06	VYDAJ	PREVOD NA UCET	3068	26483	SIPO	ST	53192520
1060947	3626	1998-05-06	VYDAJ	PREVOD NA UCET	3068	26860	SIPO	ST	53192520
1060948	3626	1998-06-06	VYDAJ	PREVOD NA UCET	3068	27624	SIPO	ST	53192520
1060949	3626	1998-07-06	VYDAJ	PREVOD NA UCET	3068	34672	SIPO	ST	53192520
1060950	3626	1998-08-06	VYDAJ	PREVOD NA UCET	3068	29244	SIPO	ST	53192520
1060951	3626	1998-09-06	VYDAJ	PREVOD NA UCET	3068	33131	SIPO	ST	53192520
1060952	3626	1998-10-06	VYDAJ	PREVOD NA UCET	3068	27217	SIPO	ST	53192520
1060953	3626	1998-11-06	VYDAJ	PREVOD NA UCET	3068	26100	SIPO	ST	53192520
1060954	3626	1998-12-06	VYDAJ	PREVOD NA UCET	3068	23796	SIPO	ST	53192520
1060969	3626	1997-03-08	VYDAJ	PREVOD NA UCET	5156	43920	 	CD	85035067
1060970	3626	1997-04-08	VYDAJ	PREVOD NA UCET	5156	39336	 	CD	85035067
1060971	3626	1997-05-08	VYDAJ	PREVOD NA UCET	5156	36744	 	CD	85035067
1060972	3626	1997-06-08	VYDAJ	PREVOD NA UCET	5156	41523	 	CD	85035067
1060973	3626	1997-07-08	VYDAJ	PREVOD NA UCET	5156	33815	 	CD	85035067
1060974	3626	1997-08-08	VYDAJ	PREVOD NA UCET	5156	39714	 	CD	85035067
1060975	3626	1997-09-08	VYDAJ	PREVOD NA UCET	5156	37713	 	CD	85035067
1060976	3626	1997-10-08	VYDAJ	PREVOD NA UCET	5156	30773	 	CD	85035067
1060977	3626	1997-11-08	VYDAJ	PREVOD NA UCET	5156	30205	 	CD	85035067
1060978	3626	1997-12-08	VYDAJ	PREVOD NA UCET	5156	41555	 	CD	85035067
1060979	3626	1998-01-08	VYDAJ	PREVOD NA UCET	5156	42612	 	CD	85035067
1060980	3626	1998-02-08	VYDAJ	PREVOD NA UCET	5156	31124	 	CD	85035067
1060981	3626	1998-03-08	VYDAJ	PREVOD NA UCET	5156	28312	 	CD	85035067
1060982	3626	1998-04-08	VYDAJ	PREVOD NA UCET	5156	33693	 	CD	85035067
1060983	3626	1998-05-08	VYDAJ	PREVOD NA UCET	5156	34070	 	CD	85035067
1060984	3626	1998-06-08	VYDAJ	PREVOD NA UCET	5156	41017	 	CD	85035067
1060985	3626	1998-07-08	VYDAJ	PREVOD NA UCET	5156	41882	 	CD	85035067
1060986	3626	1998-08-08	VYDAJ	PREVOD NA UCET	5156	36454	 	CD	85035067
1060987	3626	1998-09-08	VYDAJ	PREVOD NA UCET	5156	40341	 	CD	85035067
1060988	3626	1998-10-08	VYDAJ	PREVOD NA UCET	5156	34427	 	CD	85035067
1060989	3626	1998-11-08	VYDAJ	PREVOD NA UCET	5156	33310	 	CD	85035067
1060990	3626	1998-12-08	VYDAJ	PREVOD NA UCET	5156	37189	 	CD	85035067
1060992	3626	1997-06-08	VYDAJ	VYBER	12960	28563	\N	\N	\N
1060996	3626	1998-01-22	VYDAJ	VYBER	9600	25812	\N	\N	\N
1060998	3626	1997-12-20	VYDAJ	VYBER	1760	39795	\N	\N	\N
1060999	3626	1998-12-18	VYDAJ	VYBER	1440	35749	\N	\N	\N
1061012	3626	1998-01-28	VYDAJ	VYBER	1200	21852	\N	\N	\N
1061013	3626	1998-01-18	VYDAJ	VYBER	3360	35412	\N	\N	\N
1061014	3626	1998-01-13	VYDAJ	VYBER	3000	38772	\N	\N	\N
1061015	3626	1998-01-08	VYDAJ	VYBER	2280	47768	\N	\N	\N
1061016	3626	1998-01-22	VYDAJ	VYBER	840	24972	\N	\N	\N
1061017	3626	1998-01-26	VYDAJ	VYBER	1920	23052	\N	\N	\N
1061024	3626	1997-10-02	VYDAJ	VYBER	4320	26631	\N	\N	\N
1061025	3626	1997-11-05	VYDAJ	VYBER	3120	26063	\N	\N	\N
1061027	3626	1997-08-01	VYDAJ	VYBER	2280	31672	\N	\N	\N
1061029	3626	1997-08-28	VYDAJ	VYBER	4800	34914	\N	\N	\N
1061030	3626	1998-10-03	VYDAJ	VYBER	3000	30285	\N	\N	\N
1061031	3626	1998-07-27	VYDAJ	VYBER	3120	38762	\N	\N	\N
1061032	3626	1998-03-13	VYDAJ	VYBER	1560	26752	\N	\N	\N
1061033	3626	1998-10-26	VYDAJ	VYBER	2880	31547	\N	\N	\N
1061034	3626	1998-01-12	VYDAJ	VYBER	840	41772	\N	\N	\N
1061035	3626	1998-11-24	VYDAJ	VYBER	1560	31750	\N	\N	\N
1061036	3626	1998-06-17	VYDAJ	VYBER	720	40297	\N	\N	\N
1061037	3626	1998-03-02	VYDAJ	VYBER	5280	24170	\N	\N	\N
1061053	3626	1997-03-31	VYDAJ	VYBER	15	44094	SLUZBY	\N	\N
1061054	3626	1997-04-30	VYDAJ	VYBER	15	39502	SLUZBY	\N	\N
1061055	3626	1997-05-31	VYDAJ	VYBER	15	36898	SLUZBY	\N	\N
1061056	3626	1997-06-30	VYDAJ	VYBER	15	28673	SLUZBY	\N	\N
1061057	3626	1997-07-31	VYDAJ	VYBER	15	33952	SLUZBY	\N	\N
1061058	3626	1997-08-31	VYDAJ	VYBER	15	35071	SLUZBY	\N	\N
1061059	3626	1997-09-30	VYDAJ	VYBER	15	37851	SLUZBY	\N	\N
1061060	3626	1997-10-31	VYDAJ	VYBER	15	30883	SLUZBY	\N	\N
1061061	3626	1997-11-30	VYDAJ	VYBER	15	31230	SLUZBY	\N	\N
1061062	3626	1997-12-31	VYDAJ	VYBER	15	40750	SLUZBY	\N	\N
1061063	3626	1998-01-31	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
1061064	3626	1998-02-28	VYDAJ	VYBER	15	31250	SLUZBY	\N	\N
1061065	3626	1998-03-31	VYDAJ	VYBER	15	29551	SLUZBY	\N	\N
1061066	3626	1998-04-30	VYDAJ	VYBER	15	29928	SLUZBY	\N	\N
1061067	3626	1998-05-31	VYDAJ	VYBER	15	30692	SLUZBY	\N	\N
1061068	3626	1998-06-30	VYDAJ	VYBER	15	37740	SLUZBY	\N	\N
1061069	3626	1998-07-31	VYDAJ	VYBER	15	32312	SLUZBY	\N	\N
1061070	3626	1998-08-31	VYDAJ	VYBER	15	36199	SLUZBY	\N	\N
1061071	3626	1998-09-30	VYDAJ	VYBER	15	33285	SLUZBY	\N	\N
1061072	3626	1998-10-31	VYDAJ	VYBER	15	29168	SLUZBY	\N	\N
1061073	3626	1998-11-30	VYDAJ	VYBER	15	26864	SLUZBY	\N	\N
1061074	3626	1996-12-05	PRIJEM	VKLAD	8400	21708	\N	\N	\N
1061075	3626	1997-01-04	VYDAJ	VYBER	8800	31600	\N	\N	\N
1061076	3626	1997-02-03	VYDAJ	VYBER	7500	36645	\N	\N	\N
1061077	3626	1997-03-05	VYDAJ	VYBER	12500	36710	\N	\N	\N
1061078	3626	1997-04-04	VYDAJ	VYBER	8900	35194	\N	\N	\N
1061079	3626	1997-05-04	VYDAJ	VYBER	6900	32602	\N	\N	\N
1061080	3626	1997-06-03	VYDAJ	VYBER	5700	31198	\N	\N	\N
1061081	3626	1997-07-03	PRIJEM	VKLAD	1000	29673	\N	\N	\N
1061082	3626	1997-08-02	PRIJEM	VKLAD	3900	35572	\N	\N	\N
1061083	3626	1997-09-01	VYDAJ	VYBER	1500	33571	\N	\N	\N
1061084	3626	1997-10-01	VYDAJ	VYBER	6900	30951	\N	\N	\N
1061085	3626	1997-10-31	VYDAJ	VYBER	1700	29183	\N	\N	\N
1061086	3626	1997-11-30	PRIJEM	VKLAD	900	31105	\N	\N	\N
1061087	3626	1997-12-30	PRIJEM	VKLAD	800	40595	\N	\N	\N
1061088	3626	1998-01-29	PRIJEM	VKLAD	5000	26852	\N	\N	\N
1061089	3626	1998-02-28	VYDAJ	VYBER	1800	29450	\N	\N	\N
1061090	3626	1998-03-30	PRIJEM	VKLAD	2700	29452	\N	\N	\N
1061091	3626	1998-04-29	VYDAJ	VYBER	3900	29793	\N	\N	\N
1061092	3626	1998-05-29	VYDAJ	VYBER	3500	30570	\N	\N	\N
1061093	3626	1998-06-28	VYDAJ	VYBER	2700	37597	\N	\N	\N
1061094	3626	1998-07-28	VYDAJ	VYBER	6600	32162	\N	\N	\N
1061095	3626	1998-08-27	VYDAJ	VYBER	400	36054	\N	\N	\N
1061096	3626	1998-09-26	VYDAJ	VYBER	7200	33141	\N	\N	\N
1061097	3626	1998-10-26	VYDAJ	VYBER	2500	29047	\N	\N	\N
1061098	3626	1998-11-25	VYDAJ	VYBER	5000	26750	\N	\N	\N
1061560	3628	1995-09-12	PRIJEM	VKLAD	400	400	\N	\N	\N
1061570	3628	1995-10-06	PRIJEM	VKLAD	15297	15697	\N	\N	\N
1061571	3628	1995-11-06	PRIJEM	VKLAD	15297	33743	\N	\N	\N
1061572	3628	1995-12-06	PRIJEM	VKLAD	22946	51494	\N	\N	\N
1061573	3628	1996-01-06	PRIJEM	VKLAD	15297	56846	\N	\N	\N
1061574	3628	1996-02-06	PRIJEM	VKLAD	15297	59222	\N	\N	\N
1061575	3628	1996-03-06	PRIJEM	VKLAD	15297	56763	\N	\N	\N
1061576	3628	1996-04-06	PRIJEM	VKLAD	15297	57205	\N	\N	\N
1061577	3628	1996-05-06	PRIJEM	VKLAD	15297	58148	\N	\N	\N
1061578	3628	1996-06-06	PRIJEM	VKLAD	22946	65339	\N	\N	\N
1061579	3628	1996-07-06	PRIJEM	VKLAD	15297	57525	\N	\N	\N
1061580	3628	1996-08-06	PRIJEM	VKLAD	15297	58668	\N	\N	\N
1061581	3628	1996-09-06	PRIJEM	VKLAD	15297	59424	\N	\N	\N
1061582	3628	1996-10-06	PRIJEM	VKLAD	15297	47488	\N	\N	\N
1061583	3628	1996-11-06	PRIJEM	VKLAD	15297	54201	\N	\N	\N
1061584	3628	1996-12-06	PRIJEM	VKLAD	22946	64093	\N	\N	\N
1061585	3628	1997-01-06	PRIJEM	VKLAD	15297	59639	\N	\N	\N
1061586	3628	1997-02-06	PRIJEM	VKLAD	15297	58820	\N	\N	\N
1061587	3628	1997-03-06	PRIJEM	VKLAD	15297	61704	\N	\N	\N
1061588	3628	1997-04-06	PRIJEM	VKLAD	15297	67107	\N	\N	\N
1061589	3628	1997-05-06	PRIJEM	VKLAD	15297	64729	\N	\N	\N
1061590	3628	1997-06-06	PRIJEM	VKLAD	22946	68692	\N	\N	\N
1061591	3628	1997-07-06	PRIJEM	VKLAD	15297	69619	\N	\N	\N
1061592	3628	1997-08-06	PRIJEM	VKLAD	15297	71255	\N	\N	\N
1061593	3628	1997-09-06	PRIJEM	VKLAD	15297	70598	\N	\N	\N
1061594	3628	1997-10-06	PRIJEM	VKLAD	15297	71939	\N	\N	\N
1061595	3628	1997-11-06	PRIJEM	VKLAD	15297	69983	\N	\N	\N
1061596	3628	1997-12-06	PRIJEM	VKLAD	22946	78861	\N	\N	\N
1061597	3628	1998-01-06	PRIJEM	VKLAD	15297	67122	\N	\N	\N
1061598	3628	1998-02-06	PRIJEM	VKLAD	15297	63417	\N	\N	\N
1061599	3628	1998-03-06	PRIJEM	VKLAD	15297	65116	\N	\N	\N
1061600	3628	1998-04-06	PRIJEM	VKLAD	15297	66623	\N	\N	\N
1061601	3628	1998-05-06	PRIJEM	VKLAD	15297	64536	\N	\N	\N
1061602	3628	1998-06-06	PRIJEM	VKLAD	22946	64429	\N	\N	\N
1061603	3628	1998-07-06	PRIJEM	VKLAD	15297	66025	\N	\N	\N
1061604	3628	1998-08-06	PRIJEM	VKLAD	15297	67432	\N	\N	\N
1061605	3628	1998-09-06	PRIJEM	VKLAD	15297	61938	\N	\N	\N
1061606	3628	1998-10-06	PRIJEM	VKLAD	15297	58129	\N	\N	\N
1061607	3628	1998-11-06	PRIJEM	VKLAD	15297	55997	\N	\N	\N
1061608	3628	1998-12-06	PRIJEM	VKLAD	22946	68209	\N	\N	\N
1061622	3628	1996-02-07	VYDAJ	PREVOD NA UCET	1791	57242	SIPO	WX	48774606
1061623	3628	1996-03-07	VYDAJ	PREVOD NA UCET	1791	54783	SIPO	WX	48774606
1061624	3628	1996-04-07	VYDAJ	PREVOD NA UCET	1791	55225	SIPO	WX	48774606
1061625	3628	1996-05-07	VYDAJ	PREVOD NA UCET	1791	56168	SIPO	WX	48774606
1061626	3628	1996-06-07	VYDAJ	PREVOD NA UCET	1791	63359	SIPO	WX	48774606
1061627	3628	1996-07-07	VYDAJ	PREVOD NA UCET	1791	55545	SIPO	WX	48774606
1061628	3628	1996-08-07	VYDAJ	PREVOD NA UCET	1791	56688	SIPO	WX	48774606
1061629	3628	1996-09-07	VYDAJ	PREVOD NA UCET	1791	43344	SIPO	WX	48774606
1061630	3628	1996-10-07	VYDAJ	PREVOD NA UCET	1791	38308	SIPO	WX	48774606
1061631	3628	1996-11-07	VYDAJ	PREVOD NA UCET	1791	52221	SIPO	WX	48774606
1061632	3628	1996-12-07	VYDAJ	PREVOD NA UCET	1791	62113	SIPO	WX	48774606
1061633	3628	1997-01-07	VYDAJ	PREVOD NA UCET	1791	57659	SIPO	WX	48774606
1061634	3628	1997-02-07	VYDAJ	PREVOD NA UCET	1791	56840	SIPO	WX	48774606
1061635	3628	1997-03-07	VYDAJ	PREVOD NA UCET	1791	59724	SIPO	WX	48774606
1061636	3628	1997-04-07	VYDAJ	PREVOD NA UCET	1791	65127	SIPO	WX	48774606
1061637	3628	1997-05-07	VYDAJ	PREVOD NA UCET	1791	62749	SIPO	WX	48774606
1061638	3628	1997-06-07	VYDAJ	PREVOD NA UCET	1791	66712	SIPO	WX	48774606
1061639	3628	1997-07-07	VYDAJ	PREVOD NA UCET	1791	67639	SIPO	WX	48774606
1061640	3628	1997-08-07	VYDAJ	PREVOD NA UCET	1791	69275	SIPO	WX	48774606
1061641	3628	1997-09-07	VYDAJ	PREVOD NA UCET	1791	68618	SIPO	WX	48774606
1061642	3628	1997-10-07	VYDAJ	PREVOD NA UCET	1791	69959	SIPO	WX	48774606
1061643	3628	1997-11-07	VYDAJ	PREVOD NA UCET	1791	68003	SIPO	WX	48774606
1061644	3628	1997-12-07	VYDAJ	PREVOD NA UCET	1791	76881	SIPO	WX	48774606
1061645	3628	1998-01-07	VYDAJ	PREVOD NA UCET	1791	62042	SIPO	WX	48774606
1061646	3628	1998-02-07	VYDAJ	PREVOD NA UCET	1791	61437	SIPO	WX	48774606
1061647	3628	1998-03-07	VYDAJ	PREVOD NA UCET	1791	63136	SIPO	WX	48774606
1061648	3628	1998-04-07	VYDAJ	PREVOD NA UCET	1791	64643	SIPO	WX	48774606
1061649	3628	1998-05-07	VYDAJ	PREVOD NA UCET	1791	57876	SIPO	WX	48774606
1061650	3628	1998-06-07	VYDAJ	PREVOD NA UCET	1791	62449	SIPO	WX	48774606
1061651	3628	1998-07-07	VYDAJ	PREVOD NA UCET	1791	64045	SIPO	WX	48774606
1061652	3628	1998-08-07	VYDAJ	PREVOD NA UCET	1791	65452	SIPO	WX	48774606
1061653	3628	1998-09-07	VYDAJ	PREVOD NA UCET	1791	54078	SIPO	WX	48774606
1061654	3628	1998-10-07	VYDAJ	PREVOD NA UCET	1791	56149	SIPO	WX	48774606
1061655	3628	1998-11-07	VYDAJ	PREVOD NA UCET	1791	54017	SIPO	WX	48774606
1061656	3628	1998-12-07	VYDAJ	PREVOD NA UCET	1791	66229	SIPO	WX	48774606
1061670	3628	1996-02-06	VYDAJ	PREVOD NA UCET	189	59033	 	CD	23473745
1061671	3628	1996-03-06	VYDAJ	PREVOD NA UCET	189	56574	 	CD	23473745
1061672	3628	1996-04-06	VYDAJ	PREVOD NA UCET	189	57016	 	CD	23473745
1061673	3628	1996-05-06	VYDAJ	PREVOD NA UCET	189	57959	 	CD	23473745
1061674	3628	1996-06-06	VYDAJ	PREVOD NA UCET	189	65150	 	CD	23473745
1061675	3628	1996-07-06	VYDAJ	PREVOD NA UCET	189	57336	 	CD	23473745
1061676	3628	1996-08-06	VYDAJ	PREVOD NA UCET	189	58479	 	CD	23473745
1061677	3628	1996-09-06	VYDAJ	PREVOD NA UCET	189	59235	 	CD	23473745
1061678	3628	1996-10-06	VYDAJ	PREVOD NA UCET	189	47299	 	CD	23473745
1061679	3628	1996-11-06	VYDAJ	PREVOD NA UCET	189	54012	 	CD	23473745
1061680	3628	1996-12-06	VYDAJ	PREVOD NA UCET	189	63904	 	CD	23473745
1061681	3628	1997-01-06	VYDAJ	PREVOD NA UCET	189	59450	 	CD	23473745
1061682	3628	1997-02-06	VYDAJ	PREVOD NA UCET	189	58631	 	CD	23473745
1061683	3628	1997-03-06	VYDAJ	PREVOD NA UCET	189	61515	 	CD	23473745
1061684	3628	1997-04-06	VYDAJ	PREVOD NA UCET	189	66918	 	CD	23473745
1061685	3628	1997-05-06	VYDAJ	PREVOD NA UCET	189	64540	 	CD	23473745
1061686	3628	1997-06-06	VYDAJ	PREVOD NA UCET	189	68503	 	CD	23473745
1061687	3628	1997-07-06	VYDAJ	PREVOD NA UCET	189	69430	 	CD	23473745
1061688	3628	1997-08-06	VYDAJ	PREVOD NA UCET	189	71066	 	CD	23473745
1061689	3628	1997-09-06	VYDAJ	PREVOD NA UCET	189	70409	 	CD	23473745
1061690	3628	1997-10-06	VYDAJ	PREVOD NA UCET	189	71750	 	CD	23473745
1061691	3628	1997-11-06	VYDAJ	PREVOD NA UCET	189	69794	 	CD	23473745
1061692	3628	1997-12-06	VYDAJ	PREVOD NA UCET	189	78672	 	CD	23473745
1061693	3628	1998-01-06	VYDAJ	PREVOD NA UCET	189	66933	 	CD	23473745
1061694	3628	1998-02-06	VYDAJ	PREVOD NA UCET	189	63228	 	CD	23473745
1061695	3628	1998-03-06	VYDAJ	PREVOD NA UCET	189	64927	 	CD	23473745
1061696	3628	1998-04-06	VYDAJ	PREVOD NA UCET	189	66434	 	CD	23473745
1061697	3628	1998-05-06	VYDAJ	PREVOD NA UCET	189	59667	 	CD	23473745
1061698	3628	1998-06-06	VYDAJ	PREVOD NA UCET	189	64240	 	CD	23473745
1061699	3628	1998-07-06	VYDAJ	PREVOD NA UCET	189	65836	 	CD	23473745
1061700	3628	1998-08-06	VYDAJ	PREVOD NA UCET	189	67243	 	CD	23473745
1061701	3628	1998-09-06	VYDAJ	PREVOD NA UCET	189	61749	 	CD	23473745
1061702	3628	1998-10-06	VYDAJ	PREVOD NA UCET	189	57940	 	CD	23473745
1061703	3628	1998-11-06	VYDAJ	PREVOD NA UCET	189	55808	 	CD	23473745
1061704	3628	1998-12-06	VYDAJ	PREVOD NA UCET	189	68020	 	CD	23473745
1061718	3628	1996-02-14	VYDAJ	PREVOD NA UCET	1343	41299	POJISTNE	GH	50009119
1061719	3628	1996-03-14	VYDAJ	PREVOD NA UCET	1343	41740	POJISTNE	GH	50009119
1061720	3628	1996-04-14	VYDAJ	PREVOD NA UCET	1343	42682	POJISTNE	GH	50009119
1061721	3628	1996-05-14	VYDAJ	PREVOD NA UCET	1343	42225	POJISTNE	GH	50009119
1061722	3628	1996-06-14	VYDAJ	PREVOD NA UCET	1343	42056	POJISTNE	GH	50009119
1061723	3628	1996-07-14	VYDAJ	PREVOD NA UCET	1343	43202	POJISTNE	GH	50009119
1061724	3628	1996-08-14	VYDAJ	PREVOD NA UCET	1343	43945	POJISTNE	GH	50009119
1061725	3628	1996-09-14	VYDAJ	PREVOD NA UCET	1343	36841	POJISTNE	GH	50009119
1061726	3628	1996-10-14	VYDAJ	PREVOD NA UCET	1343	36965	POJISTNE	GH	50009119
1061727	3628	1996-11-14	VYDAJ	PREVOD NA UCET	1343	50878	POJISTNE	GH	50009119
1061728	3628	1996-12-14	VYDAJ	PREVOD NA UCET	1343	60770	POJISTNE	GH	50009119
1061729	3628	1997-01-14	VYDAJ	PREVOD NA UCET	1343	54996	POJISTNE	GH	50009119
1061730	3628	1997-02-14	VYDAJ	PREVOD NA UCET	1343	55497	POJISTNE	GH	50009119
1061731	3628	1997-03-14	VYDAJ	PREVOD NA UCET	1343	58381	POJISTNE	GH	50009119
1061732	3628	1997-04-14	VYDAJ	PREVOD NA UCET	1343	63784	POJISTNE	GH	50009119
1061733	3628	1997-05-14	VYDAJ	PREVOD NA UCET	1343	61406	POJISTNE	GH	50009119
1061734	3628	1997-06-14	VYDAJ	PREVOD NA UCET	1343	65369	POJISTNE	GH	50009119
1061735	3628	1997-07-14	VYDAJ	PREVOD NA UCET	1343	66296	POJISTNE	GH	50009119
1061736	3628	1997-08-14	VYDAJ	PREVOD NA UCET	1343	67932	POJISTNE	GH	50009119
1061737	3628	1997-09-14	VYDAJ	PREVOD NA UCET	1343	67275	POJISTNE	GH	50009119
1061738	3628	1997-10-14	VYDAJ	PREVOD NA UCET	1343	68616	POJISTNE	GH	50009119
1061739	3628	1997-11-14	VYDAJ	PREVOD NA UCET	1343	66660	POJISTNE	GH	50009119
1061740	3628	1997-12-14	VYDAJ	PREVOD NA UCET	1343	75538	POJISTNE	GH	50009119
1061741	3628	1998-01-14	VYDAJ	PREVOD NA UCET	1343	58399	POJISTNE	GH	50009119
1061742	3628	1998-02-14	VYDAJ	PREVOD NA UCET	1343	60094	POJISTNE	GH	50009119
1061743	3628	1998-03-14	VYDAJ	PREVOD NA UCET	1343	61793	POJISTNE	GH	50009119
1061744	3628	1998-04-14	VYDAJ	PREVOD NA UCET	1343	63300	POJISTNE	GH	50009119
1061745	3628	1998-05-14	VYDAJ	PREVOD NA UCET	1343	51013	POJISTNE	GH	50009119
1061746	3628	1998-06-14	VYDAJ	PREVOD NA UCET	1343	61106	POJISTNE	GH	50009119
1061747	3628	1998-07-14	VYDAJ	PREVOD NA UCET	1343	62702	POJISTNE	GH	50009119
1061748	3628	1998-08-14	VYDAJ	PREVOD NA UCET	1343	64109	POJISTNE	GH	50009119
1061749	3628	1998-09-14	VYDAJ	PREVOD NA UCET	1343	52735	POJISTNE	GH	50009119
1061750	3628	1998-10-14	VYDAJ	PREVOD NA UCET	1343	54806	POJISTNE	GH	50009119
1061751	3628	1998-11-14	VYDAJ	PREVOD NA UCET	1343	52674	POJISTNE	GH	50009119
1061752	3628	1998-12-14	VYDAJ	PREVOD NA UCET	1343	64886	POJISTNE	GH	50009119
1061754	3628	1996-12-02	VYDAJ	VYBER	3520	47547	\N	\N	\N
1061755	3628	1997-12-27	VYDAJ	VYBER KARTOU	2200	69938	\N	\N	0
1061756	3628	1998-12-14	VYDAJ	VYBER	4320	60566	\N	\N	\N
1061769	3628	1997-01-05	VYDAJ	VYBER	3120	45782	\N	\N	\N
1061770	3628	1997-01-09	VYDAJ	VYBER	1320	56339	\N	\N	\N
1061771	3628	1997-01-25	VYDAJ	VYBER	2760	45516	\N	\N	\N
1061772	3628	1997-01-05	VYDAJ	VYBER	1440	44342	\N	\N	\N
1061773	3628	1997-01-15	VYDAJ	VYBER	2040	52956	\N	\N	\N
1061774	3628	1997-01-25	VYDAJ	VYBER	2760	48276	\N	\N	\N
1061775	3628	1998-01-24	VYDAJ	VYBER KARTOU	2500	53299	\N	\N	0
1061776	3628	1998-01-07	VYDAJ	VYBER KARTOU	2300	59742	\N	\N	0
1061777	3628	1998-01-06	VYDAJ	VYBER KARTOU	3100	63833	\N	\N	0
1061778	3628	1998-01-01	VYDAJ	VYBER KARTOU	2200	54725	\N	\N	0
1061779	3628	1998-01-02	VYDAJ	VYBER KARTOU	2900	51825	\N	\N	0
1061780	3628	1998-01-22	VYDAJ	VYBER KARTOU	2600	55799	\N	\N	0
1061788	3628	1996-06-13	VYDAJ	VYBER	5760	43399	\N	\N	\N
1061789	3628	1996-09-14	VYDAJ	VYBER	5160	38184	\N	\N	\N
1061790	3628	1996-09-26	VYDAJ	VYBER	4800	32041	\N	\N	\N
1061791	3628	1997-05-24	VYDAJ	VYBER	4200	57206	\N	\N	\N
1061792	3628	1997-01-16	VYDAJ	VYBER	1920	51036	\N	\N	\N
1061793	3628	1997-12-26	VYDAJ	VYBER KARTOU	3400	72138	\N	\N	0
1061794	3628	1998-05-11	VYDAJ	VYBER	5520	52356	\N	\N	\N
1061795	3628	1998-05-23	VYDAJ	VYBER	5520	43593	\N	\N	\N
1061796	3628	1998-09-07	VYDAJ	VYBER	5880	55869	\N	\N	\N
1061797	3628	1998-05-22	VYDAJ	VYBER KARTOU	1900	49113	\N	\N	0
1061798	3628	1998-05-06	VYDAJ	VYBER	4680	59856	\N	\N	\N
1061799	3628	1998-04-29	VYDAJ	VYBER KARTOU	1600	61700	\N	\N	0
1061814	3628	1996-02-29	VYDAJ	VYBER	15	41466	SLUZBY	\N	\N
1061815	3628	1996-03-31	VYDAJ	VYBER	15	41908	SLUZBY	\N	\N
1061816	3628	1996-04-30	VYDAJ	VYBER	15	42851	SLUZBY	\N	\N
1061817	3628	1996-05-31	VYDAJ	VYBER	15	42393	SLUZBY	\N	\N
1061818	3628	1996-06-30	VYDAJ	VYBER	15	42228	SLUZBY	\N	\N
1061819	3628	1996-07-31	VYDAJ	VYBER	15	43371	SLUZBY	\N	\N
1061820	3628	1996-08-31	VYDAJ	VYBER	15	44127	SLUZBY	\N	\N
1061821	3628	1996-09-30	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
1061822	3628	1996-10-31	VYDAJ	VYBER	15	37104	SLUZBY	\N	\N
1061823	3628	1996-11-30	VYDAJ	VYBER	15	51067	SLUZBY	\N	\N
1061824	3628	1996-12-31	VYDAJ	VYBER	15	61002	SLUZBY	\N	\N
1061825	3628	1997-01-31	VYDAJ	VYBER	15	45723	SLUZBY	\N	\N
1061826	3628	1997-02-28	VYDAJ	VYBER	15	55707	SLUZBY	\N	\N
1061827	3628	1997-03-31	VYDAJ	VYBER	15	58610	SLUZBY	\N	\N
1061828	3628	1997-04-30	VYDAJ	VYBER	15	64032	SLUZBY	\N	\N
1061829	3628	1997-05-31	VYDAJ	VYBER	15	57446	SLUZBY	\N	\N
1061830	3628	1997-06-30	VYDAJ	VYBER	15	65622	SLUZBY	\N	\N
1061831	3628	1997-07-31	VYDAJ	VYBER	15	66558	SLUZBY	\N	\N
1061832	3628	1997-08-31	VYDAJ	VYBER	15	68201	SLUZBY	\N	\N
1061833	3628	1997-09-30	VYDAJ	VYBER	15	67542	SLUZBY	\N	\N
1061834	3628	1997-10-31	VYDAJ	VYBER	15	54686	SLUZBY	\N	\N
1061835	3628	1997-11-30	VYDAJ	VYBER	15	66916	SLUZBY	\N	\N
1061836	3628	1997-12-31	VYDAJ	VYBER	15	56925	SLUZBY	\N	\N
1061837	3628	1998-01-31	VYDAJ	VYBER	15	48120	SLUZBY	\N	\N
1061838	3628	1998-02-28	VYDAJ	VYBER	15	60319	SLUZBY	\N	\N
1061839	3628	1998-03-31	VYDAJ	VYBER	15	51326	SLUZBY	\N	\N
1061840	3628	1998-04-30	VYDAJ	VYBER	15	49239	SLUZBY	\N	\N
1061841	3628	1998-05-31	VYDAJ	VYBER	15	41483	SLUZBY	\N	\N
1061842	3628	1998-06-30	VYDAJ	VYBER	15	50728	SLUZBY	\N	\N
1061843	3628	1998-07-31	VYDAJ	VYBER	15	52135	SLUZBY	\N	\N
1061844	3628	1998-08-31	VYDAJ	VYBER	15	46641	SLUZBY	\N	\N
1061845	3628	1998-09-30	VYDAJ	VYBER	15	42832	SLUZBY	\N	\N
1061846	3628	1998-10-31	VYDAJ	VYBER	15	40700	SLUZBY	\N	\N
1061847	3628	1998-11-30	VYDAJ	VYBER	15	45263	SLUZBY	\N	\N
1061848	3628	1995-10-12	PRIJEM	VKLAD	2700	18397	\N	\N	\N
1061849	3628	1995-11-11	VYDAJ	VYBER	5300	28443	\N	\N	\N
1061850	3628	1995-12-11	VYDAJ	VYBER	10100	41394	\N	\N	\N
1061851	3628	1996-01-10	VYDAJ	VYBER	13100	43746	\N	\N	\N
1061852	3628	1996-02-09	VYDAJ	VYBER	14600	42642	\N	\N	\N
1061853	3628	1996-03-10	VYDAJ	VYBER	11700	43083	\N	\N	\N
1061854	3628	1996-04-09	VYDAJ	VYBER	11200	44025	\N	\N	\N
1061855	3628	1996-05-09	VYDAJ	VYBER	12600	43568	\N	\N	\N
1061856	3628	1996-06-08	VYDAJ	VYBER	14200	49159	\N	\N	\N
1061857	3628	1996-07-08	VYDAJ	VYBER	11000	44545	\N	\N	\N
1061858	3628	1996-08-07	VYDAJ	VYBER	11400	45288	\N	\N	\N
1061859	3628	1996-09-06	VYDAJ	VYBER	14100	45135	\N	\N	\N
1061860	3628	1996-10-06	VYDAJ	VYBER	7200	40099	\N	\N	\N
1061861	3628	1996-11-05	PRIJEM	VKLAD	1800	38904	\N	\N	\N
1061862	3628	1996-12-05	VYDAJ	VYBER	6400	41147	\N	\N	\N
1061863	3628	1997-01-04	VYDAJ	VYBER	12100	48902	\N	\N	\N
1061864	3628	1997-02-03	VYDAJ	VYBER	2200	43523	\N	\N	\N
1061865	3628	1997-03-05	VYDAJ	VYBER	9300	46407	\N	\N	\N
1061866	3628	1997-04-04	VYDAJ	VYBER	6800	51810	\N	\N	\N
1061867	3628	1997-05-04	VYDAJ	VYBER	14600	49432	\N	\N	\N
1061868	3628	1997-06-03	VYDAJ	VYBER	11700	45746	\N	\N	\N
1061869	3628	1997-07-03	VYDAJ	VYBER	11300	54322	\N	\N	\N
1061870	3628	1997-08-02	VYDAJ	VYBER	10600	55958	\N	\N	\N
1061871	3628	1997-09-01	VYDAJ	VYBER	12900	55301	\N	\N	\N
1061872	3628	1997-10-01	VYDAJ	VYBER	10900	56642	\N	\N	\N
1061873	3628	1997-10-31	VYDAJ	VYBER	14200	54700	\N	\N	\N
1061874	3628	1997-11-30	VYDAJ	VYBER	11000	55916	\N	\N	\N
1061875	3628	1997-12-30	VYDAJ	VYBER	13300	56638	\N	\N	\N
1061876	3628	1998-01-29	VYDAJ	VYBER	5400	47899	\N	\N	\N
1061877	3628	1998-02-28	VYDAJ	VYBER	10500	49819	\N	\N	\N
1061878	3628	1998-03-30	VYDAJ	VYBER	10700	51093	\N	\N	\N
1061879	3628	1998-04-29	VYDAJ	VYBER	12700	49000	\N	\N	\N
1061880	3628	1998-05-29	VYDAJ	VYBER KARTOU	2300	41293	\N	\N	0
1061881	3628	1998-06-28	VYDAJ	VYBER	10600	50506	\N	\N	\N
1061882	3628	1998-07-28	VYDAJ	VYBER	10800	51902	\N	\N	\N
1061883	3628	1998-08-27	VYDAJ	VYBER	17700	46409	\N	\N	\N
1061884	3628	1998-09-26	VYDAJ	VYBER	10100	42635	\N	\N	\N
1061885	3628	1998-10-26	VYDAJ	VYBER	14300	40506	\N	\N	\N
1061886	3628	1998-11-25	VYDAJ	VYBER	7600	45074	\N	\N	\N
1061926	3629	1993-07-27	PRIJEM	VKLAD	900	900	\N	\N	\N
1061934	3629	1993-08-11	PRIJEM	PREVOD Z UCTU	15873	16773	\N	WX	68042999
1061935	3629	1993-09-11	PRIJEM	PREVOD Z UCTU	15873	36963	\N	WX	68042999
1061936	3629	1993-10-11	PRIJEM	PREVOD Z UCTU	15873	47933	\N	WX	68042999
1061937	3629	1993-11-11	PRIJEM	PREVOD Z UCTU	15873	50942	\N	WX	68042999
1061938	3629	1993-12-11	PRIJEM	PREVOD Z UCTU	23810	59898	\N	WX	68042999
1061939	3629	1994-01-11	PRIJEM	PREVOD Z UCTU	15873	28611	\N	WX	68042999
1061940	3629	1994-02-11	PRIJEM	PREVOD Z UCTU	15873	25078	\N	WX	68042999
1061941	3629	1994-03-11	PRIJEM	PREVOD Z UCTU	15873	24924	\N	WX	68042999
1061942	3629	1994-04-11	PRIJEM	PREVOD Z UCTU	15873	27675	\N	WX	68042999
1061943	3629	1994-05-11	PRIJEM	PREVOD Z UCTU	15873	26630	\N	WX	68042999
1061944	3629	1994-06-11	PRIJEM	PREVOD Z UCTU	23810	41128	\N	WX	68042999
1061945	3629	1994-07-11	PRIJEM	PREVOD Z UCTU	15873	37925	\N	WX	68042999
1061946	3629	1994-08-11	PRIJEM	PREVOD Z UCTU	15873	26760	\N	WX	68042999
1061947	3629	1994-09-11	PRIJEM	PREVOD Z UCTU	15873	30917	\N	WX	68042999
1061948	3629	1994-10-11	PRIJEM	PREVOD Z UCTU	15873	35690	\N	WX	68042999
1061949	3629	1994-11-11	PRIJEM	PREVOD Z UCTU	15873	30879	\N	WX	68042999
1061950	3629	1994-12-11	PRIJEM	PREVOD Z UCTU	23810	34293	\N	WX	68042999
1061951	3629	1995-01-11	PRIJEM	PREVOD Z UCTU	15873	26065	\N	WX	68042999
1061952	3629	1995-02-11	PRIJEM	PREVOD Z UCTU	15873	23915	\N	WX	68042999
1061953	3629	1995-03-11	PRIJEM	PREVOD Z UCTU	15873	30765	\N	WX	68042999
1061954	3629	1995-04-11	PRIJEM	PREVOD Z UCTU	15873	24628	\N	WX	68042999
1061955	3629	1995-05-11	PRIJEM	PREVOD Z UCTU	15873	29482	\N	WX	68042999
1061956	3629	1995-06-11	PRIJEM	PREVOD Z UCTU	23810	32081	\N	WX	68042999
1061957	3629	1995-07-11	PRIJEM	PREVOD Z UCTU	15873	27595	\N	WX	68042999
1061958	3629	1995-08-11	PRIJEM	PREVOD Z UCTU	15873	29406	\N	WX	68042999
1061959	3629	1995-09-11	PRIJEM	PREVOD Z UCTU	15873	29418	\N	WX	68042999
1061960	3629	1995-10-11	PRIJEM	PREVOD Z UCTU	15873	29929	\N	WX	68042999
1061961	3629	1995-11-11	PRIJEM	PREVOD Z UCTU	15873	26538	\N	WX	68042999
1061962	3629	1995-12-11	PRIJEM	PREVOD Z UCTU	23810	37279	\N	WX	68042999
1061963	3629	1996-01-11	PRIJEM	PREVOD Z UCTU	15873	29539	\N	WX	68042999
1061964	3629	1996-02-11	PRIJEM	PREVOD Z UCTU	15873	25440	\N	WX	68042999
1061965	3629	1996-03-11	PRIJEM	PREVOD Z UCTU	15873	27137	\N	WX	68042999
1061966	3629	1996-04-11	PRIJEM	PREVOD Z UCTU	15873	29744	\N	WX	68042999
1061967	3629	1996-05-11	PRIJEM	PREVOD Z UCTU	15873	29961	\N	WX	68042999
1061968	3629	1996-06-11	PRIJEM	PREVOD Z UCTU	23810	40217	\N	WX	68042999
1061969	3629	1996-07-11	PRIJEM	PREVOD Z UCTU	15873	28997	\N	WX	68042999
1061970	3629	1996-08-11	PRIJEM	PREVOD Z UCTU	15873	35611	\N	WX	68042999
1061971	3629	1996-09-11	PRIJEM	PREVOD Z UCTU	15873	31742	\N	WX	68042999
1061972	3629	1996-10-11	PRIJEM	PREVOD Z UCTU	15873	30267	\N	WX	68042999
1061973	3629	1996-11-11	PRIJEM	PREVOD Z UCTU	15873	27318	\N	WX	68042999
1061974	3629	1996-12-11	PRIJEM	PREVOD Z UCTU	23810	35960	\N	WX	68042999
1061975	3629	1997-01-11	PRIJEM	PREVOD Z UCTU	15873	25887	\N	WX	68042999
1061976	3629	1997-02-11	PRIJEM	PREVOD Z UCTU	15873	22990	\N	WX	68042999
1061977	3629	1997-03-11	PRIJEM	PREVOD Z UCTU	15873	28879	\N	WX	68042999
1061978	3629	1997-04-11	PRIJEM	PREVOD Z UCTU	15873	26788	\N	WX	68042999
1061979	3629	1997-05-11	PRIJEM	PREVOD Z UCTU	15873	26467	\N	WX	68042999
1061980	3629	1997-06-11	PRIJEM	PREVOD Z UCTU	23810	34092	\N	WX	68042999
1061981	3629	1997-07-11	PRIJEM	PREVOD Z UCTU	15873	24104	\N	WX	68042999
1061982	3629	1997-08-11	PRIJEM	PREVOD Z UCTU	15873	25097	\N	WX	68042999
1061983	3629	1997-09-11	PRIJEM	PREVOD Z UCTU	15873	27794	\N	WX	68042999
1061984	3629	1997-10-11	PRIJEM	PREVOD Z UCTU	15873	30600	\N	WX	68042999
1061985	3629	1997-11-11	PRIJEM	PREVOD Z UCTU	15873	31719	\N	WX	68042999
1061986	3629	1997-12-11	PRIJEM	PREVOD Z UCTU	23810	38681	\N	WX	68042999
1061987	3629	1998-01-11	PRIJEM	PREVOD Z UCTU	15873	28115	\N	WX	68042999
1061988	3629	1998-02-11	PRIJEM	PREVOD Z UCTU	15873	26118	\N	WX	68042999
1061989	3629	1998-03-11	PRIJEM	PREVOD Z UCTU	15873	30918	\N	WX	68042999
1061990	3629	1998-04-11	PRIJEM	PREVOD Z UCTU	15873	28836	\N	WX	68042999
1061991	3629	1998-05-11	PRIJEM	PREVOD Z UCTU	15873	27851	\N	WX	68042999
1061992	3629	1998-06-11	PRIJEM	PREVOD Z UCTU	23810	32697	\N	WX	68042999
1061993	3629	1998-07-11	PRIJEM	PREVOD Z UCTU	15873	21711	\N	WX	68042999
1061994	3629	1998-08-11	PRIJEM	PREVOD Z UCTU	15873	21992	\N	WX	68042999
1061995	3629	1998-09-11	PRIJEM	PREVOD Z UCTU	15873	23276	\N	WX	68042999
1061996	3629	1998-10-11	PRIJEM	PREVOD Z UCTU	15873	23063	\N	WX	68042999
1061997	3629	1998-11-11	PRIJEM	PREVOD Z UCTU	15873	19449	\N	WX	68042999
1061998	3629	1998-12-11	PRIJEM	PREVOD Z UCTU	23810	29657	\N	WX	68042999
1062010	3629	1993-12-15	VYDAJ	VYBER	2600	55498	\N	\N	0
1062011	3629	1994-01-23	VYDAJ	VYBER	1900	20111	\N	\N	0
1062012	3629	1994-02-13	VYDAJ	VYBER	2500	22578	\N	\N	0
1062013	3629	1994-03-01	VYDAJ	VYBER	3400	20055	\N	\N	0
1062014	3629	1994-04-16	VYDAJ	VYBER	3000	24675	\N	\N	0
1062015	3629	1994-05-09	VYDAJ	VYBER	2300	19867	\N	\N	0
1062016	3629	1994-06-23	VYDAJ	VYBER	3300	32928	\N	\N	0
1062017	3629	1994-07-18	VYDAJ	VYBER	2200	35725	\N	\N	0
1062018	3629	1994-08-25	VYDAJ	VYBER	1800	25960	\N	\N	0
1062019	3629	1994-09-15	VYDAJ	VYBER	1600	29317	\N	\N	0
1062020	3629	1994-10-20	VYDAJ	VYBER	3200	28990	\N	\N	0
1062021	3629	1994-11-08	VYDAJ	VYBER	3100	24116	\N	\N	0
1062022	3629	1994-12-01	VYDAJ	VYBER	3900	25087	\N	\N	0
1062023	3629	1995-01-05	VYDAJ	VYBER	2800	24380	\N	\N	0
1062024	3629	1995-02-02	VYDAJ	VYBER	2400	19046	\N	\N	0
1062025	3629	1995-03-13	VYDAJ	VYBER	2500	28265	\N	\N	0
1062026	3629	1995-04-03	VYDAJ	VYBER	2500	24160	\N	\N	0
1062027	3629	1995-05-27	VYDAJ	VYBER	2900	19182	\N	\N	0
1062028	3629	1995-06-12	VYDAJ	PREVOD NA UCET	2646	29435	UVER	MN	36472505
1062029	3629	1995-07-12	VYDAJ	PREVOD NA UCET	2646	24949	UVER	MN	36472505
1062030	3629	1995-08-12	VYDAJ	PREVOD NA UCET	2646	26760	UVER	MN	36472505
1062031	3629	1995-09-12	VYDAJ	PREVOD NA UCET	2646	26772	UVER	MN	36472505
1062032	3629	1995-10-12	VYDAJ	PREVOD NA UCET	2646	27284	UVER	MN	36472505
1062033	3629	1995-11-12	VYDAJ	PREVOD NA UCET	2646	23892	UVER	MN	36472505
1062034	3629	1995-12-12	VYDAJ	PREVOD NA UCET	2646	34634	UVER	MN	36472505
1062035	3629	1996-01-12	VYDAJ	PREVOD NA UCET	2646	26893	UVER	MN	36472505
1062036	3629	1996-02-12	VYDAJ	PREVOD NA UCET	2646	22194	UVER	MN	36472505
1062037	3629	1996-03-12	VYDAJ	PREVOD NA UCET	2646	24491	UVER	MN	36472505
1062038	3629	1996-04-12	VYDAJ	PREVOD NA UCET	2646	24998	UVER	MN	36472505
1062039	3629	1996-05-12	VYDAJ	PREVOD NA UCET	2646	27316	UVER	MN	36472505
1062040	3629	1996-06-12	VYDAJ	PREVOD NA UCET	2646	28672	UVER	MN	36472505
1062041	3629	1996-07-12	VYDAJ	PREVOD NA UCET	2646	25551	UVER	MN	36472505
1062042	3629	1996-08-12	VYDAJ	PREVOD NA UCET	2646	32965	UVER	MN	36472505
1062043	3629	1996-09-12	VYDAJ	PREVOD NA UCET	2646	29096	UVER	MN	36472505
1062044	3629	1996-10-12	VYDAJ	PREVOD NA UCET	2646	27621	UVER	MN	36472505
1062045	3629	1996-11-12	VYDAJ	PREVOD NA UCET	2646	24673	UVER	MN	36472505
1062046	3629	1996-12-12	VYDAJ	PREVOD NA UCET	2646	33314	UVER	MN	36472505
1062047	3629	1997-01-12	VYDAJ	PREVOD NA UCET	2646	23241	UVER	MN	36472505
1062048	3629	1997-02-12	VYDAJ	PREVOD NA UCET	2646	20344	UVER	MN	36472505
1062049	3629	1997-03-12	VYDAJ	PREVOD NA UCET	2646	26234	UVER	MN	36472505
1062050	3629	1997-04-12	VYDAJ	PREVOD NA UCET	2646	24142	UVER	MN	36472505
1062051	3629	1997-05-12	VYDAJ	PREVOD NA UCET	2646	23822	UVER	MN	36472505
1062052	3629	1997-06-12	VYDAJ	PREVOD NA UCET	2646	31447	UVER	MN	36472505
1062053	3629	1997-07-12	VYDAJ	PREVOD NA UCET	2646	21458	UVER	MN	36472505
1062054	3629	1997-08-12	VYDAJ	PREVOD NA UCET	2646	22452	UVER	MN	36472505
1062055	3629	1997-09-12	VYDAJ	PREVOD NA UCET	2646	25148	UVER	MN	36472505
1062056	3629	1997-10-12	VYDAJ	PREVOD NA UCET	2646	27954	UVER	MN	36472505
1062057	3629	1997-11-12	VYDAJ	PREVOD NA UCET	2646	29073	UVER	MN	36472505
1062058	3629	1997-12-12	VYDAJ	PREVOD NA UCET	2646	36035	UVER	MN	36472505
1062059	3629	1998-01-12	VYDAJ	PREVOD NA UCET	2646	25469	UVER	MN	36472505
1062060	3629	1998-02-12	VYDAJ	PREVOD NA UCET	2646	23472	UVER	MN	36472505
1062061	3629	1998-03-12	VYDAJ	PREVOD NA UCET	2646	28273	UVER	MN	36472505
1062062	3629	1998-04-12	VYDAJ	PREVOD NA UCET	2646	26190	UVER	MN	36472505
1062063	3629	1998-05-12	VYDAJ	PREVOD NA UCET	2646	25205	UVER	MN	36472505
1062064	3629	1998-06-12	VYDAJ	PREVOD NA UCET	2646	30051	UVER	MN	36472505
1062065	3629	1998-07-12	VYDAJ	PREVOD NA UCET	2646	19066	UVER	MN	36472505
1062066	3629	1998-08-12	VYDAJ	PREVOD NA UCET	2646	19346	UVER	MN	36472505
1062067	3629	1998-09-12	VYDAJ	PREVOD NA UCET	2646	20631	UVER	MN	36472505
1062068	3629	1998-10-12	VYDAJ	PREVOD NA UCET	2646	20418	UVER	MN	36472505
1062069	3629	1998-11-12	VYDAJ	PREVOD NA UCET	2646	16803	UVER	MN	36472505
1062070	3629	1998-12-12	VYDAJ	PREVOD NA UCET	2646	27011	UVER	MN	36472505
1062083	3629	1994-01-07	VYDAJ	PREVOD NA UCET	1894	21848	SIPO	CD	72661483
1062084	3629	1994-02-07	VYDAJ	PREVOD NA UCET	1894	18315	SIPO	CD	72661483
1062085	3629	1994-03-07	VYDAJ	PREVOD NA UCET	1894	18161	SIPO	CD	72661483
1062086	3629	1994-04-07	VYDAJ	PREVOD NA UCET	1894	20912	SIPO	CD	72661483
1062087	3629	1994-05-07	VYDAJ	PREVOD NA UCET	1894	22167	SIPO	CD	72661483
1062088	3629	1994-06-07	VYDAJ	PREVOD NA UCET	1894	26428	SIPO	CD	72661483
1062089	3629	1994-07-07	VYDAJ	PREVOD NA UCET	1894	31162	SIPO	CD	72661483
1062090	3629	1994-08-07	VYDAJ	PREVOD NA UCET	1894	19997	SIPO	CD	72661483
1062091	3629	1994-09-07	VYDAJ	PREVOD NA UCET	1894	24154	SIPO	CD	72661483
1062092	3629	1994-10-07	VYDAJ	PREVOD NA UCET	1894	28927	SIPO	CD	72661483
1062093	3629	1994-11-07	VYDAJ	PREVOD NA UCET	1894	27216	SIPO	CD	72661483
1062094	3629	1994-12-07	VYDAJ	PREVOD NA UCET	1894	19593	SIPO	CD	72661483
1062095	3629	1995-01-07	VYDAJ	PREVOD NA UCET	1894	19302	SIPO	CD	72661483
1062096	3629	1995-02-07	VYDAJ	PREVOD NA UCET	1894	17152	SIPO	CD	72661483
1062097	3629	1995-03-07	VYDAJ	PREVOD NA UCET	1894	24002	SIPO	CD	72661483
1062098	3629	1995-04-07	VYDAJ	PREVOD NA UCET	1894	17865	SIPO	CD	72661483
1062099	3629	1995-05-07	VYDAJ	PREVOD NA UCET	1894	22719	SIPO	CD	72661483
1062100	3629	1995-06-07	VYDAJ	PREVOD NA UCET	1894	17381	SIPO	CD	72661483
1062101	3629	1995-07-07	VYDAJ	PREVOD NA UCET	1894	20832	SIPO	CD	72661483
1062102	3629	1995-08-07	VYDAJ	PREVOD NA UCET	1894	22643	SIPO	CD	72661483
1062103	3629	1995-09-07	VYDAJ	PREVOD NA UCET	1894	22655	SIPO	CD	72661483
1062104	3629	1995-10-07	VYDAJ	PREVOD NA UCET	1894	23166	SIPO	CD	72661483
1062105	3629	1995-11-07	VYDAJ	PREVOD NA UCET	1894	19775	SIPO	CD	72661483
1062106	3629	1995-12-07	VYDAJ	PREVOD NA UCET	1894	22579	SIPO	CD	72661483
1062107	3629	1996-01-07	VYDAJ	PREVOD NA UCET	1894	22776	SIPO	CD	72661483
1062108	3629	1996-02-07	VYDAJ	PREVOD NA UCET	1894	18677	SIPO	CD	72661483
1062109	3629	1996-03-07	VYDAJ	PREVOD NA UCET	1894	20374	SIPO	CD	72661483
1062110	3629	1996-04-07	VYDAJ	PREVOD NA UCET	1894	22981	SIPO	CD	72661483
1062111	3629	1996-05-07	VYDAJ	PREVOD NA UCET	1894	23198	SIPO	CD	72661483
1062112	3629	1996-06-07	VYDAJ	PREVOD NA UCET	1894	25517	SIPO	CD	72661483
1062113	3629	1996-07-07	VYDAJ	PREVOD NA UCET	1894	22234	SIPO	CD	72661483
1062114	3629	1996-08-07	VYDAJ	PREVOD NA UCET	1894	23748	SIPO	CD	72661483
1062115	3629	1996-09-07	VYDAJ	PREVOD NA UCET	1894	25479	SIPO	CD	72661483
1062116	3629	1996-10-07	VYDAJ	PREVOD NA UCET	1894	27304	SIPO	CD	72661483
1062117	3629	1996-11-07	VYDAJ	PREVOD NA UCET	1894	17955	SIPO	CD	72661483
1062118	3629	1996-12-07	VYDAJ	PREVOD NA UCET	1894	22860	SIPO	CD	72661483
1062119	3629	1997-01-07	VYDAJ	PREVOD NA UCET	1894	21324	SIPO	CD	72661483
1062120	3629	1997-02-07	VYDAJ	PREVOD NA UCET	1894	16227	SIPO	CD	72661483
1062121	3629	1997-03-07	VYDAJ	PREVOD NA UCET	1894	18516	SIPO	CD	72661483
1062122	3629	1997-04-07	VYDAJ	PREVOD NA UCET	1894	24425	SIPO	CD	72661483
1062123	3629	1997-05-07	VYDAJ	PREVOD NA UCET	1894	19904	SIPO	CD	72661483
1062124	3629	1997-06-07	VYDAJ	PREVOD NA UCET	1894	19392	SIPO	CD	72661483
1062125	3629	1997-07-07	VYDAJ	PREVOD NA UCET	1894	17341	SIPO	CD	72661483
1062126	3629	1997-08-07	VYDAJ	PREVOD NA UCET	1894	18334	SIPO	CD	72661483
1062127	3629	1997-09-07	VYDAJ	PREVOD NA UCET	1894	21031	SIPO	CD	72661483
1062128	3629	1997-10-07	VYDAJ	PREVOD NA UCET	1894	23837	SIPO	CD	72661483
1062129	3629	1997-11-07	VYDAJ	PREVOD NA UCET	1894	24956	SIPO	CD	72661483
1062130	3629	1997-12-07	VYDAJ	PREVOD NA UCET	1894	23981	SIPO	CD	72661483
1062131	3629	1998-01-07	VYDAJ	PREVOD NA UCET	1894	21352	SIPO	CD	72661483
1062132	3629	1998-02-07	VYDAJ	PREVOD NA UCET	1894	19355	SIPO	CD	72661483
1062133	3629	1998-03-07	VYDAJ	PREVOD NA UCET	1894	24155	SIPO	CD	72661483
1062134	3629	1998-04-07	VYDAJ	PREVOD NA UCET	1894	22073	SIPO	CD	72661483
1062135	3629	1998-05-07	VYDAJ	PREVOD NA UCET	1894	21088	SIPO	CD	72661483
1062136	3629	1998-06-07	VYDAJ	PREVOD NA UCET	1894	17997	SIPO	CD	72661483
1062137	3629	1998-07-07	VYDAJ	PREVOD NA UCET	1894	14948	SIPO	CD	72661483
1062138	3629	1998-08-07	VYDAJ	PREVOD NA UCET	1894	15229	SIPO	CD	72661483
1062139	3629	1998-09-07	VYDAJ	PREVOD NA UCET	1894	16513	SIPO	CD	72661483
1062140	3629	1998-10-07	VYDAJ	PREVOD NA UCET	1894	16300	SIPO	CD	72661483
1062141	3629	1998-11-07	VYDAJ	PREVOD NA UCET	1894	12686	SIPO	CD	72661483
1062142	3629	1998-12-07	VYDAJ	PREVOD NA UCET	1894	14957	SIPO	CD	72661483
1062155	3629	1994-01-10	VYDAJ	PREVOD NA UCET	368	21480	 	QR	11967546
1062156	3629	1994-02-10	VYDAJ	PREVOD NA UCET	368	9205	 	QR	11967546
1062157	3629	1994-03-10	VYDAJ	PREVOD NA UCET	368	17793	 	QR	11967546
1062158	3629	1994-04-10	VYDAJ	PREVOD NA UCET	368	11802	 	QR	11967546
1062159	3629	1994-05-10	VYDAJ	PREVOD NA UCET	368	19499	 	QR	11967546
1062160	3629	1994-06-10	VYDAJ	PREVOD NA UCET	368	17318	 	QR	11967546
1062161	3629	1994-07-10	VYDAJ	PREVOD NA UCET	368	30794	 	QR	11967546
1062162	3629	1994-08-10	VYDAJ	PREVOD NA UCET	368	10887	 	QR	11967546
1062163	3629	1994-09-10	VYDAJ	PREVOD NA UCET	368	23786	 	QR	11967546
1062164	3629	1994-10-10	VYDAJ	PREVOD NA UCET	368	19817	 	QR	11967546
1062165	3629	1994-11-10	VYDAJ	PREVOD NA UCET	368	15006	 	QR	11967546
1062166	3629	1994-12-10	VYDAJ	PREVOD NA UCET	368	19225	 	QR	11967546
1062167	3629	1995-01-10	VYDAJ	PREVOD NA UCET	368	18934	 	QR	11967546
1062168	3629	1995-02-10	VYDAJ	PREVOD NA UCET	368	8042	 	QR	11967546
1062169	3629	1995-03-10	VYDAJ	PREVOD NA UCET	368	23634	 	QR	11967546
1062170	3629	1995-04-10	VYDAJ	PREVOD NA UCET	368	8755	 	QR	11967546
1062171	3629	1995-05-10	VYDAJ	PREVOD NA UCET	368	13609	 	QR	11967546
1062172	3629	1995-06-10	VYDAJ	PREVOD NA UCET	368	17013	 	QR	11967546
1062173	3629	1995-07-10	VYDAJ	PREVOD NA UCET	368	11722	 	QR	11967546
1062174	3629	1995-08-10	VYDAJ	PREVOD NA UCET	368	22275	 	QR	11967546
1062175	3629	1995-09-10	VYDAJ	PREVOD NA UCET	368	22287	 	QR	11967546
1062176	3629	1995-10-10	VYDAJ	PREVOD NA UCET	368	22798	 	QR	11967546
1062177	3629	1995-11-10	VYDAJ	PREVOD NA UCET	368	19407	 	QR	11967546
1062178	3629	1995-12-10	VYDAJ	PREVOD NA UCET	368	22211	 	QR	11967546
1062179	3629	1996-01-10	VYDAJ	PREVOD NA UCET	368	13666	 	QR	11967546
1062180	3629	1996-02-10	VYDAJ	PREVOD NA UCET	368	18309	 	QR	11967546
1062181	3629	1996-03-10	VYDAJ	PREVOD NA UCET	368	20006	 	QR	11967546
1062182	3629	1996-04-10	VYDAJ	PREVOD NA UCET	368	22613	 	QR	11967546
1062183	3629	1996-05-10	VYDAJ	PREVOD NA UCET	368	14088	 	QR	11967546
1062184	3629	1996-06-10	VYDAJ	PREVOD NA UCET	368	16407	 	QR	11967546
1062185	3629	1996-07-10	VYDAJ	PREVOD NA UCET	368	21866	 	QR	11967546
1062186	3629	1996-08-10	VYDAJ	PREVOD NA UCET	368	28480	 	QR	11967546
1062187	3629	1996-09-10	VYDAJ	PREVOD NA UCET	368	15869	 	QR	11967546
1062188	3629	1996-10-10	VYDAJ	PREVOD NA UCET	368	23136	 	QR	11967546
1062189	3629	1996-11-10	VYDAJ	PREVOD NA UCET	368	20187	 	QR	11967546
1062190	3629	1996-12-10	VYDAJ	PREVOD NA UCET	368	12150	 	QR	11967546
1062191	3629	1997-01-10	VYDAJ	PREVOD NA UCET	368	18756	 	QR	11967546
1062192	3629	1997-02-10	VYDAJ	PREVOD NA UCET	368	15859	 	QR	11967546
1062193	3629	1997-03-10	VYDAJ	PREVOD NA UCET	368	13006	 	QR	11967546
1062194	3629	1997-04-10	VYDAJ	PREVOD NA UCET	368	10915	 	QR	11967546
1062195	3629	1997-05-10	VYDAJ	PREVOD NA UCET	368	19336	 	QR	11967546
1062196	3629	1997-06-10	VYDAJ	PREVOD NA UCET	368	10282	 	QR	11967546
1062197	3629	1997-07-10	VYDAJ	PREVOD NA UCET	368	8231	 	QR	11967546
1062198	3629	1997-08-10	VYDAJ	PREVOD NA UCET	368	9224	 	QR	11967546
1062199	3629	1997-09-10	VYDAJ	PREVOD NA UCET	368	20663	 	QR	11967546
1062200	3629	1997-10-10	VYDAJ	PREVOD NA UCET	368	14727	 	QR	11967546
1062201	3629	1997-11-10	VYDAJ	PREVOD NA UCET	368	24588	 	QR	11967546
1062202	3629	1997-12-10	VYDAJ	PREVOD NA UCET	368	14871	 	QR	11967546
1062203	3629	1998-01-10	VYDAJ	PREVOD NA UCET	368	12242	 	QR	11967546
1062204	3629	1998-02-10	VYDAJ	PREVOD NA UCET	368	18987	 	QR	11967546
1062205	3629	1998-03-10	VYDAJ	PREVOD NA UCET	368	23787	 	QR	11967546
1062206	3629	1998-04-10	VYDAJ	PREVOD NA UCET	368	21705	 	QR	11967546
1062207	3629	1998-05-10	VYDAJ	PREVOD NA UCET	368	11978	 	QR	11967546
1062208	3629	1998-06-10	VYDAJ	PREVOD NA UCET	368	8887	 	QR	11967546
1062209	3629	1998-07-10	VYDAJ	PREVOD NA UCET	368	5838	 	QR	11967546
1062210	3629	1998-08-10	VYDAJ	PREVOD NA UCET	368	6119	 	QR	11967546
1062211	3629	1998-09-10	VYDAJ	PREVOD NA UCET	368	7403	 	QR	11967546
1062212	3629	1998-10-10	VYDAJ	PREVOD NA UCET	368	15932	 	QR	11967546
1062213	3629	1998-11-10	VYDAJ	PREVOD NA UCET	368	3576	 	QR	11967546
1062214	3629	1998-12-10	VYDAJ	PREVOD NA UCET	368	5847	 	QR	11967546
1062227	3629	1994-01-10	VYDAJ	PREVOD NA UCET	8742	12738	POJISTNE	UV	21008116
1062228	3629	1994-02-10	VYDAJ	PREVOD NA UCET	8742	9573	POJISTNE	UV	21008116
1062229	3629	1994-03-10	VYDAJ	PREVOD NA UCET	8742	9051	POJISTNE	UV	21008116
1062230	3629	1994-04-10	VYDAJ	PREVOD NA UCET	8742	12170	POJISTNE	UV	21008116
1062231	3629	1994-05-10	VYDAJ	PREVOD NA UCET	8742	10757	POJISTNE	UV	21008116
1062232	3629	1994-06-10	VYDAJ	PREVOD NA UCET	8742	17686	POJISTNE	UV	21008116
1062233	3629	1994-07-10	VYDAJ	PREVOD NA UCET	8742	22052	POJISTNE	UV	21008116
1062234	3629	1994-08-10	VYDAJ	PREVOD NA UCET	8742	11255	POJISTNE	UV	21008116
1062235	3629	1994-09-10	VYDAJ	PREVOD NA UCET	8742	15044	POJISTNE	UV	21008116
1062236	3629	1994-10-10	VYDAJ	PREVOD NA UCET	8742	20185	POJISTNE	UV	21008116
1062237	3629	1994-11-10	VYDAJ	PREVOD NA UCET	8742	15374	POJISTNE	UV	21008116
1062238	3629	1994-12-10	VYDAJ	PREVOD NA UCET	8742	10483	POJISTNE	UV	21008116
1062239	3629	1995-01-10	VYDAJ	PREVOD NA UCET	8742	10192	POJISTNE	UV	21008116
1062240	3629	1995-02-10	VYDAJ	PREVOD NA UCET	8742	8410	POJISTNE	UV	21008116
1062241	3629	1995-03-10	VYDAJ	PREVOD NA UCET	8742	14892	POJISTNE	UV	21008116
1062242	3629	1995-04-10	VYDAJ	PREVOD NA UCET	8742	9123	POJISTNE	UV	21008116
1062243	3629	1995-05-10	VYDAJ	PREVOD NA UCET	8742	13977	POJISTNE	UV	21008116
1062244	3629	1995-06-10	VYDAJ	PREVOD NA UCET	8742	8271	POJISTNE	UV	21008116
1062245	3629	1995-07-10	VYDAJ	PREVOD NA UCET	8742	12090	POJISTNE	UV	21008116
1062246	3629	1995-08-10	VYDAJ	PREVOD NA UCET	8742	13533	POJISTNE	UV	21008116
1062247	3629	1995-09-10	VYDAJ	PREVOD NA UCET	8742	13545	POJISTNE	UV	21008116
1062248	3629	1995-10-10	VYDAJ	PREVOD NA UCET	8742	14056	POJISTNE	UV	21008116
1062249	3629	1995-11-10	VYDAJ	PREVOD NA UCET	8742	10665	POJISTNE	UV	21008116
1062250	3629	1995-12-10	VYDAJ	PREVOD NA UCET	8742	13469	POJISTNE	UV	21008116
1062251	3629	1996-01-10	VYDAJ	PREVOD NA UCET	8742	14034	POJISTNE	UV	21008116
1062252	3629	1996-02-10	VYDAJ	PREVOD NA UCET	8742	9567	POJISTNE	UV	21008116
1062253	3629	1996-03-10	VYDAJ	PREVOD NA UCET	8742	11264	POJISTNE	UV	21008116
1062254	3629	1996-04-10	VYDAJ	PREVOD NA UCET	8742	13871	POJISTNE	UV	21008116
1062255	3629	1996-05-10	VYDAJ	PREVOD NA UCET	8742	14456	POJISTNE	UV	21008116
1062256	3629	1996-06-10	VYDAJ	PREVOD NA UCET	8742	16775	POJISTNE	UV	21008116
1062257	3629	1996-07-10	VYDAJ	PREVOD NA UCET	8742	13124	POJISTNE	UV	21008116
1062258	3629	1996-08-10	VYDAJ	PREVOD NA UCET	8742	19738	POJISTNE	UV	21008116
1062259	3629	1996-09-10	VYDAJ	PREVOD NA UCET	8742	16237	POJISTNE	UV	21008116
1062260	3629	1996-10-10	VYDAJ	PREVOD NA UCET	8742	14394	POJISTNE	UV	21008116
1062261	3629	1996-11-10	VYDAJ	PREVOD NA UCET	8742	11445	POJISTNE	UV	21008116
1062262	3629	1996-12-10	VYDAJ	PREVOD NA UCET	8742	12518	POJISTNE	UV	21008116
1062263	3629	1997-01-10	VYDAJ	PREVOD NA UCET	8742	10014	POJISTNE	UV	21008116
1062264	3629	1997-02-10	VYDAJ	PREVOD NA UCET	8742	7117	POJISTNE	UV	21008116
1062265	3629	1997-03-10	VYDAJ	PREVOD NA UCET	8742	13374	POJISTNE	UV	21008116
1062266	3629	1997-04-10	VYDAJ	PREVOD NA UCET	8742	11283	POJISTNE	UV	21008116
1062267	3629	1997-05-10	VYDAJ	PREVOD NA UCET	8742	10594	POJISTNE	UV	21008116
1062268	3629	1997-06-10	VYDAJ	PREVOD NA UCET	8742	10650	POJISTNE	UV	21008116
1062269	3629	1997-07-10	VYDAJ	PREVOD NA UCET	8742	8599	POJISTNE	UV	21008116
1062270	3629	1997-08-10	VYDAJ	PREVOD NA UCET	8742	9592	POJISTNE	UV	21008116
1062271	3629	1997-09-10	VYDAJ	PREVOD NA UCET	8742	11921	POJISTNE	UV	21008116
1062272	3629	1997-10-10	VYDAJ	PREVOD NA UCET	8742	15095	POJISTNE	UV	21008116
1062273	3629	1997-11-10	VYDAJ	PREVOD NA UCET	8742	15846	POJISTNE	UV	21008116
1062274	3629	1997-12-10	VYDAJ	PREVOD NA UCET	8742	15239	POJISTNE	UV	21008116
1062275	3629	1998-01-10	VYDAJ	PREVOD NA UCET	8742	12610	POJISTNE	UV	21008116
1062276	3629	1998-02-10	VYDAJ	PREVOD NA UCET	8742	10245	POJISTNE	UV	21008116
1062277	3629	1998-03-10	VYDAJ	PREVOD NA UCET	8742	15045	POJISTNE	UV	21008116
1062278	3629	1998-04-10	VYDAJ	PREVOD NA UCET	8742	12963	POJISTNE	UV	21008116
1062279	3629	1998-05-10	VYDAJ	PREVOD NA UCET	8742	12346	POJISTNE	UV	21008116
1062280	3629	1998-06-10	VYDAJ	PREVOD NA UCET	8742	9255	POJISTNE	UV	21008116
1062281	3629	1998-07-10	VYDAJ	PREVOD NA UCET	8742	6206	POJISTNE	UV	21008116
1062282	3629	1998-08-10	VYDAJ	PREVOD NA UCET	8742	6487	POJISTNE	UV	21008116
1062283	3629	1998-09-10	VYDAJ	PREVOD NA UCET	8742	7771	POJISTNE	UV	21008116
1062284	3629	1998-10-10	VYDAJ	PREVOD NA UCET	8742	7190	POJISTNE	UV	21008116
1062285	3629	1998-11-10	VYDAJ	PREVOD NA UCET	8742	3944	POJISTNE	UV	21008116
1062286	3629	1998-12-10	VYDAJ	PREVOD NA UCET	8742	6215	POJISTNE	UV	21008116
1062295	3629	1994-01-06	VYBER	VYBER	14730	23742	\N	\N	\N
1062296	3629	1994-12-16	VYBER	VYBER	6208	24485	\N	\N	\N
1062299	3629	1994-07-31	VYBER	VYBER	9359	21905	\N	\N	\N
1062307	3629	1995-01-07	VYBER	VYBER	3184	21196	\N	\N	\N
1062308	3629	1995-12-14	VYBER	VYBER	4970	31764	\N	\N	\N
1062312	3629	1995-04-07	VYBER	VYBER	4401	19759	\N	\N	\N
1062318	3629	1996-10-19	VYBER	VYBER	3354	19767	\N	\N	\N
1062320	3629	1996-07-02	VYBER	VYBER	4646	24128	\N	\N	\N
1062324	3629	1997-05-31	VYBER	VYBER	3114	20801	\N	\N	\N
1062325	3629	1997-04-15	VYBER	VYBER	2423	21719	\N	\N	\N
1062332	3629	1998-07-01	VYBER	VYBER	3705	26442	\N	\N	\N
1062345	3629	1993-12-11	VYDAJ	VYBER	1800	58098	\N	\N	\N
1062346	3629	1994-12-13	VYDAJ	VYBER	3600	30693	\N	\N	\N
1062347	3629	1995-12-14	VYDAJ	VYBER	7200	24564	\N	\N	\N
1062348	3629	1996-12-21	VYDAJ	VYBER	3600	29714	\N	\N	\N
1062349	3629	1997-12-14	VYDAJ	VYBER	4500	31535	\N	\N	\N
1062357	3629	1994-01-23	VYDAJ	VYBER	7500	22011	\N	\N	\N
1062364	3629	1995-01-13	VYDAJ	VYBER	2700	23365	\N	\N	\N
1062365	3629	1995-01-23	VYDAJ	VYBER	2400	21365	\N	\N	\N
1062368	3629	1995-01-18	VYDAJ	VYBER	4200	23765	\N	\N	\N
1062372	3629	1996-01-14	VYDAJ	VYBER	3000	22293	\N	\N	\N
1062374	3629	1996-01-16	VYDAJ	VYBER	1800	20493	\N	\N	\N
1062376	3629	1997-01-13	VYDAJ	VYBER	1800	21441	\N	\N	\N
1062377	3629	1997-01-03	VYDAJ	VYBER	6600	23218	\N	\N	\N
1062381	3629	1998-01-16	VYDAJ	VYBER	1500	21869	\N	\N	\N
1062385	3629	1998-01-04	VYDAJ	VYBER	5100	23246	\N	\N	\N
1062386	3629	1998-01-14	VYDAJ	VYBER	2100	23369	\N	\N	\N
1062394	3629	1994-12-05	VYDAJ	VYBER	3600	21487	\N	\N	\N
1062395	3629	1994-11-27	VYDAJ	VYBER	2100	28879	\N	\N	\N
1062400	3629	1995-10-19	VYDAJ	VYBER	6600	21584	\N	\N	\N
1062401	3629	1995-05-26	VYDAJ	VYBER	7800	22082	\N	\N	\N
1062402	3629	1995-07-05	VYDAJ	VYBER	6000	22726	\N	\N	\N
1062404	3629	1996-08-27	VYDAJ	VYBER	5700	27265	\N	\N	\N
1062405	3629	1996-10-14	VYDAJ	VYBER	4500	23121	\N	\N	\N
1062407	3629	1997-06-24	VYDAJ	VYBER	10200	21247	\N	\N	\N
1062426	3629	1993-12-31	VYDAJ	VYBER	15	38472	SLUZBY	\N	\N
1062427	3629	1994-01-31	VYDAJ	VYBER	15	20209	SLUZBY	\N	\N
1062428	3629	1994-02-28	VYDAJ	VYBER	15	23455	SLUZBY	\N	\N
1062429	3629	1994-03-31	VYDAJ	VYBER	15	22806	SLUZBY	\N	\N
1062430	3629	1994-04-30	VYDAJ	VYBER	15	24061	SLUZBY	\N	\N
1062431	3629	1994-05-31	VYDAJ	VYBER	15	28322	SLUZBY	\N	\N
1062432	3629	1994-06-30	VYDAJ	VYBER	15	33056	SLUZBY	\N	\N
1062433	3629	1994-07-31	VYDAJ	VYBER	15	21891	SLUZBY	\N	\N
1062434	3629	1994-08-31	VYDAJ	VYBER	15	26048	SLUZBY	\N	\N
1062435	3629	1994-09-30	VYDAJ	VYBER	15	30821	SLUZBY	\N	\N
1062436	3629	1994-10-31	VYDAJ	VYBER	15	29110	SLUZBY	\N	\N
1062437	3629	1994-11-30	VYDAJ	VYBER	15	28987	SLUZBY	\N	\N
1062438	3629	1994-12-31	VYDAJ	VYBER	15	27180	SLUZBY	\N	\N
1062439	3629	1995-01-31	VYDAJ	VYBER	15	21446	SLUZBY	\N	\N
1062440	3629	1995-02-28	VYDAJ	VYBER	15	25896	SLUZBY	\N	\N
1062441	3629	1995-03-31	VYDAJ	VYBER	15	26660	SLUZBY	\N	\N
1062442	3629	1995-04-30	VYDAJ	VYBER	15	24613	SLUZBY	\N	\N
1062443	3629	1995-05-31	VYDAJ	VYBER	15	19275	SLUZBY	\N	\N
1062444	3629	1995-06-30	VYDAJ	VYBER	15	28726	SLUZBY	\N	\N
1062445	3629	1995-07-31	VYDAJ	VYBER	15	24537	SLUZBY	\N	\N
1062446	3629	1995-08-31	VYDAJ	VYBER	15	24549	SLUZBY	\N	\N
1062447	3629	1995-09-30	VYDAJ	VYBER	15	25060	SLUZBY	\N	\N
1062448	3629	1995-10-31	VYDAJ	VYBER	15	21669	SLUZBY	\N	\N
1062449	3629	1995-11-30	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
1062450	3629	1995-12-31	VYDAJ	VYBER	15	24670	SLUZBY	\N	\N
1062451	3629	1996-01-31	VYDAJ	VYBER	15	20571	SLUZBY	\N	\N
1062452	3629	1996-02-29	VYDAJ	VYBER	15	22268	SLUZBY	\N	\N
1062453	3629	1996-03-31	VYDAJ	VYBER	15	24875	SLUZBY	\N	\N
1062454	3629	1996-04-30	VYDAJ	VYBER	15	25092	SLUZBY	\N	\N
1062455	3629	1996-05-31	VYDAJ	VYBER	15	27411	SLUZBY	\N	\N
1062456	3629	1996-06-30	VYDAJ	VYBER	15	28774	SLUZBY	\N	\N
1062457	3629	1996-07-31	VYDAJ	VYBER	15	25642	SLUZBY	\N	\N
1062458	3629	1996-08-31	VYDAJ	VYBER	15	27373	SLUZBY	\N	\N
1062459	3629	1996-09-30	VYDAJ	VYBER	15	29198	SLUZBY	\N	\N
1062460	3629	1996-10-31	VYDAJ	VYBER	15	19849	SLUZBY	\N	\N
1062461	3629	1996-11-30	VYDAJ	VYBER	15	24754	SLUZBY	\N	\N
1062462	3629	1996-12-31	VYDAJ	VYBER	15	29818	SLUZBY	\N	\N
1062463	3629	1997-01-31	VYDAJ	VYBER	15	21521	SLUZBY	\N	\N
1062464	3629	1997-02-28	VYDAJ	VYBER	15	20410	SLUZBY	\N	\N
1062465	3629	1997-03-31	VYDAJ	VYBER	15	26319	SLUZBY	\N	\N
1062466	3629	1997-04-30	VYDAJ	VYBER	15	21798	SLUZBY	\N	\N
1062467	3629	1997-05-31	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
1062468	3629	1997-06-30	VYDAJ	VYBER	15	21335	SLUZBY	\N	\N
1062469	3629	1997-07-31	VYDAJ	VYBER	15	21528	SLUZBY	\N	\N
1062470	3629	1997-08-31	VYDAJ	VYBER	15	22525	SLUZBY	\N	\N
1062471	3629	1997-09-30	VYDAJ	VYBER	15	25231	SLUZBY	\N	\N
1062472	3629	1997-10-31	VYDAJ	VYBER	15	28050	SLUZBY	\N	\N
1062473	3629	1997-11-30	VYDAJ	VYBER	15	29175	SLUZBY	\N	\N
1062474	3629	1997-12-31	VYDAJ	VYBER	15	31646	SLUZBY	\N	\N
1062475	3629	1998-01-31	VYDAJ	VYBER	15	21949	SLUZBY	\N	\N
1062476	3629	1998-02-28	VYDAJ	VYBER	15	23549	SLUZBY	\N	\N
1062477	3629	1998-03-31	VYDAJ	VYBER	15	28367	SLUZBY	\N	\N
1062478	3629	1998-04-30	VYDAJ	VYBER	15	26282	SLUZBY	\N	\N
1062479	3629	1998-05-31	VYDAJ	VYBER	15	25291	SLUZBY	\N	\N
1062480	3629	1998-06-30	VYDAJ	VYBER	15	30147	SLUZBY	\N	\N
1062481	3629	1998-07-31	VYDAJ	VYBER	15	19123	SLUZBY	\N	\N
1062482	3629	1998-08-31	VYDAJ	VYBER	15	18407	SLUZBY	\N	\N
1062483	3629	1998-09-30	VYDAJ	VYBER	15	18194	SLUZBY	\N	\N
1062484	3629	1998-10-31	VYDAJ	VYBER	15	14580	SLUZBY	\N	\N
1062485	3629	1998-11-30	VYDAJ	VYBER	15	16851	SLUZBY	\N	\N
1062486	3629	1993-08-26	PRIJEM	VKLAD	4300	21073	\N	\N	\N
1062487	3629	1993-09-25	VYDAJ	VYBER	5000	31963	\N	\N	\N
1062488	3629	1993-10-25	VYDAJ	VYBER	13000	34933	\N	\N	\N
1062489	3629	1993-11-24	VYDAJ	VYBER	15000	35942	\N	\N	\N
1062490	3629	1993-12-24	VYDAJ	VYBER	17200	38298	\N	\N	\N
1062491	3629	1994-01-23	PRIJEM	VKLAD	900	29511	\N	\N	\N
1062492	3629	1994-02-22	PRIJEM	VKLAD	800	23378	\N	\N	\N
1062493	3629	1994-03-24	VYDAJ	VYBER	2200	22724	\N	\N	\N
1062494	3629	1994-04-23	VYDAJ	VYBER	700	23975	\N	\N	\N
1062495	3629	1994-05-23	PRIJEM	VKLAD	1600	28230	\N	\N	\N
1062496	3629	1994-06-22	VYDAJ	VYBER	4900	36228	\N	\N	\N
1062497	3629	1994-07-22	VYDAJ	VYBER	4600	31125	\N	\N	\N
1062498	3629	1994-08-21	PRIJEM	VKLAD	1000	27760	\N	\N	\N
1062499	3629	1994-09-20	PRIJEM	VKLAD	1400	30717	\N	\N	\N
1062500	3629	1994-10-20	VYDAJ	VYBER	3500	32190	\N	\N	\N
1062501	3629	1994-11-19	PRIJEM	VKLAD	100	30979	\N	\N	\N
1062502	3629	1994-12-19	PRIJEM	VKLAD	2600	27085	\N	\N	\N
1062503	3629	1995-01-18	PRIJEM	VKLAD	4600	27965	\N	\N	\N
1062504	3629	1995-02-17	PRIJEM	VKLAD	1900	25815	\N	\N	\N
1062505	3629	1995-03-19	VYDAJ	VYBER	1700	26565	\N	\N	\N
1062506	3629	1995-04-18	VYDAJ	VYBER	100	24528	\N	\N	\N
1062507	3629	1995-05-18	PRIJEM	VKLAD	400	29882	\N	\N	\N
1062508	3629	1995-06-17	VYDAJ	VYBER	800	28635	\N	\N	\N
1062509	3629	1995-07-17	VYDAJ	VYBER	500	24449	\N	\N	\N
1062510	3629	1995-08-16	VYDAJ	VYBER	2300	24460	\N	\N	\N
1062511	3629	1995-09-15	VYDAJ	VYBER	1800	24972	\N	\N	\N
1062512	3629	1995-10-15	PRIJEM	VKLAD	900	28184	\N	\N	\N
1062513	3629	1995-11-14	PRIJEM	VKLAD	500	24392	\N	\N	\N
1062514	3629	1995-12-14	PRIJEM	VKLAD	2100	36734	\N	\N	\N
1062515	3629	1996-01-13	VYDAJ	VYBER	1600	25293	\N	\N	\N
1062516	3629	1996-02-12	VYDAJ	VYBER	600	24840	\N	\N	\N
1062517	3629	1996-03-13	PRIJEM	VKLAD	300	24791	\N	\N	\N
1062518	3629	1996-04-12	VYDAJ	VYBER	2100	27644	\N	\N	\N
1062519	3629	1996-06-11	VYDAJ	VYBER	8900	31317	\N	\N	\N
1062520	3629	1996-07-11	VYDAJ	VYBER	800	28197	\N	\N	\N
1062521	3629	1996-08-10	PRIJEM	VKLAD	5100	28848	\N	\N	\N
1062522	3629	1996-09-09	VYDAJ	VYBER	500	24979	\N	\N	\N
1062523	3629	1996-10-09	VYDAJ	VYBER	3800	23504	\N	\N	\N
1062524	3629	1996-11-08	PRIJEM	VKLAD	2600	20555	\N	\N	\N
1062525	3629	1996-12-08	VYDAJ	VYBER	1600	21260	\N	\N	\N
1062526	3629	1997-01-07	VYDAJ	VYBER	2200	19124	\N	\N	\N
1062527	3629	1997-02-06	VYDAJ	VYBER	3400	18121	\N	\N	\N
1062528	3629	1997-03-08	PRIJEM	VKLAD	3600	22116	\N	\N	\N
1062529	3629	1997-04-07	VYDAJ	VYBER	4400	20025	\N	\N	\N
1062530	3629	1997-05-07	VYDAJ	VYBER	200	19704	\N	\N	\N
1062531	3629	1997-06-06	PRIJEM	VKLAD	500	21286	\N	\N	\N
1062532	3629	1997-07-06	VYDAJ	VYBER	2100	19235	\N	\N	\N
1062533	3629	1997-08-05	VYDAJ	VYBER	1300	20228	\N	\N	\N
1062534	3629	1997-09-04	PRIJEM	VKLAD	400	22925	\N	\N	\N
1062535	3629	1997-10-04	PRIJEM	VKLAD	500	25731	\N	\N	\N
1062536	3629	1997-11-03	VYDAJ	VYBER	1200	26850	\N	\N	\N
1062537	3629	1997-12-03	VYDAJ	VYBER	3300	25875	\N	\N	\N
1062538	3629	1998-01-02	VYDAJ	VYBER	3300	28346	\N	\N	\N
1062539	3629	1998-02-01	VYDAJ	VYBER	700	21249	\N	\N	\N
1062540	3629	1998-03-03	PRIJEM	VKLAD	2500	26049	\N	\N	\N
1062541	3629	1998-04-02	VYDAJ	VYBER	4400	23967	\N	\N	\N
1062542	3629	1998-05-02	VYDAJ	VYBER	3300	22982	\N	\N	\N
1062543	3629	1998-06-01	VYDAJ	VYBER	5400	19891	\N	\N	\N
1062544	3629	1998-07-01	VYDAJ	VYBER	9600	16842	\N	\N	\N
1062545	3629	1998-07-31	VYDAJ	VYBER	2000	17123	\N	\N	\N
1062546	3629	1998-08-30	VYDAJ	VYBER	1000	18346	\N	\N	\N
1062547	3629	1998-09-29	VYDAJ	VYBER	2500	18131	\N	\N	\N
1062548	3629	1998-10-29	VYDAJ	VYBER	5900	14518	\N	\N	\N
1063113	3631	1995-08-13	PRIJEM	VKLAD	800	800	\N	\N	\N
1063122	3631	1995-09-08	PRIJEM	PREVOD Z UCTU	5224	6024	DUCHOD	MN	4420382
1063123	3631	1995-10-08	PRIJEM	PREVOD Z UCTU	5224	11248	DUCHOD	MN	4420382
1063124	3631	1995-11-08	PRIJEM	PREVOD Z UCTU	5224	16472	DUCHOD	MN	4420382
1063125	3631	1995-12-08	PRIJEM	PREVOD Z UCTU	5224	21696	DUCHOD	MN	4420382
1063126	3631	1996-01-08	PRIJEM	PREVOD Z UCTU	5224	26920	DUCHOD	MN	4420382
1063127	3631	1996-02-08	PRIJEM	PREVOD Z UCTU	5224	28809	DUCHOD	MN	4420382
1063128	3631	1996-03-08	PRIJEM	PREVOD Z UCTU	5224	30726	DUCHOD	MN	4420382
1063129	3631	1996-04-08	PRIJEM	PREVOD Z UCTU	5224	32640	DUCHOD	MN	4420382
1063130	3631	1996-05-08	PRIJEM	PREVOD Z UCTU	5224	28419	DUCHOD	MN	4420382
1063131	3631	1996-06-08	PRIJEM	PREVOD Z UCTU	5224	30328	DUCHOD	MN	4420382
1063132	3631	1996-07-08	PRIJEM	PREVOD Z UCTU	5224	32251	DUCHOD	MN	4420382
1063133	3631	1996-08-08	PRIJEM	PREVOD Z UCTU	5224	32812	DUCHOD	MN	4420382
1063134	3631	1996-09-08	PRIJEM	PREVOD Z UCTU	5224	34747	DUCHOD	MN	4420382
1063135	3631	1996-10-08	PRIJEM	PREVOD Z UCTU	5224	35778	DUCHOD	MN	4420382
1063136	3631	1996-11-08	PRIJEM	PREVOD Z UCTU	5224	37725	DUCHOD	MN	4420382
1063137	3631	1996-12-08	PRIJEM	PREVOD Z UCTU	5224	36969	DUCHOD	MN	4420382
1063138	3631	1997-01-08	PRIJEM	PREVOD Z UCTU	5224	34493	DUCHOD	MN	4420382
1063139	3631	1997-02-08	PRIJEM	PREVOD Z UCTU	5224	36423	DUCHOD	MN	4420382
1063140	3631	1997-03-08	PRIJEM	PREVOD Z UCTU	5224	35957	DUCHOD	MN	4420382
1063141	3631	1997-04-08	PRIJEM	PREVOD Z UCTU	5224	37894	DUCHOD	MN	4420382
1063142	3631	1997-05-08	PRIJEM	PREVOD Z UCTU	5224	37836	DUCHOD	MN	4420382
1063143	3631	1997-06-08	PRIJEM	PREVOD Z UCTU	5224	39780	DUCHOD	MN	4420382
1063144	3631	1997-07-08	PRIJEM	PREVOD Z UCTU	5224	41732	DUCHOD	MN	4420382
1063145	3631	1997-08-08	PRIJEM	PREVOD Z UCTU	5224	43703	DUCHOD	MN	4420382
1063146	3631	1997-09-08	PRIJEM	PREVOD Z UCTU	5224	45671	DUCHOD	MN	4420382
1063147	3631	1997-10-08	PRIJEM	PREVOD Z UCTU	5224	47658	DUCHOD	MN	4420382
1063148	3631	1997-11-08	PRIJEM	PREVOD Z UCTU	5224	49654	DUCHOD	MN	4420382
1063149	3631	1997-12-08	PRIJEM	PREVOD Z UCTU	5224	51297	DUCHOD	MN	4420382
1063150	3631	1998-01-08	PRIJEM	PREVOD Z UCTU	5224	53297	DUCHOD	MN	4420382
1063151	3631	1998-02-08	PRIJEM	PREVOD Z UCTU	5224	55305	DUCHOD	MN	4420382
1063152	3631	1998-03-08	PRIJEM	PREVOD Z UCTU	5224	53797	DUCHOD	MN	4420382
1063153	3631	1998-04-08	PRIJEM	PREVOD Z UCTU	5224	52534	DUCHOD	MN	4420382
1063154	3631	1998-05-08	PRIJEM	PREVOD Z UCTU	5224	54549	DUCHOD	MN	4420382
1063155	3631	1998-06-08	PRIJEM	PREVOD Z UCTU	5224	54556	DUCHOD	MN	4420382
1063156	3631	1998-07-08	PRIJEM	PREVOD Z UCTU	5224	56579	DUCHOD	MN	4420382
1063157	3631	1998-08-08	PRIJEM	PREVOD Z UCTU	5224	55408	DUCHOD	MN	4420382
1063158	3631	1998-09-08	PRIJEM	PREVOD Z UCTU	5224	52522	DUCHOD	MN	4420382
1063159	3631	1998-10-08	PRIJEM	PREVOD Z UCTU	5224	54537	DUCHOD	MN	4420382
1063160	3631	1998-11-08	PRIJEM	PREVOD Z UCTU	5224	55749	DUCHOD	MN	4420382
1063161	3631	1998-12-08	PRIJEM	PREVOD Z UCTU	5224	56577	DUCHOD	MN	4420382
1063174	3631	1996-01-08	VYDAJ	PREVOD NA UCET	3407	23513	SIPO	QR	14763951
1063175	3631	1996-02-08	VYDAJ	PREVOD NA UCET	3407	25402	SIPO	QR	14763951
1063176	3631	1996-03-08	VYDAJ	PREVOD NA UCET	3407	27319	SIPO	QR	14763951
1063278	3631	1996-04-09	VYDAJ	VYBER	1100	28133	\N	\N	\N
1063177	3631	1996-04-08	VYDAJ	PREVOD NA UCET	3407	29233	SIPO	QR	14763951
1063178	3631	1996-05-08	VYDAJ	PREVOD NA UCET	3407	25012	SIPO	QR	14763951
1063179	3631	1996-06-08	VYDAJ	PREVOD NA UCET	3407	26921	SIPO	QR	14763951
1063180	3631	1996-07-08	VYDAJ	PREVOD NA UCET	3407	28844	SIPO	QR	14763951
1063181	3631	1996-08-08	VYDAJ	PREVOD NA UCET	3407	29405	SIPO	QR	14763951
1063182	3631	1996-09-08	VYDAJ	PREVOD NA UCET	3407	31340	SIPO	QR	14763951
1063183	3631	1996-10-08	VYDAJ	PREVOD NA UCET	3407	32371	SIPO	QR	14763951
1063184	3631	1996-11-08	VYDAJ	PREVOD NA UCET	3407	34318	SIPO	QR	14763951
1063185	3631	1996-12-08	VYDAJ	PREVOD NA UCET	3407	33562	SIPO	QR	14763951
1063186	3631	1997-01-08	VYDAJ	PREVOD NA UCET	3407	31086	SIPO	QR	14763951
1063187	3631	1997-02-08	VYDAJ	PREVOD NA UCET	3407	33016	SIPO	QR	14763951
1063188	3631	1997-03-08	VYDAJ	PREVOD NA UCET	3407	32550	SIPO	QR	14763951
1063189	3631	1997-04-08	VYDAJ	PREVOD NA UCET	3407	34487	SIPO	QR	14763951
1063190	3631	1997-05-08	VYDAJ	PREVOD NA UCET	3407	34429	SIPO	QR	14763951
1063191	3631	1997-06-08	VYDAJ	PREVOD NA UCET	3407	36373	SIPO	QR	14763951
1063192	3631	1997-07-08	VYDAJ	PREVOD NA UCET	3407	38325	SIPO	QR	14763951
1063193	3631	1997-08-08	VYDAJ	PREVOD NA UCET	3407	40296	SIPO	QR	14763951
1063194	3631	1997-09-08	VYDAJ	PREVOD NA UCET	3407	42264	SIPO	QR	14763951
1063195	3631	1997-10-08	VYDAJ	PREVOD NA UCET	3407	44251	SIPO	QR	14763951
1063196	3631	1997-11-08	VYDAJ	PREVOD NA UCET	3407	46247	SIPO	QR	14763951
1063197	3631	1997-12-08	VYDAJ	PREVOD NA UCET	3407	47890	SIPO	QR	14763951
1063198	3631	1998-01-08	VYDAJ	PREVOD NA UCET	3407	49890	SIPO	QR	14763951
1063199	3631	1998-02-08	VYDAJ	PREVOD NA UCET	3407	51898	SIPO	QR	14763951
1063200	3631	1998-03-08	VYDAJ	PREVOD NA UCET	3407	50390	SIPO	QR	14763951
1063201	3631	1998-04-08	VYDAJ	PREVOD NA UCET	3407	49127	SIPO	QR	14763951
1063202	3631	1998-05-08	VYDAJ	PREVOD NA UCET	3407	51142	SIPO	QR	14763951
1063203	3631	1998-06-08	VYDAJ	PREVOD NA UCET	3407	51149	SIPO	QR	14763951
1063204	3631	1998-07-08	VYDAJ	PREVOD NA UCET	3407	53172	SIPO	QR	14763951
1063205	3631	1998-08-08	VYDAJ	PREVOD NA UCET	3407	52001	SIPO	QR	14763951
1063206	3631	1998-09-08	VYDAJ	PREVOD NA UCET	3407	49115	SIPO	QR	14763951
1063207	3631	1998-10-08	VYDAJ	PREVOD NA UCET	3407	51130	SIPO	QR	14763951
1063208	3631	1998-11-08	VYDAJ	PREVOD NA UCET	3407	52342	SIPO	QR	14763951
1063209	3631	1998-12-08	VYDAJ	PREVOD NA UCET	3407	53170	SIPO	QR	14763951
1063211	3631	1996-12-11	VYDAJ	VYBER	1450	32112	\N	\N	\N
1063212	3631	1997-12-01	VYDAJ	VYBER	350	46073	\N	\N	\N
1063213	3631	1998-12-02	VYDAJ	VYBER KARTOU	1200	51353	\N	\N	0
1063217	3631	1996-05-05	VYDAJ	VYBER	1280	26955	\N	\N	\N
1063218	3631	1996-05-06	VYDAJ	VYBER	3760	23195	\N	\N	\N
1063219	3631	1996-12-19	VYDAJ	VYBER	2960	29152	\N	\N	\N
1063220	3631	1996-08-02	VYDAJ	VYBER	1360	27588	\N	\N	\N
1063221	3631	1997-03-01	VYDAJ	VYBER	880	30733	\N	\N	\N
1063222	3631	1997-04-22	VYDAJ	VYBER	2000	32487	\N	\N	\N
1063223	3631	1997-02-09	VYDAJ	VYBER	1520	31496	\N	\N	\N
1063224	3631	1998-03-27	VYDAJ	VYBER	3280	47110	\N	\N	\N
1063225	3631	1998-08-13	VYDAJ	VYBER	1200	50801	\N	\N	\N
1063226	3631	1998-05-09	VYDAJ	VYBER	2000	49142	\N	\N	\N
1063227	3631	1998-02-19	VYDAJ	VYBER	2320	49578	\N	\N	\N
1063228	3631	1998-08-30	VYDAJ	VYBER	2000	47101	\N	\N	\N
1063229	3631	1998-02-24	VYDAJ	VYBER	1200	48378	\N	\N	\N
1063243	3631	1996-01-31	VYDAJ	VYBER	15	23585	SLUZBY	\N	\N
1063244	3631	1996-02-29	VYDAJ	VYBER	15	25502	SLUZBY	\N	\N
1063245	3631	1996-03-31	VYDAJ	VYBER	15	27416	SLUZBY	\N	\N
1063246	3631	1996-04-30	VYDAJ	VYBER	15	28235	SLUZBY	\N	\N
1063247	3631	1996-05-31	VYDAJ	VYBER	15	25104	SLUZBY	\N	\N
1063248	3631	1996-06-30	VYDAJ	VYBER	15	27027	SLUZBY	\N	\N
1063249	3631	1996-07-31	VYDAJ	VYBER	15	28948	SLUZBY	\N	\N
1063250	3631	1996-08-31	VYDAJ	VYBER	15	29523	SLUZBY	\N	\N
1063251	3631	1996-09-30	VYDAJ	VYBER	15	31454	SLUZBY	\N	\N
1063252	3631	1996-10-31	VYDAJ	VYBER	15	32501	SLUZBY	\N	\N
1063253	3631	1996-11-30	VYDAJ	VYBER	15	34445	SLUZBY	\N	\N
1063254	3631	1996-12-31	VYDAJ	VYBER	15	29269	SLUZBY	\N	\N
1063255	3631	1997-01-31	VYDAJ	VYBER	15	31199	SLUZBY	\N	\N
1063256	3631	1997-02-28	VYDAJ	VYBER	15	31613	SLUZBY	\N	\N
1063257	3631	1997-03-31	VYDAJ	VYBER	15	32670	SLUZBY	\N	\N
1063258	3631	1997-04-30	VYDAJ	VYBER	15	32612	SLUZBY	\N	\N
1063259	3631	1997-05-31	VYDAJ	VYBER	15	34556	SLUZBY	\N	\N
1063260	3631	1997-06-30	VYDAJ	VYBER	15	36508	SLUZBY	\N	\N
1063261	3631	1997-07-31	VYDAJ	VYBER	15	38479	SLUZBY	\N	\N
1063262	3631	1997-08-31	VYDAJ	VYBER	15	40447	SLUZBY	\N	\N
1063263	3631	1997-09-30	VYDAJ	VYBER	15	42434	SLUZBY	\N	\N
1063264	3631	1997-10-31	VYDAJ	VYBER	15	44430	SLUZBY	\N	\N
1063265	3631	1997-11-30	VYDAJ	VYBER	15	46423	SLUZBY	\N	\N
1063266	3631	1997-12-31	VYDAJ	VYBER	15	48073	SLUZBY	\N	\N
1063267	3631	1998-01-31	VYDAJ	VYBER	15	50081	SLUZBY	\N	\N
1063268	3631	1998-02-28	VYDAJ	VYBER	15	48573	SLUZBY	\N	\N
1063269	3631	1998-03-31	VYDAJ	VYBER	15	47310	SLUZBY	\N	\N
1063270	3631	1998-04-30	VYDAJ	VYBER	15	49325	SLUZBY	\N	\N
1063271	3631	1998-05-31	VYDAJ	VYBER	15	49332	SLUZBY	\N	\N
1063272	3631	1998-06-30	VYDAJ	VYBER	15	51355	SLUZBY	\N	\N
1063273	3631	1998-07-31	VYDAJ	VYBER	15	50184	SLUZBY	\N	\N
1063274	3631	1998-08-31	VYDAJ	VYBER	15	47298	SLUZBY	\N	\N
1063275	3631	1998-09-30	VYDAJ	VYBER	15	49313	SLUZBY	\N	\N
1063276	3631	1998-10-31	VYDAJ	VYBER	15	50525	SLUZBY	\N	\N
1063277	3631	1998-11-30	VYDAJ	VYBER	15	52553	SLUZBY	\N	\N
1063279	3631	1996-10-06	VYDAJ	VYBER	900	30554	\N	\N	\N
1063280	3631	1996-12-05	VYDAJ	VYBER	2700	31745	\N	\N	\N
1063281	3631	1998-07-28	VYDAJ	VYBER	3200	49972	\N	\N	\N
1063282	3631	1998-08-27	VYDAJ	VYBER	1700	49101	\N	\N	\N
1063283	3631	1998-10-26	VYDAJ	VYBER KARTOU	800	50330	\N	\N	0
1063320	3632	1996-04-06	PRIJEM	VKLAD	800	800	\N	\N	\N
1063321	3632	1996-04-08	PRIJEM	VKLAD	14018	14818	\N	\N	\N
1063322	3632	1996-09-19	PRIJEM	VKLAD	22660	43738	\N	\N	\N
1063323	3632	1996-07-22	PRIJEM	VKLAD	32074	49663	\N	\N	\N
1063324	3632	1997-08-18	PRIJEM	VKLAD	44481	67237	\N	\N	\N
1063325	3632	1997-06-14	PRIJEM	VKLAD	13895	43909	\N	\N	\N
1063326	3632	1997-10-19	PRIJEM	VKLAD	28016	47258	\N	\N	\N
1063327	3632	1997-01-24	PRIJEM	VKLAD	37115	47997	\N	\N	\N
1063328	3632	1997-12-22	PRIJEM	VKLAD	24671	36862	\N	\N	\N
1063329	3632	1997-07-15	PRIJEM	VKLAD	31115	44229	\N	\N	\N
1063330	3632	1997-04-05	PRIJEM	VKLAD	7610	31040	\N	\N	\N
1063331	3632	1997-05-28	PRIJEM	VKLAD	29990	51927	\N	\N	\N
1063332	3632	1997-02-16	PRIJEM	VKLAD	19297	50979	\N	\N	\N
1063333	3632	1998-11-25	PRIJEM	VKLAD	33442	65675	\N	\N	\N
1063334	3632	1998-12-27	PRIJEM	VKLAD	42583	89401	\N	\N	\N
1063335	3632	1998-09-11	PRIJEM	VKLAD	9814	29001	\N	\N	\N
1063336	3632	1998-10-30	PRIJEM	VKLAD	7050	19374	\N	\N	\N
1063337	3632	1998-06-25	PRIJEM	VKLAD	24108	37978	\N	\N	\N
1063338	3632	1998-12-10	PRIJEM	VKLAD	37549	103318	\N	\N	\N
1063339	3632	1998-11-22	PRIJEM	VKLAD	45237	64633	\N	\N	\N
1063392	3632	1997-09-08	VYBER	VYBER	2587	35621	\N	\N	\N
1063393	3632	1997-04-01	VYBER	VYBER	8234	27330	\N	\N	\N
1063394	3632	1997-06-26	VYBER	VYBER	21084	22825	\N	\N	\N
1063412	3632	1998-12-16	VYDAJ	VYBER	7200	89218	\N	\N	\N
1063438	3632	1997-07-30	VYDAJ	VYBER	4200	22729	\N	\N	\N
1063441	3632	1997-05-11	VYDAJ	VYBER	2700	21937	\N	\N	\N
1063447	3632	1998-12-12	VYDAJ	VYBER	6900	96418	\N	\N	\N
1063463	3632	1997-02-28	VYDAJ	VYBER	30	51084	SLUZBY	\N	\N
1063464	3632	1997-03-31	VYDAJ	VYBER	30	35564	SLUZBY	\N	\N
1063465	3632	1997-04-30	VYDAJ	VYBER	30	31137	SLUZBY	\N	\N
1063466	3632	1997-05-31	VYDAJ	VYBER	30	30014	SLUZBY	\N	\N
1063467	3632	1997-06-30	VYDAJ	VYBER	30	13114	SLUZBY	\N	\N
1063468	3632	1997-07-31	VYDAJ	VYBER	30	22756	SLUZBY	\N	\N
1063469	3632	1997-08-31	VYDAJ	VYBER	30	38208	SLUZBY	\N	\N
1063470	3632	1997-09-30	VYDAJ	VYBER	30	19242	SLUZBY	\N	\N
1063471	3632	1997-10-31	VYDAJ	VYBER	30	26912	SLUZBY	\N	\N
1063472	3632	1997-11-30	VYDAJ	VYBER	30	12191	SLUZBY	\N	\N
1063473	3632	1997-12-31	VYDAJ	VYBER	30	13784	SLUZBY	\N	\N
1063474	3632	1998-01-31	VYDAJ	VYBER	30	13754	SLUZBY	\N	\N
1063475	3632	1998-02-28	VYDAJ	VYBER	30	13844	SLUZBY	\N	\N
1063476	3632	1998-03-31	VYDAJ	VYBER	30	13814	SLUZBY	\N	\N
1063477	3632	1998-04-30	VYDAJ	VYBER	30	13900	SLUZBY	\N	\N
1063478	3632	1998-05-31	VYDAJ	VYBER	30	13870	SLUZBY	\N	\N
1063479	3632	1998-06-30	VYDAJ	VYBER	30	19168	SLUZBY	\N	\N
1063480	3632	1998-07-31	VYDAJ	VYBER	30	19217	SLUZBY	\N	\N
1063481	3632	1998-08-31	VYDAJ	VYBER	30	19187	SLUZBY	\N	\N
1063482	3632	1998-09-30	VYDAJ	VYBER	30	12324	SLUZBY	\N	\N
1063483	3632	1998-10-31	VYDAJ	VYBER	30	19396	SLUZBY	\N	\N
1063484	3632	1998-11-30	VYDAJ	VYBER	30	65769	SLUZBY	\N	\N
1063485	3632	1996-05-06	PRIJEM	VKLAD	3000	17865	\N	\N	\N
1063486	3632	1996-06-05	VYDAJ	VYBER	800	17127	\N	\N	\N
1063487	3632	1996-07-05	PRIJEM	VKLAD	400	17589	\N	\N	\N
1063488	3632	1996-08-04	VYDAJ	VYBER	20000	29771	\N	\N	\N
1063489	3632	1996-09-03	VYDAJ	VYBER	8900	21078	\N	\N	\N
1063490	3632	1996-10-03	VYDAJ	VYBER	18100	25835	\N	\N	\N
1063491	3632	1996-11-02	VYDAJ	VYBER	9100	16918	\N	\N	\N
1063492	3632	1996-12-02	VYDAJ	VYBER	4300	12800	\N	\N	\N
1063493	3632	1997-01-01	VYDAJ	VYBER	2100	10882	\N	\N	\N
1063494	3632	1997-01-31	VYDAJ	VYBER	16500	31682	\N	\N	\N
1063495	3632	1997-03-02	VYDAJ	VYBER	15700	35384	\N	\N	\N
1063496	3632	1997-04-01	VYDAJ	VYBER	3900	23430	\N	\N	\N
1063497	3632	1997-05-01	VYDAJ	VYBER	6500	24637	\N	\N	\N
1063498	3632	1997-05-31	VYDAJ	VYBER	22000	30044	\N	\N	\N
1063499	3632	1997-06-30	VYDAJ	VYBER	9800	13144	\N	\N	\N
1063500	3632	1997-07-30	VYDAJ	VYBER	17300	26929	\N	\N	\N
1063501	3632	1997-08-29	VYDAJ	VYBER	29100	38137	\N	\N	\N
1063502	3632	1997-09-28	VYDAJ	VYBER	16500	19121	\N	\N	\N
1063503	3632	1997-10-28	VYDAJ	VYBER	20400	26858	\N	\N	\N
1063504	3632	1997-11-27	VYDAJ	VYBER	14800	12112	\N	\N	\N
1063505	3632	1997-12-27	VYDAJ	VYBER	23100	13762	\N	\N	\N
1063506	3632	1998-06-25	VYDAJ	VYBER	18900	19078	\N	\N	\N
1063507	3632	1998-09-23	VYDAJ	VYBER	16800	12201	\N	\N	\N
1063508	3632	1998-11-22	VYDAJ	VYBER	32400	32233	\N	\N	\N
1063509	3632	1998-12-22	VYDAJ	VYBER	42400	46818	\N	\N	\N
1063543	3633	1997-02-06	PRIJEM	VKLAD	200	200	\N	\N	\N
1063545	3633	1997-02-07	PRIJEM	VKLAD	11754	11954	\N	\N	\N
1063546	3633	1997-03-07	PRIJEM	VKLAD	11754	23747	\N	\N	\N
1063547	3633	1997-04-07	PRIJEM	VKLAD	11754	38599	\N	\N	\N
1063548	3633	1997-05-07	PRIJEM	VKLAD	11754	42204	\N	\N	\N
1063549	3633	1997-06-07	PRIJEM	VKLAD	17631	48207	\N	\N	\N
1063550	3633	1997-07-07	PRIJEM	VKLAD	11754	29038	\N	\N	\N
1063551	3633	1997-08-07	PRIJEM	VKLAD	11754	31335	\N	\N	\N
1063552	3633	1997-09-07	PRIJEM	VKLAD	11754	33342	\N	\N	\N
1063553	3633	1997-10-07	PRIJEM	VKLAD	11754	38757	\N	\N	\N
1063554	3633	1997-11-07	PRIJEM	VKLAD	11754	39293	\N	\N	\N
1063555	3633	1997-12-07	PRIJEM	VKLAD	17631	47412	\N	\N	\N
1063556	3633	1998-01-07	PRIJEM	VKLAD	11754	33673	\N	\N	\N
1063557	3633	1998-02-07	PRIJEM	VKLAD	11754	32476	\N	\N	\N
1063558	3633	1998-03-07	PRIJEM	VKLAD	11754	35382	\N	\N	\N
1063559	3633	1998-04-07	PRIJEM	VKLAD	11754	42006	\N	\N	\N
1063560	3633	1998-05-07	PRIJEM	VKLAD	11754	44454	\N	\N	\N
1063561	3633	1998-06-07	PRIJEM	VKLAD	17631	57392	\N	\N	\N
1063562	3633	1998-07-07	PRIJEM	VKLAD	11754	58894	\N	\N	\N
1063563	3633	1998-08-07	PRIJEM	VKLAD	11754	56411	\N	\N	\N
1063564	3633	1998-09-07	PRIJEM	VKLAD	11754	57220	\N	\N	\N
1063565	3633	1998-10-07	PRIJEM	VKLAD	11754	55022	\N	\N	\N
1063566	3633	1998-11-07	PRIJEM	VKLAD	11754	53820	\N	\N	\N
1063567	3633	1998-12-07	PRIJEM	VKLAD	17631	59987	\N	\N	\N
1063573	3633	1997-06-12	VYDAJ	PREVOD NA UCET	7037	41170	SIPO	AB	84880846
1063574	3633	1997-07-12	VYDAJ	PREVOD NA UCET	7037	22001	SIPO	AB	84880846
1063575	3633	1997-08-12	VYDAJ	PREVOD NA UCET	7037	24298	SIPO	AB	84880846
1063576	3633	1997-09-12	VYDAJ	PREVOD NA UCET	7037	26305	SIPO	AB	84880846
1063577	3633	1997-10-12	VYDAJ	PREVOD NA UCET	7037	31720	SIPO	AB	84880846
1063578	3633	1997-11-12	VYDAJ	PREVOD NA UCET	7037	32256	SIPO	AB	84880846
1063579	3633	1997-12-12	VYDAJ	PREVOD NA UCET	7037	38675	SIPO	AB	84880846
1063580	3633	1998-01-12	VYDAJ	PREVOD NA UCET	7037	26636	SIPO	AB	84880846
1063581	3633	1998-02-12	VYDAJ	PREVOD NA UCET	7037	25439	SIPO	AB	84880846
1063582	3633	1998-03-12	VYDAJ	PREVOD NA UCET	7037	28345	SIPO	AB	84880846
1063583	3633	1998-04-12	VYDAJ	PREVOD NA UCET	7037	34969	SIPO	AB	84880846
1063584	3633	1998-05-12	VYDAJ	PREVOD NA UCET	7037	37417	SIPO	AB	84880846
1063585	3633	1998-06-12	VYDAJ	PREVOD NA UCET	7037	50355	SIPO	AB	84880846
1063586	3633	1998-07-12	VYDAJ	PREVOD NA UCET	7037	51857	SIPO	AB	84880846
1063587	3633	1998-08-12	VYDAJ	PREVOD NA UCET	7037	49374	SIPO	AB	84880846
1063588	3633	1998-09-12	VYDAJ	PREVOD NA UCET	7037	46283	SIPO	AB	84880846
1063589	3633	1998-10-12	VYDAJ	PREVOD NA UCET	7037	47985	SIPO	AB	84880846
1063590	3633	1998-11-12	VYDAJ	PREVOD NA UCET	7037	46783	SIPO	AB	84880846
1063591	3633	1998-12-12	VYDAJ	PREVOD NA UCET	7037	52950	SIPO	AB	84880846
1063598	3633	1997-07-06	VYDAJ	PREVOD NA UCET	799	18584	 	AB	61292290
1063599	3633	1997-08-06	VYDAJ	PREVOD NA UCET	799	19581	 	AB	61292290
1063600	3633	1997-09-06	VYDAJ	PREVOD NA UCET	799	21588	 	AB	61292290
1063601	3633	1997-10-06	VYDAJ	PREVOD NA UCET	799	27003	 	AB	61292290
1063602	3633	1997-11-06	VYDAJ	PREVOD NA UCET	799	27539	 	AB	61292290
1063603	3633	1997-12-06	VYDAJ	PREVOD NA UCET	799	29781	 	AB	61292290
1063604	3633	1998-01-06	VYDAJ	PREVOD NA UCET	799	21919	 	AB	61292290
1063605	3633	1998-02-06	VYDAJ	PREVOD NA UCET	799	20722	 	AB	61292290
1063606	3633	1998-03-06	VYDAJ	PREVOD NA UCET	799	23628	 	AB	61292290
1063607	3633	1998-04-06	VYDAJ	PREVOD NA UCET	799	30252	 	AB	61292290
1063608	3633	1998-05-06	VYDAJ	PREVOD NA UCET	799	32700	 	AB	61292290
1063609	3633	1998-06-06	VYDAJ	PREVOD NA UCET	799	39761	 	AB	61292290
1063610	3633	1998-07-06	VYDAJ	PREVOD NA UCET	799	47140	 	AB	61292290
1063611	3633	1998-08-06	VYDAJ	PREVOD NA UCET	799	44657	 	AB	61292290
1063612	3633	1998-09-06	VYDAJ	PREVOD NA UCET	799	45466	 	AB	61292290
1063613	3633	1998-10-06	VYDAJ	PREVOD NA UCET	799	43268	 	AB	61292290
1063614	3633	1998-11-06	VYDAJ	PREVOD NA UCET	799	42066	 	AB	61292290
1063615	3633	1998-12-06	VYDAJ	PREVOD NA UCET	799	42356	 	AB	61292290
1063616	3633	1997-06-15	VYDAJ	VYBER	22300	18870	\N	\N	\N
1063617	3633	1998-06-24	VYDAJ	VYBER	5900	44455	\N	\N	\N
1063619	3633	1998-01-15	VYDAJ	VYBER	2900	19636	\N	\N	\N
1063620	3633	1997-12-19	VYDAJ	VYBER	1600	37075	\N	\N	\N
1063621	3633	1998-12-21	VYDAJ	VYBER KARTOU	2500	50450	\N	\N	0
1063628	3633	1998-01-06	VYDAJ	VYBER	1300	22718	\N	\N	\N
1063629	3633	1998-01-25	VYDAJ	VYBER	700	17236	\N	\N	\N
1063630	3633	1998-01-13	VYDAJ	VYBER	1700	24936	\N	\N	\N
1063631	3633	1998-01-27	VYDAJ	VYBER	1700	15536	\N	\N	\N
1063632	3633	1998-01-06	VYDAJ	VYBER	2900	24018	\N	\N	\N
1063633	3633	1998-01-14	VYDAJ	VYBER	2400	22536	\N	\N	\N
1063634	3633	1997-07-06	VYDAJ	VYBER	1300	17284	\N	\N	\N
1063636	3633	1997-12-10	VYDAJ	VYBER	1700	45712	\N	\N	\N
1063637	3633	1997-09-02	VYDAJ	VYBER	3000	21387	\N	\N	\N
1063639	3633	1998-07-31	VYDAJ	VYBER	2800	49256	\N	\N	\N
1063640	3633	1998-01-15	VYDAJ	VYBER	1700	17936	\N	\N	\N
1063641	3633	1998-09-10	VYDAJ	VYBER	3900	53320	\N	\N	\N
1063642	3633	1998-11-12	VYDAJ	VYBER	3400	43383	\N	\N	\N
1063643	3633	1998-10-21	VYDAJ	VYBER	3600	44385	\N	\N	\N
1063650	3633	1997-06-30	VYDAJ	VYBER	15	18983	SLUZBY	\N	\N
1063651	3633	1997-07-31	VYDAJ	VYBER	15	22080	SLUZBY	\N	\N
1063652	3633	1997-08-31	VYDAJ	VYBER	15	24387	SLUZBY	\N	\N
1063653	3633	1997-09-30	VYDAJ	VYBER	15	26402	SLUZBY	\N	\N
1063654	3633	1997-10-31	VYDAJ	VYBER	15	31838	SLUZBY	\N	\N
1063655	3633	1997-11-30	VYDAJ	VYBER	15	32380	SLUZBY	\N	\N
1063656	3633	1997-12-31	VYDAJ	VYBER	15	37218	SLUZBY	\N	\N
1063657	3633	1998-01-31	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
1063658	3633	1998-02-28	VYDAJ	VYBER	15	25527	SLUZBY	\N	\N
1063659	3633	1998-03-31	VYDAJ	VYBER	15	28451	SLUZBY	\N	\N
1063660	3633	1998-04-30	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
1063661	3633	1998-05-31	VYDAJ	VYBER	15	37560	SLUZBY	\N	\N
1063662	3633	1998-06-30	VYDAJ	VYBER	15	44639	SLUZBY	\N	\N
1063663	3633	1998-07-31	VYDAJ	VYBER	15	52056	SLUZBY	\N	\N
1063664	3633	1998-08-31	VYDAJ	VYBER	15	46265	SLUZBY	\N	\N
1063665	3633	1998-09-30	VYDAJ	VYBER	15	44067	SLUZBY	\N	\N
1063666	3633	1998-10-31	VYDAJ	VYBER	15	42865	SLUZBY	\N	\N
1063667	3633	1998-11-30	VYDAJ	VYBER	15	43155	SLUZBY	\N	\N
1063668	3633	1997-03-08	PRIJEM	VKLAD	3000	26747	\N	\N	\N
1063669	3633	1997-04-07	VYDAJ	VYBER	8300	30299	\N	\N	\N
1063670	3633	1997-05-07	VYDAJ	VYBER	7200	35004	\N	\N	\N
1063671	3633	1997-06-06	VYDAJ	VYBER	4600	30576	\N	\N	\N
1063672	3633	1997-07-06	PRIJEM	VKLAD	400	19383	\N	\N	\N
1063673	3633	1997-08-05	VYDAJ	VYBER	1700	20380	\N	\N	\N
1063674	3633	1997-09-04	PRIJEM	VKLAD	1000	22387	\N	\N	\N
1063675	3633	1997-10-04	PRIJEM	VKLAD	1400	27802	\N	\N	\N
1063676	3633	1997-11-03	VYDAJ	VYBER	3500	28338	\N	\N	\N
1063677	3633	1997-12-03	VYDAJ	VYBER	1800	30580	\N	\N	\N
1063678	3633	1998-01-02	VYDAJ	VYBER	10300	26918	\N	\N	\N
1063679	3633	1998-02-01	PRIJEM	VKLAD	5900	21521	\N	\N	\N
1063680	3633	1998-03-03	VYDAJ	VYBER	1100	24427	\N	\N	\N
1063681	3633	1998-04-02	PRIJEM	VKLAD	2600	31051	\N	\N	\N
1063682	3633	1998-05-02	VYDAJ	VYBER	1600	33499	\N	\N	\N
1063683	3633	1998-06-01	PRIJEM	VKLAD	3000	40560	\N	\N	\N
1063684	3633	1998-07-01	PRIJEM	VKLAD	3300	47939	\N	\N	\N
1063685	3633	1998-07-31	VYDAJ	VYBER	3800	45456	\N	\N	\N
1063686	3633	1998-08-30	VYDAJ	VYBER	3300	46074	\N	\N	\N
1063687	3633	1998-09-29	VYDAJ	VYBER	2400	43883	\N	\N	\N
1063688	3633	1998-10-29	VYDAJ	VYBER	1700	42685	\N	\N	\N
1063689	3633	1998-11-28	VYDAJ	VYBER	400	42983	\N	\N	\N
1063713	3634	1997-04-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1063718	3634	1997-05-09	PRIJEM	PREVOD Z UCTU	48511	49511	\N	QR	86268275
1063719	3634	1997-06-09	PRIJEM	PREVOD Z UCTU	72766	109756	\N	QR	86268275
1063720	3634	1997-07-09	PRIJEM	PREVOD Z UCTU	48511	83624	\N	QR	86268275
1063721	3634	1997-08-09	PRIJEM	PREVOD Z UCTU	48511	103226	\N	QR	86268275
1063722	3634	1997-09-09	PRIJEM	PREVOD Z UCTU	48511	116697	\N	QR	86268275
1063723	3634	1997-10-09	PRIJEM	PREVOD Z UCTU	48511	98032	\N	QR	86268275
1063724	3634	1997-11-09	PRIJEM	PREVOD Z UCTU	48511	100068	\N	QR	86268275
1063725	3634	1997-12-09	PRIJEM	PREVOD Z UCTU	72766	140307	\N	QR	86268275
1063726	3634	1998-01-09	PRIJEM	PREVOD Z UCTU	48511	102198	\N	QR	86268275
1063727	3634	1998-02-09	PRIJEM	PREVOD Z UCTU	48511	92842	\N	QR	86268275
1063728	3634	1998-03-09	PRIJEM	PREVOD Z UCTU	48511	111374	\N	QR	86268275
1063729	3634	1998-04-09	PRIJEM	PREVOD Z UCTU	48511	95239	\N	QR	86268275
1063730	3634	1998-05-09	PRIJEM	PREVOD Z UCTU	48511	83161	\N	QR	86268275
1063731	3634	1998-06-09	PRIJEM	PREVOD Z UCTU	72766	127613	\N	QR	86268275
1063732	3634	1998-07-09	PRIJEM	PREVOD Z UCTU	48511	102439	\N	QR	86268275
1063733	3634	1998-08-09	PRIJEM	PREVOD Z UCTU	48511	114294	\N	QR	86268275
1063734	3634	1998-09-09	PRIJEM	PREVOD Z UCTU	48511	79312	\N	QR	86268275
1063735	3634	1998-10-09	PRIJEM	PREVOD Z UCTU	48511	96381	\N	QR	86268275
1063736	3634	1998-11-09	PRIJEM	PREVOD Z UCTU	48511	106052	\N	QR	86268275
1063737	3634	1998-12-09	PRIJEM	PREVOD Z UCTU	72766	125419	\N	QR	86268275
1063762	3634	1998-08-31	VYBER	VYBER	20692	35616	\N	\N	\N
1063763	3634	1998-09-14	VYBER	VYBER	7989	71323	\N	\N	\N
1063764	3634	1998-04-16	VYBER	VYBER	16392	45247	\N	\N	\N
1063765	3634	1998-04-01	VYBER	VYBER	12102	46728	\N	\N	\N
1063766	3634	1997-12-19	VYDAJ	VYBER	5400	59407	\N	\N	\N
1063767	3634	1998-12-13	VYDAJ	VYBER	2400	97619	\N	\N	\N
1063774	3634	1998-01-19	VYDAJ	VYBER	4500	55498	\N	\N	\N
1063775	3634	1998-01-06	VYDAJ	VYBER	6000	53687	\N	\N	\N
1063776	3634	1998-01-26	VYDAJ	VYBER	4200	49198	\N	\N	\N
1063777	3634	1998-01-30	VYDAJ	VYBER	5100	44098	\N	\N	\N
1063778	3634	1998-01-12	VYDAJ	VYBER	8700	59998	\N	\N	\N
1063779	3634	1998-01-23	VYDAJ	VYBER	2100	53398	\N	\N	\N
1063782	3634	1997-10-27	VYDAJ	VYBER	1500	61532	\N	\N	\N
1063784	3634	1997-11-05	VYDAJ	VYBER	10200	51557	\N	\N	\N
1063785	3634	1998-04-27	VYDAJ	VYBER	6300	34447	\N	\N	\N
1063786	3634	1998-11-26	VYDAJ	VYBER	10200	95852	\N	\N	\N
1063787	3634	1998-04-19	VYDAJ	VYBER	4500	40747	\N	\N	\N
1063788	3634	1998-11-27	VYDAJ	VYBER	13800	82052	\N	\N	\N
1063798	3634	1997-09-30	VYDAJ	VYBER	15	49521	SLUZBY	\N	\N
1063799	3634	1997-10-31	VYDAJ	VYBER	15	61757	SLUZBY	\N	\N
1063800	3634	1997-11-30	VYDAJ	VYBER	15	67541	SLUZBY	\N	\N
1063801	3634	1997-12-31	VYDAJ	VYBER	15	59687	SLUZBY	\N	\N
1063802	3634	1998-01-31	VYDAJ	VYBER	15	44331	SLUZBY	\N	\N
1063803	3634	1998-02-28	VYDAJ	VYBER	15	62863	SLUZBY	\N	\N
1063804	3634	1998-03-31	VYDAJ	VYBER	15	58830	SLUZBY	\N	\N
1063805	3634	1998-04-30	VYDAJ	VYBER	15	34650	SLUZBY	\N	\N
1063806	3634	1998-05-31	VYDAJ	VYBER	15	54847	SLUZBY	\N	\N
1063807	3634	1998-06-30	VYDAJ	VYBER	15	53928	SLUZBY	\N	\N
1063808	3634	1998-07-31	VYDAJ	VYBER	15	65783	SLUZBY	\N	\N
1063809	3634	1998-08-31	VYDAJ	VYBER	15	35601	SLUZBY	\N	\N
1063810	3634	1998-09-30	VYDAJ	VYBER	15	71570	SLUZBY	\N	\N
1063811	3634	1998-10-31	VYDAJ	VYBER	15	96741	SLUZBY	\N	\N
1063812	3634	1998-11-30	VYDAJ	VYBER	15	82453	SLUZBY	\N	\N
1063813	3634	1997-05-16	VYDAJ	VYBER	12600	36911	\N	\N	\N
1063814	3634	1997-06-09	VYDAJ	VYBER	63800	45956	\N	\N	\N
1063815	3634	1997-06-15	VYDAJ	VYBER	11000	34956	\N	\N	\N
1063816	3634	1997-07-15	VYDAJ	VYBER	29100	54524	\N	\N	\N
1063817	3634	1997-08-14	VYDAJ	VYBER	35300	67926	\N	\N	\N
1063818	3634	1997-09-09	VYDAJ	VYBER	45600	71097	\N	\N	\N
1063819	3634	1997-09-13	VYDAJ	VYBER	21800	49297	\N	\N	\N
1063820	3634	1997-10-13	VYDAJ	VYBER	35000	63032	\N	\N	\N
1063821	3634	1997-11-12	VYDAJ	VYBER	32800	67268	\N	\N	\N
1063822	3634	1997-12-09	VYDAJ	VYBER	46400	93907	\N	\N	\N
1063823	3634	1997-12-12	VYDAJ	VYBER	29100	64807	\N	\N	\N
1063824	3634	1998-01-11	VYDAJ	VYBER	33500	68698	\N	\N	\N
1063825	3634	1998-02-10	VYDAJ	VYBER	30200	62642	\N	\N	\N
1063826	3634	1998-03-09	VYDAJ	VYBER	25600	85774	\N	\N	\N
1063827	3634	1998-03-12	VYDAJ	VYBER	27200	58574	\N	\N	\N
1063828	3634	1998-04-11	VYDAJ	VYBER	33600	61639	\N	\N	\N
1063829	3634	1998-05-11	VYDAJ	VYBER	28500	54661	\N	\N	\N
1063830	3634	1998-06-09	VYDAJ	VYBER	39600	88013	\N	\N	\N
1063831	3634	1998-06-10	VYDAJ	VYBER	34300	53713	\N	\N	\N
1063832	3634	1998-07-10	VYDAJ	VYBER	36900	65539	\N	\N	\N
1063833	3634	1998-08-09	VYDAJ	VYBER	28900	85394	\N	\N	\N
1063834	3634	1998-08-09	VYDAJ	VYBER	29500	55894	\N	\N	\N
1063835	3634	1998-09-08	VYDAJ	VYBER	4800	30801	\N	\N	\N
1063836	3634	1998-10-08	VYDAJ	VYBER	23700	47870	\N	\N	\N
1063837	3634	1998-11-07	VYDAJ	VYBER	39200	57541	\N	\N	\N
1063838	3634	1998-12-07	VYDAJ	VYBER	29800	52653	\N	\N	\N
1063839	3634	1998-12-09	VYDAJ	VYBER	25400	100019	\N	\N	\N
1063860	3635	1997-05-04	PRIJEM	VKLAD	600	600	\N	\N	\N
1063865	3635	1997-05-10	PRIJEM	PREVOD Z UCTU	3808	4408	\N	IJ	99726712
1063866	3635	1997-06-10	PRIJEM	PREVOD Z UCTU	3808	21829	\N	IJ	99726712
1063867	3635	1997-07-10	PRIJEM	PREVOD Z UCTU	3808	25006	\N	IJ	99726712
1063868	3635	1997-08-10	PRIJEM	PREVOD Z UCTU	3808	31215	\N	IJ	99726712
1063869	3635	1997-09-10	PRIJEM	PREVOD Z UCTU	3808	32245	\N	IJ	99726712
1063870	3635	1997-10-10	PRIJEM	PREVOD Z UCTU	3808	27826	\N	IJ	99726712
1063871	3635	1997-11-10	PRIJEM	PREVOD Z UCTU	3808	25292	\N	IJ	99726712
1063872	3635	1997-12-10	PRIJEM	PREVOD Z UCTU	3808	24530	\N	IJ	99726712
1063873	3635	1998-01-10	PRIJEM	PREVOD Z UCTU	3808	24515	\N	IJ	99726712
1063874	3635	1998-02-10	PRIJEM	PREVOD Z UCTU	3808	21598	\N	IJ	99726712
1063875	3635	1998-03-10	PRIJEM	PREVOD Z UCTU	3808	21582	\N	IJ	99726712
1063876	3635	1998-04-10	PRIJEM	PREVOD Z UCTU	3808	18515	\N	IJ	99726712
1063877	3635	1998-05-10	PRIJEM	PREVOD Z UCTU	3808	17145	\N	IJ	99726712
1063878	3635	1998-06-10	PRIJEM	PREVOD Z UCTU	3808	18459	\N	IJ	99726712
1063879	3635	1998-07-10	PRIJEM	PREVOD Z UCTU	3808	22981	\N	IJ	99726712
1063880	3635	1998-08-10	PRIJEM	PREVOD Z UCTU	3808	19778	\N	IJ	99726712
1063881	3635	1998-09-10	PRIJEM	PREVOD Z UCTU	3808	15301	\N	IJ	99726712
1063882	3635	1998-10-10	PRIJEM	PREVOD Z UCTU	3808	17609	\N	IJ	99726712
1063883	3635	1998-11-10	PRIJEM	PREVOD Z UCTU	3808	20026	\N	IJ	99726712
1063884	3635	1998-12-10	PRIJEM	PREVOD Z UCTU	3808	18311	\N	IJ	99726712
1063893	3635	1997-09-10	VYDAJ	PREVOD NA UCET	2045	30200	SIPO	KL	61182141
1063894	3635	1997-10-10	VYDAJ	PREVOD NA UCET	2045	25781	SIPO	KL	61182141
1063895	3635	1997-11-10	VYDAJ	PREVOD NA UCET	2045	23247	SIPO	KL	61182141
1063896	3635	1997-12-10	VYDAJ	PREVOD NA UCET	2045	22485	SIPO	KL	61182141
1063897	3635	1998-01-10	VYDAJ	PREVOD NA UCET	2045	22470	SIPO	KL	61182141
1063898	3635	1998-02-10	VYDAJ	PREVOD NA UCET	2045	19553	SIPO	KL	61182141
1063899	3635	1998-03-10	VYDAJ	PREVOD NA UCET	2045	19537	SIPO	KL	61182141
1063900	3635	1998-04-10	VYDAJ	PREVOD NA UCET	2045	16470	SIPO	KL	61182141
1063901	3635	1998-05-10	VYDAJ	PREVOD NA UCET	2045	15100	SIPO	KL	61182141
1063902	3635	1998-06-10	VYDAJ	PREVOD NA UCET	2045	16414	SIPO	KL	61182141
1063903	3635	1998-07-10	VYDAJ	PREVOD NA UCET	2045	20936	SIPO	KL	61182141
1063904	3635	1998-08-10	VYDAJ	PREVOD NA UCET	2045	17733	SIPO	KL	61182141
1063905	3635	1998-09-10	VYDAJ	PREVOD NA UCET	2045	13256	SIPO	KL	61182141
1063906	3635	1998-10-10	VYDAJ	PREVOD NA UCET	2045	15564	SIPO	KL	61182141
1063907	3635	1998-11-10	VYDAJ	PREVOD NA UCET	2045	17981	SIPO	KL	61182141
1063908	3635	1998-12-10	VYDAJ	PREVOD NA UCET	2045	16266	SIPO	KL	61182141
1063917	3635	1997-09-11	VYDAJ	PREVOD NA UCET	493	29707	 	MN	61283069
1063918	3635	1997-10-11	VYDAJ	PREVOD NA UCET	493	25288	 	MN	61283069
1063919	3635	1997-11-11	VYDAJ	PREVOD NA UCET	493	22754	 	MN	61283069
1063920	3635	1997-12-11	VYDAJ	PREVOD NA UCET	493	21992	 	MN	61283069
1063921	3635	1998-01-11	VYDAJ	PREVOD NA UCET	493	21977	 	MN	61283069
1063922	3635	1998-02-11	VYDAJ	PREVOD NA UCET	493	19060	 	MN	61283069
1063923	3635	1998-03-11	VYDAJ	PREVOD NA UCET	493	19044	 	MN	61283069
1063924	3635	1998-04-11	VYDAJ	PREVOD NA UCET	493	15977	 	MN	61283069
1063925	3635	1998-05-11	VYDAJ	PREVOD NA UCET	493	14607	 	MN	61283069
1063926	3635	1998-06-11	VYDAJ	PREVOD NA UCET	493	15921	 	MN	61283069
1063927	3635	1998-07-11	VYDAJ	PREVOD NA UCET	493	20443	 	MN	61283069
1063928	3635	1998-08-11	VYDAJ	PREVOD NA UCET	493	17240	 	MN	61283069
1063929	3635	1998-09-11	VYDAJ	PREVOD NA UCET	493	12763	 	MN	61283069
1063930	3635	1998-10-11	VYDAJ	PREVOD NA UCET	493	15071	 	MN	61283069
1063931	3635	1998-11-11	VYDAJ	PREVOD NA UCET	493	17488	 	MN	61283069
1063932	3635	1998-12-11	VYDAJ	PREVOD NA UCET	493	15773	 	MN	61283069
1063936	3635	1998-01-23	VYDAJ	VYBER	1260	20717	\N	\N	\N
1063937	3635	1997-12-12	VYDAJ	VYBER	720	21272	\N	\N	\N
1063938	3635	1998-12-01	VYDAJ	VYBER	840	14503	\N	\N	\N
1063940	3635	1997-11-24	VYDAJ	VYBER	900	21854	\N	\N	\N
1063941	3635	1997-12-01	VYDAJ	VYBER	810	20722	\N	\N	\N
1063943	3635	1998-04-28	VYDAJ	VYBER	390	15587	\N	\N	\N
1063945	3635	1998-08-06	VYDAJ	VYBER	1140	15970	\N	\N	\N
1063947	3635	1998-03-05	VYDAJ	VYBER	1050	17774	\N	\N	\N
1063948	3635	1998-01-08	VYDAJ	VYBER	240	20707	\N	\N	\N
1063958	3635	1997-09-30	VYDAJ	VYBER	15	29818	SLUZBY	\N	\N
1063959	3635	1997-10-31	VYDAJ	VYBER	15	21484	SLUZBY	\N	\N
1063960	3635	1997-11-30	VYDAJ	VYBER	15	21932	SLUZBY	\N	\N
1063961	3635	1997-12-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
1063962	3635	1998-01-31	VYDAJ	VYBER	15	17790	SLUZBY	\N	\N
1063963	3635	1998-02-28	VYDAJ	VYBER	15	18824	SLUZBY	\N	\N
1063964	3635	1998-03-31	VYDAJ	VYBER	15	14707	SLUZBY	\N	\N
1063965	3635	1998-04-30	VYDAJ	VYBER	15	13337	SLUZBY	\N	\N
1063966	3635	1998-05-31	VYDAJ	VYBER	15	14651	SLUZBY	\N	\N
1063967	3635	1998-06-30	VYDAJ	VYBER	15	19173	SLUZBY	\N	\N
1063968	3635	1998-07-31	VYDAJ	VYBER	15	17110	SLUZBY	\N	\N
1063969	3635	1998-08-31	VYDAJ	VYBER	15	11493	SLUZBY	\N	\N
1063970	3635	1998-09-30	VYDAJ	VYBER	15	13801	SLUZBY	\N	\N
1063971	3635	1998-10-31	VYDAJ	VYBER	15	16218	SLUZBY	\N	\N
1063972	3635	1998-11-30	VYDAJ	VYBER	15	15343	SLUZBY	\N	\N
1063973	3635	1997-06-03	PRIJEM	VKLAD	13600	18021	\N	\N	\N
1063974	3635	1997-07-03	VYDAJ	VYBER	700	21198	\N	\N	\N
1063975	3635	1997-08-02	PRIJEM	VKLAD	2300	27407	\N	\N	\N
1063976	3635	1997-09-01	VYDAJ	VYBER	2900	28437	\N	\N	\N
1063977	3635	1997-10-01	VYDAJ	VYBER	5800	24018	\N	\N	\N
1063978	3635	1997-10-31	VYDAJ	VYBER	3900	21499	\N	\N	\N
1063979	3635	1997-11-30	VYDAJ	VYBER	400	21532	\N	\N	\N
1063980	3635	1997-12-30	VYDAJ	VYBER	400	20872	\N	\N	\N
1063981	3635	1998-01-29	VYDAJ	VYBER	3000	17717	\N	\N	\N
1063982	3635	1998-02-28	VYDAJ	VYBER	300	18838	\N	\N	\N
1063983	3635	1998-03-30	VYDAJ	VYBER	4400	14644	\N	\N	\N
1063984	3635	1998-04-29	VYDAJ	VYBER	2300	13287	\N	\N	\N
1063985	3635	1998-06-28	PRIJEM	VKLAD	3200	19121	\N	\N	\N
1063986	3635	1998-07-28	VYDAJ	VYBER	3400	17043	\N	\N	\N
1063987	3635	1998-08-27	VYDAJ	VYBER	5800	11440	\N	\N	\N
1063988	3635	1998-09-26	PRIJEM	VKLAD	1000	13763	\N	\N	\N
1063989	3635	1998-10-26	PRIJEM	VKLAD	1100	16171	\N	\N	\N
1063990	3635	1998-11-25	VYDAJ	VYBER	2200	15288	\N	\N	\N
1064011	3636	1994-05-22	PRIJEM	VKLAD	700	700	\N	\N	\N
1064017	3636	1994-06-09	PRIJEM	VKLAD	14730	15430	\N	\N	\N
1064018	3636	1994-07-09	PRIJEM	VKLAD	9820	31180	\N	\N	\N
1064019	3636	1994-08-09	PRIJEM	VKLAD	9820	37898	\N	\N	\N
1064020	3636	1994-09-09	PRIJEM	VKLAD	9820	42342	\N	\N	\N
1064021	3636	1994-10-09	PRIJEM	VKLAD	9820	43499	\N	\N	\N
1064022	3636	1994-11-09	PRIJEM	VKLAD	9820	40027	\N	\N	\N
1064023	3636	1994-12-09	PRIJEM	VKLAD	14730	39987	\N	\N	\N
1064024	3636	1995-01-09	PRIJEM	VKLAD	9820	38218	\N	\N	\N
1064025	3636	1995-02-09	PRIJEM	VKLAD	9820	26322	\N	\N	\N
1064026	3636	1995-03-09	PRIJEM	VKLAD	9820	35801	\N	\N	\N
1064027	3636	1995-04-09	PRIJEM	VKLAD	9820	36511	\N	\N	\N
1064028	3636	1995-05-09	PRIJEM	VKLAD	9820	35235	\N	\N	\N
1064029	3636	1995-06-09	PRIJEM	VKLAD	14730	44653	\N	\N	\N
1064030	3636	1995-07-09	PRIJEM	VKLAD	9820	44282	\N	\N	\N
1064031	3636	1995-08-09	PRIJEM	VKLAD	9820	43315	\N	\N	\N
1064032	3636	1995-09-09	PRIJEM	VKLAD	9820	44250	\N	\N	\N
1064033	3636	1995-10-09	PRIJEM	VKLAD	9820	45212	\N	\N	\N
1064034	3636	1995-11-09	PRIJEM	VKLAD	9820	47664	\N	\N	\N
1064035	3636	1995-12-09	PRIJEM	VKLAD	14730	51622	\N	\N	\N
1064036	3636	1996-01-09	PRIJEM	VKLAD	9820	38818	\N	\N	\N
1064037	3636	1996-02-09	PRIJEM	VKLAD	9820	31331	\N	\N	\N
1064038	3636	1996-03-09	PRIJEM	VKLAD	9820	26962	\N	\N	\N
1064039	3636	1996-04-09	PRIJEM	VKLAD	9820	34117	\N	\N	\N
1064040	3636	1996-05-09	PRIJEM	VKLAD	9820	38725	\N	\N	\N
1064041	3636	1996-06-09	PRIJEM	VKLAD	14730	52672	\N	\N	\N
1064042	3636	1996-07-09	PRIJEM	VKLAD	9820	37321	\N	\N	\N
1064043	3636	1996-08-09	PRIJEM	VKLAD	9820	44749	\N	\N	\N
1064044	3636	1996-09-09	PRIJEM	VKLAD	9820	55206	\N	\N	\N
1064045	3636	1996-10-09	PRIJEM	VKLAD	9820	55231	\N	\N	\N
1064046	3636	1996-11-09	PRIJEM	VKLAD	9820	56321	\N	\N	\N
1064047	3636	1996-12-09	PRIJEM	VKLAD	14730	62730	\N	\N	\N
1064048	3636	1997-01-09	PRIJEM	VKLAD	9820	58609	\N	\N	\N
1064049	3636	1997-02-09	PRIJEM	VKLAD	9820	52158	\N	\N	\N
1064050	3636	1997-03-09	PRIJEM	VKLAD	9820	57928	\N	\N	\N
1064051	3636	1997-04-09	PRIJEM	VKLAD	9820	63041	\N	\N	\N
1064052	3636	1997-05-09	PRIJEM	VKLAD	9820	68060	\N	\N	\N
1064053	3636	1997-06-09	PRIJEM	VKLAD	14730	76107	\N	\N	\N
1064054	3636	1997-07-09	PRIJEM	VKLAD	9820	51062	\N	\N	\N
1064055	3636	1997-08-09	PRIJEM	VKLAD	9820	63517	\N	\N	\N
1064056	3636	1997-09-09	PRIJEM	VKLAD	9820	66553	\N	\N	\N
1064057	3636	1997-10-09	PRIJEM	VKLAD	9820	67692	\N	\N	\N
1064058	3636	1997-11-09	PRIJEM	VKLAD	9820	67337	\N	\N	\N
1064059	3636	1997-12-09	PRIJEM	VKLAD	14730	69924	\N	\N	\N
1064060	3636	1998-01-09	PRIJEM	VKLAD	9820	69371	\N	\N	\N
1064061	3636	1998-02-09	PRIJEM	VKLAD	9820	53131	\N	\N	\N
1064062	3636	1998-03-09	PRIJEM	VKLAD	9820	62708	\N	\N	\N
1064063	3636	1998-04-09	PRIJEM	VKLAD	9820	64754	\N	\N	\N
1064064	3636	1998-05-09	PRIJEM	VKLAD	9820	68179	\N	\N	\N
1064065	3636	1998-06-09	PRIJEM	VKLAD	14730	69228	\N	\N	\N
1064066	3636	1998-07-09	PRIJEM	VKLAD	9820	46887	\N	\N	\N
1064067	3636	1998-08-09	PRIJEM	VKLAD	9820	58219	\N	\N	\N
1064068	3636	1998-09-09	PRIJEM	VKLAD	9820	63518	\N	\N	\N
1064069	3636	1998-10-09	PRIJEM	VKLAD	9820	71740	\N	\N	\N
1064070	3636	1998-11-09	PRIJEM	VKLAD	9820	73794	\N	\N	\N
1064071	3636	1998-12-09	PRIJEM	VKLAD	14730	82567	\N	\N	\N
1064081	3636	1994-10-14	VYDAJ	PREVOD NA UCET	40	36984	SIPO	GH	45862406
1064082	3636	1994-11-14	VYDAJ	PREVOD NA UCET	40	29792	SIPO	GH	45862406
1064083	3636	1994-12-14	VYDAJ	PREVOD NA UCET	40	33472	SIPO	GH	45862406
1064084	3636	1995-01-14	VYDAJ	PREVOD NA UCET	40	28943	SIPO	GH	45862406
1064085	3636	1995-02-14	VYDAJ	PREVOD NA UCET	40	19807	SIPO	GH	45862406
1064086	3636	1995-03-14	VYDAJ	PREVOD NA UCET	40	28086	SIPO	GH	45862406
1064087	3636	1995-04-14	VYDAJ	PREVOD NA UCET	40	29996	SIPO	GH	45862406
1064088	3636	1995-05-14	VYDAJ	PREVOD NA UCET	40	28720	SIPO	GH	45862406
1064089	3636	1995-06-14	VYDAJ	PREVOD NA UCET	40	38138	SIPO	GH	45862406
1064090	3636	1995-07-14	VYDAJ	PREVOD NA UCET	40	37767	SIPO	GH	45862406
1064091	3636	1995-08-14	VYDAJ	PREVOD NA UCET	40	36800	SIPO	GH	45862406
1064092	3636	1995-09-14	VYDAJ	PREVOD NA UCET	40	37735	SIPO	GH	45862406
1064093	3636	1995-10-14	VYDAJ	PREVOD NA UCET	40	38697	SIPO	GH	45862406
1064094	3636	1995-11-14	VYDAJ	PREVOD NA UCET	40	37549	SIPO	GH	45862406
1064095	3636	1995-12-14	VYDAJ	PREVOD NA UCET	40	38607	SIPO	GH	45862406
1064096	3636	1996-01-14	VYDAJ	PREVOD NA UCET	40	29443	SIPO	GH	45862406
1064097	3636	1996-02-14	VYDAJ	PREVOD NA UCET	40	27016	SIPO	GH	45862406
1064098	3636	1996-03-14	VYDAJ	PREVOD NA UCET	40	28647	SIPO	GH	45862406
1064099	3636	1996-04-14	VYDAJ	PREVOD NA UCET	40	30602	SIPO	GH	45862406
1064100	3636	1996-05-14	VYDAJ	PREVOD NA UCET	40	37810	SIPO	GH	45862406
1064101	3636	1996-06-14	VYDAJ	PREVOD NA UCET	40	40157	SIPO	GH	45862406
1064102	3636	1996-07-14	VYDAJ	PREVOD NA UCET	40	34806	SIPO	GH	45862406
1064103	3636	1996-08-14	VYDAJ	PREVOD NA UCET	40	41134	SIPO	GH	45862406
1064104	3636	1996-09-14	VYDAJ	PREVOD NA UCET	40	48691	SIPO	GH	45862406
1064105	3636	1996-10-14	VYDAJ	PREVOD NA UCET	40	48716	SIPO	GH	45862406
1064106	3636	1996-11-14	VYDAJ	PREVOD NA UCET	40	49806	SIPO	GH	45862406
1064107	3636	1996-12-14	VYDAJ	PREVOD NA UCET	40	56215	SIPO	GH	45862406
1064108	3636	1997-01-14	VYDAJ	PREVOD NA UCET	40	38014	SIPO	GH	45862406
1064109	3636	1997-02-14	VYDAJ	PREVOD NA UCET	40	45643	SIPO	GH	45862406
1064110	3636	1997-03-14	VYDAJ	PREVOD NA UCET	40	48533	SIPO	GH	45862406
1064111	3636	1997-04-14	VYDAJ	PREVOD NA UCET	40	56526	SIPO	GH	45862406
1064112	3636	1997-05-14	VYDAJ	PREVOD NA UCET	40	59145	SIPO	GH	45862406
1064113	3636	1997-06-14	VYDAJ	PREVOD NA UCET	40	69592	SIPO	GH	45862406
1064114	3636	1997-07-14	VYDAJ	PREVOD NA UCET	40	44547	SIPO	GH	45862406
1064115	3636	1997-08-14	VYDAJ	PREVOD NA UCET	40	57002	SIPO	GH	45862406
1064116	3636	1997-09-14	VYDAJ	PREVOD NA UCET	40	60038	SIPO	GH	45862406
1064117	3636	1997-10-14	VYDAJ	PREVOD NA UCET	40	61177	SIPO	GH	45862406
1064118	3636	1997-11-14	VYDAJ	PREVOD NA UCET	40	60822	SIPO	GH	45862406
1064119	3636	1997-12-14	VYDAJ	PREVOD NA UCET	40	63409	SIPO	GH	45862406
1064120	3636	1998-01-14	VYDAJ	PREVOD NA UCET	40	60096	SIPO	GH	45862406
1064121	3636	1998-02-14	VYDAJ	PREVOD NA UCET	40	46616	SIPO	GH	45862406
1064122	3636	1998-03-14	VYDAJ	PREVOD NA UCET	40	56193	SIPO	GH	45862406
1064123	3636	1998-04-14	VYDAJ	PREVOD NA UCET	40	58239	SIPO	GH	45862406
1064124	3636	1998-05-14	VYDAJ	PREVOD NA UCET	40	59504	SIPO	GH	45862406
1064125	3636	1998-06-14	VYDAJ	PREVOD NA UCET	40	62713	SIPO	GH	45862406
1064126	3636	1998-07-14	VYDAJ	PREVOD NA UCET	40	40372	SIPO	GH	45862406
1064127	3636	1998-08-14	VYDAJ	PREVOD NA UCET	40	51704	SIPO	GH	45862406
1064128	3636	1998-09-14	VYDAJ	PREVOD NA UCET	40	57003	SIPO	GH	45862406
1064129	3636	1998-10-14	VYDAJ	PREVOD NA UCET	40	65225	SIPO	GH	45862406
1064130	3636	1998-11-14	VYDAJ	PREVOD NA UCET	40	67279	SIPO	GH	45862406
1064131	3636	1998-12-14	VYDAJ	PREVOD NA UCET	40	76052	SIPO	GH	45862406
1064141	3636	1994-10-13	VYDAJ	PREVOD NA UCET	1731	37024	 	IJ	68396133
1064142	3636	1994-11-13	VYDAJ	PREVOD NA UCET	1731	33552	 	IJ	68396133
1064143	3636	1994-12-13	VYDAJ	PREVOD NA UCET	1731	33512	 	IJ	68396133
1064144	3636	1995-01-13	VYDAJ	PREVOD NA UCET	1731	30903	 	IJ	68396133
1064145	3636	1995-02-13	VYDAJ	PREVOD NA UCET	1731	19847	 	IJ	68396133
1064146	3636	1995-03-13	VYDAJ	PREVOD NA UCET	1731	28126	 	IJ	68396133
1064147	3636	1995-04-13	VYDAJ	PREVOD NA UCET	1731	30036	 	IJ	68396133
1064148	3636	1995-05-13	VYDAJ	PREVOD NA UCET	1731	28760	 	IJ	68396133
1064149	3636	1995-06-13	VYDAJ	PREVOD NA UCET	1731	38178	 	IJ	68396133
1064150	3636	1995-07-13	VYDAJ	PREVOD NA UCET	1731	37807	 	IJ	68396133
1064151	3636	1995-08-13	VYDAJ	PREVOD NA UCET	1731	36840	 	IJ	68396133
1064152	3636	1995-09-13	VYDAJ	PREVOD NA UCET	1731	37775	 	IJ	68396133
1064153	3636	1995-10-13	VYDAJ	PREVOD NA UCET	1731	38737	 	IJ	68396133
1064154	3636	1995-11-13	VYDAJ	PREVOD NA UCET	1731	37589	 	IJ	68396133
1064155	3636	1995-12-13	VYDAJ	PREVOD NA UCET	1731	38647	 	IJ	68396133
1064156	3636	1996-01-13	VYDAJ	PREVOD NA UCET	1731	32003	 	IJ	68396133
1064157	3636	1996-02-13	VYDAJ	PREVOD NA UCET	1731	27056	 	IJ	68396133
1064158	3636	1996-03-13	VYDAJ	PREVOD NA UCET	1731	28687	 	IJ	68396133
1064159	3636	1996-04-13	VYDAJ	PREVOD NA UCET	1731	30642	 	IJ	68396133
1064160	3636	1996-05-13	VYDAJ	PREVOD NA UCET	1731	37850	 	IJ	68396133
1064161	3636	1996-06-13	VYDAJ	PREVOD NA UCET	1731	40197	 	IJ	68396133
1064162	3636	1996-07-13	VYDAJ	PREVOD NA UCET	1731	34846	 	IJ	68396133
1064163	3636	1996-08-13	VYDAJ	PREVOD NA UCET	1731	41174	 	IJ	68396133
1064164	3636	1996-09-13	VYDAJ	PREVOD NA UCET	1731	48731	 	IJ	68396133
1064165	3636	1996-10-13	VYDAJ	PREVOD NA UCET	1731	48756	 	IJ	68396133
1064166	3636	1996-11-13	VYDAJ	PREVOD NA UCET	1731	49846	 	IJ	68396133
1064167	3636	1996-12-13	VYDAJ	PREVOD NA UCET	1731	56255	 	IJ	68396133
1064168	3636	1997-01-13	VYDAJ	PREVOD NA UCET	1731	38054	 	IJ	68396133
1064169	3636	1997-02-13	VYDAJ	PREVOD NA UCET	1731	45683	 	IJ	68396133
1064170	3636	1997-03-13	VYDAJ	PREVOD NA UCET	1731	48573	 	IJ	68396133
1064171	3636	1997-04-13	VYDAJ	PREVOD NA UCET	1731	56566	 	IJ	68396133
1064172	3636	1997-05-13	VYDAJ	PREVOD NA UCET	1731	59185	 	IJ	68396133
1064173	3636	1997-06-13	VYDAJ	PREVOD NA UCET	1731	69632	 	IJ	68396133
1064174	3636	1997-07-13	VYDAJ	PREVOD NA UCET	1731	44587	 	IJ	68396133
1064175	3636	1997-08-13	VYDAJ	PREVOD NA UCET	1731	57042	 	IJ	68396133
1064176	3636	1997-09-13	VYDAJ	PREVOD NA UCET	1731	60078	 	IJ	68396133
1064177	3636	1997-10-13	VYDAJ	PREVOD NA UCET	1731	61217	 	IJ	68396133
1064178	3636	1997-11-13	VYDAJ	PREVOD NA UCET	1731	60862	 	IJ	68396133
1064179	3636	1997-12-13	VYDAJ	PREVOD NA UCET	1731	63449	 	IJ	68396133
1064180	3636	1998-01-13	VYDAJ	PREVOD NA UCET	1731	62896	 	IJ	68396133
1064181	3636	1998-02-13	VYDAJ	PREVOD NA UCET	1731	46656	 	IJ	68396133
1064182	3636	1998-03-13	VYDAJ	PREVOD NA UCET	1731	56233	 	IJ	68396133
1064183	3636	1998-04-13	VYDAJ	PREVOD NA UCET	1731	58279	 	IJ	68396133
1064184	3636	1998-05-13	VYDAJ	PREVOD NA UCET	1731	59544	 	IJ	68396133
1064185	3636	1998-06-13	VYDAJ	PREVOD NA UCET	1731	62753	 	IJ	68396133
1064186	3636	1998-07-13	VYDAJ	PREVOD NA UCET	1731	40412	 	IJ	68396133
1064187	3636	1998-08-13	VYDAJ	PREVOD NA UCET	1731	51744	 	IJ	68396133
1064188	3636	1998-09-13	VYDAJ	PREVOD NA UCET	1731	57043	 	IJ	68396133
1064189	3636	1998-10-13	VYDAJ	PREVOD NA UCET	1731	65265	 	IJ	68396133
1064190	3636	1998-11-13	VYDAJ	PREVOD NA UCET	1731	67319	 	IJ	68396133
1064191	3636	1998-12-13	VYDAJ	PREVOD NA UCET	1731	76092	 	IJ	68396133
1064201	3636	1994-10-12	VYDAJ	PREVOD NA UCET	4744	38755	POJISTNE	EF	19441080
1064202	3636	1994-11-12	VYDAJ	PREVOD NA UCET	4744	35283	POJISTNE	EF	19441080
1064203	3636	1994-12-12	VYDAJ	PREVOD NA UCET	4744	35243	POJISTNE	EF	19441080
1064204	3636	1995-01-12	VYDAJ	PREVOD NA UCET	4744	32634	POJISTNE	EF	19441080
1064205	3636	1995-02-12	VYDAJ	PREVOD NA UCET	4744	21578	POJISTNE	EF	19441080
1064206	3636	1995-03-12	VYDAJ	PREVOD NA UCET	4744	29857	POJISTNE	EF	19441080
1064207	3636	1995-04-12	VYDAJ	PREVOD NA UCET	4744	31767	POJISTNE	EF	19441080
1064208	3636	1995-05-12	VYDAJ	PREVOD NA UCET	4744	30491	POJISTNE	EF	19441080
1064209	3636	1995-06-12	VYDAJ	PREVOD NA UCET	4744	39909	POJISTNE	EF	19441080
1064210	3636	1995-07-12	VYDAJ	PREVOD NA UCET	4744	39538	POJISTNE	EF	19441080
1064211	3636	1995-08-12	VYDAJ	PREVOD NA UCET	4744	38571	POJISTNE	EF	19441080
1064212	3636	1995-09-12	VYDAJ	PREVOD NA UCET	4744	39506	POJISTNE	EF	19441080
1064213	3636	1995-10-12	VYDAJ	PREVOD NA UCET	4744	40468	POJISTNE	EF	19441080
1064214	3636	1995-11-12	VYDAJ	PREVOD NA UCET	4744	42920	POJISTNE	EF	19441080
1064215	3636	1995-12-12	VYDAJ	PREVOD NA UCET	4744	46878	POJISTNE	EF	19441080
1064216	3636	1996-01-12	VYDAJ	PREVOD NA UCET	4744	35774	POJISTNE	EF	19441080
1064217	3636	1996-02-12	VYDAJ	PREVOD NA UCET	4744	28787	POJISTNE	EF	19441080
1064218	3636	1996-03-12	VYDAJ	PREVOD NA UCET	4744	30418	POJISTNE	EF	19441080
1064219	3636	1996-04-12	VYDAJ	PREVOD NA UCET	4744	32373	POJISTNE	EF	19441080
1064220	3636	1996-05-12	VYDAJ	PREVOD NA UCET	4744	39581	POJISTNE	EF	19441080
1064221	3636	1996-06-12	VYDAJ	PREVOD NA UCET	4744	41928	POJISTNE	EF	19441080
1064222	3636	1996-07-12	VYDAJ	PREVOD NA UCET	4744	36577	POJISTNE	EF	19441080
1064223	3636	1996-08-12	VYDAJ	PREVOD NA UCET	4744	42905	POJISTNE	EF	19441080
1064224	3636	1996-09-12	VYDAJ	PREVOD NA UCET	4744	50462	POJISTNE	EF	19441080
1064225	3636	1996-10-12	VYDAJ	PREVOD NA UCET	4744	50487	POJISTNE	EF	19441080
1064226	3636	1996-11-12	VYDAJ	PREVOD NA UCET	4744	51577	POJISTNE	EF	19441080
1064227	3636	1996-12-12	VYDAJ	PREVOD NA UCET	4744	57986	POJISTNE	EF	19441080
1064228	3636	1997-01-12	VYDAJ	PREVOD NA UCET	4744	39785	POJISTNE	EF	19441080
1064229	3636	1997-02-12	VYDAJ	PREVOD NA UCET	4744	47414	POJISTNE	EF	19441080
1064230	3636	1997-03-12	VYDAJ	PREVOD NA UCET	4744	50304	POJISTNE	EF	19441080
1064231	3636	1997-04-12	VYDAJ	PREVOD NA UCET	4744	58297	POJISTNE	EF	19441080
1064232	3636	1997-05-12	VYDAJ	PREVOD NA UCET	4744	60916	POJISTNE	EF	19441080
1064233	3636	1997-06-12	VYDAJ	PREVOD NA UCET	4744	71363	POJISTNE	EF	19441080
1064234	3636	1997-07-12	VYDAJ	PREVOD NA UCET	4744	46318	POJISTNE	EF	19441080
1064235	3636	1997-08-12	VYDAJ	PREVOD NA UCET	4744	58773	POJISTNE	EF	19441080
1064236	3636	1997-09-12	VYDAJ	PREVOD NA UCET	4744	61809	POJISTNE	EF	19441080
1064237	3636	1997-10-12	VYDAJ	PREVOD NA UCET	4744	62948	POJISTNE	EF	19441080
1064238	3636	1997-11-12	VYDAJ	PREVOD NA UCET	4744	62593	POJISTNE	EF	19441080
1064239	3636	1997-12-12	VYDAJ	PREVOD NA UCET	4744	65180	POJISTNE	EF	19441080
1064240	3636	1998-01-12	VYDAJ	PREVOD NA UCET	4744	64627	POJISTNE	EF	19441080
1064241	3636	1998-02-12	VYDAJ	PREVOD NA UCET	4744	48387	POJISTNE	EF	19441080
1064242	3636	1998-03-12	VYDAJ	PREVOD NA UCET	4744	57964	POJISTNE	EF	19441080
1064243	3636	1998-04-12	VYDAJ	PREVOD NA UCET	4744	60010	POJISTNE	EF	19441080
1064244	3636	1998-05-12	VYDAJ	PREVOD NA UCET	4744	61275	POJISTNE	EF	19441080
1064245	3636	1998-06-12	VYDAJ	PREVOD NA UCET	4744	64484	POJISTNE	EF	19441080
1064246	3636	1998-07-12	VYDAJ	PREVOD NA UCET	4744	42143	POJISTNE	EF	19441080
1064247	3636	1998-08-12	VYDAJ	PREVOD NA UCET	4744	53475	POJISTNE	EF	19441080
1064248	3636	1998-09-12	VYDAJ	PREVOD NA UCET	4744	58774	POJISTNE	EF	19441080
1064249	3636	1998-10-12	VYDAJ	PREVOD NA UCET	4744	66996	POJISTNE	EF	19441080
1064250	3636	1998-11-12	VYDAJ	PREVOD NA UCET	4744	69050	POJISTNE	EF	19441080
1064251	3636	1998-12-12	VYDAJ	PREVOD NA UCET	4744	77823	POJISTNE	EF	19441080
1064254	3636	1996-06-27	VYDAJ	VYBER	12800	27357	\N	\N	\N
1064255	3636	1997-06-19	VYDAJ	VYBER	45440	24152	\N	\N	\N
1064256	3636	1998-06-29	VYDAJ	VYBER	43680	19033	\N	\N	\N
1064258	3636	1995-01-29	VYDAJ	VYBER	6880	18683	\N	\N	\N
1064259	3636	1996-01-04	VYDAJ	VYBER	9760	28998	\N	\N	\N
1064260	3636	1997-01-11	VYDAJ	VYBER	14080	44529	\N	\N	\N
1064261	3636	1998-01-24	VYDAJ	VYBER	14080	41096	\N	\N	\N
1064262	3636	1994-12-14	VYDAJ	VYBER	2880	30592	\N	\N	\N
1064263	3636	1995-12-04	VYDAJ	VYBER	800	36892	\N	\N	\N
1064264	3636	1996-12-05	VYDAJ	VYBER	1600	48400	\N	\N	\N
1064265	3636	1997-12-05	VYDAJ	VYBER	800	55194	\N	\N	\N
1064266	3636	1998-12-29	VYDAJ	VYBER	2400	63572	\N	\N	\N
1064273	3636	1995-01-11	VYDAJ	VYBER	840	37378	\N	\N	\N
1064274	3636	1995-01-14	VYDAJ	VYBER	2760	26183	\N	\N	\N
1064275	3636	1995-01-29	VYDAJ	VYBER	1440	16403	\N	\N	\N
1064276	3636	1995-01-25	VYDAJ	VYBER	2520	25563	\N	\N	\N
1064277	3636	1995-01-29	VYDAJ	VYBER	840	17843	\N	\N	\N
1064278	3636	1995-01-13	VYDAJ	VYBER	1920	28983	\N	\N	\N
1064279	3636	1996-01-13	VYDAJ	VYBER	2520	29483	\N	\N	\N
1064280	3636	1996-01-18	VYDAJ	VYBER	3360	23563	\N	\N	\N
1064281	3636	1996-01-26	VYDAJ	VYBER	2160	21403	\N	\N	\N
1064282	3636	1996-01-15	VYDAJ	VYBER	2520	26923	\N	\N	\N
1064283	3636	1996-01-10	VYDAJ	VYBER	3000	35818	\N	\N	\N
1064284	3636	1996-01-12	VYDAJ	VYBER	2040	33734	\N	\N	\N
1064285	3636	1997-01-27	VYDAJ	VYBER	1320	36694	\N	\N	\N
1064286	3636	1997-01-05	VYDAJ	VYBER	1680	52589	\N	\N	\N
1064287	3636	1997-01-05	VYDAJ	VYBER	2880	49709	\N	\N	\N
1064288	3636	1997-01-03	VYDAJ	VYBER	2160	54269	\N	\N	\N
1064289	3636	1997-01-08	VYDAJ	VYBER	720	48789	\N	\N	\N
1064290	3636	1997-01-27	VYDAJ	VYBER	2520	34174	\N	\N	\N
1064291	3636	1998-01-28	VYDAJ	VYBER	2520	35696	\N	\N	\N
1064292	3636	1998-01-26	VYDAJ	VYBER	2160	38936	\N	\N	\N
1064293	3636	1998-01-28	VYDAJ	VYBER	720	38216	\N	\N	\N
1064294	3636	1998-01-16	VYDAJ	VYBER	3480	56616	\N	\N	\N
1064295	3636	1998-01-21	VYDAJ	VYBER	1440	55176	\N	\N	\N
1064296	3636	1998-01-13	VYDAJ	VYBER	2760	60136	\N	\N	\N
1064297	3636	1994-11-30	VYDAJ	VYBER	1440	25257	\N	\N	\N
1064298	3636	1994-11-13	VYDAJ	VYBER	3720	29832	\N	\N	\N
1064302	3636	1995-03-30	VYDAJ	VYBER	4200	26586	\N	\N	\N
1064303	3636	1995-04-21	VYDAJ	VYBER	5280	25316	\N	\N	\N
1064304	3636	1995-03-11	VYDAJ	VYBER	1200	34601	\N	\N	\N
1064305	3636	1995-10-02	VYDAJ	VYBER	1080	35392	\N	\N	\N
1064306	3636	1995-08-28	VYDAJ	VYBER	600	34300	\N	\N	\N
1064307	3636	1996-03-05	VYDAJ	VYBER	4680	17142	\N	\N	\N
1064308	3636	1996-09-28	VYDAJ	VYBER	5760	42931	\N	\N	\N
1064309	3636	1996-03-22	VYDAJ	VYBER	4440	24207	\N	\N	\N
1064310	3636	1996-02-23	VYDAJ	VYBER	5280	21736	\N	\N	\N
1064311	3636	1996-04-16	VYDAJ	VYBER	840	29762	\N	\N	\N
1064312	3636	1996-04-29	VYDAJ	VYBER	960	28802	\N	\N	\N
1064313	3636	1997-09-02	VYDAJ	VYBER	1080	56133	\N	\N	\N
1064314	3636	1997-11-19	VYDAJ	VYBER	5160	55662	\N	\N	\N
1064315	3636	1997-05-09	VYDAJ	VYBER	2400	65660	\N	\N	\N
1064316	3636	1997-03-12	VYDAJ	VYBER	2880	55048	\N	\N	\N
1064317	3636	1998-03-18	VYDAJ	VYBER	5160	51033	\N	\N	\N
1064318	3636	1998-12-21	VYDAJ	VYBER	3480	72572	\N	\N	\N
1064319	3636	1998-05-11	VYDAJ	VYBER	2160	66019	\N	\N	\N
1064320	3636	1998-07-25	VYDAJ	VYBER	1320	39052	\N	\N	\N
1064321	3636	1998-06-08	VYDAJ	VYBER	3240	54498	\N	\N	\N
1064332	3636	1994-10-31	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
1064333	3636	1994-11-30	VYDAJ	VYBER	15	26697	SLUZBY	\N	\N
1064334	3636	1994-12-31	VYDAJ	VYBER	15	28398	SLUZBY	\N	\N
1064335	3636	1995-01-31	VYDAJ	VYBER	15	16502	SLUZBY	\N	\N
1064336	3636	1995-02-28	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
1064337	3636	1995-03-31	VYDAJ	VYBER	15	26691	SLUZBY	\N	\N
1064338	3636	1995-04-30	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
1064339	3636	1995-05-31	VYDAJ	VYBER	15	29923	SLUZBY	\N	\N
1064340	3636	1995-06-30	VYDAJ	VYBER	15	34462	SLUZBY	\N	\N
1064341	3636	1995-07-31	VYDAJ	VYBER	15	33495	SLUZBY	\N	\N
1064342	3636	1995-08-31	VYDAJ	VYBER	15	34430	SLUZBY	\N	\N
1064343	3636	1995-09-30	VYDAJ	VYBER	15	36472	SLUZBY	\N	\N
1064344	3636	1995-10-31	VYDAJ	VYBER	15	37844	SLUZBY	\N	\N
1064345	3636	1995-11-30	VYDAJ	VYBER	15	37692	SLUZBY	\N	\N
1064346	3636	1995-12-31	VYDAJ	VYBER	15	38758	SLUZBY	\N	\N
1064347	3636	1996-01-31	VYDAJ	VYBER	15	21511	SLUZBY	\N	\N
1064348	3636	1996-02-29	VYDAJ	VYBER	15	21822	SLUZBY	\N	\N
1064349	3636	1996-03-31	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
1064350	3636	1996-04-30	VYDAJ	VYBER	15	28905	SLUZBY	\N	\N
1064351	3636	1996-05-31	VYDAJ	VYBER	15	37942	SLUZBY	\N	\N
1064352	3636	1996-06-30	VYDAJ	VYBER	15	27501	SLUZBY	\N	\N
1064353	3636	1996-07-31	VYDAJ	VYBER	15	34929	SLUZBY	\N	\N
1064354	3636	1996-08-31	VYDAJ	VYBER	15	41286	SLUZBY	\N	\N
1064355	3636	1996-09-30	VYDAJ	VYBER	15	43111	SLUZBY	\N	\N
1064356	3636	1996-10-31	VYDAJ	VYBER	15	48901	SLUZBY	\N	\N
1064357	3636	1996-11-30	VYDAJ	VYBER	15	50000	SLUZBY	\N	\N
1064358	3636	1996-12-31	VYDAJ	VYBER	15	56429	SLUZBY	\N	\N
1064359	3636	1997-01-31	VYDAJ	VYBER	15	34338	SLUZBY	\N	\N
1064360	3636	1997-02-28	VYDAJ	VYBER	15	45808	SLUZBY	\N	\N
1064361	3636	1997-03-31	VYDAJ	VYBER	15	48721	SLUZBY	\N	\N
1064362	3636	1997-04-30	VYDAJ	VYBER	15	56740	SLUZBY	\N	\N
1064363	3636	1997-05-31	VYDAJ	VYBER	15	59377	SLUZBY	\N	\N
1064364	3636	1997-06-30	VYDAJ	VYBER	15	24342	SLUZBY	\N	\N
1064365	3636	1997-07-31	VYDAJ	VYBER	15	44697	SLUZBY	\N	\N
1064366	3636	1997-08-31	VYDAJ	VYBER	15	57213	SLUZBY	\N	\N
1064367	3636	1997-09-30	VYDAJ	VYBER	15	60272	SLUZBY	\N	\N
1064368	3636	1997-10-31	VYDAJ	VYBER	15	61417	SLUZBY	\N	\N
1064369	3636	1997-11-30	VYDAJ	VYBER	15	55894	SLUZBY	\N	\N
1064370	3636	1997-12-31	VYDAJ	VYBER	15	63651	SLUZBY	\N	\N
1064371	3636	1998-01-31	VYDAJ	VYBER	15	43311	SLUZBY	\N	\N
1064372	3636	1998-02-28	VYDAJ	VYBER	15	46788	SLUZBY	\N	\N
1064373	3636	1998-03-31	VYDAJ	VYBER	15	51234	SLUZBY	\N	\N
1064374	3636	1998-04-30	VYDAJ	VYBER	15	58459	SLUZBY	\N	\N
1064375	3636	1998-05-31	VYDAJ	VYBER	15	59738	SLUZBY	\N	\N
1064376	3636	1998-06-30	VYDAJ	VYBER	15	37067	SLUZBY	\N	\N
1064377	3636	1998-07-31	VYDAJ	VYBER	15	48399	SLUZBY	\N	\N
1064378	3636	1998-08-31	VYDAJ	VYBER	15	53698	SLUZBY	\N	\N
1064379	3636	1998-09-30	VYDAJ	VYBER	15	61920	SLUZBY	\N	\N
1064380	3636	1998-10-31	VYDAJ	VYBER	15	63974	SLUZBY	\N	\N
1064381	3636	1998-11-30	VYDAJ	VYBER	15	67837	SLUZBY	\N	\N
1064382	3636	1994-06-21	PRIJEM	VKLAD	5900	21330	\N	\N	\N
1064383	3636	1994-07-21	VYDAJ	VYBER	3200	27980	\N	\N	\N
1064384	3636	1994-08-20	VYDAJ	VYBER	5500	32398	\N	\N	\N
1064385	3636	1994-09-19	VYDAJ	VYBER	8800	33542	\N	\N	\N
1064386	3636	1994-10-19	VYDAJ	VYBER	6900	30084	\N	\N	\N
1064387	3636	1994-11-18	VYDAJ	VYBER	3200	26592	\N	\N	\N
1064388	3636	1994-12-18	VYDAJ	VYBER	2300	28292	\N	\N	\N
1064389	3636	1995-01-17	PRIJEM	VKLAD	1900	28083	\N	\N	\N
1064390	3636	1995-02-16	PRIJEM	VKLAD	6100	25907	\N	\N	\N
1064391	3636	1995-03-18	PRIJEM	VKLAD	2700	30786	\N	\N	\N
1064392	3636	1995-04-17	PRIJEM	VKLAD	600	30596	\N	\N	\N
1064393	3636	1995-05-17	PRIJEM	VKLAD	1100	29820	\N	\N	\N
1064394	3636	1995-06-16	VYDAJ	VYBER	3800	34338	\N	\N	\N
1064395	3636	1995-07-16	VYDAJ	VYBER	4400	33367	\N	\N	\N
1064396	3636	1995-08-15	VYDAJ	VYBER	1900	34900	\N	\N	\N
1064397	3636	1995-09-14	VYDAJ	VYBER	1400	36335	\N	\N	\N
1064398	3636	1995-10-14	VYDAJ	VYBER	1000	37697	\N	\N	\N
1064399	3636	1995-11-13	VYDAJ	VYBER	3600	39320	\N	\N	\N
1064400	3636	1995-12-13	VYDAJ	VYBER	6500	40378	\N	\N	\N
1064401	3636	1996-01-12	PRIJEM	VKLAD	4700	40518	\N	\N	\N
1064402	3636	1996-02-11	PRIJEM	VKLAD	2200	33531	\N	\N	\N
1064403	3636	1996-03-12	PRIJEM	VKLAD	8200	35162	\N	\N	\N
1064404	3636	1996-04-11	PRIJEM	VKLAD	3000	37117	\N	\N	\N
1064405	3636	1996-05-11	PRIJEM	VKLAD	5600	44325	\N	\N	\N
1064406	3636	1996-06-10	VYDAJ	VYBER	6000	46672	\N	\N	\N
1064407	3636	1996-07-10	PRIJEM	VKLAD	4000	41321	\N	\N	\N
1064408	3636	1996-08-09	PRIJEM	VKLAD	2900	47649	\N	\N	\N
1064409	3636	1996-09-08	PRIJEM	VKLAD	4100	45386	\N	\N	\N
1064410	3636	1996-10-08	PRIJEM	VKLAD	2300	45411	\N	\N	\N
1064411	3636	1996-11-07	VYDAJ	VYBER	2400	46501	\N	\N	\N
1064412	3636	1996-12-07	VYDAJ	VYBER	400	48000	\N	\N	\N
1064413	3636	1997-01-06	VYDAJ	VYBER	200	49509	\N	\N	\N
1064414	3636	1997-02-05	PRIJEM	VKLAD	8000	42338	\N	\N	\N
1064415	3636	1997-03-07	PRIJEM	VKLAD	2300	48108	\N	\N	\N
1064416	3636	1997-04-06	PRIJEM	VKLAD	4500	53221	\N	\N	\N
1064417	3636	1997-05-06	PRIJEM	VKLAD	1500	58240	\N	\N	\N
1064418	3636	1997-06-05	PRIJEM	VKLAD	2000	61377	\N	\N	\N
1064419	3636	1997-07-05	PRIJEM	VKLAD	16900	41242	\N	\N	\N
1064420	3636	1997-08-04	PRIJEM	VKLAD	9000	53697	\N	\N	\N
1064421	3636	1997-09-03	PRIJEM	VKLAD	600	56733	\N	\N	\N
1064422	3636	1997-10-03	VYDAJ	VYBER	2400	57872	\N	\N	\N
1064423	3636	1997-11-02	VYDAJ	VYBER	3900	57517	\N	\N	\N
1064424	3636	1997-12-02	PRIJEM	VKLAD	100	55994	\N	\N	\N
1064425	3636	1998-01-01	VYDAJ	VYBER	4100	59551	\N	\N	\N
1064426	3636	1998-01-31	PRIJEM	VKLAD	7400	43096	\N	\N	\N
1064427	3636	1998-03-02	PRIJEM	VKLAD	6100	52888	\N	\N	\N
1064428	3636	1998-04-01	PRIJEM	VKLAD	3700	54934	\N	\N	\N
1064429	3636	1998-05-01	VYDAJ	VYBER	100	58359	\N	\N	\N
1064430	3636	1998-05-31	VYDAJ	VYBER	2000	57738	\N	\N	\N
1064431	3636	1998-06-30	PRIJEM	VKLAD	17800	37081	\N	\N	\N
1064432	3636	1998-07-30	PRIJEM	VKLAD	9200	48252	\N	\N	\N
1064433	3636	1998-08-29	PRIJEM	VKLAD	1800	53504	\N	\N	\N
1064434	3636	1998-09-28	PRIJEM	VKLAD	4700	61703	\N	\N	\N
1064435	3636	1998-10-28	VYDAJ	VYBER	1500	63725	\N	\N	\N
1064436	3636	1998-11-27	PRIJEM	VKLAD	300	67579	\N	\N	\N
1064437	3636	1998-12-27	VYDAJ	VYBER	6600	65972	\N	\N	\N
1064493	3637	1995-10-28	PRIJEM	VKLAD	400	400	\N	\N	\N
1064504	3637	1995-11-08	PRIJEM	VKLAD	15976	16376	\N	\N	\N
1064505	3637	1995-12-08	PRIJEM	VKLAD	23964	47553	\N	\N	\N
1064506	3637	1996-01-08	PRIJEM	VKLAD	15976	51936	\N	\N	\N
1064507	3637	1996-02-08	PRIJEM	VKLAD	15976	56965	\N	\N	\N
1064508	3637	1996-03-08	PRIJEM	VKLAD	15976	58612	\N	\N	\N
1064509	3637	1996-04-08	PRIJEM	VKLAD	15976	56379	\N	\N	\N
1064510	3637	1996-05-08	PRIJEM	VKLAD	15976	58543	\N	\N	\N
1064511	3637	1996-06-08	PRIJEM	VKLAD	23964	49357	\N	\N	\N
1064512	3637	1996-07-08	PRIJEM	VKLAD	15976	57525	\N	\N	\N
1064513	3637	1996-08-08	PRIJEM	VKLAD	15976	57434	\N	\N	\N
1064514	3637	1996-09-08	PRIJEM	VKLAD	15976	59600	\N	\N	\N
1064515	3637	1996-10-08	PRIJEM	VKLAD	15976	61266	\N	\N	\N
1064516	3637	1996-11-08	PRIJEM	VKLAD	15976	62640	\N	\N	\N
1064517	3637	1996-12-08	PRIJEM	VKLAD	23964	75211	\N	\N	\N
1064518	3637	1997-01-08	PRIJEM	VKLAD	15976	66318	\N	\N	\N
1064519	3637	1997-02-08	PRIJEM	VKLAD	15976	55945	\N	\N	\N
1064520	3637	1997-03-08	PRIJEM	VKLAD	15976	65105	\N	\N	\N
1064521	3637	1997-04-08	PRIJEM	VKLAD	15976	68896	\N	\N	\N
1064522	3637	1997-05-08	PRIJEM	VKLAD	15976	65417	\N	\N	\N
1064523	3637	1997-06-08	PRIJEM	VKLAD	23964	75383	\N	\N	\N
1064524	3637	1997-07-08	PRIJEM	VKLAD	15976	57902	\N	\N	\N
1064525	3637	1997-08-08	PRIJEM	VKLAD	15976	67271	\N	\N	\N
1064526	3637	1997-09-08	PRIJEM	VKLAD	15976	67761	\N	\N	\N
1064527	3637	1997-10-08	PRIJEM	VKLAD	15976	68584	\N	\N	\N
1064528	3637	1997-11-08	PRIJEM	VKLAD	15976	72816	\N	\N	\N
1064529	3637	1997-12-08	PRIJEM	VKLAD	23964	84152	\N	\N	\N
1064530	3637	1998-01-08	PRIJEM	VKLAD	15976	71830	\N	\N	\N
1064531	3637	1998-02-08	PRIJEM	VKLAD	15976	63694	\N	\N	\N
1064532	3637	1998-03-08	PRIJEM	VKLAD	15976	69507	\N	\N	\N
1064533	3637	1998-04-08	PRIJEM	VKLAD	15976	71559	\N	\N	\N
1064534	3637	1998-05-08	PRIJEM	VKLAD	15976	77004	\N	\N	\N
1064535	3637	1998-06-08	PRIJEM	VKLAD	23964	66975	\N	\N	\N
1064536	3637	1998-07-08	PRIJEM	VKLAD	15976	71716	\N	\N	\N
1064537	3637	1998-08-08	PRIJEM	VKLAD	15976	73954	\N	\N	\N
1064538	3637	1998-09-08	PRIJEM	VKLAD	15976	68017	\N	\N	\N
1064539	3637	1998-10-08	PRIJEM	VKLAD	15976	77033	\N	\N	\N
1064540	3637	1998-11-08	PRIJEM	VKLAD	15976	80164	\N	\N	\N
1064541	3637	1998-12-08	PRIJEM	VKLAD	23964	88924	\N	\N	\N
1064556	3637	1996-03-11	VYDAJ	PREVOD NA UCET	4877	52716	SIPO	YZ	98685901
1064557	3637	1996-04-11	VYDAJ	PREVOD NA UCET	4877	51283	SIPO	YZ	98685901
1064558	3637	1996-05-11	VYDAJ	PREVOD NA UCET	4877	53447	SIPO	YZ	98685901
1064559	3637	1996-06-11	VYDAJ	PREVOD NA UCET	4877	43161	SIPO	YZ	98685901
1064560	3637	1996-07-11	VYDAJ	PREVOD NA UCET	4877	52429	SIPO	YZ	98685901
1064561	3637	1996-08-11	VYDAJ	PREVOD NA UCET	4877	51238	SIPO	YZ	98685901
1064562	3637	1996-09-11	VYDAJ	PREVOD NA UCET	4877	54504	SIPO	YZ	98685901
1064563	3637	1996-10-11	VYDAJ	PREVOD NA UCET	4877	56170	SIPO	YZ	98685901
1064564	3637	1996-11-11	VYDAJ	PREVOD NA UCET	4877	57544	SIPO	YZ	98685901
1064565	3637	1996-12-11	VYDAJ	PREVOD NA UCET	4877	70115	SIPO	YZ	98685901
1064566	3637	1997-01-11	VYDAJ	PREVOD NA UCET	4877	61222	SIPO	YZ	98685901
1064567	3637	1997-02-11	VYDAJ	PREVOD NA UCET	4877	50849	SIPO	YZ	98685901
1064568	3637	1997-03-11	VYDAJ	PREVOD NA UCET	4877	60009	SIPO	YZ	98685901
1064569	3637	1997-04-11	VYDAJ	PREVOD NA UCET	4877	62900	SIPO	YZ	98685901
1064570	3637	1997-05-11	VYDAJ	PREVOD NA UCET	4877	60321	SIPO	YZ	98685901
1064571	3637	1997-06-11	VYDAJ	PREVOD NA UCET	4877	70287	SIPO	YZ	98685901
1064572	3637	1997-07-11	VYDAJ	PREVOD NA UCET	4877	51906	SIPO	YZ	98685901
1064573	3637	1997-08-11	VYDAJ	PREVOD NA UCET	4877	62175	SIPO	YZ	98685901
1064574	3637	1997-09-11	VYDAJ	PREVOD NA UCET	4877	62665	SIPO	YZ	98685901
1064575	3637	1997-10-11	VYDAJ	PREVOD NA UCET	4877	63488	SIPO	YZ	98685901
1064576	3637	1997-11-11	VYDAJ	PREVOD NA UCET	4877	67720	SIPO	YZ	98685901
1064577	3637	1997-12-11	VYDAJ	PREVOD NA UCET	4877	79056	SIPO	YZ	98685901
1064578	3637	1998-01-11	VYDAJ	PREVOD NA UCET	4877	63254	SIPO	YZ	98685901
1064579	3637	1998-02-11	VYDAJ	PREVOD NA UCET	4877	58598	SIPO	YZ	98685901
1064580	3637	1998-03-11	VYDAJ	PREVOD NA UCET	4877	64411	SIPO	YZ	98685901
1064581	3637	1998-04-11	VYDAJ	PREVOD NA UCET	4877	66463	SIPO	YZ	98685901
1064582	3637	1998-05-11	VYDAJ	PREVOD NA UCET	4877	71908	SIPO	YZ	98685901
1064583	3637	1998-06-11	VYDAJ	PREVOD NA UCET	4877	61879	SIPO	YZ	98685901
1064584	3637	1998-07-11	VYDAJ	PREVOD NA UCET	4877	66620	SIPO	YZ	98685901
1064585	3637	1998-08-11	VYDAJ	PREVOD NA UCET	4877	68858	SIPO	YZ	98685901
1064586	3637	1998-09-11	VYDAJ	PREVOD NA UCET	4877	62921	SIPO	YZ	98685901
1064587	3637	1998-10-11	VYDAJ	PREVOD NA UCET	4877	71937	SIPO	YZ	98685901
1064588	3637	1998-11-11	VYDAJ	PREVOD NA UCET	4877	75068	SIPO	YZ	98685901
1064589	3637	1998-12-11	VYDAJ	PREVOD NA UCET	4877	83828	SIPO	YZ	98685901
1064604	3637	1996-03-10	VYDAJ	PREVOD NA UCET	219	57593	 	ST	57452273
1064605	3637	1996-04-10	VYDAJ	PREVOD NA UCET	219	56160	 	ST	57452273
1064606	3637	1996-05-10	VYDAJ	PREVOD NA UCET	219	58324	 	ST	57452273
1064607	3637	1996-06-10	VYDAJ	PREVOD NA UCET	219	48038	 	ST	57452273
1064608	3637	1996-07-10	VYDAJ	PREVOD NA UCET	219	57306	 	ST	57452273
1064609	3637	1996-08-10	VYDAJ	PREVOD NA UCET	219	56115	 	ST	57452273
1064610	3637	1996-09-10	VYDAJ	PREVOD NA UCET	219	59381	 	ST	57452273
1064611	3637	1996-10-10	VYDAJ	PREVOD NA UCET	219	61047	 	ST	57452273
1064612	3637	1996-11-10	VYDAJ	PREVOD NA UCET	219	62421	 	ST	57452273
1064613	3637	1996-12-10	VYDAJ	PREVOD NA UCET	219	74992	 	ST	57452273
1064614	3637	1997-01-10	VYDAJ	PREVOD NA UCET	219	66099	 	ST	57452273
1064615	3637	1997-02-10	VYDAJ	PREVOD NA UCET	219	55726	 	ST	57452273
1064616	3637	1997-03-10	VYDAJ	PREVOD NA UCET	219	64886	 	ST	57452273
1064617	3637	1997-04-10	VYDAJ	PREVOD NA UCET	219	67777	 	ST	57452273
1064618	3637	1997-05-10	VYDAJ	PREVOD NA UCET	219	65198	 	ST	57452273
1064619	3637	1997-06-10	VYDAJ	PREVOD NA UCET	219	75164	 	ST	57452273
1064620	3637	1997-07-10	VYDAJ	PREVOD NA UCET	219	56783	 	ST	57452273
1064621	3637	1997-08-10	VYDAJ	PREVOD NA UCET	219	67052	 	ST	57452273
1064622	3637	1997-09-10	VYDAJ	PREVOD NA UCET	219	67542	 	ST	57452273
1064623	3637	1997-10-10	VYDAJ	PREVOD NA UCET	219	68365	 	ST	57452273
1064624	3637	1997-11-10	VYDAJ	PREVOD NA UCET	219	72597	 	ST	57452273
1064625	3637	1997-12-10	VYDAJ	PREVOD NA UCET	219	83933	 	ST	57452273
1064626	3637	1998-01-10	VYDAJ	PREVOD NA UCET	219	71611	 	ST	57452273
1064627	3637	1998-02-10	VYDAJ	PREVOD NA UCET	219	63475	 	ST	57452273
1064628	3637	1998-03-10	VYDAJ	PREVOD NA UCET	219	69288	 	ST	57452273
1064629	3637	1998-04-10	VYDAJ	PREVOD NA UCET	219	71340	 	ST	57452273
1064630	3637	1998-05-10	VYDAJ	PREVOD NA UCET	219	76785	 	ST	57452273
1064631	3637	1998-06-10	VYDAJ	PREVOD NA UCET	219	66756	 	ST	57452273
1064632	3637	1998-07-10	VYDAJ	PREVOD NA UCET	219	71497	 	ST	57452273
1064633	3637	1998-08-10	VYDAJ	PREVOD NA UCET	219	73735	 	ST	57452273
1064634	3637	1998-09-10	VYDAJ	PREVOD NA UCET	219	67798	 	ST	57452273
1064635	3637	1998-10-10	VYDAJ	PREVOD NA UCET	219	76814	 	ST	57452273
1064636	3637	1998-11-10	VYDAJ	PREVOD NA UCET	219	79945	 	ST	57452273
1064637	3637	1998-12-10	VYDAJ	PREVOD NA UCET	219	88705	 	ST	57452273
1064652	3637	1996-03-09	VYDAJ	VYBER	800	57812	\N	\N	0
1064653	3637	1996-04-07	VYDAJ	VYBER	1200	40403	\N	\N	0
1064654	3637	1996-05-15	VYDAJ	VYBER	900	52547	\N	\N	0
1064655	3637	1996-06-08	VYDAJ	VYBER	1100	48257	\N	\N	0
1064656	3637	1996-07-19	VYDAJ	VYBER	1200	51229	\N	\N	0
1064657	3637	1996-08-09	VYDAJ	VYBER	1100	56334	\N	\N	0
1064658	3637	1996-09-11	VYDAJ	VYBER	800	53704	\N	\N	0
1064659	3637	1996-10-18	VYDAJ	VYBER	1000	55170	\N	\N	0
1064660	3637	1996-10-31	VYDAJ	VYBER	800	46664	\N	\N	0
1064661	3637	1996-12-13	VYDAJ	VYBER	1300	68815	\N	\N	0
1064662	3637	1997-01-22	VYDAJ	VYBER	1300	50422	\N	\N	0
1064663	3637	1997-01-31	VYDAJ	VYBER	1300	39983	\N	\N	0
1064664	3637	1997-03-16	VYDAJ	VYBER	1000	59009	\N	\N	0
1064665	3637	1997-04-10	VYDAJ	VYBER	900	67996	\N	\N	0
1064666	3637	1997-04-26	VYDAJ	VYBER	900	53300	\N	\N	0
1064667	3637	1997-06-15	VYDAJ	VYBER	1100	69187	\N	\N	0
1064668	3637	1997-07-09	VYDAJ	VYBER	900	57002	\N	\N	0
1064669	3637	1997-08-15	VYDAJ	VYBER	1400	60775	\N	\N	0
1064670	3637	1997-09-12	VYDAJ	PREVOD NA UCET	1169	61496	UVER	MN	80355101
1064671	3637	1997-10-12	VYDAJ	PREVOD NA UCET	1169	62319	UVER	MN	80355101
1064672	3637	1997-11-12	VYDAJ	PREVOD NA UCET	1169	66551	UVER	MN	80355101
1064673	3637	1997-12-12	VYDAJ	PREVOD NA UCET	1169	77887	UVER	MN	80355101
1064674	3637	1998-01-12	VYDAJ	PREVOD NA UCET	1169	59925	UVER	MN	80355101
1064675	3637	1998-02-12	VYDAJ	PREVOD NA UCET	1169	57429	UVER	MN	80355101
1064676	3637	1998-03-12	VYDAJ	PREVOD NA UCET	1169	63242	UVER	MN	80355101
1064677	3637	1998-04-12	VYDAJ	PREVOD NA UCET	1169	65294	UVER	MN	80355101
1064678	3637	1998-05-12	VYDAJ	PREVOD NA UCET	1169	70739	UVER	MN	80355101
1064679	3637	1998-06-12	VYDAJ	PREVOD NA UCET	1169	60710	UVER	MN	80355101
1064680	3637	1998-07-12	VYDAJ	PREVOD NA UCET	1169	65451	UVER	MN	80355101
1064681	3637	1998-08-12	VYDAJ	PREVOD NA UCET	1169	67689	UVER	MN	80355101
1064682	3637	1998-09-01	VYDAJ	VYBER	1300	57921	\N	\N	0
1064683	3637	1998-10-23	VYDAJ	VYBER	1100	64537	\N	\N	0
1064684	3637	1998-11-14	VYDAJ	VYBER	600	69168	\N	\N	0
1064685	3637	1998-12-18	VYDAJ	VYBER	1200	74028	\N	\N	0
1064687	3637	1996-06-02	VYDAJ	VYBER	19040	25393	\N	\N	\N
1064688	3637	1997-06-24	VYDAJ	VYBER	17280	41707	\N	\N	\N
1064689	3637	1998-06-07	VYDAJ	VYBER	21280	43011	\N	\N	\N
1064692	3637	1997-01-18	VYDAJ	VYBER	8640	52582	\N	\N	\N
1064693	3637	1998-01-19	VYDAJ	VYBER	7200	48345	\N	\N	\N
1064695	3637	1996-12-22	VYDAJ	VYBER	2400	53355	\N	\N	\N
1064696	3637	1997-12-21	VYDAJ	VYBER	4480	57407	\N	\N	\N
1064697	3637	1998-12-01	VYDAJ	VYBER	4480	64960	\N	\N	\N
1064710	3637	1997-01-23	VYDAJ	VYBER	3480	46942	\N	\N	\N
1064711	3637	1997-01-26	VYDAJ	VYBER	1200	43102	\N	\N	\N
1064712	3637	1997-01-28	VYDAJ	VYBER	2040	41062	\N	\N	\N
1064713	3637	1997-01-25	VYDAJ	VYBER	2640	44302	\N	\N	\N
1064714	3637	1997-01-03	VYDAJ	VYBER	3240	50342	\N	\N	\N
1064715	3637	1997-01-19	VYDAJ	VYBER	2160	50422	\N	\N	\N
1064716	3637	1998-01-11	VYDAJ	VYBER	2160	61094	\N	\N	\N
1064717	3637	1998-01-13	VYDAJ	VYBER	1680	58245	\N	\N	\N
1064718	3637	1998-01-05	VYDAJ	VYBER	1800	55854	\N	\N	\N
1064719	3637	1998-01-19	VYDAJ	VYBER	600	55545	\N	\N	\N
1064720	3637	1998-01-10	VYDAJ	VYBER	3480	68131	\N	\N	\N
1064721	3637	1998-01-28	VYDAJ	VYBER	840	47505	\N	\N	\N
1064727	3637	1996-07-04	VYDAJ	VYBER	1680	41549	\N	\N	\N
1064728	3637	1996-08-04	VYDAJ	VYBER	3960	41458	\N	\N	\N
1064729	3637	1996-12-18	VYDAJ	VYBER	5160	63655	\N	\N	\N
1064730	3637	1996-09-21	VYDAJ	VYBER	2400	51304	\N	\N	\N
1064731	3637	1997-07-12	VYDAJ	VYBER	1200	50706	\N	\N	\N
1064732	3637	1997-05-05	VYDAJ	VYBER	4080	49441	\N	\N	\N
1064733	3637	1997-05-25	VYDAJ	VYBER	1920	51201	\N	\N	\N
1064734	3637	1998-11-06	VYDAJ	VYBER	600	64188	\N	\N	\N
1064735	3637	1998-09-06	VYDAJ	VYBER	5880	52041	\N	\N	\N
1064736	3637	1998-03-21	VYDAJ	VYBER	1680	55362	\N	\N	\N
1064752	3637	1996-03-31	VYDAJ	VYBER	15	41603	SLUZBY	\N	\N
1064753	3637	1996-04-30	VYDAJ	VYBER	15	42567	SLUZBY	\N	\N
1064754	3637	1996-05-31	VYDAJ	VYBER	15	44433	SLUZBY	\N	\N
1064755	3637	1996-06-30	VYDAJ	VYBER	15	43229	SLUZBY	\N	\N
1064756	3637	1996-07-31	VYDAJ	VYBER	15	45418	SLUZBY	\N	\N
1064757	3637	1996-08-31	VYDAJ	VYBER	15	43624	SLUZBY	\N	\N
1064758	3637	1996-09-30	VYDAJ	VYBER	15	45290	SLUZBY	\N	\N
1064759	3637	1996-10-31	VYDAJ	VYBER	15	47464	SLUZBY	\N	\N
1064760	3637	1996-11-30	VYDAJ	VYBER	15	51247	SLUZBY	\N	\N
1064761	3637	1996-12-31	VYDAJ	VYBER	15	53582	SLUZBY	\N	\N
1064762	3637	1997-01-31	VYDAJ	VYBER	15	39969	SLUZBY	\N	\N
1064763	3637	1997-02-28	VYDAJ	VYBER	15	49129	SLUZBY	\N	\N
1064764	3637	1997-03-31	VYDAJ	VYBER	15	52920	SLUZBY	\N	\N
1064765	3637	1997-04-30	VYDAJ	VYBER	15	53521	SLUZBY	\N	\N
1064766	3637	1997-05-31	VYDAJ	VYBER	15	51419	SLUZBY	\N	\N
1064767	3637	1997-06-30	VYDAJ	VYBER	15	41926	SLUZBY	\N	\N
1064768	3637	1997-07-31	VYDAJ	VYBER	15	51295	SLUZBY	\N	\N
1064769	3637	1997-08-31	VYDAJ	VYBER	15	51785	SLUZBY	\N	\N
1064770	3637	1997-09-30	VYDAJ	VYBER	15	52608	SLUZBY	\N	\N
1064771	3637	1997-10-31	VYDAJ	VYBER	15	56840	SLUZBY	\N	\N
1064772	3637	1997-11-30	VYDAJ	VYBER	15	60188	SLUZBY	\N	\N
1064773	3637	1997-12-31	VYDAJ	VYBER	15	57654	SLUZBY	\N	\N
1064774	3637	1998-01-31	VYDAJ	VYBER	15	47718	SLUZBY	\N	\N
1064775	3637	1998-02-28	VYDAJ	VYBER	15	53531	SLUZBY	\N	\N
1064776	3637	1998-03-31	VYDAJ	VYBER	15	55583	SLUZBY	\N	\N
1064777	3637	1998-04-30	VYDAJ	VYBER	15	61028	SLUZBY	\N	\N
1064778	3637	1998-05-31	VYDAJ	VYBER	15	64291	SLUZBY	\N	\N
1064779	3637	1998-06-30	VYDAJ	VYBER	15	55740	SLUZBY	\N	\N
1064780	3637	1998-07-31	VYDAJ	VYBER	15	57978	SLUZBY	\N	\N
1064781	3637	1998-08-31	VYDAJ	VYBER	15	59221	SLUZBY	\N	\N
1064782	3637	1998-09-30	VYDAJ	VYBER	15	61057	SLUZBY	\N	\N
1064783	3637	1998-10-31	VYDAJ	VYBER	15	64788	SLUZBY	\N	\N
1064784	3637	1998-11-30	VYDAJ	VYBER	15	69440	SLUZBY	\N	\N
1064785	3637	1995-11-27	PRIJEM	VKLAD	7200	23576	\N	\N	\N
1064786	3637	1995-12-27	VYDAJ	VYBER	11700	35853	\N	\N	\N
1064787	3637	1996-01-26	VYDAJ	VYBER	11100	40836	\N	\N	\N
1064788	3637	1996-02-25	VYDAJ	VYBER	14500	42465	\N	\N	\N
1064789	3637	1996-03-26	VYDAJ	VYBER	11300	41416	\N	\N	\N
1064790	3637	1996-04-25	VYDAJ	VYBER	8900	42383	\N	\N	\N
1064791	3637	1996-05-25	VYDAJ	VYBER	8300	44247	\N	\N	\N
1064792	3637	1996-06-24	VYDAJ	VYBER	100	43061	\N	\N	\N
1064793	3637	1996-07-24	VYDAJ	VYBER	6000	45229	\N	\N	\N
1064794	3637	1996-08-23	VYDAJ	VYBER	7800	43438	\N	\N	\N
1064795	3637	1996-09-22	VYDAJ	VYBER	6200	45104	\N	\N	\N
1064796	3637	1996-10-22	VYDAJ	VYBER	7900	47270	\N	\N	\N
1064797	3637	1996-11-21	VYDAJ	VYBER	6500	51044	\N	\N	\N
1064798	3637	1996-12-21	VYDAJ	VYBER	7900	55755	\N	\N	\N
1064799	3637	1997-01-20	PRIJEM	VKLAD	1300	51722	\N	\N	\N
1064800	3637	1997-02-19	VYDAJ	VYBER	1900	48949	\N	\N	\N
1064801	3637	1997-03-21	VYDAJ	VYBER	6300	52709	\N	\N	\N
1064802	3637	1997-04-20	VYDAJ	VYBER	8700	54200	\N	\N	\N
1064803	3637	1997-05-20	VYDAJ	VYBER	7200	53121	\N	\N	\N
1064804	3637	1997-06-19	VYDAJ	VYBER	10200	58987	\N	\N	\N
1064805	3637	1997-07-19	PRIJEM	VKLAD	400	51106	\N	\N	\N
1064806	3637	1997-08-18	VYDAJ	VYBER	9200	51575	\N	\N	\N
1064807	3637	1997-09-17	VYDAJ	VYBER	9100	52396	\N	\N	\N
1064808	3637	1997-10-17	VYDAJ	VYBER	5700	56619	\N	\N	\N
1064809	3637	1997-11-16	VYDAJ	VYBER	6600	59951	\N	\N	\N
1064810	3637	1997-12-16	VYDAJ	VYBER	16000	61887	\N	\N	\N
1064811	3637	1998-01-15	VYDAJ	VYBER	2100	56145	\N	\N	\N
1064812	3637	1998-02-14	VYDAJ	VYBER	4100	53329	\N	\N	\N
1064813	3637	1998-03-16	VYDAJ	VYBER	6200	57042	\N	\N	\N
1064814	3637	1998-04-15	VYDAJ	VYBER	4500	60794	\N	\N	\N
1064815	3637	1998-05-15	VYDAJ	VYBER	6700	64039	\N	\N	\N
1064816	3637	1998-06-14	VYDAJ	VYBER	5200	55510	\N	\N	\N
1064817	3637	1998-07-14	VYDAJ	VYBER	7700	57751	\N	\N	\N
1064818	3637	1998-08-13	VYDAJ	VYBER	8700	58989	\N	\N	\N
1064819	3637	1998-09-12	VYDAJ	VYBER	2100	60821	\N	\N	\N
1064820	3637	1998-10-12	VYDAJ	VYBER	6300	65637	\N	\N	\N
1064821	3637	1998-11-11	VYDAJ	VYBER	5300	69768	\N	\N	\N
1064822	3637	1998-12-11	VYDAJ	VYBER	8600	75228	\N	\N	\N
1064861	3638	1996-01-10	PRIJEM	VKLAD	500	500	\N	\N	\N
1064863	3638	1996-02-08	PRIJEM	PREVOD Z UCTU	33948	34448	\N	UV	44790220
1064864	3638	1996-03-08	PRIJEM	PREVOD Z UCTU	33948	62783	\N	UV	44790220
1064865	3638	1996-04-08	PRIJEM	PREVOD Z UCTU	33948	81004	\N	UV	44790220
1064866	3638	1996-05-08	PRIJEM	PREVOD Z UCTU	33948	90175	\N	UV	44790220
1064867	3638	1996-06-08	PRIJEM	PREVOD Z UCTU	50922	109538	\N	UV	44790220
1064868	3638	1996-07-08	PRIJEM	PREVOD Z UCTU	33948	59843	\N	UV	44790220
1064869	3638	1996-08-08	PRIJEM	PREVOD Z UCTU	33948	65408	\N	UV	44790220
1064870	3638	1996-09-08	PRIJEM	PREVOD Z UCTU	33948	57947	\N	UV	44790220
1064871	3638	1996-10-08	PRIJEM	PREVOD Z UCTU	33948	56727	\N	UV	44790220
1064872	3638	1996-11-08	PRIJEM	PREVOD Z UCTU	33948	61026	\N	UV	44790220
1064873	3638	1996-12-08	PRIJEM	PREVOD Z UCTU	50922	77978	\N	UV	44790220
1064874	3638	1997-01-08	PRIJEM	PREVOD Z UCTU	33948	73541	\N	UV	44790220
1064875	3638	1997-02-08	PRIJEM	PREVOD Z UCTU	33948	54612	\N	UV	44790220
1064876	3638	1997-03-08	PRIJEM	PREVOD Z UCTU	33948	63288	\N	UV	44790220
1064877	3638	1997-04-08	PRIJEM	PREVOD Z UCTU	33948	69011	\N	UV	44790220
1064878	3638	1997-05-08	PRIJEM	PREVOD Z UCTU	33948	72269	\N	UV	44790220
1064879	3638	1997-06-08	PRIJEM	PREVOD Z UCTU	50922	90599	\N	UV	44790220
1064880	3638	1997-07-08	PRIJEM	PREVOD Z UCTU	33948	86432	\N	UV	44790220
1064881	3638	1997-08-08	PRIJEM	PREVOD Z UCTU	33948	83672	\N	UV	44790220
1064882	3638	1997-09-08	PRIJEM	PREVOD Z UCTU	33948	63664	\N	UV	44790220
1064883	3638	1997-10-08	PRIJEM	PREVOD Z UCTU	33948	70383	\N	UV	44790220
1064884	3638	1997-11-08	PRIJEM	PREVOD Z UCTU	33948	67221	\N	UV	44790220
1064885	3638	1997-12-08	PRIJEM	PREVOD Z UCTU	50922	91517	\N	UV	44790220
1064886	3638	1998-01-08	PRIJEM	PREVOD Z UCTU	33948	69118	\N	UV	44790220
1064887	3638	1998-02-08	PRIJEM	PREVOD Z UCTU	33948	57830	\N	UV	44790220
1064888	3638	1998-03-08	PRIJEM	PREVOD Z UCTU	33948	73711	\N	UV	44790220
1064889	3638	1998-04-08	PRIJEM	PREVOD Z UCTU	33948	84059	\N	UV	44790220
1064890	3638	1998-05-08	PRIJEM	PREVOD Z UCTU	33948	88648	\N	UV	44790220
1064891	3638	1998-06-08	PRIJEM	PREVOD Z UCTU	50922	107628	\N	UV	44790220
1064892	3638	1998-07-08	PRIJEM	PREVOD Z UCTU	33948	79403	\N	UV	44790220
1064893	3638	1998-08-08	PRIJEM	PREVOD Z UCTU	33948	86270	\N	UV	44790220
1064894	3638	1998-09-08	PRIJEM	PREVOD Z UCTU	33948	92463	\N	UV	44790220
1064895	3638	1998-10-08	PRIJEM	PREVOD Z UCTU	33948	95379	\N	UV	44790220
1064896	3638	1998-11-08	PRIJEM	PREVOD Z UCTU	33948	95003	\N	UV	44790220
1064897	3638	1998-12-08	PRIJEM	PREVOD Z UCTU	50922	105897	\N	UV	44790220
1064903	3638	1996-06-11	VYDAJ	PREVOD NA UCET	14417	25821	SIPO	IJ	81354158
1064904	3638	1996-07-11	VYDAJ	PREVOD NA UCET	14417	32326	SIPO	IJ	81354158
1064905	3638	1996-08-11	VYDAJ	PREVOD NA UCET	14417	50991	SIPO	IJ	81354158
1064906	3638	1996-09-11	VYDAJ	PREVOD NA UCET	14417	28858	SIPO	IJ	81354158
1064907	3638	1996-10-11	VYDAJ	PREVOD NA UCET	14417	42310	SIPO	IJ	81354158
1064908	3638	1996-11-11	VYDAJ	PREVOD NA UCET	14417	46609	SIPO	IJ	81354158
1064909	3638	1996-12-11	VYDAJ	PREVOD NA UCET	14417	63561	SIPO	IJ	81354158
1064910	3638	1997-01-11	VYDAJ	PREVOD NA UCET	14417	26724	SIPO	IJ	81354158
1064911	3638	1997-02-11	VYDAJ	PREVOD NA UCET	14417	40195	SIPO	IJ	81354158
1064912	3638	1997-03-11	VYDAJ	PREVOD NA UCET	14417	48871	SIPO	IJ	81354158
1064913	3638	1997-04-11	VYDAJ	PREVOD NA UCET	14417	54594	SIPO	IJ	81354158
1064914	3638	1997-05-11	VYDAJ	PREVOD NA UCET	14417	54552	SIPO	IJ	81354158
1064915	3638	1997-06-11	VYDAJ	PREVOD NA UCET	14417	76182	SIPO	IJ	81354158
1064916	3638	1997-07-11	VYDAJ	PREVOD NA UCET	14417	72015	SIPO	IJ	81354158
1064917	3638	1997-08-11	VYDAJ	PREVOD NA UCET	14417	44334	SIPO	IJ	81354158
1064918	3638	1997-09-11	VYDAJ	PREVOD NA UCET	14417	49247	SIPO	IJ	81354158
1064919	3638	1997-10-11	VYDAJ	PREVOD NA UCET	14417	55966	SIPO	IJ	81354158
1064920	3638	1997-11-11	VYDAJ	PREVOD NA UCET	14417	52804	SIPO	IJ	81354158
1064921	3638	1997-12-11	VYDAJ	PREVOD NA UCET	14417	77100	SIPO	IJ	81354158
1064922	3638	1998-01-11	VYDAJ	PREVOD NA UCET	14417	54701	SIPO	IJ	81354158
1064923	3638	1998-02-11	VYDAJ	PREVOD NA UCET	14417	43413	SIPO	IJ	81354158
1064924	3638	1998-03-11	VYDAJ	PREVOD NA UCET	14417	59294	SIPO	IJ	81354158
1064925	3638	1998-04-11	VYDAJ	PREVOD NA UCET	14417	69642	SIPO	IJ	81354158
1064926	3638	1998-05-11	VYDAJ	PREVOD NA UCET	14417	74231	SIPO	IJ	81354158
1064927	3638	1998-06-11	VYDAJ	PREVOD NA UCET	14417	87211	SIPO	IJ	81354158
1064928	3638	1998-07-11	VYDAJ	PREVOD NA UCET	14417	64986	SIPO	IJ	81354158
1064929	3638	1998-08-11	VYDAJ	PREVOD NA UCET	14417	71853	SIPO	IJ	81354158
1064930	3638	1998-09-11	VYDAJ	PREVOD NA UCET	14417	78046	SIPO	IJ	81354158
1064931	3638	1998-10-11	VYDAJ	PREVOD NA UCET	14417	80962	SIPO	IJ	81354158
1064932	3638	1998-11-11	VYDAJ	PREVOD NA UCET	14417	80586	SIPO	IJ	81354158
1064933	3638	1998-12-11	VYDAJ	PREVOD NA UCET	14417	91480	SIPO	IJ	81354158
1064935	3638	1996-09-10	VYBER	VYBER	6872	43275	\N	\N	\N
1064936	3638	1996-10-19	VYBER	VYBER	19059	23251	\N	\N	\N
1064937	3638	1996-08-28	VYBER	VYBER	24080	26911	\N	\N	\N
1064942	3638	1996-09-24	VYBER	VYBER	9197	19661	\N	\N	\N
1064943	3638	1996-11-28	VYBER	VYBER	24520	22089	\N	\N	\N
1064945	3638	1997-08-10	VYBER	VYBER	12021	58751	\N	\N	\N
1064947	3638	1997-08-18	VYBER	VYBER	17006	27328	\N	\N	\N
1064948	3638	1997-02-27	VYBER	VYBER	10105	30090	\N	\N	\N
1064951	3638	1998-06-15	VYDAJ	VYBER	36600	50611	\N	\N	\N
1064953	3638	1997-01-08	VYDAJ	VYBER	26700	46841	\N	\N	\N
1064956	3638	1997-12-24	VYDAJ	VYBER	5700	60900	\N	\N	\N
1064957	3638	1998-12-07	VYDAJ	VYBER	4200	54975	\N	\N	\N
1064964	3638	1997-01-10	VYDAJ	VYBER	5700	41141	\N	\N	\N
1064966	3638	1997-01-01	VYDAJ	VYBER	6300	57393	\N	\N	\N
1064968	3638	1997-01-05	VYDAJ	VYBER	5100	39593	\N	\N	\N
1064969	3638	1997-01-11	VYDAJ	VYBER	6000	20724	\N	\N	\N
1064970	3638	1998-01-25	VYDAJ	VYBER	5100	27101	\N	\N	\N
1064971	3638	1998-01-05	VYDAJ	VYBER	6600	35170	\N	\N	\N
1064972	3638	1998-01-02	VYDAJ	VYBER	2400	41770	\N	\N	\N
1064973	3638	1998-01-30	VYDAJ	VYBER	8100	23801	\N	\N	\N
1064974	3638	1998-01-24	VYDAJ	VYBER	5100	32201	\N	\N	\N
1064975	3638	1998-01-22	VYDAJ	VYBER	5400	37301	\N	\N	\N
1064978	3638	1996-09-08	VYDAJ	VYBER	7800	50147	\N	\N	\N
1064980	3638	1996-08-31	VYDAJ	VYBER	1500	25499	\N	\N	\N
1064983	3638	1997-05-09	VYDAJ	VYBER	3300	68969	\N	\N	\N
1064985	3638	1997-09-28	VYDAJ	VYBER	3000	46247	\N	\N	\N
1064986	3638	1997-10-21	VYDAJ	VYBER	14100	41866	\N	\N	\N
1064987	3638	1997-12-23	VYDAJ	VYBER	10500	66600	\N	\N	\N
1064988	3638	1997-08-08	VYDAJ	VYBER	12900	70772	\N	\N	\N
1064989	3638	1997-12-01	VYDAJ	VYBER	1800	40595	\N	\N	\N
1064990	3638	1997-05-02	VYDAJ	VYBER	7800	46921	\N	\N	\N
1064991	3638	1998-06-11	VYDAJ	VYBER	6000	101628	\N	\N	\N
1064992	3638	1998-11-23	VYDAJ	VYBER	2400	78186	\N	\N	\N
1064993	3638	1998-01-19	VYDAJ	VYBER	12000	42701	\N	\N	\N
1065000	3638	1996-06-30	VYDAJ	VYBER	100	25895	SLUZBY	\N	\N
1065001	3638	1996-07-31	VYDAJ	VYBER	100	32360	SLUZBY	\N	\N
1065002	3638	1996-08-31	VYDAJ	VYBER	100	26999	SLUZBY	\N	\N
1065003	3638	1996-09-30	VYDAJ	VYBER	100	19679	SLUZBY	\N	\N
1065004	3638	1996-10-31	VYDAJ	VYBER	100	23278	SLUZBY	\N	\N
1065005	3638	1996-11-30	VYDAJ	VYBER	100	22156	SLUZBY	\N	\N
1065006	3638	1996-12-31	VYDAJ	VYBER	100	63693	SLUZBY	\N	\N
1065007	3638	1997-01-31	VYDAJ	VYBER	100	20764	SLUZBY	\N	\N
1065008	3638	1997-02-28	VYDAJ	VYBER	100	30140	SLUZBY	\N	\N
1065009	3638	1997-03-31	VYDAJ	VYBER	100	48963	SLUZBY	\N	\N
1065010	3638	1997-04-30	VYDAJ	VYBER	100	54721	SLUZBY	\N	\N
1065011	3638	1997-05-31	VYDAJ	VYBER	100	54677	SLUZBY	\N	\N
1065012	3638	1997-06-30	VYDAJ	VYBER	100	76384	SLUZBY	\N	\N
1065013	3638	1997-07-31	VYDAJ	VYBER	100	72224	SLUZBY	\N	\N
1065014	3638	1997-08-31	VYDAJ	VYBER	100	27416	SLUZBY	\N	\N
1065015	3638	1997-09-30	VYDAJ	VYBER	100	46335	SLUZBY	\N	\N
1065016	3638	1997-10-31	VYDAJ	VYBER	100	33273	SLUZBY	\N	\N
1065017	3638	1997-11-30	VYDAJ	VYBER	100	52895	SLUZBY	\N	\N
1065018	3638	1997-12-31	VYDAJ	VYBER	100	44170	SLUZBY	\N	\N
1065019	3638	1998-01-31	VYDAJ	VYBER	100	23882	SLUZBY	\N	\N
1065020	3638	1998-02-28	VYDAJ	VYBER	100	39763	SLUZBY	\N	\N
1065021	3638	1998-03-31	VYDAJ	VYBER	100	50111	SLUZBY	\N	\N
1065022	3638	1998-04-30	VYDAJ	VYBER	100	54700	SLUZBY	\N	\N
1065023	3638	1998-05-31	VYDAJ	VYBER	100	56706	SLUZBY	\N	\N
1065024	3638	1998-06-30	VYDAJ	VYBER	100	45455	SLUZBY	\N	\N
1065025	3638	1998-07-31	VYDAJ	VYBER	100	52322	SLUZBY	\N	\N
1065026	3638	1998-08-31	VYDAJ	VYBER	100	58515	SLUZBY	\N	\N
1065027	3638	1998-09-30	VYDAJ	VYBER	100	61431	SLUZBY	\N	\N
1065028	3638	1998-10-31	VYDAJ	VYBER	100	61055	SLUZBY	\N	\N
1065029	3638	1998-11-30	VYDAJ	VYBER	100	59175	SLUZBY	\N	\N
1065030	3638	1996-02-09	VYDAJ	VYBER	5700	28748	\N	\N	\N
1065031	3638	1996-03-10	VYDAJ	VYBER	15900	46883	\N	\N	\N
1065032	3638	1996-04-09	VYDAJ	VYBER	25000	56004	\N	\N	\N
1065033	3638	1996-05-09	VYDAJ	VYBER	31800	58375	\N	\N	\N
1065034	3638	1996-06-08	VYDAJ	VYBER	55600	53938	\N	\N	\N
1065035	3638	1996-06-08	VYDAJ	VYBER	13700	40238	\N	\N	\N
1065036	3638	1996-07-08	VYDAJ	VYBER	13100	46743	\N	\N	\N
1065037	3638	1996-08-07	VYDAJ	VYBER	900	31460	\N	\N	\N
1065038	3638	1996-09-06	VYDAJ	VYBER	1500	23999	\N	\N	\N
1065039	3638	1996-10-06	PRIJEM	VKLAD	3100	22779	\N	\N	\N
1065040	3638	1996-11-05	PRIJEM	VKLAD	3800	27078	\N	\N	\N
1065041	3638	1996-12-05	PRIJEM	VKLAD	4900	27056	\N	\N	\N
1065042	3638	1997-01-04	VYDAJ	VYBER	12700	44693	\N	\N	\N
1065043	3638	1997-02-03	VYDAJ	VYBER	100	20664	\N	\N	\N
1065044	3638	1997-03-05	VYDAJ	VYBER	800	29340	\N	\N	\N
1065045	3638	1997-04-04	VYDAJ	VYBER	13900	35063	\N	\N	\N
1065046	3638	1997-05-04	VYDAJ	VYBER	8600	38321	\N	\N	\N
1065047	3638	1997-06-03	VYDAJ	VYBER	15000	39677	\N	\N	\N
1065048	3638	1997-07-03	VYDAJ	VYBER	23900	52484	\N	\N	\N
1065049	3638	1997-08-02	VYDAJ	VYBER	22500	49724	\N	\N	\N
1065050	3638	1997-09-01	PRIJEM	VKLAD	2300	29716	\N	\N	\N
1065051	3638	1997-10-01	VYDAJ	VYBER	9900	36435	\N	\N	\N
1065052	3638	1997-10-31	VYDAJ	VYBER	8700	33373	\N	\N	\N
1065053	3638	1997-11-30	VYDAJ	VYBER	10500	42395	\N	\N	\N
1065054	3638	1997-12-30	VYDAJ	VYBER	16900	44000	\N	\N	\N
1065055	3638	1998-01-29	PRIJEM	VKLAD	4800	31901	\N	\N	\N
1065056	3638	1998-02-28	VYDAJ	VYBER	3700	39863	\N	\N	\N
1065057	3638	1998-03-30	VYDAJ	VYBER	9300	49994	\N	\N	\N
1065058	3638	1998-04-29	VYDAJ	VYBER	15100	54542	\N	\N	\N
1065059	3638	1998-05-29	VYDAJ	VYBER	17700	56531	\N	\N	\N
1065060	3638	1998-06-28	VYDAJ	VYBER	5300	45311	\N	\N	\N
1065061	3638	1998-07-28	VYDAJ	VYBER	12800	52186	\N	\N	\N
1065062	3638	1998-08-27	VYDAJ	VYBER	13500	58353	\N	\N	\N
1065063	3638	1998-09-26	VYDAJ	VYBER	16800	61246	\N	\N	\N
1065064	3638	1998-10-26	VYDAJ	VYBER	20100	60862	\N	\N	\N
1065065	3638	1998-11-25	VYDAJ	VYBER	19200	58986	\N	\N	\N
1065101	3639	1997-01-08	PRIJEM	VKLAD	200	200	\N	\N	\N
1065103	3639	1997-02-06	PRIJEM	PREVOD Z UCTU	5038	5238	DUCHOD	AB	5179363
1065104	3639	1997-03-06	PRIJEM	PREVOD Z UCTU	5038	10276	DUCHOD	AB	5179363
1065105	3639	1997-04-06	PRIJEM	PREVOD Z UCTU	5038	15314	DUCHOD	AB	5179363
1065106	3639	1997-05-06	PRIJEM	PREVOD Z UCTU	5038	20352	DUCHOD	AB	5179363
1065107	3639	1997-06-06	PRIJEM	PREVOD Z UCTU	5038	22245	DUCHOD	AB	5179363
1065108	3639	1997-07-06	PRIJEM	PREVOD Z UCTU	5038	23999	DUCHOD	AB	5179363
1065109	3639	1997-08-06	PRIJEM	PREVOD Z UCTU	5038	25650	DUCHOD	AB	5179363
1065110	3639	1997-09-06	PRIJEM	PREVOD Z UCTU	5038	26118	DUCHOD	AB	5179363
1065111	3639	1997-10-06	PRIJEM	PREVOD Z UCTU	5038	23488	DUCHOD	AB	5179363
1065112	3639	1997-11-06	PRIJEM	PREVOD Z UCTU	5038	21512	DUCHOD	AB	5179363
1065113	3639	1997-12-06	PRIJEM	PREVOD Z UCTU	5038	19412	DUCHOD	AB	5179363
1065114	3639	1998-01-06	PRIJEM	PREVOD Z UCTU	5038	18851	DUCHOD	AB	5179363
1065115	3639	1998-02-06	PRIJEM	PREVOD Z UCTU	5038	16952	DUCHOD	AB	5179363
1065116	3639	1998-03-06	PRIJEM	PREVOD Z UCTU	5038	18674	DUCHOD	AB	5179363
1065117	3639	1998-04-06	PRIJEM	PREVOD Z UCTU	5038	20413	DUCHOD	AB	5179363
1065118	3639	1998-05-06	PRIJEM	PREVOD Z UCTU	5038	17819	DUCHOD	AB	5179363
1065119	3639	1998-06-06	PRIJEM	PREVOD Z UCTU	5038	18823	DUCHOD	AB	5179363
1065120	3639	1998-07-06	PRIJEM	PREVOD Z UCTU	5038	20564	DUCHOD	AB	5179363
1065121	3639	1998-08-06	PRIJEM	PREVOD Z UCTU	5038	22300	DUCHOD	AB	5179363
1065122	3639	1998-09-06	PRIJEM	PREVOD Z UCTU	5038	20363	DUCHOD	AB	5179363
1065123	3639	1998-10-06	PRIJEM	PREVOD Z UCTU	5038	21220	DUCHOD	AB	5179363
1065124	3639	1998-11-06	PRIJEM	PREVOD Z UCTU	5038	22958	DUCHOD	AB	5179363
1065125	3639	1998-12-06	PRIJEM	PREVOD Z UCTU	5038	24704	DUCHOD	AB	5179363
1065131	3639	1997-06-06	VYDAJ	PREVOD NA UCET	3358	18887	SIPO	OP	74130224
1065132	3639	1997-07-06	VYDAJ	PREVOD NA UCET	3358	20641	SIPO	OP	74130224
1065133	3639	1997-08-06	VYDAJ	PREVOD NA UCET	3358	20992	SIPO	OP	74130224
1065134	3639	1997-09-06	VYDAJ	PREVOD NA UCET	3358	22760	SIPO	OP	74130224
1065135	3639	1997-10-06	VYDAJ	PREVOD NA UCET	3358	20130	SIPO	OP	74130224
1065136	3639	1997-11-06	VYDAJ	PREVOD NA UCET	3358	18154	SIPO	OP	74130224
1065137	3639	1997-12-06	VYDAJ	PREVOD NA UCET	3358	16054	SIPO	OP	74130224
1065138	3639	1998-01-06	VYDAJ	PREVOD NA UCET	3358	15493	SIPO	OP	74130224
1065139	3639	1998-02-06	VYDAJ	PREVOD NA UCET	3358	13594	SIPO	OP	74130224
1065140	3639	1998-03-06	VYDAJ	PREVOD NA UCET	3358	15316	SIPO	OP	74130224
1065141	3639	1998-04-06	VYDAJ	PREVOD NA UCET	3358	17055	SIPO	OP	74130224
1065142	3639	1998-05-06	VYDAJ	PREVOD NA UCET	3358	14461	SIPO	OP	74130224
1065143	3639	1998-06-06	VYDAJ	PREVOD NA UCET	3358	15465	SIPO	OP	74130224
1065144	3639	1998-07-06	VYDAJ	PREVOD NA UCET	3358	17206	SIPO	OP	74130224
1065145	3639	1998-08-06	VYDAJ	PREVOD NA UCET	3358	18942	SIPO	OP	74130224
1065146	3639	1998-09-06	VYDAJ	PREVOD NA UCET	3358	17005	SIPO	OP	74130224
1065147	3639	1998-10-06	VYDAJ	PREVOD NA UCET	3358	17862	SIPO	OP	74130224
1065148	3639	1998-11-06	VYDAJ	PREVOD NA UCET	3358	19600	SIPO	OP	74130224
1065149	3639	1998-12-06	VYDAJ	PREVOD NA UCET	3358	20846	SIPO	OP	74130224
1065150	3639	1997-12-06	VYDAJ	VYBER	850	15204	\N	\N	\N
1065151	3639	1998-12-06	VYDAJ	VYBER	500	24204	\N	\N	\N
1065159	3639	1998-01-07	VYDAJ	VYBER	720	14773	\N	\N	\N
1065160	3639	1998-01-09	VYDAJ	VYBER	1040	12773	\N	\N	\N
1065161	3639	1998-01-02	VYDAJ	VYBER	1440	13813	\N	\N	\N
1065162	3639	1998-01-07	VYDAJ	VYBER	960	13813	\N	\N	\N
1065164	3639	1997-10-10	VYDAJ	VYBER	2320	17810	\N	\N	\N
1065167	3639	1997-11-14	VYDAJ	VYBER	2240	15914	\N	\N	\N
1065170	3639	1998-04-09	VYDAJ	VYBER	960	16095	\N	\N	\N
1065171	3639	1998-12-27	VYDAJ	VYBER	3120	17726	\N	\N	\N
1065172	3639	1998-09-01	VYDAJ	VYBER	3680	15325	\N	\N	\N
1065173	3639	1998-06-03	VYDAJ	VYBER	720	13785	\N	\N	\N
1065174	3639	1998-09-26	VYDAJ	VYBER	880	16125	\N	\N	\N
1065175	3639	1998-04-14	VYDAJ	VYBER	3360	12735	\N	\N	\N
1065182	3639	1997-06-30	VYDAJ	VYBER	15	18961	SLUZBY	\N	\N
1065183	3639	1997-07-31	VYDAJ	VYBER	15	20612	SLUZBY	\N	\N
1065184	3639	1997-08-31	VYDAJ	VYBER	15	21080	SLUZBY	\N	\N
1065185	3639	1997-09-30	VYDAJ	VYBER	15	22850	SLUZBY	\N	\N
1065186	3639	1997-10-31	VYDAJ	VYBER	15	17874	SLUZBY	\N	\N
1065187	3639	1997-11-30	VYDAJ	VYBER	15	15974	SLUZBY	\N	\N
1065188	3639	1997-12-31	VYDAJ	VYBER	15	15253	SLUZBY	\N	\N
1065189	3639	1998-01-31	VYDAJ	VYBER	15	12814	SLUZBY	\N	\N
1065190	3639	1998-02-28	VYDAJ	VYBER	15	13636	SLUZBY	\N	\N
1065191	3639	1998-03-31	VYDAJ	VYBER	15	15375	SLUZBY	\N	\N
1065192	3639	1998-04-30	VYDAJ	VYBER	15	12781	SLUZBY	\N	\N
1065193	3639	1998-05-31	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
1065194	3639	1998-06-30	VYDAJ	VYBER	15	15526	SLUZBY	\N	\N
1065195	3639	1998-07-31	VYDAJ	VYBER	15	17262	SLUZBY	\N	\N
1065196	3639	1998-08-31	VYDAJ	VYBER	15	19005	SLUZBY	\N	\N
1065197	3639	1998-09-30	VYDAJ	VYBER	15	16182	SLUZBY	\N	\N
1065198	3639	1998-10-31	VYDAJ	VYBER	15	17920	SLUZBY	\N	\N
1065199	3639	1998-11-30	VYDAJ	VYBER	15	19666	SLUZBY	\N	\N
1065200	3639	1997-05-08	VYDAJ	VYBER	3200	17152	\N	\N	\N
1065201	3639	1997-07-07	VYDAJ	VYBER	100	20541	\N	\N	\N
1065202	3639	1997-08-06	VYDAJ	VYBER	1300	24350	\N	\N	\N
1065203	3639	1997-10-05	VYDAJ	VYBER	4400	18450	\N	\N	\N
1065204	3639	1997-11-04	VYDAJ	VYBER	1400	16474	\N	\N	\N
1065205	3639	1997-12-04	VYDAJ	VYBER	1600	14374	\N	\N	\N
1065206	3639	1998-02-02	VYDAJ	VYBER	900	11914	\N	\N	\N
1065227	3640	1993-11-05	PRIJEM	VKLAD	300	300	\N	\N	\N
1065238	3640	1993-11-12	PRIJEM	PREVOD Z UCTU	6454	6754	DUCHOD	YZ	55372971
1065239	3640	1993-12-12	PRIJEM	PREVOD Z UCTU	6454	13226	DUCHOD	YZ	55372971
1065240	3640	1994-01-12	PRIJEM	PREVOD Z UCTU	6454	19708	DUCHOD	YZ	55372971
1065241	3640	1994-02-12	PRIJEM	PREVOD Z UCTU	6454	26190	DUCHOD	YZ	55372971
1065242	3640	1994-03-12	PRIJEM	PREVOD Z UCTU	6454	31872	DUCHOD	YZ	55372971
1065243	3640	1994-04-12	PRIJEM	PREVOD Z UCTU	6454	32467	DUCHOD	YZ	55372971
1065244	3640	1994-05-12	PRIJEM	PREVOD Z UCTU	6454	30595	DUCHOD	YZ	55372971
1065245	3640	1994-06-12	PRIJEM	PREVOD Z UCTU	6454	27367	DUCHOD	YZ	55372971
1065246	3640	1994-07-12	PRIJEM	PREVOD Z UCTU	6454	30576	DUCHOD	YZ	55372971
1065247	3640	1994-08-12	PRIJEM	PREVOD Z UCTU	6454	30695	DUCHOD	YZ	55372971
1065248	3640	1994-09-12	PRIJEM	PREVOD Z UCTU	6454	29476	DUCHOD	YZ	55372971
1065249	3640	1994-10-12	PRIJEM	PREVOD Z UCTU	6454	28048	DUCHOD	YZ	55372971
1065250	3640	1994-11-12	PRIJEM	PREVOD Z UCTU	6454	28657	DUCHOD	YZ	55372971
1065251	3640	1994-12-12	PRIJEM	PREVOD Z UCTU	6454	31568	DUCHOD	YZ	55372971
1065252	3640	1995-01-12	PRIJEM	PREVOD Z UCTU	6454	25150	DUCHOD	YZ	55372971
1065253	3640	1995-02-12	PRIJEM	PREVOD Z UCTU	6454	20442	DUCHOD	YZ	55372971
1065254	3640	1995-03-12	PRIJEM	PREVOD Z UCTU	6454	24921	DUCHOD	YZ	55372971
1065255	3640	1995-04-12	PRIJEM	PREVOD Z UCTU	6454	26135	DUCHOD	YZ	55372971
1065256	3640	1995-05-12	PRIJEM	PREVOD Z UCTU	6454	29756	DUCHOD	YZ	55372971
1065257	3640	1995-06-12	PRIJEM	PREVOD Z UCTU	6454	29010	DUCHOD	YZ	55372971
1065258	3640	1995-07-12	PRIJEM	PREVOD Z UCTU	6454	20071	DUCHOD	YZ	55372971
1065259	3640	1995-08-12	PRIJEM	PREVOD Z UCTU	6454	22067	DUCHOD	YZ	55372971
1065260	3640	1995-09-12	PRIJEM	PREVOD Z UCTU	6454	26151	DUCHOD	YZ	55372971
1065261	3640	1995-10-12	PRIJEM	PREVOD Z UCTU	6454	24448	DUCHOD	YZ	55372971
1065262	3640	1995-11-12	PRIJEM	PREVOD Z UCTU	6454	26140	DUCHOD	YZ	55372971
1065263	3640	1995-12-12	PRIJEM	PREVOD Z UCTU	6454	26338	DUCHOD	YZ	55372971
1065264	3640	1996-01-12	PRIJEM	PREVOD Z UCTU	6454	21441	DUCHOD	YZ	55372971
1065265	3640	1996-02-12	PRIJEM	PREVOD Z UCTU	6454	18071	DUCHOD	YZ	55372971
1065266	3640	1996-03-12	PRIJEM	PREVOD Z UCTU	6454	16532	DUCHOD	YZ	55372971
1065267	3640	1996-04-12	PRIJEM	PREVOD Z UCTU	6454	17390	DUCHOD	YZ	55372971
1065268	3640	1996-05-12	PRIJEM	PREVOD Z UCTU	6454	21854	DUCHOD	YZ	55372971
1065269	3640	1996-06-12	PRIJEM	PREVOD Z UCTU	6454	19829	DUCHOD	YZ	55372971
1065270	3640	1996-07-12	PRIJEM	PREVOD Z UCTU	6454	19547	DUCHOD	YZ	55372971
1065271	3640	1996-08-12	PRIJEM	PREVOD Z UCTU	6454	18413	DUCHOD	YZ	55372971
1065272	3640	1996-09-12	PRIJEM	PREVOD Z UCTU	6454	16372	DUCHOD	YZ	55372971
1065273	3640	1996-10-12	PRIJEM	PREVOD Z UCTU	6454	16926	DUCHOD	YZ	55372971
1065274	3640	1996-11-12	PRIJEM	PREVOD Z UCTU	6454	21389	DUCHOD	YZ	55372971
1065275	3640	1996-12-12	PRIJEM	PREVOD Z UCTU	6454	17055	DUCHOD	YZ	55372971
1065276	3640	1997-01-12	PRIJEM	PREVOD Z UCTU	6454	19078	DUCHOD	YZ	55372971
1065277	3640	1997-02-12	PRIJEM	PREVOD Z UCTU	6454	18263	DUCHOD	YZ	55372971
1065278	3640	1997-03-12	PRIJEM	PREVOD Z UCTU	6454	19849	DUCHOD	YZ	55372971
1065279	3640	1997-04-12	PRIJEM	PREVOD Z UCTU	6454	24324	DUCHOD	YZ	55372971
1065280	3640	1997-05-12	PRIJEM	PREVOD Z UCTU	6454	28816	DUCHOD	YZ	55372971
1065281	3640	1997-06-12	PRIJEM	PREVOD Z UCTU	6454	19602	DUCHOD	YZ	55372971
1065282	3640	1997-07-12	PRIJEM	PREVOD Z UCTU	6454	18717	DUCHOD	YZ	55372971
1065283	3640	1997-08-12	PRIJEM	PREVOD Z UCTU	6454	23186	DUCHOD	YZ	55372971
1065284	3640	1997-09-12	PRIJEM	PREVOD Z UCTU	6454	27674	DUCHOD	YZ	55372971
1065285	3640	1997-10-12	PRIJEM	PREVOD Z UCTU	6454	32181	DUCHOD	YZ	55372971
1065286	3640	1997-11-12	PRIJEM	PREVOD Z UCTU	6454	17563	DUCHOD	YZ	55372971
1065287	3640	1997-12-12	PRIJEM	PREVOD Z UCTU	6454	22027	DUCHOD	YZ	55372971
1065288	3640	1998-01-12	PRIJEM	PREVOD Z UCTU	6454	22137	DUCHOD	YZ	55372971
1065289	3640	1998-02-12	PRIJEM	PREVOD Z UCTU	6454	19755	DUCHOD	YZ	55372971
1065290	3640	1998-03-12	PRIJEM	PREVOD Z UCTU	6454	24227	DUCHOD	YZ	55372971
1065291	3640	1998-04-12	PRIJEM	PREVOD Z UCTU	6454	28719	DUCHOD	YZ	55372971
1065292	3640	1998-05-12	PRIJEM	PREVOD Z UCTU	6454	33230	DUCHOD	YZ	55372971
1065293	3640	1998-06-12	PRIJEM	PREVOD Z UCTU	6454	37759	DUCHOD	YZ	55372971
1065294	3640	1998-07-12	PRIJEM	PREVOD Z UCTU	6454	38999	DUCHOD	YZ	55372971
1065295	3640	1998-08-12	PRIJEM	PREVOD Z UCTU	6454	43552	DUCHOD	YZ	55372971
1065296	3640	1998-09-12	PRIJEM	PREVOD Z UCTU	6454	46602	DUCHOD	YZ	55372971
1065297	3640	1998-10-12	PRIJEM	PREVOD Z UCTU	6454	50063	DUCHOD	YZ	55372971
1065298	3640	1998-11-12	PRIJEM	PREVOD Z UCTU	6454	21463	DUCHOD	YZ	55372971
1065299	3640	1998-12-12	PRIJEM	PREVOD Z UCTU	6454	24236	DUCHOD	YZ	55372971
1065315	3640	1994-04-05	VYDAJ	PREVOD NA UCET	2040	26013	SIPO	AB	21871125
1065316	3640	1994-05-05	VYDAJ	PREVOD NA UCET	2040	24141	SIPO	AB	21871125
1065317	3640	1994-06-05	VYDAJ	PREVOD NA UCET	2040	20913	SIPO	AB	21871125
1065318	3640	1994-07-05	VYDAJ	PREVOD NA UCET	2040	24122	SIPO	AB	21871125
1065319	3640	1994-08-05	VYDAJ	PREVOD NA UCET	2040	24241	SIPO	AB	21871125
1065320	3640	1994-09-05	VYDAJ	PREVOD NA UCET	2040	24782	SIPO	AB	21871125
1065321	3640	1994-10-05	VYDAJ	PREVOD NA UCET	2040	21594	SIPO	AB	21871125
1065322	3640	1994-11-05	VYDAJ	PREVOD NA UCET	2040	22203	SIPO	AB	21871125
1065323	3640	1994-12-05	VYDAJ	PREVOD NA UCET	2040	25114	SIPO	AB	21871125
1065324	3640	1995-01-05	VYDAJ	PREVOD NA UCET	2040	19336	SIPO	AB	21871125
1065325	3640	1995-02-05	VYDAJ	PREVOD NA UCET	2040	13988	SIPO	AB	21871125
1065326	3640	1995-03-05	VYDAJ	PREVOD NA UCET	2040	18467	SIPO	AB	21871125
1065327	3640	1995-04-05	VYDAJ	PREVOD NA UCET	2040	19681	SIPO	AB	21871125
1065328	3640	1995-05-05	VYDAJ	PREVOD NA UCET	2040	23302	SIPO	AB	21871125
1065329	3640	1995-06-05	VYDAJ	PREVOD NA UCET	2040	22556	SIPO	AB	21871125
1065330	3640	1995-07-05	VYDAJ	PREVOD NA UCET	2040	17057	SIPO	AB	21871125
1065331	3640	1995-08-05	VYDAJ	PREVOD NA UCET	2040	15613	SIPO	AB	21871125
1065332	3640	1995-09-05	VYDAJ	PREVOD NA UCET	2040	19697	SIPO	AB	21871125
1065333	3640	1995-10-05	VYDAJ	PREVOD NA UCET	2040	17994	SIPO	AB	21871125
1065334	3640	1995-11-05	VYDAJ	PREVOD NA UCET	2040	19686	SIPO	AB	21871125
1065335	3640	1995-12-05	VYDAJ	PREVOD NA UCET	2040	19884	SIPO	AB	21871125
1065336	3640	1996-01-05	VYDAJ	PREVOD NA UCET	2040	16027	SIPO	AB	21871125
1065337	3640	1996-02-05	VYDAJ	PREVOD NA UCET	2040	11617	SIPO	AB	21871125
1065338	3640	1996-03-05	VYDAJ	PREVOD NA UCET	2040	10078	SIPO	AB	21871125
1065339	3640	1996-04-05	VYDAJ	PREVOD NA UCET	2040	10936	SIPO	AB	21871125
1065340	3640	1996-05-05	VYDAJ	PREVOD NA UCET	2040	15400	SIPO	AB	21871125
1065341	3640	1996-06-05	VYDAJ	PREVOD NA UCET	2040	13375	SIPO	AB	21871125
1065342	3640	1996-07-05	VYDAJ	PREVOD NA UCET	2040	13093	SIPO	AB	21871125
1065343	3640	1996-08-05	VYDAJ	PREVOD NA UCET	2040	11959	SIPO	AB	21871125
1065344	3640	1996-09-05	VYDAJ	PREVOD NA UCET	2040	9918	SIPO	AB	21871125
1065345	3640	1996-10-05	VYDAJ	PREVOD NA UCET	2040	10472	SIPO	AB	21871125
1065346	3640	1996-11-05	VYDAJ	PREVOD NA UCET	2040	14935	SIPO	AB	21871125
1065347	3640	1996-12-05	VYDAJ	PREVOD NA UCET	2040	10601	SIPO	AB	21871125
1065348	3640	1997-01-05	VYDAJ	PREVOD NA UCET	2040	12624	SIPO	AB	21871125
1065349	3640	1997-02-05	VYDAJ	PREVOD NA UCET	2040	11809	SIPO	AB	21871125
1065350	3640	1997-03-05	VYDAJ	PREVOD NA UCET	2040	13395	SIPO	AB	21871125
1065351	3640	1997-04-05	VYDAJ	PREVOD NA UCET	2040	17870	SIPO	AB	21871125
1065352	3640	1997-05-05	VYDAJ	PREVOD NA UCET	2040	22362	SIPO	AB	21871125
1065353	3640	1997-06-05	VYDAJ	PREVOD NA UCET	2040	13148	SIPO	AB	21871125
1065354	3640	1997-07-05	VYDAJ	PREVOD NA UCET	2040	12263	SIPO	AB	21871125
1065355	3640	1997-08-05	VYDAJ	PREVOD NA UCET	2040	16732	SIPO	AB	21871125
1065356	3640	1997-09-05	VYDAJ	PREVOD NA UCET	2040	21220	SIPO	AB	21871125
1065357	3640	1997-10-05	VYDAJ	PREVOD NA UCET	2040	25727	SIPO	AB	21871125
1065358	3640	1997-11-05	VYDAJ	PREVOD NA UCET	2040	11109	SIPO	AB	21871125
1065359	3640	1997-12-05	VYDAJ	PREVOD NA UCET	2040	15573	SIPO	AB	21871125
1065360	3640	1998-01-05	VYDAJ	PREVOD NA UCET	2040	18803	SIPO	AB	21871125
1065361	3640	1998-02-05	VYDAJ	PREVOD NA UCET	2040	13301	SIPO	AB	21871125
1065362	3640	1998-03-05	VYDAJ	PREVOD NA UCET	2040	17773	SIPO	AB	21871125
1065363	3640	1998-04-05	VYDAJ	PREVOD NA UCET	2040	22265	SIPO	AB	21871125
1065364	3640	1998-05-05	VYDAJ	PREVOD NA UCET	2040	26776	SIPO	AB	21871125
1065365	3640	1998-06-05	VYDAJ	PREVOD NA UCET	2040	31305	SIPO	AB	21871125
1065366	3640	1998-07-05	VYDAJ	PREVOD NA UCET	2040	32545	SIPO	AB	21871125
1065367	3640	1998-08-05	VYDAJ	PREVOD NA UCET	2040	37098	SIPO	AB	21871125
1065368	3640	1998-09-05	VYDAJ	PREVOD NA UCET	2040	40148	SIPO	AB	21871125
1065369	3640	1998-10-05	VYDAJ	PREVOD NA UCET	2040	43609	SIPO	AB	21871125
1065370	3640	1998-11-05	VYDAJ	PREVOD NA UCET	2040	48209	SIPO	AB	21871125
1065371	3640	1998-12-05	VYDAJ	PREVOD NA UCET	2040	18082	SIPO	AB	21871125
1065373	3640	1994-06-03	VYDAJ	VYBER	7750	22953	\N	\N	\N
1065374	3640	1995-06-22	VYDAJ	VYBER	10000	19010	\N	\N	\N
1065375	3640	1996-06-20	VYDAJ	VYBER	4750	15079	\N	\N	\N
1065376	3640	1997-06-19	VYDAJ	VYBER	5350	14252	\N	\N	\N
1065377	3640	1998-06-12	VYDAJ	VYBER	3300	34459	\N	\N	\N
1065380	3640	1995-01-03	VYDAJ	VYBER	850	21376	\N	\N	\N
1065382	3640	1997-01-02	VYDAJ	VYBER	1800	14664	\N	\N	\N
1065383	3640	1998-01-15	VYDAJ	VYBER	2700	19437	\N	\N	\N
1065385	3640	1994-12-25	VYDAJ	VYBER	950	30618	\N	\N	\N
1065386	3640	1995-12-14	VYDAJ	VYBER	850	25488	\N	\N	\N
1065388	3640	1997-12-17	VYDAJ	VYBER	1250	20777	\N	\N	\N
1065389	3640	1998-12-05	VYDAJ	VYBER	300	17782	\N	\N	\N
1065402	3640	1995-01-22	VYDAJ	VYBER	1680	21310	\N	\N	\N
1065403	3640	1995-01-29	VYDAJ	VYBER	1520	19790	\N	\N	\N
1065404	3640	1995-01-03	VYDAJ	VYBER	1040	22226	\N	\N	\N
1065405	3640	1995-01-01	VYDAJ	VYBER	1760	23266	\N	\N	\N
1065406	3640	1995-01-12	VYDAJ	VYBER	2160	22990	\N	\N	\N
1065407	3640	1995-01-06	VYDAJ	VYBER	640	18696	\N	\N	\N
1065408	3640	1996-01-22	VYDAJ	VYBER	880	16801	\N	\N	\N
1065409	3640	1996-01-09	VYDAJ	VYBER	400	15627	\N	\N	\N
1065411	3640	1996-01-17	VYDAJ	VYBER	1680	19761	\N	\N	\N
1065412	3640	1996-01-18	VYDAJ	VYBER	2080	17681	\N	\N	\N
1065413	3640	1996-01-10	VYDAJ	VYBER	640	14987	\N	\N	\N
1065414	3640	1997-01-22	VYDAJ	VYBER	1120	17958	\N	\N	\N
1065415	3640	1997-01-28	VYDAJ	VYBER	1760	13798	\N	\N	\N
1065416	3640	1997-01-26	VYDAJ	VYBER	2000	15558	\N	\N	\N
1065417	3640	1997-01-25	VYDAJ	VYBER	400	17558	\N	\N	\N
1065419	3640	1997-01-01	VYDAJ	VYBER	640	16464	\N	\N	\N
1065420	3640	1998-01-08	VYDAJ	VYBER	1360	17443	\N	\N	\N
1065421	3640	1998-01-21	VYDAJ	VYBER	800	18637	\N	\N	\N
1065422	3640	1998-01-29	VYDAJ	VYBER	1280	17357	\N	\N	\N
1065423	3640	1998-01-30	VYDAJ	VYBER	2080	15277	\N	\N	\N
1065424	3640	1998-01-11	VYDAJ	VYBER	640	15683	\N	\N	\N
1065425	3640	1998-01-10	VYDAJ	VYBER	1120	16323	\N	\N	\N
1065430	3640	1994-09-18	VYDAJ	VYBER	3440	26036	\N	\N	\N
1065431	3640	1994-08-28	VYDAJ	VYBER	480	30215	\N	\N	\N
1065434	3640	1994-09-11	VYDAJ	VYBER	1760	23022	\N	\N	\N
1065435	3640	1995-02-05	VYDAJ	VYBER	3840	16028	\N	\N	\N
1065436	3640	1995-05-26	VYDAJ	VYBER	560	29196	\N	\N	\N
1065437	3640	1995-04-27	VYDAJ	VYBER	880	25255	\N	\N	\N
1065438	3640	1995-03-16	VYDAJ	VYBER	1280	23641	\N	\N	\N
1065439	3640	1995-07-21	VYDAJ	VYBER	2480	17591	\N	\N	\N
1065440	3640	1995-07-10	VYDAJ	VYBER	3440	13617	\N	\N	\N
1065442	3640	1997-02-26	VYDAJ	VYBER	2880	15383	\N	\N	\N
1065443	3640	1998-11-21	VYDAJ	VYBER	1440	20023	\N	\N	\N
1065444	3640	1998-08-21	VYDAJ	VYBER	1520	42032	\N	\N	\N
1065445	3640	1998-09-12	VYDAJ	VYBER	1120	45482	\N	\N	\N
1065461	3640	1994-03-31	VYDAJ	VYBER	15	31953	SLUZBY	\N	\N
1065462	3640	1994-04-30	VYDAJ	VYBER	15	32581	SLUZBY	\N	\N
1065463	3640	1994-05-31	VYDAJ	VYBER	15	30703	SLUZBY	\N	\N
1065464	3640	1994-06-30	VYDAJ	VYBER	15	27462	SLUZBY	\N	\N
1065465	3640	1994-07-31	VYDAJ	VYBER	15	30681	SLUZBY	\N	\N
1065466	3640	1994-08-31	VYDAJ	VYBER	15	30322	SLUZBY	\N	\N
1065467	3640	1994-09-30	VYDAJ	VYBER	15	26134	SLUZBY	\N	\N
1065468	3640	1994-10-31	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
1065469	3640	1994-11-30	VYDAJ	VYBER	15	27154	SLUZBY	\N	\N
1065470	3640	1994-12-31	VYDAJ	VYBER	15	25026	SLUZBY	\N	\N
1065471	3640	1995-01-31	VYDAJ	VYBER	15	19868	SLUZBY	\N	\N
1065472	3640	1995-02-28	VYDAJ	VYBER	15	20507	SLUZBY	\N	\N
1065473	3640	1995-03-31	VYDAJ	VYBER	15	21721	SLUZBY	\N	\N
1065474	3640	1995-04-30	VYDAJ	VYBER	15	25342	SLUZBY	\N	\N
1065475	3640	1995-05-31	VYDAJ	VYBER	15	24596	SLUZBY	\N	\N
1065476	3640	1995-06-30	VYDAJ	VYBER	15	19097	SLUZBY	\N	\N
1065477	3640	1995-07-31	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
1065478	3640	1995-08-31	VYDAJ	VYBER	15	21737	SLUZBY	\N	\N
1065479	3640	1995-09-30	VYDAJ	VYBER	15	20034	SLUZBY	\N	\N
1065480	3640	1995-10-31	VYDAJ	VYBER	15	21726	SLUZBY	\N	\N
1065481	3640	1995-11-30	VYDAJ	VYBER	15	21924	SLUZBY	\N	\N
1065482	3640	1995-12-31	VYDAJ	VYBER	15	18067	SLUZBY	\N	\N
1065483	3640	1996-01-31	VYDAJ	VYBER	15	13657	SLUZBY	\N	\N
1065484	3640	1996-02-29	VYDAJ	VYBER	15	12118	SLUZBY	\N	\N
1065485	3640	1996-03-31	VYDAJ	VYBER	15	12976	SLUZBY	\N	\N
1065486	3640	1996-04-30	VYDAJ	VYBER	15	17440	SLUZBY	\N	\N
1065487	3640	1996-05-31	VYDAJ	VYBER	15	15415	SLUZBY	\N	\N
1065488	3640	1996-06-30	VYDAJ	VYBER	15	15133	SLUZBY	\N	\N
1065489	3640	1996-07-31	VYDAJ	VYBER	15	13999	SLUZBY	\N	\N
1065490	3640	1996-08-31	VYDAJ	VYBER	15	11958	SLUZBY	\N	\N
1065491	3640	1996-09-30	VYDAJ	VYBER	15	12512	SLUZBY	\N	\N
1065492	3640	1996-10-31	VYDAJ	VYBER	15	16975	SLUZBY	\N	\N
1065493	3640	1996-11-30	VYDAJ	VYBER	15	12641	SLUZBY	\N	\N
1065494	3640	1996-12-31	VYDAJ	VYBER	15	17104	SLUZBY	\N	\N
1065495	3640	1997-01-31	VYDAJ	VYBER	15	13849	SLUZBY	\N	\N
1065496	3640	1997-02-28	VYDAJ	VYBER	15	15435	SLUZBY	\N	\N
1065497	3640	1997-03-31	VYDAJ	VYBER	15	19910	SLUZBY	\N	\N
1065498	3640	1997-04-30	VYDAJ	VYBER	15	24402	SLUZBY	\N	\N
1065499	3640	1997-05-31	VYDAJ	VYBER	15	15188	SLUZBY	\N	\N
1065500	3640	1997-06-30	VYDAJ	VYBER	15	14303	SLUZBY	\N	\N
1065501	3640	1997-07-31	VYDAJ	VYBER	15	18772	SLUZBY	\N	\N
1065502	3640	1997-08-31	VYDAJ	VYBER	15	23260	SLUZBY	\N	\N
1065503	3640	1997-09-30	VYDAJ	VYBER	15	27767	SLUZBY	\N	\N
1065504	3640	1997-10-31	VYDAJ	VYBER	15	13149	SLUZBY	\N	\N
1065505	3640	1997-11-30	VYDAJ	VYBER	15	17613	SLUZBY	\N	\N
1065506	3640	1997-12-31	VYDAJ	VYBER	15	20843	SLUZBY	\N	\N
1065507	3640	1998-01-31	VYDAJ	VYBER	15	15341	SLUZBY	\N	\N
1065508	3640	1998-02-28	VYDAJ	VYBER	15	19813	SLUZBY	\N	\N
1065509	3640	1998-03-31	VYDAJ	VYBER	15	24305	SLUZBY	\N	\N
1065510	3640	1998-04-30	VYDAJ	VYBER	15	28816	SLUZBY	\N	\N
1065511	3640	1998-05-31	VYDAJ	VYBER	15	33345	SLUZBY	\N	\N
1065512	3640	1998-06-30	VYDAJ	VYBER	15	34585	SLUZBY	\N	\N
1065513	3640	1998-07-31	VYDAJ	VYBER	15	39138	SLUZBY	\N	\N
1065514	3640	1998-08-31	VYDAJ	VYBER	15	42188	SLUZBY	\N	\N
1065515	3640	1998-09-30	VYDAJ	VYBER	15	45649	SLUZBY	\N	\N
1065516	3640	1998-10-31	VYDAJ	VYBER	15	50249	SLUZBY	\N	\N
1065517	3640	1998-11-30	VYDAJ	VYBER	15	20122	SLUZBY	\N	\N
1065518	3640	1994-03-05	VYDAJ	VYBER	800	25418	\N	\N	\N
1065519	3640	1994-04-04	VYDAJ	VYBER	3900	28053	\N	\N	\N
1065520	3640	1994-05-04	VYDAJ	VYBER	6400	26181	\N	\N	\N
1065521	3640	1994-07-03	VYDAJ	VYBER	1300	26162	\N	\N	\N
1065522	3640	1994-08-02	VYDAJ	VYBER	4400	26281	\N	\N	\N
1065523	3640	1994-09-01	VYDAJ	VYBER	3500	26822	\N	\N	\N
1065524	3640	1994-10-01	VYDAJ	VYBER	2500	23634	\N	\N	\N
1065525	3640	1994-10-31	VYDAJ	VYBER	3900	24257	\N	\N	\N
1065526	3640	1994-11-30	VYDAJ	VYBER	1600	27169	\N	\N	\N
1065527	3640	1994-12-30	VYDAJ	VYBER	5700	24918	\N	\N	\N
1065528	3640	1995-03-30	VYDAJ	VYBER	2000	21641	\N	\N	\N
1065529	3640	1995-05-29	VYDAJ	VYBER	4700	24496	\N	\N	\N
1065530	3640	1995-08-27	VYDAJ	VYBER	400	21667	\N	\N	\N
1065531	3640	1995-09-26	VYDAJ	VYBER	6200	19951	\N	\N	\N
1065532	3640	1995-10-26	VYDAJ	VYBER	2800	21648	\N	\N	\N
1065533	3640	1995-11-25	VYDAJ	VYBER	4300	21840	\N	\N	\N
1065534	3640	1995-12-25	VYDAJ	VYBER	7500	17988	\N	\N	\N
1065535	3640	1996-01-24	VYDAJ	VYBER	3200	13601	\N	\N	\N
1065536	3640	1996-02-23	VYDAJ	VYBER	6000	12071	\N	\N	\N
1065537	3640	1996-03-24	VYDAJ	VYBER	3600	12932	\N	\N	\N
1065538	3640	1996-05-23	VYDAJ	VYBER	6500	15354	\N	\N	\N
1065539	3640	1996-07-22	VYDAJ	VYBER	5600	13947	\N	\N	\N
1065540	3640	1996-08-21	VYDAJ	VYBER	6500	11913	\N	\N	\N
1065541	3640	1996-09-20	VYDAJ	VYBER	3900	12472	\N	\N	\N
1065542	3640	1996-11-19	VYDAJ	VYBER	8800	12589	\N	\N	\N
1065543	3640	1997-05-18	VYDAJ	VYBER	13700	15116	\N	\N	\N
1065544	3640	1997-10-15	VYDAJ	VYBER	19100	13081	\N	\N	\N
1065545	3640	1998-11-09	VYDAJ	VYBER	33200	15009	\N	\N	\N
1065608	3641	1995-01-09	PRIJEM	VKLAD	600	600	\N	\N	\N
1065610	3641	1995-02-08	PRIJEM	PREVOD Z UCTU	3371	3971	\N	IJ	64889794
1065611	3641	1995-03-08	PRIJEM	PREVOD Z UCTU	3371	7342	\N	IJ	64889794
1065612	3641	1995-04-08	PRIJEM	PREVOD Z UCTU	3371	10713	\N	IJ	64889794
1065613	3641	1995-05-08	PRIJEM	PREVOD Z UCTU	3371	14084	\N	IJ	64889794
1065614	3641	1995-06-08	PRIJEM	PREVOD Z UCTU	3371	17455	\N	IJ	64889794
1065615	3641	1995-07-08	PRIJEM	PREVOD Z UCTU	3371	17605	\N	IJ	64889794
1065616	3641	1995-08-08	PRIJEM	PREVOD Z UCTU	3371	18871	\N	IJ	64889794
1065617	3641	1995-09-08	PRIJEM	PREVOD Z UCTU	3371	18848	\N	IJ	64889794
1065618	3641	1995-10-08	PRIJEM	PREVOD Z UCTU	3371	19578	\N	IJ	64889794
1065619	3641	1995-11-08	PRIJEM	PREVOD Z UCTU	3371	20852	\N	IJ	64889794
1065620	3641	1995-12-08	PRIJEM	PREVOD Z UCTU	3371	22131	\N	IJ	64889794
1065621	3641	1996-01-08	PRIJEM	PREVOD Z UCTU	3371	22305	\N	IJ	64889794
1065622	3641	1996-02-08	PRIJEM	PREVOD Z UCTU	3371	19172	\N	IJ	64889794
1065623	3641	1996-03-08	PRIJEM	PREVOD Z UCTU	3371	20444	\N	IJ	64889794
1065624	3641	1996-04-08	PRIJEM	PREVOD Z UCTU	3371	21242	\N	IJ	64889794
1065625	3641	1996-05-08	PRIJEM	PREVOD Z UCTU	3371	22522	\N	IJ	64889794
1065626	3641	1996-06-08	PRIJEM	PREVOD Z UCTU	3371	21888	\N	IJ	64889794
1065627	3641	1996-07-08	PRIJEM	PREVOD Z UCTU	3371	19139	\N	IJ	64889794
1065628	3641	1996-08-08	PRIJEM	PREVOD Z UCTU	3371	20411	\N	IJ	64889794
1065629	3641	1996-09-08	PRIJEM	PREVOD Z UCTU	3371	21418	\N	IJ	64889794
1065630	3641	1996-10-08	PRIJEM	PREVOD Z UCTU	3371	22699	\N	IJ	64889794
1065631	3641	1996-11-08	PRIJEM	PREVOD Z UCTU	3371	23986	\N	IJ	64889794
1065632	3641	1996-12-08	PRIJEM	PREVOD Z UCTU	3371	23414	\N	IJ	64889794
1065633	3641	1997-01-08	PRIJEM	PREVOD Z UCTU	3371	21852	\N	IJ	64889794
1065634	3641	1997-02-08	PRIJEM	PREVOD Z UCTU	3371	21362	\N	IJ	64889794
1065635	3641	1997-03-08	PRIJEM	PREVOD Z UCTU	3371	21562	\N	IJ	64889794
1065636	3641	1997-04-08	PRIJEM	PREVOD Z UCTU	3371	22603	\N	IJ	64889794
1065637	3641	1997-05-08	PRIJEM	PREVOD Z UCTU	3371	23889	\N	IJ	64889794
1065638	3641	1997-06-08	PRIJEM	PREVOD Z UCTU	3371	25181	\N	IJ	64889794
1065639	3641	1997-07-08	PRIJEM	PREVOD Z UCTU	3371	18757	\N	IJ	64889794
1065640	3641	1997-08-08	PRIJEM	PREVOD Z UCTU	3371	20027	\N	IJ	64889794
1065641	3641	1997-09-08	PRIJEM	PREVOD Z UCTU	3371	21302	\N	IJ	64889794
1065642	3641	1997-10-08	PRIJEM	PREVOD Z UCTU	3371	20568	\N	IJ	64889794
1065643	3641	1997-11-08	PRIJEM	PREVOD Z UCTU	3371	21845	\N	IJ	64889794
1065644	3641	1997-12-08	PRIJEM	PREVOD Z UCTU	3371	22047	\N	IJ	64889794
1065645	3641	1998-01-08	PRIJEM	PREVOD Z UCTU	3371	23330	\N	IJ	64889794
1065646	3641	1998-02-08	PRIJEM	PREVOD Z UCTU	3371	20710	\N	IJ	64889794
1065647	3641	1998-03-08	PRIJEM	PREVOD Z UCTU	3371	20155	\N	IJ	64889794
1065648	3641	1998-04-08	PRIJEM	PREVOD Z UCTU	3371	20499	\N	IJ	64889794
1065649	3641	1998-05-08	PRIJEM	PREVOD Z UCTU	3371	21776	\N	IJ	64889794
1065650	3641	1998-06-08	PRIJEM	PREVOD Z UCTU	3371	21796	\N	IJ	64889794
1065651	3641	1998-07-08	PRIJEM	PREVOD Z UCTU	3371	23078	\N	IJ	64889794
1065652	3641	1998-08-08	PRIJEM	PREVOD Z UCTU	3371	24365	\N	IJ	64889794
1065653	3641	1998-09-08	PRIJEM	PREVOD Z UCTU	3371	25658	\N	IJ	64889794
1065654	3641	1998-10-08	PRIJEM	PREVOD Z UCTU	3371	26505	\N	IJ	64889794
1065655	3641	1998-11-08	PRIJEM	PREVOD Z UCTU	3371	27807	\N	IJ	64889794
1065656	3641	1998-12-08	PRIJEM	PREVOD Z UCTU	3371	27644	\N	IJ	64889794
1065663	3641	1995-07-06	VYDAJ	PREVOD NA UCET	2163	14234	SIPO	KL	67058944
1065664	3641	1995-08-06	VYDAJ	PREVOD NA UCET	2163	15500	SIPO	KL	67058944
1065665	3641	1995-09-06	VYDAJ	PREVOD NA UCET	2163	15477	SIPO	KL	67058944
1065666	3641	1995-10-06	VYDAJ	PREVOD NA UCET	2163	16207	SIPO	KL	67058944
1065667	3641	1995-11-06	VYDAJ	PREVOD NA UCET	2163	17481	SIPO	KL	67058944
1065668	3641	1995-12-06	VYDAJ	PREVOD NA UCET	2163	18760	SIPO	KL	67058944
1065669	3641	1996-01-06	VYDAJ	PREVOD NA UCET	2163	18934	SIPO	KL	67058944
1065670	3641	1996-02-06	VYDAJ	PREVOD NA UCET	2163	15801	SIPO	KL	67058944
1065671	3641	1996-03-06	VYDAJ	PREVOD NA UCET	2163	17073	SIPO	KL	67058944
1065672	3641	1996-04-06	VYDAJ	PREVOD NA UCET	2163	17871	SIPO	KL	67058944
1065673	3641	1996-05-06	VYDAJ	PREVOD NA UCET	2163	19151	SIPO	KL	67058944
1065674	3641	1996-06-06	VYDAJ	PREVOD NA UCET	2163	18997	SIPO	KL	67058944
1065675	3641	1996-07-06	VYDAJ	PREVOD NA UCET	2163	15768	SIPO	KL	67058944
1065676	3641	1996-08-06	VYDAJ	PREVOD NA UCET	2163	17040	SIPO	KL	67058944
1065677	3641	1996-09-06	VYDAJ	PREVOD NA UCET	2163	18047	SIPO	KL	67058944
1065678	3641	1996-10-06	VYDAJ	PREVOD NA UCET	2163	19328	SIPO	KL	67058944
1065679	3641	1996-11-06	VYDAJ	PREVOD NA UCET	2163	20615	SIPO	KL	67058944
1065680	3641	1996-12-06	VYDAJ	PREVOD NA UCET	2163	20043	SIPO	KL	67058944
1065681	3641	1997-01-06	VYDAJ	PREVOD NA UCET	2163	19801	SIPO	KL	67058944
1065682	3641	1997-02-06	VYDAJ	PREVOD NA UCET	2163	17991	SIPO	KL	67058944
1065683	3641	1997-03-06	VYDAJ	PREVOD NA UCET	2163	18191	SIPO	KL	67058944
1065684	3641	1997-04-06	VYDAJ	PREVOD NA UCET	2163	19232	SIPO	KL	67058944
1065685	3641	1997-05-06	VYDAJ	PREVOD NA UCET	2163	20518	SIPO	KL	67058944
1065686	3641	1997-06-06	VYDAJ	PREVOD NA UCET	2163	21810	SIPO	KL	67058944
1065687	3641	1997-07-06	VYDAJ	PREVOD NA UCET	2163	15386	SIPO	KL	67058944
1065688	3641	1997-08-06	VYDAJ	PREVOD NA UCET	2163	16656	SIPO	KL	67058944
1065689	3641	1997-09-06	VYDAJ	PREVOD NA UCET	2163	17931	SIPO	KL	67058944
1065690	3641	1997-10-06	VYDAJ	PREVOD NA UCET	2163	17197	SIPO	KL	67058944
1065691	3641	1997-11-06	VYDAJ	PREVOD NA UCET	2163	18474	SIPO	KL	67058944
1065692	3641	1997-12-06	VYDAJ	PREVOD NA UCET	2163	18676	SIPO	KL	67058944
1065693	3641	1998-01-06	VYDAJ	PREVOD NA UCET	2163	19959	SIPO	KL	67058944
1065694	3641	1998-02-06	VYDAJ	PREVOD NA UCET	2163	17339	SIPO	KL	67058944
1065695	3641	1998-03-06	VYDAJ	PREVOD NA UCET	2163	16784	SIPO	KL	67058944
1065696	3641	1998-04-06	VYDAJ	PREVOD NA UCET	2163	17128	SIPO	KL	67058944
1065697	3641	1998-05-06	VYDAJ	PREVOD NA UCET	2163	18405	SIPO	KL	67058944
1065698	3641	1998-06-06	VYDAJ	PREVOD NA UCET	2163	18425	SIPO	KL	67058944
1065699	3641	1998-07-06	VYDAJ	PREVOD NA UCET	2163	19707	SIPO	KL	67058944
1065700	3641	1998-08-06	VYDAJ	PREVOD NA UCET	2163	20994	SIPO	KL	67058944
1065701	3641	1998-09-06	VYDAJ	PREVOD NA UCET	2163	22287	SIPO	KL	67058944
1065702	3641	1998-10-06	VYDAJ	PREVOD NA UCET	2163	23134	SIPO	KL	67058944
1065703	3641	1998-11-06	VYDAJ	PREVOD NA UCET	2163	24436	SIPO	KL	67058944
1065704	3641	1998-12-06	VYDAJ	PREVOD NA UCET	2163	24273	SIPO	KL	67058944
1065705	3641	1995-06-28	VYDAJ	VYBER	1050	16405	\N	\N	\N
1065706	3641	1996-06-10	VYDAJ	VYBER	4020	17868	\N	\N	\N
1065707	3641	1997-06-21	VYDAJ	VYBER	7710	17471	\N	\N	\N
1065710	3641	1996-01-23	VYDAJ	VYBER	1470	18105	\N	\N	\N
1065711	3641	1997-01-07	VYDAJ	VYBER	1320	18481	\N	\N	\N
1065712	3641	1998-01-18	VYDAJ	VYBER	930	20180	\N	\N	\N
1065713	3641	1995-12-29	VYDAJ	VYBER	510	21621	\N	\N	\N
1065714	3641	1996-12-14	VYDAJ	VYBER	180	23234	\N	\N	\N
1065715	3641	1997-12-03	VYDAJ	VYBER	540	20839	\N	\N	\N
1065716	3641	1998-12-30	VYDAJ	VYBER	150	27494	\N	\N	\N
1065723	3641	1996-01-14	VYDAJ	VYBER	180	21225	\N	\N	\N
1065724	3641	1996-01-22	VYDAJ	VYBER	570	20025	\N	\N	\N
1065725	3641	1996-01-22	VYDAJ	VYBER	450	19575	\N	\N	\N
1065726	3641	1996-01-03	VYDAJ	VYBER	600	21097	\N	\N	\N
1065727	3641	1996-01-24	VYDAJ	VYBER	210	17895	\N	\N	\N
1065728	3641	1996-01-16	VYDAJ	VYBER	630	20595	\N	\N	\N
1065729	3641	1997-01-12	VYDAJ	VYBER	270	20682	\N	\N	\N
1065730	3641	1997-01-23	VYDAJ	VYBER	450	20082	\N	\N	\N
1065731	3641	1997-01-10	VYDAJ	VYBER	300	20952	\N	\N	\N
1065732	3641	1997-01-10	VYDAJ	VYBER	600	21252	\N	\N	\N
1065733	3641	1997-01-15	VYDAJ	VYBER	150	20532	\N	\N	\N
1065734	3641	1997-01-01	VYDAJ	VYBER	630	21964	\N	\N	\N
1065735	3641	1998-01-09	VYDAJ	VYBER	810	22070	\N	\N	\N
1065736	3641	1998-01-09	VYDAJ	VYBER	360	21710	\N	\N	\N
1065737	3641	1998-01-10	VYDAJ	VYBER	180	21530	\N	\N	\N
1065738	3641	1998-01-29	VYDAJ	VYBER	750	19430	\N	\N	\N
1065739	3641	1998-01-08	VYDAJ	VYBER	450	22880	\N	\N	\N
1065740	3641	1998-01-14	VYDAJ	VYBER	420	21110	\N	\N	\N
1065741	3641	1995-08-12	VYDAJ	VYBER	1290	17581	\N	\N	\N
1065744	3641	1995-09-17	VYDAJ	VYBER	540	18308	\N	\N	\N
1065745	3641	1996-12-19	VYDAJ	VYBER	720	22514	\N	\N	\N
1065746	3641	1996-04-03	VYDAJ	VYBER	480	20034	\N	\N	\N
1065747	3641	1996-11-17	VYDAJ	VYBER	1380	22126	\N	\N	\N
1065748	3641	1996-11-11	VYDAJ	VYBER	480	23506	\N	\N	\N
1065749	3641	1996-05-29	VYDAJ	VYBER	1440	21082	\N	\N	\N
1065750	3641	1996-01-10	VYDAJ	VYBER	900	21405	\N	\N	\N
1065751	3641	1996-06-06	VYDAJ	VYBER	480	18517	\N	\N	\N
1065752	3641	1996-08-21	VYDAJ	VYBER	270	20141	\N	\N	\N
1065753	3641	1997-09-10	VYDAJ	VYBER	1380	19922	\N	\N	\N
1065754	3641	1997-09-11	VYDAJ	VYBER	210	19712	\N	\N	\N
1065755	3641	1997-02-26	VYDAJ	VYBER	1080	20282	\N	\N	\N
1065756	3641	1997-11-17	VYDAJ	VYBER	540	21305	\N	\N	\N
1065757	3641	1997-03-12	VYDAJ	VYBER	240	21322	\N	\N	\N
1065758	3641	1997-09-22	VYDAJ	VYBER	420	19292	\N	\N	\N
1065759	3641	1998-02-19	VYDAJ	VYBER	840	18880	\N	\N	\N
1065760	3641	1998-02-15	VYDAJ	VYBER	990	19720	\N	\N	\N
1065761	3641	1998-11-30	VYDAJ	VYBER	1470	26436	\N	\N	\N
1065762	3641	1998-05-15	VYDAJ	VYBER	630	21146	\N	\N	\N
1065763	3641	1998-05-19	VYDAJ	VYBER	630	20516	\N	\N	\N
1065764	3641	1998-03-22	VYDAJ	VYBER	930	19225	\N	\N	\N
1065765	3641	1998-09-15	VYDAJ	VYBER	450	25208	\N	\N	\N
1065772	3641	1995-06-30	VYDAJ	VYBER	15	16397	SLUZBY	\N	\N
1065773	3641	1995-07-31	VYDAJ	VYBER	15	17663	SLUZBY	\N	\N
1065774	3641	1995-08-31	VYDAJ	VYBER	15	17640	SLUZBY	\N	\N
1065775	3641	1995-09-30	VYDAJ	VYBER	15	18370	SLUZBY	\N	\N
1065776	3641	1995-10-31	VYDAJ	VYBER	15	19644	SLUZBY	\N	\N
1065777	3641	1995-11-30	VYDAJ	VYBER	15	20923	SLUZBY	\N	\N
1065778	3641	1995-12-31	VYDAJ	VYBER	15	21697	SLUZBY	\N	\N
1065779	3641	1996-01-31	VYDAJ	VYBER	15	17964	SLUZBY	\N	\N
1065780	3641	1996-02-29	VYDAJ	VYBER	15	19236	SLUZBY	\N	\N
1065781	3641	1996-03-31	VYDAJ	VYBER	15	20514	SLUZBY	\N	\N
1065782	3641	1996-04-30	VYDAJ	VYBER	15	21314	SLUZBY	\N	\N
1065783	3641	1996-05-31	VYDAJ	VYBER	15	21160	SLUZBY	\N	\N
1065784	3641	1996-06-30	VYDAJ	VYBER	15	17931	SLUZBY	\N	\N
1065785	3641	1996-07-31	VYDAJ	VYBER	15	19203	SLUZBY	\N	\N
1065786	3641	1996-08-31	VYDAJ	VYBER	15	20210	SLUZBY	\N	\N
1065787	3641	1996-09-30	VYDAJ	VYBER	15	21491	SLUZBY	\N	\N
1065788	3641	1996-10-31	VYDAJ	VYBER	15	22778	SLUZBY	\N	\N
1065789	3641	1996-11-30	VYDAJ	VYBER	15	22206	SLUZBY	\N	\N
1065790	3641	1996-12-31	VYDAJ	VYBER	15	22594	SLUZBY	\N	\N
1065791	3641	1997-01-31	VYDAJ	VYBER	15	20154	SLUZBY	\N	\N
1065792	3641	1997-02-28	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
1065793	3641	1997-03-31	VYDAJ	VYBER	15	21395	SLUZBY	\N	\N
1065794	3641	1997-04-30	VYDAJ	VYBER	15	22681	SLUZBY	\N	\N
1065795	3641	1997-05-31	VYDAJ	VYBER	15	23973	SLUZBY	\N	\N
1065796	3641	1997-06-30	VYDAJ	VYBER	15	17549	SLUZBY	\N	\N
1065797	3641	1997-07-31	VYDAJ	VYBER	15	18819	SLUZBY	\N	\N
1065798	3641	1997-08-31	VYDAJ	VYBER	15	20094	SLUZBY	\N	\N
1065799	3641	1997-09-30	VYDAJ	VYBER	15	19360	SLUZBY	\N	\N
1065800	3641	1997-10-31	VYDAJ	VYBER	15	20637	SLUZBY	\N	\N
1065801	3641	1997-11-30	VYDAJ	VYBER	15	21379	SLUZBY	\N	\N
1065802	3641	1997-12-31	VYDAJ	VYBER	15	22122	SLUZBY	\N	\N
1065803	3641	1998-01-31	VYDAJ	VYBER	15	19502	SLUZBY	\N	\N
1065804	3641	1998-02-28	VYDAJ	VYBER	15	18947	SLUZBY	\N	\N
1065805	3641	1998-03-31	VYDAJ	VYBER	15	19291	SLUZBY	\N	\N
1065806	3641	1998-04-30	VYDAJ	VYBER	15	20568	SLUZBY	\N	\N
1065807	3641	1998-05-31	VYDAJ	VYBER	15	20588	SLUZBY	\N	\N
1065808	3641	1998-06-30	VYDAJ	VYBER	15	21870	SLUZBY	\N	\N
1065809	3641	1998-07-31	VYDAJ	VYBER	15	23157	SLUZBY	\N	\N
1065810	3641	1998-08-31	VYDAJ	VYBER	15	24450	SLUZBY	\N	\N
1065811	3641	1998-09-30	VYDAJ	VYBER	15	25297	SLUZBY	\N	\N
1065812	3641	1998-10-31	VYDAJ	VYBER	15	26599	SLUZBY	\N	\N
1065813	3641	1998-11-30	VYDAJ	VYBER	15	27906	SLUZBY	\N	\N
1066134	3643	1994-12-22	PRIJEM	VKLAD	300	300	\N	\N	\N
1066238	3643	1995-01-21	PRIJEM	VKLAD	10300	10600	\N	\N	\N
1066239	3643	1995-02-20	PRIJEM	VKLAD	7100	17700	\N	\N	\N
1066240	3643	1995-03-22	PRIJEM	VKLAD	3800	21500	\N	\N	\N
1066241	3643	1995-04-21	VYDAJ	VYBER	500	21000	\N	\N	\N
1066242	3643	1995-05-21	PRIJEM	VKLAD	2700	23700	\N	\N	\N
1066243	3643	1995-06-20	PRIJEM	VKLAD	2000	25700	\N	\N	\N
1066244	3643	1995-07-20	PRIJEM	VKLAD	800	26500	\N	\N	\N
1066245	3643	1995-08-19	VYDAJ	VYBER	1500	25000	\N	\N	\N
1066246	3643	1995-09-18	VYDAJ	VYBER	2200	22800	\N	\N	\N
1066247	3643	1995-10-18	PRIJEM	VKLAD	700	23500	\N	\N	\N
1066248	3643	1995-11-17	VYDAJ	VYBER	1300	22200	\N	\N	\N
1066249	3643	1995-12-17	PRIJEM	VKLAD	1400	23600	\N	\N	\N
1066250	3643	1996-01-16	VYDAJ	VYBER	1500	22100	\N	\N	\N
1066251	3643	1996-02-15	VYDAJ	VYBER	800	21300	\N	\N	\N
1066252	3643	1996-04-15	VYDAJ	VYBER	200	21100	\N	\N	\N
1066253	3643	1996-05-15	VYDAJ	VYBER	1200	19900	\N	\N	\N
1066254	3643	1996-06-14	PRIJEM	VKLAD	2600	22500	\N	\N	\N
1066255	3643	1996-07-14	PRIJEM	VKLAD	1600	24100	\N	\N	\N
1066256	3643	1996-08-13	PRIJEM	VKLAD	500	24600	\N	\N	\N
1066257	3643	1996-09-12	VYDAJ	VYBER	2000	22600	\N	\N	\N
1066258	3643	1996-10-12	PRIJEM	VKLAD	800	23400	\N	\N	\N
1066259	3643	1996-11-11	PRIJEM	VKLAD	3000	26400	\N	\N	\N
1066260	3643	1996-12-11	PRIJEM	VKLAD	3000	29400	\N	\N	\N
1066261	3643	1997-01-10	VYDAJ	VYBER	1700	27700	\N	\N	\N
1066262	3643	1997-02-09	VYDAJ	VYBER	3600	24100	\N	\N	\N
1066263	3643	1997-03-11	PRIJEM	VKLAD	1300	25400	\N	\N	\N
1066264	3643	1997-04-10	VYDAJ	VYBER	900	24500	\N	\N	\N
1066265	3643	1997-05-10	PRIJEM	VKLAD	1600	26100	\N	\N	\N
1066266	3643	1997-06-09	PRIJEM	VKLAD	1500	27600	\N	\N	\N
1066267	3643	1997-07-09	VYDAJ	VYBER	2200	25400	\N	\N	\N
1066268	3643	1997-08-08	PRIJEM	VKLAD	5200	30600	\N	\N	\N
1066269	3643	1997-09-07	PRIJEM	VKLAD	2400	33000	\N	\N	\N
1066270	3643	1997-10-07	VYDAJ	VYBER	100	32900	\N	\N	\N
1066271	3643	1997-11-06	PRIJEM	VKLAD	2300	35200	\N	\N	\N
1066272	3643	1997-12-06	VYDAJ	VYBER	700	34500	\N	\N	\N
1066273	3643	1998-01-05	PRIJEM	VKLAD	2200	36700	\N	\N	\N
1066274	3643	1998-02-04	VYDAJ	VYBER	900	35800	\N	\N	\N
1066275	3643	1998-03-06	VYDAJ	VYBER	900	34900	\N	\N	\N
1066276	3643	1998-04-05	PRIJEM	VKLAD	900	35800	\N	\N	\N
1066277	3643	1998-05-05	VYDAJ	VYBER	800	35000	\N	\N	\N
1066278	3643	1998-06-04	VYDAJ	VYBER	1500	33500	\N	\N	\N
1066279	3643	1998-07-04	VYDAJ	VYBER	3300	30200	\N	\N	\N
1066280	3643	1998-08-03	PRIJEM	VKLAD	200	30400	\N	\N	\N
1066281	3643	1998-10-02	PRIJEM	VKLAD	600	31000	\N	\N	\N
1066282	3643	1998-11-01	PRIJEM	VKLAD	700	31700	\N	\N	\N
1066283	3643	1998-12-01	PRIJEM	VKLAD	100	31800	\N	\N	\N
1066284	3644	1993-04-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1066288	3644	1993-04-13	PRIJEM	PREVOD Z UCTU	3456	4456	\N	CD	81058329
1066289	3644	1993-05-13	PRIJEM	PREVOD Z UCTU	3456	7915	\N	CD	81058329
1066290	3644	1993-06-13	PRIJEM	PREVOD Z UCTU	3456	11375	\N	CD	81058329
1066291	3644	1993-07-13	PRIJEM	PREVOD Z UCTU	3456	14835	\N	CD	81058329
1066292	3644	1993-08-13	PRIJEM	PREVOD Z UCTU	3456	18295	\N	CD	81058329
1066293	3644	1993-09-13	PRIJEM	PREVOD Z UCTU	3456	19439	\N	CD	81058329
1066294	3644	1993-10-13	PRIJEM	PREVOD Z UCTU	3456	20265	\N	CD	81058329
1066295	3644	1993-11-13	PRIJEM	PREVOD Z UCTU	3456	21485	\N	CD	81058329
1066296	3644	1993-12-13	PRIJEM	PREVOD Z UCTU	3456	20971	\N	CD	81058329
1066297	3644	1994-01-13	PRIJEM	PREVOD Z UCTU	3456	22195	\N	CD	81058329
1066298	3644	1994-02-13	PRIJEM	PREVOD Z UCTU	3456	20510	\N	CD	81058329
1066299	3644	1994-03-13	PRIJEM	PREVOD Z UCTU	3456	21460	\N	CD	81058329
1066300	3644	1994-04-13	PRIJEM	PREVOD Z UCTU	3456	22684	\N	CD	81058329
1066301	3644	1994-05-13	PRIJEM	PREVOD Z UCTU	3456	23914	\N	CD	81058329
1066302	3644	1994-06-13	PRIJEM	PREVOD Z UCTU	3456	24850	\N	CD	81058329
1066303	3644	1994-07-13	PRIJEM	PREVOD Z UCTU	3456	18784	\N	CD	81058329
1066304	3644	1994-08-13	PRIJEM	PREVOD Z UCTU	3456	19308	\N	CD	81058329
1066305	3644	1994-09-13	PRIJEM	PREVOD Z UCTU	3456	20523	\N	CD	81058329
1066306	3644	1994-10-13	PRIJEM	PREVOD Z UCTU	3456	21745	\N	CD	81058329
1066307	3644	1994-11-13	PRIJEM	PREVOD Z UCTU	3456	21951	\N	CD	81058329
1066308	3644	1994-12-13	PRIJEM	PREVOD Z UCTU	3456	23178	\N	CD	81058329
1066309	3644	1995-01-13	PRIJEM	PREVOD Z UCTU	3456	23709	\N	CD	81058329
1066310	3644	1995-02-13	PRIJEM	PREVOD Z UCTU	3456	24643	\N	CD	81058329
1066311	3644	1995-03-13	PRIJEM	PREVOD Z UCTU	3456	25481	\N	CD	81058329
1066312	3644	1995-04-13	PRIJEM	PREVOD Z UCTU	3456	26722	\N	CD	81058329
1066313	3644	1995-05-13	PRIJEM	PREVOD Z UCTU	3456	24419	\N	CD	81058329
1066314	3644	1995-06-13	PRIJEM	PREVOD Z UCTU	3456	20195	\N	CD	81058329
1066315	3644	1995-07-13	PRIJEM	PREVOD Z UCTU	3456	21419	\N	CD	81058329
1066316	3644	1995-08-13	PRIJEM	PREVOD Z UCTU	3456	22643	\N	CD	81058329
1066317	3644	1995-09-13	PRIJEM	PREVOD Z UCTU	3456	23873	\N	CD	81058329
1066318	3644	1995-10-13	PRIJEM	PREVOD Z UCTU	3456	25108	\N	CD	81058329
1066319	3644	1995-11-13	PRIJEM	PREVOD Z UCTU	3456	20056	\N	CD	81058329
1066502	3644	1994-11-30	VYDAJ	VYBER	15	22026	SLUZBY	\N	\N
1066320	3644	1995-12-13	PRIJEM	PREVOD Z UCTU	3456	21275	\N	CD	81058329
1066321	3644	1996-01-13	PRIJEM	PREVOD Z UCTU	3456	22168	\N	CD	81058329
1066322	3644	1996-02-13	PRIJEM	PREVOD Z UCTU	3456	20152	\N	CD	81058329
1066323	3644	1996-03-13	PRIJEM	PREVOD Z UCTU	3456	21370	\N	CD	81058329
1066324	3644	1996-04-13	PRIJEM	PREVOD Z UCTU	3456	22594	\N	CD	81058329
1066325	3644	1996-05-13	PRIJEM	PREVOD Z UCTU	3456	21822	\N	CD	81058329
1066326	3644	1996-06-13	PRIJEM	PREVOD Z UCTU	3456	21047	\N	CD	81058329
1066327	3644	1996-07-13	PRIJEM	PREVOD Z UCTU	3456	18426	\N	CD	81058329
1066328	3644	1996-08-13	PRIJEM	PREVOD Z UCTU	3456	18168	\N	CD	81058329
1066329	3644	1996-09-13	PRIJEM	PREVOD Z UCTU	3456	16376	\N	CD	81058329
1066330	3644	1996-10-13	PRIJEM	PREVOD Z UCTU	3456	14976	\N	CD	81058329
1066331	3644	1996-11-13	PRIJEM	PREVOD Z UCTU	3456	16173	\N	CD	81058329
1066332	3644	1996-12-13	PRIJEM	PREVOD Z UCTU	3456	16274	\N	CD	81058329
1066333	3644	1997-01-13	PRIJEM	PREVOD Z UCTU	3456	14843	\N	CD	81058329
1066334	3644	1997-02-13	PRIJEM	PREVOD Z UCTU	3456	16039	\N	CD	81058329
1066335	3644	1997-03-13	PRIJEM	PREVOD Z UCTU	3456	14637	\N	CD	81058329
1066336	3644	1997-04-13	PRIJEM	PREVOD Z UCTU	3456	15833	\N	CD	81058329
1066337	3644	1997-05-13	PRIJEM	PREVOD Z UCTU	3456	17033	\N	CD	81058329
1066338	3644	1997-06-13	PRIJEM	PREVOD Z UCTU	3456	15535	\N	CD	81058329
1066339	3644	1997-07-13	PRIJEM	PREVOD Z UCTU	3456	16734	\N	CD	81058329
1066340	3644	1997-08-13	PRIJEM	PREVOD Z UCTU	3456	17938	\N	CD	81058329
1066341	3644	1997-09-13	PRIJEM	PREVOD Z UCTU	3456	18366	\N	CD	81058329
1066342	3644	1997-10-13	PRIJEM	PREVOD Z UCTU	3456	18253	\N	CD	81058329
1066343	3644	1997-11-13	PRIJEM	PREVOD Z UCTU	3456	19463	\N	CD	81058329
1066344	3644	1997-12-13	PRIJEM	PREVOD Z UCTU	3456	19148	\N	CD	81058329
1066345	3644	1998-01-13	PRIJEM	PREVOD Z UCTU	3456	18411	\N	CD	81058329
1066346	3644	1998-02-13	PRIJEM	PREVOD Z UCTU	3456	19622	\N	CD	81058329
1066347	3644	1998-03-13	PRIJEM	PREVOD Z UCTU	3456	20598	\N	CD	81058329
1066348	3644	1998-04-13	PRIJEM	PREVOD Z UCTU	3456	17910	\N	CD	81058329
1066349	3644	1998-05-13	PRIJEM	PREVOD Z UCTU	3456	19118	\N	CD	81058329
1066350	3644	1998-06-13	PRIJEM	PREVOD Z UCTU	3456	18950	\N	CD	81058329
1066351	3644	1998-07-13	PRIJEM	PREVOD Z UCTU	3456	19360	\N	CD	81058329
1066352	3644	1998-08-13	PRIJEM	PREVOD Z UCTU	3456	19193	\N	CD	81058329
1066353	3644	1998-09-13	PRIJEM	PREVOD Z UCTU	3456	18734	\N	CD	81058329
1066354	3644	1998-10-13	PRIJEM	PREVOD Z UCTU	3456	19344	\N	CD	81058329
1066355	3644	1998-11-13	PRIJEM	PREVOD Z UCTU	3456	20558	\N	CD	81058329
1066356	3644	1998-12-13	PRIJEM	PREVOD Z UCTU	3456	21237	\N	CD	81058329
1066365	3644	1993-09-09	VYDAJ	PREVOD NA UCET	2304	15983	\N	IJ	34674823
1066366	3644	1993-10-09	VYDAJ	PREVOD NA UCET	2304	16809	\N	IJ	34674823
1066367	3644	1993-11-09	VYDAJ	PREVOD NA UCET	2304	18029	\N	IJ	34674823
1066368	3644	1993-12-09	VYDAJ	PREVOD NA UCET	2304	19255	\N	IJ	34674823
1066369	3644	1994-01-09	VYDAJ	PREVOD NA UCET	2304	18739	\N	IJ	34674823
1066370	3644	1994-02-09	VYDAJ	PREVOD NA UCET	2304	17054	\N	IJ	34674823
1066371	3644	1994-03-09	VYDAJ	PREVOD NA UCET	2304	18004	\N	IJ	34674823
1066372	3644	1994-04-09	VYDAJ	PREVOD NA UCET	2304	19228	\N	IJ	34674823
1066373	3644	1994-05-09	VYDAJ	PREVOD NA UCET	2304	20458	\N	IJ	34674823
1066374	3644	1994-06-09	VYDAJ	PREVOD NA UCET	2304	21694	\N	IJ	34674823
1066375	3644	1994-07-09	VYDAJ	PREVOD NA UCET	2304	15328	\N	IJ	34674823
1066376	3644	1994-08-09	VYDAJ	PREVOD NA UCET	2304	15852	\N	IJ	34674823
1066377	3644	1994-09-09	VYDAJ	PREVOD NA UCET	2304	17067	\N	IJ	34674823
1066378	3644	1994-10-09	VYDAJ	PREVOD NA UCET	2304	18289	\N	IJ	34674823
1066379	3644	1994-11-09	VYDAJ	PREVOD NA UCET	2304	18495	\N	IJ	34674823
1066380	3644	1994-12-09	VYDAJ	PREVOD NA UCET	2304	19722	\N	IJ	34674823
1066381	3644	1995-01-09	VYDAJ	PREVOD NA UCET	2304	20253	\N	IJ	34674823
1066382	3644	1995-02-09	VYDAJ	PREVOD NA UCET	2304	21187	\N	IJ	34674823
1066383	3644	1995-03-09	VYDAJ	PREVOD NA UCET	2304	22025	\N	IJ	34674823
1066384	3644	1995-04-09	VYDAJ	PREVOD NA UCET	2304	23266	\N	IJ	34674823
1066385	3644	1995-05-09	VYDAJ	PREVOD NA UCET	2304	20963	\N	IJ	34674823
1066386	3644	1995-06-09	VYDAJ	PREVOD NA UCET	2304	16739	\N	IJ	34674823
1066387	3644	1995-07-09	VYDAJ	PREVOD NA UCET	2304	17963	\N	IJ	34674823
1066388	3644	1995-08-09	VYDAJ	PREVOD NA UCET	2304	19187	\N	IJ	34674823
1066389	3644	1995-09-09	VYDAJ	PREVOD NA UCET	2304	20417	\N	IJ	34674823
1066390	3644	1995-10-09	VYDAJ	PREVOD NA UCET	2304	21652	\N	IJ	34674823
1066391	3644	1995-11-09	VYDAJ	PREVOD NA UCET	2304	16600	\N	IJ	34674823
1066392	3644	1995-12-09	VYDAJ	PREVOD NA UCET	2304	17819	\N	IJ	34674823
1066393	3644	1996-01-09	VYDAJ	PREVOD NA UCET	2304	18712	\N	IJ	34674823
1066394	3644	1996-02-09	VYDAJ	PREVOD NA UCET	2304	16696	\N	IJ	34674823
1066395	3644	1996-03-09	VYDAJ	PREVOD NA UCET	2304	17914	\N	IJ	34674823
1066396	3644	1996-04-09	VYDAJ	PREVOD NA UCET	2304	19138	\N	IJ	34674823
1066397	3644	1996-05-09	VYDAJ	PREVOD NA UCET	2304	18366	\N	IJ	34674823
1066398	3644	1996-06-09	VYDAJ	PREVOD NA UCET	2304	17591	\N	IJ	34674823
1066399	3644	1996-07-09	VYDAJ	PREVOD NA UCET	2304	14970	\N	IJ	34674823
1066400	3644	1996-08-09	VYDAJ	PREVOD NA UCET	2304	14712	\N	IJ	34674823
1066401	3644	1996-09-09	VYDAJ	PREVOD NA UCET	2304	12920	\N	IJ	34674823
1066402	3644	1996-10-09	VYDAJ	PREVOD NA UCET	2304	11520	\N	IJ	34674823
1066403	3644	1996-11-09	VYDAJ	PREVOD NA UCET	2304	12717	\N	IJ	34674823
1066404	3644	1996-12-09	VYDAJ	PREVOD NA UCET	2304	12818	\N	IJ	34674823
1066405	3644	1997-01-09	VYDAJ	PREVOD NA UCET	2304	11387	\N	IJ	34674823
1066406	3644	1997-02-09	VYDAJ	PREVOD NA UCET	2304	12583	\N	IJ	34674823
1066407	3644	1997-03-09	VYDAJ	PREVOD NA UCET	2304	11181	\N	IJ	34674823
1066408	3644	1997-04-09	VYDAJ	PREVOD NA UCET	2304	12377	\N	IJ	34674823
1066409	3644	1997-05-09	VYDAJ	PREVOD NA UCET	2304	13577	\N	IJ	34674823
1066410	3644	1997-06-09	VYDAJ	PREVOD NA UCET	2304	12079	\N	IJ	34674823
1066411	3644	1997-07-09	VYDAJ	PREVOD NA UCET	2304	13278	\N	IJ	34674823
1066412	3644	1997-08-09	VYDAJ	PREVOD NA UCET	2304	14482	\N	IJ	34674823
1066413	3644	1997-09-09	VYDAJ	PREVOD NA UCET	2304	14910	\N	IJ	34674823
1066414	3644	1997-10-09	VYDAJ	PREVOD NA UCET	2304	14797	\N	IJ	34674823
1066415	3644	1997-11-09	VYDAJ	PREVOD NA UCET	2304	16007	\N	IJ	34674823
1066416	3644	1997-12-09	VYDAJ	PREVOD NA UCET	2304	15842	\N	IJ	34674823
1066417	3644	1998-01-09	VYDAJ	PREVOD NA UCET	2304	14955	\N	IJ	34674823
1066418	3644	1998-02-09	VYDAJ	PREVOD NA UCET	2304	16166	\N	IJ	34674823
1066419	3644	1998-03-09	VYDAJ	PREVOD NA UCET	2304	17142	\N	IJ	34674823
1066420	3644	1998-04-09	VYDAJ	PREVOD NA UCET	2304	14454	\N	IJ	34674823
1066421	3644	1998-05-09	VYDAJ	PREVOD NA UCET	2304	15662	\N	IJ	34674823
1066422	3644	1998-06-09	VYDAJ	PREVOD NA UCET	2304	15494	\N	IJ	34674823
1066423	3644	1998-07-09	VYDAJ	PREVOD NA UCET	2304	15904	\N	IJ	34674823
1066424	3644	1998-08-09	VYDAJ	PREVOD NA UCET	2304	15737	\N	IJ	34674823
1066425	3644	1998-09-09	VYDAJ	PREVOD NA UCET	2304	15278	\N	IJ	34674823
1066426	3644	1998-10-09	VYDAJ	PREVOD NA UCET	2304	15888	\N	IJ	34674823
1066427	3644	1998-11-09	VYDAJ	PREVOD NA UCET	2304	17102	\N	IJ	34674823
1066428	3644	1998-12-09	VYDAJ	PREVOD NA UCET	2304	17781	\N	IJ	34674823
1066430	3644	1994-06-16	VYDAJ	VYBER	7290	17560	\N	\N	\N
1066431	3644	1995-06-06	VYDAJ	VYBER	4590	19043	\N	\N	\N
1066436	3644	1994-01-22	VYDAJ	VYBER	1860	19585	\N	\N	\N
1066437	3644	1995-01-30	VYDAJ	VYBER	300	23409	\N	\N	\N
1066438	3644	1996-01-19	VYDAJ	VYBER	2430	19738	\N	\N	\N
1066440	3644	1998-01-08	VYDAJ	VYBER	1950	17259	\N	\N	\N
1066441	3644	1993-12-09	VYDAJ	VYBER	390	18865	\N	\N	\N
1066442	3644	1994-12-27	VYDAJ	VYBER	600	22578	\N	\N	\N
1066443	3644	1995-12-26	VYDAJ	VYBER	330	20945	\N	\N	\N
1066444	3644	1996-12-17	VYDAJ	VYBER	570	15704	\N	\N	\N
1066445	3644	1997-12-11	VYDAJ	VYBER	150	15692	\N	\N	\N
1066446	3644	1998-12-05	VYDAJ	VYBER	540	20085	\N	\N	\N
1066449	3644	1993-12-09	VYDAJ	VYBER	1350	17515	\N	\N	\N
1066450	3644	1993-09-21	VYDAJ	VYBER	390	19049	\N	\N	\N
1066452	3644	1994-06-12	VYDAJ	VYBER	300	21394	\N	\N	\N
1066453	3644	1994-01-19	VYDAJ	VYBER	750	21445	\N	\N	\N
1066454	3644	1994-10-30	VYDAJ	VYBER	1020	20725	\N	\N	\N
1066455	3644	1994-03-04	VYDAJ	VYBER	270	20308	\N	\N	\N
1066456	3644	1994-02-05	VYDAJ	VYBER	300	19358	\N	\N	\N
1066457	3644	1994-08-06	VYDAJ	VYBER	690	18156	\N	\N	\N
1066458	3644	1995-11-08	VYDAJ	VYBER	630	18904	\N	\N	\N
1066459	3644	1995-05-31	VYDAJ	VYBER	870	23648	\N	\N	\N
1066460	3644	1995-11-01	VYDAJ	VYBER	930	19534	\N	\N	\N
1066461	3644	1995-10-23	VYDAJ	VYBER	1230	23878	\N	\N	\N
1066462	3644	1995-05-01	VYDAJ	VYBER	750	26067	\N	\N	\N
1066463	3644	1996-04-21	VYDAJ	VYBER	300	22294	\N	\N	\N
1066464	3644	1996-08-02	VYDAJ	VYBER	1470	17016	\N	\N	\N
1066465	3644	1996-12-18	VYDAJ	VYBER	660	15044	\N	\N	\N
1066466	3644	1996-06-16	VYDAJ	VYBER	540	20507	\N	\N	\N
1066467	3644	1996-02-01	VYDAJ	VYBER	810	19000	\N	\N	\N
1066468	3644	1997-11-27	VYDAJ	VYBER	1380	18083	\N	\N	\N
1066469	3644	1997-09-13	VYDAJ	VYBER	1320	17046	\N	\N	\N
1066472	3644	1997-08-24	VYDAJ	VYBER	780	17158	\N	\N	\N
1066474	3644	1998-08-08	VYDAJ	VYBER	750	18041	\N	\N	\N
1066475	3644	1998-02-27	VYDAJ	VYBER	240	19382	\N	\N	\N
1066476	3644	1998-07-16	VYDAJ	VYBER	630	18730	\N	\N	\N
1066477	3644	1998-09-08	VYDAJ	VYBER	1170	17582	\N	\N	\N
1066478	3644	1998-06-02	VYDAJ	VYBER	480	17798	\N	\N	\N
1066487	3644	1993-08-31	VYDAJ	VYBER	15	18287	SLUZBY	\N	\N
1066488	3644	1993-09-30	VYDAJ	VYBER	15	19113	SLUZBY	\N	\N
1066489	3644	1993-10-31	VYDAJ	VYBER	15	20333	SLUZBY	\N	\N
1066490	3644	1993-11-30	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
1066491	3644	1993-12-31	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
1066492	3644	1994-01-31	VYDAJ	VYBER	15	19658	SLUZBY	\N	\N
1066493	3644	1994-02-28	VYDAJ	VYBER	15	20578	SLUZBY	\N	\N
1066494	3644	1994-03-31	VYDAJ	VYBER	15	21532	SLUZBY	\N	\N
1066495	3644	1994-04-30	VYDAJ	VYBER	15	22762	SLUZBY	\N	\N
1066496	3644	1994-05-31	VYDAJ	VYBER	15	23998	SLUZBY	\N	\N
1066497	3644	1994-06-30	VYDAJ	VYBER	15	17632	SLUZBY	\N	\N
1066498	3644	1994-07-31	VYDAJ	VYBER	15	18846	SLUZBY	\N	\N
1066499	3644	1994-08-31	VYDAJ	VYBER	15	19371	SLUZBY	\N	\N
1066500	3644	1994-09-30	VYDAJ	VYBER	15	20593	SLUZBY	\N	\N
1066501	3644	1994-10-31	VYDAJ	VYBER	15	20799	SLUZBY	\N	\N
1066503	3644	1994-12-31	VYDAJ	VYBER	15	22657	SLUZBY	\N	\N
1066504	3644	1995-01-31	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
1066505	3644	1995-02-28	VYDAJ	VYBER	15	24729	SLUZBY	\N	\N
1066506	3644	1995-03-31	VYDAJ	VYBER	15	25570	SLUZBY	\N	\N
1066507	3644	1995-04-30	VYDAJ	VYBER	15	26817	SLUZBY	\N	\N
1066508	3644	1995-05-31	VYDAJ	VYBER	15	23633	SLUZBY	\N	\N
1066509	3644	1995-06-30	VYDAJ	VYBER	15	20267	SLUZBY	\N	\N
1066510	3644	1995-07-31	VYDAJ	VYBER	15	21491	SLUZBY	\N	\N
1066511	3644	1995-08-31	VYDAJ	VYBER	15	22721	SLUZBY	\N	\N
1066512	3644	1995-09-30	VYDAJ	VYBER	15	23956	SLUZBY	\N	\N
1066513	3644	1995-10-31	VYDAJ	VYBER	15	20464	SLUZBY	\N	\N
1066514	3644	1995-11-30	VYDAJ	VYBER	15	20123	SLUZBY	\N	\N
1066515	3644	1995-12-31	VYDAJ	VYBER	15	21016	SLUZBY	\N	\N
1066516	3644	1996-01-31	VYDAJ	VYBER	15	19810	SLUZBY	\N	\N
1066517	3644	1996-02-29	VYDAJ	VYBER	15	20218	SLUZBY	\N	\N
1066518	3644	1996-03-31	VYDAJ	VYBER	15	21442	SLUZBY	\N	\N
1066519	3644	1996-04-30	VYDAJ	VYBER	15	20670	SLUZBY	\N	\N
1066520	3644	1996-05-31	VYDAJ	VYBER	15	19895	SLUZBY	\N	\N
1066521	3644	1996-06-30	VYDAJ	VYBER	15	17274	SLUZBY	\N	\N
1066522	3644	1996-07-31	VYDAJ	VYBER	15	18486	SLUZBY	\N	\N
1066523	3644	1996-08-31	VYDAJ	VYBER	15	15224	SLUZBY	\N	\N
1066524	3644	1996-09-30	VYDAJ	VYBER	15	13824	SLUZBY	\N	\N
1066525	3644	1996-10-31	VYDAJ	VYBER	15	15021	SLUZBY	\N	\N
1066526	3644	1996-11-30	VYDAJ	VYBER	15	15122	SLUZBY	\N	\N
1066527	3644	1996-12-31	VYDAJ	VYBER	15	13691	SLUZBY	\N	\N
1066528	3644	1997-01-31	VYDAJ	VYBER	15	14887	SLUZBY	\N	\N
1066529	3644	1997-02-28	VYDAJ	VYBER	15	13485	SLUZBY	\N	\N
1066530	3644	1997-03-31	VYDAJ	VYBER	15	14681	SLUZBY	\N	\N
1066531	3644	1997-04-30	VYDAJ	VYBER	15	15881	SLUZBY	\N	\N
1066532	3644	1997-05-31	VYDAJ	VYBER	15	14383	SLUZBY	\N	\N
1066533	3644	1997-06-30	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
1066534	3644	1997-07-31	VYDAJ	VYBER	15	16786	SLUZBY	\N	\N
1066535	3644	1997-08-31	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
1066536	3644	1997-09-30	VYDAJ	VYBER	15	17101	SLUZBY	\N	\N
1066537	3644	1997-10-31	VYDAJ	VYBER	15	18311	SLUZBY	\N	\N
1066538	3644	1997-11-30	VYDAJ	VYBER	15	18146	SLUZBY	\N	\N
1066539	3644	1997-12-31	VYDAJ	VYBER	15	19209	SLUZBY	\N	\N
1066540	3644	1998-01-31	VYDAJ	VYBER	15	18470	SLUZBY	\N	\N
1066541	3644	1998-02-28	VYDAJ	VYBER	15	19446	SLUZBY	\N	\N
1066542	3644	1998-03-31	VYDAJ	VYBER	15	16758	SLUZBY	\N	\N
1066543	3644	1998-04-30	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
1066544	3644	1998-05-31	VYDAJ	VYBER	15	18278	SLUZBY	\N	\N
1066545	3644	1998-06-30	VYDAJ	VYBER	15	18208	SLUZBY	\N	\N
1066546	3644	1998-07-31	VYDAJ	VYBER	15	18791	SLUZBY	\N	\N
1066547	3644	1998-08-31	VYDAJ	VYBER	15	18752	SLUZBY	\N	\N
1066548	3644	1998-09-30	VYDAJ	VYBER	15	18192	SLUZBY	\N	\N
1066549	3644	1998-10-31	VYDAJ	VYBER	15	19406	SLUZBY	\N	\N
1066550	3644	1998-11-30	VYDAJ	VYBER	15	20625	SLUZBY	\N	\N
1066551	3644	1995-01-03	VYDAJ	VYBER	100	22557	\N	\N	\N
1066552	3644	1995-03-04	VYDAJ	VYBER	400	24329	\N	\N	\N
1066553	3644	1995-05-03	VYDAJ	VYBER	2800	23267	\N	\N	\N
1066554	3644	1995-10-30	VYDAJ	VYBER	3500	20378	\N	\N	\N
1066555	3644	1996-04-27	VYDAJ	VYBER	1700	20594	\N	\N	\N
1066556	3644	1996-05-27	VYDAJ	VYBER	2000	19822	\N	\N	\N
1066557	3644	1996-06-26	VYDAJ	VYBER	3300	17207	\N	\N	\N
1066558	3644	1996-08-25	VYDAJ	VYBER	3000	15168	\N	\N	\N
1066559	3644	1996-09-24	VYDAJ	VYBER	2600	13776	\N	\N	\N
1066560	3644	1996-11-23	VYDAJ	VYBER	1100	15073	\N	\N	\N
1066561	3644	1996-12-23	VYDAJ	VYBER	1400	13644	\N	\N	\N
1066562	3644	1997-02-21	VYDAJ	VYBER	2600	13439	\N	\N	\N
1066563	3644	1997-05-22	VYDAJ	VYBER	2700	14333	\N	\N	\N
1066564	3644	1998-03-18	VYDAJ	VYBER	3900	16698	\N	\N	\N
1066565	3644	1998-05-17	VYDAJ	VYBER	900	18218	\N	\N	\N
1066566	3644	1998-06-16	VYDAJ	VYBER	800	18150	\N	\N	\N
1066567	3644	1998-08-15	VYDAJ	VYBER	500	18693	\N	\N	\N
1066568	3644	1998-09-14	VYDAJ	VYBER	600	18134	\N	\N	\N
1066638	3645	1996-06-18	PRIJEM	VKLAD	300	300	\N	\N	\N
1066645	3645	1996-07-11	PRIJEM	VKLAD	15761	16061	\N	\N	\N
1066646	3645	1996-08-11	PRIJEM	VKLAD	15761	35359	\N	\N	\N
1066647	3645	1996-09-11	PRIJEM	VKLAD	15761	46925	\N	\N	\N
1066648	3645	1996-10-11	PRIJEM	VKLAD	15761	53128	\N	\N	\N
1066649	3645	1996-11-11	PRIJEM	VKLAD	15761	53745	\N	\N	\N
1066650	3645	1996-12-11	PRIJEM	VKLAD	23642	52447	\N	\N	\N
1066651	3645	1997-01-11	PRIJEM	VKLAD	15761	45968	\N	\N	\N
1066652	3645	1997-02-11	PRIJEM	VKLAD	15761	38067	\N	\N	\N
1066653	3645	1997-03-11	PRIJEM	VKLAD	15761	44752	\N	\N	\N
1066654	3645	1997-04-11	PRIJEM	VKLAD	15761	48661	\N	\N	\N
1066655	3645	1997-05-11	PRIJEM	VKLAD	15761	47673	\N	\N	\N
1066656	3645	1997-06-11	PRIJEM	VKLAD	23642	47352	\N	\N	\N
1066657	3645	1997-07-11	PRIJEM	VKLAD	15761	44242	\N	\N	\N
1066658	3645	1997-08-11	PRIJEM	VKLAD	15761	38432	\N	\N	\N
1066659	3645	1997-09-11	PRIJEM	VKLAD	15761	42318	\N	\N	\N
1066660	3645	1997-10-11	PRIJEM	VKLAD	15761	40199	\N	\N	\N
1066661	3645	1997-11-11	PRIJEM	VKLAD	15761	37068	\N	\N	\N
1066662	3645	1997-12-11	PRIJEM	VKLAD	23642	44127	\N	\N	\N
1066663	3645	1998-01-11	PRIJEM	VKLAD	15761	41128	\N	\N	\N
1066664	3645	1998-02-11	PRIJEM	VKLAD	15761	33419	\N	\N	\N
1066665	3645	1998-03-11	PRIJEM	VKLAD	15761	36489	\N	\N	\N
1066666	3645	1998-04-11	PRIJEM	VKLAD	15761	38668	\N	\N	\N
1066667	3645	1998-05-11	PRIJEM	VKLAD	15761	37048	\N	\N	\N
1066668	3645	1998-06-11	PRIJEM	VKLAD	23642	47016	\N	\N	\N
1066669	3645	1998-07-11	PRIJEM	VKLAD	15761	44633	\N	\N	\N
1066670	3645	1998-08-11	PRIJEM	VKLAD	15761	37654	\N	\N	\N
1066671	3645	1998-09-11	PRIJEM	VKLAD	15761	32051	\N	\N	\N
1066672	3645	1998-10-11	PRIJEM	VKLAD	15761	30927	\N	\N	\N
1066673	3645	1998-11-11	PRIJEM	VKLAD	15761	29792	\N	\N	\N
1066674	3645	1998-12-11	PRIJEM	VKLAD	23642	37633	\N	\N	\N
1066685	3645	1996-11-12	VYDAJ	PREVOD NA UCET	7021	44073	SIPO	UV	37983209
1066686	3645	1996-12-12	VYDAJ	PREVOD NA UCET	7021	42775	SIPO	UV	37983209
1066687	3645	1997-01-12	VYDAJ	PREVOD NA UCET	7021	36296	SIPO	UV	37983209
1066688	3645	1997-02-12	VYDAJ	PREVOD NA UCET	7021	28395	SIPO	UV	37983209
1066689	3645	1997-03-12	VYDAJ	PREVOD NA UCET	7021	35080	SIPO	UV	37983209
1066690	3645	1997-04-12	VYDAJ	PREVOD NA UCET	7021	38989	SIPO	UV	37983209
1066691	3645	1997-05-12	VYDAJ	PREVOD NA UCET	7021	38001	SIPO	UV	37983209
1066692	3645	1997-06-12	VYDAJ	PREVOD NA UCET	7021	37680	SIPO	UV	37983209
1066693	3645	1997-07-12	VYDAJ	PREVOD NA UCET	7021	34570	SIPO	UV	37983209
1066694	3645	1997-08-12	VYDAJ	PREVOD NA UCET	7021	26460	SIPO	UV	37983209
1066695	3645	1997-09-12	VYDAJ	PREVOD NA UCET	7021	24346	SIPO	UV	37983209
1066696	3645	1997-10-12	VYDAJ	PREVOD NA UCET	7021	21727	SIPO	UV	37983209
1066697	3645	1997-11-12	VYDAJ	PREVOD NA UCET	7021	27396	SIPO	UV	37983209
1066698	3645	1997-12-12	VYDAJ	PREVOD NA UCET	7021	34455	SIPO	UV	37983209
1066699	3645	1998-01-12	VYDAJ	PREVOD NA UCET	7021	31456	SIPO	UV	37983209
1066700	3645	1998-02-12	VYDAJ	PREVOD NA UCET	7021	23747	SIPO	UV	37983209
1066701	3645	1998-03-12	VYDAJ	PREVOD NA UCET	7021	26817	SIPO	UV	37983209
1066702	3645	1998-04-12	VYDAJ	PREVOD NA UCET	7021	28996	SIPO	UV	37983209
1066703	3645	1998-05-12	VYDAJ	PREVOD NA UCET	7021	27376	SIPO	UV	37983209
1066704	3645	1998-06-12	VYDAJ	PREVOD NA UCET	7021	37344	SIPO	UV	37983209
1066705	3645	1998-07-12	VYDAJ	PREVOD NA UCET	7021	34961	SIPO	UV	37983209
1066706	3645	1998-08-12	VYDAJ	PREVOD NA UCET	7021	27982	SIPO	UV	37983209
1066707	3645	1998-09-12	VYDAJ	PREVOD NA UCET	7021	22379	SIPO	UV	37983209
1066708	3645	1998-10-12	VYDAJ	PREVOD NA UCET	7021	21255	SIPO	UV	37983209
1066709	3645	1998-11-12	VYDAJ	PREVOD NA UCET	7021	20120	SIPO	UV	37983209
1066710	3645	1998-12-12	VYDAJ	PREVOD NA UCET	7021	27961	SIPO	UV	37983209
1066721	3645	1996-11-11	VYDAJ	PREVOD NA UCET	2651	51094	 	AB	95973336
1066722	3645	1996-12-11	VYDAJ	PREVOD NA UCET	2651	49796	 	AB	95973336
1066723	3645	1997-01-11	VYDAJ	PREVOD NA UCET	2651	43317	 	AB	95973336
1066724	3645	1997-02-11	VYDAJ	PREVOD NA UCET	2651	35416	 	AB	95973336
1066725	3645	1997-03-11	VYDAJ	PREVOD NA UCET	2651	42101	 	AB	95973336
1066726	3645	1997-04-11	VYDAJ	PREVOD NA UCET	2651	46010	 	AB	95973336
1066727	3645	1997-05-11	VYDAJ	PREVOD NA UCET	2651	45022	 	AB	95973336
1066728	3645	1997-06-11	VYDAJ	PREVOD NA UCET	2651	44701	 	AB	95973336
1066729	3645	1997-07-11	VYDAJ	PREVOD NA UCET	2651	41591	 	AB	95973336
1066730	3645	1997-08-11	VYDAJ	PREVOD NA UCET	2651	35781	 	AB	95973336
1066731	3645	1997-09-11	VYDAJ	PREVOD NA UCET	2651	39667	 	AB	95973336
1066732	3645	1997-10-11	VYDAJ	PREVOD NA UCET	2651	37548	 	AB	95973336
1066733	3645	1997-11-11	VYDAJ	PREVOD NA UCET	2651	34417	 	AB	95973336
1066734	3645	1997-12-11	VYDAJ	PREVOD NA UCET	2651	41476	 	AB	95973336
1066735	3645	1998-01-11	VYDAJ	PREVOD NA UCET	2651	38477	 	AB	95973336
1066736	3645	1998-02-11	VYDAJ	PREVOD NA UCET	2651	30768	 	AB	95973336
1066737	3645	1998-03-11	VYDAJ	PREVOD NA UCET	2651	33838	 	AB	95973336
1066738	3645	1998-04-11	VYDAJ	PREVOD NA UCET	2651	36017	 	AB	95973336
1066739	3645	1998-05-11	VYDAJ	PREVOD NA UCET	2651	34397	 	AB	95973336
1066740	3645	1998-06-11	VYDAJ	PREVOD NA UCET	2651	44365	 	AB	95973336
1066741	3645	1998-07-11	VYDAJ	PREVOD NA UCET	2651	41982	 	AB	95973336
1066742	3645	1998-08-11	VYDAJ	PREVOD NA UCET	2651	35003	 	AB	95973336
1066743	3645	1998-09-11	VYDAJ	PREVOD NA UCET	2651	29400	 	AB	95973336
1066744	3645	1998-10-11	VYDAJ	PREVOD NA UCET	2651	28276	 	AB	95973336
1066745	3645	1998-11-11	VYDAJ	PREVOD NA UCET	2651	27141	 	AB	95973336
1066746	3645	1998-12-11	VYDAJ	PREVOD NA UCET	2651	34982	 	AB	95973336
1066751	3645	1997-01-02	VYDAJ	VYBER	2300	32307	\N	\N	\N
1066752	3645	1998-01-22	VYDAJ	VYBER	1800	21956	\N	\N	\N
1066753	3645	1996-12-04	VYDAJ	VYBER	1400	28805	\N	\N	\N
1066754	3645	1997-12-02	VYDAJ	VYBER	500	23185	\N	\N	\N
1066755	3645	1998-12-30	VYDAJ	VYBER	800	23661	\N	\N	\N
1066762	3645	1997-01-10	VYDAJ	VYBER	2100	30207	\N	\N	\N
1066763	3645	1997-01-22	VYDAJ	VYBER	1600	24296	\N	\N	\N
1066764	3645	1997-01-02	VYDAJ	VYBER	500	34607	\N	\N	\N
1066765	3645	1997-01-22	VYDAJ	VYBER	2600	25896	\N	\N	\N
1066766	3645	1997-01-16	VYDAJ	VYBER	1300	28496	\N	\N	\N
1066767	3645	1997-01-29	VYDAJ	VYBER	2100	22196	\N	\N	\N
1066768	3645	1998-01-18	VYDAJ	VYBER	900	27956	\N	\N	\N
1066769	3645	1998-01-16	VYDAJ	VYBER	2600	28856	\N	\N	\N
1066770	3645	1998-01-21	VYDAJ	VYBER	1400	23756	\N	\N	\N
1066771	3645	1998-01-02	VYDAJ	VYBER	2100	32467	\N	\N	\N
1066772	3645	1998-01-19	VYDAJ	VYBER	2800	25156	\N	\N	\N
1066773	3645	1998-01-24	VYDAJ	VYBER	900	21056	\N	\N	\N
1066776	3645	1996-12-20	VYDAJ	VYBER	2000	34975	\N	\N	\N
1066779	3645	1996-11-18	VYDAJ	VYBER	4400	30073	\N	\N	\N
1066781	3645	1997-05-29	VYDAJ	VYBER	3400	23601	\N	\N	\N
1066782	3645	1997-07-17	VYDAJ	VYBER	2700	25970	\N	\N	\N
1066783	3645	1997-12-06	VYDAJ	VYBER	3700	19485	\N	\N	\N
1066784	3645	1997-11-24	VYDAJ	VYBER	3800	23596	\N	\N	\N
1066785	3645	1997-08-09	VYDAJ	VYBER	3400	22671	\N	\N	\N
1066786	3645	1998-12-22	VYDAJ	VYBER	3500	24461	\N	\N	\N
1066787	3645	1998-07-26	VYDAJ	VYBER	3500	31461	\N	\N	\N
1066788	3645	1998-04-13	VYDAJ	VYBER	3400	25596	\N	\N	\N
1066790	3645	1998-03-23	VYDAJ	VYBER	3500	23317	\N	\N	\N
1066802	3645	1996-11-30	VYDAJ	VYBER	15	30205	SLUZBY	\N	\N
1066803	3645	1996-12-31	VYDAJ	VYBER	15	35107	SLUZBY	\N	\N
1066804	3645	1997-01-31	VYDAJ	VYBER	15	22306	SLUZBY	\N	\N
1066805	3645	1997-02-28	VYDAJ	VYBER	15	28991	SLUZBY	\N	\N
1066806	3645	1997-03-31	VYDAJ	VYBER	15	32900	SLUZBY	\N	\N
1066807	3645	1997-04-30	VYDAJ	VYBER	15	31912	SLUZBY	\N	\N
1066808	3645	1997-05-31	VYDAJ	VYBER	15	23710	SLUZBY	\N	\N
1066809	3645	1997-06-30	VYDAJ	VYBER	15	28481	SLUZBY	\N	\N
1066810	3645	1997-07-31	VYDAJ	VYBER	15	26071	SLUZBY	\N	\N
1066811	3645	1997-08-31	VYDAJ	VYBER	15	26557	SLUZBY	\N	\N
1066812	3645	1997-09-30	VYDAJ	VYBER	15	24438	SLUZBY	\N	\N
1066813	3645	1997-10-31	VYDAJ	VYBER	15	21807	SLUZBY	\N	\N
1066814	3645	1997-11-30	VYDAJ	VYBER	15	23685	SLUZBY	\N	\N
1066815	3645	1997-12-31	VYDAJ	VYBER	15	34567	SLUZBY	\N	\N
1066816	3645	1998-01-31	VYDAJ	VYBER	15	21158	SLUZBY	\N	\N
1066817	3645	1998-02-28	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
1066818	3645	1998-03-31	VYDAJ	VYBER	15	23407	SLUZBY	\N	\N
1066819	3645	1998-04-30	VYDAJ	VYBER	15	25687	SLUZBY	\N	\N
1066820	3645	1998-05-31	VYDAJ	VYBER	15	27474	SLUZBY	\N	\N
1066821	3645	1998-06-30	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
1066822	3645	1998-07-31	VYDAJ	VYBER	15	31593	SLUZBY	\N	\N
1066823	3645	1998-08-31	VYDAJ	VYBER	15	28090	SLUZBY	\N	\N
1066824	3645	1998-09-30	VYDAJ	VYBER	15	22466	SLUZBY	\N	\N
1066825	3645	1998-10-31	VYDAJ	VYBER	15	21331	SLUZBY	\N	\N
1066826	3645	1998-11-30	VYDAJ	VYBER	15	20191	SLUZBY	\N	\N
1066827	3645	1996-07-18	PRIJEM	VKLAD	3500	19561	\N	\N	\N
1066828	3645	1996-08-17	VYDAJ	VYBER	4300	31059	\N	\N	\N
1066829	3645	1996-09-16	VYDAJ	VYBER	9700	37225	\N	\N	\N
1066830	3645	1996-10-16	VYDAJ	VYBER	15300	37828	\N	\N	\N
1066831	3645	1996-11-15	VYDAJ	VYBER	9600	34473	\N	\N	\N
1066832	3645	1996-12-15	VYDAJ	VYBER	5800	36975	\N	\N	\N
1066833	3645	1997-01-14	VYDAJ	VYBER	6500	29796	\N	\N	\N
1066834	3645	1997-02-13	PRIJEM	VKLAD	500	28895	\N	\N	\N
1066835	3645	1997-03-15	VYDAJ	VYBER	2300	32780	\N	\N	\N
1066836	3645	1997-04-14	VYDAJ	VYBER	7200	31789	\N	\N	\N
1066837	3645	1997-05-14	VYDAJ	VYBER	11000	27001	\N	\N	\N
1066838	3645	1997-06-13	VYDAJ	VYBER	9300	28380	\N	\N	\N
1066839	3645	1997-07-13	VYDAJ	VYBER	5900	28670	\N	\N	\N
1066840	3645	1997-08-12	VYDAJ	VYBER	2300	33481	\N	\N	\N
1066841	3645	1997-09-11	VYDAJ	VYBER	8300	31367	\N	\N	\N
1066842	3645	1997-10-11	VYDAJ	VYBER	8800	28748	\N	\N	\N
1066843	3645	1997-11-10	VYDAJ	VYBER	500	21307	\N	\N	\N
1066844	3645	1997-12-10	PRIJEM	VKLAD	1000	20485	\N	\N	\N
1066845	3645	1998-01-09	VYDAJ	VYBER	7100	25367	\N	\N	\N
1066846	3645	1998-02-08	VYDAJ	VYBER	3500	17658	\N	\N	\N
1066847	3645	1998-03-10	VYDAJ	VYBER	3100	20728	\N	\N	\N
1066848	3645	1998-04-09	VYDAJ	VYBER	500	22907	\N	\N	\N
1066849	3645	1998-05-09	VYDAJ	VYBER	4400	21287	\N	\N	\N
1066850	3645	1998-06-08	VYDAJ	VYBER	4100	23374	\N	\N	\N
1066851	3645	1998-07-08	VYDAJ	VYBER	8600	28872	\N	\N	\N
1066852	3645	1998-08-07	VYDAJ	VYBER	9700	21893	\N	\N	\N
1066853	3645	1998-09-06	VYDAJ	VYBER	11800	16290	\N	\N	\N
1066854	3645	1998-10-06	VYDAJ	VYBER	7300	15166	\N	\N	\N
1066855	3645	1998-11-05	VYDAJ	VYBER	7300	14031	\N	\N	\N
1066856	3645	1998-12-05	VYDAJ	VYBER	6200	13991	\N	\N	\N
1066887	3646	1995-10-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1066892	3646	1995-12-20	PRIJEM	VKLAD	30872	54163	\N	\N	\N
1066897	3646	1995-11-02	PRIJEM	VKLAD	5765	6865	\N	\N	\N
1066909	3646	1995-11-16	PRIJEM	VKLAD	23169	30034	\N	\N	\N
1066912	3646	1996-10-26	PRIJEM	VKLAD	28778	126510	\N	\N	\N
1066913	3646	1996-04-04	PRIJEM	VKLAD	11537	78549	\N	\N	\N
1066914	3646	1996-10-18	PRIJEM	VKLAD	31284	117332	\N	\N	\N
1066915	3646	1996-06-19	PRIJEM	VKLAD	5728	33495	\N	\N	\N
1066916	3646	1996-03-10	PRIJEM	VKLAD	38698	102664	\N	\N	\N
1066917	3646	1996-08-30	PRIJEM	VKLAD	24751	50009	\N	\N	\N
1066918	3646	1996-01-31	PRIJEM	VKLAD	5583	56816	\N	\N	\N
1066919	3646	1996-10-18	PRIJEM	VKLAD	47801	86048	\N	\N	\N
1066920	3646	1996-02-24	PRIJEM	VKLAD	42816	84165	\N	\N	\N
1066921	3646	1996-01-13	PRIJEM	VKLAD	20895	75213	\N	\N	\N
1066922	3646	1996-12-19	PRIJEM	VKLAD	7664	76801	\N	\N	\N
1066923	3646	1996-09-10	PRIJEM	VKLAD	37572	64317	\N	\N	\N
1066924	3646	1996-08-07	PRIJEM	VKLAD	5117	31786	\N	\N	\N
1066925	3646	1996-06-23	PRIJEM	VKLAD	35851	62446	\N	\N	\N
1066926	3646	1996-06-04	PRIJEM	VKLAD	45460	82004	\N	\N	\N
1066927	3646	1996-11-24	PRIJEM	VKLAD	46430	99716	\N	\N	\N
1066928	3646	1996-03-17	PRIJEM	VKLAD	28105	127914	\N	\N	\N
1066929	3646	1997-01-14	PRIJEM	VKLAD	49827	86153	\N	\N	\N
1066930	3646	1997-01-30	PRIJEM	VKLAD	24894	94847	\N	\N	\N
1066931	3646	1997-03-25	PRIJEM	VKLAD	17994	121636	\N	\N	\N
1066932	3646	1997-10-22	PRIJEM	VKLAD	45862	106675	\N	\N	\N
1066933	3646	1997-10-21	PRIJEM	VKLAD	48882	121713	\N	\N	\N
1066934	3646	1997-03-14	PRIJEM	VKLAD	28391	90676	\N	\N	\N
1066935	3646	1997-01-31	PRIJEM	VKLAD	22447	117550	\N	\N	\N
1066936	3646	1997-09-16	PRIJEM	VKLAD	22702	102327	\N	\N	\N
1066937	3646	1997-11-11	PRIJEM	VKLAD	36304	110510	\N	\N	\N
1066938	3646	1997-03-21	PRIJEM	VKLAD	12966	103642	\N	\N	\N
1066939	3646	1997-08-02	PRIJEM	VKLAD	43622	103559	\N	\N	\N
1066940	3646	1997-04-02	PRIJEM	VKLAD	33320	117095	\N	\N	\N
1066941	3646	1997-09-14	PRIJEM	VKLAD	42260	98961	\N	\N	\N
1066942	3646	1997-07-15	PRIJEM	VKLAD	25133	88267	\N	\N	\N
1066943	3646	1997-05-02	PRIJEM	VKLAD	5164	74389	\N	\N	\N
1066944	3646	1997-09-29	PRIJEM	VKLAD	20521	97242	\N	\N	\N
1066945	3646	1997-02-21	PRIJEM	VKLAD	46998	109354	\N	\N	\N
1066946	3646	1997-07-05	PRIJEM	VKLAD	22113	77971	\N	\N	\N
1066947	3646	1997-06-28	PRIJEM	VKLAD	17045	55655	\N	\N	\N
1066948	3646	1997-09-14	PRIJEM	VKLAD	29064	128025	\N	\N	\N
1066949	3646	1997-10-26	PRIJEM	VKLAD	48342	108392	\N	\N	\N
1066950	3646	1997-12-10	PRIJEM	VKLAD	29326	95179	\N	\N	\N
1066951	3646	1997-04-20	PRIJEM	VKLAD	38069	80837	\N	\N	\N
1066952	3646	1997-05-09	PRIJEM	VKLAD	48160	119367	\N	\N	\N
1066953	3646	1997-09-17	PRIJEM	VKLAD	39194	141521	\N	\N	\N
1066954	3646	1997-08-04	PRIJEM	VKLAD	27900	115397	\N	\N	\N
1066955	3646	1997-08-05	PRIJEM	VKLAD	33362	120259	\N	\N	\N
1066956	3646	1997-02-09	PRIJEM	VKLAD	33973	86111	\N	\N	\N
1066957	3646	1998-05-19	PRIJEM	VKLAD	33059	117521	\N	\N	\N
1066958	3646	1998-10-26	PRIJEM	VKLAD	35020	105819	\N	\N	\N
1066959	3646	1998-05-19	PRIJEM	VKLAD	17168	84462	\N	\N	\N
1066960	3646	1998-06-23	PRIJEM	VKLAD	9532	54949	\N	\N	\N
1066961	3646	1998-04-09	PRIJEM	VKLAD	35559	92855	\N	\N	\N
1066962	3646	1998-04-23	PRIJEM	VKLAD	20123	110123	\N	\N	\N
1066963	3646	1998-03-24	PRIJEM	VKLAD	41522	77994	\N	\N	\N
1066964	3646	1998-01-13	PRIJEM	VKLAD	34520	93169	\N	\N	\N
1066965	3646	1998-10-19	PRIJEM	VKLAD	42705	98423	\N	\N	\N
1066966	3646	1998-09-29	PRIJEM	VKLAD	14689	66040	\N	\N	\N
1066967	3646	1998-01-02	PRIJEM	VKLAD	39946	125386	\N	\N	\N
1066968	3646	1998-08-19	PRIJEM	VKLAD	41296	96054	\N	\N	\N
1066969	3646	1998-08-14	PRIJEM	VKLAD	22349	54758	\N	\N	\N
1066970	3646	1998-12-01	PRIJEM	VKLAD	44404	110811	\N	\N	\N
1066971	3646	1998-10-19	PRIJEM	VKLAD	18614	117037	\N	\N	\N
1066972	3646	1998-01-26	PRIJEM	VKLAD	40430	123099	\N	\N	\N
1066986	3646	1996-02-12	VYDAJ	PREVOD NA UCET	2855	50749	SIPO	AB	43066799
1066987	3646	1996-03-12	VYDAJ	PREVOD NA UCET	2855	99809	SIPO	AB	43066799
1066988	3646	1996-04-12	VYDAJ	PREVOD NA UCET	2855	72512	SIPO	AB	43066799
1066989	3646	1996-05-12	VYDAJ	PREVOD NA UCET	2855	42900	SIPO	AB	43066799
1066990	3646	1996-06-12	VYDAJ	PREVOD NA UCET	2855	20767	SIPO	AB	43066799
1066991	3646	1996-07-12	VYDAJ	PREVOD NA UCET	2855	54471	SIPO	AB	43066799
1066992	3646	1996-08-12	VYDAJ	PREVOD NA UCET	2855	22631	SIPO	AB	43066799
1066993	3646	1996-09-12	VYDAJ	PREVOD NA UCET	2855	61462	SIPO	AB	43066799
1066994	3646	1996-10-12	VYDAJ	PREVOD NA UCET	2855	31747	SIPO	AB	43066799
1066995	3646	1996-11-12	VYDAJ	PREVOD NA UCET	2855	60286	SIPO	AB	43066799
1066996	3646	1996-12-12	VYDAJ	PREVOD NA UCET	2855	93937	SIPO	AB	43066799
1066997	3646	1997-01-12	VYDAJ	PREVOD NA UCET	2855	36326	SIPO	AB	43066799
1066998	3646	1997-02-12	VYDAJ	PREVOD NA UCET	2855	62356	SIPO	AB	43066799
1066999	3646	1997-03-12	VYDAJ	PREVOD NA UCET	2855	81085	SIPO	AB	43066799
1067000	3646	1997-04-12	VYDAJ	PREVOD NA UCET	2855	69458	SIPO	AB	43066799
1067001	3646	1997-05-12	VYDAJ	PREVOD NA UCET	2855	101512	SIPO	AB	43066799
1067002	3646	1997-06-12	VYDAJ	PREVOD NA UCET	2855	56038	SIPO	AB	43066799
1067003	3646	1997-07-12	VYDAJ	PREVOD NA UCET	2855	63134	SIPO	AB	43066799
1067004	3646	1997-08-12	VYDAJ	PREVOD NA UCET	2855	72522	SIPO	AB	43066799
1067005	3646	1997-09-12	VYDAJ	PREVOD NA UCET	2855	56701	SIPO	AB	43066799
1067006	3646	1997-10-12	VYDAJ	PREVOD NA UCET	2855	72831	SIPO	AB	43066799
1067007	3646	1997-11-12	VYDAJ	PREVOD NA UCET	2855	82855	SIPO	AB	43066799
1067008	3646	1997-12-12	VYDAJ	PREVOD NA UCET	2855	92324	SIPO	AB	43066799
1067009	3646	1998-01-12	VYDAJ	PREVOD NA UCET	2855	58649	SIPO	AB	43066799
1067010	3646	1998-02-12	VYDAJ	PREVOD NA UCET	2855	43689	SIPO	AB	43066799
1067011	3646	1998-03-12	VYDAJ	PREVOD NA UCET	2855	54597	SIPO	AB	43066799
1067012	3646	1998-04-12	VYDAJ	PREVOD NA UCET	2855	90000	SIPO	AB	43066799
1067013	3646	1998-05-12	VYDAJ	PREVOD NA UCET	2855	67294	SIPO	AB	43066799
1067014	3646	1998-06-12	VYDAJ	PREVOD NA UCET	2855	61027	SIPO	AB	43066799
1067015	3646	1998-07-12	VYDAJ	PREVOD NA UCET	2855	59615	SIPO	AB	43066799
1067016	3646	1998-08-12	VYDAJ	PREVOD NA UCET	2855	32409	SIPO	AB	43066799
1067017	3646	1998-09-12	VYDAJ	PREVOD NA UCET	2855	65151	SIPO	AB	43066799
1067018	3646	1998-10-12	VYDAJ	PREVOD NA UCET	2855	59318	SIPO	AB	43066799
1067019	3646	1998-11-12	VYDAJ	PREVOD NA UCET	2855	79596	SIPO	AB	43066799
1067020	3646	1998-12-12	VYDAJ	PREVOD NA UCET	2855	76674	SIPO	AB	43066799
1067034	3646	1996-02-06	VYDAJ	PREVOD NA UCET	3182	53604	 	IJ	47689282
1067035	3646	1996-03-06	VYDAJ	PREVOD NA UCET	3182	63966	 	IJ	47689282
1067036	3646	1996-04-06	VYDAJ	PREVOD NA UCET	3182	75367	 	IJ	47689282
1067037	3646	1996-05-06	VYDAJ	PREVOD NA UCET	3182	45755	 	IJ	47689282
1067038	3646	1996-06-06	VYDAJ	PREVOD NA UCET	3182	78822	 	IJ	47689282
1067039	3646	1996-07-06	VYDAJ	PREVOD NA UCET	3182	57326	 	IJ	47689282
1067040	3646	1996-08-06	VYDAJ	PREVOD NA UCET	3182	26669	 	IJ	47689282
1067041	3646	1996-09-06	VYDAJ	PREVOD NA UCET	3182	26745	 	IJ	47689282
1067042	3646	1996-10-06	VYDAJ	PREVOD NA UCET	3182	34602	 	IJ	47689282
1067043	3646	1996-11-06	VYDAJ	PREVOD NA UCET	3182	63141	 	IJ	47689282
1067044	3646	1996-12-06	VYDAJ	PREVOD NA UCET	3182	96792	 	IJ	47689282
1067045	3646	1997-01-06	VYDAJ	PREVOD NA UCET	3182	44781	 	IJ	47689282
1067046	3646	1997-02-06	VYDAJ	PREVOD NA UCET	3182	52138	 	IJ	47689282
1067047	3646	1997-03-06	VYDAJ	PREVOD NA UCET	3182	83940	 	IJ	47689282
1067048	3646	1997-04-06	VYDAJ	PREVOD NA UCET	3182	72313	 	IJ	47689282
1067049	3646	1997-05-06	VYDAJ	PREVOD NA UCET	3182	71207	 	IJ	47689282
1067050	3646	1997-06-06	VYDAJ	PREVOD NA UCET	3182	55293	 	IJ	47689282
1067051	3646	1997-07-06	VYDAJ	PREVOD NA UCET	3182	74789	 	IJ	47689282
1067052	3646	1997-08-06	VYDAJ	PREVOD NA UCET	3182	94077	 	IJ	47689282
1067053	3646	1997-09-06	VYDAJ	PREVOD NA UCET	3182	51856	 	IJ	47689282
1067054	3646	1997-10-06	VYDAJ	PREVOD NA UCET	3182	87586	 	IJ	47689282
1067055	3646	1997-11-06	VYDAJ	PREVOD NA UCET	3182	73506	 	IJ	47689282
1067056	3646	1997-12-06	VYDAJ	PREVOD NA UCET	3182	60153	 	IJ	47689282
1067057	3646	1998-01-06	VYDAJ	PREVOD NA UCET	3182	85604	 	IJ	47689282
1067058	3646	1998-02-06	VYDAJ	PREVOD NA UCET	3182	46544	 	IJ	47689282
1067059	3646	1998-03-06	VYDAJ	PREVOD NA UCET	3182	40652	 	IJ	47689282
1067060	3646	1998-04-06	VYDAJ	PREVOD NA UCET	3182	50896	 	IJ	47689282
1067061	3646	1998-05-06	VYDAJ	PREVOD NA UCET	3182	70349	 	IJ	47689282
1067062	3646	1998-06-06	VYDAJ	PREVOD NA UCET	3182	63882	 	IJ	47689282
1067063	3646	1998-07-06	VYDAJ	PREVOD NA UCET	3182	62470	 	IJ	47689282
1067064	3646	1998-08-06	VYDAJ	PREVOD NA UCET	3182	35264	 	IJ	47689282
1067065	3646	1998-09-06	VYDAJ	PREVOD NA UCET	3182	68006	 	IJ	47689282
1067066	3646	1998-10-06	VYDAJ	PREVOD NA UCET	3182	62173	 	IJ	47689282
1067067	3646	1998-11-06	VYDAJ	PREVOD NA UCET	3182	82451	 	IJ	47689282
1067068	3646	1998-12-06	VYDAJ	PREVOD NA UCET	3182	82529	 	IJ	47689282
1067071	3646	1996-09-06	VYBER	VYBER	20177	29927	\N	\N	\N
1067072	3646	1996-09-20	VYBER	VYBER	15937	37625	\N	\N	\N
1067073	3646	1996-03-02	VYBER	VYBER	17228	67148	\N	\N	\N
1067074	3646	1996-08-17	VYBER	VYBER	4373	25258	\N	\N	\N
1067075	3646	1997-10-25	VYBER	VYBER	7925	60050	\N	\N	\N
1067076	3646	1997-12-03	VYBER	VYBER	19836	63335	\N	\N	\N
1067077	3646	1997-08-03	VYBER	VYBER	16062	87497	\N	\N	\N
1067078	3646	1997-08-14	VYBER	VYBER	6835	65687	\N	\N	\N
1067079	3646	1997-07-31	VYBER	VYBER	19906	59967	\N	\N	\N
1067080	3646	1997-03-06	VYBER	VYBER	2092	87122	\N	\N	\N
1067081	3646	1997-04-19	VYBER	VYBER	14152	42768	\N	\N	\N
1067082	3646	1997-10-06	VYBER	VYBER	6736	90768	\N	\N	\N
1067083	3646	1997-11-06	VYBER	VYBER	11845	76688	\N	\N	\N
1067084	3646	1997-01-03	VYBER	VYBER	3052	47963	\N	\N	\N
1067085	3646	1997-06-21	VYBER	VYBER	17428	38610	\N	\N	\N
1067086	3646	1997-08-16	VYBER	VYBER	10904	54783	\N	\N	\N
1067087	3646	1997-04-13	VYBER	VYBER	5538	56920	\N	\N	\N
1067088	3646	1997-04-29	VYBER	VYBER	11902	68935	\N	\N	\N
1067089	3646	1998-08-31	VYBER	VYBER	9005	73218	\N	\N	\N
1067091	3646	1998-01-29	VYBER	VYBER	18874	27125	\N	\N	\N
1067093	3646	1998-08-06	VYBER	VYBER	12265	38446	\N	\N	\N
1067094	3646	1998-06-15	VYBER	VYBER	15610	45417	\N	\N	\N
1067095	3646	1998-10-19	VYBER	VYBER	19715	91699	\N	\N	\N
1067096	3646	1998-03-18	VYBER	VYBER	18125	36472	\N	\N	\N
1067097	3646	1998-11-14	VYBER	VYBER	13477	66119	\N	\N	\N
1067098	3646	1998-04-02	VYBER	VYBER	24114	54078	\N	\N	\N
1067099	3646	1998-10-19	VYBER	VYBER	5623	111414	\N	\N	\N
1067100	3646	1998-08-04	VYBER	VYBER	18620	41211	\N	\N	\N
1067102	3646	1996-06-11	VYDAJ	VYBER	55200	23622	\N	\N	\N
1067103	3646	1997-06-05	VYDAJ	VYBER	22500	58475	\N	\N	\N
1067107	3646	1997-01-02	VYDAJ	VYBER	13200	51015	\N	\N	\N
1067110	3646	1996-12-25	VYDAJ	VYBER	6000	70801	\N	\N	\N
1067111	3646	1997-12-15	VYDAJ	VYBER	7200	85124	\N	\N	\N
1067112	3646	1998-12-07	VYDAJ	VYBER	3000	79529	\N	\N	\N
1067125	3646	1997-01-21	VYDAJ	VYBER	5400	72353	\N	\N	\N
1067126	3646	1997-01-07	VYDAJ	VYBER	5100	36981	\N	\N	\N
1067127	3646	1997-01-15	VYDAJ	VYBER	8400	77753	\N	\N	\N
1067128	3646	1997-01-06	VYDAJ	VYBER	2700	42081	\N	\N	\N
1067129	3646	1997-01-26	VYDAJ	VYBER	2400	69953	\N	\N	\N
1067130	3646	1997-01-10	VYDAJ	VYBER	7500	29481	\N	\N	\N
1067131	3646	1998-01-19	VYDAJ	VYBER	6600	82669	\N	\N	\N
1067132	3646	1998-01-26	VYDAJ	VYBER	5100	53799	\N	\N	\N
1067133	3646	1998-01-27	VYDAJ	VYBER	7800	45999	\N	\N	\N
1067134	3646	1998-01-14	VYDAJ	VYBER	3900	89269	\N	\N	\N
1067135	3646	1998-01-02	VYDAJ	VYBER	7500	88786	\N	\N	\N
1067136	3646	1998-01-07	VYDAJ	VYBER	7500	74104	\N	\N	\N
1067144	3646	1996-08-09	VYDAJ	VYBER	6300	25486	\N	\N	\N
1067145	3646	1996-06-21	VYDAJ	VYBER	6900	26595	\N	\N	\N
1067146	3646	1996-06-29	VYDAJ	VYBER	2100	60346	\N	\N	\N
1067147	3646	1996-08-03	VYDAJ	VYBER	12600	29851	\N	\N	\N
1067148	3646	1997-04-06	VYDAJ	VYBER	3900	75495	\N	\N	\N
1067149	3646	1997-01-01	VYDAJ	VYBER	6900	64215	\N	\N	\N
1067150	3646	1997-07-20	VYDAJ	VYBER	8700	79567	\N	\N	\N
1067151	3646	1997-10-08	VYDAJ	VYBER	8400	79186	\N	\N	\N
1067152	3646	1998-07-02	VYDAJ	VYBER	1500	53652	\N	\N	\N
1067153	3646	1998-10-12	VYDAJ	VYBER	3600	55718	\N	\N	\N
1067154	3646	1998-09-12	VYDAJ	VYBER	13800	51351	\N	\N	\N
1067155	3646	1998-04-24	VYDAJ	VYBER	6300	73223	\N	\N	\N
1067156	3646	1998-08-26	VYDAJ	VYBER	14100	81954	\N	\N	\N
1067157	3646	1998-01-11	VYDAJ	VYBER	12600	61504	\N	\N	\N
1067171	3646	1996-01-31	VYDAJ	VYBER	30	56786	SLUZBY	\N	\N
1067172	3646	1996-02-29	VYDAJ	VYBER	30	84376	SLUZBY	\N	\N
1067173	3646	1996-03-31	VYDAJ	VYBER	30	67012	SLUZBY	\N	\N
1067174	3646	1996-04-30	VYDAJ	VYBER	30	48937	SLUZBY	\N	\N
1067175	3646	1996-05-31	VYDAJ	VYBER	30	36544	SLUZBY	\N	\N
1067176	3646	1996-06-30	VYDAJ	VYBER	30	60508	SLUZBY	\N	\N
1067177	3646	1996-07-31	VYDAJ	VYBER	30	42451	SLUZBY	\N	\N
1067178	3646	1996-08-31	VYDAJ	VYBER	30	50104	SLUZBY	\N	\N
1067179	3646	1996-09-30	VYDAJ	VYBER	30	37784	SLUZBY	\N	\N
1067180	3646	1996-10-31	VYDAJ	VYBER	30	66323	SLUZBY	\N	\N
1067181	3646	1996-11-30	VYDAJ	VYBER	30	99974	SLUZBY	\N	\N
1067182	3646	1996-12-31	VYDAJ	VYBER	30	71115	SLUZBY	\N	\N
1067183	3646	1997-01-31	VYDAJ	VYBER	30	55320	SLUZBY	\N	\N
1067184	3646	1997-02-28	VYDAJ	VYBER	30	89214	SLUZBY	\N	\N
1067185	3646	1997-03-31	VYDAJ	VYBER	30	83775	SLUZBY	\N	\N
1067186	3646	1997-04-30	VYDAJ	VYBER	30	69225	SLUZBY	\N	\N
1067187	3646	1997-05-31	VYDAJ	VYBER	30	80975	SLUZBY	\N	\N
1067188	3646	1997-06-30	VYDAJ	VYBER	30	55858	SLUZBY	\N	\N
1067189	3646	1997-07-31	VYDAJ	VYBER	30	59937	SLUZBY	\N	\N
1067190	3646	1997-08-31	VYDAJ	VYBER	30	55038	SLUZBY	\N	\N
1067191	3646	1997-09-30	VYDAJ	VYBER	30	97504	SLUZBY	\N	\N
1067192	3646	1997-10-31	VYDAJ	VYBER	30	88533	SLUZBY	\N	\N
1067193	3646	1997-11-30	VYDAJ	VYBER	30	83171	SLUZBY	\N	\N
1067194	3646	1997-12-31	VYDAJ	VYBER	30	85440	SLUZBY	\N	\N
1067195	3646	1998-01-31	VYDAJ	VYBER	30	27426	SLUZBY	\N	\N
1067196	3646	1998-02-28	VYDAJ	VYBER	30	43834	SLUZBY	\N	\N
1067197	3646	1998-03-31	VYDAJ	VYBER	30	78192	SLUZBY	\N	\N
1067198	3646	1998-04-30	VYDAJ	VYBER	30	73531	SLUZBY	\N	\N
1067199	3646	1998-05-31	VYDAJ	VYBER	30	60064	SLUZBY	\N	\N
1067200	3646	1998-06-30	VYDAJ	VYBER	30	55152	SLUZBY	\N	\N
1067201	3646	1998-07-31	VYDAJ	VYBER	30	59831	SLUZBY	\N	\N
1067202	3646	1998-08-31	VYDAJ	VYBER	30	73188	SLUZBY	\N	\N
1067203	3646	1998-09-30	VYDAJ	VYBER	30	66255	SLUZBY	\N	\N
1067204	3646	1998-10-31	VYDAJ	VYBER	30	106133	SLUZBY	\N	\N
1067205	3646	1998-11-30	VYDAJ	VYBER	30	66407	SLUZBY	\N	\N
1067206	3646	1995-11-19	VYDAJ	VYBER	3500	26534	\N	\N	\N
1067207	3646	1995-12-19	VYDAJ	VYBER	3300	23291	\N	\N	\N
1067208	3646	1996-01-18	VYDAJ	VYBER	24200	51013	\N	\N	\N
1067209	3646	1996-02-17	VYDAJ	VYBER	9400	41349	\N	\N	\N
1067210	3646	1996-03-17	VYDAJ	VYBER	23500	104414	\N	\N	\N
1067211	3646	1996-03-18	VYDAJ	VYBER	37700	66714	\N	\N	\N
1067212	3646	1996-04-17	VYDAJ	VYBER	23800	48712	\N	\N	\N
1067213	3646	1996-05-17	VYDAJ	VYBER	6500	36400	\N	\N	\N
1067214	3646	1996-06-16	PRIJEM	VKLAD	7000	27767	\N	\N	\N
1067215	3646	1996-07-16	VYDAJ	VYBER	12200	42271	\N	\N	\N
1067216	3646	1996-08-15	PRIJEM	VKLAD	7000	29631	\N	\N	\N
1067217	3646	1996-09-14	VYDAJ	VYBER	7900	53562	\N	\N	\N
1067218	3646	1996-10-14	PRIJEM	VKLAD	6500	38247	\N	\N	\N
1067219	3646	1996-10-18	VYDAJ	VYBER	19600	97732	\N	\N	\N
1067220	3646	1996-10-26	VYDAJ	VYBER	60400	66110	\N	\N	\N
1067221	3646	1996-11-13	VYDAJ	VYBER	7000	53286	\N	\N	\N
1067222	3646	1996-12-13	VYDAJ	VYBER	24800	69137	\N	\N	\N
1067223	3646	1997-01-12	PRIJEM	VKLAD	9700	39181	\N	\N	\N
1067224	3646	1997-01-31	VYDAJ	VYBER	62200	55350	\N	\N	\N
1067225	3646	1997-02-11	VYDAJ	VYBER	20900	65211	\N	\N	\N
1067226	3646	1997-02-21	VYDAJ	VYBER	20400	88954	\N	\N	\N
1067227	3646	1997-03-13	VYDAJ	VYBER	18800	62285	\N	\N	\N
1067228	3646	1997-03-25	VYDAJ	VYBER	38200	83436	\N	\N	\N
1067229	3646	1997-04-02	VYDAJ	VYBER	37700	79395	\N	\N	\N
1067230	3646	1997-04-12	VYDAJ	VYBER	7000	62458	\N	\N	\N
1067231	3646	1997-05-09	VYDAJ	VYBER	15000	104367	\N	\N	\N
1067232	3646	1997-05-12	VYDAJ	VYBER	20900	80612	\N	\N	\N
1067233	3646	1997-06-11	PRIJEM	VKLAD	3600	58893	\N	\N	\N
1067234	3646	1997-07-11	VYDAJ	VYBER	8800	65989	\N	\N	\N
1067235	3646	1997-08-04	VYDAJ	VYBER	28500	86897	\N	\N	\N
1067236	3646	1997-08-05	VYDAJ	VYBER	23000	97259	\N	\N	\N
1067237	3646	1997-08-10	VYDAJ	VYBER	18700	75377	\N	\N	\N
1067238	3646	1997-09-09	PRIJEM	VKLAD	7700	59556	\N	\N	\N
1067239	3646	1997-09-14	VYDAJ	VYBER	48400	79625	\N	\N	\N
1067240	3646	1997-09-17	VYDAJ	VYBER	64800	76721	\N	\N	\N
1067241	3646	1997-10-09	VYDAJ	VYBER	3500	75686	\N	\N	\N
1067242	3646	1997-10-21	VYDAJ	VYBER	60900	60813	\N	\N	\N
1067243	3646	1997-10-22	VYDAJ	VYBER	38700	67975	\N	\N	\N
1067244	3646	1997-10-26	VYDAJ	VYBER	20200	88192	\N	\N	\N
1067245	3646	1997-11-08	PRIJEM	VKLAD	700	74206	\N	\N	\N
1067246	3646	1997-11-11	VYDAJ	VYBER	24800	85710	\N	\N	\N
1067247	3646	1997-12-08	PRIJEM	VKLAD	5700	65853	\N	\N	\N
1067248	3646	1998-01-02	VYDAJ	VYBER	29100	96286	\N	\N	\N
1067249	3646	1998-01-07	VYDAJ	VYBER	4000	81604	\N	\N	\N
1067250	3646	1998-01-26	VYDAJ	VYBER	64200	58899	\N	\N	\N
1067251	3646	1998-02-06	PRIJEM	VKLAD	22300	49726	\N	\N	\N
1067252	3646	1998-03-08	PRIJEM	VKLAD	16800	57452	\N	\N	\N
1067253	3646	1998-04-07	PRIJEM	VKLAD	6400	57296	\N	\N	\N
1067254	3646	1998-04-23	VYDAJ	VYBER	30600	79523	\N	\N	\N
1067255	3646	1998-05-07	VYDAJ	VYBER	200	70149	\N	\N	\N
1067256	3646	1998-05-19	VYDAJ	VYBER	57700	59821	\N	\N	\N
1067257	3646	1998-06-06	PRIJEM	VKLAD	7000	67064	\N	\N	\N
1067258	3646	1998-07-06	PRIJEM	VKLAD	12000	65652	\N	\N	\N
1067259	3646	1998-08-05	PRIJEM	VKLAD	9500	50711	\N	\N	\N
1067260	3646	1998-09-04	VYDAJ	VYBER	2000	71188	\N	\N	\N
1067261	3646	1998-10-04	VYDAJ	VYBER	900	65355	\N	\N	\N
1067262	3646	1998-10-19	VYDAJ	VYBER	20900	70799	\N	\N	\N
1067263	3646	1998-11-03	VYDAJ	VYBER	20500	85633	\N	\N	\N
1067264	3646	1998-12-03	VYDAJ	VYBER	25100	85711	\N	\N	\N
1067303	3647	1996-06-17	PRIJEM	VKLAD	600	600	\N	\N	\N
1067310	3647	1996-07-12	PRIJEM	VKLAD	8764	9364	\N	\N	\N
1067311	3647	1996-08-12	PRIJEM	VKLAD	8764	26464	\N	\N	\N
1067312	3647	1996-09-12	PRIJEM	VKLAD	8764	33216	\N	\N	\N
1067313	3647	1996-10-12	PRIJEM	VKLAD	8764	38493	\N	\N	\N
1067314	3647	1996-11-12	PRIJEM	VKLAD	8764	40886	\N	\N	\N
1067315	3647	1996-12-12	PRIJEM	VKLAD	13146	45623	\N	\N	\N
1067316	3647	1997-01-12	PRIJEM	VKLAD	8764	42735	\N	\N	\N
1067317	3647	1997-02-12	PRIJEM	VKLAD	8764	41769	\N	\N	\N
1067318	3647	1997-03-12	PRIJEM	VKLAD	8764	42920	\N	\N	\N
1067319	3647	1997-04-12	PRIJEM	VKLAD	8764	44599	\N	\N	\N
1067320	3647	1997-05-12	PRIJEM	VKLAD	8764	40971	\N	\N	\N
1067321	3647	1997-06-12	PRIJEM	VKLAD	13146	44365	\N	\N	\N
1067322	3647	1997-07-12	PRIJEM	VKLAD	8764	42256	\N	\N	\N
1067323	3647	1997-08-12	PRIJEM	VKLAD	8764	45311	\N	\N	\N
1067324	3647	1997-09-12	PRIJEM	VKLAD	8764	43812	\N	\N	\N
1067325	3647	1997-10-12	PRIJEM	VKLAD	8764	48894	\N	\N	\N
1067326	3647	1997-11-12	PRIJEM	VKLAD	8764	53196	\N	\N	\N
1067327	3647	1997-12-12	PRIJEM	VKLAD	13146	57335	\N	\N	\N
1067328	3647	1998-01-12	PRIJEM	VKLAD	8764	51424	\N	\N	\N
1067329	3647	1998-02-12	PRIJEM	VKLAD	8764	48345	\N	\N	\N
1067330	3647	1998-03-12	PRIJEM	VKLAD	8764	45950	\N	\N	\N
1067331	3647	1998-04-12	PRIJEM	VKLAD	8764	43005	\N	\N	\N
1067332	3647	1998-05-12	PRIJEM	VKLAD	8764	42083	\N	\N	\N
1067333	3647	1998-06-12	PRIJEM	VKLAD	13146	50539	\N	\N	\N
1067334	3647	1998-07-12	PRIJEM	VKLAD	8764	44440	\N	\N	\N
1067335	3647	1998-08-12	PRIJEM	VKLAD	8764	45431	\N	\N	\N
1067336	3647	1998-09-12	PRIJEM	VKLAD	8764	38715	\N	\N	\N
1067337	3647	1998-10-12	PRIJEM	VKLAD	8764	38178	\N	\N	\N
1067338	3647	1998-11-12	PRIJEM	VKLAD	8764	30938	\N	\N	\N
1067339	3647	1998-12-12	PRIJEM	VKLAD	13146	32754	\N	\N	\N
1067351	3647	1996-12-07	VYDAJ	PREVOD NA UCET	5842	32477	SIPO	OP	97101318
1067352	3647	1997-01-07	VYDAJ	PREVOD NA UCET	5842	33971	SIPO	OP	97101318
1067353	3647	1997-02-07	VYDAJ	PREVOD NA UCET	5842	29905	SIPO	OP	97101318
1067354	3647	1997-03-07	VYDAJ	PREVOD NA UCET	5842	34156	SIPO	OP	97101318
1067355	3647	1997-04-07	VYDAJ	PREVOD NA UCET	5842	35835	SIPO	OP	97101318
1067356	3647	1997-05-07	VYDAJ	PREVOD NA UCET	5842	32207	SIPO	OP	97101318
1067357	3647	1997-06-07	VYDAJ	PREVOD NA UCET	5842	31219	SIPO	OP	97101318
1067358	3647	1997-07-07	VYDAJ	PREVOD NA UCET	5842	33192	SIPO	OP	97101318
1067359	3647	1997-08-07	VYDAJ	PREVOD NA UCET	5842	32247	SIPO	OP	97101318
1067360	3647	1997-09-07	VYDAJ	PREVOD NA UCET	5842	33748	SIPO	OP	97101318
1067361	3647	1997-10-07	VYDAJ	PREVOD NA UCET	5842	38130	SIPO	OP	97101318
1067362	3647	1997-11-07	VYDAJ	PREVOD NA UCET	5842	43232	SIPO	OP	97101318
1067363	3647	1997-12-07	VYDAJ	PREVOD NA UCET	5842	43589	SIPO	OP	97101318
1067364	3647	1998-01-07	VYDAJ	PREVOD NA UCET	5842	49460	SIPO	OP	97101318
1067365	3647	1998-02-07	VYDAJ	PREVOD NA UCET	5842	45781	SIPO	OP	97101318
1067366	3647	1998-03-07	VYDAJ	PREVOD NA UCET	5842	42686	SIPO	OP	97101318
1067367	3647	1998-04-07	VYDAJ	PREVOD NA UCET	5842	37041	SIPO	OP	97101318
1067368	3647	1998-05-07	VYDAJ	PREVOD NA UCET	5842	31919	SIPO	OP	97101318
1067369	3647	1998-06-07	VYDAJ	PREVOD NA UCET	5842	37393	SIPO	OP	97101318
1067370	3647	1998-07-07	VYDAJ	PREVOD NA UCET	5842	35676	SIPO	OP	97101318
1067371	3647	1998-08-07	VYDAJ	PREVOD NA UCET	5842	36667	SIPO	OP	97101318
1067372	3647	1998-09-07	VYDAJ	PREVOD NA UCET	5842	29951	SIPO	OP	97101318
1067373	3647	1998-10-07	VYDAJ	PREVOD NA UCET	5842	29414	SIPO	OP	97101318
1067374	3647	1998-11-07	VYDAJ	PREVOD NA UCET	5842	22174	SIPO	OP	97101318
1067375	3647	1998-12-07	VYDAJ	PREVOD NA UCET	5842	19608	SIPO	OP	97101318
1067376	3647	1996-12-14	VYDAJ	VYBER	3360	42263	\N	\N	\N
1067377	3647	1997-12-24	VYDAJ	VYBER	2240	55095	\N	\N	\N
1067378	3647	1998-12-17	VYDAJ	VYBER	2560	30194	\N	\N	\N
1067385	3647	1997-11-23	VYDAJ	VYBER	3960	49236	\N	\N	\N
1067386	3647	1997-08-26	VYDAJ	VYBER	5880	39431	\N	\N	\N
1067387	3647	1997-02-12	VYDAJ	VYBER	1920	39849	\N	\N	\N
1067388	3647	1997-01-31	VYDAJ	VYBER	4440	35762	\N	\N	\N
1067389	3647	1997-05-26	VYDAJ	VYBER	5160	36911	\N	\N	\N
1067390	3647	1997-06-20	VYDAJ	VYBER	4080	38885	\N	\N	\N
1067391	3647	1997-07-26	VYDAJ	VYBER	4320	37936	\N	\N	\N
1067392	3647	1998-11-06	VYDAJ	VYBER	1200	28016	\N	\N	\N
1067393	3647	1998-03-26	VYDAJ	VYBER	3240	42710	\N	\N	\N
1067394	3647	1998-08-17	VYDAJ	VYBER	1200	44231	\N	\N	\N
1067395	3647	1998-04-28	VYDAJ	VYBER	5400	37605	\N	\N	\N
1067396	3647	1998-08-27	VYDAJ	VYBER	4800	39431	\N	\N	\N
1067397	3647	1998-12-20	VYDAJ	VYBER	3120	27074	\N	\N	\N
1067398	3647	1998-12-29	VYDAJ	VYBER	5040	22034	\N	\N	\N
1067410	3647	1996-11-30	VYDAJ	VYBER	15	38319	SLUZBY	\N	\N
1067411	3647	1996-12-31	VYDAJ	VYBER	15	39813	SLUZBY	\N	\N
1067412	3647	1997-01-31	VYDAJ	VYBER	15	35747	SLUZBY	\N	\N
1067413	3647	1997-02-28	VYDAJ	VYBER	15	39998	SLUZBY	\N	\N
1067414	3647	1997-03-31	VYDAJ	VYBER	15	41677	SLUZBY	\N	\N
1067415	3647	1997-04-30	VYDAJ	VYBER	15	38049	SLUZBY	\N	\N
1067416	3647	1997-05-31	VYDAJ	VYBER	15	37061	SLUZBY	\N	\N
1067417	3647	1997-06-30	VYDAJ	VYBER	15	39034	SLUZBY	\N	\N
1067418	3647	1997-07-31	VYDAJ	VYBER	15	38089	SLUZBY	\N	\N
1067419	3647	1997-08-31	VYDAJ	VYBER	15	39590	SLUZBY	\N	\N
1067420	3647	1997-09-30	VYDAJ	VYBER	15	43972	SLUZBY	\N	\N
1067421	3647	1997-10-31	VYDAJ	VYBER	15	49074	SLUZBY	\N	\N
1067422	3647	1997-11-30	VYDAJ	VYBER	15	49431	SLUZBY	\N	\N
1067423	3647	1997-12-31	VYDAJ	VYBER	15	55302	SLUZBY	\N	\N
1067424	3647	1998-01-31	VYDAJ	VYBER	15	51623	SLUZBY	\N	\N
1067425	3647	1998-02-28	VYDAJ	VYBER	15	48528	SLUZBY	\N	\N
1067426	3647	1998-03-31	VYDAJ	VYBER	15	42883	SLUZBY	\N	\N
1067427	3647	1998-04-30	VYDAJ	VYBER	15	37761	SLUZBY	\N	\N
1067428	3647	1998-05-31	VYDAJ	VYBER	15	42235	SLUZBY	\N	\N
1067429	3647	1998-06-30	VYDAJ	VYBER	15	50718	SLUZBY	\N	\N
1067430	3647	1998-07-31	VYDAJ	VYBER	15	44609	SLUZBY	\N	\N
1067431	3647	1998-08-31	VYDAJ	VYBER	15	39593	SLUZBY	\N	\N
1067432	3647	1998-09-30	VYDAJ	VYBER	15	38856	SLUZBY	\N	\N
1067433	3647	1998-10-31	VYDAJ	VYBER	15	38316	SLUZBY	\N	\N
1067434	3647	1998-11-30	VYDAJ	VYBER	15	31050	SLUZBY	\N	\N
1067435	3647	1996-07-17	PRIJEM	VKLAD	8300	17664	\N	\N	\N
1067436	3647	1996-08-16	VYDAJ	VYBER	2100	24364	\N	\N	\N
1067437	3647	1996-09-15	VYDAJ	VYBER	3600	29616	\N	\N	\N
1067438	3647	1996-10-15	VYDAJ	VYBER	6500	31993	\N	\N	\N
1067439	3647	1996-11-14	VYDAJ	VYBER	2700	38186	\N	\N	\N
1067440	3647	1996-12-14	VYDAJ	VYBER	2600	39663	\N	\N	\N
1067441	3647	1997-01-13	VYDAJ	VYBER	2700	40035	\N	\N	\N
1067442	3647	1997-02-12	PRIJEM	VKLAD	3100	33005	\N	\N	\N
1067443	3647	1997-03-14	VYDAJ	VYBER	1400	41520	\N	\N	\N
1067444	3647	1997-04-13	VYDAJ	VYBER	6700	37899	\N	\N	\N
1067445	3647	1997-05-13	PRIJEM	VKLAD	1100	42071	\N	\N	\N
1067446	3647	1997-06-12	VYDAJ	VYBER	1400	42965	\N	\N	\N
1067447	3647	1997-07-12	PRIJEM	VKLAD	300	33492	\N	\N	\N
1067448	3647	1997-08-11	PRIJEM	VKLAD	4300	36547	\N	\N	\N
1067449	3647	1997-09-10	PRIJEM	VKLAD	1300	35048	\N	\N	\N
1067450	3647	1997-10-10	PRIJEM	VKLAD	2000	40130	\N	\N	\N
1067451	3647	1997-11-09	PRIJEM	VKLAD	1200	44432	\N	\N	\N
1067452	3647	1997-12-09	PRIJEM	VKLAD	600	44189	\N	\N	\N
1067453	3647	1998-01-08	VYDAJ	VYBER	6800	42660	\N	\N	\N
1067454	3647	1998-02-07	VYDAJ	VYBER	6200	39581	\N	\N	\N
1067455	3647	1998-03-09	VYDAJ	VYBER	5500	37186	\N	\N	\N
1067456	3647	1998-04-08	VYDAJ	VYBER	2800	34241	\N	\N	\N
1067457	3647	1998-05-08	PRIJEM	VKLAD	1400	33319	\N	\N	\N
1067458	3647	1998-06-07	PRIJEM	VKLAD	1000	43235	\N	\N	\N
1067459	3647	1998-07-07	VYDAJ	VYBER	9200	41518	\N	\N	\N
1067460	3647	1998-08-06	VYDAJ	VYBER	2100	42509	\N	\N	\N
1067461	3647	1998-09-05	VYDAJ	VYBER	3800	35793	\N	\N	\N
1067462	3647	1998-10-05	VYDAJ	VYBER	3600	35256	\N	\N	\N
1067463	3647	1998-11-04	VYDAJ	VYBER	9100	29216	\N	\N	\N
1067464	3647	1998-12-04	VYDAJ	VYBER	5600	25450	\N	\N	\N
1067495	3648	1996-05-06	PRIJEM	VKLAD	900	900	\N	\N	\N
1067500	3648	1996-05-13	PRIJEM	PREVOD Z UCTU	3704	4604	\N	OP	72884320
1067501	3648	1996-06-13	PRIJEM	PREVOD Z UCTU	3704	15120	\N	OP	72884320
1067502	3648	1996-07-13	PRIJEM	PREVOD Z UCTU	3704	24369	\N	OP	72884320
1067503	3648	1996-08-13	PRIJEM	PREVOD Z UCTU	3704	29360	\N	OP	72884320
1067504	3648	1996-09-13	PRIJEM	PREVOD Z UCTU	3704	31178	\N	OP	72884320
1067505	3648	1996-10-13	PRIJEM	PREVOD Z UCTU	3704	27425	\N	OP	72884320
1067506	3648	1996-11-13	PRIJEM	PREVOD Z UCTU	3704	24661	\N	OP	72884320
1067507	3648	1996-12-13	PRIJEM	PREVOD Z UCTU	3704	25756	\N	OP	72884320
1067508	3648	1997-01-13	PRIJEM	PREVOD Z UCTU	3704	26602	\N	OP	72884320
1067509	3648	1997-02-13	PRIJEM	PREVOD Z UCTU	3704	24098	\N	OP	72884320
1067510	3648	1997-03-13	PRIJEM	PREVOD Z UCTU	3704	27914	\N	OP	72884320
1067511	3648	1997-04-13	PRIJEM	PREVOD Z UCTU	3704	29997	\N	OP	72884320
1067512	3648	1997-05-13	PRIJEM	PREVOD Z UCTU	3704	31460	\N	OP	72884320
1067513	3648	1997-06-13	PRIJEM	PREVOD Z UCTU	3704	29509	\N	OP	72884320
1067514	3648	1997-07-13	PRIJEM	PREVOD Z UCTU	3704	27705	\N	OP	72884320
1067515	3648	1997-08-13	PRIJEM	PREVOD Z UCTU	3704	31739	\N	OP	72884320
1067516	3648	1997-09-13	PRIJEM	PREVOD Z UCTU	3704	34190	\N	OP	72884320
1067517	3648	1997-10-13	PRIJEM	PREVOD Z UCTU	3704	36851	\N	OP	72884320
1067518	3648	1997-11-13	PRIJEM	PREVOD Z UCTU	3704	35721	\N	OP	72884320
1067519	3648	1997-12-13	PRIJEM	PREVOD Z UCTU	3704	36588	\N	OP	72884320
1067520	3648	1998-01-13	PRIJEM	PREVOD Z UCTU	3704	32593	\N	OP	72884320
1067521	3648	1998-02-13	PRIJEM	PREVOD Z UCTU	3704	30653	\N	OP	72884320
1067522	3648	1998-03-13	PRIJEM	PREVOD Z UCTU	3704	28897	\N	OP	72884320
1067523	3648	1998-04-13	PRIJEM	PREVOD Z UCTU	3704	27333	\N	OP	72884320
1067524	3648	1998-05-13	PRIJEM	PREVOD Z UCTU	3704	28264	\N	OP	72884320
1067525	3648	1998-06-13	PRIJEM	PREVOD Z UCTU	3704	20407	\N	OP	72884320
1067526	3648	1998-07-13	PRIJEM	PREVOD Z UCTU	3704	27419	\N	OP	72884320
1067527	3648	1998-08-13	PRIJEM	PREVOD Z UCTU	3704	26449	\N	OP	72884320
1067528	3648	1998-09-13	PRIJEM	PREVOD Z UCTU	3704	25794	\N	OP	72884320
1067529	3648	1998-10-13	PRIJEM	PREVOD Z UCTU	3704	28822	\N	OP	72884320
1067530	3648	1998-11-13	PRIJEM	PREVOD Z UCTU	3704	31961	\N	OP	72884320
1067531	3648	1998-12-13	PRIJEM	PREVOD Z UCTU	3704	34603	\N	OP	72884320
1067541	3648	1996-10-12	VYDAJ	PREVOD NA UCET	1812	24361	SIPO	YZ	23132455
1067542	3648	1996-11-12	VYDAJ	PREVOD NA UCET	1812	21597	SIPO	YZ	23132455
1067543	3648	1996-12-12	VYDAJ	PREVOD NA UCET	1812	22692	SIPO	YZ	23132455
1067544	3648	1997-01-12	VYDAJ	PREVOD NA UCET	1812	22898	SIPO	YZ	23132455
1067545	3648	1997-02-12	VYDAJ	PREVOD NA UCET	1812	21034	SIPO	YZ	23132455
1067546	3648	1997-03-12	VYDAJ	PREVOD NA UCET	1812	24850	SIPO	YZ	23132455
1067547	3648	1997-04-12	VYDAJ	PREVOD NA UCET	1812	26293	SIPO	YZ	23132455
1067548	3648	1997-05-12	VYDAJ	PREVOD NA UCET	1812	27756	SIPO	YZ	23132455
1067549	3648	1997-06-12	VYDAJ	PREVOD NA UCET	1812	25805	SIPO	YZ	23132455
1067550	3648	1997-07-12	VYDAJ	PREVOD NA UCET	1812	24001	SIPO	YZ	23132455
1067551	3648	1997-08-12	VYDAJ	PREVOD NA UCET	1812	28035	SIPO	YZ	23132455
1067552	3648	1997-09-12	VYDAJ	PREVOD NA UCET	1812	31126	SIPO	YZ	23132455
1067553	3648	1997-10-12	VYDAJ	PREVOD NA UCET	1812	33147	SIPO	YZ	23132455
1067554	3648	1997-11-12	VYDAJ	PREVOD NA UCET	1812	32017	SIPO	YZ	23132455
1067555	3648	1997-12-12	VYDAJ	PREVOD NA UCET	1812	32884	SIPO	YZ	23132455
1067556	3648	1998-01-12	VYDAJ	PREVOD NA UCET	1812	28889	SIPO	YZ	23132455
1067557	3648	1998-02-12	VYDAJ	PREVOD NA UCET	1812	27589	SIPO	YZ	23132455
1067558	3648	1998-03-12	VYDAJ	PREVOD NA UCET	1812	25833	SIPO	YZ	23132455
1067559	3648	1998-04-12	VYDAJ	PREVOD NA UCET	1812	23629	SIPO	YZ	23132455
1067560	3648	1998-05-12	VYDAJ	PREVOD NA UCET	1812	25200	SIPO	YZ	23132455
1067561	3648	1998-06-12	VYDAJ	PREVOD NA UCET	1812	17343	SIPO	YZ	23132455
1067562	3648	1998-07-12	VYDAJ	PREVOD NA UCET	1812	24355	SIPO	YZ	23132455
1067563	3648	1998-08-12	VYDAJ	PREVOD NA UCET	1812	22745	SIPO	YZ	23132455
1067564	3648	1998-09-12	VYDAJ	PREVOD NA UCET	1812	22730	SIPO	YZ	23132455
1067565	3648	1998-10-12	VYDAJ	PREVOD NA UCET	1812	25758	SIPO	YZ	23132455
1067566	3648	1998-11-12	VYDAJ	PREVOD NA UCET	1812	28897	SIPO	YZ	23132455
1067567	3648	1998-12-12	VYDAJ	PREVOD NA UCET	1812	31539	SIPO	YZ	23132455
1067577	3648	1996-10-12	VYDAJ	PREVOD NA UCET	640	23721	 	ST	57323801
1067578	3648	1996-11-12	VYDAJ	PREVOD NA UCET	640	20957	 	ST	57323801
1067579	3648	1996-12-12	VYDAJ	PREVOD NA UCET	640	22052	 	ST	57323801
1067580	3648	1997-01-12	VYDAJ	PREVOD NA UCET	640	25130	 	ST	57323801
1067581	3648	1997-02-12	VYDAJ	PREVOD NA UCET	640	20394	 	ST	57323801
1067582	3648	1997-03-12	VYDAJ	PREVOD NA UCET	640	24210	 	ST	57323801
1067583	3648	1997-04-12	VYDAJ	PREVOD NA UCET	640	29155	 	ST	57323801
1067584	3648	1997-05-12	VYDAJ	PREVOD NA UCET	640	29568	 	ST	57323801
1067585	3648	1997-06-12	VYDAJ	PREVOD NA UCET	640	27617	 	ST	57323801
1067586	3648	1997-07-12	VYDAJ	PREVOD NA UCET	640	25813	 	ST	57323801
1067587	3648	1997-08-12	VYDAJ	PREVOD NA UCET	640	29847	 	ST	57323801
1067588	3648	1997-09-12	VYDAJ	PREVOD NA UCET	640	30486	 	ST	57323801
1067589	3648	1997-10-12	VYDAJ	PREVOD NA UCET	640	34959	 	ST	57323801
1067590	3648	1997-11-12	VYDAJ	PREVOD NA UCET	640	33829	 	ST	57323801
1067591	3648	1997-12-12	VYDAJ	PREVOD NA UCET	640	34696	 	ST	57323801
1067592	3648	1998-01-12	VYDAJ	PREVOD NA UCET	640	30701	 	ST	57323801
1067593	3648	1998-02-12	VYDAJ	PREVOD NA UCET	640	26949	 	ST	57323801
1067594	3648	1998-03-12	VYDAJ	PREVOD NA UCET	640	25193	 	ST	57323801
1067595	3648	1998-04-12	VYDAJ	PREVOD NA UCET	640	25441	 	ST	57323801
1067596	3648	1998-05-12	VYDAJ	PREVOD NA UCET	640	24560	 	ST	57323801
1067597	3648	1998-06-12	VYDAJ	PREVOD NA UCET	640	16703	 	ST	57323801
1067598	3648	1998-07-12	VYDAJ	PREVOD NA UCET	640	23715	 	ST	57323801
1067599	3648	1998-08-12	VYDAJ	PREVOD NA UCET	640	24557	 	ST	57323801
1067600	3648	1998-09-12	VYDAJ	PREVOD NA UCET	640	22090	 	ST	57323801
1067601	3648	1998-10-12	VYDAJ	PREVOD NA UCET	640	25118	 	ST	57323801
1067602	3648	1998-11-12	VYDAJ	PREVOD NA UCET	640	28257	 	ST	57323801
1067603	3648	1998-12-12	VYDAJ	PREVOD NA UCET	640	30899	 	ST	57323801
1067613	3648	1996-10-06	VYDAJ	PREVOD NA UCET	17	26173	POJISTNE	QR	19181388
1067614	3648	1996-11-06	VYDAJ	PREVOD NA UCET	17	24609	POJISTNE	QR	19181388
1067615	3648	1996-12-06	VYDAJ	PREVOD NA UCET	17	24834	POJISTNE	QR	19181388
1067616	3648	1997-01-06	VYDAJ	PREVOD NA UCET	17	25770	POJISTNE	QR	19181388
1067617	3648	1997-02-06	VYDAJ	PREVOD NA UCET	17	22846	POJISTNE	QR	19181388
1067618	3648	1997-03-06	VYDAJ	PREVOD NA UCET	17	26662	POJISTNE	QR	19181388
1067619	3648	1997-04-06	VYDAJ	PREVOD NA UCET	17	29795	POJISTNE	QR	19181388
1067620	3648	1997-05-06	VYDAJ	PREVOD NA UCET	17	30208	POJISTNE	QR	19181388
1067621	3648	1997-06-06	VYDAJ	PREVOD NA UCET	17	28257	POJISTNE	QR	19181388
1067622	3648	1997-07-06	VYDAJ	PREVOD NA UCET	17	26453	POJISTNE	QR	19181388
1067623	3648	1997-08-06	VYDAJ	PREVOD NA UCET	17	30487	POJISTNE	QR	19181388
1067624	3648	1997-09-06	VYDAJ	PREVOD NA UCET	17	32938	POJISTNE	QR	19181388
1067625	3648	1997-10-06	VYDAJ	PREVOD NA UCET	17	35599	POJISTNE	QR	19181388
1067626	3648	1997-11-06	VYDAJ	PREVOD NA UCET	17	34469	POJISTNE	QR	19181388
1067627	3648	1997-12-06	VYDAJ	PREVOD NA UCET	17	35336	POJISTNE	QR	19181388
1067628	3648	1998-01-06	VYDAJ	PREVOD NA UCET	17	31551	POJISTNE	QR	19181388
1067629	3648	1998-02-06	VYDAJ	PREVOD NA UCET	17	29401	POJISTNE	QR	19181388
1067630	3648	1998-03-06	VYDAJ	PREVOD NA UCET	17	27645	POJISTNE	QR	19181388
1067631	3648	1998-04-06	VYDAJ	PREVOD NA UCET	17	26081	POJISTNE	QR	19181388
1067632	3648	1998-05-06	VYDAJ	PREVOD NA UCET	17	27012	POJISTNE	QR	19181388
1067633	3648	1998-06-06	VYDAJ	PREVOD NA UCET	17	19155	POJISTNE	QR	19181388
1067634	3648	1998-07-06	VYDAJ	PREVOD NA UCET	17	26167	POJISTNE	QR	19181388
1067635	3648	1998-08-06	VYDAJ	PREVOD NA UCET	17	25197	POJISTNE	QR	19181388
1067636	3648	1998-09-06	VYDAJ	PREVOD NA UCET	17	25082	POJISTNE	QR	19181388
1067637	3648	1998-10-06	VYDAJ	PREVOD NA UCET	17	27570	POJISTNE	QR	19181388
1067638	3648	1998-11-06	VYDAJ	PREVOD NA UCET	17	30709	POJISTNE	QR	19181388
1067639	3648	1998-12-06	VYDAJ	PREVOD NA UCET	17	33351	POJISTNE	QR	19181388
1067641	3648	1997-06-15	VYDAJ	VYBER	6630	22879	\N	\N	\N
1067642	3648	1998-06-06	VYDAJ	VYBER	6390	19172	\N	\N	\N
1067643	3648	1996-12-08	VYDAJ	VYBER	330	24504	\N	\N	\N
1067644	3648	1997-12-18	VYDAJ	VYBER	270	34938	\N	\N	\N
1067645	3648	1998-12-15	VYDAJ	VYBER	870	33733	\N	\N	\N
1067652	3648	1997-01-21	VYDAJ	VYBER	630	25522	\N	\N	\N
1067653	3648	1997-01-17	VYDAJ	VYBER	450	26152	\N	\N	\N
1067654	3648	1997-01-26	VYDAJ	VYBER	810	23572	\N	\N	\N
1067655	3648	1997-01-21	VYDAJ	VYBER	540	24982	\N	\N	\N
1067656	3648	1997-01-25	VYDAJ	VYBER	600	24382	\N	\N	\N
1067657	3648	1997-01-05	VYDAJ	VYBER	660	25787	\N	\N	\N
1067658	3648	1998-01-06	VYDAJ	VYBER	570	31718	\N	\N	\N
1067659	3648	1998-01-13	VYDAJ	VYBER	870	31723	\N	\N	\N
1067660	3648	1998-01-21	VYDAJ	VYBER	600	31123	\N	\N	\N
1067661	3648	1998-01-06	VYDAJ	VYBER	150	31568	\N	\N	\N
1067662	3648	1998-01-07	VYDAJ	VYBER	210	31341	\N	\N	\N
1067663	3648	1998-01-28	VYDAJ	VYBER	720	29303	\N	\N	\N
1067664	3648	1996-11-12	VYDAJ	VYBER	1200	23409	\N	\N	\N
1067667	3648	1997-05-02	VYDAJ	VYBER	1080	30225	\N	\N	\N
1067668	3648	1997-04-12	VYDAJ	VYBER	1050	28105	\N	\N	\N
1067669	3648	1997-02-17	VYDAJ	VYBER	900	23198	\N	\N	\N
1067670	3648	1997-12-22	VYDAJ	VYBER	480	34458	\N	\N	\N
1067671	3648	1997-01-12	VYDAJ	VYBER	420	24710	\N	\N	\N
1067672	3648	1997-12-17	VYDAJ	VYBER	1380	35208	\N	\N	\N
1067673	3648	1998-05-27	VYDAJ	VYBER	600	25464	\N	\N	\N
1067674	3648	1998-12-24	VYDAJ	VYBER	660	38373	\N	\N	\N
1067675	3648	1998-08-16	VYDAJ	VYBER	870	25579	\N	\N	\N
1067676	3648	1998-09-06	VYDAJ	VYBER	270	25099	\N	\N	\N
1067677	3648	1998-11-24	VYDAJ	VYBER	210	33251	\N	\N	\N
1067678	3648	1998-09-07	VYDAJ	VYBER	540	24542	\N	\N	\N
1067688	3648	1996-09-30	VYDAJ	VYBER	15	31290	SLUZBY	\N	\N
1067689	3648	1996-10-31	VYDAJ	VYBER	15	27526	SLUZBY	\N	\N
1067690	3648	1996-11-30	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
1067691	3648	1996-12-31	VYDAJ	VYBER	15	25847	SLUZBY	\N	\N
1067692	3648	1997-01-31	VYDAJ	VYBER	15	22863	SLUZBY	\N	\N
1067693	3648	1997-02-28	VYDAJ	VYBER	15	23279	SLUZBY	\N	\N
1067694	3648	1997-03-31	VYDAJ	VYBER	15	28012	SLUZBY	\N	\N
1067695	3648	1997-04-30	VYDAJ	VYBER	15	30105	SLUZBY	\N	\N
1067696	3648	1997-05-31	VYDAJ	VYBER	15	28274	SLUZBY	\N	\N
1067697	3648	1997-06-30	VYDAJ	VYBER	15	26470	SLUZBY	\N	\N
1067698	3648	1997-07-31	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
1067699	3648	1997-08-31	VYDAJ	VYBER	15	32955	SLUZBY	\N	\N
1067700	3648	1997-09-30	VYDAJ	VYBER	15	35616	SLUZBY	\N	\N
1067701	3648	1997-10-31	VYDAJ	VYBER	15	34486	SLUZBY	\N	\N
1067702	3648	1997-11-30	VYDAJ	VYBER	15	35353	SLUZBY	\N	\N
1067703	3648	1997-12-31	VYDAJ	VYBER	15	32288	SLUZBY	\N	\N
1067704	3648	1998-01-31	VYDAJ	VYBER	15	29418	SLUZBY	\N	\N
1067705	3648	1998-02-28	VYDAJ	VYBER	15	27662	SLUZBY	\N	\N
1067706	3648	1998-03-31	VYDAJ	VYBER	15	26098	SLUZBY	\N	\N
1067707	3648	1998-04-30	VYDAJ	VYBER	15	27029	SLUZBY	\N	\N
1067708	3648	1998-05-31	VYDAJ	VYBER	15	25562	SLUZBY	\N	\N
1067709	3648	1998-06-30	VYDAJ	VYBER	15	26184	SLUZBY	\N	\N
1067710	3648	1998-07-31	VYDAJ	VYBER	15	25214	SLUZBY	\N	\N
1067711	3648	1998-08-31	VYDAJ	VYBER	15	25369	SLUZBY	\N	\N
1067712	3648	1998-09-30	VYDAJ	VYBER	15	27587	SLUZBY	\N	\N
1067713	3648	1998-10-31	VYDAJ	VYBER	15	30726	SLUZBY	\N	\N
1067714	3648	1998-11-30	VYDAJ	VYBER	15	33368	SLUZBY	\N	\N
1067715	3648	1996-06-05	PRIJEM	VKLAD	6800	11416	\N	\N	\N
1067716	3648	1996-07-05	PRIJEM	VKLAD	5500	20665	\N	\N	\N
1067717	3648	1996-08-04	PRIJEM	VKLAD	1200	25656	\N	\N	\N
1067718	3648	1996-09-03	VYDAJ	VYBER	2000	27474	\N	\N	\N
1067719	3648	1996-10-03	VYDAJ	VYBER	5100	26190	\N	\N	\N
1067720	3648	1996-11-02	VYDAJ	VYBER	2900	24626	\N	\N	\N
1067721	3648	1996-12-02	PRIJEM	VKLAD	100	24851	\N	\N	\N
1067722	3648	1997-01-01	PRIJEM	VKLAD	600	26447	\N	\N	\N
1067723	3648	1997-01-31	VYDAJ	VYBER	800	22877	\N	\N	\N
1067724	3648	1997-03-02	PRIJEM	VKLAD	3400	26679	\N	\N	\N
1067725	3648	1997-04-01	PRIJEM	VKLAD	1800	29812	\N	\N	\N
1067726	3648	1997-05-01	PRIJEM	VKLAD	1200	31305	\N	\N	\N
1067727	3648	1997-05-31	VYDAJ	VYBER	3300	28288	\N	\N	\N
1067728	3648	1997-06-30	PRIJEM	VKLAD	3500	26485	\N	\N	\N
1067729	3648	1997-07-30	PRIJEM	VKLAD	2700	30405	\N	\N	\N
1067730	3648	1997-08-29	PRIJEM	VKLAD	1100	32839	\N	\N	\N
1067731	3648	1997-09-28	PRIJEM	VKLAD	1300	35490	\N	\N	\N
1067732	3648	1997-10-28	VYDAJ	VYBER	2500	34351	\N	\N	\N
1067733	3648	1997-11-27	VYDAJ	VYBER	500	35221	\N	\N	\N
1067734	3648	1997-12-27	VYDAJ	VYBER	2300	32158	\N	\N	\N
1067735	3648	1998-01-26	VYDAJ	VYBER	1100	30023	\N	\N	\N
1067736	3648	1998-02-25	VYDAJ	VYBER	3100	27553	\N	\N	\N
1067737	3648	1998-03-27	VYDAJ	VYBER	2900	25997	\N	\N	\N
1067738	3648	1998-04-26	VYDAJ	VYBER	400	26933	\N	\N	\N
1067739	3648	1998-05-26	VYDAJ	VYBER	2200	26064	\N	\N	\N
1067740	3648	1998-06-25	PRIJEM	VKLAD	5700	26107	\N	\N	\N
1067741	3648	1998-07-25	VYDAJ	VYBER	2300	25119	\N	\N	\N
1067742	3648	1998-08-24	VYDAJ	VYBER	300	25279	\N	\N	\N
1067743	3648	1998-09-23	PRIJEM	VKLAD	1700	27494	\N	\N	\N
1067744	3648	1998-10-23	PRIJEM	VKLAD	1800	30622	\N	\N	\N
1067745	3648	1998-11-22	PRIJEM	VKLAD	1500	33461	\N	\N	\N
1067746	3648	1998-12-22	PRIJEM	VKLAD	5300	39033	\N	\N	\N
1067779	3649	1993-05-14	PRIJEM	VKLAD	600	600	\N	\N	\N
1067785	3649	1993-06-11	PRIJEM	VKLAD	27592	28192	\N	\N	\N
1067786	3649	1993-07-11	PRIJEM	VKLAD	18395	42748	\N	\N	\N
1067787	3649	1993-08-11	PRIJEM	VKLAD	18395	52168	\N	\N	\N
1067788	3649	1993-09-11	PRIJEM	VKLAD	18395	58721	\N	\N	\N
1067789	3649	1993-10-11	PRIJEM	VKLAD	18395	62034	\N	\N	\N
1067790	3649	1993-11-11	PRIJEM	VKLAD	18395	46523	\N	\N	\N
1067791	3649	1993-12-11	PRIJEM	VKLAD	27592	59989	\N	\N	\N
1067792	3649	1994-01-11	PRIJEM	VKLAD	18395	45673	\N	\N	\N
1067793	3649	1994-02-11	PRIJEM	VKLAD	18395	47137	\N	\N	\N
1067794	3649	1994-03-11	PRIJEM	VKLAD	18395	49010	\N	\N	\N
1067795	3649	1994-04-11	PRIJEM	VKLAD	18395	54393	\N	\N	\N
1067796	3649	1994-05-11	PRIJEM	VKLAD	18395	55695	\N	\N	\N
1067797	3649	1994-06-11	PRIJEM	VKLAD	27592	62904	\N	\N	\N
1067798	3649	1994-07-11	PRIJEM	VKLAD	18395	46723	\N	\N	\N
1067799	3649	1994-08-11	PRIJEM	VKLAD	18395	50686	\N	\N	\N
1067800	3649	1994-09-11	PRIJEM	VKLAD	18395	53374	\N	\N	\N
1067801	3649	1994-10-11	PRIJEM	VKLAD	18395	55075	\N	\N	\N
1067802	3649	1994-11-11	PRIJEM	VKLAD	18395	55184	\N	\N	\N
1067803	3649	1994-12-11	PRIJEM	VKLAD	27592	60091	\N	\N	\N
1067804	3649	1995-01-11	PRIJEM	VKLAD	18395	55369	\N	\N	\N
1067805	3649	1995-02-11	PRIJEM	VKLAD	18395	45402	\N	\N	\N
1067806	3649	1995-03-11	PRIJEM	VKLAD	18395	51162	\N	\N	\N
1067807	3649	1995-04-11	PRIJEM	VKLAD	18395	54849	\N	\N	\N
1067808	3649	1995-05-11	PRIJEM	VKLAD	18395	57654	\N	\N	\N
1067809	3649	1995-06-11	PRIJEM	VKLAD	27592	66769	\N	\N	\N
1067810	3649	1995-07-11	PRIJEM	VKLAD	18395	43714	\N	\N	\N
1067811	3649	1995-08-11	PRIJEM	VKLAD	18395	47288	\N	\N	\N
1067812	3649	1995-09-11	PRIJEM	VKLAD	18395	53251	\N	\N	\N
1067813	3649	1995-10-11	PRIJEM	VKLAD	18395	51906	\N	\N	\N
1067814	3649	1995-11-11	PRIJEM	VKLAD	18395	53992	\N	\N	\N
1067815	3649	1995-12-11	PRIJEM	VKLAD	27592	58014	\N	\N	\N
1067816	3649	1996-01-11	PRIJEM	VKLAD	18395	35528	\N	\N	\N
1067817	3649	1996-02-11	PRIJEM	VKLAD	18395	37865	\N	\N	\N
1067818	3649	1996-03-11	PRIJEM	VKLAD	18395	40185	\N	\N	\N
1067819	3649	1996-04-11	PRIJEM	VKLAD	18395	46719	\N	\N	\N
1067820	3649	1996-05-11	PRIJEM	VKLAD	18395	51375	\N	\N	\N
1067821	3649	1996-06-11	PRIJEM	VKLAD	27592	57885	\N	\N	\N
1067822	3649	1996-07-11	PRIJEM	VKLAD	18395	58679	\N	\N	\N
1067823	3649	1996-08-11	PRIJEM	VKLAD	18395	55860	\N	\N	\N
1067824	3649	1996-09-11	PRIJEM	VKLAD	18395	55151	\N	\N	\N
1067825	3649	1996-10-11	PRIJEM	VKLAD	18395	56676	\N	\N	\N
1067826	3649	1996-11-11	PRIJEM	VKLAD	18395	59169	\N	\N	\N
1067827	3649	1996-12-11	PRIJEM	VKLAD	27592	69428	\N	\N	\N
1067828	3649	1997-01-11	PRIJEM	VKLAD	18395	55851	\N	\N	\N
1067829	3649	1997-02-11	PRIJEM	VKLAD	18395	44591	\N	\N	\N
1067830	3649	1997-03-11	PRIJEM	VKLAD	18395	53936	\N	\N	\N
1067831	3649	1997-04-11	PRIJEM	VKLAD	18395	55913	\N	\N	\N
1067832	3649	1997-05-11	PRIJEM	VKLAD	18395	56996	\N	\N	\N
1067833	3649	1997-06-11	PRIJEM	VKLAD	27592	69141	\N	\N	\N
1067834	3649	1997-07-11	PRIJEM	VKLAD	18395	47845	\N	\N	\N
1067835	3649	1997-08-11	PRIJEM	VKLAD	18395	55101	\N	\N	\N
1067836	3649	1997-09-11	PRIJEM	VKLAD	18395	59681	\N	\N	\N
1067837	3649	1997-10-11	PRIJEM	VKLAD	18395	59774	\N	\N	\N
1067838	3649	1997-11-11	PRIJEM	VKLAD	18395	60767	\N	\N	\N
1067839	3649	1997-12-11	PRIJEM	VKLAD	27592	61678	\N	\N	\N
1067840	3649	1998-01-11	PRIJEM	VKLAD	18395	53603	\N	\N	\N
1067841	3649	1998-02-11	PRIJEM	VKLAD	18395	45458	\N	\N	\N
1067842	3649	1998-03-11	PRIJEM	VKLAD	18395	47437	\N	\N	\N
1067843	3649	1998-04-11	PRIJEM	VKLAD	18395	50185	\N	\N	\N
1067844	3649	1998-05-11	PRIJEM	VKLAD	18395	52838	\N	\N	\N
1067845	3649	1998-06-11	PRIJEM	VKLAD	27592	60191	\N	\N	\N
1067846	3649	1998-07-11	PRIJEM	VKLAD	18395	55858	\N	\N	\N
1067847	3649	1998-08-11	PRIJEM	VKLAD	18395	43632	\N	\N	\N
1067848	3649	1998-09-11	PRIJEM	VKLAD	18395	45458	\N	\N	\N
1067849	3649	1998-10-11	PRIJEM	VKLAD	18395	40704	\N	\N	\N
1067850	3649	1998-11-11	PRIJEM	VKLAD	18395	39712	\N	\N	\N
1067851	3649	1998-12-11	PRIJEM	VKLAD	27592	51013	\N	\N	\N
1067861	3649	1993-10-12	VYDAJ	PREVOD NA UCET	6468	34662	SIPO	WX	57693803
1067862	3649	1993-11-12	VYDAJ	PREVOD NA UCET	6468	40051	SIPO	WX	57693803
1067863	3649	1993-12-12	VYDAJ	PREVOD NA UCET	6468	53517	SIPO	WX	57693803
1067864	3649	1994-01-12	VYDAJ	PREVOD NA UCET	6468	39201	SIPO	WX	57693803
1067865	3649	1994-02-12	VYDAJ	PREVOD NA UCET	6468	40665	SIPO	WX	57693803
1067866	3649	1994-03-12	VYDAJ	PREVOD NA UCET	6468	42538	SIPO	WX	57693803
1067867	3649	1994-04-12	VYDAJ	PREVOD NA UCET	6468	47921	SIPO	WX	57693803
1067868	3649	1994-05-12	VYDAJ	PREVOD NA UCET	6468	49223	SIPO	WX	57693803
1067869	3649	1994-06-12	VYDAJ	PREVOD NA UCET	6468	56432	SIPO	WX	57693803
1067870	3649	1994-07-12	VYDAJ	PREVOD NA UCET	6468	40251	SIPO	WX	57693803
1067871	3649	1994-08-12	VYDAJ	PREVOD NA UCET	6468	44214	SIPO	WX	57693803
1067872	3649	1994-09-12	VYDAJ	PREVOD NA UCET	6468	46902	SIPO	WX	57693803
1067873	3649	1994-10-12	VYDAJ	PREVOD NA UCET	6468	48603	SIPO	WX	57693803
1067874	3649	1994-11-12	VYDAJ	PREVOD NA UCET	6468	48712	SIPO	WX	57693803
1067875	3649	1994-12-12	VYDAJ	PREVOD NA UCET	6468	53619	SIPO	WX	57693803
1067876	3649	1995-01-12	VYDAJ	PREVOD NA UCET	6468	48897	SIPO	WX	57693803
1067877	3649	1995-02-12	VYDAJ	PREVOD NA UCET	6468	38930	SIPO	WX	57693803
1067878	3649	1995-03-12	VYDAJ	PREVOD NA UCET	6468	44690	SIPO	WX	57693803
1067879	3649	1995-04-12	VYDAJ	PREVOD NA UCET	6468	48377	SIPO	WX	57693803
1067880	3649	1995-05-12	VYDAJ	PREVOD NA UCET	6468	51182	SIPO	WX	57693803
1067881	3649	1995-06-12	VYDAJ	PREVOD NA UCET	6468	23177	SIPO	WX	57693803
1067882	3649	1995-07-12	VYDAJ	PREVOD NA UCET	6468	37242	SIPO	WX	57693803
1067883	3649	1995-08-12	VYDAJ	PREVOD NA UCET	6468	40816	SIPO	WX	57693803
1067884	3649	1995-09-12	VYDAJ	PREVOD NA UCET	6468	46779	SIPO	WX	57693803
1067885	3649	1995-10-12	VYDAJ	PREVOD NA UCET	6468	45434	SIPO	WX	57693803
1067886	3649	1995-11-12	VYDAJ	PREVOD NA UCET	6468	47520	SIPO	WX	57693803
1067887	3649	1995-12-12	VYDAJ	PREVOD NA UCET	6468	51542	SIPO	WX	57693803
1067888	3649	1996-01-12	VYDAJ	PREVOD NA UCET	6468	29056	SIPO	WX	57693803
1067889	3649	1996-02-12	VYDAJ	PREVOD NA UCET	6468	31393	SIPO	WX	57693803
1067890	3649	1996-03-12	VYDAJ	PREVOD NA UCET	6468	33713	SIPO	WX	57693803
1067891	3649	1996-04-12	VYDAJ	PREVOD NA UCET	6468	40247	SIPO	WX	57693803
1067892	3649	1996-05-12	VYDAJ	PREVOD NA UCET	6468	44903	SIPO	WX	57693803
1067893	3649	1996-06-12	VYDAJ	PREVOD NA UCET	6468	51413	SIPO	WX	57693803
1067894	3649	1996-07-12	VYDAJ	PREVOD NA UCET	6468	52207	SIPO	WX	57693803
1067895	3649	1996-08-12	VYDAJ	PREVOD NA UCET	6468	49388	SIPO	WX	57693803
1067896	3649	1996-09-12	VYDAJ	PREVOD NA UCET	6468	48679	SIPO	WX	57693803
1067897	3649	1996-10-12	VYDAJ	PREVOD NA UCET	6468	50204	SIPO	WX	57693803
1067898	3649	1996-11-12	VYDAJ	PREVOD NA UCET	6468	52697	SIPO	WX	57693803
1067899	3649	1996-12-12	VYDAJ	PREVOD NA UCET	6468	62956	SIPO	WX	57693803
1067900	3649	1997-01-12	VYDAJ	PREVOD NA UCET	6468	49379	SIPO	WX	57693803
1067901	3649	1997-02-12	VYDAJ	PREVOD NA UCET	6468	38119	SIPO	WX	57693803
1067902	3649	1997-03-12	VYDAJ	PREVOD NA UCET	6468	47464	SIPO	WX	57693803
1067903	3649	1997-04-12	VYDAJ	PREVOD NA UCET	6468	49441	SIPO	WX	57693803
1067904	3649	1997-05-12	VYDAJ	PREVOD NA UCET	6468	50524	SIPO	WX	57693803
1067905	3649	1997-06-12	VYDAJ	PREVOD NA UCET	6468	62669	SIPO	WX	57693803
1067906	3649	1997-07-12	VYDAJ	PREVOD NA UCET	6468	41373	SIPO	WX	57693803
1067907	3649	1997-08-12	VYDAJ	PREVOD NA UCET	6468	48629	SIPO	WX	57693803
1067908	3649	1997-09-12	VYDAJ	PREVOD NA UCET	6468	53209	SIPO	WX	57693803
1067909	3649	1997-10-12	VYDAJ	PREVOD NA UCET	6468	53302	SIPO	WX	57693803
1067910	3649	1997-11-12	VYDAJ	PREVOD NA UCET	6468	54295	SIPO	WX	57693803
1067911	3649	1997-12-12	VYDAJ	PREVOD NA UCET	6468	55206	SIPO	WX	57693803
1067912	3649	1998-01-12	VYDAJ	PREVOD NA UCET	6468	47131	SIPO	WX	57693803
1067913	3649	1998-02-12	VYDAJ	PREVOD NA UCET	6468	38986	SIPO	WX	57693803
1067914	3649	1998-03-12	VYDAJ	PREVOD NA UCET	6468	40965	SIPO	WX	57693803
1067915	3649	1998-04-12	VYDAJ	PREVOD NA UCET	6468	43713	SIPO	WX	57693803
1067916	3649	1998-05-12	VYDAJ	PREVOD NA UCET	6468	46366	SIPO	WX	57693803
1067917	3649	1998-06-12	VYDAJ	PREVOD NA UCET	6468	53719	SIPO	WX	57693803
1067918	3649	1998-07-12	VYDAJ	PREVOD NA UCET	6468	49386	SIPO	WX	57693803
1067919	3649	1998-08-12	VYDAJ	PREVOD NA UCET	6468	37160	SIPO	WX	57693803
1067920	3649	1998-09-12	VYDAJ	PREVOD NA UCET	6468	38986	SIPO	WX	57693803
1067921	3649	1998-10-12	VYDAJ	PREVOD NA UCET	6468	34232	SIPO	WX	57693803
1067922	3649	1998-11-12	VYDAJ	PREVOD NA UCET	6468	33240	SIPO	WX	57693803
1067923	3649	1998-12-12	VYDAJ	PREVOD NA UCET	6468	44541	SIPO	WX	57693803
1067933	3649	1993-10-11	VYDAJ	PREVOD NA UCET	4	62030	 	ST	17516535
1067934	3649	1993-11-11	VYDAJ	PREVOD NA UCET	4	46519	 	ST	17516535
1067935	3649	1993-12-11	VYDAJ	PREVOD NA UCET	4	59985	 	ST	17516535
1067936	3649	1994-01-11	VYDAJ	PREVOD NA UCET	4	45669	 	ST	17516535
1067937	3649	1994-02-11	VYDAJ	PREVOD NA UCET	4	47133	 	ST	17516535
1067938	3649	1994-03-11	VYDAJ	PREVOD NA UCET	4	49006	 	ST	17516535
1067939	3649	1994-04-11	VYDAJ	PREVOD NA UCET	4	54389	 	ST	17516535
1067940	3649	1994-05-11	VYDAJ	PREVOD NA UCET	4	55691	 	ST	17516535
1067941	3649	1994-06-11	VYDAJ	PREVOD NA UCET	4	62900	 	ST	17516535
1067942	3649	1994-07-11	VYDAJ	PREVOD NA UCET	4	46719	 	ST	17516535
1067943	3649	1994-08-11	VYDAJ	PREVOD NA UCET	4	50682	 	ST	17516535
1067944	3649	1994-09-11	VYDAJ	PREVOD NA UCET	4	53370	 	ST	17516535
1067945	3649	1994-10-11	VYDAJ	PREVOD NA UCET	4	55071	 	ST	17516535
1067946	3649	1994-11-11	VYDAJ	PREVOD NA UCET	4	55180	 	ST	17516535
1067947	3649	1994-12-11	VYDAJ	PREVOD NA UCET	4	60087	 	ST	17516535
1067948	3649	1995-01-11	VYDAJ	PREVOD NA UCET	4	55365	 	ST	17516535
1067949	3649	1995-02-11	VYDAJ	PREVOD NA UCET	4	45398	 	ST	17516535
1067950	3649	1995-03-11	VYDAJ	PREVOD NA UCET	4	51158	 	ST	17516535
1067951	3649	1995-04-11	VYDAJ	PREVOD NA UCET	4	54845	 	ST	17516535
1067952	3649	1995-05-11	VYDAJ	PREVOD NA UCET	4	57650	 	ST	17516535
1067953	3649	1995-06-11	VYDAJ	PREVOD NA UCET	4	66765	 	ST	17516535
1067954	3649	1995-07-11	VYDAJ	PREVOD NA UCET	4	43710	 	ST	17516535
1067955	3649	1995-08-11	VYDAJ	PREVOD NA UCET	4	47284	 	ST	17516535
1067956	3649	1995-09-11	VYDAJ	PREVOD NA UCET	4	53247	 	ST	17516535
1067957	3649	1995-10-11	VYDAJ	PREVOD NA UCET	4	51902	 	ST	17516535
1067958	3649	1995-11-11	VYDAJ	PREVOD NA UCET	4	53988	 	ST	17516535
1067959	3649	1995-12-11	VYDAJ	PREVOD NA UCET	4	58010	 	ST	17516535
1067960	3649	1996-01-11	VYDAJ	PREVOD NA UCET	4	35524	 	ST	17516535
1067961	3649	1996-02-11	VYDAJ	PREVOD NA UCET	4	37861	 	ST	17516535
1067962	3649	1996-03-11	VYDAJ	PREVOD NA UCET	4	40181	 	ST	17516535
1067963	3649	1996-04-11	VYDAJ	PREVOD NA UCET	4	46715	 	ST	17516535
1067964	3649	1996-05-11	VYDAJ	PREVOD NA UCET	4	51371	 	ST	17516535
1067965	3649	1996-06-11	VYDAJ	PREVOD NA UCET	4	57881	 	ST	17516535
1067966	3649	1996-07-11	VYDAJ	PREVOD NA UCET	4	58675	 	ST	17516535
1067967	3649	1996-08-11	VYDAJ	PREVOD NA UCET	4	55856	 	ST	17516535
1067968	3649	1996-09-11	VYDAJ	PREVOD NA UCET	4	55147	 	ST	17516535
1067969	3649	1996-10-11	VYDAJ	PREVOD NA UCET	4	56672	 	ST	17516535
1067970	3649	1996-11-11	VYDAJ	PREVOD NA UCET	4	59165	 	ST	17516535
1067971	3649	1996-12-11	VYDAJ	PREVOD NA UCET	4	69424	 	ST	17516535
1067972	3649	1997-01-11	VYDAJ	PREVOD NA UCET	4	55847	 	ST	17516535
1067973	3649	1997-02-11	VYDAJ	PREVOD NA UCET	4	44587	 	ST	17516535
1067974	3649	1997-03-11	VYDAJ	PREVOD NA UCET	4	53932	 	ST	17516535
1067975	3649	1997-04-11	VYDAJ	PREVOD NA UCET	4	55909	 	ST	17516535
1067976	3649	1997-05-11	VYDAJ	PREVOD NA UCET	4	56992	 	ST	17516535
1067977	3649	1997-06-11	VYDAJ	PREVOD NA UCET	4	69137	 	ST	17516535
1067978	3649	1997-07-11	VYDAJ	PREVOD NA UCET	4	47841	 	ST	17516535
1067979	3649	1997-08-11	VYDAJ	PREVOD NA UCET	4	55097	 	ST	17516535
1067980	3649	1997-09-11	VYDAJ	PREVOD NA UCET	4	59677	 	ST	17516535
1067981	3649	1997-10-11	VYDAJ	PREVOD NA UCET	4	59770	 	ST	17516535
1067982	3649	1997-11-11	VYDAJ	PREVOD NA UCET	4	60763	 	ST	17516535
1067983	3649	1997-12-11	VYDAJ	PREVOD NA UCET	4	61674	 	ST	17516535
1067984	3649	1998-01-11	VYDAJ	PREVOD NA UCET	4	53599	 	ST	17516535
1067985	3649	1998-02-11	VYDAJ	PREVOD NA UCET	4	45454	 	ST	17516535
1067986	3649	1998-03-11	VYDAJ	PREVOD NA UCET	4	47433	 	ST	17516535
1067987	3649	1998-04-11	VYDAJ	PREVOD NA UCET	4	50181	 	ST	17516535
1067988	3649	1998-05-11	VYDAJ	PREVOD NA UCET	4	52834	 	ST	17516535
1067989	3649	1998-06-11	VYDAJ	PREVOD NA UCET	4	60187	 	ST	17516535
1067990	3649	1998-07-11	VYDAJ	PREVOD NA UCET	4	55854	 	ST	17516535
1067991	3649	1998-08-11	VYDAJ	PREVOD NA UCET	4	43628	 	ST	17516535
1067992	3649	1998-09-11	VYDAJ	PREVOD NA UCET	4	45454	 	ST	17516535
1067993	3649	1998-10-11	VYDAJ	PREVOD NA UCET	4	40700	 	ST	17516535
1067994	3649	1998-11-11	VYDAJ	PREVOD NA UCET	4	39708	 	ST	17516535
1067995	3649	1998-12-11	VYDAJ	PREVOD NA UCET	4	51009	 	ST	17516535
1067997	3649	1994-06-16	VYDAJ	VYBER	26560	29872	\N	\N	\N
1067998	3649	1995-06-12	VYDAJ	VYBER	37120	29645	\N	\N	\N
1068000	3649	1997-06-26	VYDAJ	VYBER	12960	29269	\N	\N	\N
1068003	3649	1994-01-04	VYDAJ	VYBER	3200	37218	\N	\N	\N
1068004	3649	1995-01-19	VYDAJ	VYBER	8160	38097	\N	\N	\N
1068005	3649	1996-01-05	VYDAJ	VYBER	15520	19293	\N	\N	\N
1068006	3649	1997-01-16	VYDAJ	VYBER	12960	36419	\N	\N	\N
1068008	3649	1993-12-20	VYDAJ	VYBER	3200	50317	\N	\N	\N
1068009	3649	1994-12-26	VYDAJ	VYBER	2240	51379	\N	\N	\N
1068010	3649	1995-12-04	VYDAJ	VYBER	3360	30422	\N	\N	\N
1068011	3649	1996-12-16	VYDAJ	VYBER	3840	59116	\N	\N	\N
1068012	3649	1997-12-04	VYDAJ	VYBER	1440	37806	\N	\N	\N
1068013	3649	1998-12-07	VYDAJ	VYBER	800	23421	\N	\N	\N
1068020	3649	1994-01-05	VYDAJ	VYBER	1440	32538	\N	\N	\N
1068021	3649	1994-01-04	VYDAJ	VYBER	3240	33978	\N	\N	\N
1068022	3649	1994-01-02	VYDAJ	VYBER	1920	40418	\N	\N	\N
1068023	3649	1994-01-09	VYDAJ	VYBER	1560	27278	\N	\N	\N
1068024	3649	1994-01-22	VYDAJ	VYBER	2400	36801	\N	\N	\N
1068025	3649	1994-01-02	VYDAJ	VYBER	3360	42338	\N	\N	\N
1068026	3649	1995-01-25	VYDAJ	VYBER	3000	31977	\N	\N	\N
1068027	3649	1995-01-02	VYDAJ	VYBER	3000	46774	\N	\N	\N
1068028	3649	1995-01-26	VYDAJ	VYBER	720	31257	\N	\N	\N
1068029	3649	1995-01-24	VYDAJ	VYBER	3120	34977	\N	\N	\N
1068030	3649	1995-01-01	VYDAJ	VYBER	1800	49774	\N	\N	\N
1068031	3649	1995-01-14	VYDAJ	VYBER	2640	46257	\N	\N	\N
1068032	3649	1996-01-16	VYDAJ	VYBER	1800	26296	\N	\N	\N
1068033	3649	1996-01-15	VYDAJ	VYBER	960	28096	\N	\N	\N
1068034	3649	1996-01-27	VYDAJ	VYBER	1560	20176	\N	\N	\N
1068035	3649	1996-01-26	VYDAJ	VYBER	3360	21736	\N	\N	\N
1068036	3649	1996-01-21	VYDAJ	VYBER	1200	25096	\N	\N	\N
1068037	3649	1996-01-08	VYDAJ	VYBER	2160	17133	\N	\N	\N
1068038	3649	1997-01-19	VYDAJ	VYBER	2400	32939	\N	\N	\N
1068039	3649	1997-01-25	VYDAJ	VYBER	1320	26059	\N	\N	\N
1068040	3649	1997-01-18	VYDAJ	VYBER	1080	35339	\N	\N	\N
1068041	3649	1997-01-24	VYDAJ	VYBER	2520	27379	\N	\N	\N
1068042	3649	1997-01-06	VYDAJ	VYBER	3120	37456	\N	\N	\N
1068043	3649	1997-01-21	VYDAJ	VYBER	1440	31499	\N	\N	\N
1068044	3649	1998-01-14	VYDAJ	VYBER	3000	44131	\N	\N	\N
1068045	3649	1998-01-21	VYDAJ	VYBER	2040	29571	\N	\N	\N
1068046	3649	1998-01-21	VYDAJ	VYBER	1920	31611	\N	\N	\N
1068047	3649	1998-01-04	VYDAJ	VYBER	1800	37968	\N	\N	\N
1068048	3649	1998-01-25	VYDAJ	VYBER	2640	26931	\N	\N	\N
1068049	3649	1998-01-08	VYDAJ	VYBER	2760	35208	\N	\N	\N
1068050	3649	1993-12-25	VYDAJ	VYBER	4800	45517	\N	\N	\N
1068056	3649	1994-11-29	VYDAJ	VYBER	4800	43912	\N	\N	\N
1068057	3649	1995-10-01	VYDAJ	VYBER	4440	33511	\N	\N	\N
1068058	3649	1995-07-27	VYDAJ	VYBER	1320	29082	\N	\N	\N
1068059	3649	1995-07-24	VYDAJ	VYBER	1320	30402	\N	\N	\N
1068060	3649	1995-11-27	VYDAJ	VYBER	4800	42720	\N	\N	\N
1068061	3649	1995-07-21	VYDAJ	VYBER	5520	31722	\N	\N	\N
1068062	3649	1996-10-05	VYDAJ	VYBER	1560	38281	\N	\N	\N
1068063	3649	1996-06-02	VYDAJ	VYBER	5760	30293	\N	\N	\N
1068064	3649	1996-03-07	VYDAJ	VYBER	3600	21790	\N	\N	\N
1068065	3649	1996-08-03	VYDAJ	VYBER	3120	37465	\N	\N	\N
1068066	3649	1996-12-05	VYDAJ	VYBER	3240	41836	\N	\N	\N
1068067	3649	1997-06-23	VYDAJ	VYBER	3840	42229	\N	\N	\N
1068068	3649	1997-08-14	VYDAJ	VYBER	600	48029	\N	\N	\N
1068069	3649	1997-05-12	VYDAJ	VYBER	840	49684	\N	\N	\N
1068070	3649	1997-01-03	VYDAJ	VYBER	5640	40576	\N	\N	\N
1068071	3649	1997-11-29	VYDAJ	VYBER	3120	39075	\N	\N	\N
1068072	3649	1997-12-04	VYDAJ	VYBER	3720	34086	\N	\N	\N
1068073	3649	1998-03-06	VYDAJ	VYBER	3960	29042	\N	\N	\N
1068074	3649	1998-07-20	VYDAJ	VYBER	3600	29186	\N	\N	\N
1068075	3649	1998-08-09	VYDAJ	VYBER	4080	25237	\N	\N	\N
1068076	3649	1998-10-08	VYDAJ	VYBER	5880	22309	\N	\N	\N
1068087	3649	1993-10-31	VYDAJ	VYBER	15	34828	SLUZBY	\N	\N
1068088	3649	1993-11-30	VYDAJ	VYBER	15	40197	SLUZBY	\N	\N
1068089	3649	1993-12-31	VYDAJ	VYBER	15	45698	SLUZBY	\N	\N
1068090	3649	1994-01-31	VYDAJ	VYBER	15	36942	SLUZBY	\N	\N
1068091	3649	1994-02-28	VYDAJ	VYBER	15	40815	SLUZBY	\N	\N
1068092	3649	1994-03-31	VYDAJ	VYBER	15	42698	SLUZBY	\N	\N
1068093	3649	1994-04-30	VYDAJ	VYBER	15	48100	SLUZBY	\N	\N
1068094	3649	1994-05-31	VYDAJ	VYBER	15	49412	SLUZBY	\N	\N
1068095	3649	1994-06-30	VYDAJ	VYBER	15	30028	SLUZBY	\N	\N
1068096	3649	1994-07-31	VYDAJ	VYBER	15	40391	SLUZBY	\N	\N
1068097	3649	1994-08-31	VYDAJ	VYBER	15	44379	SLUZBY	\N	\N
1068098	3649	1994-09-30	VYDAJ	VYBER	15	47080	SLUZBY	\N	\N
1068099	3649	1994-10-31	VYDAJ	VYBER	15	48789	SLUZBY	\N	\N
1068100	3649	1994-11-30	VYDAJ	VYBER	15	44099	SLUZBY	\N	\N
1068101	3649	1994-12-31	VYDAJ	VYBER	15	51574	SLUZBY	\N	\N
1068102	3649	1995-01-31	VYDAJ	VYBER	15	31407	SLUZBY	\N	\N
1068103	3649	1995-02-28	VYDAJ	VYBER	15	39067	SLUZBY	\N	\N
1068104	3649	1995-03-31	VYDAJ	VYBER	15	44854	SLUZBY	\N	\N
1068105	3649	1995-04-30	VYDAJ	VYBER	15	48559	SLUZBY	\N	\N
1068106	3649	1995-05-31	VYDAJ	VYBER	15	51377	SLUZBY	\N	\N
1068107	3649	1995-06-30	VYDAJ	VYBER	15	23319	SLUZBY	\N	\N
1068108	3649	1995-07-31	VYDAJ	VYBER	15	29193	SLUZBY	\N	\N
1068109	3649	1995-08-31	VYDAJ	VYBER	15	40956	SLUZBY	\N	\N
1068110	3649	1995-09-30	VYDAJ	VYBER	15	46951	SLUZBY	\N	\N
1068111	3649	1995-10-31	VYDAJ	VYBER	15	35597	SLUZBY	\N	\N
1068112	3649	1995-11-30	VYDAJ	VYBER	15	33782	SLUZBY	\N	\N
1068113	3649	1995-12-31	VYDAJ	VYBER	15	34813	SLUZBY	\N	\N
1068114	3649	1996-01-31	VYDAJ	VYBER	15	19470	SLUZBY	\N	\N
1068115	3649	1996-02-29	VYDAJ	VYBER	15	25390	SLUZBY	\N	\N
1068116	3649	1996-03-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
1068117	3649	1996-04-30	VYDAJ	VYBER	15	32980	SLUZBY	\N	\N
1068118	3649	1996-05-31	VYDAJ	VYBER	15	36053	SLUZBY	\N	\N
1068119	3649	1996-06-30	VYDAJ	VYBER	15	40284	SLUZBY	\N	\N
1068120	3649	1996-07-31	VYDAJ	VYBER	15	40585	SLUZBY	\N	\N
1068121	3649	1996-08-31	VYDAJ	VYBER	15	36756	SLUZBY	\N	\N
1068122	3649	1996-09-30	VYDAJ	VYBER	15	39841	SLUZBY	\N	\N
1068123	3649	1996-10-31	VYDAJ	VYBER	15	40774	SLUZBY	\N	\N
1068124	3649	1996-11-30	VYDAJ	VYBER	15	45076	SLUZBY	\N	\N
1068125	3649	1996-12-31	VYDAJ	VYBER	15	46216	SLUZBY	\N	\N
1068126	3649	1997-01-31	VYDAJ	VYBER	15	26196	SLUZBY	\N	\N
1068127	3649	1997-02-28	VYDAJ	VYBER	15	35541	SLUZBY	\N	\N
1068128	3649	1997-03-31	VYDAJ	VYBER	15	37518	SLUZBY	\N	\N
1068129	3649	1997-04-30	VYDAJ	VYBER	15	38601	SLUZBY	\N	\N
1068130	3649	1997-05-31	VYDAJ	VYBER	15	41549	SLUZBY	\N	\N
1068131	3649	1997-06-30	VYDAJ	VYBER	15	29450	SLUZBY	\N	\N
1068132	3649	1997-07-31	VYDAJ	VYBER	15	36706	SLUZBY	\N	\N
1068133	3649	1997-08-31	VYDAJ	VYBER	15	41286	SLUZBY	\N	\N
1068134	3649	1997-09-30	VYDAJ	VYBER	15	41379	SLUZBY	\N	\N
1068135	3649	1997-10-31	VYDAJ	VYBER	15	42372	SLUZBY	\N	\N
1068136	3649	1997-11-30	VYDAJ	VYBER	15	39246	SLUZBY	\N	\N
1068137	3649	1997-12-31	VYDAJ	VYBER	15	39768	SLUZBY	\N	\N
1068138	3649	1998-01-31	VYDAJ	VYBER	15	27063	SLUZBY	\N	\N
1068139	3649	1998-02-28	VYDAJ	VYBER	15	33002	SLUZBY	\N	\N
1068140	3649	1998-03-31	VYDAJ	VYBER	15	31790	SLUZBY	\N	\N
1068141	3649	1998-04-30	VYDAJ	VYBER	15	34443	SLUZBY	\N	\N
1068142	3649	1998-05-31	VYDAJ	VYBER	15	32599	SLUZBY	\N	\N
1068143	3649	1998-06-30	VYDAJ	VYBER	15	37463	SLUZBY	\N	\N
1068144	3649	1998-07-31	VYDAJ	VYBER	15	29317	SLUZBY	\N	\N
1068145	3649	1998-08-31	VYDAJ	VYBER	15	27063	SLUZBY	\N	\N
1068146	3649	1998-09-30	VYDAJ	VYBER	15	28189	SLUZBY	\N	\N
1068147	3649	1998-10-31	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
1068148	3649	1998-11-30	VYDAJ	VYBER	15	24221	SLUZBY	\N	\N
1068149	3649	1993-06-13	VYDAJ	VYBER	3900	24292	\N	\N	\N
1068150	3649	1993-07-13	VYDAJ	VYBER	9100	33648	\N	\N	\N
1068151	3649	1993-08-12	VYDAJ	VYBER	12000	40168	\N	\N	\N
1068152	3649	1993-09-11	VYDAJ	VYBER	15300	43421	\N	\N	\N
1068153	3649	1993-10-11	VYDAJ	VYBER	20900	41130	\N	\N	\N
1068154	3649	1993-11-10	VYDAJ	VYBER	6700	28128	\N	\N	\N
1068155	3649	1993-12-10	VYDAJ	VYBER	7800	32397	\N	\N	\N
1068156	3649	1994-01-09	VYDAJ	VYBER	3700	28838	\N	\N	\N
1068157	3649	1994-02-08	VYDAJ	VYBER	8200	28742	\N	\N	\N
1068158	3649	1994-03-10	VYDAJ	VYBER	10200	30615	\N	\N	\N
1068159	3649	1994-04-09	VYDAJ	VYBER	6700	35998	\N	\N	\N
1068160	3649	1994-05-09	VYDAJ	VYBER	10800	37300	\N	\N	\N
1068161	3649	1994-06-08	VYDAJ	VYBER	14100	35312	\N	\N	\N
1068162	3649	1994-07-08	VYDAJ	VYBER	1700	28328	\N	\N	\N
1068163	3649	1994-08-07	VYDAJ	VYBER	8100	32291	\N	\N	\N
1068164	3649	1994-09-06	VYDAJ	VYBER	9400	34979	\N	\N	\N
1068165	3649	1994-10-06	VYDAJ	VYBER	10400	36680	\N	\N	\N
1068166	3649	1994-11-05	VYDAJ	VYBER	12000	36789	\N	\N	\N
1068167	3649	1994-12-05	VYDAJ	VYBER	11600	32499	\N	\N	\N
1068168	3649	1995-01-04	VYDAJ	VYBER	9800	36974	\N	\N	\N
1068169	3649	1995-02-03	VYDAJ	VYBER	4400	27007	\N	\N	\N
1068170	3649	1995-03-05	VYDAJ	VYBER	6300	32767	\N	\N	\N
1068171	3649	1995-04-04	VYDAJ	VYBER	8400	36454	\N	\N	\N
1068172	3649	1995-05-04	VYDAJ	VYBER	9300	39259	\N	\N	\N
1068173	3649	1995-06-03	VYDAJ	VYBER	12200	39177	\N	\N	\N
1068174	3649	1995-07-03	PRIJEM	VKLAD	2000	25319	\N	\N	\N
1068175	3649	1995-08-02	VYDAJ	VYBER	300	28893	\N	\N	\N
1068176	3649	1995-09-01	VYDAJ	VYBER	6100	34856	\N	\N	\N
1068177	3649	1995-10-01	VYDAJ	VYBER	9000	37951	\N	\N	\N
1068178	3649	1995-10-31	VYDAJ	VYBER	10000	35611	\N	\N	\N
1068179	3649	1995-11-30	VYDAJ	VYBER	9100	33797	\N	\N	\N
1068180	3649	1995-12-30	VYDAJ	VYBER	16900	34642	\N	\N	\N
1068181	3649	1996-01-29	VYDAJ	VYBER	800	19376	\N	\N	\N
1068182	3649	1996-02-28	VYDAJ	VYBER	6100	25293	\N	\N	\N
1068183	3649	1996-03-29	VYDAJ	VYBER	5500	28213	\N	\N	\N
1068184	3649	1996-04-28	VYDAJ	VYBER	7400	32847	\N	\N	\N
1068185	3649	1996-05-28	VYDAJ	VYBER	9000	35903	\N	\N	\N
1068186	3649	1996-06-27	VYDAJ	VYBER	11300	40113	\N	\N	\N
1068187	3649	1996-07-27	VYDAJ	VYBER	11800	40407	\N	\N	\N
1068188	3649	1996-08-26	VYDAJ	VYBER	12800	36588	\N	\N	\N
1068189	3649	1996-09-25	VYDAJ	VYBER	9000	39679	\N	\N	\N
1068190	3649	1996-10-25	VYDAJ	VYBER	9600	40604	\N	\N	\N
1068191	3649	1996-11-24	VYDAJ	VYBER	7800	44897	\N	\N	\N
1068192	3649	1996-12-24	VYDAJ	VYBER	13100	46016	\N	\N	\N
1068193	3649	1997-01-23	VYDAJ	VYBER	1600	29899	\N	\N	\N
1068194	3649	1997-02-22	VYDAJ	VYBER	2700	35419	\N	\N	\N
1068195	3649	1997-03-24	VYDAJ	VYBER	10100	37364	\N	\N	\N
1068196	3649	1997-04-23	VYDAJ	VYBER	11000	38441	\N	\N	\N
1068197	3649	1997-05-23	VYDAJ	VYBER	8300	41384	\N	\N	\N
1068198	3649	1997-06-22	VYDAJ	VYBER	16600	46069	\N	\N	\N
1068199	3649	1997-07-22	VYDAJ	VYBER	4800	36573	\N	\N	\N
1068200	3649	1997-08-21	VYDAJ	VYBER	6900	41129	\N	\N	\N
1068201	3649	1997-09-20	VYDAJ	VYBER	12000	41209	\N	\N	\N
1068202	3649	1997-10-20	VYDAJ	VYBER	11100	42202	\N	\N	\N
1068203	3649	1997-11-19	VYDAJ	VYBER	12100	42195	\N	\N	\N
1068204	3649	1997-12-19	VYDAJ	VYBER	15600	39606	\N	\N	\N
1068205	3649	1998-01-18	VYDAJ	VYBER	10600	33531	\N	\N	\N
1068206	3649	1998-02-17	VYDAJ	VYBER	6100	32886	\N	\N	\N
1068207	3649	1998-03-19	VYDAJ	VYBER	9300	31665	\N	\N	\N
1068208	3649	1998-04-18	VYDAJ	VYBER	9400	34313	\N	\N	\N
1068209	3649	1998-05-18	VYDAJ	VYBER	13900	32466	\N	\N	\N
1068210	3649	1998-06-17	VYDAJ	VYBER	16400	37319	\N	\N	\N
1068211	3649	1998-07-17	VYDAJ	VYBER	16600	32786	\N	\N	\N
1068212	3649	1998-08-16	VYDAJ	VYBER	10200	26960	\N	\N	\N
1068213	3649	1998-09-15	VYDAJ	VYBER	10900	28086	\N	\N	\N
1068214	3649	1998-10-15	VYDAJ	VYBER	13000	21232	\N	\N	\N
1068215	3649	1998-11-14	VYDAJ	VYBER	9100	24140	\N	\N	\N
1068283	3650	1994-06-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1068289	3650	1994-06-09	PRIJEM	VKLAD	17682	18782	\N	\N	\N
1068290	3650	1994-07-09	PRIJEM	VKLAD	11788	35827	\N	\N	\N
1068291	3650	1994-08-09	PRIJEM	VKLAD	11788	43446	\N	\N	\N
1068292	3650	1994-09-09	PRIJEM	VKLAD	11788	48407	\N	\N	\N
1068293	3650	1994-10-09	PRIJEM	VKLAD	11788	49791	\N	\N	\N
1068294	3650	1994-11-09	PRIJEM	VKLAD	11788	48693	\N	\N	\N
1068295	3650	1994-12-09	PRIJEM	VKLAD	17682	50278	\N	\N	\N
1068296	3650	1995-01-09	PRIJEM	VKLAD	11788	46570	\N	\N	\N
1068297	3650	1995-02-09	PRIJEM	VKLAD	11788	40133	\N	\N	\N
1068298	3650	1995-03-09	PRIJEM	VKLAD	11788	41876	\N	\N	\N
1068299	3650	1995-04-09	PRIJEM	VKLAD	11788	43435	\N	\N	\N
1068300	3650	1995-05-09	PRIJEM	VKLAD	11788	46199	\N	\N	\N
1068301	3650	1995-06-09	PRIJEM	VKLAD	17682	50762	\N	\N	\N
1068302	3650	1995-07-09	PRIJEM	VKLAD	11788	34420	\N	\N	\N
1068303	3650	1995-08-09	PRIJEM	VKLAD	11788	42441	\N	\N	\N
1068304	3650	1995-09-09	PRIJEM	VKLAD	11788	44293	\N	\N	\N
1068305	3650	1995-10-09	PRIJEM	VKLAD	11788	46652	\N	\N	\N
1068306	3650	1995-11-09	PRIJEM	VKLAD	11788	47221	\N	\N	\N
1068307	3650	1995-12-09	PRIJEM	VKLAD	17682	51384	\N	\N	\N
1068308	3650	1996-01-09	PRIJEM	VKLAD	11788	46859	\N	\N	\N
1068309	3650	1996-02-09	PRIJEM	VKLAD	11788	46931	\N	\N	\N
1068310	3650	1996-03-09	PRIJEM	VKLAD	11788	50101	\N	\N	\N
1068311	3650	1996-04-09	PRIJEM	VKLAD	11788	53885	\N	\N	\N
1068312	3650	1996-05-09	PRIJEM	VKLAD	11788	53380	\N	\N	\N
1068313	3650	1996-06-09	PRIJEM	VKLAD	17682	60370	\N	\N	\N
1068314	3650	1996-07-09	PRIJEM	VKLAD	11788	35483	\N	\N	\N
1068315	3650	1996-08-09	PRIJEM	VKLAD	11788	52020	\N	\N	\N
1068316	3650	1996-09-09	PRIJEM	VKLAD	11788	56613	\N	\N	\N
1068317	3650	1996-10-09	PRIJEM	VKLAD	11788	61225	\N	\N	\N
1068318	3650	1996-11-09	PRIJEM	VKLAD	11788	62852	\N	\N	\N
1068319	3650	1996-12-09	PRIJEM	VKLAD	17682	67473	\N	\N	\N
1068320	3650	1997-01-09	PRIJEM	VKLAD	11788	62507	\N	\N	\N
1068321	3650	1997-02-09	PRIJEM	VKLAD	11788	56131	\N	\N	\N
1068322	3650	1997-03-09	PRIJEM	VKLAD	11788	59638	\N	\N	\N
1068323	3650	1997-04-09	PRIJEM	VKLAD	11788	60357	\N	\N	\N
1068324	3650	1997-05-09	PRIJEM	VKLAD	11788	60780	\N	\N	\N
1068325	3650	1997-06-09	PRIJEM	VKLAD	17682	67897	\N	\N	\N
1068326	3650	1997-07-09	PRIJEM	VKLAD	11788	57810	\N	\N	\N
1068327	3650	1997-08-09	PRIJEM	VKLAD	11788	57123	\N	\N	\N
1068328	3650	1997-09-09	PRIJEM	VKLAD	11788	56126	\N	\N	\N
1068329	3650	1997-10-09	PRIJEM	VKLAD	11788	56528	\N	\N	\N
1068330	3650	1997-11-09	PRIJEM	VKLAD	11788	59034	\N	\N	\N
1068331	3650	1997-12-09	PRIJEM	VKLAD	17682	63637	\N	\N	\N
1068332	3650	1998-01-09	PRIJEM	VKLAD	11788	53957	\N	\N	\N
1068333	3650	1998-02-09	PRIJEM	VKLAD	11788	51660	\N	\N	\N
1068334	3650	1998-03-09	PRIJEM	VKLAD	11788	58855	\N	\N	\N
1068335	3650	1998-04-09	PRIJEM	VKLAD	11788	55764	\N	\N	\N
1068336	3650	1998-05-09	PRIJEM	VKLAD	11788	56467	\N	\N	\N
1068337	3650	1998-06-09	PRIJEM	VKLAD	17682	44160	\N	\N	\N
1068338	3650	1998-07-09	PRIJEM	VKLAD	11788	48435	\N	\N	\N
1068339	3650	1998-08-09	PRIJEM	VKLAD	11788	50806	\N	\N	\N
1068340	3650	1998-09-09	PRIJEM	VKLAD	11788	58299	\N	\N	\N
1068341	3650	1998-10-09	PRIJEM	VKLAD	11788	52390	\N	\N	\N
1068342	3650	1998-11-09	PRIJEM	VKLAD	11788	50767	\N	\N	\N
1068343	3650	1998-12-09	PRIJEM	VKLAD	17682	53529	\N	\N	\N
1068353	3650	1994-10-13	VYDAJ	PREVOD NA UCET	7858	41933	SIPO	MN	85858434
1068354	3650	1994-11-13	VYDAJ	PREVOD NA UCET	7858	40835	SIPO	MN	85858434
1068355	3650	1994-12-13	VYDAJ	PREVOD NA UCET	7858	42420	SIPO	MN	85858434
1068356	3650	1995-01-13	VYDAJ	PREVOD NA UCET	7858	37812	SIPO	MN	85858434
1068357	3650	1995-02-13	VYDAJ	PREVOD NA UCET	7858	32275	SIPO	MN	85858434
1068358	3650	1995-03-13	VYDAJ	PREVOD NA UCET	7858	34018	SIPO	MN	85858434
1068359	3650	1995-04-13	VYDAJ	PREVOD NA UCET	7858	35577	SIPO	MN	85858434
1068360	3650	1995-05-13	VYDAJ	PREVOD NA UCET	7858	38341	SIPO	MN	85858434
1068361	3650	1995-06-13	VYDAJ	PREVOD NA UCET	7858	42904	SIPO	MN	85858434
1068362	3650	1995-07-13	VYDAJ	PREVOD NA UCET	7858	26562	SIPO	MN	85858434
1068363	3650	1995-08-13	VYDAJ	PREVOD NA UCET	7858	34583	SIPO	MN	85858434
1068364	3650	1995-09-13	VYDAJ	PREVOD NA UCET	7858	36435	SIPO	MN	85858434
1068365	3650	1995-10-13	VYDAJ	PREVOD NA UCET	7858	38794	SIPO	MN	85858434
1068366	3650	1995-11-13	VYDAJ	PREVOD NA UCET	7858	39363	SIPO	MN	85858434
1068367	3650	1995-12-13	VYDAJ	PREVOD NA UCET	7858	43526	SIPO	MN	85858434
1068368	3650	1996-01-13	VYDAJ	PREVOD NA UCET	7858	39001	SIPO	MN	85858434
1068369	3650	1996-02-13	VYDAJ	PREVOD NA UCET	7858	39073	SIPO	MN	85858434
1068370	3650	1996-03-13	VYDAJ	PREVOD NA UCET	7858	42243	SIPO	MN	85858434
1068371	3650	1996-04-13	VYDAJ	PREVOD NA UCET	7858	46027	SIPO	MN	85858434
1068372	3650	1996-05-13	VYDAJ	PREVOD NA UCET	7858	45522	SIPO	MN	85858434
1068373	3650	1996-06-13	VYDAJ	PREVOD NA UCET	7858	52512	SIPO	MN	85858434
1068374	3650	1996-07-13	VYDAJ	PREVOD NA UCET	7858	27625	SIPO	MN	85858434
1068375	3650	1996-08-13	VYDAJ	PREVOD NA UCET	7858	44162	SIPO	MN	85858434
1068376	3650	1996-09-13	VYDAJ	PREVOD NA UCET	7858	48755	SIPO	MN	85858434
1068377	3650	1996-10-13	VYDAJ	PREVOD NA UCET	7858	53367	SIPO	MN	85858434
1068378	3650	1996-11-13	VYDAJ	PREVOD NA UCET	7858	54994	SIPO	MN	85858434
1068379	3650	1996-12-13	VYDAJ	PREVOD NA UCET	7858	59615	SIPO	MN	85858434
1068380	3650	1997-01-13	VYDAJ	PREVOD NA UCET	7858	52449	SIPO	MN	85858434
1068381	3650	1997-02-13	VYDAJ	PREVOD NA UCET	7858	48273	SIPO	MN	85858434
1068382	3650	1997-03-13	VYDAJ	PREVOD NA UCET	7858	51780	SIPO	MN	85858434
1068383	3650	1997-04-13	VYDAJ	PREVOD NA UCET	7858	50899	SIPO	MN	85858434
1068384	3650	1997-05-13	VYDAJ	PREVOD NA UCET	7858	52922	SIPO	MN	85858434
1068385	3650	1997-06-13	VYDAJ	PREVOD NA UCET	7858	46139	SIPO	MN	85858434
1068386	3650	1997-07-13	VYDAJ	PREVOD NA UCET	7858	45852	SIPO	MN	85858434
1068387	3650	1997-08-13	VYDAJ	PREVOD NA UCET	7858	49265	SIPO	MN	85858434
1068388	3650	1997-09-13	VYDAJ	PREVOD NA UCET	7858	44468	SIPO	MN	85858434
1068389	3650	1997-10-13	VYDAJ	PREVOD NA UCET	7858	48670	SIPO	MN	85858434
1068390	3650	1997-11-13	VYDAJ	PREVOD NA UCET	7858	51176	SIPO	MN	85858434
1068391	3650	1997-12-13	VYDAJ	PREVOD NA UCET	7858	50879	SIPO	MN	85858434
1068392	3650	1998-01-13	VYDAJ	PREVOD NA UCET	7858	46099	SIPO	MN	85858434
1068393	3650	1998-02-13	VYDAJ	PREVOD NA UCET	7858	43802	SIPO	MN	85858434
1068394	3650	1998-03-13	VYDAJ	PREVOD NA UCET	7858	50997	SIPO	MN	85858434
1068395	3650	1998-04-13	VYDAJ	PREVOD NA UCET	7858	47906	SIPO	MN	85858434
1068396	3650	1998-05-13	VYDAJ	PREVOD NA UCET	7858	48609	SIPO	MN	85858434
1068397	3650	1998-06-13	VYDAJ	PREVOD NA UCET	7858	36302	SIPO	MN	85858434
1068398	3650	1998-07-13	VYDAJ	PREVOD NA UCET	7858	40577	SIPO	MN	85858434
1068399	3650	1998-08-13	VYDAJ	PREVOD NA UCET	7858	46348	SIPO	MN	85858434
1068400	3650	1998-09-13	VYDAJ	PREVOD NA UCET	7858	40441	SIPO	MN	85858434
1068401	3650	1998-10-13	VYDAJ	PREVOD NA UCET	7858	38832	SIPO	MN	85858434
1068402	3650	1998-11-13	VYDAJ	PREVOD NA UCET	7858	35709	SIPO	MN	85858434
1068403	3650	1998-12-13	VYDAJ	PREVOD NA UCET	7858	40271	SIPO	MN	85858434
1068405	3650	1995-06-23	VYDAJ	VYBER	29300	13604	\N	\N	\N
1068406	3650	1996-06-28	VYDAJ	VYBER	22800	23512	\N	\N	\N
1068407	3650	1997-06-12	VYDAJ	VYBER	13900	53997	\N	\N	\N
1068408	3650	1998-06-08	VYDAJ	VYBER	16000	26478	\N	\N	\N
1068409	3650	1994-12-26	VYDAJ	VYBER	2600	39820	\N	\N	\N
1068410	3650	1995-12-26	VYDAJ	VYBER	2900	40626	\N	\N	\N
1068411	3650	1996-12-15	VYDAJ	VYBER	700	58915	\N	\N	\N
1068412	3650	1997-12-09	VYDAJ	VYBER	800	62837	\N	\N	\N
1068413	3650	1998-12-20	VYDAJ	VYBER	800	39471	\N	\N	\N
1068420	3650	1995-01-18	VYDAJ	VYBER	1300	32212	\N	\N	\N
1068421	3650	1995-01-15	VYDAJ	VYBER	1500	36312	\N	\N	\N
1068422	3650	1995-01-23	VYDAJ	VYBER	600	31612	\N	\N	\N
1068423	3650	1995-01-02	VYDAJ	VYBER	1200	34782	\N	\N	\N
1068424	3650	1995-01-15	VYDAJ	VYBER	2800	33512	\N	\N	\N
1068425	3650	1995-01-13	VYDAJ	VYBER	900	45670	\N	\N	\N
1068426	3650	1996-01-15	VYDAJ	VYBER	1200	36301	\N	\N	\N
1068427	3650	1996-01-14	VYDAJ	VYBER	1500	37501	\N	\N	\N
1068428	3650	1996-01-03	VYDAJ	VYBER	900	35871	\N	\N	\N
1068429	3650	1996-01-29	VYDAJ	VYBER	700	35001	\N	\N	\N
1068430	3650	1996-01-06	VYDAJ	VYBER	800	35071	\N	\N	\N
1068431	3650	1996-01-24	VYDAJ	VYBER	500	35801	\N	\N	\N
1068432	3650	1997-01-03	VYDAJ	VYBER	1200	50719	\N	\N	\N
1068433	3650	1997-01-18	VYDAJ	VYBER	1900	50549	\N	\N	\N
1068434	3650	1997-01-20	VYDAJ	VYBER	1700	47549	\N	\N	\N
1068435	3650	1997-01-18	VYDAJ	VYBER	1600	48949	\N	\N	\N
1068436	3650	1997-01-26	VYDAJ	VYBER	500	44149	\N	\N	\N
1068437	3650	1997-01-20	VYDAJ	VYBER	2900	44649	\N	\N	\N
1068438	3650	1998-01-15	VYDAJ	VYBER	500	47399	\N	\N	\N
1068439	3650	1998-01-17	VYDAJ	VYBER	1200	46199	\N	\N	\N
1068440	3650	1998-01-28	VYDAJ	VYBER	2900	39699	\N	\N	\N
1068441	3650	1998-01-21	VYDAJ	VYBER	1200	43199	\N	\N	\N
1068442	3650	1998-01-20	VYDAJ	VYBER	1800	44399	\N	\N	\N
1068443	3650	1998-01-23	VYDAJ	VYBER	600	42599	\N	\N	\N
1068448	3650	1994-12-08	VYDAJ	VYBER	500	32596	\N	\N	\N
1068449	3650	1995-03-07	VYDAJ	VYBER	2200	30088	\N	\N	\N
1068450	3650	1995-11-26	VYDAJ	VYBER	2800	36563	\N	\N	\N
1068451	3650	1995-04-14	VYDAJ	VYBER	800	34777	\N	\N	\N
1068452	3650	1995-06-05	VYDAJ	VYBER	2000	33080	\N	\N	\N
1068453	3650	1995-05-26	VYDAJ	VYBER	500	34241	\N	\N	\N
1068454	3650	1995-05-18	VYDAJ	VYBER	3600	34741	\N	\N	\N
1068455	3650	1996-04-22	VYDAJ	VYBER	4200	41827	\N	\N	\N
1068456	3650	1996-06-04	VYDAJ	VYBER	1400	42688	\N	\N	\N
1068457	3650	1996-11-14	VYDAJ	VYBER	3100	51894	\N	\N	\N
1068458	3650	1997-07-31	VYDAJ	VYBER	1600	45349	\N	\N	\N
1068459	3650	1997-12-12	VYDAJ	VYBER	4100	58737	\N	\N	\N
1068460	3650	1997-04-10	VYDAJ	VYBER	1600	58757	\N	\N	\N
1068461	3650	1997-12-23	VYDAJ	VYBER	3800	46079	\N	\N	\N
1068462	3650	1997-09-10	VYDAJ	VYBER	3800	52326	\N	\N	\N
1068463	3650	1997-01-09	VYDAJ	VYBER	2200	60307	\N	\N	\N
1068464	3650	1997-07-09	VYDAJ	VYBER	4100	53710	\N	\N	\N
1068465	3650	1998-03-26	VYDAJ	VYBER	4200	43797	\N	\N	\N
1068466	3650	1998-05-20	VYDAJ	VYBER	1300	44009	\N	\N	\N
1068467	3650	1998-06-04	VYDAJ	VYBER	1700	42478	\N	\N	\N
1068468	3650	1998-01-05	VYDAJ	VYBER	4100	42169	\N	\N	\N
1068469	3650	1998-04-25	VYDAJ	VYBER	3100	44506	\N	\N	\N
1068480	3650	1994-10-31	VYDAJ	VYBER	15	42105	SLUZBY	\N	\N
1068481	3650	1994-11-30	VYDAJ	VYBER	15	40996	SLUZBY	\N	\N
1068482	3650	1994-12-31	VYDAJ	VYBER	15	39982	SLUZBY	\N	\N
1068483	3650	1995-01-31	VYDAJ	VYBER	15	28345	SLUZBY	\N	\N
1068484	3650	1995-02-28	VYDAJ	VYBER	15	32388	SLUZBY	\N	\N
1068485	3650	1995-03-31	VYDAJ	VYBER	15	34147	SLUZBY	\N	\N
1068486	3650	1995-04-30	VYDAJ	VYBER	15	34911	SLUZBY	\N	\N
1068487	3650	1995-05-31	VYDAJ	VYBER	15	35080	SLUZBY	\N	\N
1068488	3650	1995-06-30	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
1068489	3650	1995-07-31	VYDAJ	VYBER	15	30653	SLUZBY	\N	\N
1068490	3650	1995-08-31	VYDAJ	VYBER	15	32505	SLUZBY	\N	\N
1068491	3650	1995-09-30	VYDAJ	VYBER	15	34864	SLUZBY	\N	\N
1068492	3650	1995-10-31	VYDAJ	VYBER	15	35433	SLUZBY	\N	\N
1068493	3650	1995-11-30	VYDAJ	VYBER	15	33702	SLUZBY	\N	\N
1068494	3650	1995-12-31	VYDAJ	VYBER	15	36771	SLUZBY	\N	\N
1068495	3650	1996-01-31	VYDAJ	VYBER	15	35143	SLUZBY	\N	\N
1068496	3650	1996-02-29	VYDAJ	VYBER	15	38313	SLUZBY	\N	\N
1068497	3650	1996-03-31	VYDAJ	VYBER	15	42097	SLUZBY	\N	\N
1068498	3650	1996-04-30	VYDAJ	VYBER	15	41592	SLUZBY	\N	\N
1068499	3650	1996-05-31	VYDAJ	VYBER	15	44088	SLUZBY	\N	\N
1068500	3650	1996-06-30	VYDAJ	VYBER	15	23695	SLUZBY	\N	\N
1068501	3650	1996-07-31	VYDAJ	VYBER	15	40232	SLUZBY	\N	\N
1068502	3650	1996-08-31	VYDAJ	VYBER	15	44825	SLUZBY	\N	\N
1068503	3650	1996-09-30	VYDAJ	VYBER	15	49437	SLUZBY	\N	\N
1068504	3650	1996-10-31	VYDAJ	VYBER	15	51064	SLUZBY	\N	\N
1068505	3650	1996-11-30	VYDAJ	VYBER	15	49791	SLUZBY	\N	\N
1068506	3650	1996-12-31	VYDAJ	VYBER	15	51919	SLUZBY	\N	\N
1068507	3650	1997-01-31	VYDAJ	VYBER	15	44343	SLUZBY	\N	\N
1068508	3650	1997-02-28	VYDAJ	VYBER	15	47850	SLUZBY	\N	\N
1068509	3650	1997-03-31	VYDAJ	VYBER	15	48569	SLUZBY	\N	\N
1068510	3650	1997-04-30	VYDAJ	VYBER	15	48992	SLUZBY	\N	\N
1068511	3650	1997-05-31	VYDAJ	VYBER	15	50215	SLUZBY	\N	\N
1068512	3650	1997-06-30	VYDAJ	VYBER	15	46022	SLUZBY	\N	\N
1068513	3650	1997-07-31	VYDAJ	VYBER	15	45335	SLUZBY	\N	\N
1068514	3650	1997-08-31	VYDAJ	VYBER	15	44338	SLUZBY	\N	\N
1068515	3650	1997-09-30	VYDAJ	VYBER	15	44740	SLUZBY	\N	\N
1068516	3650	1997-10-31	VYDAJ	VYBER	15	47246	SLUZBY	\N	\N
1068517	3650	1997-11-30	VYDAJ	VYBER	15	45955	SLUZBY	\N	\N
1068518	3650	1997-12-31	VYDAJ	VYBER	15	46269	SLUZBY	\N	\N
1068519	3650	1998-01-31	VYDAJ	VYBER	15	39872	SLUZBY	\N	\N
1068520	3650	1998-02-28	VYDAJ	VYBER	15	47067	SLUZBY	\N	\N
1068521	3650	1998-03-31	VYDAJ	VYBER	15	43976	SLUZBY	\N	\N
1068522	3650	1998-04-30	VYDAJ	VYBER	15	44679	SLUZBY	\N	\N
1068523	3650	1998-05-31	VYDAJ	VYBER	15	44178	SLUZBY	\N	\N
1068524	3650	1998-06-30	VYDAJ	VYBER	15	36647	SLUZBY	\N	\N
1068525	3650	1998-07-31	VYDAJ	VYBER	15	39018	SLUZBY	\N	\N
1068526	3650	1998-08-31	VYDAJ	VYBER	15	46511	SLUZBY	\N	\N
1068527	3650	1998-09-30	VYDAJ	VYBER	15	40602	SLUZBY	\N	\N
1068528	3650	1998-10-31	VYDAJ	VYBER	15	38979	SLUZBY	\N	\N
1068529	3650	1998-11-30	VYDAJ	VYBER	15	35847	SLUZBY	\N	\N
1068530	3650	1994-07-05	PRIJEM	VKLAD	5200	24039	\N	\N	\N
1068531	3650	1994-08-04	VYDAJ	VYBER	4300	31658	\N	\N	\N
1068532	3650	1994-09-03	VYDAJ	VYBER	7000	36619	\N	\N	\N
1068533	3650	1994-10-03	VYDAJ	VYBER	10600	38003	\N	\N	\N
1068534	3650	1994-11-02	VYDAJ	VYBER	5200	36905	\N	\N	\N
1068535	3650	1994-12-02	VYDAJ	VYBER	7900	33096	\N	\N	\N
1068536	3650	1995-01-01	VYDAJ	VYBER	4000	35982	\N	\N	\N
1068537	3650	1995-01-31	VYDAJ	VYBER	3400	28360	\N	\N	\N
1068538	3650	1995-03-02	VYDAJ	VYBER	100	32288	\N	\N	\N
1068539	3650	1995-04-01	VYDAJ	VYBER	2500	31647	\N	\N	\N
1068540	3650	1995-05-01	VYDAJ	VYBER	500	34411	\N	\N	\N
1068541	3650	1995-05-31	PRIJEM	VKLAD	700	34941	\N	\N	\N
1068542	3650	1995-06-30	PRIJEM	VKLAD	8900	22504	\N	\N	\N
1068543	3650	1995-07-30	PRIJEM	VKLAD	4000	30562	\N	\N	\N
1068544	3650	1995-08-29	VYDAJ	VYBER	2200	32383	\N	\N	\N
1068545	3650	1995-09-28	VYDAJ	VYBER	1700	34735	\N	\N	\N
1068546	3650	1995-10-28	VYDAJ	VYBER	3500	35294	\N	\N	\N
1068547	3650	1995-11-27	VYDAJ	VYBER	3000	33563	\N	\N	\N
1068548	3650	1995-12-27	VYDAJ	VYBER	4000	36626	\N	\N	\N
1068549	3650	1996-01-26	VYDAJ	VYBER	100	35701	\N	\N	\N
1068550	3650	1996-02-25	VYDAJ	VYBER	900	38173	\N	\N	\N
1068551	3650	1996-03-26	VYDAJ	VYBER	300	41943	\N	\N	\N
1068552	3650	1996-04-25	VYDAJ	VYBER	400	41427	\N	\N	\N
1068553	3650	1996-05-25	VYDAJ	VYBER	1600	43922	\N	\N	\N
1068554	3650	1996-06-24	VYDAJ	VYBER	6200	46312	\N	\N	\N
1068555	3650	1996-07-24	PRIJEM	VKLAD	12500	40125	\N	\N	\N
1068556	3650	1996-08-23	PRIJEM	VKLAD	500	44662	\N	\N	\N
1068557	3650	1996-09-22	PRIJEM	VKLAD	500	49255	\N	\N	\N
1068558	3650	1996-10-22	VYDAJ	VYBER	2500	50867	\N	\N	\N
1068559	3650	1996-11-21	VYDAJ	VYBER	2300	49594	\N	\N	\N
1068560	3650	1996-12-21	VYDAJ	VYBER	7200	51715	\N	\N	\N
1068561	3650	1997-01-20	PRIJEM	VKLAD	300	49249	\N	\N	\N
1068562	3650	1997-02-19	VYDAJ	VYBER	600	47673	\N	\N	\N
1068563	3650	1997-03-21	VYDAJ	VYBER	3400	48380	\N	\N	\N
1068564	3650	1997-04-20	VYDAJ	VYBER	2100	48799	\N	\N	\N
1068565	3650	1997-05-20	VYDAJ	VYBER	2900	50022	\N	\N	\N
1068566	3650	1997-06-19	VYDAJ	VYBER	300	45839	\N	\N	\N
1068567	3650	1997-07-19	PRIJEM	VKLAD	900	46752	\N	\N	\N
1068568	3650	1997-08-18	VYDAJ	VYBER	5100	44165	\N	\N	\N
1068569	3650	1997-09-17	PRIJEM	VKLAD	100	44568	\N	\N	\N
1068570	3650	1997-10-17	VYDAJ	VYBER	1600	47070	\N	\N	\N
1068571	3650	1997-11-16	VYDAJ	VYBER	5400	45776	\N	\N	\N
1068572	3650	1997-12-16	VYDAJ	VYBER	1000	49879	\N	\N	\N
1068573	3650	1998-01-15	PRIJEM	VKLAD	1800	47899	\N	\N	\N
1068574	3650	1998-02-14	PRIJEM	VKLAD	3100	46902	\N	\N	\N
1068575	3650	1998-03-16	VYDAJ	VYBER	3000	47997	\N	\N	\N
1068576	3650	1998-04-15	VYDAJ	VYBER	300	47606	\N	\N	\N
1068577	3650	1998-05-15	VYDAJ	VYBER	3300	45309	\N	\N	\N
1068578	3650	1998-06-14	PRIJEM	VKLAD	200	36502	\N	\N	\N
1068579	3650	1998-07-14	VYDAJ	VYBER	1700	38877	\N	\N	\N
1068580	3650	1998-08-13	PRIJEM	VKLAD	3400	54206	\N	\N	\N
1068581	3650	1998-09-12	VYDAJ	VYBER	10000	48299	\N	\N	\N
1068582	3650	1998-10-12	VYDAJ	VYBER	5700	46690	\N	\N	\N
1068583	3650	1998-11-11	VYDAJ	VYBER	7200	43567	\N	\N	\N
1068584	3650	1998-12-11	VYDAJ	VYBER	5400	48129	\N	\N	\N
1068640	3651	1993-02-27	PRIJEM	VKLAD	800	800	\N	\N	\N
1068643	3651	1993-03-07	PRIJEM	PREVOD Z UCTU	5081	5881	DUCHOD	WX	38447165
1068644	3651	1993-04-07	PRIJEM	PREVOD Z UCTU	5081	10962	DUCHOD	WX	38447165
1068645	3651	1993-05-07	PRIJEM	PREVOD Z UCTU	5081	16043	DUCHOD	WX	38447165
1068646	3651	1993-06-07	PRIJEM	PREVOD Z UCTU	5081	21124	DUCHOD	WX	38447165
1068647	3651	1993-07-07	PRIJEM	PREVOD Z UCTU	5081	26017	DUCHOD	WX	38447165
1068648	3651	1993-08-07	PRIJEM	PREVOD Z UCTU	5081	28450	DUCHOD	WX	38447165
1068649	3651	1993-09-07	PRIJEM	PREVOD Z UCTU	5081	30893	DUCHOD	WX	38447165
1068650	3651	1993-10-07	PRIJEM	PREVOD Z UCTU	5081	29982	DUCHOD	WX	38447165
1068651	3651	1993-11-07	PRIJEM	PREVOD Z UCTU	5081	32431	DUCHOD	WX	38447165
1068652	3651	1993-12-07	PRIJEM	PREVOD Z UCTU	5081	31687	DUCHOD	WX	38447165
1068653	3651	1994-01-07	PRIJEM	PREVOD Z UCTU	5081	27653	DUCHOD	WX	38447165
1068654	3651	1994-02-07	PRIJEM	PREVOD Z UCTU	5081	25688	DUCHOD	WX	38447165
1068655	3651	1994-03-07	PRIJEM	PREVOD Z UCTU	5081	24830	DUCHOD	WX	38447165
1068656	3651	1994-04-07	PRIJEM	PREVOD Z UCTU	5081	26657	DUCHOD	WX	38447165
1068657	3651	1994-05-07	PRIJEM	PREVOD Z UCTU	5081	27489	DUCHOD	WX	38447165
1068658	3651	1994-06-07	PRIJEM	PREVOD Z UCTU	5081	29928	DUCHOD	WX	38447165
1068659	3651	1994-07-07	PRIJEM	PREVOD Z UCTU	5081	28653	DUCHOD	WX	38447165
1068660	3651	1994-08-07	PRIJEM	PREVOD Z UCTU	5081	29194	DUCHOD	WX	38447165
1068661	3651	1994-09-07	PRIJEM	PREVOD Z UCTU	5081	30639	DUCHOD	WX	38447165
1068662	3651	1994-10-07	PRIJEM	PREVOD Z UCTU	5081	29482	DUCHOD	WX	38447165
1068663	3651	1994-11-07	PRIJEM	PREVOD Z UCTU	5081	28402	DUCHOD	WX	38447165
1068664	3651	1994-12-07	PRIJEM	PREVOD Z UCTU	5081	30845	DUCHOD	WX	38447165
1068665	3651	1995-01-07	PRIJEM	PREVOD Z UCTU	5081	32517	DUCHOD	WX	38447165
1068666	3651	1995-02-07	PRIJEM	PREVOD Z UCTU	5081	27764	DUCHOD	WX	38447165
1068667	3651	1995-03-07	PRIJEM	PREVOD Z UCTU	5081	30204	DUCHOD	WX	38447165
1068668	3651	1995-04-07	PRIJEM	PREVOD Z UCTU	5081	32654	DUCHOD	WX	38447165
1068669	3651	1995-05-07	PRIJEM	PREVOD Z UCTU	5081	35114	DUCHOD	WX	38447165
1068670	3651	1995-06-07	PRIJEM	PREVOD Z UCTU	5081	35220	DUCHOD	WX	38447165
1068671	3651	1995-07-07	PRIJEM	PREVOD Z UCTU	5081	22997	DUCHOD	WX	38447165
1068672	3651	1995-08-07	PRIJEM	PREVOD Z UCTU	5081	22127	DUCHOD	WX	38447165
1068673	3651	1995-09-07	PRIJEM	PREVOD Z UCTU	5081	20938	DUCHOD	WX	38447165
1068674	3651	1995-10-07	PRIJEM	PREVOD Z UCTU	5081	23349	DUCHOD	WX	38447165
1068675	3651	1995-11-07	PRIJEM	PREVOD Z UCTU	5081	24006	DUCHOD	WX	38447165
1068676	3651	1995-12-07	PRIJEM	PREVOD Z UCTU	5081	26430	DUCHOD	WX	38447165
1068677	3651	1996-01-07	PRIJEM	PREVOD Z UCTU	5081	28212	DUCHOD	WX	38447165
1068678	3651	1996-02-07	PRIJEM	PREVOD Z UCTU	5081	20479	DUCHOD	WX	38447165
1068679	3651	1996-03-07	PRIJEM	PREVOD Z UCTU	5081	22890	DUCHOD	WX	38447165
1068680	3651	1996-04-07	PRIJEM	PREVOD Z UCTU	5081	23064	DUCHOD	WX	38447165
1068681	3651	1996-05-07	PRIJEM	PREVOD Z UCTU	5081	25484	DUCHOD	WX	38447165
1068682	3651	1996-06-07	PRIJEM	PREVOD Z UCTU	5081	23314	DUCHOD	WX	38447165
1068683	3651	1996-07-07	PRIJEM	PREVOD Z UCTU	5081	24698	DUCHOD	WX	38447165
1068684	3651	1996-08-07	PRIJEM	PREVOD Z UCTU	5081	27125	DUCHOD	WX	38447165
1068685	3651	1996-09-07	PRIJEM	PREVOD Z UCTU	5081	29561	DUCHOD	WX	38447165
1068686	3651	1996-10-07	PRIJEM	PREVOD Z UCTU	5081	32007	DUCHOD	WX	38447165
1068687	3651	1996-11-07	PRIJEM	PREVOD Z UCTU	5081	34464	DUCHOD	WX	38447165
1068688	3651	1996-12-07	PRIJEM	PREVOD Z UCTU	5081	36931	DUCHOD	WX	38447165
1068689	3651	1997-01-07	PRIJEM	PREVOD Z UCTU	5081	34487	DUCHOD	WX	38447165
1068690	3651	1997-02-07	PRIJEM	PREVOD Z UCTU	5081	29022	DUCHOD	WX	38447165
1068691	3651	1997-03-07	PRIJEM	PREVOD Z UCTU	5081	31466	DUCHOD	WX	38447165
1068692	3651	1997-04-07	PRIJEM	PREVOD Z UCTU	5081	33920	DUCHOD	WX	38447165
1068693	3651	1997-05-07	PRIJEM	PREVOD Z UCTU	5081	36384	DUCHOD	WX	38447165
1068694	3651	1997-06-07	PRIJEM	PREVOD Z UCTU	5081	38297	DUCHOD	WX	38447165
1068695	3651	1997-07-07	PRIJEM	PREVOD Z UCTU	5081	31922	DUCHOD	WX	38447165
1068696	3651	1997-08-07	PRIJEM	PREVOD Z UCTU	5081	34378	DUCHOD	WX	38447165
1068697	3651	1997-09-07	PRIJEM	PREVOD Z UCTU	5081	36844	DUCHOD	WX	38447165
1068698	3651	1997-10-07	PRIJEM	PREVOD Z UCTU	5081	39320	DUCHOD	WX	38447165
1068699	3651	1997-11-07	PRIJEM	PREVOD Z UCTU	5081	41806	DUCHOD	WX	38447165
1068700	3651	1997-12-07	PRIJEM	PREVOD Z UCTU	5081	44302	DUCHOD	WX	38447165
1068701	3651	1998-01-07	PRIJEM	PREVOD Z UCTU	5081	44888	DUCHOD	WX	38447165
1068702	3651	1998-02-07	PRIJEM	PREVOD Z UCTU	5081	40829	DUCHOD	WX	38447165
1068703	3651	1998-03-07	PRIJEM	PREVOD Z UCTU	5081	43321	DUCHOD	WX	38447165
1068704	3651	1998-04-07	PRIJEM	PREVOD Z UCTU	5081	45823	DUCHOD	WX	38447165
1068705	3651	1998-05-07	PRIJEM	PREVOD Z UCTU	5081	48336	DUCHOD	WX	38447165
1068706	3651	1998-06-07	PRIJEM	PREVOD Z UCTU	5081	39859	DUCHOD	WX	38447165
1068707	3651	1998-07-07	PRIJEM	PREVOD Z UCTU	5081	42358	DUCHOD	WX	38447165
1068708	3651	1998-08-07	PRIJEM	PREVOD Z UCTU	5081	42936	DUCHOD	WX	38447165
1068709	3651	1998-09-07	PRIJEM	PREVOD Z UCTU	5081	42550	DUCHOD	WX	38447165
1068710	3651	1998-10-07	PRIJEM	PREVOD Z UCTU	5081	42562	DUCHOD	WX	38447165
1068711	3651	1998-11-07	PRIJEM	PREVOD Z UCTU	5081	44019	DUCHOD	WX	38447165
1068712	3651	1998-12-07	PRIJEM	PREVOD Z UCTU	5081	46523	DUCHOD	WX	38447165
1068719	3651	1993-07-09	VYDAJ	PREVOD NA UCET	2728	23289	SIPO	YZ	29599017
1068720	3651	1993-08-09	VYDAJ	PREVOD NA UCET	2728	25722	SIPO	YZ	29599017
1068721	3651	1993-09-09	VYDAJ	PREVOD NA UCET	2728	28165	SIPO	YZ	29599017
1068722	3651	1993-10-09	VYDAJ	PREVOD NA UCET	2728	27254	SIPO	YZ	29599017
1068723	3651	1993-11-09	VYDAJ	PREVOD NA UCET	2728	29703	SIPO	YZ	29599017
1068724	3651	1993-12-09	VYDAJ	PREVOD NA UCET	2728	28959	SIPO	YZ	29599017
1068725	3651	1994-01-09	VYDAJ	PREVOD NA UCET	2728	24925	SIPO	YZ	29599017
1068726	3651	1994-02-09	VYDAJ	PREVOD NA UCET	2728	19680	SIPO	YZ	29599017
1068727	3651	1994-03-09	VYDAJ	PREVOD NA UCET	2728	22102	SIPO	YZ	29599017
1068728	3651	1994-04-09	VYDAJ	PREVOD NA UCET	2728	23929	SIPO	YZ	29599017
1068729	3651	1994-05-09	VYDAJ	PREVOD NA UCET	2728	24761	SIPO	YZ	29599017
1068730	3651	1994-06-09	VYDAJ	PREVOD NA UCET	2728	27200	SIPO	YZ	29599017
1068731	3651	1994-07-09	VYDAJ	PREVOD NA UCET	2728	25925	SIPO	YZ	29599017
1068732	3651	1994-08-09	VYDAJ	PREVOD NA UCET	2728	26466	SIPO	YZ	29599017
1068733	3651	1994-09-09	VYDAJ	PREVOD NA UCET	2728	27911	SIPO	YZ	29599017
1068734	3651	1994-10-09	VYDAJ	PREVOD NA UCET	2728	26754	SIPO	YZ	29599017
1068735	3651	1994-11-09	VYDAJ	PREVOD NA UCET	2728	25674	SIPO	YZ	29599017
1068736	3651	1994-12-09	VYDAJ	PREVOD NA UCET	2728	28117	SIPO	YZ	29599017
1068737	3651	1995-01-09	VYDAJ	PREVOD NA UCET	2728	29309	SIPO	YZ	29599017
1068738	3651	1995-02-09	VYDAJ	PREVOD NA UCET	2728	25036	SIPO	YZ	29599017
1068739	3651	1995-03-09	VYDAJ	PREVOD NA UCET	2728	27476	SIPO	YZ	29599017
1068740	3651	1995-04-09	VYDAJ	PREVOD NA UCET	2728	29926	SIPO	YZ	29599017
1068741	3651	1995-05-09	VYDAJ	PREVOD NA UCET	2728	32386	SIPO	YZ	29599017
1068742	3651	1995-06-09	VYDAJ	PREVOD NA UCET	2728	17842	SIPO	YZ	29599017
1068743	3651	1995-07-09	VYDAJ	PREVOD NA UCET	2728	16989	SIPO	YZ	29599017
1068744	3651	1995-08-09	VYDAJ	PREVOD NA UCET	2728	19399	SIPO	YZ	29599017
1068745	3651	1995-09-09	VYDAJ	PREVOD NA UCET	2728	18210	SIPO	YZ	29599017
1068746	3651	1995-10-09	VYDAJ	PREVOD NA UCET	2728	18861	SIPO	YZ	29599017
1068747	3651	1995-11-09	VYDAJ	PREVOD NA UCET	2728	21278	SIPO	YZ	29599017
1068748	3651	1995-12-09	VYDAJ	PREVOD NA UCET	2728	23052	SIPO	YZ	29599017
1068749	3651	1996-01-09	VYDAJ	PREVOD NA UCET	2728	25484	SIPO	YZ	29599017
1068750	3651	1996-02-09	VYDAJ	PREVOD NA UCET	2728	17751	SIPO	YZ	29599017
1068751	3651	1996-03-09	VYDAJ	PREVOD NA UCET	2728	20162	SIPO	YZ	29599017
1068752	3651	1996-04-09	VYDAJ	PREVOD NA UCET	2728	20336	SIPO	YZ	29599017
1068753	3651	1996-05-09	VYDAJ	PREVOD NA UCET	2728	22756	SIPO	YZ	29599017
1068754	3651	1996-06-09	VYDAJ	PREVOD NA UCET	2728	20586	SIPO	YZ	29599017
1068755	3651	1996-07-09	VYDAJ	PREVOD NA UCET	2728	21970	SIPO	YZ	29599017
1068756	3651	1996-08-09	VYDAJ	PREVOD NA UCET	2728	24397	SIPO	YZ	29599017
1068757	3651	1996-09-09	VYDAJ	PREVOD NA UCET	2728	26833	SIPO	YZ	29599017
1068758	3651	1996-10-09	VYDAJ	PREVOD NA UCET	2728	29279	SIPO	YZ	29599017
1068759	3651	1996-11-09	VYDAJ	PREVOD NA UCET	2728	31736	SIPO	YZ	29599017
1068760	3651	1996-12-09	VYDAJ	PREVOD NA UCET	2728	34203	SIPO	YZ	29599017
1068761	3651	1997-01-09	VYDAJ	PREVOD NA UCET	2728	30319	SIPO	YZ	29599017
1068762	3651	1997-02-09	VYDAJ	PREVOD NA UCET	2728	26294	SIPO	YZ	29599017
1068763	3651	1997-03-09	VYDAJ	PREVOD NA UCET	2728	28738	SIPO	YZ	29599017
1068764	3651	1997-04-09	VYDAJ	PREVOD NA UCET	2728	31192	SIPO	YZ	29599017
1068765	3651	1997-05-09	VYDAJ	PREVOD NA UCET	2728	33656	SIPO	YZ	29599017
1068766	3651	1997-06-09	VYDAJ	PREVOD NA UCET	2728	35569	SIPO	YZ	29599017
1068767	3651	1997-07-09	VYDAJ	PREVOD NA UCET	2728	29194	SIPO	YZ	29599017
1068768	3651	1997-08-09	VYDAJ	PREVOD NA UCET	2728	31650	SIPO	YZ	29599017
1068769	3651	1997-09-09	VYDAJ	PREVOD NA UCET	2728	34116	SIPO	YZ	29599017
1068770	3651	1997-10-09	VYDAJ	PREVOD NA UCET	2728	36592	SIPO	YZ	29599017
1068771	3651	1997-11-09	VYDAJ	PREVOD NA UCET	2728	39078	SIPO	YZ	29599017
1068772	3651	1997-12-09	VYDAJ	PREVOD NA UCET	2728	41574	SIPO	YZ	29599017
1068773	3651	1998-01-09	VYDAJ	PREVOD NA UCET	2728	41040	SIPO	YZ	29599017
1068774	3651	1998-02-09	VYDAJ	PREVOD NA UCET	2728	38101	SIPO	YZ	29599017
1068775	3651	1998-03-09	VYDAJ	PREVOD NA UCET	2728	40593	SIPO	YZ	29599017
1068776	3651	1998-04-09	VYDAJ	PREVOD NA UCET	2728	43095	SIPO	YZ	29599017
1068777	3651	1998-05-09	VYDAJ	PREVOD NA UCET	2728	45608	SIPO	YZ	29599017
1068778	3651	1998-06-09	VYDAJ	PREVOD NA UCET	2728	37131	SIPO	YZ	29599017
1068779	3651	1998-07-09	VYDAJ	PREVOD NA UCET	2728	39630	SIPO	YZ	29599017
1068780	3651	1998-08-09	VYDAJ	PREVOD NA UCET	2728	40208	SIPO	YZ	29599017
1068781	3651	1998-09-09	VYDAJ	PREVOD NA UCET	2728	37342	SIPO	YZ	29599017
1068782	3651	1998-10-09	VYDAJ	PREVOD NA UCET	2728	39834	SIPO	YZ	29599017
1068783	3651	1998-11-09	VYDAJ	PREVOD NA UCET	2728	41291	SIPO	YZ	29599017
1068784	3651	1998-12-09	VYDAJ	PREVOD NA UCET	2728	43795	SIPO	YZ	29599017
1068787	3651	1995-06-07	VYDAJ	VYBER	14650	20570	\N	\N	\N
1068788	3651	1996-06-03	VYDAJ	VYBER	4600	18233	\N	\N	\N
1068789	3651	1997-06-25	VYDAJ	VYBER	8850	26719	\N	\N	\N
1068790	3651	1998-06-02	VYDAJ	VYBER	11000	34778	\N	\N	\N
1068791	3651	1993-12-23	VYDAJ	VYBER	550	28409	\N	\N	\N
1068792	3651	1994-12-13	VYDAJ	VYBER	300	27817	\N	\N	\N
1068793	3651	1995-12-08	VYDAJ	VYBER	650	25780	\N	\N	\N
1068794	3651	1996-12-25	VYDAJ	VYBER	1000	33203	\N	\N	\N
1068795	3651	1997-12-12	VYDAJ	VYBER	400	41174	\N	\N	\N
1068796	3651	1998-12-11	VYDAJ	VYBER	500	43295	\N	\N	\N
1068803	3651	1994-01-01	VYDAJ	VYBER	2160	25852	\N	\N	\N
1068804	3651	1994-01-14	VYDAJ	VYBER	1760	23165	\N	\N	\N
1068805	3651	1994-01-23	VYDAJ	VYBER	2080	20525	\N	\N	\N
1068806	3651	1994-01-17	VYDAJ	VYBER	560	22605	\N	\N	\N
1068807	3651	1994-01-05	VYDAJ	VYBER	1680	22572	\N	\N	\N
1068808	3651	1994-01-03	VYDAJ	VYBER	1600	24252	\N	\N	\N
1068809	3651	1995-01-07	VYDAJ	VYBER	480	32037	\N	\N	\N
1068810	3651	1995-01-04	VYDAJ	VYBER	480	27436	\N	\N	\N
1068811	3651	1995-01-15	VYDAJ	VYBER	720	26909	\N	\N	\N
1068812	3651	1995-01-14	VYDAJ	VYBER	1680	27629	\N	\N	\N
1068813	3651	1995-01-17	VYDAJ	VYBER	2080	23709	\N	\N	\N
1068814	3651	1995-01-29	VYDAJ	VYBER	1120	22589	\N	\N	\N
1068816	3651	1996-01-26	VYDAJ	VYBER	880	16524	\N	\N	\N
1068817	3651	1996-01-13	VYDAJ	VYBER	2080	23404	\N	\N	\N
1068818	3651	1996-01-18	VYDAJ	VYBER	1040	21004	\N	\N	\N
1068819	3651	1996-01-24	VYDAJ	VYBER	1840	17404	\N	\N	\N
1068820	3651	1996-01-22	VYDAJ	VYBER	1760	19244	\N	\N	\N
1068821	3651	1997-01-27	VYDAJ	VYBER	960	23839	\N	\N	\N
1068822	3651	1997-01-01	VYDAJ	VYBER	1360	31406	\N	\N	\N
1068823	3651	1997-01-11	VYDAJ	VYBER	960	29359	\N	\N	\N
1068824	3651	1997-01-03	VYDAJ	VYBER	2000	29406	\N	\N	\N
1068825	3651	1997-01-20	VYDAJ	VYBER	960	28399	\N	\N	\N
1068826	3651	1997-01-01	VYDAJ	VYBER	560	32766	\N	\N	\N
1068827	3651	1998-01-11	VYDAJ	VYBER	1360	39680	\N	\N	\N
1068828	3651	1998-01-08	VYDAJ	VYBER	1120	43768	\N	\N	\N
1068829	3651	1998-01-24	VYDAJ	VYBER	1920	37760	\N	\N	\N
1068830	3651	1998-01-27	VYDAJ	VYBER	1360	35600	\N	\N	\N
1068831	3651	1998-01-26	VYDAJ	VYBER	800	36960	\N	\N	\N
1068832	3651	1998-01-03	VYDAJ	VYBER	1520	39807	\N	\N	\N
1068833	3651	1993-09-22	VYDAJ	VYBER	3360	24805	\N	\N	\N
1068838	3651	1994-06-23	VYDAJ	VYBER	2320	23480	\N	\N	\N
1068839	3651	1994-09-13	VYDAJ	VYBER	3600	24311	\N	\N	\N
1068840	3651	1994-10-18	VYDAJ	VYBER	3520	23234	\N	\N	\N
1068841	3651	1994-04-18	VYDAJ	VYBER	1200	22329	\N	\N	\N
1068842	3651	1994-04-10	VYDAJ	VYBER	400	23529	\N	\N	\N
1068843	3651	1994-02-07	VYDAJ	VYBER	3280	22408	\N	\N	\N
1068845	3651	1995-05-19	VYDAJ	VYBER	2160	30026	\N	\N	\N
1068846	3651	1995-08-21	VYDAJ	VYBER	3600	15799	\N	\N	\N
1068847	3651	1995-07-08	VYDAJ	VYBER	3280	19717	\N	\N	\N
1068848	3651	1995-01-16	VYDAJ	VYBER	1120	25789	\N	\N	\N
1068849	3651	1995-10-07	VYDAJ	VYBER	1760	21589	\N	\N	\N
1068850	3651	1996-02-04	VYDAJ	VYBER	1200	15398	\N	\N	\N
1068851	3651	1996-06-21	VYDAJ	VYBER	1040	19546	\N	\N	\N
1068852	3651	1996-03-12	VYDAJ	VYBER	1280	18882	\N	\N	\N
1068853	3651	1996-01-18	VYDAJ	VYBER	1360	22044	\N	\N	\N
1068854	3651	1996-03-20	VYDAJ	VYBER	960	17922	\N	\N	\N
1068855	3651	1997-05-20	VYDAJ	VYBER	560	33096	\N	\N	\N
1068856	3651	1997-01-23	VYDAJ	VYBER	3600	24799	\N	\N	\N
1068857	3651	1997-01-07	VYDAJ	VYBER	1440	33047	\N	\N	\N
1068858	3651	1998-12-21	VYDAJ	VYBER	3360	39935	\N	\N	\N
1068859	3651	1998-07-31	VYDAJ	VYBER	1920	37855	\N	\N	\N
1068860	3651	1998-08-10	VYDAJ	VYBER	2880	37328	\N	\N	\N
1068861	3651	1998-10-19	VYDAJ	VYBER	1040	38794	\N	\N	\N
1068862	3651	1998-09-07	VYDAJ	VYBER	2480	40070	\N	\N	\N
1068870	3651	1993-07-31	VYDAJ	VYBER	15	23369	SLUZBY	\N	\N
1068871	3651	1993-08-31	VYDAJ	VYBER	15	25812	SLUZBY	\N	\N
1068872	3651	1993-09-30	VYDAJ	VYBER	15	24901	SLUZBY	\N	\N
1068873	3651	1993-10-31	VYDAJ	VYBER	15	27350	SLUZBY	\N	\N
1068874	3651	1993-11-30	VYDAJ	VYBER	15	26606	SLUZBY	\N	\N
1068875	3651	1993-12-31	VYDAJ	VYBER	15	28012	SLUZBY	\N	\N
1068876	3651	1994-01-31	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
1068877	3651	1994-02-28	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
1068878	3651	1994-03-31	VYDAJ	VYBER	15	21576	SLUZBY	\N	\N
1068879	3651	1994-04-30	VYDAJ	VYBER	15	22408	SLUZBY	\N	\N
1068880	3651	1994-05-31	VYDAJ	VYBER	15	24847	SLUZBY	\N	\N
1068881	3651	1994-06-30	VYDAJ	VYBER	15	23572	SLUZBY	\N	\N
1068882	3651	1994-07-31	VYDAJ	VYBER	15	24113	SLUZBY	\N	\N
1068883	3651	1994-08-31	VYDAJ	VYBER	15	25558	SLUZBY	\N	\N
1068884	3651	1994-09-30	VYDAJ	VYBER	15	24401	SLUZBY	\N	\N
1068885	3651	1994-10-31	VYDAJ	VYBER	15	23321	SLUZBY	\N	\N
1068886	3651	1994-11-30	VYDAJ	VYBER	15	25764	SLUZBY	\N	\N
1068887	3651	1994-12-31	VYDAJ	VYBER	15	27916	SLUZBY	\N	\N
1068888	3651	1995-01-31	VYDAJ	VYBER	15	22683	SLUZBY	\N	\N
1068889	3651	1995-02-28	VYDAJ	VYBER	15	25123	SLUZBY	\N	\N
1068890	3651	1995-03-31	VYDAJ	VYBER	15	27573	SLUZBY	\N	\N
1068891	3651	1995-04-30	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
1068892	3651	1995-05-31	VYDAJ	VYBER	15	30139	SLUZBY	\N	\N
1068893	3651	1995-06-30	VYDAJ	VYBER	15	17916	SLUZBY	\N	\N
1068894	3651	1995-07-31	VYDAJ	VYBER	15	17046	SLUZBY	\N	\N
1068895	3651	1995-08-31	VYDAJ	VYBER	15	15857	SLUZBY	\N	\N
1068896	3651	1995-09-30	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
1068897	3651	1995-10-31	VYDAJ	VYBER	15	18925	SLUZBY	\N	\N
1068898	3651	1995-11-30	VYDAJ	VYBER	15	21349	SLUZBY	\N	\N
1068899	3651	1995-12-31	VYDAJ	VYBER	15	23131	SLUZBY	\N	\N
1068900	3651	1996-01-31	VYDAJ	VYBER	15	16598	SLUZBY	\N	\N
1068901	3651	1996-02-29	VYDAJ	VYBER	15	17809	SLUZBY	\N	\N
1068902	3651	1996-03-31	VYDAJ	VYBER	15	17983	SLUZBY	\N	\N
1068903	3651	1996-04-30	VYDAJ	VYBER	15	20403	SLUZBY	\N	\N
1068904	3651	1996-05-31	VYDAJ	VYBER	15	22833	SLUZBY	\N	\N
1068905	3651	1996-06-30	VYDAJ	VYBER	15	19617	SLUZBY	\N	\N
1068906	3651	1996-07-31	VYDAJ	VYBER	15	22044	SLUZBY	\N	\N
1068907	3651	1996-08-31	VYDAJ	VYBER	15	24480	SLUZBY	\N	\N
1068908	3651	1996-09-30	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
1068909	3651	1996-10-31	VYDAJ	VYBER	15	29383	SLUZBY	\N	\N
1068910	3651	1996-11-30	VYDAJ	VYBER	15	31850	SLUZBY	\N	\N
1068911	3651	1996-12-31	VYDAJ	VYBER	15	33326	SLUZBY	\N	\N
1068912	3651	1997-01-31	VYDAJ	VYBER	15	23941	SLUZBY	\N	\N
1068913	3651	1997-02-28	VYDAJ	VYBER	15	26385	SLUZBY	\N	\N
1068914	3651	1997-03-31	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
1068915	3651	1997-04-30	VYDAJ	VYBER	15	31303	SLUZBY	\N	\N
1068916	3651	1997-05-31	VYDAJ	VYBER	15	33216	SLUZBY	\N	\N
1068917	3651	1997-06-30	VYDAJ	VYBER	15	26841	SLUZBY	\N	\N
1068918	3651	1997-07-31	VYDAJ	VYBER	15	29297	SLUZBY	\N	\N
1068919	3651	1997-08-31	VYDAJ	VYBER	15	31763	SLUZBY	\N	\N
1068920	3651	1997-09-30	VYDAJ	VYBER	15	34239	SLUZBY	\N	\N
1068921	3651	1997-10-31	VYDAJ	VYBER	15	36725	SLUZBY	\N	\N
1068922	3651	1997-11-30	VYDAJ	VYBER	15	39221	SLUZBY	\N	\N
1068923	3651	1997-12-31	VYDAJ	VYBER	15	41327	SLUZBY	\N	\N
1068924	3651	1998-01-31	VYDAJ	VYBER	15	35748	SLUZBY	\N	\N
1068925	3651	1998-02-28	VYDAJ	VYBER	15	38240	SLUZBY	\N	\N
1068926	3651	1998-03-31	VYDAJ	VYBER	15	40742	SLUZBY	\N	\N
1068927	3651	1998-04-30	VYDAJ	VYBER	15	43255	SLUZBY	\N	\N
1068928	3651	1998-05-31	VYDAJ	VYBER	15	45778	SLUZBY	\N	\N
1068929	3651	1998-06-30	VYDAJ	VYBER	15	37277	SLUZBY	\N	\N
1068930	3651	1998-07-31	VYDAJ	VYBER	15	39775	SLUZBY	\N	\N
1068931	3651	1998-08-31	VYDAJ	VYBER	15	37469	SLUZBY	\N	\N
1068932	3651	1998-09-30	VYDAJ	VYBER	15	37481	SLUZBY	\N	\N
1068933	3651	1998-10-31	VYDAJ	VYBER	15	38938	SLUZBY	\N	\N
1068934	3651	1998-11-30	VYDAJ	VYBER	15	41442	SLUZBY	\N	\N
1068935	3651	1993-06-27	VYDAJ	VYBER	200	20924	\N	\N	\N
1068936	3651	1993-11-24	VYDAJ	VYBER	3200	26503	\N	\N	\N
1068937	3651	1993-12-24	VYDAJ	VYBER	500	27909	\N	\N	\N
1068938	3651	1994-03-24	VYDAJ	VYBER	600	21502	\N	\N	\N
1068939	3651	1994-06-22	VYDAJ	VYBER	1400	25800	\N	\N	\N
1068940	3651	1994-07-22	VYDAJ	VYBER	1900	24025	\N	\N	\N
1068941	3651	1994-08-21	VYDAJ	VYBER	1000	25466	\N	\N	\N
1068942	3651	1995-05-18	VYDAJ	VYBER	200	32186	\N	\N	\N
1069010	3652	1997-03-02	PRIJEM	VKLAD	900	900	\N	\N	\N
1069013	3652	1997-03-06	PRIJEM	PREVOD Z UCTU	6097	6997	DUCHOD	QR	5373013
1069014	3652	1997-04-06	PRIJEM	PREVOD Z UCTU	6097	13119	DUCHOD	QR	5373013
1069015	3652	1997-05-06	PRIJEM	PREVOD Z UCTU	6097	19245	DUCHOD	QR	5373013
1069016	3652	1997-06-06	PRIJEM	PREVOD Z UCTU	6097	25371	DUCHOD	QR	5373013
1069017	3652	1997-07-06	PRIJEM	PREVOD Z UCTU	6097	28299	DUCHOD	QR	5373013
1069018	3652	1997-08-06	PRIJEM	PREVOD Z UCTU	6097	29189	DUCHOD	QR	5373013
1069019	3652	1997-09-06	PRIJEM	PREVOD Z UCTU	6097	25306	DUCHOD	QR	5373013
1069020	3652	1997-10-06	PRIJEM	PREVOD Z UCTU	6097	24372	DUCHOD	QR	5373013
1069021	3652	1997-11-06	PRIJEM	PREVOD Z UCTU	6097	26236	DUCHOD	QR	5373013
1069022	3652	1997-12-06	PRIJEM	PREVOD Z UCTU	6097	26006	DUCHOD	QR	5373013
1069023	3652	1998-01-06	PRIJEM	PREVOD Z UCTU	6097	27446	DUCHOD	QR	5373013
1069024	3652	1998-02-06	PRIJEM	PREVOD Z UCTU	6097	18843	DUCHOD	QR	5373013
1069025	3652	1998-03-06	PRIJEM	PREVOD Z UCTU	6097	20154	DUCHOD	QR	5373013
1069026	3652	1998-04-06	PRIJEM	PREVOD Z UCTU	6097	23312	DUCHOD	QR	5373013
1069027	3652	1998-05-06	PRIJEM	PREVOD Z UCTU	6097	22977	DUCHOD	QR	5373013
1069028	3652	1998-06-06	PRIJEM	PREVOD Z UCTU	6097	26146	DUCHOD	QR	5373013
1069029	3652	1998-07-06	PRIJEM	PREVOD Z UCTU	6097	23606	DUCHOD	QR	5373013
1069030	3652	1998-08-06	PRIJEM	PREVOD Z UCTU	6097	24064	DUCHOD	QR	5373013
1069031	3652	1998-09-06	PRIJEM	PREVOD Z UCTU	6097	25833	DUCHOD	QR	5373013
1069032	3652	1998-10-06	PRIJEM	PREVOD Z UCTU	6097	27800	DUCHOD	QR	5373013
1069033	3652	1998-11-06	PRIJEM	PREVOD Z UCTU	6097	24333	DUCHOD	QR	5373013
1069034	3652	1998-12-06	PRIJEM	PREVOD Z UCTU	6097	24900	DUCHOD	QR	5373013
1069041	3652	1997-07-06	VYDAJ	PREVOD NA UCET	3005	25294	SIPO	GH	31254297
1069042	3652	1997-08-06	VYDAJ	PREVOD NA UCET	3005	26184	SIPO	GH	31254297
1069043	3652	1997-09-06	VYDAJ	PREVOD NA UCET	3005	22301	SIPO	GH	31254297
1069044	3652	1997-10-06	VYDAJ	PREVOD NA UCET	3005	21367	SIPO	GH	31254297
1069045	3652	1997-11-06	VYDAJ	PREVOD NA UCET	3005	23231	SIPO	GH	31254297
1069046	3652	1997-12-06	VYDAJ	PREVOD NA UCET	3005	23001	SIPO	GH	31254297
1069047	3652	1998-01-06	VYDAJ	PREVOD NA UCET	3005	24441	SIPO	GH	31254297
1069048	3652	1998-02-06	VYDAJ	PREVOD NA UCET	3005	15838	SIPO	GH	31254297
1069049	3652	1998-03-06	VYDAJ	PREVOD NA UCET	3005	17149	SIPO	GH	31254297
1069050	3652	1998-04-06	VYDAJ	PREVOD NA UCET	3005	20307	SIPO	GH	31254297
1069051	3652	1998-05-06	VYDAJ	PREVOD NA UCET	3005	19972	SIPO	GH	31254297
1069052	3652	1998-06-06	VYDAJ	PREVOD NA UCET	3005	23141	SIPO	GH	31254297
1069053	3652	1998-07-06	VYDAJ	PREVOD NA UCET	3005	20601	SIPO	GH	31254297
1069054	3652	1998-08-06	VYDAJ	PREVOD NA UCET	3005	21059	SIPO	GH	31254297
1069055	3652	1998-09-06	VYDAJ	PREVOD NA UCET	3005	22828	SIPO	GH	31254297
1069056	3652	1998-10-06	VYDAJ	PREVOD NA UCET	3005	24795	SIPO	GH	31254297
1069057	3652	1998-11-06	VYDAJ	PREVOD NA UCET	3005	21328	SIPO	GH	31254297
1069058	3652	1998-12-06	VYDAJ	PREVOD NA UCET	3005	21895	SIPO	GH	31254297
1069060	3652	1998-06-16	VYDAJ	VYBER	5200	17941	\N	\N	\N
1069062	3652	1998-01-07	VYDAJ	VYBER	4150	19891	\N	\N	\N
1069063	3652	1997-12-10	VYDAJ	VYBER	450	22551	\N	\N	\N
1069064	3652	1998-12-16	VYDAJ	VYBER	750	21145	\N	\N	\N
1069071	3652	1998-01-07	VYDAJ	VYBER	1920	17971	\N	\N	\N
1069072	3652	1998-01-16	VYDAJ	VYBER	1520	14291	\N	\N	\N
1069073	3652	1998-01-07	VYDAJ	VYBER	400	24041	\N	\N	\N
1069074	3652	1998-01-20	VYDAJ	VYBER	1600	12691	\N	\N	\N
1069075	3652	1998-01-03	VYDAJ	VYBER	800	21349	\N	\N	\N
1069076	3652	1998-01-10	VYDAJ	VYBER	2160	15811	\N	\N	\N
1069077	3652	1997-12-12	VYDAJ	VYBER	480	22071	\N	\N	\N
1069078	3652	1997-08-12	VYDAJ	VYBER	2960	23224	\N	\N	\N
1069081	3652	1998-10-17	VYDAJ	VYBER	2240	22555	\N	\N	\N
1069082	3652	1998-09-07	VYDAJ	VYBER	1200	21628	\N	\N	\N
1069083	3652	1998-03-03	VYDAJ	VYBER	1840	14057	\N	\N	\N
1069091	3652	1997-07-31	VYDAJ	VYBER	15	23092	SLUZBY	\N	\N
1069092	3652	1997-08-31	VYDAJ	VYBER	15	19209	SLUZBY	\N	\N
1069093	3652	1997-09-30	VYDAJ	VYBER	15	18275	SLUZBY	\N	\N
1069094	3652	1997-10-31	VYDAJ	VYBER	15	20139	SLUZBY	\N	\N
1069095	3652	1997-11-30	VYDAJ	VYBER	15	19909	SLUZBY	\N	\N
1069096	3652	1997-12-31	VYDAJ	VYBER	15	22149	SLUZBY	\N	\N
1069097	3652	1998-01-31	VYDAJ	VYBER	15	12746	SLUZBY	\N	\N
1069098	3652	1998-02-28	VYDAJ	VYBER	15	15897	SLUZBY	\N	\N
1069099	3652	1998-03-31	VYDAJ	VYBER	15	17215	SLUZBY	\N	\N
1069100	3652	1998-04-30	VYDAJ	VYBER	15	16880	SLUZBY	\N	\N
1069101	3652	1998-05-31	VYDAJ	VYBER	15	20049	SLUZBY	\N	\N
1069102	3652	1998-06-30	VYDAJ	VYBER	15	17509	SLUZBY	\N	\N
1069103	3652	1998-07-31	VYDAJ	VYBER	15	17967	SLUZBY	\N	\N
1069104	3652	1998-08-31	VYDAJ	VYBER	15	19736	SLUZBY	\N	\N
1069105	3652	1998-09-30	VYDAJ	VYBER	15	21703	SLUZBY	\N	\N
1069106	3652	1998-10-31	VYDAJ	VYBER	15	18236	SLUZBY	\N	\N
1069107	3652	1998-11-30	VYDAJ	VYBER	15	18803	SLUZBY	\N	\N
1069108	3652	1997-06-30	VYDAJ	VYBER	3200	22202	\N	\N	\N
1069109	3652	1997-07-30	VYDAJ	VYBER	2300	22994	\N	\N	\N
1069110	3652	1997-08-29	VYDAJ	VYBER	4100	19124	\N	\N	\N
1069111	3652	1997-09-28	VYDAJ	VYBER	4100	18201	\N	\N	\N
1069112	3652	1997-10-28	VYDAJ	VYBER	1300	20067	\N	\N	\N
1069113	3652	1997-11-27	VYDAJ	VYBER	3400	19831	\N	\N	\N
1069114	3652	1998-04-26	VYDAJ	VYBER	3500	16807	\N	\N	\N
1069115	3652	1998-06-25	VYDAJ	VYBER	500	17441	\N	\N	\N
1069116	3652	1998-07-25	VYDAJ	VYBER	2700	17901	\N	\N	\N
1069117	3652	1998-08-24	VYDAJ	VYBER	1400	19659	\N	\N	\N
1069118	3652	1998-10-23	VYDAJ	VYBER	4400	18155	\N	\N	\N
1069119	3652	1998-11-22	VYDAJ	VYBER	2600	18728	\N	\N	\N
1069142	3653	1994-05-03	PRIJEM	VKLAD	900	900	\N	\N	\N
1069147	3653	1994-05-11	PRIJEM	VKLAD	22060	22960	\N	\N	\N
1069148	3653	1994-06-11	PRIJEM	VKLAD	33090	55615	\N	\N	\N
1069149	3653	1994-07-11	PRIJEM	VKLAD	22060	63161	\N	\N	\N
1069150	3653	1994-08-11	PRIJEM	VKLAD	22060	66874	\N	\N	\N
1069151	3653	1994-09-11	PRIJEM	VKLAD	22060	67105	\N	\N	\N
1069152	3653	1994-10-11	PRIJEM	VKLAD	22060	62048	\N	\N	\N
1069153	3653	1994-11-11	PRIJEM	VKLAD	22060	61885	\N	\N	\N
1069154	3653	1994-12-11	PRIJEM	VKLAD	33090	70289	\N	\N	\N
1069155	3653	1995-01-11	PRIJEM	VKLAD	22060	56022	\N	\N	\N
1069156	3653	1995-02-11	PRIJEM	VKLAD	22060	57387	\N	\N	\N
1069157	3653	1995-03-11	PRIJEM	VKLAD	22060	59101	\N	\N	\N
1069158	3653	1995-04-11	PRIJEM	VKLAD	22060	59023	\N	\N	\N
1069159	3653	1995-05-11	PRIJEM	VKLAD	22060	59944	\N	\N	\N
1069160	3653	1995-06-11	PRIJEM	VKLAD	33090	53857	\N	\N	\N
1069161	3653	1995-07-11	PRIJEM	VKLAD	22060	58957	\N	\N	\N
1069162	3653	1995-08-11	PRIJEM	VKLAD	22060	61075	\N	\N	\N
1069163	3653	1995-09-11	PRIJEM	VKLAD	22060	62999	\N	\N	\N
1069164	3653	1995-10-11	PRIJEM	VKLAD	22060	65431	\N	\N	\N
1069165	3653	1995-11-11	PRIJEM	VKLAD	22060	63368	\N	\N	\N
1069166	3653	1995-12-11	PRIJEM	VKLAD	33090	70788	\N	\N	\N
1069167	3653	1996-01-11	PRIJEM	VKLAD	22060	54721	\N	\N	\N
1069168	3653	1996-02-11	PRIJEM	VKLAD	22060	47250	\N	\N	\N
1069169	3653	1996-03-11	PRIJEM	VKLAD	22060	54416	\N	\N	\N
1069170	3653	1996-04-11	PRIJEM	VKLAD	22060	55920	\N	\N	\N
1069171	3653	1996-05-11	PRIJEM	VKLAD	22060	56413	\N	\N	\N
1069172	3653	1996-06-11	PRIJEM	VKLAD	33090	69339	\N	\N	\N
1069173	3653	1996-07-11	PRIJEM	VKLAD	22060	47541	\N	\N	\N
1069174	3653	1996-08-11	PRIJEM	VKLAD	22060	53103	\N	\N	\N
1069175	3653	1996-09-11	PRIJEM	VKLAD	22060	55782	\N	\N	\N
1069176	3653	1996-10-11	PRIJEM	VKLAD	22060	53092	\N	\N	\N
1069177	3653	1996-11-11	PRIJEM	VKLAD	22060	58578	\N	\N	\N
1069178	3653	1996-12-11	PRIJEM	VKLAD	33090	73208	\N	\N	\N
1069179	3653	1997-01-11	PRIJEM	VKLAD	22060	55358	\N	\N	\N
1069180	3653	1997-02-11	PRIJEM	VKLAD	22060	47299	\N	\N	\N
1069181	3653	1997-03-11	PRIJEM	VKLAD	22060	54255	\N	\N	\N
1069182	3653	1997-04-11	PRIJEM	VKLAD	22060	56233	\N	\N	\N
1069183	3653	1997-05-11	PRIJEM	VKLAD	22060	57016	\N	\N	\N
1069184	3653	1997-06-11	PRIJEM	VKLAD	33090	73240	\N	\N	\N
1069185	3653	1997-07-11	PRIJEM	VKLAD	22060	54928	\N	\N	\N
1069186	3653	1997-08-11	PRIJEM	VKLAD	22060	62015	\N	\N	\N
1069187	3653	1997-09-11	PRIJEM	VKLAD	22060	65525	\N	\N	\N
1069188	3653	1997-10-11	PRIJEM	VKLAD	22060	63213	\N	\N	\N
1069189	3653	1997-11-11	PRIJEM	VKLAD	22060	64217	\N	\N	\N
1069190	3653	1997-12-11	PRIJEM	VKLAD	33090	79963	\N	\N	\N
1069191	3653	1998-01-11	PRIJEM	VKLAD	22060	55620	\N	\N	\N
1069192	3653	1998-02-11	PRIJEM	VKLAD	22060	45667	\N	\N	\N
1069193	3653	1998-03-11	PRIJEM	VKLAD	22060	51404	\N	\N	\N
1069194	3653	1998-04-11	PRIJEM	VKLAD	22060	50613	\N	\N	\N
1069195	3653	1998-05-11	PRIJEM	VKLAD	22060	57676	\N	\N	\N
1069196	3653	1998-06-11	PRIJEM	VKLAD	33090	69661	\N	\N	\N
1069197	3653	1998-07-11	PRIJEM	VKLAD	22060	52823	\N	\N	\N
1069198	3653	1998-08-11	PRIJEM	VKLAD	22060	54593	\N	\N	\N
1069199	3653	1998-09-11	PRIJEM	VKLAD	22060	66422	\N	\N	\N
1069200	3653	1998-10-11	PRIJEM	VKLAD	22060	66012	\N	\N	\N
1069201	3653	1998-11-11	PRIJEM	VKLAD	22060	67071	\N	\N	\N
1069202	3653	1998-12-11	PRIJEM	VKLAD	33090	82471	\N	\N	\N
1069212	3653	1994-10-08	VYDAJ	PREVOD NA UCET	4128	39988	SIPO	IJ	41153007
1069213	3653	1994-11-08	VYDAJ	PREVOD NA UCET	4128	39825	SIPO	IJ	41153007
1069214	3653	1994-12-08	VYDAJ	PREVOD NA UCET	4128	38159	SIPO	IJ	41153007
1069215	3653	1995-01-08	VYDAJ	PREVOD NA UCET	4128	36482	SIPO	IJ	41153007
1069216	3653	1995-02-08	VYDAJ	PREVOD NA UCET	4128	35327	SIPO	IJ	41153007
1069217	3653	1995-03-08	VYDAJ	PREVOD NA UCET	4128	37041	SIPO	IJ	41153007
1069218	3653	1995-04-08	VYDAJ	PREVOD NA UCET	4128	36963	SIPO	IJ	41153007
1069219	3653	1995-05-08	VYDAJ	PREVOD NA UCET	4128	37884	SIPO	IJ	41153007
1069220	3653	1995-06-08	VYDAJ	PREVOD NA UCET	4128	20767	SIPO	IJ	41153007
1069221	3653	1995-07-08	VYDAJ	PREVOD NA UCET	4128	36897	SIPO	IJ	41153007
1069222	3653	1995-08-08	VYDAJ	PREVOD NA UCET	4128	39015	SIPO	IJ	41153007
1069223	3653	1995-09-08	VYDAJ	PREVOD NA UCET	4128	40939	SIPO	IJ	41153007
1069224	3653	1995-10-08	VYDAJ	PREVOD NA UCET	4128	43371	SIPO	IJ	41153007
1069225	3653	1995-11-08	VYDAJ	PREVOD NA UCET	4128	41308	SIPO	IJ	41153007
1069226	3653	1995-12-08	VYDAJ	PREVOD NA UCET	4128	37698	SIPO	IJ	41153007
1069227	3653	1996-01-08	VYDAJ	PREVOD NA UCET	4128	32661	SIPO	IJ	41153007
1069228	3653	1996-02-08	VYDAJ	PREVOD NA UCET	4128	25190	SIPO	IJ	41153007
1069229	3653	1996-03-08	VYDAJ	PREVOD NA UCET	4128	32356	SIPO	IJ	41153007
1069230	3653	1996-04-08	VYDAJ	PREVOD NA UCET	4128	33860	SIPO	IJ	41153007
1069231	3653	1996-05-08	VYDAJ	PREVOD NA UCET	4128	34353	SIPO	IJ	41153007
1069232	3653	1996-06-08	VYDAJ	PREVOD NA UCET	4128	36249	SIPO	IJ	41153007
1069233	3653	1996-07-08	VYDAJ	PREVOD NA UCET	4128	25481	SIPO	IJ	41153007
1069234	3653	1996-08-08	VYDAJ	PREVOD NA UCET	4128	31043	SIPO	IJ	41153007
1069235	3653	1996-09-08	VYDAJ	PREVOD NA UCET	4128	33722	SIPO	IJ	41153007
1069236	3653	1996-10-08	VYDAJ	PREVOD NA UCET	4128	31032	SIPO	IJ	41153007
1069237	3653	1996-11-08	VYDAJ	PREVOD NA UCET	4128	36518	SIPO	IJ	41153007
1069238	3653	1996-12-08	VYDAJ	PREVOD NA UCET	4128	40118	SIPO	IJ	41153007
1069239	3653	1997-01-08	VYDAJ	PREVOD NA UCET	4128	43018	SIPO	IJ	41153007
1069240	3653	1997-02-08	VYDAJ	PREVOD NA UCET	4128	25239	SIPO	IJ	41153007
1069241	3653	1997-03-08	VYDAJ	PREVOD NA UCET	4128	32195	SIPO	IJ	41153007
1069242	3653	1997-04-08	VYDAJ	PREVOD NA UCET	4128	34173	SIPO	IJ	41153007
1069243	3653	1997-05-08	VYDAJ	PREVOD NA UCET	4128	34956	SIPO	IJ	41153007
1069244	3653	1997-06-08	VYDAJ	PREVOD NA UCET	4128	40150	SIPO	IJ	41153007
1069245	3653	1997-07-08	VYDAJ	PREVOD NA UCET	4128	32868	SIPO	IJ	41153007
1069246	3653	1997-08-08	VYDAJ	PREVOD NA UCET	4128	39955	SIPO	IJ	41153007
1069247	3653	1997-09-08	VYDAJ	PREVOD NA UCET	4128	43465	SIPO	IJ	41153007
1069248	3653	1997-10-08	VYDAJ	PREVOD NA UCET	4128	41153	SIPO	IJ	41153007
1069249	3653	1997-11-08	VYDAJ	PREVOD NA UCET	4128	42157	SIPO	IJ	41153007
1069250	3653	1997-12-08	VYDAJ	PREVOD NA UCET	4128	46873	SIPO	IJ	41153007
1069251	3653	1998-01-08	VYDAJ	PREVOD NA UCET	4128	36560	SIPO	IJ	41153007
1069252	3653	1998-02-08	VYDAJ	PREVOD NA UCET	4128	23607	SIPO	IJ	41153007
1069253	3653	1998-03-08	VYDAJ	PREVOD NA UCET	4128	29344	SIPO	IJ	41153007
1069254	3653	1998-04-08	VYDAJ	PREVOD NA UCET	4128	28553	SIPO	IJ	41153007
1069255	3653	1998-05-08	VYDAJ	PREVOD NA UCET	4128	35616	SIPO	IJ	41153007
1069256	3653	1998-06-08	VYDAJ	PREVOD NA UCET	4128	36571	SIPO	IJ	41153007
1069257	3653	1998-07-08	VYDAJ	PREVOD NA UCET	4128	30763	SIPO	IJ	41153007
1069258	3653	1998-08-08	VYDAJ	PREVOD NA UCET	4128	35833	SIPO	IJ	41153007
1069259	3653	1998-09-08	VYDAJ	PREVOD NA UCET	4128	49442	SIPO	IJ	41153007
1069260	3653	1998-10-08	VYDAJ	PREVOD NA UCET	4128	51352	SIPO	IJ	41153007
1069261	3653	1998-11-08	VYDAJ	PREVOD NA UCET	4128	60911	SIPO	IJ	41153007
1069262	3653	1998-12-08	VYDAJ	PREVOD NA UCET	4128	61981	SIPO	IJ	41153007
1069271	3653	1994-09-14	VYDAJ	PREVOD NA UCET	1208	65897	 	ST	80628025
1069272	3653	1994-10-14	VYDAJ	PREVOD NA UCET	1208	60840	 	ST	80628025
1069273	3653	1994-11-14	VYDAJ	PREVOD NA UCET	1208	60677	 	ST	80628025
1069274	3653	1994-12-14	VYDAJ	PREVOD NA UCET	1208	69081	 	ST	80628025
1069275	3653	1995-01-14	VYDAJ	PREVOD NA UCET	1208	54814	 	ST	80628025
1069276	3653	1995-02-14	VYDAJ	PREVOD NA UCET	1208	56179	 	ST	80628025
1069277	3653	1995-03-14	VYDAJ	PREVOD NA UCET	1208	57893	 	ST	80628025
1069278	3653	1995-04-14	VYDAJ	PREVOD NA UCET	1208	57815	 	ST	80628025
1069279	3653	1995-05-14	VYDAJ	PREVOD NA UCET	1208	58736	 	ST	80628025
1069280	3653	1995-06-14	VYDAJ	PREVOD NA UCET	1208	52649	 	ST	80628025
1069281	3653	1995-07-14	VYDAJ	PREVOD NA UCET	1208	57749	 	ST	80628025
1069282	3653	1995-08-14	VYDAJ	PREVOD NA UCET	1208	59867	 	ST	80628025
1069283	3653	1995-09-14	VYDAJ	PREVOD NA UCET	1208	61791	 	ST	80628025
1069284	3653	1995-10-14	VYDAJ	PREVOD NA UCET	1208	64223	 	ST	80628025
1069285	3653	1995-11-14	VYDAJ	PREVOD NA UCET	1208	62160	 	ST	80628025
1069286	3653	1995-12-14	VYDAJ	PREVOD NA UCET	1208	69580	 	ST	80628025
1069287	3653	1996-01-14	VYDAJ	PREVOD NA UCET	1208	53513	 	ST	80628025
1069288	3653	1996-02-14	VYDAJ	PREVOD NA UCET	1208	46042	 	ST	80628025
1069289	3653	1996-03-14	VYDAJ	PREVOD NA UCET	1208	53208	 	ST	80628025
1069290	3653	1996-04-14	VYDAJ	PREVOD NA UCET	1208	54712	 	ST	80628025
1069291	3653	1996-05-14	VYDAJ	PREVOD NA UCET	1208	55205	 	ST	80628025
1069292	3653	1996-06-14	VYDAJ	PREVOD NA UCET	1208	68131	 	ST	80628025
1069293	3653	1996-07-14	VYDAJ	PREVOD NA UCET	1208	46333	 	ST	80628025
1069294	3653	1996-08-14	VYDAJ	PREVOD NA UCET	1208	51895	 	ST	80628025
1069295	3653	1996-09-14	VYDAJ	PREVOD NA UCET	1208	54574	 	ST	80628025
1069296	3653	1996-10-14	VYDAJ	PREVOD NA UCET	1208	51884	 	ST	80628025
1069297	3653	1996-11-14	VYDAJ	PREVOD NA UCET	1208	57370	 	ST	80628025
1069298	3653	1996-12-14	VYDAJ	PREVOD NA UCET	1208	72000	 	ST	80628025
1069299	3653	1997-01-14	VYDAJ	PREVOD NA UCET	1208	54150	 	ST	80628025
1069300	3653	1997-02-14	VYDAJ	PREVOD NA UCET	1208	46091	 	ST	80628025
1069301	3653	1997-03-14	VYDAJ	PREVOD NA UCET	1208	53047	 	ST	80628025
1069302	3653	1997-04-14	VYDAJ	PREVOD NA UCET	1208	55025	 	ST	80628025
1069303	3653	1997-05-14	VYDAJ	PREVOD NA UCET	1208	55808	 	ST	80628025
1069304	3653	1997-06-14	VYDAJ	PREVOD NA UCET	1208	72032	 	ST	80628025
1069305	3653	1997-07-14	VYDAJ	PREVOD NA UCET	1208	53720	 	ST	80628025
1069306	3653	1997-08-14	VYDAJ	PREVOD NA UCET	1208	60807	 	ST	80628025
1069307	3653	1997-09-14	VYDAJ	PREVOD NA UCET	1208	45097	 	ST	80628025
1069308	3653	1997-10-14	VYDAJ	PREVOD NA UCET	1208	46105	 	ST	80628025
1069309	3653	1997-11-14	VYDAJ	PREVOD NA UCET	1208	50809	 	ST	80628025
1069310	3653	1997-12-14	VYDAJ	PREVOD NA UCET	1208	51655	 	ST	80628025
1069311	3653	1998-01-14	VYDAJ	PREVOD NA UCET	1208	41272	 	ST	80628025
1069312	3653	1998-02-14	VYDAJ	PREVOD NA UCET	1208	33359	 	ST	80628025
1069313	3653	1998-03-14	VYDAJ	PREVOD NA UCET	1208	34596	 	ST	80628025
1069314	3653	1998-04-14	VYDAJ	PREVOD NA UCET	1208	39605	 	ST	80628025
1069315	3653	1998-05-14	VYDAJ	PREVOD NA UCET	1208	40548	 	ST	80628025
1069316	3653	1998-06-14	VYDAJ	PREVOD NA UCET	1208	47853	 	ST	80628025
1069317	3653	1998-07-14	VYDAJ	PREVOD NA UCET	1208	39815	 	ST	80628025
1069318	3653	1998-08-14	VYDAJ	PREVOD NA UCET	1208	53385	 	ST	80628025
1069319	3653	1998-09-14	VYDAJ	PREVOD NA UCET	1208	65214	 	ST	80628025
1069320	3653	1998-10-14	VYDAJ	PREVOD NA UCET	1208	64804	 	ST	80628025
1069321	3653	1998-11-14	VYDAJ	PREVOD NA UCET	1208	65863	 	ST	80628025
1069322	3653	1998-12-14	VYDAJ	PREVOD NA UCET	1208	81263	 	ST	80628025
1069324	3653	1995-06-04	VYDAJ	VYBER	18240	24895	\N	\N	\N
1069325	3653	1996-06-21	VYDAJ	VYBER	32640	29391	\N	\N	\N
1069326	3653	1997-06-16	VYDAJ	VYBER	14080	41252	\N	\N	\N
1069327	3653	1998-06-24	VYDAJ	VYBER	13120	34733	\N	\N	\N
1069329	3653	1995-01-03	VYDAJ	VYBER	5280	41690	\N	\N	\N
1069330	3653	1996-01-23	VYDAJ	VYBER	13920	35153	\N	\N	\N
1069331	3653	1997-01-10	VYDAJ	VYBER	9120	33298	\N	\N	\N
1069332	3653	1998-01-01	VYDAJ	VYBER	6240	40688	\N	\N	\N
1069333	3653	1994-12-10	VYDAJ	VYBER	960	37199	\N	\N	\N
1069334	3653	1995-12-16	VYDAJ	VYBER	4000	65580	\N	\N	\N
1069335	3653	1996-12-17	VYDAJ	VYBER	1600	70400	\N	\N	\N
1069336	3653	1997-12-11	VYDAJ	VYBER	2400	77563	\N	\N	\N
1069337	3653	1998-12-09	VYDAJ	VYBER	1600	49381	\N	\N	\N
1069344	3653	1995-01-09	VYDAJ	VYBER	2520	33962	\N	\N	\N
1069345	3653	1995-01-05	VYDAJ	VYBER	1080	40610	\N	\N	\N
1069346	3653	1995-01-22	VYDAJ	VYBER	1680	47974	\N	\N	\N
1069347	3653	1995-01-20	VYDAJ	VYBER	2040	49654	\N	\N	\N
1069348	3653	1995-01-20	VYDAJ	VYBER	3120	51694	\N	\N	\N
1069349	3653	1995-01-02	VYDAJ	VYBER	2640	46970	\N	\N	\N
1069350	3653	1996-01-08	VYDAJ	VYBER	2520	36789	\N	\N	\N
1069351	3653	1996-01-03	VYDAJ	VYBER	600	42429	\N	\N	\N
1069352	3653	1996-01-06	VYDAJ	VYBER	3120	39309	\N	\N	\N
1069353	3653	1996-01-21	VYDAJ	VYBER	3240	49073	\N	\N	\N
1069354	3653	1996-01-01	VYDAJ	VYBER	2160	43029	\N	\N	\N
1069355	3653	1996-01-18	VYDAJ	VYBER	1200	52313	\N	\N	\N
1069356	3653	1997-01-21	VYDAJ	VYBER	2400	35450	\N	\N	\N
1069357	3653	1997-01-25	VYDAJ	VYBER	2640	30170	\N	\N	\N
1069358	3653	1997-01-09	VYDAJ	VYBER	600	42418	\N	\N	\N
1069359	3653	1997-01-22	VYDAJ	VYBER	2640	32810	\N	\N	\N
1069360	3653	1997-01-01	VYDAJ	VYBER	3360	47146	\N	\N	\N
1069361	3653	1997-01-27	VYDAJ	VYBER	960	29210	\N	\N	\N
1069362	3653	1998-01-17	VYDAJ	VYBER	1920	39352	\N	\N	\N
1069363	3653	1998-01-25	VYDAJ	VYBER	2160	31072	\N	\N	\N
1069364	3653	1998-01-13	VYDAJ	VYBER	1440	42480	\N	\N	\N
1069365	3653	1998-01-10	VYDAJ	VYBER	3000	33560	\N	\N	\N
1069366	3653	1998-01-30	VYDAJ	VYBER	3480	27592	\N	\N	\N
1069367	3653	1998-01-18	VYDAJ	VYBER	2520	36832	\N	\N	\N
1069373	3653	1995-12-07	VYDAJ	VYBER	2400	41826	\N	\N	\N
1069374	3653	1995-05-30	VYDAJ	VYBER	1200	42936	\N	\N	\N
1069375	3653	1995-12-01	VYDAJ	VYBER	2640	44226	\N	\N	\N
1069376	3653	1996-10-07	VYDAJ	VYBER	5880	35160	\N	\N	\N
1069377	3653	1996-03-15	VYDAJ	VYBER	5280	47928	\N	\N	\N
1069378	3653	1997-08-27	VYDAJ	VYBER	1200	47407	\N	\N	\N
1069379	3653	1997-12-15	VYDAJ	VYBER	4920	46735	\N	\N	\N
1069380	3653	1997-09-13	VYDAJ	VYBER	4920	60605	\N	\N	\N
1069381	3653	1997-06-25	VYDAJ	VYBER	2880	36812	\N	\N	\N
1069382	3653	1997-06-20	VYDAJ	VYBER	1560	39692	\N	\N	\N
1069383	3653	1998-05-11	VYDAJ	VYBER	4920	52756	\N	\N	\N
1069384	3653	1998-09-08	VYDAJ	VYBER	2880	46562	\N	\N	\N
1069385	3653	1998-01-23	VYDAJ	VYBER	3600	33232	\N	\N	\N
1069386	3653	1998-09-24	VYDAJ	VYBER	5040	59094	\N	\N	\N
1069387	3653	1998-03-15	VYDAJ	VYBER	2040	32556	\N	\N	\N
1069388	3653	1998-09-21	VYDAJ	VYBER	1080	64134	\N	\N	\N
1069389	3653	1998-09-28	VYDAJ	VYBER	3840	55254	\N	\N	\N
1069399	3653	1994-09-30	VYDAJ	VYBER	15	44116	SLUZBY	\N	\N
1069400	3653	1994-10-31	VYDAJ	VYBER	15	43953	SLUZBY	\N	\N
1069401	3653	1994-11-30	VYDAJ	VYBER	15	42287	SLUZBY	\N	\N
1069402	3653	1994-12-31	VYDAJ	VYBER	15	49610	SLUZBY	\N	\N
1069403	3653	1995-01-31	VYDAJ	VYBER	15	39455	SLUZBY	\N	\N
1069404	3653	1995-02-28	VYDAJ	VYBER	15	41169	SLUZBY	\N	\N
1069405	3653	1995-03-31	VYDAJ	VYBER	15	41091	SLUZBY	\N	\N
1069406	3653	1995-04-30	VYDAJ	VYBER	15	42012	SLUZBY	\N	\N
1069407	3653	1995-05-31	VYDAJ	VYBER	15	43135	SLUZBY	\N	\N
1069408	3653	1995-06-30	VYDAJ	VYBER	15	41025	SLUZBY	\N	\N
1069409	3653	1995-07-31	VYDAJ	VYBER	15	43143	SLUZBY	\N	\N
1069410	3653	1995-08-31	VYDAJ	VYBER	15	45067	SLUZBY	\N	\N
1069411	3653	1995-09-30	VYDAJ	VYBER	15	47499	SLUZBY	\N	\N
1069412	3653	1995-10-31	VYDAJ	VYBER	15	45436	SLUZBY	\N	\N
1069413	3653	1995-11-30	VYDAJ	VYBER	15	46866	SLUZBY	\N	\N
1069414	3653	1995-12-31	VYDAJ	VYBER	15	45189	SLUZBY	\N	\N
1069415	3653	1996-01-31	VYDAJ	VYBER	15	29318	SLUZBY	\N	\N
1069416	3653	1996-02-29	VYDAJ	VYBER	15	36484	SLUZBY	\N	\N
1069417	3653	1996-03-31	VYDAJ	VYBER	15	37988	SLUZBY	\N	\N
1069418	3653	1996-04-30	VYDAJ	VYBER	15	38481	SLUZBY	\N	\N
1069419	3653	1996-05-31	VYDAJ	VYBER	15	40377	SLUZBY	\N	\N
1069420	3653	1996-06-30	VYDAJ	VYBER	15	29609	SLUZBY	\N	\N
1069421	3653	1996-07-31	VYDAJ	VYBER	15	35171	SLUZBY	\N	\N
1069422	3653	1996-08-31	VYDAJ	VYBER	15	37850	SLUZBY	\N	\N
1069423	3653	1996-09-30	VYDAJ	VYBER	15	41040	SLUZBY	\N	\N
1069424	3653	1996-10-31	VYDAJ	VYBER	15	40646	SLUZBY	\N	\N
1069425	3653	1996-11-30	VYDAJ	VYBER	15	44246	SLUZBY	\N	\N
1069426	3653	1996-12-31	VYDAJ	VYBER	15	50506	SLUZBY	\N	\N
1069427	3653	1997-01-31	VYDAJ	VYBER	15	29367	SLUZBY	\N	\N
1069428	3653	1997-02-28	VYDAJ	VYBER	15	36323	SLUZBY	\N	\N
1069429	3653	1997-03-31	VYDAJ	VYBER	15	38301	SLUZBY	\N	\N
1069430	3653	1997-04-30	VYDAJ	VYBER	15	39084	SLUZBY	\N	\N
1069431	3653	1997-05-31	VYDAJ	VYBER	15	44278	SLUZBY	\N	\N
1069432	3653	1997-06-30	VYDAJ	VYBER	15	36996	SLUZBY	\N	\N
1069433	3653	1997-07-31	VYDAJ	VYBER	15	44083	SLUZBY	\N	\N
1069434	3653	1997-08-31	VYDAJ	VYBER	15	47593	SLUZBY	\N	\N
1069435	3653	1997-09-30	VYDAJ	VYBER	15	45281	SLUZBY	\N	\N
1069436	3653	1997-10-31	VYDAJ	VYBER	15	46285	SLUZBY	\N	\N
1069437	3653	1997-11-30	VYDAJ	VYBER	15	51001	SLUZBY	\N	\N
1069438	3653	1997-12-31	VYDAJ	VYBER	15	46928	SLUZBY	\N	\N
1069439	3653	1998-01-31	VYDAJ	VYBER	15	27735	SLUZBY	\N	\N
1069440	3653	1998-02-28	VYDAJ	VYBER	15	33472	SLUZBY	\N	\N
1069441	3653	1998-03-31	VYDAJ	VYBER	15	32681	SLUZBY	\N	\N
1069442	3653	1998-04-30	VYDAJ	VYBER	15	39744	SLUZBY	\N	\N
1069443	3653	1998-05-31	VYDAJ	VYBER	15	40699	SLUZBY	\N	\N
1069444	3653	1998-06-30	VYDAJ	VYBER	15	34891	SLUZBY	\N	\N
1069445	3653	1998-07-31	VYDAJ	VYBER	15	39961	SLUZBY	\N	\N
1069446	3653	1998-08-31	VYDAJ	VYBER	15	53570	SLUZBY	\N	\N
1069447	3653	1998-09-30	VYDAJ	VYBER	15	55480	SLUZBY	\N	\N
1069448	3653	1998-10-31	VYDAJ	VYBER	15	65039	SLUZBY	\N	\N
1069449	3653	1998-11-30	VYDAJ	VYBER	15	66109	SLUZBY	\N	\N
1069450	3653	1994-06-02	VYDAJ	VYBER	500	22525	\N	\N	\N
1069451	3653	1994-07-02	VYDAJ	VYBER	14700	41101	\N	\N	\N
1069452	3653	1994-08-01	VYDAJ	VYBER	18600	44814	\N	\N	\N
1069453	3653	1994-08-31	VYDAJ	VYBER	22100	45045	\N	\N	\N
1069454	3653	1994-09-30	VYDAJ	VYBER	22000	44131	\N	\N	\N
1069455	3653	1994-10-30	VYDAJ	VYBER	17100	43740	\N	\N	\N
1069456	3653	1994-11-29	VYDAJ	VYBER	18600	42077	\N	\N	\N
1069457	3653	1994-12-29	VYDAJ	VYBER	19700	49381	\N	\N	\N
1069458	3653	1995-01-28	VYDAJ	VYBER	8700	39274	\N	\N	\N
1069459	3653	1995-02-27	VYDAJ	VYBER	15200	40979	\N	\N	\N
1069460	3653	1995-03-29	VYDAJ	VYBER	17000	40893	\N	\N	\N
1069461	3653	1995-04-28	VYDAJ	VYBER	16000	41815	\N	\N	\N
1069462	3653	1995-05-28	VYDAJ	VYBER	14600	44136	\N	\N	\N
1069463	3653	1995-06-27	VYDAJ	VYBER	11800	40849	\N	\N	\N
1069464	3653	1995-07-27	VYDAJ	VYBER	14800	42949	\N	\N	\N
1069465	3653	1995-08-26	VYDAJ	VYBER	15000	44867	\N	\N	\N
1069466	3653	1995-09-25	VYDAJ	VYBER	14500	47291	\N	\N	\N
1069467	3653	1995-10-25	VYDAJ	VYBER	19000	45223	\N	\N	\N
1069468	3653	1995-11-24	VYDAJ	VYBER	15500	46660	\N	\N	\N
1069469	3653	1995-12-24	VYDAJ	VYBER	20600	44980	\N	\N	\N
1069470	3653	1996-01-23	VYDAJ	VYBER	6000	29153	\N	\N	\N
1069471	3653	1996-02-22	VYDAJ	VYBER	9700	36342	\N	\N	\N
1069472	3653	1996-03-23	VYDAJ	VYBER	10100	37828	\N	\N	\N
1069473	3653	1996-04-22	VYDAJ	VYBER	16400	38312	\N	\N	\N
1069474	3653	1996-05-22	VYDAJ	VYBER	15000	40205	\N	\N	\N
1069475	3653	1996-06-21	VYDAJ	VYBER	6100	62031	\N	\N	\N
1069476	3653	1996-07-21	VYDAJ	VYBER	11300	35033	\N	\N	\N
1069477	3653	1996-08-20	VYDAJ	VYBER	14200	37695	\N	\N	\N
1069478	3653	1996-09-19	VYDAJ	VYBER	13700	40874	\N	\N	\N
1069479	3653	1996-10-19	VYDAJ	VYBER	11400	40484	\N	\N	\N
1069480	3653	1996-11-18	VYDAJ	VYBER	13300	44070	\N	\N	\N
1069481	3653	1996-12-18	VYDAJ	VYBER	20100	50300	\N	\N	\N
1069482	3653	1997-01-17	VYDAJ	VYBER	16300	37850	\N	\N	\N
1069483	3653	1997-02-16	VYDAJ	VYBER	9900	36191	\N	\N	\N
1069484	3653	1997-03-18	VYDAJ	VYBER	14900	38147	\N	\N	\N
1069485	3653	1997-04-17	VYDAJ	VYBER	16100	38925	\N	\N	\N
1069486	3653	1997-05-17	VYDAJ	VYBER	11700	44108	\N	\N	\N
1069487	3653	1997-06-16	VYDAJ	VYBER	16700	55332	\N	\N	\N
1069488	3653	1997-07-16	VYDAJ	VYBER	9800	43920	\N	\N	\N
1069489	3653	1997-08-15	VYDAJ	VYBER	12200	48607	\N	\N	\N
1069490	3653	1997-09-14	VYDAJ	VYBER	14300	46305	\N	\N	\N
1069491	3653	1997-10-14	VYDAJ	VYBER	15900	47313	\N	\N	\N
1069492	3653	1997-11-13	VYDAJ	VYBER	12200	52017	\N	\N	\N
1069493	3653	1997-12-13	VYDAJ	VYBER	24700	52863	\N	\N	\N
1069494	3653	1998-01-12	VYDAJ	VYBER	11700	43920	\N	\N	\N
1069495	3653	1998-02-11	VYDAJ	VYBER	11100	34567	\N	\N	\N
1069496	3653	1998-03-13	VYDAJ	VYBER	15600	35804	\N	\N	\N
1069497	3653	1998-04-12	VYDAJ	VYBER	9800	40813	\N	\N	\N
1069498	3653	1998-05-12	VYDAJ	VYBER	11000	41756	\N	\N	\N
1069499	3653	1998-06-11	VYDAJ	VYBER	20600	49061	\N	\N	\N
1069500	3653	1998-07-11	VYDAJ	VYBER	11800	41023	\N	\N	\N
1069501	3653	1998-08-10	VYDAJ	VYBER	3300	32533	\N	\N	\N
1069502	3653	1998-09-09	VYDAJ	VYBER	2200	44362	\N	\N	\N
1069503	3653	1998-10-09	VYDAJ	VYBER	7400	43952	\N	\N	\N
1069504	3653	1998-11-08	VYDAJ	VYBER	15900	45011	\N	\N	\N
1069505	3653	1998-12-08	VYDAJ	VYBER	11000	50981	\N	\N	\N
1069562	3654	1993-07-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1069570	3654	1993-08-10	PRIJEM	VKLAD	19930	20630	\N	\N	\N
1069571	3654	1993-09-10	PRIJEM	VKLAD	19930	40214	\N	\N	\N
1069572	3654	1993-10-10	PRIJEM	VKLAD	19930	53967	\N	\N	\N
1069573	3654	1993-11-10	PRIJEM	VKLAD	19930	57448	\N	\N	\N
1069574	3654	1993-12-10	PRIJEM	VKLAD	29895	72714	\N	\N	\N
1069575	3654	1994-01-10	PRIJEM	VKLAD	19930	47472	\N	\N	\N
1069576	3654	1994-02-10	PRIJEM	VKLAD	19930	45276	\N	\N	\N
1069577	3654	1994-03-10	PRIJEM	VKLAD	19930	58425	\N	\N	\N
1069578	3654	1994-04-10	PRIJEM	VKLAD	19930	50173	\N	\N	\N
1069579	3654	1994-05-10	PRIJEM	VKLAD	19930	51491	\N	\N	\N
1069580	3654	1994-06-10	PRIJEM	VKLAD	29895	61612	\N	\N	\N
1069581	3654	1994-07-10	PRIJEM	VKLAD	19930	54693	\N	\N	\N
1069582	3654	1994-08-10	PRIJEM	VKLAD	19930	56588	\N	\N	\N
1069583	3654	1994-09-10	PRIJEM	VKLAD	19930	56689	\N	\N	\N
1069584	3654	1994-10-10	PRIJEM	VKLAD	19930	56292	\N	\N	\N
1069585	3654	1994-11-10	PRIJEM	VKLAD	19930	55295	\N	\N	\N
1069586	3654	1994-12-10	PRIJEM	VKLAD	29895	65358	\N	\N	\N
1069587	3654	1995-01-10	PRIJEM	VKLAD	19930	59125	\N	\N	\N
1069588	3654	1995-02-10	PRIJEM	VKLAD	19930	46885	\N	\N	\N
1069589	3654	1995-03-10	PRIJEM	VKLAD	19930	57033	\N	\N	\N
1069590	3654	1995-04-10	PRIJEM	VKLAD	19930	56076	\N	\N	\N
1069591	3654	1995-05-10	PRIJEM	VKLAD	19930	61972	\N	\N	\N
1069592	3654	1995-06-10	PRIJEM	VKLAD	29895	74055	\N	\N	\N
1069593	3654	1995-07-10	PRIJEM	VKLAD	19930	53657	\N	\N	\N
1069594	3654	1995-08-10	PRIJEM	VKLAD	19930	60162	\N	\N	\N
1069595	3654	1995-09-10	PRIJEM	VKLAD	19930	60006	\N	\N	\N
1069596	3654	1995-10-10	PRIJEM	VKLAD	19930	64821	\N	\N	\N
1069597	3654	1995-11-10	PRIJEM	VKLAD	19930	67952	\N	\N	\N
1069598	3654	1995-12-10	PRIJEM	VKLAD	29895	79004	\N	\N	\N
1069599	3654	1996-01-10	PRIJEM	VKLAD	19930	74030	\N	\N	\N
1069600	3654	1996-02-10	PRIJEM	VKLAD	19930	69164	\N	\N	\N
1069601	3654	1996-03-10	PRIJEM	VKLAD	19930	69329	\N	\N	\N
1069602	3654	1996-04-10	PRIJEM	VKLAD	19930	73968	\N	\N	\N
1069603	3654	1996-05-10	PRIJEM	VKLAD	19930	77825	\N	\N	\N
1069604	3654	1996-06-10	PRIJEM	VKLAD	29895	88059	\N	\N	\N
1069605	3654	1996-07-10	PRIJEM	VKLAD	19930	74331	\N	\N	\N
1069606	3654	1996-08-10	PRIJEM	VKLAD	19930	83790	\N	\N	\N
1069607	3654	1996-09-10	PRIJEM	VKLAD	19930	88383	\N	\N	\N
1069608	3654	1996-10-10	PRIJEM	VKLAD	19930	89793	\N	\N	\N
1069609	3654	1996-11-10	PRIJEM	VKLAD	19930	87604	\N	\N	\N
1069610	3654	1996-12-10	PRIJEM	VKLAD	29895	98373	\N	\N	\N
1069611	3654	1997-01-10	PRIJEM	VKLAD	19930	91176	\N	\N	\N
1069612	3654	1997-02-10	PRIJEM	VKLAD	19930	76252	\N	\N	\N
1069613	3654	1997-03-10	PRIJEM	VKLAD	19930	81510	\N	\N	\N
1069614	3654	1997-04-10	PRIJEM	VKLAD	19930	87493	\N	\N	\N
1069615	3654	1997-05-10	PRIJEM	VKLAD	19930	90296	\N	\N	\N
1069616	3654	1997-06-10	PRIJEM	VKLAD	29895	105577	\N	\N	\N
1069617	3654	1997-07-10	PRIJEM	VKLAD	19930	88054	\N	\N	\N
1069618	3654	1997-08-10	PRIJEM	VKLAD	19930	85866	\N	\N	\N
1069619	3654	1997-09-10	PRIJEM	VKLAD	19930	91566	\N	\N	\N
1069620	3654	1997-10-10	PRIJEM	VKLAD	19930	89179	\N	\N	\N
1069621	3654	1997-11-10	PRIJEM	VKLAD	19930	98398	\N	\N	\N
1069622	3654	1997-12-10	PRIJEM	VKLAD	29895	112105	\N	\N	\N
1069623	3654	1998-01-10	PRIJEM	VKLAD	19930	103679	\N	\N	\N
1069624	3654	1998-02-10	PRIJEM	VKLAD	19930	99230	\N	\N	\N
1069625	3654	1998-03-10	PRIJEM	VKLAD	19930	107384	\N	\N	\N
1069626	3654	1998-04-10	PRIJEM	VKLAD	19930	119176	\N	\N	\N
1069627	3654	1998-05-10	PRIJEM	VKLAD	19930	100207	\N	\N	\N
1069628	3654	1998-06-10	PRIJEM	VKLAD	29895	116237	\N	\N	\N
1069629	3654	1998-07-10	PRIJEM	VKLAD	19930	103055	\N	\N	\N
1069630	3654	1998-08-10	PRIJEM	VKLAD	19930	123144	\N	\N	\N
1069631	3654	1998-09-10	PRIJEM	VKLAD	19930	104641	\N	\N	\N
1069632	3654	1998-10-10	PRIJEM	VKLAD	19930	120929	\N	\N	\N
1069633	3654	1998-11-10	PRIJEM	VKLAD	19930	118726	\N	\N	\N
1069634	3654	1998-12-10	PRIJEM	VKLAD	29895	136625	\N	\N	\N
1069647	3654	1994-01-09	VYDAJ	PREVOD NA UCET	6946	27542	SIPO	QR	71955466
1069648	3654	1994-02-09	VYDAJ	PREVOD NA UCET	6946	25346	SIPO	QR	71955466
1069649	3654	1994-03-09	VYDAJ	PREVOD NA UCET	6946	38495	SIPO	QR	71955466
1069650	3654	1994-04-09	VYDAJ	PREVOD NA UCET	6946	34843	SIPO	QR	71955466
1069651	3654	1994-05-09	VYDAJ	PREVOD NA UCET	6946	39561	SIPO	QR	71955466
1069652	3654	1994-06-09	VYDAJ	PREVOD NA UCET	6946	31717	SIPO	QR	71955466
1069653	3654	1994-07-09	VYDAJ	PREVOD NA UCET	6946	34763	SIPO	QR	71955466
1069654	3654	1994-08-09	VYDAJ	PREVOD NA UCET	6946	36658	SIPO	QR	71955466
1069655	3654	1994-09-09	VYDAJ	PREVOD NA UCET	6946	36759	SIPO	QR	71955466
1069656	3654	1994-10-09	VYDAJ	PREVOD NA UCET	6946	36362	SIPO	QR	71955466
1069657	3654	1994-11-09	VYDAJ	PREVOD NA UCET	6946	35365	SIPO	QR	71955466
1069658	3654	1994-12-09	VYDAJ	PREVOD NA UCET	6946	35463	SIPO	QR	71955466
1069659	3654	1995-01-09	VYDAJ	PREVOD NA UCET	6946	39195	SIPO	QR	71955466
1069660	3654	1995-02-09	VYDAJ	PREVOD NA UCET	6946	26955	SIPO	QR	71955466
1069661	3654	1995-03-09	VYDAJ	PREVOD NA UCET	6946	37103	SIPO	QR	71955466
1069662	3654	1995-04-09	VYDAJ	PREVOD NA UCET	6946	36146	SIPO	QR	71955466
1069663	3654	1995-05-09	VYDAJ	PREVOD NA UCET	6946	42042	SIPO	QR	71955466
1069664	3654	1995-06-09	VYDAJ	PREVOD NA UCET	6946	44160	SIPO	QR	71955466
1069665	3654	1995-07-09	VYDAJ	PREVOD NA UCET	6946	33727	SIPO	QR	71955466
1069666	3654	1995-08-09	VYDAJ	PREVOD NA UCET	6946	40232	SIPO	QR	71955466
1069667	3654	1995-09-09	VYDAJ	PREVOD NA UCET	6946	40076	SIPO	QR	71955466
1069668	3654	1995-10-09	VYDAJ	PREVOD NA UCET	6946	44891	SIPO	QR	71955466
1069669	3654	1995-11-09	VYDAJ	PREVOD NA UCET	6946	48022	SIPO	QR	71955466
1069670	3654	1995-12-09	VYDAJ	PREVOD NA UCET	6946	49109	SIPO	QR	71955466
1069671	3654	1996-01-09	VYDAJ	PREVOD NA UCET	6946	54100	SIPO	QR	71955466
1069672	3654	1996-02-09	VYDAJ	PREVOD NA UCET	6946	49234	SIPO	QR	71955466
1069673	3654	1996-03-09	VYDAJ	PREVOD NA UCET	6946	49399	SIPO	QR	71955466
1069674	3654	1996-04-09	VYDAJ	PREVOD NA UCET	6946	54038	SIPO	QR	71955466
1069675	3654	1996-05-09	VYDAJ	PREVOD NA UCET	6946	57895	SIPO	QR	71955466
1069676	3654	1996-06-09	VYDAJ	PREVOD NA UCET	6946	58164	SIPO	QR	71955466
1069677	3654	1996-07-09	VYDAJ	PREVOD NA UCET	6946	54401	SIPO	QR	71955466
1069678	3654	1996-08-09	VYDAJ	PREVOD NA UCET	6946	63860	SIPO	QR	71955466
1069679	3654	1996-09-09	VYDAJ	PREVOD NA UCET	6946	68453	SIPO	QR	71955466
1069680	3654	1996-10-09	VYDAJ	PREVOD NA UCET	6946	69863	SIPO	QR	71955466
1069681	3654	1996-11-09	VYDAJ	PREVOD NA UCET	6946	67674	SIPO	QR	71955466
1069682	3654	1996-12-09	VYDAJ	PREVOD NA UCET	6946	68478	SIPO	QR	71955466
1069683	3654	1997-01-09	VYDAJ	PREVOD NA UCET	6946	71246	SIPO	QR	71955466
1069684	3654	1997-02-09	VYDAJ	PREVOD NA UCET	6946	56322	SIPO	QR	71955466
1069685	3654	1997-03-09	VYDAJ	PREVOD NA UCET	6946	61580	SIPO	QR	71955466
1069686	3654	1997-04-09	VYDAJ	PREVOD NA UCET	6946	67563	SIPO	QR	71955466
1069687	3654	1997-05-09	VYDAJ	PREVOD NA UCET	6946	70366	SIPO	QR	71955466
1069688	3654	1997-06-09	VYDAJ	PREVOD NA UCET	6946	75682	SIPO	QR	71955466
1069689	3654	1997-07-09	VYDAJ	PREVOD NA UCET	6946	68124	SIPO	QR	71955466
1069690	3654	1997-08-09	VYDAJ	PREVOD NA UCET	6946	65936	SIPO	QR	71955466
1069691	3654	1997-09-09	VYDAJ	PREVOD NA UCET	6946	71636	SIPO	QR	71955466
1069692	3654	1997-10-09	VYDAJ	PREVOD NA UCET	6946	69249	SIPO	QR	71955466
1069693	3654	1997-11-09	VYDAJ	PREVOD NA UCET	6946	78468	SIPO	QR	71955466
1069694	3654	1997-12-09	VYDAJ	PREVOD NA UCET	6946	82210	SIPO	QR	71955466
1069695	3654	1998-01-09	VYDAJ	PREVOD NA UCET	6946	83749	SIPO	QR	71955466
1069696	3654	1998-02-09	VYDAJ	PREVOD NA UCET	6946	79300	SIPO	QR	71955466
1069697	3654	1998-03-09	VYDAJ	PREVOD NA UCET	6946	87454	SIPO	QR	71955466
1069698	3654	1998-04-09	VYDAJ	PREVOD NA UCET	6946	99246	SIPO	QR	71955466
1069699	3654	1998-05-09	VYDAJ	PREVOD NA UCET	6946	80277	SIPO	QR	71955466
1069700	3654	1998-06-09	VYDAJ	PREVOD NA UCET	6946	86342	SIPO	QR	71955466
1069701	3654	1998-07-09	VYDAJ	PREVOD NA UCET	6946	83125	SIPO	QR	71955466
1069702	3654	1998-08-09	VYDAJ	PREVOD NA UCET	6946	103214	SIPO	QR	71955466
1069703	3654	1998-09-09	VYDAJ	PREVOD NA UCET	6946	84711	SIPO	QR	71955466
1069704	3654	1998-10-09	VYDAJ	PREVOD NA UCET	6946	100999	SIPO	QR	71955466
1069705	3654	1998-11-09	VYDAJ	PREVOD NA UCET	6946	98796	SIPO	QR	71955466
1069706	3654	1998-12-09	VYDAJ	PREVOD NA UCET	6946	106730	SIPO	QR	71955466
1069709	3654	1995-06-17	VYDAJ	VYBER	40480	33575	\N	\N	\N
1069710	3654	1996-06-10	VYDAJ	VYBER	29920	58139	\N	\N	\N
1069711	3654	1997-06-19	VYDAJ	VYBER	18560	87017	\N	\N	\N
1069712	3654	1998-06-09	VYDAJ	VYBER KARTOU	5900	93288	\N	\N	0
1069714	3654	1994-01-28	VYDAJ	VYBER	4320	39432	\N	\N	\N
1069715	3654	1995-01-20	VYDAJ	VYBER	13920	35485	\N	\N	\N
1069716	3654	1996-01-17	VYDAJ	VYBER	9280	64750	\N	\N	\N
1069717	3654	1997-01-25	VYDAJ	VYBER KARTOU	2200	70156	\N	\N	0
1069718	3654	1998-01-29	VYDAJ	VYBER KARTOU	3000	87779	\N	\N	0
1069719	3654	1993-12-26	VYDAJ	VYBER	4160	41834	\N	\N	\N
1069720	3654	1994-12-28	VYDAJ	VYBER	800	64558	\N	\N	\N
1069721	3654	1995-12-07	VYDAJ	VYBER	960	56055	\N	\N	\N
1069722	3654	1996-12-11	VYDAJ	VYBER	1760	96613	\N	\N	\N
1069723	3654	1997-12-30	VYDAJ	VYBER KARTOU	2700	93005	\N	\N	0
1069724	3654	1998-12-02	VYDAJ	VYBER KARTOU	1600	113676	\N	\N	0
1069731	3654	1994-01-18	VYDAJ	VYBER	720	44352	\N	\N	\N
1069732	3654	1994-01-02	VYDAJ	VYBER	1440	38168	\N	\N	\N
1069733	3654	1994-01-09	VYDAJ	VYBER	1680	36488	\N	\N	\N
1069734	3654	1994-01-11	VYDAJ	VYBER	2400	45072	\N	\N	\N
1069735	3654	1994-01-20	VYDAJ	VYBER	600	43752	\N	\N	\N
1069736	3654	1994-01-01	VYDAJ	VYBER	2400	39608	\N	\N	\N
1069737	3654	1995-01-05	VYDAJ	VYBER	960	46141	\N	\N	\N
1069738	3654	1995-01-11	VYDAJ	VYBER	2640	54205	\N	\N	\N
1069739	3654	1995-01-12	VYDAJ	VYBER	3000	50605	\N	\N	\N
1069740	3654	1995-01-11	VYDAJ	VYBER	2280	56845	\N	\N	\N
1069741	3654	1995-01-26	VYDAJ	VYBER	960	34525	\N	\N	\N
1069742	3654	1995-01-17	VYDAJ	VYBER	1200	49405	\N	\N	\N
1069743	3654	1996-01-03	VYDAJ	VYBER	2040	63446	\N	\N	\N
1069744	3654	1996-01-06	VYDAJ	VYBER	2400	61046	\N	\N	\N
1069745	3654	1996-01-26	VYDAJ	VYBER	1440	56830	\N	\N	\N
1069746	3654	1996-01-18	VYDAJ	VYBER	960	63790	\N	\N	\N
1069747	3654	1996-01-19	VYDAJ	VYBER	2520	61270	\N	\N	\N
1069748	3654	1996-01-23	VYDAJ	VYBER	3000	58270	\N	\N	\N
1069749	3654	1997-01-12	VYDAJ	VYBER	1800	89376	\N	\N	\N
1069750	3654	1997-01-12	VYDAJ	VYBER	1320	88056	\N	\N	\N
1069751	3654	1997-01-21	VYDAJ	VYBER KARTOU	2900	85156	\N	\N	0
1069752	3654	1997-01-28	VYDAJ	VYBER KARTOU	1800	62956	\N	\N	0
1069753	3654	1997-01-26	VYDAJ	VYBER KARTOU	2200	67956	\N	\N	0
1069754	3654	1997-01-26	VYDAJ	VYBER KARTOU	3200	64756	\N	\N	0
1069755	3654	1998-01-17	VYDAJ	VYBER KARTOU	800	97379	\N	\N	0
1069756	3654	1998-01-17	VYDAJ	VYBER KARTOU	1400	98179	\N	\N	0
1069757	3654	1998-01-13	VYDAJ	VYBER KARTOU	1800	99579	\N	\N	0
1069758	3654	1998-01-01	VYDAJ	VYBER KARTOU	800	92595	\N	\N	0
1069759	3654	1998-01-10	VYDAJ	VYBER KARTOU	2300	101379	\N	\N	0
1069760	3654	1998-01-04	VYDAJ	VYBER KARTOU	1900	90695	\N	\N	0
1069764	3654	1993-12-26	VYDAJ	VYBER	1920	45994	\N	\N	\N
1069765	3654	1994-05-29	VYDAJ	VYBER	4320	47171	\N	\N	\N
1069766	3654	1994-04-14	VYDAJ	VYBER	3840	46333	\N	\N	\N
1069767	3654	1994-06-23	VYDAJ	VYBER	4800	56812	\N	\N	\N
1069768	3654	1994-07-03	VYDAJ	VYBER	4320	52709	\N	\N	\N
1069769	3654	1995-09-08	VYDAJ	VYBER	4560	47022	\N	\N	\N
1069770	3654	1995-03-19	VYDAJ	VYBER	5640	51393	\N	\N	\N
1069771	3654	1995-07-20	VYDAJ	VYBER	600	53057	\N	\N	\N
1069772	3654	1995-07-27	VYDAJ	VYBER	4560	48497	\N	\N	\N
1069773	3654	1995-01-12	VYDAJ	VYBER	600	53605	\N	\N	\N
1069774	3654	1996-02-11	VYDAJ	VYBER	4920	64244	\N	\N	\N
1069775	3654	1996-03-07	VYDAJ	VYBER	2640	56345	\N	\N	\N
1069776	3654	1996-12-23	VYDAJ	VYBER	5760	90853	\N	\N	\N
1069777	3654	1997-10-04	VYDAJ	VYBER KARTOU	4300	76195	\N	\N	0
1069778	3654	1997-08-06	VYDAJ	VYBER KARTOU	2500	72882	\N	\N	0
1069779	3654	1997-11-08	VYDAJ	VYBER KARTOU	600	85414	\N	\N	0
1069780	3654	1997-08-05	VYDAJ	VYBER KARTOU	5000	75382	\N	\N	0
1069781	3654	1997-06-30	VYDAJ	VYBER KARTOU	4600	75070	\N	\N	0
1069782	3654	1998-05-22	VYDAJ	VYBER KARTOU	4300	98807	\N	\N	0
1069783	3654	1998-08-30	VYDAJ	VYBER KARTOU	3600	91244	\N	\N	0
1069784	3654	1998-12-29	VYDAJ	VYBER KARTOU	3700	102525	\N	\N	0
1069785	3654	1998-02-06	VYDAJ	VYBER KARTOU	1900	86246	\N	\N	0
1069786	3654	1998-11-29	VYDAJ	VYBER KARTOU	1700	114826	\N	\N	0
1069787	3654	1998-03-06	VYDAJ	VYBER KARTOU	1300	94400	\N	\N	0
1069800	3654	1993-12-31	VYDAJ	VYBER	15	42008	SLUZBY	\N	\N
1069801	3654	1994-01-31	VYDAJ	VYBER	15	39592	SLUZBY	\N	\N
1069802	3654	1994-02-28	VYDAJ	VYBER	15	45441	SLUZBY	\N	\N
1069803	3654	1994-03-31	VYDAJ	VYBER	15	41789	SLUZBY	\N	\N
1069804	3654	1994-04-30	VYDAJ	VYBER	15	46507	SLUZBY	\N	\N
1069805	3654	1994-05-31	VYDAJ	VYBER	15	47363	SLUZBY	\N	\N
1069806	3654	1994-06-30	VYDAJ	VYBER	15	57029	SLUZBY	\N	\N
1069807	3654	1994-07-31	VYDAJ	VYBER	15	54904	SLUZBY	\N	\N
1069808	3654	1994-08-31	VYDAJ	VYBER	15	56805	SLUZBY	\N	\N
1069809	3654	1994-09-30	VYDAJ	VYBER	15	56908	SLUZBY	\N	\N
1069810	3654	1994-10-31	VYDAJ	VYBER	15	56511	SLUZBY	\N	\N
1069811	3654	1994-11-30	VYDAJ	VYBER	15	55509	SLUZBY	\N	\N
1069812	3654	1994-12-31	VYDAJ	VYBER	15	64801	SLUZBY	\N	\N
1069813	3654	1995-01-31	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
1069814	3654	1995-02-28	VYDAJ	VYBER	15	47049	SLUZBY	\N	\N
1069815	3654	1995-03-31	VYDAJ	VYBER	15	51592	SLUZBY	\N	\N
1069816	3654	1995-04-30	VYDAJ	VYBER	15	56288	SLUZBY	\N	\N
1069817	3654	1995-05-31	VYDAJ	VYBER	15	62206	SLUZBY	\N	\N
1069818	3654	1995-06-30	VYDAJ	VYBER	15	33773	SLUZBY	\N	\N
1069819	3654	1995-07-31	VYDAJ	VYBER	15	48678	SLUZBY	\N	\N
1069820	3654	1995-08-31	VYDAJ	VYBER	15	60382	SLUZBY	\N	\N
1069821	3654	1995-09-30	VYDAJ	VYBER	15	60237	SLUZBY	\N	\N
1069822	3654	1995-10-31	VYDAJ	VYBER	15	65068	SLUZBY	\N	\N
1069823	3654	1995-11-30	VYDAJ	VYBER	15	57015	SLUZBY	\N	\N
1069824	3654	1995-12-31	VYDAJ	VYBER	15	65486	SLUZBY	\N	\N
1069825	3654	1996-01-31	VYDAJ	VYBER	15	56180	SLUZBY	\N	\N
1069826	3654	1996-02-29	VYDAJ	VYBER	15	58985	SLUZBY	\N	\N
1069827	3654	1996-03-31	VYDAJ	VYBER	15	60984	SLUZBY	\N	\N
1069828	3654	1996-04-30	VYDAJ	VYBER	15	64841	SLUZBY	\N	\N
1069829	3654	1996-05-31	VYDAJ	VYBER	15	65110	SLUZBY	\N	\N
1069830	3654	1996-06-30	VYDAJ	VYBER	15	61347	SLUZBY	\N	\N
1069831	3654	1996-07-31	VYDAJ	VYBER	15	70806	SLUZBY	\N	\N
1069832	3654	1996-08-31	VYDAJ	VYBER	15	75399	SLUZBY	\N	\N
1069833	3654	1996-09-30	VYDAJ	VYBER	15	76809	SLUZBY	\N	\N
1069834	3654	1996-10-31	VYDAJ	VYBER	15	74620	SLUZBY	\N	\N
1069835	3654	1996-11-30	VYDAJ	VYBER	15	75424	SLUZBY	\N	\N
1069836	3654	1996-12-31	VYDAJ	VYBER	15	78192	SLUZBY	\N	\N
1069837	3654	1997-01-31	VYDAJ	VYBER	15	63268	SLUZBY	\N	\N
1069838	3654	1997-02-28	VYDAJ	VYBER	15	68526	SLUZBY	\N	\N
1069839	3654	1997-03-31	VYDAJ	VYBER	15	74509	SLUZBY	\N	\N
1069840	3654	1997-04-30	VYDAJ	VYBER	15	77312	SLUZBY	\N	\N
1069841	3654	1997-05-31	VYDAJ	VYBER	15	82628	SLUZBY	\N	\N
1069842	3654	1997-06-30	VYDAJ	VYBER	15	79670	SLUZBY	\N	\N
1069843	3654	1997-07-31	VYDAJ	VYBER	15	80382	SLUZBY	\N	\N
1069844	3654	1997-08-31	VYDAJ	VYBER	15	78582	SLUZBY	\N	\N
1069845	3654	1997-09-30	VYDAJ	VYBER	15	80495	SLUZBY	\N	\N
1069846	3654	1997-10-31	VYDAJ	VYBER	15	86014	SLUZBY	\N	\N
1069847	3654	1997-11-30	VYDAJ	VYBER	15	89156	SLUZBY	\N	\N
1069848	3654	1997-12-31	VYDAJ	VYBER	15	93395	SLUZBY	\N	\N
1069849	3654	1998-01-31	VYDAJ	VYBER	15	88146	SLUZBY	\N	\N
1069850	3654	1998-02-28	VYDAJ	VYBER	15	95700	SLUZBY	\N	\N
1069851	3654	1998-03-31	VYDAJ	VYBER	15	106192	SLUZBY	\N	\N
1069852	3654	1998-04-30	VYDAJ	VYBER	15	87223	SLUZBY	\N	\N
1069853	3654	1998-05-31	VYDAJ	VYBER	15	99188	SLUZBY	\N	\N
1069854	3654	1998-06-30	VYDAJ	VYBER	15	115271	SLUZBY	\N	\N
1069855	3654	1998-07-31	VYDAJ	VYBER	15	110160	SLUZBY	\N	\N
1069856	3654	1998-08-31	VYDAJ	VYBER	15	91657	SLUZBY	\N	\N
1069857	3654	1998-09-30	VYDAJ	VYBER	15	107945	SLUZBY	\N	\N
1069858	3654	1998-10-31	VYDAJ	VYBER	15	105742	SLUZBY	\N	\N
1069859	3654	1998-11-30	VYDAJ	VYBER	15	115276	SLUZBY	\N	\N
1069860	3654	1993-08-12	VYDAJ	VYBER	400	20230	\N	\N	\N
1069861	3654	1993-09-11	VYDAJ	VYBER	6300	33914	\N	\N	\N
1069862	3654	1993-10-11	VYDAJ	VYBER	16600	37367	\N	\N	\N
1069863	3654	1993-11-10	VYDAJ	VYBER	14800	42648	\N	\N	\N
1069864	3654	1993-12-10	VYDAJ	VYBER	24800	47914	\N	\N	\N
1069865	3654	1994-01-09	VYDAJ	VYBER	2000	34488	\N	\N	\N
1069866	3654	1994-02-08	VYDAJ	VYBER	7300	32292	\N	\N	\N
1069867	3654	1994-03-10	VYDAJ	VYBER	16800	41625	\N	\N	\N
1069868	3654	1994-04-09	VYDAJ	VYBER	4600	30243	\N	\N	\N
1069869	3654	1994-05-09	VYDAJ	VYBER	8000	31561	\N	\N	\N
1069870	3654	1994-06-08	VYDAJ	VYBER	8700	38663	\N	\N	\N
1069871	3654	1994-07-08	VYDAJ	VYBER	11000	41709	\N	\N	\N
1069872	3654	1994-08-07	VYDAJ	VYBER	11300	43604	\N	\N	\N
1069873	3654	1994-09-06	VYDAJ	VYBER	13100	43705	\N	\N	\N
1069874	3654	1994-10-06	VYDAJ	VYBER	13600	43308	\N	\N	\N
1069875	3654	1994-11-05	VYDAJ	VYBER	14200	42311	\N	\N	\N
1069876	3654	1994-12-05	VYDAJ	VYBER	13100	42409	\N	\N	\N
1069877	3654	1995-01-04	VYDAJ	VYBER	17700	47101	\N	\N	\N
1069878	3654	1995-02-03	VYDAJ	VYBER	800	33901	\N	\N	\N
1069879	3654	1995-03-05	VYDAJ	VYBER	3000	44049	\N	\N	\N
1069880	3654	1995-04-04	VYDAJ	VYBER	8500	43092	\N	\N	\N
1069881	3654	1995-05-04	VYDAJ	VYBER	7300	48988	\N	\N	\N
1069882	3654	1995-06-03	VYDAJ	VYBER	11100	51106	\N	\N	\N
1069883	3654	1995-07-03	PRIJEM	VKLAD	6900	40673	\N	\N	\N
1069884	3654	1995-08-02	VYDAJ	VYBER	1500	47178	\N	\N	\N
1069885	3654	1995-09-01	VYDAJ	VYBER	8800	51582	\N	\N	\N
1069886	3654	1995-10-01	VYDAJ	VYBER	8400	51837	\N	\N	\N
1069887	3654	1995-10-31	VYDAJ	VYBER	10100	54968	\N	\N	\N
1069888	3654	1995-11-30	VYDAJ	VYBER	11200	57030	\N	\N	\N
1069889	3654	1995-12-30	VYDAJ	VYBER	13800	65204	\N	\N	\N
1069890	3654	1996-01-29	VYDAJ	VYBER	900	55930	\N	\N	\N
1069891	3654	1996-02-28	VYDAJ	VYBER	5500	58744	\N	\N	\N
1069892	3654	1996-03-29	VYDAJ	VYBER	8600	60729	\N	\N	\N
1069893	3654	1996-04-28	VYDAJ	VYBER	9400	64568	\N	\N	\N
1069894	3654	1996-05-28	VYDAJ	VYBER	13000	64825	\N	\N	\N
1069895	3654	1996-06-27	PRIJEM	VKLAD	2900	61039	\N	\N	\N
1069896	3654	1996-07-27	VYDAJ	VYBER	3800	70531	\N	\N	\N
1069897	3654	1996-08-26	VYDAJ	VYBER	8700	75090	\N	\N	\N
1069898	3654	1996-09-25	VYDAJ	VYBER	11900	76483	\N	\N	\N
1069899	3654	1996-10-25	VYDAJ	VYBER	15500	74293	\N	\N	\N
1069900	3654	1996-11-24	VYDAJ	VYBER	12500	75104	\N	\N	\N
1069901	3654	1996-12-24	VYDAJ	VYBER	13000	77853	\N	\N	\N
1069902	3654	1997-01-23	VYDAJ	VYBER	12800	72356	\N	\N	\N
1069903	3654	1997-02-22	VYDAJ	VYBER KARTOU	8000	68252	\N	\N	0
1069904	3654	1997-03-24	VYDAJ	VYBER KARTOU	7300	74210	\N	\N	0
1069905	3654	1997-04-23	VYDAJ	VYBER	10500	76993	\N	\N	\N
1069906	3654	1997-05-23	VYDAJ	VYBER KARTOU	8000	82296	\N	\N	0
1069907	3654	1997-06-22	VYDAJ	VYBER KARTOU	7700	79317	\N	\N	0
1069908	3654	1997-07-22	VYDAJ	VYBER KARTOU	8000	80054	\N	\N	0
1069909	3654	1997-08-21	VYDAJ	VYBER KARTOU	7600	78266	\N	\N	0
1069910	3654	1997-09-20	VYDAJ	VYBER	11400	80166	\N	\N	\N
1069911	3654	1997-10-20	VYDAJ	VYBER KARTOU	3500	85679	\N	\N	0
1069912	3654	1997-11-19	VYDAJ	VYBER	9600	88798	\N	\N	\N
1069913	3654	1997-12-19	VYDAJ	VYBER	16400	95705	\N	\N	\N
1069914	3654	1998-01-18	VYDAJ	VYBER KARTOU	6600	90779	\N	\N	0
1069915	3654	1998-02-17	VYDAJ	VYBER KARTOU	3900	95330	\N	\N	0
1069916	3654	1998-03-19	VYDAJ	VYBER KARTOU	1600	105784	\N	\N	0
1069917	3654	1998-04-10	VYDAJ	VYBER	47800	71376	\N	\N	\N
1069918	3654	1998-04-18	PRIJEM	VKLAD	15500	86876	\N	\N	\N
1069919	3654	1998-05-18	PRIJEM	VKLAD	2900	103107	\N	\N	\N
1069920	3654	1998-06-17	VYDAJ	VYBER KARTOU	1400	114837	\N	\N	0
1069921	3654	1998-06-30	VYDAJ	VYBER	25200	90071	\N	\N	\N
1069922	3654	1998-07-17	PRIJEM	VKLAD	6700	109755	\N	\N	\N
1069923	3654	1998-08-10	VYDAJ	VYBER	47200	75944	\N	\N	\N
1069924	3654	1998-08-16	PRIJEM	VKLAD	18900	94844	\N	\N	\N
1069925	3654	1998-09-15	PRIJEM	VKLAD	2900	107541	\N	\N	\N
1069926	3654	1998-10-10	VYDAJ	VYBER	24800	96129	\N	\N	\N
1069927	3654	1998-10-15	PRIJEM	VKLAD	9200	105329	\N	\N	\N
1069928	3654	1998-11-14	VYDAJ	VYBER KARTOU	2200	116526	\N	\N	0
1069929	3654	1998-12-10	VYDAJ	VYBER	42700	93925	\N	\N	\N
1069930	3654	1998-12-14	PRIJEM	VKLAD	12300	106225	\N	\N	\N
1069996	3655	1995-12-24	PRIJEM	VKLAD	900	900	\N	\N	\N
1070009	3655	1996-01-11	PRIJEM	VKLAD	15412	16312	\N	\N	\N
1070010	3655	1996-02-11	PRIJEM	VKLAD	15412	35448	\N	\N	\N
1070011	3655	1996-03-11	PRIJEM	VKLAD	15412	46757	\N	\N	\N
1070012	3655	1996-04-11	PRIJEM	VKLAD	15412	54608	\N	\N	\N
1070013	3655	1996-05-11	PRIJEM	VKLAD	15412	55884	\N	\N	\N
1070014	3655	1996-06-11	PRIJEM	VKLAD	23118	53456	\N	\N	\N
1070015	3655	1996-07-11	PRIJEM	VKLAD	15412	49116	\N	\N	\N
1070016	3655	1996-08-11	PRIJEM	VKLAD	15412	43147	\N	\N	\N
1070017	3655	1996-09-11	PRIJEM	VKLAD	15412	45698	\N	\N	\N
1070018	3655	1996-10-11	PRIJEM	VKLAD	15412	46955	\N	\N	\N
1070019	3655	1996-11-11	PRIJEM	VKLAD	15412	39170	\N	\N	\N
1070020	3655	1996-12-11	PRIJEM	VKLAD	23118	49212	\N	\N	\N
1070021	3655	1997-01-11	PRIJEM	VKLAD	15412	38891	\N	\N	\N
1070022	3655	1997-02-11	PRIJEM	VKLAD	15412	34045	\N	\N	\N
1070023	3655	1997-03-11	PRIJEM	VKLAD	15412	34548	\N	\N	\N
1070024	3655	1997-04-11	PRIJEM	VKLAD	15412	35356	\N	\N	\N
1070025	3655	1997-05-11	PRIJEM	VKLAD	15412	36266	\N	\N	\N
1070026	3655	1997-06-11	PRIJEM	VKLAD	23118	39711	\N	\N	\N
1070027	3655	1997-07-11	PRIJEM	VKLAD	15412	43540	\N	\N	\N
1070028	3655	1997-08-11	PRIJEM	VKLAD	15412	47432	\N	\N	\N
1070029	3655	1997-09-11	PRIJEM	VKLAD	15412	48772	\N	\N	\N
1070030	3655	1997-10-11	PRIJEM	VKLAD	15412	50944	\N	\N	\N
1070031	3655	1997-11-11	PRIJEM	VKLAD	15412	43403	\N	\N	\N
1070032	3655	1997-12-11	PRIJEM	VKLAD	23118	43960	\N	\N	\N
1070033	3655	1998-01-11	PRIJEM	VKLAD	15412	39780	\N	\N	\N
1070034	3655	1998-02-11	PRIJEM	VKLAD	15412	30078	\N	\N	\N
1070035	3655	1998-03-11	PRIJEM	VKLAD	15412	31664	\N	\N	\N
1070036	3655	1998-04-11	PRIJEM	VKLAD	15412	31452	\N	\N	\N
1070037	3655	1998-05-11	PRIJEM	VKLAD	15412	32541	\N	\N	\N
1070038	3655	1998-06-11	PRIJEM	VKLAD	23118	39234	\N	\N	\N
1070039	3655	1998-07-11	PRIJEM	VKLAD	15412	29922	\N	\N	\N
1070040	3655	1998-08-11	PRIJEM	VKLAD	15412	27498	\N	\N	\N
1070041	3655	1998-09-11	PRIJEM	VKLAD	15412	25407	\N	\N	\N
1070042	3655	1998-10-11	PRIJEM	VKLAD	15412	30776	\N	\N	\N
1070043	3655	1998-11-11	PRIJEM	VKLAD	15412	26981	\N	\N	\N
1070044	3655	1998-12-11	PRIJEM	VKLAD	23118	43188	\N	\N	\N
1070061	3655	1996-05-14	VYDAJ	PREVOD NA UCET	2945	52939	SIPO	QR	35052341
1070062	3655	1996-06-14	VYDAJ	PREVOD NA UCET	2945	50511	SIPO	QR	35052341
1070063	3655	1996-07-14	VYDAJ	PREVOD NA UCET	2945	46171	SIPO	QR	35052341
1070064	3655	1996-08-14	VYDAJ	PREVOD NA UCET	2945	40202	SIPO	QR	35052341
1070065	3655	1996-09-14	VYDAJ	PREVOD NA UCET	2945	42753	SIPO	QR	35052341
1070066	3655	1996-10-14	VYDAJ	PREVOD NA UCET	2945	44010	SIPO	QR	35052341
1070067	3655	1996-11-14	VYDAJ	PREVOD NA UCET	2945	36225	SIPO	QR	35052341
1070068	3655	1996-12-14	VYDAJ	PREVOD NA UCET	2945	46267	SIPO	QR	35052341
1070069	3655	1997-01-14	VYDAJ	PREVOD NA UCET	2945	35946	SIPO	QR	35052341
1070070	3655	1997-02-14	VYDAJ	PREVOD NA UCET	2945	31100	SIPO	QR	35052341
1070071	3655	1997-03-14	VYDAJ	PREVOD NA UCET	2945	31603	SIPO	QR	35052341
1070072	3655	1997-04-14	VYDAJ	PREVOD NA UCET	2945	32411	SIPO	QR	35052341
1070073	3655	1997-05-14	VYDAJ	PREVOD NA UCET	2945	33321	SIPO	QR	35052341
1070074	3655	1997-06-14	VYDAJ	PREVOD NA UCET	2945	36766	SIPO	QR	35052341
1070075	3655	1997-07-14	VYDAJ	PREVOD NA UCET	2945	40595	SIPO	QR	35052341
1070076	3655	1997-08-14	VYDAJ	PREVOD NA UCET	2945	44487	SIPO	QR	35052341
1070077	3655	1997-09-14	VYDAJ	PREVOD NA UCET	2945	39427	SIPO	QR	35052341
1070078	3655	1997-10-14	VYDAJ	PREVOD NA UCET	2945	47999	SIPO	QR	35052341
1070079	3655	1997-11-14	VYDAJ	PREVOD NA UCET	2945	28458	SIPO	QR	35052341
1070080	3655	1997-12-14	VYDAJ	PREVOD NA UCET	2945	28315	SIPO	QR	35052341
1070081	3655	1998-01-14	VYDAJ	PREVOD NA UCET	2945	25835	SIPO	QR	35052341
1070082	3655	1998-02-14	VYDAJ	PREVOD NA UCET	2945	20233	SIPO	QR	35052341
1070083	3655	1998-03-14	VYDAJ	PREVOD NA UCET	2945	20019	SIPO	QR	35052341
1070084	3655	1998-04-14	VYDAJ	PREVOD NA UCET	2945	21107	SIPO	QR	35052341
1070085	3655	1998-05-14	VYDAJ	PREVOD NA UCET	2945	20096	SIPO	QR	35052341
1070086	3655	1998-06-14	VYDAJ	PREVOD NA UCET	2945	18489	SIPO	QR	35052341
1070087	3655	1998-07-14	VYDAJ	PREVOD NA UCET	2945	16077	SIPO	QR	35052341
1070088	3655	1998-08-14	VYDAJ	PREVOD NA UCET	2945	24553	SIPO	QR	35052341
1070089	3655	1998-09-14	VYDAJ	PREVOD NA UCET	2945	22462	SIPO	QR	35052341
1070090	3655	1998-10-14	VYDAJ	PREVOD NA UCET	2945	27831	SIPO	QR	35052341
1070091	3655	1998-11-14	VYDAJ	PREVOD NA UCET	2945	24036	SIPO	QR	35052341
1070092	3655	1998-12-14	VYDAJ	PREVOD NA UCET	2945	38963	SIPO	QR	35052341
1070110	3655	1996-06-10	VYDAJ	PREVOD NA UCET	2927	30338	 	EF	63581627
1070111	3655	1996-07-10	VYDAJ	PREVOD NA UCET	2927	33704	 	EF	63581627
1070112	3655	1996-08-10	VYDAJ	PREVOD NA UCET	2927	27735	 	EF	63581627
1070113	3655	1996-09-10	VYDAJ	PREVOD NA UCET	2927	30286	 	EF	63581627
1070114	3655	1996-10-10	VYDAJ	PREVOD NA UCET	2927	31543	 	EF	63581627
1070115	3655	1996-11-10	VYDAJ	PREVOD NA UCET	2927	23758	 	EF	63581627
1070116	3655	1996-12-10	VYDAJ	PREVOD NA UCET	2927	26094	 	EF	63581627
1070117	3655	1997-01-10	VYDAJ	PREVOD NA UCET	2927	23479	 	EF	63581627
1070118	3655	1997-02-10	VYDAJ	PREVOD NA UCET	2927	18633	 	EF	63581627
1070119	3655	1997-03-10	VYDAJ	PREVOD NA UCET	2927	19136	 	EF	63581627
1070120	3655	1997-04-10	VYDAJ	PREVOD NA UCET	2927	19944	 	EF	63581627
1070121	3655	1997-05-10	VYDAJ	PREVOD NA UCET	2927	20854	 	EF	63581627
1070122	3655	1997-06-10	VYDAJ	PREVOD NA UCET	2927	16593	 	EF	63581627
1070123	3655	1997-07-10	VYDAJ	PREVOD NA UCET	2927	28128	 	EF	63581627
1070124	3655	1997-08-10	VYDAJ	PREVOD NA UCET	2927	32020	 	EF	63581627
1070125	3655	1997-09-10	VYDAJ	PREVOD NA UCET	2927	33360	 	EF	63581627
1070126	3655	1997-10-10	VYDAJ	PREVOD NA UCET	2927	35532	 	EF	63581627
1070127	3655	1997-11-10	VYDAJ	PREVOD NA UCET	2927	27991	 	EF	63581627
1070128	3655	1997-12-10	VYDAJ	PREVOD NA UCET	2927	20842	 	EF	63581627
1070129	3655	1998-01-10	VYDAJ	PREVOD NA UCET	2927	24368	 	EF	63581627
1070130	3655	1998-02-10	VYDAJ	PREVOD NA UCET	2927	14666	 	EF	63581627
1070131	3655	1998-03-10	VYDAJ	PREVOD NA UCET	2927	16252	 	EF	63581627
1070132	3655	1998-04-10	VYDAJ	PREVOD NA UCET	2927	16040	 	EF	63581627
1070133	3655	1998-05-10	VYDAJ	PREVOD NA UCET	2927	17129	 	EF	63581627
1070134	3655	1998-06-10	VYDAJ	PREVOD NA UCET	2927	16116	 	EF	63581627
1070135	3655	1998-07-10	VYDAJ	PREVOD NA UCET	2927	14510	 	EF	63581627
1070136	3655	1998-08-10	VYDAJ	PREVOD NA UCET	2927	12086	 	EF	63581627
1070137	3655	1998-09-10	VYDAJ	PREVOD NA UCET	2927	9995	 	EF	63581627
1070138	3655	1998-10-10	VYDAJ	PREVOD NA UCET	2927	15364	 	EF	63581627
1070139	3655	1998-11-10	VYDAJ	PREVOD NA UCET	2927	11569	 	EF	63581627
1070140	3655	1998-12-10	VYDAJ	PREVOD NA UCET	2927	20070	 	EF	63581627
1070158	3655	1996-06-07	VYDAJ	PREVOD NA UCET	1124	33265	POJISTNE	KL	28216910
1070159	3655	1996-07-07	VYDAJ	PREVOD NA UCET	1124	36631	POJISTNE	KL	28216910
1070160	3655	1996-08-07	VYDAJ	PREVOD NA UCET	1124	30662	POJISTNE	KL	28216910
1070161	3655	1996-09-07	VYDAJ	PREVOD NA UCET	1124	33213	POJISTNE	KL	28216910
1070162	3655	1996-10-07	VYDAJ	PREVOD NA UCET	1124	34470	POJISTNE	KL	28216910
1070163	3655	1996-11-07	VYDAJ	PREVOD NA UCET	1124	32325	POJISTNE	KL	28216910
1070164	3655	1996-12-07	VYDAJ	PREVOD NA UCET	1124	29021	POJISTNE	KL	28216910
1070165	3655	1997-01-07	VYDAJ	PREVOD NA UCET	1124	26406	POJISTNE	KL	28216910
1070166	3655	1997-02-07	VYDAJ	PREVOD NA UCET	1124	21560	POJISTNE	KL	28216910
1070167	3655	1997-03-07	VYDAJ	PREVOD NA UCET	1124	22063	POJISTNE	KL	28216910
1070168	3655	1997-04-07	VYDAJ	PREVOD NA UCET	1124	22871	POJISTNE	KL	28216910
1070169	3655	1997-05-07	VYDAJ	PREVOD NA UCET	1124	23781	POJISTNE	KL	28216910
1070170	3655	1997-06-07	VYDAJ	PREVOD NA UCET	1124	19520	POJISTNE	KL	28216910
1070171	3655	1997-07-07	VYDAJ	PREVOD NA UCET	1124	31055	POJISTNE	KL	28216910
1070172	3655	1997-08-07	VYDAJ	PREVOD NA UCET	1124	34947	POJISTNE	KL	28216910
1070173	3655	1997-09-07	VYDAJ	PREVOD NA UCET	1124	36287	POJISTNE	KL	28216910
1070174	3655	1997-10-07	VYDAJ	PREVOD NA UCET	1124	38459	POJISTNE	KL	28216910
1070175	3655	1997-11-07	VYDAJ	PREVOD NA UCET	1124	30918	POJISTNE	KL	28216910
1070176	3655	1997-12-07	VYDAJ	PREVOD NA UCET	1124	23769	POJISTNE	KL	28216910
1070177	3655	1998-01-07	VYDAJ	PREVOD NA UCET	1124	27295	POJISTNE	KL	28216910
1070178	3655	1998-02-07	VYDAJ	PREVOD NA UCET	1124	17593	POJISTNE	KL	28216910
1070179	3655	1998-03-07	VYDAJ	PREVOD NA UCET	1124	19179	POJISTNE	KL	28216910
1070180	3655	1998-04-07	VYDAJ	PREVOD NA UCET	1124	18967	POJISTNE	KL	28216910
1070181	3655	1998-05-07	VYDAJ	PREVOD NA UCET	1124	20056	POJISTNE	KL	28216910
1070182	3655	1998-06-07	VYDAJ	PREVOD NA UCET	1124	19043	POJISTNE	KL	28216910
1070183	3655	1998-07-07	VYDAJ	PREVOD NA UCET	1124	17437	POJISTNE	KL	28216910
1070184	3655	1998-08-07	VYDAJ	PREVOD NA UCET	1124	15013	POJISTNE	KL	28216910
1070185	3655	1998-09-07	VYDAJ	PREVOD NA UCET	1124	22422	POJISTNE	KL	28216910
1070186	3655	1998-10-07	VYDAJ	PREVOD NA UCET	1124	18291	POJISTNE	KL	28216910
1070187	3655	1998-11-07	VYDAJ	PREVOD NA UCET	1124	26796	POJISTNE	KL	28216910
1070188	3655	1998-12-07	VYDAJ	PREVOD NA UCET	1124	22997	POJISTNE	KL	28216910
1070190	3655	1996-06-03	VYDAJ	VYBER	8320	34389	\N	\N	\N
1070191	3655	1997-06-04	VYDAJ	VYBER	7680	20644	\N	\N	\N
1070196	3655	1998-01-15	VYDAJ	VYBER	7200	18635	\N	\N	\N
1070198	3655	1996-12-21	VYDAJ	VYBER	3200	27407	\N	\N	\N
1070199	3655	1997-12-01	VYDAJ	VYBER	3680	24893	\N	\N	\N
1070200	3655	1998-12-11	VYDAJ	VYBER	1280	41908	\N	\N	\N
1070206	3655	1996-06-24	VYDAJ	VYBER	2520	37591	\N	\N	\N
1070207	3655	1996-08-05	VYDAJ	VYBER	4440	31786	\N	\N	\N
1070208	3655	1996-12-19	VYDAJ	VYBER	1560	30607	\N	\N	\N
1070210	3655	1996-08-02	VYDAJ	VYBER	1800	36226	\N	\N	\N
1070211	3655	1996-11-09	VYDAJ	VYBER	5640	26685	\N	\N	\N
1070212	3655	1997-10-31	VYDAJ	VYBER	1560	32042	\N	\N	\N
1070213	3655	1997-01-17	VYDAJ	VYBER	4560	22586	\N	\N	\N
1070214	3655	1997-08-17	VYDAJ	VYBER	1320	37267	\N	\N	\N
1070215	3655	1997-08-04	VYDAJ	VYBER	960	36071	\N	\N	\N
1070216	3655	1997-10-26	VYDAJ	VYBER	2640	33459	\N	\N	\N
1070217	3655	1998-08-14	VYDAJ	VYBER	1080	23473	\N	\N	\N
1070218	3655	1998-09-15	VYDAJ	VYBER	2280	20182	\N	\N	\N
1070219	3655	1998-10-06	VYDAJ	VYBER	840	19415	\N	\N	\N
1070220	3655	1998-12-20	VYDAJ	VYBER	840	38123	\N	\N	\N
1070238	3655	1996-05-31	VYDAJ	VYBER	15	42709	SLUZBY	\N	\N
1070239	3655	1996-06-30	VYDAJ	VYBER	15	37755	SLUZBY	\N	\N
1070240	3655	1996-07-31	VYDAJ	VYBER	15	38026	SLUZBY	\N	\N
1070241	3655	1996-08-31	VYDAJ	VYBER	15	34337	SLUZBY	\N	\N
1070242	3655	1996-09-30	VYDAJ	VYBER	15	35594	SLUZBY	\N	\N
1070243	3655	1996-10-31	VYDAJ	VYBER	15	33449	SLUZBY	\N	\N
1070244	3655	1996-11-30	VYDAJ	VYBER	15	30145	SLUZBY	\N	\N
1070245	3655	1996-12-31	VYDAJ	VYBER	15	27530	SLUZBY	\N	\N
1070246	3655	1997-01-31	VYDAJ	VYBER	15	22684	SLUZBY	\N	\N
1070247	3655	1997-02-28	VYDAJ	VYBER	15	23187	SLUZBY	\N	\N
1070248	3655	1997-03-31	VYDAJ	VYBER	15	23995	SLUZBY	\N	\N
1070249	3655	1997-04-30	VYDAJ	VYBER	15	24905	SLUZBY	\N	\N
1070250	3655	1997-05-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
1070251	3655	1997-06-30	VYDAJ	VYBER	15	32179	SLUZBY	\N	\N
1070252	3655	1997-07-31	VYDAJ	VYBER	15	37031	SLUZBY	\N	\N
1070253	3655	1997-08-31	VYDAJ	VYBER	15	37411	SLUZBY	\N	\N
1070254	3655	1997-09-30	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
1070255	3655	1997-10-31	VYDAJ	VYBER	15	33602	SLUZBY	\N	\N
1070256	3655	1997-11-30	VYDAJ	VYBER	15	28573	SLUZBY	\N	\N
1070257	3655	1997-12-31	VYDAJ	VYBER	15	28419	SLUZBY	\N	\N
1070258	3655	1998-01-31	VYDAJ	VYBER	15	18717	SLUZBY	\N	\N
1070259	3655	1998-02-28	VYDAJ	VYBER	15	20303	SLUZBY	\N	\N
1070260	3655	1998-03-31	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
1070261	3655	1998-04-30	VYDAJ	VYBER	15	21180	SLUZBY	\N	\N
1070262	3655	1998-05-31	VYDAJ	VYBER	15	20167	SLUZBY	\N	\N
1070263	3655	1998-06-30	VYDAJ	VYBER	15	18561	SLUZBY	\N	\N
1070264	3655	1998-07-31	VYDAJ	VYBER	15	16137	SLUZBY	\N	\N
1070265	3655	1998-08-31	VYDAJ	VYBER	15	23546	SLUZBY	\N	\N
1070266	3655	1998-09-30	VYDAJ	VYBER	15	20255	SLUZBY	\N	\N
1070267	3655	1998-10-31	VYDAJ	VYBER	15	27920	SLUZBY	\N	\N
1070268	3655	1998-11-30	VYDAJ	VYBER	15	24121	SLUZBY	\N	\N
1070269	3655	1996-01-23	PRIJEM	VKLAD	3700	20012	\N	\N	\N
1070270	3655	1996-02-22	VYDAJ	VYBER	4200	31248	\N	\N	\N
1070271	3655	1996-03-23	VYDAJ	VYBER	7700	39057	\N	\N	\N
1070272	3655	1996-04-22	VYDAJ	VYBER	14300	40308	\N	\N	\N
1070273	3655	1996-05-22	VYDAJ	VYBER	10400	42539	\N	\N	\N
1070274	3655	1996-06-21	VYDAJ	VYBER	10400	40111	\N	\N	\N
1070275	3655	1996-07-21	VYDAJ	VYBER	8300	37871	\N	\N	\N
1070276	3655	1996-08-20	VYDAJ	VYBER	6000	34202	\N	\N	\N
1070277	3655	1996-09-19	VYDAJ	VYBER	7300	35453	\N	\N	\N
1070278	3655	1996-10-19	VYDAJ	VYBER	10700	33310	\N	\N	\N
1070279	3655	1996-11-18	VYDAJ	VYBER	6200	30025	\N	\N	\N
1070280	3655	1996-12-18	VYDAJ	VYBER	14100	32167	\N	\N	\N
1070281	3655	1997-01-17	VYDAJ	VYBER	8800	27146	\N	\N	\N
1070282	3655	1997-02-16	VYDAJ	VYBER	8000	23100	\N	\N	\N
1070283	3655	1997-03-18	VYDAJ	VYBER	7700	23903	\N	\N	\N
1070284	3655	1997-04-17	VYDAJ	VYBER	7600	24811	\N	\N	\N
1070285	3655	1997-05-17	VYDAJ	VYBER	5100	28221	\N	\N	\N
1070286	3655	1997-06-16	VYDAJ	VYBER	4700	32066	\N	\N	\N
1070287	3655	1997-07-16	VYDAJ	VYBER	3700	36895	\N	\N	\N
1070288	3655	1997-08-15	VYDAJ	VYBER	5900	38587	\N	\N	\N
1070289	3655	1997-09-14	VYDAJ	VYBER	6400	42372	\N	\N	\N
1070290	3655	1997-10-14	VYDAJ	VYBER	11900	36099	\N	\N	\N
1070291	3655	1997-11-13	VYDAJ	VYBER	12000	31403	\N	\N	\N
1070292	3655	1997-12-13	VYDAJ	VYBER	12700	31260	\N	\N	\N
1070293	3655	1998-01-12	VYDAJ	VYBER	11000	28780	\N	\N	\N
1070294	3655	1998-02-11	VYDAJ	VYBER	6900	23178	\N	\N	\N
1070295	3655	1998-03-13	VYDAJ	VYBER	8700	22964	\N	\N	\N
1070296	3655	1998-04-12	VYDAJ	VYBER	7400	24052	\N	\N	\N
1070297	3655	1998-05-12	VYDAJ	VYBER	9500	23041	\N	\N	\N
1070298	3655	1998-06-11	VYDAJ	VYBER	17800	21434	\N	\N	\N
1070299	3655	1998-07-11	VYDAJ	VYBER	10900	19022	\N	\N	\N
1070300	3655	1998-09-09	VYDAJ	VYBER	9500	12922	\N	\N	\N
1070301	3655	1998-11-08	VYDAJ	VYBER	12300	14496	\N	\N	\N
1070338	3656	1993-08-06	PRIJEM	VKLAD	900	900	\N	\N	\N
1070340	3656	1993-08-15	PRIJEM	VKLAD	3580	5980	\N	\N	\N
1070341	3656	1994-11-22	PRIJEM	VKLAD	12315	35732	\N	\N	\N
1070342	3656	1994-12-21	PRIJEM	VKLAD	12616	43343	\N	\N	\N
1070343	3656	1995-11-03	PRIJEM	VKLAD	6471	20318	\N	\N	\N
1070344	3656	1995-06-09	PRIJEM	VKLAD	39537	55066	\N	\N	\N
1070345	3656	1996-07-19	PRIJEM	VKLAD	4474	21891	\N	\N	\N
1070346	3656	1996-07-28	PRIJEM	VKLAD	30968	45559	\N	\N	\N
1070347	3656	1997-08-31	PRIJEM	VKLAD	11942	36146	\N	\N	\N
1070348	3656	1997-11-01	PRIJEM	VKLAD	43456	86482	\N	\N	\N
1070349	3656	1998-12-20	PRIJEM	VKLAD	15788	67323	\N	\N	\N
1070350	3656	1998-11-11	PRIJEM	VKLAD	13216	47675	\N	\N	\N
1070358	3656	1993-08-14	PRIJEM	VKLAD	1500	2400	\N	\N	\N
1070359	3656	1993-09-14	PRIJEM	VKLAD	1500	18594	\N	\N	\N
1070360	3656	1993-10-13	PRIJEM	VKLAD	1500	22949	\N	\N	\N
1070361	3656	1993-11-16	PRIJEM	VKLAD	1500	25037	\N	\N	\N
1070362	3656	1993-12-17	PRIJEM	VKLAD	1500	23323	\N	\N	\N
1070363	3656	1994-01-17	PRIJEM	VKLAD	1500	19104	\N	\N	\N
1070364	3656	1994-02-13	PRIJEM	VKLAD	1500	21469	\N	\N	\N
1070365	3656	1994-03-13	PRIJEM	VKLAD	1500	26140	\N	\N	\N
1070366	3656	1994-04-13	PRIJEM	VKLAD	1500	28227	\N	\N	\N
1070367	3656	1994-05-17	PRIJEM	VKLAD	1500	24426	\N	\N	\N
1070368	3656	1994-06-16	PRIJEM	VKLAD	1500	19418	\N	\N	\N
1070369	3656	1994-07-13	PRIJEM	VKLAD	1500	24187	\N	\N	\N
1070370	3656	1994-08-14	PRIJEM	VKLAD	1500	24362	\N	\N	\N
1070371	3656	1994-09-17	PRIJEM	VKLAD	1500	26645	\N	\N	\N
1070372	3656	1994-10-17	PRIJEM	VKLAD	1500	24934	\N	\N	\N
1070373	3656	1994-11-17	PRIJEM	VKLAD	1500	23417	\N	\N	\N
1070374	3656	1994-12-13	PRIJEM	VKLAD	1500	30727	\N	\N	\N
1070375	3656	1995-01-17	PRIJEM	VKLAD	1500	20364	\N	\N	\N
1070376	3656	1995-02-15	PRIJEM	VKLAD	1500	19147	\N	\N	\N
1070377	3656	1995-03-14	PRIJEM	VKLAD	1500	18805	\N	\N	\N
1070378	3656	1995-04-13	PRIJEM	VKLAD	1500	19663	\N	\N	\N
1070379	3656	1995-05-14	PRIJEM	VKLAD	1500	18723	\N	\N	\N
1070380	3656	1995-06-16	PRIJEM	VKLAD	1500	56566	\N	\N	\N
1070381	3656	1995-07-16	PRIJEM	VKLAD	1500	23782	\N	\N	\N
1070382	3656	1995-08-14	PRIJEM	VKLAD	1500	20361	\N	\N	\N
1070383	3656	1995-09-15	PRIJEM	VKLAD	1500	19627	\N	\N	\N
1070384	3656	1995-10-14	PRIJEM	VKLAD	1500	19090	\N	\N	\N
1070385	3656	1995-11-15	PRIJEM	VKLAD	1500	21818	\N	\N	\N
1070386	3656	1995-12-16	PRIJEM	VKLAD	1500	14171	\N	\N	\N
1070387	3656	1996-01-17	PRIJEM	VKLAD	1500	15110	\N	\N	\N
1070388	3656	1996-02-15	PRIJEM	VKLAD	1500	14251	\N	\N	\N
1070389	3656	1996-03-17	PRIJEM	VKLAD	1500	15789	\N	\N	\N
1070390	3656	1996-04-14	PRIJEM	VKLAD	1500	16483	\N	\N	\N
1070391	3656	1996-05-16	PRIJEM	VKLAD	1500	18030	\N	\N	\N
1070392	3656	1996-06-15	PRIJEM	VKLAD	1500	14080	\N	\N	\N
1070393	3656	1996-07-17	PRIJEM	VKLAD	1500	15617	\N	\N	\N
1070394	3656	1996-08-17	PRIJEM	VKLAD	1500	47122	\N	\N	\N
1070395	3656	1996-09-15	PRIJEM	VKLAD	1500	24865	\N	\N	\N
1070396	3656	1996-10-13	PRIJEM	VKLAD	1500	16939	\N	\N	\N
1070397	3656	1996-11-13	PRIJEM	VKLAD	1500	19893	\N	\N	\N
1070398	3656	1996-12-14	PRIJEM	VKLAD	1500	23262	\N	\N	\N
1070399	3656	1997-01-14	PRIJEM	VKLAD	1500	15942	\N	\N	\N
1070400	3656	1997-02-15	PRIJEM	VKLAD	1500	17500	\N	\N	\N
1070401	3656	1997-03-13	PRIJEM	VKLAD	1500	17001	\N	\N	\N
1070402	3656	1997-04-13	PRIJEM	VKLAD	1500	16103	\N	\N	\N
1070403	3656	1997-05-13	PRIJEM	VKLAD	1500	15848	\N	\N	\N
1070404	3656	1997-06-16	PRIJEM	VKLAD	1500	17398	\N	\N	\N
1070405	3656	1997-07-13	PRIJEM	VKLAD	1500	18949	\N	\N	\N
1070406	3656	1997-08-17	PRIJEM	VKLAD	1500	22311	\N	\N	\N
1070407	3656	1997-09-17	PRIJEM	VKLAD	1500	37631	\N	\N	\N
1070408	3656	1997-10-17	PRIJEM	VKLAD	1500	41072	\N	\N	\N
1070409	3656	1997-11-15	PRIJEM	VKLAD	1500	33382	\N	\N	\N
1070410	3656	1997-12-16	PRIJEM	VKLAD	1500	36824	\N	\N	\N
1070411	3656	1998-01-13	PRIJEM	VKLAD	1500	32710	\N	\N	\N
1070412	3656	1998-02-16	PRIJEM	VKLAD	1500	31830	\N	\N	\N
1070413	3656	1998-03-15	PRIJEM	VKLAD	1500	32940	\N	\N	\N
1070414	3656	1998-04-16	PRIJEM	VKLAD	1500	34559	\N	\N	\N
1070415	3656	1998-05-15	PRIJEM	VKLAD	1500	36180	\N	\N	\N
1070416	3656	1998-06-14	PRIJEM	VKLAD	1500	23108	\N	\N	\N
1070417	3656	1998-07-14	PRIJEM	VKLAD	1500	24711	\N	\N	\N
1070418	3656	1998-08-16	PRIJEM	VKLAD	1500	25746	\N	\N	\N
1070419	3656	1998-09-17	PRIJEM	VKLAD	1500	29137	\N	\N	\N
1070420	3656	1998-10-17	PRIJEM	VKLAD	1500	32541	\N	\N	\N
1070421	3656	1998-11-16	PRIJEM	VKLAD	1500	49175	\N	\N	\N
1070422	3656	1998-12-14	PRIJEM	VKLAD	1500	49735	\N	\N	\N
1070423	3656	1995-07-18	PRIJEM	VKLAD	1800	25582	\N	\N	\N
1070424	3656	1995-08-18	PRIJEM	VKLAD	1800	22161	\N	\N	\N
1070425	3656	1995-09-18	PRIJEM	VKLAD	1800	21427	\N	\N	\N
1070426	3656	1995-10-18	PRIJEM	VKLAD	1800	20890	\N	\N	\N
1070427	3656	1995-11-18	PRIJEM	VKLAD	1800	23618	\N	\N	\N
1070428	3656	1995-12-18	PRIJEM	VKLAD	1800	15971	\N	\N	\N
1070429	3656	1996-07-18	PRIJEM	VKLAD	1800	17417	\N	\N	\N
1070430	3656	1996-08-18	PRIJEM	VKLAD	1800	48922	\N	\N	\N
1070431	3656	1996-09-18	PRIJEM	VKLAD	1800	26665	\N	\N	\N
1070432	3656	1996-10-18	PRIJEM	VKLAD	1800	18739	\N	\N	\N
1070433	3656	1996-11-18	PRIJEM	VKLAD	1800	21693	\N	\N	\N
1070434	3656	1996-12-18	PRIJEM	VKLAD	1800	24362	\N	\N	\N
1070435	3656	1997-07-18	PRIJEM	VKLAD	1800	20749	\N	\N	\N
1070436	3656	1997-08-18	PRIJEM	VKLAD	1800	24111	\N	\N	\N
1070437	3656	1997-09-18	PRIJEM	VKLAD	1800	39431	\N	\N	\N
1070438	3656	1997-10-18	PRIJEM	VKLAD	1800	42872	\N	\N	\N
1070439	3656	1997-11-18	PRIJEM	VKLAD	1800	35182	\N	\N	\N
1070440	3656	1997-12-18	PRIJEM	VKLAD	1800	38624	\N	\N	\N
1070441	3656	1998-07-18	PRIJEM	VKLAD	1800	26511	\N	\N	\N
1070442	3656	1998-08-18	PRIJEM	VKLAD	1800	27546	\N	\N	\N
1070443	3656	1998-09-18	PRIJEM	VKLAD	1800	30937	\N	\N	\N
1070444	3656	1998-10-18	PRIJEM	VKLAD	1800	34341	\N	\N	\N
1070445	3656	1998-11-18	PRIJEM	VKLAD	1800	50975	\N	\N	\N
1070446	3656	1998-12-18	PRIJEM	VKLAD	1800	51535	\N	\N	\N
1070448	3656	1994-06-09	VYDAJ	VYBER	3100	17918	\N	\N	\N
1070449	3656	1995-06-16	VYDAJ	VYBER	27800	28766	\N	\N	\N
1070455	3656	1995-01-19	VYDAJ	VYBER	2800	17564	\N	\N	\N
1070457	3656	1997-01-09	VYDAJ	VYBER	6900	14442	\N	\N	\N
1070458	3656	1998-01-22	VYDAJ	VYBER	2500	30210	\N	\N	\N
1070464	3656	1998-06-04	VYDAJ	VYBER	14700	21608	\N	\N	\N
1070466	3656	1994-01-05	VYDAJ	VYBER	8100	17604	\N	\N	\N
1070467	3656	1995-01-04	VYDAJ	VYBER	9600	18864	\N	\N	\N
1070469	3656	1997-01-03	VYDAJ	VYBER	3100	21342	\N	\N	\N
1070470	3656	1998-01-10	VYDAJ	VYBER	3300	31210	\N	\N	\N
1070471	3656	1993-12-06	VYDAJ	VYBER	2200	21823	\N	\N	\N
1070472	3656	1994-12-27	VYDAJ	VYBER	900	42443	\N	\N	\N
1070473	3656	1995-12-20	VYDAJ	VYBER	2400	13571	\N	\N	\N
1070474	3656	1996-12-17	VYDAJ	VYBER	700	22562	\N	\N	\N
1070475	3656	1997-12-30	VYDAJ	VYBER	2300	36324	\N	\N	\N
1070476	3656	1998-12-04	VYDAJ	VYBER	1800	48235	\N	\N	\N
1070482	3656	1994-07-17	VYDAJ	VYBER	2000	22187	\N	\N	\N
1070483	3656	1994-02-10	VYDAJ	VYBER	1600	19969	\N	\N	\N
1070484	3656	1994-11-02	VYDAJ	VYBER	600	21917	\N	\N	\N
1070485	3656	1994-09-25	VYDAJ	VYBER	2300	24345	\N	\N	\N
1070486	3656	1994-04-22	VYDAJ	VYBER	1100	27127	\N	\N	\N
1070487	3656	1994-05-18	VYDAJ	VYBER	600	23826	\N	\N	\N
1070488	3656	1994-04-10	VYDAJ	VYBER	500	26727	\N	\N	\N
1070489	3656	1995-07-21	VYDAJ	VYBER	1000	24582	\N	\N	\N
1070490	3656	1995-05-17	VYDAJ	VYBER	1450	17273	\N	\N	\N
1070491	3656	1995-10-20	VYDAJ	VYBER	1600	19290	\N	\N	\N
1070492	3656	1996-09-05	VYDAJ	VYBER	2300	23365	\N	\N	\N
1070493	3656	1996-11-07	VYDAJ	VYBER	400	18393	\N	\N	\N
1070494	3656	1996-05-16	VYDAJ	VYBER	2300	15730	\N	\N	\N
1070496	3656	1996-03-24	VYDAJ	VYBER	850	14939	\N	\N	\N
1070497	3656	1997-03-03	VYDAJ	VYBER	2050	15501	\N	\N	\N
1070498	3656	1997-03-20	VYDAJ	VYBER	2450	14551	\N	\N	\N
1070499	3656	1997-05-08	VYDAJ	VYBER	1800	14348	\N	\N	\N
1070500	3656	1998-08-05	VYDAJ	VYBER	400	24246	\N	\N	\N
1070501	3656	1998-03-01	VYDAJ	VYBER	500	31440	\N	\N	\N
1070502	3656	1998-12-20	VYDAJ	VYBER	450	66873	\N	\N	\N
1070503	3656	1998-07-30	VYDAJ	VYBER	1950	24561	\N	\N	\N
1070504	3656	1998-11-26	VYDAJ	VYBER	1100	49875	\N	\N	\N
1070505	3656	1998-01-09	VYDAJ	VYBER	1950	34510	\N	\N	\N
1070517	3656	1993-11-30	VYDAJ	VYBER	15	25123	SLUZBY	\N	\N
1070518	3656	1993-12-31	VYDAJ	VYBER	15	23404	SLUZBY	\N	\N
1070519	3656	1994-01-31	VYDAJ	VYBER	15	19169	SLUZBY	\N	\N
1070520	3656	1994-02-28	VYDAJ	VYBER	15	21540	SLUZBY	\N	\N
1070521	3656	1994-03-31	VYDAJ	VYBER	15	26227	SLUZBY	\N	\N
1070522	3656	1994-04-30	VYDAJ	VYBER	15	27226	SLUZBY	\N	\N
1070523	3656	1994-05-31	VYDAJ	VYBER	15	23918	SLUZBY	\N	\N
1070524	3656	1994-06-30	VYDAJ	VYBER	15	19487	SLUZBY	\N	\N
1070525	3656	1994-07-31	VYDAJ	VYBER	15	22262	SLUZBY	\N	\N
1070526	3656	1994-08-31	VYDAJ	VYBER	15	25145	SLUZBY	\N	\N
1070527	3656	1994-09-30	VYDAJ	VYBER	15	24434	SLUZBY	\N	\N
1070528	3656	1994-10-31	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
1070529	3656	1994-11-30	VYDAJ	VYBER	15	29227	SLUZBY	\N	\N
1070530	3656	1994-12-31	VYDAJ	VYBER	15	28464	SLUZBY	\N	\N
1070531	3656	1995-01-31	VYDAJ	VYBER	15	17647	SLUZBY	\N	\N
1070532	3656	1995-02-28	VYDAJ	VYBER	15	17305	SLUZBY	\N	\N
1070533	3656	1995-03-31	VYDAJ	VYBER	15	18163	SLUZBY	\N	\N
1070534	3656	1995-04-30	VYDAJ	VYBER	15	17223	SLUZBY	\N	\N
1070535	3656	1995-05-31	VYDAJ	VYBER	15	15529	SLUZBY	\N	\N
1070536	3656	1995-06-30	VYDAJ	VYBER	15	22282	SLUZBY	\N	\N
1070537	3656	1995-07-31	VYDAJ	VYBER	15	18861	SLUZBY	\N	\N
1070538	3656	1995-08-31	VYDAJ	VYBER	15	18127	SLUZBY	\N	\N
1070539	3656	1995-09-30	VYDAJ	VYBER	15	17590	SLUZBY	\N	\N
1070540	3656	1995-10-31	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
1070541	3656	1995-11-30	VYDAJ	VYBER	15	12671	SLUZBY	\N	\N
1070542	3656	1995-12-31	VYDAJ	VYBER	15	13610	SLUZBY	\N	\N
1070543	3656	1996-01-31	VYDAJ	VYBER	15	12751	SLUZBY	\N	\N
1070544	3656	1996-02-29	VYDAJ	VYBER	15	14289	SLUZBY	\N	\N
1070545	3656	1996-03-31	VYDAJ	VYBER	15	14983	SLUZBY	\N	\N
1070546	3656	1996-04-30	VYDAJ	VYBER	15	16530	SLUZBY	\N	\N
1070547	3656	1996-05-31	VYDAJ	VYBER	15	12580	SLUZBY	\N	\N
1070548	3656	1996-06-30	VYDAJ	VYBER	15	14117	SLUZBY	\N	\N
1070549	3656	1996-07-31	VYDAJ	VYBER	15	45622	SLUZBY	\N	\N
1070550	3656	1996-08-31	VYDAJ	VYBER	15	25665	SLUZBY	\N	\N
1070551	3656	1996-09-30	VYDAJ	VYBER	15	15439	SLUZBY	\N	\N
1070552	3656	1996-10-31	VYDAJ	VYBER	15	18793	SLUZBY	\N	\N
1070553	3656	1996-11-30	VYDAJ	VYBER	15	21762	SLUZBY	\N	\N
1070554	3656	1996-12-31	VYDAJ	VYBER	15	24442	SLUZBY	\N	\N
1070555	3656	1997-01-31	VYDAJ	VYBER	15	16000	SLUZBY	\N	\N
1070556	3656	1997-02-28	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
1070557	3656	1997-03-31	VYDAJ	VYBER	15	14603	SLUZBY	\N	\N
1070558	3656	1997-04-30	VYDAJ	VYBER	15	16148	SLUZBY	\N	\N
1070559	3656	1997-05-31	VYDAJ	VYBER	15	15898	SLUZBY	\N	\N
1070560	3656	1997-06-30	VYDAJ	VYBER	15	17449	SLUZBY	\N	\N
1070561	3656	1997-07-31	VYDAJ	VYBER	15	20811	SLUZBY	\N	\N
1070562	3656	1997-08-31	VYDAJ	VYBER	15	36131	SLUZBY	\N	\N
1070563	3656	1997-09-30	VYDAJ	VYBER	15	39572	SLUZBY	\N	\N
1070564	3656	1997-10-31	VYDAJ	VYBER	15	43026	SLUZBY	\N	\N
1070565	3656	1997-11-30	VYDAJ	VYBER	15	35324	SLUZBY	\N	\N
1070566	3656	1997-12-31	VYDAJ	VYBER	15	36460	SLUZBY	\N	\N
1070567	3656	1998-01-31	VYDAJ	VYBER	15	30330	SLUZBY	\N	\N
1070568	3656	1998-02-28	VYDAJ	VYBER	15	31940	SLUZBY	\N	\N
1070569	3656	1998-03-31	VYDAJ	VYBER	15	33059	SLUZBY	\N	\N
1070570	3656	1998-04-30	VYDAJ	VYBER	15	34680	SLUZBY	\N	\N
1070571	3656	1998-05-31	VYDAJ	VYBER	15	36308	SLUZBY	\N	\N
1070572	3656	1998-06-30	VYDAJ	VYBER	15	23211	SLUZBY	\N	\N
1070573	3656	1998-07-31	VYDAJ	VYBER	15	24646	SLUZBY	\N	\N
1070574	3656	1998-08-31	VYDAJ	VYBER	15	27637	SLUZBY	\N	\N
1070575	3656	1998-09-30	VYDAJ	VYBER	15	31041	SLUZBY	\N	\N
1070576	3656	1998-10-31	VYDAJ	VYBER	15	34459	SLUZBY	\N	\N
1070577	3656	1998-11-30	VYDAJ	VYBER	15	50035	SLUZBY	\N	\N
1070578	3656	1993-09-05	PRIJEM	VKLAD	11100	17094	\N	\N	\N
1070579	3656	1993-10-05	PRIJEM	VKLAD	2800	21449	\N	\N	\N
1070580	3656	1993-11-04	PRIJEM	VKLAD	500	23537	\N	\N	\N
1070581	3656	1993-12-04	VYDAJ	VYBER	1100	24023	\N	\N	\N
1070582	3656	1994-01-03	PRIJEM	VKLAD	2300	25704	\N	\N	\N
1070583	3656	1994-02-02	PRIJEM	VKLAD	2400	21569	\N	\N	\N
1070584	3656	1994-03-04	PRIJEM	VKLAD	3100	24640	\N	\N	\N
1070585	3656	1994-04-03	PRIJEM	VKLAD	1000	27227	\N	\N	\N
1070586	3656	1994-05-03	VYDAJ	VYBER	4300	22926	\N	\N	\N
1070587	3656	1994-06-02	VYDAJ	VYBER	2900	21018	\N	\N	\N
1070588	3656	1994-07-02	PRIJEM	VKLAD	3200	22687	\N	\N	\N
1070589	3656	1994-08-01	PRIJEM	VKLAD	600	22862	\N	\N	\N
1070590	3656	1994-08-31	PRIJEM	VKLAD	700	25062	\N	\N	\N
1070591	3656	1994-09-30	VYDAJ	VYBER	1000	23434	\N	\N	\N
1070592	3656	1994-10-30	VYDAJ	VYBER	2500	22434	\N	\N	\N
1070593	3656	1994-11-29	VYDAJ	VYBER	6600	29132	\N	\N	\N
1070594	3656	1994-12-29	VYDAJ	VYBER	14100	28343	\N	\N	\N
1070595	3656	1995-02-27	VYDAJ	VYBER	1900	17247	\N	\N	\N
1070596	3656	1995-03-29	VYDAJ	VYBER	700	18105	\N	\N	\N
1070597	3656	1995-04-28	VYDAJ	VYBER	2500	17163	\N	\N	\N
1070598	3656	1995-05-28	VYDAJ	VYBER	1800	15473	\N	\N	\N
1070599	3656	1995-06-27	VYDAJ	VYBER	6600	22166	\N	\N	\N
1070600	3656	1995-07-27	VYDAJ	VYBER	5800	18782	\N	\N	\N
1070601	3656	1995-08-26	VYDAJ	VYBER	4100	18061	\N	\N	\N
1070602	3656	1995-09-25	VYDAJ	VYBER	3900	17527	\N	\N	\N
1070603	3656	1995-10-25	VYDAJ	VYBER	5500	13790	\N	\N	\N
1070604	3656	1995-11-24	VYDAJ	VYBER	11000	12618	\N	\N	\N
1070605	3656	1996-01-23	VYDAJ	VYBER	2400	12710	\N	\N	\N
1070606	3656	1996-05-22	VYDAJ	VYBER	3200	12530	\N	\N	\N
1070607	3656	1996-07-21	VYDAJ	VYBER	7300	14591	\N	\N	\N
1070608	3656	1996-08-20	VYDAJ	VYBER	23400	25522	\N	\N	\N
1070609	3656	1996-09-19	VYDAJ	VYBER	11300	15365	\N	\N	\N
1070610	3656	1997-11-13	VYDAJ	VYBER	54600	31882	\N	\N	\N
1070676	3657	1997-09-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1070686	3657	1997-10-14	PRIJEM	PREVOD Z UCTU	5569	6569	DUCHOD	UV	35416704
1070687	3657	1997-11-14	PRIJEM	PREVOD Z UCTU	5569	12138	DUCHOD	UV	35416704
1070688	3657	1997-12-14	PRIJEM	PREVOD Z UCTU	5569	17707	DUCHOD	UV	35416704
1070689	3657	1998-01-14	PRIJEM	PREVOD Z UCTU	5569	23276	DUCHOD	UV	35416704
1070690	3657	1998-02-14	PRIJEM	PREVOD Z UCTU	5569	26086	DUCHOD	UV	35416704
1070691	3657	1998-03-14	PRIJEM	PREVOD Z UCTU	5569	29102	DUCHOD	UV	35416704
1070692	3657	1998-04-14	PRIJEM	PREVOD Z UCTU	5569	32536	DUCHOD	UV	35416704
1070693	3657	1998-05-14	PRIJEM	PREVOD Z UCTU	5569	30774	DUCHOD	UV	35416704
1070694	3657	1998-06-14	PRIJEM	PREVOD Z UCTU	5569	25123	DUCHOD	UV	35416704
1070695	3657	1998-07-14	PRIJEM	PREVOD Z UCTU	5569	27494	DUCHOD	UV	35416704
1070696	3657	1998-08-14	PRIJEM	PREVOD Z UCTU	5569	31623	DUCHOD	UV	35416704
1070697	3657	1998-09-14	PRIJEM	PREVOD Z UCTU	5569	32569	DUCHOD	UV	35416704
1070698	3657	1998-10-14	PRIJEM	PREVOD Z UCTU	5569	34481	DUCHOD	UV	35416704
1070699	3657	1998-11-14	PRIJEM	PREVOD Z UCTU	5569	38640	DUCHOD	UV	35416704
1070700	3657	1998-12-14	PRIJEM	PREVOD Z UCTU	5569	36054	DUCHOD	UV	35416704
1070715	3657	1998-03-07	VYDAJ	PREVOD NA UCET	1533	23533	SIPO	AB	71329426
1070716	3657	1998-04-07	VYDAJ	PREVOD NA UCET	1533	26967	SIPO	AB	71329426
1070717	3657	1998-05-07	VYDAJ	PREVOD NA UCET	1533	25205	SIPO	AB	71329426
1070718	3657	1998-06-07	VYDAJ	PREVOD NA UCET	1533	27104	SIPO	AB	71329426
1070719	3657	1998-07-07	VYDAJ	PREVOD NA UCET	1533	21925	SIPO	AB	71329426
1070720	3657	1998-08-07	VYDAJ	PREVOD NA UCET	1533	26054	SIPO	AB	71329426
1070721	3657	1998-09-07	VYDAJ	PREVOD NA UCET	1533	27000	SIPO	AB	71329426
1070722	3657	1998-10-07	VYDAJ	PREVOD NA UCET	1533	28912	SIPO	AB	71329426
1070723	3657	1998-11-07	VYDAJ	PREVOD NA UCET	1533	33071	SIPO	AB	71329426
1070724	3657	1998-12-07	VYDAJ	PREVOD NA UCET	1533	33885	SIPO	AB	71329426
1070726	3657	1998-06-13	VYDAJ	VYBER	7550	19554	\N	\N	\N
1070730	3657	1998-12-21	VYDAJ	VYBER	750	35304	\N	\N	\N
1070750	3657	1998-06-29	VYDAJ	VYBER	1760	23363	\N	\N	\N
1070751	3657	1998-10-02	VYDAJ	VYBER	2240	30445	\N	\N	\N
1070752	3657	1998-11-29	VYDAJ	VYBER	3360	35280	\N	\N	\N
1070753	3657	1998-05-20	VYDAJ	VYBER	2240	28534	\N	\N	\N
1070754	3657	1998-09-07	VYDAJ	VYBER	3200	28533	\N	\N	\N
1070769	3657	1998-02-28	VYDAJ	VYBER	15	25066	SLUZBY	\N	\N
1070770	3657	1998-03-31	VYDAJ	VYBER	15	28500	SLUZBY	\N	\N
1070771	3657	1998-04-30	VYDAJ	VYBER	15	26738	SLUZBY	\N	\N
1070772	3657	1998-05-31	VYDAJ	VYBER	15	28637	SLUZBY	\N	\N
1070773	3657	1998-06-30	VYDAJ	VYBER	15	23458	SLUZBY	\N	\N
1070774	3657	1998-07-31	VYDAJ	VYBER	15	27587	SLUZBY	\N	\N
1070775	3657	1998-08-31	VYDAJ	VYBER	15	31733	SLUZBY	\N	\N
1070776	3657	1998-09-30	VYDAJ	VYBER	15	32685	SLUZBY	\N	\N
1070777	3657	1998-10-31	VYDAJ	VYBER	15	34604	SLUZBY	\N	\N
1070778	3657	1998-11-30	VYDAJ	VYBER	15	35418	SLUZBY	\N	\N
1070779	3657	1998-01-17	VYDAJ	VYBER	2800	20476	\N	\N	\N
1070780	3657	1998-02-16	VYDAJ	VYBER	1100	24986	\N	\N	\N
1070781	3657	1998-03-18	VYDAJ	VYBER	700	28402	\N	\N	\N
1070782	3657	1998-04-17	VYDAJ	VYBER	5900	26636	\N	\N	\N
1070783	3657	1998-12-13	VYDAJ	VYBER	3400	30485	\N	\N	\N
1070796	3658	1997-03-25	PRIJEM	VKLAD	600	600	\N	\N	\N
1070798	3658	1997-12-11	PRIJEM	VKLAD	23031	49020	\N	\N	\N
1070799	3658	1998-06-25	PRIJEM	VKLAD	12855	28722	\N	\N	\N
1070800	3658	1998-01-19	PRIJEM	VKLAD	18784	51537	\N	\N	\N
1070804	3658	1997-04-17	PRIJEM	VKLAD	700	1300	\N	\N	\N
1070805	3658	1997-05-14	PRIJEM	VKLAD	700	11013	\N	\N	\N
1070806	3658	1997-06-13	PRIJEM	VKLAD	700	16564	\N	\N	\N
1070807	3658	1997-07-14	PRIJEM	VKLAD	700	17217	\N	\N	\N
1070808	3658	1997-08-13	PRIJEM	VKLAD	700	22581	\N	\N	\N
1070809	3658	1997-09-16	PRIJEM	VKLAD	700	24165	\N	\N	\N
1070810	3658	1997-10-17	PRIJEM	VKLAD	700	25451	\N	\N	\N
1070811	3658	1997-11-14	PRIJEM	VKLAD	700	26993	\N	\N	\N
1070812	3658	1997-12-14	PRIJEM	VKLAD	700	49720	\N	\N	\N
1070813	3658	1998-01-16	PRIJEM	VKLAD	700	34503	\N	\N	\N
1070814	3658	1998-02-13	PRIJEM	VKLAD	700	28811	\N	\N	\N
1070815	3658	1998-03-16	PRIJEM	VKLAD	700	28613	\N	\N	\N
1070816	3658	1998-04-14	PRIJEM	VKLAD	700	25409	\N	\N	\N
1070817	3658	1998-05-15	PRIJEM	VKLAD	700	23695	\N	\N	\N
1070818	3658	1998-06-17	PRIJEM	VKLAD	700	18617	\N	\N	\N
1070819	3658	1998-07-14	PRIJEM	VKLAD	700	13781	\N	\N	\N
1070820	3658	1998-08-17	PRIJEM	VKLAD	700	18226	\N	\N	\N
1070821	3658	1998-09-14	PRIJEM	VKLAD	700	20288	\N	\N	\N
1070822	3658	1998-10-13	PRIJEM	VKLAD	700	20957	\N	\N	\N
1070823	3658	1998-11-15	PRIJEM	VKLAD	700	25237	\N	\N	\N
1070824	3658	1998-12-17	PRIJEM	VKLAD	700	21721	\N	\N	\N
1070828	3658	1997-04-18	PRIJEM	VKLAD	1800	3100	\N	\N	\N
1070829	3658	1997-05-18	PRIJEM	VKLAD	1800	12813	\N	\N	\N
1070830	3658	1997-06-18	PRIJEM	VKLAD	1800	18364	\N	\N	\N
1070831	3658	1997-07-18	PRIJEM	VKLAD	1800	19017	\N	\N	\N
1070832	3658	1997-08-18	PRIJEM	VKLAD	1800	24381	\N	\N	\N
1070833	3658	1997-09-18	PRIJEM	VKLAD	1800	25965	\N	\N	\N
1070834	3658	1997-10-18	PRIJEM	VKLAD	1800	27251	\N	\N	\N
1070835	3658	1997-11-18	PRIJEM	VKLAD	1800	28793	\N	\N	\N
1070836	3658	1997-12-18	PRIJEM	VKLAD	1800	51520	\N	\N	\N
1070837	3658	1998-07-18	PRIJEM	VKLAD	1800	17481	\N	\N	\N
1070838	3658	1998-08-18	PRIJEM	VKLAD	1800	19526	\N	\N	\N
1070839	3658	1998-09-18	PRIJEM	VKLAD	1800	20788	\N	\N	\N
1070840	3658	1998-10-18	PRIJEM	VKLAD	1800	24457	\N	\N	\N
1070841	3658	1998-11-18	PRIJEM	VKLAD	1800	23437	\N	\N	\N
1070842	3658	1998-12-18	PRIJEM	VKLAD	1800	23521	\N	\N	\N
1070844	3658	1998-06-26	VYDAJ	VYBER	15700	13022	\N	\N	\N
1070846	3658	1998-01-24	VYDAJ	VYBER	4800	30337	\N	\N	\N
1070850	3658	1998-01-19	VYDAJ	VYBER	7400	35137	\N	\N	\N
1070851	3658	1997-12-28	VYDAJ	VYBER	1600	36920	\N	\N	\N
1070852	3658	1998-12-26	VYDAJ	VYBER	1800	21721	\N	\N	\N
1070859	3658	1998-01-16	VYDAJ	VYBER	1450	33053	\N	\N	\N
1070860	3658	1998-01-16	VYDAJ	VYBER	300	32753	\N	\N	\N
1070861	3658	1998-01-01	VYDAJ	VYBER	950	34753	\N	\N	\N
1070862	3658	1998-01-28	VYDAJ	VYBER	400	29937	\N	\N	\N
1070863	3658	1998-01-01	VYDAJ	VYBER	1350	35703	\N	\N	\N
1070864	3658	1998-01-12	VYDAJ	VYBER	950	33803	\N	\N	\N
1070865	3658	1997-06-22	VYDAJ	VYBER	2200	16164	\N	\N	\N
1070867	3658	1997-08-04	VYDAJ	VYBER	1800	21881	\N	\N	\N
1070870	3658	1997-11-04	VYDAJ	VYBER	350	26293	\N	\N	\N
1070873	3658	1998-06-18	VYDAJ	VYBER	650	17967	\N	\N	\N
1070874	3658	1998-06-11	VYDAJ	VYBER	350	17917	\N	\N	\N
1070875	3658	1998-01-30	VYDAJ	VYBER	1950	27987	\N	\N	\N
1070876	3658	1998-10-06	VYDAJ	VYBER	600	20257	\N	\N	\N
1070883	3658	1997-06-30	VYDAJ	VYBER	15	16517	SLUZBY	\N	\N
1070884	3658	1997-07-31	VYDAJ	VYBER	15	23681	SLUZBY	\N	\N
1070885	3658	1997-08-31	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
1070886	3658	1997-09-30	VYDAJ	VYBER	15	24751	SLUZBY	\N	\N
1070887	3658	1997-10-31	VYDAJ	VYBER	15	26643	SLUZBY	\N	\N
1070888	3658	1997-11-30	VYDAJ	VYBER	15	25989	SLUZBY	\N	\N
1070889	3658	1997-12-31	VYDAJ	VYBER	15	37053	SLUZBY	\N	\N
1070890	3658	1998-01-31	VYDAJ	VYBER	15	28111	SLUZBY	\N	\N
1070891	3658	1998-02-28	VYDAJ	VYBER	15	27913	SLUZBY	\N	\N
1070892	3658	1998-03-31	VYDAJ	VYBER	15	24709	SLUZBY	\N	\N
1070893	3658	1998-04-30	VYDAJ	VYBER	15	22995	SLUZBY	\N	\N
1070894	3658	1998-05-31	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
1070895	3658	1998-06-30	VYDAJ	VYBER	15	13081	SLUZBY	\N	\N
1070896	3658	1998-07-31	VYDAJ	VYBER	15	17526	SLUZBY	\N	\N
1070897	3658	1998-08-31	VYDAJ	VYBER	15	19588	SLUZBY	\N	\N
1070898	3658	1998-09-30	VYDAJ	VYBER	15	20857	SLUZBY	\N	\N
1070899	3658	1998-10-31	VYDAJ	VYBER	15	24537	SLUZBY	\N	\N
1070900	3658	1998-11-30	VYDAJ	VYBER	15	23521	SLUZBY	\N	\N
1070901	3658	1997-04-24	PRIJEM	VKLAD	7200	10300	\N	\N	\N
1070902	3658	1997-05-24	PRIJEM	VKLAD	3000	15813	\N	\N	\N
1070903	3658	1997-06-23	PRIJEM	VKLAD	300	16464	\N	\N	\N
1070904	3658	1997-07-23	PRIJEM	VKLAD	4600	23617	\N	\N	\N
1070905	3658	1997-08-22	VYDAJ	VYBER	1000	23381	\N	\N	\N
1070906	3658	1997-09-21	VYDAJ	VYBER	1300	24665	\N	\N	\N
1070907	3658	1997-10-21	VYDAJ	VYBER	700	26551	\N	\N	\N
1070908	3658	1997-11-20	VYDAJ	VYBER	2900	25893	\N	\N	\N
1070909	3658	1997-12-20	VYDAJ	VYBER	13000	38520	\N	\N	\N
1070910	3658	1998-01-19	VYDAJ	VYBER	9000	42537	\N	\N	\N
1070911	3658	1998-02-18	VYDAJ	VYBER	1000	27811	\N	\N	\N
1070912	3658	1998-03-20	VYDAJ	VYBER	4000	24613	\N	\N	\N
1070913	3658	1998-04-19	VYDAJ	VYBER	2500	22909	\N	\N	\N
1070914	3658	1998-05-19	VYDAJ	VYBER	5500	18195	\N	\N	\N
1070915	3658	1998-06-18	VYDAJ	VYBER	2100	15867	\N	\N	\N
1070916	3658	1998-07-18	PRIJEM	VKLAD	1900	15681	\N	\N	\N
1070917	3658	1998-08-17	VYDAJ	VYBER	500	17726	\N	\N	\N
1070918	3658	1998-09-16	VYDAJ	VYBER	1300	18988	\N	\N	\N
1070919	3658	1998-10-16	PRIJEM	VKLAD	1700	22657	\N	\N	\N
1070920	3658	1998-11-15	VYDAJ	VYBER	3600	21637	\N	\N	\N
1070921	3658	1998-12-15	VYDAJ	VYBER	2500	21021	\N	\N	\N
1070943	3659	1997-02-01	PRIJEM	VKLAD	900	900	\N	\N	\N
1070945	3659	1997-02-14	PRIJEM	VKLAD	11541	12441	\N	\N	\N
1070946	3659	1997-03-14	PRIJEM	VKLAD	11541	28710	\N	\N	\N
1070947	3659	1997-04-14	PRIJEM	VKLAD	11541	38242	\N	\N	\N
1070948	3659	1997-05-14	PRIJEM	VKLAD	11541	44225	\N	\N	\N
1070949	3659	1997-06-14	PRIJEM	VKLAD	17312	51111	\N	\N	\N
1070950	3659	1997-07-14	PRIJEM	VKLAD	11541	45344	\N	\N	\N
1070951	3659	1997-08-14	PRIJEM	VKLAD	11541	42256	\N	\N	\N
1070952	3659	1997-09-14	PRIJEM	VKLAD	11541	43650	\N	\N	\N
1070953	3659	1997-10-14	PRIJEM	VKLAD	11541	43649	\N	\N	\N
1070954	3659	1997-11-14	PRIJEM	VKLAD	11541	42706	\N	\N	\N
1070955	3659	1997-12-14	PRIJEM	VKLAD	17312	51473	\N	\N	\N
1070956	3659	1998-01-14	PRIJEM	VKLAD	11541	40990	\N	\N	\N
1070957	3659	1998-02-14	PRIJEM	VKLAD	11541	40053	\N	\N	\N
1070958	3659	1998-03-14	PRIJEM	VKLAD	11541	36696	\N	\N	\N
1070959	3659	1998-04-14	PRIJEM	VKLAD	11541	42574	\N	\N	\N
1070960	3659	1998-05-14	PRIJEM	VKLAD	11541	50372	\N	\N	\N
1070961	3659	1998-06-14	PRIJEM	VKLAD	17312	61272	\N	\N	\N
1070962	3659	1998-07-14	PRIJEM	VKLAD	11541	41525	\N	\N	\N
1070963	3659	1998-08-14	PRIJEM	VKLAD	11541	53623	\N	\N	\N
1070964	3659	1998-09-14	PRIJEM	VKLAD	11541	61714	\N	\N	\N
1070965	3659	1998-10-14	PRIJEM	VKLAD	11541	65982	\N	\N	\N
1070966	3659	1998-11-14	PRIJEM	VKLAD	11541	75147	\N	\N	\N
1070967	3659	1998-12-14	PRIJEM	VKLAD	17312	88956	\N	\N	\N
1070974	3659	1997-07-10	VYDAJ	PREVOD NA UCET	1672	34758	SIPO	WX	60077226
1070975	3659	1997-08-10	VYDAJ	PREVOD NA UCET	1672	31670	SIPO	WX	60077226
1070976	3659	1997-09-10	VYDAJ	PREVOD NA UCET	1672	33064	SIPO	WX	60077226
1070977	3659	1997-10-10	VYDAJ	PREVOD NA UCET	1672	33063	SIPO	WX	60077226
1070978	3659	1997-11-10	VYDAJ	PREVOD NA UCET	1672	32120	SIPO	WX	60077226
1070979	3659	1997-12-10	VYDAJ	PREVOD NA UCET	1672	35116	SIPO	WX	60077226
1070980	3659	1998-01-10	VYDAJ	PREVOD NA UCET	1672	31244	SIPO	WX	60077226
1070981	3659	1998-02-10	VYDAJ	PREVOD NA UCET	1672	29467	SIPO	WX	60077226
1070982	3659	1998-03-10	VYDAJ	PREVOD NA UCET	1672	29950	SIPO	WX	60077226
1070983	3659	1998-04-10	VYDAJ	PREVOD NA UCET	1672	31988	SIPO	WX	60077226
1070984	3659	1998-05-10	VYDAJ	PREVOD NA UCET	1672	39786	SIPO	WX	60077226
1070985	3659	1998-06-10	VYDAJ	PREVOD NA UCET	1672	44915	SIPO	WX	60077226
1070986	3659	1998-07-10	VYDAJ	PREVOD NA UCET	1672	30939	SIPO	WX	60077226
1070987	3659	1998-08-10	VYDAJ	PREVOD NA UCET	1672	43037	SIPO	WX	60077226
1070988	3659	1998-09-10	VYDAJ	PREVOD NA UCET	1672	51128	SIPO	WX	60077226
1070989	3659	1998-10-10	VYDAJ	PREVOD NA UCET	1672	55396	SIPO	WX	60077226
1070990	3659	1998-11-10	VYDAJ	PREVOD NA UCET	1672	64561	SIPO	WX	60077226
1070991	3659	1998-12-10	VYDAJ	PREVOD NA UCET	1672	72599	SIPO	WX	60077226
1070998	3659	1997-07-06	VYDAJ	PREVOD NA UCET	2862	36430	 	AB	66256487
1070999	3659	1997-08-06	VYDAJ	PREVOD NA UCET	2862	33342	 	AB	66256487
1071000	3659	1997-09-06	VYDAJ	PREVOD NA UCET	2862	34736	 	AB	66256487
1071001	3659	1997-10-06	VYDAJ	PREVOD NA UCET	2862	34735	 	AB	66256487
1071002	3659	1997-11-06	VYDAJ	PREVOD NA UCET	2862	33792	 	AB	66256487
1071003	3659	1997-12-06	VYDAJ	PREVOD NA UCET	2862	36788	 	AB	66256487
1071004	3659	1998-01-06	VYDAJ	PREVOD NA UCET	2862	34956	 	AB	66256487
1071005	3659	1998-02-06	VYDAJ	PREVOD NA UCET	2862	31139	 	AB	66256487
1071006	3659	1998-03-06	VYDAJ	PREVOD NA UCET	2862	31622	 	AB	66256487
1071007	3659	1998-04-06	VYDAJ	PREVOD NA UCET	2862	33660	 	AB	66256487
1071008	3659	1998-05-06	VYDAJ	PREVOD NA UCET	2862	41458	 	AB	66256487
1071009	3659	1998-06-06	VYDAJ	PREVOD NA UCET	2862	46587	 	AB	66256487
1071010	3659	1998-07-06	VYDAJ	PREVOD NA UCET	2862	32611	 	AB	66256487
1071011	3659	1998-08-06	VYDAJ	PREVOD NA UCET	2862	44709	 	AB	66256487
1071012	3659	1998-09-06	VYDAJ	PREVOD NA UCET	2862	58560	 	AB	66256487
1071013	3659	1998-10-06	VYDAJ	PREVOD NA UCET	2862	61988	 	AB	66256487
1071014	3659	1998-11-06	VYDAJ	PREVOD NA UCET	2862	68753	 	AB	66256487
1071015	3659	1998-12-06	VYDAJ	PREVOD NA UCET	2862	74271	 	AB	66256487
1071022	3659	1997-07-05	VYDAJ	PREVOD NA UCET	2205	39292	POJISTNE	ST	66483676
1071023	3659	1997-08-05	VYDAJ	PREVOD NA UCET	2205	36204	POJISTNE	ST	66483676
1071024	3659	1997-09-05	VYDAJ	PREVOD NA UCET	2205	37598	POJISTNE	ST	66483676
1071025	3659	1997-10-05	VYDAJ	PREVOD NA UCET	2205	37597	POJISTNE	ST	66483676
1071026	3659	1997-11-05	VYDAJ	PREVOD NA UCET	2205	36654	POJISTNE	ST	66483676
1071027	3659	1997-12-05	VYDAJ	PREVOD NA UCET	2205	39650	POJISTNE	ST	66483676
1071028	3659	1998-01-05	VYDAJ	PREVOD NA UCET	2205	37818	POJISTNE	ST	66483676
1071029	3659	1998-02-05	VYDAJ	PREVOD NA UCET	2205	34001	POJISTNE	ST	66483676
1071030	3659	1998-03-05	VYDAJ	PREVOD NA UCET	2205	34484	POJISTNE	ST	66483676
1071031	3659	1998-04-05	VYDAJ	PREVOD NA UCET	2205	36522	POJISTNE	ST	66483676
1071032	3659	1998-05-05	VYDAJ	PREVOD NA UCET	2205	44320	POJISTNE	ST	66483676
1071033	3659	1998-06-05	VYDAJ	PREVOD NA UCET	2205	49449	POJISTNE	ST	66483676
1071034	3659	1998-07-05	VYDAJ	PREVOD NA UCET	2205	35473	POJISTNE	ST	66483676
1071035	3659	1998-08-05	VYDAJ	PREVOD NA UCET	2205	47571	POJISTNE	ST	66483676
1071036	3659	1998-09-05	VYDAJ	PREVOD NA UCET	2205	61422	POJISTNE	ST	66483676
1071037	3659	1998-10-05	VYDAJ	PREVOD NA UCET	2205	64850	POJISTNE	ST	66483676
1071038	3659	1998-11-05	VYDAJ	PREVOD NA UCET	2205	71615	POJISTNE	ST	66483676
1071039	3659	1998-12-05	VYDAJ	PREVOD NA UCET	2205	77133	POJISTNE	ST	66483676
1071046	3659	1997-07-11	VYDAJ	PREVOD NA UCET	955	33803	 	ST	8070820
1071047	3659	1997-08-11	VYDAJ	PREVOD NA UCET	955	30715	 	ST	8070820
1071048	3659	1997-09-11	VYDAJ	PREVOD NA UCET	955	32109	 	ST	8070820
1071049	3659	1997-10-11	VYDAJ	PREVOD NA UCET	955	32108	 	ST	8070820
1071050	3659	1997-11-11	VYDAJ	PREVOD NA UCET	955	31165	 	ST	8070820
1071051	3659	1997-12-11	VYDAJ	PREVOD NA UCET	955	34161	 	ST	8070820
1071052	3659	1998-01-11	VYDAJ	PREVOD NA UCET	955	29449	 	ST	8070820
1071053	3659	1998-02-11	VYDAJ	PREVOD NA UCET	955	28512	 	ST	8070820
1071054	3659	1998-03-11	VYDAJ	PREVOD NA UCET	955	25155	 	ST	8070820
1071055	3659	1998-04-11	VYDAJ	PREVOD NA UCET	955	31033	 	ST	8070820
1071056	3659	1998-05-11	VYDAJ	PREVOD NA UCET	955	38831	 	ST	8070820
1071057	3659	1998-06-11	VYDAJ	PREVOD NA UCET	955	43960	 	ST	8070820
1071058	3659	1998-07-11	VYDAJ	PREVOD NA UCET	955	29984	 	ST	8070820
1071059	3659	1998-08-11	VYDAJ	PREVOD NA UCET	955	42082	 	ST	8070820
1071060	3659	1998-09-11	VYDAJ	PREVOD NA UCET	955	50173	 	ST	8070820
1071061	3659	1998-10-11	VYDAJ	PREVOD NA UCET	955	54441	 	ST	8070820
1071062	3659	1998-11-11	VYDAJ	PREVOD NA UCET	955	63606	 	ST	8070820
1071063	3659	1998-12-11	VYDAJ	PREVOD NA UCET	955	71644	 	ST	8070820
1071065	3659	1998-06-24	VYDAJ	VYBER	40320	18792	\N	\N	\N
1071067	3659	1998-01-26	VYDAJ	VYBER	2880	31030	\N	\N	\N
1071068	3659	1997-12-23	VYDAJ	VYBER	1120	50353	\N	\N	\N
1071069	3659	1998-12-23	VYDAJ	VYBER	800	88156	\N	\N	\N
1071076	3659	1998-01-10	VYDAJ	VYBER	840	30404	\N	\N	\N
1071077	3659	1998-01-22	VYDAJ	VYBER	3120	33910	\N	\N	\N
1071078	3659	1998-01-19	VYDAJ	VYBER	3360	37630	\N	\N	\N
1071079	3659	1998-01-07	VYDAJ	VYBER	2040	32916	\N	\N	\N
1071080	3659	1998-01-28	VYDAJ	VYBER	1560	36070	\N	\N	\N
1071081	3659	1998-01-03	VYDAJ	VYBER	1440	40023	\N	\N	\N
1071083	3659	1997-12-26	VYDAJ	VYBER	960	49393	\N	\N	\N
1071084	3659	1997-10-23	VYDAJ	VYBER	2040	41609	\N	\N	\N
1071085	3659	1998-11-28	VYDAJ	VYBER	1200	79047	\N	\N	\N
1071086	3659	1998-10-20	VYDAJ	VYBER	2520	63462	\N	\N	\N
1071087	3659	1998-11-06	VYDAJ	VYBER	2520	66233	\N	\N	\N
1071088	3659	1998-03-10	VYDAJ	VYBER	3840	26110	\N	\N	\N
1071089	3659	1998-06-18	VYDAJ	VYBER	2160	59112	\N	\N	\N
1071090	3659	1998-09-10	VYDAJ	VYBER	5760	52800	\N	\N	\N
1071091	3659	1998-01-20	VYDAJ	VYBER	600	37030	\N	\N	\N
1071092	3659	1998-10-08	VYDAJ	VYBER	4920	57068	\N	\N	\N
1071099	3659	1997-06-30	VYDAJ	VYBER	15	51297	SLUZBY	\N	\N
1071100	3659	1997-07-31	VYDAJ	VYBER	15	45509	SLUZBY	\N	\N
1071101	3659	1997-08-31	VYDAJ	VYBER	15	39803	SLUZBY	\N	\N
1071102	3659	1997-09-30	VYDAJ	VYBER	15	39802	SLUZBY	\N	\N
1071103	3659	1997-10-31	VYDAJ	VYBER	15	38859	SLUZBY	\N	\N
1071104	3659	1997-11-30	VYDAJ	VYBER	15	41855	SLUZBY	\N	\N
1071105	3659	1997-12-31	VYDAJ	VYBER	15	41463	SLUZBY	\N	\N
1071106	3659	1998-01-31	VYDAJ	VYBER	15	36206	SLUZBY	\N	\N
1071107	3659	1998-02-28	VYDAJ	VYBER	15	36689	SLUZBY	\N	\N
1071108	3659	1998-03-31	VYDAJ	VYBER	15	38727	SLUZBY	\N	\N
1071109	3659	1998-04-30	VYDAJ	VYBER	15	46525	SLUZBY	\N	\N
1071110	3659	1998-05-31	VYDAJ	VYBER	15	51654	SLUZBY	\N	\N
1071111	3659	1998-06-30	VYDAJ	VYBER	15	37678	SLUZBY	\N	\N
1071112	3659	1998-07-31	VYDAJ	VYBER	15	49776	SLUZBY	\N	\N
1071113	3659	1998-08-31	VYDAJ	VYBER	15	63627	SLUZBY	\N	\N
1071114	3659	1998-09-30	VYDAJ	VYBER	15	67055	SLUZBY	\N	\N
1071115	3659	1998-10-31	VYDAJ	VYBER	15	73820	SLUZBY	\N	\N
1071116	3659	1998-11-30	VYDAJ	VYBER	15	79338	SLUZBY	\N	\N
1071117	3659	1997-03-03	PRIJEM	VKLAD	4700	17169	\N	\N	\N
1071118	3659	1997-04-02	VYDAJ	VYBER	2100	26701	\N	\N	\N
1071119	3659	1997-05-02	VYDAJ	VYBER	5700	32684	\N	\N	\N
1071120	3659	1997-06-01	VYDAJ	VYBER	10600	33799	\N	\N	\N
1071121	3659	1997-07-01	VYDAJ	VYBER	9800	41497	\N	\N	\N
1071122	3659	1997-07-31	VYDAJ	VYBER	7100	38409	\N	\N	\N
1071123	3659	1997-08-30	VYDAJ	VYBER	2600	39656	\N	\N	\N
1071124	3659	1997-09-29	VYDAJ	VYBER	4000	39650	\N	\N	\N
1071125	3659	1997-10-29	VYDAJ	VYBER	2900	38709	\N	\N	\N
1071126	3659	1997-11-28	VYDAJ	VYBER	1000	41706	\N	\N	\N
1071127	3659	1997-12-28	VYDAJ	VYBER	8100	41293	\N	\N	\N
1071128	3659	1998-01-27	PRIJEM	VKLAD	6600	37630	\N	\N	\N
1071129	3659	1998-02-26	VYDAJ	VYBER	3500	36553	\N	\N	\N
1071130	3659	1998-03-28	PRIJEM	VKLAD	1900	38596	\N	\N	\N
1071131	3659	1998-04-27	PRIJEM	VKLAD	3800	46374	\N	\N	\N
1071132	3659	1998-05-27	PRIJEM	VKLAD	1100	51472	\N	\N	\N
1071133	3659	1998-06-26	PRIJEM	VKLAD	18700	37492	\N	\N	\N
1071134	3659	1998-07-26	PRIJEM	VKLAD	8100	49625	\N	\N	\N
1071135	3659	1998-08-25	PRIJEM	VKLAD	9800	63423	\N	\N	\N
1071136	3659	1998-09-24	PRIJEM	VKLAD	5100	66814	\N	\N	\N
1071137	3659	1998-10-24	PRIJEM	VKLAD	10100	73562	\N	\N	\N
1071138	3659	1998-11-23	PRIJEM	VKLAD	5100	80247	\N	\N	\N
1071162	3660	1993-11-14	PRIJEM	VKLAD	900	900	\N	\N	\N
1071165	3660	1994-12-11	PRIJEM	VKLAD	44272	67633	\N	\N	\N
1071166	3660	1994-05-25	PRIJEM	VKLAD	5179	29662	\N	\N	\N
1071167	3660	1995-11-02	PRIJEM	VKLAD	44159	71837	\N	\N	\N
1071168	3660	1995-08-17	PRIJEM	VKLAD	48250	68668	\N	\N	\N
1071169	3660	1996-08-22	PRIJEM	VKLAD	12567	29679	\N	\N	\N
1071170	3660	1996-07-29	PRIJEM	VKLAD	22882	35563	\N	\N	\N
1071171	3660	1997-07-06	PRIJEM	VKLAD	2900	18025	\N	\N	\N
1071172	3660	1997-03-23	PRIJEM	VKLAD	31722	48274	\N	\N	\N
1071173	3660	1998-11-02	PRIJEM	VKLAD	32987	83971	\N	\N	\N
1071174	3660	1998-10-06	PRIJEM	VKLAD	49215	76811	\N	\N	\N
1071185	3660	1993-11-15	PRIJEM	VKLAD	200	1100	\N	\N	\N
1071186	3660	1993-12-16	PRIJEM	VKLAD	200	12004	\N	\N	\N
1071187	3660	1994-01-16	PRIJEM	VKLAD	200	20434	\N	\N	\N
1071188	3660	1994-02-15	PRIJEM	VKLAD	200	20537	\N	\N	\N
1071189	3660	1994-03-15	PRIJEM	VKLAD	200	24605	\N	\N	\N
1071190	3660	1994-04-17	PRIJEM	VKLAD	200	27188	\N	\N	\N
1071191	3660	1994-05-13	PRIJEM	VKLAD	200	28083	\N	\N	\N
1071192	3660	1994-06-14	PRIJEM	VKLAD	200	16560	\N	\N	\N
1071193	3660	1994-07-16	PRIJEM	VKLAD	200	20885	\N	\N	\N
1071194	3660	1994-08-16	PRIJEM	VKLAD	200	19753	\N	\N	\N
1071195	3660	1994-09-13	PRIJEM	VKLAD	200	22226	\N	\N	\N
1071196	3660	1994-10-17	PRIJEM	VKLAD	200	22099	\N	\N	\N
1071197	3660	1994-11-14	PRIJEM	VKLAD	200	24675	\N	\N	\N
1071198	3660	1994-12-15	PRIJEM	VKLAD	200	67833	\N	\N	\N
1071199	3660	1995-01-17	PRIJEM	VKLAD	200	36694	\N	\N	\N
1071200	3660	1995-02-17	PRIJEM	VKLAD	200	22563	\N	\N	\N
1071201	3660	1995-03-17	PRIJEM	VKLAD	200	20699	\N	\N	\N
1071202	3660	1995-04-15	PRIJEM	VKLAD	200	23277	\N	\N	\N
1071203	3660	1995-05-16	PRIJEM	VKLAD	200	24656	\N	\N	\N
1071204	3660	1995-06-16	PRIJEM	VKLAD	200	24544	\N	\N	\N
1071205	3660	1995-07-13	PRIJEM	VKLAD	200	22234	\N	\N	\N
1071206	3660	1995-08-14	PRIJEM	VKLAD	200	20418	\N	\N	\N
1071207	3660	1995-09-13	PRIJEM	VKLAD	200	42541	\N	\N	\N
1071208	3660	1995-10-15	PRIJEM	VKLAD	200	26949	\N	\N	\N
1071209	3660	1995-11-14	PRIJEM	VKLAD	200	42437	\N	\N	\N
1071210	3660	1995-12-13	PRIJEM	VKLAD	200	24641	\N	\N	\N
1071211	3660	1996-01-14	PRIJEM	VKLAD	200	18088	\N	\N	\N
1071212	3660	1996-02-14	PRIJEM	VKLAD	200	15198	\N	\N	\N
1071213	3660	1996-03-16	PRIJEM	VKLAD	200	14145	\N	\N	\N
1071214	3660	1996-04-17	PRIJEM	VKLAD	200	14244	\N	\N	\N
1071215	3660	1996-05-16	PRIJEM	VKLAD	200	13690	\N	\N	\N
1071216	3660	1996-06-17	PRIJEM	VKLAD	200	14536	\N	\N	\N
1071217	3660	1996-07-14	PRIJEM	VKLAD	200	12081	\N	\N	\N
1071218	3660	1996-08-14	PRIJEM	VKLAD	200	16762	\N	\N	\N
1071219	3660	1996-09-15	PRIJEM	VKLAD	200	19550	\N	\N	\N
1071220	3660	1996-10-14	PRIJEM	VKLAD	200	15615	\N	\N	\N
1071221	3660	1996-11-17	PRIJEM	VKLAD	200	16465	\N	\N	\N
1071222	3660	1996-12-13	PRIJEM	VKLAD	200	13717	\N	\N	\N
1071223	3660	1997-01-17	PRIJEM	VKLAD	200	14260	\N	\N	\N
1071224	3660	1997-02-14	PRIJEM	VKLAD	200	15105	\N	\N	\N
1071225	3660	1997-03-16	PRIJEM	VKLAD	200	15952	\N	\N	\N
1071226	3660	1997-04-13	PRIJEM	VKLAD	200	25852	\N	\N	\N
1071227	3660	1997-05-14	PRIJEM	VKLAD	200	13639	\N	\N	\N
1071228	3660	1997-06-15	PRIJEM	VKLAD	200	14480	\N	\N	\N
1071229	3660	1997-07-15	PRIJEM	VKLAD	200	18225	\N	\N	\N
1071230	3660	1997-08-14	PRIJEM	VKLAD	200	19080	\N	\N	\N
1071231	3660	1997-09-13	PRIJEM	VKLAD	200	19944	\N	\N	\N
1071232	3660	1997-10-15	PRIJEM	VKLAD	200	13505	\N	\N	\N
1071233	3660	1997-11-15	PRIJEM	VKLAD	200	14345	\N	\N	\N
1071234	3660	1997-12-15	PRIJEM	VKLAD	200	13087	\N	\N	\N
1071235	3660	1998-01-14	PRIJEM	VKLAD	200	13926	\N	\N	\N
1071236	3660	1998-02-13	PRIJEM	VKLAD	200	14768	\N	\N	\N
1071237	3660	1998-03-14	PRIJEM	VKLAD	200	15613	\N	\N	\N
1071238	3660	1998-04-16	PRIJEM	VKLAD	200	16162	\N	\N	\N
1071239	3660	1998-05-14	PRIJEM	VKLAD	200	14862	\N	\N	\N
1071240	3660	1998-06-14	PRIJEM	VKLAD	200	17910	\N	\N	\N
1071241	3660	1998-07-16	PRIJEM	VKLAD	200	21272	\N	\N	\N
1071242	3660	1998-08-13	PRIJEM	VKLAD	200	19441	\N	\N	\N
1071243	3660	1998-09-17	PRIJEM	VKLAD	200	21410	\N	\N	\N
1071244	3660	1998-10-13	PRIJEM	VKLAD	200	75111	\N	\N	\N
1071245	3660	1998-11-17	PRIJEM	VKLAD	200	84171	\N	\N	\N
1071246	3660	1998-12-17	PRIJEM	VKLAD	200	53174	\N	\N	\N
1071257	3660	1993-11-18	PRIJEM	VKLAD	600	1700	\N	\N	\N
1071258	3660	1993-12-18	PRIJEM	VKLAD	600	12604	\N	\N	\N
1071259	3660	1994-01-18	PRIJEM	VKLAD	600	21034	\N	\N	\N
1071260	3660	1994-02-18	PRIJEM	VKLAD	600	21137	\N	\N	\N
1071261	3660	1994-03-18	PRIJEM	VKLAD	600	25205	\N	\N	\N
1071262	3660	1994-04-18	PRIJEM	VKLAD	600	27788	\N	\N	\N
1071263	3660	1994-05-18	PRIJEM	VKLAD	600	24483	\N	\N	\N
1071264	3660	1994-06-18	PRIJEM	VKLAD	600	17160	\N	\N	\N
1071265	3660	1994-07-18	PRIJEM	VKLAD	600	21485	\N	\N	\N
1071266	3660	1994-08-18	PRIJEM	VKLAD	600	20353	\N	\N	\N
1071267	3660	1994-09-18	PRIJEM	VKLAD	600	22826	\N	\N	\N
1071268	3660	1994-10-18	PRIJEM	VKLAD	600	22699	\N	\N	\N
1071269	3660	1994-11-18	PRIJEM	VKLAD	600	25275	\N	\N	\N
1071270	3660	1994-12-18	PRIJEM	VKLAD	600	68433	\N	\N	\N
1071271	3660	1995-01-18	PRIJEM	VKLAD	600	37294	\N	\N	\N
1071272	3660	1995-02-18	PRIJEM	VKLAD	600	23163	\N	\N	\N
1071273	3660	1995-03-18	PRIJEM	VKLAD	600	21299	\N	\N	\N
1071274	3660	1995-04-18	PRIJEM	VKLAD	600	23877	\N	\N	\N
1071275	3660	1995-05-18	PRIJEM	VKLAD	600	25256	\N	\N	\N
1071276	3660	1995-06-18	PRIJEM	VKLAD	600	25144	\N	\N	\N
1071277	3660	1995-07-18	PRIJEM	VKLAD	600	22834	\N	\N	\N
1071278	3660	1995-08-18	PRIJEM	VKLAD	600	69268	\N	\N	\N
1071279	3660	1995-09-18	PRIJEM	VKLAD	600	43141	\N	\N	\N
1071280	3660	1995-10-18	PRIJEM	VKLAD	600	27549	\N	\N	\N
1071281	3660	1995-11-18	PRIJEM	VKLAD	600	41587	\N	\N	\N
1071282	3660	1995-12-18	PRIJEM	VKLAD	600	25241	\N	\N	\N
1071283	3660	1996-01-18	PRIJEM	VKLAD	600	17488	\N	\N	\N
1071284	3660	1996-02-18	PRIJEM	VKLAD	600	15798	\N	\N	\N
1071285	3660	1996-03-18	PRIJEM	VKLAD	600	14745	\N	\N	\N
1071286	3660	1996-04-18	PRIJEM	VKLAD	600	14844	\N	\N	\N
1071287	3660	1996-05-18	PRIJEM	VKLAD	600	14290	\N	\N	\N
1071288	3660	1996-06-18	PRIJEM	VKLAD	600	15136	\N	\N	\N
1071289	3660	1996-07-18	PRIJEM	VKLAD	600	12681	\N	\N	\N
1071290	3660	1996-08-18	PRIJEM	VKLAD	600	17112	\N	\N	\N
1071291	3660	1996-09-18	PRIJEM	VKLAD	600	20150	\N	\N	\N
1071292	3660	1996-10-18	PRIJEM	VKLAD	600	16215	\N	\N	\N
1071293	3660	1996-11-18	PRIJEM	VKLAD	600	17065	\N	\N	\N
1071294	3660	1996-12-18	PRIJEM	VKLAD	600	14317	\N	\N	\N
1071295	3660	1997-01-18	PRIJEM	VKLAD	600	14860	\N	\N	\N
1071296	3660	1997-02-18	PRIJEM	VKLAD	600	15705	\N	\N	\N
1071297	3660	1997-03-18	PRIJEM	VKLAD	600	16552	\N	\N	\N
1071298	3660	1997-04-18	PRIJEM	VKLAD	600	26452	\N	\N	\N
1071299	3660	1997-05-18	PRIJEM	VKLAD	600	14239	\N	\N	\N
1071300	3660	1997-06-18	PRIJEM	VKLAD	600	15080	\N	\N	\N
1071301	3660	1997-07-18	PRIJEM	VKLAD	600	18825	\N	\N	\N
1071302	3660	1997-08-18	PRIJEM	VKLAD	600	19680	\N	\N	\N
1071303	3660	1997-09-18	PRIJEM	VKLAD	600	20544	\N	\N	\N
1071304	3660	1997-10-18	PRIJEM	VKLAD	600	14105	\N	\N	\N
1071305	3660	1997-11-18	PRIJEM	VKLAD	600	14945	\N	\N	\N
1071306	3660	1997-12-18	PRIJEM	VKLAD	600	13687	\N	\N	\N
1071307	3660	1998-01-18	PRIJEM	VKLAD	600	14526	\N	\N	\N
1071308	3660	1998-02-18	PRIJEM	VKLAD	600	15368	\N	\N	\N
1071309	3660	1998-03-18	PRIJEM	VKLAD	600	16213	\N	\N	\N
1071310	3660	1998-04-18	PRIJEM	VKLAD	600	16762	\N	\N	\N
1071311	3660	1998-05-18	PRIJEM	VKLAD	600	15462	\N	\N	\N
1071312	3660	1998-06-18	PRIJEM	VKLAD	600	18510	\N	\N	\N
1071313	3660	1998-07-18	PRIJEM	VKLAD	600	21872	\N	\N	\N
1071314	3660	1998-08-18	PRIJEM	VKLAD	600	20041	\N	\N	\N
1071315	3660	1998-09-18	PRIJEM	VKLAD	600	22010	\N	\N	\N
1071316	3660	1998-10-18	PRIJEM	VKLAD	600	74561	\N	\N	\N
1071317	3660	1998-11-18	PRIJEM	VKLAD	600	84771	\N	\N	\N
1071318	3660	1998-12-18	PRIJEM	VKLAD	600	52574	\N	\N	\N
1071320	3660	1994-06-03	VYDAJ	VYBER	17500	12260	\N	\N	\N
1071327	3660	1995-01-16	VYDAJ	VYBER	6200	36494	\N	\N	\N
1071339	3660	1995-01-24	VYDAJ	VYBER	4500	31644	\N	\N	\N
1071344	3660	1994-12-09	VYDAJ	VYBER	800	23361	\N	\N	\N
1071345	3660	1995-12-05	VYDAJ	VYBER	1600	24441	\N	\N	\N
1071348	3660	1998-12-17	VYDAJ	VYBER	1200	51974	\N	\N	\N
1071357	3660	1994-01-23	VYDAJ	VYBER	350	19134	\N	\N	\N
1071358	3660	1994-01-25	VYDAJ	VYBER	350	18784	\N	\N	\N
1071359	3660	1994-01-22	VYDAJ	VYBER	450	19484	\N	\N	\N
1071360	3660	1994-01-19	VYDAJ	VYBER	1100	19934	\N	\N	\N
1071361	3660	1995-01-14	VYDAJ	VYBER	500	42694	\N	\N	\N
1071362	3660	1995-01-08	VYDAJ	VYBER	450	43194	\N	\N	\N
1071363	3660	1995-01-26	VYDAJ	VYBER	550	31094	\N	\N	\N
1071364	3660	1995-01-24	VYDAJ	VYBER	1150	36144	\N	\N	\N
1071365	3660	1995-01-28	VYDAJ	VYBER	600	29044	\N	\N	\N
1071366	3660	1995-01-27	VYDAJ	VYBER	1450	29644	\N	\N	\N
1071367	3660	1996-01-23	VYDAJ	VYBER	1150	14388	\N	\N	\N
1071368	3660	1996-01-08	VYDAJ	VYBER	900	17888	\N	\N	\N
1071369	3660	1996-01-15	VYDAJ	VYBER	1200	16888	\N	\N	\N
1071370	3660	1996-01-07	VYDAJ	VYBER	1250	18788	\N	\N	\N
1071371	3660	1996-01-20	VYDAJ	VYBER	1100	15538	\N	\N	\N
1071372	3660	1996-01-26	VYDAJ	VYBER	250	14138	\N	\N	\N
1071375	3660	1997-01-09	VYDAJ	VYBER	300	14060	\N	\N	\N
1071390	3660	1994-10-09	VYDAJ	VYBER	1500	19299	\N	\N	\N
1071391	3660	1994-07-08	VYDAJ	VYBER	1450	15785	\N	\N	\N
1071392	3660	1994-12-20	VYDAJ	VYBER	300	68133	\N	\N	\N
1071393	3660	1994-09-21	VYDAJ	VYBER	2100	20726	\N	\N	\N
1071394	3660	1995-11-16	VYDAJ	VYBER	1450	40987	\N	\N	\N
1071395	3660	1995-03-15	VYDAJ	VYBER	2450	20499	\N	\N	\N
1071396	3660	1995-02-09	VYDAJ	VYBER	1250	22363	\N	\N	\N
1071397	3660	1995-02-06	VYDAJ	VYBER	400	28813	\N	\N	\N
1071398	3660	1996-01-18	VYDAJ	VYBER	850	16638	\N	\N	\N
1071399	3660	1996-08-03	VYDAJ	VYBER	1450	16562	\N	\N	\N
1071400	3660	1996-08-16	VYDAJ	VYBER	250	16512	\N	\N	\N
1071401	3660	1996-04-02	VYDAJ	VYBER	850	14044	\N	\N	\N
1071403	3660	1997-03-27	VYDAJ	VYBER	1550	46724	\N	\N	\N
1071405	3660	1997-04-02	VYDAJ	VYBER	1050	25652	\N	\N	\N
1071407	3660	1998-10-13	VYDAJ	VYBER	1150	73961	\N	\N	\N
1071408	3660	1998-10-06	VYDAJ	VYBER	1900	74911	\N	\N	\N
1071409	3660	1998-10-21	VYDAJ	VYBER	1800	50761	\N	\N	\N
1071410	3660	1998-09-03	VYDAJ	VYBER	1800	21210	\N	\N	\N
1071411	3660	1998-04-22	VYDAJ	VYBER	1150	15612	\N	\N	\N
1071425	3660	1994-01-31	VYDAJ	VYBER	15	18837	SLUZBY	\N	\N
1071426	3660	1994-02-28	VYDAJ	VYBER	15	21205	SLUZBY	\N	\N
1071427	3660	1994-03-31	VYDAJ	VYBER	15	25288	SLUZBY	\N	\N
1071428	3660	1994-04-30	VYDAJ	VYBER	15	27883	SLUZBY	\N	\N
1071429	3660	1994-05-31	VYDAJ	VYBER	15	29760	SLUZBY	\N	\N
1071430	3660	1994-06-30	VYDAJ	VYBER	15	17235	SLUZBY	\N	\N
1071431	3660	1994-07-31	VYDAJ	VYBER	15	21553	SLUZBY	\N	\N
1071432	3660	1994-08-31	VYDAJ	VYBER	15	20426	SLUZBY	\N	\N
1071433	3660	1994-09-30	VYDAJ	VYBER	15	20799	SLUZBY	\N	\N
1071434	3660	1994-10-31	VYDAJ	VYBER	15	22775	SLUZBY	\N	\N
1071435	3660	1994-11-30	VYDAJ	VYBER	15	25361	SLUZBY	\N	\N
1071436	3660	1994-12-31	VYDAJ	VYBER	15	68344	SLUZBY	\N	\N
1071437	3660	1995-01-31	VYDAJ	VYBER	15	29213	SLUZBY	\N	\N
1071438	3660	1995-02-28	VYDAJ	VYBER	15	23249	SLUZBY	\N	\N
1071439	3660	1995-03-31	VYDAJ	VYBER	15	21377	SLUZBY	\N	\N
1071440	3660	1995-04-30	VYDAJ	VYBER	15	23956	SLUZBY	\N	\N
1071441	3660	1995-05-31	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
1071442	3660	1995-06-30	VYDAJ	VYBER	15	25234	SLUZBY	\N	\N
1071443	3660	1995-07-31	VYDAJ	VYBER	15	22918	SLUZBY	\N	\N
1071444	3660	1995-08-31	VYDAJ	VYBER	15	69441	SLUZBY	\N	\N
1071445	3660	1995-09-30	VYDAJ	VYBER	15	43349	SLUZBY	\N	\N
1071446	3660	1995-10-31	VYDAJ	VYBER	15	27678	SLUZBY	\N	\N
1071447	3660	1995-11-30	VYDAJ	VYBER	15	41741	SLUZBY	\N	\N
1071448	3660	1995-12-31	VYDAJ	VYBER	15	25338	SLUZBY	\N	\N
1071449	3660	1996-01-31	VYDAJ	VYBER	15	14198	SLUZBY	\N	\N
1071450	3660	1996-02-29	VYDAJ	VYBER	15	15845	SLUZBY	\N	\N
1071451	3660	1996-03-31	VYDAJ	VYBER	15	14794	SLUZBY	\N	\N
1071452	3660	1996-04-30	VYDAJ	VYBER	15	14890	SLUZBY	\N	\N
1071453	3660	1996-05-31	VYDAJ	VYBER	15	14336	SLUZBY	\N	\N
1071454	3660	1996-06-30	VYDAJ	VYBER	15	15181	SLUZBY	\N	\N
1071455	3660	1996-07-31	VYDAJ	VYBER	15	35612	SLUZBY	\N	\N
1071456	3660	1996-08-31	VYDAJ	VYBER	15	19350	SLUZBY	\N	\N
1071457	3660	1996-09-30	VYDAJ	VYBER	15	15415	SLUZBY	\N	\N
1071458	3660	1996-10-31	VYDAJ	VYBER	15	16265	SLUZBY	\N	\N
1071459	3660	1996-11-30	VYDAJ	VYBER	15	13517	SLUZBY	\N	\N
1071460	3660	1996-12-31	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
1071461	3660	1997-01-31	VYDAJ	VYBER	15	14905	SLUZBY	\N	\N
1071462	3660	1997-02-28	VYDAJ	VYBER	15	15752	SLUZBY	\N	\N
1071463	3660	1997-03-31	VYDAJ	VYBER	15	26702	SLUZBY	\N	\N
1071464	3660	1997-04-30	VYDAJ	VYBER	15	13439	SLUZBY	\N	\N
1071465	3660	1997-05-31	VYDAJ	VYBER	15	14280	SLUZBY	\N	\N
1071466	3660	1997-06-30	VYDAJ	VYBER	15	15125	SLUZBY	\N	\N
1071467	3660	1997-07-31	VYDAJ	VYBER	15	18880	SLUZBY	\N	\N
1071468	3660	1997-08-31	VYDAJ	VYBER	15	19744	SLUZBY	\N	\N
1071469	3660	1997-09-30	VYDAJ	VYBER	15	13305	SLUZBY	\N	\N
1071470	3660	1997-10-31	VYDAJ	VYBER	15	14145	SLUZBY	\N	\N
1071471	3660	1997-11-30	VYDAJ	VYBER	15	12887	SLUZBY	\N	\N
1071472	3660	1997-12-31	VYDAJ	VYBER	15	13726	SLUZBY	\N	\N
1071473	3660	1998-01-31	VYDAJ	VYBER	15	14568	SLUZBY	\N	\N
1071474	3660	1998-02-28	VYDAJ	VYBER	15	15413	SLUZBY	\N	\N
1071475	3660	1998-03-31	VYDAJ	VYBER	15	15962	SLUZBY	\N	\N
1071476	3660	1998-04-30	VYDAJ	VYBER	15	14662	SLUZBY	\N	\N
1071477	3660	1998-05-31	VYDAJ	VYBER	15	17710	SLUZBY	\N	\N
1071478	3660	1998-06-30	VYDAJ	VYBER	15	21072	SLUZBY	\N	\N
1071479	3660	1998-07-31	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
1071480	3660	1998-08-31	VYDAJ	VYBER	15	23010	SLUZBY	\N	\N
1071481	3660	1998-09-30	VYDAJ	VYBER	15	27596	SLUZBY	\N	\N
1071482	3660	1998-10-31	VYDAJ	VYBER	15	50984	SLUZBY	\N	\N
1071483	3660	1998-11-30	VYDAJ	VYBER	15	52974	SLUZBY	\N	\N
1071484	3660	1993-12-14	PRIJEM	VKLAD	10100	11804	\N	\N	\N
1071485	3660	1994-01-13	PRIJEM	VKLAD	7600	20234	\N	\N	\N
1071486	3660	1994-02-12	PRIJEM	VKLAD	1500	20337	\N	\N	\N
1071487	3660	1994-03-14	PRIJEM	VKLAD	3200	24405	\N	\N	\N
1071488	3660	1994-04-13	PRIJEM	VKLAD	1700	26988	\N	\N	\N
1071489	3660	1994-05-13	VYDAJ	VYBER	4200	23883	\N	\N	\N
1071490	3660	1994-06-12	PRIJEM	VKLAD	4100	16360	\N	\N	\N
1071491	3660	1994-07-12	PRIJEM	VKLAD	4900	20685	\N	\N	\N
1071492	3660	1994-08-11	VYDAJ	VYBER	2000	19553	\N	\N	\N
1071493	3660	1994-09-10	PRIJEM	VKLAD	1600	22026	\N	\N	\N
1071494	3660	1994-10-10	PRIJEM	VKLAD	2600	21899	\N	\N	\N
1071495	3660	1994-11-09	PRIJEM	VKLAD	1700	24475	\N	\N	\N
1071496	3660	1994-12-09	VYDAJ	VYBER	1200	24161	\N	\N	\N
1071497	3660	1995-01-08	VYDAJ	VYBER	24700	43644	\N	\N	\N
1071498	3660	1995-02-07	VYDAJ	VYBER	5200	23613	\N	\N	\N
1071499	3660	1995-03-09	VYDAJ	VYBER	300	22949	\N	\N	\N
1071500	3660	1995-04-08	PRIJEM	VKLAD	1700	23077	\N	\N	\N
1071501	3660	1995-05-08	PRIJEM	VKLAD	500	24456	\N	\N	\N
1071502	3660	1995-06-07	VYDAJ	VYBER	1000	24344	\N	\N	\N
1071503	3660	1995-07-07	VYDAJ	VYBER	3200	22034	\N	\N	\N
1071504	3660	1995-08-06	VYDAJ	VYBER	2700	20218	\N	\N	\N
1071505	3660	1995-09-05	VYDAJ	VYBER	27100	42341	\N	\N	\N
1071506	3660	1995-10-05	VYDAJ	VYBER	16600	26749	\N	\N	\N
1071507	3660	1995-11-04	VYDAJ	VYBER	29600	42237	\N	\N	\N
1071508	3660	1995-12-04	VYDAJ	VYBER	15700	26041	\N	\N	\N
1071509	3660	1996-01-03	VYDAJ	VYBER	5300	20038	\N	\N	\N
1071510	3660	1996-02-02	PRIJEM	VKLAD	800	14998	\N	\N	\N
1071511	3660	1996-03-03	VYDAJ	VYBER	1900	13945	\N	\N	\N
1071512	3660	1996-04-02	PRIJEM	VKLAD	100	14894	\N	\N	\N
1071513	3660	1996-05-02	VYDAJ	VYBER	1400	13490	\N	\N	\N
1071514	3660	1996-07-01	VYDAJ	VYBER	3300	11881	\N	\N	\N
1071515	3660	1996-07-31	VYDAJ	VYBER	17600	18012	\N	\N	\N
1071516	3660	1996-08-30	VYDAJ	VYBER	10400	19279	\N	\N	\N
1071517	3660	1996-09-29	VYDAJ	VYBER	4800	15350	\N	\N	\N
1071518	3660	1996-11-28	VYDAJ	VYBER	3600	13465	\N	\N	\N
1071519	3660	1997-03-28	VYDAJ	VYBER	20100	26624	\N	\N	\N
1071520	3660	1997-04-27	VYDAJ	VYBER	13100	13352	\N	\N	\N
1071521	3660	1997-09-24	VYDAJ	VYBER	7300	13244	\N	\N	\N
1071522	3660	1997-11-23	VYDAJ	VYBER	2100	12845	\N	\N	\N
1071523	3660	1998-03-23	VYDAJ	VYBER	300	15913	\N	\N	\N
1071524	3660	1998-04-22	VYDAJ	VYBER	1000	14612	\N	\N	\N
1071525	3660	1998-05-22	PRIJEM	VKLAD	2200	17662	\N	\N	\N
1071526	3660	1998-06-21	PRIJEM	VKLAD	2500	21010	\N	\N	\N
1071527	3660	1998-07-21	VYDAJ	VYBER	2700	19172	\N	\N	\N
1071528	3660	1998-08-20	PRIJEM	VKLAD	2900	22941	\N	\N	\N
1071529	3660	1998-09-19	PRIJEM	VKLAD	5500	27510	\N	\N	\N
1071530	3660	1998-10-19	VYDAJ	VYBER	22000	52561	\N	\N	\N
1071531	3660	1998-11-18	VYDAJ	VYBER	32000	52771	\N	\N	\N
1071594	3661	1996-01-11	PRIJEM	VKLAD	800	800	\N	\N	\N
1071596	3661	1996-02-07	PRIJEM	PREVOD Z UCTU	4966	5766	DUCHOD	QR	37396419
1071597	3661	1996-03-07	PRIJEM	PREVOD Z UCTU	4966	10732	DUCHOD	QR	37396419
1071598	3661	1996-04-07	PRIJEM	PREVOD Z UCTU	4966	15698	DUCHOD	QR	37396419
1071599	3661	1996-05-07	PRIJEM	PREVOD Z UCTU	4966	20664	DUCHOD	QR	37396419
1071600	3661	1996-06-07	PRIJEM	PREVOD Z UCTU	4966	25630	DUCHOD	QR	37396419
1071601	3661	1996-07-07	PRIJEM	PREVOD Z UCTU	4966	27337	DUCHOD	QR	37396419
1071602	3661	1996-08-07	PRIJEM	PREVOD Z UCTU	4966	26673	DUCHOD	QR	37396419
1071603	3661	1996-09-07	PRIJEM	PREVOD Z UCTU	4966	24808	DUCHOD	QR	37396419
1071604	3661	1996-10-07	PRIJEM	PREVOD Z UCTU	4966	26537	DUCHOD	QR	37396419
1071605	3661	1996-11-07	PRIJEM	PREVOD Z UCTU	4966	26027	DUCHOD	QR	37396419
1071606	3661	1996-12-07	PRIJEM	PREVOD Z UCTU	4966	27761	DUCHOD	QR	37396419
1071607	3661	1997-01-07	PRIJEM	PREVOD Z UCTU	4966	25940	DUCHOD	QR	37396419
1071608	3661	1997-02-07	PRIJEM	PREVOD Z UCTU	4966	18439	DUCHOD	QR	37396419
1071609	3661	1997-03-07	PRIJEM	PREVOD Z UCTU	4966	20141	DUCHOD	QR	37396419
1071610	3661	1997-04-07	PRIJEM	PREVOD Z UCTU	4966	19765	DUCHOD	QR	37396419
1071611	3661	1997-05-07	PRIJEM	PREVOD Z UCTU	4966	19470	DUCHOD	QR	37396419
1071612	3661	1997-06-07	PRIJEM	PREVOD Z UCTU	4966	19627	DUCHOD	QR	37396419
1071613	3661	1997-07-07	PRIJEM	PREVOD Z UCTU	4966	21337	DUCHOD	QR	37396419
1071614	3661	1997-08-07	PRIJEM	PREVOD Z UCTU	4966	19927	DUCHOD	QR	37396419
1071615	3661	1997-09-07	PRIJEM	PREVOD Z UCTU	4966	21636	DUCHOD	QR	37396419
1071616	3661	1997-10-07	PRIJEM	PREVOD Z UCTU	4966	23351	DUCHOD	QR	37396419
1071617	3661	1997-11-07	PRIJEM	PREVOD Z UCTU	4966	25074	DUCHOD	QR	37396419
1071618	3661	1997-12-07	PRIJEM	PREVOD Z UCTU	4966	22882	DUCHOD	QR	37396419
1071619	3661	1998-01-07	PRIJEM	PREVOD Z UCTU	4966	21531	DUCHOD	QR	37396419
1071620	3661	1998-02-07	PRIJEM	PREVOD Z UCTU	4966	18520	DUCHOD	QR	37396419
1071621	3661	1998-03-07	PRIJEM	PREVOD Z UCTU	4966	20223	DUCHOD	QR	37396419
1071622	3661	1998-04-07	PRIJEM	PREVOD Z UCTU	4966	18889	DUCHOD	QR	37396419
1071623	3661	1998-05-07	PRIJEM	PREVOD Z UCTU	4966	20593	DUCHOD	QR	37396419
1071624	3661	1998-06-07	PRIJEM	PREVOD Z UCTU	4966	22304	DUCHOD	QR	37396419
1071625	3661	1998-07-07	PRIJEM	PREVOD Z UCTU	4966	24022	DUCHOD	QR	37396419
1071626	3661	1998-08-07	PRIJEM	PREVOD Z UCTU	4966	25748	DUCHOD	QR	37396419
1071627	3661	1998-09-07	PRIJEM	PREVOD Z UCTU	4966	27480	DUCHOD	QR	37396419
1071628	3661	1998-10-07	PRIJEM	PREVOD Z UCTU	4966	29220	DUCHOD	QR	37396419
1071629	3661	1998-11-07	PRIJEM	PREVOD Z UCTU	4966	30967	DUCHOD	QR	37396419
1071630	3661	1998-12-07	PRIJEM	PREVOD Z UCTU	4966	32721	DUCHOD	QR	37396419
1071636	3661	1996-06-10	VYDAJ	PREVOD NA UCET	3310	22320	SIPO	OP	83624249
1071637	3661	1996-07-10	VYDAJ	PREVOD NA UCET	3310	24027	SIPO	OP	83624249
1071638	3661	1996-08-10	VYDAJ	PREVOD NA UCET	3310	23363	SIPO	OP	83624249
1071639	3661	1996-09-10	VYDAJ	PREVOD NA UCET	3310	21498	SIPO	OP	83624249
1071640	3661	1996-10-10	VYDAJ	PREVOD NA UCET	3310	23227	SIPO	OP	83624249
1071641	3661	1996-11-10	VYDAJ	PREVOD NA UCET	3310	22717	SIPO	OP	83624249
1071642	3661	1996-12-10	VYDAJ	PREVOD NA UCET	3310	24451	SIPO	OP	83624249
1071643	3661	1997-01-10	VYDAJ	PREVOD NA UCET	3310	21430	SIPO	OP	83624249
1071644	3661	1997-02-10	VYDAJ	PREVOD NA UCET	3310	15129	SIPO	OP	83624249
1071645	3661	1997-03-10	VYDAJ	PREVOD NA UCET	3310	16831	SIPO	OP	83624249
1071646	3661	1997-04-10	VYDAJ	PREVOD NA UCET	3310	16455	SIPO	OP	83624249
1071647	3661	1997-05-10	VYDAJ	PREVOD NA UCET	3310	16160	SIPO	OP	83624249
1071648	3661	1997-06-10	VYDAJ	PREVOD NA UCET	3310	16317	SIPO	OP	83624249
1071649	3661	1997-07-10	VYDAJ	PREVOD NA UCET	3310	18027	SIPO	OP	83624249
1071796	3662	1998-09-06	PRIJEM	VKLAD	19401	78909	\N	\N	\N
1071650	3661	1997-08-10	VYDAJ	PREVOD NA UCET	3310	16617	SIPO	OP	83624249
1071651	3661	1997-09-10	VYDAJ	PREVOD NA UCET	3310	18326	SIPO	OP	83624249
1071652	3661	1997-10-10	VYDAJ	PREVOD NA UCET	3310	20041	SIPO	OP	83624249
1071653	3661	1997-11-10	VYDAJ	PREVOD NA UCET	3310	21764	SIPO	OP	83624249
1071654	3661	1997-12-10	VYDAJ	PREVOD NA UCET	3310	19572	SIPO	OP	83624249
1071655	3661	1998-01-10	VYDAJ	PREVOD NA UCET	3310	18221	SIPO	OP	83624249
1071656	3661	1998-02-10	VYDAJ	PREVOD NA UCET	3310	15210	SIPO	OP	83624249
1071657	3661	1998-03-10	VYDAJ	PREVOD NA UCET	3310	16913	SIPO	OP	83624249
1071658	3661	1998-04-10	VYDAJ	PREVOD NA UCET	3310	15579	SIPO	OP	83624249
1071659	3661	1998-05-10	VYDAJ	PREVOD NA UCET	3310	17283	SIPO	OP	83624249
1071660	3661	1998-06-10	VYDAJ	PREVOD NA UCET	3310	18994	SIPO	OP	83624249
1071661	3661	1998-07-10	VYDAJ	PREVOD NA UCET	3310	20712	SIPO	OP	83624249
1071662	3661	1998-08-10	VYDAJ	PREVOD NA UCET	3310	22438	SIPO	OP	83624249
1071663	3661	1998-09-10	VYDAJ	PREVOD NA UCET	3310	24170	SIPO	OP	83624249
1071664	3661	1998-10-10	VYDAJ	PREVOD NA UCET	3310	25910	SIPO	OP	83624249
1071665	3661	1998-11-10	VYDAJ	PREVOD NA UCET	3310	27657	SIPO	OP	83624249
1071666	3661	1998-12-10	VYDAJ	PREVOD NA UCET	3310	29411	SIPO	OP	83624249
1071668	3661	1997-06-01	VYDAJ	VYBER	1550	14661	\N	\N	\N
1071671	3661	1997-01-25	VYDAJ	VYBER	2500	13410	\N	\N	\N
1071673	3661	1996-12-29	VYDAJ	VYBER	600	20891	\N	\N	\N
1071674	3661	1997-12-19	VYDAJ	VYBER	750	18822	\N	\N	\N
1071675	3661	1998-12-25	VYDAJ	VYBER	850	28561	\N	\N	\N
1071682	3661	1997-01-25	VYDAJ	VYBER	1040	15910	\N	\N	\N
1071683	3661	1997-01-07	VYDAJ	VYBER	1200	24740	\N	\N	\N
1071684	3661	1997-01-12	VYDAJ	VYBER	2320	19110	\N	\N	\N
1071685	3661	1997-01-16	VYDAJ	VYBER	1440	17670	\N	\N	\N
1071686	3661	1997-01-18	VYDAJ	VYBER	720	16950	\N	\N	\N
1071689	3661	1998-01-01	VYDAJ	VYBER	2320	16565	\N	\N	\N
1071690	3661	1998-01-18	VYDAJ	VYBER	2080	14381	\N	\N	\N
1071691	3661	1998-01-14	VYDAJ	VYBER	800	16461	\N	\N	\N
1071692	3661	1998-01-21	VYDAJ	VYBER	880	13501	\N	\N	\N
1071693	3661	1998-01-12	VYDAJ	VYBER	960	17261	\N	\N	\N
1071696	3661	1996-07-21	VYDAJ	VYBER	2400	21627	\N	\N	\N
1071697	3661	1996-08-29	VYDAJ	VYBER	3600	19763	\N	\N	\N
1071698	3661	1996-10-11	VYDAJ	VYBER	2240	20987	\N	\N	\N
1071699	3661	1996-12-27	VYDAJ	VYBER	2960	21491	\N	\N	\N
1071701	3661	1997-07-21	VYDAJ	VYBER	3120	14907	\N	\N	\N
1071704	3661	1997-11-27	VYDAJ	VYBER	3920	17844	\N	\N	\N
1071705	3661	1997-03-12	VYDAJ	VYBER	2080	14751	\N	\N	\N
1071706	3661	1997-04-21	VYDAJ	VYBER	2000	14455	\N	\N	\N
1071707	3661	1998-03-25	VYDAJ	VYBER	3040	13873	\N	\N	\N
1071714	3661	1996-06-30	VYDAJ	VYBER	15	22371	SLUZBY	\N	\N
1071715	3661	1996-07-31	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
1071716	3661	1996-08-31	VYDAJ	VYBER	15	19842	SLUZBY	\N	\N
1071717	3661	1996-09-30	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
1071718	3661	1996-10-31	VYDAJ	VYBER	15	21061	SLUZBY	\N	\N
1071719	3661	1996-11-30	VYDAJ	VYBER	15	22795	SLUZBY	\N	\N
1071720	3661	1996-12-31	VYDAJ	VYBER	15	20974	SLUZBY	\N	\N
1071721	3661	1997-01-31	VYDAJ	VYBER	15	13473	SLUZBY	\N	\N
1071722	3661	1997-02-28	VYDAJ	VYBER	15	15175	SLUZBY	\N	\N
1071723	3661	1997-03-31	VYDAJ	VYBER	15	14799	SLUZBY	\N	\N
1071724	3661	1997-04-30	VYDAJ	VYBER	15	14504	SLUZBY	\N	\N
1071725	3661	1997-05-31	VYDAJ	VYBER	15	16211	SLUZBY	\N	\N
1071726	3661	1997-06-30	VYDAJ	VYBER	15	16371	SLUZBY	\N	\N
1071727	3661	1997-07-31	VYDAJ	VYBER	15	14961	SLUZBY	\N	\N
1071728	3661	1997-08-31	VYDAJ	VYBER	15	16670	SLUZBY	\N	\N
1071729	3661	1997-09-30	VYDAJ	VYBER	15	18385	SLUZBY	\N	\N
1071730	3661	1997-10-31	VYDAJ	VYBER	15	20108	SLUZBY	\N	\N
1071731	3661	1997-11-30	VYDAJ	VYBER	15	17916	SLUZBY	\N	\N
1071732	3661	1997-12-31	VYDAJ	VYBER	15	18885	SLUZBY	\N	\N
1071733	3661	1998-01-31	VYDAJ	VYBER	15	13554	SLUZBY	\N	\N
1071734	3661	1998-02-28	VYDAJ	VYBER	15	15257	SLUZBY	\N	\N
1071735	3661	1998-03-31	VYDAJ	VYBER	15	13923	SLUZBY	\N	\N
1071736	3661	1998-04-30	VYDAJ	VYBER	15	15627	SLUZBY	\N	\N
1071737	3661	1998-05-31	VYDAJ	VYBER	15	17338	SLUZBY	\N	\N
1071738	3661	1998-06-30	VYDAJ	VYBER	15	19056	SLUZBY	\N	\N
1071739	3661	1998-07-31	VYDAJ	VYBER	15	20782	SLUZBY	\N	\N
1071740	3661	1998-08-31	VYDAJ	VYBER	15	22514	SLUZBY	\N	\N
1071741	3661	1998-09-30	VYDAJ	VYBER	15	24254	SLUZBY	\N	\N
1071742	3661	1998-10-31	VYDAJ	VYBER	15	26001	SLUZBY	\N	\N
1071743	3661	1998-11-30	VYDAJ	VYBER	15	27755	SLUZBY	\N	\N
1071775	3662	1997-05-26	PRIJEM	VKLAD	600	600	\N	\N	\N
1071781	3662	1997-06-06	PRIJEM	VKLAD	29102	29702	\N	\N	\N
1071782	3662	1997-07-06	PRIJEM	VKLAD	19401	46125	\N	\N	\N
1071783	3662	1997-08-06	PRIJEM	VKLAD	19401	54846	\N	\N	\N
1071784	3662	1997-09-06	PRIJEM	VKLAD	19401	57797	\N	\N	\N
1071785	3662	1997-10-06	PRIJEM	VKLAD	19401	59559	\N	\N	\N
1071786	3662	1997-11-06	PRIJEM	VKLAD	19401	63417	\N	\N	\N
1071787	3662	1997-12-06	PRIJEM	VKLAD	29102	78194	\N	\N	\N
1071788	3662	1998-01-06	PRIJEM	VKLAD	19401	72615	\N	\N	\N
1071789	3662	1998-02-06	PRIJEM	VKLAD	19401	64749	\N	\N	\N
1071790	3662	1998-03-06	PRIJEM	VKLAD	19401	69430	\N	\N	\N
1071791	3662	1998-04-06	PRIJEM	VKLAD	19401	64221	\N	\N	\N
1071792	3662	1998-05-06	PRIJEM	VKLAD	19401	69501	\N	\N	\N
1071793	3662	1998-06-06	PRIJEM	VKLAD	29102	86207	\N	\N	\N
1071794	3662	1998-07-06	PRIJEM	VKLAD	19401	74250	\N	\N	\N
1071795	3662	1998-08-06	PRIJEM	VKLAD	19401	79673	\N	\N	\N
1071797	3662	1998-10-06	PRIJEM	VKLAD	19401	79266	\N	\N	\N
1071798	3662	1998-11-06	PRIJEM	VKLAD	19401	85045	\N	\N	\N
1071799	3662	1998-12-06	PRIJEM	VKLAD	29102	98612	\N	\N	\N
1071801	3662	1998-06-10	VYDAJ	VYBER	12900	73307	\N	\N	\N
1071803	3662	1998-01-28	VYDAJ	VYBER	3000	45115	\N	\N	\N
1071804	3662	1997-12-15	VYDAJ	VYBER	2400	75794	\N	\N	\N
1071805	3662	1998-12-06	VYDAJ	VYBER	900	97712	\N	\N	\N
1071812	3662	1998-01-22	VYDAJ	VYBER	600	48115	\N	\N	\N
1071813	3662	1998-01-08	VYDAJ	VYBER	2300	69215	\N	\N	\N
1071814	3662	1998-01-12	VYDAJ	VYBER	800	68415	\N	\N	\N
1071815	3662	1998-01-19	VYDAJ	VYBER	1100	67315	\N	\N	\N
1071816	3662	1998-01-21	VYDAJ	VYBER	1500	65815	\N	\N	\N
1071817	3662	1998-01-06	VYDAJ	VYBER	1100	71515	\N	\N	\N
1071822	3662	1998-03-31	VYDAJ	VYBER	2900	44834	\N	\N	\N
1071823	3662	1998-09-08	VYDAJ	VYBER	4900	74009	\N	\N	\N
1071824	3662	1998-10-01	VYDAJ	VYBER	1700	59865	\N	\N	\N
1071835	3662	1997-10-31	VYDAJ	VYBER	15	44016	SLUZBY	\N	\N
1071836	3662	1997-11-30	VYDAJ	VYBER	15	49092	SLUZBY	\N	\N
1071837	3662	1997-12-31	VYDAJ	VYBER	15	53214	SLUZBY	\N	\N
1071838	3662	1998-01-31	VYDAJ	VYBER	15	45348	SLUZBY	\N	\N
1071839	3662	1998-02-28	VYDAJ	VYBER	15	50029	SLUZBY	\N	\N
1071840	3662	1998-03-31	VYDAJ	VYBER	15	44820	SLUZBY	\N	\N
1071841	3662	1998-04-30	VYDAJ	VYBER	15	50100	SLUZBY	\N	\N
1071842	3662	1998-05-31	VYDAJ	VYBER	15	57105	SLUZBY	\N	\N
1071843	3662	1998-06-30	VYDAJ	VYBER	15	54849	SLUZBY	\N	\N
1071844	3662	1998-07-31	VYDAJ	VYBER	15	60272	SLUZBY	\N	\N
1071845	3662	1998-08-31	VYDAJ	VYBER	15	59508	SLUZBY	\N	\N
1071846	3662	1998-09-30	VYDAJ	VYBER	15	61565	SLUZBY	\N	\N
1071847	3662	1998-10-31	VYDAJ	VYBER	15	65644	SLUZBY	\N	\N
1071848	3662	1998-11-30	VYDAJ	VYBER	15	69510	SLUZBY	\N	\N
1071849	3662	1997-06-25	VYDAJ	VYBER	3000	26702	\N	\N	\N
1071850	3662	1997-07-25	VYDAJ	VYBER	10800	35325	\N	\N	\N
1071851	3662	1997-08-24	VYDAJ	VYBER	16600	38246	\N	\N	\N
1071852	3662	1997-09-23	VYDAJ	VYBER	17800	39997	\N	\N	\N
1071853	3662	1997-10-23	VYDAJ	VYBER	15700	43859	\N	\N	\N
1071854	3662	1997-11-22	VYDAJ	VYBER	14500	48917	\N	\N	\N
1071855	3662	1997-12-22	VYDAJ	VYBER	22800	52994	\N	\N	\N
1071856	3662	1998-01-21	VYDAJ	VYBER	17100	48715	\N	\N	\N
1071857	3662	1998-02-20	VYDAJ	VYBER	14900	49849	\N	\N	\N
1071858	3662	1998-03-22	VYDAJ	VYBER	21900	47530	\N	\N	\N
1071859	3662	1998-04-21	VYDAJ	VYBER	14300	49921	\N	\N	\N
1071860	3662	1998-05-21	VYDAJ	VYBER	12600	56901	\N	\N	\N
1071861	3662	1998-06-20	VYDAJ	VYBER	18700	54607	\N	\N	\N
1071862	3662	1998-07-20	VYDAJ	VYBER	14200	60050	\N	\N	\N
1071863	3662	1998-08-19	VYDAJ	VYBER	20400	59273	\N	\N	\N
1071864	3662	1998-09-18	VYDAJ	VYBER	12700	61309	\N	\N	\N
1071865	3662	1998-10-18	VYDAJ	VYBER	13900	65366	\N	\N	\N
1071866	3662	1998-11-17	VYDAJ	VYBER	15800	69245	\N	\N	\N
1071886	3663	1994-11-06	PRIJEM	VKLAD	400	400	\N	\N	\N
1071897	3663	1994-11-12	PRIJEM	VKLAD	24662	25062	\N	\N	\N
1071898	3663	1994-12-12	PRIJEM	VKLAD	36993	63621	\N	\N	\N
1071899	3663	1995-01-12	PRIJEM	VKLAD	24662	68291	\N	\N	\N
1071900	3663	1995-02-12	PRIJEM	VKLAD	24662	72431	\N	\N	\N
1071901	3663	1995-03-12	PRIJEM	VKLAD	24662	75488	\N	\N	\N
1071902	3663	1995-04-12	PRIJEM	VKLAD	24662	70261	\N	\N	\N
1071903	3663	1995-05-12	PRIJEM	VKLAD	24662	71011	\N	\N	\N
1071904	3663	1995-06-12	PRIJEM	VKLAD	36993	79290	\N	\N	\N
1071905	3663	1995-07-12	PRIJEM	VKLAD	24662	74948	\N	\N	\N
1071906	3663	1995-08-12	PRIJEM	VKLAD	24662	75715	\N	\N	\N
1071907	3663	1995-09-12	PRIJEM	VKLAD	24662	73303	\N	\N	\N
1071908	3663	1995-10-12	PRIJEM	VKLAD	24662	74465	\N	\N	\N
1071909	3663	1995-11-12	PRIJEM	VKLAD	24662	72013	\N	\N	\N
1071910	3663	1995-12-12	PRIJEM	VKLAD	36993	87891	\N	\N	\N
1071911	3663	1996-01-12	PRIJEM	VKLAD	24662	83298	\N	\N	\N
1071912	3663	1996-02-12	PRIJEM	VKLAD	24662	74045	\N	\N	\N
1071913	3663	1996-03-12	PRIJEM	VKLAD	24662	74767	\N	\N	\N
1071914	3663	1996-04-12	PRIJEM	VKLAD	24662	80103	\N	\N	\N
1071915	3663	1996-05-12	PRIJEM	VKLAD	24662	82678	\N	\N	\N
1071916	3663	1996-06-12	PRIJEM	VKLAD	36993	94492	\N	\N	\N
1071917	3663	1996-07-12	PRIJEM	VKLAD	24662	76546	\N	\N	\N
1071918	3663	1996-08-12	PRIJEM	VKLAD	24662	80090	\N	\N	\N
1071919	3663	1996-09-12	PRIJEM	VKLAD	24662	83558	\N	\N	\N
1071920	3663	1996-10-12	PRIJEM	VKLAD	24662	83520	\N	\N	\N
1071921	3663	1996-11-12	PRIJEM	VKLAD	24662	83982	\N	\N	\N
1071922	3663	1996-12-12	PRIJEM	VKLAD	36993	96990	\N	\N	\N
1071923	3663	1997-01-12	PRIJEM	VKLAD	24662	82181	\N	\N	\N
1071924	3663	1997-02-12	PRIJEM	VKLAD	24662	75118	\N	\N	\N
1071925	3663	1997-03-12	PRIJEM	VKLAD	24662	76841	\N	\N	\N
1071926	3663	1997-04-12	PRIJEM	VKLAD	24662	75284	\N	\N	\N
1071927	3663	1997-05-12	PRIJEM	VKLAD	24662	73118	\N	\N	\N
1071928	3663	1997-06-12	PRIJEM	VKLAD	36993	80561	\N	\N	\N
1071929	3663	1997-07-12	PRIJEM	VKLAD	24662	72001	\N	\N	\N
1071930	3663	1997-08-12	PRIJEM	VKLAD	24662	72312	\N	\N	\N
1071931	3663	1997-09-12	PRIJEM	VKLAD	24662	70125	\N	\N	\N
1071932	3663	1997-10-12	PRIJEM	VKLAD	24662	67413	\N	\N	\N
1071933	3663	1997-11-12	PRIJEM	VKLAD	24662	68295	\N	\N	\N
1071934	3663	1997-12-12	PRIJEM	VKLAD	36993	82125	\N	\N	\N
1071935	3663	1998-01-12	PRIJEM	VKLAD	24662	76049	\N	\N	\N
1071936	3663	1998-02-12	PRIJEM	VKLAD	24662	59855	\N	\N	\N
1071937	3663	1998-03-12	PRIJEM	VKLAD	24662	69722	\N	\N	\N
1071938	3663	1998-04-12	PRIJEM	VKLAD	24662	73115	\N	\N	\N
1071939	3663	1998-05-12	PRIJEM	VKLAD	24662	67410	\N	\N	\N
1071940	3663	1998-06-12	PRIJEM	VKLAD	36993	77723	\N	\N	\N
1071941	3663	1998-07-12	PRIJEM	VKLAD	24662	47095	\N	\N	\N
1071942	3663	1998-08-12	PRIJEM	VKLAD	24662	57011	\N	\N	\N
1071943	3663	1998-09-12	PRIJEM	VKLAD	24662	61246	\N	\N	\N
1071944	3663	1998-10-12	PRIJEM	VKLAD	24662	65297	\N	\N	\N
1071945	3663	1998-11-12	PRIJEM	VKLAD	24662	61558	\N	\N	\N
1071946	3663	1998-12-12	PRIJEM	VKLAD	36993	75238	\N	\N	\N
1071961	3663	1995-03-12	VYDAJ	PREVOD NA UCET	7862	67626	SIPO	OP	84084528
1071962	3663	1995-04-12	VYDAJ	PREVOD NA UCET	7862	62399	SIPO	OP	84084528
1071963	3663	1995-05-12	VYDAJ	PREVOD NA UCET	7862	63149	SIPO	OP	84084528
1071964	3663	1995-06-12	VYDAJ	PREVOD NA UCET	7862	71428	SIPO	OP	84084528
1071965	3663	1995-07-12	VYDAJ	PREVOD NA UCET	7862	67086	SIPO	OP	84084528
1071966	3663	1995-08-12	VYDAJ	PREVOD NA UCET	7862	67853	SIPO	OP	84084528
1071967	3663	1995-09-12	VYDAJ	PREVOD NA UCET	7862	65441	SIPO	OP	84084528
1071968	3663	1995-10-12	VYDAJ	PREVOD NA UCET	7862	66603	SIPO	OP	84084528
1071969	3663	1995-11-12	VYDAJ	PREVOD NA UCET	7862	64151	SIPO	OP	84084528
1071970	3663	1995-12-12	VYDAJ	PREVOD NA UCET	7862	80029	SIPO	OP	84084528
1071971	3663	1996-01-12	VYDAJ	PREVOD NA UCET	7862	75436	SIPO	OP	84084528
1071972	3663	1996-02-12	VYDAJ	PREVOD NA UCET	7862	66183	SIPO	OP	84084528
1071973	3663	1996-03-12	VYDAJ	PREVOD NA UCET	7862	66905	SIPO	OP	84084528
1071974	3663	1996-04-12	VYDAJ	PREVOD NA UCET	7862	72241	SIPO	OP	84084528
1071975	3663	1996-05-12	VYDAJ	PREVOD NA UCET	7862	74816	SIPO	OP	84084528
1071976	3663	1996-06-12	VYDAJ	PREVOD NA UCET	7862	86630	SIPO	OP	84084528
1071977	3663	1996-07-12	VYDAJ	PREVOD NA UCET	7862	68684	SIPO	OP	84084528
1071978	3663	1996-08-12	VYDAJ	PREVOD NA UCET	7862	72228	SIPO	OP	84084528
1071979	3663	1996-09-12	VYDAJ	PREVOD NA UCET	7862	75696	SIPO	OP	84084528
1071980	3663	1996-10-12	VYDAJ	PREVOD NA UCET	7862	75658	SIPO	OP	84084528
1071981	3663	1996-11-12	VYDAJ	PREVOD NA UCET	7862	76120	SIPO	OP	84084528
1071982	3663	1996-12-12	VYDAJ	PREVOD NA UCET	7862	89128	SIPO	OP	84084528
1071983	3663	1997-01-12	VYDAJ	PREVOD NA UCET	7862	74319	SIPO	OP	84084528
1071984	3663	1997-02-12	VYDAJ	PREVOD NA UCET	7862	67256	SIPO	OP	84084528
1071985	3663	1997-03-12	VYDAJ	PREVOD NA UCET	7862	68979	SIPO	OP	84084528
1071986	3663	1997-04-12	VYDAJ	PREVOD NA UCET	7862	67422	SIPO	OP	84084528
1071987	3663	1997-05-12	VYDAJ	PREVOD NA UCET	7862	65256	SIPO	OP	84084528
1071988	3663	1997-06-12	VYDAJ	PREVOD NA UCET	7862	72699	SIPO	OP	84084528
1071989	3663	1997-07-12	VYDAJ	PREVOD NA UCET	7862	64139	SIPO	OP	84084528
1071990	3663	1997-08-12	VYDAJ	PREVOD NA UCET	7862	64450	SIPO	OP	84084528
1071991	3663	1997-09-12	VYDAJ	PREVOD NA UCET	7862	62263	SIPO	OP	84084528
1071992	3663	1997-10-12	VYDAJ	PREVOD NA UCET	7862	59551	SIPO	OP	84084528
1071993	3663	1997-11-12	VYDAJ	PREVOD NA UCET	7862	60433	SIPO	OP	84084528
1071994	3663	1997-12-12	VYDAJ	PREVOD NA UCET	7862	74263	SIPO	OP	84084528
1071995	3663	1998-01-12	VYDAJ	PREVOD NA UCET	7862	65987	SIPO	OP	84084528
1071996	3663	1998-02-12	VYDAJ	PREVOD NA UCET	7862	51993	SIPO	OP	84084528
1071997	3663	1998-03-12	VYDAJ	PREVOD NA UCET	7862	61860	SIPO	OP	84084528
1071998	3663	1998-04-12	VYDAJ	PREVOD NA UCET	7862	65253	SIPO	OP	84084528
1071999	3663	1998-05-12	VYDAJ	PREVOD NA UCET	7862	59548	SIPO	OP	84084528
1072000	3663	1998-06-12	VYDAJ	PREVOD NA UCET	7862	69861	SIPO	OP	84084528
1072001	3663	1998-07-12	VYDAJ	PREVOD NA UCET	7862	39233	SIPO	OP	84084528
1072002	3663	1998-08-12	VYDAJ	PREVOD NA UCET	7862	49149	SIPO	OP	84084528
1072003	3663	1998-09-12	VYDAJ	PREVOD NA UCET	7862	53384	SIPO	OP	84084528
1072004	3663	1998-10-12	VYDAJ	PREVOD NA UCET	7862	57435	SIPO	OP	84084528
1072005	3663	1998-11-12	VYDAJ	PREVOD NA UCET	7862	53696	SIPO	OP	84084528
1072006	3663	1998-12-12	VYDAJ	PREVOD NA UCET	7862	67376	SIPO	OP	84084528
1072008	3663	1995-06-09	VYDAJ	VYBER	3100	42297	\N	\N	\N
1072009	3663	1996-06-14	VYDAJ	VYBER	18600	68030	\N	\N	\N
1072010	3663	1997-06-29	VYDAJ	VYBER	5900	49299	\N	\N	\N
1072011	3663	1998-06-24	VYDAJ	VYBER	27100	22261	\N	\N	\N
1072014	3663	1996-01-14	VYDAJ	VYBER	9400	62536	\N	\N	\N
1072015	3663	1997-01-19	VYDAJ	VYBER	2200	64019	\N	\N	\N
1072016	3663	1998-01-27	VYDAJ	VYBER	8400	39787	\N	\N	\N
1072018	3663	1995-12-09	VYDAJ	VYBER	2600	50898	\N	\N	\N
1072019	3663	1996-12-07	VYDAJ	VYBER	1500	59997	\N	\N	\N
1072020	3663	1997-12-11	VYDAJ	VYBER KARTOU	2800	45132	\N	\N	0
1072021	3663	1998-12-19	VYDAJ	VYBER KARTOU	2000	45876	\N	\N	0
1072034	3663	1996-01-20	VYDAJ	VYBER	1800	60736	\N	\N	\N
1072035	3663	1996-01-20	VYDAJ	VYBER	1500	59236	\N	\N	\N
1072036	3663	1996-01-13	VYDAJ	VYBER	1300	74136	\N	\N	\N
1072037	3663	1996-01-23	VYDAJ	VYBER	700	58536	\N	\N	\N
1072038	3663	1996-01-14	VYDAJ	VYBER	2200	71936	\N	\N	\N
1072039	3663	1996-01-04	VYDAJ	VYBER	2300	58636	\N	\N	\N
1072040	3663	1997-01-13	VYDAJ	VYBER	900	73419	\N	\N	\N
1072041	3663	1997-01-05	VYDAJ	VYBER	2900	57519	\N	\N	\N
1072042	3663	1997-01-17	VYDAJ	VYBER	2900	68419	\N	\N	\N
1072043	3663	1997-01-03	VYDAJ	VYBER	2900	60419	\N	\N	\N
1072044	3663	1997-01-16	VYDAJ	VYBER	2100	71319	\N	\N	\N
1072045	3663	1997-01-18	VYDAJ	VYBER	2200	66219	\N	\N	\N
1072046	3663	1998-01-10	VYDAJ	VYBER KARTOU	1600	51387	\N	\N	0
1072047	3663	1998-01-13	VYDAJ	VYBER KARTOU	2300	63687	\N	\N	0
1072048	3663	1998-01-25	VYDAJ	VYBER KARTOU	1800	48187	\N	\N	0
1072049	3663	1998-01-10	VYDAJ	VYBER KARTOU	1300	52987	\N	\N	0
1072050	3663	1998-01-09	VYDAJ	VYBER KARTOU	2400	54287	\N	\N	0
1072051	3663	1998-01-12	VYDAJ	VYBER KARTOU	2200	73849	\N	\N	0
1072059	3663	1995-11-10	VYDAJ	VYBER	4700	47351	\N	\N	\N
1072060	3663	1995-06-15	VYDAJ	VYBER	1500	69928	\N	\N	\N
1072061	3663	1995-07-11	VYDAJ	VYBER	1200	50286	\N	\N	\N
1072062	3663	1995-10-02	VYDAJ	VYBER	3400	49803	\N	\N	\N
1072063	3663	1995-10-20	VYDAJ	VYBER	3300	63303	\N	\N	\N
1072064	3663	1995-03-16	VYDAJ	VYBER	2600	65026	\N	\N	\N
1072065	3663	1996-02-15	VYDAJ	VYBER	4500	61683	\N	\N	\N
1072066	3663	1996-07-10	VYDAJ	VYBER	4800	51884	\N	\N	\N
1072067	3663	1996-06-26	VYDAJ	VYBER	3200	64830	\N	\N	\N
1072068	3663	1996-07-22	VYDAJ	VYBER	2000	66684	\N	\N	\N
1072069	3663	1997-07-02	VYDAJ	VYBER KARTOU	2200	47339	\N	\N	0
1072070	3663	1997-08-04	VYDAJ	VYBER KARTOU	1000	47650	\N	\N	0
1072071	3663	1997-06-08	VYDAJ	VYBER	4600	43568	\N	\N	\N
1072072	3663	1997-07-14	VYDAJ	VYBER KARTOU	1300	62839	\N	\N	0
1072073	3663	1997-09-19	VYDAJ	VYBER	4800	57463	\N	\N	\N
1072074	3663	1998-11-08	VYDAJ	VYBER KARTOU	2000	36896	\N	\N	0
1072075	3663	1998-11-05	VYDAJ	VYBER KARTOU	2600	38896	\N	\N	0
1072076	3663	1998-01-30	VYDAJ	VYBER	4800	34987	\N	\N	\N
1072077	3663	1998-05-30	VYDAJ	VYBER	4600	40548	\N	\N	\N
1072078	3663	1998-04-24	VYDAJ	VYBER KARTOU	2100	44653	\N	\N	0
1072079	3663	1998-05-09	VYDAJ	VYBER KARTOU	2100	42748	\N	\N	0
1072080	3663	1998-11-13	VYDAJ	VYBER KARTOU	1300	52396	\N	\N	0
1072081	3663	1998-07-26	VYDAJ	VYBER KARTOU	2200	32233	\N	\N	0
1072097	3663	1995-03-31	VYDAJ	VYBER	15	65299	SLUZBY	\N	\N
1072098	3663	1995-04-30	VYDAJ	VYBER	15	62649	SLUZBY	\N	\N
1072099	3663	1995-05-31	VYDAJ	VYBER	15	63397	SLUZBY	\N	\N
1072100	3663	1995-06-30	VYDAJ	VYBER	15	70186	SLUZBY	\N	\N
1072101	3663	1995-07-31	VYDAJ	VYBER	15	67353	SLUZBY	\N	\N
1072102	3663	1995-08-31	VYDAJ	VYBER	15	68141	SLUZBY	\N	\N
1072103	3663	1995-09-30	VYDAJ	VYBER	15	65703	SLUZBY	\N	\N
1072104	3663	1995-10-31	VYDAJ	VYBER	15	63551	SLUZBY	\N	\N
1072105	3663	1995-11-30	VYDAJ	VYBER	15	64398	SLUZBY	\N	\N
1072106	3663	1995-12-31	VYDAJ	VYBER	15	80336	SLUZBY	\N	\N
1072107	3663	1996-01-31	VYDAJ	VYBER	15	49383	SLUZBY	\N	\N
1072108	3663	1996-02-29	VYDAJ	VYBER	15	61905	SLUZBY	\N	\N
1072109	3663	1996-03-31	VYDAJ	VYBER	15	55441	SLUZBY	\N	\N
1072110	3663	1996-04-30	VYDAJ	VYBER	15	58016	SLUZBY	\N	\N
1072111	3663	1996-05-31	VYDAJ	VYBER	15	57499	SLUZBY	\N	\N
1072112	3663	1996-06-30	VYDAJ	VYBER	15	56684	SLUZBY	\N	\N
1072113	3663	1996-07-31	VYDAJ	VYBER	15	55428	SLUZBY	\N	\N
1072114	3663	1996-08-31	VYDAJ	VYBER	15	58896	SLUZBY	\N	\N
1072115	3663	1996-09-30	VYDAJ	VYBER	15	58858	SLUZBY	\N	\N
1072116	3663	1996-10-31	VYDAJ	VYBER	15	59320	SLUZBY	\N	\N
1072117	3663	1996-11-30	VYDAJ	VYBER	15	61497	SLUZBY	\N	\N
1072118	3663	1996-12-31	VYDAJ	VYBER	15	63319	SLUZBY	\N	\N
1072119	3663	1997-01-31	VYDAJ	VYBER	15	50456	SLUZBY	\N	\N
1072120	3663	1997-02-28	VYDAJ	VYBER	15	52179	SLUZBY	\N	\N
1072121	3663	1997-03-31	VYDAJ	VYBER	15	50622	SLUZBY	\N	\N
1072122	3663	1997-04-30	VYDAJ	VYBER	15	48456	SLUZBY	\N	\N
1072123	3663	1997-05-31	VYDAJ	VYBER	15	48168	SLUZBY	\N	\N
1072124	3663	1997-06-30	VYDAJ	VYBER	15	49539	SLUZBY	\N	\N
1072125	3663	1997-07-31	VYDAJ	VYBER	15	48650	SLUZBY	\N	\N
1072126	3663	1997-08-31	VYDAJ	VYBER	15	45463	SLUZBY	\N	\N
1072127	3663	1997-09-30	VYDAJ	VYBER	15	42751	SLUZBY	\N	\N
1072128	3663	1997-10-31	VYDAJ	VYBER	15	43633	SLUZBY	\N	\N
1072129	3663	1997-11-30	VYDAJ	VYBER	15	47932	SLUZBY	\N	\N
1072130	3663	1997-12-31	VYDAJ	VYBER	15	56687	SLUZBY	\N	\N
1072131	3663	1998-01-31	VYDAJ	VYBER	15	35193	SLUZBY	\N	\N
1072132	3663	1998-02-28	VYDAJ	VYBER	15	45060	SLUZBY	\N	\N
1072133	3663	1998-03-31	VYDAJ	VYBER	15	48453	SLUZBY	\N	\N
1072134	3663	1998-04-30	VYDAJ	VYBER	15	44848	SLUZBY	\N	\N
1072135	3663	1998-05-31	VYDAJ	VYBER	15	40730	SLUZBY	\N	\N
1072136	3663	1998-06-30	VYDAJ	VYBER	15	22433	SLUZBY	\N	\N
1072137	3663	1998-07-31	VYDAJ	VYBER	15	32349	SLUZBY	\N	\N
1072138	3663	1998-08-31	VYDAJ	VYBER	15	36584	SLUZBY	\N	\N
1072139	3663	1998-09-30	VYDAJ	VYBER	15	40635	SLUZBY	\N	\N
1072140	3663	1998-10-31	VYDAJ	VYBER	15	41496	SLUZBY	\N	\N
1072141	3663	1998-11-30	VYDAJ	VYBER	15	38245	SLUZBY	\N	\N
1072142	3663	1994-12-06	PRIJEM	VKLAD	1500	26628	\N	\N	\N
1072143	3663	1995-01-05	VYDAJ	VYBER	20200	43629	\N	\N	\N
1072144	3663	1995-02-04	VYDAJ	VYBER	20800	47769	\N	\N	\N
1072145	3663	1995-03-06	VYDAJ	VYBER	21900	50826	\N	\N	\N
1072146	3663	1995-04-05	VYDAJ	VYBER	19700	45599	\N	\N	\N
1072147	3663	1995-05-05	VYDAJ	VYBER	16300	46349	\N	\N	\N
1072148	3663	1995-06-04	VYDAJ	VYBER	18000	45397	\N	\N	\N
1072149	3663	1995-07-04	VYDAJ	VYBER	18700	51486	\N	\N	\N
1072150	3663	1995-08-03	VYDAJ	VYBER	16300	51053	\N	\N	\N
1072151	3663	1995-09-02	VYDAJ	VYBER	19500	48641	\N	\N	\N
1072152	3663	1995-10-02	VYDAJ	VYBER	12500	53203	\N	\N	\N
1072153	3663	1995-11-01	VYDAJ	VYBER	11500	52051	\N	\N	\N
1072154	3663	1995-12-01	VYDAJ	VYBER	10900	53498	\N	\N	\N
1072155	3663	1995-12-31	VYDAJ	VYBER	19400	60936	\N	\N	\N
1072156	3663	1996-01-30	VYDAJ	VYBER	9400	49136	\N	\N	\N
1072157	3663	1996-02-29	VYDAJ	VYBER	11800	50105	\N	\N	\N
1072158	3663	1996-03-30	VYDAJ	VYBER	11700	55205	\N	\N	\N
1072159	3663	1996-04-29	VYDAJ	VYBER	14500	57741	\N	\N	\N
1072160	3663	1996-05-29	VYDAJ	VYBER	17600	57216	\N	\N	\N
1072161	3663	1996-06-28	VYDAJ	VYBER	8400	56430	\N	\N	\N
1072162	3663	1996-07-28	VYDAJ	VYBER	11500	55184	\N	\N	\N
1072163	3663	1996-08-27	VYDAJ	VYBER	13600	58628	\N	\N	\N
1072164	3663	1996-09-26	VYDAJ	VYBER	17100	58596	\N	\N	\N
1072165	3663	1996-10-26	VYDAJ	VYBER	16600	59058	\N	\N	\N
1072166	3663	1996-11-25	VYDAJ	VYBER	14900	61220	\N	\N	\N
1072167	3663	1996-12-25	VYDAJ	VYBER	26100	63028	\N	\N	\N
1072168	3663	1997-01-24	VYDAJ	VYBER	13800	50219	\N	\N	\N
1072169	3663	1997-02-23	VYDAJ	VYBER	15300	51956	\N	\N	\N
1072170	3663	1997-03-25	VYDAJ	VYBER	18600	50379	\N	\N	\N
1072171	3663	1997-04-24	VYDAJ	VYBER	19200	48222	\N	\N	\N
1072172	3663	1997-05-24	VYDAJ	VYBER	17300	47956	\N	\N	\N
1072173	3663	1997-06-23	VYDAJ	VYBER	17500	55199	\N	\N	\N
1072174	3663	1997-07-23	VYDAJ	VYBER	14400	48439	\N	\N	\N
1072175	3663	1997-08-22	VYDAJ	VYBER	19200	45250	\N	\N	\N
1072176	3663	1997-09-21	VYDAJ	VYBER	14900	42563	\N	\N	\N
1072177	3663	1997-10-21	VYDAJ	VYBER	16100	43451	\N	\N	\N
1072178	3663	1997-11-20	VYDAJ	VYBER	12700	47733	\N	\N	\N
1072179	3663	1997-12-20	VYDAJ	VYBER	17800	56463	\N	\N	\N
1072180	3663	1998-01-19	VYDAJ	VYBER	13700	49987	\N	\N	\N
1072181	3663	1998-02-18	VYDAJ	VYBER	7100	44893	\N	\N	\N
1072182	3663	1998-03-20	VYDAJ	VYBER	13600	48260	\N	\N	\N
1072183	3663	1998-04-19	VYDAJ	VYBER	18500	46753	\N	\N	\N
1072184	3663	1998-05-19	VYDAJ	VYBER	14400	45148	\N	\N	\N
1072185	3663	1998-06-18	VYDAJ	VYBER	20500	49361	\N	\N	\N
1072186	3663	1998-07-18	VYDAJ	VYBER	4800	34433	\N	\N	\N
1072187	3663	1998-08-17	VYDAJ	VYBER	12700	36449	\N	\N	\N
1072188	3663	1998-09-16	VYDAJ	VYBER	12900	40484	\N	\N	\N
1072189	3663	1998-10-16	VYDAJ	VYBER	16100	41335	\N	\N	\N
1072190	3663	1998-11-15	VYDAJ	VYBER	14300	38096	\N	\N	\N
1072191	3663	1998-12-15	VYDAJ	VYBER	19500	47876	\N	\N	\N
1072242	3664	1996-04-28	PRIJEM	VKLAD	800	800	\N	\N	\N
1072243	3664	1996-05-20	PRIJEM	VKLAD	24539	25339	\N	\N	\N
1072246	3664	1996-12-01	PRIJEM	VKLAD	28520	58371	\N	\N	\N
1072247	3664	1996-05-20	PRIJEM	VKLAD	43249	68588	\N	\N	\N
1072250	3664	1996-05-23	PRIJEM	VKLAD	32797	101385	\N	\N	\N
1072251	3664	1996-10-16	PRIJEM	VKLAD	34508	61517	\N	\N	\N
1072253	3664	1997-02-04	PRIJEM	VKLAD	19458	73020	\N	\N	\N
1072254	3664	1997-03-04	PRIJEM	VKLAD	12879	114919	\N	\N	\N
1072255	3664	1997-04-08	PRIJEM	VKLAD	11546	67105	\N	\N	\N
1072256	3664	1997-02-27	PRIJEM	VKLAD	48039	101737	\N	\N	\N
1072257	3664	1997-10-24	PRIJEM	VKLAD	25321	72549	\N	\N	\N
1072258	3664	1997-03-05	PRIJEM	VKLAD	12955	98674	\N	\N	\N
1072259	3664	1997-11-22	PRIJEM	VKLAD	33024	90974	\N	\N	\N
1072260	3664	1997-04-25	PRIJEM	VKLAD	23414	69919	\N	\N	\N
1072261	3664	1997-12-20	PRIJEM	VKLAD	47368	100121	\N	\N	\N
1072262	3664	1997-05-21	PRIJEM	VKLAD	19465	102042	\N	\N	\N
1072263	3664	1997-12-15	PRIJEM	VKLAD	29432	110553	\N	\N	\N
1072264	3664	1997-03-08	PRIJEM	VKLAD	16439	115113	\N	\N	\N
1072265	3664	1997-08-02	PRIJEM	VKLAD	32798	74178	\N	\N	\N
1072266	3664	1997-12-27	PRIJEM	VKLAD	7206	107327	\N	\N	\N
1072267	3664	1997-01-29	PRIJEM	VKLAD	43945	64530	\N	\N	\N
1072268	3664	1997-05-12	PRIJEM	VKLAD	10700	74156	\N	\N	\N
1072269	3664	1997-01-03	PRIJEM	VKLAD	13889	43185	\N	\N	\N
1072270	3664	1997-02-14	PRIJEM	VKLAD	41678	109598	\N	\N	\N
1072271	3664	1997-06-16	PRIJEM	VKLAD	36070	105404	\N	\N	\N
1072272	3664	1997-08-23	PRIJEM	VKLAD	46737	97215	\N	\N	\N
1072273	3664	1997-05-29	PRIJEM	VKLAD	40497	108639	\N	\N	\N
1072274	3664	1997-05-13	PRIJEM	VKLAD	31584	105740	\N	\N	\N
1072275	3664	1997-05-16	PRIJEM	VKLAD	39137	113777	\N	\N	\N
1072276	3664	1997-07-14	PRIJEM	VKLAD	19544	44238	\N	\N	\N
1072277	3664	1998-05-13	PRIJEM	VKLAD	18168	66809	\N	\N	\N
1072278	3664	1998-12-13	PRIJEM	VKLAD	16529	110256	\N	\N	\N
1072279	3664	1998-03-31	PRIJEM	VKLAD	35542	89243	\N	\N	\N
1072280	3664	1998-05-23	PRIJEM	VKLAD	38009	108218	\N	\N	\N
1072281	3664	1998-08-19	PRIJEM	VKLAD	49851	97191	\N	\N	\N
1072282	3664	1998-10-15	PRIJEM	VKLAD	40687	113076	\N	\N	\N
1072283	3664	1998-05-24	PRIJEM	VKLAD	19041	109559	\N	\N	\N
1072284	3664	1998-01-26	PRIJEM	VKLAD	34211	105161	\N	\N	\N
1072285	3664	1998-12-02	PRIJEM	VKLAD	13076	55705	\N	\N	\N
1072286	3664	1998-12-08	PRIJEM	VKLAD	46380	99385	\N	\N	\N
1072287	3664	1998-09-23	PRIJEM	VKLAD	40265	110839	\N	\N	\N
1072299	3664	1996-11-29	VYDAJ	VYBER	5700	29671	\N	\N	0
1072300	3664	1997-01-08	VYDAJ	VYBER	5600	37585	\N	\N	0
1072301	3664	1997-02-08	VYDAJ	VYBER	5100	67920	\N	\N	0
1072302	3664	1997-03-20	VYDAJ	VYBER	5600	77742	\N	\N	0
1072303	3664	1997-04-09	VYDAJ	VYBER	6100	61005	\N	\N	0
1072304	3664	1997-05-11	VYDAJ	VYBER	6700	63456	\N	\N	0
1072305	3664	1997-06-16	VYDAJ	VYBER	3700	101704	\N	\N	0
1072306	3664	1997-07-10	VYDAJ	VYBER	6400	24694	\N	\N	0
1072307	3664	1997-08-04	VYDAJ	VYBER	7300	66878	\N	\N	0
1072308	3664	1997-09-15	VYDAJ	VYBER	5100	92401	\N	\N	0
1072309	3664	1997-10-12	VYDAJ	PREVOD NA UCET	5658	60386	UVER	GH	3468728
1072310	3664	1997-11-12	VYDAJ	PREVOD NA UCET	5658	67150	UVER	GH	3468728
1072311	3664	1997-12-12	VYDAJ	PREVOD NA UCET	5658	81121	UVER	GH	3468728
1072312	3664	1998-01-12	VYDAJ	PREVOD NA UCET	5658	90650	UVER	GH	3468728
1072313	3664	1998-02-12	VYDAJ	PREVOD NA UCET	5658	74957	UVER	GH	3468728
1072314	3664	1998-03-12	VYDAJ	PREVOD NA UCET	5658	48601	UVER	GH	3468728
1072315	3664	1998-04-12	VYDAJ	PREVOD NA UCET	5658	83802	UVER	GH	3468728
1072316	3664	1998-05-12	VYDAJ	PREVOD NA UCET	5658	48641	UVER	GH	3468728
1072317	3664	1998-06-12	VYDAJ	PREVOD NA UCET	5658	52757	UVER	GH	3468728
1072318	3664	1998-07-12	VYDAJ	PREVOD NA UCET	5658	18262	UVER	GH	3468728
1072319	3664	1998-08-12	VYDAJ	PREVOD NA UCET	5658	34140	UVER	GH	3468728
1072320	3664	1998-09-12	VYDAJ	PREVOD NA UCET	5658	72274	UVER	GH	3468728
1072321	3664	1998-10-12	VYDAJ	PREVOD NA UCET	5658	84221	UVER	GH	3468728
1072322	3664	1998-11-12	VYDAJ	PREVOD NA UCET	5658	40526	UVER	GH	3468728
1072323	3664	1998-12-12	VYDAJ	PREVOD NA UCET	5658	93727	UVER	GH	3468728
1072324	3664	1997-06-28	VYBER	VYBER	18090	41314	\N	\N	\N
1072325	3664	1997-03-08	VYBER	VYBER	13871	101242	\N	\N	\N
1072326	3664	1997-10-22	VYBER	VYBER	5358	47228	\N	\N	\N
1072327	3664	1998-10-20	VYBER	VYBER	16454	60174	\N	\N	\N
1072328	3664	1998-06-22	VYBER	VYBER	4117	55640	\N	\N	\N
1072329	3664	1998-12-24	VYBER	VYBER	14018	73038	\N	\N	\N
1072330	3664	1998-05-06	VYBER	VYBER	7049	61337	\N	\N	\N
1072331	3664	1998-02-25	VYBER	VYBER	11085	53972	\N	\N	\N
1072332	3664	1998-10-18	VYBER	VYBER	15748	76628	\N	\N	\N
1072333	3664	1998-07-08	VYBER	VYBER	14238	23920	\N	\N	\N
1072334	3664	1998-10-14	VYBER	VYBER	11832	72389	\N	\N	\N
1072335	3664	1998-11-03	VYBER	VYBER	10404	50084	\N	\N	\N
1072336	3664	1998-05-08	VYBER	VYBER	7038	54299	\N	\N	\N
1072337	3664	1998-07-16	VYBER	VYBER	4596	13666	\N	\N	\N
1072338	3664	1998-04-17	VYBER	VYBER	14832	68970	\N	\N	\N
1072340	3664	1997-06-22	VYDAJ	VYBER	20400	81304	\N	\N	\N
1072341	3664	1998-06-28	VYDAJ	VYBER	17700	37940	\N	\N	\N
1072343	3664	1997-01-28	VYDAJ	VYBER	8700	20585	\N	\N	\N
1072344	3664	1998-01-30	VYDAJ	VYBER	24900	80261	\N	\N	\N
1072345	3664	1996-12-13	VYDAJ	VYBER	6000	37671	\N	\N	\N
1072346	3664	1997-12-05	VYDAJ	VYBER	4500	86779	\N	\N	\N
1072347	3664	1998-12-06	VYDAJ	VYBER KARTOU	2700	53005	\N	\N	0
1072349	3664	1996-12-11	VYDAJ	VYBER	14700	43671	\N	\N	\N
1072353	3664	1997-12-29	VYDAJ	VYBER	11400	95927	\N	\N	\N
1072354	3664	1997-01-29	VYDAJ	VYBER	11100	53430	\N	\N	\N
1072355	3664	1997-06-30	VYDAJ	VYBER	10500	31108	\N	\N	\N
1072356	3664	1998-05-31	VYDAJ	VYBER	4800	58415	\N	\N	\N
1072357	3664	1998-11-24	VYDAJ	VYBER	14700	42426	\N	\N	\N
1072358	3664	1998-01-16	VYDAJ	VYBER	13500	77150	\N	\N	\N
1072359	3664	1998-11-09	VYDAJ	VYBER KARTOU	3900	46184	\N	\N	0
1072360	3664	1998-09-01	VYDAJ	VYBER	5400	77932	\N	\N	\N
1072361	3664	1998-02-18	VYDAJ	VYBER	5100	65057	\N	\N	\N
1072362	3664	1998-08-25	VYDAJ	VYBER	14100	83091	\N	\N	\N
1072363	3664	1998-03-24	VYDAJ	VYBER	3300	53701	\N	\N	\N
1072376	3664	1996-12-31	VYDAJ	VYBER	15	29296	SLUZBY	\N	\N
1072377	3664	1997-01-31	VYDAJ	VYBER	15	53562	SLUZBY	\N	\N
1072378	3664	1997-02-28	VYDAJ	VYBER	15	102040	SLUZBY	\N	\N
1072379	3664	1997-03-31	VYDAJ	VYBER	15	55559	SLUZBY	\N	\N
1072380	3664	1997-04-30	VYDAJ	VYBER	15	70156	SLUZBY	\N	\N
1072381	3664	1997-05-31	VYDAJ	VYBER	15	69334	SLUZBY	\N	\N
1072382	3664	1997-06-30	VYDAJ	VYBER	15	31094	SLUZBY	\N	\N
1072383	3664	1997-07-31	VYDAJ	VYBER	15	41380	SLUZBY	\N	\N
1072384	3664	1997-08-31	VYDAJ	VYBER	15	97501	SLUZBY	\N	\N
1072385	3664	1997-09-30	VYDAJ	VYBER	15	66044	SLUZBY	\N	\N
1072386	3664	1997-10-31	VYDAJ	VYBER	15	72808	SLUZBY	\N	\N
1072387	3664	1997-11-30	VYDAJ	VYBER	15	91279	SLUZBY	\N	\N
1072388	3664	1997-12-31	VYDAJ	VYBER	15	96308	SLUZBY	\N	\N
1072389	3664	1998-01-31	VYDAJ	VYBER	15	80615	SLUZBY	\N	\N
1072390	3664	1998-02-28	VYDAJ	VYBER	15	54259	SLUZBY	\N	\N
1072391	3664	1998-03-31	VYDAJ	VYBER	15	89460	SLUZBY	\N	\N
1072392	3664	1998-04-30	VYDAJ	VYBER	15	68386	SLUZBY	\N	\N
1072393	3664	1998-05-31	VYDAJ	VYBER	15	63215	SLUZBY	\N	\N
1072394	3664	1998-06-30	VYDAJ	VYBER	15	38158	SLUZBY	\N	\N
1072395	3664	1998-07-31	VYDAJ	VYBER	15	39798	SLUZBY	\N	\N
1072396	3664	1998-08-31	VYDAJ	VYBER	15	83332	SLUZBY	\N	\N
1072397	3664	1998-09-30	VYDAJ	VYBER	15	89879	SLUZBY	\N	\N
1072398	3664	1998-10-31	VYDAJ	VYBER	15	60488	SLUZBY	\N	\N
1072399	3664	1998-11-30	VYDAJ	VYBER	15	42629	SLUZBY	\N	\N
1072400	3664	1996-05-28	VYDAJ	VYBER	35800	65585	\N	\N	\N
1072401	3664	1996-06-27	VYDAJ	VYBER	21000	44716	\N	\N	\N
1072402	3664	1996-07-27	VYDAJ	VYBER	11100	33889	\N	\N	\N
1072403	3664	1996-08-26	VYDAJ	VYBER	5000	29163	\N	\N	\N
1072404	3664	1996-09-25	VYDAJ	VYBER	2700	26736	\N	\N	\N
1072405	3664	1996-10-25	VYDAJ	VYBER	17100	44417	\N	\N	\N
1072406	3664	1996-11-24	VYDAJ	VYBER	9300	35371	\N	\N	\N
1072407	3664	1996-12-24	VYDAJ	VYBER	8500	29171	\N	\N	\N
1072408	3664	1997-01-23	VYDAJ	VYBER	8300	29285	\N	\N	\N
1072409	3664	1997-02-14	VYDAJ	VYBER	22000	87598	\N	\N	\N
1072410	3664	1997-02-22	VYDAJ	VYBER	33900	53698	\N	\N	\N
1072411	3664	1997-03-04	VYDAJ	VYBER	29200	85719	\N	\N	\N
1072412	3664	1997-03-08	VYDAJ	VYBER	17900	83342	\N	\N	\N
1072413	3664	1997-03-24	VYDAJ	VYBER	22500	55242	\N	\N	\N
1072414	3664	1997-04-23	VYDAJ	VYBER	14500	46505	\N	\N	\N
1072415	3664	1997-05-13	VYDAJ	VYBER	31100	74640	\N	\N	\N
1072416	3664	1997-05-16	VYDAJ	VYBER	31200	82577	\N	\N	\N
1072417	3664	1997-05-23	VYDAJ	VYBER	33900	68142	\N	\N	\N
1072418	3664	1997-05-29	VYDAJ	VYBER	39600	69039	\N	\N	\N
1072419	3664	1997-06-22	VYDAJ	VYBER	21900	59404	\N	\N	\N
1072420	3664	1997-07-22	VYDAJ	VYBER	3000	41238	\N	\N	\N
1072421	3664	1997-08-21	VYDAJ	VYBER	16400	50478	\N	\N	\N
1072422	3664	1997-09-20	VYDAJ	VYBER	26700	65701	\N	\N	\N
1072423	3664	1997-10-20	VYDAJ	VYBER	7800	52586	\N	\N	\N
1072424	3664	1997-11-19	VYDAJ	VYBER	9200	57950	\N	\N	\N
1072425	3664	1997-12-15	VYDAJ	VYBER	60900	49653	\N	\N	\N
1072426	3664	1997-12-19	PRIJEM	VKLAD	3100	52753	\N	\N	\N
1072427	3664	1998-01-18	VYDAJ	VYBER	6200	70950	\N	\N	\N
1072428	3664	1998-02-17	VYDAJ	VYBER	4800	70157	\N	\N	\N
1072429	3664	1998-03-19	PRIJEM	VKLAD	8400	57001	\N	\N	\N
1072430	3664	1998-04-18	VYDAJ	VYBER	900	68070	\N	\N	\N
1072431	3664	1998-05-18	PRIJEM	VKLAD	3400	70209	\N	\N	\N
1072432	3664	1998-05-23	VYDAJ	VYBER	17700	90518	\N	\N	\N
1072433	3664	1998-05-24	VYDAJ	VYBER	46600	62959	\N	\N	\N
1072434	3664	1998-06-17	PRIJEM	VKLAD	7000	59757	\N	\N	\N
1072435	3664	1998-07-17	PRIJEM	VKLAD	26000	39666	\N	\N	\N
1072436	3664	1998-08-16	PRIJEM	VKLAD	13200	47340	\N	\N	\N
1072437	3664	1998-09-15	VYDAJ	VYBER KARTOU	1700	70574	\N	\N	0
1072438	3664	1998-09-23	VYDAJ	VYBER	21300	89539	\N	\N	\N
1072439	3664	1998-10-15	VYDAJ	VYBER	20700	92376	\N	\N	\N
1072440	3664	1998-11-14	PRIJEM	VKLAD	16600	57126	\N	\N	\N
1072441	3664	1998-12-14	VYDAJ	VYBER	23200	87056	\N	\N	\N
1072474	3665	1997-06-28	PRIJEM	VKLAD	800	800	\N	\N	\N
1072476	3665	1997-11-20	PRIJEM	VKLAD	28047	51747	\N	\N	\N
1072477	3665	1998-05-15	PRIJEM	VKLAD	43669	93923	\N	\N	\N
1072478	3665	1998-10-14	PRIJEM	VKLAD	29973	63189	\N	\N	\N
1072479	3665	1998-07-17	PRIJEM	VKLAD	45719	110698	\N	\N	\N
1072480	3665	1998-09-03	PRIJEM	VKLAD	21023	56992	\N	\N	\N
1072481	3665	1998-06-12	PRIJEM	VKLAD	33573	95718	\N	\N	\N
1072482	3665	1998-04-11	PRIJEM	VKLAD	32321	61592	\N	\N	\N
1072483	3665	1998-12-29	PRIJEM	VKLAD	5730	32148	\N	\N	\N
1072527	3665	1998-08-07	VYDAJ	PREVOD NA UCET	4351	32010	SIPO	ST	18253863
1072528	3665	1998-09-07	VYDAJ	PREVOD NA UCET	4351	52641	SIPO	ST	18253863
1072529	3665	1998-10-07	VYDAJ	PREVOD NA UCET	4351	35681	SIPO	ST	18253863
1072530	3665	1998-11-07	VYDAJ	PREVOD NA UCET	4351	51129	SIPO	ST	18253863
1072531	3665	1998-12-07	VYDAJ	PREVOD NA UCET	4351	39027	SIPO	ST	18253863
1072551	3665	1998-08-09	VYDAJ	PREVOD NA UCET	2465	29545	 	QR	84521090
1072552	3665	1998-09-09	VYDAJ	PREVOD NA UCET	2465	50176	 	QR	84521090
1072553	3665	1998-10-09	VYDAJ	PREVOD NA UCET	2465	33216	 	QR	84521090
1072554	3665	1998-11-09	VYDAJ	PREVOD NA UCET	2465	48664	 	QR	84521090
1072555	3665	1998-12-09	VYDAJ	PREVOD NA UCET	2465	36562	 	QR	84521090
1072566	3665	1998-12-21	VYBER	VYBER	14544	28518	\N	\N	\N
1072567	3665	1998-11-15	VYBER	VYBER	14862	33802	\N	\N	\N
1072569	3665	1998-09-20	VYBER	VYBER	20110	30066	\N	\N	\N
1072577	3665	1998-12-24	VYDAJ	VYBER	2100	26418	\N	\N	\N
1072597	3665	1998-07-27	VYDAJ	VYBER	10200	36098	\N	\N	\N
1072599	3665	1998-10-20	VYDAJ	VYBER	8400	54789	\N	\N	\N
1072620	3665	1998-07-31	VYDAJ	VYBER	15	36361	SLUZBY	\N	\N
1072621	3665	1998-08-31	VYDAJ	VYBER	15	35969	SLUZBY	\N	\N
1072622	3665	1998-09-30	VYDAJ	VYBER	15	40032	SLUZBY	\N	\N
1072623	3665	1998-10-31	VYDAJ	VYBER	15	55480	SLUZBY	\N	\N
1072624	3665	1998-11-30	VYDAJ	VYBER	15	43378	SLUZBY	\N	\N
1072625	3665	1997-07-28	PRIJEM	VKLAD	13100	13900	\N	\N	\N
1072626	3665	1997-08-27	PRIJEM	VKLAD	5200	19100	\N	\N	\N
1072627	3665	1997-09-26	PRIJEM	VKLAD	3200	22300	\N	\N	\N
1072628	3665	1997-10-26	PRIJEM	VKLAD	1400	23700	\N	\N	\N
1072629	3665	1997-11-25	VYDAJ	VYBER	16100	35647	\N	\N	\N
1072630	3665	1997-12-25	VYDAJ	VYBER	5200	30477	\N	\N	\N
1072631	3665	1998-01-24	PRIJEM	VKLAD	1300	31925	\N	\N	\N
1072632	3665	1998-02-23	VYDAJ	VYBER	4100	27974	\N	\N	\N
1072633	3665	1998-03-25	PRIJEM	VKLAD	1000	29122	\N	\N	\N
1072634	3665	1998-04-24	VYDAJ	VYBER	11500	50092	\N	\N	\N
1072635	3665	1998-05-24	VYDAJ	VYBER	32000	61923	\N	\N	\N
1072636	3665	1998-06-23	VYDAJ	VYBER	31000	64718	\N	\N	\N
1072637	3665	1998-07-17	VYDAJ	VYBER	56500	54198	\N	\N	\N
1072638	3665	1998-07-23	VYDAJ	VYBER	7900	46298	\N	\N	\N
1072639	3665	1998-08-22	PRIJEM	VKLAD	6300	35845	\N	\N	\N
1072640	3665	1998-09-21	PRIJEM	VKLAD	9800	39866	\N	\N	\N
1072641	3665	1998-10-21	PRIJEM	VKLAD	500	55289	\N	\N	\N
1072642	3665	1998-11-20	PRIJEM	VKLAD	9400	43202	\N	\N	\N
1072643	3665	1998-12-20	PRIJEM	VKLAD	6500	43062	\N	\N	\N
1073020	3667	1994-01-26	PRIJEM	VKLAD	700	700	\N	\N	\N
1073022	3667	1994-02-08	PRIJEM	VKLAD	4463	5163	\N	\N	\N
1073023	3667	1994-03-08	PRIJEM	VKLAD	4463	17434	\N	\N	\N
1073024	3667	1994-04-08	PRIJEM	VKLAD	4463	25456	\N	\N	\N
1073025	3667	1994-05-08	PRIJEM	VKLAD	4463	30810	\N	\N	\N
1073026	3667	1994-06-08	PRIJEM	VKLAD	6695	32814	\N	\N	\N
1073027	3667	1994-07-08	PRIJEM	VKLAD	4463	29603	\N	\N	\N
1073028	3667	1994-08-08	PRIJEM	VKLAD	4463	30184	\N	\N	\N
1073029	3667	1994-09-08	PRIJEM	VKLAD	4463	32870	\N	\N	\N
1073030	3667	1994-10-08	PRIJEM	VKLAD	4463	31137	\N	\N	\N
1073031	3667	1994-11-08	PRIJEM	VKLAD	4463	33026	\N	\N	\N
1073032	3667	1994-12-08	PRIJEM	VKLAD	6695	33550	\N	\N	\N
1073033	3667	1995-01-08	PRIJEM	VKLAD	4463	27874	\N	\N	\N
1073034	3667	1995-02-08	PRIJEM	VKLAD	4463	17675	\N	\N	\N
1073035	3667	1995-03-08	PRIJEM	VKLAD	4463	21357	\N	\N	\N
1073036	3667	1995-04-08	PRIJEM	VKLAD	4463	26496	\N	\N	\N
1073037	3667	1995-05-08	PRIJEM	VKLAD	4463	27565	\N	\N	\N
1073038	3667	1995-06-08	PRIJEM	VKLAD	6695	32972	\N	\N	\N
1073039	3667	1995-07-08	PRIJEM	VKLAD	4463	33865	\N	\N	\N
1073040	3667	1995-08-08	PRIJEM	VKLAD	4463	30357	\N	\N	\N
1073041	3667	1995-09-08	PRIJEM	VKLAD	4463	24929	\N	\N	\N
1073042	3667	1995-10-08	PRIJEM	VKLAD	4463	23284	\N	\N	\N
1073043	3667	1995-11-08	PRIJEM	VKLAD	4463	23437	\N	\N	\N
1073044	3667	1995-12-08	PRIJEM	VKLAD	6695	29730	\N	\N	\N
1073045	3667	1996-01-08	PRIJEM	VKLAD	4463	17661	\N	\N	\N
1073046	3667	1996-02-08	PRIJEM	VKLAD	4463	20480	\N	\N	\N
1073047	3667	1996-03-08	PRIJEM	VKLAD	4463	23928	\N	\N	\N
1073048	3667	1996-04-08	PRIJEM	VKLAD	4463	19175	\N	\N	\N
1073049	3667	1996-05-08	PRIJEM	VKLAD	4463	24021	\N	\N	\N
1073050	3667	1996-06-08	PRIJEM	VKLAD	6695	27811	\N	\N	\N
1073051	3667	1996-07-08	PRIJEM	VKLAD	4463	17536	\N	\N	\N
1073052	3667	1996-08-08	PRIJEM	VKLAD	4463	25289	\N	\N	\N
1073053	3667	1996-09-08	PRIJEM	VKLAD	4463	24406	\N	\N	\N
1073054	3667	1996-10-08	PRIJEM	VKLAD	4463	25565	\N	\N	\N
1073055	3667	1996-11-08	PRIJEM	VKLAD	4463	24523	\N	\N	\N
1073056	3667	1996-12-08	PRIJEM	VKLAD	6695	22783	\N	\N	\N
1073057	3667	1997-01-08	PRIJEM	VKLAD	4463	18906	\N	\N	\N
1073058	3667	1997-02-08	PRIJEM	VKLAD	4463	18319	\N	\N	\N
1073059	3667	1997-03-08	PRIJEM	VKLAD	4463	18048	\N	\N	\N
1073060	3667	1997-04-08	PRIJEM	VKLAD	4463	17856	\N	\N	\N
1073061	3667	1997-05-08	PRIJEM	VKLAD	4463	20993	\N	\N	\N
1073062	3667	1997-06-08	PRIJEM	VKLAD	6695	26475	\N	\N	\N
1073063	3667	1997-07-08	PRIJEM	VKLAD	4463	20908	\N	\N	\N
1073064	3667	1997-08-08	PRIJEM	VKLAD	4463	20046	\N	\N	\N
1073065	3667	1997-09-08	PRIJEM	VKLAD	4463	18478	\N	\N	\N
1073066	3667	1997-10-08	PRIJEM	VKLAD	4463	18814	\N	\N	\N
1073067	3667	1997-11-08	PRIJEM	VKLAD	4463	21952	\N	\N	\N
1073068	3667	1997-12-08	PRIJEM	VKLAD	6695	23991	\N	\N	\N
1073069	3667	1998-01-08	PRIJEM	VKLAD	4463	18402	\N	\N	\N
1073070	3667	1998-02-08	PRIJEM	VKLAD	4463	16916	\N	\N	\N
1073071	3667	1998-03-08	PRIJEM	VKLAD	4463	18446	\N	\N	\N
1073072	3667	1998-04-08	PRIJEM	VKLAD	4463	19981	\N	\N	\N
1073073	3667	1998-05-08	PRIJEM	VKLAD	4463	17721	\N	\N	\N
1073074	3667	1998-06-08	PRIJEM	VKLAD	6695	21387	\N	\N	\N
1073075	3667	1998-07-08	PRIJEM	VKLAD	4463	18133	\N	\N	\N
1073076	3667	1998-08-08	PRIJEM	VKLAD	4463	17371	\N	\N	\N
1073077	3667	1998-09-08	PRIJEM	VKLAD	4463	18904	\N	\N	\N
1073078	3667	1998-10-08	PRIJEM	VKLAD	4463	20440	\N	\N	\N
1073079	3667	1998-11-08	PRIJEM	VKLAD	4463	21982	\N	\N	\N
1073080	3667	1998-12-08	PRIJEM	VKLAD	6695	23042	\N	\N	\N
1073086	3667	1994-06-10	VYDAJ	PREVOD NA UCET	2975	29839	SIPO	GH	41246616
1073087	3667	1994-07-10	VYDAJ	PREVOD NA UCET	2975	26628	SIPO	GH	41246616
1073088	3667	1994-08-10	VYDAJ	PREVOD NA UCET	2975	27209	SIPO	GH	41246616
1073089	3667	1994-09-10	VYDAJ	PREVOD NA UCET	2975	29895	SIPO	GH	41246616
1073090	3667	1994-10-10	VYDAJ	PREVOD NA UCET	2975	28162	SIPO	GH	41246616
1073091	3667	1994-11-10	VYDAJ	PREVOD NA UCET	2975	30051	SIPO	GH	41246616
1073092	3667	1994-12-10	VYDAJ	PREVOD NA UCET	2975	30575	SIPO	GH	41246616
1073093	3667	1995-01-10	VYDAJ	PREVOD NA UCET	2975	24899	SIPO	GH	41246616
1073094	3667	1995-02-10	VYDAJ	PREVOD NA UCET	2975	14700	SIPO	GH	41246616
1073095	3667	1995-03-10	VYDAJ	PREVOD NA UCET	2975	18382	SIPO	GH	41246616
1073096	3667	1995-04-10	VYDAJ	PREVOD NA UCET	2975	23521	SIPO	GH	41246616
1073097	3667	1995-05-10	VYDAJ	PREVOD NA UCET	2975	24590	SIPO	GH	41246616
1073098	3667	1995-06-10	VYDAJ	PREVOD NA UCET	2975	29997	SIPO	GH	41246616
1073099	3667	1995-07-10	VYDAJ	PREVOD NA UCET	2975	30890	SIPO	GH	41246616
1073100	3667	1995-08-10	VYDAJ	PREVOD NA UCET	2975	27382	SIPO	GH	41246616
1073101	3667	1995-09-10	VYDAJ	PREVOD NA UCET	2975	21954	SIPO	GH	41246616
1073102	3667	1995-10-10	VYDAJ	PREVOD NA UCET	2975	20309	SIPO	GH	41246616
1073103	3667	1995-11-10	VYDAJ	PREVOD NA UCET	2975	20462	SIPO	GH	41246616
1073104	3667	1995-12-10	VYDAJ	PREVOD NA UCET	2975	26755	SIPO	GH	41246616
1073105	3667	1996-01-10	VYDAJ	PREVOD NA UCET	2975	14686	SIPO	GH	41246616
1073106	3667	1996-02-10	VYDAJ	PREVOD NA UCET	2975	17505	SIPO	GH	41246616
1073107	3667	1996-03-10	VYDAJ	PREVOD NA UCET	2975	20953	SIPO	GH	41246616
1073108	3667	1996-04-10	VYDAJ	PREVOD NA UCET	2975	16200	SIPO	GH	41246616
1073109	3667	1996-05-10	VYDAJ	PREVOD NA UCET	2975	21046	SIPO	GH	41246616
1073110	3667	1996-06-10	VYDAJ	PREVOD NA UCET	2975	24836	SIPO	GH	41246616
1073111	3667	1996-07-10	VYDAJ	PREVOD NA UCET	2975	14561	SIPO	GH	41246616
1073112	3667	1996-08-10	VYDAJ	PREVOD NA UCET	2975	22314	SIPO	GH	41246616
1073113	3667	1996-09-10	VYDAJ	PREVOD NA UCET	2975	21431	SIPO	GH	41246616
1073114	3667	1996-10-10	VYDAJ	PREVOD NA UCET	2975	22590	SIPO	GH	41246616
1073115	3667	1996-11-10	VYDAJ	PREVOD NA UCET	2975	21548	SIPO	GH	41246616
1073116	3667	1996-12-10	VYDAJ	PREVOD NA UCET	2975	19808	SIPO	GH	41246616
1073117	3667	1997-01-10	VYDAJ	PREVOD NA UCET	2975	16331	SIPO	GH	41246616
1073118	3667	1997-02-10	VYDAJ	PREVOD NA UCET	2975	13544	SIPO	GH	41246616
1073119	3667	1997-03-10	VYDAJ	PREVOD NA UCET	2975	10753	SIPO	GH	41246616
1073120	3667	1997-04-10	VYDAJ	PREVOD NA UCET	2975	16481	SIPO	GH	41246616
1073121	3667	1997-05-10	VYDAJ	PREVOD NA UCET	2975	19718	SIPO	GH	41246616
1073122	3667	1997-06-10	VYDAJ	PREVOD NA UCET	2975	20700	SIPO	GH	41246616
1073123	3667	1997-07-10	VYDAJ	PREVOD NA UCET	2975	15533	SIPO	GH	41246616
1073124	3667	1997-08-10	VYDAJ	PREVOD NA UCET	2975	13471	SIPO	GH	41246616
1073125	3667	1997-09-10	VYDAJ	PREVOD NA UCET	2975	15503	SIPO	GH	41246616
1073126	3667	1997-10-10	VYDAJ	PREVOD NA UCET	2975	15839	SIPO	GH	41246616
1073127	3667	1997-11-10	VYDAJ	PREVOD NA UCET	2975	18977	SIPO	GH	41246616
1073128	3667	1997-12-10	VYDAJ	PREVOD NA UCET	2975	21016	SIPO	GH	41246616
1073129	3667	1998-01-10	VYDAJ	PREVOD NA UCET	2975	15427	SIPO	GH	41246616
1073130	3667	1998-02-10	VYDAJ	PREVOD NA UCET	2975	13941	SIPO	GH	41246616
1073131	3667	1998-03-10	VYDAJ	PREVOD NA UCET	2975	15471	SIPO	GH	41246616
1073132	3667	1998-04-10	VYDAJ	PREVOD NA UCET	2975	17006	SIPO	GH	41246616
1073133	3667	1998-05-10	VYDAJ	PREVOD NA UCET	2975	14746	SIPO	GH	41246616
1073134	3667	1998-06-10	VYDAJ	PREVOD NA UCET	2975	18412	SIPO	GH	41246616
1073135	3667	1998-07-10	VYDAJ	PREVOD NA UCET	2975	15158	SIPO	GH	41246616
1073136	3667	1998-08-10	VYDAJ	PREVOD NA UCET	2975	14396	SIPO	GH	41246616
1073137	3667	1998-09-10	VYDAJ	PREVOD NA UCET	2975	15929	SIPO	GH	41246616
1073138	3667	1998-10-10	VYDAJ	PREVOD NA UCET	2975	17465	SIPO	GH	41246616
1073139	3667	1998-11-10	VYDAJ	PREVOD NA UCET	2975	19007	SIPO	GH	41246616
1073140	3667	1998-12-10	VYDAJ	PREVOD NA UCET	2975	20067	SIPO	GH	41246616
1073148	3667	1996-01-02	VYDAJ	VYBER	2560	15718	\N	\N	\N
1073151	3667	1994-12-26	VYDAJ	VYBER	4000	24515	\N	\N	\N
1073152	3667	1995-12-23	VYDAJ	VYBER	3360	22395	\N	\N	\N
1073153	3667	1996-12-27	VYDAJ	VYBER	1920	14388	\N	\N	\N
1073154	3667	1997-12-19	VYDAJ	VYBER	2720	18296	\N	\N	\N
1073155	3667	1998-12-06	VYDAJ	VYBER	800	18268	\N	\N	\N
1073162	3667	1995-01-05	VYDAJ	VYBER	1200	23411	\N	\N	\N
1073163	3667	1995-01-24	VYDAJ	VYBER	3360	16019	\N	\N	\N
1073164	3667	1995-01-24	VYDAJ	VYBER	2880	13139	\N	\N	\N
1073165	3667	1995-01-23	VYDAJ	VYBER	1560	19379	\N	\N	\N
1073166	3667	1995-01-16	VYDAJ	VYBER	2280	22619	\N	\N	\N
1073167	3667	1995-01-20	VYDAJ	VYBER	3480	19139	\N	\N	\N
1073168	3667	1996-01-04	VYDAJ	VYBER	2520	13198	\N	\N	\N
1073170	3667	1996-01-01	VYDAJ	VYBER	1800	18278	\N	\N	\N
1073173	3667	1996-01-22	VYDAJ	VYBER	720	15966	\N	\N	\N
1073175	3667	1997-01-14	VYDAJ	VYBER	2520	13811	\N	\N	\N
1073180	3667	1998-01-07	VYDAJ	VYBER	2520	13939	\N	\N	\N
1073182	3667	1998-01-04	VYDAJ	VYBER	1800	16559	\N	\N	\N
1073184	3667	1998-01-13	VYDAJ	VYBER	1920	13507	\N	\N	\N
1073187	3667	1994-12-10	VYDAJ	VYBER	3960	26615	\N	\N	\N
1073188	3667	1994-09-12	VYDAJ	VYBER	2160	27735	\N	\N	\N
1073189	3667	1994-09-17	VYDAJ	VYBER	3360	24375	\N	\N	\N
1073190	3667	1995-03-04	VYDAJ	VYBER	5160	16894	\N	\N	\N
1073191	3667	1995-08-17	VYDAJ	VYBER	4200	23182	\N	\N	\N
1073192	3667	1995-09-12	VYDAJ	VYBER	2400	19554	\N	\N	\N
1073193	3667	1995-03-21	VYDAJ	VYBER	4320	14062	\N	\N	\N
1073194	3667	1995-12-24	VYDAJ	VYBER	2400	19995	\N	\N	\N
1073195	3667	1996-07-07	VYDAJ	VYBER	2760	13073	\N	\N	\N
1073196	3667	1996-03-19	VYDAJ	VYBER	5400	14653	\N	\N	\N
1073197	3667	1996-12-01	VYDAJ	VYBER	1320	16088	\N	\N	\N
1073198	3667	1996-07-03	VYDAJ	VYBER	3360	15833	\N	\N	\N
1073199	3667	1996-08-12	VYDAJ	VYBER	5040	17274	\N	\N	\N
1073200	3667	1996-12-15	VYDAJ	VYBER	1800	16308	\N	\N	\N
1073201	3667	1996-06-29	VYDAJ	VYBER	3120	19116	\N	\N	\N
1073202	3667	1997-06-22	VYDAJ	VYBER	4320	16380	\N	\N	\N
1073203	3667	1997-03-09	VYDAJ	VYBER	4320	13728	\N	\N	\N
1073206	3667	1997-11-28	VYDAJ	VYBER	3240	15737	\N	\N	\N
1073208	3667	1998-12-07	VYDAJ	VYBER	1920	16348	\N	\N	\N
1073209	3667	1998-06-30	VYDAJ	VYBER	4800	13670	\N	\N	\N
1073210	3667	1998-05-04	VYDAJ	VYBER	600	16458	\N	\N	\N
1073212	3667	1998-12-23	VYDAJ	VYBER	3600	16467	\N	\N	\N
1073222	3667	1994-06-30	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
1073223	3667	1994-07-31	VYDAJ	VYBER	15	25721	SLUZBY	\N	\N
1073224	3667	1994-08-31	VYDAJ	VYBER	15	28407	SLUZBY	\N	\N
1073225	3667	1994-09-30	VYDAJ	VYBER	15	26674	SLUZBY	\N	\N
1073226	3667	1994-10-31	VYDAJ	VYBER	15	28563	SLUZBY	\N	\N
1073227	3667	1994-11-30	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
1073228	3667	1994-12-31	VYDAJ	VYBER	15	24611	SLUZBY	\N	\N
1073229	3667	1995-01-31	VYDAJ	VYBER	15	13212	SLUZBY	\N	\N
1073230	3667	1995-02-28	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
1073231	3667	1995-03-31	VYDAJ	VYBER	15	22033	SLUZBY	\N	\N
1073232	3667	1995-04-30	VYDAJ	VYBER	15	23102	SLUZBY	\N	\N
1073233	3667	1995-05-31	VYDAJ	VYBER	15	26278	SLUZBY	\N	\N
1073234	3667	1995-06-30	VYDAJ	VYBER	15	29402	SLUZBY	\N	\N
1073235	3667	1995-07-31	VYDAJ	VYBER	15	25894	SLUZBY	\N	\N
1073236	3667	1995-08-31	VYDAJ	VYBER	15	20466	SLUZBY	\N	\N
1073237	3667	1995-09-30	VYDAJ	VYBER	15	18821	SLUZBY	\N	\N
1073238	3667	1995-10-31	VYDAJ	VYBER	15	18974	SLUZBY	\N	\N
1073239	3667	1995-11-30	VYDAJ	VYBER	15	23035	SLUZBY	\N	\N
1073240	3667	1995-12-31	VYDAJ	VYBER	15	20078	SLUZBY	\N	\N
1073241	3667	1996-01-31	VYDAJ	VYBER	15	16017	SLUZBY	\N	\N
1073242	3667	1996-02-29	VYDAJ	VYBER	15	19465	SLUZBY	\N	\N
1073243	3667	1996-03-31	VYDAJ	VYBER	15	14712	SLUZBY	\N	\N
1073244	3667	1996-04-30	VYDAJ	VYBER	15	19558	SLUZBY	\N	\N
1073245	3667	1996-05-31	VYDAJ	VYBER	15	21117	SLUZBY	\N	\N
1073246	3667	1996-06-30	VYDAJ	VYBER	15	19193	SLUZBY	\N	\N
1073247	3667	1996-07-31	VYDAJ	VYBER	15	20826	SLUZBY	\N	\N
1073248	3667	1996-08-31	VYDAJ	VYBER	15	19943	SLUZBY	\N	\N
1073249	3667	1996-09-30	VYDAJ	VYBER	15	21102	SLUZBY	\N	\N
1073250	3667	1996-10-31	VYDAJ	VYBER	15	20060	SLUZBY	\N	\N
1073251	3667	1996-11-30	VYDAJ	VYBER	15	17408	SLUZBY	\N	\N
1073252	3667	1996-12-31	VYDAJ	VYBER	15	14443	SLUZBY	\N	\N
1073253	3667	1997-01-31	VYDAJ	VYBER	15	13856	SLUZBY	\N	\N
1073254	3667	1997-02-28	VYDAJ	VYBER	15	13585	SLUZBY	\N	\N
1073255	3667	1997-03-31	VYDAJ	VYBER	15	13393	SLUZBY	\N	\N
1073256	3667	1997-04-30	VYDAJ	VYBER	15	16530	SLUZBY	\N	\N
1073257	3667	1997-05-31	VYDAJ	VYBER	15	19781	SLUZBY	\N	\N
1073258	3667	1997-06-30	VYDAJ	VYBER	15	16445	SLUZBY	\N	\N
1073259	3667	1997-07-31	VYDAJ	VYBER	15	15583	SLUZBY	\N	\N
1073260	3667	1997-08-31	VYDAJ	VYBER	15	13515	SLUZBY	\N	\N
1073261	3667	1997-09-30	VYDAJ	VYBER	15	15551	SLUZBY	\N	\N
1073262	3667	1997-10-31	VYDAJ	VYBER	15	15889	SLUZBY	\N	\N
1073263	3667	1997-11-30	VYDAJ	VYBER	15	15797	SLUZBY	\N	\N
1073264	3667	1997-12-31	VYDAJ	VYBER	15	18359	SLUZBY	\N	\N
1073265	3667	1998-01-31	VYDAJ	VYBER	15	13553	SLUZBY	\N	\N
1073266	3667	1998-02-28	VYDAJ	VYBER	15	13983	SLUZBY	\N	\N
1073267	3667	1998-03-31	VYDAJ	VYBER	15	15518	SLUZBY	\N	\N
1073268	3667	1998-04-30	VYDAJ	VYBER	15	17058	SLUZBY	\N	\N
1073269	3667	1998-05-31	VYDAJ	VYBER	15	14793	SLUZBY	\N	\N
1073270	3667	1998-06-30	VYDAJ	VYBER	15	18470	SLUZBY	\N	\N
1073271	3667	1998-07-31	VYDAJ	VYBER	15	15208	SLUZBY	\N	\N
1073272	3667	1998-08-31	VYDAJ	VYBER	15	14441	SLUZBY	\N	\N
1073273	3667	1998-09-30	VYDAJ	VYBER	15	15977	SLUZBY	\N	\N
1073274	3667	1998-10-31	VYDAJ	VYBER	15	17519	SLUZBY	\N	\N
1073275	3667	1998-11-30	VYDAJ	VYBER	15	19068	SLUZBY	\N	\N
1073276	3667	1994-02-25	PRIJEM	VKLAD	7800	12963	\N	\N	\N
1073277	3667	1994-03-27	PRIJEM	VKLAD	3500	20934	\N	\N	\N
1073278	3667	1994-04-26	PRIJEM	VKLAD	800	26256	\N	\N	\N
1073279	3667	1994-05-26	VYDAJ	VYBER	4800	26010	\N	\N	\N
1073280	3667	1994-06-25	VYDAJ	VYBER	4800	25039	\N	\N	\N
1073281	3667	1994-07-25	VYDAJ	VYBER	1000	25628	\N	\N	\N
1073282	3667	1994-08-24	PRIJEM	VKLAD	1100	28309	\N	\N	\N
1073283	3667	1994-09-23	PRIJEM	VKLAD	2200	26575	\N	\N	\N
1073284	3667	1994-10-23	PRIJEM	VKLAD	300	28462	\N	\N	\N
1073285	3667	1994-11-22	VYDAJ	VYBER	3300	26751	\N	\N	\N
1073286	3667	1994-12-22	PRIJEM	VKLAD	1900	28515	\N	\N	\N
1073287	3667	1995-01-21	PRIJEM	VKLAD	1800	20939	\N	\N	\N
1073288	3667	1995-02-20	PRIJEM	VKLAD	7300	22000	\N	\N	\N
1073289	3667	1995-03-22	PRIJEM	VKLAD	7900	21962	\N	\N	\N
1073290	3667	1995-04-21	VYDAJ	VYBER	500	23021	\N	\N	\N
1073291	3667	1995-05-21	PRIJEM	VKLAD	1600	26190	\N	\N	\N
1073292	3667	1995-06-20	VYDAJ	VYBER	700	29297	\N	\N	\N
1073293	3667	1995-07-20	VYDAJ	VYBER	5100	25790	\N	\N	\N
1073294	3667	1995-08-19	VYDAJ	VYBER	2800	20382	\N	\N	\N
1073295	3667	1995-09-18	VYDAJ	VYBER	800	18754	\N	\N	\N
1073296	3667	1995-10-18	VYDAJ	VYBER	1400	18909	\N	\N	\N
1073297	3667	1995-11-17	PRIJEM	VKLAD	2500	22962	\N	\N	\N
1073298	3667	1995-12-17	VYDAJ	VYBER	1000	25755	\N	\N	\N
1073299	3667	1996-01-16	PRIJEM	VKLAD	2000	16686	\N	\N	\N
1073300	3667	1996-02-15	PRIJEM	VKLAD	1900	19405	\N	\N	\N
1073301	3667	1996-03-16	VYDAJ	VYBER	900	20053	\N	\N	\N
1073302	3667	1996-04-15	PRIJEM	VKLAD	3300	19500	\N	\N	\N
1073303	3667	1996-06-14	VYDAJ	VYBER	2600	22236	\N	\N	\N
1073304	3667	1996-07-14	PRIJEM	VKLAD	6200	20761	\N	\N	\N
1073305	3667	1996-08-13	PRIJEM	VKLAD	2600	19874	\N	\N	\N
1073306	3667	1996-09-12	VYDAJ	VYBER	400	21031	\N	\N	\N
1073307	3667	1996-10-12	VYDAJ	VYBER	2600	19990	\N	\N	\N
1073308	3667	1996-11-11	VYDAJ	VYBER	4200	17348	\N	\N	\N
1073309	3667	1996-12-11	VYDAJ	VYBER	1700	18108	\N	\N	\N
1073310	3667	1997-01-10	PRIJEM	VKLAD	400	19306	\N	\N	\N
1073311	3667	1997-02-09	VYDAJ	VYBER	1800	16519	\N	\N	\N
1073312	3667	1997-03-11	PRIJEM	VKLAD	2600	13353	\N	\N	\N
1073313	3667	1997-04-10	PRIJEM	VKLAD	1600	19456	\N	\N	\N
1073314	3667	1997-05-10	PRIJEM	VKLAD	1700	22693	\N	\N	\N
1073315	3667	1997-06-09	VYDAJ	VYBER	2800	23675	\N	\N	\N
1073316	3667	1997-07-09	VYDAJ	VYBER	2400	18508	\N	\N	\N
1073317	3667	1997-08-08	VYDAJ	VYBER	3600	16446	\N	\N	\N
1073318	3667	1997-09-07	PRIJEM	VKLAD	500	14015	\N	\N	\N
1073319	3667	1997-10-07	VYDAJ	VYBER	1200	14351	\N	\N	\N
1073320	3667	1997-11-06	PRIJEM	VKLAD	1600	17489	\N	\N	\N
1073321	3667	1997-12-06	PRIJEM	VKLAD	1500	17297	\N	\N	\N
1073322	3667	1998-01-05	VYDAJ	VYBER	100	16459	\N	\N	\N
1073323	3667	1998-02-04	VYDAJ	VYBER	1100	12453	\N	\N	\N
1073324	3667	1998-05-05	VYDAJ	VYBER	3200	13258	\N	\N	\N
1073325	3667	1998-06-04	VYDAJ	VYBER	100	14693	\N	\N	\N
1073326	3667	1998-08-03	VYDAJ	VYBER	2300	12908	\N	\N	\N
1073386	3668	1996-06-15	PRIJEM	VKLAD	600	600	\N	\N	\N
1073448	3668	1996-07-15	PRIJEM	VKLAD	11200	11800	\N	\N	\N
1073449	3668	1996-08-14	PRIJEM	VKLAD	9100	20900	\N	\N	\N
1073450	3668	1996-09-13	PRIJEM	VKLAD	2900	23800	\N	\N	\N
1073451	3668	1996-10-13	PRIJEM	VKLAD	1600	25400	\N	\N	\N
1073452	3668	1996-11-12	VYDAJ	VYBER	2200	23200	\N	\N	\N
1073453	3668	1996-12-12	PRIJEM	VKLAD	1300	24500	\N	\N	\N
1073454	3668	1997-01-11	PRIJEM	VKLAD	1700	26200	\N	\N	\N
1073455	3668	1997-02-10	PRIJEM	VKLAD	3200	29400	\N	\N	\N
1073456	3668	1997-03-12	PRIJEM	VKLAD	200	29600	\N	\N	\N
1073457	3668	1997-04-11	VYDAJ	VYBER	300	29300	\N	\N	\N
1073458	3668	1997-05-11	PRIJEM	VKLAD	1000	30300	\N	\N	\N
1073459	3668	1997-06-10	PRIJEM	VKLAD	4100	34400	\N	\N	\N
1073460	3668	1997-07-10	PRIJEM	VKLAD	1200	35600	\N	\N	\N
1073461	3668	1997-08-09	VYDAJ	VYBER	1300	34300	\N	\N	\N
1073462	3668	1997-09-08	PRIJEM	VKLAD	2900	37200	\N	\N	\N
1073463	3668	1997-10-08	VYDAJ	VYBER	1900	35300	\N	\N	\N
1073464	3668	1997-11-07	VYDAJ	VYBER	4300	31000	\N	\N	\N
1073465	3668	1997-12-07	PRIJEM	VKLAD	1600	32600	\N	\N	\N
1073466	3668	1998-01-06	PRIJEM	VKLAD	2800	35400	\N	\N	\N
1073467	3668	1998-02-05	VYDAJ	VYBER	2800	32600	\N	\N	\N
1073468	3668	1998-03-07	VYDAJ	VYBER	900	31700	\N	\N	\N
1073469	3668	1998-04-06	VYDAJ	VYBER	3000	28700	\N	\N	\N
1073470	3668	1998-05-06	VYDAJ	VYBER	3600	25100	\N	\N	\N
1073471	3668	1998-06-05	PRIJEM	VKLAD	300	25400	\N	\N	\N
1073472	3668	1998-07-05	VYDAJ	VYBER	1000	24400	\N	\N	\N
1073473	3668	1998-08-04	VYDAJ	VYBER	800	23600	\N	\N	\N
1073474	3668	1998-09-03	VYDAJ	VYBER	3800	19800	\N	\N	\N
1073475	3668	1998-10-03	PRIJEM	VKLAD	900	20700	\N	\N	\N
1073476	3668	1998-11-02	VYDAJ	VYBER	1200	19500	\N	\N	\N
1073477	3669	1993-12-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1073490	3669	1994-01-07	PRIJEM	VKLAD	8164	9264	\N	\N	\N
1073491	3669	1994-02-07	PRIJEM	VKLAD	8164	26856	\N	\N	\N
1073492	3669	1994-03-07	PRIJEM	VKLAD	8164	35209	\N	\N	\N
1073493	3669	1994-04-07	PRIJEM	VKLAD	8164	36386	\N	\N	\N
1073494	3669	1994-05-07	PRIJEM	VKLAD	8164	40573	\N	\N	\N
1073495	3669	1994-06-07	PRIJEM	VKLAD	12246	39391	\N	\N	\N
1073496	3669	1994-07-07	PRIJEM	VKLAD	8164	36224	\N	\N	\N
1073497	3669	1994-08-07	PRIJEM	VKLAD	8164	33445	\N	\N	\N
1073498	3669	1994-09-07	PRIJEM	VKLAD	8164	29553	\N	\N	\N
1073499	3669	1994-10-07	PRIJEM	VKLAD	8164	29755	\N	\N	\N
1073500	3669	1994-11-07	PRIJEM	VKLAD	8164	30363	\N	\N	\N
1073501	3669	1994-12-07	PRIJEM	VKLAD	12246	36253	\N	\N	\N
1073502	3669	1995-01-07	PRIJEM	VKLAD	8164	28469	\N	\N	\N
1073503	3669	1995-02-07	PRIJEM	VKLAD	8164	26869	\N	\N	\N
1073504	3669	1995-03-07	PRIJEM	VKLAD	8164	25253	\N	\N	\N
1073505	3669	1995-04-07	PRIJEM	VKLAD	8164	26437	\N	\N	\N
1073506	3669	1995-05-07	PRIJEM	VKLAD	8164	26932	\N	\N	\N
1073507	3669	1995-06-07	PRIJEM	VKLAD	12246	33011	\N	\N	\N
1073508	3669	1995-07-07	PRIJEM	VKLAD	8164	30716	\N	\N	\N
1073509	3669	1995-08-07	PRIJEM	VKLAD	8164	28916	\N	\N	\N
1073510	3669	1995-09-07	PRIJEM	VKLAD	8164	28511	\N	\N	\N
1073511	3669	1995-10-07	PRIJEM	VKLAD	8164	26502	\N	\N	\N
1073512	3669	1995-11-07	PRIJEM	VKLAD	8164	22978	\N	\N	\N
1073513	3669	1995-12-07	PRIJEM	VKLAD	12246	25427	\N	\N	\N
1073514	3669	1996-01-07	PRIJEM	VKLAD	8164	22803	\N	\N	\N
1073515	3669	1996-02-07	PRIJEM	VKLAD	8164	18963	\N	\N	\N
1073516	3669	1996-03-07	PRIJEM	VKLAD	8164	19124	\N	\N	\N
1073517	3669	1996-04-07	PRIJEM	VKLAD	8164	21886	\N	\N	\N
1073518	3669	1996-05-07	PRIJEM	VKLAD	8164	24660	\N	\N	\N
1073519	3669	1996-06-07	PRIJEM	VKLAD	12246	24506	\N	\N	\N
1073520	3669	1996-07-07	PRIJEM	VKLAD	8164	22576	\N	\N	\N
1073521	3669	1996-08-07	PRIJEM	VKLAD	8164	21346	\N	\N	\N
1073522	3669	1996-09-07	PRIJEM	VKLAD	8164	20807	\N	\N	\N
1073523	3669	1996-10-07	PRIJEM	VKLAD	8164	20868	\N	\N	\N
1073524	3669	1996-11-07	PRIJEM	VKLAD	8164	22725	\N	\N	\N
1073525	3669	1996-12-07	PRIJEM	VKLAD	12246	30882	\N	\N	\N
1073526	3669	1997-01-07	PRIJEM	VKLAD	8164	23084	\N	\N	\N
1073527	3669	1997-02-07	PRIJEM	VKLAD	8164	22757	\N	\N	\N
1073528	3669	1997-03-07	PRIJEM	VKLAD	8164	23434	\N	\N	\N
1073529	3669	1997-04-07	PRIJEM	VKLAD	8164	24414	\N	\N	\N
1073530	3669	1997-05-07	PRIJEM	VKLAD	8164	24999	\N	\N	\N
1073531	3669	1997-06-07	PRIJEM	VKLAD	12246	25770	\N	\N	\N
1073532	3669	1997-07-07	PRIJEM	VKLAD	8164	19748	\N	\N	\N
1073533	3669	1997-08-07	PRIJEM	VKLAD	8164	22514	\N	\N	\N
1073534	3669	1997-09-07	PRIJEM	VKLAD	8164	19190	\N	\N	\N
1073535	3669	1997-10-07	PRIJEM	VKLAD	8164	21958	\N	\N	\N
1073536	3669	1997-11-07	PRIJEM	VKLAD	8164	23129	\N	\N	\N
1073537	3669	1997-12-07	PRIJEM	VKLAD	12246	28691	\N	\N	\N
1073538	3669	1998-01-07	PRIJEM	VKLAD	8164	27091	\N	\N	\N
1073539	3669	1998-02-07	PRIJEM	VKLAD	8164	19663	\N	\N	\N
1073540	3669	1998-03-07	PRIJEM	VKLAD	8164	22426	\N	\N	\N
1073541	3669	1998-04-07	PRIJEM	VKLAD	8164	19696	\N	\N	\N
1073542	3669	1998-05-07	PRIJEM	VKLAD	8164	22459	\N	\N	\N
1073543	3669	1998-06-07	PRIJEM	VKLAD	12246	29316	\N	\N	\N
1073544	3669	1998-07-07	PRIJEM	VKLAD	8164	29011	\N	\N	\N
1073545	3669	1998-08-07	PRIJEM	VKLAD	8164	21709	\N	\N	\N
1073546	3669	1998-09-07	PRIJEM	VKLAD	8164	24481	\N	\N	\N
1073547	3669	1998-10-07	PRIJEM	VKLAD	8164	23461	\N	\N	\N
1073548	3669	1998-11-07	PRIJEM	VKLAD	8164	21731	\N	\N	\N
1073549	3669	1998-12-07	PRIJEM	VKLAD	12246	23981	\N	\N	\N
1073566	3669	1994-05-09	VYDAJ	PREVOD NA UCET	2057	37218	SIPO	WX	63851803
1073567	3669	1994-06-09	VYDAJ	PREVOD NA UCET	2057	36036	SIPO	WX	63851803
1073568	3669	1994-07-09	VYDAJ	PREVOD NA UCET	2057	32869	SIPO	WX	63851803
1073569	3669	1994-08-09	VYDAJ	PREVOD NA UCET	2057	30090	SIPO	WX	63851803
1073570	3669	1994-09-09	VYDAJ	PREVOD NA UCET	2057	26198	SIPO	WX	63851803
1073571	3669	1994-10-09	VYDAJ	PREVOD NA UCET	2057	26400	SIPO	WX	63851803
1073572	3669	1994-11-09	VYDAJ	PREVOD NA UCET	2057	27008	SIPO	WX	63851803
1073573	3669	1994-12-09	VYDAJ	PREVOD NA UCET	2057	32898	SIPO	WX	63851803
1073574	3669	1995-01-09	VYDAJ	PREVOD NA UCET	2057	22414	SIPO	WX	63851803
1073575	3669	1995-02-09	VYDAJ	PREVOD NA UCET	2057	23514	SIPO	WX	63851803
1073576	3669	1995-03-09	VYDAJ	PREVOD NA UCET	2057	21898	SIPO	WX	63851803
1073577	3669	1995-04-09	VYDAJ	PREVOD NA UCET	2057	23082	SIPO	WX	63851803
1073578	3669	1995-05-09	VYDAJ	PREVOD NA UCET	2057	23577	SIPO	WX	63851803
1073579	3669	1995-06-09	VYDAJ	PREVOD NA UCET	2057	29656	SIPO	WX	63851803
1073580	3669	1995-07-09	VYDAJ	PREVOD NA UCET	2057	27361	SIPO	WX	63851803
1073581	3669	1995-08-09	VYDAJ	PREVOD NA UCET	2057	25561	SIPO	WX	63851803
1073582	3669	1995-09-09	VYDAJ	PREVOD NA UCET	2057	25156	SIPO	WX	63851803
1073583	3669	1995-10-09	VYDAJ	PREVOD NA UCET	2057	20947	SIPO	WX	63851803
1073584	3669	1995-11-09	VYDAJ	PREVOD NA UCET	2057	19623	SIPO	WX	63851803
1073585	3669	1995-12-09	VYDAJ	PREVOD NA UCET	2057	22072	SIPO	WX	63851803
1073586	3669	1996-01-09	VYDAJ	PREVOD NA UCET	2057	19448	SIPO	WX	63851803
1073587	3669	1996-02-09	VYDAJ	PREVOD NA UCET	2057	15608	SIPO	WX	63851803
1073588	3669	1996-03-09	VYDAJ	PREVOD NA UCET	2057	15769	SIPO	WX	63851803
1073589	3669	1996-04-09	VYDAJ	PREVOD NA UCET	2057	18531	SIPO	WX	63851803
1073590	3669	1996-05-09	VYDAJ	PREVOD NA UCET	2057	21305	SIPO	WX	63851803
1073591	3669	1996-06-09	VYDAJ	PREVOD NA UCET	2057	17551	SIPO	WX	63851803
1073592	3669	1996-07-09	VYDAJ	PREVOD NA UCET	2057	19221	SIPO	WX	63851803
1073593	3669	1996-08-09	VYDAJ	PREVOD NA UCET	2057	14691	SIPO	WX	63851803
1073594	3669	1996-09-09	VYDAJ	PREVOD NA UCET	2057	14752	SIPO	WX	63851803
1073595	3669	1996-10-09	VYDAJ	PREVOD NA UCET	2057	13513	SIPO	WX	63851803
1073596	3669	1996-11-09	VYDAJ	PREVOD NA UCET	2057	19370	SIPO	WX	63851803
1073597	3669	1996-12-09	VYDAJ	PREVOD NA UCET	2057	27527	SIPO	WX	63851803
1073598	3669	1997-01-09	VYDAJ	PREVOD NA UCET	2057	18529	SIPO	WX	63851803
1073599	3669	1997-02-09	VYDAJ	PREVOD NA UCET	2057	19402	SIPO	WX	63851803
1073600	3669	1997-03-09	VYDAJ	PREVOD NA UCET	2057	20079	SIPO	WX	63851803
1073601	3669	1997-04-09	VYDAJ	PREVOD NA UCET	2057	21059	SIPO	WX	63851803
1073602	3669	1997-05-09	VYDAJ	PREVOD NA UCET	2057	21644	SIPO	WX	63851803
1073603	3669	1997-06-09	VYDAJ	PREVOD NA UCET	2057	22415	SIPO	WX	63851803
1073604	3669	1997-07-09	VYDAJ	PREVOD NA UCET	2057	16393	SIPO	WX	63851803
1073605	3669	1997-08-09	VYDAJ	PREVOD NA UCET	2057	19159	SIPO	WX	63851803
1073606	3669	1997-09-09	VYDAJ	PREVOD NA UCET	2057	15835	SIPO	WX	63851803
1073607	3669	1997-10-09	VYDAJ	PREVOD NA UCET	2057	18603	SIPO	WX	63851803
1073608	3669	1997-11-09	VYDAJ	PREVOD NA UCET	2057	19774	SIPO	WX	63851803
1073609	3669	1997-12-09	VYDAJ	PREVOD NA UCET	2057	25336	SIPO	WX	63851803
1073610	3669	1998-01-09	VYDAJ	PREVOD NA UCET	2057	15636	SIPO	WX	63851803
1073611	3669	1998-02-09	VYDAJ	PREVOD NA UCET	2057	16308	SIPO	WX	63851803
1073612	3669	1998-03-09	VYDAJ	PREVOD NA UCET	2057	19071	SIPO	WX	63851803
1073613	3669	1998-04-09	VYDAJ	PREVOD NA UCET	2057	16341	SIPO	WX	63851803
1073614	3669	1998-05-09	VYDAJ	PREVOD NA UCET	2057	19104	SIPO	WX	63851803
1073615	3669	1998-06-09	VYDAJ	PREVOD NA UCET	2057	25961	SIPO	WX	63851803
1073616	3669	1998-07-09	VYDAJ	PREVOD NA UCET	2057	25656	SIPO	WX	63851803
1073617	3669	1998-08-09	VYDAJ	PREVOD NA UCET	2057	18354	SIPO	WX	63851803
1073618	3669	1998-09-09	VYDAJ	PREVOD NA UCET	2057	21126	SIPO	WX	63851803
1073619	3669	1998-10-09	VYDAJ	PREVOD NA UCET	2057	20106	SIPO	WX	63851803
1073620	3669	1998-11-09	VYDAJ	PREVOD NA UCET	2057	18376	SIPO	WX	63851803
1073621	3669	1998-12-09	VYDAJ	PREVOD NA UCET	2057	20626	SIPO	WX	63851803
1073638	3669	1994-05-08	VYDAJ	PREVOD NA UCET	1298	39275	 	AB	20263856
1073639	3669	1994-06-08	VYDAJ	PREVOD NA UCET	1298	38093	 	AB	20263856
1073640	3669	1994-07-08	VYDAJ	PREVOD NA UCET	1298	34926	 	AB	20263856
1073641	3669	1994-08-08	VYDAJ	PREVOD NA UCET	1298	32147	 	AB	20263856
1073642	3669	1994-09-08	VYDAJ	PREVOD NA UCET	1298	28255	 	AB	20263856
1073643	3669	1994-10-08	VYDAJ	PREVOD NA UCET	1298	28457	 	AB	20263856
1073644	3669	1994-11-08	VYDAJ	PREVOD NA UCET	1298	29065	 	AB	20263856
1073645	3669	1994-12-08	VYDAJ	PREVOD NA UCET	1298	34955	 	AB	20263856
1073646	3669	1995-01-08	VYDAJ	PREVOD NA UCET	1298	27171	 	AB	20263856
1073647	3669	1995-02-08	VYDAJ	PREVOD NA UCET	1298	25571	 	AB	20263856
1073648	3669	1995-03-08	VYDAJ	PREVOD NA UCET	1298	23955	 	AB	20263856
1073649	3669	1995-04-08	VYDAJ	PREVOD NA UCET	1298	25139	 	AB	20263856
1073650	3669	1995-05-08	VYDAJ	PREVOD NA UCET	1298	25634	 	AB	20263856
1073651	3669	1995-06-08	VYDAJ	PREVOD NA UCET	1298	31713	 	AB	20263856
1073652	3669	1995-07-08	VYDAJ	PREVOD NA UCET	1298	29418	 	AB	20263856
1073653	3669	1995-08-08	VYDAJ	PREVOD NA UCET	1298	27618	 	AB	20263856
1073654	3669	1995-09-08	VYDAJ	PREVOD NA UCET	1298	27213	 	AB	20263856
1073655	3669	1995-10-08	VYDAJ	PREVOD NA UCET	1298	23004	 	AB	20263856
1073656	3669	1995-11-08	VYDAJ	PREVOD NA UCET	1298	21680	 	AB	20263856
1073657	3669	1995-12-08	VYDAJ	PREVOD NA UCET	1298	24129	 	AB	20263856
1073658	3669	1996-01-08	VYDAJ	PREVOD NA UCET	1298	21505	 	AB	20263856
1073659	3669	1996-02-08	VYDAJ	PREVOD NA UCET	1298	17665	 	AB	20263856
1073660	3669	1996-03-08	VYDAJ	PREVOD NA UCET	1298	17826	 	AB	20263856
1073661	3669	1996-04-08	VYDAJ	PREVOD NA UCET	1298	20588	 	AB	20263856
1073662	3669	1996-05-08	VYDAJ	PREVOD NA UCET	1298	23362	 	AB	20263856
1073663	3669	1996-06-08	VYDAJ	PREVOD NA UCET	1298	23208	 	AB	20263856
1073664	3669	1996-07-08	VYDAJ	PREVOD NA UCET	1298	21278	 	AB	20263856
1073665	3669	1996-08-08	VYDAJ	PREVOD NA UCET	1298	16748	 	AB	20263856
1073666	3669	1996-09-08	VYDAJ	PREVOD NA UCET	1298	16809	 	AB	20263856
1073667	3669	1996-10-08	VYDAJ	PREVOD NA UCET	1298	15570	 	AB	20263856
1073668	3669	1996-11-08	VYDAJ	PREVOD NA UCET	1298	21427	 	AB	20263856
1073669	3669	1996-12-08	VYDAJ	PREVOD NA UCET	1298	29584	 	AB	20263856
1073670	3669	1997-01-08	VYDAJ	PREVOD NA UCET	1298	20586	 	AB	20263856
1073671	3669	1997-02-08	VYDAJ	PREVOD NA UCET	1298	21459	 	AB	20263856
1073672	3669	1997-03-08	VYDAJ	PREVOD NA UCET	1298	22136	 	AB	20263856
1073673	3669	1997-04-08	VYDAJ	PREVOD NA UCET	1298	23116	 	AB	20263856
1073674	3669	1997-05-08	VYDAJ	PREVOD NA UCET	1298	23701	 	AB	20263856
1073675	3669	1997-06-08	VYDAJ	PREVOD NA UCET	1298	24472	 	AB	20263856
1073676	3669	1997-07-08	VYDAJ	PREVOD NA UCET	1298	18450	 	AB	20263856
1073677	3669	1997-08-08	VYDAJ	PREVOD NA UCET	1298	21216	 	AB	20263856
1073678	3669	1997-09-08	VYDAJ	PREVOD NA UCET	1298	17892	 	AB	20263856
1073679	3669	1997-10-08	VYDAJ	PREVOD NA UCET	1298	20660	 	AB	20263856
1073680	3669	1997-11-08	VYDAJ	PREVOD NA UCET	1298	21831	 	AB	20263856
1073681	3669	1997-12-08	VYDAJ	PREVOD NA UCET	1298	27393	 	AB	20263856
1073682	3669	1998-01-08	VYDAJ	PREVOD NA UCET	1298	17693	 	AB	20263856
1073683	3669	1998-02-08	VYDAJ	PREVOD NA UCET	1298	18365	 	AB	20263856
1073684	3669	1998-03-08	VYDAJ	PREVOD NA UCET	1298	21128	 	AB	20263856
1073685	3669	1998-04-08	VYDAJ	PREVOD NA UCET	1298	18398	 	AB	20263856
1073686	3669	1998-05-08	VYDAJ	PREVOD NA UCET	1298	21161	 	AB	20263856
1073687	3669	1998-06-08	VYDAJ	PREVOD NA UCET	1298	28018	 	AB	20263856
1073688	3669	1998-07-08	VYDAJ	PREVOD NA UCET	1298	27713	 	AB	20263856
1073689	3669	1998-08-08	VYDAJ	PREVOD NA UCET	1298	20411	 	AB	20263856
1073690	3669	1998-09-08	VYDAJ	PREVOD NA UCET	1298	23183	 	AB	20263856
1073691	3669	1998-10-08	VYDAJ	PREVOD NA UCET	1298	22163	 	AB	20263856
1073692	3669	1998-11-08	VYDAJ	PREVOD NA UCET	1298	20433	 	AB	20263856
1073693	3669	1998-12-08	VYDAJ	PREVOD NA UCET	1298	22683	 	AB	20263856
1073710	3669	1994-05-10	VYDAJ	PREVOD NA UCET	2087	35131	POJISTNE	CD	75799655
1073711	3669	1994-06-10	VYDAJ	PREVOD NA UCET	2087	33949	POJISTNE	CD	75799655
1073712	3669	1994-07-10	VYDAJ	PREVOD NA UCET	2087	30782	POJISTNE	CD	75799655
1073713	3669	1994-08-10	VYDAJ	PREVOD NA UCET	2087	28003	POJISTNE	CD	75799655
1073714	3669	1994-09-10	VYDAJ	PREVOD NA UCET	2087	24111	POJISTNE	CD	75799655
1073715	3669	1994-10-10	VYDAJ	PREVOD NA UCET	2087	24313	POJISTNE	CD	75799655
1073716	3669	1994-11-10	VYDAJ	PREVOD NA UCET	2087	24921	POJISTNE	CD	75799655
1073717	3669	1994-12-10	VYDAJ	PREVOD NA UCET	2087	30811	POJISTNE	CD	75799655
1073718	3669	1995-01-10	VYDAJ	PREVOD NA UCET	2087	20327	POJISTNE	CD	75799655
1073719	3669	1995-02-10	VYDAJ	PREVOD NA UCET	2087	21427	POJISTNE	CD	75799655
1073720	3669	1995-03-10	VYDAJ	PREVOD NA UCET	2087	19811	POJISTNE	CD	75799655
1073721	3669	1995-04-10	VYDAJ	PREVOD NA UCET	2087	20995	POJISTNE	CD	75799655
1073722	3669	1995-05-10	VYDAJ	PREVOD NA UCET	2087	21490	POJISTNE	CD	75799655
1073723	3669	1995-06-10	VYDAJ	PREVOD NA UCET	2087	27569	POJISTNE	CD	75799655
1073724	3669	1995-07-10	VYDAJ	PREVOD NA UCET	2087	25274	POJISTNE	CD	75799655
1073725	3669	1995-08-10	VYDAJ	PREVOD NA UCET	2087	23474	POJISTNE	CD	75799655
1073726	3669	1995-09-10	VYDAJ	PREVOD NA UCET	2087	23069	POJISTNE	CD	75799655
1073727	3669	1995-10-10	VYDAJ	PREVOD NA UCET	2087	18860	POJISTNE	CD	75799655
1073728	3669	1995-11-10	VYDAJ	PREVOD NA UCET	2087	17536	POJISTNE	CD	75799655
1073729	3669	1995-12-10	VYDAJ	PREVOD NA UCET	2087	19985	POJISTNE	CD	75799655
1073730	3669	1996-01-10	VYDAJ	PREVOD NA UCET	2087	12761	POJISTNE	CD	75799655
1073731	3669	1996-02-10	VYDAJ	PREVOD NA UCET	2087	13521	POJISTNE	CD	75799655
1073732	3669	1996-03-10	VYDAJ	PREVOD NA UCET	2087	13682	POJISTNE	CD	75799655
1073733	3669	1996-04-10	VYDAJ	PREVOD NA UCET	2087	16444	POJISTNE	CD	75799655
1073734	3669	1996-05-10	VYDAJ	PREVOD NA UCET	2087	12218	POJISTNE	CD	75799655
1073735	3669	1996-06-10	VYDAJ	PREVOD NA UCET	2087	15464	POJISTNE	CD	75799655
1073736	3669	1996-07-10	VYDAJ	PREVOD NA UCET	2087	14934	POJISTNE	CD	75799655
1073737	3669	1996-08-10	VYDAJ	PREVOD NA UCET	2087	12604	POJISTNE	CD	75799655
1073738	3669	1996-09-10	VYDAJ	PREVOD NA UCET	2087	12665	POJISTNE	CD	75799655
1073739	3669	1996-10-10	VYDAJ	PREVOD NA UCET	2087	11426	POJISTNE	CD	75799655
1073740	3669	1996-11-10	VYDAJ	PREVOD NA UCET	2087	17283	POJISTNE	CD	75799655
1073741	3669	1996-12-10	VYDAJ	PREVOD NA UCET	2087	25440	POJISTNE	CD	75799655
1073742	3669	1997-01-10	VYDAJ	PREVOD NA UCET	2087	16442	POJISTNE	CD	75799655
1073743	3669	1997-02-10	VYDAJ	PREVOD NA UCET	2087	17315	POJISTNE	CD	75799655
1073744	3669	1997-03-10	VYDAJ	PREVOD NA UCET	2087	17992	POJISTNE	CD	75799655
1073745	3669	1997-04-10	VYDAJ	PREVOD NA UCET	2087	18972	POJISTNE	CD	75799655
1073746	3669	1997-05-10	VYDAJ	PREVOD NA UCET	2087	19557	POJISTNE	CD	75799655
1073747	3669	1997-06-10	VYDAJ	PREVOD NA UCET	2087	20328	POJISTNE	CD	75799655
1073748	3669	1997-07-10	VYDAJ	PREVOD NA UCET	2087	14306	POJISTNE	CD	75799655
1073749	3669	1997-08-10	VYDAJ	PREVOD NA UCET	2087	17072	POJISTNE	CD	75799655
1073750	3669	1997-09-10	VYDAJ	PREVOD NA UCET	2087	13748	POJISTNE	CD	75799655
1073751	3669	1997-10-10	VYDAJ	PREVOD NA UCET	2087	16516	POJISTNE	CD	75799655
1073752	3669	1997-11-10	VYDAJ	PREVOD NA UCET	2087	17687	POJISTNE	CD	75799655
1073753	3669	1997-12-10	VYDAJ	PREVOD NA UCET	2087	23249	POJISTNE	CD	75799655
1073754	3669	1998-01-10	VYDAJ	PREVOD NA UCET	2087	13549	POJISTNE	CD	75799655
1073755	3669	1998-02-10	VYDAJ	PREVOD NA UCET	2087	14221	POJISTNE	CD	75799655
1073756	3669	1998-03-10	VYDAJ	PREVOD NA UCET	2087	16984	POJISTNE	CD	75799655
1073757	3669	1998-04-10	VYDAJ	PREVOD NA UCET	2087	14254	POJISTNE	CD	75799655
1073758	3669	1998-05-10	VYDAJ	PREVOD NA UCET	2087	17017	POJISTNE	CD	75799655
1073759	3669	1998-06-10	VYDAJ	PREVOD NA UCET	2087	23874	POJISTNE	CD	75799655
1073760	3669	1998-07-10	VYDAJ	PREVOD NA UCET	2087	23569	POJISTNE	CD	75799655
1073761	3669	1998-08-10	VYDAJ	PREVOD NA UCET	2087	16267	POJISTNE	CD	75799655
1073762	3669	1998-09-10	VYDAJ	PREVOD NA UCET	2087	19039	POJISTNE	CD	75799655
1073763	3669	1998-10-10	VYDAJ	PREVOD NA UCET	2087	18019	POJISTNE	CD	75799655
1073764	3669	1998-11-10	VYDAJ	PREVOD NA UCET	2087	16289	POJISTNE	CD	75799655
1073765	3669	1998-12-10	VYDAJ	PREVOD NA UCET	2087	18539	POJISTNE	CD	75799655
1073774	3669	1995-01-24	VYDAJ	VYBER	1200	20927	\N	\N	\N
1073775	3669	1996-01-09	VYDAJ	VYBER	4600	14848	\N	\N	\N
1073776	3669	1997-01-04	VYDAJ	VYBER	2100	19220	\N	\N	\N
1073777	3669	1998-01-08	VYDAJ	VYBER	8100	18991	\N	\N	\N
1073790	3669	1995-01-30	VYDAJ	VYBER	2300	18627	\N	\N	\N
1073791	3669	1995-01-09	VYDAJ	VYBER	2700	24471	\N	\N	\N
1073792	3669	1995-01-06	VYDAJ	VYBER	600	23205	\N	\N	\N
1073793	3669	1995-01-06	VYDAJ	VYBER	2900	20305	\N	\N	\N
1073794	3669	1995-01-05	VYDAJ	VYBER	600	23805	\N	\N	\N
1073795	3669	1995-01-03	VYDAJ	VYBER	1500	24405	\N	\N	\N
1073800	3669	1996-01-01	VYDAJ	VYBER	2200	14639	\N	\N	\N
1073802	3669	1997-01-17	VYDAJ	VYBER	2800	13642	\N	\N	\N
1073803	3669	1997-01-07	VYDAJ	VYBER	1200	21884	\N	\N	\N
1073804	3669	1997-01-05	VYDAJ	VYBER	700	14920	\N	\N	\N
1073820	3669	1994-07-19	VYDAJ	VYBER	2900	23982	\N	\N	\N
1073821	3669	1994-05-13	VYDAJ	VYBER	4400	30731	\N	\N	\N
1073824	3669	1994-08-15	VYDAJ	VYBER	3900	24103	\N	\N	\N
1073825	3669	1994-12-11	VYDAJ	VYBER	4900	25911	\N	\N	\N
1073826	3669	1994-07-12	VYDAJ	VYBER	3900	26882	\N	\N	\N
1073827	3669	1994-10-30	VYDAJ	VYBER	3600	22113	\N	\N	\N
1073828	3669	1995-10-08	VYDAJ	VYBER	2200	24302	\N	\N	\N
1073829	3669	1995-05-06	VYDAJ	VYBER	3100	18768	\N	\N	\N
1073830	3669	1995-08-13	VYDAJ	VYBER	3800	19674	\N	\N	\N
1073831	3669	1995-11-11	VYDAJ	VYBER	1300	16236	\N	\N	\N
1073832	3669	1995-02-12	VYDAJ	VYBER	4700	16727	\N	\N	\N
1073833	3669	1995-09-21	VYDAJ	VYBER	1800	18269	\N	\N	\N
1073835	3669	1996-07-25	VYDAJ	VYBER	1800	13134	\N	\N	\N
1073840	3669	1996-07-05	VYDAJ	VYBER	1100	14412	\N	\N	\N
1073841	3669	1996-12-21	VYDAJ	VYBER	4200	21240	\N	\N	\N
1073843	3669	1997-06-15	VYDAJ	VYBER	3500	16828	\N	\N	\N
1073844	3669	1997-03-20	VYDAJ	VYBER	1100	16892	\N	\N	\N
1073845	3669	1997-06-19	VYDAJ	VYBER	3800	13028	\N	\N	\N
1073846	3669	1997-10-15	VYDAJ	VYBER	600	15916	\N	\N	\N
1073848	3669	1998-10-17	VYDAJ	VYBER	4500	13519	\N	\N	\N
1073849	3669	1998-06-23	VYDAJ	VYBER	3100	20774	\N	\N	\N
1073852	3669	1998-03-22	VYDAJ	VYBER	3300	13684	\N	\N	\N
1073871	3669	1994-05-31	VYDAJ	VYBER	15	27145	SLUZBY	\N	\N
1073872	3669	1994-06-30	VYDAJ	VYBER	15	28060	SLUZBY	\N	\N
1073873	3669	1994-07-31	VYDAJ	VYBER	15	25281	SLUZBY	\N	\N
1073874	3669	1994-08-31	VYDAJ	VYBER	15	21389	SLUZBY	\N	\N
1073875	3669	1994-09-30	VYDAJ	VYBER	15	21591	SLUZBY	\N	\N
1073876	3669	1994-10-31	VYDAJ	VYBER	15	22199	SLUZBY	\N	\N
1073877	3669	1994-11-30	VYDAJ	VYBER	15	24007	SLUZBY	\N	\N
1073878	3669	1994-12-31	VYDAJ	VYBER	15	25905	SLUZBY	\N	\N
1073879	3669	1995-01-31	VYDAJ	VYBER	15	18705	SLUZBY	\N	\N
1073880	3669	1995-02-28	VYDAJ	VYBER	15	17089	SLUZBY	\N	\N
1073881	3669	1995-03-31	VYDAJ	VYBER	15	18273	SLUZBY	\N	\N
1073882	3669	1995-04-30	VYDAJ	VYBER	15	21868	SLUZBY	\N	\N
1073883	3669	1995-05-31	VYDAJ	VYBER	15	20765	SLUZBY	\N	\N
1073884	3669	1995-06-30	VYDAJ	VYBER	15	22552	SLUZBY	\N	\N
1073885	3669	1995-07-31	VYDAJ	VYBER	15	20752	SLUZBY	\N	\N
1073886	3669	1995-08-31	VYDAJ	VYBER	15	20347	SLUZBY	\N	\N
1073887	3669	1995-09-30	VYDAJ	VYBER	15	18338	SLUZBY	\N	\N
1073888	3669	1995-10-31	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
1073889	3669	1995-11-30	VYDAJ	VYBER	15	13181	SLUZBY	\N	\N
1073890	3669	1995-12-31	VYDAJ	VYBER	15	16839	SLUZBY	\N	\N
1073891	3669	1996-01-31	VYDAJ	VYBER	15	10799	SLUZBY	\N	\N
1073892	3669	1996-02-29	VYDAJ	VYBER	15	10960	SLUZBY	\N	\N
1073893	3669	1996-03-31	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
1073894	3669	1996-04-30	VYDAJ	VYBER	15	16496	SLUZBY	\N	\N
1073895	3669	1996-05-31	VYDAJ	VYBER	15	12260	SLUZBY	\N	\N
1073896	3669	1996-06-30	VYDAJ	VYBER	15	15512	SLUZBY	\N	\N
1073897	3669	1996-07-31	VYDAJ	VYBER	15	13182	SLUZBY	\N	\N
1073898	3669	1996-08-31	VYDAJ	VYBER	15	12643	SLUZBY	\N	\N
1073899	3669	1996-09-30	VYDAJ	VYBER	15	12704	SLUZBY	\N	\N
1073900	3669	1996-10-31	VYDAJ	VYBER	15	11461	SLUZBY	\N	\N
1073901	3669	1996-11-30	VYDAJ	VYBER	15	17336	SLUZBY	\N	\N
1073902	3669	1996-12-31	VYDAJ	VYBER	15	21320	SLUZBY	\N	\N
1073903	3669	1997-01-31	VYDAJ	VYBER	15	13693	SLUZBY	\N	\N
1073904	3669	1997-02-28	VYDAJ	VYBER	15	17370	SLUZBY	\N	\N
1073905	3669	1997-03-31	VYDAJ	VYBER	15	16950	SLUZBY	\N	\N
1073906	3669	1997-04-30	VYDAJ	VYBER	15	19035	SLUZBY	\N	\N
1073907	3669	1997-05-31	VYDAJ	VYBER	15	19624	SLUZBY	\N	\N
1073908	3669	1997-06-30	VYDAJ	VYBER	15	13084	SLUZBY	\N	\N
1073909	3669	1997-07-31	VYDAJ	VYBER	15	14350	SLUZBY	\N	\N
1073910	3669	1997-08-31	VYDAJ	VYBER	15	17126	SLUZBY	\N	\N
1073911	3669	1997-09-30	VYDAJ	VYBER	15	13794	SLUZBY	\N	\N
1073912	3669	1997-10-31	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
1073913	3669	1997-11-30	VYDAJ	VYBER	15	17745	SLUZBY	\N	\N
1073914	3669	1997-12-31	VYDAJ	VYBER	15	23327	SLUZBY	\N	\N
1073915	3669	1998-01-31	VYDAJ	VYBER	15	11499	SLUZBY	\N	\N
1073916	3669	1998-02-28	VYDAJ	VYBER	15	14262	SLUZBY	\N	\N
1073917	3669	1998-03-31	VYDAJ	VYBER	15	13732	SLUZBY	\N	\N
1073918	3669	1998-04-30	VYDAJ	VYBER	15	14295	SLUZBY	\N	\N
1073919	3669	1998-05-31	VYDAJ	VYBER	15	17070	SLUZBY	\N	\N
1073920	3669	1998-06-30	VYDAJ	VYBER	15	20847	SLUZBY	\N	\N
1073921	3669	1998-07-31	VYDAJ	VYBER	15	13545	SLUZBY	\N	\N
1073922	3669	1998-08-31	VYDAJ	VYBER	15	16317	SLUZBY	\N	\N
1073923	3669	1998-09-30	VYDAJ	VYBER	15	15297	SLUZBY	\N	\N
1073924	3669	1998-10-31	VYDAJ	VYBER	15	13567	SLUZBY	\N	\N
1073925	3669	1998-11-30	VYDAJ	VYBER	15	11735	SLUZBY	\N	\N
1073926	3669	1994-01-21	PRIJEM	VKLAD	9400	18664	\N	\N	\N
1073927	3669	1994-02-20	PRIJEM	VKLAD	100	26956	\N	\N	\N
1073928	3669	1994-03-22	VYDAJ	VYBER	7100	28109	\N	\N	\N
1073929	3669	1994-04-21	VYDAJ	VYBER	4100	32286	\N	\N	\N
1073930	3669	1994-05-21	VYDAJ	VYBER	3700	27031	\N	\N	\N
1073931	3669	1994-06-20	VYDAJ	VYBER	6000	27949	\N	\N	\N
1073932	3669	1994-07-20	PRIJEM	VKLAD	1200	25182	\N	\N	\N
1073933	3669	1994-08-19	VYDAJ	VYBER	2800	21303	\N	\N	\N
1073934	3669	1994-09-18	VYDAJ	VYBER	2600	21511	\N	\N	\N
1073935	3669	1994-10-18	PRIJEM	VKLAD	1400	25713	\N	\N	\N
1073936	3669	1994-11-17	VYDAJ	VYBER	1000	23921	\N	\N	\N
1073937	3669	1994-12-17	VYDAJ	VYBER	100	25811	\N	\N	\N
1073938	3669	1995-01-16	PRIJEM	VKLAD	1800	22127	\N	\N	\N
1073939	3669	1995-02-15	PRIJEM	VKLAD	300	17027	\N	\N	\N
1073940	3669	1995-03-17	VYDAJ	VYBER	1600	18211	\N	\N	\N
1073941	3669	1995-04-16	PRIJEM	VKLAD	800	21795	\N	\N	\N
1073942	3669	1995-05-16	VYDAJ	VYBER	800	20690	\N	\N	\N
1073943	3669	1995-06-15	VYDAJ	VYBER	5100	22469	\N	\N	\N
1073944	3669	1995-07-15	VYDAJ	VYBER	4600	20674	\N	\N	\N
1073945	3669	1995-08-14	PRIJEM	VKLAD	600	20274	\N	\N	\N
1073946	3669	1995-09-13	VYDAJ	VYBER	3000	20069	\N	\N	\N
1073947	3669	1995-10-13	VYDAJ	VYBER	4100	14760	\N	\N	\N
1073948	3669	1995-11-12	VYDAJ	VYBER	3100	13136	\N	\N	\N
1073949	3669	1995-12-12	VYDAJ	VYBER	3200	16785	\N	\N	\N
1073950	3669	1996-01-11	VYDAJ	VYBER	2000	10761	\N	\N	\N
1073951	3669	1996-02-10	VYDAJ	VYBER	2600	10921	\N	\N	\N
1073952	3669	1996-05-10	VYDAJ	VYBER	7000	14305	\N	\N	\N
1073953	3669	1996-06-09	VYDAJ	VYBER	3600	19608	\N	\N	\N
1073954	3669	1996-07-09	VYDAJ	VYBER	2200	17021	\N	\N	\N
1073955	3669	1996-08-08	VYDAJ	VYBER	3300	18046	\N	\N	\N
1073956	3669	1996-09-07	VYDAJ	VYBER	2700	18107	\N	\N	\N
1073957	3669	1996-10-07	VYDAJ	VYBER	4000	16868	\N	\N	\N
1073958	3669	1996-11-06	PRIJEM	VKLAD	3100	14561	\N	\N	\N
1073959	3669	1996-12-06	PRIJEM	VKLAD	1300	18636	\N	\N	\N
1073960	3669	1997-01-05	VYDAJ	VYBER	3600	15620	\N	\N	\N
1073961	3669	1997-02-04	PRIJEM	VKLAD	900	14593	\N	\N	\N
1073962	3669	1997-03-06	VYDAJ	VYBER	2100	15270	\N	\N	\N
1073963	3669	1997-04-05	VYDAJ	VYBER	700	16250	\N	\N	\N
1073964	3669	1997-05-05	VYDAJ	VYBER	2200	16835	\N	\N	\N
1073965	3669	1997-06-04	VYDAJ	VYBER	6100	13524	\N	\N	\N
1073966	3669	1997-07-04	VYDAJ	VYBER	1500	11584	\N	\N	\N
1073967	3669	1997-09-02	VYDAJ	VYBER	6100	11026	\N	\N	\N
1073968	3669	1997-11-01	VYDAJ	VYBER	1000	14965	\N	\N	\N
1073969	3669	1997-12-01	VYDAJ	VYBER	1300	16445	\N	\N	\N
1073970	3669	1997-12-31	VYDAJ	VYBER	4400	18927	\N	\N	\N
1073971	3669	1998-01-30	VYDAJ	VYBER	2100	11449	\N	\N	\N
1073972	3669	1998-03-31	VYDAJ	VYBER	2200	11532	\N	\N	\N
1073973	3669	1998-07-29	VYDAJ	VYBER	10100	13469	\N	\N	\N
1073974	3669	1998-09-27	VYDAJ	VYBER	3800	15239	\N	\N	\N
1073975	3669	1998-11-26	VYDAJ	VYBER	4600	11689	\N	\N	\N
1074036	3670	1993-06-04	PRIJEM	VKLAD	400	400	\N	\N	\N
1074042	3670	1993-06-07	PRIJEM	PREVOD Z UCTU	4442	4842	DUCHOD	OP	22552919
1074043	3670	1993-07-07	PRIJEM	PREVOD Z UCTU	4442	9300	DUCHOD	OP	22552919
1074044	3670	1993-08-07	PRIJEM	PREVOD Z UCTU	4442	13762	DUCHOD	OP	22552919
1074045	3670	1993-09-07	PRIJEM	PREVOD Z UCTU	4442	18225	DUCHOD	OP	22552919
1074046	3670	1993-10-07	PRIJEM	PREVOD Z UCTU	4442	22687	DUCHOD	OP	22552919
1074047	3670	1993-11-07	PRIJEM	PREVOD Z UCTU	4442	24211	DUCHOD	OP	22552919
1074048	3670	1993-12-07	PRIJEM	PREVOD Z UCTU	4442	23038	DUCHOD	OP	22552919
1074049	3670	1994-01-07	PRIJEM	PREVOD Z UCTU	4442	23586	DUCHOD	OP	22552919
1074050	3670	1994-02-07	PRIJEM	PREVOD Z UCTU	4442	22133	DUCHOD	OP	22552919
1074051	3670	1994-03-07	PRIJEM	PREVOD Z UCTU	4442	23677	DUCHOD	OP	22552919
1074052	3670	1994-04-07	PRIJEM	PREVOD Z UCTU	4442	21538	DUCHOD	OP	22552919
1074053	3670	1994-05-07	PRIJEM	PREVOD Z UCTU	4442	20677	DUCHOD	OP	22552919
1074054	3670	1994-06-07	PRIJEM	PREVOD Z UCTU	4442	20852	DUCHOD	OP	22552919
1074055	3670	1994-07-07	PRIJEM	PREVOD Z UCTU	4442	22390	DUCHOD	OP	22552919
1074056	3670	1994-08-07	PRIJEM	PREVOD Z UCTU	4442	23935	DUCHOD	OP	22552919
1074057	3670	1994-09-07	PRIJEM	PREVOD Z UCTU	4442	21641	DUCHOD	OP	22552919
1074058	3670	1994-10-07	PRIJEM	PREVOD Z UCTU	4442	23183	DUCHOD	OP	22552919
1074059	3670	1994-11-07	PRIJEM	PREVOD Z UCTU	4442	24731	DUCHOD	OP	22552919
1074060	3670	1994-12-07	PRIJEM	PREVOD Z UCTU	4442	23975	DUCHOD	OP	22552919
1074061	3670	1995-01-07	PRIJEM	PREVOD Z UCTU	4442	25531	DUCHOD	OP	22552919
1074062	3670	1995-02-07	PRIJEM	PREVOD Z UCTU	4442	20797	DUCHOD	OP	22552919
1074063	3670	1995-03-07	PRIJEM	PREVOD Z UCTU	4442	22338	DUCHOD	OP	22552919
1074064	3670	1995-04-07	PRIJEM	PREVOD Z UCTU	4442	23882	DUCHOD	OP	22552919
1074065	3670	1995-05-07	PRIJEM	PREVOD Z UCTU	4442	25433	DUCHOD	OP	22552919
1074066	3670	1995-06-07	PRIJEM	PREVOD Z UCTU	4442	26990	DUCHOD	OP	22552919
1074067	3670	1995-07-07	PRIJEM	PREVOD Z UCTU	4442	23341	DUCHOD	OP	22552919
1074068	3670	1995-08-07	PRIJEM	PREVOD Z UCTU	4442	24889	DUCHOD	OP	22552919
1074069	3670	1995-09-07	PRIJEM	PREVOD Z UCTU	4442	26444	DUCHOD	OP	22552919
1074070	3670	1995-10-07	PRIJEM	PREVOD Z UCTU	4442	28006	DUCHOD	OP	22552919
1074071	3670	1995-11-07	PRIJEM	PREVOD Z UCTU	4442	29574	DUCHOD	OP	22552919
1074072	3670	1995-12-07	PRIJEM	PREVOD Z UCTU	4442	31148	DUCHOD	OP	22552919
1074073	3670	1996-01-07	PRIJEM	PREVOD Z UCTU	4442	28456	DUCHOD	OP	22552919
1074074	3670	1996-02-07	PRIJEM	PREVOD Z UCTU	4442	28029	DUCHOD	OP	22552919
1074075	3670	1996-03-07	PRIJEM	PREVOD Z UCTU	4442	29596	DUCHOD	OP	22552919
1074076	3670	1996-04-07	PRIJEM	PREVOD Z UCTU	4442	31171	DUCHOD	OP	22552919
1074077	3670	1996-05-07	PRIJEM	PREVOD Z UCTU	4442	31550	DUCHOD	OP	22552919
1074078	3670	1996-06-07	PRIJEM	PREVOD Z UCTU	4442	33132	DUCHOD	OP	22552919
1074079	3670	1996-07-07	PRIJEM	PREVOD Z UCTU	4442	30168	DUCHOD	OP	22552919
1074080	3670	1996-08-07	PRIJEM	PREVOD Z UCTU	4442	31745	DUCHOD	OP	22552919
1074081	3670	1996-09-07	PRIJEM	PREVOD Z UCTU	4442	31808	DUCHOD	OP	22552919
1074082	3670	1996-10-07	PRIJEM	PREVOD Z UCTU	4442	33396	DUCHOD	OP	22552919
1074083	3670	1996-11-07	PRIJEM	PREVOD Z UCTU	4442	34986	DUCHOD	OP	22552919
1074084	3670	1996-12-07	PRIJEM	PREVOD Z UCTU	4442	35580	DUCHOD	OP	22552919
1074085	3670	1997-01-07	PRIJEM	PREVOD Z UCTU	4442	31949	DUCHOD	OP	22552919
1074086	3670	1997-02-07	PRIJEM	PREVOD Z UCTU	4442	29481	DUCHOD	OP	22552919
1074087	3670	1997-03-07	PRIJEM	PREVOD Z UCTU	4442	27372	DUCHOD	OP	22552919
1074088	3670	1997-04-07	PRIJEM	PREVOD Z UCTU	4442	28936	DUCHOD	OP	22552919
1074089	3670	1997-05-07	PRIJEM	PREVOD Z UCTU	4442	28663	DUCHOD	OP	22552919
1074090	3670	1997-06-07	PRIJEM	PREVOD Z UCTU	4442	26951	DUCHOD	OP	22552919
1074091	3670	1997-07-07	PRIJEM	PREVOD Z UCTU	4442	28514	DUCHOD	OP	22552919
1074092	3670	1997-08-07	PRIJEM	PREVOD Z UCTU	4442	27517	DUCHOD	OP	22552919
1074093	3670	1997-09-07	PRIJEM	PREVOD Z UCTU	4442	28682	DUCHOD	OP	22552919
1074094	3670	1997-10-07	PRIJEM	PREVOD Z UCTU	4442	30251	DUCHOD	OP	22552919
1074095	3670	1997-11-07	PRIJEM	PREVOD Z UCTU	4442	28840	DUCHOD	OP	22552919
1074096	3670	1997-12-07	PRIJEM	PREVOD Z UCTU	4442	28807	DUCHOD	OP	22552919
1074097	3670	1998-01-07	PRIJEM	PREVOD Z UCTU	4442	24861	DUCHOD	OP	22552919
1074098	3670	1998-02-07	PRIJEM	PREVOD Z UCTU	4442	24513	DUCHOD	OP	22552919
1074099	3670	1998-03-07	PRIJEM	PREVOD Z UCTU	4442	25767	DUCHOD	OP	22552919
1074100	3670	1998-04-07	PRIJEM	PREVOD Z UCTU	4442	25220	DUCHOD	OP	22552919
1074101	3670	1998-05-07	PRIJEM	PREVOD Z UCTU	4442	23768	DUCHOD	OP	22552919
1074102	3670	1998-06-07	PRIJEM	PREVOD Z UCTU	4442	23011	DUCHOD	OP	22552919
1074103	3670	1998-07-07	PRIJEM	PREVOD Z UCTU	4442	24359	DUCHOD	OP	22552919
1074104	3670	1998-08-07	PRIJEM	PREVOD Z UCTU	4442	25010	DUCHOD	OP	22552919
1074105	3670	1998-09-07	PRIJEM	PREVOD Z UCTU	4442	24161	DUCHOD	OP	22552919
1074106	3670	1998-10-07	PRIJEM	PREVOD Z UCTU	4442	25710	DUCHOD	OP	22552919
1074107	3670	1998-11-07	PRIJEM	PREVOD Z UCTU	4442	25666	DUCHOD	OP	22552919
1074108	3670	1998-12-07	PRIJEM	PREVOD Z UCTU	4442	27222	DUCHOD	OP	22552919
1074118	3670	1993-10-13	VYDAJ	PREVOD NA UCET	2961	19726	SIPO	UV	46954530
1074119	3670	1993-11-13	VYDAJ	PREVOD NA UCET	2961	18530	SIPO	UV	46954530
1074120	3670	1993-12-13	VYDAJ	PREVOD NA UCET	2961	20077	SIPO	UV	46954530
1074121	3670	1994-01-13	VYDAJ	PREVOD NA UCET	2961	20625	SIPO	UV	46954530
1074122	3670	1994-02-13	VYDAJ	PREVOD NA UCET	2961	19172	SIPO	UV	46954530
1074123	3670	1994-03-13	VYDAJ	PREVOD NA UCET	2961	17036	SIPO	UV	46954530
1074124	3670	1994-04-13	VYDAJ	PREVOD NA UCET	2961	16177	SIPO	UV	46954530
1074125	3670	1994-05-13	VYDAJ	PREVOD NA UCET	2961	17716	SIPO	UV	46954530
1074126	3670	1994-06-13	VYDAJ	PREVOD NA UCET	2961	17891	SIPO	UV	46954530
1074127	3670	1994-07-13	VYDAJ	PREVOD NA UCET	2961	19429	SIPO	UV	46954530
1074128	3670	1994-08-13	VYDAJ	PREVOD NA UCET	2961	20974	SIPO	UV	46954530
1074129	3670	1994-09-13	VYDAJ	PREVOD NA UCET	2961	18680	SIPO	UV	46954530
1074130	3670	1994-10-13	VYDAJ	PREVOD NA UCET	2961	20222	SIPO	UV	46954530
1074131	3670	1994-11-13	VYDAJ	PREVOD NA UCET	2961	21770	SIPO	UV	46954530
1074132	3670	1994-12-13	VYDAJ	PREVOD NA UCET	2961	21014	SIPO	UV	46954530
1074133	3670	1995-01-13	VYDAJ	PREVOD NA UCET	2961	17970	SIPO	UV	46954530
1074134	3670	1995-02-13	VYDAJ	PREVOD NA UCET	2961	17836	SIPO	UV	46954530
1074135	3670	1995-03-13	VYDAJ	PREVOD NA UCET	2961	19377	SIPO	UV	46954530
1074136	3670	1995-04-13	VYDAJ	PREVOD NA UCET	2961	20921	SIPO	UV	46954530
1074137	3670	1995-05-13	VYDAJ	PREVOD NA UCET	2961	22472	SIPO	UV	46954530
1074138	3670	1995-06-13	VYDAJ	PREVOD NA UCET	2961	18829	SIPO	UV	46954530
1074139	3670	1995-07-13	VYDAJ	PREVOD NA UCET	2961	20380	SIPO	UV	46954530
1074140	3670	1995-08-13	VYDAJ	PREVOD NA UCET	2961	21928	SIPO	UV	46954530
1074141	3670	1995-09-13	VYDAJ	PREVOD NA UCET	2961	23483	SIPO	UV	46954530
1074142	3670	1995-10-13	VYDAJ	PREVOD NA UCET	2961	25045	SIPO	UV	46954530
1074143	3670	1995-11-13	VYDAJ	PREVOD NA UCET	2961	26613	SIPO	UV	46954530
1074144	3670	1995-12-13	VYDAJ	PREVOD NA UCET	2961	28187	SIPO	UV	46954530
1074145	3670	1996-01-13	VYDAJ	PREVOD NA UCET	2961	25495	SIPO	UV	46954530
1074146	3670	1996-02-13	VYDAJ	PREVOD NA UCET	2961	25068	SIPO	UV	46954530
1074147	3670	1996-03-13	VYDAJ	PREVOD NA UCET	2961	26635	SIPO	UV	46954530
1074148	3670	1996-04-13	VYDAJ	PREVOD NA UCET	2961	28210	SIPO	UV	46954530
1074149	3670	1996-05-13	VYDAJ	PREVOD NA UCET	2961	28589	SIPO	UV	46954530
1074150	3670	1996-06-13	VYDAJ	PREVOD NA UCET	2961	30171	SIPO	UV	46954530
1074151	3670	1996-07-13	VYDAJ	PREVOD NA UCET	2961	27207	SIPO	UV	46954530
1074152	3670	1996-08-13	VYDAJ	PREVOD NA UCET	2961	28784	SIPO	UV	46954530
1074153	3670	1996-09-13	VYDAJ	PREVOD NA UCET	2961	28847	SIPO	UV	46954530
1074263	3670	1996-02-29	VYDAJ	VYBER	15	25154	SLUZBY	\N	\N
1074154	3670	1996-10-13	VYDAJ	PREVOD NA UCET	2961	30435	SIPO	UV	46954530
1074155	3670	1996-11-13	VYDAJ	PREVOD NA UCET	2961	32025	SIPO	UV	46954530
1074156	3670	1996-12-13	VYDAJ	PREVOD NA UCET	2961	32619	SIPO	UV	46954530
1074157	3670	1997-01-13	VYDAJ	PREVOD NA UCET	2961	28988	SIPO	UV	46954530
1074158	3670	1997-02-13	VYDAJ	PREVOD NA UCET	2961	26520	SIPO	UV	46954530
1074159	3670	1997-03-13	VYDAJ	PREVOD NA UCET	2961	24411	SIPO	UV	46954530
1074160	3670	1997-04-13	VYDAJ	PREVOD NA UCET	2961	25975	SIPO	UV	46954530
1074161	3670	1997-05-13	VYDAJ	PREVOD NA UCET	2961	25702	SIPO	UV	46954530
1074162	3670	1997-06-13	VYDAJ	PREVOD NA UCET	2961	23990	SIPO	UV	46954530
1074163	3670	1997-07-13	VYDAJ	PREVOD NA UCET	2961	22993	SIPO	UV	46954530
1074164	3670	1997-08-13	VYDAJ	PREVOD NA UCET	2961	24156	SIPO	UV	46954530
1074165	3670	1997-09-13	VYDAJ	PREVOD NA UCET	2961	25721	SIPO	UV	46954530
1074166	3670	1997-10-13	VYDAJ	PREVOD NA UCET	2961	24310	SIPO	UV	46954530
1074167	3670	1997-11-13	VYDAJ	PREVOD NA UCET	2961	24279	SIPO	UV	46954530
1074168	3670	1997-12-13	VYDAJ	PREVOD NA UCET	2961	20336	SIPO	UV	46954530
1074169	3670	1998-01-13	VYDAJ	PREVOD NA UCET	2961	21900	SIPO	UV	46954530
1074170	3670	1998-02-13	VYDAJ	PREVOD NA UCET	2961	21252	SIPO	UV	46954530
1074171	3670	1998-03-13	VYDAJ	PREVOD NA UCET	2961	20706	SIPO	UV	46954530
1074172	3670	1998-04-13	VYDAJ	PREVOD NA UCET	2961	19259	SIPO	UV	46954530
1074173	3670	1998-05-13	VYDAJ	PREVOD NA UCET	2961	18507	SIPO	UV	46954530
1074174	3670	1998-06-13	VYDAJ	PREVOD NA UCET	2961	19850	SIPO	UV	46954530
1074175	3670	1998-07-13	VYDAJ	PREVOD NA UCET	2961	20498	SIPO	UV	46954530
1074176	3670	1998-08-13	VYDAJ	PREVOD NA UCET	2961	19649	SIPO	UV	46954530
1074177	3670	1998-09-13	VYDAJ	PREVOD NA UCET	2961	21200	SIPO	UV	46954530
1074178	3670	1998-10-13	VYDAJ	PREVOD NA UCET	2961	22749	SIPO	UV	46954530
1074179	3670	1998-11-13	VYDAJ	PREVOD NA UCET	2961	22705	SIPO	UV	46954530
1074180	3670	1998-12-13	VYDAJ	PREVOD NA UCET	2961	24261	SIPO	UV	46954530
1074183	3670	1995-06-08	VYDAJ	VYBER	5200	21790	\N	\N	\N
1074184	3670	1996-06-27	VYDAJ	VYBER	4150	25621	\N	\N	\N
1074188	3670	1994-01-27	VYDAJ	VYBER	3000	17625	\N	\N	\N
1074189	3670	1995-01-12	VYDAJ	VYBER	4600	20931	\N	\N	\N
1074190	3670	1996-01-19	VYDAJ	VYBER	2000	23495	\N	\N	\N
1074191	3670	1997-01-29	VYDAJ	VYBER	4050	24938	\N	\N	\N
1074192	3670	1998-01-27	VYDAJ	VYBER	1900	20000	\N	\N	\N
1074193	3670	1993-12-28	VYDAJ	VYBER	1000	19077	\N	\N	\N
1074194	3670	1994-12-06	VYDAJ	VYBER	750	19533	\N	\N	\N
1074195	3670	1995-12-14	VYDAJ	VYBER	1150	27037	\N	\N	\N
1074196	3670	1996-12-17	VYDAJ	VYBER	800	29079	\N	\N	\N
1074197	3670	1997-12-12	VYDAJ	VYBER	950	26257	\N	\N	\N
1074198	3670	1998-12-21	VYDAJ	VYBER	950	23311	\N	\N	\N
1074202	3670	1993-11-07	VYDAJ	VYBER	2720	21491	\N	\N	\N
1074207	3670	1994-03-12	VYDAJ	VYBER	3680	19997	\N	\N	\N
1074208	3670	1994-08-22	VYDAJ	VYBER	3840	17134	\N	\N	\N
1074209	3670	1994-04-07	VYDAJ	VYBER	2400	19138	\N	\N	\N
1074210	3670	1994-05-15	VYDAJ	VYBER	1360	16356	\N	\N	\N
1074211	3670	1994-11-28	VYDAJ	VYBER	1360	20210	\N	\N	\N
1074212	3670	1995-01-31	VYDAJ	VYBER	1680	16355	\N	\N	\N
1074213	3670	1996-01-02	VYDAJ	VYBER	3120	24014	\N	\N	\N
1074214	3670	1996-09-02	VYDAJ	VYBER	1520	27366	\N	\N	\N
1074215	3670	1996-12-22	VYDAJ	VYBER	1680	27399	\N	\N	\N
1074216	3670	1996-12-16	VYDAJ	VYBER	2240	29879	\N	\N	\N
1074217	3670	1997-02-24	VYDAJ	VYBER	3680	22840	\N	\N	\N
1074218	3670	1997-05-30	VYDAJ	VYBER	3280	22422	\N	\N	\N
1074219	3670	1997-07-09	VYDAJ	VYBER	2560	25954	\N	\N	\N
1074220	3670	1997-04-14	VYDAJ	VYBER	1840	24135	\N	\N	\N
1074221	3670	1997-12-13	VYDAJ	VYBER	2960	23297	\N	\N	\N
1074222	3670	1997-10-11	VYDAJ	VYBER	1680	27271	\N	\N	\N
1074223	3670	1998-10-13	VYDAJ	VYBER	1600	21149	\N	\N	\N
1074235	3670	1993-10-31	VYDAJ	VYBER	15	19769	SLUZBY	\N	\N
1074236	3670	1993-11-30	VYDAJ	VYBER	15	18596	SLUZBY	\N	\N
1074237	3670	1993-12-31	VYDAJ	VYBER	15	19144	SLUZBY	\N	\N
1074238	3670	1994-01-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
1074239	3670	1994-02-28	VYDAJ	VYBER	15	19235	SLUZBY	\N	\N
1074240	3670	1994-03-31	VYDAJ	VYBER	15	17096	SLUZBY	\N	\N
1074241	3670	1994-04-30	VYDAJ	VYBER	15	16235	SLUZBY	\N	\N
1074242	3670	1994-05-31	VYDAJ	VYBER	15	16410	SLUZBY	\N	\N
1074243	3670	1994-06-30	VYDAJ	VYBER	15	17948	SLUZBY	\N	\N
1074244	3670	1994-07-31	VYDAJ	VYBER	15	19493	SLUZBY	\N	\N
1074245	3670	1994-08-31	VYDAJ	VYBER	15	17199	SLUZBY	\N	\N
1074246	3670	1994-09-30	VYDAJ	VYBER	15	18741	SLUZBY	\N	\N
1074247	3670	1994-10-31	VYDAJ	VYBER	15	20289	SLUZBY	\N	\N
1074248	3670	1994-11-30	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
1074249	3670	1994-12-31	VYDAJ	VYBER	15	21089	SLUZBY	\N	\N
1074250	3670	1995-01-31	VYDAJ	VYBER	15	18035	SLUZBY	\N	\N
1074251	3670	1995-02-28	VYDAJ	VYBER	15	17896	SLUZBY	\N	\N
1074252	3670	1995-03-31	VYDAJ	VYBER	15	19440	SLUZBY	\N	\N
1074253	3670	1995-04-30	VYDAJ	VYBER	15	20991	SLUZBY	\N	\N
1074254	3670	1995-05-31	VYDAJ	VYBER	15	22548	SLUZBY	\N	\N
1074255	3670	1995-06-30	VYDAJ	VYBER	15	18899	SLUZBY	\N	\N
1074256	3670	1995-07-31	VYDAJ	VYBER	15	20447	SLUZBY	\N	\N
1074257	3670	1995-08-31	VYDAJ	VYBER	15	22002	SLUZBY	\N	\N
1074258	3670	1995-09-30	VYDAJ	VYBER	15	23564	SLUZBY	\N	\N
1074259	3670	1995-10-31	VYDAJ	VYBER	15	25132	SLUZBY	\N	\N
1074260	3670	1995-11-30	VYDAJ	VYBER	15	26706	SLUZBY	\N	\N
1074261	3670	1995-12-31	VYDAJ	VYBER	15	27134	SLUZBY	\N	\N
1074262	3670	1996-01-31	VYDAJ	VYBER	15	23587	SLUZBY	\N	\N
1074264	3670	1996-03-31	VYDAJ	VYBER	15	26729	SLUZBY	\N	\N
1074265	3670	1996-04-30	VYDAJ	VYBER	15	27108	SLUZBY	\N	\N
1074266	3670	1996-05-31	VYDAJ	VYBER	15	28690	SLUZBY	\N	\N
1074267	3670	1996-06-30	VYDAJ	VYBER	15	25726	SLUZBY	\N	\N
1074268	3670	1996-07-31	VYDAJ	VYBER	15	27303	SLUZBY	\N	\N
1074269	3670	1996-08-31	VYDAJ	VYBER	15	28886	SLUZBY	\N	\N
1074270	3670	1996-09-30	VYDAJ	VYBER	15	28954	SLUZBY	\N	\N
1074271	3670	1996-10-31	VYDAJ	VYBER	15	30544	SLUZBY	\N	\N
1074272	3670	1996-11-30	VYDAJ	VYBER	15	31138	SLUZBY	\N	\N
1074273	3670	1996-12-31	VYDAJ	VYBER	15	27507	SLUZBY	\N	\N
1074274	3670	1997-01-31	VYDAJ	VYBER	15	25039	SLUZBY	\N	\N
1074275	3670	1997-02-28	VYDAJ	VYBER	15	22930	SLUZBY	\N	\N
1074276	3670	1997-03-31	VYDAJ	VYBER	15	24494	SLUZBY	\N	\N
1074277	3670	1997-04-30	VYDAJ	VYBER	15	24221	SLUZBY	\N	\N
1074278	3670	1997-05-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
1074279	3670	1997-06-30	VYDAJ	VYBER	15	24072	SLUZBY	\N	\N
1074280	3670	1997-07-31	VYDAJ	VYBER	15	23075	SLUZBY	\N	\N
1074281	3670	1997-08-31	VYDAJ	VYBER	15	24240	SLUZBY	\N	\N
1074282	3670	1997-09-30	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
1074283	3670	1997-10-31	VYDAJ	VYBER	15	24398	SLUZBY	\N	\N
1074284	3670	1997-11-30	VYDAJ	VYBER	15	24365	SLUZBY	\N	\N
1074285	3670	1997-12-31	VYDAJ	VYBER	15	20419	SLUZBY	\N	\N
1074286	3670	1998-01-31	VYDAJ	VYBER	15	20071	SLUZBY	\N	\N
1074287	3670	1998-02-28	VYDAJ	VYBER	15	21325	SLUZBY	\N	\N
1074288	3670	1998-03-31	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
1074289	3670	1998-04-30	VYDAJ	VYBER	15	19326	SLUZBY	\N	\N
1074290	3670	1998-05-31	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
1074291	3670	1998-06-30	VYDAJ	VYBER	15	19917	SLUZBY	\N	\N
1074292	3670	1998-07-31	VYDAJ	VYBER	15	20568	SLUZBY	\N	\N
1074293	3670	1998-08-31	VYDAJ	VYBER	15	19719	SLUZBY	\N	\N
1074294	3670	1998-09-30	VYDAJ	VYBER	15	21268	SLUZBY	\N	\N
1074295	3670	1998-10-31	VYDAJ	VYBER	15	21224	SLUZBY	\N	\N
1074296	3670	1998-11-30	VYDAJ	VYBER	15	22780	SLUZBY	\N	\N
1074297	3670	1994-11-26	VYDAJ	VYBER	200	21570	\N	\N	\N
1074298	3670	1996-04-19	VYDAJ	VYBER	1200	27010	\N	\N	\N
1074299	3670	1996-06-18	VYDAJ	VYBER	400	29771	\N	\N	\N
1074300	3670	1996-11-15	VYDAJ	VYBER	1000	31025	\N	\N	\N
1074301	3670	1996-12-15	VYDAJ	VYBER	500	32119	\N	\N	\N
1074302	3670	1997-08-12	VYDAJ	VYBER	400	27117	\N	\N	\N
1074303	3670	1997-10-11	VYDAJ	VYBER	1300	28951	\N	\N	\N
1074304	3670	1997-11-10	VYDAJ	VYBER	1600	27240	\N	\N	\N
1074305	3670	1997-12-10	VYDAJ	VYBER	1600	27207	\N	\N	\N
1074306	3670	1998-02-08	VYDAJ	VYBER	300	24213	\N	\N	\N
1074307	3670	1998-03-10	VYDAJ	VYBER	2100	23667	\N	\N	\N
1074308	3670	1998-04-09	VYDAJ	VYBER	3000	22220	\N	\N	\N
1074309	3670	1998-05-09	VYDAJ	VYBER	2300	21468	\N	\N	\N
1074310	3670	1998-06-08	VYDAJ	VYBER	200	22811	\N	\N	\N
1074311	3670	1998-07-08	VYDAJ	VYBER	900	23459	\N	\N	\N
1074312	3670	1998-08-07	VYDAJ	VYBER	2400	22610	\N	\N	\N
1074380	3671	1997-09-17	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1074390	3671	1997-10-05	PRIJEM	PREVOD Z UCTU	4498	5498	DUCHOD	OP	52445381
1074391	3671	1997-11-05	PRIJEM	PREVOD Z UCTU	4498	9996	DUCHOD	OP	52445381
1074392	3671	1997-12-05	PRIJEM	PREVOD Z UCTU	4498	14494	DUCHOD	OP	52445381
1074393	3671	1998-01-05	PRIJEM	PREVOD Z UCTU	4498	18992	DUCHOD	OP	52445381
1074394	3671	1998-02-05	PRIJEM	PREVOD Z UCTU	4498	20126	DUCHOD	OP	52445381
1074395	3671	1998-03-05	PRIJEM	PREVOD Z UCTU	4498	20599	DUCHOD	OP	52445381
1074396	3671	1998-04-05	PRIJEM	PREVOD Z UCTU	4498	18207	DUCHOD	OP	52445381
1074397	3671	1998-05-05	PRIJEM	PREVOD Z UCTU	4498	19976	DUCHOD	OP	52445381
1074398	3671	1998-06-05	PRIJEM	PREVOD Z UCTU	4498	16440	DUCHOD	OP	52445381
1074399	3671	1998-07-05	PRIJEM	PREVOD Z UCTU	4498	17800	DUCHOD	OP	52445381
1074400	3671	1998-08-05	PRIJEM	PREVOD Z UCTU	4498	19066	DUCHOD	OP	52445381
1074401	3671	1998-09-05	PRIJEM	PREVOD Z UCTU	4498	20839	DUCHOD	OP	52445381
1074402	3671	1998-10-05	PRIJEM	PREVOD Z UCTU	4498	19976	DUCHOD	OP	52445381
1074403	3671	1998-11-05	PRIJEM	PREVOD Z UCTU	4498	18242	DUCHOD	OP	52445381
1074404	3671	1998-12-05	PRIJEM	PREVOD Z UCTU	4498	18247	DUCHOD	OP	52445381
1074418	3671	1998-02-09	VYDAJ	PREVOD NA UCET	2777	17349	SIPO	ST	62767541
1074419	3671	1998-03-09	VYDAJ	PREVOD NA UCET	2777	17822	SIPO	ST	62767541
1074420	3671	1998-04-09	VYDAJ	PREVOD NA UCET	2777	15430	SIPO	ST	62767541
1074421	3671	1998-05-09	VYDAJ	PREVOD NA UCET	2777	17199	SIPO	ST	62767541
1074422	3671	1998-06-09	VYDAJ	PREVOD NA UCET	2777	13663	SIPO	ST	62767541
1074423	3671	1998-07-09	VYDAJ	PREVOD NA UCET	2777	15023	SIPO	ST	62767541
1074424	3671	1998-08-09	VYDAJ	PREVOD NA UCET	2777	16289	SIPO	ST	62767541
1074425	3671	1998-09-09	VYDAJ	PREVOD NA UCET	2777	18062	SIPO	ST	62767541
1074426	3671	1998-10-09	VYDAJ	PREVOD NA UCET	2777	17199	SIPO	ST	62767541
1074427	3671	1998-11-09	VYDAJ	PREVOD NA UCET	2777	13705	SIPO	ST	62767541
1074428	3671	1998-12-09	VYDAJ	PREVOD NA UCET	2777	15470	SIPO	ST	62767541
1074430	3671	1998-12-20	VYDAJ	VYBER	1250	14220	\N	\N	\N
1074449	3671	1998-11-05	VYDAJ	VYBER	1760	16482	\N	\N	\N
1074450	3671	1998-12-24	VYDAJ	VYBER	1520	12700	\N	\N	\N
1074451	3671	1998-09-23	VYDAJ	VYBER	2640	15422	\N	\N	\N
1074453	3671	1998-03-13	VYDAJ	VYBER	2560	13662	\N	\N	\N
1074454	3671	1998-03-11	VYDAJ	VYBER	1600	16222	\N	\N	\N
1074469	3671	1998-02-28	VYDAJ	VYBER	15	16101	SLUZBY	\N	\N
1074470	3671	1998-03-31	VYDAJ	VYBER	15	13709	SLUZBY	\N	\N
1074471	3671	1998-04-30	VYDAJ	VYBER	15	15478	SLUZBY	\N	\N
1074472	3671	1998-05-31	VYDAJ	VYBER	15	11942	SLUZBY	\N	\N
1074473	3671	1998-06-30	VYDAJ	VYBER	15	13302	SLUZBY	\N	\N
1074474	3671	1998-07-31	VYDAJ	VYBER	15	14568	SLUZBY	\N	\N
1074475	3671	1998-08-31	VYDAJ	VYBER	15	16341	SLUZBY	\N	\N
1074476	3671	1998-09-30	VYDAJ	VYBER	15	15478	SLUZBY	\N	\N
1074477	3671	1998-10-31	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
1074478	3671	1998-11-30	VYDAJ	VYBER	15	13749	SLUZBY	\N	\N
1074479	3671	1998-01-15	VYDAJ	VYBER	3400	15592	\N	\N	\N
1074480	3671	1998-02-14	VYDAJ	VYBER	1300	16049	\N	\N	\N
1074481	3671	1998-05-15	VYDAJ	VYBER	5300	11899	\N	\N	\N
1074482	3671	1998-06-14	VYDAJ	VYBER	400	13263	\N	\N	\N
1074483	3671	1998-07-14	VYDAJ	VYBER	500	14523	\N	\N	\N
1074484	3671	1998-10-12	VYDAJ	VYBER	3500	13699	\N	\N	\N
1074497	3672	1996-03-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1074501	3672	1996-04-12	PRIJEM	VKLAD	19746	20846	\N	\N	\N
1074502	3672	1996-05-12	PRIJEM	VKLAD	19746	40730	\N	\N	\N
1074503	3672	1996-06-12	PRIJEM	VKLAD	29619	66366	\N	\N	\N
1074504	3672	1996-07-12	PRIJEM	VKLAD	19746	70792	\N	\N	\N
1074505	3672	1996-08-12	PRIJEM	VKLAD	19746	71251	\N	\N	\N
1074506	3672	1996-09-12	PRIJEM	VKLAD	19746	68156	\N	\N	\N
1074507	3672	1996-10-12	PRIJEM	VKLAD	19746	67769	\N	\N	\N
1074508	3672	1996-11-12	PRIJEM	VKLAD	19746	65477	\N	\N	\N
1074509	3672	1996-12-12	PRIJEM	VKLAD	29619	77356	\N	\N	\N
1074510	3672	1997-01-12	PRIJEM	VKLAD	19746	64268	\N	\N	\N
1074511	3672	1997-02-12	PRIJEM	VKLAD	19746	58058	\N	\N	\N
1074512	3672	1997-03-12	PRIJEM	VKLAD	19746	60433	\N	\N	\N
1074513	3672	1997-04-12	PRIJEM	VKLAD	19746	60019	\N	\N	\N
1074514	3672	1997-05-12	PRIJEM	VKLAD	19746	55796	\N	\N	\N
1074515	3672	1997-06-12	PRIJEM	VKLAD	29619	57441	\N	\N	\N
1074516	3672	1997-07-12	PRIJEM	VKLAD	19746	60119	\N	\N	\N
1074517	3672	1997-08-12	PRIJEM	VKLAD	19746	64431	\N	\N	\N
1074518	3672	1997-09-12	PRIJEM	VKLAD	19746	71866	\N	\N	\N
1074519	3672	1997-10-12	PRIJEM	VKLAD	19746	76335	\N	\N	\N
1074520	3672	1997-11-12	PRIJEM	VKLAD	19746	78229	\N	\N	\N
1074521	3672	1997-12-12	PRIJEM	VKLAD	29619	86304	\N	\N	\N
1074522	3672	1998-01-12	PRIJEM	VKLAD	19746	85727	\N	\N	\N
1074523	3672	1998-02-12	PRIJEM	VKLAD	19746	84755	\N	\N	\N
1074524	3672	1998-03-12	PRIJEM	VKLAD	19746	87578	\N	\N	\N
1074525	3672	1998-04-12	PRIJEM	VKLAD	19746	92618	\N	\N	\N
1074526	3672	1998-05-12	PRIJEM	VKLAD	19746	86869	\N	\N	\N
1074527	3672	1998-06-12	PRIJEM	VKLAD	29619	96584	\N	\N	\N
1074528	3672	1998-07-12	PRIJEM	VKLAD	19746	75832	\N	\N	\N
1074529	3672	1998-08-12	PRIJEM	VKLAD	19746	84013	\N	\N	\N
1074530	3672	1998-09-12	PRIJEM	VKLAD	19746	86629	\N	\N	\N
1074531	3672	1998-10-12	PRIJEM	VKLAD	19746	86057	\N	\N	\N
1074532	3672	1998-11-12	PRIJEM	VKLAD	19746	81786	\N	\N	\N
1074533	3672	1998-12-12	PRIJEM	VKLAD	29619	99670	\N	\N	\N
1074542	3672	1996-09-06	VYDAJ	PREVOD NA UCET	2388	51367	SIPO	AB	42041498
1074543	3672	1996-10-06	VYDAJ	PREVOD NA UCET	2388	50980	SIPO	AB	42041498
1074544	3672	1996-11-06	VYDAJ	PREVOD NA UCET	2388	48688	SIPO	AB	42041498
1074545	3672	1996-12-06	VYDAJ	PREVOD NA UCET	2388	50694	SIPO	AB	42041498
1074546	3672	1997-01-06	VYDAJ	PREVOD NA UCET	2388	48379	SIPO	AB	42041498
1074547	3672	1997-02-06	VYDAJ	PREVOD NA UCET	2388	41269	SIPO	AB	42041498
1074548	3672	1997-03-06	VYDAJ	PREVOD NA UCET	2388	43644	SIPO	AB	42041498
1074549	3672	1997-04-06	VYDAJ	PREVOD NA UCET	2388	43230	SIPO	AB	42041498
1074550	3672	1997-05-06	VYDAJ	PREVOD NA UCET	2388	39007	SIPO	AB	42041498
1074551	3672	1997-06-06	VYDAJ	PREVOD NA UCET	2388	30779	SIPO	AB	42041498
1074552	3672	1997-07-06	VYDAJ	PREVOD NA UCET	2388	43330	SIPO	AB	42041498
1074553	3672	1997-08-06	VYDAJ	PREVOD NA UCET	2388	49642	SIPO	AB	42041498
1074554	3672	1997-09-06	VYDAJ	PREVOD NA UCET	2388	62277	SIPO	AB	42041498
1074555	3672	1997-10-06	VYDAJ	PREVOD NA UCET	2388	69746	SIPO	AB	42041498
1074556	3672	1997-11-06	VYDAJ	PREVOD NA UCET	2388	74240	SIPO	AB	42041498
1074557	3672	1997-12-06	VYDAJ	PREVOD NA UCET	2388	71942	SIPO	AB	42041498
1074558	3672	1998-01-06	VYDAJ	PREVOD NA UCET	2388	82338	SIPO	AB	42041498
1074559	3672	1998-02-06	VYDAJ	PREVOD NA UCET	2388	79566	SIPO	AB	42041498
1074560	3672	1998-03-06	VYDAJ	PREVOD NA UCET	2388	82689	SIPO	AB	42041498
1074561	3672	1998-04-06	VYDAJ	PREVOD NA UCET	2388	85529	SIPO	AB	42041498
1074562	3672	1998-05-06	VYDAJ	PREVOD NA UCET	2388	87880	SIPO	AB	42041498
1074563	3672	1998-06-06	VYDAJ	PREVOD NA UCET	2388	84822	SIPO	AB	42041498
1074564	3672	1998-07-06	VYDAJ	PREVOD NA UCET	2388	61743	SIPO	AB	42041498
1074565	3672	1998-08-06	VYDAJ	PREVOD NA UCET	2388	68224	SIPO	AB	42041498
1074566	3672	1998-09-06	VYDAJ	PREVOD NA UCET	2388	69840	SIPO	AB	42041498
1074567	3672	1998-10-06	VYDAJ	PREVOD NA UCET	2388	69268	SIPO	AB	42041498
1074568	3672	1998-11-06	VYDAJ	PREVOD NA UCET	2388	64997	SIPO	AB	42041498
1074569	3672	1998-12-06	VYDAJ	PREVOD NA UCET	2388	73008	SIPO	AB	42041498
1074578	3672	1996-09-10	VYDAJ	PREVOD NA UCET	2957	48410	 	KL	33347761
1074579	3672	1996-10-10	VYDAJ	PREVOD NA UCET	2957	48023	 	KL	33347761
1074580	3672	1996-11-10	VYDAJ	PREVOD NA UCET	2957	45731	 	KL	33347761
1074581	3672	1996-12-10	VYDAJ	PREVOD NA UCET	2957	47737	 	KL	33347761
1074582	3672	1997-01-10	VYDAJ	PREVOD NA UCET	2957	45422	 	KL	33347761
1074583	3672	1997-02-10	VYDAJ	PREVOD NA UCET	2957	38312	 	KL	33347761
1074584	3672	1997-03-10	VYDAJ	PREVOD NA UCET	2957	40687	 	KL	33347761
1074585	3672	1997-04-10	VYDAJ	PREVOD NA UCET	2957	40273	 	KL	33347761
1074586	3672	1997-05-10	VYDAJ	PREVOD NA UCET	2957	36050	 	KL	33347761
1074587	3672	1997-06-10	VYDAJ	PREVOD NA UCET	2957	27822	 	KL	33347761
1074588	3672	1997-07-10	VYDAJ	PREVOD NA UCET	2957	40373	 	KL	33347761
1074589	3672	1997-08-10	VYDAJ	PREVOD NA UCET	2957	46685	 	KL	33347761
1074590	3672	1997-09-10	VYDAJ	PREVOD NA UCET	2957	52120	 	KL	33347761
1074591	3672	1997-10-10	VYDAJ	PREVOD NA UCET	2957	56589	 	KL	33347761
1074592	3672	1997-11-10	VYDAJ	PREVOD NA UCET	2957	58483	 	KL	33347761
1074593	3672	1997-12-10	VYDAJ	PREVOD NA UCET	2957	56685	 	KL	33347761
1074594	3672	1998-01-10	VYDAJ	PREVOD NA UCET	2957	65981	 	KL	33347761
1074595	3672	1998-02-10	VYDAJ	PREVOD NA UCET	2957	65009	 	KL	33347761
1074596	3672	1998-03-10	VYDAJ	PREVOD NA UCET	2957	67832	 	KL	33347761
1074597	3672	1998-04-10	VYDAJ	PREVOD NA UCET	2957	72872	 	KL	33347761
1074598	3672	1998-05-10	VYDAJ	PREVOD NA UCET	2957	70423	 	KL	33347761
1074599	3672	1998-06-10	VYDAJ	PREVOD NA UCET	2957	66965	 	KL	33347761
1074600	3672	1998-07-10	VYDAJ	PREVOD NA UCET	2957	56086	 	KL	33347761
1074601	3672	1998-08-10	VYDAJ	PREVOD NA UCET	2957	65267	 	KL	33347761
1074602	3672	1998-09-10	VYDAJ	PREVOD NA UCET	2957	66883	 	KL	33347761
1074603	3672	1998-10-10	VYDAJ	PREVOD NA UCET	2957	66311	 	KL	33347761
1074604	3672	1998-11-10	VYDAJ	PREVOD NA UCET	2957	62040	 	KL	33347761
1074605	3672	1998-12-10	VYDAJ	PREVOD NA UCET	2957	70051	 	KL	33347761
1074607	3672	1997-06-02	VYDAJ	VYBER	13000	33167	\N	\N	\N
1074608	3672	1998-06-29	VYDAJ	VYBER	28100	66284	\N	\N	\N
1074609	3672	1996-12-12	VYDAJ	VYBER	2500	74856	\N	\N	\N
1074610	3672	1997-12-10	VYDAJ	VYBER KARTOU	2200	59642	\N	\N	0
1074611	3672	1998-12-27	VYDAJ	VYBER KARTOU	2700	96970	\N	\N	0
1074618	3672	1997-01-24	VYDAJ	VYBER KARTOU	1700	46068	\N	\N	0
1074619	3672	1997-01-13	VYDAJ	VYBER	2900	61368	\N	\N	\N
1074620	3672	1997-01-21	VYDAJ	VYBER	2400	47768	\N	\N	\N
1074621	3672	1997-01-28	VYDAJ	VYBER KARTOU	1200	43468	\N	\N	0
1074622	3672	1997-01-26	VYDAJ	VYBER KARTOU	1400	44668	\N	\N	0
1074623	3672	1997-01-11	VYDAJ	VYBER	900	44522	\N	\N	\N
1074624	3672	1998-01-09	VYDAJ	VYBER KARTOU	600	68938	\N	\N	0
1074625	3672	1998-01-09	VYDAJ	VYBER KARTOU	2300	69538	\N	\N	0
1074626	3672	1998-01-01	VYDAJ	VYBER KARTOU	1900	84726	\N	\N	0
1074627	3672	1998-01-16	VYDAJ	VYBER KARTOU	500	85227	\N	\N	0
1074628	3672	1998-01-21	VYDAJ	VYBER KARTOU	800	84427	\N	\N	0
1074629	3672	1998-01-24	VYDAJ	VYBER KARTOU	2800	81627	\N	\N	0
1074630	3672	1996-12-30	VYDAJ	VYBER	3100	50556	\N	\N	\N
1074634	3672	1997-05-03	VYDAJ	VYBER KARTOU	2400	41395	\N	\N	0
1074635	3672	1997-06-21	VYDAJ	VYBER KARTOU	2500	45541	\N	\N	0
1074636	3672	1997-02-19	VYDAJ	VYBER KARTOU	3100	45858	\N	\N	0
1074637	3672	1997-03-30	VYDAJ	VYBER KARTOU	3300	45433	\N	\N	0
1074638	3672	1997-04-21	VYDAJ	VYBER	4900	43619	\N	\N	\N
1074639	3672	1997-09-08	VYDAJ	VYBER KARTOU	3900	58377	\N	\N	0
1074640	3672	1997-12-05	VYDAJ	VYBER	4200	74330	\N	\N	\N
1074641	3672	1998-04-16	VYDAJ	VYBER KARTOU	2700	89918	\N	\N	0
1074642	3672	1998-09-25	VYDAJ	VYBER KARTOU	1400	85229	\N	\N	0
1074643	3672	1998-07-05	VYDAJ	VYBER KARTOU	2500	64131	\N	\N	0
1074644	3672	1998-05-11	VYDAJ	VYBER KARTOU	3300	67123	\N	\N	0
1074645	3672	1998-06-14	VYDAJ	VYBER KARTOU	2200	94384	\N	\N	0
1074646	3672	1998-08-10	VYDAJ	VYBER KARTOU	1000	64267	\N	\N	0
1074647	3672	1998-11-05	VYDAJ	VYBER	4500	67385	\N	\N	\N
1074656	3672	1996-08-31	VYDAJ	VYBER	15	53755	SLUZBY	\N	\N
1074657	3672	1996-09-30	VYDAJ	VYBER	15	53368	SLUZBY	\N	\N
1074658	3672	1996-10-31	VYDAJ	VYBER	15	51076	SLUZBY	\N	\N
1074659	3672	1996-11-30	VYDAJ	VYBER	15	53082	SLUZBY	\N	\N
1074660	3672	1996-12-31	VYDAJ	VYBER	15	50767	SLUZBY	\N	\N
1074661	3672	1997-01-31	VYDAJ	VYBER	15	43657	SLUZBY	\N	\N
1074662	3672	1997-02-28	VYDAJ	VYBER	15	46032	SLUZBY	\N	\N
1074663	3672	1997-03-31	VYDAJ	VYBER	15	45618	SLUZBY	\N	\N
1074664	3672	1997-04-30	VYDAJ	VYBER	15	43795	SLUZBY	\N	\N
1074665	3672	1997-05-31	VYDAJ	VYBER	15	46167	SLUZBY	\N	\N
1074666	3672	1997-06-30	VYDAJ	VYBER	15	45718	SLUZBY	\N	\N
1074667	3672	1997-07-31	VYDAJ	VYBER	15	52030	SLUZBY	\N	\N
1074668	3672	1997-08-31	VYDAJ	VYBER	15	64665	SLUZBY	\N	\N
1074669	3672	1997-09-30	VYDAJ	VYBER	15	72134	SLUZBY	\N	\N
1074670	3672	1997-10-31	VYDAJ	VYBER	15	76628	SLUZBY	\N	\N
1074671	3672	1997-11-30	VYDAJ	VYBER	15	78530	SLUZBY	\N	\N
1074672	3672	1997-12-31	VYDAJ	VYBER	15	86626	SLUZBY	\N	\N
1074673	3672	1998-01-31	VYDAJ	VYBER	15	81954	SLUZBY	\N	\N
1074674	3672	1998-02-28	VYDAJ	VYBER	15	85077	SLUZBY	\N	\N
1074675	3672	1998-03-31	VYDAJ	VYBER	15	87917	SLUZBY	\N	\N
1074676	3672	1998-04-30	VYDAJ	VYBER	15	90268	SLUZBY	\N	\N
1074677	3672	1998-05-31	VYDAJ	VYBER	15	87210	SLUZBY	\N	\N
1074678	3672	1998-06-30	VYDAJ	VYBER	15	66631	SLUZBY	\N	\N
1074679	3672	1998-07-31	VYDAJ	VYBER	15	76112	SLUZBY	\N	\N
1074680	3672	1998-08-31	VYDAJ	VYBER	15	84328	SLUZBY	\N	\N
1074681	3672	1998-09-30	VYDAJ	VYBER	15	85556	SLUZBY	\N	\N
1074682	3672	1998-10-31	VYDAJ	VYBER	15	86385	SLUZBY	\N	\N
1074683	3672	1998-11-30	VYDAJ	VYBER	15	82096	SLUZBY	\N	\N
1074684	3672	1996-04-18	PRIJEM	VKLAD	100	20946	\N	\N	\N
1074685	3672	1996-05-18	VYDAJ	VYBER	4100	36630	\N	\N	\N
1074686	3672	1996-06-17	VYDAJ	VYBER	15500	50866	\N	\N	\N
1074687	3672	1996-07-17	VYDAJ	VYBER	19500	51292	\N	\N	\N
1074688	3672	1996-08-16	VYDAJ	VYBER	17700	53551	\N	\N	\N
1074689	3672	1996-09-15	VYDAJ	VYBER	15000	53156	\N	\N	\N
1074690	3672	1996-10-15	VYDAJ	VYBER	16900	50869	\N	\N	\N
1074691	3672	1996-11-14	VYDAJ	VYBER	12600	52877	\N	\N	\N
1074692	3672	1996-12-14	VYDAJ	VYBER	21200	53656	\N	\N	\N
1074693	3672	1997-01-13	VYDAJ	VYBER	11200	50168	\N	\N	\N
1074694	3672	1997-02-12	VYDAJ	VYBER	9100	48958	\N	\N	\N
1074695	3672	1997-03-14	VYDAJ	VYBER	11700	48733	\N	\N	\N
1074696	3672	1997-04-13	VYDAJ	VYBER	11500	48519	\N	\N	\N
1074697	3672	1997-05-13	VYDAJ	VYBER	9800	45996	\N	\N	\N
1074698	3672	1997-06-12	VYDAJ	VYBER	9400	48041	\N	\N	\N
1074699	3672	1997-07-12	VYDAJ	VYBER	8300	51819	\N	\N	\N
1074700	3672	1997-08-11	VYDAJ	VYBER KARTOU	2000	44685	\N	\N	0
1074701	3672	1997-09-10	VYDAJ	VYBER KARTOU	3300	55077	\N	\N	0
1074702	3672	1997-10-10	VYDAJ	VYBER	10200	59546	\N	\N	\N
1074703	3672	1997-11-09	VYDAJ	VYBER	12800	61440	\N	\N	\N
1074704	3672	1997-12-09	VYDAJ	VYBER	10100	61842	\N	\N	\N
1074705	3672	1998-01-08	VYDAJ	VYBER	10500	71838	\N	\N	\N
1074706	3672	1998-02-07	VYDAJ	VYBER	11600	67966	\N	\N	\N
1074707	3672	1998-03-09	VYDAJ	VYBER	11900	70789	\N	\N	\N
1074708	3672	1998-04-08	VYDAJ	VYBER	9700	75829	\N	\N	\N
1074709	3672	1998-05-08	VYDAJ	VYBER	14500	73380	\N	\N	\N
1074710	3672	1998-06-07	VYDAJ	VYBER	14900	69922	\N	\N	\N
1074711	3672	1998-07-07	VYDAJ	VYBER KARTOU	2700	59043	\N	\N	0
1074712	3672	1998-08-06	VYDAJ	VYBER	5500	70612	\N	\N	\N
1074713	3672	1998-09-05	VYDAJ	VYBER	12100	72228	\N	\N	\N
1074714	3672	1998-10-05	VYDAJ	VYBER	13900	71656	\N	\N	\N
1074715	3672	1998-11-04	VYDAJ	VYBER	14500	71885	\N	\N	\N
1074716	3672	1998-12-04	VYDAJ	VYBER	6700	75396	\N	\N	\N
1074750	3673	1996-01-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1074751	3673	1996-01-14	PRIJEM	PREVOD Z UCTU	2909	4009	\N	KL	13290429
1074752	3673	1996-02-14	PRIJEM	PREVOD Z UCTU	2909	15628	\N	KL	13290429
1074753	3673	1996-03-14	PRIJEM	PREVOD Z UCTU	2909	21480	\N	KL	13290429
1074754	3673	1996-04-14	PRIJEM	PREVOD Z UCTU	2909	24268	\N	KL	13290429
1074755	3673	1996-05-14	PRIJEM	PREVOD Z UCTU	2909	29274	\N	KL	13290429
1074756	3673	1996-06-14	PRIJEM	PREVOD Z UCTU	2909	29549	\N	KL	13290429
1074757	3673	1996-07-14	PRIJEM	PREVOD Z UCTU	2909	24656	\N	KL	13290429
1074758	3673	1996-08-14	PRIJEM	PREVOD Z UCTU	2909	28468	\N	KL	13290429
1074759	3673	1996-09-14	PRIJEM	PREVOD Z UCTU	2909	31134	\N	KL	13290429
1074760	3673	1996-10-14	PRIJEM	PREVOD Z UCTU	2909	29614	\N	KL	13290429
1074761	3673	1996-11-14	PRIJEM	PREVOD Z UCTU	2909	29914	\N	KL	13290429
1074762	3673	1996-12-14	PRIJEM	PREVOD Z UCTU	2909	30722	\N	KL	13290429
1074763	3673	1997-01-14	PRIJEM	PREVOD Z UCTU	2909	28552	\N	KL	13290429
1074764	3673	1997-02-14	PRIJEM	PREVOD Z UCTU	2909	31125	\N	KL	13290429
1074765	3673	1997-03-14	PRIJEM	PREVOD Z UCTU	2909	31745	\N	KL	13290429
1074766	3673	1997-04-14	PRIJEM	PREVOD Z UCTU	2909	30830	\N	KL	13290429
1074767	3673	1997-05-14	PRIJEM	PREVOD Z UCTU	2909	31463	\N	KL	13290429
1074768	3673	1997-06-14	PRIJEM	PREVOD Z UCTU	2909	31218	\N	KL	13290429
1074769	3673	1997-07-14	PRIJEM	PREVOD Z UCTU	2909	29238	\N	KL	13290429
1074770	3673	1997-08-14	PRIJEM	PREVOD Z UCTU	2909	31143	\N	KL	13290429
1074771	3673	1997-09-14	PRIJEM	PREVOD Z UCTU	2909	28144	\N	KL	13290429
1074772	3673	1997-10-14	PRIJEM	PREVOD Z UCTU	2909	27858	\N	KL	13290429
1074773	3673	1997-11-14	PRIJEM	PREVOD Z UCTU	2909	29728	\N	KL	13290429
1074774	3673	1997-12-14	PRIJEM	PREVOD Z UCTU	2909	29203	\N	KL	13290429
1074775	3673	1998-01-14	PRIJEM	PREVOD Z UCTU	2909	23598	\N	KL	13290429
1074776	3673	1998-02-14	PRIJEM	PREVOD Z UCTU	2909	25846	\N	KL	13290429
1074777	3673	1998-03-14	PRIJEM	PREVOD Z UCTU	2909	29206	\N	KL	13290429
1074778	3673	1998-04-14	PRIJEM	PREVOD Z UCTU	2909	29377	\N	KL	13290429
1074779	3673	1998-05-14	PRIJEM	PREVOD Z UCTU	2909	28443	\N	KL	13290429
1074780	3673	1998-06-14	PRIJEM	PREVOD Z UCTU	2909	28565	\N	KL	13290429
1074781	3673	1998-07-14	PRIJEM	PREVOD Z UCTU	2909	30039	\N	KL	13290429
1074782	3673	1998-08-14	PRIJEM	PREVOD Z UCTU	2909	28726	\N	KL	13290429
1074783	3673	1998-09-14	PRIJEM	PREVOD Z UCTU	2909	28698	\N	KL	13290429
1074784	3673	1998-10-14	PRIJEM	PREVOD Z UCTU	2909	26469	\N	KL	13290429
1074785	3673	1998-11-14	PRIJEM	PREVOD Z UCTU	2909	20428	\N	KL	13290429
1074786	3673	1998-12-14	PRIJEM	PREVOD Z UCTU	2909	16363	\N	KL	13290429
1074792	3673	1996-06-12	VYDAJ	PREVOD NA UCET	1939	26640	SIPO	MN	41758221
1074793	3673	1996-07-12	VYDAJ	PREVOD NA UCET	1939	21747	SIPO	MN	41758221
1074794	3673	1996-08-12	VYDAJ	PREVOD NA UCET	1939	25559	SIPO	MN	41758221
1074795	3673	1996-09-12	VYDAJ	PREVOD NA UCET	1939	28225	SIPO	MN	41758221
1074796	3673	1996-10-12	VYDAJ	PREVOD NA UCET	1939	26705	SIPO	MN	41758221
1074797	3673	1996-11-12	VYDAJ	PREVOD NA UCET	1939	27005	SIPO	MN	41758221
1074798	3673	1996-12-12	VYDAJ	PREVOD NA UCET	1939	27813	SIPO	MN	41758221
1074799	3673	1997-01-12	VYDAJ	PREVOD NA UCET	1939	25643	SIPO	MN	41758221
1074800	3673	1997-02-12	VYDAJ	PREVOD NA UCET	1939	28216	SIPO	MN	41758221
1074801	3673	1997-03-12	VYDAJ	PREVOD NA UCET	1939	28836	SIPO	MN	41758221
1074802	3673	1997-04-12	VYDAJ	PREVOD NA UCET	1939	27921	SIPO	MN	41758221
1074803	3673	1997-05-12	VYDAJ	PREVOD NA UCET	1939	28554	SIPO	MN	41758221
1074804	3673	1997-06-12	VYDAJ	PREVOD NA UCET	1939	28309	SIPO	MN	41758221
1074805	3673	1997-07-12	VYDAJ	PREVOD NA UCET	1939	26329	SIPO	MN	41758221
1074806	3673	1997-08-12	VYDAJ	PREVOD NA UCET	1939	28234	SIPO	MN	41758221
1074807	3673	1997-09-12	VYDAJ	PREVOD NA UCET	1939	25235	SIPO	MN	41758221
1074808	3673	1997-10-12	VYDAJ	PREVOD NA UCET	1939	24949	SIPO	MN	41758221
1074809	3673	1997-11-12	VYDAJ	PREVOD NA UCET	1939	26819	SIPO	MN	41758221
1074810	3673	1997-12-12	VYDAJ	PREVOD NA UCET	1939	26294	SIPO	MN	41758221
1074811	3673	1998-01-12	VYDAJ	PREVOD NA UCET	1939	20689	SIPO	MN	41758221
1074812	3673	1998-02-12	VYDAJ	PREVOD NA UCET	1939	22937	SIPO	MN	41758221
1074813	3673	1998-03-12	VYDAJ	PREVOD NA UCET	1939	26297	SIPO	MN	41758221
1074814	3673	1998-04-12	VYDAJ	PREVOD NA UCET	1939	26468	SIPO	MN	41758221
1074815	3673	1998-05-12	VYDAJ	PREVOD NA UCET	1939	25534	SIPO	MN	41758221
1074816	3673	1998-06-12	VYDAJ	PREVOD NA UCET	1939	27006	SIPO	MN	41758221
1074817	3673	1998-07-12	VYDAJ	PREVOD NA UCET	1939	27130	SIPO	MN	41758221
1074818	3673	1998-08-12	VYDAJ	PREVOD NA UCET	1939	25817	SIPO	MN	41758221
1074819	3673	1998-09-12	VYDAJ	PREVOD NA UCET	1939	25789	SIPO	MN	41758221
1074820	3673	1998-10-12	VYDAJ	PREVOD NA UCET	1939	23560	SIPO	MN	41758221
1074821	3673	1998-11-12	VYDAJ	PREVOD NA UCET	1939	17519	SIPO	MN	41758221
1074822	3673	1998-12-12	VYDAJ	PREVOD NA UCET	1939	13454	SIPO	MN	41758221
1074823	3673	1996-06-23	VYDAJ	VYBER	7860	21689	\N	\N	\N
1074824	3673	1997-06-17	VYDAJ	VYBER	2460	28758	\N	\N	\N
1074825	3673	1998-06-13	VYDAJ	VYBER	1350	25656	\N	\N	\N
1074827	3673	1997-01-06	VYDAJ	VYBER	1050	28582	\N	\N	\N
1074828	3673	1998-01-01	VYDAJ	VYBER	1980	27328	\N	\N	\N
1074829	3673	1996-12-10	VYDAJ	VYBER	270	29752	\N	\N	\N
1074830	3673	1997-12-01	VYDAJ	VYBER	300	29533	\N	\N	\N
1074831	3673	1998-12-15	VYDAJ	VYBER	630	15733	\N	\N	\N
1074832	3673	1996-11-09	VYDAJ	VYBER	930	28944	\N	\N	\N
1074833	3673	1996-07-20	VYDAJ	VYBER	840	23816	\N	\N	\N
1074836	3673	1996-12-24	VYDAJ	VYBER	1200	29522	\N	\N	\N
1074838	3673	1996-10-22	VYDAJ	VYBER	750	28864	\N	\N	\N
1074839	3673	1996-05-14	VYDAJ	VYBER	1290	27984	\N	\N	\N
1074840	3673	1997-09-16	VYDAJ	VYBER	420	27724	\N	\N	\N
1074841	3673	1997-08-09	VYDAJ	VYBER	1170	30173	\N	\N	\N
1074842	3673	1997-05-02	VYDAJ	VYBER	450	30493	\N	\N	\N
1074843	3673	1997-03-11	VYDAJ	VYBER	1080	30775	\N	\N	\N
1074844	3673	1997-02-24	VYDAJ	VYBER	180	30945	\N	\N	\N
1074845	3673	1997-10-09	VYDAJ	VYBER	540	26888	\N	\N	\N
1074846	3673	1997-08-22	VYDAJ	VYBER	1080	30063	\N	\N	\N
1074847	3673	1997-06-08	VYDAJ	VYBER	330	30248	\N	\N	\N
1074848	3673	1997-03-27	VYDAJ	VYBER	900	30845	\N	\N	\N
1074849	3673	1998-02-08	VYDAJ	VYBER	210	24876	\N	\N	\N
1074850	3673	1998-07-27	VYDAJ	VYBER	990	29049	\N	\N	\N
1074851	3673	1998-04-27	VYDAJ	VYBER	1410	27967	\N	\N	\N
1074857	3673	1996-05-31	VYDAJ	VYBER	15	28079	SLUZBY	\N	\N
1074858	3673	1996-06-30	VYDAJ	VYBER	15	21786	SLUZBY	\N	\N
1074859	3673	1996-07-31	VYDAJ	VYBER	15	23898	SLUZBY	\N	\N
1074860	3673	1996-08-31	VYDAJ	VYBER	15	28564	SLUZBY	\N	\N
1074861	3673	1996-09-30	VYDAJ	VYBER	15	31244	SLUZBY	\N	\N
1074862	3673	1996-10-31	VYDAJ	VYBER	15	28974	SLUZBY	\N	\N
1074863	3673	1996-11-30	VYDAJ	VYBER	15	30022	SLUZBY	\N	\N
1074864	3673	1996-12-31	VYDAJ	VYBER	15	29632	SLUZBY	\N	\N
1074865	3673	1997-01-31	VYDAJ	VYBER	15	28655	SLUZBY	\N	\N
1074866	3673	1997-02-28	VYDAJ	VYBER	15	31055	SLUZBY	\N	\N
1074867	3673	1997-03-31	VYDAJ	VYBER	15	30960	SLUZBY	\N	\N
1074868	3673	1997-04-30	VYDAJ	VYBER	15	30943	SLUZBY	\N	\N
1074869	3673	1997-05-31	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
1074870	3673	1997-06-30	VYDAJ	VYBER	15	28868	SLUZBY	\N	\N
1074871	3673	1997-07-31	VYDAJ	VYBER	15	29343	SLUZBY	\N	\N
1074872	3673	1997-08-31	VYDAJ	VYBER	15	30174	SLUZBY	\N	\N
1074873	3673	1997-09-30	VYDAJ	VYBER	15	27828	SLUZBY	\N	\N
1074874	3673	1997-10-31	VYDAJ	VYBER	15	27958	SLUZBY	\N	\N
1074875	3673	1997-11-30	VYDAJ	VYBER	15	29833	SLUZBY	\N	\N
1074876	3673	1997-12-31	VYDAJ	VYBER	15	29308	SLUZBY	\N	\N
1074877	3673	1998-01-31	VYDAJ	VYBER	15	25086	SLUZBY	\N	\N
1074878	3673	1998-02-28	VYDAJ	VYBER	15	25936	SLUZBY	\N	\N
1074879	3673	1998-03-31	VYDAJ	VYBER	15	29307	SLUZBY	\N	\N
1074880	3673	1998-04-30	VYDAJ	VYBER	15	28073	SLUZBY	\N	\N
1074881	3673	1998-05-31	VYDAJ	VYBER	15	28945	SLUZBY	\N	\N
1074882	3673	1998-06-30	VYDAJ	VYBER	15	29069	SLUZBY	\N	\N
1074883	3673	1998-07-31	VYDAJ	VYBER	15	27756	SLUZBY	\N	\N
1074884	3673	1998-08-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
1074885	3673	1998-09-30	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
1074886	3673	1998-10-31	VYDAJ	VYBER	15	19458	SLUZBY	\N	\N
1074887	3673	1998-11-30	VYDAJ	VYBER	15	15393	SLUZBY	\N	\N
1074888	3673	1996-02-11	PRIJEM	VKLAD	8700	12719	\N	\N	\N
1074889	3673	1996-03-12	PRIJEM	VKLAD	2900	18571	\N	\N	\N
1074890	3673	1996-04-11	VYDAJ	VYBER	200	21359	\N	\N	\N
1074891	3673	1996-05-11	PRIJEM	VKLAD	2000	26365	\N	\N	\N
1074892	3673	1996-06-10	PRIJEM	VKLAD	500	28579	\N	\N	\N
1074893	3673	1996-07-10	PRIJEM	VKLAD	1900	23686	\N	\N	\N
1074894	3673	1996-08-09	PRIJEM	VKLAD	3600	27498	\N	\N	\N
1074895	3673	1996-09-08	PRIJEM	VKLAD	1600	30164	\N	\N	\N
1074896	3673	1996-10-08	VYDAJ	VYBER	2600	28644	\N	\N	\N
1074897	3673	1996-11-07	PRIJEM	VKLAD	900	29874	\N	\N	\N
1074898	3673	1997-01-06	VYDAJ	VYBER	1000	27582	\N	\N	\N
1074899	3673	1997-02-05	PRIJEM	VKLAD	1500	30155	\N	\N	\N
1074900	3673	1997-03-07	PRIJEM	VKLAD	800	31855	\N	\N	\N
1074901	3673	1997-04-06	VYDAJ	VYBER	1100	29860	\N	\N	\N
1074902	3673	1997-06-05	VYDAJ	VYBER	1000	30578	\N	\N	\N
1074903	3673	1997-07-05	VYDAJ	VYBER	600	28268	\N	\N	\N
1074904	3673	1997-08-04	PRIJEM	VKLAD	2000	31343	\N	\N	\N
1074905	3673	1997-09-03	VYDAJ	VYBER	3000	27174	\N	\N	\N
1074906	3673	1997-10-03	VYDAJ	VYBER	400	27428	\N	\N	\N
1074907	3673	1997-11-02	PRIJEM	VKLAD	800	28758	\N	\N	\N
1074908	3673	1997-12-02	VYDAJ	VYBER	1300	28233	\N	\N	\N
1074909	3673	1998-01-01	VYDAJ	VYBER	4700	22628	\N	\N	\N
1074910	3673	1998-01-31	PRIJEM	VKLAD	1400	25100	\N	\N	\N
1074911	3673	1998-03-02	PRIJEM	VKLAD	2300	28236	\N	\N	\N
1074912	3673	1998-04-01	VYDAJ	VYBER	900	28407	\N	\N	\N
1074913	3673	1998-05-01	VYDAJ	VYBER	600	27473	\N	\N	\N
1074914	3673	1998-05-31	PRIJEM	VKLAD	400	28959	\N	\N	\N
1074915	3673	1998-06-30	PRIJEM	VKLAD	400	29083	\N	\N	\N
1074916	3673	1998-07-30	VYDAJ	VYBER	1400	27649	\N	\N	\N
1074917	3673	1998-08-29	VYDAJ	VYBER	1100	27626	\N	\N	\N
1074918	3673	1998-09-28	VYDAJ	VYBER	3300	25398	\N	\N	\N
1074919	3673	1998-10-28	VYDAJ	VYBER	7100	19369	\N	\N	\N
1074920	3673	1998-11-27	VYDAJ	VYBER	5100	15328	\N	\N	\N
1074957	3674	1993-03-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1074958	3674	1993-05-01	PRIJEM	VKLAD	24008	43289	\N	\N	\N
1074959	3674	1993-03-31	PRIJEM	VKLAD	11726	12726	\N	\N	\N
1074960	3674	1993-07-25	PRIJEM	VKLAD	38578	77753	\N	\N	\N
1074961	3674	1993-09-29	PRIJEM	VKLAD	9201	35358	\N	\N	\N
1074962	3674	1993-09-30	PRIJEM	VKLAD	27911	63269	\N	\N	\N
1074963	3674	1993-08-30	PRIJEM	VKLAD	21764	73527	\N	\N	\N
1074964	3674	1993-05-17	PRIJEM	VKLAD	38086	73475	\N	\N	\N
1074965	3674	1994-08-13	PRIJEM	VKLAD	29364	64063	\N	\N	\N
1074966	3674	1994-10-26	PRIJEM	VKLAD	24234	114711	\N	\N	\N
1074967	3674	1994-01-13	PRIJEM	VKLAD	21095	26851	\N	\N	\N
1074968	3674	1994-11-15	PRIJEM	VKLAD	42645	101275	\N	\N	\N
1074969	3674	1994-04-23	PRIJEM	VKLAD	32309	88928	\N	\N	\N
1074970	3674	1994-07-24	PRIJEM	VKLAD	13162	32026	\N	\N	\N
1074971	3674	1994-03-30	PRIJEM	VKLAD	33290	77211	\N	\N	\N
1074972	3674	1994-08-25	PRIJEM	VKLAD	33972	140229	\N	\N	\N
1074973	3674	1994-05-09	PRIJEM	VKLAD	13353	70756	\N	\N	\N
1074974	3674	1994-06-28	PRIJEM	VKLAD	14516	37053	\N	\N	\N
1074975	3674	1994-06-01	PRIJEM	VKLAD	18103	51240	\N	\N	\N
1074976	3674	1994-08-26	PRIJEM	VKLAD	10885	119614	\N	\N	\N
1074977	3674	1994-03-21	PRIJEM	VKLAD	17958	43921	\N	\N	\N
1074978	3674	1994-10-29	PRIJEM	VKLAD	32450	105061	\N	\N	\N
1074979	3674	1994-07-26	PRIJEM	VKLAD	12908	44934	\N	\N	\N
1074980	3674	1994-12-15	PRIJEM	VKLAD	39764	88982	\N	\N	\N
1074981	3674	1994-07-28	PRIJEM	VKLAD	13538	58472	\N	\N	\N
1074982	3674	1994-08-17	PRIJEM	VKLAD	43694	106257	\N	\N	\N
1074983	3674	1994-02-25	PRIJEM	VKLAD	33285	45595	\N	\N	\N
1074984	3674	1994-09-17	PRIJEM	VKLAD	35816	88441	\N	\N	\N
1074985	3674	1994-10-17	PRIJEM	VKLAD	46961	90477	\N	\N	\N
1074986	3674	1994-04-08	PRIJEM	VKLAD	20056	68622	\N	\N	\N
1074987	3674	1994-08-03	PRIJEM	VKLAD	5515	64102	\N	\N	\N
1074988	3674	1994-08-28	PRIJEM	VKLAD	10578	98992	\N	\N	\N
1074989	3674	1995-10-18	PRIJEM	VKLAD	25976	79949	\N	\N	\N
1074990	3674	1995-03-15	PRIJEM	VKLAD	48072	110027	\N	\N	\N
1074991	3674	1995-12-26	PRIJEM	VKLAD	38385	85615	\N	\N	\N
1074992	3674	1995-12-07	PRIJEM	VKLAD	31717	77648	\N	\N	\N
1074993	3674	1995-11-26	PRIJEM	VKLAD	43881	119185	\N	\N	\N
1074994	3674	1995-02-03	PRIJEM	VKLAD	15379	106004	\N	\N	\N
1074995	3674	1995-04-24	PRIJEM	VKLAD	24560	87580	\N	\N	\N
1074996	3674	1995-08-09	PRIJEM	VKLAD	46036	85379	\N	\N	\N
1074997	3674	1995-09-13	PRIJEM	VKLAD	26370	94329	\N	\N	\N
1074998	3674	1995-02-03	PRIJEM	VKLAD	25343	90625	\N	\N	\N
1074999	3674	1995-10-10	PRIJEM	VKLAD	47313	113776	\N	\N	\N
1075000	3674	1995-12-09	PRIJEM	VKLAD	8454	86102	\N	\N	\N
1075001	3674	1995-02-15	PRIJEM	VKLAD	26902	121434	\N	\N	\N
1075002	3674	1995-08-17	PRIJEM	VKLAD	19101	93008	\N	\N	\N
1075003	3674	1995-03-14	PRIJEM	VKLAD	26860	61955	\N	\N	\N
1075004	3674	1995-04-22	PRIJEM	VKLAD	10925	63020	\N	\N	\N
1075005	3674	1995-07-01	PRIJEM	VKLAD	18077	47286	\N	\N	\N
1075006	3674	1995-08-19	PRIJEM	VKLAD	20053	113061	\N	\N	\N
1075007	3674	1995-01-15	PRIJEM	VKLAD	38810	87071	\N	\N	\N
1075008	3674	1995-11-03	PRIJEM	VKLAD	13922	75449	\N	\N	\N
1075009	3674	1995-01-16	PRIJEM	VKLAD	49136	136207	\N	\N	\N
1075010	3674	1995-01-26	PRIJEM	VKLAD	21365	103272	\N	\N	\N
1075011	3674	1995-11-23	PRIJEM	VKLAD	21659	75304	\N	\N	\N
1075012	3674	1995-12-11	PRIJEM	VKLAD	48931	135033	\N	\N	\N
1075013	3674	1996-01-29	PRIJEM	VKLAD	21299	62462	\N	\N	\N
1075014	3674	1996-06-05	PRIJEM	VKLAD	23334	79988	\N	\N	\N
1075015	3674	1996-03-29	PRIJEM	VKLAD	5668	76844	\N	\N	\N
1075016	3674	1996-11-29	PRIJEM	VKLAD	40352	78508	\N	\N	\N
1075017	3674	1996-06-23	PRIJEM	VKLAD	48116	157161	\N	\N	\N
1075018	3674	1996-12-18	PRIJEM	VKLAD	10906	70994	\N	\N	\N
1075019	3674	1996-05-09	PRIJEM	VKLAD	39761	82740	\N	\N	\N
1075020	3674	1996-05-10	PRIJEM	VKLAD	40675	123415	\N	\N	\N
1075021	3674	1996-05-26	PRIJEM	VKLAD	37350	84162	\N	\N	\N
1075022	3674	1996-06-23	PRIJEM	VKLAD	16008	109045	\N	\N	\N
1075023	3674	1996-09-29	PRIJEM	VKLAD	13650	61557	\N	\N	\N
1075024	3674	1996-02-06	PRIJEM	VKLAD	12439	68542	\N	\N	\N
1075025	3674	1996-01-03	PRIJEM	VKLAD	24091	81749	\N	\N	\N
1075026	3674	1996-05-27	PRIJEM	VKLAD	39452	123614	\N	\N	\N
1075027	3674	1996-06-06	PRIJEM	VKLAD	24652	104640	\N	\N	\N
1075028	3674	1996-03-29	PRIJEM	VKLAD	21497	71176	\N	\N	\N
1075029	3674	1996-04-13	PRIJEM	VKLAD	16007	83532	\N	\N	\N
1075030	3674	1996-08-24	PRIJEM	VKLAD	15254	57605	\N	\N	\N
1075031	3674	1996-06-29	PRIJEM	VKLAD	18911	94772	\N	\N	\N
1075032	3674	1996-08-09	PRIJEM	VKLAD	33153	83848	\N	\N	\N
1075033	3674	1996-07-18	PRIJEM	VKLAD	15844	101472	\N	\N	\N
1075034	3674	1996-01-23	PRIJEM	VKLAD	13135	57781	\N	\N	\N
1075035	3674	1996-08-10	PRIJEM	VKLAD	38901	122749	\N	\N	\N
1075036	3674	1996-03-14	PRIJEM	VKLAD	24667	53679	\N	\N	\N
1075037	3674	1996-12-10	PRIJEM	VKLAD	43929	120791	\N	\N	\N
1075038	3674	1997-05-09	PRIJEM	VKLAD	47735	104205	\N	\N	\N
1075039	3674	1997-01-23	PRIJEM	VKLAD	28507	81943	\N	\N	\N
1075040	3674	1997-06-17	PRIJEM	VKLAD	38717	133585	\N	\N	\N
1075041	3674	1997-10-31	PRIJEM	VKLAD	47477	92997	\N	\N	\N
1075042	3674	1997-11-01	PRIJEM	VKLAD	30612	123594	\N	\N	\N
1075043	3674	1997-01-09	PRIJEM	VKLAD	30013	75971	\N	\N	\N
1075044	3674	1997-10-03	PRIJEM	VKLAD	12766	79477	\N	\N	\N
1075045	3674	1997-03-18	PRIJEM	VKLAD	43354	82980	\N	\N	\N
1075046	3674	1997-07-25	PRIJEM	VKLAD	33455	117258	\N	\N	\N
1075047	3674	1997-08-13	PRIJEM	VKLAD	10116	118207	\N	\N	\N
1075048	3674	1997-05-19	PRIJEM	VKLAD	9340	102342	\N	\N	\N
1075049	3674	1997-06-07	PRIJEM	VKLAD	18367	118533	\N	\N	\N
1075050	3674	1997-01-18	PRIJEM	VKLAD	41168	83936	\N	\N	\N
1075051	3674	1997-05-25	PRIJEM	VKLAD	12958	85830	\N	\N	\N
1075052	3674	1997-05-06	PRIJEM	VKLAD	20727	56470	\N	\N	\N
1075053	3674	1997-08-16	PRIJEM	VKLAD	38102	156309	\N	\N	\N
1075054	3674	1997-06-06	PRIJEM	VKLAD	14047	100166	\N	\N	\N
1075055	3674	1997-09-07	PRIJEM	VKLAD	41199	102608	\N	\N	\N
1075056	3674	1997-07-21	PRIJEM	VKLAD	25856	83803	\N	\N	\N
1075057	3674	1997-12-06	PRIJEM	VKLAD	47915	111174	\N	\N	\N
1075058	3674	1998-08-19	PRIJEM	VKLAD	5023	65702	\N	\N	\N
1075059	3674	1998-03-05	PRIJEM	VKLAD	8313	45140	\N	\N	\N
1075060	3674	1998-07-25	PRIJEM	VKLAD	18639	119034	\N	\N	\N
1075061	3674	1998-05-30	PRIJEM	VKLAD	5545	104304	\N	\N	\N
1075062	3674	1998-05-19	PRIJEM	VKLAD	35938	98759	\N	\N	\N
1075063	3674	1998-11-30	PRIJEM	VKLAD	46122	95556	\N	\N	\N
1075064	3674	1998-07-06	PRIJEM	VKLAD	40103	109465	\N	\N	\N
1075065	3674	1998-03-22	PRIJEM	VKLAD	29314	85777	\N	\N	\N
1075066	3674	1998-05-03	PRIJEM	VKLAD	30181	124211	\N	\N	\N
1075067	3674	1998-05-02	PRIJEM	VKLAD	42168	94030	\N	\N	\N
1075068	3674	1998-07-24	PRIJEM	VKLAD	30224	100395	\N	\N	\N
1075069	3674	1998-04-06	PRIJEM	VKLAD	36775	106360	\N	\N	\N
1075070	3674	1998-11-15	PRIJEM	VKLAD	19679	80644	\N	\N	\N
1075071	3674	1998-10-09	PRIJEM	VKLAD	13787	88648	\N	\N	\N
1075072	3674	1998-10-25	PRIJEM	VKLAD	10030	99942	\N	\N	\N
1075073	3674	1998-05-31	PRIJEM	VKLAD	37178	141482	\N	\N	\N
1075074	3674	1998-12-10	PRIJEM	VKLAD	42686	138495	\N	\N	\N
1075075	3674	1998-10-10	PRIJEM	VKLAD	35267	123915	\N	\N	\N
1075076	3674	1998-03-15	PRIJEM	VKLAD	18126	53763	\N	\N	\N
1075077	3674	1998-01-05	PRIJEM	VKLAD	17977	60463	\N	\N	\N
1075078	3674	1998-07-29	PRIJEM	VKLAD	31284	150318	\N	\N	\N
1075079	3674	1998-08-06	PRIJEM	VKLAD	35353	114696	\N	\N	\N
1075080	3674	1998-12-20	PRIJEM	VKLAD	43196	126388	\N	\N	\N
1075081	3674	1998-05-07	PRIJEM	VKLAD	12328	79939	\N	\N	\N
1075082	3674	1998-05-15	PRIJEM	VKLAD	13885	84321	\N	\N	\N
1075083	3674	1998-09-08	PRIJEM	VKLAD	44739	103174	\N	\N	\N
1075092	3674	1993-09-06	VYDAJ	VYBER	1600	72235	\N	\N	0
1075093	3674	1993-10-08	VYDAJ	VYBER	1700	61728	\N	\N	0
1075094	3674	1993-11-13	VYDAJ	VYBER	1800	13466	\N	\N	0
1075095	3674	1993-12-01	VYDAJ	VYBER	1900	11623	\N	\N	0
1075096	3674	1994-01-05	VYDAJ	VYBER	2200	8659	\N	\N	0
1075097	3674	1994-02-10	VYDAJ	VYBER	1600	21813	\N	\N	0
1075098	3674	1994-02-26	VYDAJ	VYBER	2100	43495	\N	\N	0
1075099	3674	1994-04-09	VYDAJ	VYBER	2500	66122	\N	\N	0
1075100	3674	1994-05-01	VYDAJ	VYBER	1900	87303	\N	\N	0
1075101	3674	1994-06-13	VYDAJ	VYBER	1600	27337	\N	\N	0
1075102	3674	1994-07-01	VYDAJ	VYBER	1800	35367	\N	\N	0
1075103	3674	1994-08-13	VYDAJ	VYBER	1500	62563	\N	\N	0
1075104	3674	1994-09-12	VYDAJ	PREVOD NA UCET	1969	52625	UVER	EF	94948046
1075105	3674	1994-10-12	VYDAJ	PREVOD NA UCET	1969	53019	UVER	EF	94948046
1075106	3674	1994-11-12	VYDAJ	PREVOD NA UCET	1969	68133	UVER	EF	94948046
1075107	3674	1994-12-12	VYDAJ	PREVOD NA UCET	1969	54318	UVER	EF	94948046
1075108	3674	1995-01-12	VYDAJ	PREVOD NA UCET	1969	57764	UVER	EF	94948046
1075109	3674	1995-02-12	VYDAJ	PREVOD NA UCET	1969	94532	UVER	EF	94948046
1075110	3674	1995-03-12	VYDAJ	PREVOD NA UCET	1969	35095	UVER	EF	94948046
1075111	3674	1995-04-12	VYDAJ	PREVOD NA UCET	1969	61598	UVER	EF	94948046
1075112	3674	1995-05-12	VYDAJ	PREVOD NA UCET	1969	50361	UVER	EF	94948046
1075113	3674	1995-06-12	VYDAJ	PREVOD NA UCET	1969	24301	UVER	EF	94948046
1075114	3674	1995-07-12	VYDAJ	PREVOD NA UCET	1969	35814	UVER	EF	94948046
1075115	3674	1995-08-12	VYDAJ	PREVOD NA UCET	1969	73907	UVER	EF	94948046
1075116	3674	1995-09-19	VYDAJ	VYBER	2600	91729	\N	\N	0
1075117	3674	1995-10-27	VYDAJ	VYBER	1400	78549	\N	\N	0
1075118	3674	1995-11-15	VYDAJ	VYBER	1600	64346	\N	\N	0
1075119	3674	1995-12-04	VYDAJ	VYBER	1500	45931	\N	\N	0
1075120	3674	1996-01-19	VYDAJ	VYBER	1800	58146	\N	\N	0
1075121	3674	1996-02-07	VYDAJ	VYBER	1300	67242	\N	\N	0
1075122	3674	1996-03-15	VYDAJ	VYBER	1900	51779	\N	\N	0
1075123	3674	1996-04-15	VYDAJ	VYBER	2200	81332	\N	\N	0
1075124	3674	1996-05-21	VYDAJ	VYBER	1100	50012	\N	\N	0
1075125	3674	1996-06-14	VYDAJ	VYBER	2100	93037	\N	\N	0
1075126	3674	1996-07-18	VYDAJ	VYBER	1700	99772	\N	\N	0
1075127	3674	1996-08-10	VYDAJ	VYBER	1500	69949	\N	\N	0
1075128	3674	1996-09-05	VYDAJ	VYBER	1500	56310	\N	\N	0
1075129	3674	1996-10-13	VYDAJ	VYBER	1900	34186	\N	\N	0
1075130	3674	1996-11-18	VYDAJ	VYBER	1800	29556	\N	\N	0
1075131	3674	1996-12-02	VYDAJ	VYBER	1800	76862	\N	\N	0
1075132	3674	1997-01-10	VYDAJ	VYBER	2400	73571	\N	\N	0
1075133	3674	1997-02-06	VYDAJ	VYBER	1300	67385	\N	\N	0
1075134	3674	1997-03-20	VYDAJ	VYBER	1800	81180	\N	\N	0
1075135	3674	1997-04-15	VYDAJ	VYBER	2000	54198	\N	\N	0
1075136	3674	1997-05-13	VYDAJ	VYBER	1700	93002	\N	\N	0
1075137	3674	1997-06-09	VYDAJ	VYBER	2100	116433	\N	\N	0
1075138	3674	1997-07-14	VYDAJ	VYBER	2300	60647	\N	\N	0
1075139	3674	1997-08-22	VYDAJ	VYBER	2100	85109	\N	\N	0
1075140	3674	1997-09-07	VYDAJ	VYBER	2000	100608	\N	\N	0
1075141	3674	1997-10-11	VYDAJ	VYBER	1200	78277	\N	\N	0
1075142	3674	1997-11-21	VYDAJ	VYBER	1700	71591	\N	\N	0
1075143	3674	1997-12-06	VYDAJ	VYBER	2200	108974	\N	\N	0
1075144	3674	1998-01-10	VYDAJ	VYBER	1600	55863	\N	\N	0
1075145	3674	1998-02-12	VYDAJ	VYBER	2000	36920	\N	\N	0
1075146	3674	1998-03-19	VYDAJ	VYBER	1500	56463	\N	\N	0
1075147	3674	1998-04-07	VYDAJ	VYBER	1700	104660	\N	\N	0
1075148	3674	1998-05-06	VYDAJ	VYBER	1600	67611	\N	\N	0
1075149	3674	1998-06-02	VYDAJ	VYBER	2400	84305	\N	\N	0
1075150	3674	1998-07-23	VYDAJ	VYBER	2600	70171	\N	\N	0
1075151	3674	1998-08-10	VYDAJ	VYBER	2400	112296	\N	\N	0
1075152	3674	1998-09-23	VYDAJ	VYBER	1900	75871	\N	\N	0
1075153	3674	1998-09-30	VYDAJ	VYBER	1300	74876	\N	\N	0
1075154	3674	1998-11-01	VYDAJ	VYBER	1400	98907	\N	\N	0
1075155	3674	1998-11-29	VYDAJ	VYBER	1500	49434	\N	\N	0
1075164	3674	1993-09-12	VYDAJ	PREVOD NA UCET	9503	26157	SIPO	EF	25279706
1075165	3674	1993-10-12	VYDAJ	PREVOD NA UCET	9503	33725	SIPO	EF	25279706
1075166	3674	1993-11-12	VYDAJ	PREVOD NA UCET	9503	15266	SIPO	EF	25279706
1075167	3674	1993-12-12	VYDAJ	PREVOD NA UCET	9503	10820	SIPO	EF	25279706
1075168	3674	1994-01-12	VYDAJ	PREVOD NA UCET	9503	5756	SIPO	EF	25279706
1075169	3674	1994-02-12	VYDAJ	PREVOD NA UCET	9503	12310	SIPO	EF	25279706
1075170	3674	1994-03-12	VYDAJ	PREVOD NA UCET	9503	25963	SIPO	EF	25279706
1075171	3674	1994-04-12	VYDAJ	PREVOD NA UCET	9503	56619	SIPO	EF	25279706
1075172	3674	1994-05-12	VYDAJ	PREVOD NA UCET	9503	42953	SIPO	EF	25279706
1075173	3674	1994-06-12	VYDAJ	PREVOD NA UCET	9503	28937	SIPO	EF	25279706
1075174	3674	1994-07-12	VYDAJ	PREVOD NA UCET	9503	18864	SIPO	EF	25279706
1075175	3674	1994-08-12	VYDAJ	PREVOD NA UCET	9503	34699	SIPO	EF	25279706
1075176	3674	1994-09-12	VYDAJ	PREVOD NA UCET	9503	54593	SIPO	EF	25279706
1075177	3674	1994-10-12	VYDAJ	PREVOD NA UCET	9503	43516	SIPO	EF	25279706
1075178	3674	1994-11-12	VYDAJ	PREVOD NA UCET	9503	58630	SIPO	EF	25279706
1075179	3674	1994-12-12	VYDAJ	PREVOD NA UCET	9503	56286	SIPO	EF	25279706
1075180	3674	1995-01-12	VYDAJ	PREVOD NA UCET	9503	48261	SIPO	EF	25279706
1075181	3674	1995-02-12	VYDAJ	PREVOD NA UCET	9503	96501	SIPO	EF	25279706
1075182	3674	1995-03-12	VYDAJ	PREVOD NA UCET	9503	37064	SIPO	EF	25279706
1075183	3674	1995-04-12	VYDAJ	PREVOD NA UCET	9503	52095	SIPO	EF	25279706
1075184	3674	1995-05-12	VYDAJ	PREVOD NA UCET	9503	40858	SIPO	EF	25279706
1075185	3674	1995-06-12	VYDAJ	PREVOD NA UCET	9503	26269	SIPO	EF	25279706
1075186	3674	1995-07-12	VYDAJ	PREVOD NA UCET	9503	37783	SIPO	EF	25279706
1075187	3674	1995-08-12	VYDAJ	PREVOD NA UCET	9503	75876	SIPO	EF	25279706
1075188	3674	1995-09-12	VYDAJ	PREVOD NA UCET	9503	67959	SIPO	EF	25279706
1075189	3674	1995-10-12	VYDAJ	PREVOD NA UCET	9503	53973	SIPO	EF	25279706
1075190	3674	1995-11-12	VYDAJ	PREVOD NA UCET	9503	65946	SIPO	EF	25279706
1075191	3674	1995-12-12	VYDAJ	PREVOD NA UCET	9503	62230	SIPO	EF	25279706
1075192	3674	1996-01-12	VYDAJ	PREVOD NA UCET	9503	64746	SIPO	EF	25279706
1075193	3674	1996-02-12	VYDAJ	PREVOD NA UCET	9503	42439	SIPO	EF	25279706
1075194	3674	1996-03-12	VYDAJ	PREVOD NA UCET	9503	29012	SIPO	EF	25279706
1075195	3674	1996-04-12	VYDAJ	PREVOD NA UCET	9503	67525	SIPO	EF	25279706
1075196	3674	1996-05-12	VYDAJ	PREVOD NA UCET	9503	51112	SIPO	EF	25279706
1075197	3674	1996-06-12	VYDAJ	PREVOD NA UCET	9503	95137	SIPO	EF	25279706
1075198	3674	1996-07-12	VYDAJ	PREVOD NA UCET	9503	85628	SIPO	EF	25279706
1075199	3674	1996-08-12	VYDAJ	PREVOD NA UCET	9503	60446	SIPO	EF	25279706
1075200	3674	1996-09-12	VYDAJ	PREVOD NA UCET	9503	46807	SIPO	EF	25279706
1075201	3674	1996-10-12	VYDAJ	PREVOD NA UCET	9503	36086	SIPO	EF	25279706
1075202	3674	1996-11-12	VYDAJ	PREVOD NA UCET	9503	31356	SIPO	EF	25279706
1075203	3674	1996-12-12	VYDAJ	PREVOD NA UCET	9503	60088	SIPO	EF	25279706
1075204	3674	1997-01-12	VYDAJ	PREVOD NA UCET	9503	64068	SIPO	EF	25279706
1075205	3674	1997-02-12	VYDAJ	PREVOD NA UCET	9503	57882	SIPO	EF	25279706
1075206	3674	1997-03-12	VYDAJ	PREVOD NA UCET	9503	39626	SIPO	EF	25279706
1075207	3674	1997-04-12	VYDAJ	PREVOD NA UCET	9503	56198	SIPO	EF	25279706
1075333	3674	1995-12-25	VYDAJ	VYBER	6600	47230	\N	\N	\N
1075208	3674	1997-05-12	VYDAJ	PREVOD NA UCET	9503	94702	SIPO	EF	25279706
1075209	3674	1997-06-12	VYDAJ	PREVOD NA UCET	9503	94868	SIPO	EF	25279706
1075210	3674	1997-07-12	VYDAJ	PREVOD NA UCET	9503	62947	SIPO	EF	25279706
1075211	3674	1997-08-12	VYDAJ	PREVOD NA UCET	9503	108091	SIPO	EF	25279706
1075212	3674	1997-09-12	VYDAJ	PREVOD NA UCET	9503	91105	SIPO	EF	25279706
1075213	3674	1997-10-12	VYDAJ	PREVOD NA UCET	9503	68774	SIPO	EF	25279706
1075214	3674	1997-11-12	VYDAJ	PREVOD NA UCET	9503	101491	SIPO	EF	25279706
1075215	3674	1997-12-12	VYDAJ	PREVOD NA UCET	9503	91166	SIPO	EF	25279706
1075216	3674	1998-01-12	VYDAJ	PREVOD NA UCET	9503	42760	SIPO	EF	25279706
1075217	3674	1998-02-12	VYDAJ	PREVOD NA UCET	9503	27417	SIPO	EF	25279706
1075218	3674	1998-03-12	VYDAJ	PREVOD NA UCET	9503	35637	SIPO	EF	25279706
1075219	3674	1998-04-12	VYDAJ	PREVOD NA UCET	9503	92415	SIPO	EF	25279706
1075220	3674	1998-05-12	VYDAJ	PREVOD NA UCET	9503	70436	SIPO	EF	25279706
1075221	3674	1998-06-12	VYDAJ	PREVOD NA UCET	9503	74802	SIPO	EF	25279706
1075222	3674	1998-07-12	VYDAJ	PREVOD NA UCET	9503	99962	SIPO	EF	25279706
1075223	3674	1998-08-12	VYDAJ	PREVOD NA UCET	9503	102793	SIPO	EF	25279706
1075224	3674	1998-09-12	VYDAJ	PREVOD NA UCET	9503	93671	SIPO	EF	25279706
1075225	3674	1998-10-12	VYDAJ	PREVOD NA UCET	9503	89912	SIPO	EF	25279706
1075226	3674	1998-11-12	VYDAJ	PREVOD NA UCET	9503	60965	SIPO	EF	25279706
1075227	3674	1998-12-12	VYDAJ	PREVOD NA UCET	9503	83192	SIPO	EF	25279706
1075229	3674	1993-09-11	VYBER	VYBER	14575	35660	\N	\N	\N
1075242	3674	1994-05-24	VYBER	VYBER	5513	37440	\N	\N	\N
1075243	3674	1994-11-30	VYBER	VYBER	5284	96404	\N	\N	\N
1075244	3674	1995-11-21	VYBER	VYBER	10701	53645	\N	\N	\N
1075245	3674	1995-04-28	VYBER	VYBER	20849	66731	\N	\N	\N
1075246	3674	1995-03-18	VYBER	VYBER	22162	87865	\N	\N	\N
1075247	3674	1996-10-01	VYBER	VYBER	16166	45589	\N	\N	\N
1075250	3674	1996-08-17	VYBER	VYBER	13590	33751	\N	\N	\N
1075251	3674	1996-01-24	VYBER	VYBER	18218	39563	\N	\N	\N
1075252	3674	1996-08-13	VYBER	VYBER	11072	49374	\N	\N	\N
1075253	3674	1996-08-17	VYBER	VYBER	2033	47341	\N	\N	\N
1075254	3674	1996-07-31	VYBER	VYBER	15720	50709	\N	\N	\N
1075255	3674	1996-05-08	VYBER	VYBER	16750	42979	\N	\N	\N
1075256	3674	1997-06-11	VYBER	VYBER	12062	104371	\N	\N	\N
1075258	3674	1997-12-20	VYBER	VYBER	13869	53697	\N	\N	\N
1075259	3674	1997-07-12	VYBER	VYBER	13010	72450	\N	\N	\N
1075260	3674	1997-12-23	VYBER	VYBER	3982	49715	\N	\N	\N
1075261	3674	1997-04-19	VYBER	VYBER	14558	39640	\N	\N	\N
1075262	3674	1997-02-16	VYBER	VYBER	4673	53209	\N	\N	\N
1075263	3674	1997-09-04	VYBER	VYBER	16614	61409	\N	\N	\N
1075264	3674	1997-12-03	VYBER	VYBER	8678	63259	\N	\N	\N
1075265	3674	1997-05-19	VYBER	VYBER	14170	88172	\N	\N	\N
1075266	3674	1997-12-08	VYBER	VYBER	8305	100669	\N	\N	\N
1075267	3674	1998-03-25	VYBER	VYBER	16390	69387	\N	\N	\N
1075268	3674	1998-08-30	VYBER	VYBER	7580	58122	\N	\N	\N
1075269	3674	1998-08-01	VYBER	VYBER	6799	79343	\N	\N	\N
1075270	3674	1998-06-13	VYBER	VYBER	4830	69972	\N	\N	\N
1075272	3674	1998-02-25	VYBER	VYBER	2724	36693	\N	\N	\N
1075273	3674	1998-11-03	VYBER	VYBER	17739	73968	\N	\N	\N
1075274	3674	1998-08-18	VYBER	VYBER	20114	60679	\N	\N	\N
1075275	3674	1998-04-21	VYBER	VYBER	8141	65974	\N	\N	\N
1075276	3674	1998-04-09	VYBER	VYBER	2742	101918	\N	\N	\N
1075277	3674	1998-07-20	VYBER	VYBER	12891	72771	\N	\N	\N
1075278	3674	1998-11-20	VYBER	VYBER	23410	50934	\N	\N	\N
1075280	3674	1994-12-13	VYDAJ	VYBER	5100	49218	\N	\N	\N
1075281	3674	1995-12-17	VYDAJ	VYBER	8400	53830	\N	\N	\N
1075282	3674	1996-12-25	VYDAJ	VYBER	3600	52294	\N	\N	\N
1075283	3674	1997-12-27	VYDAJ	VYBER	7500	42215	\N	\N	\N
1075284	3674	1998-12-26	VYDAJ	VYBER	5100	88188	\N	\N	\N
1075292	3674	1994-01-14	VYDAJ	VYBER	5100	21751	\N	\N	\N
1075297	3674	1995-01-01	VYDAJ	VYBER	1500	87833	\N	\N	\N
1075298	3674	1995-01-21	VYDAJ	VYBER	4200	85807	\N	\N	\N
1075299	3674	1995-01-18	VYDAJ	VYBER	6000	96607	\N	\N	\N
1075300	3674	1995-01-30	VYDAJ	VYBER	7800	95472	\N	\N	\N
1075301	3674	1995-01-18	VYDAJ	VYBER	6600	90007	\N	\N	\N
1075302	3674	1995-01-22	VYDAJ	VYBER	3900	81907	\N	\N	\N
1075303	3674	1996-01-17	VYDAJ	VYBER	4800	59946	\N	\N	\N
1075304	3674	1996-01-08	VYDAJ	VYBER	7500	74249	\N	\N	\N
1075305	3674	1996-01-21	VYDAJ	VYBER	3000	46146	\N	\N	\N
1075306	3674	1996-01-29	VYDAJ	VYBER	6600	55862	\N	\N	\N
1075307	3674	1996-01-22	VYDAJ	VYBER	1500	44646	\N	\N	\N
1075308	3674	1996-01-02	VYDAJ	VYBER	5100	57658	\N	\N	\N
1075309	3674	1997-01-14	VYDAJ	VYBER	6000	51168	\N	\N	\N
1075310	3674	1997-01-13	VYDAJ	VYBER	6900	57168	\N	\N	\N
1075311	3674	1997-01-05	VYDAJ	VYBER	6600	45958	\N	\N	\N
1075312	3674	1997-01-27	VYDAJ	VYBER	3600	68443	\N	\N	\N
1075313	3674	1997-01-16	VYDAJ	VYBER	8400	42768	\N	\N	\N
1075314	3674	1997-01-22	VYDAJ	VYBER	8700	53436	\N	\N	\N
1075315	3674	1998-01-21	VYDAJ	VYBER	1800	38760	\N	\N	\N
1075316	3674	1998-01-06	VYDAJ	VYBER	3000	57463	\N	\N	\N
1075317	3674	1998-01-16	VYDAJ	VYBER	4500	42360	\N	\N	\N
1075318	3674	1998-01-20	VYDAJ	VYBER	1800	40560	\N	\N	\N
1075319	3674	1998-01-11	VYDAJ	VYBER	3600	52263	\N	\N	\N
1075325	3674	1993-10-14	VYDAJ	VYBER	10200	23525	\N	\N	\N
1075326	3674	1994-04-03	VYDAJ	VYBER	2400	74966	\N	\N	\N
1075327	3674	1994-06-24	VYDAJ	VYBER	4800	22537	\N	\N	\N
1075328	3674	1994-05-10	VYDAJ	VYBER	12900	57856	\N	\N	\N
1075329	3674	1994-05-11	VYDAJ	VYBER	5400	52456	\N	\N	\N
1075330	3674	1994-10-10	VYDAJ	VYBER	3900	54987	\N	\N	\N
1075331	3674	1994-05-24	VYDAJ	VYBER	4500	32940	\N	\N	\N
1075332	3674	1995-05-30	VYDAJ	VYBER	5700	35158	\N	\N	\N
1075334	3674	1995-11-27	VYDAJ	VYBER	14400	47185	\N	\N	\N
1075335	3674	1996-07-20	VYDAJ	VYBER	10500	89272	\N	\N	\N
1075336	3674	1996-06-03	VYDAJ	VYBER	7800	56654	\N	\N	\N
1075337	3674	1996-02-22	VYDAJ	VYBER	8700	33739	\N	\N	\N
1075338	3674	1996-01-21	VYDAJ	VYBER	9000	49146	\N	\N	\N
1075339	3674	1996-02-08	VYDAJ	VYBER	8400	58842	\N	\N	\N
1075340	3674	1996-02-10	VYDAJ	VYBER	6900	51942	\N	\N	\N
1075341	3674	1997-10-23	VYDAJ	VYBER	12000	45274	\N	\N	\N
1075342	3674	1997-08-27	VYDAJ	VYBER	7500	77609	\N	\N	\N
1075343	3674	1997-01-25	VYDAJ	VYBER	9900	72043	\N	\N	\N
1075344	3674	1997-11-04	VYDAJ	VYBER	12600	110994	\N	\N	\N
1075345	3674	1997-04-25	VYDAJ	VYBER	8700	35540	\N	\N	\N
1075346	3674	1997-02-16	VYDAJ	VYBER	8100	45109	\N	\N	\N
1075347	3674	1998-11-02	VYDAJ	VYBER	7200	91707	\N	\N	\N
1075348	3674	1998-11-16	VYDAJ	VYBER	6300	74344	\N	\N	\N
1075349	3674	1998-04-27	VYDAJ	VYBER	14400	51574	\N	\N	\N
1075350	3674	1998-05-18	VYDAJ	VYBER	13500	62821	\N	\N	\N
1075351	3674	1998-04-14	VYDAJ	VYBER	3600	88815	\N	\N	\N
1075360	3674	1993-08-31	VYDAJ	VYBER	15	73835	SLUZBY	\N	\N
1075361	3674	1993-09-30	VYDAJ	VYBER	15	63428	SLUZBY	\N	\N
1075362	3674	1993-10-31	VYDAJ	VYBER	15	23669	SLUZBY	\N	\N
1075363	3674	1993-11-30	VYDAJ	VYBER	15	13523	SLUZBY	\N	\N
1075364	3674	1993-12-31	VYDAJ	VYBER	15	10859	SLUZBY	\N	\N
1075365	3674	1994-01-31	VYDAJ	VYBER	15	21813	SLUZBY	\N	\N
1075366	3674	1994-02-28	VYDAJ	VYBER	15	43566	SLUZBY	\N	\N
1075367	3674	1994-03-31	VYDAJ	VYBER	15	77366	SLUZBY	\N	\N
1075368	3674	1994-04-30	VYDAJ	VYBER	15	89203	SLUZBY	\N	\N
1075369	3674	1994-05-31	VYDAJ	VYBER	15	33137	SLUZBY	\N	\N
1075370	3674	1994-06-30	VYDAJ	VYBER	15	37167	SLUZBY	\N	\N
1075371	3674	1994-07-31	VYDAJ	VYBER	15	58587	SLUZBY	\N	\N
1075372	3674	1994-08-31	VYDAJ	VYBER	15	99296	SLUZBY	\N	\N
1075373	3674	1994-09-30	VYDAJ	VYBER	15	88787	SLUZBY	\N	\N
1075374	3674	1994-10-31	VYDAJ	VYBER	15	105401	SLUZBY	\N	\N
1075375	3674	1994-11-30	VYDAJ	VYBER	15	96389	SLUZBY	\N	\N
1075376	3674	1994-12-31	VYDAJ	VYBER	15	89333	SLUZBY	\N	\N
1075377	3674	1995-01-31	VYDAJ	VYBER	15	65282	SLUZBY	\N	\N
1075378	3674	1995-02-28	VYDAJ	VYBER	15	60367	SLUZBY	\N	\N
1075379	3674	1995-03-31	VYDAJ	VYBER	15	88167	SLUZBY	\N	\N
1075380	3674	1995-04-30	VYDAJ	VYBER	15	67029	SLUZBY	\N	\N
1075381	3674	1995-05-31	VYDAJ	VYBER	15	35772	SLUZBY	\N	\N
1075382	3674	1995-06-30	VYDAJ	VYBER	15	29209	SLUZBY	\N	\N
1075383	3674	1995-07-31	VYDAJ	VYBER	15	39343	SLUZBY	\N	\N
1075384	3674	1995-08-31	VYDAJ	VYBER	15	77462	SLUZBY	\N	\N
1075385	3674	1995-09-30	VYDAJ	VYBER	15	66463	SLUZBY	\N	\N
1075386	3674	1995-10-31	VYDAJ	VYBER	15	61527	SLUZBY	\N	\N
1075387	3674	1995-11-30	VYDAJ	VYBER	15	47431	SLUZBY	\N	\N
1075388	3674	1995-12-31	VYDAJ	VYBER	15	62758	SLUZBY	\N	\N
1075389	3674	1996-01-31	VYDAJ	VYBER	15	56103	SLUZBY	\N	\N
1075390	3674	1996-02-29	VYDAJ	VYBER	15	38515	SLUZBY	\N	\N
1075391	3674	1996-03-31	VYDAJ	VYBER	15	77028	SLUZBY	\N	\N
1075392	3674	1996-04-30	VYDAJ	VYBER	15	59729	SLUZBY	\N	\N
1075393	3674	1996-05-31	VYDAJ	VYBER	15	64454	SLUZBY	\N	\N
1075394	3674	1996-06-30	VYDAJ	VYBER	15	95131	SLUZBY	\N	\N
1075395	3674	1996-07-31	VYDAJ	VYBER	15	50695	SLUZBY	\N	\N
1075396	3674	1996-08-31	VYDAJ	VYBER	15	57810	SLUZBY	\N	\N
1075397	3674	1996-09-30	VYDAJ	VYBER	15	61755	SLUZBY	\N	\N
1075398	3674	1996-10-31	VYDAJ	VYBER	15	40859	SLUZBY	\N	\N
1075399	3674	1996-11-30	VYDAJ	VYBER	15	78662	SLUZBY	\N	\N
1075400	3674	1996-12-31	VYDAJ	VYBER	15	52558	SLUZBY	\N	\N
1075401	3674	1997-01-31	VYDAJ	VYBER	15	68685	SLUZBY	\N	\N
1075402	3674	1997-02-28	VYDAJ	VYBER	15	49129	SLUZBY	\N	\N
1075403	3674	1997-03-31	VYDAJ	VYBER	15	65701	SLUZBY	\N	\N
1075404	3674	1997-04-30	VYDAJ	VYBER	15	35743	SLUZBY	\N	\N
1075405	3674	1997-05-31	VYDAJ	VYBER	15	86119	SLUZBY	\N	\N
1075406	3674	1997-06-30	VYDAJ	VYBER	15	85460	SLUZBY	\N	\N
1075407	3674	1997-07-31	VYDAJ	VYBER	15	117594	SLUZBY	\N	\N
1075408	3674	1997-08-31	VYDAJ	VYBER	15	78023	SLUZBY	\N	\N
1075409	3674	1997-09-30	VYDAJ	VYBER	15	66711	SLUZBY	\N	\N
1075410	3674	1997-10-31	VYDAJ	VYBER	15	92982	SLUZBY	\N	\N
1075411	3674	1997-11-30	VYDAJ	VYBER	15	71937	SLUZBY	\N	\N
1075412	3674	1997-12-31	VYDAJ	VYBER	15	42486	SLUZBY	\N	\N
1075413	3674	1998-01-31	VYDAJ	VYBER	15	38920	SLUZBY	\N	\N
1075414	3674	1998-02-28	VYDAJ	VYBER	15	36827	SLUZBY	\N	\N
1075415	3674	1998-03-31	VYDAJ	VYBER	15	69585	SLUZBY	\N	\N
1075416	3674	1998-04-30	VYDAJ	VYBER	15	51862	SLUZBY	\N	\N
1075417	3674	1998-05-31	VYDAJ	VYBER	15	86705	SLUZBY	\N	\N
1075418	3674	1998-06-30	VYDAJ	VYBER	15	69362	SLUZBY	\N	\N
1075419	3674	1998-07-31	VYDAJ	VYBER	15	86142	SLUZBY	\N	\N
1075420	3674	1998-08-31	VYDAJ	VYBER	15	58435	SLUZBY	\N	\N
1075421	3674	1998-09-30	VYDAJ	VYBER	15	74861	SLUZBY	\N	\N
1075422	3674	1998-10-31	VYDAJ	VYBER	15	100307	SLUZBY	\N	\N
1075423	3674	1998-11-30	VYDAJ	VYBER	15	95809	SLUZBY	\N	\N
1075424	3674	1993-04-11	PRIJEM	VKLAD	6500	19228	\N	\N	\N
1075425	3674	1993-05-11	VYDAJ	VYBER	7900	35389	\N	\N	\N
1075426	3674	1993-06-10	VYDAJ	VYBER	22400	51269	\N	\N	\N
1075427	3674	1993-07-10	VYDAJ	VYBER	12400	39175	\N	\N	\N
1075428	3674	1993-08-09	VYDAJ	VYBER	26300	51763	\N	\N	\N
1075429	3674	1993-09-08	VYDAJ	VYBER	22000	50235	\N	\N	\N
1075430	3674	1993-10-08	VYDAJ	VYBER	18500	43228	\N	\N	\N
1075431	3674	1993-11-07	PRIJEM	VKLAD	1100	24769	\N	\N	\N
1075432	3674	1993-12-07	PRIJEM	VKLAD	8700	20323	\N	\N	\N
1075433	3674	1994-01-06	PRIJEM	VKLAD	6600	15259	\N	\N	\N
1075434	3674	1994-02-05	PRIJEM	VKLAD	1600	23413	\N	\N	\N
1075435	3674	1994-03-07	VYDAJ	VYBER	8100	35466	\N	\N	\N
1075436	3674	1994-04-06	VYDAJ	VYBER	26400	48566	\N	\N	\N
1075437	3674	1994-05-06	VYDAJ	VYBER	29900	57403	\N	\N	\N
1075438	3674	1994-06-05	VYDAJ	VYBER	12800	38440	\N	\N	\N
1075439	3674	1994-07-05	VYDAJ	VYBER	7000	28367	\N	\N	\N
1075440	3674	1994-08-04	VYDAJ	VYBER	19900	44202	\N	\N	\N
1075441	3674	1994-08-25	VYDAJ	VYBER	31500	108729	\N	\N	\N
1075442	3674	1994-08-26	VYDAJ	VYBER	31200	88414	\N	\N	\N
1075443	3674	1994-09-03	VYDAJ	VYBER	35200	64096	\N	\N	\N
1075444	3674	1994-10-03	VYDAJ	VYBER	29900	58887	\N	\N	\N
1075445	3674	1994-10-26	VYDAJ	VYBER	42100	72611	\N	\N	\N
1075446	3674	1994-11-02	VYDAJ	VYBER	35300	70101	\N	\N	\N
1075447	3674	1994-12-02	VYDAJ	VYBER	30600	65789	\N	\N	\N
1075448	3674	1995-01-01	VYDAJ	VYBER	28100	59733	\N	\N	\N
1075449	3674	1995-01-16	VYDAJ	VYBER	33600	102607	\N	\N	\N
1075450	3674	1995-01-31	VYDAJ	VYBER	30500	65296	\N	\N	\N
1075451	3674	1995-02-15	VYDAJ	VYBER	61500	59934	\N	\N	\N
1075452	3674	1995-03-02	VYDAJ	VYBER	13800	46567	\N	\N	\N
1075453	3674	1995-04-01	VYDAJ	VYBER	24600	63567	\N	\N	\N
1075454	3674	1995-05-01	VYDAJ	VYBER	14700	52329	\N	\N	\N
1075455	3674	1995-05-31	PRIJEM	VKLAD	400	35558	\N	\N	\N
1075456	3674	1995-06-30	PRIJEM	VKLAD	4800	29223	\N	\N	\N
1075457	3674	1995-07-30	PRIJEM	VKLAD	3400	39214	\N	\N	\N
1075458	3674	1995-08-29	VYDAJ	VYBER	35900	77161	\N	\N	\N
1075459	3674	1995-09-28	VYDAJ	VYBER	25600	66129	\N	\N	\N
1075460	3674	1995-10-10	VYDAJ	VYBER	50300	63476	\N	\N	\N
1075461	3674	1995-10-28	VYDAJ	VYBER	17300	61249	\N	\N	\N
1075462	3674	1995-11-26	VYDAJ	VYBER	52900	66285	\N	\N	\N
1075463	3674	1995-11-27	VYDAJ	VYBER	4700	61585	\N	\N	\N
1075464	3674	1995-12-11	VYDAJ	VYBER	63300	71733	\N	\N	\N
1075465	3674	1995-12-27	VYDAJ	VYBER	23100	62515	\N	\N	\N
1075466	3674	1996-01-26	PRIJEM	VKLAD	1600	41163	\N	\N	\N
1075467	3674	1996-02-25	PRIJEM	VKLAD	4600	38339	\N	\N	\N
1075468	3674	1996-03-26	VYDAJ	VYBER	2100	49679	\N	\N	\N
1075469	3674	1996-04-25	VYDAJ	VYBER	21900	59432	\N	\N	\N
1075470	3674	1996-05-10	VYDAJ	VYBER	62800	60615	\N	\N	\N
1075471	3674	1996-05-25	VYDAJ	VYBER	3200	46812	\N	\N	\N
1075472	3674	1996-05-27	VYDAJ	VYBER	59400	64214	\N	\N	\N
1075473	3674	1996-06-23	VYDAJ	VYBER	34400	106861	\N	\N	\N
1075474	3674	1996-06-23	VYDAJ	VYBER	15900	141261	\N	\N	\N
1075475	3674	1996-06-24	VYDAJ	VYBER	31000	75861	\N	\N	\N
1075476	3674	1996-07-24	VYDAJ	VYBER	23200	66072	\N	\N	\N
1075477	3674	1996-08-10	VYDAJ	VYBER	51300	71449	\N	\N	\N
1075478	3674	1996-08-23	PRIJEM	VKLAD	8600	42351	\N	\N	\N
1075479	3674	1996-09-22	PRIJEM	VKLAD	1100	47907	\N	\N	\N
1075480	3674	1996-10-22	PRIJEM	VKLAD	6500	40686	\N	\N	\N
1075481	3674	1996-11-21	PRIJEM	VKLAD	8600	38156	\N	\N	\N
1075482	3674	1996-12-10	VYDAJ	VYBER	51200	69591	\N	\N	\N
1075483	3674	1996-12-21	VYDAJ	VYBER	15100	55894	\N	\N	\N
1075484	3674	1997-01-20	VYDAJ	VYBER	21800	62136	\N	\N	\N
1075485	3674	1997-02-19	PRIJEM	VKLAD	3800	48909	\N	\N	\N
1075486	3674	1997-03-21	VYDAJ	VYBER	15700	65480	\N	\N	\N
1075487	3674	1997-04-20	PRIJEM	VKLAD	4600	44240	\N	\N	\N
1075488	3674	1997-05-20	VYDAJ	VYBER	15300	72872	\N	\N	\N
1075489	3674	1997-06-17	VYDAJ	VYBER	20900	112685	\N	\N	\N
1075490	3674	1997-06-19	VYDAJ	VYBER	27600	85085	\N	\N	\N
1075491	3674	1997-07-19	VYDAJ	VYBER	2700	57947	\N	\N	\N
1075492	3674	1997-08-16	VYDAJ	VYBER	37800	118509	\N	\N	\N
1075493	3674	1997-08-18	VYDAJ	VYBER	31300	87209	\N	\N	\N
1075494	3674	1997-09-17	VYDAJ	VYBER	24700	66405	\N	\N	\N
1075495	3674	1997-10-17	VYDAJ	VYBER	11500	57274	\N	\N	\N
1075496	3674	1997-11-16	VYDAJ	VYBER	28200	73291	\N	\N	\N
1075497	3674	1997-12-16	VYDAJ	VYBER	23600	67566	\N	\N	\N
1075498	3674	1998-01-15	PRIJEM	VKLAD	4100	46860	\N	\N	\N
1075499	3674	1998-02-14	PRIJEM	VKLAD	12000	39417	\N	\N	\N
1075500	3674	1998-03-16	PRIJEM	VKLAD	4200	57963	\N	\N	\N
1075501	3674	1998-04-15	VYDAJ	VYBER	14700	74115	\N	\N	\N
1075502	3674	1998-05-03	VYDAJ	VYBER	55000	69211	\N	\N	\N
1075503	3674	1998-05-15	VYDAJ	VYBER	8000	76321	\N	\N	\N
1075504	3674	1998-05-31	VYDAJ	VYBER	55100	86719	\N	\N	\N
1075505	3674	1998-06-14	VYDAJ	VYBER	900	69072	\N	\N	\N
1075506	3674	1998-07-14	VYDAJ	VYBER	14300	85662	\N	\N	\N
1075507	3674	1998-07-29	VYDAJ	VYBER	64500	85818	\N	\N	\N
1075508	3674	1998-08-13	VYDAJ	VYBER	22000	80793	\N	\N	\N
1075509	3674	1998-09-12	VYDAJ	VYBER	15900	77771	\N	\N	\N
1075510	3674	1998-10-12	VYDAJ	VYBER	24500	99415	\N	\N	\N
1075511	3674	1998-11-11	VYDAJ	VYBER	3500	70468	\N	\N	\N
1075512	3674	1998-12-10	VYDAJ	VYBER	25900	112595	\N	\N	\N
1075513	3674	1998-12-11	VYDAJ	VYBER	19900	92695	\N	\N	\N
1075514	3674	1998-12-20	VYDAJ	VYBER	33100	93288	\N	\N	\N
1075585	3675	1993-03-20	PRIJEM	VKLAD	700	700	\N	\N	\N
1075589	3675	1993-04-09	PRIJEM	PREVOD Z UCTU	46099	46799	\N	QR	52950161
1075590	3675	1993-05-09	PRIJEM	PREVOD Z UCTU	46099	84462	\N	QR	52950161
1075591	3675	1993-06-09	PRIJEM	PREVOD Z UCTU	69148	126803	\N	QR	52950161
1075592	3675	1993-07-09	PRIJEM	PREVOD Z UCTU	46099	112343	\N	QR	52950161
1075593	3675	1993-08-09	PRIJEM	PREVOD Z UCTU	46099	82442	\N	QR	52950161
1075594	3675	1993-09-09	PRIJEM	PREVOD Z UCTU	46099	90685	\N	QR	52950161
1075595	3675	1993-10-09	PRIJEM	PREVOD Z UCTU	46099	81529	\N	QR	52950161
1075596	3675	1993-11-09	PRIJEM	PREVOD Z UCTU	46099	66263	\N	QR	52950161
1075597	3675	1993-12-09	PRIJEM	PREVOD Z UCTU	69148	94075	\N	QR	52950161
1075598	3675	1994-01-09	PRIJEM	PREVOD Z UCTU	46099	87169	\N	QR	52950161
1075599	3675	1994-02-09	PRIJEM	PREVOD Z UCTU	46099	58422	\N	QR	52950161
1075600	3675	1994-03-09	PRIJEM	PREVOD Z UCTU	46099	78337	\N	QR	52950161
1075601	3675	1994-04-09	PRIJEM	PREVOD Z UCTU	46099	72440	\N	QR	52950161
1075602	3675	1994-05-09	PRIJEM	PREVOD Z UCTU	46099	87004	\N	QR	52950161
1075603	3675	1994-06-09	PRIJEM	PREVOD Z UCTU	69148	116258	\N	QR	52950161
1075604	3675	1994-07-09	PRIJEM	PREVOD Z UCTU	46099	64709	\N	QR	52950161
1075605	3675	1994-08-09	PRIJEM	PREVOD Z UCTU	46099	84350	\N	QR	52950161
1075606	3675	1994-09-09	PRIJEM	PREVOD Z UCTU	46099	95747	\N	QR	52950161
1075607	3675	1994-10-09	PRIJEM	PREVOD Z UCTU	46099	99266	\N	QR	52950161
1075608	3675	1994-11-09	PRIJEM	PREVOD Z UCTU	46099	93622	\N	QR	52950161
1075609	3675	1994-12-09	PRIJEM	PREVOD Z UCTU	69148	119684	\N	QR	52950161
1075610	3675	1995-01-09	PRIJEM	PREVOD Z UCTU	46099	69854	\N	QR	52950161
1075611	3675	1995-02-09	PRIJEM	PREVOD Z UCTU	46099	69649	\N	QR	52950161
1075612	3675	1995-03-09	PRIJEM	PREVOD Z UCTU	46099	100336	\N	QR	52950161
1075613	3675	1995-04-09	PRIJEM	PREVOD Z UCTU	46099	104170	\N	QR	52950161
1075614	3675	1995-05-09	PRIJEM	PREVOD Z UCTU	46099	93394	\N	QR	52950161
1075615	3675	1995-06-09	PRIJEM	PREVOD Z UCTU	69148	102838	\N	QR	52950161
1075616	3675	1995-07-09	PRIJEM	PREVOD Z UCTU	46099	70064	\N	QR	52950161
1075617	3675	1995-08-09	PRIJEM	PREVOD Z UCTU	46099	89375	\N	QR	52950161
1075618	3675	1995-09-09	PRIJEM	PREVOD Z UCTU	46099	89669	\N	QR	52950161
1075619	3675	1995-10-09	PRIJEM	PREVOD Z UCTU	46099	101167	\N	QR	52950161
1075620	3675	1995-11-09	PRIJEM	PREVOD Z UCTU	46099	108821	\N	QR	52950161
1075621	3675	1995-12-09	PRIJEM	PREVOD Z UCTU	69148	119170	\N	QR	52950161
1075622	3675	1996-01-09	PRIJEM	PREVOD Z UCTU	46099	84281	\N	QR	52950161
1075623	3675	1996-02-09	PRIJEM	PREVOD Z UCTU	46099	73780	\N	QR	52950161
1075624	3675	1996-03-09	PRIJEM	PREVOD Z UCTU	46099	67588	\N	QR	52950161
1075625	3675	1996-04-09	PRIJEM	PREVOD Z UCTU	46099	79769	\N	QR	52950161
1075626	3675	1996-05-09	PRIJEM	PREVOD Z UCTU	46099	82145	\N	QR	52950161
1075627	3675	1996-06-09	PRIJEM	PREVOD Z UCTU	69148	110326	\N	QR	52950161
1075628	3675	1996-07-09	PRIJEM	PREVOD Z UCTU	46099	87577	\N	QR	52950161
1075629	3675	1996-08-09	PRIJEM	PREVOD Z UCTU	46099	89742	\N	QR	52950161
1075630	3675	1996-09-09	PRIJEM	PREVOD Z UCTU	46099	87984	\N	QR	52950161
1075631	3675	1996-10-09	PRIJEM	PREVOD Z UCTU	46099	83416	\N	QR	52950161
1075632	3675	1996-11-09	PRIJEM	PREVOD Z UCTU	46099	88948	\N	QR	52950161
1075633	3675	1996-12-09	PRIJEM	PREVOD Z UCTU	69148	120474	\N	QR	52950161
1075634	3675	1997-01-09	PRIJEM	PREVOD Z UCTU	46099	75462	\N	QR	52950161
1075635	3675	1997-02-09	PRIJEM	PREVOD Z UCTU	46099	73052	\N	QR	52950161
1075636	3675	1997-03-09	PRIJEM	PREVOD Z UCTU	46099	85748	\N	QR	52950161
1075637	3675	1997-04-09	PRIJEM	PREVOD Z UCTU	46099	93908	\N	QR	52950161
1075638	3675	1997-05-09	PRIJEM	PREVOD Z UCTU	46099	94096	\N	QR	52950161
1075639	3675	1997-06-09	PRIJEM	PREVOD Z UCTU	69148	109792	\N	QR	52950161
1075640	3675	1997-07-09	PRIJEM	PREVOD Z UCTU	46099	63968	\N	QR	52950161
1075641	3675	1997-08-09	PRIJEM	PREVOD Z UCTU	46099	75029	\N	QR	52950161
1075642	3675	1997-09-09	PRIJEM	PREVOD Z UCTU	46099	84832	\N	QR	52950161
1075643	3675	1997-10-09	PRIJEM	PREVOD Z UCTU	46099	93073	\N	QR	52950161
1075644	3675	1997-11-09	PRIJEM	PREVOD Z UCTU	46099	93439	\N	QR	52950161
1075645	3675	1997-12-09	PRIJEM	PREVOD Z UCTU	69148	99044	\N	QR	52950161
1075646	3675	1998-01-09	PRIJEM	PREVOD Z UCTU	46099	73457	\N	QR	52950161
1075647	3675	1998-02-09	PRIJEM	PREVOD Z UCTU	46099	68400	\N	QR	52950161
1075648	3675	1998-03-09	PRIJEM	PREVOD Z UCTU	46099	74820	\N	QR	52950161
1075649	3675	1998-04-09	PRIJEM	PREVOD Z UCTU	46099	73485	\N	QR	52950161
1075650	3675	1998-05-09	PRIJEM	PREVOD Z UCTU	46099	73156	\N	QR	52950161
1075651	3675	1998-06-09	PRIJEM	PREVOD Z UCTU	69148	100465	\N	QR	52950161
1075652	3675	1998-07-09	PRIJEM	PREVOD Z UCTU	46099	88971	\N	QR	52950161
1075653	3675	1998-08-09	PRIJEM	PREVOD Z UCTU	46099	92696	\N	QR	52950161
1075654	3675	1998-09-09	PRIJEM	PREVOD Z UCTU	46099	70786	\N	QR	52950161
1075655	3675	1998-10-09	PRIJEM	PREVOD Z UCTU	46099	84652	\N	QR	52950161
1075656	3675	1998-11-09	PRIJEM	PREVOD Z UCTU	46099	86828	\N	QR	52950161
1075657	3675	1998-12-09	PRIJEM	PREVOD Z UCTU	69148	100566	\N	QR	52950161
1075666	3675	1993-09-05	VYDAJ	PREVOD NA UCET	7824	44586	SIPO	YZ	27985441
1075667	3675	1993-10-05	VYDAJ	PREVOD NA UCET	7824	35430	SIPO	YZ	27985441
1075668	3675	1993-11-05	VYDAJ	PREVOD NA UCET	7824	20164	SIPO	YZ	27985441
1075669	3675	1993-12-05	VYDAJ	PREVOD NA UCET	7824	24927	SIPO	YZ	27985441
1075670	3675	1994-01-05	VYDAJ	PREVOD NA UCET	7824	47370	SIPO	YZ	27985441
1075671	3675	1994-02-05	VYDAJ	PREVOD NA UCET	7824	12323	SIPO	YZ	27985441
1075672	3675	1994-03-05	VYDAJ	PREVOD NA UCET	7824	32238	SIPO	YZ	27985441
1075673	3675	1994-04-05	VYDAJ	PREVOD NA UCET	7824	26341	SIPO	YZ	27985441
1075674	3675	1994-05-05	VYDAJ	PREVOD NA UCET	7824	40905	SIPO	YZ	27985441
1075675	3675	1994-06-05	VYDAJ	PREVOD NA UCET	7824	47110	SIPO	YZ	27985441
1075676	3675	1994-07-05	VYDAJ	PREVOD NA UCET	7824	18610	SIPO	YZ	27985441
1075677	3675	1994-08-05	VYDAJ	PREVOD NA UCET	7824	38251	SIPO	YZ	27985441
1075678	3675	1994-09-05	VYDAJ	PREVOD NA UCET	7824	49648	SIPO	YZ	27985441
1075679	3675	1994-10-05	VYDAJ	PREVOD NA UCET	7824	53167	SIPO	YZ	27985441
1075680	3675	1994-11-05	VYDAJ	PREVOD NA UCET	7824	47523	SIPO	YZ	27985441
1075681	3675	1994-12-05	VYDAJ	PREVOD NA UCET	7824	53536	SIPO	YZ	27985441
1075682	3675	1995-01-05	VYDAJ	PREVOD NA UCET	7824	26455	SIPO	YZ	27985441
1075683	3675	1995-02-05	VYDAJ	PREVOD NA UCET	7824	18450	SIPO	YZ	27985441
1075684	3675	1995-03-05	VYDAJ	PREVOD NA UCET	7824	54237	SIPO	YZ	27985441
1075685	3675	1995-04-05	VYDAJ	PREVOD NA UCET	7824	58071	SIPO	YZ	27985441
1075686	3675	1995-05-05	VYDAJ	PREVOD NA UCET	7824	47295	SIPO	YZ	27985441
1075687	3675	1995-06-05	VYDAJ	PREVOD NA UCET	7824	38690	SIPO	YZ	27985441
1075688	3675	1995-07-05	VYDAJ	PREVOD NA UCET	7824	25365	SIPO	YZ	27985441
1075689	3675	1995-08-05	VYDAJ	PREVOD NA UCET	7824	62476	SIPO	YZ	27985441
1075690	3675	1995-09-05	VYDAJ	PREVOD NA UCET	7824	59670	SIPO	YZ	27985441
1075691	3675	1995-10-05	VYDAJ	PREVOD NA UCET	7824	82168	SIPO	YZ	27985441
1075692	3675	1995-11-05	VYDAJ	PREVOD NA UCET	7824	93722	SIPO	YZ	27985441
1075693	3675	1995-12-05	VYDAJ	PREVOD NA UCET	7824	75622	SIPO	YZ	27985441
1075694	3675	1996-01-05	VYDAJ	PREVOD NA UCET	7824	44482	SIPO	YZ	27985441
1075695	3675	1996-02-05	VYDAJ	PREVOD NA UCET	7824	27681	SIPO	YZ	27985441
1075696	3675	1996-03-05	VYDAJ	PREVOD NA UCET	7824	21489	SIPO	YZ	27985441
1075697	3675	1996-04-05	VYDAJ	PREVOD NA UCET	7824	33670	SIPO	YZ	27985441
1075698	3675	1996-05-05	VYDAJ	PREVOD NA UCET	7824	36046	SIPO	YZ	27985441
1075699	3675	1996-06-05	VYDAJ	PREVOD NA UCET	7824	41178	SIPO	YZ	27985441
1075700	3675	1996-07-05	VYDAJ	PREVOD NA UCET	7824	41478	SIPO	YZ	27985441
1075701	3675	1996-08-05	VYDAJ	PREVOD NA UCET	7824	43643	SIPO	YZ	27985441
1075702	3675	1996-09-05	VYDAJ	PREVOD NA UCET	7824	41885	SIPO	YZ	27985441
1075703	3675	1996-10-05	VYDAJ	PREVOD NA UCET	7824	37317	SIPO	YZ	27985441
1075704	3675	1996-11-05	VYDAJ	PREVOD NA UCET	7824	42849	SIPO	YZ	27985441
1075705	3675	1996-12-05	VYDAJ	PREVOD NA UCET	7824	51326	SIPO	YZ	27985441
1075706	3675	1997-01-05	VYDAJ	PREVOD NA UCET	7824	29363	SIPO	YZ	27985441
1075707	3675	1997-02-05	VYDAJ	PREVOD NA UCET	7824	26953	SIPO	YZ	27985441
1075708	3675	1997-03-05	VYDAJ	PREVOD NA UCET	7824	39649	SIPO	YZ	27985441
1075709	3675	1997-04-05	VYDAJ	PREVOD NA UCET	7824	47809	SIPO	YZ	27985441
1075710	3675	1997-05-05	VYDAJ	PREVOD NA UCET	7824	47997	SIPO	YZ	27985441
1075711	3675	1997-06-05	VYDAJ	PREVOD NA UCET	7824	40644	SIPO	YZ	27985441
1075712	3675	1997-07-05	VYDAJ	PREVOD NA UCET	7824	17869	SIPO	YZ	27985441
1075713	3675	1997-08-05	VYDAJ	PREVOD NA UCET	7824	28930	SIPO	YZ	27985441
1075714	3675	1997-09-05	VYDAJ	PREVOD NA UCET	7824	38733	SIPO	YZ	27985441
1075715	3675	1997-10-05	VYDAJ	PREVOD NA UCET	7824	46974	SIPO	YZ	27985441
1075716	3675	1997-11-05	VYDAJ	PREVOD NA UCET	7824	47340	SIPO	YZ	27985441
1075717	3675	1997-12-05	VYDAJ	PREVOD NA UCET	7824	29896	SIPO	YZ	27985441
1075718	3675	1998-01-05	VYDAJ	PREVOD NA UCET	7824	27358	SIPO	YZ	27985441
1075719	3675	1998-02-05	VYDAJ	PREVOD NA UCET	7824	22301	SIPO	YZ	27985441
1075720	3675	1998-03-05	VYDAJ	PREVOD NA UCET	7824	28721	SIPO	YZ	27985441
1075721	3675	1998-04-05	VYDAJ	PREVOD NA UCET	7824	27386	SIPO	YZ	27985441
1075722	3675	1998-05-05	VYDAJ	PREVOD NA UCET	7824	27057	SIPO	YZ	27985441
1075723	3675	1998-06-05	VYDAJ	PREVOD NA UCET	7824	31317	SIPO	YZ	27985441
1075724	3675	1998-07-05	VYDAJ	PREVOD NA UCET	7824	42872	SIPO	YZ	27985441
1075725	3675	1998-08-05	VYDAJ	PREVOD NA UCET	7824	46597	SIPO	YZ	27985441
1075726	3675	1998-09-05	VYDAJ	PREVOD NA UCET	7824	24687	SIPO	YZ	27985441
1075727	3675	1998-10-05	VYDAJ	PREVOD NA UCET	7824	38553	SIPO	YZ	27985441
1075728	3675	1998-11-05	VYDAJ	PREVOD NA UCET	7824	44964	SIPO	YZ	27985441
1075729	3675	1998-12-05	VYDAJ	PREVOD NA UCET	7824	31418	SIPO	YZ	27985441
1075731	3675	1993-11-21	VYBER	VYBER	5135	32601	\N	\N	\N
1075732	3675	1993-10-29	VYBER	VYBER	23452	27777	\N	\N	\N
1075734	3675	1993-11-16	VYBER	VYBER	8627	37736	\N	\N	\N
1075740	3675	1993-09-19	VYBER	VYBER	13659	43026	\N	\N	\N
1075744	3675	1994-03-20	VYBER	VYBER	16952	33985	\N	\N	\N
1075745	3675	1994-10-22	VYBER	VYBER	11569	55097	\N	\N	\N
1075748	3675	1995-05-16	VYBER	VYBER	10114	49180	\N	\N	\N
1075749	3675	1995-04-19	VYBER	VYBER	9790	54880	\N	\N	\N
1075750	3675	1995-05-24	VYBER	VYBER	2901	46279	\N	\N	\N
1075751	3675	1995-08-28	VYBER	VYBER	8671	67204	\N	\N	\N
1075752	3675	1996-09-22	VYBER	VYBER	7462	62672	\N	\N	\N
1075753	3675	1996-09-11	VYBER	VYBER	17850	70134	\N	\N	\N
1075754	3675	1996-08-14	VYBER	VYBER	12023	77719	\N	\N	\N
1075755	3675	1996-04-13	VYBER	VYBER	20226	59543	\N	\N	\N
1075756	3675	1996-10-16	VYBER	VYBER	7408	76008	\N	\N	\N
1075758	3675	1996-02-14	VYBER	VYBER	21865	51915	\N	\N	\N
1075759	3675	1996-06-10	VYBER	VYBER	11885	70241	\N	\N	\N
1075760	3675	1998-08-26	VYBER	VYBER	20241	37955	\N	\N	\N
1075761	3675	1998-01-05	VYBER	VYBER	19748	35182	\N	\N	\N
1075762	3675	1998-12-30	VYBER	VYBER	11635	32431	\N	\N	\N
1075764	3675	1998-06-26	VYBER	VYBER	9542	50423	\N	\N	\N
1075765	3675	1998-11-24	VYBER	VYBER	12512	39016	\N	\N	\N
1075766	3675	1998-06-04	VYBER	VYBER	12030	39141	\N	\N	\N
1075767	3675	1998-11-07	VYBER	VYBER	4235	40729	\N	\N	\N
1075768	3675	1998-07-10	VYBER	VYBER	6500	82471	\N	\N	\N
1075769	3675	1998-04-12	VYBER	VYBER	23168	50317	\N	\N	\N
1075770	3675	1998-03-16	VYBER	VYBER	13170	42346	\N	\N	\N
1075771	3675	1998-02-17	VYBER	VYBER	12633	55767	\N	\N	\N
1075772	3675	1998-03-13	VYBER	VYBER	19304	55516	\N	\N	\N
1075773	3675	1998-01-16	VYBER	VYBER	10399	59458	\N	\N	\N
1075775	3675	1994-06-13	VYDAJ	VYBER	72600	26258	\N	\N	\N
1075776	3675	1995-06-21	VYDAJ	VYBER	66000	32938	\N	\N	\N
1075778	3675	1997-06-25	VYDAJ	VYBER	78600	31192	\N	\N	\N
1075781	3675	1994-01-09	VYDAJ	VYBER	9000	70369	\N	\N	\N
1075783	3675	1996-01-09	VYDAJ	VYBER	17400	66881	\N	\N	\N
1075785	3675	1998-01-18	VYDAJ	VYBER	26700	32758	\N	\N	\N
1075786	3675	1993-12-12	VYDAJ	VYBER	7500	86575	\N	\N	\N
1075787	3675	1994-12-06	VYDAJ	VYBER	3000	50536	\N	\N	\N
1075788	3675	1995-12-12	VYDAJ	VYBER	2400	81170	\N	\N	\N
1075789	3675	1996-12-18	VYDAJ	VYBER	3900	68574	\N	\N	\N
1075790	3675	1997-12-03	VYDAJ	VYBER	8700	37720	\N	\N	\N
1075791	3675	1998-12-25	VYDAJ	VYBER	7200	44066	\N	\N	\N
1075798	3675	1994-01-08	VYDAJ	VYBER	6300	41070	\N	\N	\N
1075799	3675	1994-01-22	VYDAJ	VYBER	7500	30469	\N	\N	\N
1075800	3675	1994-01-26	VYDAJ	VYBER	7800	19969	\N	\N	\N
1075801	3675	1994-01-09	VYDAJ	VYBER	7800	79369	\N	\N	\N
1075802	3675	1994-01-16	VYDAJ	VYBER	4500	39469	\N	\N	\N
1075803	3675	1994-01-22	VYDAJ	VYBER	1500	37969	\N	\N	\N
1075804	3675	1995-01-02	VYDAJ	VYBER	5700	34279	\N	\N	\N
1075805	3675	1995-01-11	VYDAJ	VYBER	7500	40854	\N	\N	\N
1075807	3675	1995-01-06	VYDAJ	VYBER	2700	23755	\N	\N	\N
1075808	3675	1995-01-11	VYDAJ	VYBER	6900	33954	\N	\N	\N
1075809	3675	1995-01-25	VYDAJ	VYBER	7800	26154	\N	\N	\N
1075810	3675	1996-01-27	VYDAJ	VYBER	1800	47381	\N	\N	\N
1075811	3675	1996-01-25	VYDAJ	VYBER	8400	49181	\N	\N	\N
1075812	3675	1996-01-12	VYDAJ	VYBER	6600	57581	\N	\N	\N
1075813	3675	1996-01-06	VYDAJ	VYBER	6300	38182	\N	\N	\N
1075814	3675	1996-01-11	VYDAJ	VYBER	2700	64181	\N	\N	\N
1075815	3675	1996-01-04	VYDAJ	VYBER	5700	75806	\N	\N	\N
1075816	3675	1997-01-03	VYDAJ	VYBER	5700	37187	\N	\N	\N
1075817	3675	1997-01-29	VYDAJ	VYBER	7800	34562	\N	\N	\N
1075818	3675	1997-01-27	VYDAJ	VYBER	3000	56562	\N	\N	\N
1075819	3675	1997-01-20	VYDAJ	VYBER	7200	59562	\N	\N	\N
1075820	3675	1997-01-09	VYDAJ	VYBER	8700	66762	\N	\N	\N
1075821	3675	1997-01-02	VYDAJ	VYBER	6600	42887	\N	\N	\N
1075825	3675	1998-01-10	VYDAJ	VYBER	3600	69857	\N	\N	\N
1075827	3675	1998-01-04	VYDAJ	VYBER	6000	54930	\N	\N	\N
1075831	3675	1993-10-24	VYDAJ	VYBER	1800	51229	\N	\N	\N
1075832	3675	1994-01-22	VYDAJ	VYBER	2700	27769	\N	\N	\N
1075833	3675	1994-05-20	VYDAJ	VYBER	1800	54704	\N	\N	\N
1075834	3675	1994-01-13	VYDAJ	VYBER	8700	61669	\N	\N	\N
1075836	3675	1995-06-21	VYDAJ	VYBER	3900	98938	\N	\N	\N
1075837	3675	1995-08-13	VYDAJ	VYBER	13500	75875	\N	\N	\N
1075838	3675	1995-01-01	VYDAJ	VYBER	7500	39979	\N	\N	\N
1075839	3675	1995-02-20	VYDAJ	VYBER	7800	61849	\N	\N	\N
1075840	3675	1996-03-01	VYDAJ	VYBER	7200	32613	\N	\N	\N
1075841	3675	1996-07-25	VYDAJ	VYBER	6900	74977	\N	\N	\N
1075842	3675	1996-02-14	VYDAJ	VYBER	12300	39615	\N	\N	\N
1075843	3675	1996-03-19	VYDAJ	VYBER	10200	57388	\N	\N	\N
1075844	3675	1996-07-10	VYDAJ	VYBER	5700	81877	\N	\N	\N
1075845	3675	1996-08-27	VYDAJ	VYBER	7200	70519	\N	\N	\N
1075846	3675	1996-05-15	VYDAJ	VYBER	13500	68645	\N	\N	\N
1075847	3675	1997-05-09	VYDAJ	VYBER	13800	80296	\N	\N	\N
1075848	3675	1997-02-18	VYDAJ	VYBER	8700	64352	\N	\N	\N
1075849	3675	1997-07-25	VYDAJ	VYBER	6000	57968	\N	\N	\N
1075850	3675	1997-11-25	VYDAJ	VYBER	9600	46139	\N	\N	\N
1075852	3675	1998-11-16	VYDAJ	VYBER KARTOU	1800	85028	\N	\N	0
1075853	3675	1998-09-04	VYDAJ	VYBER	5700	32511	\N	\N	\N
1075855	3675	1998-02-27	VYDAJ	VYBER	3600	36367	\N	\N	\N
1075856	3675	1998-12-23	VYDAJ	VYBER	5400	51266	\N	\N	\N
1075865	3675	1993-08-31	VYDAJ	VYBER	15	52410	SLUZBY	\N	\N
1075866	3675	1993-09-30	VYDAJ	VYBER	15	43254	SLUZBY	\N	\N
1075867	3675	1993-10-31	VYDAJ	VYBER	15	27988	SLUZBY	\N	\N
1075868	3675	1993-11-30	VYDAJ	VYBER	15	32751	SLUZBY	\N	\N
1075869	3675	1993-12-31	VYDAJ	VYBER	15	55194	SLUZBY	\N	\N
1075870	3675	1994-01-31	VYDAJ	VYBER	15	20147	SLUZBY	\N	\N
1075871	3675	1994-02-28	VYDAJ	VYBER	15	40062	SLUZBY	\N	\N
1075872	3675	1994-03-31	VYDAJ	VYBER	15	34165	SLUZBY	\N	\N
1075873	3675	1994-04-30	VYDAJ	VYBER	15	48729	SLUZBY	\N	\N
1075874	3675	1994-05-31	VYDAJ	VYBER	15	54934	SLUZBY	\N	\N
1075875	3675	1994-06-30	VYDAJ	VYBER	15	26434	SLUZBY	\N	\N
1075876	3675	1994-07-31	VYDAJ	VYBER	15	46075	SLUZBY	\N	\N
1075877	3675	1994-08-31	VYDAJ	VYBER	15	57472	SLUZBY	\N	\N
1075878	3675	1994-09-30	VYDAJ	VYBER	15	60991	SLUZBY	\N	\N
1075879	3675	1994-10-31	VYDAJ	VYBER	15	55347	SLUZBY	\N	\N
1075880	3675	1994-11-30	VYDAJ	VYBER	15	61360	SLUZBY	\N	\N
1075881	3675	1994-12-31	VYDAJ	VYBER	15	47479	SLUZBY	\N	\N
1075882	3675	1995-01-31	VYDAJ	VYBER	15	26274	SLUZBY	\N	\N
1075883	3675	1995-02-28	VYDAJ	VYBER	15	62061	SLUZBY	\N	\N
1075884	3675	1995-03-31	VYDAJ	VYBER	15	65895	SLUZBY	\N	\N
1075885	3675	1995-04-30	VYDAJ	VYBER	15	55119	SLUZBY	\N	\N
1075886	3675	1995-05-31	VYDAJ	VYBER	15	46514	SLUZBY	\N	\N
1075887	3675	1995-06-30	VYDAJ	VYBER	15	33189	SLUZBY	\N	\N
1075888	3675	1995-07-31	VYDAJ	VYBER	15	70300	SLUZBY	\N	\N
1075889	3675	1995-08-31	VYDAJ	VYBER	15	67494	SLUZBY	\N	\N
1075890	3675	1995-09-30	VYDAJ	VYBER	15	89992	SLUZBY	\N	\N
1075891	3675	1995-10-31	VYDAJ	VYBER	15	101546	SLUZBY	\N	\N
1075892	3675	1995-11-30	VYDAJ	VYBER	15	109246	SLUZBY	\N	\N
1075893	3675	1995-12-31	VYDAJ	VYBER	15	81506	SLUZBY	\N	\N
1075894	3675	1996-01-31	VYDAJ	VYBER	15	47605	SLUZBY	\N	\N
1075895	3675	1996-02-29	VYDAJ	VYBER	15	39813	SLUZBY	\N	\N
1075896	3675	1996-03-31	VYDAJ	VYBER	15	57594	SLUZBY	\N	\N
1075897	3675	1996-04-30	VYDAJ	VYBER	15	59770	SLUZBY	\N	\N
1075898	3675	1996-05-31	VYDAJ	VYBER	15	68902	SLUZBY	\N	\N
1075899	3675	1996-06-30	VYDAJ	VYBER	15	70502	SLUZBY	\N	\N
1075900	3675	1996-07-31	VYDAJ	VYBER	15	75267	SLUZBY	\N	\N
1075901	3675	1996-08-31	VYDAJ	VYBER	15	70809	SLUZBY	\N	\N
1075902	3675	1996-09-30	VYDAJ	VYBER	15	62941	SLUZBY	\N	\N
1075903	3675	1996-10-31	VYDAJ	VYBER	15	50673	SLUZBY	\N	\N
1075904	3675	1996-11-30	VYDAJ	VYBER	15	59150	SLUZBY	\N	\N
1075905	3675	1996-12-31	VYDAJ	VYBER	15	49487	SLUZBY	\N	\N
1075906	3675	1997-01-31	VYDAJ	VYBER	15	34777	SLUZBY	\N	\N
1075907	3675	1997-02-28	VYDAJ	VYBER	15	47473	SLUZBY	\N	\N
1075908	3675	1997-03-31	VYDAJ	VYBER	15	55633	SLUZBY	\N	\N
1075909	3675	1997-04-30	VYDAJ	VYBER	15	55821	SLUZBY	\N	\N
1075910	3675	1997-05-31	VYDAJ	VYBER	15	48468	SLUZBY	\N	\N
1075911	3675	1997-06-30	VYDAJ	VYBER	15	25693	SLUZBY	\N	\N
1075912	3675	1997-07-31	VYDAJ	VYBER	15	36754	SLUZBY	\N	\N
1075913	3675	1997-08-31	VYDAJ	VYBER	15	46557	SLUZBY	\N	\N
1075914	3675	1997-09-30	VYDAJ	VYBER	15	54798	SLUZBY	\N	\N
1075915	3675	1997-10-31	VYDAJ	VYBER	15	55164	SLUZBY	\N	\N
1075916	3675	1997-11-30	VYDAJ	VYBER	15	46420	SLUZBY	\N	\N
1075917	3675	1997-12-31	VYDAJ	VYBER	15	60930	SLUZBY	\N	\N
1075918	3675	1998-01-31	VYDAJ	VYBER	15	30125	SLUZBY	\N	\N
1075919	3675	1998-02-28	VYDAJ	VYBER	15	36545	SLUZBY	\N	\N
1075920	3675	1998-03-31	VYDAJ	VYBER	15	35210	SLUZBY	\N	\N
1075921	3675	1998-04-30	VYDAJ	VYBER	15	34881	SLUZBY	\N	\N
1075922	3675	1998-05-31	VYDAJ	VYBER	15	51171	SLUZBY	\N	\N
1075923	3675	1998-06-30	VYDAJ	VYBER	15	50696	SLUZBY	\N	\N
1075924	3675	1998-07-31	VYDAJ	VYBER	15	54421	SLUZBY	\N	\N
1075925	3675	1998-08-31	VYDAJ	VYBER	15	38211	SLUZBY	\N	\N
1075926	3675	1998-09-30	VYDAJ	VYBER	15	46377	SLUZBY	\N	\N
1075927	3675	1998-10-31	VYDAJ	VYBER	15	52788	SLUZBY	\N	\N
1075928	3675	1998-11-30	VYDAJ	VYBER	15	39242	SLUZBY	\N	\N
1075929	3675	1993-04-19	VYDAJ	VYBER	8500	38299	\N	\N	\N
1075930	3675	1993-05-19	VYDAJ	VYBER	27000	57462	\N	\N	\N
1075931	3675	1993-06-09	VYDAJ	VYBER	25300	101503	\N	\N	\N
1075932	3675	1993-06-18	VYDAJ	VYBER	35600	65903	\N	\N	\N
1075933	3675	1993-07-09	VYDAJ	VYBER	62000	50343	\N	\N	\N
1075934	3675	1993-07-18	VYDAJ	VYBER	14200	36143	\N	\N	\N
1075935	3675	1993-08-17	VYDAJ	VYBER	30200	52242	\N	\N	\N
1075936	3675	1993-09-16	VYDAJ	VYBER	34000	56685	\N	\N	\N
1075937	3675	1993-10-16	VYDAJ	VYBER	28500	53029	\N	\N	\N
1075938	3675	1993-11-15	VYDAJ	VYBER	19900	46363	\N	\N	\N
1075939	3675	1993-12-15	VYDAJ	VYBER	31600	54975	\N	\N	\N
1075940	3675	1994-01-14	VYDAJ	VYBER	17700	43969	\N	\N	\N
1075941	3675	1994-02-13	VYDAJ	VYBER	18500	39922	\N	\N	\N
1075942	3675	1994-03-15	VYDAJ	VYBER	27400	50937	\N	\N	\N
1075943	3675	1994-04-14	VYDAJ	VYBER	23900	48540	\N	\N	\N
1075944	3675	1994-05-14	VYDAJ	VYBER	30500	56504	\N	\N	\N
1075945	3675	1994-06-09	VYDAJ	VYBER	21700	94558	\N	\N	\N
1075946	3675	1994-06-13	PRIJEM	VKLAD	4300	98858	\N	\N	\N
1075947	3675	1994-07-13	VYDAJ	VYBER	18800	45909	\N	\N	\N
1075948	3675	1994-08-12	VYDAJ	VYBER	27100	57250	\N	\N	\N
1075949	3675	1994-09-11	VYDAJ	VYBER	35000	60747	\N	\N	\N
1075950	3675	1994-10-11	VYDAJ	VYBER	32600	66666	\N	\N	\N
1075951	3675	1994-11-10	VYDAJ	VYBER	32500	61122	\N	\N	\N
1075952	3675	1994-12-09	VYDAJ	VYBER	56700	62984	\N	\N	\N
1075953	3675	1994-12-10	VYDAJ	VYBER	15700	47284	\N	\N	\N
1075954	3675	1995-01-09	VYDAJ	VYBER	21500	48354	\N	\N	\N
1075955	3675	1995-02-08	PRIJEM	VKLAD	5100	23550	\N	\N	\N
1075956	3675	1995-03-10	VYDAJ	VYBER	34700	65636	\N	\N	\N
1075957	3675	1995-04-09	VYDAJ	VYBER	39500	64670	\N	\N	\N
1075958	3675	1995-05-09	VYDAJ	VYBER	34100	59294	\N	\N	\N
1075959	3675	1995-06-08	VYDAJ	VYBER	5000	33690	\N	\N	\N
1075960	3675	1995-07-08	VYDAJ	VYBER	1400	23965	\N	\N	\N
1075961	3675	1995-08-07	VYDAJ	VYBER	19200	43276	\N	\N	\N
1075962	3675	1995-09-06	VYDAJ	VYBER	16100	43570	\N	\N	\N
1075963	3675	1995-10-06	VYDAJ	VYBER	27100	55068	\N	\N	\N
1075964	3675	1995-11-05	VYDAJ	VYBER	31000	62722	\N	\N	\N
1075965	3675	1995-11-30	VYDAJ	VYBER	25800	83446	\N	\N	\N
1075966	3675	1995-12-05	VYDAJ	VYBER	25600	50022	\N	\N	\N
1075967	3675	1995-12-09	VYDAJ	VYBER	35600	83570	\N	\N	\N
1075968	3675	1996-01-04	VYDAJ	VYBER	23500	52306	\N	\N	\N
1075969	3675	1996-02-03	VYDAJ	VYBER	12100	35505	\N	\N	\N
1075970	3675	1996-03-04	VYDAJ	VYBER	3300	29313	\N	\N	\N
1075971	3675	1996-04-03	VYDAJ	VYBER	16100	41494	\N	\N	\N
1075972	3675	1996-05-03	VYDAJ	VYBER	15900	43870	\N	\N	\N
1075973	3675	1996-06-02	VYDAJ	VYBER	19900	49002	\N	\N	\N
1075974	3675	1996-06-09	VYDAJ	VYBER	28200	82126	\N	\N	\N
1075975	3675	1996-07-02	VYDAJ	VYBER	21200	49302	\N	\N	\N
1075976	3675	1996-08-01	VYDAJ	VYBER	23800	51467	\N	\N	\N
1075977	3675	1996-08-31	VYDAJ	VYBER	21100	49709	\N	\N	\N
1075978	3675	1996-09-30	VYDAJ	VYBER	17800	45141	\N	\N	\N
1075979	3675	1996-10-30	VYDAJ	VYBER	25600	50408	\N	\N	\N
1075980	3675	1996-11-29	VYDAJ	VYBER	30100	58848	\N	\N	\N
1075981	3675	1996-12-09	VYDAJ	VYBER	48000	72474	\N	\N	\N
1075982	3675	1996-12-29	VYDAJ	VYBER	19400	49174	\N	\N	\N
1075983	3675	1997-01-28	VYDAJ	VYBER	14200	42362	\N	\N	\N
1075984	3675	1997-02-27	VYDAJ	VYBER	17100	47252	\N	\N	\N
1075985	3675	1997-03-29	VYDAJ	VYBER	30400	55348	\N	\N	\N
1075986	3675	1997-04-28	VYDAJ	VYBER	38400	55508	\N	\N	\N
1075987	3675	1997-05-28	VYDAJ	VYBER	32100	48196	\N	\N	\N
1075988	3675	1997-06-27	VYDAJ	VYBER	5800	25392	\N	\N	\N
1075989	3675	1997-07-27	VYDAJ	VYBER	21400	36568	\N	\N	\N
1075990	3675	1997-08-26	VYDAJ	VYBER	28700	46329	\N	\N	\N
1075991	3675	1997-09-25	VYDAJ	VYBER	30300	54532	\N	\N	\N
1075992	3675	1997-10-25	VYDAJ	VYBER	38200	54873	\N	\N	\N
1075993	3675	1997-11-24	VYDAJ	VYBER	37700	55739	\N	\N	\N
1075994	3675	1997-12-24	VYDAJ	VYBER	38400	60644	\N	\N	\N
1075995	3675	1998-01-23	VYDAJ	VYBER	2800	29958	\N	\N	\N
1075996	3675	1998-02-22	VYDAJ	VYBER	15800	39967	\N	\N	\N
1075997	3675	1998-03-24	VYDAJ	VYBER	7300	35046	\N	\N	\N
1075998	3675	1998-04-23	VYDAJ	VYBER	15600	34717	\N	\N	\N
1075999	3675	1998-05-23	VYDAJ	VYBER	22200	50956	\N	\N	\N
1076000	3675	1998-06-22	VYDAJ	VYBER	40500	59965	\N	\N	\N
1076001	3675	1998-07-22	VYDAJ	VYBER	28300	54171	\N	\N	\N
1076002	3675	1998-08-21	VYDAJ	VYBER	34500	58196	\N	\N	\N
1076003	3675	1998-09-20	VYDAJ	VYBER	24600	46186	\N	\N	\N
1076004	3675	1998-10-20	VYDAJ	VYBER	32100	52552	\N	\N	\N
1076005	3675	1998-11-19	VYDAJ	VYBER	33500	51528	\N	\N	\N
1076006	3675	1998-12-19	VYDAJ	VYBER	43900	56666	\N	\N	\N
1076076	3676	1996-06-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1076083	3676	1996-07-05	PRIJEM	PREVOD Z UCTU	4979	6079	DUCHOD	UV	95762162
1076084	3676	1996-08-05	PRIJEM	PREVOD Z UCTU	4979	11058	DUCHOD	UV	95762162
1076085	3676	1996-09-05	PRIJEM	PREVOD Z UCTU	4979	16037	DUCHOD	UV	95762162
1076086	3676	1996-10-05	PRIJEM	PREVOD Z UCTU	4979	21016	DUCHOD	UV	95762162
1076087	3676	1996-11-05	PRIJEM	PREVOD Z UCTU	4979	25266	DUCHOD	UV	95762162
1076088	3676	1996-12-05	PRIJEM	PREVOD Z UCTU	4979	17703	DUCHOD	UV	95762162
1076089	3676	1997-01-05	PRIJEM	PREVOD Z UCTU	4979	17602	DUCHOD	UV	95762162
1076090	3676	1997-02-05	PRIJEM	PREVOD Z UCTU	4979	17302	DUCHOD	UV	95762162
1076091	3676	1997-03-05	PRIJEM	PREVOD Z UCTU	4979	18122	DUCHOD	UV	95762162
1076092	3676	1997-04-05	PRIJEM	PREVOD Z UCTU	4979	18425	DUCHOD	UV	95762162
1076093	3676	1997-05-05	PRIJEM	PREVOD Z UCTU	4979	16211	DUCHOD	UV	95762162
1076094	3676	1997-06-05	PRIJEM	PREVOD Z UCTU	4979	17912	DUCHOD	UV	95762162
1076095	3676	1997-07-05	PRIJEM	PREVOD Z UCTU	4979	19617	DUCHOD	UV	95762162
1076096	3676	1997-08-05	PRIJEM	PREVOD Z UCTU	4979	21329	DUCHOD	UV	95762162
1076097	3676	1997-09-05	PRIJEM	PREVOD Z UCTU	4979	20246	DUCHOD	UV	95762162
1076098	3676	1997-10-05	PRIJEM	PREVOD Z UCTU	4979	21960	DUCHOD	UV	95762162
1076099	3676	1997-11-05	PRIJEM	PREVOD Z UCTU	4979	23682	DUCHOD	UV	95762162
1076100	3676	1997-12-05	PRIJEM	PREVOD Z UCTU	4979	21810	DUCHOD	UV	95762162
1076101	3676	1998-01-05	PRIJEM	PREVOD Z UCTU	4979	20229	DUCHOD	UV	95762162
1076102	3676	1998-02-05	PRIJEM	PREVOD Z UCTU	4979	18896	DUCHOD	UV	95762162
1076103	3676	1998-03-05	PRIJEM	PREVOD Z UCTU	4979	18441	DUCHOD	UV	95762162
1076104	3676	1998-04-05	PRIJEM	PREVOD Z UCTU	4979	20148	DUCHOD	UV	95762162
1076105	3676	1998-05-05	PRIJEM	PREVOD Z UCTU	4979	21862	DUCHOD	UV	95762162
1076106	3676	1998-06-05	PRIJEM	PREVOD Z UCTU	4979	17380	DUCHOD	UV	95762162
1076107	3676	1998-07-05	PRIJEM	PREVOD Z UCTU	4979	19083	DUCHOD	UV	95762162
1076108	3676	1998-08-05	PRIJEM	PREVOD Z UCTU	4979	18312	DUCHOD	UV	95762162
1076109	3676	1998-09-05	PRIJEM	PREVOD Z UCTU	4979	20021	DUCHOD	UV	95762162
1076110	3676	1998-10-05	PRIJEM	PREVOD Z UCTU	4979	18709	DUCHOD	UV	95762162
1076111	3676	1998-11-05	PRIJEM	PREVOD Z UCTU	4979	19136	DUCHOD	UV	95762162
1076112	3676	1998-12-05	PRIJEM	PREVOD Z UCTU	4979	19247	DUCHOD	UV	95762162
1076123	3676	1996-11-08	VYDAJ	PREVOD NA UCET	3319	16347	SIPO	ST	76132893
1076124	3676	1996-12-08	VYDAJ	PREVOD NA UCET	3319	12584	SIPO	ST	76132893
1076125	3676	1997-01-08	VYDAJ	PREVOD NA UCET	3319	14283	SIPO	ST	76132893
1076126	3676	1997-02-08	VYDAJ	PREVOD NA UCET	3319	13983	SIPO	ST	76132893
1076127	3676	1997-03-08	VYDAJ	PREVOD NA UCET	3319	13403	SIPO	ST	76132893
1076128	3676	1997-04-08	VYDAJ	PREVOD NA UCET	3319	15106	SIPO	ST	76132893
1076129	3676	1997-05-08	VYDAJ	PREVOD NA UCET	3319	12892	SIPO	ST	76132893
1076130	3676	1997-06-08	VYDAJ	PREVOD NA UCET	3319	14593	SIPO	ST	76132893
1076131	3676	1997-07-08	VYDAJ	PREVOD NA UCET	3319	16298	SIPO	ST	76132893
1076132	3676	1997-08-08	VYDAJ	PREVOD NA UCET	3319	18010	SIPO	ST	76132893
1076133	3676	1997-09-08	VYDAJ	PREVOD NA UCET	3319	16927	SIPO	ST	76132893
1076134	3676	1997-10-08	VYDAJ	PREVOD NA UCET	3319	18641	SIPO	ST	76132893
1076135	3676	1997-11-08	VYDAJ	PREVOD NA UCET	3319	20363	SIPO	ST	76132893
1076136	3676	1997-12-08	VYDAJ	PREVOD NA UCET	3319	18491	SIPO	ST	76132893
1076137	3676	1998-01-08	VYDAJ	PREVOD NA UCET	3319	16270	SIPO	ST	76132893
1076138	3676	1998-02-08	VYDAJ	PREVOD NA UCET	3319	15577	SIPO	ST	76132893
1076139	3676	1998-03-08	VYDAJ	PREVOD NA UCET	3319	15122	SIPO	ST	76132893
1076140	3676	1998-04-08	VYDAJ	PREVOD NA UCET	3319	16829	SIPO	ST	76132893
1076141	3676	1998-05-08	VYDAJ	PREVOD NA UCET	3319	18543	SIPO	ST	76132893
1076142	3676	1998-06-08	VYDAJ	PREVOD NA UCET	3319	14061	SIPO	ST	76132893
1076143	3676	1998-07-08	VYDAJ	PREVOD NA UCET	3319	15764	SIPO	ST	76132893
1076144	3676	1998-08-08	VYDAJ	PREVOD NA UCET	3319	14993	SIPO	ST	76132893
1076145	3676	1998-09-08	VYDAJ	PREVOD NA UCET	3319	16702	SIPO	ST	76132893
1076146	3676	1998-10-08	VYDAJ	PREVOD NA UCET	3319	15390	SIPO	ST	76132893
1076147	3676	1998-11-08	VYDAJ	PREVOD NA UCET	3319	15817	SIPO	ST	76132893
1076148	3676	1998-12-08	VYDAJ	PREVOD NA UCET	3319	15928	SIPO	ST	76132893
1076156	3676	1997-12-11	VYDAJ	VYBER	400	18091	\N	\N	\N
1076157	3676	1998-12-18	VYDAJ	VYBER	600	15328	\N	\N	\N
1076164	3676	1997-01-16	VYDAJ	VYBER	1040	13243	\N	\N	\N
1076165	3676	1997-01-26	VYDAJ	VYBER	960	12283	\N	\N	\N
1076170	3676	1998-01-14	VYDAJ	VYBER	1520	14350	\N	\N	\N
1076173	3676	1998-01-07	VYDAJ	VYBER	640	19589	\N	\N	\N
1076174	3676	1998-01-21	VYDAJ	VYBER	480	13870	\N	\N	\N
1076175	3676	1998-01-13	VYDAJ	VYBER	400	15870	\N	\N	\N
1076176	3676	1996-11-26	VYDAJ	VYBER	3680	12667	\N	\N	\N
1076181	3676	1997-05-01	VYDAJ	VYBER	1920	13232	\N	\N	\N
1076182	3676	1997-02-10	VYDAJ	VYBER	880	13103	\N	\N	\N
1076184	3676	1997-08-28	VYDAJ	VYBER	2800	15210	\N	\N	\N
1076185	3676	1998-02-20	VYDAJ	VYBER	2160	13417	\N	\N	\N
1076186	3676	1998-11-04	VYDAJ	VYBER	1280	14157	\N	\N	\N
1076187	3676	1998-08-02	VYDAJ	VYBER	2480	13333	\N	\N	\N
1076189	3676	1998-09-12	VYDAJ	VYBER	1920	14782	\N	\N	\N
1076201	3676	1996-11-30	VYDAJ	VYBER	15	12724	SLUZBY	\N	\N
1076202	3676	1996-12-31	VYDAJ	VYBER	15	12623	SLUZBY	\N	\N
1076203	3676	1997-01-31	VYDAJ	VYBER	15	12323	SLUZBY	\N	\N
1076204	3676	1997-02-28	VYDAJ	VYBER	15	13143	SLUZBY	\N	\N
1076205	3676	1997-03-31	VYDAJ	VYBER	15	13446	SLUZBY	\N	\N
1076206	3676	1997-04-30	VYDAJ	VYBER	15	15152	SLUZBY	\N	\N
1076207	3676	1997-05-31	VYDAJ	VYBER	15	12933	SLUZBY	\N	\N
1076208	3676	1997-06-30	VYDAJ	VYBER	15	14638	SLUZBY	\N	\N
1076209	3676	1997-07-31	VYDAJ	VYBER	15	16350	SLUZBY	\N	\N
1076210	3676	1997-08-31	VYDAJ	VYBER	15	15267	SLUZBY	\N	\N
1076211	3676	1997-09-30	VYDAJ	VYBER	15	16981	SLUZBY	\N	\N
1076212	3676	1997-10-31	VYDAJ	VYBER	15	18703	SLUZBY	\N	\N
1076213	3676	1997-11-30	VYDAJ	VYBER	15	16831	SLUZBY	\N	\N
1076214	3676	1997-12-31	VYDAJ	VYBER	15	15250	SLUZBY	\N	\N
1076215	3676	1998-01-31	VYDAJ	VYBER	15	13917	SLUZBY	\N	\N
1076216	3676	1998-02-28	VYDAJ	VYBER	15	13462	SLUZBY	\N	\N
1076217	3676	1998-03-31	VYDAJ	VYBER	15	15169	SLUZBY	\N	\N
1076218	3676	1998-04-30	VYDAJ	VYBER	15	16883	SLUZBY	\N	\N
1076219	3676	1998-05-31	VYDAJ	VYBER	15	12401	SLUZBY	\N	\N
1076220	3676	1998-06-30	VYDAJ	VYBER	15	14104	SLUZBY	\N	\N
1076221	3676	1998-07-31	VYDAJ	VYBER	15	15813	SLUZBY	\N	\N
1076222	3676	1998-08-31	VYDAJ	VYBER	15	15042	SLUZBY	\N	\N
1076223	3676	1998-09-30	VYDAJ	VYBER	15	13730	SLUZBY	\N	\N
1076224	3676	1998-10-31	VYDAJ	VYBER	15	15437	SLUZBY	\N	\N
1076225	3676	1998-11-30	VYDAJ	VYBER	15	14268	SLUZBY	\N	\N
1076226	3676	1996-10-06	VYDAJ	VYBER	800	20216	\N	\N	\N
1076227	3676	1996-11-05	VYDAJ	VYBER	5600	19666	\N	\N	\N
1076228	3676	1996-12-05	VYDAJ	VYBER	1800	15903	\N	\N	\N
1076229	3676	1997-03-05	VYDAJ	VYBER	1400	16722	\N	\N	\N
1076230	3676	1997-05-04	VYDAJ	VYBER	2000	11232	\N	\N	\N
1076231	3676	1997-11-30	VYDAJ	VYBER	3600	16845	\N	\N	\N
1076232	3676	1997-12-30	VYDAJ	VYBER	2900	15191	\N	\N	\N
1076233	3676	1998-05-29	VYDAJ	VYBER	6200	12343	\N	\N	\N
1076234	3676	1998-09-26	VYDAJ	VYBER	1100	13682	\N	\N	\N
1076235	3676	1998-11-25	VYDAJ	VYBER	1600	14217	\N	\N	\N
1076263	3677	1995-10-04	PRIJEM	VKLAD	400	400	\N	\N	\N
1076273	3677	1995-10-11	PRIJEM	PREVOD Z UCTU	3425	3825	\N	KL	78434604
1076274	3677	1995-11-11	PRIJEM	PREVOD Z UCTU	3425	7261	\N	KL	78434604
1076275	3677	1995-12-11	PRIJEM	PREVOD Z UCTU	3425	10702	\N	KL	78434604
1076276	3677	1996-01-11	PRIJEM	PREVOD Z UCTU	3425	14143	\N	KL	78434604
1076277	3677	1996-02-11	PRIJEM	PREVOD Z UCTU	3425	17584	\N	KL	78434604
1076278	3677	1996-03-11	PRIJEM	PREVOD Z UCTU	3425	17829	\N	KL	78434604
1076279	3677	1996-04-11	PRIJEM	PREVOD Z UCTU	3425	18849	\N	KL	78434604
1076280	3677	1996-05-11	PRIJEM	PREVOD Z UCTU	3425	20054	\N	KL	78434604
1076281	3677	1996-06-11	PRIJEM	PREVOD Z UCTU	3425	20192	\N	KL	78434604
1076282	3677	1996-07-11	PRIJEM	PREVOD Z UCTU	3425	19270	\N	KL	78434604
1076283	3677	1996-08-11	PRIJEM	PREVOD Z UCTU	3425	20477	\N	KL	78434604
1076284	3677	1996-09-11	PRIJEM	PREVOD Z UCTU	3425	19187	\N	KL	78434604
1076285	3677	1996-10-11	PRIJEM	PREVOD Z UCTU	3425	15991	\N	KL	78434604
1076286	3677	1996-11-11	PRIJEM	PREVOD Z UCTU	3425	16383	\N	KL	78434604
1076287	3677	1996-12-11	PRIJEM	PREVOD Z UCTU	3425	14095	\N	KL	78434604
1076288	3677	1997-01-11	PRIJEM	PREVOD Z UCTU	3425	13076	\N	KL	78434604
1076289	3677	1997-02-11	PRIJEM	PREVOD Z UCTU	3425	11944	\N	KL	78434604
1076290	3677	1997-03-11	PRIJEM	PREVOD Z UCTU	3425	13119	\N	KL	78434604
1076291	3677	1997-04-11	PRIJEM	PREVOD Z UCTU	3425	13799	\N	KL	78434604
1076292	3677	1997-05-11	PRIJEM	PREVOD Z UCTU	3425	13873	\N	KL	78434604
1076293	3677	1997-06-11	PRIJEM	PREVOD Z UCTU	3425	12213	\N	KL	78434604
1076294	3677	1997-07-11	PRIJEM	PREVOD Z UCTU	3425	13390	\N	KL	78434604
1076295	3677	1997-08-11	PRIJEM	PREVOD Z UCTU	3425	14571	\N	KL	78434604
1076296	3677	1997-09-11	PRIJEM	PREVOD Z UCTU	3425	14356	\N	KL	78434604
1076297	3677	1997-10-11	PRIJEM	PREVOD Z UCTU	3425	14101	\N	KL	78434604
1076298	3677	1997-11-11	PRIJEM	PREVOD Z UCTU	3425	14805	\N	KL	78434604
1076299	3677	1997-12-11	PRIJEM	PREVOD Z UCTU	3425	15993	\N	KL	78434604
1076300	3677	1998-01-11	PRIJEM	PREVOD Z UCTU	3425	15773	\N	KL	78434604
1076301	3677	1998-02-11	PRIJEM	PREVOD Z UCTU	3425	16364	\N	KL	78434604
1076302	3677	1998-03-11	PRIJEM	PREVOD Z UCTU	3425	15855	\N	KL	78434604
1076303	3677	1998-04-11	PRIJEM	PREVOD Z UCTU	3425	16327	\N	KL	78434604
1076304	3677	1998-05-11	PRIJEM	PREVOD Z UCTU	3425	13214	\N	KL	78434604
1076305	3677	1998-06-11	PRIJEM	PREVOD Z UCTU	3425	14395	\N	KL	78434604
1076306	3677	1998-07-11	PRIJEM	PREVOD Z UCTU	3425	14879	\N	KL	78434604
1076307	3677	1998-08-11	PRIJEM	PREVOD Z UCTU	3425	14865	\N	KL	78434604
1076308	3677	1998-09-11	PRIJEM	PREVOD Z UCTU	3425	15150	\N	KL	78434604
1076309	3677	1998-10-11	PRIJEM	PREVOD Z UCTU	3425	16339	\N	KL	78434604
1076310	3677	1998-11-11	PRIJEM	PREVOD Z UCTU	3425	15160	\N	KL	78434604
1076311	3677	1998-12-11	PRIJEM	PREVOD Z UCTU	3425	15298	\N	KL	78434604
1076326	3677	1996-03-09	VYDAJ	PREVOD NA UCET	2283	14404	SIPO	MN	83299553
1076327	3677	1996-04-09	VYDAJ	PREVOD NA UCET	2283	15424	SIPO	MN	83299553
1076328	3677	1996-05-09	VYDAJ	PREVOD NA UCET	2283	16629	SIPO	MN	83299553
1076329	3677	1996-06-09	VYDAJ	PREVOD NA UCET	2283	16767	SIPO	MN	83299553
1076330	3677	1996-07-09	VYDAJ	PREVOD NA UCET	2283	15845	SIPO	MN	83299553
1076331	3677	1996-08-09	VYDAJ	PREVOD NA UCET	2283	17052	SIPO	MN	83299553
1076332	3677	1996-09-09	VYDAJ	PREVOD NA UCET	2283	15762	SIPO	MN	83299553
1076333	3677	1996-10-09	VYDAJ	PREVOD NA UCET	2283	12566	SIPO	MN	83299553
1076334	3677	1996-11-09	VYDAJ	PREVOD NA UCET	2283	12958	SIPO	MN	83299553
1076335	3677	1996-12-09	VYDAJ	PREVOD NA UCET	2283	10670	SIPO	MN	83299553
1076336	3677	1997-01-09	VYDAJ	PREVOD NA UCET	2283	9651	SIPO	MN	83299553
1076337	3677	1997-02-09	VYDAJ	PREVOD NA UCET	2283	8519	SIPO	MN	83299553
1076338	3677	1997-03-09	VYDAJ	PREVOD NA UCET	2283	9694	SIPO	MN	83299553
1076339	3677	1997-04-09	VYDAJ	PREVOD NA UCET	2283	10374	SIPO	MN	83299553
1076340	3677	1997-05-09	VYDAJ	PREVOD NA UCET	2283	10448	SIPO	MN	83299553
1076341	3677	1997-06-09	VYDAJ	PREVOD NA UCET	2283	8788	SIPO	MN	83299553
1076342	3677	1997-07-09	VYDAJ	PREVOD NA UCET	2283	9965	SIPO	MN	83299553
1076343	3677	1997-08-09	VYDAJ	PREVOD NA UCET	2283	11146	SIPO	MN	83299553
1076344	3677	1997-09-09	VYDAJ	PREVOD NA UCET	2283	10931	SIPO	MN	83299553
1076345	3677	1997-10-09	VYDAJ	PREVOD NA UCET	2283	10676	SIPO	MN	83299553
1076346	3677	1997-11-09	VYDAJ	PREVOD NA UCET	2283	11380	SIPO	MN	83299553
1076347	3677	1997-12-09	VYDAJ	PREVOD NA UCET	2283	12568	SIPO	MN	83299553
1076348	3677	1998-01-09	VYDAJ	PREVOD NA UCET	2283	12348	SIPO	MN	83299553
1076349	3677	1998-02-09	VYDAJ	PREVOD NA UCET	2283	12939	SIPO	MN	83299553
1076350	3677	1998-03-09	VYDAJ	PREVOD NA UCET	2283	12430	SIPO	MN	83299553
1076351	3677	1998-04-09	VYDAJ	PREVOD NA UCET	2283	12902	SIPO	MN	83299553
1076352	3677	1998-05-09	VYDAJ	PREVOD NA UCET	2283	9789	SIPO	MN	83299553
1076353	3677	1998-06-09	VYDAJ	PREVOD NA UCET	2283	10970	SIPO	MN	83299553
1076354	3677	1998-07-09	VYDAJ	PREVOD NA UCET	2283	11454	SIPO	MN	83299553
1076355	3677	1998-08-09	VYDAJ	PREVOD NA UCET	2283	11440	SIPO	MN	83299553
1076356	3677	1998-09-09	VYDAJ	PREVOD NA UCET	2283	11725	SIPO	MN	83299553
1076357	3677	1998-10-09	VYDAJ	PREVOD NA UCET	2283	12914	SIPO	MN	83299553
1076358	3677	1998-11-09	VYDAJ	PREVOD NA UCET	2283	11735	SIPO	MN	83299553
1076359	3677	1998-12-09	VYDAJ	PREVOD NA UCET	2283	11873	SIPO	MN	83299553
1076361	3677	1996-06-18	VYDAJ	VYBER	960	19232	\N	\N	\N
1076365	3677	1996-12-04	VYDAJ	VYBER	180	12953	\N	\N	\N
1076366	3677	1997-12-30	VYDAJ	VYBER	210	14583	\N	\N	\N
1076367	3677	1998-12-16	VYDAJ	VYBER	450	14848	\N	\N	\N
1076372	3677	1996-05-17	VYDAJ	VYBER	210	19844	\N	\N	\N
1076373	3677	1996-07-01	VYDAJ	VYBER	1170	18128	\N	\N	\N
1076374	3677	1996-03-20	VYDAJ	VYBER	180	17649	\N	\N	\N
1076375	3677	1996-12-12	VYDAJ	VYBER	1200	12895	\N	\N	\N
1076376	3677	1996-06-03	VYDAJ	VYBER	360	19050	\N	\N	\N
1076377	3677	1997-01-16	VYDAJ	VYBER	210	12866	\N	\N	\N
1076380	3677	1997-05-14	VYDAJ	VYBER	840	13033	\N	\N	\N
1076381	3677	1997-10-03	VYDAJ	VYBER	1440	12959	\N	\N	\N
1076382	3677	1997-10-14	VYDAJ	VYBER	480	13621	\N	\N	\N
1076383	3677	1997-05-01	VYDAJ	VYBER	1110	12731	\N	\N	\N
1076384	3677	1998-12-03	VYDAJ	VYBER	750	14156	\N	\N	\N
1076385	3677	1998-10-18	VYDAJ	VYBER	660	15469	\N	\N	\N
1076386	3677	1998-10-17	VYDAJ	VYBER	210	16129	\N	\N	\N
1076387	3677	1998-10-25	VYDAJ	VYBER	630	14839	\N	\N	\N
1076388	3677	1998-04-07	VYDAJ	VYBER	720	15185	\N	\N	\N
1076389	3677	1998-11-27	VYDAJ	VYBER	300	14860	\N	\N	\N
1076390	3677	1998-10-25	VYDAJ	VYBER	870	13969	\N	\N	\N
1076405	3677	1996-02-29	VYDAJ	VYBER	15	17587	SLUZBY	\N	\N
1076406	3677	1996-03-31	VYDAJ	VYBER	15	17707	SLUZBY	\N	\N
1076407	3677	1996-04-30	VYDAJ	VYBER	15	18912	SLUZBY	\N	\N
1076408	3677	1996-05-31	VYDAJ	VYBER	15	19410	SLUZBY	\N	\N
1076409	3677	1996-06-30	VYDAJ	VYBER	15	19298	SLUZBY	\N	\N
1076410	3677	1996-07-31	VYDAJ	VYBER	15	19335	SLUZBY	\N	\N
1076411	3677	1996-08-31	VYDAJ	VYBER	15	18045	SLUZBY	\N	\N
1076412	3677	1996-09-30	VYDAJ	VYBER	15	14849	SLUZBY	\N	\N
1076413	3677	1996-10-31	VYDAJ	VYBER	15	15241	SLUZBY	\N	\N
1076414	3677	1996-11-30	VYDAJ	VYBER	15	13133	SLUZBY	\N	\N
1076415	3677	1996-12-31	VYDAJ	VYBER	15	11934	SLUZBY	\N	\N
1076416	3677	1997-01-31	VYDAJ	VYBER	15	10802	SLUZBY	\N	\N
1076417	3677	1997-02-28	VYDAJ	VYBER	15	11977	SLUZBY	\N	\N
1076418	3677	1997-03-31	VYDAJ	VYBER	15	12657	SLUZBY	\N	\N
1076419	3677	1997-04-30	VYDAJ	VYBER	15	13841	SLUZBY	\N	\N
1076420	3677	1997-05-31	VYDAJ	VYBER	15	11071	SLUZBY	\N	\N
1076421	3677	1997-06-30	VYDAJ	VYBER	15	12248	SLUZBY	\N	\N
1076422	3677	1997-07-31	VYDAJ	VYBER	15	13429	SLUZBY	\N	\N
1076423	3677	1997-08-31	VYDAJ	VYBER	15	13214	SLUZBY	\N	\N
1076424	3677	1997-09-30	VYDAJ	VYBER	15	14399	SLUZBY	\N	\N
1076425	3677	1997-10-31	VYDAJ	VYBER	15	13663	SLUZBY	\N	\N
1076426	3677	1997-11-30	VYDAJ	VYBER	15	14851	SLUZBY	\N	\N
1076427	3677	1997-12-31	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
1076428	3677	1998-01-31	VYDAJ	VYBER	15	15222	SLUZBY	\N	\N
1076429	3677	1998-02-28	VYDAJ	VYBER	15	14713	SLUZBY	\N	\N
1076430	3677	1998-03-31	VYDAJ	VYBER	15	15905	SLUZBY	\N	\N
1076431	3677	1998-04-30	VYDAJ	VYBER	15	12072	SLUZBY	\N	\N
1076432	3677	1998-05-31	VYDAJ	VYBER	15	13253	SLUZBY	\N	\N
1076433	3677	1998-06-30	VYDAJ	VYBER	15	13737	SLUZBY	\N	\N
1076434	3677	1998-07-31	VYDAJ	VYBER	15	13723	SLUZBY	\N	\N
1076435	3677	1998-08-31	VYDAJ	VYBER	15	14008	SLUZBY	\N	\N
1076436	3677	1998-09-30	VYDAJ	VYBER	15	15197	SLUZBY	\N	\N
1076437	3677	1998-10-31	VYDAJ	VYBER	15	14018	SLUZBY	\N	\N
1076438	3677	1998-11-30	VYDAJ	VYBER	15	14906	SLUZBY	\N	\N
1076439	3677	1996-03-02	VYDAJ	VYBER	900	16687	\N	\N	\N
1076440	3677	1996-05-31	VYDAJ	VYBER	500	19425	\N	\N	\N
1076441	3677	1996-08-29	VYDAJ	VYBER	2500	17977	\N	\N	\N
1076442	3677	1996-09-28	VYDAJ	VYBER	4400	14787	\N	\N	\N
1076443	3677	1996-10-28	VYDAJ	VYBER	800	15191	\N	\N	\N
1076444	3677	1996-11-27	VYDAJ	VYBER	3300	13083	\N	\N	\N
1076445	3677	1996-12-27	VYDAJ	VYBER	1000	11895	\N	\N	\N
1076446	3677	1997-01-26	VYDAJ	VYBER	2100	10766	\N	\N	\N
1076447	3677	1997-03-27	VYDAJ	VYBER	500	12619	\N	\N	\N
1076448	3677	1997-05-26	VYDAJ	VYBER	2000	11033	\N	\N	\N
1076449	3677	1997-08-24	VYDAJ	VYBER	1400	13171	\N	\N	\N
1076450	3677	1997-12-22	VYDAJ	VYBER	1200	14793	\N	\N	\N
1076451	3677	1998-01-21	VYDAJ	VYBER	600	15173	\N	\N	\N
1076452	3677	1998-02-20	VYDAJ	VYBER	1700	14664	\N	\N	\N
1076453	3677	1998-04-21	VYDAJ	VYBER	4300	12027	\N	\N	\N
1076454	3677	1998-06-20	VYDAJ	VYBER	700	13695	\N	\N	\N
1076455	3677	1998-07-20	VYDAJ	VYBER	1200	13679	\N	\N	\N
1076456	3677	1998-08-19	VYDAJ	VYBER	900	13965	\N	\N	\N
1076496	3678	1993-03-24	PRIJEM	VKLAD	800	800	\N	\N	\N
1076500	3678	1993-04-09	PRIJEM	VKLAD	8901	9701	\N	\N	\N
1076501	3678	1993-05-09	PRIJEM	VKLAD	8901	23919	\N	\N	\N
1076502	3678	1993-06-09	PRIJEM	VKLAD	13352	37333	\N	\N	\N
1076503	3678	1993-07-09	PRIJEM	VKLAD	8901	39616	\N	\N	\N
1076504	3678	1993-08-09	PRIJEM	VKLAD	8901	39144	\N	\N	\N
1076505	3678	1993-09-09	PRIJEM	VKLAD	8901	25217	\N	\N	\N
1076506	3678	1993-10-09	PRIJEM	VKLAD	8901	29297	\N	\N	\N
1076507	3678	1993-11-09	PRIJEM	VKLAD	8901	21865	\N	\N	\N
1076508	3678	1993-12-09	PRIJEM	VKLAD	13352	29786	\N	\N	\N
1076509	3678	1994-01-09	PRIJEM	VKLAD	8901	15672	\N	\N	\N
1076510	3678	1994-02-09	PRIJEM	VKLAD	8901	13934	\N	\N	\N
1076511	3678	1994-03-09	PRIJEM	VKLAD	8901	19873	\N	\N	\N
1076512	3678	1994-04-09	PRIJEM	VKLAD	8901	19995	\N	\N	\N
1076513	3678	1994-05-09	PRIJEM	VKLAD	8901	24548	\N	\N	\N
1076514	3678	1994-06-09	PRIJEM	VKLAD	13352	22849	\N	\N	\N
1076515	3678	1994-07-09	PRIJEM	VKLAD	8901	10247	\N	\N	\N
1076516	3678	1994-08-09	PRIJEM	VKLAD	8901	15988	\N	\N	\N
1076517	3678	1994-09-09	PRIJEM	VKLAD	8901	26343	\N	\N	\N
1076518	3678	1994-10-09	PRIJEM	VKLAD	8901	30314	\N	\N	\N
1076519	3678	1994-11-09	PRIJEM	VKLAD	8901	25094	\N	\N	\N
1076520	3678	1994-12-09	PRIJEM	VKLAD	13352	27507	\N	\N	\N
1076521	3678	1995-01-09	PRIJEM	VKLAD	8901	19280	\N	\N	\N
1076522	3678	1995-02-09	PRIJEM	VKLAD	8901	21713	\N	\N	\N
1076523	3678	1995-03-09	PRIJEM	VKLAD	8901	21077	\N	\N	\N
1076524	3678	1995-04-09	PRIJEM	VKLAD	8901	15849	\N	\N	\N
1076525	3678	1995-05-09	PRIJEM	VKLAD	8901	23727	\N	\N	\N
1076526	3678	1995-06-09	PRIJEM	VKLAD	13352	19354	\N	\N	\N
1076527	3678	1995-07-09	PRIJEM	VKLAD	8901	15731	\N	\N	\N
1076528	3678	1995-08-09	PRIJEM	VKLAD	8901	18803	\N	\N	\N
1076529	3678	1995-09-09	PRIJEM	VKLAD	8901	16065	\N	\N	\N
1076530	3678	1995-10-09	PRIJEM	VKLAD	8901	15826	\N	\N	\N
1076531	3678	1995-11-09	PRIJEM	VKLAD	8901	15595	\N	\N	\N
1076532	3678	1995-12-09	PRIJEM	VKLAD	13352	23410	\N	\N	\N
1076533	3678	1996-01-09	PRIJEM	VKLAD	8901	19785	\N	\N	\N
1076534	3678	1996-02-09	PRIJEM	VKLAD	8901	13726	\N	\N	\N
1076535	3678	1996-03-09	PRIJEM	VKLAD	8901	22677	\N	\N	\N
1076536	3678	1996-04-09	PRIJEM	VKLAD	8901	26647	\N	\N	\N
1076537	3678	1996-05-09	PRIJEM	VKLAD	8901	17672	\N	\N	\N
1076538	3678	1996-06-09	PRIJEM	VKLAD	13352	26198	\N	\N	\N
1076539	3678	1996-07-09	PRIJEM	VKLAD	8901	24386	\N	\N	\N
1076540	3678	1996-08-09	PRIJEM	VKLAD	8901	19966	\N	\N	\N
1076541	3678	1996-09-09	PRIJEM	VKLAD	8901	15847	\N	\N	\N
1076542	3678	1996-10-09	PRIJEM	VKLAD	8901	18210	\N	\N	\N
1076543	3678	1996-11-09	PRIJEM	VKLAD	8901	19972	\N	\N	\N
1076544	3678	1996-12-09	PRIJEM	VKLAD	13352	15357	\N	\N	\N
1076545	3678	1997-01-09	PRIJEM	VKLAD	8901	6974	\N	\N	\N
1076546	3678	1997-02-09	PRIJEM	VKLAD	8901	8191	\N	\N	\N
1076547	3678	1997-03-09	PRIJEM	VKLAD	8901	-2309	\N	\N	\N
1076548	3678	1997-04-09	PRIJEM	VKLAD	8901	1251	\N	\N	\N
1076549	3678	1997-05-09	PRIJEM	VKLAD	8901	-6108	\N	\N	\N
1076550	3678	1997-06-09	PRIJEM	VKLAD	13352	7163	\N	\N	\N
1076551	3678	1997-07-09	PRIJEM	VKLAD	8901	5345	\N	\N	\N
1076552	3678	1997-08-09	PRIJEM	VKLAD	8901	-2776	\N	\N	\N
1076553	3678	1997-09-09	PRIJEM	VKLAD	8901	-3720	\N	\N	\N
1076554	3678	1997-10-09	PRIJEM	VKLAD	8901	5124	\N	\N	\N
1076555	3678	1997-11-09	PRIJEM	VKLAD	8901	-3997	\N	\N	\N
1076556	3678	1997-12-09	PRIJEM	VKLAD	13352	9303	\N	\N	\N
1076557	3678	1998-01-09	PRIJEM	VKLAD	8901	-99	\N	\N	\N
1076558	3678	1998-02-09	PRIJEM	VKLAD	8901	-2816	\N	\N	\N
1076559	3678	1998-03-09	PRIJEM	VKLAD	8901	743	\N	\N	\N
1076560	3678	1998-04-09	PRIJEM	VKLAD	8901	-1723	\N	\N	\N
1076561	3678	1998-05-09	PRIJEM	VKLAD	8901	-4255	\N	\N	\N
1076562	3678	1998-06-09	PRIJEM	VKLAD	13352	3740	\N	\N	\N
1076563	3678	1998-07-09	PRIJEM	VKLAD	8901	1797	\N	\N	\N
1076564	3678	1998-08-09	PRIJEM	VKLAD	8901	-356	\N	\N	\N
1076565	3678	1998-09-09	PRIJEM	VKLAD	8901	-1020	\N	\N	\N
1076566	3678	1998-10-09	PRIJEM	VKLAD	8901	2556	\N	\N	\N
1076567	3678	1998-11-09	PRIJEM	VKLAD	8901	4300	\N	\N	\N
1076568	3678	1998-12-09	PRIJEM	VKLAD	13352	-369	\N	\N	\N
1076576	3678	1993-08-10	VYDAJ	VYBER	6600	25344	SIPO	\N	0
1076577	3678	1993-09-08	VYDAJ	VYBER	5600	16316	SIPO	\N	0
1076578	3678	1993-10-12	VYDAJ	VYBER	7000	15997	SIPO	\N	0
1076579	3678	1993-11-03	VYDAJ	VYBER	4600	15484	SIPO	\N	0
1076580	3678	1993-12-04	VYDAJ	VYBER	5800	16434	SIPO	\N	0
1076581	3678	1994-01-03	VYDAJ	VYBER	6700	15651	SIPO	\N	0
1076582	3678	1994-02-01	VYDAJ	VYBER	5400	5033	SIPO	\N	0
1076583	3678	1994-03-14	VYDAJ	VYBER	4800	15073	SIPO	\N	0
1076584	3678	1994-04-07	VYDAJ	VYBER	6300	11094	SIPO	\N	0
1076585	3678	1994-05-15	VYDAJ	VYBER	5700	12748	SIPO	\N	0
1076586	3678	1994-06-07	VYDAJ	VYBER	5000	9497	SIPO	\N	0
1076587	3678	1994-07-07	VYDAJ	VYBER	7000	5306	SIPO	\N	0
1076588	3678	1994-08-08	VYDAJ	VYBER	4700	7087	SIPO	\N	0
1076589	3678	1994-09-19	VYDAJ	VYBER	5800	21343	SIPO	\N	0
1076590	3678	1994-10-14	VYDAJ	VYBER	5200	25114	SIPO	\N	0
1076591	3678	1994-11-04	VYDAJ	VYBER	6200	16193	SIPO	\N	0
1076592	3678	1994-12-19	VYDAJ	VYBER	6500	19407	SIPO	\N	0
1076593	3678	1995-01-15	VYDAJ	VYBER	6000	17680	SIPO	\N	0
1076594	3678	1995-02-12	VYDAJ	VYBER	6200	17393	SIPO	\N	0
1076595	3678	1995-03-13	VYDAJ	VYBER	5800	10008	SIPO	\N	0
1076596	3678	1995-04-01	VYDAJ	VYBER	6900	6948	SIPO	\N	0
1076597	3678	1995-05-14	VYDAJ	VYBER	5700	12958	SIPO	\N	0
1076598	3678	1995-06-07	VYDAJ	VYBER	7000	6002	SIPO	\N	0
1076599	3678	1995-07-02	VYDAJ	VYBER	7200	6830	SIPO	\N	0
1076600	3678	1995-08-16	VYDAJ	VYBER	6400	7134	SIPO	\N	0
1076601	3678	1995-09-10	VYDAJ	VYBER	5700	16565	SIPO	\N	0
1076602	3678	1995-10-08	VYDAJ	VYBER	4400	6925	SIPO	\N	0
1076603	3678	1995-11-05	VYDAJ	VYBER	5400	6694	SIPO	\N	0
1076604	3678	1995-12-15	VYDAJ	VYBER	7200	5261	SIPO	\N	0
1076605	3678	1996-01-12	VYDAJ	VYBER	7200	8985	SIPO	\N	0
1076606	3678	1996-02-01	VYDAJ	VYBER	6300	-2575	SIPO	\N	0
1076607	3678	1996-03-14	VYDAJ	VYBER	5100	12308	SIPO	\N	0
1076608	3678	1996-04-11	VYDAJ	VYBER	5400	21247	SIPO	\N	0
1076609	3678	1996-05-08	VYDAJ	VYBER	7300	8771	SIPO	\N	0
1076610	3678	1996-06-19	VYDAJ	VYBER	6200	14729	SIPO	\N	0
1076611	3678	1996-07-10	VYDAJ	VYBER	4900	19486	SIPO	\N	0
1076612	3678	1996-08-07	VYDAJ	VYBER	7200	11065	SIPO	\N	0
1076613	3678	1996-09-03	VYDAJ	VYBER	6100	7446	SIPO	\N	0
1076614	3678	1996-10-07	VYDAJ	VYBER	5700	9309	SIPO	\N	0
1076615	3678	1996-11-11	VYDAJ	VYBER	6900	13072	SIPO	\N	0
1076616	3678	1996-12-05	VYDAJ	VYBER	7000	2005	SIPO	\N	0
1076617	3678	1997-01-01	VYDAJ	VYBER	5500	3293	SIPO	\N	0
1076618	3678	1997-02-16	VYDAJ	VYBER	7000	-4078	SIPO	\N	0
1076619	3678	1997-03-03	VYDAJ	VYBER	7100	-11210	SIPO	\N	0
1076620	3678	1997-04-18	VYDAJ	VYBER	6200	-10218	SIPO	\N	0
1076621	3678	1997-05-02	VYDAJ	VYBER	4700	-15009	SIPO	\N	0
1076622	3678	1997-06-15	VYDAJ	VYBER	5400	-3506	SIPO	\N	0
1076623	3678	1997-07-10	VYDAJ	VYBER	5400	-55	SIPO	\N	0
1076624	3678	1997-08-01	VYDAJ	VYBER	6300	-11677	SIPO	\N	0
1076625	3678	1997-09-06	VYDAJ	VYBER	4500	-12621	SIPO	\N	0
1076626	3678	1997-10-15	VYDAJ	VYBER	5800	-5945	SIPO	\N	0
1076627	3678	1997-11-02	VYDAJ	VYBER	6900	-12898	SIPO	\N	0
1076628	3678	1997-12-16	VYDAJ	VYBER	7000	-2966	SIPO	\N	0
1076629	3678	1998-01-08	VYDAJ	VYBER	6000	-9000	SIPO	\N	0
1076630	3678	1998-02-04	VYDAJ	VYBER	6300	-11717	SIPO	\N	0
1076631	3678	1998-03-10	VYDAJ	VYBER	6100	-5357	SIPO	\N	0
1076632	3678	1998-04-08	VYDAJ	VYBER	5200	-10624	SIPO	\N	0
1076633	3678	1998-05-05	VYDAJ	VYBER	6100	-13156	SIPO	\N	0
1076634	3678	1998-06-16	VYDAJ	VYBER	5500	-7029	SIPO	\N	0
1076635	3678	1998-07-10	VYDAJ	VYBER	5700	-3903	SIPO	\N	0
1076636	3678	1998-08-11	VYDAJ	VYBER	4600	-4956	SIPO	\N	0
1076637	3678	1998-09-07	VYDAJ	VYBER	4900	-9921	SIPO	\N	0
1076638	3678	1998-10-18	VYDAJ	VYBER	7100	-4544	SIPO	\N	0
1076639	3678	1998-11-18	VYDAJ	VYBER	6400	-7369	SIPO	\N	0
1076640	3678	1998-12-01	VYDAJ	VYBER	6300	-13721	SIPO	\N	0
1076648	3678	1993-08-09	VYDAJ	VYBER	7200	31944	\N	\N	0
1076649	3678	1993-09-09	VYDAJ	VYBER	3700	21517	\N	\N	0
1076650	3678	1993-10-11	VYDAJ	VYBER	6300	22997	\N	\N	0
1076651	3678	1993-11-13	VYDAJ	VYBER	3700	18165	\N	\N	0
1076652	3678	1993-12-11	VYDAJ	VYBER	4600	25186	\N	\N	0
1076653	3678	1994-01-06	VYDAJ	VYBER	7800	7851	\N	\N	0
1076654	3678	1994-02-09	VYDAJ	VYBER	5800	8134	\N	\N	0
1076655	3678	1994-03-01	VYDAJ	VYBER	5900	10972	\N	\N	0
1076656	3678	1994-04-11	VYDAJ	VYBER	6200	13795	\N	\N	0
1076657	3678	1994-05-12	VYDAJ	VYBER	6100	18448	\N	\N	0
1076658	3678	1994-06-16	VYDAJ	VYBER	5800	17049	\N	\N	0
1076659	3678	1994-06-27	VYDAJ	VYBER	5200	12249	\N	\N	0
1076660	3678	1994-08-03	VYDAJ	VYBER	3900	11787	\N	\N	0
1076661	3678	1994-09-15	VYDAJ	VYBER	4900	27143	\N	\N	0
1076662	3678	1994-10-17	VYDAJ	VYBER	5100	22314	\N	\N	0
1076663	3678	1994-11-16	VYDAJ	VYBER	5800	21594	\N	\N	0
1076664	3678	1994-12-02	VYDAJ	VYBER	4800	14155	\N	\N	0
1076665	3678	1995-01-02	VYDAJ	VYBER	6100	13379	\N	\N	0
1076666	3678	1995-02-12	VYDAJ	PREVOD NA UCET	5269	12124	UVER	CD	68775540
1076667	3678	1995-03-12	VYDAJ	PREVOD NA UCET	5269	15808	UVER	CD	68775540
1076668	3678	1995-04-12	VYDAJ	PREVOD NA UCET	5269	10580	UVER	CD	68775540
1076669	3678	1995-05-12	VYDAJ	PREVOD NA UCET	5269	18458	UVER	CD	68775540
1076670	3678	1995-06-12	VYDAJ	PREVOD NA UCET	5269	14085	UVER	CD	68775540
1076671	3678	1995-07-12	VYDAJ	PREVOD NA UCET	5269	12262	UVER	CD	68775540
1076672	3678	1995-08-12	VYDAJ	PREVOD NA UCET	5269	13534	UVER	CD	68775540
1076673	3678	1995-09-12	VYDAJ	PREVOD NA UCET	5269	11296	UVER	CD	68775540
1076674	3678	1995-10-12	VYDAJ	PREVOD NA UCET	5269	12057	UVER	CD	68775540
1076675	3678	1995-11-12	VYDAJ	PREVOD NA UCET	5269	10026	UVER	CD	68775540
1076676	3678	1995-12-12	VYDAJ	PREVOD NA UCET	5269	12461	UVER	CD	68775540
1076677	3678	1996-01-12	VYDAJ	PREVOD NA UCET	5269	3716	UVER	CD	68775540
1076678	3678	1996-02-12	VYDAJ	PREVOD NA UCET	5269	8457	UVER	CD	68775540
1076679	3678	1996-03-12	VYDAJ	PREVOD NA UCET	5269	17408	UVER	CD	68775540
1076680	3678	1996-04-12	VYDAJ	PREVOD NA UCET	5269	15978	UVER	CD	68775540
1076681	3678	1996-05-12	VYDAJ	PREVOD NA UCET	5269	12403	UVER	CD	68775540
1076682	3678	1996-06-12	VYDAJ	PREVOD NA UCET	5269	20929	UVER	CD	68775540
1076683	3678	1996-07-12	VYDAJ	PREVOD NA UCET	5269	14217	UVER	CD	68775540
1076684	3678	1996-08-12	VYDAJ	PREVOD NA UCET	5269	14697	UVER	CD	68775540
1076685	3678	1996-09-12	VYDAJ	PREVOD NA UCET	5269	10578	UVER	CD	68775540
1076686	3678	1996-10-12	VYDAJ	PREVOD NA UCET	5269	12941	UVER	CD	68775540
1076687	3678	1996-11-12	VYDAJ	PREVOD NA UCET	5269	7803	UVER	CD	68775540
1076688	3678	1996-12-12	VYDAJ	PREVOD NA UCET	5269	10088	UVER	CD	68775540
1076689	3678	1997-01-12	VYDAJ	PREVOD NA UCET	5269	-695	UVER	CD	68775540
1076690	3678	1997-02-12	VYDAJ	PREVOD NA UCET	5269	2922	UVER	CD	68775540
1076691	3678	1997-03-12	VYDAJ	PREVOD NA UCET	5269	-7578	UVER	CD	68775540
1076692	3678	1997-04-12	VYDAJ	PREVOD NA UCET	5269	-4018	UVER	CD	68775540
1076694	3678	1997-06-12	VYDAJ	PREVOD NA UCET	5269	1894	UVER	CD	68775540
1076695	3678	1997-07-12	VYDAJ	PREVOD NA UCET	5269	-5324	UVER	CD	68775540
1076696	3678	1997-08-12	VYDAJ	PREVOD NA UCET	5269	-8045	UVER	CD	68775540
1076698	3678	1997-10-12	VYDAJ	PREVOD NA UCET	5269	-145	UVER	CD	68775540
1076700	3678	1997-12-12	VYDAJ	PREVOD NA UCET	5269	4034	UVER	CD	68775540
1076701	3678	1998-01-12	VYDAJ	PREVOD NA UCET	5269	-5368	UVER	CD	68775540
1076702	3678	1998-02-12	VYDAJ	PREVOD NA UCET	5269	-8085	UVER	CD	68775540
1076704	3678	1998-04-12	VYDAJ	PREVOD NA UCET	5269	-6992	UVER	CD	68775540
1076705	3678	1998-05-12	VYDAJ	PREVOD NA UCET	5269	-9524	UVER	CD	68775540
1076706	3678	1998-06-12	VYDAJ	PREVOD NA UCET	5269	-1529	UVER	CD	68775540
1076707	3678	1998-07-12	VYDAJ	PREVOD NA UCET	5269	-9172	UVER	CD	68775540
1076709	3678	1998-09-12	VYDAJ	PREVOD NA UCET	5269	-6289	UVER	CD	68775540
1076711	3678	1998-11-12	VYDAJ	PREVOD NA UCET	5269	-969	UVER	CD	68775540
1076712	3678	1998-12-12	VYDAJ	PREVOD NA UCET	5269	-5638	UVER	CD	68775540
1076725	3678	1993-12-22	VYDAJ	VYBER	2720	22266	\N	\N	\N
1076726	3678	1994-12-01	VYDAJ	VYBER	2720	18955	\N	\N	\N
1076728	3678	1996-12-04	VYDAJ	VYBER	1120	9005	\N	\N	\N
1076737	3678	1994-01-18	VYDAJ	VYBER	1200	14352	\N	\N	\N
1076738	3678	1994-01-09	VYDAJ	VYBER	2640	13032	\N	\N	\N
1076739	3678	1994-01-09	VYDAJ	VYBER	1680	11352	\N	\N	\N
1076740	3678	1994-01-07	VYDAJ	VYBER	1080	6771	\N	\N	\N
1076741	3678	1994-01-19	VYDAJ	VYBER	2040	12312	\N	\N	\N
1076742	3678	1994-01-28	VYDAJ	VYBER	1920	10392	\N	\N	\N
1076743	3678	1995-01-17	VYDAJ	VYBER	1560	13600	\N	\N	\N
1076744	3678	1995-01-15	VYDAJ	VYBER	2520	15160	\N	\N	\N
1076745	3678	1995-01-10	VYDAJ	VYBER	1200	18080	\N	\N	\N
1076746	3678	1995-01-29	VYDAJ	VYBER	840	12760	\N	\N	\N
1076747	3678	1995-01-07	VYDAJ	VYBER	2160	10379	\N	\N	\N
1076748	3678	1995-01-07	VYDAJ	VYBER	840	12539	\N	\N	\N
1076749	3678	1996-01-11	VYDAJ	VYBER	1680	16185	\N	\N	\N
1076754	3678	1996-01-11	VYDAJ	VYBER	1920	17865	\N	\N	\N
1076756	3678	1997-01-01	VYDAJ	VYBER	1320	8793	\N	\N	\N
1076757	3678	1997-01-07	VYDAJ	VYBER	1080	-1927	\N	\N	\N
1076758	3678	1997-01-10	VYDAJ	VYBER	2400	4574	\N	\N	\N
1076759	3678	1997-01-04	VYDAJ	VYBER	840	-847	\N	\N	\N
1076768	3678	1993-08-21	VYDAJ	VYBER	3120	22224	\N	\N	\N
1076773	3678	1993-11-06	VYDAJ	VYBER	2520	12964	\N	\N	\N
1076774	3678	1993-10-29	VYDAJ	VYBER	1080	20017	\N	\N	\N
1076775	3678	1994-03-28	VYDAJ	VYBER	3240	17333	\N	\N	\N
1076776	3678	1994-07-08	VYDAJ	VYBER	3960	1346	\N	\N	\N
1076781	3678	1995-12-12	VYDAJ	VYBER	4080	17730	\N	\N	\N
1076782	3678	1995-02-10	VYDAJ	VYBER	2520	19193	\N	\N	\N
1076784	3678	1995-08-01	VYDAJ	VYBER	2400	9902	\N	\N	\N
1076786	3678	1996-05-04	VYDAJ	VYBER	4560	11471	\N	\N	\N
1076787	3678	1996-10-28	VYDAJ	VYBER	2760	6341	\N	\N	\N
1076788	3678	1996-10-17	VYDAJ	VYBER	3840	9101	\N	\N	\N
1076789	3678	1996-09-01	VYDAJ	VYBER	1200	13546	\N	\N	\N
1076807	3678	1993-08-31	VYDAJ	VYBER	15	21916	SLUZBY	\N	\N
1076808	3678	1993-09-30	VYDAJ	VYBER	15	20396	SLUZBY	\N	\N
1076809	3678	1993-10-31	VYDAJ	VYBER	15	20084	SLUZBY	\N	\N
1076810	3678	1993-11-30	VYDAJ	VYBER	15	22234	SLUZBY	\N	\N
1076811	3678	1993-12-31	VYDAJ	VYBER	15	22351	SLUZBY	\N	\N
1076812	3678	1994-01-31	VYDAJ	VYBER	15	10433	SLUZBY	\N	\N
1076813	3678	1994-02-28	VYDAJ	VYBER	15	16872	SLUZBY	\N	\N
1076814	3678	1994-03-31	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
1076815	3678	1994-04-30	VYDAJ	VYBER	15	15647	SLUZBY	\N	\N
1076816	3678	1994-05-31	VYDAJ	VYBER	15	14497	SLUZBY	\N	\N
1076817	3678	1994-06-30	VYDAJ	VYBER	15	12306	SLUZBY	\N	\N
1076818	3678	1994-07-31	VYDAJ	VYBER	15	15687	SLUZBY	\N	\N
1076819	3678	1994-08-31	VYDAJ	VYBER	15	17442	SLUZBY	\N	\N
1076820	3678	1994-09-30	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
1076821	3678	1994-10-31	VYDAJ	VYBER	15	22393	SLUZBY	\N	\N
1076822	3678	1994-11-30	VYDAJ	VYBER	15	21675	SLUZBY	\N	\N
1076823	3678	1994-12-31	VYDAJ	VYBER	15	19479	SLUZBY	\N	\N
1076824	3678	1995-01-31	VYDAJ	VYBER	15	12812	SLUZBY	\N	\N
1076825	3678	1995-02-28	VYDAJ	VYBER	15	12176	SLUZBY	\N	\N
1076826	3678	1995-03-31	VYDAJ	VYBER	15	13848	SLUZBY	\N	\N
1076827	3678	1995-04-30	VYDAJ	VYBER	15	14826	SLUZBY	\N	\N
1076828	3678	1995-05-31	VYDAJ	VYBER	15	13002	SLUZBY	\N	\N
1076829	3678	1995-06-30	VYDAJ	VYBER	15	14030	SLUZBY	\N	\N
1076830	3678	1995-07-31	VYDAJ	VYBER	15	12302	SLUZBY	\N	\N
1076831	3678	1995-08-31	VYDAJ	VYBER	15	7164	SLUZBY	\N	\N
1076832	3678	1995-09-30	VYDAJ	VYBER	15	11325	SLUZBY	\N	\N
1076833	3678	1995-10-31	VYDAJ	VYBER	15	12094	SLUZBY	\N	\N
1076834	3678	1995-11-30	VYDAJ	VYBER	15	10058	SLUZBY	\N	\N
1076835	3678	1995-12-31	VYDAJ	VYBER	15	5284	SLUZBY	\N	\N
1076836	3678	1996-01-31	VYDAJ	VYBER	15	3725	SLUZBY	\N	\N
1076837	3678	1996-02-29	VYDAJ	VYBER	15	8476	SLUZBY	\N	\N
1076838	3678	1996-03-31	VYDAJ	VYBER	15	12346	SLUZBY	\N	\N
1076839	3678	1996-04-30	VYDAJ	VYBER	15	16031	SLUZBY	\N	\N
1076840	3678	1996-05-31	VYDAJ	VYBER	15	12446	SLUZBY	\N	\N
1076841	3678	1996-06-30	VYDAJ	VYBER	15	14785	SLUZBY	\N	\N
1076842	3678	1996-07-31	VYDAJ	VYBER	15	14265	SLUZBY	\N	\N
1076843	3678	1996-08-31	VYDAJ	VYBER	15	14746	SLUZBY	\N	\N
1076844	3678	1996-09-30	VYDAJ	VYBER	15	10609	SLUZBY	\N	\N
1076845	3678	1996-10-31	VYDAJ	VYBER	15	6371	SLUZBY	\N	\N
1076846	3678	1996-11-30	VYDAJ	VYBER	15	7825	SLUZBY	\N	\N
1076847	3678	1996-12-31	VYDAJ	VYBER	15	10113	SLUZBY	\N	\N
1076848	3678	1997-01-31	VYDAJ	VYBER	15	-706	SLUZBY	\N	\N
1076849	3678	1997-02-28	VYDAJ	VYBER	15	-4110	SLUZBY	\N	\N
1076850	3678	1997-03-31	VYDAJ	VYBER	15	-7650	SLUZBY	\N	\N
1076851	3678	1997-04-30	VYDAJ	VYBER	15	-10309	SLUZBY	\N	\N
1076852	3678	1997-05-31	VYDAJ	VYBER	15	-6189	SLUZBY	\N	\N
1076853	3678	1997-06-30	VYDAJ	VYBER	15	-3520	SLUZBY	\N	\N
1076854	3678	1997-07-31	VYDAJ	VYBER	15	-5377	SLUZBY	\N	\N
1076855	3678	1997-08-31	VYDAJ	VYBER	15	-8121	SLUZBY	\N	\N
1076856	3678	1997-09-30	VYDAJ	VYBER	15	-3735	SLUZBY	\N	\N
1076857	3678	1997-10-31	VYDAJ	VYBER	15	-5998	SLUZBY	\N	\N
1076858	3678	1997-11-30	VYDAJ	VYBER	15	-4012	SLUZBY	\N	\N
1076859	3678	1997-12-31	VYDAJ	VYBER	15	-2978	SLUZBY	\N	\N
1076860	3678	1998-01-31	VYDAJ	VYBER	15	-5417	SLUZBY	\N	\N
1076861	3678	1998-02-28	VYDAJ	VYBER	15	-8100	SLUZBY	\N	\N
1076862	3678	1998-03-31	VYDAJ	VYBER	15	-5424	SLUZBY	\N	\N
1076863	3678	1998-04-30	VYDAJ	VYBER	15	-7056	SLUZBY	\N	\N
1076864	3678	1998-05-31	VYDAJ	VYBER	15	-9612	SLUZBY	\N	\N
1076865	3678	1998-06-30	VYDAJ	VYBER	15	-7043	SLUZBY	\N	\N
1076866	3678	1998-07-31	VYDAJ	VYBER	15	-9187	SLUZBY	\N	\N
1076867	3678	1998-08-31	VYDAJ	VYBER	15	-5021	SLUZBY	\N	\N
1076868	3678	1998-09-30	VYDAJ	VYBER	15	-6345	SLUZBY	\N	\N
1076869	3678	1998-10-31	VYDAJ	VYBER	15	-4559	SLUZBY	\N	\N
1076870	3678	1998-11-30	VYDAJ	VYBER	15	-7383	SLUZBY	\N	\N
1076871	3678	1993-04-23	PRIJEM	VKLAD	5300	15001	\N	\N	\N
1076872	3678	1993-06-22	VYDAJ	VYBER	6700	30633	\N	\N	\N
1076873	3678	1993-07-22	VYDAJ	VYBER	9500	30116	\N	\N	\N
1076874	3678	1993-08-21	VYDAJ	VYBER	400	21824	\N	\N	\N
1076875	3678	1993-09-20	VYDAJ	VYBER	1200	20317	\N	\N	\N
1076876	3678	1993-10-20	PRIJEM	VKLAD	5100	21097	\N	\N	\N
1076877	3678	1993-11-19	PRIJEM	VKLAD	4000	22165	\N	\N	\N
1076878	3678	1993-12-19	VYDAJ	VYBER	200	24986	\N	\N	\N
1076879	3678	1994-01-18	PRIJEM	VKLAD	4200	15552	\N	\N	\N
1076880	3678	1994-02-17	PRIJEM	VKLAD	8700	16834	\N	\N	\N
1076881	3678	1994-03-19	PRIJEM	VKLAD	5500	20573	\N	\N	\N
1076882	3678	1994-04-18	PRIJEM	VKLAD	1800	15595	\N	\N	\N
1076883	3678	1994-05-18	PRIJEM	VKLAD	1700	14448	\N	\N	\N
1076884	3678	1994-06-17	PRIJEM	VKLAD	400	17449	\N	\N	\N
1076885	3678	1994-07-17	PRIJEM	VKLAD	5400	15647	\N	\N	\N
1076886	3678	1994-08-16	PRIJEM	VKLAD	1400	17388	\N	\N	\N
1076887	3678	1994-09-15	PRIJEM	VKLAD	5700	32043	\N	\N	\N
1076888	3678	1994-10-15	PRIJEM	VKLAD	2300	27414	\N	\N	\N
1076889	3678	1994-11-14	PRIJEM	VKLAD	2300	27394	\N	\N	\N
1076890	3678	1994-12-14	VYDAJ	VYBER	1600	25907	\N	\N	\N
1076891	3678	1995-01-13	PRIJEM	VKLAD	5600	23680	\N	\N	\N
1076892	3678	1995-02-12	PRIJEM	VKLAD	4400	23593	\N	\N	\N
1076893	3678	1995-03-14	PRIJEM	VKLAD	3800	13808	\N	\N	\N
1076894	3678	1995-04-13	PRIJEM	VKLAD	4200	14780	\N	\N	\N
1076895	3678	1995-05-13	PRIJEM	VKLAD	200	18658	\N	\N	\N
1076896	3678	1995-06-12	VYDAJ	VYBER	100	13985	\N	\N	\N
1076897	3678	1995-07-12	PRIJEM	VKLAD	1800	17531	\N	\N	\N
1076898	3678	1995-09-10	PRIJEM	VKLAD	6200	22265	\N	\N	\N
1076899	3678	1995-10-10	PRIJEM	VKLAD	1500	17326	\N	\N	\N
1076900	3678	1995-11-09	VYDAJ	VYBER	300	15295	\N	\N	\N
1076901	3678	1995-12-09	VYDAJ	VYBER	1600	21810	\N	\N	\N
1076902	3678	1996-01-08	PRIJEM	VKLAD	5600	10884	\N	\N	\N
1076903	3678	1996-02-07	PRIJEM	VKLAD	7400	4825	\N	\N	\N
1076904	3678	1996-03-08	PRIJEM	VKLAD	5300	13776	\N	\N	\N
1076905	3678	1996-04-07	PRIJEM	VKLAD	5400	17746	\N	\N	\N
1076906	3678	1996-05-07	PRIJEM	VKLAD	4600	16071	\N	\N	\N
1076907	3678	1996-06-06	PRIJEM	VKLAD	400	12846	\N	\N	\N
1076908	3678	1996-07-06	PRIJEM	VKLAD	700	15485	\N	\N	\N
1076909	3678	1996-08-05	PRIJEM	VKLAD	4000	18265	\N	\N	\N
1076910	3678	1996-09-04	VYDAJ	VYBER	500	6946	\N	\N	\N
1076911	3678	1996-10-04	PRIJEM	VKLAD	4400	15009	\N	\N	\N
1076912	3678	1996-11-03	PRIJEM	VKLAD	4700	11071	\N	\N	\N
1076913	3678	1996-12-03	PRIJEM	VKLAD	2300	10125	\N	\N	\N
1076914	3678	1997-01-02	VYDAJ	VYBER	3300	-7	\N	\N	\N
1077000	3679	1995-08-15	PRIJEM	VKLAD	800	800	\N	\N	\N
1077009	3679	1995-09-12	PRIJEM	VKLAD	17241	18041	\N	\N	\N
1077010	3679	1995-10-12	PRIJEM	VKLAD	17241	38632	\N	\N	\N
1077011	3679	1995-11-12	PRIJEM	VKLAD	17241	51293	\N	\N	\N
1077012	3679	1995-12-12	PRIJEM	VKLAD	25862	62904	\N	\N	\N
1077013	3679	1996-01-12	PRIJEM	VKLAD	17241	55923	\N	\N	\N
1077014	3679	1996-02-12	PRIJEM	VKLAD	17241	33731	\N	\N	\N
1077015	3679	1996-03-12	PRIJEM	VKLAD	17241	37153	\N	\N	\N
1077016	3679	1996-04-12	PRIJEM	VKLAD	17241	39589	\N	\N	\N
1077017	3679	1996-05-12	PRIJEM	VKLAD	17241	33311	\N	\N	\N
1077018	3679	1996-06-12	PRIJEM	VKLAD	25862	52158	\N	\N	\N
1077019	3679	1996-07-12	PRIJEM	VKLAD	17241	52244	\N	\N	\N
1077020	3679	1996-08-12	PRIJEM	VKLAD	17241	50837	\N	\N	\N
1077021	3679	1996-09-12	PRIJEM	VKLAD	17241	52348	\N	\N	\N
1077022	3679	1996-10-12	PRIJEM	VKLAD	17241	50387	\N	\N	\N
1077023	3679	1996-11-12	PRIJEM	VKLAD	17241	48640	\N	\N	\N
1077024	3679	1996-12-12	PRIJEM	VKLAD	25862	55685	\N	\N	\N
1077025	3679	1997-01-12	PRIJEM	VKLAD	17241	38544	\N	\N	\N
1077026	3679	1997-02-12	PRIJEM	VKLAD	17241	36364	\N	\N	\N
1077027	3679	1997-03-12	PRIJEM	VKLAD	17241	36132	\N	\N	\N
1077028	3679	1997-04-12	PRIJEM	VKLAD	17241	32206	\N	\N	\N
1077029	3679	1997-05-12	PRIJEM	VKLAD	17241	32041	\N	\N	\N
1077030	3679	1997-06-12	PRIJEM	VKLAD	25862	37467	\N	\N	\N
1077031	3679	1997-07-12	PRIJEM	VKLAD	17241	37030	\N	\N	\N
1077032	3679	1997-08-12	PRIJEM	VKLAD	17241	34878	\N	\N	\N
1077033	3679	1997-09-12	PRIJEM	VKLAD	17241	31839	\N	\N	\N
1077034	3679	1997-10-12	PRIJEM	VKLAD	17241	33468	\N	\N	\N
1077035	3679	1997-11-12	PRIJEM	VKLAD	17241	34128	\N	\N	\N
1077036	3679	1997-12-12	PRIJEM	VKLAD	25862	45266	\N	\N	\N
1077037	3679	1998-01-12	PRIJEM	VKLAD	17241	37141	\N	\N	\N
1077038	3679	1998-02-12	PRIJEM	VKLAD	17241	36279	\N	\N	\N
1077039	3679	1998-03-12	PRIJEM	VKLAD	17241	41530	\N	\N	\N
1077040	3679	1998-04-12	PRIJEM	VKLAD	17241	46996	\N	\N	\N
1077041	3679	1998-05-12	PRIJEM	VKLAD	17241	48586	\N	\N	\N
1077042	3679	1998-06-12	PRIJEM	VKLAD	25862	60406	\N	\N	\N
1077043	3679	1998-07-12	PRIJEM	VKLAD	17241	54844	\N	\N	\N
1077044	3679	1998-08-12	PRIJEM	VKLAD	17241	45950	\N	\N	\N
1077045	3679	1998-09-12	PRIJEM	VKLAD	17241	45241	\N	\N	\N
1077046	3679	1998-10-12	PRIJEM	VKLAD	17241	44930	\N	\N	\N
1077047	3679	1998-11-12	PRIJEM	VKLAD	17241	50021	\N	\N	\N
1077048	3679	1998-12-12	PRIJEM	VKLAD	25862	63172	\N	\N	\N
1077062	3679	1996-02-08	VYDAJ	PREVOD NA UCET	3869	23790	SIPO	CD	36547637
1077063	3679	1996-03-08	VYDAJ	PREVOD NA UCET	3869	19912	SIPO	CD	36547637
1077064	3679	1996-04-08	VYDAJ	PREVOD NA UCET	3869	17548	SIPO	CD	36547637
1077065	3679	1996-05-08	VYDAJ	PREVOD NA UCET	3869	12070	SIPO	CD	36547637
1077066	3679	1996-06-08	VYDAJ	PREVOD NA UCET	3869	24396	SIPO	CD	36547637
1077067	3679	1996-07-08	VYDAJ	PREVOD NA UCET	3869	36103	SIPO	CD	36547637
1077068	3679	1996-08-08	VYDAJ	PREVOD NA UCET	3869	32896	SIPO	CD	36547637
1077069	3679	1996-09-08	VYDAJ	PREVOD NA UCET	3869	35107	SIPO	CD	36547637
1077070	3679	1996-10-08	VYDAJ	PREVOD NA UCET	3869	33146	SIPO	CD	36547637
1077071	3679	1996-11-08	VYDAJ	PREVOD NA UCET	3869	35359	SIPO	CD	36547637
1077072	3679	1996-12-08	VYDAJ	PREVOD NA UCET	3869	29823	SIPO	CD	36547637
1077073	3679	1997-01-08	VYDAJ	PREVOD NA UCET	3869	23463	SIPO	CD	36547637
1077074	3679	1997-02-08	VYDAJ	PREVOD NA UCET	3869	19123	SIPO	CD	36547637
1077075	3679	1997-03-08	VYDAJ	PREVOD NA UCET	3869	18891	SIPO	CD	36547637
1077076	3679	1997-04-08	VYDAJ	PREVOD NA UCET	3869	14965	SIPO	CD	36547637
1077077	3679	1997-05-08	VYDAJ	PREVOD NA UCET	3869	14800	SIPO	CD	36547637
1077078	3679	1997-06-08	VYDAJ	PREVOD NA UCET	3869	11605	SIPO	CD	36547637
1077079	3679	1997-07-08	VYDAJ	PREVOD NA UCET	3869	19789	SIPO	CD	36547637
1077080	3679	1997-08-08	VYDAJ	PREVOD NA UCET	3869	17637	SIPO	CD	36547637
1077081	3679	1997-09-08	VYDAJ	PREVOD NA UCET	3869	14598	SIPO	CD	36547637
1077082	3679	1997-10-08	VYDAJ	PREVOD NA UCET	3869	16227	SIPO	CD	36547637
1077083	3679	1997-11-08	VYDAJ	PREVOD NA UCET	3869	16887	SIPO	CD	36547637
1077084	3679	1997-12-08	VYDAJ	PREVOD NA UCET	3869	19404	SIPO	CD	36547637
1077085	3679	1998-01-08	VYDAJ	PREVOD NA UCET	3869	21580	SIPO	CD	36547637
1077086	3679	1998-02-08	VYDAJ	PREVOD NA UCET	3869	19038	SIPO	CD	36547637
1077087	3679	1998-03-08	VYDAJ	PREVOD NA UCET	3869	24289	SIPO	CD	36547637
1077088	3679	1998-04-08	VYDAJ	PREVOD NA UCET	3869	29755	SIPO	CD	36547637
1077089	3679	1998-05-08	VYDAJ	PREVOD NA UCET	3869	31345	SIPO	CD	36547637
1077090	3679	1998-06-08	VYDAJ	PREVOD NA UCET	3869	34544	SIPO	CD	36547637
1077091	3679	1998-07-08	VYDAJ	PREVOD NA UCET	3869	37603	SIPO	CD	36547637
1077092	3679	1998-08-08	VYDAJ	PREVOD NA UCET	3869	28709	SIPO	CD	36547637
1077093	3679	1998-09-08	VYDAJ	PREVOD NA UCET	3869	28000	SIPO	CD	36547637
1077094	3679	1998-10-08	VYDAJ	PREVOD NA UCET	3869	27689	SIPO	CD	36547637
1077095	3679	1998-11-08	VYDAJ	PREVOD NA UCET	3869	32780	SIPO	CD	36547637
1077096	3679	1998-12-08	VYDAJ	PREVOD NA UCET	3869	37310	SIPO	CD	36547637
1077110	3679	1996-02-07	VYDAJ	PREVOD NA UCET	5148	27659	 	OP	62108045
1077111	3679	1996-03-07	VYDAJ	PREVOD NA UCET	5148	23781	 	OP	62108045
1077112	3679	1996-04-07	VYDAJ	PREVOD NA UCET	5148	21417	 	OP	62108045
1077113	3679	1996-05-07	VYDAJ	PREVOD NA UCET	5148	15939	 	OP	62108045
1077114	3679	1996-06-07	VYDAJ	PREVOD NA UCET	5148	28265	 	OP	62108045
1077115	3679	1996-07-07	VYDAJ	PREVOD NA UCET	5148	39972	 	OP	62108045
1077116	3679	1996-08-07	VYDAJ	PREVOD NA UCET	5148	36765	 	OP	62108045
1077117	3679	1996-09-07	VYDAJ	PREVOD NA UCET	5148	36576	 	OP	62108045
1077118	3679	1996-10-07	VYDAJ	PREVOD NA UCET	5148	38115	 	OP	62108045
1077119	3679	1996-11-07	VYDAJ	PREVOD NA UCET	5148	39228	 	OP	62108045
1077120	3679	1996-12-07	VYDAJ	PREVOD NA UCET	5148	33692	 	OP	62108045
1077121	3679	1997-01-07	VYDAJ	PREVOD NA UCET	5148	29252	 	OP	62108045
1077122	3679	1997-02-07	VYDAJ	PREVOD NA UCET	5148	22992	 	OP	62108045
1077123	3679	1997-03-07	VYDAJ	PREVOD NA UCET	5148	22760	 	OP	62108045
1077124	3679	1997-04-07	VYDAJ	PREVOD NA UCET	5148	18834	 	OP	62108045
1077125	3679	1997-05-07	VYDAJ	PREVOD NA UCET	5148	18669	 	OP	62108045
1077126	3679	1997-06-07	VYDAJ	PREVOD NA UCET	5148	15474	 	OP	62108045
1077127	3679	1997-07-07	VYDAJ	PREVOD NA UCET	5148	23658	 	OP	62108045
1077128	3679	1997-08-07	VYDAJ	PREVOD NA UCET	5148	21506	 	OP	62108045
1077129	3679	1997-09-07	VYDAJ	PREVOD NA UCET	5148	18467	 	OP	62108045
1077130	3679	1997-10-07	VYDAJ	PREVOD NA UCET	5148	20096	 	OP	62108045
1077131	3679	1997-11-07	VYDAJ	PREVOD NA UCET	5148	20756	 	OP	62108045
1077132	3679	1997-12-07	VYDAJ	PREVOD NA UCET	5148	23273	 	OP	62108045
1077133	3679	1998-01-07	VYDAJ	PREVOD NA UCET	5148	26529	 	OP	62108045
1077134	3679	1998-02-07	VYDAJ	PREVOD NA UCET	5148	22907	 	OP	62108045
1077135	3679	1998-03-07	VYDAJ	PREVOD NA UCET	5148	28158	 	OP	62108045
1077136	3679	1998-04-07	VYDAJ	PREVOD NA UCET	5148	33624	 	OP	62108045
1077137	3679	1998-05-07	VYDAJ	PREVOD NA UCET	5148	35214	 	OP	62108045
1077138	3679	1998-06-07	VYDAJ	PREVOD NA UCET	5148	38413	 	OP	62108045
1077139	3679	1998-07-07	VYDAJ	PREVOD NA UCET	5148	41472	 	OP	62108045
1077140	3679	1998-08-07	VYDAJ	PREVOD NA UCET	5148	32578	 	OP	62108045
1077141	3679	1998-09-07	VYDAJ	PREVOD NA UCET	5148	31869	 	OP	62108045
1077142	3679	1998-10-07	VYDAJ	PREVOD NA UCET	5148	31558	 	OP	62108045
1077143	3679	1998-11-07	VYDAJ	PREVOD NA UCET	5148	36649	 	OP	62108045
1077144	3679	1998-12-07	VYDAJ	PREVOD NA UCET	5148	41179	 	OP	62108045
1077157	3679	1996-01-04	VYDAJ	VYBER	8100	38682	\N	\N	0
1077158	3679	1996-02-10	VYDAJ	VYBER	11000	12790	\N	\N	0
1077159	3679	1996-03-22	VYDAJ	VYBER	10400	26453	\N	\N	0
1077160	3679	1996-04-12	VYDAJ	VYBER	9100	30489	\N	\N	0
1077161	3679	1996-04-28	VYDAJ	VYBER	9500	20989	\N	\N	0
1077162	3679	1996-06-23	VYDAJ	VYBER	7200	44958	\N	\N	0
1077163	3679	1996-07-19	VYDAJ	VYBER	10500	41744	\N	\N	0
1077164	3679	1996-08-12	VYDAJ	PREVOD NA UCET	9268	41569	UVER	KL	30865085
1077165	3679	1996-09-12	VYDAJ	PREVOD NA UCET	9268	43080	UVER	KL	30865085
1077166	3679	1996-10-12	VYDAJ	PREVOD NA UCET	9268	41119	UVER	KL	30865085
1077167	3679	1996-11-12	VYDAJ	PREVOD NA UCET	9268	39372	UVER	KL	30865085
1077168	3679	1996-12-12	VYDAJ	PREVOD NA UCET	9268	46417	UVER	KL	30865085
1077169	3679	1997-01-12	VYDAJ	PREVOD NA UCET	9268	29276	UVER	KL	30865085
1077170	3679	1997-02-12	VYDAJ	PREVOD NA UCET	9268	27096	UVER	KL	30865085
1077171	3679	1997-03-12	VYDAJ	PREVOD NA UCET	9268	26864	UVER	KL	30865085
1077172	3679	1997-04-12	VYDAJ	PREVOD NA UCET	9268	22938	UVER	KL	30865085
1077173	3679	1997-05-12	VYDAJ	PREVOD NA UCET	9268	22773	UVER	KL	30865085
1077174	3679	1997-06-12	VYDAJ	PREVOD NA UCET	9268	28199	UVER	KL	30865085
1077175	3679	1997-07-12	VYDAJ	PREVOD NA UCET	9268	27762	UVER	KL	30865085
1077176	3679	1997-08-12	VYDAJ	PREVOD NA UCET	9268	25610	UVER	KL	30865085
1077177	3679	1997-09-12	VYDAJ	PREVOD NA UCET	9268	22571	UVER	KL	30865085
1077178	3679	1997-10-12	VYDAJ	PREVOD NA UCET	9268	24200	UVER	KL	30865085
1077179	3679	1997-11-12	VYDAJ	PREVOD NA UCET	9268	24860	UVER	KL	30865085
1077180	3679	1997-12-12	VYDAJ	PREVOD NA UCET	9268	35998	UVER	KL	30865085
1077181	3679	1998-01-12	VYDAJ	PREVOD NA UCET	9268	27873	UVER	KL	30865085
1077182	3679	1998-02-12	VYDAJ	PREVOD NA UCET	9268	27011	UVER	KL	30865085
1077183	3679	1998-03-12	VYDAJ	PREVOD NA UCET	9268	32262	UVER	KL	30865085
1077184	3679	1998-04-12	VYDAJ	PREVOD NA UCET	9268	37728	UVER	KL	30865085
1077185	3679	1998-05-12	VYDAJ	PREVOD NA UCET	9268	39318	UVER	KL	30865085
1077186	3679	1998-06-12	VYDAJ	PREVOD NA UCET	9268	51138	UVER	KL	30865085
1077187	3679	1998-07-12	VYDAJ	PREVOD NA UCET	9268	45576	UVER	KL	30865085
1077188	3679	1998-08-12	VYDAJ	PREVOD NA UCET	9268	36682	UVER	KL	30865085
1077189	3679	1998-09-12	VYDAJ	PREVOD NA UCET	9268	35973	UVER	KL	30865085
1077190	3679	1998-10-12	VYDAJ	PREVOD NA UCET	9268	35662	UVER	KL	30865085
1077191	3679	1998-11-12	VYDAJ	PREVOD NA UCET	9268	40753	UVER	KL	30865085
1077192	3679	1998-12-12	VYDAJ	PREVOD NA UCET	9268	53904	UVER	KL	30865085
1077200	3679	1998-01-02	VYDAJ	VYBER	5440	31677	\N	\N	\N
1077202	3679	1996-12-06	VYDAJ	VYBER	1280	38240	\N	\N	\N
1077203	3679	1997-12-01	VYDAJ	VYBER	3040	20721	\N	\N	\N
1077204	3679	1998-12-15	VYDAJ	VYBER	2880	51024	\N	\N	\N
1077212	3679	1996-01-18	VYDAJ	VYBER	2280	38283	\N	\N	\N
1077215	3679	1996-01-15	VYDAJ	VYBER	1920	40563	\N	\N	\N
1077216	3679	1996-01-14	VYDAJ	VYBER	2040	42483	\N	\N	\N
1077217	3679	1997-01-02	VYDAJ	VYBER	3360	38420	\N	\N	\N
1077218	3679	1997-01-02	VYDAJ	VYBER	2760	41780	\N	\N	\N
1077219	3679	1997-01-08	VYDAJ	VYBER	2160	21303	\N	\N	\N
1077220	3679	1997-01-04	VYDAJ	VYBER	1920	36500	\N	\N	\N
1077221	3679	1997-01-13	VYDAJ	VYBER	2520	26756	\N	\N	\N
1077222	3679	1997-01-13	VYDAJ	VYBER	3120	23636	\N	\N	\N
1077223	3679	1998-01-24	VYDAJ	VYBER	2520	21993	\N	\N	\N
1077224	3679	1998-01-22	VYDAJ	VYBER	2400	24513	\N	\N	\N
1077225	3679	1998-01-08	VYDAJ	VYBER	1080	25449	\N	\N	\N
1077226	3679	1998-01-09	VYDAJ	VYBER	1680	19900	\N	\N	\N
1077227	3679	1998-01-20	VYDAJ	VYBER	960	26913	\N	\N	\N
1077228	3679	1998-01-26	VYDAJ	VYBER	3240	18753	\N	\N	\N
1077234	3679	1996-02-02	VYDAJ	VYBER	3000	35447	\N	\N	\N
1077235	3679	1996-03-04	VYDAJ	VYBER	4920	28929	\N	\N	\N
1077236	3679	1996-02-04	VYDAJ	VYBER	2640	32807	\N	\N	\N
1077237	3679	1996-12-30	VYDAJ	VYBER	2040	44377	\N	\N	\N
1077238	3679	1996-11-09	VYDAJ	VYBER	3960	31399	\N	\N	\N
1077239	3679	1997-08-29	VYDAJ	VYBER	5280	20330	\N	\N	\N
1077240	3679	1997-11-26	VYDAJ	VYBER	1200	23660	\N	\N	\N
1077241	3679	1997-07-17	VYDAJ	VYBER	2400	25362	\N	\N	\N
1077242	3679	1997-01-07	VYDAJ	VYBER	1920	27332	\N	\N	\N
1077243	3679	1997-05-22	VYDAJ	VYBER	1680	18453	\N	\N	\N
1077244	3679	1997-05-16	VYDAJ	VYBER	2640	20133	\N	\N	\N
1077245	3679	1998-12-23	VYDAJ	VYBER	1680	45144	\N	\N	\N
1077246	3679	1998-10-14	VYDAJ	VYBER	600	35062	\N	\N	\N
1077247	3679	1998-12-23	VYDAJ	VYBER	1560	43584	\N	\N	\N
1077248	3679	1998-07-28	VYDAJ	VYBER	3360	38256	\N	\N	\N
1077249	3679	1998-12-17	VYDAJ	VYBER	4200	46824	\N	\N	\N
1077250	3679	1998-07-23	VYDAJ	VYBER	3960	41616	\N	\N	\N
1077251	3679	1998-09-28	VYDAJ	VYBER	4200	36573	\N	\N	\N
1077265	3679	1996-01-31	VYDAJ	VYBER	15	38447	SLUZBY	\N	\N
1077266	3679	1996-02-29	VYDAJ	VYBER	15	33849	SLUZBY	\N	\N
1077267	3679	1996-03-31	VYDAJ	VYBER	15	26565	SLUZBY	\N	\N
1077268	3679	1996-04-30	VYDAJ	VYBER	15	21087	SLUZBY	\N	\N
1077269	3679	1996-05-31	VYDAJ	VYBER	15	33413	SLUZBY	\N	\N
1077270	3679	1996-06-30	VYDAJ	VYBER	15	45120	SLUZBY	\N	\N
1077271	3679	1996-07-31	VYDAJ	VYBER	15	41913	SLUZBY	\N	\N
1077272	3679	1996-08-31	VYDAJ	VYBER	15	41724	SLUZBY	\N	\N
1077273	3679	1996-09-30	VYDAJ	VYBER	15	43263	SLUZBY	\N	\N
1077274	3679	1996-10-31	VYDAJ	VYBER	15	41276	SLUZBY	\N	\N
1077275	3679	1996-11-30	VYDAJ	VYBER	15	39520	SLUZBY	\N	\N
1077276	3679	1996-12-31	VYDAJ	VYBER	15	44540	SLUZBY	\N	\N
1077277	3679	1997-01-31	VYDAJ	VYBER	15	23740	SLUZBY	\N	\N
1077278	3679	1997-02-28	VYDAJ	VYBER	15	27208	SLUZBY	\N	\N
1077279	3679	1997-03-31	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
1077280	3679	1997-04-30	VYDAJ	VYBER	15	23017	SLUZBY	\N	\N
1077281	3679	1997-05-31	VYDAJ	VYBER	15	18522	SLUZBY	\N	\N
1077282	3679	1997-06-30	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
1077283	3679	1997-07-31	VYDAJ	VYBER	15	25454	SLUZBY	\N	\N
1077284	3679	1997-08-31	VYDAJ	VYBER	15	20415	SLUZBY	\N	\N
1077285	3679	1997-09-30	VYDAJ	VYBER	15	22644	SLUZBY	\N	\N
1077286	3679	1997-10-31	VYDAJ	VYBER	15	24304	SLUZBY	\N	\N
1077287	3679	1997-11-30	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
1077288	3679	1997-12-31	VYDAJ	VYBER	15	36117	SLUZBY	\N	\N
1077289	3679	1998-01-31	VYDAJ	VYBER	15	28055	SLUZBY	\N	\N
1077290	3679	1998-02-28	VYDAJ	VYBER	15	27106	SLUZBY	\N	\N
1077291	3679	1998-03-31	VYDAJ	VYBER	15	32372	SLUZBY	\N	\N
1077292	3679	1998-04-30	VYDAJ	VYBER	15	37862	SLUZBY	\N	\N
1077293	3679	1998-05-31	VYDAJ	VYBER	15	43561	SLUZBY	\N	\N
1077294	3679	1998-06-30	VYDAJ	VYBER	15	51320	SLUZBY	\N	\N
1077295	3679	1998-07-31	VYDAJ	VYBER	15	37726	SLUZBY	\N	\N
1077296	3679	1998-08-31	VYDAJ	VYBER	15	37017	SLUZBY	\N	\N
1077297	3679	1998-09-30	VYDAJ	VYBER	15	36706	SLUZBY	\N	\N
1077298	3679	1998-10-31	VYDAJ	VYBER	15	41797	SLUZBY	\N	\N
1077299	3679	1998-11-30	VYDAJ	VYBER	15	46327	SLUZBY	\N	\N
1077300	3679	1995-09-14	PRIJEM	VKLAD	3300	21341	\N	\N	\N
1077301	3679	1995-10-14	VYDAJ	VYBER	4700	33932	\N	\N	\N
1077302	3679	1995-11-13	VYDAJ	VYBER	14400	36893	\N	\N	\N
1077303	3679	1995-12-13	VYDAJ	VYBER	16300	46604	\N	\N	\N
1077304	3679	1996-01-12	VYDAJ	VYBER	11400	44523	\N	\N	\N
1077305	3679	1996-02-11	PRIJEM	VKLAD	3700	16490	\N	\N	\N
1077306	3679	1996-03-12	VYDAJ	VYBER	300	36853	\N	\N	\N
1077307	3679	1996-04-11	PRIJEM	VKLAD	4800	22348	\N	\N	\N
1077308	3679	1996-05-11	PRIJEM	VKLAD	4000	16070	\N	\N	\N
1077309	3679	1996-06-10	PRIJEM	VKLAD	1900	26296	\N	\N	\N
1077310	3679	1996-07-10	VYDAJ	VYBER	1100	35003	\N	\N	\N
1077311	3679	1996-08-09	PRIJEM	VKLAD	700	33596	\N	\N	\N
1077312	3679	1996-09-08	PRIJEM	VKLAD	2400	38976	\N	\N	\N
1077313	3679	1996-10-08	VYDAJ	VYBER	1100	37015	\N	\N	\N
1077314	3679	1996-11-07	PRIJEM	VKLAD	3100	44376	\N	\N	\N
1077315	3679	1996-12-07	PRIJEM	VKLAD	600	38840	\N	\N	\N
1077316	3679	1997-01-06	VYDAJ	VYBER	2100	34400	\N	\N	\N
1077317	3679	1997-02-05	PRIJEM	VKLAD	4400	28140	\N	\N	\N
1077318	3679	1997-03-07	PRIJEM	VKLAD	700	27908	\N	\N	\N
1077319	3679	1997-04-06	VYDAJ	VYBER	3000	23982	\N	\N	\N
1077320	3679	1997-05-06	PRIJEM	VKLAD	800	23817	\N	\N	\N
1077321	3679	1997-06-05	PRIJEM	VKLAD	2100	20622	\N	\N	\N
1077322	3679	1997-07-05	PRIJEM	VKLAD	500	28806	\N	\N	\N
1077323	3679	1997-08-04	PRIJEM	VKLAD	1200	26654	\N	\N	\N
1077324	3679	1997-09-03	PRIJEM	VKLAD	3200	23615	\N	\N	\N
1077325	3679	1997-10-03	PRIJEM	VKLAD	2600	25244	\N	\N	\N
1077326	3679	1997-11-02	PRIJEM	VKLAD	1600	25904	\N	\N	\N
1077327	3679	1997-12-02	PRIJEM	VKLAD	7700	28421	\N	\N	\N
1077328	3679	1998-01-01	PRIJEM	VKLAD	1000	37117	\N	\N	\N
1077329	3679	1998-01-31	PRIJEM	VKLAD	9200	27953	\N	\N	\N
1077330	3679	1998-03-02	PRIJEM	VKLAD	6200	33306	\N	\N	\N
1077331	3679	1998-04-01	PRIJEM	VKLAD	6400	38772	\N	\N	\N
1077332	3679	1998-05-01	PRIJEM	VKLAD	2500	40362	\N	\N	\N
1077333	3679	1998-05-31	PRIJEM	VKLAD	4100	43418	\N	\N	\N
1077334	3679	1998-06-30	VYDAJ	VYBER	4700	46620	\N	\N	\N
1077335	3679	1998-07-30	VYDAJ	VYBER	700	37556	\N	\N	\N
1077336	3679	1998-08-29	PRIJEM	VKLAD	200	36882	\N	\N	\N
1077337	3679	1998-09-28	PRIJEM	VKLAD	4800	40773	\N	\N	\N
1077338	3679	1998-10-28	PRIJEM	VKLAD	6600	41662	\N	\N	\N
1077339	3679	1998-11-27	PRIJEM	VKLAD	5400	46153	\N	\N	\N
1077380	3680	1996-02-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1077383	3680	1996-03-08	PRIJEM	PREVOD Z UCTU	5800	6800	DUCHOD	EF	64667677
1077384	3680	1996-04-08	PRIJEM	PREVOD Z UCTU	5800	12600	DUCHOD	EF	64667677
1077385	3680	1996-05-08	PRIJEM	PREVOD Z UCTU	5800	18400	DUCHOD	EF	64667677
1077386	3680	1996-06-08	PRIJEM	PREVOD Z UCTU	5800	24200	DUCHOD	EF	64667677
1077387	3680	1996-07-08	PRIJEM	PREVOD Z UCTU	5800	30000	DUCHOD	EF	64667677
1077388	3680	1996-08-08	PRIJEM	PREVOD Z UCTU	5800	32053	DUCHOD	EF	64667677
1077389	3680	1996-09-08	PRIJEM	PREVOD Z UCTU	5800	33968	DUCHOD	EF	64667677
1077390	3680	1996-10-08	PRIJEM	PREVOD Z UCTU	5800	29977	DUCHOD	EF	64667677
1077391	3680	1996-11-08	PRIJEM	PREVOD Z UCTU	5800	31583	DUCHOD	EF	64667677
1077392	3680	1996-12-08	PRIJEM	PREVOD Z UCTU	5800	27140	DUCHOD	EF	64667677
1077393	3680	1997-01-08	PRIJEM	PREVOD Z UCTU	5800	28382	DUCHOD	EF	64667677
1077394	3680	1997-02-08	PRIJEM	PREVOD Z UCTU	5800	17258	DUCHOD	EF	64667677
1077395	3680	1997-03-08	PRIJEM	PREVOD Z UCTU	5800	17609	DUCHOD	EF	64667677
1077396	3680	1997-04-08	PRIJEM	PREVOD Z UCTU	5800	19965	DUCHOD	EF	64667677
1077397	3680	1997-05-08	PRIJEM	PREVOD Z UCTU	5800	22330	DUCHOD	EF	64667677
1077398	3680	1997-06-08	PRIJEM	PREVOD Z UCTU	5800	18540	DUCHOD	EF	64667677
1077399	3680	1997-07-08	PRIJEM	PREVOD Z UCTU	5800	20900	DUCHOD	EF	64667677
1077400	3680	1997-08-08	PRIJEM	PREVOD Z UCTU	5800	23269	DUCHOD	EF	64667677
1077401	3680	1997-09-08	PRIJEM	PREVOD Z UCTU	5800	25648	DUCHOD	EF	64667677
1077402	3680	1997-10-08	PRIJEM	PREVOD Z UCTU	5800	28036	DUCHOD	EF	64667677
1077403	3680	1997-11-08	PRIJEM	PREVOD Z UCTU	5800	30435	DUCHOD	EF	64667677
1077404	3680	1997-12-08	PRIJEM	PREVOD Z UCTU	5800	31493	DUCHOD	EF	64667677
1077405	3680	1998-01-08	PRIJEM	PREVOD Z UCTU	5800	30067	DUCHOD	EF	64667677
1077406	3680	1998-02-08	PRIJEM	PREVOD Z UCTU	5800	23444	DUCHOD	EF	64667677
1077407	3680	1998-03-08	PRIJEM	PREVOD Z UCTU	5800	22459	DUCHOD	EF	64667677
1077408	3680	1998-04-08	PRIJEM	PREVOD Z UCTU	5800	20907	DUCHOD	EF	64667677
1077409	3680	1998-05-08	PRIJEM	PREVOD Z UCTU	5800	21435	DUCHOD	EF	64667677
1077410	3680	1998-06-08	PRIJEM	PREVOD Z UCTU	5800	19046	DUCHOD	EF	64667677
1077411	3680	1998-07-08	PRIJEM	PREVOD Z UCTU	5800	21410	DUCHOD	EF	64667677
1077412	3680	1998-08-08	PRIJEM	PREVOD Z UCTU	5800	23780	DUCHOD	EF	64667677
1077413	3680	1998-09-08	PRIJEM	PREVOD Z UCTU	5800	26161	DUCHOD	EF	64667677
1077414	3680	1998-10-08	PRIJEM	PREVOD Z UCTU	5800	25582	DUCHOD	EF	64667677
1077415	3680	1998-11-08	PRIJEM	PREVOD Z UCTU	5800	27970	DUCHOD	EF	64667677
1077416	3680	1998-12-08	PRIJEM	PREVOD Z UCTU	5800	30367	DUCHOD	EF	64667677
1077424	3680	1996-08-05	VYDAJ	PREVOD NA UCET	1030	28723	SIPO	MN	24556887
1077425	3680	1996-09-05	VYDAJ	PREVOD NA UCET	1030	30638	SIPO	MN	24556887
1077426	3680	1996-10-05	VYDAJ	PREVOD NA UCET	1030	26647	SIPO	MN	24556887
1077427	3680	1996-11-05	VYDAJ	PREVOD NA UCET	1030	28253	SIPO	MN	24556887
1077428	3680	1996-12-05	VYDAJ	PREVOD NA UCET	1030	23810	SIPO	MN	24556887
1077429	3680	1997-01-05	VYDAJ	PREVOD NA UCET	1030	25052	SIPO	MN	24556887
1077430	3680	1997-02-05	VYDAJ	PREVOD NA UCET	1030	13928	SIPO	MN	24556887
1077431	3680	1997-03-05	VYDAJ	PREVOD NA UCET	1030	14279	SIPO	MN	24556887
1077432	3680	1997-04-05	VYDAJ	PREVOD NA UCET	1030	16635	SIPO	MN	24556887
1077433	3680	1997-05-05	VYDAJ	PREVOD NA UCET	1030	16530	SIPO	MN	24556887
1077434	3680	1997-06-05	VYDAJ	PREVOD NA UCET	1030	15620	SIPO	MN	24556887
1077435	3680	1997-07-05	VYDAJ	PREVOD NA UCET	1030	17570	SIPO	MN	24556887
1077436	3680	1997-08-05	VYDAJ	PREVOD NA UCET	1030	19939	SIPO	MN	24556887
1077437	3680	1997-09-05	VYDAJ	PREVOD NA UCET	1030	19848	SIPO	MN	24556887
1077438	3680	1997-10-05	VYDAJ	PREVOD NA UCET	1030	22236	SIPO	MN	24556887
1077439	3680	1997-11-05	VYDAJ	PREVOD NA UCET	1030	27105	SIPO	MN	24556887
1077440	3680	1997-12-05	VYDAJ	PREVOD NA UCET	1030	25693	SIPO	MN	24556887
1077441	3680	1998-01-05	VYDAJ	PREVOD NA UCET	1030	24267	SIPO	MN	24556887
1077442	3680	1998-02-05	VYDAJ	PREVOD NA UCET	1030	17644	SIPO	MN	24556887
1077443	3680	1998-03-05	VYDAJ	PREVOD NA UCET	1030	19129	SIPO	MN	24556887
1077444	3680	1998-04-05	VYDAJ	PREVOD NA UCET	1030	17577	SIPO	MN	24556887
1077445	3680	1998-05-05	VYDAJ	PREVOD NA UCET	1030	18105	SIPO	MN	24556887
1077446	3680	1998-06-05	VYDAJ	PREVOD NA UCET	1030	15716	SIPO	MN	24556887
1077447	3680	1998-07-05	VYDAJ	PREVOD NA UCET	1030	18080	SIPO	MN	24556887
1077448	3680	1998-08-05	VYDAJ	PREVOD NA UCET	1030	17980	SIPO	MN	24556887
1077449	3680	1998-09-05	VYDAJ	PREVOD NA UCET	1030	20361	SIPO	MN	24556887
1077450	3680	1998-10-05	VYDAJ	PREVOD NA UCET	1030	22252	SIPO	MN	24556887
1077451	3680	1998-11-05	VYDAJ	PREVOD NA UCET	1030	24640	SIPO	MN	24556887
1077452	3680	1998-12-05	VYDAJ	PREVOD NA UCET	1030	24567	SIPO	MN	24556887
1077460	3680	1996-08-05	VYDAJ	PREVOD NA UCET	2470	26253	 	UV	42364639
1077461	3680	1996-09-05	VYDAJ	PREVOD NA UCET	2470	28168	 	UV	42364639
1077462	3680	1996-10-05	VYDAJ	PREVOD NA UCET	2470	24177	 	UV	42364639
1077463	3680	1996-11-05	VYDAJ	PREVOD NA UCET	2470	25783	 	UV	42364639
1077464	3680	1996-12-05	VYDAJ	PREVOD NA UCET	2470	21340	 	UV	42364639
1077465	3680	1997-01-05	VYDAJ	PREVOD NA UCET	2470	22582	 	UV	42364639
1077466	3680	1997-02-05	VYDAJ	PREVOD NA UCET	2470	11458	 	UV	42364639
1077467	3680	1997-03-05	VYDAJ	PREVOD NA UCET	2470	11809	 	UV	42364639
1077468	3680	1997-04-05	VYDAJ	PREVOD NA UCET	2470	14165	 	UV	42364639
1077469	3680	1997-05-05	VYDAJ	PREVOD NA UCET	2470	17560	 	UV	42364639
1077470	3680	1997-06-05	VYDAJ	PREVOD NA UCET	2470	16650	 	UV	42364639
1077471	3680	1997-07-05	VYDAJ	PREVOD NA UCET	2470	15100	 	UV	42364639
1077472	3680	1997-08-05	VYDAJ	PREVOD NA UCET	2470	17469	 	UV	42364639
1077473	3680	1997-09-05	VYDAJ	PREVOD NA UCET	2470	20878	 	UV	42364639
1077474	3680	1997-10-05	VYDAJ	PREVOD NA UCET	2470	23266	 	UV	42364639
1077475	3680	1997-11-05	VYDAJ	PREVOD NA UCET	2470	24635	 	UV	42364639
1077476	3680	1997-12-05	VYDAJ	PREVOD NA UCET	2470	26723	 	UV	42364639
1077477	3680	1998-01-05	VYDAJ	PREVOD NA UCET	2470	25297	 	UV	42364639
1077478	3680	1998-02-05	VYDAJ	PREVOD NA UCET	2470	18674	 	UV	42364639
1077479	3680	1998-03-05	VYDAJ	PREVOD NA UCET	2470	16659	 	UV	42364639
1077480	3680	1998-04-05	VYDAJ	PREVOD NA UCET	2470	15107	 	UV	42364639
1077481	3680	1998-05-05	VYDAJ	PREVOD NA UCET	2470	15635	 	UV	42364639
1077482	3680	1998-06-05	VYDAJ	PREVOD NA UCET	2470	13246	 	UV	42364639
1077483	3680	1998-07-05	VYDAJ	PREVOD NA UCET	2470	15610	 	UV	42364639
1077484	3680	1998-08-05	VYDAJ	PREVOD NA UCET	2470	19010	 	UV	42364639
1077485	3680	1998-09-05	VYDAJ	PREVOD NA UCET	2470	21391	 	UV	42364639
1077486	3680	1998-10-05	VYDAJ	PREVOD NA UCET	2470	19782	 	UV	42364639
1077487	3680	1998-11-05	VYDAJ	PREVOD NA UCET	2470	22170	 	UV	42364639
1077488	3680	1998-12-05	VYDAJ	PREVOD NA UCET	2470	25597	 	UV	42364639
1077491	3680	1998-06-03	VYDAJ	VYBER	4200	16746	\N	\N	\N
1077493	3680	1997-01-13	VYDAJ	VYBER	2900	24482	\N	\N	\N
1077494	3680	1998-01-09	VYDAJ	VYBER	3650	26417	\N	\N	\N
1077495	3680	1996-12-12	VYDAJ	VYBER	550	25990	\N	\N	\N
1077496	3680	1997-12-03	VYDAJ	VYBER	1350	29193	\N	\N	\N
1077497	3680	1998-12-08	VYDAJ	VYBER	350	30017	\N	\N	\N
1077504	3680	1997-01-20	VYDAJ	VYBER	2240	20722	\N	\N	\N
1077505	3680	1997-01-26	VYDAJ	VYBER	1040	14882	\N	\N	\N
1077506	3680	1997-01-22	VYDAJ	VYBER	2240	17922	\N	\N	\N
1077507	3680	1997-01-15	VYDAJ	VYBER	720	23762	\N	\N	\N
1077508	3680	1997-01-24	VYDAJ	VYBER	2000	15922	\N	\N	\N
1077509	3680	1997-01-21	VYDAJ	VYBER	560	20162	\N	\N	\N
1077510	3680	1998-01-03	VYDAJ	VYBER	1680	29927	\N	\N	\N
1077511	3680	1998-01-27	VYDAJ	VYBER	1600	21057	\N	\N	\N
1077512	3680	1998-01-04	VYDAJ	VYBER	2160	27767	\N	\N	\N
1077513	3680	1998-01-16	VYDAJ	VYBER	1680	23217	\N	\N	\N
1077514	3680	1998-01-17	VYDAJ	VYBER	560	22657	\N	\N	\N
1077515	3680	1998-01-13	VYDAJ	VYBER	1520	24897	\N	\N	\N
1077516	3680	1996-09-16	VYDAJ	VYBER	1600	27568	\N	\N	\N
1077517	3680	1996-11-08	VYDAJ	VYBER	1520	30063	\N	\N	\N
1077518	3680	1996-11-17	VYDAJ	VYBER	2320	24743	\N	\N	\N
1077522	3680	1997-06-06	VYDAJ	VYBER	2880	12740	\N	\N	\N
1077523	3680	1997-02-16	VYDAJ	VYBER	2000	15258	\N	\N	\N
1077524	3680	1997-05-21	VYDAJ	VYBER	3280	19050	\N	\N	\N
1077525	3680	1997-01-19	VYDAJ	VYBER	800	22962	\N	\N	\N
1077527	3680	1998-02-20	VYDAJ	VYBER	3360	20084	\N	\N	\N
1077528	3680	1998-04-28	VYDAJ	VYBER	1840	19067	\N	\N	\N
1077529	3680	1998-09-08	VYDAJ	VYBER	2960	23201	\N	\N	\N
1077530	3680	1998-03-17	VYDAJ	VYBER	3920	18539	\N	\N	\N
1077531	3680	1998-05-18	VYDAJ	VYBER	560	20875	\N	\N	\N
1077539	3680	1996-07-31	VYDAJ	VYBER	15	29753	SLUZBY	\N	\N
1077540	3680	1996-08-31	VYDAJ	VYBER	15	31668	SLUZBY	\N	\N
1077541	3680	1996-09-30	VYDAJ	VYBER	15	27677	SLUZBY	\N	\N
1077542	3680	1996-10-31	VYDAJ	VYBER	15	29283	SLUZBY	\N	\N
1077543	3680	1996-11-30	VYDAJ	VYBER	15	24840	SLUZBY	\N	\N
1077544	3680	1996-12-31	VYDAJ	VYBER	15	26082	SLUZBY	\N	\N
1077545	3680	1997-01-31	VYDAJ	VYBER	15	14958	SLUZBY	\N	\N
1077546	3680	1997-02-28	VYDAJ	VYBER	15	15309	SLUZBY	\N	\N
1077547	3680	1997-03-31	VYDAJ	VYBER	15	17665	SLUZBY	\N	\N
1077548	3680	1997-04-30	VYDAJ	VYBER	15	20030	SLUZBY	\N	\N
1077549	3680	1997-05-31	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
1077550	3680	1997-06-30	VYDAJ	VYBER	15	18600	SLUZBY	\N	\N
1077551	3680	1997-07-31	VYDAJ	VYBER	15	20969	SLUZBY	\N	\N
1077552	3680	1997-08-31	VYDAJ	VYBER	15	23348	SLUZBY	\N	\N
1077553	3680	1997-09-30	VYDAJ	VYBER	15	25736	SLUZBY	\N	\N
1077554	3680	1997-10-31	VYDAJ	VYBER	15	28135	SLUZBY	\N	\N
1077555	3680	1997-11-30	VYDAJ	VYBER	15	30543	SLUZBY	\N	\N
1077556	3680	1997-12-31	VYDAJ	VYBER	15	31607	SLUZBY	\N	\N
1077557	3680	1998-01-31	VYDAJ	VYBER	15	21144	SLUZBY	\N	\N
1077558	3680	1998-02-28	VYDAJ	VYBER	15	20159	SLUZBY	\N	\N
1077559	3680	1998-03-31	VYDAJ	VYBER	15	18607	SLUZBY	\N	\N
1077560	3680	1998-04-30	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
1077561	3680	1998-05-31	VYDAJ	VYBER	15	20946	SLUZBY	\N	\N
1077562	3680	1998-06-30	VYDAJ	VYBER	15	19110	SLUZBY	\N	\N
1077563	3680	1998-07-31	VYDAJ	VYBER	15	21480	SLUZBY	\N	\N
1077564	3680	1998-08-31	VYDAJ	VYBER	15	23861	SLUZBY	\N	\N
1077565	3680	1998-09-30	VYDAJ	VYBER	15	23282	SLUZBY	\N	\N
1077566	3680	1998-10-31	VYDAJ	VYBER	15	25670	SLUZBY	\N	\N
1077567	3680	1998-11-30	VYDAJ	VYBER	15	28067	SLUZBY	\N	\N
1077568	3680	1996-07-15	VYDAJ	VYBER	300	29700	\N	\N	\N
1077569	3680	1996-08-14	VYDAJ	VYBER	500	31553	\N	\N	\N
1077570	3680	1996-09-13	VYDAJ	VYBER	4800	29168	\N	\N	\N
1077571	3680	1996-10-13	VYDAJ	VYBER	800	29177	\N	\N	\N
1077572	3680	1996-11-12	VYDAJ	VYBER	3000	27063	\N	\N	\N
1077573	3680	1996-12-12	VYDAJ	VYBER	600	26540	\N	\N	\N
1077574	3680	1997-01-11	VYDAJ	VYBER	1000	27382	\N	\N	\N
1077605	3681	1997-01-25	PRIJEM	VKLAD	400	400	\N	\N	\N
1077607	3681	1997-02-12	PRIJEM	VKLAD	19674	20074	\N	\N	\N
1077608	3681	1997-03-12	PRIJEM	VKLAD	19674	42865	\N	\N	\N
1077609	3681	1997-04-12	PRIJEM	VKLAD	19674	59549	\N	\N	\N
1077610	3681	1997-05-12	PRIJEM	VKLAD	19674	63592	\N	\N	\N
1077611	3681	1997-06-12	PRIJEM	VKLAD	29511	77589	\N	\N	\N
1077612	3681	1997-07-12	PRIJEM	VKLAD	19674	40075	\N	\N	\N
1077613	3681	1997-08-12	PRIJEM	VKLAD	19674	45884	\N	\N	\N
1077614	3681	1997-09-12	PRIJEM	VKLAD	19674	54814	\N	\N	\N
1077615	3681	1997-10-12	PRIJEM	VKLAD	19674	54965	\N	\N	\N
1077616	3681	1997-11-12	PRIJEM	VKLAD	19674	53822	\N	\N	\N
1077617	3681	1997-12-12	PRIJEM	VKLAD	29511	65795	\N	\N	\N
1077618	3681	1998-01-12	PRIJEM	VKLAD	19674	39072	\N	\N	\N
1077619	3681	1998-02-12	PRIJEM	VKLAD	19674	37722	\N	\N	\N
1077620	3681	1998-03-12	PRIJEM	VKLAD	19674	45041	\N	\N	\N
1077621	3681	1998-04-12	PRIJEM	VKLAD	19674	53568	\N	\N	\N
1077622	3681	1998-05-12	PRIJEM	VKLAD	19674	55020	\N	\N	\N
1077623	3681	1998-06-12	PRIJEM	VKLAD	29511	53404	\N	\N	\N
1077624	3681	1998-07-12	PRIJEM	VKLAD	19674	59292	\N	\N	\N
1077625	3681	1998-08-12	PRIJEM	VKLAD	19674	65773	\N	\N	\N
1077626	3681	1998-09-12	PRIJEM	VKLAD	19674	69576	\N	\N	\N
1077627	3681	1998-10-12	PRIJEM	VKLAD	19674	67482	\N	\N	\N
1077628	3681	1998-11-12	PRIJEM	VKLAD	19674	62398	\N	\N	\N
1077629	3681	1998-12-12	PRIJEM	VKLAD	29511	72521	\N	\N	\N
1077636	3681	1997-07-06	VYDAJ	PREVOD NA UCET	7797	20401	SIPO	AB	62512141
1077637	3681	1997-08-06	VYDAJ	PREVOD NA UCET	7797	26210	SIPO	AB	62512141
1077638	3681	1997-09-06	VYDAJ	PREVOD NA UCET	7797	35140	SIPO	AB	62512141
1077639	3681	1997-10-06	VYDAJ	PREVOD NA UCET	7797	35291	SIPO	AB	62512141
1077640	3681	1997-11-06	VYDAJ	PREVOD NA UCET	7797	34148	SIPO	AB	62512141
1077641	3681	1997-12-06	VYDAJ	PREVOD NA UCET	7797	37404	SIPO	AB	62512141
1077642	3681	1998-01-06	VYDAJ	PREVOD NA UCET	7797	40118	SIPO	AB	62512141
1077643	3681	1998-02-06	VYDAJ	PREVOD NA UCET	7797	18048	SIPO	AB	62512141
1077644	3681	1998-03-06	VYDAJ	PREVOD NA UCET	7797	25367	SIPO	AB	62512141
1077645	3681	1998-04-06	VYDAJ	PREVOD NA UCET	7797	33894	SIPO	AB	62512141
1077646	3681	1998-05-06	VYDAJ	PREVOD NA UCET	7797	35346	SIPO	AB	62512141
1077647	3681	1998-06-06	VYDAJ	PREVOD NA UCET	7797	23893	SIPO	AB	62512141
1077648	3681	1998-07-06	VYDAJ	PREVOD NA UCET	7797	39618	SIPO	AB	62512141
1077649	3681	1998-08-06	VYDAJ	PREVOD NA UCET	7797	46099	SIPO	AB	62512141
1077650	3681	1998-09-06	VYDAJ	PREVOD NA UCET	7797	49902	SIPO	AB	62512141
1077651	3681	1998-10-06	VYDAJ	PREVOD NA UCET	7797	47808	SIPO	AB	62512141
1077652	3681	1998-11-06	VYDAJ	PREVOD NA UCET	7797	42724	SIPO	AB	62512141
1077653	3681	1998-12-06	VYDAJ	PREVOD NA UCET	7797	46410	SIPO	AB	62512141
1077654	3681	1997-06-12	VYDAJ	VYBER	47040	30549	\N	\N	\N
1077655	3681	1998-06-04	VYDAJ	VYBER	19520	31690	\N	\N	\N
1077657	3681	1998-01-09	VYDAJ	VYBER	8000	32118	\N	\N	\N
1077658	3681	1997-12-08	VYDAJ	VYBER	1120	36284	\N	\N	\N
1077659	3681	1998-12-09	VYDAJ	VYBER KARTOU	3400	43010	\N	\N	0
1077666	3681	1998-01-28	VYDAJ	VYBER	3360	25712	\N	\N	\N
1077667	3681	1998-01-11	VYDAJ	VYBER	1920	19398	\N	\N	\N
1077668	3681	1998-01-24	VYDAJ	VYBER	720	32552	\N	\N	\N
1077669	3681	1998-01-01	VYDAJ	VYBER	1680	47915	\N	\N	\N
1077670	3681	1998-01-14	VYDAJ	VYBER	3000	36072	\N	\N	\N
1077671	3681	1998-01-24	VYDAJ	VYBER	3480	29072	\N	\N	\N
1077672	3681	1997-06-23	VYDAJ	VYBER	2760	27789	\N	\N	\N
1077673	3681	1997-08-01	VYDAJ	VYBER	4200	34007	\N	\N	\N
1077675	3681	1997-09-02	VYDAJ	VYBER	600	42937	\N	\N	\N
1077676	3681	1998-02-22	VYDAJ	VYBER	960	38562	\N	\N	\N
1077677	3681	1998-01-09	VYDAJ	VYBER	5400	26718	\N	\N	\N
1077678	3681	1998-02-26	VYDAJ	VYBER	5520	33042	\N	\N	\N
1077679	3681	1998-01-09	VYDAJ	VYBER	5400	21318	\N	\N	\N
1077680	3681	1998-10-23	VYDAJ	VYBER	5880	50302	\N	\N	\N
1077681	3681	1998-06-16	VYDAJ	VYBER	960	52444	\N	\N	\N
1077688	3681	1997-06-30	VYDAJ	VYBER	15	28198	SLUZBY	\N	\N
1077689	3681	1997-07-31	VYDAJ	VYBER	15	38207	SLUZBY	\N	\N
1077690	3681	1997-08-31	VYDAJ	VYBER	15	43537	SLUZBY	\N	\N
1077691	3681	1997-09-30	VYDAJ	VYBER	15	43088	SLUZBY	\N	\N
1077692	3681	1997-10-31	VYDAJ	VYBER	15	41945	SLUZBY	\N	\N
1077693	3681	1997-11-30	VYDAJ	VYBER	15	45201	SLUZBY	\N	\N
1077694	3681	1997-12-31	VYDAJ	VYBER	15	49595	SLUZBY	\N	\N
1077695	3681	1998-01-31	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
1077696	3681	1998-02-28	VYDAJ	VYBER	15	33164	SLUZBY	\N	\N
1077697	3681	1998-03-31	VYDAJ	VYBER	15	41691	SLUZBY	\N	\N
1077698	3681	1998-04-30	VYDAJ	VYBER	15	43143	SLUZBY	\N	\N
1077699	3681	1998-05-31	VYDAJ	VYBER	15	51210	SLUZBY	\N	\N
1077700	3681	1998-06-30	VYDAJ	VYBER	15	47415	SLUZBY	\N	\N
1077701	3681	1998-07-31	VYDAJ	VYBER	15	53896	SLUZBY	\N	\N
1077702	3681	1998-08-31	VYDAJ	VYBER	15	57699	SLUZBY	\N	\N
1077703	3681	1998-09-30	VYDAJ	VYBER	15	55605	SLUZBY	\N	\N
1077704	3681	1998-10-31	VYDAJ	VYBER	15	50521	SLUZBY	\N	\N
1077705	3681	1998-11-30	VYDAJ	VYBER	15	54207	SLUZBY	\N	\N
1077706	3681	1997-02-24	PRIJEM	VKLAD	3100	23174	\N	\N	\N
1077707	3681	1997-03-26	VYDAJ	VYBER	3100	39765	\N	\N	\N
1077708	3681	1997-04-25	VYDAJ	VYBER	15800	43749	\N	\N	\N
1077709	3681	1997-05-25	VYDAJ	VYBER	15700	47892	\N	\N	\N
1077710	3681	1997-06-24	PRIJEM	VKLAD	200	27989	\N	\N	\N
1077711	3681	1997-07-24	VYDAJ	VYBER	2000	38075	\N	\N	\N
1077712	3681	1997-08-23	VYDAJ	VYBER	2500	43384	\N	\N	\N
1077713	3681	1997-09-22	VYDAJ	VYBER	11900	42914	\N	\N	\N
1077714	3681	1997-10-22	VYDAJ	VYBER	13200	41765	\N	\N	\N
1077715	3681	1997-11-21	VYDAJ	VYBER	8800	45022	\N	\N	\N
1077716	3681	1997-12-21	VYDAJ	VYBER	16400	49395	\N	\N	\N
1077717	3681	1998-01-20	VYDAJ	VYBER	2800	33272	\N	\N	\N
1077718	3681	1998-02-19	PRIJEM	VKLAD	1800	39522	\N	\N	\N
1077719	3681	1998-03-21	VYDAJ	VYBER	3500	41541	\N	\N	\N
1077720	3681	1998-04-20	VYDAJ	VYBER	10600	42968	\N	\N	\N
1077721	3681	1998-05-20	VYDAJ	VYBER	4000	51020	\N	\N	\N
1077722	3681	1998-06-19	VYDAJ	VYBER	5200	47244	\N	\N	\N
1077723	3681	1998-07-19	VYDAJ	VYBER	5600	53692	\N	\N	\N
1077724	3681	1998-08-18	VYDAJ	VYBER	8300	57473	\N	\N	\N
1077725	3681	1998-09-17	VYDAJ	VYBER	14200	55376	\N	\N	\N
1077726	3681	1998-10-17	VYDAJ	VYBER	11300	56182	\N	\N	\N
1077727	3681	1998-11-16	VYDAJ	VYBER	8400	53998	\N	\N	\N
1077751	3682	1993-06-07	PRIJEM	VKLAD	200	200	\N	\N	\N
1077757	3682	1993-06-13	PRIJEM	VKLAD	6213	6413	\N	\N	\N
1077758	3682	1993-07-13	PRIJEM	VKLAD	4142	18971	\N	\N	\N
1077759	3682	1993-08-13	PRIJEM	VKLAD	4142	23572	\N	\N	\N
1077760	3682	1993-09-13	PRIJEM	VKLAD	4142	28105	\N	\N	\N
1077761	3682	1993-10-13	PRIJEM	VKLAD	4142	30456	\N	\N	\N
1077762	3682	1993-11-13	PRIJEM	VKLAD	4142	30146	\N	\N	\N
1077763	3682	1993-12-13	PRIJEM	VKLAD	6213	29886	\N	\N	\N
1077764	3682	1994-01-13	PRIJEM	VKLAD	4142	30970	\N	\N	\N
1077765	3682	1994-02-13	PRIJEM	VKLAD	4142	21549	\N	\N	\N
1077766	3682	1994-03-13	PRIJEM	VKLAD	4142	20098	\N	\N	\N
1077767	3682	1994-04-13	PRIJEM	VKLAD	4142	21643	\N	\N	\N
1077768	3682	1994-05-13	PRIJEM	VKLAD	4142	24794	\N	\N	\N
1077769	3682	1994-06-13	PRIJEM	VKLAD	6213	26529	\N	\N	\N
1077770	3682	1994-07-13	PRIJEM	VKLAD	4142	25553	\N	\N	\N
1077771	3682	1994-08-13	PRIJEM	VKLAD	4142	28398	\N	\N	\N
1077772	3682	1994-09-13	PRIJEM	VKLAD	4142	26928	\N	\N	\N
1077773	3682	1994-10-13	PRIJEM	VKLAD	4142	29204	\N	\N	\N
1077774	3682	1994-11-13	PRIJEM	VKLAD	4142	30550	\N	\N	\N
1077775	3682	1994-12-13	PRIJEM	VKLAD	6213	34591	\N	\N	\N
1077776	3682	1995-01-13	PRIJEM	VKLAD	4142	19334	\N	\N	\N
1077777	3682	1995-02-13	PRIJEM	VKLAD	4142	25997	\N	\N	\N
1077778	3682	1995-03-13	PRIJEM	VKLAD	4142	32071	\N	\N	\N
1077779	3682	1995-04-13	PRIJEM	VKLAD	4142	36469	\N	\N	\N
1077780	3682	1995-05-13	PRIJEM	VKLAD	4142	33685	\N	\N	\N
1077781	3682	1995-06-13	PRIJEM	VKLAD	6213	35259	\N	\N	\N
1077782	3682	1995-07-13	PRIJEM	VKLAD	4142	35265	\N	\N	\N
1077783	3682	1995-08-13	PRIJEM	VKLAD	4142	37076	\N	\N	\N
1077784	3682	1995-09-13	PRIJEM	VKLAD	4142	38894	\N	\N	\N
1077785	3682	1995-10-13	PRIJEM	VKLAD	4142	40120	\N	\N	\N
1077786	3682	1995-11-13	PRIJEM	VKLAD	4142	38247	\N	\N	\N
1077787	3682	1995-12-13	PRIJEM	VKLAD	6213	37939	\N	\N	\N
1077788	3682	1996-01-13	PRIJEM	VKLAD	4142	34778	\N	\N	\N
1077789	3682	1996-02-13	PRIJEM	VKLAD	4142	31487	\N	\N	\N
1077790	3682	1996-03-13	PRIJEM	VKLAD	4142	38589	\N	\N	\N
1077791	3682	1996-04-13	PRIJEM	VKLAD	4142	37373	\N	\N	\N
1077792	3682	1996-05-13	PRIJEM	VKLAD	4142	42896	\N	\N	\N
1077793	3682	1996-06-13	PRIJEM	VKLAD	6213	44006	\N	\N	\N
1077794	3682	1996-07-13	PRIJEM	VKLAD	4142	42044	\N	\N	\N
1077795	3682	1996-08-13	PRIJEM	VKLAD	4142	43482	\N	\N	\N
1077796	3682	1996-09-13	PRIJEM	VKLAD	4142	39217	\N	\N	\N
1077797	3682	1996-10-13	PRIJEM	VKLAD	4142	37718	\N	\N	\N
1077798	3682	1996-11-13	PRIJEM	VKLAD	4142	33428	\N	\N	\N
1077799	3682	1996-12-13	PRIJEM	VKLAD	6213	40908	\N	\N	\N
1077800	3682	1997-01-13	PRIJEM	VKLAD	4142	36709	\N	\N	\N
1077801	3682	1997-02-13	PRIJEM	VKLAD	4142	36045	\N	\N	\N
1077802	3682	1997-03-13	PRIJEM	VKLAD	4142	43870	\N	\N	\N
1077803	3682	1997-04-13	PRIJEM	VKLAD	4142	47218	\N	\N	\N
1077804	3682	1997-05-13	PRIJEM	VKLAD	4142	48919	\N	\N	\N
1077805	3682	1997-06-13	PRIJEM	VKLAD	6213	47837	\N	\N	\N
1077806	3682	1997-07-13	PRIJEM	VKLAD	4142	21200	\N	\N	\N
1077807	3682	1997-08-13	PRIJEM	VKLAD	4142	33560	\N	\N	\N
1077808	3682	1997-09-13	PRIJEM	VKLAD	4142	41777	\N	\N	\N
1077809	3682	1997-10-13	PRIJEM	VKLAD	4142	45823	\N	\N	\N
1077810	3682	1997-11-13	PRIJEM	VKLAD	4142	49480	\N	\N	\N
1077811	3682	1997-12-13	PRIJEM	VKLAD	6213	54320	\N	\N	\N
1077812	3682	1998-01-13	PRIJEM	VKLAD	4142	47071	\N	\N	\N
1077813	3682	1998-02-13	PRIJEM	VKLAD	4142	50037	\N	\N	\N
1077814	3682	1998-03-13	PRIJEM	VKLAD	4142	49200	\N	\N	\N
1077815	3682	1998-04-13	PRIJEM	VKLAD	4142	54474	\N	\N	\N
1077816	3682	1998-05-13	PRIJEM	VKLAD	4142	58761	\N	\N	\N
1077817	3682	1998-06-13	PRIJEM	VKLAD	6213	54494	\N	\N	\N
1077818	3682	1998-07-13	PRIJEM	VKLAD	4142	63976	\N	\N	\N
1077819	3682	1998-08-13	PRIJEM	VKLAD	4142	68289	\N	\N	\N
1077820	3682	1998-09-13	PRIJEM	VKLAD	4142	79218	\N	\N	\N
1077821	3682	1998-10-13	PRIJEM	VKLAD	4142	83175	\N	\N	\N
1077822	3682	1998-11-13	PRIJEM	VKLAD	4142	85437	\N	\N	\N
1077823	3682	1998-12-13	PRIJEM	VKLAD	6213	89720	\N	\N	\N
1077834	3682	1993-11-07	VYDAJ	PREVOD NA UCET	2761	26004	SIPO	UV	41079390
1077835	3682	1993-12-07	VYDAJ	PREVOD NA UCET	2761	23673	SIPO	UV	41079390
1077836	3682	1994-01-07	VYDAJ	PREVOD NA UCET	2761	26828	SIPO	UV	41079390
1077837	3682	1994-02-07	VYDAJ	PREVOD NA UCET	2761	17407	SIPO	UV	41079390
1077838	3682	1994-03-07	VYDAJ	PREVOD NA UCET	2761	18356	SIPO	UV	41079390
1077839	3682	1994-04-07	VYDAJ	PREVOD NA UCET	2761	17501	SIPO	UV	41079390
1077840	3682	1994-05-07	VYDAJ	PREVOD NA UCET	2761	20652	SIPO	UV	41079390
1077841	3682	1994-06-07	VYDAJ	PREVOD NA UCET	2761	20316	SIPO	UV	41079390
1077842	3682	1994-07-07	VYDAJ	PREVOD NA UCET	2761	21411	SIPO	UV	41079390
1077843	3682	1994-08-07	VYDAJ	PREVOD NA UCET	2761	24256	SIPO	UV	41079390
1077844	3682	1994-09-07	VYDAJ	PREVOD NA UCET	2761	22786	SIPO	UV	41079390
1077845	3682	1994-10-07	VYDAJ	PREVOD NA UCET	2761	25062	SIPO	UV	41079390
1077846	3682	1994-11-07	VYDAJ	PREVOD NA UCET	2761	27248	SIPO	UV	41079390
1077847	3682	1994-12-07	VYDAJ	PREVOD NA UCET	2761	28378	SIPO	UV	41079390
1077848	3682	1995-01-07	VYDAJ	PREVOD NA UCET	2761	26552	SIPO	UV	41079390
1077849	3682	1995-02-07	VYDAJ	PREVOD NA UCET	2761	21855	SIPO	UV	41079390
1077850	3682	1995-03-07	VYDAJ	PREVOD NA UCET	2761	27929	SIPO	UV	41079390
1077851	3682	1995-04-07	VYDAJ	PREVOD NA UCET	2761	32327	SIPO	UV	41079390
1077852	3682	1995-05-07	VYDAJ	PREVOD NA UCET	2761	32543	SIPO	UV	41079390
1077853	3682	1995-06-07	VYDAJ	PREVOD NA UCET	2761	29046	SIPO	UV	41079390
1077854	3682	1995-07-07	VYDAJ	PREVOD NA UCET	2761	31123	SIPO	UV	41079390
1077855	3682	1995-08-07	VYDAJ	PREVOD NA UCET	2761	32934	SIPO	UV	41079390
1077856	3682	1995-09-07	VYDAJ	PREVOD NA UCET	2761	34752	SIPO	UV	41079390
1077857	3682	1995-10-07	VYDAJ	PREVOD NA UCET	2761	35978	SIPO	UV	41079390
1077858	3682	1995-11-07	VYDAJ	PREVOD NA UCET	2761	34105	SIPO	UV	41079390
1077859	3682	1995-12-07	VYDAJ	PREVOD NA UCET	2761	31726	SIPO	UV	41079390
1077860	3682	1996-01-07	VYDAJ	PREVOD NA UCET	2761	30636	SIPO	UV	41079390
1077861	3682	1996-02-07	VYDAJ	PREVOD NA UCET	2761	27345	SIPO	UV	41079390
1077862	3682	1996-03-07	VYDAJ	PREVOD NA UCET	2761	34447	SIPO	UV	41079390
1077863	3682	1996-04-07	VYDAJ	PREVOD NA UCET	2761	33231	SIPO	UV	41079390
1077864	3682	1996-05-07	VYDAJ	PREVOD NA UCET	2761	38754	SIPO	UV	41079390
1077865	3682	1996-06-07	VYDAJ	PREVOD NA UCET	2761	37793	SIPO	UV	41079390
1077866	3682	1996-07-07	VYDAJ	PREVOD NA UCET	2761	37902	SIPO	UV	41079390
1077867	3682	1996-08-07	VYDAJ	PREVOD NA UCET	2761	39340	SIPO	UV	41079390
1077868	3682	1996-09-07	VYDAJ	PREVOD NA UCET	2761	35075	SIPO	UV	41079390
1077869	3682	1996-10-07	VYDAJ	PREVOD NA UCET	2761	33576	SIPO	UV	41079390
1077870	3682	1996-11-07	VYDAJ	PREVOD NA UCET	2761	29286	SIPO	UV	41079390
1077871	3682	1996-12-07	VYDAJ	PREVOD NA UCET	2761	34695	SIPO	UV	41079390
1077872	3682	1997-01-07	VYDAJ	PREVOD NA UCET	2761	32567	SIPO	UV	41079390
1077873	3682	1997-02-07	VYDAJ	PREVOD NA UCET	2761	31903	SIPO	UV	41079390
1077874	3682	1997-03-07	VYDAJ	PREVOD NA UCET	2761	39728	SIPO	UV	41079390
1077875	3682	1997-04-07	VYDAJ	PREVOD NA UCET	2761	43076	SIPO	UV	41079390
1077876	3682	1997-05-07	VYDAJ	PREVOD NA UCET	2761	44777	SIPO	UV	41079390
1077877	3682	1997-06-07	VYDAJ	PREVOD NA UCET	2761	41624	SIPO	UV	41079390
1077878	3682	1997-07-07	VYDAJ	PREVOD NA UCET	2761	22338	SIPO	UV	41079390
1077879	3682	1997-08-07	VYDAJ	PREVOD NA UCET	2761	29418	SIPO	UV	41079390
1077880	3682	1997-09-07	VYDAJ	PREVOD NA UCET	2761	37635	SIPO	UV	41079390
1077881	3682	1997-10-07	VYDAJ	PREVOD NA UCET	2761	41681	SIPO	UV	41079390
1077882	3682	1997-11-07	VYDAJ	PREVOD NA UCET	2761	45338	SIPO	UV	41079390
1077883	3682	1997-12-07	VYDAJ	PREVOD NA UCET	2761	47407	SIPO	UV	41079390
1077884	3682	1998-01-07	VYDAJ	PREVOD NA UCET	2761	47749	SIPO	UV	41079390
1077885	3682	1998-02-07	VYDAJ	PREVOD NA UCET	2761	44495	SIPO	UV	41079390
1077886	3682	1998-03-07	VYDAJ	PREVOD NA UCET	2761	45058	SIPO	UV	41079390
1077887	3682	1998-04-07	VYDAJ	PREVOD NA UCET	2761	50032	SIPO	UV	41079390
1077888	3682	1998-05-07	VYDAJ	PREVOD NA UCET	2761	51919	SIPO	UV	41079390
1077889	3682	1998-06-07	VYDAJ	PREVOD NA UCET	2761	36381	SIPO	UV	41079390
1077890	3682	1998-07-07	VYDAJ	PREVOD NA UCET	2761	51934	SIPO	UV	41079390
1077891	3682	1998-08-07	VYDAJ	PREVOD NA UCET	2761	51847	SIPO	UV	41079390
1077892	3682	1998-09-07	VYDAJ	PREVOD NA UCET	2761	65776	SIPO	UV	41079390
1077893	3682	1998-10-07	VYDAJ	PREVOD NA UCET	2761	75433	SIPO	UV	41079390
1077894	3682	1998-11-07	VYDAJ	PREVOD NA UCET	2761	77015	SIPO	UV	41079390
1077895	3682	1998-12-07	VYDAJ	PREVOD NA UCET	2761	83007	SIPO	UV	41079390
1077900	3682	1997-06-25	VYDAJ	VYBER	26400	24937	\N	\N	\N
1077901	3682	1998-06-05	VYDAJ	VYBER	19840	39142	\N	\N	\N
1077903	3682	1994-01-15	VYDAJ	VYBER	14080	16890	\N	\N	\N
1077904	3682	1995-01-12	VYDAJ	VYBER	11360	15192	\N	\N	\N
1077905	3682	1996-01-24	VYDAJ	VYBER	2080	36098	\N	\N	\N
1077906	3682	1997-01-21	VYDAJ	VYBER	9280	34529	\N	\N	\N
1077907	3682	1998-01-12	VYDAJ	VYBER	13920	42929	\N	\N	\N
1077908	3682	1993-12-02	VYDAJ	VYBER	4320	25934	\N	\N	\N
1077909	3682	1994-12-30	VYDAJ	VYBER	2400	29191	\N	\N	\N
1077910	3682	1995-12-14	VYDAJ	VYBER	3200	30299	\N	\N	\N
1077911	3682	1996-12-20	VYDAJ	VYBER	3840	38068	\N	\N	\N
1077912	3682	1997-12-21	VYDAJ	VYBER	4000	50320	\N	\N	\N
1077913	3682	1998-12-28	VYDAJ	VYBER	3680	86040	\N	\N	\N
1077920	3682	1994-06-18	VYDAJ	VYBER	3240	23289	\N	\N	\N
1077921	3682	1994-03-07	VYDAJ	VYBER	2400	15956	\N	\N	\N
1077922	3682	1994-11-08	VYDAJ	VYBER	840	26408	\N	\N	\N
1077923	3682	1994-08-21	VYDAJ	VYBER	4440	23958	\N	\N	\N
1077924	3682	1994-07-22	VYDAJ	VYBER	2520	23033	\N	\N	\N
1077925	3682	1994-03-16	VYDAJ	VYBER	1200	18898	\N	\N	\N
1077926	3682	1994-11-27	VYDAJ	VYBER	2520	28030	\N	\N	\N
1077927	3682	1995-12-05	VYDAJ	VYBER	1800	34487	\N	\N	\N
1077928	3682	1995-12-15	VYDAJ	VYBER	3120	27179	\N	\N	\N
1077929	3682	1995-05-07	VYDAJ	VYBER	3000	29543	\N	\N	\N
1077930	3682	1995-12-14	VYDAJ	VYBER	4440	33499	\N	\N	\N
1077931	3682	1996-09-14	VYDAJ	VYBER	720	38497	\N	\N	\N
1077932	3682	1996-10-20	VYDAJ	VYBER	2400	31918	\N	\N	\N
1077933	3682	1996-02-02	VYDAJ	VYBER	3360	30106	\N	\N	\N
1077934	3682	1996-04-01	VYDAJ	VYBER	2640	35992	\N	\N	\N
1077935	3682	1996-01-30	VYDAJ	VYBER	2760	33338	\N	\N	\N
1077936	3682	1996-12-22	VYDAJ	VYBER	2880	35188	\N	\N	\N
1077937	3682	1997-05-26	VYDAJ	VYBER	4920	46599	\N	\N	\N
1077938	3682	1997-04-23	VYDAJ	VYBER	960	47358	\N	\N	\N
1077939	3682	1997-07-21	VYDAJ	VYBER	3720	32080	\N	\N	\N
1077940	3682	1997-06-04	VYDAJ	VYBER	2400	44385	\N	\N	\N
1077941	3682	1997-05-18	VYDAJ	VYBER	1200	51519	\N	\N	\N
1077942	3682	1997-07-09	VYDAJ	VYBER	5280	17058	\N	\N	\N
1077943	3682	1997-09-23	VYDAJ	VYBER	3000	44277	\N	\N	\N
1077944	3682	1998-11-07	VYDAJ	VYBER	3120	73895	\N	\N	\N
1077945	3682	1998-07-30	VYDAJ	VYBER	4920	54376	\N	\N	\N
1077946	3682	1998-02-17	VYDAJ	VYBER	2400	47637	\N	\N	\N
1077947	3682	1998-11-04	VYDAJ	VYBER	3720	79776	\N	\N	\N
1077948	3682	1998-09-25	VYDAJ	VYBER	1320	77898	\N	\N	\N
1077949	3682	1998-07-13	VYDAJ	VYBER	4680	59296	\N	\N	\N
1077960	3682	1993-10-31	VYDAJ	VYBER	15	30565	SLUZBY	\N	\N
1077961	3682	1993-11-30	VYDAJ	VYBER	15	30254	SLUZBY	\N	\N
1077962	3682	1993-12-31	VYDAJ	VYBER	15	29989	SLUZBY	\N	\N
1077963	3682	1994-01-31	VYDAJ	VYBER	15	16968	SLUZBY	\N	\N
1077964	3682	1994-02-28	VYDAJ	VYBER	15	21617	SLUZBY	\N	\N
1077965	3682	1994-03-31	VYDAJ	VYBER	15	18962	SLUZBY	\N	\N
1077966	3682	1994-04-30	VYDAJ	VYBER	15	21713	SLUZBY	\N	\N
1077967	3682	1994-05-31	VYDAJ	VYBER	15	24877	SLUZBY	\N	\N
1077968	3682	1994-06-30	VYDAJ	VYBER	15	23372	SLUZBY	\N	\N
1077969	3682	1994-07-31	VYDAJ	VYBER	15	23117	SLUZBY	\N	\N
1077970	3682	1994-08-31	VYDAJ	VYBER	15	25547	SLUZBY	\N	\N
1077971	3682	1994-09-30	VYDAJ	VYBER	15	27823	SLUZBY	\N	\N
1077972	3682	1994-10-31	VYDAJ	VYBER	15	30009	SLUZBY	\N	\N
1077973	3682	1994-11-30	VYDAJ	VYBER	15	31139	SLUZBY	\N	\N
1077974	3682	1994-12-31	VYDAJ	VYBER	15	29313	SLUZBY	\N	\N
1077975	3682	1995-01-31	VYDAJ	VYBER	15	24616	SLUZBY	\N	\N
1077976	3682	1995-02-28	VYDAJ	VYBER	15	30690	SLUZBY	\N	\N
1077977	3682	1995-03-31	VYDAJ	VYBER	15	35088	SLUZBY	\N	\N
1077978	3682	1995-04-30	VYDAJ	VYBER	15	35304	SLUZBY	\N	\N
1077979	3682	1995-05-31	VYDAJ	VYBER	15	31807	SLUZBY	\N	\N
1077980	3682	1995-06-30	VYDAJ	VYBER	15	33884	SLUZBY	\N	\N
1077981	3682	1995-07-31	VYDAJ	VYBER	15	35695	SLUZBY	\N	\N
1077982	3682	1995-08-31	VYDAJ	VYBER	15	37513	SLUZBY	\N	\N
1077983	3682	1995-09-30	VYDAJ	VYBER	15	38739	SLUZBY	\N	\N
1077984	3682	1995-10-31	VYDAJ	VYBER	15	36866	SLUZBY	\N	\N
1077985	3682	1995-11-30	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
1077986	3682	1995-12-31	VYDAJ	VYBER	15	33397	SLUZBY	\N	\N
1077987	3682	1996-01-31	VYDAJ	VYBER	15	33466	SLUZBY	\N	\N
1077988	3682	1996-02-29	VYDAJ	VYBER	15	37208	SLUZBY	\N	\N
1077989	3682	1996-03-31	VYDAJ	VYBER	15	38632	SLUZBY	\N	\N
1077990	3682	1996-04-30	VYDAJ	VYBER	15	41515	SLUZBY	\N	\N
1077991	3682	1996-05-31	VYDAJ	VYBER	15	40554	SLUZBY	\N	\N
1077992	3682	1996-06-30	VYDAJ	VYBER	15	40663	SLUZBY	\N	\N
1077993	3682	1996-07-31	VYDAJ	VYBER	15	42101	SLUZBY	\N	\N
1077994	3682	1996-08-31	VYDAJ	VYBER	15	37836	SLUZBY	\N	\N
1077995	3682	1996-09-30	VYDAJ	VYBER	15	36337	SLUZBY	\N	\N
1077996	3682	1996-10-31	VYDAJ	VYBER	15	32047	SLUZBY	\N	\N
1077997	3682	1996-11-30	VYDAJ	VYBER	15	37456	SLUZBY	\N	\N
1077998	3682	1996-12-31	VYDAJ	VYBER	15	35328	SLUZBY	\N	\N
1077999	3682	1997-01-31	VYDAJ	VYBER	15	34664	SLUZBY	\N	\N
1078000	3682	1997-02-28	VYDAJ	VYBER	15	42489	SLUZBY	\N	\N
1078001	3682	1997-03-31	VYDAJ	VYBER	15	45837	SLUZBY	\N	\N
1078002	3682	1997-04-30	VYDAJ	VYBER	15	47538	SLUZBY	\N	\N
1078003	3682	1997-05-31	VYDAJ	VYBER	15	46785	SLUZBY	\N	\N
1078004	3682	1997-06-30	VYDAJ	VYBER	15	25099	SLUZBY	\N	\N
1078005	3682	1997-07-31	VYDAJ	VYBER	15	32179	SLUZBY	\N	\N
1078006	3682	1997-08-31	VYDAJ	VYBER	15	40396	SLUZBY	\N	\N
1078007	3682	1997-09-30	VYDAJ	VYBER	15	44442	SLUZBY	\N	\N
1078008	3682	1997-10-31	VYDAJ	VYBER	15	48099	SLUZBY	\N	\N
1078009	3682	1997-11-30	VYDAJ	VYBER	15	50168	SLUZBY	\N	\N
1078010	3682	1997-12-31	VYDAJ	VYBER	15	50510	SLUZBY	\N	\N
1078011	3682	1998-01-31	VYDAJ	VYBER	15	47256	SLUZBY	\N	\N
1078012	3682	1998-02-28	VYDAJ	VYBER	15	47819	SLUZBY	\N	\N
1078013	3682	1998-03-31	VYDAJ	VYBER	15	52793	SLUZBY	\N	\N
1078014	3682	1998-04-30	VYDAJ	VYBER	15	54680	SLUZBY	\N	\N
1078015	3682	1998-05-31	VYDAJ	VYBER	15	58982	SLUZBY	\N	\N
1078016	3682	1998-06-30	VYDAJ	VYBER	15	54695	SLUZBY	\N	\N
1078017	3682	1998-07-31	VYDAJ	VYBER	15	54608	SLUZBY	\N	\N
1078018	3682	1998-08-31	VYDAJ	VYBER	15	68537	SLUZBY	\N	\N
1078019	3682	1998-09-30	VYDAJ	VYBER	15	78194	SLUZBY	\N	\N
1078020	3682	1998-10-31	VYDAJ	VYBER	15	83496	SLUZBY	\N	\N
1078021	3682	1998-11-30	VYDAJ	VYBER	15	85768	SLUZBY	\N	\N
1078022	3682	1993-07-07	PRIJEM	VKLAD	8400	14829	\N	\N	\N
1078023	3682	1993-08-06	PRIJEM	VKLAD	400	19430	\N	\N	\N
1078024	3682	1993-09-05	PRIJEM	VKLAD	300	23963	\N	\N	\N
1078025	3682	1993-10-05	VYDAJ	VYBER	1900	26314	\N	\N	\N
1078026	3682	1993-11-04	VYDAJ	VYBER	1800	28765	\N	\N	\N
1078027	3682	1993-12-04	PRIJEM	VKLAD	500	26434	\N	\N	\N
1078028	3682	1994-01-03	VYDAJ	VYBER	400	29589	\N	\N	\N
1078029	3682	1994-02-02	PRIJEM	VKLAD	3200	20168	\N	\N	\N
1078030	3682	1994-03-04	VYDAJ	VYBER	500	21117	\N	\N	\N
1078031	3682	1994-04-03	PRIJEM	VKLAD	1300	20262	\N	\N	\N
1078032	3682	1994-05-03	PRIJEM	VKLAD	1700	23413	\N	\N	\N
1078033	3682	1994-06-02	VYDAJ	VYBER	1800	23077	\N	\N	\N
1078034	3682	1994-07-02	PRIJEM	VKLAD	800	24172	\N	\N	\N
1078035	3682	1994-08-01	PRIJEM	VKLAD	3900	27017	\N	\N	\N
1078036	3682	1994-08-31	PRIJEM	VKLAD	1500	25458	\N	\N	\N
1078037	3682	1994-09-30	PRIJEM	VKLAD	800	27728	\N	\N	\N
1078038	3682	1994-10-30	PRIJEM	VKLAD	700	29904	\N	\N	\N
1078039	3682	1994-11-29	PRIJEM	VKLAD	3000	31030	\N	\N	\N
1078040	3682	1994-12-29	VYDAJ	VYBER	3000	31591	\N	\N	\N
1078041	3682	1995-01-28	PRIJEM	VKLAD	5200	24534	\N	\N	\N
1078042	3682	1995-02-27	PRIJEM	VKLAD	4600	30597	\N	\N	\N
1078043	3682	1995-03-29	PRIJEM	VKLAD	2900	34971	\N	\N	\N
1078044	3682	1995-04-28	VYDAJ	VYBER	1300	35169	\N	\N	\N
1078045	3682	1995-05-28	VYDAJ	VYBER	2000	31685	\N	\N	\N
1078046	3682	1995-06-27	VYDAJ	VYBER	1500	33759	\N	\N	\N
1078047	3682	1995-07-27	PRIJEM	VKLAD	300	35565	\N	\N	\N
1078048	3682	1995-08-26	PRIJEM	VKLAD	300	37376	\N	\N	\N
1078049	3682	1995-09-25	VYDAJ	VYBER	300	38594	\N	\N	\N
1078050	3682	1995-10-25	VYDAJ	VYBER	3400	36720	\N	\N	\N
1078051	3682	1995-11-24	VYDAJ	VYBER	2100	36147	\N	\N	\N
1078052	3682	1995-12-24	PRIJEM	VKLAD	6100	33279	\N	\N	\N
1078053	3682	1996-01-23	PRIJEM	VKLAD	3400	38178	\N	\N	\N
1078054	3682	1996-02-22	PRIJEM	VKLAD	5600	37087	\N	\N	\N
1078055	3682	1996-03-23	VYDAJ	VYBER	100	38489	\N	\N	\N
1078056	3682	1996-04-22	PRIJEM	VKLAD	4000	41373	\N	\N	\N
1078057	3682	1996-05-22	VYDAJ	VYBER	2500	40396	\N	\N	\N
1078058	3682	1996-06-21	VYDAJ	VYBER	3500	40506	\N	\N	\N
1078059	3682	1996-07-21	VYDAJ	VYBER	100	41944	\N	\N	\N
1078060	3682	1996-08-20	VYDAJ	VYBER	5800	37682	\N	\N	\N
1078061	3682	1996-09-19	VYDAJ	VYBER	2300	36197	\N	\N	\N
1078062	3682	1996-10-19	VYDAJ	VYBER	3400	34318	\N	\N	\N
1078063	3682	1996-11-18	PRIJEM	VKLAD	3900	37328	\N	\N	\N
1078064	3682	1996-12-18	PRIJEM	VKLAD	1000	41908	\N	\N	\N
1078065	3682	1997-01-17	PRIJEM	VKLAD	7100	43809	\N	\N	\N
1078066	3682	1997-02-16	PRIJEM	VKLAD	6300	42345	\N	\N	\N
1078067	3682	1997-03-18	PRIJEM	VKLAD	1800	45670	\N	\N	\N
1078068	3682	1997-04-17	PRIJEM	VKLAD	1100	48318	\N	\N	\N
1078069	3682	1997-05-17	PRIJEM	VKLAD	3800	52719	\N	\N	\N
1078070	3682	1997-06-16	PRIJEM	VKLAD	3500	51337	\N	\N	\N
1078071	3682	1997-07-16	PRIJEM	VKLAD	14600	35800	\N	\N	\N
1078072	3682	1997-08-15	PRIJEM	VKLAD	6700	40260	\N	\N	\N
1078073	3682	1997-09-14	PRIJEM	VKLAD	5500	47277	\N	\N	\N
1078074	3682	1997-10-14	PRIJEM	VKLAD	2100	47923	\N	\N	\N
1078075	3682	1997-11-13	PRIJEM	VKLAD	500	49980	\N	\N	\N
1078076	3682	1997-12-13	PRIJEM	VKLAD	700	48107	\N	\N	\N
1078077	3682	1998-01-12	PRIJEM	VKLAD	9100	56849	\N	\N	\N
1078078	3682	1998-02-11	PRIJEM	VKLAD	1400	45895	\N	\N	\N
1078079	3682	1998-03-13	PRIJEM	VKLAD	3400	52600	\N	\N	\N
1078080	3682	1998-04-12	PRIJEM	VKLAD	300	50332	\N	\N	\N
1078081	3682	1998-05-12	PRIJEM	VKLAD	2700	54619	\N	\N	\N
1078082	3682	1998-06-11	PRIJEM	VKLAD	11900	48281	\N	\N	\N
1078083	3682	1998-07-11	PRIJEM	VKLAD	7900	59834	\N	\N	\N
1078084	3682	1998-08-10	PRIJEM	VKLAD	12300	64147	\N	\N	\N
1078085	3682	1998-09-09	PRIJEM	VKLAD	9300	75076	\N	\N	\N
1078086	3682	1998-10-09	PRIJEM	VKLAD	3600	79033	\N	\N	\N
1078087	3682	1998-11-08	PRIJEM	VKLAD	7400	81295	\N	\N	\N
1078088	3682	1998-12-08	PRIJEM	VKLAD	500	83507	\N	\N	\N
1078156	3683	1993-08-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1078165	3683	1993-09-05	PRIJEM	VKLAD	23426	24426	\N	\N	\N
1078166	3683	1993-10-05	PRIJEM	VKLAD	23426	47716	\N	\N	\N
1078167	3683	1993-11-05	PRIJEM	VKLAD	23426	58873	\N	\N	\N
1078168	3683	1993-12-05	PRIJEM	VKLAD	35139	78782	\N	\N	\N
1078169	3683	1994-01-05	PRIJEM	VKLAD	23426	75011	\N	\N	\N
1078170	3683	1994-02-05	PRIJEM	VKLAD	23426	59508	\N	\N	\N
1078171	3683	1994-03-05	PRIJEM	VKLAD	23426	66585	\N	\N	\N
1078172	3683	1994-04-05	PRIJEM	VKLAD	23426	69785	\N	\N	\N
1078173	3683	1994-05-05	PRIJEM	VKLAD	23426	69686	\N	\N	\N
1078174	3683	1994-06-05	PRIJEM	VKLAD	35139	81901	\N	\N	\N
1078175	3683	1994-07-05	PRIJEM	VKLAD	23426	51467	\N	\N	\N
1078176	3683	1994-08-05	PRIJEM	VKLAD	23426	56269	\N	\N	\N
1078177	3683	1994-09-05	PRIJEM	VKLAD	23426	61023	\N	\N	\N
1078178	3683	1994-10-05	PRIJEM	VKLAD	23426	64190	\N	\N	\N
1078179	3683	1994-11-05	PRIJEM	VKLAD	23426	65109	\N	\N	\N
1078180	3683	1994-12-05	PRIJEM	VKLAD	35139	76491	\N	\N	\N
1078181	3683	1995-01-05	PRIJEM	VKLAD	23426	72193	\N	\N	\N
1078182	3683	1995-02-05	PRIJEM	VKLAD	23426	49773	\N	\N	\N
1078183	3683	1995-03-05	PRIJEM	VKLAD	23426	66051	\N	\N	\N
1078184	3683	1995-04-05	PRIJEM	VKLAD	23426	67430	\N	\N	\N
1078185	3683	1995-05-05	PRIJEM	VKLAD	23426	67812	\N	\N	\N
1078186	3683	1995-06-05	PRIJEM	VKLAD	35139	69503	\N	\N	\N
1078187	3683	1995-07-05	PRIJEM	VKLAD	23426	52128	\N	\N	\N
1078188	3683	1995-08-05	PRIJEM	VKLAD	23426	58793	\N	\N	\N
1078189	3683	1995-09-05	PRIJEM	VKLAD	23426	66316	\N	\N	\N
1078190	3683	1995-10-05	PRIJEM	VKLAD	23426	71573	\N	\N	\N
1078191	3683	1995-11-05	PRIJEM	VKLAD	23426	75152	\N	\N	\N
1078192	3683	1995-12-05	PRIJEM	VKLAD	35139	88561	\N	\N	\N
1078193	3683	1996-01-05	PRIJEM	VKLAD	23426	79240	\N	\N	\N
1078194	3683	1996-02-05	PRIJEM	VKLAD	23426	74781	\N	\N	\N
1078195	3683	1996-03-05	PRIJEM	VKLAD	23426	78259	\N	\N	\N
1078196	3683	1996-04-05	PRIJEM	VKLAD	23426	79350	\N	\N	\N
1078197	3683	1996-05-05	PRIJEM	VKLAD	23426	80481	\N	\N	\N
1078198	3683	1996-06-05	PRIJEM	VKLAD	35139	92290	\N	\N	\N
1078199	3683	1996-07-05	PRIJEM	VKLAD	23426	69162	\N	\N	\N
1078200	3683	1996-08-05	PRIJEM	VKLAD	23426	75882	\N	\N	\N
1078201	3683	1996-09-05	PRIJEM	VKLAD	23426	78656	\N	\N	\N
1078202	3683	1996-10-05	PRIJEM	VKLAD	23426	83020	\N	\N	\N
1078203	3683	1996-11-05	PRIJEM	VKLAD	23426	84676	\N	\N	\N
1078204	3683	1996-12-05	PRIJEM	VKLAD	35139	99595	\N	\N	\N
1078205	3683	1997-01-05	PRIJEM	VKLAD	23426	91203	\N	\N	\N
1078206	3683	1997-02-05	PRIJEM	VKLAD	23426	73882	\N	\N	\N
1078207	3683	1997-03-05	PRIJEM	VKLAD	23426	80644	\N	\N	\N
1078208	3683	1997-04-05	PRIJEM	VKLAD	23426	81229	\N	\N	\N
1078209	3683	1997-05-05	PRIJEM	VKLAD	23426	83217	\N	\N	\N
1078210	3683	1997-06-05	PRIJEM	VKLAD	35139	94823	\N	\N	\N
1078211	3683	1997-07-05	PRIJEM	VKLAD	23426	76887	\N	\N	\N
1078212	3683	1997-08-05	PRIJEM	VKLAD	23426	80235	\N	\N	\N
1078213	3683	1997-09-05	PRIJEM	VKLAD	23426	84214	\N	\N	\N
1078214	3683	1997-10-05	PRIJEM	VKLAD	23426	82738	\N	\N	\N
1078215	3683	1997-11-05	PRIJEM	VKLAD	23426	79703	\N	\N	\N
1078216	3683	1997-12-05	PRIJEM	VKLAD	35139	93648	\N	\N	\N
1078217	3683	1998-01-05	PRIJEM	VKLAD	23426	86252	\N	\N	\N
1078218	3683	1998-02-05	PRIJEM	VKLAD	23426	71136	\N	\N	\N
1078219	3683	1998-03-05	PRIJEM	VKLAD	23426	75170	\N	\N	\N
1078220	3683	1998-04-05	PRIJEM	VKLAD	23426	69731	\N	\N	\N
1078221	3683	1998-05-05	PRIJEM	VKLAD	23426	71861	\N	\N	\N
1078222	3683	1998-06-05	PRIJEM	VKLAD	35139	85691	\N	\N	\N
1078223	3683	1998-07-05	PRIJEM	VKLAD	23426	83378	\N	\N	\N
1078224	3683	1998-08-05	PRIJEM	VKLAD	23426	83852	\N	\N	\N
1078225	3683	1998-09-05	PRIJEM	VKLAD	23426	78921	\N	\N	\N
1078226	3683	1998-10-05	PRIJEM	VKLAD	23426	79071	\N	\N	\N
1078227	3683	1998-11-05	PRIJEM	VKLAD	23426	78720	\N	\N	\N
1078228	3683	1998-12-05	PRIJEM	VKLAD	35139	93687	\N	\N	\N
1078241	3683	1994-01-06	VYDAJ	PREVOD NA UCET	3114	71897	SIPO	AB	55347096
1078242	3683	1994-02-06	VYDAJ	PREVOD NA UCET	3114	56394	SIPO	AB	55347096
1078243	3683	1994-03-06	VYDAJ	PREVOD NA UCET	3114	63471	SIPO	AB	55347096
1078244	3683	1994-04-06	VYDAJ	PREVOD NA UCET	3114	66671	SIPO	AB	55347096
1078245	3683	1994-05-06	VYDAJ	PREVOD NA UCET	3114	66572	SIPO	AB	55347096
1078246	3683	1994-06-06	VYDAJ	PREVOD NA UCET	3114	78787	SIPO	AB	55347096
1078247	3683	1994-07-06	VYDAJ	PREVOD NA UCET	3114	48353	SIPO	AB	55347096
1078248	3683	1994-08-06	VYDAJ	PREVOD NA UCET	3114	53155	SIPO	AB	55347096
1078249	3683	1994-09-06	VYDAJ	PREVOD NA UCET	3114	57909	SIPO	AB	55347096
1078250	3683	1994-10-06	VYDAJ	PREVOD NA UCET	3114	61076	SIPO	AB	55347096
1078251	3683	1994-11-06	VYDAJ	PREVOD NA UCET	3114	61995	SIPO	AB	55347096
1078252	3683	1994-12-06	VYDAJ	PREVOD NA UCET	3114	73377	SIPO	AB	55347096
1078253	3683	1995-01-06	VYDAJ	PREVOD NA UCET	3114	40539	SIPO	AB	55347096
1078254	3683	1995-02-06	VYDAJ	PREVOD NA UCET	3114	46659	SIPO	AB	55347096
1078255	3683	1995-03-06	VYDAJ	PREVOD NA UCET	3114	62937	SIPO	AB	55347096
1078256	3683	1995-04-06	VYDAJ	PREVOD NA UCET	3114	44216	SIPO	AB	55347096
1078257	3683	1995-05-06	VYDAJ	PREVOD NA UCET	3114	43198	SIPO	AB	55347096
1078258	3683	1995-06-06	VYDAJ	PREVOD NA UCET	3114	66389	SIPO	AB	55347096
1078259	3683	1995-07-06	VYDAJ	PREVOD NA UCET	3114	49014	SIPO	AB	55347096
1078260	3683	1995-08-06	VYDAJ	PREVOD NA UCET	3114	55679	SIPO	AB	55347096
1078261	3683	1995-09-06	VYDAJ	PREVOD NA UCET	3114	63202	SIPO	AB	55347096
1078262	3683	1995-10-06	VYDAJ	PREVOD NA UCET	3114	68459	SIPO	AB	55347096
1078263	3683	1995-11-06	VYDAJ	PREVOD NA UCET	3114	72038	SIPO	AB	55347096
1078264	3683	1995-12-06	VYDAJ	PREVOD NA UCET	3114	85447	SIPO	AB	55347096
1078265	3683	1996-01-06	VYDAJ	PREVOD NA UCET	3114	76126	SIPO	AB	55347096
1078266	3683	1996-02-06	VYDAJ	PREVOD NA UCET	3114	71667	SIPO	AB	55347096
1078267	3683	1996-03-06	VYDAJ	PREVOD NA UCET	3114	75145	SIPO	AB	55347096
1078268	3683	1996-04-06	VYDAJ	PREVOD NA UCET	3114	76236	SIPO	AB	55347096
1078269	3683	1996-05-06	VYDAJ	PREVOD NA UCET	3114	77367	SIPO	AB	55347096
1078270	3683	1996-06-06	VYDAJ	PREVOD NA UCET	3114	89176	SIPO	AB	55347096
1078271	3683	1996-07-06	VYDAJ	PREVOD NA UCET	3114	66048	SIPO	AB	55347096
1078272	3683	1996-08-06	VYDAJ	PREVOD NA UCET	3114	72768	SIPO	AB	55347096
1078273	3683	1996-09-06	VYDAJ	PREVOD NA UCET	3114	75542	SIPO	AB	55347096
1078274	3683	1996-10-06	VYDAJ	PREVOD NA UCET	3114	79906	SIPO	AB	55347096
1078275	3683	1996-11-06	VYDAJ	PREVOD NA UCET	3114	81562	SIPO	AB	55347096
1078276	3683	1996-12-06	VYDAJ	PREVOD NA UCET	3114	96481	SIPO	AB	55347096
1078277	3683	1997-01-06	VYDAJ	PREVOD NA UCET	3114	88089	SIPO	AB	55347096
1078278	3683	1997-02-06	VYDAJ	PREVOD NA UCET	3114	70768	SIPO	AB	55347096
1078279	3683	1997-03-06	VYDAJ	PREVOD NA UCET	3114	77530	SIPO	AB	55347096
1078280	3683	1997-04-06	VYDAJ	PREVOD NA UCET	3114	78115	SIPO	AB	55347096
1078281	3683	1997-05-06	VYDAJ	PREVOD NA UCET	3114	80103	SIPO	AB	55347096
1078282	3683	1997-06-06	VYDAJ	PREVOD NA UCET	3114	91709	SIPO	AB	55347096
1078283	3683	1997-07-06	VYDAJ	PREVOD NA UCET	3114	73773	SIPO	AB	55347096
1078284	3683	1997-08-06	VYDAJ	PREVOD NA UCET	3114	77121	SIPO	AB	55347096
1078285	3683	1997-09-06	VYDAJ	PREVOD NA UCET	3114	81100	SIPO	AB	55347096
1078286	3683	1997-10-06	VYDAJ	PREVOD NA UCET	3114	79624	SIPO	AB	55347096
1078287	3683	1997-11-06	VYDAJ	PREVOD NA UCET	3114	76589	SIPO	AB	55347096
1078288	3683	1997-12-06	VYDAJ	PREVOD NA UCET	3114	90534	SIPO	AB	55347096
1078289	3683	1998-01-06	VYDAJ	PREVOD NA UCET	3114	79898	SIPO	AB	55347096
1078290	3683	1998-02-06	VYDAJ	PREVOD NA UCET	3114	68022	SIPO	AB	55347096
1078291	3683	1998-03-06	VYDAJ	PREVOD NA UCET	3114	72056	SIPO	AB	55347096
1078292	3683	1998-04-06	VYDAJ	PREVOD NA UCET	3114	66617	SIPO	AB	55347096
1078293	3683	1998-05-06	VYDAJ	PREVOD NA UCET	3114	68747	SIPO	AB	55347096
1078294	3683	1998-06-06	VYDAJ	PREVOD NA UCET	3114	82577	SIPO	AB	55347096
1078295	3683	1998-07-06	VYDAJ	PREVOD NA UCET	3114	80264	SIPO	AB	55347096
1078296	3683	1998-08-06	VYDAJ	PREVOD NA UCET	3114	80738	SIPO	AB	55347096
1078297	3683	1998-09-06	VYDAJ	PREVOD NA UCET	3114	75807	SIPO	AB	55347096
1078298	3683	1998-10-06	VYDAJ	PREVOD NA UCET	3114	75957	SIPO	AB	55347096
1078299	3683	1998-11-06	VYDAJ	PREVOD NA UCET	3114	75606	SIPO	AB	55347096
1078300	3683	1998-12-06	VYDAJ	PREVOD NA UCET	3114	90573	SIPO	AB	55347096
1078302	3683	1994-06-25	VYDAJ	VYBER	26240	27847	\N	\N	\N
1078303	3683	1995-06-20	VYDAJ	VYBER	36480	29909	\N	\N	\N
1078304	3683	1996-06-08	VYDAJ	VYBER	41440	47736	\N	\N	\N
1078305	3683	1997-06-08	VYDAJ	VYBER	22400	69309	\N	\N	\N
1078308	3683	1994-01-25	VYDAJ	VYBER	5120	38297	\N	\N	\N
1078309	3683	1995-01-29	VYDAJ	VYBER	2240	28099	\N	\N	\N
1078310	3683	1996-01-13	VYDAJ	VYBER	1760	74366	\N	\N	\N
1078311	3683	1997-01-12	VYDAJ	VYBER	12960	73809	\N	\N	\N
1078312	3683	1998-01-16	VYDAJ	VYBER	2880	77018	\N	\N	\N
1078314	3683	1994-12-29	VYDAJ	VYBER	2400	48577	\N	\N	\N
1078315	3683	1995-12-26	VYDAJ	VYBER	4480	80967	\N	\N	\N
1078316	3683	1996-12-14	VYDAJ	VYBER	2720	93761	\N	\N	\N
1078317	3683	1997-12-18	VYDAJ	VYBER	2400	88134	\N	\N	\N
1078318	3683	1998-12-29	VYDAJ	VYBER	4160	60093	\N	\N	\N
1078325	3683	1994-01-15	VYDAJ	VYBER	1920	46177	\N	\N	\N
1078327	3683	1994-01-17	VYDAJ	VYBER	1920	43417	\N	\N	\N
1078328	3683	1994-01-17	VYDAJ	VYBER	840	45337	\N	\N	\N
1078330	3683	1994-01-29	VYDAJ	VYBER	2400	35897	\N	\N	\N
1078331	3683	1995-01-06	VYDAJ	VYBER	2640	43653	\N	\N	\N
1078332	3683	1995-01-27	VYDAJ	VYBER	2520	30339	\N	\N	\N
1078333	3683	1995-01-26	VYDAJ	VYBER	840	35979	\N	\N	\N
1078334	3683	1995-01-17	VYDAJ	VYBER	1800	38739	\N	\N	\N
1078335	3683	1995-01-24	VYDAJ	VYBER	1920	36819	\N	\N	\N
1078336	3683	1995-01-27	VYDAJ	VYBER	3120	32859	\N	\N	\N
1078337	3683	1996-01-16	VYDAJ	VYBER	2640	71726	\N	\N	\N
1078338	3683	1996-01-20	VYDAJ	VYBER	1560	70166	\N	\N	\N
1078339	3683	1996-01-28	VYDAJ	VYBER	600	65486	\N	\N	\N
1078340	3683	1996-01-04	VYDAJ	VYBER	1680	55814	\N	\N	\N
1078341	3683	1996-01-23	VYDAJ	VYBER	1320	66086	\N	\N	\N
1078342	3683	1996-01-21	VYDAJ	VYBER	2760	67406	\N	\N	\N
1078343	3683	1997-01-17	VYDAJ	VYBER	2400	68529	\N	\N	\N
1078344	3683	1997-01-02	VYDAJ	VYBER	3120	67777	\N	\N	\N
1078345	3683	1997-01-25	VYDAJ	VYBER	2760	50189	\N	\N	\N
1078346	3683	1997-01-10	VYDAJ	VYBER	1320	86769	\N	\N	\N
1078347	3683	1997-01-13	VYDAJ	VYBER	2880	70929	\N	\N	\N
1078348	3683	1997-01-19	VYDAJ	VYBER	2040	63249	\N	\N	\N
1078349	3683	1998-01-05	VYDAJ	VYBER	3240	83012	\N	\N	\N
1078350	3683	1998-01-26	VYDAJ	VYBER	1320	49138	\N	\N	\N
1078351	3683	1998-01-21	VYDAJ	VYBER	600	55018	\N	\N	\N
1078352	3683	1998-01-22	VYDAJ	VYBER	2160	50458	\N	\N	\N
1078353	3683	1998-01-21	VYDAJ	VYBER	2400	52618	\N	\N	\N
1078354	3683	1998-01-27	VYDAJ	VYBER	1680	47458	\N	\N	\N
1078359	3683	1994-10-19	VYDAJ	VYBER	3960	41516	\N	\N	\N
1078360	3683	1994-07-28	VYDAJ	VYBER	2040	32713	\N	\N	\N
1078361	3683	1995-07-22	VYDAJ	VYBER	4920	44094	\N	\N	\N
1078362	3683	1995-02-24	VYDAJ	VYBER	4200	42459	\N	\N	\N
1078363	3683	1996-04-13	VYDAJ	VYBER	1560	74676	\N	\N	\N
1078364	3683	1996-09-24	VYDAJ	VYBER	1320	74222	\N	\N	\N
1078365	3683	1996-07-09	VYDAJ	VYBER	3720	62328	\N	\N	\N
1078366	3683	1996-10-11	VYDAJ	VYBER	2040	77866	\N	\N	\N
1078367	3683	1997-11-03	VYDAJ	VYBER	4920	56277	\N	\N	\N
1078368	3683	1997-09-13	VYDAJ	VYBER	2160	78940	\N	\N	\N
1078369	3683	1997-11-15	VYDAJ	VYBER	5040	71549	\N	\N	\N
1078370	3683	1997-07-23	VYDAJ	VYBER	3120	70653	\N	\N	\N
1078371	3683	1997-01-18	VYDAJ	VYBER	3240	65289	\N	\N	\N
1078372	3683	1998-08-28	VYDAJ	VYBER	3600	55238	\N	\N	\N
1078373	3683	1998-04-03	VYDAJ	VYBER	2280	46305	\N	\N	\N
1078374	3683	1998-06-03	VYDAJ	VYBER	2520	50552	\N	\N	\N
1078375	3683	1998-12-19	VYDAJ	VYBER	3120	64253	\N	\N	\N
1078376	3683	1998-06-18	VYDAJ	VYBER	4800	59677	\N	\N	\N
1078390	3683	1994-01-31	VYDAJ	VYBER	15	36082	SLUZBY	\N	\N
1078391	3683	1994-02-28	VYDAJ	VYBER	15	43159	SLUZBY	\N	\N
1078392	3683	1994-03-31	VYDAJ	VYBER	15	46359	SLUZBY	\N	\N
1078393	3683	1994-04-30	VYDAJ	VYBER	15	46260	SLUZBY	\N	\N
1078394	3683	1994-05-31	VYDAJ	VYBER	15	46762	SLUZBY	\N	\N
1078395	3683	1994-06-30	VYDAJ	VYBER	15	28041	SLUZBY	\N	\N
1078396	3683	1994-07-31	VYDAJ	VYBER	15	32843	SLUZBY	\N	\N
1078397	3683	1994-08-31	VYDAJ	VYBER	15	37597	SLUZBY	\N	\N
1078398	3683	1994-09-30	VYDAJ	VYBER	15	40764	SLUZBY	\N	\N
1078399	3683	1994-10-31	VYDAJ	VYBER	15	41683	SLUZBY	\N	\N
1078400	3683	1994-11-30	VYDAJ	VYBER	15	41352	SLUZBY	\N	\N
1078401	3683	1994-12-31	VYDAJ	VYBER	15	48767	SLUZBY	\N	\N
1078402	3683	1995-01-31	VYDAJ	VYBER	15	28247	SLUZBY	\N	\N
1078403	3683	1995-02-28	VYDAJ	VYBER	15	42625	SLUZBY	\N	\N
1078404	3683	1995-03-31	VYDAJ	VYBER	15	44004	SLUZBY	\N	\N
1078405	3683	1995-04-30	VYDAJ	VYBER	15	44386	SLUZBY	\N	\N
1078406	3683	1995-05-31	VYDAJ	VYBER	15	43364	SLUZBY	\N	\N
1078407	3683	1995-06-30	VYDAJ	VYBER	15	30102	SLUZBY	\N	\N
1078408	3683	1995-07-31	VYDAJ	VYBER	15	44267	SLUZBY	\N	\N
1078409	3683	1995-08-31	VYDAJ	VYBER	15	55890	SLUZBY	\N	\N
1078410	3683	1995-09-30	VYDAJ	VYBER	15	63447	SLUZBY	\N	\N
1078411	3683	1995-10-31	VYDAJ	VYBER	15	68726	SLUZBY	\N	\N
1078412	3683	1995-11-30	VYDAJ	VYBER	15	72322	SLUZBY	\N	\N
1078413	3683	1995-12-31	VYDAJ	VYBER	15	81294	SLUZBY	\N	\N
1078414	3683	1996-01-31	VYDAJ	VYBER	15	51355	SLUZBY	\N	\N
1078415	3683	1996-02-29	VYDAJ	VYBER	15	54833	SLUZBY	\N	\N
1078416	3683	1996-03-31	VYDAJ	VYBER	15	55924	SLUZBY	\N	\N
1078417	3683	1996-04-30	VYDAJ	VYBER	15	57055	SLUZBY	\N	\N
1078418	3683	1996-05-31	VYDAJ	VYBER	15	57151	SLUZBY	\N	\N
1078419	3683	1996-06-30	VYDAJ	VYBER	15	45736	SLUZBY	\N	\N
1078420	3683	1996-07-31	VYDAJ	VYBER	15	52456	SLUZBY	\N	\N
1078421	3683	1996-08-31	VYDAJ	VYBER	15	55230	SLUZBY	\N	\N
1078422	3683	1996-09-30	VYDAJ	VYBER	15	59594	SLUZBY	\N	\N
1078423	3683	1996-10-31	VYDAJ	VYBER	15	61250	SLUZBY	\N	\N
1078424	3683	1996-11-30	VYDAJ	VYBER	15	64456	SLUZBY	\N	\N
1078425	3683	1996-12-31	VYDAJ	VYBER	15	70897	SLUZBY	\N	\N
1078426	3683	1997-01-31	VYDAJ	VYBER	15	50456	SLUZBY	\N	\N
1078427	3683	1997-02-28	VYDAJ	VYBER	15	57218	SLUZBY	\N	\N
1078428	3683	1997-03-31	VYDAJ	VYBER	15	57803	SLUZBY	\N	\N
1078429	3683	1997-04-30	VYDAJ	VYBER	15	59791	SLUZBY	\N	\N
1078430	3683	1997-05-31	VYDAJ	VYBER	15	59684	SLUZBY	\N	\N
1078431	3683	1997-06-30	VYDAJ	VYBER	15	53461	SLUZBY	\N	\N
1078432	3683	1997-07-31	VYDAJ	VYBER	15	56809	SLUZBY	\N	\N
1078433	3683	1997-08-31	VYDAJ	VYBER	15	60788	SLUZBY	\N	\N
1078434	3683	1997-09-30	VYDAJ	VYBER	15	59312	SLUZBY	\N	\N
1078435	3683	1997-10-31	VYDAJ	VYBER	15	61197	SLUZBY	\N	\N
1078436	3683	1997-11-30	VYDAJ	VYBER	15	58509	SLUZBY	\N	\N
1078437	3683	1997-12-31	VYDAJ	VYBER	15	62826	SLUZBY	\N	\N
1078438	3683	1998-01-31	VYDAJ	VYBER	15	47710	SLUZBY	\N	\N
1078439	3683	1998-02-28	VYDAJ	VYBER	15	51744	SLUZBY	\N	\N
1078440	3683	1998-03-31	VYDAJ	VYBER	15	48585	SLUZBY	\N	\N
1078441	3683	1998-04-30	VYDAJ	VYBER	15	48435	SLUZBY	\N	\N
1078442	3683	1998-05-31	VYDAJ	VYBER	15	53072	SLUZBY	\N	\N
1078443	3683	1998-06-30	VYDAJ	VYBER	15	59952	SLUZBY	\N	\N
1078444	3683	1998-07-31	VYDAJ	VYBER	15	60426	SLUZBY	\N	\N
1078445	3683	1998-08-31	VYDAJ	VYBER	15	55495	SLUZBY	\N	\N
1078446	3683	1998-09-30	VYDAJ	VYBER	15	55645	SLUZBY	\N	\N
1078447	3683	1998-10-31	VYDAJ	VYBER	15	55294	SLUZBY	\N	\N
1078448	3683	1998-11-30	VYDAJ	VYBER	15	58548	SLUZBY	\N	\N
1078449	3683	1993-09-12	VYDAJ	VYBER	200	24226	\N	\N	\N
1078450	3683	1993-10-12	VYDAJ	VYBER	12400	35316	\N	\N	\N
1078451	3683	1993-11-11	VYDAJ	VYBER	15400	43473	\N	\N	\N
1078452	3683	1993-12-11	VYDAJ	VYBER	27400	51382	\N	\N	\N
1078453	3683	1994-01-10	VYDAJ	VYBER	23800	48097	\N	\N	\N
1078454	3683	1994-02-09	VYDAJ	VYBER	13400	42994	\N	\N	\N
1078455	3683	1994-03-11	VYDAJ	VYBER	17300	46171	\N	\N	\N
1078456	3683	1994-04-10	VYDAJ	VYBER	20600	46071	\N	\N	\N
1078457	3683	1994-05-10	VYDAJ	VYBER	20000	46572	\N	\N	\N
1078458	3683	1994-06-09	VYDAJ	VYBER	24700	54087	\N	\N	\N
1078459	3683	1994-07-09	VYDAJ	VYBER	13600	34753	\N	\N	\N
1078460	3683	1994-08-08	VYDAJ	VYBER	15700	37455	\N	\N	\N
1078461	3683	1994-09-07	VYDAJ	VYBER	17300	40609	\N	\N	\N
1078462	3683	1994-10-07	VYDAJ	VYBER	15600	45476	\N	\N	\N
1078463	3683	1994-11-06	VYDAJ	VYBER	20800	41195	\N	\N	\N
1078464	3683	1994-12-06	VYDAJ	VYBER	22400	50977	\N	\N	\N
1078465	3683	1995-01-05	VYDAJ	VYBER	25900	46293	\N	\N	\N
1078466	3683	1995-02-04	VYDAJ	VYBER	1900	26347	\N	\N	\N
1078467	3683	1995-03-06	VYDAJ	VYBER	19100	43837	\N	\N	\N
1078468	3683	1995-04-05	VYDAJ	VYBER	20100	47330	\N	\N	\N
1078469	3683	1995-05-05	VYDAJ	VYBER	21500	46312	\N	\N	\N
1078470	3683	1995-06-04	VYDAJ	VYBER	9000	34364	\N	\N	\N
1078471	3683	1995-07-04	VYDAJ	VYBER	1400	28702	\N	\N	\N
1078472	3683	1995-08-03	VYDAJ	VYBER	8900	35367	\N	\N	\N
1078473	3683	1995-09-02	VYDAJ	VYBER	13000	42890	\N	\N	\N
1078474	3683	1995-10-02	VYDAJ	VYBER	15300	48147	\N	\N	\N
1078475	3683	1995-11-01	VYDAJ	VYBER	17000	51726	\N	\N	\N
1078476	3683	1995-12-01	VYDAJ	VYBER	18900	53422	\N	\N	\N
1078477	3683	1995-12-31	VYDAJ	VYBER	23800	57494	\N	\N	\N
1078478	3683	1996-01-30	VYDAJ	VYBER	14400	51086	\N	\N	\N
1078479	3683	1996-02-29	VYDAJ	VYBER	17100	54848	\N	\N	\N
1078480	3683	1996-03-30	VYDAJ	VYBER	19500	55645	\N	\N	\N
1078481	3683	1996-04-29	VYDAJ	VYBER	17900	56776	\N	\N	\N
1078482	3683	1996-05-29	VYDAJ	VYBER	20500	56867	\N	\N	\N
1078483	3683	1996-06-28	VYDAJ	VYBER	2200	45536	\N	\N	\N
1078484	3683	1996-07-28	VYDAJ	VYBER	10100	52228	\N	\N	\N
1078485	3683	1996-08-27	VYDAJ	VYBER	17800	54968	\N	\N	\N
1078486	3683	1996-09-26	VYDAJ	VYBER	14900	59322	\N	\N	\N
1078487	3683	1996-10-26	VYDAJ	VYBER	16900	60966	\N	\N	\N
1078488	3683	1996-11-25	VYDAJ	VYBER	17400	64162	\N	\N	\N
1078489	3683	1996-12-25	VYDAJ	VYBER	23200	70561	\N	\N	\N
1078490	3683	1997-01-24	VYDAJ	VYBER	10300	52949	\N	\N	\N
1078491	3683	1997-02-23	VYDAJ	VYBER	13800	56968	\N	\N	\N
1078492	3683	1997-03-25	VYDAJ	VYBER	20000	57530	\N	\N	\N
1078493	3683	1997-04-24	VYDAJ	VYBER	18600	59515	\N	\N	\N
1078494	3683	1997-05-24	VYDAJ	VYBER	20700	59403	\N	\N	\N
1078495	3683	1997-06-23	VYDAJ	VYBER	16100	53209	\N	\N	\N
1078496	3683	1997-07-23	VYDAJ	VYBER	14100	56553	\N	\N	\N
1078497	3683	1997-08-22	VYDAJ	VYBER	16600	60521	\N	\N	\N
1078498	3683	1997-09-21	VYDAJ	VYBER	19900	59040	\N	\N	\N
1078499	3683	1997-10-21	VYDAJ	VYBER	18700	60924	\N	\N	\N
1078500	3683	1997-11-20	VYDAJ	VYBER	13300	58249	\N	\N	\N
1078501	3683	1997-12-20	VYDAJ	VYBER	25600	62534	\N	\N	\N
1078502	3683	1998-01-19	VYDAJ	VYBER	21400	55618	\N	\N	\N
1078503	3683	1998-02-18	VYDAJ	VYBER	16500	51522	\N	\N	\N
1078504	3683	1998-03-20	VYDAJ	VYBER	23700	48356	\N	\N	\N
1078505	3683	1998-04-19	VYDAJ	VYBER	18400	48217	\N	\N	\N
1078506	3683	1998-05-19	VYDAJ	VYBER	15900	52847	\N	\N	\N
1078507	3683	1998-06-18	VYDAJ	VYBER	18100	64477	\N	\N	\N
1078508	3683	1998-07-18	VYDAJ	VYBER	20100	60164	\N	\N	\N
1078509	3683	1998-08-17	VYDAJ	VYBER	21900	58838	\N	\N	\N
1078510	3683	1998-09-16	VYDAJ	VYBER	20400	55407	\N	\N	\N
1078511	3683	1998-10-16	VYDAJ	VYBER	20900	55057	\N	\N	\N
1078512	3683	1998-11-15	VYDAJ	VYBER	17300	58306	\N	\N	\N
1078513	3683	1998-12-15	VYDAJ	VYBER	23200	67373	\N	\N	\N
1078578	3684	1994-03-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1078581	3684	1994-03-09	PRIJEM	PREVOD Z UCTU	6710	7810	DUCHOD	QR	60549932
1078582	3684	1994-04-09	PRIJEM	PREVOD Z UCTU	6710	14544	DUCHOD	QR	60549932
1078583	3684	1994-05-09	PRIJEM	PREVOD Z UCTU	6710	21287	DUCHOD	QR	60549932
1078584	3684	1994-06-09	PRIJEM	PREVOD Z UCTU	6710	27629	DUCHOD	QR	60549932
1078585	3684	1994-07-09	PRIJEM	PREVOD Z UCTU	6710	32132	DUCHOD	QR	60549932
1078586	3684	1994-08-09	PRIJEM	PREVOD Z UCTU	6710	35583	DUCHOD	QR	60549932
1078587	3684	1994-09-09	PRIJEM	PREVOD Z UCTU	6710	35342	DUCHOD	QR	60549932
1078588	3684	1994-10-09	PRIJEM	PREVOD Z UCTU	6710	34906	DUCHOD	QR	60549932
1078589	3684	1994-11-09	PRIJEM	PREVOD Z UCTU	6710	32517	DUCHOD	QR	60549932
1078590	3684	1994-12-09	PRIJEM	PREVOD Z UCTU	6710	34363	DUCHOD	QR	60549932
1078591	3684	1995-01-09	PRIJEM	PREVOD Z UCTU	6710	30675	DUCHOD	QR	60549932
1078592	3684	1995-02-09	PRIJEM	PREVOD Z UCTU	6710	24576	DUCHOD	QR	60549932
1078593	3684	1995-03-09	PRIJEM	PREVOD Z UCTU	6710	25668	DUCHOD	QR	60549932
1078594	3684	1995-04-09	PRIJEM	PREVOD Z UCTU	6710	27846	DUCHOD	QR	60549932
1078595	3684	1995-05-09	PRIJEM	PREVOD Z UCTU	6710	29577	DUCHOD	QR	60549932
1078596	3684	1995-06-09	PRIJEM	PREVOD Z UCTU	6710	31409	DUCHOD	QR	60549932
1078597	3684	1995-07-09	PRIJEM	PREVOD Z UCTU	6710	30848	DUCHOD	QR	60549932
1078598	3684	1995-08-09	PRIJEM	PREVOD Z UCTU	6710	33387	DUCHOD	QR	60549932
1078599	3684	1995-09-09	PRIJEM	PREVOD Z UCTU	6710	35436	DUCHOD	QR	60549932
1078600	3684	1995-10-09	PRIJEM	PREVOD Z UCTU	6710	31329	DUCHOD	QR	60549932
1078601	3684	1995-11-09	PRIJEM	PREVOD Z UCTU	6710	30766	DUCHOD	QR	60549932
1078602	3684	1995-12-09	PRIJEM	PREVOD Z UCTU	6710	31002	DUCHOD	QR	60549932
1078603	3684	1996-01-09	PRIJEM	PREVOD Z UCTU	6710	26129	DUCHOD	QR	60549932
1078604	3684	1996-02-09	PRIJEM	PREVOD Z UCTU	6710	21392	DUCHOD	QR	60549932
1078605	3684	1996-03-09	PRIJEM	PREVOD Z UCTU	6710	24491	DUCHOD	QR	60549932
1078606	3684	1996-04-09	PRIJEM	PREVOD Z UCTU	6710	22197	DUCHOD	QR	60549932
1078607	3684	1996-05-09	PRIJEM	PREVOD Z UCTU	6710	22696	DUCHOD	QR	60549932
1078608	3684	1996-06-09	PRIJEM	PREVOD Z UCTU	6710	19392	DUCHOD	QR	60549932
1078609	3684	1996-07-09	PRIJEM	PREVOD Z UCTU	6710	21179	DUCHOD	QR	60549932
1078610	3684	1996-08-09	PRIJEM	PREVOD Z UCTU	6710	21210	DUCHOD	QR	60549932
1078611	3684	1996-09-09	PRIJEM	PREVOD Z UCTU	6710	18498	DUCHOD	QR	60549932
1078612	3684	1996-10-09	PRIJEM	PREVOD Z UCTU	6710	20924	DUCHOD	QR	60549932
1078613	3684	1996-11-09	PRIJEM	PREVOD Z UCTU	6710	24321	DUCHOD	QR	60549932
1078614	3684	1996-12-09	PRIJEM	PREVOD Z UCTU	6710	26453	DUCHOD	QR	60549932
1078615	3684	1997-01-09	PRIJEM	PREVOD Z UCTU	6710	25495	DUCHOD	QR	60549932
1078616	3684	1997-02-09	PRIJEM	PREVOD Z UCTU	6710	21781	DUCHOD	QR	60549932
1078617	3684	1997-03-09	PRIJEM	PREVOD Z UCTU	6710	22536	DUCHOD	QR	60549932
1078618	3684	1997-04-09	PRIJEM	PREVOD Z UCTU	6710	25940	DUCHOD	QR	60549932
1078619	3684	1997-05-09	PRIJEM	PREVOD Z UCTU	6710	29358	DUCHOD	QR	60549932
1078620	3684	1997-06-09	PRIJEM	PREVOD Z UCTU	6710	28490	DUCHOD	QR	60549932
1078621	3684	1997-07-09	PRIJEM	PREVOD Z UCTU	6710	29922	DUCHOD	QR	60549932
1078622	3684	1997-08-09	PRIJEM	PREVOD Z UCTU	6710	21732	DUCHOD	QR	60549932
1078623	3684	1997-09-09	PRIJEM	PREVOD Z UCTU	6710	25132	DUCHOD	QR	60549932
1078624	3684	1997-10-09	PRIJEM	PREVOD Z UCTU	6710	21229	DUCHOD	QR	60549932
1078625	3684	1997-11-09	PRIJEM	PREVOD Z UCTU	6710	24627	DUCHOD	QR	60549932
1078626	3684	1997-12-09	PRIJEM	PREVOD Z UCTU	6710	28039	DUCHOD	QR	60549932
1078627	3684	1998-01-09	PRIJEM	PREVOD Z UCTU	6710	31064	DUCHOD	QR	60549932
1078628	3684	1998-02-09	PRIJEM	PREVOD Z UCTU	6710	25611	DUCHOD	QR	60549932
1078629	3684	1998-03-09	PRIJEM	PREVOD Z UCTU	6710	29027	DUCHOD	QR	60549932
1078630	3684	1998-04-09	PRIJEM	PREVOD Z UCTU	6710	30294	DUCHOD	QR	60549932
1078631	3684	1998-05-09	PRIJEM	PREVOD Z UCTU	6710	33729	DUCHOD	QR	60549932
1078632	3684	1998-06-09	PRIJEM	PREVOD Z UCTU	6710	37179	DUCHOD	QR	60549932
1078633	3684	1998-07-09	PRIJEM	PREVOD Z UCTU	6710	16678	DUCHOD	QR	60549932
1078634	3684	1998-08-09	PRIJEM	PREVOD Z UCTU	6710	20057	DUCHOD	QR	60549932
1078635	3684	1998-09-09	PRIJEM	PREVOD Z UCTU	6710	23449	DUCHOD	QR	60549932
1078636	3684	1998-10-09	PRIJEM	PREVOD Z UCTU	6710	26856	DUCHOD	QR	60549932
1078637	3684	1998-11-09	PRIJEM	PREVOD Z UCTU	6710	27470	DUCHOD	QR	60549932
1078638	3684	1998-12-09	PRIJEM	PREVOD Z UCTU	6710	30893	DUCHOD	QR	60549932
1078645	3684	1994-07-13	VYDAJ	PREVOD NA UCET	3365	28767	SIPO	WX	86708855
1078646	3684	1994-08-13	VYDAJ	PREVOD NA UCET	3365	32218	SIPO	WX	86708855
1078647	3684	1994-09-13	VYDAJ	PREVOD NA UCET	3365	31977	SIPO	WX	86708855
1078648	3684	1994-10-13	VYDAJ	PREVOD NA UCET	3365	31541	SIPO	WX	86708855
1078649	3684	1994-11-13	VYDAJ	PREVOD NA UCET	3365	29152	SIPO	WX	86708855
1078650	3684	1994-12-13	VYDAJ	PREVOD NA UCET	3365	30998	SIPO	WX	86708855
1078651	3684	1995-01-13	VYDAJ	PREVOD NA UCET	3365	27310	SIPO	WX	86708855
1078652	3684	1995-02-13	VYDAJ	PREVOD NA UCET	3365	21211	SIPO	WX	86708855
1078653	3684	1995-03-13	VYDAJ	PREVOD NA UCET	3365	22303	SIPO	WX	86708855
1078654	3684	1995-04-13	VYDAJ	PREVOD NA UCET	3365	24481	SIPO	WX	86708855
1078655	3684	1995-05-13	VYDAJ	PREVOD NA UCET	3365	24612	SIPO	WX	86708855
1078656	3684	1995-06-13	VYDAJ	PREVOD NA UCET	3365	28044	SIPO	WX	86708855
1078657	3684	1995-07-13	VYDAJ	PREVOD NA UCET	3365	27483	SIPO	WX	86708855
1078658	3684	1995-08-13	VYDAJ	PREVOD NA UCET	3365	30022	SIPO	WX	86708855
1078659	3684	1995-09-13	VYDAJ	PREVOD NA UCET	3365	32071	SIPO	WX	86708855
1078660	3684	1995-10-13	VYDAJ	PREVOD NA UCET	3365	27964	SIPO	WX	86708855
1078661	3684	1995-11-13	VYDAJ	PREVOD NA UCET	3365	27401	SIPO	WX	86708855
1078662	3684	1995-12-13	VYDAJ	PREVOD NA UCET	3365	27637	SIPO	WX	86708855
1078663	3684	1996-01-13	VYDAJ	PREVOD NA UCET	3365	21324	SIPO	WX	86708855
1078664	3684	1996-02-13	VYDAJ	PREVOD NA UCET	3365	18027	SIPO	WX	86708855
1078665	3684	1996-03-13	VYDAJ	PREVOD NA UCET	3365	21126	SIPO	WX	86708855
1078666	3684	1996-04-13	VYDAJ	PREVOD NA UCET	3365	18832	SIPO	WX	86708855
1078667	3684	1996-05-13	VYDAJ	PREVOD NA UCET	3365	19331	SIPO	WX	86708855
1078668	3684	1996-06-13	VYDAJ	PREVOD NA UCET	3365	16027	SIPO	WX	86708855
1078669	3684	1996-07-13	VYDAJ	PREVOD NA UCET	3365	14454	SIPO	WX	86708855
1078670	3684	1996-08-13	VYDAJ	PREVOD NA UCET	3365	17845	SIPO	WX	86708855
1078671	3684	1996-09-13	VYDAJ	PREVOD NA UCET	3365	15133	SIPO	WX	86708855
1078672	3684	1996-10-13	VYDAJ	PREVOD NA UCET	3365	17559	SIPO	WX	86708855
1078673	3684	1996-11-13	VYDAJ	PREVOD NA UCET	3365	20956	SIPO	WX	86708855
1078674	3684	1996-12-13	VYDAJ	PREVOD NA UCET	3365	22188	SIPO	WX	86708855
1078675	3684	1997-01-13	VYDAJ	PREVOD NA UCET	3365	19010	SIPO	WX	86708855
1078676	3684	1997-02-13	VYDAJ	PREVOD NA UCET	3365	18416	SIPO	WX	86708855
1078677	3684	1997-03-13	VYDAJ	PREVOD NA UCET	3365	19171	SIPO	WX	86708855
1078678	3684	1997-04-13	VYDAJ	PREVOD NA UCET	3365	22575	SIPO	WX	86708855
1078679	3684	1997-05-13	VYDAJ	PREVOD NA UCET	3365	25993	SIPO	WX	86708855
1078680	3684	1997-06-13	VYDAJ	PREVOD NA UCET	3365	23125	SIPO	WX	86708855
1078681	3684	1997-07-13	VYDAJ	PREVOD NA UCET	3365	26557	SIPO	WX	86708855
1078682	3684	1997-08-13	VYDAJ	PREVOD NA UCET	3365	18367	SIPO	WX	86708855
1078683	3684	1997-09-13	VYDAJ	PREVOD NA UCET	3365	21767	SIPO	WX	86708855
1078684	3684	1997-10-13	VYDAJ	PREVOD NA UCET	3365	17864	SIPO	WX	86708855
1078685	3684	1997-11-13	VYDAJ	PREVOD NA UCET	3365	21262	SIPO	WX	86708855
1078686	3684	1997-12-13	VYDAJ	PREVOD NA UCET	3365	24674	SIPO	WX	86708855
1078687	3684	1998-01-13	VYDAJ	PREVOD NA UCET	3365	25459	SIPO	WX	86708855
1078688	3684	1998-02-13	VYDAJ	PREVOD NA UCET	3365	22246	SIPO	WX	86708855
1078689	3684	1998-03-13	VYDAJ	PREVOD NA UCET	3365	25662	SIPO	WX	86708855
1078690	3684	1998-04-13	VYDAJ	PREVOD NA UCET	3365	26929	SIPO	WX	86708855
1078691	3684	1998-05-13	VYDAJ	PREVOD NA UCET	3365	30364	SIPO	WX	86708855
1078692	3684	1998-06-13	VYDAJ	PREVOD NA UCET	3365	9914	SIPO	WX	86708855
1078693	3684	1998-07-13	VYDAJ	PREVOD NA UCET	3365	13313	SIPO	WX	86708855
1078694	3684	1998-08-13	VYDAJ	PREVOD NA UCET	3365	16692	SIPO	WX	86708855
1078695	3684	1998-09-13	VYDAJ	PREVOD NA UCET	3365	20084	SIPO	WX	86708855
1078696	3684	1998-10-13	VYDAJ	PREVOD NA UCET	3365	23491	SIPO	WX	86708855
1078697	3684	1998-11-13	VYDAJ	PREVOD NA UCET	3365	24105	SIPO	WX	86708855
1078698	3684	1998-12-13	VYDAJ	PREVOD NA UCET	3365	27528	SIPO	WX	86708855
1078702	3684	1997-06-05	VYDAJ	VYBER	4300	21780	\N	\N	\N
1078705	3684	1995-01-27	VYDAJ	VYBER	1450	17780	\N	\N	\N
1078706	3684	1996-01-29	VYDAJ	VYBER	750	14614	\N	\N	\N
1078707	3684	1997-01-04	VYDAJ	VYBER	1400	20865	\N	\N	\N
1078709	3684	1994-12-24	VYDAJ	VYBER	1200	29798	\N	\N	\N
1078710	3684	1995-12-22	VYDAJ	VYBER	1250	26387	\N	\N	\N
1078711	3684	1996-12-10	VYDAJ	VYBER	900	25553	\N	\N	\N
1078712	3684	1997-12-15	VYDAJ	VYBER	400	24274	\N	\N	\N
1078713	3684	1998-12-13	VYDAJ	VYBER	950	26578	\N	\N	\N
1078720	3684	1995-01-16	VYDAJ	VYBER	1360	24670	\N	\N	\N
1078721	3684	1995-01-26	VYDAJ	VYBER	1200	20510	\N	\N	\N
1078722	3684	1995-01-14	VYDAJ	VYBER	1280	26030	\N	\N	\N
1078723	3684	1995-01-19	VYDAJ	VYBER	1600	23070	\N	\N	\N
1078724	3684	1995-01-03	VYDAJ	VYBER	1200	25805	\N	\N	\N
1078725	3684	1995-01-23	VYDAJ	VYBER	1360	21710	\N	\N	\N
1078726	3684	1996-01-01	VYDAJ	VYBER	1920	23259	\N	\N	\N
1078727	3684	1996-01-29	VYDAJ	VYBER	2320	15364	\N	\N	\N
1078728	3684	1996-01-14	VYDAJ	VYBER	1200	20124	\N	\N	\N
1078729	3684	1996-01-05	VYDAJ	VYBER	2080	19419	\N	\N	\N
1078730	3684	1996-01-03	VYDAJ	VYBER	1760	21499	\N	\N	\N
1078731	3684	1996-01-10	VYDAJ	VYBER	1440	24689	\N	\N	\N
1078732	3684	1997-01-05	VYDAJ	VYBER	2080	18785	\N	\N	\N
1078733	3684	1997-01-17	VYDAJ	VYBER	640	17010	\N	\N	\N
1078734	3684	1997-01-16	VYDAJ	VYBER	1360	17650	\N	\N	\N
1078735	3684	1997-01-18	VYDAJ	VYBER	1280	15730	\N	\N	\N
1078736	3684	1997-01-10	VYDAJ	VYBER	1440	24055	\N	\N	\N
1078737	3684	1997-01-11	VYDAJ	VYBER	1680	22375	\N	\N	\N
1078738	3684	1998-01-22	VYDAJ	VYBER	640	21779	\N	\N	\N
1078739	3684	1998-01-29	VYDAJ	VYBER	2080	18819	\N	\N	\N
1078740	3684	1998-01-28	VYDAJ	VYBER	880	20899	\N	\N	\N
1078741	3684	1998-01-21	VYDAJ	VYBER	2320	22419	\N	\N	\N
1078742	3684	1998-01-12	VYDAJ	VYBER	2240	28824	\N	\N	\N
1078743	3684	1998-01-16	VYDAJ	VYBER	720	24739	\N	\N	\N
1078746	3684	1994-10-15	VYDAJ	VYBER	1840	29701	\N	\N	\N
1078747	3684	1995-09-28	VYDAJ	VYBER	2960	24511	\N	\N	\N
1078748	3684	1995-01-06	VYDAJ	VYBER	1840	23965	\N	\N	\N
1078749	3684	1995-01-27	VYDAJ	VYBER	1280	19230	\N	\N	\N
1078750	3684	1995-04-07	VYDAJ	VYBER	1040	21136	\N	\N	\N
1078751	3684	1995-02-28	VYDAJ	VYBER	2320	18958	\N	\N	\N
1078752	3684	1995-05-10	VYDAJ	VYBER	1600	27977	\N	\N	\N
1078753	3684	1996-07-13	VYDAJ	VYBER	3360	17819	\N	\N	\N
1078755	3684	1996-12-07	VYDAJ	VYBER	1280	19743	\N	\N	\N
1078756	3684	1996-06-14	VYDAJ	VYBER	1600	14427	\N	\N	\N
1078757	3684	1996-01-22	VYDAJ	VYBER	2240	17884	\N	\N	\N
1078758	3684	1996-09-18	VYDAJ	VYBER	960	14173	\N	\N	\N
1078761	3684	1997-01-28	VYDAJ	VYBER	720	15010	\N	\N	\N
1078762	3684	1997-02-16	VYDAJ	VYBER	2640	15776	\N	\N	\N
1078763	3684	1997-06-09	VYDAJ	VYBER	2000	26490	\N	\N	\N
1078764	3684	1998-10-15	VYDAJ	VYBER	2800	20691	\N	\N	\N
1078765	3684	1998-03-22	VYDAJ	VYBER	2160	23502	\N	\N	\N
1078774	3684	1994-07-31	VYDAJ	VYBER	15	28873	SLUZBY	\N	\N
1078775	3684	1994-08-31	VYDAJ	VYBER	15	32332	SLUZBY	\N	\N
1078776	3684	1994-09-30	VYDAJ	VYBER	15	28196	SLUZBY	\N	\N
1078777	3684	1994-10-31	VYDAJ	VYBER	15	25807	SLUZBY	\N	\N
1078778	3684	1994-11-30	VYDAJ	VYBER	15	27653	SLUZBY	\N	\N
1078779	3684	1994-12-31	VYDAJ	VYBER	15	27005	SLUZBY	\N	\N
1078780	3684	1995-01-31	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
1078781	3684	1995-02-28	VYDAJ	VYBER	15	21278	SLUZBY	\N	\N
1078782	3684	1995-03-31	VYDAJ	VYBER	15	22176	SLUZBY	\N	\N
1078783	3684	1995-04-30	VYDAJ	VYBER	15	22867	SLUZBY	\N	\N
1078784	3684	1995-05-31	VYDAJ	VYBER	15	24699	SLUZBY	\N	\N
1078785	3684	1995-06-30	VYDAJ	VYBER	15	24138	SLUZBY	\N	\N
1078786	3684	1995-07-31	VYDAJ	VYBER	15	26677	SLUZBY	\N	\N
1078787	3684	1995-08-31	VYDAJ	VYBER	15	28726	SLUZBY	\N	\N
1078788	3684	1995-09-30	VYDAJ	VYBER	15	24619	SLUZBY	\N	\N
1078789	3684	1995-10-31	VYDAJ	VYBER	15	24056	SLUZBY	\N	\N
1078790	3684	1995-11-30	VYDAJ	VYBER	15	24292	SLUZBY	\N	\N
1078791	3684	1995-12-31	VYDAJ	VYBER	15	25179	SLUZBY	\N	\N
1078792	3684	1996-01-31	VYDAJ	VYBER	15	14682	SLUZBY	\N	\N
1078793	3684	1996-02-29	VYDAJ	VYBER	15	17781	SLUZBY	\N	\N
1078794	3684	1996-03-31	VYDAJ	VYBER	15	15487	SLUZBY	\N	\N
1078795	3684	1996-04-30	VYDAJ	VYBER	15	15986	SLUZBY	\N	\N
1078796	3684	1996-05-31	VYDAJ	VYBER	15	12682	SLUZBY	\N	\N
1078797	3684	1996-06-30	VYDAJ	VYBER	15	14469	SLUZBY	\N	\N
1078798	3684	1996-07-31	VYDAJ	VYBER	15	14500	SLUZBY	\N	\N
1078799	3684	1996-08-31	VYDAJ	VYBER	15	11788	SLUZBY	\N	\N
1078800	3684	1996-09-30	VYDAJ	VYBER	15	14214	SLUZBY	\N	\N
1078801	3684	1996-10-31	VYDAJ	VYBER	15	17611	SLUZBY	\N	\N
1078802	3684	1996-11-30	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
1078803	3684	1996-12-31	VYDAJ	VYBER	15	22265	SLUZBY	\N	\N
1078804	3684	1997-01-31	VYDAJ	VYBER	15	15071	SLUZBY	\N	\N
1078805	3684	1997-02-28	VYDAJ	VYBER	15	15826	SLUZBY	\N	\N
1078806	3684	1997-03-31	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
1078807	3684	1997-04-30	VYDAJ	VYBER	15	22648	SLUZBY	\N	\N
1078808	3684	1997-05-31	VYDAJ	VYBER	15	26080	SLUZBY	\N	\N
1078809	3684	1997-06-30	VYDAJ	VYBER	15	23212	SLUZBY	\N	\N
1078810	3684	1997-07-31	VYDAJ	VYBER	15	15022	SLUZBY	\N	\N
1078811	3684	1997-08-31	VYDAJ	VYBER	15	18422	SLUZBY	\N	\N
1078812	3684	1997-09-30	VYDAJ	VYBER	15	14519	SLUZBY	\N	\N
1078813	3684	1997-10-31	VYDAJ	VYBER	15	17917	SLUZBY	\N	\N
1078814	3684	1997-11-30	VYDAJ	VYBER	15	21329	SLUZBY	\N	\N
1078815	3684	1997-12-31	VYDAJ	VYBER	15	24354	SLUZBY	\N	\N
1078816	3684	1998-01-31	VYDAJ	VYBER	15	18901	SLUZBY	\N	\N
1078817	3684	1998-02-28	VYDAJ	VYBER	15	22317	SLUZBY	\N	\N
1078818	3684	1998-03-31	VYDAJ	VYBER	15	23584	SLUZBY	\N	\N
1078819	3684	1998-04-30	VYDAJ	VYBER	15	27019	SLUZBY	\N	\N
1078820	3684	1998-05-31	VYDAJ	VYBER	15	30469	SLUZBY	\N	\N
1078821	3684	1998-06-30	VYDAJ	VYBER	15	9968	SLUZBY	\N	\N
1078822	3684	1998-07-31	VYDAJ	VYBER	15	13347	SLUZBY	\N	\N
1078823	3684	1998-08-31	VYDAJ	VYBER	15	16739	SLUZBY	\N	\N
1078824	3684	1998-09-30	VYDAJ	VYBER	15	20146	SLUZBY	\N	\N
1078825	3684	1998-10-31	VYDAJ	VYBER	15	20760	SLUZBY	\N	\N
1078826	3684	1998-11-30	VYDAJ	VYBER	15	24183	SLUZBY	\N	\N
1078827	3684	1994-06-02	VYDAJ	VYBER	400	20919	\N	\N	\N
1078828	3684	1994-07-02	VYDAJ	VYBER	2300	25422	\N	\N	\N
1078829	3684	1994-08-31	VYDAJ	VYBER	3700	28632	\N	\N	\N
1078830	3684	1994-09-30	VYDAJ	VYBER	3900	28211	\N	\N	\N
1078831	3684	1994-10-30	VYDAJ	VYBER	4000	25701	\N	\N	\N
1078832	3684	1994-11-29	VYDAJ	VYBER	1600	27552	\N	\N	\N
1078833	3684	1994-12-29	VYDAJ	VYBER	2900	26898	\N	\N	\N
1078834	3684	1995-03-29	VYDAJ	VYBER	200	22103	\N	\N	\N
1078835	3684	1995-04-28	VYDAJ	VYBER	1700	22781	\N	\N	\N
1078836	3684	1995-06-27	VYDAJ	VYBER	4000	24044	\N	\N	\N
1078837	3684	1995-07-27	VYDAJ	VYBER	900	26583	\N	\N	\N
1078838	3684	1995-08-26	VYDAJ	VYBER	1400	28622	\N	\N	\N
1078839	3684	1995-09-25	VYDAJ	VYBER	4600	27471	\N	\N	\N
1078840	3684	1995-10-25	VYDAJ	VYBER	4000	23964	\N	\N	\N
1078841	3684	1995-11-24	VYDAJ	VYBER	3200	24201	\N	\N	\N
1078842	3684	1995-12-24	VYDAJ	VYBER	1300	25087	\N	\N	\N
1078843	3684	1996-01-23	VYDAJ	VYBER	200	17684	\N	\N	\N
1078844	3684	1996-02-22	VYDAJ	VYBER	300	17727	\N	\N	\N
1078845	3684	1996-03-23	VYDAJ	VYBER	5700	15426	\N	\N	\N
1078846	3684	1996-04-22	VYDAJ	VYBER	2900	15932	\N	\N	\N
1078847	3684	1996-05-22	VYDAJ	VYBER	6700	12631	\N	\N	\N
1078848	3684	1996-08-20	VYDAJ	VYBER	6100	11745	\N	\N	\N
1078849	3684	1997-07-16	VYDAJ	VYBER	11600	14957	\N	\N	\N
1078850	3684	1997-09-14	VYDAJ	VYBER	7300	14467	\N	\N	\N
1078851	3684	1998-06-11	VYDAJ	VYBER	23900	13279	\N	\N	\N
1079440	3686	1997-08-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1079448	3686	1997-08-06	PRIJEM	PREVOD Z UCTU	3082	4182	\N	MN	90735989
1079449	3686	1997-09-06	PRIJEM	PREVOD Z UCTU	3082	7279	\N	MN	90735989
1079450	3686	1997-10-06	PRIJEM	PREVOD Z UCTU	3082	10378	\N	MN	90735989
1079451	3686	1997-11-06	PRIJEM	PREVOD Z UCTU	3082	13477	\N	MN	90735989
1079452	3686	1997-12-06	PRIJEM	PREVOD Z UCTU	3082	16577	\N	MN	90735989
1079453	3686	1998-01-06	PRIJEM	PREVOD Z UCTU	3082	17642	\N	MN	90735989
1079454	3686	1998-02-06	PRIJEM	PREVOD Z UCTU	3082	15441	\N	MN	90735989
1079455	3686	1998-03-06	PRIJEM	PREVOD Z UCTU	3082	16509	\N	MN	90735989
1079456	3686	1998-04-06	PRIJEM	PREVOD Z UCTU	3082	17582	\N	MN	90735989
1079457	3686	1998-05-06	PRIJEM	PREVOD Z UCTU	3082	16735	\N	MN	90735989
1079458	3686	1998-06-06	PRIJEM	PREVOD Z UCTU	3082	17808	\N	MN	90735989
1079459	3686	1998-07-06	PRIJEM	PREVOD Z UCTU	3082	17382	\N	MN	90735989
1079460	3686	1998-08-06	PRIJEM	PREVOD Z UCTU	3082	18458	\N	MN	90735989
1079461	3686	1998-09-06	PRIJEM	PREVOD Z UCTU	3082	19539	\N	MN	90735989
1079462	3686	1998-10-06	PRIJEM	PREVOD Z UCTU	3082	19572	\N	MN	90735989
1079463	3686	1998-11-06	PRIJEM	PREVOD Z UCTU	3082	19215	\N	MN	90735989
1079464	3686	1998-12-06	PRIJEM	PREVOD Z UCTU	3082	20059	\N	MN	90735989
1079476	3686	1997-12-07	VYDAJ	PREVOD NA UCET	2054	14523	\N	OP	22078037
1079477	3686	1998-01-07	VYDAJ	PREVOD NA UCET	2054	15588	\N	OP	22078037
1079478	3686	1998-02-07	VYDAJ	PREVOD NA UCET	2054	13387	\N	OP	22078037
1079479	3686	1998-03-07	VYDAJ	PREVOD NA UCET	2054	14455	\N	OP	22078037
1079480	3686	1998-04-07	VYDAJ	PREVOD NA UCET	2054	15528	\N	OP	22078037
1079481	3686	1998-05-07	VYDAJ	PREVOD NA UCET	2054	14681	\N	OP	22078037
1079482	3686	1998-06-07	VYDAJ	PREVOD NA UCET	2054	15754	\N	OP	22078037
1079483	3686	1998-07-07	VYDAJ	PREVOD NA UCET	2054	15328	\N	OP	22078037
1079484	3686	1998-08-07	VYDAJ	PREVOD NA UCET	2054	16404	\N	OP	22078037
1079485	3686	1998-09-07	VYDAJ	PREVOD NA UCET	2054	16585	\N	OP	22078037
1079486	3686	1998-10-07	VYDAJ	PREVOD NA UCET	2054	17518	\N	OP	22078037
1079487	3686	1998-11-07	VYDAJ	PREVOD NA UCET	2054	17161	\N	OP	22078037
1079488	3686	1998-12-07	VYDAJ	PREVOD NA UCET	2054	18005	\N	OP	22078037
1079490	3686	1998-06-08	VYDAJ	VYBER	1500	14254	\N	\N	\N
1079492	3686	1998-01-11	VYDAJ	VYBER	2160	12618	\N	\N	\N
1079494	3686	1998-12-02	VYDAJ	VYBER	240	16977	\N	\N	\N
1079503	3686	1998-01-23	VYDAJ	VYBER	300	12318	\N	\N	\N
1079505	3686	1998-01-08	VYDAJ	VYBER	810	14778	\N	\N	\N
1079512	3686	1998-10-16	VYDAJ	VYBER	1440	16078	\N	\N	\N
1079513	3686	1998-04-09	VYDAJ	VYBER	690	14838	\N	\N	\N
1079514	3686	1998-04-17	VYDAJ	VYBER	1230	13608	\N	\N	\N
1079515	3686	1998-09-06	VYDAJ	VYBER	900	18639	\N	\N	\N
1079516	3686	1998-10-05	VYDAJ	VYBER	150	16490	\N	\N	\N
1079530	3686	1997-12-31	VYDAJ	VYBER	15	14560	SLUZBY	\N	\N
1079531	3686	1998-01-31	VYDAJ	VYBER	15	12359	SLUZBY	\N	\N
1079532	3686	1998-02-28	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
1079533	3686	1998-03-31	VYDAJ	VYBER	15	14500	SLUZBY	\N	\N
1079534	3686	1998-04-30	VYDAJ	VYBER	15	13653	SLUZBY	\N	\N
1079535	3686	1998-05-31	VYDAJ	VYBER	15	14726	SLUZBY	\N	\N
1079536	3686	1998-06-30	VYDAJ	VYBER	15	14300	SLUZBY	\N	\N
1079537	3686	1998-07-31	VYDAJ	VYBER	15	15376	SLUZBY	\N	\N
1079538	3686	1998-08-31	VYDAJ	VYBER	15	16457	SLUZBY	\N	\N
1079539	3686	1998-09-30	VYDAJ	VYBER	15	16640	SLUZBY	\N	\N
1079540	3686	1998-10-31	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
1079541	3686	1998-11-30	VYDAJ	VYBER	15	17217	SLUZBY	\N	\N
1079559	3687	1993-11-06	PRIJEM	VKLAD	900	900	\N	\N	\N
1079570	3687	1993-11-11	PRIJEM	VKLAD	11944	12844	\N	\N	\N
1079571	3687	1993-12-11	PRIJEM	VKLAD	17916	37296	\N	\N	\N
1079572	3687	1994-01-11	PRIJEM	VKLAD	11944	43662	\N	\N	\N
1079573	3687	1994-02-11	PRIJEM	VKLAD	11944	45380	\N	\N	\N
1079574	3687	1994-03-11	PRIJEM	VKLAD	11944	49210	\N	\N	\N
1079575	3687	1994-04-11	PRIJEM	VKLAD	11944	42898	\N	\N	\N
1079576	3687	1994-05-11	PRIJEM	VKLAD	11944	41865	\N	\N	\N
1079577	3687	1994-06-11	PRIJEM	VKLAD	17916	48115	\N	\N	\N
1079578	3687	1994-07-11	PRIJEM	VKLAD	11944	47610	\N	\N	\N
1079579	3687	1994-08-11	PRIJEM	VKLAD	11944	46670	\N	\N	\N
1079580	3687	1994-09-11	PRIJEM	VKLAD	11944	44367	\N	\N	\N
1079581	3687	1994-10-11	PRIJEM	VKLAD	11944	41351	\N	\N	\N
1079582	3687	1994-11-11	PRIJEM	VKLAD	11944	43026	\N	\N	\N
1079583	3687	1994-12-11	PRIJEM	VKLAD	17916	49478	\N	\N	\N
1079584	3687	1995-01-11	PRIJEM	VKLAD	11944	43631	\N	\N	\N
1079585	3687	1995-02-11	PRIJEM	VKLAD	11944	37518	\N	\N	\N
1079586	3687	1995-03-11	PRIJEM	VKLAD	11944	41065	\N	\N	\N
1079587	3687	1995-04-11	PRIJEM	VKLAD	11944	35634	\N	\N	\N
1079588	3687	1995-05-11	PRIJEM	VKLAD	11944	38792	\N	\N	\N
1079589	3687	1995-06-11	PRIJEM	VKLAD	17916	48916	\N	\N	\N
1079590	3687	1995-07-11	PRIJEM	VKLAD	11944	48200	\N	\N	\N
1079591	3687	1995-08-11	PRIJEM	VKLAD	11944	45930	\N	\N	\N
1079592	3687	1995-09-11	PRIJEM	VKLAD	11944	40654	\N	\N	\N
1079593	3687	1995-10-11	PRIJEM	VKLAD	11944	42056	\N	\N	\N
1079594	3687	1995-11-11	PRIJEM	VKLAD	11944	47622	\N	\N	\N
1079595	3687	1995-12-11	PRIJEM	VKLAD	17916	55441	\N	\N	\N
1079596	3687	1996-01-11	PRIJEM	VKLAD	11944	51208	\N	\N	\N
1079597	3687	1996-02-11	PRIJEM	VKLAD	11944	49220	\N	\N	\N
1079598	3687	1996-03-11	PRIJEM	VKLAD	11944	44626	\N	\N	\N
1079599	3687	1996-04-11	PRIJEM	VKLAD	11944	44353	\N	\N	\N
1079600	3687	1996-05-11	PRIJEM	VKLAD	11944	46624	\N	\N	\N
1079601	3687	1996-06-11	PRIJEM	VKLAD	17916	57980	\N	\N	\N
1079602	3687	1996-07-11	PRIJEM	VKLAD	11944	48675	\N	\N	\N
1079603	3687	1996-08-11	PRIJEM	VKLAD	11944	53924	\N	\N	\N
1079604	3687	1996-09-11	PRIJEM	VKLAD	11944	57035	\N	\N	\N
1079605	3687	1996-10-11	PRIJEM	VKLAD	11944	59456	\N	\N	\N
1079606	3687	1996-11-11	PRIJEM	VKLAD	11944	62889	\N	\N	\N
1079607	3687	1996-12-11	PRIJEM	VKLAD	17916	66058	\N	\N	\N
1079608	3687	1997-01-11	PRIJEM	VKLAD	11944	62259	\N	\N	\N
1079609	3687	1997-02-11	PRIJEM	VKLAD	11944	58888	\N	\N	\N
1079610	3687	1997-03-11	PRIJEM	VKLAD	11944	59913	\N	\N	\N
1079611	3687	1997-04-11	PRIJEM	VKLAD	11944	61644	\N	\N	\N
1079612	3687	1997-05-11	PRIJEM	VKLAD	11944	59776	\N	\N	\N
1079613	3687	1997-06-11	PRIJEM	VKLAD	17916	64873	\N	\N	\N
1079614	3687	1997-07-11	PRIJEM	VKLAD	11944	63107	\N	\N	\N
1079615	3687	1997-08-11	PRIJEM	VKLAD	11944	62646	\N	\N	\N
1079616	3687	1997-09-11	PRIJEM	VKLAD	11944	59476	\N	\N	\N
1079617	3687	1997-10-11	PRIJEM	VKLAD	11944	56993	\N	\N	\N
1079618	3687	1997-11-11	PRIJEM	VKLAD	11944	58507	\N	\N	\N
1079619	3687	1997-12-11	PRIJEM	VKLAD	17916	62713	\N	\N	\N
1079620	3687	1998-01-11	PRIJEM	VKLAD	11944	61015	\N	\N	\N
1079621	3687	1998-02-11	PRIJEM	VKLAD	11944	63934	\N	\N	\N
1079622	3687	1998-03-11	PRIJEM	VKLAD	11944	68081	\N	\N	\N
1079623	3687	1998-04-11	PRIJEM	VKLAD	11944	67536	\N	\N	\N
1079624	3687	1998-05-11	PRIJEM	VKLAD	11944	64682	\N	\N	\N
1079625	3687	1998-06-11	PRIJEM	VKLAD	17916	69592	\N	\N	\N
1079626	3687	1998-07-11	PRIJEM	VKLAD	11944	60721	\N	\N	\N
1079627	3687	1998-08-11	PRIJEM	VKLAD	11944	62513	\N	\N	\N
1079628	3687	1998-09-11	PRIJEM	VKLAD	11944	66048	\N	\N	\N
1079629	3687	1998-10-11	PRIJEM	VKLAD	11944	67678	\N	\N	\N
1079630	3687	1998-11-11	PRIJEM	VKLAD	11944	76845	\N	\N	\N
1079631	3687	1998-12-11	PRIJEM	VKLAD	17916	88719	\N	\N	\N
1079646	3687	1994-03-12	VYDAJ	PREVOD NA UCET	5106	44104	SIPO	KL	44689565
1079647	3687	1994-04-12	VYDAJ	PREVOD NA UCET	5106	37792	SIPO	KL	44689565
1079648	3687	1994-05-12	VYDAJ	PREVOD NA UCET	5106	36759	SIPO	KL	44689565
1079649	3687	1994-06-12	VYDAJ	PREVOD NA UCET	5106	43009	SIPO	KL	44689565
1079650	3687	1994-07-12	VYDAJ	PREVOD NA UCET	5106	41664	SIPO	KL	44689565
1079651	3687	1994-08-12	VYDAJ	PREVOD NA UCET	5106	41564	SIPO	KL	44689565
1079652	3687	1994-09-12	VYDAJ	PREVOD NA UCET	5106	39261	SIPO	KL	44689565
1079653	3687	1994-10-12	VYDAJ	PREVOD NA UCET	5106	36245	SIPO	KL	44689565
1079654	3687	1994-11-12	VYDAJ	PREVOD NA UCET	5106	37920	SIPO	KL	44689565
1079655	3687	1994-12-12	VYDAJ	PREVOD NA UCET	5106	44372	SIPO	KL	44689565
1079656	3687	1995-01-12	VYDAJ	PREVOD NA UCET	5106	38525	SIPO	KL	44689565
1079657	3687	1995-02-12	VYDAJ	PREVOD NA UCET	5106	32412	SIPO	KL	44689565
1079658	3687	1995-03-12	VYDAJ	PREVOD NA UCET	5106	35959	SIPO	KL	44689565
1079659	3687	1995-04-12	VYDAJ	PREVOD NA UCET	5106	30528	SIPO	KL	44689565
1079660	3687	1995-05-12	VYDAJ	PREVOD NA UCET	5106	33686	SIPO	KL	44689565
1079661	3687	1995-06-12	VYDAJ	PREVOD NA UCET	5106	43810	SIPO	KL	44689565
1079662	3687	1995-07-12	VYDAJ	PREVOD NA UCET	5106	43094	SIPO	KL	44689565
1079663	3687	1995-08-12	VYDAJ	PREVOD NA UCET	5106	40824	SIPO	KL	44689565
1079664	3687	1995-09-12	VYDAJ	PREVOD NA UCET	5106	35548	SIPO	KL	44689565
1079665	3687	1995-10-12	VYDAJ	PREVOD NA UCET	5106	36950	SIPO	KL	44689565
1079666	3687	1995-11-12	VYDAJ	PREVOD NA UCET	5106	42516	SIPO	KL	44689565
1079667	3687	1995-12-12	VYDAJ	PREVOD NA UCET	5106	50335	SIPO	KL	44689565
1079668	3687	1996-01-12	VYDAJ	PREVOD NA UCET	5106	46102	SIPO	KL	44689565
1079669	3687	1996-02-12	VYDAJ	PREVOD NA UCET	5106	44114	SIPO	KL	44689565
1079670	3687	1996-03-12	VYDAJ	PREVOD NA UCET	5106	39520	SIPO	KL	44689565
1079671	3687	1996-04-12	VYDAJ	PREVOD NA UCET	5106	39247	SIPO	KL	44689565
1079672	3687	1996-05-12	VYDAJ	PREVOD NA UCET	5106	41518	SIPO	KL	44689565
1079673	3687	1996-06-12	VYDAJ	PREVOD NA UCET	5106	52874	SIPO	KL	44689565
1079674	3687	1996-07-12	VYDAJ	PREVOD NA UCET	5106	43569	SIPO	KL	44689565
1079675	3687	1996-08-12	VYDAJ	PREVOD NA UCET	5106	48818	SIPO	KL	44689565
1079676	3687	1996-09-12	VYDAJ	PREVOD NA UCET	5106	51929	SIPO	KL	44689565
1079677	3687	1996-10-12	VYDAJ	PREVOD NA UCET	5106	54350	SIPO	KL	44689565
1079678	3687	1996-11-12	VYDAJ	PREVOD NA UCET	5106	57783	SIPO	KL	44689565
1079679	3687	1996-12-12	VYDAJ	PREVOD NA UCET	5106	60952	SIPO	KL	44689565
1079680	3687	1997-01-12	VYDAJ	PREVOD NA UCET	5106	57153	SIPO	KL	44689565
1079681	3687	1997-02-12	VYDAJ	PREVOD NA UCET	5106	53782	SIPO	KL	44689565
1079682	3687	1997-03-12	VYDAJ	PREVOD NA UCET	5106	54807	SIPO	KL	44689565
1079683	3687	1997-04-12	VYDAJ	PREVOD NA UCET	5106	56538	SIPO	KL	44689565
1079684	3687	1997-05-12	VYDAJ	PREVOD NA UCET	5106	54670	SIPO	KL	44689565
1079685	3687	1997-06-12	VYDAJ	PREVOD NA UCET	5106	59767	SIPO	KL	44689565
1079686	3687	1997-07-12	VYDAJ	PREVOD NA UCET	5106	58001	SIPO	KL	44689565
1079687	3687	1997-08-12	VYDAJ	PREVOD NA UCET	5106	57540	SIPO	KL	44689565
1079688	3687	1997-09-12	VYDAJ	PREVOD NA UCET	5106	54370	SIPO	KL	44689565
1079689	3687	1997-10-12	VYDAJ	PREVOD NA UCET	5106	51887	SIPO	KL	44689565
1079690	3687	1997-11-12	VYDAJ	PREVOD NA UCET	5106	53401	SIPO	KL	44689565
1079691	3687	1997-12-12	VYDAJ	PREVOD NA UCET	5106	57607	SIPO	KL	44689565
1079692	3687	1998-01-12	VYDAJ	PREVOD NA UCET	5106	55909	SIPO	KL	44689565
1079693	3687	1998-02-12	VYDAJ	PREVOD NA UCET	5106	58828	SIPO	KL	44689565
1079694	3687	1998-03-12	VYDAJ	PREVOD NA UCET	5106	62975	SIPO	KL	44689565
1079695	3687	1998-04-12	VYDAJ	PREVOD NA UCET	5106	62430	SIPO	KL	44689565
1079696	3687	1998-05-12	VYDAJ	PREVOD NA UCET	5106	59576	SIPO	KL	44689565
1079697	3687	1998-06-12	VYDAJ	PREVOD NA UCET	5106	64486	SIPO	KL	44689565
1079698	3687	1998-07-12	VYDAJ	PREVOD NA UCET	5106	55615	SIPO	KL	44689565
1079699	3687	1998-08-12	VYDAJ	PREVOD NA UCET	5106	55207	SIPO	KL	44689565
1079700	3687	1998-09-12	VYDAJ	PREVOD NA UCET	5106	56542	SIPO	KL	44689565
1079701	3687	1998-10-12	VYDAJ	PREVOD NA UCET	5106	62572	SIPO	KL	44689565
1079702	3687	1998-11-12	VYDAJ	PREVOD NA UCET	5106	71739	SIPO	KL	44689565
1079703	3687	1998-12-12	VYDAJ	PREVOD NA UCET	5106	83613	SIPO	KL	44689565
1079707	3687	1996-06-19	VYDAJ	VYBER	16000	36874	\N	\N	\N
1079709	3687	1998-06-13	VYDAJ	VYBER	18400	48586	\N	\N	\N
1079712	3687	1995-01-15	VYDAJ	VYBER	11360	27165	\N	\N	\N
1079713	3687	1996-01-14	VYDAJ	VYBER	2880	43222	\N	\N	\N
1079714	3687	1997-01-17	VYDAJ	VYBER	6400	50753	\N	\N	\N
1079715	3687	1998-01-26	VYDAJ	VYBER	3520	51789	\N	\N	\N
1079717	3687	1994-12-20	VYDAJ	VYBER	3840	40532	\N	\N	\N
1079718	3687	1995-12-02	VYDAJ	VYBER	1440	37525	\N	\N	\N
1079719	3687	1996-12-27	VYDAJ	VYBER	1440	50112	\N	\N	\N
1079720	3687	1997-12-14	VYDAJ	VYBER	1120	56487	\N	\N	\N
1079721	3687	1998-12-17	VYDAJ	VYBER	3520	80093	\N	\N	\N
1079728	3687	1994-03-26	VYDAJ	VYBER	1800	42304	\N	\N	\N
1079729	3687	1994-03-31	VYDAJ	VYBER	720	41754	\N	\N	\N
1079730	3687	1994-09-13	VYDAJ	VYBER	3000	36261	\N	\N	\N
1079732	3687	1994-07-11	VYDAJ	VYBER	840	46770	\N	\N	\N
1079733	3687	1994-05-10	VYDAJ	VYBER	2520	29921	\N	\N	\N
1079734	3687	1995-09-10	VYDAJ	VYBER	5760	28710	\N	\N	\N
1079735	3687	1995-04-04	VYDAJ	VYBER	4800	23690	\N	\N	\N
1079736	3687	1995-12-24	VYDAJ	VYBER	5040	45295	\N	\N	\N
1079737	3687	1995-09-18	VYDAJ	VYBER	3360	32188	\N	\N	\N
1079738	3687	1995-08-05	VYDAJ	VYBER	2160	33986	\N	\N	\N
1079739	3687	1996-11-19	VYDAJ	VYBER	840	56943	\N	\N	\N
1079740	3687	1996-03-19	VYDAJ	VYBER	3840	35680	\N	\N	\N
1079741	3687	1996-02-25	VYDAJ	VYBER	5280	32534	\N	\N	\N
1079742	3687	1996-07-14	VYDAJ	VYBER	2040	41529	\N	\N	\N
1079743	3687	1997-11-19	VYDAJ	VYBER	1680	44621	\N	\N	\N
1079744	3687	1998-07-13	VYDAJ	VYBER	1200	52415	\N	\N	\N
1079745	3687	1998-12-01	VYDAJ	VYBER	2280	67203	\N	\N	\N
1079746	3687	1998-09-18	VYDAJ	VYBER	2520	54022	\N	\N	\N
1079747	3687	1998-11-06	VYDAJ	VYBER	2400	60401	\N	\N	\N
1079748	3687	1998-09-07	VYDAJ	VYBER	1320	54104	\N	\N	\N
1079749	3687	1998-11-20	VYDAJ	VYBER	2520	69219	\N	\N	\N
1079750	3687	1998-07-24	VYDAJ	VYBER	2040	50375	\N	\N	\N
1079766	3687	1994-03-31	VYDAJ	VYBER	15	42474	SLUZBY	\N	\N
1079767	3687	1994-04-30	VYDAJ	VYBER	15	37941	SLUZBY	\N	\N
1079768	3687	1994-05-31	VYDAJ	VYBER	15	36899	SLUZBY	\N	\N
1079769	3687	1994-06-30	VYDAJ	VYBER	15	43166	SLUZBY	\N	\N
1079770	3687	1994-07-31	VYDAJ	VYBER	15	41826	SLUZBY	\N	\N
1079771	3687	1994-08-31	VYDAJ	VYBER	15	41723	SLUZBY	\N	\N
1079772	3687	1994-09-30	VYDAJ	VYBER	15	36407	SLUZBY	\N	\N
1079773	3687	1994-10-31	VYDAJ	VYBER	15	36382	SLUZBY	\N	\N
1079774	3687	1994-11-30	VYDAJ	VYBER	15	38062	SLUZBY	\N	\N
1079775	3687	1994-12-31	VYDAJ	VYBER	15	31687	SLUZBY	\N	\N
1079776	3687	1995-01-31	VYDAJ	VYBER	15	25574	SLUZBY	\N	\N
1079777	3687	1995-02-28	VYDAJ	VYBER	15	32521	SLUZBY	\N	\N
1079778	3687	1995-03-31	VYDAJ	VYBER	15	36090	SLUZBY	\N	\N
1079779	3687	1995-04-30	VYDAJ	VYBER	15	30648	SLUZBY	\N	\N
1079780	3687	1995-05-31	VYDAJ	VYBER	15	31000	SLUZBY	\N	\N
1079781	3687	1995-06-30	VYDAJ	VYBER	15	36256	SLUZBY	\N	\N
1079782	3687	1995-07-31	VYDAJ	VYBER	15	36146	SLUZBY	\N	\N
1079783	3687	1995-08-31	VYDAJ	VYBER	15	34470	SLUZBY	\N	\N
1079784	3687	1995-09-30	VYDAJ	VYBER	15	30112	SLUZBY	\N	\N
1079785	3687	1995-10-31	VYDAJ	VYBER	15	35678	SLUZBY	\N	\N
1079786	3687	1995-11-30	VYDAJ	VYBER	15	38965	SLUZBY	\N	\N
1079787	3687	1995-12-31	VYDAJ	VYBER	15	39264	SLUZBY	\N	\N
1079788	3687	1996-01-31	VYDAJ	VYBER	15	37276	SLUZBY	\N	\N
1079789	3687	1996-02-29	VYDAJ	VYBER	15	32682	SLUZBY	\N	\N
1079790	3687	1996-03-31	VYDAJ	VYBER	15	32409	SLUZBY	\N	\N
1079791	3687	1996-04-30	VYDAJ	VYBER	15	34680	SLUZBY	\N	\N
1079792	3687	1996-05-31	VYDAJ	VYBER	15	40064	SLUZBY	\N	\N
1079793	3687	1996-06-30	VYDAJ	VYBER	15	36731	SLUZBY	\N	\N
1079794	3687	1996-07-31	VYDAJ	VYBER	15	41980	SLUZBY	\N	\N
1079795	3687	1996-08-31	VYDAJ	VYBER	15	45091	SLUZBY	\N	\N
1079796	3687	1996-09-30	VYDAJ	VYBER	15	47512	SLUZBY	\N	\N
1079797	3687	1996-10-31	VYDAJ	VYBER	15	50945	SLUZBY	\N	\N
1079798	3687	1996-11-30	VYDAJ	VYBER	15	48142	SLUZBY	\N	\N
1079799	3687	1996-12-31	VYDAJ	VYBER	15	50315	SLUZBY	\N	\N
1079800	3687	1997-01-31	VYDAJ	VYBER	15	46944	SLUZBY	\N	\N
1079801	3687	1997-02-28	VYDAJ	VYBER	15	47969	SLUZBY	\N	\N
1079802	3687	1997-03-31	VYDAJ	VYBER	15	49700	SLUZBY	\N	\N
1079803	3687	1997-04-30	VYDAJ	VYBER	15	47832	SLUZBY	\N	\N
1079804	3687	1997-05-31	VYDAJ	VYBER	15	46957	SLUZBY	\N	\N
1079805	3687	1997-06-30	VYDAJ	VYBER	15	51163	SLUZBY	\N	\N
1079806	3687	1997-07-31	VYDAJ	VYBER	15	50702	SLUZBY	\N	\N
1079807	3687	1997-08-31	VYDAJ	VYBER	15	47532	SLUZBY	\N	\N
1079808	3687	1997-09-30	VYDAJ	VYBER	15	45049	SLUZBY	\N	\N
1079809	3687	1997-10-31	VYDAJ	VYBER	15	46563	SLUZBY	\N	\N
1079810	3687	1997-11-30	VYDAJ	VYBER	15	44797	SLUZBY	\N	\N
1079811	3687	1997-12-31	VYDAJ	VYBER	15	49071	SLUZBY	\N	\N
1079812	3687	1998-01-31	VYDAJ	VYBER	15	51990	SLUZBY	\N	\N
1079813	3687	1998-02-28	VYDAJ	VYBER	15	56137	SLUZBY	\N	\N
1079814	3687	1998-03-31	VYDAJ	VYBER	15	55592	SLUZBY	\N	\N
1079815	3687	1998-04-30	VYDAJ	VYBER	15	52738	SLUZBY	\N	\N
1079816	3687	1998-05-31	VYDAJ	VYBER	15	51676	SLUZBY	\N	\N
1079817	3687	1998-06-30	VYDAJ	VYBER	15	48777	SLUZBY	\N	\N
1079818	3687	1998-07-31	VYDAJ	VYBER	15	50569	SLUZBY	\N	\N
1079819	3687	1998-08-31	VYDAJ	VYBER	15	55424	SLUZBY	\N	\N
1079820	3687	1998-09-30	VYDAJ	VYBER	15	54234	SLUZBY	\N	\N
1079821	3687	1998-10-31	VYDAJ	VYBER	15	62801	SLUZBY	\N	\N
1079822	3687	1998-11-30	VYDAJ	VYBER	15	69483	SLUZBY	\N	\N
1079823	3687	1993-12-06	PRIJEM	VKLAD	6500	19380	\N	\N	\N
1079824	3687	1994-01-05	VYDAJ	VYBER	5700	31718	\N	\N	\N
1079825	3687	1994-02-04	VYDAJ	VYBER	10400	33436	\N	\N	\N
1079826	3687	1994-03-06	VYDAJ	VYBER	8300	37266	\N	\N	\N
1079827	3687	1994-04-05	VYDAJ	VYBER	10800	30954	\N	\N	\N
1079828	3687	1994-05-05	VYDAJ	VYBER	5500	32441	\N	\N	\N
1079829	3687	1994-06-04	VYDAJ	VYBER	6700	30199	\N	\N	\N
1079830	3687	1994-07-04	VYDAJ	VYBER	7500	35666	\N	\N	\N
1079831	3687	1994-08-03	VYDAJ	VYBER	7100	34726	\N	\N	\N
1079832	3687	1994-09-02	VYDAJ	VYBER	9300	32423	\N	\N	\N
1079833	3687	1994-10-02	VYDAJ	VYBER	7000	29407	\N	\N	\N
1079834	3687	1994-11-01	VYDAJ	VYBER	5300	31082	\N	\N	\N
1079835	3687	1994-12-01	VYDAJ	VYBER	6500	31562	\N	\N	\N
1079836	3687	1994-12-31	VYDAJ	VYBER	9000	31701	\N	\N	\N
1079837	3687	1995-01-30	VYDAJ	VYBER	1700	25465	\N	\N	\N
1079838	3687	1995-03-01	VYDAJ	VYBER	3400	29121	\N	\N	\N
1079839	3687	1995-03-31	VYDAJ	VYBER	7600	28490	\N	\N	\N
1079840	3687	1995-04-30	VYDAJ	VYBER	3800	26848	\N	\N	\N
1079841	3687	1995-05-30	VYDAJ	VYBER	2800	30886	\N	\N	\N
1079842	3687	1995-06-29	VYDAJ	VYBER	7700	36110	\N	\N	\N
1079843	3687	1995-07-29	VYDAJ	VYBER	7100	35994	\N	\N	\N
1079844	3687	1995-08-28	VYDAJ	VYBER	6500	34324	\N	\N	\N
1079845	3687	1995-09-27	VYDAJ	VYBER	2200	29988	\N	\N	\N
1079846	3687	1995-10-27	VYDAJ	VYBER	1400	35550	\N	\N	\N
1079847	3687	1995-11-26	VYDAJ	VYBER	3700	38816	\N	\N	\N
1079848	3687	1995-12-26	VYDAJ	VYBER	6200	39095	\N	\N	\N
1079849	3687	1996-01-25	VYDAJ	VYBER	6100	37122	\N	\N	\N
1079850	3687	1996-02-24	VYDAJ	VYBER	6300	37814	\N	\N	\N
1079851	3687	1996-03-25	VYDAJ	VYBER	3400	32280	\N	\N	\N
1079852	3687	1996-04-24	VYDAJ	VYBER	4700	34547	\N	\N	\N
1079853	3687	1996-05-24	VYDAJ	VYBER	1600	39918	\N	\N	\N
1079854	3687	1996-06-23	VYDAJ	VYBER	300	36574	\N	\N	\N
1079855	3687	1996-07-23	PRIJEM	VKLAD	300	41829	\N	\N	\N
1079856	3687	1996-08-22	VYDAJ	VYBER	3900	44918	\N	\N	\N
1079857	3687	1996-09-21	VYDAJ	VYBER	4600	47329	\N	\N	\N
1079858	3687	1996-10-21	VYDAJ	VYBER	3600	50750	\N	\N	\N
1079859	3687	1996-11-20	VYDAJ	VYBER	9000	47943	\N	\N	\N
1079860	3687	1996-12-20	VYDAJ	VYBER	9400	51552	\N	\N	\N
1079861	3687	1997-01-19	VYDAJ	VYBER	4000	46753	\N	\N	\N
1079862	3687	1997-02-18	VYDAJ	VYBER	6000	47782	\N	\N	\N
1079863	3687	1997-03-20	VYDAJ	VYBER	5300	49507	\N	\N	\N
1079864	3687	1997-04-19	VYDAJ	VYBER	8900	47638	\N	\N	\N
1079865	3687	1997-05-19	VYDAJ	VYBER	7900	46770	\N	\N	\N
1079866	3687	1997-06-18	VYDAJ	VYBER	8800	50967	\N	\N	\N
1079867	3687	1997-07-18	VYDAJ	VYBER	7500	50501	\N	\N	\N
1079868	3687	1997-08-17	VYDAJ	VYBER	10200	47340	\N	\N	\N
1079869	3687	1997-09-16	VYDAJ	VYBER	9500	44870	\N	\N	\N
1079870	3687	1997-10-16	VYDAJ	VYBER	5500	46387	\N	\N	\N
1079871	3687	1997-11-15	VYDAJ	VYBER	7100	46301	\N	\N	\N
1079872	3687	1997-12-15	VYDAJ	VYBER	7600	48887	\N	\N	\N
1079873	3687	1998-01-14	VYDAJ	VYBER	600	55309	\N	\N	\N
1079874	3687	1998-02-13	VYDAJ	VYBER	2900	55928	\N	\N	\N
1079875	3687	1998-03-15	VYDAJ	VYBER	7600	55375	\N	\N	\N
1079876	3687	1998-04-14	VYDAJ	VYBER	9900	52530	\N	\N	\N
1079877	3687	1998-05-14	VYDAJ	VYBER	8100	51476	\N	\N	\N
1079878	3687	1998-06-13	PRIJEM	VKLAD	2500	66986	\N	\N	\N
1079879	3687	1998-07-13	VYDAJ	VYBER	2000	53615	\N	\N	\N
1079880	3687	1998-08-12	VYDAJ	VYBER	2200	60313	\N	\N	\N
1079881	3687	1998-09-11	VYDAJ	VYBER	4400	61648	\N	\N	\N
1079882	3687	1998-10-11	PRIJEM	VKLAD	1500	55734	\N	\N	\N
1079883	3687	1998-11-10	PRIJEM	VKLAD	4500	64901	\N	\N	\N
1079884	3687	1998-12-10	PRIJEM	VKLAD	3600	70803	\N	\N	\N
1079947	3688	1993-11-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1079958	3688	1993-11-13	PRIJEM	VKLAD	15258	16358	\N	\N	\N
1079959	3688	1993-12-13	PRIJEM	VKLAD	22887	44486	\N	\N	\N
1079960	3688	1994-01-13	PRIJEM	VKLAD	15258	48084	\N	\N	\N
1079961	3688	1994-02-13	PRIJEM	VKLAD	15258	51536	\N	\N	\N
1079962	3688	1994-03-13	PRIJEM	VKLAD	15258	55803	\N	\N	\N
1079963	3688	1994-04-13	PRIJEM	VKLAD	15258	52470	\N	\N	\N
1079964	3688	1994-05-13	PRIJEM	VKLAD	15258	55725	\N	\N	\N
1079965	3688	1994-06-13	PRIJEM	VKLAD	22887	61021	\N	\N	\N
1079966	3688	1994-07-13	PRIJEM	VKLAD	15258	51703	\N	\N	\N
1079967	3688	1994-08-13	PRIJEM	VKLAD	15258	54063	\N	\N	\N
1079968	3688	1994-09-13	PRIJEM	VKLAD	15258	50229	\N	\N	\N
1079969	3688	1994-10-13	PRIJEM	VKLAD	15258	52169	\N	\N	\N
1079970	3688	1994-11-13	PRIJEM	VKLAD	15258	56127	\N	\N	\N
1079971	3688	1994-12-13	PRIJEM	VKLAD	22887	61623	\N	\N	\N
1079972	3688	1995-01-13	PRIJEM	VKLAD	15258	54810	\N	\N	\N
1079973	3688	1995-02-13	PRIJEM	VKLAD	15258	49059	\N	\N	\N
1079974	3688	1995-03-13	PRIJEM	VKLAD	15258	49499	\N	\N	\N
1079975	3688	1995-04-13	PRIJEM	VKLAD	15258	50236	\N	\N	\N
1079976	3688	1995-05-13	PRIJEM	VKLAD	15258	52982	\N	\N	\N
1079977	3688	1995-06-13	PRIJEM	VKLAD	22887	64955	\N	\N	\N
1079978	3688	1995-07-13	PRIJEM	VKLAD	15258	55140	\N	\N	\N
1079979	3688	1995-08-13	PRIJEM	VKLAD	15258	57316	\N	\N	\N
1079980	3688	1995-09-13	PRIJEM	VKLAD	15258	56894	\N	\N	\N
1079981	3688	1995-10-13	PRIJEM	VKLAD	15258	60175	\N	\N	\N
1079982	3688	1995-11-13	PRIJEM	VKLAD	15258	54258	\N	\N	\N
1079983	3688	1995-12-13	PRIJEM	VKLAD	22887	63300	\N	\N	\N
1079984	3688	1996-01-13	PRIJEM	VKLAD	15258	53153	\N	\N	\N
1079985	3688	1996-02-13	PRIJEM	VKLAD	15258	48874	\N	\N	\N
1079986	3688	1996-03-13	PRIJEM	VKLAD	15258	53657	\N	\N	\N
1079987	3688	1996-04-13	PRIJEM	VKLAD	15258	58161	\N	\N	\N
1079988	3688	1996-05-13	PRIJEM	VKLAD	15258	59400	\N	\N	\N
1079989	3688	1996-06-13	PRIJEM	VKLAD	22887	63357	\N	\N	\N
1079990	3688	1996-07-13	PRIJEM	VKLAD	15258	59926	\N	\N	\N
1079991	3688	1996-08-13	PRIJEM	VKLAD	15258	58452	\N	\N	\N
1079992	3688	1996-09-13	PRIJEM	VKLAD	15258	59875	\N	\N	\N
1079993	3688	1996-10-13	PRIJEM	VKLAD	15258	54798	\N	\N	\N
1079994	3688	1996-11-13	PRIJEM	VKLAD	15258	54003	\N	\N	\N
1079995	3688	1996-12-13	PRIJEM	VKLAD	22887	57738	\N	\N	\N
1079996	3688	1997-01-13	PRIJEM	VKLAD	15258	47571	\N	\N	\N
1079997	3688	1997-02-13	PRIJEM	VKLAD	15258	49074	\N	\N	\N
1079998	3688	1997-03-13	PRIJEM	VKLAD	15258	49159	\N	\N	\N
1079999	3688	1997-04-13	PRIJEM	VKLAD	15258	54575	\N	\N	\N
1080000	3688	1997-05-13	PRIJEM	VKLAD	15258	55280	\N	\N	\N
1080001	3688	1997-06-13	PRIJEM	VKLAD	22887	64017	\N	\N	\N
1080002	3688	1997-07-13	PRIJEM	VKLAD	15258	43621	\N	\N	\N
1080003	3688	1997-08-13	PRIJEM	VKLAD	15258	48586	\N	\N	\N
1080004	3688	1997-09-13	PRIJEM	VKLAD	15258	46375	\N	\N	\N
1080005	3688	1997-10-13	PRIJEM	VKLAD	15258	52655	\N	\N	\N
1080006	3688	1997-11-13	PRIJEM	VKLAD	15258	51653	\N	\N	\N
1080007	3688	1997-12-13	PRIJEM	VKLAD	22887	61494	\N	\N	\N
1080008	3688	1998-01-13	PRIJEM	VKLAD	15258	52595	\N	\N	\N
1080009	3688	1998-02-13	PRIJEM	VKLAD	15258	49300	\N	\N	\N
1080010	3688	1998-03-13	PRIJEM	VKLAD	15258	52493	\N	\N	\N
1080011	3688	1998-04-13	PRIJEM	VKLAD	15258	54003	\N	\N	\N
1080012	3688	1998-05-13	PRIJEM	VKLAD	15258	49596	\N	\N	\N
1080013	3688	1998-06-13	PRIJEM	VKLAD	22887	61816	\N	\N	\N
1080014	3688	1998-07-13	PRIJEM	VKLAD	15258	42516	\N	\N	\N
1080015	3688	1998-08-13	PRIJEM	VKLAD	15258	52803	\N	\N	\N
1080016	3688	1998-09-13	PRIJEM	VKLAD	15258	52905	\N	\N	\N
1080017	3688	1998-10-13	PRIJEM	VKLAD	15258	52599	\N	\N	\N
1080018	3688	1998-11-13	PRIJEM	VKLAD	15258	51991	\N	\N	\N
1080019	3688	1998-12-13	PRIJEM	VKLAD	22887	56905	\N	\N	\N
1080021	3688	1994-06-26	VYDAJ	VYBER	8700	52321	\N	\N	\N
1080022	3688	1995-06-23	VYDAJ	VYBER	8000	56955	\N	\N	\N
1080023	3688	1996-06-12	VYDAJ	VYBER	7800	40470	\N	\N	\N
1080024	3688	1997-06-25	VYDAJ	VYBER	19200	28217	\N	\N	\N
1080025	3688	1998-06-22	VYDAJ	VYBER	8600	36916	\N	\N	\N
1080027	3688	1994-12-29	VYDAJ	VYBER	1100	60523	\N	\N	\N
1080028	3688	1995-12-17	VYDAJ	VYBER	1300	60400	\N	\N	\N
1080029	3688	1996-12-10	VYDAJ	VYBER	2600	34851	\N	\N	\N
1080030	3688	1997-12-20	VYDAJ	VYBER	900	38894	\N	\N	\N
1080031	3688	1998-12-20	VYDAJ	VYBER	2600	29605	\N	\N	\N
1080044	3688	1995-01-06	VYDAJ	VYBER	1600	40352	\N	\N	\N
1080045	3688	1995-01-16	VYDAJ	VYBER	2800	51510	\N	\N	\N
1080046	3688	1995-01-24	VYDAJ	VYBER	2900	46410	\N	\N	\N
1080047	3688	1995-01-07	VYDAJ	VYBER	800	39552	\N	\N	\N
1080048	3688	1995-01-15	VYDAJ	VYBER	500	54310	\N	\N	\N
1080049	3688	1995-01-23	VYDAJ	VYBER	2200	49310	\N	\N	\N
1080050	3688	1996-01-28	VYDAJ	VYBER	900	38853	\N	\N	\N
1080051	3688	1996-01-27	VYDAJ	VYBER	2700	39753	\N	\N	\N
1080052	3688	1996-01-11	VYDAJ	VYBER	2500	37895	\N	\N	\N
1080053	3688	1996-01-26	VYDAJ	VYBER	2900	42453	\N	\N	\N
1080054	3688	1996-01-21	VYDAJ	VYBER	2200	45353	\N	\N	\N
1080055	3688	1996-01-13	VYDAJ	VYBER	1100	52053	\N	\N	\N
1080056	3688	1997-01-18	VYDAJ	VYBER	600	46971	\N	\N	\N
1080057	3688	1997-01-06	VYDAJ	VYBER	2400	32313	\N	\N	\N
1080058	3688	1997-01-27	VYDAJ	VYBER	2300	36471	\N	\N	\N
1080059	3688	1997-01-02	VYDAJ	VYBER	1100	36713	\N	\N	\N
1080060	3688	1997-01-04	VYDAJ	VYBER	2000	34713	\N	\N	\N
1080061	3688	1997-01-28	VYDAJ	VYBER	2800	33671	\N	\N	\N
1080062	3688	1998-01-19	VYDAJ	VYBER	1500	35795	\N	\N	\N
1080063	3688	1998-01-27	VYDAJ	VYBER	700	35095	\N	\N	\N
1080064	3688	1998-01-14	VYDAJ	VYBER	1800	50795	\N	\N	\N
1080065	3688	1998-01-12	VYDAJ	VYBER	1700	37337	\N	\N	\N
1080066	3688	1998-01-27	VYDAJ	VYBER	1200	33895	\N	\N	\N
1080067	3688	1998-01-19	VYDAJ	VYBER	1300	37295	\N	\N	\N
1080070	3688	1994-11-21	VYDAJ	VYBER	2400	53727	\N	\N	\N
1080072	3688	1994-03-27	VYDAJ	VYBER	2700	53103	\N	\N	\N
1080073	3688	1994-05-11	VYDAJ	VYBER	800	40467	\N	\N	\N
1080074	3688	1994-06-08	VYDAJ	VYBER	1200	54734	\N	\N	\N
1080075	3688	1994-09-03	VYDAJ	VYBER	4300	49971	\N	\N	\N
1080076	3688	1994-04-08	VYDAJ	VYBER	2500	50812	\N	\N	\N
1080077	3688	1995-12-19	VYDAJ	VYBER	3300	57100	\N	\N	\N
1080078	3688	1995-03-20	VYDAJ	VYBER	3300	46199	\N	\N	\N
1080079	3688	1995-11-25	VYDAJ	VYBER	4300	49958	\N	\N	\N
1080080	3688	1995-10-28	VYDAJ	VYBER	4900	55275	\N	\N	\N
1080081	3688	1995-12-13	VYDAJ	VYBER	1600	61700	\N	\N	\N
1080082	3688	1995-02-25	VYDAJ	VYBER	4200	44859	\N	\N	\N
1080083	3688	1995-10-30	VYDAJ	VYBER	2200	53075	\N	\N	\N
1080084	3688	1995-05-02	VYDAJ	VYBER	700	49724	\N	\N	\N
1080085	3688	1996-04-19	VYDAJ	VYBER	1000	57161	\N	\N	\N
1080086	3688	1996-12-03	VYDAJ	VYBER	4700	37451	\N	\N	\N
1080087	3688	1996-01-16	VYDAJ	VYBER	4500	47553	\N	\N	\N
1080088	3688	1996-06-24	VYDAJ	VYBER	4400	58957	\N	\N	\N
1080089	3688	1996-12-26	VYDAJ	VYBER	2500	37638	\N	\N	\N
1080090	3688	1997-03-09	VYDAJ	VYBER	3100	33901	\N	\N	\N
1080091	3688	1997-11-10	VYDAJ	VYBER	2600	36395	\N	\N	\N
1080092	3688	1997-08-28	VYDAJ	VYBER	3100	30986	\N	\N	\N
1080093	3688	1997-08-15	VYDAJ	VYBER	1500	47086	\N	\N	\N
1080094	3688	1997-09-23	VYDAJ	VYBER	1000	37275	\N	\N	\N
1080095	3688	1998-04-19	VYDAJ	VYBER	4800	34203	\N	\N	\N
1080096	3688	1998-03-13	VYDAJ	VYBER	4800	47693	\N	\N	\N
1080097	3688	1998-03-06	VYDAJ	VYBER	3500	37235	\N	\N	\N
1080098	3688	1998-06-29	VYDAJ	VYBER	4900	30316	\N	\N	\N
1080099	3688	1998-06-27	VYDAJ	VYBER	1700	35216	\N	\N	\N
1080100	3688	1998-08-02	VYDAJ	VYBER	500	37545	\N	\N	\N
1080101	3688	1998-07-10	VYDAJ	VYBER	3200	27258	\N	\N	\N
1080117	3688	1994-03-31	VYDAJ	VYBER	15	53312	SLUZBY	\N	\N
1080118	3688	1994-04-30	VYDAJ	VYBER	15	52667	SLUZBY	\N	\N
1080119	3688	1994-05-31	VYDAJ	VYBER	15	55934	SLUZBY	\N	\N
1080120	3688	1994-06-30	VYDAJ	VYBER	15	52545	SLUZBY	\N	\N
1080121	3688	1994-07-31	VYDAJ	VYBER	15	51905	SLUZBY	\N	\N
1080122	3688	1994-08-31	VYDAJ	VYBER	15	54271	SLUZBY	\N	\N
1080123	3688	1994-09-30	VYDAJ	VYBER	15	50411	SLUZBY	\N	\N
1080124	3688	1994-10-31	VYDAJ	VYBER	15	52369	SLUZBY	\N	\N
1080125	3688	1994-11-30	VYDAJ	VYBER	15	53936	SLUZBY	\N	\N
1080126	3688	1994-12-31	VYDAJ	VYBER	15	60752	SLUZBY	\N	\N
1080127	3688	1995-01-31	VYDAJ	VYBER	15	46601	SLUZBY	\N	\N
1080128	3688	1995-02-28	VYDAJ	VYBER	15	45041	SLUZBY	\N	\N
1080129	3688	1995-03-31	VYDAJ	VYBER	15	46378	SLUZBY	\N	\N
1080130	3688	1995-04-30	VYDAJ	VYBER	15	50424	SLUZBY	\N	\N
1080131	3688	1995-05-31	VYDAJ	VYBER	15	53168	SLUZBY	\N	\N
1080132	3688	1995-06-30	VYDAJ	VYBER	15	57182	SLUZBY	\N	\N
1080133	3688	1995-07-31	VYDAJ	VYBER	15	55358	SLUZBY	\N	\N
1080134	3688	1995-08-31	VYDAJ	VYBER	15	57536	SLUZBY	\N	\N
1080135	3688	1995-09-30	VYDAJ	VYBER	15	57117	SLUZBY	\N	\N
1080136	3688	1995-10-31	VYDAJ	VYBER	15	39000	SLUZBY	\N	\N
1080137	3688	1995-11-30	VYDAJ	VYBER	15	50113	SLUZBY	\N	\N
1080138	3688	1995-12-31	VYDAJ	VYBER	15	40395	SLUZBY	\N	\N
1080139	3688	1996-01-31	VYDAJ	VYBER	15	33616	SLUZBY	\N	\N
1080140	3688	1996-02-29	VYDAJ	VYBER	15	38399	SLUZBY	\N	\N
1080141	3688	1996-03-31	VYDAJ	VYBER	15	42903	SLUZBY	\N	\N
1080142	3688	1996-04-30	VYDAJ	VYBER	15	44142	SLUZBY	\N	\N
1080143	3688	1996-05-31	VYDAJ	VYBER	15	48270	SLUZBY	\N	\N
1080144	3688	1996-06-30	VYDAJ	VYBER	15	44668	SLUZBY	\N	\N
1080145	3688	1996-07-31	VYDAJ	VYBER	15	43194	SLUZBY	\N	\N
1080146	3688	1996-08-31	VYDAJ	VYBER	15	44617	SLUZBY	\N	\N
1080147	3688	1996-09-30	VYDAJ	VYBER	15	39540	SLUZBY	\N	\N
1080148	3688	1996-10-31	VYDAJ	VYBER	15	38745	SLUZBY	\N	\N
1080149	3688	1996-11-30	VYDAJ	VYBER	15	42151	SLUZBY	\N	\N
1080150	3688	1996-12-31	VYDAJ	VYBER	15	37813	SLUZBY	\N	\N
1080151	3688	1997-01-31	VYDAJ	VYBER	15	33816	SLUZBY	\N	\N
1080152	3688	1997-02-28	VYDAJ	VYBER	15	37001	SLUZBY	\N	\N
1080153	3688	1997-03-31	VYDAJ	VYBER	15	39317	SLUZBY	\N	\N
1080154	3688	1997-04-30	VYDAJ	VYBER	15	40022	SLUZBY	\N	\N
1080155	3688	1997-05-31	VYDAJ	VYBER	15	41130	SLUZBY	\N	\N
1080156	3688	1997-06-30	VYDAJ	VYBER	15	28363	SLUZBY	\N	\N
1080157	3688	1997-07-31	VYDAJ	VYBER	15	33328	SLUZBY	\N	\N
1080158	3688	1997-08-31	VYDAJ	VYBER	15	31117	SLUZBY	\N	\N
1080159	3688	1997-09-30	VYDAJ	VYBER	15	37397	SLUZBY	\N	\N
1080160	3688	1997-10-31	VYDAJ	VYBER	15	38995	SLUZBY	\N	\N
1080161	3688	1997-11-30	VYDAJ	VYBER	15	38607	SLUZBY	\N	\N
1080162	3688	1997-12-31	VYDAJ	VYBER	15	39037	SLUZBY	\N	\N
1080163	3688	1998-01-31	VYDAJ	VYBER	15	34042	SLUZBY	\N	\N
1080164	3688	1998-02-28	VYDAJ	VYBER	15	40735	SLUZBY	\N	\N
1080165	3688	1998-03-31	VYDAJ	VYBER	15	38745	SLUZBY	\N	\N
1080166	3688	1998-04-30	VYDAJ	VYBER	15	34338	SLUZBY	\N	\N
1080167	3688	1998-05-31	VYDAJ	VYBER	15	38929	SLUZBY	\N	\N
1080168	3688	1998-06-30	VYDAJ	VYBER	15	30458	SLUZBY	\N	\N
1080169	3688	1998-07-31	VYDAJ	VYBER	15	38045	SLUZBY	\N	\N
1080170	3688	1998-08-31	VYDAJ	VYBER	15	37647	SLUZBY	\N	\N
1080171	3688	1998-09-30	VYDAJ	VYBER	15	37341	SLUZBY	\N	\N
1080172	3688	1998-10-31	VYDAJ	VYBER	15	36733	SLUZBY	\N	\N
1080173	3688	1998-11-30	VYDAJ	VYBER	15	34018	SLUZBY	\N	\N
1080174	3688	1993-12-10	PRIJEM	VKLAD	5200	21599	\N	\N	\N
1080175	3688	1994-01-09	VYDAJ	VYBER	11800	32826	\N	\N	\N
1080176	3688	1994-02-08	VYDAJ	VYBER	12000	36278	\N	\N	\N
1080177	3688	1994-03-10	VYDAJ	VYBER	11200	40545	\N	\N	\N
1080178	3688	1994-04-09	VYDAJ	VYBER	13600	37212	\N	\N	\N
1080179	3688	1994-05-09	VYDAJ	VYBER	11400	41267	\N	\N	\N
1080180	3688	1994-06-08	VYDAJ	VYBER	16600	38134	\N	\N	\N
1080181	3688	1994-07-08	VYDAJ	VYBER	16100	36445	\N	\N	\N
1080182	3688	1994-08-07	VYDAJ	VYBER	13100	38805	\N	\N	\N
1080183	3688	1994-09-06	VYDAJ	VYBER	15000	34971	\N	\N	\N
1080184	3688	1994-10-06	VYDAJ	VYBER	13500	36911	\N	\N	\N
1080185	3688	1994-11-05	VYDAJ	VYBER	11500	40869	\N	\N	\N
1080186	3688	1994-12-05	VYDAJ	VYBER	15200	38736	\N	\N	\N
1080187	3688	1995-01-04	VYDAJ	VYBER	18800	41952	\N	\N	\N
1080188	3688	1995-02-03	VYDAJ	VYBER	12800	33801	\N	\N	\N
1080189	3688	1995-03-05	VYDAJ	VYBER	10800	34241	\N	\N	\N
1080190	3688	1995-04-04	VYDAJ	VYBER	11400	34978	\N	\N	\N
1080191	3688	1995-05-04	VYDAJ	VYBER	12000	37724	\N	\N	\N
1080192	3688	1995-06-03	VYDAJ	VYBER	11100	42068	\N	\N	\N
1080193	3688	1995-07-03	VYDAJ	VYBER	17300	39882	\N	\N	\N
1080194	3688	1995-08-02	VYDAJ	VYBER	13300	42058	\N	\N	\N
1080195	3688	1995-09-01	VYDAJ	VYBER	15900	41636	\N	\N	\N
1080196	3688	1995-10-01	VYDAJ	VYBER	12200	44917	\N	\N	\N
1080197	3688	1995-10-31	VYDAJ	VYBER	14300	39015	\N	\N	\N
1080198	3688	1995-11-30	VYDAJ	VYBER	9700	40413	\N	\N	\N
1080199	3688	1995-12-30	VYDAJ	VYBER	16900	40200	\N	\N	\N
1080200	3688	1996-01-29	VYDAJ	VYBER	5400	33453	\N	\N	\N
1080201	3688	1996-02-28	VYDAJ	VYBER	10600	38274	\N	\N	\N
1080202	3688	1996-03-29	VYDAJ	VYBER	10900	42757	\N	\N	\N
1080203	3688	1996-04-28	VYDAJ	VYBER	13200	43961	\N	\N	\N
1080204	3688	1996-05-28	VYDAJ	VYBER	11300	48100	\N	\N	\N
1080205	3688	1996-06-27	VYDAJ	VYBER	14500	44457	\N	\N	\N
1080206	3688	1996-07-27	VYDAJ	VYBER	16900	43026	\N	\N	\N
1080207	3688	1996-08-26	VYDAJ	VYBER	14000	44452	\N	\N	\N
1080208	3688	1996-09-25	VYDAJ	VYBER	20500	39375	\N	\N	\N
1080209	3688	1996-10-25	VYDAJ	VYBER	16200	38598	\N	\N	\N
1080210	3688	1996-11-24	VYDAJ	VYBER	12000	42003	\N	\N	\N
1080211	3688	1996-12-24	VYDAJ	VYBER	17600	40138	\N	\N	\N
1080212	3688	1997-01-23	VYDAJ	VYBER	8200	38771	\N	\N	\N
1080213	3688	1997-02-22	VYDAJ	VYBER	12200	36874	\N	\N	\N
1080214	3688	1997-03-24	VYDAJ	VYBER	10000	39159	\N	\N	\N
1080215	3688	1997-04-23	VYDAJ	VYBER	14700	39875	\N	\N	\N
1080216	3688	1997-05-23	VYDAJ	VYBER	14300	40980	\N	\N	\N
1080217	3688	1997-06-22	VYDAJ	VYBER	16600	47417	\N	\N	\N
1080218	3688	1997-07-22	VYDAJ	VYBER	10400	33221	\N	\N	\N
1080219	3688	1997-08-21	VYDAJ	VYBER	13000	34086	\N	\N	\N
1080220	3688	1997-09-20	VYDAJ	VYBER	8100	38275	\N	\N	\N
1080221	3688	1997-10-20	VYDAJ	VYBER	13800	38855	\N	\N	\N
1080222	3688	1997-11-19	VYDAJ	VYBER	13200	38453	\N	\N	\N
1080223	3688	1997-12-19	VYDAJ	VYBER	21700	39794	\N	\N	\N
1080224	3688	1998-01-18	VYDAJ	VYBER	12200	38595	\N	\N	\N
1080225	3688	1998-02-17	VYDAJ	VYBER	8700	40600	\N	\N	\N
1080226	3688	1998-03-19	VYDAJ	VYBER	9100	38593	\N	\N	\N
1080227	3688	1998-04-18	VYDAJ	VYBER	15000	39003	\N	\N	\N
1080228	3688	1998-05-18	VYDAJ	VYBER	10800	38796	\N	\N	\N
1080229	3688	1998-06-17	VYDAJ	VYBER	16300	45516	\N	\N	\N
1080230	3688	1998-07-17	VYDAJ	VYBER	4600	37916	\N	\N	\N
1080231	3688	1998-08-16	VYDAJ	VYBER	15300	37503	\N	\N	\N
1080232	3688	1998-09-15	VYDAJ	VYBER	15700	37205	\N	\N	\N
1080233	3688	1998-10-15	VYDAJ	VYBER	16000	36599	\N	\N	\N
1080234	3688	1998-11-14	VYDAJ	VYBER	18100	33891	\N	\N	\N
1080235	3688	1998-12-14	VYDAJ	VYBER	24700	32205	\N	\N	\N
1080298	3689	1995-11-29	PRIJEM	VKLAD	500	500	\N	\N	\N
1080299	3689	1995-12-23	PRIJEM	VKLAD	26072	44783	\N	\N	\N
1080313	3689	1995-12-17	PRIJEM	VKLAD	18211	18711	\N	\N	\N
1080323	3689	1996-07-09	PRIJEM	VKLAD	21186	55160	\N	\N	\N
1080324	3689	1996-04-22	PRIJEM	VKLAD	39195	74064	\N	\N	\N
1080325	3689	1996-01-15	PRIJEM	VKLAD	30296	68030	\N	\N	\N
1080326	3689	1996-12-12	PRIJEM	VKLAD	8885	20292	\N	\N	\N
1080327	3689	1996-09-02	PRIJEM	VKLAD	6783	40419	\N	\N	\N
1080328	3689	1996-07-30	PRIJEM	VKLAD	15781	57241	\N	\N	\N
1080329	3689	1996-09-28	PRIJEM	VKLAD	10513	38932	\N	\N	\N
1080330	3689	1997-10-27	PRIJEM	VKLAD	37400	66649	\N	\N	\N
1080331	3689	1997-07-18	PRIJEM	VKLAD	28901	81435	\N	\N	\N
1080332	3689	1997-04-13	PRIJEM	VKLAD	27916	60811	\N	\N	\N
1080333	3689	1997-05-09	PRIJEM	VKLAD	46134	60577	\N	\N	\N
1080334	3689	1997-06-26	PRIJEM	VKLAD	26329	52388	\N	\N	\N
1080335	3689	1997-09-12	PRIJEM	VKLAD	16670	70857	\N	\N	\N
1080336	3689	1997-03-16	PRIJEM	VKLAD	29500	57897	\N	\N	\N
1080337	3689	1997-08-26	PRIJEM	VKLAD	30378	54011	\N	\N	\N
1080338	3689	1997-03-15	PRIJEM	VKLAD	19393	28397	\N	\N	\N
1080339	3689	1998-08-01	PRIJEM	VKLAD	15296	90965	\N	\N	\N
1080340	3689	1998-10-13	PRIJEM	VKLAD	36157	93788	\N	\N	\N
1080341	3689	1998-01-26	PRIJEM	VKLAD	25241	86104	\N	\N	\N
1080342	3689	1998-08-09	PRIJEM	VKLAD	6503	97468	\N	\N	\N
1080343	3689	1998-06-24	PRIJEM	VKLAD	35940	66864	\N	\N	\N
1080344	3689	1998-03-29	PRIJEM	VKLAD	36019	125403	\N	\N	\N
1080345	3689	1998-09-28	PRIJEM	VKLAD	15612	57442	\N	\N	\N
1080346	3689	1998-09-08	PRIJEM	VKLAD	24304	109830	\N	\N	\N
1080347	3689	1998-07-15	PRIJEM	VKLAD	11271	60945	\N	\N	\N
1080348	3689	1998-09-05	PRIJEM	VKLAD	40102	85526	\N	\N	\N
1080349	3689	1998-01-20	PRIJEM	VKLAD	17240	85192	\N	\N	\N
1080350	3689	1998-07-24	PRIJEM	VKLAD	37942	75487	\N	\N	\N
1080351	3689	1998-01-05	PRIJEM	VKLAD	34916	43044	\N	\N	\N
1080352	3689	1998-06-07	PRIJEM	VKLAD	36033	46068	\N	\N	\N
1080353	3689	1998-12-05	PRIJEM	VKLAD	8788	61931	\N	\N	\N
1080354	3689	1998-07-13	PRIJEM	VKLAD	35398	49674	\N	\N	\N
1080355	3689	1998-08-15	PRIJEM	VKLAD	43702	141170	\N	\N	\N
1080356	3689	1998-11-22	PRIJEM	VKLAD	40270	61654	\N	\N	\N
1080357	3689	1998-12-27	PRIJEM	VKLAD	48375	85296	\N	\N	\N
1080358	3689	1998-03-23	PRIJEM	VKLAD	44731	89384	\N	\N	\N
1080359	3689	1998-01-10	PRIJEM	VKLAD	20162	63206	\N	\N	\N
1080360	3689	1998-01-18	PRIJEM	VKLAD	30600	67952	\N	\N	\N
1080361	3689	1998-01-26	PRIJEM	VKLAD	26071	60863	\N	\N	\N
1080362	3689	1998-02-05	PRIJEM	VKLAD	21577	107853	\N	\N	\N
1080363	3689	1998-05-05	PRIJEM	VKLAD	15030	56336	\N	\N	\N
1080415	3689	1996-10-13	VYBER	VYBER	16993	22064	\N	\N	\N
1080416	3689	1996-12-28	VYBER	VYBER	7545	11147	\N	\N	\N
1080417	3689	1996-11-04	VYBER	VYBER	9040	1677	\N	\N	\N
1080418	3689	1996-08-31	VYBER	VYBER	7718	33651	\N	\N	\N
1080424	3689	1996-10-21	VYBER	VYBER	23548	-1484	\N	\N	\N
1080426	3689	1997-04-22	VYBER	VYBER	21855	38956	\N	\N	\N
1080427	3689	1997-11-21	VYBER	VYBER	8439	20092	\N	\N	\N
1080430	3689	1997-05-04	VYBER	VYBER	12928	14443	\N	\N	\N
1080431	3689	1997-05-09	VYBER	VYBER	3586	56991	\N	\N	\N
1080432	3689	1997-08-19	VYBER	VYBER	19803	30333	\N	\N	\N
1080433	3689	1998-11-21	VYBER	VYBER	6137	21384	\N	\N	\N
1080434	3689	1998-07-02	VYBER	VYBER	18700	14276	\N	\N	\N
1080435	3689	1998-11-13	VYBER	VYBER	19696	40721	\N	\N	\N
1080436	3689	1998-06-27	VYBER	VYBER	20485	32879	\N	\N	\N
1080437	3689	1998-05-20	VYBER	VYBER	11561	9951	\N	\N	\N
1080438	3689	1998-01-10	VYBER	VYBER	5454	57752	\N	\N	\N
1080439	3689	1998-06-12	VYBER	VYBER	8944	37124	\N	\N	\N
1080440	3689	1998-05-14	VYBER	VYBER	2897	17512	\N	\N	\N
1080441	3689	1998-05-13	VYBER	VYBER	13836	20409	\N	\N	\N
1080442	3689	1998-05-11	VYBER	VYBER	22091	34245	\N	\N	\N
1080443	3689	1998-12-05	VYBER	VYBER	9110	52821	\N	\N	\N
1080444	3689	1998-04-16	VYBER	VYBER	15287	74507	\N	\N	\N
1080448	3689	1998-06-25	VYDAJ	VYBER	13500	53364	\N	\N	\N
1080452	3689	1998-01-23	VYDAJ	VYBER	29400	38992	\N	\N	\N
1080465	3689	1997-01-03	VYDAJ	VYBER	6300	4891	\N	\N	\N
1080468	3689	1997-01-23	VYDAJ	VYBER	2100	9891	\N	\N	\N
1080470	3689	1997-01-25	VYDAJ	VYBER	8700	1191	\N	\N	\N
1080471	3689	1998-01-13	VYDAJ	VYBER	1800	51452	\N	\N	\N
1080472	3689	1998-01-21	VYDAJ	VYBER	6900	78292	\N	\N	\N
1080473	3689	1998-01-21	VYDAJ	VYBER	3300	74992	\N	\N	\N
1080474	3689	1998-01-23	VYDAJ	VYBER	6600	68392	\N	\N	\N
1080475	3689	1998-01-11	VYDAJ	VYBER	4500	53252	\N	\N	\N
1080476	3689	1998-01-24	VYDAJ	VYBER	4200	34792	\N	\N	\N
1080483	3689	1996-09-04	VYDAJ	VYBER	6600	33819	\N	\N	\N
1080485	3689	1996-12-17	VYDAJ	VYBER	1500	18792	\N	\N	\N
1080489	3689	1997-12-30	VYDAJ	VYBER	9600	8062	\N	\N	\N
1080490	3689	1997-07-26	VYDAJ	VYBER	1500	49935	\N	\N	\N
1080491	3689	1997-11-05	VYDAJ	VYBER	13800	53031	\N	\N	\N
1080492	3689	1997-11-15	VYDAJ	VYBER	14100	38931	\N	\N	\N
1080493	3689	1998-11-26	VYDAJ	VYBER	8700	52954	\N	\N	\N
1080494	3689	1998-04-17	VYDAJ	VYBER	13800	41007	\N	\N	\N
1080495	3689	1998-07-23	VYDAJ	VYBER	1800	37545	\N	\N	\N
1080496	3689	1998-08-31	VYDAJ	VYBER	10500	45424	\N	\N	\N
1080497	3689	1998-09-12	VYDAJ	VYBER	12300	58830	\N	\N	\N
1080517	3689	1996-07-31	VYDAJ	VYBER	15	57432	SLUZBY	\N	\N
1080518	3689	1996-08-31	VYDAJ	VYBER	15	33636	SLUZBY	\N	\N
1080519	3689	1996-09-30	VYDAJ	VYBER	15	39057	SLUZBY	\N	\N
1080520	3689	1996-10-31	VYDAJ	VYBER	15	10717	SLUZBY	\N	\N
1080521	3689	1996-11-30	VYDAJ	VYBER	15	11407	SLUZBY	\N	\N
1080522	3689	1996-12-31	VYDAJ	VYBER	15	11191	SLUZBY	\N	\N
1080523	3689	1997-01-31	VYDAJ	VYBER	15	1213	SLUZBY	\N	\N
1080524	3689	1997-02-28	VYDAJ	VYBER	15	9004	SLUZBY	\N	\N
1080525	3689	1997-03-31	VYDAJ	VYBER	15	32895	SLUZBY	\N	\N
1080526	3689	1997-04-30	VYDAJ	VYBER	15	27371	SLUZBY	\N	\N
1080527	3689	1997-05-31	VYDAJ	VYBER	15	35859	SLUZBY	\N	\N
1080528	3689	1997-06-30	VYDAJ	VYBER	15	52534	SLUZBY	\N	\N
1080529	3689	1997-07-31	VYDAJ	VYBER	15	50136	SLUZBY	\N	\N
1080530	3689	1997-08-31	VYDAJ	VYBER	15	54187	SLUZBY	\N	\N
1080531	3689	1997-09-30	VYDAJ	VYBER	15	43449	SLUZBY	\N	\N
1080532	3689	1997-10-31	VYDAJ	VYBER	15	66831	SLUZBY	\N	\N
1080533	3689	1997-11-30	VYDAJ	VYBER	15	20262	SLUZBY	\N	\N
1080534	3689	1997-12-31	VYDAJ	VYBER	15	8128	SLUZBY	\N	\N
1080535	3689	1998-01-31	VYDAJ	VYBER	15	86276	SLUZBY	\N	\N
1080536	3689	1998-02-28	VYDAJ	VYBER	15	63753	SLUZBY	\N	\N
1080537	3689	1998-03-31	VYDAJ	VYBER	15	89794	SLUZBY	\N	\N
1080538	3689	1998-04-30	VYDAJ	VYBER	15	41306	SLUZBY	\N	\N
1080539	3689	1998-05-31	VYDAJ	VYBER	15	10035	SLUZBY	\N	\N
1080540	3689	1998-06-30	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
1080541	3689	1998-07-31	VYDAJ	VYBER	15	75669	SLUZBY	\N	\N
1080542	3689	1998-08-31	VYDAJ	VYBER	15	55924	SLUZBY	\N	\N
1080543	3689	1998-09-30	VYDAJ	VYBER	15	57631	SLUZBY	\N	\N
1080544	3689	1998-10-31	VYDAJ	VYBER	15	60417	SLUZBY	\N	\N
1080545	3689	1998-11-30	VYDAJ	VYBER	15	53143	SLUZBY	\N	\N
1080546	3689	1995-12-29	VYDAJ	VYBER	7100	37683	\N	\N	\N
1080547	3689	1996-01-28	VYDAJ	VYBER	22700	45330	\N	\N	\N
1080548	3689	1996-02-27	VYDAJ	VYBER	7200	38291	\N	\N	\N
1080549	3689	1996-03-28	VYDAJ	VYBER	3800	34680	\N	\N	\N
1080550	3689	1996-04-27	VYDAJ	VYBER	23900	50164	\N	\N	\N
1080551	3689	1996-05-27	VYDAJ	VYBER	11000	39356	\N	\N	\N
1080552	3689	1996-06-26	VYDAJ	VYBER	5800	33765	\N	\N	\N
1080553	3689	1996-07-26	VYDAJ	VYBER	13700	41460	\N	\N	\N
1080554	3689	1996-08-25	VYDAJ	VYBER	16300	41132	\N	\N	\N
1080555	3689	1996-09-24	VYDAJ	VYBER	5400	28419	\N	\N	\N
1080556	3689	1996-10-24	PRIJEM	VKLAD	12100	10616	\N	\N	\N
1080557	3689	1996-11-23	PRIJEM	VKLAD	9700	11377	\N	\N	\N
1080558	3689	1996-12-23	VYDAJ	VYBER	100	18692	\N	\N	\N
1080559	3689	1997-01-22	PRIJEM	VKLAD	7100	11991	\N	\N	\N
1080560	3689	1997-02-21	PRIJEM	VKLAD	7800	9013	\N	\N	\N
1080561	3689	1997-03-23	VYDAJ	VYBER	25100	32797	\N	\N	\N
1080562	3689	1997-04-22	VYDAJ	VYBER	11700	27256	\N	\N	\N
1080563	3689	1997-05-22	VYDAJ	VYBER	21300	35691	\N	\N	\N
1080564	3689	1997-06-21	VYDAJ	VYBER	9800	26059	\N	\N	\N
1080565	3689	1997-07-21	VYDAJ	VYBER	30000	51435	\N	\N	\N
1080566	3689	1997-08-20	VYDAJ	VYBER	6700	23633	\N	\N	\N
1080567	3689	1997-09-19	VYDAJ	VYBER	27600	43257	\N	\N	\N
1080568	3689	1997-10-19	VYDAJ	VYBER	14200	29249	\N	\N	\N
1080569	3689	1997-11-18	VYDAJ	VYBER	10400	28531	\N	\N	\N
1080570	3689	1997-12-18	VYDAJ	VYBER	2600	17662	\N	\N	\N
1080571	3689	1998-01-17	VYDAJ	VYBER	14100	37352	\N	\N	\N
1080572	3689	1998-02-16	VYDAJ	VYBER	44400	63453	\N	\N	\N
1080573	3689	1998-03-18	VYDAJ	VYBER	19100	44653	\N	\N	\N
1080574	3689	1998-03-29	VYDAJ	VYBER	35900	89503	\N	\N	\N
1080575	3689	1998-04-17	VYDAJ	VYBER	19700	54807	\N	\N	\N
1080576	3689	1998-05-17	PRIJEM	VKLAD	4000	21512	\N	\N	\N
1080577	3689	1998-06-16	VYDAJ	VYBER	6200	30924	\N	\N	\N
1080578	3689	1998-07-16	VYDAJ	VYBER	21600	39345	\N	\N	\N
1080579	3689	1998-08-15	VYDAJ	VYBER	47300	93870	\N	\N	\N
1080580	3689	1998-08-15	VYDAJ	VYBER	38400	55470	\N	\N	\N
1080581	3689	1998-09-08	VYDAJ	VYBER	38700	71130	\N	\N	\N
1080582	3689	1998-09-14	VYDAJ	VYBER	17000	41830	\N	\N	\N
1080583	3689	1998-10-14	VYDAJ	VYBER	33600	60188	\N	\N	\N
1080584	3689	1998-11-13	VYDAJ	VYBER	13200	27521	\N	\N	\N
1080585	3689	1998-12-13	VYDAJ	VYBER	15900	36921	\N	\N	\N
1080626	3690	1996-10-18	PRIJEM	VKLAD	900	900	\N	\N	\N
1080630	3690	1996-11-24	PRIJEM	VKLAD	23571	34971	\N	\N	\N
1080632	3690	1997-11-30	PRIJEM	VKLAD	22614	62050	\N	\N	\N
1080633	3690	1997-02-06	PRIJEM	VKLAD	12746	40442	\N	\N	\N
1080634	3690	1997-08-16	PRIJEM	VKLAD	34768	64131	\N	\N	\N
1080635	3690	1998-11-25	PRIJEM	VKLAD	31679	104133	\N	\N	\N
1080636	3690	1998-07-16	PRIJEM	VKLAD	5232	70440	\N	\N	\N
1080637	3690	1998-11-29	PRIJEM	VKLAD	31548	135681	\N	\N	\N
1080638	3690	1998-05-27	PRIJEM	VKLAD	14977	60209	\N	\N	\N
1080639	3690	1998-08-11	PRIJEM	VKLAD	37539	94613	\N	\N	\N
1080640	3690	1998-03-24	PRIJEM	VKLAD	8443	109814	\N	\N	\N
1080641	3690	1998-10-22	PRIJEM	VKLAD	19715	65402	\N	\N	\N
1080642	3690	1998-11-30	PRIJEM	VKLAD	36841	116022	\N	\N	\N
1080643	3690	1998-03-20	PRIJEM	VKLAD	39592	101371	\N	\N	\N
1080644	3690	1998-06-30	PRIJEM	VKLAD	29431	69946	\N	\N	\N
1080645	3690	1998-09-17	PRIJEM	VKLAD	6152	71920	\N	\N	\N
1080646	3690	1998-07-07	PRIJEM	VKLAD	27669	93208	\N	\N	\N
1080647	3690	1998-11-11	PRIJEM	VKLAD	28106	72454	\N	\N	\N
1080648	3690	1998-09-06	PRIJEM	VKLAD	25591	122209	\N	\N	\N
1080649	3690	1998-09-06	PRIJEM	VKLAD	12414	134623	\N	\N	\N
1080650	3690	1998-10-05	PRIJEM	VKLAD	46458	118601	\N	\N	\N
1080651	3690	1998-08-27	PRIJEM	VKLAD	39049	133662	\N	\N	\N
1080652	3690	1998-09-16	PRIJEM	VKLAD	5645	65768	\N	\N	\N
1080653	3690	1998-12-27	PRIJEM	VKLAD	27011	58031	\N	\N	\N
1080654	3690	1998-01-22	PRIJEM	VKLAD	34783	79892	\N	\N	\N
1080655	3690	1998-02-23	PRIJEM	VKLAD	41594	89039	\N	\N	\N
1080656	3690	1998-07-28	PRIJEM	VKLAD	7146	77586	\N	\N	\N
1080682	3690	1998-02-05	VYDAJ	PREVOD NA UCET	4514	57545	SIPO	MN	84757935
1080683	3690	1998-03-05	VYDAJ	PREVOD NA UCET	4514	84679	SIPO	MN	84757935
1080684	3690	1998-04-05	VYDAJ	PREVOD NA UCET	4514	86650	SIPO	MN	84757935
1080685	3690	1998-05-05	VYDAJ	PREVOD NA UCET	4514	56732	SIPO	MN	84757935
1080686	3690	1998-06-05	VYDAJ	PREVOD NA UCET	4514	55815	SIPO	MN	84757935
1080687	3690	1998-07-05	VYDAJ	PREVOD NA UCET	4514	65539	SIPO	MN	84757935
1080688	3690	1998-08-05	VYDAJ	PREVOD NA UCET	4514	73274	SIPO	MN	84757935
1080689	3690	1998-09-05	VYDAJ	PREVOD NA UCET	4514	96618	SIPO	MN	84757935
1080690	3690	1998-10-05	VYDAJ	PREVOD NA UCET	4514	54587	SIPO	MN	84757935
1080691	3690	1998-11-05	VYDAJ	PREVOD NA UCET	4514	61048	SIPO	MN	84757935
1080692	3690	1998-12-05	VYDAJ	PREVOD NA UCET	4514	50620	SIPO	MN	84757935
1080708	3690	1998-01-26	VYDAJ	VYBER	10500	61892	\N	\N	\N
1080711	3690	1998-12-16	VYDAJ	VYBER	7800	32520	\N	\N	\N
1080727	3690	1998-01-25	VYDAJ	VYBER	7500	72392	\N	\N	\N
1080741	3690	1998-06-18	VYDAJ	VYBER	9000	40515	\N	\N	\N
1080742	3690	1998-12-18	VYDAJ	VYBER	1500	31020	\N	\N	\N
1080768	3690	1998-01-31	VYDAJ	VYBER	100	62059	SLUZBY	\N	\N
1080769	3690	1998-02-28	VYDAJ	VYBER	100	89193	SLUZBY	\N	\N
1080770	3690	1998-03-31	VYDAJ	VYBER	100	91164	SLUZBY	\N	\N
1080771	3690	1998-04-30	VYDAJ	VYBER	100	61246	SLUZBY	\N	\N
1080772	3690	1998-05-31	VYDAJ	VYBER	100	60329	SLUZBY	\N	\N
1080773	3690	1998-06-30	VYDAJ	VYBER	100	70053	SLUZBY	\N	\N
1080774	3690	1998-07-31	VYDAJ	VYBER	100	77788	SLUZBY	\N	\N
1080775	3690	1998-08-31	VYDAJ	VYBER	100	101132	SLUZBY	\N	\N
1080776	3690	1998-09-30	VYDAJ	VYBER	100	72143	SLUZBY	\N	\N
1080777	3690	1998-10-31	VYDAJ	VYBER	100	65562	SLUZBY	\N	\N
1080778	3690	1998-11-30	VYDAJ	VYBER	100	116234	SLUZBY	\N	\N
1080779	3690	1996-11-17	PRIJEM	VKLAD	10500	11400	\N	\N	\N
1080780	3690	1996-12-17	VYDAJ	VYBER	6700	28305	\N	\N	\N
1080781	3690	1997-01-16	VYDAJ	VYBER	900	27551	\N	\N	\N
1080782	3690	1997-02-15	VYDAJ	VYBER	7800	32642	\N	\N	\N
1080783	3690	1997-03-17	VYDAJ	VYBER	3500	29283	\N	\N	\N
1080784	3690	1997-04-16	VYDAJ	VYBER	2200	27219	\N	\N	\N
1080785	3690	1997-05-16	VYDAJ	VYBER	200	27155	\N	\N	\N
1080786	3690	1997-06-15	PRIJEM	VKLAD	1100	28391	\N	\N	\N
1080787	3690	1997-07-15	PRIJEM	VKLAD	1600	30127	\N	\N	\N
1080788	3690	1997-08-14	VYDAJ	VYBER	900	29363	\N	\N	\N
1080789	3690	1997-09-13	VYDAJ	VYBER	15500	48835	\N	\N	\N
1080790	3690	1997-10-13	VYDAJ	VYBER	5100	44002	\N	\N	\N
1080791	3690	1997-11-12	VYDAJ	VYBER	5100	39169	\N	\N	\N
1080792	3690	1997-12-12	VYDAJ	VYBER	9200	52850	\N	\N	\N
1080793	3690	1998-01-11	VYDAJ	VYBER	8000	45109	\N	\N	\N
1080794	3690	1998-02-10	VYDAJ	VYBER	10100	47445	\N	\N	\N
1080795	3690	1998-03-12	VYDAJ	VYBER	22900	61779	\N	\N	\N
1080796	3690	1998-03-24	VYDAJ	VYBER	18900	90914	\N	\N	\N
1080797	3690	1998-04-11	VYDAJ	VYBER	25600	61050	\N	\N	\N
1080798	3690	1998-05-11	VYDAJ	VYBER	11500	45232	\N	\N	\N
1080799	3690	1998-06-10	VYDAJ	VYBER	6300	49515	\N	\N	\N
1080800	3690	1998-07-10	VYDAJ	VYBER	28000	65208	\N	\N	\N
1080801	3690	1998-08-09	VYDAJ	VYBER	16200	57074	\N	\N	\N
1080802	3690	1998-08-27	VYDAJ	VYBER	32800	100862	\N	\N	\N
1080803	3690	1998-09-06	VYDAJ	VYBER	48000	86623	\N	\N	\N
1080804	3690	1998-09-08	VYDAJ	VYBER	26500	60123	\N	\N	\N
1080805	3690	1998-10-05	VYDAJ	VYBER	59500	59101	\N	\N	\N
1080806	3690	1998-10-08	VYDAJ	VYBER	8900	45687	\N	\N	\N
1080807	3690	1998-11-07	VYDAJ	VYBER	16700	44348	\N	\N	\N
1080808	3690	1998-11-29	VYDAJ	VYBER	56500	79181	\N	\N	\N
1080809	3690	1998-11-30	VYDAJ	VYBER	61100	55134	\N	\N	\N
1080810	3690	1998-12-07	VYDAJ	VYBER	10300	40320	\N	\N	\N
1080837	3691	1993-02-19	PRIJEM	VKLAD	400	400	\N	\N	\N
1080840	3691	1993-03-09	PRIJEM	PREVOD Z UCTU	6540	6940	DUCHOD	WX	86339687
1080841	3691	1993-04-09	PRIJEM	PREVOD Z UCTU	6540	13480	DUCHOD	WX	86339687
1080842	3691	1993-05-09	PRIJEM	PREVOD Z UCTU	6540	20020	DUCHOD	WX	86339687
1080843	3691	1993-06-09	PRIJEM	PREVOD Z UCTU	6540	26560	DUCHOD	WX	86339687
1080844	3691	1993-07-09	PRIJEM	PREVOD Z UCTU	6540	30039	DUCHOD	WX	86339687
1080845	3691	1993-08-09	PRIJEM	PREVOD Z UCTU	6540	30300	DUCHOD	WX	86339687
1080846	3691	1993-09-09	PRIJEM	PREVOD Z UCTU	6540	31463	DUCHOD	WX	86339687
1080847	3691	1993-10-09	PRIJEM	PREVOD Z UCTU	6540	29925	DUCHOD	WX	86339687
1080848	3691	1993-11-09	PRIJEM	PREVOD Z UCTU	6540	31587	DUCHOD	WX	86339687
1080849	3691	1993-12-09	PRIJEM	PREVOD Z UCTU	6540	30753	DUCHOD	WX	86339687
1080850	3691	1994-01-09	PRIJEM	PREVOD Z UCTU	6540	32921	DUCHOD	WX	86339687
1080851	3691	1994-02-09	PRIJEM	PREVOD Z UCTU	6540	34545	DUCHOD	WX	86339687
1080852	3691	1994-03-09	PRIJEM	PREVOD Z UCTU	6540	34422	DUCHOD	WX	86339687
1080853	3691	1994-04-09	PRIJEM	PREVOD Z UCTU	6540	34800	DUCHOD	WX	86339687
1080854	3691	1994-05-09	PRIJEM	PREVOD Z UCTU	6540	35880	DUCHOD	WX	86339687
1080855	3691	1994-06-09	PRIJEM	PREVOD Z UCTU	6540	28416	DUCHOD	WX	86339687
1080856	3691	1994-07-09	PRIJEM	PREVOD Z UCTU	6540	30482	DUCHOD	WX	86339687
1080857	3691	1994-08-09	PRIJEM	PREVOD Z UCTU	6540	29439	DUCHOD	WX	86339687
1080858	3691	1994-09-09	PRIJEM	PREVOD Z UCTU	6540	32702	DUCHOD	WX	86339687
1080859	3691	1994-10-09	PRIJEM	PREVOD Z UCTU	6540	23422	DUCHOD	WX	86339687
1080860	3691	1994-11-09	PRIJEM	PREVOD Z UCTU	6540	26767	DUCHOD	WX	86339687
1080861	3691	1994-12-09	PRIJEM	PREVOD Z UCTU	6540	27411	DUCHOD	WX	86339687
1080862	3691	1995-01-09	PRIJEM	PREVOD Z UCTU	6540	30265	DUCHOD	WX	86339687
1080863	3691	1995-02-09	PRIJEM	PREVOD Z UCTU	6540	28067	DUCHOD	WX	86339687
1080864	3691	1995-03-09	PRIJEM	PREVOD Z UCTU	6540	25007	DUCHOD	WX	86339687
1080865	3691	1995-04-09	PRIJEM	PREVOD Z UCTU	6540	28351	DUCHOD	WX	86339687
1080866	3691	1995-05-09	PRIJEM	PREVOD Z UCTU	6540	27005	DUCHOD	WX	86339687
1080867	3691	1995-06-09	PRIJEM	PREVOD Z UCTU	6540	27249	DUCHOD	WX	86339687
1080868	3691	1995-07-09	PRIJEM	PREVOD Z UCTU	6540	25890	DUCHOD	WX	86339687
1080869	3691	1995-08-09	PRIJEM	PREVOD Z UCTU	6540	23928	DUCHOD	WX	86339687
1080870	3691	1995-09-09	PRIJEM	PREVOD Z UCTU	6540	27270	DUCHOD	WX	86339687
1080871	3691	1995-10-09	PRIJEM	PREVOD Z UCTU	6540	25824	DUCHOD	WX	86339687
1080872	3691	1995-11-09	PRIJEM	PREVOD Z UCTU	6540	26578	DUCHOD	WX	86339687
1080873	3691	1995-12-09	PRIJEM	PREVOD Z UCTU	6540	28309	DUCHOD	WX	86339687
1080874	3691	1996-01-09	PRIJEM	PREVOD Z UCTU	6540	27077	DUCHOD	WX	86339687
1080875	3691	1996-02-09	PRIJEM	PREVOD Z UCTU	6540	28678	DUCHOD	WX	86339687
1080876	3691	1996-03-09	PRIJEM	PREVOD Z UCTU	6540	28415	DUCHOD	WX	86339687
1080877	3691	1996-04-09	PRIJEM	PREVOD Z UCTU	6540	28075	DUCHOD	WX	86339687
1080878	3691	1996-05-09	PRIJEM	PREVOD Z UCTU	6540	30057	DUCHOD	WX	86339687
1080879	3691	1996-06-09	PRIJEM	PREVOD Z UCTU	6540	30823	DUCHOD	WX	86339687
1080880	3691	1996-07-09	PRIJEM	PREVOD Z UCTU	6540	22462	DUCHOD	WX	86339687
1080881	3691	1996-08-09	PRIJEM	PREVOD Z UCTU	6540	25796	DUCHOD	WX	86339687
1080882	3691	1996-09-09	PRIJEM	PREVOD Z UCTU	6540	29143	DUCHOD	WX	86339687
1080883	3691	1996-10-09	PRIJEM	PREVOD Z UCTU	6540	31404	DUCHOD	WX	86339687
1080884	3691	1996-11-09	PRIJEM	PREVOD Z UCTU	6540	30116	DUCHOD	WX	86339687
1080885	3691	1996-12-09	PRIJEM	PREVOD Z UCTU	6540	27323	DUCHOD	WX	86339687
1080886	3691	1997-01-09	PRIJEM	PREVOD Z UCTU	6540	27180	DUCHOD	WX	86339687
1080887	3691	1997-02-09	PRIJEM	PREVOD Z UCTU	6540	29034	DUCHOD	WX	86339687
1080888	3691	1997-03-09	PRIJEM	PREVOD Z UCTU	6540	27446	DUCHOD	WX	86339687
1080889	3691	1997-04-09	PRIJEM	PREVOD Z UCTU	6540	24679	DUCHOD	WX	86339687
1080890	3691	1997-05-09	PRIJEM	PREVOD Z UCTU	6540	22524	DUCHOD	WX	86339687
1080891	3691	1997-06-09	PRIJEM	PREVOD Z UCTU	6540	22455	DUCHOD	WX	86339687
1080892	3691	1997-07-09	PRIJEM	PREVOD Z UCTU	6540	25788	DUCHOD	WX	86339687
1080893	3691	1997-08-09	PRIJEM	PREVOD Z UCTU	6540	22530	DUCHOD	WX	86339687
1080894	3691	1997-09-09	PRIJEM	PREVOD Z UCTU	6540	21760	DUCHOD	WX	86339687
1080895	3691	1997-10-09	PRIJEM	PREVOD Z UCTU	6540	21885	DUCHOD	WX	86339687
1080896	3691	1997-11-09	PRIJEM	PREVOD Z UCTU	6540	25215	DUCHOD	WX	86339687
1080897	3691	1997-12-09	PRIJEM	PREVOD Z UCTU	6540	21853	DUCHOD	WX	86339687
1080898	3691	1998-01-09	PRIJEM	PREVOD Z UCTU	6540	24231	DUCHOD	WX	86339687
1080899	3691	1998-02-09	PRIJEM	PREVOD Z UCTU	6540	26470	DUCHOD	WX	86339687
1080900	3691	1998-03-09	PRIJEM	PREVOD Z UCTU	6540	22211	DUCHOD	WX	86339687
1080901	3691	1998-04-09	PRIJEM	PREVOD Z UCTU	6540	22439	DUCHOD	WX	86339687
1080902	3691	1998-05-09	PRIJEM	PREVOD Z UCTU	6540	25771	DUCHOD	WX	86339687
1080903	3691	1998-06-09	PRIJEM	PREVOD Z UCTU	6540	21007	DUCHOD	WX	86339687
1080904	3691	1998-07-09	PRIJEM	PREVOD Z UCTU	6540	24333	DUCHOD	WX	86339687
1080905	3691	1998-08-09	PRIJEM	PREVOD Z UCTU	6540	27672	DUCHOD	WX	86339687
1080906	3691	1998-09-09	PRIJEM	PREVOD Z UCTU	6540	28703	DUCHOD	WX	86339687
1080907	3691	1998-10-09	PRIJEM	PREVOD Z UCTU	6540	25883	DUCHOD	WX	86339687
1080908	3691	1998-11-09	PRIJEM	PREVOD Z UCTU	6540	26586	DUCHOD	WX	86339687
1080909	3691	1998-12-09	PRIJEM	PREVOD Z UCTU	6540	29934	DUCHOD	WX	86339687
1080916	3691	1993-07-10	VYDAJ	PREVOD NA UCET	3267	26772	SIPO	AB	56120270
1080917	3691	1993-08-10	VYDAJ	PREVOD NA UCET	3267	27033	SIPO	AB	56120270
1080918	3691	1993-09-10	VYDAJ	PREVOD NA UCET	3267	28196	SIPO	AB	56120270
1080919	3691	1993-10-10	VYDAJ	PREVOD NA UCET	3267	26658	SIPO	AB	56120270
1080920	3691	1993-11-10	VYDAJ	PREVOD NA UCET	3267	28320	SIPO	AB	56120270
1080921	3691	1993-12-10	VYDAJ	PREVOD NA UCET	3267	27486	SIPO	AB	56120270
1080922	3691	1994-01-10	VYDAJ	PREVOD NA UCET	3267	29654	SIPO	AB	56120270
1080923	3691	1994-02-10	VYDAJ	PREVOD NA UCET	3267	31278	SIPO	AB	56120270
1080924	3691	1994-03-10	VYDAJ	PREVOD NA UCET	3267	31155	SIPO	AB	56120270
1080925	3691	1994-04-10	VYDAJ	PREVOD NA UCET	3267	31533	SIPO	AB	56120270
1080926	3691	1994-05-10	VYDAJ	PREVOD NA UCET	3267	32613	SIPO	AB	56120270
1080927	3691	1994-06-10	VYDAJ	PREVOD NA UCET	3267	25149	SIPO	AB	56120270
1080928	3691	1994-07-10	VYDAJ	PREVOD NA UCET	3267	27215	SIPO	AB	56120270
1080929	3691	1994-08-10	VYDAJ	PREVOD NA UCET	3267	26172	SIPO	AB	56120270
1080930	3691	1994-09-10	VYDAJ	PREVOD NA UCET	3267	29435	SIPO	AB	56120270
1080931	3691	1994-10-10	VYDAJ	PREVOD NA UCET	3267	20155	SIPO	AB	56120270
1080932	3691	1994-11-10	VYDAJ	PREVOD NA UCET	3267	23500	SIPO	AB	56120270
1080933	3691	1994-12-10	VYDAJ	PREVOD NA UCET	3267	24144	SIPO	AB	56120270
1080934	3691	1995-01-10	VYDAJ	PREVOD NA UCET	3267	26998	SIPO	AB	56120270
1080935	3691	1995-02-10	VYDAJ	PREVOD NA UCET	3267	18400	SIPO	AB	56120270
1080936	3691	1995-03-10	VYDAJ	PREVOD NA UCET	3267	21740	SIPO	AB	56120270
1080937	3691	1995-04-10	VYDAJ	PREVOD NA UCET	3267	20384	SIPO	AB	56120270
1080938	3691	1995-05-10	VYDAJ	PREVOD NA UCET	3267	20638	SIPO	AB	56120270
1080939	3691	1995-06-10	VYDAJ	PREVOD NA UCET	3267	19282	SIPO	AB	56120270
1080940	3691	1995-07-10	VYDAJ	PREVOD NA UCET	3267	19023	SIPO	AB	56120270
1080941	3691	1995-08-10	VYDAJ	PREVOD NA UCET	3267	20661	SIPO	AB	56120270
1080942	3691	1995-09-10	VYDAJ	PREVOD NA UCET	3267	24003	SIPO	AB	56120270
1080943	3691	1995-10-10	VYDAJ	PREVOD NA UCET	3267	22557	SIPO	AB	56120270
1080944	3691	1995-11-10	VYDAJ	PREVOD NA UCET	3267	23311	SIPO	AB	56120270
1080945	3691	1995-12-10	VYDAJ	PREVOD NA UCET	3267	25042	SIPO	AB	56120270
1080946	3691	1996-01-10	VYDAJ	PREVOD NA UCET	3267	23810	SIPO	AB	56120270
1080947	3691	1996-02-10	VYDAJ	PREVOD NA UCET	3267	25411	SIPO	AB	56120270
1080948	3691	1996-03-10	VYDAJ	PREVOD NA UCET	3267	25148	SIPO	AB	56120270
1080949	3691	1996-04-10	VYDAJ	PREVOD NA UCET	3267	24808	SIPO	AB	56120270
1080950	3691	1996-05-10	VYDAJ	PREVOD NA UCET	3267	26790	SIPO	AB	56120270
1080951	3691	1996-06-10	VYDAJ	PREVOD NA UCET	3267	16656	SIPO	AB	56120270
1080952	3691	1996-07-10	VYDAJ	PREVOD NA UCET	3267	19195	SIPO	AB	56120270
1080953	3691	1996-08-10	VYDAJ	PREVOD NA UCET	3267	22529	SIPO	AB	56120270
1080954	3691	1996-09-10	VYDAJ	PREVOD NA UCET	3267	25876	SIPO	AB	56120270
1080955	3691	1996-10-10	VYDAJ	PREVOD NA UCET	3267	28137	SIPO	AB	56120270
1080956	3691	1996-11-10	VYDAJ	PREVOD NA UCET	3267	26849	SIPO	AB	56120270
1080957	3691	1996-12-10	VYDAJ	PREVOD NA UCET	3267	24056	SIPO	AB	56120270
1080958	3691	1997-01-10	VYDAJ	PREVOD NA UCET	3267	23913	SIPO	AB	56120270
1080959	3691	1997-02-10	VYDAJ	PREVOD NA UCET	3267	24007	SIPO	AB	56120270
1080960	3691	1997-03-10	VYDAJ	PREVOD NA UCET	3267	24179	SIPO	AB	56120270
1080961	3691	1997-04-10	VYDAJ	PREVOD NA UCET	3267	21412	SIPO	AB	56120270
1080962	3691	1997-05-10	VYDAJ	PREVOD NA UCET	3267	19257	SIPO	AB	56120270
1080963	3691	1997-06-10	VYDAJ	PREVOD NA UCET	3267	19188	SIPO	AB	56120270
1080964	3691	1997-07-10	VYDAJ	PREVOD NA UCET	3267	22521	SIPO	AB	56120270
1080965	3691	1997-08-10	VYDAJ	PREVOD NA UCET	3267	19263	SIPO	AB	56120270
1080966	3691	1997-09-10	VYDAJ	PREVOD NA UCET	3267	18493	SIPO	AB	56120270
1080967	3691	1997-10-10	VYDAJ	PREVOD NA UCET	3267	18618	SIPO	AB	56120270
1080968	3691	1997-11-10	VYDAJ	PREVOD NA UCET	3267	21948	SIPO	AB	56120270
1080969	3691	1997-12-10	VYDAJ	PREVOD NA UCET	3267	18586	SIPO	AB	56120270
1080970	3691	1998-01-10	VYDAJ	PREVOD NA UCET	3267	20964	SIPO	AB	56120270
1080971	3691	1998-02-10	VYDAJ	PREVOD NA UCET	3267	23203	SIPO	AB	56120270
1080972	3691	1998-03-10	VYDAJ	PREVOD NA UCET	3267	18944	SIPO	AB	56120270
1080973	3691	1998-04-10	VYDAJ	PREVOD NA UCET	3267	19172	SIPO	AB	56120270
1080974	3691	1998-05-10	VYDAJ	PREVOD NA UCET	3267	22504	SIPO	AB	56120270
1080975	3691	1998-06-10	VYDAJ	PREVOD NA UCET	3267	17740	SIPO	AB	56120270
1080976	3691	1998-07-10	VYDAJ	PREVOD NA UCET	3267	21066	SIPO	AB	56120270
1080977	3691	1998-08-10	VYDAJ	PREVOD NA UCET	3267	24405	SIPO	AB	56120270
1080978	3691	1998-09-10	VYDAJ	PREVOD NA UCET	3267	25436	SIPO	AB	56120270
1080979	3691	1998-10-10	VYDAJ	PREVOD NA UCET	3267	22616	SIPO	AB	56120270
1080980	3691	1998-11-10	VYDAJ	PREVOD NA UCET	3267	23319	SIPO	AB	56120270
1080981	3691	1998-12-10	VYDAJ	PREVOD NA UCET	3267	26117	SIPO	AB	56120270
1080983	3691	1994-06-01	VYDAJ	VYBER	8750	21876	\N	\N	\N
1080985	3691	1996-06-09	VYDAJ	VYBER	10900	19923	\N	\N	\N
1080989	3691	1994-01-15	VYDAJ	VYBER	1750	27904	\N	\N	\N
1080990	3691	1995-01-12	VYDAJ	VYBER	3550	21448	\N	\N	\N
1080991	3691	1996-01-24	VYDAJ	VYBER	1750	22060	\N	\N	\N
1080992	3691	1997-01-02	VYDAJ	VYBER	1200	20640	\N	\N	\N
1080993	3691	1998-01-25	VYDAJ	VYBER	1100	19864	\N	\N	\N
1080994	3691	1993-12-30	VYDAJ	VYBER	1100	26286	\N	\N	\N
1080995	3691	1994-12-20	VYDAJ	VYBER	500	23644	\N	\N	\N
1080996	3691	1995-12-13	VYDAJ	VYBER	900	20462	\N	\N	\N
1080997	3691	1996-12-19	VYDAJ	VYBER	600	23456	\N	\N	\N
1080998	3691	1997-12-22	VYDAJ	VYBER	950	17636	\N	\N	\N
1080999	3691	1998-12-09	VYDAJ	VYBER	550	29384	\N	\N	\N
1081000	3691	1993-09-18	VYDAJ	VYBER	2000	23296	\N	\N	\N
1081003	3691	1993-11-21	VYDAJ	VYBER	3200	24120	\N	\N	\N
1081004	3691	1994-10-05	VYDAJ	VYBER	3840	19282	\N	\N	\N
1081005	3691	1994-09-10	VYDAJ	VYBER	2400	27035	\N	\N	\N
1081006	3691	1994-10-08	VYDAJ	VYBER	2400	16882	\N	\N	\N
1081007	3691	1995-12-12	VYDAJ	VYBER	3680	21362	\N	\N	\N
1081008	3691	1995-11-04	VYDAJ	VYBER	2000	20638	\N	\N	\N
1081009	3691	1995-11-13	VYDAJ	VYBER	720	22591	\N	\N	\N
1081010	3691	1996-06-20	VYDAJ	VYBER	800	15856	\N	\N	\N
1081011	3691	1996-11-07	VYDAJ	VYBER	3760	23576	\N	\N	\N
1081012	3691	1996-05-05	VYDAJ	VYBER	480	23517	\N	\N	\N
1081013	3691	1996-02-24	VYDAJ	VYBER	2720	22691	\N	\N	\N
1081014	3691	1996-12-04	VYDAJ	VYBER	3360	20783	\N	\N	\N
1081015	3691	1996-11-25	VYDAJ	VYBER	1920	24049	\N	\N	\N
1081016	3691	1996-11-16	VYDAJ	VYBER	880	25969	\N	\N	\N
1081018	3691	1997-02-11	VYDAJ	VYBER	1280	22727	\N	\N	\N
1081019	3691	1997-09-21	VYDAJ	VYBER	3200	15293	\N	\N	\N
1081020	3691	1997-04-06	VYDAJ	VYBER	3520	18139	\N	\N	\N
1081021	3691	1997-02-09	VYDAJ	VYBER	1760	27274	\N	\N	\N
1081022	3691	1998-09-12	VYDAJ	VYBER	2880	19276	\N	\N	\N
1081023	3691	1998-09-11	VYDAJ	VYBER	3280	22156	\N	\N	\N
1081024	3691	1998-08-24	VYDAJ	VYBER	2320	22085	\N	\N	\N
1081026	3691	1998-10-23	VYDAJ	VYBER	2640	19976	\N	\N	\N
1081034	3691	1993-07-31	VYDAJ	VYBER	15	23760	SLUZBY	\N	\N
1081035	3691	1993-08-31	VYDAJ	VYBER	15	24923	SLUZBY	\N	\N
1081036	3691	1993-09-30	VYDAJ	VYBER	15	23385	SLUZBY	\N	\N
1081037	3691	1993-10-31	VYDAJ	VYBER	15	25047	SLUZBY	\N	\N
1081038	3691	1993-11-30	VYDAJ	VYBER	15	24213	SLUZBY	\N	\N
1081039	3691	1993-12-31	VYDAJ	VYBER	15	26381	SLUZBY	\N	\N
1081040	3691	1994-01-31	VYDAJ	VYBER	15	28005	SLUZBY	\N	\N
1081041	3691	1994-02-28	VYDAJ	VYBER	15	27882	SLUZBY	\N	\N
1081042	3691	1994-03-31	VYDAJ	VYBER	15	28260	SLUZBY	\N	\N
1081043	3691	1994-04-30	VYDAJ	VYBER	15	29340	SLUZBY	\N	\N
1081044	3691	1994-05-31	VYDAJ	VYBER	15	30626	SLUZBY	\N	\N
1081045	3691	1994-06-30	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
1081046	3691	1994-07-31	VYDAJ	VYBER	15	22899	SLUZBY	\N	\N
1081047	3691	1994-08-31	VYDAJ	VYBER	15	26162	SLUZBY	\N	\N
1081048	3691	1994-09-30	VYDAJ	VYBER	15	23122	SLUZBY	\N	\N
1081049	3691	1994-10-31	VYDAJ	VYBER	15	20227	SLUZBY	\N	\N
1081050	3691	1994-11-30	VYDAJ	VYBER	15	20871	SLUZBY	\N	\N
1081051	3691	1994-12-31	VYDAJ	VYBER	15	23725	SLUZBY	\N	\N
1081052	3691	1995-01-31	VYDAJ	VYBER	15	21527	SLUZBY	\N	\N
1081053	3691	1995-02-28	VYDAJ	VYBER	15	18467	SLUZBY	\N	\N
1081054	3691	1995-03-31	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
1081055	3691	1995-04-30	VYDAJ	VYBER	15	20465	SLUZBY	\N	\N
1081056	3691	1995-05-31	VYDAJ	VYBER	15	20709	SLUZBY	\N	\N
1081057	3691	1995-06-30	VYDAJ	VYBER	15	19350	SLUZBY	\N	\N
1081058	3691	1995-07-31	VYDAJ	VYBER	15	19088	SLUZBY	\N	\N
1081059	3691	1995-08-31	VYDAJ	VYBER	15	20730	SLUZBY	\N	\N
1081060	3691	1995-09-30	VYDAJ	VYBER	15	24084	SLUZBY	\N	\N
1081061	3691	1995-10-31	VYDAJ	VYBER	15	22638	SLUZBY	\N	\N
1081062	3691	1995-11-30	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
1081063	3691	1995-12-31	VYDAJ	VYBER	15	20537	SLUZBY	\N	\N
1081064	3691	1996-01-31	VYDAJ	VYBER	15	22138	SLUZBY	\N	\N
1081065	3691	1996-02-29	VYDAJ	VYBER	15	22775	SLUZBY	\N	\N
1081066	3691	1996-03-31	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
1081067	3691	1996-04-30	VYDAJ	VYBER	15	24897	SLUZBY	\N	\N
1081068	3691	1996-05-31	VYDAJ	VYBER	15	26883	SLUZBY	\N	\N
1081069	3691	1996-06-30	VYDAJ	VYBER	15	15922	SLUZBY	\N	\N
1081070	3691	1996-07-31	VYDAJ	VYBER	15	19256	SLUZBY	\N	\N
1081071	3691	1996-08-31	VYDAJ	VYBER	15	22603	SLUZBY	\N	\N
1081072	3691	1996-09-30	VYDAJ	VYBER	15	25964	SLUZBY	\N	\N
1081073	3691	1996-10-31	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
1081074	3691	1996-11-30	VYDAJ	VYBER	15	24143	SLUZBY	\N	\N
1081075	3691	1996-12-31	VYDAJ	VYBER	15	21840	SLUZBY	\N	\N
1081076	3691	1997-01-31	VYDAJ	VYBER	15	22494	SLUZBY	\N	\N
1081077	3691	1997-02-28	VYDAJ	VYBER	15	22806	SLUZBY	\N	\N
1081078	3691	1997-03-31	VYDAJ	VYBER	15	21659	SLUZBY	\N	\N
1081079	3691	1997-04-30	VYDAJ	VYBER	15	15984	SLUZBY	\N	\N
1081080	3691	1997-05-31	VYDAJ	VYBER	15	15915	SLUZBY	\N	\N
1081081	3691	1997-06-30	VYDAJ	VYBER	15	19248	SLUZBY	\N	\N
1081082	3691	1997-07-31	VYDAJ	VYBER	15	15990	SLUZBY	\N	\N
1081083	3691	1997-08-31	VYDAJ	VYBER	15	15220	SLUZBY	\N	\N
1081084	3691	1997-09-30	VYDAJ	VYBER	15	15345	SLUZBY	\N	\N
1081085	3691	1997-10-31	VYDAJ	VYBER	15	18675	SLUZBY	\N	\N
1081086	3691	1997-11-30	VYDAJ	VYBER	15	15313	SLUZBY	\N	\N
1081087	3691	1997-12-31	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
1081088	3691	1998-01-31	VYDAJ	VYBER	15	19930	SLUZBY	\N	\N
1081089	3691	1998-02-28	VYDAJ	VYBER	15	15671	SLUZBY	\N	\N
1081090	3691	1998-03-31	VYDAJ	VYBER	15	15899	SLUZBY	\N	\N
1081091	3691	1998-04-30	VYDAJ	VYBER	15	19231	SLUZBY	\N	\N
1081092	3691	1998-05-31	VYDAJ	VYBER	15	14467	SLUZBY	\N	\N
1081093	3691	1998-06-30	VYDAJ	VYBER	15	17793	SLUZBY	\N	\N
1081094	3691	1998-07-31	VYDAJ	VYBER	15	21132	SLUZBY	\N	\N
1081095	3691	1998-08-31	VYDAJ	VYBER	15	22163	SLUZBY	\N	\N
1081096	3691	1998-09-30	VYDAJ	VYBER	15	19343	SLUZBY	\N	\N
1081097	3691	1998-10-31	VYDAJ	VYBER	15	20046	SLUZBY	\N	\N
1081098	3691	1998-11-30	VYDAJ	VYBER	15	23394	SLUZBY	\N	\N
1081099	3691	1993-06-19	VYDAJ	VYBER	3100	23460	\N	\N	\N
1081100	3691	1993-07-19	VYDAJ	VYBER	3100	23672	\N	\N	\N
1081101	3691	1993-08-18	VYDAJ	VYBER	2200	24833	\N	\N	\N
1081102	3691	1993-09-17	VYDAJ	VYBER	2900	25296	\N	\N	\N
1081103	3691	1993-10-17	VYDAJ	VYBER	1700	24958	\N	\N	\N
1081104	3691	1993-11-16	VYDAJ	VYBER	1000	27320	\N	\N	\N
1081105	3691	1993-12-16	VYDAJ	VYBER	100	27386	\N	\N	\N
1081106	3691	1994-02-14	VYDAJ	VYBER	3500	27778	\N	\N	\N
1081107	3691	1994-03-16	VYDAJ	VYBER	3000	28155	\N	\N	\N
1081108	3691	1994-04-15	VYDAJ	VYBER	2300	29233	\N	\N	\N
1081109	3691	1994-05-15	VYDAJ	VYBER	2100	30513	\N	\N	\N
1081110	3691	1994-06-14	VYDAJ	VYBER	1300	23849	\N	\N	\N
1081111	3691	1994-07-14	VYDAJ	VYBER	4400	22815	\N	\N	\N
1081112	3691	1994-08-13	VYDAJ	VYBER	100	26072	\N	\N	\N
1081113	3691	1994-09-12	VYDAJ	VYBER	4000	23035	\N	\N	\N
1081114	3691	1994-11-11	VYDAJ	VYBER	2700	20800	\N	\N	\N
1081115	3691	1995-01-10	VYDAJ	VYBER	2000	24998	\N	\N	\N
1081116	3691	1995-02-09	VYDAJ	VYBER	6400	21667	\N	\N	\N
1081117	3691	1995-04-10	VYDAJ	VYBER	4700	23651	\N	\N	\N
1081118	3691	1995-05-10	VYDAJ	VYBER	3100	23905	\N	\N	\N
1081119	3691	1995-06-09	VYDAJ	VYBER	4700	22549	\N	\N	\N
1081120	3691	1995-07-09	VYDAJ	VYBER	3600	22290	\N	\N	\N
1081121	3691	1995-08-08	VYDAJ	VYBER	1700	17388	\N	\N	\N
1081122	3691	1995-10-07	VYDAJ	VYBER	4800	19284	\N	\N	\N
1081123	3691	1995-11-06	VYDAJ	VYBER	600	20038	\N	\N	\N
1081124	3691	1995-12-06	VYDAJ	VYBER	900	21769	\N	\N	\N
1081125	3691	1996-03-05	VYDAJ	VYBER	900	21875	\N	\N	\N
1081126	3691	1996-04-04	VYDAJ	VYBER	3700	21535	\N	\N	\N
1081127	3691	1996-05-04	VYDAJ	VYBER	900	23997	\N	\N	\N
1081128	3691	1996-06-03	VYDAJ	VYBER	2600	24283	\N	\N	\N
1081129	3691	1996-10-01	VYDAJ	VYBER	1100	24864	\N	\N	\N
1081130	3691	1996-10-31	VYDAJ	VYBER	900	27336	\N	\N	\N
1081131	3691	1996-12-30	VYDAJ	VYBER	1700	21756	\N	\N	\N
1081132	3691	1997-01-29	VYDAJ	VYBER	1500	22413	\N	\N	\N
1081133	3691	1997-02-28	VYDAJ	VYBER	1900	20906	\N	\N	\N
1081134	3691	1997-03-30	VYDAJ	VYBER	2600	21579	\N	\N	\N
1081135	3691	1997-04-29	VYDAJ	VYBER	5500	15912	\N	\N	\N
1081136	3691	1997-05-29	VYDAJ	VYBER	3400	15857	\N	\N	\N
1081137	3691	1997-07-28	VYDAJ	VYBER	6600	15921	\N	\N	\N
1081138	3691	1997-08-27	VYDAJ	VYBER	4100	15163	\N	\N	\N
1081139	3691	1997-11-25	VYDAJ	VYBER	6700	15248	\N	\N	\N
1081140	3691	1998-02-23	VYDAJ	VYBER	7600	15603	\N	\N	\N
1081141	3691	1998-03-25	VYDAJ	VYBER	3100	15844	\N	\N	\N
1081142	3691	1998-05-24	VYDAJ	VYBER	8100	14404	\N	\N	\N
1081210	3692	1997-04-21	PRIJEM	VKLAD	500	500	\N	\N	\N
1081215	3692	1997-05-12	PRIJEM	PREVOD Z UCTU	4895	5395	DUCHOD	QR	12625360
1081216	3692	1997-06-12	PRIJEM	PREVOD Z UCTU	4895	10290	DUCHOD	QR	12625360
1081217	3692	1997-07-12	PRIJEM	PREVOD Z UCTU	4895	15185	DUCHOD	QR	12625360
1081218	3692	1997-08-12	PRIJEM	PREVOD Z UCTU	4895	20080	DUCHOD	QR	12625360
1081219	3692	1997-09-12	PRIJEM	PREVOD Z UCTU	4895	24975	DUCHOD	QR	12625360
1081220	3692	1997-10-12	PRIJEM	PREVOD Z UCTU	4895	26644	DUCHOD	QR	12625360
1081221	3692	1997-11-12	PRIJEM	PREVOD Z UCTU	4895	25632	DUCHOD	QR	12625360
1081222	3692	1997-12-12	PRIJEM	PREVOD Z UCTU	4895	27339	DUCHOD	QR	12625360
1081223	3692	1998-01-12	PRIJEM	PREVOD Z UCTU	4895	25744	DUCHOD	QR	12625360
1081224	3692	1998-02-12	PRIJEM	PREVOD Z UCTU	4895	22287	DUCHOD	QR	12625360
1081225	3692	1998-03-12	PRIJEM	PREVOD Z UCTU	4895	22860	DUCHOD	QR	12625360
1081226	3692	1998-04-12	PRIJEM	PREVOD Z UCTU	4895	24558	DUCHOD	QR	12625360
1081227	3692	1998-05-12	PRIJEM	PREVOD Z UCTU	4895	22500	DUCHOD	QR	12625360
1081228	3692	1998-06-12	PRIJEM	PREVOD Z UCTU	4895	24194	DUCHOD	QR	12625360
1081229	3692	1998-07-12	PRIJEM	PREVOD Z UCTU	4895	25896	DUCHOD	QR	12625360
1081230	3692	1998-08-12	PRIJEM	PREVOD Z UCTU	4895	27605	DUCHOD	QR	12625360
1081231	3692	1998-09-12	PRIJEM	PREVOD Z UCTU	4895	29321	DUCHOD	QR	12625360
1081232	3692	1998-10-12	PRIJEM	PREVOD Z UCTU	4895	31044	DUCHOD	QR	12625360
1081233	3692	1998-11-12	PRIJEM	PREVOD Z UCTU	4895	30294	DUCHOD	QR	12625360
1081234	3692	1998-12-12	PRIJEM	PREVOD Z UCTU	4895	32026	DUCHOD	QR	12625360
1081243	3692	1997-09-14	VYDAJ	PREVOD NA UCET	3263	21712	SIPO	ST	73999780
1081244	3692	1997-10-14	VYDAJ	PREVOD NA UCET	3263	23381	SIPO	ST	73999780
1081245	3692	1997-11-14	VYDAJ	PREVOD NA UCET	3263	22369	SIPO	ST	73999780
1081246	3692	1997-12-14	VYDAJ	PREVOD NA UCET	3263	24076	SIPO	ST	73999780
1081247	3692	1998-01-14	VYDAJ	PREVOD NA UCET	3263	19721	SIPO	ST	73999780
1081248	3692	1998-02-14	VYDAJ	PREVOD NA UCET	3263	19024	SIPO	ST	73999780
1081249	3692	1998-03-14	VYDAJ	PREVOD NA UCET	3263	19597	SIPO	ST	73999780
1081250	3692	1998-04-14	VYDAJ	PREVOD NA UCET	3263	21295	SIPO	ST	73999780
1081251	3692	1998-05-14	VYDAJ	PREVOD NA UCET	3263	19237	SIPO	ST	73999780
1081252	3692	1998-06-14	VYDAJ	PREVOD NA UCET	3263	20931	SIPO	ST	73999780
1081253	3692	1998-07-14	VYDAJ	PREVOD NA UCET	3263	22633	SIPO	ST	73999780
1081254	3692	1998-08-14	VYDAJ	PREVOD NA UCET	3263	24342	SIPO	ST	73999780
1081255	3692	1998-09-14	VYDAJ	PREVOD NA UCET	3263	26058	SIPO	ST	73999780
1081256	3692	1998-10-14	VYDAJ	PREVOD NA UCET	3263	27781	SIPO	ST	73999780
1081257	3692	1998-11-14	VYDAJ	PREVOD NA UCET	3263	27031	SIPO	ST	73999780
1081258	3692	1998-12-14	VYDAJ	PREVOD NA UCET	3263	28763	SIPO	ST	73999780
1081262	3692	1998-01-12	VYDAJ	VYBER	600	25144	\N	\N	\N
1081263	3692	1997-12-21	VYDAJ	VYBER	350	23726	\N	\N	\N
1081264	3692	1998-12-18	VYDAJ	VYBER	950	27813	\N	\N	\N
1081271	3692	1998-01-04	VYDAJ	VYBER	720	20849	\N	\N	\N
1081272	3692	1998-01-14	VYDAJ	VYBER	2160	22984	\N	\N	\N
1081273	3692	1998-01-23	VYDAJ	VYBER	400	17321	\N	\N	\N
1081274	3692	1998-01-19	VYDAJ	VYBER	1520	18201	\N	\N	\N
1081275	3692	1998-01-01	VYDAJ	VYBER	2240	21569	\N	\N	\N
1081276	3692	1998-01-23	VYDAJ	VYBER	480	17721	\N	\N	\N
1081278	3692	1997-10-26	VYDAJ	VYBER	1120	20661	\N	\N	\N
1081283	3692	1998-02-28	VYDAJ	VYBER	1120	17965	\N	\N	\N
1081284	3692	1998-04-28	VYDAJ	VYBER	3760	17535	\N	\N	\N
1081285	3692	1998-11-04	VYDAJ	VYBER	2480	25399	\N	\N	\N
1081295	3692	1997-09-30	VYDAJ	VYBER	15	21749	SLUZBY	\N	\N
1081296	3692	1997-10-31	VYDAJ	VYBER	15	20737	SLUZBY	\N	\N
1081297	3692	1997-11-30	VYDAJ	VYBER	15	22444	SLUZBY	\N	\N
1081298	3692	1997-12-31	VYDAJ	VYBER	15	23809	SLUZBY	\N	\N
1081299	3692	1998-01-31	VYDAJ	VYBER	15	17392	SLUZBY	\N	\N
1081300	3692	1998-02-28	VYDAJ	VYBER	15	19085	SLUZBY	\N	\N
1081301	3692	1998-03-31	VYDAJ	VYBER	15	19663	SLUZBY	\N	\N
1081302	3692	1998-04-30	VYDAJ	VYBER	15	17605	SLUZBY	\N	\N
1081303	3692	1998-05-31	VYDAJ	VYBER	15	19299	SLUZBY	\N	\N
1081304	3692	1998-06-30	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
1081305	3692	1998-07-31	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
1081306	3692	1998-08-31	VYDAJ	VYBER	15	24426	SLUZBY	\N	\N
1081307	3692	1998-09-30	VYDAJ	VYBER	15	26149	SLUZBY	\N	\N
1081308	3692	1998-10-31	VYDAJ	VYBER	15	27879	SLUZBY	\N	\N
1081309	3692	1998-11-30	VYDAJ	VYBER	15	27131	SLUZBY	\N	\N
1081310	3692	1997-10-18	VYDAJ	VYBER	1600	21781	\N	\N	\N
1081327	3693	1993-01-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1081329	3693	1993-02-14	PRIJEM	VKLAD	15447	16447	\N	\N	\N
1081330	3693	1993-03-14	PRIJEM	VKLAD	15447	35097	\N	\N	\N
1081331	3693	1993-04-14	PRIJEM	VKLAD	15447	45128	\N	\N	\N
1081332	3693	1993-05-14	PRIJEM	VKLAD	15447	47499	\N	\N	\N
1081333	3693	1993-06-14	PRIJEM	VKLAD	23171	58604	\N	\N	\N
1081334	3693	1993-07-14	PRIJEM	VKLAD	15447	49295	\N	\N	\N
1081335	3693	1993-08-14	PRIJEM	VKLAD	15447	42822	\N	\N	\N
1081336	3693	1993-09-14	PRIJEM	VKLAD	15447	40148	\N	\N	\N
1081337	3693	1993-10-14	PRIJEM	VKLAD	15447	35792	\N	\N	\N
1081338	3693	1993-11-14	PRIJEM	VKLAD	15447	34964	\N	\N	\N
1081339	3693	1993-12-14	PRIJEM	VKLAD	23171	45959	\N	\N	\N
1081340	3693	1994-01-14	PRIJEM	VKLAD	15447	36551	\N	\N	\N
1081341	3693	1994-02-14	PRIJEM	VKLAD	15447	33116	\N	\N	\N
1081342	3693	1994-03-14	PRIJEM	VKLAD	15447	33637	\N	\N	\N
1081343	3693	1994-04-14	PRIJEM	VKLAD	15447	34471	\N	\N	\N
1081344	3693	1994-05-14	PRIJEM	VKLAD	15447	37339	\N	\N	\N
1081345	3693	1994-06-14	PRIJEM	VKLAD	23171	37302	\N	\N	\N
1081346	3693	1994-07-14	PRIJEM	VKLAD	15447	41063	\N	\N	\N
1081347	3693	1994-08-14	PRIJEM	VKLAD	15447	40154	\N	\N	\N
1081348	3693	1994-09-14	PRIJEM	VKLAD	15447	37740	\N	\N	\N
1081349	3693	1994-10-14	PRIJEM	VKLAD	15447	39413	\N	\N	\N
1081350	3693	1994-11-14	PRIJEM	VKLAD	15447	40098	\N	\N	\N
1081351	3693	1994-12-14	PRIJEM	VKLAD	23171	46304	\N	\N	\N
1081352	3693	1995-01-14	PRIJEM	VKLAD	15447	29411	\N	\N	\N
1081353	3693	1995-02-14	PRIJEM	VKLAD	15447	23589	\N	\N	\N
1081354	3693	1995-03-14	PRIJEM	VKLAD	15447	26872	\N	\N	\N
1081355	3693	1995-04-14	PRIJEM	VKLAD	15447	32858	\N	\N	\N
1081356	3693	1995-05-14	PRIJEM	VKLAD	15447	35804	\N	\N	\N
1081357	3693	1995-06-14	PRIJEM	VKLAD	23171	41434	\N	\N	\N
1081358	3693	1995-07-14	PRIJEM	VKLAD	15447	37222	\N	\N	\N
1081359	3693	1995-08-14	PRIJEM	VKLAD	15447	41140	\N	\N	\N
1081360	3693	1995-09-14	PRIJEM	VKLAD	15447	43932	\N	\N	\N
1081361	3693	1995-10-14	PRIJEM	VKLAD	15447	45633	\N	\N	\N
1081362	3693	1995-11-14	PRIJEM	VKLAD	15447	46121	\N	\N	\N
1081363	3693	1995-12-14	PRIJEM	VKLAD	23171	54050	\N	\N	\N
1081364	3693	1996-01-14	PRIJEM	VKLAD	15447	44349	\N	\N	\N
1081365	3693	1996-02-14	PRIJEM	VKLAD	15447	45779	\N	\N	\N
1081366	3693	1996-03-14	PRIJEM	VKLAD	15447	52372	\N	\N	\N
1081367	3693	1996-04-14	PRIJEM	VKLAD	15447	51617	\N	\N	\N
1081368	3693	1996-05-14	PRIJEM	VKLAD	15447	53657	\N	\N	\N
1081369	3693	1996-06-14	PRIJEM	VKLAD	23171	67738	\N	\N	\N
1081370	3693	1996-07-14	PRIJEM	VKLAD	15447	51358	\N	\N	\N
1081371	3693	1996-08-14	PRIJEM	VKLAD	15447	59982	\N	\N	\N
1081372	3693	1996-09-14	PRIJEM	VKLAD	15447	65113	\N	\N	\N
1081373	3693	1996-10-14	PRIJEM	VKLAD	15447	68801	\N	\N	\N
1081374	3693	1996-11-14	PRIJEM	VKLAD	15447	70674	\N	\N	\N
1081375	3693	1996-12-14	PRIJEM	VKLAD	23171	85011	\N	\N	\N
1081376	3693	1997-01-14	PRIJEM	VKLAD	15447	66287	\N	\N	\N
1081377	3693	1997-02-14	PRIJEM	VKLAD	15447	67944	\N	\N	\N
1081378	3693	1997-03-14	PRIJEM	VKLAD	15447	79535	\N	\N	\N
1081379	3693	1997-04-14	PRIJEM	VKLAD	15447	86582	\N	\N	\N
1081380	3693	1997-05-14	PRIJEM	VKLAD	15447	86861	\N	\N	\N
1081381	3693	1997-06-14	PRIJEM	VKLAD	23171	91272	\N	\N	\N
1081382	3693	1997-07-14	PRIJEM	VKLAD	15447	88726	\N	\N	\N
1081383	3693	1997-08-14	PRIJEM	VKLAD	15447	94019	\N	\N	\N
1081384	3693	1997-09-14	PRIJEM	VKLAD	15447	96728	\N	\N	\N
1081385	3693	1997-10-14	PRIJEM	VKLAD	15447	90947	\N	\N	\N
1081386	3693	1997-11-14	PRIJEM	VKLAD	15447	95050	\N	\N	\N
1081387	3693	1997-12-14	PRIJEM	VKLAD	23171	105385	\N	\N	\N
1081388	3693	1998-01-14	PRIJEM	VKLAD	15447	91985	\N	\N	\N
1081389	3693	1998-02-14	PRIJEM	VKLAD	15447	98279	\N	\N	\N
1081390	3693	1998-03-14	PRIJEM	VKLAD	15447	101336	\N	\N	\N
1081391	3693	1998-04-14	PRIJEM	VKLAD	15447	106774	\N	\N	\N
1081392	3693	1998-05-14	PRIJEM	VKLAD	15447	112332	\N	\N	\N
1081393	3693	1998-06-14	PRIJEM	VKLAD	23171	92761	\N	\N	\N
1081394	3693	1998-07-14	PRIJEM	VKLAD	15447	108531	\N	\N	\N
1081395	3693	1998-08-14	PRIJEM	VKLAD	15447	113231	\N	\N	\N
1081396	3693	1998-09-14	PRIJEM	VKLAD	15447	119218	\N	\N	\N
1081397	3693	1998-10-14	PRIJEM	VKLAD	15447	109050	\N	\N	\N
1081398	3693	1998-11-14	PRIJEM	VKLAD	15447	114965	\N	\N	\N
1081399	3693	1998-12-14	PRIJEM	VKLAD	23171	102583	\N	\N	\N
1081406	3693	1993-07-05	VYDAJ	PREVOD NA UCET	8992	33848	SIPO	GH	36411053
1081407	3693	1993-08-05	VYDAJ	PREVOD NA UCET	8992	27375	SIPO	GH	36411053
1081408	3693	1993-09-05	VYDAJ	PREVOD NA UCET	8992	24701	SIPO	GH	36411053
1081409	3693	1993-10-05	VYDAJ	PREVOD NA UCET	8992	20345	SIPO	GH	36411053
1081410	3693	1993-11-05	VYDAJ	PREVOD NA UCET	8992	19517	SIPO	GH	36411053
1081411	3693	1993-12-05	VYDAJ	PREVOD NA UCET	8992	22788	SIPO	GH	36411053
1081412	3693	1994-01-05	VYDAJ	PREVOD NA UCET	8992	23864	SIPO	GH	36411053
1081413	3693	1994-02-05	VYDAJ	PREVOD NA UCET	8992	17669	SIPO	GH	36411053
1081414	3693	1994-03-05	VYDAJ	PREVOD NA UCET	8992	19030	SIPO	GH	36411053
1081415	3693	1994-04-05	VYDAJ	PREVOD NA UCET	8992	19024	SIPO	GH	36411053
1081416	3693	1994-05-05	VYDAJ	PREVOD NA UCET	8992	21892	SIPO	GH	36411053
1081417	3693	1994-06-05	VYDAJ	PREVOD NA UCET	8992	14132	SIPO	GH	36411053
1081418	3693	1994-07-05	VYDAJ	PREVOD NA UCET	8992	25616	SIPO	GH	36411053
1081419	3693	1994-08-05	VYDAJ	PREVOD NA UCET	8992	24707	SIPO	GH	36411053
1081420	3693	1994-09-05	VYDAJ	PREVOD NA UCET	8992	23493	SIPO	GH	36411053
1081421	3693	1994-10-05	VYDAJ	PREVOD NA UCET	8992	23966	SIPO	GH	36411053
1081422	3693	1994-11-05	VYDAJ	PREVOD NA UCET	8992	24651	SIPO	GH	36411053
1081423	3693	1994-12-05	VYDAJ	PREVOD NA UCET	8992	23134	SIPO	GH	36411053
1081424	3693	1995-01-05	VYDAJ	PREVOD NA UCET	8992	19724	SIPO	GH	36411053
1081425	3693	1995-02-05	VYDAJ	PREVOD NA UCET	8992	8142	SIPO	GH	36411053
1081426	3693	1995-03-05	VYDAJ	PREVOD NA UCET	8992	11425	SIPO	GH	36411053
1081427	3693	1995-04-05	VYDAJ	PREVOD NA UCET	8992	21371	SIPO	GH	36411053
1081428	3693	1995-05-05	VYDAJ	PREVOD NA UCET	8992	25877	SIPO	GH	36411053
1081429	3693	1995-06-05	VYDAJ	PREVOD NA UCET	8992	22823	SIPO	GH	36411053
1081430	3693	1995-07-05	VYDAJ	PREVOD NA UCET	8992	21775	SIPO	GH	36411053
1081431	3693	1995-08-05	VYDAJ	PREVOD NA UCET	8992	25693	SIPO	GH	36411053
1081432	3693	1995-09-05	VYDAJ	PREVOD NA UCET	8992	28485	SIPO	GH	36411053
1081433	3693	1995-10-05	VYDAJ	PREVOD NA UCET	8992	30186	SIPO	GH	36411053
1081434	3693	1995-11-05	VYDAJ	PREVOD NA UCET	8992	30674	SIPO	GH	36411053
1081435	3693	1995-12-05	VYDAJ	PREVOD NA UCET	8992	30879	SIPO	GH	36411053
1081436	3693	1996-01-05	VYDAJ	PREVOD NA UCET	8992	32142	SIPO	GH	36411053
1081437	3693	1996-02-05	VYDAJ	PREVOD NA UCET	8992	17232	SIPO	GH	36411053
1081438	3693	1996-03-05	VYDAJ	PREVOD NA UCET	8992	36925	SIPO	GH	36411053
1081439	3693	1996-04-05	VYDAJ	PREVOD NA UCET	8992	35470	SIPO	GH	36411053
1081440	3693	1996-05-05	VYDAJ	PREVOD NA UCET	8992	42810	SIPO	GH	36411053
1081441	3693	1996-06-05	VYDAJ	PREVOD NA UCET	8992	44868	SIPO	GH	36411053
1081442	3693	1996-07-05	VYDAJ	PREVOD NA UCET	8992	26011	SIPO	GH	36411053
1081443	3693	1996-08-05	VYDAJ	PREVOD NA UCET	8992	42535	SIPO	GH	36411053
1081444	3693	1996-09-05	VYDAJ	PREVOD NA UCET	8992	50366	SIPO	GH	36411053
1081445	3693	1996-10-05	VYDAJ	PREVOD NA UCET	8992	56354	SIPO	GH	36411053
1081446	3693	1996-11-05	VYDAJ	PREVOD NA UCET	8992	58027	SIPO	GH	36411053
1081447	3693	1996-12-05	VYDAJ	PREVOD NA UCET	8992	61941	SIPO	GH	36411053
1081448	3693	1997-01-05	VYDAJ	PREVOD NA UCET	8992	68800	SIPO	GH	36411053
1081449	3693	1997-02-05	VYDAJ	PREVOD NA UCET	8992	43497	SIPO	GH	36411053
1081450	3693	1997-03-05	VYDAJ	PREVOD NA UCET	8992	59188	SIPO	GH	36411053
1081451	3693	1997-04-05	VYDAJ	PREVOD NA UCET	8992	70835	SIPO	GH	36411053
1081452	3693	1997-05-05	VYDAJ	PREVOD NA UCET	8992	77914	SIPO	GH	36411053
1081453	3693	1997-06-05	VYDAJ	PREVOD NA UCET	8992	78201	SIPO	GH	36411053
1081454	3693	1997-07-05	VYDAJ	PREVOD NA UCET	8992	78419	SIPO	GH	36411053
1081455	3693	1997-08-05	VYDAJ	PREVOD NA UCET	8992	80072	SIPO	GH	36411053
1081456	3693	1997-09-05	VYDAJ	PREVOD NA UCET	8992	85381	SIPO	GH	36411053
1081457	3693	1997-10-05	VYDAJ	PREVOD NA UCET	8992	88100	SIPO	GH	36411053
1081458	3693	1997-11-05	VYDAJ	PREVOD NA UCET	8992	79603	SIPO	GH	36411053
1081459	3693	1997-12-05	VYDAJ	PREVOD NA UCET	8992	82214	SIPO	GH	36411053
1081460	3693	1998-01-05	VYDAJ	PREVOD NA UCET	8992	85738	SIPO	GH	36411053
1081461	3693	1998-02-05	VYDAJ	PREVOD NA UCET	8992	82832	SIPO	GH	36411053
1081462	3693	1998-03-05	VYDAJ	PREVOD NA UCET	8992	85889	SIPO	GH	36411053
1081463	3693	1998-04-05	VYDAJ	PREVOD NA UCET	8992	91327	SIPO	GH	36411053
1081464	3693	1998-05-05	VYDAJ	PREVOD NA UCET	8992	96885	SIPO	GH	36411053
1081465	3693	1998-06-05	VYDAJ	PREVOD NA UCET	8992	69591	SIPO	GH	36411053
1081466	3693	1998-07-05	VYDAJ	PREVOD NA UCET	8992	93084	SIPO	GH	36411053
1081467	3693	1998-08-05	VYDAJ	PREVOD NA UCET	8992	100544	SIPO	GH	36411053
1081468	3693	1998-09-05	VYDAJ	PREVOD NA UCET	8992	103771	SIPO	GH	36411053
1081469	3693	1998-10-05	VYDAJ	PREVOD NA UCET	8992	93603	SIPO	GH	36411053
1081470	3693	1998-11-05	VYDAJ	PREVOD NA UCET	8992	99518	SIPO	GH	36411053
1081471	3693	1998-12-05	VYDAJ	PREVOD NA UCET	8992	79412	SIPO	GH	36411053
1081473	3693	1994-06-04	VYDAJ	VYBER	9440	23124	\N	\N	\N
1081475	3693	1996-06-28	VYDAJ	VYBER	32960	34778	\N	\N	\N
1081476	3693	1997-06-09	VYDAJ	VYBER	8800	68101	\N	\N	\N
1081480	3693	1995-01-15	VYDAJ	VYBER	5280	24131	\N	\N	\N
1081481	3693	1996-01-17	VYDAJ	VYBER	8960	30309	\N	\N	\N
1081482	3693	1997-01-13	VYDAJ	VYBER	8000	50840	\N	\N	\N
1081483	3693	1998-01-09	VYDAJ	VYBER	6560	76538	\N	\N	\N
1081484	3693	1993-12-16	VYDAJ	VYBER	2240	43719	\N	\N	\N
1081485	3693	1994-12-22	VYDAJ	VYBER	4480	34224	\N	\N	\N
1081486	3693	1995-12-26	VYDAJ	VYBER	4160	42290	\N	\N	\N
1081487	3693	1996-12-22	VYDAJ	VYBER	4640	80371	\N	\N	\N
1081488	3693	1997-12-28	VYDAJ	VYBER	3680	101705	\N	\N	\N
1081489	3693	1998-12-21	VYDAJ	VYBER	3520	99063	\N	\N	\N
1081496	3693	1994-01-28	VYDAJ	VYBER	1320	26551	\N	\N	\N
1081497	3693	1994-01-19	VYDAJ	VYBER	1680	34871	\N	\N	\N
1081498	3693	1994-01-23	VYDAJ	VYBER	3480	31391	\N	\N	\N
1081499	3693	1994-01-10	VYDAJ	VYBER	1560	21104	\N	\N	\N
1081500	3693	1994-01-07	VYDAJ	VYBER	1200	22664	\N	\N	\N
1081501	3693	1994-01-28	VYDAJ	VYBER	1920	27871	\N	\N	\N
1081502	3693	1995-01-26	VYDAJ	VYBER	3240	19571	\N	\N	\N
1081503	3693	1995-01-30	VYDAJ	VYBER	2520	17051	\N	\N	\N
1081504	3693	1995-01-21	VYDAJ	VYBER	2640	25091	\N	\N	\N
1081505	3693	1995-01-10	VYDAJ	VYBER	3360	16364	\N	\N	\N
1081506	3693	1995-01-24	VYDAJ	VYBER	2280	22811	\N	\N	\N
1081507	3693	1995-01-11	VYDAJ	VYBER	2400	13964	\N	\N	\N
1081508	3693	1996-01-20	VYDAJ	VYBER	1800	28509	\N	\N	\N
1081509	3693	1996-01-01	VYDAJ	VYBER	1320	41134	\N	\N	\N
1081510	3693	1996-01-08	VYDAJ	VYBER	3240	28902	\N	\N	\N
1081511	3693	1996-01-15	VYDAJ	VYBER	2640	40109	\N	\N	\N
1081512	3693	1996-01-23	VYDAJ	VYBER	2400	26109	\N	\N	\N
1081513	3693	1996-01-17	VYDAJ	VYBER	840	39269	\N	\N	\N
1081514	3693	1997-01-12	VYDAJ	VYBER	2400	61600	\N	\N	\N
1081515	3693	1997-01-02	VYDAJ	VYBER	2880	77792	\N	\N	\N
1081516	3693	1997-01-12	VYDAJ	VYBER	2760	58840	\N	\N	\N
1081517	3693	1997-01-14	VYDAJ	VYBER	2880	60287	\N	\N	\N
1081518	3693	1997-01-14	VYDAJ	VYBER	3120	63167	\N	\N	\N
1081519	3693	1997-01-29	VYDAJ	VYBER	3000	52247	\N	\N	\N
1081520	3693	1998-01-06	VYDAJ	VYBER	2640	83098	\N	\N	\N
1081521	3693	1998-01-17	VYDAJ	VYBER	2880	87185	\N	\N	\N
1081522	3693	1998-01-04	VYDAJ	VYBER	2160	94730	\N	\N	\N
1081523	3693	1998-01-19	VYDAJ	VYBER	840	84185	\N	\N	\N
1081524	3693	1998-01-18	VYDAJ	VYBER	2160	85025	\N	\N	\N
1081525	3693	1998-01-17	VYDAJ	VYBER	1920	90065	\N	\N	\N
1081526	3693	1993-09-20	VYDAJ	VYBER	5640	34508	\N	\N	\N
1081527	3693	1993-08-27	VYDAJ	VYBER	1680	41142	\N	\N	\N
1081533	3693	1994-03-05	VYDAJ	VYBER	840	18190	\N	\N	\N
1081534	3693	1994-12-28	VYDAJ	VYBER	5640	28584	\N	\N	\N
1081535	3693	1994-03-24	VYDAJ	VYBER	3120	30517	\N	\N	\N
1081536	3693	1994-09-09	VYDAJ	VYBER	1200	22293	\N	\N	\N
1081537	3693	1995-04-09	VYDAJ	VYBER	3960	17411	\N	\N	\N
1081538	3693	1995-07-18	VYDAJ	VYBER	2160	35062	\N	\N	\N
1081539	3693	1995-10-27	VYDAJ	VYBER	1920	39513	\N	\N	\N
1081540	3693	1995-06-26	VYDAJ	VYBER	3480	30654	\N	\N	\N
1081541	3693	1995-05-07	VYDAJ	VYBER	5520	20357	\N	\N	\N
1081542	3693	1995-06-08	VYDAJ	VYBER	4560	18263	\N	\N	\N
1081543	3693	1995-02-21	VYDAJ	VYBER	5040	20349	\N	\N	\N
1081544	3693	1996-09-04	VYDAJ	VYBER	840	59358	\N	\N	\N
1081545	3693	1996-11-01	VYDAJ	VYBER	2040	67019	\N	\N	\N
1081546	3693	1997-10-08	VYDAJ	VYBER	5400	75500	\N	\N	\N
1081547	3693	1997-01-24	VYDAJ	VYBER	5040	55247	\N	\N	\N
1081548	3693	1997-07-04	VYDAJ	VYBER	4200	87411	\N	\N	\N
1081549	3693	1997-07-13	VYDAJ	VYBER	2040	73279	\N	\N	\N
1081550	3693	1998-08-08	VYDAJ	VYBER	1920	98624	\N	\N	\N
1081551	3693	1998-03-03	VYDAJ	VYBER	5160	93481	\N	\N	\N
1081552	3693	1998-05-18	VYDAJ	VYBER	2160	50272	\N	\N	\N
1081553	3693	1998-08-09	VYDAJ	VYBER	840	97784	\N	\N	\N
1081554	3693	1998-09-15	VYDAJ	VYBER	4680	114538	\N	\N	\N
1081561	3693	1993-06-30	VYDAJ	VYBER	15	42840	SLUZBY	\N	\N
1081562	3693	1993-07-31	VYDAJ	VYBER	15	36367	SLUZBY	\N	\N
1081563	3693	1993-08-31	VYDAJ	VYBER	15	33693	SLUZBY	\N	\N
1081564	3693	1993-09-30	VYDAJ	VYBER	15	29337	SLUZBY	\N	\N
1081565	3693	1993-10-31	VYDAJ	VYBER	15	28509	SLUZBY	\N	\N
1081566	3693	1993-11-30	VYDAJ	VYBER	15	31780	SLUZBY	\N	\N
1081567	3693	1993-12-31	VYDAJ	VYBER	15	32856	SLUZBY	\N	\N
1081568	3693	1994-01-31	VYDAJ	VYBER	15	26661	SLUZBY	\N	\N
1081569	3693	1994-02-28	VYDAJ	VYBER	15	28022	SLUZBY	\N	\N
1081570	3693	1994-03-31	VYDAJ	VYBER	15	28016	SLUZBY	\N	\N
1081571	3693	1994-04-30	VYDAJ	VYBER	15	30884	SLUZBY	\N	\N
1081572	3693	1994-05-31	VYDAJ	VYBER	15	32564	SLUZBY	\N	\N
1081573	3693	1994-06-30	VYDAJ	VYBER	15	34608	SLUZBY	\N	\N
1081574	3693	1994-07-31	VYDAJ	VYBER	15	33699	SLUZBY	\N	\N
1081575	3693	1994-08-31	VYDAJ	VYBER	15	32485	SLUZBY	\N	\N
1081576	3693	1994-09-30	VYDAJ	VYBER	15	32958	SLUZBY	\N	\N
1081577	3693	1994-10-31	VYDAJ	VYBER	15	33643	SLUZBY	\N	\N
1081578	3693	1994-11-30	VYDAJ	VYBER	15	32126	SLUZBY	\N	\N
1081579	3693	1994-12-31	VYDAJ	VYBER	15	28716	SLUZBY	\N	\N
1081580	3693	1995-01-31	VYDAJ	VYBER	15	17134	SLUZBY	\N	\N
1081581	3693	1995-02-28	VYDAJ	VYBER	15	20417	SLUZBY	\N	\N
1081582	3693	1995-03-31	VYDAJ	VYBER	15	30363	SLUZBY	\N	\N
1081583	3693	1995-04-30	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
1081584	3693	1995-05-31	VYDAJ	VYBER	15	31815	SLUZBY	\N	\N
1081585	3693	1995-06-30	VYDAJ	VYBER	15	30767	SLUZBY	\N	\N
1081586	3693	1995-07-31	VYDAJ	VYBER	15	34685	SLUZBY	\N	\N
1081587	3693	1995-08-31	VYDAJ	VYBER	15	37477	SLUZBY	\N	\N
1081588	3693	1995-09-30	VYDAJ	VYBER	15	39178	SLUZBY	\N	\N
1081589	3693	1995-10-31	VYDAJ	VYBER	15	39666	SLUZBY	\N	\N
1081590	3693	1995-11-30	VYDAJ	VYBER	15	39871	SLUZBY	\N	\N
1081591	3693	1995-12-31	VYDAJ	VYBER	15	42454	SLUZBY	\N	\N
1081592	3693	1996-01-31	VYDAJ	VYBER	15	26224	SLUZBY	\N	\N
1081593	3693	1996-02-29	VYDAJ	VYBER	15	45917	SLUZBY	\N	\N
1081594	3693	1996-03-31	VYDAJ	VYBER	15	44462	SLUZBY	\N	\N
1081595	3693	1996-04-30	VYDAJ	VYBER	15	51802	SLUZBY	\N	\N
1081596	3693	1996-05-31	VYDAJ	VYBER	15	53860	SLUZBY	\N	\N
1081597	3693	1996-06-30	VYDAJ	VYBER	15	35003	SLUZBY	\N	\N
1081598	3693	1996-07-31	VYDAJ	VYBER	15	51527	SLUZBY	\N	\N
1081599	3693	1996-08-31	VYDAJ	VYBER	15	60198	SLUZBY	\N	\N
1081600	3693	1996-09-30	VYDAJ	VYBER	15	65346	SLUZBY	\N	\N
1081601	3693	1996-10-31	VYDAJ	VYBER	15	69059	SLUZBY	\N	\N
1081602	3693	1996-11-30	VYDAJ	VYBER	15	70933	SLUZBY	\N	\N
1081603	3693	1996-12-31	VYDAJ	VYBER	15	80672	SLUZBY	\N	\N
1081604	3693	1997-01-31	VYDAJ	VYBER	15	52489	SLUZBY	\N	\N
1081605	3693	1997-02-28	VYDAJ	VYBER	15	68180	SLUZBY	\N	\N
1081606	3693	1997-03-31	VYDAJ	VYBER	15	79827	SLUZBY	\N	\N
1081607	3693	1997-04-30	VYDAJ	VYBER	15	86906	SLUZBY	\N	\N
1081608	3693	1997-05-31	VYDAJ	VYBER	15	87193	SLUZBY	\N	\N
1081609	3693	1997-06-30	VYDAJ	VYBER	15	91611	SLUZBY	\N	\N
1081610	3693	1997-07-31	VYDAJ	VYBER	15	89064	SLUZBY	\N	\N
1081611	3693	1997-08-31	VYDAJ	VYBER	15	94373	SLUZBY	\N	\N
1081612	3693	1997-09-30	VYDAJ	VYBER	15	97092	SLUZBY	\N	\N
1081613	3693	1997-10-31	VYDAJ	VYBER	15	91295	SLUZBY	\N	\N
1081614	3693	1997-11-30	VYDAJ	VYBER	15	95406	SLUZBY	\N	\N
1081615	3693	1997-12-31	VYDAJ	VYBER	15	102090	SLUZBY	\N	\N
1081616	3693	1998-01-31	VYDAJ	VYBER	15	84524	SLUZBY	\N	\N
1081617	3693	1998-02-28	VYDAJ	VYBER	15	98641	SLUZBY	\N	\N
1081618	3693	1998-03-31	VYDAJ	VYBER	15	101719	SLUZBY	\N	\N
1081619	3693	1998-04-30	VYDAJ	VYBER	15	107177	SLUZBY	\N	\N
1081620	3693	1998-05-31	VYDAJ	VYBER	15	50583	SLUZBY	\N	\N
1081621	3693	1998-06-30	VYDAJ	VYBER	15	93076	SLUZBY	\N	\N
1081622	3693	1998-07-31	VYDAJ	VYBER	15	108936	SLUZBY	\N	\N
1081623	3693	1998-08-31	VYDAJ	VYBER	15	113663	SLUZBY	\N	\N
1081624	3693	1998-09-30	VYDAJ	VYBER	15	123795	SLUZBY	\N	\N
1081625	3693	1998-10-31	VYDAJ	VYBER	15	108510	SLUZBY	\N	\N
1081626	3693	1998-11-30	VYDAJ	VYBER	15	88404	SLUZBY	\N	\N
1081627	3693	1993-02-28	PRIJEM	VKLAD	3200	19647	\N	\N	\N
1081628	3693	1993-03-30	VYDAJ	VYBER	5500	29597	\N	\N	\N
1081629	3693	1993-04-29	VYDAJ	VYBER	13200	31928	\N	\N	\N
1081630	3693	1993-05-29	VYDAJ	VYBER	12200	35299	\N	\N	\N
1081631	3693	1993-06-28	VYDAJ	VYBER	15900	42704	\N	\N	\N
1081632	3693	1993-07-28	VYDAJ	VYBER	13100	36195	\N	\N	\N
1081633	3693	1993-08-27	VYDAJ	VYBER	7600	33542	\N	\N	\N
1081634	3693	1993-09-26	VYDAJ	VYBER	5300	29208	\N	\N	\N
1081635	3693	1993-10-26	VYDAJ	VYBER	7400	28392	\N	\N	\N
1081636	3693	1993-11-25	VYDAJ	VYBER	3300	31664	\N	\N	\N
1081637	3693	1993-12-25	VYDAJ	VYBER	11000	32719	\N	\N	\N
1081638	3693	1994-01-24	VYDAJ	VYBER	1600	29791	\N	\N	\N
1081639	3693	1994-02-23	VYDAJ	VYBER	5200	27916	\N	\N	\N
1081640	3693	1994-03-25	VYDAJ	VYBER	2600	27917	\N	\N	\N
1081641	3693	1994-04-24	VYDAJ	VYBER	3700	30771	\N	\N	\N
1081642	3693	1994-05-24	VYDAJ	VYBER	4900	32439	\N	\N	\N
1081643	3693	1994-06-23	VYDAJ	VYBER	2800	34502	\N	\N	\N
1081644	3693	1994-07-23	VYDAJ	VYBER	7500	33563	\N	\N	\N
1081645	3693	1994-08-22	VYDAJ	VYBER	7800	32354	\N	\N	\N
1081646	3693	1994-09-21	VYDAJ	VYBER	4900	32840	\N	\N	\N
1081647	3693	1994-10-21	VYDAJ	VYBER	5900	33513	\N	\N	\N
1081648	3693	1994-11-20	VYDAJ	VYBER	8100	31998	\N	\N	\N
1081649	3693	1994-12-20	VYDAJ	VYBER	7600	38704	\N	\N	\N
1081650	3693	1995-01-19	PRIJEM	VKLAD	3600	27731	\N	\N	\N
1081651	3693	1995-02-18	PRIJEM	VKLAD	1800	25389	\N	\N	\N
1081652	3693	1995-03-20	PRIJEM	VKLAD	3400	30272	\N	\N	\N
1081653	3693	1995-04-19	PRIJEM	VKLAD	1900	34758	\N	\N	\N
1081654	3693	1995-05-19	VYDAJ	VYBER	4100	31704	\N	\N	\N
1081655	3693	1995-06-18	VYDAJ	VYBER	7300	34134	\N	\N	\N
1081656	3693	1995-07-18	VYDAJ	VYBER	500	34562	\N	\N	\N
1081657	3693	1995-08-17	VYDAJ	VYBER	3800	37340	\N	\N	\N
1081658	3693	1995-09-16	VYDAJ	VYBER	4900	39032	\N	\N	\N
1081659	3693	1995-10-16	VYDAJ	VYBER	4200	41433	\N	\N	\N
1081660	3693	1995-11-15	VYDAJ	VYBER	6400	39721	\N	\N	\N
1081661	3693	1995-12-15	VYDAJ	VYBER	7600	46450	\N	\N	\N
1081662	3693	1996-01-14	VYDAJ	VYBER	1600	42749	\N	\N	\N
1081663	3693	1996-02-13	PRIJEM	VKLAD	13100	30332	\N	\N	\N
1081664	3693	1996-03-14	VYDAJ	VYBER	8100	44272	\N	\N	\N
1081665	3693	1996-04-13	PRIJEM	VKLAD	700	36170	\N	\N	\N
1081666	3693	1996-05-13	VYDAJ	VYBER	4600	38210	\N	\N	\N
1081667	3693	1996-06-12	VYDAJ	VYBER	300	44568	\N	\N	\N
1081668	3693	1996-07-12	PRIJEM	VKLAD	9900	35911	\N	\N	\N
1081669	3693	1996-08-11	PRIJEM	VKLAD	2000	44535	\N	\N	\N
1081670	3693	1996-09-10	VYDAJ	VYBER	700	49666	\N	\N	\N
1081671	3693	1996-10-10	VYDAJ	VYBER	3000	53354	\N	\N	\N
1081672	3693	1996-11-09	VYDAJ	VYBER	2800	55227	\N	\N	\N
1081673	3693	1996-12-09	VYDAJ	VYBER	100	61841	\N	\N	\N
1081674	3693	1997-01-08	VYDAJ	VYBER	4800	64000	\N	\N	\N
1081675	3693	1997-02-07	PRIJEM	VKLAD	9000	52497	\N	\N	\N
1081676	3693	1997-03-09	PRIJEM	VKLAD	4900	64088	\N	\N	\N
1081677	3693	1997-04-08	PRIJEM	VKLAD	300	71135	\N	\N	\N
1081678	3693	1997-05-08	VYDAJ	VYBER	6500	71414	\N	\N	\N
1081679	3693	1997-06-07	VYDAJ	VYBER	1300	76901	\N	\N	\N
1081680	3693	1997-07-07	VYDAJ	VYBER	3100	75319	\N	\N	\N
1081681	3693	1997-08-06	VYDAJ	VYBER	1500	78572	\N	\N	\N
1081682	3693	1997-09-05	VYDAJ	VYBER	4100	81281	\N	\N	\N
1081683	3693	1997-10-05	VYDAJ	VYBER	7200	80900	\N	\N	\N
1081684	3693	1997-11-04	VYDAJ	VYBER	2700	88595	\N	\N	\N
1081685	3693	1997-12-04	VYDAJ	VYBER	4200	91206	\N	\N	\N
1081686	3693	1998-01-03	VYDAJ	VYBER	5200	96890	\N	\N	\N
1081687	3693	1998-02-02	PRIJEM	VKLAD	7300	91824	\N	\N	\N
1081688	3693	1998-03-04	PRIJEM	VKLAD	1400	94881	\N	\N	\N
1081689	3693	1998-04-03	VYDAJ	VYBER	1400	100319	\N	\N	\N
1081690	3693	1998-05-03	VYDAJ	VYBER	1300	105877	\N	\N	\N
1081691	3693	1998-05-14	VYDAJ	VYBER	59900	52432	\N	\N	\N
1081692	3693	1998-06-02	PRIJEM	VKLAD	28000	78583	\N	\N	\N
1081693	3693	1998-07-02	PRIJEM	VKLAD	9000	102076	\N	\N	\N
1081694	3693	1998-08-01	PRIJEM	VKLAD	600	109536	\N	\N	\N
1081695	3693	1998-08-31	VYDAJ	VYBER	900	112763	\N	\N	\N
1081696	3693	1998-09-30	VYDAJ	VYBER	21200	102595	\N	\N	\N
1081697	3693	1998-09-30	PRIJEM	VKLAD	8800	123810	\N	\N	\N
1081698	3693	1998-10-30	VYDAJ	VYBER	1000	108050	\N	\N	\N
1081699	3693	1998-11-14	VYDAJ	VYBER	51600	63365	\N	\N	\N
1081700	3693	1998-11-29	PRIJEM	VKLAD	24600	87965	\N	\N	\N
1081772	3694	1996-07-06	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1081779	3694	1996-07-07	PRIJEM	VKLAD	12291	13391	\N	\N	\N
1081780	3694	1996-08-07	PRIJEM	VKLAD	12291	33627	\N	\N	\N
1081781	3694	1996-09-07	PRIJEM	VKLAD	12291	44042	\N	\N	\N
1081782	3694	1996-10-07	PRIJEM	VKLAD	12291	52008	\N	\N	\N
1081783	3694	1996-11-07	PRIJEM	VKLAD	12291	54309	\N	\N	\N
1081784	3694	1996-12-07	PRIJEM	VKLAD	18436	52244	\N	\N	\N
1081785	3694	1997-01-07	PRIJEM	VKLAD	12291	44522	\N	\N	\N
1081786	3694	1997-02-07	PRIJEM	VKLAD	12291	45065	\N	\N	\N
1081787	3694	1997-03-07	PRIJEM	VKLAD	12291	48717	\N	\N	\N
1081788	3694	1997-04-07	PRIJEM	VKLAD	12291	52780	\N	\N	\N
1081789	3694	1997-05-07	PRIJEM	VKLAD	12291	55963	\N	\N	\N
1081790	3694	1997-06-07	PRIJEM	VKLAD	18436	61507	\N	\N	\N
1081791	3694	1997-07-07	PRIJEM	VKLAD	12291	44814	\N	\N	\N
1081792	3694	1997-08-07	PRIJEM	VKLAD	12291	49669	\N	\N	\N
1081793	3694	1997-09-07	PRIJEM	VKLAD	12291	52829	\N	\N	\N
1081794	3694	1997-10-07	PRIJEM	VKLAD	12291	51500	\N	\N	\N
1081795	3694	1997-11-07	PRIJEM	VKLAD	12291	51271	\N	\N	\N
1081796	3694	1997-12-07	PRIJEM	VKLAD	18436	62992	\N	\N	\N
1081797	3694	1998-01-07	PRIJEM	VKLAD	12291	58792	\N	\N	\N
1081798	3694	1998-02-07	PRIJEM	VKLAD	12291	49870	\N	\N	\N
1081799	3694	1998-03-07	PRIJEM	VKLAD	12291	50619	\N	\N	\N
1081800	3694	1998-04-07	PRIJEM	VKLAD	12291	55782	\N	\N	\N
1081801	3694	1998-05-07	PRIJEM	VKLAD	12291	57064	\N	\N	\N
1081802	3694	1998-06-07	PRIJEM	VKLAD	18436	69299	\N	\N	\N
1081803	3694	1998-07-07	PRIJEM	VKLAD	12291	49773	\N	\N	\N
1081804	3694	1998-08-07	PRIJEM	VKLAD	12291	55031	\N	\N	\N
1081805	3694	1998-09-07	PRIJEM	VKLAD	12291	56708	\N	\N	\N
1081806	3694	1998-10-07	PRIJEM	VKLAD	12291	56996	\N	\N	\N
1081807	3694	1998-11-07	PRIJEM	VKLAD	12291	64886	\N	\N	\N
1081808	3694	1998-12-07	PRIJEM	VKLAD	18436	72747	\N	\N	\N
1081819	3694	1996-11-12	VYDAJ	PREVOD NA UCET	4492	49817	SIPO	OP	90951615
1081820	3694	1996-12-12	VYDAJ	PREVOD NA UCET	4492	47752	SIPO	OP	90951615
1081821	3694	1997-01-12	VYDAJ	PREVOD NA UCET	4492	37930	SIPO	OP	90951615
1081822	3694	1997-02-12	VYDAJ	PREVOD NA UCET	4492	40573	SIPO	OP	90951615
1081823	3694	1997-03-12	VYDAJ	PREVOD NA UCET	4492	44225	SIPO	OP	90951615
1081824	3694	1997-04-12	VYDAJ	PREVOD NA UCET	4492	48288	SIPO	OP	90951615
1081825	3694	1997-05-12	VYDAJ	PREVOD NA UCET	4492	51471	SIPO	OP	90951615
1081826	3694	1997-06-12	VYDAJ	PREVOD NA UCET	4492	57015	SIPO	OP	90951615
1081827	3694	1997-07-12	VYDAJ	PREVOD NA UCET	4492	40322	SIPO	OP	90951615
1081828	3694	1997-08-12	VYDAJ	PREVOD NA UCET	4492	45177	SIPO	OP	90951615
1081829	3694	1997-09-12	VYDAJ	PREVOD NA UCET	4492	48337	SIPO	OP	90951615
1081830	3694	1997-10-12	VYDAJ	PREVOD NA UCET	4492	47008	SIPO	OP	90951615
1081831	3694	1997-11-12	VYDAJ	PREVOD NA UCET	4492	46779	SIPO	OP	90951615
1081832	3694	1997-12-12	VYDAJ	PREVOD NA UCET	4492	58500	SIPO	OP	90951615
1081833	3694	1998-01-12	VYDAJ	PREVOD NA UCET	4492	47200	SIPO	OP	90951615
1081834	3694	1998-02-12	VYDAJ	PREVOD NA UCET	4492	45378	SIPO	OP	90951615
1081835	3694	1998-03-12	VYDAJ	PREVOD NA UCET	4492	46127	SIPO	OP	90951615
1081836	3694	1998-04-12	VYDAJ	PREVOD NA UCET	4492	51290	SIPO	OP	90951615
1081837	3694	1998-05-12	VYDAJ	PREVOD NA UCET	4492	52572	SIPO	OP	90951615
1081838	3694	1998-06-12	VYDAJ	PREVOD NA UCET	4492	64807	SIPO	OP	90951615
1081839	3694	1998-07-12	VYDAJ	PREVOD NA UCET	4492	45281	SIPO	OP	90951615
1081840	3694	1998-08-12	VYDAJ	PREVOD NA UCET	4492	50539	SIPO	OP	90951615
1081841	3694	1998-09-12	VYDAJ	PREVOD NA UCET	4492	51416	SIPO	OP	90951615
1081842	3694	1998-10-12	VYDAJ	PREVOD NA UCET	4492	52504	SIPO	OP	90951615
1081843	3694	1998-11-12	VYDAJ	PREVOD NA UCET	4492	60394	SIPO	OP	90951615
1081844	3694	1998-12-12	VYDAJ	PREVOD NA UCET	4492	68255	SIPO	OP	90951615
1081846	3694	1997-06-25	VYDAJ	VYBER	16700	40315	\N	\N	\N
1081847	3694	1998-06-15	VYDAJ	VYBER	25600	39207	\N	\N	\N
1081849	3694	1997-01-05	VYDAJ	VYBER	8300	32231	\N	\N	\N
1081850	3694	1998-01-04	VYDAJ	VYBER	2700	46501	\N	\N	\N
1081851	3694	1996-12-02	VYDAJ	VYBER	2400	44908	\N	\N	\N
1081852	3694	1997-12-25	VYDAJ	VYBER	1700	56800	\N	\N	\N
1081853	3694	1998-12-24	VYDAJ	VYBER	2100	55955	\N	\N	\N
1081860	3694	1997-01-22	VYDAJ	VYBER	700	36330	\N	\N	\N
1081861	3694	1997-01-02	VYDAJ	VYBER	2300	40531	\N	\N	\N
1081862	3694	1997-01-07	VYDAJ	VYBER	1500	43022	\N	\N	\N
1081863	3694	1997-01-17	VYDAJ	VYBER	900	37030	\N	\N	\N
1081864	3694	1997-01-10	VYDAJ	VYBER	600	42422	\N	\N	\N
1081865	3694	1997-01-29	VYDAJ	VYBER	800	34630	\N	\N	\N
1081866	3694	1998-01-29	VYDAJ	VYBER	2600	39200	\N	\N	\N
1081867	3694	1998-01-30	VYDAJ	VYBER	1000	37400	\N	\N	\N
1081868	3694	1998-01-07	VYDAJ	VYBER	2200	56592	\N	\N	\N
1081869	3694	1998-01-22	VYDAJ	VYBER	1900	42600	\N	\N	\N
1081870	3694	1998-01-16	VYDAJ	VYBER	2700	44500	\N	\N	\N
1081871	3694	1998-01-29	VYDAJ	VYBER	800	38400	\N	\N	\N
1081872	3694	1996-12-02	VYDAJ	VYBER	3400	41508	\N	\N	\N
1081875	3694	1996-11-14	VYDAJ	VYBER	2700	47117	\N	\N	\N
1081877	3694	1997-10-17	VYDAJ	VYBER	2400	44608	\N	\N	\N
1081878	3694	1997-01-22	VYDAJ	VYBER	900	35430	\N	\N	\N
1081879	3694	1997-11-04	VYDAJ	VYBER	1700	38980	\N	\N	\N
1081880	3694	1997-03-15	VYDAJ	VYBER	2600	41625	\N	\N	\N
1081881	3694	1997-10-04	VYDAJ	VYBER	1000	39209	\N	\N	\N
1081882	3694	1997-12-26	VYDAJ	VYBER	4700	52100	\N	\N	\N
1081883	3694	1998-09-21	VYDAJ	VYBER	3400	48016	\N	\N	\N
1081884	3694	1998-02-19	VYDAJ	VYBER	1600	39778	\N	\N	\N
1081885	3694	1998-01-10	VYDAJ	VYBER	4900	51692	\N	\N	\N
1081886	3694	1998-09-07	VYDAJ	VYBER	800	55908	\N	\N	\N
1081887	3694	1998-03-29	VYDAJ	VYBER	700	43327	\N	\N	\N
1081888	3694	1998-02-15	VYDAJ	VYBER	4000	41378	\N	\N	\N
1081900	3694	1996-11-30	VYDAJ	VYBER	15	47308	SLUZBY	\N	\N
1081901	3694	1996-12-31	VYDAJ	VYBER	15	47931	SLUZBY	\N	\N
1081902	3694	1997-01-31	VYDAJ	VYBER	15	34774	SLUZBY	\N	\N
1081903	3694	1997-02-28	VYDAJ	VYBER	15	40726	SLUZBY	\N	\N
1081904	3694	1997-03-31	VYDAJ	VYBER	15	41789	SLUZBY	\N	\N
1081905	3694	1997-04-30	VYDAJ	VYBER	15	48472	SLUZBY	\N	\N
1081906	3694	1997-05-31	VYDAJ	VYBER	15	51671	SLUZBY	\N	\N
1081907	3694	1997-06-30	VYDAJ	VYBER	15	40523	SLUZBY	\N	\N
1081908	3694	1997-07-31	VYDAJ	VYBER	15	37378	SLUZBY	\N	\N
1081909	3694	1997-08-31	VYDAJ	VYBER	15	40538	SLUZBY	\N	\N
1081910	3694	1997-09-30	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
1081911	3694	1997-10-31	VYDAJ	VYBER	15	40680	SLUZBY	\N	\N
1081912	3694	1997-11-30	VYDAJ	VYBER	15	44556	SLUZBY	\N	\N
1081913	3694	1997-12-31	VYDAJ	VYBER	15	49201	SLUZBY	\N	\N
1081914	3694	1998-01-31	VYDAJ	VYBER	15	37579	SLUZBY	\N	\N
1081915	3694	1998-02-28	VYDAJ	VYBER	15	38328	SLUZBY	\N	\N
1081916	3694	1998-03-31	VYDAJ	VYBER	15	43491	SLUZBY	\N	\N
1081917	3694	1998-04-30	VYDAJ	VYBER	15	44773	SLUZBY	\N	\N
1081918	3694	1998-05-31	VYDAJ	VYBER	15	50863	SLUZBY	\N	\N
1081919	3694	1998-06-30	VYDAJ	VYBER	15	37482	SLUZBY	\N	\N
1081920	3694	1998-07-31	VYDAJ	VYBER	15	42740	SLUZBY	\N	\N
1081921	3694	1998-08-31	VYDAJ	VYBER	15	44417	SLUZBY	\N	\N
1081922	3694	1998-09-30	VYDAJ	VYBER	15	44705	SLUZBY	\N	\N
1081923	3694	1998-10-31	VYDAJ	VYBER	15	52595	SLUZBY	\N	\N
1081924	3694	1998-11-30	VYDAJ	VYBER	15	54311	SLUZBY	\N	\N
1081925	3694	1996-08-05	PRIJEM	VKLAD	7900	21336	\N	\N	\N
1081926	3694	1996-09-04	VYDAJ	VYBER	2000	31751	\N	\N	\N
1081927	3694	1996-10-04	VYDAJ	VYBER	4500	39717	\N	\N	\N
1081928	3694	1996-11-03	VYDAJ	VYBER	10200	42018	\N	\N	\N
1081929	3694	1996-12-03	VYDAJ	VYBER	7700	33808	\N	\N	\N
1081930	3694	1997-01-02	VYDAJ	VYBER	5100	42831	\N	\N	\N
1081931	3694	1997-02-01	VYDAJ	VYBER	2000	32774	\N	\N	\N
1081932	3694	1997-03-03	VYDAJ	VYBER	4300	36426	\N	\N	\N
1081933	3694	1997-04-02	VYDAJ	VYBER	1300	40489	\N	\N	\N
1081934	3694	1997-05-02	VYDAJ	VYBER	4800	43672	\N	\N	\N
1081935	3694	1997-06-01	VYDAJ	VYBER	8600	43071	\N	\N	\N
1081936	3694	1997-07-01	VYDAJ	VYBER	8000	32523	\N	\N	\N
1081937	3694	1997-07-31	VYDAJ	VYBER	3100	37393	\N	\N	\N
1081938	3694	1997-08-30	VYDAJ	VYBER	4800	40377	\N	\N	\N
1081939	3694	1997-09-29	VYDAJ	VYBER	8300	40037	\N	\N	\N
1081940	3694	1997-10-29	VYDAJ	VYBER	4100	40508	\N	\N	\N
1081941	3694	1997-11-28	VYDAJ	VYBER	2400	44379	\N	\N	\N
1081942	3694	1997-12-28	VYDAJ	VYBER	3100	49000	\N	\N	\N
1081943	3694	1998-01-27	VYDAJ	VYBER	800	41800	\N	\N	\N
1081944	3694	1998-02-26	VYDAJ	VYBER	1600	38178	\N	\N	\N
1081945	3694	1998-03-28	VYDAJ	VYBER	2100	44027	\N	\N	\N
1081946	3694	1998-04-27	VYDAJ	VYBER	6700	44590	\N	\N	\N
1081947	3694	1998-05-27	VYDAJ	VYBER	1900	50672	\N	\N	\N
1081948	3694	1998-06-26	VYDAJ	VYBER	1900	37307	\N	\N	\N
1081949	3694	1998-07-26	VYDAJ	VYBER	2700	42581	\N	\N	\N
1081950	3694	1998-08-25	VYDAJ	VYBER	6300	44239	\N	\N	\N
1081951	3694	1998-09-24	VYDAJ	VYBER	3500	44516	\N	\N	\N
1081952	3694	1998-10-24	VYDAJ	VYBER	100	52404	\N	\N	\N
1081953	3694	1998-11-23	VYDAJ	VYBER	6300	54094	\N	\N	\N
1081954	3694	1998-12-23	VYDAJ	VYBER	10200	58055	\N	\N	\N
1081985	3695	1997-04-02	PRIJEM	VKLAD	700	700	\N	\N	\N
1081989	3695	1997-04-05	PRIJEM	VKLAD	12818	13518	\N	\N	\N
1081990	3695	1997-05-05	PRIJEM	VKLAD	12818	30785	\N	\N	\N
1081991	3695	1997-06-05	PRIJEM	VKLAD	19227	46331	\N	\N	\N
1081992	3695	1997-07-05	PRIJEM	VKLAD	12818	46633	\N	\N	\N
1081993	3695	1997-08-05	PRIJEM	VKLAD	12818	47644	\N	\N	\N
1081994	3695	1997-09-05	PRIJEM	VKLAD	12818	40203	\N	\N	\N
1081995	3695	1997-10-05	PRIJEM	VKLAD	12818	40043	\N	\N	\N
1081996	3695	1997-11-05	PRIJEM	VKLAD	12818	36358	\N	\N	\N
1081997	3695	1997-12-05	PRIJEM	VKLAD	19227	41480	\N	\N	\N
1081998	3695	1998-01-05	PRIJEM	VKLAD	12818	38020	\N	\N	\N
1081999	3695	1998-02-05	PRIJEM	VKLAD	12818	33637	\N	\N	\N
1082000	3695	1998-03-05	PRIJEM	VKLAD	12818	33231	\N	\N	\N
1082001	3695	1998-04-05	PRIJEM	VKLAD	12818	36329	\N	\N	\N
1082002	3695	1998-05-05	PRIJEM	VKLAD	12818	44345	\N	\N	\N
1082003	3695	1998-06-05	PRIJEM	VKLAD	19227	49197	\N	\N	\N
1082004	3695	1998-07-05	PRIJEM	VKLAD	12818	40743	\N	\N	\N
1082005	3695	1998-08-05	PRIJEM	VKLAD	12818	34166	\N	\N	\N
1082006	3695	1998-09-05	PRIJEM	VKLAD	12818	35168	\N	\N	\N
1082007	3695	1998-10-05	PRIJEM	VKLAD	12818	35873	\N	\N	\N
1082008	3695	1998-11-05	PRIJEM	VKLAD	12818	33172	\N	\N	\N
1082009	3695	1998-12-05	PRIJEM	VKLAD	19227	40978	\N	\N	\N
1082017	3695	1997-08-10	VYDAJ	PREVOD NA UCET	8101	39543	SIPO	EF	65356701
1082018	3695	1997-09-10	VYDAJ	PREVOD NA UCET	8101	32102	SIPO	EF	65356701
1082019	3695	1997-10-10	VYDAJ	PREVOD NA UCET	8101	31942	SIPO	EF	65356701
1082020	3695	1997-11-10	VYDAJ	PREVOD NA UCET	8101	28257	SIPO	EF	65356701
1082021	3695	1997-12-10	VYDAJ	PREVOD NA UCET	8101	33379	SIPO	EF	65356701
1082022	3695	1998-01-10	VYDAJ	PREVOD NA UCET	8101	29919	SIPO	EF	65356701
1082023	3695	1998-02-10	VYDAJ	PREVOD NA UCET	8101	25536	SIPO	EF	65356701
1082024	3695	1998-03-10	VYDAJ	PREVOD NA UCET	8101	25130	SIPO	EF	65356701
1082025	3695	1998-04-10	VYDAJ	PREVOD NA UCET	8101	28228	SIPO	EF	65356701
1082026	3695	1998-05-10	VYDAJ	PREVOD NA UCET	8101	36244	SIPO	EF	65356701
1082027	3695	1998-06-10	VYDAJ	PREVOD NA UCET	8101	41096	SIPO	EF	65356701
1082028	3695	1998-07-10	VYDAJ	PREVOD NA UCET	8101	32642	SIPO	EF	65356701
1082029	3695	1998-08-10	VYDAJ	PREVOD NA UCET	8101	26065	SIPO	EF	65356701
1082030	3695	1998-09-10	VYDAJ	PREVOD NA UCET	8101	27067	SIPO	EF	65356701
1082031	3695	1998-10-10	VYDAJ	PREVOD NA UCET	8101	27772	SIPO	EF	65356701
1082032	3695	1998-11-10	VYDAJ	PREVOD NA UCET	8101	25071	SIPO	EF	65356701
1082033	3695	1998-12-10	VYDAJ	PREVOD NA UCET	8101	32877	SIPO	EF	65356701
1082035	3695	1998-06-19	VYDAJ	VYBER	4600	36496	\N	\N	\N
1082037	3695	1998-01-18	VYDAJ	VYBER	4100	25819	\N	\N	\N
1082038	3695	1997-12-03	VYDAJ	VYBER	2400	22253	\N	\N	\N
1082039	3695	1998-12-27	VYDAJ	VYBER	2900	21977	\N	\N	\N
1082046	3695	1998-01-02	VYDAJ	VYBER	1600	27302	\N	\N	\N
1082047	3695	1998-01-24	VYDAJ	VYBER	600	20919	\N	\N	\N
1082048	3695	1998-01-23	VYDAJ	VYBER	2500	21519	\N	\N	\N
1082049	3695	1998-01-04	VYDAJ	VYBER	2100	25202	\N	\N	\N
1082050	3695	1998-01-20	VYDAJ	VYBER	1800	24019	\N	\N	\N
1082051	3695	1998-01-29	VYDAJ	VYBER	1000	20719	\N	\N	\N
1082052	3695	1997-10-11	VYDAJ	VYBER	2900	29042	\N	\N	\N
1082056	3695	1997-09-01	VYDAJ	VYBER	3500	27385	\N	\N	\N
1082058	3695	1997-10-22	VYDAJ	VYBER	3900	25142	\N	\N	\N
1082059	3695	1998-11-24	VYDAJ	VYBER	2300	21671	\N	\N	\N
1082060	3695	1998-10-11	VYDAJ	VYBER	2500	25272	\N	\N	\N
1082061	3695	1998-10-23	VYDAJ	VYBER	3000	22272	\N	\N	\N
1082062	3695	1998-03-17	VYDAJ	VYBER	1400	23730	\N	\N	\N
1082063	3695	1998-02-16	VYDAJ	VYBER	4100	21436	\N	\N	\N
1082072	3695	1997-08-31	VYDAJ	VYBER	15	30885	SLUZBY	\N	\N
1082073	3695	1997-09-30	VYDAJ	VYBER	15	27225	SLUZBY	\N	\N
1082074	3695	1997-10-31	VYDAJ	VYBER	15	23540	SLUZBY	\N	\N
1082075	3695	1997-11-30	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
1082076	3695	1997-12-31	VYDAJ	VYBER	15	28902	SLUZBY	\N	\N
1082077	3695	1998-01-31	VYDAJ	VYBER	15	20819	SLUZBY	\N	\N
1082078	3695	1998-02-28	VYDAJ	VYBER	15	20413	SLUZBY	\N	\N
1082079	3695	1998-03-31	VYDAJ	VYBER	15	23511	SLUZBY	\N	\N
1082080	3695	1998-04-30	VYDAJ	VYBER	15	31527	SLUZBY	\N	\N
1082081	3695	1998-05-31	VYDAJ	VYBER	15	29970	SLUZBY	\N	\N
1082082	3695	1998-06-30	VYDAJ	VYBER	15	27925	SLUZBY	\N	\N
1082083	3695	1998-07-31	VYDAJ	VYBER	15	21348	SLUZBY	\N	\N
1082084	3695	1998-08-31	VYDAJ	VYBER	15	22350	SLUZBY	\N	\N
1082085	3695	1998-09-30	VYDAJ	VYBER	15	23055	SLUZBY	\N	\N
1082086	3695	1998-10-31	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
1082087	3695	1998-11-30	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
1082088	3695	1997-05-02	PRIJEM	VKLAD	4400	17967	\N	\N	\N
1082089	3695	1997-06-01	VYDAJ	VYBER	3800	27104	\N	\N	\N
1082090	3695	1997-07-01	VYDAJ	VYBER	12700	33815	\N	\N	\N
1082091	3695	1997-07-31	VYDAJ	VYBER	12000	34826	\N	\N	\N
1082092	3695	1997-08-30	VYDAJ	VYBER	8800	30743	\N	\N	\N
1082093	3695	1997-09-29	VYDAJ	VYBER	5000	27102	\N	\N	\N
1082094	3695	1997-10-29	VYDAJ	VYBER	1700	23442	\N	\N	\N
1082095	3695	1997-11-28	VYDAJ	VYBER	3700	24557	\N	\N	\N
1082096	3695	1997-12-28	VYDAJ	VYBER	4600	28779	\N	\N	\N
1082097	3695	1998-01-27	PRIJEM	VKLAD	800	21719	\N	\N	\N
1082098	3695	1998-02-26	VYDAJ	VYBER	1100	20336	\N	\N	\N
1082099	3695	1998-03-28	VYDAJ	VYBER	300	23430	\N	\N	\N
1082100	3695	1998-04-27	PRIJEM	VKLAD	3200	31428	\N	\N	\N
1082101	3695	1998-05-27	VYDAJ	VYBER	6400	29844	\N	\N	\N
1082102	3695	1998-06-26	VYDAJ	VYBER	8700	27796	\N	\N	\N
1082103	3695	1998-07-26	VYDAJ	VYBER	11400	21242	\N	\N	\N
1082104	3695	1998-08-25	VYDAJ	VYBER	3800	22265	\N	\N	\N
1082105	3695	1998-09-24	VYDAJ	VYBER	4100	22967	\N	\N	\N
1082106	3695	1998-10-24	VYDAJ	VYBER	2000	20272	\N	\N	\N
1082107	3695	1998-11-23	VYDAJ	VYBER	1100	23971	\N	\N	\N
1082108	3695	1998-12-23	VYDAJ	VYBER	8000	24877	\N	\N	\N
1082130	3696	1996-06-22	PRIJEM	VKLAD	800	800	\N	\N	\N
1082137	3696	1996-07-07	PRIJEM	VKLAD	22378	23178	\N	\N	\N
1082138	3696	1996-08-07	PRIJEM	VKLAD	22378	45687	\N	\N	\N
1082139	3696	1996-09-07	PRIJEM	VKLAD	22378	57680	\N	\N	\N
1082140	3696	1996-10-07	PRIJEM	VKLAD	22378	65216	\N	\N	\N
1082141	3696	1996-11-07	PRIJEM	VKLAD	22378	68377	\N	\N	\N
1082142	3696	1996-12-07	PRIJEM	VKLAD	33567	77661	\N	\N	\N
1082143	3696	1997-01-07	PRIJEM	VKLAD	22378	73091	\N	\N	\N
1082144	3696	1997-02-07	PRIJEM	VKLAD	22378	61081	\N	\N	\N
1082145	3696	1997-03-07	PRIJEM	VKLAD	22378	65947	\N	\N	\N
1082146	3696	1997-04-07	PRIJEM	VKLAD	22378	64630	\N	\N	\N
1082147	3696	1997-05-07	PRIJEM	VKLAD	22378	58796	\N	\N	\N
1082148	3696	1997-06-07	PRIJEM	VKLAD	33567	67233	\N	\N	\N
1082149	3696	1997-07-07	PRIJEM	VKLAD	22378	53054	\N	\N	\N
1082150	3696	1997-08-07	PRIJEM	VKLAD	22378	60492	\N	\N	\N
1082151	3696	1997-09-07	PRIJEM	VKLAD	22378	63148	\N	\N	\N
1082152	3696	1997-10-07	PRIJEM	VKLAD	22378	64711	\N	\N	\N
1082153	3696	1997-11-07	PRIJEM	VKLAD	22378	66782	\N	\N	\N
1082154	3696	1997-12-07	PRIJEM	VKLAD	33567	77949	\N	\N	\N
1082155	3696	1998-01-07	PRIJEM	VKLAD	22378	73867	\N	\N	\N
1082156	3696	1998-02-07	PRIJEM	VKLAD	22378	60050	\N	\N	\N
1082157	3696	1998-03-07	PRIJEM	VKLAD	22378	73322	\N	\N	\N
1082158	3696	1998-04-07	PRIJEM	VKLAD	22378	69522	\N	\N	\N
1082159	3696	1998-05-07	PRIJEM	VKLAD	22378	74035	\N	\N	\N
1082160	3696	1998-06-07	PRIJEM	VKLAD	33567	83637	\N	\N	\N
1082161	3696	1998-07-07	PRIJEM	VKLAD	22378	71850	\N	\N	\N
1082162	3696	1998-08-07	PRIJEM	VKLAD	22378	73952	\N	\N	\N
1082163	3696	1998-09-07	PRIJEM	VKLAD	22378	73247	\N	\N	\N
1082164	3696	1998-10-07	PRIJEM	VKLAD	22378	68428	\N	\N	\N
1082165	3696	1998-11-07	PRIJEM	VKLAD	22378	67299	\N	\N	\N
1082166	3696	1998-12-07	PRIJEM	VKLAD	33567	79565	\N	\N	\N
1082177	3696	1996-11-12	VYDAJ	PREVOD NA UCET	3581	60796	SIPO	KL	77298909
1082178	3696	1996-12-12	VYDAJ	PREVOD NA UCET	3581	73280	SIPO	KL	77298909
1082179	3696	1997-01-12	VYDAJ	PREVOD NA UCET	3581	57810	SIPO	KL	77298909
1082180	3696	1997-02-12	VYDAJ	PREVOD NA UCET	3581	57500	SIPO	KL	77298909
1082181	3696	1997-03-12	VYDAJ	PREVOD NA UCET	3581	62366	SIPO	KL	77298909
1082182	3696	1997-04-12	VYDAJ	PREVOD NA UCET	3581	61049	SIPO	KL	77298909
1082183	3696	1997-05-12	VYDAJ	PREVOD NA UCET	3581	55215	SIPO	KL	77298909
1082184	3696	1997-06-12	VYDAJ	PREVOD NA UCET	3581	63652	SIPO	KL	77298909
1082185	3696	1997-07-12	VYDAJ	PREVOD NA UCET	3581	49473	SIPO	KL	77298909
1082186	3696	1997-08-12	VYDAJ	PREVOD NA UCET	3581	56911	SIPO	KL	77298909
1082187	3696	1997-09-12	VYDAJ	PREVOD NA UCET	3581	59567	SIPO	KL	77298909
1082188	3696	1997-10-12	VYDAJ	PREVOD NA UCET	3581	61130	SIPO	KL	77298909
1082189	3696	1997-11-12	VYDAJ	PREVOD NA UCET	3581	63201	SIPO	KL	77298909
1082190	3696	1997-12-12	VYDAJ	PREVOD NA UCET	3581	71668	SIPO	KL	77298909
1082191	3696	1998-01-12	VYDAJ	PREVOD NA UCET	3581	70286	SIPO	KL	77298909
1082192	3696	1998-02-12	VYDAJ	PREVOD NA UCET	3581	50769	SIPO	KL	77298909
1082193	3696	1998-03-12	VYDAJ	PREVOD NA UCET	3581	69741	SIPO	KL	77298909
1082194	3696	1998-04-12	VYDAJ	PREVOD NA UCET	3581	65941	SIPO	KL	77298909
1082195	3696	1998-05-12	VYDAJ	PREVOD NA UCET	3581	70454	SIPO	KL	77298909
1082196	3696	1998-06-12	VYDAJ	PREVOD NA UCET	3581	61456	SIPO	KL	77298909
1082197	3696	1998-07-12	VYDAJ	PREVOD NA UCET	3581	51369	SIPO	KL	77298909
1082198	3696	1998-08-12	VYDAJ	PREVOD NA UCET	3581	50671	SIPO	KL	77298909
1082199	3696	1998-09-12	VYDAJ	PREVOD NA UCET	3581	47866	SIPO	KL	77298909
1082200	3696	1998-10-12	VYDAJ	PREVOD NA UCET	3581	44747	SIPO	KL	77298909
1082201	3696	1998-11-12	VYDAJ	PREVOD NA UCET	3581	47318	SIPO	KL	77298909
1082202	3696	1998-12-12	VYDAJ	PREVOD NA UCET	3581	52184	SIPO	KL	77298909
1082240	3696	1997-06-13	VYDAJ	VYBER	28300	35352	\N	\N	\N
1082241	3696	1998-06-07	VYDAJ	VYBER	18600	65037	\N	\N	\N
1082243	3696	1997-01-09	VYDAJ	VYBER	9300	63791	\N	\N	\N
1082244	3696	1998-01-21	VYDAJ	VYBER	8600	41686	\N	\N	\N
1082245	3696	1996-12-20	VYDAJ	VYBER	900	52280	\N	\N	\N
1082246	3696	1997-12-06	VYDAJ	VYBER	2600	44382	\N	\N	\N
1082247	3696	1998-12-04	VYDAJ	VYBER KARTOU	1500	45998	\N	\N	0
1082254	3696	1997-01-09	VYDAJ	VYBER	2400	61391	\N	\N	\N
1082255	3696	1997-01-25	VYDAJ	VYBER	1900	38510	\N	\N	\N
1082256	3696	1997-01-01	VYDAJ	VYBER	1300	51213	\N	\N	\N
1082257	3696	1997-01-19	VYDAJ	VYBER	1900	40410	\N	\N	\N
1082258	3696	1997-01-17	VYDAJ	VYBER	2800	55010	\N	\N	\N
1082259	3696	1997-01-02	VYDAJ	VYBER	500	50713	\N	\N	\N
1082260	3696	1998-01-15	VYDAJ	VYBER	1800	52886	\N	\N	\N
1082261	3696	1998-01-14	VYDAJ	VYBER	1600	54686	\N	\N	\N
1082262	3696	1998-01-19	VYDAJ	VYBER	1900	50286	\N	\N	\N
1082263	3696	1998-01-24	VYDAJ	VYBER	1500	40186	\N	\N	\N
1082264	3696	1998-01-27	VYDAJ	VYBER	2700	37486	\N	\N	\N
1082265	3696	1998-01-17	VYDAJ	VYBER	700	52186	\N	\N	\N
1082266	3696	1996-11-08	VYDAJ	VYBER	4000	64377	\N	\N	\N
1082267	3696	1996-12-07	VYDAJ	VYBER	800	76861	\N	\N	\N
1082271	3696	1997-12-25	VYDAJ	VYBER	2600	51268	\N	\N	\N
1082272	3696	1997-04-20	VYDAJ	VYBER	1200	40849	\N	\N	\N
1082273	3696	1997-05-29	VYDAJ	VYBER	2100	33515	\N	\N	\N
1082274	3696	1997-05-19	VYDAJ	VYBER	4100	35615	\N	\N	\N
1082275	3696	1997-12-10	VYDAJ	VYBER	2700	75249	\N	\N	\N
1082276	3696	1997-04-22	VYDAJ	VYBER	4600	36249	\N	\N	\N
1082277	3696	1997-03-29	VYDAJ	VYBER	3100	42066	\N	\N	\N
1082278	3696	1998-04-03	VYDAJ	VYBER	4300	47144	\N	\N	\N
1082279	3696	1998-05-05	VYDAJ	VYBER	1000	51657	\N	\N	\N
1082280	3696	1998-12-09	VYDAJ	VYBER KARTOU	2600	76965	\N	\N	0
1082281	3696	1998-06-26	VYDAJ	VYBER	800	49256	\N	\N	\N
1082282	3696	1998-09-17	VYDAJ	VYBER KARTOU	2000	45866	\N	\N	0
1082283	3696	1998-05-20	VYDAJ	VYBER	2800	49854	\N	\N	\N
1082295	3696	1996-11-30	VYDAJ	VYBER	15	44094	SLUZBY	\N	\N
1082296	3696	1996-12-31	VYDAJ	VYBER	15	52513	SLUZBY	\N	\N
1082297	3696	1997-01-31	VYDAJ	VYBER	15	38703	SLUZBY	\N	\N
1082298	3696	1997-02-28	VYDAJ	VYBER	15	43569	SLUZBY	\N	\N
1082299	3696	1997-03-31	VYDAJ	VYBER	15	42252	SLUZBY	\N	\N
1082300	3696	1997-04-30	VYDAJ	VYBER	15	36418	SLUZBY	\N	\N
1082301	3696	1997-05-31	VYDAJ	VYBER	15	33666	SLUZBY	\N	\N
1082302	3696	1997-06-30	VYDAJ	VYBER	15	30676	SLUZBY	\N	\N
1082303	3696	1997-07-31	VYDAJ	VYBER	15	38114	SLUZBY	\N	\N
1082304	3696	1997-08-31	VYDAJ	VYBER	15	40770	SLUZBY	\N	\N
1082305	3696	1997-09-30	VYDAJ	VYBER	15	42333	SLUZBY	\N	\N
1082306	3696	1997-10-31	VYDAJ	VYBER	15	44404	SLUZBY	\N	\N
1082307	3696	1997-11-30	VYDAJ	VYBER	15	46982	SLUZBY	\N	\N
1082308	3696	1997-12-31	VYDAJ	VYBER	15	51489	SLUZBY	\N	\N
1082309	3696	1998-01-31	VYDAJ	VYBER	15	37672	SLUZBY	\N	\N
1082310	3696	1998-02-28	VYDAJ	VYBER	15	50944	SLUZBY	\N	\N
1082311	3696	1998-03-31	VYDAJ	VYBER	15	51444	SLUZBY	\N	\N
1082312	3696	1998-04-30	VYDAJ	VYBER	15	52657	SLUZBY	\N	\N
1082313	3696	1998-05-31	VYDAJ	VYBER	15	50070	SLUZBY	\N	\N
1082314	3696	1998-06-30	VYDAJ	VYBER	15	49472	SLUZBY	\N	\N
1082315	3696	1998-07-31	VYDAJ	VYBER	15	51574	SLUZBY	\N	\N
1082316	3696	1998-08-31	VYDAJ	VYBER	15	50869	SLUZBY	\N	\N
1082317	3696	1998-09-30	VYDAJ	VYBER	15	46050	SLUZBY	\N	\N
1082318	3696	1998-10-31	VYDAJ	VYBER	15	44921	SLUZBY	\N	\N
1082319	3696	1998-11-30	VYDAJ	VYBER	15	47498	SLUZBY	\N	\N
1082320	3696	1996-07-22	PRIJEM	VKLAD	100	23278	\N	\N	\N
1082321	3696	1996-08-21	VYDAJ	VYBER	10500	35187	\N	\N	\N
1082322	3696	1996-09-20	VYDAJ	VYBER	15000	42680	\N	\N	\N
1082323	3696	1996-10-20	VYDAJ	VYBER	19400	45816	\N	\N	\N
1082324	3696	1996-11-19	VYDAJ	VYBER	16900	43896	\N	\N	\N
1082325	3696	1996-12-19	VYDAJ	VYBER	20100	53180	\N	\N	\N
1082326	3696	1997-01-18	VYDAJ	VYBER	12700	42310	\N	\N	\N
1082327	3696	1997-02-17	VYDAJ	VYBER	14100	43400	\N	\N	\N
1082328	3696	1997-03-19	VYDAJ	VYBER	17200	45166	\N	\N	\N
1082329	3696	1997-04-18	VYDAJ	VYBER	19000	42049	\N	\N	\N
1082330	3696	1997-05-18	VYDAJ	VYBER	15500	39715	\N	\N	\N
1082331	3696	1997-06-17	VYDAJ	VYBER	4800	30552	\N	\N	\N
1082332	3696	1997-07-17	VYDAJ	VYBER	11500	37973	\N	\N	\N
1082333	3696	1997-08-16	VYDAJ	VYBER	16300	40611	\N	\N	\N
1082334	3696	1997-09-15	VYDAJ	VYBER	17400	42167	\N	\N	\N
1082335	3696	1997-10-15	VYDAJ	VYBER	16900	44230	\N	\N	\N
1082336	3696	1997-11-14	VYDAJ	VYBER	16400	46801	\N	\N	\N
1082337	3696	1997-12-14	VYDAJ	VYBER	17800	53868	\N	\N	\N
1082338	3696	1998-01-13	VYDAJ	VYBER	14000	56286	\N	\N	\N
1082339	3696	1998-02-12	VYDAJ	VYBER	5700	54350	\N	\N	\N
1082340	3696	1998-03-14	VYDAJ	VYBER	18500	51241	\N	\N	\N
1082341	3696	1998-04-13	VYDAJ	VYBER	13500	52441	\N	\N	\N
1082342	3696	1998-05-13	VYDAJ	VYBER	17800	52654	\N	\N	\N
1082343	3696	1998-06-12	VYDAJ	VYBER	11400	50056	\N	\N	\N
1082344	3696	1998-07-12	VYDAJ	VYBER	16900	54950	\N	\N	\N
1082345	3696	1998-08-11	VYDAJ	VYBER	19700	54252	\N	\N	\N
1082346	3696	1998-09-10	VYDAJ	VYBER	21800	51447	\N	\N	\N
1082347	3696	1998-10-10	VYDAJ	VYBER	20100	48328	\N	\N	\N
1082348	3696	1998-11-09	VYDAJ	VYBER	16400	50899	\N	\N	\N
1082349	3696	1998-12-09	VYDAJ	VYBER	21200	55765	\N	\N	\N
1082380	3697	1993-04-29	PRIJEM	VKLAD	900	900	\N	\N	\N
1082385	3697	1993-05-08	PRIJEM	VKLAD	13067	13967	\N	\N	\N
1082386	3697	1993-06-08	PRIJEM	VKLAD	19601	36774	\N	\N	\N
1082387	3697	1993-07-08	PRIJEM	VKLAD	13067	42618	\N	\N	\N
1082388	3697	1993-08-08	PRIJEM	VKLAD	13067	48611	\N	\N	\N
1082389	3697	1993-09-08	PRIJEM	VKLAD	13067	51227	\N	\N	\N
1082390	3697	1993-10-08	PRIJEM	VKLAD	13067	46880	\N	\N	\N
1082391	3697	1993-11-08	PRIJEM	VKLAD	13067	46440	\N	\N	\N
1082392	3697	1993-12-08	PRIJEM	VKLAD	19601	51149	\N	\N	\N
1082393	3697	1994-01-08	PRIJEM	VKLAD	13067	47278	\N	\N	\N
1082394	3697	1994-02-08	PRIJEM	VKLAD	13067	39062	\N	\N	\N
1082395	3697	1994-03-08	PRIJEM	VKLAD	13067	43010	\N	\N	\N
1082396	3697	1994-04-08	PRIJEM	VKLAD	13067	42609	\N	\N	\N
1082397	3697	1994-05-08	PRIJEM	VKLAD	13067	38660	\N	\N	\N
1082398	3697	1994-06-08	PRIJEM	VKLAD	19601	51245	\N	\N	\N
1082399	3697	1994-07-08	PRIJEM	VKLAD	13067	38748	\N	\N	\N
1082400	3697	1994-08-08	PRIJEM	VKLAD	13067	42795	\N	\N	\N
1082401	3697	1994-09-08	PRIJEM	VKLAD	13067	46258	\N	\N	\N
1082402	3697	1994-10-08	PRIJEM	VKLAD	13067	44728	\N	\N	\N
1082403	3697	1994-11-08	PRIJEM	VKLAD	13067	44171	\N	\N	\N
1082404	3697	1994-12-08	PRIJEM	VKLAD	19601	54471	\N	\N	\N
1082405	3697	1995-01-08	PRIJEM	VKLAD	13067	42882	\N	\N	\N
1082406	3697	1995-02-08	PRIJEM	VKLAD	13067	35039	\N	\N	\N
1082407	3697	1995-03-08	PRIJEM	VKLAD	13067	43374	\N	\N	\N
1082408	3697	1995-04-08	PRIJEM	VKLAD	13067	44835	\N	\N	\N
1082409	3697	1995-05-08	PRIJEM	VKLAD	13067	42243	\N	\N	\N
1082410	3697	1995-06-08	PRIJEM	VKLAD	19601	50938	\N	\N	\N
1082411	3697	1995-07-08	PRIJEM	VKLAD	13067	48915	\N	\N	\N
1082412	3697	1995-08-08	PRIJEM	VKLAD	13067	45682	\N	\N	\N
1082413	3697	1995-09-08	PRIJEM	VKLAD	13067	39817	\N	\N	\N
1082414	3697	1995-10-08	PRIJEM	VKLAD	13067	41460	\N	\N	\N
1082415	3697	1995-11-08	PRIJEM	VKLAD	13067	40404	\N	\N	\N
1082416	3697	1995-12-08	PRIJEM	VKLAD	19601	40214	\N	\N	\N
1082417	3697	1996-01-08	PRIJEM	VKLAD	13067	34839	\N	\N	\N
1082418	3697	1996-02-08	PRIJEM	VKLAD	13067	27470	\N	\N	\N
1082419	3697	1996-03-08	PRIJEM	VKLAD	13067	29441	\N	\N	\N
1082420	3697	1996-04-08	PRIJEM	VKLAD	13067	30136	\N	\N	\N
1082421	3697	1996-05-08	PRIJEM	VKLAD	13067	28327	\N	\N	\N
1082422	3697	1996-06-08	PRIJEM	VKLAD	19601	34501	\N	\N	\N
1082423	3697	1996-07-08	PRIJEM	VKLAD	13067	28697	\N	\N	\N
1082424	3697	1996-08-08	PRIJEM	VKLAD	13067	27081	\N	\N	\N
1082425	3697	1996-09-08	PRIJEM	VKLAD	13067	34282	\N	\N	\N
1082426	3697	1996-10-08	PRIJEM	VKLAD	13067	27572	\N	\N	\N
1082427	3697	1996-11-08	PRIJEM	VKLAD	13067	34775	\N	\N	\N
1082428	3697	1996-12-08	PRIJEM	VKLAD	19601	35902	\N	\N	\N
1082429	3697	1997-01-08	PRIJEM	VKLAD	13067	29114	\N	\N	\N
1082430	3697	1997-02-08	PRIJEM	VKLAD	13067	29595	\N	\N	\N
1082431	3697	1997-03-08	PRIJEM	VKLAD	13067	36804	\N	\N	\N
1082432	3697	1997-04-08	PRIJEM	VKLAD	13067	39843	\N	\N	\N
1082433	3697	1997-05-08	PRIJEM	VKLAD	13067	29041	\N	\N	\N
1082434	3697	1997-06-08	PRIJEM	VKLAD	19601	41582	\N	\N	\N
1082435	3697	1997-07-08	PRIJEM	VKLAD	13067	28636	\N	\N	\N
1082436	3697	1997-08-08	PRIJEM	VKLAD	13067	31051	\N	\N	\N
1082437	3697	1997-09-08	PRIJEM	VKLAD	13067	38267	\N	\N	\N
1082438	3697	1997-10-08	PRIJEM	VKLAD	13067	40708	\N	\N	\N
1082439	3697	1997-11-08	PRIJEM	VKLAD	13067	29664	\N	\N	\N
1082440	3697	1997-12-08	PRIJEM	VKLAD	19601	40662	\N	\N	\N
1082441	3697	1998-01-08	PRIJEM	VKLAD	13067	45392	\N	\N	\N
1082442	3697	1998-02-08	PRIJEM	VKLAD	13067	35877	\N	\N	\N
1082443	3697	1998-03-08	PRIJEM	VKLAD	13067	40348	\N	\N	\N
1082444	3697	1998-04-08	PRIJEM	VKLAD	13067	47602	\N	\N	\N
1082445	3697	1998-05-08	PRIJEM	VKLAD	13067	54887	\N	\N	\N
1082446	3697	1998-06-08	PRIJEM	VKLAD	19601	39654	\N	\N	\N
1082447	3697	1998-07-08	PRIJEM	VKLAD	13067	41519	\N	\N	\N
1082448	3697	1998-08-08	PRIJEM	VKLAD	13067	44461	\N	\N	\N
1082449	3697	1998-09-08	PRIJEM	VKLAD	13067	45955	\N	\N	\N
1082450	3697	1998-10-08	PRIJEM	VKLAD	13067	53232	\N	\N	\N
1082451	3697	1998-11-08	PRIJEM	VKLAD	13067	59577	\N	\N	\N
1082452	3697	1998-12-08	PRIJEM	VKLAD	19601	73444	\N	\N	\N
1082461	3697	1993-09-09	VYDAJ	PREVOD NA UCET	300	45295	SIPO	GH	99985640
1082462	3697	1993-10-09	VYDAJ	PREVOD NA UCET	300	40948	SIPO	GH	99985640
1082463	3697	1993-11-09	VYDAJ	PREVOD NA UCET	300	40508	SIPO	GH	99985640
1082464	3697	1993-12-09	VYDAJ	PREVOD NA UCET	300	45217	SIPO	GH	99985640
1082465	3697	1994-01-09	VYDAJ	PREVOD NA UCET	300	41346	SIPO	GH	99985640
1082466	3697	1994-02-09	VYDAJ	PREVOD NA UCET	300	33130	SIPO	GH	99985640
1082467	3697	1994-03-09	VYDAJ	PREVOD NA UCET	300	37078	SIPO	GH	99985640
1082468	3697	1994-04-09	VYDAJ	PREVOD NA UCET	300	36677	SIPO	GH	99985640
1082469	3697	1994-05-09	VYDAJ	PREVOD NA UCET	300	32728	SIPO	GH	99985640
1082470	3697	1994-06-09	VYDAJ	PREVOD NA UCET	300	45313	SIPO	GH	99985640
1082471	3697	1994-07-09	VYDAJ	PREVOD NA UCET	300	32816	SIPO	GH	99985640
1082472	3697	1994-08-09	VYDAJ	PREVOD NA UCET	300	36863	SIPO	GH	99985640
1082473	3697	1994-09-09	VYDAJ	PREVOD NA UCET	300	40326	SIPO	GH	99985640
1082474	3697	1994-10-09	VYDAJ	PREVOD NA UCET	300	38796	SIPO	GH	99985640
1082475	3697	1994-11-09	VYDAJ	PREVOD NA UCET	300	38239	SIPO	GH	99985640
1082476	3697	1994-12-09	VYDAJ	PREVOD NA UCET	300	48539	SIPO	GH	99985640
1082477	3697	1995-01-09	VYDAJ	PREVOD NA UCET	300	36950	SIPO	GH	99985640
1082478	3697	1995-02-09	VYDAJ	PREVOD NA UCET	300	29107	SIPO	GH	99985640
1082479	3697	1995-03-09	VYDAJ	PREVOD NA UCET	300	37442	SIPO	GH	99985640
1082480	3697	1995-04-09	VYDAJ	PREVOD NA UCET	300	38903	SIPO	GH	99985640
1082481	3697	1995-05-09	VYDAJ	PREVOD NA UCET	300	36311	SIPO	GH	99985640
1082482	3697	1995-06-09	VYDAJ	PREVOD NA UCET	300	45006	SIPO	GH	99985640
1082483	3697	1995-07-09	VYDAJ	PREVOD NA UCET	300	38183	SIPO	GH	99985640
1082484	3697	1995-08-09	VYDAJ	PREVOD NA UCET	300	39750	SIPO	GH	99985640
1082485	3697	1995-09-09	VYDAJ	PREVOD NA UCET	300	33885	SIPO	GH	99985640
1082486	3697	1995-10-09	VYDAJ	PREVOD NA UCET	300	35528	SIPO	GH	99985640
1082487	3697	1995-11-09	VYDAJ	PREVOD NA UCET	300	34472	SIPO	GH	99985640
1082488	3697	1995-12-09	VYDAJ	PREVOD NA UCET	300	34282	SIPO	GH	99985640
1082489	3697	1996-01-09	VYDAJ	PREVOD NA UCET	300	21067	SIPO	GH	99985640
1082490	3697	1996-02-09	VYDAJ	PREVOD NA UCET	300	21538	SIPO	GH	99985640
1082491	3697	1996-03-09	VYDAJ	PREVOD NA UCET	300	23509	SIPO	GH	99985640
1082492	3697	1996-04-09	VYDAJ	PREVOD NA UCET	300	24204	SIPO	GH	99985640
1082493	3697	1996-05-09	VYDAJ	PREVOD NA UCET	300	22395	SIPO	GH	99985640
1082494	3697	1996-06-09	VYDAJ	PREVOD NA UCET	300	28569	SIPO	GH	99985640
1082495	3697	1996-07-09	VYDAJ	PREVOD NA UCET	300	22765	SIPO	GH	99985640
1082496	3697	1996-08-09	VYDAJ	PREVOD NA UCET	300	21149	SIPO	GH	99985640
1082497	3697	1996-09-09	VYDAJ	PREVOD NA UCET	300	28350	SIPO	GH	99985640
1082498	3697	1996-10-09	VYDAJ	PREVOD NA UCET	300	21640	SIPO	GH	99985640
1082499	3697	1996-11-09	VYDAJ	PREVOD NA UCET	300	28843	SIPO	GH	99985640
1082500	3697	1996-12-09	VYDAJ	PREVOD NA UCET	300	17070	SIPO	GH	99985640
1082501	3697	1997-01-09	VYDAJ	PREVOD NA UCET	300	23182	SIPO	GH	99985640
1082502	3697	1997-02-09	VYDAJ	PREVOD NA UCET	300	23663	SIPO	GH	99985640
1082503	3697	1997-03-09	VYDAJ	PREVOD NA UCET	300	30872	SIPO	GH	99985640
1082504	3697	1997-04-09	VYDAJ	PREVOD NA UCET	300	15911	SIPO	GH	99985640
1082505	3697	1997-05-09	VYDAJ	PREVOD NA UCET	300	23109	SIPO	GH	99985640
1082506	3697	1997-06-09	VYDAJ	PREVOD NA UCET	300	35650	SIPO	GH	99985640
1082507	3697	1997-07-09	VYDAJ	PREVOD NA UCET	300	22704	SIPO	GH	99985640
1082508	3697	1997-08-09	VYDAJ	PREVOD NA UCET	300	25119	SIPO	GH	99985640
1082509	3697	1997-09-09	VYDAJ	PREVOD NA UCET	300	32335	SIPO	GH	99985640
1082510	3697	1997-10-09	VYDAJ	PREVOD NA UCET	300	34776	SIPO	GH	99985640
1082511	3697	1997-11-09	VYDAJ	PREVOD NA UCET	300	23732	SIPO	GH	99985640
1082512	3697	1997-12-09	VYDAJ	PREVOD NA UCET	300	34730	SIPO	GH	99985640
1082513	3697	1998-01-09	VYDAJ	PREVOD NA UCET	300	38140	SIPO	GH	99985640
1082514	3697	1998-02-09	VYDAJ	PREVOD NA UCET	300	29945	SIPO	GH	99985640
1082515	3697	1998-03-09	VYDAJ	PREVOD NA UCET	300	34416	SIPO	GH	99985640
1082516	3697	1998-04-09	VYDAJ	PREVOD NA UCET	300	41670	SIPO	GH	99985640
1082517	3697	1998-05-09	VYDAJ	PREVOD NA UCET	300	48955	SIPO	GH	99985640
1082518	3697	1998-06-09	VYDAJ	PREVOD NA UCET	300	33722	SIPO	GH	99985640
1082519	3697	1998-07-09	VYDAJ	PREVOD NA UCET	300	35587	SIPO	GH	99985640
1082520	3697	1998-08-09	VYDAJ	PREVOD NA UCET	300	38529	SIPO	GH	99985640
1082521	3697	1998-09-09	VYDAJ	PREVOD NA UCET	300	40023	SIPO	GH	99985640
1082522	3697	1998-10-09	VYDAJ	PREVOD NA UCET	300	47300	SIPO	GH	99985640
1082523	3697	1998-11-09	VYDAJ	PREVOD NA UCET	300	53645	SIPO	GH	99985640
1082524	3697	1998-12-09	VYDAJ	PREVOD NA UCET	300	67512	SIPO	GH	99985640
1082533	3697	1993-09-08	VYDAJ	PREVOD NA UCET	5632	45595	 	KL	90743112
1082534	3697	1993-10-08	VYDAJ	PREVOD NA UCET	5632	41248	 	KL	90743112
1082535	3697	1993-11-08	VYDAJ	PREVOD NA UCET	5632	40808	 	KL	90743112
1082536	3697	1993-12-08	VYDAJ	PREVOD NA UCET	5632	45517	 	KL	90743112
1082537	3697	1994-01-08	VYDAJ	PREVOD NA UCET	5632	41646	 	KL	90743112
1082538	3697	1994-02-08	VYDAJ	PREVOD NA UCET	5632	33430	 	KL	90743112
1082539	3697	1994-03-08	VYDAJ	PREVOD NA UCET	5632	37378	 	KL	90743112
1082540	3697	1994-04-08	VYDAJ	PREVOD NA UCET	5632	36977	 	KL	90743112
1082541	3697	1994-05-08	VYDAJ	PREVOD NA UCET	5632	33028	 	KL	90743112
1082542	3697	1994-06-08	VYDAJ	PREVOD NA UCET	5632	45613	 	KL	90743112
1082543	3697	1994-07-08	VYDAJ	PREVOD NA UCET	5632	33116	 	KL	90743112
1082544	3697	1994-08-08	VYDAJ	PREVOD NA UCET	5632	37163	 	KL	90743112
1082545	3697	1994-09-08	VYDAJ	PREVOD NA UCET	5632	40626	 	KL	90743112
1082546	3697	1994-10-08	VYDAJ	PREVOD NA UCET	5632	39096	 	KL	90743112
1082547	3697	1994-11-08	VYDAJ	PREVOD NA UCET	5632	38539	 	KL	90743112
1082548	3697	1994-12-08	VYDAJ	PREVOD NA UCET	5632	48839	 	KL	90743112
1082549	3697	1995-01-08	VYDAJ	PREVOD NA UCET	5632	37250	 	KL	90743112
1082550	3697	1995-02-08	VYDAJ	PREVOD NA UCET	5632	29407	 	KL	90743112
1082551	3697	1995-03-08	VYDAJ	PREVOD NA UCET	5632	37742	 	KL	90743112
1082552	3697	1995-04-08	VYDAJ	PREVOD NA UCET	5632	39203	 	KL	90743112
1082553	3697	1995-05-08	VYDAJ	PREVOD NA UCET	5632	36611	 	KL	90743112
1082554	3697	1995-06-08	VYDAJ	PREVOD NA UCET	5632	45306	 	KL	90743112
1082555	3697	1995-07-08	VYDAJ	PREVOD NA UCET	5632	43283	 	KL	90743112
1082556	3697	1995-08-08	VYDAJ	PREVOD NA UCET	5632	40050	 	KL	90743112
1082557	3697	1995-09-08	VYDAJ	PREVOD NA UCET	5632	34185	 	KL	90743112
1082558	3697	1995-10-08	VYDAJ	PREVOD NA UCET	5632	35828	 	KL	90743112
1082559	3697	1995-11-08	VYDAJ	PREVOD NA UCET	5632	34772	 	KL	90743112
1082560	3697	1995-12-08	VYDAJ	PREVOD NA UCET	5632	34582	 	KL	90743112
1082561	3697	1996-01-08	VYDAJ	PREVOD NA UCET	5632	29207	 	KL	90743112
1082562	3697	1996-02-08	VYDAJ	PREVOD NA UCET	5632	21838	 	KL	90743112
1082563	3697	1996-03-08	VYDAJ	PREVOD NA UCET	5632	23809	 	KL	90743112
1082564	3697	1996-04-08	VYDAJ	PREVOD NA UCET	5632	24504	 	KL	90743112
1082565	3697	1996-05-08	VYDAJ	PREVOD NA UCET	5632	22695	 	KL	90743112
1082566	3697	1996-06-08	VYDAJ	PREVOD NA UCET	5632	28869	 	KL	90743112
1082567	3697	1996-07-08	VYDAJ	PREVOD NA UCET	5632	23065	 	KL	90743112
1082568	3697	1996-08-08	VYDAJ	PREVOD NA UCET	5632	21449	 	KL	90743112
1082569	3697	1996-09-08	VYDAJ	PREVOD NA UCET	5632	28650	 	KL	90743112
1082570	3697	1996-10-08	VYDAJ	PREVOD NA UCET	5632	21940	 	KL	90743112
1082571	3697	1996-11-08	VYDAJ	PREVOD NA UCET	5632	29143	 	KL	90743112
1082572	3697	1996-12-08	VYDAJ	PREVOD NA UCET	5632	30270	 	KL	90743112
1082573	3697	1997-01-08	VYDAJ	PREVOD NA UCET	5632	23482	 	KL	90743112
1082574	3697	1997-02-08	VYDAJ	PREVOD NA UCET	5632	23963	 	KL	90743112
1082575	3697	1997-03-08	VYDAJ	PREVOD NA UCET	5632	31172	 	KL	90743112
1082576	3697	1997-04-08	VYDAJ	PREVOD NA UCET	5632	34211	 	KL	90743112
1082577	3697	1997-05-08	VYDAJ	PREVOD NA UCET	5632	23409	 	KL	90743112
1082578	3697	1997-06-08	VYDAJ	PREVOD NA UCET	5632	35950	 	KL	90743112
1082579	3697	1997-07-08	VYDAJ	PREVOD NA UCET	5632	23004	 	KL	90743112
1082580	3697	1997-08-08	VYDAJ	PREVOD NA UCET	5632	25419	 	KL	90743112
1082581	3697	1997-09-08	VYDAJ	PREVOD NA UCET	5632	32635	 	KL	90743112
1082582	3697	1997-10-08	VYDAJ	PREVOD NA UCET	5632	35076	 	KL	90743112
1082583	3697	1997-11-08	VYDAJ	PREVOD NA UCET	5632	24032	 	KL	90743112
1082584	3697	1997-12-08	VYDAJ	PREVOD NA UCET	5632	35030	 	KL	90743112
1082585	3697	1998-01-08	VYDAJ	PREVOD NA UCET	5632	39760	 	KL	90743112
1082586	3697	1998-02-08	VYDAJ	PREVOD NA UCET	5632	30245	 	KL	90743112
1082587	3697	1998-03-08	VYDAJ	PREVOD NA UCET	5632	34716	 	KL	90743112
1082588	3697	1998-04-08	VYDAJ	PREVOD NA UCET	5632	41970	 	KL	90743112
1082589	3697	1998-05-08	VYDAJ	PREVOD NA UCET	5632	49255	 	KL	90743112
1082590	3697	1998-06-08	VYDAJ	PREVOD NA UCET	5632	34022	 	KL	90743112
1082591	3697	1998-07-08	VYDAJ	PREVOD NA UCET	5632	35887	 	KL	90743112
1082592	3697	1998-08-08	VYDAJ	PREVOD NA UCET	5632	38829	 	KL	90743112
1082593	3697	1998-09-08	VYDAJ	PREVOD NA UCET	5632	40323	 	KL	90743112
1082594	3697	1998-10-08	VYDAJ	PREVOD NA UCET	5632	47600	 	KL	90743112
1082595	3697	1998-11-08	VYDAJ	PREVOD NA UCET	5632	53945	 	KL	90743112
1082596	3697	1998-12-08	VYDAJ	PREVOD NA UCET	5632	67812	 	KL	90743112
1082598	3697	1994-06-19	VYDAJ	VYBER	20160	25153	\N	\N	\N
1082602	3697	1998-06-06	VYDAJ	VYBER	26560	20054	\N	\N	\N
1082604	3697	1994-01-21	VYDAJ	VYBER	2400	32586	\N	\N	\N
1082605	3697	1995-01-05	VYDAJ	VYBER	2240	31375	\N	\N	\N
1082606	3697	1996-01-09	VYDAJ	VYBER	7840	21367	\N	\N	\N
1082608	3697	1998-01-24	VYDAJ	VYBER	5600	25460	\N	\N	\N
1082615	3697	1994-01-19	VYDAJ	VYBER	1440	34986	\N	\N	\N
1082616	3697	1994-01-15	VYDAJ	VYBER	2640	38706	\N	\N	\N
1082617	3697	1994-01-18	VYDAJ	VYBER	1440	36426	\N	\N	\N
1082618	3697	1994-01-16	VYDAJ	VYBER	840	37866	\N	\N	\N
1082619	3697	1994-01-06	VYDAJ	VYBER	2160	34211	\N	\N	\N
1082620	3697	1994-01-04	VYDAJ	VYBER	600	36371	\N	\N	\N
1082621	3697	1995-01-22	VYDAJ	VYBER	840	31690	\N	\N	\N
1082622	3697	1995-01-29	VYDAJ	VYBER	3360	21850	\N	\N	\N
1082623	3697	1995-01-04	VYDAJ	VYBER	3480	33615	\N	\N	\N
1082624	3697	1995-01-23	VYDAJ	VYBER	2760	28930	\N	\N	\N
1082625	3697	1995-01-18	VYDAJ	VYBER	720	36230	\N	\N	\N
1082626	3697	1995-01-06	VYDAJ	VYBER	1560	29815	\N	\N	\N
1082630	3697	1996-01-11	VYDAJ	VYBER	1920	19147	\N	\N	\N
1082633	3697	1997-01-04	VYDAJ	VYBER	1080	16047	\N	\N	\N
1082634	3697	1997-01-25	VYDAJ	VYBER	1320	17782	\N	\N	\N
1082636	3697	1997-01-18	VYDAJ	VYBER	2160	19102	\N	\N	\N
1082637	3697	1997-01-09	VYDAJ	VYBER	1920	21262	\N	\N	\N
1082638	3697	1997-01-25	VYDAJ	VYBER	1320	16462	\N	\N	\N
1082639	3697	1998-01-09	VYDAJ	VYBER	3000	35140	\N	\N	\N
1082640	3697	1998-01-17	VYDAJ	VYBER	1080	31060	\N	\N	\N
1082641	3697	1998-01-08	VYDAJ	VYBER	1320	38440	\N	\N	\N
1082642	3697	1998-01-29	VYDAJ	VYBER	2760	22700	\N	\N	\N
1082643	3697	1998-01-02	VYDAJ	VYBER	1800	32325	\N	\N	\N
1082644	3697	1998-01-10	VYDAJ	VYBER	3000	32140	\N	\N	\N
1082647	3697	1993-09-22	VYDAJ	VYBER	2040	43255	\N	\N	\N
1082648	3697	1993-10-30	VYDAJ	VYBER	1320	33228	\N	\N	\N
1082649	3697	1994-05-01	VYDAJ	VYBER	3000	25593	\N	\N	\N
1082650	3697	1994-03-22	VYDAJ	VYBER	5160	31918	\N	\N	\N
1082651	3697	1994-01-24	VYDAJ	VYBER	1320	31266	\N	\N	\N
1082652	3697	1994-04-10	VYDAJ	VYBER	4200	32477	\N	\N	\N
1082653	3697	1994-10-16	VYDAJ	VYBER	1920	36876	\N	\N	\N
1082654	3697	1995-08-20	VYDAJ	VYBER	5520	26630	\N	\N	\N
1082655	3697	1995-01-28	VYDAJ	VYBER	3720	25210	\N	\N	\N
1082656	3697	1995-12-14	VYDAJ	VYBER	5400	28882	\N	\N	\N
1082657	3697	1995-07-08	VYDAJ	VYBER	4800	38483	\N	\N	\N
1082658	3697	1995-12-01	VYDAJ	VYBER	4560	20613	\N	\N	\N
1082659	3697	1995-05-05	VYDAJ	VYBER	5160	29176	\N	\N	\N
1082660	3697	1996-02-18	VYDAJ	VYBER	720	16318	\N	\N	\N
1082662	3697	1996-06-06	VYDAJ	VYBER	5640	14900	\N	\N	\N
1082664	3697	1996-05-11	VYDAJ	VYBER	1920	20475	\N	\N	\N
1082665	3697	1997-05-27	VYDAJ	VYBER	1200	21909	\N	\N	\N
1082666	3697	1997-03-28	VYDAJ	VYBER	4200	26672	\N	\N	\N
1082667	3697	1997-11-16	VYDAJ	VYBER	1080	22652	\N	\N	\N
1082668	3697	1997-11-28	VYDAJ	VYBER	1680	20972	\N	\N	\N
1082669	3697	1997-09-24	VYDAJ	VYBER	4800	27535	\N	\N	\N
1082670	3697	1997-07-17	VYDAJ	VYBER	4800	17904	\N	\N	\N
1082671	3697	1997-12-28	VYDAJ	VYBER	720	34010	\N	\N	\N
1082672	3697	1998-10-20	VYDAJ	VYBER	960	46340	\N	\N	\N
1082673	3697	1998-07-31	VYDAJ	VYBER	3480	31408	\N	\N	\N
1082674	3697	1998-07-16	VYDAJ	VYBER	840	34747	\N	\N	\N
1082675	3697	1998-08-10	VYDAJ	VYBER	5760	32769	\N	\N	\N
1082676	3697	1998-07-01	VYDAJ	VYBER	5400	28452	\N	\N	\N
1082677	3697	1998-02-18	VYDAJ	VYBER	2760	27185	\N	\N	\N
1082678	3697	1998-06-04	VYDAJ	VYBER	2520	46614	\N	\N	\N
1082688	3697	1993-09-30	VYDAJ	VYBER	15	33813	SLUZBY	\N	\N
1082689	3697	1993-10-31	VYDAJ	VYBER	15	33373	SLUZBY	\N	\N
1082690	3697	1993-11-30	VYDAJ	VYBER	15	31548	SLUZBY	\N	\N
1082691	3697	1993-12-31	VYDAJ	VYBER	15	36971	SLUZBY	\N	\N
1082692	3697	1994-01-31	VYDAJ	VYBER	15	25995	SLUZBY	\N	\N
1082693	3697	1994-02-28	VYDAJ	VYBER	15	29943	SLUZBY	\N	\N
1082694	3697	1994-03-31	VYDAJ	VYBER	15	29542	SLUZBY	\N	\N
1082695	3697	1994-04-30	VYDAJ	VYBER	15	28593	SLUZBY	\N	\N
1082696	3697	1994-05-31	VYDAJ	VYBER	15	31645	SLUZBY	\N	\N
1082697	3697	1994-06-30	VYDAJ	VYBER	15	25681	SLUZBY	\N	\N
1082698	3697	1994-07-31	VYDAJ	VYBER	15	29728	SLUZBY	\N	\N
1082699	3697	1994-08-31	VYDAJ	VYBER	15	33191	SLUZBY	\N	\N
1082700	3697	1994-09-30	VYDAJ	VYBER	15	31661	SLUZBY	\N	\N
1082701	3697	1994-10-31	VYDAJ	VYBER	15	31104	SLUZBY	\N	\N
1082702	3697	1994-11-30	VYDAJ	VYBER	15	34871	SLUZBY	\N	\N
1082703	3697	1994-12-31	VYDAJ	VYBER	15	37095	SLUZBY	\N	\N
1082704	3697	1995-01-31	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
1082705	3697	1995-02-28	VYDAJ	VYBER	15	30307	SLUZBY	\N	\N
1082706	3697	1995-03-31	VYDAJ	VYBER	15	31768	SLUZBY	\N	\N
1082707	3697	1995-04-30	VYDAJ	VYBER	15	34336	SLUZBY	\N	\N
1082708	3697	1995-05-31	VYDAJ	VYBER	15	31337	SLUZBY	\N	\N
1082709	3697	1995-06-30	VYDAJ	VYBER	15	35848	SLUZBY	\N	\N
1082710	3697	1995-07-31	VYDAJ	VYBER	15	32615	SLUZBY	\N	\N
1082711	3697	1995-08-31	VYDAJ	VYBER	15	26750	SLUZBY	\N	\N
1082712	3697	1995-09-30	VYDAJ	VYBER	15	28393	SLUZBY	\N	\N
1082713	3697	1995-10-31	VYDAJ	VYBER	15	27337	SLUZBY	\N	\N
1082714	3697	1995-11-30	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
1082715	3697	1995-12-31	VYDAJ	VYBER	15	21772	SLUZBY	\N	\N
1082716	3697	1996-01-31	VYDAJ	VYBER	15	14403	SLUZBY	\N	\N
1082717	3697	1996-02-29	VYDAJ	VYBER	15	16374	SLUZBY	\N	\N
1082718	3697	1996-03-31	VYDAJ	VYBER	15	17069	SLUZBY	\N	\N
1082719	3697	1996-04-30	VYDAJ	VYBER	15	15260	SLUZBY	\N	\N
1082720	3697	1996-05-31	VYDAJ	VYBER	15	20540	SLUZBY	\N	\N
1082721	3697	1996-06-30	VYDAJ	VYBER	15	15630	SLUZBY	\N	\N
1082722	3697	1996-07-31	VYDAJ	VYBER	15	14014	SLUZBY	\N	\N
1082723	3697	1996-08-31	VYDAJ	VYBER	15	21215	SLUZBY	\N	\N
1082724	3697	1996-09-30	VYDAJ	VYBER	15	14505	SLUZBY	\N	\N
1082725	3697	1996-10-31	VYDAJ	VYBER	15	21708	SLUZBY	\N	\N
1082726	3697	1996-11-30	VYDAJ	VYBER	15	16302	SLUZBY	\N	\N
1082727	3697	1996-12-31	VYDAJ	VYBER	15	17127	SLUZBY	\N	\N
1082728	3697	1997-01-31	VYDAJ	VYBER	15	16528	SLUZBY	\N	\N
1082729	3697	1997-02-28	VYDAJ	VYBER	15	23737	SLUZBY	\N	\N
1082730	3697	1997-03-31	VYDAJ	VYBER	15	26776	SLUZBY	\N	\N
1082731	3697	1997-04-30	VYDAJ	VYBER	15	15974	SLUZBY	\N	\N
1082732	3697	1997-05-31	VYDAJ	VYBER	15	21981	SLUZBY	\N	\N
1082733	3697	1997-06-30	VYDAJ	VYBER	15	35769	SLUZBY	\N	\N
1082734	3697	1997-07-31	VYDAJ	VYBER	15	17984	SLUZBY	\N	\N
1082735	3697	1997-08-31	VYDAJ	VYBER	15	25200	SLUZBY	\N	\N
1082736	3697	1997-09-30	VYDAJ	VYBER	15	27641	SLUZBY	\N	\N
1082737	3697	1997-10-31	VYDAJ	VYBER	15	34897	SLUZBY	\N	\N
1082738	3697	1997-11-30	VYDAJ	VYBER	15	21061	SLUZBY	\N	\N
1082739	3697	1997-12-31	VYDAJ	VYBER	15	34125	SLUZBY	\N	\N
1082740	3697	1998-01-31	VYDAJ	VYBER	15	22810	SLUZBY	\N	\N
1082741	3697	1998-02-28	VYDAJ	VYBER	15	27281	SLUZBY	\N	\N
1082742	3697	1998-03-31	VYDAJ	VYBER	15	34535	SLUZBY	\N	\N
1082743	3697	1998-04-30	VYDAJ	VYBER	15	41820	SLUZBY	\N	\N
1082744	3697	1998-05-31	VYDAJ	VYBER	15	49134	SLUZBY	\N	\N
1082745	3697	1998-06-30	VYDAJ	VYBER	15	33852	SLUZBY	\N	\N
1082746	3697	1998-07-31	VYDAJ	VYBER	15	31394	SLUZBY	\N	\N
1082747	3697	1998-08-31	VYDAJ	VYBER	15	32888	SLUZBY	\N	\N
1082748	3697	1998-09-30	VYDAJ	VYBER	15	40165	SLUZBY	\N	\N
1082749	3697	1998-10-31	VYDAJ	VYBER	15	46510	SLUZBY	\N	\N
1082750	3697	1998-11-30	VYDAJ	VYBER	15	53844	SLUZBY	\N	\N
1082751	3697	1993-05-29	PRIJEM	VKLAD	3200	17167	\N	\N	\N
1082752	3697	1993-06-28	VYDAJ	VYBER	7300	29474	\N	\N	\N
1082753	3697	1993-07-28	VYDAJ	VYBER	7200	35418	\N	\N	\N
1082754	3697	1993-08-27	VYDAJ	VYBER	10600	38011	\N	\N	\N
1082755	3697	1993-09-26	VYDAJ	VYBER	9600	33655	\N	\N	\N
1082756	3697	1993-10-26	VYDAJ	VYBER	6400	34548	\N	\N	\N
1082757	3697	1993-11-25	VYDAJ	VYBER	9100	31408	\N	\N	\N
1082758	3697	1993-12-25	VYDAJ	VYBER	8400	36817	\N	\N	\N
1082759	3697	1994-01-24	VYDAJ	VYBER	5400	25866	\N	\N	\N
1082760	3697	1994-02-23	VYDAJ	VYBER	3300	29830	\N	\N	\N
1082761	3697	1994-03-25	VYDAJ	VYBER	2500	29418	\N	\N	\N
1082762	3697	1994-04-24	VYDAJ	VYBER	4000	28477	\N	\N	\N
1082763	3697	1994-05-24	VYDAJ	VYBER	1200	31528	\N	\N	\N
1082764	3697	1994-06-23	PRIJEM	VKLAD	400	25553	\N	\N	\N
1082765	3697	1994-07-23	VYDAJ	VYBER	3200	29616	\N	\N	\N
1082766	3697	1994-08-22	VYDAJ	VYBER	3800	33063	\N	\N	\N
1082767	3697	1994-09-21	VYDAJ	VYBER	8800	31526	\N	\N	\N
1082768	3697	1994-10-21	VYDAJ	VYBER	5900	30976	\N	\N	\N
1082769	3697	1994-11-20	VYDAJ	VYBER	3500	34739	\N	\N	\N
1082770	3697	1994-12-20	VYDAJ	VYBER	11600	36939	\N	\N	\N
1082771	3697	1995-01-19	VYDAJ	VYBER	3700	32530	\N	\N	\N
1082772	3697	1995-02-18	PRIJEM	VKLAD	1100	30207	\N	\N	\N
1082773	3697	1995-03-20	VYDAJ	VYBER	5800	31642	\N	\N	\N
1082774	3697	1995-04-19	VYDAJ	VYBER	4700	34203	\N	\N	\N
1082775	3697	1995-05-19	VYDAJ	VYBER	5100	31211	\N	\N	\N
1082776	3697	1995-06-18	VYDAJ	VYBER	9300	35706	\N	\N	\N
1082777	3697	1995-07-18	VYDAJ	VYBER	5700	32483	\N	\N	\N
1082778	3697	1995-08-17	VYDAJ	VYBER	7600	32150	\N	\N	\N
1082779	3697	1995-09-16	VYDAJ	VYBER	5600	28285	\N	\N	\N
1082780	3697	1995-10-16	VYDAJ	VYBER	8300	27228	\N	\N	\N
1082781	3697	1995-11-15	VYDAJ	VYBER	9400	25072	\N	\N	\N
1082782	3697	1995-12-15	VYDAJ	VYBER	7200	21682	\N	\N	\N
1082783	3697	1996-01-14	VYDAJ	VYBER	4800	14347	\N	\N	\N
1082784	3697	1996-02-13	VYDAJ	VYBER	4500	17038	\N	\N	\N
1082785	3697	1996-03-14	VYDAJ	VYBER	6500	17009	\N	\N	\N
1082786	3697	1996-04-13	VYDAJ	VYBER	9000	15204	\N	\N	\N
1082787	3697	1996-06-12	VYDAJ	VYBER	13000	15569	\N	\N	\N
1082788	3697	1996-07-12	VYDAJ	VYBER	8800	13965	\N	\N	\N
1082789	3697	1996-09-10	VYDAJ	VYBER	13900	14450	\N	\N	\N
1082790	3697	1996-11-09	VYDAJ	VYBER	12600	16243	\N	\N	\N
1082791	3697	1996-12-09	VYDAJ	VYBER	12900	17370	\N	\N	\N
1082792	3697	1997-04-08	VYDAJ	VYBER	18000	16211	\N	\N	\N
1082793	3697	1997-07-07	VYDAJ	VYBER	20200	15569	\N	\N	\N
1082794	3697	1997-11-04	VYDAJ	VYBER	18300	16597	\N	\N	\N
1082863	3698	1996-03-03	PRIJEM	VKLAD	900	900	\N	\N	\N
1082944	3698	1996-04-02	PRIJEM	VKLAD	11500	12400	\N	\N	\N
1082945	3698	1996-05-02	PRIJEM	VKLAD	6700	19100	\N	\N	\N
1082946	3698	1996-06-01	PRIJEM	VKLAD	3300	22400	\N	\N	\N
1082947	3698	1996-07-01	PRIJEM	VKLAD	1400	23800	\N	\N	\N
1082948	3698	1996-07-31	VYDAJ	VYBER	300	23503	\N	\N	\N
1082949	3698	1996-08-30	VYDAJ	VYBER	200	23303	\N	\N	\N
1082950	3698	1996-09-29	PRIJEM	VKLAD	900	24301	\N	\N	\N
1082951	3698	1996-10-29	VYDAJ	VYBER	1300	23099	\N	\N	\N
1082952	3698	1996-11-28	VYDAJ	VYBER	900	22297	\N	\N	\N
1082953	3698	1996-12-28	VYDAJ	VYBER	1000	21395	\N	\N	\N
1082954	3698	1997-01-27	VYDAJ	VYBER	1300	20193	\N	\N	\N
1082955	3698	1997-02-26	VYDAJ	VYBER	3800	16491	\N	\N	\N
1082956	3698	1997-03-28	PRIJEM	VKLAD	1700	18289	\N	\N	\N
1082957	3698	1997-04-27	VYDAJ	VYBER	3100	15287	\N	\N	\N
1082958	3698	1997-05-27	VYDAJ	VYBER	600	14784	\N	\N	\N
1082959	3698	1997-06-26	VYDAJ	VYBER	1800	13082	\N	\N	\N
1082960	3698	1997-07-26	PRIJEM	VKLAD	1900	15080	\N	\N	\N
1082961	3698	1997-08-25	PRIJEM	VKLAD	500	15678	\N	\N	\N
1082962	3698	1997-09-24	VYDAJ	VYBER	600	15176	\N	\N	\N
1082963	3698	1997-10-24	PRIJEM	VKLAD	1800	17074	\N	\N	\N
1082964	3698	1997-11-23	PRIJEM	VKLAD	200	17372	\N	\N	\N
1082965	3698	1997-12-23	PRIJEM	VKLAD	1700	19170	\N	\N	\N
1082966	3698	1998-01-22	VYDAJ	VYBER	1400	17868	\N	\N	\N
1082967	3698	1998-02-21	PRIJEM	VKLAD	500	18466	\N	\N	\N
1082968	3698	1998-03-23	PRIJEM	VKLAD	2400	20964	\N	\N	\N
1082969	3698	1998-04-22	PRIJEM	VKLAD	1400	22462	\N	\N	\N
1082970	3698	1998-05-22	VYDAJ	VYBER	5500	17060	\N	\N	\N
1082971	3698	1998-06-21	PRIJEM	VKLAD	1800	18957	\N	\N	\N
1082972	3698	1998-07-21	VYDAJ	VYBER	4000	15055	\N	\N	\N
1082973	3698	1998-08-20	VYDAJ	VYBER	2700	12453	\N	\N	\N
1082974	3698	1998-09-19	PRIJEM	VKLAD	2800	15351	\N	\N	\N
1082975	3698	1998-10-19	PRIJEM	VKLAD	2500	17949	\N	\N	\N
1082976	3698	1998-11-18	PRIJEM	VKLAD	1900	19947	\N	\N	\N
1082977	3698	1998-12-18	PRIJEM	VKLAD	2300	22345	\N	\N	\N
1083007	3699	1993-08-05	PRIJEM	VKLAD	600	600	\N	\N	\N
1083015	3699	1993-08-07	PRIJEM	VKLAD	19293	19893	\N	\N	\N
1083016	3699	1993-09-07	PRIJEM	VKLAD	19293	40953	\N	\N	\N
1083017	3699	1993-10-07	PRIJEM	VKLAD	19293	50099	\N	\N	\N
1083018	3699	1993-11-07	PRIJEM	VKLAD	19293	56093	\N	\N	\N
1083019	3699	1993-12-07	PRIJEM	VKLAD	28940	68762	\N	\N	\N
1083020	3699	1994-01-07	PRIJEM	VKLAD	19293	59704	\N	\N	\N
1083021	3699	1994-02-07	PRIJEM	VKLAD	19293	45886	\N	\N	\N
1083022	3699	1994-03-07	PRIJEM	VKLAD	19293	46485	\N	\N	\N
1083023	3699	1994-04-07	PRIJEM	VKLAD	19293	48627	\N	\N	\N
1083024	3699	1994-05-07	PRIJEM	VKLAD	19293	52491	\N	\N	\N
1083025	3699	1994-06-07	PRIJEM	VKLAD	28940	63120	\N	\N	\N
1083026	3699	1994-07-07	PRIJEM	VKLAD	19293	54734	\N	\N	\N
1083027	3699	1994-08-07	PRIJEM	VKLAD	19293	56841	\N	\N	\N
1083028	3699	1994-09-07	PRIJEM	VKLAD	19293	58432	\N	\N	\N
1083029	3699	1994-10-07	PRIJEM	VKLAD	19293	60921	\N	\N	\N
1083030	3699	1994-11-07	PRIJEM	VKLAD	19293	60418	\N	\N	\N
1083031	3699	1994-12-07	PRIJEM	VKLAD	28940	68959	\N	\N	\N
1083032	3699	1995-01-07	PRIJEM	VKLAD	19293	55062	\N	\N	\N
1083033	3699	1995-02-07	PRIJEM	VKLAD	19293	45282	\N	\N	\N
1083034	3699	1995-03-07	PRIJEM	VKLAD	19293	49814	\N	\N	\N
1083035	3699	1995-04-07	PRIJEM	VKLAD	19293	53265	\N	\N	\N
1083036	3699	1995-05-07	PRIJEM	VKLAD	19293	56485	\N	\N	\N
1083037	3699	1995-06-07	PRIJEM	VKLAD	28940	67708	\N	\N	\N
1083038	3699	1995-07-07	PRIJEM	VKLAD	19293	63115	\N	\N	\N
1083039	3699	1995-08-07	PRIJEM	VKLAD	19293	60735	\N	\N	\N
1083040	3699	1995-09-07	PRIJEM	VKLAD	19293	60224	\N	\N	\N
1083041	3699	1995-10-07	PRIJEM	VKLAD	19293	58108	\N	\N	\N
1083042	3699	1995-11-07	PRIJEM	VKLAD	19293	55217	\N	\N	\N
1083043	3699	1995-12-07	PRIJEM	VKLAD	28940	61546	\N	\N	\N
1083044	3699	1996-01-07	PRIJEM	VKLAD	19293	57040	\N	\N	\N
1083045	3699	1996-02-07	PRIJEM	VKLAD	19293	45548	\N	\N	\N
1083046	3699	1996-03-07	PRIJEM	VKLAD	19293	46871	\N	\N	\N
1083047	3699	1996-04-07	PRIJEM	VKLAD	19293	49100	\N	\N	\N
1083048	3699	1996-05-07	PRIJEM	VKLAD	19293	50637	\N	\N	\N
1083049	3699	1996-06-07	PRIJEM	VKLAD	28940	61868	\N	\N	\N
1083050	3699	1996-07-07	PRIJEM	VKLAD	19293	55604	\N	\N	\N
1083051	3699	1996-08-07	PRIJEM	VKLAD	19293	55963	\N	\N	\N
1083052	3699	1996-09-07	PRIJEM	VKLAD	19293	52516	\N	\N	\N
1083053	3699	1996-10-07	PRIJEM	VKLAD	19293	49053	\N	\N	\N
1083054	3699	1996-11-07	PRIJEM	VKLAD	19293	48781	\N	\N	\N
1083055	3699	1996-12-07	PRIJEM	VKLAD	28940	58253	\N	\N	\N
1083056	3699	1997-01-07	PRIJEM	VKLAD	19293	39446	\N	\N	\N
1083057	3699	1997-02-07	PRIJEM	VKLAD	19293	36659	\N	\N	\N
1083058	3699	1997-03-07	PRIJEM	VKLAD	19293	38434	\N	\N	\N
1083059	3699	1997-04-07	PRIJEM	VKLAD	19293	37615	\N	\N	\N
1083060	3699	1997-05-07	PRIJEM	VKLAD	19293	35868	\N	\N	\N
1083061	3699	1997-06-07	PRIJEM	VKLAD	28940	46185	\N	\N	\N
1083062	3699	1997-07-07	PRIJEM	VKLAD	19293	39729	\N	\N	\N
1083063	3699	1997-08-07	PRIJEM	VKLAD	19293	39211	\N	\N	\N
1083064	3699	1997-09-07	PRIJEM	VKLAD	19293	41396	\N	\N	\N
1083065	3699	1997-10-07	PRIJEM	VKLAD	19293	37865	\N	\N	\N
1083066	3699	1997-11-07	PRIJEM	VKLAD	19293	39040	\N	\N	\N
1083067	3699	1997-12-07	PRIJEM	VKLAD	28940	48361	\N	\N	\N
1083068	3699	1998-01-07	PRIJEM	VKLAD	19293	37575	\N	\N	\N
1083069	3699	1998-02-07	PRIJEM	VKLAD	19293	37806	\N	\N	\N
1083070	3699	1998-03-07	PRIJEM	VKLAD	19293	35767	\N	\N	\N
1083071	3699	1998-04-07	PRIJEM	VKLAD	19293	48061	\N	\N	\N
1083072	3699	1998-05-07	PRIJEM	VKLAD	19293	60406	\N	\N	\N
1083073	3699	1998-06-07	PRIJEM	VKLAD	28940	46447	\N	\N	\N
1083074	3699	1998-07-07	PRIJEM	VKLAD	19293	49313	\N	\N	\N
1083075	3699	1998-08-07	PRIJEM	VKLAD	19293	59502	\N	\N	\N
1083076	3699	1998-09-07	PRIJEM	VKLAD	19293	69373	\N	\N	\N
1083077	3699	1998-10-07	PRIJEM	VKLAD	19293	29686	\N	\N	\N
1083078	3699	1998-11-07	PRIJEM	VKLAD	19293	41954	\N	\N	\N
1083079	3699	1998-12-07	PRIJEM	VKLAD	28940	63919	\N	\N	\N
1083091	3699	1993-12-10	VYDAJ	PREVOD NA UCET	7085	61677	SIPO	WX	57787090
1083092	3699	1994-01-10	VYDAJ	PREVOD NA UCET	7085	51539	SIPO	WX	57787090
1083093	3699	1994-02-10	VYDAJ	PREVOD NA UCET	7085	33521	SIPO	WX	57787090
1083094	3699	1994-03-10	VYDAJ	PREVOD NA UCET	7085	39400	SIPO	WX	57787090
1083095	3699	1994-04-10	VYDAJ	PREVOD NA UCET	7085	41542	SIPO	WX	57787090
1083096	3699	1994-05-10	VYDAJ	PREVOD NA UCET	7085	45406	SIPO	WX	57787090
1083097	3699	1994-06-10	VYDAJ	PREVOD NA UCET	7085	41475	SIPO	WX	57787090
1083098	3699	1994-07-10	VYDAJ	PREVOD NA UCET	7085	47649	SIPO	WX	57787090
1083099	3699	1994-08-10	VYDAJ	PREVOD NA UCET	7085	49756	SIPO	WX	57787090
1083100	3699	1994-09-10	VYDAJ	PREVOD NA UCET	7085	51347	SIPO	WX	57787090
1083101	3699	1994-10-10	VYDAJ	PREVOD NA UCET	7085	53836	SIPO	WX	57787090
1083102	3699	1994-11-10	VYDAJ	PREVOD NA UCET	7085	53333	SIPO	WX	57787090
1083103	3699	1994-12-10	VYDAJ	PREVOD NA UCET	7085	57874	SIPO	WX	57787090
1083104	3699	1995-01-10	VYDAJ	PREVOD NA UCET	7085	31857	SIPO	WX	57787090
1083105	3699	1995-02-10	VYDAJ	PREVOD NA UCET	7085	38197	SIPO	WX	57787090
1083106	3699	1995-03-10	VYDAJ	PREVOD NA UCET	7085	42729	SIPO	WX	57787090
1083107	3699	1995-04-10	VYDAJ	PREVOD NA UCET	7085	46180	SIPO	WX	57787090
1083108	3699	1995-05-10	VYDAJ	PREVOD NA UCET	7085	49400	SIPO	WX	57787090
1083109	3699	1995-06-10	VYDAJ	PREVOD NA UCET	7085	60623	SIPO	WX	57787090
1083110	3699	1995-07-10	VYDAJ	PREVOD NA UCET	7085	56030	SIPO	WX	57787090
1083111	3699	1995-08-10	VYDAJ	PREVOD NA UCET	7085	53650	SIPO	WX	57787090
1083112	3699	1995-09-10	VYDAJ	PREVOD NA UCET	7085	53139	SIPO	WX	57787090
1083113	3699	1995-10-10	VYDAJ	PREVOD NA UCET	7085	51023	SIPO	WX	57787090
1083114	3699	1995-11-10	VYDAJ	PREVOD NA UCET	7085	48132	SIPO	WX	57787090
1083115	3699	1995-12-10	VYDAJ	PREVOD NA UCET	7085	54461	SIPO	WX	57787090
1083116	3699	1996-01-10	VYDAJ	PREVOD NA UCET	7085	46835	SIPO	WX	57787090
1083117	3699	1996-02-10	VYDAJ	PREVOD NA UCET	7085	38463	SIPO	WX	57787090
1083118	3699	1996-03-10	VYDAJ	PREVOD NA UCET	7085	39786	SIPO	WX	57787090
1083119	3699	1996-04-10	VYDAJ	PREVOD NA UCET	7085	42015	SIPO	WX	57787090
1083120	3699	1996-05-10	VYDAJ	PREVOD NA UCET	7085	43552	SIPO	WX	57787090
1083121	3699	1996-06-10	VYDAJ	PREVOD NA UCET	7085	54783	SIPO	WX	57787090
1083122	3699	1996-07-10	VYDAJ	PREVOD NA UCET	7085	48519	SIPO	WX	57787090
1083123	3699	1996-08-10	VYDAJ	PREVOD NA UCET	7085	48878	SIPO	WX	57787090
1083124	3699	1996-09-10	VYDAJ	PREVOD NA UCET	7085	45431	SIPO	WX	57787090
1083125	3699	1996-10-10	VYDAJ	PREVOD NA UCET	7085	41968	SIPO	WX	57787090
1083126	3699	1996-11-10	VYDAJ	PREVOD NA UCET	7085	41696	SIPO	WX	57787090
1083127	3699	1996-12-10	VYDAJ	PREVOD NA UCET	7085	51168	SIPO	WX	57787090
1083128	3699	1997-01-10	VYDAJ	PREVOD NA UCET	7085	31761	SIPO	WX	57787090
1083129	3699	1997-02-10	VYDAJ	PREVOD NA UCET	7085	29574	SIPO	WX	57787090
1083130	3699	1997-03-10	VYDAJ	PREVOD NA UCET	7085	31349	SIPO	WX	57787090
1083131	3699	1997-04-10	VYDAJ	PREVOD NA UCET	7085	25610	SIPO	WX	57787090
1083132	3699	1997-05-10	VYDAJ	PREVOD NA UCET	7085	28783	SIPO	WX	57787090
1083133	3699	1997-06-10	VYDAJ	PREVOD NA UCET	7085	39100	SIPO	WX	57787090
1083134	3699	1997-07-10	VYDAJ	PREVOD NA UCET	7085	32644	SIPO	WX	57787090
1083135	3699	1997-08-10	VYDAJ	PREVOD NA UCET	7085	32126	SIPO	WX	57787090
1083136	3699	1997-09-10	VYDAJ	PREVOD NA UCET	7085	34311	SIPO	WX	57787090
1083137	3699	1997-10-10	VYDAJ	PREVOD NA UCET	7085	30780	SIPO	WX	57787090
1083138	3699	1997-11-10	VYDAJ	PREVOD NA UCET	7085	31955	SIPO	WX	57787090
1083139	3699	1997-12-10	VYDAJ	PREVOD NA UCET	7085	41276	SIPO	WX	57787090
1083140	3699	1998-01-10	VYDAJ	PREVOD NA UCET	7085	18450	SIPO	WX	57787090
1083141	3699	1998-02-10	VYDAJ	PREVOD NA UCET	7085	30721	SIPO	WX	57787090
1083142	3699	1998-03-10	VYDAJ	PREVOD NA UCET	7085	28682	SIPO	WX	57787090
1083143	3699	1998-04-10	VYDAJ	PREVOD NA UCET	7085	40976	SIPO	WX	57787090
1083144	3699	1998-05-10	VYDAJ	PREVOD NA UCET	7085	53321	SIPO	WX	57787090
1083145	3699	1998-06-10	VYDAJ	PREVOD NA UCET	7085	39362	SIPO	WX	57787090
1083146	3699	1998-07-10	VYDAJ	PREVOD NA UCET	7085	42228	SIPO	WX	57787090
1083147	3699	1998-08-10	VYDAJ	PREVOD NA UCET	7085	52417	SIPO	WX	57787090
1083148	3699	1998-09-10	VYDAJ	PREVOD NA UCET	7085	10328	SIPO	WX	57787090
1083149	3699	1998-10-10	VYDAJ	PREVOD NA UCET	7085	22601	SIPO	WX	57787090
1083150	3699	1998-11-10	VYDAJ	PREVOD NA UCET	7085	34869	SIPO	WX	57787090
1083151	3699	1998-12-10	VYDAJ	PREVOD NA UCET	7085	9534	SIPO	WX	57787090
1083153	3699	1994-06-08	VYDAJ	VYBER	14560	48560	\N	\N	\N
1083155	3699	1996-06-12	VYDAJ	VYBER	7520	47263	\N	\N	\N
1083157	3699	1998-06-16	VYDAJ	VYBER	9440	29922	\N	\N	\N
1083159	3699	1994-01-27	VYDAJ	VYBER	10880	29619	\N	\N	\N
1083160	3699	1995-01-08	VYDAJ	VYBER	15040	38942	\N	\N	\N
1083161	3699	1996-01-15	VYDAJ	VYBER	11360	35475	\N	\N	\N
1083162	3699	1997-01-01	VYDAJ	VYBER	5440	23393	\N	\N	\N
1083163	3699	1998-01-07	VYDAJ	VYBER	5440	25535	\N	\N	\N
1083165	3699	1994-12-07	VYDAJ	VYBER	4000	64959	\N	\N	\N
1083166	3699	1995-12-27	VYDAJ	VYBER	4480	37581	\N	\N	\N
1083167	3699	1996-12-27	VYDAJ	VYBER	960	28708	\N	\N	\N
1083168	3699	1997-12-15	VYDAJ	VYBER	960	18216	\N	\N	\N
1083176	3699	1994-01-22	VYDAJ	VYBER	2040	43499	\N	\N	\N
1083177	3699	1994-01-28	VYDAJ	VYBER	2400	27219	\N	\N	\N
1083178	3699	1994-01-26	VYDAJ	VYBER	3000	40499	\N	\N	\N
1083179	3699	1994-01-19	VYDAJ	VYBER	600	50939	\N	\N	\N
1083180	3699	1994-01-01	VYDAJ	VYBER	1440	55311	\N	\N	\N
1083181	3699	1994-01-08	VYDAJ	VYBER	1080	58624	\N	\N	\N
1083182	3699	1995-01-05	VYDAJ	VYBER	1200	35769	\N	\N	\N
1083183	3699	1995-01-03	VYDAJ	VYBER	1320	36969	\N	\N	\N
1083184	3699	1995-01-15	VYDAJ	VYBER	3240	28617	\N	\N	\N
1083185	3699	1995-01-25	VYDAJ	VYBER	960	22977	\N	\N	\N
1083186	3699	1995-01-16	VYDAJ	VYBER	3240	25377	\N	\N	\N
1083187	3699	1995-01-20	VYDAJ	VYBER	1440	23937	\N	\N	\N
1083188	3699	1996-01-30	VYDAJ	VYBER	2400	26115	\N	\N	\N
1083189	3699	1996-01-09	VYDAJ	VYBER	1680	53920	\N	\N	\N
1083190	3699	1996-01-07	VYDAJ	VYBER	1440	55600	\N	\N	\N
1083191	3699	1996-01-25	VYDAJ	VYBER	1080	28515	\N	\N	\N
1083192	3699	1996-01-20	VYDAJ	VYBER	960	34515	\N	\N	\N
1083193	3699	1996-01-24	VYDAJ	VYBER	720	29595	\N	\N	\N
1083194	3699	1997-01-26	VYDAJ	VYBER	2640	17281	\N	\N	\N
1083195	3699	1997-01-26	VYDAJ	VYBER	1440	19921	\N	\N	\N
1083196	3699	1997-01-11	VYDAJ	VYBER	1800	29961	\N	\N	\N
1083197	3699	1997-01-09	VYDAJ	VYBER	600	38846	\N	\N	\N
1083198	3699	1997-01-05	VYDAJ	VYBER	2520	20153	\N	\N	\N
1083199	3699	1997-01-02	VYDAJ	VYBER	720	22673	\N	\N	\N
1083200	3699	1998-01-07	VYDAJ	VYBER	3120	30975	\N	\N	\N
1083204	3699	1998-01-07	VYDAJ	VYBER	3480	34095	\N	\N	\N
1083209	3699	1993-12-23	VYDAJ	VYBER	5160	56517	\N	\N	\N
1083212	3699	1994-07-24	VYDAJ	VYBER	2880	44769	\N	\N	\N
1083213	3699	1994-10-26	VYDAJ	VYBER	1800	52036	\N	\N	\N
1083214	3699	1994-12-12	VYDAJ	VYBER	4080	53794	\N	\N	\N
1083215	3699	1994-02-10	VYDAJ	VYBER	5280	40606	\N	\N	\N
1083216	3699	1994-02-19	VYDAJ	VYBER	2160	31361	\N	\N	\N
1083217	3699	1994-03-10	VYDAJ	VYBER	4200	35200	\N	\N	\N
1083218	3699	1994-01-21	VYDAJ	VYBER	5400	45539	\N	\N	\N
1083219	3699	1995-01-08	VYDAJ	VYBER	1080	53982	\N	\N	\N
1083220	3699	1995-04-14	VYDAJ	VYBER	2640	43540	\N	\N	\N
1083221	3699	1995-11-28	VYDAJ	VYBER	2280	32452	\N	\N	\N
1083222	3699	1995-10-11	VYDAJ	VYBER	2760	48263	\N	\N	\N
1083223	3699	1995-07-28	VYDAJ	VYBER	2880	41250	\N	\N	\N
1083224	3699	1996-05-31	VYDAJ	VYBER	1560	32928	\N	\N	\N
1083225	3699	1997-06-13	VYDAJ	VYBER	2640	36460	\N	\N	\N
1083226	3699	1997-04-08	VYDAJ	VYBER	4920	32695	\N	\N	\N
1083227	3699	1997-09-28	VYDAJ	VYBER	5520	18491	\N	\N	\N
1083228	3699	1997-09-12	VYDAJ	VYBER	600	33711	\N	\N	\N
1083229	3699	1998-09-08	VYDAJ	VYBER	2760	17413	\N	\N	\N
1083230	3699	1998-07-27	VYDAJ	VYBER	2160	40068	\N	\N	\N
1083231	3699	1998-08-30	VYDAJ	VYBER	2520	49897	\N	\N	\N
1083244	3699	1993-12-31	VYDAJ	VYBER	15	56751	SLUZBY	\N	\N
1083245	3699	1994-01-31	VYDAJ	VYBER	15	27393	SLUZBY	\N	\N
1083246	3699	1994-02-28	VYDAJ	VYBER	15	31492	SLUZBY	\N	\N
1083247	3699	1994-03-31	VYDAJ	VYBER	15	35334	SLUZBY	\N	\N
1083248	3699	1994-04-30	VYDAJ	VYBER	15	41698	SLUZBY	\N	\N
1083249	3699	1994-05-31	VYDAJ	VYBER	15	45580	SLUZBY	\N	\N
1083250	3699	1994-06-30	VYDAJ	VYBER	15	41641	SLUZBY	\N	\N
1083251	3699	1994-07-31	VYDAJ	VYBER	15	44948	SLUZBY	\N	\N
1083252	3699	1994-08-31	VYDAJ	VYBER	15	39139	SLUZBY	\N	\N
1083253	3699	1994-09-30	VYDAJ	VYBER	15	41628	SLUZBY	\N	\N
1083254	3699	1994-10-31	VYDAJ	VYBER	15	41125	SLUZBY	\N	\N
1083255	3699	1994-11-30	VYDAJ	VYBER	15	40020	SLUZBY	\N	\N
1083256	3699	1994-12-31	VYDAJ	VYBER	15	38289	SLUZBY	\N	\N
1083257	3699	1995-01-31	VYDAJ	VYBER	15	25989	SLUZBY	\N	\N
1083258	3699	1995-02-28	VYDAJ	VYBER	15	30521	SLUZBY	\N	\N
1083259	3699	1995-03-31	VYDAJ	VYBER	15	33972	SLUZBY	\N	\N
1083260	3699	1995-04-30	VYDAJ	VYBER	15	37192	SLUZBY	\N	\N
1083261	3699	1995-05-31	VYDAJ	VYBER	15	38769	SLUZBY	\N	\N
1083262	3699	1995-06-30	VYDAJ	VYBER	15	43822	SLUZBY	\N	\N
1083263	3699	1995-07-31	VYDAJ	VYBER	15	41442	SLUZBY	\N	\N
1083264	3699	1995-08-31	VYDAJ	VYBER	15	40931	SLUZBY	\N	\N
1083265	3699	1995-09-30	VYDAJ	VYBER	15	38815	SLUZBY	\N	\N
1083266	3699	1995-10-31	VYDAJ	VYBER	15	35924	SLUZBY	\N	\N
1083267	3699	1995-11-30	VYDAJ	VYBER	15	32606	SLUZBY	\N	\N
1083268	3699	1995-12-31	VYDAJ	VYBER	15	37747	SLUZBY	\N	\N
1083269	3699	1996-01-31	VYDAJ	VYBER	15	26255	SLUZBY	\N	\N
1083270	3699	1996-02-29	VYDAJ	VYBER	15	27578	SLUZBY	\N	\N
1083271	3699	1996-03-31	VYDAJ	VYBER	15	29807	SLUZBY	\N	\N
1083272	3699	1996-04-30	VYDAJ	VYBER	15	31344	SLUZBY	\N	\N
1083273	3699	1996-05-31	VYDAJ	VYBER	15	34488	SLUZBY	\N	\N
1083274	3699	1996-06-30	VYDAJ	VYBER	15	36311	SLUZBY	\N	\N
1083275	3699	1996-07-31	VYDAJ	VYBER	15	36670	SLUZBY	\N	\N
1083276	3699	1996-08-31	VYDAJ	VYBER	15	33223	SLUZBY	\N	\N
1083277	3699	1996-09-30	VYDAJ	VYBER	15	29760	SLUZBY	\N	\N
1083278	3699	1996-10-31	VYDAJ	VYBER	15	29488	SLUZBY	\N	\N
1083279	3699	1996-11-30	VYDAJ	VYBER	15	29313	SLUZBY	\N	\N
1083280	3699	1996-12-31	VYDAJ	VYBER	15	28833	SLUZBY	\N	\N
1083281	3699	1997-01-31	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
1083282	3699	1997-02-28	VYDAJ	VYBER	15	19141	SLUZBY	\N	\N
1083283	3699	1997-03-31	VYDAJ	VYBER	15	18322	SLUZBY	\N	\N
1083284	3699	1997-04-30	VYDAJ	VYBER	15	16575	SLUZBY	\N	\N
1083285	3699	1997-05-31	VYDAJ	VYBER	15	17246	SLUZBY	\N	\N
1083286	3699	1997-06-30	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
1083287	3699	1997-07-31	VYDAJ	VYBER	15	19918	SLUZBY	\N	\N
1083288	3699	1997-08-31	VYDAJ	VYBER	15	22103	SLUZBY	\N	\N
1083289	3699	1997-09-30	VYDAJ	VYBER	15	18572	SLUZBY	\N	\N
1083290	3699	1997-10-31	VYDAJ	VYBER	15	19747	SLUZBY	\N	\N
1083291	3699	1997-11-30	VYDAJ	VYBER	15	19422	SLUZBY	\N	\N
1083292	3699	1997-12-31	VYDAJ	VYBER	15	18282	SLUZBY	\N	\N
1083293	3699	1998-01-31	VYDAJ	VYBER	15	18513	SLUZBY	\N	\N
1083294	3699	1998-02-28	VYDAJ	VYBER	15	16474	SLUZBY	\N	\N
1083295	3699	1998-03-31	VYDAJ	VYBER	15	28768	SLUZBY	\N	\N
1083296	3699	1998-04-30	VYDAJ	VYBER	15	41113	SLUZBY	\N	\N
1083297	3699	1998-05-31	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
1083298	3699	1998-06-30	VYDAJ	VYBER	15	30020	SLUZBY	\N	\N
1083299	3699	1998-07-31	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
1083300	3699	1998-08-31	VYDAJ	VYBER	15	50080	SLUZBY	\N	\N
1083301	3699	1998-09-30	VYDAJ	VYBER	15	10393	SLUZBY	\N	\N
1083302	3699	1998-10-31	VYDAJ	VYBER	15	22661	SLUZBY	\N	\N
1083303	3699	1998-11-30	VYDAJ	VYBER	15	34979	SLUZBY	\N	\N
1083304	3699	1993-09-04	PRIJEM	VKLAD	1700	21660	\N	\N	\N
1083305	3699	1993-10-04	VYDAJ	VYBER	10300	30806	\N	\N	\N
1083306	3699	1993-11-03	VYDAJ	VYBER	13500	36800	\N	\N	\N
1083307	3699	1993-12-03	VYDAJ	VYBER	16500	39822	\N	\N	\N
1083308	3699	1994-01-02	VYDAJ	VYBER	14900	40411	\N	\N	\N
1083309	3699	1994-02-01	VYDAJ	VYBER	800	26593	\N	\N	\N
1083310	3699	1994-03-03	VYDAJ	VYBER	4300	27192	\N	\N	\N
1083311	3699	1994-04-02	VYDAJ	VYBER	6000	29334	\N	\N	\N
1083312	3699	1994-05-02	VYDAJ	VYBER	8500	33198	\N	\N	\N
1083313	3699	1994-06-01	VYDAJ	VYBER	11400	34180	\N	\N	\N
1083314	3699	1994-07-01	VYDAJ	VYBER	6200	35441	\N	\N	\N
1083315	3699	1994-07-31	VYDAJ	VYBER	7400	37548	\N	\N	\N
1083316	3699	1994-08-30	VYDAJ	VYBER	10800	38956	\N	\N	\N
1083317	3699	1994-09-29	VYDAJ	VYBER	9900	41447	\N	\N	\N
1083318	3699	1994-10-29	VYDAJ	VYBER	11100	40936	\N	\N	\N
1083319	3699	1994-11-28	VYDAJ	VYBER	13500	39833	\N	\N	\N
1083320	3699	1994-12-28	VYDAJ	VYBER	15700	38094	\N	\N	\N
1083321	3699	1995-01-27	PRIJEM	VKLAD	2900	25877	\N	\N	\N
1083322	3699	1995-02-26	VYDAJ	VYBER	7800	30397	\N	\N	\N
1083323	3699	1995-03-28	VYDAJ	VYBER	8900	33829	\N	\N	\N
1083324	3699	1995-04-27	VYDAJ	VYBER	6500	37040	\N	\N	\N
1083325	3699	1995-05-27	VYDAJ	VYBER	10800	38600	\N	\N	\N
1083326	3699	1995-06-26	VYDAJ	VYBER	17000	43623	\N	\N	\N
1083327	3699	1995-07-26	VYDAJ	VYBER	11900	44130	\N	\N	\N
1083328	3699	1995-08-25	VYDAJ	VYBER	12900	40750	\N	\N	\N
1083329	3699	1995-09-24	VYDAJ	VYBER	14500	38639	\N	\N	\N
1083330	3699	1995-10-24	VYDAJ	VYBER	12500	35763	\N	\N	\N
1083331	3699	1995-11-23	VYDAJ	VYBER	13400	34732	\N	\N	\N
1083332	3699	1995-12-23	VYDAJ	VYBER	12400	42061	\N	\N	\N
1083333	3699	1996-01-22	VYDAJ	VYBER	4200	30315	\N	\N	\N
1083334	3699	1996-02-21	VYDAJ	VYBER	11000	27463	\N	\N	\N
1083335	3699	1996-03-22	VYDAJ	VYBER	10100	29686	\N	\N	\N
1083336	3699	1996-04-21	VYDAJ	VYBER	10800	31215	\N	\N	\N
1083337	3699	1996-05-21	VYDAJ	VYBER	9200	34352	\N	\N	\N
1083338	3699	1996-06-20	VYDAJ	VYBER	11100	36163	\N	\N	\N
1083339	3699	1996-07-20	VYDAJ	VYBER	12000	36519	\N	\N	\N
1083340	3699	1996-08-19	VYDAJ	VYBER	15800	33078	\N	\N	\N
1083341	3699	1996-09-18	VYDAJ	VYBER	15800	29631	\N	\N	\N
1083342	3699	1996-10-18	VYDAJ	VYBER	12600	29368	\N	\N	\N
1083343	3699	1996-11-17	VYDAJ	VYBER	12500	29196	\N	\N	\N
1083344	3699	1996-12-17	VYDAJ	VYBER	21500	29668	\N	\N	\N
1083345	3699	1997-01-16	VYDAJ	VYBER	8600	21361	\N	\N	\N
1083346	3699	1997-02-15	VYDAJ	VYBER	10500	19074	\N	\N	\N
1083347	3699	1997-03-17	VYDAJ	VYBER	13100	18249	\N	\N	\N
1083348	3699	1997-04-16	VYDAJ	VYBER	9100	16510	\N	\N	\N
1083349	3699	1997-05-16	VYDAJ	VYBER	11600	17183	\N	\N	\N
1083350	3699	1997-06-15	VYDAJ	VYBER	16100	20360	\N	\N	\N
1083351	3699	1997-07-15	VYDAJ	VYBER	12800	19844	\N	\N	\N
1083352	3699	1997-08-14	VYDAJ	VYBER	10100	22026	\N	\N	\N
1083353	3699	1997-09-13	VYDAJ	VYBER	9700	24011	\N	\N	\N
1083354	3699	1997-10-13	VYDAJ	VYBER	11100	19680	\N	\N	\N
1083355	3699	1997-11-12	VYDAJ	VYBER	12600	19355	\N	\N	\N
1083356	3699	1997-12-12	VYDAJ	VYBER	22100	19176	\N	\N	\N
1083357	3699	1998-02-10	VYDAJ	VYBER	14300	16421	\N	\N	\N
1083358	3699	1998-05-11	VYDAJ	VYBER	35900	17421	\N	\N	\N
1083359	3699	1998-09-08	VYDAJ	VYBER	49200	20173	\N	\N	\N
1083360	3699	1998-12-07	VYDAJ	VYBER	47300	16619	\N	\N	\N
1083426	3700	1997-06-03	PRIJEM	VKLAD	800	800	\N	\N	\N
1083432	3700	1997-06-07	PRIJEM	VKLAD	29217	30017	\N	\N	\N
1083433	3700	1997-07-07	PRIJEM	VKLAD	19478	45295	\N	\N	\N
1083434	3700	1997-08-07	PRIJEM	VKLAD	19478	55150	\N	\N	\N
1083435	3700	1997-09-07	PRIJEM	VKLAD	19478	59549	\N	\N	\N
1083436	3700	1997-10-07	PRIJEM	VKLAD	19478	62672	\N	\N	\N
1083437	3700	1997-11-07	PRIJEM	VKLAD	19478	57247	\N	\N	\N
1083438	3700	1997-12-07	PRIJEM	VKLAD	29217	66302	\N	\N	\N
1083439	3700	1998-01-07	PRIJEM	VKLAD	19478	41381	\N	\N	\N
1083440	3700	1998-02-07	PRIJEM	VKLAD	19478	45508	\N	\N	\N
1083441	3700	1998-03-07	PRIJEM	VKLAD	19478	55186	\N	\N	\N
1083442	3700	1998-04-07	PRIJEM	VKLAD	19478	58803	\N	\N	\N
1083443	3700	1998-05-07	PRIJEM	VKLAD	19478	65536	\N	\N	\N
1083444	3700	1998-06-07	PRIJEM	VKLAD	29217	75449	\N	\N	\N
1083445	3700	1998-07-07	PRIJEM	VKLAD	19478	47414	\N	\N	\N
1083446	3700	1998-08-07	PRIJEM	VKLAD	19478	54299	\N	\N	\N
1083447	3700	1998-09-07	PRIJEM	VKLAD	19478	55168	\N	\N	\N
1083448	3700	1998-10-07	PRIJEM	VKLAD	19478	60981	\N	\N	\N
1083449	3700	1998-11-07	PRIJEM	VKLAD	19478	69521	\N	\N	\N
1083450	3700	1998-12-07	PRIJEM	VKLAD	29217	75201	\N	\N	\N
1083460	3700	1997-10-12	VYDAJ	PREVOD NA UCET	5230	57442	SIPO	GH	41282796
1083461	3700	1997-11-12	VYDAJ	PREVOD NA UCET	5230	50937	SIPO	GH	41282796
1083462	3700	1997-12-12	VYDAJ	PREVOD NA UCET	5230	61072	SIPO	GH	41282796
1083463	3700	1998-01-12	VYDAJ	PREVOD NA UCET	5230	36151	SIPO	GH	41282796
1083464	3700	1998-02-12	VYDAJ	PREVOD NA UCET	5230	40278	SIPO	GH	41282796
1083465	3700	1998-03-12	VYDAJ	PREVOD NA UCET	5230	49956	SIPO	GH	41282796
1083466	3700	1998-04-12	VYDAJ	PREVOD NA UCET	5230	53573	SIPO	GH	41282796
1083467	3700	1998-05-12	VYDAJ	PREVOD NA UCET	5230	60306	SIPO	GH	41282796
1083468	3700	1998-06-12	VYDAJ	PREVOD NA UCET	5230	70219	SIPO	GH	41282796
1083469	3700	1998-07-12	VYDAJ	PREVOD NA UCET	5230	42184	SIPO	GH	41282796
1083470	3700	1998-08-12	VYDAJ	PREVOD NA UCET	5230	49069	SIPO	GH	41282796
1083471	3700	1998-09-12	VYDAJ	PREVOD NA UCET	5230	49938	SIPO	GH	41282796
1083472	3700	1998-10-12	VYDAJ	PREVOD NA UCET	5230	55751	SIPO	GH	41282796
1083473	3700	1998-11-12	VYDAJ	PREVOD NA UCET	5230	64291	SIPO	GH	41282796
1083474	3700	1998-12-12	VYDAJ	PREVOD NA UCET	5230	69971	SIPO	GH	41282796
1083476	3700	1998-06-18	VYDAJ	VYBER	47840	22379	\N	\N	\N
1083478	3700	1998-01-03	VYDAJ	VYBER	13920	24543	\N	\N	\N
1083479	3700	1997-12-18	VYDAJ	VYBER	4640	56432	\N	\N	\N
1083480	3700	1998-12-04	VYDAJ	VYBER	3520	45984	\N	\N	\N
1083487	3700	1998-01-01	VYDAJ	VYBER	2760	38463	\N	\N	\N
1083488	3700	1998-01-06	VYDAJ	VYBER	2640	21903	\N	\N	\N
1083489	3700	1998-01-17	VYDAJ	VYBER	1440	31351	\N	\N	\N
1083490	3700	1998-01-29	VYDAJ	VYBER	2400	25911	\N	\N	\N
1083491	3700	1998-01-23	VYDAJ	VYBER	2040	29311	\N	\N	\N
1083492	3700	1998-01-14	VYDAJ	VYBER	3360	32791	\N	\N	\N
1083493	3700	1997-11-07	VYDAJ	VYBER	1080	56167	\N	\N	\N
1083499	3700	1997-11-27	VYDAJ	VYBER	2040	48897	\N	\N	\N
1083500	3700	1998-08-30	VYDAJ	VYBER	5040	35529	\N	\N	\N
1083501	3700	1998-07-31	VYDAJ	VYBER	5160	34835	\N	\N	\N
1083502	3700	1998-05-25	VYDAJ	VYBER	5880	54426	\N	\N	\N
1083503	3700	1998-11-25	VYDAJ	VYBER	1080	49291	\N	\N	\N
1083504	3700	1998-07-22	VYDAJ	VYBER	2040	40144	\N	\N	\N
1083505	3700	1998-11-15	VYDAJ	VYBER	4320	59971	\N	\N	\N
1083516	3700	1997-10-31	VYDAJ	VYBER	15	37769	SLUZBY	\N	\N
1083517	3700	1997-11-30	VYDAJ	VYBER	15	49085	SLUZBY	\N	\N
1083518	3700	1997-12-31	VYDAJ	VYBER	15	41223	SLUZBY	\N	\N
1083519	3700	1998-01-31	VYDAJ	VYBER	15	26030	SLUZBY	\N	\N
1083520	3700	1998-02-28	VYDAJ	VYBER	15	35708	SLUZBY	\N	\N
1083521	3700	1998-03-31	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
1083522	3700	1998-04-30	VYDAJ	VYBER	15	46058	SLUZBY	\N	\N
1083523	3700	1998-05-31	VYDAJ	VYBER	15	46232	SLUZBY	\N	\N
1083524	3700	1998-06-30	VYDAJ	VYBER	15	27936	SLUZBY	\N	\N
1083525	3700	1998-07-31	VYDAJ	VYBER	15	34821	SLUZBY	\N	\N
1083526	3700	1998-08-31	VYDAJ	VYBER	15	35690	SLUZBY	\N	\N
1083527	3700	1998-09-30	VYDAJ	VYBER	15	41503	SLUZBY	\N	\N
1083528	3700	1998-10-31	VYDAJ	VYBER	15	50043	SLUZBY	\N	\N
1083529	3700	1998-11-30	VYDAJ	VYBER	15	49504	SLUZBY	\N	\N
1083530	3700	1997-07-03	VYDAJ	VYBER	4300	25817	\N	\N	\N
1083531	3700	1997-08-02	VYDAJ	VYBER	9800	35672	\N	\N	\N
1083532	3700	1997-09-01	VYDAJ	VYBER	15300	40071	\N	\N	\N
1083533	3700	1997-10-01	VYDAJ	VYBER	16600	43194	\N	\N	\N
1083534	3700	1997-10-31	VYDAJ	VYBER	19900	37784	\N	\N	\N
1083535	3700	1997-11-30	VYDAJ	VYBER	12000	37085	\N	\N	\N
1083536	3700	1997-12-30	VYDAJ	VYBER	15400	41032	\N	\N	\N
1083537	3700	1998-01-29	VYDAJ	VYBER	1000	28311	\N	\N	\N
1083538	3700	1998-02-28	VYDAJ	VYBER	4700	35722	\N	\N	\N
1083539	3700	1998-03-30	VYDAJ	VYBER	10800	39156	\N	\N	\N
1083540	3700	1998-04-29	VYDAJ	VYBER	7700	45873	\N	\N	\N
1083541	3700	1998-05-29	VYDAJ	VYBER	8400	46026	\N	\N	\N
1083542	3700	1998-06-28	PRIJEM	VKLAD	5400	27779	\N	\N	\N
1083543	3700	1998-07-28	VYDAJ	VYBER	300	39844	\N	\N	\N
1083544	3700	1998-08-27	VYDAJ	VYBER	8500	40569	\N	\N	\N
1083545	3700	1998-09-26	VYDAJ	VYBER	8600	41338	\N	\N	\N
1083546	3700	1998-10-26	VYDAJ	VYBER	5900	49851	\N	\N	\N
1083547	3700	1998-11-25	VYDAJ	VYBER	9600	50371	\N	\N	\N
1083567	3701	1993-10-06	PRIJEM	VKLAD	800	800	\N	\N	\N
1083578	3701	1993-11-06	PRIJEM	PREVOD Z UCTU	6192	6992	DUCHOD	MN	65036064
1083579	3701	1993-12-06	PRIJEM	PREVOD Z UCTU	6192	13184	DUCHOD	MN	65036064
1083580	3701	1994-01-06	PRIJEM	PREVOD Z UCTU	6192	19376	DUCHOD	MN	65036064
1083581	3701	1994-02-06	PRIJEM	PREVOD Z UCTU	6192	25568	DUCHOD	MN	65036064
1083582	3701	1994-03-06	PRIJEM	PREVOD Z UCTU	6192	29760	DUCHOD	MN	65036064
1083583	3701	1994-04-06	PRIJEM	PREVOD Z UCTU	6192	30090	DUCHOD	MN	65036064
1083584	3701	1994-05-06	PRIJEM	PREVOD Z UCTU	6192	30818	DUCHOD	MN	65036064
1083585	3701	1994-06-06	PRIJEM	PREVOD Z UCTU	6192	27118	DUCHOD	MN	65036064
1083586	3701	1994-07-06	PRIJEM	PREVOD Z UCTU	6192	22208	DUCHOD	MN	65036064
1083587	3701	1994-08-06	PRIJEM	PREVOD Z UCTU	6192	25617	DUCHOD	MN	65036064
1083588	3701	1994-09-06	PRIJEM	PREVOD Z UCTU	6192	29040	DUCHOD	MN	65036064
1083589	3701	1994-10-06	PRIJEM	PREVOD Z UCTU	6192	27896	DUCHOD	MN	65036064
1083590	3701	1994-11-06	PRIJEM	PREVOD Z UCTU	6192	31036	DUCHOD	MN	65036064
1083591	3701	1994-12-06	PRIJEM	PREVOD Z UCTU	6192	31081	DUCHOD	MN	65036064
1083592	3701	1995-01-06	PRIJEM	PREVOD Z UCTU	6192	32097	DUCHOD	MN	65036064
1083593	3701	1995-02-06	PRIJEM	PREVOD Z UCTU	6192	32190	DUCHOD	MN	65036064
1083594	3701	1995-03-06	PRIJEM	PREVOD Z UCTU	6192	32639	DUCHOD	MN	65036064
1083595	3701	1995-04-06	PRIJEM	PREVOD Z UCTU	6192	33769	DUCHOD	MN	65036064
1083596	3701	1995-05-06	PRIJEM	PREVOD Z UCTU	6192	35432	DUCHOD	MN	65036064
1083597	3701	1995-06-06	PRIJEM	PREVOD Z UCTU	6192	36995	DUCHOD	MN	65036064
1083598	3701	1995-07-06	PRIJEM	PREVOD Z UCTU	6192	28860	DUCHOD	MN	65036064
1083599	3701	1995-08-06	PRIJEM	PREVOD Z UCTU	6192	32296	DUCHOD	MN	65036064
1083600	3701	1995-09-06	PRIJEM	PREVOD Z UCTU	6192	35747	DUCHOD	MN	65036064
1083601	3701	1995-10-06	PRIJEM	PREVOD Z UCTU	6192	33430	DUCHOD	MN	65036064
1083602	3701	1995-11-06	PRIJEM	PREVOD Z UCTU	6192	36893	DUCHOD	MN	65036064
1083603	3701	1995-12-06	PRIJEM	PREVOD Z UCTU	6192	39161	DUCHOD	MN	65036064
1083604	3701	1996-01-06	PRIJEM	PREVOD Z UCTU	6192	40589	DUCHOD	MN	65036064
1083605	3701	1996-02-06	PRIJEM	PREVOD Z UCTU	6192	37766	DUCHOD	MN	65036064
1083606	3701	1996-03-06	PRIJEM	PREVOD Z UCTU	6192	38336	DUCHOD	MN	65036064
1083607	3701	1996-04-06	PRIJEM	PREVOD Z UCTU	6192	38806	DUCHOD	MN	65036064
1083608	3701	1996-05-06	PRIJEM	PREVOD Z UCTU	6192	39242	DUCHOD	MN	65036064
1083609	3701	1996-06-06	PRIJEM	PREVOD Z UCTU	6192	42721	DUCHOD	MN	65036064
1083610	3701	1996-07-06	PRIJEM	PREVOD Z UCTU	6192	30802	DUCHOD	MN	65036064
1083611	3701	1996-08-06	PRIJEM	PREVOD Z UCTU	6192	34246	DUCHOD	MN	65036064
1083612	3701	1996-09-06	PRIJEM	PREVOD Z UCTU	6192	36503	DUCHOD	MN	65036064
1083613	3701	1996-10-06	PRIJEM	PREVOD Z UCTU	6192	37366	DUCHOD	MN	65036064
1083614	3701	1996-11-06	PRIJEM	PREVOD Z UCTU	6192	39393	DUCHOD	MN	65036064
1083615	3701	1996-12-06	PRIJEM	PREVOD Z UCTU	6192	34998	DUCHOD	MN	65036064
1083616	3701	1997-01-06	PRIJEM	PREVOD Z UCTU	6192	37106	DUCHOD	MN	65036064
1083617	3701	1997-02-06	PRIJEM	PREVOD Z UCTU	6192	33403	DUCHOD	MN	65036064
1083618	3701	1997-03-06	PRIJEM	PREVOD Z UCTU	6192	36856	DUCHOD	MN	65036064
1083619	3701	1997-04-06	PRIJEM	PREVOD Z UCTU	6192	39844	DUCHOD	MN	65036064
1083620	3701	1997-05-06	PRIJEM	PREVOD Z UCTU	6192	41964	DUCHOD	MN	65036064
1083621	3701	1997-06-06	PRIJEM	PREVOD Z UCTU	6192	27904	DUCHOD	MN	65036064
1083622	3701	1997-07-06	PRIJEM	PREVOD Z UCTU	6192	28543	DUCHOD	MN	65036064
1083623	3701	1997-08-06	PRIJEM	PREVOD Z UCTU	6192	31976	DUCHOD	MN	65036064
1083624	3701	1997-09-06	PRIJEM	PREVOD Z UCTU	6192	35424	DUCHOD	MN	65036064
1083625	3701	1997-10-06	PRIJEM	PREVOD Z UCTU	6192	38886	DUCHOD	MN	65036064
1083626	3701	1997-11-06	PRIJEM	PREVOD Z UCTU	6192	42362	DUCHOD	MN	65036064
1083627	3701	1997-12-06	PRIJEM	PREVOD Z UCTU	6192	45853	DUCHOD	MN	65036064
1083628	3701	1998-01-06	PRIJEM	PREVOD Z UCTU	6192	48207	DUCHOD	MN	65036064
1083629	3701	1998-02-06	PRIJEM	PREVOD Z UCTU	6192	44663	DUCHOD	MN	65036064
1083630	3701	1998-03-06	PRIJEM	PREVOD Z UCTU	6192	48162	DUCHOD	MN	65036064
1083631	3701	1998-04-06	PRIJEM	PREVOD Z UCTU	6192	48556	DUCHOD	MN	65036064
1083632	3701	1998-05-06	PRIJEM	PREVOD Z UCTU	6192	52072	DUCHOD	MN	65036064
1083633	3701	1998-06-06	PRIJEM	PREVOD Z UCTU	6192	55603	DUCHOD	MN	65036064
1083634	3701	1998-07-06	PRIJEM	PREVOD Z UCTU	6192	53438	DUCHOD	MN	65036064
1083635	3701	1998-08-06	PRIJEM	PREVOD Z UCTU	6192	56574	DUCHOD	MN	65036064
1083636	3701	1998-09-06	PRIJEM	PREVOD Z UCTU	6192	59563	DUCHOD	MN	65036064
1083637	3701	1998-10-06	PRIJEM	PREVOD Z UCTU	6192	58112	DUCHOD	MN	65036064
1083638	3701	1998-11-06	PRIJEM	PREVOD Z UCTU	6192	55402	DUCHOD	MN	65036064
1083639	3701	1998-12-06	PRIJEM	PREVOD Z UCTU	6192	53637	DUCHOD	MN	65036064
1083654	3701	1994-03-13	VYDAJ	PREVOD NA UCET	2844	26916	SIPO	MN	4635501
1083655	3701	1994-04-13	VYDAJ	PREVOD NA UCET	2844	27246	SIPO	MN	4635501
1083656	3701	1994-05-13	VYDAJ	PREVOD NA UCET	2844	24374	SIPO	MN	4635501
1083657	3701	1994-06-13	VYDAJ	PREVOD NA UCET	2844	22674	SIPO	MN	4635501
1083658	3701	1994-07-13	VYDAJ	PREVOD NA UCET	2844	19364	SIPO	MN	4635501
1083659	3701	1994-08-13	VYDAJ	PREVOD NA UCET	2844	22773	SIPO	MN	4635501
1083660	3701	1994-09-13	VYDAJ	PREVOD NA UCET	2844	26196	SIPO	MN	4635501
1083661	3701	1994-10-13	VYDAJ	PREVOD NA UCET	2844	25052	SIPO	MN	4635501
1083662	3701	1994-11-13	VYDAJ	PREVOD NA UCET	2844	28192	SIPO	MN	4635501
1083663	3701	1994-12-13	VYDAJ	PREVOD NA UCET	2844	27107	SIPO	MN	4635501
1083664	3701	1995-01-13	VYDAJ	PREVOD NA UCET	2844	29253	SIPO	MN	4635501
1083665	3701	1995-02-13	VYDAJ	PREVOD NA UCET	2844	29346	SIPO	MN	4635501
1083666	3701	1995-03-13	VYDAJ	PREVOD NA UCET	2844	29795	SIPO	MN	4635501
1083667	3701	1995-04-13	VYDAJ	PREVOD NA UCET	2844	30925	SIPO	MN	4635501
1083668	3701	1995-05-13	VYDAJ	PREVOD NA UCET	2844	32588	SIPO	MN	4635501
1083669	3701	1995-06-13	VYDAJ	PREVOD NA UCET	2844	34151	SIPO	MN	4635501
1083670	3701	1995-07-13	VYDAJ	PREVOD NA UCET	2844	26016	SIPO	MN	4635501
1083671	3701	1995-08-13	VYDAJ	PREVOD NA UCET	2844	29452	SIPO	MN	4635501
1083672	3701	1995-09-13	VYDAJ	PREVOD NA UCET	2844	32903	SIPO	MN	4635501
1083673	3701	1995-10-13	VYDAJ	PREVOD NA UCET	2844	30586	SIPO	MN	4635501
1083674	3701	1995-11-13	VYDAJ	PREVOD NA UCET	2844	34049	SIPO	MN	4635501
1083675	3701	1995-12-13	VYDAJ	PREVOD NA UCET	2844	36317	SIPO	MN	4635501
1083676	3701	1996-01-13	VYDAJ	PREVOD NA UCET	2844	32945	SIPO	MN	4635501
1083677	3701	1996-02-13	VYDAJ	PREVOD NA UCET	2844	34922	SIPO	MN	4635501
1083678	3701	1996-03-13	VYDAJ	PREVOD NA UCET	2844	33732	SIPO	MN	4635501
1083679	3701	1996-04-13	VYDAJ	PREVOD NA UCET	2844	33322	SIPO	MN	4635501
1083680	3701	1996-05-13	VYDAJ	PREVOD NA UCET	2844	36398	SIPO	MN	4635501
1083681	3701	1996-06-13	VYDAJ	PREVOD NA UCET	2844	39877	SIPO	MN	4635501
1083682	3701	1996-07-13	VYDAJ	PREVOD NA UCET	2844	27958	SIPO	MN	4635501
1083683	3701	1996-08-13	VYDAJ	PREVOD NA UCET	2844	30202	SIPO	MN	4635501
1083684	3701	1996-09-13	VYDAJ	PREVOD NA UCET	2844	33659	SIPO	MN	4635501
1083685	3701	1996-10-13	VYDAJ	PREVOD NA UCET	2844	33082	SIPO	MN	4635501
1083686	3701	1996-11-13	VYDAJ	PREVOD NA UCET	2844	36549	SIPO	MN	4635501
1083687	3701	1996-12-13	VYDAJ	PREVOD NA UCET	2844	32154	SIPO	MN	4635501
1083688	3701	1997-01-13	VYDAJ	PREVOD NA UCET	2844	34262	SIPO	MN	4635501
1083689	3701	1997-02-13	VYDAJ	PREVOD NA UCET	2844	30559	SIPO	MN	4635501
1083690	3701	1997-03-13	VYDAJ	PREVOD NA UCET	2844	34012	SIPO	MN	4635501
1083691	3701	1997-04-13	VYDAJ	PREVOD NA UCET	2844	37000	SIPO	MN	4635501
1083692	3701	1997-05-13	VYDAJ	PREVOD NA UCET	2844	39120	SIPO	MN	4635501
1083693	3701	1997-06-13	VYDAJ	PREVOD NA UCET	2844	25060	SIPO	MN	4635501
1083694	3701	1997-07-13	VYDAJ	PREVOD NA UCET	2844	25699	SIPO	MN	4635501
1083695	3701	1997-08-13	VYDAJ	PREVOD NA UCET	2844	29132	SIPO	MN	4635501
1083696	3701	1997-09-13	VYDAJ	PREVOD NA UCET	2844	32580	SIPO	MN	4635501
1083697	3701	1997-10-13	VYDAJ	PREVOD NA UCET	2844	36042	SIPO	MN	4635501
1083698	3701	1997-11-13	VYDAJ	PREVOD NA UCET	2844	39518	SIPO	MN	4635501
1083699	3701	1997-12-13	VYDAJ	PREVOD NA UCET	2844	41859	SIPO	MN	4635501
1083700	3701	1998-01-13	VYDAJ	PREVOD NA UCET	2844	45363	SIPO	MN	4635501
1083701	3701	1998-02-13	VYDAJ	PREVOD NA UCET	2844	41819	SIPO	MN	4635501
1083702	3701	1998-03-13	VYDAJ	PREVOD NA UCET	2844	42198	SIPO	MN	4635501
1083703	3701	1998-04-13	VYDAJ	PREVOD NA UCET	2844	45712	SIPO	MN	4635501
1083704	3701	1998-05-13	VYDAJ	PREVOD NA UCET	2844	49228	SIPO	MN	4635501
1083705	3701	1998-06-13	VYDAJ	PREVOD NA UCET	2844	52759	SIPO	MN	4635501
1083706	3701	1998-07-13	VYDAJ	PREVOD NA UCET	2844	50194	SIPO	MN	4635501
1083707	3701	1998-08-13	VYDAJ	PREVOD NA UCET	2844	53730	SIPO	MN	4635501
1083708	3701	1998-09-13	VYDAJ	PREVOD NA UCET	2844	51719	SIPO	MN	4635501
1083709	3701	1998-10-13	VYDAJ	PREVOD NA UCET	2844	51648	SIPO	MN	4635501
1083710	3701	1998-11-13	VYDAJ	PREVOD NA UCET	2844	47258	SIPO	MN	4635501
1083711	3701	1998-12-13	VYDAJ	PREVOD NA UCET	2844	48793	SIPO	MN	4635501
1083713	3701	1994-06-20	VYDAJ	VYBER	3450	15944	\N	\N	\N
1083714	3701	1995-06-28	VYDAJ	VYBER	11600	22551	\N	\N	\N
1083715	3701	1996-06-26	VYDAJ	VYBER	12100	24477	\N	\N	\N
1083716	3701	1997-06-03	VYDAJ	VYBER	14350	24912	\N	\N	\N
1083717	3701	1998-06-19	VYDAJ	VYBER	5700	47059	\N	\N	\N
1083720	3701	1995-01-17	VYDAJ	VYBER	3350	25903	\N	\N	\N
1083721	3701	1996-01-06	VYDAJ	VYBER	4800	35789	\N	\N	\N
1083722	3701	1997-01-21	VYDAJ	VYBER	2200	27102	\N	\N	\N
1083723	3701	1998-01-18	VYDAJ	VYBER	3850	41513	\N	\N	\N
1083725	3701	1994-12-12	VYDAJ	VYBER	650	29951	\N	\N	\N
1083726	3701	1995-12-30	VYDAJ	VYBER	1150	34267	\N	\N	\N
1083727	3701	1996-12-14	VYDAJ	VYBER	350	31804	\N	\N	\N
1083728	3701	1997-12-11	VYDAJ	VYBER	1150	44703	\N	\N	\N
1083729	3701	1998-12-22	VYDAJ	VYBER	300	48493	\N	\N	\N
1083733	3701	1994-05-09	VYDAJ	VYBER	2080	28738	\N	\N	\N
1083734	3701	1994-04-17	VYDAJ	VYBER	1120	26126	\N	\N	\N
1083735	3701	1994-06-09	VYDAJ	VYBER	1600	25518	\N	\N	\N
1083736	3701	1994-10-04	VYDAJ	VYBER	3680	21704	\N	\N	\N
1083737	3701	1994-12-09	VYDAJ	VYBER	480	30601	\N	\N	\N
1083738	3701	1994-05-10	VYDAJ	VYBER	1520	27218	\N	\N	\N
1083739	3701	1994-06-17	VYDAJ	VYBER	3280	19394	\N	\N	\N
1083740	3701	1994-06-04	VYDAJ	VYBER	1440	20926	\N	\N	\N
1083741	3701	1995-03-22	VYDAJ	VYBER	1120	28675	\N	\N	\N
1083742	3701	1995-04-02	VYDAJ	VYBER	1200	27577	\N	\N	\N
1083743	3701	1995-10-01	VYDAJ	VYBER	3280	27238	\N	\N	\N
1083744	3701	1996-10-13	VYDAJ	VYBER	1440	35926	\N	\N	\N
1083745	3701	1996-03-12	VYDAJ	VYBER	1760	36576	\N	\N	\N
1083746	3701	1996-11-15	VYDAJ	VYBER	2560	33989	\N	\N	\N
1083747	3701	1996-08-10	VYDAJ	VYBER	1200	33046	\N	\N	\N
1083748	3701	1996-03-25	VYDAJ	VYBER	640	32492	\N	\N	\N
1083749	3701	1996-04-06	VYDAJ	VYBER	2640	36166	\N	\N	\N
1083750	3701	1997-01-19	VYDAJ	VYBER	1600	29302	\N	\N	\N
1083751	3701	1997-03-22	VYDAJ	VYBER	480	33532	\N	\N	\N
1083752	3701	1997-04-25	VYDAJ	VYBER	1360	35640	\N	\N	\N
1083753	3701	1997-01-16	VYDAJ	VYBER	3360	30902	\N	\N	\N
1083754	3701	1997-06-18	VYDAJ	VYBER	2800	22260	\N	\N	\N
1083755	3701	1997-06-04	VYDAJ	VYBER	3200	21712	\N	\N	\N
1083756	3701	1998-03-13	VYDAJ	VYBER	3120	45042	\N	\N	\N
1083757	3701	1998-01-29	VYDAJ	VYBER	1840	38313	\N	\N	\N
1083758	3701	1998-01-26	VYDAJ	VYBER	1360	40153	\N	\N	\N
1083759	3701	1998-10-06	VYDAJ	VYBER	1120	56992	\N	\N	\N
1083760	3701	1998-08-23	VYDAJ	VYBER	560	53170	\N	\N	\N
1083761	3701	1998-11-01	VYDAJ	VYBER	2640	49210	\N	\N	\N
1083777	3701	1994-03-31	VYDAJ	VYBER	15	26998	SLUZBY	\N	\N
1083778	3701	1994-04-30	VYDAJ	VYBER	15	26226	SLUZBY	\N	\N
1083779	3701	1994-05-31	VYDAJ	VYBER	15	24466	SLUZBY	\N	\N
1083780	3701	1994-06-30	VYDAJ	VYBER	15	16016	SLUZBY	\N	\N
1083781	3701	1994-07-31	VYDAJ	VYBER	15	19425	SLUZBY	\N	\N
1083782	3701	1994-08-31	VYDAJ	VYBER	15	22848	SLUZBY	\N	\N
1083783	3701	1994-09-30	VYDAJ	VYBER	15	26284	SLUZBY	\N	\N
1083784	3701	1994-10-31	VYDAJ	VYBER	15	25144	SLUZBY	\N	\N
1083785	3701	1994-11-30	VYDAJ	VYBER	15	24889	SLUZBY	\N	\N
1083786	3701	1994-12-31	VYDAJ	VYBER	15	25905	SLUZBY	\N	\N
1083787	3701	1995-01-31	VYDAJ	VYBER	15	25998	SLUZBY	\N	\N
1083788	3701	1995-02-28	VYDAJ	VYBER	15	26447	SLUZBY	\N	\N
1083789	3701	1995-03-31	VYDAJ	VYBER	15	28777	SLUZBY	\N	\N
1083790	3701	1995-04-30	VYDAJ	VYBER	15	29240	SLUZBY	\N	\N
1083791	3701	1995-05-31	VYDAJ	VYBER	15	30803	SLUZBY	\N	\N
1083792	3701	1995-06-30	VYDAJ	VYBER	15	22668	SLUZBY	\N	\N
1083793	3701	1995-07-31	VYDAJ	VYBER	15	26104	SLUZBY	\N	\N
1083794	3701	1995-08-31	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
1083795	3701	1995-09-30	VYDAJ	VYBER	15	30518	SLUZBY	\N	\N
1083796	3701	1995-10-31	VYDAJ	VYBER	15	30701	SLUZBY	\N	\N
1083797	3701	1995-11-30	VYDAJ	VYBER	15	32969	SLUZBY	\N	\N
1083798	3701	1995-12-31	VYDAJ	VYBER	15	34397	SLUZBY	\N	\N
1083799	3701	1996-01-31	VYDAJ	VYBER	15	31574	SLUZBY	\N	\N
1083800	3701	1996-02-29	VYDAJ	VYBER	15	32144	SLUZBY	\N	\N
1083801	3701	1996-03-31	VYDAJ	VYBER	15	32614	SLUZBY	\N	\N
1083802	3701	1996-04-30	VYDAJ	VYBER	15	33050	SLUZBY	\N	\N
1083803	3701	1996-05-31	VYDAJ	VYBER	15	36529	SLUZBY	\N	\N
1083804	3701	1996-06-30	VYDAJ	VYBER	15	24610	SLUZBY	\N	\N
1083805	3701	1996-07-31	VYDAJ	VYBER	15	28054	SLUZBY	\N	\N
1083806	3701	1996-08-31	VYDAJ	VYBER	15	30311	SLUZBY	\N	\N
1083807	3701	1996-09-30	VYDAJ	VYBER	15	31174	SLUZBY	\N	\N
1083808	3701	1996-10-31	VYDAJ	VYBER	15	33201	SLUZBY	\N	\N
1083809	3701	1996-11-30	VYDAJ	VYBER	15	28806	SLUZBY	\N	\N
1083810	3701	1996-12-31	VYDAJ	VYBER	15	30914	SLUZBY	\N	\N
1083811	3701	1997-01-31	VYDAJ	VYBER	15	27211	SLUZBY	\N	\N
1083812	3701	1997-02-28	VYDAJ	VYBER	15	30664	SLUZBY	\N	\N
1083813	3701	1997-03-31	VYDAJ	VYBER	15	33652	SLUZBY	\N	\N
1083814	3701	1997-04-30	VYDAJ	VYBER	15	35772	SLUZBY	\N	\N
1083815	3701	1997-05-31	VYDAJ	VYBER	15	39262	SLUZBY	\N	\N
1083816	3701	1997-06-30	VYDAJ	VYBER	15	22351	SLUZBY	\N	\N
1083817	3701	1997-07-31	VYDAJ	VYBER	15	25784	SLUZBY	\N	\N
1083818	3701	1997-08-31	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
1083819	3701	1997-09-30	VYDAJ	VYBER	15	32694	SLUZBY	\N	\N
1083820	3701	1997-10-31	VYDAJ	VYBER	15	36170	SLUZBY	\N	\N
1083821	3701	1997-11-30	VYDAJ	VYBER	15	39661	SLUZBY	\N	\N
1083822	3701	1997-12-31	VYDAJ	VYBER	15	42015	SLUZBY	\N	\N
1083823	3701	1998-01-31	VYDAJ	VYBER	15	38471	SLUZBY	\N	\N
1083824	3701	1998-02-28	VYDAJ	VYBER	15	41970	SLUZBY	\N	\N
1083825	3701	1998-03-31	VYDAJ	VYBER	15	42364	SLUZBY	\N	\N
1083826	3701	1998-04-30	VYDAJ	VYBER	15	45880	SLUZBY	\N	\N
1083827	3701	1998-05-31	VYDAJ	VYBER	15	49411	SLUZBY	\N	\N
1083828	3701	1998-06-30	VYDAJ	VYBER	15	47246	SLUZBY	\N	\N
1083829	3701	1998-07-31	VYDAJ	VYBER	15	50382	SLUZBY	\N	\N
1083830	3701	1998-08-31	VYDAJ	VYBER	15	53371	SLUZBY	\N	\N
1083831	3701	1998-09-30	VYDAJ	VYBER	15	51920	SLUZBY	\N	\N
1083832	3701	1998-10-31	VYDAJ	VYBER	15	51850	SLUZBY	\N	\N
1083833	3701	1998-11-30	VYDAJ	VYBER	15	47445	SLUZBY	\N	\N
1083834	3701	1994-03-05	VYDAJ	VYBER	2000	23568	\N	\N	\N
1083835	3701	1994-04-04	VYDAJ	VYBER	3100	23898	\N	\N	\N
1083836	3701	1994-05-04	VYDAJ	VYBER	1600	24626	\N	\N	\N
1083837	3701	1994-06-03	VYDAJ	VYBER	2100	22366	\N	\N	\N
1083838	3701	1994-10-01	VYDAJ	VYBER	900	25384	\N	\N	\N
1083839	3701	1994-10-31	VYDAJ	VYBER	300	24844	\N	\N	\N
1083840	3701	1994-11-30	VYDAJ	VYBER	3400	24904	\N	\N	\N
1083841	3701	1994-12-30	VYDAJ	VYBER	1300	25807	\N	\N	\N
1083842	3701	1995-02-28	VYDAJ	VYBER	3000	26461	\N	\N	\N
1083843	3701	1995-04-29	VYDAJ	VYBER	1800	29125	\N	\N	\N
1083844	3701	1995-05-29	VYDAJ	VYBER	1900	30688	\N	\N	\N
1083845	3701	1995-09-26	VYDAJ	VYBER	2500	30403	\N	\N	\N
1083846	3701	1995-11-25	VYDAJ	VYBER	1200	32849	\N	\N	\N
1083847	3701	1995-12-25	VYDAJ	VYBER	900	35417	\N	\N	\N
1083848	3701	1996-01-24	VYDAJ	VYBER	1500	31445	\N	\N	\N
1083849	3701	1996-02-23	VYDAJ	VYBER	2900	32022	\N	\N	\N
1083850	3701	1996-03-24	VYDAJ	VYBER	600	33132	\N	\N	\N
1083851	3701	1996-04-23	VYDAJ	VYBER	400	32922	\N	\N	\N
1083852	3701	1996-06-22	VYDAJ	VYBER	3300	36577	\N	\N	\N
1083853	3701	1996-09-20	VYDAJ	VYBER	2600	31059	\N	\N	\N
1083854	3701	1996-11-19	VYDAJ	VYBER	5300	28689	\N	\N	\N
1083855	3701	1996-12-19	VYDAJ	VYBER	1000	30804	\N	\N	\N
1083856	3701	1998-07-12	VYDAJ	VYBER	400	53038	\N	\N	\N
1083857	3701	1998-09-10	VYDAJ	VYBER	5000	54563	\N	\N	\N
1083858	3701	1998-10-10	VYDAJ	VYBER	2500	54492	\N	\N	\N
1083859	3701	1998-11-09	VYDAJ	VYBER	5300	50102	\N	\N	\N
1083860	3701	1998-12-09	VYDAJ	VYBER	2000	51637	\N	\N	\N
1083919	3702	1995-04-13	PRIJEM	VKLAD	800	800	\N	\N	\N
1083924	3702	1995-05-07	PRIJEM	VKLAD	16339	17139	\N	\N	\N
1083925	3702	1995-06-07	PRIJEM	VKLAD	24509	43997	\N	\N	\N
1083926	3702	1995-07-07	PRIJEM	VKLAD	16339	51157	\N	\N	\N
1083927	3702	1995-08-07	PRIJEM	VKLAD	16339	56756	\N	\N	\N
1083928	3702	1995-09-07	PRIJEM	VKLAD	16339	59370	\N	\N	\N
1083929	3702	1995-10-07	PRIJEM	VKLAD	16339	54510	\N	\N	\N
1083930	3702	1995-11-07	PRIJEM	VKLAD	16339	39071	\N	\N	\N
1083931	3702	1995-12-07	PRIJEM	VKLAD	24509	51122	\N	\N	\N
1083932	3702	1996-01-07	PRIJEM	VKLAD	16339	49238	\N	\N	\N
1083933	3702	1996-02-07	PRIJEM	VKLAD	16339	31973	\N	\N	\N
1083934	3702	1996-03-07	PRIJEM	VKLAD	16339	37032	\N	\N	\N
1083935	3702	1996-04-07	PRIJEM	VKLAD	16339	44618	\N	\N	\N
1083936	3702	1996-05-07	PRIJEM	VKLAD	16339	49629	\N	\N	\N
1083937	3702	1996-06-07	PRIJEM	VKLAD	24509	61217	\N	\N	\N
1083938	3702	1996-07-07	PRIJEM	VKLAD	16339	53443	\N	\N	\N
1083939	3702	1996-08-07	PRIJEM	VKLAD	16339	60792	\N	\N	\N
1083940	3702	1996-09-07	PRIJEM	VKLAD	16339	62876	\N	\N	\N
1083941	3702	1996-10-07	PRIJEM	VKLAD	16339	64913	\N	\N	\N
1083942	3702	1996-11-07	PRIJEM	VKLAD	16339	66117	\N	\N	\N
1083943	3702	1996-12-07	PRIJEM	VKLAD	24509	76297	\N	\N	\N
1083944	3702	1997-01-07	PRIJEM	VKLAD	16339	69564	\N	\N	\N
1083945	3702	1997-02-07	PRIJEM	VKLAD	16339	46558	\N	\N	\N
1083946	3702	1997-03-07	PRIJEM	VKLAD	16339	54478	\N	\N	\N
1083947	3702	1997-04-07	PRIJEM	VKLAD	16339	56462	\N	\N	\N
1083948	3702	1997-05-07	PRIJEM	VKLAD	16339	64224	\N	\N	\N
1083949	3702	1997-06-07	PRIJEM	VKLAD	24509	39891	\N	\N	\N
1083950	3702	1997-07-07	PRIJEM	VKLAD	16339	50317	\N	\N	\N
1083951	3702	1997-08-07	PRIJEM	VKLAD	16339	57956	\N	\N	\N
1083952	3702	1997-09-07	PRIJEM	VKLAD	16339	64624	\N	\N	\N
1083953	3702	1997-10-07	PRIJEM	VKLAD	16339	68218	\N	\N	\N
1083954	3702	1997-11-07	PRIJEM	VKLAD	16339	66360	\N	\N	\N
1083955	3702	1997-12-07	PRIJEM	VKLAD	24509	77130	\N	\N	\N
1083956	3702	1998-01-07	PRIJEM	VKLAD	16339	64883	\N	\N	\N
1083957	3702	1998-02-07	PRIJEM	VKLAD	16339	65289	\N	\N	\N
1083958	3702	1998-03-07	PRIJEM	VKLAD	16339	70485	\N	\N	\N
1083959	3702	1998-04-07	PRIJEM	VKLAD	16339	71000	\N	\N	\N
1083960	3702	1998-05-07	PRIJEM	VKLAD	16339	72619	\N	\N	\N
1083961	3702	1998-06-07	PRIJEM	VKLAD	24509	78410	\N	\N	\N
1083962	3702	1998-07-07	PRIJEM	VKLAD	16339	51217	\N	\N	\N
1083963	3702	1998-08-07	PRIJEM	VKLAD	16339	53674	\N	\N	\N
1083964	3702	1998-09-07	PRIJEM	VKLAD	16339	68030	\N	\N	\N
1083965	3702	1998-10-07	PRIJEM	VKLAD	16339	76139	\N	\N	\N
1083966	3702	1998-11-07	PRIJEM	VKLAD	16339	77175	\N	\N	\N
1083967	3702	1998-12-07	PRIJEM	VKLAD	24509	89187	\N	\N	\N
1083976	3702	1995-09-09	VYDAJ	PREVOD NA UCET	9650	49720	SIPO	ST	45320862
1083977	3702	1995-10-09	VYDAJ	PREVOD NA UCET	9650	42220	SIPO	ST	45320862
1083978	3702	1995-11-09	VYDAJ	PREVOD NA UCET	9650	26521	SIPO	ST	45320862
1083979	3702	1995-12-09	VYDAJ	PREVOD NA UCET	9650	36772	SIPO	ST	45320862
1083980	3702	1996-01-09	VYDAJ	PREVOD NA UCET	9650	25148	SIPO	ST	45320862
1083981	3702	1996-02-09	VYDAJ	PREVOD NA UCET	9650	20623	SIPO	ST	45320862
1083982	3702	1996-03-09	VYDAJ	PREVOD NA UCET	9650	28182	SIPO	ST	45320862
1083983	3702	1996-04-09	VYDAJ	PREVOD NA UCET	9650	33168	SIPO	ST	45320862
1083984	3702	1996-05-09	VYDAJ	PREVOD NA UCET	9650	34079	SIPO	ST	45320862
1083985	3702	1996-06-09	VYDAJ	PREVOD NA UCET	9650	51567	SIPO	ST	45320862
1083986	3702	1996-07-09	VYDAJ	PREVOD NA UCET	9650	43793	SIPO	ST	45320862
1083987	3702	1996-08-09	VYDAJ	PREVOD NA UCET	9650	51142	SIPO	ST	45320862
1083988	3702	1996-09-09	VYDAJ	PREVOD NA UCET	9650	53226	SIPO	ST	45320862
1083989	3702	1996-10-09	VYDAJ	PREVOD NA UCET	9650	55263	SIPO	ST	45320862
1083990	3702	1996-11-09	VYDAJ	PREVOD NA UCET	9650	56467	SIPO	ST	45320862
1083991	3702	1996-12-09	VYDAJ	PREVOD NA UCET	9650	66647	SIPO	ST	45320862
1083992	3702	1997-01-09	VYDAJ	PREVOD NA UCET	9650	45194	SIPO	ST	45320862
1083993	3702	1997-02-09	VYDAJ	PREVOD NA UCET	9650	36908	SIPO	ST	45320862
1083994	3702	1997-03-09	VYDAJ	PREVOD NA UCET	9650	44828	SIPO	ST	45320862
1083995	3702	1997-04-09	VYDAJ	PREVOD NA UCET	9650	46812	SIPO	ST	45320862
1083996	3702	1997-05-09	VYDAJ	PREVOD NA UCET	9650	54574	SIPO	ST	45320862
1083997	3702	1997-06-09	VYDAJ	PREVOD NA UCET	9650	30241	SIPO	ST	45320862
1083998	3702	1997-07-09	VYDAJ	PREVOD NA UCET	9650	40667	SIPO	ST	45320862
1083999	3702	1997-08-09	VYDAJ	PREVOD NA UCET	9650	48306	SIPO	ST	45320862
1084000	3702	1997-09-09	VYDAJ	PREVOD NA UCET	9650	54974	SIPO	ST	45320862
1084001	3702	1997-10-09	VYDAJ	PREVOD NA UCET	9650	58568	SIPO	ST	45320862
1084002	3702	1997-11-09	VYDAJ	PREVOD NA UCET	9650	56710	SIPO	ST	45320862
1084003	3702	1997-12-09	VYDAJ	PREVOD NA UCET	9650	67480	SIPO	ST	45320862
1084004	3702	1998-01-09	VYDAJ	PREVOD NA UCET	9650	54273	SIPO	ST	45320862
1084005	3702	1998-02-09	VYDAJ	PREVOD NA UCET	9650	55639	SIPO	ST	45320862
1084006	3702	1998-03-09	VYDAJ	PREVOD NA UCET	9650	60835	SIPO	ST	45320862
1084007	3702	1998-04-09	VYDAJ	PREVOD NA UCET	9650	61350	SIPO	ST	45320862
1084008	3702	1998-05-09	VYDAJ	PREVOD NA UCET	9650	62969	SIPO	ST	45320862
1084009	3702	1998-06-09	VYDAJ	PREVOD NA UCET	9650	68760	SIPO	ST	45320862
1084010	3702	1998-07-09	VYDAJ	PREVOD NA UCET	9650	41567	SIPO	ST	45320862
1084011	3702	1998-08-09	VYDAJ	PREVOD NA UCET	9650	44024	SIPO	ST	45320862
1084012	3702	1998-09-09	VYDAJ	PREVOD NA UCET	9650	58380	SIPO	ST	45320862
1084013	3702	1998-10-09	VYDAJ	PREVOD NA UCET	9650	66489	SIPO	ST	45320862
1084014	3702	1998-11-09	VYDAJ	PREVOD NA UCET	9650	67525	SIPO	ST	45320862
1084015	3702	1998-12-09	VYDAJ	PREVOD NA UCET	9650	79537	SIPO	ST	45320862
1084065	3702	1996-06-28	VYDAJ	VYBER	19360	30527	\N	\N	\N
1084066	3702	1997-06-04	VYDAJ	VYBER	35200	15383	\N	\N	\N
1084067	3702	1998-06-29	VYDAJ	VYBER	21440	34640	\N	\N	\N
1084069	3702	1996-01-02	VYDAJ	VYBER	4000	32899	\N	\N	\N
1084070	3702	1997-01-07	VYDAJ	VYBER	14720	54844	\N	\N	\N
1084071	3702	1998-01-04	VYDAJ	VYBER	8640	49984	\N	\N	\N
1084078	3702	1996-01-19	VYDAJ	VYBER	2520	17348	\N	\N	\N
1084079	3702	1996-01-12	VYDAJ	VYBER	2400	22748	\N	\N	\N
1084080	3702	1996-01-13	VYDAJ	VYBER	2160	20588	\N	\N	\N
1084082	3702	1996-01-25	VYDAJ	VYBER	1800	15548	\N	\N	\N
1084083	3702	1996-01-17	VYDAJ	VYBER	720	19868	\N	\N	\N
1084084	3702	1997-01-26	VYDAJ	VYBER	3480	23954	\N	\N	\N
1084085	3702	1997-01-20	VYDAJ	VYBER	600	36434	\N	\N	\N
1084086	3702	1997-01-06	VYDAJ	VYBER	2880	53225	\N	\N	\N
1084087	3702	1997-01-25	VYDAJ	VYBER	3120	27434	\N	\N	\N
1084088	3702	1997-01-23	VYDAJ	VYBER	2520	30554	\N	\N	\N
1084089	3702	1997-01-20	VYDAJ	VYBER	3360	33074	\N	\N	\N
1084090	3702	1998-01-15	VYDAJ	VYBER	1680	52593	\N	\N	\N
1084091	3702	1998-01-22	VYDAJ	VYBER	1440	47193	\N	\N	\N
1084092	3702	1998-01-22	VYDAJ	VYBER	2280	48633	\N	\N	\N
1084093	3702	1998-01-30	VYDAJ	VYBER	1560	48733	\N	\N	\N
1084094	3702	1998-01-09	VYDAJ	VYBER	960	63923	\N	\N	\N
1084095	3702	1998-01-06	VYDAJ	VYBER	1440	48544	\N	\N	\N
1084096	3702	1995-10-09	VYDAJ	VYBER	2640	51870	\N	\N	\N
1084099	3702	1995-10-27	VYDAJ	VYBER	3960	22620	\N	\N	\N
1084100	3702	1995-10-16	VYDAJ	VYBER	5640	26580	\N	\N	\N
1084101	3702	1996-01-08	VYDAJ	VYBER	5640	43598	\N	\N	\N
1084102	3702	1996-06-18	VYDAJ	VYBER	1680	49887	\N	\N	\N
1084103	3702	1996-10-02	VYDAJ	VYBER	3960	49474	\N	\N	\N
1084104	3702	1997-10-20	VYDAJ	VYBER	3960	54608	\N	\N	\N
1084105	3702	1997-03-19	VYDAJ	VYBER	5760	39068	\N	\N	\N
1084106	3702	1997-03-28	VYDAJ	VYBER	4200	34868	\N	\N	\N
1084107	3702	1997-01-20	VYDAJ	VYBER	5880	37034	\N	\N	\N
1084108	3702	1997-01-10	VYDAJ	VYBER	2280	42914	\N	\N	\N
1084109	3702	1997-07-04	VYDAJ	VYBER	1680	33978	\N	\N	\N
1084110	3702	1998-06-23	VYDAJ	VYBER	2280	66480	\N	\N	\N
1084111	3702	1998-07-28	VYDAJ	VYBER	4440	37187	\N	\N	\N
1084112	3702	1998-07-26	VYDAJ	VYBER	5640	41627	\N	\N	\N
1084113	3702	1998-01-22	VYDAJ	VYBER	1680	50913	\N	\N	\N
1084123	3702	1995-09-30	VYDAJ	VYBER	15	38171	SLUZBY	\N	\N
1084124	3702	1995-10-31	VYDAJ	VYBER	15	22732	SLUZBY	\N	\N
1084125	3702	1995-11-30	VYDAJ	VYBER	15	26613	SLUZBY	\N	\N
1084126	3702	1995-12-31	VYDAJ	VYBER	15	36899	SLUZBY	\N	\N
1084127	3702	1996-01-31	VYDAJ	VYBER	15	15634	SLUZBY	\N	\N
1084128	3702	1996-02-29	VYDAJ	VYBER	15	20693	SLUZBY	\N	\N
1084129	3702	1996-03-31	VYDAJ	VYBER	15	28279	SLUZBY	\N	\N
1084130	3702	1996-04-30	VYDAJ	VYBER	15	33290	SLUZBY	\N	\N
1084131	3702	1996-05-31	VYDAJ	VYBER	15	34209	SLUZBY	\N	\N
1084132	3702	1996-06-30	VYDAJ	VYBER	15	30704	SLUZBY	\N	\N
1084133	3702	1996-07-31	VYDAJ	VYBER	15	43953	SLUZBY	\N	\N
1084134	3702	1996-08-31	VYDAJ	VYBER	15	51337	SLUZBY	\N	\N
1084135	3702	1996-09-30	VYDAJ	VYBER	15	53434	SLUZBY	\N	\N
1084136	3702	1996-10-31	VYDAJ	VYBER	15	55478	SLUZBY	\N	\N
1084137	3702	1996-11-30	VYDAJ	VYBER	15	56689	SLUZBY	\N	\N
1084138	3702	1996-12-31	VYDAJ	VYBER	15	66905	SLUZBY	\N	\N
1084139	3702	1997-01-31	VYDAJ	VYBER	15	24119	SLUZBY	\N	\N
1084140	3702	1997-02-28	VYDAJ	VYBER	15	37039	SLUZBY	\N	\N
1084141	3702	1997-03-31	VYDAJ	VYBER	15	35023	SLUZBY	\N	\N
1084142	3702	1997-04-30	VYDAJ	VYBER	15	46985	SLUZBY	\N	\N
1084143	3702	1997-05-31	VYDAJ	VYBER	15	54783	SLUZBY	\N	\N
1084144	3702	1997-06-30	VYDAJ	VYBER	15	30358	SLUZBY	\N	\N
1084145	3702	1997-07-31	VYDAJ	VYBER	15	41617	SLUZBY	\N	\N
1084146	3702	1997-08-31	VYDAJ	VYBER	15	48285	SLUZBY	\N	\N
1084147	3702	1997-09-30	VYDAJ	VYBER	15	51879	SLUZBY	\N	\N
1084148	3702	1997-10-31	VYDAJ	VYBER	15	50021	SLUZBY	\N	\N
1084149	3702	1997-11-30	VYDAJ	VYBER	15	52621	SLUZBY	\N	\N
1084150	3702	1997-12-31	VYDAJ	VYBER	15	58624	SLUZBY	\N	\N
1084151	3702	1998-01-31	VYDAJ	VYBER	15	48950	SLUZBY	\N	\N
1084152	3702	1998-02-28	VYDAJ	VYBER	15	54146	SLUZBY	\N	\N
1084153	3702	1998-03-31	VYDAJ	VYBER	15	54661	SLUZBY	\N	\N
1084154	3702	1998-04-30	VYDAJ	VYBER	15	56280	SLUZBY	\N	\N
1084155	3702	1998-05-31	VYDAJ	VYBER	15	53901	SLUZBY	\N	\N
1084156	3702	1998-06-30	VYDAJ	VYBER	15	34878	SLUZBY	\N	\N
1084157	3702	1998-07-31	VYDAJ	VYBER	15	37335	SLUZBY	\N	\N
1084158	3702	1998-08-31	VYDAJ	VYBER	15	51691	SLUZBY	\N	\N
1084159	3702	1998-09-30	VYDAJ	VYBER	15	59800	SLUZBY	\N	\N
1084160	3702	1998-10-31	VYDAJ	VYBER	15	60836	SLUZBY	\N	\N
1084161	3702	1998-11-30	VYDAJ	VYBER	15	64678	SLUZBY	\N	\N
1084162	3702	1995-05-13	PRIJEM	VKLAD	2300	19439	\N	\N	\N
1084163	3702	1995-06-12	VYDAJ	VYBER	9300	34697	\N	\N	\N
1084164	3702	1995-07-12	VYDAJ	VYBER	10900	40257	\N	\N	\N
1084165	3702	1995-08-11	VYDAJ	VYBER	13900	42856	\N	\N	\N
1084166	3702	1995-09-10	VYDAJ	VYBER	11700	38020	\N	\N	\N
1084167	3702	1995-10-10	VYDAJ	VYBER	10000	32220	\N	\N	\N
1084168	3702	1995-11-09	VYDAJ	VYBER	2900	36171	\N	\N	\N
1084169	3702	1995-12-09	VYDAJ	VYBER	4700	46422	\N	\N	\N
1084170	3702	1996-01-08	VYDAJ	VYBER	8800	34798	\N	\N	\N
1084171	3702	1996-02-07	VYDAJ	VYBER	1700	30273	\N	\N	\N
1084172	3702	1996-03-08	PRIJEM	VKLAD	800	37832	\N	\N	\N
1084173	3702	1996-04-07	VYDAJ	VYBER	1800	42818	\N	\N	\N
1084174	3702	1996-05-07	VYDAJ	VYBER	5900	43729	\N	\N	\N
1084175	3702	1996-06-06	PRIJEM	VKLAD	2500	36709	\N	\N	\N
1084176	3702	1996-07-06	PRIJEM	VKLAD	6400	37104	\N	\N	\N
1084177	3702	1996-08-05	PRIJEM	VKLAD	500	44453	\N	\N	\N
1084178	3702	1996-09-04	VYDAJ	VYBER	4800	46537	\N	\N	\N
1084179	3702	1996-10-04	VYDAJ	VYBER	900	48574	\N	\N	\N
1084180	3702	1996-11-03	VYDAJ	VYBER	5700	49778	\N	\N	\N
1084181	3702	1996-12-03	VYDAJ	VYBER	4900	51789	\N	\N	\N
1084182	3702	1997-01-02	VYDAJ	VYBER	10800	56105	\N	\N	\N
1084183	3702	1997-02-01	PRIJEM	VKLAD	6100	30219	\N	\N	\N
1084184	3702	1997-03-03	PRIJEM	VKLAD	1100	38139	\N	\N	\N
1084185	3702	1997-04-02	PRIJEM	VKLAD	5100	40123	\N	\N	\N
1084186	3702	1997-05-02	PRIJEM	VKLAD	900	47885	\N	\N	\N
1084187	3702	1997-06-01	VYDAJ	VYBER	4200	50583	\N	\N	\N
1084188	3702	1997-07-01	PRIJEM	VKLAD	5300	35658	\N	\N	\N
1084189	3702	1997-07-31	PRIJEM	VKLAD	800	41467	\N	\N	\N
1084190	3702	1997-08-30	VYDAJ	VYBER	200	48106	\N	\N	\N
1084191	3702	1997-09-29	VYDAJ	VYBER	3300	51674	\N	\N	\N
1084192	3702	1997-10-29	VYDAJ	VYBER	4800	49808	\N	\N	\N
1084193	3702	1997-11-28	VYDAJ	VYBER	4300	52410	\N	\N	\N
1084194	3702	1997-12-28	VYDAJ	VYBER	9100	58380	\N	\N	\N
1084195	3702	1998-01-27	PRIJEM	VKLAD	3100	50293	\N	\N	\N
1084196	3702	1998-02-26	VYDAJ	VYBER	1700	53939	\N	\N	\N
1084197	3702	1998-03-28	VYDAJ	VYBER	6400	54435	\N	\N	\N
1084198	3702	1998-04-27	VYDAJ	VYBER	5300	56050	\N	\N	\N
1084199	3702	1998-05-27	VYDAJ	VYBER	9300	53669	\N	\N	\N
1084200	3702	1998-06-26	VYDAJ	VYBER	10400	56080	\N	\N	\N
1084201	3702	1998-07-26	PRIJEM	VKLAD	5700	47267	\N	\N	\N
1084202	3702	1998-08-25	PRIJEM	VKLAD	7500	51524	\N	\N	\N
1084203	3702	1998-09-24	PRIJEM	VKLAD	1200	59580	\N	\N	\N
1084204	3702	1998-10-24	VYDAJ	VYBER	5900	60589	\N	\N	\N
1084205	3702	1998-11-23	VYDAJ	VYBER	3100	64425	\N	\N	\N
1084250	3703	1997-06-18	PRIJEM	VKLAD	400	400	\N	\N	\N
1084257	3703	1997-07-06	PRIJEM	PREVOD Z UCTU	3019	3419	\N	QR	81807022
1084258	3703	1997-08-06	PRIJEM	PREVOD Z UCTU	3019	6438	\N	QR	81807022
1084259	3703	1997-09-06	PRIJEM	PREVOD Z UCTU	3019	9457	\N	QR	81807022
1084260	3703	1997-10-06	PRIJEM	PREVOD Z UCTU	3019	12476	\N	QR	81807022
1084261	3703	1997-11-06	PRIJEM	PREVOD Z UCTU	3019	15495	\N	QR	81807022
1084262	3703	1997-12-06	PRIJEM	PREVOD Z UCTU	3019	15388	\N	QR	81807022
1084263	3703	1998-01-06	PRIJEM	PREVOD Z UCTU	3019	15655	\N	QR	81807022
1084264	3703	1998-02-06	PRIJEM	PREVOD Z UCTU	3019	14447	\N	QR	81807022
1084265	3703	1998-03-06	PRIJEM	PREVOD Z UCTU	3019	15490	\N	QR	81807022
1084266	3703	1998-04-06	PRIJEM	PREVOD Z UCTU	3019	15486	\N	QR	81807022
1084267	3703	1998-05-06	PRIJEM	PREVOD Z UCTU	3019	15783	\N	QR	81807022
1084268	3703	1998-06-06	PRIJEM	PREVOD Z UCTU	3019	16832	\N	QR	81807022
1084269	3703	1998-07-06	PRIJEM	PREVOD Z UCTU	3019	16654	\N	QR	81807022
1084270	3703	1998-08-06	PRIJEM	PREVOD Z UCTU	3019	15781	\N	QR	81807022
1084271	3703	1998-09-06	PRIJEM	PREVOD Z UCTU	3019	16439	\N	QR	81807022
1084272	3703	1998-10-06	PRIJEM	PREVOD Z UCTU	3019	16488	\N	QR	81807022
1084273	3703	1998-11-06	PRIJEM	PREVOD Z UCTU	3019	16337	\N	QR	81807022
1084274	3703	1998-12-06	PRIJEM	PREVOD Z UCTU	3019	17088	\N	QR	81807022
1084285	3703	1997-11-11	VYDAJ	PREVOD NA UCET	1820	13483	\N	QR	89147013
1084286	3703	1997-12-11	VYDAJ	PREVOD NA UCET	1820	13376	\N	QR	89147013
1084287	3703	1998-01-11	VYDAJ	PREVOD NA UCET	1820	11393	\N	QR	89147013
1084288	3703	1998-02-11	VYDAJ	PREVOD NA UCET	1820	12435	\N	QR	89147013
1084289	3703	1998-03-11	VYDAJ	PREVOD NA UCET	1820	12608	\N	QR	89147013
1084290	3703	1998-04-11	VYDAJ	PREVOD NA UCET	1820	13474	\N	QR	89147013
1084291	3703	1998-05-11	VYDAJ	PREVOD NA UCET	1820	13771	\N	QR	89147013
1084292	3703	1998-06-11	VYDAJ	PREVOD NA UCET	1820	14820	\N	QR	89147013
1084293	3703	1998-07-11	VYDAJ	PREVOD NA UCET	1820	13622	\N	QR	89147013
1084294	3703	1998-08-11	VYDAJ	PREVOD NA UCET	1820	13379	\N	QR	89147013
1084295	3703	1998-09-11	VYDAJ	PREVOD NA UCET	1820	13427	\N	QR	89147013
1084296	3703	1998-10-11	VYDAJ	PREVOD NA UCET	1820	14476	\N	QR	89147013
1084297	3703	1998-11-11	VYDAJ	PREVOD NA UCET	1820	14025	\N	QR	89147013
1084298	3703	1998-12-11	VYDAJ	PREVOD NA UCET	1820	12576	\N	QR	89147013
1084309	3703	1997-11-09	VYDAJ	PREVOD NA UCET	192	15303	\N	GH	25207352
1084310	3703	1997-12-09	VYDAJ	PREVOD NA UCET	192	15196	\N	GH	25207352
1084311	3703	1998-01-09	VYDAJ	PREVOD NA UCET	192	13213	\N	GH	25207352
1084312	3703	1998-02-09	VYDAJ	PREVOD NA UCET	192	14255	\N	GH	25207352
1084313	3703	1998-03-09	VYDAJ	PREVOD NA UCET	192	14428	\N	GH	25207352
1084314	3703	1998-04-09	VYDAJ	PREVOD NA UCET	192	15294	\N	GH	25207352
1084315	3703	1998-05-09	VYDAJ	PREVOD NA UCET	192	15591	\N	GH	25207352
1084316	3703	1998-06-09	VYDAJ	PREVOD NA UCET	192	16640	\N	GH	25207352
1084317	3703	1998-07-09	VYDAJ	PREVOD NA UCET	192	16462	\N	GH	25207352
1084318	3703	1998-08-09	VYDAJ	PREVOD NA UCET	192	15589	\N	GH	25207352
1084319	3703	1998-09-09	VYDAJ	PREVOD NA UCET	192	16247	\N	GH	25207352
1084320	3703	1998-10-09	VYDAJ	PREVOD NA UCET	192	16296	\N	GH	25207352
1084321	3703	1998-11-09	VYDAJ	PREVOD NA UCET	192	16145	\N	GH	25207352
1084322	3703	1998-12-09	VYDAJ	PREVOD NA UCET	192	16896	\N	GH	25207352
1084324	3703	1998-06-22	VYDAJ	VYBER	1230	13590	\N	\N	\N
1084326	3703	1998-01-07	VYDAJ	VYBER	2250	13405	\N	\N	\N
1084327	3703	1997-12-28	VYDAJ	VYBER	780	12596	\N	\N	\N
1084344	3703	1997-11-21	VYDAJ	VYBER	1140	12343	\N	\N	\N
1084347	3703	1998-08-10	VYDAJ	VYBER	390	15199	\N	\N	\N
1084348	3703	1998-07-10	VYDAJ	VYBER	1020	15442	\N	\N	\N
1084349	3703	1998-03-08	VYDAJ	VYBER	870	14620	\N	\N	\N
1084351	3703	1998-04-22	VYDAJ	VYBER	750	12724	\N	\N	\N
1084352	3703	1998-03-29	VYDAJ	VYBER	180	12428	\N	\N	\N
1084364	3703	1997-11-30	VYDAJ	VYBER	15	12369	SLUZBY	\N	\N
1084365	3703	1997-12-31	VYDAJ	VYBER	15	12636	SLUZBY	\N	\N
1084366	3703	1998-01-31	VYDAJ	VYBER	15	11428	SLUZBY	\N	\N
1084367	3703	1998-02-28	VYDAJ	VYBER	15	12471	SLUZBY	\N	\N
1084368	3703	1998-03-31	VYDAJ	VYBER	15	12467	SLUZBY	\N	\N
1084369	3703	1998-04-30	VYDAJ	VYBER	15	12764	SLUZBY	\N	\N
1084370	3703	1998-05-31	VYDAJ	VYBER	15	13813	SLUZBY	\N	\N
1084371	3703	1998-06-30	VYDAJ	VYBER	15	13635	SLUZBY	\N	\N
1084372	3703	1998-07-31	VYDAJ	VYBER	15	12762	SLUZBY	\N	\N
1084373	3703	1998-08-31	VYDAJ	VYBER	15	13420	SLUZBY	\N	\N
1084374	3703	1998-09-30	VYDAJ	VYBER	15	13469	SLUZBY	\N	\N
1084375	3703	1998-10-31	VYDAJ	VYBER	15	13318	SLUZBY	\N	\N
1084376	3703	1998-11-30	VYDAJ	VYBER	15	14069	SLUZBY	\N	\N
1084377	3703	1998-07-13	VYDAJ	VYBER	900	12722	\N	\N	\N
1084378	3703	1998-09-11	VYDAJ	VYBER	1000	15247	\N	\N	\N
1084379	3703	1998-10-11	VYDAJ	VYBER	1200	13276	\N	\N	\N
1084380	3703	1998-11-10	VYDAJ	VYBER	300	15845	\N	\N	\N
1084381	3703	1998-12-10	VYDAJ	VYBER	2500	14396	\N	\N	\N
1084396	3704	1993-01-24	PRIJEM	VKLAD	500	500	\N	\N	\N
1084398	3704	1993-02-09	PRIJEM	PREVOD Z UCTU	6242	6742	DUCHOD	AB	11927444
1084399	3704	1993-03-09	PRIJEM	PREVOD Z UCTU	6242	12984	DUCHOD	AB	11927444
1084400	3704	1993-04-09	PRIJEM	PREVOD Z UCTU	6242	19226	DUCHOD	AB	11927444
1084401	3704	1993-05-09	PRIJEM	PREVOD Z UCTU	6242	25468	DUCHOD	AB	11927444
1084402	3704	1993-06-09	PRIJEM	PREVOD Z UCTU	6242	31037	DUCHOD	AB	11927444
1084403	3704	1993-07-09	PRIJEM	PREVOD Z UCTU	6242	21467	DUCHOD	AB	11927444
1084404	3704	1993-08-09	PRIJEM	PREVOD Z UCTU	6242	24720	DUCHOD	AB	11927444
1084405	3704	1993-09-09	PRIJEM	PREVOD Z UCTU	6242	25665	DUCHOD	AB	11927444
1084406	3704	1993-10-09	PRIJEM	PREVOD Z UCTU	6242	26940	DUCHOD	AB	11927444
1084407	3704	1993-11-09	PRIJEM	PREVOD Z UCTU	6242	30221	DUCHOD	AB	11927444
1084408	3704	1993-12-09	PRIJEM	PREVOD Z UCTU	6242	32910	DUCHOD	AB	11927444
1084409	3704	1994-01-09	PRIJEM	PREVOD Z UCTU	6242	32975	DUCHOD	AB	11927444
1084410	3704	1994-02-09	PRIJEM	PREVOD Z UCTU	6242	28418	DUCHOD	AB	11927444
1084411	3704	1994-03-09	PRIJEM	PREVOD Z UCTU	6242	24096	DUCHOD	AB	11927444
1084412	3704	1994-04-09	PRIJEM	PREVOD Z UCTU	6242	24566	DUCHOD	AB	11927444
1084413	3704	1994-05-09	PRIJEM	PREVOD Z UCTU	6242	27832	DUCHOD	AB	11927444
1084414	3704	1994-06-09	PRIJEM	PREVOD Z UCTU	6242	29909	DUCHOD	AB	11927444
1084415	3704	1994-07-09	PRIJEM	PREVOD Z UCTU	6242	32196	DUCHOD	AB	11927444
1084416	3704	1994-08-09	PRIJEM	PREVOD Z UCTU	6242	32888	DUCHOD	AB	11927444
1084417	3704	1994-09-09	PRIJEM	PREVOD Z UCTU	6242	33725	DUCHOD	AB	11927444
1084418	3704	1994-10-09	PRIJEM	PREVOD Z UCTU	6242	34784	DUCHOD	AB	11927444
1084419	3704	1994-11-09	PRIJEM	PREVOD Z UCTU	6242	36990	DUCHOD	AB	11927444
1084420	3704	1994-12-09	PRIJEM	PREVOD Z UCTU	6242	28939	DUCHOD	AB	11927444
1084421	3704	1995-01-09	PRIJEM	PREVOD Z UCTU	6242	23919	DUCHOD	AB	11927444
1084422	3704	1995-02-09	PRIJEM	PREVOD Z UCTU	6242	20076	DUCHOD	AB	11927444
1084423	3704	1995-03-09	PRIJEM	PREVOD Z UCTU	6242	22842	DUCHOD	AB	11927444
1084424	3704	1995-04-09	PRIJEM	PREVOD Z UCTU	6242	26104	DUCHOD	AB	11927444
1084425	3704	1995-05-09	PRIJEM	PREVOD Z UCTU	6242	29276	DUCHOD	AB	11927444
1084426	3704	1995-06-09	PRIJEM	PREVOD Z UCTU	6242	27760	DUCHOD	AB	11927444
1084427	3704	1995-07-09	PRIJEM	PREVOD Z UCTU	6242	31046	DUCHOD	AB	11927444
1084428	3704	1995-08-09	PRIJEM	PREVOD Z UCTU	6242	34245	DUCHOD	AB	11927444
1084429	3704	1995-09-09	PRIJEM	PREVOD Z UCTU	6242	31736	DUCHOD	AB	11927444
1084430	3704	1995-10-09	PRIJEM	PREVOD Z UCTU	6242	30721	DUCHOD	AB	11927444
1084431	3704	1995-11-09	PRIJEM	PREVOD Z UCTU	6242	29802	DUCHOD	AB	11927444
1084432	3704	1995-12-09	PRIJEM	PREVOD Z UCTU	6242	27204	DUCHOD	AB	11927444
1084433	3704	1996-01-09	PRIJEM	PREVOD Z UCTU	6242	28500	DUCHOD	AB	11927444
1084434	3704	1996-02-09	PRIJEM	PREVOD Z UCTU	6242	20715	DUCHOD	AB	11927444
1084435	3704	1996-03-09	PRIJEM	PREVOD Z UCTU	6242	23964	DUCHOD	AB	11927444
1084436	3704	1996-04-09	PRIJEM	PREVOD Z UCTU	6242	22705	DUCHOD	AB	11927444
1084437	3704	1996-05-09	PRIJEM	PREVOD Z UCTU	6242	25968	DUCHOD	AB	11927444
1084438	3704	1996-06-09	PRIJEM	PREVOD Z UCTU	6242	29238	DUCHOD	AB	11927444
1084439	3704	1996-07-09	PRIJEM	PREVOD Z UCTU	6242	30518	DUCHOD	AB	11927444
1084440	3704	1996-08-09	PRIJEM	PREVOD Z UCTU	6242	31965	DUCHOD	AB	11927444
1084441	3704	1996-09-09	PRIJEM	PREVOD Z UCTU	6242	34661	DUCHOD	AB	11927444
1084442	3704	1996-10-09	PRIJEM	PREVOD Z UCTU	6242	34169	DUCHOD	AB	11927444
1084443	3704	1996-11-09	PRIJEM	PREVOD Z UCTU	6242	33949	DUCHOD	AB	11927444
1084444	3704	1996-12-09	PRIJEM	PREVOD Z UCTU	6242	29023	DUCHOD	AB	11927444
1084445	3704	1997-01-09	PRIJEM	PREVOD Z UCTU	6242	30471	DUCHOD	AB	11927444
1084446	3704	1997-02-09	PRIJEM	PREVOD Z UCTU	6242	23470	DUCHOD	AB	11927444
1084447	3704	1997-03-09	PRIJEM	PREVOD Z UCTU	6242	26730	DUCHOD	AB	11927444
1084448	3704	1997-04-09	PRIJEM	PREVOD Z UCTU	6242	30003	DUCHOD	AB	11927444
1084449	3704	1997-05-09	PRIJEM	PREVOD Z UCTU	6242	32990	DUCHOD	AB	11927444
1084450	3704	1997-06-09	PRIJEM	PREVOD Z UCTU	6242	28192	DUCHOD	AB	11927444
1084451	3704	1997-07-09	PRIJEM	PREVOD Z UCTU	6242	29244	DUCHOD	AB	11927444
1084452	3704	1997-08-09	PRIJEM	PREVOD Z UCTU	6242	32533	DUCHOD	AB	11927444
1084453	3704	1997-09-09	PRIJEM	PREVOD Z UCTU	6242	35830	DUCHOD	AB	11927444
1084454	3704	1997-10-09	PRIJEM	PREVOD Z UCTU	6242	39141	DUCHOD	AB	11927444
1084455	3704	1997-11-09	PRIJEM	PREVOD Z UCTU	6242	42465	DUCHOD	AB	11927444
1084456	3704	1997-12-09	PRIJEM	PREVOD Z UCTU	6242	42523	DUCHOD	AB	11927444
1084457	3704	1998-01-09	PRIJEM	PREVOD Z UCTU	6242	44015	DUCHOD	AB	11927444
1084458	3704	1998-02-09	PRIJEM	PREVOD Z UCTU	6242	35222	DUCHOD	AB	11927444
1084459	3704	1998-03-09	PRIJEM	PREVOD Z UCTU	6242	38530	DUCHOD	AB	11927444
1084460	3704	1998-04-09	PRIJEM	PREVOD Z UCTU	6242	39131	DUCHOD	AB	11927444
1084461	3704	1998-05-09	PRIJEM	PREVOD Z UCTU	6242	42461	DUCHOD	AB	11927444
1084462	3704	1998-06-09	PRIJEM	PREVOD Z UCTU	6242	34449	DUCHOD	AB	11927444
1084463	3704	1998-07-09	PRIJEM	PREVOD Z UCTU	6242	36333	DUCHOD	AB	11927444
1084464	3704	1998-08-09	PRIJEM	PREVOD Z UCTU	6242	39644	DUCHOD	AB	11927444
1084465	3704	1998-09-09	PRIJEM	PREVOD Z UCTU	6242	42409	DUCHOD	AB	11927444
1084466	3704	1998-10-09	PRIJEM	PREVOD Z UCTU	6242	45746	DUCHOD	AB	11927444
1084467	3704	1998-11-09	PRIJEM	PREVOD Z UCTU	6242	49097	DUCHOD	AB	11927444
1084468	3704	1998-12-09	PRIJEM	PREVOD Z UCTU	6242	49736	DUCHOD	AB	11927444
1084474	3704	1993-06-13	VYDAJ	PREVOD NA UCET	3046	27991	SIPO	YZ	11861372
1084475	3704	1993-07-13	VYDAJ	PREVOD NA UCET	3046	18421	SIPO	YZ	11861372
1084476	3704	1993-08-13	VYDAJ	PREVOD NA UCET	3046	21674	SIPO	YZ	11861372
1084477	3704	1993-09-13	VYDAJ	PREVOD NA UCET	3046	22619	SIPO	YZ	11861372
1084478	3704	1993-10-13	VYDAJ	PREVOD NA UCET	3046	23894	SIPO	YZ	11861372
1084479	3704	1993-11-13	VYDAJ	PREVOD NA UCET	3046	27175	SIPO	YZ	11861372
1084480	3704	1993-12-13	VYDAJ	PREVOD NA UCET	3046	29864	SIPO	YZ	11861372
1084481	3704	1994-01-13	VYDAJ	PREVOD NA UCET	3046	26569	SIPO	YZ	11861372
1084482	3704	1994-02-13	VYDAJ	PREVOD NA UCET	3046	25372	SIPO	YZ	11861372
1084483	3704	1994-03-13	VYDAJ	PREVOD NA UCET	3046	21050	SIPO	YZ	11861372
1084484	3704	1994-04-13	VYDAJ	PREVOD NA UCET	3046	21520	SIPO	YZ	11861372
1084485	3704	1994-05-13	VYDAJ	PREVOD NA UCET	3046	24786	SIPO	YZ	11861372
1084486	3704	1994-06-13	VYDAJ	PREVOD NA UCET	3046	26863	SIPO	YZ	11861372
1084487	3704	1994-07-13	VYDAJ	PREVOD NA UCET	3046	29150	SIPO	YZ	11861372
1084488	3704	1994-08-13	VYDAJ	PREVOD NA UCET	3046	29282	SIPO	YZ	11861372
1084489	3704	1994-09-13	VYDAJ	PREVOD NA UCET	3046	30679	SIPO	YZ	11861372
1084490	3704	1994-10-13	VYDAJ	PREVOD NA UCET	3046	31738	SIPO	YZ	11861372
1084491	3704	1994-11-13	VYDAJ	PREVOD NA UCET	3046	33944	SIPO	YZ	11861372
1084492	3704	1994-12-13	VYDAJ	PREVOD NA UCET	3046	22133	SIPO	YZ	11861372
1084493	3704	1995-01-13	VYDAJ	PREVOD NA UCET	3046	20873	SIPO	YZ	11861372
1084494	3704	1995-02-13	VYDAJ	PREVOD NA UCET	3046	17030	SIPO	YZ	11861372
1084495	3704	1995-03-13	VYDAJ	PREVOD NA UCET	3046	19796	SIPO	YZ	11861372
1084496	3704	1995-04-13	VYDAJ	PREVOD NA UCET	3046	23058	SIPO	YZ	11861372
1084497	3704	1995-05-13	VYDAJ	PREVOD NA UCET	3046	26230	SIPO	YZ	11861372
1084498	3704	1995-06-13	VYDAJ	PREVOD NA UCET	3046	24714	SIPO	YZ	11861372
1084499	3704	1995-07-13	VYDAJ	PREVOD NA UCET	3046	27900	SIPO	YZ	11861372
1084500	3704	1995-08-13	VYDAJ	PREVOD NA UCET	3046	25399	SIPO	YZ	11861372
1084501	3704	1995-09-13	VYDAJ	PREVOD NA UCET	3046	24390	SIPO	YZ	11861372
1084502	3704	1995-10-13	VYDAJ	PREVOD NA UCET	3046	23475	SIPO	YZ	11861372
1084503	3704	1995-11-13	VYDAJ	PREVOD NA UCET	3046	25356	SIPO	YZ	11861372
1084504	3704	1995-12-13	VYDAJ	PREVOD NA UCET	3046	22658	SIPO	YZ	11861372
1084505	3704	1996-01-13	VYDAJ	PREVOD NA UCET	3046	16334	SIPO	YZ	11861372
1084506	3704	1996-02-13	VYDAJ	PREVOD NA UCET	3046	17669	SIPO	YZ	11861372
1084507	3704	1996-03-13	VYDAJ	PREVOD NA UCET	3046	19918	SIPO	YZ	11861372
1084508	3704	1996-04-13	VYDAJ	PREVOD NA UCET	3046	19659	SIPO	YZ	11861372
1084509	3704	1996-05-13	VYDAJ	PREVOD NA UCET	3046	22922	SIPO	YZ	11861372
1084510	3704	1996-06-13	VYDAJ	PREVOD NA UCET	3046	24192	SIPO	YZ	11861372
1084511	3704	1996-07-13	VYDAJ	PREVOD NA UCET	3046	27472	SIPO	YZ	11861372
1084512	3704	1996-08-13	VYDAJ	PREVOD NA UCET	3046	28919	SIPO	YZ	11861372
1084513	3704	1996-09-13	VYDAJ	PREVOD NA UCET	3046	31615	SIPO	YZ	11861372
1084514	3704	1996-10-13	VYDAJ	PREVOD NA UCET	3046	27603	SIPO	YZ	11861372
1084515	3704	1996-11-13	VYDAJ	PREVOD NA UCET	3046	30903	SIPO	YZ	11861372
1084516	3704	1996-12-13	VYDAJ	PREVOD NA UCET	3046	25977	SIPO	YZ	11861372
1084517	3704	1997-01-13	VYDAJ	PREVOD NA UCET	3046	26305	SIPO	YZ	11861372
1084518	3704	1997-02-13	VYDAJ	PREVOD NA UCET	3046	20424	SIPO	YZ	11861372
1084519	3704	1997-03-13	VYDAJ	PREVOD NA UCET	3046	23684	SIPO	YZ	11861372
1084520	3704	1997-04-13	VYDAJ	PREVOD NA UCET	3046	26957	SIPO	YZ	11861372
1084521	3704	1997-05-13	VYDAJ	PREVOD NA UCET	3046	29944	SIPO	YZ	11861372
1084522	3704	1997-06-13	VYDAJ	PREVOD NA UCET	3046	25146	SIPO	YZ	11861372
1084523	3704	1997-07-13	VYDAJ	PREVOD NA UCET	3046	26198	SIPO	YZ	11861372
1084524	3704	1997-08-13	VYDAJ	PREVOD NA UCET	3046	29487	SIPO	YZ	11861372
1084525	3704	1997-09-13	VYDAJ	PREVOD NA UCET	3046	32784	SIPO	YZ	11861372
1084526	3704	1997-10-13	VYDAJ	PREVOD NA UCET	3046	36095	SIPO	YZ	11861372
1084527	3704	1997-11-13	VYDAJ	PREVOD NA UCET	3046	39419	SIPO	YZ	11861372
1084528	3704	1997-12-13	VYDAJ	PREVOD NA UCET	3046	39477	SIPO	YZ	11861372
1084529	3704	1998-01-13	VYDAJ	PREVOD NA UCET	3046	38889	SIPO	YZ	11861372
1084530	3704	1998-02-13	VYDAJ	PREVOD NA UCET	3046	32176	SIPO	YZ	11861372
1084531	3704	1998-03-13	VYDAJ	PREVOD NA UCET	3046	35484	SIPO	YZ	11861372
1084532	3704	1998-04-13	VYDAJ	PREVOD NA UCET	3046	36085	SIPO	YZ	11861372
1084533	3704	1998-05-13	VYDAJ	PREVOD NA UCET	3046	39415	SIPO	YZ	11861372
1084534	3704	1998-06-13	VYDAJ	PREVOD NA UCET	3046	29963	SIPO	YZ	11861372
1084535	3704	1998-07-13	VYDAJ	PREVOD NA UCET	3046	33287	SIPO	YZ	11861372
1084536	3704	1998-08-13	VYDAJ	PREVOD NA UCET	3046	36598	SIPO	YZ	11861372
1084537	3704	1998-09-13	VYDAJ	PREVOD NA UCET	3046	39363	SIPO	YZ	11861372
1084538	3704	1998-10-13	VYDAJ	PREVOD NA UCET	3046	42700	SIPO	YZ	11861372
1084539	3704	1998-11-13	VYDAJ	PREVOD NA UCET	3046	46051	SIPO	YZ	11861372
1084540	3704	1998-12-13	VYDAJ	PREVOD NA UCET	3046	46690	SIPO	YZ	11861372
1084541	3704	1993-06-24	VYDAJ	VYBER	12050	15141	\N	\N	\N
1084543	3704	1995-06-08	VYDAJ	VYBER	3600	21518	\N	\N	\N
1084544	3704	1996-06-12	VYDAJ	VYBER	2000	27238	\N	\N	\N
1084545	3704	1997-06-06	VYDAJ	VYBER	8100	21950	\N	\N	\N
1084546	3704	1998-06-05	VYDAJ	VYBER	11350	28207	\N	\N	\N
1084548	3704	1994-01-21	VYDAJ	VYBER	1850	24719	\N	\N	\N
1084549	3704	1995-01-24	VYDAJ	VYBER	3500	13773	\N	\N	\N
1084551	3704	1997-01-21	VYDAJ	VYBER	3400	22105	\N	\N	\N
1084552	3704	1998-01-26	VYDAJ	VYBER	4850	31239	\N	\N	\N
1084553	3704	1993-12-03	VYDAJ	VYBER	600	26668	\N	\N	\N
1084554	3704	1994-12-15	VYDAJ	VYBER	300	21833	\N	\N	\N
1084555	3704	1995-12-08	VYDAJ	VYBER	800	20962	\N	\N	\N
1084556	3704	1996-12-07	VYDAJ	VYBER	1100	22781	\N	\N	\N
1084557	3704	1997-12-19	VYDAJ	VYBER	650	38827	\N	\N	\N
1084558	3704	1998-12-25	VYDAJ	VYBER	1150	42540	\N	\N	\N
1084565	3704	1994-01-01	VYDAJ	VYBER	720	29053	\N	\N	\N
1084566	3704	1994-01-08	VYDAJ	VYBER	2320	26733	\N	\N	\N
1084567	3704	1994-01-11	VYDAJ	VYBER	1760	31215	\N	\N	\N
1084568	3704	1994-01-27	VYDAJ	VYBER	1520	22079	\N	\N	\N
1084569	3704	1994-01-12	VYDAJ	VYBER	1600	29615	\N	\N	\N
1084570	3704	1994-01-26	VYDAJ	VYBER	1120	23599	\N	\N	\N
1084571	3704	1995-01-16	VYDAJ	VYBER	2160	18713	\N	\N	\N
1084572	3704	1995-01-01	VYDAJ	VYBER	1120	20797	\N	\N	\N
1084573	3704	1995-01-23	VYDAJ	VYBER	960	17273	\N	\N	\N
1084574	3704	1995-01-01	VYDAJ	VYBER	1520	19277	\N	\N	\N
1084575	3704	1995-01-03	VYDAJ	VYBER	1600	17677	\N	\N	\N
1084576	3704	1995-01-19	VYDAJ	VYBER	480	18233	\N	\N	\N
1084577	3704	1996-01-06	VYDAJ	VYBER	480	22258	\N	\N	\N
1084579	3704	1996-01-09	VYDAJ	VYBER	2320	21380	\N	\N	\N
1084580	3704	1996-01-19	VYDAJ	VYBER	640	14414	\N	\N	\N
1084581	3704	1996-01-11	VYDAJ	VYBER	2000	19380	\N	\N	\N
1084582	3704	1996-01-18	VYDAJ	VYBER	1280	15054	\N	\N	\N
1084583	3704	1997-01-10	VYDAJ	VYBER	1120	29351	\N	\N	\N
1084584	3704	1997-01-08	VYDAJ	VYBER	1840	24229	\N	\N	\N
1084585	3704	1997-01-30	VYDAJ	VYBER	720	17145	\N	\N	\N
1084586	3704	1997-01-22	VYDAJ	VYBER	2080	20025	\N	\N	\N
1084587	3704	1997-01-20	VYDAJ	VYBER	800	25505	\N	\N	\N
1084588	3704	1997-01-24	VYDAJ	VYBER	2160	17865	\N	\N	\N
1084589	3704	1998-01-13	VYDAJ	VYBER	2080	41935	\N	\N	\N
1084590	3704	1998-01-28	VYDAJ	VYBER	1520	29719	\N	\N	\N
1084591	3704	1998-01-18	VYDAJ	VYBER	720	38169	\N	\N	\N
1084592	3704	1998-01-30	VYDAJ	VYBER	880	28839	\N	\N	\N
1084593	3704	1998-01-03	VYDAJ	VYBER	800	37773	\N	\N	\N
1084594	3704	1998-01-25	VYDAJ	VYBER	2080	36089	\N	\N	\N
1084595	3704	1993-10-07	VYDAJ	VYBER	2000	20698	\N	\N	\N
1084597	3704	1993-08-27	VYDAJ	VYBER	1600	20074	\N	\N	\N
1084598	3704	1993-09-07	VYDAJ	VYBER	720	19423	\N	\N	\N
1084599	3704	1994-03-03	VYDAJ	VYBER	3040	21134	\N	\N	\N
1084600	3704	1994-12-04	VYDAJ	VYBER	3840	22697	\N	\N	\N
1084601	3704	1994-02-14	VYDAJ	VYBER	1280	24092	\N	\N	\N
1084602	3704	1994-03-28	VYDAJ	VYBER	2800	18250	\N	\N	\N
1084603	3704	1994-08-11	VYDAJ	VYBER	560	32328	\N	\N	\N
1084604	3704	1994-12-04	VYDAJ	VYBER	3920	26537	\N	\N	\N
1084605	3704	1994-09-16	VYDAJ	VYBER	2240	28439	\N	\N	\N
1084606	3704	1994-03-06	VYDAJ	VYBER	3280	17854	\N	\N	\N
1084607	3704	1994-12-09	VYDAJ	VYBER	3760	25179	\N	\N	\N
1084608	3704	1995-05-27	VYDAJ	VYBER	1200	25030	\N	\N	\N
1084609	3704	1995-11-25	VYDAJ	VYBER	3680	21676	\N	\N	\N
1084610	3704	1995-03-03	VYDAJ	VYBER	480	16600	\N	\N	\N
1084611	3704	1996-11-25	VYDAJ	VYBER	3280	23783	\N	\N	\N
1084612	3704	1996-03-19	VYDAJ	VYBER	1200	18718	\N	\N	\N
1084613	3704	1996-07-21	VYDAJ	VYBER	1840	25632	\N	\N	\N
1084614	3704	1996-10-09	VYDAJ	VYBER	3520	30649	\N	\N	\N
1084615	3704	1996-11-19	VYDAJ	VYBER	3840	27063	\N	\N	\N
1084617	3704	1996-09-19	VYDAJ	VYBER	1200	30415	\N	\N	\N
1084618	3704	1996-04-01	VYDAJ	VYBER	2320	16463	\N	\N	\N
1084619	3704	1997-12-01	VYDAJ	VYBER	1680	36281	\N	\N	\N
1084620	3704	1997-07-02	VYDAJ	VYBER	2240	23002	\N	\N	\N
1084621	3704	1998-06-13	VYDAJ	VYBER	1440	33009	\N	\N	\N
1084622	3704	1998-04-02	VYDAJ	VYBER	2720	32889	\N	\N	\N
1084623	3704	1998-11-17	VYDAJ	VYBER	2720	43331	\N	\N	\N
1084624	3704	1998-08-24	VYDAJ	VYBER	560	36038	\N	\N	\N
1084631	3704	1993-06-30	VYDAJ	VYBER	15	15225	SLUZBY	\N	\N
1084632	3704	1993-07-31	VYDAJ	VYBER	15	18478	SLUZBY	\N	\N
1084633	3704	1993-08-31	VYDAJ	VYBER	15	20143	SLUZBY	\N	\N
1084634	3704	1993-09-30	VYDAJ	VYBER	15	22698	SLUZBY	\N	\N
1084635	3704	1993-10-31	VYDAJ	VYBER	15	23979	SLUZBY	\N	\N
1084636	3704	1993-11-30	VYDAJ	VYBER	15	27268	SLUZBY	\N	\N
1084637	3704	1993-12-31	VYDAJ	VYBER	15	29773	SLUZBY	\N	\N
1084638	3704	1994-01-31	VYDAJ	VYBER	15	22176	SLUZBY	\N	\N
1084639	3704	1994-02-28	VYDAJ	VYBER	15	24174	SLUZBY	\N	\N
1084640	3704	1994-03-31	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
1084641	3704	1994-04-30	VYDAJ	VYBER	15	21590	SLUZBY	\N	\N
1084642	3704	1994-05-31	VYDAJ	VYBER	15	23667	SLUZBY	\N	\N
1084643	3704	1994-06-30	VYDAJ	VYBER	15	25954	SLUZBY	\N	\N
1084644	3704	1994-07-31	VYDAJ	VYBER	15	26646	SLUZBY	\N	\N
1084645	3704	1994-08-31	VYDAJ	VYBER	15	27483	SLUZBY	\N	\N
1084646	3704	1994-09-30	VYDAJ	VYBER	15	28542	SLUZBY	\N	\N
1084647	3704	1994-10-31	VYDAJ	VYBER	15	30748	SLUZBY	\N	\N
1084648	3704	1994-11-30	VYDAJ	VYBER	15	30457	SLUZBY	\N	\N
1084649	3704	1994-12-31	VYDAJ	VYBER	15	21917	SLUZBY	\N	\N
1084650	3704	1995-01-31	VYDAJ	VYBER	15	13834	SLUZBY	\N	\N
1084651	3704	1995-02-28	VYDAJ	VYBER	15	17080	SLUZBY	\N	\N
1084652	3704	1995-03-31	VYDAJ	VYBER	15	19862	SLUZBY	\N	\N
1084653	3704	1995-04-30	VYDAJ	VYBER	15	23034	SLUZBY	\N	\N
1084654	3704	1995-05-31	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
1084655	3704	1995-06-30	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
1084656	3704	1995-07-31	VYDAJ	VYBER	15	28003	SLUZBY	\N	\N
1084657	3704	1995-08-31	VYDAJ	VYBER	15	25494	SLUZBY	\N	\N
1084658	3704	1995-09-30	VYDAJ	VYBER	15	24479	SLUZBY	\N	\N
1084659	3704	1995-10-31	VYDAJ	VYBER	15	23560	SLUZBY	\N	\N
1084660	3704	1995-11-30	VYDAJ	VYBER	15	21762	SLUZBY	\N	\N
1084661	3704	1995-12-31	VYDAJ	VYBER	15	22738	SLUZBY	\N	\N
1084662	3704	1996-01-31	VYDAJ	VYBER	15	14473	SLUZBY	\N	\N
1084663	3704	1996-02-29	VYDAJ	VYBER	15	17722	SLUZBY	\N	\N
1084664	3704	1996-03-31	VYDAJ	VYBER	15	18783	SLUZBY	\N	\N
1084665	3704	1996-04-30	VYDAJ	VYBER	15	19726	SLUZBY	\N	\N
1084666	3704	1996-05-31	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
1084667	3704	1996-06-30	VYDAJ	VYBER	15	24276	SLUZBY	\N	\N
1084668	3704	1996-07-31	VYDAJ	VYBER	15	25723	SLUZBY	\N	\N
1084669	3704	1996-08-31	VYDAJ	VYBER	15	29019	SLUZBY	\N	\N
1084670	3704	1996-09-30	VYDAJ	VYBER	15	30527	SLUZBY	\N	\N
1084671	3704	1996-10-31	VYDAJ	VYBER	15	27707	SLUZBY	\N	\N
1084672	3704	1996-11-30	VYDAJ	VYBER	15	23881	SLUZBY	\N	\N
1084673	3704	1996-12-31	VYDAJ	VYBER	15	26069	SLUZBY	\N	\N
1084674	3704	1997-01-31	VYDAJ	VYBER	15	17228	SLUZBY	\N	\N
1084675	3704	1997-02-28	VYDAJ	VYBER	15	20488	SLUZBY	\N	\N
1084676	3704	1997-03-31	VYDAJ	VYBER	15	23761	SLUZBY	\N	\N
1084677	3704	1997-04-30	VYDAJ	VYBER	15	27048	SLUZBY	\N	\N
1084678	3704	1997-05-31	VYDAJ	VYBER	15	30050	SLUZBY	\N	\N
1084679	3704	1997-06-30	VYDAJ	VYBER	15	25242	SLUZBY	\N	\N
1084680	3704	1997-07-31	VYDAJ	VYBER	15	26291	SLUZBY	\N	\N
1084681	3704	1997-08-31	VYDAJ	VYBER	15	29588	SLUZBY	\N	\N
1084682	3704	1997-09-30	VYDAJ	VYBER	15	32899	SLUZBY	\N	\N
1084683	3704	1997-10-31	VYDAJ	VYBER	15	36223	SLUZBY	\N	\N
1084684	3704	1997-11-30	VYDAJ	VYBER	15	37961	SLUZBY	\N	\N
1084685	3704	1997-12-31	VYDAJ	VYBER	15	38573	SLUZBY	\N	\N
1084686	3704	1998-01-31	VYDAJ	VYBER	15	28980	SLUZBY	\N	\N
1084687	3704	1998-02-28	VYDAJ	VYBER	15	32288	SLUZBY	\N	\N
1084688	3704	1998-03-31	VYDAJ	VYBER	15	35609	SLUZBY	\N	\N
1084689	3704	1998-04-30	VYDAJ	VYBER	15	36219	SLUZBY	\N	\N
1084690	3704	1998-05-31	VYDAJ	VYBER	15	39557	SLUZBY	\N	\N
1084691	3704	1998-06-30	VYDAJ	VYBER	15	30091	SLUZBY	\N	\N
1084692	3704	1998-07-31	VYDAJ	VYBER	15	33402	SLUZBY	\N	\N
1084693	3704	1998-08-31	VYDAJ	VYBER	15	36167	SLUZBY	\N	\N
1084694	3704	1998-09-30	VYDAJ	VYBER	15	39504	SLUZBY	\N	\N
1084695	3704	1998-10-31	VYDAJ	VYBER	15	42855	SLUZBY	\N	\N
1084696	3704	1998-11-30	VYDAJ	VYBER	15	43494	SLUZBY	\N	\N
1084697	3704	1993-05-24	VYDAJ	VYBER	700	24768	\N	\N	\N
1084698	3704	1993-06-23	VYDAJ	VYBER	800	27191	\N	\N	\N
1084699	3704	1993-12-20	VYDAJ	VYBER	200	29664	\N	\N	\N
1084700	3704	1994-05-19	VYDAJ	VYBER	1200	23586	\N	\N	\N
1084701	3704	1994-06-18	VYDAJ	VYBER	1000	25863	\N	\N	\N
1084702	3704	1994-07-18	VYDAJ	VYBER	2600	26550	\N	\N	\N
1084703	3704	1994-08-17	VYDAJ	VYBER	1900	27382	\N	\N	\N
1084704	3704	1994-10-16	VYDAJ	VYBER	1100	30638	\N	\N	\N
1084705	3704	1994-11-15	VYDAJ	VYBER	3600	30344	\N	\N	\N
1084706	3704	1995-04-14	VYDAJ	VYBER	100	22958	\N	\N	\N
1084707	3704	1995-07-13	VYDAJ	VYBER	100	30946	\N	\N	\N
1084708	3704	1995-08-12	VYDAJ	VYBER	5800	28445	\N	\N	\N
1084709	3704	1995-09-11	VYDAJ	VYBER	4300	27436	\N	\N	\N
1084710	3704	1995-10-11	VYDAJ	VYBER	4200	26521	\N	\N	\N
1084711	3704	1995-11-10	VYDAJ	VYBER	1400	28402	\N	\N	\N
1084712	3704	1995-12-10	VYDAJ	VYBER	1500	25704	\N	\N	\N
1084713	3704	1996-01-09	VYDAJ	VYBER	4800	23700	\N	\N	\N
1084714	3704	1996-03-09	VYDAJ	VYBER	1000	22964	\N	\N	\N
1084715	3704	1996-09-05	VYDAJ	VYBER	600	28419	\N	\N	\N
1084716	3704	1996-10-05	VYDAJ	VYBER	2600	27927	\N	\N	\N
1084717	3704	1997-05-03	VYDAJ	VYBER	300	26748	\N	\N	\N
1084718	3704	1997-11-29	VYDAJ	VYBER	1600	37819	\N	\N	\N
1084719	3704	1997-12-29	VYDAJ	VYBER	400	38427	\N	\N	\N
1084720	3704	1998-12-24	VYDAJ	VYBER	3000	43690	\N	\N	\N
1084789	3705	1997-10-24	PRIJEM	VKLAD	200	200	\N	\N	\N
1084790	3705	1997-12-15	PRIJEM	VKLAD	42237	134853	\N	\N	\N
1084792	3705	1997-11-27	PRIJEM	VKLAD	45873	58573	\N	\N	\N
1084798	3705	1997-12-06	PRIJEM	VKLAD	34010	92616	\N	\N	\N
1084801	3705	1998-11-11	PRIJEM	VKLAD	14998	79325	\N	\N	\N
1084802	3705	1998-10-11	PRIJEM	VKLAD	39359	87299	\N	\N	\N
1084803	3705	1998-02-19	PRIJEM	VKLAD	5759	44131	\N	\N	\N
1084804	3705	1998-10-18	PRIJEM	VKLAD	15205	102504	\N	\N	\N
1084805	3705	1998-05-28	PRIJEM	VKLAD	49340	61622	\N	\N	\N
1084806	3705	1998-02-25	PRIJEM	VKLAD	11160	52859	\N	\N	\N
1084807	3705	1998-11-08	PRIJEM	VKLAD	46450	126527	\N	\N	\N
1084808	3705	1998-08-08	PRIJEM	VKLAD	16726	75129	\N	\N	\N
1084809	3705	1998-06-23	PRIJEM	VKLAD	20712	52342	\N	\N	\N
1084810	3705	1998-03-02	PRIJEM	VKLAD	47636	140937	\N	\N	\N
1084811	3705	1998-07-04	PRIJEM	VKLAD	6868	37802	\N	\N	\N
1084812	3705	1998-03-08	PRIJEM	VKLAD	39690	143527	\N	\N	\N
1084813	3705	1998-03-01	PRIJEM	VKLAD	40230	93301	\N	\N	\N
1084814	3705	1998-08-26	PRIJEM	VKLAD	23828	77057	\N	\N	\N
1084815	3705	1998-07-25	PRIJEM	VKLAD	22386	71100	\N	\N	\N
1084816	3705	1998-10-23	PRIJEM	VKLAD	42460	106864	\N	\N	\N
1084817	3705	1998-12-13	PRIJEM	VKLAD	48150	87648	\N	\N	\N
1084818	3705	1998-12-15	PRIJEM	VKLAD	32043	119691	\N	\N	\N
1084819	3705	1998-02-21	PRIJEM	VKLAD	23768	67899	\N	\N	\N
1084820	3705	1998-07-13	PRIJEM	VKLAD	31912	69714	\N	\N	\N
1084821	3705	1998-03-20	PRIJEM	VKLAD	16368	132395	\N	\N	\N
1084822	3705	1998-06-10	PRIJEM	VKLAD	44354	106030	\N	\N	\N
1084827	3705	1998-06-23	VYBER	VYBER	21618	30724	\N	\N	\N
1084828	3705	1998-04-05	VYBER	VYBER	14316	38724	\N	\N	\N
1084830	3705	1998-06-14	VYDAJ	VYBER	45300	46330	\N	\N	\N
1084834	3705	1998-12-29	VYDAJ	VYBER	8400	38791	\N	\N	\N
1084853	3705	1998-11-24	VYDAJ	VYBER	10800	39225	\N	\N	\N
1084854	3705	1998-04-22	VYDAJ	VYBER	14400	17624	\N	\N	\N
1084855	3705	1998-10-03	VYDAJ	VYBER	5100	47940	\N	\N	\N
1084856	3705	1998-06-10	VYDAJ	VYBER	14400	91630	\N	\N	\N
1084857	3705	1998-03-31	VYDAJ	VYBER	2700	53054	\N	\N	\N
1084858	3705	1998-08-04	VYDAJ	VYBER	12900	58403	\N	\N	\N
1084859	3705	1998-04-27	VYDAJ	VYBER	7800	9824	\N	\N	\N
1084874	3705	1998-02-28	VYDAJ	VYBER	15	53071	SLUZBY	\N	\N
1084875	3705	1998-03-31	VYDAJ	VYBER	15	53040	SLUZBY	\N	\N
1084876	3705	1998-04-30	VYDAJ	VYBER	15	9982	SLUZBY	\N	\N
1084877	3705	1998-05-31	VYDAJ	VYBER	15	61676	SLUZBY	\N	\N
1084878	3705	1998-06-30	VYDAJ	VYBER	15	30934	SLUZBY	\N	\N
1084879	3705	1998-07-31	VYDAJ	VYBER	15	71303	SLUZBY	\N	\N
1084880	3705	1998-08-31	VYDAJ	VYBER	15	77336	SLUZBY	\N	\N
1084881	3705	1998-09-30	VYDAJ	VYBER	15	53040	SLUZBY	\N	\N
1084882	3705	1998-10-31	VYDAJ	VYBER	15	80077	SLUZBY	\N	\N
1084883	3705	1998-11-30	VYDAJ	VYBER	15	39498	SLUZBY	\N	\N
1084884	3705	1997-11-23	PRIJEM	VKLAD	12500	12700	\N	\N	\N
1084885	3705	1997-12-15	VYDAJ	VYBER	40600	94253	\N	\N	\N
1084886	3705	1997-12-23	VYDAJ	VYBER	37000	57253	\N	\N	\N
1084887	3705	1998-01-22	VYDAJ	VYBER	19400	38133	\N	\N	\N
1084888	3705	1998-02-21	VYDAJ	VYBER	26200	41699	\N	\N	\N
1084889	3705	1998-03-02	VYDAJ	VYBER	37100	103837	\N	\N	\N
1084890	3705	1998-03-08	VYDAJ	VYBER	27500	116027	\N	\N	\N
1084891	3705	1998-03-20	VYDAJ	VYBER	32500	99895	\N	\N	\N
1084892	3705	1998-03-23	VYDAJ	VYBER	44600	55295	\N	\N	\N
1084893	3705	1998-04-22	VYDAJ	VYBER	6700	32024	\N	\N	\N
1084894	3705	1998-05-22	PRIJEM	VKLAD	2300	12282	\N	\N	\N
1084895	3705	1998-06-21	VYDAJ	VYBER	14700	31630	\N	\N	\N
1084896	3705	1998-07-21	VYDAJ	VYBER	21000	48714	\N	\N	\N
1084897	3705	1998-08-20	VYDAJ	VYBER	21900	53229	\N	\N	\N
1084898	3705	1998-09-19	VYDAJ	VYBER	24600	52736	\N	\N	\N
1084899	3705	1998-10-19	VYDAJ	VYBER	38100	64404	\N	\N	\N
1084900	3705	1998-10-23	VYDAJ	VYBER	27100	79764	\N	\N	\N
1084901	3705	1998-11-08	VYDAJ	VYBER	62200	64327	\N	\N	\N
1084902	3705	1998-11-18	VYDAJ	VYBER	29300	50025	\N	\N	\N
1084903	3705	1998-12-15	VYDAJ	VYBER	44700	74991	\N	\N	\N
1084904	3705	1998-12-18	VYDAJ	VYBER	27800	47191	\N	\N	\N
1084919	3706	1996-04-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1084923	3706	1996-04-05	PRIJEM	VKLAD	6447	7447	\N	\N	\N
1084924	3706	1996-05-05	PRIJEM	VKLAD	6447	21721	\N	\N	\N
1084925	3706	1996-06-05	PRIJEM	VKLAD	9670	29874	\N	\N	\N
1084926	3706	1996-07-05	PRIJEM	VKLAD	6447	33841	\N	\N	\N
1084927	3706	1996-08-05	PRIJEM	VKLAD	6447	33927	\N	\N	\N
1084928	3706	1996-09-05	PRIJEM	VKLAD	6447	34377	\N	\N	\N
1084929	3706	1996-10-05	PRIJEM	VKLAD	6447	32033	\N	\N	\N
1084930	3706	1996-11-05	PRIJEM	VKLAD	6447	35885	\N	\N	\N
1084931	3706	1996-12-05	PRIJEM	VKLAD	9670	36272	\N	\N	\N
1084932	3706	1997-01-05	PRIJEM	VKLAD	6447	30855	\N	\N	\N
1084933	3706	1997-02-05	PRIJEM	VKLAD	6447	24195	\N	\N	\N
1084934	3706	1997-03-05	PRIJEM	VKLAD	6447	25825	\N	\N	\N
1084935	3706	1997-04-05	PRIJEM	VKLAD	6447	27048	\N	\N	\N
1084936	3706	1997-05-05	PRIJEM	VKLAD	6447	28090	\N	\N	\N
1084937	3706	1997-06-05	PRIJEM	VKLAD	9670	28440	\N	\N	\N
1084938	3706	1997-07-05	PRIJEM	VKLAD	6447	30077	\N	\N	\N
1084939	3706	1997-08-05	PRIJEM	VKLAD	6447	28998	\N	\N	\N
1084940	3706	1997-09-05	PRIJEM	VKLAD	6447	32547	\N	\N	\N
1084941	3706	1997-10-05	PRIJEM	VKLAD	6447	34298	\N	\N	\N
1084942	3706	1997-11-05	PRIJEM	VKLAD	6447	32164	\N	\N	\N
1084943	3706	1997-12-05	PRIJEM	VKLAD	9670	34197	\N	\N	\N
1084944	3706	1998-01-05	PRIJEM	VKLAD	6447	26447	\N	\N	\N
1084945	3706	1998-02-05	PRIJEM	VKLAD	6447	19985	\N	\N	\N
1084946	3706	1998-03-05	PRIJEM	VKLAD	6447	28992	\N	\N	\N
1084947	3706	1998-04-05	PRIJEM	VKLAD	6447	31428	\N	\N	\N
1084948	3706	1998-05-05	PRIJEM	VKLAD	6447	32556	\N	\N	\N
1084949	3706	1998-06-05	PRIJEM	VKLAD	9670	34111	\N	\N	\N
1084950	3706	1998-07-05	PRIJEM	VKLAD	6447	31249	\N	\N	\N
1084951	3706	1998-08-05	PRIJEM	VKLAD	6447	35607	\N	\N	\N
1084952	3706	1998-09-05	PRIJEM	VKLAD	6447	35677	\N	\N	\N
1084953	3706	1998-10-05	PRIJEM	VKLAD	6447	37753	\N	\N	\N
1084954	3706	1998-11-05	PRIJEM	VKLAD	6447	38981	\N	\N	\N
1084955	3706	1998-12-05	PRIJEM	VKLAD	9670	43580	\N	\N	\N
1084963	3706	1996-08-05	VYDAJ	PREVOD NA UCET	4298	29629	SIPO	EF	51997315
1084964	3706	1996-09-05	VYDAJ	PREVOD NA UCET	4298	30079	SIPO	EF	51997315
1084965	3706	1996-10-05	VYDAJ	PREVOD NA UCET	4298	27735	SIPO	EF	51997315
1084966	3706	1996-11-05	VYDAJ	PREVOD NA UCET	4298	31587	SIPO	EF	51997315
1084967	3706	1996-12-05	VYDAJ	PREVOD NA UCET	4298	31974	SIPO	EF	51997315
1084968	3706	1997-01-05	VYDAJ	PREVOD NA UCET	4298	26557	SIPO	EF	51997315
1084969	3706	1997-02-05	VYDAJ	PREVOD NA UCET	4298	19897	SIPO	EF	51997315
1084970	3706	1997-03-05	VYDAJ	PREVOD NA UCET	4298	21527	SIPO	EF	51997315
1084971	3706	1997-04-05	VYDAJ	PREVOD NA UCET	4298	22750	SIPO	EF	51997315
1084972	3706	1997-05-05	VYDAJ	PREVOD NA UCET	4298	23792	SIPO	EF	51997315
1084973	3706	1997-06-05	VYDAJ	PREVOD NA UCET	4298	24142	SIPO	EF	51997315
1084974	3706	1997-07-05	VYDAJ	PREVOD NA UCET	4298	25779	SIPO	EF	51997315
1084975	3706	1997-08-05	VYDAJ	PREVOD NA UCET	4298	24700	SIPO	EF	51997315
1084976	3706	1997-09-05	VYDAJ	PREVOD NA UCET	4298	28249	SIPO	EF	51997315
1084977	3706	1997-10-05	VYDAJ	PREVOD NA UCET	4298	30000	SIPO	EF	51997315
1084978	3706	1997-11-05	VYDAJ	PREVOD NA UCET	4298	27866	SIPO	EF	51997315
1084979	3706	1997-12-05	VYDAJ	PREVOD NA UCET	4298	29899	SIPO	EF	51997315
1084980	3706	1998-01-05	VYDAJ	PREVOD NA UCET	4298	22149	SIPO	EF	51997315
1084981	3706	1998-02-05	VYDAJ	PREVOD NA UCET	4298	15687	SIPO	EF	51997315
1084982	3706	1998-03-05	VYDAJ	PREVOD NA UCET	4298	24694	SIPO	EF	51997315
1084983	3706	1998-04-05	VYDAJ	PREVOD NA UCET	4298	27130	SIPO	EF	51997315
1084984	3706	1998-05-05	VYDAJ	PREVOD NA UCET	4298	28258	SIPO	EF	51997315
1084985	3706	1998-06-05	VYDAJ	PREVOD NA UCET	4298	29813	SIPO	EF	51997315
1084986	3706	1998-07-05	VYDAJ	PREVOD NA UCET	4298	26951	SIPO	EF	51997315
1084987	3706	1998-08-05	VYDAJ	PREVOD NA UCET	4298	31309	SIPO	EF	51997315
1084988	3706	1998-09-05	VYDAJ	PREVOD NA UCET	4298	31379	SIPO	EF	51997315
1084989	3706	1998-10-05	VYDAJ	PREVOD NA UCET	4298	33455	SIPO	EF	51997315
1084990	3706	1998-11-05	VYDAJ	PREVOD NA UCET	4298	34683	SIPO	EF	51997315
1084991	3706	1998-12-05	VYDAJ	PREVOD NA UCET	4298	39282	SIPO	EF	51997315
1084993	3706	1997-06-01	VYDAJ	VYBER	5920	18770	\N	\N	\N
1084994	3706	1998-06-11	VYDAJ	VYBER	7200	22613	\N	\N	\N
1084996	3706	1997-01-02	VYDAJ	VYBER	5120	24408	\N	\N	\N
1084997	3706	1998-01-18	VYDAJ	VYBER	2880	18069	\N	\N	\N
1084998	3706	1996-12-27	VYDAJ	VYBER	3360	28614	\N	\N	\N
1084999	3706	1997-12-13	VYDAJ	VYBER	4000	25899	\N	\N	\N
1085000	3706	1998-12-24	VYDAJ	VYBER	3840	34142	\N	\N	\N
1085007	3706	1997-01-27	VYDAJ	VYBER	600	13477	\N	\N	\N
1085008	3706	1997-01-07	VYDAJ	VYBER	3120	23437	\N	\N	\N
1085009	3706	1997-01-19	VYDAJ	VYBER	2160	15397	\N	\N	\N
1085010	3706	1997-01-16	VYDAJ	VYBER	3240	17557	\N	\N	\N
1085011	3706	1997-01-24	VYDAJ	VYBER	1320	14077	\N	\N	\N
1085012	3706	1997-01-14	VYDAJ	VYBER	2640	20797	\N	\N	\N
1085013	3706	1998-01-03	VYDAJ	VYBER	3120	20000	\N	\N	\N
1085014	3706	1998-01-19	VYDAJ	VYBER	2880	15189	\N	\N	\N
1085016	3706	1998-01-03	VYDAJ	VYBER	1080	23120	\N	\N	\N
1085017	3706	1998-01-29	VYDAJ	VYBER	1080	19109	\N	\N	\N
1085018	3706	1998-01-11	VYDAJ	VYBER	1200	20949	\N	\N	\N
1085021	3706	1996-08-28	VYDAJ	VYBER	5520	24109	\N	\N	\N
1085027	3706	1997-11-25	VYDAJ	VYBER	2400	27066	\N	\N	\N
1085028	3706	1997-06-18	VYDAJ	VYBER	3600	20542	\N	\N	\N
1085029	3706	1997-12-04	VYDAJ	VYBER	2640	24527	\N	\N	\N
1085030	3706	1997-07-25	VYDAJ	VYBER	5160	14859	\N	\N	\N
1085031	3706	1997-07-21	VYDAJ	VYBER	5760	20019	\N	\N	\N
1085032	3706	1998-10-02	VYDAJ	VYBER	2400	31306	\N	\N	\N
1085033	3706	1998-05-04	VYDAJ	VYBER	3120	26109	\N	\N	\N
1085034	3706	1998-10-11	VYDAJ	VYBER	5040	28415	\N	\N	\N
1085035	3706	1998-02-04	VYDAJ	VYBER	5640	13538	\N	\N	\N
1085036	3706	1998-05-30	VYDAJ	VYBER	4920	24338	\N	\N	\N
1085045	3706	1996-08-31	VYDAJ	VYBER	15	24230	SLUZBY	\N	\N
1085046	3706	1996-09-30	VYDAJ	VYBER	15	30186	SLUZBY	\N	\N
1085047	3706	1996-10-31	VYDAJ	VYBER	15	29438	SLUZBY	\N	\N
1085048	3706	1996-11-30	VYDAJ	VYBER	15	26602	SLUZBY	\N	\N
1085049	3706	1996-12-31	VYDAJ	VYBER	15	29528	SLUZBY	\N	\N
1085050	3706	1997-01-31	VYDAJ	VYBER	15	17748	SLUZBY	\N	\N
1085051	3706	1997-02-28	VYDAJ	VYBER	15	19978	SLUZBY	\N	\N
1085052	3706	1997-03-31	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
1085053	3706	1997-04-30	VYDAJ	VYBER	15	21643	SLUZBY	\N	\N
1085054	3706	1997-05-31	VYDAJ	VYBER	15	24690	SLUZBY	\N	\N
1085055	3706	1997-06-30	VYDAJ	VYBER	15	23630	SLUZBY	\N	\N
1085056	3706	1997-07-31	VYDAJ	VYBER	15	22551	SLUZBY	\N	\N
1085057	3706	1997-08-31	VYDAJ	VYBER	15	26100	SLUZBY	\N	\N
1085058	3706	1997-09-30	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
1085059	3706	1997-10-31	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
1085060	3706	1997-11-30	VYDAJ	VYBER	15	27167	SLUZBY	\N	\N
1085061	3706	1997-12-31	VYDAJ	VYBER	15	24200	SLUZBY	\N	\N
1085062	3706	1998-01-31	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
1085063	3706	1998-02-28	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
1085064	3706	1998-03-31	VYDAJ	VYBER	15	24981	SLUZBY	\N	\N
1085065	3706	1998-04-30	VYDAJ	VYBER	15	29229	SLUZBY	\N	\N
1085066	3706	1998-05-31	VYDAJ	VYBER	15	24441	SLUZBY	\N	\N
1085067	3706	1998-06-30	VYDAJ	VYBER	15	24802	SLUZBY	\N	\N
1085068	3706	1998-07-31	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
1085069	3706	1998-08-31	VYDAJ	VYBER	15	29230	SLUZBY	\N	\N
1085070	3706	1998-09-30	VYDAJ	VYBER	15	33706	SLUZBY	\N	\N
1085071	3706	1998-10-31	VYDAJ	VYBER	15	32534	SLUZBY	\N	\N
1085072	3706	1998-11-30	VYDAJ	VYBER	15	33910	SLUZBY	\N	\N
1085073	3706	1996-05-04	PRIJEM	VKLAD	7800	15274	\N	\N	\N
1085074	3706	1996-06-03	VYDAJ	VYBER	1600	20204	\N	\N	\N
1085075	3706	1996-07-03	VYDAJ	VYBER	2600	27394	\N	\N	\N
1085076	3706	1996-08-02	VYDAJ	VYBER	6500	27480	\N	\N	\N
1085077	3706	1996-09-01	PRIJEM	VKLAD	3700	27930	\N	\N	\N
1085078	3706	1996-10-01	VYDAJ	VYBER	4600	25586	\N	\N	\N
1085079	3706	1996-10-31	PRIJEM	VKLAD	1600	29452	\N	\N	\N
1085080	3706	1996-11-30	VYDAJ	VYBER	5100	26617	\N	\N	\N
1085081	3706	1996-12-30	PRIJEM	VKLAD	800	29414	\N	\N	\N
1085082	3706	1997-01-29	PRIJEM	VKLAD	4200	17677	\N	\N	\N
1085083	3706	1997-02-28	VYDAJ	VYBER	600	19378	\N	\N	\N
1085084	3706	1997-03-30	VYDAJ	VYBER	1000	20527	\N	\N	\N
1085085	3706	1997-04-29	VYDAJ	VYBER	1200	21550	\N	\N	\N
1085086	3706	1997-05-29	PRIJEM	VKLAD	800	24592	\N	\N	\N
1085087	3706	1997-06-28	PRIJEM	VKLAD	3000	23542	\N	\N	\N
1085088	3706	1997-07-28	PRIJEM	VKLAD	7600	22459	\N	\N	\N
1085089	3706	1997-08-27	PRIJEM	VKLAD	1300	26000	\N	\N	\N
1085090	3706	1997-09-26	VYDAJ	VYBER	500	27749	\N	\N	\N
1085091	3706	1997-10-26	VYDAJ	VYBER	4400	25600	\N	\N	\N
1085092	3706	1997-11-25	PRIJEM	VKLAD	1600	29466	\N	\N	\N
1085093	3706	1997-12-25	VYDAJ	VYBER	1800	24099	\N	\N	\N
1085094	3706	1998-01-24	PRIJEM	VKLAD	5000	20189	\N	\N	\N
1085095	3706	1998-02-23	PRIJEM	VKLAD	6800	22487	\N	\N	\N
1085096	3706	1998-03-25	PRIJEM	VKLAD	200	24894	\N	\N	\N
1085097	3706	1998-04-24	PRIJEM	VKLAD	2000	29130	\N	\N	\N
1085098	3706	1998-05-24	PRIJEM	VKLAD	1000	29258	\N	\N	\N
1085099	3706	1998-06-23	PRIJEM	VKLAD	2100	24713	\N	\N	\N
1085100	3706	1998-07-23	PRIJEM	VKLAD	2100	29051	\N	\N	\N
1085101	3706	1998-08-22	VYDAJ	VYBER	2200	29109	\N	\N	\N
1085102	3706	1998-09-21	PRIJEM	VKLAD	2200	33579	\N	\N	\N
1085103	3706	1998-10-21	PRIJEM	VKLAD	4000	32415	\N	\N	\N
1085104	3706	1998-11-20	VYDAJ	VYBER	900	33783	\N	\N	\N
1085105	3706	1998-12-20	VYDAJ	VYBER	1300	37982	\N	\N	\N
1085292	3708	1996-11-24	PRIJEM	VKLAD	900	900	\N	\N	\N
1085294	3708	1996-12-07	PRIJEM	VKLAD	3434	4334	\N	\N	\N
1085295	3708	1997-01-14	PRIJEM	VKLAD	29417	47577	\N	\N	\N
1085296	3708	1997-12-26	PRIJEM	VKLAD	32276	69874	\N	\N	\N
1085297	3708	1998-03-19	PRIJEM	VKLAD	19115	71782	\N	\N	\N
1085298	3708	1998-12-08	PRIJEM	VKLAD	6614	41309	\N	\N	\N
1085310	3708	1996-12-16	PRIJEM	VKLAD	300	4634	\N	\N	\N
1085311	3708	1997-01-16	PRIJEM	VKLAD	300	47877	\N	\N	\N
1085312	3708	1997-02-17	PRIJEM	VKLAD	300	30078	\N	\N	\N
1085313	3708	1997-03-14	PRIJEM	VKLAD	300	28788	\N	\N	\N
1085314	3708	1997-04-15	PRIJEM	VKLAD	300	29594	\N	\N	\N
1085315	3708	1997-05-17	PRIJEM	VKLAD	300	29703	\N	\N	\N
1085316	3708	1997-06-16	PRIJEM	VKLAD	300	17064	\N	\N	\N
1085317	3708	1997-07-17	PRIJEM	VKLAD	300	26649	\N	\N	\N
1085318	3708	1997-08-16	PRIJEM	VKLAD	300	28347	\N	\N	\N
1085319	3708	1997-09-14	PRIJEM	VKLAD	300	30807	\N	\N	\N
1085320	3708	1997-10-16	PRIJEM	VKLAD	300	33730	\N	\N	\N
1085321	3708	1997-11-15	PRIJEM	VKLAD	300	37160	\N	\N	\N
1085322	3708	1997-12-15	PRIJEM	VKLAD	300	34198	\N	\N	\N
1085323	3708	1998-01-13	PRIJEM	VKLAD	300	69438	\N	\N	\N
1085324	3708	1998-02-14	PRIJEM	VKLAD	300	47979	\N	\N	\N
1085325	3708	1998-03-17	PRIJEM	VKLAD	300	50767	\N	\N	\N
1085326	3708	1998-04-14	PRIJEM	VKLAD	300	58090	\N	\N	\N
1085327	3708	1998-05-16	PRIJEM	VKLAD	300	48350	\N	\N	\N
1085328	3708	1998-06-15	PRIJEM	VKLAD	300	44329	\N	\N	\N
1085329	3708	1998-07-17	PRIJEM	VKLAD	300	29282	\N	\N	\N
1085330	3708	1998-08-14	PRIJEM	VKLAD	300	32896	\N	\N	\N
1085331	3708	1998-09-13	PRIJEM	VKLAD	300	33018	\N	\N	\N
1085332	3708	1998-10-14	PRIJEM	VKLAD	300	32738	\N	\N	\N
1085333	3708	1998-11-13	PRIJEM	VKLAD	300	36065	\N	\N	\N
1085334	3708	1998-12-13	PRIJEM	VKLAD	300	40109	\N	\N	\N
1085346	3708	1996-12-18	PRIJEM	VKLAD	1900	6534	\N	\N	\N
1085347	3708	1997-01-18	PRIJEM	VKLAD	1900	49777	\N	\N	\N
1085348	3708	1997-02-18	PRIJEM	VKLAD	1900	31978	\N	\N	\N
1085349	3708	1997-03-18	PRIJEM	VKLAD	1900	30688	\N	\N	\N
1085350	3708	1997-04-18	PRIJEM	VKLAD	1900	31494	\N	\N	\N
1085351	3708	1997-05-18	PRIJEM	VKLAD	1900	31603	\N	\N	\N
1085352	3708	1997-06-18	PRIJEM	VKLAD	1900	18964	\N	\N	\N
1085353	3708	1997-07-18	PRIJEM	VKLAD	1900	28549	\N	\N	\N
1085354	3708	1997-08-18	PRIJEM	VKLAD	1900	30247	\N	\N	\N
1085355	3708	1997-09-18	PRIJEM	VKLAD	1900	32707	\N	\N	\N
1085356	3708	1997-10-18	PRIJEM	VKLAD	1900	35630	\N	\N	\N
1085357	3708	1997-11-18	PRIJEM	VKLAD	1900	39060	\N	\N	\N
1085358	3708	1997-12-18	PRIJEM	VKLAD	1900	36098	\N	\N	\N
1085359	3708	1998-01-18	PRIJEM	VKLAD	1900	69488	\N	\N	\N
1085360	3708	1998-02-18	PRIJEM	VKLAD	1900	50279	\N	\N	\N
1085361	3708	1998-03-18	PRIJEM	VKLAD	1900	52667	\N	\N	\N
1085362	3708	1998-04-18	PRIJEM	VKLAD	1900	59990	\N	\N	\N
1085363	3708	1998-05-18	PRIJEM	VKLAD	1900	50250	\N	\N	\N
1085364	3708	1998-06-18	PRIJEM	VKLAD	1900	43629	\N	\N	\N
1085365	3708	1998-07-18	PRIJEM	VKLAD	1900	33482	\N	\N	\N
1085366	3708	1998-08-18	PRIJEM	VKLAD	1900	32596	\N	\N	\N
1085367	3708	1998-09-18	PRIJEM	VKLAD	1900	32318	\N	\N	\N
1085368	3708	1998-10-18	PRIJEM	VKLAD	1900	35638	\N	\N	\N
1085369	3708	1998-11-18	PRIJEM	VKLAD	1900	34565	\N	\N	\N
1085370	3708	1998-12-18	PRIJEM	VKLAD	1900	31909	\N	\N	\N
1085375	3708	1997-01-20	VYDAJ	VYBER	9600	39177	\N	\N	\N
1085376	3708	1998-01-26	VYDAJ	VYBER	1000	49438	\N	\N	\N
1085378	3708	1997-06-12	VYDAJ	VYBER	6600	16764	\N	\N	\N
1085379	3708	1998-06-24	VYDAJ	VYBER	14800	28829	\N	\N	\N
1085381	3708	1997-12-13	VYDAJ	VYBER	2400	33898	\N	\N	\N
1085382	3708	1998-12-08	VYDAJ	VYBER KARTOU	1500	39809	\N	\N	0
1085392	3708	1997-01-19	VYDAJ	VYBER	1000	48777	\N	\N	\N
1085394	3708	1997-01-30	VYDAJ	VYBER	700	29677	\N	\N	\N
1085395	3708	1998-01-13	VYDAJ	VYBER	1350	68088	\N	\N	\N
1085396	3708	1998-01-25	VYDAJ	VYBER	1200	50438	\N	\N	\N
1085397	3708	1998-01-12	VYDAJ	VYBER	900	69138	\N	\N	\N
1085398	3708	1998-01-28	VYDAJ	VYBER	650	47438	\N	\N	\N
1085399	3708	1998-01-15	VYDAJ	VYBER	500	67588	\N	\N	\N
1085400	3708	1998-01-28	VYDAJ	VYBER	1350	48088	\N	\N	\N
1085407	3708	1997-06-07	VYDAJ	VYBER	1100	23364	\N	\N	\N
1085408	3708	1997-08-31	VYDAJ	VYBER	2050	30507	\N	\N	\N
1085409	3708	1997-09-25	VYDAJ	VYBER	1400	33307	\N	\N	\N
1085410	3708	1997-06-05	VYDAJ	VYBER	2200	26564	\N	\N	\N
1085411	3708	1997-06-03	VYDAJ	VYBER	2150	28764	\N	\N	\N
1085412	3708	1997-01-28	VYDAJ	VYBER	1200	30377	\N	\N	\N
1085413	3708	1997-06-07	VYDAJ	VYBER	2100	24464	\N	\N	\N
1085414	3708	1998-07-30	VYDAJ	VYBER KARTOU	500	32982	\N	\N	0
1085415	3708	1998-07-31	VYDAJ	VYBER KARTOU	500	32596	\N	\N	0
1085416	3708	1998-01-19	VYDAJ	VYBER	350	51638	\N	\N	\N
1085417	3708	1998-05-03	VYDAJ	VYBER	750	48050	\N	\N	\N
1085431	3708	1997-01-31	VYDAJ	VYBER	15	29778	SLUZBY	\N	\N
1085432	3708	1997-02-28	VYDAJ	VYBER	15	28488	SLUZBY	\N	\N
1085433	3708	1997-03-31	VYDAJ	VYBER	15	29294	SLUZBY	\N	\N
1085434	3708	1997-04-30	VYDAJ	VYBER	15	29403	SLUZBY	\N	\N
1085435	3708	1997-05-31	VYDAJ	VYBER	15	30914	SLUZBY	\N	\N
1085436	3708	1997-06-30	VYDAJ	VYBER	15	26349	SLUZBY	\N	\N
1085437	3708	1997-07-31	VYDAJ	VYBER	15	28047	SLUZBY	\N	\N
1085438	3708	1997-08-31	VYDAJ	VYBER	15	32557	SLUZBY	\N	\N
1085439	3708	1997-09-30	VYDAJ	VYBER	15	33430	SLUZBY	\N	\N
1085440	3708	1997-10-31	VYDAJ	VYBER	15	36860	SLUZBY	\N	\N
1085441	3708	1997-11-30	VYDAJ	VYBER	15	36298	SLUZBY	\N	\N
1085442	3708	1997-12-31	VYDAJ	VYBER	15	70038	SLUZBY	\N	\N
1085443	3708	1998-01-31	VYDAJ	VYBER	15	47679	SLUZBY	\N	\N
1085444	3708	1998-02-28	VYDAJ	VYBER	15	50467	SLUZBY	\N	\N
1085445	3708	1998-03-31	VYDAJ	VYBER	15	57790	SLUZBY	\N	\N
1085446	3708	1998-04-30	VYDAJ	VYBER	15	48800	SLUZBY	\N	\N
1085447	3708	1998-05-31	VYDAJ	VYBER	15	44029	SLUZBY	\N	\N
1085448	3708	1998-06-30	VYDAJ	VYBER	15	28982	SLUZBY	\N	\N
1085449	3708	1998-07-31	VYDAJ	VYBER	15	33096	SLUZBY	\N	\N
1085450	3708	1998-08-31	VYDAJ	VYBER	15	32718	SLUZBY	\N	\N
1085451	3708	1998-09-30	VYDAJ	VYBER	15	32438	SLUZBY	\N	\N
1085452	3708	1998-10-31	VYDAJ	VYBER	15	35765	SLUZBY	\N	\N
1085453	3708	1998-11-30	VYDAJ	VYBER	15	34695	SLUZBY	\N	\N
1085454	3708	1996-12-24	PRIJEM	VKLAD	11600	18134	\N	\N	\N
1085455	3708	1997-01-23	VYDAJ	VYBER	7600	31577	\N	\N	\N
1085456	3708	1997-02-22	VYDAJ	VYBER	3600	28378	\N	\N	\N
1085457	3708	1997-03-24	VYDAJ	VYBER	1500	29188	\N	\N	\N
1085458	3708	1997-04-23	VYDAJ	VYBER	2200	29294	\N	\N	\N
1085459	3708	1997-05-23	VYDAJ	VYBER	800	30803	\N	\N	\N
1085460	3708	1997-06-22	PRIJEM	VKLAD	7300	26264	\N	\N	\N
1085461	3708	1997-07-22	VYDAJ	VYBER	600	27949	\N	\N	\N
1085462	3708	1997-08-21	PRIJEM	VKLAD	2200	32447	\N	\N	\N
1085463	3708	1997-09-20	PRIJEM	VKLAD	2000	34707	\N	\N	\N
1085464	3708	1997-10-20	PRIJEM	VKLAD	1100	36730	\N	\N	\N
1085465	3708	1997-11-19	VYDAJ	VYBER	2900	36160	\N	\N	\N
1085466	3708	1997-12-19	PRIJEM	VKLAD	1500	37598	\N	\N	\N
1085467	3708	1998-01-18	VYDAJ	VYBER	17500	51988	\N	\N	\N
1085468	3708	1998-02-17	PRIJEM	VKLAD	400	48379	\N	\N	\N
1085469	3708	1998-03-19	VYDAJ	VYBER	14200	57582	\N	\N	\N
1085470	3708	1998-04-18	VYDAJ	VYBER	11400	48590	\N	\N	\N
1085471	3708	1998-05-18	VYDAJ	VYBER	6400	43850	\N	\N	\N
1085472	3708	1998-06-17	VYDAJ	VYBER	2600	41729	\N	\N	\N
1085473	3708	1998-07-17	PRIJEM	VKLAD	2300	31582	\N	\N	\N
1085474	3708	1998-08-16	VYDAJ	VYBER KARTOU	2200	30696	\N	\N	0
1085475	3708	1998-09-15	VYDAJ	VYBER KARTOU	2600	30418	\N	\N	0
1085476	3708	1998-10-15	PRIJEM	VKLAD	1000	33738	\N	\N	\N
1085477	3708	1998-11-14	VYDAJ	VYBER KARTOU	3400	32665	\N	\N	0
1085478	3708	1998-12-14	VYDAJ	VYBER	10100	30009	\N	\N	\N
1085504	3709	1996-03-05	PRIJEM	VKLAD	500	500	\N	\N	\N
1085507	3709	1996-03-08	PRIJEM	VKLAD	11438	11938	\N	\N	\N
1085508	3709	1996-04-08	PRIJEM	VKLAD	11438	31215	\N	\N	\N
1085509	3709	1996-05-08	PRIJEM	VKLAD	11438	36764	\N	\N	\N
1085510	3709	1996-06-08	PRIJEM	VKLAD	17157	49469	\N	\N	\N
1085511	3709	1996-07-08	PRIJEM	VKLAD	11438	48001	\N	\N	\N
1085512	3709	1996-08-08	PRIJEM	VKLAD	11438	43979	\N	\N	\N
1085513	3709	1996-09-08	PRIJEM	VKLAD	11438	43532	\N	\N	\N
1085514	3709	1996-10-08	PRIJEM	VKLAD	11438	46582	\N	\N	\N
1085515	3709	1996-11-08	PRIJEM	VKLAD	11438	38730	\N	\N	\N
1085516	3709	1996-12-08	PRIJEM	VKLAD	17157	52079	\N	\N	\N
1085517	3709	1997-01-08	PRIJEM	VKLAD	11438	50348	\N	\N	\N
1085518	3709	1997-02-08	PRIJEM	VKLAD	11438	45804	\N	\N	\N
1085519	3709	1997-03-08	PRIJEM	VKLAD	11438	48060	\N	\N	\N
1085520	3709	1997-04-08	PRIJEM	VKLAD	11438	51228	\N	\N	\N
1085521	3709	1997-05-08	PRIJEM	VKLAD	11438	54907	\N	\N	\N
1085522	3709	1997-06-08	PRIJEM	VKLAD	17157	63621	\N	\N	\N
1085523	3709	1997-07-08	PRIJEM	VKLAD	11438	56130	\N	\N	\N
1085524	3709	1997-08-08	PRIJEM	VKLAD	11438	55528	\N	\N	\N
1085525	3709	1997-09-08	PRIJEM	VKLAD	11438	54219	\N	\N	\N
1085526	3709	1997-10-08	PRIJEM	VKLAD	11438	54708	\N	\N	\N
1085527	3709	1997-11-08	PRIJEM	VKLAD	11438	52997	\N	\N	\N
1085528	3709	1997-12-08	PRIJEM	VKLAD	17157	56793	\N	\N	\N
1085529	3709	1998-01-08	PRIJEM	VKLAD	11438	52584	\N	\N	\N
1085530	3709	1998-02-08	PRIJEM	VKLAD	11438	50458	\N	\N	\N
1085531	3709	1998-03-08	PRIJEM	VKLAD	11438	53329	\N	\N	\N
1085532	3709	1998-04-08	PRIJEM	VKLAD	11438	56617	\N	\N	\N
1085533	3709	1998-05-08	PRIJEM	VKLAD	11438	56214	\N	\N	\N
1085534	3709	1998-06-08	PRIJEM	VKLAD	17157	48526	\N	\N	\N
1085535	3709	1998-07-08	PRIJEM	VKLAD	11438	49388	\N	\N	\N
1085536	3709	1998-08-08	PRIJEM	VKLAD	11438	54260	\N	\N	\N
1085537	3709	1998-09-08	PRIJEM	VKLAD	11438	55849	\N	\N	\N
1085538	3709	1998-10-08	PRIJEM	VKLAD	11438	55244	\N	\N	\N
1085539	3709	1998-11-08	PRIJEM	VKLAD	11438	56437	\N	\N	\N
1085540	3709	1998-12-08	PRIJEM	VKLAD	17157	68960	\N	\N	\N
1085547	3709	1996-07-09	VYDAJ	PREVOD NA UCET	5579	42422	SIPO	KL	96639173
1085548	3709	1996-08-09	VYDAJ	PREVOD NA UCET	5579	38400	SIPO	KL	96639173
1085549	3709	1996-09-09	VYDAJ	PREVOD NA UCET	5579	37953	SIPO	KL	96639173
1085550	3709	1996-10-09	VYDAJ	PREVOD NA UCET	5579	41003	SIPO	KL	96639173
1085551	3709	1996-11-09	VYDAJ	PREVOD NA UCET	5579	33151	SIPO	KL	96639173
1085552	3709	1996-12-09	VYDAJ	PREVOD NA UCET	5579	44000	SIPO	KL	96639173
1085553	3709	1997-01-09	VYDAJ	PREVOD NA UCET	5579	42869	SIPO	KL	96639173
1085554	3709	1997-02-09	VYDAJ	PREVOD NA UCET	5579	40225	SIPO	KL	96639173
1085555	3709	1997-03-09	VYDAJ	PREVOD NA UCET	5579	42481	SIPO	KL	96639173
1085556	3709	1997-04-09	VYDAJ	PREVOD NA UCET	5579	45649	SIPO	KL	96639173
1085557	3709	1997-05-09	VYDAJ	PREVOD NA UCET	5579	49328	SIPO	KL	96639173
1085558	3709	1997-06-09	VYDAJ	PREVOD NA UCET	5579	58042	SIPO	KL	96639173
1085559	3709	1997-07-09	VYDAJ	PREVOD NA UCET	5579	50551	SIPO	KL	96639173
1085560	3709	1997-08-09	VYDAJ	PREVOD NA UCET	5579	49949	SIPO	KL	96639173
1085561	3709	1997-09-09	VYDAJ	PREVOD NA UCET	5579	48640	SIPO	KL	96639173
1085562	3709	1997-10-09	VYDAJ	PREVOD NA UCET	5579	49129	SIPO	KL	96639173
1085563	3709	1997-11-09	VYDAJ	PREVOD NA UCET	5579	47418	SIPO	KL	96639173
1085564	3709	1997-12-09	VYDAJ	PREVOD NA UCET	5579	51214	SIPO	KL	96639173
1085565	3709	1998-01-09	VYDAJ	PREVOD NA UCET	5579	47005	SIPO	KL	96639173
1085566	3709	1998-02-09	VYDAJ	PREVOD NA UCET	5579	44879	SIPO	KL	96639173
1085567	3709	1998-03-09	VYDAJ	PREVOD NA UCET	5579	47750	SIPO	KL	96639173
1085568	3709	1998-04-09	VYDAJ	PREVOD NA UCET	5579	51038	SIPO	KL	96639173
1085569	3709	1998-05-09	VYDAJ	PREVOD NA UCET	5579	50635	SIPO	KL	96639173
1085570	3709	1998-06-09	VYDAJ	PREVOD NA UCET	5579	42947	SIPO	KL	96639173
1085571	3709	1998-07-09	VYDAJ	PREVOD NA UCET	5579	43809	SIPO	KL	96639173
1085572	3709	1998-08-09	VYDAJ	PREVOD NA UCET	5579	48681	SIPO	KL	96639173
1085573	3709	1998-09-09	VYDAJ	PREVOD NA UCET	5579	50270	SIPO	KL	96639173
1085574	3709	1998-10-09	VYDAJ	PREVOD NA UCET	5579	49665	SIPO	KL	96639173
1085575	3709	1998-11-09	VYDAJ	PREVOD NA UCET	5579	50858	SIPO	KL	96639173
1085576	3709	1998-12-09	VYDAJ	PREVOD NA UCET	5579	63381	SIPO	KL	96639173
1085583	3709	1996-07-10	VYDAJ	PREVOD NA UCET	1317	41105	 	MN	33267444
1085584	3709	1996-08-10	VYDAJ	PREVOD NA UCET	1317	37083	 	MN	33267444
1085585	3709	1996-09-10	VYDAJ	PREVOD NA UCET	1317	36636	 	MN	33267444
1085586	3709	1996-10-10	VYDAJ	PREVOD NA UCET	1317	39686	 	MN	33267444
1085587	3709	1996-11-10	VYDAJ	PREVOD NA UCET	1317	31834	 	MN	33267444
1085588	3709	1996-12-10	VYDAJ	PREVOD NA UCET	1317	42683	 	MN	33267444
1085589	3709	1997-01-10	VYDAJ	PREVOD NA UCET	1317	41552	 	MN	33267444
1085590	3709	1997-02-10	VYDAJ	PREVOD NA UCET	1317	38908	 	MN	33267444
1085591	3709	1997-03-10	VYDAJ	PREVOD NA UCET	1317	41164	 	MN	33267444
1085592	3709	1997-04-10	VYDAJ	PREVOD NA UCET	1317	44332	 	MN	33267444
1085593	3709	1997-05-10	VYDAJ	PREVOD NA UCET	1317	48011	 	MN	33267444
1085594	3709	1997-06-10	VYDAJ	PREVOD NA UCET	1317	56725	 	MN	33267444
1085595	3709	1997-07-10	VYDAJ	PREVOD NA UCET	1317	49234	 	MN	33267444
1085596	3709	1997-08-10	VYDAJ	PREVOD NA UCET	1317	48632	 	MN	33267444
1085597	3709	1997-09-10	VYDAJ	PREVOD NA UCET	1317	47323	 	MN	33267444
1085598	3709	1997-10-10	VYDAJ	PREVOD NA UCET	1317	47812	 	MN	33267444
1085599	3709	1997-11-10	VYDAJ	PREVOD NA UCET	1317	43501	 	MN	33267444
1085600	3709	1997-12-10	VYDAJ	PREVOD NA UCET	1317	49897	 	MN	33267444
1085601	3709	1998-01-10	VYDAJ	PREVOD NA UCET	1317	45688	 	MN	33267444
1085602	3709	1998-02-10	VYDAJ	PREVOD NA UCET	1317	43562	 	MN	33267444
1085603	3709	1998-03-10	VYDAJ	PREVOD NA UCET	1317	46433	 	MN	33267444
1085604	3709	1998-04-10	VYDAJ	PREVOD NA UCET	1317	49721	 	MN	33267444
1085605	3709	1998-05-10	VYDAJ	PREVOD NA UCET	1317	49318	 	MN	33267444
1085606	3709	1998-06-10	VYDAJ	PREVOD NA UCET	1317	41630	 	MN	33267444
1085607	3709	1998-07-10	VYDAJ	PREVOD NA UCET	1317	42492	 	MN	33267444
1085608	3709	1998-08-10	VYDAJ	PREVOD NA UCET	1317	47364	 	MN	33267444
1085609	3709	1998-09-10	VYDAJ	PREVOD NA UCET	1317	48953	 	MN	33267444
1085610	3709	1998-10-10	VYDAJ	PREVOD NA UCET	1317	48348	 	MN	33267444
1085611	3709	1998-11-10	VYDAJ	PREVOD NA UCET	1317	49541	 	MN	33267444
1085612	3709	1998-12-10	VYDAJ	PREVOD NA UCET	1317	62064	 	MN	33267444
1085619	3709	1996-07-11	VYDAJ	PREVOD NA UCET	255	40850	POJISTNE	EF	39317482
1085620	3709	1996-08-11	VYDAJ	PREVOD NA UCET	255	36828	POJISTNE	EF	39317482
1085621	3709	1996-09-11	VYDAJ	PREVOD NA UCET	255	36381	POJISTNE	EF	39317482
1085622	3709	1996-10-11	VYDAJ	PREVOD NA UCET	255	39431	POJISTNE	EF	39317482
1085623	3709	1996-11-11	VYDAJ	PREVOD NA UCET	255	31579	POJISTNE	EF	39317482
1085624	3709	1996-12-11	VYDAJ	PREVOD NA UCET	255	42428	POJISTNE	EF	39317482
1085625	3709	1997-01-11	VYDAJ	PREVOD NA UCET	255	40197	POJISTNE	EF	39317482
1085626	3709	1997-02-11	VYDAJ	PREVOD NA UCET	255	38653	POJISTNE	EF	39317482
1085627	3709	1997-03-11	VYDAJ	PREVOD NA UCET	255	40909	POJISTNE	EF	39317482
1085628	3709	1997-04-11	VYDAJ	PREVOD NA UCET	255	44077	POJISTNE	EF	39317482
1085629	3709	1997-05-11	VYDAJ	PREVOD NA UCET	255	47756	POJISTNE	EF	39317482
1085630	3709	1997-06-11	VYDAJ	PREVOD NA UCET	255	56470	POJISTNE	EF	39317482
1085631	3709	1997-07-11	VYDAJ	PREVOD NA UCET	255	48979	POJISTNE	EF	39317482
1085632	3709	1997-08-11	VYDAJ	PREVOD NA UCET	255	48377	POJISTNE	EF	39317482
1085633	3709	1997-09-11	VYDAJ	PREVOD NA UCET	255	47068	POJISTNE	EF	39317482
1085634	3709	1997-10-11	VYDAJ	PREVOD NA UCET	255	47557	POJISTNE	EF	39317482
1085635	3709	1997-11-11	VYDAJ	PREVOD NA UCET	255	43246	POJISTNE	EF	39317482
1085636	3709	1997-12-11	VYDAJ	PREVOD NA UCET	255	49642	POJISTNE	EF	39317482
1085637	3709	1998-01-11	VYDAJ	PREVOD NA UCET	255	45433	POJISTNE	EF	39317482
1085638	3709	1998-02-11	VYDAJ	PREVOD NA UCET	255	43307	POJISTNE	EF	39317482
1085639	3709	1998-03-11	VYDAJ	PREVOD NA UCET	255	46178	POJISTNE	EF	39317482
1085640	3709	1998-04-11	VYDAJ	PREVOD NA UCET	255	49466	POJISTNE	EF	39317482
1085641	3709	1998-05-11	VYDAJ	PREVOD NA UCET	255	49063	POJISTNE	EF	39317482
1085642	3709	1998-06-11	VYDAJ	PREVOD NA UCET	255	41375	POJISTNE	EF	39317482
1085643	3709	1998-07-11	VYDAJ	PREVOD NA UCET	255	42237	POJISTNE	EF	39317482
1085644	3709	1998-08-11	VYDAJ	PREVOD NA UCET	255	47109	POJISTNE	EF	39317482
1085645	3709	1998-09-11	VYDAJ	PREVOD NA UCET	255	48698	POJISTNE	EF	39317482
1085646	3709	1998-10-11	VYDAJ	PREVOD NA UCET	255	48093	POJISTNE	EF	39317482
1085647	3709	1998-11-11	VYDAJ	PREVOD NA UCET	255	49286	POJISTNE	EF	39317482
1085648	3709	1998-12-11	VYDAJ	PREVOD NA UCET	255	61809	POJISTNE	EF	39317482
1085656	3709	1996-08-05	VYDAJ	PREVOD NA UCET	474	32541	 	EF	22020697
1085657	3709	1996-09-05	VYDAJ	PREVOD NA UCET	474	32094	 	EF	22020697
1085658	3709	1996-10-05	VYDAJ	PREVOD NA UCET	474	35144	 	EF	22020697
1085659	3709	1996-11-05	VYDAJ	PREVOD NA UCET	474	27292	 	EF	22020697
1085660	3709	1996-12-05	VYDAJ	PREVOD NA UCET	474	34922	 	EF	22020697
1085661	3709	1997-01-05	VYDAJ	PREVOD NA UCET	474	39710	 	EF	22020697
1085662	3709	1997-02-05	VYDAJ	PREVOD NA UCET	474	34366	 	EF	22020697
1085663	3709	1997-03-05	VYDAJ	PREVOD NA UCET	474	36622	 	EF	22020697
1085664	3709	1997-04-05	VYDAJ	PREVOD NA UCET	474	39790	 	EF	22020697
1085665	3709	1997-05-05	VYDAJ	PREVOD NA UCET	474	43469	 	EF	22020697
1085666	3709	1997-06-05	VYDAJ	PREVOD NA UCET	474	46464	 	EF	22020697
1085667	3709	1997-07-05	VYDAJ	PREVOD NA UCET	474	44692	 	EF	22020697
1085668	3709	1997-08-05	VYDAJ	PREVOD NA UCET	474	44090	 	EF	22020697
1085669	3709	1997-09-05	VYDAJ	PREVOD NA UCET	474	42781	 	EF	22020697
1085670	3709	1997-10-05	VYDAJ	PREVOD NA UCET	474	43270	 	EF	22020697
1085671	3709	1997-11-05	VYDAJ	PREVOD NA UCET	474	41559	 	EF	22020697
1085672	3709	1997-12-05	VYDAJ	PREVOD NA UCET	474	39636	 	EF	22020697
1085673	3709	1998-01-05	VYDAJ	PREVOD NA UCET	474	41146	 	EF	22020697
1085674	3709	1998-02-05	VYDAJ	PREVOD NA UCET	474	39020	 	EF	22020697
1085675	3709	1998-03-05	VYDAJ	PREVOD NA UCET	474	41891	 	EF	22020697
1085676	3709	1998-04-05	VYDAJ	PREVOD NA UCET	474	45179	 	EF	22020697
1085677	3709	1998-05-05	VYDAJ	PREVOD NA UCET	474	44776	 	EF	22020697
1085678	3709	1998-06-05	VYDAJ	PREVOD NA UCET	474	42769	 	EF	22020697
1085679	3709	1998-07-05	VYDAJ	PREVOD NA UCET	474	37950	 	EF	22020697
1085680	3709	1998-08-05	VYDAJ	PREVOD NA UCET	474	42822	 	EF	22020697
1085681	3709	1998-09-05	VYDAJ	PREVOD NA UCET	474	44411	 	EF	22020697
1085682	3709	1998-10-05	VYDAJ	PREVOD NA UCET	474	46706	 	EF	22020697
1085683	3709	1998-11-05	VYDAJ	PREVOD NA UCET	474	44999	 	EF	22020697
1085684	3709	1998-12-05	VYDAJ	PREVOD NA UCET	474	51803	 	EF	22020697
1085686	3709	1997-06-17	VYDAJ	VYBER	7500	48970	\N	\N	\N
1085687	3709	1998-06-05	VYDAJ	VYBER	11400	31369	\N	\N	\N
1085688	3709	1996-12-08	VYDAJ	VYBER	2500	49579	\N	\N	\N
1085689	3709	1997-12-30	VYDAJ	VYBER KARTOU	1900	42642	\N	\N	0
1085690	3709	1998-12-28	VYDAJ	VYBER KARTOU	900	51909	\N	\N	0
1085697	3709	1997-01-10	VYDAJ	VYBER	1100	40452	\N	\N	\N
1085698	3709	1997-01-08	VYDAJ	VYBER	1900	48448	\N	\N	\N
1085699	3709	1997-01-06	VYDAJ	VYBER	800	38910	\N	\N	\N
1085700	3709	1997-01-20	VYDAJ	VYBER	1900	35597	\N	\N	\N
1085701	3709	1997-01-11	VYDAJ	VYBER	2700	37497	\N	\N	\N
1085702	3709	1997-01-27	VYDAJ	VYBER	1000	34597	\N	\N	\N
1085703	3709	1998-01-05	VYDAJ	VYBER KARTOU	1200	41620	\N	\N	0
1085704	3709	1998-01-25	VYDAJ	VYBER KARTOU	2700	39333	\N	\N	0
1085705	3709	1998-01-17	VYDAJ	VYBER KARTOU	2100	42033	\N	\N	0
1085706	3709	1998-01-23	VYDAJ	VYBER KARTOU	1300	38633	\N	\N	0
1085707	3709	1998-01-12	VYDAJ	VYBER KARTOU	1300	44133	\N	\N	0
1085708	3709	1998-01-20	VYDAJ	VYBER KARTOU	2100	39933	\N	\N	0
1085709	3709	1996-11-03	VYDAJ	VYBER	4100	27766	\N	\N	\N
1085711	3709	1996-10-13	VYDAJ	VYBER	4800	34631	\N	\N	\N
1085714	3709	1997-08-28	VYDAJ	VYBER KARTOU	1200	43077	\N	\N	0
1085715	3709	1997-10-26	VYDAJ	VYBER	4800	42757	\N	\N	\N
1085716	3709	1997-08-18	VYDAJ	VYBER KARTOU	2500	45877	\N	\N	0
1085717	3709	1997-11-09	VYDAJ	VYBER KARTOU	2600	44818	\N	\N	0
1085718	3709	1997-07-28	VYDAJ	VYBER	2200	46779	\N	\N	\N
1085719	3709	1998-10-07	VYDAJ	VYBER KARTOU	2900	43806	\N	\N	0
1085720	3709	1998-10-20	VYDAJ	VYBER	4500	43593	\N	\N	\N
1085721	3709	1998-02-14	VYDAJ	VYBER KARTOU	2400	40907	\N	\N	0
1085722	3709	1998-12-20	VYDAJ	VYBER KARTOU	2400	52809	\N	\N	0
1085723	3709	1998-06-16	VYDAJ	VYBER KARTOU	1900	39475	\N	\N	0
1085731	3709	1996-07-31	VYDAJ	VYBER	15	41015	SLUZBY	\N	\N
1085732	3709	1996-08-31	VYDAJ	VYBER	15	36968	SLUZBY	\N	\N
1085733	3709	1996-09-30	VYDAJ	VYBER	15	36518	SLUZBY	\N	\N
1085734	3709	1996-10-31	VYDAJ	VYBER	15	34766	SLUZBY	\N	\N
1085735	3709	1996-11-30	VYDAJ	VYBER	15	35396	SLUZBY	\N	\N
1085736	3709	1996-12-31	VYDAJ	VYBER	15	40184	SLUZBY	\N	\N
1085737	3709	1997-01-31	VYDAJ	VYBER	15	34840	SLUZBY	\N	\N
1085738	3709	1997-02-28	VYDAJ	VYBER	15	38796	SLUZBY	\N	\N
1085739	3709	1997-03-31	VYDAJ	VYBER	15	40264	SLUZBY	\N	\N
1085740	3709	1997-04-30	VYDAJ	VYBER	15	43943	SLUZBY	\N	\N
1085741	3709	1997-05-31	VYDAJ	VYBER	15	46938	SLUZBY	\N	\N
1085742	3709	1997-06-30	VYDAJ	VYBER	15	45166	SLUZBY	\N	\N
1085743	3709	1997-07-31	VYDAJ	VYBER	15	44564	SLUZBY	\N	\N
1085744	3709	1997-08-31	VYDAJ	VYBER	15	43255	SLUZBY	\N	\N
1085745	3709	1997-09-30	VYDAJ	VYBER	15	43744	SLUZBY	\N	\N
1085746	3709	1997-10-31	VYDAJ	VYBER	15	42033	SLUZBY	\N	\N
1085747	3709	1997-11-30	VYDAJ	VYBER	15	40110	SLUZBY	\N	\N
1085748	3709	1997-12-31	VYDAJ	VYBER	15	42820	SLUZBY	\N	\N
1085749	3709	1998-01-31	VYDAJ	VYBER	15	39494	SLUZBY	\N	\N
1085750	3709	1998-02-28	VYDAJ	VYBER	15	42365	SLUZBY	\N	\N
1085751	3709	1998-03-31	VYDAJ	VYBER	15	45653	SLUZBY	\N	\N
1085752	3709	1998-04-30	VYDAJ	VYBER	15	45250	SLUZBY	\N	\N
1085753	3709	1998-05-31	VYDAJ	VYBER	15	43243	SLUZBY	\N	\N
1085754	3709	1998-06-30	VYDAJ	VYBER	15	38424	SLUZBY	\N	\N
1085755	3709	1998-07-31	VYDAJ	VYBER	15	43296	SLUZBY	\N	\N
1085756	3709	1998-08-31	VYDAJ	VYBER	15	44885	SLUZBY	\N	\N
1085757	3709	1998-09-30	VYDAJ	VYBER	15	47180	SLUZBY	\N	\N
1085758	3709	1998-10-31	VYDAJ	VYBER	15	45473	SLUZBY	\N	\N
1085759	3709	1998-11-30	VYDAJ	VYBER	15	52277	SLUZBY	\N	\N
1085760	3709	1996-04-04	PRIJEM	VKLAD	7800	19777	\N	\N	\N
1085761	3709	1996-05-04	VYDAJ	VYBER	6000	25326	\N	\N	\N
1085762	3709	1996-06-03	VYDAJ	VYBER	4600	32312	\N	\N	\N
1085763	3709	1996-07-03	VYDAJ	VYBER	13100	36563	\N	\N	\N
1085764	3709	1996-08-02	VYDAJ	VYBER	8000	33015	\N	\N	\N
1085765	3709	1996-09-01	VYDAJ	VYBER	4400	32568	\N	\N	\N
1085766	3709	1996-10-01	VYDAJ	VYBER	900	35618	\N	\N	\N
1085767	3709	1996-10-31	VYDAJ	VYBER	2900	31866	\N	\N	\N
1085768	3709	1996-11-30	PRIJEM	VKLAD	3700	35410	\N	\N	\N
1085769	3709	1996-12-30	VYDAJ	VYBER	2400	40028	\N	\N	\N
1085770	3709	1997-01-29	PRIJEM	VKLAD	100	34697	\N	\N	\N
1085771	3709	1997-02-28	VYDAJ	VYBER	1700	37096	\N	\N	\N
1085772	3709	1997-03-30	VYDAJ	VYBER	800	40109	\N	\N	\N
1085773	3709	1997-04-29	VYDAJ	VYBER	300	43777	\N	\N	\N
1085774	3709	1997-05-29	VYDAJ	VYBER	1000	46756	\N	\N	\N
1085775	3709	1997-06-28	VYDAJ	VYBER	4000	44970	\N	\N	\N
1085776	3709	1997-07-28	VYDAJ	VYBER	2400	44379	\N	\N	\N
1085777	3709	1997-08-27	VYDAJ	VYBER KARTOU	1600	44277	\N	\N	0
1085778	3709	1997-09-26	VYDAJ	VYBER KARTOU	3500	43568	\N	\N	0
1085779	3709	1997-10-26	VYDAJ	VYBER KARTOU	900	41857	\N	\N	0
1085780	3709	1997-11-25	VYDAJ	VYBER KARTOU	3300	39946	\N	\N	0
1085781	3709	1997-12-25	VYDAJ	VYBER	5100	44542	\N	\N	\N
1085782	3709	1998-01-24	PRIJEM	VKLAD	3400	42033	\N	\N	\N
1085783	3709	1998-02-23	PRIJEM	VKLAD	1300	42207	\N	\N	\N
1085784	3709	1998-03-25	VYDAJ	VYBER KARTOU	700	45478	\N	\N	0
1085785	3709	1998-04-24	VYDAJ	VYBER	4400	45066	\N	\N	\N
1085786	3709	1998-05-24	VYDAJ	VYBER	6000	43063	\N	\N	\N
1085787	3709	1998-06-23	VYDAJ	VYBER KARTOU	1200	38275	\N	\N	0
1085788	3709	1998-07-23	PRIJEM	VKLAD	900	43137	\N	\N	\N
1085789	3709	1998-08-22	VYDAJ	VYBER KARTOU	2400	44709	\N	\N	0
1085790	3709	1998-09-21	VYDAJ	VYBER KARTOU	1700	46998	\N	\N	0
1085791	3709	1998-10-21	PRIJEM	VKLAD	1700	45293	\N	\N	\N
1085792	3709	1998-11-20	PRIJEM	VKLAD	2800	52086	\N	\N	\N
1085793	3709	1998-12-20	VYDAJ	VYBER	6600	55209	\N	\N	\N
1085828	3710	1995-02-25	PRIJEM	VKLAD	600	600	\N	\N	\N
1085831	3710	1995-03-05	PRIJEM	VKLAD	11548	12148	\N	\N	\N
1085832	3710	1995-04-05	PRIJEM	VKLAD	11548	30209	\N	\N	\N
1085833	3710	1995-05-05	PRIJEM	VKLAD	11548	36038	\N	\N	\N
1085834	3710	1995-06-05	PRIJEM	VKLAD	17322	44164	\N	\N	\N
1085835	3710	1995-07-05	PRIJEM	VKLAD	11548	41126	\N	\N	\N
1085836	3710	1995-08-05	PRIJEM	VKLAD	11548	40864	\N	\N	\N
1085837	3710	1995-09-05	PRIJEM	VKLAD	11548	38837	\N	\N	\N
1085838	3710	1995-10-05	PRIJEM	VKLAD	11548	36862	\N	\N	\N
1085839	3710	1995-11-05	PRIJEM	VKLAD	11548	34651	\N	\N	\N
1085840	3710	1995-12-05	PRIJEM	VKLAD	17322	40295	\N	\N	\N
1085841	3710	1996-01-05	PRIJEM	VKLAD	11548	41122	\N	\N	\N
1085842	3710	1996-02-05	PRIJEM	VKLAD	11548	29237	\N	\N	\N
1085843	3710	1996-03-05	PRIJEM	VKLAD	11548	33054	\N	\N	\N
1085844	3710	1996-04-05	PRIJEM	VKLAD	11548	36540	\N	\N	\N
1085845	3710	1996-05-05	PRIJEM	VKLAD	11548	38859	\N	\N	\N
1085846	3710	1996-06-05	PRIJEM	VKLAD	17322	43988	\N	\N	\N
1085847	3710	1996-07-05	PRIJEM	VKLAD	11548	41641	\N	\N	\N
1085848	3710	1996-08-05	PRIJEM	VKLAD	11548	39272	\N	\N	\N
1085849	3710	1996-09-05	PRIJEM	VKLAD	11548	37793	\N	\N	\N
1085850	3710	1996-10-05	PRIJEM	VKLAD	11548	41717	\N	\N	\N
1085851	3710	1996-11-05	PRIJEM	VKLAD	11548	37136	\N	\N	\N
1085852	3710	1996-12-05	PRIJEM	VKLAD	17322	48434	\N	\N	\N
1085853	3710	1997-01-05	PRIJEM	VKLAD	11548	42418	\N	\N	\N
1085854	3710	1997-02-05	PRIJEM	VKLAD	11548	24898	\N	\N	\N
1085855	3710	1997-03-05	PRIJEM	VKLAD	11548	34881	\N	\N	\N
1085856	3710	1997-04-05	PRIJEM	VKLAD	11548	42801	\N	\N	\N
1085857	3710	1997-05-05	PRIJEM	VKLAD	11548	41004	\N	\N	\N
1085858	3710	1997-06-05	PRIJEM	VKLAD	17322	47673	\N	\N	\N
1085859	3710	1997-07-05	PRIJEM	VKLAD	11548	49727	\N	\N	\N
1085860	3710	1997-08-05	PRIJEM	VKLAD	11548	44301	\N	\N	\N
1085861	3710	1997-09-05	PRIJEM	VKLAD	11548	49353	\N	\N	\N
1085862	3710	1997-10-05	PRIJEM	VKLAD	11548	54526	\N	\N	\N
1085863	3710	1997-11-05	PRIJEM	VKLAD	11548	53104	\N	\N	\N
1085864	3710	1997-12-05	PRIJEM	VKLAD	17322	58751	\N	\N	\N
1085865	3710	1998-01-05	PRIJEM	VKLAD	11548	53014	\N	\N	\N
1085866	3710	1998-02-05	PRIJEM	VKLAD	11548	39731	\N	\N	\N
1085867	3710	1998-03-05	PRIJEM	VKLAD	11548	40955	\N	\N	\N
1085868	3710	1998-04-05	PRIJEM	VKLAD	11548	44288	\N	\N	\N
1085869	3710	1998-05-05	PRIJEM	VKLAD	11548	41416	\N	\N	\N
1085870	3710	1998-06-05	PRIJEM	VKLAD	17322	42821	\N	\N	\N
1085871	3710	1998-07-05	PRIJEM	VKLAD	11548	37763	\N	\N	\N
1085872	3710	1998-08-05	PRIJEM	VKLAD	11548	32772	\N	\N	\N
1085873	3710	1998-09-05	PRIJEM	VKLAD	11548	30953	\N	\N	\N
1085874	3710	1998-10-05	PRIJEM	VKLAD	11548	28525	\N	\N	\N
1085875	3710	1998-11-05	PRIJEM	VKLAD	11548	27893	\N	\N	\N
1085876	3710	1998-12-05	PRIJEM	VKLAD	17322	34538	\N	\N	\N
1085883	3710	1995-07-09	VYDAJ	PREVOD NA UCET	4633	36493	SIPO	CD	59793263
1085884	3710	1995-08-09	VYDAJ	PREVOD NA UCET	4633	36231	SIPO	CD	59793263
1085885	3710	1995-09-09	VYDAJ	PREVOD NA UCET	4633	34204	SIPO	CD	59793263
1085886	3710	1995-10-09	VYDAJ	PREVOD NA UCET	4633	27309	SIPO	CD	59793263
1085887	3710	1995-11-09	VYDAJ	PREVOD NA UCET	4633	30018	SIPO	CD	59793263
1085888	3710	1995-12-09	VYDAJ	PREVOD NA UCET	4633	35662	SIPO	CD	59793263
1085889	3710	1996-01-09	VYDAJ	PREVOD NA UCET	4633	34089	SIPO	CD	59793263
1085890	3710	1996-02-09	VYDAJ	PREVOD NA UCET	4633	24604	SIPO	CD	59793263
1085891	3710	1996-03-09	VYDAJ	PREVOD NA UCET	4633	28421	SIPO	CD	59793263
1085892	3710	1996-04-09	VYDAJ	PREVOD NA UCET	4633	31907	SIPO	CD	59793263
1085893	3710	1996-05-09	VYDAJ	PREVOD NA UCET	4633	28466	SIPO	CD	59793263
1085894	3710	1996-06-09	VYDAJ	PREVOD NA UCET	4633	39355	SIPO	CD	59793263
1085895	3710	1996-07-09	VYDAJ	PREVOD NA UCET	4633	37008	SIPO	CD	59793263
1085896	3710	1996-08-09	VYDAJ	PREVOD NA UCET	4633	34639	SIPO	CD	59793263
1085897	3710	1996-09-09	VYDAJ	PREVOD NA UCET	4633	33160	SIPO	CD	59793263
1085898	3710	1996-10-09	VYDAJ	PREVOD NA UCET	4633	26884	SIPO	CD	59793263
1085899	3710	1996-11-09	VYDAJ	PREVOD NA UCET	4633	32503	SIPO	CD	59793263
1085900	3710	1996-12-09	VYDAJ	PREVOD NA UCET	4633	43801	SIPO	CD	59793263
1085901	3710	1997-01-09	VYDAJ	PREVOD NA UCET	4633	19625	SIPO	CD	59793263
1085902	3710	1997-02-09	VYDAJ	PREVOD NA UCET	4633	20265	SIPO	CD	59793263
1085903	3710	1997-03-09	VYDAJ	PREVOD NA UCET	4633	30248	SIPO	CD	59793263
1085904	3710	1997-04-09	VYDAJ	PREVOD NA UCET	4633	38168	SIPO	CD	59793263
1085905	3710	1997-05-09	VYDAJ	PREVOD NA UCET	4633	36371	SIPO	CD	59793263
1085906	3710	1997-06-09	VYDAJ	PREVOD NA UCET	4633	43040	SIPO	CD	59793263
1085907	3710	1997-07-09	VYDAJ	PREVOD NA UCET	4633	45094	SIPO	CD	59793263
1085908	3710	1997-08-09	VYDAJ	PREVOD NA UCET	4633	39668	SIPO	CD	59793263
1085909	3710	1997-09-09	VYDAJ	PREVOD NA UCET	4633	44720	SIPO	CD	59793263
1085910	3710	1997-10-09	VYDAJ	PREVOD NA UCET	4633	49893	SIPO	CD	59793263
1085911	3710	1997-11-09	VYDAJ	PREVOD NA UCET	4633	48471	SIPO	CD	59793263
1085912	3710	1997-12-09	VYDAJ	PREVOD NA UCET	4633	54118	SIPO	CD	59793263
1085913	3710	1998-01-09	VYDAJ	PREVOD NA UCET	4633	30421	SIPO	CD	59793263
1085914	3710	1998-02-09	VYDAJ	PREVOD NA UCET	4633	30598	SIPO	CD	59793263
1085915	3710	1998-03-09	VYDAJ	PREVOD NA UCET	4633	36322	SIPO	CD	59793263
1085916	3710	1998-04-09	VYDAJ	PREVOD NA UCET	4633	39655	SIPO	CD	59793263
1085917	3710	1998-05-09	VYDAJ	PREVOD NA UCET	4633	30903	SIPO	CD	59793263
1085918	3710	1998-06-09	VYDAJ	PREVOD NA UCET	4633	38188	SIPO	CD	59793263
1085919	3710	1998-07-09	VYDAJ	PREVOD NA UCET	4633	21130	SIPO	CD	59793263
1085920	3710	1998-08-09	VYDAJ	PREVOD NA UCET	4633	19339	SIPO	CD	59793263
1085921	3710	1998-09-09	VYDAJ	PREVOD NA UCET	4633	16920	SIPO	CD	59793263
1085922	3710	1998-10-09	VYDAJ	PREVOD NA UCET	4633	16292	SIPO	CD	59793263
1085923	3710	1998-11-09	VYDAJ	PREVOD NA UCET	4633	17860	SIPO	CD	59793263
1085924	3710	1998-12-09	VYDAJ	PREVOD NA UCET	4633	17605	SIPO	CD	59793263
1085931	3710	1997-01-07	VYDAJ	VYBER	15040	27378	\N	\N	\N
1085932	3710	1998-01-06	VYDAJ	VYBER	15200	37814	\N	\N	\N
1085933	3710	1995-12-20	VYDAJ	VYBER	2400	33262	\N	\N	\N
1085934	3710	1996-12-24	VYDAJ	VYBER	2560	30741	\N	\N	\N
1085935	3710	1997-12-10	VYDAJ	VYBER	2080	52038	\N	\N	\N
1085943	3710	1996-01-22	VYDAJ	VYBER	840	25389	\N	\N	\N
1085944	3710	1996-01-08	VYDAJ	VYBER	2400	38722	\N	\N	\N
1085945	3710	1996-01-23	VYDAJ	VYBER	1800	23589	\N	\N	\N
1085946	3710	1996-01-24	VYDAJ	VYBER	2640	20949	\N	\N	\N
1085947	3710	1996-01-12	VYDAJ	VYBER	2160	31929	\N	\N	\N
1085948	3710	1996-01-26	VYDAJ	VYBER	3360	17589	\N	\N	\N
1085950	3710	1997-01-08	VYDAJ	VYBER	3120	24258	\N	\N	\N
1085951	3710	1997-01-17	VYDAJ	VYBER	3360	15325	\N	\N	\N
1085952	3710	1997-01-20	VYDAJ	VYBER	960	14365	\N	\N	\N
1085953	3710	1997-01-15	VYDAJ	VYBER	1800	18685	\N	\N	\N
1085954	3710	1997-01-11	VYDAJ	VYBER	2040	17585	\N	\N	\N
1085955	3710	1998-01-24	VYDAJ	VYBER KARTOU	1100	28061	\N	\N	0
1085956	3710	1998-01-20	VYDAJ	VYBER KARTOU	700	30261	\N	\N	0
1085957	3710	1998-01-03	VYDAJ	VYBER	2640	41466	\N	\N	\N
1085958	3710	1998-01-07	VYDAJ	VYBER	2760	35054	\N	\N	\N
1085959	3710	1998-01-13	VYDAJ	VYBER	1560	30961	\N	\N	\N
1085960	3710	1998-01-24	VYDAJ	VYBER KARTOU	1100	29161	\N	\N	0
1085961	3710	1995-08-23	VYDAJ	VYBER	3960	32271	\N	\N	\N
1085962	3710	1995-12-27	VYDAJ	VYBER	1200	29462	\N	\N	\N
1085964	3710	1995-11-26	VYDAJ	VYBER	1440	22878	\N	\N	\N
1085966	3710	1995-10-07	VYDAJ	VYBER	4920	31942	\N	\N	\N
1085967	3710	1996-10-09	VYDAJ	VYBER	4800	31517	\N	\N	\N
1085968	3710	1996-10-08	VYDAJ	VYBER	5400	36317	\N	\N	\N
1085969	3710	1996-05-08	VYDAJ	VYBER	5760	33099	\N	\N	\N
1085970	3710	1996-02-20	VYDAJ	VYBER	4680	21424	\N	\N	\N
1085971	3710	1996-03-22	VYDAJ	VYBER	1920	24901	\N	\N	\N
1085972	3710	1996-06-16	VYDAJ	VYBER	2880	36475	\N	\N	\N
1085973	3710	1997-05-10	VYDAJ	VYBER	4440	31931	\N	\N	\N
1085974	3710	1997-05-01	VYDAJ	VYBER	5040	29456	\N	\N	\N
1085975	3710	1997-01-24	VYDAJ	VYBER	1080	13285	\N	\N	\N
1085976	3710	1997-07-23	VYDAJ	VYBER	3480	32614	\N	\N	\N
1085977	3710	1998-02-14	VYDAJ	VYBER KARTOU	1300	29298	\N	\N	0
1085978	3710	1998-05-09	VYDAJ	VYBER	5880	35536	\N	\N	\N
1085979	3710	1998-11-11	VYDAJ	VYBER KARTOU	700	17160	\N	\N	0
1085980	3710	1998-07-07	VYDAJ	VYBER KARTOU	2000	35763	\N	\N	0
1085988	3710	1995-07-31	VYDAJ	VYBER	15	29316	SLUZBY	\N	\N
1085989	3710	1995-08-31	VYDAJ	VYBER	15	27289	SLUZBY	\N	\N
1085990	3710	1995-09-30	VYDAJ	VYBER	15	25314	SLUZBY	\N	\N
1085991	3710	1995-10-31	VYDAJ	VYBER	15	23103	SLUZBY	\N	\N
1085992	3710	1995-11-30	VYDAJ	VYBER	15	22973	SLUZBY	\N	\N
1085993	3710	1995-12-31	VYDAJ	VYBER	15	29574	SLUZBY	\N	\N
1085994	3710	1996-01-31	VYDAJ	VYBER	15	17689	SLUZBY	\N	\N
1085995	3710	1996-02-29	VYDAJ	VYBER	15	21506	SLUZBY	\N	\N
1085996	3710	1996-03-31	VYDAJ	VYBER	15	24992	SLUZBY	\N	\N
1085997	3710	1996-04-30	VYDAJ	VYBER	15	27311	SLUZBY	\N	\N
1085998	3710	1996-05-31	VYDAJ	VYBER	15	26666	SLUZBY	\N	\N
1085999	3710	1996-06-30	VYDAJ	VYBER	15	30093	SLUZBY	\N	\N
1086000	3710	1996-07-31	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
1086001	3710	1996-08-31	VYDAJ	VYBER	15	26245	SLUZBY	\N	\N
1086002	3710	1996-09-30	VYDAJ	VYBER	15	30169	SLUZBY	\N	\N
1086003	3710	1996-10-31	VYDAJ	VYBER	15	25588	SLUZBY	\N	\N
1086004	3710	1996-11-30	VYDAJ	VYBER	15	31112	SLUZBY	\N	\N
1086005	3710	1996-12-31	VYDAJ	VYBER	15	30870	SLUZBY	\N	\N
1086006	3710	1997-01-31	VYDAJ	VYBER	15	13350	SLUZBY	\N	\N
1086007	3710	1997-02-28	VYDAJ	VYBER	15	23333	SLUZBY	\N	\N
1086008	3710	1997-03-31	VYDAJ	VYBER	15	31253	SLUZBY	\N	\N
1086009	3710	1997-04-30	VYDAJ	VYBER	15	34496	SLUZBY	\N	\N
1086010	3710	1997-05-31	VYDAJ	VYBER	15	30351	SLUZBY	\N	\N
1086011	3710	1997-06-30	VYDAJ	VYBER	15	38179	SLUZBY	\N	\N
1086012	3710	1997-07-31	VYDAJ	VYBER	15	32753	SLUZBY	\N	\N
1086013	3710	1997-08-31	VYDAJ	VYBER	15	37805	SLUZBY	\N	\N
1086014	3710	1997-09-30	VYDAJ	VYBER	15	42978	SLUZBY	\N	\N
1086015	3710	1997-10-31	VYDAJ	VYBER	15	41556	SLUZBY	\N	\N
1086016	3710	1997-11-30	VYDAJ	VYBER	15	41429	SLUZBY	\N	\N
1086017	3710	1997-12-31	VYDAJ	VYBER	15	44106	SLUZBY	\N	\N
1086018	3710	1998-01-31	VYDAJ	VYBER	15	28183	SLUZBY	\N	\N
1086019	3710	1998-02-28	VYDAJ	VYBER	15	29407	SLUZBY	\N	\N
1086020	3710	1998-03-31	VYDAJ	VYBER	15	32740	SLUZBY	\N	\N
1086021	3710	1998-04-30	VYDAJ	VYBER	15	29868	SLUZBY	\N	\N
1086022	3710	1998-05-31	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
1086023	3710	1998-06-30	VYDAJ	VYBER	15	26215	SLUZBY	\N	\N
1086024	3710	1998-07-31	VYDAJ	VYBER	15	21224	SLUZBY	\N	\N
1086025	3710	1998-08-31	VYDAJ	VYBER	15	19405	SLUZBY	\N	\N
1086026	3710	1998-09-30	VYDAJ	VYBER	15	16977	SLUZBY	\N	\N
1086027	3710	1998-10-31	VYDAJ	VYBER	15	16345	SLUZBY	\N	\N
1086028	3710	1998-11-30	VYDAJ	VYBER	15	17216	SLUZBY	\N	\N
1086029	3710	1995-03-27	PRIJEM	VKLAD	6500	18648	\N	\N	\N
1086030	3710	1995-04-26	VYDAJ	VYBER	5800	24409	\N	\N	\N
1086031	3710	1995-05-26	VYDAJ	VYBER	9300	26738	\N	\N	\N
1086032	3710	1995-06-25	VYDAJ	VYBER	14700	29464	\N	\N	\N
1086033	3710	1995-07-25	VYDAJ	VYBER	7300	29193	\N	\N	\N
1086034	3710	1995-08-24	VYDAJ	VYBER	5100	27171	\N	\N	\N
1086035	3710	1995-09-23	VYDAJ	VYBER	9000	25204	\N	\N	\N
1086036	3710	1995-10-23	VYDAJ	VYBER	4300	23009	\N	\N	\N
1086037	3710	1995-11-22	VYDAJ	VYBER	5700	24318	\N	\N	\N
1086038	3710	1995-12-22	VYDAJ	VYBER	2600	30662	\N	\N	\N
1086039	3710	1996-01-21	VYDAJ	VYBER	5700	26229	\N	\N	\N
1086040	3710	1996-02-20	PRIJEM	VKLAD	1500	26104	\N	\N	\N
1086041	3710	1996-03-21	VYDAJ	VYBER	1600	26821	\N	\N	\N
1086042	3710	1996-04-20	VYDAJ	VYBER	4700	27207	\N	\N	\N
1086043	3710	1996-05-20	VYDAJ	VYBER	1900	26566	\N	\N	\N
1086044	3710	1996-06-19	VYDAJ	VYBER	6500	29975	\N	\N	\N
1086045	3710	1996-07-19	VYDAJ	VYBER	9400	27608	\N	\N	\N
1086046	3710	1996-08-18	VYDAJ	VYBER	8500	26139	\N	\N	\N
1086047	3710	1996-09-17	VYDAJ	VYBER	3100	30060	\N	\N	\N
1086048	3710	1996-10-17	VYDAJ	VYBER	1400	25484	\N	\N	\N
1086049	3710	1996-11-16	VYDAJ	VYBER	1500	31003	\N	\N	\N
1086050	3710	1996-12-16	VYDAJ	VYBER	10500	33301	\N	\N	\N
1086051	3710	1997-01-15	PRIJEM	VKLAD	2900	20485	\N	\N	\N
1086052	3710	1997-02-14	PRIJEM	VKLAD	3000	23265	\N	\N	\N
1086053	3710	1997-03-16	PRIJEM	VKLAD	900	31148	\N	\N	\N
1086054	3710	1997-04-15	VYDAJ	VYBER	3800	34368	\N	\N	\N
1086055	3710	1997-05-15	VYDAJ	VYBER	1700	30231	\N	\N	\N
1086056	3710	1997-06-14	VYDAJ	VYBER	5000	38040	\N	\N	\N
1086057	3710	1997-07-14	VYDAJ	VYBER	9000	36094	\N	\N	\N
1086058	3710	1997-08-13	VYDAJ	VYBER	2000	37668	\N	\N	\N
1086059	3710	1997-09-12	VYDAJ	VYBER	1900	42820	\N	\N	\N
1086060	3710	1997-10-12	VYDAJ	VYBER	8500	41393	\N	\N	\N
1086061	3710	1997-11-11	VYDAJ	VYBER	7200	41271	\N	\N	\N
1086062	3710	1997-12-11	VYDAJ	VYBER	8100	43938	\N	\N	\N
1086063	3710	1998-01-10	PRIJEM	VKLAD	2100	32521	\N	\N	\N
1086064	3710	1998-02-09	VYDAJ	VYBER	4500	35231	\N	\N	\N
1086065	3710	1998-03-11	VYDAJ	VYBER KARTOU	3700	32622	\N	\N	0
1086066	3710	1998-04-10	VYDAJ	VYBER	9900	29755	\N	\N	\N
1086067	3710	1998-05-10	VYDAJ	VYBER	5500	25403	\N	\N	\N
1086068	3710	1998-06-09	VYDAJ	VYBER	12100	26088	\N	\N	\N
1086069	3710	1998-07-09	VYDAJ	VYBER	10000	25763	\N	\N	\N
1086070	3710	1998-08-08	VYDAJ	VYBER	8800	23972	\N	\N	\N
1086071	3710	1998-09-07	VYDAJ	VYBER	9400	21553	\N	\N	\N
1086072	3710	1998-10-07	VYDAJ	VYBER	7600	20925	\N	\N	\N
1086073	3710	1998-11-06	VYDAJ	VYBER	5400	22493	\N	\N	\N
1086074	3710	1998-12-06	VYDAJ	VYBER	12300	22238	\N	\N	\N
1086121	3711	1997-05-08	PRIJEM	VKLAD	400	400	\N	\N	\N
1086122	3711	1997-09-28	PRIJEM	VKLAD	49137	82493	\N	\N	\N
1086125	3711	1997-12-10	PRIJEM	VKLAD	16942	56877	\N	\N	\N
1086126	3711	1997-12-10	PRIJEM	VKLAD	16681	39935	\N	\N	\N
1086127	3711	1997-12-17	PRIJEM	VKLAD	47564	101274	\N	\N	\N
1086128	3711	1997-12-16	PRIJEM	VKLAD	17116	53710	\N	\N	\N
1086129	3711	1997-09-22	PRIJEM	VKLAD	5009	50759	\N	\N	\N
1086133	3711	1997-08-23	PRIJEM	VKLAD	46532	74238	\N	\N	\N
1086134	3711	1997-05-10	PRIJEM	VKLAD	11324	11724	\N	\N	\N
1086135	3711	1997-09-05	PRIJEM	VKLAD	29323	103750	\N	\N	\N
1086136	3711	1997-06-07	PRIJEM	VKLAD	32686	44445	\N	\N	\N
1086139	3711	1997-12-01	PRIJEM	VKLAD	28445	33554	\N	\N	\N
1086150	3711	1997-10-02	VYDAJ	VYBER	9900	72859	\N	\N	0
1086151	3711	1997-11-12	VYDAJ	PREVOD NA UCET	7683	5080	UVER	CD	24353820
1086152	3711	1997-12-12	VYDAJ	PREVOD NA UCET	7683	49194	UVER	CD	24353820
1086153	3711	1998-01-12	VYDAJ	PREVOD NA UCET	7683	25533	UVER	CD	24353820
1086154	3711	1998-02-12	VYDAJ	PREVOD NA UCET	7683	981	UVER	CD	24353820
1086160	3711	1998-08-12	VYDAJ	PREVOD NA UCET	7683	548	UVER	CD	24353820
1086161	3711	1998-09-12	VYDAJ	PREVOD NA UCET	7683	-4274	UVER	CD	24353820
1086162	3711	1998-10-12	VYDAJ	PREVOD NA UCET	7683	-6280	UVER	CD	24353820
1086163	3711	1998-11-12	VYDAJ	PREVOD NA UCET	7683	2305	UVER	CD	24353820
1086164	3711	1998-12-12	VYDAJ	PREVOD NA UCET	7683	-2382	UVER	CD	24353820
1086174	3711	1997-10-07	VYDAJ	VYBER	7000	34859	SIPO	\N	0
1086175	3711	1997-11-05	VYDAJ	VYBER	6400	12764	SIPO	\N	0
1086176	3711	1997-12-18	VYDAJ	VYBER	5400	95874	SIPO	\N	0
1086177	3711	1998-01-02	VYDAJ	VYBER	6200	89916	SIPO	\N	0
1086178	3711	1998-02-09	VYDAJ	VYBER	5900	8664	SIPO	\N	0
1086179	3711	1998-03-04	VYDAJ	VYBER	7000	-6007	SIPO	\N	0
1086183	3711	1998-07-07	VYDAJ	VYBER	7100	-1336	SIPO	\N	0
1086184	3711	1998-08-19	VYDAJ	VYBER	6800	-6252	SIPO	\N	0
1086185	3711	1998-09-02	VYDAJ	VYBER	5100	3409	SIPO	\N	0
1086186	3711	1998-10-10	VYDAJ	VYBER	7100	1404	SIPO	\N	0
1086187	3711	1998-11-16	VYDAJ	VYBER	6200	-3895	SIPO	\N	0
1086188	3711	1998-12-08	VYDAJ	VYBER	5500	5301	SIPO	\N	0
1086191	3711	1997-09-24	VYBER	VYBER	17403	33356	\N	\N	\N
1086192	3711	1997-10-22	VYBER	VYBER	5247	29612	\N	\N	\N
1086195	3711	1997-12-14	VYDAJ	VYBER	8100	36594	\N	\N	\N
1086203	3711	1998-01-24	VYDAJ	VYBER	7500	16233	\N	\N	\N
1086204	3711	1998-01-08	VYDAJ	VYBER	3600	35016	\N	\N	\N
1086205	3711	1998-01-03	VYDAJ	VYBER	7200	82716	\N	\N	\N
1086206	3711	1998-01-09	VYDAJ	VYBER	1800	33216	\N	\N	\N
1086207	3711	1998-01-18	VYDAJ	VYBER	1800	23733	\N	\N	\N
1086208	3711	1998-01-06	VYDAJ	VYBER	7800	38616	\N	\N	\N
1086209	3711	1997-12-13	VYDAJ	VYBER	4500	44694	\N	\N	\N
1086229	3711	1997-09-30	VYDAJ	VYBER	15	82759	SLUZBY	\N	\N
1086230	3711	1997-10-31	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
1086231	3711	1997-11-30	VYDAJ	VYBER	15	5109	SLUZBY	\N	\N
1086232	3711	1997-12-31	VYDAJ	VYBER	15	96116	SLUZBY	\N	\N
1086233	3711	1998-01-31	VYDAJ	VYBER	15	16364	SLUZBY	\N	\N
1086234	3711	1998-02-28	VYDAJ	VYBER	15	993	SLUZBY	\N	\N
1086235	3711	1998-03-31	VYDAJ	VYBER	15	-6018	SLUZBY	\N	\N
1086236	3711	1998-04-30	VYDAJ	VYBER	15	-6090	SLUZBY	\N	\N
1086237	3711	1998-05-31	VYDAJ	VYBER	15	-6105	SLUZBY	\N	\N
1086238	3711	1998-06-30	VYDAJ	VYBER	15	-6177	SLUZBY	\N	\N
1086239	3711	1998-07-31	VYDAJ	VYBER	15	-1350	SLUZBY	\N	\N
1086240	3711	1998-08-31	VYDAJ	VYBER	15	8535	SLUZBY	\N	\N
1086241	3711	1998-09-30	VYDAJ	VYBER	15	8527	SLUZBY	\N	\N
1086242	3711	1998-10-31	VYDAJ	VYBER	15	10022	SLUZBY	\N	\N
1086243	3711	1998-11-30	VYDAJ	VYBER	15	10816	SLUZBY	\N	\N
1086244	3711	1997-06-07	VYDAJ	VYBER	10900	33545	\N	\N	\N
1086245	3711	1997-07-07	VYDAJ	VYBER	5400	28266	\N	\N	\N
1086246	3711	1997-08-06	VYDAJ	VYBER	700	27706	\N	\N	\N
1086247	3711	1997-09-05	VYDAJ	VYBER	26800	45750	\N	\N	\N
1086248	3711	1997-09-05	VYDAJ	VYBER	31200	72550	\N	\N	\N
1086249	3711	1997-10-05	VYDAJ	VYBER	31000	41859	\N	\N	\N
1086250	3711	1997-11-04	VYDAJ	VYBER	10600	19164	\N	\N	\N
1086251	3711	1997-12-04	VYDAJ	VYBER	10300	23254	\N	\N	\N
1086252	3711	1998-01-03	VYDAJ	VYBER	36300	46416	\N	\N	\N
1086253	3711	1998-02-02	VYDAJ	VYBER	1800	14564	\N	\N	\N
1086254	3711	1998-07-02	PRIJEM	VKLAD	12000	5764	\N	\N	\N
1086255	3711	1998-08-01	PRIJEM	VKLAD	9600	8231	\N	\N	\N
1086256	3711	1998-08-31	PRIJEM	VKLAD	14800	8548	\N	\N	\N
1086257	3711	1998-09-30	PRIJEM	VKLAD	12800	8541	\N	\N	\N
1086258	3711	1998-10-30	PRIJEM	VKLAD	16300	10021	\N	\N	\N
1086259	3711	1998-11-29	PRIJEM	VKLAD	14700	10805	\N	\N	\N
1086282	3712	1994-09-13	PRIJEM	VKLAD	900	900	\N	\N	\N
1086292	3712	1994-10-10	PRIJEM	PREVOD Z UCTU	6074	6974	DUCHOD	CD	97933172
1086293	3712	1994-11-10	PRIJEM	PREVOD Z UCTU	6074	13048	DUCHOD	CD	97933172
1086294	3712	1994-12-10	PRIJEM	PREVOD Z UCTU	6074	19122	DUCHOD	CD	97933172
1086295	3712	1995-01-10	PRIJEM	PREVOD Z UCTU	6074	25196	DUCHOD	CD	97933172
1086296	3712	1995-02-10	PRIJEM	PREVOD Z UCTU	6074	31270	DUCHOD	CD	97933172
1086297	3712	1995-03-10	PRIJEM	PREVOD Z UCTU	6074	31204	DUCHOD	CD	97933172
1086298	3712	1995-04-10	PRIJEM	PREVOD Z UCTU	6074	30668	DUCHOD	CD	97933172
1086299	3712	1995-05-10	PRIJEM	PREVOD Z UCTU	6074	25866	DUCHOD	CD	97933172
1086300	3712	1995-06-10	PRIJEM	PREVOD Z UCTU	6074	23972	DUCHOD	CD	97933172
1086301	3712	1995-07-10	PRIJEM	PREVOD Z UCTU	6074	19853	DUCHOD	CD	97933172
1086302	3712	1995-08-10	PRIJEM	PREVOD Z UCTU	6074	23480	DUCHOD	CD	97933172
1086303	3712	1995-09-10	PRIJEM	PREVOD Z UCTU	6074	27122	DUCHOD	CD	97933172
1086304	3712	1995-10-10	PRIJEM	PREVOD Z UCTU	6074	30779	DUCHOD	CD	97933172
1086305	3712	1995-11-10	PRIJEM	PREVOD Z UCTU	6074	32751	DUCHOD	CD	97933172
1086306	3712	1995-12-10	PRIJEM	PREVOD Z UCTU	6074	32184	DUCHOD	CD	97933172
1086307	3712	1996-01-10	PRIJEM	PREVOD Z UCTU	6074	33267	DUCHOD	CD	97933172
1086308	3712	1996-02-10	PRIJEM	PREVOD Z UCTU	6074	29699	DUCHOD	CD	97933172
1086309	3712	1996-03-10	PRIJEM	PREVOD Z UCTU	6074	28573	DUCHOD	CD	97933172
1086310	3712	1996-04-10	PRIJEM	PREVOD Z UCTU	6074	24021	DUCHOD	CD	97933172
1086311	3712	1996-05-10	PRIJEM	PREVOD Z UCTU	6074	24848	DUCHOD	CD	97933172
1086312	3712	1996-06-10	PRIJEM	PREVOD Z UCTU	6074	21998	DUCHOD	CD	97933172
1086313	3712	1996-07-10	PRIJEM	PREVOD Z UCTU	6074	20545	DUCHOD	CD	97933172
1086314	3712	1996-08-10	PRIJEM	PREVOD Z UCTU	6074	21483	DUCHOD	CD	97933172
1086315	3712	1996-09-10	PRIJEM	PREVOD Z UCTU	6074	22641	DUCHOD	CD	97933172
1086316	3712	1996-10-10	PRIJEM	PREVOD Z UCTU	6074	23584	DUCHOD	CD	97933172
1086317	3712	1996-11-10	PRIJEM	PREVOD Z UCTU	6074	22431	DUCHOD	CD	97933172
1086318	3712	1996-12-10	PRIJEM	PREVOD Z UCTU	6074	21937	DUCHOD	CD	97933172
1086319	3712	1997-01-10	PRIJEM	PREVOD Z UCTU	6074	20937	DUCHOD	CD	97933172
1086320	3712	1997-02-10	PRIJEM	PREVOD Z UCTU	6074	19761	DUCHOD	CD	97933172
1086321	3712	1997-03-10	PRIJEM	PREVOD Z UCTU	6074	21146	DUCHOD	CD	97933172
1086322	3712	1997-04-10	PRIJEM	PREVOD Z UCTU	6074	19081	DUCHOD	CD	97933172
1086323	3712	1997-05-10	PRIJEM	PREVOD Z UCTU	6074	17503	DUCHOD	CD	97933172
1086324	3712	1997-06-10	PRIJEM	PREVOD Z UCTU	6074	20440	DUCHOD	CD	97933172
1086325	3712	1997-07-10	PRIJEM	PREVOD Z UCTU	6074	19367	DUCHOD	CD	97933172
1086326	3712	1997-08-10	PRIJEM	PREVOD Z UCTU	6074	20191	DUCHOD	CD	97933172
1086327	3712	1997-09-10	PRIJEM	PREVOD Z UCTU	6074	18119	DUCHOD	CD	97933172
1086328	3712	1997-10-10	PRIJEM	PREVOD Z UCTU	6074	21738	DUCHOD	CD	97933172
1086329	3712	1997-11-10	PRIJEM	PREVOD Z UCTU	6074	25372	DUCHOD	CD	97933172
1086330	3712	1997-12-10	PRIJEM	PREVOD Z UCTU	6074	19214	DUCHOD	CD	97933172
1086331	3712	1998-01-10	PRIJEM	PREVOD Z UCTU	6074	22837	DUCHOD	CD	97933172
1086332	3712	1998-02-10	PRIJEM	PREVOD Z UCTU	6074	21874	DUCHOD	CD	97933172
1086333	3712	1998-03-10	PRIJEM	PREVOD Z UCTU	6074	25508	DUCHOD	CD	97933172
1086334	3712	1998-04-10	PRIJEM	PREVOD Z UCTU	6074	26437	DUCHOD	CD	97933172
1086335	3712	1998-05-10	PRIJEM	PREVOD Z UCTU	6074	30090	DUCHOD	CD	97933172
1086336	3712	1998-06-10	PRIJEM	PREVOD Z UCTU	6074	29750	DUCHOD	CD	97933172
1086337	3712	1998-07-10	PRIJEM	PREVOD Z UCTU	6074	28608	DUCHOD	CD	97933172
1086338	3712	1998-08-10	PRIJEM	PREVOD Z UCTU	6074	32270	DUCHOD	CD	97933172
1086339	3712	1998-09-10	PRIJEM	PREVOD Z UCTU	6074	28820	DUCHOD	CD	97933172
1086340	3712	1998-10-10	PRIJEM	PREVOD Z UCTU	6074	32489	DUCHOD	CD	97933172
1086341	3712	1998-11-10	PRIJEM	PREVOD Z UCTU	6074	18744	DUCHOD	CD	97933172
1086342	3712	1998-12-10	PRIJEM	PREVOD Z UCTU	6074	21165	DUCHOD	CD	97933172
1086356	3712	1995-02-13	VYDAJ	PREVOD NA UCET	2499	25071	SIPO	CD	80358522
1086357	3712	1995-03-13	VYDAJ	PREVOD NA UCET	2499	24505	SIPO	CD	80358522
1086358	3712	1995-04-13	VYDAJ	PREVOD NA UCET	2499	24269	SIPO	CD	80358522
1086359	3712	1995-05-13	VYDAJ	PREVOD NA UCET	2499	20067	SIPO	CD	80358522
1086360	3712	1995-06-13	VYDAJ	PREVOD NA UCET	2499	20673	SIPO	CD	80358522
1086361	3712	1995-07-13	VYDAJ	PREVOD NA UCET	2499	17354	SIPO	CD	80358522
1086362	3712	1995-08-13	VYDAJ	PREVOD NA UCET	2499	20981	SIPO	CD	80358522
1086363	3712	1995-09-13	VYDAJ	PREVOD NA UCET	2499	24623	SIPO	CD	80358522
1086364	3712	1995-10-13	VYDAJ	PREVOD NA UCET	2499	28280	SIPO	CD	80358522
1086365	3712	1995-11-13	VYDAJ	PREVOD NA UCET	2499	30252	SIPO	CD	80358522
1086366	3712	1995-12-13	VYDAJ	PREVOD NA UCET	2499	29685	SIPO	CD	80358522
1086367	3712	1996-01-13	VYDAJ	PREVOD NA UCET	2499	30768	SIPO	CD	80358522
1086368	3712	1996-02-13	VYDAJ	PREVOD NA UCET	2499	27200	SIPO	CD	80358522
1086369	3712	1996-03-13	VYDAJ	PREVOD NA UCET	2499	26074	SIPO	CD	80358522
1086370	3712	1996-04-13	VYDAJ	PREVOD NA UCET	2499	19602	SIPO	CD	80358522
1086371	3712	1996-05-13	VYDAJ	PREVOD NA UCET	2499	22349	SIPO	CD	80358522
1086372	3712	1996-06-13	VYDAJ	PREVOD NA UCET	2499	19499	SIPO	CD	80358522
1086373	3712	1996-07-13	VYDAJ	PREVOD NA UCET	2499	18046	SIPO	CD	80358522
1086374	3712	1996-08-13	VYDAJ	PREVOD NA UCET	2499	18984	SIPO	CD	80358522
1086375	3712	1996-09-13	VYDAJ	PREVOD NA UCET	2499	20142	SIPO	CD	80358522
1086376	3712	1996-10-13	VYDAJ	PREVOD NA UCET	2499	21085	SIPO	CD	80358522
1086377	3712	1996-11-13	VYDAJ	PREVOD NA UCET	2499	19932	SIPO	CD	80358522
1086378	3712	1996-12-13	VYDAJ	PREVOD NA UCET	2499	19438	SIPO	CD	80358522
1086379	3712	1997-01-13	VYDAJ	PREVOD NA UCET	2499	18438	SIPO	CD	80358522
1086380	3712	1997-02-13	VYDAJ	PREVOD NA UCET	2499	17262	SIPO	CD	80358522
1086381	3712	1997-03-13	VYDAJ	PREVOD NA UCET	2499	18647	SIPO	CD	80358522
1086382	3712	1997-04-13	VYDAJ	PREVOD NA UCET	2499	16582	SIPO	CD	80358522
1086383	3712	1997-05-13	VYDAJ	PREVOD NA UCET	2499	15004	SIPO	CD	80358522
1086384	3712	1997-06-13	VYDAJ	PREVOD NA UCET	2499	17941	SIPO	CD	80358522
1086385	3712	1997-07-13	VYDAJ	PREVOD NA UCET	2499	16868	SIPO	CD	80358522
1086386	3712	1997-08-13	VYDAJ	PREVOD NA UCET	2499	17692	SIPO	CD	80358522
1086387	3712	1997-09-13	VYDAJ	PREVOD NA UCET	2499	15620	SIPO	CD	80358522
1086388	3712	1997-10-13	VYDAJ	PREVOD NA UCET	2499	19239	SIPO	CD	80358522
1086389	3712	1997-11-13	VYDAJ	PREVOD NA UCET	2499	22873	SIPO	CD	80358522
1086390	3712	1997-12-13	VYDAJ	PREVOD NA UCET	2499	16715	SIPO	CD	80358522
1086391	3712	1998-01-13	VYDAJ	PREVOD NA UCET	2499	20338	SIPO	CD	80358522
1086392	3712	1998-02-13	VYDAJ	PREVOD NA UCET	2499	19375	SIPO	CD	80358522
1086393	3712	1998-03-13	VYDAJ	PREVOD NA UCET	2499	23009	SIPO	CD	80358522
1086394	3712	1998-04-13	VYDAJ	PREVOD NA UCET	2499	23938	SIPO	CD	80358522
1086395	3712	1998-05-13	VYDAJ	PREVOD NA UCET	2499	24551	SIPO	CD	80358522
1086396	3712	1998-06-13	VYDAJ	PREVOD NA UCET	2499	27251	SIPO	CD	80358522
1086397	3712	1998-07-13	VYDAJ	PREVOD NA UCET	2499	26109	SIPO	CD	80358522
1086398	3712	1998-08-13	VYDAJ	PREVOD NA UCET	2499	29771	SIPO	CD	80358522
1086399	3712	1998-09-13	VYDAJ	PREVOD NA UCET	2499	26321	SIPO	CD	80358522
1086400	3712	1998-10-13	VYDAJ	PREVOD NA UCET	2499	29990	SIPO	CD	80358522
1086401	3712	1998-11-13	VYDAJ	PREVOD NA UCET	2499	16245	SIPO	CD	80358522
1086402	3712	1998-12-13	VYDAJ	PREVOD NA UCET	2499	18666	SIPO	CD	80358522
1086404	3712	1995-06-14	VYDAJ	VYBER	6950	13723	\N	\N	\N
1086407	3712	1998-06-17	VYDAJ	VYBER	4800	22451	\N	\N	\N
1086410	3712	1996-01-21	VYDAJ	VYBER	4250	26518	\N	\N	\N
1086411	3712	1997-01-14	VYDAJ	VYBER	4800	13638	\N	\N	\N
1086412	3712	1998-01-29	VYDAJ	VYBER	4600	15738	\N	\N	\N
1086414	3712	1995-12-03	VYDAJ	VYBER	1350	27810	\N	\N	\N
1086415	3712	1996-12-30	VYDAJ	VYBER	400	19038	\N	\N	\N
1086417	3712	1998-12-01	VYDAJ	VYBER	1200	15091	\N	\N	\N
1086424	3712	1995-11-15	VYDAJ	VYBER	1200	29052	\N	\N	\N
1086425	3712	1995-04-17	VYDAJ	VYBER	2400	21869	\N	\N	\N
1086426	3712	1995-05-03	VYDAJ	VYBER	1040	20912	\N	\N	\N
1086427	3712	1995-06-08	VYDAJ	VYBER	2240	17898	\N	\N	\N
1086428	3712	1995-05-04	VYDAJ	VYBER	1120	19792	\N	\N	\N
1086430	3712	1996-05-04	VYDAJ	VYBER	400	19274	\N	\N	\N
1086431	3712	1996-03-25	VYDAJ	VYBER	3520	22554	\N	\N	\N
1086432	3712	1996-04-11	VYDAJ	VYBER	1920	22101	\N	\N	\N
1086433	3712	1996-12-05	VYDAJ	VYBER	2640	15863	\N	\N	\N
1086434	3712	1996-08-23	VYDAJ	VYBER	880	18104	\N	\N	\N
1086435	3712	1997-05-29	VYDAJ	VYBER	480	14524	\N	\N	\N
1086436	3712	1997-08-01	VYDAJ	VYBER	2080	14837	\N	\N	\N
1086438	3712	1997-02-28	VYDAJ	VYBER	2240	15072	\N	\N	\N
1086439	3712	1997-08-03	VYDAJ	VYBER	720	14117	\N	\N	\N
1086440	3712	1997-01-08	VYDAJ	VYBER	1840	14863	\N	\N	\N
1086441	3712	1998-05-12	VYDAJ	VYBER	3040	27050	\N	\N	\N
1086442	3712	1998-09-07	VYDAJ	VYBER	3360	22746	\N	\N	\N
1086443	3712	1998-03-31	VYDAJ	VYBER	2720	20378	\N	\N	\N
1086444	3712	1998-08-17	VYDAJ	VYBER	3760	26011	\N	\N	\N
1086445	3712	1998-05-23	VYDAJ	VYBER	960	23591	\N	\N	\N
1086460	3712	1995-02-28	VYDAJ	VYBER	15	25130	SLUZBY	\N	\N
1086461	3712	1995-03-31	VYDAJ	VYBER	15	24594	SLUZBY	\N	\N
1086462	3712	1995-04-30	VYDAJ	VYBER	15	21952	SLUZBY	\N	\N
1086463	3712	1995-05-31	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
1086464	3712	1995-06-30	VYDAJ	VYBER	15	13779	SLUZBY	\N	\N
1086465	3712	1995-07-31	VYDAJ	VYBER	15	17406	SLUZBY	\N	\N
1086466	3712	1995-08-31	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
1086467	3712	1995-09-30	VYDAJ	VYBER	15	24705	SLUZBY	\N	\N
1086468	3712	1995-10-31	VYDAJ	VYBER	15	28377	SLUZBY	\N	\N
1086469	3712	1995-11-30	VYDAJ	VYBER	15	29160	SLUZBY	\N	\N
1086470	3712	1995-12-31	VYDAJ	VYBER	15	29793	SLUZBY	\N	\N
1086471	3712	1996-01-31	VYDAJ	VYBER	15	26625	SLUZBY	\N	\N
1086472	3712	1996-02-29	VYDAJ	VYBER	15	27299	SLUZBY	\N	\N
1086473	3712	1996-03-31	VYDAJ	VYBER	15	22647	SLUZBY	\N	\N
1086474	3712	1996-04-30	VYDAJ	VYBER	15	19674	SLUZBY	\N	\N
1086475	3712	1996-05-31	VYDAJ	VYBER	15	22424	SLUZBY	\N	\N
1086476	3712	1996-06-30	VYDAJ	VYBER	15	19571	SLUZBY	\N	\N
1086477	3712	1996-07-31	VYDAJ	VYBER	15	18109	SLUZBY	\N	\N
1086478	3712	1996-08-31	VYDAJ	VYBER	15	18167	SLUZBY	\N	\N
1086479	3712	1996-09-30	VYDAJ	VYBER	15	20210	SLUZBY	\N	\N
1086480	3712	1996-10-31	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
1086481	3712	1996-11-30	VYDAJ	VYBER	15	20003	SLUZBY	\N	\N
1086482	3712	1996-12-31	VYDAJ	VYBER	15	19103	SLUZBY	\N	\N
1086483	3712	1997-01-31	VYDAJ	VYBER	15	13687	SLUZBY	\N	\N
1086484	3712	1997-02-28	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
1086485	3712	1997-03-31	VYDAJ	VYBER	15	13007	SLUZBY	\N	\N
1086486	3712	1997-04-30	VYDAJ	VYBER	15	16629	SLUZBY	\N	\N
1086487	3712	1997-05-31	VYDAJ	VYBER	15	14366	SLUZBY	\N	\N
1086488	3712	1997-06-30	VYDAJ	VYBER	15	13293	SLUZBY	\N	\N
1086489	3712	1997-07-31	VYDAJ	VYBER	15	16917	SLUZBY	\N	\N
1086490	3712	1997-08-31	VYDAJ	VYBER	15	12045	SLUZBY	\N	\N
1086491	3712	1997-09-30	VYDAJ	VYBER	15	15664	SLUZBY	\N	\N
1086492	3712	1997-10-31	VYDAJ	VYBER	15	19298	SLUZBY	\N	\N
1086493	3712	1997-11-30	VYDAJ	VYBER	15	13140	SLUZBY	\N	\N
1086494	3712	1997-12-31	VYDAJ	VYBER	15	16763	SLUZBY	\N	\N
1086495	3712	1998-01-31	VYDAJ	VYBER	15	15800	SLUZBY	\N	\N
1086496	3712	1998-02-28	VYDAJ	VYBER	15	19434	SLUZBY	\N	\N
1086497	3712	1998-03-31	VYDAJ	VYBER	15	20363	SLUZBY	\N	\N
1086498	3712	1998-04-30	VYDAJ	VYBER	15	24016	SLUZBY	\N	\N
1086499	3712	1998-05-31	VYDAJ	VYBER	15	23676	SLUZBY	\N	\N
1086500	3712	1998-06-30	VYDAJ	VYBER	15	22534	SLUZBY	\N	\N
1086501	3712	1998-07-31	VYDAJ	VYBER	15	26196	SLUZBY	\N	\N
1086502	3712	1998-08-31	VYDAJ	VYBER	15	26106	SLUZBY	\N	\N
1086503	3712	1998-09-30	VYDAJ	VYBER	15	26415	SLUZBY	\N	\N
1086504	3712	1998-10-31	VYDAJ	VYBER	15	12670	SLUZBY	\N	\N
1086505	3712	1998-11-30	VYDAJ	VYBER	15	16291	SLUZBY	\N	\N
1086506	3712	1995-02-10	VYDAJ	VYBER	3700	27570	\N	\N	\N
1086507	3712	1995-03-12	VYDAJ	VYBER	4200	27004	\N	\N	\N
1086508	3712	1995-04-11	VYDAJ	VYBER	3900	26768	\N	\N	\N
1086509	3712	1995-05-11	VYDAJ	VYBER	3300	22566	\N	\N	\N
1086510	3712	1995-06-10	VYDAJ	VYBER	800	23172	\N	\N	\N
1086511	3712	1995-11-07	VYDAJ	VYBER	1700	26677	\N	\N	\N
1086512	3712	1995-12-07	VYDAJ	VYBER	1700	26110	\N	\N	\N
1086513	3712	1996-01-06	VYDAJ	VYBER	2600	27193	\N	\N	\N
1086514	3712	1996-02-05	VYDAJ	VYBER	3000	23625	\N	\N	\N
1086515	3712	1996-03-06	VYDAJ	VYBER	4800	22499	\N	\N	\N
1086516	3712	1996-04-05	VYDAJ	VYBER	4700	17947	\N	\N	\N
1086517	3712	1996-05-05	VYDAJ	VYBER	500	18774	\N	\N	\N
1086518	3712	1996-06-04	VYDAJ	VYBER	6500	15924	\N	\N	\N
1086519	3712	1996-07-04	VYDAJ	VYBER	5100	14471	\N	\N	\N
1086520	3712	1996-08-03	VYDAJ	VYBER	2700	15409	\N	\N	\N
1086521	3712	1996-09-02	VYDAJ	VYBER	1600	16567	\N	\N	\N
1086522	3712	1996-10-02	VYDAJ	VYBER	2700	17510	\N	\N	\N
1086523	3712	1996-11-01	VYDAJ	VYBER	4800	16357	\N	\N	\N
1086524	3712	1996-12-01	VYDAJ	VYBER	1500	18503	\N	\N	\N
1086525	3712	1996-12-31	VYDAJ	VYBER	2400	16703	\N	\N	\N
1086526	3712	1997-03-31	VYDAJ	VYBER	5700	13022	\N	\N	\N
1086527	3712	1997-04-30	VYDAJ	VYBER	5200	11429	\N	\N	\N
1086528	3712	1997-05-30	VYDAJ	VYBER	200	14324	\N	\N	\N
1086529	3712	1997-06-29	VYDAJ	VYBER	4700	13241	\N	\N	\N
1086530	3712	1997-08-28	VYDAJ	VYBER	5700	11992	\N	\N	\N
1086531	3712	1997-11-26	VYDAJ	VYBER	9800	13073	\N	\N	\N
1086532	3712	1998-10-22	VYDAJ	VYBER	17400	12590	\N	\N	\N
1086580	3713	1993-06-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1086581	3713	1993-08-11	PRIJEM	VKLAD	41024	93054	\N	\N	\N
1086582	3713	1993-10-01	PRIJEM	VKLAD	5543	64423	\N	\N	\N
1086583	3713	1993-10-28	PRIJEM	VKLAD	22720	63443	\N	\N	\N
1086586	3713	1993-06-28	PRIJEM	VKLAD	33084	59081	\N	\N	\N
1086590	3713	1993-08-03	PRIJEM	VKLAD	38635	81630	\N	\N	\N
1086592	3713	1993-06-16	PRIJEM	VKLAD	25197	25997	\N	\N	\N
1086594	3713	1993-12-12	PRIJEM	VKLAD	31098	58173	\N	\N	\N
1086595	3713	1994-03-24	PRIJEM	VKLAD	20461	45742	\N	\N	\N
1086596	3713	1994-01-09	PRIJEM	VKLAD	32688	110887	\N	\N	\N
1086597	3713	1994-08-01	PRIJEM	VKLAD	5627	33618	\N	\N	\N
1086598	3713	1994-08-24	PRIJEM	VKLAD	35698	45628	\N	\N	\N
1086599	3713	1994-10-15	PRIJEM	VKLAD	46362	123008	\N	\N	\N
1086600	3713	1994-10-19	PRIJEM	VKLAD	30112	105620	\N	\N	\N
1086601	3713	1994-12-27	PRIJEM	VKLAD	21334	106066	\N	\N	\N
1086602	3713	1994-12-20	PRIJEM	VKLAD	32082	64700	\N	\N	\N
1086603	3713	1994-09-07	PRIJEM	VKLAD	14043	51262	\N	\N	\N
1086604	3713	1994-09-28	PRIJEM	VKLAD	11224	62486	\N	\N	\N
1086605	3713	1994-04-18	PRIJEM	VKLAD	49146	59873	\N	\N	\N
1086606	3713	1994-01-06	PRIJEM	VKLAD	37567	78199	\N	\N	\N
1086607	3713	1994-12-24	PRIJEM	VKLAD	20032	84732	\N	\N	\N
1086608	3713	1994-06-09	PRIJEM	VKLAD	34759	61519	\N	\N	\N
1086609	3713	1994-10-02	PRIJEM	VKLAD	32658	72426	\N	\N	\N
1086610	3713	1994-02-15	PRIJEM	VKLAD	39518	67994	\N	\N	\N
1086611	3713	1994-10-04	PRIJEM	VKLAD	40620	113046	\N	\N	\N
1086612	3713	1995-08-03	PRIJEM	VKLAD	32271	55735	\N	\N	\N
1086613	3713	1995-08-27	PRIJEM	VKLAD	45247	98578	\N	\N	\N
1086614	3713	1995-11-15	PRIJEM	VKLAD	6346	45580	\N	\N	\N
1086615	3713	1995-01-08	PRIJEM	VKLAD	32547	79145	\N	\N	\N
1086616	3713	1995-04-22	PRIJEM	VKLAD	32685	82150	\N	\N	\N
1086617	3713	1995-01-04	PRIJEM	VKLAD	5425	46598	\N	\N	\N
1086618	3713	1995-03-19	PRIJEM	VKLAD	20996	59168	\N	\N	\N
1086619	3713	1995-03-27	PRIJEM	VKLAD	11863	58131	\N	\N	\N
1086620	3713	1995-09-29	PRIJEM	VKLAD	48723	103828	\N	\N	\N
1086621	3713	1995-08-31	PRIJEM	VKLAD	34493	102171	\N	\N	\N
1086622	3713	1995-04-07	PRIJEM	VKLAD	10191	49465	\N	\N	\N
1086623	3713	1996-10-27	PRIJEM	VKLAD	11442	91936	\N	\N	\N
1086624	3713	1996-02-26	PRIJEM	VKLAD	48690	64842	\N	\N	\N
1086625	3713	1996-03-19	PRIJEM	VKLAD	11715	56856	\N	\N	\N
1086626	3713	1996-10-27	PRIJEM	VKLAD	41585	133521	\N	\N	\N
1086627	3713	1996-06-14	PRIJEM	VKLAD	41750	108085	\N	\N	\N
1086628	3713	1996-02-05	PRIJEM	VKLAD	32698	34664	\N	\N	\N
1086629	3713	1996-12-12	PRIJEM	VKLAD	13902	105750	\N	\N	\N
1086630	3713	1996-10-01	PRIJEM	VKLAD	26336	65212	\N	\N	\N
1086631	3713	1996-10-17	PRIJEM	VKLAD	40081	101394	\N	\N	\N
1086632	3713	1996-10-31	PRIJEM	VKLAD	22812	127433	\N	\N	\N
1086633	3713	1996-07-02	PRIJEM	VKLAD	16203	60465	\N	\N	\N
1086634	3713	1996-12-22	PRIJEM	VKLAD	13513	92922	\N	\N	\N
1086635	3713	1996-12-01	PRIJEM	VKLAD	27900	99783	\N	\N	\N
1086636	3713	1996-12-26	PRIJEM	VKLAD	32238	125160	\N	\N	\N
1086637	3713	1996-06-14	PRIJEM	VKLAD	47467	66335	\N	\N	\N
1086638	3713	1997-12-07	PRIJEM	VKLAD	35593	109583	\N	\N	\N
1086639	3713	1997-08-13	PRIJEM	VKLAD	28725	118080	\N	\N	\N
1086640	3713	1997-08-16	PRIJEM	VKLAD	47387	135481	\N	\N	\N
1086641	3713	1997-03-10	PRIJEM	VKLAD	17120	83991	\N	\N	\N
1086642	3713	1997-12-09	PRIJEM	VKLAD	8179	117762	\N	\N	\N
1086643	3713	1997-05-17	PRIJEM	VKLAD	26375	80208	\N	\N	\N
1086644	3713	1997-11-04	PRIJEM	VKLAD	20660	126628	\N	\N	\N
1086645	3713	1997-07-01	PRIJEM	VKLAD	41344	115012	\N	\N	\N
1086646	3713	1997-11-11	PRIJEM	VKLAD	44128	128163	\N	\N	\N
1086647	3713	1997-11-30	PRIJEM	VKLAD	16336	123660	\N	\N	\N
1086648	3713	1997-11-05	PRIJEM	VKLAD	33006	84035	\N	\N	\N
1086649	3713	1997-11-28	PRIJEM	VKLAD	41761	127324	\N	\N	\N
1086650	3713	1997-12-27	PRIJEM	VKLAD	41599	127961	\N	\N	\N
1086651	3713	1997-11-02	PRIJEM	VKLAD	27017	105968	\N	\N	\N
1086652	3713	1997-02-03	PRIJEM	VKLAD	25121	67881	\N	\N	\N
1086653	3713	1997-07-04	PRIJEM	VKLAD	24634	139646	\N	\N	\N
1086654	3713	1997-01-25	PRIJEM	VKLAD	11951	62353	\N	\N	\N
1086655	3713	1997-10-30	PRIJEM	VKLAD	25659	92614	\N	\N	\N
1086656	3713	1997-09-23	PRIJEM	VKLAD	17155	107735	\N	\N	\N
1086657	3713	1997-09-13	PRIJEM	VKLAD	36302	130980	\N	\N	\N
1086658	3713	1997-10-15	PRIJEM	VKLAD	12247	137946	\N	\N	\N
1086659	3713	1998-10-20	PRIJEM	VKLAD	11824	107122	\N	\N	\N
1086660	3713	1998-01-06	PRIJEM	VKLAD	10608	92126	\N	\N	\N
1086661	3713	1998-08-13	PRIJEM	VKLAD	37820	149449	\N	\N	\N
1086662	3713	1998-11-19	PRIJEM	VKLAD	18629	137843	\N	\N	\N
1086663	3713	1998-07-12	PRIJEM	VKLAD	11502	86432	\N	\N	\N
1086664	3713	1998-09-15	PRIJEM	VKLAD	20231	134674	\N	\N	\N
1086665	3713	1998-04-27	PRIJEM	VKLAD	12149	111074	\N	\N	\N
1086666	3713	1998-08-04	PRIJEM	VKLAD	37062	144829	\N	\N	\N
1086667	3713	1998-03-11	PRIJEM	VKLAD	37698	103191	\N	\N	\N
1086668	3713	1998-06-21	PRIJEM	VKLAD	33681	135407	\N	\N	\N
1086669	3713	1998-08-03	PRIJEM	VKLAD	22323	132067	\N	\N	\N
1086670	3713	1998-07-10	PRIJEM	VKLAD	30768	74930	\N	\N	\N
1086671	3713	1998-04-18	PRIJEM	VKLAD	45260	142825	\N	\N	\N
1086672	3713	1998-11-24	PRIJEM	VKLAD	49573	141616	\N	\N	\N
1086673	3713	1998-09-30	PRIJEM	VKLAD	10886	117160	\N	\N	\N
1086674	3713	1998-08-28	PRIJEM	VKLAD	22621	95749	\N	\N	\N
1086675	3713	1998-08-15	PRIJEM	VKLAD	15049	73128	\N	\N	\N
1086677	3713	1994-07-29	VYBER	VYBER	7801	27849	\N	\N	\N
1086678	3713	1994-02-26	VYBER	VYBER	18441	31343	\N	\N	\N
1086679	3713	1994-02-18	VYBER	VYBER	18210	49784	\N	\N	\N
1086680	3713	1994-05-16	VYBER	VYBER	14692	24240	\N	\N	\N
1086681	3713	1994-12-16	VYBER	VYBER	4643	32618	\N	\N	\N
1086682	3713	1994-08-21	VYBER	VYBER	5220	9930	\N	\N	\N
1086683	3713	1994-08-17	VYBER	VYBER	13068	15150	\N	\N	\N
1086684	3713	1994-03-05	VYBER	VYBER	4110	27381	\N	\N	\N
1086685	3713	1994-04-15	VYBER	VYBER	23621	10727	\N	\N	\N
1086686	3713	1994-06-29	VYBER	VYBER	7950	53569	\N	\N	\N
1086687	3713	1995-11-14	VYBER	VYBER	16533	39234	\N	\N	\N
1086688	3713	1995-09-17	VYBER	VYBER	24055	78305	\N	\N	\N
1086689	3713	1995-12-07	VYBER	VYBER	4279	33292	\N	\N	\N
1086690	3713	1995-05-18	VYBER	VYBER	16478	17813	\N	\N	\N
1086691	3713	1995-11-09	VYBER	VYBER	9407	55767	\N	\N	\N
1086692	3713	1995-02-13	VYBER	VYBER	9537	42289	\N	\N	\N
1086693	3713	1995-05-12	VYBER	VYBER	21163	34291	\N	\N	\N
1086694	3713	1995-12-30	VYBER	VYBER	24342	10250	\N	\N	\N
1086695	3713	1995-08-05	VYBER	VYBER	2404	53331	\N	\N	\N
1086696	3713	1995-01-20	VYBER	VYBER	5478	73667	\N	\N	\N
1086697	3713	1995-07-21	VYBER	VYBER	9269	15194	\N	\N	\N
1086698	3713	1996-09-04	VYBER	VYBER	20967	24647	\N	\N	\N
1086700	3713	1996-04-06	VYBER	VYBER	4520	32244	\N	\N	\N
1086702	3713	1996-05-27	VYBER	VYBER	24724	18744	\N	\N	\N
1086703	3713	1996-12-19	VYBER	VYBER	10741	95009	\N	\N	\N
1086704	3713	1996-10-14	VYBER	VYBER	3899	61313	\N	\N	\N
1086705	3713	1996-03-16	VYBER	VYBER	12853	45141	\N	\N	\N
1086706	3713	1996-12-07	VYBER	VYBER	3735	91848	\N	\N	\N
1086707	3713	1996-07-12	VYBER	VYBER	22849	37616	\N	\N	\N
1086708	3713	1996-11-18	VYBER	VYBER	12904	79779	\N	\N	\N
1086710	3713	1996-02-25	VYBER	VYBER	16412	16152	\N	\N	\N
1086711	3713	1996-09-05	VYBER	VYBER	5163	19484	\N	\N	\N
1086712	3713	1997-05-30	VYBER	VYBER	23631	60477	\N	\N	\N
1086713	3713	1997-08-19	VYBER	VYBER	6779	94302	\N	\N	\N
1086714	3713	1997-01-03	VYBER	VYBER	15331	64698	\N	\N	\N
1086715	3713	1997-01-12	VYBER	VYBER	4770	37728	\N	\N	\N
1086716	3713	1997-09-25	VYBER	VYBER	7499	100236	\N	\N	\N
1086717	3713	1997-01-16	VYBER	VYBER	3567	29102	\N	\N	\N
1086718	3713	1997-01-11	VYBER	VYBER	22200	42498	\N	\N	\N
1086719	3713	1997-03-19	VYBER	VYBER	20618	68373	\N	\N	\N
1086720	3713	1997-05-04	VYBER	VYBER	12340	53833	\N	\N	\N
1086721	3713	1997-04-03	VYBER	VYBER	2958	57857	\N	\N	\N
1086722	3713	1997-10-15	VYBER	VYBER	10091	127855	\N	\N	\N
1086723	3713	1997-11-04	VYBER	VYBER	12999	113629	\N	\N	\N
1086724	3713	1997-01-16	VYBER	VYBER	5059	32669	\N	\N	\N
1086725	3713	1997-08-14	VYBER	VYBER	6086	88094	\N	\N	\N
1086726	3713	1998-02-14	VYBER	VYBER	12592	75125	\N	\N	\N
1086727	3713	1998-03-29	VYBER	VYBER	12247	73202	\N	\N	\N
1086728	3713	1998-01-15	VYBER	VYBER	13193	86533	\N	\N	\N
1086729	3713	1998-03-29	VYBER	VYBER	23642	85449	\N	\N	\N
1086730	3713	1998-07-01	VYBER	VYBER	8623	44162	\N	\N	\N
1086731	3713	1998-08-13	VYBER	VYBER	7370	142079	\N	\N	\N
1086737	3713	1998-06-23	VYDAJ	VYBER	47700	52407	\N	\N	\N
1086739	3713	1994-01-20	VYDAJ	VYBER	29400	35487	\N	\N	\N
1086740	3713	1995-01-01	VYDAJ	VYBER	26700	41173	\N	\N	\N
1086741	3713	1996-01-26	VYDAJ	VYBER	24300	1962	\N	\N	\N
1086742	3713	1997-01-29	VYDAJ	VYBER	19800	42553	\N	\N	\N
1086743	3713	1998-01-18	VYDAJ	VYBER	19800	66733	\N	\N	\N
1086744	3713	1993-12-17	VYDAJ	VYBER	7200	50973	\N	\N	\N
1086745	3713	1994-12-11	VYDAJ	VYBER	7500	37261	\N	\N	\N
1086746	3713	1995-12-25	VYDAJ	VYBER	3300	34592	\N	\N	\N
1086747	3713	1996-12-05	VYDAJ	VYBER	4200	95583	\N	\N	\N
1086748	3713	1997-12-17	VYDAJ	VYBER	7500	86362	\N	\N	\N
1086749	3713	1998-12-19	VYDAJ	VYBER	7800	109326	\N	\N	\N
1086752	3713	1993-11-08	VYDAJ	VYBER	11700	32041	\N	\N	\N
1086753	3713	1993-10-26	VYDAJ	VYBER	3900	40723	\N	\N	\N
1086757	3713	1994-06-30	VYDAJ	VYBER	11100	42650	\N	\N	\N
1086758	3713	1994-09-29	VYDAJ	VYBER	6000	56486	\N	\N	\N
1086759	3713	1994-05-08	VYDAJ	VYBER	4800	38932	\N	\N	\N
1086760	3713	1994-04-07	VYDAJ	VYBER	3300	34348	\N	\N	\N
1086761	3713	1995-12-03	VYDAJ	VYBER	5700	37571	\N	\N	\N
1086762	3713	1995-04-06	VYDAJ	VYBER	5100	39274	\N	\N	\N
1086763	3713	1995-10-18	VYDAJ	VYBER	12600	91603	\N	\N	\N
1086764	3713	1995-03-23	VYDAJ	VYBER	12900	46268	\N	\N	\N
1086765	3713	1995-05-19	VYDAJ	VYBER	14100	3713	\N	\N	\N
1086766	3713	1996-03-12	VYDAJ	VYBER	6900	57994	\N	\N	\N
1086767	3713	1996-02-13	VYDAJ	VYBER	12600	22064	\N	\N	\N
1086768	3713	1996-04-03	VYDAJ	VYBER	12900	36764	\N	\N	\N
1086770	3713	1996-08-21	VYDAJ	VYBER	5700	45457	\N	\N	\N
1086771	3713	1997-08-01	VYDAJ	VYBER	11700	89355	\N	\N	\N
1086772	3713	1997-04-10	VYDAJ	VYBER	8100	49757	\N	\N	\N
1086773	3713	1997-02-24	VYDAJ	VYBER	3300	66681	\N	\N	\N
1086774	3713	1997-11-01	VYDAJ	VYBER	14100	78951	\N	\N	\N
1086775	3713	1997-03-26	VYDAJ	VYBER	7800	60573	\N	\N	\N
1086776	3713	1998-12-19	VYDAJ	VYBER	3300	117126	\N	\N	\N
1086777	3713	1998-02-07	VYDAJ	VYBER	3900	63117	\N	\N	\N
1086778	3713	1998-03-05	VYDAJ	VYBER	9900	65493	\N	\N	\N
1086789	3713	1993-10-31	VYDAJ	VYBER	30	63641	SLUZBY	\N	\N
1086790	3713	1993-11-30	VYDAJ	VYBER	30	32175	SLUZBY	\N	\N
1086791	3713	1993-12-31	VYDAJ	VYBER	30	51132	SLUZBY	\N	\N
1086792	3713	1994-01-31	VYDAJ	VYBER	30	35676	SLUZBY	\N	\N
1086793	3713	1994-02-28	VYDAJ	VYBER	30	31491	SLUZBY	\N	\N
1086794	3713	1994-03-31	VYDAJ	VYBER	30	45848	SLUZBY	\N	\N
1086795	3713	1994-04-30	VYDAJ	VYBER	30	60032	SLUZBY	\N	\N
1086796	3713	1994-05-31	VYDAJ	VYBER	30	24360	SLUZBY	\N	\N
1086797	3713	1994-06-30	VYDAJ	VYBER	30	53750	SLUZBY	\N	\N
1086798	3713	1994-07-31	VYDAJ	VYBER	30	27991	SLUZBY	\N	\N
1086799	3713	1994-08-31	VYDAJ	VYBER	30	45719	SLUZBY	\N	\N
1086800	3713	1994-09-30	VYDAJ	VYBER	30	56668	SLUZBY	\N	\N
1086801	3713	1994-10-31	VYDAJ	VYBER	30	63829	SLUZBY	\N	\N
1086802	3713	1994-11-30	VYDAJ	VYBER	30	64061	SLUZBY	\N	\N
1086803	3713	1994-12-31	VYDAJ	VYBER	30	67873	SLUZBY	\N	\N
1086804	3713	1995-01-31	VYDAJ	VYBER	30	51826	SLUZBY	\N	\N
1086805	3713	1995-02-28	VYDAJ	VYBER	30	42472	SLUZBY	\N	\N
1086806	3713	1995-03-31	VYDAJ	VYBER	30	44374	SLUZBY	\N	\N
1086807	3713	1995-04-30	VYDAJ	VYBER	30	55454	SLUZBY	\N	\N
1086808	3713	1995-05-31	VYDAJ	VYBER	30	16923	SLUZBY	\N	\N
1086809	3713	1995-06-30	VYDAJ	VYBER	30	24463	SLUZBY	\N	\N
1086810	3713	1995-07-31	VYDAJ	VYBER	30	23464	SLUZBY	\N	\N
1086811	3713	1995-08-31	VYDAJ	VYBER	30	102360	SLUZBY	\N	\N
1086812	3713	1995-09-30	VYDAJ	VYBER	30	104203	SLUZBY	\N	\N
1086813	3713	1995-10-31	VYDAJ	VYBER	30	65174	SLUZBY	\N	\N
1086814	3713	1995-11-30	VYDAJ	VYBER	30	43271	SLUZBY	\N	\N
1086815	3713	1995-12-31	VYDAJ	VYBER	30	10362	SLUZBY	\N	\N
1086816	3713	1996-01-31	VYDAJ	VYBER	30	1966	SLUZBY	\N	\N
1086817	3713	1996-02-29	VYDAJ	VYBER	30	64894	SLUZBY	\N	\N
1086818	3713	1996-03-31	VYDAJ	VYBER	30	49664	SLUZBY	\N	\N
1086819	3713	1996-04-30	VYDAJ	VYBER	30	41168	SLUZBY	\N	\N
1086820	3713	1996-05-31	VYDAJ	VYBER	30	18868	SLUZBY	\N	\N
1086821	3713	1996-06-30	VYDAJ	VYBER	30	44262	SLUZBY	\N	\N
1086822	3713	1996-07-31	VYDAJ	VYBER	30	43057	SLUZBY	\N	\N
1086823	3713	1996-08-31	VYDAJ	VYBER	30	45614	SLUZBY	\N	\N
1086824	3713	1996-09-30	VYDAJ	VYBER	30	38876	SLUZBY	\N	\N
1086825	3713	1996-10-31	VYDAJ	VYBER	30	127683	SLUZBY	\N	\N
1086826	3713	1996-11-30	VYDAJ	VYBER	30	71883	SLUZBY	\N	\N
1086827	3713	1996-12-31	VYDAJ	VYBER	30	80029	SLUZBY	\N	\N
1086828	3713	1997-01-31	VYDAJ	VYBER	30	42760	SLUZBY	\N	\N
1086829	3713	1997-02-28	VYDAJ	VYBER	30	66871	SLUZBY	\N	\N
1086830	3713	1997-03-31	VYDAJ	VYBER	30	60815	SLUZBY	\N	\N
1086831	3713	1997-04-30	VYDAJ	VYBER	30	66173	SLUZBY	\N	\N
1086832	3713	1997-05-31	VYDAJ	VYBER	30	60748	SLUZBY	\N	\N
1086833	3713	1997-06-30	VYDAJ	VYBER	30	73668	SLUZBY	\N	\N
1086834	3713	1997-07-31	VYDAJ	VYBER	30	101055	SLUZBY	\N	\N
1086835	3713	1997-08-31	VYDAJ	VYBER	30	94678	SLUZBY	\N	\N
1086836	3713	1997-09-30	VYDAJ	VYBER	30	100599	SLUZBY	\N	\N
1086837	3713	1997-10-31	VYDAJ	VYBER	30	93051	SLUZBY	\N	\N
1086838	3713	1997-11-30	VYDAJ	VYBER	30	73990	SLUZBY	\N	\N
1086839	3713	1997-12-31	VYDAJ	VYBER	30	81518	SLUZBY	\N	\N
1086840	3713	1998-01-31	VYDAJ	VYBER	30	67017	SLUZBY	\N	\N
1086841	3713	1998-02-28	VYDAJ	VYBER	30	75393	SLUZBY	\N	\N
1086842	3713	1998-03-31	VYDAJ	VYBER	30	73565	SLUZBY	\N	\N
1086843	3713	1998-04-30	VYDAJ	VYBER	30	111397	SLUZBY	\N	\N
1086844	3713	1998-05-31	VYDAJ	VYBER	30	118426	SLUZBY	\N	\N
1086845	3713	1998-06-30	VYDAJ	VYBER	30	52785	SLUZBY	\N	\N
1086846	3713	1998-07-31	VYDAJ	VYBER	30	109744	SLUZBY	\N	\N
1086847	3713	1998-08-31	VYDAJ	VYBER	30	96143	SLUZBY	\N	\N
1086848	3713	1998-09-30	VYDAJ	VYBER	30	61498	SLUZBY	\N	\N
1086849	3713	1998-10-31	VYDAJ	VYBER	30	107414	SLUZBY	\N	\N
1086850	3713	1998-11-30	VYDAJ	VYBER	30	100026	SLUZBY	\N	\N
1086851	3713	1993-07-08	VYDAJ	VYBER	16400	42749	\N	\N	\N
1086852	3713	1993-08-07	VYDAJ	VYBER	29600	52030	\N	\N	\N
1086853	3713	1993-09-06	VYDAJ	VYBER	34900	58492	\N	\N	\N
1086854	3713	1993-10-06	VYDAJ	VYBER	19800	44623	\N	\N	\N
1086855	3713	1993-11-05	VYDAJ	VYBER	19900	43741	\N	\N	\N
1086856	3713	1993-12-05	VYDAJ	VYBER	5100	27075	\N	\N	\N
1086857	3713	1994-01-04	VYDAJ	VYBER	10500	40632	\N	\N	\N
1086858	3713	1994-01-09	VYDAJ	VYBER	46000	64887	\N	\N	\N
1086859	3713	1994-02-03	VYDAJ	VYBER	7200	28476	\N	\N	\N
1086860	3713	1994-03-05	VYDAJ	VYBER	2100	25281	\N	\N	\N
1086861	3713	1994-04-04	VYDAJ	VYBER	8200	37648	\N	\N	\N
1086862	3713	1994-05-04	VYDAJ	VYBER	16300	43732	\N	\N	\N
1086863	3713	1994-06-03	PRIJEM	VKLAD	2400	26760	\N	\N	\N
1086864	3713	1994-07-03	VYDAJ	VYBER	7000	35650	\N	\N	\N
1086865	3713	1994-08-02	VYDAJ	VYBER	5400	28218	\N	\N	\N
1086866	3713	1994-09-01	VYDAJ	VYBER	8500	37219	\N	\N	\N
1086867	3713	1994-10-01	VYDAJ	VYBER	16900	39768	\N	\N	\N
1086868	3713	1994-10-04	VYDAJ	VYBER	36400	76646	\N	\N	\N
1086869	3713	1994-10-15	VYDAJ	VYBER	47500	75508	\N	\N	\N
1086870	3713	1994-10-31	VYDAJ	VYBER	42200	63859	\N	\N	\N
1086871	3713	1994-11-30	VYDAJ	VYBER	19300	44761	\N	\N	\N
1086872	3713	1994-12-30	VYDAJ	VYBER	38400	67666	\N	\N	\N
1086873	3713	1995-01-29	VYDAJ	VYBER	22100	51567	\N	\N	\N
1086874	3713	1995-02-28	VYDAJ	VYBER	4300	38172	\N	\N	\N
1086875	3713	1995-03-30	VYDAJ	VYBER	13900	44231	\N	\N	\N
1086876	3713	1995-04-29	VYDAJ	VYBER	26900	55250	\N	\N	\N
1086877	3713	1995-05-29	PRIJEM	VKLAD	13100	16813	\N	\N	\N
1086878	3713	1995-06-28	PRIJEM	VKLAD	7500	24423	\N	\N	\N
1086879	3713	1995-07-28	PRIJEM	VKLAD	8200	23394	\N	\N	\N
1086880	3713	1995-08-27	VYDAJ	VYBER	30900	67678	\N	\N	\N
1086881	3713	1995-09-26	VYDAJ	VYBER	23200	55105	\N	\N	\N
1086882	3713	1995-10-26	VYDAJ	VYBER	26800	64803	\N	\N	\N
1086883	3713	1995-11-25	VYDAJ	VYBER	2500	43080	\N	\N	\N
1086884	3713	1995-12-25	PRIJEM	VKLAD	4600	37892	\N	\N	\N
1086885	3713	1996-01-24	PRIJEM	VKLAD	15900	26262	\N	\N	\N
1086886	3713	1996-02-23	PRIJEM	VKLAD	10500	32564	\N	\N	\N
1086887	3713	1996-03-24	VYDAJ	VYBER	7400	49456	\N	\N	\N
1086888	3713	1996-04-23	PRIJEM	VKLAD	8800	41044	\N	\N	\N
1086889	3713	1996-05-23	PRIJEM	VKLAD	2300	43468	\N	\N	\N
1086890	3713	1996-06-14	VYDAJ	VYBER	64600	43485	\N	\N	\N
1086891	3713	1996-06-22	PRIJEM	VKLAD	600	44085	\N	\N	\N
1086892	3713	1996-07-22	PRIJEM	VKLAD	5300	42916	\N	\N	\N
1086893	3713	1996-08-21	PRIJEM	VKLAD	8100	51157	\N	\N	\N
1086894	3713	1996-09-20	PRIJEM	VKLAD	19300	38784	\N	\N	\N
1086895	3713	1996-10-20	VYDAJ	VYBER	20900	80494	\N	\N	\N
1086896	3713	1996-10-27	VYDAJ	VYBER	28900	104621	\N	\N	\N
1086897	3713	1996-10-31	VYDAJ	VYBER	35000	92683	\N	\N	\N
1086898	3713	1996-11-19	VYDAJ	VYBER	8300	71479	\N	\N	\N
1086899	3713	1996-12-19	VYDAJ	VYBER	15600	79409	\N	\N	\N
1086900	3713	1996-12-26	VYDAJ	VYBER	45500	79660	\N	\N	\N
1086901	3713	1997-01-18	PRIJEM	VKLAD	21300	50402	\N	\N	\N
1086902	3713	1997-02-17	PRIJEM	VKLAD	2100	69981	\N	\N	\N
1086903	3713	1997-03-19	PRIJEM	VKLAD	5000	88991	\N	\N	\N
1086904	3713	1997-04-18	PRIJEM	VKLAD	16200	65957	\N	\N	\N
1086905	3713	1997-05-18	PRIJEM	VKLAD	3900	84108	\N	\N	\N
1086906	3713	1997-06-17	PRIJEM	VKLAD	12700	73448	\N	\N	\N
1086907	3713	1997-07-04	VYDAJ	VYBER	19200	120446	\N	\N	\N
1086908	3713	1997-07-17	VYDAJ	VYBER	19800	100646	\N	\N	\N
1086909	3713	1997-08-13	VYDAJ	VYBER	23900	94180	\N	\N	\N
1086910	3713	1997-08-16	VYDAJ	VYBER	19600	101081	\N	\N	\N
1086911	3713	1997-08-16	VYDAJ	VYBER	14800	120681	\N	\N	\N
1086912	3713	1997-09-13	VYDAJ	VYBER	39000	91980	\N	\N	\N
1086913	3713	1997-09-15	VYDAJ	VYBER	1400	90580	\N	\N	\N
1086914	3713	1997-10-15	VYDAJ	VYBER	60900	66955	\N	\N	\N
1086915	3713	1997-10-15	PRIJEM	VKLAD	25100	125699	\N	\N	\N
1086916	3713	1997-11-04	VYDAJ	VYBER	62600	51029	\N	\N	\N
1086917	3713	1997-11-11	VYDAJ	VYBER	47600	80563	\N	\N	\N
1086918	3713	1997-11-14	PRIJEM	VKLAD	5000	85563	\N	\N	\N
1086919	3713	1997-11-28	VYDAJ	VYBER	20000	107324	\N	\N	\N
1086920	3713	1997-11-30	VYDAJ	VYBER	50000	74020	\N	\N	\N
1086921	3713	1997-12-09	VYDAJ	VYBER	33000	84762	\N	\N	\N
1086922	3713	1997-12-14	PRIJEM	VKLAD	9100	93862	\N	\N	\N
1086923	3713	1997-12-27	VYDAJ	VYBER	46800	81161	\N	\N	\N
1086924	3713	1998-01-13	PRIJEM	VKLAD	7600	99726	\N	\N	\N
1086925	3713	1998-02-12	PRIJEM	VKLAD	24600	87717	\N	\N	\N
1086926	3713	1998-03-14	PRIJEM	VKLAD	5900	109091	\N	\N	\N
1086927	3713	1998-04-13	PRIJEM	VKLAD	24000	97565	\N	\N	\N
1086928	3713	1998-04-18	VYDAJ	VYBER	43900	98925	\N	\N	\N
1086929	3713	1998-05-13	PRIJEM	VKLAD	6600	117997	\N	\N	\N
1086930	3713	1998-05-31	VYDAJ	VYBER	46000	72426	\N	\N	\N
1086931	3713	1998-06-12	PRIJEM	VKLAD	29300	101726	\N	\N	\N
1086932	3713	1998-06-21	VYDAJ	VYBER	35300	100107	\N	\N	\N
1086933	3713	1998-07-12	PRIJEM	VKLAD	23000	109432	\N	\N	\N
1086934	3713	1998-08-03	VYDAJ	VYBER	24300	107767	\N	\N	\N
1086935	3713	1998-08-04	VYDAJ	VYBER	47700	97129	\N	\N	\N
1086936	3713	1998-08-11	PRIJEM	VKLAD	14500	111629	\N	\N	\N
1086937	3713	1998-08-13	VYDAJ	VYBER	21500	58079	\N	\N	\N
1086938	3713	1998-08-13	VYDAJ	VYBER	62500	79579	\N	\N	\N
1086939	3713	1998-09-10	PRIJEM	VKLAD	18300	114443	\N	\N	\N
1086940	3713	1998-09-15	VYDAJ	VYBER	28400	106274	\N	\N	\N
1086941	3713	1998-09-30	VYDAJ	VYBER	56100	61528	\N	\N	\N
1086942	3713	1998-10-10	PRIJEM	VKLAD	33800	95298	\N	\N	\N
1086943	3713	1998-11-09	PRIJEM	VKLAD	11800	119214	\N	\N	\N
1086944	3713	1998-11-19	VYDAJ	VYBER	45800	92043	\N	\N	\N
1086945	3713	1998-11-24	VYDAJ	VYBER	18900	122716	\N	\N	\N
1086946	3713	1998-11-30	VYDAJ	VYBER	23100	100056	\N	\N	\N
1086947	3713	1998-12-09	PRIJEM	VKLAD	20400	120426	\N	\N	\N
1087018	3714	1994-04-21	PRIJEM	VKLAD	800	800	\N	\N	\N
1087020	3714	1994-06-25	PRIJEM	VKLAD	27040	69190	\N	\N	\N
1087021	3714	1994-05-28	PRIJEM	VKLAD	11732	56153	\N	\N	\N
1087022	3714	1994-05-16	PRIJEM	VKLAD	18022	18822	\N	\N	\N
1087023	3714	1994-05-18	PRIJEM	VKLAD	43699	62521	\N	\N	\N
1087024	3714	1995-09-10	PRIJEM	VKLAD	38418	67110	\N	\N	\N
1087025	3714	1995-08-23	PRIJEM	VKLAD	17533	46013	\N	\N	\N
1087026	3714	1995-02-09	PRIJEM	VKLAD	44604	70581	\N	\N	\N
1087027	3714	1995-01-09	PRIJEM	VKLAD	41059	66324	\N	\N	\N
1087028	3714	1995-04-20	PRIJEM	VKLAD	12024	34216	\N	\N	\N
1087029	3714	1995-10-29	PRIJEM	VKLAD	24020	49703	\N	\N	\N
1087030	3714	1995-05-05	PRIJEM	VKLAD	49239	77211	\N	\N	\N
1087031	3714	1995-05-12	PRIJEM	VKLAD	49068	99280	\N	\N	\N
1087032	3714	1995-07-31	PRIJEM	VKLAD	5748	28754	\N	\N	\N
1087033	3714	1996-08-10	PRIJEM	VKLAD	21341	59871	\N	\N	\N
1087034	3714	1996-04-07	PRIJEM	VKLAD	17277	112202	\N	\N	\N
1087035	3714	1996-07-05	PRIJEM	VKLAD	39519	82520	\N	\N	\N
1087036	3714	1996-03-04	PRIJEM	VKLAD	26480	81052	\N	\N	\N
1087037	3714	1996-10-28	PRIJEM	VKLAD	37725	79233	\N	\N	\N
1087038	3714	1996-04-12	PRIJEM	VKLAD	13784	58973	\N	\N	\N
1087039	3714	1996-03-18	PRIJEM	VKLAD	44504	97923	\N	\N	\N
1087040	3714	1996-08-23	PRIJEM	VKLAD	39220	98665	\N	\N	\N
1087041	3714	1996-05-05	PRIJEM	VKLAD	43269	97657	\N	\N	\N
1087042	3714	1996-05-29	PRIJEM	VKLAD	26635	85559	\N	\N	\N
1087043	3714	1996-08-04	PRIJEM	VKLAD	6755	47837	\N	\N	\N
1087044	3714	1996-02-12	PRIJEM	VKLAD	28766	54851	\N	\N	\N
1087045	3714	1996-01-05	PRIJEM	VKLAD	32722	56822	\N	\N	\N
1087046	3714	1996-04-19	PRIJEM	VKLAD	8569	67116	\N	\N	\N
1087047	3714	1997-09-15	PRIJEM	VKLAD	27910	88311	\N	\N	\N
1087048	3714	1997-05-12	PRIJEM	VKLAD	18852	79482	\N	\N	\N
1087049	3714	1997-01-07	PRIJEM	VKLAD	19470	43167	\N	\N	\N
1087050	3714	1997-05-28	PRIJEM	VKLAD	21835	119836	\N	\N	\N
1087051	3714	1997-07-20	PRIJEM	VKLAD	36853	73502	\N	\N	\N
1087052	3714	1997-05-16	PRIJEM	VKLAD	48051	127107	\N	\N	\N
1087053	3714	1997-11-26	PRIJEM	VKLAD	45708	152090	\N	\N	\N
1087054	3714	1997-04-25	PRIJEM	VKLAD	18961	96899	\N	\N	\N
1087055	3714	1997-02-21	PRIJEM	VKLAD	19813	91434	\N	\N	\N
1087056	3714	1997-05-25	PRIJEM	VKLAD	19194	116301	\N	\N	\N
1087057	3714	1997-06-03	PRIJEM	VKLAD	6468	35228	\N	\N	\N
1087058	3714	1997-09-06	PRIJEM	VKLAD	30067	77757	\N	\N	\N
1087059	3714	1997-11-21	PRIJEM	VKLAD	23133	106382	\N	\N	\N
1087060	3714	1997-02-16	PRIJEM	VKLAD	34344	71621	\N	\N	\N
1087061	3714	1997-10-30	PRIJEM	VKLAD	10318	47272	\N	\N	\N
1087062	3714	1997-11-12	PRIJEM	VKLAD	42256	83675	\N	\N	\N
1087063	3714	1997-01-15	PRIJEM	VKLAD	20728	58756	\N	\N	\N
1087064	3714	1997-09-18	PRIJEM	VKLAD	38766	117657	\N	\N	\N
1087065	3714	1997-06-22	PRIJEM	VKLAD	14651	46246	\N	\N	\N
1087066	3714	1997-12-07	PRIJEM	VKLAD	32083	99387	\N	\N	\N
1087067	3714	1997-02-24	PRIJEM	VKLAD	26598	118032	\N	\N	\N
1087068	3714	1997-04-05	PRIJEM	VKLAD	23429	77879	\N	\N	\N
1087069	3714	1997-04-09	PRIJEM	VKLAD	28192	78877	\N	\N	\N
1087070	3714	1998-06-30	PRIJEM	VKLAD	11733	46753	\N	\N	\N
1087071	3714	1998-12-10	PRIJEM	VKLAD	32917	68970	\N	\N	\N
1087072	3714	1998-11-08	PRIJEM	VKLAD	19235	60175	\N	\N	\N
1087073	3714	1998-05-27	PRIJEM	VKLAD	14589	71940	\N	\N	\N
1087074	3714	1998-12-27	PRIJEM	VKLAD	26659	80198	\N	\N	\N
1087075	3714	1998-09-07	PRIJEM	VKLAD	12778	55045	\N	\N	\N
1087076	3714	1998-03-18	PRIJEM	VKLAD	22778	84377	\N	\N	\N
1087077	3714	1998-09-18	PRIJEM	VKLAD	44583	98689	\N	\N	\N
1087078	3714	1998-12-10	PRIJEM	VKLAD	9595	78565	\N	\N	\N
1087079	3714	1998-06-24	PRIJEM	VKLAD	21147	71300	\N	\N	\N
1087080	3714	1998-03-12	PRIJEM	VKLAD	25544	123625	\N	\N	\N
1087081	3714	1998-02-08	PRIJEM	VKLAD	46493	79648	\N	\N	\N
1087082	3714	1998-03-26	PRIJEM	VKLAD	44940	125717	\N	\N	\N
1087083	3714	1998-03-10	PRIJEM	VKLAD	7596	69117	\N	\N	\N
1087084	3714	1998-07-25	PRIJEM	VKLAD	23688	50335	\N	\N	\N
1087085	3714	1998-05-18	PRIJEM	VKLAD	30714	57351	\N	\N	\N
1087086	3714	1998-02-13	PRIJEM	VKLAD	46231	104142	\N	\N	\N
1087087	3714	1998-03-10	PRIJEM	VKLAD	48964	118081	\N	\N	\N
1087101	3714	1995-02-06	VYDAJ	PREVOD NA UCET	3217	25977	SIPO	WX	44852805
1087102	3714	1995-03-06	VYDAJ	PREVOD NA UCET	3217	32162	SIPO	WX	44852805
1087103	3714	1995-04-06	VYDAJ	PREVOD NA UCET	3217	16731	SIPO	WX	44852805
1087104	3714	1995-05-06	VYDAJ	PREVOD NA UCET	3217	73917	SIPO	WX	44852805
1087105	3714	1995-06-06	VYDAJ	PREVOD NA UCET	3217	55131	SIPO	WX	44852805
1087106	3714	1995-07-06	VYDAJ	PREVOD NA UCET	3217	18145	SIPO	WX	44852805
1087107	3714	1995-08-06	VYDAJ	PREVOD NA UCET	3217	25519	SIPO	WX	44852805
1087108	3714	1995-09-06	VYDAJ	PREVOD NA UCET	3217	42826	SIPO	WX	44852805
1087109	3714	1995-10-06	VYDAJ	PREVOD NA UCET	3217	30557	SIPO	WX	44852805
1087110	3714	1995-11-06	VYDAJ	PREVOD NA UCET	3217	46521	SIPO	WX	44852805
1087111	3714	1995-12-06	VYDAJ	PREVOD NA UCET	3217	35332	SIPO	WX	44852805
1087112	3714	1996-01-06	VYDAJ	PREVOD NA UCET	3217	53528	SIPO	WX	44852805
1087113	3714	1996-02-06	VYDAJ	PREVOD NA UCET	3217	21098	SIPO	WX	44852805
1087114	3714	1996-03-06	VYDAJ	PREVOD NA UCET	3217	77758	SIPO	WX	44852805
1087115	3714	1996-04-06	VYDAJ	PREVOD NA UCET	3217	94925	SIPO	WX	44852805
1087116	3714	1996-05-06	VYDAJ	PREVOD NA UCET	3217	94363	SIPO	WX	44852805
1087117	3714	1996-06-06	VYDAJ	PREVOD NA UCET	3217	77119	SIPO	WX	44852805
1087118	3714	1996-07-06	VYDAJ	PREVOD NA UCET	3217	79226	SIPO	WX	44852805
1087119	3714	1996-08-06	VYDAJ	PREVOD NA UCET	3217	44543	SIPO	WX	44852805
1087120	3714	1996-09-06	VYDAJ	PREVOD NA UCET	3217	95619	SIPO	WX	44852805
1087121	3714	1996-10-06	VYDAJ	PREVOD NA UCET	3217	59947	SIPO	WX	44852805
1087122	3714	1996-11-06	VYDAJ	PREVOD NA UCET	3217	56619	SIPO	WX	44852805
1087123	3714	1996-12-06	VYDAJ	PREVOD NA UCET	3217	52603	SIPO	WX	44852805
1087124	3714	1997-01-06	VYDAJ	PREVOD NA UCET	3217	29697	SIPO	WX	44852805
1087125	3714	1997-02-06	VYDAJ	PREVOD NA UCET	3217	38216	SIPO	WX	44852805
1087126	3714	1997-03-06	VYDAJ	PREVOD NA UCET	3217	60861	SIPO	WX	44852805
1087127	3714	1997-04-06	VYDAJ	PREVOD NA UCET	3217	50685	SIPO	WX	44852805
1087128	3714	1997-05-06	VYDAJ	PREVOD NA UCET	3217	61143	SIPO	WX	44852805
1087129	3714	1997-06-06	VYDAJ	PREVOD NA UCET	3217	32534	SIPO	WX	44852805
1087130	3714	1997-07-06	VYDAJ	PREVOD NA UCET	3217	37588	SIPO	WX	44852805
1087131	3714	1997-08-06	VYDAJ	PREVOD NA UCET	3217	56894	SIPO	WX	44852805
1087132	3714	1997-09-06	VYDAJ	PREVOD NA UCET	3217	74540	SIPO	WX	44852805
1087133	3714	1997-10-06	VYDAJ	PREVOD NA UCET	3217	45993	SIPO	WX	44852805
1087134	3714	1997-11-06	VYDAJ	PREVOD NA UCET	3217	41932	SIPO	WX	44852805
1087135	3714	1997-12-06	VYDAJ	PREVOD NA UCET	3217	67304	SIPO	WX	44852805
1087136	3714	1998-01-06	VYDAJ	PREVOD NA UCET	3217	55716	SIPO	WX	44852805
1087137	3714	1998-02-06	VYDAJ	PREVOD NA UCET	3217	33155	SIPO	WX	44852805
1087138	3714	1998-03-06	VYDAJ	PREVOD NA UCET	3217	62034	SIPO	WX	44852805
1087139	3714	1998-04-06	VYDAJ	PREVOD NA UCET	3217	59628	SIPO	WX	44852805
1087140	3714	1998-05-06	VYDAJ	PREVOD NA UCET	3217	27576	SIPO	WX	44852805
1087141	3714	1998-06-06	VYDAJ	PREVOD NA UCET	3217	51092	SIPO	WX	44852805
1087142	3714	1998-07-06	VYDAJ	PREVOD NA UCET	3217	27586	SIPO	WX	44852805
1087143	3714	1998-08-06	VYDAJ	PREVOD NA UCET	3217	43353	SIPO	WX	44852805
1087144	3714	1998-09-06	VYDAJ	PREVOD NA UCET	3217	42267	SIPO	WX	44852805
1087145	3714	1998-10-06	VYDAJ	PREVOD NA UCET	3217	66742	SIPO	WX	44852805
1087146	3714	1998-11-06	VYDAJ	PREVOD NA UCET	3217	40940	SIPO	WX	44852805
1087147	3714	1998-12-06	VYDAJ	PREVOD NA UCET	3217	36566	SIPO	WX	44852805
1087160	3714	1995-01-09	VYDAJ	PREVOD NA UCET	513	65811	 	AB	69903582
1087161	3714	1995-02-09	VYDAJ	PREVOD NA UCET	513	70068	 	AB	69903582
1087162	3714	1995-03-09	VYDAJ	PREVOD NA UCET	513	31649	 	AB	69903582
1087163	3714	1995-04-09	VYDAJ	PREVOD NA UCET	513	16218	 	AB	69903582
1087164	3714	1995-05-09	VYDAJ	PREVOD NA UCET	513	50212	 	AB	69903582
1087165	3714	1995-06-09	VYDAJ	PREVOD NA UCET	513	54618	 	AB	69903582
1087166	3714	1995-07-09	VYDAJ	PREVOD NA UCET	513	17632	 	AB	69903582
1087167	3714	1995-08-09	VYDAJ	PREVOD NA UCET	513	25006	 	AB	69903582
1087168	3714	1995-09-09	VYDAJ	PREVOD NA UCET	513	28692	 	AB	69903582
1087169	3714	1995-10-09	VYDAJ	PREVOD NA UCET	513	30044	 	AB	69903582
1087170	3714	1995-11-09	VYDAJ	PREVOD NA UCET	513	46008	 	AB	69903582
1087171	3714	1995-12-09	VYDAJ	PREVOD NA UCET	513	32719	 	AB	69903582
1087172	3714	1996-01-09	VYDAJ	PREVOD NA UCET	513	36515	 	AB	69903582
1087173	3714	1996-02-09	VYDAJ	PREVOD NA UCET	513	20585	 	AB	69903582
1087174	3714	1996-03-09	VYDAJ	PREVOD NA UCET	513	77245	 	AB	69903582
1087175	3714	1996-04-09	VYDAJ	PREVOD NA UCET	513	62789	 	AB	69903582
1087176	3714	1996-05-09	VYDAJ	PREVOD NA UCET	513	93850	 	AB	69903582
1087177	3714	1996-06-09	VYDAJ	PREVOD NA UCET	513	76606	 	AB	69903582
1087178	3714	1996-07-09	VYDAJ	PREVOD NA UCET	513	78713	 	AB	69903582
1087179	3714	1996-08-09	VYDAJ	PREVOD NA UCET	513	38530	 	AB	69903582
1087180	3714	1996-09-09	VYDAJ	PREVOD NA UCET	513	63406	 	AB	69903582
1087181	3714	1996-10-09	VYDAJ	PREVOD NA UCET	513	41934	 	AB	69903582
1087182	3714	1996-11-09	VYDAJ	PREVOD NA UCET	513	56106	 	AB	69903582
1087183	3714	1996-12-09	VYDAJ	PREVOD NA UCET	513	39790	 	AB	69903582
1087184	3714	1997-01-09	VYDAJ	PREVOD NA UCET	513	42654	 	AB	69903582
1087185	3714	1997-02-09	VYDAJ	PREVOD NA UCET	513	37703	 	AB	69903582
1087186	3714	1997-03-09	VYDAJ	PREVOD NA UCET	513	60348	 	AB	69903582
1087187	3714	1997-04-09	VYDAJ	PREVOD NA UCET	513	78364	 	AB	69903582
1087188	3714	1997-05-09	VYDAJ	PREVOD NA UCET	513	60630	 	AB	69903582
1087189	3714	1997-06-09	VYDAJ	PREVOD NA UCET	513	32021	 	AB	69903582
1087190	3714	1997-07-09	VYDAJ	PREVOD NA UCET	513	37075	 	AB	69903582
1087191	3714	1997-08-09	VYDAJ	PREVOD NA UCET	513	56381	 	AB	69903582
1087192	3714	1997-09-09	VYDAJ	PREVOD NA UCET	513	74027	 	AB	69903582
1087193	3714	1997-10-09	VYDAJ	PREVOD NA UCET	513	45480	 	AB	69903582
1087194	3714	1997-11-09	VYDAJ	PREVOD NA UCET	513	41419	 	AB	69903582
1087195	3714	1997-12-09	VYDAJ	PREVOD NA UCET	513	98874	 	AB	69903582
1087196	3714	1998-01-09	VYDAJ	PREVOD NA UCET	513	55203	 	AB	69903582
1087197	3714	1998-02-09	VYDAJ	PREVOD NA UCET	513	79135	 	AB	69903582
1087198	3714	1998-03-09	VYDAJ	PREVOD NA UCET	513	61521	 	AB	69903582
1087199	3714	1998-04-09	VYDAJ	PREVOD NA UCET	513	49815	 	AB	69903582
1087200	3714	1998-05-09	VYDAJ	PREVOD NA UCET	513	27063	 	AB	69903582
1087201	3714	1998-06-09	VYDAJ	PREVOD NA UCET	513	50579	 	AB	69903582
1087202	3714	1998-07-09	VYDAJ	PREVOD NA UCET	513	27073	 	AB	69903582
1087203	3714	1998-08-09	VYDAJ	PREVOD NA UCET	513	42840	 	AB	69903582
1087204	3714	1998-09-09	VYDAJ	PREVOD NA UCET	513	54532	 	AB	69903582
1087205	3714	1998-10-09	VYDAJ	PREVOD NA UCET	513	66229	 	AB	69903582
1087206	3714	1998-11-09	VYDAJ	PREVOD NA UCET	513	59662	 	AB	69903582
1087207	3714	1998-12-09	VYDAJ	PREVOD NA UCET	513	36053	 	AB	69903582
1087221	3714	1995-02-05	VYDAJ	PREVOD NA UCET	77	29194	POJISTNE	EF	64223658
1087222	3714	1995-03-05	VYDAJ	PREVOD NA UCET	77	35379	POJISTNE	EF	64223658
1087223	3714	1995-04-05	VYDAJ	PREVOD NA UCET	77	19948	POJISTNE	EF	64223658
1087224	3714	1995-05-05	VYDAJ	PREVOD NA UCET	77	77134	POJISTNE	EF	64223658
1087225	3714	1995-06-05	VYDAJ	PREVOD NA UCET	77	58348	POJISTNE	EF	64223658
1087226	3714	1995-07-05	VYDAJ	PREVOD NA UCET	77	21362	POJISTNE	EF	64223658
1087227	3714	1995-08-05	VYDAJ	PREVOD NA UCET	77	28736	POJISTNE	EF	64223658
1087228	3714	1995-09-05	VYDAJ	PREVOD NA UCET	77	46043	POJISTNE	EF	64223658
1087229	3714	1995-10-05	VYDAJ	PREVOD NA UCET	77	33774	POJISTNE	EF	64223658
1087230	3714	1995-11-05	VYDAJ	PREVOD NA UCET	77	49738	POJISTNE	EF	64223658
1087231	3714	1995-12-05	VYDAJ	PREVOD NA UCET	77	38549	POJISTNE	EF	64223658
1087232	3714	1996-01-05	VYDAJ	PREVOD NA UCET	77	56745	POJISTNE	EF	64223658
1087233	3714	1996-02-05	VYDAJ	PREVOD NA UCET	77	24315	POJISTNE	EF	64223658
1087234	3714	1996-03-05	VYDAJ	PREVOD NA UCET	77	80975	POJISTNE	EF	64223658
1087235	3714	1996-04-05	VYDAJ	PREVOD NA UCET	77	98142	POJISTNE	EF	64223658
1087236	3714	1996-05-05	VYDAJ	PREVOD NA UCET	77	97580	POJISTNE	EF	64223658
1087237	3714	1996-06-05	VYDAJ	PREVOD NA UCET	77	80336	POJISTNE	EF	64223658
1087238	3714	1996-07-05	VYDAJ	PREVOD NA UCET	77	82443	POJISTNE	EF	64223658
1087239	3714	1996-08-05	VYDAJ	PREVOD NA UCET	77	47760	POJISTNE	EF	64223658
1087240	3714	1996-09-05	VYDAJ	PREVOD NA UCET	77	98836	POJISTNE	EF	64223658
1087241	3714	1996-10-05	VYDAJ	PREVOD NA UCET	77	63164	POJISTNE	EF	64223658
1087242	3714	1996-11-05	VYDAJ	PREVOD NA UCET	77	79336	POJISTNE	EF	64223658
1087243	3714	1996-12-05	VYDAJ	PREVOD NA UCET	77	55820	POJISTNE	EF	64223658
1087244	3714	1997-01-05	VYDAJ	PREVOD NA UCET	77	32914	POJISTNE	EF	64223658
1087245	3714	1997-02-05	VYDAJ	PREVOD NA UCET	77	41433	POJISTNE	EF	64223658
1087246	3714	1997-03-05	VYDAJ	PREVOD NA UCET	77	94678	POJISTNE	EF	64223658
1087247	3714	1997-04-05	VYDAJ	PREVOD NA UCET	77	77802	POJISTNE	EF	64223658
1087248	3714	1997-05-05	VYDAJ	PREVOD NA UCET	77	92560	POJISTNE	EF	64223658
1087249	3714	1997-06-05	VYDAJ	PREVOD NA UCET	77	35751	POJISTNE	EF	64223658
1087250	3714	1997-07-05	VYDAJ	PREVOD NA UCET	77	40805	POJISTNE	EF	64223658
1087251	3714	1997-08-05	VYDAJ	PREVOD NA UCET	77	60111	POJISTNE	EF	64223658
1087252	3714	1997-09-05	VYDAJ	PREVOD NA UCET	77	47690	POJISTNE	EF	64223658
1087253	3714	1997-10-05	VYDAJ	PREVOD NA UCET	77	49210	POJISTNE	EF	64223658
1087254	3714	1997-11-05	VYDAJ	PREVOD NA UCET	77	45149	POJISTNE	EF	64223658
1087255	3714	1997-12-05	VYDAJ	PREVOD NA UCET	77	70521	POJISTNE	EF	64223658
1087366	3714	1997-06-01	VYDAJ	VYBER	62100	28760	\N	\N	\N
1087256	3714	1998-01-05	VYDAJ	PREVOD NA UCET	77	58933	POJISTNE	EF	64223658
1087257	3714	1998-02-05	VYDAJ	PREVOD NA UCET	77	36372	POJISTNE	EF	64223658
1087258	3714	1998-03-05	VYDAJ	PREVOD NA UCET	77	65251	POJISTNE	EF	64223658
1087259	3714	1998-04-05	VYDAJ	PREVOD NA UCET	77	62845	POJISTNE	EF	64223658
1087260	3714	1998-05-05	VYDAJ	PREVOD NA UCET	77	30793	POJISTNE	EF	64223658
1087261	3714	1998-06-05	VYDAJ	PREVOD NA UCET	77	54309	POJISTNE	EF	64223658
1087262	3714	1998-07-05	VYDAJ	PREVOD NA UCET	77	46646	POJISTNE	EF	64223658
1087263	3714	1998-08-05	VYDAJ	PREVOD NA UCET	77	46570	POJISTNE	EF	64223658
1087264	3714	1998-09-05	VYDAJ	PREVOD NA UCET	77	45484	POJISTNE	EF	64223658
1087265	3714	1998-10-05	VYDAJ	PREVOD NA UCET	77	69959	POJISTNE	EF	64223658
1087266	3714	1998-11-05	VYDAJ	PREVOD NA UCET	77	44157	POJISTNE	EF	64223658
1087267	3714	1998-12-05	VYDAJ	PREVOD NA UCET	77	39783	POJISTNE	EF	64223658
1087280	3714	1995-01-14	VYDAJ	PREVOD NA UCET	426	56685	 	IJ	5437863
1087281	3714	1995-02-14	VYDAJ	PREVOD NA UCET	426	69642	 	IJ	5437863
1087282	3714	1995-03-14	VYDAJ	PREVOD NA UCET	426	31223	 	IJ	5437863
1087283	3714	1995-04-14	VYDAJ	PREVOD NA UCET	426	15792	 	IJ	5437863
1087284	3714	1995-05-14	VYDAJ	PREVOD NA UCET	426	88409	 	IJ	5437863
1087285	3714	1995-06-14	VYDAJ	PREVOD NA UCET	426	44892	 	IJ	5437863
1087286	3714	1995-07-14	VYDAJ	PREVOD NA UCET	426	17206	 	IJ	5437863
1087287	3714	1995-08-14	VYDAJ	PREVOD NA UCET	426	28480	 	IJ	5437863
1087288	3714	1995-09-14	VYDAJ	PREVOD NA UCET	426	46884	 	IJ	5437863
1087289	3714	1995-10-14	VYDAJ	PREVOD NA UCET	426	30218	 	IJ	5437863
1087290	3714	1995-11-14	VYDAJ	PREVOD NA UCET	426	38482	 	IJ	5437863
1087291	3714	1995-12-14	VYDAJ	PREVOD NA UCET	426	31793	 	IJ	5437863
1087292	3714	1996-01-14	VYDAJ	PREVOD NA UCET	426	29989	 	IJ	5437863
1087293	3714	1996-02-14	VYDAJ	PREVOD NA UCET	426	54425	 	IJ	5437863
1087294	3714	1996-03-14	VYDAJ	PREVOD NA UCET	426	53419	 	IJ	5437863
1087295	3714	1996-04-14	VYDAJ	PREVOD NA UCET	426	58547	 	IJ	5437863
1087296	3714	1996-05-14	VYDAJ	PREVOD NA UCET	426	58924	 	IJ	5437863
1087297	3714	1996-06-14	VYDAJ	PREVOD NA UCET	426	52980	 	IJ	5437863
1087298	3714	1996-07-14	VYDAJ	PREVOD NA UCET	426	51387	 	IJ	5437863
1087299	3714	1996-08-14	VYDAJ	PREVOD NA UCET	426	59445	 	IJ	5437863
1087300	3714	1996-09-14	VYDAJ	PREVOD NA UCET	426	62980	 	IJ	5437863
1087301	3714	1996-10-14	VYDAJ	PREVOD NA UCET	426	41508	 	IJ	5437863
1087302	3714	1996-11-14	VYDAJ	PREVOD NA UCET	426	55680	 	IJ	5437863
1087303	3714	1996-12-14	VYDAJ	PREVOD NA UCET	426	39364	 	IJ	5437863
1087304	3714	1997-01-14	VYDAJ	PREVOD NA UCET	426	38028	 	IJ	5437863
1087305	3714	1997-02-14	VYDAJ	PREVOD NA UCET	426	37277	 	IJ	5437863
1087306	3714	1997-03-14	VYDAJ	PREVOD NA UCET	426	54222	 	IJ	5437863
1087307	3714	1997-04-14	VYDAJ	PREVOD NA UCET	426	77938	 	IJ	5437863
1087308	3714	1997-05-14	VYDAJ	PREVOD NA UCET	426	79056	 	IJ	5437863
1087309	3714	1997-06-14	VYDAJ	PREVOD NA UCET	426	31595	 	IJ	5437863
1087310	3714	1997-07-14	VYDAJ	PREVOD NA UCET	426	36649	 	IJ	5437863
1087311	3714	1997-08-14	VYDAJ	PREVOD NA UCET	426	55955	 	IJ	5437863
1087312	3714	1997-09-14	VYDAJ	PREVOD NA UCET	426	60401	 	IJ	5437863
1087313	3714	1997-10-14	VYDAJ	PREVOD NA UCET	426	36954	 	IJ	5437863
1087314	3714	1997-11-14	VYDAJ	PREVOD NA UCET	426	83249	 	IJ	5437863
1087315	3714	1997-12-14	VYDAJ	PREVOD NA UCET	426	95748	 	IJ	5437863
1087316	3714	1998-01-14	VYDAJ	PREVOD NA UCET	426	52377	 	IJ	5437863
1087317	3714	1998-02-14	VYDAJ	PREVOD NA UCET	426	103716	 	IJ	5437863
1087318	3714	1998-03-14	VYDAJ	PREVOD NA UCET	426	61599	 	IJ	5437863
1087319	3714	1998-04-14	VYDAJ	PREVOD NA UCET	426	49389	 	IJ	5437863
1087320	3714	1998-05-14	VYDAJ	PREVOD NA UCET	426	26637	 	IJ	5437863
1087321	3714	1998-06-14	VYDAJ	PREVOD NA UCET	426	50153	 	IJ	5437863
1087322	3714	1998-07-14	VYDAJ	PREVOD NA UCET	426	26647	 	IJ	5437863
1087323	3714	1998-08-14	VYDAJ	PREVOD NA UCET	426	42414	 	IJ	5437863
1087324	3714	1998-09-14	VYDAJ	PREVOD NA UCET	426	54106	 	IJ	5437863
1087325	3714	1998-10-14	VYDAJ	PREVOD NA UCET	426	65803	 	IJ	5437863
1087326	3714	1998-11-14	VYDAJ	PREVOD NA UCET	426	59236	 	IJ	5437863
1087327	3714	1998-12-14	VYDAJ	PREVOD NA UCET	426	71539	 	IJ	5437863
1087341	3714	1995-04-22	VYBER	VYBER	6313	27903	\N	\N	\N
1087342	3714	1995-05-08	VYBER	VYBER	23192	50725	\N	\N	\N
1087344	3714	1995-10-28	VYBER	VYBER	4535	25683	\N	\N	\N
1087345	3714	1995-05-13	VYBER	VYBER	10445	88835	\N	\N	\N
1087346	3714	1995-02-24	VYBER	VYBER	12343	35299	\N	\N	\N
1087348	3714	1995-09-08	VYBER	VYBER	13621	29205	\N	\N	\N
1087349	3714	1996-05-01	VYBER	VYBER	12987	54388	\N	\N	\N
1087352	3714	1997-04-25	VYBER	VYBER	4543	92356	\N	\N	\N
1087353	3714	1997-12-15	VYBER	VYBER	3292	92456	\N	\N	\N
1087354	3714	1997-09-16	VYBER	VYBER	9420	78891	\N	\N	\N
1087355	3714	1997-10-30	VYBER	VYBER	2590	44682	\N	\N	\N
1087357	3714	1998-10-26	VYBER	VYBER	3094	62709	\N	\N	\N
1087358	3714	1998-11-28	VYBER	VYBER	11162	39674	\N	\N	\N
1087359	3714	1998-02-11	VYBER	VYBER	21224	57911	\N	\N	\N
1087360	3714	1998-02-16	VYBER	VYBER	20352	83364	\N	\N	\N
1087361	3714	1998-05-05	VYBER	VYBER	6107	30870	\N	\N	\N
1087362	3714	1998-07-06	VYBER	VYBER	15843	30803	\N	\N	\N
1087364	3714	1995-06-27	VYDAJ	VYBER	16500	21292	\N	\N	\N
1087367	3714	1998-06-29	VYDAJ	VYBER	34800	34800	\N	\N	\N
1087369	3714	1995-12-08	VYDAJ	VYBER	2100	33232	\N	\N	\N
1087370	3714	1996-12-17	VYDAJ	VYBER	8700	30664	\N	\N	\N
1087371	3714	1997-12-12	VYDAJ	VYBER KARTOU	2700	96174	\N	\N	0
1087372	3714	1998-12-12	VYDAJ	VYBER	6600	71965	\N	\N	\N
1087379	3714	1995-01-09	VYDAJ	VYBER	6600	59211	\N	\N	\N
1087382	3714	1995-01-14	VYDAJ	VYBER	3900	52785	\N	\N	\N
1087383	3714	1995-01-13	VYDAJ	VYBER	2100	57111	\N	\N	\N
1087385	3714	1996-01-07	VYDAJ	VYBER	7800	37028	\N	\N	\N
1087386	3714	1996-01-28	VYDAJ	VYBER	5700	24289	\N	\N	\N
1087388	3714	1996-01-03	VYDAJ	VYBER	3900	24100	\N	\N	\N
1087389	3714	1996-01-07	VYDAJ	VYBER	8700	44828	\N	\N	\N
1087390	3714	1996-01-10	VYDAJ	VYBER	3600	32915	\N	\N	\N
1087391	3714	1997-01-19	VYDAJ	VYBER KARTOU	3300	51556	\N	\N	0
1087392	3714	1997-01-11	VYDAJ	VYBER	4200	38454	\N	\N	\N
1087393	3714	1997-01-27	VYDAJ	VYBER	5700	45856	\N	\N	\N
1087394	3714	1997-01-18	VYDAJ	VYBER KARTOU	3900	54856	\N	\N	0
1087396	3714	1997-01-06	VYDAJ	VYBER	6000	23697	\N	\N	\N
1087397	3714	1998-01-12	VYDAJ	VYBER KARTOU	2400	52803	\N	\N	0
1087398	3714	1998-01-03	VYDAJ	VYBER	6900	62010	\N	\N	\N
1087399	3714	1998-01-20	VYDAJ	VYBER	7200	37677	\N	\N	\N
1087400	3714	1998-01-19	VYDAJ	VYBER	7500	44877	\N	\N	\N
1087401	3714	1998-01-20	VYDAJ	VYBER KARTOU	2700	34977	\N	\N	0
1087402	3714	1998-01-03	VYDAJ	VYBER KARTOU	3000	59010	\N	\N	0
1087408	3714	1995-12-30	VYDAJ	VYBER	3900	27893	\N	\N	\N
1087409	3714	1995-10-04	VYDAJ	VYBER	13200	33851	\N	\N	\N
1087410	3714	1995-06-10	VYDAJ	VYBER	9300	45318	\N	\N	\N
1087411	3714	1995-02-01	VYDAJ	VYBER	1800	29271	\N	\N	\N
1087412	3714	1995-01-31	VYDAJ	VYBER	8700	31101	\N	\N	\N
1087413	3714	1995-04-05	VYDAJ	VYBER	10500	20025	\N	\N	\N
1087414	3714	1996-06-04	VYDAJ	VYBER	5400	80413	\N	\N	\N
1087415	3714	1996-06-19	VYDAJ	VYBER	10200	42780	\N	\N	\N
1087416	3714	1996-08-03	VYDAJ	VYBER	10500	41082	\N	\N	\N
1087418	3714	1997-02-25	VYDAJ	VYBER	5400	94532	\N	\N	\N
1087420	3714	1997-03-12	VYDAJ	VYBER	5700	54648	\N	\N	\N
1087421	3714	1997-10-11	VYDAJ	VYBER	8100	37380	\N	\N	\N
1087422	3714	1997-06-03	VYDAJ	VYBER KARTOU	3900	31328	\N	\N	0
1087423	3714	1997-09-11	VYDAJ	VYBER	13200	60827	\N	\N	\N
1087424	3714	1998-04-23	VYDAJ	VYBER	11700	37689	\N	\N	\N
1087425	3714	1998-04-06	VYDAJ	VYBER	9300	50328	\N	\N	\N
1087426	3714	1998-10-26	VYDAJ	VYBER	14400	48309	\N	\N	\N
1087427	3714	1998-12-25	VYDAJ	VYBER KARTOU	3600	67939	\N	\N	0
1087428	3714	1998-03-25	VYDAJ	VYBER KARTOU	3600	80777	\N	\N	0
1087442	3714	1995-01-31	VYDAJ	VYBER	30	31071	SLUZBY	\N	\N
1087443	3714	1995-02-28	VYDAJ	VYBER	30	35456	SLUZBY	\N	\N
1087444	3714	1995-03-31	VYDAJ	VYBER	30	30525	SLUZBY	\N	\N
1087445	3714	1995-04-30	VYDAJ	VYBER	30	27972	SLUZBY	\N	\N
1087446	3714	1995-05-31	VYDAJ	VYBER	30	58425	SLUZBY	\N	\N
1087447	3714	1995-06-30	VYDAJ	VYBER	30	21439	SLUZBY	\N	\N
1087448	3714	1995-07-31	VYDAJ	VYBER	30	28813	SLUZBY	\N	\N
1087449	3714	1995-08-31	VYDAJ	VYBER	30	46120	SLUZBY	\N	\N
1087450	3714	1995-09-30	VYDAJ	VYBER	30	47051	SLUZBY	\N	\N
1087451	3714	1995-10-31	VYDAJ	VYBER	30	49815	SLUZBY	\N	\N
1087452	3714	1995-11-30	VYDAJ	VYBER	30	38626	SLUZBY	\N	\N
1087453	3714	1995-12-31	VYDAJ	VYBER	30	28000	SLUZBY	\N	\N
1087454	3714	1996-01-31	VYDAJ	VYBER	30	24392	SLUZBY	\N	\N
1087455	3714	1996-02-29	VYDAJ	VYBER	30	54572	SLUZBY	\N	\N
1087456	3714	1996-03-31	VYDAJ	VYBER	30	98219	SLUZBY	\N	\N
1087457	3714	1996-04-30	VYDAJ	VYBER	30	67375	SLUZBY	\N	\N
1087458	3714	1996-05-31	VYDAJ	VYBER	30	85813	SLUZBY	\N	\N
1087459	3714	1996-06-30	VYDAJ	VYBER	30	43001	SLUZBY	\N	\N
1087460	3714	1996-07-31	VYDAJ	VYBER	30	51582	SLUZBY	\N	\N
1087461	3714	1996-08-31	VYDAJ	VYBER	30	98913	SLUZBY	\N	\N
1087462	3714	1996-09-30	VYDAJ	VYBER	30	63241	SLUZBY	\N	\N
1087463	3714	1996-10-31	VYDAJ	VYBER	30	79413	SLUZBY	\N	\N
1087464	3714	1996-11-30	VYDAJ	VYBER	30	55897	SLUZBY	\N	\N
1087465	3714	1996-12-31	VYDAJ	VYBER	30	30791	SLUZBY	\N	\N
1087466	3714	1997-01-31	VYDAJ	VYBER	30	46010	SLUZBY	\N	\N
1087467	3714	1997-02-28	VYDAJ	VYBER	30	94755	SLUZBY	\N	\N
1087468	3714	1997-03-31	VYDAJ	VYBER	30	54450	SLUZBY	\N	\N
1087469	3714	1997-04-30	VYDAJ	VYBER	30	92637	SLUZBY	\N	\N
1087470	3714	1997-05-31	VYDAJ	VYBER	30	90860	SLUZBY	\N	\N
1087471	3714	1997-06-30	VYDAJ	VYBER	30	46382	SLUZBY	\N	\N
1087472	3714	1997-07-31	VYDAJ	VYBER	30	73688	SLUZBY	\N	\N
1087473	3714	1997-08-31	VYDAJ	VYBER	30	56167	SLUZBY	\N	\N
1087474	3714	1997-09-30	VYDAJ	VYBER	30	60587	SLUZBY	\N	\N
1087475	3714	1997-10-31	VYDAJ	VYBER	30	44826	SLUZBY	\N	\N
1087476	3714	1997-11-30	VYDAJ	VYBER	30	122498	SLUZBY	\N	\N
1087477	3714	1997-12-31	VYDAJ	VYBER	30	92810	SLUZBY	\N	\N
1087478	3714	1998-01-31	VYDAJ	VYBER	30	36449	SLUZBY	\N	\N
1087479	3714	1998-02-28	VYDAJ	VYBER	30	83628	SLUZBY	\N	\N
1087480	3714	1998-03-31	VYDAJ	VYBER	30	85922	SLUZBY	\N	\N
1087481	3714	1998-04-30	VYDAJ	VYBER	30	36977	SLUZBY	\N	\N
1087482	3714	1998-05-31	VYDAJ	VYBER	30	54386	SLUZBY	\N	\N
1087483	3714	1998-06-30	VYDAJ	VYBER	30	46723	SLUZBY	\N	\N
1087484	3714	1998-07-31	VYDAJ	VYBER	30	46647	SLUZBY	\N	\N
1087485	3714	1998-08-31	VYDAJ	VYBER	30	45561	SLUZBY	\N	\N
1087486	3714	1998-09-30	VYDAJ	VYBER	30	70036	SLUZBY	\N	\N
1087487	3714	1998-10-31	VYDAJ	VYBER	30	44234	SLUZBY	\N	\N
1087488	3714	1998-11-30	VYDAJ	VYBER	30	39860	SLUZBY	\N	\N
1087489	3714	1994-05-21	VYDAJ	VYBER	18100	44421	\N	\N	\N
1087490	3714	1994-06-20	VYDAJ	VYBER	14100	42150	\N	\N	\N
1087491	3714	1994-07-20	VYDAJ	VYBER	20500	48935	\N	\N	\N
1087492	3714	1994-08-19	VYDAJ	VYBER	10900	38323	\N	\N	\N
1087493	3714	1994-09-18	VYDAJ	VYBER	4200	34412	\N	\N	\N
1087494	3714	1994-10-18	VYDAJ	VYBER	7100	27600	\N	\N	\N
1087495	3714	1994-11-17	VYDAJ	VYBER	200	27688	\N	\N	\N
1087496	3714	1994-12-17	VYDAJ	VYBER	3000	24977	\N	\N	\N
1087497	3714	1995-01-16	VYDAJ	VYBER	13200	39585	\N	\N	\N
1087498	3714	1995-02-15	VYDAJ	VYBER	22000	47642	\N	\N	\N
1087499	3714	1995-03-17	VYDAJ	VYBER	800	30423	\N	\N	\N
1087500	3714	1995-04-16	PRIJEM	VKLAD	6400	22192	\N	\N	\N
1087501	3714	1995-05-16	VYDAJ	VYBER	30200	58209	\N	\N	\N
1087502	3714	1995-06-15	VYDAJ	VYBER	7100	37792	\N	\N	\N
1087503	3714	1995-07-15	PRIJEM	VKLAD	5800	23006	\N	\N	\N
1087504	3714	1995-08-14	PRIJEM	VKLAD	3900	28906	\N	\N	\N
1087505	3714	1995-09-13	VYDAJ	VYBER	19800	47310	\N	\N	\N
1087506	3714	1995-10-13	PRIJEM	VKLAD	600	30644	\N	\N	\N
1087507	3714	1995-11-12	VYDAJ	VYBER	7100	38908	\N	\N	\N
1087508	3714	1995-12-12	VYDAJ	VYBER	500	32219	\N	\N	\N
1087509	3714	1996-01-11	VYDAJ	VYBER	2500	30415	\N	\N	\N
1087510	3714	1996-02-10	PRIJEM	VKLAD	5500	26085	\N	\N	\N
1087511	3714	1996-03-11	VYDAJ	VYBER	23400	53845	\N	\N	\N
1087512	3714	1996-04-07	VYDAJ	VYBER	48900	63302	\N	\N	\N
1087513	3714	1996-04-10	VYDAJ	VYBER	17600	45189	\N	\N	\N
1087514	3714	1996-05-10	VYDAJ	VYBER	34500	59350	\N	\N	\N
1087515	3714	1996-06-09	VYDAJ	VYBER	23200	53406	\N	\N	\N
1087516	3714	1996-07-09	VYDAJ	VYBER	26900	51813	\N	\N	\N
1087517	3714	1996-08-08	VYDAJ	VYBER	5500	39043	\N	\N	\N
1087518	3714	1996-09-07	VYDAJ	VYBER	31700	63919	\N	\N	\N
1087519	3714	1996-10-07	VYDAJ	VYBER	17500	42447	\N	\N	\N
1087520	3714	1996-11-06	VYDAJ	VYBER	19500	59836	\N	\N	\N
1087521	3714	1996-12-06	VYDAJ	VYBER	12300	40303	\N	\N	\N
1087522	3714	1997-01-05	PRIJEM	VKLAD	2200	32991	\N	\N	\N
1087523	3714	1997-02-04	VYDAJ	VYBER	4500	41510	\N	\N	\N
1087524	3714	1997-02-24	VYDAJ	VYBER	18100	99932	\N	\N	\N
1087525	3714	1997-03-06	VYDAJ	VYBER	30600	64078	\N	\N	\N
1087526	3714	1997-04-05	VYDAJ	VYBER	23900	53902	\N	\N	\N
1087527	3714	1997-05-05	VYDAJ	VYBER	28200	64360	\N	\N	\N
1087528	3714	1997-05-16	VYDAJ	VYBER	30000	97107	\N	\N	\N
1087529	3714	1997-05-25	VYDAJ	VYBER	18300	98001	\N	\N	\N
1087530	3714	1997-05-28	VYDAJ	VYBER	29300	90536	\N	\N	\N
1087531	3714	1997-06-04	PRIJEM	VKLAD	4500	35828	\N	\N	\N
1087532	3714	1997-07-04	VYDAJ	VYBER	5500	40882	\N	\N	\N
1087533	3714	1997-08-03	VYDAJ	VYBER	13500	60188	\N	\N	\N
1087534	3714	1997-09-02	VYDAJ	VYBER	8400	47767	\N	\N	\N
1087535	3714	1997-09-18	VYDAJ	VYBER	57400	60257	\N	\N	\N
1087536	3714	1997-10-02	VYDAJ	VYBER	11300	49287	\N	\N	\N
1087537	3714	1997-11-01	PRIJEM	VKLAD	400	45226	\N	\N	\N
1087538	3714	1997-11-26	VYDAJ	VYBER	29900	122190	\N	\N	\N
1087539	3714	1997-11-30	VYDAJ	VYBER	24400	98098	\N	\N	\N
1087540	3714	1997-12-01	VYDAJ	VYBER	27500	70598	\N	\N	\N
1087541	3714	1997-12-31	VYDAJ	VYBER	23900	68910	\N	\N	\N
1087542	3714	1998-01-30	PRIJEM	VKLAD	1300	36277	\N	\N	\N
1087543	3714	1998-03-01	VYDAJ	VYBER	18300	65328	\N	\N	\N
1087544	3714	1998-03-10	VYDAJ	VYBER	20000	98081	\N	\N	\N
1087545	3714	1998-03-12	VYDAJ	VYBER	61600	62025	\N	\N	\N
1087546	3714	1998-03-26	VYDAJ	VYBER	40100	85617	\N	\N	\N
1087547	3714	1998-03-31	VYDAJ	VYBER	23000	62922	\N	\N	\N
1087548	3714	1998-04-30	VYDAJ	VYBER KARTOU	900	37007	\N	\N	0
1087549	3714	1998-05-30	VYDAJ	VYBER	17700	54240	\N	\N	\N
1087550	3714	1998-06-29	VYDAJ	VYBER KARTOU	1700	69600	\N	\N	0
1087551	3714	1998-07-29	VYDAJ	VYBER KARTOU	3800	46535	\N	\N	0
1087552	3714	1998-08-28	PRIJEM	VKLAD	3000	45414	\N	\N	\N
1087553	3714	1998-09-27	VYDAJ	VYBER	28900	69789	\N	\N	\N
1087554	3714	1998-10-27	VYDAJ	VYBER	4300	44009	\N	\N	\N
1087555	3714	1998-11-26	VYDAJ	VYBER	8400	50836	\N	\N	\N
1087556	3714	1998-12-26	VYDAJ	VYBER	14400	53539	\N	\N	\N
1087613	3715	1997-11-27	PRIJEM	VKLAD	900	900	\N	\N	\N
1087666	3715	1997-12-27	PRIJEM	VKLAD	11500	12400	\N	\N	\N
1087667	3715	1998-01-26	PRIJEM	VKLAD	900	13300	\N	\N	\N
1087668	3715	1998-02-25	PRIJEM	VKLAD	2900	16200	\N	\N	\N
1087669	3715	1998-03-27	VYDAJ	VYBER	1600	14600	\N	\N	\N
1087670	3715	1998-04-26	PRIJEM	VKLAD	3900	18500	\N	\N	\N
1087671	3715	1998-05-26	PRIJEM	VKLAD	2500	21000	\N	\N	\N
1087672	3715	1998-06-25	VYDAJ	VYBER	2100	18900	\N	\N	\N
1087673	3715	1998-07-25	VYDAJ	VYBER	2200	16700	\N	\N	\N
1087674	3715	1998-08-24	PRIJEM	VKLAD	600	17300	\N	\N	\N
1087675	3715	1998-09-23	VYDAJ	VYBER	1300	16000	\N	\N	\N
1087676	3715	1998-10-23	VYDAJ	VYBER	700	15300	\N	\N	\N
1087677	3715	1998-11-22	VYDAJ	VYBER	2000	13300	\N	\N	\N
1087678	3716	1997-04-14	PRIJEM	VKLAD	200	200	\N	\N	\N
1087716	3716	1997-06-13	PRIJEM	VKLAD	11900	12100	\N	\N	\N
1087717	3716	1997-07-13	PRIJEM	VKLAD	5400	17500	\N	\N	\N
1087718	3716	1997-08-12	PRIJEM	VKLAD	4600	22100	\N	\N	\N
1087719	3716	1997-09-11	PRIJEM	VKLAD	5600	27700	\N	\N	\N
1087720	3716	1997-10-11	VYDAJ	VYBER	3600	24100	\N	\N	\N
1087721	3716	1997-11-10	VYDAJ	VYBER	1700	22400	\N	\N	\N
1087722	3716	1997-12-10	VYDAJ	VYBER	2600	19800	\N	\N	\N
1087723	3716	1998-01-09	PRIJEM	VKLAD	200	20000	\N	\N	\N
1087724	3716	1998-02-08	PRIJEM	VKLAD	1900	21900	\N	\N	\N
1087725	3716	1998-03-10	PRIJEM	VKLAD	1300	23200	\N	\N	\N
1087726	3716	1998-04-09	VYDAJ	VYBER	1500	21700	\N	\N	\N
1087727	3716	1998-05-09	VYDAJ	VYBER	3800	17900	\N	\N	\N
1087728	3716	1998-06-08	PRIJEM	VKLAD	1600	19500	\N	\N	\N
1087729	3716	1998-07-08	VYDAJ	VYBER	700	18800	\N	\N	\N
1087730	3716	1998-08-07	VYDAJ	VYBER	4000	14800	\N	\N	\N
1087731	3716	1998-09-06	PRIJEM	VKLAD	3800	18600	\N	\N	\N
1087732	3716	1998-10-06	PRIJEM	VKLAD	1200	19800	\N	\N	\N
1087733	3716	1998-11-05	PRIJEM	VKLAD	1100	20900	\N	\N	\N
1087734	3716	1998-12-05	VYDAJ	VYBER	2500	18400	\N	\N	\N
1087735	3717	1994-05-20	PRIJEM	VKLAD	400	400	\N	\N	\N
1087741	3717	1994-06-12	PRIJEM	PREVOD Z UCTU	23373	23773	\N	ST	65669673
1087742	3717	1994-07-12	PRIJEM	PREVOD Z UCTU	15582	40096	\N	ST	65669673
1087743	3717	1994-08-12	PRIJEM	PREVOD Z UCTU	15582	49095	\N	ST	65669673
1087744	3717	1994-09-12	PRIJEM	PREVOD Z UCTU	15582	52723	\N	ST	65669673
1087745	3717	1994-10-12	PRIJEM	PREVOD Z UCTU	15582	54663	\N	ST	65669673
1087746	3717	1994-11-12	PRIJEM	PREVOD Z UCTU	15582	34359	\N	ST	65669673
1087747	3717	1994-12-12	PRIJEM	PREVOD Z UCTU	23373	39616	\N	ST	65669673
1087748	3717	1995-01-12	PRIJEM	PREVOD Z UCTU	15582	25562	\N	ST	65669673
1087749	3717	1995-02-12	PRIJEM	PREVOD Z UCTU	15582	24507	\N	ST	65669673
1087750	3717	1995-03-12	PRIJEM	PREVOD Z UCTU	15582	31546	\N	ST	65669673
1087751	3717	1995-04-12	PRIJEM	PREVOD Z UCTU	15582	31199	\N	ST	65669673
1087752	3717	1995-05-12	PRIJEM	PREVOD Z UCTU	15582	33756	\N	ST	65669673
1087753	3717	1995-06-12	PRIJEM	PREVOD Z UCTU	23373	42011	\N	ST	65669673
1087754	3717	1995-07-12	PRIJEM	PREVOD Z UCTU	15582	35881	\N	ST	65669673
1087755	3717	1995-08-12	PRIJEM	PREVOD Z UCTU	15582	34548	\N	ST	65669673
1087756	3717	1995-09-12	PRIJEM	PREVOD Z UCTU	15582	24323	\N	ST	65669673
1087757	3717	1995-10-12	PRIJEM	PREVOD Z UCTU	15582	26264	\N	ST	65669673
1087758	3717	1995-11-12	PRIJEM	PREVOD Z UCTU	15582	34406	\N	ST	65669673
1087759	3717	1995-12-12	PRIJEM	PREVOD Z UCTU	23373	35233	\N	ST	65669673
1087760	3717	1996-01-12	PRIJEM	PREVOD Z UCTU	15582	30254	\N	ST	65669673
1087761	3717	1996-02-12	PRIJEM	PREVOD Z UCTU	15582	24888	\N	ST	65669673
1087762	3717	1996-03-12	PRIJEM	PREVOD Z UCTU	15582	30120	\N	ST	65669673
1087763	3717	1996-04-12	PRIJEM	PREVOD Z UCTU	15582	31278	\N	ST	65669673
1087764	3717	1996-05-12	PRIJEM	PREVOD Z UCTU	15582	27336	\N	ST	65669673
1087765	3717	1996-06-12	PRIJEM	PREVOD Z UCTU	23373	34278	\N	ST	65669673
1087766	3717	1996-07-12	PRIJEM	PREVOD Z UCTU	15582	23525	\N	ST	65669673
1087767	3717	1996-08-12	PRIJEM	PREVOD Z UCTU	15582	23960	\N	ST	65669673
1087768	3717	1996-09-12	PRIJEM	PREVOD Z UCTU	15582	24195	\N	ST	65669673
1087769	3717	1996-10-12	PRIJEM	PREVOD Z UCTU	15582	22531	\N	ST	65669673
1087770	3717	1996-11-12	PRIJEM	PREVOD Z UCTU	15582	22663	\N	ST	65669673
1087771	3717	1996-12-12	PRIJEM	PREVOD Z UCTU	23373	25884	\N	ST	65669673
1087772	3717	1997-01-12	PRIJEM	PREVOD Z UCTU	15582	25321	\N	ST	65669673
1087773	3717	1997-02-12	PRIJEM	PREVOD Z UCTU	15582	23961	\N	ST	65669673
1087774	3717	1997-03-12	PRIJEM	PREVOD Z UCTU	15582	23495	\N	ST	65669673
1087775	3717	1997-04-12	PRIJEM	PREVOD Z UCTU	15582	25429	\N	ST	65669673
1087776	3717	1997-05-12	PRIJEM	PREVOD Z UCTU	15582	26368	\N	ST	65669673
1087777	3717	1997-06-12	PRIJEM	PREVOD Z UCTU	23373	33503	\N	ST	65669673
1087778	3717	1997-07-12	PRIJEM	PREVOD Z UCTU	15582	29763	\N	ST	65669673
1087779	3717	1997-08-12	PRIJEM	PREVOD Z UCTU	15582	26123	\N	ST	65669673
1087780	3717	1997-09-12	PRIJEM	PREVOD Z UCTU	15582	24172	\N	ST	65669673
1087781	3717	1997-10-12	PRIJEM	PREVOD Z UCTU	15582	23206	\N	ST	65669673
1087782	3717	1997-11-12	PRIJEM	PREVOD Z UCTU	15582	23836	\N	ST	65669673
1087783	3717	1997-12-12	PRIJEM	PREVOD Z UCTU	23373	30464	\N	ST	65669673
1087784	3717	1998-01-12	PRIJEM	PREVOD Z UCTU	15582	24897	\N	ST	65669673
1087785	3717	1998-02-12	PRIJEM	PREVOD Z UCTU	15582	25288	\N	ST	65669673
1087786	3717	1998-03-12	PRIJEM	PREVOD Z UCTU	15582	23724	\N	ST	65669673
1087787	3717	1998-04-12	PRIJEM	PREVOD Z UCTU	15582	19561	\N	ST	65669673
1087788	3717	1998-05-12	PRIJEM	PREVOD Z UCTU	15582	21073	\N	ST	65669673
1087789	3717	1998-06-12	PRIJEM	PREVOD Z UCTU	23373	26080	\N	ST	65669673
1087790	3717	1998-07-12	PRIJEM	PREVOD Z UCTU	15582	20703	\N	ST	65669673
1087791	3717	1998-08-12	PRIJEM	PREVOD Z UCTU	15582	25621	\N	ST	65669673
1087792	3717	1998-09-12	PRIJEM	PREVOD Z UCTU	15582	18950	\N	ST	65669673
1087793	3717	1998-10-12	PRIJEM	PREVOD Z UCTU	15582	23860	\N	ST	65669673
1087794	3717	1998-11-12	PRIJEM	PREVOD Z UCTU	15582	20684	\N	ST	65669673
1087795	3717	1998-12-12	PRIJEM	PREVOD Z UCTU	23373	27587	\N	ST	65669673
1087866	3717	1994-11-10	VYDAJ	PREVOD NA UCET	10727	18777	SIPO	MN	95008021
1087867	3717	1994-12-10	VYDAJ	PREVOD NA UCET	10727	16243	SIPO	MN	95008021
1087868	3717	1995-01-10	VYDAJ	PREVOD NA UCET	10727	9980	SIPO	MN	95008021
1087869	3717	1995-02-10	VYDAJ	PREVOD NA UCET	10727	8925	SIPO	MN	95008021
1087870	3717	1995-03-10	VYDAJ	PREVOD NA UCET	10727	15964	SIPO	MN	95008021
1087871	3717	1995-04-10	VYDAJ	PREVOD NA UCET	10727	15617	SIPO	MN	95008021
1087872	3717	1995-05-10	VYDAJ	PREVOD NA UCET	10727	18174	SIPO	MN	95008021
1087873	3717	1995-06-10	VYDAJ	PREVOD NA UCET	10727	18638	SIPO	MN	95008021
1087874	3717	1995-07-10	VYDAJ	PREVOD NA UCET	10727	20299	SIPO	MN	95008021
1087875	3717	1995-08-10	VYDAJ	PREVOD NA UCET	10727	18966	SIPO	MN	95008021
1087876	3717	1995-09-10	VYDAJ	PREVOD NA UCET	10727	8741	SIPO	MN	95008021
1087877	3717	1995-10-10	VYDAJ	PREVOD NA UCET	10727	10682	SIPO	MN	95008021
1087878	3717	1995-11-10	VYDAJ	PREVOD NA UCET	10727	14524	SIPO	MN	95008021
1087879	3717	1995-12-10	VYDAJ	PREVOD NA UCET	10727	8460	SIPO	MN	95008021
1087880	3717	1996-01-10	VYDAJ	PREVOD NA UCET	10727	14672	SIPO	MN	95008021
1087881	3717	1996-02-10	VYDAJ	PREVOD NA UCET	10727	9306	SIPO	MN	95008021
1087882	3717	1996-03-10	VYDAJ	PREVOD NA UCET	10727	14538	SIPO	MN	95008021
1087883	3717	1996-04-10	VYDAJ	PREVOD NA UCET	10727	15696	SIPO	MN	95008021
1087884	3717	1996-05-10	VYDAJ	PREVOD NA UCET	10727	11754	SIPO	MN	95008021
1087885	3717	1996-06-10	VYDAJ	PREVOD NA UCET	10727	10905	SIPO	MN	95008021
1087886	3717	1996-07-10	VYDAJ	PREVOD NA UCET	10727	7943	SIPO	MN	95008021
1087887	3717	1996-08-10	VYDAJ	PREVOD NA UCET	10727	8378	SIPO	MN	95008021
1087888	3717	1996-09-10	VYDAJ	PREVOD NA UCET	10727	8613	SIPO	MN	95008021
1087889	3717	1996-10-10	VYDAJ	PREVOD NA UCET	10727	6949	SIPO	MN	95008021
1087890	3717	1996-11-10	VYDAJ	PREVOD NA UCET	10727	7081	SIPO	MN	95008021
1087891	3717	1996-12-10	VYDAJ	PREVOD NA UCET	10727	2511	SIPO	MN	95008021
1087892	3717	1997-01-10	VYDAJ	PREVOD NA UCET	10727	9739	SIPO	MN	95008021
1087893	3717	1997-02-10	VYDAJ	PREVOD NA UCET	10727	8379	SIPO	MN	95008021
1087894	3717	1997-03-10	VYDAJ	PREVOD NA UCET	10727	7913	SIPO	MN	95008021
1087895	3717	1997-04-10	VYDAJ	PREVOD NA UCET	10727	9847	SIPO	MN	95008021
1087896	3717	1997-05-10	VYDAJ	PREVOD NA UCET	10727	10786	SIPO	MN	95008021
1087897	3717	1997-06-10	VYDAJ	PREVOD NA UCET	10727	10130	SIPO	MN	95008021
1087898	3717	1997-07-10	VYDAJ	PREVOD NA UCET	10727	14181	SIPO	MN	95008021
1087899	3717	1997-08-10	VYDAJ	PREVOD NA UCET	10727	10541	SIPO	MN	95008021
1087900	3717	1997-09-10	VYDAJ	PREVOD NA UCET	10727	8590	SIPO	MN	95008021
1087901	3717	1997-10-10	VYDAJ	PREVOD NA UCET	10727	7624	SIPO	MN	95008021
1087902	3717	1997-11-10	VYDAJ	PREVOD NA UCET	10727	8254	SIPO	MN	95008021
1087903	3717	1997-12-10	VYDAJ	PREVOD NA UCET	10727	7091	SIPO	MN	95008021
1087904	3717	1998-01-10	VYDAJ	PREVOD NA UCET	10727	9315	SIPO	MN	95008021
1087905	3717	1998-02-10	VYDAJ	PREVOD NA UCET	10727	9706	SIPO	MN	95008021
1087906	3717	1998-03-10	VYDAJ	PREVOD NA UCET	10727	8142	SIPO	MN	95008021
1087907	3717	1998-04-10	VYDAJ	PREVOD NA UCET	10727	3979	SIPO	MN	95008021
1087908	3717	1998-05-10	VYDAJ	PREVOD NA UCET	10727	5491	SIPO	MN	95008021
1087909	3717	1998-06-10	VYDAJ	PREVOD NA UCET	10727	2707	SIPO	MN	95008021
1087910	3717	1998-07-10	VYDAJ	PREVOD NA UCET	10727	5121	SIPO	MN	95008021
1087911	3717	1998-08-10	VYDAJ	PREVOD NA UCET	10727	10039	SIPO	MN	95008021
1087912	3717	1998-09-10	VYDAJ	PREVOD NA UCET	10727	3368	SIPO	MN	95008021
1087913	3717	1998-10-10	VYDAJ	PREVOD NA UCET	10727	8278	SIPO	MN	95008021
1087914	3717	1998-11-10	VYDAJ	PREVOD NA UCET	10727	5102	SIPO	MN	95008021
1087915	3717	1998-12-10	VYDAJ	PREVOD NA UCET	10727	4214	SIPO	MN	95008021
1087923	3717	1995-11-28	VYBER	VYBER	12021	19085	\N	\N	\N
1087927	3717	1995-01-10	VYBER	VYBER	7629	20707	\N	\N	\N
1087928	3717	1995-12-13	VYBER	VYBER	14005	21228	\N	\N	\N
1087931	3717	1995-09-06	VYBER	VYBER	8786	19468	\N	\N	\N
1087939	3717	1998-01-18	VYBER	VYBER	2040	22857	\N	\N	\N
1087951	3717	1994-12-09	VYDAJ	VYBER	2700	26970	\N	\N	\N
1087954	3717	1997-12-13	VYDAJ	VYBER	4800	25664	\N	\N	\N
1087962	3717	1995-01-22	VYDAJ	VYBER	6000	19562	\N	\N	\N
1087964	3717	1995-01-06	VYDAJ	VYBER	4200	28336	\N	\N	\N
1087966	3717	1995-01-03	VYDAJ	VYBER	1500	32536	\N	\N	\N
1087969	3717	1996-01-17	VYDAJ	VYBER	7200	23054	\N	\N	\N
1087970	3717	1996-01-25	VYDAJ	VYBER	2100	20954	\N	\N	\N
1087972	3717	1996-01-29	VYDAJ	VYBER	1500	19454	\N	\N	\N
1087973	3717	1996-01-08	VYDAJ	VYBER	1800	19499	\N	\N	\N
1087976	3717	1997-01-26	VYDAJ	VYBER	1800	23521	\N	\N	\N
1087981	3717	1998-01-29	VYDAJ	VYBER	2100	20357	\N	\N	\N
1087989	3717	1994-10-26	VYDAJ	VYBER	10200	29363	\N	\N	\N
1087992	3717	1995-09-29	VYDAJ	VYBER	1500	21323	\N	\N	\N
1087993	3717	1995-11-15	VYDAJ	VYBER	3300	31106	\N	\N	\N
1087999	3717	1996-06-15	VYDAJ	VYBER	9300	24978	\N	\N	\N
1088001	3717	1996-04-12	VYDAJ	VYBER	2700	28578	\N	\N	\N
1088005	3717	1997-09-21	VYDAJ	VYBER	2400	21772	\N	\N	\N
1088007	3717	1997-06-20	VYDAJ	VYBER	2400	31103	\N	\N	\N
1088010	3717	1998-08-12	VYDAJ	VYBER	5100	20521	\N	\N	\N
1088024	3717	1994-10-31	VYDAJ	VYBER	15	29504	SLUZBY	\N	\N
1088025	3717	1994-11-30	VYDAJ	VYBER	15	29670	SLUZBY	\N	\N
1088026	3717	1994-12-31	VYDAJ	VYBER	15	34036	SLUZBY	\N	\N
1088027	3717	1995-01-31	VYDAJ	VYBER	15	19652	SLUZBY	\N	\N
1088028	3717	1995-02-28	VYDAJ	VYBER	15	26691	SLUZBY	\N	\N
1088029	3717	1995-03-31	VYDAJ	VYBER	15	26344	SLUZBY	\N	\N
1088030	3717	1995-04-30	VYDAJ	VYBER	15	28901	SLUZBY	\N	\N
1088031	3717	1995-05-31	VYDAJ	VYBER	15	29365	SLUZBY	\N	\N
1088032	3717	1995-06-30	VYDAJ	VYBER	15	31026	SLUZBY	\N	\N
1088033	3717	1995-07-31	VYDAJ	VYBER	15	29693	SLUZBY	\N	\N
1088034	3717	1995-08-31	VYDAJ	VYBER	15	28254	SLUZBY	\N	\N
1088035	3717	1995-09-30	VYDAJ	VYBER	15	21409	SLUZBY	\N	\N
1088036	3717	1995-10-31	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
1088037	3717	1995-11-30	VYDAJ	VYBER	15	19187	SLUZBY	\N	\N
1088038	3717	1995-12-31	VYDAJ	VYBER	15	21299	SLUZBY	\N	\N
1088039	3717	1996-01-31	VYDAJ	VYBER	15	19533	SLUZBY	\N	\N
1088040	3717	1996-02-29	VYDAJ	VYBER	15	24965	SLUZBY	\N	\N
1088041	3717	1996-03-31	VYDAJ	VYBER	15	30223	SLUZBY	\N	\N
1088042	3717	1996-04-30	VYDAJ	VYBER	15	28681	SLUZBY	\N	\N
1088043	3717	1996-05-31	VYDAJ	VYBER	15	27432	SLUZBY	\N	\N
1088044	3717	1996-06-30	VYDAJ	VYBER	15	25070	SLUZBY	\N	\N
1088045	3717	1996-07-31	VYDAJ	VYBER	15	23605	SLUZBY	\N	\N
1088046	3717	1996-08-31	VYDAJ	VYBER	15	24040	SLUZBY	\N	\N
1088047	3717	1996-09-30	VYDAJ	VYBER	15	24276	SLUZBY	\N	\N
1088048	3717	1996-10-31	VYDAJ	VYBER	15	22608	SLUZBY	\N	\N
1088049	3717	1996-11-30	VYDAJ	VYBER	15	22738	SLUZBY	\N	\N
1088050	3717	1996-12-31	VYDAJ	VYBER	15	25966	SLUZBY	\N	\N
1088051	3717	1997-01-31	VYDAJ	VYBER	15	23606	SLUZBY	\N	\N
1088052	3717	1997-02-28	VYDAJ	VYBER	15	24040	SLUZBY	\N	\N
1088053	3717	1997-03-31	VYDAJ	VYBER	15	23574	SLUZBY	\N	\N
1088054	3717	1997-04-30	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
1088055	3717	1997-05-31	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
1088056	3717	1997-06-30	VYDAJ	VYBER	15	31208	SLUZBY	\N	\N
1088057	3717	1997-07-31	VYDAJ	VYBER	15	29868	SLUZBY	\N	\N
1088058	3717	1997-08-31	VYDAJ	VYBER	15	26217	SLUZBY	\N	\N
1088059	3717	1997-09-30	VYDAJ	VYBER	15	21851	SLUZBY	\N	\N
1088060	3717	1997-10-31	VYDAJ	VYBER	15	18981	SLUZBY	\N	\N
1088061	3717	1997-11-30	VYDAJ	VYBER	15	23918	SLUZBY	\N	\N
1088062	3717	1997-12-31	VYDAJ	VYBER	15	20042	SLUZBY	\N	\N
1088063	3717	1998-01-31	VYDAJ	VYBER	15	20433	SLUZBY	\N	\N
1088064	3717	1998-02-28	VYDAJ	VYBER	15	18869	SLUZBY	\N	\N
1088065	3717	1998-03-31	VYDAJ	VYBER	15	14706	SLUZBY	\N	\N
1088066	3717	1998-04-30	VYDAJ	VYBER	15	16218	SLUZBY	\N	\N
1088067	3717	1998-05-31	VYDAJ	VYBER	15	13434	SLUZBY	\N	\N
1088068	3717	1998-06-30	VYDAJ	VYBER	15	15848	SLUZBY	\N	\N
1088069	3717	1998-07-31	VYDAJ	VYBER	15	20766	SLUZBY	\N	\N
1088070	3717	1998-08-31	VYDAJ	VYBER	15	14095	SLUZBY	\N	\N
1088071	3717	1998-09-30	VYDAJ	VYBER	15	19005	SLUZBY	\N	\N
1088072	3717	1998-10-31	VYDAJ	VYBER	15	15829	SLUZBY	\N	\N
1088073	3717	1998-11-30	VYDAJ	VYBER	15	14941	SLUZBY	\N	\N
1088074	3717	1994-06-19	PRIJEM	VKLAD	700	24473	\N	\N	\N
1088075	3717	1994-07-19	VYDAJ	VYBER	6700	33396	\N	\N	\N
1088076	3717	1994-08-18	VYDAJ	VYBER	12100	36995	\N	\N	\N
1088077	3717	1994-09-17	VYDAJ	VYBER	13800	38923	\N	\N	\N
1088078	3717	1994-10-17	VYDAJ	VYBER	15100	39563	\N	\N	\N
1088079	3717	1994-11-16	VYDAJ	VYBER	4800	29559	\N	\N	\N
1088080	3717	1994-12-16	VYDAJ	VYBER	5700	33916	\N	\N	\N
1088081	3717	1995-02-14	PRIJEM	VKLAD	2100	26607	\N	\N	\N
1088082	3717	1995-03-16	VYDAJ	VYBER	5300	26246	\N	\N	\N
1088083	3717	1995-04-15	VYDAJ	VYBER	2400	28799	\N	\N	\N
1088084	3717	1995-05-15	VYDAJ	VYBER	4500	29256	\N	\N	\N
1088085	3717	1995-06-14	VYDAJ	VYBER	11100	30911	\N	\N	\N
1088086	3717	1995-07-14	VYDAJ	VYBER	6300	29581	\N	\N	\N
1088087	3717	1995-08-13	VYDAJ	VYBER	6400	28148	\N	\N	\N
1088088	3717	1995-09-12	VYDAJ	VYBER	1500	22823	\N	\N	\N
1088089	3717	1995-10-12	VYDAJ	VYBER	1100	25164	\N	\N	\N
1088090	3717	1995-11-11	PRIJEM	VKLAD	4300	18824	\N	\N	\N
1088091	3717	1995-12-11	PRIJEM	VKLAD	3400	11860	\N	\N	\N
1088092	3717	1996-01-10	PRIJEM	VKLAD	5900	25399	\N	\N	\N
1088093	3717	1996-02-09	PRIJEM	VKLAD	500	20033	\N	\N	\N
1088094	3717	1996-03-10	PRIJEM	VKLAD	300	25265	\N	\N	\N
1088095	3717	1996-04-09	VYDAJ	VYBER	3800	26423	\N	\N	\N
1088096	3717	1996-05-09	VYDAJ	VYBER	6200	22481	\N	\N	\N
1088097	3717	1996-06-08	VYDAJ	VYBER	5800	21632	\N	\N	\N
1088098	3717	1996-07-08	VYDAJ	VYBER	6400	18670	\N	\N	\N
1088099	3717	1996-08-07	VYDAJ	VYBER	4500	19105	\N	\N	\N
1088100	3717	1996-09-06	VYDAJ	VYBER	4700	19340	\N	\N	\N
1088101	3717	1996-10-06	VYDAJ	VYBER	6600	17676	\N	\N	\N
1088102	3717	1996-11-05	VYDAJ	VYBER	4800	17808	\N	\N	\N
1088103	3717	1996-12-05	VYDAJ	VYBER	9500	13238	\N	\N	\N
1088104	3717	1997-01-04	VYDAJ	VYBER	5500	20466	\N	\N	\N
1088105	3717	1997-02-03	VYDAJ	VYBER	4500	19106	\N	\N	\N
1088106	3717	1997-03-05	VYDAJ	VYBER	5400	18640	\N	\N	\N
1088107	3717	1997-04-04	VYDAJ	VYBER	3000	20574	\N	\N	\N
1088108	3717	1997-05-04	VYDAJ	VYBER	4000	21513	\N	\N	\N
1088109	3717	1997-06-03	VYDAJ	VYBER	5600	20857	\N	\N	\N
1088110	3717	1997-07-03	VYDAJ	VYBER	6300	24908	\N	\N	\N
1088111	3717	1997-08-02	VYDAJ	VYBER	8600	21268	\N	\N	\N
1088112	3717	1997-09-01	VYDAJ	VYBER	6900	19317	\N	\N	\N
1088113	3717	1997-10-01	VYDAJ	VYBER	3500	18351	\N	\N	\N
1088114	3717	1997-10-31	VYDAJ	VYBER	4300	18996	\N	\N	\N
1088115	3717	1997-11-30	VYDAJ	VYBER	6100	17818	\N	\N	\N
1088116	3717	1997-12-30	VYDAJ	VYBER	5700	19964	\N	\N	\N
1088117	3717	1998-01-29	VYDAJ	VYBER	400	22457	\N	\N	\N
1088118	3717	1998-02-28	VYDAJ	VYBER	6500	18884	\N	\N	\N
1088119	3717	1998-03-30	VYDAJ	VYBER	9100	14624	\N	\N	\N
1088120	3717	1998-04-29	VYDAJ	VYBER	3400	16161	\N	\N	\N
1088121	3717	1998-05-29	VYDAJ	VYBER	7700	13373	\N	\N	\N
1088122	3717	1998-06-28	VYDAJ	VYBER	10300	15780	\N	\N	\N
1088123	3717	1998-08-27	VYDAJ	VYBER	6500	14021	\N	\N	\N
1088124	3717	1998-10-26	VYDAJ	VYBER	8100	15760	\N	\N	\N
1088125	3717	1998-11-25	VYDAJ	VYBER	5800	14884	\N	\N	\N
1088182	3718	1994-04-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1088187	3718	1994-05-06	PRIJEM	PREVOD Z UCTU	3161	4061	\N	MN	20851540
1088188	3718	1994-06-06	PRIJEM	PREVOD Z UCTU	3161	19758	\N	MN	20851540
1088189	3718	1994-07-06	PRIJEM	PREVOD Z UCTU	3161	24498	\N	MN	20851540
1088190	3718	1994-08-06	PRIJEM	PREVOD Z UCTU	3161	26051	\N	MN	20851540
1088191	3718	1994-09-06	PRIJEM	PREVOD Z UCTU	3161	26709	\N	MN	20851540
1088192	3718	1994-10-06	PRIJEM	PREVOD Z UCTU	3161	26546	\N	MN	20851540
1088370	3718	1997-05-02	VYDAJ	VYBER	210	30919	\N	\N	\N
1088193	3718	1994-11-06	PRIJEM	PREVOD Z UCTU	3161	26182	\N	MN	20851540
1088194	3718	1994-12-06	PRIJEM	PREVOD Z UCTU	3161	24325	\N	MN	20851540
1088195	3718	1995-01-06	PRIJEM	PREVOD Z UCTU	3161	21420	\N	MN	20851540
1088196	3718	1995-02-06	PRIJEM	PREVOD Z UCTU	3161	20818	\N	MN	20851540
1088197	3718	1995-03-06	PRIJEM	PREVOD Z UCTU	3161	24342	\N	MN	20851540
1088198	3718	1995-04-06	PRIJEM	PREVOD Z UCTU	3161	22917	\N	MN	20851540
1088199	3718	1995-05-06	PRIJEM	PREVOD Z UCTU	3161	22137	\N	MN	20851540
1088200	3718	1995-06-06	PRIJEM	PREVOD Z UCTU	3161	17960	\N	MN	20851540
1088201	3718	1995-07-06	PRIJEM	PREVOD Z UCTU	3161	21852	\N	MN	20851540
1088202	3718	1995-08-06	PRIJEM	PREVOD Z UCTU	3161	25583	\N	MN	20851540
1088203	3718	1995-09-06	PRIJEM	PREVOD Z UCTU	3161	23110	\N	MN	20851540
1088204	3718	1995-10-06	PRIJEM	PREVOD Z UCTU	3161	22732	\N	MN	20851540
1088205	3718	1995-11-06	PRIJEM	PREVOD Z UCTU	3161	21484	\N	MN	20851540
1088206	3718	1995-12-06	PRIJEM	PREVOD Z UCTU	3161	22709	\N	MN	20851540
1088207	3718	1996-01-06	PRIJEM	PREVOD Z UCTU	3161	24632	\N	MN	20851540
1088208	3718	1996-02-06	PRIJEM	PREVOD Z UCTU	3161	27441	\N	MN	20851540
1088209	3718	1996-03-06	PRIJEM	PREVOD Z UCTU	3161	26268	\N	MN	20851540
1088210	3718	1996-04-06	PRIJEM	PREVOD Z UCTU	3161	27306	\N	MN	20851540
1088211	3718	1996-05-06	PRIJEM	PREVOD Z UCTU	3161	25451	\N	MN	20851540
1088212	3718	1996-06-06	PRIJEM	PREVOD Z UCTU	3161	29591	\N	MN	20851540
1088213	3718	1996-07-06	PRIJEM	PREVOD Z UCTU	3161	26099	\N	MN	20851540
1088214	3718	1996-08-06	PRIJEM	PREVOD Z UCTU	3161	27639	\N	MN	20851540
1088215	3718	1996-09-06	PRIJEM	PREVOD Z UCTU	3161	27485	\N	MN	20851540
1088216	3718	1996-10-06	PRIJEM	PREVOD Z UCTU	3161	28732	\N	MN	20851540
1088217	3718	1996-11-06	PRIJEM	PREVOD Z UCTU	3161	28984	\N	MN	20851540
1088218	3718	1996-12-06	PRIJEM	PREVOD Z UCTU	3161	29137	\N	MN	20851540
1088219	3718	1997-01-06	PRIJEM	PREVOD Z UCTU	3161	27438	\N	MN	20851540
1088220	3718	1997-02-06	PRIJEM	PREVOD Z UCTU	3161	31229	\N	MN	20851540
1088221	3718	1997-03-06	PRIJEM	PREVOD Z UCTU	3161	34387	\N	MN	20851540
1088222	3718	1997-04-06	PRIJEM	PREVOD Z UCTU	3161	33620	\N	MN	20851540
1088223	3718	1997-05-06	PRIJEM	PREVOD Z UCTU	3161	34080	\N	MN	20851540
1088224	3718	1997-06-06	PRIJEM	PREVOD Z UCTU	3161	37754	\N	MN	20851540
1088225	3718	1997-07-06	PRIJEM	PREVOD Z UCTU	3161	32830	\N	MN	20851540
1088226	3718	1997-08-06	PRIJEM	PREVOD Z UCTU	3161	36099	\N	MN	20851540
1088227	3718	1997-09-06	PRIJEM	PREVOD Z UCTU	3161	41380	\N	MN	20851540
1088228	3718	1997-10-06	PRIJEM	PREVOD Z UCTU	3161	41879	\N	MN	20851540
1088229	3718	1997-11-06	PRIJEM	PREVOD Z UCTU	3161	39989	\N	MN	20851540
1088230	3718	1997-12-06	PRIJEM	PREVOD Z UCTU	3161	37077	\N	MN	20851540
1088231	3718	1998-01-06	PRIJEM	PREVOD Z UCTU	3161	36146	\N	MN	20851540
1088232	3718	1998-02-06	PRIJEM	PREVOD Z UCTU	3161	32808	\N	MN	20851540
1088233	3718	1998-03-06	PRIJEM	PREVOD Z UCTU	3161	29347	\N	MN	20851540
1088234	3718	1998-04-06	PRIJEM	PREVOD Z UCTU	3161	30496	\N	MN	20851540
1088235	3718	1998-05-06	PRIJEM	PREVOD Z UCTU	3161	34553	\N	MN	20851540
1088236	3718	1998-06-06	PRIJEM	PREVOD Z UCTU	3161	29826	\N	MN	20851540
1088237	3718	1998-07-06	PRIJEM	PREVOD Z UCTU	3161	35090	\N	MN	20851540
1088238	3718	1998-08-06	PRIJEM	PREVOD Z UCTU	3161	38065	\N	MN	20851540
1088239	3718	1998-09-06	PRIJEM	PREVOD Z UCTU	3161	44457	\N	MN	20851540
1088240	3718	1998-10-06	PRIJEM	PREVOD Z UCTU	3161	43466	\N	MN	20851540
1088241	3718	1998-11-06	PRIJEM	PREVOD Z UCTU	3161	43172	\N	MN	20851540
1088242	3718	1998-12-06	PRIJEM	PREVOD Z UCTU	3161	42237	\N	MN	20851540
1088251	3718	1994-09-14	VYDAJ	PREVOD NA UCET	2107	23302	SIPO	WX	79798763
1088252	3718	1994-10-14	VYDAJ	PREVOD NA UCET	2107	22939	SIPO	WX	79798763
1088253	3718	1994-11-14	VYDAJ	PREVOD NA UCET	2107	22075	SIPO	WX	79798763
1088254	3718	1994-12-14	VYDAJ	PREVOD NA UCET	2107	19418	SIPO	WX	79798763
1088255	3718	1995-01-14	VYDAJ	PREVOD NA UCET	2107	19273	SIPO	WX	79798763
1088256	3718	1995-02-14	VYDAJ	PREVOD NA UCET	2107	21111	SIPO	WX	79798763
1088257	3718	1995-03-14	VYDAJ	PREVOD NA UCET	2107	20195	SIPO	WX	79798763
1088258	3718	1995-04-14	VYDAJ	PREVOD NA UCET	2107	18910	SIPO	WX	79798763
1088259	3718	1995-05-14	VYDAJ	PREVOD NA UCET	2107	20130	SIPO	WX	79798763
1088260	3718	1995-06-14	VYDAJ	PREVOD NA UCET	2107	19853	SIPO	WX	79798763
1088261	3718	1995-07-14	VYDAJ	PREVOD NA UCET	2107	22345	SIPO	WX	79798763
1088262	3718	1995-08-14	VYDAJ	PREVOD NA UCET	2107	19876	SIPO	WX	79798763
1088263	3718	1995-09-14	VYDAJ	PREVOD NA UCET	2107	19503	SIPO	WX	79798763
1088264	3718	1995-10-14	VYDAJ	PREVOD NA UCET	2107	19725	SIPO	WX	79798763
1088265	3718	1995-11-14	VYDAJ	PREVOD NA UCET	2107	20767	SIPO	WX	79798763
1088266	3718	1995-12-14	VYDAJ	PREVOD NA UCET	2107	19902	SIPO	WX	79798763
1088267	3718	1996-01-14	VYDAJ	PREVOD NA UCET	2107	22015	SIPO	WX	79798763
1088268	3718	1996-02-14	VYDAJ	PREVOD NA UCET	2107	23024	SIPO	WX	79798763
1088269	3718	1996-03-14	VYDAJ	PREVOD NA UCET	2107	23161	SIPO	WX	79798763
1088270	3718	1996-04-14	VYDAJ	PREVOD NA UCET	2107	25199	SIPO	WX	79798763
1088271	3718	1996-05-14	VYDAJ	PREVOD NA UCET	2107	23344	SIPO	WX	79798763
1088371	3718	1998-12-25	VYDAJ	VYBER	600	41000	\N	\N	\N
1088272	3718	1996-06-14	VYDAJ	PREVOD NA UCET	2107	27484	SIPO	WX	79798763
1088273	3718	1996-07-14	VYDAJ	PREVOD NA UCET	2107	23392	SIPO	WX	79798763
1088274	3718	1996-08-14	VYDAJ	PREVOD NA UCET	2107	25532	SIPO	WX	79798763
1088275	3718	1996-09-14	VYDAJ	PREVOD NA UCET	2107	25378	SIPO	WX	79798763
1088276	3718	1996-10-14	VYDAJ	PREVOD NA UCET	2107	26625	SIPO	WX	79798763
1088277	3718	1996-11-14	VYDAJ	PREVOD NA UCET	2107	26877	SIPO	WX	79798763
1088278	3718	1996-12-14	VYDAJ	PREVOD NA UCET	2107	26340	SIPO	WX	79798763
1088279	3718	1997-01-14	VYDAJ	PREVOD NA UCET	2107	24671	SIPO	WX	79798763
1088280	3718	1997-02-14	VYDAJ	PREVOD NA UCET	2107	29122	SIPO	WX	79798763
1088281	3718	1997-03-14	VYDAJ	PREVOD NA UCET	2107	32280	SIPO	WX	79798763
1088282	3718	1997-04-14	VYDAJ	PREVOD NA UCET	2107	31513	SIPO	WX	79798763
1088283	3718	1997-05-14	VYDAJ	PREVOD NA UCET	2107	31973	SIPO	WX	79798763
1088284	3718	1997-06-14	VYDAJ	PREVOD NA UCET	2107	32077	SIPO	WX	79798763
1088285	3718	1997-07-14	VYDAJ	PREVOD NA UCET	2107	30723	SIPO	WX	79798763
1088286	3718	1997-08-14	VYDAJ	PREVOD NA UCET	2107	33992	SIPO	WX	79798763
1088287	3718	1997-09-14	VYDAJ	PREVOD NA UCET	2107	39273	SIPO	WX	79798763
1088288	3718	1997-10-14	VYDAJ	PREVOD NA UCET	2107	39772	SIPO	WX	79798763
1088289	3718	1997-11-14	VYDAJ	PREVOD NA UCET	2107	35182	SIPO	WX	79798763
1088290	3718	1997-12-14	VYDAJ	PREVOD NA UCET	2107	34970	SIPO	WX	79798763
1088291	3718	1998-01-14	VYDAJ	PREVOD NA UCET	2107	32539	SIPO	WX	79798763
1088292	3718	1998-02-14	VYDAJ	PREVOD NA UCET	2107	30701	SIPO	WX	79798763
1088293	3718	1998-03-14	VYDAJ	PREVOD NA UCET	2107	27240	SIPO	WX	79798763
1088294	3718	1998-04-14	VYDAJ	PREVOD NA UCET	2107	28389	SIPO	WX	79798763
1088295	3718	1998-05-14	VYDAJ	PREVOD NA UCET	2107	32446	SIPO	WX	79798763
1088296	3718	1998-06-14	VYDAJ	PREVOD NA UCET	2107	27719	SIPO	WX	79798763
1088297	3718	1998-07-14	VYDAJ	PREVOD NA UCET	2107	32983	SIPO	WX	79798763
1088298	3718	1998-08-14	VYDAJ	PREVOD NA UCET	2107	35958	SIPO	WX	79798763
1088299	3718	1998-09-14	VYDAJ	PREVOD NA UCET	2107	42350	SIPO	WX	79798763
1088300	3718	1998-10-14	VYDAJ	PREVOD NA UCET	2107	41359	SIPO	WX	79798763
1088301	3718	1998-11-14	VYDAJ	PREVOD NA UCET	2107	41065	SIPO	WX	79798763
1088302	3718	1998-12-14	VYDAJ	PREVOD NA UCET	2107	40130	SIPO	WX	79798763
1088304	3718	1995-06-01	VYDAJ	VYBER	5400	14799	\N	\N	\N
1088305	3718	1996-06-20	VYDAJ	VYBER	2520	24964	\N	\N	\N
1088306	3718	1997-06-06	VYDAJ	VYBER	2190	35564	\N	\N	\N
1088307	3718	1998-06-03	VYDAJ	VYBER	8100	26665	\N	\N	\N
1088309	3718	1995-01-07	VYDAJ	VYBER	2790	18630	\N	\N	\N
1088310	3718	1996-01-04	VYDAJ	VYBER	2280	17271	\N	\N	\N
1088311	3718	1997-01-14	VYDAJ	VYBER	2190	22481	\N	\N	\N
1088312	3718	1998-01-16	VYDAJ	VYBER	1740	30799	\N	\N	\N
1088313	3718	1994-12-16	VYDAJ	VYBER	690	18728	\N	\N	\N
1088314	3718	1995-12-20	VYDAJ	VYBER	420	19482	\N	\N	\N
1088315	3718	1996-12-28	VYDAJ	VYBER	180	26160	\N	\N	\N
1088316	3718	1997-12-27	VYDAJ	VYBER	210	33940	\N	\N	\N
1088317	3718	1998-12-20	VYDAJ	VYBER	360	39770	\N	\N	\N
1088324	3718	1995-01-17	VYDAJ	VYBER	540	18553	\N	\N	\N
1088325	3718	1995-01-12	VYDAJ	VYBER	150	21380	\N	\N	\N
1088326	3718	1995-01-03	VYDAJ	VYBER	540	18259	\N	\N	\N
1088327	3718	1995-01-21	VYDAJ	VYBER	300	18253	\N	\N	\N
1088328	3718	1995-01-14	VYDAJ	VYBER	180	19093	\N	\N	\N
1088329	3718	1995-01-24	VYDAJ	VYBER	660	17593	\N	\N	\N
1088330	3718	1996-01-18	VYDAJ	VYBER	600	21415	\N	\N	\N
1088331	3718	1996-01-29	VYDAJ	VYBER	150	20305	\N	\N	\N
1088332	3718	1996-01-25	VYDAJ	VYBER	150	20455	\N	\N	\N
1088333	3718	1996-01-07	VYDAJ	VYBER	510	24122	\N	\N	\N
1088334	3718	1996-01-24	VYDAJ	VYBER	270	20605	\N	\N	\N
1088335	3718	1996-01-20	VYDAJ	VYBER	540	20875	\N	\N	\N
1088336	3718	1997-01-22	VYDAJ	VYBER	540	21281	\N	\N	\N
1088337	3718	1997-01-13	VYDAJ	VYBER	660	26778	\N	\N	\N
1088338	3718	1997-01-26	VYDAJ	VYBER	600	20681	\N	\N	\N
1088339	3718	1997-01-21	VYDAJ	VYBER	660	21821	\N	\N	\N
1088340	3718	1997-01-04	VYDAJ	VYBER	540	24277	\N	\N	\N
1088341	3718	1997-01-03	VYDAJ	VYBER	840	24817	\N	\N	\N
1088342	3718	1998-01-04	VYDAJ	VYBER	390	32985	\N	\N	\N
1088343	3718	1998-01-06	VYDAJ	VYBER	810	35336	\N	\N	\N
1088344	3718	1998-01-12	VYDAJ	VYBER	150	35186	\N	\N	\N
1088345	3718	1998-01-12	VYDAJ	VYBER	540	34646	\N	\N	\N
1088346	3718	1998-01-20	VYDAJ	VYBER	270	30529	\N	\N	\N
1088347	3718	1998-01-02	VYDAJ	VYBER	690	33375	\N	\N	\N
1088348	3718	1994-12-05	VYDAJ	VYBER	990	21164	\N	\N	\N
1088351	3718	1995-03-16	VYDAJ	VYBER	510	19685	\N	\N	\N
1088352	3718	1995-11-13	VYDAJ	VYBER	810	22874	\N	\N	\N
1088353	3718	1995-11-21	VYDAJ	VYBER	1290	19477	\N	\N	\N
1088354	3718	1995-06-22	VYDAJ	VYBER	300	19553	\N	\N	\N
1088355	3718	1995-07-05	VYDAJ	VYBER	930	18691	\N	\N	\N
1088356	3718	1995-03-08	VYDAJ	VYBER	1440	22902	\N	\N	\N
1088357	3718	1995-10-28	VYDAJ	VYBER	1470	18255	\N	\N	\N
1088358	3718	1996-07-13	VYDAJ	VYBER	600	25499	\N	\N	\N
1088359	3718	1996-06-24	VYDAJ	VYBER	1020	23944	\N	\N	\N
1088360	3718	1996-02-12	VYDAJ	VYBER	1290	26151	\N	\N	\N
1088361	3718	1996-02-13	VYDAJ	VYBER	1020	25131	\N	\N	\N
1088362	3718	1996-12-11	VYDAJ	VYBER	690	28447	\N	\N	\N
1088363	3718	1997-06-07	VYDAJ	VYBER	1380	34184	\N	\N	\N
1088364	3718	1997-07-01	VYDAJ	VYBER	330	29669	\N	\N	\N
1088365	3718	1997-12-16	VYDAJ	VYBER	1320	33650	\N	\N	\N
1088366	3718	1997-11-10	VYDAJ	VYBER	1320	37289	\N	\N	\N
1088367	3718	1997-03-30	VYDAJ	VYBER	840	31440	\N	\N	\N
1088368	3718	1997-10-30	VYDAJ	VYBER	390	36682	\N	\N	\N
1088369	3718	1997-11-09	VYDAJ	VYBER	1380	38609	\N	\N	\N
1088372	3718	1998-12-22	VYDAJ	VYBER	960	42110	\N	\N	\N
1088373	3718	1998-02-15	VYDAJ	VYBER	1320	29381	\N	\N	\N
1088374	3718	1998-12-24	VYDAJ	VYBER	510	41600	\N	\N	\N
1088375	3718	1998-12-01	VYDAJ	VYBER	1140	39076	\N	\N	\N
1088385	3718	1994-09-30	VYDAJ	VYBER	15	23385	SLUZBY	\N	\N
1088386	3718	1994-10-31	VYDAJ	VYBER	15	23021	SLUZBY	\N	\N
1088387	3718	1994-11-30	VYDAJ	VYBER	15	22154	SLUZBY	\N	\N
1088388	3718	1994-12-31	VYDAJ	VYBER	15	18799	SLUZBY	\N	\N
1088389	3718	1995-01-31	VYDAJ	VYBER	15	17657	SLUZBY	\N	\N
1088390	3718	1995-02-28	VYDAJ	VYBER	15	21181	SLUZBY	\N	\N
1088391	3718	1995-03-31	VYDAJ	VYBER	15	19756	SLUZBY	\N	\N
1088392	3718	1995-04-30	VYDAJ	VYBER	15	18976	SLUZBY	\N	\N
1088393	3718	1995-05-31	VYDAJ	VYBER	15	20199	SLUZBY	\N	\N
1088394	3718	1995-06-30	VYDAJ	VYBER	15	19621	SLUZBY	\N	\N
1088395	3718	1995-07-31	VYDAJ	VYBER	15	22422	SLUZBY	\N	\N
1088396	3718	1995-08-31	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
1088397	3718	1995-09-30	VYDAJ	VYBER	15	19571	SLUZBY	\N	\N
1088398	3718	1995-10-31	VYDAJ	VYBER	15	18323	SLUZBY	\N	\N
1088399	3718	1995-11-30	VYDAJ	VYBER	15	19548	SLUZBY	\N	\N
1088400	3718	1995-12-31	VYDAJ	VYBER	15	19551	SLUZBY	\N	\N
1088401	3718	1996-01-31	VYDAJ	VYBER	15	20380	SLUZBY	\N	\N
1088402	3718	1996-02-29	VYDAJ	VYBER	15	23107	SLUZBY	\N	\N
1088403	3718	1996-03-31	VYDAJ	VYBER	15	23245	SLUZBY	\N	\N
1088404	3718	1996-04-30	VYDAJ	VYBER	15	25290	SLUZBY	\N	\N
1088405	3718	1996-05-31	VYDAJ	VYBER	15	23430	SLUZBY	\N	\N
1088406	3718	1996-06-30	VYDAJ	VYBER	15	24038	SLUZBY	\N	\N
1088407	3718	1996-07-31	VYDAJ	VYBER	15	23478	SLUZBY	\N	\N
1088408	3718	1996-08-31	VYDAJ	VYBER	15	25624	SLUZBY	\N	\N
1088409	3718	1996-09-30	VYDAJ	VYBER	15	25471	SLUZBY	\N	\N
1088410	3718	1996-10-31	VYDAJ	VYBER	15	26723	SLUZBY	\N	\N
1088411	3718	1996-11-30	VYDAJ	VYBER	15	26976	SLUZBY	\N	\N
1088412	3718	1996-12-31	VYDAJ	VYBER	15	26257	SLUZBY	\N	\N
1088413	3718	1997-01-31	VYDAJ	VYBER	15	28068	SLUZBY	\N	\N
1088414	3718	1997-02-28	VYDAJ	VYBER	15	29226	SLUZBY	\N	\N
1088415	3718	1997-03-31	VYDAJ	VYBER	15	31559	SLUZBY	\N	\N
1088416	3718	1997-04-30	VYDAJ	VYBER	15	31129	SLUZBY	\N	\N
1088417	3718	1997-05-31	VYDAJ	VYBER	15	34593	SLUZBY	\N	\N
1088418	3718	1997-06-30	VYDAJ	VYBER	15	29999	SLUZBY	\N	\N
1088419	3718	1997-07-31	VYDAJ	VYBER	15	32938	SLUZBY	\N	\N
1088420	3718	1997-08-31	VYDAJ	VYBER	15	38219	SLUZBY	\N	\N
1088421	3718	1997-09-30	VYDAJ	VYBER	15	38718	SLUZBY	\N	\N
1088422	3718	1997-10-31	VYDAJ	VYBER	15	36828	SLUZBY	\N	\N
1088423	3718	1997-11-30	VYDAJ	VYBER	15	33916	SLUZBY	\N	\N
1088424	3718	1997-12-31	VYDAJ	VYBER	15	34065	SLUZBY	\N	\N
1088425	3718	1998-01-31	VYDAJ	VYBER	15	29647	SLUZBY	\N	\N
1088426	3718	1998-02-28	VYDAJ	VYBER	15	26186	SLUZBY	\N	\N
1088427	3718	1998-03-31	VYDAJ	VYBER	15	27335	SLUZBY	\N	\N
1088428	3718	1998-04-30	VYDAJ	VYBER	15	31392	SLUZBY	\N	\N
1088429	3718	1998-05-31	VYDAJ	VYBER	15	34765	SLUZBY	\N	\N
1088430	3718	1998-06-30	VYDAJ	VYBER	15	31929	SLUZBY	\N	\N
1088431	3718	1998-07-31	VYDAJ	VYBER	15	34904	SLUZBY	\N	\N
1088432	3718	1998-08-31	VYDAJ	VYBER	15	41296	SLUZBY	\N	\N
1088433	3718	1998-09-30	VYDAJ	VYBER	15	40305	SLUZBY	\N	\N
1088434	3718	1998-10-31	VYDAJ	VYBER	15	40011	SLUZBY	\N	\N
1088435	3718	1998-11-30	VYDAJ	VYBER	15	40216	SLUZBY	\N	\N
1088436	3718	1994-05-16	PRIJEM	VKLAD	12500	16561	\N	\N	\N
1088437	3718	1994-06-15	PRIJEM	VKLAD	1500	21258	\N	\N	\N
1088438	3718	1994-07-15	VYDAJ	VYBER	1700	22798	\N	\N	\N
1088439	3718	1994-08-14	VYDAJ	VYBER	2600	23451	\N	\N	\N
1088440	3718	1994-09-13	VYDAJ	VYBER	1300	25409	\N	\N	\N
1088441	3718	1994-10-13	VYDAJ	VYBER	1500	25046	\N	\N	\N
1088442	3718	1994-11-12	VYDAJ	VYBER	2000	24182	\N	\N	\N
1088443	3718	1994-12-12	VYDAJ	VYBER	2800	21525	\N	\N	\N
1088444	3718	1995-01-11	PRIJEM	VKLAD	2900	21530	\N	\N	\N
1088445	3718	1995-02-10	PRIJEM	VKLAD	2400	23218	\N	\N	\N
1088446	3718	1995-03-12	VYDAJ	VYBER	600	22302	\N	\N	\N
1088447	3718	1995-04-11	VYDAJ	VYBER	1900	21017	\N	\N	\N
1088448	3718	1995-05-11	PRIJEM	VKLAD	100	22237	\N	\N	\N
1088449	3718	1995-06-10	PRIJEM	VKLAD	4000	21960	\N	\N	\N
1088450	3718	1995-07-10	PRIJEM	VKLAD	2600	24452	\N	\N	\N
1088451	3718	1995-08-09	VYDAJ	VYBER	3600	21983	\N	\N	\N
1088452	3718	1995-09-08	VYDAJ	VYBER	1500	21610	\N	\N	\N
1088453	3718	1995-10-08	VYDAJ	VYBER	900	21832	\N	\N	\N
1088454	3718	1995-11-07	PRIJEM	VKLAD	2200	23684	\N	\N	\N
1088455	3718	1995-12-07	VYDAJ	VYBER	700	22009	\N	\N	\N
1088456	3718	1996-01-06	PRIJEM	VKLAD	4200	21471	\N	\N	\N
1088457	3718	1996-02-05	PRIJEM	VKLAD	3900	24280	\N	\N	\N
1088458	3718	1996-03-06	VYDAJ	VYBER	1000	25268	\N	\N	\N
1088459	3718	1996-04-05	PRIJEM	VKLAD	900	24145	\N	\N	\N
1088460	3718	1996-05-05	VYDAJ	VYBER	3000	22290	\N	\N	\N
1088461	3718	1996-06-04	PRIJEM	VKLAD	3000	26430	\N	\N	\N
1088462	3718	1996-07-04	VYDAJ	VYBER	1100	22938	\N	\N	\N
1088463	3718	1996-08-03	PRIJEM	VKLAD	1000	24478	\N	\N	\N
1088464	3718	1996-09-02	VYDAJ	VYBER	1300	24324	\N	\N	\N
1088465	3718	1996-10-02	PRIJEM	VKLAD	100	25571	\N	\N	\N
1088466	3718	1996-11-01	VYDAJ	VYBER	900	25823	\N	\N	\N
1088467	3718	1996-12-01	VYDAJ	VYBER	1000	25976	\N	\N	\N
1088468	3718	1996-12-31	VYDAJ	VYBER	600	25657	\N	\N	\N
1088469	3718	1997-01-30	PRIJEM	VKLAD	7300	27981	\N	\N	\N
1088470	3718	1997-03-01	PRIJEM	VKLAD	2000	31226	\N	\N	\N
1088471	3718	1997-03-31	VYDAJ	VYBER	1100	30459	\N	\N	\N
1088472	3718	1997-04-30	VYDAJ	VYBER	500	31144	\N	\N	\N
1088473	3718	1997-05-30	PRIJEM	VKLAD	2500	34473	\N	\N	\N
1088474	3718	1997-06-29	VYDAJ	VYBER	2200	29877	\N	\N	\N
1088475	3718	1997-07-29	PRIJEM	VKLAD	2100	32823	\N	\N	\N
1088476	3718	1997-08-28	PRIJEM	VKLAD	4100	38092	\N	\N	\N
1088477	3718	1997-09-27	VYDAJ	VYBER	700	38573	\N	\N	\N
1088478	3718	1997-10-27	VYDAJ	VYBER	2700	37072	\N	\N	\N
1088479	3718	1997-11-26	VYDAJ	VYBER	1400	33782	\N	\N	\N
1088480	3718	1997-12-26	PRIJEM	VKLAD	500	34150	\N	\N	\N
1088481	3718	1998-01-25	VYDAJ	VYBER	1000	29529	\N	\N	\N
1088482	3718	1998-02-24	VYDAJ	VYBER	3300	26081	\N	\N	\N
1088483	3718	1998-04-25	PRIJEM	VKLAD	2900	31289	\N	\N	\N
1088484	3718	1998-05-25	PRIJEM	VKLAD	2200	34646	\N	\N	\N
1088485	3718	1998-06-24	PRIJEM	VKLAD	4100	31819	\N	\N	\N
1088486	3718	1998-07-24	PRIJEM	VKLAD	1800	34783	\N	\N	\N
1088487	3718	1998-08-23	PRIJEM	VKLAD	5200	41158	\N	\N	\N
1088488	3718	1998-09-22	VYDAJ	VYBER	2200	40150	\N	\N	\N
1088489	3718	1998-10-22	VYDAJ	VYBER	1500	39859	\N	\N	\N
1088490	3718	1998-11-21	VYDAJ	VYBER	1000	40065	\N	\N	\N
1088491	3718	1998-12-21	PRIJEM	VKLAD	3300	43070	\N	\N	\N
1088548	3719	1997-06-19	PRIJEM	VKLAD	200	200	\N	\N	\N
1088555	3719	1997-07-06	PRIJEM	VKLAD	12745	12945	\N	\N	\N
1088556	3719	1997-08-06	PRIJEM	VKLAD	12745	31623	\N	\N	\N
1088557	3719	1997-09-06	PRIJEM	VKLAD	12745	41565	\N	\N	\N
1088558	3719	1997-10-06	PRIJEM	VKLAD	12745	43133	\N	\N	\N
1088559	3719	1997-11-06	PRIJEM	VKLAD	12745	45709	\N	\N	\N
1088560	3719	1997-12-06	PRIJEM	VKLAD	19118	53669	\N	\N	\N
1088561	3719	1998-01-06	PRIJEM	VKLAD	12745	43469	\N	\N	\N
1088562	3719	1998-02-06	PRIJEM	VKLAD	12745	33223	\N	\N	\N
1088563	3719	1998-03-06	PRIJEM	VKLAD	12745	35061	\N	\N	\N
1088564	3719	1998-04-06	PRIJEM	VKLAD	12745	39113	\N	\N	\N
1088565	3719	1998-05-06	PRIJEM	VKLAD	12745	42579	\N	\N	\N
1088566	3719	1998-06-06	PRIJEM	VKLAD	19118	47021	\N	\N	\N
1088567	3719	1998-07-06	PRIJEM	VKLAD	12745	28789	\N	\N	\N
1088568	3719	1998-08-06	PRIJEM	VKLAD	12745	37420	\N	\N	\N
1088569	3719	1998-09-06	PRIJEM	VKLAD	12745	36273	\N	\N	\N
1088570	3719	1998-10-06	PRIJEM	VKLAD	12745	37116	\N	\N	\N
1088571	3719	1998-11-06	PRIJEM	VKLAD	12745	33551	\N	\N	\N
1088572	3719	1998-12-06	PRIJEM	VKLAD	19118	39151	\N	\N	\N
1088583	3719	1997-11-06	VYDAJ	PREVOD NA UCET	3197	42512	SIPO	QR	49360007
1088584	3719	1997-12-06	VYDAJ	PREVOD NA UCET	3197	50472	SIPO	QR	49360007
1088585	3719	1998-01-06	VYDAJ	PREVOD NA UCET	3197	40272	SIPO	QR	49360007
1088586	3719	1998-02-06	VYDAJ	PREVOD NA UCET	3197	30026	SIPO	QR	49360007
1088587	3719	1998-03-06	VYDAJ	PREVOD NA UCET	3197	31864	SIPO	QR	49360007
1088588	3719	1998-04-06	VYDAJ	PREVOD NA UCET	3197	35916	SIPO	QR	49360007
1088589	3719	1998-05-06	VYDAJ	PREVOD NA UCET	3197	39382	SIPO	QR	49360007
1088590	3719	1998-06-06	VYDAJ	PREVOD NA UCET	3197	43824	SIPO	QR	49360007
1088591	3719	1998-07-06	VYDAJ	PREVOD NA UCET	3197	25592	SIPO	QR	49360007
1088592	3719	1998-08-06	VYDAJ	PREVOD NA UCET	3197	34223	SIPO	QR	49360007
1088593	3719	1998-09-06	VYDAJ	PREVOD NA UCET	3197	33076	SIPO	QR	49360007
1088594	3719	1998-10-06	VYDAJ	PREVOD NA UCET	3197	33919	SIPO	QR	49360007
1088595	3719	1998-11-06	VYDAJ	PREVOD NA UCET	3197	30354	SIPO	QR	49360007
1088596	3719	1998-12-06	VYDAJ	PREVOD NA UCET	3197	35954	SIPO	QR	49360007
1088598	3719	1998-06-25	VYDAJ	VYBER	19300	15924	\N	\N	\N
1088600	3719	1998-01-06	VYDAJ	VYBER	3400	36872	\N	\N	\N
1088601	3719	1997-12-20	VYDAJ	VYBER	2100	34572	\N	\N	\N
1088602	3719	1998-12-12	VYDAJ	VYBER	1100	25054	\N	\N	\N
1088609	3719	1998-01-04	VYDAJ	VYBER	2300	30724	\N	\N	\N
1088610	3719	1998-01-03	VYDAJ	VYBER	1700	33024	\N	\N	\N
1088611	3719	1998-01-17	VYDAJ	VYBER	2100	25372	\N	\N	\N
1088612	3719	1998-01-08	VYDAJ	VYBER	500	36372	\N	\N	\N
1088613	3719	1998-01-15	VYDAJ	VYBER	800	33572	\N	\N	\N
1088614	3719	1998-01-22	VYDAJ	VYBER	1100	24272	\N	\N	\N
1088623	3719	1998-01-25	VYDAJ	VYBER	3900	20372	\N	\N	\N
1088624	3719	1998-02-21	VYDAJ	VYBER	3800	22226	\N	\N	\N
1088625	3719	1998-08-29	VYDAJ	VYBER	3500	23423	\N	\N	\N
1088626	3719	1998-10-30	VYDAJ	VYBER	1000	20719	\N	\N	\N
1088627	3719	1998-01-12	VYDAJ	VYBER	2000	34372	\N	\N	\N
1088628	3719	1998-11-17	VYDAJ	VYBER	3000	19954	\N	\N	\N
1088640	3719	1997-11-30	VYDAJ	VYBER	15	34551	SLUZBY	\N	\N
1088641	3719	1997-12-31	VYDAJ	VYBER	15	34724	SLUZBY	\N	\N
1088642	3719	1998-01-31	VYDAJ	VYBER	15	20478	SLUZBY	\N	\N
1088643	3719	1998-02-28	VYDAJ	VYBER	15	22316	SLUZBY	\N	\N
1088644	3719	1998-03-31	VYDAJ	VYBER	15	26368	SLUZBY	\N	\N
1088645	3719	1998-04-30	VYDAJ	VYBER	15	29834	SLUZBY	\N	\N
1088646	3719	1998-05-31	VYDAJ	VYBER	15	27903	SLUZBY	\N	\N
1088647	3719	1998-06-30	VYDAJ	VYBER	15	16044	SLUZBY	\N	\N
1088648	3719	1998-07-31	VYDAJ	VYBER	15	24675	SLUZBY	\N	\N
1088649	3719	1998-08-31	VYDAJ	VYBER	15	23528	SLUZBY	\N	\N
1088650	3719	1998-09-30	VYDAJ	VYBER	15	24371	SLUZBY	\N	\N
1088651	3719	1998-10-31	VYDAJ	VYBER	15	20806	SLUZBY	\N	\N
1088652	3719	1998-11-30	VYDAJ	VYBER	15	20033	SLUZBY	\N	\N
1088653	3719	1997-07-19	PRIJEM	VKLAD	5900	18845	\N	\N	\N
1088654	3719	1997-08-18	VYDAJ	VYBER	2900	28723	\N	\N	\N
1088655	3719	1997-09-17	VYDAJ	VYBER	11300	30265	\N	\N	\N
1088656	3719	1997-10-17	VYDAJ	VYBER	10300	32833	\N	\N	\N
1088657	3719	1997-11-16	VYDAJ	VYBER	8100	34412	\N	\N	\N
1088658	3719	1997-12-16	VYDAJ	VYBER	13800	36672	\N	\N	\N
1088659	3719	1998-01-15	VYDAJ	VYBER	6100	27472	\N	\N	\N
1088660	3719	1998-02-14	VYDAJ	VYBER	4000	26026	\N	\N	\N
1088661	3719	1998-03-16	VYDAJ	VYBER	5600	26264	\N	\N	\N
1088662	3719	1998-04-15	VYDAJ	VYBER	6200	29716	\N	\N	\N
1088663	3719	1998-05-15	VYDAJ	VYBER	11600	27782	\N	\N	\N
1088664	3719	1998-06-14	VYDAJ	VYBER	8600	35224	\N	\N	\N
1088665	3719	1998-07-14	VYDAJ	VYBER	1000	24592	\N	\N	\N
1088666	3719	1998-08-13	VYDAJ	VYBER	7300	26923	\N	\N	\N
1088667	3719	1998-09-12	VYDAJ	VYBER	8800	24276	\N	\N	\N
1088668	3719	1998-10-12	VYDAJ	VYBER	12200	21719	\N	\N	\N
1088669	3719	1998-11-11	VYDAJ	VYBER	7400	22954	\N	\N	\N
1088670	3719	1998-12-11	VYDAJ	VYBER	9800	26154	\N	\N	\N
1088689	3720	1993-07-30	PRIJEM	VKLAD	800	800	\N	\N	\N
1088697	3720	1993-08-14	PRIJEM	PREVOD Z UCTU	5657	6457	DUCHOD	IJ	60142868
1088698	3720	1993-09-14	PRIJEM	PREVOD Z UCTU	5657	12114	DUCHOD	IJ	60142868
1088699	3720	1993-10-14	PRIJEM	PREVOD Z UCTU	5657	17771	DUCHOD	IJ	60142868
1088700	3720	1993-11-14	PRIJEM	PREVOD Z UCTU	5657	23428	DUCHOD	IJ	60142868
1088701	3720	1993-12-14	PRIJEM	PREVOD Z UCTU	5657	28698	DUCHOD	IJ	60142868
1088702	3720	1994-01-14	PRIJEM	PREVOD Z UCTU	5657	25020	DUCHOD	IJ	60142868
1088703	3720	1994-02-14	PRIJEM	PREVOD Z UCTU	5657	17713	DUCHOD	IJ	60142868
1088704	3720	1994-03-14	PRIJEM	PREVOD Z UCTU	5657	18148	DUCHOD	IJ	60142868
1088705	3720	1994-04-14	PRIJEM	PREVOD Z UCTU	5657	20906	DUCHOD	IJ	60142868
1088706	3720	1994-05-14	PRIJEM	PREVOD Z UCTU	5657	23674	DUCHOD	IJ	60142868
1088707	3720	1994-06-14	PRIJEM	PREVOD Z UCTU	5657	26453	DUCHOD	IJ	60142868
1088708	3720	1994-07-14	PRIJEM	PREVOD Z UCTU	5657	27743	DUCHOD	IJ	60142868
1088709	3720	1994-08-14	PRIJEM	PREVOD Z UCTU	5657	27236	DUCHOD	IJ	60142868
1088710	3720	1994-09-14	PRIJEM	PREVOD Z UCTU	5657	30030	DUCHOD	IJ	60142868
1088711	3720	1994-10-14	PRIJEM	PREVOD Z UCTU	5657	31714	DUCHOD	IJ	60142868
1088712	3720	1994-11-14	PRIJEM	PREVOD Z UCTU	5657	33526	DUCHOD	IJ	60142868
1088713	3720	1994-12-14	PRIJEM	PREVOD Z UCTU	5657	36046	DUCHOD	IJ	60142868
1088714	3720	1995-01-14	PRIJEM	PREVOD Z UCTU	5657	29651	DUCHOD	IJ	60142868
1088715	3720	1995-02-14	PRIJEM	PREVOD Z UCTU	5657	26772	DUCHOD	IJ	60142868
1088716	3720	1995-03-14	PRIJEM	PREVOD Z UCTU	5657	27567	DUCHOD	IJ	60142868
1088717	3720	1995-04-14	PRIJEM	PREVOD Z UCTU	5657	28683	DUCHOD	IJ	60142868
1088718	3720	1995-05-14	PRIJEM	PREVOD Z UCTU	5657	31483	DUCHOD	IJ	60142868
1088719	3720	1995-06-14	PRIJEM	PREVOD Z UCTU	5657	23032	DUCHOD	IJ	60142868
1088720	3720	1995-07-14	PRIJEM	PREVOD Z UCTU	5657	25817	DUCHOD	IJ	60142868
1088721	3720	1995-08-14	PRIJEM	PREVOD Z UCTU	5657	28605	DUCHOD	IJ	60142868
1088722	3720	1995-09-14	PRIJEM	PREVOD Z UCTU	5657	29322	DUCHOD	IJ	60142868
1088723	3720	1995-10-14	PRIJEM	PREVOD Z UCTU	5657	29244	DUCHOD	IJ	60142868
1088724	3720	1995-11-14	PRIJEM	PREVOD Z UCTU	5657	32049	DUCHOD	IJ	60142868
1088725	3720	1995-12-14	PRIJEM	PREVOD Z UCTU	5657	34462	DUCHOD	IJ	60142868
1088726	3720	1996-01-14	PRIJEM	PREVOD Z UCTU	5657	31676	DUCHOD	IJ	60142868
1088727	3720	1996-02-14	PRIJEM	PREVOD Z UCTU	5657	32170	DUCHOD	IJ	60142868
1088728	3720	1996-03-14	PRIJEM	PREVOD Z UCTU	5657	34984	DUCHOD	IJ	60142868
1088729	3720	1996-04-14	PRIJEM	PREVOD Z UCTU	5657	33810	DUCHOD	IJ	60142868
1088730	3720	1996-05-14	PRIJEM	PREVOD Z UCTU	5657	36234	DUCHOD	IJ	60142868
1088731	3720	1996-06-14	PRIJEM	PREVOD Z UCTU	5657	30565	DUCHOD	IJ	60142868
1088732	3720	1996-07-14	PRIJEM	PREVOD Z UCTU	5657	33386	DUCHOD	IJ	60142868
1088733	3720	1996-08-14	PRIJEM	PREVOD Z UCTU	5657	36204	DUCHOD	IJ	60142868
1088734	3720	1996-09-14	PRIJEM	PREVOD Z UCTU	5657	38153	DUCHOD	IJ	60142868
1088735	3720	1996-10-14	PRIJEM	PREVOD Z UCTU	5657	40992	DUCHOD	IJ	60142868
1088736	3720	1996-11-14	PRIJEM	PREVOD Z UCTU	5657	40242	DUCHOD	IJ	60142868
1088737	3720	1996-12-14	PRIJEM	PREVOD Z UCTU	5657	41013	DUCHOD	IJ	60142868
1088738	3720	1997-01-14	PRIJEM	PREVOD Z UCTU	5657	40001	DUCHOD	IJ	60142868
1088739	3720	1997-02-14	PRIJEM	PREVOD Z UCTU	5657	37246	DUCHOD	IJ	60142868
1088740	3720	1997-03-14	PRIJEM	PREVOD Z UCTU	5657	40080	DUCHOD	IJ	60142868
1088741	3720	1997-04-14	PRIJEM	PREVOD Z UCTU	5657	42927	DUCHOD	IJ	60142868
1088742	3720	1997-05-14	PRIJEM	PREVOD Z UCTU	5657	45785	DUCHOD	IJ	60142868
1088743	3720	1997-06-14	PRIJEM	PREVOD Z UCTU	5657	43955	DUCHOD	IJ	60142868
1088744	3720	1997-07-14	PRIJEM	PREVOD Z UCTU	5657	44582	DUCHOD	IJ	60142868
1088745	3720	1997-08-14	PRIJEM	PREVOD Z UCTU	5657	47449	DUCHOD	IJ	60142868
1088746	3720	1997-09-14	PRIJEM	PREVOD Z UCTU	5657	50325	DUCHOD	IJ	60142868
1088747	3720	1997-10-14	PRIJEM	PREVOD Z UCTU	5657	51774	DUCHOD	IJ	60142868
1088748	3720	1997-11-14	PRIJEM	PREVOD Z UCTU	5657	53469	DUCHOD	IJ	60142868
1088749	3720	1997-12-14	PRIJEM	PREVOD Z UCTU	5657	56371	DUCHOD	IJ	60142868
1088750	3720	1998-01-14	PRIJEM	PREVOD Z UCTU	5657	53277	DUCHOD	IJ	60142868
1088751	3720	1998-02-14	PRIJEM	PREVOD Z UCTU	5657	50812	DUCHOD	IJ	60142868
1088752	3720	1998-03-14	PRIJEM	PREVOD Z UCTU	5657	53702	DUCHOD	IJ	60142868
1088753	3720	1998-04-14	PRIJEM	PREVOD Z UCTU	5657	56604	DUCHOD	IJ	60142868
1088754	3720	1998-05-14	PRIJEM	PREVOD Z UCTU	5657	57838	DUCHOD	IJ	60142868
1088755	3720	1998-06-14	PRIJEM	PREVOD Z UCTU	5657	60758	DUCHOD	IJ	60142868
1088756	3720	1998-07-14	PRIJEM	PREVOD Z UCTU	5657	53536	DUCHOD	IJ	60142868
1088856	3720	1994-01-17	VYDAJ	VYBER	880	22300	\N	\N	\N
1088757	3720	1998-08-14	PRIJEM	PREVOD Z UCTU	5657	56436	DUCHOD	IJ	60142868
1088758	3720	1998-09-14	PRIJEM	PREVOD Z UCTU	5657	58469	DUCHOD	IJ	60142868
1088759	3720	1998-10-14	PRIJEM	PREVOD Z UCTU	5657	61390	DUCHOD	IJ	60142868
1088760	3720	1998-11-14	PRIJEM	PREVOD Z UCTU	5657	64323	DUCHOD	IJ	60142868
1088761	3720	1998-12-14	PRIJEM	PREVOD Z UCTU	5657	64738	DUCHOD	IJ	60142868
1088774	3720	1994-01-11	VYDAJ	PREVOD NA UCET	2957	19363	SIPO	UV	84661042
1088775	3720	1994-02-11	VYDAJ	PREVOD NA UCET	2957	12056	SIPO	UV	84661042
1088776	3720	1994-03-11	VYDAJ	PREVOD NA UCET	2957	12491	SIPO	UV	84661042
1088777	3720	1994-04-11	VYDAJ	PREVOD NA UCET	2957	15249	SIPO	UV	84661042
1088778	3720	1994-05-11	VYDAJ	PREVOD NA UCET	2957	18017	SIPO	UV	84661042
1088779	3720	1994-06-11	VYDAJ	PREVOD NA UCET	2957	20796	SIPO	UV	84661042
1088780	3720	1994-07-11	VYDAJ	PREVOD NA UCET	2957	22086	SIPO	UV	84661042
1088781	3720	1994-08-11	VYDAJ	PREVOD NA UCET	2957	21579	SIPO	UV	84661042
1088782	3720	1994-09-11	VYDAJ	PREVOD NA UCET	2957	24373	SIPO	UV	84661042
1088783	3720	1994-10-11	VYDAJ	PREVOD NA UCET	2957	26057	SIPO	UV	84661042
1088784	3720	1994-11-11	VYDAJ	PREVOD NA UCET	2957	27869	SIPO	UV	84661042
1088785	3720	1994-12-11	VYDAJ	PREVOD NA UCET	2957	30389	SIPO	UV	84661042
1088786	3720	1995-01-11	VYDAJ	PREVOD NA UCET	2957	23994	SIPO	UV	84661042
1088787	3720	1995-02-11	VYDAJ	PREVOD NA UCET	2957	21115	SIPO	UV	84661042
1088788	3720	1995-03-11	VYDAJ	PREVOD NA UCET	2957	21910	SIPO	UV	84661042
1088789	3720	1995-04-11	VYDAJ	PREVOD NA UCET	2957	23026	SIPO	UV	84661042
1088790	3720	1995-05-11	VYDAJ	PREVOD NA UCET	2957	25826	SIPO	UV	84661042
1088791	3720	1995-06-11	VYDAJ	PREVOD NA UCET	2957	17375	SIPO	UV	84661042
1088792	3720	1995-07-11	VYDAJ	PREVOD NA UCET	2957	20160	SIPO	UV	84661042
1088793	3720	1995-08-11	VYDAJ	PREVOD NA UCET	2957	22948	SIPO	UV	84661042
1088794	3720	1995-09-11	VYDAJ	PREVOD NA UCET	2957	23665	SIPO	UV	84661042
1088795	3720	1995-10-11	VYDAJ	PREVOD NA UCET	2957	23587	SIPO	UV	84661042
1088796	3720	1995-11-11	VYDAJ	PREVOD NA UCET	2957	26392	SIPO	UV	84661042
1088797	3720	1995-12-11	VYDAJ	PREVOD NA UCET	2957	28805	SIPO	UV	84661042
1088798	3720	1996-01-11	VYDAJ	PREVOD NA UCET	2957	28019	SIPO	UV	84661042
1088799	3720	1996-02-11	VYDAJ	PREVOD NA UCET	2957	26513	SIPO	UV	84661042
1088800	3720	1996-03-11	VYDAJ	PREVOD NA UCET	2957	29327	SIPO	UV	84661042
1088801	3720	1996-04-11	VYDAJ	PREVOD NA UCET	2957	28153	SIPO	UV	84661042
1088802	3720	1996-05-11	VYDAJ	PREVOD NA UCET	2957	30577	SIPO	UV	84661042
1088803	3720	1996-06-11	VYDAJ	PREVOD NA UCET	2957	33408	SIPO	UV	84661042
1088804	3720	1996-07-11	VYDAJ	PREVOD NA UCET	2957	27729	SIPO	UV	84661042
1088805	3720	1996-08-11	VYDAJ	PREVOD NA UCET	2957	30547	SIPO	UV	84661042
1088806	3720	1996-09-11	VYDAJ	PREVOD NA UCET	2957	32496	SIPO	UV	84661042
1088807	3720	1996-10-11	VYDAJ	PREVOD NA UCET	2957	35335	SIPO	UV	84661042
1088808	3720	1996-11-11	VYDAJ	PREVOD NA UCET	2957	34585	SIPO	UV	84661042
1088809	3720	1996-12-11	VYDAJ	PREVOD NA UCET	2957	35356	SIPO	UV	84661042
1088810	3720	1997-01-11	VYDAJ	PREVOD NA UCET	2957	34904	SIPO	UV	84661042
1088811	3720	1997-02-11	VYDAJ	PREVOD NA UCET	2957	31589	SIPO	UV	84661042
1088812	3720	1997-03-11	VYDAJ	PREVOD NA UCET	2957	34423	SIPO	UV	84661042
1088813	3720	1997-04-11	VYDAJ	PREVOD NA UCET	2957	37270	SIPO	UV	84661042
1088814	3720	1997-05-11	VYDAJ	PREVOD NA UCET	2957	40128	SIPO	UV	84661042
1088815	3720	1997-06-11	VYDAJ	PREVOD NA UCET	2957	38298	SIPO	UV	84661042
1088816	3720	1997-07-11	VYDAJ	PREVOD NA UCET	2957	41165	SIPO	UV	84661042
1088817	3720	1997-08-11	VYDAJ	PREVOD NA UCET	2957	41792	SIPO	UV	84661042
1088818	3720	1997-09-11	VYDAJ	PREVOD NA UCET	2957	44668	SIPO	UV	84661042
1088819	3720	1997-10-11	VYDAJ	PREVOD NA UCET	2957	46117	SIPO	UV	84661042
1088820	3720	1997-11-11	VYDAJ	PREVOD NA UCET	2957	47812	SIPO	UV	84661042
1088821	3720	1997-12-11	VYDAJ	PREVOD NA UCET	2957	50714	SIPO	UV	84661042
1088822	3720	1998-01-11	VYDAJ	PREVOD NA UCET	2957	48020	SIPO	UV	84661042
1088823	3720	1998-02-11	VYDAJ	PREVOD NA UCET	2957	45155	SIPO	UV	84661042
1088824	3720	1998-03-11	VYDAJ	PREVOD NA UCET	2957	48045	SIPO	UV	84661042
1088825	3720	1998-04-11	VYDAJ	PREVOD NA UCET	2957	50947	SIPO	UV	84661042
1088826	3720	1998-05-11	VYDAJ	PREVOD NA UCET	2957	52181	SIPO	UV	84661042
1088827	3720	1998-06-11	VYDAJ	PREVOD NA UCET	2957	55101	SIPO	UV	84661042
1088828	3720	1998-07-11	VYDAJ	PREVOD NA UCET	2957	47879	SIPO	UV	84661042
1088829	3720	1998-08-11	VYDAJ	PREVOD NA UCET	2957	50779	SIPO	UV	84661042
1088830	3720	1998-09-11	VYDAJ	PREVOD NA UCET	2957	52812	SIPO	UV	84661042
1088831	3720	1998-10-11	VYDAJ	PREVOD NA UCET	2957	55733	SIPO	UV	84661042
1088832	3720	1998-11-11	VYDAJ	PREVOD NA UCET	2957	58666	SIPO	UV	84661042
1088833	3720	1998-12-11	VYDAJ	PREVOD NA UCET	2957	59081	SIPO	UV	84661042
1088836	3720	1995-06-05	VYDAJ	VYBER	7500	20332	\N	\N	\N
1088837	3720	1996-06-13	VYDAJ	VYBER	8500	24908	\N	\N	\N
1088838	3720	1997-06-05	VYDAJ	VYBER	4700	41255	\N	\N	\N
1088839	3720	1998-06-29	VYDAJ	VYBER	10150	50608	\N	\N	\N
1088841	3720	1994-12-27	VYDAJ	VYBER	600	31946	\N	\N	\N
1088842	3720	1995-12-29	VYDAJ	VYBER	250	34212	\N	\N	\N
1088843	3720	1996-12-17	VYDAJ	VYBER	900	40113	\N	\N	\N
1088844	3720	1997-12-21	VYDAJ	VYBER	400	52851	\N	\N	\N
1088845	3720	1998-12-10	VYDAJ	VYBER	850	63718	\N	\N	\N
1088852	3720	1994-01-18	VYDAJ	VYBER	1760	20540	\N	\N	\N
1088853	3720	1994-01-11	VYDAJ	VYBER	1600	22320	\N	\N	\N
1088854	3720	1994-01-14	VYDAJ	VYBER	1840	23180	\N	\N	\N
1088855	3720	1994-01-21	VYDAJ	VYBER	1360	19180	\N	\N	\N
1088857	3720	1994-01-10	VYDAJ	VYBER	960	23920	\N	\N	\N
1088858	3720	1995-01-18	VYDAJ	VYBER	1760	27891	\N	\N	\N
1088859	3720	1995-01-04	VYDAJ	VYBER	1280	28311	\N	\N	\N
1088860	3720	1995-01-01	VYDAJ	VYBER	1280	30791	\N	\N	\N
1088861	3720	1995-01-25	VYDAJ	VYBER	880	27011	\N	\N	\N
1088862	3720	1995-01-03	VYDAJ	VYBER	1200	29591	\N	\N	\N
1088863	3720	1995-01-06	VYDAJ	VYBER	1360	26951	\N	\N	\N
1088864	3720	1996-01-01	VYDAJ	VYBER	1200	33136	\N	\N	\N
1088865	3720	1996-01-10	VYDAJ	VYBER	2160	30976	\N	\N	\N
1088866	3720	1996-01-23	VYDAJ	VYBER	640	29356	\N	\N	\N
1088867	3720	1996-01-13	VYDAJ	VYBER	1440	26019	\N	\N	\N
1088868	3720	1996-01-11	VYDAJ	VYBER	560	27459	\N	\N	\N
1088869	3720	1996-01-18	VYDAJ	VYBER	1280	30396	\N	\N	\N
1088870	3720	1997-01-12	VYDAJ	VYBER	560	34344	\N	\N	\N
1088871	3720	1997-01-29	VYDAJ	VYBER	1840	34401	\N	\N	\N
1088872	3720	1997-01-28	VYDAJ	VYBER	1680	36241	\N	\N	\N
1088873	3720	1997-01-05	VYDAJ	VYBER	1520	38741	\N	\N	\N
1088874	3720	1997-01-07	VYDAJ	VYBER	400	37861	\N	\N	\N
1088875	3720	1997-01-28	VYDAJ	VYBER	2080	37921	\N	\N	\N
1088876	3720	1998-01-13	VYDAJ	VYBER	400	47620	\N	\N	\N
1088877	3720	1998-01-29	VYDAJ	VYBER	2000	47917	\N	\N	\N
1088878	3720	1998-01-15	VYDAJ	VYBER	1680	51597	\N	\N	\N
1088879	3720	1998-01-04	VYDAJ	VYBER	2080	50977	\N	\N	\N
1088880	3720	1998-01-20	VYDAJ	VYBER	1280	50317	\N	\N	\N
1088881	3720	1998-01-23	VYDAJ	VYBER	400	49917	\N	\N	\N
1088889	3720	1994-01-22	VYDAJ	VYBER	2480	16700	\N	\N	\N
1088890	3720	1994-02-02	VYDAJ	VYBER	1760	15013	\N	\N	\N
1088891	3720	1994-03-03	VYDAJ	VYBER	2320	15448	\N	\N	\N
1088892	3720	1994-09-24	VYDAJ	VYBER	1120	28910	\N	\N	\N
1088893	3720	1995-03-06	VYDAJ	VYBER	2000	24867	\N	\N	\N
1088894	3720	1995-08-22	VYDAJ	VYBER	2080	26525	\N	\N	\N
1088895	3720	1995-02-07	VYDAJ	VYBER	3040	24072	\N	\N	\N
1088896	3720	1995-05-26	VYDAJ	VYBER	3760	27723	\N	\N	\N
1088897	3720	1995-03-28	VYDAJ	VYBER	1680	25887	\N	\N	\N
1088898	3720	1995-10-01	VYDAJ	VYBER	2880	26544	\N	\N	\N
1088899	3720	1995-11-26	VYDAJ	VYBER	400	31649	\N	\N	\N
1088900	3720	1996-08-14	VYDAJ	VYBER	880	35324	\N	\N	\N
1088901	3720	1996-04-18	VYDAJ	VYBER	400	33410	\N	\N	\N
1088902	3720	1996-04-10	VYDAJ	VYBER	3040	31110	\N	\N	\N
1088903	3720	1996-11-11	VYDAJ	VYBER	3600	37542	\N	\N	\N
1088904	3720	1996-01-19	VYDAJ	VYBER	400	29996	\N	\N	\N
1088905	3720	1996-04-02	VYDAJ	VYBER	960	34150	\N	\N	\N
1088906	3720	1996-11-26	VYDAJ	VYBER	2080	38162	\N	\N	\N
1088907	3720	1997-10-02	VYDAJ	VYBER	1440	49074	\N	\N	\N
1088908	3720	1997-07-12	VYDAJ	VYBER	800	38925	\N	\N	\N
1088909	3720	1997-12-16	VYDAJ	VYBER	3120	53251	\N	\N	\N
1088910	3720	1997-01-06	VYDAJ	VYBER	480	38261	\N	\N	\N
1088911	3720	1997-07-11	VYDAJ	VYBER	1440	39725	\N	\N	\N
1088912	3720	1997-11-04	VYDAJ	VYBER	1200	50769	\N	\N	\N
1088913	3720	1998-12-10	VYDAJ	VYBER	1680	62038	\N	\N	\N
1088914	3720	1998-05-10	VYDAJ	VYBER	1680	55138	\N	\N	\N
1088915	3720	1998-08-31	VYDAJ	VYBER	880	55784	\N	\N	\N
1088928	3720	1993-12-31	VYDAJ	VYBER	15	24880	SLUZBY	\N	\N
1088929	3720	1994-01-31	VYDAJ	VYBER	15	16773	SLUZBY	\N	\N
1088930	3720	1994-02-28	VYDAJ	VYBER	15	17768	SLUZBY	\N	\N
1088931	3720	1994-03-31	VYDAJ	VYBER	15	18206	SLUZBY	\N	\N
1088932	3720	1994-04-30	VYDAJ	VYBER	15	20974	SLUZBY	\N	\N
1088933	3720	1994-05-31	VYDAJ	VYBER	15	23753	SLUZBY	\N	\N
1088934	3720	1994-06-30	VYDAJ	VYBER	15	25043	SLUZBY	\N	\N
1088935	3720	1994-07-31	VYDAJ	VYBER	15	24536	SLUZBY	\N	\N
1088936	3720	1994-08-31	VYDAJ	VYBER	15	27330	SLUZBY	\N	\N
1088937	3720	1994-09-30	VYDAJ	VYBER	15	29014	SLUZBY	\N	\N
1088938	3720	1994-10-31	VYDAJ	VYBER	15	30826	SLUZBY	\N	\N
1088939	3720	1994-11-30	VYDAJ	VYBER	15	33346	SLUZBY	\N	\N
1088940	3720	1994-12-31	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
1088941	3720	1995-01-31	VYDAJ	VYBER	15	27112	SLUZBY	\N	\N
1088942	3720	1995-02-28	VYDAJ	VYBER	15	26867	SLUZBY	\N	\N
1088943	3720	1995-03-31	VYDAJ	VYBER	15	25983	SLUZBY	\N	\N
1088944	3720	1995-04-30	VYDAJ	VYBER	15	28783	SLUZBY	\N	\N
1088945	3720	1995-05-31	VYDAJ	VYBER	15	27832	SLUZBY	\N	\N
1088946	3720	1995-06-30	VYDAJ	VYBER	15	23117	SLUZBY	\N	\N
1088947	3720	1995-07-31	VYDAJ	VYBER	15	25905	SLUZBY	\N	\N
1088948	3720	1995-08-31	VYDAJ	VYBER	15	26622	SLUZBY	\N	\N
1088949	3720	1995-09-30	VYDAJ	VYBER	15	29424	SLUZBY	\N	\N
1088950	3720	1995-10-31	VYDAJ	VYBER	15	29349	SLUZBY	\N	\N
1088951	3720	1995-11-30	VYDAJ	VYBER	15	31762	SLUZBY	\N	\N
1088952	3720	1995-12-31	VYDAJ	VYBER	15	34336	SLUZBY	\N	\N
1088953	3720	1996-01-31	VYDAJ	VYBER	15	29470	SLUZBY	\N	\N
1088954	3720	1996-02-29	VYDAJ	VYBER	15	32284	SLUZBY	\N	\N
1088955	3720	1996-03-31	VYDAJ	VYBER	15	35110	SLUZBY	\N	\N
1088956	3720	1996-04-30	VYDAJ	VYBER	15	33534	SLUZBY	\N	\N
1088957	3720	1996-05-31	VYDAJ	VYBER	15	36365	SLUZBY	\N	\N
1088958	3720	1996-06-30	VYDAJ	VYBER	15	30686	SLUZBY	\N	\N
1088959	3720	1996-07-31	VYDAJ	VYBER	15	33504	SLUZBY	\N	\N
1088960	3720	1996-08-31	VYDAJ	VYBER	15	35453	SLUZBY	\N	\N
1088961	3720	1996-09-30	VYDAJ	VYBER	15	38292	SLUZBY	\N	\N
1088962	3720	1996-10-31	VYDAJ	VYBER	15	41142	SLUZBY	\N	\N
1088963	3720	1996-11-30	VYDAJ	VYBER	15	38313	SLUZBY	\N	\N
1088964	3720	1996-12-31	VYDAJ	VYBER	15	40261	SLUZBY	\N	\N
1088965	3720	1997-01-31	VYDAJ	VYBER	15	34546	SLUZBY	\N	\N
1088966	3720	1997-02-28	VYDAJ	VYBER	15	37380	SLUZBY	\N	\N
1088967	3720	1997-03-31	VYDAJ	VYBER	15	40227	SLUZBY	\N	\N
1088968	3720	1997-04-30	VYDAJ	VYBER	15	43085	SLUZBY	\N	\N
1088969	3720	1997-05-31	VYDAJ	VYBER	15	45955	SLUZBY	\N	\N
1088970	3720	1997-06-30	VYDAJ	VYBER	15	44122	SLUZBY	\N	\N
1088971	3720	1997-07-31	VYDAJ	VYBER	15	44749	SLUZBY	\N	\N
1088972	3720	1997-08-31	VYDAJ	VYBER	15	47625	SLUZBY	\N	\N
1088973	3720	1997-09-30	VYDAJ	VYBER	15	50514	SLUZBY	\N	\N
1088974	3720	1997-10-31	VYDAJ	VYBER	15	51969	SLUZBY	\N	\N
1088975	3720	1997-11-30	VYDAJ	VYBER	15	53671	SLUZBY	\N	\N
1088976	3720	1997-12-31	VYDAJ	VYBER	15	53057	SLUZBY	\N	\N
1088977	3720	1998-01-31	VYDAJ	VYBER	15	48112	SLUZBY	\N	\N
1088978	3720	1998-02-28	VYDAJ	VYBER	15	51002	SLUZBY	\N	\N
1088979	3720	1998-03-31	VYDAJ	VYBER	15	53904	SLUZBY	\N	\N
1088980	3720	1998-04-30	VYDAJ	VYBER	15	56818	SLUZBY	\N	\N
1088981	3720	1998-05-31	VYDAJ	VYBER	15	58058	SLUZBY	\N	\N
1088982	3720	1998-06-30	VYDAJ	VYBER	15	50836	SLUZBY	\N	\N
1088983	3720	1998-07-31	VYDAJ	VYBER	15	53736	SLUZBY	\N	\N
1088984	3720	1998-08-31	VYDAJ	VYBER	15	55769	SLUZBY	\N	\N
1088985	3720	1998-09-30	VYDAJ	VYBER	15	58690	SLUZBY	\N	\N
1088986	3720	1998-10-31	VYDAJ	VYBER	15	61623	SLUZBY	\N	\N
1088987	3720	1998-11-30	VYDAJ	VYBER	15	64568	SLUZBY	\N	\N
1088988	3720	1993-11-27	VYDAJ	VYBER	400	23028	\N	\N	\N
1088989	3720	1993-12-27	VYDAJ	VYBER	3900	24798	\N	\N	\N
1088990	3720	1994-06-25	VYDAJ	VYBER	1500	24953	\N	\N	\N
1088991	3720	1994-07-25	VYDAJ	VYBER	3300	24443	\N	\N	\N
1088992	3720	1994-10-23	VYDAJ	VYBER	1000	30714	\N	\N	\N
1088993	3720	1994-11-22	VYDAJ	VYBER	300	33226	\N	\N	\N
1088994	3720	1994-12-22	VYDAJ	VYBER	3500	32546	\N	\N	\N
1089057	3721	1996-02-21	PRIJEM	VKLAD	500	500	\N	\N	\N
1089060	3721	1996-03-07	PRIJEM	PREVOD Z UCTU	3391	3891	\N	AB	61522686
1089061	3721	1996-04-07	PRIJEM	PREVOD Z UCTU	3391	7282	\N	AB	61522686
1089062	3721	1996-05-07	PRIJEM	PREVOD Z UCTU	3391	10673	\N	AB	61522686
1089063	3721	1996-06-07	PRIJEM	PREVOD Z UCTU	3391	14064	\N	AB	61522686
1089064	3721	1996-07-07	PRIJEM	PREVOD Z UCTU	3391	17455	\N	AB	61522686
1089065	3721	1996-08-07	PRIJEM	PREVOD Z UCTU	3391	18618	\N	AB	61522686
1089066	3721	1996-09-07	PRIJEM	PREVOD Z UCTU	3391	19541	\N	AB	61522686
1089067	3721	1996-10-07	PRIJEM	PREVOD Z UCTU	3391	19635	\N	AB	61522686
1089068	3721	1996-11-07	PRIJEM	PREVOD Z UCTU	3391	20832	\N	AB	61522686
1089069	3721	1996-12-07	PRIJEM	PREVOD Z UCTU	3391	20893	\N	AB	61522686
1089070	3721	1997-01-07	PRIJEM	PREVOD Z UCTU	3391	21164	\N	AB	61522686
1089071	3721	1997-02-07	PRIJEM	PREVOD Z UCTU	3391	19122	\N	AB	61522686
1089072	3721	1997-03-07	PRIJEM	PREVOD Z UCTU	3391	19203	\N	AB	61522686
1089073	3721	1997-04-07	PRIJEM	PREVOD Z UCTU	3391	20398	\N	AB	61522686
1089074	3721	1997-05-07	PRIJEM	PREVOD Z UCTU	3391	21598	\N	AB	61522686
1089075	3721	1997-06-07	PRIJEM	PREVOD Z UCTU	3391	22803	\N	AB	61522686
1089076	3721	1997-07-07	PRIJEM	PREVOD Z UCTU	3391	20410	\N	AB	61522686
1089077	3721	1997-08-07	PRIJEM	PREVOD Z UCTU	3391	21610	\N	AB	61522686
1089078	3721	1997-09-07	PRIJEM	PREVOD Z UCTU	3391	22815	\N	AB	61522686
1089079	3721	1997-10-07	PRIJEM	PREVOD Z UCTU	3391	24025	\N	AB	61522686
1089080	3721	1997-11-07	PRIJEM	PREVOD Z UCTU	3391	25240	\N	AB	61522686
1089081	3721	1997-12-07	PRIJEM	PREVOD Z UCTU	3391	26220	\N	AB	61522686
1089082	3721	1998-01-07	PRIJEM	PREVOD Z UCTU	3391	26244	\N	AB	61522686
1089083	3721	1998-02-07	PRIJEM	PREVOD Z UCTU	3391	21993	\N	AB	61522686
1089084	3721	1998-03-07	PRIJEM	PREVOD Z UCTU	3391	22056	\N	AB	61522686
1089085	3721	1998-04-07	PRIJEM	PREVOD Z UCTU	3391	22150	\N	AB	61522686
1089086	3721	1998-05-07	PRIJEM	PREVOD Z UCTU	3391	23357	\N	AB	61522686
1089087	3721	1998-06-07	PRIJEM	PREVOD Z UCTU	3391	24059	\N	AB	61522686
1089088	3721	1998-07-07	PRIJEM	PREVOD Z UCTU	3391	17109	\N	AB	61522686
1089089	3721	1998-08-07	PRIJEM	PREVOD Z UCTU	3391	16400	\N	AB	61522686
1089090	3721	1998-09-07	PRIJEM	PREVOD Z UCTU	3391	17312	\N	AB	61522686
1089091	3721	1998-10-07	PRIJEM	PREVOD Z UCTU	3391	18499	\N	AB	61522686
1089092	3721	1998-11-07	PRIJEM	PREVOD Z UCTU	3391	18940	\N	AB	61522686
1089093	3721	1998-12-07	PRIJEM	PREVOD Z UCTU	3391	20134	\N	AB	61522686
1089101	3721	1996-08-05	VYDAJ	PREVOD NA UCET	2128	15227	SIPO	WX	69870853
1089102	3721	1996-09-05	VYDAJ	PREVOD NA UCET	2128	16420	SIPO	WX	69870853
1089103	3721	1996-10-05	VYDAJ	PREVOD NA UCET	2128	16244	SIPO	WX	69870853
1089104	3721	1996-11-05	VYDAJ	PREVOD NA UCET	2128	17441	SIPO	WX	69870853
1089105	3721	1996-12-05	VYDAJ	PREVOD NA UCET	2128	17502	SIPO	WX	69870853
1089106	3721	1997-01-05	VYDAJ	PREVOD NA UCET	2128	17773	SIPO	WX	69870853
1089107	3721	1997-02-05	VYDAJ	PREVOD NA UCET	2128	15731	SIPO	WX	69870853
1089108	3721	1997-03-05	VYDAJ	PREVOD NA UCET	2128	15812	SIPO	WX	69870853
1089109	3721	1997-04-05	VYDAJ	PREVOD NA UCET	2128	17007	SIPO	WX	69870853
1089110	3721	1997-05-05	VYDAJ	PREVOD NA UCET	2128	18207	SIPO	WX	69870853
1089111	3721	1997-06-05	VYDAJ	PREVOD NA UCET	2128	19412	SIPO	WX	69870853
1089112	3721	1997-07-05	VYDAJ	PREVOD NA UCET	2128	17019	SIPO	WX	69870853
1089113	3721	1997-08-05	VYDAJ	PREVOD NA UCET	2128	18219	SIPO	WX	69870853
1089114	3721	1997-09-05	VYDAJ	PREVOD NA UCET	2128	19424	SIPO	WX	69870853
1089115	3721	1997-10-05	VYDAJ	PREVOD NA UCET	2128	20634	SIPO	WX	69870853
1089116	3721	1997-11-05	VYDAJ	PREVOD NA UCET	2128	21849	SIPO	WX	69870853
1089117	3721	1997-12-05	VYDAJ	PREVOD NA UCET	2128	23069	SIPO	WX	69870853
1089118	3721	1998-01-05	VYDAJ	PREVOD NA UCET	2128	22853	SIPO	WX	69870853
1089119	3721	1998-02-05	VYDAJ	PREVOD NA UCET	2128	18602	SIPO	WX	69870853
1089120	3721	1998-03-05	VYDAJ	PREVOD NA UCET	2128	18665	SIPO	WX	69870853
1089121	3721	1998-04-05	VYDAJ	PREVOD NA UCET	2128	18759	SIPO	WX	69870853
1089122	3721	1998-05-05	VYDAJ	PREVOD NA UCET	2128	19966	SIPO	WX	69870853
1089123	3721	1998-06-05	VYDAJ	PREVOD NA UCET	2128	20668	SIPO	WX	69870853
1089124	3721	1998-07-05	VYDAJ	PREVOD NA UCET	2128	13718	SIPO	WX	69870853
1089125	3721	1998-08-05	VYDAJ	PREVOD NA UCET	2128	13009	SIPO	WX	69870853
1089126	3721	1998-09-05	VYDAJ	PREVOD NA UCET	2128	13921	SIPO	WX	69870853
1089127	3721	1998-10-05	VYDAJ	PREVOD NA UCET	2128	15108	SIPO	WX	69870853
1089128	3721	1998-11-05	VYDAJ	PREVOD NA UCET	2128	15549	SIPO	WX	69870853
1089129	3721	1998-12-05	VYDAJ	PREVOD NA UCET	2128	16743	SIPO	WX	69870853
1089136	3721	1996-07-12	VYDAJ	PREVOD NA UCET	132	17323	 	AB	86966162
1089137	3721	1996-08-12	VYDAJ	PREVOD NA UCET	132	18486	 	AB	86966162
1089138	3721	1996-09-12	VYDAJ	PREVOD NA UCET	132	19409	 	AB	86966162
1089139	3721	1996-10-12	VYDAJ	PREVOD NA UCET	132	19503	 	AB	86966162
1089140	3721	1996-11-12	VYDAJ	PREVOD NA UCET	132	20700	 	AB	86966162
1089141	3721	1996-12-12	VYDAJ	PREVOD NA UCET	132	20401	 	AB	86966162
1089142	3721	1997-01-12	VYDAJ	PREVOD NA UCET	132	19742	 	AB	86966162
1089143	3721	1997-02-12	VYDAJ	PREVOD NA UCET	132	17880	 	AB	86966162
1089144	3721	1997-03-12	VYDAJ	PREVOD NA UCET	132	19071	 	AB	86966162
1089145	3721	1997-04-12	VYDAJ	PREVOD NA UCET	132	20266	 	AB	86966162
1089146	3721	1997-05-12	VYDAJ	PREVOD NA UCET	132	21466	 	AB	86966162
1089147	3721	1997-06-12	VYDAJ	PREVOD NA UCET	132	22671	 	AB	86966162
1089148	3721	1997-07-12	VYDAJ	PREVOD NA UCET	132	20278	 	AB	86966162
1089149	3721	1997-08-12	VYDAJ	PREVOD NA UCET	132	21478	 	AB	86966162
1089150	3721	1997-09-12	VYDAJ	PREVOD NA UCET	132	22683	 	AB	86966162
1089151	3721	1997-10-12	VYDAJ	PREVOD NA UCET	132	23893	 	AB	86966162
1089152	3721	1997-11-12	VYDAJ	PREVOD NA UCET	132	25108	 	AB	86966162
1089153	3721	1997-12-12	VYDAJ	PREVOD NA UCET	132	26088	 	AB	86966162
1089154	3721	1998-01-12	VYDAJ	PREVOD NA UCET	132	21852	 	AB	86966162
1089155	3721	1998-02-12	VYDAJ	PREVOD NA UCET	132	20721	 	AB	86966162
1089156	3721	1998-03-12	VYDAJ	PREVOD NA UCET	132	21924	 	AB	86966162
1089157	3721	1998-04-12	VYDAJ	PREVOD NA UCET	132	22018	 	AB	86966162
1089158	3721	1998-05-12	VYDAJ	PREVOD NA UCET	132	23225	 	AB	86966162
1089159	3721	1998-06-12	VYDAJ	PREVOD NA UCET	132	23477	 	AB	86966162
1089160	3721	1998-07-12	VYDAJ	PREVOD NA UCET	132	15087	 	AB	86966162
1089161	3721	1998-08-12	VYDAJ	PREVOD NA UCET	132	16268	 	AB	86966162
1089162	3721	1998-09-12	VYDAJ	PREVOD NA UCET	132	17180	 	AB	86966162
1089163	3721	1998-10-12	VYDAJ	PREVOD NA UCET	132	18367	 	AB	86966162
1089164	3721	1998-11-12	VYDAJ	PREVOD NA UCET	132	18808	 	AB	86966162
1089165	3721	1998-12-12	VYDAJ	PREVOD NA UCET	132	20002	 	AB	86966162
1089168	3721	1998-06-28	VYDAJ	VYBER	7710	15767	\N	\N	\N
1089170	3721	1997-01-18	VYDAJ	VYBER	300	19442	\N	\N	\N
1089171	3721	1998-01-10	VYDAJ	VYBER	2250	23214	\N	\N	\N
1089172	3721	1996-12-08	VYDAJ	VYBER	360	20533	\N	\N	\N
1089173	3721	1997-12-20	VYDAJ	VYBER	150	25938	\N	\N	\N
1089174	3721	1998-12-28	VYDAJ	VYBER	270	19732	\N	\N	\N
1089181	3721	1997-01-10	VYDAJ	VYBER	750	19874	\N	\N	\N
1089182	3721	1997-01-05	VYDAJ	VYBER	570	19901	\N	\N	\N
1089183	3721	1997-01-28	VYDAJ	VYBER	300	17792	\N	\N	\N
1089184	3721	1997-01-28	VYDAJ	VYBER	600	18092	\N	\N	\N
1089185	3721	1997-01-09	VYDAJ	VYBER	540	20624	\N	\N	\N
1089186	3721	1997-01-18	VYDAJ	VYBER	750	18692	\N	\N	\N
1089187	3721	1998-01-23	VYDAJ	VYBER	870	20652	\N	\N	\N
1089188	3721	1998-01-02	VYDAJ	VYBER	180	24981	\N	\N	\N
1089189	3721	1998-01-12	VYDAJ	VYBER	330	21522	\N	\N	\N
1089190	3721	1998-01-01	VYDAJ	VYBER	870	25161	\N	\N	\N
1089191	3721	1998-01-12	VYDAJ	VYBER	390	21984	\N	\N	\N
1089192	3721	1998-01-07	VYDAJ	VYBER	780	25464	\N	\N	\N
1089196	3721	1996-09-05	VYDAJ	VYBER	270	16150	\N	\N	\N
1089197	3721	1996-12-04	VYDAJ	VYBER	1140	19630	\N	\N	\N
1089199	3721	1997-06-15	VYDAJ	VYBER	1410	21261	\N	\N	\N
1089200	3721	1997-06-29	VYDAJ	VYBER	870	20391	\N	\N	\N
1089201	3721	1997-07-02	VYDAJ	VYBER	1320	19147	\N	\N	\N
1089202	3721	1997-02-10	VYDAJ	VYBER	900	18012	\N	\N	\N
1089203	3721	1997-02-07	VYDAJ	VYBER	210	18912	\N	\N	\N
1089204	3721	1997-12-06	VYDAJ	VYBER	240	22829	\N	\N	\N
1089205	3721	1998-07-10	VYDAJ	VYBER	1380	15729	\N	\N	\N
1089206	3721	1998-10-30	VYDAJ	VYBER	750	17617	\N	\N	\N
1089207	3721	1998-06-02	VYDAJ	VYBER	510	22796	\N	\N	\N
1089208	3721	1998-08-23	VYDAJ	VYBER	270	15998	\N	\N	\N
1089209	3721	1998-02-09	VYDAJ	VYBER	1140	20853	\N	\N	\N
1089210	3721	1998-01-10	VYDAJ	VYBER	840	22374	\N	\N	\N
1089211	3721	1998-03-17	VYDAJ	VYBER	1110	20814	\N	\N	\N
1089212	3721	1998-07-11	VYDAJ	VYBER	510	15219	\N	\N	\N
1089213	3721	1998-06-10	VYDAJ	VYBER	450	23609	\N	\N	\N
1089221	3721	1996-07-31	VYDAJ	VYBER	15	17355	SLUZBY	\N	\N
1089222	3721	1996-08-31	VYDAJ	VYBER	15	18548	SLUZBY	\N	\N
1089223	3721	1996-09-30	VYDAJ	VYBER	15	18372	SLUZBY	\N	\N
1089224	3721	1996-10-31	VYDAJ	VYBER	15	19569	SLUZBY	\N	\N
1089225	3721	1996-11-30	VYDAJ	VYBER	15	20770	SLUZBY	\N	\N
1089226	3721	1996-12-31	VYDAJ	VYBER	15	20471	SLUZBY	\N	\N
1089227	3721	1997-01-31	VYDAJ	VYBER	15	17859	SLUZBY	\N	\N
1089228	3721	1997-02-28	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
1089229	3721	1997-03-31	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
1089230	3721	1997-04-30	VYDAJ	VYBER	15	20335	SLUZBY	\N	\N
1089231	3721	1997-05-31	VYDAJ	VYBER	15	21540	SLUZBY	\N	\N
1089232	3721	1997-06-30	VYDAJ	VYBER	15	20467	SLUZBY	\N	\N
1089233	3721	1997-07-31	VYDAJ	VYBER	15	20347	SLUZBY	\N	\N
1089234	3721	1997-08-31	VYDAJ	VYBER	15	21552	SLUZBY	\N	\N
1089235	3721	1997-09-30	VYDAJ	VYBER	15	22762	SLUZBY	\N	\N
1089236	3721	1997-10-31	VYDAJ	VYBER	15	23977	SLUZBY	\N	\N
1089237	3721	1997-11-30	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
1089238	3721	1997-12-31	VYDAJ	VYBER	15	26031	SLUZBY	\N	\N
1089239	3721	1998-01-31	VYDAJ	VYBER	15	20730	SLUZBY	\N	\N
1089240	3721	1998-02-28	VYDAJ	VYBER	15	20793	SLUZBY	\N	\N
1089241	3721	1998-03-31	VYDAJ	VYBER	15	20887	SLUZBY	\N	\N
1089242	3721	1998-04-30	VYDAJ	VYBER	15	22094	SLUZBY	\N	\N
1089243	3721	1998-05-31	VYDAJ	VYBER	15	23306	SLUZBY	\N	\N
1089244	3721	1998-06-30	VYDAJ	VYBER	15	15846	SLUZBY	\N	\N
1089245	3721	1998-07-31	VYDAJ	VYBER	15	15137	SLUZBY	\N	\N
1089246	3721	1998-08-31	VYDAJ	VYBER	15	16049	SLUZBY	\N	\N
1089247	3721	1998-09-30	VYDAJ	VYBER	15	17236	SLUZBY	\N	\N
1089248	3721	1998-10-31	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
1089249	3721	1998-11-30	VYDAJ	VYBER	15	18871	SLUZBY	\N	\N
1089250	3721	1996-09-18	VYDAJ	VYBER	1100	18309	\N	\N	\N
1089281	3722	1997-12-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1089293	3722	1997-12-14	PRIJEM	VKLAD	18278	19378	\N	\N	\N
1089294	3722	1998-01-14	PRIJEM	VKLAD	12185	33209	\N	\N	\N
1089295	3722	1998-02-14	PRIJEM	VKLAD	12185	43609	\N	\N	\N
1089296	3722	1998-03-14	PRIJEM	VKLAD	12185	49855	\N	\N	\N
1089297	3722	1998-04-14	PRIJEM	VKLAD	12185	53337	\N	\N	\N
1089298	3722	1998-05-14	PRIJEM	VKLAD	12185	45180	\N	\N	\N
1089299	3722	1998-06-14	PRIJEM	VKLAD	18278	46825	\N	\N	\N
1089300	3722	1998-07-14	PRIJEM	VKLAD	12185	28507	\N	\N	\N
1089301	3722	1998-08-14	PRIJEM	VKLAD	12185	28904	\N	\N	\N
1089302	3722	1998-09-14	PRIJEM	VKLAD	12185	30165	\N	\N	\N
1089303	3722	1998-10-14	PRIJEM	VKLAD	12185	30750	\N	\N	\N
1089304	3722	1998-11-14	PRIJEM	VKLAD	12185	22859	\N	\N	\N
1089305	3722	1998-12-14	PRIJEM	VKLAD	18278	30296	\N	\N	\N
1089322	3722	1998-05-12	VYDAJ	PREVOD NA UCET	8123	32995	SIPO	QR	71472602
1089323	3722	1998-06-12	VYDAJ	PREVOD NA UCET	8123	28548	SIPO	QR	71472602
1089324	3722	1998-07-12	VYDAJ	PREVOD NA UCET	8123	16322	SIPO	QR	71472602
1089325	3722	1998-08-12	VYDAJ	PREVOD NA UCET	8123	16719	SIPO	QR	71472602
1089326	3722	1998-09-12	VYDAJ	PREVOD NA UCET	8123	17980	SIPO	QR	71472602
1089327	3722	1998-10-12	VYDAJ	PREVOD NA UCET	8123	18565	SIPO	QR	71472602
1089328	3722	1998-11-12	VYDAJ	PREVOD NA UCET	8123	10674	SIPO	QR	71472602
1089329	3722	1998-12-12	VYDAJ	PREVOD NA UCET	8123	12018	SIPO	QR	71472602
1089331	3722	1998-06-22	VYDAJ	VYBER	21120	25705	\N	\N	\N
1089335	3722	1998-12-03	VYDAJ	VYBER	3200	20141	\N	\N	\N
1089351	3722	1998-05-23	VYDAJ	VYBER	4680	40500	\N	\N	\N
1089352	3722	1998-07-22	VYDAJ	VYBER	1560	26947	\N	\N	\N
1089353	3722	1998-11-08	VYDAJ	VYBER	5160	18797	\N	\N	\N
1089354	3722	1998-09-15	VYDAJ	VYBER	1680	28485	\N	\N	\N
1089355	3722	1998-05-08	VYDAJ	VYBER	2520	41118	\N	\N	\N
1089356	3722	1998-12-18	VYDAJ	VYBER	3240	27056	\N	\N	\N
1089374	3722	1998-04-30	VYDAJ	VYBER	15	53538	SLUZBY	\N	\N
1089375	3722	1998-05-31	VYDAJ	VYBER	15	40671	SLUZBY	\N	\N
1089376	3722	1998-06-30	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
1089377	3722	1998-07-31	VYDAJ	VYBER	15	27042	SLUZBY	\N	\N
1089378	3722	1998-08-31	VYDAJ	VYBER	15	29003	SLUZBY	\N	\N
1089379	3722	1998-09-30	VYDAJ	VYBER	15	28588	SLUZBY	\N	\N
1089380	3722	1998-10-31	VYDAJ	VYBER	15	30857	SLUZBY	\N	\N
1089381	3722	1998-11-30	VYDAJ	VYBER	15	22941	SLUZBY	\N	\N
1089382	3722	1998-01-06	PRIJEM	VKLAD	1600	21024	\N	\N	\N
1089383	3722	1998-02-05	VYDAJ	VYBER	1900	31424	\N	\N	\N
1089384	3722	1998-03-07	VYDAJ	VYBER	6100	37670	\N	\N	\N
1089385	3722	1998-04-06	VYDAJ	VYBER	8900	41152	\N	\N	\N
1089386	3722	1998-05-06	VYDAJ	VYBER	9900	43638	\N	\N	\N
1089387	3722	1998-06-05	VYDAJ	VYBER	4000	36671	\N	\N	\N
1089388	3722	1998-07-05	VYDAJ	VYBER	1400	24445	\N	\N	\N
1089389	3722	1998-08-04	VYDAJ	VYBER	2200	24842	\N	\N	\N
1089390	3722	1998-09-03	VYDAJ	VYBER	2900	26103	\N	\N	\N
1089391	3722	1998-10-03	VYDAJ	VYBER	1900	26688	\N	\N	\N
1089392	3722	1998-11-02	VYDAJ	VYBER	6900	23957	\N	\N	\N
1089393	3722	1998-12-02	PRIJEM	VKLAD	400	23341	\N	\N	\N
1089407	3723	1996-06-14	PRIJEM	VKLAD	700	700	\N	\N	\N
1089408	3723	1996-08-15	PRIJEM	VKLAD	48983	69621	\N	\N	\N
1089409	3723	1996-12-20	PRIJEM	VKLAD	49485	79313	\N	\N	\N
1089410	3723	1997-05-21	PRIJEM	VKLAD	27995	67450	\N	\N	\N
1089411	3723	1997-12-23	PRIJEM	VKLAD	8553	56402	\N	\N	\N
1089412	3723	1998-09-10	PRIJEM	VKLAD	31253	103754	\N	\N	\N
1089413	3723	1998-01-13	PRIJEM	VKLAD	22712	72658	\N	\N	\N
1089419	3723	1996-06-14	PRIJEM	VKLAD	1300	2000	\N	\N	\N
1089420	3723	1996-07-15	PRIJEM	VKLAD	1300	13005	\N	\N	\N
1089421	3723	1996-08-15	PRIJEM	VKLAD	1300	20638	\N	\N	\N
1089422	3723	1996-09-13	PRIJEM	VKLAD	1300	51193	\N	\N	\N
1089423	3723	1996-10-15	PRIJEM	VKLAD	1300	36040	\N	\N	\N
1089424	3723	1996-11-14	PRIJEM	VKLAD	1300	31903	\N	\N	\N
1089425	3723	1996-12-16	PRIJEM	VKLAD	1300	29828	\N	\N	\N
1089426	3723	1997-01-14	PRIJEM	VKLAD	1300	48807	\N	\N	\N
1089427	3723	1997-02-14	PRIJEM	VKLAD	1300	39020	\N	\N	\N
1089428	3723	1997-03-14	PRIJEM	VKLAD	1300	34780	\N	\N	\N
1089429	3723	1997-04-16	PRIJEM	VKLAD	1300	36918	\N	\N	\N
1089430	3723	1997-05-15	PRIJEM	VKLAD	1300	39455	\N	\N	\N
1089431	3723	1997-06-16	PRIJEM	VKLAD	1300	18238	\N	\N	\N
1089432	3723	1997-07-14	PRIJEM	VKLAD	1300	30375	\N	\N	\N
1089433	3723	1997-08-17	PRIJEM	VKLAD	1300	39267	\N	\N	\N
1089434	3723	1997-09-13	PRIJEM	VKLAD	1300	42947	\N	\N	\N
1089435	3723	1997-10-13	PRIJEM	VKLAD	1300	44505	\N	\N	\N
1089436	3723	1997-11-17	PRIJEM	VKLAD	1300	46772	\N	\N	\N
1089437	3723	1997-12-17	PRIJEM	VKLAD	1300	47849	\N	\N	\N
1089438	3723	1998-01-13	PRIJEM	VKLAD	1300	73958	\N	\N	\N
1089439	3723	1998-02-16	PRIJEM	VKLAD	1300	68319	\N	\N	\N
1089440	3723	1998-03-15	PRIJEM	VKLAD	1300	63597	\N	\N	\N
1089441	3723	1998-04-14	PRIJEM	VKLAD	1300	56907	\N	\N	\N
1089442	3723	1998-05-15	PRIJEM	VKLAD	1300	60341	\N	\N	\N
1089443	3723	1998-06-14	PRIJEM	VKLAD	1300	63172	\N	\N	\N
1089444	3723	1998-07-14	PRIJEM	VKLAD	1300	59196	\N	\N	\N
1089445	3723	1998-08-15	PRIJEM	VKLAD	1300	68053	\N	\N	\N
1089446	3723	1998-09-16	PRIJEM	VKLAD	1300	105054	\N	\N	\N
1089447	3723	1998-10-16	PRIJEM	VKLAD	1300	89930	\N	\N	\N
1089448	3723	1998-11-13	PRIJEM	VKLAD	1300	82921	\N	\N	\N
1089449	3723	1998-12-16	PRIJEM	VKLAD	1300	74814	\N	\N	\N
1089451	3723	1997-06-15	VYDAJ	VYBER	26100	16938	\N	\N	\N
1089452	3723	1998-06-12	VYDAJ	VYBER	3100	61872	\N	\N	\N
1089454	3723	1997-01-01	VYDAJ	VYBER	5000	73007	\N	\N	\N
1089455	3723	1998-01-12	VYDAJ	VYBER	5000	49946	\N	\N	\N
1089457	3723	1997-06-03	VYDAJ	VYBER	20200	47438	\N	\N	\N
1089458	3723	1998-06-22	VYDAJ	VYBER	15200	47972	\N	\N	\N
1089459	3723	1996-12-27	VYDAJ	VYBER	1500	77813	\N	\N	\N
1089460	3723	1997-12-13	VYDAJ	VYBER	1200	48549	\N	\N	\N
1089461	3723	1998-12-13	VYDAJ	VYBER	2500	73514	\N	\N	\N
1089468	3723	1997-01-23	VYDAJ	VYBER	1250	45307	\N	\N	\N
1089469	3723	1997-01-22	VYDAJ	VYBER	1450	46557	\N	\N	\N
1089470	3723	1997-01-12	VYDAJ	VYBER	350	47507	\N	\N	\N
1089471	3723	1997-01-03	VYDAJ	VYBER	750	72257	\N	\N	\N
1089472	3723	1997-01-30	VYDAJ	VYBER	800	44507	\N	\N	\N
1089473	3723	1997-01-15	VYDAJ	VYBER	800	48007	\N	\N	\N
1089474	3723	1998-01-14	VYDAJ	VYBER	1250	72708	\N	\N	\N
1089475	3723	1998-01-05	VYDAJ	VYBER	1050	55746	\N	\N	\N
1089476	3723	1998-01-14	VYDAJ	VYBER	250	72458	\N	\N	\N
1089477	3723	1998-01-25	VYDAJ	VYBER	350	71458	\N	\N	\N
1089478	3723	1998-01-05	VYDAJ	VYBER	800	54946	\N	\N	\N
1089479	3723	1998-01-14	VYDAJ	VYBER	650	71808	\N	\N	\N
1089484	3723	1996-11-06	VYDAJ	VYBER	1700	34503	\N	\N	\N
1089485	3723	1996-09-26	VYDAJ	VYBER	1100	50093	\N	\N	\N
1089486	3723	1997-04-01	VYDAJ	VYBER	1300	33618	\N	\N	\N
1089487	3723	1997-05-13	VYDAJ	VYBER	500	38155	\N	\N	\N
1089488	3723	1997-10-18	VYDAJ	VYBER	1150	43355	\N	\N	\N
1089489	3723	1997-11-06	VYDAJ	VYBER	1250	45472	\N	\N	\N
1089490	3723	1997-12-13	VYDAJ	VYBER	2000	46549	\N	\N	\N
1089491	3723	1997-08-26	VYDAJ	VYBER	450	38817	\N	\N	\N
1089492	3723	1998-06-27	VYDAJ	VYBER	1700	46272	\N	\N	\N
1089493	3723	1998-04-13	VYDAJ	VYBER	1250	55607	\N	\N	\N
1089494	3723	1998-07-20	VYDAJ	VYBER	2150	57046	\N	\N	\N
1089495	3723	1998-12-07	VYDAJ	VYBER	650	76014	\N	\N	\N
1089505	3723	1996-09-30	VYDAJ	VYBER	15	50240	SLUZBY	\N	\N
1089506	3723	1996-10-31	VYDAJ	VYBER	15	36203	SLUZBY	\N	\N
1089507	3723	1996-11-30	VYDAJ	VYBER	15	32028	SLUZBY	\N	\N
1089508	3723	1996-12-31	VYDAJ	VYBER	15	78007	SLUZBY	\N	\N
1089509	3723	1997-01-31	VYDAJ	VYBER	15	44720	SLUZBY	\N	\N
1089510	3723	1997-02-28	VYDAJ	VYBER	15	39180	SLUZBY	\N	\N
1089511	3723	1997-03-31	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
1089512	3723	1997-04-30	VYDAJ	VYBER	15	37055	SLUZBY	\N	\N
1089513	3723	1997-05-31	VYDAJ	VYBER	15	67638	SLUZBY	\N	\N
1089514	3723	1997-06-30	VYDAJ	VYBER	15	18375	SLUZBY	\N	\N
1089515	3723	1997-07-31	VYDAJ	VYBER	15	30467	SLUZBY	\N	\N
1089516	3723	1997-08-31	VYDAJ	VYBER	15	38947	SLUZBY	\N	\N
1089517	3723	1997-09-30	VYDAJ	VYBER	15	43105	SLUZBY	\N	\N
1089518	3723	1997-10-31	VYDAJ	VYBER	15	43522	SLUZBY	\N	\N
1089519	3723	1997-11-30	VYDAJ	VYBER	15	46949	SLUZBY	\N	\N
1089520	3723	1997-12-31	VYDAJ	VYBER	15	56596	SLUZBY	\N	\N
1089521	3723	1998-01-31	VYDAJ	VYBER	15	71719	SLUZBY	\N	\N
1089522	3723	1998-02-28	VYDAJ	VYBER	15	68597	SLUZBY	\N	\N
1089523	3723	1998-03-31	VYDAJ	VYBER	15	63857	SLUZBY	\N	\N
1089524	3723	1998-04-30	VYDAJ	VYBER	15	57141	SLUZBY	\N	\N
1089525	3723	1998-05-31	VYDAJ	VYBER	15	60572	SLUZBY	\N	\N
1089526	3723	1998-06-30	VYDAJ	VYBER	15	46496	SLUZBY	\N	\N
1089527	3723	1998-07-31	VYDAJ	VYBER	15	57253	SLUZBY	\N	\N
1089528	3723	1998-08-31	VYDAJ	VYBER	15	68301	SLUZBY	\N	\N
1089529	3723	1998-09-30	VYDAJ	VYBER	15	105430	SLUZBY	\N	\N
1089530	3723	1998-10-31	VYDAJ	VYBER	15	90321	SLUZBY	\N	\N
1089531	3723	1998-11-30	VYDAJ	VYBER	15	83264	SLUZBY	\N	\N
1089532	3723	1996-07-14	PRIJEM	VKLAD	9700	11705	\N	\N	\N
1089533	3723	1996-08-13	PRIJEM	VKLAD	6300	19338	\N	\N	\N
1089534	3723	1996-09-12	VYDAJ	VYBER	19800	49893	\N	\N	\N
1089535	3723	1996-10-12	VYDAJ	VYBER	15500	34740	\N	\N	\N
1089536	3723	1996-11-11	VYDAJ	VYBER	3900	30603	\N	\N	\N
1089537	3723	1996-12-11	VYDAJ	VYBER	3500	28528	\N	\N	\N
1089538	3723	1997-01-10	VYDAJ	VYBER	24400	47857	\N	\N	\N
1089539	3723	1997-02-09	VYDAJ	VYBER	7000	37720	\N	\N	\N
1089540	3723	1997-03-11	VYDAJ	VYBER	5700	33480	\N	\N	\N
1089541	3723	1997-04-10	PRIJEM	VKLAD	2000	35618	\N	\N	\N
1089542	3723	1997-05-10	PRIJEM	VKLAD	1600	38655	\N	\N	\N
1089543	3723	1997-06-09	VYDAJ	VYBER	4400	43038	\N	\N	\N
1089544	3723	1997-07-09	PRIJEM	VKLAD	10700	29075	\N	\N	\N
1089545	3723	1997-08-08	PRIJEM	VKLAD	7500	37967	\N	\N	\N
1089546	3723	1997-09-07	PRIJEM	VKLAD	2700	41647	\N	\N	\N
1089547	3723	1997-10-07	PRIJEM	VKLAD	100	43205	\N	\N	\N
1089548	3723	1997-11-06	PRIJEM	VKLAD	3200	46722	\N	\N	\N
1089549	3723	1997-12-06	PRIJEM	VKLAD	2800	49749	\N	\N	\N
1089550	3723	1998-01-05	PRIJEM	VKLAD	200	56796	\N	\N	\N
1089551	3723	1998-02-04	VYDAJ	VYBER	4700	67019	\N	\N	\N
1089552	3723	1998-03-06	VYDAJ	VYBER	6300	62297	\N	\N	\N
1089553	3723	1998-04-05	VYDAJ	VYBER	7000	56857	\N	\N	\N
1089554	3723	1998-05-05	PRIJEM	VKLAD	1900	59041	\N	\N	\N
1089555	3723	1998-06-04	PRIJEM	VKLAD	4400	64972	\N	\N	\N
1089556	3723	1998-07-04	PRIJEM	VKLAD	11400	57896	\N	\N	\N
1089557	3723	1998-08-03	PRIJEM	VKLAD	9500	66753	\N	\N	\N
1089558	3723	1998-09-02	PRIJEM	VKLAD	4200	72501	\N	\N	\N
1089559	3723	1998-10-02	VYDAJ	VYBER	16800	88630	\N	\N	\N
1089560	3723	1998-11-01	VYDAJ	VYBER	8700	81621	\N	\N	\N
1089561	3723	1998-12-01	VYDAJ	VYBER	6600	76664	\N	\N	\N
1089593	3724	1997-08-06	PRIJEM	VKLAD	400	400	\N	\N	\N
1089594	3724	1997-12-05	PRIJEM	VKLAD	31499	72650	\N	\N	\N
1089596	3724	1997-11-11	PRIJEM	VKLAD	16821	46921	\N	\N	\N
1089599	3724	1998-06-15	PRIJEM	VKLAD	8822	86411	\N	\N	\N
1089600	3724	1998-10-10	PRIJEM	VKLAD	28053	76228	\N	\N	\N
1089601	3724	1998-05-30	PRIJEM	VKLAD	43780	99516	\N	\N	\N
1089602	3724	1998-04-14	PRIJEM	VKLAD	6608	63255	\N	\N	\N
1089621	3724	1998-07-11	VYDAJ	VYBER	2500	63501	\N	\N	0
1089622	3724	1998-08-06	VYDAJ	VYBER	2500	52371	\N	\N	0
1089623	3724	1998-09-24	VYDAJ	VYBER	2800	47082	\N	\N	0
1089624	3724	1998-10-22	VYDAJ	VYBER	2400	73828	\N	\N	0
1089625	3724	1998-11-03	VYDAJ	VYBER	2300	62246	\N	\N	0
1089626	3724	1998-12-12	VYDAJ	VYBER	3100	56098	\N	\N	0
1089636	3724	1998-06-23	VYBER	VYBER	8671	77740	\N	\N	\N
1089640	3724	1998-12-22	VYDAJ	VYBER	4800	51298	\N	\N	\N
1089645	3724	1998-12-22	VYDAJ	VYBER	14400	36898	\N	\N	\N
1089649	3724	1998-12-27	VYDAJ	VYBER	4500	32398	\N	\N	\N
1089670	3724	1998-06-30	VYDAJ	VYBER	15	78101	SLUZBY	\N	\N
1089671	3724	1998-07-31	VYDAJ	VYBER	15	63771	SLUZBY	\N	\N
1089672	3724	1998-08-31	VYDAJ	VYBER	15	52582	SLUZBY	\N	\N
1089673	3724	1998-09-30	VYDAJ	VYBER	15	48175	SLUZBY	\N	\N
1089674	3724	1998-10-31	VYDAJ	VYBER	15	64546	SLUZBY	\N	\N
1089675	3724	1998-11-30	VYDAJ	VYBER	15	59198	SLUZBY	\N	\N
1089676	3724	1997-09-05	PRIJEM	VKLAD	12200	12600	\N	\N	\N
1089677	3724	1997-10-05	PRIJEM	VKLAD	11900	24500	\N	\N	\N
1089678	3724	1997-11-04	PRIJEM	VKLAD	5600	30100	\N	\N	\N
1089679	3724	1997-12-04	VYDAJ	VYBER	5900	41151	\N	\N	\N
1089680	3724	1998-01-03	VYDAJ	VYBER	16500	56439	\N	\N	\N
1089681	3724	1998-02-02	VYDAJ	VYBER	3300	53442	\N	\N	\N
1089682	3724	1998-03-04	PRIJEM	VKLAD	1400	55145	\N	\N	\N
1089683	3724	1998-04-03	PRIJEM	VKLAD	1200	56647	\N	\N	\N
1089684	3724	1998-05-03	VYDAJ	VYBER	7800	55736	\N	\N	\N
1089685	3724	1998-06-02	VYDAJ	VYBER	22200	77589	\N	\N	\N
1089686	3724	1998-07-02	VYDAJ	VYBER	12100	66001	\N	\N	\N
1089687	3724	1998-08-01	VYDAJ	VYBER	8900	54871	\N	\N	\N
1089688	3724	1998-08-31	VYDAJ	VYBER	2700	49882	\N	\N	\N
1089689	3724	1998-09-30	PRIJEM	VKLAD	900	47982	\N	\N	\N
1089690	3724	1998-10-30	VYDAJ	VYBER	9500	64328	\N	\N	\N
1089691	3724	1998-11-29	VYDAJ	VYBER	3300	58946	\N	\N	\N
1089706	3725	1995-06-11	PRIJEM	VKLAD	800	800	\N	\N	\N
1089713	3725	1995-07-06	PRIJEM	VKLAD	16993	17793	\N	\N	\N
1089714	3725	1995-08-06	PRIJEM	VKLAD	16993	37544	\N	\N	\N
1089715	3725	1995-09-06	PRIJEM	VKLAD	16993	47953	\N	\N	\N
1089716	3725	1995-10-06	PRIJEM	VKLAD	16993	48677	\N	\N	\N
1089717	3725	1995-11-06	PRIJEM	VKLAD	16993	50206	\N	\N	\N
1089718	3725	1995-12-06	PRIJEM	VKLAD	25490	54971	\N	\N	\N
1089719	3725	1996-01-06	PRIJEM	VKLAD	16993	42210	\N	\N	\N
1089720	3725	1996-02-06	PRIJEM	VKLAD	16993	34421	\N	\N	\N
1089721	3725	1996-03-06	PRIJEM	VKLAD	16993	39857	\N	\N	\N
1089722	3725	1996-04-06	PRIJEM	VKLAD	16993	41263	\N	\N	\N
1089723	3725	1996-05-06	PRIJEM	VKLAD	16993	40818	\N	\N	\N
1089724	3725	1996-06-06	PRIJEM	VKLAD	25490	46266	\N	\N	\N
1089725	3725	1996-07-06	PRIJEM	VKLAD	16993	46961	\N	\N	\N
1089726	3725	1996-08-06	PRIJEM	VKLAD	16993	44904	\N	\N	\N
1089727	3725	1996-09-06	PRIJEM	VKLAD	16993	44401	\N	\N	\N
1089728	3725	1996-10-06	PRIJEM	VKLAD	16993	46992	\N	\N	\N
1089729	3725	1996-11-06	PRIJEM	VKLAD	16993	47397	\N	\N	\N
1089730	3725	1996-12-06	PRIJEM	VKLAD	25490	54429	\N	\N	\N
1089731	3725	1997-01-06	PRIJEM	VKLAD	16993	52194	\N	\N	\N
1089732	3725	1997-02-06	PRIJEM	VKLAD	16993	53568	\N	\N	\N
1089733	3725	1997-03-06	PRIJEM	VKLAD	16993	61877	\N	\N	\N
1089734	3725	1997-04-06	PRIJEM	VKLAD	16993	61897	\N	\N	\N
1089735	3725	1997-05-06	PRIJEM	VKLAD	16993	63467	\N	\N	\N
1089736	3725	1997-06-06	PRIJEM	VKLAD	25490	74438	\N	\N	\N
1089737	3725	1997-07-06	PRIJEM	VKLAD	16993	72619	\N	\N	\N
1089738	3725	1997-08-06	PRIJEM	VKLAD	16993	67920	\N	\N	\N
1089739	3725	1997-09-06	PRIJEM	VKLAD	16993	67086	\N	\N	\N
1089740	3725	1997-10-06	PRIJEM	VKLAD	16993	65648	\N	\N	\N
1089741	3725	1997-11-06	PRIJEM	VKLAD	16993	69706	\N	\N	\N
1089742	3725	1997-12-06	PRIJEM	VKLAD	25490	79675	\N	\N	\N
1089743	3725	1998-01-06	PRIJEM	VKLAD	16993	75706	\N	\N	\N
1089744	3725	1998-02-06	PRIJEM	VKLAD	16993	68361	\N	\N	\N
1089745	3725	1998-03-06	PRIJEM	VKLAD	16993	70549	\N	\N	\N
1089746	3725	1998-04-06	PRIJEM	VKLAD	16993	66999	\N	\N	\N
1089747	3725	1998-05-06	PRIJEM	VKLAD	16993	72084	\N	\N	\N
1089748	3725	1998-06-06	PRIJEM	VKLAD	25490	83162	\N	\N	\N
1089749	3725	1998-07-06	PRIJEM	VKLAD	16993	70987	\N	\N	\N
1089750	3725	1998-08-06	PRIJEM	VKLAD	16993	78267	\N	\N	\N
1089751	3725	1998-09-06	PRIJEM	VKLAD	16993	81072	\N	\N	\N
1089752	3725	1998-10-06	PRIJEM	VKLAD	16993	81686	\N	\N	\N
1089753	3725	1998-11-06	PRIJEM	VKLAD	16993	85105	\N	\N	\N
1089754	3725	1998-12-06	PRIJEM	VKLAD	25490	88110	\N	\N	\N
1089765	3725	1995-11-14	VYDAJ	PREVOD NA UCET	7642	29364	SIPO	KL	24855488
1089766	3725	1995-12-14	VYDAJ	PREVOD NA UCET	7642	26429	SIPO	KL	24855488
1089767	3725	1996-01-14	VYDAJ	PREVOD NA UCET	7642	19268	SIPO	KL	24855488
1089768	3725	1996-02-14	VYDAJ	PREVOD NA UCET	7642	22779	SIPO	KL	24855488
1089769	3725	1996-03-14	VYDAJ	PREVOD NA UCET	7642	25615	SIPO	KL	24855488
1089770	3725	1996-04-14	VYDAJ	PREVOD NA UCET	7642	23721	SIPO	KL	24855488
1089771	3725	1996-05-14	VYDAJ	PREVOD NA UCET	7642	22776	SIPO	KL	24855488
1089772	3725	1996-06-14	VYDAJ	PREVOD NA UCET	7642	38624	SIPO	KL	24855488
1089773	3725	1996-07-14	VYDAJ	PREVOD NA UCET	7642	37279	SIPO	KL	24855488
1089774	3725	1996-08-14	VYDAJ	PREVOD NA UCET	7642	37262	SIPO	KL	24855488
1089775	3725	1996-09-14	VYDAJ	PREVOD NA UCET	7642	34359	SIPO	KL	24855488
1089776	3725	1996-10-14	VYDAJ	PREVOD NA UCET	7642	39350	SIPO	KL	24855488
1089777	3725	1996-11-14	VYDAJ	PREVOD NA UCET	7642	34595	SIPO	KL	24855488
1089778	3725	1996-12-14	VYDAJ	PREVOD NA UCET	7642	46787	SIPO	KL	24855488
1089779	3725	1997-01-14	VYDAJ	PREVOD NA UCET	7642	41192	SIPO	KL	24855488
1089780	3725	1997-02-14	VYDAJ	PREVOD NA UCET	7642	45926	SIPO	KL	24855488
1089781	3725	1997-03-14	VYDAJ	PREVOD NA UCET	7642	52795	SIPO	KL	24855488
1089782	3725	1997-04-14	VYDAJ	PREVOD NA UCET	7642	54255	SIPO	KL	24855488
1089783	3725	1997-05-14	VYDAJ	PREVOD NA UCET	7642	55825	SIPO	KL	24855488
1089784	3725	1997-06-14	VYDAJ	PREVOD NA UCET	7642	66796	SIPO	KL	24855488
1089785	3725	1997-07-14	VYDAJ	PREVOD NA UCET	7642	64977	SIPO	KL	24855488
1089786	3725	1997-08-14	VYDAJ	PREVOD NA UCET	7642	60278	SIPO	KL	24855488
1089787	3725	1997-09-14	VYDAJ	PREVOD NA UCET	7642	59444	SIPO	KL	24855488
1089788	3725	1997-10-14	VYDAJ	PREVOD NA UCET	7642	58006	SIPO	KL	24855488
1089789	3725	1997-11-14	VYDAJ	PREVOD NA UCET	7642	62064	SIPO	KL	24855488
1089790	3725	1997-12-14	VYDAJ	PREVOD NA UCET	7642	69153	SIPO	KL	24855488
1089791	3725	1998-01-14	VYDAJ	PREVOD NA UCET	7642	68064	SIPO	KL	24855488
1089792	3725	1998-02-14	VYDAJ	PREVOD NA UCET	7642	60719	SIPO	KL	24855488
1089793	3725	1998-03-14	VYDAJ	PREVOD NA UCET	7642	62907	SIPO	KL	24855488
1089794	3725	1998-04-14	VYDAJ	PREVOD NA UCET	7642	59357	SIPO	KL	24855488
1089795	3725	1998-05-14	VYDAJ	PREVOD NA UCET	7642	64442	SIPO	KL	24855488
1089796	3725	1998-06-14	VYDAJ	PREVOD NA UCET	7642	75520	SIPO	KL	24855488
1089797	3725	1998-07-14	VYDAJ	PREVOD NA UCET	7642	63345	SIPO	KL	24855488
1089798	3725	1998-08-14	VYDAJ	PREVOD NA UCET	7642	70625	SIPO	KL	24855488
1089799	3725	1998-09-14	VYDAJ	PREVOD NA UCET	7642	73430	SIPO	KL	24855488
1089800	3725	1998-10-14	VYDAJ	PREVOD NA UCET	7642	74044	SIPO	KL	24855488
1089801	3725	1998-11-14	VYDAJ	PREVOD NA UCET	7642	76023	SIPO	KL	24855488
1089802	3725	1998-12-14	VYDAJ	PREVOD NA UCET	7642	80468	SIPO	KL	24855488
1089806	3725	1998-06-28	VYDAJ	VYBER	12480	53740	\N	\N	\N
1089807	3725	1995-12-14	VYDAJ	VYBER	4000	34071	\N	\N	\N
1089808	3725	1996-12-02	VYDAJ	VYBER	1600	33139	\N	\N	\N
1089809	3725	1997-12-12	VYDAJ	VYBER	2880	76795	\N	\N	\N
1089810	3725	1998-12-05	VYDAJ	VYBER	2080	62621	\N	\N	\N
1089817	3725	1996-01-01	VYDAJ	VYBER	1320	25217	\N	\N	\N
1089818	3725	1996-01-16	VYDAJ	VYBER	1200	18068	\N	\N	\N
1089819	3725	1996-01-06	VYDAJ	VYBER	1680	40530	\N	\N	\N
1089820	3725	1996-01-14	VYDAJ	VYBER	1440	26910	\N	\N	\N
1089821	3725	1996-01-26	VYDAJ	VYBER	720	17348	\N	\N	\N
1089822	3725	1996-01-11	VYDAJ	VYBER	1680	28350	\N	\N	\N
1089823	3725	1997-01-22	VYDAJ	VYBER	1440	39752	\N	\N	\N
1089824	3725	1997-01-30	VYDAJ	VYBER	2040	33512	\N	\N	\N
1089825	3725	1997-01-29	VYDAJ	VYBER	2040	35552	\N	\N	\N
1089826	3725	1997-01-27	VYDAJ	VYBER	2160	37592	\N	\N	\N
1089827	3725	1997-01-10	VYDAJ	VYBER	3360	48834	\N	\N	\N
1089828	3725	1997-01-05	VYDAJ	VYBER	2040	35201	\N	\N	\N
1089829	3725	1998-01-21	VYDAJ	VYBER	1200	55104	\N	\N	\N
1089830	3725	1998-01-14	VYDAJ	VYBER	960	67104	\N	\N	\N
1089831	3725	1998-01-20	VYDAJ	VYBER	3480	56304	\N	\N	\N
1089832	3725	1998-01-16	VYDAJ	VYBER	3240	63864	\N	\N	\N
1089833	3725	1998-01-17	VYDAJ	VYBER	3360	60504	\N	\N	\N
1089834	3725	1998-01-18	VYDAJ	VYBER	720	59784	\N	\N	\N
1089841	3725	1996-12-16	VYDAJ	VYBER	2520	44267	\N	\N	\N
1089842	3725	1996-07-13	VYDAJ	VYBER	2040	44921	\N	\N	\N
1089843	3725	1996-11-10	VYDAJ	VYBER	5160	42237	\N	\N	\N
1089844	3725	1996-03-24	VYDAJ	VYBER	1440	24175	\N	\N	\N
1089845	3725	1996-09-10	VYDAJ	VYBER	2400	42001	\N	\N	\N
1089846	3725	1996-08-02	VYDAJ	VYBER	3120	34311	\N	\N	\N
1089847	3725	1997-07-16	VYDAJ	VYBER	2880	62097	\N	\N	\N
1089848	3725	1997-03-08	VYDAJ	VYBER	1440	60437	\N	\N	\N
1089849	3725	1997-12-17	VYDAJ	VYBER	4080	65073	\N	\N	\N
1089850	3725	1998-11-11	VYDAJ	VYBER	1440	83665	\N	\N	\N
1089851	3725	1998-03-18	VYDAJ	VYBER	5280	57627	\N	\N	\N
1089852	3725	1998-04-05	VYDAJ	VYBER	5160	50006	\N	\N	\N
1089853	3725	1998-01-27	VYDAJ	VYBER	3360	51144	\N	\N	\N
1089854	3725	1998-03-05	VYDAJ	VYBER	4080	53556	\N	\N	\N
1089866	3725	1995-11-30	VYDAJ	VYBER	15	29481	SLUZBY	\N	\N
1089867	3725	1995-12-31	VYDAJ	VYBER	15	26537	SLUZBY	\N	\N
1089868	3725	1996-01-31	VYDAJ	VYBER	15	17428	SLUZBY	\N	\N
1089869	3725	1996-02-29	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
1089870	3725	1996-03-31	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
1089871	3725	1996-04-30	VYDAJ	VYBER	15	23825	SLUZBY	\N	\N
1089872	3725	1996-05-31	VYDAJ	VYBER	15	22877	SLUZBY	\N	\N
1089873	3725	1996-06-30	VYDAJ	VYBER	15	38768	SLUZBY	\N	\N
1089874	3725	1996-07-31	VYDAJ	VYBER	15	37431	SLUZBY	\N	\N
1089875	3725	1996-08-31	VYDAJ	VYBER	15	37408	SLUZBY	\N	\N
1089876	3725	1996-09-30	VYDAJ	VYBER	15	34499	SLUZBY	\N	\N
1089877	3725	1996-10-31	VYDAJ	VYBER	15	39504	SLUZBY	\N	\N
1089878	3725	1996-11-30	VYDAJ	VYBER	15	34739	SLUZBY	\N	\N
1089879	3725	1996-12-31	VYDAJ	VYBER	15	44441	SLUZBY	\N	\N
1089880	3725	1997-01-31	VYDAJ	VYBER	15	36575	SLUZBY	\N	\N
1089881	3725	1997-02-28	VYDAJ	VYBER	15	46084	SLUZBY	\N	\N
1089882	3725	1997-03-31	VYDAJ	VYBER	15	53004	SLUZBY	\N	\N
1089883	3725	1997-04-30	VYDAJ	VYBER	15	54474	SLUZBY	\N	\N
1089884	3725	1997-05-31	VYDAJ	VYBER	15	56049	SLUZBY	\N	\N
1089885	3725	1997-06-30	VYDAJ	VYBER	15	55626	SLUZBY	\N	\N
1089886	3725	1997-07-31	VYDAJ	VYBER	15	50927	SLUZBY	\N	\N
1089887	3725	1997-08-31	VYDAJ	VYBER	15	50093	SLUZBY	\N	\N
1089888	3725	1997-09-30	VYDAJ	VYBER	15	48655	SLUZBY	\N	\N
1089889	3725	1997-10-31	VYDAJ	VYBER	15	52713	SLUZBY	\N	\N
1089890	3725	1997-11-30	VYDAJ	VYBER	15	54186	SLUZBY	\N	\N
1089891	3725	1997-12-31	VYDAJ	VYBER	15	58713	SLUZBY	\N	\N
1089892	3725	1998-01-31	VYDAJ	VYBER	15	51368	SLUZBY	\N	\N
1089893	3725	1998-02-28	VYDAJ	VYBER	15	57636	SLUZBY	\N	\N
1089894	3725	1998-03-31	VYDAJ	VYBER	15	55166	SLUZBY	\N	\N
1089895	3725	1998-04-30	VYDAJ	VYBER	15	55091	SLUZBY	\N	\N
1089896	3725	1998-05-31	VYDAJ	VYBER	15	57673	SLUZBY	\N	\N
1089897	3725	1998-06-30	VYDAJ	VYBER	15	53994	SLUZBY	\N	\N
1089898	3725	1998-07-31	VYDAJ	VYBER	15	61274	SLUZBY	\N	\N
1089899	3725	1998-08-31	VYDAJ	VYBER	15	64079	SLUZBY	\N	\N
1089900	3725	1998-09-30	VYDAJ	VYBER	15	64693	SLUZBY	\N	\N
1089901	3725	1998-10-31	VYDAJ	VYBER	15	68112	SLUZBY	\N	\N
1089902	3725	1998-11-30	VYDAJ	VYBER	15	64701	SLUZBY	\N	\N
1089903	3725	1995-07-11	PRIJEM	VKLAD	2700	20493	\N	\N	\N
1089904	3725	1995-08-10	VYDAJ	VYBER	6700	30844	\N	\N	\N
1089905	3725	1995-09-09	VYDAJ	VYBER	16400	31553	\N	\N	\N
1089906	3725	1995-10-09	VYDAJ	VYBER	15600	33077	\N	\N	\N
1089907	3725	1995-11-08	VYDAJ	VYBER	13200	37006	\N	\N	\N
1089908	3725	1995-12-08	VYDAJ	VYBER	16900	38071	\N	\N	\N
1089909	3725	1996-01-07	VYDAJ	VYBER	10500	30030	\N	\N	\N
1089910	3725	1996-02-06	VYDAJ	VYBER	4000	30421	\N	\N	\N
1089911	3725	1996-03-07	VYDAJ	VYBER	6600	33257	\N	\N	\N
1089912	3725	1996-04-06	VYDAJ	VYBER	9900	31363	\N	\N	\N
1089913	3725	1996-05-06	VYDAJ	VYBER	10400	30418	\N	\N	\N
1089914	3725	1996-06-05	VYDAJ	VYBER	2100	20777	\N	\N	\N
1089915	3725	1996-07-05	VYDAJ	VYBER	8800	29968	\N	\N	\N
1089916	3725	1996-08-04	VYDAJ	VYBER	6400	27911	\N	\N	\N
1089917	3725	1996-09-03	VYDAJ	VYBER	10000	27408	\N	\N	\N
1089918	3725	1996-10-03	VYDAJ	VYBER	4500	29999	\N	\N	\N
1089919	3725	1996-11-02	VYDAJ	VYBER	9100	30404	\N	\N	\N
1089920	3725	1996-12-02	VYDAJ	VYBER	4200	28939	\N	\N	\N
1089921	3725	1997-01-01	VYDAJ	VYBER	7200	37241	\N	\N	\N
1089922	3725	1997-01-31	PRIJEM	VKLAD	2900	36412	\N	\N	\N
1089923	3725	1997-03-02	VYDAJ	VYBER	1200	44884	\N	\N	\N
1089924	3725	1997-04-01	VYDAJ	VYBER	8100	44904	\N	\N	\N
1089925	3725	1997-05-01	VYDAJ	VYBER	8000	46474	\N	\N	\N
1089926	3725	1997-05-31	VYDAJ	VYBER	7100	48949	\N	\N	\N
1089927	3725	1997-06-30	VYDAJ	VYBER	11400	55640	\N	\N	\N
1089928	3725	1997-07-30	VYDAJ	VYBER	11400	50697	\N	\N	\N
1089929	3725	1997-08-29	VYDAJ	VYBER	10400	49878	\N	\N	\N
1089930	3725	1997-09-28	VYDAJ	VYBER	11000	48444	\N	\N	\N
1089931	3725	1997-10-28	VYDAJ	VYBER	5500	52506	\N	\N	\N
1089932	3725	1997-11-27	VYDAJ	VYBER	8100	53964	\N	\N	\N
1089933	3725	1997-12-27	VYDAJ	VYBER	6600	58473	\N	\N	\N
1089934	3725	1998-01-26	VYDAJ	VYBER	600	54504	\N	\N	\N
1089935	3725	1998-02-25	VYDAJ	VYBER	3300	57419	\N	\N	\N
1089936	3725	1998-03-27	VYDAJ	VYBER	2700	54927	\N	\N	\N
1089937	3725	1998-04-26	VYDAJ	VYBER	4500	54857	\N	\N	\N
1089938	3725	1998-05-26	VYDAJ	VYBER	7000	57442	\N	\N	\N
1089939	3725	1998-06-25	VYDAJ	VYBER	9300	66220	\N	\N	\N
1089940	3725	1998-07-25	VYDAJ	VYBER	2300	61045	\N	\N	\N
1089941	3725	1998-08-24	VYDAJ	VYBER	6800	63825	\N	\N	\N
1089942	3725	1998-09-23	VYDAJ	VYBER	9000	64430	\N	\N	\N
1089943	3725	1998-10-23	VYDAJ	VYBER	6200	67844	\N	\N	\N
1089944	3725	1998-11-22	VYDAJ	VYBER	11600	64423	\N	\N	\N
1089987	3726	1996-07-14	PRIJEM	VKLAD	400	400	\N	\N	\N
1089988	3726	1996-10-13	PRIJEM	VKLAD	38742	106656	\N	\N	\N
1089992	3726	1996-10-30	PRIJEM	VKLAD	9003	115659	\N	\N	\N
1089995	3726	1996-09-28	PRIJEM	VKLAD	48118	81623	\N	\N	\N
1090000	3726	1996-12-17	PRIJEM	VKLAD	40552	70396	\N	\N	\N
1090001	3726	1996-10-03	PRIJEM	VKLAD	24382	106114	\N	\N	\N
1090004	3726	1996-12-05	PRIJEM	VKLAD	13641	55717	\N	\N	\N
1090009	3726	1996-09-04	PRIJEM	VKLAD	32005	45205	\N	\N	\N
1090011	3726	1997-10-13	PRIJEM	VKLAD	37829	69566	\N	\N	\N
1090012	3726	1997-02-15	PRIJEM	VKLAD	9704	19893	\N	\N	\N
1090013	3726	1997-06-16	PRIJEM	VKLAD	41401	54317	\N	\N	\N
1090014	3726	1998-07-09	PRIJEM	VKLAD	17922	43038	\N	\N	\N
1090015	3726	1998-04-15	PRIJEM	VKLAD	49308	110453	\N	\N	\N
1090016	3726	1998-01-09	PRIJEM	VKLAD	37972	69878	\N	\N	\N
1090017	3726	1998-09-08	PRIJEM	VKLAD	14188	41154	\N	\N	\N
1090018	3726	1998-06-27	PRIJEM	VKLAD	31728	110366	\N	\N	\N
1090019	3726	1998-06-16	PRIJEM	VKLAD	46515	69421	\N	\N	\N
1090020	3726	1998-10-15	PRIJEM	VKLAD	39423	66253	\N	\N	\N
1090021	3726	1998-08-22	PRIJEM	VKLAD	41527	60555	\N	\N	\N
1090022	3726	1998-06-24	PRIJEM	VKLAD	46317	113038	\N	\N	\N
1090023	3726	1998-04-08	PRIJEM	VKLAD	29679	72618	\N	\N	\N
1090024	3726	1998-12-19	PRIJEM	VKLAD	39647	44883	\N	\N	\N
1090025	3726	1998-03-10	PRIJEM	VKLAD	14228	66074	\N	\N	\N
1090026	3726	1998-12-27	PRIJEM	VKLAD	31829	71312	\N	\N	\N
1090027	3726	1998-02-19	PRIJEM	VKLAD	45054	67494	\N	\N	\N
1090028	3726	1998-04-21	PRIJEM	VKLAD	49915	90668	\N	\N	\N
1090029	3726	1998-01-25	PRIJEM	VKLAD	33741	59146	\N	\N	\N
1090030	3726	1998-08-24	PRIJEM	VKLAD	46294	106849	\N	\N	\N
1090031	3726	1998-09-26	PRIJEM	VKLAD	29906	53587	\N	\N	\N
1090042	3726	1996-11-13	VYDAJ	PREVOD NA UCET	6785	41865	SIPO	MN	64175748
1090043	3726	1996-12-13	VYDAJ	PREVOD NA UCET	6785	29844	SIPO	MN	64175748
1090044	3726	1997-01-13	VYDAJ	PREVOD NA UCET	6785	29032	SIPO	MN	64175748
1090045	3726	1997-02-13	VYDAJ	PREVOD NA UCET	6785	10189	SIPO	MN	64175748
1090046	3726	1997-03-13	VYDAJ	PREVOD NA UCET	6785	16085	SIPO	MN	64175748
1090047	3726	1997-04-13	VYDAJ	PREVOD NA UCET	6785	13972	SIPO	MN	64175748
1090048	3726	1997-05-13	VYDAJ	PREVOD NA UCET	6785	12747	SIPO	MN	64175748
1090049	3726	1997-06-13	VYDAJ	PREVOD NA UCET	6785	12916	SIPO	MN	64175748
1090050	3726	1997-07-13	VYDAJ	PREVOD NA UCET	6785	27257	SIPO	MN	64175748
1090051	3726	1997-08-13	VYDAJ	PREVOD NA UCET	6785	27694	SIPO	MN	64175748
1090052	3726	1997-09-13	VYDAJ	PREVOD NA UCET	6785	27623	SIPO	MN	64175748
1090053	3726	1997-10-13	VYDAJ	PREVOD NA UCET	6785	62781	SIPO	MN	64175748
1090054	3726	1997-11-13	VYDAJ	PREVOD NA UCET	6785	36820	SIPO	MN	64175748
1090055	3726	1997-12-13	VYDAJ	PREVOD NA UCET	6785	22120	SIPO	MN	64175748
1090056	3726	1998-01-13	VYDAJ	PREVOD NA UCET	6785	60505	SIPO	MN	64175748
1090057	3726	1998-02-13	VYDAJ	PREVOD NA UCET	6785	22440	SIPO	MN	64175748
1090058	3726	1998-03-13	VYDAJ	PREVOD NA UCET	6785	56701	SIPO	MN	64175748
1090059	3726	1998-04-13	VYDAJ	PREVOD NA UCET	6785	61145	SIPO	MN	64175748
1090060	3726	1998-05-13	VYDAJ	PREVOD NA UCET	6785	37452	SIPO	MN	64175748
1090061	3726	1998-06-13	VYDAJ	PREVOD NA UCET	6785	22906	SIPO	MN	64175748
1090062	3726	1998-07-13	VYDAJ	PREVOD NA UCET	6785	33665	SIPO	MN	64175748
1090063	3726	1998-08-13	VYDAJ	PREVOD NA UCET	6785	19028	SIPO	MN	64175748
1090064	3726	1998-09-13	VYDAJ	PREVOD NA UCET	6785	23681	SIPO	MN	64175748
1090065	3726	1998-10-13	VYDAJ	PREVOD NA UCET	6785	26830	SIPO	MN	64175748
1090066	3726	1998-11-13	VYDAJ	PREVOD NA UCET	6785	17895	SIPO	MN	64175748
1090067	3726	1998-12-13	VYDAJ	PREVOD NA UCET	6785	5236	SIPO	MN	64175748
1090078	3726	1996-11-11	VYDAJ	PREVOD NA UCET	2588	48650	 	WX	41449713
1090079	3726	1996-12-11	VYDAJ	PREVOD NA UCET	2588	36629	 	WX	41449713
1090080	3726	1997-01-11	VYDAJ	PREVOD NA UCET	2588	35817	 	WX	41449713
1090081	3726	1997-02-11	VYDAJ	PREVOD NA UCET	2588	16974	 	WX	41449713
1090082	3726	1997-03-11	VYDAJ	PREVOD NA UCET	2588	22870	 	WX	41449713
1090083	3726	1997-04-11	VYDAJ	PREVOD NA UCET	2588	20757	 	WX	41449713
1090084	3726	1997-05-11	VYDAJ	PREVOD NA UCET	2588	19532	 	WX	41449713
1090085	3726	1997-06-11	VYDAJ	PREVOD NA UCET	2588	19701	 	WX	41449713
1090086	3726	1997-07-11	VYDAJ	PREVOD NA UCET	2588	34042	 	WX	41449713
1090087	3726	1997-08-11	VYDAJ	PREVOD NA UCET	2588	34479	 	WX	41449713
1090088	3726	1997-09-11	VYDAJ	PREVOD NA UCET	2588	34408	 	WX	41449713
1090089	3726	1997-10-11	VYDAJ	PREVOD NA UCET	2588	31737	 	WX	41449713
1090090	3726	1997-11-11	VYDAJ	PREVOD NA UCET	2588	43605	 	WX	41449713
1090091	3726	1997-12-11	VYDAJ	PREVOD NA UCET	2588	28905	 	WX	41449713
1090092	3726	1998-01-11	VYDAJ	PREVOD NA UCET	2588	67290	 	WX	41449713
1090093	3726	1998-02-11	VYDAJ	PREVOD NA UCET	2588	29225	 	WX	41449713
1090094	3726	1998-03-11	VYDAJ	PREVOD NA UCET	2588	63486	 	WX	41449713
1090095	3726	1998-04-11	VYDAJ	PREVOD NA UCET	2588	70030	 	WX	41449713
1090096	3726	1998-05-11	VYDAJ	PREVOD NA UCET	2588	55945	 	WX	41449713
1090097	3726	1998-06-11	VYDAJ	PREVOD NA UCET	2588	29691	 	WX	41449713
1090098	3726	1998-07-11	VYDAJ	PREVOD NA UCET	2588	40450	 	WX	41449713
1090099	3726	1998-08-11	VYDAJ	PREVOD NA UCET	2588	25813	 	WX	41449713
1090100	3726	1998-09-11	VYDAJ	PREVOD NA UCET	2588	30466	 	WX	41449713
1090101	3726	1998-10-11	VYDAJ	PREVOD NA UCET	2588	33615	 	WX	41449713
1090102	3726	1998-11-11	VYDAJ	PREVOD NA UCET	2588	33680	 	WX	41449713
1090103	3726	1998-12-11	VYDAJ	PREVOD NA UCET	2588	12021	 	WX	41449713
1090111	3726	1997-06-22	VYBER	VYBER	19890	34427	\N	\N	\N
1090112	3726	1997-11-24	VYBER	VYBER	12884	23936	\N	\N	\N
1090118	3726	1998-01-25	VYBER	VYBER	19753	39393	\N	\N	\N
1090121	3726	1998-08-29	VYBER	VYBER	18186	24763	\N	\N	\N
1090122	3726	1998-07-06	VYBER	VYBER	23969	25116	\N	\N	\N
1090124	3726	1998-05-13	VYBER	VYBER	11708	44237	\N	\N	\N
1090132	3726	1998-01-13	VYDAJ	VYBER	23400	32905	\N	\N	\N
1090133	3726	1996-12-17	VYDAJ	VYBER	7500	62896	\N	\N	\N
1090134	3726	1997-12-07	VYDAJ	VYBER	3900	31493	\N	\N	\N
1090135	3726	1998-12-24	VYDAJ	VYBER	5400	39483	\N	\N	\N
1090143	3726	1997-01-14	VYDAJ	VYBER	7800	21232	\N	\N	\N
1090144	3726	1997-01-26	VYDAJ	VYBER	1800	19432	\N	\N	\N
1090147	3726	1997-01-03	VYDAJ	VYBER	3900	59205	\N	\N	\N
1090148	3726	1998-01-19	VYDAJ	VYBER	5400	27505	\N	\N	\N
1090149	3726	1998-01-26	VYDAJ	VYBER	8100	31293	\N	\N	\N
1090150	3726	1998-01-21	VYDAJ	VYBER	2100	25405	\N	\N	\N
1090151	3726	1998-01-30	VYDAJ	VYBER	1500	25293	\N	\N	\N
1090152	3726	1998-01-27	VYDAJ	VYBER	4500	26793	\N	\N	\N
1090160	3726	1997-10-02	VYDAJ	VYBER	3900	23825	\N	\N	\N
1090163	3726	1997-11-08	VYDAJ	VYBER	6300	46193	\N	\N	\N
1090165	3726	1998-12-27	VYDAJ	VYBER	4800	66512	\N	\N	\N
1090166	3726	1998-06-20	VYDAJ	VYBER	2700	66721	\N	\N	\N
1090167	3726	1998-01-13	VYDAJ	VYBER	4200	56305	\N	\N	\N
1090168	3726	1998-04-18	VYDAJ	VYBER	12900	40753	\N	\N	\N
1090169	3726	1998-09-11	VYDAJ	VYBER	8100	33054	\N	\N	\N
1090170	3726	1998-04-23	VYDAJ	VYBER	5400	85268	\N	\N	\N
1090171	3726	1998-04-12	VYDAJ	VYBER	2100	67930	\N	\N	\N
1090172	3726	1998-07-21	VYDAJ	VYBER	8700	24965	\N	\N	\N
1090173	3726	1998-10-27	VYDAJ	VYBER	12600	53653	\N	\N	\N
1090174	3726	1998-11-13	VYDAJ	VYBER	9000	24680	\N	\N	\N
1090185	3726	1996-10-31	VYDAJ	VYBER	15	76838	SLUZBY	\N	\N
1090186	3726	1996-11-30	VYDAJ	VYBER	15	42076	SLUZBY	\N	\N
1090187	3726	1996-12-31	VYDAJ	VYBER	15	63105	SLUZBY	\N	\N
1090188	3726	1997-01-31	VYDAJ	VYBER	15	19562	SLUZBY	\N	\N
1090189	3726	1997-02-28	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
1090190	3726	1997-03-31	VYDAJ	VYBER	15	16145	SLUZBY	\N	\N
1090191	3726	1997-04-30	VYDAJ	VYBER	15	14020	SLUZBY	\N	\N
1090192	3726	1997-05-31	VYDAJ	VYBER	15	12789	SLUZBY	\N	\N
1090193	3726	1997-06-30	VYDAJ	VYBER	15	34530	SLUZBY	\N	\N
1090194	3726	1997-07-31	VYDAJ	VYBER	15	27367	SLUZBY	\N	\N
1090195	3726	1997-08-31	VYDAJ	VYBER	15	27796	SLUZBY	\N	\N
1090196	3726	1997-09-30	VYDAJ	VYBER	15	27725	SLUZBY	\N	\N
1090197	3726	1997-10-31	VYDAJ	VYBER	15	62993	SLUZBY	\N	\N
1090198	3726	1997-11-30	VYDAJ	VYBER	15	24093	SLUZBY	\N	\N
1090199	3726	1997-12-31	VYDAJ	VYBER	15	22206	SLUZBY	\N	\N
1090200	3726	1998-01-31	VYDAJ	VYBER	15	25413	SLUZBY	\N	\N
1090201	3726	1998-02-28	VYDAJ	VYBER	15	67646	SLUZBY	\N	\N
1090202	3726	1998-03-31	VYDAJ	VYBER	15	56939	SLUZBY	\N	\N
1090203	3726	1998-04-30	VYDAJ	VYBER	15	85533	SLUZBY	\N	\N
1090204	3726	1998-05-31	VYDAJ	VYBER	15	37679	SLUZBY	\N	\N
1090205	3726	1998-06-30	VYDAJ	VYBER	15	67485	SLUZBY	\N	\N
1090206	3726	1998-07-31	VYDAJ	VYBER	15	25101	SLUZBY	\N	\N
1090207	3726	1998-08-31	VYDAJ	VYBER	15	24866	SLUZBY	\N	\N
1090208	3726	1998-09-30	VYDAJ	VYBER	15	53703	SLUZBY	\N	\N
1090209	3726	1998-10-31	VYDAJ	VYBER	15	53868	SLUZBY	\N	\N
1090210	3726	1998-11-30	VYDAJ	VYBER	15	18009	SLUZBY	\N	\N
1090211	3726	1996-08-13	PRIJEM	VKLAD	12800	13200	\N	\N	\N
1090212	3726	1996-09-12	VYDAJ	VYBER	11700	33505	\N	\N	\N
1090213	3726	1996-10-12	VYDAJ	VYBER	38200	67914	\N	\N	\N
1090214	3726	1996-10-30	VYDAJ	VYBER	39200	76459	\N	\N	\N
1090215	3726	1996-11-11	VYDAJ	VYBER	25600	51238	\N	\N	\N
1090216	3726	1996-12-11	VYDAJ	VYBER	16500	39217	\N	\N	\N
1090217	3726	1997-01-10	VYDAJ	VYBER	20800	38405	\N	\N	\N
1090218	3726	1997-03-11	PRIJEM	VKLAD	5500	25458	\N	\N	\N
1090219	3726	1997-04-10	PRIJEM	VKLAD	7200	23345	\N	\N	\N
1090220	3726	1997-05-10	PRIJEM	VKLAD	8100	22120	\N	\N	\N
1090221	3726	1997-06-09	PRIJEM	VKLAD	9500	22289	\N	\N	\N
1090222	3726	1997-07-09	PRIJEM	VKLAD	2100	36630	\N	\N	\N
1090223	3726	1997-08-08	PRIJEM	VKLAD	9700	37067	\N	\N	\N
1090224	3726	1997-09-07	PRIJEM	VKLAD	9200	36996	\N	\N	\N
1090225	3726	1997-10-07	PRIJEM	VKLAD	10500	34325	\N	\N	\N
1090226	3726	1997-11-06	VYDAJ	VYBER	10500	52493	\N	\N	\N
1090227	3726	1997-12-06	PRIJEM	VKLAD	11300	35393	\N	\N	\N
1090228	3726	1998-01-05	PRIJEM	VKLAD	9700	31906	\N	\N	\N
1090229	3726	1998-02-04	PRIJEM	VKLAD	6400	31813	\N	\N	\N
1090230	3726	1998-03-06	VYDAJ	VYBER	15800	51846	\N	\N	\N
1090231	3726	1998-04-05	VYDAJ	VYBER	14000	42939	\N	\N	\N
1090232	3726	1998-04-15	VYDAJ	VYBER	56800	53653	\N	\N	\N
1090233	3726	1998-05-05	VYDAJ	VYBER	27000	58533	\N	\N	\N
1090234	3726	1998-06-04	VYDAJ	VYBER	5400	32279	\N	\N	\N
1090235	3726	1998-06-24	VYDAJ	VYBER	34400	78638	\N	\N	\N
1090236	3726	1998-06-30	VYDAJ	VYBER	43100	67500	\N	\N	\N
1090237	3726	1998-07-04	VYDAJ	VYBER	18400	49085	\N	\N	\N
1090238	3726	1998-08-03	PRIJEM	VKLAD	3300	28401	\N	\N	\N
1090239	3726	1998-08-24	VYDAJ	VYBER	63900	42949	\N	\N	\N
1090240	3726	1998-09-02	PRIJEM	VKLAD	2100	26966	\N	\N	\N
1090241	3726	1998-10-02	VYDAJ	VYBER	17500	36203	\N	\N	\N
1090242	3726	1998-11-01	VYDAJ	VYBER	17600	36268	\N	\N	\N
1090243	3726	1998-12-01	VYDAJ	VYBER	3400	14609	\N	\N	\N
1090272	3727	1996-01-19	PRIJEM	VKLAD	600	600	\N	\N	\N
1090274	3727	1996-02-12	PRIJEM	VKLAD	12696	13296	\N	\N	\N
1090275	3727	1996-03-12	PRIJEM	VKLAD	12696	31424	\N	\N	\N
1090276	3727	1996-04-12	PRIJEM	VKLAD	12696	42417	\N	\N	\N
1090277	3727	1996-05-12	PRIJEM	VKLAD	12696	45442	\N	\N	\N
1090278	3727	1996-06-12	PRIJEM	VKLAD	19044	55629	\N	\N	\N
1090279	3727	1996-07-12	PRIJEM	VKLAD	12696	45708	\N	\N	\N
1090280	3727	1996-08-12	PRIJEM	VKLAD	12696	40584	\N	\N	\N
1090281	3727	1996-09-12	PRIJEM	VKLAD	12696	31536	\N	\N	\N
1090282	3727	1996-10-12	PRIJEM	VKLAD	12696	35070	\N	\N	\N
1090283	3727	1996-11-12	PRIJEM	VKLAD	12696	37517	\N	\N	\N
1090284	3727	1996-12-12	PRIJEM	VKLAD	19044	44618	\N	\N	\N
1090285	3727	1997-01-12	PRIJEM	VKLAD	12696	42570	\N	\N	\N
1090286	3727	1997-02-12	PRIJEM	VKLAD	12696	29150	\N	\N	\N
1090287	3727	1997-03-12	PRIJEM	VKLAD	12696	33258	\N	\N	\N
1090288	3727	1997-04-12	PRIJEM	VKLAD	12696	39506	\N	\N	\N
1090289	3727	1997-05-12	PRIJEM	VKLAD	12696	42272	\N	\N	\N
1090290	3727	1997-06-12	PRIJEM	VKLAD	19044	52800	\N	\N	\N
1090291	3727	1997-07-12	PRIJEM	VKLAD	12696	50700	\N	\N	\N
1090292	3727	1997-08-12	PRIJEM	VKLAD	12696	56316	\N	\N	\N
1090293	3727	1997-09-12	PRIJEM	VKLAD	12696	61453	\N	\N	\N
1090294	3727	1997-10-12	PRIJEM	VKLAD	12696	62813	\N	\N	\N
1090295	3727	1997-11-12	PRIJEM	VKLAD	12696	69283	\N	\N	\N
1090296	3727	1997-12-12	PRIJEM	VKLAD	19044	75702	\N	\N	\N
1090297	3727	1998-01-12	PRIJEM	VKLAD	12696	74216	\N	\N	\N
1090298	3727	1998-02-12	PRIJEM	VKLAD	12696	70119	\N	\N	\N
1090299	3727	1998-03-12	PRIJEM	VKLAD	12696	70722	\N	\N	\N
1090300	3727	1998-04-12	PRIJEM	VKLAD	12696	78619	\N	\N	\N
1090301	3727	1998-05-12	PRIJEM	VKLAD	12696	79948	\N	\N	\N
1090302	3727	1998-06-12	PRIJEM	VKLAD	19044	75456	\N	\N	\N
1090303	3727	1998-07-12	PRIJEM	VKLAD	12696	75779	\N	\N	\N
1090304	3727	1998-08-12	PRIJEM	VKLAD	12696	70705	\N	\N	\N
1090305	3727	1998-09-12	PRIJEM	VKLAD	12696	66706	\N	\N	\N
1090306	3727	1998-10-12	PRIJEM	VKLAD	12696	71492	\N	\N	\N
1090307	3727	1998-11-12	PRIJEM	VKLAD	12696	74494	\N	\N	\N
1090308	3727	1998-12-12	PRIJEM	VKLAD	19044	82056	\N	\N	\N
1090315	3727	1996-07-07	VYDAJ	PREVOD NA UCET	6598	33012	SIPO	OP	1811063
1090316	3727	1996-08-07	VYDAJ	PREVOD NA UCET	6598	27888	SIPO	OP	1811063
1090317	3727	1996-09-07	VYDAJ	PREVOD NA UCET	6598	18840	SIPO	OP	1811063
1090318	3727	1996-10-07	VYDAJ	PREVOD NA UCET	6598	22374	SIPO	OP	1811063
1090319	3727	1996-11-07	VYDAJ	PREVOD NA UCET	6598	24821	SIPO	OP	1811063
1090320	3727	1996-12-07	VYDAJ	PREVOD NA UCET	6598	25574	SIPO	OP	1811063
1090321	3727	1997-01-07	VYDAJ	PREVOD NA UCET	6598	29874	SIPO	OP	1811063
1090322	3727	1997-02-07	VYDAJ	PREVOD NA UCET	6598	16454	SIPO	OP	1811063
1090323	3727	1997-03-07	VYDAJ	PREVOD NA UCET	6598	20562	SIPO	OP	1811063
1090324	3727	1997-04-07	VYDAJ	PREVOD NA UCET	6598	26810	SIPO	OP	1811063
1090325	3727	1997-05-07	VYDAJ	PREVOD NA UCET	6598	29576	SIPO	OP	1811063
1090326	3727	1997-06-07	VYDAJ	PREVOD NA UCET	6598	33756	SIPO	OP	1811063
1090327	3727	1997-07-07	VYDAJ	PREVOD NA UCET	6598	38004	SIPO	OP	1811063
1090328	3727	1997-08-07	VYDAJ	PREVOD NA UCET	6598	41820	SIPO	OP	1811063
1090329	3727	1997-09-07	VYDAJ	PREVOD NA UCET	6598	48057	SIPO	OP	1811063
1090330	3727	1997-10-07	VYDAJ	PREVOD NA UCET	6598	53217	SIPO	OP	1811063
1090331	3727	1997-11-07	VYDAJ	PREVOD NA UCET	6598	54587	SIPO	OP	1811063
1090332	3727	1997-12-07	VYDAJ	PREVOD NA UCET	6598	59958	SIPO	OP	1811063
1090333	3727	1998-01-07	VYDAJ	PREVOD NA UCET	6598	67520	SIPO	OP	1811063
1090334	3727	1998-02-07	VYDAJ	PREVOD NA UCET	6598	57423	SIPO	OP	1811063
1090335	3727	1998-03-07	VYDAJ	PREVOD NA UCET	6598	56626	SIPO	OP	1811063
1090336	3727	1998-04-07	VYDAJ	PREVOD NA UCET	6598	62523	SIPO	OP	1811063
1090337	3727	1998-05-07	VYDAJ	PREVOD NA UCET	6598	70452	SIPO	OP	1811063
1090338	3727	1998-06-07	VYDAJ	PREVOD NA UCET	6598	56412	SIPO	OP	1811063
1090339	3727	1998-07-07	VYDAJ	PREVOD NA UCET	6598	67283	SIPO	OP	1811063
1090340	3727	1998-08-07	VYDAJ	PREVOD NA UCET	6598	58009	SIPO	OP	1811063
1090341	3727	1998-09-07	VYDAJ	PREVOD NA UCET	6598	54010	SIPO	OP	1811063
1090342	3727	1998-10-07	VYDAJ	PREVOD NA UCET	6598	58796	SIPO	OP	1811063
1090343	3727	1998-11-07	VYDAJ	PREVOD NA UCET	6598	61798	SIPO	OP	1811063
1090344	3727	1998-12-07	VYDAJ	PREVOD NA UCET	6598	66712	SIPO	OP	1811063
1090351	3727	1996-07-06	VYDAJ	PREVOD NA UCET	836	39610	 	ST	36931669
1090352	3727	1996-08-06	VYDAJ	PREVOD NA UCET	836	34486	 	ST	36931669
1090353	3727	1996-09-06	VYDAJ	PREVOD NA UCET	836	25438	 	ST	36931669
1090354	3727	1996-10-06	VYDAJ	PREVOD NA UCET	836	28972	 	ST	36931669
1090355	3727	1996-11-06	VYDAJ	PREVOD NA UCET	836	31419	 	ST	36931669
1090356	3727	1996-12-06	VYDAJ	PREVOD NA UCET	836	32172	 	ST	36931669
1090357	3727	1997-01-06	VYDAJ	PREVOD NA UCET	836	36472	 	ST	36931669
1090358	3727	1997-02-06	VYDAJ	PREVOD NA UCET	836	23052	 	ST	36931669
1090359	3727	1997-03-06	VYDAJ	PREVOD NA UCET	836	27160	 	ST	36931669
1090360	3727	1997-04-06	VYDAJ	PREVOD NA UCET	836	33408	 	ST	36931669
1090361	3727	1997-05-06	VYDAJ	PREVOD NA UCET	836	36174	 	ST	36931669
1090362	3727	1997-06-06	VYDAJ	PREVOD NA UCET	836	40354	 	ST	36931669
1090363	3727	1997-07-06	VYDAJ	PREVOD NA UCET	836	44602	 	ST	36931669
1090364	3727	1997-08-06	VYDAJ	PREVOD NA UCET	836	48418	 	ST	36931669
1090365	3727	1997-09-06	VYDAJ	PREVOD NA UCET	836	54655	 	ST	36931669
1090366	3727	1997-10-06	VYDAJ	PREVOD NA UCET	836	59815	 	ST	36931669
1090367	3727	1997-11-06	VYDAJ	PREVOD NA UCET	836	61185	 	ST	36931669
1090368	3727	1997-12-06	VYDAJ	PREVOD NA UCET	836	66556	 	ST	36931669
1090369	3727	1998-01-06	VYDAJ	PREVOD NA UCET	836	74118	 	ST	36931669
1090370	3727	1998-02-06	VYDAJ	PREVOD NA UCET	836	59021	 	ST	36931669
1090371	3727	1998-03-06	VYDAJ	PREVOD NA UCET	836	63224	 	ST	36931669
1090372	3727	1998-04-06	VYDAJ	PREVOD NA UCET	836	69121	 	ST	36931669
1090373	3727	1998-05-06	VYDAJ	PREVOD NA UCET	836	77050	 	ST	36931669
1090374	3727	1998-06-06	VYDAJ	PREVOD NA UCET	836	57910	 	ST	36931669
1090375	3727	1998-07-06	VYDAJ	PREVOD NA UCET	836	73881	 	ST	36931669
1090376	3727	1998-08-06	VYDAJ	PREVOD NA UCET	836	64607	 	ST	36931669
1090377	3727	1998-09-06	VYDAJ	PREVOD NA UCET	836	60608	 	ST	36931669
1090378	3727	1998-10-06	VYDAJ	PREVOD NA UCET	836	65394	 	ST	36931669
1090379	3727	1998-11-06	VYDAJ	PREVOD NA UCET	836	68396	 	ST	36931669
1090380	3727	1998-12-06	VYDAJ	PREVOD NA UCET	836	73310	 	ST	36931669
1090387	3727	1996-07-05	VYDAJ	PREVOD NA UCET	1030	40446	POJISTNE	QR	60296291
1090388	3727	1996-08-05	VYDAJ	PREVOD NA UCET	1030	35322	POJISTNE	QR	60296291
1090389	3727	1996-09-05	VYDAJ	PREVOD NA UCET	1030	26274	POJISTNE	QR	60296291
1090390	3727	1996-10-05	VYDAJ	PREVOD NA UCET	1030	29808	POJISTNE	QR	60296291
1090391	3727	1996-11-05	VYDAJ	PREVOD NA UCET	1030	32255	POJISTNE	QR	60296291
1090392	3727	1996-12-05	VYDAJ	PREVOD NA UCET	1030	33008	POJISTNE	QR	60296291
1090393	3727	1997-01-05	VYDAJ	PREVOD NA UCET	1030	37308	POJISTNE	QR	60296291
1090394	3727	1997-02-05	VYDAJ	PREVOD NA UCET	1030	23888	POJISTNE	QR	60296291
1090395	3727	1997-03-05	VYDAJ	PREVOD NA UCET	1030	27996	POJISTNE	QR	60296291
1090396	3727	1997-04-05	VYDAJ	PREVOD NA UCET	1030	34244	POJISTNE	QR	60296291
1090397	3727	1997-05-05	VYDAJ	PREVOD NA UCET	1030	37010	POJISTNE	QR	60296291
1090398	3727	1997-06-05	VYDAJ	PREVOD NA UCET	1030	41190	POJISTNE	QR	60296291
1090399	3727	1997-07-05	VYDAJ	PREVOD NA UCET	1030	45438	POJISTNE	QR	60296291
1090400	3727	1997-08-05	VYDAJ	PREVOD NA UCET	1030	49254	POJISTNE	QR	60296291
1090401	3727	1997-09-05	VYDAJ	PREVOD NA UCET	1030	55491	POJISTNE	QR	60296291
1090402	3727	1997-10-05	VYDAJ	PREVOD NA UCET	1030	60651	POJISTNE	QR	60296291
1090403	3727	1997-11-05	VYDAJ	PREVOD NA UCET	1030	62021	POJISTNE	QR	60296291
1090404	3727	1997-12-05	VYDAJ	PREVOD NA UCET	1030	67392	POJISTNE	QR	60296291
1090405	3727	1998-01-05	VYDAJ	PREVOD NA UCET	1030	74954	POJISTNE	QR	60296291
1090406	3727	1998-02-05	VYDAJ	PREVOD NA UCET	1030	59857	POJISTNE	QR	60296291
1090407	3727	1998-03-05	VYDAJ	PREVOD NA UCET	1030	64060	POJISTNE	QR	60296291
1090408	3727	1998-04-05	VYDAJ	PREVOD NA UCET	1030	69957	POJISTNE	QR	60296291
1090409	3727	1998-05-05	VYDAJ	PREVOD NA UCET	1030	77886	POJISTNE	QR	60296291
1090410	3727	1998-06-05	VYDAJ	PREVOD NA UCET	1030	79226	POJISTNE	QR	60296291
1090411	3727	1998-07-05	VYDAJ	PREVOD NA UCET	1030	74717	POJISTNE	QR	60296291
1090412	3727	1998-08-05	VYDAJ	PREVOD NA UCET	1030	69643	POJISTNE	QR	60296291
1090413	3727	1998-09-05	VYDAJ	PREVOD NA UCET	1030	61444	POJISTNE	QR	60296291
1090414	3727	1998-10-05	VYDAJ	PREVOD NA UCET	1030	66230	POJISTNE	QR	60296291
1090415	3727	1998-11-05	VYDAJ	PREVOD NA UCET	1030	69232	POJISTNE	QR	60296291
1090416	3727	1998-12-05	VYDAJ	PREVOD NA UCET	1030	74146	POJISTNE	QR	60296291
1090419	3727	1998-06-05	VYDAJ	VYBER	20480	58746	\N	\N	\N
1090421	3727	1997-01-22	VYDAJ	VYBER	12320	28150	\N	\N	\N
1090422	3727	1998-01-18	VYDAJ	VYBER	9280	64936	\N	\N	\N
1090423	3727	1996-12-30	VYDAJ	VYBER	2720	38198	\N	\N	\N
1090424	3727	1997-12-01	VYDAJ	VYBER	1120	68422	\N	\N	\N
1090425	3727	1998-12-16	VYDAJ	VYBER KARTOU	3700	78356	\N	\N	0
1090427	3727	1996-08-24	VYDAJ	VYBER	5400	27184	\N	\N	\N
1090429	3727	1997-02-01	VYDAJ	VYBER	3360	24918	\N	\N	\N
1090430	3727	1997-06-14	VYDAJ	VYBER	1800	46300	\N	\N	\N
1090431	3727	1997-02-25	VYDAJ	VYBER	720	28930	\N	\N	\N
1090432	3727	1998-02-04	VYDAJ	VYBER	4320	60887	\N	\N	\N
1090433	3727	1998-07-31	VYDAJ	VYBER	5400	70687	\N	\N	\N
1090434	3727	1998-11-04	VYDAJ	VYBER KARTOU	3400	70262	\N	\N	0
1090435	3727	1998-12-10	VYDAJ	VYBER KARTOU	3700	63012	\N	\N	0
1090436	3727	1998-02-16	VYDAJ	VYBER	5280	64839	\N	\N	\N
1090443	3727	1996-06-30	VYDAJ	VYBER	15	41476	SLUZBY	\N	\N
1090444	3727	1996-07-31	VYDAJ	VYBER	15	36352	SLUZBY	\N	\N
1090445	3727	1996-08-31	VYDAJ	VYBER	15	27304	SLUZBY	\N	\N
1090446	3727	1996-09-30	VYDAJ	VYBER	15	30838	SLUZBY	\N	\N
1090447	3727	1996-10-31	VYDAJ	VYBER	15	33285	SLUZBY	\N	\N
1090448	3727	1996-11-30	VYDAJ	VYBER	15	34038	SLUZBY	\N	\N
1090449	3727	1996-12-31	VYDAJ	VYBER	15	38338	SLUZBY	\N	\N
1090450	3727	1997-01-31	VYDAJ	VYBER	15	28278	SLUZBY	\N	\N
1090451	3727	1997-02-28	VYDAJ	VYBER	15	29026	SLUZBY	\N	\N
1090452	3727	1997-03-31	VYDAJ	VYBER	15	35274	SLUZBY	\N	\N
1090453	3727	1997-04-30	VYDAJ	VYBER	15	38040	SLUZBY	\N	\N
1090454	3727	1997-05-31	VYDAJ	VYBER	15	42220	SLUZBY	\N	\N
1090455	3727	1997-06-30	VYDAJ	VYBER	15	46468	SLUZBY	\N	\N
1090456	3727	1997-07-31	VYDAJ	VYBER	15	50284	SLUZBY	\N	\N
1090457	3727	1997-08-31	VYDAJ	VYBER	15	56521	SLUZBY	\N	\N
1090458	3727	1997-09-30	VYDAJ	VYBER	15	61681	SLUZBY	\N	\N
1090459	3727	1997-10-31	VYDAJ	VYBER	15	63051	SLUZBY	\N	\N
1090460	3727	1997-11-30	VYDAJ	VYBER	15	69542	SLUZBY	\N	\N
1090461	3727	1997-12-31	VYDAJ	VYBER	15	75984	SLUZBY	\N	\N
1090462	3727	1998-01-31	VYDAJ	VYBER	15	65207	SLUZBY	\N	\N
1090463	3727	1998-02-28	VYDAJ	VYBER	15	65090	SLUZBY	\N	\N
1090464	3727	1998-03-31	VYDAJ	VYBER	15	70987	SLUZBY	\N	\N
1090465	3727	1998-04-30	VYDAJ	VYBER	15	78916	SLUZBY	\N	\N
1090466	3727	1998-05-31	VYDAJ	VYBER	15	80256	SLUZBY	\N	\N
1090467	3727	1998-06-30	VYDAJ	VYBER	15	75747	SLUZBY	\N	\N
1090468	3727	1998-07-31	VYDAJ	VYBER	15	70673	SLUZBY	\N	\N
1090469	3727	1998-08-31	VYDAJ	VYBER	15	70974	SLUZBY	\N	\N
1090470	3727	1998-09-30	VYDAJ	VYBER	15	66960	SLUZBY	\N	\N
1090471	3727	1998-10-31	VYDAJ	VYBER	15	71762	SLUZBY	\N	\N
1090472	3727	1998-11-30	VYDAJ	VYBER	15	74776	SLUZBY	\N	\N
1090473	3727	1996-02-18	PRIJEM	VKLAD	5400	18696	\N	\N	\N
1090474	3727	1996-03-19	VYDAJ	VYBER	1800	29624	\N	\N	\N
1090475	3727	1996-04-18	VYDAJ	VYBER	9800	32617	\N	\N	\N
1090476	3727	1996-05-18	VYDAJ	VYBER	9000	36442	\N	\N	\N
1090477	3727	1996-06-17	VYDAJ	VYBER	14300	41329	\N	\N	\N
1090478	3727	1996-07-17	VYDAJ	VYBER	9500	36208	\N	\N	\N
1090479	3727	1996-08-16	VYDAJ	VYBER	8000	32584	\N	\N	\N
1090480	3727	1996-09-15	VYDAJ	VYBER	800	30736	\N	\N	\N
1090481	3727	1996-10-15	VYDAJ	VYBER	1900	33170	\N	\N	\N
1090482	3727	1996-11-14	VYDAJ	VYBER	3600	33917	\N	\N	\N
1090483	3727	1996-12-14	VYDAJ	VYBER	3700	40918	\N	\N	\N
1090484	3727	1997-01-13	VYDAJ	VYBER	2100	40470	\N	\N	\N
1090485	3727	1997-02-12	PRIJEM	VKLAD	500	29650	\N	\N	\N
1090486	3727	1997-03-14	PRIJEM	VKLAD	1900	35158	\N	\N	\N
1090487	3727	1997-04-13	VYDAJ	VYBER	1600	37906	\N	\N	\N
1090488	3727	1997-05-13	VYDAJ	VYBER	200	42072	\N	\N	\N
1090489	3727	1997-06-12	VYDAJ	VYBER	4700	48100	\N	\N	\N
1090490	3727	1997-07-12	VYDAJ	VYBER	600	50100	\N	\N	\N
1090491	3727	1997-08-11	PRIJEM	VKLAD	1800	43620	\N	\N	\N
1090492	3727	1997-09-10	PRIJEM	VKLAD	700	48757	\N	\N	\N
1090493	3727	1997-10-10	VYDAJ	VYBER	3100	50117	\N	\N	\N
1090494	3727	1997-11-09	PRIJEM	VKLAD	2000	56587	\N	\N	\N
1090495	3727	1997-12-09	VYDAJ	VYBER	3300	56658	\N	\N	\N
1090496	3727	1998-01-08	VYDAJ	VYBER	6000	61520	\N	\N	\N
1090497	3727	1998-02-07	PRIJEM	VKLAD	5000	64021	\N	\N	\N
1090498	3727	1998-03-09	PRIJEM	VKLAD	1400	58026	\N	\N	\N
1090499	3727	1998-04-08	PRIJEM	VKLAD	3400	65923	\N	\N	\N
1090500	3727	1998-05-08	VYDAJ	VYBER	3200	67252	\N	\N	\N
1090501	3727	1998-06-07	PRIJEM	VKLAD	5100	63010	\N	\N	\N
1090502	3727	1998-07-07	VYDAJ	VYBER	4200	63083	\N	\N	\N
1090503	3727	1998-08-06	VYDAJ	VYBER	4200	65443	\N	\N	\N
1090504	3727	1998-09-05	VYDAJ	VYBER	8500	62474	\N	\N	\N
1090505	3727	1998-10-05	PRIJEM	VKLAD	300	67260	\N	\N	\N
1090506	3727	1998-11-04	PRIJEM	VKLAD	1900	73662	\N	\N	\N
1090507	3727	1998-12-04	PRIJEM	VKLAD	400	75176	\N	\N	\N
1090543	3728	1994-08-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1090552	3728	1994-09-05	PRIJEM	PREVOD Z UCTU	11213	12213	\N	CD	97748749
1090553	3728	1994-10-05	PRIJEM	PREVOD Z UCTU	11213	29962	\N	CD	97748749
1090554	3728	1994-11-05	PRIJEM	PREVOD Z UCTU	11213	37969	\N	CD	97748749
1090555	3728	1994-12-05	PRIJEM	PREVOD Z UCTU	16820	47108	\N	CD	97748749
1090556	3728	1995-01-05	PRIJEM	PREVOD Z UCTU	11213	43952	\N	CD	97748749
1090557	3728	1995-02-05	PRIJEM	PREVOD Z UCTU	11213	32470	\N	CD	97748749
1090558	3728	1995-03-05	PRIJEM	PREVOD Z UCTU	11213	39874	\N	CD	97748749
1090559	3728	1995-04-05	PRIJEM	PREVOD Z UCTU	11213	36278	\N	CD	97748749
1090560	3728	1995-05-05	PRIJEM	PREVOD Z UCTU	11213	38786	\N	CD	97748749
1090561	3728	1995-06-05	PRIJEM	PREVOD Z UCTU	16820	38208	\N	CD	97748749
1090562	3728	1995-07-05	PRIJEM	PREVOD Z UCTU	11213	35279	\N	CD	97748749
1090563	3728	1995-08-05	PRIJEM	PREVOD Z UCTU	11213	33918	\N	CD	97748749
1090564	3728	1995-09-05	PRIJEM	PREVOD Z UCTU	11213	39224	\N	CD	97748749
1090565	3728	1995-10-05	PRIJEM	PREVOD Z UCTU	11213	33476	\N	CD	97748749
1090566	3728	1995-11-05	PRIJEM	PREVOD Z UCTU	11213	31397	\N	CD	97748749
1090567	3728	1995-12-05	PRIJEM	PREVOD Z UCTU	16820	43103	\N	CD	97748749
1090568	3728	1996-01-05	PRIJEM	PREVOD Z UCTU	11213	32320	\N	CD	97748749
1090569	3728	1996-02-05	PRIJEM	PREVOD Z UCTU	11213	32614	\N	CD	97748749
1090570	3728	1996-03-05	PRIJEM	PREVOD Z UCTU	11213	39622	\N	CD	97748749
1090571	3728	1996-04-05	PRIJEM	PREVOD Z UCTU	11213	41143	\N	CD	97748749
1090572	3728	1996-05-05	PRIJEM	PREVOD Z UCTU	11213	45278	\N	CD	97748749
1090573	3728	1996-06-05	PRIJEM	PREVOD Z UCTU	16820	42608	\N	CD	97748749
1090574	3728	1996-07-05	PRIJEM	PREVOD Z UCTU	11213	41728	\N	CD	97748749
1090575	3728	1996-08-05	PRIJEM	PREVOD Z UCTU	11213	32062	\N	CD	97748749
1090576	3728	1996-09-05	PRIJEM	PREVOD Z UCTU	11213	40575	\N	CD	97748749
1090577	3728	1996-10-05	PRIJEM	PREVOD Z UCTU	11213	43204	\N	CD	97748749
1090578	3728	1996-11-05	PRIJEM	PREVOD Z UCTU	11213	43938	\N	CD	97748749
1090579	3728	1996-12-05	PRIJEM	PREVOD Z UCTU	16820	40166	\N	CD	97748749
1090580	3728	1997-01-05	PRIJEM	PREVOD Z UCTU	11213	36080	\N	CD	97748749
1090581	3728	1997-02-05	PRIJEM	PREVOD Z UCTU	11213	34287	\N	CD	97748749
1090582	3728	1997-03-05	PRIJEM	PREVOD Z UCTU	11213	45619	\N	CD	97748749
1090583	3728	1997-04-05	PRIJEM	PREVOD Z UCTU	11213	40459	\N	CD	97748749
1090584	3728	1997-05-05	PRIJEM	PREVOD Z UCTU	11213	41209	\N	CD	97748749
1090585	3728	1997-06-05	PRIJEM	PREVOD Z UCTU	16820	48166	\N	CD	97748749
1090586	3728	1997-07-05	PRIJEM	PREVOD Z UCTU	11213	48157	\N	CD	97748749
1090587	3728	1997-08-05	PRIJEM	PREVOD Z UCTU	11213	45255	\N	CD	97748749
1090588	3728	1997-09-05	PRIJEM	PREVOD Z UCTU	11213	43843	\N	CD	97748749
1090589	3728	1997-10-05	PRIJEM	PREVOD Z UCTU	11213	39124	\N	CD	97748749
1090590	3728	1997-11-05	PRIJEM	PREVOD Z UCTU	11213	36985	\N	CD	97748749
1090591	3728	1997-12-05	PRIJEM	PREVOD Z UCTU	16820	44497	\N	CD	97748749
1090592	3728	1998-01-05	PRIJEM	PREVOD Z UCTU	11213	33768	\N	CD	97748749
1090593	3728	1998-02-05	PRIJEM	PREVOD Z UCTU	11213	35662	\N	CD	97748749
1090594	3728	1998-03-05	PRIJEM	PREVOD Z UCTU	11213	38170	\N	CD	97748749
1090595	3728	1998-04-05	PRIJEM	PREVOD Z UCTU	11213	37280	\N	CD	97748749
1090596	3728	1998-05-05	PRIJEM	PREVOD Z UCTU	11213	34878	\N	CD	97748749
1090597	3728	1998-06-05	PRIJEM	PREVOD Z UCTU	16820	42981	\N	CD	97748749
1090598	3728	1998-07-05	PRIJEM	PREVOD Z UCTU	11213	41118	\N	CD	97748749
1090599	3728	1998-08-05	PRIJEM	PREVOD Z UCTU	11213	43540	\N	CD	97748749
1090600	3728	1998-09-05	PRIJEM	PREVOD Z UCTU	11213	42871	\N	CD	97748749
1090601	3728	1998-10-05	PRIJEM	PREVOD Z UCTU	11213	36418	\N	CD	97748749
1090602	3728	1998-11-05	PRIJEM	PREVOD Z UCTU	11213	33171	\N	CD	97748749
1090603	3728	1998-12-05	PRIJEM	PREVOD Z UCTU	16820	38839	\N	CD	97748749
1090612	3728	1995-10-26	VYBER	VYBER	8680	20096	\N	\N	\N
1090617	3728	1995-07-11	VYBER	VYBER	11256	24023	\N	\N	\N
1090619	3728	1995-09-28	VYBER	VYBER	3156	22168	\N	\N	\N
1090620	3728	1995-06-14	VYBER	VYBER	9857	28351	\N	\N	\N
1090621	3728	1995-03-07	VYBER	VYBER	15700	24174	\N	\N	\N
1090622	3728	1996-07-18	VYBER	VYBER	11375	20753	\N	\N	\N
1090623	3728	1997-12-07	VYBER	VYBER	4550	39947	\N	\N	\N
1090624	3728	1998-11-24	VYBER	VYBER	8427	24744	\N	\N	\N
1090625	3728	1998-10-27	VYBER	VYBER	2846	21872	\N	\N	\N
1090635	3728	1996-01-20	VYDAJ	VYBER	4200	21320	\N	\N	\N
1090639	3728	1995-12-20	VYDAJ	VYBER	8700	21003	\N	\N	\N
1090640	3728	1996-12-29	VYDAJ	VYBER	4200	24966	\N	\N	\N
1090641	3728	1997-12-23	VYDAJ	VYBER	3600	22547	\N	\N	\N
1090642	3728	1998-12-24	VYDAJ	VYBER	8700	30139	\N	\N	\N
1090651	3728	1995-01-16	VYDAJ	VYBER	2400	28052	\N	\N	\N
1090653	3728	1995-01-22	VYDAJ	VYBER	5100	22952	\N	\N	\N
1090654	3728	1995-01-13	VYDAJ	VYBER	3300	40652	\N	\N	\N
1090659	3728	1996-01-07	VYDAJ	VYBER	5700	26620	\N	\N	\N
1090660	3728	1996-01-08	VYDAJ	VYBER	2400	24220	\N	\N	\N
1090661	3728	1997-01-02	VYDAJ	VYBER	1800	23267	\N	\N	\N
1090663	3728	1997-01-19	VYDAJ	VYBER	6600	21080	\N	\N	\N
1090664	3728	1997-01-05	VYDAJ	VYBER	2400	33680	\N	\N	\N
1090665	3728	1997-01-03	VYDAJ	VYBER	2400	20867	\N	\N	\N
1090666	3728	1997-01-13	VYDAJ	VYBER	6000	27680	\N	\N	\N
1090667	3728	1998-01-07	VYDAJ	VYBER	5700	22068	\N	\N	\N
1090670	3728	1998-01-05	VYDAJ	VYBER	6000	27768	\N	\N	\N
1090683	3728	1995-09-13	VYDAJ	VYBER	4200	25324	\N	\N	\N
1090684	3728	1995-06-03	VYDAJ	VYBER	6900	21388	\N	\N	\N
1090686	3728	1995-01-28	VYDAJ	VYBER	1800	21152	\N	\N	\N
1090689	3728	1995-12-05	VYDAJ	VYBER	5400	37703	\N	\N	\N
1090690	3728	1996-05-17	VYDAJ	VYBER	8400	25678	\N	\N	\N
1090693	3728	1996-11-18	VYDAJ	VYBER	11700	23238	\N	\N	\N
1090695	3728	1997-04-18	VYDAJ	VYBER	6600	33859	\N	\N	\N
1090696	3728	1997-12-17	VYDAJ	VYBER	13800	26147	\N	\N	\N
1090697	3728	1997-05-17	VYDAJ	VYBER	7800	33409	\N	\N	\N
1090698	3728	1998-02-15	VYDAJ	VYBER	6600	29062	\N	\N	\N
1090699	3728	1998-06-09	VYDAJ	VYBER	5700	37281	\N	\N	\N
1090700	3728	1998-04-13	VYDAJ	VYBER	14100	23180	\N	\N	\N
1090701	3728	1998-03-09	VYDAJ	VYBER	11100	27070	\N	\N	\N
1090702	3728	1998-09-29	VYDAJ	VYBER	2100	25071	\N	\N	\N
1090703	3728	1998-09-09	VYDAJ	VYBER	1800	41071	\N	\N	\N
1090718	3728	1995-01-31	VYDAJ	VYBER	15	21257	SLUZBY	\N	\N
1090719	3728	1995-02-28	VYDAJ	VYBER	15	28661	SLUZBY	\N	\N
1090720	3728	1995-03-31	VYDAJ	VYBER	15	25065	SLUZBY	\N	\N
1090721	3728	1995-04-30	VYDAJ	VYBER	15	27573	SLUZBY	\N	\N
1090722	3728	1995-05-31	VYDAJ	VYBER	15	28288	SLUZBY	\N	\N
1090723	3728	1995-06-30	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
1090724	3728	1995-07-31	VYDAJ	VYBER	15	22705	SLUZBY	\N	\N
1090725	3728	1995-08-31	VYDAJ	VYBER	15	28011	SLUZBY	\N	\N
1090726	3728	1995-09-30	VYDAJ	VYBER	15	22263	SLUZBY	\N	\N
1090727	3728	1995-10-31	VYDAJ	VYBER	15	20184	SLUZBY	\N	\N
1090728	3728	1995-11-30	VYDAJ	VYBER	15	26283	SLUZBY	\N	\N
1090729	3728	1995-12-31	VYDAJ	VYBER	15	21107	SLUZBY	\N	\N
1090730	3728	1996-01-31	VYDAJ	VYBER	15	21401	SLUZBY	\N	\N
1090731	3728	1996-02-29	VYDAJ	VYBER	15	28409	SLUZBY	\N	\N
1090732	3728	1996-03-31	VYDAJ	VYBER	15	29930	SLUZBY	\N	\N
1090733	3728	1996-04-30	VYDAJ	VYBER	15	34065	SLUZBY	\N	\N
1090734	3728	1996-05-31	VYDAJ	VYBER	15	25788	SLUZBY	\N	\N
1090735	3728	1996-06-30	VYDAJ	VYBER	15	30515	SLUZBY	\N	\N
1090736	3728	1996-07-31	VYDAJ	VYBER	15	20849	SLUZBY	\N	\N
1090737	3728	1996-08-31	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
1090738	3728	1996-09-30	VYDAJ	VYBER	15	31991	SLUZBY	\N	\N
1090739	3728	1996-10-31	VYDAJ	VYBER	15	32725	SLUZBY	\N	\N
1090740	3728	1996-11-30	VYDAJ	VYBER	15	23346	SLUZBY	\N	\N
1090741	3728	1996-12-31	VYDAJ	VYBER	15	25067	SLUZBY	\N	\N
1090742	3728	1997-01-31	VYDAJ	VYBER	15	21174	SLUZBY	\N	\N
1090743	3728	1997-02-28	VYDAJ	VYBER	15	34406	SLUZBY	\N	\N
1090744	3728	1997-03-31	VYDAJ	VYBER	15	33946	SLUZBY	\N	\N
1090745	3728	1997-04-30	VYDAJ	VYBER	15	33996	SLUZBY	\N	\N
1090746	3728	1997-05-31	VYDAJ	VYBER	15	33546	SLUZBY	\N	\N
1090747	3728	1997-06-30	VYDAJ	VYBER	15	48344	SLUZBY	\N	\N
1090748	3728	1997-07-31	VYDAJ	VYBER	15	48342	SLUZBY	\N	\N
1090749	3728	1997-08-31	VYDAJ	VYBER	15	45430	SLUZBY	\N	\N
1090750	3728	1997-09-30	VYDAJ	VYBER	15	44011	SLUZBY	\N	\N
1090751	3728	1997-10-31	VYDAJ	VYBER	15	25772	SLUZBY	\N	\N
1090752	3728	1997-11-30	VYDAJ	VYBER	15	37077	SLUZBY	\N	\N
1090753	3728	1997-12-31	VYDAJ	VYBER	15	22555	SLUZBY	\N	\N
1090754	3728	1998-01-31	VYDAJ	VYBER	15	24449	SLUZBY	\N	\N
1090755	3728	1998-02-28	VYDAJ	VYBER	15	26957	SLUZBY	\N	\N
1090756	3728	1998-03-31	VYDAJ	VYBER	15	26067	SLUZBY	\N	\N
1090757	3728	1998-04-30	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
1090758	3728	1998-05-31	VYDAJ	VYBER	15	26161	SLUZBY	\N	\N
1090759	3728	1998-06-30	VYDAJ	VYBER	15	29905	SLUZBY	\N	\N
1090760	3728	1998-07-31	VYDAJ	VYBER	15	32327	SLUZBY	\N	\N
1090761	3728	1998-08-31	VYDAJ	VYBER	15	31658	SLUZBY	\N	\N
1090762	3728	1998-09-30	VYDAJ	VYBER	15	25205	SLUZBY	\N	\N
1090763	3728	1998-10-31	VYDAJ	VYBER	15	21958	SLUZBY	\N	\N
1090764	3728	1998-11-30	VYDAJ	VYBER	15	22019	SLUZBY	\N	\N
1090765	3728	1994-09-17	PRIJEM	VKLAD	6500	18713	\N	\N	\N
1090766	3728	1994-10-17	VYDAJ	VYBER	3300	26662	\N	\N	\N
1090767	3728	1994-11-16	VYDAJ	VYBER	7800	30169	\N	\N	\N
1090768	3728	1994-12-16	VYDAJ	VYBER	14500	32608	\N	\N	\N
1090769	3728	1995-01-15	VYDAJ	VYBER	10200	30452	\N	\N	\N
1090770	3728	1995-02-14	VYDAJ	VYBER	3900	28570	\N	\N	\N
1090771	3728	1995-03-16	PRIJEM	VKLAD	800	24974	\N	\N	\N
1090772	3728	1995-04-15	VYDAJ	VYBER	8800	27478	\N	\N	\N
1090773	3728	1995-05-15	VYDAJ	VYBER	10600	28186	\N	\N	\N
1090774	3728	1995-06-14	VYDAJ	VYBER	4400	23951	\N	\N	\N
1090775	3728	1995-07-14	VYDAJ	VYBER	1400	22623	\N	\N	\N
1090776	3728	1995-08-13	VYDAJ	VYBER	6000	27918	\N	\N	\N
1090777	3728	1995-09-12	VYDAJ	VYBER	9700	29524	\N	\N	\N
1090778	3728	1995-10-12	VYDAJ	VYBER	4700	28776	\N	\N	\N
1090779	3728	1995-11-11	VYDAJ	VYBER	5200	26197	\N	\N	\N
1090780	3728	1995-12-11	VYDAJ	VYBER	8000	29703	\N	\N	\N
1090781	3728	1996-01-10	PRIJEM	VKLAD	1300	25520	\N	\N	\N
1090782	3728	1996-02-09	VYDAJ	VYBER	4300	28314	\N	\N	\N
1090783	3728	1996-03-10	VYDAJ	VYBER	9800	29822	\N	\N	\N
1090784	3728	1996-04-09	VYDAJ	VYBER	7200	33943	\N	\N	\N
1090785	3728	1996-05-09	VYDAJ	VYBER	11200	34078	\N	\N	\N
1090786	3728	1996-06-08	VYDAJ	VYBER	12200	30408	\N	\N	\N
1090787	3728	1996-07-08	VYDAJ	VYBER	9600	32128	\N	\N	\N
1090788	3728	1996-08-07	VYDAJ	VYBER	2800	29262	\N	\N	\N
1090789	3728	1996-09-06	VYDAJ	VYBER	8700	31875	\N	\N	\N
1090790	3728	1996-10-06	VYDAJ	VYBER	10600	32604	\N	\N	\N
1090791	3728	1996-11-05	VYDAJ	VYBER	9000	34938	\N	\N	\N
1090792	3728	1996-12-05	VYDAJ	VYBER	11000	29166	\N	\N	\N
1090793	3728	1997-01-04	PRIJEM	VKLAD	4000	24867	\N	\N	\N
1090794	3728	1997-02-03	PRIJEM	VKLAD	1900	23074	\N	\N	\N
1090795	3728	1997-03-05	VYDAJ	VYBER	11800	33819	\N	\N	\N
1090796	3728	1997-04-04	VYDAJ	VYBER	4700	29246	\N	\N	\N
1090797	3728	1997-05-04	VYDAJ	VYBER	4000	29996	\N	\N	\N
1090798	3728	1997-06-03	VYDAJ	VYBER	2200	31346	\N	\N	\N
1090799	3728	1997-07-03	VYDAJ	VYBER	11400	36944	\N	\N	\N
1090800	3728	1997-08-02	VYDAJ	VYBER	14300	34042	\N	\N	\N
1090801	3728	1997-09-01	VYDAJ	VYBER	12800	32630	\N	\N	\N
1090802	3728	1997-10-01	VYDAJ	VYBER	16100	27911	\N	\N	\N
1090803	3728	1997-10-31	VYDAJ	VYBER	13500	25787	\N	\N	\N
1090804	3728	1997-11-30	VYDAJ	VYBER	9400	27677	\N	\N	\N
1090805	3728	1997-12-30	VYDAJ	VYBER	100	22447	\N	\N	\N
1090806	3728	1998-01-29	PRIJEM	VKLAD	2300	24368	\N	\N	\N
1090807	3728	1998-02-28	VYDAJ	VYBER	2200	26972	\N	\N	\N
1090808	3728	1998-03-30	VYDAJ	VYBER	1100	25970	\N	\N	\N
1090809	3728	1998-04-29	PRIJEM	VKLAD	400	23580	\N	\N	\N
1090810	3728	1998-05-29	VYDAJ	VYBER	8800	26078	\N	\N	\N
1090811	3728	1998-06-28	VYDAJ	VYBER	7500	29781	\N	\N	\N
1090812	3728	1998-07-28	VYDAJ	VYBER	8900	32218	\N	\N	\N
1090813	3728	1998-08-27	VYDAJ	VYBER	12000	31540	\N	\N	\N
1090814	3728	1998-09-26	VYDAJ	VYBER	13900	27171	\N	\N	\N
1090815	3728	1998-10-26	VYDAJ	VYBER	11700	24718	\N	\N	\N
1090816	3728	1998-11-25	VYDAJ	VYBER	2800	21944	\N	\N	\N
1090869	3729	1995-04-14	PRIJEM	VKLAD	300	300	\N	\N	\N
1090874	3729	1995-05-07	PRIJEM	PREVOD Z UCTU	4412	4712	DUCHOD	QR	81732165
1090875	3729	1995-06-07	PRIJEM	PREVOD Z UCTU	4412	9124	DUCHOD	QR	81732165
1090876	3729	1995-07-07	PRIJEM	PREVOD Z UCTU	4412	13536	DUCHOD	QR	81732165
1090877	3729	1995-08-07	PRIJEM	PREVOD Z UCTU	4412	17948	DUCHOD	QR	81732165
1090878	3729	1995-09-07	PRIJEM	PREVOD Z UCTU	4412	22360	DUCHOD	QR	81732165
1090879	3729	1995-10-07	PRIJEM	PREVOD Z UCTU	4412	23876	DUCHOD	QR	81732165
1090880	3729	1995-11-07	PRIJEM	PREVOD Z UCTU	4412	25418	DUCHOD	QR	81732165
1090881	3729	1995-12-07	PRIJEM	PREVOD Z UCTU	4412	19872	DUCHOD	QR	81732165
1090882	3729	1996-01-07	PRIJEM	PREVOD Z UCTU	4412	20397	DUCHOD	QR	81732165
1090883	3729	1996-02-07	PRIJEM	PREVOD Z UCTU	4412	20670	DUCHOD	QR	81732165
1090884	3729	1996-03-07	PRIJEM	PREVOD Z UCTU	4412	22199	DUCHOD	QR	81732165
1090885	3729	1996-04-07	PRIJEM	PREVOD Z UCTU	4412	21636	DUCHOD	QR	81732165
1090886	3729	1996-05-07	PRIJEM	PREVOD Z UCTU	4412	22568	DUCHOD	QR	81732165
1090887	3729	1996-06-07	PRIJEM	PREVOD Z UCTU	4412	20896	DUCHOD	QR	81732165
1090888	3729	1996-07-07	PRIJEM	PREVOD Z UCTU	4412	22425	DUCHOD	QR	81732165
1090889	3729	1996-08-07	PRIJEM	PREVOD Z UCTU	4412	20777	DUCHOD	QR	81732165
1090890	3729	1996-09-07	PRIJEM	PREVOD Z UCTU	4412	19823	DUCHOD	QR	81732165
1090891	3729	1996-10-07	PRIJEM	PREVOD Z UCTU	4412	18783	DUCHOD	QR	81732165
1090892	3729	1996-11-07	PRIJEM	PREVOD Z UCTU	4412	20304	DUCHOD	QR	81732165
1090893	3729	1996-12-07	PRIJEM	PREVOD Z UCTU	4412	19431	DUCHOD	QR	81732165
1090894	3729	1997-01-07	PRIJEM	PREVOD Z UCTU	4412	19605	DUCHOD	QR	81732165
1090895	3729	1997-02-07	PRIJEM	PREVOD Z UCTU	4412	19728	DUCHOD	QR	81732165
1090896	3729	1997-03-07	PRIJEM	PREVOD Z UCTU	4412	19255	DUCHOD	QR	81732165
1090897	3729	1997-04-07	PRIJEM	PREVOD Z UCTU	4412	20280	DUCHOD	QR	81732165
1090898	3729	1997-05-07	PRIJEM	PREVOD Z UCTU	4412	17908	DUCHOD	QR	81732165
1090996	3729	1998-08-24	VYDAJ	VYBER	400	13976	\N	\N	\N
1090899	3729	1997-06-07	PRIJEM	PREVOD Z UCTU	4412	17630	DUCHOD	QR	81732165
1090900	3729	1997-07-07	PRIJEM	PREVOD Z UCTU	4412	17726	DUCHOD	QR	81732165
1090901	3729	1997-08-07	PRIJEM	PREVOD Z UCTU	4412	17444	DUCHOD	QR	81732165
1090902	3729	1997-09-07	PRIJEM	PREVOD Z UCTU	4412	18262	DUCHOD	QR	81732165
1090903	3729	1997-10-07	PRIJEM	PREVOD Z UCTU	4412	18340	DUCHOD	QR	81732165
1090904	3729	1997-11-07	PRIJEM	PREVOD Z UCTU	4412	19861	DUCHOD	QR	81732165
1090905	3729	1997-12-07	PRIJEM	PREVOD Z UCTU	4412	18505	DUCHOD	QR	81732165
1090906	3729	1998-01-07	PRIJEM	PREVOD Z UCTU	4412	19273	DUCHOD	QR	81732165
1090907	3729	1998-02-07	PRIJEM	PREVOD Z UCTU	4412	18390	DUCHOD	QR	81732165
1090908	3729	1998-03-07	PRIJEM	PREVOD Z UCTU	4412	19909	DUCHOD	QR	81732165
1090909	3729	1998-04-07	PRIJEM	PREVOD Z UCTU	4412	21434	DUCHOD	QR	81732165
1090910	3729	1998-05-07	PRIJEM	PREVOD Z UCTU	4412	22965	DUCHOD	QR	81732165
1090911	3729	1998-06-07	PRIJEM	PREVOD Z UCTU	4412	24503	DUCHOD	QR	81732165
1090912	3729	1998-07-07	PRIJEM	PREVOD Z UCTU	4412	24043	DUCHOD	QR	81732165
1090913	3729	1998-08-07	PRIJEM	PREVOD Z UCTU	4412	17317	DUCHOD	QR	81732165
1090914	3729	1998-09-07	PRIJEM	PREVOD Z UCTU	4412	18430	DUCHOD	QR	81732165
1090915	3729	1998-10-07	PRIJEM	PREVOD Z UCTU	4412	19949	DUCHOD	QR	81732165
1090916	3729	1998-11-07	PRIJEM	PREVOD Z UCTU	4412	18425	DUCHOD	QR	81732165
1090917	3729	1998-12-07	PRIJEM	PREVOD Z UCTU	4412	19944	DUCHOD	QR	81732165
1090926	3729	1995-09-09	VYDAJ	PREVOD NA UCET	2941	19419	SIPO	OP	52811223
1090927	3729	1995-10-09	VYDAJ	PREVOD NA UCET	2941	20935	SIPO	OP	52811223
1090928	3729	1995-11-09	VYDAJ	PREVOD NA UCET	2941	22477	SIPO	OP	52811223
1090929	3729	1995-12-09	VYDAJ	PREVOD NA UCET	2941	16931	SIPO	OP	52811223
1090930	3729	1996-01-09	VYDAJ	PREVOD NA UCET	2941	17456	SIPO	OP	52811223
1090931	3729	1996-02-09	VYDAJ	PREVOD NA UCET	2941	17729	SIPO	OP	52811223
1090932	3729	1996-03-09	VYDAJ	PREVOD NA UCET	2941	17158	SIPO	OP	52811223
1090933	3729	1996-04-09	VYDAJ	PREVOD NA UCET	2941	18095	SIPO	OP	52811223
1090934	3729	1996-05-09	VYDAJ	PREVOD NA UCET	2941	16827	SIPO	OP	52811223
1090935	3729	1996-06-09	VYDAJ	PREVOD NA UCET	2941	17955	SIPO	OP	52811223
1090936	3729	1996-07-09	VYDAJ	PREVOD NA UCET	2941	18384	SIPO	OP	52811223
1090937	3729	1996-08-09	VYDAJ	PREVOD NA UCET	2941	17836	SIPO	OP	52811223
1090938	3729	1996-09-09	VYDAJ	PREVOD NA UCET	2941	16882	SIPO	OP	52811223
1090939	3729	1996-10-09	VYDAJ	PREVOD NA UCET	2941	15842	SIPO	OP	52811223
1090940	3729	1996-11-09	VYDAJ	PREVOD NA UCET	2941	17363	SIPO	OP	52811223
1090941	3729	1996-12-09	VYDAJ	PREVOD NA UCET	2941	16490	SIPO	OP	52811223
1090942	3729	1997-01-09	VYDAJ	PREVOD NA UCET	2941	16664	SIPO	OP	52811223
1090943	3729	1997-02-09	VYDAJ	PREVOD NA UCET	2941	16787	SIPO	OP	52811223
1090944	3729	1997-03-09	VYDAJ	PREVOD NA UCET	2941	16314	SIPO	OP	52811223
1090945	3729	1997-04-09	VYDAJ	PREVOD NA UCET	2941	17339	SIPO	OP	52811223
1090946	3729	1997-05-09	VYDAJ	PREVOD NA UCET	2941	14967	SIPO	OP	52811223
1090947	3729	1997-06-09	VYDAJ	PREVOD NA UCET	2941	14689	SIPO	OP	52811223
1090948	3729	1997-07-09	VYDAJ	PREVOD NA UCET	2941	14785	SIPO	OP	52811223
1090949	3729	1997-08-09	VYDAJ	PREVOD NA UCET	2941	14503	SIPO	OP	52811223
1090950	3729	1997-09-09	VYDAJ	PREVOD NA UCET	2941	15321	SIPO	OP	52811223
1090951	3729	1997-10-09	VYDAJ	PREVOD NA UCET	2941	15399	SIPO	OP	52811223
1090952	3729	1997-11-09	VYDAJ	PREVOD NA UCET	2941	16920	SIPO	OP	52811223
1090953	3729	1997-12-09	VYDAJ	PREVOD NA UCET	2941	15564	SIPO	OP	52811223
1090954	3729	1998-01-09	VYDAJ	PREVOD NA UCET	2941	16332	SIPO	OP	52811223
1090955	3729	1998-02-09	VYDAJ	PREVOD NA UCET	2941	15449	SIPO	OP	52811223
1090956	3729	1998-03-09	VYDAJ	PREVOD NA UCET	2941	16968	SIPO	OP	52811223
1090957	3729	1998-04-09	VYDAJ	PREVOD NA UCET	2941	18493	SIPO	OP	52811223
1090958	3729	1998-05-09	VYDAJ	PREVOD NA UCET	2941	20024	SIPO	OP	52811223
1090959	3729	1998-06-09	VYDAJ	PREVOD NA UCET	2941	21562	SIPO	OP	52811223
1090960	3729	1998-07-09	VYDAJ	PREVOD NA UCET	2941	21102	SIPO	OP	52811223
1090961	3729	1998-08-09	VYDAJ	PREVOD NA UCET	2941	14376	SIPO	OP	52811223
1090962	3729	1998-09-09	VYDAJ	PREVOD NA UCET	2941	15489	SIPO	OP	52811223
1090963	3729	1998-10-09	VYDAJ	PREVOD NA UCET	2941	17008	SIPO	OP	52811223
1090964	3729	1998-11-09	VYDAJ	PREVOD NA UCET	2941	15484	SIPO	OP	52811223
1090965	3729	1998-12-09	VYDAJ	PREVOD NA UCET	2941	17003	SIPO	OP	52811223
1090969	3729	1998-06-17	VYDAJ	VYBER	2000	19562	\N	\N	\N
1090971	3729	1996-01-10	VYDAJ	VYBER	1250	16206	\N	\N	\N
1090972	3729	1997-01-23	VYDAJ	VYBER	600	16064	\N	\N	\N
1090973	3729	1998-01-17	VYDAJ	VYBER	2400	13932	\N	\N	\N
1090974	3729	1995-12-24	VYDAJ	VYBER	1000	15931	\N	\N	\N
1090975	3729	1996-12-19	VYDAJ	VYBER	1350	15140	\N	\N	\N
1090976	3729	1997-12-20	VYDAJ	VYBER	750	14814	\N	\N	\N
1090977	3729	1998-12-20	VYDAJ	VYBER	1000	16003	\N	\N	\N
1090981	3729	1995-11-21	VYDAJ	VYBER	3760	15397	\N	\N	\N
1090983	3729	1995-11-19	VYDAJ	VYBER	720	19157	\N	\N	\N
1090984	3729	1996-07-27	VYDAJ	VYBER	2080	16304	\N	\N	\N
1090985	3729	1996-05-14	VYDAJ	VYBER	400	16427	\N	\N	\N
1090986	3729	1996-08-22	VYDAJ	VYBER	2480	15356	\N	\N	\N
1090987	3729	1996-09-17	VYDAJ	VYBER	2560	14322	\N	\N	\N
1090988	3729	1996-05-07	VYDAJ	VYBER	2800	19768	\N	\N	\N
1090992	3729	1997-10-03	VYDAJ	VYBER	1440	13928	\N	\N	\N
1090993	3729	1997-11-29	VYDAJ	VYBER	2880	14040	\N	\N	\N
1090994	3729	1997-06-13	VYDAJ	VYBER	720	13969	\N	\N	\N
1090995	3729	1998-10-11	VYDAJ	VYBER	1520	15088	\N	\N	\N
1090997	3729	1998-07-18	VYDAJ	VYBER	2160	18942	\N	\N	\N
1090999	3729	1998-10-09	VYDAJ	VYBER	400	16608	\N	\N	\N
1091001	3729	1998-10-14	VYDAJ	VYBER	1120	13968	\N	\N	\N
1091012	3729	1995-09-30	VYDAJ	VYBER	15	19464	SLUZBY	\N	\N
1091013	3729	1995-10-31	VYDAJ	VYBER	15	21006	SLUZBY	\N	\N
1091014	3729	1995-11-30	VYDAJ	VYBER	15	15460	SLUZBY	\N	\N
1091015	3729	1995-12-31	VYDAJ	VYBER	15	15985	SLUZBY	\N	\N
1091016	3729	1996-01-31	VYDAJ	VYBER	15	16258	SLUZBY	\N	\N
1091017	3729	1996-02-29	VYDAJ	VYBER	15	17787	SLUZBY	\N	\N
1091018	3729	1996-03-31	VYDAJ	VYBER	15	17224	SLUZBY	\N	\N
1091019	3729	1996-04-30	VYDAJ	VYBER	15	18156	SLUZBY	\N	\N
1091020	3729	1996-05-31	VYDAJ	VYBER	15	16484	SLUZBY	\N	\N
1091021	3729	1996-06-30	VYDAJ	VYBER	15	18013	SLUZBY	\N	\N
1091022	3729	1996-07-31	VYDAJ	VYBER	15	16365	SLUZBY	\N	\N
1091023	3729	1996-08-31	VYDAJ	VYBER	15	15411	SLUZBY	\N	\N
1091024	3729	1996-09-30	VYDAJ	VYBER	15	14371	SLUZBY	\N	\N
1091025	3729	1996-10-31	VYDAJ	VYBER	15	15892	SLUZBY	\N	\N
1091026	3729	1996-11-30	VYDAJ	VYBER	15	17419	SLUZBY	\N	\N
1091027	3729	1996-12-31	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
1091028	3729	1997-01-31	VYDAJ	VYBER	15	16116	SLUZBY	\N	\N
1091029	3729	1997-02-28	VYDAJ	VYBER	15	16843	SLUZBY	\N	\N
1091030	3729	1997-03-31	VYDAJ	VYBER	15	16368	SLUZBY	\N	\N
1091031	3729	1997-04-30	VYDAJ	VYBER	15	17396	SLUZBY	\N	\N
1091032	3729	1997-05-31	VYDAJ	VYBER	15	15018	SLUZBY	\N	\N
1091033	3729	1997-06-30	VYDAJ	VYBER	15	14014	SLUZBY	\N	\N
1091034	3729	1997-07-31	VYDAJ	VYBER	15	14832	SLUZBY	\N	\N
1091035	3729	1997-08-31	VYDAJ	VYBER	15	14550	SLUZBY	\N	\N
1091036	3729	1997-09-30	VYDAJ	VYBER	15	15368	SLUZBY	\N	\N
1091037	3729	1997-10-31	VYDAJ	VYBER	15	15449	SLUZBY	\N	\N
1091038	3729	1997-11-30	VYDAJ	VYBER	15	14093	SLUZBY	\N	\N
1091039	3729	1997-12-31	VYDAJ	VYBER	15	14861	SLUZBY	\N	\N
1091040	3729	1998-01-31	VYDAJ	VYBER	15	13978	SLUZBY	\N	\N
1091041	3729	1998-02-28	VYDAJ	VYBER	15	15497	SLUZBY	\N	\N
1091042	3729	1998-03-31	VYDAJ	VYBER	15	17022	SLUZBY	\N	\N
1091043	3729	1998-04-30	VYDAJ	VYBER	15	18553	SLUZBY	\N	\N
1091044	3729	1998-05-31	VYDAJ	VYBER	15	20091	SLUZBY	\N	\N
1091045	3729	1998-06-30	VYDAJ	VYBER	15	19631	SLUZBY	\N	\N
1091046	3729	1998-07-31	VYDAJ	VYBER	15	12905	SLUZBY	\N	\N
1091047	3729	1998-08-31	VYDAJ	VYBER	15	14018	SLUZBY	\N	\N
1091048	3729	1998-09-30	VYDAJ	VYBER	15	15537	SLUZBY	\N	\N
1091049	3729	1998-10-31	VYDAJ	VYBER	15	14013	SLUZBY	\N	\N
1091050	3729	1998-11-30	VYDAJ	VYBER	15	15532	SLUZBY	\N	\N
1091051	3729	1995-11-10	VYDAJ	VYBER	2600	19877	\N	\N	\N
1091052	3729	1996-03-09	VYDAJ	VYBER	2100	20099	\N	\N	\N
1091053	3729	1996-04-08	VYDAJ	VYBER	600	21036	\N	\N	\N
1091054	3729	1996-07-07	VYDAJ	VYBER	1100	21325	\N	\N	\N
1091055	3729	1996-12-04	VYDAJ	VYBER	2400	15019	\N	\N	\N
1091056	3729	1997-02-02	VYDAJ	VYBER	800	15316	\N	\N	\N
1091057	3729	1997-03-04	VYDAJ	VYBER	2000	14843	\N	\N	\N
1091058	3729	1997-04-03	VYDAJ	VYBER	500	15868	\N	\N	\N
1091059	3729	1997-05-03	VYDAJ	VYBER	3900	13496	\N	\N	\N
1091060	3729	1997-06-02	VYDAJ	VYBER	1800	13218	\N	\N	\N
1091061	3729	1997-07-02	VYDAJ	VYBER	700	13314	\N	\N	\N
1091062	3729	1997-08-01	VYDAJ	VYBER	1800	13032	\N	\N	\N
1091063	3729	1997-08-31	VYDAJ	VYBER	700	13850	\N	\N	\N
1091064	3729	1998-07-27	VYDAJ	VYBER	6100	12842	\N	\N	\N
1091105	3730	1994-09-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1091114	3730	1994-09-14	PRIJEM	PREVOD Z UCTU	5152	5952	DUCHOD	EF	30733752
1091115	3730	1994-10-14	PRIJEM	PREVOD Z UCTU	5152	11118	DUCHOD	EF	30733752
1091116	3730	1994-11-14	PRIJEM	PREVOD Z UCTU	5152	16295	DUCHOD	EF	30733752
1091117	3730	1994-12-14	PRIJEM	PREVOD Z UCTU	5152	21472	DUCHOD	EF	30733752
1091118	3730	1995-01-14	PRIJEM	PREVOD Z UCTU	5152	26648	DUCHOD	EF	30733752
1091119	3730	1995-02-14	PRIJEM	PREVOD Z UCTU	5152	26950	DUCHOD	EF	30733752
1091120	3730	1995-03-14	PRIJEM	PREVOD Z UCTU	5152	30250	DUCHOD	EF	30733752
1091121	3730	1995-04-14	PRIJEM	PREVOD Z UCTU	5152	30440	DUCHOD	EF	30733752
1091122	3730	1995-05-14	PRIJEM	PREVOD Z UCTU	5152	30755	DUCHOD	EF	30733752
1091123	3730	1995-06-14	PRIJEM	PREVOD Z UCTU	5152	21795	DUCHOD	EF	30733752
1091124	3730	1995-07-14	PRIJEM	PREVOD Z UCTU	5152	24482	DUCHOD	EF	30733752
1091125	3730	1995-08-14	PRIJEM	PREVOD Z UCTU	5152	24007	DUCHOD	EF	30733752
1091126	3730	1995-09-14	PRIJEM	PREVOD Z UCTU	5152	27294	DUCHOD	EF	30733752
1091127	3730	1995-10-14	PRIJEM	PREVOD Z UCTU	5152	26915	DUCHOD	EF	30733752
1091128	3730	1995-11-14	PRIJEM	PREVOD Z UCTU	5152	27255	DUCHOD	EF	30733752
1091129	3730	1995-12-14	PRIJEM	PREVOD Z UCTU	5152	30359	DUCHOD	EF	30733752
1091130	3730	1996-01-14	PRIJEM	PREVOD Z UCTU	5152	33422	DUCHOD	EF	30733752
1091131	3730	1996-02-14	PRIJEM	PREVOD Z UCTU	5152	30627	DUCHOD	EF	30733752
1091132	3730	1996-03-14	PRIJEM	PREVOD Z UCTU	5152	31467	DUCHOD	EF	30733752
1091133	3730	1996-04-14	PRIJEM	PREVOD Z UCTU	5152	34789	DUCHOD	EF	30733752
1091134	3730	1996-05-14	PRIJEM	PREVOD Z UCTU	5152	33220	DUCHOD	EF	30733752
1091135	3730	1996-06-14	PRIJEM	PREVOD Z UCTU	5152	36546	DUCHOD	EF	30733752
1091136	3730	1996-07-14	PRIJEM	PREVOD Z UCTU	5152	25924	DUCHOD	EF	30733752
1091137	3730	1996-08-14	PRIJEM	PREVOD Z UCTU	5152	28019	DUCHOD	EF	30733752
1091138	3730	1996-09-14	PRIJEM	PREVOD Z UCTU	5152	28361	DUCHOD	EF	30733752
1091139	3730	1996-10-14	PRIJEM	PREVOD Z UCTU	5152	31666	DUCHOD	EF	30733752
1091140	3730	1996-11-14	PRIJEM	PREVOD Z UCTU	5152	33065	DUCHOD	EF	30733752
1091141	3730	1996-12-14	PRIJEM	PREVOD Z UCTU	5152	35093	DUCHOD	EF	30733752
1091142	3730	1997-01-14	PRIJEM	PREVOD Z UCTU	5152	30025	DUCHOD	EF	30733752
1091143	3730	1997-02-14	PRIJEM	PREVOD Z UCTU	5152	32698	DUCHOD	EF	30733752
1091144	3730	1997-03-14	PRIJEM	PREVOD Z UCTU	5152	36021	DUCHOD	EF	30733752
1091145	3730	1997-04-14	PRIJEM	PREVOD Z UCTU	5152	39358	DUCHOD	EF	30733752
1091146	3730	1997-05-14	PRIJEM	PREVOD Z UCTU	5152	39829	DUCHOD	EF	30733752
1091147	3730	1997-06-14	PRIJEM	PREVOD Z UCTU	5152	40963	DUCHOD	EF	30733752
1091148	3730	1997-07-14	PRIJEM	PREVOD Z UCTU	5152	40966	DUCHOD	EF	30733752
1091149	3730	1997-08-14	PRIJEM	PREVOD Z UCTU	5152	43364	DUCHOD	EF	30733752
1091150	3730	1997-09-14	PRIJEM	PREVOD Z UCTU	5152	46331	DUCHOD	EF	30733752
1091151	3730	1997-10-14	PRIJEM	PREVOD Z UCTU	5152	46407	DUCHOD	EF	30733752
1091152	3730	1997-11-14	PRIJEM	PREVOD Z UCTU	5152	48986	DUCHOD	EF	30733752
1091153	3730	1997-12-14	PRIJEM	PREVOD Z UCTU	5152	47590	DUCHOD	EF	30733752
1091154	3730	1998-01-14	PRIJEM	PREVOD Z UCTU	5152	48324	DUCHOD	EF	30733752
1091155	3730	1998-02-14	PRIJEM	PREVOD Z UCTU	5152	51715	DUCHOD	EF	30733752
1091156	3730	1998-03-14	PRIJEM	PREVOD Z UCTU	5152	52716	DUCHOD	EF	30733752
1091157	3730	1998-04-14	PRIJEM	PREVOD Z UCTU	5152	56125	DUCHOD	EF	30733752
1091158	3730	1998-05-14	PRIJEM	PREVOD Z UCTU	5152	59545	DUCHOD	EF	30733752
1091159	3730	1998-06-14	PRIJEM	PREVOD Z UCTU	5152	62980	DUCHOD	EF	30733752
1091160	3730	1998-07-14	PRIJEM	PREVOD Z UCTU	5152	54920	DUCHOD	EF	30733752
1091161	3730	1998-08-14	PRIJEM	PREVOD Z UCTU	5152	58335	DUCHOD	EF	30733752
1091162	3730	1998-09-14	PRIJEM	PREVOD Z UCTU	5152	59603	DUCHOD	EF	30733752
1091163	3730	1998-10-14	PRIJEM	PREVOD Z UCTU	5152	60315	DUCHOD	EF	30733752
1091164	3730	1998-11-14	PRIJEM	PREVOD Z UCTU	5152	59110	DUCHOD	EF	30733752
1091165	3730	1998-12-14	PRIJEM	PREVOD Z UCTU	5152	61196	DUCHOD	EF	30733752
1091179	3730	1995-02-12	VYDAJ	PREVOD NA UCET	1944	21798	SIPO	OP	83157652
1091180	3730	1995-03-12	VYDAJ	PREVOD NA UCET	1944	25098	SIPO	OP	83157652
1091181	3730	1995-04-12	VYDAJ	PREVOD NA UCET	1944	25288	SIPO	OP	83157652
1091182	3730	1995-05-12	VYDAJ	PREVOD NA UCET	1944	25603	SIPO	OP	83157652
1091183	3730	1995-06-12	VYDAJ	PREVOD NA UCET	1944	16643	SIPO	OP	83157652
1091184	3730	1995-07-12	VYDAJ	PREVOD NA UCET	1944	19330	SIPO	OP	83157652
1091185	3730	1995-08-12	VYDAJ	PREVOD NA UCET	1944	18855	SIPO	OP	83157652
1091186	3730	1995-09-12	VYDAJ	PREVOD NA UCET	1944	22142	SIPO	OP	83157652
1091187	3730	1995-10-12	VYDAJ	PREVOD NA UCET	1944	21763	SIPO	OP	83157652
1091188	3730	1995-11-12	VYDAJ	PREVOD NA UCET	1944	22103	SIPO	OP	83157652
1091189	3730	1995-12-12	VYDAJ	PREVOD NA UCET	1944	25207	SIPO	OP	83157652
1091190	3730	1996-01-12	VYDAJ	PREVOD NA UCET	1944	28270	SIPO	OP	83157652
1091191	3730	1996-02-12	VYDAJ	PREVOD NA UCET	1944	25475	SIPO	OP	83157652
1091192	3730	1996-03-12	VYDAJ	PREVOD NA UCET	1944	26315	SIPO	OP	83157652
1091193	3730	1996-04-12	VYDAJ	PREVOD NA UCET	1944	29637	SIPO	OP	83157652
1091194	3730	1996-05-12	VYDAJ	PREVOD NA UCET	1944	28068	SIPO	OP	83157652
1091195	3730	1996-06-12	VYDAJ	PREVOD NA UCET	1944	31394	SIPO	OP	83157652
1091196	3730	1996-07-12	VYDAJ	PREVOD NA UCET	1944	20772	SIPO	OP	83157652
1091197	3730	1996-08-12	VYDAJ	PREVOD NA UCET	1944	22867	SIPO	OP	83157652
1091198	3730	1996-09-12	VYDAJ	PREVOD NA UCET	1944	23209	SIPO	OP	83157652
1091199	3730	1996-10-12	VYDAJ	PREVOD NA UCET	1944	26514	SIPO	OP	83157652
1091200	3730	1996-11-12	VYDAJ	PREVOD NA UCET	1944	27913	SIPO	OP	83157652
1091201	3730	1996-12-12	VYDAJ	PREVOD NA UCET	1944	29941	SIPO	OP	83157652
1091202	3730	1997-01-12	VYDAJ	PREVOD NA UCET	1944	24873	SIPO	OP	83157652
1091203	3730	1997-02-12	VYDAJ	PREVOD NA UCET	1944	27546	SIPO	OP	83157652
1091204	3730	1997-03-12	VYDAJ	PREVOD NA UCET	1944	30869	SIPO	OP	83157652
1091205	3730	1997-04-12	VYDAJ	PREVOD NA UCET	1944	34206	SIPO	OP	83157652
1091206	3730	1997-05-12	VYDAJ	PREVOD NA UCET	1944	34677	SIPO	OP	83157652
1091207	3730	1997-06-12	VYDAJ	PREVOD NA UCET	1944	35811	SIPO	OP	83157652
1091208	3730	1997-07-12	VYDAJ	PREVOD NA UCET	1944	35814	SIPO	OP	83157652
1091209	3730	1997-08-12	VYDAJ	PREVOD NA UCET	1944	38212	SIPO	OP	83157652
1091210	3730	1997-09-12	VYDAJ	PREVOD NA UCET	1944	41179	SIPO	OP	83157652
1091211	3730	1997-10-12	VYDAJ	PREVOD NA UCET	1944	41255	SIPO	OP	83157652
1091212	3730	1997-11-12	VYDAJ	PREVOD NA UCET	1944	43834	SIPO	OP	83157652
1091213	3730	1997-12-12	VYDAJ	PREVOD NA UCET	1944	42438	SIPO	OP	83157652
1091214	3730	1998-01-12	VYDAJ	PREVOD NA UCET	1944	43172	SIPO	OP	83157652
1091215	3730	1998-02-12	VYDAJ	PREVOD NA UCET	1944	46563	SIPO	OP	83157652
1091216	3730	1998-03-12	VYDAJ	PREVOD NA UCET	1944	47564	SIPO	OP	83157652
1091217	3730	1998-04-12	VYDAJ	PREVOD NA UCET	1944	50973	SIPO	OP	83157652
1091218	3730	1998-05-12	VYDAJ	PREVOD NA UCET	1944	54393	SIPO	OP	83157652
1091219	3730	1998-06-12	VYDAJ	PREVOD NA UCET	1944	57828	SIPO	OP	83157652
1091220	3730	1998-07-12	VYDAJ	PREVOD NA UCET	1944	49768	SIPO	OP	83157652
1091221	3730	1998-08-12	VYDAJ	PREVOD NA UCET	1944	53183	SIPO	OP	83157652
1091222	3730	1998-09-12	VYDAJ	PREVOD NA UCET	1944	54451	SIPO	OP	83157652
1091223	3730	1998-10-12	VYDAJ	PREVOD NA UCET	1944	55163	SIPO	OP	83157652
1091224	3730	1998-11-12	VYDAJ	PREVOD NA UCET	1944	53958	SIPO	OP	83157652
1091225	3730	1998-12-12	VYDAJ	PREVOD NA UCET	1944	56044	SIPO	OP	83157652
1091227	3730	1995-06-07	VYDAJ	VYBER	6700	18587	\N	\N	\N
1091228	3730	1996-06-25	VYDAJ	VYBER	13950	22596	\N	\N	\N
1091229	3730	1997-06-18	VYDAJ	VYBER	2550	38413	\N	\N	\N
1091230	3730	1998-06-26	VYDAJ	VYBER	11500	51480	\N	\N	\N
1091232	3730	1995-01-15	VYDAJ	VYBER	1200	25448	\N	\N	\N
1091233	3730	1996-01-26	VYDAJ	VYBER	2600	30822	\N	\N	\N
1091234	3730	1997-01-03	VYDAJ	VYBER	1600	30177	\N	\N	\N
1091235	3730	1998-01-06	VYDAJ	VYBER	2250	45116	\N	\N	\N
1091237	3730	1995-12-18	VYDAJ	VYBER	250	30109	\N	\N	\N
1091238	3730	1996-12-06	VYDAJ	VYBER	1300	31885	\N	\N	\N
1091239	3730	1997-12-09	VYDAJ	VYBER	300	44382	\N	\N	\N
1091240	3730	1998-12-02	VYDAJ	VYBER	1350	57988	\N	\N	\N
1091249	3730	1995-11-09	VYDAJ	VYBER	720	24047	\N	\N	\N
1091250	3730	1995-07-21	VYDAJ	VYBER	3760	20722	\N	\N	\N
1091251	3730	1995-03-25	VYDAJ	VYBER	3120	27130	\N	\N	\N
1091252	3730	1995-06-06	VYDAJ	VYBER	2080	25287	\N	\N	\N
1091253	3730	1995-01-27	VYDAJ	VYBER	1760	23688	\N	\N	\N
1091254	3730	1995-11-06	VYDAJ	VYBER	2240	24767	\N	\N	\N
1091255	3730	1995-09-14	VYDAJ	VYBER	3680	23614	\N	\N	\N
1091256	3730	1996-02-01	VYDAJ	VYBER	3120	27419	\N	\N	\N
1091257	3730	1996-03-03	VYDAJ	VYBER	2480	28259	\N	\N	\N
1091258	3730	1996-07-27	VYDAJ	VYBER	560	25364	\N	\N	\N
1091259	3730	1996-08-10	VYDAJ	VYBER	640	24811	\N	\N	\N
1091260	3730	1996-12-21	VYDAJ	VYBER	800	34293	\N	\N	\N
1091261	3730	1996-08-24	VYDAJ	VYBER	2960	25059	\N	\N	\N
1091262	3730	1996-12-28	VYDAJ	VYBER	2640	31653	\N	\N	\N
1091263	3730	1996-11-02	VYDAJ	VYBER	1920	29857	\N	\N	\N
1091264	3730	1997-01-04	VYDAJ	VYBER	3360	26817	\N	\N	\N
1091265	3730	1997-11-23	VYDAJ	VYBER	560	44506	\N	\N	\N
1091266	3730	1997-01-24	VYDAJ	VYBER	640	29385	\N	\N	\N
1091267	3730	1997-05-07	VYDAJ	VYBER	2880	36621	\N	\N	\N
1091268	3730	1997-07-05	VYDAJ	VYBER	800	37758	\N	\N	\N
1091269	3730	1997-05-22	VYDAJ	VYBER	720	39109	\N	\N	\N
1091270	3730	1997-11-21	VYDAJ	VYBER	3920	45066	\N	\N	\N
1091271	3730	1997-07-29	VYDAJ	VYBER	960	40006	\N	\N	\N
1091272	3730	1998-11-06	VYDAJ	VYBER	3120	55902	\N	\N	\N
1091273	3730	1998-03-09	VYDAJ	VYBER	2400	49508	\N	\N	\N
1091274	3730	1998-09-26	VYDAJ	VYBER	2720	56883	\N	\N	\N
1091275	3730	1998-12-26	VYDAJ	VYBER	560	60636	\N	\N	\N
1091276	3730	1998-08-28	VYDAJ	VYBER	2160	56175	\N	\N	\N
1091277	3730	1998-10-23	VYDAJ	VYBER	1520	58795	\N	\N	\N
1091291	3730	1995-01-31	VYDAJ	VYBER	15	23742	SLUZBY	\N	\N
1091292	3730	1995-02-28	VYDAJ	VYBER	15	27042	SLUZBY	\N	\N
1091293	3730	1995-03-31	VYDAJ	VYBER	15	27232	SLUZBY	\N	\N
1091294	3730	1995-04-30	VYDAJ	VYBER	15	30547	SLUZBY	\N	\N
1091295	3730	1995-05-31	VYDAJ	VYBER	15	30867	SLUZBY	\N	\N
1091296	3730	1995-06-30	VYDAJ	VYBER	15	21874	SLUZBY	\N	\N
1091297	3730	1995-07-31	VYDAJ	VYBER	15	20799	SLUZBY	\N	\N
1091298	3730	1995-08-31	VYDAJ	VYBER	15	24086	SLUZBY	\N	\N
1091299	3730	1995-09-30	VYDAJ	VYBER	15	23707	SLUZBY	\N	\N
1091300	3730	1995-10-31	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
1091301	3730	1995-11-30	VYDAJ	VYBER	15	27351	SLUZBY	\N	\N
1091302	3730	1995-12-31	VYDAJ	VYBER	15	30214	SLUZBY	\N	\N
1091303	3730	1996-01-31	VYDAJ	VYBER	15	30939	SLUZBY	\N	\N
1091304	3730	1996-02-29	VYDAJ	VYBER	15	30739	SLUZBY	\N	\N
1091305	3730	1996-03-31	VYDAJ	VYBER	15	31581	SLUZBY	\N	\N
1091306	3730	1996-04-30	VYDAJ	VYBER	15	34912	SLUZBY	\N	\N
1091307	3730	1996-05-31	VYDAJ	VYBER	15	33338	SLUZBY	\N	\N
1091308	3730	1996-06-30	VYDAJ	VYBER	15	22716	SLUZBY	\N	\N
1091309	3730	1996-07-31	VYDAJ	VYBER	15	25451	SLUZBY	\N	\N
1091310	3730	1996-08-31	VYDAJ	VYBER	15	25153	SLUZBY	\N	\N
1091311	3730	1996-09-30	VYDAJ	VYBER	15	28458	SLUZBY	\N	\N
1091312	3730	1996-10-31	VYDAJ	VYBER	15	31777	SLUZBY	\N	\N
1091313	3730	1996-11-30	VYDAJ	VYBER	15	33185	SLUZBY	\N	\N
1091314	3730	1996-12-31	VYDAJ	VYBER	15	31777	SLUZBY	\N	\N
1091315	3730	1997-01-31	VYDAJ	VYBER	15	29490	SLUZBY	\N	\N
1091316	3730	1997-02-28	VYDAJ	VYBER	15	32813	SLUZBY	\N	\N
1091317	3730	1997-03-31	VYDAJ	VYBER	15	36150	SLUZBY	\N	\N
1091318	3730	1997-04-30	VYDAJ	VYBER	15	39501	SLUZBY	\N	\N
1091319	3730	1997-05-31	VYDAJ	VYBER	15	37755	SLUZBY	\N	\N
1091320	3730	1997-06-30	VYDAJ	VYBER	15	38558	SLUZBY	\N	\N
1091321	3730	1997-07-31	VYDAJ	VYBER	15	40156	SLUZBY	\N	\N
1091322	3730	1997-08-31	VYDAJ	VYBER	15	43123	SLUZBY	\N	\N
1091323	3730	1997-09-30	VYDAJ	VYBER	15	43199	SLUZBY	\N	\N
1091324	3730	1997-10-31	VYDAJ	VYBER	15	45778	SLUZBY	\N	\N
1091325	3730	1997-11-30	VYDAJ	VYBER	15	44682	SLUZBY	\N	\N
1091326	3730	1997-12-31	VYDAJ	VYBER	15	47366	SLUZBY	\N	\N
1091327	3730	1998-01-31	VYDAJ	VYBER	15	48507	SLUZBY	\N	\N
1091328	3730	1998-02-28	VYDAJ	VYBER	15	51908	SLUZBY	\N	\N
1091329	3730	1998-03-31	VYDAJ	VYBER	15	52917	SLUZBY	\N	\N
1091330	3730	1998-04-30	VYDAJ	VYBER	15	56337	SLUZBY	\N	\N
1091331	3730	1998-05-31	VYDAJ	VYBER	15	59772	SLUZBY	\N	\N
1091332	3730	1998-06-30	VYDAJ	VYBER	15	51712	SLUZBY	\N	\N
1091333	3730	1998-07-31	VYDAJ	VYBER	15	55127	SLUZBY	\N	\N
1091334	3730	1998-08-31	VYDAJ	VYBER	15	56395	SLUZBY	\N	\N
1091335	3730	1998-09-30	VYDAJ	VYBER	15	57107	SLUZBY	\N	\N
1091336	3730	1998-10-31	VYDAJ	VYBER	15	59022	SLUZBY	\N	\N
1091337	3730	1998-11-30	VYDAJ	VYBER	15	59338	SLUZBY	\N	\N
1091338	3730	1995-05-06	VYDAJ	VYBER	3000	27547	\N	\N	\N
1091339	3730	1995-06-05	VYDAJ	VYBER	3500	27367	\N	\N	\N
1091340	3730	1995-07-05	VYDAJ	VYBER	600	21274	\N	\N	\N
1091341	3730	1995-12-02	VYDAJ	VYBER	200	27151	\N	\N	\N
1091342	3730	1996-01-31	VYDAJ	VYBER	400	30539	\N	\N	\N
1091343	3730	1996-04-30	VYDAJ	VYBER	4900	30012	\N	\N	\N
1091344	3730	1997-05-25	VYDAJ	VYBER	1500	37609	\N	\N	\N
1091345	3730	1997-08-23	VYDAJ	VYBER	400	42964	\N	\N	\N
1091346	3730	1997-09-22	VYDAJ	VYBER	3300	43031	\N	\N	\N
1091347	3730	1997-10-22	VYDAJ	VYBER	800	45607	\N	\N	\N
1091348	3730	1997-12-21	VYDAJ	VYBER	400	47190	\N	\N	\N
1091401	3731	1996-05-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1091407	3731	1996-06-07	PRIJEM	PREVOD Z UCTU	2962	4062	\N	OP	73482870
1091408	3731	1996-07-07	PRIJEM	PREVOD Z UCTU	2962	7024	\N	OP	73482870
1091409	3731	1996-08-07	PRIJEM	PREVOD Z UCTU	2962	9986	\N	OP	73482870
1091410	3731	1996-09-07	PRIJEM	PREVOD Z UCTU	2962	12948	\N	OP	73482870
1091411	3731	1996-10-07	PRIJEM	PREVOD Z UCTU	2962	15910	\N	OP	73482870
1091412	3731	1996-11-07	PRIJEM	PREVOD Z UCTU	2962	16886	\N	OP	73482870
1091413	3731	1996-12-07	PRIJEM	PREVOD Z UCTU	2962	17388	\N	OP	73482870
1091414	3731	1997-01-07	PRIJEM	PREVOD Z UCTU	2962	17802	\N	OP	73482870
1091415	3731	1997-02-07	PRIJEM	PREVOD Z UCTU	2962	14493	\N	OP	73482870
1091416	3731	1997-03-07	PRIJEM	PREVOD Z UCTU	2962	14623	\N	OP	73482870
1091417	3731	1997-04-07	PRIJEM	PREVOD Z UCTU	2962	15657	\N	OP	73482870
1091418	3731	1997-05-07	PRIJEM	PREVOD Z UCTU	2962	16093	\N	OP	73482870
1091419	3731	1997-06-07	PRIJEM	PREVOD Z UCTU	2962	17132	\N	OP	73482870
1091420	3731	1997-07-07	PRIJEM	PREVOD Z UCTU	2962	18176	\N	OP	73482870
1091421	3731	1997-08-07	PRIJEM	PREVOD Z UCTU	2962	19224	\N	OP	73482870
1091422	3731	1997-09-07	PRIJEM	PREVOD Z UCTU	2962	20277	\N	OP	73482870
1091423	3731	1997-10-07	PRIJEM	PREVOD Z UCTU	2962	21334	\N	OP	73482870
1091424	3731	1997-11-07	PRIJEM	PREVOD Z UCTU	2962	22396	\N	OP	73482870
1091425	3731	1997-12-07	PRIJEM	PREVOD Z UCTU	2962	23461	\N	OP	73482870
1091426	3731	1998-01-07	PRIJEM	PREVOD Z UCTU	2962	23029	\N	OP	73482870
1091427	3731	1998-02-07	PRIJEM	PREVOD Z UCTU	2962	19649	\N	OP	73482870
1091428	3731	1998-03-07	PRIJEM	PREVOD Z UCTU	2962	20283	\N	OP	73482870
1091429	3731	1998-04-07	PRIJEM	PREVOD Z UCTU	2962	21340	\N	OP	73482870
1091430	3731	1998-05-07	PRIJEM	PREVOD Z UCTU	2962	22401	\N	OP	73482870
1091431	3731	1998-06-07	PRIJEM	PREVOD Z UCTU	2962	23257	\N	OP	73482870
1091432	3731	1998-07-07	PRIJEM	PREVOD Z UCTU	2962	23305	\N	OP	73482870
1091433	3731	1998-08-07	PRIJEM	PREVOD Z UCTU	2962	24375	\N	OP	73482870
1091434	3731	1998-09-07	PRIJEM	PREVOD Z UCTU	2962	24127	\N	OP	73482870
1091435	3731	1998-10-07	PRIJEM	PREVOD Z UCTU	2962	25200	\N	OP	73482870
1091436	3731	1998-11-07	PRIJEM	PREVOD Z UCTU	2962	24987	\N	OP	73482870
1091437	3731	1998-12-07	PRIJEM	PREVOD Z UCTU	2962	26063	\N	OP	73482870
1091448	3731	1996-11-05	VYDAJ	PREVOD NA UCET	1974	13924	\N	QR	48735064
1091449	3731	1996-12-05	VYDAJ	PREVOD NA UCET	1974	14426	\N	QR	48735064
1091450	3731	1997-01-05	VYDAJ	PREVOD NA UCET	1974	14840	\N	QR	48735064
1091451	3731	1997-02-05	VYDAJ	PREVOD NA UCET	1974	11531	\N	QR	48735064
1091452	3731	1997-03-05	VYDAJ	PREVOD NA UCET	1974	11661	\N	QR	48735064
1091453	3731	1997-04-05	VYDAJ	PREVOD NA UCET	1974	12695	\N	QR	48735064
1091454	3731	1997-05-05	VYDAJ	PREVOD NA UCET	1974	13131	\N	QR	48735064
1091455	3731	1997-06-05	VYDAJ	PREVOD NA UCET	1974	14170	\N	QR	48735064
1091456	3731	1997-07-05	VYDAJ	PREVOD NA UCET	1974	15214	\N	QR	48735064
1091457	3731	1997-08-05	VYDAJ	PREVOD NA UCET	1974	16262	\N	QR	48735064
1091458	3731	1997-09-05	VYDAJ	PREVOD NA UCET	1974	17315	\N	QR	48735064
1091459	3731	1997-10-05	VYDAJ	PREVOD NA UCET	1974	18372	\N	QR	48735064
1091460	3731	1997-11-05	VYDAJ	PREVOD NA UCET	1974	19434	\N	QR	48735064
1091461	3731	1997-12-05	VYDAJ	PREVOD NA UCET	1974	20499	\N	QR	48735064
1091462	3731	1998-01-05	VYDAJ	PREVOD NA UCET	1974	20067	\N	QR	48735064
1091463	3731	1998-02-05	VYDAJ	PREVOD NA UCET	1974	16687	\N	QR	48735064
1091464	3731	1998-03-05	VYDAJ	PREVOD NA UCET	1974	17321	\N	QR	48735064
1091465	3731	1998-04-05	VYDAJ	PREVOD NA UCET	1974	18378	\N	QR	48735064
1091466	3731	1998-05-05	VYDAJ	PREVOD NA UCET	1974	19439	\N	QR	48735064
1091467	3731	1998-06-05	VYDAJ	PREVOD NA UCET	1974	20295	\N	QR	48735064
1091468	3731	1998-07-05	VYDAJ	PREVOD NA UCET	1974	20343	\N	QR	48735064
1091469	3731	1998-08-05	VYDAJ	PREVOD NA UCET	1974	21413	\N	QR	48735064
1091470	3731	1998-09-05	VYDAJ	PREVOD NA UCET	1974	21165	\N	QR	48735064
1091471	3731	1998-10-05	VYDAJ	PREVOD NA UCET	1974	22238	\N	QR	48735064
1091472	3731	1998-11-05	VYDAJ	PREVOD NA UCET	1974	22025	\N	QR	48735064
1091473	3731	1998-12-05	VYDAJ	PREVOD NA UCET	1974	23101	\N	QR	48735064
1091476	3731	1998-06-26	VYDAJ	VYBER	1020	22237	\N	\N	\N
1091478	3731	1997-01-26	VYDAJ	VYBER	870	13452	\N	\N	\N
1091479	3731	1998-01-07	VYDAJ	VYBER	2160	20869	\N	\N	\N
1091480	3731	1996-12-14	VYDAJ	VYBER	480	16908	\N	\N	\N
1091481	3731	1997-12-11	VYDAJ	VYBER	390	23071	\N	\N	\N
1091482	3731	1998-12-15	VYDAJ	VYBER	210	25853	\N	\N	\N
1091489	3731	1997-01-03	VYDAJ	VYBER	150	16814	\N	\N	\N
1091490	3731	1997-01-18	VYDAJ	VYBER	510	16632	\N	\N	\N
1091491	3731	1997-01-24	VYDAJ	VYBER	690	15102	\N	\N	\N
1091492	3731	1997-01-24	VYDAJ	VYBER	840	15792	\N	\N	\N
1091493	3731	1997-01-13	VYDAJ	VYBER	660	17142	\N	\N	\N
1091494	3731	1997-01-25	VYDAJ	VYBER	780	14322	\N	\N	\N
1091495	3731	1998-01-19	VYDAJ	VYBER	510	19249	\N	\N	\N
1091496	3731	1998-01-15	VYDAJ	VYBER	660	20209	\N	\N	\N
1091497	3731	1998-01-05	VYDAJ	VYBER	480	22041	\N	\N	\N
1091498	3731	1998-01-27	VYDAJ	VYBER	420	18589	\N	\N	\N
1091499	3731	1998-01-19	VYDAJ	VYBER	240	19009	\N	\N	\N
1091500	3731	1998-01-18	VYDAJ	VYBER	450	19759	\N	\N	\N
1091505	3731	1996-11-29	VYDAJ	VYBER	540	16346	\N	\N	\N
1091507	3731	1997-12-17	VYDAJ	VYBER	630	22441	\N	\N	\N
1091508	3731	1997-02-09	VYDAJ	VYBER	900	13593	\N	\N	\N
1091509	3731	1997-04-08	VYDAJ	VYBER	600	15057	\N	\N	\N
1091510	3731	1998-12-18	VYDAJ	VYBER	600	25253	\N	\N	\N
1091511	3731	1998-05-16	VYDAJ	VYBER	210	22191	\N	\N	\N
1091512	3731	1998-10-29	VYDAJ	VYBER	1290	23910	\N	\N	\N
1091513	3731	1998-02-17	VYDAJ	VYBER	420	19229	\N	\N	\N
1091514	3731	1998-08-21	VYDAJ	VYBER	630	23745	\N	\N	\N
1091515	3731	1998-08-26	VYDAJ	VYBER	690	23055	\N	\N	\N
1091526	3731	1996-10-31	VYDAJ	VYBER	15	15898	SLUZBY	\N	\N
1091527	3731	1996-11-30	VYDAJ	VYBER	15	16400	SLUZBY	\N	\N
1091528	3731	1996-12-31	VYDAJ	VYBER	15	16964	SLUZBY	\N	\N
1091529	3731	1997-01-31	VYDAJ	VYBER	15	13505	SLUZBY	\N	\N
1091530	3731	1997-02-28	VYDAJ	VYBER	15	13635	SLUZBY	\N	\N
1091531	3731	1997-03-31	VYDAJ	VYBER	15	14669	SLUZBY	\N	\N
1091532	3731	1997-04-30	VYDAJ	VYBER	15	15105	SLUZBY	\N	\N
1091533	3731	1997-05-31	VYDAJ	VYBER	15	16144	SLUZBY	\N	\N
1091534	3731	1997-06-30	VYDAJ	VYBER	15	17188	SLUZBY	\N	\N
1091535	3731	1997-07-31	VYDAJ	VYBER	15	18236	SLUZBY	\N	\N
1091536	3731	1997-08-31	VYDAJ	VYBER	15	19289	SLUZBY	\N	\N
1091537	3731	1997-09-30	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
1091538	3731	1997-10-31	VYDAJ	VYBER	15	21408	SLUZBY	\N	\N
1091539	3731	1997-11-30	VYDAJ	VYBER	15	22473	SLUZBY	\N	\N
1091540	3731	1997-12-31	VYDAJ	VYBER	15	22521	SLUZBY	\N	\N
1091541	3731	1998-01-31	VYDAJ	VYBER	15	18661	SLUZBY	\N	\N
1091542	3731	1998-02-28	VYDAJ	VYBER	15	19295	SLUZBY	\N	\N
1091543	3731	1998-03-31	VYDAJ	VYBER	15	20352	SLUZBY	\N	\N
1091544	3731	1998-04-30	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
1091545	3731	1998-05-31	VYDAJ	VYBER	15	22269	SLUZBY	\N	\N
1091546	3731	1998-06-30	VYDAJ	VYBER	15	22317	SLUZBY	\N	\N
1091547	3731	1998-07-31	VYDAJ	VYBER	15	23387	SLUZBY	\N	\N
1091548	3731	1998-08-31	VYDAJ	VYBER	15	23139	SLUZBY	\N	\N
1091549	3731	1998-09-30	VYDAJ	VYBER	15	24212	SLUZBY	\N	\N
1091550	3731	1998-10-31	VYDAJ	VYBER	15	23999	SLUZBY	\N	\N
1091551	3731	1998-11-30	VYDAJ	VYBER	15	25075	SLUZBY	\N	\N
1091579	3732	1997-05-25	PRIJEM	VKLAD	500	500	\N	\N	\N
1091585	3732	1997-06-08	PRIJEM	PREVOD Z UCTU	4673	5173	DUCHOD	EF	90110331
1091586	3732	1997-07-08	PRIJEM	PREVOD Z UCTU	4673	9846	DUCHOD	EF	90110331
1091587	3732	1997-08-08	PRIJEM	PREVOD Z UCTU	4673	14519	DUCHOD	EF	90110331
1091588	3732	1997-09-08	PRIJEM	PREVOD Z UCTU	4673	19192	DUCHOD	EF	90110331
1091589	3732	1997-10-08	PRIJEM	PREVOD Z UCTU	4673	23865	DUCHOD	EF	90110331
1091590	3732	1997-11-08	PRIJEM	PREVOD Z UCTU	4673	23790	DUCHOD	EF	90110331
1091591	3732	1997-12-08	PRIJEM	PREVOD Z UCTU	4673	26867	DUCHOD	EF	90110331
1091592	3732	1998-01-08	PRIJEM	PREVOD Z UCTU	4673	26628	DUCHOD	EF	90110331
1091593	3732	1998-02-08	PRIJEM	PREVOD Z UCTU	4673	24166	DUCHOD	EF	90110331
1091594	3732	1998-03-08	PRIJEM	PREVOD Z UCTU	4673	27244	DUCHOD	EF	90110331
1091595	3732	1998-04-08	PRIJEM	PREVOD Z UCTU	4673	30336	DUCHOD	EF	90110331
1091596	3732	1998-05-08	PRIJEM	PREVOD Z UCTU	4673	32400	DUCHOD	EF	90110331
1091597	3732	1998-06-08	PRIJEM	PREVOD Z UCTU	4673	35413	DUCHOD	EF	90110331
1091598	3732	1998-07-08	PRIJEM	PREVOD Z UCTU	4673	32386	DUCHOD	EF	90110331
1091599	3732	1998-08-08	PRIJEM	PREVOD Z UCTU	4673	35499	DUCHOD	EF	90110331
1091600	3732	1998-09-08	PRIJEM	PREVOD Z UCTU	4673	37924	DUCHOD	EF	90110331
1091601	3732	1998-10-08	PRIJEM	PREVOD Z UCTU	4673	37854	DUCHOD	EF	90110331
1091602	3732	1998-11-08	PRIJEM	PREVOD Z UCTU	4673	29574	DUCHOD	EF	90110331
1091603	3732	1998-12-08	PRIJEM	PREVOD Z UCTU	4673	30579	DUCHOD	EF	90110331
1091613	3732	1997-10-14	VYDAJ	PREVOD NA UCET	1668	19077	SIPO	ST	31681299
1091614	3732	1997-11-14	VYDAJ	PREVOD NA UCET	1668	22122	SIPO	ST	31681299
1091615	3732	1997-12-14	VYDAJ	PREVOD NA UCET	1668	23949	SIPO	ST	31681299
1091616	3732	1998-01-14	VYDAJ	PREVOD NA UCET	1668	24960	SIPO	ST	31681299
1091617	3732	1998-02-14	VYDAJ	PREVOD NA UCET	1668	22498	SIPO	ST	31681299
1091618	3732	1998-03-14	VYDAJ	PREVOD NA UCET	1668	25576	SIPO	ST	31681299
1091619	3732	1998-04-14	VYDAJ	PREVOD NA UCET	1668	28668	SIPO	ST	31681299
1091620	3732	1998-05-14	VYDAJ	PREVOD NA UCET	1668	30732	SIPO	ST	31681299
1091621	3732	1998-06-14	VYDAJ	PREVOD NA UCET	1668	33745	SIPO	ST	31681299
1091622	3732	1998-07-14	VYDAJ	PREVOD NA UCET	1668	30718	SIPO	ST	31681299
1091623	3732	1998-08-14	VYDAJ	PREVOD NA UCET	1668	33831	SIPO	ST	31681299
1091624	3732	1998-09-14	VYDAJ	PREVOD NA UCET	1668	36256	SIPO	ST	31681299
1091625	3732	1998-10-14	VYDAJ	PREVOD NA UCET	1668	36186	SIPO	ST	31681299
1091626	3732	1998-11-14	VYDAJ	PREVOD NA UCET	1668	27906	SIPO	ST	31681299
1091627	3732	1998-12-14	VYDAJ	PREVOD NA UCET	1668	28911	SIPO	ST	31681299
1091629	3732	1998-06-28	VYDAJ	VYBER	6150	27595	\N	\N	\N
1091631	3732	1998-01-18	VYDAJ	VYBER	750	23010	\N	\N	\N
1091632	3732	1997-12-14	VYDAJ	VYBER	1250	25617	\N	\N	\N
1091633	3732	1998-12-27	VYDAJ	VYBER	350	26341	\N	\N	\N
1091640	3732	1998-01-30	VYDAJ	VYBER	1040	19410	\N	\N	\N
1091641	3732	1998-01-14	VYDAJ	VYBER	1200	23760	\N	\N	\N
1091642	3732	1998-01-05	VYDAJ	VYBER	2080	21955	\N	\N	\N
1091643	3732	1998-01-21	VYDAJ	VYBER	400	21650	\N	\N	\N
1091644	3732	1998-01-30	VYDAJ	VYBER	1200	20450	\N	\N	\N
1091645	3732	1998-01-20	VYDAJ	VYBER	960	22050	\N	\N	\N
1091646	3732	1997-10-11	VYDAJ	VYBER	1680	20745	\N	\N	\N
1091647	3732	1997-10-11	VYDAJ	VYBER	1440	22425	\N	\N	\N
1091652	3732	1998-10-18	VYDAJ	VYBER	480	28706	\N	\N	\N
1091653	3732	1998-04-29	VYDAJ	VYBER	1040	27628	\N	\N	\N
1091654	3732	1998-12-24	VYDAJ	VYBER	1520	26691	\N	\N	\N
1091655	3732	1998-11-05	VYDAJ	VYBER	3920	24901	\N	\N	\N
1091666	3732	1997-10-31	VYDAJ	VYBER	15	19117	SLUZBY	\N	\N
1091667	3732	1997-11-30	VYDAJ	VYBER	15	22194	SLUZBY	\N	\N
1091668	3732	1997-12-31	VYDAJ	VYBER	15	24035	SLUZBY	\N	\N
1091669	3732	1998-01-31	VYDAJ	VYBER	15	19493	SLUZBY	\N	\N
1091670	3732	1998-02-28	VYDAJ	VYBER	15	22571	SLUZBY	\N	\N
1091671	3732	1998-03-31	VYDAJ	VYBER	15	25663	SLUZBY	\N	\N
1091672	3732	1998-04-30	VYDAJ	VYBER	15	27727	SLUZBY	\N	\N
1091673	3732	1998-05-31	VYDAJ	VYBER	15	30740	SLUZBY	\N	\N
1091674	3732	1998-06-30	VYDAJ	VYBER	15	27713	SLUZBY	\N	\N
1091675	3732	1998-07-31	VYDAJ	VYBER	15	30826	SLUZBY	\N	\N
1091676	3732	1998-08-31	VYDAJ	VYBER	15	33251	SLUZBY	\N	\N
1091677	3732	1998-09-30	VYDAJ	VYBER	15	33181	SLUZBY	\N	\N
1091678	3732	1998-10-31	VYDAJ	VYBER	15	28821	SLUZBY	\N	\N
1091679	3732	1998-11-30	VYDAJ	VYBER	15	25906	SLUZBY	\N	\N
1091680	3732	1998-05-20	VYDAJ	VYBER	100	30632	\N	\N	\N
1091681	3732	1998-08-18	VYDAJ	VYBER	700	33131	\N	\N	\N
1091682	3732	1998-09-17	VYDAJ	VYBER	3200	33056	\N	\N	\N
1091683	3732	1998-10-17	VYDAJ	VYBER	7000	29186	\N	\N	\N
1091684	3732	1998-11-16	VYDAJ	VYBER	2100	25806	\N	\N	\N
1091685	3732	1998-12-16	VYDAJ	VYBER	700	28211	\N	\N	\N
1091701	3733	1996-07-22	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1091702	3733	1996-10-11	PRIJEM	VKLAD	37779	57679	\N	\N	\N
1091704	3733	1996-11-14	PRIJEM	VKLAD	30344	72090	\N	\N	\N
1091705	3733	1997-01-01	PRIJEM	VKLAD	33706	72482	\N	\N	\N
1091706	3733	1997-02-03	PRIJEM	VKLAD	7993	62591	\N	\N	\N
1091707	3733	1997-01-13	PRIJEM	VKLAD	18288	67881	\N	\N	\N
1091708	3733	1997-04-04	PRIJEM	VKLAD	13829	95652	\N	\N	\N
1091709	3733	1997-04-08	PRIJEM	VKLAD	22224	117876	\N	\N	\N
1091710	3733	1997-12-28	PRIJEM	VKLAD	17020	102419	\N	\N	\N
1091711	3733	1997-09-26	PRIJEM	VKLAD	30840	90912	\N	\N	\N
1091712	3733	1997-10-17	PRIJEM	VKLAD	48617	110171	\N	\N	\N
1091713	3733	1997-01-02	PRIJEM	VKLAD	36711	109193	\N	\N	\N
1091714	3733	1997-10-18	PRIJEM	VKLAD	24929	114800	\N	\N	\N
1091715	3733	1997-06-21	PRIJEM	VKLAD	34743	63277	\N	\N	\N
1091716	3733	1997-10-02	PRIJEM	VKLAD	18227	109377	\N	\N	\N
1091717	3733	1997-12-16	PRIJEM	VKLAD	28498	50559	\N	\N	\N
1091718	3733	1997-03-17	PRIJEM	VKLAD	43696	58049	\N	\N	\N
1091719	3733	1997-07-19	PRIJEM	VKLAD	47774	82896	\N	\N	\N
1091720	3733	1997-12-20	PRIJEM	VKLAD	37641	85399	\N	\N	\N
1091721	3733	1997-08-22	PRIJEM	VKLAD	42432	115643	\N	\N	\N
1091722	3733	1997-10-24	PRIJEM	VKLAD	26937	119237	\N	\N	\N
1091723	3733	1997-04-20	PRIJEM	VKLAD	12475	53428	\N	\N	\N
1091724	3733	1997-06-03	PRIJEM	VKLAD	39734	68951	\N	\N	\N
1091725	3733	1997-10-27	PRIJEM	VKLAD	14374	115711	\N	\N	\N
1091726	3733	1997-08-07	PRIJEM	VKLAD	27408	117634	\N	\N	\N
1091727	3733	1997-07-28	PRIJEM	VKLAD	43651	117547	\N	\N	\N
1091728	3733	1997-09-20	PRIJEM	VKLAD	22768	60072	\N	\N	\N
1091729	3733	1997-01-19	PRIJEM	VKLAD	18702	59783	\N	\N	\N
1091730	3733	1997-06-09	PRIJEM	VKLAD	39506	108457	\N	\N	\N
1091731	3733	1997-03-25	PRIJEM	VKLAD	45877	84026	\N	\N	\N
1091732	3733	1997-08-17	PRIJEM	VKLAD	27900	73211	\N	\N	\N
1091733	3733	1998-05-16	PRIJEM	VKLAD	10873	47634	\N	\N	\N
1091734	3733	1998-01-09	PRIJEM	VKLAD	31750	128079	\N	\N	\N
1091735	3733	1998-06-25	PRIJEM	VKLAD	34158	71924	\N	\N	\N
1091736	3733	1998-08-28	PRIJEM	VKLAD	28998	90879	\N	\N	\N
1091737	3733	1998-02-05	PRIJEM	VKLAD	33498	56362	\N	\N	\N
1091738	3733	1998-03-27	PRIJEM	VKLAD	14991	62484	\N	\N	\N
1091739	3733	1998-08-19	PRIJEM	VKLAD	14860	61881	\N	\N	\N
1091740	3733	1998-02-10	PRIJEM	VKLAD	49069	94308	\N	\N	\N
1091741	3733	1998-12-03	PRIJEM	VKLAD	22929	57097	\N	\N	\N
1091742	3733	1998-05-31	PRIJEM	VKLAD	44013	67146	\N	\N	\N
1091756	3733	1997-02-09	VYDAJ	PREVOD NA UCET	11123	47089	SIPO	YZ	74489986
1091757	3733	1997-03-09	VYDAJ	PREVOD NA UCET	11123	14353	SIPO	YZ	74489986
1091758	3733	1997-04-09	VYDAJ	PREVOD NA UCET	11123	61153	SIPO	YZ	74489986
1091759	3733	1997-05-09	VYDAJ	PREVOD NA UCET	11123	42554	SIPO	YZ	74489986
1091760	3733	1997-06-09	VYDAJ	PREVOD NA UCET	11123	97334	SIPO	YZ	74489986
1091761	3733	1997-07-09	VYDAJ	PREVOD NA UCET	11123	52322	SIPO	YZ	74489986
1091762	3733	1997-08-09	VYDAJ	PREVOD NA UCET	11123	65311	SIPO	YZ	74489986
1091763	3733	1997-09-09	VYDAJ	PREVOD NA UCET	11123	47004	SIPO	YZ	74489986
1091764	3733	1997-10-09	VYDAJ	PREVOD NA UCET	11123	98254	SIPO	YZ	74489986
1091765	3733	1997-11-09	VYDAJ	PREVOD NA UCET	11123	38227	SIPO	YZ	74489986
1091766	3733	1997-12-09	VYDAJ	PREVOD NA UCET	11123	13461	SIPO	YZ	74489986
1091767	3733	1998-01-09	VYDAJ	PREVOD NA UCET	11123	116956	SIPO	YZ	74489986
1091768	3733	1998-02-09	VYDAJ	PREVOD NA UCET	11123	45239	SIPO	YZ	74489986
1091769	3733	1998-03-09	VYDAJ	PREVOD NA UCET	11123	52293	SIPO	YZ	74489986
1091770	3733	1998-04-09	VYDAJ	PREVOD NA UCET	11123	51582	SIPO	YZ	74489986
1091771	3733	1998-05-09	VYDAJ	PREVOD NA UCET	11123	33961	SIPO	YZ	74489986
1091772	3733	1998-06-09	VYDAJ	PREVOD NA UCET	11123	56008	SIPO	YZ	74489986
1091773	3733	1998-07-09	VYDAJ	PREVOD NA UCET	11123	61013	SIPO	YZ	74489986
1091774	3733	1998-08-09	VYDAJ	PREVOD NA UCET	11123	40721	SIPO	YZ	74489986
1091775	3733	1998-09-09	VYDAJ	PREVOD NA UCET	11123	79985	SIPO	YZ	74489986
1091776	3733	1998-10-09	VYDAJ	PREVOD NA UCET	11123	56958	SIPO	YZ	74489986
1091777	3733	1998-11-09	VYDAJ	PREVOD NA UCET	11123	34049	SIPO	YZ	74489986
1091778	3733	1998-12-09	VYDAJ	PREVOD NA UCET	11123	52974	SIPO	YZ	74489986
1091786	3733	1997-10-31	VYBER	VYBER	20712	49365	\N	\N	\N
1091787	3733	1997-02-23	VYBER	VYBER	10576	25313	\N	\N	\N
1091789	3733	1997-03-26	VYBER	VYBER	2367	81659	\N	\N	\N
1091790	3733	1997-12-17	VYBER	VYBER	2801	47758	\N	\N	\N
1091791	3733	1997-02-05	VYBER	VYBER	4379	58212	\N	\N	\N
1091792	3733	1998-12-13	VYBER	VYBER	20055	24819	\N	\N	\N
1091793	3733	1998-05-17	VYBER	VYBER	21647	22987	\N	\N	\N
1091794	3733	1998-06-11	VYBER	VYBER	20642	35366	\N	\N	\N
1091795	3733	1998-10-24	VYBER	VYBER	23077	26881	\N	\N	\N
1091801	3733	1998-12-09	VYDAJ	VYBER	8100	44874	\N	\N	\N
1091808	3733	1997-01-29	VYDAJ	VYBER	2100	54383	\N	\N	\N
1091809	3733	1997-01-26	VYDAJ	VYBER	3300	56483	\N	\N	\N
1091810	3733	1997-01-17	VYDAJ	VYBER	7500	55281	\N	\N	\N
1091812	3733	1997-01-16	VYDAJ	VYBER	5100	62781	\N	\N	\N
1091814	3733	1998-01-19	VYDAJ	VYBER	4200	36456	\N	\N	\N
1091815	3733	1998-01-14	VYDAJ	VYBER	4800	40656	\N	\N	\N
1091816	3733	1998-01-02	VYDAJ	VYBER KARTOU	3300	96329	\N	\N	0
1091817	3733	1998-01-24	VYDAJ	VYBER KARTOU	2100	27756	\N	\N	0
1091818	3733	1998-01-21	VYDAJ	VYBER	6600	29856	\N	\N	\N
1091819	3733	1998-01-28	VYDAJ	VYBER	5100	22656	\N	\N	\N
1091822	3733	1997-04-18	VYDAJ	VYBER	3600	57553	\N	\N	\N
1091823	3733	1997-10-24	VYDAJ	VYBER KARTOU	2100	117137	\N	\N	0
1091824	3733	1997-07-27	VYDAJ	VYBER	9000	73896	\N	\N	\N
1091825	3733	1997-12-30	VYDAJ	VYBER KARTOU	3000	99419	\N	\N	0
1091826	3733	1997-12-08	VYDAJ	VYBER	10200	24584	\N	\N	\N
1091828	3733	1998-10-10	VYDAJ	VYBER	4500	49958	\N	\N	\N
1091830	3733	1998-05-16	VYDAJ	VYBER KARTOU	3000	44634	\N	\N	0
1091844	3733	1997-01-31	VYDAJ	VYBER	15	54598	SLUZBY	\N	\N
1091845	3733	1997-02-28	VYDAJ	VYBER	15	25476	SLUZBY	\N	\N
1091846	3733	1997-03-31	VYDAJ	VYBER	15	81823	SLUZBY	\N	\N
1091847	3733	1997-04-30	VYDAJ	VYBER	15	53677	SLUZBY	\N	\N
1091848	3733	1997-05-31	VYDAJ	VYBER	15	29217	SLUZBY	\N	\N
1091849	3733	1997-06-30	VYDAJ	VYBER	15	63445	SLUZBY	\N	\N
1091850	3733	1997-07-31	VYDAJ	VYBER	15	90226	SLUZBY	\N	\N
1091851	3733	1997-08-31	VYDAJ	VYBER	15	58127	SLUZBY	\N	\N
1091852	3733	1997-09-30	VYDAJ	VYBER	15	91150	SLUZBY	\N	\N
1091853	3733	1997-10-31	VYDAJ	VYBER	15	49350	SLUZBY	\N	\N
1091854	3733	1997-11-30	VYDAJ	VYBER	15	34784	SLUZBY	\N	\N
1091855	3733	1997-12-31	VYDAJ	VYBER	15	99629	SLUZBY	\N	\N
1091856	3733	1998-01-31	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
1091857	3733	1998-02-28	VYDAJ	VYBER	15	63416	SLUZBY	\N	\N
1091858	3733	1998-03-31	VYDAJ	VYBER	15	62705	SLUZBY	\N	\N
1091859	3733	1998-04-30	VYDAJ	VYBER	15	45084	SLUZBY	\N	\N
1091860	3733	1998-05-31	VYDAJ	VYBER	15	67131	SLUZBY	\N	\N
1091861	3733	1998-06-30	VYDAJ	VYBER	15	72136	SLUZBY	\N	\N
1091862	3733	1998-07-31	VYDAJ	VYBER	15	51844	SLUZBY	\N	\N
1091863	3733	1998-08-31	VYDAJ	VYBER	15	91108	SLUZBY	\N	\N
1091864	3733	1998-09-30	VYDAJ	VYBER	15	68081	SLUZBY	\N	\N
1091865	3733	1998-10-31	VYDAJ	VYBER	15	27072	SLUZBY	\N	\N
1091866	3733	1998-11-30	VYDAJ	VYBER	15	34168	SLUZBY	\N	\N
1091867	3733	1996-08-21	PRIJEM	VKLAD	14000	15000	\N	\N	\N
1091868	3733	1996-09-20	PRIJEM	VKLAD	4900	19900	\N	\N	\N
1091869	3733	1996-10-20	VYDAJ	VYBER	16000	41679	\N	\N	\N
1091870	3733	1996-11-19	VYDAJ	VYBER	23800	48290	\N	\N	\N
1091871	3733	1996-12-19	VYDAJ	VYBER	9900	38575	\N	\N	\N
1091872	3733	1997-01-02	VYDAJ	VYBER	59600	49593	\N	\N	\N
1091873	3733	1997-01-18	VYDAJ	VYBER	14200	41081	\N	\N	\N
1091874	3733	1997-02-17	VYDAJ	VYBER	11200	35889	\N	\N	\N
1091875	3733	1997-03-19	VYDAJ	VYBER	19900	38149	\N	\N	\N
1091876	3733	1997-04-08	VYDAJ	VYBER	45600	72276	\N	\N	\N
1091877	3733	1997-04-18	VYDAJ	VYBER	16600	40953	\N	\N	\N
1091878	3733	1997-05-18	VYDAJ	VYBER	13500	29054	\N	\N	\N
1091879	3733	1997-06-09	VYDAJ	VYBER	55400	41934	\N	\N	\N
1091880	3733	1997-06-17	VYDAJ	VYBER	13400	28534	\N	\N	\N
1091881	3733	1997-07-17	VYDAJ	VYBER	17200	35122	\N	\N	\N
1091882	3733	1997-07-28	VYDAJ	VYBER	27600	89947	\N	\N	\N
1091883	3733	1997-08-07	VYDAJ	VYBER	41200	76434	\N	\N	\N
1091884	3733	1997-08-16	VYDAJ	VYBER	20000	45311	\N	\N	\N
1091885	3733	1997-08-22	VYDAJ	VYBER	57800	57843	\N	\N	\N
1091886	3733	1997-09-15	VYDAJ	VYBER	9700	37304	\N	\N	\N
1091887	3733	1997-10-15	VYDAJ	VYBER	36700	61554	\N	\N	\N
1091888	3733	1997-10-17	VYDAJ	VYBER	20300	89871	\N	\N	\N
1091889	3733	1997-10-18	VYDAJ	VYBER	22500	92300	\N	\N	\N
1091890	3733	1997-10-24	VYDAJ	VYBER	15800	101337	\N	\N	\N
1091891	3733	1997-10-27	VYDAJ	VYBER	46000	69711	\N	\N	\N
1091892	3733	1997-11-14	VYDAJ	VYBER KARTOU	3600	34627	\N	\N	0
1091893	3733	1997-12-14	PRIJEM	VKLAD	8600	22061	\N	\N	\N
1091894	3733	1998-01-09	VYDAJ	VYBER	55400	61556	\N	\N	\N
1091895	3733	1998-01-13	VYDAJ	VYBER	16100	45456	\N	\N	\N
1091896	3733	1998-02-12	VYDAJ	VYBER	31100	63208	\N	\N	\N
1091897	3733	1998-03-14	VYDAJ	VYBER	4800	47493	\N	\N	\N
1091898	3733	1998-04-13	VYDAJ	VYBER	6700	44882	\N	\N	\N
1091899	3733	1998-05-13	PRIJEM	VKLAD	2800	36761	\N	\N	\N
1091900	3733	1998-06-12	PRIJEM	VKLAD	2400	37766	\N	\N	\N
1091901	3733	1998-07-12	VYDAJ	VYBER	9400	51613	\N	\N	\N
1091902	3733	1998-08-11	PRIJEM	VKLAD	6300	47021	\N	\N	\N
1091903	3733	1998-09-10	VYDAJ	VYBER	12200	67785	\N	\N	\N
1091904	3733	1998-10-10	VYDAJ	VYBER KARTOU	2500	54458	\N	\N	0
1091905	3733	1998-11-09	PRIJEM	VKLAD	18100	45172	\N	\N	\N
1091906	3733	1998-12-09	PRIJEM	VKLAD	7000	64097	\N	\N	\N
1091934	3734	1993-03-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1091937	3734	1993-03-09	PRIJEM	VKLAD	4939	5939	\N	\N	\N
1091938	3734	1993-04-09	PRIJEM	VKLAD	4939	19596	\N	\N	\N
1091939	3734	1993-05-09	PRIJEM	VKLAD	4939	27402	\N	\N	\N
1091940	3734	1993-06-09	PRIJEM	VKLAD	7408	35716	\N	\N	\N
1091941	3734	1993-07-09	PRIJEM	VKLAD	4939	33994	\N	\N	\N
1091942	3734	1993-08-09	PRIJEM	VKLAD	4939	33462	\N	\N	\N
1091943	3734	1993-09-09	PRIJEM	VKLAD	4939	34927	\N	\N	\N
1091944	3734	1993-10-09	PRIJEM	VKLAD	4939	34494	\N	\N	\N
1091945	3734	1993-11-09	PRIJEM	VKLAD	4939	28458	\N	\N	\N
1091946	3734	1993-12-09	PRIJEM	VKLAD	7408	33472	\N	\N	\N
1091947	3734	1994-01-09	PRIJEM	VKLAD	4939	23427	\N	\N	\N
1091948	3734	1994-02-09	PRIJEM	VKLAD	4939	25739	\N	\N	\N
1091949	3734	1994-03-09	PRIJEM	VKLAD	4939	30055	\N	\N	\N
1091950	3734	1994-04-09	PRIJEM	VKLAD	4939	33699	\N	\N	\N
1091951	3734	1994-05-09	PRIJEM	VKLAD	4939	34457	\N	\N	\N
1091952	3734	1994-06-09	PRIJEM	VKLAD	7408	37391	\N	\N	\N
1091953	3734	1994-07-09	PRIJEM	VKLAD	4939	17239	\N	\N	\N
1091954	3734	1994-08-09	PRIJEM	VKLAD	4939	22121	\N	\N	\N
1091955	3734	1994-09-09	PRIJEM	VKLAD	4939	27719	\N	\N	\N
1091956	3734	1994-10-09	PRIJEM	VKLAD	4939	30238	\N	\N	\N
1091957	3734	1994-11-09	PRIJEM	VKLAD	4939	34770	\N	\N	\N
1091958	3734	1994-12-09	PRIJEM	VKLAD	7408	37487	\N	\N	\N
1091959	3734	1995-01-09	PRIJEM	VKLAD	4939	32548	\N	\N	\N
1091960	3734	1995-02-09	PRIJEM	VKLAD	4939	29489	\N	\N	\N
1091961	3734	1995-03-09	PRIJEM	VKLAD	4939	32017	\N	\N	\N
1091962	3734	1995-04-09	PRIJEM	VKLAD	4939	34455	\N	\N	\N
1091963	3734	1995-05-09	PRIJEM	VKLAD	4939	35202	\N	\N	\N
1091964	3734	1995-06-09	PRIJEM	VKLAD	7408	36720	\N	\N	\N
1091965	3734	1995-07-09	PRIJEM	VKLAD	4939	29770	\N	\N	\N
1091966	3734	1995-08-09	PRIJEM	VKLAD	4939	31211	\N	\N	\N
1091967	3734	1995-09-09	PRIJEM	VKLAD	4939	29843	\N	\N	\N
1091968	3734	1995-10-09	PRIJEM	VKLAD	4939	34075	\N	\N	\N
1091969	3734	1995-11-09	PRIJEM	VKLAD	4939	33319	\N	\N	\N
1091970	3734	1995-12-09	PRIJEM	VKLAD	7408	35629	\N	\N	\N
1091971	3734	1996-01-09	PRIJEM	VKLAD	4939	34574	\N	\N	\N
1091972	3734	1996-02-09	PRIJEM	VKLAD	4939	21801	\N	\N	\N
1091973	3734	1996-03-09	PRIJEM	VKLAD	4939	26100	\N	\N	\N
1091974	3734	1996-04-09	PRIJEM	VKLAD	4939	26912	\N	\N	\N
1091975	3734	1996-05-09	PRIJEM	VKLAD	4939	27628	\N	\N	\N
1091976	3734	1996-06-09	PRIJEM	VKLAD	7408	35115	\N	\N	\N
1091977	3734	1996-07-09	PRIJEM	VKLAD	4939	25936	\N	\N	\N
1091978	3734	1996-08-09	PRIJEM	VKLAD	4939	27049	\N	\N	\N
1091979	3734	1996-09-09	PRIJEM	VKLAD	4939	30778	\N	\N	\N
1091980	3734	1996-10-09	PRIJEM	VKLAD	4939	27803	\N	\N	\N
1091981	3734	1996-11-09	PRIJEM	VKLAD	4939	27821	\N	\N	\N
1091982	3734	1996-12-09	PRIJEM	VKLAD	7408	24496	\N	\N	\N
1091983	3734	1997-01-09	PRIJEM	VKLAD	4939	11383	\N	\N	\N
1091984	3734	1997-02-09	PRIJEM	VKLAD	4939	5130	\N	\N	\N
1091985	3734	1997-03-09	PRIJEM	VKLAD	4939	8159	\N	\N	\N
1091986	3734	1997-04-09	PRIJEM	VKLAD	4939	10399	\N	\N	\N
1091987	3734	1997-05-09	PRIJEM	VKLAD	4939	11247	\N	\N	\N
1091988	3734	1997-06-09	PRIJEM	VKLAD	7408	17673	\N	\N	\N
1091989	3734	1997-07-09	PRIJEM	VKLAD	4939	10537	\N	\N	\N
1091990	3734	1997-08-09	PRIJEM	VKLAD	4939	9990	\N	\N	\N
1091991	3734	1997-09-09	PRIJEM	VKLAD	4939	11436	\N	\N	\N
1091992	3734	1997-10-09	PRIJEM	VKLAD	4939	7482	\N	\N	\N
1091993	3734	1997-11-09	PRIJEM	VKLAD	4939	8417	\N	\N	\N
1091994	3734	1997-12-09	PRIJEM	VKLAD	7408	14031	\N	\N	\N
1091995	3734	1998-01-09	PRIJEM	VKLAD	4939	3380	\N	\N	\N
1091996	3734	1998-02-09	PRIJEM	VKLAD	4939	3700	\N	\N	\N
1091997	3734	1998-03-09	PRIJEM	VKLAD	4939	4516	\N	\N	\N
1091998	3734	1998-04-09	PRIJEM	VKLAD	4939	9429	\N	\N	\N
1091999	3734	1998-05-09	PRIJEM	VKLAD	4939	9469	\N	\N	\N
1092000	3734	1998-06-09	PRIJEM	VKLAD	7408	9170	\N	\N	\N
1092001	3734	1998-07-09	PRIJEM	VKLAD	4939	4593	\N	\N	\N
1092002	3734	1998-08-09	PRIJEM	VKLAD	4939	-517	\N	\N	\N
1092003	3734	1998-09-09	PRIJEM	VKLAD	4939	-3631	\N	\N	\N
1092004	3734	1998-10-09	PRIJEM	VKLAD	4939	-540	\N	\N	\N
1092005	3734	1998-11-09	PRIJEM	VKLAD	4939	-5239	\N	\N	\N
1092006	3734	1998-12-09	PRIJEM	VKLAD	7408	-5382	\N	\N	\N
1092008	3734	1994-06-24	VYDAJ	VYBER	29100	8291	\N	\N	\N
1092009	3734	1995-06-14	VYDAJ	VYBER	4200	32520	\N	\N	\N
1092010	3734	1996-06-14	VYDAJ	VYBER	16400	18715	\N	\N	\N
1092014	3734	1994-01-05	VYDAJ	VYBER	9200	18488	\N	\N	\N
1092015	3734	1995-01-05	VYDAJ	VYBER	3000	28909	\N	\N	\N
1092016	3734	1996-01-11	VYDAJ	VYBER	6700	27874	\N	\N	\N
1092018	3734	1998-01-06	VYDAJ	VYBER	5300	-259	\N	\N	\N
1092019	3734	1993-12-11	VYDAJ	VYBER	900	32572	\N	\N	\N
1092020	3734	1994-12-16	VYDAJ	VYBER	1000	36487	\N	\N	\N
1092021	3734	1995-12-24	VYDAJ	VYBER	1600	31229	\N	\N	\N
1092022	3734	1996-12-24	VYDAJ	VYBER	1000	14496	\N	\N	\N
1092023	3734	1997-12-17	VYDAJ	VYBER	2900	6131	\N	\N	\N
1092031	3734	1994-01-26	VYDAJ	VYBER	1000	18227	\N	\N	\N
1092032	3734	1994-01-27	VYDAJ	VYBER	1600	16627	\N	\N	\N
1092033	3734	1994-01-18	VYDAJ	VYBER	1800	20027	\N	\N	\N
1092034	3734	1994-01-30	VYDAJ	VYBER	1700	14927	\N	\N	\N
1092035	3734	1994-01-10	VYDAJ	VYBER	1600	21827	\N	\N	\N
1092036	3734	1994-01-23	VYDAJ	VYBER	800	19227	\N	\N	\N
1092037	3734	1995-01-07	VYDAJ	VYBER	1300	27609	\N	\N	\N
1092038	3734	1995-01-09	VYDAJ	VYBER	2700	29848	\N	\N	\N
1092039	3734	1995-01-23	VYDAJ	VYBER	1700	26448	\N	\N	\N
1092040	3734	1995-01-12	VYDAJ	VYBER	1700	28148	\N	\N	\N
1092041	3734	1995-01-25	VYDAJ	VYBER	700	24748	\N	\N	\N
1092042	3734	1995-01-24	VYDAJ	VYBER	1000	25448	\N	\N	\N
1092043	3734	1996-01-04	VYDAJ	VYBER	1100	30235	\N	\N	\N
1092044	3734	1996-01-26	VYDAJ	VYBER	2800	19074	\N	\N	\N
1092045	3734	1996-01-29	VYDAJ	VYBER	2300	16774	\N	\N	\N
1092046	3734	1996-01-04	VYDAJ	VYBER	600	29635	\N	\N	\N
1092047	3734	1996-01-25	VYDAJ	VYBER	1500	21874	\N	\N	\N
1092048	3734	1996-01-12	VYDAJ	VYBER	2700	25174	\N	\N	\N
1092049	3734	1997-01-26	VYDAJ	VYBER	1400	883	\N	\N	\N
1092050	3734	1997-01-02	VYDAJ	VYBER	1200	8544	\N	\N	\N
1092051	3734	1997-01-30	VYDAJ	VYBER	700	183	\N	\N	\N
1092052	3734	1997-01-16	VYDAJ	VYBER	1400	9983	\N	\N	\N
1092053	3734	1997-01-23	VYDAJ	VYBER	2400	2283	\N	\N	\N
1092054	3734	1997-01-03	VYDAJ	VYBER	2100	6444	\N	\N	\N
1092055	3734	1998-01-04	VYDAJ	VYBER	1100	5041	\N	\N	\N
1092058	3734	1998-01-28	VYDAJ	VYBER	500	-1220	\N	\N	\N
1092059	3734	1998-01-19	VYDAJ	VYBER	1300	-720	\N	\N	\N
1092060	3734	1998-01-07	VYDAJ	VYBER	1300	-1559	\N	\N	\N
1092061	3734	1993-12-19	VYDAJ	VYBER	1000	31572	\N	\N	\N
1092062	3734	1993-09-29	VYDAJ	VYBER	4100	30827	\N	\N	\N
1092063	3734	1993-11-06	VYDAJ	VYBER	4500	23519	\N	\N	\N
1092064	3734	1994-02-11	VYDAJ	VYBER	1100	24639	\N	\N	\N
1092065	3734	1994-06-30	VYDAJ	VYBER	1200	7215	\N	\N	\N
1092066	3734	1994-07-19	VYDAJ	VYBER	3700	13539	\N	\N	\N
1092067	3734	1994-04-21	VYDAJ	VYBER	1800	31899	\N	\N	\N
1092068	3734	1994-07-05	VYDAJ	VYBER	4900	12300	\N	\N	\N
1092069	3734	1994-04-30	VYDAJ	VYBER	1400	30632	\N	\N	\N
1092070	3734	1995-07-05	VYDAJ	VYBER	600	24831	\N	\N	\N
1092071	3734	1995-07-01	VYDAJ	VYBER	1600	25431	\N	\N	\N
1092072	3734	1995-06-27	VYDAJ	VYBER	3300	26920	\N	\N	\N
1092073	3734	1995-08-19	VYDAJ	VYBER	4100	27111	\N	\N	\N
1092074	3734	1996-12-28	VYDAJ	VYBER	4800	9696	\N	\N	\N
1092075	3734	1996-01-15	VYDAJ	VYBER	3300	21874	\N	\N	\N
1092076	3734	1996-08-06	VYDAJ	VYBER	700	22110	\N	\N	\N
1092077	3734	1996-02-20	VYDAJ	VYBER	3500	18301	\N	\N	\N
1092078	3734	1997-07-05	VYDAJ	VYBER	4400	5598	\N	\N	\N
1092079	3734	1997-10-15	VYDAJ	VYBER	1400	3482	\N	\N	\N
1092080	3734	1997-04-22	VYDAJ	VYBER	1900	6299	\N	\N	\N
1092081	3734	1997-09-30	VYDAJ	VYBER	2900	2558	\N	\N	\N
1092083	3734	1998-02-09	VYDAJ	VYBER	4400	-700	\N	\N	\N
1092084	3734	1998-02-19	VYDAJ	VYBER	1400	-400	\N	\N	\N
1092086	3734	1998-06-27	VYDAJ	VYBER	1100	-330	\N	\N	\N
1092096	3734	1993-07-31	VYDAJ	VYBER	15	34123	SLUZBY	\N	\N
1092097	3734	1993-08-31	VYDAJ	VYBER	15	33588	SLUZBY	\N	\N
1092098	3734	1993-09-30	VYDAJ	VYBER	15	30955	SLUZBY	\N	\N
1092099	3734	1993-10-31	VYDAJ	VYBER	15	34619	SLUZBY	\N	\N
1092100	3734	1993-11-30	VYDAJ	VYBER	15	28564	SLUZBY	\N	\N
1092101	3734	1993-12-31	VYDAJ	VYBER	15	31688	SLUZBY	\N	\N
1092102	3734	1994-01-31	VYDAJ	VYBER	15	15000	SLUZBY	\N	\N
1092103	3734	1994-02-28	VYDAJ	VYBER	15	24716	SLUZBY	\N	\N
1092104	3734	1994-03-31	VYDAJ	VYBER	15	30160	SLUZBY	\N	\N
1092105	3734	1994-04-30	VYDAJ	VYBER	15	30618	SLUZBY	\N	\N
1092106	3734	1994-05-31	VYDAJ	VYBER	15	34583	SLUZBY	\N	\N
1092107	3734	1994-06-30	VYDAJ	VYBER	15	7200	SLUZBY	\N	\N
1092108	3734	1994-07-31	VYDAJ	VYBER	15	17182	SLUZBY	\N	\N
1092109	3734	1994-08-31	VYDAJ	VYBER	15	22780	SLUZBY	\N	\N
1092110	3734	1994-09-30	VYDAJ	VYBER	15	25299	SLUZBY	\N	\N
1092111	3734	1994-10-31	VYDAJ	VYBER	15	29831	SLUZBY	\N	\N
1092112	3734	1994-11-30	VYDAJ	VYBER	15	30079	SLUZBY	\N	\N
1092113	3734	1994-12-31	VYDAJ	VYBER	15	31909	SLUZBY	\N	\N
1092114	3734	1995-01-31	VYDAJ	VYBER	15	24550	SLUZBY	\N	\N
1092115	3734	1995-02-28	VYDAJ	VYBER	15	27078	SLUZBY	\N	\N
1092116	3734	1995-03-31	VYDAJ	VYBER	15	29516	SLUZBY	\N	\N
1092117	3734	1995-04-30	VYDAJ	VYBER	15	30263	SLUZBY	\N	\N
1092118	3734	1995-05-31	VYDAJ	VYBER	15	29312	SLUZBY	\N	\N
1092119	3734	1995-06-30	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
1092120	3734	1995-07-31	VYDAJ	VYBER	15	26272	SLUZBY	\N	\N
1092121	3734	1995-08-31	VYDAJ	VYBER	15	24904	SLUZBY	\N	\N
1092122	3734	1995-09-30	VYDAJ	VYBER	15	29136	SLUZBY	\N	\N
1092123	3734	1995-10-31	VYDAJ	VYBER	15	28380	SLUZBY	\N	\N
1092124	3734	1995-11-30	VYDAJ	VYBER	15	28221	SLUZBY	\N	\N
1092125	3734	1995-12-31	VYDAJ	VYBER	15	31335	SLUZBY	\N	\N
1092126	3734	1996-01-31	VYDAJ	VYBER	15	16862	SLUZBY	\N	\N
1092127	3734	1996-02-29	VYDAJ	VYBER	15	21161	SLUZBY	\N	\N
1092128	3734	1996-03-31	VYDAJ	VYBER	15	21973	SLUZBY	\N	\N
1092129	3734	1996-04-30	VYDAJ	VYBER	15	22689	SLUZBY	\N	\N
1092130	3734	1996-05-31	VYDAJ	VYBER	15	27707	SLUZBY	\N	\N
1092131	3734	1996-06-30	VYDAJ	VYBER	15	20997	SLUZBY	\N	\N
1092132	3734	1996-07-31	VYDAJ	VYBER	15	22810	SLUZBY	\N	\N
1092133	3734	1996-08-31	VYDAJ	VYBER	15	25839	SLUZBY	\N	\N
1092134	3734	1996-09-30	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
1092135	3734	1996-10-31	VYDAJ	VYBER	15	22882	SLUZBY	\N	\N
1092136	3734	1996-11-30	VYDAJ	VYBER	15	17088	SLUZBY	\N	\N
1092137	3734	1996-12-31	VYDAJ	VYBER	15	9744	SLUZBY	\N	\N
1092138	3734	1997-01-31	VYDAJ	VYBER	15	191	SLUZBY	\N	\N
1092139	3734	1997-02-28	VYDAJ	VYBER	15	3221	SLUZBY	\N	\N
1092140	3734	1997-03-31	VYDAJ	VYBER	15	5460	SLUZBY	\N	\N
1092141	3734	1997-04-30	VYDAJ	VYBER	15	6308	SLUZBY	\N	\N
1092142	3734	1997-05-31	VYDAJ	VYBER	15	10265	SLUZBY	\N	\N
1092143	3734	1997-06-30	VYDAJ	VYBER	15	9998	SLUZBY	\N	\N
1092144	3734	1997-07-31	VYDAJ	VYBER	15	5051	SLUZBY	\N	\N
1092145	3734	1997-08-31	VYDAJ	VYBER	15	6497	SLUZBY	\N	\N
1092146	3734	1997-09-30	VYDAJ	VYBER	15	2543	SLUZBY	\N	\N
1092147	3734	1997-10-31	VYDAJ	VYBER	15	3478	SLUZBY	\N	\N
1092148	3734	1997-11-30	VYDAJ	VYBER	15	6623	SLUZBY	\N	\N
1092149	3734	1997-12-31	VYDAJ	VYBER	15	6141	SLUZBY	\N	\N
1092150	3734	1998-01-31	VYDAJ	VYBER	15	-1230	SLUZBY	\N	\N
1092151	3734	1998-02-28	VYDAJ	VYBER	15	-414	SLUZBY	\N	\N
1092152	3734	1998-03-31	VYDAJ	VYBER	15	4502	SLUZBY	\N	\N
1092153	3734	1998-04-30	VYDAJ	VYBER	15	4530	SLUZBY	\N	\N
1092154	3734	1998-05-31	VYDAJ	VYBER	15	1762	SLUZBY	\N	\N
1092155	3734	1998-06-30	VYDAJ	VYBER	15	-344	SLUZBY	\N	\N
1092159	3734	1998-10-31	VYDAJ	VYBER	15	-578	SLUZBY	\N	\N
1092161	3734	1993-04-07	PRIJEM	VKLAD	8700	14657	\N	\N	\N
1092162	3734	1993-05-07	PRIJEM	VKLAD	2800	22463	\N	\N	\N
1092163	3734	1993-06-06	PRIJEM	VKLAD	800	28308	\N	\N	\N
1092164	3734	1993-07-06	VYDAJ	VYBER	6800	29055	\N	\N	\N
1092165	3734	1993-08-05	VYDAJ	VYBER	5600	28523	\N	\N	\N
1092166	3734	1993-09-04	VYDAJ	VYBER	3600	29988	\N	\N	\N
1092167	3734	1993-10-04	VYDAJ	VYBER	1400	29555	\N	\N	\N
1092168	3734	1993-11-03	VYDAJ	VYBER	6600	28019	\N	\N	\N
1092169	3734	1993-12-03	VYDAJ	VYBER	2500	26064	\N	\N	\N
1092170	3734	1994-01-02	VYDAJ	VYBER	4000	27688	\N	\N	\N
1092171	3734	1994-02-01	PRIJEM	VKLAD	5800	20800	\N	\N	\N
1092172	3734	1994-03-03	PRIJEM	VKLAD	400	25116	\N	\N	\N
1092173	3734	1994-04-02	VYDAJ	VYBER	1400	28760	\N	\N	\N
1092174	3734	1994-05-02	VYDAJ	VYBER	1100	29518	\N	\N	\N
1092175	3734	1994-06-01	VYDAJ	VYBER	4600	29983	\N	\N	\N
1092176	3734	1994-07-01	PRIJEM	VKLAD	10000	17200	\N	\N	\N
1092177	3734	1994-07-31	PRIJEM	VKLAD	3600	17197	\N	\N	\N
1092178	3734	1994-08-30	PRIJEM	VKLAD	600	22721	\N	\N	\N
1092179	3734	1994-09-29	VYDAJ	VYBER	2500	25219	\N	\N	\N
1092180	3734	1994-10-29	VYDAJ	VYBER	500	29738	\N	\N	\N
1092181	3734	1994-11-28	VYDAJ	VYBER	4800	29970	\N	\N	\N
1092182	3734	1994-12-28	VYDAJ	VYBER	4700	31787	\N	\N	\N
1092183	3734	1995-01-27	VYDAJ	VYBER	300	24448	\N	\N	\N
1092184	3734	1995-02-26	VYDAJ	VYBER	2500	26989	\N	\N	\N
1092185	3734	1995-03-28	VYDAJ	VYBER	2600	29417	\N	\N	\N
1092186	3734	1995-04-27	VYDAJ	VYBER	4300	30155	\N	\N	\N
1092187	3734	1995-05-27	VYDAJ	VYBER	6000	29202	\N	\N	\N
1092188	3734	1995-06-26	VYDAJ	VYBER	2300	30220	\N	\N	\N
1092189	3734	1995-07-26	VYDAJ	VYBER	3600	26170	\N	\N	\N
1092190	3734	1995-08-25	VYDAJ	VYBER	2300	24811	\N	\N	\N
1092191	3734	1995-09-24	VYDAJ	VYBER	800	29043	\N	\N	\N
1092192	3734	1995-10-24	VYDAJ	VYBER	5800	28275	\N	\N	\N
1092193	3734	1995-11-23	VYDAJ	VYBER	5200	28119	\N	\N	\N
1092194	3734	1995-12-23	VYDAJ	VYBER	2800	32829	\N	\N	\N
1092195	3734	1996-01-22	PRIJEM	VKLAD	1500	23374	\N	\N	\N
1092196	3734	1996-02-21	PRIJEM	VKLAD	2800	21101	\N	\N	\N
1092197	3734	1996-03-22	VYDAJ	VYBER	4200	21900	\N	\N	\N
1092198	3734	1996-04-21	VYDAJ	VYBER	4300	22612	\N	\N	\N
1092199	3734	1996-06-20	PRIJEM	VKLAD	2200	20915	\N	\N	\N
1092200	3734	1996-07-20	VYDAJ	VYBER	3200	22736	\N	\N	\N
1092201	3734	1996-08-19	VYDAJ	VYBER	1300	25749	\N	\N	\N
1092202	3734	1996-09-18	VYDAJ	VYBER	8000	22778	\N	\N	\N
1092203	3734	1996-10-18	VYDAJ	VYBER	5000	22803	\N	\N	\N
1092204	3734	1996-11-17	VYDAJ	VYBER	10800	17021	\N	\N	\N
1092205	3734	1996-12-17	VYDAJ	VYBER	9000	15496	\N	\N	\N
1092206	3734	1997-01-16	VYDAJ	VYBER	5300	4683	\N	\N	\N
1092207	3734	1997-02-15	VYDAJ	VYBER	1900	3230	\N	\N	\N
1092208	3734	1997-03-17	VYDAJ	VYBER	2700	5459	\N	\N	\N
1092209	3734	1997-04-16	VYDAJ	VYBER	2200	8199	\N	\N	\N
1092210	3734	1997-05-16	VYDAJ	VYBER	1000	10247	\N	\N	\N
1092211	3734	1997-06-15	VYDAJ	VYBER	7700	9973	\N	\N	\N
1092212	3734	1997-07-15	VYDAJ	VYBER	5500	5037	\N	\N	\N
1092213	3734	1997-08-14	VYDAJ	VYBER	3500	6490	\N	\N	\N
1092214	3734	1997-09-13	VYDAJ	VYBER	6000	5436	\N	\N	\N
1092215	3734	1997-10-13	VYDAJ	VYBER	2600	4882	\N	\N	\N
1092216	3734	1997-11-12	VYDAJ	VYBER	1800	6617	\N	\N	\N
1092217	3734	1997-12-12	VYDAJ	VYBER	5000	9031	\N	\N	\N
1092218	3734	1998-01-11	VYDAJ	VYBER	2800	580	\N	\N	\N
1092219	3734	1998-02-10	PRIJEM	VKLAD	1700	1000	\N	\N	\N
1092220	3734	1998-04-11	VYDAJ	VYBER	4900	4529	\N	\N	\N
1092221	3734	1998-05-11	VYDAJ	VYBER	7700	1769	\N	\N	\N
1092222	3734	1998-06-10	VYDAJ	VYBER	8400	770	\N	\N	\N
1092223	3734	1998-07-10	VYDAJ	VYBER	10000	-5407	\N	\N	\N
1092224	3734	1998-08-09	VYDAJ	VYBER	3500	-4017	\N	\N	\N
1092225	3734	1998-09-08	VYDAJ	VYBER	4500	-8570	\N	\N	\N
1092226	3734	1998-10-08	VYDAJ	VYBER	1800	-5479	\N	\N	\N
1092227	3734	1998-11-07	VYDAJ	VYBER	9600	-10178	\N	\N	\N
1092228	3734	1998-12-07	VYDAJ	VYBER	7500	-12790	\N	\N	\N
1092306	3735	1995-04-27	PRIJEM	VKLAD	300	300	\N	\N	\N
1092307	3735	1995-10-24	PRIJEM	VKLAD	48278	95422	\N	\N	\N
1092309	3735	1995-06-28	PRIJEM	VKLAD	37777	73159	\N	\N	\N
1092310	3735	1995-08-08	PRIJEM	VKLAD	22289	72368	\N	\N	\N
1092311	3735	1995-11-27	PRIJEM	VKLAD	47128	105021	\N	\N	\N
1092312	3735	1995-11-17	PRIJEM	VKLAD	16294	75868	\N	\N	\N
1092315	3735	1995-11-18	PRIJEM	VKLAD	10525	86393	\N	\N	\N
1092316	3735	1995-10-02	PRIJEM	VKLAD	15274	53042	\N	\N	\N
1092317	3735	1995-10-25	PRIJEM	VKLAD	13247	75669	\N	\N	\N
1092319	3735	1995-10-14	PRIJEM	VKLAD	5202	58244	\N	\N	\N
1092322	3735	1995-05-31	PRIJEM	VKLAD	35375	49275	\N	\N	\N
1092323	3735	1996-01-12	PRIJEM	VKLAD	5044	50346	\N	\N	\N
1092324	3735	1996-03-27	PRIJEM	VKLAD	44311	132012	\N	\N	\N
1092325	3735	1996-04-07	PRIJEM	VKLAD	23668	108236	\N	\N	\N
1092326	3735	1996-09-26	PRIJEM	VKLAD	48914	90839	\N	\N	\N
1092327	3735	1996-02-04	PRIJEM	VKLAD	37952	111051	\N	\N	\N
1092328	3735	1996-12-18	PRIJEM	VKLAD	23244	72234	\N	\N	\N
1092329	3735	1996-03-05	PRIJEM	VKLAD	38890	100617	\N	\N	\N
1092330	3735	1996-01-04	PRIJEM	VKLAD	49373	69304	\N	\N	\N
1092331	3735	1996-06-14	PRIJEM	VKLAD	28242	47350	\N	\N	\N
1092332	3735	1996-07-01	PRIJEM	VKLAD	36271	89593	\N	\N	\N
1092333	3735	1996-09-25	PRIJEM	VKLAD	24864	41925	\N	\N	\N
1092334	3735	1996-10-23	PRIJEM	VKLAD	46759	89711	\N	\N	\N
1092335	3735	1996-07-07	PRIJEM	VKLAD	37284	132595	\N	\N	\N
1092336	3735	1996-07-07	PRIJEM	VKLAD	5718	95311	\N	\N	\N
1092337	3735	1996-01-20	PRIJEM	VKLAD	47531	67327	\N	\N	\N
1092338	3735	1996-01-31	PRIJEM	VKLAD	49533	73114	\N	\N	\N
1092339	3735	1996-09-14	PRIJEM	VKLAD	6213	29661	\N	\N	\N
1092340	3735	1996-11-01	PRIJEM	VKLAD	31803	110106	\N	\N	\N
1092341	3735	1996-06-30	PRIJEM	VKLAD	18845	53337	\N	\N	\N
1092342	3735	1996-02-25	PRIJEM	VKLAD	30293	61473	\N	\N	\N
1092343	3735	1996-12-16	PRIJEM	VKLAD	48429	141990	\N	\N	\N
1092344	3735	1996-12-01	PRIJEM	VKLAD	10134	66359	\N	\N	\N
1092345	3735	1996-03-15	PRIJEM	VKLAD	34279	127421	\N	\N	\N
1092346	3735	1996-03-26	PRIJEM	VKLAD	38280	87701	\N	\N	\N
1092347	3735	1996-03-28	PRIJEM	VKLAD	22100	122512	\N	\N	\N
1092348	3735	1996-05-12	PRIJEM	VKLAD	14209	29466	\N	\N	\N
1092349	3735	1996-07-27	PRIJEM	VKLAD	35318	74038	\N	\N	\N
1092350	3735	1996-12-07	PRIJEM	VKLAD	41877	101036	\N	\N	\N
1092351	3735	1997-12-14	PRIJEM	VKLAD	5617	65408	\N	\N	\N
1092352	3735	1997-02-26	PRIJEM	VKLAD	23404	58537	\N	\N	\N
1092353	3735	1997-10-20	PRIJEM	VKLAD	39664	119232	\N	\N	\N
1092354	3735	1997-09-03	PRIJEM	VKLAD	39112	68506	\N	\N	\N
1092355	3735	1997-05-26	PRIJEM	VKLAD	39552	126253	\N	\N	\N
1092356	3735	1997-06-13	PRIJEM	VKLAD	24758	104107	\N	\N	\N
1092357	3735	1997-11-21	PRIJEM	VKLAD	15333	53230	\N	\N	\N
1092358	3735	1997-05-22	PRIJEM	VKLAD	31466	120401	\N	\N	\N
1092359	3735	1997-01-15	PRIJEM	VKLAD	27734	67691	\N	\N	\N
1092360	3735	1997-12-28	PRIJEM	VKLAD	26377	87548	\N	\N	\N
1092361	3735	1997-12-28	PRIJEM	VKLAD	11663	61171	\N	\N	\N
1092362	3735	1997-04-03	PRIJEM	VKLAD	14295	118766	\N	\N	\N
1092363	3735	1997-04-25	PRIJEM	VKLAD	15978	69461	\N	\N	\N
1092364	3735	1997-10-17	PRIJEM	VKLAD	35576	79568	\N	\N	\N
1092365	3735	1997-03-22	PRIJEM	VKLAD	49505	104189	\N	\N	\N
1092366	3735	1997-04-05	PRIJEM	VKLAD	40269	138635	\N	\N	\N
1092367	3735	1997-02-14	PRIJEM	VKLAD	28299	64005	\N	\N	\N
1092368	3735	1997-12-12	PRIJEM	VKLAD	43502	110564	\N	\N	\N
1092369	3735	1997-05-20	PRIJEM	VKLAD	49165	88935	\N	\N	\N
1092370	3735	1997-09-20	PRIJEM	VKLAD	22133	58864	\N	\N	\N
1092371	3735	1997-04-27	PRIJEM	VKLAD	44417	113878	\N	\N	\N
1092372	3735	1997-02-14	PRIJEM	VKLAD	47628	111633	\N	\N	\N
1092373	3735	1997-06-30	PRIJEM	VKLAD	32900	84361	\N	\N	\N
1092374	3735	1997-10-13	PRIJEM	VKLAD	25212	77965	\N	\N	\N
1092375	3735	1997-03-18	PRIJEM	VKLAD	22253	57684	\N	\N	\N
1092376	3735	1997-01-23	PRIJEM	VKLAD	29254	54845	\N	\N	\N
1092377	3735	1997-04-13	PRIJEM	VKLAD	12423	95156	\N	\N	\N
1092378	3735	1997-12-02	PRIJEM	VKLAD	19909	73364	\N	\N	\N
1092379	3735	1998-05-10	PRIJEM	VKLAD	7342	12671	\N	\N	\N
1092380	3735	1998-02-21	PRIJEM	VKLAD	9017	20147	\N	\N	\N
1092381	3735	1998-10-04	PRIJEM	VKLAD	34737	37583	\N	\N	\N
1092392	3735	1995-11-11	VYDAJ	PREVOD NA UCET	6302	60747	SIPO	IJ	95204364
1092393	3735	1995-12-11	VYDAJ	PREVOD NA UCET	6302	41128	SIPO	IJ	95204364
1092394	3735	1996-01-11	VYDAJ	PREVOD NA UCET	6302	45302	SIPO	IJ	95204364
1092395	3735	1996-02-11	VYDAJ	PREVOD NA UCET	6302	59649	SIPO	IJ	95204364
1092396	3735	1996-03-11	VYDAJ	PREVOD NA UCET	6302	94315	SIPO	IJ	95204364
1092397	3735	1996-04-11	VYDAJ	PREVOD NA UCET	6302	55534	SIPO	IJ	95204364
1092398	3735	1996-05-11	VYDAJ	PREVOD NA UCET	6302	15257	SIPO	IJ	95204364
1092399	3735	1996-06-11	VYDAJ	PREVOD NA UCET	6302	20281	SIPO	IJ	95204364
1092400	3735	1996-07-11	VYDAJ	PREVOD NA UCET	6302	65093	SIPO	IJ	95204364
1092401	3735	1996-08-11	VYDAJ	PREVOD NA UCET	6302	67976	SIPO	IJ	95204364
1092402	3735	1996-09-11	VYDAJ	PREVOD NA UCET	6302	24621	SIPO	IJ	95204364
1092403	3735	1996-10-11	VYDAJ	PREVOD NA UCET	6302	68525	SIPO	IJ	95204364
1092404	3735	1996-11-11	VYDAJ	PREVOD NA UCET	6302	103804	SIPO	IJ	95204364
1092405	3735	1996-12-11	VYDAJ	PREVOD NA UCET	6302	94734	SIPO	IJ	95204364
1092406	3735	1997-01-11	VYDAJ	PREVOD NA UCET	6302	46432	SIPO	IJ	95204364
1092407	3735	1997-02-11	VYDAJ	PREVOD NA UCET	6302	36879	SIPO	IJ	95204364
1092408	3735	1997-03-11	VYDAJ	PREVOD NA UCET	6302	52404	SIPO	IJ	95204364
1092409	3735	1997-04-11	VYDAJ	PREVOD NA UCET	6302	82733	SIPO	IJ	95204364
1092410	3735	1997-05-11	VYDAJ	PREVOD NA UCET	6302	56743	SIPO	IJ	95204364
1092411	3735	1997-06-11	VYDAJ	PREVOD NA UCET	6302	79349	SIPO	IJ	95204364
1092412	3735	1997-07-11	VYDAJ	PREVOD NA UCET	6302	78044	SIPO	IJ	95204364
1092413	3735	1997-08-11	VYDAJ	PREVOD NA UCET	6302	44425	SIPO	IJ	95204364
1092414	3735	1997-09-11	VYDAJ	PREVOD NA UCET	6302	62204	SIPO	IJ	95204364
1092415	3735	1997-10-11	VYDAJ	PREVOD NA UCET	6302	52753	SIPO	IJ	95204364
1092416	3735	1997-11-11	VYDAJ	PREVOD NA UCET	6302	72170	SIPO	IJ	95204364
1092417	3735	1997-12-11	VYDAJ	PREVOD NA UCET	6302	67062	SIPO	IJ	95204364
1092418	3735	1998-01-11	VYDAJ	PREVOD NA UCET	6302	41782	SIPO	IJ	95204364
1092419	3735	1998-02-11	VYDAJ	PREVOD NA UCET	6302	12303	SIPO	IJ	95204364
1092420	3735	1998-03-11	VYDAJ	PREVOD NA UCET	6302	13912	SIPO	IJ	95204364
1092421	3735	1998-04-11	VYDAJ	PREVOD NA UCET	6302	6485	SIPO	IJ	95204364
1092422	3735	1998-05-11	VYDAJ	PREVOD NA UCET	6302	6369	SIPO	IJ	95204364
1092427	3735	1998-10-11	VYDAJ	PREVOD NA UCET	6302	31281	SIPO	IJ	95204364
1092428	3735	1998-11-11	VYDAJ	PREVOD NA UCET	6302	23876	SIPO	IJ	95204364
1092429	3735	1998-12-11	VYDAJ	PREVOD NA UCET	6302	16490	SIPO	IJ	95204364
1092440	3735	1995-11-13	VYDAJ	PREVOD NA UCET	1173	59574	 	GH	60675847
1092441	3735	1995-12-13	VYDAJ	PREVOD NA UCET	1173	39955	 	GH	60675847
1092442	3735	1996-01-13	VYDAJ	PREVOD NA UCET	1173	38673	 	GH	60675847
1092443	3735	1996-02-13	VYDAJ	PREVOD NA UCET	1173	39080	 	GH	60675847
1092444	3735	1996-03-13	VYDAJ	PREVOD NA UCET	1173	93142	 	GH	60675847
1092445	3735	1996-04-13	VYDAJ	PREVOD NA UCET	1173	45131	 	GH	60675847
1092446	3735	1996-05-13	VYDAJ	PREVOD NA UCET	1173	28293	 	GH	60675847
1092447	3735	1996-06-13	VYDAJ	PREVOD NA UCET	1173	19108	 	GH	60675847
1092448	3735	1996-07-13	VYDAJ	PREVOD NA UCET	1173	63920	 	GH	60675847
1092449	3735	1996-08-13	VYDAJ	PREVOD NA UCET	1173	66803	 	GH	60675847
1092450	3735	1996-09-13	VYDAJ	PREVOD NA UCET	1173	23448	 	GH	60675847
1092451	3735	1996-10-13	VYDAJ	PREVOD NA UCET	1173	67352	 	GH	60675847
1092452	3735	1996-11-13	VYDAJ	PREVOD NA UCET	1173	102631	 	GH	60675847
1092453	3735	1996-12-13	VYDAJ	PREVOD NA UCET	1173	93561	 	GH	60675847
1092454	3735	1997-01-13	VYDAJ	PREVOD NA UCET	1173	39957	 	GH	60675847
1092455	3735	1997-02-13	VYDAJ	PREVOD NA UCET	1173	35706	 	GH	60675847
1092456	3735	1997-03-13	VYDAJ	PREVOD NA UCET	1173	51231	 	GH	60675847
1092457	3735	1997-04-13	VYDAJ	PREVOD NA UCET	1173	93983	 	GH	60675847
1092458	3735	1997-05-13	VYDAJ	PREVOD NA UCET	1173	55570	 	GH	60675847
1092459	3735	1997-06-13	VYDAJ	PREVOD NA UCET	1173	102934	 	GH	60675847
1092460	3735	1997-07-13	VYDAJ	PREVOD NA UCET	1173	76871	 	GH	60675847
1092461	3735	1997-08-13	VYDAJ	PREVOD NA UCET	1173	43252	 	GH	60675847
1092462	3735	1997-09-13	VYDAJ	PREVOD NA UCET	1173	36731	 	GH	60675847
1092463	3735	1997-10-13	VYDAJ	PREVOD NA UCET	1173	76792	 	GH	60675847
1092464	3735	1997-11-13	VYDAJ	PREVOD NA UCET	1173	37897	 	GH	60675847
1092465	3735	1997-12-13	VYDAJ	PREVOD NA UCET	1173	59791	 	GH	60675847
1092466	3735	1998-01-13	VYDAJ	PREVOD NA UCET	1173	40609	 	GH	60675847
1092467	3735	1998-02-13	VYDAJ	PREVOD NA UCET	1173	11130	 	GH	60675847
1092468	3735	1998-03-13	VYDAJ	PREVOD NA UCET	1173	12739	 	GH	60675847
1092469	3735	1998-04-13	VYDAJ	PREVOD NA UCET	1173	5312	 	GH	60675847
1092470	3735	1998-05-13	VYDAJ	PREVOD NA UCET	1173	5196	 	GH	60675847
1092471	3735	1998-06-13	VYDAJ	PREVOD NA UCET	1173	4028	 	GH	60675847
1092472	3735	1998-07-13	VYDAJ	PREVOD NA UCET	1173	2859	 	GH	60675847
1092475	3735	1998-10-13	VYDAJ	PREVOD NA UCET	1173	30108	 	GH	60675847
1092476	3735	1998-11-13	VYDAJ	PREVOD NA UCET	1173	22703	 	GH	60675847
1092477	3735	1998-12-13	VYDAJ	PREVOD NA UCET	1173	15317	 	GH	60675847
1092478	3735	1995-12-06	VYBER	VYBER	5276	59130	\N	\N	\N
1092484	3735	1995-10-31	VYBER	VYBER	8853	67063	\N	\N	\N
1092489	3735	1995-12-18	VYBER	VYBER	13772	26183	\N	\N	\N
1092491	3735	1996-04-22	VYBER	VYBER	16461	21370	\N	\N	\N
1092494	3735	1996-10-07	VYBER	VYBER	16159	74827	\N	\N	\N
1092495	3735	1996-10-24	VYBER	VYBER	11703	78008	\N	\N	\N
1092496	3735	1996-01-16	VYBER	VYBER	13477	21896	\N	\N	\N
1092497	3735	1996-08-30	VYBER	VYBER	3800	30709	\N	\N	\N
1092498	3735	1996-02-13	VYBER	VYBER	19396	40253	\N	\N	\N
1092500	3735	1996-04-13	VYBER	VYBER	9230	46304	\N	\N	\N
1092502	3735	1996-08-17	VYBER	VYBER	13394	53409	\N	\N	\N
1092504	3735	1997-01-13	VYBER	VYBER	5302	41130	\N	\N	\N
1092505	3735	1997-02-01	VYBER	VYBER	2185	43181	\N	\N	\N
1092506	3735	1997-01-29	VYBER	VYBER	2777	45168	\N	\N	\N
1092517	3735	1996-01-23	VYDAJ	VYBER	22200	23427	\N	\N	\N
1092518	3735	1997-01-19	VYDAJ	VYBER	11400	31591	\N	\N	\N
1092521	3735	1996-12-06	VYDAJ	VYBER	7200	59159	\N	\N	\N
1092522	3735	1997-12-27	VYDAJ	VYBER	6900	49508	\N	\N	\N
1092530	3735	1996-01-14	VYDAJ	VYBER KARTOU	3300	35373	\N	\N	0
1092531	3735	1996-01-12	VYDAJ	VYBER KARTOU	2100	48246	\N	\N	0
1092532	3735	1996-01-17	VYDAJ	VYBER KARTOU	2100	19796	\N	\N	0
1092534	3735	1996-01-12	VYDAJ	VYBER	8400	39846	\N	\N	\N
1092535	3735	1996-01-10	VYDAJ	VYBER	8400	51604	\N	\N	\N
1092536	3735	1997-01-22	VYDAJ	VYBER KARTOU	1800	25591	\N	\N	0
1092537	3735	1997-01-09	VYDAJ	VYBER	7500	52734	\N	\N	\N
1092538	3735	1997-01-07	VYDAJ	VYBER	8100	60234	\N	\N	\N
1092539	3735	1997-01-21	VYDAJ	VYBER	4200	27391	\N	\N	\N
1092540	3735	1997-01-27	VYDAJ	VYBER	6900	47945	\N	\N	\N
1092541	3735	1997-01-04	VYDAJ	VYBER KARTOU	2700	68334	\N	\N	0
1092543	3735	1998-01-15	VYDAJ	VYBER	4800	35809	\N	\N	\N
1092544	3735	1998-01-09	VYDAJ	VYBER	5700	77584	\N	\N	\N
1092546	3735	1998-01-02	VYDAJ	VYBER	4500	83284	\N	\N	\N
1092547	3735	1998-01-18	VYDAJ	VYBER	7200	28609	\N	\N	\N
1092548	3735	1995-12-08	VYDAJ	VYBER	11700	47430	\N	\N	\N
1092549	3735	1995-10-21	VYDAJ	VYBER	11100	47144	\N	\N	\N
1092550	3735	1995-12-28	VYDAJ	VYBER	4500	19783	\N	\N	\N
1092555	3735	1996-09-18	VYDAJ	VYBER	7800	21861	\N	\N	\N
1092556	3735	1996-11-25	VYDAJ	VYBER	5100	55931	\N	\N	\N
1092558	3735	1996-07-10	VYDAJ	VYBER	10200	71395	\N	\N	\N
1092560	3735	1996-01-05	VYDAJ	VYBER	9300	60004	\N	\N	\N
1092562	3735	1996-12-18	VYDAJ	VYBER KARTOU	1500	70734	\N	\N	0
1092563	3735	1997-06-09	VYDAJ	VYBER	7800	85651	\N	\N	\N
1092564	3735	1997-06-29	VYDAJ	VYBER	12600	51134	\N	\N	\N
1092565	3735	1997-12-17	VYDAJ	VYBER	9000	56408	\N	\N	\N
1092566	3735	1997-06-06	VYDAJ	VYBER	6000	93451	\N	\N	\N
1092567	3735	1997-03-21	VYDAJ	VYBER KARTOU	3000	54684	\N	\N	0
1092568	3735	1997-04-24	VYDAJ	VYBER	5400	53483	\N	\N	\N
1092586	3735	1995-10-31	VYDAJ	VYBER	15	67049	SLUZBY	\N	\N
1092587	3735	1995-11-30	VYDAJ	VYBER	15	64406	SLUZBY	\N	\N
1092588	3735	1995-12-31	VYDAJ	VYBER	15	19931	SLUZBY	\N	\N
1092589	3735	1996-01-31	VYDAJ	VYBER	15	73099	SLUZBY	\N	\N
1092590	3735	1996-02-29	VYDAJ	VYBER	15	61727	SLUZBY	\N	\N
1092591	3735	1996-03-31	VYDAJ	VYBER	15	84568	SLUZBY	\N	\N
1092592	3735	1996-04-30	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
1092593	3735	1996-05-31	VYDAJ	VYBER	15	26583	SLUZBY	\N	\N
1092594	3735	1996-06-30	VYDAJ	VYBER	15	53322	SLUZBY	\N	\N
1092595	3735	1996-07-31	VYDAJ	VYBER	15	74278	SLUZBY	\N	\N
1092596	3735	1996-08-31	VYDAJ	VYBER	15	30923	SLUZBY	\N	\N
1092597	3735	1996-09-30	VYDAJ	VYBER	15	90986	SLUZBY	\N	\N
1092598	3735	1996-10-31	VYDAJ	VYBER	15	78303	SLUZBY	\N	\N
1092599	3735	1996-11-30	VYDAJ	VYBER	15	56225	SLUZBY	\N	\N
1092600	3735	1996-12-31	VYDAJ	VYBER	15	71034	SLUZBY	\N	\N
1092601	3735	1997-01-31	VYDAJ	VYBER	15	45366	SLUZBY	\N	\N
1092602	3735	1997-02-28	VYDAJ	VYBER	15	58706	SLUZBY	\N	\N
1092603	3735	1997-03-31	VYDAJ	VYBER	15	104471	SLUZBY	\N	\N
1092604	3735	1997-04-30	VYDAJ	VYBER	15	63045	SLUZBY	\N	\N
1092605	3735	1997-05-31	VYDAJ	VYBER	15	99451	SLUZBY	\N	\N
1092606	3735	1997-06-30	VYDAJ	VYBER	15	84346	SLUZBY	\N	\N
1092607	3735	1997-07-31	VYDAJ	VYBER	15	50727	SLUZBY	\N	\N
1092608	3735	1997-08-31	VYDAJ	VYBER	15	29394	SLUZBY	\N	\N
1092609	3735	1997-09-30	VYDAJ	VYBER	15	59055	SLUZBY	\N	\N
1092610	3735	1997-10-31	VYDAJ	VYBER	15	78472	SLUZBY	\N	\N
1092611	3735	1997-11-30	VYDAJ	VYBER	15	53455	SLUZBY	\N	\N
1092612	3735	1997-12-31	VYDAJ	VYBER	15	87784	SLUZBY	\N	\N
1092613	3735	1998-01-31	VYDAJ	VYBER	15	28805	SLUZBY	\N	\N
1092614	3735	1998-02-28	VYDAJ	VYBER	15	20214	SLUZBY	\N	\N
1092615	3735	1998-03-31	VYDAJ	VYBER	15	12787	SLUZBY	\N	\N
1092616	3735	1998-04-30	VYDAJ	VYBER	15	5329	SLUZBY	\N	\N
1092617	3735	1998-05-31	VYDAJ	VYBER	15	5201	SLUZBY	\N	\N
1092618	3735	1998-06-30	VYDAJ	VYBER	15	4032	SLUZBY	\N	\N
1092619	3735	1998-07-31	VYDAJ	VYBER	15	2857	SLUZBY	\N	\N
1092620	3735	1998-08-31	VYDAJ	VYBER	15	2843	SLUZBY	\N	\N
1092621	3735	1998-09-30	VYDAJ	VYBER	15	2846	SLUZBY	\N	\N
1092622	3735	1998-10-31	VYDAJ	VYBER	15	30178	SLUZBY	\N	\N
1092623	3735	1998-11-30	VYDAJ	VYBER	15	22792	SLUZBY	\N	\N
1092624	3735	1995-05-27	PRIJEM	VKLAD	13600	13900	\N	\N	\N
1092625	3735	1995-06-26	VYDAJ	VYBER	13900	35382	\N	\N	\N
1092626	3735	1995-07-26	VYDAJ	VYBER	23600	49774	\N	\N	\N
1092627	3735	1995-08-25	VYDAJ	VYBER	20600	51768	\N	\N	\N
1092628	3735	1995-09-24	VYDAJ	VYBER	14500	37552	\N	\N	\N
1092629	3735	1995-10-24	VYDAJ	VYBER	33000	62422	\N	\N	\N
1092630	3735	1995-11-23	VYDAJ	VYBER	28500	57893	\N	\N	\N
1092631	3735	1995-11-27	VYDAJ	VYBER	40900	64121	\N	\N	\N
1092632	3735	1995-12-23	VYDAJ	VYBER KARTOU	1900	24283	\N	\N	0
1092633	3735	1996-01-22	VYDAJ	VYBER	21700	45627	\N	\N	\N
1092634	3735	1996-02-04	VYDAJ	VYBER	45100	65951	\N	\N	\N
1092635	3735	1996-02-21	VYDAJ	VYBER	7900	31180	\N	\N	\N
1092636	3735	1996-03-15	VYDAJ	VYBER	46700	80721	\N	\N	\N
1092637	3735	1996-03-22	VYDAJ	VYBER	31300	49421	\N	\N	\N
1092638	3735	1996-03-27	VYDAJ	VYBER	31600	100412	\N	\N	\N
1092639	3735	1996-03-28	VYDAJ	VYBER	38300	84212	\N	\N	\N
1092640	3735	1996-04-07	VYDAJ	VYBER	46400	61836	\N	\N	\N
1092641	3735	1996-04-21	VYDAJ	VYBER	7300	37831	\N	\N	\N
1092642	3735	1996-05-21	VYDAJ	VYBER KARTOU	1800	26493	\N	\N	0
1092643	3735	1996-06-20	VYDAJ	VYBER	13000	34350	\N	\N	\N
1092644	3735	1996-07-07	VYDAJ	VYBER	51000	81595	\N	\N	\N
1092645	3735	1996-07-20	VYDAJ	VYBER	25200	38720	\N	\N	\N
1092646	3735	1996-08-19	VYDAJ	VYBER	18900	34509	\N	\N	\N
1092647	3735	1996-09-18	VYDAJ	VYBER	4800	17061	\N	\N	\N
1092648	3735	1996-10-18	VYDAJ	VYBER	24400	42952	\N	\N	\N
1092649	3735	1996-11-17	VYDAJ	VYBER	41600	61031	\N	\N	\N
1092650	3735	1996-12-16	VYDAJ	VYBER	56600	85390	\N	\N	\N
1092651	3735	1996-12-17	VYDAJ	VYBER	36400	48990	\N	\N	\N
1092652	3735	1997-01-16	VYDAJ	VYBER	24700	42991	\N	\N	\N
1092653	3735	1997-02-14	VYDAJ	VYBER	59200	52433	\N	\N	\N
1092654	3735	1997-02-15	VYDAJ	VYBER	17300	35133	\N	\N	\N
1092655	3735	1997-03-17	VYDAJ	VYBER	15800	35431	\N	\N	\N
1092656	3735	1997-04-03	VYDAJ	VYBER	20400	98366	\N	\N	\N
1092657	3735	1997-04-05	VYDAJ	VYBER	49600	89035	\N	\N	\N
1092658	3735	1997-04-16	VYDAJ	VYBER	35100	58883	\N	\N	\N
1092659	3735	1997-04-27	VYDAJ	VYBER	51200	62678	\N	\N	\N
1092660	3735	1997-05-16	VYDAJ	VYBER	15800	39770	\N	\N	\N
1092661	3735	1997-05-22	VYDAJ	VYBER	33700	86701	\N	\N	\N
1092662	3735	1997-05-26	VYDAJ	VYBER	27100	99153	\N	\N	\N
1092663	3735	1997-06-15	VYDAJ	VYBER	39200	63734	\N	\N	\N
1092664	3735	1997-07-15	VYDAJ	VYBER	26400	50471	\N	\N	\N
1092665	3735	1997-08-14	VYDAJ	VYBER	14000	29252	\N	\N	\N
1092666	3735	1997-09-13	VYDAJ	VYBER	24300	37904	\N	\N	\N
1092667	3735	1997-10-13	VYDAJ	VYBER	32800	43992	\N	\N	\N
1092668	3735	1997-10-20	VYDAJ	VYBER	41100	78132	\N	\N	\N
1092669	3735	1997-11-12	VYDAJ	VYBER	33100	39070	\N	\N	\N
1092670	3735	1997-12-12	VYDAJ	VYBER	49600	60964	\N	\N	\N
1092671	3735	1998-01-11	VYDAJ	VYBER	29500	48084	\N	\N	\N
1092672	3735	1998-02-10	VYDAJ	VYBER	10200	18605	\N	\N	\N
1092719	3736	1996-05-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1092724	3736	1996-05-09	PRIJEM	PREVOD Z UCTU	6963	7963	DUCHOD	ST	30838406
1092725	3736	1996-06-09	PRIJEM	PREVOD Z UCTU	6963	14951	DUCHOD	ST	30838406
1092726	3736	1996-07-09	PRIJEM	PREVOD Z UCTU	6963	21947	DUCHOD	ST	30838406
1092727	3736	1996-08-09	PRIJEM	PREVOD Z UCTU	6963	28943	DUCHOD	ST	30838406
1092728	3736	1996-09-09	PRIJEM	PREVOD Z UCTU	6963	35939	DUCHOD	ST	30838406
1092729	3736	1996-10-09	PRIJEM	PREVOD Z UCTU	6963	39479	DUCHOD	ST	30838406
1092730	3736	1996-11-09	PRIJEM	PREVOD Z UCTU	6963	43071	DUCHOD	ST	30838406
1092731	3736	1996-12-09	PRIJEM	PREVOD Z UCTU	6963	43395	DUCHOD	ST	30838406
1092732	3736	1997-01-09	PRIJEM	PREVOD Z UCTU	6963	42902	DUCHOD	ST	30838406
1092733	3736	1997-02-09	PRIJEM	PREVOD Z UCTU	6963	34767	DUCHOD	ST	30838406
1092734	3736	1997-03-09	PRIJEM	PREVOD Z UCTU	6963	38339	DUCHOD	ST	30838406
1092735	3736	1997-04-09	PRIJEM	PREVOD Z UCTU	6963	41927	DUCHOD	ST	30838406
1092736	3736	1997-05-09	PRIJEM	PREVOD Z UCTU	6963	40229	DUCHOD	ST	30838406
1092737	3736	1997-06-09	PRIJEM	PREVOD Z UCTU	6963	39829	DUCHOD	ST	30838406
1092738	3736	1997-07-09	PRIJEM	PREVOD Z UCTU	6963	30243	DUCHOD	ST	30838406
1092739	3736	1997-08-09	PRIJEM	PREVOD Z UCTU	6963	33797	DUCHOD	ST	30838406
1092740	3736	1997-09-09	PRIJEM	PREVOD Z UCTU	6963	35865	DUCHOD	ST	30838406
1092741	3736	1997-10-09	PRIJEM	PREVOD Z UCTU	6963	39442	DUCHOD	ST	30838406
1092742	3736	1997-11-09	PRIJEM	PREVOD Z UCTU	6963	39827	DUCHOD	ST	30838406
1092743	3736	1997-12-09	PRIJEM	PREVOD Z UCTU	6963	41870	DUCHOD	ST	30838406
1092744	3736	1998-01-09	PRIJEM	PREVOD Z UCTU	6963	37476	DUCHOD	ST	30838406
1092745	3736	1998-02-09	PRIJEM	PREVOD Z UCTU	6963	31851	DUCHOD	ST	30838406
1092746	3736	1998-03-09	PRIJEM	PREVOD Z UCTU	6963	35411	DUCHOD	ST	30838406
1092747	3736	1998-04-09	PRIJEM	PREVOD Z UCTU	6963	35066	DUCHOD	ST	30838406
1092748	3736	1998-05-09	PRIJEM	PREVOD Z UCTU	6963	32401	DUCHOD	ST	30838406
1092749	3736	1998-06-09	PRIJEM	PREVOD Z UCTU	6963	35972	DUCHOD	ST	30838406
1092750	3736	1998-07-09	PRIJEM	PREVOD Z UCTU	6963	24991	DUCHOD	ST	30838406
1092751	3736	1998-08-09	PRIJEM	PREVOD Z UCTU	6963	28522	DUCHOD	ST	30838406
1092752	3736	1998-09-09	PRIJEM	PREVOD Z UCTU	6963	29502	DUCHOD	ST	30838406
1092753	3736	1998-10-09	PRIJEM	PREVOD Z UCTU	6963	29692	DUCHOD	ST	30838406
1092754	3736	1998-11-09	PRIJEM	PREVOD Z UCTU	6963	33251	DUCHOD	ST	30838406
1092755	3736	1998-12-09	PRIJEM	PREVOD Z UCTU	6963	36816	DUCHOD	ST	30838406
1092764	3736	1996-09-14	VYDAJ	PREVOD NA UCET	3500	32439	SIPO	EF	75976282
1092765	3736	1996-10-14	VYDAJ	PREVOD NA UCET	3500	35979	SIPO	EF	75976282
1092766	3736	1996-11-14	VYDAJ	PREVOD NA UCET	3500	39571	SIPO	EF	75976282
1092767	3736	1996-12-14	VYDAJ	PREVOD NA UCET	3500	39895	SIPO	EF	75976282
1092768	3736	1997-01-14	VYDAJ	PREVOD NA UCET	3500	34312	SIPO	EF	75976282
1092769	3736	1997-02-14	VYDAJ	PREVOD NA UCET	3500	31267	SIPO	EF	75976282
1092770	3736	1997-03-14	VYDAJ	PREVOD NA UCET	3500	34839	SIPO	EF	75976282
1092771	3736	1997-04-14	VYDAJ	PREVOD NA UCET	3500	38427	SIPO	EF	75976282
1092772	3736	1997-05-14	VYDAJ	PREVOD NA UCET	3500	36729	SIPO	EF	75976282
1092773	3736	1997-06-14	VYDAJ	PREVOD NA UCET	3500	23179	SIPO	EF	75976282
1092774	3736	1997-07-14	VYDAJ	PREVOD NA UCET	3500	26743	SIPO	EF	75976282
1092775	3736	1997-08-14	VYDAJ	PREVOD NA UCET	3500	30297	SIPO	EF	75976282
1092776	3736	1997-09-14	VYDAJ	PREVOD NA UCET	3500	32365	SIPO	EF	75976282
1092777	3736	1997-10-14	VYDAJ	PREVOD NA UCET	3500	32742	SIPO	EF	75976282
1092778	3736	1997-11-14	VYDAJ	PREVOD NA UCET	3500	36327	SIPO	EF	75976282
1092779	3736	1997-12-14	VYDAJ	PREVOD NA UCET	3500	38370	SIPO	EF	75976282
1092780	3736	1998-01-14	VYDAJ	PREVOD NA UCET	3500	31656	SIPO	EF	75976282
1092781	3736	1998-02-14	VYDAJ	PREVOD NA UCET	3500	28351	SIPO	EF	75976282
1092782	3736	1998-03-14	VYDAJ	PREVOD NA UCET	3500	31911	SIPO	EF	75976282
1092783	3736	1998-04-14	VYDAJ	PREVOD NA UCET	3500	29086	SIPO	EF	75976282
1092784	3736	1998-05-14	VYDAJ	PREVOD NA UCET	3500	28901	SIPO	EF	75976282
1092785	3736	1998-06-14	VYDAJ	PREVOD NA UCET	3500	32472	SIPO	EF	75976282
1092786	3736	1998-07-14	VYDAJ	PREVOD NA UCET	3500	21491	SIPO	EF	75976282
1092787	3736	1998-08-14	VYDAJ	PREVOD NA UCET	3500	25022	SIPO	EF	75976282
1092788	3736	1998-09-14	VYDAJ	PREVOD NA UCET	3500	26002	SIPO	EF	75976282
1092789	3736	1998-10-14	VYDAJ	PREVOD NA UCET	3500	26192	SIPO	EF	75976282
1092790	3736	1998-11-14	VYDAJ	PREVOD NA UCET	3500	29751	SIPO	EF	75976282
1092791	3736	1998-12-14	VYDAJ	PREVOD NA UCET	3500	33316	SIPO	EF	75976282
1092793	3736	1997-06-12	VYDAJ	VYBER	13150	26679	\N	\N	\N
1092794	3736	1998-06-27	VYDAJ	VYBER	14550	17922	\N	\N	\N
1092796	3736	1997-01-10	VYDAJ	VYBER	3650	39252	\N	\N	\N
1092797	3736	1998-01-02	VYDAJ	VYBER	4100	32513	\N	\N	\N
1092798	3736	1996-12-20	VYDAJ	VYBER	900	38995	\N	\N	\N
1092799	3736	1997-12-03	VYDAJ	VYBER	650	34907	\N	\N	\N
1092800	3736	1998-12-14	VYDAJ	VYBER	700	32616	\N	\N	\N
1092807	3736	1997-01-12	VYDAJ	VYBER	1440	37812	\N	\N	\N
1092808	3736	1997-01-23	VYDAJ	VYBER	1440	32872	\N	\N	\N
1092809	3736	1997-01-30	VYDAJ	VYBER	2240	28792	\N	\N	\N
1092810	3736	1997-01-25	VYDAJ	VYBER	1360	31512	\N	\N	\N
1092811	3736	1997-01-26	VYDAJ	VYBER	480	31032	\N	\N	\N
1092812	3736	1997-01-30	VYDAJ	VYBER	1120	27672	\N	\N	\N
1092813	3736	1998-01-20	VYDAJ	VYBER	1120	28456	\N	\N	\N
1092814	3736	1998-01-12	VYDAJ	VYBER	2320	35156	\N	\N	\N
1092815	3736	1998-01-15	VYDAJ	VYBER	2080	29576	\N	\N	\N
1092816	3736	1998-01-02	VYDAJ	VYBER	2000	30513	\N	\N	\N
1092817	3736	1998-01-30	VYDAJ	VYBER	1680	24776	\N	\N	\N
1092818	3736	1998-01-21	VYDAJ	VYBER	2000	26456	\N	\N	\N
1092820	3736	1996-11-24	VYDAJ	VYBER	3280	36291	\N	\N	\N
1092824	3736	1997-05-21	VYDAJ	VYBER	3600	33129	\N	\N	\N
1092825	3736	1997-10-13	VYDAJ	VYBER	3200	36242	\N	\N	\N
1092826	3736	1998-08-15	VYDAJ	VYBER	2560	22462	\N	\N	\N
1092827	3736	1998-10-03	VYDAJ	VYBER	3360	22729	\N	\N	\N
1092828	3736	1998-12-27	VYDAJ	VYBER	1280	31336	\N	\N	\N
1092829	3736	1998-04-10	VYDAJ	VYBER	2480	32586	\N	\N	\N
1092830	3736	1998-04-06	VYDAJ	VYBER	3920	28103	\N	\N	\N
1092831	3736	1998-05-08	VYDAJ	VYBER	3760	25438	\N	\N	\N
1092841	3736	1996-09-30	VYDAJ	VYBER	15	32516	SLUZBY	\N	\N
1092842	3736	1996-10-31	VYDAJ	VYBER	15	36108	SLUZBY	\N	\N
1092843	3736	1996-11-30	VYDAJ	VYBER	15	36432	SLUZBY	\N	\N
1092844	3736	1996-12-31	VYDAJ	VYBER	15	39139	SLUZBY	\N	\N
1092845	3736	1997-01-31	VYDAJ	VYBER	15	27804	SLUZBY	\N	\N
1092846	3736	1997-02-28	VYDAJ	VYBER	15	31376	SLUZBY	\N	\N
1092847	3736	1997-03-31	VYDAJ	VYBER	15	34964	SLUZBY	\N	\N
1092848	3736	1997-04-30	VYDAJ	VYBER	15	38566	SLUZBY	\N	\N
1092849	3736	1997-05-31	VYDAJ	VYBER	15	33266	SLUZBY	\N	\N
1092850	3736	1997-06-30	VYDAJ	VYBER	15	23280	SLUZBY	\N	\N
1092851	3736	1997-07-31	VYDAJ	VYBER	15	26834	SLUZBY	\N	\N
1092852	3736	1997-08-31	VYDAJ	VYBER	15	30402	SLUZBY	\N	\N
1092853	3736	1997-09-30	VYDAJ	VYBER	15	32479	SLUZBY	\N	\N
1092854	3736	1997-10-31	VYDAJ	VYBER	15	32864	SLUZBY	\N	\N
1092855	3736	1997-11-30	VYDAJ	VYBER	15	35557	SLUZBY	\N	\N
1092856	3736	1997-12-31	VYDAJ	VYBER	15	36613	SLUZBY	\N	\N
1092857	3736	1998-01-31	VYDAJ	VYBER	15	24888	SLUZBY	\N	\N
1092858	3736	1998-02-28	VYDAJ	VYBER	15	28448	SLUZBY	\N	\N
1092859	3736	1998-03-31	VYDAJ	VYBER	15	32023	SLUZBY	\N	\N
1092860	3736	1998-04-30	VYDAJ	VYBER	15	29198	SLUZBY	\N	\N
1092861	3736	1998-05-31	VYDAJ	VYBER	15	29009	SLUZBY	\N	\N
1092862	3736	1998-06-30	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
1092863	3736	1998-07-31	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
1092864	3736	1998-08-31	VYDAJ	VYBER	15	22539	SLUZBY	\N	\N
1092865	3736	1998-09-30	VYDAJ	VYBER	15	26089	SLUZBY	\N	\N
1092866	3736	1998-10-31	VYDAJ	VYBER	15	26288	SLUZBY	\N	\N
1092867	3736	1998-11-30	VYDAJ	VYBER	15	29853	SLUZBY	\N	\N
1092868	3736	1997-01-03	VYDAJ	VYBER	3200	35939	\N	\N	\N
1092869	3736	1997-05-03	VYDAJ	VYBER	5300	33266	\N	\N	\N
1092870	3736	1997-06-02	VYDAJ	VYBER	400	32866	\N	\N	\N
1092871	3736	1997-08-31	VYDAJ	VYBER	1500	28902	\N	\N	\N
1092872	3736	1997-11-29	VYDAJ	VYBER	900	35427	\N	\N	\N
1092873	3736	1997-12-29	VYDAJ	VYBER	1900	36470	\N	\N	\N
1092906	3737	1995-03-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1092909	3737	1995-03-05	PRIJEM	PREVOD Z UCTU	6852	7952	DUCHOD	YZ	98257147
1092910	3737	1995-04-05	PRIJEM	PREVOD Z UCTU	6852	14833	DUCHOD	YZ	98257147
1092911	3737	1995-05-05	PRIJEM	PREVOD Z UCTU	6852	21718	DUCHOD	YZ	98257147
1092912	3737	1995-06-05	PRIJEM	PREVOD Z UCTU	6852	28603	DUCHOD	YZ	98257147
1092913	3737	1995-07-05	PRIJEM	PREVOD Z UCTU	6852	31193	DUCHOD	YZ	98257147
1092914	3737	1995-08-05	PRIJEM	PREVOD Z UCTU	6852	30643	DUCHOD	YZ	98257147
1092915	3737	1995-09-05	PRIJEM	PREVOD Z UCTU	6852	30756	DUCHOD	YZ	98257147
1092916	3737	1995-10-05	PRIJEM	PREVOD Z UCTU	6852	33872	DUCHOD	YZ	98257147
1092917	3737	1995-11-05	PRIJEM	PREVOD Z UCTU	6852	37000	DUCHOD	YZ	98257147
1092918	3737	1995-12-05	PRIJEM	PREVOD Z UCTU	6852	38941	DUCHOD	YZ	98257147
1092919	3737	1996-01-05	PRIJEM	PREVOD Z UCTU	6852	33369	DUCHOD	YZ	98257147
1092920	3737	1996-02-05	PRIJEM	PREVOD Z UCTU	6852	22685	DUCHOD	YZ	98257147
1092921	3737	1996-03-05	PRIJEM	PREVOD Z UCTU	6852	25767	DUCHOD	YZ	98257147
1092922	3737	1996-04-05	PRIJEM	PREVOD Z UCTU	6852	25812	DUCHOD	YZ	98257147
1092923	3737	1996-05-05	PRIJEM	PREVOD Z UCTU	6852	28906	DUCHOD	YZ	98257147
1092924	3737	1996-06-05	PRIJEM	PREVOD Z UCTU	6852	32014	DUCHOD	YZ	98257147
1092925	3737	1996-07-05	PRIJEM	PREVOD Z UCTU	6852	25012	DUCHOD	YZ	98257147
1092926	3737	1996-08-05	PRIJEM	PREVOD Z UCTU	6852	28103	DUCHOD	YZ	98257147
1092927	3737	1996-09-05	PRIJEM	PREVOD Z UCTU	6852	30727	DUCHOD	YZ	98257147
1092928	3737	1996-10-05	PRIJEM	PREVOD Z UCTU	6852	33361	DUCHOD	YZ	98257147
1092929	3737	1996-11-05	PRIJEM	PREVOD Z UCTU	6852	34562	DUCHOD	YZ	98257147
1092930	3737	1996-12-05	PRIJEM	PREVOD Z UCTU	6852	35589	DUCHOD	YZ	98257147
1092931	3737	1997-01-05	PRIJEM	PREVOD Z UCTU	6852	32278	DUCHOD	YZ	98257147
1092932	3737	1997-02-05	PRIJEM	PREVOD Z UCTU	6852	22247	DUCHOD	YZ	98257147
1092933	3737	1997-03-05	PRIJEM	PREVOD Z UCTU	6852	25327	DUCHOD	YZ	98257147
1092934	3737	1997-04-05	PRIJEM	PREVOD Z UCTU	6852	28419	DUCHOD	YZ	98257147
1092935	3737	1997-05-05	PRIJEM	PREVOD Z UCTU	6852	29844	DUCHOD	YZ	98257147
1092936	3737	1997-06-05	PRIJEM	PREVOD Z UCTU	6852	32955	DUCHOD	YZ	98257147
1092937	3737	1997-07-05	PRIJEM	PREVOD Z UCTU	6852	29716	DUCHOD	YZ	98257147
1092938	3737	1997-08-05	PRIJEM	PREVOD Z UCTU	6852	32827	DUCHOD	YZ	98257147
1092939	3737	1997-09-05	PRIJEM	PREVOD Z UCTU	6852	35950	DUCHOD	YZ	98257147
1092940	3737	1997-10-05	PRIJEM	PREVOD Z UCTU	6852	39086	DUCHOD	YZ	98257147
1092941	3737	1997-11-05	PRIJEM	PREVOD Z UCTU	6852	42236	DUCHOD	YZ	98257147
1092942	3737	1997-12-05	PRIJEM	PREVOD Z UCTU	6852	40487	DUCHOD	YZ	98257147
1092943	3737	1998-01-05	PRIJEM	PREVOD Z UCTU	6852	39698	DUCHOD	YZ	98257147
1092944	3737	1998-02-05	PRIJEM	PREVOD Z UCTU	6852	33250	DUCHOD	YZ	98257147
1092945	3737	1998-03-05	PRIJEM	PREVOD Z UCTU	6852	36375	DUCHOD	YZ	98257147
1092946	3737	1998-04-05	PRIJEM	PREVOD Z UCTU	6852	39512	DUCHOD	YZ	98257147
1092947	3737	1998-05-05	PRIJEM	PREVOD Z UCTU	6852	42663	DUCHOD	YZ	98257147
1092948	3737	1998-06-05	PRIJEM	PREVOD Z UCTU	6852	43502	DUCHOD	YZ	98257147
1092949	3737	1998-07-05	PRIJEM	PREVOD Z UCTU	6852	41660	DUCHOD	YZ	98257147
1092950	3737	1998-08-05	PRIJEM	PREVOD Z UCTU	6852	43316	DUCHOD	YZ	98257147
1092951	3737	1998-09-05	PRIJEM	PREVOD Z UCTU	6852	41113	DUCHOD	YZ	98257147
1092952	3737	1998-10-05	PRIJEM	PREVOD Z UCTU	6852	44270	DUCHOD	YZ	98257147
1092953	3737	1998-11-05	PRIJEM	PREVOD Z UCTU	6852	41634	DUCHOD	YZ	98257147
1092954	3737	1998-12-05	PRIJEM	PREVOD Z UCTU	6852	44798	DUCHOD	YZ	98257147
1092961	3737	1995-07-13	VYDAJ	PREVOD NA UCET	3805	27359	SIPO	CD	48756384
1092962	3737	1995-08-13	VYDAJ	PREVOD NA UCET	3805	26809	SIPO	CD	48756384
1092963	3737	1995-09-13	VYDAJ	PREVOD NA UCET	3805	26922	SIPO	CD	48756384
1092964	3737	1995-10-13	VYDAJ	PREVOD NA UCET	3805	30038	SIPO	CD	48756384
1092965	3737	1995-11-13	VYDAJ	PREVOD NA UCET	3805	33166	SIPO	CD	48756384
1092966	3737	1995-12-13	VYDAJ	PREVOD NA UCET	3805	35107	SIPO	CD	48756384
1092967	3737	1996-01-13	VYDAJ	PREVOD NA UCET	3805	22165	SIPO	CD	48756384
1092968	3737	1996-02-13	VYDAJ	PREVOD NA UCET	3805	18851	SIPO	CD	48756384
1092969	3737	1996-03-13	VYDAJ	PREVOD NA UCET	3805	18893	SIPO	CD	48756384
1092970	3737	1996-04-13	VYDAJ	PREVOD NA UCET	3805	21978	SIPO	CD	48756384
1092971	3737	1996-05-13	VYDAJ	PREVOD NA UCET	3805	25072	SIPO	CD	48756384
1092972	3737	1996-06-13	VYDAJ	PREVOD NA UCET	3805	28180	SIPO	CD	48756384
1092973	3737	1996-07-13	VYDAJ	PREVOD NA UCET	3805	21178	SIPO	CD	48756384
1092974	3737	1996-08-13	VYDAJ	PREVOD NA UCET	3805	24269	SIPO	CD	48756384
1092975	3737	1996-09-13	VYDAJ	PREVOD NA UCET	3805	26893	SIPO	CD	48756384
1092976	3737	1996-10-13	VYDAJ	PREVOD NA UCET	3805	27607	SIPO	CD	48756384
1092977	3737	1996-11-13	VYDAJ	PREVOD NA UCET	3805	30728	SIPO	CD	48756384
1092978	3737	1996-12-13	VYDAJ	PREVOD NA UCET	3805	31755	SIPO	CD	48756384
1092979	3737	1997-01-13	VYDAJ	PREVOD NA UCET	3805	27724	SIPO	CD	48756384
1092980	3737	1997-02-13	VYDAJ	PREVOD NA UCET	3805	18413	SIPO	CD	48756384
1092981	3737	1997-03-13	VYDAJ	PREVOD NA UCET	3805	21493	SIPO	CD	48756384
1092982	3737	1997-04-13	VYDAJ	PREVOD NA UCET	3805	24585	SIPO	CD	48756384
1092983	3737	1997-05-13	VYDAJ	PREVOD NA UCET	3805	26010	SIPO	CD	48756384
1092984	3737	1997-06-13	VYDAJ	PREVOD NA UCET	3805	29121	SIPO	CD	48756384
1092985	3737	1997-07-13	VYDAJ	PREVOD NA UCET	3805	25882	SIPO	CD	48756384
1092986	3737	1997-08-13	VYDAJ	PREVOD NA UCET	3805	28993	SIPO	CD	48756384
1092987	3737	1997-09-13	VYDAJ	PREVOD NA UCET	3805	32116	SIPO	CD	48756384
1092988	3737	1997-10-13	VYDAJ	PREVOD NA UCET	3805	35252	SIPO	CD	48756384
1092989	3737	1997-11-13	VYDAJ	PREVOD NA UCET	3805	38402	SIPO	CD	48756384
1092990	3737	1997-12-13	VYDAJ	PREVOD NA UCET	3805	36353	SIPO	CD	48756384
1092991	3737	1998-01-13	VYDAJ	PREVOD NA UCET	3805	35384	SIPO	CD	48756384
1092992	3737	1998-02-13	VYDAJ	PREVOD NA UCET	3805	29416	SIPO	CD	48756384
1092993	3737	1998-03-13	VYDAJ	PREVOD NA UCET	3805	32541	SIPO	CD	48756384
1092994	3737	1998-04-13	VYDAJ	PREVOD NA UCET	3805	35678	SIPO	CD	48756384
1092995	3737	1998-05-13	VYDAJ	PREVOD NA UCET	3805	38829	SIPO	CD	48756384
1092996	3737	1998-06-13	VYDAJ	PREVOD NA UCET	3805	39668	SIPO	CD	48756384
1092997	3737	1998-07-13	VYDAJ	PREVOD NA UCET	3805	37826	SIPO	CD	48756384
1092998	3737	1998-08-13	VYDAJ	PREVOD NA UCET	3805	37242	SIPO	CD	48756384
1092999	3737	1998-09-13	VYDAJ	PREVOD NA UCET	3805	37279	SIPO	CD	48756384
1093000	3737	1998-10-13	VYDAJ	PREVOD NA UCET	3805	39836	SIPO	CD	48756384
1093001	3737	1998-11-13	VYDAJ	PREVOD NA UCET	3805	37800	SIPO	CD	48756384
1093002	3737	1998-12-13	VYDAJ	PREVOD NA UCET	3805	40964	SIPO	CD	48756384
1093009	3737	1995-07-08	VYDAJ	PREVOD NA UCET	29	31164	 	CD	26807791
1093010	3737	1995-08-08	VYDAJ	PREVOD NA UCET	29	30614	 	CD	26807791
1093011	3737	1995-09-08	VYDAJ	PREVOD NA UCET	29	30727	 	CD	26807791
1093012	3737	1995-10-08	VYDAJ	PREVOD NA UCET	29	33843	 	CD	26807791
1093013	3737	1995-11-08	VYDAJ	PREVOD NA UCET	29	36971	 	CD	26807791
1093014	3737	1995-12-08	VYDAJ	PREVOD NA UCET	29	38912	 	CD	26807791
1093015	3737	1996-01-08	VYDAJ	PREVOD NA UCET	29	33340	 	CD	26807791
1093016	3737	1996-02-08	VYDAJ	PREVOD NA UCET	29	22656	 	CD	26807791
1093017	3737	1996-03-08	VYDAJ	PREVOD NA UCET	29	22698	 	CD	26807791
1093018	3737	1996-04-08	VYDAJ	PREVOD NA UCET	29	25783	 	CD	26807791
1093019	3737	1996-05-08	VYDAJ	PREVOD NA UCET	29	28877	 	CD	26807791
1093020	3737	1996-06-08	VYDAJ	PREVOD NA UCET	29	31985	 	CD	26807791
1093021	3737	1996-07-08	VYDAJ	PREVOD NA UCET	29	24983	 	CD	26807791
1093022	3737	1996-08-08	VYDAJ	PREVOD NA UCET	29	28074	 	CD	26807791
1093023	3737	1996-09-08	VYDAJ	PREVOD NA UCET	29	30698	 	CD	26807791
1093024	3737	1996-10-08	VYDAJ	PREVOD NA UCET	29	31412	 	CD	26807791
1093025	3737	1996-11-08	VYDAJ	PREVOD NA UCET	29	34533	 	CD	26807791
1093026	3737	1996-12-08	VYDAJ	PREVOD NA UCET	29	35560	 	CD	26807791
1093027	3737	1997-01-08	VYDAJ	PREVOD NA UCET	29	32249	 	CD	26807791
1093028	3737	1997-02-08	VYDAJ	PREVOD NA UCET	29	22218	 	CD	26807791
1093029	3737	1997-03-08	VYDAJ	PREVOD NA UCET	29	25298	 	CD	26807791
1093030	3737	1997-04-08	VYDAJ	PREVOD NA UCET	29	28390	 	CD	26807791
1093031	3737	1997-05-08	VYDAJ	PREVOD NA UCET	29	29815	 	CD	26807791
1093032	3737	1997-06-08	VYDAJ	PREVOD NA UCET	29	32926	 	CD	26807791
1093033	3737	1997-07-08	VYDAJ	PREVOD NA UCET	29	29687	 	CD	26807791
1093034	3737	1997-08-08	VYDAJ	PREVOD NA UCET	29	32798	 	CD	26807791
1093035	3737	1997-09-08	VYDAJ	PREVOD NA UCET	29	35921	 	CD	26807791
1093036	3737	1997-10-08	VYDAJ	PREVOD NA UCET	29	39057	 	CD	26807791
1093037	3737	1997-11-08	VYDAJ	PREVOD NA UCET	29	42207	 	CD	26807791
1093038	3737	1997-12-08	VYDAJ	PREVOD NA UCET	29	40158	 	CD	26807791
1093039	3737	1998-01-08	VYDAJ	PREVOD NA UCET	29	39669	 	CD	26807791
1093040	3737	1998-02-08	VYDAJ	PREVOD NA UCET	29	33221	 	CD	26807791
1093041	3737	1998-03-08	VYDAJ	PREVOD NA UCET	29	36346	 	CD	26807791
1093042	3737	1998-04-08	VYDAJ	PREVOD NA UCET	29	39483	 	CD	26807791
1093043	3737	1998-05-08	VYDAJ	PREVOD NA UCET	29	42634	 	CD	26807791
1093044	3737	1998-06-08	VYDAJ	PREVOD NA UCET	29	43473	 	CD	26807791
1093045	3737	1998-07-08	VYDAJ	PREVOD NA UCET	29	41631	 	CD	26807791
1093046	3737	1998-08-08	VYDAJ	PREVOD NA UCET	29	43287	 	CD	26807791
1093047	3737	1998-09-08	VYDAJ	PREVOD NA UCET	29	41084	 	CD	26807791
1093048	3737	1998-10-08	VYDAJ	PREVOD NA UCET	29	44241	 	CD	26807791
1093049	3737	1998-11-08	VYDAJ	PREVOD NA UCET	29	41605	 	CD	26807791
1093050	3737	1998-12-08	VYDAJ	PREVOD NA UCET	29	44769	 	CD	26807791
1093052	3737	1996-06-15	VYDAJ	VYBER	10100	18080	\N	\N	\N
1093053	3737	1997-06-17	VYDAJ	VYBER	6350	22771	\N	\N	\N
1093054	3737	1998-06-18	VYDAJ	VYBER	3200	34668	\N	\N	\N
1093056	3737	1996-01-11	VYDAJ	VYBER	3850	28610	\N	\N	\N
1093057	3737	1997-01-28	VYDAJ	VYBER	4100	15304	\N	\N	\N
1093058	3737	1998-01-30	VYDAJ	VYBER	3350	26274	\N	\N	\N
1093059	3737	1995-12-20	VYDAJ	VYBER	650	30857	\N	\N	\N
1093060	3737	1996-12-22	VYDAJ	VYBER	800	27555	\N	\N	\N
1093061	3737	1997-12-05	VYDAJ	VYBER	300	40187	\N	\N	\N
1093062	3737	1998-12-30	VYDAJ	VYBER	450	40514	\N	\N	\N
1093069	3737	1996-01-28	VYDAJ	VYBER	1440	18705	\N	\N	\N
1093070	3737	1996-01-30	VYDAJ	VYBER	2160	15745	\N	\N	\N
1093071	3737	1996-01-10	VYDAJ	VYBER	880	32460	\N	\N	\N
1093072	3737	1996-01-25	VYDAJ	VYBER	1120	21045	\N	\N	\N
1093073	3737	1996-01-03	VYDAJ	VYBER	2160	26517	\N	\N	\N
1093074	3737	1996-01-29	VYDAJ	VYBER	800	17905	\N	\N	\N
1093075	3737	1997-01-19	VYDAJ	VYBER	2080	23884	\N	\N	\N
1093076	3737	1997-01-18	VYDAJ	VYBER	1760	25964	\N	\N	\N
1093077	3737	1997-01-11	VYDAJ	VYBER	720	31529	\N	\N	\N
1093078	3737	1997-01-23	VYDAJ	VYBER	1920	21964	\N	\N	\N
1093079	3737	1997-01-23	VYDAJ	VYBER	1440	20524	\N	\N	\N
1093080	3737	1997-01-27	VYDAJ	VYBER	1120	19404	\N	\N	\N
1093081	3737	1998-01-16	VYDAJ	VYBER	1520	33864	\N	\N	\N
1093082	3737	1998-01-18	VYDAJ	VYBER	1680	31304	\N	\N	\N
1093083	3737	1998-01-03	VYDAJ	VYBER	1040	32846	\N	\N	\N
1093084	3737	1998-01-20	VYDAJ	VYBER	1680	29624	\N	\N	\N
1093085	3737	1998-01-09	VYDAJ	VYBER	480	39189	\N	\N	\N
1093086	3737	1998-01-18	VYDAJ	VYBER	880	32984	\N	\N	\N
1093089	3737	1995-07-16	VYDAJ	VYBER	2960	24399	\N	\N	\N
1093090	3737	1995-12-16	VYDAJ	VYBER	3600	31507	\N	\N	\N
1093091	3737	1996-10-06	VYDAJ	VYBER	1920	31441	\N	\N	\N
1093092	3737	1996-09-17	VYDAJ	VYBER	480	26413	\N	\N	\N
1093093	3737	1996-08-23	VYDAJ	VYBER	480	23789	\N	\N	\N
1093094	3737	1996-01-12	VYDAJ	VYBER	2640	25970	\N	\N	\N
1093095	3737	1996-03-07	VYDAJ	VYBER	3040	22727	\N	\N	\N
1093096	3737	1997-01-03	VYDAJ	VYBER	2240	25426	\N	\N	\N
1093097	3737	1997-04-29	VYDAJ	VYBER	1680	22905	\N	\N	\N
1093098	3737	1998-11-02	VYDAJ	VYBER	2560	34782	\N	\N	\N
1093099	3737	1998-08-26	VYDAJ	VYBER	3120	34122	\N	\N	\N
1093100	3737	1998-10-19	VYDAJ	VYBER	2640	37196	\N	\N	\N
1093101	3737	1998-08-12	VYDAJ	VYBER	2240	41047	\N	\N	\N
1093102	3737	1998-05-15	VYDAJ	VYBER	2320	36509	\N	\N	\N
1093110	3737	1995-07-31	VYDAJ	VYBER	15	23791	SLUZBY	\N	\N
1093111	3737	1995-08-31	VYDAJ	VYBER	15	23904	SLUZBY	\N	\N
1093112	3737	1995-09-30	VYDAJ	VYBER	15	27020	SLUZBY	\N	\N
1093113	3737	1995-10-31	VYDAJ	VYBER	15	30148	SLUZBY	\N	\N
1093114	3737	1995-11-30	VYDAJ	VYBER	15	32089	SLUZBY	\N	\N
1093115	3737	1995-12-31	VYDAJ	VYBER	15	28677	SLUZBY	\N	\N
1093116	3737	1996-01-31	VYDAJ	VYBER	15	15833	SLUZBY	\N	\N
1093117	3737	1996-02-29	VYDAJ	VYBER	15	18915	SLUZBY	\N	\N
1093118	3737	1996-03-31	VYDAJ	VYBER	15	18960	SLUZBY	\N	\N
1093119	3737	1996-04-30	VYDAJ	VYBER	15	22054	SLUZBY	\N	\N
1093120	3737	1996-05-31	VYDAJ	VYBER	15	25162	SLUZBY	\N	\N
1093121	3737	1996-06-30	VYDAJ	VYBER	15	18160	SLUZBY	\N	\N
1093122	3737	1996-07-31	VYDAJ	VYBER	15	21251	SLUZBY	\N	\N
1093123	3737	1996-08-31	VYDAJ	VYBER	15	23875	SLUZBY	\N	\N
1093124	3737	1996-09-30	VYDAJ	VYBER	15	26509	SLUZBY	\N	\N
1093125	3737	1996-10-31	VYDAJ	VYBER	15	27710	SLUZBY	\N	\N
1093126	3737	1996-11-30	VYDAJ	VYBER	15	28737	SLUZBY	\N	\N
1093127	3737	1996-12-31	VYDAJ	VYBER	15	27666	SLUZBY	\N	\N
1093128	3737	1997-01-31	VYDAJ	VYBER	15	15395	SLUZBY	\N	\N
1093129	3737	1997-02-28	VYDAJ	VYBER	15	18475	SLUZBY	\N	\N
1093130	3737	1997-03-31	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
1093131	3737	1997-04-30	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
1093132	3737	1997-05-31	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
1093133	3737	1997-06-30	VYDAJ	VYBER	15	22864	SLUZBY	\N	\N
1093134	3737	1997-07-31	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
1093135	3737	1997-08-31	VYDAJ	VYBER	15	29098	SLUZBY	\N	\N
1093136	3737	1997-09-30	VYDAJ	VYBER	15	32234	SLUZBY	\N	\N
1093137	3737	1997-10-31	VYDAJ	VYBER	15	35384	SLUZBY	\N	\N
1093138	3737	1997-11-30	VYDAJ	VYBER	15	33635	SLUZBY	\N	\N
1093139	3737	1997-12-31	VYDAJ	VYBER	15	33886	SLUZBY	\N	\N
1093140	3737	1998-01-31	VYDAJ	VYBER	15	26398	SLUZBY	\N	\N
1093141	3737	1998-02-28	VYDAJ	VYBER	15	29523	SLUZBY	\N	\N
1093142	3737	1998-03-31	VYDAJ	VYBER	15	32660	SLUZBY	\N	\N
1093143	3737	1998-04-30	VYDAJ	VYBER	15	35811	SLUZBY	\N	\N
1093144	3737	1998-05-31	VYDAJ	VYBER	15	36650	SLUZBY	\N	\N
1093145	3737	1998-06-30	VYDAJ	VYBER	15	34808	SLUZBY	\N	\N
1093146	3737	1998-07-31	VYDAJ	VYBER	15	36464	SLUZBY	\N	\N
1093147	3737	1998-08-31	VYDAJ	VYBER	15	34261	SLUZBY	\N	\N
1093148	3737	1998-09-30	VYDAJ	VYBER	15	37418	SLUZBY	\N	\N
1093149	3737	1998-10-31	VYDAJ	VYBER	15	37342	SLUZBY	\N	\N
1093150	3737	1998-11-30	VYDAJ	VYBER	15	37946	SLUZBY	\N	\N
1093151	3737	1995-06-29	VYDAJ	VYBER	4300	24303	\N	\N	\N
1093152	3737	1995-07-29	VYDAJ	VYBER	700	23699	\N	\N	\N
1093153	3737	1995-08-28	VYDAJ	VYBER	3000	23809	\N	\N	\N
1093154	3737	1995-11-26	VYDAJ	VYBER	1200	31966	\N	\N	\N
1093155	3737	1995-12-26	VYDAJ	VYBER	2300	28557	\N	\N	\N
1093156	3737	1996-01-25	VYDAJ	VYBER	900	20145	\N	\N	\N
1093157	3737	1996-11-20	VYDAJ	VYBER	2100	28628	\N	\N	\N
1093158	3737	1996-12-20	VYDAJ	VYBER	3400	28355	\N	\N	\N
1093159	3737	1997-11-15	VYDAJ	VYBER	4900	33502	\N	\N	\N
1093160	3737	1997-12-15	VYDAJ	VYBER	2600	33753	\N	\N	\N
1093161	3737	1998-06-13	VYDAJ	VYBER	1800	37868	\N	\N	\N
1093162	3737	1998-07-13	VYDAJ	VYBER	1500	36326	\N	\N	\N
1093163	3737	1998-10-11	VYDAJ	VYBER	600	43641	\N	\N	\N
1093210	3738	1993-08-01	PRIJEM	VKLAD	700	700	\N	\N	\N
1093218	3738	1993-08-10	PRIJEM	VKLAD	20334	21034	\N	\N	\N
1093219	3738	1993-09-10	PRIJEM	VKLAD	20334	41830	\N	\N	\N
1093220	3738	1993-10-10	PRIJEM	VKLAD	20334	52755	\N	\N	\N
1093221	3738	1993-11-10	PRIJEM	VKLAD	20334	60226	\N	\N	\N
1093222	3738	1993-12-10	PRIJEM	VKLAD	30501	73194	\N	\N	\N
1093223	3738	1994-01-10	PRIJEM	VKLAD	20334	59843	\N	\N	\N
1093224	3738	1994-02-10	PRIJEM	VKLAD	20334	49376	\N	\N	\N
1093225	3738	1994-03-10	PRIJEM	VKLAD	20334	54434	\N	\N	\N
1093226	3738	1994-04-10	PRIJEM	VKLAD	20334	56507	\N	\N	\N
1093227	3738	1994-05-10	PRIJEM	VKLAD	20334	54887	\N	\N	\N
1093228	3738	1994-06-10	PRIJEM	VKLAD	30501	65326	\N	\N	\N
1093229	3738	1994-07-10	PRIJEM	VKLAD	20334	51159	\N	\N	\N
1093230	3738	1994-08-10	PRIJEM	VKLAD	20334	53916	\N	\N	\N
1093231	3738	1994-09-10	PRIJEM	VKLAD	20334	54781	\N	\N	\N
1093232	3738	1994-10-10	PRIJEM	VKLAD	20334	55548	\N	\N	\N
1093233	3738	1994-11-10	PRIJEM	VKLAD	20334	55617	\N	\N	\N
1093234	3738	1994-12-10	PRIJEM	VKLAD	30501	68055	\N	\N	\N
1093235	3738	1995-01-10	PRIJEM	VKLAD	20334	57912	\N	\N	\N
1093236	3738	1995-02-10	PRIJEM	VKLAD	20334	54558	\N	\N	\N
1093237	3738	1995-03-10	PRIJEM	VKLAD	20334	58423	\N	\N	\N
1093238	3738	1995-04-10	PRIJEM	VKLAD	20334	58902	\N	\N	\N
1093239	3738	1995-05-10	PRIJEM	VKLAD	20334	59383	\N	\N	\N
1093240	3738	1995-06-10	PRIJEM	VKLAD	30501	68930	\N	\N	\N
1093241	3738	1995-07-10	PRIJEM	VKLAD	20334	54366	\N	\N	\N
1093242	3738	1995-08-10	PRIJEM	VKLAD	20334	61134	\N	\N	\N
1093243	3738	1995-09-10	PRIJEM	VKLAD	20334	60317	\N	\N	\N
1093244	3738	1995-10-10	PRIJEM	VKLAD	20334	60597	\N	\N	\N
1093245	3738	1995-11-10	PRIJEM	VKLAD	20334	58133	\N	\N	\N
1093246	3738	1995-12-10	PRIJEM	VKLAD	30501	63228	\N	\N	\N
1093247	3738	1996-01-10	PRIJEM	VKLAD	20334	46500	\N	\N	\N
1093248	3738	1996-02-10	PRIJEM	VKLAD	20334	50112	\N	\N	\N
1093249	3738	1996-03-10	PRIJEM	VKLAD	20334	54551	\N	\N	\N
1093250	3738	1996-04-10	PRIJEM	VKLAD	20334	56104	\N	\N	\N
1093251	3738	1996-05-10	PRIJEM	VKLAD	20334	56860	\N	\N	\N
1093252	3738	1996-06-10	PRIJEM	VKLAD	30501	70591	\N	\N	\N
1093253	3738	1996-07-10	PRIJEM	VKLAD	20334	49811	\N	\N	\N
1093254	3738	1996-08-10	PRIJEM	VKLAD	20334	55549	\N	\N	\N
1093255	3738	1996-09-10	PRIJEM	VKLAD	20334	46409	\N	\N	\N
1093256	3738	1996-10-10	PRIJEM	VKLAD	20334	50811	\N	\N	\N
1093257	3738	1996-11-10	PRIJEM	VKLAD	20334	51138	\N	\N	\N
1093258	3738	1996-12-10	PRIJEM	VKLAD	30501	60027	\N	\N	\N
1093259	3738	1997-01-10	PRIJEM	VKLAD	20334	50792	\N	\N	\N
1093260	3738	1997-02-10	PRIJEM	VKLAD	20334	47129	\N	\N	\N
1093261	3738	1997-03-10	PRIJEM	VKLAD	20334	50122	\N	\N	\N
1093262	3738	1997-04-10	PRIJEM	VKLAD	20334	53050	\N	\N	\N
1093263	3738	1997-05-10	PRIJEM	VKLAD	20334	54685	\N	\N	\N
1093264	3738	1997-06-10	PRIJEM	VKLAD	30501	68198	\N	\N	\N
1093265	3738	1997-07-10	PRIJEM	VKLAD	20334	52857	\N	\N	\N
1093266	3738	1997-08-10	PRIJEM	VKLAD	20334	56395	\N	\N	\N
1093267	3738	1997-09-10	PRIJEM	VKLAD	20334	50736	\N	\N	\N
1093268	3738	1997-10-10	PRIJEM	VKLAD	20334	49820	\N	\N	\N
1093269	3738	1997-11-10	PRIJEM	VKLAD	20334	52988	\N	\N	\N
1093270	3738	1997-12-10	PRIJEM	VKLAD	30501	61145	\N	\N	\N
1093271	3738	1998-01-10	PRIJEM	VKLAD	20334	50581	\N	\N	\N
1093272	3738	1998-02-10	PRIJEM	VKLAD	20334	40112	\N	\N	\N
1093273	3738	1998-03-10	PRIJEM	VKLAD	20334	46135	\N	\N	\N
1093274	3738	1998-04-10	PRIJEM	VKLAD	20334	44681	\N	\N	\N
1093275	3738	1998-05-10	PRIJEM	VKLAD	20334	45332	\N	\N	\N
1093276	3738	1998-06-10	PRIJEM	VKLAD	30501	48393	\N	\N	\N
1093277	3738	1998-07-10	PRIJEM	VKLAD	20334	36686	\N	\N	\N
1093278	3738	1998-08-10	PRIJEM	VKLAD	20334	42989	\N	\N	\N
1093279	3738	1998-09-10	PRIJEM	VKLAD	20334	46298	\N	\N	\N
1093280	3738	1998-10-10	PRIJEM	VKLAD	20334	45642	\N	\N	\N
1093281	3738	1998-11-10	PRIJEM	VKLAD	20334	42188	\N	\N	\N
1093282	3738	1998-12-10	PRIJEM	VKLAD	30501	56089	\N	\N	\N
1093295	3738	1994-01-07	VYDAJ	PREVOD NA UCET	5750	39509	SIPO	EF	91961931
1093296	3738	1994-02-07	VYDAJ	PREVOD NA UCET	5750	29042	SIPO	EF	91961931
1093297	3738	1994-03-07	VYDAJ	PREVOD NA UCET	5750	34100	SIPO	EF	91961931
1093298	3738	1994-04-07	VYDAJ	PREVOD NA UCET	5750	36173	SIPO	EF	91961931
1093299	3738	1994-05-07	VYDAJ	PREVOD NA UCET	5750	34553	SIPO	EF	91961931
1093300	3738	1994-06-07	VYDAJ	PREVOD NA UCET	5750	34825	SIPO	EF	91961931
1093301	3738	1994-07-07	VYDAJ	PREVOD NA UCET	5750	30825	SIPO	EF	91961931
1093302	3738	1994-08-07	VYDAJ	PREVOD NA UCET	5750	33582	SIPO	EF	91961931
1093303	3738	1994-09-07	VYDAJ	PREVOD NA UCET	5750	34447	SIPO	EF	91961931
1093304	3738	1994-10-07	VYDAJ	PREVOD NA UCET	5750	35214	SIPO	EF	91961931
1093305	3738	1994-11-07	VYDAJ	PREVOD NA UCET	5750	35283	SIPO	EF	91961931
1093306	3738	1994-12-07	VYDAJ	PREVOD NA UCET	5750	37554	SIPO	EF	91961931
1093307	3738	1995-01-07	VYDAJ	PREVOD NA UCET	5750	37578	SIPO	EF	91961931
1093308	3738	1995-02-07	VYDAJ	PREVOD NA UCET	5750	34224	SIPO	EF	91961931
1093309	3738	1995-03-07	VYDAJ	PREVOD NA UCET	5750	38089	SIPO	EF	91961931
1093310	3738	1995-04-07	VYDAJ	PREVOD NA UCET	5750	38568	SIPO	EF	91961931
1093311	3738	1995-05-07	VYDAJ	PREVOD NA UCET	5750	39049	SIPO	EF	91961931
1093312	3738	1995-06-07	VYDAJ	PREVOD NA UCET	5750	38429	SIPO	EF	91961931
1093313	3738	1995-07-07	VYDAJ	PREVOD NA UCET	5750	34032	SIPO	EF	91961931
1093314	3738	1995-08-07	VYDAJ	PREVOD NA UCET	5750	40800	SIPO	EF	91961931
1093315	3738	1995-09-07	VYDAJ	PREVOD NA UCET	5750	39983	SIPO	EF	91961931
1093316	3738	1995-10-07	VYDAJ	PREVOD NA UCET	5750	40263	SIPO	EF	91961931
1093317	3738	1995-11-07	VYDAJ	PREVOD NA UCET	5750	37799	SIPO	EF	91961931
1093318	3738	1995-12-07	VYDAJ	PREVOD NA UCET	5750	32727	SIPO	EF	91961931
1093319	3738	1996-01-07	VYDAJ	PREVOD NA UCET	5750	26166	SIPO	EF	91961931
1093320	3738	1996-02-07	VYDAJ	PREVOD NA UCET	5750	29778	SIPO	EF	91961931
1093321	3738	1996-03-07	VYDAJ	PREVOD NA UCET	5750	34217	SIPO	EF	91961931
1093322	3738	1996-04-07	VYDAJ	PREVOD NA UCET	5750	35770	SIPO	EF	91961931
1093323	3738	1996-05-07	VYDAJ	PREVOD NA UCET	5750	36526	SIPO	EF	91961931
1093324	3738	1996-06-07	VYDAJ	PREVOD NA UCET	5750	40090	SIPO	EF	91961931
1093325	3738	1996-07-07	VYDAJ	PREVOD NA UCET	5750	29477	SIPO	EF	91961931
1093326	3738	1996-08-07	VYDAJ	PREVOD NA UCET	5750	35215	SIPO	EF	91961931
1093327	3738	1996-09-07	VYDAJ	PREVOD NA UCET	5750	29075	SIPO	EF	91961931
1093328	3738	1996-10-07	VYDAJ	PREVOD NA UCET	5750	30477	SIPO	EF	91961931
1093329	3738	1996-11-07	VYDAJ	PREVOD NA UCET	5750	30804	SIPO	EF	91961931
1093330	3738	1996-12-07	VYDAJ	PREVOD NA UCET	5750	29526	SIPO	EF	91961931
1093331	3738	1997-01-07	VYDAJ	PREVOD NA UCET	5750	30458	SIPO	EF	91961931
1093332	3738	1997-02-07	VYDAJ	PREVOD NA UCET	5750	26795	SIPO	EF	91961931
1093333	3738	1997-03-07	VYDAJ	PREVOD NA UCET	5750	29788	SIPO	EF	91961931
1093334	3738	1997-04-07	VYDAJ	PREVOD NA UCET	5750	32716	SIPO	EF	91961931
1093335	3738	1997-05-07	VYDAJ	PREVOD NA UCET	5750	34351	SIPO	EF	91961931
1093336	3738	1997-06-07	VYDAJ	PREVOD NA UCET	5750	37697	SIPO	EF	91961931
1093337	3738	1997-07-07	VYDAJ	PREVOD NA UCET	5750	33483	SIPO	EF	91961931
1093338	3738	1997-08-07	VYDAJ	PREVOD NA UCET	5750	36061	SIPO	EF	91961931
1093339	3738	1997-09-07	VYDAJ	PREVOD NA UCET	5750	36402	SIPO	EF	91961931
1093340	3738	1997-10-07	VYDAJ	PREVOD NA UCET	5750	42286	SIPO	EF	91961931
1093341	3738	1997-11-07	VYDAJ	PREVOD NA UCET	5750	44254	SIPO	EF	91961931
1093342	3738	1997-12-07	VYDAJ	PREVOD NA UCET	5750	43344	SIPO	EF	91961931
1093343	3738	1998-01-07	VYDAJ	PREVOD NA UCET	5750	53047	SIPO	EF	91961931
1093344	3738	1998-02-07	VYDAJ	PREVOD NA UCET	5750	19778	SIPO	EF	91961931
1093345	3738	1998-03-07	VYDAJ	PREVOD NA UCET	5750	34501	SIPO	EF	91961931
1093346	3738	1998-04-07	VYDAJ	PREVOD NA UCET	5750	40547	SIPO	EF	91961931
1093347	3738	1998-05-07	VYDAJ	PREVOD NA UCET	5750	24998	SIPO	EF	91961931
1093348	3738	1998-06-07	VYDAJ	PREVOD NA UCET	5750	17892	SIPO	EF	91961931
1093349	3738	1998-07-07	VYDAJ	PREVOD NA UCET	5750	16352	SIPO	EF	91961931
1093350	3738	1998-08-07	VYDAJ	PREVOD NA UCET	5750	22655	SIPO	EF	91961931
1093351	3738	1998-09-07	VYDAJ	PREVOD NA UCET	5750	25964	SIPO	EF	91961931
1093352	3738	1998-10-07	VYDAJ	PREVOD NA UCET	5750	25308	SIPO	EF	91961931
1093353	3738	1998-11-07	VYDAJ	PREVOD NA UCET	5750	21854	SIPO	EF	91961931
1093354	3738	1998-12-07	VYDAJ	PREVOD NA UCET	5750	25588	SIPO	EF	91961931
1093356	3738	1994-06-11	VYDAJ	VYBER	18720	46606	\N	\N	\N
1093357	3738	1995-06-14	VYDAJ	VYBER	16320	52610	\N	\N	\N
1093358	3738	1996-06-20	VYDAJ	VYBER	11520	35051	\N	\N	\N
1093359	3738	1997-06-27	VYDAJ	VYBER	8160	39058	\N	\N	\N
1093360	3738	1998-06-19	VYDAJ	VYBER	19520	28873	\N	\N	\N
1093362	3738	1994-01-06	VYDAJ	VYBER	4160	45259	\N	\N	\N
1093363	3738	1995-01-12	VYDAJ	VYBER	3520	54392	\N	\N	\N
1093364	3738	1996-01-04	VYDAJ	VYBER	11520	31916	\N	\N	\N
1093365	3738	1997-01-05	VYDAJ	VYBER	6240	36208	\N	\N	\N
1093366	3738	1998-01-29	VYDAJ	VYBER	10240	40341	\N	\N	\N
1093367	3738	1993-12-24	VYDAJ	VYBER	960	72234	\N	\N	\N
1093368	3738	1994-12-26	VYDAJ	VYBER	4640	43115	\N	\N	\N
1093369	3738	1995-12-24	VYDAJ	VYBER	4480	43248	\N	\N	\N
1093370	3738	1996-12-26	VYDAJ	VYBER	2240	42287	\N	\N	\N
1093371	3738	1997-12-18	VYDAJ	VYBER	2560	58585	\N	\N	\N
1093372	3738	1998-12-23	VYDAJ	VYBER	4320	51769	\N	\N	\N
1093376	3738	1994-02-07	VYDAJ	VYBER	4560	34792	\N	\N	\N
1093377	3738	1994-08-23	VYDAJ	VYBER	600	53316	\N	\N	\N
1093378	3738	1994-02-04	VYDAJ	VYBER	3600	39352	\N	\N	\N
1093379	3738	1995-10-22	VYDAJ	VYBER	5040	43357	\N	\N	\N
1093380	3738	1995-12-05	VYDAJ	VYBER	5520	38477	\N	\N	\N
1093381	3738	1995-11-18	VYDAJ	VYBER	3120	55013	\N	\N	\N
1093382	3738	1995-07-06	VYDAJ	VYBER	4920	39782	\N	\N	\N
1093383	3738	1996-09-27	VYDAJ	VYBER	1320	36089	\N	\N	\N
1093384	3738	1996-08-23	VYDAJ	VYBER	5880	34669	\N	\N	\N
1093385	3738	1996-09-08	VYDAJ	VYBER	3000	26075	\N	\N	\N
1093386	3738	1996-01-25	VYDAJ	VYBER	1320	35380	\N	\N	\N
1093387	3738	1996-06-10	VYDAJ	VYBER	4320	66271	\N	\N	\N
1093388	3738	1997-11-17	VYDAJ	VYBER	4080	48908	\N	\N	\N
1093389	3738	1997-02-14	VYDAJ	VYBER	1320	35409	\N	\N	\N
1093390	3738	1997-06-20	VYDAJ	VYBER	2280	47218	\N	\N	\N
1093391	3738	1997-09-29	VYDAJ	VYBER	2880	47856	\N	\N	\N
1093392	3738	1997-07-09	VYDAJ	VYBER	960	32523	\N	\N	\N
1093393	3738	1997-01-17	VYDAJ	VYBER	4080	32412	\N	\N	\N
1093394	3738	1998-05-20	VYDAJ	VYBER	5520	39812	\N	\N	\N
1093395	3738	1998-05-21	VYDAJ	VYBER	1320	38492	\N	\N	\N
1093396	3738	1998-08-28	VYDAJ	VYBER	1920	41069	\N	\N	\N
1093409	3738	1993-12-31	VYDAJ	VYBER	15	49419	SLUZBY	\N	\N
1093410	3738	1994-01-31	VYDAJ	VYBER	15	42952	SLUZBY	\N	\N
1093411	3738	1994-02-28	VYDAJ	VYBER	15	39850	SLUZBY	\N	\N
1093412	3738	1994-03-31	VYDAJ	VYBER	15	41923	SLUZBY	\N	\N
1093413	3738	1994-04-30	VYDAJ	VYBER	15	40303	SLUZBY	\N	\N
1093414	3738	1994-05-31	VYDAJ	VYBER	15	40575	SLUZBY	\N	\N
1093415	3738	1994-06-30	VYDAJ	VYBER	15	36575	SLUZBY	\N	\N
1093416	3738	1994-07-31	VYDAJ	VYBER	15	39332	SLUZBY	\N	\N
1093417	3738	1994-08-31	VYDAJ	VYBER	15	40197	SLUZBY	\N	\N
1093418	3738	1994-09-30	VYDAJ	VYBER	15	40964	SLUZBY	\N	\N
1093419	3738	1994-10-31	VYDAJ	VYBER	15	41033	SLUZBY	\N	\N
1093420	3738	1994-11-30	VYDAJ	VYBER	15	43304	SLUZBY	\N	\N
1093421	3738	1994-12-31	VYDAJ	VYBER	15	43328	SLUZBY	\N	\N
1093422	3738	1995-01-31	VYDAJ	VYBER	15	39974	SLUZBY	\N	\N
1093423	3738	1995-02-28	VYDAJ	VYBER	15	43839	SLUZBY	\N	\N
1093424	3738	1995-03-31	VYDAJ	VYBER	15	44318	SLUZBY	\N	\N
1093425	3738	1995-04-30	VYDAJ	VYBER	15	44799	SLUZBY	\N	\N
1093426	3738	1995-05-31	VYDAJ	VYBER	15	44179	SLUZBY	\N	\N
1093427	3738	1995-06-30	VYDAJ	VYBER	15	44702	SLUZBY	\N	\N
1093428	3738	1995-07-31	VYDAJ	VYBER	15	46550	SLUZBY	\N	\N
1093429	3738	1995-08-31	VYDAJ	VYBER	15	45733	SLUZBY	\N	\N
1093430	3738	1995-09-30	VYDAJ	VYBER	15	46013	SLUZBY	\N	\N
1093431	3738	1995-10-31	VYDAJ	VYBER	15	43549	SLUZBY	\N	\N
1093432	3738	1995-11-30	VYDAJ	VYBER	15	43997	SLUZBY	\N	\N
1093433	3738	1995-12-31	VYDAJ	VYBER	15	43436	SLUZBY	\N	\N
1093434	3738	1996-01-31	VYDAJ	VYBER	15	35528	SLUZBY	\N	\N
1093435	3738	1996-02-29	VYDAJ	VYBER	15	39967	SLUZBY	\N	\N
1093436	3738	1996-03-31	VYDAJ	VYBER	15	41520	SLUZBY	\N	\N
1093437	3738	1996-04-30	VYDAJ	VYBER	15	42276	SLUZBY	\N	\N
1093438	3738	1996-05-31	VYDAJ	VYBER	15	45840	SLUZBY	\N	\N
1093439	3738	1996-06-30	VYDAJ	VYBER	15	35227	SLUZBY	\N	\N
1093440	3738	1996-07-31	VYDAJ	VYBER	15	40965	SLUZBY	\N	\N
1093441	3738	1996-08-31	VYDAJ	VYBER	15	34825	SLUZBY	\N	\N
1093442	3738	1996-09-30	VYDAJ	VYBER	15	36227	SLUZBY	\N	\N
1093443	3738	1996-10-31	VYDAJ	VYBER	15	36554	SLUZBY	\N	\N
1093444	3738	1996-11-30	VYDAJ	VYBER	15	35276	SLUZBY	\N	\N
1093445	3738	1996-12-31	VYDAJ	VYBER	15	42448	SLUZBY	\N	\N
1093446	3738	1997-01-31	VYDAJ	VYBER	15	32545	SLUZBY	\N	\N
1093447	3738	1997-02-28	VYDAJ	VYBER	15	35538	SLUZBY	\N	\N
1093448	3738	1997-03-31	VYDAJ	VYBER	15	38466	SLUZBY	\N	\N
1093449	3738	1997-04-30	VYDAJ	VYBER	15	40101	SLUZBY	\N	\N
1093450	3738	1997-05-31	VYDAJ	VYBER	15	43447	SLUZBY	\N	\N
1093451	3738	1997-06-30	VYDAJ	VYBER	15	39233	SLUZBY	\N	\N
1093452	3738	1997-07-31	VYDAJ	VYBER	15	41811	SLUZBY	\N	\N
1093453	3738	1997-08-31	VYDAJ	VYBER	15	42152	SLUZBY	\N	\N
1093454	3738	1997-09-30	VYDAJ	VYBER	15	48036	SLUZBY	\N	\N
1093455	3738	1997-10-31	VYDAJ	VYBER	15	50004	SLUZBY	\N	\N
1093456	3738	1997-11-30	VYDAJ	VYBER	15	49094	SLUZBY	\N	\N
1093457	3738	1997-12-31	VYDAJ	VYBER	15	58797	SLUZBY	\N	\N
1093458	3738	1998-01-31	VYDAJ	VYBER	15	40528	SLUZBY	\N	\N
1093459	3738	1998-02-28	VYDAJ	VYBER	15	40251	SLUZBY	\N	\N
1093460	3738	1998-03-31	VYDAJ	VYBER	15	46297	SLUZBY	\N	\N
1093461	3738	1998-04-30	VYDAJ	VYBER	15	44848	SLUZBY	\N	\N
1093462	3738	1998-05-31	VYDAJ	VYBER	15	38642	SLUZBY	\N	\N
1093463	3738	1998-06-30	VYDAJ	VYBER	15	29002	SLUZBY	\N	\N
1093464	3738	1998-07-31	VYDAJ	VYBER	15	36805	SLUZBY	\N	\N
1093465	3738	1998-08-31	VYDAJ	VYBER	15	41214	SLUZBY	\N	\N
1093466	3738	1998-09-30	VYDAJ	VYBER	15	46458	SLUZBY	\N	\N
1093467	3738	1998-10-31	VYDAJ	VYBER	15	45804	SLUZBY	\N	\N
1093468	3738	1998-11-30	VYDAJ	VYBER	15	42338	SLUZBY	\N	\N
1093469	3738	1993-08-31	PRIJEM	VKLAD	400	21496	\N	\N	\N
1093470	3738	1993-09-30	VYDAJ	VYBER	9500	32421	\N	\N	\N
1093471	3738	1993-10-30	VYDAJ	VYBER	13000	39755	\N	\N	\N
1093472	3738	1993-11-29	VYDAJ	VYBER	17700	42526	\N	\N	\N
1093473	3738	1993-12-29	VYDAJ	VYBER	23000	49234	\N	\N	\N
1093474	3738	1994-01-28	VYDAJ	VYBER	17100	42743	\N	\N	\N
1093475	3738	1994-02-27	VYDAJ	VYBER	9700	39676	\N	\N	\N
1093476	3738	1994-03-29	VYDAJ	VYBER	12700	41734	\N	\N	\N
1093477	3738	1994-04-28	VYDAJ	VYBER	16400	40107	\N	\N	\N
1093478	3738	1994-05-28	VYDAJ	VYBER	14500	40387	\N	\N	\N
1093479	3738	1994-06-27	VYDAJ	VYBER	10200	36406	\N	\N	\N
1093480	3738	1994-07-27	VYDAJ	VYBER	12000	39159	\N	\N	\N
1093481	3738	1994-08-26	VYDAJ	VYBER	13300	40016	\N	\N	\N
1093482	3738	1994-09-25	VYDAJ	VYBER	14000	40781	\N	\N	\N
1093483	3738	1994-10-25	VYDAJ	VYBER	14700	40848	\N	\N	\N
1093484	3738	1994-11-24	VYDAJ	VYBER	12500	43117	\N	\N	\N
1093485	3738	1994-12-24	VYDAJ	VYBER	20300	47755	\N	\N	\N
1093486	3738	1995-01-23	VYDAJ	VYBER	14600	39792	\N	\N	\N
1093487	3738	1995-02-22	VYDAJ	VYBER	10900	43658	\N	\N	\N
1093488	3738	1995-03-24	VYDAJ	VYBER	14300	44123	\N	\N	\N
1093489	3738	1995-04-23	VYDAJ	VYBER	14300	44602	\N	\N	\N
1093490	3738	1995-05-23	VYDAJ	VYBER	15400	43983	\N	\N	\N
1093491	3738	1995-06-22	VYDAJ	VYBER	8100	44510	\N	\N	\N
1093492	3738	1995-07-22	VYDAJ	VYBER	8000	46366	\N	\N	\N
1093493	3738	1995-08-21	VYDAJ	VYBER	15600	45534	\N	\N	\N
1093494	3738	1995-09-20	VYDAJ	VYBER	14500	45817	\N	\N	\N
1093495	3738	1995-10-20	VYDAJ	VYBER	12200	48397	\N	\N	\N
1093496	3738	1995-11-19	VYDAJ	VYBER	11200	43813	\N	\N	\N
1093497	3738	1995-12-19	VYDAJ	VYBER	15500	47728	\N	\N	\N
1093498	3738	1996-01-18	VYDAJ	VYBER	9800	36700	\N	\N	\N
1093499	3738	1996-02-17	VYDAJ	VYBER	10300	39812	\N	\N	\N
1093500	3738	1996-03-18	VYDAJ	VYBER	13200	41351	\N	\N	\N
1093501	3738	1996-04-17	VYDAJ	VYBER	14000	42104	\N	\N	\N
1093502	3738	1996-05-17	VYDAJ	VYBER	11200	45660	\N	\N	\N
1093503	3738	1996-06-16	VYDAJ	VYBER	19700	46571	\N	\N	\N
1093504	3738	1996-07-16	VYDAJ	VYBER	9000	40811	\N	\N	\N
1093505	3738	1996-08-15	VYDAJ	VYBER	15000	40549	\N	\N	\N
1093506	3738	1996-09-14	VYDAJ	VYBER	9000	37409	\N	\N	\N
1093507	3738	1996-10-14	VYDAJ	VYBER	14400	36411	\N	\N	\N
1093508	3738	1996-11-13	VYDAJ	VYBER	16000	35138	\N	\N	\N
1093509	3738	1996-12-13	VYDAJ	VYBER	15500	44527	\N	\N	\N
1093510	3738	1997-01-12	VYDAJ	VYBER	14300	36492	\N	\N	\N
1093511	3738	1997-02-11	VYDAJ	VYBER	10400	36729	\N	\N	\N
1093512	3738	1997-03-13	VYDAJ	VYBER	11800	38322	\N	\N	\N
1093513	3738	1997-04-12	VYDAJ	VYBER	13100	39950	\N	\N	\N
1093514	3738	1997-05-12	VYDAJ	VYBER	11400	43285	\N	\N	\N
1093515	3738	1997-06-11	VYDAJ	VYBER	18700	49498	\N	\N	\N
1093516	3738	1997-07-11	VYDAJ	VYBER	11200	41657	\N	\N	\N
1093517	3738	1997-08-10	VYDAJ	VYBER	14400	41995	\N	\N	\N
1093518	3738	1997-09-09	VYDAJ	VYBER	6000	30402	\N	\N	\N
1093519	3738	1997-10-09	VYDAJ	VYBER	12800	29486	\N	\N	\N
1093520	3738	1997-11-08	VYDAJ	VYBER	11600	32654	\N	\N	\N
1093521	3738	1997-12-08	VYDAJ	VYBER	12700	30644	\N	\N	\N
1093522	3738	1998-01-07	VYDAJ	VYBER	22800	30247	\N	\N	\N
1093523	3738	1998-02-06	VYDAJ	VYBER	15000	25528	\N	\N	\N
1093524	3738	1998-03-08	VYDAJ	VYBER	8700	25801	\N	\N	\N
1093525	3738	1998-04-07	VYDAJ	VYBER	16200	24347	\N	\N	\N
1093526	3738	1998-05-07	VYDAJ	VYBER	14100	30748	\N	\N	\N
1093527	3738	1998-06-06	VYDAJ	VYBER	15000	23642	\N	\N	\N
1093528	3738	1998-07-06	VYDAJ	VYBER	6900	22102	\N	\N	\N
1093529	3738	1998-08-05	VYDAJ	VYBER	8400	28405	\N	\N	\N
1093530	3738	1998-09-04	VYDAJ	VYBER	9500	31714	\N	\N	\N
1093531	3738	1998-10-04	VYDAJ	VYBER	15400	31058	\N	\N	\N
1093532	3738	1998-11-03	VYDAJ	VYBER	18200	27604	\N	\N	\N
1093533	3738	1998-12-03	VYDAJ	VYBER	11000	31338	\N	\N	\N
1093599	3739	1997-03-25	PRIJEM	VKLAD	600	600	\N	\N	\N
1093603	3739	1997-04-11	PRIJEM	VKLAD	18580	19180	\N	\N	\N
1093604	3739	1997-05-11	PRIJEM	VKLAD	18580	40081	\N	\N	\N
1093605	3739	1997-06-11	PRIJEM	VKLAD	27870	60953	\N	\N	\N
1093606	3739	1997-07-11	PRIJEM	VKLAD	18580	61781	\N	\N	\N
1093607	3739	1997-08-11	PRIJEM	VKLAD	18580	60639	\N	\N	\N
1093608	3739	1997-09-11	PRIJEM	VKLAD	18580	57930	\N	\N	\N
1093609	3739	1997-10-11	PRIJEM	VKLAD	18580	55356	\N	\N	\N
1093610	3739	1997-11-11	PRIJEM	VKLAD	18580	47654	\N	\N	\N
1093611	3739	1997-12-11	PRIJEM	VKLAD	27870	59888	\N	\N	\N
1093612	3739	1998-01-11	PRIJEM	VKLAD	18580	56533	\N	\N	\N
1093613	3739	1998-02-11	PRIJEM	VKLAD	18580	58960	\N	\N	\N
1093614	3739	1998-03-11	PRIJEM	VKLAD	18580	56828	\N	\N	\N
1093615	3739	1998-04-11	PRIJEM	VKLAD	18580	56574	\N	\N	\N
1093616	3739	1998-05-11	PRIJEM	VKLAD	18580	61128	\N	\N	\N
1093617	3739	1998-06-11	PRIJEM	VKLAD	27870	73466	\N	\N	\N
1093618	3739	1998-07-11	PRIJEM	VKLAD	18580	65557	\N	\N	\N
1093619	3739	1998-08-11	PRIJEM	VKLAD	18580	67941	\N	\N	\N
1093620	3739	1998-09-11	PRIJEM	VKLAD	18580	65327	\N	\N	\N
1093621	3739	1998-10-11	PRIJEM	VKLAD	18580	60343	\N	\N	\N
1093622	3739	1998-11-11	PRIJEM	VKLAD	18580	57175	\N	\N	\N
1093623	3739	1998-12-11	PRIJEM	VKLAD	27870	67994	\N	\N	\N
1093625	3739	1998-06-14	VYDAJ	VYBER	7680	65786	\N	\N	\N
1093626	3739	1997-12-02	VYDAJ	VYBER	2080	32018	\N	\N	\N
1093627	3739	1998-12-19	VYDAJ	VYBER	3840	46454	\N	\N	\N
1093629	3739	1997-08-15	VYDAJ	VYBER	3360	57279	\N	\N	\N
1093633	3739	1997-11-07	VYDAJ	VYBER	2520	29074	\N	\N	\N
1093634	3739	1997-11-01	VYDAJ	VYBER	5400	31594	\N	\N	\N
1093635	3739	1998-02-11	VYDAJ	VYBER	1680	57280	\N	\N	\N
1093636	3739	1998-08-22	VYDAJ	VYBER	1680	46561	\N	\N	\N
1093637	3739	1998-04-08	VYDAJ	VYBER	1680	37994	\N	\N	\N
1093638	3739	1998-09-12	VYDAJ	VYBER	5640	59687	\N	\N	\N
1093639	3739	1998-07-10	VYDAJ	VYBER	1200	46977	\N	\N	\N
1093648	3739	1997-08-31	VYDAJ	VYBER	15	39350	SLUZBY	\N	\N
1093649	3739	1997-09-30	VYDAJ	VYBER	15	36776	SLUZBY	\N	\N
1093650	3739	1997-10-31	VYDAJ	VYBER	15	36994	SLUZBY	\N	\N
1093651	3739	1997-11-30	VYDAJ	VYBER	15	34098	SLUZBY	\N	\N
1093652	3739	1997-12-31	VYDAJ	VYBER	15	37953	SLUZBY	\N	\N
1093653	3739	1998-01-31	VYDAJ	VYBER	15	40380	SLUZBY	\N	\N
1093654	3739	1998-02-28	VYDAJ	VYBER	15	38248	SLUZBY	\N	\N
1093655	3739	1998-03-31	VYDAJ	VYBER	15	39674	SLUZBY	\N	\N
1093656	3739	1998-04-30	VYDAJ	VYBER	15	42548	SLUZBY	\N	\N
1093657	3739	1998-05-31	VYDAJ	VYBER	15	45596	SLUZBY	\N	\N
1093658	3739	1998-06-30	VYDAJ	VYBER	15	48177	SLUZBY	\N	\N
1093659	3739	1998-07-31	VYDAJ	VYBER	15	49361	SLUZBY	\N	\N
1093660	3739	1998-08-31	VYDAJ	VYBER	15	46747	SLUZBY	\N	\N
1093661	3739	1998-09-30	VYDAJ	VYBER	15	41763	SLUZBY	\N	\N
1093662	3739	1998-10-31	VYDAJ	VYBER	15	38595	SLUZBY	\N	\N
1093663	3739	1998-11-30	VYDAJ	VYBER	15	40124	SLUZBY	\N	\N
1093664	3739	1997-04-24	PRIJEM	VKLAD	2300	21480	\N	\N	\N
1093665	3739	1997-05-24	VYDAJ	VYBER	7100	32981	\N	\N	\N
1093666	3739	1997-06-23	VYDAJ	VYBER	17900	43053	\N	\N	\N
1093667	3739	1997-07-23	VYDAJ	VYBER	19900	41881	\N	\N	\N
1093668	3739	1997-08-22	VYDAJ	VYBER	18100	39179	\N	\N	\N
1093669	3739	1997-09-21	VYDAJ	VYBER	21300	36630	\N	\N	\N
1093670	3739	1997-10-21	VYDAJ	VYBER	18500	36856	\N	\N	\N
1093671	3739	1997-11-20	VYDAJ	VYBER	13700	33954	\N	\N	\N
1093672	3739	1997-12-20	VYDAJ	VYBER	22100	37788	\N	\N	\N
1093673	3739	1998-01-19	VYDAJ	VYBER	16300	40233	\N	\N	\N
1093674	3739	1998-02-18	VYDAJ	VYBER	19200	38080	\N	\N	\N
1093675	3739	1998-03-20	VYDAJ	VYBER	17300	39528	\N	\N	\N
1093676	3739	1998-04-19	VYDAJ	VYBER	14200	42374	\N	\N	\N
1093677	3739	1998-05-19	VYDAJ	VYBER	15700	45428	\N	\N	\N
1093678	3739	1998-06-18	VYDAJ	VYBER	17800	47986	\N	\N	\N
1093679	3739	1998-07-18	VYDAJ	VYBER	16400	49157	\N	\N	\N
1093680	3739	1998-08-17	VYDAJ	VYBER	19700	48241	\N	\N	\N
1093681	3739	1998-09-16	VYDAJ	VYBER	18100	41587	\N	\N	\N
1093682	3739	1998-10-16	VYDAJ	VYBER	21900	38443	\N	\N	\N
1093683	3739	1998-11-15	VYDAJ	VYBER	17200	39975	\N	\N	\N
1093684	3739	1998-12-15	VYDAJ	VYBER	17700	50294	\N	\N	\N
1094146	3741	1996-08-18	PRIJEM	VKLAD	800	800	\N	\N	\N
1094155	3741	1996-09-05	PRIJEM	VKLAD	6342	7142	\N	\N	\N
1094156	3741	1996-10-05	PRIJEM	VKLAD	6342	22515	\N	\N	\N
1094157	3741	1996-11-05	PRIJEM	VKLAD	6342	27936	\N	\N	\N
1094158	3741	1996-12-05	PRIJEM	VKLAD	9513	38153	\N	\N	\N
1094159	3741	1997-01-05	PRIJEM	VKLAD	6342	40926	\N	\N	\N
1094160	3741	1997-02-05	PRIJEM	VKLAD	6342	31963	\N	\N	\N
1094161	3741	1997-03-05	PRIJEM	VKLAD	6342	33373	\N	\N	\N
1094162	3741	1997-04-05	PRIJEM	VKLAD	6342	32686	\N	\N	\N
1094163	3741	1997-05-05	PRIJEM	VKLAD	6342	32095	\N	\N	\N
1094164	3741	1997-06-05	PRIJEM	VKLAD	9513	39484	\N	\N	\N
1094165	3741	1997-07-05	PRIJEM	VKLAD	6342	40922	\N	\N	\N
1094166	3741	1997-08-05	PRIJEM	VKLAD	6342	38461	\N	\N	\N
1094167	3741	1997-09-05	PRIJEM	VKLAD	6342	37292	\N	\N	\N
1094168	3741	1997-10-05	PRIJEM	VKLAD	6342	38424	\N	\N	\N
1094169	3741	1997-11-05	PRIJEM	VKLAD	6342	34246	\N	\N	\N
1094170	3741	1997-12-05	PRIJEM	VKLAD	9513	39539	\N	\N	\N
1094171	3741	1998-01-05	PRIJEM	VKLAD	6342	35070	\N	\N	\N
1094172	3741	1998-02-05	PRIJEM	VKLAD	6342	28876	\N	\N	\N
1094173	3741	1998-03-05	PRIJEM	VKLAD	6342	32592	\N	\N	\N
1094174	3741	1998-04-05	PRIJEM	VKLAD	6342	33102	\N	\N	\N
1094175	3741	1998-05-05	PRIJEM	VKLAD	6342	27901	\N	\N	\N
1094176	3741	1998-06-05	PRIJEM	VKLAD	9513	28754	\N	\N	\N
1094177	3741	1998-07-05	PRIJEM	VKLAD	6342	26949	\N	\N	\N
1094178	3741	1998-08-05	PRIJEM	VKLAD	6342	25141	\N	\N	\N
1094179	3741	1998-09-05	PRIJEM	VKLAD	6342	28228	\N	\N	\N
1094180	3741	1998-10-05	PRIJEM	VKLAD	6342	23905	\N	\N	\N
1094181	3741	1998-11-05	PRIJEM	VKLAD	6342	25683	\N	\N	\N
1094182	3741	1998-12-05	PRIJEM	VKLAD	9513	25232	\N	\N	\N
1094195	3741	1997-01-09	VYDAJ	PREVOD NA UCET	4228	36198	SIPO	QR	55627053
1094196	3741	1997-02-09	VYDAJ	PREVOD NA UCET	4228	27735	SIPO	QR	55627053
1094197	3741	1997-03-09	VYDAJ	PREVOD NA UCET	4228	29145	SIPO	QR	55627053
1094198	3741	1997-04-09	VYDAJ	PREVOD NA UCET	4228	28458	SIPO	QR	55627053
1094199	3741	1997-05-09	VYDAJ	PREVOD NA UCET	4228	27867	SIPO	QR	55627053
1094200	3741	1997-06-09	VYDAJ	PREVOD NA UCET	4228	35256	SIPO	QR	55627053
1094201	3741	1997-07-09	VYDAJ	PREVOD NA UCET	4228	36694	SIPO	QR	55627053
1094202	3741	1997-08-09	VYDAJ	PREVOD NA UCET	4228	34233	SIPO	QR	55627053
1094203	3741	1997-09-09	VYDAJ	PREVOD NA UCET	4228	33064	SIPO	QR	55627053
1094204	3741	1997-10-09	VYDAJ	PREVOD NA UCET	4228	31396	SIPO	QR	55627053
1094205	3741	1997-11-09	VYDAJ	PREVOD NA UCET	4228	30018	SIPO	QR	55627053
1094206	3741	1997-12-09	VYDAJ	PREVOD NA UCET	4228	35311	SIPO	QR	55627053
1094207	3741	1998-01-09	VYDAJ	PREVOD NA UCET	4228	24242	SIPO	QR	55627053
1094208	3741	1998-02-09	VYDAJ	PREVOD NA UCET	4228	26148	SIPO	QR	55627053
1094209	3741	1998-03-09	VYDAJ	PREVOD NA UCET	4228	28364	SIPO	QR	55627053
1094210	3741	1998-04-09	VYDAJ	PREVOD NA UCET	4228	28874	SIPO	QR	55627053
1094211	3741	1998-05-09	VYDAJ	PREVOD NA UCET	4228	23673	SIPO	QR	55627053
1094212	3741	1998-06-09	VYDAJ	PREVOD NA UCET	4228	24526	SIPO	QR	55627053
1094213	3741	1998-07-09	VYDAJ	PREVOD NA UCET	4228	18721	SIPO	QR	55627053
1094214	3741	1998-08-09	VYDAJ	PREVOD NA UCET	4228	21813	SIPO	QR	55627053
1094215	3741	1998-09-09	VYDAJ	PREVOD NA UCET	4228	17500	SIPO	QR	55627053
1094216	3741	1998-10-09	VYDAJ	PREVOD NA UCET	4228	19277	SIPO	QR	55627053
1094217	3741	1998-11-09	VYDAJ	PREVOD NA UCET	4228	18455	SIPO	QR	55627053
1094218	3741	1998-12-09	VYDAJ	PREVOD NA UCET	4228	21504	SIPO	QR	55627053
1094220	3741	1997-12-24	VYDAJ	VYBER	1800	30911	\N	\N	\N
1094221	3741	1998-12-04	VYDAJ	VYBER	2800	15719	\N	\N	\N
1094228	3741	1997-01-30	VYDAJ	VYBER	700	25498	\N	\N	\N
1094230	3741	1997-01-25	VYDAJ	VYBER	1000	30898	\N	\N	\N
1094231	3741	1997-01-08	VYDAJ	VYBER	500	40426	\N	\N	\N
1094232	3741	1997-01-14	VYDAJ	VYBER	500	35698	\N	\N	\N
1094233	3741	1997-01-26	VYDAJ	VYBER	1300	29598	\N	\N	\N
1094234	3741	1998-01-04	VYDAJ	VYBER	2300	28728	\N	\N	\N
1094235	3741	1998-01-05	VYDAJ	VYBER	900	32170	\N	\N	\N
1094236	3741	1998-01-05	VYDAJ	VYBER	2000	33070	\N	\N	\N
1094237	3741	1998-01-09	VYDAJ	VYBER	1300	20542	\N	\N	\N
1094238	3741	1998-01-09	VYDAJ	VYBER	2400	21842	\N	\N	\N
1094239	3741	1998-01-29	VYDAJ	VYBER	1400	22442	\N	\N	\N
1094245	3741	1997-01-30	VYDAJ	VYBER	3400	26198	\N	\N	\N
1094246	3741	1997-02-14	VYDAJ	VYBER	3600	26935	\N	\N	\N
1094247	3741	1997-10-07	VYDAJ	VYBER	2800	35624	\N	\N	\N
1094248	3741	1998-01-07	VYDAJ	VYBER	3700	28470	\N	\N	\N
1094249	3741	1998-01-11	VYDAJ	VYBER	1800	23842	\N	\N	\N
1094250	3741	1998-04-16	VYDAJ	VYBER	4500	21474	\N	\N	\N
1094264	3741	1997-01-31	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
1094265	3741	1997-02-28	VYDAJ	VYBER	15	27031	SLUZBY	\N	\N
1094266	3741	1997-03-31	VYDAJ	VYBER	15	26344	SLUZBY	\N	\N
1094267	3741	1997-04-30	VYDAJ	VYBER	15	25753	SLUZBY	\N	\N
1094268	3741	1997-05-31	VYDAJ	VYBER	15	29971	SLUZBY	\N	\N
1094269	3741	1997-06-30	VYDAJ	VYBER	15	34580	SLUZBY	\N	\N
1094270	3741	1997-07-31	VYDAJ	VYBER	15	32119	SLUZBY	\N	\N
1094271	3741	1997-08-31	VYDAJ	VYBER	15	30950	SLUZBY	\N	\N
1094272	3741	1997-09-30	VYDAJ	VYBER	15	32082	SLUZBY	\N	\N
1094273	3741	1997-10-31	VYDAJ	VYBER	15	27904	SLUZBY	\N	\N
1094274	3741	1997-11-30	VYDAJ	VYBER	15	30026	SLUZBY	\N	\N
1094275	3741	1997-12-31	VYDAJ	VYBER	15	31028	SLUZBY	\N	\N
1094276	3741	1998-01-31	VYDAJ	VYBER	15	22534	SLUZBY	\N	\N
1094277	3741	1998-02-28	VYDAJ	VYBER	15	26250	SLUZBY	\N	\N
1094278	3741	1998-03-31	VYDAJ	VYBER	15	26760	SLUZBY	\N	\N
1094279	3741	1998-04-30	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
1094280	3741	1998-05-31	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
1094281	3741	1998-06-30	VYDAJ	VYBER	15	20607	SLUZBY	\N	\N
1094282	3741	1998-07-31	VYDAJ	VYBER	15	18799	SLUZBY	\N	\N
1094283	3741	1998-08-31	VYDAJ	VYBER	15	21886	SLUZBY	\N	\N
1094284	3741	1998-09-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
1094285	3741	1998-10-31	VYDAJ	VYBER	15	19341	SLUZBY	\N	\N
1094286	3741	1998-11-30	VYDAJ	VYBER	15	18519	SLUZBY	\N	\N
1094287	3741	1996-09-17	PRIJEM	VKLAD	9000	16142	\N	\N	\N
1094288	3741	1996-10-17	VYDAJ	VYBER	1000	21515	\N	\N	\N
1094289	3741	1996-11-16	PRIJEM	VKLAD	600	28536	\N	\N	\N
1094290	3741	1996-12-16	VYDAJ	VYBER	3700	34453	\N	\N	\N
1094291	3741	1997-01-15	VYDAJ	VYBER	3800	31898	\N	\N	\N
1094292	3741	1997-02-14	PRIJEM	VKLAD	2800	30535	\N	\N	\N
1094293	3741	1997-03-16	VYDAJ	VYBER	2900	26245	\N	\N	\N
1094294	3741	1997-04-15	VYDAJ	VYBER	2800	25658	\N	\N	\N
1094295	3741	1997-05-15	PRIJEM	VKLAD	2000	29867	\N	\N	\N
1094296	3741	1997-06-14	VYDAJ	VYBER	800	34456	\N	\N	\N
1094297	3741	1997-07-14	VYDAJ	VYBER	4700	31994	\N	\N	\N
1094298	3741	1997-08-13	VYDAJ	VYBER	3400	30833	\N	\N	\N
1094299	3741	1997-09-12	VYDAJ	VYBER	1100	31964	\N	\N	\N
1094300	3741	1997-10-12	VYDAJ	VYBER	3600	27796	\N	\N	\N
1094301	3741	1997-11-11	VYDAJ	VYBER	100	29918	\N	\N	\N
1094302	3741	1997-12-11	VYDAJ	VYBER	2600	32711	\N	\N	\N
1094303	3741	1998-01-10	PRIJEM	VKLAD	5100	25642	\N	\N	\N
1094304	3741	1998-02-09	PRIJEM	VKLAD	1500	30376	\N	\N	\N
1094305	3741	1998-03-11	VYDAJ	VYBER	1700	26664	\N	\N	\N
1094306	3741	1998-04-10	VYDAJ	VYBER	2900	25974	\N	\N	\N
1094307	3741	1998-05-10	VYDAJ	VYBER	4500	19173	\N	\N	\N
1094308	3741	1998-06-09	VYDAJ	VYBER	4000	20526	\N	\N	\N
1094309	3741	1998-07-09	VYDAJ	VYBER	4000	22949	\N	\N	\N
1094310	3741	1998-08-08	PRIJEM	VKLAD	900	26041	\N	\N	\N
1094311	3741	1998-09-07	VYDAJ	VYBER	6500	21728	\N	\N	\N
1094312	3741	1998-10-07	VYDAJ	VYBER	400	23505	\N	\N	\N
1094313	3741	1998-11-06	VYDAJ	VYBER	3000	22683	\N	\N	\N
1094314	3741	1998-12-06	PRIJEM	VKLAD	500	25732	\N	\N	\N
1094343	3742	1997-05-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1094348	3742	1997-05-13	PRIJEM	PREVOD Z UCTU	4454	5454	DUCHOD	GH	47205090
1094349	3742	1997-06-13	PRIJEM	PREVOD Z UCTU	4454	9922	DUCHOD	GH	47205090
1094350	3742	1997-07-13	PRIJEM	PREVOD Z UCTU	4454	14399	DUCHOD	GH	47205090
1094351	3742	1997-08-13	PRIJEM	PREVOD Z UCTU	4454	18875	DUCHOD	GH	47205090
1094352	3742	1997-09-13	PRIJEM	PREVOD Z UCTU	4454	23352	DUCHOD	GH	47205090
1094353	3742	1997-10-13	PRIJEM	PREVOD Z UCTU	4454	24890	DUCHOD	GH	47205090
1094354	3742	1997-11-13	PRIJEM	PREVOD Z UCTU	4454	24129	DUCHOD	GH	47205090
1094355	3742	1997-12-13	PRIJEM	PREVOD Z UCTU	4454	25688	DUCHOD	GH	47205090
1094356	3742	1998-01-13	PRIJEM	PREVOD Z UCTU	4454	26449	DUCHOD	GH	47205090
1094357	3742	1998-02-13	PRIJEM	PREVOD Z UCTU	4454	28015	DUCHOD	GH	47205090
1094358	3742	1998-03-13	PRIJEM	PREVOD Z UCTU	4454	29587	DUCHOD	GH	47205090
1094359	3742	1998-04-13	PRIJEM	PREVOD Z UCTU	4454	30768	DUCHOD	GH	47205090
1094360	3742	1998-05-13	PRIJEM	PREVOD Z UCTU	4454	30032	DUCHOD	GH	47205090
1094361	3742	1998-06-13	PRIJEM	PREVOD Z UCTU	4454	20366	DUCHOD	GH	47205090
1094362	3742	1998-07-13	PRIJEM	PREVOD Z UCTU	4454	21926	DUCHOD	GH	47205090
1094363	3742	1998-08-13	PRIJEM	PREVOD Z UCTU	4454	23473	DUCHOD	GH	47205090
1094364	3742	1998-09-13	PRIJEM	PREVOD Z UCTU	4454	22943	DUCHOD	GH	47205090
1094365	3742	1998-10-13	PRIJEM	PREVOD Z UCTU	4454	24494	DUCHOD	GH	47205090
1094366	3742	1998-11-13	PRIJEM	PREVOD Z UCTU	4454	26059	DUCHOD	GH	47205090
1094367	3742	1998-12-13	PRIJEM	PREVOD Z UCTU	4454	23318	DUCHOD	GH	47205090
1094376	3742	1997-09-13	VYDAJ	PREVOD NA UCET	2969	20383	SIPO	UV	34186905
1094377	3742	1997-10-13	VYDAJ	PREVOD NA UCET	2969	21921	SIPO	UV	34186905
1094378	3742	1997-11-13	VYDAJ	PREVOD NA UCET	2969	21160	SIPO	UV	34186905
1094379	3742	1997-12-13	VYDAJ	PREVOD NA UCET	2969	22719	SIPO	UV	34186905
1094380	3742	1998-01-13	VYDAJ	PREVOD NA UCET	2969	23480	SIPO	UV	34186905
1094381	3742	1998-02-13	VYDAJ	PREVOD NA UCET	2969	25046	SIPO	UV	34186905
1094382	3742	1998-03-13	VYDAJ	PREVOD NA UCET	2969	26618	SIPO	UV	34186905
1094383	3742	1998-04-13	VYDAJ	PREVOD NA UCET	2969	27799	SIPO	UV	34186905
1094384	3742	1998-05-13	VYDAJ	PREVOD NA UCET	2969	27063	SIPO	UV	34186905
1094385	3742	1998-06-13	VYDAJ	PREVOD NA UCET	2969	17397	SIPO	UV	34186905
1094386	3742	1998-07-13	VYDAJ	PREVOD NA UCET	2969	18957	SIPO	UV	34186905
1094387	3742	1998-08-13	VYDAJ	PREVOD NA UCET	2969	20504	SIPO	UV	34186905
1094388	3742	1998-09-13	VYDAJ	PREVOD NA UCET	2969	19974	SIPO	UV	34186905
1094389	3742	1998-10-13	VYDAJ	PREVOD NA UCET	2969	21525	SIPO	UV	34186905
1094390	3742	1998-11-13	VYDAJ	PREVOD NA UCET	2969	23090	SIPO	UV	34186905
1094391	3742	1998-12-13	VYDAJ	PREVOD NA UCET	2969	20349	SIPO	UV	34186905
1094393	3742	1998-06-04	VYDAJ	VYBER	11250	15912	\N	\N	\N
1094394	3742	1997-12-16	VYDAJ	VYBER	800	21919	\N	\N	\N
1094395	3742	1998-12-11	VYDAJ	VYBER	1350	18864	\N	\N	\N
1094398	3742	1997-11-11	VYDAJ	VYBER	480	19675	\N	\N	\N
1094401	3742	1997-11-08	VYDAJ	VYBER	1840	20155	\N	\N	\N
1094402	3742	1998-12-30	VYDAJ	VYBER	2480	17869	\N	\N	\N
1094403	3742	1998-03-20	VYDAJ	VYBER	400	26218	\N	\N	\N
1094404	3742	1998-11-28	VYDAJ	VYBER	2960	20130	\N	\N	\N
1094405	3742	1998-08-22	VYDAJ	VYBER	2080	18424	\N	\N	\N
1094406	3742	1998-05-03	VYDAJ	VYBER	2320	25578	\N	\N	\N
1094416	3742	1997-09-30	VYDAJ	VYBER	15	20436	SLUZBY	\N	\N
1094417	3742	1997-10-31	VYDAJ	VYBER	15	21995	SLUZBY	\N	\N
1094418	3742	1997-11-30	VYDAJ	VYBER	15	21234	SLUZBY	\N	\N
1094419	3742	1997-12-31	VYDAJ	VYBER	15	21995	SLUZBY	\N	\N
1094420	3742	1998-01-31	VYDAJ	VYBER	15	23561	SLUZBY	\N	\N
1094421	3742	1998-02-28	VYDAJ	VYBER	15	25133	SLUZBY	\N	\N
1094422	3742	1998-03-31	VYDAJ	VYBER	15	26314	SLUZBY	\N	\N
1094423	3742	1998-04-30	VYDAJ	VYBER	15	27898	SLUZBY	\N	\N
1094424	3742	1998-05-31	VYDAJ	VYBER	15	27162	SLUZBY	\N	\N
1094425	3742	1998-06-30	VYDAJ	VYBER	15	17472	SLUZBY	\N	\N
1094426	3742	1998-07-31	VYDAJ	VYBER	15	19019	SLUZBY	\N	\N
1094427	3742	1998-08-31	VYDAJ	VYBER	15	18489	SLUZBY	\N	\N
1094428	3742	1998-09-30	VYDAJ	VYBER	15	20040	SLUZBY	\N	\N
1094429	3742	1998-10-31	VYDAJ	VYBER	15	21605	SLUZBY	\N	\N
1094430	3742	1998-11-30	VYDAJ	VYBER	15	20214	SLUZBY	\N	\N
1094451	3743	1996-03-22	PRIJEM	VKLAD	600	600	\N	\N	\N
1094455	3743	1996-04-13	PRIJEM	VKLAD	20890	21490	\N	\N	\N
1094456	3743	1996-05-13	PRIJEM	VKLAD	20890	43712	\N	\N	\N
1094457	3743	1996-06-13	PRIJEM	VKLAD	31335	65959	\N	\N	\N
1094458	3743	1996-07-13	PRIJEM	VKLAD	20890	63805	\N	\N	\N
1094459	3743	1996-08-13	PRIJEM	VKLAD	20890	62571	\N	\N	\N
1094460	3743	1996-09-13	PRIJEM	VKLAD	20890	52305	\N	\N	\N
1094461	3743	1996-10-13	PRIJEM	VKLAD	20890	44614	\N	\N	\N
1094462	3743	1996-11-13	PRIJEM	VKLAD	20890	41894	\N	\N	\N
1094463	3743	1996-12-13	PRIJEM	VKLAD	31335	53008	\N	\N	\N
1094464	3743	1997-01-13	PRIJEM	VKLAD	20890	42085	\N	\N	\N
1094465	3743	1997-02-13	PRIJEM	VKLAD	20890	31036	\N	\N	\N
1094466	3743	1997-03-13	PRIJEM	VKLAD	20890	30758	\N	\N	\N
1094467	3743	1997-04-13	PRIJEM	VKLAD	20890	28778	\N	\N	\N
1094468	3743	1997-05-13	PRIJEM	VKLAD	20890	33300	\N	\N	\N
1094469	3743	1997-06-13	PRIJEM	VKLAD	31335	43076	\N	\N	\N
1094470	3743	1997-07-13	PRIJEM	VKLAD	20890	37016	\N	\N	\N
1094471	3743	1997-08-13	PRIJEM	VKLAD	20890	28642	\N	\N	\N
1094472	3743	1997-09-13	PRIJEM	VKLAD	20890	37775	\N	\N	\N
1094473	3743	1997-10-13	PRIJEM	VKLAD	20890	28395	\N	\N	\N
1094474	3743	1997-11-13	PRIJEM	VKLAD	20890	42738	\N	\N	\N
1094475	3743	1997-12-13	PRIJEM	VKLAD	31335	66285	\N	\N	\N
1094476	3743	1998-01-13	PRIJEM	VKLAD	20890	42867	\N	\N	\N
1094477	3743	1998-02-13	PRIJEM	VKLAD	20890	47608	\N	\N	\N
1094478	3743	1998-03-13	PRIJEM	VKLAD	20890	59927	\N	\N	\N
1094479	3743	1998-04-13	PRIJEM	VKLAD	20890	71901	\N	\N	\N
1094480	3743	1998-05-13	PRIJEM	VKLAD	20890	39623	\N	\N	\N
1094481	3743	1998-06-13	PRIJEM	VKLAD	31335	58116	\N	\N	\N
1094482	3743	1998-07-13	PRIJEM	VKLAD	20890	35466	\N	\N	\N
1094483	3743	1998-08-13	PRIJEM	VKLAD	20890	49882	\N	\N	\N
1094484	3743	1998-09-13	PRIJEM	VKLAD	20890	64313	\N	\N	\N
1094485	3743	1998-10-13	PRIJEM	VKLAD	20890	35202	\N	\N	\N
1094486	3743	1998-11-13	PRIJEM	VKLAD	20890	49611	\N	\N	\N
1094487	3743	1998-12-13	PRIJEM	VKLAD	31335	63381	\N	\N	\N
1094496	3743	1996-09-07	VYDAJ	PREVOD NA UCET	5478	32172	SIPO	GH	70616876
1094497	3743	1996-10-07	VYDAJ	PREVOD NA UCET	5478	25981	SIPO	GH	70616876
1094498	3743	1996-11-07	VYDAJ	PREVOD NA UCET	5478	22661	SIPO	GH	70616876
1094499	3743	1996-12-07	VYDAJ	PREVOD NA UCET	5478	22430	SIPO	GH	70616876
1094500	3743	1997-01-07	VYDAJ	PREVOD NA UCET	5478	21952	SIPO	GH	70616876
1094501	3743	1997-02-07	VYDAJ	PREVOD NA UCET	5478	10903	SIPO	GH	70616876
1094502	3743	1997-03-07	VYDAJ	PREVOD NA UCET	5478	10625	SIPO	GH	70616876
1094503	3743	1997-04-07	VYDAJ	PREVOD NA UCET	5478	8645	SIPO	GH	70616876
1094504	3743	1997-05-07	VYDAJ	PREVOD NA UCET	5478	13167	SIPO	GH	70616876
1094505	3743	1997-06-07	VYDAJ	PREVOD NA UCET	5478	12498	SIPO	GH	70616876
1094506	3743	1997-07-07	VYDAJ	PREVOD NA UCET	5478	16883	SIPO	GH	70616876
1094507	3743	1997-08-07	VYDAJ	PREVOD NA UCET	5478	8509	SIPO	GH	70616876
1094508	3743	1997-09-07	VYDAJ	PREVOD NA UCET	5478	18742	SIPO	GH	70616876
1094509	3743	1997-10-07	VYDAJ	PREVOD NA UCET	5478	8262	SIPO	GH	70616876
1094510	3743	1997-11-07	VYDAJ	PREVOD NA UCET	5478	22605	SIPO	GH	70616876
1094511	3743	1997-12-07	VYDAJ	PREVOD NA UCET	5478	35707	SIPO	GH	70616876
1094512	3743	1998-01-07	VYDAJ	PREVOD NA UCET	5478	58734	SIPO	GH	70616876
1094513	3743	1998-02-07	VYDAJ	PREVOD NA UCET	5478	27475	SIPO	GH	70616876
1094514	3743	1998-03-07	VYDAJ	PREVOD NA UCET	5478	39794	SIPO	GH	70616876
1094515	3743	1998-04-07	VYDAJ	PREVOD NA UCET	5478	51768	SIPO	GH	70616876
1094516	3743	1998-05-07	VYDAJ	PREVOD NA UCET	5478	63990	SIPO	GH	70616876
1094517	3743	1998-06-07	VYDAJ	PREVOD NA UCET	5478	27538	SIPO	GH	70616876
1094518	3743	1998-07-07	VYDAJ	PREVOD NA UCET	5478	52433	SIPO	GH	70616876
1094519	3743	1998-08-07	VYDAJ	PREVOD NA UCET	5478	29749	SIPO	GH	70616876
1094520	3743	1998-09-07	VYDAJ	PREVOD NA UCET	5478	44180	SIPO	GH	70616876
1094521	3743	1998-10-07	VYDAJ	PREVOD NA UCET	5478	57969	SIPO	GH	70616876
1094522	3743	1998-11-07	VYDAJ	PREVOD NA UCET	5478	29478	SIPO	GH	70616876
1094523	3743	1998-12-07	VYDAJ	PREVOD NA UCET	5478	39403	SIPO	GH	70616876
1094532	3743	1996-09-11	VYDAJ	PREVOD NA UCET	757	31415	POJISTNE	QR	71234905
1094533	3743	1996-10-11	VYDAJ	PREVOD NA UCET	757	23724	POJISTNE	QR	71234905
1094534	3743	1996-11-11	VYDAJ	PREVOD NA UCET	757	21004	POJISTNE	QR	71234905
1094535	3743	1996-12-11	VYDAJ	PREVOD NA UCET	757	21673	POJISTNE	QR	71234905
1094536	3743	1997-01-11	VYDAJ	PREVOD NA UCET	757	21195	POJISTNE	QR	71234905
1094537	3743	1997-02-11	VYDAJ	PREVOD NA UCET	757	10146	POJISTNE	QR	71234905
1094538	3743	1997-03-11	VYDAJ	PREVOD NA UCET	757	9868	POJISTNE	QR	71234905
1094539	3743	1997-04-11	VYDAJ	PREVOD NA UCET	757	7888	POJISTNE	QR	71234905
1094540	3743	1997-05-11	VYDAJ	PREVOD NA UCET	757	12410	POJISTNE	QR	71234905
1094541	3743	1997-06-11	VYDAJ	PREVOD NA UCET	757	11741	POJISTNE	QR	71234905
1094542	3743	1997-07-11	VYDAJ	PREVOD NA UCET	757	16126	POJISTNE	QR	71234905
1094543	3743	1997-08-11	VYDAJ	PREVOD NA UCET	757	7752	POJISTNE	QR	71234905
1094544	3743	1997-09-11	VYDAJ	PREVOD NA UCET	757	16885	POJISTNE	QR	71234905
1094545	3743	1997-10-11	VYDAJ	PREVOD NA UCET	757	7505	POJISTNE	QR	71234905
1094546	3743	1997-11-11	VYDAJ	PREVOD NA UCET	757	21848	POJISTNE	QR	71234905
1094547	3743	1997-12-11	VYDAJ	PREVOD NA UCET	757	34950	POJISTNE	QR	71234905
1094548	3743	1998-01-11	VYDAJ	PREVOD NA UCET	757	21977	POJISTNE	QR	71234905
1094549	3743	1998-02-11	VYDAJ	PREVOD NA UCET	757	26718	POJISTNE	QR	71234905
1094550	3743	1998-03-11	VYDAJ	PREVOD NA UCET	757	39037	POJISTNE	QR	71234905
1094551	3743	1998-04-11	VYDAJ	PREVOD NA UCET	757	51011	POJISTNE	QR	71234905
1094552	3743	1998-05-11	VYDAJ	PREVOD NA UCET	757	63233	POJISTNE	QR	71234905
1094553	3743	1998-06-11	VYDAJ	PREVOD NA UCET	757	26781	POJISTNE	QR	71234905
1094554	3743	1998-07-11	VYDAJ	PREVOD NA UCET	757	14576	POJISTNE	QR	71234905
1094555	3743	1998-08-11	VYDAJ	PREVOD NA UCET	757	28992	POJISTNE	QR	71234905
1094556	3743	1998-09-11	VYDAJ	PREVOD NA UCET	757	43423	POJISTNE	QR	71234905
1094557	3743	1998-10-11	VYDAJ	PREVOD NA UCET	757	14312	POJISTNE	QR	71234905
1094558	3743	1998-11-11	VYDAJ	PREVOD NA UCET	757	28721	POJISTNE	QR	71234905
1094559	3743	1998-12-11	VYDAJ	PREVOD NA UCET	757	32046	POJISTNE	QR	71234905
1094567	3743	1996-08-13	VYDAJ	PREVOD NA UCET	390	62181	 	OP	7009309
1094568	3743	1996-09-13	VYDAJ	PREVOD NA UCET	390	51915	 	OP	7009309
1094569	3743	1996-10-13	VYDAJ	PREVOD NA UCET	390	44224	 	OP	7009309
1094570	3743	1996-11-13	VYDAJ	PREVOD NA UCET	390	41504	 	OP	7009309
1094571	3743	1996-12-13	VYDAJ	PREVOD NA UCET	390	50418	 	OP	7009309
1094572	3743	1997-01-13	VYDAJ	PREVOD NA UCET	390	41695	 	OP	7009309
1094573	3743	1997-02-13	VYDAJ	PREVOD NA UCET	390	30646	 	OP	7009309
1094574	3743	1997-03-13	VYDAJ	PREVOD NA UCET	390	30368	 	OP	7009309
1094575	3743	1997-04-13	VYDAJ	PREVOD NA UCET	390	28388	 	OP	7009309
1094576	3743	1997-05-13	VYDAJ	PREVOD NA UCET	390	32910	 	OP	7009309
1094577	3743	1997-06-13	VYDAJ	PREVOD NA UCET	390	42686	 	OP	7009309
1094578	3743	1997-07-13	VYDAJ	PREVOD NA UCET	390	36626	 	OP	7009309
1094579	3743	1997-08-13	VYDAJ	PREVOD NA UCET	390	24152	 	OP	7009309
1094580	3743	1997-09-13	VYDAJ	PREVOD NA UCET	390	37385	 	OP	7009309
1094581	3743	1997-10-13	VYDAJ	PREVOD NA UCET	390	28005	 	OP	7009309
1094582	3743	1997-11-13	VYDAJ	PREVOD NA UCET	390	42348	 	OP	7009309
1094583	3743	1997-12-13	VYDAJ	PREVOD NA UCET	390	65895	 	OP	7009309
1094584	3743	1998-01-13	VYDAJ	PREVOD NA UCET	390	42477	 	OP	7009309
1094585	3743	1998-02-13	VYDAJ	PREVOD NA UCET	390	47218	 	OP	7009309
1094586	3743	1998-03-13	VYDAJ	PREVOD NA UCET	390	59537	 	OP	7009309
1094587	3743	1998-04-13	VYDAJ	PREVOD NA UCET	390	71511	 	OP	7009309
1094588	3743	1998-05-13	VYDAJ	PREVOD NA UCET	390	39233	 	OP	7009309
1094589	3743	1998-06-13	VYDAJ	PREVOD NA UCET	390	57726	 	OP	7009309
1094590	3743	1998-07-13	VYDAJ	PREVOD NA UCET	390	35076	 	OP	7009309
1094591	3743	1998-08-13	VYDAJ	PREVOD NA UCET	390	49492	 	OP	7009309
1094592	3743	1998-09-13	VYDAJ	PREVOD NA UCET	390	63223	 	OP	7009309
1094593	3743	1998-10-13	VYDAJ	PREVOD NA UCET	390	34812	 	OP	7009309
1094594	3743	1998-11-13	VYDAJ	PREVOD NA UCET	390	49221	 	OP	7009309
1094595	3743	1998-12-13	VYDAJ	PREVOD NA UCET	390	62991	 	OP	7009309
1094634	3743	1998-06-06	VYDAJ	VYBER	6400	33016	\N	\N	\N
1094635	3743	1996-12-13	VYDAJ	VYBER	2200	50808	\N	\N	\N
1094636	3743	1997-12-02	VYDAJ	VYBER	1300	41185	\N	\N	\N
1094637	3743	1998-12-09	VYDAJ	VYBER KARTOU	1900	37503	\N	\N	0
1094644	3743	1997-01-29	VYDAJ	VYBER	2000	16295	\N	\N	\N
1094645	3743	1997-01-17	VYDAJ	VYBER	2400	21495	\N	\N	\N
1094646	3743	1997-01-27	VYDAJ	VYBER	600	18295	\N	\N	\N
1094647	3743	1997-01-17	VYDAJ	VYBER	1800	23895	\N	\N	\N
1094648	3743	1997-01-15	VYDAJ	VYBER	1300	40395	\N	\N	\N
1094649	3743	1997-01-20	VYDAJ	VYBER	2600	18895	\N	\N	\N
1094650	3743	1998-01-22	VYDAJ	VYBER	1000	40577	\N	\N	\N
1094651	3743	1998-01-25	VYDAJ	VYBER	2100	38477	\N	\N	\N
1094652	3743	1998-01-14	VYDAJ	VYBER	900	41577	\N	\N	\N
1094653	3743	1998-01-01	VYDAJ	VYBER	1900	64212	\N	\N	\N
1094654	3743	1998-01-28	VYDAJ	VYBER	2900	35577	\N	\N	\N
1094655	3743	1998-01-29	VYDAJ	VYBER	2800	32777	\N	\N	\N
1094657	3743	1996-10-07	VYDAJ	VYBER	2600	31459	\N	\N	\N
1094660	3743	1996-10-09	VYDAJ	VYBER	1500	24481	\N	\N	\N
1094661	3743	1996-11-07	VYDAJ	VYBER	900	21761	\N	\N	\N
1094662	3743	1997-09-08	VYDAJ	VYBER	1100	17642	\N	\N	\N
1094663	3743	1997-02-19	VYDAJ	VYBER	2900	16046	\N	\N	\N
1094664	3743	1997-08-13	VYDAJ	VYBER	4100	24542	\N	\N	\N
1094667	3743	1998-11-18	VYDAJ	VYBER KARTOU	2300	46921	\N	\N	0
1094668	3743	1998-12-01	VYDAJ	VYBER KARTOU	2200	44881	\N	\N	0
1094669	3743	1998-02-27	VYDAJ	VYBER	2100	45118	\N	\N	\N
1094670	3743	1998-09-13	VYDAJ	VYBER KARTOU	700	63613	\N	\N	0
1094671	3743	1998-04-28	VYDAJ	VYBER	2300	69211	\N	\N	\N
1094672	3743	1998-04-05	VYDAJ	VYBER	2500	57246	\N	\N	\N
1094673	3743	1998-12-11	VYDAJ	VYBER	4700	32803	\N	\N	\N
1094682	3743	1996-08-31	VYDAJ	VYBER	15	37650	SLUZBY	\N	\N
1094683	3743	1996-09-30	VYDAJ	VYBER	15	34059	SLUZBY	\N	\N
1094684	3743	1996-10-31	VYDAJ	VYBER	15	28139	SLUZBY	\N	\N
1094685	3743	1996-11-30	VYDAJ	VYBER	15	27908	SLUZBY	\N	\N
1094686	3743	1996-12-31	VYDAJ	VYBER	15	27430	SLUZBY	\N	\N
1094687	3743	1997-01-31	VYDAJ	VYBER	15	16381	SLUZBY	\N	\N
1094688	3743	1997-02-28	VYDAJ	VYBER	15	16103	SLUZBY	\N	\N
1094689	3743	1997-03-31	VYDAJ	VYBER	15	14123	SLUZBY	\N	\N
1094690	3743	1997-04-30	VYDAJ	VYBER	15	18645	SLUZBY	\N	\N
1094691	3743	1997-05-31	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
1094692	3743	1997-06-30	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
1094693	3743	1997-07-31	VYDAJ	VYBER	15	13987	SLUZBY	\N	\N
1094694	3743	1997-08-31	VYDAJ	VYBER	15	24220	SLUZBY	\N	\N
1094695	3743	1997-09-30	VYDAJ	VYBER	15	13740	SLUZBY	\N	\N
1094696	3743	1997-10-31	VYDAJ	VYBER	15	28083	SLUZBY	\N	\N
1094697	3743	1997-11-30	VYDAJ	VYBER	15	42485	SLUZBY	\N	\N
1094698	3743	1997-12-31	VYDAJ	VYBER	15	66112	SLUZBY	\N	\N
1094699	3743	1998-01-31	VYDAJ	VYBER	15	32953	SLUZBY	\N	\N
1094700	3743	1998-02-28	VYDAJ	VYBER	15	45272	SLUZBY	\N	\N
1094701	3743	1998-03-31	VYDAJ	VYBER	15	59746	SLUZBY	\N	\N
1094702	3743	1998-04-30	VYDAJ	VYBER	15	69468	SLUZBY	\N	\N
1094703	3743	1998-05-31	VYDAJ	VYBER	15	39416	SLUZBY	\N	\N
1094704	3743	1998-06-30	VYDAJ	VYBER	15	57911	SLUZBY	\N	\N
1094705	3743	1998-07-31	VYDAJ	VYBER	15	35227	SLUZBY	\N	\N
1094706	3743	1998-08-31	VYDAJ	VYBER	15	49658	SLUZBY	\N	\N
1094707	3743	1998-09-30	VYDAJ	VYBER	15	63447	SLUZBY	\N	\N
1094708	3743	1998-10-31	VYDAJ	VYBER	15	34956	SLUZBY	\N	\N
1094709	3743	1998-11-30	VYDAJ	VYBER	15	47081	SLUZBY	\N	\N
1094710	3743	1996-04-21	PRIJEM	VKLAD	1300	22790	\N	\N	\N
1094711	3743	1996-05-21	VYDAJ	VYBER	9200	34512	\N	\N	\N
1094712	3743	1996-06-20	VYDAJ	VYBER	23200	42759	\N	\N	\N
1094713	3743	1996-07-20	VYDAJ	VYBER	22300	41505	\N	\N	\N
1094714	3743	1996-08-19	VYDAJ	VYBER	24700	37481	\N	\N	\N
1094715	3743	1996-09-18	VYDAJ	VYBER	18000	33915	\N	\N	\N
1094716	3743	1996-10-18	VYDAJ	VYBER	16200	28024	\N	\N	\N
1094717	3743	1996-11-17	VYDAJ	VYBER	13700	27804	\N	\N	\N
1094718	3743	1996-12-17	VYDAJ	VYBER	23100	27318	\N	\N	\N
1094719	3743	1997-01-16	VYDAJ	VYBER	14700	25695	\N	\N	\N
1094720	3743	1997-02-15	VYDAJ	VYBER	11700	18946	\N	\N	\N
1094721	3743	1997-03-17	VYDAJ	VYBER	16300	14068	\N	\N	\N
1094722	3743	1997-04-16	VYDAJ	VYBER	9800	18588	\N	\N	\N
1094723	3743	1997-05-16	VYDAJ	VYBER	15000	17910	\N	\N	\N
1094724	3743	1997-06-15	VYDAJ	VYBER	20400	22286	\N	\N	\N
1094725	3743	1997-07-15	VYDAJ	VYBER	22700	13926	\N	\N	\N
1094726	3743	1997-09-13	VYDAJ	VYBER	23700	13685	\N	\N	\N
1094727	3743	1998-01-11	VYDAJ	VYBER	36000	22734	\N	\N	\N
1094728	3743	1998-05-11	VYDAJ	VYBER	44500	18733	\N	\N	\N
1094729	3743	1998-07-10	VYDAJ	VYBER	37100	15333	\N	\N	\N
1094730	3743	1998-10-08	VYDAJ	VYBER	42900	15069	\N	\N	\N
1095354	3745	1993-08-04	PRIJEM	VKLAD	900	900	\N	\N	\N
1095362	3745	1993-08-06	PRIJEM	PREVOD Z UCTU	26258	27158	\N	MN	79180401
1095363	3745	1993-09-06	PRIJEM	PREVOD Z UCTU	26258	50311	\N	MN	79180401
1095364	3745	1993-10-06	PRIJEM	PREVOD Z UCTU	26258	62963	\N	MN	79180401
1095365	3745	1993-11-06	PRIJEM	PREVOD Z UCTU	26258	68374	\N	MN	79180401
1095366	3745	1993-12-06	PRIJEM	PREVOD Z UCTU	39387	85342	\N	MN	79180401
1095367	3745	1994-01-06	PRIJEM	PREVOD Z UCTU	26258	62971	\N	MN	79180401
1095368	3745	1994-02-06	PRIJEM	PREVOD Z UCTU	26258	53072	\N	MN	79180401
1095369	3745	1994-03-06	PRIJEM	PREVOD Z UCTU	26258	50636	\N	MN	79180401
1095370	3745	1994-04-06	PRIJEM	PREVOD Z UCTU	26258	55973	\N	MN	79180401
1095371	3745	1994-05-06	PRIJEM	PREVOD Z UCTU	26258	62433	\N	MN	79180401
1095372	3745	1994-06-06	PRIJEM	PREVOD Z UCTU	39387	71279	\N	MN	79180401
1095373	3745	1994-07-06	PRIJEM	PREVOD Z UCTU	26258	63888	\N	MN	79180401
1095374	3745	1994-08-06	PRIJEM	PREVOD Z UCTU	26258	68621	\N	MN	79180401
1095375	3745	1994-09-06	PRIJEM	PREVOD Z UCTU	26258	63423	\N	MN	79180401
1095376	3745	1994-10-06	PRIJEM	PREVOD Z UCTU	26258	50607	\N	MN	79180401
1095377	3745	1994-11-06	PRIJEM	PREVOD Z UCTU	26258	52984	\N	MN	79180401
1095378	3745	1994-12-06	PRIJEM	PREVOD Z UCTU	39387	74174	\N	MN	79180401
1095379	3745	1995-01-06	PRIJEM	PREVOD Z UCTU	26258	70419	\N	MN	79180401
1095380	3745	1995-02-06	PRIJEM	PREVOD Z UCTU	26258	53885	\N	MN	79180401
1095381	3745	1995-03-06	PRIJEM	PREVOD Z UCTU	26258	68177	\N	MN	79180401
1095382	3745	1995-04-06	PRIJEM	PREVOD Z UCTU	26258	77026	\N	MN	79180401
1095383	3745	1995-05-06	PRIJEM	PREVOD Z UCTU	26258	80708	\N	MN	79180401
1095384	3745	1995-06-06	PRIJEM	PREVOD Z UCTU	39387	96433	\N	MN	79180401
1095385	3745	1995-07-06	PRIJEM	PREVOD Z UCTU	26258	86974	\N	MN	79180401
1095386	3745	1995-08-06	PRIJEM	PREVOD Z UCTU	26258	82097	\N	MN	79180401
1095387	3745	1995-09-06	PRIJEM	PREVOD Z UCTU	26258	85095	\N	MN	79180401
1095388	3745	1995-10-06	PRIJEM	PREVOD Z UCTU	26258	86103	\N	MN	79180401
1095389	3745	1995-11-06	PRIJEM	PREVOD Z UCTU	26258	83509	\N	MN	79180401
1095390	3745	1995-12-06	PRIJEM	PREVOD Z UCTU	39387	86792	\N	MN	79180401
1095391	3745	1996-01-06	PRIJEM	PREVOD Z UCTU	26258	66681	\N	MN	79180401
1095392	3745	1996-02-06	PRIJEM	PREVOD Z UCTU	26258	61095	\N	MN	79180401
1095393	3745	1996-03-06	PRIJEM	PREVOD Z UCTU	26258	73113	\N	MN	79180401
1095394	3745	1996-04-06	PRIJEM	PREVOD Z UCTU	26258	77871	\N	MN	79180401
1095395	3745	1996-05-06	PRIJEM	PREVOD Z UCTU	26258	76259	\N	MN	79180401
1095396	3745	1996-06-06	PRIJEM	PREVOD Z UCTU	39387	78313	\N	MN	79180401
1095397	3745	1996-07-06	PRIJEM	PREVOD Z UCTU	26258	77670	\N	MN	79180401
1095398	3745	1996-08-06	PRIJEM	PREVOD Z UCTU	26258	83186	\N	MN	79180401
1095399	3745	1996-09-06	PRIJEM	PREVOD Z UCTU	26258	88984	\N	MN	79180401
1095400	3745	1996-10-06	PRIJEM	PREVOD Z UCTU	26258	72770	\N	MN	79180401
1095401	3745	1996-11-06	PRIJEM	PREVOD Z UCTU	26258	65816	\N	MN	79180401
1095402	3745	1996-12-06	PRIJEM	PREVOD Z UCTU	39387	93291	\N	MN	79180401
1095403	3745	1997-01-06	PRIJEM	PREVOD Z UCTU	26258	94324	\N	MN	79180401
1095404	3745	1997-02-06	PRIJEM	PREVOD Z UCTU	26258	57632	\N	MN	79180401
1095405	3745	1997-03-06	PRIJEM	PREVOD Z UCTU	26258	81659	\N	MN	79180401
1095406	3745	1997-04-06	PRIJEM	PREVOD Z UCTU	26258	94563	\N	MN	79180401
1095407	3745	1997-05-06	PRIJEM	PREVOD Z UCTU	26258	92112	\N	MN	79180401
1095408	3745	1997-06-06	PRIJEM	PREVOD Z UCTU	39387	78885	\N	MN	79180401
1095409	3745	1997-07-06	PRIJEM	PREVOD Z UCTU	26258	84575	\N	MN	79180401
1095410	3745	1997-08-06	PRIJEM	PREVOD Z UCTU	26258	93375	\N	MN	79180401
1095411	3745	1997-09-06	PRIJEM	PREVOD Z UCTU	26258	85906	\N	MN	79180401
1095412	3745	1997-10-06	PRIJEM	PREVOD Z UCTU	26258	83718	\N	MN	79180401
1095413	3745	1997-11-06	PRIJEM	PREVOD Z UCTU	26258	76615	\N	MN	79180401
1095414	3745	1997-12-06	PRIJEM	PREVOD Z UCTU	39387	117666	\N	MN	79180401
1095415	3745	1998-01-06	PRIJEM	PREVOD Z UCTU	26258	110168	\N	MN	79180401
1095416	3745	1998-02-06	PRIJEM	PREVOD Z UCTU	26258	74692	\N	MN	79180401
1095417	3745	1998-03-06	PRIJEM	PREVOD Z UCTU	26258	85888	\N	MN	79180401
1095418	3745	1998-04-06	PRIJEM	PREVOD Z UCTU	26258	77059	\N	MN	79180401
1095419	3745	1998-05-06	PRIJEM	PREVOD Z UCTU	26258	113723	\N	MN	79180401
1095420	3745	1998-06-06	PRIJEM	PREVOD Z UCTU	39387	144198	\N	MN	79180401
1095421	3745	1998-07-06	PRIJEM	PREVOD Z UCTU	26258	123944	\N	MN	79180401
1095422	3745	1998-08-06	PRIJEM	PREVOD Z UCTU	26258	79308	\N	MN	79180401
1095423	3745	1998-09-06	PRIJEM	PREVOD Z UCTU	26258	98390	\N	MN	79180401
1095424	3745	1998-10-06	PRIJEM	PREVOD Z UCTU	26258	98476	\N	MN	79180401
1095425	3745	1998-11-06	PRIJEM	PREVOD Z UCTU	26258	120147	\N	MN	79180401
1095426	3745	1998-12-06	PRIJEM	PREVOD Z UCTU	39387	127890	\N	MN	79180401
1095438	3745	1993-12-08	VYDAJ	PREVOD NA UCET	11469	73873	SIPO	ST	65273123
1095439	3745	1994-01-08	VYDAJ	PREVOD NA UCET	11469	51502	SIPO	ST	65273123
1095440	3745	1994-02-08	VYDAJ	PREVOD NA UCET	11469	41603	SIPO	ST	65273123
1095441	3745	1994-03-08	VYDAJ	PREVOD NA UCET	11469	39167	SIPO	ST	65273123
1095442	3745	1994-04-08	VYDAJ	PREVOD NA UCET	11469	44504	SIPO	ST	65273123
1095443	3745	1994-05-08	VYDAJ	PREVOD NA UCET	11469	50964	SIPO	ST	65273123
1095444	3745	1994-06-08	VYDAJ	PREVOD NA UCET	11469	59810	SIPO	ST	65273123
1095445	3745	1994-07-08	VYDAJ	PREVOD NA UCET	11469	52419	SIPO	ST	65273123
1095446	3745	1994-08-08	VYDAJ	PREVOD NA UCET	11469	57152	SIPO	ST	65273123
1095447	3745	1994-09-08	VYDAJ	PREVOD NA UCET	11469	51954	SIPO	ST	65273123
1095448	3745	1994-10-08	VYDAJ	PREVOD NA UCET	11469	39138	SIPO	ST	65273123
1095449	3745	1994-11-08	VYDAJ	PREVOD NA UCET	11469	31315	SIPO	ST	65273123
1095450	3745	1994-12-08	VYDAJ	PREVOD NA UCET	11469	62705	SIPO	ST	65273123
1095451	3745	1995-01-08	VYDAJ	PREVOD NA UCET	11469	53250	SIPO	ST	65273123
1095452	3745	1995-02-08	VYDAJ	PREVOD NA UCET	11469	42416	SIPO	ST	65273123
1095453	3745	1995-03-08	VYDAJ	PREVOD NA UCET	11469	56708	SIPO	ST	65273123
1095454	3745	1995-04-08	VYDAJ	PREVOD NA UCET	11469	65557	SIPO	ST	65273123
1095455	3745	1995-05-08	VYDAJ	PREVOD NA UCET	11469	69239	SIPO	ST	65273123
1095456	3745	1995-06-08	VYDAJ	PREVOD NA UCET	11469	84964	SIPO	ST	65273123
1095457	3745	1995-07-08	VYDAJ	PREVOD NA UCET	11469	75505	SIPO	ST	65273123
1095458	3745	1995-08-08	VYDAJ	PREVOD NA UCET	11469	70628	SIPO	ST	65273123
1095459	3745	1995-09-08	VYDAJ	PREVOD NA UCET	11469	73626	SIPO	ST	65273123
1095460	3745	1995-10-08	VYDAJ	PREVOD NA UCET	11469	74634	SIPO	ST	65273123
1095461	3745	1995-11-08	VYDAJ	PREVOD NA UCET	11469	72040	SIPO	ST	65273123
1095462	3745	1995-12-08	VYDAJ	PREVOD NA UCET	11469	75323	SIPO	ST	65273123
1095463	3745	1996-01-08	VYDAJ	PREVOD NA UCET	11469	55212	SIPO	ST	65273123
1095464	3745	1996-02-08	VYDAJ	PREVOD NA UCET	11469	49626	SIPO	ST	65273123
1095465	3745	1996-03-08	VYDAJ	PREVOD NA UCET	11469	61644	SIPO	ST	65273123
1095466	3745	1996-04-08	VYDAJ	PREVOD NA UCET	11469	66402	SIPO	ST	65273123
1095467	3745	1996-05-08	VYDAJ	PREVOD NA UCET	11469	64790	SIPO	ST	65273123
1095468	3745	1996-06-08	VYDAJ	PREVOD NA UCET	11469	66844	SIPO	ST	65273123
1095469	3745	1996-07-08	VYDAJ	PREVOD NA UCET	11469	62213	SIPO	ST	65273123
1095470	3745	1996-08-08	VYDAJ	PREVOD NA UCET	11469	71717	SIPO	ST	65273123
1095471	3745	1996-09-08	VYDAJ	PREVOD NA UCET	11469	77515	SIPO	ST	65273123
1095472	3745	1996-10-08	VYDAJ	PREVOD NA UCET	11469	61301	SIPO	ST	65273123
1095473	3745	1996-11-08	VYDAJ	PREVOD NA UCET	11469	54347	SIPO	ST	65273123
1095474	3745	1996-12-08	VYDAJ	PREVOD NA UCET	11469	81822	SIPO	ST	65273123
1095475	3745	1997-01-08	VYDAJ	PREVOD NA UCET	11469	74294	SIPO	ST	65273123
1095476	3745	1997-02-08	VYDAJ	PREVOD NA UCET	11469	46163	SIPO	ST	65273123
1095477	3745	1997-03-08	VYDAJ	PREVOD NA UCET	11469	70190	SIPO	ST	65273123
1095478	3745	1997-04-08	VYDAJ	PREVOD NA UCET	11469	83094	SIPO	ST	65273123
1095479	3745	1997-05-08	VYDAJ	PREVOD NA UCET	11469	80643	SIPO	ST	65273123
1095480	3745	1997-06-08	VYDAJ	PREVOD NA UCET	11469	67416	SIPO	ST	65273123
1095481	3745	1997-07-08	VYDAJ	PREVOD NA UCET	11469	73106	SIPO	ST	65273123
1095482	3745	1997-08-08	VYDAJ	PREVOD NA UCET	11469	81906	SIPO	ST	65273123
1095483	3745	1997-09-08	VYDAJ	PREVOD NA UCET	11469	74437	SIPO	ST	65273123
1095484	3745	1997-10-08	VYDAJ	PREVOD NA UCET	11469	72249	SIPO	ST	65273123
1095485	3745	1997-11-08	VYDAJ	PREVOD NA UCET	11469	65146	SIPO	ST	65273123
1095486	3745	1997-12-08	VYDAJ	PREVOD NA UCET	11469	83697	SIPO	ST	65273123
1095487	3745	1998-01-08	VYDAJ	PREVOD NA UCET	11469	93599	SIPO	ST	65273123
1095488	3745	1998-02-08	VYDAJ	PREVOD NA UCET	11469	63223	SIPO	ST	65273123
1095489	3745	1998-03-08	VYDAJ	PREVOD NA UCET	11469	74419	SIPO	ST	65273123
1095490	3745	1998-04-08	VYDAJ	PREVOD NA UCET	11469	65590	SIPO	ST	65273123
1095491	3745	1998-05-08	VYDAJ	PREVOD NA UCET	11469	102254	SIPO	ST	65273123
1095492	3745	1998-06-08	VYDAJ	PREVOD NA UCET	11469	91629	SIPO	ST	65273123
1095493	3745	1998-07-08	VYDAJ	PREVOD NA UCET	11469	51675	SIPO	ST	65273123
1095494	3745	1998-08-08	VYDAJ	PREVOD NA UCET	11469	91839	SIPO	ST	65273123
1095495	3745	1998-09-08	VYDAJ	PREVOD NA UCET	11469	94721	SIPO	ST	65273123
1095496	3745	1998-10-08	VYDAJ	PREVOD NA UCET	11469	96407	SIPO	ST	65273123
1095497	3745	1998-11-08	VYDAJ	PREVOD NA UCET	11469	98305	SIPO	ST	65273123
1095498	3745	1998-12-08	VYDAJ	PREVOD NA UCET	11469	84821	SIPO	ST	65273123
1095510	3745	1993-12-10	VYDAJ	PREVOD NA UCET	841	73032	 	UV	77627140
1095511	3745	1994-01-10	VYDAJ	PREVOD NA UCET	841	42861	 	UV	77627140
1095512	3745	1994-02-10	VYDAJ	PREVOD NA UCET	841	40762	 	UV	77627140
1095513	3745	1994-03-10	VYDAJ	PREVOD NA UCET	841	38326	 	UV	77627140
1095514	3745	1994-04-10	VYDAJ	PREVOD NA UCET	841	43663	 	UV	77627140
1095515	3745	1994-05-10	VYDAJ	PREVOD NA UCET	841	50123	 	UV	77627140
1095516	3745	1994-06-10	VYDAJ	PREVOD NA UCET	841	58969	 	UV	77627140
1095517	3745	1994-07-10	VYDAJ	PREVOD NA UCET	841	51578	 	UV	77627140
1095518	3745	1994-08-10	VYDAJ	PREVOD NA UCET	841	56311	 	UV	77627140
1095519	3745	1994-09-10	VYDAJ	PREVOD NA UCET	841	51113	 	UV	77627140
1095520	3745	1994-10-10	VYDAJ	PREVOD NA UCET	841	38297	 	UV	77627140
1095521	3745	1994-11-10	VYDAJ	PREVOD NA UCET	841	30474	 	UV	77627140
1095522	3745	1994-12-10	VYDAJ	PREVOD NA UCET	841	61864	 	UV	77627140
1095523	3745	1995-01-10	VYDAJ	PREVOD NA UCET	841	39209	 	UV	77627140
1095524	3745	1995-02-10	VYDAJ	PREVOD NA UCET	841	41575	 	UV	77627140
1095525	3745	1995-03-10	VYDAJ	PREVOD NA UCET	841	55867	 	UV	77627140
1095526	3745	1995-04-10	VYDAJ	PREVOD NA UCET	841	64716	 	UV	77627140
1095527	3745	1995-05-10	VYDAJ	PREVOD NA UCET	841	68398	 	UV	77627140
1095528	3745	1995-06-10	VYDAJ	PREVOD NA UCET	841	84123	 	UV	77627140
1095529	3745	1995-07-10	VYDAJ	PREVOD NA UCET	841	74664	 	UV	77627140
1095530	3745	1995-08-10	VYDAJ	PREVOD NA UCET	841	69787	 	UV	77627140
1095531	3745	1995-09-10	VYDAJ	PREVOD NA UCET	841	72785	 	UV	77627140
1095532	3745	1995-10-10	VYDAJ	PREVOD NA UCET	841	73793	 	UV	77627140
1095533	3745	1995-11-10	VYDAJ	PREVOD NA UCET	841	71199	 	UV	77627140
1095534	3745	1995-12-10	VYDAJ	PREVOD NA UCET	841	74482	 	UV	77627140
1095535	3745	1996-01-10	VYDAJ	PREVOD NA UCET	841	51371	 	UV	77627140
1095536	3745	1996-02-10	VYDAJ	PREVOD NA UCET	841	48785	 	UV	77627140
1095537	3745	1996-03-10	VYDAJ	PREVOD NA UCET	841	60803	 	UV	77627140
1095538	3745	1996-04-10	VYDAJ	PREVOD NA UCET	841	65561	 	UV	77627140
1095539	3745	1996-05-10	VYDAJ	PREVOD NA UCET	841	63949	 	UV	77627140
1095540	3745	1996-06-10	VYDAJ	PREVOD NA UCET	841	66003	 	UV	77627140
1095541	3745	1996-07-10	VYDAJ	PREVOD NA UCET	841	61372	 	UV	77627140
1095542	3745	1996-08-10	VYDAJ	PREVOD NA UCET	841	70876	 	UV	77627140
1095543	3745	1996-09-10	VYDAJ	PREVOD NA UCET	841	69174	 	UV	77627140
1095544	3745	1996-10-10	VYDAJ	PREVOD NA UCET	841	60460	 	UV	77627140
1095545	3745	1996-11-10	VYDAJ	PREVOD NA UCET	841	53506	 	UV	77627140
1095546	3745	1996-12-10	VYDAJ	PREVOD NA UCET	841	80981	 	UV	77627140
1095547	3745	1997-01-10	VYDAJ	PREVOD NA UCET	841	65353	 	UV	77627140
1095548	3745	1997-02-10	VYDAJ	PREVOD NA UCET	841	45322	 	UV	77627140
1095549	3745	1997-03-10	VYDAJ	PREVOD NA UCET	841	69349	 	UV	77627140
1095550	3745	1997-04-10	VYDAJ	PREVOD NA UCET	841	82253	 	UV	77627140
1095551	3745	1997-05-10	VYDAJ	PREVOD NA UCET	841	79802	 	UV	77627140
1095552	3745	1997-06-10	VYDAJ	PREVOD NA UCET	841	66575	 	UV	77627140
1095553	3745	1997-07-10	VYDAJ	PREVOD NA UCET	841	72265	 	UV	77627140
1095554	3745	1997-08-10	VYDAJ	PREVOD NA UCET	841	81065	 	UV	77627140
1095555	3745	1997-09-10	VYDAJ	PREVOD NA UCET	841	73596	 	UV	77627140
1095556	3745	1997-10-10	VYDAJ	PREVOD NA UCET	841	71408	 	UV	77627140
1095557	3745	1997-11-10	VYDAJ	PREVOD NA UCET	841	64305	 	UV	77627140
1095558	3745	1997-12-10	VYDAJ	PREVOD NA UCET	841	79556	 	UV	77627140
1095559	3745	1998-01-10	VYDAJ	PREVOD NA UCET	841	95958	 	UV	77627140
1095560	3745	1998-02-10	VYDAJ	PREVOD NA UCET	841	82782	 	UV	77627140
1095561	3745	1998-03-10	VYDAJ	PREVOD NA UCET	841	73578	 	UV	77627140
1095562	3745	1998-04-10	VYDAJ	PREVOD NA UCET	841	87149	 	UV	77627140
1095563	3745	1998-05-10	VYDAJ	PREVOD NA UCET	841	104413	 	UV	77627140
1095564	3745	1998-06-10	VYDAJ	PREVOD NA UCET	841	99388	 	UV	77627140
1095565	3745	1998-07-10	VYDAJ	PREVOD NA UCET	841	83334	 	UV	77627140
1095566	3745	1998-08-10	VYDAJ	PREVOD NA UCET	841	90998	 	UV	77627140
1095567	3745	1998-09-10	VYDAJ	PREVOD NA UCET	841	93880	 	UV	77627140
1095568	3745	1998-10-10	VYDAJ	PREVOD NA UCET	841	95566	 	UV	77627140
1095569	3745	1998-11-10	VYDAJ	PREVOD NA UCET	841	97464	 	UV	77627140
1095570	3745	1998-12-10	VYDAJ	PREVOD NA UCET	841	83980	 	UV	77627140
1095586	3745	1994-09-22	VYBER	VYBER	20024	31089	\N	\N	\N
1095587	3745	1994-03-20	VYBER	VYBER	7040	31286	\N	\N	\N
1095588	3745	1994-10-28	VYBER	VYBER	13207	26590	\N	\N	\N
1095589	3745	1994-08-23	VYBER	VYBER	14433	41878	\N	\N	\N
1095590	3745	1994-06-23	VYBER	VYBER	8424	45145	\N	\N	\N
1095592	3745	1994-04-18	VYBER	VYBER	3344	40319	\N	\N	\N
1095593	3745	1995-11-14	VYBER	VYBER	16713	54486	\N	\N	\N
1095594	3745	1996-07-07	VYBER	VYBER	3988	73682	\N	\N	\N
1095595	3745	1996-10-18	VYBER	VYBER	22085	39375	\N	\N	\N
1095596	3745	1996-09-23	VYBER	VYBER	7406	55568	\N	\N	\N
1095597	3745	1996-04-14	VYBER	VYBER	13868	51693	\N	\N	\N
1095598	3745	1996-05-22	VYBER	VYBER	19625	38724	\N	\N	\N
1095599	3745	1996-07-31	VYBER	VYBER	2373	56942	\N	\N	\N
1095600	3745	1997-01-19	VYBER	VYBER	4992	54861	\N	\N	\N
1095601	3745	1997-05-19	VYBER	VYBER	24201	39263	\N	\N	\N
1095602	3745	1997-09-17	VYBER	VYBER	4415	57220	\N	\N	\N
1095603	3745	1997-08-19	VYBER	VYBER	12866	59385	\N	\N	\N
1095604	3745	1997-09-16	VYBER	VYBER	8114	61635	\N	\N	\N
1095605	3745	1997-01-08	VYBER	VYBER	8561	85763	\N	\N	\N
1095606	3745	1997-10-29	VYBER	VYBER	22074	50086	\N	\N	\N
1095607	3745	1997-09-13	VYBER	VYBER	10547	69749	\N	\N	\N
1095608	3745	1997-08-14	VYBER	VYBER	8014	72251	\N	\N	\N
1095609	3745	1997-10-20	VYBER	VYBER	10648	72160	\N	\N	\N
1095610	3745	1997-05-14	VYBER	VYBER	21738	58064	\N	\N	\N
1095611	3745	1998-06-12	VYBER	VYBER	2106	97282	\N	\N	\N
1095612	3745	1998-03-12	VYBER	VYBER	8656	81122	\N	\N	\N
1095613	3745	1998-09-05	VYBER	VYBER	10180	72132	\N	\N	\N
1095614	3745	1998-03-14	VYBER	VYBER	24558	56564	\N	\N	\N
1095615	3745	1998-11-06	VYBER	VYBER	10373	109774	\N	\N	\N
1095616	3745	1998-01-11	VYBER	VYBER	4925	84133	\N	\N	\N
1095617	3745	1998-11-26	VYBER	VYBER	9329	88135	\N	\N	\N
1095618	3745	1998-10-27	VYBER	VYBER	12429	83137	\N	\N	\N
1095619	3745	1998-09-16	VYBER	VYBER	21980	71900	\N	\N	\N
1095620	3745	1998-12-26	VYBER	VYBER	23335	55245	\N	\N	\N
1095621	3745	1998-07-24	VYBER	VYBER	21593	52741	\N	\N	\N
1095626	3745	1997-06-29	VYDAJ	VYBER	14100	58075	\N	\N	\N
1095632	3745	1997-01-21	VYDAJ	VYBER	21600	33261	\N	\N	\N
1095633	3745	1998-01-19	VYDAJ	VYBER	20400	63733	\N	\N	\N
1095634	3745	1993-12-16	VYDAJ	VYBER	4500	68532	\N	\N	\N
1095635	3745	1994-12-11	VYDAJ	VYBER	3900	57964	\N	\N	\N
1095636	3745	1995-12-25	VYDAJ	VYBER	8100	50382	\N	\N	\N
1095637	3745	1996-12-01	VYDAJ	VYBER	2400	53904	\N	\N	\N
1095638	3745	1997-12-09	VYDAJ	VYBER KARTOU	3300	80397	\N	\N	0
1095639	3745	1998-12-20	VYDAJ	VYBER	5400	78580	\N	\N	\N
1095646	3745	1994-01-10	VYDAJ	VYBER	7800	43702	\N	\N	\N
1095647	3745	1994-01-05	VYDAJ	VYBER	6900	36713	\N	\N	\N
1095648	3745	1994-01-04	VYDAJ	VYBER	4200	43613	\N	\N	\N
1095649	3745	1994-01-12	VYDAJ	VYBER	6900	33261	\N	\N	\N
1095650	3745	1994-01-11	VYDAJ	VYBER	2700	40161	\N	\N	\N
1095651	3745	1994-01-26	VYDAJ	VYBER	3000	30261	\N	\N	\N
1095653	3745	1995-01-16	VYDAJ	VYBER	2100	21209	\N	\N	\N
1095655	3745	1995-01-07	VYDAJ	VYBER	5700	64719	\N	\N	\N
1095656	3745	1995-01-09	VYDAJ	VYBER	5700	40050	\N	\N	\N
1095657	3745	1995-01-08	VYDAJ	VYBER	7500	45750	\N	\N	\N
1095658	3745	1996-01-05	VYDAJ	VYBER	3300	40423	\N	\N	\N
1095659	3745	1996-01-04	VYDAJ	VYBER	6900	43723	\N	\N	\N
1095660	3745	1996-01-28	VYDAJ	VYBER	1500	34671	\N	\N	\N
1095661	3745	1996-01-21	VYDAJ	VYBER	4500	36171	\N	\N	\N
1095662	3745	1996-01-09	VYDAJ	VYBER	3000	52212	\N	\N	\N
1095663	3745	1996-01-12	VYDAJ	VYBER	8700	42671	\N	\N	\N
1095664	3745	1997-01-26	VYDAJ	VYBER KARTOU	2100	31161	\N	\N	0
1095666	3745	1997-01-11	VYDAJ	VYBER KARTOU	3600	61753	\N	\N	0
1095667	3745	1997-01-10	VYDAJ	VYBER KARTOU	3300	66194	\N	\N	0
1095668	3745	1997-01-05	VYDAJ	VYBER KARTOU	3000	68066	\N	\N	0
1095669	3745	1997-01-09	VYDAJ	VYBER	4800	69494	\N	\N	\N
1095670	3745	1998-01-24	VYDAJ	VYBER	7800	55933	\N	\N	\N
1095671	3745	1998-01-10	VYDAJ	VYBER KARTOU	1800	94158	\N	\N	0
1095672	3745	1998-01-03	VYDAJ	VYBER	7500	83910	\N	\N	\N
1095673	3745	1998-01-26	VYDAJ	VYBER	7800	48133	\N	\N	\N
1095674	3745	1998-01-10	VYDAJ	VYBER	5100	89058	\N	\N	\N
1095675	3745	1998-01-08	VYDAJ	VYBER	5100	105068	\N	\N	\N
1095678	3745	1994-05-21	VYDAJ	VYBER	14700	35423	\N	\N	\N
1095679	3745	1994-09-30	VYDAJ	VYBER	6000	24349	\N	\N	\N
1095680	3745	1994-11-07	VYDAJ	VYBER	10200	42784	\N	\N	\N
1095681	3745	1994-06-18	VYDAJ	VYBER	5400	53569	\N	\N	\N
1095683	3745	1994-02-16	VYDAJ	VYBER	14700	26062	\N	\N	\N
1095684	3745	1995-01-14	VYDAJ	VYBER	12900	23309	\N	\N	\N
1095685	3745	1995-07-03	VYDAJ	VYBER	4800	60716	\N	\N	\N
1095686	3745	1995-01-12	VYDAJ	VYBER	3000	36209	\N	\N	\N
1095687	3745	1995-07-25	VYDAJ	VYBER	4800	69864	\N	\N	\N
1095688	3745	1996-09-23	VYDAJ	VYBER	9300	46268	\N	\N	\N
1095689	3745	1996-09-09	VYDAJ	VYBER	7500	70015	\N	\N	\N
1095690	3745	1996-01-16	VYDAJ	VYBER	7800	34871	\N	\N	\N
1095691	3745	1996-06-11	VYDAJ	VYBER	5700	60303	\N	\N	\N
1095692	3745	1996-06-25	VYDAJ	VYBER	9300	51203	\N	\N	\N
1095693	3745	1997-05-17	VYDAJ	VYBER KARTOU	1800	63464	\N	\N	0
1095694	3745	1997-07-11	VYDAJ	VYBER	11100	61165	\N	\N	\N
1095695	3745	1997-05-04	VYDAJ	VYBER	12000	65854	\N	\N	\N
1095696	3745	1998-02-17	VYDAJ	VYBER	10200	66582	\N	\N	\N
1095697	3745	1998-02-14	VYDAJ	VYBER	6000	76782	\N	\N	\N
1095698	3745	1998-04-02	VYDAJ	VYBER	6000	50801	\N	\N	\N
1095699	3745	1998-02-23	VYDAJ	VYBER	7200	59382	\N	\N	\N
1095700	3745	1998-08-22	VYDAJ	VYBER	9000	81998	\N	\N	\N
1095701	3745	1998-07-23	VYDAJ	VYBER	9000	74334	\N	\N	\N
1095714	3745	1993-12-31	VYDAJ	VYBER	15	68813	SLUZBY	\N	\N
1095715	3745	1994-01-31	VYDAJ	VYBER	15	30414	SLUZBY	\N	\N
1095716	3745	1994-02-28	VYDAJ	VYBER	15	26178	SLUZBY	\N	\N
1095717	3745	1994-03-31	VYDAJ	VYBER	15	31415	SLUZBY	\N	\N
1095718	3745	1994-04-30	VYDAJ	VYBER	15	40475	SLUZBY	\N	\N
1095719	3745	1994-05-31	VYDAJ	VYBER	15	31892	SLUZBY	\N	\N
1095720	3745	1994-06-30	VYDAJ	VYBER	15	37630	SLUZBY	\N	\N
1095721	3745	1994-07-31	VYDAJ	VYBER	15	42363	SLUZBY	\N	\N
1095722	3745	1994-08-31	VYDAJ	VYBER	15	37165	SLUZBY	\N	\N
1095723	3745	1994-09-30	VYDAJ	VYBER	15	30349	SLUZBY	\N	\N
1095724	3745	1994-10-31	VYDAJ	VYBER	15	26726	SLUZBY	\N	\N
1095725	3745	1994-11-30	VYDAJ	VYBER	15	34787	SLUZBY	\N	\N
1095726	3745	1994-12-31	VYDAJ	VYBER	15	44161	SLUZBY	\N	\N
1095727	3745	1995-01-31	VYDAJ	VYBER	15	27627	SLUZBY	\N	\N
1095728	3745	1995-02-28	VYDAJ	VYBER	15	41919	SLUZBY	\N	\N
1095729	3745	1995-03-31	VYDAJ	VYBER	15	50768	SLUZBY	\N	\N
1095730	3745	1995-04-30	VYDAJ	VYBER	15	54450	SLUZBY	\N	\N
1095731	3745	1995-05-31	VYDAJ	VYBER	15	57046	SLUZBY	\N	\N
1095732	3745	1995-06-30	VYDAJ	VYBER	15	65516	SLUZBY	\N	\N
1095733	3745	1995-07-31	VYDAJ	VYBER	15	55839	SLUZBY	\N	\N
1095734	3745	1995-08-31	VYDAJ	VYBER	15	58837	SLUZBY	\N	\N
1095735	3745	1995-09-30	VYDAJ	VYBER	15	59845	SLUZBY	\N	\N
1095736	3745	1995-10-31	VYDAJ	VYBER	15	57251	SLUZBY	\N	\N
1095737	3745	1995-11-30	VYDAJ	VYBER	15	47405	SLUZBY	\N	\N
1095738	3745	1995-12-31	VYDAJ	VYBER	15	50623	SLUZBY	\N	\N
1095739	3745	1996-01-31	VYDAJ	VYBER	15	34837	SLUZBY	\N	\N
1095740	3745	1996-02-29	VYDAJ	VYBER	15	46855	SLUZBY	\N	\N
1095741	3745	1996-03-31	VYDAJ	VYBER	15	51613	SLUZBY	\N	\N
1095742	3745	1996-04-30	VYDAJ	VYBER	15	50001	SLUZBY	\N	\N
1095743	3745	1996-05-31	VYDAJ	VYBER	15	38926	SLUZBY	\N	\N
1095744	3745	1996-06-30	VYDAJ	VYBER	15	51412	SLUZBY	\N	\N
1095745	3745	1996-07-31	VYDAJ	VYBER	15	56928	SLUZBY	\N	\N
1095746	3745	1996-08-31	VYDAJ	VYBER	15	62726	SLUZBY	\N	\N
1095747	3745	1996-09-30	VYDAJ	VYBER	15	46512	SLUZBY	\N	\N
1095748	3745	1996-10-31	VYDAJ	VYBER	15	39558	SLUZBY	\N	\N
1095749	3745	1996-11-30	VYDAJ	VYBER	15	56304	SLUZBY	\N	\N
1095750	3745	1996-12-31	VYDAJ	VYBER	15	71066	SLUZBY	\N	\N
1095751	3745	1997-01-31	VYDAJ	VYBER	15	31374	SLUZBY	\N	\N
1095752	3745	1997-02-28	VYDAJ	VYBER	15	55401	SLUZBY	\N	\N
1095753	3745	1997-03-31	VYDAJ	VYBER	15	68305	SLUZBY	\N	\N
1095754	3745	1997-04-30	VYDAJ	VYBER	15	77854	SLUZBY	\N	\N
1095755	3745	1997-05-31	VYDAJ	VYBER	15	39498	SLUZBY	\N	\N
1095756	3745	1997-06-30	VYDAJ	VYBER	15	58317	SLUZBY	\N	\N
1095757	3745	1997-07-31	VYDAJ	VYBER	15	67117	SLUZBY	\N	\N
1095758	3745	1997-08-31	VYDAJ	VYBER	15	59648	SLUZBY	\N	\N
1095759	3745	1997-09-30	VYDAJ	VYBER	15	57460	SLUZBY	\N	\N
1095760	3745	1997-10-31	VYDAJ	VYBER	15	50357	SLUZBY	\N	\N
1095761	3745	1997-11-30	VYDAJ	VYBER	15	78279	SLUZBY	\N	\N
1095762	3745	1997-12-31	VYDAJ	VYBER	15	91410	SLUZBY	\N	\N
1095763	3745	1998-01-31	VYDAJ	VYBER	15	48434	SLUZBY	\N	\N
1095764	3745	1998-02-28	VYDAJ	VYBER	15	59630	SLUZBY	\N	\N
1095765	3745	1998-03-31	VYDAJ	VYBER	15	56801	SLUZBY	\N	\N
1095766	3745	1998-04-30	VYDAJ	VYBER	15	87465	SLUZBY	\N	\N
1095767	3745	1998-05-31	VYDAJ	VYBER	15	104811	SLUZBY	\N	\N
1095768	3745	1998-06-30	VYDAJ	VYBER	15	97686	SLUZBY	\N	\N
1095769	3745	1998-07-31	VYDAJ	VYBER	15	53050	SLUZBY	\N	\N
1095770	3745	1998-08-31	VYDAJ	VYBER	15	82312	SLUZBY	\N	\N
1095771	3745	1998-09-30	VYDAJ	VYBER	15	72218	SLUZBY	\N	\N
1095772	3745	1998-10-31	VYDAJ	VYBER	15	83489	SLUZBY	\N	\N
1095773	3745	1998-11-30	VYDAJ	VYBER	15	88503	SLUZBY	\N	\N
1095774	3745	1993-09-03	VYDAJ	VYBER	3200	24053	\N	\N	\N
1095775	3745	1993-10-03	VYDAJ	VYBER	13800	36705	\N	\N	\N
1095776	3745	1993-11-02	VYDAJ	VYBER	21100	42116	\N	\N	\N
1095777	3745	1993-12-02	VYDAJ	VYBER	22700	45955	\N	\N	\N
1095778	3745	1994-01-01	VYDAJ	VYBER	21000	47813	\N	\N	\N
1095779	3745	1994-01-31	VYDAJ	VYBER	3600	26814	\N	\N	\N
1095780	3745	1994-03-02	VYDAJ	VYBER	1800	24378	\N	\N	\N
1095781	3745	1994-04-01	VYDAJ	VYBER	1700	29715	\N	\N	\N
1095782	3745	1994-05-01	VYDAJ	VYBER	4300	36175	\N	\N	\N
1095783	3745	1994-05-31	VYDAJ	VYBER	3700	31907	\N	\N	\N
1095784	3745	1994-06-30	VYDAJ	VYBER	7700	37645	\N	\N	\N
1095785	3745	1994-07-30	VYDAJ	VYBER	9400	42178	\N	\N	\N
1095786	3745	1994-08-29	VYDAJ	VYBER	4900	36978	\N	\N	\N
1095787	3745	1994-09-28	VYDAJ	VYBER	900	30189	\N	\N	\N
1095788	3745	1994-10-28	PRIJEM	VKLAD	1500	39797	\N	\N	\N
1095789	3745	1994-11-27	PRIJEM	VKLAD	4200	34674	\N	\N	\N
1095790	3745	1994-12-27	VYDAJ	VYBER	14000	43964	\N	\N	\N
1095791	3745	1995-01-26	PRIJEM	VKLAD	6300	27509	\N	\N	\N
1095792	3745	1995-02-25	PRIJEM	VKLAD	200	41775	\N	\N	\N
1095793	3745	1995-03-27	VYDAJ	VYBER	5300	50567	\N	\N	\N
1095794	3745	1995-04-26	VYDAJ	VYBER	10500	54216	\N	\N	\N
1095795	3745	1995-05-26	VYDAJ	VYBER	11600	56798	\N	\N	\N
1095796	3745	1995-06-25	VYDAJ	VYBER	18900	65223	\N	\N	\N
1095797	3745	1995-07-25	VYDAJ	VYBER	14300	55564	\N	\N	\N
1095798	3745	1995-08-24	VYDAJ	VYBER	11200	58587	\N	\N	\N
1095799	3745	1995-09-23	VYDAJ	VYBER	13200	59585	\N	\N	\N
1095800	3745	1995-10-23	VYDAJ	VYBER	16800	56993	\N	\N	\N
1095801	3745	1995-11-22	VYDAJ	VYBER	7300	47186	\N	\N	\N
1095802	3745	1995-12-22	VYDAJ	VYBER	16000	58482	\N	\N	\N
1095803	3745	1996-01-21	PRIJEM	VKLAD	5800	40671	\N	\N	\N
1095804	3745	1996-02-20	VYDAJ	VYBER	2100	46685	\N	\N	\N
1095805	3745	1996-03-21	VYDAJ	VYBER	9400	51403	\N	\N	\N
1095806	3745	1996-04-20	VYDAJ	VYBER	1900	49793	\N	\N	\N
1095807	3745	1996-05-20	VYDAJ	VYBER	5600	58349	\N	\N	\N
1095808	3745	1996-06-19	PRIJEM	VKLAD	200	60503	\N	\N	\N
1095809	3745	1996-07-19	VYDAJ	VYBER	2300	59072	\N	\N	\N
1095810	3745	1996-08-18	VYDAJ	VYBER	8400	62476	\N	\N	\N
1095811	3745	1996-09-17	VYDAJ	VYBER	6200	62974	\N	\N	\N
1095812	3745	1996-10-17	PRIJEM	VKLAD	1000	61460	\N	\N	\N
1095813	3745	1996-11-16	PRIJEM	VKLAD	2600	56106	\N	\N	\N
1095814	3745	1996-12-16	VYDAJ	VYBER	10200	70781	\N	\N	\N
1095815	3745	1997-01-15	VYDAJ	VYBER KARTOU	1900	59853	\N	\N	0
1095816	3745	1997-02-14	PRIJEM	VKLAD	9900	55222	\N	\N	\N
1095817	3745	1997-03-16	VYDAJ	VYBER KARTOU	1300	68049	\N	\N	0
1095818	3745	1997-04-15	VYDAJ	VYBER	4700	77553	\N	\N	\N
1095819	3745	1997-05-15	PRIJEM	VKLAD	7200	65264	\N	\N	\N
1095820	3745	1997-06-14	PRIJEM	VKLAD	5600	72175	\N	\N	\N
1095821	3745	1997-07-14	PRIJEM	VKLAD	5700	66865	\N	\N	\N
1095822	3745	1997-08-13	VYDAJ	VYBER KARTOU	800	80265	\N	\N	0
1095823	3745	1997-09-12	PRIJEM	VKLAD	6700	80296	\N	\N	\N
1095824	3745	1997-10-12	PRIJEM	VKLAD	11400	82808	\N	\N	\N
1095825	3745	1997-11-11	PRIJEM	VKLAD	13700	78005	\N	\N	\N
1095826	3745	1997-12-06	VYDAJ	VYBER	22500	95166	\N	\N	\N
1095827	3745	1997-12-11	PRIJEM	VKLAD	11500	91056	\N	\N	\N
1095828	3745	1998-01-10	PRIJEM	VKLAD	3200	96799	\N	\N	\N
1095829	3745	1998-02-09	PRIJEM	VKLAD	20400	83623	\N	\N	\N
1095830	3745	1998-03-11	PRIJEM	VKLAD	16200	89778	\N	\N	\N
1095831	3745	1998-04-10	PRIJEM	VKLAD	22400	87990	\N	\N	\N
1095832	3745	1998-05-10	PRIJEM	VKLAD	3000	105254	\N	\N	\N
1095833	3745	1998-06-06	VYDAJ	VYBER	41100	103098	\N	\N	\N
1095834	3745	1998-06-09	PRIJEM	VKLAD	8600	100229	\N	\N	\N
1095835	3745	1998-07-06	VYDAJ	VYBER	60800	63144	\N	\N	\N
1095836	3745	1998-07-09	PRIJEM	VKLAD	32500	84175	\N	\N	\N
1095837	3745	1998-08-08	PRIJEM	VKLAD	24000	103308	\N	\N	\N
1095838	3745	1998-09-07	PRIJEM	VKLAD	7800	106190	\N	\N	\N
1095839	3745	1998-10-07	PRIJEM	VKLAD	9400	107876	\N	\N	\N
1095840	3745	1998-11-06	PRIJEM	VKLAD	10400	93889	\N	\N	\N
1095841	3745	1998-12-06	VYDAJ	VYBER	58300	96290	\N	\N	\N
1095842	3745	1998-12-06	PRIJEM	VKLAD	26700	154590	\N	\N	\N
1095908	3746	1996-06-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1095914	3746	1996-06-06	PRIJEM	VKLAD	28538	29538	\N	\N	\N
1095915	3746	1996-07-06	PRIJEM	VKLAD	19025	46966	\N	\N	\N
1095916	3746	1996-08-06	PRIJEM	VKLAD	19025	54475	\N	\N	\N
1095917	3746	1996-09-06	PRIJEM	VKLAD	19025	60521	\N	\N	\N
1095918	3746	1996-10-06	PRIJEM	VKLAD	19025	65494	\N	\N	\N
1095919	3746	1996-11-06	PRIJEM	VKLAD	19025	65816	\N	\N	\N
1095920	3746	1996-12-06	PRIJEM	VKLAD	28538	77671	\N	\N	\N
1095921	3746	1997-01-06	PRIJEM	VKLAD	19025	75980	\N	\N	\N
1095922	3746	1997-02-06	PRIJEM	VKLAD	19025	72903	\N	\N	\N
1095923	3746	1997-03-06	PRIJEM	VKLAD	19025	75068	\N	\N	\N
1095924	3746	1997-04-06	PRIJEM	VKLAD	19025	77979	\N	\N	\N
1095925	3746	1997-05-06	PRIJEM	VKLAD	19025	73993	\N	\N	\N
1095926	3746	1997-06-06	PRIJEM	VKLAD	28538	76073	\N	\N	\N
1095927	3746	1997-07-06	PRIJEM	VKLAD	19025	79662	\N	\N	\N
1095928	3746	1997-08-06	PRIJEM	VKLAD	19025	83852	\N	\N	\N
1095929	3746	1997-09-06	PRIJEM	VKLAD	19025	84156	\N	\N	\N
1095930	3746	1997-10-06	PRIJEM	VKLAD	19025	83860	\N	\N	\N
1095931	3746	1997-11-06	PRIJEM	VKLAD	19025	88265	\N	\N	\N
1095932	3746	1997-12-06	PRIJEM	VKLAD	28538	99515	\N	\N	\N
1095933	3746	1998-01-06	PRIJEM	VKLAD	19025	90683	\N	\N	\N
1095934	3746	1998-02-06	PRIJEM	VKLAD	19025	86450	\N	\N	\N
1095935	3746	1998-03-06	PRIJEM	VKLAD	19025	93665	\N	\N	\N
1095936	3746	1998-04-06	PRIJEM	VKLAD	19025	96658	\N	\N	\N
1095937	3746	1998-05-06	PRIJEM	VKLAD	19025	96410	\N	\N	\N
1095938	3746	1998-06-06	PRIJEM	VKLAD	28538	106878	\N	\N	\N
1095939	3746	1998-07-06	PRIJEM	VKLAD	19025	84432	\N	\N	\N
1095940	3746	1998-08-06	PRIJEM	VKLAD	19025	91837	\N	\N	\N
1095941	3746	1998-09-06	PRIJEM	VKLAD	19025	91022	\N	\N	\N
1095942	3746	1998-10-06	PRIJEM	VKLAD	19025	94070	\N	\N	\N
1095943	3746	1998-11-06	PRIJEM	VKLAD	19025	96843	\N	\N	\N
1095944	3746	1998-12-06	PRIJEM	VKLAD	28538	108608	\N	\N	\N
1095954	3746	1996-10-12	VYDAJ	PREVOD NA UCET	4353	55065	SIPO	KL	13736939
1095955	3746	1996-11-12	VYDAJ	PREVOD NA UCET	4353	60907	SIPO	KL	13736939
1095956	3746	1996-12-12	VYDAJ	PREVOD NA UCET	4353	72762	SIPO	KL	13736939
1095957	3746	1997-01-12	VYDAJ	PREVOD NA UCET	4353	60831	SIPO	KL	13736939
1095958	3746	1997-02-12	VYDAJ	PREVOD NA UCET	4353	67994	SIPO	KL	13736939
1095959	3746	1997-03-12	VYDAJ	PREVOD NA UCET	4353	69079	SIPO	KL	13736939
1095960	3746	1997-04-12	VYDAJ	PREVOD NA UCET	4353	73070	SIPO	KL	13736939
1095961	3746	1997-05-12	VYDAJ	PREVOD NA UCET	4353	69084	SIPO	KL	13736939
1095962	3746	1997-06-12	VYDAJ	PREVOD NA UCET	4353	71164	SIPO	KL	13736939
1095963	3746	1997-07-12	VYDAJ	PREVOD NA UCET	4353	74753	SIPO	KL	13736939
1095964	3746	1997-08-12	VYDAJ	PREVOD NA UCET	4353	78943	SIPO	KL	13736939
1095965	3746	1997-09-12	VYDAJ	PREVOD NA UCET	4353	79247	SIPO	KL	13736939
1095966	3746	1997-10-12	VYDAJ	PREVOD NA UCET	4353	78951	SIPO	KL	13736939
1095967	3746	1997-11-12	VYDAJ	PREVOD NA UCET	4353	83356	SIPO	KL	13736939
1095968	3746	1997-12-12	VYDAJ	PREVOD NA UCET	4353	90926	SIPO	KL	13736939
1095969	3746	1998-01-12	VYDAJ	PREVOD NA UCET	4353	85774	SIPO	KL	13736939
1095970	3746	1998-02-12	VYDAJ	PREVOD NA UCET	4353	81541	SIPO	KL	13736939
1095971	3746	1998-03-12	VYDAJ	PREVOD NA UCET	4353	83116	SIPO	KL	13736939
1095972	3746	1998-04-12	VYDAJ	PREVOD NA UCET	4353	91749	SIPO	KL	13736939
1095973	3746	1998-05-12	VYDAJ	PREVOD NA UCET	4353	87301	SIPO	KL	13736939
1095974	3746	1998-06-12	VYDAJ	PREVOD NA UCET	4353	68529	SIPO	KL	13736939
1095975	3746	1998-07-12	VYDAJ	PREVOD NA UCET	4353	79523	SIPO	KL	13736939
1095976	3746	1998-08-12	VYDAJ	PREVOD NA UCET	4353	86928	SIPO	KL	13736939
1095977	3746	1998-09-12	VYDAJ	PREVOD NA UCET	4353	86113	SIPO	KL	13736939
1095978	3746	1998-10-12	VYDAJ	PREVOD NA UCET	4353	89161	SIPO	KL	13736939
1095979	3746	1998-11-12	VYDAJ	PREVOD NA UCET	4353	91934	SIPO	KL	13736939
1095980	3746	1998-12-12	VYDAJ	PREVOD NA UCET	4353	103699	SIPO	KL	13736939
1095990	3746	1996-10-11	VYDAJ	PREVOD NA UCET	556	59418	 	KL	7049614
1095991	3746	1996-11-11	VYDAJ	PREVOD NA UCET	556	65260	 	KL	7049614
1095992	3746	1996-12-11	VYDAJ	PREVOD NA UCET	556	77115	 	KL	7049614
1095993	3746	1997-01-11	VYDAJ	PREVOD NA UCET	556	65184	 	KL	7049614
1095994	3746	1997-02-11	VYDAJ	PREVOD NA UCET	556	72347	 	KL	7049614
1095995	3746	1997-03-11	VYDAJ	PREVOD NA UCET	556	73432	 	KL	7049614
1095996	3746	1997-04-11	VYDAJ	PREVOD NA UCET	556	77423	 	KL	7049614
1095997	3746	1997-05-11	VYDAJ	PREVOD NA UCET	556	73437	 	KL	7049614
1095998	3746	1997-06-11	VYDAJ	PREVOD NA UCET	556	75517	 	KL	7049614
1095999	3746	1997-07-11	VYDAJ	PREVOD NA UCET	556	79106	 	KL	7049614
1096000	3746	1997-08-11	VYDAJ	PREVOD NA UCET	556	83296	 	KL	7049614
1096001	3746	1997-09-11	VYDAJ	PREVOD NA UCET	556	83600	 	KL	7049614
1096002	3746	1997-10-11	VYDAJ	PREVOD NA UCET	556	83304	 	KL	7049614
1096003	3746	1997-11-11	VYDAJ	PREVOD NA UCET	556	87709	 	KL	7049614
1096004	3746	1997-12-11	VYDAJ	PREVOD NA UCET	556	95279	 	KL	7049614
1096005	3746	1998-01-11	VYDAJ	PREVOD NA UCET	556	90127	 	KL	7049614
1096006	3746	1998-02-11	VYDAJ	PREVOD NA UCET	556	85894	 	KL	7049614
1096007	3746	1998-03-11	VYDAJ	PREVOD NA UCET	556	87469	 	KL	7049614
1096008	3746	1998-04-11	VYDAJ	PREVOD NA UCET	556	96102	 	KL	7049614
1096009	3746	1998-05-11	VYDAJ	PREVOD NA UCET	556	91654	 	KL	7049614
1096010	3746	1998-06-11	VYDAJ	PREVOD NA UCET	556	72882	 	KL	7049614
1096011	3746	1998-07-11	VYDAJ	PREVOD NA UCET	556	83876	 	KL	7049614
1096012	3746	1998-08-11	VYDAJ	PREVOD NA UCET	556	91281	 	KL	7049614
1096013	3746	1998-09-11	VYDAJ	PREVOD NA UCET	556	90466	 	KL	7049614
1096014	3746	1998-10-11	VYDAJ	PREVOD NA UCET	556	93514	 	KL	7049614
1096015	3746	1998-11-11	VYDAJ	PREVOD NA UCET	556	96287	 	KL	7049614
1096016	3746	1998-12-11	VYDAJ	PREVOD NA UCET	556	108052	 	KL	7049614
1096054	3746	1997-06-04	VYDAJ	VYBER	9280	47535	\N	\N	\N
1096055	3746	1998-06-07	VYDAJ	VYBER	33440	73438	\N	\N	\N
1096057	3746	1997-01-08	VYDAJ	VYBER	10240	65740	\N	\N	\N
1096058	3746	1998-01-16	VYDAJ	VYBER	11840	73934	\N	\N	\N
1096059	3746	1996-12-15	VYDAJ	VYBER	3680	69082	\N	\N	\N
1096060	3746	1997-12-08	VYDAJ	VYBER	3680	95835	\N	\N	\N
1096061	3746	1998-12-02	VYDAJ	VYBER	4000	80070	\N	\N	\N
1096063	3746	1996-11-14	VYDAJ	VYBER	5400	55507	\N	\N	\N
1096064	3746	1996-10-10	VYDAJ	VYBER	5520	59974	\N	\N	\N
1096067	3746	1997-11-26	VYDAJ	VYBER	2520	70676	\N	\N	\N
1096068	3746	1997-11-18	VYDAJ	VYBER	3960	79396	\N	\N	\N
1096069	3746	1997-04-16	VYDAJ	VYBER	2400	70670	\N	\N	\N
1096070	3746	1997-04-21	VYDAJ	VYBER	4560	66110	\N	\N	\N
1096071	3746	1997-05-30	VYDAJ	VYBER	4320	64764	\N	\N	\N
1096072	3746	1997-03-09	VYDAJ	VYBER	1080	73988	\N	\N	\N
1096073	3746	1998-08-19	VYDAJ	VYBER	840	86088	\N	\N	\N
1096074	3746	1998-10-03	VYDAJ	VYBER	1680	75045	\N	\N	\N
1096075	3746	1998-05-06	VYDAJ	VYBER	4200	92210	\N	\N	\N
1096076	3746	1998-10-27	VYDAJ	VYBER	2280	77481	\N	\N	\N
1096077	3746	1998-03-10	VYDAJ	VYBER	5640	88025	\N	\N	\N
1096088	3746	1996-10-31	VYDAJ	VYBER	15	55291	SLUZBY	\N	\N
1096089	3746	1996-11-30	VYDAJ	VYBER	15	55733	SLUZBY	\N	\N
1096090	3746	1996-12-31	VYDAJ	VYBER	15	69355	SLUZBY	\N	\N
1096091	3746	1997-01-31	VYDAJ	VYBER	15	53878	SLUZBY	\N	\N
1096092	3746	1997-02-28	VYDAJ	VYBER	15	68243	SLUZBY	\N	\N
1096093	3746	1997-03-31	VYDAJ	VYBER	15	69354	SLUZBY	\N	\N
1096094	3746	1997-04-30	VYDAJ	VYBER	15	54968	SLUZBY	\N	\N
1096095	3746	1997-05-31	VYDAJ	VYBER	15	56815	SLUZBY	\N	\N
1096096	3746	1997-06-30	VYDAJ	VYBER	15	60637	SLUZBY	\N	\N
1096097	3746	1997-07-31	VYDAJ	VYBER	15	64827	SLUZBY	\N	\N
1096098	3746	1997-08-31	VYDAJ	VYBER	15	65131	SLUZBY	\N	\N
1096099	3746	1997-09-30	VYDAJ	VYBER	15	64835	SLUZBY	\N	\N
1096100	3746	1997-10-31	VYDAJ	VYBER	15	69240	SLUZBY	\N	\N
1096101	3746	1997-11-30	VYDAJ	VYBER	15	70977	SLUZBY	\N	\N
1096102	3746	1997-12-31	VYDAJ	VYBER	15	71658	SLUZBY	\N	\N
1096103	3746	1998-01-31	VYDAJ	VYBER	15	67425	SLUZBY	\N	\N
1096104	3746	1998-02-28	VYDAJ	VYBER	15	74640	SLUZBY	\N	\N
1096105	3746	1998-03-31	VYDAJ	VYBER	15	77633	SLUZBY	\N	\N
1096106	3746	1998-04-30	VYDAJ	VYBER	15	77385	SLUZBY	\N	\N
1096107	3746	1998-05-31	VYDAJ	VYBER	15	78340	SLUZBY	\N	\N
1096108	3746	1998-06-30	VYDAJ	VYBER	15	65407	SLUZBY	\N	\N
1096109	3746	1998-07-31	VYDAJ	VYBER	15	72812	SLUZBY	\N	\N
1096110	3746	1998-08-31	VYDAJ	VYBER	15	71997	SLUZBY	\N	\N
1096111	3746	1998-09-30	VYDAJ	VYBER	15	76725	SLUZBY	\N	\N
1096112	3746	1998-10-31	VYDAJ	VYBER	15	77818	SLUZBY	\N	\N
1096113	3746	1998-11-30	VYDAJ	VYBER	15	84070	SLUZBY	\N	\N
1096114	3746	1996-07-04	VYDAJ	VYBER	1700	27941	\N	\N	\N
1096115	3746	1996-08-03	VYDAJ	VYBER	11700	35450	\N	\N	\N
1096116	3746	1996-09-02	VYDAJ	VYBER	13200	41496	\N	\N	\N
1096117	3746	1996-10-02	VYDAJ	VYBER	14300	46469	\N	\N	\N
1096118	3746	1996-11-01	VYDAJ	VYBER	8500	46791	\N	\N	\N
1096119	3746	1996-12-01	VYDAJ	VYBER	6600	49133	\N	\N	\N
1096120	3746	1996-12-31	VYDAJ	VYBER	12400	56955	\N	\N	\N
1096121	3746	1997-01-30	VYDAJ	VYBER	7200	53631	\N	\N	\N
1096122	3746	1997-03-01	VYDAJ	VYBER	12200	56043	\N	\N	\N
1096123	3746	1997-03-31	VYDAJ	VYBER	10400	58954	\N	\N	\N
1096124	3746	1997-04-30	VYDAJ	VYBER	11400	54982	\N	\N	\N
1096125	3746	1997-05-30	VYDAJ	VYBER	8200	56564	\N	\N	\N
1096126	3746	1997-06-29	VYDAJ	VYBER	10800	60364	\N	\N	\N
1096127	3746	1997-07-29	VYDAJ	VYBER	10200	64553	\N	\N	\N
1096128	3746	1997-08-28	VYDAJ	VYBER	14100	64843	\N	\N	\N
1096129	3746	1997-09-27	VYDAJ	VYBER	14700	64547	\N	\N	\N
1096130	3746	1997-10-27	VYDAJ	VYBER	10000	68951	\N	\N	\N
1096131	3746	1997-11-26	VYDAJ	VYBER	6200	73196	\N	\N	\N
1096132	3746	1997-12-26	VYDAJ	VYBER	19600	71326	\N	\N	\N
1096133	3746	1998-01-25	VYDAJ	VYBER	6800	67134	\N	\N	\N
1096134	3746	1998-02-24	VYDAJ	VYBER	7200	74341	\N	\N	\N
1096135	3746	1998-03-26	VYDAJ	VYBER	5800	77316	\N	\N	\N
1096136	3746	1998-04-25	VYDAJ	VYBER	14700	77049	\N	\N	\N
1096137	3746	1998-05-25	VYDAJ	VYBER	9300	78001	\N	\N	\N
1096138	3746	1998-06-24	VYDAJ	VYBER	3400	65129	\N	\N	\N
1096139	3746	1998-07-24	VYDAJ	VYBER	7000	72523	\N	\N	\N
1096140	3746	1998-08-23	VYDAJ	VYBER	14400	71688	\N	\N	\N
1096141	3746	1998-09-22	VYDAJ	VYBER	9700	76413	\N	\N	\N
1096142	3746	1998-10-22	VYDAJ	VYBER	9400	79761	\N	\N	\N
1096143	3746	1998-11-21	VYDAJ	VYBER	8200	83734	\N	\N	\N
1096175	3747	1994-05-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1096180	3747	1994-05-05	PRIJEM	VKLAD	8574	9674	\N	\N	\N
1096181	3747	1994-06-05	PRIJEM	VKLAD	12861	29871	\N	\N	\N
1096182	3747	1994-07-05	PRIJEM	VKLAD	8574	35817	\N	\N	\N
1096183	3747	1994-08-05	PRIJEM	VKLAD	8574	38105	\N	\N	\N
1096184	3747	1994-09-05	PRIJEM	VKLAD	8574	41703	\N	\N	\N
1096185	3747	1994-10-05	PRIJEM	VKLAD	8574	35971	\N	\N	\N
1096186	3747	1994-11-05	PRIJEM	VKLAD	8574	24426	\N	\N	\N
1096187	3747	1994-12-05	PRIJEM	VKLAD	12861	35537	\N	\N	\N
1096188	3747	1995-01-05	PRIJEM	VKLAD	8574	30411	\N	\N	\N
1096189	3747	1995-02-05	PRIJEM	VKLAD	8574	24320	\N	\N	\N
1096190	3747	1995-03-05	PRIJEM	VKLAD	8574	25663	\N	\N	\N
1096191	3747	1995-04-05	PRIJEM	VKLAD	8574	25710	\N	\N	\N
1096192	3747	1995-05-05	PRIJEM	VKLAD	8574	24057	\N	\N	\N
1096193	3747	1995-06-05	PRIJEM	VKLAD	12861	27584	\N	\N	\N
1096194	3747	1995-07-05	PRIJEM	VKLAD	8574	23936	\N	\N	\N
1096195	3747	1995-08-05	PRIJEM	VKLAD	8574	25803	\N	\N	\N
1096196	3747	1995-09-05	PRIJEM	VKLAD	8574	26654	\N	\N	\N
1096197	3747	1995-10-05	PRIJEM	VKLAD	8574	29210	\N	\N	\N
1096198	3747	1995-11-05	PRIJEM	VKLAD	8574	27611	\N	\N	\N
1096199	3747	1995-12-05	PRIJEM	VKLAD	12861	29452	\N	\N	\N
1096200	3747	1996-01-05	PRIJEM	VKLAD	8574	21612	\N	\N	\N
1096201	3747	1996-02-05	PRIJEM	VKLAD	8574	19063	\N	\N	\N
1096202	3747	1996-03-05	PRIJEM	VKLAD	8574	14453	\N	\N	\N
1096203	3747	1996-04-05	PRIJEM	VKLAD	8574	18794	\N	\N	\N
1096204	3747	1996-05-05	PRIJEM	VKLAD	8574	26192	\N	\N	\N
1096205	3747	1996-06-05	PRIJEM	VKLAD	12861	27706	\N	\N	\N
1096206	3747	1996-07-05	PRIJEM	VKLAD	8574	26637	\N	\N	\N
1096207	3747	1996-08-05	PRIJEM	VKLAD	8574	16359	\N	\N	\N
1096208	3747	1996-09-05	PRIJEM	VKLAD	8574	17753	\N	\N	\N
1096209	3747	1996-10-05	PRIJEM	VKLAD	8574	23257	\N	\N	\N
1096210	3747	1996-11-05	PRIJEM	VKLAD	8574	21855	\N	\N	\N
1096211	3747	1996-12-05	PRIJEM	VKLAD	12861	21140	\N	\N	\N
1096212	3747	1997-01-05	PRIJEM	VKLAD	8574	22036	\N	\N	\N
1096213	3747	1997-02-05	PRIJEM	VKLAD	8574	21611	\N	\N	\N
1096214	3747	1997-03-05	PRIJEM	VKLAD	8574	20512	\N	\N	\N
1096215	3747	1997-04-05	PRIJEM	VKLAD	8574	16998	\N	\N	\N
1096216	3747	1997-05-05	PRIJEM	VKLAD	8574	13669	\N	\N	\N
1096217	3747	1997-06-05	PRIJEM	VKLAD	12861	16630	\N	\N	\N
1096218	3747	1997-07-05	PRIJEM	VKLAD	8574	19515	\N	\N	\N
1096219	3747	1997-08-05	PRIJEM	VKLAD	8574	17406	\N	\N	\N
1096220	3747	1997-09-05	PRIJEM	VKLAD	8574	20297	\N	\N	\N
1096221	3747	1997-10-05	PRIJEM	VKLAD	8574	17891	\N	\N	\N
1096222	3747	1997-11-05	PRIJEM	VKLAD	8574	27201	\N	\N	\N
1096223	3747	1997-12-05	PRIJEM	VKLAD	12861	34629	\N	\N	\N
1096224	3747	1998-01-05	PRIJEM	VKLAD	8574	28568	\N	\N	\N
1096225	3747	1998-02-05	PRIJEM	VKLAD	8574	21509	\N	\N	\N
1096226	3747	1998-03-05	PRIJEM	VKLAD	8574	16812	\N	\N	\N
1096227	3747	1998-04-05	PRIJEM	VKLAD	8574	19699	\N	\N	\N
1096228	3747	1998-05-05	PRIJEM	VKLAD	8574	22598	\N	\N	\N
1096229	3747	1998-06-05	PRIJEM	VKLAD	12861	22994	\N	\N	\N
1096230	3747	1998-07-05	PRIJEM	VKLAD	8574	25903	\N	\N	\N
1096231	3747	1998-08-05	PRIJEM	VKLAD	8574	22105	\N	\N	\N
1096232	3747	1998-09-05	PRIJEM	VKLAD	8574	25014	\N	\N	\N
1096233	3747	1998-10-05	PRIJEM	VKLAD	8574	23120	\N	\N	\N
1096234	3747	1998-11-05	PRIJEM	VKLAD	8574	20831	\N	\N	\N
1096235	3747	1998-12-05	PRIJEM	VKLAD	12861	28021	\N	\N	\N
1096244	3747	1994-09-11	VYDAJ	PREVOD NA UCET	2389	28787	SIPO	IJ	82686203
1096245	3747	1994-10-11	VYDAJ	PREVOD NA UCET	2389	31755	SIPO	IJ	82686203
1096246	3747	1994-11-11	VYDAJ	PREVOD NA UCET	2389	20210	SIPO	IJ	82686203
1096247	3747	1994-12-11	VYDAJ	PREVOD NA UCET	2389	31321	SIPO	IJ	82686203
1096248	3747	1995-01-11	VYDAJ	PREVOD NA UCET	2389	22235	SIPO	IJ	82686203
1096249	3747	1995-02-11	VYDAJ	PREVOD NA UCET	2389	20104	SIPO	IJ	82686203
1096250	3747	1995-03-11	VYDAJ	PREVOD NA UCET	2389	21447	SIPO	IJ	82686203
1096251	3747	1995-04-11	VYDAJ	PREVOD NA UCET	2389	21494	SIPO	IJ	82686203
1096252	3747	1995-05-11	VYDAJ	PREVOD NA UCET	2389	19841	SIPO	IJ	82686203
1096253	3747	1995-06-11	VYDAJ	PREVOD NA UCET	2389	23368	SIPO	IJ	82686203
1096254	3747	1995-07-11	VYDAJ	PREVOD NA UCET	2389	19720	SIPO	IJ	82686203
1096255	3747	1995-08-11	VYDAJ	PREVOD NA UCET	2389	21587	SIPO	IJ	82686203
1096256	3747	1995-09-11	VYDAJ	PREVOD NA UCET	2389	22438	SIPO	IJ	82686203
1096257	3747	1995-10-11	VYDAJ	PREVOD NA UCET	2389	24994	SIPO	IJ	82686203
1096258	3747	1995-11-11	VYDAJ	PREVOD NA UCET	2389	23395	SIPO	IJ	82686203
1096259	3747	1995-12-11	VYDAJ	PREVOD NA UCET	2389	25236	SIPO	IJ	82686203
1096260	3747	1996-01-11	VYDAJ	PREVOD NA UCET	2389	8836	SIPO	IJ	82686203
1096261	3747	1996-02-11	VYDAJ	PREVOD NA UCET	2389	14847	SIPO	IJ	82686203
1096262	3747	1996-03-11	VYDAJ	PREVOD NA UCET	2389	8797	SIPO	IJ	82686203
1096263	3747	1996-04-11	VYDAJ	PREVOD NA UCET	2389	10078	SIPO	IJ	82686203
1096264	3747	1996-05-11	VYDAJ	PREVOD NA UCET	2389	21976	SIPO	IJ	82686203
1096265	3747	1996-06-11	VYDAJ	PREVOD NA UCET	2389	23490	SIPO	IJ	82686203
1096266	3747	1996-07-11	VYDAJ	PREVOD NA UCET	2389	22421	SIPO	IJ	82686203
1096267	3747	1996-08-11	VYDAJ	PREVOD NA UCET	2389	12143	SIPO	IJ	82686203
1096268	3747	1996-09-11	VYDAJ	PREVOD NA UCET	2389	13537	SIPO	IJ	82686203
1096269	3747	1996-10-11	VYDAJ	PREVOD NA UCET	2389	11841	SIPO	IJ	82686203
1096270	3747	1996-11-11	VYDAJ	PREVOD NA UCET	2389	17639	SIPO	IJ	82686203
1096271	3747	1996-12-11	VYDAJ	PREVOD NA UCET	2389	11524	SIPO	IJ	82686203
1096272	3747	1997-01-11	VYDAJ	PREVOD NA UCET	2389	8100	SIPO	IJ	82686203
1096273	3747	1997-02-11	VYDAJ	PREVOD NA UCET	2389	17395	SIPO	IJ	82686203
1096274	3747	1997-03-11	VYDAJ	PREVOD NA UCET	2389	9896	SIPO	IJ	82686203
1096275	3747	1997-04-11	VYDAJ	PREVOD NA UCET	2389	6582	SIPO	IJ	82686203
1096276	3747	1997-05-11	VYDAJ	PREVOD NA UCET	2389	9453	SIPO	IJ	82686203
1096277	3747	1997-06-11	VYDAJ	PREVOD NA UCET	2389	12414	SIPO	IJ	82686203
1096278	3747	1997-07-11	VYDAJ	PREVOD NA UCET	2389	15299	SIPO	IJ	82686203
1096279	3747	1997-08-11	VYDAJ	PREVOD NA UCET	2389	13190	SIPO	IJ	82686203
1096280	3747	1997-09-11	VYDAJ	PREVOD NA UCET	2389	16081	SIPO	IJ	82686203
1096281	3747	1997-10-11	VYDAJ	PREVOD NA UCET	2389	13675	SIPO	IJ	82686203
1096282	3747	1997-11-11	VYDAJ	PREVOD NA UCET	2389	29385	SIPO	IJ	82686203
1096283	3747	1997-12-11	VYDAJ	PREVOD NA UCET	2389	29813	SIPO	IJ	82686203
1096284	3747	1998-01-11	VYDAJ	PREVOD NA UCET	2389	24512	SIPO	IJ	82686203
1096285	3747	1998-02-11	VYDAJ	PREVOD NA UCET	2389	16393	SIPO	IJ	82686203
1096286	3747	1998-03-11	VYDAJ	PREVOD NA UCET	2389	12596	SIPO	IJ	82686203
1096287	3747	1998-04-11	VYDAJ	PREVOD NA UCET	2389	15483	SIPO	IJ	82686203
1096288	3747	1998-05-11	VYDAJ	PREVOD NA UCET	2389	18382	SIPO	IJ	82686203
1096289	3747	1998-06-11	VYDAJ	PREVOD NA UCET	2389	18778	SIPO	IJ	82686203
1096290	3747	1998-07-11	VYDAJ	PREVOD NA UCET	2389	14987	SIPO	IJ	82686203
1096291	3747	1998-08-11	VYDAJ	PREVOD NA UCET	2389	17889	SIPO	IJ	82686203
1096292	3747	1998-09-11	VYDAJ	PREVOD NA UCET	2389	15998	SIPO	IJ	82686203
1096293	3747	1998-10-11	VYDAJ	PREVOD NA UCET	2389	18904	SIPO	IJ	82686203
1096294	3747	1998-11-11	VYDAJ	PREVOD NA UCET	2389	16615	SIPO	IJ	82686203
1096295	3747	1998-12-11	VYDAJ	PREVOD NA UCET	2389	23805	SIPO	IJ	82686203
1096304	3747	1994-09-07	VYDAJ	PREVOD NA UCET	1827	39876	 	IJ	93115895
1096305	3747	1994-10-07	VYDAJ	PREVOD NA UCET	1827	34144	 	IJ	93115895
1096306	3747	1994-11-07	VYDAJ	PREVOD NA UCET	1827	22599	 	IJ	93115895
1096307	3747	1994-12-07	VYDAJ	PREVOD NA UCET	1827	33710	 	IJ	93115895
1096308	3747	1995-01-07	VYDAJ	PREVOD NA UCET	1827	28584	 	IJ	93115895
1096309	3747	1995-02-07	VYDAJ	PREVOD NA UCET	1827	22493	 	IJ	93115895
1096310	3747	1995-03-07	VYDAJ	PREVOD NA UCET	1827	23836	 	IJ	93115895
1096311	3747	1995-04-07	VYDAJ	PREVOD NA UCET	1827	23883	 	IJ	93115895
1096312	3747	1995-05-07	VYDAJ	PREVOD NA UCET	1827	22230	 	IJ	93115895
1096313	3747	1995-06-07	VYDAJ	PREVOD NA UCET	1827	25757	 	IJ	93115895
1096314	3747	1995-07-07	VYDAJ	PREVOD NA UCET	1827	22109	 	IJ	93115895
1096315	3747	1995-08-07	VYDAJ	PREVOD NA UCET	1827	23976	 	IJ	93115895
1096316	3747	1995-09-07	VYDAJ	PREVOD NA UCET	1827	24827	 	IJ	93115895
1096317	3747	1995-10-07	VYDAJ	PREVOD NA UCET	1827	27383	 	IJ	93115895
1096318	3747	1995-11-07	VYDAJ	PREVOD NA UCET	1827	25784	 	IJ	93115895
1096319	3747	1995-12-07	VYDAJ	PREVOD NA UCET	1827	27625	 	IJ	93115895
1096320	3747	1996-01-07	VYDAJ	PREVOD NA UCET	1827	19785	 	IJ	93115895
1096321	3747	1996-02-07	VYDAJ	PREVOD NA UCET	1827	17236	 	IJ	93115895
1096322	3747	1996-03-07	VYDAJ	PREVOD NA UCET	1827	11186	 	IJ	93115895
1096323	3747	1996-04-07	VYDAJ	PREVOD NA UCET	1827	12467	 	IJ	93115895
1096324	3747	1996-05-07	VYDAJ	PREVOD NA UCET	1827	24365	 	IJ	93115895
1096325	3747	1996-06-07	VYDAJ	PREVOD NA UCET	1827	25879	 	IJ	93115895
1096326	3747	1996-07-07	VYDAJ	PREVOD NA UCET	1827	24810	 	IJ	93115895
1096327	3747	1996-08-07	VYDAJ	PREVOD NA UCET	1827	14532	 	IJ	93115895
1096328	3747	1996-09-07	VYDAJ	PREVOD NA UCET	1827	15926	 	IJ	93115895
1096329	3747	1996-10-07	VYDAJ	PREVOD NA UCET	1827	14230	 	IJ	93115895
1096330	3747	1996-11-07	VYDAJ	PREVOD NA UCET	1827	20028	 	IJ	93115895
1096331	3747	1996-12-07	VYDAJ	PREVOD NA UCET	1827	19313	 	IJ	93115895
1096332	3747	1997-01-07	VYDAJ	PREVOD NA UCET	1827	13969	 	IJ	93115895
1096333	3747	1997-02-07	VYDAJ	PREVOD NA UCET	1827	19784	 	IJ	93115895
1096334	3747	1997-03-07	VYDAJ	PREVOD NA UCET	1827	18685	 	IJ	93115895
1096335	3747	1997-04-07	VYDAJ	PREVOD NA UCET	1827	15171	 	IJ	93115895
1096336	3747	1997-05-07	VYDAJ	PREVOD NA UCET	1827	11842	 	IJ	93115895
1096337	3747	1997-06-07	VYDAJ	PREVOD NA UCET	1827	14803	 	IJ	93115895
1096338	3747	1997-07-07	VYDAJ	PREVOD NA UCET	1827	17688	 	IJ	93115895
1096339	3747	1997-08-07	VYDAJ	PREVOD NA UCET	1827	15579	 	IJ	93115895
1096340	3747	1997-09-07	VYDAJ	PREVOD NA UCET	1827	18470	 	IJ	93115895
1096341	3747	1997-10-07	VYDAJ	PREVOD NA UCET	1827	16064	 	IJ	93115895
1096342	3747	1997-11-07	VYDAJ	PREVOD NA UCET	1827	25374	 	IJ	93115895
1096343	3747	1997-12-07	VYDAJ	PREVOD NA UCET	1827	32802	 	IJ	93115895
1096344	3747	1998-01-07	VYDAJ	PREVOD NA UCET	1827	26741	 	IJ	93115895
1096345	3747	1998-02-07	VYDAJ	PREVOD NA UCET	1827	19682	 	IJ	93115895
1096346	3747	1998-03-07	VYDAJ	PREVOD NA UCET	1827	14985	 	IJ	93115895
1096347	3747	1998-04-07	VYDAJ	PREVOD NA UCET	1827	17872	 	IJ	93115895
1096348	3747	1998-05-07	VYDAJ	PREVOD NA UCET	1827	20771	 	IJ	93115895
1096349	3747	1998-06-07	VYDAJ	PREVOD NA UCET	1827	21167	 	IJ	93115895
1096350	3747	1998-07-07	VYDAJ	PREVOD NA UCET	1827	17376	 	IJ	93115895
1096351	3747	1998-08-07	VYDAJ	PREVOD NA UCET	1827	20278	 	IJ	93115895
1096352	3747	1998-09-07	VYDAJ	PREVOD NA UCET	1827	23187	 	IJ	93115895
1096353	3747	1998-10-07	VYDAJ	PREVOD NA UCET	1827	21293	 	IJ	93115895
1096354	3747	1998-11-07	VYDAJ	PREVOD NA UCET	1827	19004	 	IJ	93115895
1096355	3747	1998-12-07	VYDAJ	PREVOD NA UCET	1827	26194	 	IJ	93115895
1096364	3747	1994-09-13	VYDAJ	PREVOD NA UCET	1500	27287	POJISTNE	UV	1665688
1096365	3747	1994-10-13	VYDAJ	PREVOD NA UCET	1500	30255	POJISTNE	UV	1665688
1096366	3747	1994-11-13	VYDAJ	PREVOD NA UCET	1500	18710	POJISTNE	UV	1665688
1096367	3747	1994-12-13	VYDAJ	PREVOD NA UCET	1500	29821	POJISTNE	UV	1665688
1096368	3747	1995-01-13	VYDAJ	PREVOD NA UCET	1500	9690	POJISTNE	UV	1665688
1096369	3747	1995-02-13	VYDAJ	PREVOD NA UCET	1500	12239	POJISTNE	UV	1665688
1096370	3747	1995-03-13	VYDAJ	PREVOD NA UCET	1500	13582	POJISTNE	UV	1665688
1096371	3747	1995-04-13	VYDAJ	PREVOD NA UCET	1500	13629	POJISTNE	UV	1665688
1096372	3747	1995-05-13	VYDAJ	PREVOD NA UCET	1500	11976	POJISTNE	UV	1665688
1096373	3747	1995-06-13	VYDAJ	PREVOD NA UCET	1500	15503	POJISTNE	UV	1665688
1096374	3747	1995-07-13	VYDAJ	PREVOD NA UCET	1500	11855	POJISTNE	UV	1665688
1096375	3747	1995-08-13	VYDAJ	PREVOD NA UCET	1500	13722	POJISTNE	UV	1665688
1096376	3747	1995-09-13	VYDAJ	PREVOD NA UCET	1500	14573	POJISTNE	UV	1665688
1096377	3747	1995-10-13	VYDAJ	PREVOD NA UCET	1500	17129	POJISTNE	UV	1665688
1096378	3747	1995-11-13	VYDAJ	PREVOD NA UCET	1500	15530	POJISTNE	UV	1665688
1096379	3747	1995-12-13	VYDAJ	PREVOD NA UCET	1500	17371	POJISTNE	UV	1665688
1096380	3747	1996-01-13	VYDAJ	PREVOD NA UCET	1500	6256	POJISTNE	UV	1665688
1096381	3747	1996-02-13	VYDAJ	PREVOD NA UCET	1500	13347	POJISTNE	UV	1665688
1096382	3747	1996-03-13	VYDAJ	PREVOD NA UCET	1500	7297	POJISTNE	UV	1665688
1096383	3747	1996-04-13	VYDAJ	PREVOD NA UCET	1500	8578	POJISTNE	UV	1665688
1096384	3747	1996-05-13	VYDAJ	PREVOD NA UCET	1500	20476	POJISTNE	UV	1665688
1096385	3747	1996-06-13	VYDAJ	PREVOD NA UCET	1500	21990	POJISTNE	UV	1665688
1096386	3747	1996-07-13	VYDAJ	PREVOD NA UCET	1500	20921	POJISTNE	UV	1665688
1096387	3747	1996-08-13	VYDAJ	PREVOD NA UCET	1500	10643	POJISTNE	UV	1665688
1096388	3747	1996-09-13	VYDAJ	PREVOD NA UCET	1500	12037	POJISTNE	UV	1665688
1096389	3747	1996-10-13	VYDAJ	PREVOD NA UCET	1500	10341	POJISTNE	UV	1665688
1096390	3747	1996-11-13	VYDAJ	PREVOD NA UCET	1500	16139	POJISTNE	UV	1665688
1096391	3747	1996-12-13	VYDAJ	PREVOD NA UCET	1500	10024	POJISTNE	UV	1665688
1096392	3747	1997-01-13	VYDAJ	PREVOD NA UCET	1500	6600	POJISTNE	UV	1665688
1096393	3747	1997-02-13	VYDAJ	PREVOD NA UCET	1500	15895	POJISTNE	UV	1665688
1096394	3747	1997-03-13	VYDAJ	PREVOD NA UCET	1500	8396	POJISTNE	UV	1665688
1096395	3747	1997-04-13	VYDAJ	PREVOD NA UCET	1500	5082	POJISTNE	UV	1665688
1096396	3747	1997-05-13	VYDAJ	PREVOD NA UCET	1500	7953	POJISTNE	UV	1665688
1096397	3747	1997-06-13	VYDAJ	PREVOD NA UCET	1500	10914	POJISTNE	UV	1665688
1096398	3747	1997-07-13	VYDAJ	PREVOD NA UCET	1500	13799	POJISTNE	UV	1665688
1096399	3747	1997-08-13	VYDAJ	PREVOD NA UCET	1500	11690	POJISTNE	UV	1665688
1096400	3747	1997-09-13	VYDAJ	PREVOD NA UCET	1500	9281	POJISTNE	UV	1665688
1096401	3747	1997-10-13	VYDAJ	PREVOD NA UCET	1500	18575	POJISTNE	UV	1665688
1096402	3747	1997-11-13	VYDAJ	PREVOD NA UCET	1500	27885	POJISTNE	UV	1665688
1096403	3747	1997-12-13	VYDAJ	PREVOD NA UCET	1500	28313	POJISTNE	UV	1665688
1096404	3747	1998-01-13	VYDAJ	PREVOD NA UCET	1500	21572	POJISTNE	UV	1665688
1096405	3747	1998-02-13	VYDAJ	PREVOD NA UCET	1500	14893	POJISTNE	UV	1665688
1096406	3747	1998-03-13	VYDAJ	PREVOD NA UCET	1500	11096	POJISTNE	UV	1665688
1096407	3747	1998-04-13	VYDAJ	PREVOD NA UCET	1500	13983	POJISTNE	UV	1665688
1096408	3747	1998-05-13	VYDAJ	PREVOD NA UCET	1500	16882	POJISTNE	UV	1665688
1096409	3747	1998-06-13	VYDAJ	PREVOD NA UCET	1500	17278	POJISTNE	UV	1665688
1096410	3747	1998-07-13	VYDAJ	PREVOD NA UCET	1500	13487	POJISTNE	UV	1665688
1096411	3747	1998-08-13	VYDAJ	PREVOD NA UCET	1500	16389	POJISTNE	UV	1665688
1096412	3747	1998-09-13	VYDAJ	PREVOD NA UCET	1500	14498	POJISTNE	UV	1665688
1096413	3747	1998-10-13	VYDAJ	PREVOD NA UCET	1500	17404	POJISTNE	UV	1665688
1096414	3747	1998-11-13	VYDAJ	PREVOD NA UCET	1500	15115	POJISTNE	UV	1665688
1096415	3747	1998-12-13	VYDAJ	PREVOD NA UCET	1500	22305	POJISTNE	UV	1665688
1096424	3747	1994-09-10	VYDAJ	VYBER	8700	31176	\N	\N	0
1096425	3747	1994-10-17	VYDAJ	VYBER	6300	23955	\N	\N	0
1096426	3747	1994-10-30	VYDAJ	VYBER	7500	15755	\N	\N	0
1096427	3747	1994-12-26	VYDAJ	VYBER	5100	21361	\N	\N	0
1096428	3747	1995-01-12	VYDAJ	PREVOD NA UCET	6365	11190	UVER	MN	80613380
1096429	3747	1995-02-12	VYDAJ	PREVOD NA UCET	6365	13739	UVER	MN	80613380
1096430	3747	1995-03-12	VYDAJ	PREVOD NA UCET	6365	15082	UVER	MN	80613380
1096431	3747	1995-04-12	VYDAJ	PREVOD NA UCET	6365	15129	UVER	MN	80613380
1096432	3747	1995-05-12	VYDAJ	PREVOD NA UCET	6365	13476	UVER	MN	80613380
1096433	3747	1995-06-12	VYDAJ	PREVOD NA UCET	6365	17003	UVER	MN	80613380
1096434	3747	1995-07-12	VYDAJ	PREVOD NA UCET	6365	13355	UVER	MN	80613380
1096435	3747	1995-08-12	VYDAJ	PREVOD NA UCET	6365	15222	UVER	MN	80613380
1096436	3747	1995-09-12	VYDAJ	PREVOD NA UCET	6365	16073	UVER	MN	80613380
1096437	3747	1995-10-12	VYDAJ	PREVOD NA UCET	6365	18629	UVER	MN	80613380
1096438	3747	1995-11-12	VYDAJ	PREVOD NA UCET	6365	17030	UVER	MN	80613380
1096439	3747	1995-12-12	VYDAJ	PREVOD NA UCET	6365	18871	UVER	MN	80613380
1096440	3747	1996-01-08	VYDAJ	VYBER	5800	13985	\N	\N	0
1096441	3747	1996-02-16	VYDAJ	VYBER	6400	6947	\N	\N	0
1096442	3747	1996-02-26	VYDAJ	VYBER	6200	5847	\N	\N	0
1096443	3747	1996-04-06	VYDAJ	VYBER	4500	14294	\N	\N	0
1096444	3747	1996-05-19	VYDAJ	VYBER	5400	15076	\N	\N	0
1096445	3747	1996-06-03	VYDAJ	VYBER	4800	14845	\N	\N	0
1096446	3747	1996-07-24	VYDAJ	VYBER	8500	14221	\N	\N	0
1096447	3747	1996-07-28	VYDAJ	VYBER	6500	7721	\N	\N	0
1096448	3747	1996-09-03	VYDAJ	VYBER	4700	9179	\N	\N	0
1096449	3747	1996-10-06	VYDAJ	VYBER	7200	16057	\N	\N	0
1096450	3747	1996-11-19	VYDAJ	VYBER	7900	8239	\N	\N	0
1096451	3747	1996-12-10	VYDAJ	VYBER	5400	13913	\N	\N	0
1096452	3747	1997-01-07	VYDAJ	VYBER	5400	15796	\N	\N	0
1096453	3747	1997-02-15	VYDAJ	VYBER	4000	11895	\N	\N	0
1096454	3747	1997-03-10	VYDAJ	VYBER	6400	12285	\N	\N	0
1096455	3747	1997-04-08	VYDAJ	VYBER	6200	8971	\N	\N	0
1096457	3747	1997-05-29	VYDAJ	VYBER	4200	3753	\N	\N	0
1096458	3747	1997-07-18	VYDAJ	VYBER	5000	8799	\N	\N	0
1096460	3747	1997-09-13	VYDAJ	VYBER	5300	10781	\N	\N	0
1096462	3747	1997-11-22	VYDAJ	VYBER	6200	21685	\N	\N	0
1096463	3747	1997-12-16	VYDAJ	VYBER	8400	19913	\N	\N	0
1096464	3747	1998-01-19	VYDAJ	VYBER	3800	17772	\N	\N	0
1096465	3747	1998-01-24	VYDAJ	VYBER	4900	12872	\N	\N	0
1096466	3747	1998-02-27	VYDAJ	VYBER	6700	8193	\N	\N	0
1096469	3747	1998-05-30	VYDAJ	VYBER	6800	10082	\N	\N	0
1096470	3747	1998-07-06	VYDAJ	VYBER	6700	19203	\N	\N	0
1096472	3747	1998-09-10	VYDAJ	VYBER	4800	18387	\N	\N	0
1096474	3747	1998-10-31	VYDAJ	VYBER	5200	12272	\N	\N	0
1096475	3747	1998-12-15	VYDAJ	VYBER	5300	17005	\N	\N	0
1096486	3747	1994-12-15	VYDAJ	VYBER	3360	26461	\N	\N	\N
1096487	3747	1995-12-28	VYDAJ	VYBER	2080	16091	\N	\N	\N
1096497	3747	1995-01-07	VYDAJ	VYBER	1320	27264	\N	\N	\N
1096498	3747	1995-01-12	VYDAJ	VYBER	3120	17555	\N	\N	\N
1096499	3747	1995-01-11	VYDAJ	VYBER	2640	24624	\N	\N	\N
1096500	3747	1995-01-12	VYDAJ	VYBER	1560	20675	\N	\N	\N
1096501	3747	1995-01-04	VYDAJ	VYBER	1320	21837	\N	\N	\N
1096504	3747	1996-01-11	VYDAJ	VYBER	1080	7756	\N	\N	\N
1096506	3747	1996-01-10	VYDAJ	VYBER	1560	11225	\N	\N	\N
1096507	3747	1996-01-04	VYDAJ	VYBER	3120	13038	\N	\N	\N
1096508	3747	1996-01-09	VYDAJ	VYBER	1200	12785	\N	\N	\N
1096509	3747	1997-01-06	VYDAJ	VYBER	840	21196	\N	\N	\N
1096510	3747	1997-01-09	VYDAJ	VYBER	3480	10489	\N	\N	\N
1096518	3747	1998-01-11	VYDAJ	VYBER	1440	23072	\N	\N	\N
1096520	3747	1998-01-09	VYDAJ	VYBER	3240	23501	\N	\N	\N
1096526	3747	1995-07-26	VYDAJ	VYBER	1080	17175	\N	\N	\N
1096527	3747	1995-07-01	VYDAJ	VYBER	3600	15362	\N	\N	\N
1096528	3747	1995-12-28	VYDAJ	VYBER	3000	18171	\N	\N	\N
1096531	3747	1995-10-18	VYDAJ	VYBER	960	16169	\N	\N	\N
1096532	3747	1996-03-06	VYDAJ	VYBER	1440	13013	\N	\N	\N
1096555	3747	1994-09-30	VYDAJ	VYBER	15	27397	SLUZBY	\N	\N
1096556	3747	1994-10-31	VYDAJ	VYBER	15	15852	SLUZBY	\N	\N
1096557	3747	1994-11-30	VYDAJ	VYBER	15	22676	SLUZBY	\N	\N
1096558	3747	1994-12-31	VYDAJ	VYBER	15	23157	SLUZBY	\N	\N
1096559	3747	1995-01-31	VYDAJ	VYBER	15	15746	SLUZBY	\N	\N
1096560	3747	1995-02-28	VYDAJ	VYBER	15	17089	SLUZBY	\N	\N
1096561	3747	1995-03-31	VYDAJ	VYBER	15	17136	SLUZBY	\N	\N
1096562	3747	1995-04-30	VYDAJ	VYBER	15	15483	SLUZBY	\N	\N
1096563	3747	1995-05-31	VYDAJ	VYBER	15	14723	SLUZBY	\N	\N
1096564	3747	1995-06-30	VYDAJ	VYBER	15	18962	SLUZBY	\N	\N
1096565	3747	1995-07-31	VYDAJ	VYBER	15	17229	SLUZBY	\N	\N
1096566	3747	1995-08-31	VYDAJ	VYBER	15	18080	SLUZBY	\N	\N
1096567	3747	1995-09-30	VYDAJ	VYBER	15	20636	SLUZBY	\N	\N
1096568	3747	1995-10-31	VYDAJ	VYBER	15	19037	SLUZBY	\N	\N
1096569	3747	1995-11-30	VYDAJ	VYBER	15	16591	SLUZBY	\N	\N
1096570	3747	1995-12-31	VYDAJ	VYBER	15	16158	SLUZBY	\N	\N
1096571	3747	1996-01-31	VYDAJ	VYBER	15	10489	SLUZBY	\N	\N
1096572	3747	1996-02-29	VYDAJ	VYBER	15	5879	SLUZBY	\N	\N
1096573	3747	1996-03-31	VYDAJ	VYBER	15	10220	SLUZBY	\N	\N
1096574	3747	1996-04-30	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
1096575	3747	1996-05-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
1096576	3747	1996-06-30	VYDAJ	VYBER	15	18063	SLUZBY	\N	\N
1096577	3747	1996-07-31	VYDAJ	VYBER	15	7785	SLUZBY	\N	\N
1096578	3747	1996-08-31	VYDAJ	VYBER	15	13879	SLUZBY	\N	\N
1096579	3747	1996-09-30	VYDAJ	VYBER	15	14683	SLUZBY	\N	\N
1096580	3747	1996-10-31	VYDAJ	VYBER	15	13281	SLUZBY	\N	\N
1096581	3747	1996-11-30	VYDAJ	VYBER	15	8279	SLUZBY	\N	\N
1096582	3747	1996-12-31	VYDAJ	VYBER	15	13462	SLUZBY	\N	\N
1096583	3747	1997-01-31	VYDAJ	VYBER	15	13037	SLUZBY	\N	\N
1096584	3747	1997-02-28	VYDAJ	VYBER	15	11938	SLUZBY	\N	\N
1096585	3747	1997-03-31	VYDAJ	VYBER	15	8424	SLUZBY	\N	\N
1096586	3747	1997-04-30	VYDAJ	VYBER	15	5095	SLUZBY	\N	\N
1096587	3747	1997-05-31	VYDAJ	VYBER	15	3769	SLUZBY	\N	\N
1096588	3747	1997-06-30	VYDAJ	VYBER	15	10941	SLUZBY	\N	\N
1096589	3747	1997-07-31	VYDAJ	VYBER	15	8832	SLUZBY	\N	\N
1096590	3747	1997-08-31	VYDAJ	VYBER	15	11723	SLUZBY	\N	\N
1096591	3747	1997-09-30	VYDAJ	VYBER	15	9317	SLUZBY	\N	\N
1096592	3747	1997-10-31	VYDAJ	VYBER	15	18627	SLUZBY	\N	\N
1096593	3747	1997-11-30	VYDAJ	VYBER	15	21768	SLUZBY	\N	\N
1096594	3747	1997-12-31	VYDAJ	VYBER	15	19994	SLUZBY	\N	\N
1096595	3747	1998-01-31	VYDAJ	VYBER	15	12935	SLUZBY	\N	\N
1096596	3747	1998-02-28	VYDAJ	VYBER	15	8238	SLUZBY	\N	\N
1096597	3747	1998-03-31	VYDAJ	VYBER	15	11125	SLUZBY	\N	\N
1096598	3747	1998-04-30	VYDAJ	VYBER	15	14024	SLUZBY	\N	\N
1096599	3747	1998-05-31	VYDAJ	VYBER	15	10133	SLUZBY	\N	\N
1096600	3747	1998-06-30	VYDAJ	VYBER	15	17329	SLUZBY	\N	\N
1096601	3747	1998-07-31	VYDAJ	VYBER	15	13531	SLUZBY	\N	\N
1096602	3747	1998-08-31	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
1096603	3747	1998-09-30	VYDAJ	VYBER	15	14546	SLUZBY	\N	\N
1096604	3747	1998-10-31	VYDAJ	VYBER	15	12257	SLUZBY	\N	\N
1096605	3747	1998-11-30	VYDAJ	VYBER	15	15160	SLUZBY	\N	\N
1096606	3747	1994-05-31	PRIJEM	VKLAD	7300	17010	\N	\N	\N
1096607	3747	1994-06-30	VYDAJ	VYBER	2700	27243	\N	\N	\N
1096608	3747	1994-07-30	VYDAJ	VYBER	6400	29417	\N	\N	\N
1096609	3747	1994-08-29	VYDAJ	VYBER	5100	33005	\N	\N	\N
1096610	3747	1994-10-28	VYDAJ	VYBER	700	23255	\N	\N	\N
1096611	3747	1994-11-27	PRIJEM	VKLAD	3900	22610	\N	\N	\N
1096612	3747	1994-12-27	PRIJEM	VKLAD	1700	23061	\N	\N	\N
1096613	3747	1995-01-26	PRIJEM	VKLAD	6000	15690	\N	\N	\N
1096614	3747	1995-02-25	PRIJEM	VKLAD	4800	17039	\N	\N	\N
1096615	3747	1995-03-27	PRIJEM	VKLAD	3500	17082	\N	\N	\N
1096616	3747	1995-04-26	PRIJEM	VKLAD	1800	15429	\N	\N	\N
1096617	3747	1995-05-26	PRIJEM	VKLAD	2700	14676	\N	\N	\N
1096618	3747	1995-06-25	PRIJEM	VKLAD	3400	18903	\N	\N	\N
1096619	3747	1995-07-25	PRIJEM	VKLAD	6400	18255	\N	\N	\N
1096620	3747	1995-08-24	PRIJEM	VKLAD	4300	18022	\N	\N	\N
1096621	3747	1995-09-23	PRIJEM	VKLAD	6000	20573	\N	\N	\N
1096622	3747	1995-10-23	PRIJEM	VKLAD	2800	18969	\N	\N	\N
1096623	3747	1995-11-22	PRIJEM	VKLAD	1000	16530	\N	\N	\N
1096624	3747	1995-12-22	PRIJEM	VKLAD	3800	21171	\N	\N	\N
1096625	3747	1996-01-21	PRIJEM	VKLAD	4200	10456	\N	\N	\N
1096626	3747	1996-02-20	PRIJEM	VKLAD	5100	12047	\N	\N	\N
1096627	3747	1996-03-21	PRIJEM	VKLAD	2900	10197	\N	\N	\N
1096628	3747	1996-04-20	PRIJEM	VKLAD	9000	17578	\N	\N	\N
1096629	3747	1996-05-20	PRIJEM	VKLAD	4500	19576	\N	\N	\N
1096630	3747	1996-06-19	VYDAJ	VYBER	4000	17990	\N	\N	\N
1096631	3747	1996-07-19	PRIJEM	VKLAD	1800	22721	\N	\N	\N
1096632	3747	1996-08-18	PRIJEM	VKLAD	3200	13843	\N	\N	\N
1096633	3747	1996-09-17	PRIJEM	VKLAD	2600	14637	\N	\N	\N
1096634	3747	1996-10-17	PRIJEM	VKLAD	2900	13241	\N	\N	\N
1096635	3747	1996-12-16	PRIJEM	VKLAD	3400	13424	\N	\N	\N
1096636	3747	1997-01-15	PRIJEM	VKLAD	6400	13000	\N	\N	\N
1096637	3747	1997-10-12	PRIJEM	VKLAD	6400	20075	\N	\N	\N
1096638	3747	1997-11-11	PRIJEM	VKLAD	6400	31774	\N	\N	\N
1096639	3747	1997-12-11	VYDAJ	VYBER	600	32202	\N	\N	\N
1096640	3747	1998-01-10	PRIJEM	VKLAD	3400	26901	\N	\N	\N
1096641	3747	1998-02-09	VYDAJ	VYBER	900	18782	\N	\N	\N
1096711	3748	1993-07-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1096719	3748	1993-08-10	PRIJEM	PREVOD Z UCTU	3192	4192	\N	OP	59888619
1096720	3748	1993-09-10	PRIJEM	PREVOD Z UCTU	3192	7384	\N	OP	59888619
1096721	3748	1993-10-10	PRIJEM	PREVOD Z UCTU	3192	10576	\N	OP	59888619
1096722	3748	1993-11-10	PRIJEM	PREVOD Z UCTU	3192	13768	\N	OP	59888619
1096723	3748	1993-12-10	PRIJEM	PREVOD Z UCTU	3192	16960	\N	OP	59888619
1096724	3748	1994-01-10	PRIJEM	PREVOD Z UCTU	3192	17420	\N	OP	59888619
1096725	3748	1994-02-10	PRIJEM	PREVOD Z UCTU	3192	14871	\N	OP	59888619
1096726	3748	1994-03-10	PRIJEM	PREVOD Z UCTU	3192	14808	\N	OP	59888619
1096727	3748	1994-04-10	PRIJEM	PREVOD Z UCTU	3192	15706	\N	OP	59888619
1096728	3748	1994-05-10	PRIJEM	PREVOD Z UCTU	3192	15557	\N	OP	59888619
1096729	3748	1994-06-10	PRIJEM	PREVOD Z UCTU	3192	16398	\N	OP	59888619
1096730	3748	1994-07-10	PRIJEM	PREVOD Z UCTU	3192	17513	\N	OP	59888619
1096731	3748	1994-08-10	PRIJEM	PREVOD Z UCTU	3192	17223	\N	OP	59888619
1096732	3748	1994-09-10	PRIJEM	PREVOD Z UCTU	3192	18342	\N	OP	59888619
1096733	3748	1994-10-10	PRIJEM	PREVOD Z UCTU	3192	18503	\N	OP	59888619
1096734	3748	1994-11-10	PRIJEM	PREVOD Z UCTU	3192	19627	\N	OP	59888619
1096735	3748	1994-12-10	PRIJEM	PREVOD Z UCTU	3192	20576	\N	OP	59888619
1096736	3748	1995-01-10	PRIJEM	PREVOD Z UCTU	3192	20868	\N	OP	59888619
1096737	3748	1995-02-10	PRIJEM	PREVOD Z UCTU	3192	17942	\N	OP	59888619
1096738	3748	1995-03-10	PRIJEM	PREVOD Z UCTU	3192	19063	\N	OP	59888619
1096739	3748	1995-04-10	PRIJEM	PREVOD Z UCTU	3192	20190	\N	OP	59888619
1096740	3748	1995-05-10	PRIJEM	PREVOD Z UCTU	3192	20750	\N	OP	59888619
1096741	3748	1995-06-10	PRIJEM	PREVOD Z UCTU	3192	21432	\N	OP	59888619
1096742	3748	1995-07-10	PRIJEM	PREVOD Z UCTU	3192	14760	\N	OP	59888619
1096743	3748	1995-08-10	PRIJEM	PREVOD Z UCTU	3192	15117	\N	OP	59888619
1096744	3748	1995-09-10	PRIJEM	PREVOD Z UCTU	3192	16227	\N	OP	59888619
1096745	3748	1995-10-10	PRIJEM	PREVOD Z UCTU	3192	15870	\N	OP	59888619
1096746	3748	1995-11-10	PRIJEM	PREVOD Z UCTU	3192	16983	\N	OP	59888619
1096747	3748	1995-12-10	PRIJEM	PREVOD Z UCTU	3192	18100	\N	OP	59888619
1096748	3748	1996-01-10	PRIJEM	PREVOD Z UCTU	3192	18682	\N	OP	59888619
1096749	3748	1996-02-10	PRIJEM	PREVOD Z UCTU	3192	15385	\N	OP	59888619
1096750	3748	1996-03-10	PRIJEM	PREVOD Z UCTU	3192	16496	\N	OP	59888619
1096751	3748	1996-04-10	PRIJEM	PREVOD Z UCTU	3192	17611	\N	OP	59888619
1096752	3748	1996-05-10	PRIJEM	PREVOD Z UCTU	3192	18731	\N	OP	59888619
1096753	3748	1996-06-10	PRIJEM	PREVOD Z UCTU	3192	19495	\N	OP	59888619
1096754	3748	1996-07-10	PRIJEM	PREVOD Z UCTU	3192	17857	\N	OP	59888619
1096755	3748	1996-08-10	PRIJEM	PREVOD Z UCTU	3192	18978	\N	OP	59888619
1096756	3748	1996-09-10	PRIJEM	PREVOD Z UCTU	3192	19953	\N	OP	59888619
1096757	3748	1996-10-10	PRIJEM	PREVOD Z UCTU	3192	20361	\N	OP	59888619
1096758	3748	1996-11-10	PRIJEM	PREVOD Z UCTU	3192	21072	\N	OP	59888619
1096759	3748	1996-12-10	PRIJEM	PREVOD Z UCTU	3192	20104	\N	OP	59888619
1096760	3748	1997-01-10	PRIJEM	PREVOD Z UCTU	3192	20003	\N	OP	59888619
1096761	3748	1997-02-10	PRIJEM	PREVOD Z UCTU	3192	18368	\N	OP	59888619
1096762	3748	1997-03-10	PRIJEM	PREVOD Z UCTU	3192	19491	\N	OP	59888619
1096763	3748	1997-04-10	PRIJEM	PREVOD Z UCTU	3192	17714	\N	OP	59888619
1096764	3748	1997-05-10	PRIJEM	PREVOD Z UCTU	3192	17360	\N	OP	59888619
1096765	3748	1997-06-10	PRIJEM	PREVOD Z UCTU	3192	17397	\N	OP	59888619
1096766	3748	1997-07-10	PRIJEM	PREVOD Z UCTU	3192	18515	\N	OP	59888619
1096767	3748	1997-08-10	PRIJEM	PREVOD Z UCTU	3192	17876	\N	OP	59888619
1096768	3748	1997-09-10	PRIJEM	PREVOD Z UCTU	3192	18064	\N	OP	59888619
1096769	3748	1997-10-10	PRIJEM	PREVOD Z UCTU	3192	18164	\N	OP	59888619
1096770	3748	1997-11-10	PRIJEM	PREVOD Z UCTU	3192	19286	\N	OP	59888619
1096771	3748	1997-12-10	PRIJEM	PREVOD Z UCTU	3192	20412	\N	OP	59888619
1096772	3748	1998-01-10	PRIJEM	PREVOD Z UCTU	3192	19081	\N	OP	59888619
1096773	3748	1998-02-10	PRIJEM	PREVOD Z UCTU	3192	18973	\N	OP	59888619
1096774	3748	1998-03-10	PRIJEM	PREVOD Z UCTU	3192	20098	\N	OP	59888619
1096775	3748	1998-04-10	PRIJEM	PREVOD Z UCTU	3192	21227	\N	OP	59888619
1096776	3748	1998-05-10	PRIJEM	PREVOD Z UCTU	3192	22361	\N	OP	59888619
1096777	3748	1998-06-10	PRIJEM	PREVOD Z UCTU	3192	21094	\N	OP	59888619
1096778	3748	1998-07-10	PRIJEM	PREVOD Z UCTU	3192	20423	\N	OP	59888619
1096779	3748	1998-08-10	PRIJEM	PREVOD Z UCTU	3192	21554	\N	OP	59888619
1096780	3748	1998-09-10	PRIJEM	PREVOD Z UCTU	3192	22689	\N	OP	59888619
1096781	3748	1998-10-10	PRIJEM	PREVOD Z UCTU	3192	21222	\N	OP	59888619
1096782	3748	1998-11-10	PRIJEM	PREVOD Z UCTU	3192	20651	\N	OP	59888619
1096783	3748	1998-12-10	PRIJEM	PREVOD Z UCTU	3192	17912	\N	OP	59888619
1096795	3748	1993-12-14	VYDAJ	PREVOD NA UCET	308	16652	\N	QR	77061086
1096796	3748	1994-01-14	VYDAJ	PREVOD NA UCET	308	15672	\N	QR	77061086
1096797	3748	1994-02-14	VYDAJ	PREVOD NA UCET	308	14563	\N	QR	77061086
1096798	3748	1994-03-14	VYDAJ	PREVOD NA UCET	308	14500	\N	QR	77061086
1096799	3748	1994-04-14	VYDAJ	PREVOD NA UCET	308	15398	\N	QR	77061086
1096800	3748	1994-05-14	VYDAJ	PREVOD NA UCET	308	14979	\N	QR	77061086
1096801	3748	1994-06-14	VYDAJ	PREVOD NA UCET	308	16090	\N	QR	77061086
1096802	3748	1994-07-14	VYDAJ	PREVOD NA UCET	308	17205	\N	QR	77061086
1096803	3748	1994-08-14	VYDAJ	PREVOD NA UCET	308	16915	\N	QR	77061086
1096804	3748	1994-09-14	VYDAJ	PREVOD NA UCET	308	18034	\N	QR	77061086
1096805	3748	1994-10-14	VYDAJ	PREVOD NA UCET	308	18195	\N	QR	77061086
1096806	3748	1994-11-14	VYDAJ	PREVOD NA UCET	308	19319	\N	QR	77061086
1096807	3748	1994-12-14	VYDAJ	PREVOD NA UCET	308	20268	\N	QR	77061086
1096808	3748	1995-01-14	VYDAJ	PREVOD NA UCET	308	19480	\N	QR	77061086
1096809	3748	1995-02-14	VYDAJ	PREVOD NA UCET	308	17634	\N	QR	77061086
1096810	3748	1995-03-14	VYDAJ	PREVOD NA UCET	308	18755	\N	QR	77061086
1096811	3748	1995-04-14	VYDAJ	PREVOD NA UCET	308	19882	\N	QR	77061086
1096812	3748	1995-05-14	VYDAJ	PREVOD NA UCET	308	20442	\N	QR	77061086
1096813	3748	1995-06-14	VYDAJ	PREVOD NA UCET	308	21124	\N	QR	77061086
1096814	3748	1995-07-14	VYDAJ	PREVOD NA UCET	308	14452	\N	QR	77061086
1096815	3748	1995-08-14	VYDAJ	PREVOD NA UCET	308	14809	\N	QR	77061086
1096816	3748	1995-09-14	VYDAJ	PREVOD NA UCET	308	15919	\N	QR	77061086
1096817	3748	1995-10-14	VYDAJ	PREVOD NA UCET	308	15562	\N	QR	77061086
1096818	3748	1995-11-14	VYDAJ	PREVOD NA UCET	308	16675	\N	QR	77061086
1096819	3748	1995-12-14	VYDAJ	PREVOD NA UCET	308	17792	\N	QR	77061086
1096820	3748	1996-01-14	VYDAJ	PREVOD NA UCET	308	14774	\N	QR	77061086
1096821	3748	1996-02-14	VYDAJ	PREVOD NA UCET	308	15077	\N	QR	77061086
1096822	3748	1996-03-14	VYDAJ	PREVOD NA UCET	308	16188	\N	QR	77061086
1096823	3748	1996-04-14	VYDAJ	PREVOD NA UCET	308	17303	\N	QR	77061086
1096824	3748	1996-05-14	VYDAJ	PREVOD NA UCET	308	18063	\N	QR	77061086
1096825	3748	1996-06-14	VYDAJ	PREVOD NA UCET	308	19187	\N	QR	77061086
1096826	3748	1996-07-14	VYDAJ	PREVOD NA UCET	308	17549	\N	QR	77061086
1096827	3748	1996-08-14	VYDAJ	PREVOD NA UCET	308	18670	\N	QR	77061086
1096828	3748	1996-09-14	VYDAJ	PREVOD NA UCET	308	18925	\N	QR	77061086
1096829	3748	1996-10-14	VYDAJ	PREVOD NA UCET	308	20053	\N	QR	77061086
1096830	3748	1996-11-14	VYDAJ	PREVOD NA UCET	308	20764	\N	QR	77061086
1096831	3748	1996-12-14	VYDAJ	PREVOD NA UCET	308	19796	\N	QR	77061086
1096832	3748	1997-01-14	VYDAJ	PREVOD NA UCET	308	18525	\N	QR	77061086
1096833	3748	1997-02-14	VYDAJ	PREVOD NA UCET	308	18060	\N	QR	77061086
1096834	3748	1997-03-14	VYDAJ	PREVOD NA UCET	308	19183	\N	QR	77061086
1096835	3748	1997-04-14	VYDAJ	PREVOD NA UCET	308	15936	\N	QR	77061086
1096836	3748	1997-05-14	VYDAJ	PREVOD NA UCET	308	17052	\N	QR	77061086
1096837	3748	1997-06-14	VYDAJ	PREVOD NA UCET	308	17089	\N	QR	77061086
1096838	3748	1997-07-14	VYDAJ	PREVOD NA UCET	308	18207	\N	QR	77061086
1096839	3748	1997-08-14	VYDAJ	PREVOD NA UCET	308	16638	\N	QR	77061086
1096840	3748	1997-09-14	VYDAJ	PREVOD NA UCET	308	17756	\N	QR	77061086
1096841	3748	1997-10-14	VYDAJ	PREVOD NA UCET	308	17856	\N	QR	77061086
1096842	3748	1997-11-14	VYDAJ	PREVOD NA UCET	308	18978	\N	QR	77061086
1096843	3748	1997-12-14	VYDAJ	PREVOD NA UCET	308	19684	\N	QR	77061086
1096844	3748	1998-01-14	VYDAJ	PREVOD NA UCET	308	18113	\N	QR	77061086
1096845	3748	1998-02-14	VYDAJ	PREVOD NA UCET	308	18665	\N	QR	77061086
1096846	3748	1998-03-14	VYDAJ	PREVOD NA UCET	308	19790	\N	QR	77061086
1096847	3748	1998-04-14	VYDAJ	PREVOD NA UCET	308	20919	\N	QR	77061086
1096848	3748	1998-05-14	VYDAJ	PREVOD NA UCET	308	22053	\N	QR	77061086
1096849	3748	1998-06-14	VYDAJ	PREVOD NA UCET	308	20786	\N	QR	77061086
1096850	3748	1998-07-14	VYDAJ	PREVOD NA UCET	308	20115	\N	QR	77061086
1096851	3748	1998-08-14	VYDAJ	PREVOD NA UCET	308	21246	\N	QR	77061086
1096852	3748	1998-09-14	VYDAJ	PREVOD NA UCET	308	19781	\N	QR	77061086
1096853	3748	1998-10-14	VYDAJ	PREVOD NA UCET	308	19214	\N	QR	77061086
1096854	3748	1998-11-14	VYDAJ	PREVOD NA UCET	308	16843	\N	QR	77061086
1096855	3748	1998-12-14	VYDAJ	PREVOD NA UCET	308	17214	\N	QR	77061086
1096868	3748	1994-01-05	VYDAJ	PREVOD NA UCET	1820	14228	\N	EF	10963404
1096869	3748	1994-02-05	VYDAJ	PREVOD NA UCET	1820	11679	\N	EF	10963404
1096870	3748	1994-03-05	VYDAJ	PREVOD NA UCET	1820	11616	\N	EF	10963404
1096871	3748	1994-04-05	VYDAJ	PREVOD NA UCET	1820	12514	\N	EF	10963404
1096872	3748	1994-05-05	VYDAJ	PREVOD NA UCET	1820	12365	\N	EF	10963404
1096873	3748	1994-06-05	VYDAJ	PREVOD NA UCET	1820	13206	\N	EF	10963404
1096874	3748	1994-07-05	VYDAJ	PREVOD NA UCET	1820	14321	\N	EF	10963404
1096875	3748	1994-08-05	VYDAJ	PREVOD NA UCET	1820	14031	\N	EF	10963404
1096876	3748	1994-09-05	VYDAJ	PREVOD NA UCET	1820	15150	\N	EF	10963404
1096877	3748	1994-10-05	VYDAJ	PREVOD NA UCET	1820	15311	\N	EF	10963404
1096878	3748	1994-11-05	VYDAJ	PREVOD NA UCET	1820	16435	\N	EF	10963404
1096879	3748	1994-12-05	VYDAJ	PREVOD NA UCET	1820	17564	\N	EF	10963404
1096880	3748	1995-01-05	VYDAJ	PREVOD NA UCET	1820	17676	\N	EF	10963404
1096881	3748	1995-02-05	VYDAJ	PREVOD NA UCET	1820	14750	\N	EF	10963404
1096882	3748	1995-03-05	VYDAJ	PREVOD NA UCET	1820	15871	\N	EF	10963404
1096883	3748	1995-04-05	VYDAJ	PREVOD NA UCET	1820	16998	\N	EF	10963404
1096884	3748	1995-05-05	VYDAJ	PREVOD NA UCET	1820	17558	\N	EF	10963404
1096885	3748	1995-06-05	VYDAJ	PREVOD NA UCET	1820	18240	\N	EF	10963404
1096886	3748	1995-07-05	VYDAJ	PREVOD NA UCET	1820	11568	\N	EF	10963404
1096887	3748	1995-08-05	VYDAJ	PREVOD NA UCET	1820	11925	\N	EF	10963404
1096888	3748	1995-09-05	VYDAJ	PREVOD NA UCET	1820	13035	\N	EF	10963404
1096889	3748	1995-10-05	VYDAJ	PREVOD NA UCET	1820	12678	\N	EF	10963404
1096890	3748	1995-11-05	VYDAJ	PREVOD NA UCET	1820	13791	\N	EF	10963404
1096891	3748	1995-12-05	VYDAJ	PREVOD NA UCET	1820	14908	\N	EF	10963404
1096892	3748	1996-01-05	VYDAJ	PREVOD NA UCET	1820	15490	\N	EF	10963404
1096893	3748	1996-02-05	VYDAJ	PREVOD NA UCET	1820	12193	\N	EF	10963404
1096894	3748	1996-03-05	VYDAJ	PREVOD NA UCET	1820	13304	\N	EF	10963404
1096895	3748	1996-04-05	VYDAJ	PREVOD NA UCET	1820	14419	\N	EF	10963404
1096896	3748	1996-05-05	VYDAJ	PREVOD NA UCET	1820	15539	\N	EF	10963404
1096897	3748	1996-06-05	VYDAJ	PREVOD NA UCET	1820	16303	\N	EF	10963404
1096898	3748	1996-07-05	VYDAJ	PREVOD NA UCET	1820	14665	\N	EF	10963404
1096899	3748	1996-08-05	VYDAJ	PREVOD NA UCET	1820	15786	\N	EF	10963404
1096900	3748	1996-09-05	VYDAJ	PREVOD NA UCET	1820	16761	\N	EF	10963404
1096901	3748	1996-10-05	VYDAJ	PREVOD NA UCET	1820	17169	\N	EF	10963404
1096902	3748	1996-11-05	VYDAJ	PREVOD NA UCET	1820	17880	\N	EF	10963404
1096903	3748	1996-12-05	VYDAJ	PREVOD NA UCET	1820	16912	\N	EF	10963404
1096904	3748	1997-01-05	VYDAJ	PREVOD NA UCET	1820	18041	\N	EF	10963404
1096905	3748	1997-02-05	VYDAJ	PREVOD NA UCET	1820	15176	\N	EF	10963404
1096906	3748	1997-03-05	VYDAJ	PREVOD NA UCET	1820	16299	\N	EF	10963404
1096907	3748	1997-04-05	VYDAJ	PREVOD NA UCET	1820	14522	\N	EF	10963404
1096908	3748	1997-05-05	VYDAJ	PREVOD NA UCET	1820	14168	\N	EF	10963404
1096909	3748	1997-06-05	VYDAJ	PREVOD NA UCET	1820	14205	\N	EF	10963404
1096910	3748	1997-07-05	VYDAJ	PREVOD NA UCET	1820	15323	\N	EF	10963404
1096911	3748	1997-08-05	VYDAJ	PREVOD NA UCET	1820	14684	\N	EF	10963404
1096912	3748	1997-09-05	VYDAJ	PREVOD NA UCET	1820	14872	\N	EF	10963404
1096913	3748	1997-10-05	VYDAJ	PREVOD NA UCET	1820	14972	\N	EF	10963404
1096914	3748	1997-11-05	VYDAJ	PREVOD NA UCET	1820	16094	\N	EF	10963404
1096915	3748	1997-12-05	VYDAJ	PREVOD NA UCET	1820	17220	\N	EF	10963404
1096916	3748	1998-01-05	VYDAJ	PREVOD NA UCET	1820	16369	\N	EF	10963404
1096917	3748	1998-02-05	VYDAJ	PREVOD NA UCET	1820	15781	\N	EF	10963404
1096918	3748	1998-03-05	VYDAJ	PREVOD NA UCET	1820	16906	\N	EF	10963404
1096919	3748	1998-04-05	VYDAJ	PREVOD NA UCET	1820	18035	\N	EF	10963404
1096920	3748	1998-05-05	VYDAJ	PREVOD NA UCET	1820	19169	\N	EF	10963404
1096921	3748	1998-06-05	VYDAJ	PREVOD NA UCET	1820	17902	\N	EF	10963404
1096922	3748	1998-07-05	VYDAJ	PREVOD NA UCET	1820	17231	\N	EF	10963404
1096923	3748	1998-08-05	VYDAJ	PREVOD NA UCET	1820	18362	\N	EF	10963404
1096924	3748	1998-09-05	VYDAJ	PREVOD NA UCET	1820	19497	\N	EF	10963404
1096925	3748	1998-10-05	VYDAJ	PREVOD NA UCET	1820	18030	\N	EF	10963404
1096926	3748	1998-11-05	VYDAJ	PREVOD NA UCET	1820	17459	\N	EF	10963404
1096927	3748	1998-12-05	VYDAJ	PREVOD NA UCET	1820	14720	\N	EF	10963404
1096930	3748	1995-06-23	VYDAJ	VYBER	7800	13324	\N	\N	\N
1096931	3748	1996-06-18	VYDAJ	VYBER	2760	16427	\N	\N	\N
1096935	3748	1994-01-30	VYDAJ	VYBER	510	13452	\N	\N	\N
1096936	3748	1995-01-15	VYDAJ	VYBER	2010	17470	\N	\N	\N
1096937	3748	1996-01-11	VYDAJ	VYBER	2130	16282	\N	\N	\N
1096938	3748	1997-01-13	VYDAJ	VYBER	1170	18833	\N	\N	\N
1096939	3748	1998-01-11	VYDAJ	VYBER	660	18421	\N	\N	\N
1096941	3748	1994-12-06	VYDAJ	VYBER	180	17384	\N	\N	\N
1096942	3748	1995-12-16	VYDAJ	VYBER	270	17522	\N	\N	\N
1096943	3748	1996-12-03	VYDAJ	VYBER	840	18732	\N	\N	\N
1096944	3748	1997-12-11	VYDAJ	VYBER	420	19992	\N	\N	\N
1096945	3748	1998-12-10	VYDAJ	VYBER	390	17522	\N	\N	\N
1096952	3748	1994-01-13	VYDAJ	VYBER	780	15980	\N	\N	\N
1096953	3748	1994-01-19	VYDAJ	VYBER	390	14442	\N	\N	\N
1096954	3748	1994-01-10	VYDAJ	VYBER	660	16760	\N	\N	\N
1096955	3748	1994-01-01	VYDAJ	VYBER	630	16048	\N	\N	\N
1096956	3748	1994-01-15	VYDAJ	VYBER	840	14832	\N	\N	\N
1096957	3748	1994-01-19	VYDAJ	VYBER	480	13962	\N	\N	\N
1096958	3748	1995-01-12	VYDAJ	VYBER	210	20658	\N	\N	\N
1096959	3748	1995-01-28	VYDAJ	VYBER	210	16510	\N	\N	\N
1096960	3748	1995-01-19	VYDAJ	VYBER	750	16720	\N	\N	\N
1096961	3748	1995-01-04	VYDAJ	VYBER	330	19496	\N	\N	\N
1096962	3748	1995-01-02	VYDAJ	VYBER	510	19826	\N	\N	\N
1096963	3748	1995-01-13	VYDAJ	VYBER	870	19788	\N	\N	\N
1096965	3748	1996-01-11	VYDAJ	VYBER	750	15532	\N	\N	\N
1096966	3748	1996-01-21	VYDAJ	VYBER	600	14174	\N	\N	\N
1096967	3748	1996-01-12	VYDAJ	VYBER	450	15082	\N	\N	\N
1096968	3748	1996-01-10	VYDAJ	VYBER	270	18412	\N	\N	\N
1096969	3748	1996-01-28	VYDAJ	VYBER	210	13964	\N	\N	\N
1096970	3748	1997-01-22	VYDAJ	VYBER	270	17985	\N	\N	\N
1096971	3748	1997-01-09	VYDAJ	VYBER	750	16811	\N	\N	\N
1096972	3748	1997-01-23	VYDAJ	VYBER	630	17355	\N	\N	\N
1096973	3748	1997-01-08	VYDAJ	VYBER	480	17561	\N	\N	\N
1096974	3748	1997-01-29	VYDAJ	VYBER	420	16935	\N	\N	\N
1096975	3748	1997-01-20	VYDAJ	VYBER	270	18255	\N	\N	\N
1096976	3748	1998-01-02	VYDAJ	VYBER	150	19599	\N	\N	\N
1096977	3748	1998-01-04	VYDAJ	VYBER	240	18609	\N	\N	\N
1096978	3748	1998-01-06	VYDAJ	VYBER	480	15889	\N	\N	\N
1096979	3748	1998-01-17	VYDAJ	VYBER	570	17543	\N	\N	\N
1096980	3748	1998-01-04	VYDAJ	VYBER	420	18189	\N	\N	\N
1096981	3748	1998-01-04	VYDAJ	VYBER	750	18849	\N	\N	\N
1096987	3748	1994-05-13	VYDAJ	VYBER	270	15287	\N	\N	\N
1096988	3748	1994-04-23	VYDAJ	VYBER	1260	14138	\N	\N	\N
1096989	3748	1994-03-22	VYDAJ	VYBER	210	14290	\N	\N	\N
1096990	3748	1994-09-18	VYDAJ	VYBER	960	17074	\N	\N	\N
1096991	3748	1994-02-15	VYDAJ	VYBER	1170	13393	\N	\N	\N
1096992	3748	1994-08-04	VYDAJ	VYBER	1410	15851	\N	\N	\N
1096993	3748	1995-12-26	VYDAJ	VYBER	270	17252	\N	\N	\N
1096995	3748	1995-09-26	VYDAJ	VYBER	1470	14449	\N	\N	\N
1096996	3748	1995-04-20	VYDAJ	VYBER	570	19312	\N	\N	\N
1096997	3748	1995-07-20	VYDAJ	VYBER	750	13702	\N	\N	\N
1096998	3748	1995-05-17	VYDAJ	VYBER	450	19992	\N	\N	\N
1096999	3748	1996-11-04	VYDAJ	VYBER	420	19700	\N	\N	\N
1097000	3748	1996-09-13	VYDAJ	VYBER	720	19233	\N	\N	\N
1097001	3748	1996-11-20	VYDAJ	VYBER	1260	19504	\N	\N	\N
1097002	3748	1996-08-24	VYDAJ	VYBER	150	18520	\N	\N	\N
1097003	3748	1996-05-12	VYDAJ	VYBER	360	18371	\N	\N	\N
1097004	3748	1997-05-18	VYDAJ	VYBER	480	16572	\N	\N	\N
1097005	3748	1997-09-21	VYDAJ	VYBER	1020	16736	\N	\N	\N
1097006	3748	1997-07-24	VYDAJ	VYBER	960	16447	\N	\N	\N
1097007	3748	1997-08-14	VYDAJ	VYBER	930	16946	\N	\N	\N
1097008	3748	1997-04-13	VYDAJ	VYBER	1470	16244	\N	\N	\N
1097011	3748	1998-12-04	VYDAJ	VYBER	360	16540	\N	\N	\N
1097012	3748	1998-12-29	VYDAJ	VYBER	690	16524	\N	\N	\N
1097026	3748	1993-12-31	VYDAJ	VYBER	15	16678	SLUZBY	\N	\N
1097027	3748	1994-01-31	VYDAJ	VYBER	15	13499	SLUZBY	\N	\N
1097028	3748	1994-02-28	VYDAJ	VYBER	15	13436	SLUZBY	\N	\N
1097029	3748	1994-03-31	VYDAJ	VYBER	15	14334	SLUZBY	\N	\N
1097030	3748	1994-04-30	VYDAJ	VYBER	15	14185	SLUZBY	\N	\N
1097031	3748	1994-05-31	VYDAJ	VYBER	15	15026	SLUZBY	\N	\N
1097032	3748	1994-06-30	VYDAJ	VYBER	15	16141	SLUZBY	\N	\N
1097033	3748	1994-07-31	VYDAJ	VYBER	15	17261	SLUZBY	\N	\N
1097034	3748	1994-08-31	VYDAJ	VYBER	15	16970	SLUZBY	\N	\N
1097035	3748	1994-09-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
1097036	3748	1994-10-31	VYDAJ	VYBER	15	18255	SLUZBY	\N	\N
1097037	3748	1994-11-30	VYDAJ	VYBER	15	19384	SLUZBY	\N	\N
1097038	3748	1994-12-31	VYDAJ	VYBER	15	20336	SLUZBY	\N	\N
1097039	3748	1995-01-31	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
1097040	3748	1995-02-28	VYDAJ	VYBER	15	17691	SLUZBY	\N	\N
1097041	3748	1995-03-31	VYDAJ	VYBER	15	18818	SLUZBY	\N	\N
1097042	3748	1995-04-30	VYDAJ	VYBER	15	19378	SLUZBY	\N	\N
1097043	3748	1995-05-31	VYDAJ	VYBER	15	20060	SLUZBY	\N	\N
1097044	3748	1995-06-30	VYDAJ	VYBER	15	13388	SLUZBY	\N	\N
1097045	3748	1995-07-31	VYDAJ	VYBER	15	13745	SLUZBY	\N	\N
1097046	3748	1995-08-31	VYDAJ	VYBER	15	14855	SLUZBY	\N	\N
1097047	3748	1995-09-30	VYDAJ	VYBER	15	14498	SLUZBY	\N	\N
1097048	3748	1995-10-31	VYDAJ	VYBER	15	15611	SLUZBY	\N	\N
1097049	3748	1995-11-30	VYDAJ	VYBER	15	16728	SLUZBY	\N	\N
1097050	3748	1995-12-31	VYDAJ	VYBER	15	17310	SLUZBY	\N	\N
1097051	3748	1996-01-31	VYDAJ	VYBER	15	14013	SLUZBY	\N	\N
1097052	3748	1996-02-29	VYDAJ	VYBER	15	15124	SLUZBY	\N	\N
1097053	3748	1996-03-31	VYDAJ	VYBER	15	16239	SLUZBY	\N	\N
1097054	3748	1996-04-30	VYDAJ	VYBER	15	17359	SLUZBY	\N	\N
1097055	3748	1996-05-31	VYDAJ	VYBER	15	18123	SLUZBY	\N	\N
1097056	3748	1996-06-30	VYDAJ	VYBER	15	16485	SLUZBY	\N	\N
1097057	3748	1996-07-31	VYDAJ	VYBER	15	17606	SLUZBY	\N	\N
1097058	3748	1996-08-31	VYDAJ	VYBER	15	18581	SLUZBY	\N	\N
1097059	3748	1996-09-30	VYDAJ	VYBER	15	18989	SLUZBY	\N	\N
1097060	3748	1996-10-31	VYDAJ	VYBER	15	20120	SLUZBY	\N	\N
1097061	3748	1996-11-30	VYDAJ	VYBER	15	19572	SLUZBY	\N	\N
1097062	3748	1996-12-31	VYDAJ	VYBER	15	19861	SLUZBY	\N	\N
1097063	3748	1997-01-31	VYDAJ	VYBER	15	16996	SLUZBY	\N	\N
1097064	3748	1997-02-28	VYDAJ	VYBER	15	18119	SLUZBY	\N	\N
1097065	3748	1997-03-31	VYDAJ	VYBER	15	16342	SLUZBY	\N	\N
1097066	3748	1997-04-30	VYDAJ	VYBER	15	15988	SLUZBY	\N	\N
1097067	3748	1997-05-31	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
1097068	3748	1997-06-30	VYDAJ	VYBER	15	17143	SLUZBY	\N	\N
1097069	3748	1997-07-31	VYDAJ	VYBER	15	16504	SLUZBY	\N	\N
1097070	3748	1997-08-31	VYDAJ	VYBER	15	16692	SLUZBY	\N	\N
1097071	3748	1997-09-30	VYDAJ	VYBER	15	16792	SLUZBY	\N	\N
1097072	3748	1997-10-31	VYDAJ	VYBER	15	17914	SLUZBY	\N	\N
1097073	3748	1997-11-30	VYDAJ	VYBER	15	19040	SLUZBY	\N	\N
1097074	3748	1997-12-31	VYDAJ	VYBER	15	19749	SLUZBY	\N	\N
1097075	3748	1998-01-31	VYDAJ	VYBER	15	17601	SLUZBY	\N	\N
1097076	3748	1998-02-28	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
1097077	3748	1998-03-31	VYDAJ	VYBER	15	19855	SLUZBY	\N	\N
1097078	3748	1998-04-30	VYDAJ	VYBER	15	20989	SLUZBY	\N	\N
1097079	3748	1998-05-31	VYDAJ	VYBER	15	19722	SLUZBY	\N	\N
1097080	3748	1998-06-30	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
1097081	3748	1998-07-31	VYDAJ	VYBER	15	20182	SLUZBY	\N	\N
1097082	3748	1998-08-31	VYDAJ	VYBER	15	21317	SLUZBY	\N	\N
1097083	3748	1998-09-30	VYDAJ	VYBER	15	19850	SLUZBY	\N	\N
1097084	3748	1998-10-31	VYDAJ	VYBER	15	19279	SLUZBY	\N	\N
1097085	3748	1998-11-30	VYDAJ	VYBER	15	16900	SLUZBY	\N	\N
1097086	3748	1997-03-21	VYDAJ	VYBER	2900	16283	\N	\N	\N
1097087	3748	1997-05-20	VYDAJ	VYBER	600	15972	\N	\N	\N
1097088	3748	1997-07-19	VYDAJ	VYBER	800	17407	\N	\N	\N
1097089	3748	1998-05-15	VYDAJ	VYBER	2400	19653	\N	\N	\N
1097090	3748	1998-06-14	VYDAJ	VYBER	1800	18986	\N	\N	\N
1097091	3748	1998-09-12	VYDAJ	VYBER	2600	20089	\N	\N	\N
1097092	3748	1998-10-12	VYDAJ	VYBER	1700	19522	\N	\N	\N
1097093	3748	1998-11-11	VYDAJ	VYBER	3500	17151	\N	\N	\N
1097155	3749	1996-08-10	PRIJEM	VKLAD	800	800	\N	\N	\N
1097164	3749	1996-09-08	PRIJEM	VKLAD	23446	24246	\N	\N	\N
1097165	3749	1996-10-08	PRIJEM	VKLAD	23446	50173	\N	\N	\N
1097166	3749	1996-11-08	PRIJEM	VKLAD	23446	60462	\N	\N	\N
1097167	3749	1996-12-08	PRIJEM	VKLAD	35169	78003	\N	\N	\N
1097168	3749	1997-01-08	PRIJEM	VKLAD	23446	68266	\N	\N	\N
1097169	3749	1997-02-08	PRIJEM	VKLAD	23446	72756	\N	\N	\N
1097170	3749	1997-03-08	PRIJEM	VKLAD	23446	91968	\N	\N	\N
1097171	3749	1997-04-08	PRIJEM	VKLAD	23446	67366	\N	\N	\N
1097172	3749	1997-05-08	PRIJEM	VKLAD	23446	70655	\N	\N	\N
1097173	3749	1997-06-08	PRIJEM	VKLAD	35169	83383	\N	\N	\N
1097174	3749	1997-07-08	PRIJEM	VKLAD	23446	80533	\N	\N	\N
1097175	3749	1997-08-08	PRIJEM	VKLAD	23446	73919	\N	\N	\N
1097176	3749	1997-09-08	PRIJEM	VKLAD	23446	71768	\N	\N	\N
1097177	3749	1997-10-08	PRIJEM	VKLAD	23446	73157	\N	\N	\N
1097178	3749	1997-11-08	PRIJEM	VKLAD	23446	71663	\N	\N	\N
1097179	3749	1997-12-08	PRIJEM	VKLAD	35169	82297	\N	\N	\N
1097180	3749	1998-01-08	PRIJEM	VKLAD	23446	75229	\N	\N	\N
1097181	3749	1998-02-08	PRIJEM	VKLAD	23446	70255	\N	\N	\N
1097182	3749	1998-03-08	PRIJEM	VKLAD	23446	65466	\N	\N	\N
1097183	3749	1998-04-08	PRIJEM	VKLAD	23446	66050	\N	\N	\N
1097184	3749	1998-05-08	PRIJEM	VKLAD	23446	61139	\N	\N	\N
1097185	3749	1998-06-08	PRIJEM	VKLAD	35169	75734	\N	\N	\N
1097186	3749	1998-07-08	PRIJEM	VKLAD	23446	67648	\N	\N	\N
1097187	3749	1998-08-08	PRIJEM	VKLAD	23446	67047	\N	\N	\N
1097188	3749	1998-09-08	PRIJEM	VKLAD	23446	63198	\N	\N	\N
1097189	3749	1998-10-08	PRIJEM	VKLAD	23446	59733	\N	\N	\N
1097190	3749	1998-11-08	PRIJEM	VKLAD	23446	56551	\N	\N	\N
1097191	3749	1998-12-08	PRIJEM	VKLAD	35169	66678	\N	\N	\N
1097204	3749	1997-01-13	VYDAJ	PREVOD NA UCET	3904	64362	SIPO	CD	99050771
1097205	3749	1997-02-13	VYDAJ	PREVOD NA UCET	3904	68852	SIPO	CD	99050771
1097206	3749	1997-03-13	VYDAJ	PREVOD NA UCET	3904	56464	SIPO	CD	99050771
1097207	3749	1997-04-13	VYDAJ	PREVOD NA UCET	3904	63462	SIPO	CD	99050771
1097208	3749	1997-05-13	VYDAJ	PREVOD NA UCET	3904	66751	SIPO	CD	99050771
1097209	3749	1997-06-13	VYDAJ	PREVOD NA UCET	3904	79479	SIPO	CD	99050771
1097210	3749	1997-07-13	VYDAJ	PREVOD NA UCET	3904	76629	SIPO	CD	99050771
1097211	3749	1997-08-13	VYDAJ	PREVOD NA UCET	3904	63655	SIPO	CD	99050771
1097212	3749	1997-09-13	VYDAJ	PREVOD NA UCET	3904	67864	SIPO	CD	99050771
1097213	3749	1997-10-13	VYDAJ	PREVOD NA UCET	3904	69253	SIPO	CD	99050771
1097214	3749	1997-11-13	VYDAJ	PREVOD NA UCET	3904	67759	SIPO	CD	99050771
1097215	3749	1997-12-13	VYDAJ	PREVOD NA UCET	3904	74593	SIPO	CD	99050771
1097216	3749	1998-01-13	VYDAJ	PREVOD NA UCET	3904	71325	SIPO	CD	99050771
1097217	3749	1998-02-13	VYDAJ	PREVOD NA UCET	3904	66351	SIPO	CD	99050771
1097218	3749	1998-03-13	VYDAJ	PREVOD NA UCET	3904	61562	SIPO	CD	99050771
1097219	3749	1998-04-13	VYDAJ	PREVOD NA UCET	3904	62146	SIPO	CD	99050771
1097220	3749	1998-05-13	VYDAJ	PREVOD NA UCET	3904	57235	SIPO	CD	99050771
1097221	3749	1998-06-13	VYDAJ	PREVOD NA UCET	3904	71830	SIPO	CD	99050771
1097222	3749	1998-07-13	VYDAJ	PREVOD NA UCET	3904	63744	SIPO	CD	99050771
1097223	3749	1998-08-13	VYDAJ	PREVOD NA UCET	3904	63143	SIPO	CD	99050771
1097224	3749	1998-09-13	VYDAJ	PREVOD NA UCET	3904	59294	SIPO	CD	99050771
1097225	3749	1998-10-13	VYDAJ	PREVOD NA UCET	3904	55829	SIPO	CD	99050771
1097226	3749	1998-11-13	VYDAJ	PREVOD NA UCET	3904	52647	SIPO	CD	99050771
1097227	3749	1998-12-13	VYDAJ	PREVOD NA UCET	3904	62774	SIPO	CD	99050771
1097229	3749	1997-12-08	VYDAJ	VYBER KARTOU	3800	78497	\N	\N	0
1097230	3749	1998-12-26	VYDAJ	VYBER KARTOU	2400	60374	\N	\N	0
1097236	3749	1997-02-17	VYDAJ	VYBER	600	68252	\N	\N	\N
1097237	3749	1997-08-12	VYDAJ	VYBER	1560	72359	\N	\N	\N
1097238	3749	1997-12-25	VYDAJ	VYBER KARTOU	3200	71393	\N	\N	0
1097239	3749	1997-07-16	VYDAJ	VYBER	2760	73869	\N	\N	\N
1097240	3749	1997-08-12	VYDAJ	VYBER	4800	67559	\N	\N	\N
1097241	3749	1997-10-29	VYDAJ	VYBER KARTOU	3400	65853	\N	\N	0
1097242	3749	1997-10-01	VYDAJ	VYBER	1320	66811	\N	\N	\N
1097243	3749	1998-04-30	VYDAJ	VYBER KARTOU	5200	57193	\N	\N	0
1097244	3749	1998-01-18	VYDAJ	VYBER KARTOU	600	70725	\N	\N	0
1097245	3749	1998-06-30	VYDAJ	VYBER KARTOU	1900	68502	\N	\N	0
1097246	3749	1998-06-26	VYDAJ	VYBER KARTOU	1700	70130	\N	\N	0
1097247	3749	1998-03-06	VYDAJ	VYBER KARTOU	2500	42020	\N	\N	0
1097261	3749	1997-01-31	VYDAJ	VYBER	15	64610	SLUZBY	\N	\N
1097262	3749	1997-02-28	VYDAJ	VYBER	15	68522	SLUZBY	\N	\N
1097263	3749	1997-03-31	VYDAJ	VYBER	15	56720	SLUZBY	\N	\N
1097264	3749	1997-04-30	VYDAJ	VYBER	15	63709	SLUZBY	\N	\N
1097265	3749	1997-05-31	VYDAJ	VYBER	15	67014	SLUZBY	\N	\N
1097266	3749	1997-06-30	VYDAJ	VYBER	15	79787	SLUZBY	\N	\N
1097267	3749	1997-07-31	VYDAJ	VYBER	15	74173	SLUZBY	\N	\N
1097268	3749	1997-08-31	VYDAJ	VYBER	15	63922	SLUZBY	\N	\N
1097269	3749	1997-09-30	VYDAJ	VYBER	15	68131	SLUZBY	\N	\N
1097270	3749	1997-10-31	VYDAJ	VYBER	15	66117	SLUZBY	\N	\N
1097271	3749	1997-11-30	VYDAJ	VYBER	15	68028	SLUZBY	\N	\N
1097272	3749	1997-12-31	VYDAJ	VYBER	15	71683	SLUZBY	\N	\N
1097273	3749	1998-01-31	VYDAJ	VYBER	15	71009	SLUZBY	\N	\N
1097274	3749	1998-02-28	VYDAJ	VYBER	15	66620	SLUZBY	\N	\N
1097275	3749	1998-03-31	VYDAJ	VYBER	15	61804	SLUZBY	\N	\N
1097276	3749	1998-04-30	VYDAJ	VYBER	15	62393	SLUZBY	\N	\N
1097277	3749	1998-05-31	VYDAJ	VYBER	15	57465	SLUZBY	\N	\N
1097278	3749	1998-06-30	VYDAJ	VYBER	15	70402	SLUZBY	\N	\N
1097279	3749	1998-07-31	VYDAJ	VYBER	15	64001	SLUZBY	\N	\N
1097280	3749	1998-08-31	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
1097281	3749	1998-09-30	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
1097282	3749	1998-10-31	VYDAJ	VYBER	15	33105	SLUZBY	\N	\N
1097283	3749	1998-11-30	VYDAJ	VYBER	15	31509	SLUZBY	\N	\N
1097284	3749	1996-09-09	PRIJEM	VKLAD	2400	26646	\N	\N	\N
1097285	3749	1996-10-09	VYDAJ	VYBER	13300	36873	\N	\N	\N
1097286	3749	1996-11-08	VYDAJ	VYBER	17800	42662	\N	\N	\N
1097287	3749	1996-12-08	VYDAJ	VYBER	23100	54903	\N	\N	\N
1097288	3749	1997-01-07	VYDAJ	VYBER	10300	44820	\N	\N	\N
1097289	3749	1997-02-06	VYDAJ	VYBER	15300	49310	\N	\N	\N
1097290	3749	1997-03-08	VYDAJ	VYBER	31600	60368	\N	\N	\N
1097291	3749	1997-04-07	VYDAJ	VYBER	12800	43920	\N	\N	\N
1097292	3749	1997-05-07	VYDAJ	VYBER	16500	47209	\N	\N	\N
1097293	3749	1997-06-06	VYDAJ	VYBER	18800	48214	\N	\N	\N
1097294	3749	1997-07-06	VYDAJ	VYBER	22700	57087	\N	\N	\N
1097295	3749	1997-08-05	VYDAJ	VYBER	23700	50473	\N	\N	\N
1097296	3749	1997-09-04	VYDAJ	VYBER	15600	48322	\N	\N	\N
1097297	3749	1997-10-04	VYDAJ	VYBER	17100	49711	\N	\N	\N
1097298	3749	1997-11-03	VYDAJ	VYBER	17900	48217	\N	\N	\N
1097299	3749	1997-12-03	VYDAJ	VYBER	20900	47128	\N	\N	\N
1097300	3749	1998-01-02	VYDAJ	VYBER	19900	51783	\N	\N	\N
1097301	3749	1998-02-01	VYDAJ	VYBER	24200	46809	\N	\N	\N
1097302	3749	1998-03-03	VYDAJ	VYBER	22100	44520	\N	\N	\N
1097303	3749	1998-04-02	VYDAJ	VYBER	19200	42604	\N	\N	\N
1097304	3749	1998-05-02	VYDAJ	VYBER	19500	37693	\N	\N	\N
1097305	3749	1998-06-01	VYDAJ	VYBER	16900	40565	\N	\N	\N
1097306	3749	1998-07-01	VYDAJ	VYBER	24300	44202	\N	\N	\N
1097307	3749	1998-07-31	VYDAJ	VYBER	20400	43601	\N	\N	\N
1097308	3749	1998-08-30	VYDAJ	VYBER	23600	39543	\N	\N	\N
1097309	3749	1998-09-29	VYDAJ	VYBER	23200	36094	\N	\N	\N
1097310	3749	1998-10-29	VYDAJ	VYBER	22900	32929	\N	\N	\N
1097311	3749	1998-11-28	VYDAJ	VYBER	21300	31347	\N	\N	\N
1097340	3750	1995-03-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1097344	3750	1995-04-06	PRIJEM	VKLAD	20233	21233	\N	\N	\N
1097345	3750	1995-05-06	PRIJEM	VKLAD	20233	44413	\N	\N	\N
1097346	3750	1995-06-06	PRIJEM	VKLAD	30350	62679	\N	\N	\N
1097347	3750	1995-07-06	PRIJEM	VKLAD	20233	60964	\N	\N	\N
1097348	3750	1995-08-06	PRIJEM	VKLAD	20233	60565	\N	\N	\N
1097349	3750	1995-09-06	PRIJEM	VKLAD	20233	49146	\N	\N	\N
1097350	3750	1995-10-06	PRIJEM	VKLAD	20233	52195	\N	\N	\N
1097351	3750	1995-11-06	PRIJEM	VKLAD	20233	52775	\N	\N	\N
1097352	3750	1995-12-06	PRIJEM	VKLAD	30350	61368	\N	\N	\N
1097353	3750	1996-01-06	PRIJEM	VKLAD	20233	45173	\N	\N	\N
1097354	3750	1996-02-06	PRIJEM	VKLAD	20233	33649	\N	\N	\N
1097355	3750	1996-03-06	PRIJEM	VKLAD	20233	37579	\N	\N	\N
1097356	3750	1996-04-06	PRIJEM	VKLAD	20233	35452	\N	\N	\N
1097357	3750	1996-05-06	PRIJEM	VKLAD	20233	34475	\N	\N	\N
1097358	3750	1996-06-06	PRIJEM	VKLAD	30350	45800	\N	\N	\N
1097359	3750	1996-07-06	PRIJEM	VKLAD	20233	48950	\N	\N	\N
1097360	3750	1996-08-06	PRIJEM	VKLAD	20233	46309	\N	\N	\N
1097361	3750	1996-09-06	PRIJEM	VKLAD	20233	38016	\N	\N	\N
1097362	3750	1996-10-06	PRIJEM	VKLAD	20233	40851	\N	\N	\N
1097363	3750	1996-11-06	PRIJEM	VKLAD	20233	39803	\N	\N	\N
1097364	3750	1996-12-06	PRIJEM	VKLAD	30350	58279	\N	\N	\N
1097365	3750	1997-01-06	PRIJEM	VKLAD	20233	51414	\N	\N	\N
1097366	3750	1997-02-06	PRIJEM	VKLAD	20233	43786	\N	\N	\N
1097367	3750	1997-03-06	PRIJEM	VKLAD	20233	56371	\N	\N	\N
1097368	3750	1997-04-06	PRIJEM	VKLAD	20233	57776	\N	\N	\N
1097369	3750	1997-05-06	PRIJEM	VKLAD	20233	57643	\N	\N	\N
1097370	3750	1997-06-06	PRIJEM	VKLAD	30350	71582	\N	\N	\N
1097371	3750	1997-07-06	PRIJEM	VKLAD	20233	62641	\N	\N	\N
1097372	3750	1997-08-06	PRIJEM	VKLAD	20233	67583	\N	\N	\N
1097373	3750	1997-09-06	PRIJEM	VKLAD	20233	71677	\N	\N	\N
1097374	3750	1997-10-06	PRIJEM	VKLAD	20233	73192	\N	\N	\N
1097375	3750	1997-11-06	PRIJEM	VKLAD	20233	69174	\N	\N	\N
1097376	3750	1997-12-06	PRIJEM	VKLAD	30350	82693	\N	\N	\N
1097377	3750	1998-01-06	PRIJEM	VKLAD	20233	72186	\N	\N	\N
1097378	3750	1998-02-06	PRIJEM	VKLAD	20233	65318	\N	\N	\N
1097379	3750	1998-03-06	PRIJEM	VKLAD	20233	68232	\N	\N	\N
1097380	3750	1998-04-06	PRIJEM	VKLAD	20233	70529	\N	\N	\N
1097381	3750	1998-05-06	PRIJEM	VKLAD	20233	73239	\N	\N	\N
1097382	3750	1998-06-06	PRIJEM	VKLAD	30350	83435	\N	\N	\N
1097383	3750	1998-07-06	PRIJEM	VKLAD	20233	76163	\N	\N	\N
1097384	3750	1998-08-06	PRIJEM	VKLAD	20233	71444	\N	\N	\N
1097385	3750	1998-09-06	PRIJEM	VKLAD	20233	69826	\N	\N	\N
1097386	3750	1998-10-06	PRIJEM	VKLAD	20233	62716	\N	\N	\N
1097387	3750	1998-11-06	PRIJEM	VKLAD	20233	57339	\N	\N	\N
1097388	3750	1998-12-06	PRIJEM	VKLAD	30350	67539	\N	\N	\N
1097396	3750	1995-08-13	VYDAJ	PREVOD NA UCET	7774	52791	SIPO	UV	81509756
1097397	3750	1995-09-13	VYDAJ	PREVOD NA UCET	7774	39932	SIPO	UV	81509756
1097398	3750	1995-10-13	VYDAJ	PREVOD NA UCET	7774	44421	SIPO	UV	81509756
1097399	3750	1995-11-13	VYDAJ	PREVOD NA UCET	7774	45001	SIPO	UV	81509756
1097400	3750	1995-12-13	VYDAJ	PREVOD NA UCET	7774	33294	SIPO	UV	81509756
1097401	3750	1996-01-13	VYDAJ	PREVOD NA UCET	7774	22799	SIPO	UV	81509756
1097402	3750	1996-02-13	VYDAJ	PREVOD NA UCET	7774	17275	SIPO	UV	81509756
1097403	3750	1996-03-13	VYDAJ	PREVOD NA UCET	7774	19605	SIPO	UV	81509756
1097404	3750	1996-04-13	VYDAJ	PREVOD NA UCET	7774	20778	SIPO	UV	81509756
1097405	3750	1996-05-13	VYDAJ	PREVOD NA UCET	7774	15401	SIPO	UV	81509756
1097406	3750	1996-06-13	VYDAJ	PREVOD NA UCET	7774	28626	SIPO	UV	81509756
1097407	3750	1996-07-13	VYDAJ	PREVOD NA UCET	7774	25976	SIPO	UV	81509756
1097408	3750	1996-08-13	VYDAJ	PREVOD NA UCET	7774	25135	SIPO	UV	81509756
1097409	3750	1996-09-13	VYDAJ	PREVOD NA UCET	7774	20542	SIPO	UV	81509756
1097410	3750	1996-10-13	VYDAJ	PREVOD NA UCET	7774	19497	SIPO	UV	81509756
1097411	3750	1996-11-13	VYDAJ	PREVOD NA UCET	7774	27829	SIPO	UV	81509756
1097412	3750	1996-12-13	VYDAJ	PREVOD NA UCET	7774	35605	SIPO	UV	81509756
1097413	3750	1997-01-13	VYDAJ	PREVOD NA UCET	7774	23920	SIPO	UV	81509756
1097414	3750	1997-02-13	VYDAJ	PREVOD NA UCET	7774	36012	SIPO	UV	81509756
1097415	3750	1997-03-13	VYDAJ	PREVOD NA UCET	7774	37397	SIPO	UV	81509756
1097416	3750	1997-04-13	VYDAJ	PREVOD NA UCET	7774	37262	SIPO	UV	81509756
1097417	3750	1997-05-13	VYDAJ	PREVOD NA UCET	7774	41669	SIPO	UV	81509756
1097418	3750	1997-06-13	VYDAJ	PREVOD NA UCET	7774	63808	SIPO	UV	81509756
1097419	3750	1997-07-13	VYDAJ	PREVOD NA UCET	7774	54867	SIPO	UV	81509756
1097420	3750	1997-08-13	VYDAJ	PREVOD NA UCET	7774	59809	SIPO	UV	81509756
1097421	3750	1997-09-13	VYDAJ	PREVOD NA UCET	7774	63903	SIPO	UV	81509756
1097422	3750	1997-10-13	VYDAJ	PREVOD NA UCET	7774	65418	SIPO	UV	81509756
1097423	3750	1997-11-13	VYDAJ	PREVOD NA UCET	7774	61400	SIPO	UV	81509756
1097424	3750	1997-12-13	VYDAJ	PREVOD NA UCET	7774	74919	SIPO	UV	81509756
1097425	3750	1998-01-13	VYDAJ	PREVOD NA UCET	7774	49692	SIPO	UV	81509756
1097426	3750	1998-02-13	VYDAJ	PREVOD NA UCET	7774	57544	SIPO	UV	81509756
1097427	3750	1998-03-13	VYDAJ	PREVOD NA UCET	7774	60458	SIPO	UV	81509756
1097428	3750	1998-04-13	VYDAJ	PREVOD NA UCET	7774	62755	SIPO	UV	81509756
1097429	3750	1998-05-13	VYDAJ	PREVOD NA UCET	7774	65465	SIPO	UV	81509756
1097430	3750	1998-06-13	VYDAJ	PREVOD NA UCET	7774	67661	SIPO	UV	81509756
1097431	3750	1998-07-13	VYDAJ	PREVOD NA UCET	7774	66469	SIPO	UV	81509756
1097432	3750	1998-08-13	VYDAJ	PREVOD NA UCET	7774	63670	SIPO	UV	81509756
1097433	3750	1998-09-13	VYDAJ	PREVOD NA UCET	7774	62052	SIPO	UV	81509756
1097434	3750	1998-10-13	VYDAJ	PREVOD NA UCET	7774	54942	SIPO	UV	81509756
1097435	3750	1998-11-13	VYDAJ	PREVOD NA UCET	7774	49565	SIPO	UV	81509756
1097436	3750	1998-12-13	VYDAJ	PREVOD NA UCET	7774	59765	SIPO	UV	81509756
1097439	3750	1997-06-13	VYDAJ	VYBER	22240	41568	\N	\N	\N
1097440	3750	1998-06-12	VYDAJ	VYBER	8000	75435	\N	\N	\N
1097442	3750	1996-01-02	VYDAJ	VYBER	2720	29260	\N	\N	\N
1097443	3750	1997-01-10	VYDAJ	VYBER	10720	31694	\N	\N	\N
1097444	3750	1998-01-08	VYDAJ	VYBER	4160	64186	\N	\N	\N
1097445	3750	1995-12-21	VYDAJ	VYBER	1440	31854	\N	\N	\N
1097446	3750	1996-12-07	VYDAJ	VYBER	4000	43379	\N	\N	\N
1097447	3750	1997-12-29	VYDAJ	VYBER	2400	72519	\N	\N	\N
1097448	3750	1998-12-05	VYDAJ	VYBER	2560	37190	\N	\N	\N
1097455	3750	1996-01-26	VYDAJ	VYBER	3240	17399	\N	\N	\N
1097456	3750	1996-01-23	VYDAJ	VYBER	1080	21719	\N	\N	\N
1097457	3750	1996-01-05	VYDAJ	VYBER	2640	24940	\N	\N	\N
1097458	3750	1996-01-02	VYDAJ	VYBER	1680	27580	\N	\N	\N
1097459	3750	1996-01-23	VYDAJ	VYBER	1080	20639	\N	\N	\N
1097460	3750	1996-01-07	VYDAJ	VYBER	3000	42173	\N	\N	\N
1097461	3750	1997-01-03	VYDAJ	VYBER	1920	31181	\N	\N	\N
1097462	3750	1997-01-19	VYDAJ	VYBER	3000	16000	\N	\N	\N
1097463	3750	1997-01-13	VYDAJ	VYBER	1560	22360	\N	\N	\N
1097464	3750	1997-01-20	VYDAJ	VYBER	600	15400	\N	\N	\N
1097465	3750	1997-01-01	VYDAJ	VYBER	2640	33101	\N	\N	\N
1097466	3750	1997-01-26	VYDAJ	VYBER	1440	13960	\N	\N	\N
1097467	3750	1998-01-07	VYDAJ	VYBER	720	68346	\N	\N	\N
1097468	3750	1998-01-09	VYDAJ	VYBER	840	63346	\N	\N	\N
1097469	3750	1998-01-04	VYDAJ	VYBER	1440	55073	\N	\N	\N
1097470	3750	1998-01-05	VYDAJ	VYBER	3120	51953	\N	\N	\N
1097471	3750	1998-01-07	VYDAJ	VYBER	3120	69066	\N	\N	\N
1097472	3750	1998-01-22	VYDAJ	VYBER	1920	47772	\N	\N	\N
1097473	3750	1995-08-26	VYDAJ	VYBER	3120	31891	\N	\N	\N
1097474	3750	1995-08-28	VYDAJ	VYBER	3120	28771	\N	\N	\N
1097475	3750	1995-09-07	VYDAJ	VYBER	1440	47706	\N	\N	\N
1097476	3750	1995-08-19	VYDAJ	VYBER	3480	35011	\N	\N	\N
1097479	3750	1996-08-20	VYDAJ	VYBER	4560	20575	\N	\N	\N
1097480	3750	1996-05-12	VYDAJ	VYBER	1800	23175	\N	\N	\N
1097481	3750	1996-10-08	VYDAJ	VYBER	5880	27271	\N	\N	\N
1097482	3750	1996-02-01	VYDAJ	VYBER	4080	13416	\N	\N	\N
1097483	3750	1996-03-15	VYDAJ	VYBER	4440	15165	\N	\N	\N
1097484	3750	1996-04-20	VYDAJ	VYBER	1560	19218	\N	\N	\N
1097485	3750	1996-04-30	VYDAJ	VYBER	5040	14242	\N	\N	\N
1097486	3750	1996-08-31	VYDAJ	VYBER	2880	17783	\N	\N	\N
1097487	3750	1997-07-18	VYDAJ	VYBER	4320	50547	\N	\N	\N
1097488	3750	1997-01-18	VYDAJ	VYBER	3360	19000	\N	\N	\N
1097489	3750	1997-11-03	VYDAJ	VYBER	3840	48941	\N	\N	\N
1097490	3750	1997-04-07	VYDAJ	VYBER	2640	45036	\N	\N	\N
1097491	3750	1998-07-12	VYDAJ	VYBER	1920	74243	\N	\N	\N
1097492	3750	1998-02-21	VYDAJ	VYBER	5640	51904	\N	\N	\N
1097493	3750	1998-06-05	VYDAJ	VYBER	840	53086	\N	\N	\N
1097494	3750	1998-11-03	VYDAJ	VYBER	2520	37106	\N	\N	\N
1097495	3750	1998-01-13	VYDAJ	VYBER	5880	57466	\N	\N	\N
1097496	3750	1998-09-26	VYDAJ	VYBER	4080	57972	\N	\N	\N
1097505	3750	1995-08-31	VYDAJ	VYBER	15	28913	SLUZBY	\N	\N
1097506	3750	1995-09-30	VYDAJ	VYBER	15	31962	SLUZBY	\N	\N
1097507	3750	1995-10-31	VYDAJ	VYBER	15	32542	SLUZBY	\N	\N
1097508	3750	1995-11-30	VYDAJ	VYBER	15	31018	SLUZBY	\N	\N
1097509	3750	1995-12-31	VYDAJ	VYBER	15	31980	SLUZBY	\N	\N
1097510	3750	1996-01-31	VYDAJ	VYBER	15	17496	SLUZBY	\N	\N
1097511	3750	1996-02-29	VYDAJ	VYBER	15	17346	SLUZBY	\N	\N
1097512	3750	1996-03-31	VYDAJ	VYBER	15	15219	SLUZBY	\N	\N
1097513	3750	1996-04-30	VYDAJ	VYBER	15	19282	SLUZBY	\N	\N
1097514	3750	1996-05-31	VYDAJ	VYBER	15	15451	SLUZBY	\N	\N
1097515	3750	1996-06-30	VYDAJ	VYBER	15	28717	SLUZBY	\N	\N
1097516	3750	1996-07-31	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
1097517	3750	1996-08-31	VYDAJ	VYBER	15	20663	SLUZBY	\N	\N
1097518	3750	1996-09-30	VYDAJ	VYBER	15	20618	SLUZBY	\N	\N
1097519	3750	1996-10-31	VYDAJ	VYBER	15	19570	SLUZBY	\N	\N
1097520	3750	1996-11-30	VYDAJ	VYBER	15	27929	SLUZBY	\N	\N
1097521	3750	1996-12-31	VYDAJ	VYBER	15	35741	SLUZBY	\N	\N
1097522	3750	1997-01-31	VYDAJ	VYBER	15	14053	SLUZBY	\N	\N
1097523	3750	1997-02-28	VYDAJ	VYBER	15	36138	SLUZBY	\N	\N
1097524	3750	1997-03-31	VYDAJ	VYBER	15	37543	SLUZBY	\N	\N
1097525	3750	1997-04-30	VYDAJ	VYBER	15	37410	SLUZBY	\N	\N
1097526	3750	1997-05-31	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
1097527	3750	1997-06-30	VYDAJ	VYBER	15	41808	SLUZBY	\N	\N
1097528	3750	1997-07-31	VYDAJ	VYBER	15	50750	SLUZBY	\N	\N
1097529	3750	1997-08-31	VYDAJ	VYBER	15	60044	SLUZBY	\N	\N
1097530	3750	1997-09-30	VYDAJ	VYBER	15	64159	SLUZBY	\N	\N
1097531	3750	1997-10-31	VYDAJ	VYBER	15	65681	SLUZBY	\N	\N
1097532	3750	1997-11-30	VYDAJ	VYBER	15	61644	SLUZBY	\N	\N
1097533	3750	1997-12-31	VYDAJ	VYBER	15	72813	SLUZBY	\N	\N
1097534	3750	1998-01-31	VYDAJ	VYBER	15	47985	SLUZBY	\N	\N
1097535	3750	1998-02-28	VYDAJ	VYBER	15	52099	SLUZBY	\N	\N
1097536	3750	1998-03-31	VYDAJ	VYBER	15	60696	SLUZBY	\N	\N
1097537	3750	1998-04-30	VYDAJ	VYBER	15	63006	SLUZBY	\N	\N
1097538	3750	1998-05-31	VYDAJ	VYBER	15	53926	SLUZBY	\N	\N
1097539	3750	1998-06-30	VYDAJ	VYBER	15	67930	SLUZBY	\N	\N
1097540	3750	1998-07-31	VYDAJ	VYBER	15	51211	SLUZBY	\N	\N
1097541	3750	1998-08-31	VYDAJ	VYBER	15	49593	SLUZBY	\N	\N
1097542	3750	1998-09-30	VYDAJ	VYBER	15	42483	SLUZBY	\N	\N
1097543	3750	1998-10-31	VYDAJ	VYBER	15	39626	SLUZBY	\N	\N
1097544	3750	1998-11-30	VYDAJ	VYBER	15	39750	SLUZBY	\N	\N
1097545	3750	1995-04-17	PRIJEM	VKLAD	2900	24133	\N	\N	\N
1097546	3750	1995-05-17	VYDAJ	VYBER	12200	32213	\N	\N	\N
1097547	3750	1995-06-16	VYDAJ	VYBER	22100	40579	\N	\N	\N
1097548	3750	1995-07-16	VYDAJ	VYBER	20800	40164	\N	\N	\N
1097549	3750	1995-08-15	VYDAJ	VYBER	14300	38491	\N	\N	\N
1097550	3750	1995-09-14	VYDAJ	VYBER	8100	31832	\N	\N	\N
1097551	3750	1995-10-14	VYDAJ	VYBER	12000	32421	\N	\N	\N
1097552	3750	1995-11-13	VYDAJ	VYBER	14100	30901	\N	\N	\N
1097553	3750	1995-12-13	VYDAJ	VYBER	20300	41068	\N	\N	\N
1097554	3750	1996-01-12	VYDAJ	VYBER	11600	30573	\N	\N	\N
1097555	3750	1996-02-11	VYDAJ	VYBER	8600	25049	\N	\N	\N
1097556	3750	1996-03-12	VYDAJ	VYBER	10200	27379	\N	\N	\N
1097557	3750	1996-04-11	VYDAJ	VYBER	6900	28552	\N	\N	\N
1097558	3750	1996-05-11	VYDAJ	VYBER	9500	24975	\N	\N	\N
1097559	3750	1996-06-10	VYDAJ	VYBER	9400	36400	\N	\N	\N
1097560	3750	1996-07-10	VYDAJ	VYBER	15200	33750	\N	\N	\N
1097561	3750	1996-08-09	VYDAJ	VYBER	13400	32909	\N	\N	\N
1097562	3750	1996-09-08	VYDAJ	VYBER	9700	28316	\N	\N	\N
1097563	3750	1996-10-08	VYDAJ	VYBER	7700	33151	\N	\N	\N
1097564	3750	1996-11-07	VYDAJ	VYBER	4200	35603	\N	\N	\N
1097565	3750	1996-12-07	VYDAJ	VYBER	10900	47379	\N	\N	\N
1097566	3750	1997-01-06	VYDAJ	VYBER	9000	42414	\N	\N	\N
1097567	3750	1997-02-05	PRIJEM	VKLAD	9500	23553	\N	\N	\N
1097568	3750	1997-03-07	VYDAJ	VYBER	11200	45171	\N	\N	\N
1097569	3750	1997-04-06	VYDAJ	VYBER	10100	47676	\N	\N	\N
1097570	3750	1997-05-06	VYDAJ	VYBER	8200	49443	\N	\N	\N
1097571	3750	1997-06-05	VYDAJ	VYBER	600	41232	\N	\N	\N
1097572	3750	1997-07-05	PRIJEM	VKLAD	600	42408	\N	\N	\N
1097573	3750	1997-08-04	VYDAJ	VYBER	3400	47350	\N	\N	\N
1097574	3750	1997-09-03	VYDAJ	VYBER	8600	51444	\N	\N	\N
1097575	3750	1997-10-03	VYDAJ	VYBER	11200	52959	\N	\N	\N
1097576	3750	1997-11-02	VYDAJ	VYBER	12900	52781	\N	\N	\N
1097577	3750	1997-12-02	VYDAJ	VYBER	9300	52344	\N	\N	\N
1097578	3750	1998-01-01	VYDAJ	VYBER	16300	56513	\N	\N	\N
1097579	3750	1998-01-31	VYDAJ	VYBER	2900	45085	\N	\N	\N
1097580	3750	1998-03-02	VYDAJ	VYBER	4100	47999	\N	\N	\N
1097581	3750	1998-04-01	VYDAJ	VYBER	10400	50296	\N	\N	\N
1097582	3750	1998-05-01	VYDAJ	VYBER	10000	53006	\N	\N	\N
1097583	3750	1998-05-31	VYDAJ	VYBER	11800	53940	\N	\N	\N
1097584	3750	1998-06-30	VYDAJ	VYBER	12000	55930	\N	\N	\N
1097585	3750	1998-07-30	VYDAJ	VYBER	15500	50969	\N	\N	\N
1097586	3750	1998-08-29	VYDAJ	VYBER	14300	49370	\N	\N	\N
1097587	3750	1998-09-28	VYDAJ	VYBER	15700	42272	\N	\N	\N
1097588	3750	1998-10-28	VYDAJ	VYBER	15500	39442	\N	\N	\N
1097589	3750	1998-11-27	VYDAJ	VYBER	10000	39565	\N	\N	\N
1097635	3751	1993-09-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1097645	3751	1993-10-08	PRIJEM	VKLAD	19969	21069	\N	\N	\N
1097646	3751	1993-11-08	PRIJEM	VKLAD	19969	42088	\N	\N	\N
1097647	3751	1993-12-08	PRIJEM	VKLAD	29954	64664	\N	\N	\N
1097648	3751	1994-01-08	PRIJEM	VKLAD	19969	66004	\N	\N	\N
1097649	3751	1994-02-08	PRIJEM	VKLAD	19969	64160	\N	\N	\N
1097650	3751	1994-03-08	PRIJEM	VKLAD	19969	58936	\N	\N	\N
1097651	3751	1994-04-08	PRIJEM	VKLAD	19969	55924	\N	\N	\N
1097652	3751	1994-05-08	PRIJEM	VKLAD	19969	56698	\N	\N	\N
1097653	3751	1994-06-08	PRIJEM	VKLAD	29954	62948	\N	\N	\N
1097654	3751	1994-07-08	PRIJEM	VKLAD	19969	46726	\N	\N	\N
1097655	3751	1994-08-08	PRIJEM	VKLAD	19969	50472	\N	\N	\N
1097656	3751	1994-09-08	PRIJEM	VKLAD	19969	53225	\N	\N	\N
1097657	3751	1994-10-08	PRIJEM	VKLAD	19969	52576	\N	\N	\N
1097658	3751	1994-11-08	PRIJEM	VKLAD	19969	53931	\N	\N	\N
1097659	3751	1994-12-08	PRIJEM	VKLAD	29954	61072	\N	\N	\N
1097660	3751	1995-01-08	PRIJEM	VKLAD	19969	53836	\N	\N	\N
1097661	3751	1995-02-08	PRIJEM	VKLAD	19969	45204	\N	\N	\N
1097662	3751	1995-03-08	PRIJEM	VKLAD	19969	62174	\N	\N	\N
1097663	3751	1995-04-08	PRIJEM	VKLAD	19969	58952	\N	\N	\N
1097664	3751	1995-05-08	PRIJEM	VKLAD	19969	52003	\N	\N	\N
1097665	3751	1995-06-08	PRIJEM	VKLAD	29954	53184	\N	\N	\N
1097666	3751	1995-07-08	PRIJEM	VKLAD	19969	42053	\N	\N	\N
1097667	3751	1995-08-08	PRIJEM	VKLAD	19969	47609	\N	\N	\N
1097668	3751	1995-09-08	PRIJEM	VKLAD	19969	47396	\N	\N	\N
1097669	3751	1995-10-08	PRIJEM	VKLAD	19969	47384	\N	\N	\N
1097670	3751	1995-11-08	PRIJEM	VKLAD	19969	47367	\N	\N	\N
1097671	3751	1995-12-08	PRIJEM	VKLAD	29954	54833	\N	\N	\N
1097672	3751	1996-01-08	PRIJEM	VKLAD	19969	54739	\N	\N	\N
1097673	3751	1996-02-08	PRIJEM	VKLAD	19969	44726	\N	\N	\N
1097674	3751	1996-03-08	PRIJEM	VKLAD	19969	44398	\N	\N	\N
1097675	3751	1996-04-08	PRIJEM	VKLAD	19969	47173	\N	\N	\N
1097676	3751	1996-05-08	PRIJEM	VKLAD	19969	49857	\N	\N	\N
1097677	3751	1996-06-08	PRIJEM	VKLAD	29954	60837	\N	\N	\N
1097678	3751	1996-07-08	PRIJEM	VKLAD	19969	44539	\N	\N	\N
1097679	3751	1996-08-08	PRIJEM	VKLAD	19969	43405	\N	\N	\N
1097680	3751	1996-09-08	PRIJEM	VKLAD	19969	41961	\N	\N	\N
1097681	3751	1996-10-08	PRIJEM	VKLAD	19969	40010	\N	\N	\N
1097682	3751	1996-11-08	PRIJEM	VKLAD	19969	38848	\N	\N	\N
1097683	3751	1996-12-08	PRIJEM	VKLAD	29954	49068	\N	\N	\N
1097684	3751	1997-01-08	PRIJEM	VKLAD	19969	39020	\N	\N	\N
1097685	3751	1997-02-08	PRIJEM	VKLAD	19969	35137	\N	\N	\N
1097686	3751	1997-03-08	PRIJEM	VKLAD	19969	37055	\N	\N	\N
1097687	3751	1997-04-08	PRIJEM	VKLAD	19969	40081	\N	\N	\N
1097688	3751	1997-05-08	PRIJEM	VKLAD	19969	38016	\N	\N	\N
1097689	3751	1997-06-08	PRIJEM	VKLAD	29954	47527	\N	\N	\N
1097690	3751	1997-07-08	PRIJEM	VKLAD	19969	39232	\N	\N	\N
1097691	3751	1997-08-08	PRIJEM	VKLAD	19969	35557	\N	\N	\N
1097692	3751	1997-09-08	PRIJEM	VKLAD	19969	33567	\N	\N	\N
1097693	3751	1997-10-08	PRIJEM	VKLAD	19969	50485	\N	\N	\N
1097694	3751	1997-11-08	PRIJEM	VKLAD	19969	35739	\N	\N	\N
1097695	3751	1997-12-08	PRIJEM	VKLAD	29954	59444	\N	\N	\N
1097696	3751	1998-01-08	PRIJEM	VKLAD	19969	39619	\N	\N	\N
1097697	3751	1998-02-08	PRIJEM	VKLAD	19969	48845	\N	\N	\N
1097698	3751	1998-03-08	PRIJEM	VKLAD	19969	34989	\N	\N	\N
1097699	3751	1998-04-08	PRIJEM	VKLAD	19969	51912	\N	\N	\N
1097700	3751	1998-05-08	PRIJEM	VKLAD	19969	35667	\N	\N	\N
1097701	3751	1998-06-08	PRIJEM	VKLAD	29954	62580	\N	\N	\N
1097702	3751	1998-07-08	PRIJEM	VKLAD	19969	43758	\N	\N	\N
1097703	3751	1998-08-08	PRIJEM	VKLAD	19969	54104	\N	\N	\N
1097704	3751	1998-09-08	PRIJEM	VKLAD	19969	37553	\N	\N	\N
1097705	3751	1998-10-08	PRIJEM	VKLAD	19969	52684	\N	\N	\N
1097706	3751	1998-11-08	PRIJEM	VKLAD	19969	66480	\N	\N	\N
1097707	3751	1998-12-08	PRIJEM	VKLAD	29954	51042	\N	\N	\N
1097722	3751	1994-03-06	VYDAJ	PREVOD NA UCET	110	38967	SIPO	UV	58641087
1097723	3751	1994-04-06	VYDAJ	PREVOD NA UCET	110	35955	SIPO	UV	58641087
1097724	3751	1994-05-06	VYDAJ	PREVOD NA UCET	110	36729	SIPO	UV	58641087
1097725	3751	1994-06-06	VYDAJ	PREVOD NA UCET	110	32994	SIPO	UV	58641087
1097726	3751	1994-07-06	VYDAJ	PREVOD NA UCET	110	26757	SIPO	UV	58641087
1097727	3751	1994-08-06	VYDAJ	PREVOD NA UCET	110	30503	SIPO	UV	58641087
1097728	3751	1994-09-06	VYDAJ	PREVOD NA UCET	110	33256	SIPO	UV	58641087
1097729	3751	1994-10-06	VYDAJ	PREVOD NA UCET	110	32607	SIPO	UV	58641087
1097730	3751	1994-11-06	VYDAJ	PREVOD NA UCET	110	33962	SIPO	UV	58641087
1097731	3751	1994-12-06	VYDAJ	PREVOD NA UCET	110	31118	SIPO	UV	58641087
1097732	3751	1995-01-06	VYDAJ	PREVOD NA UCET	110	33867	SIPO	UV	58641087
1097733	3751	1995-02-06	VYDAJ	PREVOD NA UCET	110	27935	SIPO	UV	58641087
1097734	3751	1995-03-06	VYDAJ	PREVOD NA UCET	110	42205	SIPO	UV	58641087
1097735	3751	1995-04-06	VYDAJ	PREVOD NA UCET	110	38983	SIPO	UV	58641087
1097736	3751	1995-05-06	VYDAJ	PREVOD NA UCET	110	32034	SIPO	UV	58641087
1097737	3751	1995-06-06	VYDAJ	PREVOD NA UCET	110	29130	SIPO	UV	58641087
1097738	3751	1995-07-06	VYDAJ	PREVOD NA UCET	110	21384	SIPO	UV	58641087
1097739	3751	1995-08-06	VYDAJ	PREVOD NA UCET	110	27640	SIPO	UV	58641087
1097740	3751	1995-09-06	VYDAJ	PREVOD NA UCET	110	30827	SIPO	UV	58641087
1097741	3751	1995-10-06	VYDAJ	PREVOD NA UCET	110	27415	SIPO	UV	58641087
1097742	3751	1995-11-06	VYDAJ	PREVOD NA UCET	110	27398	SIPO	UV	58641087
1097743	3751	1995-12-06	VYDAJ	PREVOD NA UCET	110	24879	SIPO	UV	58641087
1097744	3751	1996-01-06	VYDAJ	PREVOD NA UCET	110	34770	SIPO	UV	58641087
1097745	3751	1996-02-06	VYDAJ	PREVOD NA UCET	110	24757	SIPO	UV	58641087
1097746	3751	1996-03-06	VYDAJ	PREVOD NA UCET	110	24429	SIPO	UV	58641087
1097747	3751	1996-04-06	VYDAJ	PREVOD NA UCET	110	27204	SIPO	UV	58641087
1097748	3751	1996-05-06	VYDAJ	PREVOD NA UCET	110	29888	SIPO	UV	58641087
1097749	3751	1996-06-06	VYDAJ	PREVOD NA UCET	110	30883	SIPO	UV	58641087
1097750	3751	1996-07-06	VYDAJ	PREVOD NA UCET	110	24570	SIPO	UV	58641087
1097751	3751	1996-08-06	VYDAJ	PREVOD NA UCET	110	23436	SIPO	UV	58641087
1097752	3751	1996-09-06	VYDAJ	PREVOD NA UCET	110	21992	SIPO	UV	58641087
1097753	3751	1996-10-06	VYDAJ	PREVOD NA UCET	110	20041	SIPO	UV	58641087
1097754	3751	1996-11-06	VYDAJ	PREVOD NA UCET	110	18879	SIPO	UV	58641087
1097755	3751	1996-12-06	VYDAJ	PREVOD NA UCET	110	19114	SIPO	UV	58641087
1097756	3751	1997-01-06	VYDAJ	PREVOD NA UCET	110	20651	SIPO	UV	58641087
1097757	3751	1997-02-06	VYDAJ	PREVOD NA UCET	110	15168	SIPO	UV	58641087
1097758	3751	1997-03-06	VYDAJ	PREVOD NA UCET	110	17086	SIPO	UV	58641087
1097759	3751	1997-04-06	VYDAJ	PREVOD NA UCET	110	20112	SIPO	UV	58641087
1097760	3751	1997-05-06	VYDAJ	PREVOD NA UCET	110	18047	SIPO	UV	58641087
1097761	3751	1997-06-06	VYDAJ	PREVOD NA UCET	110	17573	SIPO	UV	58641087
1097762	3751	1997-07-06	VYDAJ	PREVOD NA UCET	110	19263	SIPO	UV	58641087
1097763	3751	1997-08-06	VYDAJ	PREVOD NA UCET	110	15588	SIPO	UV	58641087
1097764	3751	1997-09-06	VYDAJ	PREVOD NA UCET	110	13598	SIPO	UV	58641087
1097765	3751	1997-10-06	VYDAJ	PREVOD NA UCET	110	30516	SIPO	UV	58641087
1097766	3751	1997-11-06	VYDAJ	PREVOD NA UCET	110	15770	SIPO	UV	58641087
1097767	3751	1997-12-06	VYDAJ	PREVOD NA UCET	110	29490	SIPO	UV	58641087
1097768	3751	1998-01-06	VYDAJ	PREVOD NA UCET	110	19650	SIPO	UV	58641087
1097769	3751	1998-02-06	VYDAJ	PREVOD NA UCET	110	28876	SIPO	UV	58641087
1097770	3751	1998-03-06	VYDAJ	PREVOD NA UCET	110	15020	SIPO	UV	58641087
1097771	3751	1998-04-06	VYDAJ	PREVOD NA UCET	110	31943	SIPO	UV	58641087
1097772	3751	1998-05-06	VYDAJ	PREVOD NA UCET	110	15698	SIPO	UV	58641087
1097773	3751	1998-06-06	VYDAJ	PREVOD NA UCET	110	32626	SIPO	UV	58641087
1097774	3751	1998-07-06	VYDAJ	PREVOD NA UCET	110	23789	SIPO	UV	58641087
1097775	3751	1998-08-06	VYDAJ	PREVOD NA UCET	110	34135	SIPO	UV	58641087
1097776	3751	1998-09-06	VYDAJ	PREVOD NA UCET	110	17584	SIPO	UV	58641087
1097777	3751	1998-10-06	VYDAJ	PREVOD NA UCET	110	32715	SIPO	UV	58641087
1097778	3751	1998-11-06	VYDAJ	PREVOD NA UCET	110	46511	SIPO	UV	58641087
1097779	3751	1998-12-06	VYDAJ	PREVOD NA UCET	110	21088	SIPO	UV	58641087
1097794	3751	1994-03-05	VYDAJ	PREVOD NA UCET	3046	39077	 	YZ	49654692
1097795	3751	1994-04-05	VYDAJ	PREVOD NA UCET	3046	36065	 	YZ	49654692
1097796	3751	1994-05-05	VYDAJ	PREVOD NA UCET	3046	36839	 	YZ	49654692
1097797	3751	1994-06-05	VYDAJ	PREVOD NA UCET	3046	33104	 	YZ	49654692
1097798	3751	1994-07-05	VYDAJ	PREVOD NA UCET	3046	26867	 	YZ	49654692
1097799	3751	1994-08-05	VYDAJ	PREVOD NA UCET	3046	30613	 	YZ	49654692
1097800	3751	1994-09-05	VYDAJ	PREVOD NA UCET	3046	33366	 	YZ	49654692
1097801	3751	1994-10-05	VYDAJ	PREVOD NA UCET	3046	32717	 	YZ	49654692
1097802	3751	1994-11-05	VYDAJ	PREVOD NA UCET	3046	34072	 	YZ	49654692
1097904	3751	1998-01-21	VYDAJ	VYBER	2800	31919	\N	\N	\N
1097803	3751	1994-12-05	VYDAJ	PREVOD NA UCET	3046	31228	 	YZ	49654692
1097804	3751	1995-01-05	VYDAJ	PREVOD NA UCET	3046	36077	 	YZ	49654692
1097805	3751	1995-02-05	VYDAJ	PREVOD NA UCET	3046	28045	 	YZ	49654692
1097806	3751	1995-03-05	VYDAJ	PREVOD NA UCET	3046	42315	 	YZ	49654692
1097807	3751	1995-04-05	VYDAJ	PREVOD NA UCET	3046	39093	 	YZ	49654692
1097808	3751	1995-05-05	VYDAJ	PREVOD NA UCET	3046	32144	 	YZ	49654692
1097809	3751	1995-06-05	VYDAJ	PREVOD NA UCET	3046	29240	 	YZ	49654692
1097810	3751	1995-07-05	VYDAJ	PREVOD NA UCET	3046	21494	 	YZ	49654692
1097811	3751	1995-08-05	VYDAJ	PREVOD NA UCET	3046	39150	 	YZ	49654692
1097812	3751	1995-09-05	VYDAJ	PREVOD NA UCET	3046	30937	 	YZ	49654692
1097813	3751	1995-10-05	VYDAJ	PREVOD NA UCET	3046	27525	 	YZ	49654692
1097814	3751	1995-11-05	VYDAJ	PREVOD NA UCET	3046	27508	 	YZ	49654692
1097815	3751	1995-12-05	VYDAJ	PREVOD NA UCET	3046	24989	 	YZ	49654692
1097816	3751	1996-01-05	VYDAJ	PREVOD NA UCET	3046	34880	 	YZ	49654692
1097817	3751	1996-02-05	VYDAJ	PREVOD NA UCET	3046	24867	 	YZ	49654692
1097818	3751	1996-03-05	VYDAJ	PREVOD NA UCET	3046	24539	 	YZ	49654692
1097819	3751	1996-04-05	VYDAJ	PREVOD NA UCET	3046	27314	 	YZ	49654692
1097820	3751	1996-05-05	VYDAJ	PREVOD NA UCET	3046	29998	 	YZ	49654692
1097821	3751	1996-06-05	VYDAJ	PREVOD NA UCET	3046	30993	 	YZ	49654692
1097822	3751	1996-07-05	VYDAJ	PREVOD NA UCET	3046	24680	 	YZ	49654692
1097823	3751	1996-08-05	VYDAJ	PREVOD NA UCET	3046	23546	 	YZ	49654692
1097824	3751	1996-09-05	VYDAJ	PREVOD NA UCET	3046	22102	 	YZ	49654692
1097825	3751	1996-10-05	VYDAJ	PREVOD NA UCET	3046	20151	 	YZ	49654692
1097826	3751	1996-11-05	VYDAJ	PREVOD NA UCET	3046	18989	 	YZ	49654692
1097827	3751	1996-12-05	VYDAJ	PREVOD NA UCET	3046	19224	 	YZ	49654692
1097828	3751	1997-01-05	VYDAJ	PREVOD NA UCET	3046	20761	 	YZ	49654692
1097829	3751	1997-02-05	VYDAJ	PREVOD NA UCET	3046	15278	 	YZ	49654692
1097830	3751	1997-03-05	VYDAJ	PREVOD NA UCET	3046	17196	 	YZ	49654692
1097831	3751	1997-04-05	VYDAJ	PREVOD NA UCET	3046	20222	 	YZ	49654692
1097832	3751	1997-05-05	VYDAJ	PREVOD NA UCET	3046	18157	 	YZ	49654692
1097833	3751	1997-06-05	VYDAJ	PREVOD NA UCET	3046	17683	 	YZ	49654692
1097834	3751	1997-07-05	VYDAJ	PREVOD NA UCET	3046	19373	 	YZ	49654692
1097835	3751	1997-08-05	VYDAJ	PREVOD NA UCET	3046	15698	 	YZ	49654692
1097836	3751	1997-09-05	VYDAJ	PREVOD NA UCET	3046	13708	 	YZ	49654692
1097837	3751	1997-10-05	VYDAJ	PREVOD NA UCET	3046	30626	 	YZ	49654692
1097838	3751	1997-11-05	VYDAJ	PREVOD NA UCET	3046	15880	 	YZ	49654692
1097839	3751	1997-12-05	VYDAJ	PREVOD NA UCET	3046	29600	 	YZ	49654692
1097840	3751	1998-01-05	VYDAJ	PREVOD NA UCET	3046	19760	 	YZ	49654692
1097841	3751	1998-02-05	VYDAJ	PREVOD NA UCET	3046	28986	 	YZ	49654692
1097842	3751	1998-03-05	VYDAJ	PREVOD NA UCET	3046	15130	 	YZ	49654692
1097843	3751	1998-04-05	VYDAJ	PREVOD NA UCET	3046	32053	 	YZ	49654692
1097844	3751	1998-05-05	VYDAJ	PREVOD NA UCET	3046	15808	 	YZ	49654692
1097845	3751	1998-06-05	VYDAJ	PREVOD NA UCET	3046	32736	 	YZ	49654692
1097846	3751	1998-07-05	VYDAJ	PREVOD NA UCET	3046	23899	 	YZ	49654692
1097847	3751	1998-08-05	VYDAJ	PREVOD NA UCET	3046	34245	 	YZ	49654692
1097848	3751	1998-09-05	VYDAJ	PREVOD NA UCET	3046	17694	 	YZ	49654692
1097849	3751	1998-10-05	VYDAJ	PREVOD NA UCET	3046	32825	 	YZ	49654692
1097850	3751	1998-11-05	VYDAJ	PREVOD NA UCET	3046	46621	 	YZ	49654692
1097851	3751	1998-12-05	VYDAJ	PREVOD NA UCET	3046	21198	 	YZ	49654692
1097853	3751	1994-06-27	VYDAJ	VYBER	15200	29748	\N	\N	\N
1097854	3751	1995-06-24	VYDAJ	VYBER	28800	24384	\N	\N	\N
1097855	3751	1996-06-21	VYDAJ	VYBER	20300	40537	\N	\N	\N
1097856	3751	1997-06-11	VYDAJ	VYBER	22000	25527	\N	\N	\N
1097860	3751	1995-01-18	VYDAJ	VYBER	1600	35636	\N	\N	\N
1097861	3751	1996-01-14	VYDAJ	VYBER	6700	45439	\N	\N	\N
1097862	3751	1997-01-07	VYDAJ	VYBER	1600	19051	\N	\N	\N
1097863	3751	1998-01-19	VYDAJ	VYBER	1100	34719	\N	\N	\N
1097865	3751	1994-12-16	VYDAJ	VYBER	2500	40172	\N	\N	\N
1097866	3751	1995-12-02	VYDAJ	VYBER	1700	42135	\N	\N	\N
1097867	3751	1996-12-20	VYDAJ	VYBER	2200	42168	\N	\N	\N
1097868	3751	1997-12-08	VYDAJ	VYBER	700	58744	\N	\N	\N
1097882	3751	1995-01-05	VYDAJ	VYBER	2100	33977	\N	\N	\N
1097883	3751	1995-01-04	VYDAJ	VYBER	1200	39123	\N	\N	\N
1097884	3751	1995-01-18	VYDAJ	VYBER	1200	34436	\N	\N	\N
1097885	3751	1995-01-28	VYDAJ	VYBER	1100	30936	\N	\N	\N
1097886	3751	1995-01-24	VYDAJ	VYBER	1200	33236	\N	\N	\N
1097887	3751	1995-01-27	VYDAJ	VYBER	1200	32036	\N	\N	\N
1097888	3751	1996-01-12	VYDAJ	VYBER	1200	52139	\N	\N	\N
1097889	3751	1996-01-11	VYDAJ	VYBER	600	54139	\N	\N	\N
1097890	3751	1996-01-12	VYDAJ	VYBER	800	53339	\N	\N	\N
1097891	3751	1996-01-20	VYDAJ	VYBER	2200	41739	\N	\N	\N
1097892	3751	1996-01-29	VYDAJ	VYBER	2000	39739	\N	\N	\N
1097893	3751	1996-01-15	VYDAJ	VYBER	700	43939	\N	\N	\N
1097894	3751	1997-01-12	VYDAJ	VYBER	1800	34720	\N	\N	\N
1097895	3751	1997-01-13	VYDAJ	VYBER	2100	32620	\N	\N	\N
1097896	3751	1997-01-08	VYDAJ	VYBER	2500	36520	\N	\N	\N
1097897	3751	1997-01-26	VYDAJ	VYBER	500	32120	\N	\N	\N
1097898	3751	1997-01-27	VYDAJ	VYBER	1200	30920	\N	\N	\N
1097899	3751	1997-01-29	VYDAJ	VYBER	1500	18220	\N	\N	\N
1097900	3751	1998-01-02	VYDAJ	VYBER	800	25306	\N	\N	\N
1097901	3751	1998-01-03	VYDAJ	VYBER	2500	22806	\N	\N	\N
1097902	3751	1998-01-02	VYDAJ	VYBER	900	26106	\N	\N	\N
1097903	3751	1998-01-09	VYDAJ	VYBER	2600	35819	\N	\N	\N
1097905	3751	1998-01-08	VYDAJ	VYBER	1200	38419	\N	\N	\N
1097910	3751	1994-04-13	VYDAJ	VYBER	3900	39724	\N	\N	\N
1097911	3751	1994-08-04	VYDAJ	VYBER	1900	33659	\N	\N	\N
1097912	3751	1994-03-28	VYDAJ	VYBER	4700	38936	\N	\N	\N
1097913	3751	1994-05-14	VYDAJ	VYBER	3500	35998	\N	\N	\N
1097914	3751	1994-11-29	VYDAJ	VYBER	4000	34131	\N	\N	\N
1097915	3751	1995-10-23	VYDAJ	VYBER	3700	43684	\N	\N	\N
1097916	3751	1995-09-07	VYDAJ	VYBER	3400	27427	\N	\N	\N
1097917	3751	1995-04-10	VYDAJ	VYBER	3700	35052	\N	\N	\N
1097918	3751	1995-11-24	VYDAJ	VYBER	3700	43667	\N	\N	\N
1097919	3751	1996-10-25	VYDAJ	VYBER	2800	37210	\N	\N	\N
1097920	3751	1996-06-28	VYDAJ	VYBER	4000	36537	\N	\N	\N
1097921	3751	1996-12-18	VYDAJ	VYBER	4700	44368	\N	\N	\N
1097922	3751	1996-07-24	VYDAJ	VYBER	1700	42839	\N	\N	\N
1097923	3751	1996-01-15	VYDAJ	VYBER	800	44639	\N	\N	\N
1097924	3751	1997-02-08	VYDAJ	VYBER	2700	32437	\N	\N	\N
1097925	3751	1997-06-28	VYDAJ	VYBER	3200	22327	\N	\N	\N
1097926	3751	1997-11-14	VYDAJ	VYBER	3200	32539	\N	\N	\N
1097927	3751	1997-10-23	VYDAJ	VYBER	3000	47485	\N	\N	\N
1097929	3751	1998-10-31	VYDAJ	VYBER	3200	49682	\N	\N	\N
1097930	3751	1998-07-13	VYDAJ	VYBER	2900	40858	\N	\N	\N
1097931	3751	1998-07-19	VYDAJ	VYBER	3700	37158	\N	\N	\N
1097932	3751	1998-09-24	VYDAJ	VYBER	1800	35753	\N	\N	\N
1097933	3751	1998-05-02	VYDAJ	VYBER	2300	18854	\N	\N	\N
1097948	3751	1994-02-28	VYDAJ	VYBER	15	42123	SLUZBY	\N	\N
1097949	3751	1994-03-31	VYDAJ	VYBER	15	39111	SLUZBY	\N	\N
1097950	3751	1994-04-30	VYDAJ	VYBER	15	39885	SLUZBY	\N	\N
1097951	3751	1994-05-31	VYDAJ	VYBER	15	36150	SLUZBY	\N	\N
1097952	3751	1994-06-30	VYDAJ	VYBER	15	29913	SLUZBY	\N	\N
1097953	3751	1994-07-31	VYDAJ	VYBER	15	35559	SLUZBY	\N	\N
1097954	3751	1994-08-31	VYDAJ	VYBER	15	36412	SLUZBY	\N	\N
1097955	3751	1994-09-30	VYDAJ	VYBER	15	35763	SLUZBY	\N	\N
1097956	3751	1994-10-31	VYDAJ	VYBER	15	37118	SLUZBY	\N	\N
1097957	3751	1994-11-30	VYDAJ	VYBER	15	34274	SLUZBY	\N	\N
1097958	3751	1994-12-31	VYDAJ	VYBER	15	40323	SLUZBY	\N	\N
1097959	3751	1995-01-31	VYDAJ	VYBER	15	31091	SLUZBY	\N	\N
1097960	3751	1995-02-28	VYDAJ	VYBER	15	45361	SLUZBY	\N	\N
1097961	3751	1995-03-31	VYDAJ	VYBER	15	42139	SLUZBY	\N	\N
1097962	3751	1995-04-30	VYDAJ	VYBER	15	35190	SLUZBY	\N	\N
1097963	3751	1995-05-31	VYDAJ	VYBER	15	32286	SLUZBY	\N	\N
1097964	3751	1995-06-30	VYDAJ	VYBER	15	24540	SLUZBY	\N	\N
1097965	3751	1995-07-31	VYDAJ	VYBER	15	42196	SLUZBY	\N	\N
1097966	3751	1995-08-31	VYDAJ	VYBER	15	47783	SLUZBY	\N	\N
1097967	3751	1995-09-30	VYDAJ	VYBER	15	47571	SLUZBY	\N	\N
1097968	3751	1995-10-31	VYDAJ	VYBER	15	43854	SLUZBY	\N	\N
1097969	3751	1995-11-30	VYDAJ	VYBER	15	43835	SLUZBY	\N	\N
1097970	3751	1995-12-31	VYDAJ	VYBER	15	55026	SLUZBY	\N	\N
1097971	3751	1996-01-31	VYDAJ	VYBER	15	39913	SLUZBY	\N	\N
1097972	3751	1996-02-29	VYDAJ	VYBER	15	44885	SLUZBY	\N	\N
1097973	3751	1996-03-31	VYDAJ	VYBER	15	44560	SLUZBY	\N	\N
1097974	3751	1996-04-30	VYDAJ	VYBER	15	47344	SLUZBY	\N	\N
1097975	3751	1996-05-31	VYDAJ	VYBER	15	50039	SLUZBY	\N	\N
1097976	3751	1996-06-30	VYDAJ	VYBER	15	36726	SLUZBY	\N	\N
1097977	3751	1996-07-31	VYDAJ	VYBER	15	42992	SLUZBY	\N	\N
1097978	3751	1996-08-31	VYDAJ	VYBER	15	25148	SLUZBY	\N	\N
1097979	3751	1996-09-30	VYDAJ	VYBER	15	23197	SLUZBY	\N	\N
1097980	3751	1996-10-31	VYDAJ	VYBER	15	22035	SLUZBY	\N	\N
1097981	3751	1996-11-30	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
1097982	3751	1996-12-31	VYDAJ	VYBER	15	23807	SLUZBY	\N	\N
1097983	3751	1997-01-31	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
1097984	3751	1997-02-28	VYDAJ	VYBER	15	20242	SLUZBY	\N	\N
1097985	3751	1997-03-31	VYDAJ	VYBER	15	23268	SLUZBY	\N	\N
1097986	3751	1997-04-30	VYDAJ	VYBER	15	21203	SLUZBY	\N	\N
1097987	3751	1997-05-31	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
1097988	3751	1997-06-30	VYDAJ	VYBER	15	22419	SLUZBY	\N	\N
1097989	3751	1997-07-31	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
1097990	3751	1997-08-31	VYDAJ	VYBER	15	16754	SLUZBY	\N	\N
1097991	3751	1997-09-30	VYDAJ	VYBER	15	33672	SLUZBY	\N	\N
1097992	3751	1997-10-31	VYDAJ	VYBER	15	18926	SLUZBY	\N	\N
1097993	3751	1997-11-30	VYDAJ	VYBER	15	32646	SLUZBY	\N	\N
1097994	3751	1997-12-31	VYDAJ	VYBER	15	27006	SLUZBY	\N	\N
1097995	3751	1998-01-31	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
1097996	3751	1998-02-28	VYDAJ	VYBER	15	18176	SLUZBY	\N	\N
1097997	3751	1998-03-31	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
1097998	3751	1998-04-30	VYDAJ	VYBER	15	21154	SLUZBY	\N	\N
1097999	3751	1998-05-31	VYDAJ	VYBER	15	35782	SLUZBY	\N	\N
1098000	3751	1998-06-30	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
1098001	3751	1998-07-31	VYDAJ	VYBER	15	37291	SLUZBY	\N	\N
1098002	3751	1998-08-31	VYDAJ	VYBER	15	20740	SLUZBY	\N	\N
1098003	3751	1998-09-30	VYDAJ	VYBER	15	35871	SLUZBY	\N	\N
1098004	3751	1998-10-31	VYDAJ	VYBER	15	49667	SLUZBY	\N	\N
1098005	3751	1998-11-30	VYDAJ	VYBER	15	24244	SLUZBY	\N	\N
1098006	3751	1993-10-15	PRIJEM	VKLAD	1000	22069	\N	\N	\N
1098007	3751	1993-11-14	VYDAJ	VYBER	7500	34588	\N	\N	\N
1098008	3751	1993-12-14	VYDAJ	VYBER	18800	45864	\N	\N	\N
1098009	3751	1994-01-13	VYDAJ	VYBER	22000	44004	\N	\N	\N
1098010	3751	1994-02-12	VYDAJ	VYBER	22200	41960	\N	\N	\N
1098011	3751	1994-03-14	VYDAJ	VYBER	15300	43636	\N	\N	\N
1098012	3751	1994-04-13	VYDAJ	VYBER	12300	43624	\N	\N	\N
1098013	3751	1994-05-13	VYDAJ	VYBER	17200	39498	\N	\N	\N
1098014	3751	1994-06-12	VYDAJ	VYBER	18000	44948	\N	\N	\N
1098015	3751	1994-07-12	VYDAJ	VYBER	11300	35426	\N	\N	\N
1098016	3751	1994-08-11	VYDAJ	VYBER	14200	36272	\N	\N	\N
1098017	3751	1994-09-10	VYDAJ	VYBER	17600	35625	\N	\N	\N
1098018	3751	1994-10-10	VYDAJ	VYBER	15600	36976	\N	\N	\N
1098019	3751	1994-11-09	VYDAJ	VYBER	15800	38131	\N	\N	\N
1098020	3751	1994-12-09	VYDAJ	VYBER	18400	42672	\N	\N	\N
1098021	3751	1995-01-08	VYDAJ	VYBER	16600	37236	\N	\N	\N
1098022	3751	1995-02-07	VYDAJ	VYBER	2700	25235	\N	\N	\N
1098023	3751	1995-03-09	VYDAJ	VYBER	20200	41974	\N	\N	\N
1098024	3751	1995-04-08	VYDAJ	VYBER	20200	38752	\N	\N	\N
1098025	3751	1995-05-08	VYDAJ	VYBER	19900	32103	\N	\N	\N
1098026	3751	1995-06-07	VYDAJ	VYBER	5900	23230	\N	\N	\N
1098027	3751	1995-07-07	PRIJEM	VKLAD	700	22084	\N	\N	\N
1098028	3751	1995-08-06	VYDAJ	VYBER	11400	27750	\N	\N	\N
1098029	3751	1995-09-05	VYDAJ	VYBER	13800	33983	\N	\N	\N
1098030	3751	1995-10-05	VYDAJ	VYBER	17000	30571	\N	\N	\N
1098031	3751	1995-11-04	VYDAJ	VYBER	13300	30554	\N	\N	\N
1098032	3751	1995-12-04	VYDAJ	VYBER	14100	28035	\N	\N	\N
1098033	3751	1996-01-03	VYDAJ	VYBER	17100	37926	\N	\N	\N
1098034	3751	1996-02-02	VYDAJ	VYBER	12000	27913	\N	\N	\N
1098035	3751	1996-03-03	VYDAJ	VYBER	17300	27585	\N	\N	\N
1098036	3751	1996-04-02	VYDAJ	VYBER	14200	30360	\N	\N	\N
1098037	3751	1996-05-02	VYDAJ	VYBER	14300	33044	\N	\N	\N
1098038	3751	1996-06-01	VYDAJ	VYBER	16000	34039	\N	\N	\N
1098039	3751	1996-07-01	VYDAJ	VYBER	9000	27726	\N	\N	\N
1098040	3751	1996-07-31	VYDAJ	VYBER	16400	26592	\N	\N	\N
1098041	3751	1996-08-30	VYDAJ	VYBER	18400	25005	\N	\N	\N
1098042	3751	1996-09-29	VYDAJ	VYBER	18900	23061	\N	\N	\N
1098043	3751	1996-10-29	VYDAJ	VYBER	15300	21910	\N	\N	\N
1098044	3751	1996-11-28	VYDAJ	VYBER	16700	22148	\N	\N	\N
1098045	3751	1996-12-28	VYDAJ	VYBER	18500	23668	\N	\N	\N
1098046	3751	1997-01-27	VYDAJ	VYBER	11200	19720	\N	\N	\N
1098047	3751	1997-02-26	VYDAJ	VYBER	12300	20137	\N	\N	\N
1098048	3751	1997-03-28	VYDAJ	VYBER	13900	23155	\N	\N	\N
1098049	3751	1997-04-27	VYDAJ	VYBER	19000	21081	\N	\N	\N
1098050	3751	1997-05-27	VYDAJ	VYBER	17400	20616	\N	\N	\N
1098051	3751	1997-07-26	VYDAJ	VYBER	20600	18632	\N	\N	\N
1098052	3751	1997-08-25	VYDAJ	VYBER	18900	16657	\N	\N	\N
1098053	3751	1997-10-24	VYDAJ	VYBER	28700	18785	\N	\N	\N
1098054	3751	1997-12-23	VYDAJ	VYBER	31900	26844	\N	\N	\N
1098055	3751	1998-02-21	VYDAJ	VYBER	30800	18045	\N	\N	\N
1098056	3751	1998-04-22	VYDAJ	VYBER	30900	21012	\N	\N	\N
1098057	3751	1998-06-21	VYDAJ	VYBER	35800	26780	\N	\N	\N
1098058	3751	1998-08-20	VYDAJ	VYBER	33500	20604	\N	\N	\N
1098059	3751	1998-11-18	VYDAJ	VYBER	42400	24080	\N	\N	\N
1098123	3752	1994-11-25	PRIJEM	VKLAD	200	200	\N	\N	\N
1098135	3752	1994-12-07	PRIJEM	VKLAD	25604	25804	\N	\N	\N
1098136	3752	1995-01-07	PRIJEM	VKLAD	17069	42597	\N	\N	\N
1098137	3752	1995-02-07	PRIJEM	VKLAD	17069	51681	\N	\N	\N
1098138	3752	1995-03-07	PRIJEM	VKLAD	17069	56498	\N	\N	\N
1098139	3752	1995-04-07	PRIJEM	VKLAD	17069	60335	\N	\N	\N
1098140	3752	1995-05-07	PRIJEM	VKLAD	17069	62027	\N	\N	\N
1098141	3752	1995-06-07	PRIJEM	VKLAD	25604	68156	\N	\N	\N
1098142	3752	1995-07-07	PRIJEM	VKLAD	17069	62559	\N	\N	\N
1098143	3752	1995-08-07	PRIJEM	VKLAD	17069	61956	\N	\N	\N
1098144	3752	1995-09-07	PRIJEM	VKLAD	17069	60848	\N	\N	\N
1098145	3752	1995-10-07	PRIJEM	VKLAD	17069	62059	\N	\N	\N
1098146	3752	1995-11-07	PRIJEM	VKLAD	17069	63354	\N	\N	\N
1098147	3752	1995-12-07	PRIJEM	VKLAD	25604	70566	\N	\N	\N
1098148	3752	1996-01-07	PRIJEM	VKLAD	17069	68896	\N	\N	\N
1098149	3752	1996-02-07	PRIJEM	VKLAD	17069	48543	\N	\N	\N
1098150	3752	1996-03-07	PRIJEM	VKLAD	17069	59193	\N	\N	\N
1098151	3752	1996-04-07	PRIJEM	VKLAD	17069	61073	\N	\N	\N
1098152	3752	1996-05-07	PRIJEM	VKLAD	17069	61194	\N	\N	\N
1098153	3752	1996-06-07	PRIJEM	VKLAD	25604	74269	\N	\N	\N
1098154	3752	1996-07-07	PRIJEM	VKLAD	17069	75034	\N	\N	\N
1098155	3752	1996-08-07	PRIJEM	VKLAD	17069	74328	\N	\N	\N
1098156	3752	1996-09-07	PRIJEM	VKLAD	17069	76327	\N	\N	\N
1098157	3752	1996-10-07	PRIJEM	VKLAD	17069	77217	\N	\N	\N
1098158	3752	1996-11-07	PRIJEM	VKLAD	17069	71537	\N	\N	\N
1098159	3752	1996-12-07	PRIJEM	VKLAD	25604	75260	\N	\N	\N
1098160	3752	1997-01-07	PRIJEM	VKLAD	17069	76015	\N	\N	\N
1098161	3752	1997-02-07	PRIJEM	VKLAD	17069	65110	\N	\N	\N
1098162	3752	1997-03-07	PRIJEM	VKLAD	17069	67855	\N	\N	\N
1098163	3752	1997-04-07	PRIJEM	VKLAD	17069	67308	\N	\N	\N
1098164	3752	1997-05-07	PRIJEM	VKLAD	17069	64548	\N	\N	\N
1098165	3752	1997-06-07	PRIJEM	VKLAD	25604	70811	\N	\N	\N
1098166	3752	1997-07-07	PRIJEM	VKLAD	17069	66148	\N	\N	\N
1098167	3752	1997-08-07	PRIJEM	VKLAD	17069	67999	\N	\N	\N
1098168	3752	1997-09-07	PRIJEM	VKLAD	17069	52741	\N	\N	\N
1098169	3752	1997-10-07	PRIJEM	VKLAD	17069	59453	\N	\N	\N
1098170	3752	1997-11-07	PRIJEM	VKLAD	17069	67089	\N	\N	\N
1098171	3752	1997-12-07	PRIJEM	VKLAD	25604	77274	\N	\N	\N
1098172	3752	1998-01-07	PRIJEM	VKLAD	17069	70702	\N	\N	\N
1098173	3752	1998-02-07	PRIJEM	VKLAD	17069	58786	\N	\N	\N
1098174	3752	1998-03-07	PRIJEM	VKLAD	17069	62410	\N	\N	\N
1098175	3752	1998-04-07	PRIJEM	VKLAD	17069	63640	\N	\N	\N
1098176	3752	1998-05-07	PRIJEM	VKLAD	17069	59283	\N	\N	\N
1098177	3752	1998-06-07	PRIJEM	VKLAD	25604	65190	\N	\N	\N
1098178	3752	1998-07-07	PRIJEM	VKLAD	17069	53371	\N	\N	\N
1098179	3752	1998-08-07	PRIJEM	VKLAD	17069	62287	\N	\N	\N
1098180	3752	1998-09-07	PRIJEM	VKLAD	17069	70350	\N	\N	\N
1098181	3752	1998-10-07	PRIJEM	VKLAD	17069	79855	\N	\N	\N
1098182	3752	1998-11-07	PRIJEM	VKLAD	17069	85002	\N	\N	\N
1098183	3752	1998-12-07	PRIJEM	VKLAD	25604	93906	\N	\N	\N
1098199	3752	1995-04-14	VYDAJ	PREVOD NA UCET	3218	55570	SIPO	IJ	56390714
1098200	3752	1995-05-14	VYDAJ	PREVOD NA UCET	3218	57262	SIPO	IJ	56390714
1098201	3752	1995-06-14	VYDAJ	PREVOD NA UCET	3218	63391	SIPO	IJ	56390714
1098202	3752	1995-07-14	VYDAJ	PREVOD NA UCET	3218	57794	SIPO	IJ	56390714
1098203	3752	1995-08-14	VYDAJ	PREVOD NA UCET	3218	57191	SIPO	IJ	56390714
1098204	3752	1995-09-14	VYDAJ	PREVOD NA UCET	3218	55123	SIPO	IJ	56390714
1098205	3752	1995-10-14	VYDAJ	PREVOD NA UCET	3218	57294	SIPO	IJ	56390714
1098206	3752	1995-11-14	VYDAJ	PREVOD NA UCET	3218	58589	SIPO	IJ	56390714
1098207	3752	1995-12-14	VYDAJ	PREVOD NA UCET	3218	65801	SIPO	IJ	56390714
1098208	3752	1996-01-14	VYDAJ	PREVOD NA UCET	3218	52971	SIPO	IJ	56390714
1098209	3752	1996-02-14	VYDAJ	PREVOD NA UCET	3218	43778	SIPO	IJ	56390714
1098210	3752	1996-03-14	VYDAJ	PREVOD NA UCET	3218	54428	SIPO	IJ	56390714
1098211	3752	1996-04-14	VYDAJ	PREVOD NA UCET	3218	56955	SIPO	IJ	56390714
1098212	3752	1996-05-14	VYDAJ	PREVOD NA UCET	3218	56076	SIPO	IJ	56390714
1098213	3752	1996-06-14	VYDAJ	PREVOD NA UCET	3218	71051	SIPO	IJ	56390714
1098214	3752	1996-07-14	VYDAJ	PREVOD NA UCET	3218	70416	SIPO	IJ	56390714
1098215	3752	1996-08-14	VYDAJ	PREVOD NA UCET	3218	71110	SIPO	IJ	56390714
1098216	3752	1996-09-14	VYDAJ	PREVOD NA UCET	3218	73109	SIPO	IJ	56390714
1098217	3752	1996-10-14	VYDAJ	PREVOD NA UCET	3218	73999	SIPO	IJ	56390714
1098218	3752	1996-11-14	VYDAJ	PREVOD NA UCET	3218	66619	SIPO	IJ	56390714
1098219	3752	1996-12-14	VYDAJ	PREVOD NA UCET	3218	58702	SIPO	IJ	56390714
1098220	3752	1997-01-14	VYDAJ	PREVOD NA UCET	3218	57797	SIPO	IJ	56390714
1098221	3752	1997-02-14	VYDAJ	PREVOD NA UCET	3218	50592	SIPO	IJ	56390714
1098222	3752	1997-03-14	VYDAJ	PREVOD NA UCET	3218	50037	SIPO	IJ	56390714
1098223	3752	1997-04-14	VYDAJ	PREVOD NA UCET	3218	49490	SIPO	IJ	56390714
1098224	3752	1997-05-14	VYDAJ	PREVOD NA UCET	3218	46130	SIPO	IJ	56390714
1098225	3752	1997-06-14	VYDAJ	PREVOD NA UCET	3218	50293	SIPO	IJ	56390714
1098226	3752	1997-07-14	VYDAJ	PREVOD NA UCET	3218	52430	SIPO	IJ	56390714
1098227	3752	1997-08-14	VYDAJ	PREVOD NA UCET	3218	41481	SIPO	IJ	56390714
1098228	3752	1997-09-14	VYDAJ	PREVOD NA UCET	3218	42223	SIPO	IJ	56390714
1098229	3752	1997-10-14	VYDAJ	PREVOD NA UCET	3218	51135	SIPO	IJ	56390714
1098230	3752	1997-11-14	VYDAJ	PREVOD NA UCET	3218	52871	SIPO	IJ	56390714
1098231	3752	1997-12-14	VYDAJ	PREVOD NA UCET	3218	58056	SIPO	IJ	56390714
1098232	3752	1998-01-14	VYDAJ	PREVOD NA UCET	3218	50284	SIPO	IJ	56390714
1098233	3752	1998-02-14	VYDAJ	PREVOD NA UCET	3218	45168	SIPO	IJ	56390714
1098234	3752	1998-03-14	VYDAJ	PREVOD NA UCET	3218	48192	SIPO	IJ	56390714
1098235	3752	1998-04-14	VYDAJ	PREVOD NA UCET	3218	46922	SIPO	IJ	56390714
1098236	3752	1998-05-14	VYDAJ	PREVOD NA UCET	3218	43665	SIPO	IJ	56390714
1098237	3752	1998-06-14	VYDAJ	PREVOD NA UCET	3218	47772	SIPO	IJ	56390714
1098238	3752	1998-07-14	VYDAJ	PREVOD NA UCET	3218	45653	SIPO	IJ	56390714
1098239	3752	1998-08-14	VYDAJ	PREVOD NA UCET	3218	57069	SIPO	IJ	56390714
1098240	3752	1998-09-14	VYDAJ	PREVOD NA UCET	3218	67132	SIPO	IJ	56390714
1098241	3752	1998-10-14	VYDAJ	PREVOD NA UCET	3218	76637	SIPO	IJ	56390714
1098242	3752	1998-11-14	VYDAJ	PREVOD NA UCET	3218	81784	SIPO	IJ	56390714
1098243	3752	1998-12-14	VYDAJ	PREVOD NA UCET	3218	90688	SIPO	IJ	56390714
1098259	3752	1995-04-12	VYDAJ	PREVOD NA UCET	1547	58788	UVER	YZ	34449517
1098260	3752	1995-05-12	VYDAJ	PREVOD NA UCET	1547	60480	UVER	YZ	34449517
1098261	3752	1995-06-12	VYDAJ	PREVOD NA UCET	1547	66609	UVER	YZ	34449517
1098262	3752	1995-07-12	VYDAJ	PREVOD NA UCET	1547	61012	UVER	YZ	34449517
1098263	3752	1995-08-12	VYDAJ	PREVOD NA UCET	1547	60409	UVER	YZ	34449517
1098264	3752	1995-09-12	VYDAJ	PREVOD NA UCET	1547	58341	UVER	YZ	34449517
1098265	3752	1995-10-12	VYDAJ	PREVOD NA UCET	1547	60512	UVER	YZ	34449517
1098266	3752	1995-11-12	VYDAJ	PREVOD NA UCET	1547	61807	UVER	YZ	34449517
1098267	3752	1995-12-12	VYDAJ	PREVOD NA UCET	1547	69019	UVER	YZ	34449517
1098268	3752	1996-01-12	VYDAJ	PREVOD NA UCET	1547	56189	UVER	YZ	34449517
1098269	3752	1996-02-12	VYDAJ	PREVOD NA UCET	1547	46996	UVER	YZ	34449517
1098270	3752	1996-03-12	VYDAJ	PREVOD NA UCET	1547	57646	UVER	YZ	34449517
1098271	3752	1996-04-10	VYDAJ	VYBER	900	60173	\N	\N	0
1098272	3752	1996-05-11	VYDAJ	VYBER	1900	59294	\N	\N	0
1098273	3752	1996-06-15	VYDAJ	VYBER	2000	69051	\N	\N	0
1098274	3752	1996-07-09	VYDAJ	VYBER	1400	73634	\N	\N	0
1098275	3752	1996-08-01	VYDAJ	VYBER	1300	57259	\N	\N	0
1098276	3752	1996-09-28	VYDAJ	VYBER	2000	59909	\N	\N	0
1098277	3752	1996-10-18	VYDAJ	VYBER	1400	59999	\N	\N	0
1098278	3752	1996-11-08	VYDAJ	VYBER	1700	69837	\N	\N	0
1098279	3752	1996-12-06	VYDAJ	VYBER	1000	49657	\N	\N	0
1098280	3752	1997-01-23	VYDAJ	VYBER	1700	55497	\N	\N	0
1098281	3752	1997-02-11	VYDAJ	VYBER	1800	63310	\N	\N	0
1098282	3752	1997-03-14	VYDAJ	VYBER	1900	53255	\N	\N	0
1098283	3752	1997-04-23	VYDAJ	VYBER	2200	47290	\N	\N	0
1098284	3752	1997-05-20	VYDAJ	VYBER	1100	45030	\N	\N	0
1098285	3752	1997-06-30	VYDAJ	VYBER	1400	49094	\N	\N	0
1098286	3752	1997-07-11	VYDAJ	VYBER	1000	65148	\N	\N	0
1098287	3752	1997-08-05	VYDAJ	VYBER	1700	50930	\N	\N	0
1098288	3752	1997-09-04	VYDAJ	VYBER	1300	35672	\N	\N	0
1098289	3752	1997-10-17	VYDAJ	VYBER	1300	49835	\N	\N	0
1098290	3752	1997-11-15	VYDAJ	VYBER	1400	51471	\N	\N	0
1098291	3752	1997-12-12	VYDAJ	VYBER	1200	61274	\N	\N	0
1098292	3752	1998-01-10	VYDAJ	VYBER	1200	53502	\N	\N	0
1098293	3752	1998-02-08	VYDAJ	VYBER	1400	48386	\N	\N	0
1098294	3752	1998-03-19	VYDAJ	VYBER	1800	46392	\N	\N	0
1098295	3752	1998-04-20	VYDAJ	VYBER	1400	42042	\N	\N	0
1098296	3752	1998-05-15	VYDAJ	VYBER	1600	42065	\N	\N	0
1098297	3752	1998-06-09	VYDAJ	VYBER	1800	50990	\N	\N	0
1098298	3752	1998-07-14	VYDAJ	VYBER	2100	43553	\N	\N	0
1098299	3752	1998-08-08	VYDAJ	VYBER	2000	60287	\N	\N	0
1098300	3752	1998-09-03	VYDAJ	VYBER	1200	56081	\N	\N	0
1098301	3752	1998-09-25	VYDAJ	VYBER	1400	65732	\N	\N	0
1098302	3752	1998-11-21	VYDAJ	VYBER	1300	80484	\N	\N	0
1098303	3752	1998-11-24	VYDAJ	VYBER	1300	79184	\N	\N	0
1098305	3752	1995-12-04	VYDAJ	VYBER	3360	44962	\N	\N	\N
1098306	3752	1996-12-10	VYDAJ	VYBER	3040	72220	\N	\N	\N
1098307	3752	1997-12-21	VYDAJ	VYBER	2720	55336	\N	\N	\N
1098308	3752	1998-12-16	VYDAJ	VYBER	1760	88928	\N	\N	\N
1098321	3752	1996-01-24	VYDAJ	VYBER	2520	37171	\N	\N	\N
1098322	3752	1996-01-18	VYDAJ	VYBER	960	52011	\N	\N	\N
1098323	3752	1996-01-09	VYDAJ	VYBER	2040	57736	\N	\N	\N
1098324	3752	1996-01-26	VYDAJ	VYBER	3120	31291	\N	\N	\N
1098325	3752	1996-01-25	VYDAJ	VYBER	2760	34411	\N	\N	\N
1098326	3752	1996-01-09	VYDAJ	VYBER	3240	59776	\N	\N	\N
1098327	3752	1997-01-14	VYDAJ	VYBER	600	57197	\N	\N	\N
1098328	3752	1997-01-10	VYDAJ	VYBER	2520	73495	\N	\N	\N
1098329	3752	1997-01-10	VYDAJ	VYBER	1680	71815	\N	\N	\N
1098330	3752	1997-01-30	VYDAJ	VYBER	2400	47817	\N	\N	\N
1098331	3752	1997-01-25	VYDAJ	VYBER	3480	52017	\N	\N	\N
1098332	3752	1997-01-27	VYDAJ	VYBER	1800	50217	\N	\N	\N
1098333	3752	1998-01-05	VYDAJ	VYBER	1920	53633	\N	\N	\N
1098334	3752	1998-01-09	VYDAJ	VYBER	1200	55902	\N	\N	\N
1098335	3752	1998-01-09	VYDAJ	VYBER	1200	54702	\N	\N	\N
1098336	3752	1998-01-22	VYDAJ	VYBER	3480	45004	\N	\N	\N
1098337	3752	1998-01-28	VYDAJ	VYBER	3480	41524	\N	\N	\N
1098338	3752	1998-01-19	VYDAJ	VYBER	1800	48484	\N	\N	\N
1098346	3752	1995-09-15	VYDAJ	VYBER	1320	53803	\N	\N	\N
1098348	3752	1995-11-15	VYDAJ	VYBER	2760	55829	\N	\N	\N
1098349	3752	1995-09-10	VYDAJ	VYBER	960	59888	\N	\N	\N
1098350	3752	1996-04-25	VYDAJ	VYBER	5520	43935	\N	\N	\N
1098351	3752	1996-10-22	VYDAJ	VYBER	5760	54239	\N	\N	\N
1098352	3752	1996-01-07	VYDAJ	VYBER	5880	63016	\N	\N	\N
1098353	3752	1996-11-18	VYDAJ	VYBER	5280	50439	\N	\N	\N
1098354	3752	1996-01-24	VYDAJ	VYBER	2520	39691	\N	\N	\N
1098355	3752	1997-08-08	VYDAJ	VYBER	5400	62599	\N	\N	\N
1098356	3752	1997-08-16	VYDAJ	VYBER	4680	36801	\N	\N	\N
1098357	3752	1997-08-13	VYDAJ	VYBER	4800	44699	\N	\N	\N
1098358	3752	1998-06-02	VYDAJ	VYBER	2640	39587	\N	\N	\N
1098359	3752	1998-04-16	VYDAJ	VYBER	3480	43442	\N	\N	\N
1098360	3752	1998-06-29	VYDAJ	VYBER	3120	38772	\N	\N	\N
1098361	3752	1998-07-02	VYDAJ	VYBER	2640	36302	\N	\N	\N
1098362	3752	1998-06-19	VYDAJ	VYBER	5880	41892	\N	\N	\N
1098379	3752	1995-04-30	VYDAJ	VYBER	15	44958	SLUZBY	\N	\N
1098380	3752	1995-05-31	VYDAJ	VYBER	15	42553	SLUZBY	\N	\N
1098381	3752	1995-06-30	VYDAJ	VYBER	15	45490	SLUZBY	\N	\N
1098382	3752	1995-07-31	VYDAJ	VYBER	15	44887	SLUZBY	\N	\N
1098383	3752	1995-08-31	VYDAJ	VYBER	15	43779	SLUZBY	\N	\N
1098384	3752	1995-09-30	VYDAJ	VYBER	15	44990	SLUZBY	\N	\N
1098385	3752	1995-10-31	VYDAJ	VYBER	15	46285	SLUZBY	\N	\N
1098386	3752	1995-11-30	VYDAJ	VYBER	15	48322	SLUZBY	\N	\N
1098387	3752	1995-12-31	VYDAJ	VYBER	15	51827	SLUZBY	\N	\N
1098388	3752	1996-01-31	VYDAJ	VYBER	15	31474	SLUZBY	\N	\N
1098389	3752	1996-02-29	VYDAJ	VYBER	15	42124	SLUZBY	\N	\N
1098390	3752	1996-03-31	VYDAJ	VYBER	15	44004	SLUZBY	\N	\N
1098391	3752	1996-04-30	VYDAJ	VYBER	15	44125	SLUZBY	\N	\N
1098392	3752	1996-05-31	VYDAJ	VYBER	15	48666	SLUZBY	\N	\N
1098393	3752	1996-06-30	VYDAJ	VYBER	15	57965	SLUZBY	\N	\N
1098394	3752	1996-07-31	VYDAJ	VYBER	15	58559	SLUZBY	\N	\N
1098395	3752	1996-08-31	VYDAJ	VYBER	15	59258	SLUZBY	\N	\N
1098396	3752	1996-09-30	VYDAJ	VYBER	15	60148	SLUZBY	\N	\N
1098397	3752	1996-10-31	VYDAJ	VYBER	15	54468	SLUZBY	\N	\N
1098398	3752	1996-11-30	VYDAJ	VYBER	15	50657	SLUZBY	\N	\N
1098399	3752	1996-12-31	VYDAJ	VYBER	15	58946	SLUZBY	\N	\N
1098400	3752	1997-01-31	VYDAJ	VYBER	15	48041	SLUZBY	\N	\N
1098401	3752	1997-02-28	VYDAJ	VYBER	15	50786	SLUZBY	\N	\N
1098402	3752	1997-03-31	VYDAJ	VYBER	15	50239	SLUZBY	\N	\N
1098403	3752	1997-04-30	VYDAJ	VYBER	15	47479	SLUZBY	\N	\N
1098404	3752	1997-05-31	VYDAJ	VYBER	15	45207	SLUZBY	\N	\N
1098405	3752	1997-06-30	VYDAJ	VYBER	15	49079	SLUZBY	\N	\N
1098406	3752	1997-07-31	VYDAJ	VYBER	15	52630	SLUZBY	\N	\N
1098407	3752	1997-08-31	VYDAJ	VYBER	15	36972	SLUZBY	\N	\N
1098408	3752	1997-09-30	VYDAJ	VYBER	15	42384	SLUZBY	\N	\N
1098409	3752	1997-10-31	VYDAJ	VYBER	15	50020	SLUZBY	\N	\N
1098410	3752	1997-11-30	VYDAJ	VYBER	15	51670	SLUZBY	\N	\N
1098411	3752	1997-12-31	VYDAJ	VYBER	15	55553	SLUZBY	\N	\N
1098412	3752	1998-01-31	VYDAJ	VYBER	15	41717	SLUZBY	\N	\N
1098413	3752	1998-02-28	VYDAJ	VYBER	15	45341	SLUZBY	\N	\N
1098414	3752	1998-03-31	VYDAJ	VYBER	15	46571	SLUZBY	\N	\N
1098415	3752	1998-04-30	VYDAJ	VYBER	15	42214	SLUZBY	\N	\N
1098416	3752	1998-05-31	VYDAJ	VYBER	15	42227	SLUZBY	\N	\N
1098417	3752	1998-06-30	VYDAJ	VYBER	15	38942	SLUZBY	\N	\N
1098418	3752	1998-07-31	VYDAJ	VYBER	15	43718	SLUZBY	\N	\N
1098419	3752	1998-08-31	VYDAJ	VYBER	15	57281	SLUZBY	\N	\N
1098420	3752	1998-09-30	VYDAJ	VYBER	15	65986	SLUZBY	\N	\N
1098421	3752	1998-10-31	VYDAJ	VYBER	15	76933	SLUZBY	\N	\N
1098422	3752	1998-11-30	VYDAJ	VYBER	15	79502	SLUZBY	\N	\N
1098423	3752	1994-12-25	VYDAJ	VYBER	300	25504	\N	\N	\N
1098424	3752	1995-01-24	VYDAJ	VYBER	8100	34497	\N	\N	\N
1098425	3752	1995-02-23	VYDAJ	VYBER	12400	39281	\N	\N	\N
1098426	3752	1995-03-25	VYDAJ	VYBER	13400	43098	\N	\N	\N
1098427	3752	1995-04-24	VYDAJ	VYBER	10800	44770	\N	\N	\N
1098428	3752	1995-05-24	VYDAJ	VYBER	14900	42362	\N	\N	\N
1098429	3752	1995-06-23	VYDAJ	VYBER	18100	45291	\N	\N	\N
1098430	3752	1995-07-23	VYDAJ	VYBER	13100	44694	\N	\N	\N
1098431	3752	1995-08-22	VYDAJ	VYBER	13600	43591	\N	\N	\N
1098432	3752	1995-09-21	VYDAJ	VYBER	9000	44803	\N	\N	\N
1098433	3752	1995-10-21	VYDAJ	VYBER	11200	46094	\N	\N	\N
1098434	3752	1995-11-20	VYDAJ	VYBER	7700	48129	\N	\N	\N
1098435	3752	1995-12-20	VYDAJ	VYBER	14200	51601	\N	\N	\N
1098436	3752	1996-01-19	VYDAJ	VYBER	9800	42211	\N	\N	\N
1098437	3752	1996-02-18	VYDAJ	VYBER	1800	41978	\N	\N	\N
1098438	3752	1996-03-19	VYDAJ	VYBER	10600	43828	\N	\N	\N
1098439	3752	1996-04-18	VYDAJ	VYBER	7500	49455	\N	\N	\N
1098440	3752	1996-05-18	VYDAJ	VYBER	7600	48476	\N	\N	\N
1098441	3752	1996-06-17	VYDAJ	VYBER	11300	57751	\N	\N	\N
1098442	3752	1996-07-17	VYDAJ	VYBER	12100	58316	\N	\N	\N
1098443	3752	1996-08-16	VYDAJ	VYBER	12100	59010	\N	\N	\N
1098444	3752	1996-09-15	VYDAJ	VYBER	11200	61909	\N	\N	\N
1098445	3752	1996-10-15	VYDAJ	VYBER	12600	61399	\N	\N	\N
1098446	3752	1996-11-14	VYDAJ	VYBER	10900	55719	\N	\N	\N
1098447	3752	1996-12-14	VYDAJ	VYBER	10300	61920	\N	\N	\N
1098448	3752	1997-01-13	VYDAJ	VYBER	10800	61015	\N	\N	\N
1098449	3752	1997-02-12	VYDAJ	VYBER	9500	53810	\N	\N	\N
1098450	3752	1997-03-14	VYDAJ	VYBER	12700	55155	\N	\N	\N
1098451	3752	1997-04-13	VYDAJ	VYBER	14600	52708	\N	\N	\N
1098452	3752	1997-05-13	VYDAJ	VYBER	15200	49348	\N	\N	\N
1098453	3752	1997-06-12	VYDAJ	VYBER	17300	53511	\N	\N	\N
1098454	3752	1997-07-12	VYDAJ	VYBER	9500	55648	\N	\N	\N
1098455	3752	1997-08-11	VYDAJ	VYBER	13100	49499	\N	\N	\N
1098456	3752	1997-09-10	VYDAJ	VYBER	7300	45441	\N	\N	\N
1098457	3752	1997-10-10	VYDAJ	VYBER	5100	54353	\N	\N	\N
1098458	3752	1997-11-09	VYDAJ	VYBER	11000	56089	\N	\N	\N
1098459	3752	1997-12-09	VYDAJ	VYBER	14800	62474	\N	\N	\N
1098460	3752	1998-01-08	VYDAJ	VYBER	13600	57102	\N	\N	\N
1098461	3752	1998-02-07	VYDAJ	VYBER	9000	49786	\N	\N	\N
1098462	3752	1998-03-09	VYDAJ	VYBER	11000	51410	\N	\N	\N
1098463	3752	1998-04-08	VYDAJ	VYBER	13500	50140	\N	\N	\N
1098464	3752	1998-05-08	VYDAJ	VYBER	12400	46883	\N	\N	\N
1098465	3752	1998-06-07	VYDAJ	VYBER	12400	52790	\N	\N	\N
1098466	3752	1998-07-07	VYDAJ	VYBER	4500	48871	\N	\N	\N
1098467	3752	1998-08-06	PRIJEM	VKLAD	1500	45218	\N	\N	\N
1098468	3752	1998-09-05	VYDAJ	VYBER	2800	53281	\N	\N	\N
1098469	3752	1998-10-05	VYDAJ	VYBER	3200	62786	\N	\N	\N
1098470	3752	1998-11-04	VYDAJ	VYBER	9000	67933	\N	\N	\N
1098471	3752	1998-12-04	VYDAJ	VYBER	11200	68302	\N	\N	\N
1098521	3753	1995-02-24	PRIJEM	VKLAD	900	900	\N	\N	\N
1098524	3753	1995-03-10	PRIJEM	PREVOD Z UCTU	5937	6837	DUCHOD	MN	16922271
1098525	3753	1995-04-10	PRIJEM	PREVOD Z UCTU	5937	12774	DUCHOD	MN	16922271
1098526	3753	1995-05-10	PRIJEM	PREVOD Z UCTU	5937	18711	DUCHOD	MN	16922271
1098527	3753	1995-06-10	PRIJEM	PREVOD Z UCTU	5937	24648	DUCHOD	MN	16922271
1098528	3753	1995-07-10	PRIJEM	PREVOD Z UCTU	5937	30008	DUCHOD	MN	16922271
1098529	3753	1995-08-10	PRIJEM	PREVOD Z UCTU	5937	33697	DUCHOD	MN	16922271
1098530	3753	1995-09-10	PRIJEM	PREVOD Z UCTU	5937	34910	DUCHOD	MN	16922271
1098531	3753	1995-10-10	PRIJEM	PREVOD Z UCTU	5937	36629	DUCHOD	MN	16922271
1098532	3753	1995-11-10	PRIJEM	PREVOD Z UCTU	5937	35551	DUCHOD	MN	16922271
1098533	3753	1995-12-10	PRIJEM	PREVOD Z UCTU	5937	30768	DUCHOD	MN	16922271
1098534	3753	1996-01-10	PRIJEM	PREVOD Z UCTU	5937	30212	DUCHOD	MN	16922271
1098535	3753	1996-02-10	PRIJEM	PREVOD Z UCTU	5937	27708	DUCHOD	MN	16922271
1098536	3753	1996-03-10	PRIJEM	PREVOD Z UCTU	5937	30998	DUCHOD	MN	16922271
1098537	3753	1996-04-10	PRIJEM	PREVOD Z UCTU	5937	31598	DUCHOD	MN	16922271
1098538	3753	1996-05-10	PRIJEM	PREVOD Z UCTU	5937	25771	DUCHOD	MN	16922271
1098539	3753	1996-06-10	PRIJEM	PREVOD Z UCTU	5937	26573	DUCHOD	MN	16922271
1098540	3753	1996-07-10	PRIJEM	PREVOD Z UCTU	5937	28014	DUCHOD	MN	16922271
1098541	3753	1996-08-10	PRIJEM	PREVOD Z UCTU	5937	32207	DUCHOD	MN	16922271
1098542	3753	1996-09-10	PRIJEM	PREVOD Z UCTU	5937	34313	DUCHOD	MN	16922271
1098543	3753	1996-10-10	PRIJEM	PREVOD Z UCTU	5937	32620	DUCHOD	MN	16922271
1098544	3753	1996-11-10	PRIJEM	PREVOD Z UCTU	5937	30919	DUCHOD	MN	16922271
1098545	3753	1996-12-10	PRIJEM	PREVOD Z UCTU	5937	29712	DUCHOD	MN	16922271
1098546	3753	1997-01-10	PRIJEM	PREVOD Z UCTU	5937	28410	DUCHOD	MN	16922271
1098547	3753	1997-02-10	PRIJEM	PREVOD Z UCTU	5937	26859	DUCHOD	MN	16922271
1098548	3753	1997-03-10	PRIJEM	PREVOD Z UCTU	5937	26301	DUCHOD	MN	16922271
1098549	3753	1997-04-10	PRIJEM	PREVOD Z UCTU	5937	30229	DUCHOD	MN	16922271
1098550	3753	1997-05-10	PRIJEM	PREVOD Z UCTU	5937	33729	DUCHOD	MN	16922271
1098551	3753	1997-06-10	PRIJEM	PREVOD Z UCTU	5937	35941	DUCHOD	MN	16922271
1098552	3753	1997-07-10	PRIJEM	PREVOD Z UCTU	5937	36357	DUCHOD	MN	16922271
1098553	3753	1997-08-10	PRIJEM	PREVOD Z UCTU	5937	40684	DUCHOD	MN	16922271
1098554	3753	1997-09-10	PRIJEM	PREVOD Z UCTU	5937	39819	DUCHOD	MN	16922271
1098555	3753	1997-10-10	PRIJEM	PREVOD Z UCTU	5937	43359	DUCHOD	MN	16922271
1098556	3753	1997-11-10	PRIJEM	PREVOD Z UCTU	5937	47916	DUCHOD	MN	16922271
1098557	3753	1997-12-10	PRIJEM	PREVOD Z UCTU	5937	49906	DUCHOD	MN	16922271
1098558	3753	1998-01-10	PRIJEM	PREVOD Z UCTU	5937	47766	DUCHOD	MN	16922271
1098559	3753	1998-02-10	PRIJEM	PREVOD Z UCTU	5937	44494	DUCHOD	MN	16922271
1098560	3753	1998-03-10	PRIJEM	PREVOD Z UCTU	5937	48253	DUCHOD	MN	16922271
1098561	3753	1998-04-10	PRIJEM	PREVOD Z UCTU	5937	41562	DUCHOD	MN	16922271
1098562	3753	1998-05-10	PRIJEM	PREVOD Z UCTU	5937	44312	DUCHOD	MN	16922271
1098563	3753	1998-06-10	PRIJEM	PREVOD Z UCTU	5937	48274	DUCHOD	MN	16922271
1098564	3753	1998-07-10	PRIJEM	PREVOD Z UCTU	5937	48190	DUCHOD	MN	16922271
1098565	3753	1998-08-10	PRIJEM	PREVOD Z UCTU	5937	48467	DUCHOD	MN	16922271
1098566	3753	1998-09-10	PRIJEM	PREVOD Z UCTU	5937	50848	DUCHOD	MN	16922271
1098567	3753	1998-10-10	PRIJEM	PREVOD Z UCTU	5937	49937	DUCHOD	MN	16922271
1098568	3753	1998-11-10	PRIJEM	PREVOD Z UCTU	5937	47025	DUCHOD	MN	16922271
1098569	3753	1998-12-10	PRIJEM	PREVOD Z UCTU	5937	48203	DUCHOD	MN	16922271
1098577	3753	1995-08-08	VYDAJ	PREVOD NA UCET	1540	27760	SIPO	IJ	9330445
1098578	3753	1995-09-08	VYDAJ	PREVOD NA UCET	1540	28973	SIPO	IJ	9330445
1098579	3753	1995-10-08	VYDAJ	PREVOD NA UCET	1540	30692	SIPO	IJ	9330445
1098580	3753	1995-11-08	VYDAJ	PREVOD NA UCET	1540	29614	SIPO	IJ	9330445
1098581	3753	1995-12-08	VYDAJ	PREVOD NA UCET	1540	27951	SIPO	IJ	9330445
1098582	3753	1996-01-08	VYDAJ	PREVOD NA UCET	1540	24275	SIPO	IJ	9330445
1098583	3753	1996-02-08	VYDAJ	PREVOD NA UCET	1540	21771	SIPO	IJ	9330445
1098584	3753	1996-03-08	VYDAJ	PREVOD NA UCET	1540	25061	SIPO	IJ	9330445
1098585	3753	1996-04-08	VYDAJ	PREVOD NA UCET	1540	25661	SIPO	IJ	9330445
1098586	3753	1996-05-08	VYDAJ	PREVOD NA UCET	1540	19834	SIPO	IJ	9330445
1098587	3753	1996-06-08	VYDAJ	PREVOD NA UCET	1540	20636	SIPO	IJ	9330445
1098588	3753	1996-07-08	VYDAJ	PREVOD NA UCET	1540	22077	SIPO	IJ	9330445
1098589	3753	1996-08-08	VYDAJ	PREVOD NA UCET	1540	26270	SIPO	IJ	9330445
1098590	3753	1996-09-08	VYDAJ	PREVOD NA UCET	1540	28376	SIPO	IJ	9330445
1098591	3753	1996-10-08	VYDAJ	PREVOD NA UCET	1540	26683	SIPO	IJ	9330445
1098592	3753	1996-11-08	VYDAJ	PREVOD NA UCET	1540	24982	SIPO	IJ	9330445
1098593	3753	1996-12-08	VYDAJ	PREVOD NA UCET	1540	23775	SIPO	IJ	9330445
1098594	3753	1997-01-08	VYDAJ	PREVOD NA UCET	1540	22473	SIPO	IJ	9330445
1098595	3753	1997-02-08	VYDAJ	PREVOD NA UCET	1540	20922	SIPO	IJ	9330445
1098596	3753	1997-03-08	VYDAJ	PREVOD NA UCET	1540	22444	SIPO	IJ	9330445
1098597	3753	1997-04-08	VYDAJ	PREVOD NA UCET	1540	24292	SIPO	IJ	9330445
1098598	3753	1997-05-08	VYDAJ	PREVOD NA UCET	1540	27792	SIPO	IJ	9330445
1098599	3753	1997-06-08	VYDAJ	PREVOD NA UCET	1540	30004	SIPO	IJ	9330445
1098600	3753	1997-07-08	VYDAJ	PREVOD NA UCET	1540	30420	SIPO	IJ	9330445
1098601	3753	1997-08-08	VYDAJ	PREVOD NA UCET	1540	34747	SIPO	IJ	9330445
1098602	3753	1997-09-08	VYDAJ	PREVOD NA UCET	1540	33882	SIPO	IJ	9330445
1098603	3753	1997-10-08	VYDAJ	PREVOD NA UCET	1540	37422	SIPO	IJ	9330445
1098604	3753	1997-11-08	VYDAJ	PREVOD NA UCET	1540	41979	SIPO	IJ	9330445
1098605	3753	1997-12-08	VYDAJ	PREVOD NA UCET	1540	43969	SIPO	IJ	9330445
1098606	3753	1998-01-08	VYDAJ	PREVOD NA UCET	1540	45129	SIPO	IJ	9330445
1098607	3753	1998-02-08	VYDAJ	PREVOD NA UCET	1540	38557	SIPO	IJ	9330445
1098608	3753	1998-03-08	VYDAJ	PREVOD NA UCET	1540	42316	SIPO	IJ	9330445
1098609	3753	1998-04-08	VYDAJ	PREVOD NA UCET	1540	37125	SIPO	IJ	9330445
1098610	3753	1998-05-08	VYDAJ	PREVOD NA UCET	1540	40175	SIPO	IJ	9330445
1098611	3753	1998-06-08	VYDAJ	PREVOD NA UCET	1540	42337	SIPO	IJ	9330445
1098612	3753	1998-07-08	VYDAJ	PREVOD NA UCET	1540	42253	SIPO	IJ	9330445
1098613	3753	1998-08-08	VYDAJ	PREVOD NA UCET	1540	42530	SIPO	IJ	9330445
1098614	3753	1998-09-08	VYDAJ	PREVOD NA UCET	1540	44911	SIPO	IJ	9330445
1098615	3753	1998-10-08	VYDAJ	PREVOD NA UCET	1540	44000	SIPO	IJ	9330445
1098616	3753	1998-11-08	VYDAJ	PREVOD NA UCET	1540	41088	SIPO	IJ	9330445
1098617	3753	1998-12-08	VYDAJ	PREVOD NA UCET	1540	42266	SIPO	IJ	9330445
1098624	3753	1996-01-24	VYDAJ	VYBER	1920	24732	\N	\N	\N
1098625	3753	1996-01-20	VYDAJ	VYBER	400	28452	\N	\N	\N
1098626	3753	1996-01-06	VYDAJ	VYBER	640	25815	\N	\N	\N
1098627	3753	1996-01-30	VYDAJ	VYBER	1520	23212	\N	\N	\N
1098628	3753	1996-01-03	VYDAJ	VYBER	1520	26455	\N	\N	\N
1098629	3753	1996-01-16	VYDAJ	VYBER	1360	28852	\N	\N	\N
1098630	3753	1997-01-22	VYDAJ	VYBER	720	24130	\N	\N	\N
1098631	3753	1997-01-07	VYDAJ	VYBER	1360	24013	\N	\N	\N
1098632	3753	1997-01-15	VYDAJ	VYBER	400	26130	\N	\N	\N
1098633	3753	1997-01-20	VYDAJ	VYBER	1280	24850	\N	\N	\N
1098634	3753	1997-01-15	VYDAJ	VYBER	880	26530	\N	\N	\N
1098635	3753	1997-01-24	VYDAJ	VYBER	1760	22370	\N	\N	\N
1098636	3753	1998-01-17	VYDAJ	VYBER	1920	43606	\N	\N	\N
1098637	3753	1998-01-03	VYDAJ	VYBER	1840	46669	\N	\N	\N
1098638	3753	1998-01-10	VYDAJ	VYBER	2240	45526	\N	\N	\N
1098639	3753	1998-01-27	VYDAJ	VYBER	640	42966	\N	\N	\N
1098640	3753	1998-01-29	VYDAJ	VYBER	1280	41686	\N	\N	\N
1098641	3753	1998-01-30	VYDAJ	VYBER	1760	39926	\N	\N	\N
1098643	3753	1995-12-07	VYDAJ	VYBER	480	29491	\N	\N	\N
1098644	3753	1995-12-08	VYDAJ	VYBER	3120	24831	\N	\N	\N
1098648	3753	1996-04-16	VYDAJ	VYBER	3120	28478	\N	\N	\N
1098649	3753	1996-05-28	VYDAJ	VYBER	3680	22091	\N	\N	\N
1098650	3753	1996-04-25	VYDAJ	VYBER	2800	21278	\N	\N	\N
1098651	3753	1996-06-15	VYDAJ	VYBER	3040	23533	\N	\N	\N
1098652	3753	1997-02-15	VYDAJ	VYBER	2560	23899	\N	\N	\N
1098653	3753	1997-03-09	VYDAJ	VYBER	2080	20364	\N	\N	\N
1098654	3753	1997-11-15	VYDAJ	VYBER	2080	45336	\N	\N	\N
1098655	3753	1997-04-04	VYDAJ	VYBER	560	25832	\N	\N	\N
1098656	3753	1997-09-03	VYDAJ	VYBER	1200	35422	\N	\N	\N
1098657	3753	1997-01-06	VYDAJ	VYBER	3440	25373	\N	\N	\N
1098658	3753	1997-12-11	VYDAJ	VYBER	1280	48326	\N	\N	\N
1098659	3753	1998-06-26	VYDAJ	VYBER	1760	46514	\N	\N	\N
1098660	3753	1998-03-26	VYDAJ	VYBER	2880	38493	\N	\N	\N
1098661	3753	1998-02-18	VYDAJ	VYBER	800	43694	\N	\N	\N
1098662	3753	1998-03-25	VYDAJ	VYBER	880	41373	\N	\N	\N
1098663	3753	1998-07-14	VYDAJ	VYBER	800	47390	\N	\N	\N
1098671	3753	1995-07-31	VYDAJ	VYBER	15	29300	SLUZBY	\N	\N
1098672	3753	1995-08-31	VYDAJ	VYBER	15	30513	SLUZBY	\N	\N
1098673	3753	1995-09-30	VYDAJ	VYBER	15	32232	SLUZBY	\N	\N
1098674	3753	1995-10-31	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
1098675	3753	1995-11-30	VYDAJ	VYBER	15	29971	SLUZBY	\N	\N
1098676	3753	1995-12-31	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
1098677	3753	1996-01-31	VYDAJ	VYBER	15	23311	SLUZBY	\N	\N
1098678	3753	1996-02-29	VYDAJ	VYBER	15	26601	SLUZBY	\N	\N
1098679	3753	1996-03-31	VYDAJ	VYBER	15	27201	SLUZBY	\N	\N
1098680	3753	1996-04-30	VYDAJ	VYBER	15	21374	SLUZBY	\N	\N
1098681	3753	1996-05-31	VYDAJ	VYBER	15	22176	SLUZBY	\N	\N
1098682	3753	1996-06-30	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
1098683	3753	1996-07-31	VYDAJ	VYBER	15	27810	SLUZBY	\N	\N
1098684	3753	1996-08-31	VYDAJ	VYBER	15	29916	SLUZBY	\N	\N
1098685	3753	1996-09-30	VYDAJ	VYBER	15	28223	SLUZBY	\N	\N
1098686	3753	1996-10-31	VYDAJ	VYBER	15	26522	SLUZBY	\N	\N
1098687	3753	1996-11-30	VYDAJ	VYBER	15	25315	SLUZBY	\N	\N
1098688	3753	1996-12-31	VYDAJ	VYBER	15	28813	SLUZBY	\N	\N
1098689	3753	1997-01-31	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
1098690	3753	1997-02-28	VYDAJ	VYBER	15	23984	SLUZBY	\N	\N
1098691	3753	1997-03-31	VYDAJ	VYBER	15	26392	SLUZBY	\N	\N
1098692	3753	1997-04-30	VYDAJ	VYBER	15	29332	SLUZBY	\N	\N
1098693	3753	1997-05-31	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
1098694	3753	1997-06-30	VYDAJ	VYBER	15	31960	SLUZBY	\N	\N
1098695	3753	1997-07-31	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
1098696	3753	1997-08-31	VYDAJ	VYBER	15	36622	SLUZBY	\N	\N
1098697	3753	1997-09-30	VYDAJ	VYBER	15	38962	SLUZBY	\N	\N
1098698	3753	1997-10-31	VYDAJ	VYBER	15	43519	SLUZBY	\N	\N
1098699	3753	1997-11-30	VYDAJ	VYBER	15	45509	SLUZBY	\N	\N
1098700	3753	1997-12-31	VYDAJ	VYBER	15	48509	SLUZBY	\N	\N
1098701	3753	1998-01-31	VYDAJ	VYBER	15	40097	SLUZBY	\N	\N
1098702	3753	1998-02-28	VYDAJ	VYBER	15	43856	SLUZBY	\N	\N
1098703	3753	1998-03-31	VYDAJ	VYBER	15	38665	SLUZBY	\N	\N
1098704	3753	1998-04-30	VYDAJ	VYBER	15	41715	SLUZBY	\N	\N
1098705	3753	1998-05-31	VYDAJ	VYBER	15	44477	SLUZBY	\N	\N
1098706	3753	1998-06-30	VYDAJ	VYBER	15	46693	SLUZBY	\N	\N
1098707	3753	1998-07-31	VYDAJ	VYBER	15	47570	SLUZBY	\N	\N
1098708	3753	1998-08-31	VYDAJ	VYBER	15	48651	SLUZBY	\N	\N
1098709	3753	1998-09-30	VYDAJ	VYBER	15	51040	SLUZBY	\N	\N
1098710	3753	1998-10-31	VYDAJ	VYBER	15	50128	SLUZBY	\N	\N
1098711	3753	1998-11-30	VYDAJ	VYBER	15	47206	SLUZBY	\N	\N
1098712	3753	1995-06-24	VYDAJ	VYBER	600	24048	\N	\N	\N
1098713	3753	1995-07-24	VYDAJ	VYBER	800	29208	\N	\N	\N
1098714	3753	1995-08-23	VYDAJ	VYBER	3300	30397	\N	\N	\N
1098715	3753	1995-09-22	VYDAJ	VYBER	2800	32110	\N	\N	\N
1098716	3753	1995-10-22	VYDAJ	VYBER	5600	31029	\N	\N	\N
1098717	3753	1995-11-21	VYDAJ	VYBER	5700	29851	\N	\N	\N
1098718	3753	1995-12-21	VYDAJ	VYBER	2900	27868	\N	\N	\N
1098719	3753	1996-01-20	VYDAJ	VYBER	1800	26652	\N	\N	\N
1098720	3753	1996-02-19	VYDAJ	VYBER	1200	26508	\N	\N	\N
1098721	3753	1996-03-20	VYDAJ	VYBER	3900	27098	\N	\N	\N
1098722	3753	1996-04-19	VYDAJ	VYBER	4400	24078	\N	\N	\N
1098723	3753	1996-07-18	VYDAJ	VYBER	300	27714	\N	\N	\N
1098724	3753	1996-08-17	VYDAJ	VYBER	2400	29807	\N	\N	\N
1098725	3753	1996-09-16	VYDAJ	VYBER	6200	28113	\N	\N	\N
1098726	3753	1996-10-16	VYDAJ	VYBER	6200	26420	\N	\N	\N
1098727	3753	1996-11-15	VYDAJ	VYBER	5700	25219	\N	\N	\N
1098728	3753	1996-12-15	VYDAJ	VYBER	1000	28712	\N	\N	\N
1098729	3753	1997-01-14	VYDAJ	VYBER	1000	27410	\N	\N	\N
1098730	3753	1997-02-13	VYDAJ	VYBER	400	26459	\N	\N	\N
1098731	3753	1997-04-14	VYDAJ	VYBER	1000	29229	\N	\N	\N
1098732	3753	1997-05-14	VYDAJ	VYBER	2300	31429	\N	\N	\N
1098733	3753	1997-06-13	VYDAJ	VYBER	4100	31841	\N	\N	\N
1098734	3753	1997-07-13	VYDAJ	VYBER	200	36157	\N	\N	\N
1098735	3753	1997-08-12	VYDAJ	VYBER	4200	36484	\N	\N	\N
1098736	3753	1997-09-11	VYDAJ	VYBER	1000	38819	\N	\N	\N
1098737	3753	1997-11-10	VYDAJ	VYBER	500	47416	\N	\N	\N
1098738	3753	1997-12-10	VYDAJ	VYBER	300	49606	\N	\N	\N
1098739	3753	1998-01-09	VYDAJ	VYBER	3300	41829	\N	\N	\N
1098740	3753	1998-03-10	VYDAJ	VYBER	6000	42253	\N	\N	\N
1098741	3753	1998-04-09	VYDAJ	VYBER	1500	35625	\N	\N	\N
1098742	3753	1998-05-09	VYDAJ	VYBER	1800	38375	\N	\N	\N
1098743	3753	1998-06-08	VYDAJ	VYBER	600	43877	\N	\N	\N
1098744	3753	1998-07-08	VYDAJ	VYBER	2900	43793	\N	\N	\N
1098745	3753	1998-08-07	VYDAJ	VYBER	3500	44070	\N	\N	\N
1098746	3753	1998-09-06	VYDAJ	VYBER	2200	46451	\N	\N	\N
1098747	3753	1998-10-06	VYDAJ	VYBER	5500	45540	\N	\N	\N
1098748	3753	1998-11-05	VYDAJ	VYBER	7500	42628	\N	\N	\N
1098749	3753	1998-12-05	VYDAJ	VYBER	3400	43806	\N	\N	\N
1098793	3754	1996-02-19	PRIJEM	VKLAD	900	900	\N	\N	\N
1098796	3754	1996-03-08	PRIJEM	PREVOD Z UCTU	29561	30461	\N	AB	98223465
1098797	3754	1996-04-08	PRIJEM	PREVOD Z UCTU	29561	59470	\N	AB	98223465
1098798	3754	1996-05-08	PRIJEM	PREVOD Z UCTU	29561	72076	\N	AB	98223465
1098799	3754	1996-06-08	PRIJEM	PREVOD Z UCTU	44342	94208	\N	AB	98223465
1098800	3754	1996-07-08	PRIJEM	PREVOD Z UCTU	29561	89193	\N	AB	98223465
1098801	3754	1996-08-08	PRIJEM	PREVOD Z UCTU	29561	62947	\N	AB	98223465
1098802	3754	1996-09-08	PRIJEM	PREVOD Z UCTU	29561	50571	\N	AB	98223465
1098803	3754	1996-10-08	PRIJEM	PREVOD Z UCTU	29561	49786	\N	AB	98223465
1098804	3754	1996-11-08	PRIJEM	PREVOD Z UCTU	29561	49315	\N	AB	98223465
1098805	3754	1996-12-08	PRIJEM	PREVOD Z UCTU	44342	74541	\N	AB	98223465
1098806	3754	1997-01-08	PRIJEM	PREVOD Z UCTU	29561	47893	\N	AB	98223465
1098807	3754	1997-02-08	PRIJEM	PREVOD Z UCTU	29561	53016	\N	AB	98223465
1098808	3754	1997-03-08	PRIJEM	PREVOD Z UCTU	29561	53421	\N	AB	98223465
1098809	3754	1997-04-08	PRIJEM	PREVOD Z UCTU	29561	65287	\N	AB	98223465
1098810	3754	1997-05-08	PRIJEM	PREVOD Z UCTU	29561	70184	\N	AB	98223465
1098811	3754	1997-06-08	PRIJEM	PREVOD Z UCTU	44342	73558	\N	AB	98223465
1098812	3754	1997-07-08	PRIJEM	PREVOD Z UCTU	29561	77972	\N	AB	98223465
1098813	3754	1997-08-08	PRIJEM	PREVOD Z UCTU	29561	82919	\N	AB	98223465
1098814	3754	1997-09-08	PRIJEM	PREVOD Z UCTU	29561	54032	\N	AB	98223465
1098815	3754	1997-10-08	PRIJEM	PREVOD Z UCTU	29561	68202	\N	AB	98223465
1098816	3754	1997-11-08	PRIJEM	PREVOD Z UCTU	29561	53800	\N	AB	98223465
1098817	3754	1997-12-08	PRIJEM	PREVOD Z UCTU	44342	77248	\N	AB	98223465
1098818	3754	1998-01-08	PRIJEM	PREVOD Z UCTU	29561	75063	\N	AB	98223465
1098819	3754	1998-02-08	PRIJEM	PREVOD Z UCTU	29561	49777	\N	AB	98223465
1098820	3754	1998-03-08	PRIJEM	PREVOD Z UCTU	29561	61518	\N	AB	98223465
1098821	3754	1998-04-08	PRIJEM	PREVOD Z UCTU	29561	56773	\N	AB	98223465
1098822	3754	1998-05-08	PRIJEM	PREVOD Z UCTU	29561	56018	\N	AB	98223465
1098823	3754	1998-06-08	PRIJEM	PREVOD Z UCTU	44342	74040	\N	AB	98223465
1098824	3754	1998-07-08	PRIJEM	PREVOD Z UCTU	29561	60217	\N	AB	98223465
1098825	3754	1998-08-08	PRIJEM	PREVOD Z UCTU	29561	66391	\N	AB	98223465
1098826	3754	1998-09-08	PRIJEM	PREVOD Z UCTU	29561	76926	\N	AB	98223465
1098827	3754	1998-10-08	PRIJEM	PREVOD Z UCTU	29561	82210	\N	AB	98223465
1098828	3754	1998-11-08	PRIJEM	PREVOD Z UCTU	29561	81413	\N	AB	98223465
1098829	3754	1998-12-08	PRIJEM	PREVOD Z UCTU	44342	96559	\N	AB	98223465
1098836	3754	1996-07-21	VYDAJ	VYBER	2400	52654	\N	\N	0
1098837	3754	1996-08-03	VYDAJ	VYBER	1600	37362	\N	\N	0
1098838	3754	1996-09-16	VYDAJ	VYBER	2300	26207	\N	\N	0
1098839	3754	1996-09-30	VYDAJ	VYBER	2100	24201	\N	\N	0
1098840	3754	1996-11-12	VYDAJ	PREVOD NA UCET	2856	43462	UVER	GH	72773557
1098841	3754	1996-12-12	VYDAJ	PREVOD NA UCET	2856	60888	UVER	GH	72773557
1098842	3754	1997-01-12	VYDAJ	PREVOD NA UCET	2856	40240	UVER	GH	72773557
1098843	3754	1997-02-12	VYDAJ	PREVOD NA UCET	2856	30944	UVER	GH	72773557
1098844	3754	1997-03-12	VYDAJ	PREVOD NA UCET	2856	47568	UVER	GH	72773557
1098845	3754	1997-04-12	VYDAJ	PREVOD NA UCET	2856	59434	UVER	GH	72773557
1098846	3754	1997-05-12	VYDAJ	PREVOD NA UCET	2856	64331	UVER	GH	72773557
1098847	3754	1997-06-12	VYDAJ	PREVOD NA UCET	2856	67705	UVER	GH	72773557
1098848	3754	1997-07-12	VYDAJ	PREVOD NA UCET	2856	72119	UVER	GH	72773557
1098849	3754	1997-08-12	VYDAJ	PREVOD NA UCET	2856	77066	UVER	GH	72773557
1098850	3754	1997-09-12	VYDAJ	PREVOD NA UCET	2856	42479	UVER	GH	72773557
1098851	3754	1997-10-12	VYDAJ	PREVOD NA UCET	2856	52849	UVER	GH	72773557
1098852	3754	1997-11-12	VYDAJ	PREVOD NA UCET	2856	36765	UVER	GH	72773557
1098853	3754	1997-12-12	VYDAJ	PREVOD NA UCET	2856	53195	UVER	GH	72773557
1098854	3754	1998-01-12	VYDAJ	PREVOD NA UCET	2856	25868	UVER	GH	72773557
1098855	3754	1998-02-12	VYDAJ	PREVOD NA UCET	2856	35824	UVER	GH	72773557
1098856	3754	1998-03-12	VYDAJ	PREVOD NA UCET	2856	41265	UVER	GH	72773557
1098857	3754	1998-04-12	VYDAJ	PREVOD NA UCET	2856	35720	UVER	GH	72773557
1098858	3754	1998-05-12	VYDAJ	PREVOD NA UCET	2856	33565	UVER	GH	72773557
1098859	3754	1998-06-12	VYDAJ	PREVOD NA UCET	2856	45387	UVER	GH	72773557
1098860	3754	1998-07-12	VYDAJ	PREVOD NA UCET	2856	40564	UVER	GH	72773557
1098861	3754	1998-08-12	VYDAJ	PREVOD NA UCET	2856	60538	UVER	GH	72773557
1098862	3754	1998-09-12	VYDAJ	PREVOD NA UCET	2856	71073	UVER	GH	72773557
1098863	3754	1998-10-12	VYDAJ	PREVOD NA UCET	2856	76357	UVER	GH	72773557
1098864	3754	1998-11-20	VYDAJ	VYBER	2400	76016	\N	\N	0
1098865	3754	1998-12-07	VYDAJ	VYBER	2500	52217	\N	\N	0
1098873	3754	1996-08-06	VYDAJ	PREVOD NA UCET	3976	33386	SIPO	YZ	10911417
1098874	3754	1996-09-06	VYDAJ	PREVOD NA UCET	3976	21010	SIPO	YZ	10911417
1098875	3754	1996-10-06	VYDAJ	PREVOD NA UCET	3976	20225	SIPO	YZ	10911417
1098876	3754	1996-11-06	VYDAJ	PREVOD NA UCET	3976	19754	SIPO	YZ	10911417
1098877	3754	1996-12-06	VYDAJ	PREVOD NA UCET	3976	30199	SIPO	YZ	10911417
1098878	3754	1997-01-06	VYDAJ	PREVOD NA UCET	3976	18332	SIPO	YZ	10911417
1098879	3754	1997-02-06	VYDAJ	PREVOD NA UCET	3976	23455	SIPO	YZ	10911417
1098880	3754	1997-03-06	VYDAJ	PREVOD NA UCET	3976	23860	SIPO	YZ	10911417
1098881	3754	1997-04-06	VYDAJ	PREVOD NA UCET	3976	35726	SIPO	YZ	10911417
1098882	3754	1997-05-06	VYDAJ	PREVOD NA UCET	3976	40623	SIPO	YZ	10911417
1098883	3754	1997-06-06	VYDAJ	PREVOD NA UCET	3976	29216	SIPO	YZ	10911417
1098884	3754	1997-07-06	VYDAJ	PREVOD NA UCET	3976	48411	SIPO	YZ	10911417
1098885	3754	1997-08-06	VYDAJ	PREVOD NA UCET	3976	53358	SIPO	YZ	10911417
1098886	3754	1997-09-06	VYDAJ	PREVOD NA UCET	3976	24471	SIPO	YZ	10911417
1098887	3754	1997-10-06	VYDAJ	PREVOD NA UCET	3976	38641	SIPO	YZ	10911417
1098888	3754	1997-11-06	VYDAJ	PREVOD NA UCET	3976	24239	SIPO	YZ	10911417
1098889	3754	1997-12-06	VYDAJ	PREVOD NA UCET	3976	32906	SIPO	YZ	10911417
1098890	3754	1998-01-06	VYDAJ	PREVOD NA UCET	3976	49402	SIPO	YZ	10911417
1098891	3754	1998-02-06	VYDAJ	PREVOD NA UCET	3976	20216	SIPO	YZ	10911417
1098892	3754	1998-03-06	VYDAJ	PREVOD NA UCET	3976	31957	SIPO	YZ	10911417
1098893	3754	1998-04-06	VYDAJ	PREVOD NA UCET	3976	27212	SIPO	YZ	10911417
1098894	3754	1998-05-06	VYDAJ	PREVOD NA UCET	3976	26457	SIPO	YZ	10911417
1098895	3754	1998-06-06	VYDAJ	PREVOD NA UCET	3976	29698	SIPO	YZ	10911417
1098896	3754	1998-07-06	VYDAJ	PREVOD NA UCET	3976	41559	SIPO	YZ	10911417
1098897	3754	1998-08-06	VYDAJ	PREVOD NA UCET	3976	36730	SIPO	YZ	10911417
1098898	3754	1998-09-06	VYDAJ	PREVOD NA UCET	3976	47365	SIPO	YZ	10911417
1098899	3754	1998-10-06	VYDAJ	PREVOD NA UCET	3976	67349	SIPO	YZ	10911417
1098900	3754	1998-11-06	VYDAJ	PREVOD NA UCET	3976	51852	SIPO	YZ	10911417
1098901	3754	1998-12-06	VYDAJ	PREVOD NA UCET	3976	54717	SIPO	YZ	10911417
1098908	3754	1996-07-11	VYDAJ	PREVOD NA UCET	1184	86196	 	OP	52597421
1098909	3754	1996-08-11	VYDAJ	PREVOD NA UCET	1184	47247	 	OP	52597421
1098910	3754	1996-09-11	VYDAJ	PREVOD NA UCET	1184	28807	 	OP	52597421
1098911	3754	1996-10-11	VYDAJ	PREVOD NA UCET	1184	46789	 	OP	52597421
1098912	3754	1996-11-11	VYDAJ	PREVOD NA UCET	1184	46318	 	OP	52597421
1098913	3754	1996-12-11	VYDAJ	PREVOD NA UCET	1184	63744	 	OP	52597421
1098914	3754	1997-01-11	VYDAJ	PREVOD NA UCET	1184	43096	 	OP	52597421
1098915	3754	1997-02-11	VYDAJ	PREVOD NA UCET	1184	33800	 	OP	52597421
1098916	3754	1997-03-11	VYDAJ	PREVOD NA UCET	1184	50424	 	OP	52597421
1098917	3754	1997-04-11	VYDAJ	PREVOD NA UCET	1184	62290	 	OP	52597421
1098918	3754	1997-05-11	VYDAJ	PREVOD NA UCET	1184	67187	 	OP	52597421
1098919	3754	1997-06-11	VYDAJ	PREVOD NA UCET	1184	70561	 	OP	52597421
1098920	3754	1997-07-11	VYDAJ	PREVOD NA UCET	1184	74975	 	OP	52597421
1098921	3754	1997-08-11	VYDAJ	PREVOD NA UCET	1184	79922	 	OP	52597421
1098922	3754	1997-09-11	VYDAJ	PREVOD NA UCET	1184	45335	 	OP	52597421
1098923	3754	1997-10-11	VYDAJ	PREVOD NA UCET	1184	65205	 	OP	52597421
1098924	3754	1997-11-11	VYDAJ	PREVOD NA UCET	1184	39621	 	OP	52597421
1098925	3754	1997-12-11	VYDAJ	PREVOD NA UCET	1184	58451	 	OP	52597421
1098926	3754	1998-01-11	VYDAJ	PREVOD NA UCET	1184	52166	 	OP	52597421
1098927	3754	1998-02-11	VYDAJ	PREVOD NA UCET	1184	38680	 	OP	52597421
1098928	3754	1998-03-11	VYDAJ	PREVOD NA UCET	1184	44121	 	OP	52597421
1098929	3754	1998-04-11	VYDAJ	PREVOD NA UCET	1184	38576	 	OP	52597421
1098930	3754	1998-05-11	VYDAJ	PREVOD NA UCET	1184	36421	 	OP	52597421
1098931	3754	1998-06-11	VYDAJ	PREVOD NA UCET	1184	48243	 	OP	52597421
1098932	3754	1998-07-11	VYDAJ	PREVOD NA UCET	1184	43420	 	OP	52597421
1098933	3754	1998-08-11	VYDAJ	PREVOD NA UCET	1184	63394	 	OP	52597421
1098934	3754	1998-09-11	VYDAJ	PREVOD NA UCET	1184	73929	 	OP	52597421
1098935	3754	1998-10-11	VYDAJ	PREVOD NA UCET	1184	79213	 	OP	52597421
1098936	3754	1998-11-11	VYDAJ	PREVOD NA UCET	1184	78416	 	OP	52597421
1098937	3754	1998-12-11	VYDAJ	PREVOD NA UCET	1184	83962	 	OP	52597421
1098944	3754	1996-07-09	VYDAJ	PREVOD NA UCET	913	88280	POJISTNE	MN	55045568
1098945	3754	1996-08-09	VYDAJ	PREVOD NA UCET	913	49331	POJISTNE	MN	55045568
1098946	3754	1996-09-09	VYDAJ	PREVOD NA UCET	913	49658	POJISTNE	MN	55045568
1098947	3754	1996-10-09	VYDAJ	PREVOD NA UCET	913	47973	POJISTNE	MN	55045568
1098948	3754	1996-11-09	VYDAJ	PREVOD NA UCET	913	47502	POJISTNE	MN	55045568
1098949	3754	1996-12-09	VYDAJ	PREVOD NA UCET	913	73628	POJISTNE	MN	55045568
1098950	3754	1997-01-09	VYDAJ	PREVOD NA UCET	913	46080	POJISTNE	MN	55045568
1098951	3754	1997-02-09	VYDAJ	PREVOD NA UCET	913	52103	POJISTNE	MN	55045568
1098952	3754	1997-03-09	VYDAJ	PREVOD NA UCET	913	52508	POJISTNE	MN	55045568
1098953	3754	1997-04-09	VYDAJ	PREVOD NA UCET	913	63474	POJISTNE	MN	55045568
1098954	3754	1997-05-09	VYDAJ	PREVOD NA UCET	913	69271	POJISTNE	MN	55045568
1098955	3754	1997-06-09	VYDAJ	PREVOD NA UCET	913	71745	POJISTNE	MN	55045568
1098956	3754	1997-07-09	VYDAJ	PREVOD NA UCET	913	77059	POJISTNE	MN	55045568
1098957	3754	1997-08-09	VYDAJ	PREVOD NA UCET	913	82006	POJISTNE	MN	55045568
1098958	3754	1997-09-09	VYDAJ	PREVOD NA UCET	913	53119	POJISTNE	MN	55045568
1098959	3754	1997-10-09	VYDAJ	PREVOD NA UCET	913	67289	POJISTNE	MN	55045568
1098960	3754	1997-11-09	VYDAJ	PREVOD NA UCET	913	37005	POJISTNE	MN	55045568
1098961	3754	1997-12-09	VYDAJ	PREVOD NA UCET	913	76335	POJISTNE	MN	55045568
1098962	3754	1998-01-09	VYDAJ	PREVOD NA UCET	913	74150	POJISTNE	MN	55045568
1098963	3754	1998-02-09	VYDAJ	PREVOD NA UCET	913	39864	POJISTNE	MN	55045568
1098964	3754	1998-03-09	VYDAJ	PREVOD NA UCET	913	59705	POJISTNE	MN	55045568
1098965	3754	1998-04-09	VYDAJ	PREVOD NA UCET	913	55860	POJISTNE	MN	55045568
1098966	3754	1998-05-09	VYDAJ	PREVOD NA UCET	913	55105	POJISTNE	MN	55045568
1099098	3754	1997-11-30	VYDAJ	VYBER	30	36882	SLUZBY	\N	\N
1098967	3754	1998-06-09	VYDAJ	PREVOD NA UCET	913	50327	POJISTNE	MN	55045568
1098968	3754	1998-07-09	VYDAJ	PREVOD NA UCET	913	45504	POJISTNE	MN	55045568
1098969	3754	1998-08-09	VYDAJ	PREVOD NA UCET	913	65478	POJISTNE	MN	55045568
1098970	3754	1998-09-09	VYDAJ	PREVOD NA UCET	913	75113	POJISTNE	MN	55045568
1098971	3754	1998-10-09	VYDAJ	PREVOD NA UCET	913	81297	POJISTNE	MN	55045568
1098972	3754	1998-11-09	VYDAJ	PREVOD NA UCET	913	79600	POJISTNE	MN	55045568
1098973	3754	1998-12-09	VYDAJ	PREVOD NA UCET	913	95646	POJISTNE	MN	55045568
1098980	3754	1996-07-09	VYDAJ	PREVOD NA UCET	900	87380	 	UV	27539909
1098981	3754	1996-08-09	VYDAJ	PREVOD NA UCET	900	48431	 	UV	27539909
1098982	3754	1996-09-09	VYDAJ	PREVOD NA UCET	900	48758	 	UV	27539909
1098983	3754	1996-10-09	VYDAJ	PREVOD NA UCET	900	48886	 	UV	27539909
1098984	3754	1996-11-09	VYDAJ	PREVOD NA UCET	900	48415	 	UV	27539909
1098985	3754	1996-12-09	VYDAJ	PREVOD NA UCET	900	72728	 	UV	27539909
1098986	3754	1997-01-09	VYDAJ	PREVOD NA UCET	900	46993	 	UV	27539909
1098987	3754	1997-02-09	VYDAJ	PREVOD NA UCET	900	51203	 	UV	27539909
1098988	3754	1997-03-09	VYDAJ	PREVOD NA UCET	900	51608	 	UV	27539909
1098989	3754	1997-04-09	VYDAJ	PREVOD NA UCET	900	64387	 	UV	27539909
1098990	3754	1997-05-09	VYDAJ	PREVOD NA UCET	900	68371	 	UV	27539909
1098991	3754	1997-06-09	VYDAJ	PREVOD NA UCET	900	72658	 	UV	27539909
1098992	3754	1997-07-09	VYDAJ	PREVOD NA UCET	900	76159	 	UV	27539909
1098993	3754	1997-08-09	VYDAJ	PREVOD NA UCET	900	81106	 	UV	27539909
1098994	3754	1997-09-09	VYDAJ	PREVOD NA UCET	900	52219	 	UV	27539909
1098995	3754	1997-10-09	VYDAJ	PREVOD NA UCET	900	66389	 	UV	27539909
1098996	3754	1997-11-09	VYDAJ	PREVOD NA UCET	900	36105	 	UV	27539909
1098997	3754	1997-12-09	VYDAJ	PREVOD NA UCET	900	75435	 	UV	27539909
1098998	3754	1998-01-09	VYDAJ	PREVOD NA UCET	900	53350	 	UV	27539909
1098999	3754	1998-02-09	VYDAJ	PREVOD NA UCET	900	40777	 	UV	27539909
1099000	3754	1998-03-09	VYDAJ	PREVOD NA UCET	900	60618	 	UV	27539909
1099001	3754	1998-04-09	VYDAJ	PREVOD NA UCET	900	39760	 	UV	27539909
1099002	3754	1998-05-09	VYDAJ	PREVOD NA UCET	900	54205	 	UV	27539909
1099003	3754	1998-06-09	VYDAJ	PREVOD NA UCET	900	49427	 	UV	27539909
1099004	3754	1998-07-09	VYDAJ	PREVOD NA UCET	900	44604	 	UV	27539909
1099005	3754	1998-08-09	VYDAJ	PREVOD NA UCET	900	64578	 	UV	27539909
1099006	3754	1998-09-09	VYDAJ	PREVOD NA UCET	900	76026	 	UV	27539909
1099007	3754	1998-10-09	VYDAJ	PREVOD NA UCET	900	80397	 	UV	27539909
1099008	3754	1998-11-09	VYDAJ	PREVOD NA UCET	900	80513	 	UV	27539909
1099009	3754	1998-12-09	VYDAJ	PREVOD NA UCET	900	94746	 	UV	27539909
1099011	3754	1996-10-22	VYBER	VYBER	15868	23621	\N	\N	\N
1099012	3754	1996-08-09	VYBER	VYBER	12703	50244	\N	\N	\N
1099013	3754	1996-07-14	VYBER	VYBER	3242	82954	\N	\N	\N
1099015	3754	1996-07-27	VYBER	VYBER	13920	38734	\N	\N	\N
1099018	3754	1996-12-27	VYBER	VYBER	20034	24554	\N	\N	\N
1099020	3754	1996-09-10	VYBER	VYBER	18767	29991	\N	\N	\N
1099022	3754	1997-11-09	VYBER	VYBER	15882	37918	\N	\N	\N
1099023	3754	1997-08-13	VYBER	VYBER	24666	34000	\N	\N	\N
1099024	3754	1997-02-11	VYBER	VYBER	16219	34984	\N	\N	\N
1099026	3754	1997-03-06	VYBER	VYBER	2110	27836	\N	\N	\N
1099028	3754	1997-10-20	VYBER	VYBER	14279	28070	\N	\N	\N
1099032	3754	1998-07-07	VYBER	VYBER	10903	30656	\N	\N	\N
1099035	3754	1998-01-12	VYBER	VYBER	23442	28724	\N	\N	\N
1099042	3754	1996-12-11	VYDAJ	VYBER	7800	64928	\N	\N	\N
1099043	3754	1997-12-11	VYDAJ	VYBER	2400	56051	\N	\N	\N
1099044	3754	1998-12-16	VYDAJ	VYBER	6900	77062	\N	\N	\N
1099051	3754	1997-01-12	VYDAJ	VYBER	6000	34240	\N	\N	\N
1099052	3754	1997-01-11	VYDAJ	VYBER	1800	44280	\N	\N	\N
1099054	3754	1997-01-13	VYDAJ	VYBER	8100	26140	\N	\N	\N
1099055	3754	1997-01-03	VYDAJ	VYBER	2400	22308	\N	\N	\N
1099057	3754	1998-01-19	VYDAJ	VYBER	1800	24068	\N	\N	\N
1099058	3754	1998-01-07	VYDAJ	VYBER	3900	45502	\N	\N	\N
1099064	3754	1996-09-05	VYDAJ	VYBER	11700	24986	\N	\N	\N
1099066	3754	1997-10-12	VYDAJ	VYBER	10500	42349	\N	\N	\N
1099068	3754	1997-05-15	VYDAJ	VYBER	5700	43831	\N	\N	\N
1099069	3754	1997-08-14	VYDAJ	VYBER	5700	28300	\N	\N	\N
1099070	3754	1997-05-24	VYDAJ	VYBER	10800	33031	\N	\N	\N
1099071	3754	1998-04-19	VYDAJ	VYBER	5400	30320	\N	\N	\N
1099072	3754	1998-10-26	VYDAJ	VYBER	8700	67657	\N	\N	\N
1099073	3754	1998-12-10	VYDAJ	VYBER	9600	85146	\N	\N	\N
1099074	3754	1998-03-19	VYDAJ	VYBER	10200	31065	\N	\N	\N
1099082	3754	1996-07-31	VYDAJ	VYBER	30	38962	SLUZBY	\N	\N
1099083	3754	1996-08-31	VYDAJ	VYBER	30	36686	SLUZBY	\N	\N
1099084	3754	1996-09-30	VYDAJ	VYBER	30	26301	SLUZBY	\N	\N
1099085	3754	1996-10-31	VYDAJ	VYBER	30	23730	SLUZBY	\N	\N
1099086	3754	1996-11-30	VYDAJ	VYBER	30	34175	SLUZBY	\N	\N
1099087	3754	1996-12-31	VYDAJ	VYBER	30	24708	SLUZBY	\N	\N
1099088	3754	1997-01-31	VYDAJ	VYBER	30	27431	SLUZBY	\N	\N
1099089	3754	1997-02-28	VYDAJ	VYBER	30	29946	SLUZBY	\N	\N
1099090	3754	1997-03-31	VYDAJ	VYBER	30	39702	SLUZBY	\N	\N
1099091	3754	1997-04-30	VYDAJ	VYBER	30	44599	SLUZBY	\N	\N
1099092	3754	1997-05-31	VYDAJ	VYBER	30	33192	SLUZBY	\N	\N
1099093	3754	1997-06-30	VYDAJ	VYBER	30	52387	SLUZBY	\N	\N
1099094	3754	1997-07-31	VYDAJ	VYBER	30	57334	SLUZBY	\N	\N
1099095	3754	1997-08-31	VYDAJ	VYBER	30	28447	SLUZBY	\N	\N
1099096	3754	1997-09-30	VYDAJ	VYBER	30	42617	SLUZBY	\N	\N
1099097	3754	1997-10-31	VYDAJ	VYBER	30	28215	SLUZBY	\N	\N
1099099	3754	1997-12-31	VYDAJ	VYBER	30	53378	SLUZBY	\N	\N
1099100	3754	1998-01-31	VYDAJ	VYBER	30	24192	SLUZBY	\N	\N
1099101	3754	1998-02-28	VYDAJ	VYBER	30	35933	SLUZBY	\N	\N
1099102	3754	1998-03-31	VYDAJ	VYBER	30	31188	SLUZBY	\N	\N
1099103	3754	1998-04-30	VYDAJ	VYBER	30	30433	SLUZBY	\N	\N
1099104	3754	1998-05-31	VYDAJ	VYBER	30	33674	SLUZBY	\N	\N
1099105	3754	1998-06-30	VYDAJ	VYBER	30	45535	SLUZBY	\N	\N
1099106	3754	1998-07-31	VYDAJ	VYBER	30	40706	SLUZBY	\N	\N
1099107	3754	1998-08-31	VYDAJ	VYBER	30	60741	SLUZBY	\N	\N
1099108	3754	1998-09-30	VYDAJ	VYBER	30	71325	SLUZBY	\N	\N
1099109	3754	1998-10-31	VYDAJ	VYBER	30	67928	SLUZBY	\N	\N
1099110	3754	1998-11-30	VYDAJ	VYBER	30	76293	SLUZBY	\N	\N
1099111	3754	1996-03-20	VYDAJ	VYBER	600	29861	\N	\N	\N
1099112	3754	1996-04-19	VYDAJ	VYBER	17100	42370	\N	\N	\N
1099113	3754	1996-05-19	VYDAJ	VYBER	22400	49676	\N	\N	\N
1099114	3754	1996-06-18	VYDAJ	VYBER	34800	59408	\N	\N	\N
1099115	3754	1996-07-18	VYDAJ	VYBER	27900	55054	\N	\N	\N
1099116	3754	1996-08-17	VYDAJ	VYBER	10700	36547	\N	\N	\N
1099117	3754	1996-09-16	VYDAJ	VYBER	300	28507	\N	\N	\N
1099118	3754	1996-10-16	VYDAJ	VYBER	7300	39489	\N	\N	\N
1099119	3754	1996-11-15	VYDAJ	VYBER	9400	34062	\N	\N	\N
1099120	3754	1996-12-15	VYDAJ	VYBER	16300	44588	\N	\N	\N
1099121	3754	1997-01-14	PRIJEM	VKLAD	1200	27340	\N	\N	\N
1099122	3754	1997-02-13	VYDAJ	VYBER	1100	29844	\N	\N	\N
1099123	3754	1997-03-15	VYDAJ	VYBER	8000	39568	\N	\N	\N
1099124	3754	1997-04-14	VYDAJ	VYBER	15000	44434	\N	\N	\N
1099125	3754	1997-05-14	VYDAJ	VYBER	14800	49531	\N	\N	\N
1099126	3754	1997-06-13	VYDAJ	VYBER	15500	52205	\N	\N	\N
1099127	3754	1997-07-13	VYDAJ	VYBER	15000	57119	\N	\N	\N
1099128	3754	1997-08-12	VYDAJ	VYBER	18400	58666	\N	\N	\N
1099129	3754	1997-09-11	VYDAJ	VYBER	5700	46519	\N	\N	\N
1099130	3754	1997-10-11	VYDAJ	VYBER	9500	55705	\N	\N	\N
1099131	3754	1997-11-10	PRIJEM	VKLAD	4700	40805	\N	\N	\N
1099132	3754	1997-12-10	VYDAJ	VYBER	15800	59635	\N	\N	\N
1099133	3754	1998-01-09	VYDAJ	VYBER	19900	54250	\N	\N	\N
1099134	3754	1998-02-08	VYDAJ	VYBER	8100	41677	\N	\N	\N
1099135	3754	1998-03-10	VYDAJ	VYBER	14400	45305	\N	\N	\N
1099136	3754	1998-04-09	VYDAJ	VYBER	15200	40660	\N	\N	\N
1099137	3754	1998-05-09	VYDAJ	VYBER	16600	37605	\N	\N	\N
1099138	3754	1998-06-08	VYDAJ	VYBER	22800	51240	\N	\N	\N
1099139	3754	1998-07-08	VYDAJ	VYBER	13800	46417	\N	\N	\N
1099140	3754	1998-08-07	PRIJEM	VKLAD	100	36830	\N	\N	\N
1099141	3754	1998-09-06	VYDAJ	VYBER	9400	51341	\N	\N	\N
1099142	3754	1998-10-06	VYDAJ	VYBER	14700	52649	\N	\N	\N
1099143	3754	1998-11-05	VYDAJ	VYBER	12100	55828	\N	\N	\N
1099144	3754	1998-12-05	VYDAJ	VYBER	17600	58693	\N	\N	\N
1099179	3755	1996-01-20	PRIJEM	VKLAD	200	200	\N	\N	\N
1099180	3755	1996-12-21	PRIJEM	VKLAD	44336	103448	\N	\N	\N
1099181	3755	1996-12-02	PRIJEM	VKLAD	40641	72553	\N	\N	\N
1099182	3755	1996-12-12	PRIJEM	VKLAD	48659	106212	\N	\N	\N
1099183	3755	1996-03-05	PRIJEM	VKLAD	19797	68564	\N	\N	\N
1099184	3755	1996-08-06	PRIJEM	VKLAD	43366	53700	\N	\N	\N
1099185	3755	1996-02-25	PRIJEM	VKLAD	37932	48732	\N	\N	\N
1099186	3755	1996-05-28	PRIJEM	VKLAD	33462	67890	\N	\N	\N
1099187	3755	1996-10-11	PRIJEM	VKLAD	10686	103677	\N	\N	\N
1099188	3755	1996-06-02	PRIJEM	VKLAD	30318	98403	\N	\N	\N
1099189	3755	1996-03-05	PRIJEM	VKLAD	46045	114609	\N	\N	\N
1099190	3755	1996-04-16	PRIJEM	VKLAD	21446	77409	\N	\N	\N
1099191	3755	1996-10-08	PRIJEM	VKLAD	37237	110490	\N	\N	\N
1099192	3755	1996-07-07	PRIJEM	VKLAD	41511	69777	\N	\N	\N
1099193	3755	1996-09-13	PRIJEM	VKLAD	31868	66339	\N	\N	\N
1099194	3755	1996-12-21	PRIJEM	VKLAD	29596	133044	\N	\N	\N
1099195	3755	1996-06-16	PRIJEM	VKLAD	27314	66767	\N	\N	\N
1099196	3755	1996-09-01	PRIJEM	VKLAD	12720	47971	\N	\N	\N
1099197	3755	1996-10-06	PRIJEM	VKLAD	47365	73253	\N	\N	\N
1099198	3755	1996-10-08	PRIJEM	VKLAD	30601	141091	\N	\N	\N
1099199	3755	1996-09-23	PRIJEM	VKLAD	5110	46649	\N	\N	\N
1099200	3755	1996-11-11	PRIJEM	VKLAD	26672	49784	\N	\N	\N
1099201	3755	1997-05-05	PRIJEM	VKLAD	15294	41415	\N	\N	\N
1099202	3755	1997-05-31	PRIJEM	VKLAD	25778	89674	\N	\N	\N
1099203	3755	1997-05-06	PRIJEM	VKLAD	29793	57708	\N	\N	\N
1099204	3755	1997-09-05	PRIJEM	VKLAD	40358	66957	\N	\N	\N
1099205	3755	1997-10-14	PRIJEM	VKLAD	17863	25298	\N	\N	\N
1099206	3755	1997-01-19	PRIJEM	VKLAD	39624	62253	\N	\N	\N
1099207	3755	1997-08-19	PRIJEM	VKLAD	25958	26533	\N	\N	\N
1099208	3755	1997-05-04	PRIJEM	VKLAD	19778	26121	\N	\N	\N
1099209	3755	1997-05-07	PRIJEM	VKLAD	48016	105724	\N	\N	\N
1099210	3755	1997-11-13	PRIJEM	VKLAD	44389	56270	\N	\N	\N
1099211	3755	1997-12-23	PRIJEM	VKLAD	9289	82649	\N	\N	\N
1099212	3755	1997-03-07	PRIJEM	VKLAD	8847	19805	\N	\N	\N
1099213	3755	1997-06-24	PRIJEM	VKLAD	31421	70680	\N	\N	\N
1099214	3755	1997-12-21	PRIJEM	VKLAD	46069	73360	\N	\N	\N
1099215	3755	1998-11-07	PRIJEM	VKLAD	17812	57493	\N	\N	\N
1099216	3755	1998-05-10	PRIJEM	VKLAD	19229	49287	\N	\N	\N
1099217	3755	1998-06-20	PRIJEM	VKLAD	11733	80203	\N	\N	\N
1099218	3755	1998-05-17	PRIJEM	VKLAD	9541	58828	\N	\N	\N
1099219	3755	1998-02-19	PRIJEM	VKLAD	14744	48220	\N	\N	\N
1099220	3755	1998-10-06	PRIJEM	VKLAD	38421	99931	\N	\N	\N
1099221	3755	1998-01-30	PRIJEM	VKLAD	20685	44518	\N	\N	\N
1099222	3755	1998-02-28	PRIJEM	VKLAD	11049	102503	\N	\N	\N
1099223	3755	1998-08-19	PRIJEM	VKLAD	36797	57605	\N	\N	\N
1099224	3755	1998-02-24	PRIJEM	VKLAD	43234	91454	\N	\N	\N
1099225	3755	1998-09-28	PRIJEM	VKLAD	30994	60940	\N	\N	\N
1099226	3755	1998-12-04	PRIJEM	VKLAD	31806	70316	\N	\N	\N
1099227	3755	1998-10-01	PRIJEM	VKLAD	25370	86464	\N	\N	\N
1099228	3755	1998-03-04	PRIJEM	VKLAD	46256	133781	\N	\N	\N
1099229	3755	1998-05-27	PRIJEM	VKLAD	20974	73378	\N	\N	\N
1099230	3755	1998-03-10	PRIJEM	VKLAD	11628	100909	\N	\N	\N
1099231	3755	1998-02-08	PRIJEM	VKLAD	23815	54976	\N	\N	\N
1099232	3755	1998-04-25	PRIJEM	VKLAD	32657	54123	\N	\N	\N
1099233	3755	1998-06-15	PRIJEM	VKLAD	37140	68470	\N	\N	\N
1099275	3755	1996-06-05	VYDAJ	PREVOD NA UCET	13500	84903	SIPO	YZ	53685873
1099276	3755	1996-07-05	VYDAJ	PREVOD NA UCET	13500	28266	SIPO	YZ	53685873
1099277	3755	1996-08-05	VYDAJ	PREVOD NA UCET	13500	10334	SIPO	YZ	53685873
1099278	3755	1996-09-05	VYDAJ	PREVOD NA UCET	13500	34471	SIPO	YZ	53685873
1099279	3755	1996-10-05	VYDAJ	PREVOD NA UCET	13500	25888	SIPO	YZ	53685873
1099280	3755	1996-11-05	VYDAJ	PREVOD NA UCET	13500	23112	SIPO	YZ	53685873
1099281	3755	1996-12-05	VYDAJ	PREVOD NA UCET	13500	57553	SIPO	YZ	53685873
1099282	3755	1997-01-05	VYDAJ	PREVOD NA UCET	13500	62229	SIPO	YZ	53685873
1099283	3755	1997-02-05	VYDAJ	PREVOD NA UCET	13500	26143	SIPO	YZ	53685873
1099284	3755	1997-03-05	VYDAJ	PREVOD NA UCET	13500	10958	SIPO	YZ	53685873
1099285	3755	1997-04-05	VYDAJ	PREVOD NA UCET	13500	6277	SIPO	YZ	53685873
1099286	3755	1997-05-05	VYDAJ	PREVOD NA UCET	13500	27915	SIPO	YZ	53685873
1099287	3755	1997-06-05	VYDAJ	PREVOD NA UCET	13500	65659	SIPO	YZ	53685873
1099288	3755	1997-07-05	VYDAJ	PREVOD NA UCET	13500	13112	SIPO	YZ	53685873
1099289	3755	1997-08-05	VYDAJ	PREVOD NA UCET	13500	575	SIPO	YZ	53685873
1099290	3755	1997-09-05	VYDAJ	PREVOD NA UCET	13500	53457	SIPO	YZ	53685873
1099291	3755	1997-10-05	VYDAJ	PREVOD NA UCET	13500	7435	SIPO	YZ	53685873
1099292	3755	1997-11-05	VYDAJ	PREVOD NA UCET	13500	11881	SIPO	YZ	53685873
1099293	3755	1997-12-05	VYDAJ	PREVOD NA UCET	13500	41439	SIPO	YZ	53685873
1099294	3755	1998-01-05	VYDAJ	PREVOD NA UCET	13500	59833	SIPO	YZ	53685873
1099295	3755	1998-02-05	VYDAJ	PREVOD NA UCET	13500	31161	SIPO	YZ	53685873
1099296	3755	1998-03-05	VYDAJ	PREVOD NA UCET	13500	89281	SIPO	YZ	53685873
1099297	3755	1998-04-05	VYDAJ	PREVOD NA UCET	13500	37366	SIPO	YZ	53685873
1099298	3755	1998-05-05	VYDAJ	PREVOD NA UCET	13500	40758	SIPO	YZ	53685873
1099299	3755	1998-06-05	VYDAJ	PREVOD NA UCET	13500	52537	SIPO	YZ	53685873
1099300	3755	1998-07-05	VYDAJ	PREVOD NA UCET	13500	28797	SIPO	YZ	53685873
1099301	3755	1998-08-05	VYDAJ	PREVOD NA UCET	13500	13408	SIPO	YZ	53685873
1099302	3755	1998-09-05	VYDAJ	PREVOD NA UCET	13500	44246	SIPO	YZ	53685873
1099303	3755	1998-10-05	VYDAJ	PREVOD NA UCET	13500	61510	SIPO	YZ	53685873
1099304	3755	1998-11-05	VYDAJ	PREVOD NA UCET	13500	48981	SIPO	YZ	53685873
1099305	3755	1998-12-05	VYDAJ	PREVOD NA UCET	13500	56816	SIPO	YZ	53685873
1099306	3755	1996-07-30	VYBER	VYBER	16002	23638	\N	\N	\N
1099307	3755	1996-09-30	VYBER	VYBER	7424	39403	\N	\N	\N
1099308	3755	1996-07-21	VYBER	VYBER	6637	39640	\N	\N	\N
1099310	3755	1996-06-06	VYBER	VYBER	8250	76653	\N	\N	\N
1099312	3755	1996-10-16	VYBER	VYBER	5333	94744	\N	\N	\N
1099315	3755	1996-11-05	VYBER	VYBER	9187	36612	\N	\N	\N
1099320	3755	1997-06-27	VYBER	VYBER	20545	50135	\N	\N	\N
1099321	3755	1997-07-03	VYBER	VYBER	23749	26612	\N	\N	\N
1099323	3755	1997-12-18	VYBER	VYBER	2548	27291	\N	\N	\N
1099324	3755	1997-09-29	VYBER	VYBER	13558	20799	\N	\N	\N
1099331	3755	1998-10-01	VYBER	VYBER	11454	75010	\N	\N	\N
1099332	3755	1998-06-05	VYBER	VYBER	7561	66037	\N	\N	\N
1099334	3755	1998-01-02	VYBER	VYBER	3222	79633	\N	\N	\N
1099336	3755	1998-05-25	VYBER	VYBER	6424	52404	\N	\N	\N
1099337	3755	1998-12-11	VYBER	VYBER	12500	30116	\N	\N	\N
1099338	3755	1998-06-07	VYBER	VYBER	11307	41230	\N	\N	\N
1099339	3755	1998-03-02	VYBER	VYBER	15170	87525	\N	\N	\N
1099340	3755	1996-06-09	VYDAJ	VYBER	37200	39453	\N	\N	\N
1099342	3755	1998-06-21	VYDAJ	VYBER	38100	42103	\N	\N	\N
1099344	3755	1997-01-19	VYDAJ	VYBER	16500	45753	\N	\N	\N
1099346	3755	1996-12-02	VYDAJ	VYBER	1500	71053	\N	\N	\N
1099347	3755	1997-12-04	VYDAJ	VYBER	1500	54939	\N	\N	\N
1099348	3755	1998-12-03	VYDAJ	VYBER	3600	38510	\N	\N	\N
1099355	3755	1997-01-15	VYDAJ	VYBER	6300	22629	\N	\N	\N
1099356	3755	1997-01-13	VYDAJ	VYBER	1500	53529	\N	\N	\N
1099357	3755	1997-01-10	VYDAJ	VYBER	4200	55029	\N	\N	\N
1099358	3755	1997-01-03	VYDAJ	VYBER	6300	75729	\N	\N	\N
1099359	3755	1997-01-26	VYDAJ	VYBER	6300	39453	\N	\N	\N
1099360	3755	1997-01-05	VYDAJ	VYBER	3000	59229	\N	\N	\N
1099361	3755	1998-01-08	VYDAJ	VYBER	4200	48733	\N	\N	\N
1099362	3755	1998-01-03	VYDAJ	VYBER	6300	73333	\N	\N	\N
1099363	3755	1998-01-07	VYDAJ	VYBER	3000	52933	\N	\N	\N
1099364	3755	1998-01-15	VYDAJ	VYBER	5400	26533	\N	\N	\N
1099365	3755	1998-01-05	VYDAJ	VYBER	3900	55933	\N	\N	\N
1099366	3755	1998-01-18	VYDAJ	VYBER	2700	23833	\N	\N	\N
1099369	3755	1996-10-14	VYDAJ	VYBER	3600	100077	\N	\N	\N
1099370	3755	1996-10-31	VYDAJ	VYBER	8100	45799	\N	\N	\N
1099376	3755	1997-01-14	VYDAJ	VYBER	11700	41829	\N	\N	\N
1099377	3755	1997-06-01	VYDAJ	VYBER	10500	79159	\N	\N	\N
1099378	3755	1998-11-26	VYDAJ	VYBER	10500	41893	\N	\N	\N
1099379	3755	1998-09-23	VYDAJ	VYBER	5100	29946	\N	\N	\N
1099380	3755	1998-11-26	VYDAJ	VYBER	5100	52393	\N	\N	\N
1099381	3755	1998-03-20	VYDAJ	VYBER	5400	50609	\N	\N	\N
1099387	3755	1996-05-31	VYDAJ	VYBER	15	68085	SLUZBY	\N	\N
1099388	3755	1996-06-30	VYDAJ	VYBER	15	41766	SLUZBY	\N	\N
1099389	3755	1996-07-31	VYDAJ	VYBER	15	23834	SLUZBY	\N	\N
1099390	3755	1996-08-31	VYDAJ	VYBER	15	35251	SLUZBY	\N	\N
1099391	3755	1996-09-30	VYDAJ	VYBER	15	39388	SLUZBY	\N	\N
1099392	3755	1996-10-31	VYDAJ	VYBER	15	53899	SLUZBY	\N	\N
1099393	3755	1996-11-30	VYDAJ	VYBER	15	31912	SLUZBY	\N	\N
1099394	3755	1996-12-31	VYDAJ	VYBER	15	82029	SLUZBY	\N	\N
1099395	3755	1997-01-31	VYDAJ	VYBER	15	39643	SLUZBY	\N	\N
1099396	3755	1997-02-28	VYDAJ	VYBER	15	24458	SLUZBY	\N	\N
1099397	3755	1997-03-31	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
1099398	3755	1997-04-30	VYDAJ	VYBER	15	6343	SLUZBY	\N	\N
1099399	3755	1997-05-31	VYDAJ	VYBER	15	89659	SLUZBY	\N	\N
1099400	3755	1997-06-30	VYDAJ	VYBER	15	50361	SLUZBY	\N	\N
1099401	3755	1997-07-31	VYDAJ	VYBER	15	14075	SLUZBY	\N	\N
1099402	3755	1997-08-31	VYDAJ	VYBER	15	26599	SLUZBY	\N	\N
1099403	3755	1997-09-30	VYDAJ	VYBER	15	20935	SLUZBY	\N	\N
1099404	3755	1997-10-31	VYDAJ	VYBER	15	25381	SLUZBY	\N	\N
1099405	3755	1997-11-30	VYDAJ	VYBER	15	56439	SLUZBY	\N	\N
1099406	3755	1997-12-31	VYDAJ	VYBER	15	82855	SLUZBY	\N	\N
1099407	3755	1998-01-31	VYDAJ	VYBER	15	44661	SLUZBY	\N	\N
1099408	3755	1998-02-28	VYDAJ	VYBER	15	102695	SLUZBY	\N	\N
1099409	3755	1998-03-31	VYDAJ	VYBER	15	50866	SLUZBY	\N	\N
1099410	3755	1998-04-30	VYDAJ	VYBER	15	54258	SLUZBY	\N	\N
1099411	3755	1998-05-31	VYDAJ	VYBER	15	73598	SLUZBY	\N	\N
1099412	3755	1998-06-30	VYDAJ	VYBER	15	42297	SLUZBY	\N	\N
1099413	3755	1998-07-31	VYDAJ	VYBER	15	26908	SLUZBY	\N	\N
1099414	3755	1998-08-31	VYDAJ	VYBER	15	57746	SLUZBY	\N	\N
1099415	3755	1998-09-30	VYDAJ	VYBER	15	61094	SLUZBY	\N	\N
1099416	3755	1998-10-31	VYDAJ	VYBER	15	62481	SLUZBY	\N	\N
1099417	3755	1998-11-30	VYDAJ	VYBER	15	42110	SLUZBY	\N	\N
1099418	3755	1996-02-19	PRIJEM	VKLAD	10600	10800	\N	\N	\N
1099419	3755	1996-03-05	VYDAJ	VYBER	18900	95709	\N	\N	\N
1099420	3755	1996-03-20	VYDAJ	VYBER	40000	55709	\N	\N	\N
1099421	3755	1996-04-19	VYDAJ	VYBER	29900	47509	\N	\N	\N
1099422	3755	1996-05-19	VYDAJ	VYBER	13300	34428	\N	\N	\N
1099423	3755	1996-06-18	VYDAJ	VYBER	25200	41567	\N	\N	\N
1099424	3755	1996-07-18	VYDAJ	VYBER	23500	46277	\N	\N	\N
1099425	3755	1996-08-17	VYDAJ	VYBER	18600	35100	\N	\N	\N
1099426	3755	1996-09-16	VYDAJ	VYBER	24800	41539	\N	\N	\N
1099427	3755	1996-10-08	VYDAJ	VYBER	48100	92991	\N	\N	\N
1099428	3755	1996-10-16	VYDAJ	VYBER	41200	53544	\N	\N	\N
1099429	3755	1996-11-15	VYDAJ	VYBER	18000	31784	\N	\N	\N
1099430	3755	1996-12-15	VYDAJ	VYBER	47100	59112	\N	\N	\N
1099431	3755	1996-12-21	VYDAJ	VYBER	51300	81744	\N	\N	\N
1099432	3755	1997-01-14	VYDAJ	VYBER	12900	28929	\N	\N	\N
1099433	3755	1997-02-13	VYDAJ	VYBER	1800	24343	\N	\N	\N
1099434	3755	1997-03-15	VYDAJ	VYBER	100	19705	\N	\N	\N
1099435	3755	1997-05-14	VYDAJ	VYBER	42100	63624	\N	\N	\N
1099436	3755	1997-06-13	VYDAJ	VYBER	26400	39259	\N	\N	\N
1099437	3755	1997-07-13	PRIJEM	VKLAD	900	14012	\N	\N	\N
1099438	3755	1997-09-11	VYDAJ	VYBER	19100	34357	\N	\N	\N
1099439	3755	1997-12-10	VYDAJ	VYBER	11600	29839	\N	\N	\N
1099440	3755	1998-01-09	VYDAJ	VYBER	16800	31933	\N	\N	\N
1099441	3755	1998-02-08	VYDAJ	VYBER	21500	33476	\N	\N	\N
1099442	3755	1998-03-04	VYDAJ	VYBER	31000	102781	\N	\N	\N
1099443	3755	1998-03-10	VYDAJ	VYBER	44900	56009	\N	\N	\N
1099444	3755	1998-04-09	VYDAJ	VYBER	15900	21466	\N	\N	\N
1099445	3755	1998-05-09	VYDAJ	VYBER	10700	30058	\N	\N	\N
1099446	3755	1998-06-08	VYDAJ	VYBER	9900	31330	\N	\N	\N
1099447	3755	1998-07-08	VYDAJ	VYBER	2000	26797	\N	\N	\N
1099448	3755	1998-08-07	PRIJEM	VKLAD	7400	20808	\N	\N	\N
1099449	3755	1998-09-06	VYDAJ	VYBER	9200	35046	\N	\N	\N
1099450	3755	1998-10-06	VYDAJ	VYBER	37700	62231	\N	\N	\N
1099451	3755	1998-11-05	VYDAJ	VYBER	9300	39681	\N	\N	\N
1099452	3755	1998-12-05	VYDAJ	VYBER	14200	42616	\N	\N	\N
1099488	3756	1994-10-17	PRIJEM	VKLAD	400	400	\N	\N	\N
1099500	3756	1994-12-20	PRIJEM	VKLAD	25970	43670	\N	\N	\N
1099508	3756	1995-03-30	PRIJEM	VKLAD	49906	170755	\N	\N	\N
1099509	3756	1995-06-09	PRIJEM	VKLAD	5003	71055	\N	\N	\N
1099510	3756	1995-03-06	PRIJEM	VKLAD	24780	74503	\N	\N	\N
1099511	3756	1995-03-26	PRIJEM	VKLAD	35441	86744	\N	\N	\N
1099512	3756	1995-11-14	PRIJEM	VKLAD	42899	64160	\N	\N	\N
1099513	3756	1995-06-24	PRIJEM	VKLAD	11068	57280	\N	\N	\N
1099514	3756	1995-01-27	PRIJEM	VKLAD	26506	70429	\N	\N	\N
1099515	3756	1995-01-10	PRIJEM	VKLAD	25183	68923	\N	\N	\N
1099516	3756	1995-06-29	PRIJEM	VKLAD	33413	90693	\N	\N	\N
1099517	3756	1995-05-14	PRIJEM	VKLAD	41225	101497	\N	\N	\N
1099518	3756	1995-10-01	PRIJEM	VKLAD	32707	57011	\N	\N	\N
1099519	3756	1995-03-30	PRIJEM	VKLAD	34105	120849	\N	\N	\N
1099520	3756	1995-08-03	PRIJEM	VKLAD	6704	61976	\N	\N	\N
1099521	3756	1995-06-13	PRIJEM	VKLAD	7780	78835	\N	\N	\N
1099522	3756	1995-04-28	PRIJEM	VKLAD	19148	69042	\N	\N	\N
1099523	3756	1995-12-04	PRIJEM	VKLAD	24084	76700	\N	\N	\N
1099524	3756	1995-07-15	PRIJEM	VKLAD	24668	79173	\N	\N	\N
1099525	3756	1996-12-26	PRIJEM	VKLAD	8882	29988	\N	\N	\N
1099526	3756	1996-07-05	PRIJEM	VKLAD	7134	48162	\N	\N	\N
1099527	3756	1996-05-28	PRIJEM	VKLAD	22301	41172	\N	\N	\N
1099528	3756	1996-09-05	PRIJEM	VKLAD	9444	33764	\N	\N	\N
1099529	3756	1996-07-03	PRIJEM	VKLAD	12001	41028	\N	\N	\N
1099530	3756	1996-09-19	PRIJEM	VKLAD	41926	63667	\N	\N	\N
1099531	3756	1996-03-25	PRIJEM	VKLAD	35939	48291	\N	\N	\N
1099532	3756	1996-10-14	PRIJEM	VKLAD	46804	58508	\N	\N	\N
1099533	3756	1997-09-05	PRIJEM	VKLAD	35904	73423	\N	\N	\N
1099534	3756	1997-03-05	PRIJEM	VKLAD	24377	41217	\N	\N	\N
1099535	3756	1997-01-27	PRIJEM	VKLAD	22684	40336	\N	\N	\N
1099536	3756	1997-09-05	PRIJEM	VKLAD	48420	121843	\N	\N	\N
1099537	3756	1997-04-21	PRIJEM	VKLAD	41254	59089	\N	\N	\N
1099538	3756	1997-12-12	PRIJEM	VKLAD	10173	35576	\N	\N	\N
1099539	3756	1997-06-20	PRIJEM	VKLAD	8626	56238	\N	\N	\N
1099540	3756	1997-12-19	PRIJEM	VKLAD	45869	72422	\N	\N	\N
1099541	3756	1997-07-06	PRIJEM	VKLAD	9024	44087	\N	\N	\N
1099542	3756	1997-05-20	PRIJEM	VKLAD	41649	79583	\N	\N	\N
1099543	3756	1997-06-10	PRIJEM	VKLAD	35837	77540	\N	\N	\N
1099544	3756	1997-05-09	PRIJEM	VKLAD	11137	46957	\N	\N	\N
1099545	3756	1997-10-05	PRIJEM	VKLAD	14821	55324	\N	\N	\N
1099546	3756	1997-08-11	PRIJEM	VKLAD	34274	61676	\N	\N	\N
1099547	3756	1997-03-16	PRIJEM	VKLAD	18556	40750	\N	\N	\N
1099548	3756	1997-10-17	PRIJEM	VKLAD	27391	73692	\N	\N	\N
1099549	3756	1998-04-28	PRIJEM	VKLAD	34554	132433	\N	\N	\N
1099550	3756	1998-03-24	PRIJEM	VKLAD	6380	105433	\N	\N	\N
1099551	3756	1998-09-01	PRIJEM	VKLAD	21810	81129	\N	\N	\N
1099552	3756	1998-12-30	PRIJEM	VKLAD	39182	69725	\N	\N	\N
1099553	3756	1998-08-10	PRIJEM	VKLAD	24548	121899	\N	\N	\N
1099554	3756	1998-06-17	PRIJEM	VKLAD	41523	79827	\N	\N	\N
1099555	3756	1998-08-26	PRIJEM	VKLAD	24897	135005	\N	\N	\N
1099556	3756	1998-10-09	PRIJEM	VKLAD	38180	104726	\N	\N	\N
1099557	3756	1998-11-12	PRIJEM	VKLAD	26473	89467	\N	\N	\N
1099558	3756	1998-03-17	PRIJEM	VKLAD	22333	99053	\N	\N	\N
1099559	3756	1998-04-13	PRIJEM	VKLAD	18525	78849	\N	\N	\N
1099560	3756	1998-08-24	PRIJEM	VKLAD	37832	127708	\N	\N	\N
1099561	3756	1998-07-12	PRIJEM	VKLAD	41319	100489	\N	\N	\N
1099562	3756	1998-05-16	PRIJEM	VKLAD	47710	102942	\N	\N	\N
1099563	3756	1998-09-19	PRIJEM	VKLAD	37785	109891	\N	\N	\N
1099564	3756	1998-01-23	PRIJEM	VKLAD	38952	62802	\N	\N	\N
1099565	3756	1998-08-09	PRIJEM	VKLAD	31403	97351	\N	\N	\N
1099566	3756	1998-01-25	PRIJEM	VKLAD	48507	111309	\N	\N	\N
1099567	3756	1998-12-13	PRIJEM	VKLAD	45346	109566	\N	\N	\N
1099568	3756	1998-12-02	PRIJEM	VKLAD	20555	64220	\N	\N	\N
1099569	3756	1998-03-11	PRIJEM	VKLAD	32869	85743	\N	\N	\N
1099570	3756	1998-02-08	PRIJEM	VKLAD	35027	76453	\N	\N	\N
1099571	3756	1998-04-19	PRIJEM	VKLAD	43953	113779	\N	\N	\N
1099572	3756	1998-01-27	PRIJEM	VKLAD	7361	88570	\N	\N	\N
1099588	3756	1995-04-13	VYDAJ	PREVOD NA UCET	9023	75394	SIPO	YZ	82284283
1099589	3756	1995-05-13	VYDAJ	PREVOD NA UCET	9023	60272	SIPO	YZ	82284283
1099590	3756	1995-06-13	VYDAJ	PREVOD NA UCET	9023	69812	SIPO	YZ	82284283
1099591	3756	1995-07-13	VYDAJ	PREVOD NA UCET	9023	79505	SIPO	YZ	82284283
1099592	3756	1995-08-13	VYDAJ	PREVOD NA UCET	9023	38453	SIPO	YZ	82284283
1099593	3756	1995-09-13	VYDAJ	PREVOD NA UCET	9023	24209	SIPO	YZ	82284283
1099594	3756	1995-10-13	VYDAJ	PREVOD NA UCET	9023	33288	SIPO	YZ	82284283
1099595	3756	1995-11-13	VYDAJ	PREVOD NA UCET	9023	21261	SIPO	YZ	82284283
1099596	3756	1995-12-13	VYDAJ	PREVOD NA UCET	9023	41277	SIPO	YZ	82284283
1099597	3756	1996-01-13	VYDAJ	PREVOD NA UCET	9023	18003	SIPO	YZ	82284283
1099598	3756	1996-02-13	VYDAJ	PREVOD NA UCET	9023	14239	SIPO	YZ	82284283
1099599	3756	1996-03-13	VYDAJ	PREVOD NA UCET	9023	12352	SIPO	YZ	82284283
1099600	3756	1996-04-13	VYDAJ	PREVOD NA UCET	9023	23320	SIPO	YZ	82284283
1099601	3756	1996-05-13	VYDAJ	PREVOD NA UCET	9023	18871	SIPO	YZ	82284283
1099602	3756	1996-06-13	VYDAJ	PREVOD NA UCET	9023	28916	SIPO	YZ	82284283
1099603	3756	1996-07-13	VYDAJ	PREVOD NA UCET	9023	33639	SIPO	YZ	82284283
1099604	3756	1996-08-13	VYDAJ	PREVOD NA UCET	9023	24234	SIPO	YZ	82284283
1099605	3756	1996-09-13	VYDAJ	PREVOD NA UCET	9023	21741	SIPO	YZ	82284283
1099606	3756	1996-10-13	VYDAJ	PREVOD NA UCET	9023	11704	SIPO	YZ	82284283
1099607	3756	1996-11-13	VYDAJ	PREVOD NA UCET	9023	34276	SIPO	YZ	82284283
1099608	3756	1996-12-13	VYDAJ	PREVOD NA UCET	9023	22906	SIPO	YZ	82284283
1099609	3756	1997-01-13	VYDAJ	PREVOD NA UCET	9023	17652	SIPO	YZ	82284283
1099610	3756	1997-02-13	VYDAJ	PREVOD NA UCET	9023	16784	SIPO	YZ	82284283
1099611	3756	1997-03-13	VYDAJ	PREVOD NA UCET	9023	22194	SIPO	YZ	82284283
1099612	3756	1997-04-13	VYDAJ	PREVOD NA UCET	9023	17835	SIPO	YZ	82284283
1099613	3756	1997-05-13	VYDAJ	PREVOD NA UCET	9023	37934	SIPO	YZ	82284283
1099614	3756	1997-06-13	VYDAJ	PREVOD NA UCET	9023	68517	SIPO	YZ	82284283
1099615	3756	1997-07-13	VYDAJ	PREVOD NA UCET	9023	35064	SIPO	YZ	82284283
1099616	3756	1997-08-13	VYDAJ	PREVOD NA UCET	9023	52653	SIPO	YZ	82284283
1099617	3756	1997-09-13	VYDAJ	PREVOD NA UCET	9023	59820	SIPO	YZ	82284283
1099618	3756	1997-10-13	VYDAJ	PREVOD NA UCET	9023	46301	SIPO	YZ	82284283
1099619	3756	1997-11-13	VYDAJ	PREVOD NA UCET	9023	23699	SIPO	YZ	82284283
1099620	3756	1997-12-13	VYDAJ	PREVOD NA UCET	9023	26553	SIPO	YZ	82284283
1099621	3756	1998-01-13	VYDAJ	PREVOD NA UCET	9023	25350	SIPO	YZ	82284283
1099622	3756	1998-02-13	VYDAJ	PREVOD NA UCET	9023	67430	SIPO	YZ	82284283
1099623	3756	1998-03-13	VYDAJ	PREVOD NA UCET	9023	76720	SIPO	YZ	82284283
1099624	3756	1998-04-13	VYDAJ	PREVOD NA UCET	9023	69826	SIPO	YZ	82284283
1099625	3756	1998-05-13	VYDAJ	PREVOD NA UCET	9023	55232	SIPO	YZ	82284283
1099626	3756	1998-06-13	VYDAJ	PREVOD NA UCET	9023	38304	SIPO	YZ	82284283
1099627	3756	1998-07-13	VYDAJ	PREVOD NA UCET	9023	91466	SIPO	YZ	82284283
1099628	3756	1998-08-13	VYDAJ	PREVOD NA UCET	9023	89876	SIPO	YZ	82284283
1099629	3756	1998-09-13	VYDAJ	PREVOD NA UCET	9023	72106	SIPO	YZ	82284283
1099630	3756	1998-10-13	VYDAJ	PREVOD NA UCET	9023	95703	SIPO	YZ	82284283
1099631	3756	1998-11-13	VYDAJ	PREVOD NA UCET	9023	80444	SIPO	YZ	82284283
1099632	3756	1998-12-13	VYDAJ	PREVOD NA UCET	9023	100543	SIPO	YZ	82284283
1099642	3756	1995-07-27	VYBER	VYBER	16404	62769	\N	\N	\N
1099643	3756	1995-07-13	VYBER	VYBER	2385	88528	\N	\N	\N
1099645	3756	1996-10-08	VYBER	VYBER	6748	37459	\N	\N	\N
1099646	3756	1996-10-10	VYBER	VYBER	16732	20727	\N	\N	\N
1099647	3756	1996-03-28	VYBER	VYBER	20994	27297	\N	\N	\N
1099649	3756	1997-06-14	VYBER	VYBER	20905	47612	\N	\N	\N
1099651	3756	1998-11-25	VYBER	VYBER	18217	57727	\N	\N	\N
1099652	3756	1998-05-23	VYBER	VYBER	7435	95507	\N	\N	\N
1099653	3756	1998-02-01	VYBER	VYBER	17206	41426	\N	\N	\N
1099654	3756	1998-09-23	VYBER	VYBER	19915	89976	\N	\N	\N
1099655	3756	1998-04-28	VYBER	VYBER	24694	107739	\N	\N	\N
1099656	3756	1998-06-02	VYBER	VYBER	17777	47327	\N	\N	\N
1099658	3756	1995-12-17	VYDAJ	VYBER	8700	32577	\N	\N	\N
1099659	3756	1996-12-21	VYDAJ	VYBER KARTOU	1800	21106	\N	\N	0
1099661	3756	1998-12-20	VYDAJ	VYBER	6000	35843	\N	\N	\N
1099674	3756	1996-01-02	VYDAJ	VYBER KARTOU	3900	28826	\N	\N	0
1099675	3756	1996-01-05	VYDAJ	VYBER	4200	22226	\N	\N	\N
1099676	3756	1996-01-04	VYDAJ	VYBER KARTOU	2400	26426	\N	\N	0
1099678	3756	1996-01-13	VYDAJ	VYBER KARTOU	3600	27026	\N	\N	0
1099680	3756	1997-01-29	VYDAJ	VYBER	6000	28936	\N	\N	\N
1099682	3756	1997-01-11	VYDAJ	VYBER KARTOU	2400	26675	\N	\N	0
1099683	3756	1997-01-27	VYDAJ	VYBER	5400	34936	\N	\N	\N
1099684	3756	1997-01-01	VYDAJ	VYBER	5400	24675	\N	\N	\N
1099686	3756	1998-01-06	VYDAJ	VYBER	8700	40973	\N	\N	\N
1099687	3756	1998-01-27	VYDAJ	VYBER	5400	83170	\N	\N	\N
1099688	3756	1998-01-16	VYDAJ	VYBER KARTOU	1500	23850	\N	\N	0
1099689	3756	1998-01-27	VYDAJ	VYBER KARTOU	3000	80170	\N	\N	0
1099691	3756	1998-01-08	VYDAJ	VYBER	6600	34373	\N	\N	\N
1099698	3756	1995-11-16	VYDAJ	VYBER	11700	52460	\N	\N	\N
1099701	3756	1995-07-29	VYDAJ	VYBER	7800	54969	\N	\N	\N
1099702	3756	1995-12-08	VYDAJ	VYBER	5700	71000	\N	\N	\N
1099707	3756	1997-04-09	VYDAJ	VYBER KARTOU	1500	26858	\N	\N	0
1099708	3756	1997-02-03	VYDAJ	VYBER	5700	25807	\N	\N	\N
1099709	3756	1997-05-30	VYDAJ	VYBER	8400	71183	\N	\N	\N
1099711	3756	1997-11-02	VYDAJ	VYBER	13500	32722	\N	\N	\N
1099712	3756	1998-04-05	VYDAJ	VYBER	9000	60324	\N	\N	\N
1099713	3756	1998-11-19	VYDAJ	VYBER	4500	75944	\N	\N	\N
1099729	3756	1995-03-31	VYDAJ	VYBER	30	84417	SLUZBY	\N	\N
1099730	3756	1995-04-30	VYDAJ	VYBER	30	69295	SLUZBY	\N	\N
1099731	3756	1995-05-31	VYDAJ	VYBER	30	66052	SLUZBY	\N	\N
1099732	3756	1995-06-30	VYDAJ	VYBER	30	90913	SLUZBY	\N	\N
1099733	3756	1995-07-31	VYDAJ	VYBER	30	55272	SLUZBY	\N	\N
1099734	3756	1995-08-31	VYDAJ	VYBER	30	38632	SLUZBY	\N	\N
1099735	3756	1995-09-30	VYDAJ	VYBER	30	24304	SLUZBY	\N	\N
1099736	3756	1995-10-31	VYDAJ	VYBER	30	33384	SLUZBY	\N	\N
1099737	3756	1995-11-30	VYDAJ	VYBER	30	52616	SLUZBY	\N	\N
1099738	3756	1995-12-31	VYDAJ	VYBER	30	32726	SLUZBY	\N	\N
1099739	3756	1996-01-31	VYDAJ	VYBER	30	18062	SLUZBY	\N	\N
1099740	3756	1996-02-29	VYDAJ	VYBER	30	14275	SLUZBY	\N	\N
1099741	3756	1996-03-31	VYDAJ	VYBER	30	27343	SLUZBY	\N	\N
1099742	3756	1996-04-30	VYDAJ	VYBER	30	23394	SLUZBY	\N	\N
1099743	3756	1996-05-31	VYDAJ	VYBER	30	41239	SLUZBY	\N	\N
1099744	3756	1996-06-30	VYDAJ	VYBER	30	29027	SLUZBY	\N	\N
1099745	3756	1996-07-31	VYDAJ	VYBER	30	33757	SLUZBY	\N	\N
1099746	3756	1996-08-31	VYDAJ	VYBER	30	24320	SLUZBY	\N	\N
1099747	3756	1996-09-30	VYDAJ	VYBER	30	63807	SLUZBY	\N	\N
1099748	3756	1996-10-31	VYDAJ	VYBER	30	58699	SLUZBY	\N	\N
1099749	3756	1996-11-30	VYDAJ	VYBER	30	34429	SLUZBY	\N	\N
1099750	3756	1996-12-31	VYDAJ	VYBER	30	30075	SLUZBY	\N	\N
1099751	3756	1997-01-31	VYDAJ	VYBER	30	29007	SLUZBY	\N	\N
1099752	3756	1997-02-28	VYDAJ	VYBER	30	16840	SLUZBY	\N	\N
1099753	3756	1997-03-31	VYDAJ	VYBER	30	40858	SLUZBY	\N	\N
1099754	3756	1997-04-30	VYDAJ	VYBER	30	59220	SLUZBY	\N	\N
1099755	3756	1997-05-31	VYDAJ	VYBER	30	71403	SLUZBY	\N	\N
1099756	3756	1997-06-30	VYDAJ	VYBER	30	56463	SLUZBY	\N	\N
1099757	3756	1997-07-31	VYDAJ	VYBER	30	35202	SLUZBY	\N	\N
1099758	3756	1997-08-31	VYDAJ	VYBER	30	52819	SLUZBY	\N	\N
1099759	3756	1997-09-30	VYDAJ	VYBER	30	60103	SLUZBY	\N	\N
1099760	3756	1997-10-31	VYDAJ	VYBER	30	73922	SLUZBY	\N	\N
1099761	3756	1997-11-30	VYDAJ	VYBER	30	25403	SLUZBY	\N	\N
1099762	3756	1997-12-31	VYDAJ	VYBER	30	49673	SLUZBY	\N	\N
1099763	3756	1998-01-31	VYDAJ	VYBER	30	58632	SLUZBY	\N	\N
1099764	3756	1998-02-28	VYDAJ	VYBER	30	52874	SLUZBY	\N	\N
1099765	3756	1998-03-31	VYDAJ	VYBER	30	69324	SLUZBY	\N	\N
1099766	3756	1998-04-30	VYDAJ	VYBER	30	64255	SLUZBY	\N	\N
1099767	3756	1998-05-31	VYDAJ	VYBER	30	65104	SLUZBY	\N	\N
1099768	3756	1998-06-30	VYDAJ	VYBER	30	59170	SLUZBY	\N	\N
1099769	3756	1998-07-31	VYDAJ	VYBER	30	65948	SLUZBY	\N	\N
1099770	3756	1998-08-31	VYDAJ	VYBER	30	59319	SLUZBY	\N	\N
1099771	3756	1998-09-30	VYDAJ	VYBER	30	66546	SLUZBY	\N	\N
1099772	3756	1998-10-31	VYDAJ	VYBER	30	62994	SLUZBY	\N	\N
1099773	3756	1998-11-30	VYDAJ	VYBER	30	43665	SLUZBY	\N	\N
1099774	3756	1994-11-16	PRIJEM	VKLAD	12400	12800	\N	\N	\N
1099775	3756	1994-12-16	PRIJEM	VKLAD	4900	17700	\N	\N	\N
1099776	3756	1995-01-15	VYDAJ	VYBER	25000	43923	\N	\N	\N
1099777	3756	1995-02-14	VYDAJ	VYBER	21200	49430	\N	\N	\N
1099778	3756	1995-03-16	VYDAJ	VYBER	23200	51303	\N	\N	\N
1099779	3756	1995-03-30	VYDAJ	VYBER	24200	146555	\N	\N	\N
1099780	3756	1995-03-30	VYDAJ	VYBER	62400	84155	\N	\N	\N
1099781	3756	1995-04-15	VYDAJ	VYBER	25500	49894	\N	\N	\N
1099782	3756	1995-05-15	VYDAJ	VYBER	35700	65797	\N	\N	\N
1099783	3756	1995-06-14	VYDAJ	VYBER	23600	46212	\N	\N	\N
1099784	3756	1995-07-14	VYDAJ	VYBER	25000	54505	\N	\N	\N
1099785	3756	1995-08-13	VYDAJ	VYBER	14500	47476	\N	\N	\N
1099786	3756	1995-09-12	VYDAJ	VYBER	5400	33232	\N	\N	\N
1099787	3756	1995-10-12	VYDAJ	VYBER	14700	42311	\N	\N	\N
1099788	3756	1995-11-11	VYDAJ	VYBER KARTOU	3100	30284	\N	\N	0
1099789	3756	1995-12-11	VYDAJ	VYBER	20700	50300	\N	\N	\N
1099790	3756	1996-01-10	PRIJEM	VKLAD	8400	30626	\N	\N	\N
1099791	3756	1996-02-09	PRIJEM	VKLAD	5200	23262	\N	\N	\N
1099792	3756	1996-03-10	PRIJEM	VKLAD	7100	21375	\N	\N	\N
1099793	3756	1996-04-09	PRIJEM	VKLAD	5000	32343	\N	\N	\N
1099794	3756	1996-05-09	PRIJEM	VKLAD	4500	27894	\N	\N	\N
1099795	3756	1996-06-08	VYDAJ	VYBER KARTOU	3300	37939	\N	\N	0
1099796	3756	1996-07-08	VYDAJ	VYBER	5500	42662	\N	\N	\N
1099797	3756	1996-08-07	VYDAJ	VYBER KARTOU	500	33257	\N	\N	0
1099798	3756	1996-09-06	VYDAJ	VYBER KARTOU	3000	30764	\N	\N	0
1099799	3756	1996-10-06	VYDAJ	VYBER	19600	44207	\N	\N	\N
1099800	3756	1996-11-05	VYDAJ	VYBER	15400	43299	\N	\N	\N
1099801	3756	1996-12-05	VYDAJ	VYBER KARTOU	2500	31929	\N	\N	0
1099802	3756	1997-01-04	PRIJEM	VKLAD	4400	29075	\N	\N	\N
1099803	3756	1997-02-03	PRIJEM	VKLAD	2500	31507	\N	\N	\N
1099804	3756	1997-03-05	VYDAJ	VYBER	10000	31217	\N	\N	\N
1099805	3756	1997-04-04	VYDAJ	VYBER	12500	28358	\N	\N	\N
1099806	3756	1997-05-04	VYDAJ	VYBER	23400	35820	\N	\N	\N
1099807	3756	1997-06-03	VYDAJ	VYBER	29700	41703	\N	\N	\N
1099808	3756	1997-07-03	VYDAJ	VYBER	21400	35063	\N	\N	\N
1099809	3756	1997-08-02	VYDAJ	VYBER	7800	27402	\N	\N	\N
1099810	3756	1997-09-01	VYDAJ	VYBER	15300	37519	\N	\N	\N
1099811	3756	1997-09-05	VYDAJ	VYBER	53000	68843	\N	\N	\N
1099812	3756	1997-10-01	VYDAJ	VYBER	19600	40503	\N	\N	\N
1099813	3756	1997-10-31	VYDAJ	VYBER	27700	46222	\N	\N	\N
1099814	3756	1997-11-30	PRIJEM	VKLAD	1600	25433	\N	\N	\N
1099815	3756	1997-12-30	VYDAJ	VYBER	22900	49522	\N	\N	\N
1099816	3756	1998-01-25	VYDAJ	VYBER	30100	81209	\N	\N	\N
1099817	3756	1998-01-29	VYDAJ	VYBER	21700	58470	\N	\N	\N
1099818	3756	1998-02-28	VYDAJ	VYBER	14800	52904	\N	\N	\N
1099819	3756	1998-03-30	VYDAJ	VYBER	36400	69033	\N	\N	\N
1099820	3756	1998-04-19	VYDAJ	VYBER	15900	97879	\N	\N	\N
1099821	3756	1998-04-28	VYDAJ	VYBER	24100	83639	\N	\N	\N
1099822	3756	1998-04-29	VYDAJ	VYBER	19700	63939	\N	\N	\N
1099823	3756	1998-05-29	VYDAJ	VYBER	30700	64807	\N	\N	\N
1099824	3756	1998-06-28	VYDAJ	VYBER	20900	58927	\N	\N	\N
1099825	3756	1998-07-28	VYDAJ	VYBER	25800	65666	\N	\N	\N
1099826	3756	1998-08-10	VYDAJ	VYBER	23000	98899	\N	\N	\N
1099827	3756	1998-08-24	VYDAJ	VYBER	17600	110108	\N	\N	\N
1099828	3756	1998-08-26	VYDAJ	VYBER	56100	78905	\N	\N	\N
1099829	3756	1998-08-27	VYDAJ	VYBER	19900	59005	\N	\N	\N
1099830	3756	1998-09-26	VYDAJ	VYBER	23700	66276	\N	\N	\N
1099831	3756	1998-10-26	VYDAJ	VYBER	33000	62703	\N	\N	\N
1099832	3756	1998-11-25	VYDAJ	VYBER	14300	43427	\N	\N	\N
1099833	3756	1998-12-13	VYDAJ	VYBER	58700	41843	\N	\N	\N
1099834	3756	1998-12-25	VYDAJ	VYBER	5300	30543	\N	\N	\N
1099884	3757	1997-09-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1099894	3757	1997-10-06	PRIJEM	PREVOD Z UCTU	29478	30578	\N	AB	86636173
1099895	3757	1997-11-06	PRIJEM	PREVOD Z UCTU	29478	56285	\N	AB	86636173
1099896	3757	1997-12-06	PRIJEM	PREVOD Z UCTU	44217	79022	\N	AB	86636173
1099897	3757	1998-01-06	PRIJEM	PREVOD Z UCTU	29478	79263	\N	AB	86636173
1099898	3757	1998-02-06	PRIJEM	PREVOD Z UCTU	29478	79247	\N	AB	86636173
1099899	3757	1998-03-06	PRIJEM	PREVOD Z UCTU	29478	76203	\N	AB	86636173
1099900	3757	1998-04-06	PRIJEM	PREVOD Z UCTU	29478	75952	\N	AB	86636173
1099901	3757	1998-05-06	PRIJEM	PREVOD Z UCTU	29478	76923	\N	AB	86636173
1099902	3757	1998-06-06	PRIJEM	PREVOD Z UCTU	44217	91511	\N	AB	86636173
1099903	3757	1998-07-06	PRIJEM	PREVOD Z UCTU	29478	59450	\N	AB	86636173
1099904	3757	1998-08-06	PRIJEM	PREVOD Z UCTU	29478	65746	\N	AB	86636173
1099905	3757	1998-09-06	PRIJEM	PREVOD Z UCTU	29478	63425	\N	AB	86636173
1099906	3757	1998-10-06	PRIJEM	PREVOD Z UCTU	29478	55530	\N	AB	86636173
1099907	3757	1998-11-06	PRIJEM	PREVOD Z UCTU	29478	61491	\N	AB	86636173
1099908	3757	1998-12-06	PRIJEM	PREVOD Z UCTU	44217	72447	\N	AB	86636173
1099922	3757	1998-02-11	VYDAJ	PREVOD NA UCET	987	73098	SIPO	KL	350499
1099923	3757	1998-03-11	VYDAJ	PREVOD NA UCET	987	70054	SIPO	KL	350499
1099924	3757	1998-04-11	VYDAJ	PREVOD NA UCET	987	66925	SIPO	KL	350499
1099925	3757	1998-05-11	VYDAJ	PREVOD NA UCET	987	70774	SIPO	KL	350499
1099926	3757	1998-06-11	VYDAJ	PREVOD NA UCET	987	85362	SIPO	KL	350499
1099927	3757	1998-07-11	VYDAJ	PREVOD NA UCET	987	53301	SIPO	KL	350499
1099928	3757	1998-08-11	VYDAJ	PREVOD NA UCET	987	50597	SIPO	KL	350499
1099929	3757	1998-09-11	VYDAJ	PREVOD NA UCET	987	33236	SIPO	KL	350499
1099930	3757	1998-10-11	VYDAJ	PREVOD NA UCET	987	49381	SIPO	KL	350499
1099931	3757	1998-11-11	VYDAJ	PREVOD NA UCET	987	55342	SIPO	KL	350499
1099932	3757	1998-12-11	VYDAJ	PREVOD NA UCET	987	66298	SIPO	KL	350499
1099946	3757	1998-02-10	VYDAJ	PREVOD NA UCET	1229	74085	 	ST	43094796
1099947	3757	1998-03-10	VYDAJ	PREVOD NA UCET	1229	71041	 	ST	43094796
1099948	3757	1998-04-10	VYDAJ	PREVOD NA UCET	1229	67912	 	ST	43094796
1099949	3757	1998-05-10	VYDAJ	PREVOD NA UCET	1229	71761	 	ST	43094796
1099950	3757	1998-06-10	VYDAJ	PREVOD NA UCET	1229	86349	 	ST	43094796
1099951	3757	1998-07-10	VYDAJ	PREVOD NA UCET	1229	54288	 	ST	43094796
1099952	3757	1998-08-10	VYDAJ	PREVOD NA UCET	1229	51584	 	ST	43094796
1099953	3757	1998-09-10	VYDAJ	PREVOD NA UCET	1229	58263	 	ST	43094796
1099954	3757	1998-10-10	VYDAJ	PREVOD NA UCET	1229	50368	 	ST	43094796
1099955	3757	1998-11-10	VYDAJ	PREVOD NA UCET	1229	56329	 	ST	43094796
1099956	3757	1998-12-10	VYDAJ	PREVOD NA UCET	1229	67285	 	ST	43094796
1099970	3757	1998-02-12	VYDAJ	PREVOD NA UCET	803	72295	POJISTNE	EF	59959924
1099971	3757	1998-03-12	VYDAJ	PREVOD NA UCET	803	69251	POJISTNE	EF	59959924
1099972	3757	1998-04-12	VYDAJ	PREVOD NA UCET	803	66122	POJISTNE	EF	59959924
1099973	3757	1998-05-12	VYDAJ	PREVOD NA UCET	803	69971	POJISTNE	EF	59959924
1099974	3757	1998-06-12	VYDAJ	PREVOD NA UCET	803	84559	POJISTNE	EF	59959924
1099975	3757	1998-07-12	VYDAJ	PREVOD NA UCET	803	52498	POJISTNE	EF	59959924
1099976	3757	1998-08-12	VYDAJ	PREVOD NA UCET	803	49794	POJISTNE	EF	59959924
1099977	3757	1998-09-12	VYDAJ	PREVOD NA UCET	803	32433	POJISTNE	EF	59959924
1099978	3757	1998-10-12	VYDAJ	PREVOD NA UCET	803	48578	POJISTNE	EF	59959924
1099979	3757	1998-11-12	VYDAJ	PREVOD NA UCET	803	54539	POJISTNE	EF	59959924
1099980	3757	1998-12-12	VYDAJ	PREVOD NA UCET	803	65495	POJISTNE	EF	59959924
1099994	3757	1998-02-09	VYDAJ	PREVOD NA UCET	3933	75314	 	OP	41911280
1099995	3757	1998-03-09	VYDAJ	PREVOD NA UCET	3933	72270	 	OP	41911280
1099996	3757	1998-04-09	VYDAJ	PREVOD NA UCET	3933	69141	 	OP	41911280
1099997	3757	1998-05-09	VYDAJ	PREVOD NA UCET	3933	72990	 	OP	41911280
1099998	3757	1998-06-09	VYDAJ	PREVOD NA UCET	3933	87578	 	OP	41911280
1099999	3757	1998-07-09	VYDAJ	PREVOD NA UCET	3933	55517	 	OP	41911280
1100000	3757	1998-08-09	VYDAJ	PREVOD NA UCET	3933	52813	 	OP	41911280
1100001	3757	1998-09-09	VYDAJ	PREVOD NA UCET	3933	59492	 	OP	41911280
1100002	3757	1998-10-09	VYDAJ	PREVOD NA UCET	3933	51597	 	OP	41911280
1100003	3757	1998-11-09	VYDAJ	PREVOD NA UCET	3933	57558	 	OP	41911280
1100004	3757	1998-12-09	VYDAJ	PREVOD NA UCET	3933	68514	 	OP	41911280
1100017	3757	1998-07-04	VYBER	VYBER	2816	29972	\N	\N	\N
1100018	3757	1998-09-11	VYBER	VYBER	24040	34223	\N	\N	\N
1100020	3757	1998-11-15	VYBER	VYBER	6847	47692	\N	\N	\N
1100021	3757	1998-04-07	VYBER	VYBER	2878	73074	\N	\N	\N
1100024	3757	1998-06-18	VYDAJ	VYBER	11100	73459	\N	\N	\N
1100028	3757	1998-12-23	VYDAJ	VYBER KARTOU	3300	33095	\N	\N	0
1100047	3757	1998-08-09	VYDAJ	VYBER	9000	56746	\N	\N	\N
1100048	3757	1998-06-29	VYDAJ	VYBER	10800	32559	\N	\N	\N
1100049	3757	1998-06-19	VYDAJ	VYBER	11400	62059	\N	\N	\N
1100064	3757	1998-02-28	VYDAJ	VYBER	15	46725	SLUZBY	\N	\N
1100065	3757	1998-03-31	VYDAJ	VYBER	15	46474	SLUZBY	\N	\N
1100066	3757	1998-04-30	VYDAJ	VYBER	15	47445	SLUZBY	\N	\N
1100067	3757	1998-05-31	VYDAJ	VYBER	15	47294	SLUZBY	\N	\N
1100068	3757	1998-06-30	VYDAJ	VYBER	15	32788	SLUZBY	\N	\N
1100069	3757	1998-07-31	VYDAJ	VYBER	15	36268	SLUZBY	\N	\N
1100070	3757	1998-08-31	VYDAJ	VYBER	15	33947	SLUZBY	\N	\N
1100071	3757	1998-09-30	VYDAJ	VYBER	15	26052	SLUZBY	\N	\N
1100072	3757	1998-10-31	VYDAJ	VYBER	15	32013	SLUZBY	\N	\N
1100073	3757	1998-11-30	VYDAJ	VYBER	15	28230	SLUZBY	\N	\N
1100074	3757	1997-10-24	VYDAJ	VYBER	3800	26778	\N	\N	\N
1100075	3757	1997-11-23	VYDAJ	VYBER	21600	34685	\N	\N	\N
1100076	3757	1997-12-23	VYDAJ	VYBER	29400	49622	\N	\N	\N
1100077	3757	1998-01-22	VYDAJ	VYBER	29700	49563	\N	\N	\N
1100078	3757	1998-02-21	VYDAJ	VYBER	25800	46495	\N	\N	\N
1100079	3757	1998-03-23	VYDAJ	VYBER	23000	46251	\N	\N	\N
1100080	3757	1998-04-22	VYDAJ	VYBER	18900	47222	\N	\N	\N
1100081	3757	1998-05-22	VYDAJ	VYBER	22900	47071	\N	\N	\N
1100082	3757	1998-06-21	VYDAJ	VYBER	18700	43359	\N	\N	\N
1100083	3757	1998-07-21	VYDAJ	VYBER	16400	36098	\N	\N	\N
1100084	3757	1998-08-20	VYDAJ	VYBER	16000	33794	\N	\N	\N
1100085	3757	1998-09-19	VYDAJ	VYBER	6500	25933	\N	\N	\N
1100086	3757	1998-10-19	VYDAJ	VYBER	16700	31878	\N	\N	\N
1100087	3757	1998-11-18	VYDAJ	VYBER	19600	28092	\N	\N	\N
1100088	3757	1998-12-18	VYDAJ	VYBER	29100	36395	\N	\N	\N
1100104	3758	1995-09-19	PRIJEM	VKLAD	800	800	\N	\N	\N
1100114	3758	1995-10-05	PRIJEM	VKLAD	6014	6814	\N	\N	\N
1100115	3758	1995-11-05	PRIJEM	VKLAD	6014	20353	\N	\N	\N
1100116	3758	1995-12-05	PRIJEM	VKLAD	9021	30647	\N	\N	\N
1100117	3758	1996-01-05	PRIJEM	VKLAD	6014	30957	\N	\N	\N
1100118	3758	1996-02-05	PRIJEM	VKLAD	6014	34882	\N	\N	\N
1100119	3758	1996-03-05	PRIJEM	VKLAD	6014	35697	\N	\N	\N
1100120	3758	1996-04-05	PRIJEM	VKLAD	6014	30106	\N	\N	\N
1100121	3758	1996-05-05	PRIJEM	VKLAD	6014	32110	\N	\N	\N
1100122	3758	1996-06-05	PRIJEM	VKLAD	9021	36528	\N	\N	\N
1100123	3758	1996-07-05	PRIJEM	VKLAD	6014	25343	\N	\N	\N
1100124	3758	1996-08-05	PRIJEM	VKLAD	6014	29840	\N	\N	\N
1100125	3758	1996-09-05	PRIJEM	VKLAD	6014	37655	\N	\N	\N
1100126	3758	1996-10-05	PRIJEM	VKLAD	6014	42295	\N	\N	\N
1100127	3758	1996-11-05	PRIJEM	VKLAD	6014	46148	\N	\N	\N
1100128	3758	1996-12-05	PRIJEM	VKLAD	9021	45816	\N	\N	\N
1100129	3758	1997-01-05	PRIJEM	VKLAD	6014	43773	\N	\N	\N
1100130	3758	1997-02-05	PRIJEM	VKLAD	6014	35811	\N	\N	\N
1100131	3758	1997-03-05	PRIJEM	VKLAD	6014	39237	\N	\N	\N
1100132	3758	1997-04-05	PRIJEM	VKLAD	6014	47690	\N	\N	\N
1100133	3758	1997-05-05	PRIJEM	VKLAD	6014	52371	\N	\N	\N
1100134	3758	1997-06-05	PRIJEM	VKLAD	9021	52859	\N	\N	\N
1100135	3758	1997-07-05	PRIJEM	VKLAD	6014	26632	\N	\N	\N
1100136	3758	1997-08-05	PRIJEM	VKLAD	6014	33336	\N	\N	\N
1100137	3758	1997-09-05	PRIJEM	VKLAD	6014	40565	\N	\N	\N
1100138	3758	1997-10-05	PRIJEM	VKLAD	6014	48726	\N	\N	\N
1100139	3758	1997-11-05	PRIJEM	VKLAD	6014	55617	\N	\N	\N
1100140	3758	1997-12-05	PRIJEM	VKLAD	9021	56928	\N	\N	\N
1100141	3758	1998-01-05	PRIJEM	VKLAD	6014	54836	\N	\N	\N
1100142	3758	1998-02-05	PRIJEM	VKLAD	6014	51731	\N	\N	\N
1100143	3758	1998-03-05	PRIJEM	VKLAD	6014	58836	\N	\N	\N
1100144	3758	1998-04-05	PRIJEM	VKLAD	6014	60150	\N	\N	\N
1100145	3758	1998-05-05	PRIJEM	VKLAD	6014	58358	\N	\N	\N
1100146	3758	1998-06-05	PRIJEM	VKLAD	9021	35483	\N	\N	\N
1100147	3758	1998-07-05	PRIJEM	VKLAD	6014	46864	\N	\N	\N
1100148	3758	1998-08-05	PRIJEM	VKLAD	6014	47732	\N	\N	\N
1100149	3758	1998-09-05	PRIJEM	VKLAD	6014	45201	\N	\N	\N
1100150	3758	1998-10-05	PRIJEM	VKLAD	6014	44562	\N	\N	\N
1100151	3758	1998-11-05	PRIJEM	VKLAD	6014	44517	\N	\N	\N
1100152	3758	1998-12-05	PRIJEM	VKLAD	9021	47781	\N	\N	\N
1100166	3758	1996-02-05	VYDAJ	PREVOD NA UCET	4009	30873	SIPO	YZ	62182962
1100167	3758	1996-03-05	VYDAJ	PREVOD NA UCET	4009	31688	SIPO	YZ	62182962
1100168	3758	1996-04-05	VYDAJ	PREVOD NA UCET	4009	26097	SIPO	YZ	62182962
1100169	3758	1996-05-05	VYDAJ	PREVOD NA UCET	4009	28101	SIPO	YZ	62182962
1100170	3758	1996-06-05	VYDAJ	PREVOD NA UCET	4009	32519	SIPO	YZ	62182962
1100171	3758	1996-07-05	VYDAJ	PREVOD NA UCET	4009	21334	SIPO	YZ	62182962
1100172	3758	1996-08-05	VYDAJ	PREVOD NA UCET	4009	25831	SIPO	YZ	62182962
1100173	3758	1996-09-05	VYDAJ	PREVOD NA UCET	4009	33646	SIPO	YZ	62182962
1100174	3758	1996-10-05	VYDAJ	PREVOD NA UCET	4009	38286	SIPO	YZ	62182962
1100175	3758	1996-11-05	VYDAJ	PREVOD NA UCET	4009	42139	SIPO	YZ	62182962
1100176	3758	1996-12-05	VYDAJ	PREVOD NA UCET	4009	41807	SIPO	YZ	62182962
1100177	3758	1997-01-05	VYDAJ	PREVOD NA UCET	4009	39764	SIPO	YZ	62182962
1100178	3758	1997-02-05	VYDAJ	PREVOD NA UCET	4009	31802	SIPO	YZ	62182962
1100179	3758	1997-03-05	VYDAJ	PREVOD NA UCET	4009	35228	SIPO	YZ	62182962
1100180	3758	1997-04-05	VYDAJ	PREVOD NA UCET	4009	43681	SIPO	YZ	62182962
1100181	3758	1997-05-05	VYDAJ	PREVOD NA UCET	4009	48362	SIPO	YZ	62182962
1100182	3758	1997-06-05	VYDAJ	PREVOD NA UCET	4009	48850	SIPO	YZ	62182962
1100183	3758	1997-07-05	VYDAJ	PREVOD NA UCET	4009	22623	SIPO	YZ	62182962
1100184	3758	1997-08-05	VYDAJ	PREVOD NA UCET	4009	29327	SIPO	YZ	62182962
1100185	3758	1997-09-05	VYDAJ	PREVOD NA UCET	4009	36556	SIPO	YZ	62182962
1100186	3758	1997-10-05	VYDAJ	PREVOD NA UCET	4009	44717	SIPO	YZ	62182962
1100187	3758	1997-11-05	VYDAJ	PREVOD NA UCET	4009	51608	SIPO	YZ	62182962
1100188	3758	1997-12-05	VYDAJ	PREVOD NA UCET	4009	52919	SIPO	YZ	62182962
1100189	3758	1998-01-05	VYDAJ	PREVOD NA UCET	4009	50827	SIPO	YZ	62182962
1100190	3758	1998-02-05	VYDAJ	PREVOD NA UCET	4009	52622	SIPO	YZ	62182962
1100191	3758	1998-03-05	VYDAJ	PREVOD NA UCET	4009	54827	SIPO	YZ	62182962
1100192	3758	1998-04-05	VYDAJ	PREVOD NA UCET	4009	56141	SIPO	YZ	62182962
1100193	3758	1998-05-05	VYDAJ	PREVOD NA UCET	4009	54349	SIPO	YZ	62182962
1100194	3758	1998-06-05	VYDAJ	PREVOD NA UCET	4009	40674	SIPO	YZ	62182962
1100195	3758	1998-07-05	VYDAJ	PREVOD NA UCET	4009	43355	SIPO	YZ	62182962
1100196	3758	1998-08-05	VYDAJ	PREVOD NA UCET	4009	43723	SIPO	YZ	62182962
1100197	3758	1998-09-05	VYDAJ	PREVOD NA UCET	4009	41192	SIPO	YZ	62182962
1100198	3758	1998-10-05	VYDAJ	PREVOD NA UCET	4009	40553	SIPO	YZ	62182962
1100199	3758	1998-11-05	VYDAJ	PREVOD NA UCET	4009	40508	SIPO	YZ	62182962
1100200	3758	1998-12-05	VYDAJ	PREVOD NA UCET	4009	43772	SIPO	YZ	62182962
1100202	3758	1996-06-25	VYDAJ	VYBER	11600	19219	\N	\N	\N
1100203	3758	1997-06-29	VYDAJ	VYBER	23600	20450	\N	\N	\N
1100204	3758	1998-06-02	VYDAJ	VYBER	29100	26462	\N	\N	\N
1100206	3758	1996-12-03	VYDAJ	VYBER	2500	36795	\N	\N	\N
1100207	3758	1997-12-02	VYDAJ	VYBER	1900	47907	\N	\N	\N
1100208	3758	1998-12-04	VYDAJ	VYBER KARTOU	2000	38760	\N	\N	0
1100221	3758	1997-01-05	VYDAJ	VYBER	1900	37864	\N	\N	\N
1100222	3758	1997-01-19	VYDAJ	VYBER	2800	33264	\N	\N	\N
1100223	3758	1997-01-25	VYDAJ	VYBER	1300	29664	\N	\N	\N
1100224	3758	1997-01-12	VYDAJ	VYBER	1700	36064	\N	\N	\N
1100225	3758	1997-01-20	VYDAJ	VYBER	2300	30964	\N	\N	\N
1100226	3758	1997-01-03	VYDAJ	VYBER	500	37759	\N	\N	\N
1100227	3758	1998-01-02	VYDAJ	VYBER	800	50822	\N	\N	\N
1100228	3758	1998-01-01	VYDAJ	VYBER	1200	51622	\N	\N	\N
1100229	3758	1998-01-29	VYDAJ	VYBER	1200	45527	\N	\N	\N
1100230	3758	1998-01-03	VYDAJ	VYBER	2000	48822	\N	\N	\N
1100231	3758	1998-01-14	VYDAJ	VYBER	2900	49327	\N	\N	\N
1100232	3758	1998-01-22	VYDAJ	VYBER	2600	46727	\N	\N	\N
1100239	3758	1996-04-18	VYDAJ	VYBER	700	25997	\N	\N	\N
1100240	3758	1996-03-23	VYDAJ	VYBER	3600	23988	\N	\N	\N
1100241	3758	1996-07-30	VYDAJ	VYBER	3700	23734	\N	\N	\N
1100242	3758	1997-05-17	VYDAJ	VYBER	4600	43662	\N	\N	\N
1100243	3758	1997-07-19	VYDAJ	VYBER	3500	27223	\N	\N	\N
1100244	3758	1997-11-20	VYDAJ	VYBER	3700	49608	\N	\N	\N
1100245	3758	1997-02-14	VYDAJ	VYBER	900	33102	\N	\N	\N
1100246	3758	1998-12-09	VYDAJ	VYBER KARTOU	2200	41572	\N	\N	0
1100247	3758	1998-10-08	VYDAJ	VYBER KARTOU	1000	39553	\N	\N	0
1100248	3758	1998-09-03	VYDAJ	VYBER KARTOU	3900	39987	\N	\N	0
1100249	3758	1998-07-05	VYDAJ	VYBER KARTOU	4000	39355	\N	\N	0
1100264	3758	1996-02-29	VYDAJ	VYBER	15	29683	SLUZBY	\N	\N
1100265	3758	1996-03-31	VYDAJ	VYBER	15	24092	SLUZBY	\N	\N
1100266	3758	1996-04-30	VYDAJ	VYBER	15	26096	SLUZBY	\N	\N
1100267	3758	1996-05-31	VYDAJ	VYBER	15	27507	SLUZBY	\N	\N
1100268	3758	1996-06-30	VYDAJ	VYBER	15	19329	SLUZBY	\N	\N
1100269	3758	1996-07-31	VYDAJ	VYBER	15	23826	SLUZBY	\N	\N
1100270	3758	1996-08-31	VYDAJ	VYBER	15	31641	SLUZBY	\N	\N
1100271	3758	1996-09-30	VYDAJ	VYBER	15	36281	SLUZBY	\N	\N
1100272	3758	1996-10-31	VYDAJ	VYBER	15	40134	SLUZBY	\N	\N
1100273	3758	1996-11-30	VYDAJ	VYBER	15	39295	SLUZBY	\N	\N
1100274	3758	1996-12-31	VYDAJ	VYBER	15	38259	SLUZBY	\N	\N
1100275	3758	1997-01-31	VYDAJ	VYBER	15	29797	SLUZBY	\N	\N
1100276	3758	1997-02-28	VYDAJ	VYBER	15	33223	SLUZBY	\N	\N
1100277	3758	1997-03-31	VYDAJ	VYBER	15	41676	SLUZBY	\N	\N
1100278	3758	1997-04-30	VYDAJ	VYBER	15	46357	SLUZBY	\N	\N
1100279	3758	1997-05-31	VYDAJ	VYBER	15	43838	SLUZBY	\N	\N
1100280	3758	1997-06-30	VYDAJ	VYBER	15	20618	SLUZBY	\N	\N
1100281	3758	1997-07-31	VYDAJ	VYBER	15	27322	SLUZBY	\N	\N
1100282	3758	1997-08-31	VYDAJ	VYBER	15	34551	SLUZBY	\N	\N
1100283	3758	1997-09-30	VYDAJ	VYBER	15	42712	SLUZBY	\N	\N
1100284	3758	1997-10-31	VYDAJ	VYBER	15	49603	SLUZBY	\N	\N
1100285	3758	1997-11-30	VYDAJ	VYBER	15	49807	SLUZBY	\N	\N
1100286	3758	1997-12-31	VYDAJ	VYBER	15	52822	SLUZBY	\N	\N
1100287	3758	1998-01-31	VYDAJ	VYBER	15	45717	SLUZBY	\N	\N
1100288	3758	1998-02-28	VYDAJ	VYBER	15	52822	SLUZBY	\N	\N
1100289	3758	1998-03-31	VYDAJ	VYBER	15	54136	SLUZBY	\N	\N
1100290	3758	1998-04-30	VYDAJ	VYBER	15	52344	SLUZBY	\N	\N
1100291	3758	1998-05-31	VYDAJ	VYBER	15	55562	SLUZBY	\N	\N
1100292	3758	1998-06-30	VYDAJ	VYBER	15	40850	SLUZBY	\N	\N
1100293	3758	1998-07-31	VYDAJ	VYBER	15	39518	SLUZBY	\N	\N
1100294	3758	1998-08-31	VYDAJ	VYBER	15	43887	SLUZBY	\N	\N
1100295	3758	1998-09-30	VYDAJ	VYBER	15	41348	SLUZBY	\N	\N
1100296	3758	1998-10-31	VYDAJ	VYBER	15	39703	SLUZBY	\N	\N
1100297	3758	1998-11-30	VYDAJ	VYBER	15	40660	SLUZBY	\N	\N
1100298	3758	1995-10-19	PRIJEM	VKLAD	7500	14314	\N	\N	\N
1100299	3758	1995-11-18	PRIJEM	VKLAD	1200	21553	\N	\N	\N
1100300	3758	1995-12-18	VYDAJ	VYBER	5800	24847	\N	\N	\N
1100301	3758	1996-01-17	VYDAJ	VYBER	2200	28757	\N	\N	\N
1100302	3758	1996-02-16	VYDAJ	VYBER	1300	29573	\N	\N	\N
1100303	3758	1996-03-17	VYDAJ	VYBER	4100	27588	\N	\N	\N
1100304	3758	1996-04-16	PRIJEM	VKLAD	600	26697	\N	\N	\N
1100305	3758	1996-05-16	VYDAJ	VYBER	700	27401	\N	\N	\N
1100306	3758	1996-06-15	VYDAJ	VYBER	1700	30819	\N	\N	\N
1100307	3758	1996-07-15	PRIJEM	VKLAD	6100	27434	\N	\N	\N
1100308	3758	1996-08-14	PRIJEM	VKLAD	5700	31531	\N	\N	\N
1100309	3758	1996-09-13	PRIJEM	VKLAD	2500	36146	\N	\N	\N
1100310	3758	1996-10-13	PRIJEM	VKLAD	1700	39986	\N	\N	\N
1100311	3758	1996-11-12	VYDAJ	VYBER	3000	39139	\N	\N	\N
1100312	3758	1996-12-12	VYDAJ	VYBER	3700	38107	\N	\N	\N
1100313	3758	1997-01-11	VYDAJ	VYBER	100	37764	\N	\N	\N
1100314	3758	1997-02-10	PRIJEM	VKLAD	2200	34002	\N	\N	\N
1100315	3758	1997-03-12	PRIJEM	VKLAD	6300	41528	\N	\N	\N
1100316	3758	1997-04-11	PRIJEM	VKLAD	2500	46181	\N	\N	\N
1100317	3758	1997-05-11	VYDAJ	VYBER	100	48262	\N	\N	\N
1100318	3758	1997-06-10	VYDAJ	VYBER	4800	44050	\N	\N	\N
1100319	3758	1997-07-10	PRIJEM	VKLAD	8100	30723	\N	\N	\N
1100320	3758	1997-08-09	PRIJEM	VKLAD	5100	34427	\N	\N	\N
1100321	3758	1997-09-08	PRIJEM	VKLAD	6000	42556	\N	\N	\N
1100322	3758	1997-10-08	PRIJEM	VKLAD	4700	49417	\N	\N	\N
1100323	3758	1997-11-07	PRIJEM	VKLAD	1700	53308	\N	\N	\N
1100324	3758	1997-12-07	VYDAJ	VYBER	300	52619	\N	\N	\N
1100325	3758	1998-01-06	PRIJEM	VKLAD	1400	52227	\N	\N	\N
1100326	3758	1998-02-05	PRIJEM	VKLAD	4900	56631	\N	\N	\N
1100327	3758	1998-03-07	VYDAJ	VYBER	900	53927	\N	\N	\N
1100328	3758	1998-04-06	VYDAJ	VYBER	4000	52141	\N	\N	\N
1100329	3758	1998-05-06	PRIJEM	VKLAD	1000	55349	\N	\N	\N
1100330	3758	1998-06-05	PRIJEM	VKLAD	9200	44683	\N	\N	\N
1100331	3758	1998-07-05	PRIJEM	VKLAD	500	47364	\N	\N	\N
1100332	3758	1998-08-04	PRIJEM	VKLAD	2200	41718	\N	\N	\N
1100333	3758	1998-09-03	VYDAJ	VYBER KARTOU	800	39187	\N	\N	0
1100334	3758	1998-10-03	VYDAJ	VYBER KARTOU	2800	38548	\N	\N	0
1100335	3758	1998-11-02	VYDAJ	VYBER KARTOU	1200	38503	\N	\N	0
1100336	3758	1998-12-02	PRIJEM	VKLAD	100	40760	\N	\N	\N
1100376	3759	1993-12-29	PRIJEM	VKLAD	600	600	\N	\N	\N
1100389	3759	1994-01-14	PRIJEM	PREVOD Z UCTU	4930	5530	DUCHOD	GH	37056750
1100390	3759	1994-02-14	PRIJEM	PREVOD Z UCTU	4930	10460	DUCHOD	GH	37056750
1100391	3759	1994-03-14	PRIJEM	PREVOD Z UCTU	4930	15390	DUCHOD	GH	37056750
1100392	3759	1994-04-14	PRIJEM	PREVOD Z UCTU	4930	20320	DUCHOD	GH	37056750
1100393	3759	1994-05-14	PRIJEM	PREVOD Z UCTU	4930	25058	DUCHOD	GH	37056750
1100394	3759	1994-06-14	PRIJEM	PREVOD Z UCTU	4930	26666	DUCHOD	GH	37056750
1100395	3759	1994-07-14	PRIJEM	PREVOD Z UCTU	4930	28745	DUCHOD	GH	37056750
1100396	3759	1994-08-14	PRIJEM	PREVOD Z UCTU	4930	31232	DUCHOD	GH	37056750
1100397	3759	1994-09-14	PRIJEM	PREVOD Z UCTU	4930	31027	DUCHOD	GH	37056750
1100398	3759	1994-10-14	PRIJEM	PREVOD Z UCTU	4930	30420	DUCHOD	GH	37056750
1100399	3759	1994-11-14	PRIJEM	PREVOD Z UCTU	4930	31813	DUCHOD	GH	37056750
1100400	3759	1994-12-14	PRIJEM	PREVOD Z UCTU	4930	26563	DUCHOD	GH	37056750
1100401	3759	1995-01-14	PRIJEM	PREVOD Z UCTU	4930	19770	DUCHOD	GH	37056750
1100402	3759	1995-02-14	PRIJEM	PREVOD Z UCTU	4930	17919	DUCHOD	GH	37056750
1100403	3759	1995-03-14	PRIJEM	PREVOD Z UCTU	4930	21261	DUCHOD	GH	37056750
1100404	3759	1995-04-14	PRIJEM	PREVOD Z UCTU	4930	24617	DUCHOD	GH	37056750
1100405	3759	1995-05-14	PRIJEM	PREVOD Z UCTU	4930	25084	DUCHOD	GH	37056750
1100406	3759	1995-06-14	PRIJEM	PREVOD Z UCTU	4930	24751	DUCHOD	GH	37056750
1100407	3759	1995-07-14	PRIJEM	PREVOD Z UCTU	4930	25118	DUCHOD	GH	37056750
1100408	3759	1995-08-14	PRIJEM	PREVOD Z UCTU	4930	23884	DUCHOD	GH	37056750
1100409	3759	1995-09-14	PRIJEM	PREVOD Z UCTU	4930	22644	DUCHOD	GH	37056750
1100410	3759	1995-10-14	PRIJEM	PREVOD Z UCTU	4930	20021	DUCHOD	GH	37056750
1100411	3759	1995-11-14	PRIJEM	PREVOD Z UCTU	4930	17727	DUCHOD	GH	37056750
1100412	3759	1995-12-14	PRIJEM	PREVOD Z UCTU	4930	16659	DUCHOD	GH	37056750
1100413	3759	1996-01-14	PRIJEM	PREVOD Z UCTU	4930	14585	DUCHOD	GH	37056750
1100414	3759	1996-02-14	PRIJEM	PREVOD Z UCTU	4930	16931	DUCHOD	GH	37056750
1100415	3759	1996-03-14	PRIJEM	PREVOD Z UCTU	4930	19467	DUCHOD	GH	37056750
1100416	3759	1996-04-14	PRIJEM	PREVOD Z UCTU	4930	16404	DUCHOD	GH	37056750
1100417	3759	1996-05-14	PRIJEM	PREVOD Z UCTU	4930	15331	DUCHOD	GH	37056750
1100418	3759	1996-06-14	PRIJEM	PREVOD Z UCTU	4930	16858	DUCHOD	GH	37056750
1100419	3759	1996-07-14	PRIJEM	PREVOD Z UCTU	4930	17089	DUCHOD	GH	37056750
1100420	3759	1996-08-14	PRIJEM	PREVOD Z UCTU	4930	18222	DUCHOD	GH	37056750
1100421	3759	1996-09-14	PRIJEM	PREVOD Z UCTU	4930	17256	DUCHOD	GH	37056750
1100422	3759	1996-10-14	PRIJEM	PREVOD Z UCTU	4930	16184	DUCHOD	GH	37056750
1100423	3759	1996-11-14	PRIJEM	PREVOD Z UCTU	4930	17514	DUCHOD	GH	37056750
1100424	3759	1996-12-14	PRIJEM	PREVOD Z UCTU	4930	16993	DUCHOD	GH	37056750
1100425	3759	1997-01-14	PRIJEM	PREVOD Z UCTU	4930	17834	DUCHOD	GH	37056750
1100426	3759	1997-02-14	PRIJEM	PREVOD Z UCTU	4930	16692	DUCHOD	GH	37056750
1100427	3759	1997-03-14	PRIJEM	PREVOD Z UCTU	4930	20028	DUCHOD	GH	37056750
1100428	3759	1997-04-14	PRIJEM	PREVOD Z UCTU	4930	19778	DUCHOD	GH	37056750
1100429	3759	1997-05-14	PRIJEM	PREVOD Z UCTU	4930	18032	DUCHOD	GH	37056750
1100430	3759	1997-06-14	PRIJEM	PREVOD Z UCTU	4930	17616	DUCHOD	GH	37056750
1100431	3759	1997-07-14	PRIJEM	PREVOD Z UCTU	4930	16656	DUCHOD	GH	37056750
1100432	3759	1997-08-14	PRIJEM	PREVOD Z UCTU	4930	19998	DUCHOD	GH	37056750
1100433	3759	1997-09-14	PRIJEM	PREVOD Z UCTU	4930	19188	DUCHOD	GH	37056750
1100434	3759	1997-10-14	PRIJEM	PREVOD Z UCTU	4930	22537	DUCHOD	GH	37056750
1100435	3759	1997-11-14	PRIJEM	PREVOD Z UCTU	4930	25898	DUCHOD	GH	37056750
1100436	3759	1997-12-14	PRIJEM	PREVOD Z UCTU	4930	28622	DUCHOD	GH	37056750
1100437	3759	1998-01-14	PRIJEM	PREVOD Z UCTU	4930	21558	DUCHOD	GH	37056750
1100438	3759	1998-02-14	PRIJEM	PREVOD Z UCTU	4930	21553	DUCHOD	GH	37056750
1100439	3759	1998-03-14	PRIJEM	PREVOD Z UCTU	4930	24908	DUCHOD	GH	37056750
1100440	3759	1998-04-14	PRIJEM	PREVOD Z UCTU	4930	28278	DUCHOD	GH	37056750
1100441	3759	1998-05-14	PRIJEM	PREVOD Z UCTU	4930	31662	DUCHOD	GH	37056750
1100442	3759	1998-06-14	PRIJEM	PREVOD Z UCTU	4930	28018	DUCHOD	GH	37056750
1100443	3759	1998-07-14	PRIJEM	PREVOD Z UCTU	4930	31404	DUCHOD	GH	37056750
1100444	3759	1998-08-14	PRIJEM	PREVOD Z UCTU	4930	34801	DUCHOD	GH	37056750
1100445	3759	1998-09-14	PRIJEM	PREVOD Z UCTU	4930	38212	DUCHOD	GH	37056750
1100446	3759	1998-10-14	PRIJEM	PREVOD Z UCTU	4930	41637	DUCHOD	GH	37056750
1100447	3759	1998-11-14	PRIJEM	PREVOD Z UCTU	4930	41556	DUCHOD	GH	37056750
1100448	3759	1998-12-14	PRIJEM	PREVOD Z UCTU	4930	44997	DUCHOD	GH	37056750
1100466	3759	1994-06-09	VYDAJ	PREVOD NA UCET	1642	21736	SIPO	AB	45222652
1100467	3759	1994-07-09	VYDAJ	PREVOD NA UCET	1642	23815	SIPO	AB	45222652
1100468	3759	1994-08-09	VYDAJ	PREVOD NA UCET	1642	26302	SIPO	AB	45222652
1100469	3759	1994-09-09	VYDAJ	PREVOD NA UCET	1642	26097	SIPO	AB	45222652
1100470	3759	1994-10-09	VYDAJ	PREVOD NA UCET	1642	25490	SIPO	AB	45222652
1100471	3759	1994-11-09	VYDAJ	PREVOD NA UCET	1642	26883	SIPO	AB	45222652
1100472	3759	1994-12-09	VYDAJ	PREVOD NA UCET	1642	21633	SIPO	AB	45222652
1100473	3759	1995-01-09	VYDAJ	PREVOD NA UCET	1642	19160	SIPO	AB	45222652
1100474	3759	1995-02-09	VYDAJ	PREVOD NA UCET	1642	12989	SIPO	AB	45222652
1100475	3759	1995-03-09	VYDAJ	PREVOD NA UCET	1642	16331	SIPO	AB	45222652
1100476	3759	1995-04-09	VYDAJ	PREVOD NA UCET	1642	19687	SIPO	AB	45222652
1100477	3759	1995-05-09	VYDAJ	PREVOD NA UCET	1642	20154	SIPO	AB	45222652
1100478	3759	1995-06-09	VYDAJ	PREVOD NA UCET	1642	19821	SIPO	AB	45222652
1100479	3759	1995-07-09	VYDAJ	PREVOD NA UCET	1642	20188	SIPO	AB	45222652
1100480	3759	1995-08-09	VYDAJ	PREVOD NA UCET	1642	18954	SIPO	AB	45222652
1100481	3759	1995-09-09	VYDAJ	PREVOD NA UCET	1642	17714	SIPO	AB	45222652
1100482	3759	1995-10-09	VYDAJ	PREVOD NA UCET	1642	15091	SIPO	AB	45222652
1100483	3759	1995-11-09	VYDAJ	PREVOD NA UCET	1642	12797	SIPO	AB	45222652
1100484	3759	1995-12-09	VYDAJ	PREVOD NA UCET	1642	11729	SIPO	AB	45222652
1100485	3759	1996-01-09	VYDAJ	PREVOD NA UCET	1642	9655	SIPO	AB	45222652
1100486	3759	1996-02-09	VYDAJ	PREVOD NA UCET	1642	12001	SIPO	AB	45222652
1100487	3759	1996-03-09	VYDAJ	PREVOD NA UCET	1642	14537	SIPO	AB	45222652
1100488	3759	1996-04-09	VYDAJ	PREVOD NA UCET	1642	11474	SIPO	AB	45222652
1100489	3759	1996-05-09	VYDAJ	PREVOD NA UCET	1642	10401	SIPO	AB	45222652
1100490	3759	1996-06-09	VYDAJ	PREVOD NA UCET	1642	11928	SIPO	AB	45222652
1100491	3759	1996-07-09	VYDAJ	PREVOD NA UCET	1642	12159	SIPO	AB	45222652
1100492	3759	1996-08-09	VYDAJ	PREVOD NA UCET	1642	13292	SIPO	AB	45222652
1100493	3759	1996-09-09	VYDAJ	PREVOD NA UCET	1642	12326	SIPO	AB	45222652
1100494	3759	1996-10-09	VYDAJ	PREVOD NA UCET	1642	11254	SIPO	AB	45222652
1100495	3759	1996-11-09	VYDAJ	PREVOD NA UCET	1642	12584	SIPO	AB	45222652
1100496	3759	1996-12-09	VYDAJ	PREVOD NA UCET	1642	12363	SIPO	AB	45222652
1100497	3759	1997-01-09	VYDAJ	PREVOD NA UCET	1642	15404	SIPO	AB	45222652
1100498	3759	1997-02-09	VYDAJ	PREVOD NA UCET	1642	11762	SIPO	AB	45222652
1100499	3759	1997-03-09	VYDAJ	PREVOD NA UCET	1642	15098	SIPO	AB	45222652
1100500	3759	1997-04-09	VYDAJ	PREVOD NA UCET	1642	18448	SIPO	AB	45222652
1100501	3759	1997-05-09	VYDAJ	PREVOD NA UCET	1642	18202	SIPO	AB	45222652
1100502	3759	1997-06-09	VYDAJ	PREVOD NA UCET	1642	12686	SIPO	AB	45222652
1100503	3759	1997-07-09	VYDAJ	PREVOD NA UCET	1642	16026	SIPO	AB	45222652
1100504	3759	1997-08-09	VYDAJ	PREVOD NA UCET	1642	15068	SIPO	AB	45222652
1100505	3759	1997-09-09	VYDAJ	PREVOD NA UCET	1642	14258	SIPO	AB	45222652
1100506	3759	1997-10-09	VYDAJ	PREVOD NA UCET	1642	17607	SIPO	AB	45222652
1100507	3759	1997-11-09	VYDAJ	PREVOD NA UCET	1642	20968	SIPO	AB	45222652
1100508	3759	1997-12-09	VYDAJ	PREVOD NA UCET	1642	24342	SIPO	AB	45222652
1100509	3759	1998-01-09	VYDAJ	PREVOD NA UCET	1642	18148	SIPO	AB	45222652
1100510	3759	1998-02-09	VYDAJ	PREVOD NA UCET	1642	16623	SIPO	AB	45222652
1100511	3759	1998-03-09	VYDAJ	PREVOD NA UCET	1642	19978	SIPO	AB	45222652
1100512	3759	1998-04-09	VYDAJ	PREVOD NA UCET	1642	23348	SIPO	AB	45222652
1100513	3759	1998-05-09	VYDAJ	PREVOD NA UCET	1642	26732	SIPO	AB	45222652
1100514	3759	1998-06-09	VYDAJ	PREVOD NA UCET	1642	23088	SIPO	AB	45222652
1100515	3759	1998-07-09	VYDAJ	PREVOD NA UCET	1642	26474	SIPO	AB	45222652
1100516	3759	1998-08-09	VYDAJ	PREVOD NA UCET	1642	29871	SIPO	AB	45222652
1100517	3759	1998-09-09	VYDAJ	PREVOD NA UCET	1642	33282	SIPO	AB	45222652
1100518	3759	1998-10-09	VYDAJ	PREVOD NA UCET	1642	36707	SIPO	AB	45222652
1100519	3759	1998-11-09	VYDAJ	PREVOD NA UCET	1642	36626	SIPO	AB	45222652
1100520	3759	1998-12-09	VYDAJ	PREVOD NA UCET	1642	40067	SIPO	AB	45222652
1100522	3759	1994-06-04	VYDAJ	VYBER	1750	23378	\N	\N	\N
1100526	3759	1998-06-03	VYDAJ	VYBER	4400	24730	\N	\N	\N
1100529	3759	1995-01-06	VYDAJ	VYBER	4350	20802	\N	\N	\N
1100532	3759	1998-01-02	VYDAJ	VYBER	2850	23550	\N	\N	\N
1100534	3759	1994-12-22	VYDAJ	VYBER	600	25963	\N	\N	\N
1100536	3759	1996-12-08	VYDAJ	VYBER	1400	14005	\N	\N	\N
1100537	3759	1997-12-10	VYDAJ	VYBER	650	23692	\N	\N	\N
1100538	3759	1998-12-19	VYDAJ	VYBER	450	44547	\N	\N	\N
1100551	3759	1995-01-17	VYDAJ	VYBER	480	14570	\N	\N	\N
1100552	3759	1995-01-13	VYDAJ	VYBER	2080	17080	\N	\N	\N
1100553	3759	1995-01-16	VYDAJ	VYBER	960	15050	\N	\N	\N
1100554	3759	1995-01-13	VYDAJ	VYBER	2240	14840	\N	\N	\N
1100555	3759	1995-01-15	VYDAJ	VYBER	2000	16010	\N	\N	\N
1100556	3759	1995-01-15	VYDAJ	VYBER	1760	18010	\N	\N	\N
1100557	3759	1996-01-27	VYDAJ	VYBER	480	13605	\N	\N	\N
1100565	3759	1997-01-23	VYDAJ	VYBER	1120	14634	\N	\N	\N
1100566	3759	1997-01-14	VYDAJ	VYBER	1360	16474	\N	\N	\N
1100567	3759	1997-01-17	VYDAJ	VYBER	720	15754	\N	\N	\N
1100568	3759	1997-01-25	VYDAJ	VYBER	1280	13354	\N	\N	\N
1100569	3759	1998-01-03	VYDAJ	VYBER	1600	19790	\N	\N	\N
1100570	3759	1998-01-19	VYDAJ	VYBER	1760	19798	\N	\N	\N
1100571	3759	1998-01-02	VYDAJ	VYBER	2320	26400	\N	\N	\N
1100572	3759	1998-01-03	VYDAJ	VYBER	2160	21390	\N	\N	\N
1100573	3759	1998-01-12	VYDAJ	VYBER	1520	16628	\N	\N	\N
1100574	3759	1998-01-26	VYDAJ	VYBER	1600	18198	\N	\N	\N
1100579	3759	1994-11-21	VYDAJ	VYBER	1440	30373	\N	\N	\N
1100581	3759	1994-11-22	VYDAJ	VYBER	1600	28773	\N	\N	\N
1100582	3759	1995-10-09	VYDAJ	VYBER	2880	16733	\N	\N	\N
1100583	3759	1995-10-20	VYDAJ	VYBER	2720	17101	\N	\N	\N
1100584	3759	1995-11-18	VYDAJ	VYBER	3440	13327	\N	\N	\N
1100585	3759	1995-12-14	VYDAJ	VYBER	2800	13859	\N	\N	\N
1100586	3759	1995-10-25	VYDAJ	VYBER	2720	14381	\N	\N	\N
1100587	3759	1995-11-14	VYDAJ	VYBER	960	16767	\N	\N	\N
1100592	3759	1996-12-07	VYDAJ	VYBER	2160	15405	\N	\N	\N
1100594	3759	1997-09-03	VYDAJ	VYBER	960	15900	\N	\N	\N
1100595	3759	1997-08-31	VYDAJ	VYBER	3200	16860	\N	\N	\N
1100596	3759	1997-05-23	VYDAJ	VYBER	3760	14272	\N	\N	\N
1100597	3759	1998-11-06	VYDAJ	VYBER	3520	38268	\N	\N	\N
1100598	3759	1998-05-25	VYDAJ	VYBER	2640	29022	\N	\N	\N
1100616	3759	1994-05-31	VYDAJ	VYBER	15	25128	SLUZBY	\N	\N
1100617	3759	1994-06-30	VYDAJ	VYBER	15	25457	SLUZBY	\N	\N
1100618	3759	1994-07-31	VYDAJ	VYBER	15	27944	SLUZBY	\N	\N
1100619	3759	1994-08-31	VYDAJ	VYBER	15	27739	SLUZBY	\N	\N
1100620	3759	1994-09-30	VYDAJ	VYBER	15	27132	SLUZBY	\N	\N
1100621	3759	1994-10-31	VYDAJ	VYBER	15	28525	SLUZBY	\N	\N
1100622	3759	1994-11-30	VYDAJ	VYBER	15	23275	SLUZBY	\N	\N
1100623	3759	1994-12-31	VYDAJ	VYBER	15	25152	SLUZBY	\N	\N
1100624	3759	1995-01-31	VYDAJ	VYBER	15	14631	SLUZBY	\N	\N
1100625	3759	1995-02-28	VYDAJ	VYBER	15	17973	SLUZBY	\N	\N
1100626	3759	1995-03-31	VYDAJ	VYBER	15	21329	SLUZBY	\N	\N
1100627	3759	1995-04-30	VYDAJ	VYBER	15	21796	SLUZBY	\N	\N
1100628	3759	1995-05-31	VYDAJ	VYBER	15	21463	SLUZBY	\N	\N
1100629	3759	1995-06-30	VYDAJ	VYBER	15	21830	SLUZBY	\N	\N
1100630	3759	1995-07-31	VYDAJ	VYBER	15	20596	SLUZBY	\N	\N
1100631	3759	1995-08-31	VYDAJ	VYBER	15	19356	SLUZBY	\N	\N
1100632	3759	1995-09-30	VYDAJ	VYBER	15	19613	SLUZBY	\N	\N
1100633	3759	1995-10-31	VYDAJ	VYBER	15	14439	SLUZBY	\N	\N
1100634	3759	1995-11-30	VYDAJ	VYBER	15	13371	SLUZBY	\N	\N
1100635	3759	1995-12-31	VYDAJ	VYBER	15	11297	SLUZBY	\N	\N
1100636	3759	1996-01-31	VYDAJ	VYBER	15	13643	SLUZBY	\N	\N
1100637	3759	1996-02-29	VYDAJ	VYBER	15	16179	SLUZBY	\N	\N
1100638	3759	1996-03-31	VYDAJ	VYBER	15	13116	SLUZBY	\N	\N
1100639	3759	1996-04-30	VYDAJ	VYBER	15	12043	SLUZBY	\N	\N
1100640	3759	1996-05-31	VYDAJ	VYBER	15	13570	SLUZBY	\N	\N
1100641	3759	1996-06-30	VYDAJ	VYBER	15	13801	SLUZBY	\N	\N
1100642	3759	1996-07-31	VYDAJ	VYBER	15	14934	SLUZBY	\N	\N
1100643	3759	1996-08-31	VYDAJ	VYBER	15	13968	SLUZBY	\N	\N
1100644	3759	1996-09-30	VYDAJ	VYBER	15	12896	SLUZBY	\N	\N
1100645	3759	1996-10-31	VYDAJ	VYBER	15	14226	SLUZBY	\N	\N
1100646	3759	1996-11-30	VYDAJ	VYBER	15	17565	SLUZBY	\N	\N
1100647	3759	1996-12-31	VYDAJ	VYBER	15	17046	SLUZBY	\N	\N
1100648	3759	1997-01-31	VYDAJ	VYBER	15	13404	SLUZBY	\N	\N
1100649	3759	1997-02-28	VYDAJ	VYBER	15	16740	SLUZBY	\N	\N
1100650	3759	1997-03-31	VYDAJ	VYBER	15	20090	SLUZBY	\N	\N
1100651	3759	1997-04-30	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
1100652	3759	1997-05-31	VYDAJ	VYBER	15	14328	SLUZBY	\N	\N
1100653	3759	1997-06-30	VYDAJ	VYBER	15	17668	SLUZBY	\N	\N
1100654	3759	1997-07-31	VYDAJ	VYBER	15	16710	SLUZBY	\N	\N
1100655	3759	1997-08-31	VYDAJ	VYBER	15	20060	SLUZBY	\N	\N
1100656	3759	1997-09-30	VYDAJ	VYBER	15	19249	SLUZBY	\N	\N
1100657	3759	1997-10-31	VYDAJ	VYBER	15	22610	SLUZBY	\N	\N
1100658	3759	1997-11-30	VYDAJ	VYBER	15	25984	SLUZBY	\N	\N
1100659	3759	1997-12-31	VYDAJ	VYBER	15	28720	SLUZBY	\N	\N
1100660	3759	1998-01-31	VYDAJ	VYBER	15	18265	SLUZBY	\N	\N
1100661	3759	1998-02-28	VYDAJ	VYBER	15	21620	SLUZBY	\N	\N
1100662	3759	1998-03-31	VYDAJ	VYBER	15	24990	SLUZBY	\N	\N
1100663	3759	1998-04-30	VYDAJ	VYBER	15	28374	SLUZBY	\N	\N
1100664	3759	1998-05-31	VYDAJ	VYBER	15	29130	SLUZBY	\N	\N
1100665	3759	1998-06-30	VYDAJ	VYBER	15	28116	SLUZBY	\N	\N
1100666	3759	1998-07-31	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
1100667	3759	1998-08-31	VYDAJ	VYBER	15	34924	SLUZBY	\N	\N
1100668	3759	1998-09-30	VYDAJ	VYBER	15	38349	SLUZBY	\N	\N
1100669	3759	1998-10-31	VYDAJ	VYBER	15	41788	SLUZBY	\N	\N
1100670	3759	1998-11-30	VYDAJ	VYBER	15	41709	SLUZBY	\N	\N
1100671	3759	1994-04-28	VYDAJ	VYBER	200	20120	\N	\N	\N
1100672	3759	1994-06-27	VYDAJ	VYBER	1300	25366	\N	\N	\N
1100673	3759	1994-07-27	VYDAJ	VYBER	900	27845	\N	\N	\N
1100674	3759	1994-08-26	VYDAJ	VYBER	3600	27632	\N	\N	\N
1100675	3759	1994-09-25	VYDAJ	VYBER	4000	27027	\N	\N	\N
1100676	3759	1994-10-25	VYDAJ	VYBER	2000	28420	\N	\N	\N
1100677	3759	1994-11-24	VYDAJ	VYBER	5600	23173	\N	\N	\N
1100678	3759	1994-12-24	VYDAJ	VYBER	900	25063	\N	\N	\N
1100679	3759	1995-04-23	VYDAJ	VYBER	2900	21717	\N	\N	\N
1100680	3759	1995-05-23	VYDAJ	VYBER	3700	21384	\N	\N	\N
1100681	3759	1995-06-22	VYDAJ	VYBER	3000	21751	\N	\N	\N
1100682	3759	1995-07-22	VYDAJ	VYBER	4600	20518	\N	\N	\N
1100683	3759	1995-08-21	VYDAJ	VYBER	4600	19284	\N	\N	\N
1100684	3759	1995-09-20	VYDAJ	VYBER	3100	19544	\N	\N	\N
1100685	3759	1995-10-20	VYDAJ	VYBER	200	19821	\N	\N	\N
1100686	3759	1995-12-19	VYDAJ	VYBER	2600	11259	\N	\N	\N
1100687	3759	1996-01-18	VYDAJ	VYBER	500	14085	\N	\N	\N
1100688	3759	1996-02-17	VYDAJ	VYBER	800	16131	\N	\N	\N
1100689	3759	1996-03-18	VYDAJ	VYBER	6400	13067	\N	\N	\N
1100690	3759	1996-04-17	VYDAJ	VYBER	4400	12004	\N	\N	\N
1100691	3759	1996-05-17	VYDAJ	VYBER	1800	13531	\N	\N	\N
1100692	3759	1996-06-16	VYDAJ	VYBER	3100	13758	\N	\N	\N
1100693	3759	1996-07-16	VYDAJ	VYBER	2200	14889	\N	\N	\N
1100694	3759	1996-08-15	VYDAJ	VYBER	4300	13922	\N	\N	\N
1100695	3759	1996-09-14	VYDAJ	VYBER	4400	12856	\N	\N	\N
1100696	3759	1996-10-14	VYDAJ	VYBER	2000	14184	\N	\N	\N
1100697	3759	1996-12-13	VYDAJ	VYBER	300	12063	\N	\N	\N
1100698	3759	1997-01-12	VYDAJ	VYBER	2500	12904	\N	\N	\N
1100699	3759	1997-04-12	VYDAJ	VYBER	3600	14848	\N	\N	\N
1100700	3759	1997-05-12	VYDAJ	VYBER	5100	13102	\N	\N	\N
1100701	3759	1997-07-11	VYDAJ	VYBER	4300	11726	\N	\N	\N
1100759	3760	1993-01-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1100760	3760	1993-09-25	PRIJEM	VKLAD	18207	78360	\N	\N	\N
1100761	3760	1993-06-11	PRIJEM	VKLAD	33591	91871	\N	\N	\N
1100762	3760	1993-05-29	PRIJEM	VKLAD	46992	130887	\N	\N	\N
1100763	3760	1993-11-08	PRIJEM	VKLAD	9578	98979	\N	\N	\N
1100764	3760	1993-06-16	PRIJEM	VKLAD	28212	84131	\N	\N	\N
1100765	3760	1993-05-25	PRIJEM	VKLAD	41587	102746	\N	\N	\N
1100766	3760	1993-03-15	PRIJEM	VKLAD	10539	41509	\N	\N	\N
1100767	3760	1993-01-18	PRIJEM	VKLAD	10792	11792	\N	\N	\N
1100768	3760	1993-08-16	PRIJEM	VKLAD	32672	94776	\N	\N	\N
1100769	3760	1993-10-13	PRIJEM	VKLAD	23587	128133	\N	\N	\N
1100770	3760	1993-07-29	PRIJEM	VKLAD	45282	92751	\N	\N	\N
1100771	3760	1993-05-20	PRIJEM	VKLAD	24165	61159	\N	\N	\N
1100772	3760	1993-03-25	PRIJEM	VKLAD	24226	65735	\N	\N	\N
1100773	3760	1993-07-11	PRIJEM	VKLAD	48343	130729	\N	\N	\N
1100774	3760	1993-10-12	PRIJEM	VKLAD	49992	104546	\N	\N	\N
1100775	3760	1993-02-06	PRIJEM	VKLAD	38645	50459	\N	\N	\N
1100776	3760	1993-05-29	PRIJEM	VKLAD	38405	169292	\N	\N	\N
1100777	3760	1994-05-23	PRIJEM	VKLAD	41012	76647	\N	\N	\N
1100778	3760	1994-09-04	PRIJEM	VKLAD	25622	55721	\N	\N	\N
1100779	3760	1994-10-20	PRIJEM	VKLAD	47563	80097	\N	\N	\N
1100780	3760	1994-06-01	PRIJEM	VKLAD	46631	156468	\N	\N	\N
1100781	3760	1994-09-21	PRIJEM	VKLAD	30124	66645	\N	\N	\N
1100782	3760	1994-02-14	PRIJEM	VKLAD	10989	34785	\N	\N	\N
1100783	3760	1994-10-20	PRIJEM	VKLAD	36147	116244	\N	\N	\N
1100784	3760	1994-04-07	PRIJEM	VKLAD	36396	61087	\N	\N	\N
1100785	3760	1994-11-10	PRIJEM	VKLAD	5552	47358	\N	\N	\N
1100786	3760	1994-10-28	PRIJEM	VKLAD	37743	136487	\N	\N	\N
1100787	3760	1994-05-25	PRIJEM	VKLAD	32989	109636	\N	\N	\N
1100788	3760	1994-12-15	PRIJEM	VKLAD	17504	56839	\N	\N	\N
1100789	3760	1994-05-13	PRIJEM	VKLAD	11353	35635	\N	\N	\N
1100790	3760	1994-11-07	PRIJEM	VKLAD	7379	41806	\N	\N	\N
1100791	3760	1994-03-07	PRIJEM	VKLAD	6556	41444	\N	\N	\N
1100792	3760	1994-11-27	PRIJEM	VKLAD	21179	68537	\N	\N	\N
1100793	3760	1994-12-30	PRIJEM	VKLAD	13535	49207	\N	\N	\N
1100794	3760	1995-09-29	PRIJEM	VKLAD	9427	51927	\N	\N	\N
1100795	3760	1995-04-11	PRIJEM	VKLAD	14549	37574	\N	\N	\N
1100796	3760	1995-03-03	PRIJEM	VKLAD	32880	52712	\N	\N	\N
1100797	3760	1995-08-04	PRIJEM	VKLAD	15501	71014	\N	\N	\N
1100798	3760	1995-08-01	PRIJEM	VKLAD	40331	96713	\N	\N	\N
1100799	3760	1995-07-04	PRIJEM	VKLAD	27474	56168	\N	\N	\N
1100800	3760	1995-05-09	PRIJEM	VKLAD	12315	34516	\N	\N	\N
1100801	3760	1995-05-20	PRIJEM	VKLAD	38406	72922	\N	\N	\N
1100802	3760	1995-11-23	PRIJEM	VKLAD	48414	73527	\N	\N	\N
1100803	3760	1996-09-09	PRIJEM	VKLAD	12257	52868	\N	\N	\N
1100804	3760	1996-11-24	PRIJEM	VKLAD	40245	77064	\N	\N	\N
1100805	3760	1996-01-07	PRIJEM	VKLAD	7418	29186	\N	\N	\N
1100806	3760	1996-08-21	PRIJEM	VKLAD	7082	74788	\N	\N	\N
1100807	3760	1996-12-07	PRIJEM	VKLAD	27493	93105	\N	\N	\N
1100808	3760	1996-04-14	PRIJEM	VKLAD	39595	65268	\N	\N	\N
1100809	3760	1996-02-24	PRIJEM	VKLAD	21651	47966	\N	\N	\N
1100810	3760	1996-10-09	PRIJEM	VKLAD	45928	80070	\N	\N	\N
1100811	3760	1996-09-14	PRIJEM	VKLAD	23832	76700	\N	\N	\N
1100812	3760	1996-03-07	PRIJEM	VKLAD	22164	40709	\N	\N	\N
1100813	3760	1996-11-22	PRIJEM	VKLAD	49387	86236	\N	\N	\N
1100814	3760	1996-09-23	PRIJEM	VKLAD	22082	98782	\N	\N	\N
1100815	3760	1996-05-21	PRIJEM	VKLAD	47968	82074	\N	\N	\N
1100816	3760	1996-01-26	PRIJEM	VKLAD	48179	72565	\N	\N	\N
1100817	3760	1996-08-14	PRIJEM	VKLAD	47670	67706	\N	\N	\N
1100818	3760	1997-10-14	PRIJEM	VKLAD	40108	103465	\N	\N	\N
1100819	3760	1997-08-09	PRIJEM	VKLAD	25165	45615	\N	\N	\N
1100820	3760	1997-03-11	PRIJEM	VKLAD	11369	86231	\N	\N	\N
1100821	3760	1997-10-15	PRIJEM	VKLAD	5864	109329	\N	\N	\N
1100822	3760	1997-09-25	PRIJEM	VKLAD	11789	72494	\N	\N	\N
1100823	3760	1997-09-10	PRIJEM	VKLAD	46841	71628	\N	\N	\N
1100824	3760	1997-01-16	PRIJEM	VKLAD	40381	68039	\N	\N	\N
1100825	3760	1997-02-04	PRIJEM	VKLAD	32348	69219	\N	\N	\N
1100826	3760	1997-04-03	PRIJEM	VKLAD	28528	62469	\N	\N	\N
1100827	3760	1997-05-10	PRIJEM	VKLAD	47948	83190	\N	\N	\N
1100828	3760	1997-09-20	PRIJEM	VKLAD	9433	54359	\N	\N	\N
1100829	3760	1997-09-26	PRIJEM	VKLAD	15598	88092	\N	\N	\N
1100830	3760	1997-12-13	PRIJEM	VKLAD	28824	101798	\N	\N	\N
1100831	3760	1997-12-27	PRIJEM	VKLAD	14974	80506	\N	\N	\N
1100832	3760	1997-10-30	PRIJEM	VKLAD	21906	78235	\N	\N	\N
1100833	3760	1997-03-08	PRIJEM	VKLAD	31048	74862	\N	\N	\N
1100834	3760	1997-01-23	PRIJEM	VKLAD	16566	53205	\N	\N	\N
1100835	3760	1997-10-07	PRIJEM	VKLAD	27920	116257	\N	\N	\N
1100836	3760	1997-11-14	PRIJEM	VKLAD	32823	111346	\N	\N	\N
1100837	3760	1997-12-03	PRIJEM	VKLAD	33894	72974	\N	\N	\N
1100838	3760	1997-12-19	PRIJEM	VKLAD	38534	74232	\N	\N	\N
1100839	3760	1997-02-14	PRIJEM	VKLAD	12805	82024	\N	\N	\N
1100840	3760	1997-09-25	PRIJEM	VKLAD	6346	60705	\N	\N	\N
1100841	3760	1997-12-16	PRIJEM	VKLAD	16600	118398	\N	\N	\N
1100842	3760	1997-09-10	PRIJEM	VKLAD	26898	98526	\N	\N	\N
1100843	3760	1998-07-08	PRIJEM	VKLAD	16005	46834	\N	\N	\N
1100844	3760	1998-08-02	PRIJEM	VKLAD	14001	45950	\N	\N	\N
1100845	3760	1998-12-04	PRIJEM	VKLAD	18958	93449	\N	\N	\N
1100846	3760	1998-12-11	PRIJEM	VKLAD	23022	126408	\N	\N	\N
1100847	3760	1998-03-11	PRIJEM	VKLAD	32138	108968	\N	\N	\N
1100848	3760	1998-08-13	PRIJEM	VKLAD	24594	70544	\N	\N	\N
1100849	3760	1998-12-18	PRIJEM	VKLAD	27852	122738	\N	\N	\N
1100850	3760	1998-02-26	PRIJEM	VKLAD	45098	76609	\N	\N	\N
1100851	3760	1998-11-10	PRIJEM	VKLAD	24152	64919	\N	\N	\N
1100852	3760	1998-08-31	PRIJEM	VKLAD	27640	64736	\N	\N	\N
1100853	3760	1998-06-15	PRIJEM	VKLAD	9604	30761	\N	\N	\N
1100854	3760	1998-12-11	PRIJEM	VKLAD	9937	103386	\N	\N	\N
1100855	3760	1998-07-19	PRIJEM	VKLAD	14303	42337	\N	\N	\N
1100856	3760	1998-11-17	PRIJEM	VKLAD	43463	74282	\N	\N	\N
1100857	3760	1998-09-11	PRIJEM	VKLAD	12138	69359	\N	\N	\N
1100858	3760	1998-01-25	PRIJEM	VKLAD	33838	63280	\N	\N	\N
1100859	3760	1998-12-19	PRIJEM	VKLAD	14305	110743	\N	\N	\N
1100860	3760	1998-09-23	PRIJEM	VKLAD	42467	80126	\N	\N	\N
1100861	3760	1998-12-14	PRIJEM	VKLAD	39078	94886	\N	\N	\N
1100934	3760	1993-05-27	VYBER	VYBER	18851	83895	\N	\N	\N
1100935	3760	1993-11-15	VYBER	VYBER	13254	47061	\N	\N	\N
1100937	3760	1993-07-14	VYBER	VYBER	3460	47469	\N	\N	\N
1100938	3760	1993-11-14	VYBER	VYBER	4464	60315	\N	\N	\N
1100941	3760	1993-06-29	VYBER	VYBER	2044	82087	\N	\N	\N
1100942	3760	1993-12-25	VYBER	VYBER	11148	23866	\N	\N	\N
1100943	3760	1993-06-12	VYBER	VYBER	2552	89319	\N	\N	\N
1100944	3760	1994-04-14	VYBER	VYBER	16815	27272	\N	\N	\N
1100945	3760	1994-03-12	VYBER	VYBER	6314	27630	\N	\N	\N
1100946	3760	1994-06-09	VYBER	VYBER	12846	57122	\N	\N	\N
1100947	3760	1994-10-19	VYBER	VYBER	3445	32534	\N	\N	\N
1100948	3760	1994-11-02	VYBER	VYBER	6662	67499	\N	\N	\N
1100949	3760	1994-11-05	VYBER	VYBER	9572	34427	\N	\N	\N
1100951	3760	1994-03-21	VYBER	VYBER	3045	24585	\N	\N	\N
1100952	3760	1994-09-25	VYBER	VYBER	9826	55019	\N	\N	\N
1100953	3760	1994-12-23	VYBER	VYBER	6888	49951	\N	\N	\N
1100954	3760	1994-12-29	VYBER	VYBER	14279	35672	\N	\N	\N
1100955	3760	1995-12-26	VYBER	VYBER	6216	35522	\N	\N	\N
1100958	3760	1996-11-23	VYBER	VYBER	13917	72319	\N	\N	\N
1100960	3760	1996-06-25	VYBER	VYBER	8176	33828	\N	\N	\N
1100961	3760	1996-08-25	VYBER	VYBER	2017	72771	\N	\N	\N
1100962	3760	1996-01-30	VYBER	VYBER	2749	34316	\N	\N	\N
1100963	3760	1996-10-08	VYBER	VYBER	20258	34142	\N	\N	\N
1100964	3760	1996-12-03	VYBER	VYBER	11631	65612	\N	\N	\N
1100965	3760	1996-02-26	VYBER	VYBER	13645	34321	\N	\N	\N
1100968	3760	1996-12-22	VYBER	VYBER	8112	72093	\N	\N	\N
1100969	3760	1996-10-29	VYBER	VYBER	3464	36606	\N	\N	\N
1100970	3760	1996-04-27	VYBER	VYBER	10964	54304	\N	\N	\N
1100979	3760	1993-12-20	VYDAJ	VYBER	2400	35014	\N	\N	\N
1100980	3760	1994-12-12	VYDAJ	VYBER	4500	39335	\N	\N	\N
1100981	3760	1995-12-26	VYDAJ	VYBER	1800	33722	\N	\N	\N
1100982	3760	1996-12-08	VYDAJ	VYBER	8700	80205	\N	\N	\N
1100983	3760	1997-12-22	VYDAJ	VYBER	8700	65532	\N	\N	\N
1100984	3760	1998-12-13	VYDAJ	VYBER	6600	103608	\N	\N	\N
1100991	3760	1994-01-12	VYDAJ	VYBER	5400	20718	\N	\N	\N
1100993	3760	1994-01-01	VYDAJ	VYBER	2100	21918	\N	\N	\N
1100997	3760	1995-01-19	VYDAJ	VYBER	2400	23929	\N	\N	\N
1101000	3760	1995-01-17	VYDAJ	VYBER	2400	26329	\N	\N	\N
1101002	3760	1995-01-10	VYDAJ	VYBER	5700	28729	\N	\N	\N
1101004	3760	1996-01-20	VYDAJ	VYBER	1800	24386	\N	\N	\N
1101006	3760	1996-01-16	VYDAJ	VYBER	3000	26186	\N	\N	\N
1101009	3760	1997-01-03	VYDAJ	VYBER	3300	36358	\N	\N	\N
1101010	3760	1997-01-06	VYDAJ	VYBER	5100	31258	\N	\N	\N
1101011	3760	1997-01-30	VYDAJ	VYBER	8700	36705	\N	\N	\N
1101012	3760	1997-01-26	VYDAJ	VYBER	7800	45405	\N	\N	\N
1101014	3760	1997-01-06	VYDAJ	VYBER	3600	27658	\N	\N	\N
1101015	3760	1998-01-24	VYDAJ	VYBER	3300	29442	\N	\N	\N
1101016	3760	1998-01-28	VYDAJ	VYBER	2100	61180	\N	\N	\N
1101017	3760	1998-01-18	VYDAJ	VYBER	6900	32742	\N	\N	\N
1101018	3760	1998-01-04	VYDAJ	VYBER	3300	72042	\N	\N	\N
1101019	3760	1998-01-30	VYDAJ	VYBER	5700	55480	\N	\N	\N
1101020	3760	1998-01-04	VYDAJ	VYBER	5400	75342	\N	\N	\N
1101023	3760	1993-09-09	VYDAJ	VYBER	6300	88853	\N	\N	\N
1101024	3760	1993-11-05	VYDAJ	VYBER	9600	89401	\N	\N	\N
1101025	3760	1994-09-27	VYDAJ	VYBER	8100	46919	\N	\N	\N
1101026	3760	1994-09-22	VYDAJ	VYBER	1800	64845	\N	\N	\N
1101032	3760	1995-11-26	VYDAJ	VYBER	2400	71127	\N	\N	\N
1101034	3760	1995-04-21	VYDAJ	VYBER	4800	32774	\N	\N	\N
1101035	3760	1996-02-19	VYDAJ	VYBER	8100	26315	\N	\N	\N
1101039	3760	1996-12-07	VYDAJ	VYBER	4200	88905	\N	\N	\N
1101040	3760	1997-09-13	VYDAJ	VYBER	3300	95226	\N	\N	\N
1101041	3760	1997-03-25	VYDAJ	VYBER	6600	33731	\N	\N	\N
1101042	3760	1997-04-08	VYDAJ	VYBER	3000	59469	\N	\N	\N
1101044	3760	1997-03-16	VYDAJ	VYBER	11100	75131	\N	\N	\N
1101045	3760	1997-03-17	VYDAJ	VYBER	1500	73631	\N	\N	\N
1101046	3760	1998-09-01	VYDAJ	VYBER	7500	57221	\N	\N	\N
1101047	3760	1998-07-22	VYDAJ	VYBER	10500	31837	\N	\N	\N
1101048	3760	1998-11-15	VYDAJ	VYBER	6900	30819	\N	\N	\N
1101054	3760	1993-05-31	VYDAJ	VYBER	15	58280	SLUZBY	\N	\N
1101055	3760	1993-06-30	VYDAJ	VYBER	15	82386	SLUZBY	\N	\N
1101056	3760	1993-07-31	VYDAJ	VYBER	15	93004	SLUZBY	\N	\N
1101057	3760	1993-08-31	VYDAJ	VYBER	15	95153	SLUZBY	\N	\N
1101058	3760	1993-09-30	VYDAJ	VYBER	15	78654	SLUZBY	\N	\N
1101059	3760	1993-10-31	VYDAJ	VYBER	15	99001	SLUZBY	\N	\N
1101060	3760	1993-11-30	VYDAJ	VYBER	15	47314	SLUZBY	\N	\N
1101061	3760	1993-12-31	VYDAJ	VYBER	15	24018	SLUZBY	\N	\N
1101062	3760	1994-01-31	VYDAJ	VYBER	15	20796	SLUZBY	\N	\N
1101063	3760	1994-02-28	VYDAJ	VYBER	15	34888	SLUZBY	\N	\N
1101064	3760	1994-03-31	VYDAJ	VYBER	15	24691	SLUZBY	\N	\N
1101065	3760	1994-04-30	VYDAJ	VYBER	15	27382	SLUZBY	\N	\N
1101066	3760	1994-05-31	VYDAJ	VYBER	15	109837	SLUZBY	\N	\N
1101067	3760	1994-06-30	VYDAJ	VYBER	15	57431	SLUZBY	\N	\N
1101068	3760	1994-07-31	VYDAJ	VYBER	15	38953	SLUZBY	\N	\N
1101069	3760	1994-08-31	VYDAJ	VYBER	15	30099	SLUZBY	\N	\N
1101070	3760	1994-09-30	VYDAJ	VYBER	15	47079	SLUZBY	\N	\N
1101071	3760	1994-10-31	VYDAJ	VYBER	15	74161	SLUZBY	\N	\N
1101072	3760	1994-11-30	VYDAJ	VYBER	15	68735	SLUZBY	\N	\N
1101073	3760	1994-12-31	VYDAJ	VYBER	15	49429	SLUZBY	\N	\N
1101074	3760	1995-01-31	VYDAJ	VYBER	15	24049	SLUZBY	\N	\N
1101075	3760	1995-02-28	VYDAJ	VYBER	15	19832	SLUZBY	\N	\N
1101076	3760	1995-03-31	VYDAJ	VYBER	15	32225	SLUZBY	\N	\N
1101077	3760	1995-04-30	VYDAJ	VYBER	15	32901	SLUZBY	\N	\N
1101078	3760	1995-05-31	VYDAJ	VYBER	15	73110	SLUZBY	\N	\N
1101079	3760	1995-06-30	VYDAJ	VYBER	15	46294	SLUZBY	\N	\N
1101080	3760	1995-07-31	VYDAJ	VYBER	15	56382	SLUZBY	\N	\N
1101081	3760	1995-08-31	VYDAJ	VYBER	15	42500	SLUZBY	\N	\N
1101082	3760	1995-09-30	VYDAJ	VYBER	15	34487	SLUZBY	\N	\N
1101083	3760	1995-10-31	VYDAJ	VYBER	15	25113	SLUZBY	\N	\N
1101084	3760	1995-11-30	VYDAJ	VYBER	15	41738	SLUZBY	\N	\N
1101085	3760	1995-12-31	VYDAJ	VYBER	15	21768	SLUZBY	\N	\N
1101086	3760	1996-01-31	VYDAJ	VYBER	15	34415	SLUZBY	\N	\N
1101087	3760	1996-02-29	VYDAJ	VYBER	15	18545	SLUZBY	\N	\N
1101088	3760	1996-03-31	VYDAJ	VYBER	15	25673	SLUZBY	\N	\N
1101089	3760	1996-04-30	VYDAJ	VYBER	15	34106	SLUZBY	\N	\N
1101090	3760	1996-05-31	VYDAJ	VYBER	15	42004	SLUZBY	\N	\N
1101091	3760	1996-06-30	VYDAJ	VYBER	15	19970	SLUZBY	\N	\N
1101092	3760	1996-07-31	VYDAJ	VYBER	15	20036	SLUZBY	\N	\N
1101093	3760	1996-08-31	VYDAJ	VYBER	15	40611	SLUZBY	\N	\N
1101094	3760	1996-09-30	VYDAJ	VYBER	15	54400	SLUZBY	\N	\N
1101095	3760	1996-10-31	VYDAJ	VYBER	15	36849	SLUZBY	\N	\N
1101096	3760	1996-11-30	VYDAJ	VYBER	15	77243	SLUZBY	\N	\N
1101097	3760	1996-12-31	VYDAJ	VYBER	15	39658	SLUZBY	\N	\N
1101098	3760	1997-01-31	VYDAJ	VYBER	15	36871	SLUZBY	\N	\N
1101099	3760	1997-02-28	VYDAJ	VYBER	15	43814	SLUZBY	\N	\N
1101100	3760	1997-03-31	VYDAJ	VYBER	15	33941	SLUZBY	\N	\N
1101101	3760	1997-04-30	VYDAJ	VYBER	15	35242	SLUZBY	\N	\N
1101102	3760	1997-05-31	VYDAJ	VYBER	15	43028	SLUZBY	\N	\N
1101103	3760	1997-06-30	VYDAJ	VYBER	15	20385	SLUZBY	\N	\N
1101104	3760	1997-07-31	VYDAJ	VYBER	15	20450	SLUZBY	\N	\N
1101105	3760	1997-08-31	VYDAJ	VYBER	15	24787	SLUZBY	\N	\N
1101106	3760	1997-09-30	VYDAJ	VYBER	15	88337	SLUZBY	\N	\N
1101107	3760	1997-10-31	VYDAJ	VYBER	15	78523	SLUZBY	\N	\N
1101108	3760	1997-11-30	VYDAJ	VYBER	15	39080	SLUZBY	\N	\N
1101109	3760	1997-12-31	VYDAJ	VYBER	15	80742	SLUZBY	\N	\N
1101110	3760	1998-01-31	VYDAJ	VYBER	15	55711	SLUZBY	\N	\N
1101111	3760	1998-02-28	VYDAJ	VYBER	15	76830	SLUZBY	\N	\N
1101112	3760	1998-03-31	VYDAJ	VYBER	15	57831	SLUZBY	\N	\N
1101113	3760	1998-04-30	VYDAJ	VYBER	15	31448	SLUZBY	\N	\N
1101114	3760	1998-05-31	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
1101115	3760	1998-06-30	VYDAJ	VYBER	15	30829	SLUZBY	\N	\N
1101116	3760	1998-07-31	VYDAJ	VYBER	15	31949	SLUZBY	\N	\N
1101117	3760	1998-08-31	VYDAJ	VYBER	15	64721	SLUZBY	\N	\N
1101118	3760	1998-09-30	VYDAJ	VYBER	15	80359	SLUZBY	\N	\N
1101119	3760	1998-10-31	VYDAJ	VYBER	15	40767	SLUZBY	\N	\N
1101120	3760	1998-11-30	VYDAJ	VYBER	15	74491	SLUZBY	\N	\N
1101121	3760	1993-02-12	VYDAJ	VYBER	14400	36059	\N	\N	\N
1101122	3760	1993-03-14	VYDAJ	VYBER	5200	30970	\N	\N	\N
1101123	3760	1993-04-13	VYDAJ	VYBER	19800	46120	\N	\N	\N
1101124	3760	1993-05-13	VYDAJ	VYBER	9400	36994	\N	\N	\N
1101125	3760	1993-05-29	VYDAJ	VYBER	59000	110292	\N	\N	\N
1101126	3760	1993-05-29	VYDAJ	VYBER	52300	57992	\N	\N	\N
1101127	3760	1993-06-12	VYDAJ	VYBER	33400	55919	\N	\N	\N
1101128	3760	1993-07-11	VYDAJ	VYBER	54300	76429	\N	\N	\N
1101129	3760	1993-07-12	VYDAJ	VYBER	25500	50929	\N	\N	\N
1101130	3760	1993-08-11	VYDAJ	VYBER	30900	62104	\N	\N	\N
1101131	3760	1993-09-10	VYDAJ	VYBER	28700	60153	\N	\N	\N
1101132	3760	1993-10-10	VYDAJ	VYBER	24100	54554	\N	\N	\N
1101133	3760	1993-10-13	VYDAJ	VYBER	29500	98633	\N	\N	\N
1101134	3760	1993-11-09	VYDAJ	VYBER	34200	64779	\N	\N	\N
1101135	3760	1993-12-09	VYDAJ	VYBER	9900	37414	\N	\N	\N
1101136	3760	1994-01-08	PRIJEM	VKLAD	4200	26118	\N	\N	\N
1101137	3760	1994-02-07	PRIJEM	VKLAD	3000	23796	\N	\N	\N
1101138	3760	1994-03-09	VYDAJ	VYBER	7500	33944	\N	\N	\N
1101139	3760	1994-04-08	VYDAJ	VYBER	17000	44087	\N	\N	\N
1101140	3760	1994-05-08	VYDAJ	VYBER	3100	24282	\N	\N	\N
1101141	3760	1994-06-01	VYDAJ	VYBER	36000	120468	\N	\N	\N
1101142	3760	1994-06-07	VYDAJ	VYBER	50500	69968	\N	\N	\N
1101143	3760	1994-07-07	VYDAJ	VYBER	18700	38731	\N	\N	\N
1101144	3760	1994-08-06	VYDAJ	VYBER	9000	29953	\N	\N	\N
1101145	3760	1994-09-05	VYDAJ	VYBER	19200	36521	\N	\N	\N
1101146	3760	1994-10-05	VYDAJ	VYBER	11100	35979	\N	\N	\N
1101147	3760	1994-10-20	VYDAJ	VYBER	17500	98744	\N	\N	\N
1101148	3760	1994-10-28	VYDAJ	VYBER	62600	73887	\N	\N	\N
1101149	3760	1994-11-04	VYDAJ	VYBER	23500	43999	\N	\N	\N
1101150	3760	1994-12-04	VYDAJ	VYBER	24900	43835	\N	\N	\N
1101151	3760	1995-01-03	VYDAJ	VYBER	15000	34429	\N	\N	\N
1101152	3760	1995-02-02	VYDAJ	VYBER	4300	19749	\N	\N	\N
1101153	3760	1995-03-04	VYDAJ	VYBER	20600	32112	\N	\N	\N
1101154	3760	1995-04-03	VYDAJ	VYBER	9200	23025	\N	\N	\N
1101155	3760	1995-05-03	VYDAJ	VYBER	10700	22201	\N	\N	\N
1101156	3760	1995-06-02	VYDAJ	VYBER	27100	46010	\N	\N	\N
1101157	3760	1995-07-02	VYDAJ	VYBER	17600	28694	\N	\N	\N
1101158	3760	1995-08-01	VYDAJ	VYBER	41200	55513	\N	\N	\N
1101159	3760	1995-08-31	VYDAJ	VYBER	28800	42515	\N	\N	\N
1101160	3760	1995-09-30	VYDAJ	VYBER	17600	34501	\N	\N	\N
1101161	3760	1995-10-30	VYDAJ	VYBER	9500	24987	\N	\N	\N
1101162	3760	1995-11-29	VYDAJ	VYBER	29500	41627	\N	\N	\N
1101163	3760	1995-12-29	VYDAJ	VYBER	12100	21622	\N	\N	\N
1101164	3760	1996-01-28	VYDAJ	VYBER	35500	37065	\N	\N	\N
1101165	3760	1996-02-27	VYDAJ	VYBER	15900	18421	\N	\N	\N
1101166	3760	1996-03-28	VYDAJ	VYBER	15100	25609	\N	\N	\N
1101167	3760	1996-04-27	VYDAJ	VYBER	20300	34004	\N	\N	\N
1101168	3760	1996-05-27	VYDAJ	VYBER	40200	41874	\N	\N	\N
1101169	3760	1996-06-26	VYDAJ	VYBER	14000	19828	\N	\N	\N
1101170	3760	1996-08-25	VYDAJ	VYBER	32300	40471	\N	\N	\N
1101171	3760	1996-09-24	VYDAJ	VYBER	44600	54182	\N	\N	\N
1101172	3760	1996-10-24	VYDAJ	VYBER	40000	40070	\N	\N	\N
1101173	3760	1996-11-23	VYDAJ	VYBER	35500	36819	\N	\N	\N
1101174	3760	1996-12-23	VYDAJ	VYBER	32700	39393	\N	\N	\N
1101175	3760	1997-01-22	VYDAJ	VYBER	31400	36639	\N	\N	\N
1101176	3760	1997-02-21	VYDAJ	VYBER	38400	43624	\N	\N	\N
1101177	3760	1997-03-23	VYDAJ	VYBER	33300	40331	\N	\N	\N
1101178	3760	1997-04-22	VYDAJ	VYBER	24400	35069	\N	\N	\N
1101179	3760	1997-05-22	VYDAJ	VYBER	40300	42890	\N	\N	\N
1101180	3760	1997-06-21	VYDAJ	VYBER	22800	20228	\N	\N	\N
1101181	3760	1997-08-20	VYDAJ	VYBER	20900	24715	\N	\N	\N
1101182	3760	1997-09-19	VYDAJ	VYBER	50300	44926	\N	\N	\N
1101183	3760	1997-10-07	VYDAJ	VYBER	52900	63357	\N	\N	\N
1101184	3760	1997-10-19	VYDAJ	VYBER	53000	56329	\N	\N	\N
1101185	3760	1997-11-14	VYDAJ	VYBER	35700	75646	\N	\N	\N
1101186	3760	1997-11-18	VYDAJ	VYBER	36800	38846	\N	\N	\N
1101187	3760	1997-12-16	VYDAJ	VYBER	47200	71198	\N	\N	\N
1101188	3760	1997-12-18	VYDAJ	VYBER	35500	35698	\N	\N	\N
1101189	3760	1998-01-17	VYDAJ	VYBER	32400	39642	\N	\N	\N
1101190	3760	1998-02-16	VYDAJ	VYBER	24200	31511	\N	\N	\N
1101191	3760	1998-03-18	VYDAJ	VYBER	51400	57568	\N	\N	\N
1101192	3760	1998-04-17	VYDAJ	VYBER	26600	31231	\N	\N	\N
1101193	3760	1998-05-17	VYDAJ	VYBER	10400	21048	\N	\N	\N
1101194	3760	1998-07-16	VYDAJ	VYBER	18800	28034	\N	\N	\N
1101195	3760	1998-08-15	VYDAJ	VYBER	33600	36944	\N	\N	\N
1101196	3760	1998-09-14	VYDAJ	VYBER	31700	37659	\N	\N	\N
1101197	3760	1998-10-14	VYDAJ	VYBER	39900	40459	\N	\N	\N
1101198	3760	1998-11-13	VYDAJ	VYBER	27200	37719	\N	\N	\N
1101199	3760	1998-12-11	VYDAJ	VYBER	16200	110208	\N	\N	\N
1101200	3760	1998-12-13	VYDAJ	VYBER	47800	55808	\N	\N	\N
1101201	3760	1998-12-18	VYDAJ	VYBER	26300	96438	\N	\N	\N
1101703	3763	1995-08-23	PRIJEM	VKLAD	800	800	\N	\N	\N
1101712	3763	1995-09-11	PRIJEM	VKLAD	10283	11083	\N	\N	\N
1101713	3763	1995-10-11	PRIJEM	VKLAD	10283	29891	\N	\N	\N
1101714	3763	1995-11-11	PRIJEM	VKLAD	10283	36864	\N	\N	\N
1101715	3763	1995-12-11	PRIJEM	VKLAD	15424	46104	\N	\N	\N
1101716	3763	1996-01-11	PRIJEM	VKLAD	10283	48225	\N	\N	\N
1101717	3763	1996-02-11	PRIJEM	VKLAD	10283	33986	\N	\N	\N
1101718	3763	1996-03-11	PRIJEM	VKLAD	10283	34417	\N	\N	\N
1101719	3763	1996-04-11	PRIJEM	VKLAD	10283	36252	\N	\N	\N
1101720	3763	1996-05-11	PRIJEM	VKLAD	10283	35993	\N	\N	\N
1101721	3763	1996-06-11	PRIJEM	VKLAD	15424	39570	\N	\N	\N
1101722	3763	1996-07-11	PRIJEM	VKLAD	10283	21897	\N	\N	\N
1101723	3763	1996-08-11	PRIJEM	VKLAD	10283	25683	\N	\N	\N
1101724	3763	1996-09-11	PRIJEM	VKLAD	10283	31088	\N	\N	\N
1101725	3763	1996-10-11	PRIJEM	VKLAD	10283	32106	\N	\N	\N
1101726	3763	1996-11-11	PRIJEM	VKLAD	10283	32528	\N	\N	\N
1101727	3763	1996-12-11	PRIJEM	VKLAD	15424	36892	\N	\N	\N
1101728	3763	1997-01-11	PRIJEM	VKLAD	10283	31224	\N	\N	\N
1101729	3763	1997-02-11	PRIJEM	VKLAD	10283	23739	\N	\N	\N
1101730	3763	1997-03-11	PRIJEM	VKLAD	10283	26932	\N	\N	\N
1101731	3763	1997-04-11	PRIJEM	VKLAD	10283	24430	\N	\N	\N
1101732	3763	1997-05-11	PRIJEM	VKLAD	10283	27329	\N	\N	\N
1101733	3763	1997-06-11	PRIJEM	VKLAD	15424	38283	\N	\N	\N
1101734	3763	1997-07-11	PRIJEM	VKLAD	10283	32111	\N	\N	\N
1101735	3763	1997-08-11	PRIJEM	VKLAD	10283	34044	\N	\N	\N
1101736	3763	1997-09-11	PRIJEM	VKLAD	10283	31876	\N	\N	\N
1101737	3763	1997-10-11	PRIJEM	VKLAD	10283	31301	\N	\N	\N
1101738	3763	1997-11-11	PRIJEM	VKLAD	10283	34922	\N	\N	\N
1101739	3763	1997-12-11	PRIJEM	VKLAD	15424	39999	\N	\N	\N
1101740	3763	1998-01-11	PRIJEM	VKLAD	10283	35657	\N	\N	\N
1101741	3763	1998-02-11	PRIJEM	VKLAD	10283	23481	\N	\N	\N
1101742	3763	1998-03-11	PRIJEM	VKLAD	10283	31974	\N	\N	\N
1101743	3763	1998-04-11	PRIJEM	VKLAD	10283	30194	\N	\N	\N
1101744	3763	1998-05-11	PRIJEM	VKLAD	10283	27519	\N	\N	\N
1101745	3763	1998-06-11	PRIJEM	VKLAD	15424	32175	\N	\N	\N
1101746	3763	1998-07-11	PRIJEM	VKLAD	10283	27398	\N	\N	\N
1101747	3763	1998-08-11	PRIJEM	VKLAD	10283	29907	\N	\N	\N
1101748	3763	1998-09-11	PRIJEM	VKLAD	10283	34123	\N	\N	\N
1101749	3763	1998-10-11	PRIJEM	VKLAD	10283	29956	\N	\N	\N
1101750	3763	1998-11-11	PRIJEM	VKLAD	10283	28672	\N	\N	\N
1101751	3763	1998-12-11	PRIJEM	VKLAD	15424	32628	\N	\N	\N
1101765	3763	1996-02-10	VYDAJ	PREVOD NA UCET	3232	23703	SIPO	AB	57082331
1101766	3763	1996-03-10	VYDAJ	PREVOD NA UCET	3232	24134	SIPO	AB	57082331
1101767	3763	1996-04-10	VYDAJ	PREVOD NA UCET	3232	25969	SIPO	AB	57082331
1101768	3763	1996-05-10	VYDAJ	PREVOD NA UCET	3232	25710	SIPO	AB	57082331
1101769	3763	1996-06-10	VYDAJ	PREVOD NA UCET	3232	24146	SIPO	AB	57082331
1101770	3763	1996-07-10	VYDAJ	PREVOD NA UCET	3232	11614	SIPO	AB	57082331
1101771	3763	1996-08-10	VYDAJ	PREVOD NA UCET	3232	15400	SIPO	AB	57082331
1101772	3763	1996-09-10	VYDAJ	PREVOD NA UCET	3232	20805	SIPO	AB	57082331
1101773	3763	1996-10-10	VYDAJ	PREVOD NA UCET	3232	21823	SIPO	AB	57082331
1101774	3763	1996-11-10	VYDAJ	PREVOD NA UCET	3232	22245	SIPO	AB	57082331
1101775	3763	1996-12-10	VYDAJ	PREVOD NA UCET	3232	21468	SIPO	AB	57082331
1101776	3763	1997-01-10	VYDAJ	PREVOD NA UCET	3232	20941	SIPO	AB	57082331
1101777	3763	1997-02-10	VYDAJ	PREVOD NA UCET	3232	13456	SIPO	AB	57082331
1101778	3763	1997-03-10	VYDAJ	PREVOD NA UCET	3232	16649	SIPO	AB	57082331
1101779	3763	1997-04-10	VYDAJ	PREVOD NA UCET	3232	14147	SIPO	AB	57082331
1101780	3763	1997-05-10	VYDAJ	PREVOD NA UCET	3232	17046	SIPO	AB	57082331
1101781	3763	1997-06-10	VYDAJ	PREVOD NA UCET	3232	22859	SIPO	AB	57082331
1101782	3763	1997-07-10	VYDAJ	PREVOD NA UCET	3232	21828	SIPO	AB	57082331
1101783	3763	1997-08-10	VYDAJ	PREVOD NA UCET	3232	23761	SIPO	AB	57082331
1101784	3763	1997-09-10	VYDAJ	PREVOD NA UCET	3232	21593	SIPO	AB	57082331
1101785	3763	1997-10-10	VYDAJ	PREVOD NA UCET	3232	21018	SIPO	AB	57082331
1101786	3763	1997-11-10	VYDAJ	PREVOD NA UCET	3232	24639	SIPO	AB	57082331
1101787	3763	1997-12-10	VYDAJ	PREVOD NA UCET	3232	24575	SIPO	AB	57082331
1101788	3763	1998-01-10	VYDAJ	PREVOD NA UCET	3232	25374	SIPO	AB	57082331
1101789	3763	1998-02-10	VYDAJ	PREVOD NA UCET	3232	13198	SIPO	AB	57082331
1101790	3763	1998-03-10	VYDAJ	PREVOD NA UCET	3232	21691	SIPO	AB	57082331
1101791	3763	1998-04-10	VYDAJ	PREVOD NA UCET	3232	19911	SIPO	AB	57082331
1101792	3763	1998-05-10	VYDAJ	PREVOD NA UCET	3232	17236	SIPO	AB	57082331
1101793	3763	1998-06-10	VYDAJ	PREVOD NA UCET	3232	16751	SIPO	AB	57082331
1101794	3763	1998-07-10	VYDAJ	PREVOD NA UCET	3232	17115	SIPO	AB	57082331
1101795	3763	1998-08-10	VYDAJ	PREVOD NA UCET	3232	19624	SIPO	AB	57082331
1101796	3763	1998-09-10	VYDAJ	PREVOD NA UCET	3232	23840	SIPO	AB	57082331
1101797	3763	1998-10-10	VYDAJ	PREVOD NA UCET	3232	19673	SIPO	AB	57082331
1101798	3763	1998-11-10	VYDAJ	PREVOD NA UCET	3232	18389	SIPO	AB	57082331
1101799	3763	1998-12-10	VYDAJ	PREVOD NA UCET	3232	17204	SIPO	AB	57082331
1101812	3763	1996-01-12	VYDAJ	PREVOD NA UCET	3623	44602	 	IJ	55779212
1101813	3763	1996-02-12	VYDAJ	PREVOD NA UCET	3623	30363	 	IJ	55779212
1101814	3763	1996-03-12	VYDAJ	PREVOD NA UCET	3623	30794	 	IJ	55779212
1101815	3763	1996-04-12	VYDAJ	PREVOD NA UCET	3623	32629	 	IJ	55779212
1101816	3763	1996-05-12	VYDAJ	PREVOD NA UCET	3623	32370	 	IJ	55779212
1101817	3763	1996-06-12	VYDAJ	PREVOD NA UCET	3623	35947	 	IJ	55779212
1101818	3763	1996-07-12	VYDAJ	PREVOD NA UCET	3623	18274	 	IJ	55779212
1101819	3763	1996-08-12	VYDAJ	PREVOD NA UCET	3623	22060	 	IJ	55779212
1101820	3763	1996-09-12	VYDAJ	PREVOD NA UCET	3623	27465	 	IJ	55779212
1101821	3763	1996-10-12	VYDAJ	PREVOD NA UCET	3623	28483	 	IJ	55779212
1101822	3763	1996-11-12	VYDAJ	PREVOD NA UCET	3623	28905	 	IJ	55779212
1101823	3763	1996-12-12	VYDAJ	PREVOD NA UCET	3623	33269	 	IJ	55779212
1101824	3763	1997-01-12	VYDAJ	PREVOD NA UCET	3623	27601	 	IJ	55779212
1101825	3763	1997-02-12	VYDAJ	PREVOD NA UCET	3623	15916	 	IJ	55779212
1101826	3763	1997-03-12	VYDAJ	PREVOD NA UCET	3623	23309	 	IJ	55779212
1101827	3763	1997-04-12	VYDAJ	PREVOD NA UCET	3623	20807	 	IJ	55779212
1101828	3763	1997-05-12	VYDAJ	PREVOD NA UCET	3623	23706	 	IJ	55779212
1101829	3763	1997-06-12	VYDAJ	PREVOD NA UCET	3623	34660	 	IJ	55779212
1101830	3763	1997-07-12	VYDAJ	PREVOD NA UCET	3623	28488	 	IJ	55779212
1101831	3763	1997-08-12	VYDAJ	PREVOD NA UCET	3623	30421	 	IJ	55779212
1101832	3763	1997-09-12	VYDAJ	PREVOD NA UCET	3623	27953	 	IJ	55779212
1101833	3763	1997-10-12	VYDAJ	PREVOD NA UCET	3623	25178	 	IJ	55779212
1101834	3763	1997-11-12	VYDAJ	PREVOD NA UCET	3623	31299	 	IJ	55779212
1101835	3763	1997-12-12	VYDAJ	PREVOD NA UCET	3623	36376	 	IJ	55779212
1101836	3763	1998-01-12	VYDAJ	PREVOD NA UCET	3623	28034	 	IJ	55779212
1101837	3763	1998-02-12	VYDAJ	PREVOD NA UCET	3623	19858	 	IJ	55779212
1101838	3763	1998-03-12	VYDAJ	PREVOD NA UCET	3623	28351	 	IJ	55779212
1101839	3763	1998-04-12	VYDAJ	PREVOD NA UCET	3623	26571	 	IJ	55779212
1101840	3763	1998-05-12	VYDAJ	PREVOD NA UCET	3623	23896	 	IJ	55779212
1101841	3763	1998-06-12	VYDAJ	PREVOD NA UCET	3623	28552	 	IJ	55779212
1101842	3763	1998-07-12	VYDAJ	PREVOD NA UCET	3623	23775	 	IJ	55779212
1101843	3763	1998-08-12	VYDAJ	PREVOD NA UCET	3623	26284	 	IJ	55779212
1101844	3763	1998-09-12	VYDAJ	PREVOD NA UCET	3623	30500	 	IJ	55779212
1101845	3763	1998-10-12	VYDAJ	PREVOD NA UCET	3623	26333	 	IJ	55779212
1101846	3763	1998-11-12	VYDAJ	PREVOD NA UCET	3623	25049	 	IJ	55779212
1101847	3763	1998-12-12	VYDAJ	PREVOD NA UCET	3623	29005	 	IJ	55779212
1101849	3763	1996-06-25	VYDAJ	VYBER	13700	14747	\N	\N	\N
1101850	3763	1997-06-20	VYDAJ	VYBER	6200	24960	\N	\N	\N
1101851	3763	1998-06-29	VYDAJ	VYBER	6900	21652	\N	\N	\N
1101853	3763	1996-01-17	VYDAJ	VYBER	8400	35502	\N	\N	\N
1101854	3763	1997-01-01	VYDAJ	VYBER	4400	25173	\N	\N	\N
1101855	3763	1998-01-12	VYDAJ	VYBER	4000	31657	\N	\N	\N
1101862	3763	1996-01-30	VYDAJ	VYBER	1200	26802	\N	\N	\N
1101863	3763	1996-01-23	VYDAJ	VYBER	2500	28902	\N	\N	\N
1101864	3763	1996-01-30	VYDAJ	VYBER	900	28002	\N	\N	\N
1101865	3763	1996-01-13	VYDAJ	VYBER	700	43902	\N	\N	\N
1101867	3763	1996-01-20	VYDAJ	VYBER	2800	32702	\N	\N	\N
1101868	3763	1997-01-07	VYDAJ	VYBER	1000	24173	\N	\N	\N
1101869	3763	1997-01-26	VYDAJ	VYBER	2800	19001	\N	\N	\N
1101870	3763	1997-01-17	VYDAJ	VYBER	1400	25201	\N	\N	\N
1101871	3763	1997-01-24	VYDAJ	VYBER	2500	21801	\N	\N	\N
1101872	3763	1997-01-21	VYDAJ	VYBER	900	24301	\N	\N	\N
1101873	3763	1997-01-28	VYDAJ	VYBER	2400	16601	\N	\N	\N
1101874	3763	1998-01-24	VYDAJ	VYBER	2500	20534	\N	\N	\N
1101875	3763	1998-01-17	VYDAJ	VYBER	2400	23834	\N	\N	\N
1101876	3763	1998-01-03	VYDAJ	VYBER	1400	35106	\N	\N	\N
1101877	3763	1998-01-20	VYDAJ	VYBER	800	23034	\N	\N	\N
1101878	3763	1998-01-27	VYDAJ	VYBER	2000	18534	\N	\N	\N
1101879	3763	1998-01-12	VYDAJ	VYBER	1800	26234	\N	\N	\N
1101886	3763	1996-11-20	VYDAJ	VYBER	3600	25205	\N	\N	\N
1101887	3763	1996-05-04	VYDAJ	VYBER	1200	28942	\N	\N	\N
1101889	3763	1996-11-29	VYDAJ	VYBER	600	24605	\N	\N	\N
1101890	3763	1996-06-20	VYDAJ	VYBER	2500	28447	\N	\N	\N
1101891	3763	1997-04-21	VYDAJ	VYBER	4300	20207	\N	\N	\N
1101892	3763	1997-03-06	VYDAJ	VYBER	600	19881	\N	\N	\N
1101893	3763	1997-02-11	VYDAJ	VYBER	4200	19539	\N	\N	\N
1101894	3763	1997-03-24	VYDAJ	VYBER	4800	17309	\N	\N	\N
1101895	3763	1997-10-03	VYDAJ	VYBER	3800	24250	\N	\N	\N
1101896	3763	1997-08-02	VYDAJ	VYBER	3800	26993	\N	\N	\N
1101897	3763	1997-08-23	VYDAJ	VYBER	4900	24721	\N	\N	\N
1101898	3763	1998-08-05	VYDAJ	VYBER	500	23356	\N	\N	\N
1101899	3763	1998-08-15	VYDAJ	VYBER	700	25584	\N	\N	\N
1101900	3763	1998-10-01	VYDAJ	VYBER	3600	27005	\N	\N	\N
1101901	3763	1998-02-02	VYDAJ	VYBER	500	18130	\N	\N	\N
1101902	3763	1998-10-16	VYDAJ	VYBER	2900	23433	\N	\N	\N
1101916	3763	1996-01-31	VYDAJ	VYBER	15	26935	SLUZBY	\N	\N
1101917	3763	1996-02-29	VYDAJ	VYBER	15	27366	SLUZBY	\N	\N
1101918	3763	1996-03-31	VYDAJ	VYBER	15	29201	SLUZBY	\N	\N
1101919	3763	1996-04-30	VYDAJ	VYBER	15	30142	SLUZBY	\N	\N
1101920	3763	1996-05-31	VYDAJ	VYBER	15	27378	SLUZBY	\N	\N
1101921	3763	1996-06-30	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
1101922	3763	1996-07-31	VYDAJ	VYBER	15	18632	SLUZBY	\N	\N
1101923	3763	1996-08-31	VYDAJ	VYBER	15	24037	SLUZBY	\N	\N
1101924	3763	1996-09-30	VYDAJ	VYBER	15	25055	SLUZBY	\N	\N
1101925	3763	1996-10-31	VYDAJ	VYBER	15	25477	SLUZBY	\N	\N
1101926	3763	1996-11-30	VYDAJ	VYBER	15	24700	SLUZBY	\N	\N
1101927	3763	1996-12-31	VYDAJ	VYBER	15	29573	SLUZBY	\N	\N
1101928	3763	1997-01-31	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
1101929	3763	1997-02-28	VYDAJ	VYBER	15	20481	SLUZBY	\N	\N
1101930	3763	1997-03-31	VYDAJ	VYBER	15	17379	SLUZBY	\N	\N
1101931	3763	1997-04-30	VYDAJ	VYBER	15	20278	SLUZBY	\N	\N
1101932	3763	1997-05-31	VYDAJ	VYBER	15	26091	SLUZBY	\N	\N
1101933	3763	1997-06-30	VYDAJ	VYBER	15	25060	SLUZBY	\N	\N
1101934	3763	1997-07-31	VYDAJ	VYBER	15	30793	SLUZBY	\N	\N
1101935	3763	1997-08-31	VYDAJ	VYBER	15	24825	SLUZBY	\N	\N
1101936	3763	1997-09-30	VYDAJ	VYBER	15	28050	SLUZBY	\N	\N
1101937	3763	1997-10-31	VYDAJ	VYBER	15	25271	SLUZBY	\N	\N
1101938	3763	1997-11-30	VYDAJ	VYBER	15	31407	SLUZBY	\N	\N
1101939	3763	1997-12-31	VYDAJ	VYBER	15	36506	SLUZBY	\N	\N
1101940	3763	1998-01-31	VYDAJ	VYBER	15	18630	SLUZBY	\N	\N
1101941	3763	1998-02-28	VYDAJ	VYBER	15	19923	SLUZBY	\N	\N
1101942	3763	1998-03-31	VYDAJ	VYBER	15	28443	SLUZBY	\N	\N
1101943	3763	1998-04-30	VYDAJ	VYBER	15	26668	SLUZBY	\N	\N
1101944	3763	1998-05-31	VYDAJ	VYBER	15	23983	SLUZBY	\N	\N
1101945	3763	1998-06-30	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
1101946	3763	1998-07-31	VYDAJ	VYBER	15	23856	SLUZBY	\N	\N
1101947	3763	1998-08-31	VYDAJ	VYBER	15	25672	SLUZBY	\N	\N
1101948	3763	1998-09-30	VYDAJ	VYBER	15	30605	SLUZBY	\N	\N
1101949	3763	1998-10-31	VYDAJ	VYBER	15	23521	SLUZBY	\N	\N
1101950	3763	1998-11-30	VYDAJ	VYBER	15	25136	SLUZBY	\N	\N
1101951	3763	1995-09-22	PRIJEM	VKLAD	8500	19583	\N	\N	\N
1101952	3763	1995-10-22	VYDAJ	VYBER	3400	26491	\N	\N	\N
1101953	3763	1995-11-21	VYDAJ	VYBER	6300	30564	\N	\N	\N
1101954	3763	1995-12-21	VYDAJ	VYBER	8300	37804	\N	\N	\N
1101955	3763	1996-01-20	VYDAJ	VYBER	1300	31402	\N	\N	\N
1101956	3763	1996-02-19	VYDAJ	VYBER	3100	27263	\N	\N	\N
1101957	3763	1996-03-20	VYDAJ	VYBER	1700	29094	\N	\N	\N
1101958	3763	1996-04-19	VYDAJ	VYBER	2600	30029	\N	\N	\N
1101959	3763	1996-05-19	VYDAJ	VYBER	5100	27270	\N	\N	\N
1101960	3763	1996-06-18	VYDAJ	VYBER	5000	30947	\N	\N	\N
1101961	3763	1996-07-18	PRIJEM	VKLAD	300	18574	\N	\N	\N
1101962	3763	1996-08-17	PRIJEM	VKLAD	1900	23960	\N	\N	\N
1101963	3763	1996-09-16	VYDAJ	VYBER	2500	24965	\N	\N	\N
1101964	3763	1996-10-16	VYDAJ	VYBER	3100	25383	\N	\N	\N
1101965	3763	1996-11-15	VYDAJ	VYBER	100	28805	\N	\N	\N
1101966	3763	1996-12-15	VYDAJ	VYBER	3800	29469	\N	\N	\N
1101967	3763	1997-01-14	VYDAJ	VYBER	1000	26601	\N	\N	\N
1101968	3763	1997-02-13	PRIJEM	VKLAD	4500	20416	\N	\N	\N
1101969	3763	1997-03-15	VYDAJ	VYBER	1200	22109	\N	\N	\N
1101970	3763	1997-04-14	PRIJEM	VKLAD	3700	24507	\N	\N	\N
1101971	3763	1997-05-14	PRIJEM	VKLAD	2300	26006	\N	\N	\N
1101972	3763	1997-06-13	VYDAJ	VYBER	3500	31160	\N	\N	\N
1101973	3763	1997-07-13	PRIJEM	VKLAD	2200	30688	\N	\N	\N
1101974	3763	1997-08-12	VYDAJ	VYBER	800	29621	\N	\N	\N
1101975	3763	1997-09-11	VYDAJ	VYBER	300	31576	\N	\N	\N
1101976	3763	1997-10-11	VYDAJ	VYBER	2500	28801	\N	\N	\N
1101977	3763	1997-11-10	PRIJEM	VKLAD	2600	27871	\N	\N	\N
1101978	3763	1997-12-10	VYDAJ	VYBER	3600	27807	\N	\N	\N
1101979	3763	1998-01-09	VYDAJ	VYBER	6500	28606	\N	\N	\N
1101980	3763	1998-02-08	VYDAJ	VYBER	1700	16430	\N	\N	\N
1101981	3763	1998-03-10	PRIJEM	VKLAD	5000	24923	\N	\N	\N
1101982	3763	1998-04-09	VYDAJ	VYBER	5300	23143	\N	\N	\N
1101983	3763	1998-05-09	VYDAJ	VYBER	6200	20468	\N	\N	\N
1101984	3763	1998-06-08	VYDAJ	VYBER	4000	19983	\N	\N	\N
1101985	3763	1998-07-08	VYDAJ	VYBER	1400	20347	\N	\N	\N
1101986	3763	1998-08-07	VYDAJ	VYBER	500	22856	\N	\N	\N
1101987	3763	1998-09-06	PRIJEM	VKLAD	1400	27072	\N	\N	\N
1101988	3763	1998-10-06	VYDAJ	VYBER	4100	22905	\N	\N	\N
1101989	3763	1998-11-05	VYDAJ	VYBER	1900	21621	\N	\N	\N
1101990	3763	1998-12-05	VYDAJ	VYBER	4700	20436	\N	\N	\N
1102031	3764	1995-11-05	PRIJEM	VKLAD	900	900	\N	\N	\N
1102042	3764	1995-11-10	PRIJEM	PREVOD Z UCTU	3911	4811	\N	QR	73373335
1102043	3764	1995-12-10	PRIJEM	PREVOD Z UCTU	3911	21036	\N	QR	73373335
1102044	3764	1996-01-10	PRIJEM	PREVOD Z UCTU	3911	27915	\N	QR	73373335
1102045	3764	1996-02-10	PRIJEM	PREVOD Z UCTU	3911	29734	\N	QR	73373335
1102046	3764	1996-03-10	PRIJEM	PREVOD Z UCTU	3911	31567	\N	QR	73373335
1102047	3764	1996-04-10	PRIJEM	PREVOD Z UCTU	3911	32879	\N	QR	73373335
1102048	3764	1996-05-10	PRIJEM	PREVOD Z UCTU	3911	36995	\N	QR	73373335
1102049	3764	1996-06-10	PRIJEM	PREVOD Z UCTU	3911	38625	\N	QR	73373335
1102050	3764	1996-07-10	PRIJEM	PREVOD Z UCTU	3911	32258	\N	QR	73373335
1102051	3764	1996-08-10	PRIJEM	PREVOD Z UCTU	3911	36370	\N	QR	73373335
1102052	3764	1996-09-10	PRIJEM	PREVOD Z UCTU	3911	41498	\N	QR	73373335
1102053	3764	1996-10-10	PRIJEM	PREVOD Z UCTU	3911	41148	\N	QR	73373335
1102054	3764	1996-11-10	PRIJEM	PREVOD Z UCTU	3911	38379	\N	QR	73373335
1102055	3764	1996-12-10	PRIJEM	PREVOD Z UCTU	3911	39418	\N	QR	73373335
1102056	3764	1997-01-10	PRIJEM	PREVOD Z UCTU	3911	35207	\N	QR	73373335
1102057	3764	1997-02-10	PRIJEM	PREVOD Z UCTU	3911	36061	\N	QR	73373335
1102058	3764	1997-03-10	PRIJEM	PREVOD Z UCTU	3911	34338	\N	QR	73373335
1102059	3764	1997-04-10	PRIJEM	PREVOD Z UCTU	3911	36061	\N	QR	73373335
1102060	3764	1997-05-10	PRIJEM	PREVOD Z UCTU	3911	41691	\N	QR	73373335
1102061	3764	1997-06-10	PRIJEM	PREVOD Z UCTU	3911	42140	\N	QR	73373335
1102062	3764	1997-07-10	PRIJEM	PREVOD Z UCTU	3911	40370	\N	QR	73373335
1102063	3764	1997-08-10	PRIJEM	PREVOD Z UCTU	3911	41615	\N	QR	73373335
1102064	3764	1997-09-10	PRIJEM	PREVOD Z UCTU	3911	46569	\N	QR	73373335
1102065	3764	1997-10-10	PRIJEM	PREVOD Z UCTU	3911	46039	\N	QR	73373335
1102066	3764	1997-11-10	PRIJEM	PREVOD Z UCTU	3911	46007	\N	QR	73373335
1102067	3764	1997-12-10	PRIJEM	PREVOD Z UCTU	3911	46575	\N	QR	73373335
1102068	3764	1998-01-10	PRIJEM	PREVOD Z UCTU	3911	41471	\N	QR	73373335
1102069	3764	1998-02-10	PRIJEM	PREVOD Z UCTU	3911	41288	\N	QR	73373335
1102070	3764	1998-03-10	PRIJEM	PREVOD Z UCTU	3911	41767	\N	QR	73373335
1102071	3764	1998-04-10	PRIJEM	PREVOD Z UCTU	3911	39815	\N	QR	73373335
1102072	3764	1998-05-10	PRIJEM	PREVOD Z UCTU	3911	37454	\N	QR	73373335
1102073	3764	1998-06-10	PRIJEM	PREVOD Z UCTU	3911	33855	\N	QR	73373335
1102074	3764	1998-07-10	PRIJEM	PREVOD Z UCTU	3911	31873	\N	QR	73373335
1102075	3764	1998-08-10	PRIJEM	PREVOD Z UCTU	3911	27226	\N	QR	73373335
1102076	3764	1998-09-10	PRIJEM	PREVOD Z UCTU	3911	29369	\N	QR	73373335
1102077	3764	1998-10-10	PRIJEM	PREVOD Z UCTU	3911	31261	\N	QR	73373335
1102078	3764	1998-11-10	PRIJEM	PREVOD Z UCTU	3911	35472	\N	QR	73373335
1102079	3764	1998-12-10	PRIJEM	PREVOD Z UCTU	3911	35545	\N	QR	73373335
1102094	3764	1996-03-11	VYDAJ	PREVOD NA UCET	2506	29061	SIPO	CD	8085334
1102095	3764	1996-04-11	VYDAJ	PREVOD NA UCET	2506	30373	SIPO	CD	8085334
1102096	3764	1996-05-11	VYDAJ	PREVOD NA UCET	2506	34489	SIPO	CD	8085334
1102097	3764	1996-06-11	VYDAJ	PREVOD NA UCET	2506	36119	SIPO	CD	8085334
1102098	3764	1996-07-11	VYDAJ	PREVOD NA UCET	2506	29752	SIPO	CD	8085334
1102099	3764	1996-08-11	VYDAJ	PREVOD NA UCET	2506	33864	SIPO	CD	8085334
1102100	3764	1996-09-11	VYDAJ	PREVOD NA UCET	2506	38992	SIPO	CD	8085334
1102101	3764	1996-10-11	VYDAJ	PREVOD NA UCET	2506	38642	SIPO	CD	8085334
1102102	3764	1996-11-11	VYDAJ	PREVOD NA UCET	2506	35873	SIPO	CD	8085334
1102103	3764	1996-12-11	VYDAJ	PREVOD NA UCET	2506	36912	SIPO	CD	8085334
1102104	3764	1997-01-11	VYDAJ	PREVOD NA UCET	2506	32701	SIPO	CD	8085334
1102105	3764	1997-02-11	VYDAJ	PREVOD NA UCET	2506	33555	SIPO	CD	8085334
1102106	3764	1997-03-11	VYDAJ	PREVOD NA UCET	2506	31832	SIPO	CD	8085334
1102107	3764	1997-04-11	VYDAJ	PREVOD NA UCET	2506	33555	SIPO	CD	8085334
1102108	3764	1997-05-11	VYDAJ	PREVOD NA UCET	2506	39185	SIPO	CD	8085334
1102109	3764	1997-06-11	VYDAJ	PREVOD NA UCET	2506	39634	SIPO	CD	8085334
1102110	3764	1997-07-11	VYDAJ	PREVOD NA UCET	2506	37864	SIPO	CD	8085334
1102111	3764	1997-08-11	VYDAJ	PREVOD NA UCET	2506	39109	SIPO	CD	8085334
1102112	3764	1997-09-11	VYDAJ	PREVOD NA UCET	2506	44063	SIPO	CD	8085334
1102113	3764	1997-10-11	VYDAJ	PREVOD NA UCET	2506	43533	SIPO	CD	8085334
1102114	3764	1997-11-11	VYDAJ	PREVOD NA UCET	2506	43501	SIPO	CD	8085334
1102115	3764	1997-12-11	VYDAJ	PREVOD NA UCET	2506	44069	SIPO	CD	8085334
1102116	3764	1998-01-11	VYDAJ	PREVOD NA UCET	2506	38965	SIPO	CD	8085334
1102117	3764	1998-02-11	VYDAJ	PREVOD NA UCET	2506	38782	SIPO	CD	8085334
1102118	3764	1998-03-11	VYDAJ	PREVOD NA UCET	2506	39261	SIPO	CD	8085334
1102119	3764	1998-04-11	VYDAJ	PREVOD NA UCET	2506	37309	SIPO	CD	8085334
1102120	3764	1998-05-11	VYDAJ	PREVOD NA UCET	2506	34948	SIPO	CD	8085334
1102121	3764	1998-06-11	VYDAJ	PREVOD NA UCET	2506	31349	SIPO	CD	8085334
1102122	3764	1998-07-11	VYDAJ	PREVOD NA UCET	2506	29367	SIPO	CD	8085334
1102123	3764	1998-08-11	VYDAJ	PREVOD NA UCET	2506	24720	SIPO	CD	8085334
1102124	3764	1998-09-11	VYDAJ	PREVOD NA UCET	2506	26863	SIPO	CD	8085334
1102125	3764	1998-10-11	VYDAJ	PREVOD NA UCET	2506	28755	SIPO	CD	8085334
1102126	3764	1998-11-11	VYDAJ	PREVOD NA UCET	2506	32966	SIPO	CD	8085334
1102127	3764	1998-12-11	VYDAJ	PREVOD NA UCET	2506	33039	SIPO	CD	8085334
1102129	3764	1996-06-18	VYDAJ	VYBER	8400	27719	\N	\N	\N
1102130	3764	1997-06-18	VYDAJ	VYBER	7170	31024	\N	\N	\N
1102131	3764	1998-06-04	VYDAJ	VYBER	3330	29944	\N	\N	\N
1102134	3764	1997-01-14	VYDAJ	VYBER	2250	29431	\N	\N	\N
1102135	3764	1998-01-13	VYDAJ	VYBER	960	37525	\N	\N	\N
1102137	3764	1996-12-28	VYDAJ	VYBER	630	34962	\N	\N	\N
1102138	3764	1997-12-28	VYDAJ	VYBER	330	38539	\N	\N	\N
1102139	3764	1998-12-06	VYDAJ	VYBER	450	31634	\N	\N	\N
1102152	3764	1997-01-13	VYDAJ	VYBER	480	32011	\N	\N	\N
1102153	3764	1997-01-02	VYDAJ	VYBER	240	32856	\N	\N	\N
1102154	3764	1997-01-14	VYDAJ	VYBER	330	31681	\N	\N	\N
1102155	3764	1997-01-02	VYDAJ	VYBER	870	31296	\N	\N	\N
1102156	3764	1997-01-13	VYDAJ	VYBER	210	32491	\N	\N	\N
1102157	3764	1997-01-02	VYDAJ	VYBER	690	32166	\N	\N	\N
1102158	3764	1998-01-05	VYDAJ	VYBER	390	38010	\N	\N	\N
1102159	3764	1998-01-12	VYDAJ	VYBER	480	38485	\N	\N	\N
1102160	3764	1998-01-05	VYDAJ	VYBER	180	37830	\N	\N	\N
1102161	3764	1998-01-07	VYDAJ	VYBER	270	37560	\N	\N	\N
1102162	3764	1998-01-26	VYDAJ	VYBER	690	37235	\N	\N	\N
1102163	3764	1998-01-02	VYDAJ	VYBER	300	38400	\N	\N	\N
1102171	3764	1996-06-19	VYDAJ	VYBER	390	27329	\N	\N	\N
1102172	3764	1996-11-07	VYDAJ	VYBER	420	34468	\N	\N	\N
1102174	3764	1996-12-21	VYDAJ	VYBER	1320	35592	\N	\N	\N
1102176	3764	1997-02-26	VYDAJ	VYBER	930	32625	\N	\N	\N
1102177	3764	1997-03-06	VYDAJ	VYBER	1020	30427	\N	\N	\N
1102178	3764	1997-06-13	VYDAJ	VYBER	1440	38194	\N	\N	\N
1102179	3764	1997-05-19	VYDAJ	VYBER	1200	37985	\N	\N	\N
1102180	3764	1998-09-27	VYDAJ	VYBER	360	28303	\N	\N	\N
1102181	3764	1998-02-22	VYDAJ	VYBER	1170	37712	\N	\N	\N
1102182	3764	1998-08-08	VYDAJ	VYBER	1050	23315	\N	\N	\N
1102183	3764	1998-09-28	VYDAJ	VYBER	1050	27253	\N	\N	\N
1102184	3764	1998-08-27	VYDAJ	VYBER	150	25370	\N	\N	\N
1102185	3764	1998-08-23	VYDAJ	VYBER	900	25520	\N	\N	\N
1102201	3764	1996-03-31	VYDAJ	VYBER	15	29168	SLUZBY	\N	\N
1102202	3764	1996-04-30	VYDAJ	VYBER	15	30484	SLUZBY	\N	\N
1102203	3764	1996-05-31	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
1102204	3764	1996-06-30	VYDAJ	VYBER	15	27447	SLUZBY	\N	\N
1102205	3764	1996-07-31	VYDAJ	VYBER	15	29859	SLUZBY	\N	\N
1102206	3764	1996-08-31	VYDAJ	VYBER	15	37587	SLUZBY	\N	\N
1102207	3764	1996-09-30	VYDAJ	VYBER	15	39137	SLUZBY	\N	\N
1102208	3764	1996-10-31	VYDAJ	VYBER	15	34888	SLUZBY	\N	\N
1102209	3764	1996-11-30	VYDAJ	VYBER	15	35507	SLUZBY	\N	\N
1102210	3764	1996-12-31	VYDAJ	VYBER	15	33096	SLUZBY	\N	\N
1102211	3764	1997-01-31	VYDAJ	VYBER	15	32150	SLUZBY	\N	\N
1102212	3764	1997-02-28	VYDAJ	VYBER	15	31447	SLUZBY	\N	\N
1102213	3764	1997-03-31	VYDAJ	VYBER	15	32150	SLUZBY	\N	\N
1102214	3764	1997-04-30	VYDAJ	VYBER	15	37780	SLUZBY	\N	\N
1102215	3764	1997-05-31	VYDAJ	VYBER	15	38229	SLUZBY	\N	\N
1102216	3764	1997-06-30	VYDAJ	VYBER	15	36459	SLUZBY	\N	\N
1102217	3764	1997-07-31	VYDAJ	VYBER	15	37704	SLUZBY	\N	\N
1102218	3764	1997-08-31	VYDAJ	VYBER	15	42658	SLUZBY	\N	\N
1102219	3764	1997-09-30	VYDAJ	VYBER	15	42128	SLUZBY	\N	\N
1102220	3764	1997-10-31	VYDAJ	VYBER	15	42096	SLUZBY	\N	\N
1102221	3764	1997-11-30	VYDAJ	VYBER	15	42664	SLUZBY	\N	\N
1102222	3764	1997-12-31	VYDAJ	VYBER	15	38700	SLUZBY	\N	\N
1102223	3764	1998-01-31	VYDAJ	VYBER	15	37377	SLUZBY	\N	\N
1102224	3764	1998-02-28	VYDAJ	VYBER	15	37856	SLUZBY	\N	\N
1102225	3764	1998-03-31	VYDAJ	VYBER	15	35904	SLUZBY	\N	\N
1102226	3764	1998-04-30	VYDAJ	VYBER	15	33543	SLUZBY	\N	\N
1102227	3764	1998-05-31	VYDAJ	VYBER	15	33274	SLUZBY	\N	\N
1102228	3764	1998-06-30	VYDAJ	VYBER	15	27962	SLUZBY	\N	\N
1102229	3764	1998-07-31	VYDAJ	VYBER	15	24365	SLUZBY	\N	\N
1102230	3764	1998-08-31	VYDAJ	VYBER	15	25458	SLUZBY	\N	\N
1102231	3764	1998-09-30	VYDAJ	VYBER	15	27350	SLUZBY	\N	\N
1102232	3764	1998-10-31	VYDAJ	VYBER	15	31561	SLUZBY	\N	\N
1102233	3764	1998-11-30	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
1102234	3764	1995-12-05	PRIJEM	VKLAD	12300	17125	\N	\N	\N
1102235	3764	1996-01-04	PRIJEM	VKLAD	2900	24004	\N	\N	\N
1102236	3764	1996-02-03	VYDAJ	VYBER	2200	25823	\N	\N	\N
1102237	3764	1996-03-04	VYDAJ	VYBER	2200	27656	\N	\N	\N
1102238	3764	1996-04-03	VYDAJ	VYBER	200	28968	\N	\N	\N
1102239	3764	1996-05-03	PRIJEM	VKLAD	2600	33084	\N	\N	\N
1102240	3764	1996-06-02	PRIJEM	VKLAD	100	34714	\N	\N	\N
1102241	3764	1996-07-02	PRIJEM	VKLAD	900	28347	\N	\N	\N
1102242	3764	1996-08-01	PRIJEM	VKLAD	2600	32459	\N	\N	\N
1102243	3764	1996-08-31	PRIJEM	VKLAD	3600	37601	\N	\N	\N
1102244	3764	1996-09-30	VYDAJ	VYBER	1900	37237	\N	\N	\N
1102245	3764	1996-10-30	VYDAJ	VYBER	3900	34742	\N	\N	\N
1102246	3764	1996-11-29	VYDAJ	VYBER	500	35373	\N	\N	\N
1102247	3764	1996-12-29	VYDAJ	VYBER	2000	32962	\N	\N	\N
1102248	3764	1997-01-28	PRIJEM	VKLAD	2600	32031	\N	\N	\N
1102249	3764	1997-02-27	VYDAJ	VYBER	1300	31325	\N	\N	\N
1102250	3764	1997-03-29	PRIJEM	VKLAD	200	32032	\N	\N	\N
1102251	3764	1997-04-28	PRIJEM	VKLAD	4100	37655	\N	\N	\N
1102252	3764	1997-05-28	PRIJEM	VKLAD	100	38085	\N	\N	\N
1102253	3764	1997-06-27	PRIJEM	VKLAD	5300	36324	\N	\N	\N
1102254	3764	1997-07-27	VYDAJ	VYBER	300	37564	\N	\N	\N
1102255	3764	1997-08-26	PRIJEM	VKLAD	3400	42509	\N	\N	\N
1102256	3764	1997-09-25	VYDAJ	VYBER	2100	41963	\N	\N	\N
1102257	3764	1997-10-25	VYDAJ	VYBER	1600	41933	\N	\N	\N
1102258	3764	1997-11-24	VYDAJ	VYBER	1000	42501	\N	\N	\N
1102259	3764	1997-12-24	VYDAJ	VYBER	5200	38869	\N	\N	\N
1102260	3764	1998-01-23	PRIJEM	VKLAD	400	37925	\N	\N	\N
1102261	3764	1998-02-22	PRIJEM	VKLAD	100	38882	\N	\N	\N
1102262	3764	1998-03-24	VYDAJ	VYBER	3500	35761	\N	\N	\N
1102263	3764	1998-04-23	VYDAJ	VYBER	3900	33409	\N	\N	\N
1102264	3764	1998-05-23	VYDAJ	VYBER	1800	33148	\N	\N	\N
1102265	3764	1998-06-22	VYDAJ	VYBER	3500	27849	\N	\N	\N
1102266	3764	1998-07-22	VYDAJ	VYBER	5100	24267	\N	\N	\N
1102267	3764	1998-08-21	PRIJEM	VKLAD	1700	26420	\N	\N	\N
1102268	3764	1998-09-20	PRIJEM	VKLAD	1800	28663	\N	\N	\N
1102269	3764	1998-10-20	PRIJEM	VKLAD	2700	31455	\N	\N	\N
1102270	3764	1998-11-19	VYDAJ	VYBER	1000	31966	\N	\N	\N
1102309	3765	1996-11-14	PRIJEM	VKLAD	600	600	\N	\N	\N
1102321	3765	1996-12-12	PRIJEM	PREVOD Z UCTU	3106	3706	\N	UV	6489307
1102322	3765	1997-01-12	PRIJEM	PREVOD Z UCTU	3106	6812	\N	UV	6489307
1102323	3765	1997-02-12	PRIJEM	PREVOD Z UCTU	3106	9918	\N	UV	6489307
1102324	3765	1997-03-12	PRIJEM	PREVOD Z UCTU	3106	13024	\N	UV	6489307
1102325	3765	1997-04-12	PRIJEM	PREVOD Z UCTU	3106	16130	\N	UV	6489307
1102326	3765	1997-05-12	PRIJEM	PREVOD Z UCTU	3106	17189	\N	UV	6489307
1102327	3765	1997-06-12	PRIJEM	PREVOD Z UCTU	3106	18275	\N	UV	6489307
1102328	3765	1997-07-12	PRIJEM	PREVOD Z UCTU	3106	18134	\N	UV	6489307
1102329	3765	1997-08-12	PRIJEM	PREVOD Z UCTU	3106	18353	\N	UV	6489307
1102330	3765	1997-09-12	PRIJEM	PREVOD Z UCTU	3106	18844	\N	UV	6489307
1102331	3765	1997-10-12	PRIJEM	PREVOD Z UCTU	3106	19938	\N	UV	6489307
1102332	3765	1997-11-12	PRIJEM	PREVOD Z UCTU	3106	17436	\N	UV	6489307
1102333	3765	1997-12-12	PRIJEM	PREVOD Z UCTU	3106	14517	\N	UV	6489307
1102334	3765	1998-01-12	PRIJEM	PREVOD Z UCTU	3106	14996	\N	UV	6489307
1102335	3765	1998-02-12	PRIJEM	PREVOD Z UCTU	3106	13902	\N	UV	6489307
1102336	3765	1998-03-12	PRIJEM	PREVOD Z UCTU	3106	14975	\N	UV	6489307
1102337	3765	1998-04-12	PRIJEM	PREVOD Z UCTU	3106	16052	\N	UV	6489307
1102338	3765	1998-05-12	PRIJEM	PREVOD Z UCTU	3106	16743	\N	UV	6489307
1102339	3765	1998-06-12	PRIJEM	PREVOD Z UCTU	3106	17167	\N	UV	6489307
1102340	3765	1998-07-12	PRIJEM	PREVOD Z UCTU	3106	15878	\N	UV	6489307
1102341	3765	1998-08-12	PRIJEM	PREVOD Z UCTU	3106	16958	\N	UV	6489307
1102342	3765	1998-09-12	PRIJEM	PREVOD Z UCTU	3106	17593	\N	UV	6489307
1102343	3765	1998-10-12	PRIJEM	PREVOD Z UCTU	3106	18681	\N	UV	6489307
1102344	3765	1998-11-12	PRIJEM	PREVOD Z UCTU	3106	18812	\N	UV	6489307
1102345	3765	1998-12-12	PRIJEM	PREVOD Z UCTU	3106	19905	\N	UV	6489307
1102361	3765	1997-04-14	VYDAJ	PREVOD NA UCET	617	14822	\N	QR	73058956
1102362	3765	1997-05-14	VYDAJ	PREVOD NA UCET	617	15881	\N	QR	73058956
1102363	3765	1997-06-14	VYDAJ	PREVOD NA UCET	617	16967	\N	QR	73058956
1102364	3765	1997-07-14	VYDAJ	PREVOD NA UCET	617	16826	\N	QR	73058956
1102365	3765	1997-08-14	VYDAJ	PREVOD NA UCET	617	17045	\N	QR	73058956
1102366	3765	1997-09-14	VYDAJ	PREVOD NA UCET	617	17536	\N	QR	73058956
1102367	3765	1997-10-14	VYDAJ	PREVOD NA UCET	617	18630	\N	QR	73058956
1102368	3765	1997-11-14	VYDAJ	PREVOD NA UCET	617	16128	\N	QR	73058956
1102369	3765	1997-12-14	VYDAJ	PREVOD NA UCET	617	13209	\N	QR	73058956
1102370	3765	1998-01-14	VYDAJ	PREVOD NA UCET	617	12758	\N	QR	73058956
1102371	3765	1998-02-14	VYDAJ	PREVOD NA UCET	617	12594	\N	QR	73058956
1102372	3765	1998-03-14	VYDAJ	PREVOD NA UCET	617	13667	\N	QR	73058956
1102373	3765	1998-04-14	VYDAJ	PREVOD NA UCET	617	14744	\N	QR	73058956
1102374	3765	1998-05-14	VYDAJ	PREVOD NA UCET	617	15435	\N	QR	73058956
1102375	3765	1998-06-14	VYDAJ	PREVOD NA UCET	617	15859	\N	QR	73058956
1102376	3765	1998-07-14	VYDAJ	PREVOD NA UCET	617	14570	\N	QR	73058956
1102377	3765	1998-08-14	VYDAJ	PREVOD NA UCET	617	15650	\N	QR	73058956
1102378	3765	1998-09-14	VYDAJ	PREVOD NA UCET	617	16285	\N	QR	73058956
1102379	3765	1998-10-14	VYDAJ	PREVOD NA UCET	617	17373	\N	QR	73058956
1102380	3765	1998-11-14	VYDAJ	PREVOD NA UCET	617	17504	\N	QR	73058956
1102381	3765	1998-12-14	VYDAJ	PREVOD NA UCET	617	18597	\N	QR	73058956
1102398	3765	1997-05-08	VYDAJ	PREVOD NA UCET	762	14083	\N	QR	28543275
1102399	3765	1997-06-08	VYDAJ	PREVOD NA UCET	762	15169	\N	QR	28543275
1102400	3765	1997-07-08	VYDAJ	PREVOD NA UCET	762	15028	\N	QR	28543275
1102401	3765	1997-08-08	VYDAJ	PREVOD NA UCET	762	15247	\N	QR	28543275
1102402	3765	1997-09-08	VYDAJ	PREVOD NA UCET	762	16338	\N	QR	28543275
1102403	3765	1997-10-08	VYDAJ	PREVOD NA UCET	762	16832	\N	QR	28543275
1102404	3765	1997-11-08	VYDAJ	PREVOD NA UCET	762	17930	\N	QR	28543275
1102405	3765	1997-12-08	VYDAJ	PREVOD NA UCET	762	15421	\N	QR	28543275
1102406	3765	1998-01-08	VYDAJ	PREVOD NA UCET	762	11890	\N	QR	28543275
1102407	3765	1998-02-08	VYDAJ	PREVOD NA UCET	762	10796	\N	QR	28543275
1102408	3765	1998-03-08	VYDAJ	PREVOD NA UCET	762	11869	\N	QR	28543275
1102409	3765	1998-04-08	VYDAJ	PREVOD NA UCET	762	12946	\N	QR	28543275
1102410	3765	1998-05-08	VYDAJ	PREVOD NA UCET	762	13637	\N	QR	28543275
1102411	3765	1998-06-08	VYDAJ	PREVOD NA UCET	762	14061	\N	QR	28543275
1102412	3765	1998-07-08	VYDAJ	PREVOD NA UCET	762	12772	\N	QR	28543275
1102413	3765	1998-08-08	VYDAJ	PREVOD NA UCET	762	13852	\N	QR	28543275
1102414	3765	1998-09-08	VYDAJ	PREVOD NA UCET	762	14487	\N	QR	28543275
1102415	3765	1998-10-08	VYDAJ	PREVOD NA UCET	762	15575	\N	QR	28543275
1102416	3765	1998-11-08	VYDAJ	PREVOD NA UCET	762	15706	\N	QR	28543275
1102417	3765	1998-12-08	VYDAJ	PREVOD NA UCET	762	16799	\N	QR	28543275
1102433	3765	1997-04-13	VYDAJ	PREVOD NA UCET	691	15439	\N	EF	11630344
1102434	3765	1997-05-13	VYDAJ	PREVOD NA UCET	691	16498	\N	EF	11630344
1102435	3765	1997-06-13	VYDAJ	PREVOD NA UCET	691	17584	\N	EF	11630344
1102436	3765	1997-07-13	VYDAJ	PREVOD NA UCET	691	17443	\N	EF	11630344
1102437	3765	1997-08-13	VYDAJ	PREVOD NA UCET	691	17662	\N	EF	11630344
1102438	3765	1997-09-13	VYDAJ	PREVOD NA UCET	691	18153	\N	EF	11630344
1102439	3765	1997-10-13	VYDAJ	PREVOD NA UCET	691	19247	\N	EF	11630344
1102440	3765	1997-11-13	VYDAJ	PREVOD NA UCET	691	16745	\N	EF	11630344
1102441	3765	1997-12-13	VYDAJ	PREVOD NA UCET	691	13826	\N	EF	11630344
1102442	3765	1998-01-13	VYDAJ	PREVOD NA UCET	691	14305	\N	EF	11630344
1102443	3765	1998-02-13	VYDAJ	PREVOD NA UCET	691	13211	\N	EF	11630344
1102444	3765	1998-03-13	VYDAJ	PREVOD NA UCET	691	14284	\N	EF	11630344
1102445	3765	1998-04-13	VYDAJ	PREVOD NA UCET	691	15361	\N	EF	11630344
1102446	3765	1998-05-13	VYDAJ	PREVOD NA UCET	691	16052	\N	EF	11630344
1102447	3765	1998-06-13	VYDAJ	PREVOD NA UCET	691	16476	\N	EF	11630344
1102448	3765	1998-07-13	VYDAJ	PREVOD NA UCET	691	15187	\N	EF	11630344
1102449	3765	1998-08-13	VYDAJ	PREVOD NA UCET	691	16267	\N	EF	11630344
1102450	3765	1998-09-13	VYDAJ	PREVOD NA UCET	691	16902	\N	EF	11630344
1102451	3765	1998-10-13	VYDAJ	PREVOD NA UCET	691	17990	\N	EF	11630344
1102452	3765	1998-11-13	VYDAJ	PREVOD NA UCET	691	18121	\N	EF	11630344
1102453	3765	1998-12-13	VYDAJ	PREVOD NA UCET	691	19214	\N	EF	11630344
1102455	3765	1997-06-24	VYDAJ	VYBER	1230	15737	\N	\N	\N
1102456	3765	1998-06-14	VYDAJ	VYBER	2370	13489	\N	\N	\N
1102458	3765	1997-12-09	VYDAJ	VYBER	510	11411	\N	\N	\N
1102459	3765	1998-12-27	VYDAJ	VYBER	570	16827	\N	\N	\N
1102472	3765	1998-01-13	VYDAJ	VYBER	390	13915	\N	\N	\N
1102473	3765	1998-01-06	VYDAJ	VYBER	150	12652	\N	\N	\N
1102476	3765	1998-01-27	VYDAJ	VYBER	240	12518	\N	\N	\N
1102477	3765	1998-01-14	VYDAJ	VYBER	540	13375	\N	\N	\N
1102482	3765	1997-07-20	VYDAJ	VYBER	870	15956	\N	\N	\N
1102484	3765	1998-09-05	VYDAJ	VYBER	450	15249	\N	\N	\N
1102485	3765	1998-05-27	VYDAJ	VYBER	660	14775	\N	\N	\N
1102486	3765	1998-12-18	VYDAJ	VYBER	1200	17397	\N	\N	\N
1102487	3765	1998-01-04	VYDAJ	VYBER	450	12802	\N	\N	\N
1102488	3765	1998-10-23	VYDAJ	VYBER	960	16413	\N	\N	\N
1102489	3765	1998-05-01	VYDAJ	VYBER	390	14399	\N	\N	\N
1102506	3765	1997-04-30	VYDAJ	VYBER	15	14845	SLUZBY	\N	\N
1102507	3765	1997-05-31	VYDAJ	VYBER	15	15931	SLUZBY	\N	\N
1102508	3765	1997-06-30	VYDAJ	VYBER	15	15790	SLUZBY	\N	\N
1102509	3765	1997-07-31	VYDAJ	VYBER	15	16009	SLUZBY	\N	\N
1102510	3765	1997-08-31	VYDAJ	VYBER	15	17100	SLUZBY	\N	\N
1102511	3765	1997-09-30	VYDAJ	VYBER	15	17594	SLUZBY	\N	\N
1102512	3765	1997-10-31	VYDAJ	VYBER	15	18692	SLUZBY	\N	\N
1102513	3765	1997-11-30	VYDAJ	VYBER	15	16183	SLUZBY	\N	\N
1102514	3765	1997-12-31	VYDAJ	VYBER	15	13252	SLUZBY	\N	\N
1102515	3765	1998-01-31	VYDAJ	VYBER	15	12558	SLUZBY	\N	\N
1102516	3765	1998-02-28	VYDAJ	VYBER	15	12631	SLUZBY	\N	\N
1102517	3765	1998-03-31	VYDAJ	VYBER	15	13708	SLUZBY	\N	\N
1102518	3765	1998-04-30	VYDAJ	VYBER	15	14789	SLUZBY	\N	\N
1102519	3765	1998-05-31	VYDAJ	VYBER	15	14823	SLUZBY	\N	\N
1102520	3765	1998-06-30	VYDAJ	VYBER	15	13534	SLUZBY	\N	\N
1102521	3765	1998-07-31	VYDAJ	VYBER	15	14614	SLUZBY	\N	\N
1102522	3765	1998-08-31	VYDAJ	VYBER	15	15699	SLUZBY	\N	\N
1102523	3765	1998-09-30	VYDAJ	VYBER	15	16337	SLUZBY	\N	\N
1102524	3765	1998-10-31	VYDAJ	VYBER	15	16468	SLUZBY	\N	\N
1102525	3765	1998-11-30	VYDAJ	VYBER	15	17561	SLUZBY	\N	\N
1102526	3765	1997-09-10	VYDAJ	VYBER	600	15738	\N	\N	\N
1102527	3765	1997-11-09	VYDAJ	VYBER	3600	14330	\N	\N	\N
1102528	3765	1997-12-09	VYDAJ	VYBER	3500	11921	\N	\N	\N
1102529	3765	1998-02-07	VYDAJ	VYBER	1000	11558	\N	\N	\N
1102551	3766	1996-10-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1102552	3766	1996-11-02	PRIJEM	VKLAD	28931	29931	\N	\N	\N
1102559	3766	1997-04-14	PRIJEM	VKLAD	43378	82394	\N	\N	\N
1102560	3766	1997-10-18	PRIJEM	VKLAD	47442	87483	\N	\N	\N
1102561	3766	1997-12-12	PRIJEM	VKLAD	34989	96205	\N	\N	\N
1102562	3766	1997-06-27	PRIJEM	VKLAD	44127	89260	\N	\N	\N
1102563	3766	1998-10-01	PRIJEM	VKLAD	20822	105309	\N	\N	\N
1102564	3766	1998-09-12	PRIJEM	VKLAD	42321	84282	\N	\N	\N
1102565	3766	1998-12-17	PRIJEM	VKLAD	48569	107579	\N	\N	\N
1102566	3766	1998-06-01	PRIJEM	VKLAD	17144	63119	\N	\N	\N
1102567	3766	1998-11-07	PRIJEM	VKLAD	47882	84281	\N	\N	\N
1102568	3766	1998-05-23	PRIJEM	VKLAD	19071	45899	\N	\N	\N
1102569	3766	1998-04-10	PRIJEM	VKLAD	48197	64829	\N	\N	\N
1102570	3766	1998-11-26	PRIJEM	VKLAD	48643	106024	\N	\N	\N
1102571	3766	1998-05-04	PRIJEM	VKLAD	15007	65517	\N	\N	\N
1102572	3766	1998-08-05	PRIJEM	VKLAD	25936	84161	\N	\N	\N
1102573	3766	1998-06-10	PRIJEM	VKLAD	44634	98207	\N	\N	\N
1102574	3766	1998-08-09	PRIJEM	VKLAD	13455	88070	\N	\N	\N
1102575	3766	1998-07-05	PRIJEM	VKLAD	30237	90906	\N	\N	\N
1102600	3766	1998-01-06	VYDAJ	PREVOD NA UCET	9546	28346	SIPO	CD	36534357
1102601	3766	1998-02-06	VYDAJ	PREVOD NA UCET	9546	14020	SIPO	CD	36534357
1102602	3766	1998-03-06	VYDAJ	PREVOD NA UCET	9546	14272	SIPO	CD	36534357
1102603	3766	1998-04-06	VYDAJ	PREVOD NA UCET	9546	16632	SIPO	CD	36534357
1102604	3766	1998-05-06	VYDAJ	PREVOD NA UCET	9546	41271	SIPO	CD	36534357
1102605	3766	1998-06-06	VYDAJ	PREVOD NA UCET	9546	53573	SIPO	CD	36534357
1102606	3766	1998-07-06	VYDAJ	PREVOD NA UCET	9546	81360	SIPO	CD	36534357
1102607	3766	1998-08-06	VYDAJ	PREVOD NA UCET	9546	74615	SIPO	CD	36534357
1102608	3766	1998-09-06	VYDAJ	PREVOD NA UCET	9546	51861	SIPO	CD	36534357
1102609	3766	1998-10-06	VYDAJ	PREVOD NA UCET	9546	95763	SIPO	CD	36534357
1102610	3766	1998-11-06	VYDAJ	PREVOD NA UCET	9546	36399	SIPO	CD	36534357
1102611	3766	1998-12-06	VYDAJ	PREVOD NA UCET	9546	85510	SIPO	CD	36534357
1102623	3766	1997-12-16	VYBER	VYBER	22074	45531	\N	\N	\N
1102627	3766	1998-11-29	VYBER	VYBER	11133	94891	\N	\N	\N
1102630	3766	1998-05-17	VYBER	VYBER	14743	26828	\N	\N	\N
1102635	3766	1997-12-17	VYDAJ	VYBER	1500	44031	\N	\N	\N
1102636	3766	1998-12-07	VYDAJ	VYBER	5100	80410	\N	\N	\N
1102649	3766	1998-01-17	VYDAJ	VYBER	3300	23546	\N	\N	\N
1102651	3766	1998-01-16	VYDAJ	VYBER	3900	26846	\N	\N	\N
1102652	3766	1998-01-05	VYDAJ	VYBER	4200	37892	\N	\N	\N
1102654	3766	1998-01-05	VYDAJ	VYBER	2100	42092	\N	\N	\N
1102667	3766	1998-10-24	VYDAJ	VYBER	3600	59563	\N	\N	\N
1102668	3766	1998-05-04	VYDAJ	VYBER	14700	50817	\N	\N	\N
1102669	3766	1998-11-01	VYDAJ	VYBER	11100	48645	\N	\N	\N
1102670	3766	1998-11-05	VYDAJ	VYBER	2700	45945	\N	\N	\N
1102671	3766	1998-07-01	VYDAJ	VYBER	8400	60669	\N	\N	\N
1102696	3766	1997-12-31	VYDAJ	VYBER	100	44192	SLUZBY	\N	\N
1102697	3766	1998-01-31	VYDAJ	VYBER	100	23566	SLUZBY	\N	\N
1102698	3766	1998-02-28	VYDAJ	VYBER	100	23818	SLUZBY	\N	\N
1102699	3766	1998-03-31	VYDAJ	VYBER	100	26178	SLUZBY	\N	\N
1102700	3766	1998-04-30	VYDAJ	VYBER	100	50510	SLUZBY	\N	\N
1102701	3766	1998-05-31	VYDAJ	VYBER	100	45975	SLUZBY	\N	\N
1102702	3766	1998-06-30	VYDAJ	VYBER	100	69069	SLUZBY	\N	\N
1102703	3766	1998-07-31	VYDAJ	VYBER	100	58225	SLUZBY	\N	\N
1102704	3766	1998-08-31	VYDAJ	VYBER	100	61407	SLUZBY	\N	\N
1102705	3766	1998-09-30	VYDAJ	VYBER	100	84487	SLUZBY	\N	\N
1102706	3766	1998-10-31	VYDAJ	VYBER	100	59745	SLUZBY	\N	\N
1102707	3766	1998-11-30	VYDAJ	VYBER	100	95056	SLUZBY	\N	\N
1102708	3766	1996-11-17	PRIJEM	VKLAD	1500	31431	\N	\N	\N
1102709	3766	1996-12-17	PRIJEM	VKLAD	100	31592	\N	\N	\N
1102710	3766	1997-01-16	PRIJEM	VKLAD	4200	35923	\N	\N	\N
1102711	3766	1997-02-15	VYDAJ	VYBER	700	35354	\N	\N	\N
1102712	3766	1997-03-17	PRIJEM	VKLAD	3400	38885	\N	\N	\N
1102713	3766	1997-04-16	VYDAJ	VYBER	22600	59794	\N	\N	\N
1102714	3766	1997-05-16	VYDAJ	VYBER	10800	49184	\N	\N	\N
1102715	3766	1997-06-15	VYDAJ	VYBER	4300	45133	\N	\N	\N
1102716	3766	1997-07-15	VYDAJ	VYBER	25800	63726	\N	\N	\N
1102717	3766	1997-08-14	VYDAJ	VYBER	11700	52398	\N	\N	\N
1102718	3766	1997-09-13	VYDAJ	VYBER	6200	46569	\N	\N	\N
1102719	3766	1997-10-13	VYDAJ	VYBER	6900	40041	\N	\N	\N
1102720	3766	1997-11-12	VYDAJ	VYBER	27000	60852	\N	\N	\N
1102721	3766	1997-12-12	VYDAJ	VYBER	28600	67605	\N	\N	\N
1102722	3766	1998-01-11	PRIJEM	VKLAD	2400	30746	\N	\N	\N
1102723	3766	1998-02-10	PRIJEM	VKLAD	9800	23820	\N	\N	\N
1102724	3766	1998-03-12	PRIJEM	VKLAD	11900	26172	\N	\N	\N
1102725	3766	1998-04-11	VYDAJ	VYBER	14400	50429	\N	\N	\N
1102726	3766	1998-05-11	PRIJEM	VKLAD	300	41571	\N	\N	\N
1102727	3766	1998-06-10	VYDAJ	VYBER	29300	68907	\N	\N	\N
1102728	3766	1998-07-10	VYDAJ	VYBER	23300	58060	\N	\N	\N
1102729	3766	1998-08-09	VYDAJ	VYBER	26900	61170	\N	\N	\N
1102730	3766	1998-09-08	VYDAJ	VYBER	9900	41961	\N	\N	\N
1102731	3766	1998-10-08	VYDAJ	VYBER	32600	63163	\N	\N	\N
1102732	3766	1998-11-07	VYDAJ	VYBER	26900	57381	\N	\N	\N
1102733	3766	1998-12-07	VYDAJ	VYBER	21400	59010	\N	\N	\N
1102760	3767	1995-11-15	PRIJEM	VKLAD	600	600	\N	\N	\N
1102772	3767	1995-12-11	PRIJEM	VKLAD	17354	17954	\N	\N	\N
1102773	3767	1996-01-11	PRIJEM	VKLAD	11569	32771	\N	\N	\N
1102774	3767	1996-02-11	PRIJEM	VKLAD	11569	39144	\N	\N	\N
1102775	3767	1996-03-11	PRIJEM	VKLAD	11569	42034	\N	\N	\N
1102776	3767	1996-04-11	PRIJEM	VKLAD	11569	45939	\N	\N	\N
1102777	3767	1996-05-11	PRIJEM	VKLAD	11569	41076	\N	\N	\N
1102778	3767	1996-06-11	PRIJEM	VKLAD	17354	48111	\N	\N	\N
1102779	3767	1996-07-11	PRIJEM	VKLAD	11569	45070	\N	\N	\N
1102780	3767	1996-08-11	PRIJEM	VKLAD	11569	43128	\N	\N	\N
1102781	3767	1996-09-11	PRIJEM	VKLAD	11569	46189	\N	\N	\N
1102782	3767	1996-10-11	PRIJEM	VKLAD	11569	45274	\N	\N	\N
1102783	3767	1996-11-11	PRIJEM	VKLAD	11569	43466	\N	\N	\N
1102784	3767	1996-12-11	PRIJEM	VKLAD	17354	52613	\N	\N	\N
1102785	3767	1997-01-11	PRIJEM	VKLAD	11569	50242	\N	\N	\N
1102786	3767	1997-02-11	PRIJEM	VKLAD	11569	48768	\N	\N	\N
1102787	3767	1997-03-11	PRIJEM	VKLAD	11569	49884	\N	\N	\N
1102788	3767	1997-04-11	PRIJEM	VKLAD	11569	47000	\N	\N	\N
1102789	3767	1997-05-11	PRIJEM	VKLAD	11569	47510	\N	\N	\N
1102790	3767	1997-06-11	PRIJEM	VKLAD	17354	52399	\N	\N	\N
1102791	3767	1997-07-11	PRIJEM	VKLAD	11569	36845	\N	\N	\N
1102792	3767	1997-08-11	PRIJEM	VKLAD	11569	41010	\N	\N	\N
1102793	3767	1997-09-11	PRIJEM	VKLAD	11569	42818	\N	\N	\N
1102794	3767	1997-10-11	PRIJEM	VKLAD	11569	47293	\N	\N	\N
1102795	3767	1997-11-11	PRIJEM	VKLAD	11569	45705	\N	\N	\N
1102796	3767	1997-12-11	PRIJEM	VKLAD	17354	53490	\N	\N	\N
1102797	3767	1998-01-11	PRIJEM	VKLAD	11569	45777	\N	\N	\N
1102798	3767	1998-02-11	PRIJEM	VKLAD	11569	44488	\N	\N	\N
1102799	3767	1998-03-11	PRIJEM	VKLAD	11569	40093	\N	\N	\N
1102800	3767	1998-04-11	PRIJEM	VKLAD	11569	43267	\N	\N	\N
1102801	3767	1998-05-11	PRIJEM	VKLAD	11569	49843	\N	\N	\N
1102802	3767	1998-06-11	PRIJEM	VKLAD	17354	60238	\N	\N	\N
1102803	3767	1998-07-11	PRIJEM	VKLAD	11569	48769	\N	\N	\N
1102804	3767	1998-08-11	PRIJEM	VKLAD	11569	51857	\N	\N	\N
1102805	3767	1998-09-11	PRIJEM	VKLAD	11569	50278	\N	\N	\N
1102806	3767	1998-10-11	PRIJEM	VKLAD	11569	55284	\N	\N	\N
1102807	3767	1998-11-11	PRIJEM	VKLAD	11569	59407	\N	\N	\N
1102808	3767	1998-12-11	PRIJEM	VKLAD	17354	66439	\N	\N	\N
1102825	3767	1996-05-07	VYDAJ	PREVOD NA UCET	881	29507	SIPO	ST	48275125
1102826	3767	1996-06-07	VYDAJ	PREVOD NA UCET	881	30757	SIPO	ST	48275125
1102827	3767	1996-07-07	VYDAJ	PREVOD NA UCET	881	33501	SIPO	ST	48275125
1102828	3767	1996-08-07	VYDAJ	PREVOD NA UCET	881	31559	SIPO	ST	48275125
1102829	3767	1996-09-07	VYDAJ	PREVOD NA UCET	881	34320	SIPO	ST	48275125
1102830	3767	1996-10-07	VYDAJ	PREVOD NA UCET	881	41805	SIPO	ST	48275125
1102831	3767	1996-11-07	VYDAJ	PREVOD NA UCET	881	37897	SIPO	ST	48275125
1102832	3767	1996-12-07	VYDAJ	PREVOD NA UCET	881	37759	SIPO	ST	48275125
1102833	3767	1997-01-07	VYDAJ	PREVOD NA UCET	881	44573	SIPO	ST	48275125
1102834	3767	1997-02-07	VYDAJ	PREVOD NA UCET	881	37399	SIPO	ST	48275125
1102835	3767	1997-03-07	VYDAJ	PREVOD NA UCET	881	42115	SIPO	ST	48275125
1102836	3767	1997-04-07	VYDAJ	PREVOD NA UCET	881	45531	SIPO	ST	48275125
1102837	3767	1997-05-07	VYDAJ	PREVOD NA UCET	881	38541	SIPO	ST	48275125
1102838	3767	1997-06-07	VYDAJ	PREVOD NA UCET	881	35045	SIPO	ST	48275125
1102839	3767	1997-07-07	VYDAJ	PREVOD NA UCET	881	25276	SIPO	ST	48275125
1102840	3767	1997-08-07	VYDAJ	PREVOD NA UCET	881	29441	SIPO	ST	48275125
1102841	3767	1997-09-07	VYDAJ	PREVOD NA UCET	881	31249	SIPO	ST	48275125
1102842	3767	1997-10-07	VYDAJ	PREVOD NA UCET	881	35724	SIPO	ST	48275125
1102843	3767	1997-11-07	VYDAJ	PREVOD NA UCET	881	37016	SIPO	ST	48275125
1102844	3767	1997-12-07	VYDAJ	PREVOD NA UCET	881	36136	SIPO	ST	48275125
1102845	3767	1998-01-07	VYDAJ	PREVOD NA UCET	881	34208	SIPO	ST	48275125
1102846	3767	1998-02-07	VYDAJ	PREVOD NA UCET	881	32919	SIPO	ST	48275125
1102847	3767	1998-03-07	VYDAJ	PREVOD NA UCET	881	28524	SIPO	ST	48275125
1102848	3767	1998-04-07	VYDAJ	PREVOD NA UCET	881	31698	SIPO	ST	48275125
1102849	3767	1998-05-07	VYDAJ	PREVOD NA UCET	881	38274	SIPO	ST	48275125
1102850	3767	1998-06-07	VYDAJ	PREVOD NA UCET	881	42884	SIPO	ST	48275125
1102851	3767	1998-07-07	VYDAJ	PREVOD NA UCET	881	37200	SIPO	ST	48275125
1102852	3767	1998-08-07	VYDAJ	PREVOD NA UCET	881	40288	SIPO	ST	48275125
1102853	3767	1998-09-07	VYDAJ	PREVOD NA UCET	881	42509	SIPO	ST	48275125
1102854	3767	1998-10-07	VYDAJ	PREVOD NA UCET	881	43715	SIPO	ST	48275125
1102855	3767	1998-11-07	VYDAJ	PREVOD NA UCET	881	47838	SIPO	ST	48275125
1102856	3767	1998-12-07	VYDAJ	PREVOD NA UCET	881	49085	SIPO	ST	48275125
1102872	3767	1996-04-11	VYDAJ	PREVOD NA UCET	3655	42284	 	EF	4828662
1102873	3767	1996-05-11	VYDAJ	PREVOD NA UCET	3655	37421	 	EF	4828662
1102874	3767	1996-06-11	VYDAJ	PREVOD NA UCET	3655	44456	 	EF	4828662
1102875	3767	1996-07-11	VYDAJ	PREVOD NA UCET	3655	41415	 	EF	4828662
1102876	3767	1996-08-11	VYDAJ	PREVOD NA UCET	3655	35073	 	EF	4828662
1102877	3767	1996-09-11	VYDAJ	PREVOD NA UCET	3655	42534	 	EF	4828662
1102878	3767	1996-10-11	VYDAJ	PREVOD NA UCET	3655	41619	 	EF	4828662
1102879	3767	1996-11-11	VYDAJ	PREVOD NA UCET	3655	39811	 	EF	4828662
1102880	3767	1996-12-11	VYDAJ	PREVOD NA UCET	3655	48958	 	EF	4828662
1102881	3767	1997-01-11	VYDAJ	PREVOD NA UCET	3655	46587	 	EF	4828662
1102882	3767	1997-02-11	VYDAJ	PREVOD NA UCET	3655	45113	 	EF	4828662
1102883	3767	1997-03-11	VYDAJ	PREVOD NA UCET	3655	46229	 	EF	4828662
1102884	3767	1997-04-11	VYDAJ	PREVOD NA UCET	3655	43345	 	EF	4828662
1102885	3767	1997-05-11	VYDAJ	PREVOD NA UCET	3655	43855	 	EF	4828662
1102886	3767	1997-06-11	VYDAJ	PREVOD NA UCET	3655	48744	 	EF	4828662
1102887	3767	1997-07-11	VYDAJ	PREVOD NA UCET	3655	33190	 	EF	4828662
1102888	3767	1997-08-11	VYDAJ	PREVOD NA UCET	3655	37355	 	EF	4828662
1102889	3767	1997-09-11	VYDAJ	PREVOD NA UCET	3655	39163	 	EF	4828662
1102890	3767	1997-10-11	VYDAJ	PREVOD NA UCET	3655	43638	 	EF	4828662
1102891	3767	1997-11-11	VYDAJ	PREVOD NA UCET	3655	42050	 	EF	4828662
1102892	3767	1997-12-11	VYDAJ	PREVOD NA UCET	3655	49835	 	EF	4828662
1102893	3767	1998-01-11	VYDAJ	PREVOD NA UCET	3655	42122	 	EF	4828662
1102894	3767	1998-02-11	VYDAJ	PREVOD NA UCET	3655	40833	 	EF	4828662
1102895	3767	1998-03-11	VYDAJ	PREVOD NA UCET	3655	36438	 	EF	4828662
1102896	3767	1998-04-11	VYDAJ	PREVOD NA UCET	3655	39612	 	EF	4828662
1102897	3767	1998-05-11	VYDAJ	PREVOD NA UCET	3655	46188	 	EF	4828662
1102898	3767	1998-06-11	VYDAJ	PREVOD NA UCET	3655	56583	 	EF	4828662
1102899	3767	1998-07-11	VYDAJ	PREVOD NA UCET	3655	45114	 	EF	4828662
1102900	3767	1998-08-11	VYDAJ	PREVOD NA UCET	3655	48202	 	EF	4828662
1102901	3767	1998-09-11	VYDAJ	PREVOD NA UCET	3655	46623	 	EF	4828662
1102902	3767	1998-10-11	VYDAJ	PREVOD NA UCET	3655	51629	 	EF	4828662
1102903	3767	1998-11-11	VYDAJ	PREVOD NA UCET	3655	55752	 	EF	4828662
1102904	3767	1998-12-11	VYDAJ	PREVOD NA UCET	3655	62784	 	EF	4828662
1102907	3767	1997-06-19	VYDAJ	VYBER	18560	25024	\N	\N	\N
1102908	3767	1998-06-18	VYDAJ	VYBER	22720	33863	\N	\N	\N
1102911	3767	1997-01-30	VYDAJ	VYBER	8480	38107	\N	\N	\N
1102912	3767	1998-01-30	VYDAJ	VYBER	7680	34442	\N	\N	\N
1102914	3767	1996-12-23	VYDAJ	VYBER	3680	45278	\N	\N	\N
1102915	3767	1997-12-17	VYDAJ	VYBER	2720	47115	\N	\N	\N
1102916	3767	1998-12-15	VYDAJ	VYBER KARTOU	800	61984	\N	\N	0
1102920	3767	1996-11-02	VYDAJ	VYBER	3000	38778	\N	\N	\N
1102922	3767	1996-11-26	VYDAJ	VYBER	1320	38491	\N	\N	\N
1102924	3767	1996-04-24	VYDAJ	VYBER	960	30264	\N	\N	\N
1102925	3767	1996-04-17	VYDAJ	VYBER	2760	31224	\N	\N	\N
1102926	3767	1997-08-21	VYDAJ	VYBER	960	36395	\N	\N	\N
1102927	3767	1997-03-05	VYDAJ	VYBER	2280	42996	\N	\N	\N
1102928	3767	1997-04-16	VYDAJ	VYBER	4080	39265	\N	\N	\N
1102929	3767	1997-11-07	VYDAJ	VYBER	2880	34136	\N	\N	\N
1102930	3767	1997-06-12	VYDAJ	VYBER	5160	43584	\N	\N	\N
1102931	3767	1997-07-30	VYDAJ	VYBER	1680	31510	\N	\N	\N
1102932	3767	1998-02-13	VYDAJ	VYBER	5760	35073	\N	\N	\N
1102933	3767	1998-10-01	VYDAJ	VYBER KARTOU	800	44596	\N	\N	0
1102934	3767	1998-09-09	VYDAJ	VYBER KARTOU	3800	38709	\N	\N	0
1102935	3767	1998-06-22	VYDAJ	VYBER	4440	29423	\N	\N	\N
1102952	3767	1996-04-30	VYDAJ	VYBER	15	30388	SLUZBY	\N	\N
1102953	3767	1996-05-31	VYDAJ	VYBER	15	31638	SLUZBY	\N	\N
1102954	3767	1996-06-30	VYDAJ	VYBER	15	34382	SLUZBY	\N	\N
1102955	3767	1996-07-31	VYDAJ	VYBER	15	32440	SLUZBY	\N	\N
1102956	3767	1996-08-31	VYDAJ	VYBER	15	35201	SLUZBY	\N	\N
1102957	3767	1996-09-30	VYDAJ	VYBER	15	42686	SLUZBY	\N	\N
1102958	3767	1996-10-31	VYDAJ	VYBER	15	41778	SLUZBY	\N	\N
1102959	3767	1996-11-30	VYDAJ	VYBER	15	38640	SLUZBY	\N	\N
1102960	3767	1996-12-31	VYDAJ	VYBER	15	45454	SLUZBY	\N	\N
1102961	3767	1997-01-31	VYDAJ	VYBER	15	38280	SLUZBY	\N	\N
1102962	3767	1997-02-28	VYDAJ	VYBER	15	45276	SLUZBY	\N	\N
1102963	3767	1997-03-31	VYDAJ	VYBER	15	46412	SLUZBY	\N	\N
1102964	3767	1997-04-30	VYDAJ	VYBER	15	39422	SLUZBY	\N	\N
1102965	3767	1997-05-31	VYDAJ	VYBER	15	44026	SLUZBY	\N	\N
1102966	3767	1997-06-30	VYDAJ	VYBER	15	25157	SLUZBY	\N	\N
1102967	3767	1997-07-31	VYDAJ	VYBER	15	31622	SLUZBY	\N	\N
1102968	3767	1997-08-31	VYDAJ	VYBER	15	36530	SLUZBY	\N	\N
1102969	3767	1997-09-30	VYDAJ	VYBER	15	39305	SLUZBY	\N	\N
1102970	3767	1997-10-31	VYDAJ	VYBER	15	43797	SLUZBY	\N	\N
1102971	3767	1997-11-30	VYDAJ	VYBER	15	42217	SLUZBY	\N	\N
1102972	3767	1997-12-31	VYDAJ	VYBER	15	47289	SLUZBY	\N	\N
1102973	3767	1998-01-31	VYDAJ	VYBER	15	34600	SLUZBY	\N	\N
1102974	3767	1998-02-28	VYDAJ	VYBER	15	35205	SLUZBY	\N	\N
1102975	3767	1998-03-31	VYDAJ	VYBER	15	36579	SLUZBY	\N	\N
1102976	3767	1998-04-30	VYDAJ	VYBER	15	39755	SLUZBY	\N	\N
1102977	3767	1998-05-31	VYDAJ	VYBER	15	46365	SLUZBY	\N	\N
1102978	3767	1998-06-30	VYDAJ	VYBER	15	29581	SLUZBY	\N	\N
1102979	3767	1998-07-31	VYDAJ	VYBER	15	45269	SLUZBY	\N	\N
1102980	3767	1998-08-31	VYDAJ	VYBER	15	48390	SLUZBY	\N	\N
1102981	3767	1998-09-30	VYDAJ	VYBER	15	46796	SLUZBY	\N	\N
1102982	3767	1998-10-31	VYDAJ	VYBER	15	48719	SLUZBY	\N	\N
1102983	3767	1998-11-30	VYDAJ	VYBER	15	49966	SLUZBY	\N	\N
1102984	3767	1995-12-15	PRIJEM	VKLAD	3200	21154	\N	\N	\N
1102985	3767	1996-01-14	VYDAJ	VYBER	5300	27471	\N	\N	\N
1102986	3767	1996-02-13	VYDAJ	VYBER	8800	30344	\N	\N	\N
1102987	3767	1996-03-14	VYDAJ	VYBER	7800	34234	\N	\N	\N
1102988	3767	1996-04-13	VYDAJ	VYBER	8300	33984	\N	\N	\N
1102989	3767	1996-05-13	VYDAJ	VYBER	5900	31521	\N	\N	\N
1102990	3767	1996-06-12	VYDAJ	VYBER	10200	34256	\N	\N	\N
1102991	3767	1996-07-12	VYDAJ	VYBER	9100	32315	\N	\N	\N
1102992	3767	1996-08-11	VYDAJ	VYBER	4400	38728	\N	\N	\N
1102993	3767	1996-09-10	PRIJEM	VKLAD	300	34620	\N	\N	\N
1102994	3767	1996-10-10	VYDAJ	VYBER	8100	33705	\N	\N	\N
1102995	3767	1996-11-09	VYDAJ	VYBER	6000	31897	\N	\N	\N
1102996	3767	1996-12-09	VYDAJ	VYBER	2500	35259	\N	\N	\N
1102997	3767	1997-01-08	VYDAJ	VYBER	5900	38673	\N	\N	\N
1102998	3767	1997-02-07	VYDAJ	VYBER	200	37199	\N	\N	\N
1102999	3767	1997-03-09	VYDAJ	VYBER	3800	38315	\N	\N	\N
1103000	3767	1997-04-08	VYDAJ	VYBER	10100	35431	\N	\N	\N
1103001	3767	1997-05-08	VYDAJ	VYBER	2600	35941	\N	\N	\N
1103002	3767	1997-06-07	VYDAJ	VYBER	8100	35926	\N	\N	\N
1103003	3767	1997-07-07	PRIJEM	VKLAD	1000	26157	\N	\N	\N
1103004	3767	1997-08-06	VYDAJ	VYBER	1300	30322	\N	\N	\N
1103005	3767	1997-09-05	VYDAJ	VYBER	4400	32130	\N	\N	\N
1103006	3767	1997-10-05	VYDAJ	VYBER	2700	36605	\N	\N	\N
1103007	3767	1997-11-04	VYDAJ	VYBER	5900	37897	\N	\N	\N
1103008	3767	1997-12-04	VYDAJ	VYBER	5200	37017	\N	\N	\N
1103009	3767	1998-01-03	VYDAJ	VYBER	12200	35089	\N	\N	\N
1103010	3767	1998-02-02	VYDAJ	VYBER	800	33800	\N	\N	\N
1103011	3767	1998-03-04	VYDAJ	VYBER	5800	29405	\N	\N	\N
1103012	3767	1998-04-03	VYDAJ	VYBER	4000	32579	\N	\N	\N
1103013	3767	1998-05-03	VYDAJ	VYBER	600	39155	\N	\N	\N
1103014	3767	1998-06-02	VYDAJ	VYBER	2600	43765	\N	\N	\N
1103015	3767	1998-07-02	PRIJEM	VKLAD	8500	38081	\N	\N	\N
1103016	3767	1998-08-01	VYDAJ	VYBER	4100	41169	\N	\N	\N
1103017	3767	1998-08-31	VYDAJ	VYBER	5000	43390	\N	\N	\N
1103018	3767	1998-09-30	VYDAJ	VYBER KARTOU	1400	45396	\N	\N	0
1103019	3767	1998-10-30	VYDAJ	VYBER KARTOU	3100	48529	\N	\N	0
1103020	3767	1998-11-29	VYDAJ	VYBER	6000	49752	\N	\N	\N
1103058	3768	1997-06-06	PRIJEM	VKLAD	400	400	\N	\N	\N
1103059	3768	1997-08-28	PRIJEM	VKLAD	8164	83898	\N	\N	\N
1103060	3768	1997-08-13	PRIJEM	VKLAD	18304	75734	\N	\N	\N
1103061	3768	1997-07-10	PRIJEM	VKLAD	34030	46830	\N	\N	\N
1103062	3768	1997-10-02	PRIJEM	VKLAD	13284	89024	\N	\N	\N
1103063	3768	1997-12-08	PRIJEM	VKLAD	8559	35495	\N	\N	\N
1103065	3768	1997-10-11	PRIJEM	VKLAD	13373	68397	\N	\N	\N
1103067	3768	1997-11-07	PRIJEM	VKLAD	10954	57212	\N	\N	\N
1103070	3768	1997-09-12	PRIJEM	VKLAD	28123	82561	\N	\N	\N
1103072	3768	1997-07-17	PRIJEM	VKLAD	41378	88208	\N	\N	\N
1103073	3768	1997-09-18	PRIJEM	VKLAD	48822	116983	\N	\N	\N
1103074	3768	1998-05-08	PRIJEM	VKLAD	14743	35431	\N	\N	\N
1103075	3768	1998-11-19	PRIJEM	VKLAD	33794	114086	\N	\N	\N
1103076	3768	1998-07-18	PRIJEM	VKLAD	16214	62332	\N	\N	\N
1103077	3768	1998-09-01	PRIJEM	VKLAD	24111	50479	\N	\N	\N
1103078	3768	1998-11-08	PRIJEM	VKLAD	37806	83892	\N	\N	\N
1103079	3768	1998-09-20	PRIJEM	VKLAD	27130	107044	\N	\N	\N
1103080	3768	1998-08-09	PRIJEM	VKLAD	8135	39411	\N	\N	\N
1103081	3768	1998-01-21	PRIJEM	VKLAD	13499	39494	\N	\N	\N
1103082	3768	1998-02-02	PRIJEM	VKLAD	6150	34962	\N	\N	\N
1103083	3768	1998-06-30	PRIJEM	VKLAD	46897	107660	\N	\N	\N
1103084	3768	1998-10-15	PRIJEM	VKLAD	48092	82291	\N	\N	\N
1103085	3768	1998-06-25	PRIJEM	VKLAD	31614	60763	\N	\N	\N
1103086	3768	1998-10-25	PRIJEM	VKLAD	20695	87702	\N	\N	\N
1103087	3768	1998-02-28	PRIJEM	VKLAD	11379	46341	\N	\N	\N
1103088	3768	1998-08-17	PRIJEM	VKLAD	30638	55701	\N	\N	\N
1103089	3768	1998-09-18	PRIJEM	VKLAD	29435	79914	\N	\N	\N
1103090	3768	1998-12-16	PRIJEM	VKLAD	45252	76125	\N	\N	\N
1103096	3768	1997-11-30	VYBER	VYBER	21003	28650	\N	\N	\N
1103102	3768	1998-08-10	VYBER	VYBER	14348	25063	\N	\N	\N
1103103	3768	1998-10-20	VYBER	VYBER	15284	67007	\N	\N	\N
1103105	3768	1998-07-19	VYBER	VYBER	18053	44279	\N	\N	\N
1103110	3768	1997-12-08	VYDAJ	VYBER	8100	27395	\N	\N	\N
1103111	3768	1998-12-03	VYDAJ	VYBER	2100	30873	\N	\N	\N
1103112	3768	1997-09-14	VYDAJ	VYBER	14400	68161	\N	\N	\N
1103114	3768	1997-11-28	VYDAJ	VYBER	7800	49412	\N	\N	\N
1103118	3768	1997-09-26	VYDAJ	VYBER	9900	75383	\N	\N	\N
1103119	3768	1998-07-05	VYDAJ	VYBER	4200	46118	\N	\N	\N
1103120	3768	1998-09-21	VYDAJ	VYBER	5100	60344	\N	\N	\N
1103121	3768	1998-08-31	VYDAJ	VYBER	4800	26383	\N	\N	\N
1103122	3768	1998-11-17	VYDAJ	VYBER	3600	80292	\N	\N	\N
1103123	3768	1998-03-22	VYDAJ	VYBER	8400	20274	\N	\N	\N
1103137	3768	1997-09-30	VYDAJ	VYBER	15	75740	SLUZBY	\N	\N
1103138	3768	1997-10-31	VYDAJ	VYBER	15	68658	SLUZBY	\N	\N
1103139	3768	1997-11-30	VYDAJ	VYBER	15	28636	SLUZBY	\N	\N
1103140	3768	1997-12-31	VYDAJ	VYBER	15	27495	SLUZBY	\N	\N
1103141	3768	1998-01-31	VYDAJ	VYBER	15	39612	SLUZBY	\N	\N
1103142	3768	1998-02-28	VYDAJ	VYBER	15	46474	SLUZBY	\N	\N
1103143	3768	1998-03-31	VYDAJ	VYBER	15	20418	SLUZBY	\N	\N
1103144	3768	1998-04-30	VYDAJ	VYBER	15	19488	SLUZBY	\N	\N
1103145	3768	1998-05-31	VYDAJ	VYBER	15	35549	SLUZBY	\N	\N
1103146	3768	1998-06-30	VYDAJ	VYBER	15	84718	SLUZBY	\N	\N
1103147	3768	1998-07-31	VYDAJ	VYBER	15	44476	SLUZBY	\N	\N
1103148	3768	1998-08-31	VYDAJ	VYBER	15	26368	SLUZBY	\N	\N
1103149	3768	1998-09-30	VYDAJ	VYBER	15	34199	SLUZBY	\N	\N
1103150	3768	1998-10-31	VYDAJ	VYBER	15	46086	SLUZBY	\N	\N
1103151	3768	1998-11-30	VYDAJ	VYBER	15	32973	SLUZBY	\N	\N
1103152	3768	1997-07-06	PRIJEM	VKLAD	12400	12800	\N	\N	\N
1103153	3768	1997-08-05	VYDAJ	VYBER	31000	57430	\N	\N	\N
1103154	3768	1997-09-04	VYDAJ	VYBER	29800	54438	\N	\N	\N
1103155	3768	1997-09-18	VYDAJ	VYBER	31700	85283	\N	\N	\N
1103156	3768	1997-10-04	VYDAJ	VYBER	34000	55024	\N	\N	\N
1103157	3768	1997-11-03	VYDAJ	VYBER	22400	46258	\N	\N	\N
1103158	3768	1997-12-03	VYDAJ	VYBER	1700	26936	\N	\N	\N
1103159	3768	1998-01-02	VYDAJ	VYBER	1500	25995	\N	\N	\N
1103160	3768	1998-02-01	VYDAJ	VYBER	10800	28812	\N	\N	\N
1103161	3768	1998-03-03	VYDAJ	VYBER	17800	28674	\N	\N	\N
1103162	3768	1998-04-02	VYDAJ	VYBER	1000	19418	\N	\N	\N
1103163	3768	1998-05-02	PRIJEM	VKLAD	1200	20688	\N	\N	\N
1103164	3768	1998-06-01	VYDAJ	VYBER	6400	29149	\N	\N	\N
1103165	3768	1998-06-30	VYDAJ	VYBER	23100	84732	\N	\N	\N
1103166	3768	1998-07-01	VYDAJ	VYBER	34400	50318	\N	\N	\N
1103167	3768	1998-07-31	VYDAJ	VYBER	13200	31276	\N	\N	\N
1103168	3768	1998-08-30	VYDAJ	VYBER	24700	31001	\N	\N	\N
1103169	3768	1998-09-20	VYDAJ	VYBER	41600	65444	\N	\N	\N
1103170	3768	1998-09-29	VYDAJ	VYBER	26300	34044	\N	\N	\N
1103171	3768	1998-10-29	VYDAJ	VYBER	41800	45902	\N	\N	\N
1103172	3768	1998-11-19	VYDAJ	VYBER	63000	51086	\N	\N	\N
1103173	3768	1998-11-28	VYDAJ	VYBER	18300	32786	\N	\N	\N
1103192	3769	1996-05-14	PRIJEM	VKLAD	700	700	\N	\N	\N
1103198	3769	1996-06-07	PRIJEM	PREVOD Z UCTU	6851	7551	DUCHOD	KL	28827911
1103199	3769	1996-07-07	PRIJEM	PREVOD Z UCTU	6851	14402	DUCHOD	KL	28827911
1103200	3769	1996-08-07	PRIJEM	PREVOD Z UCTU	6851	21089	DUCHOD	KL	28827911
1103201	3769	1996-09-07	PRIJEM	PREVOD Z UCTU	6851	27999	DUCHOD	KL	28827911
1103202	3769	1996-10-07	PRIJEM	PREVOD Z UCTU	6851	31539	DUCHOD	KL	28827911
1103203	3769	1996-11-07	PRIJEM	PREVOD Z UCTU	6851	30630	DUCHOD	KL	28827911
1103204	3769	1996-12-07	PRIJEM	PREVOD Z UCTU	6851	32020	DUCHOD	KL	28827911
1103205	3769	1997-01-07	PRIJEM	PREVOD Z UCTU	6851	29519	DUCHOD	KL	28827911
1103206	3769	1997-02-07	PRIJEM	PREVOD Z UCTU	6851	19360	DUCHOD	KL	28827911
1103207	3769	1997-03-07	PRIJEM	PREVOD Z UCTU	6851	21171	DUCHOD	KL	28827911
1103208	3769	1997-04-07	PRIJEM	PREVOD Z UCTU	6851	24834	DUCHOD	KL	28827911
1103209	3769	1997-05-07	PRIJEM	PREVOD Z UCTU	6851	29708	DUCHOD	KL	28827911
1103210	3769	1997-06-07	PRIJEM	PREVOD Z UCTU	6851	34603	DUCHOD	KL	28827911
1103211	3769	1997-07-07	PRIJEM	PREVOD Z UCTU	6851	24982	DUCHOD	KL	28827911
1103212	3769	1997-08-07	PRIJEM	PREVOD Z UCTU	6851	27553	DUCHOD	KL	28827911
1103213	3769	1997-09-07	PRIJEM	PREVOD Z UCTU	6851	31038	DUCHOD	KL	28827911
1103214	3769	1997-10-07	PRIJEM	PREVOD Z UCTU	6851	31448	DUCHOD	KL	28827911
1103215	3769	1997-11-07	PRIJEM	PREVOD Z UCTU	6851	31571	DUCHOD	KL	28827911
1103216	3769	1997-12-07	PRIJEM	PREVOD Z UCTU	6851	33980	DUCHOD	KL	28827911
1103217	3769	1998-01-07	PRIJEM	PREVOD Z UCTU	6851	32658	DUCHOD	KL	28827911
1103218	3769	1998-02-07	PRIJEM	PREVOD Z UCTU	6851	27228	DUCHOD	KL	28827911
1103219	3769	1998-03-07	PRIJEM	PREVOD Z UCTU	6851	28132	DUCHOD	KL	28827911
1103220	3769	1998-04-07	PRIJEM	PREVOD Z UCTU	6851	28125	DUCHOD	KL	28827911
1103221	3769	1998-05-07	PRIJEM	PREVOD Z UCTU	6851	23621	DUCHOD	KL	28827911
1103222	3769	1998-06-07	PRIJEM	PREVOD Z UCTU	6851	18602	DUCHOD	KL	28827911
1103223	3769	1998-07-07	PRIJEM	PREVOD Z UCTU	6851	19362	DUCHOD	KL	28827911
1103224	3769	1998-08-07	PRIJEM	PREVOD Z UCTU	6851	20521	DUCHOD	KL	28827911
1103225	3769	1998-09-07	PRIJEM	PREVOD Z UCTU	6851	18284	DUCHOD	KL	28827911
1103226	3769	1998-10-07	PRIJEM	PREVOD Z UCTU	6851	23141	DUCHOD	KL	28827911
1103227	3769	1998-11-07	PRIJEM	PREVOD Z UCTU	6851	28008	DUCHOD	KL	28827911
1103228	3769	1998-12-07	PRIJEM	PREVOD Z UCTU	6851	29849	DUCHOD	KL	28827911
1103238	3769	1996-10-11	VYDAJ	PREVOD NA UCET	2050	23689	SIPO	CD	98724436
1103239	3769	1996-11-11	VYDAJ	PREVOD NA UCET	2050	25080	SIPO	CD	98724436
1103240	3769	1996-12-11	VYDAJ	PREVOD NA UCET	2050	25070	SIPO	CD	98724436
1103241	3769	1997-01-11	VYDAJ	PREVOD NA UCET	2050	22429	SIPO	CD	98724436
1103242	3769	1997-02-11	VYDAJ	PREVOD NA UCET	2050	17310	SIPO	CD	98724436
1103243	3769	1997-03-11	VYDAJ	PREVOD NA UCET	2050	17921	SIPO	CD	98724436
1103244	3769	1997-04-11	VYDAJ	PREVOD NA UCET	2050	22784	SIPO	CD	98724436
1103245	3769	1997-05-11	VYDAJ	PREVOD NA UCET	2050	27658	SIPO	CD	98724436
1103246	3769	1997-06-11	VYDAJ	PREVOD NA UCET	2050	25253	SIPO	CD	98724436
1103247	3769	1997-07-11	VYDAJ	PREVOD NA UCET	2050	20632	SIPO	CD	98724436
1103248	3769	1997-08-11	VYDAJ	PREVOD NA UCET	2050	24103	SIPO	CD	98724436
1103249	3769	1997-09-11	VYDAJ	PREVOD NA UCET	2050	28988	SIPO	CD	98724436
1103250	3769	1997-10-11	VYDAJ	PREVOD NA UCET	2050	29398	SIPO	CD	98724436
1103251	3769	1997-11-11	VYDAJ	PREVOD NA UCET	2050	29521	SIPO	CD	98724436
1103252	3769	1997-12-11	VYDAJ	PREVOD NA UCET	2050	29050	SIPO	CD	98724436
1103253	3769	1998-01-11	VYDAJ	PREVOD NA UCET	2050	26848	SIPO	CD	98724436
1103254	3769	1998-02-11	VYDAJ	PREVOD NA UCET	2050	23098	SIPO	CD	98724436
1103255	3769	1998-03-11	VYDAJ	PREVOD NA UCET	2050	26082	SIPO	CD	98724436
1103256	3769	1998-04-11	VYDAJ	PREVOD NA UCET	2050	26075	SIPO	CD	98724436
1103257	3769	1998-05-11	VYDAJ	PREVOD NA UCET	2050	21571	SIPO	CD	98724436
1103258	3769	1998-06-11	VYDAJ	PREVOD NA UCET	2050	16552	SIPO	CD	98724436
1103259	3769	1998-07-11	VYDAJ	PREVOD NA UCET	2050	17312	SIPO	CD	98724436
1103260	3769	1998-08-11	VYDAJ	PREVOD NA UCET	2050	18471	SIPO	CD	98724436
1103261	3769	1998-09-11	VYDAJ	PREVOD NA UCET	2050	16234	SIPO	CD	98724436
1103262	3769	1998-10-11	VYDAJ	PREVOD NA UCET	2050	21091	SIPO	CD	98724436
1103263	3769	1998-11-11	VYDAJ	PREVOD NA UCET	2050	25958	SIPO	CD	98724436
1103264	3769	1998-12-11	VYDAJ	PREVOD NA UCET	2050	27799	SIPO	CD	98724436
1103266	3769	1997-06-15	VYDAJ	VYBER	7200	18053	\N	\N	\N
1103269	3769	1997-01-28	VYDAJ	VYBER	3750	14279	\N	\N	\N
1103270	3769	1998-01-08	VYDAJ	VYBER	2800	29858	\N	\N	\N
1103271	3769	1996-12-23	VYDAJ	VYBER	1450	23620	\N	\N	\N
1103272	3769	1997-12-19	VYDAJ	VYBER	750	28300	\N	\N	\N
1103273	3769	1998-12-15	VYDAJ	VYBER	1300	26499	\N	\N	\N
1103281	3769	1997-01-12	VYDAJ	VYBER	2080	20349	\N	\N	\N
1103282	3769	1997-01-08	VYDAJ	VYBER	2240	27279	\N	\N	\N
1103283	3769	1997-01-25	VYDAJ	VYBER	800	19549	\N	\N	\N
1103284	3769	1997-01-28	VYDAJ	VYBER	1520	18029	\N	\N	\N
1103285	3769	1997-01-28	VYDAJ	VYBER	1840	12439	\N	\N	\N
1103286	3769	1998-01-04	VYDAJ	VYBER	1600	26807	\N	\N	\N
1103287	3769	1998-01-24	VYDAJ	VYBER	1360	22128	\N	\N	\N
1103288	3769	1998-01-13	VYDAJ	VYBER	1920	23488	\N	\N	\N
1103289	3769	1998-01-10	VYDAJ	VYBER	960	28898	\N	\N	\N
1103290	3769	1998-01-12	VYDAJ	VYBER	1440	25408	\N	\N	\N
1103291	3769	1998-01-25	VYDAJ	VYBER	640	21488	\N	\N	\N
1103292	3769	1996-12-29	VYDAJ	VYBER	1040	22580	\N	\N	\N
1103297	3769	1997-03-06	VYDAJ	VYBER	3040	14320	\N	\N	\N
1103298	3769	1997-09-12	VYDAJ	VYBER	3600	25388	\N	\N	\N
1103299	3769	1997-11-03	VYDAJ	VYBER	2080	27420	\N	\N	\N
1103300	3769	1997-09-29	VYDAJ	VYBER	880	24508	\N	\N	\N
1103301	3769	1997-12-10	VYDAJ	VYBER	2880	31100	\N	\N	\N
1103302	3769	1998-02-11	VYDAJ	VYBER	2080	25148	\N	\N	\N
1103303	3769	1998-12-30	VYDAJ	VYBER	3680	22819	\N	\N	\N
1103304	3769	1998-11-16	VYDAJ	VYBER	3040	22918	\N	\N	\N
1103315	3769	1996-10-31	VYDAJ	VYBER	15	23779	SLUZBY	\N	\N
1103316	3769	1996-11-30	VYDAJ	VYBER	15	25169	SLUZBY	\N	\N
1103317	3769	1996-12-31	VYDAJ	VYBER	15	22668	SLUZBY	\N	\N
1103318	3769	1997-01-31	VYDAJ	VYBER	15	12509	SLUZBY	\N	\N
1103319	3769	1997-02-28	VYDAJ	VYBER	15	17360	SLUZBY	\N	\N
1103320	3769	1997-03-31	VYDAJ	VYBER	15	17983	SLUZBY	\N	\N
1103321	3769	1997-04-30	VYDAJ	VYBER	15	22857	SLUZBY	\N	\N
1103322	3769	1997-05-31	VYDAJ	VYBER	15	27752	SLUZBY	\N	\N
1103323	3769	1997-06-30	VYDAJ	VYBER	15	18131	SLUZBY	\N	\N
1103324	3769	1997-07-31	VYDAJ	VYBER	15	20702	SLUZBY	\N	\N
1103325	3769	1997-08-31	VYDAJ	VYBER	15	24187	SLUZBY	\N	\N
1103326	3769	1997-09-30	VYDAJ	VYBER	15	24597	SLUZBY	\N	\N
1103327	3769	1997-10-31	VYDAJ	VYBER	15	29500	SLUZBY	\N	\N
1103328	3769	1997-11-30	VYDAJ	VYBER	15	29629	SLUZBY	\N	\N
1103329	3769	1997-12-31	VYDAJ	VYBER	15	28407	SLUZBY	\N	\N
1103330	3769	1998-01-31	VYDAJ	VYBER	15	21577	SLUZBY	\N	\N
1103331	3769	1998-02-28	VYDAJ	VYBER	15	23181	SLUZBY	\N	\N
1103332	3769	1998-03-31	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
1103333	3769	1998-04-30	VYDAJ	VYBER	15	26170	SLUZBY	\N	\N
1103334	3769	1998-05-31	VYDAJ	VYBER	15	21651	SLUZBY	\N	\N
1103335	3769	1998-06-30	VYDAJ	VYBER	15	16611	SLUZBY	\N	\N
1103336	3769	1998-07-31	VYDAJ	VYBER	15	17370	SLUZBY	\N	\N
1103337	3769	1998-08-31	VYDAJ	VYBER	15	18533	SLUZBY	\N	\N
1103338	3769	1998-09-30	VYDAJ	VYBER	15	16290	SLUZBY	\N	\N
1103339	3769	1998-10-31	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
1103340	3769	1998-11-30	VYDAJ	VYBER	15	22998	SLUZBY	\N	\N
1103341	3769	1996-07-13	VYDAJ	VYBER	200	14202	\N	\N	\N
1103342	3769	1996-09-11	VYDAJ	VYBER	3400	24599	\N	\N	\N
1103343	3769	1996-10-11	VYDAJ	VYBER	5800	25739	\N	\N	\N
1103344	3769	1996-11-10	VYDAJ	VYBER	3500	27130	\N	\N	\N
1103345	3769	1996-12-10	VYDAJ	VYBER	4900	27120	\N	\N	\N
1103346	3769	1997-01-09	VYDAJ	VYBER	2800	24479	\N	\N	\N
1103347	3769	1997-03-10	VYDAJ	VYBER	1200	19971	\N	\N	\N
1103348	3769	1997-06-08	VYDAJ	VYBER	7300	27303	\N	\N	\N
1103349	3769	1997-07-08	VYDAJ	VYBER	2300	22682	\N	\N	\N
1103350	3769	1997-08-07	VYDAJ	VYBER	1400	26153	\N	\N	\N
1103351	3769	1997-11-05	VYDAJ	VYBER	2700	24720	\N	\N	\N
1103352	3769	1997-12-05	VYDAJ	VYBER	2500	27129	\N	\N	\N
1103353	3769	1998-01-04	VYDAJ	VYBER	1000	25807	\N	\N	\N
1103354	3769	1998-02-03	VYDAJ	VYBER	1200	20377	\N	\N	\N
1103355	3769	1998-03-05	VYDAJ	VYBER	1900	21281	\N	\N	\N
1103356	3769	1998-04-04	VYDAJ	VYBER	4900	21274	\N	\N	\N
1103357	3769	1998-05-04	VYDAJ	VYBER	9400	16770	\N	\N	\N
1103358	3769	1998-06-03	VYDAJ	VYBER	9900	11751	\N	\N	\N
1103359	3769	1998-07-03	VYDAJ	VYBER	4100	12511	\N	\N	\N
1103360	3769	1998-08-02	VYDAJ	VYBER	3700	13670	\N	\N	\N
1103361	3769	1998-09-01	VYDAJ	VYBER	7100	11433	\N	\N	\N
1103392	3770	1995-09-20	PRIJEM	VKLAD	200	200	\N	\N	\N
1103402	3770	1995-10-05	PRIJEM	VKLAD	18089	18289	\N	\N	\N
1103403	3770	1995-11-05	PRIJEM	VKLAD	18089	41916	\N	\N	\N
1103404	3770	1995-12-05	PRIJEM	VKLAD	27134	62969	\N	\N	\N
1103405	3770	1996-01-05	PRIJEM	VKLAD	18089	63023	\N	\N	\N
1103406	3770	1996-02-05	PRIJEM	VKLAD	18089	66806	\N	\N	\N
1103407	3770	1996-03-05	PRIJEM	VKLAD	18089	63221	\N	\N	\N
1103408	3770	1996-04-05	PRIJEM	VKLAD	18089	53326	\N	\N	\N
1103409	3770	1996-05-05	PRIJEM	VKLAD	18089	51654	\N	\N	\N
1103410	3770	1996-06-05	PRIJEM	VKLAD	27134	61659	\N	\N	\N
1103411	3770	1996-07-05	PRIJEM	VKLAD	18089	35610	\N	\N	\N
1103412	3770	1996-08-05	PRIJEM	VKLAD	18089	44300	\N	\N	\N
1103413	3770	1996-09-05	PRIJEM	VKLAD	18089	50122	\N	\N	\N
1103414	3770	1996-10-05	PRIJEM	VKLAD	18089	56185	\N	\N	\N
1103415	3770	1996-11-05	PRIJEM	VKLAD	18089	58966	\N	\N	\N
1103416	3770	1996-12-05	PRIJEM	VKLAD	27134	73117	\N	\N	\N
1103417	3770	1997-01-05	PRIJEM	VKLAD	18089	66754	\N	\N	\N
1103418	3770	1997-02-05	PRIJEM	VKLAD	18089	48614	\N	\N	\N
1103419	3770	1997-03-05	PRIJEM	VKLAD	18089	52695	\N	\N	\N
1103420	3770	1997-04-05	PRIJEM	VKLAD	18089	61998	\N	\N	\N
1103421	3770	1997-05-05	PRIJEM	VKLAD	18089	63700	\N	\N	\N
1103422	3770	1997-06-05	PRIJEM	VKLAD	27134	76460	\N	\N	\N
1103423	3770	1997-07-05	PRIJEM	VKLAD	18089	66174	\N	\N	\N
1103424	3770	1997-08-05	PRIJEM	VKLAD	18089	72609	\N	\N	\N
1103425	3770	1997-09-05	PRIJEM	VKLAD	18089	75862	\N	\N	\N
1103426	3770	1997-10-05	PRIJEM	VKLAD	18089	76623	\N	\N	\N
1103427	3770	1997-11-05	PRIJEM	VKLAD	18089	75482	\N	\N	\N
1103428	3770	1997-12-05	PRIJEM	VKLAD	27134	84786	\N	\N	\N
1103429	3770	1998-01-05	PRIJEM	VKLAD	18089	76053	\N	\N	\N
1103430	3770	1998-02-05	PRIJEM	VKLAD	18089	72116	\N	\N	\N
1103431	3770	1998-03-05	PRIJEM	VKLAD	18089	76377	\N	\N	\N
1103432	3770	1998-04-05	PRIJEM	VKLAD	18089	79248	\N	\N	\N
1103433	3770	1998-05-05	PRIJEM	VKLAD	18089	81731	\N	\N	\N
1103434	3770	1998-06-05	PRIJEM	VKLAD	27134	77467	\N	\N	\N
1103435	3770	1998-07-05	PRIJEM	VKLAD	18089	84871	\N	\N	\N
1103436	3770	1998-08-05	PRIJEM	VKLAD	18089	89787	\N	\N	\N
1103437	3770	1998-09-05	PRIJEM	VKLAD	18089	100933	\N	\N	\N
1103438	3770	1998-10-05	PRIJEM	VKLAD	18089	111031	\N	\N	\N
1103439	3770	1998-11-05	PRIJEM	VKLAD	18089	117773	\N	\N	\N
1103440	3770	1998-12-05	PRIJEM	VKLAD	27134	110655	\N	\N	\N
1103454	3770	1996-02-13	VYDAJ	PREVOD NA UCET	9060	57746	SIPO	YZ	32996630
1103455	3770	1996-03-13	VYDAJ	PREVOD NA UCET	9060	51281	SIPO	YZ	32996630
1103456	3770	1996-04-13	VYDAJ	PREVOD NA UCET	9060	35626	SIPO	YZ	32996630
1103457	3770	1996-05-13	VYDAJ	PREVOD NA UCET	9060	42594	SIPO	YZ	32996630
1103458	3770	1996-06-13	VYDAJ	PREVOD NA UCET	9060	6839	SIPO	YZ	32996630
1103459	3770	1996-07-13	VYDAJ	PREVOD NA UCET	9060	26550	SIPO	YZ	32996630
1103460	3770	1996-08-13	VYDAJ	PREVOD NA UCET	9060	35240	SIPO	YZ	32996630
1103461	3770	1996-09-13	VYDAJ	PREVOD NA UCET	9060	41062	SIPO	YZ	32996630
1103462	3770	1996-10-13	VYDAJ	PREVOD NA UCET	9060	47125	SIPO	YZ	32996630
1103463	3770	1996-11-13	VYDAJ	PREVOD NA UCET	9060	49906	SIPO	YZ	32996630
1103464	3770	1996-12-13	VYDAJ	PREVOD NA UCET	9060	64057	SIPO	YZ	32996630
1103465	3770	1997-01-13	VYDAJ	PREVOD NA UCET	9060	43674	SIPO	YZ	32996630
1103466	3770	1997-02-13	VYDAJ	PREVOD NA UCET	9060	35554	SIPO	YZ	32996630
1103467	3770	1997-03-13	VYDAJ	PREVOD NA UCET	9060	43735	SIPO	YZ	32996630
1103468	3770	1997-04-13	VYDAJ	PREVOD NA UCET	9060	45438	SIPO	YZ	32996630
1103469	3770	1997-05-13	VYDAJ	PREVOD NA UCET	9060	49140	SIPO	YZ	32996630
1103470	3770	1997-06-13	VYDAJ	PREVOD NA UCET	9060	55400	SIPO	YZ	32996630
1103471	3770	1997-07-13	VYDAJ	PREVOD NA UCET	9060	54314	SIPO	YZ	32996630
1103472	3770	1997-08-13	VYDAJ	PREVOD NA UCET	9060	57549	SIPO	YZ	32996630
1103473	3770	1997-09-13	VYDAJ	PREVOD NA UCET	9060	58302	SIPO	YZ	32996630
1103474	3770	1997-10-13	VYDAJ	PREVOD NA UCET	9060	57163	SIPO	YZ	32996630
1103475	3770	1997-11-13	VYDAJ	PREVOD NA UCET	9060	57422	SIPO	YZ	32996630
1103476	3770	1997-12-13	VYDAJ	PREVOD NA UCET	9060	59526	SIPO	YZ	32996630
1103477	3770	1998-01-13	VYDAJ	PREVOD NA UCET	9060	56093	SIPO	YZ	32996630
1103478	3770	1998-02-13	VYDAJ	PREVOD NA UCET	9060	58056	SIPO	YZ	32996630
1103479	3770	1998-03-13	VYDAJ	PREVOD NA UCET	9060	60917	SIPO	YZ	32996630
1103480	3770	1998-04-13	VYDAJ	PREVOD NA UCET	9060	63388	SIPO	YZ	32996630
1103481	3770	1998-05-13	VYDAJ	PREVOD NA UCET	9060	71171	SIPO	YZ	32996630
1103482	3770	1998-06-13	VYDAJ	PREVOD NA UCET	9060	67207	SIPO	YZ	32996630
1103483	3770	1998-07-13	VYDAJ	PREVOD NA UCET	9060	71411	SIPO	YZ	32996630
1103484	3770	1998-08-13	VYDAJ	PREVOD NA UCET	9060	77727	SIPO	YZ	32996630
1103485	3770	1998-09-13	VYDAJ	PREVOD NA UCET	9060	91873	SIPO	YZ	32996630
1103486	3770	1998-10-13	VYDAJ	PREVOD NA UCET	9060	101971	SIPO	YZ	32996630
1103487	3770	1998-11-13	VYDAJ	PREVOD NA UCET	9060	76213	SIPO	YZ	32996630
1103488	3770	1998-12-13	VYDAJ	PREVOD NA UCET	9060	76195	SIPO	YZ	32996630
1103490	3770	1996-06-13	VYDAJ	VYBER	45760	15899	\N	\N	\N
1103491	3770	1997-06-28	VYDAJ	VYBER	6560	47880	\N	\N	\N
1103492	3770	1998-06-03	VYDAJ	VYBER	21120	50333	\N	\N	\N
1103494	3770	1996-12-21	VYDAJ	VYBER	2560	49077	\N	\N	\N
1103495	3770	1997-12-11	VYDAJ	VYBER KARTOU	3000	68586	\N	\N	0
1103496	3770	1998-12-16	VYDAJ	VYBER KARTOU	1000	75195	\N	\N	0
1103509	3770	1997-01-05	VYDAJ	VYBER	3120	63634	\N	\N	\N
1103510	3770	1997-01-17	VYDAJ	VYBER	3480	36714	\N	\N	\N
1103511	3770	1997-01-16	VYDAJ	VYBER	3480	40194	\N	\N	\N
1103512	3770	1997-01-25	VYDAJ	VYBER	3240	30354	\N	\N	\N
1103513	3770	1997-01-01	VYDAJ	VYBER	600	48665	\N	\N	\N
1103514	3770	1997-01-21	VYDAJ	VYBER	3120	33594	\N	\N	\N
1103515	3770	1998-01-02	VYDAJ	VYBER KARTOU	1800	57964	\N	\N	0
1103516	3770	1998-01-28	VYDAJ	VYBER KARTOU	1600	53793	\N	\N	0
1103517	3770	1998-01-08	VYDAJ	VYBER KARTOU	3400	68953	\N	\N	0
1103518	3770	1998-01-11	VYDAJ	VYBER KARTOU	3100	65153	\N	\N	0
1103519	3770	1998-01-28	VYDAJ	VYBER KARTOU	700	55393	\N	\N	0
1103520	3770	1998-01-10	VYDAJ	VYBER KARTOU	700	68253	\N	\N	0
1103524	3770	1996-04-08	VYDAJ	VYBER	3480	44686	\N	\N	\N
1103525	3770	1996-04-06	VYDAJ	VYBER	5160	48166	\N	\N	\N
1103526	3770	1996-07-16	VYDAJ	VYBER	3720	26130	\N	\N	\N
1103527	3770	1996-03-05	VYDAJ	VYBER	2880	60341	\N	\N	\N
1103528	3770	1996-08-21	VYDAJ	VYBER	3720	31920	\N	\N	\N
1103529	3770	1996-12-20	VYDAJ	VYBER	720	51637	\N	\N	\N
1103530	3770	1996-03-19	VYDAJ	VYBER	5520	35061	\N	\N	\N
1103531	3770	1997-02-09	VYDAJ	VYBER	5400	43214	\N	\N	\N
1103532	3770	1997-06-16	VYDAJ	VYBER	960	54440	\N	\N	\N
1103533	3770	1997-02-24	VYDAJ	VYBER	1080	34474	\N	\N	\N
1103534	3770	1998-06-20	VYDAJ	VYBER KARTOU	700	66507	\N	\N	0
1103535	3770	1998-11-14	VYDAJ	VYBER	5400	70813	\N	\N	\N
1103536	3770	1998-11-21	VYDAJ	VYBER KARTOU	3800	67013	\N	\N	0
1103551	3770	1996-02-29	VYDAJ	VYBER	15	45132	SLUZBY	\N	\N
1103552	3770	1996-03-31	VYDAJ	VYBER	15	35237	SLUZBY	\N	\N
1103553	3770	1996-04-30	VYDAJ	VYBER	15	33565	SLUZBY	\N	\N
1103554	3770	1996-05-31	VYDAJ	VYBER	15	34525	SLUZBY	\N	\N
1103555	3770	1996-06-30	VYDAJ	VYBER	15	17521	SLUZBY	\N	\N
1103556	3770	1996-07-31	VYDAJ	VYBER	15	26211	SLUZBY	\N	\N
1103557	3770	1996-08-31	VYDAJ	VYBER	15	32033	SLUZBY	\N	\N
1103558	3770	1996-09-30	VYDAJ	VYBER	15	38096	SLUZBY	\N	\N
1103559	3770	1996-10-31	VYDAJ	VYBER	15	40877	SLUZBY	\N	\N
1103560	3770	1996-11-30	VYDAJ	VYBER	15	45983	SLUZBY	\N	\N
1103561	3770	1996-12-31	VYDAJ	VYBER	15	49265	SLUZBY	\N	\N
1103562	3770	1997-01-31	VYDAJ	VYBER	15	30525	SLUZBY	\N	\N
1103563	3770	1997-02-28	VYDAJ	VYBER	15	34606	SLUZBY	\N	\N
1103564	3770	1997-03-31	VYDAJ	VYBER	15	43909	SLUZBY	\N	\N
1103565	3770	1997-04-30	VYDAJ	VYBER	15	45611	SLUZBY	\N	\N
1103566	3770	1997-05-31	VYDAJ	VYBER	15	49326	SLUZBY	\N	\N
1103567	3770	1997-06-30	VYDAJ	VYBER	15	48085	SLUZBY	\N	\N
1103568	3770	1997-07-31	VYDAJ	VYBER	15	54520	SLUZBY	\N	\N
1103569	3770	1997-08-31	VYDAJ	VYBER	15	57773	SLUZBY	\N	\N
1103570	3770	1997-09-30	VYDAJ	VYBER	15	58534	SLUZBY	\N	\N
1103571	3770	1997-10-31	VYDAJ	VYBER	15	57393	SLUZBY	\N	\N
1103572	3770	1997-11-30	VYDAJ	VYBER	15	57652	SLUZBY	\N	\N
1103573	3770	1997-12-31	VYDAJ	VYBER	15	59764	SLUZBY	\N	\N
1103574	3770	1998-01-31	VYDAJ	VYBER	15	54027	SLUZBY	\N	\N
1103575	3770	1998-02-28	VYDAJ	VYBER	15	58288	SLUZBY	\N	\N
1103576	3770	1998-03-31	VYDAJ	VYBER	15	61159	SLUZBY	\N	\N
1103577	3770	1998-04-30	VYDAJ	VYBER	15	63642	SLUZBY	\N	\N
1103578	3770	1998-05-31	VYDAJ	VYBER	15	71453	SLUZBY	\N	\N
1103579	3770	1998-06-30	VYDAJ	VYBER	15	66782	SLUZBY	\N	\N
1103580	3770	1998-07-31	VYDAJ	VYBER	15	71698	SLUZBY	\N	\N
1103581	3770	1998-08-31	VYDAJ	VYBER	15	78044	SLUZBY	\N	\N
1103582	3770	1998-09-30	VYDAJ	VYBER	15	92242	SLUZBY	\N	\N
1103583	3770	1998-10-31	VYDAJ	VYBER	15	102384	SLUZBY	\N	\N
1103584	3770	1998-11-30	VYDAJ	VYBER	15	67321	SLUZBY	\N	\N
1103585	3770	1995-10-20	PRIJEM	VKLAD	5500	23789	\N	\N	\N
1103586	3770	1995-11-19	VYDAJ	VYBER	6200	35716	\N	\N	\N
1103587	3770	1995-12-19	VYDAJ	VYBER	18200	44769	\N	\N	\N
1103588	3770	1996-01-18	VYDAJ	VYBER	14500	48523	\N	\N	\N
1103589	3770	1996-02-17	VYDAJ	VYBER	12800	44946	\N	\N	\N
1103590	3770	1996-03-18	VYDAJ	VYBER	10700	40581	\N	\N	\N
1103591	3770	1996-04-17	VYDAJ	VYBER	2200	33426	\N	\N	\N
1103592	3770	1996-05-17	VYDAJ	VYBER	8200	34394	\N	\N	\N
1103593	3770	1996-06-16	PRIJEM	VKLAD	10600	17439	\N	\N	\N
1103594	3770	1996-07-16	PRIJEM	VKLAD	3300	29850	\N	\N	\N
1103595	3770	1996-08-15	PRIJEM	VKLAD	400	35640	\N	\N	\N
1103596	3770	1996-09-14	VYDAJ	VYBER	3100	37962	\N	\N	\N
1103597	3770	1996-10-14	VYDAJ	VYBER	6400	40725	\N	\N	\N
1103598	3770	1996-11-13	VYDAJ	VYBER	4100	45806	\N	\N	\N
1103599	3770	1996-12-13	VYDAJ	VYBER	11700	52357	\N	\N	\N
1103600	3770	1997-01-12	VYDAJ	VYBER	10900	52734	\N	\N	\N
1103601	3770	1997-02-11	PRIJEM	VKLAD	1400	44614	\N	\N	\N
1103602	3770	1997-03-13	PRIJEM	VKLAD	100	52795	\N	\N	\N
1103603	3770	1997-04-12	VYDAJ	VYBER	7500	54498	\N	\N	\N
1103604	3770	1997-05-12	VYDAJ	VYBER	5500	58200	\N	\N	\N
1103605	3770	1997-06-11	VYDAJ	VYBER	12000	64460	\N	\N	\N
1103606	3770	1997-07-11	VYDAJ	VYBER	2800	63374	\N	\N	\N
1103607	3770	1997-08-10	VYDAJ	VYBER	6000	66609	\N	\N	\N
1103608	3770	1997-09-09	VYDAJ	VYBER	8500	67362	\N	\N	\N
1103609	3770	1997-10-09	VYDAJ	VYBER	10400	66223	\N	\N	\N
1103610	3770	1997-11-08	VYDAJ	VYBER	9000	66482	\N	\N	\N
1103611	3770	1997-12-08	VYDAJ	VYBER	13200	71586	\N	\N	\N
1103612	3770	1998-01-07	VYDAJ	VYBER KARTOU	3700	72353	\N	\N	0
1103613	3770	1998-02-06	VYDAJ	VYBER	5000	67116	\N	\N	\N
1103614	3770	1998-03-08	VYDAJ	VYBER	6400	69977	\N	\N	\N
1103615	3770	1998-04-07	VYDAJ	VYBER	6800	72448	\N	\N	\N
1103616	3770	1998-05-07	VYDAJ	VYBER KARTOU	1500	80231	\N	\N	0
1103617	3770	1998-06-06	VYDAJ	VYBER KARTOU	1200	76267	\N	\N	0
1103618	3770	1998-07-06	VYDAJ	VYBER	4400	80471	\N	\N	\N
1103619	3770	1998-08-05	VYDAJ	VYBER KARTOU	3000	86787	\N	\N	0
1103620	3770	1998-09-04	PRIJEM	VKLAD	4800	82844	\N	\N	\N
1103621	3770	1998-10-04	PRIJEM	VKLAD	700	92942	\N	\N	\N
1103622	3770	1998-11-03	VYDAJ	VYBER KARTOU	2700	99684	\N	\N	0
1103623	3770	1998-11-05	VYDAJ	VYBER	32500	85273	\N	\N	\N
1103624	3770	1998-12-03	PRIJEM	VKLAD	16200	83521	\N	\N	\N
1103625	3770	1998-12-05	VYDAJ	VYBER	25400	85255	\N	\N	\N
1103665	3771	1993-06-11	PRIJEM	VKLAD	700	700	\N	\N	\N
1103666	3771	1993-10-19	PRIJEM	VKLAD	16281	78957	\N	\N	\N
1103668	3771	1993-10-20	PRIJEM	VKLAD	14795	93752	\N	\N	\N
1103670	3771	1993-09-02	PRIJEM	VKLAD	20792	65104	\N	\N	\N
1103671	3771	1993-09-02	PRIJEM	VKLAD	33442	98546	\N	\N	\N
1103674	3771	1993-10-06	PRIJEM	VKLAD	17500	95845	\N	\N	\N
1103675	3771	1993-10-13	PRIJEM	VKLAD	14931	76176	\N	\N	\N
1103676	3771	1993-08-09	PRIJEM	VKLAD	15906	66221	\N	\N	\N
1103679	3771	1993-10-01	PRIJEM	VKLAD	26065	107758	\N	\N	\N
1103680	3771	1993-07-12	PRIJEM	VKLAD	37580	50180	\N	\N	\N
1103681	3771	1993-09-11	PRIJEM	VKLAD	22315	83161	\N	\N	\N
1103686	3771	1993-10-04	PRIJEM	VKLAD	30287	78345	\N	\N	\N
1103687	3771	1994-12-22	PRIJEM	VKLAD	24537	45917	\N	\N	\N
1103688	3771	1994-01-31	PRIJEM	VKLAD	43995	73745	\N	\N	\N
1103689	3771	1994-03-25	PRIJEM	VKLAD	25289	65553	\N	\N	\N
1103690	3771	1994-08-03	PRIJEM	VKLAD	24946	52198	\N	\N	\N
1103691	3771	1994-10-08	PRIJEM	VKLAD	26481	56871	\N	\N	\N
1103692	3771	1994-05-17	PRIJEM	VKLAD	14423	40048	\N	\N	\N
1103693	3771	1995-10-10	PRIJEM	VKLAD	8699	31967	\N	\N	\N
1103694	3771	1995-01-09	PRIJEM	VKLAD	23657	59783	\N	\N	\N
1103695	3771	1995-12-23	PRIJEM	VKLAD	30850	58710	\N	\N	\N
1103696	3771	1997-06-11	PRIJEM	VKLAD	37628	109909	\N	\N	\N
1103697	3771	1997-03-18	PRIJEM	VKLAD	11077	59989	\N	\N	\N
1103698	3771	1997-06-05	PRIJEM	VKLAD	26135	72281	\N	\N	\N
1103699	3771	1997-09-18	PRIJEM	VKLAD	40293	123948	\N	\N	\N
1103700	3771	1997-11-20	PRIJEM	VKLAD	42913	76990	\N	\N	\N
1103701	3771	1997-01-25	PRIJEM	VKLAD	45852	75700	\N	\N	\N
1103702	3771	1997-10-26	PRIJEM	VKLAD	44018	89625	\N	\N	\N
1103703	3771	1997-04-27	PRIJEM	VKLAD	20399	58523	\N	\N	\N
1103704	3771	1997-10-28	PRIJEM	VKLAD	36352	137923	\N	\N	\N
1103705	3771	1997-01-07	PRIJEM	VKLAD	9176	32048	\N	\N	\N
1103706	3771	1997-12-10	PRIJEM	VKLAD	5242	79011	\N	\N	\N
1103707	3771	1997-08-26	PRIJEM	VKLAD	43234	83482	\N	\N	\N
1103708	3771	1997-09-25	PRIJEM	VKLAD	33261	60449	\N	\N	\N
1103709	3771	1997-05-15	PRIJEM	VKLAD	38882	114985	\N	\N	\N
1103710	3771	1997-08-07	PRIJEM	VKLAD	25317	60448	\N	\N	\N
1103711	3771	1997-11-28	PRIJEM	VKLAD	23391	100381	\N	\N	\N
1103712	3771	1997-05-12	PRIJEM	VKLAD	29971	76103	\N	\N	\N
1103713	3771	1997-10-28	PRIJEM	VKLAD	11946	101571	\N	\N	\N
1103714	3771	1997-02-05	PRIJEM	VKLAD	32020	84058	\N	\N	\N
1103715	3771	1997-12-03	PRIJEM	VKLAD	30852	122769	\N	\N	\N
1103716	3771	1997-03-20	PRIJEM	VKLAD	26326	86315	\N	\N	\N
1103717	3771	1997-12-23	PRIJEM	VKLAD	16984	60486	\N	\N	\N
1103718	3771	1997-10-09	PRIJEM	VKLAD	12892	61307	\N	\N	\N
1103719	3771	1998-12-16	PRIJEM	VKLAD	35257	93710	\N	\N	\N
1103720	3771	1998-04-06	PRIJEM	VKLAD	8136	81367	\N	\N	\N
1103721	3771	1998-09-22	PRIJEM	VKLAD	41483	113057	\N	\N	\N
1103722	3771	1998-03-19	PRIJEM	VKLAD	26049	78855	\N	\N	\N
1103723	3771	1998-08-31	PRIJEM	VKLAD	39593	141380	\N	\N	\N
1103724	3771	1998-01-06	PRIJEM	VKLAD	26113	86851	\N	\N	\N
1103725	3771	1998-02-19	PRIJEM	VKLAD	13825	66895	\N	\N	\N
1103726	3771	1998-07-24	PRIJEM	VKLAD	7090	69587	\N	\N	\N
1103727	3771	1998-10-27	PRIJEM	VKLAD	48655	163152	\N	\N	\N
1103728	3771	1998-08-09	PRIJEM	VKLAD	14894	84808	\N	\N	\N
1103729	3771	1998-02-09	PRIJEM	VKLAD	22939	70170	\N	\N	\N
1103730	3771	1998-04-08	PRIJEM	VKLAD	44859	126226	\N	\N	\N
1103731	3771	1998-09-26	PRIJEM	VKLAD	35304	107730	\N	\N	\N
1103732	3771	1998-10-24	PRIJEM	VKLAD	45253	147497	\N	\N	\N
1103733	3771	1998-09-06	PRIJEM	VKLAD	30789	126491	\N	\N	\N
1103734	3771	1998-08-27	PRIJEM	VKLAD	22045	101787	\N	\N	\N
1103735	3771	1998-04-20	PRIJEM	VKLAD	23734	78117	\N	\N	\N
1103736	3771	1998-08-16	PRIJEM	VKLAD	19919	86627	\N	\N	\N
1103737	3771	1998-09-19	PRIJEM	VKLAD	16921	71574	\N	\N	\N
1103738	3771	1998-06-30	PRIJEM	VKLAD	24539	89962	\N	\N	\N
1103739	3771	1998-06-23	PRIJEM	VKLAD	21965	65068	\N	\N	\N
1103740	3771	1998-09-23	PRIJEM	VKLAD	11069	72426	\N	\N	\N
1103741	3771	1998-05-30	PRIJEM	VKLAD	45955	108756	\N	\N	\N
1103742	3771	1998-07-07	PRIJEM	VKLAD	48935	138882	\N	\N	\N
1103743	3771	1998-10-21	PRIJEM	VKLAD	44344	102244	\N	\N	\N
1103819	3771	1994-10-14	VYBER	VYBER	18530	38341	\N	\N	\N
1103823	3771	1995-01-20	VYBER	VYBER	23098	21085	\N	\N	\N
1103827	3771	1995-05-21	VYBER	VYBER	2962	21670	\N	\N	\N
1103838	3771	1997-11-06	VYBER	VYBER	16352	60078	\N	\N	\N
1103839	3771	1997-12-14	VYBER	VYBER	22909	56102	\N	\N	\N
1103841	3771	1997-11-07	VYBER	VYBER	24901	35177	\N	\N	\N
1103842	3771	1997-09-19	VYBER	VYBER	23260	27188	\N	\N	\N
1103843	3771	1997-01-31	VYBER	VYBER	13592	62253	\N	\N	\N
1103844	3771	1997-02-18	VYBER	VYBER	7015	77043	\N	\N	\N
1103845	3771	1998-07-10	VYBER	VYBER	22698	97584	\N	\N	\N
1103846	3771	1998-09-08	VYBER	VYBER	6738	65953	\N	\N	\N
1103847	3771	1998-01-21	VYBER	VYBER	3939	54212	\N	\N	\N
1103848	3771	1998-10-14	VYBER	VYBER	15764	57900	\N	\N	\N
1103849	3771	1998-08-26	VYBER	VYBER	6885	79742	\N	\N	\N
1103850	3771	1998-07-23	VYBER	VYBER	4687	66397	\N	\N	\N
1103851	3771	1998-03-21	VYBER	VYBER	5897	72958	\N	\N	\N
1103852	3771	1998-04-15	VYBER	VYBER	10143	64683	\N	\N	\N
1103853	3771	1998-06-08	VYBER	VYBER	23069	86003	\N	\N	\N
1103859	3771	1998-06-22	VYDAJ	VYBER	24000	43103	\N	\N	\N
1103862	3771	1995-01-11	VYDAJ	VYBER	15600	44183	\N	\N	\N
1103863	3771	1996-01-02	VYDAJ	VYBER	14400	23532	\N	\N	\N
1103866	3771	1993-12-26	VYDAJ	VYBER	4800	39437	\N	\N	\N
1103867	3771	1994-12-08	VYDAJ	VYBER	1800	21380	\N	\N	\N
1103868	3771	1995-12-23	VYDAJ	VYBER	7200	51510	\N	\N	\N
1103869	3771	1996-12-20	VYDAJ	VYBER	1500	22890	\N	\N	\N
1103870	3771	1997-12-02	VYDAJ	VYBER	8700	91917	\N	\N	\N
1103871	3771	1998-12-03	VYDAJ	VYBER	5400	67853	\N	\N	\N
1103874	3771	1993-09-19	VYDAJ	VYBER	1800	81361	\N	\N	\N
1103875	3771	1993-12-28	VYDAJ	VYBER	6300	33137	\N	\N	\N
1103876	3771	1993-10-14	VYDAJ	VYBER	13500	62676	\N	\N	\N
1103877	3771	1994-10-31	VYDAJ	VYBER	14400	24110	\N	\N	\N
1103878	3771	1994-05-05	VYDAJ	VYBER	11700	29525	\N	\N	\N
1103880	3771	1994-05-05	VYDAJ	VYBER	4500	41225	\N	\N	\N
1103889	3771	1996-11-26	VYDAJ	VYBER	3300	24292	\N	\N	\N
1103892	3771	1997-09-29	VYDAJ	VYBER	12300	48149	\N	\N	\N
1103893	3771	1997-02-01	VYDAJ	VYBER	1500	60738	\N	\N	\N
1103894	3771	1997-04-12	VYDAJ	VYBER	3000	55324	\N	\N	\N
1103895	3771	1997-06-20	VYDAJ	VYBER	10200	75009	\N	\N	\N
1103896	3771	1997-02-04	VYDAJ	VYBER	8700	52038	\N	\N	\N
1103897	3771	1997-05-08	VYDAJ	VYBER	12600	46132	\N	\N	\N
1103898	3771	1998-07-23	VYDAJ	VYBER	3900	62497	\N	\N	\N
1103899	3771	1998-01-27	VYDAJ	VYBER	7200	47012	\N	\N	\N
1103909	3771	1993-09-30	VYDAJ	VYBER	15	81693	SLUZBY	\N	\N
1103910	3771	1993-10-31	VYDAJ	VYBER	15	94064	SLUZBY	\N	\N
1103911	3771	1993-11-30	VYDAJ	VYBER	15	59337	SLUZBY	\N	\N
1103912	3771	1993-12-31	VYDAJ	VYBER	15	33350	SLUZBY	\N	\N
1103913	3771	1994-01-31	VYDAJ	VYBER	15	73875	SLUZBY	\N	\N
1103914	3771	1994-02-28	VYDAJ	VYBER	15	52264	SLUZBY	\N	\N
1103915	3771	1994-03-31	VYDAJ	VYBER	15	65769	SLUZBY	\N	\N
1103916	3771	1994-04-30	VYDAJ	VYBER	15	45725	SLUZBY	\N	\N
1103917	3771	1994-05-31	VYDAJ	VYBER	15	40185	SLUZBY	\N	\N
1103918	3771	1994-06-30	VYDAJ	VYBER	15	31436	SLUZBY	\N	\N
1103919	3771	1994-07-31	VYDAJ	VYBER	15	27252	SLUZBY	\N	\N
1103920	3771	1994-08-31	VYDAJ	VYBER	15	39641	SLUZBY	\N	\N
1103921	3771	1994-09-30	VYDAJ	VYBER	15	33990	SLUZBY	\N	\N
1103922	3771	1994-10-31	VYDAJ	VYBER	15	24095	SLUZBY	\N	\N
1103923	3771	1994-11-30	VYDAJ	VYBER	15	23580	SLUZBY	\N	\N
1103924	3771	1994-12-31	VYDAJ	VYBER	15	46026	SLUZBY	\N	\N
1103925	3771	1995-01-31	VYDAJ	VYBER	15	21223	SLUZBY	\N	\N
1103926	3771	1995-02-28	VYDAJ	VYBER	15	20296	SLUZBY	\N	\N
1103927	3771	1995-03-31	VYDAJ	VYBER	15	19566	SLUZBY	\N	\N
1103928	3771	1995-04-30	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
1103929	3771	1995-05-31	VYDAJ	VYBER	15	21748	SLUZBY	\N	\N
1103930	3771	1995-06-30	VYDAJ	VYBER	15	22523	SLUZBY	\N	\N
1103931	3771	1995-07-31	VYDAJ	VYBER	15	25802	SLUZBY	\N	\N
1103932	3771	1995-08-31	VYDAJ	VYBER	15	23685	SLUZBY	\N	\N
1103933	3771	1995-09-30	VYDAJ	VYBER	15	23268	SLUZBY	\N	\N
1103934	3771	1995-10-31	VYDAJ	VYBER	15	30151	SLUZBY	\N	\N
1103935	3771	1995-11-30	VYDAJ	VYBER	15	27860	SLUZBY	\N	\N
1103936	3771	1995-12-31	VYDAJ	VYBER	15	37932	SLUZBY	\N	\N
1103937	3771	1996-01-31	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
1103938	3771	1996-02-29	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
1103939	3771	1996-03-31	VYDAJ	VYBER	15	23023	SLUZBY	\N	\N
1103940	3771	1996-04-30	VYDAJ	VYBER	15	22702	SLUZBY	\N	\N
1103941	3771	1996-05-31	VYDAJ	VYBER	15	20680	SLUZBY	\N	\N
1103942	3771	1996-06-30	VYDAJ	VYBER	15	22851	SLUZBY	\N	\N
1103943	3771	1996-07-31	VYDAJ	VYBER	15	23029	SLUZBY	\N	\N
1103944	3771	1996-08-31	VYDAJ	VYBER	15	27009	SLUZBY	\N	\N
1103945	3771	1996-09-30	VYDAJ	VYBER	15	24805	SLUZBY	\N	\N
1103946	3771	1996-10-31	VYDAJ	VYBER	15	27592	SLUZBY	\N	\N
1103947	3771	1996-11-30	VYDAJ	VYBER	15	24390	SLUZBY	\N	\N
1103948	3771	1996-12-31	VYDAJ	VYBER	15	22872	SLUZBY	\N	\N
1103949	3771	1997-01-31	VYDAJ	VYBER	15	62238	SLUZBY	\N	\N
1103950	3771	1997-02-28	VYDAJ	VYBER	15	48912	SLUZBY	\N	\N
1103951	3771	1997-03-31	VYDAJ	VYBER	15	58324	SLUZBY	\N	\N
1103952	3771	1997-04-30	VYDAJ	VYBER	15	58732	SLUZBY	\N	\N
1103953	3771	1997-05-31	VYDAJ	VYBER	15	46146	SLUZBY	\N	\N
1103954	3771	1997-06-30	VYDAJ	VYBER	15	50839	SLUZBY	\N	\N
1103955	3771	1997-07-31	VYDAJ	VYBER	15	35131	SLUZBY	\N	\N
1103956	3771	1997-08-31	VYDAJ	VYBER	15	83655	SLUZBY	\N	\N
1103957	3771	1997-09-30	VYDAJ	VYBER	15	48415	SLUZBY	\N	\N
1103958	3771	1997-10-31	VYDAJ	VYBER	15	76430	SLUZBY	\N	\N
1103959	3771	1997-11-30	VYDAJ	VYBER	15	100617	SLUZBY	\N	\N
1103960	3771	1997-12-31	VYDAJ	VYBER	15	60738	SLUZBY	\N	\N
1103961	3771	1998-01-31	VYDAJ	VYBER	15	47231	SLUZBY	\N	\N
1103962	3771	1998-02-28	VYDAJ	VYBER	15	67106	SLUZBY	\N	\N
1103963	3771	1998-03-31	VYDAJ	VYBER	15	73231	SLUZBY	\N	\N
1103964	3771	1998-04-30	VYDAJ	VYBER	15	78401	SLUZBY	\N	\N
1103965	3771	1998-05-31	VYDAJ	VYBER	15	109072	SLUZBY	\N	\N
1103966	3771	1998-06-30	VYDAJ	VYBER	15	89947	SLUZBY	\N	\N
1103967	3771	1998-07-31	VYDAJ	VYBER	15	69914	SLUZBY	\N	\N
1103968	3771	1998-08-31	VYDAJ	VYBER	15	95702	SLUZBY	\N	\N
1103969	3771	1998-09-30	VYDAJ	VYBER	15	108064	SLUZBY	\N	\N
1103970	3771	1998-10-31	VYDAJ	VYBER	15	98864	SLUZBY	\N	\N
1103971	3771	1998-11-30	VYDAJ	VYBER	15	73253	SLUZBY	\N	\N
1103972	3771	1993-07-11	PRIJEM	VKLAD	11900	12600	\N	\N	\N
1103973	3771	1993-08-10	VYDAJ	VYBER	22100	44121	\N	\N	\N
1103974	3771	1993-09-09	VYDAJ	VYBER	37700	60846	\N	\N	\N
1103975	3771	1993-10-01	VYDAJ	VYBER	59700	48058	\N	\N	\N
1103976	3771	1993-10-09	VYDAJ	VYBER	34600	61245	\N	\N	\N
1103977	3771	1993-11-08	VYDAJ	VYBER	35100	58964	\N	\N	\N
1103978	3771	1993-12-08	VYDAJ	VYBER	15100	44237	\N	\N	\N
1103979	3771	1994-01-07	VYDAJ	VYBER	3600	29750	\N	\N	\N
1103980	3771	1994-02-06	VYDAJ	VYBER	21900	51975	\N	\N	\N
1103981	3771	1994-03-08	VYDAJ	VYBER	12000	40264	\N	\N	\N
1103982	3771	1994-04-07	VYDAJ	VYBER	20300	45469	\N	\N	\N
1103983	3771	1994-05-07	VYDAJ	VYBER	3900	25625	\N	\N	\N
1103984	3771	1994-06-06	VYDAJ	VYBER	8900	31285	\N	\N	\N
1103985	3771	1994-07-06	VYDAJ	VYBER	4300	27136	\N	\N	\N
1103986	3771	1994-08-05	VYDAJ	VYBER	12700	39498	\N	\N	\N
1103987	3771	1994-09-04	VYDAJ	VYBER	5800	33841	\N	\N	\N
1103988	3771	1994-10-04	VYDAJ	VYBER	3600	30390	\N	\N	\N
1103989	3771	1994-11-03	VYDAJ	VYBER	600	23495	\N	\N	\N
1103990	3771	1994-12-03	VYDAJ	VYBER	400	23180	\N	\N	\N
1103991	3771	1995-01-02	VYDAJ	VYBER	9900	36126	\N	\N	\N
1103992	3771	1995-02-01	VYDAJ	VYBER	1000	20223	\N	\N	\N
1103993	3771	1995-03-03	VYDAJ	VYBER	800	19496	\N	\N	\N
1103994	3771	1995-04-02	PRIJEM	VKLAD	3000	22566	\N	\N	\N
1103995	3771	1995-05-02	PRIJEM	VKLAD	2000	24632	\N	\N	\N
1103996	3771	1995-06-01	PRIJEM	VKLAD	700	22448	\N	\N	\N
1103997	3771	1995-07-01	PRIJEM	VKLAD	3200	25723	\N	\N	\N
1103998	3771	1995-07-31	VYDAJ	VYBER	2000	23802	\N	\N	\N
1103999	3771	1995-08-30	VYDAJ	VYBER	200	23602	\N	\N	\N
1104000	3771	1995-09-29	VYDAJ	VYBER	500	23185	\N	\N	\N
1104001	3771	1995-10-29	VYDAJ	VYBER	1900	30067	\N	\N	\N
1104002	3771	1995-11-28	VYDAJ	VYBER	2400	27751	\N	\N	\N
1104003	3771	1995-12-28	VYDAJ	VYBER	13700	37810	\N	\N	\N
1104004	3771	1996-01-27	VYDAJ	VYBER	300	23232	\N	\N	\N
1104005	3771	1996-02-26	VYDAJ	VYBER	1000	22364	\N	\N	\N
1104006	3771	1996-03-27	PRIJEM	VKLAD	500	22945	\N	\N	\N
1104007	3771	1996-04-26	VYDAJ	VYBER	400	22623	\N	\N	\N
1104008	3771	1996-05-26	VYDAJ	VYBER	2100	20602	\N	\N	\N
1104009	3771	1996-06-25	PRIJEM	VKLAD	2100	22780	\N	\N	\N
1104010	3771	1996-07-25	PRIJEM	VKLAD	100	22951	\N	\N	\N
1104011	3771	1996-08-24	PRIJEM	VKLAD	3900	26929	\N	\N	\N
1104012	3771	1996-09-23	VYDAJ	VYBER	2300	24709	\N	\N	\N
1104013	3771	1996-10-23	PRIJEM	VKLAD	2700	27505	\N	\N	\N
1104014	3771	1996-12-22	VYDAJ	VYBER	100	22790	\N	\N	\N
1104015	3771	1997-01-21	VYDAJ	VYBER	2200	29848	\N	\N	\N
1104016	3771	1997-02-20	VYDAJ	VYBER	28400	48643	\N	\N	\N
1104017	3771	1997-03-22	VYDAJ	VYBER	28200	58115	\N	\N	\N
1104018	3771	1997-04-21	VYDAJ	VYBER	17200	38124	\N	\N	\N
1104019	3771	1997-05-15	VYDAJ	VYBER	48900	66085	\N	\N	\N
1104020	3771	1997-05-21	VYDAJ	VYBER	20200	45885	\N	\N	\N
1104021	3771	1997-06-11	VYDAJ	VYBER	24700	85209	\N	\N	\N
1104022	3771	1997-06-20	VYDAJ	VYBER	24400	50609	\N	\N	\N
1104023	3771	1997-07-20	VYDAJ	VYBER	15900	34939	\N	\N	\N
1104024	3771	1997-08-19	VYDAJ	VYBER	20200	40248	\N	\N	\N
1104025	3771	1997-09-18	VYDAJ	VYBER	47100	50448	\N	\N	\N
1104026	3771	1997-09-18	VYDAJ	VYBER	26400	97548	\N	\N	\N
1104027	3771	1997-10-18	VYDAJ	VYBER	15700	45607	\N	\N	\N
1104028	3771	1997-10-28	VYDAJ	VYBER	61700	76223	\N	\N	\N
1104029	3771	1997-11-17	VYDAJ	VYBER	1100	34077	\N	\N	\N
1104030	3771	1997-12-03	VYDAJ	VYBER	49000	73769	\N	\N	\N
1104031	3771	1997-12-17	VYDAJ	VYBER	12600	43502	\N	\N	\N
1104032	3771	1998-01-16	VYDAJ	VYBER	28700	58151	\N	\N	\N
1104033	3771	1998-02-15	VYDAJ	VYBER	17100	53070	\N	\N	\N
1104034	3771	1998-03-17	VYDAJ	VYBER	14300	52806	\N	\N	\N
1104035	3771	1998-04-08	VYDAJ	VYBER	51400	74826	\N	\N	\N
1104036	3771	1998-04-16	VYDAJ	VYBER	10300	54383	\N	\N	\N
1104037	3771	1998-05-16	VYDAJ	VYBER	15600	62801	\N	\N	\N
1104038	3771	1998-06-15	VYDAJ	VYBER	18900	67103	\N	\N	\N
1104039	3771	1998-07-07	VYDAJ	VYBER	18600	120282	\N	\N	\N
1104040	3771	1998-07-15	VYDAJ	VYBER	26500	71084	\N	\N	\N
1104041	3771	1998-08-14	VYDAJ	VYBER	18100	66708	\N	\N	\N
1104042	3771	1998-08-31	VYDAJ	VYBER	46000	95717	\N	\N	\N
1104043	3771	1998-09-06	VYDAJ	VYBER	53800	72691	\N	\N	\N
1104044	3771	1998-09-13	VYDAJ	VYBER	11300	54653	\N	\N	\N
1104045	3771	1998-09-22	VYDAJ	VYBER	51700	61357	\N	\N	\N
1104046	3771	1998-10-13	VYDAJ	VYBER	34400	73664	\N	\N	\N
1104047	3771	1998-10-24	VYDAJ	VYBER	33000	114497	\N	\N	\N
1104048	3771	1998-10-27	VYDAJ	VYBER	64700	98452	\N	\N	\N
1104049	3771	1998-11-12	VYDAJ	VYBER	26000	72864	\N	\N	\N
1104050	3771	1998-12-12	VYDAJ	VYBER	9400	58453	\N	\N	\N
1104117	3772	1995-11-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1104129	3772	1995-12-10	PRIJEM	VKLAD	35361	36461	\N	\N	\N
1104130	3772	1996-01-10	PRIJEM	VKLAD	23574	55887	\N	\N	\N
1104131	3772	1996-02-10	PRIJEM	VKLAD	23574	63308	\N	\N	\N
1104132	3772	1996-03-10	PRIJEM	VKLAD	23574	67855	\N	\N	\N
1104133	3772	1996-04-10	PRIJEM	VKLAD	23574	64507	\N	\N	\N
1104134	3772	1996-05-10	PRIJEM	VKLAD	23574	64488	\N	\N	\N
1104135	3772	1996-06-10	PRIJEM	VKLAD	35361	75351	\N	\N	\N
1104136	3772	1996-07-10	PRIJEM	VKLAD	23574	46740	\N	\N	\N
1104137	3772	1996-08-10	PRIJEM	VKLAD	23574	55461	\N	\N	\N
1104138	3772	1996-09-10	PRIJEM	VKLAD	23574	55699	\N	\N	\N
1104139	3772	1996-10-10	PRIJEM	VKLAD	23574	62352	\N	\N	\N
1104140	3772	1996-11-10	PRIJEM	VKLAD	23574	65716	\N	\N	\N
1104141	3772	1996-12-10	PRIJEM	VKLAD	35361	77178	\N	\N	\N
1104142	3772	1997-01-10	PRIJEM	VKLAD	23574	69268	\N	\N	\N
1104143	3772	1997-02-10	PRIJEM	VKLAD	23574	48618	\N	\N	\N
1104144	3772	1997-03-10	PRIJEM	VKLAD	23574	57334	\N	\N	\N
1104145	3772	1997-04-10	PRIJEM	VKLAD	23574	61381	\N	\N	\N
1104146	3772	1997-05-10	PRIJEM	VKLAD	23574	65041	\N	\N	\N
1104147	3772	1997-06-10	PRIJEM	VKLAD	35361	75788	\N	\N	\N
1104148	3772	1997-07-10	PRIJEM	VKLAD	23574	51635	\N	\N	\N
1104149	3772	1997-08-10	PRIJEM	VKLAD	23574	55653	\N	\N	\N
1104150	3772	1997-09-10	PRIJEM	VKLAD	23574	55773	\N	\N	\N
1104151	3772	1997-10-10	PRIJEM	VKLAD	23574	59735	\N	\N	\N
1104152	3772	1997-11-10	PRIJEM	VKLAD	23574	56610	\N	\N	\N
1104153	3772	1997-12-10	PRIJEM	VKLAD	35361	72176	\N	\N	\N
1104154	3772	1998-01-10	PRIJEM	VKLAD	23574	68630	\N	\N	\N
1104155	3772	1998-02-10	PRIJEM	VKLAD	23574	58851	\N	\N	\N
1104156	3772	1998-03-10	PRIJEM	VKLAD	23574	56137	\N	\N	\N
1104157	3772	1998-04-10	PRIJEM	VKLAD	23574	51236	\N	\N	\N
1104158	3772	1998-05-10	PRIJEM	VKLAD	23574	51824	\N	\N	\N
1104159	3772	1998-06-10	PRIJEM	VKLAD	35361	57486	\N	\N	\N
1104160	3772	1998-07-10	PRIJEM	VKLAD	23574	41524	\N	\N	\N
1104161	3772	1998-08-10	PRIJEM	VKLAD	23574	40668	\N	\N	\N
1104162	3772	1998-09-10	PRIJEM	VKLAD	23574	43811	\N	\N	\N
1104163	3772	1998-10-10	PRIJEM	VKLAD	23574	44238	\N	\N	\N
1104164	3772	1998-11-10	PRIJEM	VKLAD	23574	46292	\N	\N	\N
1104165	3772	1998-12-10	PRIJEM	VKLAD	35361	53741	\N	\N	\N
1104181	3772	1996-04-10	VYDAJ	PREVOD NA UCET	7775	56732	SIPO	QR	93521964
1104182	3772	1996-05-10	VYDAJ	PREVOD NA UCET	7775	56713	SIPO	QR	93521964
1104183	3772	1996-06-10	VYDAJ	PREVOD NA UCET	7775	67576	SIPO	QR	93521964
1104184	3772	1996-07-10	VYDAJ	PREVOD NA UCET	7775	38965	SIPO	QR	93521964
1104185	3772	1996-08-10	VYDAJ	PREVOD NA UCET	7775	47686	SIPO	QR	93521964
1104186	3772	1996-09-10	VYDAJ	PREVOD NA UCET	7775	47924	SIPO	QR	93521964
1104187	3772	1996-10-10	VYDAJ	PREVOD NA UCET	7775	54577	SIPO	QR	93521964
1104188	3772	1996-11-10	VYDAJ	PREVOD NA UCET	7775	57941	SIPO	QR	93521964
1104189	3772	1996-12-10	VYDAJ	PREVOD NA UCET	7775	69403	SIPO	QR	93521964
1104190	3772	1997-01-10	VYDAJ	PREVOD NA UCET	7775	61493	SIPO	QR	93521964
1104191	3772	1997-02-10	VYDAJ	PREVOD NA UCET	7775	40843	SIPO	QR	93521964
1104192	3772	1997-03-10	VYDAJ	PREVOD NA UCET	7775	49559	SIPO	QR	93521964
1104193	3772	1997-04-10	VYDAJ	PREVOD NA UCET	7775	53606	SIPO	QR	93521964
1104194	3772	1997-05-10	VYDAJ	PREVOD NA UCET	7775	57266	SIPO	QR	93521964
1104195	3772	1997-06-10	VYDAJ	PREVOD NA UCET	7775	68013	SIPO	QR	93521964
1104196	3772	1997-07-10	VYDAJ	PREVOD NA UCET	7775	43860	SIPO	QR	93521964
1104197	3772	1997-08-10	VYDAJ	PREVOD NA UCET	7775	47878	SIPO	QR	93521964
1104198	3772	1997-09-10	VYDAJ	PREVOD NA UCET	7775	47998	SIPO	QR	93521964
1104199	3772	1997-10-10	VYDAJ	PREVOD NA UCET	7775	42460	SIPO	QR	93521964
1104200	3772	1997-11-10	VYDAJ	PREVOD NA UCET	7775	48835	SIPO	QR	93521964
1104201	3772	1997-12-10	VYDAJ	PREVOD NA UCET	7775	64401	SIPO	QR	93521964
1104202	3772	1998-01-10	VYDAJ	PREVOD NA UCET	7775	60855	SIPO	QR	93521964
1104203	3772	1998-02-10	VYDAJ	PREVOD NA UCET	7775	51076	SIPO	QR	93521964
1104204	3772	1998-03-10	VYDAJ	PREVOD NA UCET	7775	48362	SIPO	QR	93521964
1104205	3772	1998-04-10	VYDAJ	PREVOD NA UCET	7775	43461	SIPO	QR	93521964
1104206	3772	1998-05-10	VYDAJ	PREVOD NA UCET	7775	44049	SIPO	QR	93521964
1104207	3772	1998-06-10	VYDAJ	PREVOD NA UCET	7775	49711	SIPO	QR	93521964
1104208	3772	1998-07-10	VYDAJ	PREVOD NA UCET	7775	33749	SIPO	QR	93521964
1104209	3772	1998-08-10	VYDAJ	PREVOD NA UCET	7775	32893	SIPO	QR	93521964
1104210	3772	1998-09-10	VYDAJ	PREVOD NA UCET	7775	36036	SIPO	QR	93521964
1104211	3772	1998-10-10	VYDAJ	PREVOD NA UCET	7775	36463	SIPO	QR	93521964
1104212	3772	1998-11-10	VYDAJ	PREVOD NA UCET	7775	38517	SIPO	QR	93521964
1104213	3772	1998-12-10	VYDAJ	PREVOD NA UCET	7775	45966	SIPO	QR	93521964
1104215	3772	1996-06-28	VYDAJ	VYBER	24100	22976	\N	\N	\N
1104216	3772	1997-06-18	VYDAJ	VYBER	8700	37313	\N	\N	\N
1104217	3772	1998-06-12	VYDAJ	VYBER	17400	32311	\N	\N	\N
1104220	3772	1997-01-14	VYDAJ	VYBER	9300	33393	\N	\N	\N
1104221	3772	1998-01-30	VYDAJ	VYBER	4400	46855	\N	\N	\N
1104223	3772	1996-12-04	VYDAJ	VYBER	700	41817	\N	\N	\N
1104224	3772	1997-12-04	VYDAJ	VYBER	2500	46515	\N	\N	\N
1104225	3772	1998-12-20	VYDAJ	VYBER	2700	43266	\N	\N	\N
1104238	3772	1997-01-14	VYDAJ	VYBER	1800	31593	\N	\N	\N
1104239	3772	1997-01-29	VYDAJ	VYBER	1100	24893	\N	\N	\N
1104240	3772	1997-01-14	VYDAJ	VYBER	900	42693	\N	\N	\N
1104241	3772	1997-01-25	VYDAJ	VYBER	2400	25993	\N	\N	\N
1104242	3772	1997-01-25	VYDAJ	VYBER	1200	28393	\N	\N	\N
1104243	3772	1997-01-20	VYDAJ	VYBER	2000	29593	\N	\N	\N
1104244	3772	1998-01-28	VYDAJ	VYBER	2800	51255	\N	\N	\N
1104245	3772	1998-01-11	VYDAJ	VYBER	2400	58455	\N	\N	\N
1104246	3772	1998-01-21	VYDAJ	VYBER	2500	54855	\N	\N	\N
1104247	3772	1998-01-15	VYDAJ	VYBER	1100	57355	\N	\N	\N
1104248	3772	1998-01-07	VYDAJ	VYBER	2300	62356	\N	\N	\N
1104249	3772	1998-01-26	VYDAJ	VYBER	800	54055	\N	\N	\N
1104253	3772	1996-12-01	VYDAJ	VYBER	2500	42517	\N	\N	\N
1104255	3772	1996-09-08	VYDAJ	VYBER	3500	32125	\N	\N	\N
1104256	3772	1996-12-14	VYDAJ	VYBER	800	47303	\N	\N	\N
1104257	3772	1996-05-17	VYDAJ	VYBER	3900	52813	\N	\N	\N
1104258	3772	1996-12-25	VYDAJ	VYBER	1800	45503	\N	\N	\N
1104259	3772	1996-08-17	VYDAJ	VYBER	2600	35486	\N	\N	\N
1104260	3772	1997-01-13	VYDAJ	VYBER	1100	43593	\N	\N	\N
1104261	3772	1997-03-14	VYDAJ	VYBER	3900	37659	\N	\N	\N
1104262	3772	1997-08-12	VYDAJ	VYBER	4800	32078	\N	\N	\N
1104263	3772	1997-06-24	VYDAJ	VYBER	1900	30613	\N	\N	\N
1104264	3772	1997-02-17	VYDAJ	VYBER	1900	33643	\N	\N	\N
1104265	3772	1997-06-24	VYDAJ	VYBER	2700	27913	\N	\N	\N
1104266	3772	1997-06-19	VYDAJ	VYBER	4800	32513	\N	\N	\N
1104267	3772	1998-05-20	VYDAJ	VYBER	1000	43049	\N	\N	\N
1104268	3772	1998-09-23	VYDAJ	VYBER	2000	34036	\N	\N	\N
1104269	3772	1998-03-24	VYDAJ	VYBER	3900	44462	\N	\N	\N
1104270	3772	1998-02-03	VYDAJ	VYBER	2800	44277	\N	\N	\N
1104287	3772	1996-04-30	VYDAJ	VYBER	15	40914	SLUZBY	\N	\N
1104288	3772	1996-05-31	VYDAJ	VYBER	15	39990	SLUZBY	\N	\N
1104289	3772	1996-06-30	VYDAJ	VYBER	15	23166	SLUZBY	\N	\N
1104290	3772	1996-07-31	VYDAJ	VYBER	15	31887	SLUZBY	\N	\N
1104291	3772	1996-08-31	VYDAJ	VYBER	15	35625	SLUZBY	\N	\N
1104292	3772	1996-09-30	VYDAJ	VYBER	15	38778	SLUZBY	\N	\N
1104293	3772	1996-10-31	VYDAJ	VYBER	15	42142	SLUZBY	\N	\N
1104294	3772	1996-11-30	VYDAJ	VYBER	15	45017	SLUZBY	\N	\N
1104295	3772	1996-12-31	VYDAJ	VYBER	15	45694	SLUZBY	\N	\N
1104296	3772	1997-01-31	VYDAJ	VYBER	15	25044	SLUZBY	\N	\N
1104297	3772	1997-02-28	VYDAJ	VYBER	15	33760	SLUZBY	\N	\N
1104298	3772	1997-03-31	VYDAJ	VYBER	15	37807	SLUZBY	\N	\N
1104299	3772	1997-04-30	VYDAJ	VYBER	15	41467	SLUZBY	\N	\N
1104300	3772	1997-05-31	VYDAJ	VYBER	15	40427	SLUZBY	\N	\N
1104301	3772	1997-06-30	VYDAJ	VYBER	15	28061	SLUZBY	\N	\N
1104302	3772	1997-07-31	VYDAJ	VYBER	15	32079	SLUZBY	\N	\N
1104303	3772	1997-08-31	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
1104304	3772	1997-09-30	VYDAJ	VYBER	15	36161	SLUZBY	\N	\N
1104305	3772	1997-10-31	VYDAJ	VYBER	15	42636	SLUZBY	\N	\N
1104306	3772	1997-11-30	VYDAJ	VYBER	15	49015	SLUZBY	\N	\N
1104307	3772	1997-12-31	VYDAJ	VYBER	15	64656	SLUZBY	\N	\N
1104308	3772	1998-01-31	VYDAJ	VYBER	15	47077	SLUZBY	\N	\N
1104309	3772	1998-02-28	VYDAJ	VYBER	15	51263	SLUZBY	\N	\N
1104310	3772	1998-03-31	VYDAJ	VYBER	15	44662	SLUZBY	\N	\N
1104311	3772	1998-04-30	VYDAJ	VYBER	15	43650	SLUZBY	\N	\N
1104312	3772	1998-05-31	VYDAJ	VYBER	15	43225	SLUZBY	\N	\N
1104313	3772	1998-06-30	VYDAJ	VYBER	15	32450	SLUZBY	\N	\N
1104314	3772	1998-07-31	VYDAJ	VYBER	15	33894	SLUZBY	\N	\N
1104315	3772	1998-08-31	VYDAJ	VYBER	15	33037	SLUZBY	\N	\N
1104316	3772	1998-09-30	VYDAJ	VYBER	15	34164	SLUZBY	\N	\N
1104317	3772	1998-10-31	VYDAJ	VYBER	15	36618	SLUZBY	\N	\N
1104318	3772	1998-11-30	VYDAJ	VYBER	15	38680	SLUZBY	\N	\N
1104319	3772	1995-12-20	VYDAJ	VYBER	4200	32261	\N	\N	\N
1104320	3772	1996-01-19	VYDAJ	VYBER	16300	39587	\N	\N	\N
1104321	3772	1996-02-18	VYDAJ	VYBER	19200	44108	\N	\N	\N
1104322	3772	1996-03-19	VYDAJ	VYBER	27100	40755	\N	\N	\N
1104323	3772	1996-04-18	VYDAJ	VYBER	16000	40732	\N	\N	\N
1104324	3772	1996-05-18	VYDAJ	VYBER	13000	39813	\N	\N	\N
1104325	3772	1996-06-17	VYDAJ	VYBER	20500	47076	\N	\N	\N
1104326	3772	1996-07-17	VYDAJ	VYBER	7200	31765	\N	\N	\N
1104327	3772	1996-08-16	VYDAJ	VYBER	9600	38086	\N	\N	\N
1104328	3772	1996-09-15	VYDAJ	VYBER	9300	38624	\N	\N	\N
1104329	3772	1996-10-15	VYDAJ	VYBER	12600	41977	\N	\N	\N
1104330	3772	1996-11-14	VYDAJ	VYBER	13100	44841	\N	\N	\N
1104331	3772	1996-12-14	VYDAJ	VYBER	21300	48103	\N	\N	\N
1104332	3772	1997-01-13	VYDAJ	VYBER	16800	44693	\N	\N	\N
1104333	3772	1997-02-12	VYDAJ	VYBER	5300	35543	\N	\N	\N
1104334	3772	1997-03-14	VYDAJ	VYBER	8000	41559	\N	\N	\N
1104335	3772	1997-04-13	VYDAJ	VYBER	12300	41306	\N	\N	\N
1104336	3772	1997-05-13	VYDAJ	VYBER	17000	40266	\N	\N	\N
1104337	3772	1997-06-12	VYDAJ	VYBER	22000	46013	\N	\N	\N
1104338	3772	1997-07-12	VYDAJ	VYBER	11900	31960	\N	\N	\N
1104339	3772	1997-08-11	VYDAJ	VYBER	11000	36878	\N	\N	\N
1104340	3772	1997-09-10	VYDAJ	VYBER	12000	35998	\N	\N	\N
1104341	3772	1997-10-10	VYDAJ	VYBER	9500	50235	\N	\N	\N
1104342	3772	1997-11-09	VYDAJ	VYBER	9600	33036	\N	\N	\N
1104343	3772	1997-12-09	VYDAJ	VYBER	9700	36815	\N	\N	\N
1104344	3772	1998-01-08	VYDAJ	VYBER	17300	45056	\N	\N	\N
1104345	3772	1998-02-07	VYDAJ	VYBER	9000	35277	\N	\N	\N
1104346	3772	1998-03-09	VYDAJ	VYBER	18700	32563	\N	\N	\N
1104347	3772	1998-04-08	VYDAJ	VYBER	17000	27662	\N	\N	\N
1104348	3772	1998-05-08	VYDAJ	VYBER	15400	28250	\N	\N	\N
1104349	3772	1998-06-07	VYDAJ	VYBER	21100	22125	\N	\N	\N
1104350	3772	1998-07-07	VYDAJ	VYBER	14500	17950	\N	\N	\N
1104351	3772	1998-08-06	VYDAJ	VYBER	16800	17094	\N	\N	\N
1104352	3772	1998-09-05	VYDAJ	VYBER	12800	20237	\N	\N	\N
1104353	3772	1998-10-05	VYDAJ	VYBER	13500	20664	\N	\N	\N
1104354	3772	1998-11-04	VYDAJ	VYBER	13900	22718	\N	\N	\N
1104355	3772	1998-12-04	VYDAJ	VYBER	20300	18380	\N	\N	\N
1104393	3773	1997-05-04	PRIJEM	VKLAD	700	700	\N	\N	\N
1104398	3773	1997-05-07	PRIJEM	PREVOD Z UCTU	5791	6491	DUCHOD	GH	25117057
1104399	3773	1997-06-07	PRIJEM	PREVOD Z UCTU	5791	12304	DUCHOD	GH	25117057
1104400	3773	1997-07-07	PRIJEM	PREVOD Z UCTU	5791	18122	DUCHOD	GH	25117057
1104401	3773	1997-08-07	PRIJEM	PREVOD Z UCTU	5791	23940	DUCHOD	GH	25117057
1104402	3773	1997-09-07	PRIJEM	PREVOD Z UCTU	5791	29758	DUCHOD	GH	25117057
1104403	3773	1997-10-07	PRIJEM	PREVOD Z UCTU	5791	31106	DUCHOD	GH	25117057
1104404	3773	1997-11-07	PRIJEM	PREVOD Z UCTU	5791	33849	DUCHOD	GH	25117057
1104405	3773	1997-12-07	PRIJEM	PREVOD Z UCTU	5791	34703	DUCHOD	GH	25117057
1104406	3773	1998-01-07	PRIJEM	PREVOD Z UCTU	5791	32643	DUCHOD	GH	25117057
1104407	3773	1998-02-07	PRIJEM	PREVOD Z UCTU	5791	23576	DUCHOD	GH	25117057
1104408	3773	1998-03-07	PRIJEM	PREVOD Z UCTU	5791	26294	DUCHOD	GH	25117057
1104409	3773	1998-04-07	PRIJEM	PREVOD Z UCTU	5791	22851	DUCHOD	GH	25117057
1104410	3773	1998-05-07	PRIJEM	PREVOD Z UCTU	5791	23720	DUCHOD	GH	25117057
1104411	3773	1998-06-07	PRIJEM	PREVOD Z UCTU	5791	26433	DUCHOD	GH	25117057
1104412	3773	1998-07-07	PRIJEM	PREVOD Z UCTU	5791	17170	DUCHOD	GH	25117057
1104413	3773	1998-08-07	PRIJEM	PREVOD Z UCTU	5791	19855	DUCHOD	GH	25117057
1104414	3773	1998-09-07	PRIJEM	PREVOD Z UCTU	5791	21031	DUCHOD	GH	25117057
1104415	3773	1998-10-07	PRIJEM	PREVOD Z UCTU	5791	22296	DUCHOD	GH	25117057
1104416	3773	1998-11-07	PRIJEM	PREVOD Z UCTU	5791	25002	DUCHOD	GH	25117057
1104417	3773	1998-12-07	PRIJEM	PREVOD Z UCTU	5791	27720	DUCHOD	GH	25117057
1104426	3773	1997-09-12	VYDAJ	PREVOD NA UCET	3146	26612	SIPO	MN	19248593
1104427	3773	1997-10-12	VYDAJ	PREVOD NA UCET	3146	27960	SIPO	MN	19248593
1104428	3773	1997-11-12	VYDAJ	PREVOD NA UCET	3146	30703	SIPO	MN	19248593
1104429	3773	1997-12-12	VYDAJ	PREVOD NA UCET	3146	31557	SIPO	MN	19248593
1104430	3773	1998-01-12	VYDAJ	PREVOD NA UCET	3146	24497	SIPO	MN	19248593
1104431	3773	1998-02-12	VYDAJ	PREVOD NA UCET	3146	20430	SIPO	MN	19248593
1104432	3773	1998-03-12	VYDAJ	PREVOD NA UCET	3146	20108	SIPO	MN	19248593
1104433	3773	1998-04-12	VYDAJ	PREVOD NA UCET	3146	17865	SIPO	MN	19248593
1104434	3773	1998-05-12	VYDAJ	PREVOD NA UCET	3146	20574	SIPO	MN	19248593
1104435	3773	1998-06-12	VYDAJ	PREVOD NA UCET	3146	11337	SIPO	MN	19248593
1104436	3773	1998-07-12	VYDAJ	PREVOD NA UCET	3146	14024	SIPO	MN	19248593
1104437	3773	1998-08-12	VYDAJ	PREVOD NA UCET	3146	16709	SIPO	MN	19248593
1104438	3773	1998-09-12	VYDAJ	PREVOD NA UCET	3146	17885	SIPO	MN	19248593
1104439	3773	1998-10-12	VYDAJ	PREVOD NA UCET	3146	19150	SIPO	MN	19248593
1104440	3773	1998-11-12	VYDAJ	PREVOD NA UCET	3146	21856	SIPO	MN	19248593
1104441	3773	1998-12-12	VYDAJ	PREVOD NA UCET	3146	23224	SIPO	MN	19248593
1104443	3773	1998-06-07	VYDAJ	VYBER	11950	14483	\N	\N	\N
1104445	3773	1998-01-11	VYDAJ	VYBER	2200	27643	\N	\N	\N
1104446	3773	1997-12-20	VYDAJ	VYBER	1050	30507	\N	\N	\N
1104447	3773	1998-12-09	VYDAJ	VYBER	1350	26370	\N	\N	\N
1104454	3773	1998-01-13	VYDAJ	VYBER	480	24017	\N	\N	\N
1104455	3773	1998-01-09	VYDAJ	VYBER	1120	31523	\N	\N	\N
1104456	3773	1998-01-25	VYDAJ	VYBER	1280	22017	\N	\N	\N
1104457	3773	1998-01-09	VYDAJ	VYBER	1680	29843	\N	\N	\N
1104458	3773	1998-01-15	VYDAJ	VYBER	720	23297	\N	\N	\N
1104459	3773	1998-01-26	VYDAJ	VYBER	880	21137	\N	\N	\N
1104462	3773	1997-09-16	VYDAJ	VYBER	1360	25252	\N	\N	\N
1104464	3773	1997-12-21	VYDAJ	VYBER	3760	26747	\N	\N	\N
1104466	3773	1998-04-03	VYDAJ	VYBER	3120	17060	\N	\N	\N
1104467	3773	1998-04-09	VYDAJ	VYBER	1840	21011	\N	\N	\N
1104468	3773	1998-09-06	VYDAJ	VYBER	1520	15240	\N	\N	\N
1104469	3773	1998-09-27	VYDAJ	VYBER	1440	16445	\N	\N	\N
1104470	3773	1998-03-07	VYDAJ	VYBER	3040	23254	\N	\N	\N
1104471	3773	1998-02-03	VYDAJ	VYBER	3440	17785	\N	\N	\N
1104481	3773	1997-09-30	VYDAJ	VYBER	15	25315	SLUZBY	\N	\N
1104482	3773	1997-10-31	VYDAJ	VYBER	15	28058	SLUZBY	\N	\N
1104483	3773	1997-11-30	VYDAJ	VYBER	15	30812	SLUZBY	\N	\N
1104484	3773	1997-12-31	VYDAJ	VYBER	15	26852	SLUZBY	\N	\N
1104485	3773	1998-01-31	VYDAJ	VYBER	15	21225	SLUZBY	\N	\N
1104486	3773	1998-02-28	VYDAJ	VYBER	15	20503	SLUZBY	\N	\N
1104487	3773	1998-03-31	VYDAJ	VYBER	15	20180	SLUZBY	\N	\N
1104488	3773	1998-04-30	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
1104489	3773	1998-05-31	VYDAJ	VYBER	15	20642	SLUZBY	\N	\N
1104490	3773	1998-06-30	VYDAJ	VYBER	15	11379	SLUZBY	\N	\N
1104491	3773	1998-07-31	VYDAJ	VYBER	15	14064	SLUZBY	\N	\N
1104492	3773	1998-08-31	VYDAJ	VYBER	15	16760	SLUZBY	\N	\N
1104493	3773	1998-09-30	VYDAJ	VYBER	15	16505	SLUZBY	\N	\N
1104494	3773	1998-10-31	VYDAJ	VYBER	15	19211	SLUZBY	\N	\N
1104495	3773	1998-11-30	VYDAJ	VYBER	15	21929	SLUZBY	\N	\N
1104496	3773	1997-11-30	VYDAJ	VYBER	1900	28912	\N	\N	\N
1104517	3774	1996-08-30	PRIJEM	VKLAD	300	300	\N	\N	\N
1104526	3774	1996-09-08	PRIJEM	VKLAD	12940	13240	\N	\N	\N
1104527	3774	1996-10-08	PRIJEM	VKLAD	12940	34086	\N	\N	\N
1104528	3774	1996-11-08	PRIJEM	VKLAD	12940	45919	\N	\N	\N
1104529	3774	1996-12-08	PRIJEM	VKLAD	19410	57568	\N	\N	\N
1104530	3774	1997-01-08	PRIJEM	VKLAD	12940	53067	\N	\N	\N
1104531	3774	1997-02-08	PRIJEM	VKLAD	12940	34273	\N	\N	\N
1104532	3774	1997-03-08	PRIJEM	VKLAD	12940	29019	\N	\N	\N
1104533	3774	1997-04-08	PRIJEM	VKLAD	12940	29432	\N	\N	\N
1104534	3774	1997-05-08	PRIJEM	VKLAD	12940	31647	\N	\N	\N
1104535	3774	1997-06-08	PRIJEM	VKLAD	19410	37735	\N	\N	\N
1104536	3774	1997-07-08	PRIJEM	VKLAD	12940	35075	\N	\N	\N
1104537	3774	1997-08-08	PRIJEM	VKLAD	12940	36112	\N	\N	\N
1104538	3774	1997-09-08	PRIJEM	VKLAD	12940	30350	\N	\N	\N
1104539	3774	1997-10-08	PRIJEM	VKLAD	12940	32269	\N	\N	\N
1104540	3774	1997-11-08	PRIJEM	VKLAD	12940	34896	\N	\N	\N
1104541	3774	1997-12-08	PRIJEM	VKLAD	19410	43102	\N	\N	\N
1104542	3774	1998-01-08	PRIJEM	VKLAD	12940	32192	\N	\N	\N
1104543	3774	1998-02-08	PRIJEM	VKLAD	12940	25783	\N	\N	\N
1104544	3774	1998-03-08	PRIJEM	VKLAD	12940	32887	\N	\N	\N
1104545	3774	1998-04-08	PRIJEM	VKLAD	12940	32111	\N	\N	\N
1104546	3774	1998-05-08	PRIJEM	VKLAD	12940	27292	\N	\N	\N
1104547	3774	1998-06-08	PRIJEM	VKLAD	19410	37270	\N	\N	\N
1104548	3774	1998-07-08	PRIJEM	VKLAD	12940	33866	\N	\N	\N
1104549	3774	1998-08-08	PRIJEM	VKLAD	12940	31620	\N	\N	\N
1104550	3774	1998-09-08	PRIJEM	VKLAD	12940	33040	\N	\N	\N
1104551	3774	1998-10-08	PRIJEM	VKLAD	12940	30660	\N	\N	\N
1104552	3774	1998-11-08	PRIJEM	VKLAD	12940	29071	\N	\N	\N
1104553	3774	1998-12-08	PRIJEM	VKLAD	19410	32306	\N	\N	\N
1104567	3774	1997-02-06	VYDAJ	PREVOD NA UCET	5745	24214	SIPO	CD	61108714
1104568	3774	1997-03-06	VYDAJ	PREVOD NA UCET	5745	18960	SIPO	CD	61108714
1104569	3774	1997-04-06	VYDAJ	PREVOD NA UCET	5745	19373	SIPO	CD	61108714
1104570	3774	1997-05-06	VYDAJ	PREVOD NA UCET	5745	21588	SIPO	CD	61108714
1104571	3774	1997-06-06	VYDAJ	PREVOD NA UCET	5745	21206	SIPO	CD	61108714
1104572	3774	1997-07-06	VYDAJ	PREVOD NA UCET	5745	25016	SIPO	CD	61108714
1104573	3774	1997-08-06	VYDAJ	PREVOD NA UCET	5745	26053	SIPO	CD	61108714
1104574	3774	1997-09-06	VYDAJ	PREVOD NA UCET	5745	20291	SIPO	CD	61108714
1104575	3774	1997-10-06	VYDAJ	PREVOD NA UCET	5745	22210	SIPO	CD	61108714
1104576	3774	1997-11-06	VYDAJ	PREVOD NA UCET	5745	24837	SIPO	CD	61108714
1104577	3774	1997-12-06	VYDAJ	PREVOD NA UCET	5745	26573	SIPO	CD	61108714
1104578	3774	1998-01-06	VYDAJ	PREVOD NA UCET	5745	24293	SIPO	CD	61108714
1104579	3774	1998-02-06	VYDAJ	PREVOD NA UCET	5745	15724	SIPO	CD	61108714
1104580	3774	1998-03-06	VYDAJ	PREVOD NA UCET	5745	22828	SIPO	CD	61108714
1104581	3774	1998-04-06	VYDAJ	PREVOD NA UCET	5745	22052	SIPO	CD	61108714
1104582	3774	1998-05-06	VYDAJ	PREVOD NA UCET	5745	21073	SIPO	CD	61108714
1104583	3774	1998-06-06	VYDAJ	PREVOD NA UCET	5745	20741	SIPO	CD	61108714
1104584	3774	1998-07-06	VYDAJ	PREVOD NA UCET	5745	27047	SIPO	CD	61108714
1104585	3774	1998-08-06	VYDAJ	PREVOD NA UCET	5745	21561	SIPO	CD	61108714
1104586	3774	1998-09-06	VYDAJ	PREVOD NA UCET	5745	22981	SIPO	CD	61108714
1104587	3774	1998-10-06	VYDAJ	PREVOD NA UCET	5745	20601	SIPO	CD	61108714
1104588	3774	1998-11-06	VYDAJ	PREVOD NA UCET	5745	19012	SIPO	CD	61108714
1104589	3774	1998-12-06	VYDAJ	PREVOD NA UCET	5745	15777	SIPO	CD	61108714
1104603	3774	1997-02-07	VYDAJ	PREVOD NA UCET	2881	21333	 	AB	76028048
1104604	3774	1997-03-07	VYDAJ	PREVOD NA UCET	2881	16079	 	AB	76028048
1104605	3774	1997-04-07	VYDAJ	PREVOD NA UCET	2881	16492	 	AB	76028048
1104606	3774	1997-05-07	VYDAJ	PREVOD NA UCET	2881	18707	 	AB	76028048
1104607	3774	1997-06-07	VYDAJ	PREVOD NA UCET	2881	18325	 	AB	76028048
1104608	3774	1997-07-07	VYDAJ	PREVOD NA UCET	2881	22135	 	AB	76028048
1104609	3774	1997-08-07	VYDAJ	PREVOD NA UCET	2881	23172	 	AB	76028048
1104610	3774	1997-09-07	VYDAJ	PREVOD NA UCET	2881	17410	 	AB	76028048
1104611	3774	1997-10-07	VYDAJ	PREVOD NA UCET	2881	19329	 	AB	76028048
1104612	3774	1997-11-07	VYDAJ	PREVOD NA UCET	2881	21956	 	AB	76028048
1104613	3774	1997-12-07	VYDAJ	PREVOD NA UCET	2881	23692	 	AB	76028048
1104614	3774	1998-01-07	VYDAJ	PREVOD NA UCET	2881	21412	 	AB	76028048
1104615	3774	1998-02-07	VYDAJ	PREVOD NA UCET	2881	12843	 	AB	76028048
1104616	3774	1998-03-07	VYDAJ	PREVOD NA UCET	2881	19947	 	AB	76028048
1104617	3774	1998-04-07	VYDAJ	PREVOD NA UCET	2881	19171	 	AB	76028048
1104618	3774	1998-05-07	VYDAJ	PREVOD NA UCET	2881	14352	 	AB	76028048
1104619	3774	1998-06-07	VYDAJ	PREVOD NA UCET	2881	17860	 	AB	76028048
1104620	3774	1998-07-07	VYDAJ	PREVOD NA UCET	2881	20926	 	AB	76028048
1104621	3774	1998-08-07	VYDAJ	PREVOD NA UCET	2881	18680	 	AB	76028048
1104622	3774	1998-09-07	VYDAJ	PREVOD NA UCET	2881	20100	 	AB	76028048
1104623	3774	1998-10-07	VYDAJ	PREVOD NA UCET	2881	17720	 	AB	76028048
1104624	3774	1998-11-07	VYDAJ	PREVOD NA UCET	2881	16131	 	AB	76028048
1104625	3774	1998-12-07	VYDAJ	PREVOD NA UCET	2881	12896	 	AB	76028048
1104630	3774	1997-01-19	VYDAJ	VYBER	10560	39027	\N	\N	\N
1104633	3774	1997-12-12	VYDAJ	VYBER	3520	39582	\N	\N	\N
1104634	3774	1998-12-03	VYDAJ	VYBER	2240	21522	\N	\N	\N
1104641	3774	1997-01-13	VYDAJ	VYBER	3480	49587	\N	\N	\N
1104645	3774	1997-01-26	VYDAJ	VYBER	2040	36987	\N	\N	\N
1104646	3774	1997-01-27	VYDAJ	VYBER	2880	34107	\N	\N	\N
1104647	3774	1998-01-01	VYDAJ	VYBER	3480	30038	\N	\N	\N
1104648	3774	1998-01-09	VYDAJ	VYBER	2040	26792	\N	\N	\N
1104649	3774	1998-01-07	VYDAJ	VYBER	2160	19252	\N	\N	\N
1104650	3774	1998-01-26	VYDAJ	VYBER	1920	23772	\N	\N	\N
1104651	3774	1998-01-28	VYDAJ	VYBER	2400	21372	\N	\N	\N
1104652	3774	1998-01-08	VYDAJ	VYBER	3360	28832	\N	\N	\N
1104657	3774	1997-05-16	VYDAJ	VYBER	3600	28047	\N	\N	\N
1104658	3774	1997-09-03	VYDAJ	VYBER	3000	26036	\N	\N	\N
1104659	3774	1997-02-17	VYDAJ	VYBER	4680	29593	\N	\N	\N
1104660	3774	1998-07-07	VYDAJ	VYBER	3240	23807	\N	\N	\N
1104661	3774	1998-07-31	VYDAJ	VYBER	5400	27320	\N	\N	\N
1104662	3774	1998-07-17	VYDAJ	VYBER	2880	30986	\N	\N	\N
1104663	3774	1998-05-06	VYDAJ	VYBER	3840	17233	\N	\N	\N
1104677	3774	1997-01-31	VYDAJ	VYBER	15	29959	SLUZBY	\N	\N
1104678	3774	1997-02-28	VYDAJ	VYBER	15	24705	SLUZBY	\N	\N
1104679	3774	1997-03-31	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
1104680	3774	1997-04-30	VYDAJ	VYBER	15	27333	SLUZBY	\N	\N
1104681	3774	1997-05-31	VYDAJ	VYBER	15	26951	SLUZBY	\N	\N
1104682	3774	1997-06-30	VYDAJ	VYBER	15	30761	SLUZBY	\N	\N
1104683	3774	1997-07-31	VYDAJ	VYBER	15	31798	SLUZBY	\N	\N
1104684	3774	1997-08-31	VYDAJ	VYBER	15	29036	SLUZBY	\N	\N
1104685	3774	1997-09-30	VYDAJ	VYBER	15	27955	SLUZBY	\N	\N
1104686	3774	1997-10-31	VYDAJ	VYBER	15	30582	SLUZBY	\N	\N
1104687	3774	1997-11-30	VYDAJ	VYBER	15	32318	SLUZBY	\N	\N
1104688	3774	1997-12-31	VYDAJ	VYBER	15	33518	SLUZBY	\N	\N
1104689	3774	1998-01-31	VYDAJ	VYBER	15	21469	SLUZBY	\N	\N
1104690	3774	1998-02-28	VYDAJ	VYBER	15	28573	SLUZBY	\N	\N
1104691	3774	1998-03-31	VYDAJ	VYBER	15	27797	SLUZBY	\N	\N
1104692	3774	1998-04-30	VYDAJ	VYBER	15	26818	SLUZBY	\N	\N
1104693	3774	1998-05-31	VYDAJ	VYBER	15	26486	SLUZBY	\N	\N
1104694	3774	1998-06-30	VYDAJ	VYBER	15	32792	SLUZBY	\N	\N
1104695	3774	1998-07-31	VYDAJ	VYBER	15	27306	SLUZBY	\N	\N
1104696	3774	1998-08-31	VYDAJ	VYBER	15	28726	SLUZBY	\N	\N
1104697	3774	1998-09-30	VYDAJ	VYBER	15	26346	SLUZBY	\N	\N
1104698	3774	1998-10-31	VYDAJ	VYBER	15	24757	SLUZBY	\N	\N
1104699	3774	1998-11-30	VYDAJ	VYBER	15	23762	SLUZBY	\N	\N
1104700	3774	1996-09-29	PRIJEM	VKLAD	7900	21140	\N	\N	\N
1104701	3774	1996-10-29	VYDAJ	VYBER	1200	32886	\N	\N	\N
1104702	3774	1996-11-28	VYDAJ	VYBER	7900	38019	\N	\N	\N
1104703	3774	1996-12-28	VYDAJ	VYBER	17600	39968	\N	\N	\N
1104704	3774	1997-01-27	VYDAJ	VYBER	4300	29807	\N	\N	\N
1104705	3774	1997-02-26	VYDAJ	VYBER	5000	24593	\N	\N	\N
1104706	3774	1997-03-28	VYDAJ	VYBER	4000	25019	\N	\N	\N
1104707	3774	1997-04-27	VYDAJ	VYBER	2200	27232	\N	\N	\N
1104708	3774	1997-05-27	VYDAJ	VYBER	1200	26847	\N	\N	\N
1104709	3774	1997-06-26	VYDAJ	VYBER	7100	30635	\N	\N	\N
1104710	3774	1997-07-26	VYDAJ	VYBER	3400	31675	\N	\N	\N
1104711	3774	1997-08-25	VYDAJ	VYBER	7200	28912	\N	\N	\N
1104712	3774	1997-09-24	VYDAJ	VYBER	2500	27850	\N	\N	\N
1104713	3774	1997-10-24	VYDAJ	VYBER	1800	30469	\N	\N	\N
1104714	3774	1997-11-23	VYDAJ	VYBER	2700	32196	\N	\N	\N
1104715	3774	1997-12-23	VYDAJ	VYBER	6200	33382	\N	\N	\N
1104716	3774	1998-01-22	VYDAJ	VYBER	1100	25692	\N	\N	\N
1104717	3774	1998-02-21	PRIJEM	VKLAD	2700	28483	\N	\N	\N
1104718	3774	1998-03-23	VYDAJ	VYBER	5200	27687	\N	\N	\N
1104719	3774	1998-04-22	VYDAJ	VYBER	5400	26711	\N	\N	\N
1104720	3774	1998-05-22	VYDAJ	VYBER	900	26392	\N	\N	\N
1104721	3774	1998-06-21	VYDAJ	VYBER	4600	32670	\N	\N	\N
1104722	3774	1998-07-21	PRIJEM	VKLAD	1600	32586	\N	\N	\N
1104723	3774	1998-08-20	VYDAJ	VYBER	3000	28620	\N	\N	\N
1104724	3774	1998-09-19	VYDAJ	VYBER	6800	26240	\N	\N	\N
1104725	3774	1998-10-19	VYDAJ	VYBER	6000	24660	\N	\N	\N
1104726	3774	1998-11-18	VYDAJ	VYBER	5400	23671	\N	\N	\N
1104755	3775	1993-06-27	PRIJEM	VKLAD	300	300	\N	\N	\N
1104762	3775	1993-07-12	PRIJEM	PREVOD Z UCTU	6136	6436	DUCHOD	EF	80783790
1104763	3775	1993-08-12	PRIJEM	PREVOD Z UCTU	6136	12572	DUCHOD	EF	80783790
1104764	3775	1993-09-12	PRIJEM	PREVOD Z UCTU	6136	18708	DUCHOD	EF	80783790
1104765	3775	1993-10-12	PRIJEM	PREVOD Z UCTU	6136	24844	DUCHOD	EF	80783790
1104766	3775	1993-11-12	PRIJEM	PREVOD Z UCTU	6136	30980	DUCHOD	EF	80783790
1104767	3775	1993-12-12	PRIJEM	PREVOD Z UCTU	6136	30381	DUCHOD	EF	80783790
1104768	3775	1994-01-12	PRIJEM	PREVOD Z UCTU	6136	26893	DUCHOD	EF	80783790
1104769	3775	1994-02-12	PRIJEM	PREVOD Z UCTU	6136	25227	DUCHOD	EF	80783790
1104770	3775	1994-03-12	PRIJEM	PREVOD Z UCTU	6136	26496	DUCHOD	EF	80783790
1104771	3775	1994-04-12	PRIJEM	PREVOD Z UCTU	6136	29373	DUCHOD	EF	80783790
1104772	3775	1994-05-12	PRIJEM	PREVOD Z UCTU	6136	29980	DUCHOD	EF	80783790
1104773	3775	1994-06-12	PRIJEM	PREVOD Z UCTU	6136	28708	DUCHOD	EF	80783790
1104774	3775	1994-07-12	PRIJEM	PREVOD Z UCTU	6136	21181	DUCHOD	EF	80783790
1104775	3775	1994-08-12	PRIJEM	PREVOD Z UCTU	6136	23535	DUCHOD	EF	80783790
1104776	3775	1994-09-12	PRIJEM	PREVOD Z UCTU	6136	21135	DUCHOD	EF	80783790
1104777	3775	1994-10-12	PRIJEM	PREVOD Z UCTU	6136	24895	DUCHOD	EF	80783790
1104778	3775	1994-11-12	PRIJEM	PREVOD Z UCTU	6136	24960	DUCHOD	EF	80783790
1104779	3775	1994-12-12	PRIJEM	PREVOD Z UCTU	6136	24627	DUCHOD	EF	80783790
1104780	3775	1995-01-12	PRIJEM	PREVOD Z UCTU	6136	21809	DUCHOD	EF	80783790
1104781	3775	1995-02-12	PRIJEM	PREVOD Z UCTU	6136	17877	DUCHOD	EF	80783790
1104782	3775	1995-03-12	PRIJEM	PREVOD Z UCTU	6136	19715	DUCHOD	EF	80783790
1104783	3775	1995-04-12	PRIJEM	PREVOD Z UCTU	6136	21562	DUCHOD	EF	80783790
1104784	3775	1995-05-12	PRIJEM	PREVOD Z UCTU	6136	21395	DUCHOD	EF	80783790
1104785	3775	1995-06-12	PRIJEM	PREVOD Z UCTU	6136	22307	DUCHOD	EF	80783790
1104786	3775	1995-07-12	PRIJEM	PREVOD Z UCTU	6136	17183	DUCHOD	EF	80783790
1104787	3775	1995-08-12	PRIJEM	PREVOD Z UCTU	6136	20922	DUCHOD	EF	80783790
1104788	3775	1995-09-12	PRIJEM	PREVOD Z UCTU	6136	21270	DUCHOD	EF	80783790
1104789	3775	1995-10-12	PRIJEM	PREVOD Z UCTU	6136	22242	DUCHOD	EF	80783790
1104790	3775	1995-11-12	PRIJEM	PREVOD Z UCTU	6136	24298	DUCHOD	EF	80783790
1104791	3775	1995-12-12	PRIJEM	PREVOD Z UCTU	6136	21652	DUCHOD	EF	80783790
1104792	3775	1996-01-12	PRIJEM	PREVOD Z UCTU	6136	21975	DUCHOD	EF	80783790
1104793	3775	1996-02-12	PRIJEM	PREVOD Z UCTU	6136	18740	DUCHOD	EF	80783790
1104794	3775	1996-03-12	PRIJEM	PREVOD Z UCTU	6136	20881	DUCHOD	EF	80783790
1104795	3775	1996-04-12	PRIJEM	PREVOD Z UCTU	6136	24635	DUCHOD	EF	80783790
1104796	3775	1996-05-12	PRIJEM	PREVOD Z UCTU	6136	18303	DUCHOD	EF	80783790
1104797	3775	1996-06-12	PRIJEM	PREVOD Z UCTU	6136	20046	DUCHOD	EF	80783790
1104798	3775	1996-07-12	PRIJEM	PREVOD Z UCTU	6136	18136	DUCHOD	EF	80783790
1104799	3775	1996-08-12	PRIJEM	PREVOD Z UCTU	6136	20978	DUCHOD	EF	80783790
1104800	3775	1996-09-12	PRIJEM	PREVOD Z UCTU	6136	21051	DUCHOD	EF	80783790
1104801	3775	1996-10-12	PRIJEM	PREVOD Z UCTU	6136	21042	DUCHOD	EF	80783790
1104802	3775	1996-11-12	PRIJEM	PREVOD Z UCTU	6136	24797	DUCHOD	EF	80783790
1104803	3775	1996-12-12	PRIJEM	PREVOD Z UCTU	6136	27717	DUCHOD	EF	80783790
1104804	3775	1997-01-12	PRIJEM	PREVOD Z UCTU	6136	22580	DUCHOD	EF	80783790
1104805	3775	1997-02-12	PRIJEM	PREVOD Z UCTU	6136	22583	DUCHOD	EF	80783790
1104806	3775	1997-03-12	PRIJEM	PREVOD Z UCTU	6136	26343	DUCHOD	EF	80783790
1104807	3775	1997-04-12	PRIJEM	PREVOD Z UCTU	6136	28320	DUCHOD	EF	80783790
1104808	3775	1997-05-12	PRIJEM	PREVOD Z UCTU	6136	28497	DUCHOD	EF	80783790
1104809	3775	1997-06-12	PRIJEM	PREVOD Z UCTU	6136	26883	DUCHOD	EF	80783790
1104810	3775	1997-07-12	PRIJEM	PREVOD Z UCTU	6136	23108	DUCHOD	EF	80783790
1104811	3775	1997-08-12	PRIJEM	PREVOD Z UCTU	6136	20772	DUCHOD	EF	80783790
1104812	3775	1997-09-12	PRIJEM	PREVOD Z UCTU	6136	24527	DUCHOD	EF	80783790
1104813	3775	1997-10-12	PRIJEM	PREVOD Z UCTU	6136	21895	DUCHOD	EF	80783790
1104814	3775	1997-11-12	PRIJEM	PREVOD Z UCTU	6136	23456	DUCHOD	EF	80783790
1104815	3775	1997-12-12	PRIJEM	PREVOD Z UCTU	6136	20659	DUCHOD	EF	80783790
1104816	3775	1998-01-12	PRIJEM	PREVOD Z UCTU	6136	19130	DUCHOD	EF	80783790
1104817	3775	1998-02-12	PRIJEM	PREVOD Z UCTU	6136	18314	DUCHOD	EF	80783790
1104818	3775	1998-03-12	PRIJEM	PREVOD Z UCTU	6136	21172	DUCHOD	EF	80783790
1104819	3775	1998-04-12	PRIJEM	PREVOD Z UCTU	6136	22601	DUCHOD	EF	80783790
1104820	3775	1998-05-12	PRIJEM	PREVOD Z UCTU	6136	23641	DUCHOD	EF	80783790
1104821	3775	1998-06-12	PRIJEM	PREVOD Z UCTU	6136	23208	DUCHOD	EF	80783790
1104822	3775	1998-07-12	PRIJEM	PREVOD Z UCTU	6136	20972	DUCHOD	EF	80783790
1104823	3775	1998-08-12	PRIJEM	PREVOD Z UCTU	6136	23528	DUCHOD	EF	80783790
1104824	3775	1998-09-12	PRIJEM	PREVOD Z UCTU	6136	22092	DUCHOD	EF	80783790
1104825	3775	1998-10-12	PRIJEM	PREVOD Z UCTU	6136	23169	DUCHOD	EF	80783790
1104826	3775	1998-11-12	PRIJEM	PREVOD Z UCTU	6136	19423	DUCHOD	EF	80783790
1104827	3775	1998-12-12	PRIJEM	PREVOD Z UCTU	6136	19668	DUCHOD	EF	80783790
1104839	3775	1993-12-07	VYDAJ	PREVOD NA UCET	2448	24245	SIPO	KL	93404399
1104840	3775	1994-01-07	VYDAJ	PREVOD NA UCET	2448	25587	SIPO	KL	93404399
1104841	3775	1994-02-07	VYDAJ	PREVOD NA UCET	2448	19091	SIPO	KL	93404399
1104842	3775	1994-03-07	VYDAJ	PREVOD NA UCET	2448	20360	SIPO	KL	93404399
1104843	3775	1994-04-07	VYDAJ	PREVOD NA UCET	2448	23237	SIPO	KL	93404399
1104844	3775	1994-05-07	VYDAJ	PREVOD NA UCET	2448	23844	SIPO	KL	93404399
1104845	3775	1994-06-07	VYDAJ	PREVOD NA UCET	2448	24332	SIPO	KL	93404399
1104846	3775	1994-07-07	VYDAJ	PREVOD NA UCET	2448	15045	SIPO	KL	93404399
1104847	3775	1994-08-07	VYDAJ	PREVOD NA UCET	2448	17399	SIPO	KL	93404399
1104848	3775	1994-09-07	VYDAJ	PREVOD NA UCET	2448	18599	SIPO	KL	93404399
1104849	3775	1994-10-07	VYDAJ	PREVOD NA UCET	2448	18759	SIPO	KL	93404399
1104850	3775	1994-11-07	VYDAJ	PREVOD NA UCET	2448	18824	SIPO	KL	93404399
1104851	3775	1994-12-07	VYDAJ	PREVOD NA UCET	2448	18491	SIPO	KL	93404399
1104852	3775	1995-01-07	VYDAJ	PREVOD NA UCET	2448	16553	SIPO	KL	93404399
1104853	3775	1995-02-07	VYDAJ	PREVOD NA UCET	2448	11741	SIPO	KL	93404399
1104854	3775	1995-03-07	VYDAJ	PREVOD NA UCET	2448	13579	SIPO	KL	93404399
1104855	3775	1995-04-07	VYDAJ	PREVOD NA UCET	2448	15426	SIPO	KL	93404399
1104856	3775	1995-05-07	VYDAJ	PREVOD NA UCET	2448	15259	SIPO	KL	93404399
1104857	3775	1995-06-07	VYDAJ	PREVOD NA UCET	2448	16171	SIPO	KL	93404399
1104858	3775	1995-07-07	VYDAJ	PREVOD NA UCET	2448	11047	SIPO	KL	93404399
1104859	3775	1995-08-07	VYDAJ	PREVOD NA UCET	2448	14786	SIPO	KL	93404399
1104860	3775	1995-09-07	VYDAJ	PREVOD NA UCET	2448	15134	SIPO	KL	93404399
1104861	3775	1995-10-07	VYDAJ	PREVOD NA UCET	2448	16106	SIPO	KL	93404399
1104862	3775	1995-11-07	VYDAJ	PREVOD NA UCET	2448	18162	SIPO	KL	93404399
1104863	3775	1995-12-07	VYDAJ	PREVOD NA UCET	2448	15516	SIPO	KL	93404399
1104864	3775	1996-01-07	VYDAJ	PREVOD NA UCET	2448	15839	SIPO	KL	93404399
1104865	3775	1996-02-07	VYDAJ	PREVOD NA UCET	2448	12604	SIPO	KL	93404399
1104866	3775	1996-03-07	VYDAJ	PREVOD NA UCET	2448	14745	SIPO	KL	93404399
1104867	3775	1996-04-07	VYDAJ	PREVOD NA UCET	2448	18499	SIPO	KL	93404399
1104868	3775	1996-05-07	VYDAJ	PREVOD NA UCET	2448	12167	SIPO	KL	93404399
1104869	3775	1996-06-07	VYDAJ	PREVOD NA UCET	2448	13910	SIPO	KL	93404399
1104870	3775	1996-07-07	VYDAJ	PREVOD NA UCET	2448	12000	SIPO	KL	93404399
1104871	3775	1996-08-07	VYDAJ	PREVOD NA UCET	2448	14942	SIPO	KL	93404399
1104872	3775	1996-09-07	VYDAJ	PREVOD NA UCET	2448	14915	SIPO	KL	93404399
1104873	3775	1996-10-07	VYDAJ	PREVOD NA UCET	2448	14906	SIPO	KL	93404399
1104874	3775	1996-11-07	VYDAJ	PREVOD NA UCET	2448	18661	SIPO	KL	93404399
1104875	3775	1996-12-07	VYDAJ	PREVOD NA UCET	2448	22431	SIPO	KL	93404399
1104876	3775	1997-01-07	VYDAJ	PREVOD NA UCET	2448	19964	SIPO	KL	93404399
1104877	3775	1997-02-07	VYDAJ	PREVOD NA UCET	2448	16447	SIPO	KL	93404399
1104878	3775	1997-03-07	VYDAJ	PREVOD NA UCET	2448	20207	SIPO	KL	93404399
1104879	3775	1997-04-07	VYDAJ	PREVOD NA UCET	2448	23984	SIPO	KL	93404399
1104880	3775	1997-05-07	VYDAJ	PREVOD NA UCET	2448	22361	SIPO	KL	93404399
1104881	3775	1997-06-07	VYDAJ	PREVOD NA UCET	2448	20747	SIPO	KL	93404399
1104882	3775	1997-07-07	VYDAJ	PREVOD NA UCET	2448	16972	SIPO	KL	93404399
1104883	3775	1997-08-07	VYDAJ	PREVOD NA UCET	2448	14636	SIPO	KL	93404399
1104884	3775	1997-09-07	VYDAJ	PREVOD NA UCET	2448	18391	SIPO	KL	93404399
1104885	3775	1997-10-07	VYDAJ	PREVOD NA UCET	2448	15759	SIPO	KL	93404399
1104886	3775	1997-11-07	VYDAJ	PREVOD NA UCET	2448	17320	SIPO	KL	93404399
1104887	3775	1997-12-07	VYDAJ	PREVOD NA UCET	2448	14523	SIPO	KL	93404399
1104888	3775	1998-01-07	VYDAJ	PREVOD NA UCET	2448	12994	SIPO	KL	93404399
1104889	3775	1998-02-07	VYDAJ	PREVOD NA UCET	2448	12178	SIPO	KL	93404399
1104890	3775	1998-03-07	VYDAJ	PREVOD NA UCET	2448	15036	SIPO	KL	93404399
1104891	3775	1998-04-07	VYDAJ	PREVOD NA UCET	2448	16465	SIPO	KL	93404399
1104892	3775	1998-05-07	VYDAJ	PREVOD NA UCET	2448	20225	SIPO	KL	93404399
1104893	3775	1998-06-07	VYDAJ	PREVOD NA UCET	2448	17072	SIPO	KL	93404399
1104894	3775	1998-07-07	VYDAJ	PREVOD NA UCET	2448	14836	SIPO	KL	93404399
1104895	3775	1998-08-07	VYDAJ	PREVOD NA UCET	2448	17392	SIPO	KL	93404399
1104896	3775	1998-09-07	VYDAJ	PREVOD NA UCET	2448	15956	SIPO	KL	93404399
1104897	3775	1998-10-07	VYDAJ	PREVOD NA UCET	2448	17033	SIPO	KL	93404399
1104898	3775	1998-11-07	VYDAJ	PREVOD NA UCET	2448	13287	SIPO	KL	93404399
1104899	3775	1998-12-07	VYDAJ	PREVOD NA UCET	2448	13532	SIPO	KL	93404399
1104901	3775	1994-06-20	VYDAJ	VYBER	11300	17408	\N	\N	\N
1104902	3775	1995-06-17	VYDAJ	VYBER	6550	15757	\N	\N	\N
1104903	3775	1996-06-17	VYDAJ	VYBER	5650	14396	\N	\N	\N
1104904	3775	1997-06-18	VYDAJ	VYBER	2650	24233	\N	\N	\N
1104907	3775	1994-01-11	VYDAJ	VYBER	1150	20757	\N	\N	\N
1104908	3775	1995-01-24	VYDAJ	VYBER	1700	14609	\N	\N	\N
1104910	3775	1997-01-02	VYDAJ	VYBER	1600	26212	\N	\N	\N
1104912	3775	1993-12-23	VYDAJ	VYBER	550	29831	\N	\N	\N
1104913	3775	1994-12-01	VYDAJ	VYBER	1200	20939	\N	\N	\N
1104914	3775	1995-12-19	VYDAJ	VYBER	650	19502	\N	\N	\N
1104915	3775	1996-12-10	VYDAJ	VYBER	850	21581	\N	\N	\N
1104916	3775	1997-12-22	VYDAJ	VYBER	700	19479	\N	\N	\N
1104924	3775	1994-01-24	VYDAJ	VYBER	640	21933	\N	\N	\N
1104925	3775	1994-01-08	VYDAJ	VYBER	2320	23267	\N	\N	\N
1104926	3775	1994-01-15	VYDAJ	VYBER	2320	24573	\N	\N	\N
1104927	3775	1994-01-17	VYDAJ	VYBER	1520	23053	\N	\N	\N
1104928	3775	1994-01-18	VYDAJ	VYBER	480	22573	\N	\N	\N
1104929	3775	1994-01-09	VYDAJ	VYBER	1360	21907	\N	\N	\N
1104930	3775	1995-01-23	VYDAJ	VYBER	1200	16309	\N	\N	\N
1104931	3775	1995-01-09	VYDAJ	VYBER	880	15673	\N	\N	\N
1104932	3775	1995-01-21	VYDAJ	VYBER	2000	17509	\N	\N	\N
1104933	3775	1995-01-05	VYDAJ	VYBER	1200	19001	\N	\N	\N
1104934	3775	1995-01-17	VYDAJ	VYBER	1200	20609	\N	\N	\N
1104935	3775	1995-01-29	VYDAJ	VYBER	480	14129	\N	\N	\N
1104936	3775	1996-01-22	VYDAJ	VYBER	560	16835	\N	\N	\N
1104937	3775	1996-01-05	VYDAJ	VYBER	1280	18287	\N	\N	\N
1104938	3775	1996-01-29	VYDAJ	VYBER	1280	14995	\N	\N	\N
1104939	3775	1996-01-22	VYDAJ	VYBER	560	16275	\N	\N	\N
1104940	3775	1996-01-14	VYDAJ	VYBER	1840	19235	\N	\N	\N
1104941	3775	1996-01-15	VYDAJ	VYBER	1840	17395	\N	\N	\N
1104942	3775	1997-01-17	VYDAJ	VYBER	1200	21380	\N	\N	\N
1104943	3775	1997-01-26	VYDAJ	VYBER	560	19940	\N	\N	\N
1104944	3775	1997-01-11	VYDAJ	VYBER	1280	16444	\N	\N	\N
1104945	3775	1997-01-20	VYDAJ	VYBER	880	20500	\N	\N	\N
1104946	3775	1997-01-27	VYDAJ	VYBER	1120	18820	\N	\N	\N
1104947	3775	1997-01-08	VYDAJ	VYBER	2240	17724	\N	\N	\N
1104949	3775	1998-01-30	VYDAJ	VYBER	1120	15370	\N	\N	\N
1104950	3775	1998-01-29	VYDAJ	VYBER	2000	16490	\N	\N	\N
1104951	3775	1998-01-24	VYDAJ	VYBER	640	18490	\N	\N	\N
1104953	3775	1998-01-04	VYDAJ	VYBER	1200	15442	\N	\N	\N
1104959	3775	1993-12-03	VYDAJ	VYBER	2000	26693	\N	\N	\N
1104960	3775	1994-06-11	VYDAJ	VYBER	1760	22572	\N	\N	\N
1104961	3775	1994-09-10	VYDAJ	VYBER	3600	14999	\N	\N	\N
1104962	3775	1994-08-15	VYDAJ	VYBER	2560	20975	\N	\N	\N
1104963	3775	1994-02-02	VYDAJ	VYBER	480	21539	\N	\N	\N
1104964	3775	1994-04-12	VYDAJ	VYBER	1280	28093	\N	\N	\N
1104965	3775	1995-04-24	VYDAJ	VYBER	3920	17642	\N	\N	\N
1104967	3775	1995-10-02	VYDAJ	VYBER	1280	18554	\N	\N	\N
1104968	3775	1995-06-25	VYDAJ	VYBER	2320	13437	\N	\N	\N
1104969	3775	1995-05-21	VYDAJ	VYBER	1040	18555	\N	\N	\N
1104970	3775	1996-04-19	VYDAJ	VYBER	1840	14555	\N	\N	\N
1104971	3775	1996-08-21	VYDAJ	VYBER	720	20258	\N	\N	\N
1104972	3775	1996-07-28	VYDAJ	VYBER	800	17336	\N	\N	\N
1104974	3775	1996-09-23	VYDAJ	VYBER	3760	17291	\N	\N	\N
1104975	3775	1996-09-01	VYDAJ	VYBER	2960	17363	\N	\N	\N
1104976	3775	1996-04-14	VYDAJ	VYBER	3440	16395	\N	\N	\N
1104977	3775	1997-06-25	VYDAJ	VYBER	1600	22633	\N	\N	\N
1104978	3775	1997-12-03	VYDAJ	VYBER	2640	16971	\N	\N	\N
1104979	3775	1997-11-29	VYDAJ	VYBER	1600	19536	\N	\N	\N
1104980	3775	1997-11-27	VYDAJ	VYBER	2320	21136	\N	\N	\N
1104981	3775	1997-08-03	VYDAJ	VYBER	2800	20384	\N	\N	\N
1104982	3775	1997-04-15	VYDAJ	VYBER	3600	24720	\N	\N	\N
1104983	3775	1997-12-15	VYDAJ	VYBER	480	20179	\N	\N	\N
1104984	3775	1998-09-29	VYDAJ	VYBER	1680	20412	\N	\N	\N
1104985	3775	1998-08-07	VYDAJ	VYBER	1200	19840	\N	\N	\N
1104988	3775	1998-05-09	VYDAJ	VYBER	2720	17505	\N	\N	\N
1104989	3775	1998-02-13	VYDAJ	VYBER	880	17434	\N	\N	\N
1104990	3775	1998-03-15	VYDAJ	VYBER	2320	18852	\N	\N	\N
1104991	3775	1998-10-20	VYDAJ	VYBER	3600	19569	\N	\N	\N
1105003	3775	1993-11-30	VYDAJ	VYBER	15	28693	SLUZBY	\N	\N
1105004	3775	1993-12-31	VYDAJ	VYBER	15	28035	SLUZBY	\N	\N
1105005	3775	1994-01-31	VYDAJ	VYBER	15	22019	SLUZBY	\N	\N
1105006	3775	1994-02-28	VYDAJ	VYBER	15	22808	SLUZBY	\N	\N
1105007	3775	1994-03-31	VYDAJ	VYBER	15	25685	SLUZBY	\N	\N
1105008	3775	1994-04-30	VYDAJ	VYBER	15	26292	SLUZBY	\N	\N
1105009	3775	1994-05-31	VYDAJ	VYBER	15	26780	SLUZBY	\N	\N
1105010	3775	1994-06-30	VYDAJ	VYBER	15	17493	SLUZBY	\N	\N
1105011	3775	1994-07-31	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
1105012	3775	1994-08-31	VYDAJ	VYBER	15	21047	SLUZBY	\N	\N
1105013	3775	1994-09-30	VYDAJ	VYBER	15	21207	SLUZBY	\N	\N
1105014	3775	1994-10-31	VYDAJ	VYBER	15	21272	SLUZBY	\N	\N
1105015	3775	1994-11-30	VYDAJ	VYBER	15	22139	SLUZBY	\N	\N
1105016	3775	1994-12-31	VYDAJ	VYBER	15	20201	SLUZBY	\N	\N
1105017	3775	1995-01-31	VYDAJ	VYBER	15	14189	SLUZBY	\N	\N
1105018	3775	1995-02-28	VYDAJ	VYBER	15	16027	SLUZBY	\N	\N
1105019	3775	1995-03-31	VYDAJ	VYBER	15	17874	SLUZBY	\N	\N
1105020	3775	1995-04-30	VYDAJ	VYBER	15	17707	SLUZBY	\N	\N
1105021	3775	1995-05-31	VYDAJ	VYBER	15	18619	SLUZBY	\N	\N
1105022	3775	1995-06-30	VYDAJ	VYBER	15	13495	SLUZBY	\N	\N
1105023	3775	1995-07-31	VYDAJ	VYBER	15	17234	SLUZBY	\N	\N
1105024	3775	1995-08-31	VYDAJ	VYBER	15	17582	SLUZBY	\N	\N
1105025	3775	1995-09-30	VYDAJ	VYBER	15	19834	SLUZBY	\N	\N
1105026	3775	1995-10-31	VYDAJ	VYBER	15	20610	SLUZBY	\N	\N
1105027	3775	1995-11-30	VYDAJ	VYBER	15	17964	SLUZBY	\N	\N
1105028	3775	1995-12-31	VYDAJ	VYBER	15	19567	SLUZBY	\N	\N
1105029	3775	1996-01-31	VYDAJ	VYBER	15	15052	SLUZBY	\N	\N
1105030	3775	1996-02-29	VYDAJ	VYBER	15	17193	SLUZBY	\N	\N
1105031	3775	1996-03-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
1105032	3775	1996-04-30	VYDAJ	VYBER	15	14615	SLUZBY	\N	\N
1105033	3775	1996-05-31	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
1105034	3775	1996-06-30	VYDAJ	VYBER	15	14448	SLUZBY	\N	\N
1105035	3775	1996-07-31	VYDAJ	VYBER	15	17390	SLUZBY	\N	\N
1105036	3775	1996-08-31	VYDAJ	VYBER	15	20323	SLUZBY	\N	\N
1105037	3775	1996-09-30	VYDAJ	VYBER	15	17354	SLUZBY	\N	\N
1105038	3775	1996-10-31	VYDAJ	VYBER	15	21109	SLUZBY	\N	\N
1105039	3775	1996-11-30	VYDAJ	VYBER	15	24879	SLUZBY	\N	\N
1105040	3775	1996-12-31	VYDAJ	VYBER	15	27812	SLUZBY	\N	\N
1105041	3775	1997-01-31	VYDAJ	VYBER	15	18895	SLUZBY	\N	\N
1105042	3775	1997-02-28	VYDAJ	VYBER	15	22655	SLUZBY	\N	\N
1105043	3775	1997-03-31	VYDAJ	VYBER	15	26432	SLUZBY	\N	\N
1105044	3775	1997-04-30	VYDAJ	VYBER	15	24809	SLUZBY	\N	\N
1105045	3775	1997-05-31	VYDAJ	VYBER	15	28595	SLUZBY	\N	\N
1105046	3775	1997-06-30	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
1105047	3775	1997-07-31	VYDAJ	VYBER	15	23184	SLUZBY	\N	\N
1105048	3775	1997-08-31	VYDAJ	VYBER	15	20839	SLUZBY	\N	\N
1105049	3775	1997-09-30	VYDAJ	VYBER	15	24607	SLUZBY	\N	\N
1105050	3775	1997-10-31	VYDAJ	VYBER	15	21968	SLUZBY	\N	\N
1105051	3775	1997-11-30	VYDAJ	VYBER	15	19611	SLUZBY	\N	\N
1105052	3775	1997-12-31	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
1105053	3775	1998-01-31	VYDAJ	VYBER	15	15426	SLUZBY	\N	\N
1105054	3775	1998-02-28	VYDAJ	VYBER	15	17484	SLUZBY	\N	\N
1105055	3775	1998-03-31	VYDAJ	VYBER	15	18913	SLUZBY	\N	\N
1105056	3775	1998-04-30	VYDAJ	VYBER	15	22673	SLUZBY	\N	\N
1105057	3775	1998-05-31	VYDAJ	VYBER	15	23720	SLUZBY	\N	\N
1105058	3775	1998-06-30	VYDAJ	VYBER	15	23284	SLUZBY	\N	\N
1105059	3775	1998-07-31	VYDAJ	VYBER	15	21040	SLUZBY	\N	\N
1105060	3775	1998-08-31	VYDAJ	VYBER	15	18404	SLUZBY	\N	\N
1105061	3775	1998-09-30	VYDAJ	VYBER	15	19481	SLUZBY	\N	\N
1105062	3775	1998-10-31	VYDAJ	VYBER	15	15735	SLUZBY	\N	\N
1105063	3775	1998-11-30	VYDAJ	VYBER	15	15980	SLUZBY	\N	\N
1105064	3775	1993-11-24	VYDAJ	VYBER	2300	28680	\N	\N	\N
1105065	3775	1993-12-24	VYDAJ	VYBER	1900	27931	\N	\N	\N
1105066	3775	1994-02-22	VYDAJ	VYBER	2500	22727	\N	\N	\N
1105067	3775	1994-03-24	VYDAJ	VYBER	900	25596	\N	\N	\N
1105068	3775	1994-04-23	VYDAJ	VYBER	1900	26193	\N	\N	\N
1105069	3775	1994-05-23	VYDAJ	VYBER	3300	26680	\N	\N	\N
1105070	3775	1994-07-22	VYDAJ	VYBER	1400	19781	\N	\N	\N
1105071	3775	1994-10-20	VYDAJ	VYBER	3700	21195	\N	\N	\N
1105072	3775	1994-11-19	VYDAJ	VYBER	2900	22060	\N	\N	\N
1105073	3775	1994-12-19	VYDAJ	VYBER	4500	20127	\N	\N	\N
1105074	3775	1995-01-18	VYDAJ	VYBER	1100	19509	\N	\N	\N
1105075	3775	1995-02-17	VYDAJ	VYBER	1900	15977	\N	\N	\N
1105076	3775	1995-03-19	VYDAJ	VYBER	1900	17815	\N	\N	\N
1105077	3775	1995-05-18	VYDAJ	VYBER	1800	19595	\N	\N	\N
1105078	3775	1995-08-16	VYDAJ	VYBER	3400	17522	\N	\N	\N
1105079	3775	1995-09-15	VYDAJ	VYBER	1500	19770	\N	\N	\N
1105080	3775	1995-10-15	VYDAJ	VYBER	1700	20542	\N	\N	\N
1105081	3775	1995-11-14	VYDAJ	VYBER	6400	17898	\N	\N	\N
1105082	3775	1995-12-14	VYDAJ	VYBER	1500	20152	\N	\N	\N
1105083	3775	1996-01-13	VYDAJ	VYBER	900	21075	\N	\N	\N
1105084	3775	1996-02-12	VYDAJ	VYBER	1600	17140	\N	\N	\N
1105085	3775	1996-04-12	VYDAJ	VYBER	4800	19835	\N	\N	\N
1105086	3775	1996-05-12	VYDAJ	VYBER	2000	16303	\N	\N	\N
1105087	3775	1996-08-10	VYDAJ	VYBER	100	14842	\N	\N	\N
1105088	3775	1997-01-07	VYDAJ	VYBER	3800	22412	\N	\N	\N
1105089	3775	1997-04-07	VYDAJ	VYBER	1800	22184	\N	\N	\N
1105090	3775	1997-06-06	VYDAJ	VYBER	5400	23195	\N	\N	\N
1105091	3775	1997-07-06	VYDAJ	VYBER	3300	19420	\N	\N	\N
1105092	3775	1997-08-05	VYDAJ	VYBER	3300	17084	\N	\N	\N
1105093	3775	1997-10-04	VYDAJ	VYBER	6400	18207	\N	\N	\N
1105094	3775	1997-11-03	VYDAJ	VYBER	2200	19768	\N	\N	\N
1105095	3775	1998-01-02	VYDAJ	VYBER	2900	16642	\N	\N	\N
1105096	3775	1998-02-01	VYDAJ	VYBER	800	14626	\N	\N	\N
1105097	3775	1998-06-01	VYDAJ	VYBER	4200	19520	\N	\N	\N
1105098	3775	1998-07-01	VYDAJ	VYBER	6000	17284	\N	\N	\N
1105099	3775	1998-08-30	VYDAJ	VYBER	5200	18328	\N	\N	\N
1105100	3775	1998-09-29	VYDAJ	VYBER	1000	19412	\N	\N	\N
1105101	3775	1998-10-29	VYDAJ	VYBER	3900	15669	\N	\N	\N
1105102	3775	1998-11-28	VYDAJ	VYBER	3500	15923	\N	\N	\N
1105165	3776	1996-10-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1105176	3776	1996-11-12	PRIJEM	VKLAD	23108	24108	\N	\N	\N
1105177	3776	1996-12-12	PRIJEM	VKLAD	34662	62432	\N	\N	\N
1105178	3776	1997-01-12	PRIJEM	VKLAD	23108	68194	\N	\N	\N
1105179	3776	1997-02-12	PRIJEM	VKLAD	23108	70395	\N	\N	\N
1105180	3776	1997-03-12	PRIJEM	VKLAD	23108	73707	\N	\N	\N
1105181	3776	1997-04-12	PRIJEM	VKLAD	23108	65412	\N	\N	\N
1105182	3776	1997-05-12	PRIJEM	VKLAD	23108	61496	\N	\N	\N
1105183	3776	1997-06-12	PRIJEM	VKLAD	34662	69419	\N	\N	\N
1105184	3776	1997-07-12	PRIJEM	VKLAD	23108	61791	\N	\N	\N
1105185	3776	1997-08-12	PRIJEM	VKLAD	23108	64874	\N	\N	\N
1105186	3776	1997-09-12	PRIJEM	VKLAD	23108	60567	\N	\N	\N
1105187	3776	1997-10-12	PRIJEM	VKLAD	23108	64690	\N	\N	\N
1105188	3776	1997-11-12	PRIJEM	VKLAD	23108	69535	\N	\N	\N
1105189	3776	1997-12-12	PRIJEM	VKLAD	34662	79452	\N	\N	\N
1105190	3776	1998-01-12	PRIJEM	VKLAD	23108	77637	\N	\N	\N
1105191	3776	1998-02-12	PRIJEM	VKLAD	23108	72227	\N	\N	\N
1105192	3776	1998-03-12	PRIJEM	VKLAD	23108	72795	\N	\N	\N
1105193	3776	1998-04-12	PRIJEM	VKLAD	23108	71676	\N	\N	\N
1105194	3776	1998-05-12	PRIJEM	VKLAD	23108	72749	\N	\N	\N
1105195	3776	1998-06-12	PRIJEM	VKLAD	34662	85278	\N	\N	\N
1105196	3776	1998-07-12	PRIJEM	VKLAD	23108	69393	\N	\N	\N
1105197	3776	1998-08-12	PRIJEM	VKLAD	23108	71150	\N	\N	\N
1105198	3776	1998-09-12	PRIJEM	VKLAD	23108	74123	\N	\N	\N
1105199	3776	1998-10-12	PRIJEM	VKLAD	23108	74001	\N	\N	\N
1105200	3776	1998-11-12	PRIJEM	VKLAD	23108	68585	\N	\N	\N
1105201	3776	1998-12-12	PRIJEM	VKLAD	34662	76803	\N	\N	\N
1105217	3776	1997-04-08	VYDAJ	PREVOD NA UCET	4739	42304	SIPO	IJ	41931992
1105218	3776	1997-05-08	VYDAJ	PREVOD NA UCET	4739	38388	SIPO	IJ	41931992
1105219	3776	1997-06-08	VYDAJ	PREVOD NA UCET	4739	34757	SIPO	IJ	41931992
1105220	3776	1997-07-08	VYDAJ	PREVOD NA UCET	4739	38683	SIPO	IJ	41931992
1105221	3776	1997-08-08	VYDAJ	PREVOD NA UCET	4739	41766	SIPO	IJ	41931992
1105222	3776	1997-09-08	VYDAJ	PREVOD NA UCET	4739	42259	SIPO	IJ	41931992
1105223	3776	1997-10-08	VYDAJ	PREVOD NA UCET	4739	53782	SIPO	IJ	41931992
1105224	3776	1997-11-08	VYDAJ	PREVOD NA UCET	4739	57927	SIPO	IJ	41931992
1105225	3776	1997-12-08	VYDAJ	PREVOD NA UCET	4739	56490	SIPO	IJ	41931992
1105226	3776	1998-01-08	VYDAJ	PREVOD NA UCET	4739	67529	SIPO	IJ	41931992
1105227	3776	1998-02-08	VYDAJ	PREVOD NA UCET	4739	60619	SIPO	IJ	41931992
1105228	3776	1998-03-08	VYDAJ	PREVOD NA UCET	4739	65487	SIPO	IJ	41931992
1105229	3776	1998-04-08	VYDAJ	PREVOD NA UCET	4739	66068	SIPO	IJ	41931992
1105230	3776	1998-05-08	VYDAJ	PREVOD NA UCET	4739	63141	SIPO	IJ	41931992
1105231	3776	1998-06-08	VYDAJ	PREVOD NA UCET	4739	66016	SIPO	IJ	41931992
1105232	3776	1998-07-08	VYDAJ	PREVOD NA UCET	4739	58685	SIPO	IJ	41931992
1105233	3776	1998-08-08	VYDAJ	PREVOD NA UCET	4739	48042	SIPO	IJ	41931992
1105234	3776	1998-09-08	VYDAJ	PREVOD NA UCET	4739	51015	SIPO	IJ	41931992
1105235	3776	1998-10-08	VYDAJ	PREVOD NA UCET	4739	50893	SIPO	IJ	41931992
1105236	3776	1998-11-08	VYDAJ	PREVOD NA UCET	4739	48477	SIPO	IJ	41931992
1105237	3776	1998-12-08	VYDAJ	PREVOD NA UCET	4739	42141	SIPO	IJ	41931992
1105252	3776	1997-03-12	VYDAJ	PREVOD NA UCET	2261	71446	 	ST	93457734
1105253	3776	1997-04-12	VYDAJ	PREVOD NA UCET	2261	63151	 	ST	93457734
1105254	3776	1997-05-12	VYDAJ	PREVOD NA UCET	2261	59235	 	ST	93457734
1105255	3776	1997-06-12	VYDAJ	PREVOD NA UCET	2261	67158	 	ST	93457734
1105256	3776	1997-07-12	VYDAJ	PREVOD NA UCET	2261	59530	 	ST	93457734
1105257	3776	1997-08-12	VYDAJ	PREVOD NA UCET	2261	62613	 	ST	93457734
1105258	3776	1997-09-12	VYDAJ	PREVOD NA UCET	2261	58306	 	ST	93457734
1105259	3776	1997-10-12	VYDAJ	PREVOD NA UCET	2261	62429	 	ST	93457734
1105260	3776	1997-11-12	VYDAJ	PREVOD NA UCET	2261	67274	 	ST	93457734
1105261	3776	1997-12-12	VYDAJ	PREVOD NA UCET	2261	77191	 	ST	93457734
1105262	3776	1998-01-12	VYDAJ	PREVOD NA UCET	2261	75376	 	ST	93457734
1105263	3776	1998-02-12	VYDAJ	PREVOD NA UCET	2261	69966	 	ST	93457734
1105264	3776	1998-03-12	VYDAJ	PREVOD NA UCET	2261	70534	 	ST	93457734
1105265	3776	1998-04-12	VYDAJ	PREVOD NA UCET	2261	69415	 	ST	93457734
1105266	3776	1998-05-12	VYDAJ	PREVOD NA UCET	2261	70488	 	ST	93457734
1105267	3776	1998-06-12	VYDAJ	PREVOD NA UCET	2261	83017	 	ST	93457734
1105268	3776	1998-07-12	VYDAJ	PREVOD NA UCET	2261	67132	 	ST	93457734
1105269	3776	1998-08-12	VYDAJ	PREVOD NA UCET	2261	68889	 	ST	93457734
1105270	3776	1998-09-12	VYDAJ	PREVOD NA UCET	2261	71862	 	ST	93457734
1105271	3776	1998-10-12	VYDAJ	PREVOD NA UCET	2261	71740	 	ST	93457734
1105272	3776	1998-11-12	VYDAJ	PREVOD NA UCET	2261	66324	 	ST	93457734
1105273	3776	1998-12-12	VYDAJ	PREVOD NA UCET	2261	74542	 	ST	93457734
1105275	3776	1997-06-13	VYDAJ	VYBER	16000	51158	\N	\N	\N
1105276	3776	1998-06-28	VYDAJ	VYBER	17000	66017	\N	\N	\N
1105278	3776	1997-12-17	VYDAJ	VYBER	2300	74891	\N	\N	\N
1105279	3776	1998-12-18	VYDAJ	VYBER KARTOU	2200	72342	\N	\N	0
1105292	3776	1998-01-22	VYDAJ	VYBER	1500	70476	\N	\N	\N
1105293	3776	1998-01-05	VYDAJ	VYBER	2300	72268	\N	\N	\N
1105294	3776	1998-01-29	VYDAJ	VYBER	600	65076	\N	\N	\N
1105295	3776	1998-01-29	VYDAJ	VYBER	2500	65676	\N	\N	\N
1105296	3776	1998-01-05	VYDAJ	VYBER	600	74568	\N	\N	\N
1105297	3776	1998-01-23	VYDAJ	VYBER	2300	68176	\N	\N	\N
1105302	3776	1997-08-14	VYDAJ	VYBER	1900	48613	\N	\N	\N
1105303	3776	1997-08-28	VYDAJ	VYBER	1800	46813	\N	\N	\N
1105304	3776	1997-12-05	VYDAJ	VYBER	3400	61229	\N	\N	\N
1105305	3776	1997-11-23	VYDAJ	VYBER	2900	64374	\N	\N	\N
1105306	3776	1997-05-16	VYDAJ	VYBER	3800	39335	\N	\N	\N
1105307	3776	1998-11-10	VYDAJ	VYBER	3000	45477	\N	\N	\N
1105308	3776	1998-01-22	VYDAJ	VYBER	3400	71976	\N	\N	\N
1105309	3776	1998-09-28	VYDAJ	VYBER	1600	70262	\N	\N	\N
1105310	3776	1998-06-28	VYDAJ	VYBER	2900	63117	\N	\N	\N
1105311	3776	1998-04-23	VYDAJ	VYBER	1800	67615	\N	\N	\N
1105327	3776	1997-03-31	VYDAJ	VYBER	15	47043	SLUZBY	\N	\N
1105328	3776	1997-04-30	VYDAJ	VYBER	15	43127	SLUZBY	\N	\N
1105329	3776	1997-05-31	VYDAJ	VYBER	15	39496	SLUZBY	\N	\N
1105330	3776	1997-06-30	VYDAJ	VYBER	15	43422	SLUZBY	\N	\N
1105331	3776	1997-07-31	VYDAJ	VYBER	15	46505	SLUZBY	\N	\N
1105332	3776	1997-08-31	VYDAJ	VYBER	15	46998	SLUZBY	\N	\N
1105333	3776	1997-09-30	VYDAJ	VYBER	15	58521	SLUZBY	\N	\N
1105334	3776	1997-10-31	VYDAJ	VYBER	15	62666	SLUZBY	\N	\N
1105335	3776	1997-11-30	VYDAJ	VYBER	15	64629	SLUZBY	\N	\N
1105336	3776	1997-12-31	VYDAJ	VYBER	15	75168	SLUZBY	\N	\N
1105337	3776	1998-01-31	VYDAJ	VYBER	15	65358	SLUZBY	\N	\N
1105338	3776	1998-02-28	VYDAJ	VYBER	15	70226	SLUZBY	\N	\N
1105339	3776	1998-03-31	VYDAJ	VYBER	15	70807	SLUZBY	\N	\N
1105340	3776	1998-04-30	VYDAJ	VYBER	15	67880	SLUZBY	\N	\N
1105341	3776	1998-05-31	VYDAJ	VYBER	15	70755	SLUZBY	\N	\N
1105342	3776	1998-06-30	VYDAJ	VYBER	15	63424	SLUZBY	\N	\N
1105343	3776	1998-07-31	VYDAJ	VYBER	15	67381	SLUZBY	\N	\N
1105344	3776	1998-08-31	VYDAJ	VYBER	15	69154	SLUZBY	\N	\N
1105345	3776	1998-09-30	VYDAJ	VYBER	15	70532	SLUZBY	\N	\N
1105346	3776	1998-10-31	VYDAJ	VYBER	15	72016	SLUZBY	\N	\N
1105347	3776	1998-11-30	VYDAJ	VYBER	15	66580	SLUZBY	\N	\N
1105348	3776	1996-11-15	PRIJEM	VKLAD	3600	27708	\N	\N	\N
1105349	3776	1996-12-15	VYDAJ	VYBER	17500	44932	\N	\N	\N
1105350	3776	1997-01-14	VYDAJ	VYBER	21100	47094	\N	\N	\N
1105351	3776	1997-02-13	VYDAJ	VYBER	20000	50395	\N	\N	\N
1105352	3776	1997-03-15	VYDAJ	VYBER	24600	46846	\N	\N	\N
1105353	3776	1997-04-14	VYDAJ	VYBER	20200	42951	\N	\N	\N
1105354	3776	1997-05-14	VYDAJ	VYBER	16100	43135	\N	\N	\N
1105355	3776	1997-06-13	VYDAJ	VYBER	7900	43258	\N	\N	\N
1105356	3776	1997-07-13	VYDAJ	VYBER	13200	46330	\N	\N	\N
1105357	3776	1997-08-12	VYDAJ	VYBER	12100	50513	\N	\N	\N
1105358	3776	1997-09-11	VYDAJ	VYBER	4800	37459	\N	\N	\N
1105359	3776	1997-10-11	VYDAJ	VYBER	12200	41582	\N	\N	\N
1105360	3776	1997-11-10	VYDAJ	VYBER	11500	46427	\N	\N	\N
1105361	3776	1997-12-10	VYDAJ	VYBER	11700	44790	\N	\N	\N
1105362	3776	1998-01-09	VYDAJ	VYBER	13000	54529	\N	\N	\N
1105363	3776	1998-02-08	VYDAJ	VYBER	11500	49119	\N	\N	\N
1105364	3776	1998-03-10	VYDAJ	VYBER	15800	49687	\N	\N	\N
1105365	3776	1998-04-09	VYDAJ	VYBER	17500	48568	\N	\N	\N
1105366	3776	1998-05-09	VYDAJ	VYBER	13500	49641	\N	\N	\N
1105367	3776	1998-06-08	VYDAJ	VYBER	15400	50616	\N	\N	\N
1105368	3776	1998-07-08	VYDAJ	VYBER	12400	46285	\N	\N	\N
1105369	3776	1998-08-07	VYDAJ	VYBER	14600	52781	\N	\N	\N
1105370	3776	1998-09-06	VYDAJ	VYBER	13400	55754	\N	\N	\N
1105371	3776	1998-10-06	VYDAJ	VYBER	14900	55632	\N	\N	\N
1105372	3776	1998-11-05	VYDAJ	VYBER	18800	53216	\N	\N	\N
1105373	3776	1998-12-05	VYDAJ	VYBER	19700	46880	\N	\N	\N
1105400	3777	1995-01-19	PRIJEM	VKLAD	200	200	\N	\N	\N
1105402	3777	1995-02-05	PRIJEM	PREVOD Z UCTU	3223	3423	\N	MN	6607431
1105403	3777	1995-03-05	PRIJEM	PREVOD Z UCTU	3223	6646	\N	MN	6607431
1105404	3777	1995-04-05	PRIJEM	PREVOD Z UCTU	3223	9869	\N	MN	6607431
1105405	3777	1995-05-05	PRIJEM	PREVOD Z UCTU	3223	13092	\N	MN	6607431
1105406	3777	1995-06-05	PRIJEM	PREVOD Z UCTU	3223	16315	\N	MN	6607431
1105407	3777	1995-07-05	PRIJEM	PREVOD Z UCTU	3223	17429	\N	MN	6607431
1105408	3777	1995-08-05	PRIJEM	PREVOD Z UCTU	3223	18554	\N	MN	6607431
1105409	3777	1995-09-05	PRIJEM	PREVOD Z UCTU	3223	18451	\N	MN	6607431
1105410	3777	1995-10-05	PRIJEM	PREVOD Z UCTU	3223	18171	\N	MN	6607431
1105411	3777	1995-11-05	PRIJEM	PREVOD Z UCTU	3223	19299	\N	MN	6607431
1105412	3777	1995-12-05	PRIJEM	PREVOD Z UCTU	3223	20043	\N	MN	6607431
1105413	3777	1996-01-05	PRIJEM	PREVOD Z UCTU	3223	21179	\N	MN	6607431
1105414	3777	1996-02-05	PRIJEM	PREVOD Z UCTU	3223	21479	\N	MN	6607431
1105415	3777	1996-03-05	PRIJEM	PREVOD Z UCTU	3223	22111	\N	MN	6607431
1105416	3777	1996-04-05	PRIJEM	PREVOD Z UCTU	3223	23256	\N	MN	6607431
1105417	3777	1996-05-05	PRIJEM	PREVOD Z UCTU	3223	24406	\N	MN	6607431
1105418	3777	1996-06-05	PRIJEM	PREVOD Z UCTU	3223	25560	\N	MN	6607431
1105419	3777	1996-07-05	PRIJEM	PREVOD Z UCTU	3223	20794	\N	MN	6607431
1105420	3777	1996-08-05	PRIJEM	PREVOD Z UCTU	3223	21933	\N	MN	6607431
1105421	3777	1996-09-05	PRIJEM	PREVOD Z UCTU	3223	21336	\N	MN	6607431
1105422	3777	1996-10-05	PRIJEM	PREVOD Z UCTU	3223	22478	\N	MN	6607431
1105423	3777	1996-11-05	PRIJEM	PREVOD Z UCTU	3223	23624	\N	MN	6607431
1105424	3777	1996-12-05	PRIJEM	PREVOD Z UCTU	3223	23905	\N	MN	6607431
1105425	3777	1997-01-05	PRIJEM	PREVOD Z UCTU	3223	23554	\N	MN	6607431
1105426	3777	1997-02-05	PRIJEM	PREVOD Z UCTU	3223	22417	\N	MN	6607431
1105427	3777	1997-03-05	PRIJEM	PREVOD Z UCTU	3223	23563	\N	MN	6607431
1105428	3777	1997-04-05	PRIJEM	PREVOD Z UCTU	3223	22068	\N	MN	6607431
1105429	3777	1997-05-05	PRIJEM	PREVOD Z UCTU	3223	23212	\N	MN	6607431
1105430	3777	1997-06-05	PRIJEM	PREVOD Z UCTU	3223	23250	\N	MN	6607431
1105431	3777	1997-07-05	PRIJEM	PREVOD Z UCTU	3223	23225	\N	MN	6607431
1105432	3777	1997-08-05	PRIJEM	PREVOD Z UCTU	3223	24374	\N	MN	6607431
1105433	3777	1997-09-05	PRIJEM	PREVOD Z UCTU	3223	25528	\N	MN	6607431
1105434	3777	1997-10-05	PRIJEM	PREVOD Z UCTU	3223	26687	\N	MN	6607431
1105435	3777	1997-11-05	PRIJEM	PREVOD Z UCTU	3223	27851	\N	MN	6607431
1105436	3777	1997-12-05	PRIJEM	PREVOD Z UCTU	3223	28509	\N	MN	6607431
1105437	3777	1998-01-05	PRIJEM	PREVOD Z UCTU	3223	29680	\N	MN	6607431
1105438	3777	1998-02-05	PRIJEM	PREVOD Z UCTU	3223	28420	\N	MN	6607431
1105439	3777	1998-03-05	PRIJEM	PREVOD Z UCTU	3223	29591	\N	MN	6607431
1105440	3777	1998-04-05	PRIJEM	PREVOD Z UCTU	3223	29415	\N	MN	6607431
1105441	3777	1998-05-05	PRIJEM	PREVOD Z UCTU	3223	30590	\N	MN	6607431
1105442	3777	1998-06-05	PRIJEM	PREVOD Z UCTU	3223	30689	\N	MN	6607431
1105443	3777	1998-07-05	PRIJEM	PREVOD Z UCTU	3223	24709	\N	MN	6607431
1105444	3777	1998-08-05	PRIJEM	PREVOD Z UCTU	3223	24994	\N	MN	6607431
1105445	3777	1998-09-05	PRIJEM	PREVOD Z UCTU	3223	26150	\N	MN	6607431
1105446	3777	1998-10-05	PRIJEM	PREVOD Z UCTU	3223	27311	\N	MN	6607431
1105447	3777	1998-11-05	PRIJEM	PREVOD Z UCTU	3223	28147	\N	MN	6607431
1105448	3777	1998-12-05	PRIJEM	PREVOD Z UCTU	3223	29316	\N	MN	6607431
1105454	3777	1995-06-11	VYDAJ	PREVOD NA UCET	1039	15174	\N	QR	6119949
1105455	3777	1995-07-11	VYDAJ	PREVOD NA UCET	1039	16288	\N	QR	6119949
1105456	3777	1995-08-11	VYDAJ	PREVOD NA UCET	1039	17413	\N	QR	6119949
1105457	3777	1995-09-11	VYDAJ	PREVOD NA UCET	1039	17310	\N	QR	6119949
1105458	3777	1995-10-11	VYDAJ	PREVOD NA UCET	1039	17030	\N	QR	6119949
1105459	3777	1995-11-11	VYDAJ	PREVOD NA UCET	1039	18158	\N	QR	6119949
1105460	3777	1995-12-11	VYDAJ	PREVOD NA UCET	1039	18902	\N	QR	6119949
1105461	3777	1996-01-11	VYDAJ	PREVOD NA UCET	1039	20038	\N	QR	6119949
1105462	3777	1996-02-11	VYDAJ	PREVOD NA UCET	1039	20338	\N	QR	6119949
1105463	3777	1996-03-11	VYDAJ	PREVOD NA UCET	1039	20970	\N	QR	6119949
1105464	3777	1996-04-11	VYDAJ	PREVOD NA UCET	1039	22115	\N	QR	6119949
1105465	3777	1996-05-11	VYDAJ	PREVOD NA UCET	1039	23265	\N	QR	6119949
1105466	3777	1996-06-11	VYDAJ	PREVOD NA UCET	1039	24419	\N	QR	6119949
1105467	3777	1996-07-11	VYDAJ	PREVOD NA UCET	1039	19653	\N	QR	6119949
1105468	3777	1996-08-11	VYDAJ	PREVOD NA UCET	1039	20792	\N	QR	6119949
1105469	3777	1996-09-11	VYDAJ	PREVOD NA UCET	1039	20195	\N	QR	6119949
1105470	3777	1996-10-11	VYDAJ	PREVOD NA UCET	1039	21337	\N	QR	6119949
1105471	3777	1996-11-11	VYDAJ	PREVOD NA UCET	1039	22483	\N	QR	6119949
1105472	3777	1996-12-11	VYDAJ	PREVOD NA UCET	1039	22614	\N	QR	6119949
1105473	3777	1997-01-11	VYDAJ	PREVOD NA UCET	1039	20133	\N	QR	6119949
1105474	3777	1997-02-11	VYDAJ	PREVOD NA UCET	1039	21276	\N	QR	6119949
1105475	3777	1997-03-11	VYDAJ	PREVOD NA UCET	1039	21012	\N	QR	6119949
1105476	3777	1997-04-11	VYDAJ	PREVOD NA UCET	1039	20927	\N	QR	6119949
1105477	3777	1997-05-11	VYDAJ	PREVOD NA UCET	1039	22071	\N	QR	6119949
1105478	3777	1997-06-11	VYDAJ	PREVOD NA UCET	1039	20939	\N	QR	6119949
1105479	3777	1997-07-11	VYDAJ	PREVOD NA UCET	1039	22084	\N	QR	6119949
1105480	3777	1997-08-11	VYDAJ	PREVOD NA UCET	1039	23233	\N	QR	6119949
1105481	3777	1997-09-11	VYDAJ	PREVOD NA UCET	1039	24387	\N	QR	6119949
1105482	3777	1997-10-11	VYDAJ	PREVOD NA UCET	1039	25546	\N	QR	6119949
1105483	3777	1997-11-11	VYDAJ	PREVOD NA UCET	1039	26710	\N	QR	6119949
1105484	3777	1997-12-11	VYDAJ	PREVOD NA UCET	1039	27368	\N	QR	6119949
1105485	3777	1998-01-11	VYDAJ	PREVOD NA UCET	1039	28539	\N	QR	6119949
1105486	3777	1998-02-11	VYDAJ	PREVOD NA UCET	1039	27279	\N	QR	6119949
1105487	3777	1998-03-11	VYDAJ	PREVOD NA UCET	1039	28450	\N	QR	6119949
1105488	3777	1998-04-11	VYDAJ	PREVOD NA UCET	1039	28274	\N	QR	6119949
1105489	3777	1998-05-11	VYDAJ	PREVOD NA UCET	1039	29449	\N	QR	6119949
1105490	3777	1998-06-11	VYDAJ	PREVOD NA UCET	1039	22408	\N	QR	6119949
1105491	3777	1998-07-11	VYDAJ	PREVOD NA UCET	1039	23568	\N	QR	6119949
1105492	3777	1998-08-11	VYDAJ	PREVOD NA UCET	1039	23853	\N	QR	6119949
1105493	3777	1998-09-11	VYDAJ	PREVOD NA UCET	1039	25009	\N	QR	6119949
1105494	3777	1998-10-11	VYDAJ	PREVOD NA UCET	1039	26170	\N	QR	6119949
1105495	3777	1998-11-11	VYDAJ	PREVOD NA UCET	1039	27006	\N	QR	6119949
1105496	3777	1998-12-11	VYDAJ	PREVOD NA UCET	1039	28175	\N	QR	6119949
1105502	3777	1995-06-13	VYDAJ	PREVOD NA UCET	1007	14167	\N	AB	91688686
1105503	3777	1995-07-13	VYDAJ	PREVOD NA UCET	1007	15281	\N	AB	91688686
1105504	3777	1995-08-13	VYDAJ	PREVOD NA UCET	1007	15176	\N	AB	91688686
1105505	3777	1995-09-13	VYDAJ	PREVOD NA UCET	1007	16303	\N	AB	91688686
1105506	3777	1995-10-13	VYDAJ	PREVOD NA UCET	1007	16023	\N	AB	91688686
1105507	3777	1995-11-13	VYDAJ	PREVOD NA UCET	1007	17151	\N	AB	91688686
1105508	3777	1995-12-13	VYDAJ	PREVOD NA UCET	1007	17895	\N	AB	91688686
1105509	3777	1996-01-13	VYDAJ	PREVOD NA UCET	1007	19031	\N	AB	91688686
1105510	3777	1996-02-13	VYDAJ	PREVOD NA UCET	1007	19331	\N	AB	91688686
1105511	3777	1996-03-13	VYDAJ	PREVOD NA UCET	1007	19963	\N	AB	91688686
1105512	3777	1996-04-13	VYDAJ	PREVOD NA UCET	1007	21108	\N	AB	91688686
1105513	3777	1996-05-13	VYDAJ	PREVOD NA UCET	1007	22258	\N	AB	91688686
1105514	3777	1996-06-13	VYDAJ	PREVOD NA UCET	1007	17502	\N	AB	91688686
1105515	3777	1996-07-13	VYDAJ	PREVOD NA UCET	1007	18646	\N	AB	91688686
1105516	3777	1996-08-13	VYDAJ	PREVOD NA UCET	1007	19785	\N	AB	91688686
1105517	3777	1996-09-13	VYDAJ	PREVOD NA UCET	1007	19188	\N	AB	91688686
1105518	3777	1996-10-13	VYDAJ	PREVOD NA UCET	1007	20330	\N	AB	91688686
1105519	3777	1996-11-13	VYDAJ	PREVOD NA UCET	1007	21476	\N	AB	91688686
1105520	3777	1996-12-13	VYDAJ	PREVOD NA UCET	1007	20257	\N	AB	91688686
1105521	3777	1997-01-13	VYDAJ	PREVOD NA UCET	1007	19126	\N	AB	91688686
1105522	3777	1997-02-13	VYDAJ	PREVOD NA UCET	1007	20269	\N	AB	91688686
1105523	3777	1997-03-13	VYDAJ	PREVOD NA UCET	1007	20005	\N	AB	91688686
1105524	3777	1997-04-13	VYDAJ	PREVOD NA UCET	1007	19920	\N	AB	91688686
1105525	3777	1997-05-13	VYDAJ	PREVOD NA UCET	1007	21064	\N	AB	91688686
1105526	3777	1997-06-13	VYDAJ	PREVOD NA UCET	1007	19932	\N	AB	91688686
1105527	3777	1997-07-13	VYDAJ	PREVOD NA UCET	1007	21077	\N	AB	91688686
1105528	3777	1997-08-13	VYDAJ	PREVOD NA UCET	1007	22226	\N	AB	91688686
1105529	3777	1997-09-13	VYDAJ	PREVOD NA UCET	1007	23380	\N	AB	91688686
1105530	3777	1997-10-13	VYDAJ	PREVOD NA UCET	1007	24539	\N	AB	91688686
1105531	3777	1997-11-13	VYDAJ	PREVOD NA UCET	1007	25703	\N	AB	91688686
1105532	3777	1997-12-13	VYDAJ	PREVOD NA UCET	1007	26361	\N	AB	91688686
1105533	3777	1998-01-13	VYDAJ	PREVOD NA UCET	1007	27532	\N	AB	91688686
1105534	3777	1998-02-13	VYDAJ	PREVOD NA UCET	1007	26272	\N	AB	91688686
1105535	3777	1998-03-13	VYDAJ	PREVOD NA UCET	1007	27443	\N	AB	91688686
1105536	3777	1998-04-13	VYDAJ	PREVOD NA UCET	1007	27267	\N	AB	91688686
1105537	3777	1998-05-13	VYDAJ	PREVOD NA UCET	1007	28442	\N	AB	91688686
1105538	3777	1998-06-13	VYDAJ	PREVOD NA UCET	1007	21401	\N	AB	91688686
1105539	3777	1998-07-13	VYDAJ	PREVOD NA UCET	1007	22561	\N	AB	91688686
1105540	3777	1998-08-13	VYDAJ	PREVOD NA UCET	1007	22846	\N	AB	91688686
1105541	3777	1998-09-13	VYDAJ	PREVOD NA UCET	1007	24002	\N	AB	91688686
1105542	3777	1998-10-13	VYDAJ	PREVOD NA UCET	1007	25163	\N	AB	91688686
1105543	3777	1998-11-13	VYDAJ	PREVOD NA UCET	1007	25999	\N	AB	91688686
1105544	3777	1998-12-13	VYDAJ	PREVOD NA UCET	1007	27168	\N	AB	91688686
1105550	3777	1995-06-05	VYDAJ	PREVOD NA UCET	102	16213	\N	YZ	87551414
1105551	3777	1995-07-05	VYDAJ	PREVOD NA UCET	102	17327	\N	YZ	87551414
1105552	3777	1995-08-05	VYDAJ	PREVOD NA UCET	102	18452	\N	YZ	87551414
1105553	3777	1995-09-05	VYDAJ	PREVOD NA UCET	102	18349	\N	YZ	87551414
1105554	3777	1995-10-05	VYDAJ	PREVOD NA UCET	102	18069	\N	YZ	87551414
1105555	3777	1995-11-05	VYDAJ	PREVOD NA UCET	102	19197	\N	YZ	87551414
1105556	3777	1995-12-05	VYDAJ	PREVOD NA UCET	102	19941	\N	YZ	87551414
1105557	3777	1996-01-05	VYDAJ	PREVOD NA UCET	102	21077	\N	YZ	87551414
1105558	3777	1996-02-05	VYDAJ	PREVOD NA UCET	102	21377	\N	YZ	87551414
1105559	3777	1996-03-05	VYDAJ	PREVOD NA UCET	102	22009	\N	YZ	87551414
1105560	3777	1996-04-05	VYDAJ	PREVOD NA UCET	102	23154	\N	YZ	87551414
1105561	3777	1996-05-05	VYDAJ	PREVOD NA UCET	102	24304	\N	YZ	87551414
1105562	3777	1996-06-05	VYDAJ	PREVOD NA UCET	102	25458	\N	YZ	87551414
1105563	3777	1996-07-05	VYDAJ	PREVOD NA UCET	102	20692	\N	YZ	87551414
1105564	3777	1996-08-05	VYDAJ	PREVOD NA UCET	102	21831	\N	YZ	87551414
1105565	3777	1996-09-05	VYDAJ	PREVOD NA UCET	102	21234	\N	YZ	87551414
1105566	3777	1996-10-05	VYDAJ	PREVOD NA UCET	102	22376	\N	YZ	87551414
1105567	3777	1996-11-05	VYDAJ	PREVOD NA UCET	102	23522	\N	YZ	87551414
1105568	3777	1996-12-05	VYDAJ	PREVOD NA UCET	102	23803	\N	YZ	87551414
1105569	3777	1997-01-05	VYDAJ	PREVOD NA UCET	102	23452	\N	YZ	87551414
1105570	3777	1997-02-05	VYDAJ	PREVOD NA UCET	102	22315	\N	YZ	87551414
1105571	3777	1997-03-05	VYDAJ	PREVOD NA UCET	102	23461	\N	YZ	87551414
1105572	3777	1997-04-05	VYDAJ	PREVOD NA UCET	102	21966	\N	YZ	87551414
1105573	3777	1997-05-05	VYDAJ	PREVOD NA UCET	102	23110	\N	YZ	87551414
1105574	3777	1997-06-05	VYDAJ	PREVOD NA UCET	102	23148	\N	YZ	87551414
1105575	3777	1997-07-05	VYDAJ	PREVOD NA UCET	102	23123	\N	YZ	87551414
1105576	3777	1997-08-05	VYDAJ	PREVOD NA UCET	102	24272	\N	YZ	87551414
1105577	3777	1997-09-05	VYDAJ	PREVOD NA UCET	102	25426	\N	YZ	87551414
1105578	3777	1997-10-05	VYDAJ	PREVOD NA UCET	102	26585	\N	YZ	87551414
1105579	3777	1997-11-05	VYDAJ	PREVOD NA UCET	102	27749	\N	YZ	87551414
1105580	3777	1997-12-05	VYDAJ	PREVOD NA UCET	102	28407	\N	YZ	87551414
1105581	3777	1998-01-05	VYDAJ	PREVOD NA UCET	102	29578	\N	YZ	87551414
1105582	3777	1998-02-05	VYDAJ	PREVOD NA UCET	102	28318	\N	YZ	87551414
1105583	3777	1998-03-05	VYDAJ	PREVOD NA UCET	102	29489	\N	YZ	87551414
1105584	3777	1998-04-05	VYDAJ	PREVOD NA UCET	102	29313	\N	YZ	87551414
1105585	3777	1998-05-05	VYDAJ	PREVOD NA UCET	102	30488	\N	YZ	87551414
1105586	3777	1998-06-05	VYDAJ	PREVOD NA UCET	102	30587	\N	YZ	87551414
1105587	3777	1998-07-05	VYDAJ	PREVOD NA UCET	102	24607	\N	YZ	87551414
1105588	3777	1998-08-05	VYDAJ	PREVOD NA UCET	102	24892	\N	YZ	87551414
1105589	3777	1998-09-05	VYDAJ	PREVOD NA UCET	102	26048	\N	YZ	87551414
1105590	3777	1998-10-05	VYDAJ	PREVOD NA UCET	102	27209	\N	YZ	87551414
1105591	3777	1998-11-05	VYDAJ	PREVOD NA UCET	102	28045	\N	YZ	87551414
1105592	3777	1998-12-05	VYDAJ	PREVOD NA UCET	102	29214	\N	YZ	87551414
1105594	3777	1996-06-12	VYDAJ	VYBER	5910	18509	\N	\N	\N
1105595	3777	1997-06-06	VYDAJ	VYBER	1170	21978	\N	\N	\N
1105596	3777	1998-06-11	VYDAJ	VYBER	7140	23447	\N	\N	\N
1105598	3777	1996-01-20	VYDAJ	VYBER	840	18191	\N	\N	\N
1105599	3777	1997-01-07	VYDAJ	VYBER	2280	21172	\N	\N	\N
1105600	3777	1998-01-14	VYDAJ	VYBER	2430	25102	\N	\N	\N
1105601	3777	1995-12-02	VYDAJ	VYBER	390	16820	\N	\N	\N
1105602	3777	1996-12-11	VYDAJ	VYBER	150	23653	\N	\N	\N
1105603	3777	1997-12-01	VYDAJ	VYBER	510	25286	\N	\N	\N
1105604	3777	1998-12-17	VYDAJ	VYBER	210	26958	\N	\N	\N
1105606	3777	1995-09-30	VYDAJ	VYBER	1410	14948	\N	\N	\N
1105607	3777	1995-08-11	VYDAJ	VYBER	1230	16183	\N	\N	\N
1105610	3777	1996-09-03	VYDAJ	VYBER	840	18113	\N	\N	\N
1105611	3777	1996-08-17	VYDAJ	VYBER	900	18885	\N	\N	\N
1105612	3777	1996-12-04	VYDAJ	VYBER	870	20682	\N	\N	\N
1105613	3777	1996-12-12	VYDAJ	VYBER	1350	21264	\N	\N	\N
1105614	3777	1996-02-27	VYDAJ	VYBER	510	18821	\N	\N	\N
1105615	3777	1997-03-22	VYDAJ	VYBER	1230	18775	\N	\N	\N
1105616	3777	1997-03-08	VYDAJ	VYBER	1410	22051	\N	\N	\N
1105617	3777	1997-05-21	VYDAJ	VYBER	1110	19954	\N	\N	\N
1105618	3777	1998-08-04	VYDAJ	VYBER	870	21771	\N	\N	\N
1105619	3777	1998-03-25	VYDAJ	VYBER	1350	26093	\N	\N	\N
1105620	3777	1998-05-27	VYDAJ	VYBER	1080	27362	\N	\N	\N
1105621	3777	1998-11-03	VYDAJ	VYBER	330	24924	\N	\N	\N
1105628	3777	1995-06-30	VYDAJ	VYBER	15	14206	SLUZBY	\N	\N
1105629	3777	1995-07-31	VYDAJ	VYBER	15	15331	SLUZBY	\N	\N
1105630	3777	1995-08-31	VYDAJ	VYBER	15	15228	SLUZBY	\N	\N
1105631	3777	1995-09-30	VYDAJ	VYBER	15	16358	SLUZBY	\N	\N
1105632	3777	1995-10-31	VYDAJ	VYBER	15	16076	SLUZBY	\N	\N
1105633	3777	1995-11-30	VYDAJ	VYBER	15	17210	SLUZBY	\N	\N
1105634	3777	1995-12-31	VYDAJ	VYBER	15	17956	SLUZBY	\N	\N
1105635	3777	1996-01-31	VYDAJ	VYBER	15	18256	SLUZBY	\N	\N
1105636	3777	1996-02-29	VYDAJ	VYBER	15	18888	SLUZBY	\N	\N
1105637	3777	1996-03-31	VYDAJ	VYBER	15	20033	SLUZBY	\N	\N
1105638	3777	1996-04-30	VYDAJ	VYBER	15	21183	SLUZBY	\N	\N
1105639	3777	1996-05-31	VYDAJ	VYBER	15	22337	SLUZBY	\N	\N
1105640	3777	1996-06-30	VYDAJ	VYBER	15	17571	SLUZBY	\N	\N
1105641	3777	1996-07-31	VYDAJ	VYBER	15	18710	SLUZBY	\N	\N
1105642	3777	1996-08-31	VYDAJ	VYBER	15	18953	SLUZBY	\N	\N
1105643	3777	1996-09-30	VYDAJ	VYBER	15	19255	SLUZBY	\N	\N
1105644	3777	1996-10-31	VYDAJ	VYBER	15	20401	SLUZBY	\N	\N
1105645	3777	1996-11-30	VYDAJ	VYBER	15	21552	SLUZBY	\N	\N
1105646	3777	1996-12-31	VYDAJ	VYBER	15	20331	SLUZBY	\N	\N
1105647	3777	1997-01-31	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
1105648	3777	1997-02-28	VYDAJ	VYBER	15	20340	SLUZBY	\N	\N
1105649	3777	1997-03-31	VYDAJ	VYBER	15	18845	SLUZBY	\N	\N
1105650	3777	1997-04-30	VYDAJ	VYBER	15	19989	SLUZBY	\N	\N
1105651	3777	1997-05-31	VYDAJ	VYBER	15	20027	SLUZBY	\N	\N
1105652	3777	1997-06-30	VYDAJ	VYBER	15	20002	SLUZBY	\N	\N
1105653	3777	1997-07-31	VYDAJ	VYBER	15	21151	SLUZBY	\N	\N
1105654	3777	1997-08-31	VYDAJ	VYBER	15	22305	SLUZBY	\N	\N
1105655	3777	1997-09-30	VYDAJ	VYBER	15	23464	SLUZBY	\N	\N
1105656	3777	1997-10-31	VYDAJ	VYBER	15	24628	SLUZBY	\N	\N
1105657	3777	1997-11-30	VYDAJ	VYBER	15	25796	SLUZBY	\N	\N
1105658	3777	1997-12-31	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
1105659	3777	1998-01-31	VYDAJ	VYBER	15	25197	SLUZBY	\N	\N
1105660	3777	1998-02-28	VYDAJ	VYBER	15	26368	SLUZBY	\N	\N
1105661	3777	1998-03-31	VYDAJ	VYBER	15	26192	SLUZBY	\N	\N
1105662	3777	1998-04-30	VYDAJ	VYBER	15	27367	SLUZBY	\N	\N
1105663	3777	1998-05-31	VYDAJ	VYBER	15	27466	SLUZBY	\N	\N
1105664	3777	1998-06-30	VYDAJ	VYBER	15	21486	SLUZBY	\N	\N
1105665	3777	1998-07-31	VYDAJ	VYBER	15	22641	SLUZBY	\N	\N
1105666	3777	1998-08-31	VYDAJ	VYBER	15	22927	SLUZBY	\N	\N
1105667	3777	1998-09-30	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
1105668	3777	1998-10-31	VYDAJ	VYBER	15	25254	SLUZBY	\N	\N
1105669	3777	1998-11-30	VYDAJ	VYBER	15	26093	SLUZBY	\N	\N
1105713	3778	1993-07-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1105720	3778	1993-07-05	PRIJEM	VKLAD	22798	23898	\N	\N	\N
1105721	3778	1993-08-05	PRIJEM	VKLAD	22798	48183	\N	\N	\N
1105722	3778	1993-09-05	PRIJEM	VKLAD	22798	60968	\N	\N	\N
1105723	3778	1993-10-05	PRIJEM	VKLAD	22798	67413	\N	\N	\N
1105724	3778	1993-11-05	PRIJEM	VKLAD	22798	71389	\N	\N	\N
1105725	3778	1993-12-05	PRIJEM	VKLAD	34197	83321	\N	\N	\N
1105726	3778	1994-01-05	PRIJEM	VKLAD	22798	71138	\N	\N	\N
1105727	3778	1994-02-05	PRIJEM	VKLAD	22798	58235	\N	\N	\N
1105728	3778	1994-03-05	PRIJEM	VKLAD	22798	64896	\N	\N	\N
1105729	3778	1994-04-05	PRIJEM	VKLAD	22798	66599	\N	\N	\N
1105730	3778	1994-05-05	PRIJEM	VKLAD	22798	70611	\N	\N	\N
1105731	3778	1994-06-05	PRIJEM	VKLAD	34197	82331	\N	\N	\N
1105732	3778	1994-07-05	PRIJEM	VKLAD	22798	66175	\N	\N	\N
1105733	3778	1994-08-05	PRIJEM	VKLAD	22798	67063	\N	\N	\N
1105734	3778	1994-09-05	PRIJEM	VKLAD	22798	69052	\N	\N	\N
1105735	3778	1994-10-05	PRIJEM	VKLAD	22798	71048	\N	\N	\N
1105736	3778	1994-11-05	PRIJEM	VKLAD	22798	65625	\N	\N	\N
1105737	3778	1994-12-05	PRIJEM	VKLAD	34197	80913	\N	\N	\N
1105738	3778	1995-01-05	PRIJEM	VKLAD	22798	75858	\N	\N	\N
1105739	3778	1995-02-05	PRIJEM	VKLAD	22798	58366	\N	\N	\N
1105740	3778	1995-03-05	PRIJEM	VKLAD	22798	62324	\N	\N	\N
1105741	3778	1995-04-05	PRIJEM	VKLAD	22798	69693	\N	\N	\N
1105742	3778	1995-05-05	PRIJEM	VKLAD	22798	73821	\N	\N	\N
1105743	3778	1995-06-05	PRIJEM	VKLAD	34197	88331	\N	\N	\N
1105744	3778	1995-07-05	PRIJEM	VKLAD	22798	69399	\N	\N	\N
1105745	3778	1995-08-05	PRIJEM	VKLAD	22798	71206	\N	\N	\N
1105746	3778	1995-09-05	PRIJEM	VKLAD	22798	77705	\N	\N	\N
1105747	3778	1995-10-05	PRIJEM	VKLAD	22798	76921	\N	\N	\N
1105748	3778	1995-11-05	PRIJEM	VKLAD	22798	77333	\N	\N	\N
1105749	3778	1995-12-05	PRIJEM	VKLAD	34197	92049	\N	\N	\N
1105750	3778	1996-01-05	PRIJEM	VKLAD	22798	83848	\N	\N	\N
1105751	3778	1996-02-05	PRIJEM	VKLAD	22798	70276	\N	\N	\N
1105752	3778	1996-03-05	PRIJEM	VKLAD	22798	75763	\N	\N	\N
1105753	3778	1996-04-05	PRIJEM	VKLAD	22798	78969	\N	\N	\N
1105754	3778	1996-05-05	PRIJEM	VKLAD	22798	84089	\N	\N	\N
1105755	3778	1996-06-05	PRIJEM	VKLAD	34197	98325	\N	\N	\N
1105756	3778	1996-07-05	PRIJEM	VKLAD	22798	49341	\N	\N	\N
1105757	3778	1996-08-05	PRIJEM	VKLAD	22798	69263	\N	\N	\N
1105758	3778	1996-09-05	PRIJEM	VKLAD	22798	78847	\N	\N	\N
1105759	3778	1996-10-05	PRIJEM	VKLAD	22798	83059	\N	\N	\N
1105760	3778	1996-11-05	PRIJEM	VKLAD	22798	86485	\N	\N	\N
1105761	3778	1996-12-05	PRIJEM	VKLAD	34197	98717	\N	\N	\N
1105762	3778	1997-01-05	PRIJEM	VKLAD	22798	90581	\N	\N	\N
1105763	3778	1997-02-05	PRIJEM	VKLAD	22798	71528	\N	\N	\N
1105764	3778	1997-03-05	PRIJEM	VKLAD	22798	81103	\N	\N	\N
1105765	3778	1997-04-05	PRIJEM	VKLAD	22798	87525	\N	\N	\N
1105766	3778	1997-05-05	PRIJEM	VKLAD	22798	90663	\N	\N	\N
1105767	3778	1997-06-05	PRIJEM	VKLAD	34197	105815	\N	\N	\N
1105768	3778	1997-07-05	PRIJEM	VKLAD	22798	99840	\N	\N	\N
1105769	3778	1997-08-05	PRIJEM	VKLAD	22798	101932	\N	\N	\N
1105770	3778	1997-09-05	PRIJEM	VKLAD	22798	105434	\N	\N	\N
1105771	3778	1997-10-05	PRIJEM	VKLAD	22798	110746	\N	\N	\N
1105772	3778	1997-11-05	PRIJEM	VKLAD	22798	105657	\N	\N	\N
1105773	3778	1997-12-05	PRIJEM	VKLAD	34197	118360	\N	\N	\N
1105774	3778	1998-01-05	PRIJEM	VKLAD	22798	117398	\N	\N	\N
1105775	3778	1998-02-05	PRIJEM	VKLAD	22798	82818	\N	\N	\N
1105776	3778	1998-03-05	PRIJEM	VKLAD	22798	99429	\N	\N	\N
1105777	3778	1998-04-05	PRIJEM	VKLAD	22798	111331	\N	\N	\N
1105778	3778	1998-05-05	PRIJEM	VKLAD	22798	120774	\N	\N	\N
1105779	3778	1998-06-05	PRIJEM	VKLAD	34197	114049	\N	\N	\N
1105780	3778	1998-07-05	PRIJEM	VKLAD	22798	103145	\N	\N	\N
1105781	3778	1998-08-05	PRIJEM	VKLAD	22798	116698	\N	\N	\N
1105782	3778	1998-09-05	PRIJEM	VKLAD	22798	125257	\N	\N	\N
1105783	3778	1998-10-05	PRIJEM	VKLAD	22798	99537	\N	\N	\N
1105784	3778	1998-11-05	PRIJEM	VKLAD	22798	115755	\N	\N	\N
1105785	3778	1998-12-05	PRIJEM	VKLAD	34197	130297	\N	\N	\N
1105796	3778	1993-11-07	VYDAJ	PREVOD NA UCET	3035	68354	SIPO	CD	941700
1105797	3778	1993-12-07	VYDAJ	PREVOD NA UCET	3035	80286	SIPO	CD	941700
1105798	3778	1994-01-07	VYDAJ	PREVOD NA UCET	3035	68103	SIPO	CD	941700
1105799	3778	1994-02-07	VYDAJ	PREVOD NA UCET	3035	55200	SIPO	CD	941700
1105800	3778	1994-03-07	VYDAJ	PREVOD NA UCET	3035	61861	SIPO	CD	941700
1105801	3778	1994-04-07	VYDAJ	PREVOD NA UCET	3035	63564	SIPO	CD	941700
1105802	3778	1994-05-07	VYDAJ	PREVOD NA UCET	3035	67576	SIPO	CD	941700
1105803	3778	1994-06-07	VYDAJ	PREVOD NA UCET	3035	79296	SIPO	CD	941700
1105804	3778	1994-07-07	VYDAJ	PREVOD NA UCET	3035	63140	SIPO	CD	941700
1105805	3778	1994-08-07	VYDAJ	PREVOD NA UCET	3035	64028	SIPO	CD	941700
1105806	3778	1994-09-07	VYDAJ	PREVOD NA UCET	3035	66017	SIPO	CD	941700
1105807	3778	1994-10-07	VYDAJ	PREVOD NA UCET	3035	65373	SIPO	CD	941700
1105808	3778	1994-11-07	VYDAJ	PREVOD NA UCET	3035	62590	SIPO	CD	941700
1105809	3778	1994-12-07	VYDAJ	PREVOD NA UCET	3035	77878	SIPO	CD	941700
1105810	3778	1995-01-07	VYDAJ	PREVOD NA UCET	3035	69943	SIPO	CD	941700
1105811	3778	1995-02-07	VYDAJ	PREVOD NA UCET	3035	49451	SIPO	CD	941700
1105812	3778	1995-03-07	VYDAJ	PREVOD NA UCET	3035	59289	SIPO	CD	941700
1105813	3778	1995-04-07	VYDAJ	PREVOD NA UCET	3035	66658	SIPO	CD	941700
1105814	3778	1995-05-07	VYDAJ	PREVOD NA UCET	3035	70786	SIPO	CD	941700
1105815	3778	1995-06-07	VYDAJ	PREVOD NA UCET	3035	85296	SIPO	CD	941700
1105816	3778	1995-07-07	VYDAJ	PREVOD NA UCET	3035	66364	SIPO	CD	941700
1105817	3778	1995-08-07	VYDAJ	PREVOD NA UCET	3035	68171	SIPO	CD	941700
1105818	3778	1995-09-07	VYDAJ	PREVOD NA UCET	3035	74670	SIPO	CD	941700
1105819	3778	1995-10-07	VYDAJ	PREVOD NA UCET	3035	73886	SIPO	CD	941700
1105820	3778	1995-11-07	VYDAJ	PREVOD NA UCET	3035	74298	SIPO	CD	941700
1105821	3778	1995-12-07	VYDAJ	PREVOD NA UCET	3035	89014	SIPO	CD	941700
1105822	3778	1996-01-07	VYDAJ	PREVOD NA UCET	3035	78313	SIPO	CD	941700
1105823	3778	1996-02-07	VYDAJ	PREVOD NA UCET	3035	67241	SIPO	CD	941700
1105824	3778	1996-03-07	VYDAJ	PREVOD NA UCET	3035	72728	SIPO	CD	941700
1105825	3778	1996-04-07	VYDAJ	PREVOD NA UCET	3035	75934	SIPO	CD	941700
1105826	3778	1996-05-07	VYDAJ	PREVOD NA UCET	3035	81054	SIPO	CD	941700
1105827	3778	1996-06-07	VYDAJ	PREVOD NA UCET	3035	95290	SIPO	CD	941700
1105828	3778	1996-07-07	VYDAJ	PREVOD NA UCET	3035	46306	SIPO	CD	941700
1105829	3778	1996-08-07	VYDAJ	PREVOD NA UCET	3035	66228	SIPO	CD	941700
1105830	3778	1996-09-07	VYDAJ	PREVOD NA UCET	3035	75812	SIPO	CD	941700
1105831	3778	1996-10-07	VYDAJ	PREVOD NA UCET	3035	80024	SIPO	CD	941700
1105832	3778	1996-11-07	VYDAJ	PREVOD NA UCET	3035	83450	SIPO	CD	941700
1105833	3778	1996-12-07	VYDAJ	PREVOD NA UCET	3035	93782	SIPO	CD	941700
1105834	3778	1997-01-07	VYDAJ	PREVOD NA UCET	3035	82346	SIPO	CD	941700
1105835	3778	1997-02-07	VYDAJ	PREVOD NA UCET	3035	64173	SIPO	CD	941700
1105836	3778	1997-03-07	VYDAJ	PREVOD NA UCET	3035	78068	SIPO	CD	941700
1105837	3778	1997-04-07	VYDAJ	PREVOD NA UCET	3035	84490	SIPO	CD	941700
1105838	3778	1997-05-07	VYDAJ	PREVOD NA UCET	3035	87628	SIPO	CD	941700
1105839	3778	1997-06-07	VYDAJ	PREVOD NA UCET	3035	97020	SIPO	CD	941700
1105840	3778	1997-07-07	VYDAJ	PREVOD NA UCET	3035	96805	SIPO	CD	941700
1105841	3778	1997-08-07	VYDAJ	PREVOD NA UCET	3035	98897	SIPO	CD	941700
1105842	3778	1997-09-07	VYDAJ	PREVOD NA UCET	3035	102399	SIPO	CD	941700
1105843	3778	1997-10-07	VYDAJ	PREVOD NA UCET	3035	107711	SIPO	CD	941700
1105844	3778	1997-11-07	VYDAJ	PREVOD NA UCET	3035	102622	SIPO	CD	941700
1105845	3778	1997-12-07	VYDAJ	PREVOD NA UCET	3035	115325	SIPO	CD	941700
1105846	3778	1998-01-07	VYDAJ	PREVOD NA UCET	3035	114363	SIPO	CD	941700
1105847	3778	1998-02-07	VYDAJ	PREVOD NA UCET	3035	79783	SIPO	CD	941700
1105848	3778	1998-03-07	VYDAJ	PREVOD NA UCET	3035	96394	SIPO	CD	941700
1105849	3778	1998-04-07	VYDAJ	PREVOD NA UCET	3035	108296	SIPO	CD	941700
1105850	3778	1998-05-07	VYDAJ	PREVOD NA UCET	3035	68739	SIPO	CD	941700
1105851	3778	1998-06-07	VYDAJ	PREVOD NA UCET	3035	111014	SIPO	CD	941700
1105852	3778	1998-07-07	VYDAJ	PREVOD NA UCET	3035	100110	SIPO	CD	941700
1105853	3778	1998-08-07	VYDAJ	PREVOD NA UCET	3035	102863	SIPO	CD	941700
1105854	3778	1998-09-07	VYDAJ	PREVOD NA UCET	3035	76422	SIPO	CD	941700
1105855	3778	1998-10-07	VYDAJ	PREVOD NA UCET	3035	94202	SIPO	CD	941700
1105856	3778	1998-11-07	VYDAJ	PREVOD NA UCET	3035	99920	SIPO	CD	941700
1105857	3778	1998-12-07	VYDAJ	PREVOD NA UCET	3035	102362	SIPO	CD	941700
1105931	3778	1994-06-08	VYDAJ	VYBER	20000	59296	\N	\N	\N
1105932	3778	1995-06-15	VYDAJ	VYBER	25440	59856	\N	\N	\N
1105933	3778	1996-06-28	VYDAJ	VYBER	46240	26250	\N	\N	\N
1105934	3778	1997-06-05	VYDAJ	VYBER	5760	100055	\N	\N	\N
1105935	3778	1998-06-13	VYDAJ	VYBER	24800	80014	\N	\N	\N
1105937	3778	1994-01-22	VYDAJ	VYBER	10240	50063	\N	\N	\N
1105938	3778	1995-01-07	VYDAJ	VYBER	2880	72978	\N	\N	\N
1105939	3778	1996-01-17	VYDAJ	VYBER	14880	59533	\N	\N	\N
1105940	3778	1997-01-17	VYDAJ	VYBER	9120	57226	\N	\N	\N
1105941	3778	1998-01-23	VYDAJ	VYBER	5120	59743	\N	\N	\N
1105942	3778	1993-12-11	VYDAJ	VYBER	1600	78686	\N	\N	\N
1105943	3778	1994-12-16	VYDAJ	VYBER	2080	75798	\N	\N	\N
1105944	3778	1995-12-27	VYDAJ	VYBER	4160	63954	\N	\N	\N
1105945	3778	1996-12-14	VYDAJ	VYBER KARTOU	3000	90782	\N	\N	0
1105946	3778	1997-12-21	VYDAJ	VYBER KARTOU	2200	94225	\N	\N	0
1105947	3778	1998-12-24	VYDAJ	VYBER KARTOU	2200	100162	\N	\N	0
1105954	3778	1994-01-14	VYDAJ	VYBER	600	62343	\N	\N	\N
1105955	3778	1994-01-27	VYDAJ	VYBER	840	49223	\N	\N	\N
1105956	3778	1994-01-28	VYDAJ	VYBER	600	48623	\N	\N	\N
1105957	3778	1994-01-28	VYDAJ	VYBER	2400	46223	\N	\N	\N
1105958	3778	1994-01-08	VYDAJ	VYBER	1920	66183	\N	\N	\N
1105959	3778	1994-01-10	VYDAJ	VYBER	3240	62943	\N	\N	\N
1105960	3778	1995-01-25	VYDAJ	VYBER	2520	44703	\N	\N	\N
1105961	3778	1995-01-28	VYDAJ	VYBER	3480	41223	\N	\N	\N
1105962	3778	1995-01-24	VYDAJ	VYBER	2520	59023	\N	\N	\N
1105963	3778	1995-01-14	VYDAJ	VYBER	2160	64303	\N	\N	\N
1105964	3778	1995-01-19	VYDAJ	VYBER	2760	61543	\N	\N	\N
1105965	3778	1995-01-13	VYDAJ	VYBER	3480	66463	\N	\N	\N
1105966	3778	1996-01-06	VYDAJ	VYBER KARTOU	700	81348	\N	\N	0
1105967	3778	1996-01-01	VYDAJ	VYBER KARTOU	3200	61050	\N	\N	0
1105968	3778	1996-01-24	VYDAJ	VYBER KARTOU	2400	47233	\N	\N	0
1105969	3778	1996-01-12	VYDAJ	VYBER KARTOU	1900	76413	\N	\N	0
1105970	3778	1996-01-16	VYDAJ	VYBER KARTOU	2000	74413	\N	\N	0
1105971	3778	1996-01-06	VYDAJ	VYBER KARTOU	1800	82048	\N	\N	0
1105972	3778	1997-01-01	VYDAJ	VYBER KARTOU	1300	70183	\N	\N	0
1105973	3778	1997-01-11	VYDAJ	VYBER KARTOU	700	81646	\N	\N	0
1105974	3778	1997-01-05	VYDAJ	VYBER KARTOU	2600	85381	\N	\N	0
1105975	3778	1997-01-03	VYDAJ	VYBER KARTOU	2400	67783	\N	\N	0
1105976	3778	1997-01-14	VYDAJ	VYBER KARTOU	2800	78846	\N	\N	0
1105977	3778	1997-01-05	VYDAJ	VYBER KARTOU	2600	87981	\N	\N	0
1105978	3778	1998-01-07	VYDAJ	VYBER KARTOU	2600	111763	\N	\N	0
1105979	3778	1998-01-11	VYDAJ	VYBER KARTOU	1700	70563	\N	\N	0
1105980	3778	1998-01-12	VYDAJ	VYBER KARTOU	2900	67663	\N	\N	0
1105981	3778	1998-01-09	VYDAJ	VYBER KARTOU	600	72263	\N	\N	0
1105982	3778	1998-01-08	VYDAJ	VYBER KARTOU	2400	71963	\N	\N	0
1105983	3778	1998-01-14	VYDAJ	VYBER KARTOU	2800	64863	\N	\N	0
1105984	3778	1993-12-15	VYDAJ	VYBER	4200	74486	\N	\N	\N
1105990	3778	1993-12-24	VYDAJ	VYBER	3240	71246	\N	\N	\N
1105992	3778	1994-11-04	VYDAJ	VYBER	4080	42827	\N	\N	\N
1105993	3778	1994-10-06	VYDAJ	VYBER	2640	68408	\N	\N	\N
1105994	3778	1994-01-20	VYDAJ	VYBER	2040	60303	\N	\N	\N
1105995	3778	1994-06-27	VYDAJ	VYBER	1440	57856	\N	\N	\N
1105996	3778	1995-07-23	VYDAJ	VYBER	5880	60484	\N	\N	\N
1105997	3778	1995-04-15	VYDAJ	VYBER	5160	61498	\N	\N	\N
1105998	3778	1995-02-05	VYDAJ	VYBER	5880	52486	\N	\N	\N
1105999	3778	1995-01-30	VYDAJ	VYBER	5880	35343	\N	\N	\N
1106000	3778	1995-06-26	VYDAJ	VYBER	3600	46356	\N	\N	\N
1106001	3778	1996-02-24	VYDAJ	VYBER KARTOU	1400	52741	\N	\N	0
1106002	3778	1996-12-06	VYDAJ	VYBER KARTOU	1900	96817	\N	\N	0
1106003	3778	1997-10-15	VYDAJ	VYBER KARTOU	4000	85011	\N	\N	0
1106004	3778	1997-08-01	VYDAJ	VYBER KARTOU	3000	79134	\N	\N	0
1106005	3778	1997-01-31	VYDAJ	VYBER	4200	53305	\N	\N	\N
1106006	3778	1997-10-28	VYDAJ	VYBER KARTOU	2500	82511	\N	\N	0
1106007	3778	1997-01-16	VYDAJ	VYBER KARTOU	1000	66346	\N	\N	0
1106008	3778	1997-02-07	VYDAJ	VYBER	4320	67208	\N	\N	\N
1106009	3778	1997-11-24	VYDAJ	VYBER KARTOU	3200	83822	\N	\N	0
1106010	3778	1997-08-20	VYDAJ	VYBER KARTOU	800	82297	\N	\N	0
1106011	3778	1997-02-03	VYDAJ	VYBER	4560	48730	\N	\N	\N
1106012	3778	1998-07-27	VYDAJ	VYBER	5280	93530	\N	\N	\N
1106013	3778	1998-12-28	VYDAJ	VYBER KARTOU	4000	96162	\N	\N	0
1106014	3778	1998-06-09	VYDAJ	VYBER KARTOU	1000	104814	\N	\N	0
1106015	3778	1998-02-17	VYDAJ	VYBER	4440	76343	\N	\N	\N
1106016	3778	1998-08-16	VYDAJ	VYBER KARTOU	800	102063	\N	\N	0
1106017	3778	1998-10-25	VYDAJ	VYBER KARTOU	1600	92602	\N	\N	0
1106018	3778	1998-11-09	VYDAJ	VYBER	4200	95720	\N	\N	\N
1106030	3778	1993-11-30	VYDAJ	VYBER	15	68624	SLUZBY	\N	\N
1106031	3778	1993-12-31	VYDAJ	VYBER	15	48340	SLUZBY	\N	\N
1106032	3778	1994-01-31	VYDAJ	VYBER	15	35437	SLUZBY	\N	\N
1106033	3778	1994-02-28	VYDAJ	VYBER	15	55398	SLUZBY	\N	\N
1106034	3778	1994-03-31	VYDAJ	VYBER	15	62101	SLUZBY	\N	\N
1106035	3778	1994-04-30	VYDAJ	VYBER	15	63813	SLUZBY	\N	\N
1106036	3778	1994-05-31	VYDAJ	VYBER	15	48134	SLUZBY	\N	\N
1106037	3778	1994-06-30	VYDAJ	VYBER	15	43377	SLUZBY	\N	\N
1106038	3778	1994-07-31	VYDAJ	VYBER	15	44265	SLUZBY	\N	\N
1106039	3778	1994-08-31	VYDAJ	VYBER	15	46254	SLUZBY	\N	\N
1106040	3778	1994-09-30	VYDAJ	VYBER	15	48250	SLUZBY	\N	\N
1106041	3778	1994-10-31	VYDAJ	VYBER	15	46907	SLUZBY	\N	\N
1106042	3778	1994-11-30	VYDAJ	VYBER	15	46716	SLUZBY	\N	\N
1106043	3778	1994-12-31	VYDAJ	VYBER	15	53060	SLUZBY	\N	\N
1106044	3778	1995-01-31	VYDAJ	VYBER	15	35568	SLUZBY	\N	\N
1106045	3778	1995-02-28	VYDAJ	VYBER	15	39526	SLUZBY	\N	\N
1106046	3778	1995-03-31	VYDAJ	VYBER	15	46895	SLUZBY	\N	\N
1106047	3778	1995-04-30	VYDAJ	VYBER	15	51023	SLUZBY	\N	\N
1106048	3778	1995-05-31	VYDAJ	VYBER	15	54134	SLUZBY	\N	\N
1106049	3778	1995-06-30	VYDAJ	VYBER	15	46601	SLUZBY	\N	\N
1106050	3778	1995-07-31	VYDAJ	VYBER	15	48408	SLUZBY	\N	\N
1106051	3778	1995-08-31	VYDAJ	VYBER	15	54907	SLUZBY	\N	\N
1106052	3778	1995-09-30	VYDAJ	VYBER	15	54123	SLUZBY	\N	\N
1106053	3778	1995-10-31	VYDAJ	VYBER	15	54535	SLUZBY	\N	\N
1106054	3778	1995-11-30	VYDAJ	VYBER	15	57852	SLUZBY	\N	\N
1106055	3778	1995-12-31	VYDAJ	VYBER	15	64250	SLUZBY	\N	\N
1106056	3778	1996-01-31	VYDAJ	VYBER	15	47478	SLUZBY	\N	\N
1106057	3778	1996-02-29	VYDAJ	VYBER	15	52965	SLUZBY	\N	\N
1106058	3778	1996-03-31	VYDAJ	VYBER	15	56171	SLUZBY	\N	\N
1106059	3778	1996-04-30	VYDAJ	VYBER	15	61291	SLUZBY	\N	\N
1106060	3778	1996-05-31	VYDAJ	VYBER	15	64128	SLUZBY	\N	\N
1106061	3778	1996-06-30	VYDAJ	VYBER	15	26543	SLUZBY	\N	\N
1106062	3778	1996-07-31	VYDAJ	VYBER	15	46465	SLUZBY	\N	\N
1106063	3778	1996-08-31	VYDAJ	VYBER	15	56049	SLUZBY	\N	\N
1106064	3778	1996-09-30	VYDAJ	VYBER	15	60261	SLUZBY	\N	\N
1106065	3778	1996-10-31	VYDAJ	VYBER	15	63687	SLUZBY	\N	\N
1106066	3778	1996-11-30	VYDAJ	VYBER	15	64520	SLUZBY	\N	\N
1106067	3778	1996-12-31	VYDAJ	VYBER	15	71483	SLUZBY	\N	\N
1106068	3778	1997-01-31	VYDAJ	VYBER	15	53290	SLUZBY	\N	\N
1106069	3778	1997-02-28	VYDAJ	VYBER	15	58305	SLUZBY	\N	\N
1106070	3778	1997-03-31	VYDAJ	VYBER	15	64727	SLUZBY	\N	\N
1106071	3778	1997-04-30	VYDAJ	VYBER	15	67865	SLUZBY	\N	\N
1106072	3778	1997-05-31	VYDAJ	VYBER	15	71618	SLUZBY	\N	\N
1106073	3778	1997-06-30	VYDAJ	VYBER	15	77042	SLUZBY	\N	\N
1106074	3778	1997-07-31	VYDAJ	VYBER	15	82134	SLUZBY	\N	\N
1106075	3778	1997-08-31	VYDAJ	VYBER	15	82636	SLUZBY	\N	\N
1106076	3778	1997-09-30	VYDAJ	VYBER	15	87948	SLUZBY	\N	\N
1106077	3778	1997-10-31	VYDAJ	VYBER	15	82859	SLUZBY	\N	\N
1106078	3778	1997-11-30	VYDAJ	VYBER	15	84163	SLUZBY	\N	\N
1106079	3778	1997-12-31	VYDAJ	VYBER	15	94600	SLUZBY	\N	\N
1106080	3778	1998-01-31	VYDAJ	VYBER	15	60020	SLUZBY	\N	\N
1106081	3778	1998-02-28	VYDAJ	VYBER	15	76631	SLUZBY	\N	\N
1106082	3778	1998-03-31	VYDAJ	VYBER	15	88533	SLUZBY	\N	\N
1106083	3778	1998-04-30	VYDAJ	VYBER	15	97976	SLUZBY	\N	\N
1106084	3778	1998-05-31	VYDAJ	VYBER	15	79852	SLUZBY	\N	\N
1106085	3778	1998-06-30	VYDAJ	VYBER	15	80347	SLUZBY	\N	\N
1106086	3778	1998-07-31	VYDAJ	VYBER	15	93900	SLUZBY	\N	\N
1106087	3778	1998-08-31	VYDAJ	VYBER	15	102459	SLUZBY	\N	\N
1106088	3778	1998-09-30	VYDAJ	VYBER	15	76739	SLUZBY	\N	\N
1106089	3778	1998-10-31	VYDAJ	VYBER	15	92957	SLUZBY	\N	\N
1106090	3778	1998-11-30	VYDAJ	VYBER	15	96100	SLUZBY	\N	\N
1106091	3778	1993-08-03	PRIJEM	VKLAD	1400	25385	\N	\N	\N
1106092	3778	1993-09-02	VYDAJ	VYBER	10200	38170	\N	\N	\N
1106093	3778	1993-10-02	VYDAJ	VYBER	16600	44615	\N	\N	\N
1106094	3778	1993-11-01	VYDAJ	VYBER	19100	48591	\N	\N	\N
1106095	3778	1993-12-01	VYDAJ	VYBER	19500	49124	\N	\N	\N
1106096	3778	1993-12-31	VYDAJ	VYBER	23200	48355	\N	\N	\N
1106097	3778	1994-01-30	VYDAJ	VYBER	11000	35223	\N	\N	\N
1106098	3778	1994-03-01	VYDAJ	VYBER	13300	42098	\N	\N	\N
1106099	3778	1994-03-31	VYDAJ	VYBER	18300	43801	\N	\N	\N
1106100	3778	1994-04-30	VYDAJ	VYBER	16000	47813	\N	\N	\N
1106101	3778	1994-05-30	VYDAJ	VYBER	19700	47876	\N	\N	\N
1106102	3778	1994-06-29	VYDAJ	VYBER	14700	43156	\N	\N	\N
1106103	3778	1994-07-29	VYDAJ	VYBER	19100	44040	\N	\N	\N
1106104	3778	1994-08-28	VYDAJ	VYBER	18000	46028	\N	\N	\N
1106105	3778	1994-09-27	VYDAJ	VYBER	18000	48017	\N	\N	\N
1106106	3778	1994-10-27	VYDAJ	VYBER	18700	46673	\N	\N	\N
1106107	3778	1994-11-26	VYDAJ	VYBER	16100	46490	\N	\N	\N
1106108	3778	1994-12-26	VYDAJ	VYBER	23000	52798	\N	\N	\N
1106109	3778	1995-01-25	VYDAJ	VYBER	11800	47223	\N	\N	\N
1106110	3778	1995-02-24	VYDAJ	VYBER	10100	39351	\N	\N	\N
1106111	3778	1995-03-26	VYDAJ	VYBER	12600	46689	\N	\N	\N
1106112	3778	1995-04-25	VYDAJ	VYBER	10700	50798	\N	\N	\N
1106113	3778	1995-05-25	VYDAJ	VYBER	16900	53886	\N	\N	\N
1106114	3778	1995-06-24	VYDAJ	VYBER	9900	49956	\N	\N	\N
1106115	3778	1995-07-24	VYDAJ	VYBER	12300	48184	\N	\N	\N
1106116	3778	1995-08-23	VYDAJ	VYBER	13500	54671	\N	\N	\N
1106117	3778	1995-09-22	VYDAJ	VYBER	20800	53870	\N	\N	\N
1106118	3778	1995-10-22	VYDAJ	VYBER	19600	54286	\N	\N	\N
1106119	3778	1995-11-21	VYDAJ	VYBER	16700	57598	\N	\N	\N
1106120	3778	1995-12-21	VYDAJ	VYBER	20900	68114	\N	\N	\N
1106121	3778	1996-01-20	VYDAJ	VYBER	9900	49633	\N	\N	\N
1106122	3778	1996-02-19	VYDAJ	VYBER	13100	54141	\N	\N	\N
1106123	3778	1996-03-20	VYDAJ	VYBER	16800	55928	\N	\N	\N
1106124	3778	1996-04-19	VYDAJ	VYBER	14900	61034	\N	\N	\N
1106125	3778	1996-05-19	VYDAJ	VYBER	17200	63854	\N	\N	\N
1106126	3778	1996-06-18	VYDAJ	VYBER	22800	72490	\N	\N	\N
1106127	3778	1996-08-17	VYDAJ	VYBER	10400	55828	\N	\N	\N
1106128	3778	1996-09-16	VYDAJ	VYBER	15800	60012	\N	\N	\N
1106129	3778	1996-10-16	VYDAJ	VYBER	16600	63424	\N	\N	\N
1106130	3778	1996-11-15	VYDAJ	VYBER	19200	64250	\N	\N	\N
1106131	3778	1996-12-15	VYDAJ	VYBER	19600	71182	\N	\N	\N
1106132	3778	1997-01-14	VYDAJ	VYBER	11500	67346	\N	\N	\N
1106133	3778	1997-02-13	VYDAJ	VYBER	6100	58073	\N	\N	\N
1106134	3778	1997-03-15	VYDAJ	VYBER	13600	64468	\N	\N	\N
1106135	3778	1997-04-14	VYDAJ	VYBER	16900	67590	\N	\N	\N
1106136	3778	1997-05-14	VYDAJ	VYBER	16300	71328	\N	\N	\N
1106137	3778	1997-06-13	VYDAJ	VYBER	20300	76720	\N	\N	\N
1106138	3778	1997-07-13	VYDAJ	VYBER	15000	81805	\N	\N	\N
1106139	3778	1997-08-12	VYDAJ	VYBER	15800	83097	\N	\N	\N
1106140	3778	1997-09-11	VYDAJ	VYBER	14800	87599	\N	\N	\N
1106141	3778	1997-10-11	VYDAJ	VYBER	18700	89011	\N	\N	\N
1106142	3778	1997-11-10	VYDAJ	VYBER	15600	87022	\N	\N	\N
1106143	3778	1997-12-10	VYDAJ	VYBER	18900	96425	\N	\N	\N
1106144	3778	1998-01-07	VYDAJ	VYBER	37400	74363	\N	\N	\N
1106145	3778	1998-01-09	PRIJEM	VKLAD	900	72863	\N	\N	\N
1106146	3778	1998-02-08	PRIJEM	VKLAD	1000	80783	\N	\N	\N
1106147	3778	1998-03-10	VYDAJ	VYBER	8200	88194	\N	\N	\N
1106148	3778	1998-04-09	VYDAJ	VYBER	10700	97596	\N	\N	\N
1106149	3778	1998-05-05	VYDAJ	VYBER	49000	71774	\N	\N	\N
1106150	3778	1998-05-09	PRIJEM	VKLAD	10800	79539	\N	\N	\N
1106151	3778	1998-06-08	VYDAJ	VYBER	5200	105814	\N	\N	\N
1106152	3778	1998-07-08	VYDAJ	VYBER KARTOU	1300	98810	\N	\N	0
1106153	3778	1998-08-07	VYDAJ	VYBER	10800	105898	\N	\N	\N
1106154	3778	1998-09-05	VYDAJ	VYBER	50800	74457	\N	\N	\N
1106155	3778	1998-09-06	PRIJEM	VKLAD	5000	79457	\N	\N	\N
1106156	3778	1998-10-06	VYDAJ	VYBER KARTOU	2300	97237	\N	\N	0
1106157	3778	1998-11-05	VYDAJ	VYBER	12800	102955	\N	\N	\N
1106158	3778	1998-12-05	VYDAJ	VYBER	18400	111897	\N	\N	\N
1106159	3778	1998-12-05	VYDAJ	VYBER	6500	105397	\N	\N	\N
1106226	3779	1995-07-08	PRIJEM	VKLAD	200	200	\N	\N	\N
1106234	3779	1995-08-06	PRIJEM	VKLAD	11404	11604	\N	\N	\N
1106235	3779	1995-09-06	PRIJEM	VKLAD	11404	28365	\N	\N	\N
1106236	3779	1995-10-06	PRIJEM	VKLAD	11404	39177	\N	\N	\N
1106237	3779	1995-11-06	PRIJEM	VKLAD	11404	45017	\N	\N	\N
1106238	3779	1995-12-06	PRIJEM	VKLAD	17106	53103	\N	\N	\N
1106239	3779	1996-01-06	PRIJEM	VKLAD	11404	51003	\N	\N	\N
1106240	3779	1996-02-06	PRIJEM	VKLAD	11404	44474	\N	\N	\N
1106241	3779	1996-03-06	PRIJEM	VKLAD	11404	46447	\N	\N	\N
1106242	3779	1996-04-06	PRIJEM	VKLAD	11404	43926	\N	\N	\N
1106243	3779	1996-05-06	PRIJEM	VKLAD	11404	46301	\N	\N	\N
1106244	3779	1996-06-06	PRIJEM	VKLAD	17106	55087	\N	\N	\N
1106245	3779	1996-07-06	PRIJEM	VKLAD	11404	51172	\N	\N	\N
1106246	3779	1996-08-06	PRIJEM	VKLAD	11404	52174	\N	\N	\N
1106247	3779	1996-09-06	PRIJEM	VKLAD	11404	54285	\N	\N	\N
1106248	3779	1996-10-06	PRIJEM	VKLAD	11404	56901	\N	\N	\N
1106249	3779	1996-11-06	PRIJEM	VKLAD	11404	54325	\N	\N	\N
1106250	3779	1996-12-06	PRIJEM	VKLAD	17106	60537	\N	\N	\N
1106251	3779	1997-01-06	PRIJEM	VKLAD	11404	53472	\N	\N	\N
1106252	3779	1997-02-06	PRIJEM	VKLAD	11404	43457	\N	\N	\N
1106253	3779	1997-03-06	PRIJEM	VKLAD	11404	51127	\N	\N	\N
1106254	3779	1997-04-06	PRIJEM	VKLAD	11404	52024	\N	\N	\N
1106255	3779	1997-05-06	PRIJEM	VKLAD	11404	53127	\N	\N	\N
1106256	3779	1997-06-06	PRIJEM	VKLAD	17106	58135	\N	\N	\N
1106257	3779	1997-07-06	PRIJEM	VKLAD	11404	41533	\N	\N	\N
1106258	3779	1997-08-06	PRIJEM	VKLAD	11404	39191	\N	\N	\N
1106259	3779	1997-09-06	PRIJEM	VKLAD	11404	43841	\N	\N	\N
1106260	3779	1997-10-06	PRIJEM	VKLAD	11404	48310	\N	\N	\N
1106261	3779	1997-11-06	PRIJEM	VKLAD	11404	50996	\N	\N	\N
1106262	3779	1997-12-06	PRIJEM	VKLAD	17106	57292	\N	\N	\N
1106263	3779	1998-01-06	PRIJEM	VKLAD	11404	54105	\N	\N	\N
1106264	3779	1998-02-06	PRIJEM	VKLAD	11404	40986	\N	\N	\N
1106265	3779	1998-03-06	PRIJEM	VKLAD	11404	47244	\N	\N	\N
1106266	3779	1998-04-06	PRIJEM	VKLAD	11404	49522	\N	\N	\N
1106267	3779	1998-05-06	PRIJEM	VKLAD	11404	51211	\N	\N	\N
1106268	3779	1998-06-06	PRIJEM	VKLAD	17106	60510	\N	\N	\N
1106269	3779	1998-07-06	PRIJEM	VKLAD	11404	39827	\N	\N	\N
1106270	3779	1998-08-06	PRIJEM	VKLAD	11404	54891	\N	\N	\N
1106271	3779	1998-09-06	PRIJEM	VKLAD	11404	64310	\N	\N	\N
1106272	3779	1998-10-06	PRIJEM	VKLAD	11404	65957	\N	\N	\N
1106273	3779	1998-11-06	PRIJEM	VKLAD	11404	65507	\N	\N	\N
1106274	3779	1998-12-06	PRIJEM	VKLAD	17106	75965	\N	\N	\N
1106286	3779	1995-12-06	VYDAJ	PREVOD NA UCET	159	52944	SIPO	CD	38576167
1106287	3779	1996-01-06	VYDAJ	PREVOD NA UCET	159	48344	SIPO	CD	38576167
1106288	3779	1996-02-06	VYDAJ	PREVOD NA UCET	159	44315	SIPO	CD	38576167
1106289	3779	1996-03-06	VYDAJ	PREVOD NA UCET	159	46288	SIPO	CD	38576167
1106290	3779	1996-04-06	VYDAJ	PREVOD NA UCET	159	43767	SIPO	CD	38576167
1106291	3779	1996-05-06	VYDAJ	PREVOD NA UCET	159	46142	SIPO	CD	38576167
1106292	3779	1996-06-06	VYDAJ	PREVOD NA UCET	159	54928	SIPO	CD	38576167
1106293	3779	1996-07-06	VYDAJ	PREVOD NA UCET	159	51013	SIPO	CD	38576167
1106294	3779	1996-08-06	VYDAJ	PREVOD NA UCET	159	52015	SIPO	CD	38576167
1106295	3779	1996-09-06	VYDAJ	PREVOD NA UCET	159	54126	SIPO	CD	38576167
1106296	3779	1996-10-06	VYDAJ	PREVOD NA UCET	159	56742	SIPO	CD	38576167
1106297	3779	1996-11-06	VYDAJ	PREVOD NA UCET	159	54166	SIPO	CD	38576167
1106298	3779	1996-12-06	VYDAJ	PREVOD NA UCET	159	60378	SIPO	CD	38576167
1106299	3779	1997-01-06	VYDAJ	PREVOD NA UCET	159	53313	SIPO	CD	38576167
1106300	3779	1997-02-06	VYDAJ	PREVOD NA UCET	159	43298	SIPO	CD	38576167
1106301	3779	1997-03-06	VYDAJ	PREVOD NA UCET	159	50968	SIPO	CD	38576167
1106302	3779	1997-04-06	VYDAJ	PREVOD NA UCET	159	51865	SIPO	CD	38576167
1106303	3779	1997-05-06	VYDAJ	PREVOD NA UCET	159	52968	SIPO	CD	38576167
1106304	3779	1997-06-06	VYDAJ	PREVOD NA UCET	159	57976	SIPO	CD	38576167
1106305	3779	1997-07-06	VYDAJ	PREVOD NA UCET	159	41374	SIPO	CD	38576167
1106306	3779	1997-08-06	VYDAJ	PREVOD NA UCET	159	39032	SIPO	CD	38576167
1106307	3779	1997-09-06	VYDAJ	PREVOD NA UCET	159	43682	SIPO	CD	38576167
1106308	3779	1997-10-06	VYDAJ	PREVOD NA UCET	159	48151	SIPO	CD	38576167
1106309	3779	1997-11-06	VYDAJ	PREVOD NA UCET	159	50837	SIPO	CD	38576167
1106310	3779	1997-12-06	VYDAJ	PREVOD NA UCET	159	57133	SIPO	CD	38576167
1106311	3779	1998-01-06	VYDAJ	PREVOD NA UCET	159	53946	SIPO	CD	38576167
1106312	3779	1998-02-06	VYDAJ	PREVOD NA UCET	159	40827	SIPO	CD	38576167
1106313	3779	1998-03-06	VYDAJ	PREVOD NA UCET	159	47085	SIPO	CD	38576167
1106314	3779	1998-04-06	VYDAJ	PREVOD NA UCET	159	49363	SIPO	CD	38576167
1106315	3779	1998-05-06	VYDAJ	PREVOD NA UCET	159	51052	SIPO	CD	38576167
1106316	3779	1998-06-06	VYDAJ	PREVOD NA UCET	159	60351	SIPO	CD	38576167
1106317	3779	1998-07-06	VYDAJ	PREVOD NA UCET	159	39668	SIPO	CD	38576167
1106318	3779	1998-08-06	VYDAJ	PREVOD NA UCET	159	54732	SIPO	CD	38576167
1106319	3779	1998-09-06	VYDAJ	PREVOD NA UCET	159	64151	SIPO	CD	38576167
1106320	3779	1998-10-06	VYDAJ	PREVOD NA UCET	159	65798	SIPO	CD	38576167
1106321	3779	1998-11-06	VYDAJ	PREVOD NA UCET	159	65348	SIPO	CD	38576167
1106322	3779	1998-12-06	VYDAJ	PREVOD NA UCET	159	75806	SIPO	CD	38576167
1106334	3779	1995-12-11	VYDAJ	PREVOD NA UCET	853	47491	 	KL	79480331
1106335	3779	1996-01-11	VYDAJ	PREVOD NA UCET	853	42191	 	KL	79480331
1106336	3779	1996-02-11	VYDAJ	PREVOD NA UCET	853	43462	 	KL	79480331
1106337	3779	1996-03-11	VYDAJ	PREVOD NA UCET	853	45435	 	KL	79480331
1106338	3779	1996-04-11	VYDAJ	PREVOD NA UCET	853	42914	 	KL	79480331
1106339	3779	1996-05-11	VYDAJ	PREVOD NA UCET	853	45289	 	KL	79480331
1106340	3779	1996-06-11	VYDAJ	PREVOD NA UCET	853	54075	 	KL	79480331
1106341	3779	1996-07-11	VYDAJ	PREVOD NA UCET	853	50160	 	KL	79480331
1106342	3779	1996-08-11	VYDAJ	PREVOD NA UCET	853	51162	 	KL	79480331
1106343	3779	1996-09-11	VYDAJ	PREVOD NA UCET	853	53273	 	KL	79480331
1106344	3779	1996-10-11	VYDAJ	PREVOD NA UCET	853	55889	 	KL	79480331
1106345	3779	1996-11-11	VYDAJ	PREVOD NA UCET	853	53313	 	KL	79480331
1106346	3779	1996-12-11	VYDAJ	PREVOD NA UCET	853	59525	 	KL	79480331
1106347	3779	1997-01-11	VYDAJ	PREVOD NA UCET	853	50560	 	KL	79480331
1106348	3779	1997-02-11	VYDAJ	PREVOD NA UCET	853	42445	 	KL	79480331
1106349	3779	1997-03-11	VYDAJ	PREVOD NA UCET	853	48715	 	KL	79480331
1106350	3779	1997-04-11	VYDAJ	PREVOD NA UCET	853	51012	 	KL	79480331
1106351	3779	1997-05-11	VYDAJ	PREVOD NA UCET	853	52115	 	KL	79480331
1106352	3779	1997-06-11	VYDAJ	PREVOD NA UCET	853	57123	 	KL	79480331
1106353	3779	1997-07-11	VYDAJ	PREVOD NA UCET	853	40521	 	KL	79480331
1106354	3779	1997-08-11	VYDAJ	PREVOD NA UCET	853	38179	 	KL	79480331
1106355	3779	1997-09-11	VYDAJ	PREVOD NA UCET	853	42829	 	KL	79480331
1106356	3779	1997-10-11	VYDAJ	PREVOD NA UCET	853	47298	 	KL	79480331
1106357	3779	1997-11-11	VYDAJ	PREVOD NA UCET	853	49984	 	KL	79480331
1106358	3779	1997-12-11	VYDAJ	PREVOD NA UCET	853	56280	 	KL	79480331
1106359	3779	1998-01-11	VYDAJ	PREVOD NA UCET	853	53093	 	KL	79480331
1106360	3779	1998-02-11	VYDAJ	PREVOD NA UCET	853	39974	 	KL	79480331
1106361	3779	1998-03-11	VYDAJ	PREVOD NA UCET	853	44532	 	KL	79480331
1106362	3779	1998-04-11	VYDAJ	PREVOD NA UCET	853	48510	 	KL	79480331
1106363	3779	1998-05-11	VYDAJ	PREVOD NA UCET	853	50199	 	KL	79480331
1106364	3779	1998-06-11	VYDAJ	PREVOD NA UCET	853	59498	 	KL	79480331
1106365	3779	1998-07-11	VYDAJ	PREVOD NA UCET	853	38815	 	KL	79480331
1106366	3779	1998-08-11	VYDAJ	PREVOD NA UCET	853	53879	 	KL	79480331
1106367	3779	1998-09-11	VYDAJ	PREVOD NA UCET	853	63298	 	KL	79480331
1106368	3779	1998-10-11	VYDAJ	PREVOD NA UCET	853	64945	 	KL	79480331
1106369	3779	1998-11-11	VYDAJ	PREVOD NA UCET	853	64495	 	KL	79480331
1106370	3779	1998-12-11	VYDAJ	PREVOD NA UCET	853	74953	 	KL	79480331
1106382	3779	1995-12-12	VYDAJ	PREVOD NA UCET	2969	44522	POJISTNE	ST	6959701
1106383	3779	1996-01-12	VYDAJ	PREVOD NA UCET	2969	39222	POJISTNE	ST	6959701
1106384	3779	1996-02-12	VYDAJ	PREVOD NA UCET	2969	40493	POJISTNE	ST	6959701
1106385	3779	1996-03-12	VYDAJ	PREVOD NA UCET	2969	42466	POJISTNE	ST	6959701
1106386	3779	1996-04-12	VYDAJ	PREVOD NA UCET	2969	39945	POJISTNE	ST	6959701
1106387	3779	1996-05-12	VYDAJ	PREVOD NA UCET	2969	42320	POJISTNE	ST	6959701
1106388	3779	1996-06-12	VYDAJ	PREVOD NA UCET	2969	51106	POJISTNE	ST	6959701
1106389	3779	1996-07-12	VYDAJ	PREVOD NA UCET	2969	47191	POJISTNE	ST	6959701
1106390	3779	1996-08-12	VYDAJ	PREVOD NA UCET	2969	48193	POJISTNE	ST	6959701
1106391	3779	1996-09-12	VYDAJ	PREVOD NA UCET	2969	50304	POJISTNE	ST	6959701
1106392	3779	1996-10-12	VYDAJ	PREVOD NA UCET	2969	52920	POJISTNE	ST	6959701
1106393	3779	1996-11-12	VYDAJ	PREVOD NA UCET	2969	50344	POJISTNE	ST	6959701
1106394	3779	1996-12-12	VYDAJ	PREVOD NA UCET	2969	56556	POJISTNE	ST	6959701
1106395	3779	1997-01-12	VYDAJ	PREVOD NA UCET	2969	47591	POJISTNE	ST	6959701
1106396	3779	1997-02-12	VYDAJ	PREVOD NA UCET	2969	39476	POJISTNE	ST	6959701
1106397	3779	1997-03-12	VYDAJ	PREVOD NA UCET	2969	45746	POJISTNE	ST	6959701
1106398	3779	1997-04-12	VYDAJ	PREVOD NA UCET	2969	48043	POJISTNE	ST	6959701
1106399	3779	1997-05-12	VYDAJ	PREVOD NA UCET	2969	49146	POJISTNE	ST	6959701
1106400	3779	1997-06-12	VYDAJ	PREVOD NA UCET	2969	54154	POJISTNE	ST	6959701
1106401	3779	1997-07-12	VYDAJ	PREVOD NA UCET	2969	37552	POJISTNE	ST	6959701
1106402	3779	1997-08-12	VYDAJ	PREVOD NA UCET	2969	35210	POJISTNE	ST	6959701
1106403	3779	1997-09-12	VYDAJ	PREVOD NA UCET	2969	39860	POJISTNE	ST	6959701
1106404	3779	1997-10-12	VYDAJ	PREVOD NA UCET	2969	44329	POJISTNE	ST	6959701
1106405	3779	1997-11-12	VYDAJ	PREVOD NA UCET	2969	47015	POJISTNE	ST	6959701
1106406	3779	1997-12-12	VYDAJ	PREVOD NA UCET	2969	53311	POJISTNE	ST	6959701
1106407	3779	1998-01-12	VYDAJ	PREVOD NA UCET	2969	47924	POJISTNE	ST	6959701
1106408	3779	1998-02-12	VYDAJ	PREVOD NA UCET	2969	37005	POJISTNE	ST	6959701
1106409	3779	1998-03-12	VYDAJ	PREVOD NA UCET	2969	41563	POJISTNE	ST	6959701
1106410	3779	1998-04-12	VYDAJ	PREVOD NA UCET	2969	45541	POJISTNE	ST	6959701
1106411	3779	1998-05-12	VYDAJ	PREVOD NA UCET	2969	47230	POJISTNE	ST	6959701
1106412	3779	1998-06-12	VYDAJ	PREVOD NA UCET	2969	56529	POJISTNE	ST	6959701
1106413	3779	1998-07-12	VYDAJ	PREVOD NA UCET	2969	35846	POJISTNE	ST	6959701
1106414	3779	1998-08-12	VYDAJ	PREVOD NA UCET	2969	50910	POJISTNE	ST	6959701
1106415	3779	1998-09-12	VYDAJ	PREVOD NA UCET	2969	60329	POJISTNE	ST	6959701
1106416	3779	1998-10-12	VYDAJ	PREVOD NA UCET	2969	61976	POJISTNE	ST	6959701
1106417	3779	1998-11-12	VYDAJ	PREVOD NA UCET	2969	61526	POJISTNE	ST	6959701
1106418	3779	1998-12-12	VYDAJ	PREVOD NA UCET	2969	71984	POJISTNE	ST	6959701
1106420	3779	1996-06-13	VYDAJ	VYBER	12100	39006	\N	\N	\N
1106421	3779	1997-06-21	VYDAJ	VYBER	19000	35154	\N	\N	\N
1106422	3779	1998-06-27	VYDAJ	VYBER	23000	28229	\N	\N	\N
1106424	3779	1996-01-26	VYDAJ	VYBER	5300	31122	\N	\N	\N
1106425	3779	1997-01-29	VYDAJ	VYBER	4100	31891	\N	\N	\N
1106426	3779	1998-01-19	VYDAJ	VYBER	1300	38024	\N	\N	\N
1106433	3779	1996-01-06	VYDAJ	VYBER	2500	48503	\N	\N	\N
1106434	3779	1996-01-27	VYDAJ	VYBER	2300	28822	\N	\N	\N
1106435	3779	1996-01-24	VYDAJ	VYBER	2800	36422	\N	\N	\N
1106436	3779	1996-01-08	VYDAJ	VYBER	2800	44544	\N	\N	\N
1106437	3779	1996-01-06	VYDAJ	VYBER	1000	47344	\N	\N	\N
1106438	3779	1996-01-09	VYDAJ	VYBER	1500	43044	\N	\N	\N
1106439	3779	1997-01-19	VYDAJ	VYBER	800	43491	\N	\N	\N
1106440	3779	1997-01-04	VYDAJ	VYBER	2600	42068	\N	\N	\N
1106441	3779	1997-01-25	VYDAJ	VYBER	1400	32891	\N	\N	\N
1106442	3779	1997-01-07	VYDAJ	VYBER	1900	51413	\N	\N	\N
1106443	3779	1997-01-18	VYDAJ	VYBER	2100	44291	\N	\N	\N
1106444	3779	1997-01-01	VYDAJ	VYBER	2600	44668	\N	\N	\N
1106445	3779	1998-01-12	VYDAJ	VYBER	2200	50893	\N	\N	\N
1106446	3779	1998-01-24	VYDAJ	VYBER	2200	33724	\N	\N	\N
1106447	3779	1998-01-18	VYDAJ	VYBER	2300	39324	\N	\N	\N
1106448	3779	1998-01-27	VYDAJ	VYBER	2300	31424	\N	\N	\N
1106449	3779	1998-01-15	VYDAJ	VYBER	2500	45424	\N	\N	\N
1106450	3779	1998-01-29	VYDAJ	VYBER	2000	29424	\N	\N	\N
1106456	3779	1995-12-11	VYDAJ	VYBER	4600	48344	\N	\N	\N
1106457	3779	1996-11-24	VYDAJ	VYBER	4700	45644	\N	\N	\N
1106458	3779	1996-03-21	VYDAJ	VYBER	3400	39066	\N	\N	\N
1106459	3779	1996-03-27	VYDAJ	VYBER	3500	35566	\N	\N	\N
1106460	3779	1996-05-27	VYDAJ	VYBER	4600	37720	\N	\N	\N
1106461	3779	1997-05-24	VYDAJ	VYBER	1100	48046	\N	\N	\N
1106462	3779	1997-07-30	VYDAJ	VYBER	4200	27652	\N	\N	\N
1106463	3779	1997-03-11	VYDAJ	VYBER	1400	49568	\N	\N	\N
1106464	3779	1997-01-20	VYDAJ	VYBER	4300	39191	\N	\N	\N
1106465	3779	1997-01-22	VYDAJ	VYBER	4900	34291	\N	\N	\N
1106466	3779	1997-01-17	VYDAJ	VYBER	1200	46391	\N	\N	\N
1106467	3779	1998-03-28	VYDAJ	VYBER	4500	37963	\N	\N	\N
1106468	3779	1998-01-21	VYDAJ	VYBER	3000	35024	\N	\N	\N
1106469	3779	1998-12-22	VYDAJ	VYBER	900	58884	\N	\N	\N
1106470	3779	1998-01-17	VYDAJ	VYBER	3800	41624	\N	\N	\N
1106471	3779	1998-03-08	VYDAJ	VYBER	1700	45385	\N	\N	\N
1106484	3779	1995-12-31	VYDAJ	VYBER	15	44699	SLUZBY	\N	\N
1106485	3779	1996-01-31	VYDAJ	VYBER	15	28970	SLUZBY	\N	\N
1106486	3779	1996-02-29	VYDAJ	VYBER	15	40643	SLUZBY	\N	\N
1106487	3779	1996-03-31	VYDAJ	VYBER	15	35722	SLUZBY	\N	\N
1106488	3779	1996-04-30	VYDAJ	VYBER	15	40097	SLUZBY	\N	\N
1106489	3779	1996-05-31	VYDAJ	VYBER	15	37881	SLUZBY	\N	\N
1106490	3779	1996-06-30	VYDAJ	VYBER	15	39168	SLUZBY	\N	\N
1106491	3779	1996-07-31	VYDAJ	VYBER	15	47370	SLUZBY	\N	\N
1106492	3779	1996-08-31	VYDAJ	VYBER	15	48381	SLUZBY	\N	\N
1106493	3779	1996-09-30	VYDAJ	VYBER	15	50497	SLUZBY	\N	\N
1106494	3779	1996-10-31	VYDAJ	VYBER	15	42921	SLUZBY	\N	\N
1106495	3779	1996-11-30	VYDAJ	VYBER	15	43431	SLUZBY	\N	\N
1106496	3779	1996-12-31	VYDAJ	VYBER	15	47268	SLUZBY	\N	\N
1106497	3779	1997-01-31	VYDAJ	VYBER	15	32053	SLUZBY	\N	\N
1106498	3779	1997-02-28	VYDAJ	VYBER	15	39723	SLUZBY	\N	\N
1106499	3779	1997-03-31	VYDAJ	VYBER	15	40620	SLUZBY	\N	\N
1106500	3779	1997-04-30	VYDAJ	VYBER	15	41723	SLUZBY	\N	\N
1106501	3779	1997-05-31	VYDAJ	VYBER	15	41029	SLUZBY	\N	\N
1106502	3779	1997-06-30	VYDAJ	VYBER	15	30129	SLUZBY	\N	\N
1106503	3779	1997-07-31	VYDAJ	VYBER	15	27787	SLUZBY	\N	\N
1106504	3779	1997-08-31	VYDAJ	VYBER	15	32437	SLUZBY	\N	\N
1106505	3779	1997-09-30	VYDAJ	VYBER	15	36906	SLUZBY	\N	\N
1106506	3779	1997-10-31	VYDAJ	VYBER	15	39592	SLUZBY	\N	\N
1106507	3779	1997-11-30	VYDAJ	VYBER	15	40186	SLUZBY	\N	\N
1106508	3779	1997-12-31	VYDAJ	VYBER	15	42701	SLUZBY	\N	\N
1106509	3779	1998-01-31	VYDAJ	VYBER	15	29582	SLUZBY	\N	\N
1106510	3779	1998-02-28	VYDAJ	VYBER	15	35840	SLUZBY	\N	\N
1106511	3779	1998-03-31	VYDAJ	VYBER	15	38118	SLUZBY	\N	\N
1106512	3779	1998-04-30	VYDAJ	VYBER	15	39807	SLUZBY	\N	\N
1106513	3779	1998-05-31	VYDAJ	VYBER	15	43404	SLUZBY	\N	\N
1106514	3779	1998-06-30	VYDAJ	VYBER	15	28423	SLUZBY	\N	\N
1106515	3779	1998-07-31	VYDAJ	VYBER	15	43487	SLUZBY	\N	\N
1106516	3779	1998-08-31	VYDAJ	VYBER	15	52906	SLUZBY	\N	\N
1106517	3779	1998-09-30	VYDAJ	VYBER	15	54553	SLUZBY	\N	\N
1106518	3779	1998-10-31	VYDAJ	VYBER	15	54103	SLUZBY	\N	\N
1106519	3779	1998-11-30	VYDAJ	VYBER	15	58859	SLUZBY	\N	\N
1106520	3779	1995-08-07	PRIJEM	VKLAD	5300	16904	\N	\N	\N
1106521	3779	1995-09-06	VYDAJ	VYBER	700	27665	\N	\N	\N
1106522	3779	1995-10-06	VYDAJ	VYBER	5500	33677	\N	\N	\N
1106523	3779	1995-11-05	VYDAJ	VYBER	200	33613	\N	\N	\N
1106524	3779	1995-12-05	VYDAJ	VYBER	9200	35997	\N	\N	\N
1106525	3779	1996-01-04	VYDAJ	VYBER	5100	39599	\N	\N	\N
1106526	3779	1996-02-03	PRIJEM	VKLAD	4100	33070	\N	\N	\N
1106527	3779	1996-03-04	VYDAJ	VYBER	5600	35043	\N	\N	\N
1106528	3779	1996-04-03	VYDAJ	VYBER	3200	32522	\N	\N	\N
1106529	3779	1996-05-03	VYDAJ	VYBER	5200	34897	\N	\N	\N
1106530	3779	1996-06-02	PRIJEM	VKLAD	100	37981	\N	\N	\N
1106531	3779	1996-07-02	PRIJEM	VKLAD	600	39768	\N	\N	\N
1106532	3779	1996-08-01	VYDAJ	VYBER	6600	40770	\N	\N	\N
1106533	3779	1996-08-31	VYDAJ	VYBER	5500	42881	\N	\N	\N
1106534	3779	1996-09-30	VYDAJ	VYBER	5000	45497	\N	\N	\N
1106535	3779	1996-10-30	VYDAJ	VYBER	10200	42720	\N	\N	\N
1106536	3779	1996-11-29	VYDAJ	VYBER	2400	43244	\N	\N	\N
1106537	3779	1996-12-29	VYDAJ	VYBER	9500	47056	\N	\N	\N
1106538	3779	1997-01-28	PRIJEM	VKLAD	3100	35991	\N	\N	\N
1106539	3779	1997-02-27	PRIJEM	VKLAD	100	39576	\N	\N	\N
1106540	3779	1997-03-29	VYDAJ	VYBER	5300	40446	\N	\N	\N
1106541	3779	1997-04-28	VYDAJ	VYBER	6500	41543	\N	\N	\N
1106542	3779	1997-05-28	VYDAJ	VYBER	7200	40846	\N	\N	\N
1106543	3779	1997-06-27	VYDAJ	VYBER	5200	29954	\N	\N	\N
1106544	3779	1997-07-27	VYDAJ	VYBER	5700	31852	\N	\N	\N
1106545	3779	1997-08-26	VYDAJ	VYBER	2900	32310	\N	\N	\N
1106546	3779	1997-09-25	VYDAJ	VYBER	3100	36760	\N	\N	\N
1106547	3779	1997-10-25	VYDAJ	VYBER	4900	39429	\N	\N	\N
1106548	3779	1997-11-24	VYDAJ	VYBER	7000	40015	\N	\N	\N
1106549	3779	1997-12-24	VYDAJ	VYBER	10800	42511	\N	\N	\N
1106550	3779	1998-01-23	PRIJEM	VKLAD	900	35924	\N	\N	\N
1106551	3779	1998-02-22	VYDAJ	VYBER	1300	35705	\N	\N	\N
1106552	3779	1998-03-24	PRIJEM	VKLAD	900	42463	\N	\N	\N
1106553	3779	1998-04-23	VYDAJ	VYBER	5900	39641	\N	\N	\N
1106554	3779	1998-05-23	VYDAJ	VYBER	4000	43230	\N	\N	\N
1106555	3779	1998-06-22	VYDAJ	VYBER	5300	51229	\N	\N	\N
1106556	3779	1998-07-22	PRIJEM	VKLAD	7500	43346	\N	\N	\N
1106557	3779	1998-08-21	PRIJEM	VKLAD	1800	52710	\N	\N	\N
1106558	3779	1998-09-20	VYDAJ	VYBER	6000	54329	\N	\N	\N
1106559	3779	1998-10-20	VYDAJ	VYBER	8100	53876	\N	\N	\N
1106560	3779	1998-11-19	VYDAJ	VYBER	2900	58626	\N	\N	\N
1106561	3779	1998-12-19	VYDAJ	VYBER	12200	59784	\N	\N	\N
1106603	3780	1995-11-25	PRIJEM	VKLAD	300	300	\N	\N	\N
1106615	3780	1995-12-05	PRIJEM	PREVOD Z UCTU	6272	6572	DUCHOD	IJ	47954368
1106616	3780	1996-01-05	PRIJEM	PREVOD Z UCTU	6272	12844	DUCHOD	IJ	47954368
1106617	3780	1996-02-05	PRIJEM	PREVOD Z UCTU	6272	19116	DUCHOD	IJ	47954368
1106618	3780	1996-03-05	PRIJEM	PREVOD Z UCTU	6272	24606	DUCHOD	IJ	47954368
1106619	3780	1996-04-05	PRIJEM	PREVOD Z UCTU	6272	29960	DUCHOD	IJ	47954368
1106620	3780	1996-05-05	PRIJEM	PREVOD Z UCTU	6272	26208	DUCHOD	IJ	47954368
1106621	3780	1996-06-05	PRIJEM	PREVOD Z UCTU	6272	27546	DUCHOD	IJ	47954368
1106622	3780	1996-07-05	PRIJEM	PREVOD Z UCTU	6272	25483	DUCHOD	IJ	47954368
1106623	3780	1996-08-05	PRIJEM	PREVOD Z UCTU	6272	22712	DUCHOD	IJ	47954368
1106624	3780	1996-09-05	PRIJEM	PREVOD Z UCTU	6272	18226	DUCHOD	IJ	47954368
1106625	3780	1996-10-05	PRIJEM	PREVOD Z UCTU	6272	18227	DUCHOD	IJ	47954368
1106626	3780	1996-11-05	PRIJEM	PREVOD Z UCTU	6272	16826	DUCHOD	IJ	47954368
1106627	3780	1996-12-05	PRIJEM	PREVOD Z UCTU	6272	21428	DUCHOD	IJ	47954368
1106628	3780	1997-01-05	PRIJEM	PREVOD Z UCTU	6272	19491	DUCHOD	IJ	47954368
1106629	3780	1997-02-05	PRIJEM	PREVOD Z UCTU	6272	18916	DUCHOD	IJ	47954368
1106630	3780	1997-03-05	PRIJEM	PREVOD Z UCTU	6272	23627	DUCHOD	IJ	47954368
1106631	3780	1997-04-05	PRIJEM	PREVOD Z UCTU	6272	19927	DUCHOD	IJ	47954368
1106632	3780	1997-05-05	PRIJEM	PREVOD Z UCTU	6272	18539	DUCHOD	IJ	47954368
1106633	3780	1997-06-05	PRIJEM	PREVOD Z UCTU	6272	20444	DUCHOD	IJ	47954368
1106634	3780	1997-07-05	PRIJEM	PREVOD Z UCTU	6272	19556	DUCHOD	IJ	47954368
1106635	3780	1997-08-05	PRIJEM	PREVOD Z UCTU	6272	18759	DUCHOD	IJ	47954368
1106636	3780	1997-09-05	PRIJEM	PREVOD Z UCTU	6272	23470	DUCHOD	IJ	47954368
1106637	3780	1997-10-05	PRIJEM	PREVOD Z UCTU	6272	18721	DUCHOD	IJ	47954368
1106638	3780	1997-11-05	PRIJEM	PREVOD Z UCTU	6272	20424	DUCHOD	IJ	47954368
1106639	3780	1997-12-05	PRIJEM	PREVOD Z UCTU	6272	19931	DUCHOD	IJ	47954368
1106640	3780	1998-01-05	PRIJEM	PREVOD Z UCTU	6272	17930	DUCHOD	IJ	47954368
1106641	3780	1998-02-05	PRIJEM	PREVOD Z UCTU	6272	19031	DUCHOD	IJ	47954368
1106642	3780	1998-03-05	PRIJEM	PREVOD Z UCTU	6272	19893	DUCHOD	IJ	47954368
1106643	3780	1998-04-05	PRIJEM	PREVOD Z UCTU	6272	19697	DUCHOD	IJ	47954368
1106644	3780	1998-05-05	PRIJEM	PREVOD Z UCTU	6272	18998	DUCHOD	IJ	47954368
1106645	3780	1998-06-05	PRIJEM	PREVOD Z UCTU	6272	20143	DUCHOD	IJ	47954368
1106646	3780	1998-07-05	PRIJEM	PREVOD Z UCTU	6272	18844	DUCHOD	IJ	47954368
1106647	3780	1998-08-05	PRIJEM	PREVOD Z UCTU	6272	21249	DUCHOD	IJ	47954368
1106648	3780	1998-09-05	PRIJEM	PREVOD Z UCTU	6272	16645	DUCHOD	IJ	47954368
1106649	3780	1998-10-05	PRIJEM	PREVOD Z UCTU	6272	21047	DUCHOD	IJ	47954368
1106650	3780	1998-11-05	PRIJEM	PREVOD Z UCTU	6272	23763	DUCHOD	IJ	47954368
1106651	3780	1998-12-05	PRIJEM	PREVOD Z UCTU	6272	23782	DUCHOD	IJ	47954368
1106667	3780	1996-04-13	VYDAJ	PREVOD NA UCET	370	28349	SIPO	YZ	29958713
1106668	3780	1996-05-13	VYDAJ	PREVOD NA UCET	370	24597	SIPO	YZ	29958713
1106669	3780	1996-06-13	VYDAJ	PREVOD NA UCET	370	25935	SIPO	YZ	29958713
1106670	3780	1996-07-13	VYDAJ	PREVOD NA UCET	370	23872	SIPO	YZ	29958713
1106671	3780	1996-08-13	VYDAJ	PREVOD NA UCET	370	21101	SIPO	YZ	29958713
1106672	3780	1996-09-13	VYDAJ	PREVOD NA UCET	370	16615	SIPO	YZ	29958713
1106673	3780	1996-10-13	VYDAJ	PREVOD NA UCET	370	16616	SIPO	YZ	29958713
1106674	3780	1996-11-13	VYDAJ	PREVOD NA UCET	370	15215	SIPO	YZ	29958713
1106675	3780	1996-12-13	VYDAJ	PREVOD NA UCET	370	18367	SIPO	YZ	29958713
1106676	3780	1997-01-13	VYDAJ	PREVOD NA UCET	370	12600	SIPO	YZ	29958713
1106677	3780	1997-02-13	VYDAJ	PREVOD NA UCET	370	17305	SIPO	YZ	29958713
1106678	3780	1997-03-13	VYDAJ	PREVOD NA UCET	370	22016	SIPO	YZ	29958713
1106679	3780	1997-04-13	VYDAJ	PREVOD NA UCET	370	18316	SIPO	YZ	29958713
1106680	3780	1997-05-13	VYDAJ	PREVOD NA UCET	370	16928	SIPO	YZ	29958713
1106681	3780	1997-06-13	VYDAJ	PREVOD NA UCET	370	18833	SIPO	YZ	29958713
1106682	3780	1997-07-13	VYDAJ	PREVOD NA UCET	370	17945	SIPO	YZ	29958713
1106683	3780	1997-08-13	VYDAJ	PREVOD NA UCET	370	17148	SIPO	YZ	29958713
1106684	3780	1997-09-13	VYDAJ	PREVOD NA UCET	370	19299	SIPO	YZ	29958713
1106685	3780	1997-10-13	VYDAJ	PREVOD NA UCET	370	17110	SIPO	YZ	29958713
1106686	3780	1997-11-13	VYDAJ	PREVOD NA UCET	370	18813	SIPO	YZ	29958713
1106687	3780	1997-12-13	VYDAJ	PREVOD NA UCET	370	18320	SIPO	YZ	29958713
1106688	3780	1998-01-13	VYDAJ	PREVOD NA UCET	370	12719	SIPO	YZ	29958713
1106689	3780	1998-02-13	VYDAJ	PREVOD NA UCET	370	13580	SIPO	YZ	29958713
1106690	3780	1998-03-13	VYDAJ	PREVOD NA UCET	370	18282	SIPO	YZ	29958713
1106691	3780	1998-04-13	VYDAJ	PREVOD NA UCET	370	12686	SIPO	YZ	29958713
1106692	3780	1998-05-13	VYDAJ	PREVOD NA UCET	370	13827	SIPO	YZ	29958713
1106693	3780	1998-06-13	VYDAJ	PREVOD NA UCET	370	12532	SIPO	YZ	29958713
1106694	3780	1998-07-13	VYDAJ	PREVOD NA UCET	370	15333	SIPO	YZ	29958713
1106695	3780	1998-08-13	VYDAJ	PREVOD NA UCET	370	10338	SIPO	YZ	29958713
1106696	3780	1998-09-13	VYDAJ	PREVOD NA UCET	370	14734	SIPO	YZ	29958713
1106697	3780	1998-10-13	VYDAJ	PREVOD NA UCET	370	17436	SIPO	YZ	29958713
1106698	3780	1998-11-13	VYDAJ	PREVOD NA UCET	370	17452	SIPO	YZ	29958713
1106699	3780	1998-12-13	VYDAJ	PREVOD NA UCET	370	19871	SIPO	YZ	29958713
1106715	3780	1996-04-12	VYDAJ	PREVOD NA UCET	1241	28719	 	AB	77057331
1106716	3780	1996-05-12	VYDAJ	PREVOD NA UCET	1241	24967	 	AB	77057331
1106717	3780	1996-06-12	VYDAJ	PREVOD NA UCET	1241	26305	 	AB	77057331
1106718	3780	1996-07-12	VYDAJ	PREVOD NA UCET	1241	24242	 	AB	77057331
1106719	3780	1996-08-12	VYDAJ	PREVOD NA UCET	1241	21471	 	AB	77057331
1106720	3780	1996-09-12	VYDAJ	PREVOD NA UCET	1241	16985	 	AB	77057331
1106721	3780	1996-10-12	VYDAJ	PREVOD NA UCET	1241	16986	 	AB	77057331
1106722	3780	1996-11-12	VYDAJ	PREVOD NA UCET	1241	15585	 	AB	77057331
1106723	3780	1996-12-12	VYDAJ	PREVOD NA UCET	1241	18737	 	AB	77057331
1106724	3780	1997-01-12	VYDAJ	PREVOD NA UCET	1241	13610	 	AB	77057331
1106725	3780	1997-02-12	VYDAJ	PREVOD NA UCET	1241	17675	 	AB	77057331
1106726	3780	1997-03-12	VYDAJ	PREVOD NA UCET	1241	22386	 	AB	77057331
1106727	3780	1997-04-12	VYDAJ	PREVOD NA UCET	1241	18686	 	AB	77057331
1106728	3780	1997-05-12	VYDAJ	PREVOD NA UCET	1241	17298	 	AB	77057331
1106729	3780	1997-06-12	VYDAJ	PREVOD NA UCET	1241	19203	 	AB	77057331
1106730	3780	1997-07-12	VYDAJ	PREVOD NA UCET	1241	18315	 	AB	77057331
1106731	3780	1997-08-12	VYDAJ	PREVOD NA UCET	1241	17518	 	AB	77057331
1106732	3780	1997-09-12	VYDAJ	PREVOD NA UCET	1241	19669	 	AB	77057331
1106733	3780	1997-10-12	VYDAJ	PREVOD NA UCET	1241	17480	 	AB	77057331
1106734	3780	1997-11-12	VYDAJ	PREVOD NA UCET	1241	19183	 	AB	77057331
1106735	3780	1997-12-12	VYDAJ	PREVOD NA UCET	1241	18690	 	AB	77057331
1106736	3780	1998-01-12	VYDAJ	PREVOD NA UCET	1241	14129	 	AB	77057331
1106737	3780	1998-02-12	VYDAJ	PREVOD NA UCET	1241	13950	 	AB	77057331
1106738	3780	1998-03-12	VYDAJ	PREVOD NA UCET	1241	18652	 	AB	77057331
1106739	3780	1998-04-12	VYDAJ	PREVOD NA UCET	1241	18456	 	AB	77057331
1106740	3780	1998-05-12	VYDAJ	PREVOD NA UCET	1241	16397	 	AB	77057331
1106741	3780	1998-06-12	VYDAJ	PREVOD NA UCET	1241	18902	 	AB	77057331
1106742	3780	1998-07-12	VYDAJ	PREVOD NA UCET	1241	17603	 	AB	77057331
1106743	3780	1998-08-12	VYDAJ	PREVOD NA UCET	1241	10708	 	AB	77057331
1106744	3780	1998-09-12	VYDAJ	PREVOD NA UCET	1241	15104	 	AB	77057331
1106745	3780	1998-10-12	VYDAJ	PREVOD NA UCET	1241	17806	 	AB	77057331
1106746	3780	1998-11-12	VYDAJ	PREVOD NA UCET	1241	17822	 	AB	77057331
1106747	3780	1998-12-12	VYDAJ	PREVOD NA UCET	1241	20241	 	AB	77057331
1106749	3780	1996-06-14	VYDAJ	VYBER	2100	23835	\N	\N	\N
1106750	3780	1997-06-27	VYDAJ	VYBER	3700	13233	\N	\N	\N
1106757	3780	1996-12-06	VYDAJ	VYBER	1450	19978	\N	\N	\N
1106759	3780	1998-12-30	VYDAJ	VYBER	1000	18871	\N	\N	\N
1106773	3780	1997-01-13	VYDAJ	VYBER	640	12970	\N	\N	\N
1106774	3780	1997-01-06	VYDAJ	VYBER	400	18291	\N	\N	\N
1106775	3780	1997-01-05	VYDAJ	VYBER	800	18691	\N	\N	\N
1106776	3780	1997-01-09	VYDAJ	VYBER	960	14851	\N	\N	\N
1106779	3780	1998-01-09	VYDAJ	VYBER	1680	15370	\N	\N	\N
1106781	3780	1998-01-07	VYDAJ	VYBER	880	17050	\N	\N	\N
1106783	3780	1998-01-12	VYDAJ	VYBER	1040	13089	\N	\N	\N
1106789	3780	1997-01-06	VYDAJ	VYBER	2480	15811	\N	\N	\N
1106790	3780	1997-09-06	VYDAJ	VYBER	2560	20910	\N	\N	\N
1106791	3780	1997-04-01	VYDAJ	VYBER	2320	13655	\N	\N	\N
1106792	3780	1997-11-22	VYDAJ	VYBER	800	13613	\N	\N	\N
1106794	3780	1998-05-09	VYDAJ	VYBER	1360	17638	\N	\N	\N
1106797	3780	1998-02-09	VYDAJ	VYBER	3840	15191	\N	\N	\N
1106798	3780	1998-07-25	VYDAJ	VYBER	400	14933	\N	\N	\N
1106799	3780	1998-03-17	VYDAJ	VYBER	2000	13382	\N	\N	\N
1106816	3780	1996-04-30	VYDAJ	VYBER	15	19936	SLUZBY	\N	\N
1106817	3780	1996-05-31	VYDAJ	VYBER	15	21274	SLUZBY	\N	\N
1106818	3780	1996-06-30	VYDAJ	VYBER	15	19211	SLUZBY	\N	\N
1106819	3780	1996-07-31	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
1106820	3780	1996-08-31	VYDAJ	VYBER	15	11954	SLUZBY	\N	\N
1106821	3780	1996-09-30	VYDAJ	VYBER	15	11955	SLUZBY	\N	\N
1106822	3780	1996-10-31	VYDAJ	VYBER	15	10554	SLUZBY	\N	\N
1106823	3780	1996-11-30	VYDAJ	VYBER	15	15156	SLUZBY	\N	\N
1106824	3780	1996-12-31	VYDAJ	VYBER	15	13219	SLUZBY	\N	\N
1106825	3780	1997-01-31	VYDAJ	VYBER	15	12644	SLUZBY	\N	\N
1106826	3780	1997-02-28	VYDAJ	VYBER	15	17355	SLUZBY	\N	\N
1106827	3780	1997-03-31	VYDAJ	VYBER	15	15975	SLUZBY	\N	\N
1106828	3780	1997-04-30	VYDAJ	VYBER	15	12267	SLUZBY	\N	\N
1106829	3780	1997-05-31	VYDAJ	VYBER	15	14172	SLUZBY	\N	\N
1106830	3780	1997-06-30	VYDAJ	VYBER	15	13284	SLUZBY	\N	\N
1106831	3780	1997-07-31	VYDAJ	VYBER	15	12487	SLUZBY	\N	\N
1106832	3780	1997-08-31	VYDAJ	VYBER	15	17198	SLUZBY	\N	\N
1106833	3780	1997-09-30	VYDAJ	VYBER	15	12449	SLUZBY	\N	\N
1106834	3780	1997-10-31	VYDAJ	VYBER	15	14152	SLUZBY	\N	\N
1106835	3780	1997-11-30	VYDAJ	VYBER	15	13659	SLUZBY	\N	\N
1106836	3780	1997-12-31	VYDAJ	VYBER	15	11658	SLUZBY	\N	\N
1106837	3780	1998-01-31	VYDAJ	VYBER	15	12759	SLUZBY	\N	\N
1106838	3780	1998-02-28	VYDAJ	VYBER	15	13621	SLUZBY	\N	\N
1106839	3780	1998-03-31	VYDAJ	VYBER	15	13425	SLUZBY	\N	\N
1106840	3780	1998-04-30	VYDAJ	VYBER	15	12726	SLUZBY	\N	\N
1106841	3780	1998-05-31	VYDAJ	VYBER	15	13871	SLUZBY	\N	\N
1106842	3780	1998-06-30	VYDAJ	VYBER	15	12572	SLUZBY	\N	\N
1106843	3780	1998-07-31	VYDAJ	VYBER	15	14977	SLUZBY	\N	\N
1106844	3780	1998-08-31	VYDAJ	VYBER	15	10373	SLUZBY	\N	\N
1106845	3780	1998-09-30	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
1106846	3780	1998-10-31	VYDAJ	VYBER	15	17491	SLUZBY	\N	\N
1106847	3780	1998-11-30	VYDAJ	VYBER	15	17510	SLUZBY	\N	\N
1106848	3780	1996-02-23	VYDAJ	VYBER	800	18316	\N	\N	\N
1106849	3780	1996-03-24	VYDAJ	VYBER	1000	23606	\N	\N	\N
1106850	3780	1996-04-23	VYDAJ	VYBER	8500	19849	\N	\N	\N
1106851	3780	1996-05-23	VYDAJ	VYBER	3400	21197	\N	\N	\N
1106852	3780	1996-06-22	VYDAJ	VYBER	4700	19135	\N	\N	\N
1106853	3780	1996-07-22	VYDAJ	VYBER	7500	16372	\N	\N	\N
1106854	3780	1996-08-21	VYDAJ	VYBER	9200	11901	\N	\N	\N
1106855	3780	1996-09-20	VYDAJ	VYBER	4700	11915	\N	\N	\N
1106856	3780	1996-10-20	VYDAJ	VYBER	6100	10516	\N	\N	\N
1106857	3780	1996-11-19	VYDAJ	VYBER	100	15115	\N	\N	\N
1106858	3780	1996-12-19	VYDAJ	VYBER	5200	13167	\N	\N	\N
1106859	3780	1997-03-19	VYDAJ	VYBER	6100	15916	\N	\N	\N
1106860	3780	1997-04-18	VYDAJ	VYBER	6100	12216	\N	\N	\N
1106861	3780	1997-05-18	VYDAJ	VYBER	2800	14128	\N	\N	\N
1106862	3780	1997-06-17	VYDAJ	VYBER	1900	16933	\N	\N	\N
1106863	3780	1997-07-17	VYDAJ	VYBER	5500	12445	\N	\N	\N
1106864	3780	1997-09-15	VYDAJ	VYBER	6900	12399	\N	\N	\N
1106865	3780	1997-10-15	VYDAJ	VYBER	3000	14110	\N	\N	\N
1106866	3780	1997-11-14	VYDAJ	VYBER	4400	14413	\N	\N	\N
1106867	3780	1997-12-14	VYDAJ	VYBER	6700	11620	\N	\N	\N
1106868	3780	1998-03-14	VYDAJ	VYBER	2900	15382	\N	\N	\N
1106869	3780	1998-04-13	VYDAJ	VYBER	5400	13056	\N	\N	\N
1106870	3780	1998-05-13	VYDAJ	VYBER	2200	14197	\N	\N	\N
1106871	3780	1998-06-12	VYDAJ	VYBER	6000	12902	\N	\N	\N
1106872	3780	1998-07-12	VYDAJ	VYBER	1900	15703	\N	\N	\N
1106873	3780	1998-08-11	VYDAJ	VYBER	9300	11949	\N	\N	\N
1106874	3780	1998-09-10	VYDAJ	VYBER	300	16345	\N	\N	\N
1106875	3780	1998-10-10	VYDAJ	VYBER	2000	19047	\N	\N	\N
1106876	3780	1998-11-09	VYDAJ	VYBER	4700	19063	\N	\N	\N
1106877	3780	1998-12-09	VYDAJ	VYBER	2300	21482	\N	\N	\N
1106913	3781	1993-03-26	PRIJEM	VKLAD	800	800	\N	\N	\N
1106917	3781	1993-04-12	PRIJEM	VKLAD	24033	24833	\N	\N	\N
1106918	3781	1993-05-12	PRIJEM	VKLAD	24033	49687	\N	\N	\N
1106919	3781	1993-06-12	PRIJEM	VKLAD	36050	72754	\N	\N	\N
1106920	3781	1993-07-12	PRIJEM	VKLAD	24033	70249	\N	\N	\N
1106921	3781	1993-08-12	PRIJEM	VKLAD	24033	70173	\N	\N	\N
1106922	3781	1993-09-12	PRIJEM	VKLAD	24033	63684	\N	\N	\N
1106923	3781	1993-10-12	PRIJEM	VKLAD	24033	62419	\N	\N	\N
1106924	3781	1993-11-12	PRIJEM	VKLAD	24033	54947	\N	\N	\N
1106925	3781	1993-12-12	PRIJEM	VKLAD	36050	67407	\N	\N	\N
1106926	3781	1994-01-12	PRIJEM	VKLAD	24033	61372	\N	\N	\N
1106927	3781	1994-02-12	PRIJEM	VKLAD	24033	60790	\N	\N	\N
1106928	3781	1994-03-12	PRIJEM	VKLAD	24033	55600	\N	\N	\N
1106929	3781	1994-04-12	PRIJEM	VKLAD	24033	54398	\N	\N	\N
1106930	3781	1994-05-12	PRIJEM	VKLAD	24033	59400	\N	\N	\N
1106931	3781	1994-06-12	PRIJEM	VKLAD	36050	71230	\N	\N	\N
1106932	3781	1994-07-12	PRIJEM	VKLAD	24033	43254	\N	\N	\N
1106933	3781	1994-08-12	PRIJEM	VKLAD	24033	48131	\N	\N	\N
1106934	3781	1994-09-12	PRIJEM	VKLAD	24033	54705	\N	\N	\N
1106935	3781	1994-10-12	PRIJEM	VKLAD	24033	55193	\N	\N	\N
1106936	3781	1994-11-12	PRIJEM	VKLAD	24033	59491	\N	\N	\N
1106937	3781	1994-12-12	PRIJEM	VKLAD	36050	73417	\N	\N	\N
1106938	3781	1995-01-12	PRIJEM	VKLAD	24033	63521	\N	\N	\N
1106939	3781	1995-02-12	PRIJEM	VKLAD	24033	66849	\N	\N	\N
1106940	3781	1995-03-12	PRIJEM	VKLAD	24033	66580	\N	\N	\N
1106941	3781	1995-04-12	PRIJEM	VKLAD	24033	64810	\N	\N	\N
1106942	3781	1995-05-12	PRIJEM	VKLAD	24033	66539	\N	\N	\N
1106943	3781	1995-06-12	PRIJEM	VKLAD	36050	81895	\N	\N	\N
1106944	3781	1995-07-12	PRIJEM	VKLAD	24033	60880	\N	\N	\N
1106945	3781	1995-08-12	PRIJEM	VKLAD	24033	66098	\N	\N	\N
1106946	3781	1995-09-12	PRIJEM	VKLAD	24033	68181	\N	\N	\N
1106947	3781	1995-10-12	PRIJEM	VKLAD	24033	71221	\N	\N	\N
1106948	3781	1995-11-12	PRIJEM	VKLAD	24033	68326	\N	\N	\N
1106949	3781	1995-12-12	PRIJEM	VKLAD	36050	85538	\N	\N	\N
1106950	3781	1996-01-12	PRIJEM	VKLAD	24033	87379	\N	\N	\N
1106951	3781	1996-02-12	PRIJEM	VKLAD	24033	90647	\N	\N	\N
1106952	3781	1996-03-12	PRIJEM	VKLAD	24033	92023	\N	\N	\N
1106953	3781	1996-04-12	PRIJEM	VKLAD	24033	95130	\N	\N	\N
1106954	3781	1996-05-12	PRIJEM	VKLAD	24033	93086	\N	\N	\N
1106955	3781	1996-06-12	PRIJEM	VKLAD	36050	106398	\N	\N	\N
1106956	3781	1996-07-12	PRIJEM	VKLAD	24033	86556	\N	\N	\N
1106957	3781	1996-08-12	PRIJEM	VKLAD	24033	85517	\N	\N	\N
1106958	3781	1996-09-12	PRIJEM	VKLAD	24033	88877	\N	\N	\N
1106959	3781	1996-10-12	PRIJEM	VKLAD	24033	90146	\N	\N	\N
1106960	3781	1996-11-12	PRIJEM	VKLAD	24033	91323	\N	\N	\N
1106961	3781	1996-12-12	PRIJEM	VKLAD	36050	99854	\N	\N	\N
1106962	3781	1997-01-12	PRIJEM	VKLAD	24033	95548	\N	\N	\N
1106963	3781	1997-02-12	PRIJEM	VKLAD	24033	91252	\N	\N	\N
1106964	3781	1997-03-12	PRIJEM	VKLAD	24033	92438	\N	\N	\N
1106965	3781	1997-04-12	PRIJEM	VKLAD	24033	94617	\N	\N	\N
1106966	3781	1997-05-12	PRIJEM	VKLAD	24033	91610	\N	\N	\N
1106967	3781	1997-06-12	PRIJEM	VKLAD	36050	87840	\N	\N	\N
1106968	3781	1997-07-12	PRIJEM	VKLAD	24033	90980	\N	\N	\N
1106969	3781	1997-08-12	PRIJEM	VKLAD	24033	96648	\N	\N	\N
1106970	3781	1997-09-12	PRIJEM	VKLAD	24033	97047	\N	\N	\N
1106971	3781	1997-10-12	PRIJEM	VKLAD	24033	96545	\N	\N	\N
1106972	3781	1997-11-12	PRIJEM	VKLAD	24033	97646	\N	\N	\N
1106973	3781	1997-12-12	PRIJEM	VKLAD	36050	115356	\N	\N	\N
1106974	3781	1998-01-12	PRIJEM	VKLAD	24033	83007	\N	\N	\N
1106975	3781	1998-02-12	PRIJEM	VKLAD	24033	89737	\N	\N	\N
1106976	3781	1998-03-12	PRIJEM	VKLAD	24033	91497	\N	\N	\N
1106977	3781	1998-04-12	PRIJEM	VKLAD	24033	94282	\N	\N	\N
1106978	3781	1998-05-12	PRIJEM	VKLAD	24033	94057	\N	\N	\N
1106979	3781	1998-06-12	PRIJEM	VKLAD	36050	108047	\N	\N	\N
1106980	3781	1998-07-12	PRIJEM	VKLAD	24033	86288	\N	\N	\N
1106981	3781	1998-08-12	PRIJEM	VKLAD	24033	89427	\N	\N	\N
1106982	3781	1998-09-12	PRIJEM	VKLAD	24033	89375	\N	\N	\N
1106983	3781	1998-10-12	PRIJEM	VKLAD	24033	86427	\N	\N	\N
1106984	3781	1998-11-12	PRIJEM	VKLAD	24033	86852	\N	\N	\N
1106985	3781	1998-12-12	PRIJEM	VKLAD	36050	100406	\N	\N	\N
1106994	3781	1993-09-08	VYDAJ	PREVOD NA UCET	7701	39651	SIPO	GH	78370004
1106995	3781	1993-10-08	VYDAJ	PREVOD NA UCET	7701	38386	SIPO	GH	78370004
1106996	3781	1993-11-08	VYDAJ	PREVOD NA UCET	7701	30914	SIPO	GH	78370004
1106997	3781	1993-12-08	VYDAJ	PREVOD NA UCET	7701	34117	SIPO	GH	78370004
1106998	3781	1994-01-08	VYDAJ	PREVOD NA UCET	7701	37339	SIPO	GH	78370004
1106999	3781	1994-02-08	VYDAJ	PREVOD NA UCET	7701	36757	SIPO	GH	78370004
1107000	3781	1994-03-08	VYDAJ	PREVOD NA UCET	7701	31567	SIPO	GH	78370004
1107001	3781	1994-04-08	VYDAJ	PREVOD NA UCET	7701	30365	SIPO	GH	78370004
1107002	3781	1994-05-08	VYDAJ	PREVOD NA UCET	7701	35367	SIPO	GH	78370004
1107003	3781	1994-06-08	VYDAJ	PREVOD NA UCET	7701	35180	SIPO	GH	78370004
1107004	3781	1994-07-08	VYDAJ	PREVOD NA UCET	7701	19221	SIPO	GH	78370004
1107005	3781	1994-08-08	VYDAJ	PREVOD NA UCET	7701	26378	SIPO	GH	78370004
1107006	3781	1994-09-08	VYDAJ	PREVOD NA UCET	7701	30672	SIPO	GH	78370004
1107007	3781	1994-10-08	VYDAJ	PREVOD NA UCET	7701	31160	SIPO	GH	78370004
1107008	3781	1994-11-08	VYDAJ	PREVOD NA UCET	7701	35458	SIPO	GH	78370004
1107009	3781	1994-12-08	VYDAJ	PREVOD NA UCET	7701	37367	SIPO	GH	78370004
1107010	3781	1995-01-08	VYDAJ	PREVOD NA UCET	7701	39488	SIPO	GH	78370004
1107011	3781	1995-02-08	VYDAJ	PREVOD NA UCET	7701	42816	SIPO	GH	78370004
1107012	3781	1995-03-08	VYDAJ	PREVOD NA UCET	7701	42547	SIPO	GH	78370004
1107013	3781	1995-04-08	VYDAJ	PREVOD NA UCET	7701	40777	SIPO	GH	78370004
1107014	3781	1995-05-08	VYDAJ	PREVOD NA UCET	7701	42506	SIPO	GH	78370004
1107015	3781	1995-06-08	VYDAJ	PREVOD NA UCET	7701	45846	SIPO	GH	78370004
1107016	3781	1995-07-08	VYDAJ	PREVOD NA UCET	7701	36847	SIPO	GH	78370004
1107017	3781	1995-08-08	VYDAJ	PREVOD NA UCET	7701	42065	SIPO	GH	78370004
1107018	3781	1995-09-08	VYDAJ	PREVOD NA UCET	7701	44148	SIPO	GH	78370004
1107019	3781	1995-10-08	VYDAJ	PREVOD NA UCET	7701	47188	SIPO	GH	78370004
1107020	3781	1995-11-08	VYDAJ	PREVOD NA UCET	7701	44893	SIPO	GH	78370004
1107021	3781	1995-12-08	VYDAJ	PREVOD NA UCET	7701	60868	SIPO	GH	78370004
1107022	3781	1996-01-08	VYDAJ	PREVOD NA UCET	7701	75746	SIPO	GH	78370004
1107023	3781	1996-02-08	VYDAJ	PREVOD NA UCET	7701	76414	SIPO	GH	78370004
1107024	3781	1996-03-08	VYDAJ	PREVOD NA UCET	7701	83290	SIPO	GH	78370004
1107025	3781	1996-04-08	VYDAJ	PREVOD NA UCET	7701	81797	SIPO	GH	78370004
1107026	3781	1996-05-08	VYDAJ	PREVOD NA UCET	7701	86353	SIPO	GH	78370004
1107027	3781	1996-06-08	VYDAJ	PREVOD NA UCET	7701	85748	SIPO	GH	78370004
1107028	3781	1996-07-08	VYDAJ	PREVOD NA UCET	7701	73323	SIPO	GH	78370004
1107029	3781	1996-08-08	VYDAJ	PREVOD NA UCET	7701	61484	SIPO	GH	78370004
1107030	3781	1996-09-08	VYDAJ	PREVOD NA UCET	7701	64844	SIPO	GH	78370004
1107031	3781	1996-10-08	VYDAJ	PREVOD NA UCET	7701	66113	SIPO	GH	78370004
1107032	3781	1996-11-08	VYDAJ	PREVOD NA UCET	7701	67290	SIPO	GH	78370004
1107033	3781	1996-12-08	VYDAJ	PREVOD NA UCET	7701	63805	SIPO	GH	78370004
1107034	3781	1997-01-08	VYDAJ	PREVOD NA UCET	7701	71515	SIPO	GH	78370004
1107035	3781	1997-02-08	VYDAJ	PREVOD NA UCET	7701	67219	SIPO	GH	78370004
1107036	3781	1997-03-08	VYDAJ	PREVOD NA UCET	7701	68405	SIPO	GH	78370004
1107037	3781	1997-04-08	VYDAJ	PREVOD NA UCET	7701	70584	SIPO	GH	78370004
1107038	3781	1997-05-08	VYDAJ	PREVOD NA UCET	7701	67577	SIPO	GH	78370004
1107039	3781	1997-06-08	VYDAJ	PREVOD NA UCET	7701	51791	SIPO	GH	78370004
1107040	3781	1997-07-08	VYDAJ	PREVOD NA UCET	7701	67647	SIPO	GH	78370004
1107041	3781	1997-08-08	VYDAJ	PREVOD NA UCET	7701	72615	SIPO	GH	78370004
1107042	3781	1997-09-08	VYDAJ	PREVOD NA UCET	7701	73014	SIPO	GH	78370004
1107043	3781	1997-10-08	VYDAJ	PREVOD NA UCET	7701	72512	SIPO	GH	78370004
1107044	3781	1997-11-08	VYDAJ	PREVOD NA UCET	7701	73613	SIPO	GH	78370004
1107045	3781	1997-12-08	VYDAJ	PREVOD NA UCET	7701	79307	SIPO	GH	78370004
1107046	3781	1998-01-08	VYDAJ	PREVOD NA UCET	7701	58974	SIPO	GH	78370004
1107047	3781	1998-02-08	VYDAJ	PREVOD NA UCET	7701	65704	SIPO	GH	78370004
1107048	3781	1998-03-08	VYDAJ	PREVOD NA UCET	7701	67464	SIPO	GH	78370004
1107049	3781	1998-04-08	VYDAJ	PREVOD NA UCET	7701	70249	SIPO	GH	78370004
1107050	3781	1998-05-08	VYDAJ	PREVOD NA UCET	7701	70024	SIPO	GH	78370004
1107051	3781	1998-06-08	VYDAJ	PREVOD NA UCET	7701	71998	SIPO	GH	78370004
1107052	3781	1998-07-08	VYDAJ	PREVOD NA UCET	7701	62255	SIPO	GH	78370004
1107053	3781	1998-08-08	VYDAJ	PREVOD NA UCET	7701	65394	SIPO	GH	78370004
1107054	3781	1998-09-08	VYDAJ	PREVOD NA UCET	7701	65342	SIPO	GH	78370004
1107055	3781	1998-10-08	VYDAJ	PREVOD NA UCET	7701	62394	SIPO	GH	78370004
1107056	3781	1998-11-08	VYDAJ	PREVOD NA UCET	7701	62819	SIPO	GH	78370004
1107057	3781	1998-12-08	VYDAJ	PREVOD NA UCET	7701	64356	SIPO	GH	78370004
1107059	3781	1994-06-14	VYDAJ	VYBER	47040	24190	\N	\N	\N
1107060	3781	1995-06-22	VYDAJ	VYBER	16960	44335	\N	\N	\N
1107061	3781	1996-06-15	VYDAJ	VYBER	21760	84638	\N	\N	\N
1107062	3781	1997-06-02	VYDAJ	VYBER	28160	58392	\N	\N	\N
1107063	3781	1998-06-16	VYDAJ	VYBER	25120	82927	\N	\N	\N
1107064	3781	1993-12-16	VYDAJ	VYBER	1280	66127	\N	\N	\N
1107065	3781	1994-12-17	VYDAJ	VYBER	3520	46997	\N	\N	\N
1107066	3781	1995-12-19	VYDAJ	VYBER	2400	83138	\N	\N	\N
1107067	3781	1996-12-05	VYDAJ	VYBER	4000	71506	\N	\N	\N
1107068	3781	1997-12-18	VYDAJ	VYBER KARTOU	1000	62856	\N	\N	0
1107069	3781	1998-12-07	VYDAJ	VYBER KARTOU	3200	72057	\N	\N	0
1107071	3781	1993-12-10	VYDAJ	VYBER	2760	31357	\N	\N	\N
1107073	3781	1993-11-07	VYDAJ	VYBER	4800	38615	\N	\N	\N
1107074	3781	1994-01-04	VYDAJ	VYBER	1080	45040	\N	\N	\N
1107075	3781	1994-08-09	VYDAJ	VYBER	2280	24098	\N	\N	\N
1107076	3781	1994-02-16	VYDAJ	VYBER	4200	56590	\N	\N	\N
1107077	3781	1994-09-15	VYDAJ	VYBER	3000	51705	\N	\N	\N
1107078	3781	1994-03-12	VYDAJ	VYBER	1800	53800	\N	\N	\N
1107079	3781	1995-12-11	VYDAJ	VYBER	5880	49488	\N	\N	\N
1107080	3781	1995-10-23	VYDAJ	VYBER	3120	53701	\N	\N	\N
1107081	3781	1995-09-02	VYDAJ	VYBER	4560	51849	\N	\N	\N
1107082	3781	1995-10-25	VYDAJ	VYBER	1320	52381	\N	\N	\N
1107083	3781	1996-03-22	VYDAJ	VYBER	2880	89143	\N	\N	\N
1107084	3781	1996-01-30	VYDAJ	VYBER	3600	83779	\N	\N	\N
1107085	3781	1996-11-27	VYDAJ	VYBER	1200	85563	\N	\N	\N
1107086	3781	1996-07-04	VYDAJ	VYBER	3960	81024	\N	\N	\N
1107087	3781	1996-11-22	VYDAJ	VYBER	4560	86763	\N	\N	\N
1107088	3781	1996-05-02	VYDAJ	VYBER	1440	94054	\N	\N	\N
1107089	3781	1997-07-10	VYDAJ	VYBER KARTOU	700	66947	\N	\N	0
1107090	3781	1997-12-21	VYDAJ	VYBER KARTOU	2200	60656	\N	\N	0
1107091	3781	1997-09-01	VYDAJ	VYBER KARTOU	5800	91215	\N	\N	0
1107092	3781	1997-07-01	VYDAJ	VYBER KARTOU	1000	87148	\N	\N	0
1107093	3781	1997-03-05	VYDAJ	VYBER KARTOU	1600	76106	\N	\N	0
1107094	3781	1997-05-15	VYDAJ	VYBER KARTOU	5400	86210	\N	\N	0
1107095	3781	1998-03-16	VYDAJ	VYBER KARTOU	1600	89897	\N	\N	0
1107096	3781	1998-07-27	VYDAJ	VYBER KARTOU	700	85588	\N	\N	0
1107097	3781	1998-10-14	VYDAJ	VYBER KARTOU	5300	81127	\N	\N	0
1107098	3781	1998-09-26	VYDAJ	VYBER KARTOU	5300	84075	\N	\N	0
1107107	3781	1993-08-31	VYDAJ	VYBER	15	47352	SLUZBY	\N	\N
1107108	3781	1993-09-30	VYDAJ	VYBER	15	46087	SLUZBY	\N	\N
1107109	3781	1993-10-31	VYDAJ	VYBER	15	43415	SLUZBY	\N	\N
1107110	3781	1993-11-30	VYDAJ	VYBER	15	41818	SLUZBY	\N	\N
1107111	3781	1993-12-31	VYDAJ	VYBER	15	46120	SLUZBY	\N	\N
1107112	3781	1994-01-31	VYDAJ	VYBER	15	44458	SLUZBY	\N	\N
1107113	3781	1994-02-28	VYDAJ	VYBER	15	39268	SLUZBY	\N	\N
1107114	3781	1994-03-31	VYDAJ	VYBER	15	38066	SLUZBY	\N	\N
1107115	3781	1994-04-30	VYDAJ	VYBER	15	43068	SLUZBY	\N	\N
1107116	3781	1994-05-31	VYDAJ	VYBER	15	42881	SLUZBY	\N	\N
1107117	3781	1994-06-30	VYDAJ	VYBER	15	26922	SLUZBY	\N	\N
1107118	3781	1994-07-31	VYDAJ	VYBER	15	34079	SLUZBY	\N	\N
1107119	3781	1994-08-31	VYDAJ	VYBER	15	38373	SLUZBY	\N	\N
1107120	3781	1994-09-30	VYDAJ	VYBER	15	38861	SLUZBY	\N	\N
1107121	3781	1994-10-31	VYDAJ	VYBER	15	43159	SLUZBY	\N	\N
1107122	3781	1994-11-30	VYDAJ	VYBER	15	45068	SLUZBY	\N	\N
1107123	3781	1994-12-31	VYDAJ	VYBER	15	47189	SLUZBY	\N	\N
1107124	3781	1995-01-31	VYDAJ	VYBER	15	50517	SLUZBY	\N	\N
1107125	3781	1995-02-28	VYDAJ	VYBER	15	50248	SLUZBY	\N	\N
1107126	3781	1995-03-31	VYDAJ	VYBER	15	48478	SLUZBY	\N	\N
1107127	3781	1995-04-30	VYDAJ	VYBER	15	50207	SLUZBY	\N	\N
1107128	3781	1995-05-31	VYDAJ	VYBER	15	53547	SLUZBY	\N	\N
1107129	3781	1995-06-30	VYDAJ	VYBER	15	44548	SLUZBY	\N	\N
1107130	3781	1995-07-31	VYDAJ	VYBER	15	49766	SLUZBY	\N	\N
1107131	3781	1995-08-31	VYDAJ	VYBER	15	56409	SLUZBY	\N	\N
1107132	3781	1995-09-30	VYDAJ	VYBER	15	54889	SLUZBY	\N	\N
1107133	3781	1995-10-31	VYDAJ	VYBER	15	52594	SLUZBY	\N	\N
1107134	3781	1995-11-30	VYDAJ	VYBER	15	68569	SLUZBY	\N	\N
1107135	3781	1995-12-31	VYDAJ	VYBER	15	83447	SLUZBY	\N	\N
1107136	3781	1996-01-31	VYDAJ	VYBER	15	84115	SLUZBY	\N	\N
1107137	3781	1996-02-29	VYDAJ	VYBER	15	90991	SLUZBY	\N	\N
1107138	3781	1996-03-31	VYDAJ	VYBER	15	89498	SLUZBY	\N	\N
1107139	3781	1996-04-30	VYDAJ	VYBER	15	95494	SLUZBY	\N	\N
1107140	3781	1996-05-31	VYDAJ	VYBER	15	93449	SLUZBY	\N	\N
1107141	3781	1996-06-30	VYDAJ	VYBER	15	84984	SLUZBY	\N	\N
1107142	3781	1996-07-31	VYDAJ	VYBER	15	86885	SLUZBY	\N	\N
1107143	3781	1996-08-31	VYDAJ	VYBER	15	85845	SLUZBY	\N	\N
1107144	3781	1996-09-30	VYDAJ	VYBER	15	89214	SLUZBY	\N	\N
1107145	3781	1996-10-31	VYDAJ	VYBER	15	90491	SLUZBY	\N	\N
1107146	3781	1996-11-30	VYDAJ	VYBER	15	85906	SLUZBY	\N	\N
1107147	3781	1996-12-31	VYDAJ	VYBER	15	100216	SLUZBY	\N	\N
1107148	3781	1997-01-31	VYDAJ	VYBER	15	95920	SLUZBY	\N	\N
1107149	3781	1997-02-28	VYDAJ	VYBER	15	91606	SLUZBY	\N	\N
1107150	3781	1997-03-31	VYDAJ	VYBER	15	92785	SLUZBY	\N	\N
1107151	3781	1997-04-30	VYDAJ	VYBER	15	94978	SLUZBY	\N	\N
1107152	3781	1997-05-31	VYDAJ	VYBER	15	86552	SLUZBY	\N	\N
1107153	3781	1997-06-30	VYDAJ	VYBER	15	88148	SLUZBY	\N	\N
1107154	3781	1997-07-31	VYDAJ	VYBER	15	91316	SLUZBY	\N	\N
1107155	3781	1997-08-31	VYDAJ	VYBER	15	97015	SLUZBY	\N	\N
1107156	3781	1997-09-30	VYDAJ	VYBER	15	97413	SLUZBY	\N	\N
1107157	3781	1997-10-31	VYDAJ	VYBER	15	96914	SLUZBY	\N	\N
1107158	3781	1997-11-30	VYDAJ	VYBER	15	87008	SLUZBY	\N	\N
1107159	3781	1997-12-31	VYDAJ	VYBER	15	66675	SLUZBY	\N	\N
1107160	3781	1998-01-31	VYDAJ	VYBER	15	73405	SLUZBY	\N	\N
1107161	3781	1998-02-28	VYDAJ	VYBER	15	90065	SLUZBY	\N	\N
1107162	3781	1998-03-31	VYDAJ	VYBER	15	77950	SLUZBY	\N	\N
1107163	3781	1998-04-30	VYDAJ	VYBER	15	77725	SLUZBY	\N	\N
1107164	3781	1998-05-31	VYDAJ	VYBER	15	79699	SLUZBY	\N	\N
1107165	3781	1998-06-30	VYDAJ	VYBER	15	69956	SLUZBY	\N	\N
1107166	3781	1998-07-31	VYDAJ	VYBER	15	73095	SLUZBY	\N	\N
1107167	3781	1998-08-31	VYDAJ	VYBER	15	73043	SLUZBY	\N	\N
1107168	3781	1998-09-30	VYDAJ	VYBER	15	70095	SLUZBY	\N	\N
1107169	3781	1998-10-31	VYDAJ	VYBER	15	70520	SLUZBY	\N	\N
1107170	3781	1998-11-30	VYDAJ	VYBER	15	75257	SLUZBY	\N	\N
1107171	3781	1993-04-25	PRIJEM	VKLAD	800	25633	\N	\N	\N
1107172	3781	1993-05-25	VYDAJ	VYBER	13100	36587	\N	\N	\N
1107173	3781	1993-06-24	VYDAJ	VYBER	26700	46054	\N	\N	\N
1107174	3781	1993-07-24	VYDAJ	VYBER	24300	45949	\N	\N	\N
1107175	3781	1993-08-23	VYDAJ	VYBER	23000	47173	\N	\N	\N
1107176	3781	1993-09-22	VYDAJ	VYBER	17800	45884	\N	\N	\N
1107177	3781	1993-10-22	VYDAJ	VYBER	19200	43219	\N	\N	\N
1107178	3781	1993-11-21	VYDAJ	VYBER	13300	41647	\N	\N	\N
1107179	3781	1993-12-21	VYDAJ	VYBER	20200	45927	\N	\N	\N
1107180	3781	1994-01-20	VYDAJ	VYBER	17100	44272	\N	\N	\N
1107181	3781	1994-02-19	VYDAJ	VYBER	17500	39090	\N	\N	\N
1107182	3781	1994-03-21	VYDAJ	VYBER	15900	37900	\N	\N	\N
1107183	3781	1994-04-20	VYDAJ	VYBER	11500	42898	\N	\N	\N
1107184	3781	1994-05-20	VYDAJ	VYBER	16700	42700	\N	\N	\N
1107185	3781	1994-06-19	PRIJEM	VKLAD	2600	26790	\N	\N	\N
1107186	3781	1994-07-19	VYDAJ	VYBER	9300	33954	\N	\N	\N
1107187	3781	1994-08-18	VYDAJ	VYBER	9900	38231	\N	\N	\N
1107188	3781	1994-09-17	VYDAJ	VYBER	13000	38705	\N	\N	\N
1107189	3781	1994-10-17	VYDAJ	VYBER	12200	42993	\N	\N	\N
1107190	3781	1994-11-16	VYDAJ	VYBER	14600	44891	\N	\N	\N
1107191	3781	1994-12-16	VYDAJ	VYBER	22900	50517	\N	\N	\N
1107192	3781	1995-01-15	VYDAJ	VYBER	13200	50321	\N	\N	\N
1107193	3781	1995-02-14	VYDAJ	VYBER	16800	50049	\N	\N	\N
1107194	3781	1995-03-16	VYDAJ	VYBER	18300	48280	\N	\N	\N
1107195	3781	1995-04-15	VYDAJ	VYBER	14800	50010	\N	\N	\N
1107196	3781	1995-05-15	VYDAJ	VYBER	13200	53339	\N	\N	\N
1107197	3781	1995-06-14	VYDAJ	VYBER	20600	61295	\N	\N	\N
1107198	3781	1995-07-14	VYDAJ	VYBER	11300	49580	\N	\N	\N
1107199	3781	1995-08-13	VYDAJ	VYBER	9900	56198	\N	\N	\N
1107200	3781	1995-09-12	VYDAJ	VYBER	13500	54681	\N	\N	\N
1107201	3781	1995-10-12	VYDAJ	VYBER	14400	56821	\N	\N	\N
1107202	3781	1995-11-11	VYDAJ	VYBER	600	44293	\N	\N	\N
1107203	3781	1995-12-11	VYDAJ	VYBER	5500	55368	\N	\N	\N
1107204	3781	1996-01-10	VYDAJ	VYBER	12400	63346	\N	\N	\N
1107205	3781	1996-02-09	VYDAJ	VYBER	9800	66614	\N	\N	\N
1107206	3781	1996-03-10	VYDAJ	VYBER	15300	67990	\N	\N	\N
1107207	3781	1996-04-09	VYDAJ	VYBER	10700	71097	\N	\N	\N
1107208	3781	1996-05-09	VYDAJ	VYBER	17300	69053	\N	\N	\N
1107209	3781	1996-06-08	VYDAJ	VYBER	15400	70348	\N	\N	\N
1107210	3781	1996-07-08	VYDAJ	VYBER	10800	62523	\N	\N	\N
1107211	3781	1996-08-07	VYDAJ	VYBER	17700	69185	\N	\N	\N
1107212	3781	1996-09-06	VYDAJ	VYBER	13300	72545	\N	\N	\N
1107213	3781	1996-10-06	VYDAJ	VYBER	15400	73814	\N	\N	\N
1107214	3781	1996-11-05	VYDAJ	VYBER	15500	74991	\N	\N	\N
1107215	3781	1996-12-05	VYDAJ	VYBER	10400	75506	\N	\N	\N
1107216	3781	1997-01-04	VYDAJ	VYBER	21000	79216	\N	\N	\N
1107217	3781	1997-02-03	VYDAJ	VYBER	21000	74920	\N	\N	\N
1107218	3781	1997-03-05	VYDAJ	VYBER	13900	77706	\N	\N	\N
1107219	3781	1997-04-04	VYDAJ	VYBER	14500	78285	\N	\N	\N
1107220	3781	1997-05-04	VYDAJ	VYBER	19700	75278	\N	\N	\N
1107221	3781	1997-06-03	PRIJEM	VKLAD	1100	59492	\N	\N	\N
1107222	3781	1997-07-03	VYDAJ	VYBER	11800	75348	\N	\N	\N
1107223	3781	1997-08-02	VYDAJ	VYBER	11000	80316	\N	\N	\N
1107224	3781	1997-09-01	VYDAJ	VYBER	10500	80715	\N	\N	\N
1107225	3781	1997-10-01	VYDAJ	VYBER	17200	80213	\N	\N	\N
1107226	3781	1997-10-31	VYDAJ	VYBER	15600	81314	\N	\N	\N
1107227	3781	1997-11-30	VYDAJ	VYBER	11000	87022	\N	\N	\N
1107228	3781	1997-12-12	VYDAJ	VYBER	51500	63856	\N	\N	\N
1107229	3781	1997-12-30	PRIJEM	VKLAD	5700	66356	\N	\N	\N
1107230	3781	1998-01-29	VYDAJ	VYBER	9900	73107	\N	\N	\N
1107231	3781	1998-02-28	VYDAJ	VYBER	14900	75165	\N	\N	\N
1107232	3781	1998-03-30	VYDAJ	VYBER	12300	77597	\N	\N	\N
1107233	3781	1998-04-29	VYDAJ	VYBER	16900	77382	\N	\N	\N
1107234	3781	1998-05-29	VYDAJ	VYBER	14700	79357	\N	\N	\N
1107235	3781	1998-06-28	VYDAJ	VYBER	13300	69627	\N	\N	\N
1107236	3781	1998-07-28	VYDAJ	VYBER	12800	72788	\N	\N	\N
1107237	3781	1998-08-27	VYDAJ	VYBER	16700	72727	\N	\N	\N
1107238	3781	1998-09-26	VYDAJ	VYBER	14300	69775	\N	\N	\N
1107239	3781	1998-10-26	VYDAJ	VYBER	10900	70227	\N	\N	\N
1107240	3781	1998-11-25	VYDAJ	VYBER	11900	74952	\N	\N	\N
1107310	3782	1997-03-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1107314	3782	1997-04-14	PRIJEM	PREVOD Z UCTU	28522	29622	\N	EF	25979352
1107315	3782	1997-05-14	PRIJEM	PREVOD Z UCTU	28522	57404	\N	EF	25979352
1107316	3782	1997-06-14	PRIJEM	PREVOD Z UCTU	42783	88142	\N	EF	25979352
1107317	3782	1997-07-14	PRIJEM	PREVOD Z UCTU	28522	87383	\N	EF	25979352
1107318	3782	1997-08-14	PRIJEM	PREVOD Z UCTU	28522	90857	\N	EF	25979352
1107319	3782	1997-09-14	PRIJEM	PREVOD Z UCTU	28522	67958	\N	EF	25979352
1107320	3782	1997-10-14	PRIJEM	PREVOD Z UCTU	28522	74470	\N	EF	25979352
1107321	3782	1997-11-14	PRIJEM	PREVOD Z UCTU	28522	48976	\N	EF	25979352
1107322	3782	1997-12-14	PRIJEM	PREVOD Z UCTU	42783	54369	\N	EF	25979352
1107323	3782	1998-01-14	PRIJEM	PREVOD Z UCTU	28522	40365	\N	EF	25979352
1107324	3782	1998-02-14	PRIJEM	PREVOD Z UCTU	28522	42022	\N	EF	25979352
1107325	3782	1998-03-14	PRIJEM	PREVOD Z UCTU	28522	54293	\N	EF	25979352
1107326	3782	1998-04-14	PRIJEM	PREVOD Z UCTU	28522	58535	\N	EF	25979352
1107327	3782	1998-05-14	PRIJEM	PREVOD Z UCTU	28522	55881	\N	EF	25979352
1107328	3782	1998-06-14	PRIJEM	PREVOD Z UCTU	42783	71691	\N	EF	25979352
1107329	3782	1998-07-14	PRIJEM	PREVOD Z UCTU	28522	46692	\N	EF	25979352
1107330	3782	1998-08-14	PRIJEM	PREVOD Z UCTU	28522	57213	\N	EF	25979352
1107331	3782	1998-09-14	PRIJEM	PREVOD Z UCTU	28522	58444	\N	EF	25979352
1107332	3782	1998-10-14	PRIJEM	PREVOD Z UCTU	28522	65498	\N	EF	25979352
1107333	3782	1998-11-14	PRIJEM	PREVOD Z UCTU	28522	66093	\N	EF	25979352
1107334	3782	1998-12-14	PRIJEM	PREVOD Z UCTU	42783	84651	\N	EF	25979352
1107342	3782	1997-08-14	VYDAJ	PREVOD NA UCET	553	62204	SIPO	UV	93482148
1107343	3782	1997-09-14	VYDAJ	PREVOD NA UCET	553	67405	SIPO	UV	93482148
1107344	3782	1997-10-14	VYDAJ	PREVOD NA UCET	553	73917	SIPO	UV	93482148
1107345	3782	1997-11-14	VYDAJ	PREVOD NA UCET	553	48423	SIPO	UV	93482148
1107346	3782	1997-12-14	VYDAJ	PREVOD NA UCET	553	53816	SIPO	UV	93482148
1107347	3782	1998-01-14	VYDAJ	PREVOD NA UCET	553	39812	SIPO	UV	93482148
1107348	3782	1998-02-14	VYDAJ	PREVOD NA UCET	553	41469	SIPO	UV	93482148
1107349	3782	1998-03-14	VYDAJ	PREVOD NA UCET	553	53740	SIPO	UV	93482148
1107350	3782	1998-04-14	VYDAJ	PREVOD NA UCET	553	57982	SIPO	UV	93482148
1107351	3782	1998-05-14	VYDAJ	PREVOD NA UCET	553	55328	SIPO	UV	93482148
1107352	3782	1998-06-14	VYDAJ	PREVOD NA UCET	553	71138	SIPO	UV	93482148
1107353	3782	1998-07-14	VYDAJ	PREVOD NA UCET	553	46139	SIPO	UV	93482148
1107354	3782	1998-08-14	VYDAJ	PREVOD NA UCET	553	56660	SIPO	UV	93482148
1107355	3782	1998-09-14	VYDAJ	PREVOD NA UCET	553	57891	SIPO	UV	93482148
1107356	3782	1998-10-14	VYDAJ	PREVOD NA UCET	553	64945	SIPO	UV	93482148
1107357	3782	1998-11-14	VYDAJ	PREVOD NA UCET	553	65540	SIPO	UV	93482148
1107358	3782	1998-12-14	VYDAJ	PREVOD NA UCET	553	84098	SIPO	UV	93482148
1107367	3782	1997-09-12	VYDAJ	PREVOD NA UCET	2790	59644	 	UV	43415004
1107368	3782	1997-10-12	VYDAJ	PREVOD NA UCET	2790	64856	 	UV	43415004
1107369	3782	1997-11-12	VYDAJ	PREVOD NA UCET	2790	31062	 	UV	43415004
1107370	3782	1997-12-12	VYDAJ	PREVOD NA UCET	2790	22194	 	UV	43415004
1107371	3782	1998-01-12	VYDAJ	PREVOD NA UCET	2790	22451	 	UV	43415004
1107372	3782	1998-02-12	VYDAJ	PREVOD NA UCET	2790	24108	 	UV	43415004
1107373	3782	1998-03-12	VYDAJ	PREVOD NA UCET	2790	38779	 	UV	43415004
1107374	3782	1998-04-12	VYDAJ	PREVOD NA UCET	2790	40621	 	UV	43415004
1107375	3782	1998-05-12	VYDAJ	PREVOD NA UCET	2790	37967	 	UV	43415004
1107376	3782	1998-06-12	VYDAJ	PREVOD NA UCET	2790	39516	 	UV	43415004
1107377	3782	1998-07-12	VYDAJ	PREVOD NA UCET	2790	28778	 	UV	43415004
1107378	3782	1998-08-12	VYDAJ	PREVOD NA UCET	2790	39299	 	UV	43415004
1107379	3782	1998-09-12	VYDAJ	PREVOD NA UCET	2790	40530	 	UV	43415004
1107380	3782	1998-10-12	VYDAJ	PREVOD NA UCET	2790	47584	 	UV	43415004
1107381	3782	1998-11-12	VYDAJ	PREVOD NA UCET	2790	48179	 	UV	43415004
1107382	3782	1998-12-12	VYDAJ	PREVOD NA UCET	2790	52476	 	UV	43415004
1107391	3782	1997-09-13	VYDAJ	PREVOD NA UCET	10608	39436	POJISTNE	AB	96572547
1107392	3782	1997-10-13	VYDAJ	PREVOD NA UCET	10608	54248	POJISTNE	AB	96572547
1107393	3782	1997-11-13	VYDAJ	PREVOD NA UCET	10608	20454	POJISTNE	AB	96572547
1107394	3782	1997-12-13	VYDAJ	PREVOD NA UCET	10608	11586	POJISTNE	AB	96572547
1107395	3782	1998-01-13	VYDAJ	PREVOD NA UCET	10608	11843	POJISTNE	AB	96572547
1107396	3782	1998-02-13	VYDAJ	PREVOD NA UCET	10608	13500	POJISTNE	AB	96572547
1107397	3782	1998-03-13	VYDAJ	PREVOD NA UCET	10608	25771	POJISTNE	AB	96572547
1107398	3782	1998-04-13	VYDAJ	PREVOD NA UCET	10608	30013	POJISTNE	AB	96572547
1107399	3782	1998-05-13	VYDAJ	PREVOD NA UCET	10608	27359	POJISTNE	AB	96572547
1107400	3782	1998-06-13	VYDAJ	PREVOD NA UCET	10608	28908	POJISTNE	AB	96572547
1107401	3782	1998-07-13	VYDAJ	PREVOD NA UCET	10608	18170	POJISTNE	AB	96572547
1107402	3782	1998-08-13	VYDAJ	PREVOD NA UCET	10608	28691	POJISTNE	AB	96572547
1107403	3782	1998-09-13	VYDAJ	PREVOD NA UCET	10608	29922	POJISTNE	AB	96572547
1107404	3782	1998-10-13	VYDAJ	PREVOD NA UCET	10608	36976	POJISTNE	AB	96572547
1107405	3782	1998-11-13	VYDAJ	PREVOD NA UCET	10608	37571	POJISTNE	AB	96572547
1107406	3782	1998-12-13	VYDAJ	PREVOD NA UCET	10608	41868	POJISTNE	AB	96572547
1107407	3782	1997-12-25	VYBER	VYBER	20400	33416	\N	\N	\N
1107411	3782	1997-10-26	VYBER	VYBER	10228	51407	\N	\N	\N
1107413	3782	1997-10-26	VYBER	VYBER	12282	61635	\N	\N	\N
1107414	3782	1997-11-20	VYBER	VYBER	22061	26362	\N	\N	\N
1107416	3782	1998-06-28	VYBER	VYBER	13182	43256	\N	\N	\N
1107417	3782	1998-07-01	VYBER	VYBER	15099	28368	\N	\N	\N
1107420	3782	1998-06-03	VYDAJ	VYBER	9600	45906	\N	\N	\N
1107423	3782	1997-12-10	VYDAJ	VYBER	6300	20184	\N	\N	\N
1107424	3782	1998-12-21	VYDAJ	VYBER	8700	75398	\N	\N	\N
1107431	3782	1998-01-23	VYDAJ	VYBER KARTOU	3300	23612	\N	\N	0
1107432	3782	1998-01-01	VYDAJ	VYBER	4200	29341	\N	\N	\N
1107433	3782	1998-01-28	VYDAJ	VYBER KARTOU	3900	19712	\N	\N	0
1107434	3782	1998-01-08	VYDAJ	VYBER	8700	20641	\N	\N	\N
1107437	3782	1997-10-29	VYDAJ	VYBER	9600	41807	\N	\N	\N
1107441	3782	1997-11-03	VYDAJ	VYBER	13200	28852	\N	\N	\N
1107442	3782	1998-04-19	VYDAJ	VYBER	14700	43282	\N	\N	\N
1107443	3782	1998-01-19	VYDAJ	VYBER	12900	26912	\N	\N	\N
1107444	3782	1998-11-04	VYDAJ	VYBER	8400	56769	\N	\N	\N
1107445	3782	1998-06-25	VYDAJ	VYBER	14700	56438	\N	\N	\N
1107446	3782	1998-08-18	VYDAJ	VYBER	12900	43760	\N	\N	\N
1107455	3782	1997-08-31	VYDAJ	VYBER	30	62434	SLUZBY	\N	\N
1107456	3782	1997-09-30	VYDAJ	VYBER	30	67646	SLUZBY	\N	\N
1107457	3782	1997-10-31	VYDAJ	VYBER	30	42052	SLUZBY	\N	\N
1107458	3782	1997-11-30	VYDAJ	VYBER	30	26484	SLUZBY	\N	\N
1107459	3782	1997-12-31	VYDAJ	VYBER	30	33541	SLUZBY	\N	\N
1107460	3782	1998-01-31	VYDAJ	VYBER	30	19798	SLUZBY	\N	\N
1107461	3782	1998-02-28	VYDAJ	VYBER	30	41569	SLUZBY	\N	\N
1107462	3782	1998-03-31	VYDAJ	VYBER	30	53911	SLUZBY	\N	\N
1107463	3782	1998-04-30	VYDAJ	VYBER	30	43457	SLUZBY	\N	\N
1107464	3782	1998-05-31	VYDAJ	VYBER	30	55506	SLUZBY	\N	\N
1107465	3782	1998-06-30	VYDAJ	VYBER	30	43467	SLUZBY	\N	\N
1107466	3782	1998-07-31	VYDAJ	VYBER	30	46289	SLUZBY	\N	\N
1107467	3782	1998-08-31	VYDAJ	VYBER	30	43920	SLUZBY	\N	\N
1107468	3782	1998-09-30	VYDAJ	VYBER	30	58074	SLUZBY	\N	\N
1107469	3782	1998-10-31	VYDAJ	VYBER	30	65169	SLUZBY	\N	\N
1107470	3782	1998-11-30	VYDAJ	VYBER	30	65766	SLUZBY	\N	\N
1107471	3782	1997-04-16	VYDAJ	VYBER	800	28822	\N	\N	\N
1107472	3782	1997-05-16	VYDAJ	VYBER	12200	45204	\N	\N	\N
1107473	3782	1997-06-15	VYDAJ	VYBER	29500	58642	\N	\N	\N
1107474	3782	1997-07-15	VYDAJ	VYBER	25300	62083	\N	\N	\N
1107475	3782	1997-08-14	VYDAJ	VYBER	28100	62757	\N	\N	\N
1107476	3782	1997-09-13	VYDAJ	VYBER	9600	50044	\N	\N	\N
1107477	3782	1997-10-13	VYDAJ	VYBER	8300	45948	\N	\N	\N
1107478	3782	1997-11-12	PRIJEM	VKLAD	5000	33852	\N	\N	\N
1107479	3782	1997-12-12	PRIJEM	VKLAD	4800	24984	\N	\N	\N
1107480	3782	1998-01-11	PRIJEM	VKLAD	4600	25241	\N	\N	\N
1107481	3782	1998-02-10	PRIJEM	VKLAD	7100	26898	\N	\N	\N
1107482	3782	1998-03-12	VYDAJ	VYBER KARTOU	2400	36379	\N	\N	0
1107483	3782	1998-04-11	VYDAJ	VYBER	10500	43411	\N	\N	\N
1107484	3782	1998-05-11	VYDAJ	VYBER KARTOU	2700	40757	\N	\N	0
1107485	3782	1998-06-10	VYDAJ	VYBER KARTOU	3600	42306	\N	\N	0
1107486	3782	1998-07-10	PRIJEM	VKLAD	3200	31568	\N	\N	\N
1107487	3782	1998-08-09	VYDAJ	VYBER	4200	42089	\N	\N	\N
1107488	3782	1998-09-08	VYDAJ	VYBER KARTOU	600	43320	\N	\N	0
1107489	3782	1998-10-08	VYDAJ	VYBER	7700	50374	\N	\N	\N
1107490	3782	1998-11-07	VYDAJ	VYBER	5800	50969	\N	\N	\N
1107491	3782	1998-12-07	VYDAJ	VYBER	10500	55266	\N	\N	\N
1107513	3783	1995-11-29	PRIJEM	VKLAD	300	300	\N	\N	\N
1107525	3783	1995-12-11	PRIJEM	VKLAD	13313	13613	\N	\N	\N
1107526	3783	1996-01-11	PRIJEM	VKLAD	8875	31397	\N	\N	\N
1107527	3783	1996-02-11	PRIJEM	VKLAD	8875	38069	\N	\N	\N
1107528	3783	1996-03-11	PRIJEM	VKLAD	8875	39566	\N	\N	\N
1107529	3783	1996-04-11	PRIJEM	VKLAD	8875	41469	\N	\N	\N
1107530	3783	1996-05-11	PRIJEM	VKLAD	8875	37485	\N	\N	\N
1107531	3783	1996-06-11	PRIJEM	VKLAD	13313	46189	\N	\N	\N
1107532	3783	1996-07-11	PRIJEM	VKLAD	8875	26406	\N	\N	\N
1107533	3783	1996-08-11	PRIJEM	VKLAD	8875	34228	\N	\N	\N
1107534	3783	1996-09-11	PRIJEM	VKLAD	8875	36778	\N	\N	\N
1107535	3783	1996-10-11	PRIJEM	VKLAD	8875	33738	\N	\N	\N
1107536	3783	1996-11-11	PRIJEM	VKLAD	8875	37089	\N	\N	\N
1107537	3783	1996-12-11	PRIJEM	VKLAD	13313	40885	\N	\N	\N
1107538	3783	1997-01-11	PRIJEM	VKLAD	8875	34626	\N	\N	\N
1107539	3783	1997-02-11	PRIJEM	VKLAD	8875	31744	\N	\N	\N
1107540	3783	1997-03-11	PRIJEM	VKLAD	8875	36085	\N	\N	\N
1107541	3783	1997-04-11	PRIJEM	VKLAD	8875	33536	\N	\N	\N
1107542	3783	1997-05-11	PRIJEM	VKLAD	8875	36283	\N	\N	\N
1107543	3783	1997-06-11	PRIJEM	VKLAD	13313	40794	\N	\N	\N
1107544	3783	1997-07-11	PRIJEM	VKLAD	8875	37756	\N	\N	\N
1107545	3783	1997-08-11	PRIJEM	VKLAD	8875	41522	\N	\N	\N
1107546	3783	1997-09-11	PRIJEM	VKLAD	8875	30443	\N	\N	\N
1107547	3783	1997-10-11	PRIJEM	VKLAD	8875	31874	\N	\N	\N
1107548	3783	1997-11-11	PRIJEM	VKLAD	8875	33610	\N	\N	\N
1107549	3783	1997-12-11	PRIJEM	VKLAD	13313	35365	\N	\N	\N
1107550	3783	1998-01-11	PRIJEM	VKLAD	8875	31443	\N	\N	\N
1107551	3783	1998-02-11	PRIJEM	VKLAD	8875	27804	\N	\N	\N
1107552	3783	1998-03-11	PRIJEM	VKLAD	8875	26817	\N	\N	\N
1107553	3783	1998-04-11	PRIJEM	VKLAD	8875	24123	\N	\N	\N
1107554	3783	1998-05-11	PRIJEM	VKLAD	8875	23661	\N	\N	\N
1107555	3783	1998-06-11	PRIJEM	VKLAD	13313	31904	\N	\N	\N
1107556	3783	1998-07-11	PRIJEM	VKLAD	8875	25651	\N	\N	\N
1107557	3783	1998-08-11	PRIJEM	VKLAD	8875	25916	\N	\N	\N
1107558	3783	1998-09-11	PRIJEM	VKLAD	8875	26823	\N	\N	\N
1107559	3783	1998-10-11	PRIJEM	VKLAD	8875	29437	\N	\N	\N
1107560	3783	1998-11-11	PRIJEM	VKLAD	8875	28754	\N	\N	\N
1107561	3783	1998-12-11	PRIJEM	VKLAD	13313	37317	\N	\N	\N
1107578	3783	1996-05-06	VYDAJ	PREVOD NA UCET	3041	28610	SIPO	WX	49779665
1107579	3783	1996-06-06	VYDAJ	PREVOD NA UCET	3041	32877	SIPO	WX	49779665
1107580	3783	1996-07-06	VYDAJ	PREVOD NA UCET	3041	18971	SIPO	WX	49779665
1107581	3783	1996-08-06	VYDAJ	PREVOD NA UCET	3041	25353	SIPO	WX	49779665
1107582	3783	1996-09-06	VYDAJ	PREVOD NA UCET	3041	27903	SIPO	WX	49779665
1107583	3783	1996-10-06	VYDAJ	PREVOD NA UCET	3041	24863	SIPO	WX	49779665
1107584	3783	1996-11-06	VYDAJ	PREVOD NA UCET	3041	28214	SIPO	WX	49779665
1107585	3783	1996-12-06	VYDAJ	PREVOD NA UCET	3041	27572	SIPO	WX	49779665
1107586	3783	1997-01-06	VYDAJ	PREVOD NA UCET	3041	25751	SIPO	WX	49779665
1107587	3783	1997-02-06	VYDAJ	PREVOD NA UCET	3041	22869	SIPO	WX	49779665
1107588	3783	1997-03-06	VYDAJ	PREVOD NA UCET	3041	27210	SIPO	WX	49779665
1107589	3783	1997-04-06	VYDAJ	PREVOD NA UCET	3041	24661	SIPO	WX	49779665
1107590	3783	1997-05-06	VYDAJ	PREVOD NA UCET	3041	27408	SIPO	WX	49779665
1107591	3783	1997-06-06	VYDAJ	PREVOD NA UCET	3041	27481	SIPO	WX	49779665
1107592	3783	1997-07-06	VYDAJ	PREVOD NA UCET	3041	28881	SIPO	WX	49779665
1107593	3783	1997-08-06	VYDAJ	PREVOD NA UCET	3041	32647	SIPO	WX	49779665
1107594	3783	1997-09-06	VYDAJ	PREVOD NA UCET	3041	21568	SIPO	WX	49779665
1107595	3783	1997-10-06	VYDAJ	PREVOD NA UCET	3041	22999	SIPO	WX	49779665
1107596	3783	1997-11-06	VYDAJ	PREVOD NA UCET	3041	24735	SIPO	WX	49779665
1107597	3783	1997-12-06	VYDAJ	PREVOD NA UCET	3041	23172	SIPO	WX	49779665
1107598	3783	1998-01-06	VYDAJ	PREVOD NA UCET	3041	25328	SIPO	WX	49779665
1107599	3783	1998-02-06	VYDAJ	PREVOD NA UCET	3041	18929	SIPO	WX	49779665
1107600	3783	1998-03-06	VYDAJ	PREVOD NA UCET	3041	17942	SIPO	WX	49779665
1107601	3783	1998-04-06	VYDAJ	PREVOD NA UCET	3041	15248	SIPO	WX	49779665
1107602	3783	1998-05-06	VYDAJ	PREVOD NA UCET	3041	14786	SIPO	WX	49779665
1107603	3783	1998-06-06	VYDAJ	PREVOD NA UCET	3041	18591	SIPO	WX	49779665
1107604	3783	1998-07-06	VYDAJ	PREVOD NA UCET	3041	16776	SIPO	WX	49779665
1107605	3783	1998-08-06	VYDAJ	PREVOD NA UCET	3041	17041	SIPO	WX	49779665
1107606	3783	1998-09-06	VYDAJ	PREVOD NA UCET	3041	17948	SIPO	WX	49779665
1107607	3783	1998-10-06	VYDAJ	PREVOD NA UCET	3041	20562	SIPO	WX	49779665
1107608	3783	1998-11-06	VYDAJ	PREVOD NA UCET	3041	19879	SIPO	WX	49779665
1107609	3783	1998-12-06	VYDAJ	PREVOD NA UCET	3041	24005	SIPO	WX	49779665
1107611	3783	1996-06-20	VYDAJ	VYBER	27520	18669	\N	\N	\N
1107613	3783	1998-06-11	VYDAJ	VYBER	6400	25504	\N	\N	\N
1107616	3783	1997-01-16	VYDAJ	VYBER	8960	25666	\N	\N	\N
1107617	3783	1998-01-15	VYDAJ	VYBER	8960	22483	\N	\N	\N
1107619	3783	1996-12-24	VYDAJ	VYBER	3520	28665	\N	\N	\N
1107620	3783	1997-12-06	VYDAJ	VYBER	1120	22052	\N	\N	\N
1107621	3783	1998-12-16	VYDAJ	VYBER	4000	23017	\N	\N	\N
1107625	3783	1996-08-23	VYDAJ	VYBER	1800	32428	\N	\N	\N
1107626	3783	1996-07-06	VYDAJ	VYBER	1440	17531	\N	\N	\N
1107628	3783	1996-06-21	VYDAJ	VYBER	2280	16389	\N	\N	\N
1107629	3783	1996-10-01	VYDAJ	VYBER	4800	27904	\N	\N	\N
1107630	3783	1996-04-23	VYDAJ	VYBER	5640	35829	\N	\N	\N
1107631	3783	1997-05-19	VYDAJ	VYBER	2880	33403	\N	\N	\N
1107632	3783	1997-08-25	VYDAJ	VYBER	2880	24482	\N	\N	\N
1107633	3783	1997-08-24	VYDAJ	VYBER	5760	27362	\N	\N	\N
1107634	3783	1997-01-25	VYDAJ	VYBER	2160	25806	\N	\N	\N
1107635	3783	1998-04-15	VYDAJ	VYBER	3360	20763	\N	\N	\N
1107636	3783	1998-07-15	VYDAJ	VYBER	5040	20611	\N	\N	\N
1107637	3783	1998-06-16	VYDAJ	VYBER	2760	22744	\N	\N	\N
1107638	3783	1998-01-08	VYDAJ	VYBER	2760	22568	\N	\N	\N
1107655	3783	1996-04-30	VYDAJ	VYBER	15	31651	SLUZBY	\N	\N
1107656	3783	1996-05-31	VYDAJ	VYBER	15	35918	SLUZBY	\N	\N
1107657	3783	1996-06-30	VYDAJ	VYBER	15	22012	SLUZBY	\N	\N
1107658	3783	1996-07-31	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
1107659	3783	1996-08-31	VYDAJ	VYBER	15	30944	SLUZBY	\N	\N
1107660	3783	1996-09-30	VYDAJ	VYBER	15	32704	SLUZBY	\N	\N
1107661	3783	1996-10-31	VYDAJ	VYBER	15	31255	SLUZBY	\N	\N
1107662	3783	1996-11-30	VYDAJ	VYBER	15	30613	SLUZBY	\N	\N
1107663	3783	1996-12-31	VYDAJ	VYBER	15	28792	SLUZBY	\N	\N
1107664	3783	1997-01-31	VYDAJ	VYBER	15	25910	SLUZBY	\N	\N
1107665	3783	1997-02-28	VYDAJ	VYBER	15	30251	SLUZBY	\N	\N
1107666	3783	1997-03-31	VYDAJ	VYBER	15	27702	SLUZBY	\N	\N
1107667	3783	1997-04-30	VYDAJ	VYBER	15	30449	SLUZBY	\N	\N
1107668	3783	1997-05-31	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
1107669	3783	1997-06-30	VYDAJ	VYBER	15	31922	SLUZBY	\N	\N
1107670	3783	1997-07-31	VYDAJ	VYBER	15	35688	SLUZBY	\N	\N
1107671	3783	1997-08-31	VYDAJ	VYBER	15	24609	SLUZBY	\N	\N
1107672	3783	1997-09-30	VYDAJ	VYBER	15	26040	SLUZBY	\N	\N
1107673	3783	1997-10-31	VYDAJ	VYBER	15	27776	SLUZBY	\N	\N
1107674	3783	1997-11-30	VYDAJ	VYBER	15	26213	SLUZBY	\N	\N
1107675	3783	1997-12-31	VYDAJ	VYBER	15	28369	SLUZBY	\N	\N
1107676	3783	1998-01-31	VYDAJ	VYBER	15	21970	SLUZBY	\N	\N
1107677	3783	1998-02-28	VYDAJ	VYBER	15	20983	SLUZBY	\N	\N
1107678	3783	1998-03-31	VYDAJ	VYBER	15	18289	SLUZBY	\N	\N
1107679	3783	1998-04-30	VYDAJ	VYBER	15	17827	SLUZBY	\N	\N
1107680	3783	1998-05-31	VYDAJ	VYBER	15	21632	SLUZBY	\N	\N
1107681	3783	1998-06-30	VYDAJ	VYBER	15	19817	SLUZBY	\N	\N
1107682	3783	1998-07-31	VYDAJ	VYBER	15	20082	SLUZBY	\N	\N
1107683	3783	1998-08-31	VYDAJ	VYBER	15	20989	SLUZBY	\N	\N
1107684	3783	1998-09-30	VYDAJ	VYBER	15	23603	SLUZBY	\N	\N
1107685	3783	1998-10-31	VYDAJ	VYBER	15	22920	SLUZBY	\N	\N
1107686	3783	1998-11-30	VYDAJ	VYBER	15	27046	SLUZBY	\N	\N
1107687	3783	1995-12-29	PRIJEM	VKLAD	8900	22513	\N	\N	\N
1107688	3783	1996-01-28	VYDAJ	VYBER	2300	29097	\N	\N	\N
1107689	3783	1996-02-27	VYDAJ	VYBER	7500	30569	\N	\N	\N
1107690	3783	1996-03-28	VYDAJ	VYBER	7100	32466	\N	\N	\N
1107691	3783	1996-04-27	VYDAJ	VYBER	4300	31529	\N	\N	\N
1107692	3783	1996-05-27	VYDAJ	VYBER	1700	35785	\N	\N	\N
1107693	3783	1996-06-26	PRIJEM	VKLAD	5500	21889	\N	\N	\N
1107694	3783	1996-07-26	PRIJEM	VKLAD	1900	28306	\N	\N	\N
1107695	3783	1996-08-25	VYDAJ	VYBER	1600	30828	\N	\N	\N
1107696	3783	1996-09-24	VYDAJ	VYBER	4200	32578	\N	\N	\N
1107697	3783	1996-10-24	VYDAJ	VYBER	2600	31138	\N	\N	\N
1107698	3783	1996-11-23	VYDAJ	VYBER	6600	30489	\N	\N	\N
1107699	3783	1996-12-23	VYDAJ	VYBER	8700	32185	\N	\N	\N
1107700	3783	1997-01-22	PRIJEM	VKLAD	2300	27966	\N	\N	\N
1107701	3783	1997-02-21	VYDAJ	VYBER	1600	30144	\N	\N	\N
1107702	3783	1997-03-23	VYDAJ	VYBER	8500	27585	\N	\N	\N
1107703	3783	1997-04-22	VYDAJ	VYBER	3200	30336	\N	\N	\N
1107704	3783	1997-05-22	VYDAJ	VYBER	3000	30403	\N	\N	\N
1107705	3783	1997-06-21	VYDAJ	VYBER	9000	31794	\N	\N	\N
1107706	3783	1997-07-21	VYDAJ	VYBER	2200	35556	\N	\N	\N
1107707	3783	1997-08-20	VYDAJ	VYBER	8400	33122	\N	\N	\N
1107708	3783	1997-09-19	VYDAJ	VYBER	4500	25943	\N	\N	\N
1107709	3783	1997-10-19	VYDAJ	VYBER	4200	27674	\N	\N	\N
1107710	3783	1997-11-18	VYDAJ	VYBER	7500	26110	\N	\N	\N
1107711	3783	1997-12-18	VYDAJ	VYBER	7100	28265	\N	\N	\N
1107712	3783	1998-01-17	VYDAJ	VYBER	600	21883	\N	\N	\N
1107713	3783	1998-02-16	VYDAJ	VYBER	6900	20904	\N	\N	\N
1107714	3783	1998-03-18	VYDAJ	VYBER	8600	18217	\N	\N	\N
1107715	3783	1998-04-17	VYDAJ	VYBER	3000	17763	\N	\N	\N
1107716	3783	1998-05-17	VYDAJ	VYBER	2100	21561	\N	\N	\N
1107717	3783	1998-06-16	VYDAJ	VYBER	3000	19744	\N	\N	\N
1107718	3783	1998-07-16	VYDAJ	VYBER	600	20011	\N	\N	\N
1107719	3783	1998-08-15	VYDAJ	VYBER	5000	20916	\N	\N	\N
1107720	3783	1998-09-14	VYDAJ	VYBER	3300	23523	\N	\N	\N
1107721	3783	1998-10-14	VYDAJ	VYBER	6600	22837	\N	\N	\N
1107722	3783	1998-11-13	VYDAJ	VYBER	1800	26954	\N	\N	\N
1107723	3783	1998-12-13	VYDAJ	VYBER	10300	27017	\N	\N	\N
1107761	3784	1996-01-22	PRIJEM	VKLAD	400	400	\N	\N	\N
1107763	3784	1996-02-10	PRIJEM	VKLAD	7415	7815	\N	\N	\N
1107764	3784	1996-03-10	PRIJEM	VKLAD	7415	23551	\N	\N	\N
1107765	3784	1996-04-10	PRIJEM	VKLAD	7415	28440	\N	\N	\N
1107766	3784	1996-05-10	PRIJEM	VKLAD	7415	35752	\N	\N	\N
1107767	3784	1996-06-10	PRIJEM	VKLAD	11122	39892	\N	\N	\N
1107768	3784	1996-07-10	PRIJEM	VKLAD	7415	28668	\N	\N	\N
1107769	3784	1996-08-10	PRIJEM	VKLAD	7415	19115	\N	\N	\N
1107770	3784	1996-09-10	PRIJEM	VKLAD	7415	21440	\N	\N	\N
1107771	3784	1996-10-10	PRIJEM	VKLAD	7415	23269	\N	\N	\N
1107772	3784	1996-11-10	PRIJEM	VKLAD	7415	28814	\N	\N	\N
1107773	3784	1996-12-10	PRIJEM	VKLAD	11122	36285	\N	\N	\N
1107774	3784	1997-01-10	PRIJEM	VKLAD	7415	30871	\N	\N	\N
1107775	3784	1997-02-10	PRIJEM	VKLAD	7415	27027	\N	\N	\N
1107776	3784	1997-03-10	PRIJEM	VKLAD	7415	30283	\N	\N	\N
1107777	3784	1997-04-10	PRIJEM	VKLAD	7415	32250	\N	\N	\N
1107778	3784	1997-05-10	PRIJEM	VKLAD	7415	36631	\N	\N	\N
1107779	3784	1997-06-10	PRIJEM	VKLAD	11122	41930	\N	\N	\N
1107780	3784	1997-07-10	PRIJEM	VKLAD	7415	39030	\N	\N	\N
1107781	3784	1997-08-10	PRIJEM	VKLAD	7415	31514	\N	\N	\N
1107782	3784	1997-09-10	PRIJEM	VKLAD	7415	24571	\N	\N	\N
1107783	3784	1997-10-10	PRIJEM	VKLAD	7415	27817	\N	\N	\N
1107784	3784	1997-11-10	PRIJEM	VKLAD	7415	25973	\N	\N	\N
1107785	3784	1997-12-10	PRIJEM	VKLAD	11122	28821	\N	\N	\N
1107786	3784	1998-01-10	PRIJEM	VKLAD	7415	22666	\N	\N	\N
1107787	3784	1998-02-10	PRIJEM	VKLAD	7415	24996	\N	\N	\N
1107788	3784	1998-03-10	PRIJEM	VKLAD	7415	26630	\N	\N	\N
1107789	3784	1998-04-10	PRIJEM	VKLAD	7415	28280	\N	\N	\N
1107790	3784	1998-05-10	PRIJEM	VKLAD	7415	28533	\N	\N	\N
1107791	3784	1998-06-10	PRIJEM	VKLAD	11122	33196	\N	\N	\N
1107792	3784	1998-07-10	PRIJEM	VKLAD	7415	27367	\N	\N	\N
1107793	3784	1998-08-10	PRIJEM	VKLAD	7415	39419	\N	\N	\N
1107794	3784	1998-09-10	PRIJEM	VKLAD	7415	45413	\N	\N	\N
1107795	3784	1998-10-10	PRIJEM	VKLAD	7415	46039	\N	\N	\N
1107796	3784	1998-11-10	PRIJEM	VKLAD	7415	43274	\N	\N	\N
1107797	3784	1998-12-10	PRIJEM	VKLAD	11122	44008	\N	\N	\N
1107804	3784	1996-07-08	VYDAJ	PREVOD NA UCET	1583	21253	SIPO	IJ	70703857
1107805	3784	1996-08-08	VYDAJ	PREVOD NA UCET	1583	11700	SIPO	IJ	70703857
1107806	3784	1996-09-08	VYDAJ	PREVOD NA UCET	1583	14025	SIPO	IJ	70703857
1107807	3784	1996-10-08	VYDAJ	PREVOD NA UCET	1583	15854	SIPO	IJ	70703857
1107808	3784	1996-11-08	VYDAJ	PREVOD NA UCET	1583	21399	SIPO	IJ	70703857
1107809	3784	1996-12-08	VYDAJ	PREVOD NA UCET	1583	25163	SIPO	IJ	70703857
1107810	3784	1997-01-08	VYDAJ	PREVOD NA UCET	1583	23456	SIPO	IJ	70703857
1107811	3784	1997-02-08	VYDAJ	PREVOD NA UCET	1583	19612	SIPO	IJ	70703857
1107812	3784	1997-03-08	VYDAJ	PREVOD NA UCET	1583	22868	SIPO	IJ	70703857
1107813	3784	1997-04-08	VYDAJ	PREVOD NA UCET	1583	24835	SIPO	IJ	70703857
1107814	3784	1997-05-08	VYDAJ	PREVOD NA UCET	1583	29216	SIPO	IJ	70703857
1107815	3784	1997-06-08	VYDAJ	PREVOD NA UCET	1583	30808	SIPO	IJ	70703857
1107816	3784	1997-07-08	VYDAJ	PREVOD NA UCET	1583	31615	SIPO	IJ	70703857
1107817	3784	1997-08-08	VYDAJ	PREVOD NA UCET	1583	24099	SIPO	IJ	70703857
1107818	3784	1997-09-08	VYDAJ	PREVOD NA UCET	1583	17156	SIPO	IJ	70703857
1107819	3784	1997-10-08	VYDAJ	PREVOD NA UCET	1583	20402	SIPO	IJ	70703857
1107820	3784	1997-11-08	VYDAJ	PREVOD NA UCET	1583	18558	SIPO	IJ	70703857
1107821	3784	1997-12-08	VYDAJ	PREVOD NA UCET	1583	17699	SIPO	IJ	70703857
1107822	3784	1998-01-08	VYDAJ	PREVOD NA UCET	1583	15251	SIPO	IJ	70703857
1107823	3784	1998-02-08	VYDAJ	PREVOD NA UCET	1583	11981	SIPO	IJ	70703857
1107824	3784	1998-03-08	VYDAJ	PREVOD NA UCET	1583	19215	SIPO	IJ	70703857
1107825	3784	1998-04-08	VYDAJ	PREVOD NA UCET	1583	20865	SIPO	IJ	70703857
1107826	3784	1998-05-08	VYDAJ	PREVOD NA UCET	1583	21118	SIPO	IJ	70703857
1107827	3784	1998-06-08	VYDAJ	PREVOD NA UCET	1583	22074	SIPO	IJ	70703857
1107828	3784	1998-07-08	VYDAJ	PREVOD NA UCET	1583	16952	SIPO	IJ	70703857
1107829	3784	1998-08-08	VYDAJ	PREVOD NA UCET	1583	22504	SIPO	IJ	70703857
1107830	3784	1998-09-08	VYDAJ	PREVOD NA UCET	1583	37998	SIPO	IJ	70703857
1107831	3784	1998-10-08	VYDAJ	PREVOD NA UCET	1583	40624	SIPO	IJ	70703857
1107832	3784	1998-11-08	VYDAJ	PREVOD NA UCET	1583	35859	SIPO	IJ	70703857
1107833	3784	1998-12-08	VYDAJ	PREVOD NA UCET	1583	32886	SIPO	IJ	70703857
1107839	3784	1996-06-14	VYDAJ	PREVOD NA UCET	3360	36532	 	GH	35721373
1107840	3784	1996-07-14	VYDAJ	PREVOD NA UCET	3360	25308	 	GH	35721373
1107841	3784	1996-08-14	VYDAJ	PREVOD NA UCET	3360	15755	 	GH	35721373
1107842	3784	1996-09-14	VYDAJ	PREVOD NA UCET	3360	18080	 	GH	35721373
1107843	3784	1996-10-14	VYDAJ	PREVOD NA UCET	3360	19909	 	GH	35721373
1107844	3784	1996-11-14	VYDAJ	PREVOD NA UCET	3360	25454	 	GH	35721373
1107845	3784	1996-12-14	VYDAJ	PREVOD NA UCET	3360	32125	 	GH	35721373
1107846	3784	1997-01-14	VYDAJ	PREVOD NA UCET	3360	22611	 	GH	35721373
1107847	3784	1997-02-14	VYDAJ	PREVOD NA UCET	3360	23667	 	GH	35721373
1107848	3784	1997-03-14	VYDAJ	PREVOD NA UCET	3360	26923	 	GH	35721373
1107849	3784	1997-04-14	VYDAJ	PREVOD NA UCET	3360	28890	 	GH	35721373
1107850	3784	1997-05-14	VYDAJ	PREVOD NA UCET	3360	33271	 	GH	35721373
1107851	3784	1997-06-14	VYDAJ	PREVOD NA UCET	3360	38570	 	GH	35721373
1107852	3784	1997-07-14	VYDAJ	PREVOD NA UCET	3360	33270	 	GH	35721373
1107853	3784	1997-08-14	VYDAJ	PREVOD NA UCET	3360	28154	 	GH	35721373
1107854	3784	1997-09-14	VYDAJ	PREVOD NA UCET	3360	21911	 	GH	35721373
1107855	3784	1997-10-14	VYDAJ	PREVOD NA UCET	3360	24757	 	GH	35721373
1107856	3784	1997-11-14	VYDAJ	PREVOD NA UCET	3360	19213	 	GH	35721373
1107857	3784	1997-12-14	VYDAJ	PREVOD NA UCET	3360	21961	 	GH	35721373
1107858	3784	1998-01-14	VYDAJ	PREVOD NA UCET	3360	19006	 	GH	35721373
1107859	3784	1998-02-14	VYDAJ	PREVOD NA UCET	3360	21636	 	GH	35721373
1107860	3784	1998-03-14	VYDAJ	PREVOD NA UCET	3360	22370	 	GH	35721373
1107861	3784	1998-04-14	VYDAJ	PREVOD NA UCET	3360	22620	 	GH	35721373
1107862	3784	1998-05-14	VYDAJ	PREVOD NA UCET	3360	23573	 	GH	35721373
1107863	3784	1998-06-14	VYDAJ	PREVOD NA UCET	3360	29336	 	GH	35721373
1107864	3784	1998-07-14	VYDAJ	PREVOD NA UCET	3360	24007	 	GH	35721373
1107865	3784	1998-08-14	VYDAJ	PREVOD NA UCET	3360	36059	 	GH	35721373
1107866	3784	1998-09-14	VYDAJ	PREVOD NA UCET	3360	42053	 	GH	35721373
1107867	3784	1998-10-14	VYDAJ	PREVOD NA UCET	3360	42679	 	GH	35721373
1107868	3784	1998-11-14	VYDAJ	PREVOD NA UCET	3360	39914	 	GH	35721373
1107869	3784	1998-12-14	VYDAJ	PREVOD NA UCET	3360	40648	 	GH	35721373
1107872	3784	1998-06-29	VYDAJ	VYBER	10900	18436	\N	\N	\N
1107873	3784	1996-12-14	VYDAJ	VYBER	800	35485	\N	\N	\N
1107874	3784	1997-12-20	VYDAJ	VYBER	1700	20261	\N	\N	\N
1107875	3784	1998-12-20	VYDAJ	VYBER	1800	38848	\N	\N	\N
1107882	3784	1997-01-01	VYDAJ	VYBER	1600	29439	\N	\N	\N
1107883	3784	1997-01-17	VYDAJ	VYBER	2100	21111	\N	\N	\N
1107884	3784	1997-01-16	VYDAJ	VYBER	1600	25711	\N	\N	\N
1107885	3784	1997-01-04	VYDAJ	VYBER	2600	25039	\N	\N	\N
1107886	3784	1997-01-03	VYDAJ	VYBER	1800	27639	\N	\N	\N
1107887	3784	1997-01-17	VYDAJ	VYBER	2500	23211	\N	\N	\N
1107888	3784	1998-01-17	VYDAJ	VYBER	2300	16706	\N	\N	\N
1107889	3784	1998-01-26	VYDAJ	VYBER	2000	14706	\N	\N	\N
1107890	3784	1998-01-06	VYDAJ	VYBER	2600	16834	\N	\N	\N
1107891	3784	1998-01-11	VYDAJ	VYBER	2800	22366	\N	\N	\N
1107892	3784	1998-01-02	VYDAJ	VYBER	900	19434	\N	\N	\N
1107893	3784	1998-01-28	VYDAJ	VYBER	1200	13506	\N	\N	\N
1107895	3784	1996-06-23	VYDAJ	VYBER	4700	22732	\N	\N	\N
1107896	3784	1996-08-01	VYDAJ	VYBER	3500	13283	\N	\N	\N
1107897	3784	1996-07-18	VYDAJ	VYBER	3800	21508	\N	\N	\N
1107898	3784	1996-09-16	VYDAJ	VYBER	3300	14780	\N	\N	\N
1107900	3784	1997-08-18	VYDAJ	VYBER	3900	20954	\N	\N	\N
1107901	3784	1997-10-28	VYDAJ	VYBER	4700	20057	\N	\N	\N
1107902	3784	1997-08-20	VYDAJ	VYBER	1500	19454	\N	\N	\N
1107903	3784	1997-01-11	VYDAJ	VYBER	4900	25971	\N	\N	\N
1107904	3784	1997-07-12	VYDAJ	VYBER	2400	36630	\N	\N	\N
1107905	3784	1997-08-28	VYDAJ	VYBER	800	18654	\N	\N	\N
1107906	3784	1997-07-22	VYDAJ	VYBER	3300	25570	\N	\N	\N
1107907	3784	1998-08-22	VYDAJ	VYBER	800	35259	\N	\N	\N
1107910	3784	1998-02-25	VYDAJ	VYBER	900	20736	\N	\N	\N
1107917	3784	1996-06-30	VYDAJ	VYBER	15	22836	SLUZBY	\N	\N
1107918	3784	1996-07-31	VYDAJ	VYBER	15	16783	SLUZBY	\N	\N
1107919	3784	1996-08-31	VYDAJ	VYBER	15	15608	SLUZBY	\N	\N
1107920	3784	1996-09-30	VYDAJ	VYBER	15	17437	SLUZBY	\N	\N
1107921	3784	1996-10-31	VYDAJ	VYBER	15	22982	SLUZBY	\N	\N
1107922	3784	1996-11-30	VYDAJ	VYBER	15	26746	SLUZBY	\N	\N
1107923	3784	1996-12-31	VYDAJ	VYBER	15	31039	SLUZBY	\N	\N
1107924	3784	1997-01-31	VYDAJ	VYBER	15	21195	SLUZBY	\N	\N
1107925	3784	1997-02-28	VYDAJ	VYBER	15	24451	SLUZBY	\N	\N
1107926	3784	1997-03-31	VYDAJ	VYBER	15	26418	SLUZBY	\N	\N
1107927	3784	1997-04-30	VYDAJ	VYBER	15	30799	SLUZBY	\N	\N
1107928	3784	1997-05-31	VYDAJ	VYBER	15	32391	SLUZBY	\N	\N
1107929	3784	1997-06-30	VYDAJ	VYBER	15	33198	SLUZBY	\N	\N
1107930	3784	1997-07-31	VYDAJ	VYBER	15	25682	SLUZBY	\N	\N
1107931	3784	1997-08-31	VYDAJ	VYBER	15	18739	SLUZBY	\N	\N
1107932	3784	1997-09-30	VYDAJ	VYBER	15	21985	SLUZBY	\N	\N
1107933	3784	1997-10-31	VYDAJ	VYBER	15	20141	SLUZBY	\N	\N
1107934	3784	1997-11-30	VYDAJ	VYBER	15	19282	SLUZBY	\N	\N
1107935	3784	1997-12-31	VYDAJ	VYBER	15	20334	SLUZBY	\N	\N
1107936	3784	1998-01-31	VYDAJ	VYBER	15	13564	SLUZBY	\N	\N
1107937	3784	1998-02-28	VYDAJ	VYBER	15	20798	SLUZBY	\N	\N
1107938	3784	1998-03-31	VYDAJ	VYBER	15	22448	SLUZBY	\N	\N
1107939	3784	1998-04-30	VYDAJ	VYBER	15	22701	SLUZBY	\N	\N
1107940	3784	1998-05-31	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
1107941	3784	1998-06-30	VYDAJ	VYBER	15	18535	SLUZBY	\N	\N
1107942	3784	1998-07-31	VYDAJ	VYBER	15	24087	SLUZBY	\N	\N
1107943	3784	1998-08-31	VYDAJ	VYBER	15	35381	SLUZBY	\N	\N
1107944	3784	1998-09-30	VYDAJ	VYBER	15	42207	SLUZBY	\N	\N
1107945	3784	1998-10-31	VYDAJ	VYBER	15	42842	SLUZBY	\N	\N
1107946	3784	1998-11-30	VYDAJ	VYBER	15	40069	SLUZBY	\N	\N
1107947	3784	1996-02-21	PRIJEM	VKLAD	8300	16115	\N	\N	\N
1107948	3784	1996-03-22	VYDAJ	VYBER	2600	20951	\N	\N	\N
1107949	3784	1996-04-21	VYDAJ	VYBER	200	28240	\N	\N	\N
1107950	3784	1996-05-21	VYDAJ	VYBER	7100	28652	\N	\N	\N
1107951	3784	1996-06-20	VYDAJ	VYBER	9100	27432	\N	\N	\N
1107952	3784	1996-07-20	VYDAJ	VYBER	4800	16708	\N	\N	\N
1107953	3784	1996-08-19	VYDAJ	VYBER	200	15555	\N	\N	\N
1107954	3784	1996-09-18	PRIJEM	VKLAD	2600	17380	\N	\N	\N
1107955	3784	1996-10-18	PRIJEM	VKLAD	3000	22909	\N	\N	\N
1107956	3784	1996-11-17	PRIJEM	VKLAD	1200	26654	\N	\N	\N
1107957	3784	1996-12-17	VYDAJ	VYBER	1200	30925	\N	\N	\N
1107958	3784	1997-01-16	PRIJEM	VKLAD	4700	27311	\N	\N	\N
1107959	3784	1997-02-15	PRIJEM	VKLAD	700	24367	\N	\N	\N
1107960	3784	1997-03-17	VYDAJ	VYBER	600	26323	\N	\N	\N
1107961	3784	1997-04-16	PRIJEM	VKLAD	1800	30690	\N	\N	\N
1107962	3784	1997-05-16	VYDAJ	VYBER	1000	32271	\N	\N	\N
1107963	3784	1997-06-15	VYDAJ	VYBER	5500	33070	\N	\N	\N
1107964	3784	1997-07-15	VYDAJ	VYBER	4400	28870	\N	\N	\N
1107965	3784	1997-08-14	VYDAJ	VYBER	3300	24854	\N	\N	\N
1107966	3784	1997-09-13	PRIJEM	VKLAD	700	25271	\N	\N	\N
1107967	3784	1997-10-13	PRIJEM	VKLAD	300	28117	\N	\N	\N
1107968	3784	1997-11-12	VYDAJ	VYBER	3400	22573	\N	\N	\N
1107969	3784	1997-12-12	VYDAJ	VYBER	3500	25321	\N	\N	\N
1107970	3784	1998-01-11	PRIJEM	VKLAD	2500	25166	\N	\N	\N
1107971	3784	1998-02-10	PRIJEM	VKLAD	5600	17581	\N	\N	\N
1107972	3784	1998-03-12	VYDAJ	VYBER	900	25730	\N	\N	\N
1107973	3784	1998-04-11	VYDAJ	VYBER	2300	25980	\N	\N	\N
1107974	3784	1998-05-11	VYDAJ	VYBER	1600	26933	\N	\N	\N
1107975	3784	1998-06-10	VYDAJ	VYBER	500	32696	\N	\N	\N
1107976	3784	1998-07-10	PRIJEM	VKLAD	3000	19952	\N	\N	\N
1107977	3784	1998-08-09	PRIJEM	VKLAD	9500	32004	\N	\N	\N
1107978	3784	1998-09-08	PRIJEM	VKLAD	4200	39581	\N	\N	\N
1107979	3784	1998-10-08	VYDAJ	VYBER	2000	38624	\N	\N	\N
1107980	3784	1998-11-07	VYDAJ	VYBER	5400	37442	\N	\N	\N
1107981	3784	1998-12-07	VYDAJ	VYBER	5600	34469	\N	\N	\N
1108017	3785	1993-03-24	PRIJEM	VKLAD	200	200	\N	\N	\N
1108021	3785	1993-04-10	PRIJEM	VKLAD	23842	24042	\N	\N	\N
1108022	3785	1993-05-10	PRIJEM	VKLAD	23842	49412	\N	\N	\N
1108023	3785	1993-06-10	PRIJEM	VKLAD	35763	72796	\N	\N	\N
1108024	3785	1993-07-10	PRIJEM	VKLAD	23842	72306	\N	\N	\N
1108025	3785	1993-08-10	PRIJEM	VKLAD	23842	71348	\N	\N	\N
1108026	3785	1993-09-10	PRIJEM	VKLAD	23842	63721	\N	\N	\N
1108027	3785	1993-10-10	PRIJEM	VKLAD	23842	64946	\N	\N	\N
1108028	3785	1993-11-10	PRIJEM	VKLAD	23842	66160	\N	\N	\N
1108029	3785	1993-12-10	PRIJEM	VKLAD	35763	79399	\N	\N	\N
1108030	3785	1994-01-10	PRIJEM	VKLAD	23842	67859	\N	\N	\N
1108031	3785	1994-02-10	PRIJEM	VKLAD	23842	58360	\N	\N	\N
1108032	3785	1994-03-10	PRIJEM	VKLAD	23842	61645	\N	\N	\N
1108033	3785	1994-04-10	PRIJEM	VKLAD	23842	66450	\N	\N	\N
1108034	3785	1994-05-10	PRIJEM	VKLAD	23842	66966	\N	\N	\N
1108035	3785	1994-06-10	PRIJEM	VKLAD	35763	80907	\N	\N	\N
1108036	3785	1994-07-10	PRIJEM	VKLAD	23842	54993	\N	\N	\N
1108037	3785	1994-08-10	PRIJEM	VKLAD	23842	62033	\N	\N	\N
1108038	3785	1994-09-10	PRIJEM	VKLAD	23842	67046	\N	\N	\N
1108039	3785	1994-10-10	PRIJEM	VKLAD	23842	70232	\N	\N	\N
1108040	3785	1994-11-10	PRIJEM	VKLAD	23842	74063	\N	\N	\N
1108041	3785	1994-12-10	PRIJEM	VKLAD	35763	84516	\N	\N	\N
1108042	3785	1995-01-10	PRIJEM	VKLAD	23842	77529	\N	\N	\N
1108043	3785	1995-02-10	PRIJEM	VKLAD	23842	52548	\N	\N	\N
1108044	3785	1995-03-10	PRIJEM	VKLAD	23842	62064	\N	\N	\N
1108045	3785	1995-04-10	PRIJEM	VKLAD	23842	70470	\N	\N	\N
1108046	3785	1995-05-10	PRIJEM	VKLAD	23842	75100	\N	\N	\N
1108047	3785	1995-06-10	PRIJEM	VKLAD	35763	91801	\N	\N	\N
1108048	3785	1995-07-10	PRIJEM	VKLAD	23842	59366	\N	\N	\N
1108049	3785	1995-08-10	PRIJEM	VKLAD	23842	70368	\N	\N	\N
1108050	3785	1995-09-10	PRIJEM	VKLAD	23842	76307	\N	\N	\N
1108051	3785	1995-10-10	PRIJEM	VKLAD	23842	79467	\N	\N	\N
1108052	3785	1995-11-10	PRIJEM	VKLAD	23842	80078	\N	\N	\N
1108053	3785	1995-12-10	PRIJEM	VKLAD	35763	99210	\N	\N	\N
1108054	3785	1996-01-10	PRIJEM	VKLAD	23842	94898	\N	\N	\N
1108055	3785	1996-02-10	PRIJEM	VKLAD	23842	90350	\N	\N	\N
1108056	3785	1996-03-10	PRIJEM	VKLAD	23842	98209	\N	\N	\N
1108057	3785	1996-04-10	PRIJEM	VKLAD	23842	104708	\N	\N	\N
1108058	3785	1996-05-10	PRIJEM	VKLAD	23842	105135	\N	\N	\N
1108059	3785	1996-06-10	PRIJEM	VKLAD	35763	120693	\N	\N	\N
1108060	3785	1996-07-10	PRIJEM	VKLAD	23842	75750	\N	\N	\N
1108061	3785	1996-08-10	PRIJEM	VKLAD	23842	88927	\N	\N	\N
1108062	3785	1996-09-10	PRIJEM	VKLAD	23842	99280	\N	\N	\N
1108063	3785	1996-10-10	PRIJEM	VKLAD	23842	104840	\N	\N	\N
1108064	3785	1996-11-10	PRIJEM	VKLAD	23842	108958	\N	\N	\N
1108065	3785	1996-12-10	PRIJEM	VKLAD	35763	119823	\N	\N	\N
1108066	3785	1997-01-10	PRIJEM	VKLAD	23842	92718	\N	\N	\N
1108067	3785	1997-02-10	PRIJEM	VKLAD	23842	92051	\N	\N	\N
1108068	3785	1997-03-10	PRIJEM	VKLAD	23842	105897	\N	\N	\N
1108069	3785	1997-04-10	PRIJEM	VKLAD	23842	112308	\N	\N	\N
1108070	3785	1997-05-10	PRIJEM	VKLAD	23842	116661	\N	\N	\N
1108071	3785	1997-06-10	PRIJEM	VKLAD	35763	113489	\N	\N	\N
1108072	3785	1997-07-10	PRIJEM	VKLAD	23842	111137	\N	\N	\N
1108073	3785	1997-08-10	PRIJEM	VKLAD	23842	117079	\N	\N	\N
1108074	3785	1997-09-10	PRIJEM	VKLAD	23842	98735	\N	\N	\N
1108075	3785	1997-10-10	PRIJEM	VKLAD	23842	111810	\N	\N	\N
1108076	3785	1997-11-10	PRIJEM	VKLAD	23842	118429	\N	\N	\N
1108077	3785	1997-12-10	PRIJEM	VKLAD	35763	135175	\N	\N	\N
1108078	3785	1998-01-10	PRIJEM	VKLAD	23842	117404	\N	\N	\N
1108079	3785	1998-02-10	PRIJEM	VKLAD	23842	117918	\N	\N	\N
1108080	3785	1998-03-10	PRIJEM	VKLAD	23842	132669	\N	\N	\N
1108081	3785	1998-04-10	PRIJEM	VKLAD	23842	129853	\N	\N	\N
1108082	3785	1998-05-10	PRIJEM	VKLAD	23842	127088	\N	\N	\N
1108083	3785	1998-06-10	PRIJEM	VKLAD	35763	146168	\N	\N	\N
1108084	3785	1998-07-10	PRIJEM	VKLAD	23842	110300	\N	\N	\N
1108085	3785	1998-08-10	PRIJEM	VKLAD	23842	133702	\N	\N	\N
1108086	3785	1998-09-10	PRIJEM	VKLAD	23842	128746	\N	\N	\N
1108087	3785	1998-10-10	PRIJEM	VKLAD	23842	112823	\N	\N	\N
1108088	3785	1998-11-10	PRIJEM	VKLAD	23842	133977	\N	\N	\N
1108089	3785	1998-12-10	PRIJEM	VKLAD	35763	132638	\N	\N	\N
1108097	3785	1993-08-13	VYDAJ	PREVOD NA UCET	6502	64846	SIPO	UV	21385729
1108098	3785	1993-09-13	VYDAJ	PREVOD NA UCET	6502	57219	SIPO	UV	21385729
1108099	3785	1993-10-13	VYDAJ	PREVOD NA UCET	6502	58444	SIPO	UV	21385729
1108100	3785	1993-11-13	VYDAJ	PREVOD NA UCET	6502	59658	SIPO	UV	21385729
1108101	3785	1993-12-13	VYDAJ	PREVOD NA UCET	6502	72897	SIPO	UV	21385729
1108102	3785	1994-01-13	VYDAJ	PREVOD NA UCET	6502	60637	SIPO	UV	21385729
1108103	3785	1994-02-13	VYDAJ	PREVOD NA UCET	6502	51858	SIPO	UV	21385729
1108104	3785	1994-03-13	VYDAJ	PREVOD NA UCET	6502	55143	SIPO	UV	21385729
1108105	3785	1994-04-13	VYDAJ	PREVOD NA UCET	6502	59948	SIPO	UV	21385729
1108106	3785	1994-05-13	VYDAJ	PREVOD NA UCET	6502	60464	SIPO	UV	21385729
1108107	3785	1994-06-13	VYDAJ	PREVOD NA UCET	6502	74405	SIPO	UV	21385729
1108108	3785	1994-07-13	VYDAJ	PREVOD NA UCET	6502	48491	SIPO	UV	21385729
1108109	3785	1994-08-13	VYDAJ	PREVOD NA UCET	6502	55531	SIPO	UV	21385729
1108110	3785	1994-09-13	VYDAJ	PREVOD NA UCET	6502	59704	SIPO	UV	21385729
1108111	3785	1994-10-13	VYDAJ	PREVOD NA UCET	6502	63730	SIPO	UV	21385729
1108112	3785	1994-11-13	VYDAJ	PREVOD NA UCET	6502	67561	SIPO	UV	21385729
1108113	3785	1994-12-13	VYDAJ	PREVOD NA UCET	6502	78014	SIPO	UV	21385729
1108114	3785	1995-01-13	VYDAJ	PREVOD NA UCET	6502	53187	SIPO	UV	21385729
1108115	3785	1995-02-13	VYDAJ	PREVOD NA UCET	6502	38086	SIPO	UV	21385729
1108116	3785	1995-03-13	VYDAJ	PREVOD NA UCET	6502	55562	SIPO	UV	21385729
1108117	3785	1995-04-13	VYDAJ	PREVOD NA UCET	6502	51068	SIPO	UV	21385729
1108118	3785	1995-05-13	VYDAJ	PREVOD NA UCET	6502	68598	SIPO	UV	21385729
1108119	3785	1995-06-13	VYDAJ	PREVOD NA UCET	6502	60899	SIPO	UV	21385729
1108120	3785	1995-07-13	VYDAJ	PREVOD NA UCET	6502	46364	SIPO	UV	21385729
1108121	3785	1995-08-13	VYDAJ	PREVOD NA UCET	6502	54066	SIPO	UV	21385729
1108122	3785	1995-09-13	VYDAJ	PREVOD NA UCET	6502	57805	SIPO	UV	21385729
1108123	3785	1995-10-13	VYDAJ	PREVOD NA UCET	6502	60065	SIPO	UV	21385729
1108124	3785	1995-11-13	VYDAJ	PREVOD NA UCET	6502	73576	SIPO	UV	21385729
1108125	3785	1995-12-13	VYDAJ	PREVOD NA UCET	6502	92708	SIPO	UV	21385729
1108126	3785	1996-01-13	VYDAJ	PREVOD NA UCET	6502	88396	SIPO	UV	21385729
1108127	3785	1996-02-13	VYDAJ	PREVOD NA UCET	6502	83848	SIPO	UV	21385729
1108128	3785	1996-03-13	VYDAJ	PREVOD NA UCET	6502	91707	SIPO	UV	21385729
1108129	3785	1996-04-13	VYDAJ	PREVOD NA UCET	6502	98206	SIPO	UV	21385729
1108130	3785	1996-05-13	VYDAJ	PREVOD NA UCET	6502	98633	SIPO	UV	21385729
1108131	3785	1996-06-13	VYDAJ	PREVOD NA UCET	6502	43631	SIPO	UV	21385729
1108132	3785	1996-07-13	VYDAJ	PREVOD NA UCET	6502	69248	SIPO	UV	21385729
1108133	3785	1996-08-13	VYDAJ	PREVOD NA UCET	6502	82425	SIPO	UV	21385729
1108134	3785	1996-09-13	VYDAJ	PREVOD NA UCET	6502	92778	SIPO	UV	21385729
1108135	3785	1996-10-13	VYDAJ	PREVOD NA UCET	6502	98338	SIPO	UV	21385729
1108136	3785	1996-11-13	VYDAJ	PREVOD NA UCET	6502	102456	SIPO	UV	21385729
1108137	3785	1996-12-13	VYDAJ	PREVOD NA UCET	6502	82921	SIPO	UV	21385729
1108138	3785	1997-01-13	VYDAJ	PREVOD NA UCET	6502	86216	SIPO	UV	21385729
1108139	3785	1997-02-13	VYDAJ	PREVOD NA UCET	6502	85549	SIPO	UV	21385729
1108140	3785	1997-03-13	VYDAJ	PREVOD NA UCET	6502	95795	SIPO	UV	21385729
1108141	3785	1997-04-13	VYDAJ	PREVOD NA UCET	6502	105806	SIPO	UV	21385729
1108142	3785	1997-05-13	VYDAJ	PREVOD NA UCET	6502	80779	SIPO	UV	21385729
1108143	3785	1997-06-13	VYDAJ	PREVOD NA UCET	6502	91147	SIPO	UV	21385729
1108144	3785	1997-07-13	VYDAJ	PREVOD NA UCET	6502	104635	SIPO	UV	21385729
1108145	3785	1997-08-13	VYDAJ	PREVOD NA UCET	6502	68277	SIPO	UV	21385729
1108146	3785	1997-09-13	VYDAJ	PREVOD NA UCET	6502	92233	SIPO	UV	21385729
1108147	3785	1997-10-13	VYDAJ	PREVOD NA UCET	6502	105308	SIPO	UV	21385729
1108148	3785	1997-11-13	VYDAJ	PREVOD NA UCET	6502	111927	SIPO	UV	21385729
1108149	3785	1997-12-13	VYDAJ	PREVOD NA UCET	6502	98973	SIPO	UV	21385729
1108150	3785	1998-01-13	VYDAJ	PREVOD NA UCET	6502	107542	SIPO	UV	21385729
1108151	3785	1998-02-13	VYDAJ	PREVOD NA UCET	6502	111416	SIPO	UV	21385729
1108152	3785	1998-03-13	VYDAJ	PREVOD NA UCET	6502	110667	SIPO	UV	21385729
1108153	3785	1998-04-13	VYDAJ	PREVOD NA UCET	6502	94951	SIPO	UV	21385729
1108154	3785	1998-05-13	VYDAJ	PREVOD NA UCET	6502	101586	SIPO	UV	21385729
1108155	3785	1998-06-13	VYDAJ	PREVOD NA UCET	6502	64866	SIPO	UV	21385729
1108156	3785	1998-07-13	VYDAJ	PREVOD NA UCET	6502	103798	SIPO	UV	21385729
1108157	3785	1998-08-13	VYDAJ	PREVOD NA UCET	6502	86700	SIPO	UV	21385729
1108158	3785	1998-09-13	VYDAJ	PREVOD NA UCET	6502	58144	SIPO	UV	21385729
1108159	3785	1998-10-13	VYDAJ	PREVOD NA UCET	6502	106321	SIPO	UV	21385729
1108160	3785	1998-11-13	VYDAJ	PREVOD NA UCET	6502	63675	SIPO	UV	21385729
1108161	3785	1998-12-13	VYDAJ	PREVOD NA UCET	6502	67536	SIPO	UV	21385729
1108163	3785	1994-06-17	VYDAJ	VYBER	32000	34405	\N	\N	\N
1108164	3785	1995-06-29	VYDAJ	VYBER	25600	35299	\N	\N	\N
1108165	3785	1996-06-11	VYDAJ	VYBER	30560	50133	\N	\N	\N
1108166	3785	1997-06-12	VYDAJ	VYBER	15840	97649	\N	\N	\N
1108167	3785	1998-06-13	VYDAJ	VYBER	19200	71368	\N	\N	\N
1108169	3785	1994-01-18	VYDAJ	VYBER	6240	38897	\N	\N	\N
1108170	3785	1995-01-28	VYDAJ	VYBER	15200	29827	\N	\N	\N
1108171	3785	1996-01-20	VYDAJ	VYBER	7360	78276	\N	\N	\N
1108172	3785	1997-01-13	VYDAJ	VYBER	15040	71176	\N	\N	\N
1108173	3785	1998-01-20	VYDAJ	VYBER	11520	93142	\N	\N	\N
1108174	3785	1993-12-24	VYDAJ	VYBER	1280	48017	\N	\N	\N
1108175	3785	1994-12-27	VYDAJ	VYBER	800	56714	\N	\N	\N
1108176	3785	1995-12-08	VYDAJ	VYBER	800	73047	\N	\N	\N
1108177	3785	1996-12-16	VYDAJ	VYBER	2560	80361	\N	\N	\N
1108178	3785	1997-12-08	VYDAJ	VYBER	3040	99412	\N	\N	\N
1108179	3785	1998-12-20	VYDAJ	VYBER	3200	64336	\N	\N	\N
1108186	3785	1994-01-08	VYDAJ	VYBER	1200	44017	\N	\N	\N
1108187	3785	1994-01-13	VYDAJ	VYBER	720	67139	\N	\N	\N
1108188	3785	1994-01-07	VYDAJ	VYBER	2400	45217	\N	\N	\N
1108189	3785	1994-01-02	VYDAJ	VYBER	600	47617	\N	\N	\N
1108190	3785	1994-01-18	VYDAJ	VYBER	1440	37457	\N	\N	\N
1108191	3785	1994-01-29	VYDAJ	VYBER	3120	34337	\N	\N	\N
1108192	3785	1995-01-11	VYDAJ	VYBER	2760	74769	\N	\N	\N
1108193	3785	1995-01-21	VYDAJ	VYBER	2520	45027	\N	\N	\N
1108194	3785	1995-01-21	VYDAJ	VYBER	2400	47547	\N	\N	\N
1108195	3785	1995-01-14	VYDAJ	VYBER	3240	49947	\N	\N	\N
1108196	3785	1995-01-03	VYDAJ	VYBER	3240	53687	\N	\N	\N
1108197	3785	1995-01-12	VYDAJ	VYBER	1080	73689	\N	\N	\N
1108198	3785	1996-01-23	VYDAJ	VYBER	3480	74796	\N	\N	\N
1108199	3785	1996-01-26	VYDAJ	VYBER	600	74196	\N	\N	\N
1108200	3785	1996-01-07	VYDAJ	VYBER	720	92336	\N	\N	\N
1108201	3785	1996-01-15	VYDAJ	VYBER	2760	85636	\N	\N	\N
1108202	3785	1996-01-09	VYDAJ	VYBER	3480	71056	\N	\N	\N
1108203	3785	1996-01-29	VYDAJ	VYBER	840	73356	\N	\N	\N
1108204	3785	1997-01-04	VYDAJ	VYBER	1080	72356	\N	\N	\N
1108205	3785	1997-01-14	VYDAJ	VYBER	2400	68776	\N	\N	\N
1108206	3785	1997-01-21	VYDAJ	VYBER	2760	62536	\N	\N	\N
1108207	3785	1997-01-01	VYDAJ	VYBER	2280	78436	\N	\N	\N
1108208	3785	1997-01-09	VYDAJ	VYBER	3480	68876	\N	\N	\N
1108209	3785	1997-01-14	VYDAJ	VYBER	3480	65296	\N	\N	\N
1108210	3785	1998-01-19	VYDAJ	VYBER	840	104662	\N	\N	\N
1108211	3785	1998-01-09	VYDAJ	VYBER	3120	93562	\N	\N	\N
1108212	3785	1998-01-23	VYDAJ	VYBER	1320	91822	\N	\N	\N
1108213	3785	1998-01-28	VYDAJ	VYBER	840	93682	\N	\N	\N
1108214	3785	1998-01-19	VYDAJ	VYBER	2040	105502	\N	\N	\N
1108215	3785	1998-01-13	VYDAJ	VYBER	3360	114044	\N	\N	\N
1108217	3785	1993-09-08	VYDAJ	VYBER	3480	39879	\N	\N	\N
1108218	3785	1993-08-17	VYDAJ	VYBER	2040	62806	\N	\N	\N
1108219	3785	1993-08-19	VYDAJ	VYBER	840	61966	\N	\N	\N
1108222	3785	1994-08-05	VYDAJ	VYBER	1440	38191	\N	\N	\N
1108223	3785	1994-09-10	VYDAJ	VYBER	840	66206	\N	\N	\N
1108224	3785	1994-06-30	VYDAJ	VYBER	3480	31165	\N	\N	\N
1108225	3785	1995-10-31	VYDAJ	VYBER	4560	55736	\N	\N	\N
1108226	3785	1995-08-26	VYDAJ	VYBER	1800	52266	\N	\N	\N
1108227	3785	1995-09-30	VYDAJ	VYBER	2400	55625	\N	\N	\N
1108228	3785	1995-02-08	VYDAJ	VYBER	1320	28706	\N	\N	\N
1108229	3785	1995-02-10	VYDAJ	VYBER	5160	47388	\N	\N	\N
1108230	3785	1996-06-16	VYDAJ	VYBER	4560	39071	\N	\N	\N
1108231	3785	1996-02-02	VYDAJ	VYBER	1080	72608	\N	\N	\N
1108232	3785	1996-11-27	VYDAJ	VYBER	5400	97056	\N	\N	\N
1108233	3785	1996-10-01	VYDAJ	VYBER	840	92298	\N	\N	\N
1108234	3785	1997-03-10	VYDAJ	VYBER	3600	102297	\N	\N	\N
1108235	3785	1997-05-12	VYDAJ	VYBER	3480	87281	\N	\N	\N
1108236	3785	1997-10-08	VYDAJ	VYBER	1800	87968	\N	\N	\N
1108237	3785	1997-05-15	VYDAJ	VYBER	5400	75379	\N	\N	\N
1108238	3785	1997-11-01	VYDAJ	VYBER	1320	94587	\N	\N	\N
1108239	3785	1997-01-23	VYDAJ	VYBER	3000	59536	\N	\N	\N
1108240	3785	1998-07-09	VYDAJ	VYBER	3000	86458	\N	\N	\N
1108241	3785	1998-12-07	VYDAJ	VYBER	840	96875	\N	\N	\N
1108242	3785	1998-10-20	VYDAJ	VYBER	4080	102241	\N	\N	\N
1108243	3785	1998-06-15	VYDAJ	VYBER	3960	60906	\N	\N	\N
1108244	3785	1998-08-07	VYDAJ	VYBER	2040	109860	\N	\N	\N
1108245	3785	1998-08-24	VYDAJ	VYBER	1800	84900	\N	\N	\N
1108254	3785	1993-08-31	VYDAJ	VYBER	15	43359	SLUZBY	\N	\N
1108255	3785	1993-09-30	VYDAJ	VYBER	15	41104	SLUZBY	\N	\N
1108256	3785	1993-10-31	VYDAJ	VYBER	15	42318	SLUZBY	\N	\N
1108257	3785	1993-11-30	VYDAJ	VYBER	15	43636	SLUZBY	\N	\N
1108258	3785	1993-12-31	VYDAJ	VYBER	15	48217	SLUZBY	\N	\N
1108259	3785	1994-01-31	VYDAJ	VYBER	15	34518	SLUZBY	\N	\N
1108260	3785	1994-02-28	VYDAJ	VYBER	15	37803	SLUZBY	\N	\N
1108261	3785	1994-03-31	VYDAJ	VYBER	15	42608	SLUZBY	\N	\N
1108262	3785	1994-04-30	VYDAJ	VYBER	15	43124	SLUZBY	\N	\N
1108263	3785	1994-05-31	VYDAJ	VYBER	15	45144	SLUZBY	\N	\N
1108264	3785	1994-06-30	VYDAJ	VYBER	15	31151	SLUZBY	\N	\N
1108265	3785	1994-07-31	VYDAJ	VYBER	15	39631	SLUZBY	\N	\N
1108266	3785	1994-08-31	VYDAJ	VYBER	15	43204	SLUZBY	\N	\N
1108267	3785	1994-09-30	VYDAJ	VYBER	15	46390	SLUZBY	\N	\N
1108268	3785	1994-10-31	VYDAJ	VYBER	15	50221	SLUZBY	\N	\N
1108269	3785	1994-11-30	VYDAJ	VYBER	15	48753	SLUZBY	\N	\N
1108270	3785	1994-12-31	VYDAJ	VYBER	15	56927	SLUZBY	\N	\N
1108271	3785	1995-01-31	VYDAJ	VYBER	15	30026	SLUZBY	\N	\N
1108272	3785	1995-02-28	VYDAJ	VYBER	15	38222	SLUZBY	\N	\N
1108273	3785	1995-03-31	VYDAJ	VYBER	15	46628	SLUZBY	\N	\N
1108274	3785	1995-04-30	VYDAJ	VYBER	15	51258	SLUZBY	\N	\N
1108275	3785	1995-05-31	VYDAJ	VYBER	15	56038	SLUZBY	\N	\N
1108276	3785	1995-06-30	VYDAJ	VYBER	15	35524	SLUZBY	\N	\N
1108277	3785	1995-07-31	VYDAJ	VYBER	15	46526	SLUZBY	\N	\N
1108278	3785	1995-08-31	VYDAJ	VYBER	15	52465	SLUZBY	\N	\N
1108279	3785	1995-09-30	VYDAJ	VYBER	15	58025	SLUZBY	\N	\N
1108280	3785	1995-10-31	VYDAJ	VYBER	15	60296	SLUZBY	\N	\N
1108281	3785	1995-11-30	VYDAJ	VYBER	15	73847	SLUZBY	\N	\N
1108282	3785	1995-12-31	VYDAJ	VYBER	15	93056	SLUZBY	\N	\N
1108283	3785	1996-01-31	VYDAJ	VYBER	15	73688	SLUZBY	\N	\N
1108284	3785	1996-02-29	VYDAJ	VYBER	15	84167	SLUZBY	\N	\N
1108285	3785	1996-03-31	VYDAJ	VYBER	15	92066	SLUZBY	\N	\N
1108286	3785	1996-04-30	VYDAJ	VYBER	15	98593	SLUZBY	\N	\N
1108287	3785	1996-05-31	VYDAJ	VYBER	15	99030	SLUZBY	\N	\N
1108288	3785	1996-06-30	VYDAJ	VYBER	15	39308	SLUZBY	\N	\N
1108289	3785	1996-07-31	VYDAJ	VYBER	15	69485	SLUZBY	\N	\N
1108290	3785	1996-08-31	VYDAJ	VYBER	15	82738	SLUZBY	\N	\N
1108291	3785	1996-09-30	VYDAJ	VYBER	15	93138	SLUZBY	\N	\N
1108292	3785	1996-10-31	VYDAJ	VYBER	15	98716	SLUZBY	\N	\N
1108293	3785	1996-11-30	VYDAJ	VYBER	15	97460	SLUZBY	\N	\N
1108294	3785	1996-12-31	VYDAJ	VYBER	15	80716	SLUZBY	\N	\N
1108295	3785	1997-01-31	VYDAJ	VYBER	15	59809	SLUZBY	\N	\N
1108296	3785	1997-02-28	VYDAJ	VYBER	15	85855	SLUZBY	\N	\N
1108297	3785	1997-03-31	VYDAJ	VYBER	15	96166	SLUZBY	\N	\N
1108298	3785	1997-04-30	VYDAJ	VYBER	15	106219	SLUZBY	\N	\N
1108299	3785	1997-05-31	VYDAJ	VYBER	15	75726	SLUZBY	\N	\N
1108300	3785	1997-06-30	VYDAJ	VYBER	15	91495	SLUZBY	\N	\N
1108301	3785	1997-07-31	VYDAJ	VYBER	15	93237	SLUZBY	\N	\N
1108302	3785	1997-08-31	VYDAJ	VYBER	15	74893	SLUZBY	\N	\N
1108303	3785	1997-09-30	VYDAJ	VYBER	15	89768	SLUZBY	\N	\N
1108304	3785	1997-10-31	VYDAJ	VYBER	15	95907	SLUZBY	\N	\N
1108305	3785	1997-11-30	VYDAJ	VYBER	15	102452	SLUZBY	\N	\N
1108306	3785	1997-12-31	VYDAJ	VYBER	15	96682	SLUZBY	\N	\N
1108307	3785	1998-01-31	VYDAJ	VYBER	15	94076	SLUZBY	\N	\N
1108308	3785	1998-02-28	VYDAJ	VYBER	15	108827	SLUZBY	\N	\N
1108309	3785	1998-03-31	VYDAJ	VYBER	15	106011	SLUZBY	\N	\N
1108310	3785	1998-04-30	VYDAJ	VYBER	15	103246	SLUZBY	\N	\N
1108311	3785	1998-05-31	VYDAJ	VYBER	15	110405	SLUZBY	\N	\N
1108312	3785	1998-06-30	VYDAJ	VYBER	15	89458	SLUZBY	\N	\N
1108313	3785	1998-07-31	VYDAJ	VYBER	15	111900	SLUZBY	\N	\N
1108314	3785	1998-08-31	VYDAJ	VYBER	15	104904	SLUZBY	\N	\N
1108315	3785	1998-09-30	VYDAJ	VYBER	15	88981	SLUZBY	\N	\N
1108316	3785	1998-10-31	VYDAJ	VYBER	15	110135	SLUZBY	\N	\N
1108317	3785	1998-11-30	VYDAJ	VYBER	15	97715	SLUZBY	\N	\N
1108318	3785	1993-04-23	PRIJEM	VKLAD	1500	25542	\N	\N	\N
1108319	3785	1993-05-23	VYDAJ	VYBER	12500	36912	\N	\N	\N
1108320	3785	1993-06-22	VYDAJ	VYBER	24500	48296	\N	\N	\N
1108321	3785	1993-07-22	VYDAJ	VYBER	25000	47306	\N	\N	\N
1108322	3785	1993-08-21	VYDAJ	VYBER	18800	43166	\N	\N	\N
1108323	3785	1993-09-20	VYDAJ	VYBER	16300	40919	\N	\N	\N
1108324	3785	1993-10-20	VYDAJ	VYBER	16300	42144	\N	\N	\N
1108325	3785	1993-11-19	VYDAJ	VYBER	16200	43458	\N	\N	\N
1108326	3785	1993-12-19	VYDAJ	VYBER	23600	49297	\N	\N	\N
1108327	3785	1994-01-18	VYDAJ	VYBER	15500	45137	\N	\N	\N
1108328	3785	1994-02-17	VYDAJ	VYBER	14200	37658	\N	\N	\N
1108329	3785	1994-03-19	VYDAJ	VYBER	12700	42443	\N	\N	\N
1108330	3785	1994-04-18	VYDAJ	VYBER	17000	42948	\N	\N	\N
1108331	3785	1994-05-18	VYDAJ	VYBER	15500	44964	\N	\N	\N
1108332	3785	1994-06-17	VYDAJ	VYBER	8000	66405	\N	\N	\N
1108333	3785	1994-07-17	VYDAJ	VYBER	9000	39491	\N	\N	\N
1108334	3785	1994-08-16	VYDAJ	VYBER	12500	43031	\N	\N	\N
1108335	3785	1994-09-15	VYDAJ	VYBER	13500	46204	\N	\N	\N
1108336	3785	1994-10-15	VYDAJ	VYBER	13700	50030	\N	\N	\N
1108337	3785	1994-11-14	VYDAJ	VYBER	19000	48561	\N	\N	\N
1108338	3785	1994-12-14	VYDAJ	VYBER	20500	57514	\N	\N	\N
1108339	3785	1995-01-13	VYDAJ	VYBER	14000	59689	\N	\N	\N
1108340	3785	1995-02-12	VYDAJ	VYBER	2800	44588	\N	\N	\N
1108341	3785	1995-03-14	VYDAJ	VYBER	9100	46462	\N	\N	\N
1108342	3785	1995-04-13	VYDAJ	VYBER	12900	57570	\N	\N	\N
1108343	3785	1995-05-13	VYDAJ	VYBER	12800	55798	\N	\N	\N
1108344	3785	1995-06-12	VYDAJ	VYBER	24400	67401	\N	\N	\N
1108345	3785	1995-07-12	VYDAJ	VYBER	6500	52866	\N	\N	\N
1108346	3785	1995-08-11	VYDAJ	VYBER	9800	60568	\N	\N	\N
1108347	3785	1995-09-10	VYDAJ	VYBER	12000	64307	\N	\N	\N
1108348	3785	1995-10-10	VYDAJ	VYBER	12900	66567	\N	\N	\N
1108349	3785	1995-11-09	PRIJEM	VKLAD	500	56236	\N	\N	\N
1108350	3785	1995-12-09	VYDAJ	VYBER	9600	63447	\N	\N	\N
1108351	3785	1996-01-08	VYDAJ	VYBER	17800	74536	\N	\N	\N
1108352	3785	1996-02-07	VYDAJ	VYBER	6100	66508	\N	\N	\N
1108353	3785	1996-03-08	VYDAJ	VYBER	9800	74367	\N	\N	\N
1108354	3785	1996-04-07	VYDAJ	VYBER	11200	80866	\N	\N	\N
1108355	3785	1996-05-07	VYDAJ	VYBER	17300	81293	\N	\N	\N
1108356	3785	1996-06-06	VYDAJ	VYBER	14100	84930	\N	\N	\N
1108357	3785	1996-06-10	VYDAJ	VYBER	40000	80693	\N	\N	\N
1108358	3785	1996-07-06	PRIJEM	VKLAD	12600	51908	\N	\N	\N
1108359	3785	1996-08-05	VYDAJ	VYBER	4400	65085	\N	\N	\N
1108360	3785	1996-09-04	VYDAJ	VYBER	7300	75438	\N	\N	\N
1108361	3785	1996-10-04	VYDAJ	VYBER	11300	80998	\N	\N	\N
1108362	3785	1996-11-03	VYDAJ	VYBER	13600	85116	\N	\N	\N
1108363	3785	1996-12-03	VYDAJ	VYBER	13400	84060	\N	\N	\N
1108364	3785	1996-12-10	VYDAJ	VYBER	30400	89423	\N	\N	\N
1108365	3785	1997-01-02	VYDAJ	VYBER	5000	73436	\N	\N	\N
1108366	3785	1997-02-01	PRIJEM	VKLAD	8400	68209	\N	\N	\N
1108367	3785	1997-03-03	VYDAJ	VYBER	3800	82055	\N	\N	\N
1108368	3785	1997-04-02	VYDAJ	VYBER	7700	88466	\N	\N	\N
1108369	3785	1997-05-02	VYDAJ	VYBER	13400	92819	\N	\N	\N
1108370	3785	1997-05-10	VYDAJ	VYBER	25900	90761	\N	\N	\N
1108371	3785	1997-06-01	PRIJEM	VKLAD	2000	77726	\N	\N	\N
1108372	3785	1997-07-01	VYDAJ	VYBER	4200	87295	\N	\N	\N
1108373	3785	1997-07-31	VYDAJ	VYBER	11800	93252	\N	\N	\N
1108374	3785	1997-08-10	VYDAJ	VYBER	42300	74779	\N	\N	\N
1108375	3785	1997-08-30	PRIJEM	VKLAD	6300	74577	\N	\N	\N
1108376	3785	1997-09-29	VYDAJ	VYBER	2800	89433	\N	\N	\N
1108377	3785	1997-10-29	VYDAJ	VYBER	9800	95508	\N	\N	\N
1108378	3785	1997-11-28	VYDAJ	VYBER	9900	102027	\N	\N	\N
1108379	3785	1997-12-10	VYDAJ	VYBER	29700	105475	\N	\N	\N
1108380	3785	1997-12-28	VYDAJ	VYBER	2700	96273	\N	\N	\N
1108381	3785	1998-01-27	PRIJEM	VKLAD	2700	94522	\N	\N	\N
1108382	3785	1998-02-26	VYDAJ	VYBER	3000	108416	\N	\N	\N
1108383	3785	1998-03-10	VYDAJ	VYBER	15500	117169	\N	\N	\N
1108384	3785	1998-03-28	VYDAJ	VYBER	5100	105567	\N	\N	\N
1108385	3785	1998-04-10	VYDAJ	VYBER	28400	101453	\N	\N	\N
1108386	3785	1998-04-27	PRIJEM	VKLAD	7900	102851	\N	\N	\N
1108387	3785	1998-05-10	VYDAJ	VYBER	19000	108088	\N	\N	\N
1108388	3785	1998-05-27	PRIJEM	VKLAD	8400	109986	\N	\N	\N
1108389	3785	1998-06-10	VYDAJ	VYBER	55600	90568	\N	\N	\N
1108390	3785	1998-06-26	PRIJEM	VKLAD	28200	89106	\N	\N	\N
1108391	3785	1998-07-26	PRIJEM	VKLAD	7700	111498	\N	\N	\N
1108392	3785	1998-08-10	VYDAJ	VYBER	40500	93202	\N	\N	\N
1108393	3785	1998-08-25	PRIJEM	VKLAD	19600	104500	\N	\N	\N
1108394	3785	1998-09-10	VYDAJ	VYBER	64100	64646	\N	\N	\N
1108395	3785	1998-09-24	PRIJEM	VKLAD	30500	88644	\N	\N	\N
1108396	3785	1998-10-24	PRIJEM	VKLAD	7500	109741	\N	\N	\N
1108397	3785	1998-11-10	VYDAJ	VYBER	63800	70177	\N	\N	\N
1108398	3785	1998-11-23	PRIJEM	VKLAD	33700	97375	\N	\N	\N
1108399	3785	1998-12-10	VYDAJ	VYBER	58600	74038	\N	\N	\N
1108469	3786	1993-06-22	PRIJEM	VKLAD	300	300	\N	\N	\N
1108470	3786	1993-09-09	PRIJEM	VKLAD	40592	116036	\N	\N	\N
1108471	3786	1993-12-28	PRIJEM	VKLAD	29626	51697	\N	\N	\N
1108475	3786	1993-07-24	PRIJEM	VKLAD	49767	62767	\N	\N	\N
1108478	3786	1993-09-27	PRIJEM	VKLAD	17595	112401	\N	\N	\N
1108479	3786	1993-09-27	PRIJEM	VKLAD	43170	94806	\N	\N	\N
1108480	3786	1993-10-08	PRIJEM	VKLAD	21459	107782	\N	\N	\N
1108481	3786	1993-12-05	PRIJEM	VKLAD	11609	26071	\N	\N	\N
1108482	3786	1993-10-13	PRIJEM	VKLAD	40393	103875	\N	\N	\N
1108483	3786	1993-10-05	PRIJEM	VKLAD	28842	86323	\N	\N	\N
1108484	3786	1993-09-03	PRIJEM	VKLAD	31948	75444	\N	\N	\N
1108486	3786	1994-03-02	PRIJEM	VKLAD	48812	119032	\N	\N	\N
1108487	3786	1994-06-12	PRIJEM	VKLAD	38823	147975	\N	\N	\N
1108488	3786	1994-12-05	PRIJEM	VKLAD	13403	51067	\N	\N	\N
1108489	3786	1994-05-04	PRIJEM	VKLAD	27428	73054	\N	\N	\N
1108490	3786	1994-01-31	PRIJEM	VKLAD	21432	54266	\N	\N	\N
1108491	3786	1994-11-12	PRIJEM	VKLAD	14989	41438	\N	\N	\N
1108492	3786	1994-02-26	PRIJEM	VKLAD	47140	125092	\N	\N	\N
1108493	3786	1994-06-04	PRIJEM	VKLAD	45290	142752	\N	\N	\N
1108494	3786	1994-04-25	PRIJEM	VKLAD	40201	45533	\N	\N	\N
1108495	3786	1994-02-22	PRIJEM	VKLAD	31025	77952	\N	\N	\N
1108496	3786	1994-05-19	PRIJEM	VKLAD	30490	88341	\N	\N	\N
1108497	3786	1994-01-14	PRIJEM	VKLAD	21690	55176	\N	\N	\N
1108498	3786	1994-02-04	PRIJEM	VKLAD	19096	73527	\N	\N	\N
1108499	3786	1994-05-23	PRIJEM	VKLAD	32724	121065	\N	\N	\N
1108500	3786	1994-08-18	PRIJEM	VKLAD	15592	34398	\N	\N	\N
1108501	3786	1994-05-25	PRIJEM	VKLAD	20898	97163	\N	\N	\N
1108502	3786	1994-05-12	PRIJEM	VKLAD	41547	93251	\N	\N	\N
1108503	3786	1994-01-20	PRIJEM	VKLAD	5958	46334	\N	\N	\N
1108504	3786	1994-11-17	PRIJEM	VKLAD	10292	44730	\N	\N	\N
1108505	3786	1995-05-26	PRIJEM	VKLAD	18339	51101	\N	\N	\N
1108506	3786	1995-11-13	PRIJEM	VKLAD	16601	38762	\N	\N	\N
1108507	3786	1995-11-25	PRIJEM	VKLAD	22935	55697	\N	\N	\N
1108508	3786	1995-10-02	PRIJEM	VKLAD	30296	50654	\N	\N	\N
1108509	3786	1995-12-15	PRIJEM	VKLAD	32224	61463	\N	\N	\N
1108510	3786	1995-02-17	PRIJEM	VKLAD	33147	46052	\N	\N	\N
1108511	3786	1995-04-19	PRIJEM	VKLAD	6131	34936	\N	\N	\N
1108512	3786	1995-09-24	PRIJEM	VKLAD	7598	20237	\N	\N	\N
1108513	3786	1995-08-22	PRIJEM	VKLAD	39800	60371	\N	\N	\N
1108514	3786	1995-02-28	PRIJEM	VKLAD	28075	61581	\N	\N	\N
1108515	3786	1995-07-09	PRIJEM	VKLAD	21174	28612	\N	\N	\N
1108516	3786	1995-05-03	PRIJEM	VKLAD	14182	49262	\N	\N	\N
1108517	3786	1996-09-01	PRIJEM	VKLAD	21373	28753	\N	\N	\N
1108518	3786	1996-02-26	PRIJEM	VKLAD	14413	90440	\N	\N	\N
1108519	3786	1996-10-15	PRIJEM	VKLAD	41558	46090	\N	\N	\N
1108520	3786	1996-05-18	PRIJEM	VKLAD	36484	58168	\N	\N	\N
1108521	3786	1996-01-19	PRIJEM	VKLAD	18916	40044	\N	\N	\N
1108522	3786	1996-12-29	PRIJEM	VKLAD	46131	49041	\N	\N	\N
1108523	3786	1996-01-22	PRIJEM	VKLAD	46517	86561	\N	\N	\N
1108524	3786	1996-02-08	PRIJEM	VKLAD	31588	76027	\N	\N	\N
1108525	3786	1996-04-24	PRIJEM	VKLAD	24111	32524	\N	\N	\N
1108526	3786	1997-08-14	PRIJEM	VKLAD	40692	45623	\N	\N	\N
1108527	3786	1997-12-03	PRIJEM	VKLAD	14376	45414	\N	\N	\N
1108528	3786	1997-12-03	PRIJEM	VKLAD	17305	62719	\N	\N	\N
1108529	3786	1997-10-20	PRIJEM	VKLAD	19160	123130	\N	\N	\N
1108530	3786	1997-03-10	PRIJEM	VKLAD	17758	24011	\N	\N	\N
1108531	3786	1997-04-02	PRIJEM	VKLAD	44792	85960	\N	\N	\N
1108532	3786	1997-10-13	PRIJEM	VKLAD	37440	103970	\N	\N	\N
1108533	3786	1997-09-20	PRIJEM	VKLAD	32892	69655	\N	\N	\N
1108534	3786	1997-12-04	PRIJEM	VKLAD	29067	91786	\N	\N	\N
1108535	3786	1997-04-09	PRIJEM	VKLAD	36045	121820	\N	\N	\N
1108536	3786	1997-04-03	PRIJEM	VKLAD	44015	85775	\N	\N	\N
1108537	3786	1997-10-04	PRIJEM	VKLAD	49748	66530	\N	\N	\N
1108538	3786	1997-08-26	PRIJEM	VKLAD	24893	70516	\N	\N	\N
1108539	3786	1997-04-23	PRIJEM	VKLAD	35618	106538	\N	\N	\N
1108540	3786	1997-05-04	PRIJEM	VKLAD	14377	62607	\N	\N	\N
1108541	3786	1997-01-03	PRIJEM	VKLAD	45843	88530	\N	\N	\N
1108542	3786	1997-03-11	PRIJEM	VKLAD	15280	39291	\N	\N	\N
1108543	3786	1997-11-06	PRIJEM	VKLAD	43885	85787	\N	\N	\N
1108544	3786	1997-04-26	PRIJEM	VKLAD	41887	101525	\N	\N	\N
1108545	3786	1997-12-13	PRIJEM	VKLAD	6433	83644	\N	\N	\N
1108546	3786	1997-11-22	PRIJEM	VKLAD	47533	114983	\N	\N	\N
1108547	3786	1997-01-02	PRIJEM	VKLAD	36609	85687	\N	\N	\N
1108548	3786	1997-03-26	PRIJEM	VKLAD	43425	47387	\N	\N	\N
1108549	3786	1997-12-18	PRIJEM	VKLAD	38416	122060	\N	\N	\N
1108550	3786	1998-08-11	PRIJEM	VKLAD	10342	113532	\N	\N	\N
1108551	3786	1998-01-16	PRIJEM	VKLAD	6210	48515	\N	\N	\N
1108552	3786	1998-08-14	PRIJEM	VKLAD	22420	97669	\N	\N	\N
1108553	3786	1998-07-07	PRIJEM	VKLAD	41457	76937	\N	\N	\N
1108554	3786	1998-06-15	PRIJEM	VKLAD	38554	87326	\N	\N	\N
1108555	3786	1998-03-12	PRIJEM	VKLAD	41836	112436	\N	\N	\N
1108556	3786	1998-12-09	PRIJEM	VKLAD	43573	73697	\N	\N	\N
1108557	3786	1998-02-10	PRIJEM	VKLAD	11449	15608	\N	\N	\N
1108558	3786	1998-01-21	PRIJEM	VKLAD	35010	78125	\N	\N	\N
1108559	3786	1998-09-10	PRIJEM	VKLAD	23697	88791	\N	\N	\N
1108560	3786	1998-03-13	PRIJEM	VKLAD	49110	161546	\N	\N	\N
1108561	3786	1998-02-15	PRIJEM	VKLAD	5425	21033	\N	\N	\N
1108562	3786	1998-09-09	PRIJEM	VKLAD	18102	65094	\N	\N	\N
1108563	3786	1998-01-04	PRIJEM	VKLAD	27310	50105	\N	\N	\N
1108564	3786	1998-07-27	PRIJEM	VKLAD	43710	73808	\N	\N	\N
1108565	3786	1998-04-01	PRIJEM	VKLAD	20506	72435	\N	\N	\N
1108566	3786	1998-07-31	PRIJEM	VKLAD	6924	80732	\N	\N	\N
1108567	3786	1998-03-09	PRIJEM	VKLAD	44526	70600	\N	\N	\N
1108568	3786	1998-06-15	PRIJEM	VKLAD	44008	131334	\N	\N	\N
1108569	3786	1998-12-30	PRIJEM	VKLAD	26392	60453	\N	\N	\N
1108570	3786	1998-05-31	PRIJEM	VKLAD	43773	48786	\N	\N	\N
1108571	3786	1998-05-04	PRIJEM	VKLAD	6020	45834	\N	\N	\N
1108572	3786	1998-12-10	PRIJEM	VKLAD	11089	84786	\N	\N	\N
1108573	3786	1998-03-24	PRIJEM	VKLAD	32862	162208	\N	\N	\N
1108574	3786	1998-10-25	PRIJEM	VKLAD	36651	56220	\N	\N	\N
1108575	3786	1998-03-05	PRIJEM	VKLAD	28796	26074	\N	\N	\N
1108576	3786	1998-05-03	PRIJEM	VKLAD	7993	39814	\N	\N	\N
1108577	3786	1998-08-09	PRIJEM	VKLAD	22270	103190	\N	\N	\N
1108578	3786	1998-11-16	PRIJEM	VKLAD	6760	63136	\N	\N	\N
1108581	3786	1993-11-05	VYBER	VYBER	15264	39192	\N	\N	\N
1108583	3786	1994-08-02	VYBER	VYBER	17079	11306	\N	\N	\N
1108584	3786	1994-12-06	VYBER	VYBER	21056	30011	\N	\N	\N
1108585	3786	1994-06-13	VYBER	VYBER	9583	86192	\N	\N	\N
1108586	3786	1994-05-08	VYBER	VYBER	21350	51704	\N	\N	\N
1108587	3786	1994-03-05	VYBER	VYBER	24007	23362	\N	\N	\N
1108588	3786	1994-07-19	VYBER	VYBER	4196	28224	\N	\N	\N
1108590	3786	1994-03-03	VYBER	VYBER	13063	47369	\N	\N	\N
1108591	3786	1994-04-19	VYBER	VYBER	20242	5332	\N	\N	\N
1108592	3786	1994-07-07	VYBER	VYBER	9685	44720	\N	\N	\N
1108593	3786	1995-02-21	VYBER	VYBER	12624	33428	\N	\N	\N
1108594	3786	1995-09-17	VYBER	VYBER	12164	12639	\N	\N	\N
1108595	3786	1995-06-27	VYBER	VYBER	20561	7280	\N	\N	\N
1108597	3786	1996-04-25	VYBER	VYBER	8242	24282	\N	\N	\N
1108598	3786	1996-01-04	VYBER	VYBER	20027	35328	\N	\N	\N
1108599	3786	1996-04-01	VYBER	VYBER	5277	45983	\N	\N	\N
1108601	3786	1996-04-07	VYBER	VYBER	6970	39013	\N	\N	\N
1108602	3786	1996-02-29	VYBER	VYBER	3924	86834	\N	\N	\N
1108603	3786	1996-02-03	VYBER	VYBER	2501	72239	\N	\N	\N
1108604	3786	1996-09-04	VYBER	VYBER	5135	20918	\N	\N	\N
1108606	3786	1996-12-23	VYBER	VYBER	6820	2910	\N	\N	\N
1108607	3786	1996-06-04	VYBER	VYBER	13314	44999	\N	\N	\N
1108609	3786	1996-12-02	VYBER	VYBER	10484	11630	\N	\N	\N
1108610	3786	1997-01-22	VYBER	VYBER	4819	45611	\N	\N	\N
1108611	3786	1997-12-10	VYBER	VYBER	7375	84411	\N	\N	\N
1108612	3786	1997-03-20	VYBER	VYBER	14619	3962	\N	\N	\N
1108613	3786	1997-11-25	VYBER	VYBER	18463	73620	\N	\N	\N
1108614	3786	1997-11-13	VYBER	VYBER	18337	67450	\N	\N	\N
1108615	3786	1997-02-03	VYBER	VYBER	15228	11426	\N	\N	\N
1108616	3786	1997-02-24	VYBER	VYBER	4011	7415	\N	\N	\N
1108617	3786	1997-09-27	VYBER	VYBER	19413	36142	\N	\N	\N
1108618	3786	1997-03-19	VYBER	VYBER	20710	18581	\N	\N	\N
1108619	3786	1997-06-07	VYBER	VYBER	3999	29167	\N	\N	\N
1108620	3786	1997-06-20	VYBER	VYBER	23637	5530	\N	\N	\N
1108621	3786	1998-12-15	VYBER	VYBER	23725	61061	\N	\N	\N
1108622	3786	1998-06-26	VYBER	VYBER	2395	71839	\N	\N	\N
1108623	3786	1998-07-18	VYBER	VYBER	9324	57098	\N	\N	\N
1108624	3786	1998-05-14	VYBER	VYBER	10263	35571	\N	\N	\N
1108625	3786	1998-08-12	VYBER	VYBER	6383	75249	\N	\N	\N
1108626	3786	1998-01-23	VYBER	VYBER	10032	68093	\N	\N	\N
1108627	3786	1998-07-18	VYBER	VYBER	10515	66422	\N	\N	\N
1108628	3786	1998-08-25	VYBER	VYBER	11121	86548	\N	\N	\N
1108629	3786	1998-09-20	VYBER	VYBER	17361	71430	\N	\N	\N
1108630	3786	1993-12-09	VYDAJ	VYBER	8700	17371	\N	\N	\N
1108631	3786	1994-12-19	VYDAJ	VYBER	1800	22411	\N	\N	\N
1108632	3786	1995-12-05	VYDAJ	VYBER	5700	50139	\N	\N	\N
1108634	3786	1997-12-10	VYDAJ	VYBER	7200	77211	\N	\N	\N
1108635	3786	1998-12-05	VYDAJ	VYBER	2700	30124	\N	\N	\N
1108642	3786	1994-01-07	VYDAJ	VYBER	4500	45486	\N	\N	\N
1108643	3786	1994-01-23	VYDAJ	VYBER	8100	38234	\N	\N	\N
1108644	3786	1994-01-06	VYDAJ	VYBER	1800	49986	\N	\N	\N
1108645	3786	1994-01-12	VYDAJ	VYBER	4200	33486	\N	\N	\N
1108646	3786	1994-01-10	VYDAJ	VYBER	2100	37686	\N	\N	\N
1108647	3786	1994-01-08	VYDAJ	VYBER	5700	39786	\N	\N	\N
1108648	3786	1995-01-01	VYDAJ	VYBER	3000	10503	\N	\N	\N
1108650	3786	1995-01-07	VYDAJ	VYBER	3600	-1497	\N	\N	\N
1108652	3786	1995-01-24	VYDAJ	VYBER	8100	2703	\N	\N	\N
1108654	3786	1996-01-08	VYDAJ	VYBER	1800	27228	\N	\N	\N
1108655	3786	1996-01-22	VYDAJ	VYBER	3300	79961	\N	\N	\N
1108656	3786	1996-01-22	VYDAJ	VYBER	3300	83261	\N	\N	\N
1108657	3786	1996-01-23	VYDAJ	VYBER	2100	74561	\N	\N	\N
1108658	3786	1996-01-04	VYDAJ	VYBER	6300	29028	\N	\N	\N
1108659	3786	1996-01-23	VYDAJ	VYBER	3300	76661	\N	\N	\N
1108660	3786	1997-01-19	VYDAJ	VYBER	7200	50430	\N	\N	\N
1108661	3786	1997-01-16	VYDAJ	VYBER	4500	57630	\N	\N	\N
1108662	3786	1997-01-11	VYDAJ	VYBER	2100	80430	\N	\N	\N
1108663	3786	1997-01-14	VYDAJ	VYBER	5100	71430	\N	\N	\N
1108664	3786	1997-01-14	VYDAJ	VYBER	1800	76530	\N	\N	\N
1108665	3786	1997-01-08	VYDAJ	VYBER	6000	82530	\N	\N	\N
1108666	3786	1998-01-01	VYDAJ	VYBER	4800	22795	\N	\N	\N
1108667	3786	1998-01-19	VYDAJ	VYBER	5400	43115	\N	\N	\N
1108668	3786	1998-01-26	VYDAJ	VYBER	8700	59393	\N	\N	\N
1108669	3786	1998-01-15	VYDAJ	VYBER	4200	42305	\N	\N	\N
1108670	3786	1998-01-29	VYDAJ	VYBER	6600	14193	\N	\N	\N
1108671	3786	1998-01-05	VYDAJ	VYBER	3600	46505	\N	\N	\N
1108672	3786	1993-11-29	VYDAJ	VYBER	9300	21192	\N	\N	\N
1108674	3786	1993-12-03	VYDAJ	VYBER	6900	14462	\N	\N	\N
1108678	3786	1994-11-30	VYDAJ	VYBER	7200	37664	\N	\N	\N
1108679	3786	1994-01-24	VYDAJ	VYBER	5400	32834	\N	\N	\N
1108680	3786	1994-12-23	VYDAJ	VYBER	9000	13411	\N	\N	\N
1108681	3786	1995-06-26	VYDAJ	VYBER	5700	27841	\N	\N	\N
1108682	3786	1995-06-21	VYDAJ	VYBER	3300	33541	\N	\N	\N
1108683	3786	1995-12-06	VYDAJ	VYBER	3300	46839	\N	\N	\N
1108684	3786	1995-09-11	VYDAJ	VYBER	13200	24803	\N	\N	\N
1108685	3786	1995-01-01	VYDAJ	VYBER	8400	2103	\N	\N	\N
1108686	3786	1995-11-15	VYDAJ	VYBER	6000	32762	\N	\N	\N
1108687	3786	1995-12-16	VYDAJ	VYBER	6300	55163	\N	\N	\N
1108688	3786	1996-10-28	VYDAJ	VYBER	9600	36490	\N	\N	\N
1108689	3786	1996-07-13	VYDAJ	VYBER	7200	13822	\N	\N	\N
1108690	3786	1996-09-03	VYDAJ	VYBER	2700	26053	\N	\N	\N
1108691	3786	1996-09-09	VYDAJ	VYBER	8400	3518	\N	\N	\N
1108692	3786	1996-04-12	VYDAJ	VYBER	9600	19213	\N	\N	\N
1108693	3786	1996-07-19	VYDAJ	VYBER	8100	5722	\N	\N	\N
1108694	3786	1996-04-23	VYDAJ	VYBER	10800	8413	\N	\N	\N
1108695	3786	1996-05-03	VYDAJ	VYBER	1800	22584	\N	\N	\N
1108696	3786	1997-01-13	VYDAJ	VYBER	2100	78330	\N	\N	\N
1108697	3786	1997-09-23	VYDAJ	VYBER	14100	55555	\N	\N	\N
1108698	3786	1997-03-31	VYDAJ	VYBER	6300	41182	\N	\N	\N
1108699	3786	1997-01-15	VYDAJ	VYBER	9300	62130	\N	\N	\N
1108700	3786	1998-06-16	VYDAJ	VYBER	4200	74234	\N	\N	\N
1108701	3786	1998-02-16	VYDAJ	VYBER	8100	12933	\N	\N	\N
1108702	3786	1998-05-28	VYDAJ	VYBER	9900	4871	\N	\N	\N
1108703	3786	1998-02-08	VYDAJ	VYBER	10200	4159	\N	\N	\N
1108704	3786	1998-10-01	VYDAJ	VYBER	2700	36269	\N	\N	\N
1108714	3786	1993-09-30	VYDAJ	VYBER	15	57481	SLUZBY	\N	\N
1108715	3786	1993-10-31	VYDAJ	VYBER	15	54456	SLUZBY	\N	\N
1108716	3786	1993-11-30	VYDAJ	VYBER	15	21362	SLUZBY	\N	\N
1108717	3786	1993-12-31	VYDAJ	VYBER	15	51786	SLUZBY	\N	\N
1108718	3786	1994-01-31	VYDAJ	VYBER	15	54431	SLUZBY	\N	\N
1108719	3786	1994-02-28	VYDAJ	VYBER	15	70220	SLUZBY	\N	\N
1108720	3786	1994-03-31	VYDAJ	VYBER	15	25974	SLUZBY	\N	\N
1108721	3786	1994-04-30	VYDAJ	VYBER	15	45626	SLUZBY	\N	\N
1108722	3786	1994-05-31	VYDAJ	VYBER	15	97462	SLUZBY	\N	\N
1108723	3786	1994-06-30	VYDAJ	VYBER	15	54405	SLUZBY	\N	\N
1108724	3786	1994-07-31	VYDAJ	VYBER	15	28385	SLUZBY	\N	\N
1108725	3786	1994-08-31	VYDAJ	VYBER	15	34510	SLUZBY	\N	\N
1108726	3786	1994-09-30	VYDAJ	VYBER	15	30138	SLUZBY	\N	\N
1108727	3786	1994-10-31	VYDAJ	VYBER	15	26449	SLUZBY	\N	\N
1108728	3786	1994-11-30	VYDAJ	VYBER	15	44864	SLUZBY	\N	\N
1108729	3786	1994-12-31	VYDAJ	VYBER	15	13503	SLUZBY	\N	\N
1108730	3786	1995-01-31	VYDAJ	VYBER	15	2705	SLUZBY	\N	\N
1108731	3786	1995-02-28	VYDAJ	VYBER	15	61566	SLUZBY	\N	\N
1108732	3786	1995-03-31	VYDAJ	VYBER	15	40505	SLUZBY	\N	\N
1108733	3786	1995-04-30	VYDAJ	VYBER	15	35080	SLUZBY	\N	\N
1108734	3786	1995-05-31	VYDAJ	VYBER	15	51241	SLUZBY	\N	\N
1108735	3786	1995-06-30	VYDAJ	VYBER	15	7438	SLUZBY	\N	\N
1108736	3786	1995-07-31	VYDAJ	VYBER	15	23571	SLUZBY	\N	\N
1108737	3786	1995-08-31	VYDAJ	VYBER	15	60503	SLUZBY	\N	\N
1108738	3786	1995-09-30	VYDAJ	VYBER	15	20358	SLUZBY	\N	\N
1108739	3786	1995-10-31	VYDAJ	VYBER	15	33161	SLUZBY	\N	\N
1108740	3786	1995-11-30	VYDAJ	VYBER	15	55839	SLUZBY	\N	\N
1108741	3786	1995-12-31	VYDAJ	VYBER	15	55355	SLUZBY	\N	\N
1108742	3786	1996-01-31	VYDAJ	VYBER	15	74740	SLUZBY	\N	\N
1108743	3786	1996-02-29	VYDAJ	VYBER	15	86819	SLUZBY	\N	\N
1108744	3786	1996-03-31	VYDAJ	VYBER	15	51260	SLUZBY	\N	\N
1108745	3786	1996-04-30	VYDAJ	VYBER	15	24384	SLUZBY	\N	\N
1108746	3786	1996-05-31	VYDAJ	VYBER	15	58313	SLUZBY	\N	\N
1108747	3786	1996-06-30	VYDAJ	VYBER	15	28422	SLUZBY	\N	\N
1108748	3786	1996-07-31	VYDAJ	VYBER	15	5772	SLUZBY	\N	\N
1108749	3786	1996-08-31	VYDAJ	VYBER	15	7380	SLUZBY	\N	\N
1108750	3786	1996-09-30	VYDAJ	VYBER	15	3532	SLUZBY	\N	\N
1108751	3786	1996-10-31	VYDAJ	VYBER	15	36580	SLUZBY	\N	\N
1108752	3786	1996-11-30	VYDAJ	VYBER	15	22114	SLUZBY	\N	\N
1108753	3786	1996-12-31	VYDAJ	VYBER	15	49078	SLUZBY	\N	\N
1108754	3786	1997-01-31	VYDAJ	VYBER	15	45854	SLUZBY	\N	\N
1108755	3786	1997-02-28	VYDAJ	VYBER	15	7453	SLUZBY	\N	\N
1108756	3786	1997-03-31	VYDAJ	VYBER	15	41168	SLUZBY	\N	\N
1108757	3786	1997-04-30	VYDAJ	VYBER	15	101930	SLUZBY	\N	\N
1108758	3786	1997-05-31	VYDAJ	VYBER	15	62866	SLUZBY	\N	\N
1108759	3786	1997-06-30	VYDAJ	VYBER	15	5625	SLUZBY	\N	\N
1108760	3786	1997-07-31	VYDAJ	VYBER	15	5231	SLUZBY	\N	\N
1108761	3786	1997-08-31	VYDAJ	VYBER	15	36763	SLUZBY	\N	\N
1108762	3786	1997-09-30	VYDAJ	VYBER	15	16782	SLUZBY	\N	\N
1108763	3786	1997-10-31	VYDAJ	VYBER	15	41902	SLUZBY	\N	\N
1108764	3786	1997-11-30	VYDAJ	VYBER	15	31038	SLUZBY	\N	\N
1108765	3786	1997-12-31	VYDAJ	VYBER	15	27595	SLUZBY	\N	\N
1108766	3786	1998-01-31	VYDAJ	VYBER	15	14359	SLUZBY	\N	\N
1108768	3786	1998-03-31	VYDAJ	VYBER	15	51939	SLUZBY	\N	\N
1108769	3786	1998-04-30	VYDAJ	VYBER	15	31821	SLUZBY	\N	\N
1108770	3786	1998-05-31	VYDAJ	VYBER	15	48772	SLUZBY	\N	\N
1108771	3786	1998-06-30	VYDAJ	VYBER	15	35480	SLUZBY	\N	\N
1108772	3786	1998-07-31	VYDAJ	VYBER	15	80920	SLUZBY	\N	\N
1108773	3786	1998-08-31	VYDAJ	VYBER	15	46992	SLUZBY	\N	\N
1108774	3786	1998-09-30	VYDAJ	VYBER	15	38969	SLUZBY	\N	\N
1108775	3786	1998-10-31	VYDAJ	VYBER	15	56376	SLUZBY	\N	\N
1108776	3786	1998-11-30	VYDAJ	VYBER	15	32824	SLUZBY	\N	\N
1108777	3786	1993-07-22	PRIJEM	VKLAD	12700	13000	\N	\N	\N
1108778	3786	1993-08-21	VYDAJ	VYBER	19600	43235	\N	\N	\N
1108779	3786	1993-09-09	VYDAJ	VYBER	33000	83036	\N	\N	\N
1108780	3786	1993-09-20	VYDAJ	VYBER	31400	51636	\N	\N	\N
1108781	3786	1993-09-27	VYDAJ	VYBER	55200	57201	\N	\N	\N
1108782	3786	1993-10-08	VYDAJ	VYBER	44300	63482	\N	\N	\N
1108783	3786	1993-10-13	VYDAJ	VYBER	17200	86675	\N	\N	\N
1108784	3786	1993-10-20	VYDAJ	VYBER	32500	54175	\N	\N	\N
1108785	3786	1993-11-19	VYDAJ	VYBER	8700	30492	\N	\N	\N
1108786	3786	1993-12-19	PRIJEM	VKLAD	4700	22071	\N	\N	\N
1108787	3786	1994-01-18	VYDAJ	VYBER	14800	40376	\N	\N	\N
1108788	3786	1994-02-17	VYDAJ	VYBER	26600	46927	\N	\N	\N
1108789	3786	1994-02-26	VYDAJ	VYBER	55100	69992	\N	\N	\N
1108790	3786	1994-03-02	VYDAJ	VYBER	58600	60432	\N	\N	\N
1108791	3786	1994-03-19	PRIJEM	VKLAD	2500	25862	\N	\N	\N
1108792	3786	1994-04-18	VYDAJ	VYBER	400	25574	\N	\N	\N
1108793	3786	1994-05-18	VYDAJ	VYBER	35400	57851	\N	\N	\N
1108794	3786	1994-05-23	VYDAJ	VYBER	44800	76265	\N	\N	\N
1108795	3786	1994-06-04	VYDAJ	VYBER	33600	109152	\N	\N	\N
1108796	3786	1994-06-12	VYDAJ	VYBER	52200	95775	\N	\N	\N
1108797	3786	1994-06-17	VYDAJ	VYBER	32100	54092	\N	\N	\N
1108798	3786	1994-07-17	VYDAJ	VYBER	12300	32420	\N	\N	\N
1108799	3786	1994-08-16	PRIJEM	VKLAD	7500	18806	\N	\N	\N
1108800	3786	1994-09-15	VYDAJ	VYBER	4500	30010	\N	\N	\N
1108801	3786	1994-10-15	VYDAJ	VYBER	3800	26338	\N	\N	\N
1108802	3786	1994-11-14	VYDAJ	VYBER	7000	34438	\N	\N	\N
1108803	3786	1994-12-14	VYDAJ	VYBER	5800	24211	\N	\N	\N
1108804	3786	1995-01-13	PRIJEM	VKLAD	12300	10803	\N	\N	\N
1108805	3786	1995-02-12	PRIJEM	VKLAD	10200	12905	\N	\N	\N
1108806	3786	1995-03-14	VYDAJ	VYBER	21300	40266	\N	\N	\N
1108807	3786	1995-04-13	VYDAJ	VYBER	11700	28805	\N	\N	\N
1108808	3786	1995-05-13	VYDAJ	VYBER	16500	32762	\N	\N	\N
1108809	3786	1995-06-12	VYDAJ	VYBER	14400	36841	\N	\N	\N
1108810	3786	1995-07-12	VYDAJ	VYBER	5100	23512	\N	\N	\N
1108811	3786	1995-08-11	VYDAJ	VYBER	3000	20571	\N	\N	\N
1108812	3786	1995-09-10	VYDAJ	VYBER	22500	38003	\N	\N	\N
1108813	3786	1995-10-10	VYDAJ	VYBER	17600	33054	\N	\N	\N
1108814	3786	1995-11-09	VYDAJ	VYBER	11000	22161	\N	\N	\N
1108815	3786	1995-12-09	VYDAJ	VYBER	17600	29239	\N	\N	\N
1108816	3786	1996-01-08	VYDAJ	VYBER	6100	21128	\N	\N	\N
1108817	3786	1996-02-07	VYDAJ	VYBER	27800	44439	\N	\N	\N
1108818	3786	1996-03-08	VYDAJ	VYBER	35900	50919	\N	\N	\N
1108819	3786	1996-04-07	VYDAJ	VYBER	10200	28813	\N	\N	\N
1108820	3786	1996-05-07	VYDAJ	VYBER	900	21684	\N	\N	\N
1108821	3786	1996-06-06	VYDAJ	VYBER	16700	28299	\N	\N	\N
1108822	3786	1996-07-06	VYDAJ	VYBER	7400	21022	\N	\N	\N
1108823	3786	1996-08-05	PRIJEM	VKLAD	1600	7372	\N	\N	\N
1108824	3786	1996-09-04	VYDAJ	VYBER	9000	11918	\N	\N	\N
1108825	3786	1996-10-04	PRIJEM	VKLAD	1000	4532	\N	\N	\N
1108826	3786	1996-11-03	VYDAJ	VYBER	14600	21980	\N	\N	\N
1108827	3786	1996-12-03	VYDAJ	VYBER	1900	9730	\N	\N	\N
1108828	3786	1997-01-02	VYDAJ	VYBER	43000	42687	\N	\N	\N
1108829	3786	1997-02-01	VYDAJ	VYBER	19200	26654	\N	\N	\N
1108830	3786	1997-03-03	VYDAJ	VYBER	1200	6253	\N	\N	\N
1108831	3786	1997-04-02	VYDAJ	VYBER	44200	41760	\N	\N	\N
1108832	3786	1997-04-09	VYDAJ	VYBER	50900	70920	\N	\N	\N
1108833	3786	1997-04-23	VYDAJ	VYBER	46900	59638	\N	\N	\N
1108834	3786	1997-05-02	VYDAJ	VYBER	53700	48230	\N	\N	\N
1108835	3786	1997-06-01	VYDAJ	VYBER	29700	33166	\N	\N	\N
1108836	3786	1997-07-01	VYDAJ	VYBER	400	5225	\N	\N	\N
1108837	3786	1997-07-31	VYDAJ	VYBER	300	4931	\N	\N	\N
1108838	3786	1997-08-30	VYDAJ	VYBER	33800	36716	\N	\N	\N
1108839	3786	1997-09-29	VYDAJ	VYBER	19500	16642	\N	\N	\N
1108840	3786	1997-10-20	VYDAJ	VYBER	26800	96330	\N	\N	\N
1108841	3786	1997-10-29	VYDAJ	VYBER	54700	41630	\N	\N	\N
1108842	3786	1997-11-22	VYDAJ	VYBER	22900	92083	\N	\N	\N
1108843	3786	1997-11-28	VYDAJ	VYBER	42800	30820	\N	\N	\N
1108844	3786	1997-12-18	VYDAJ	VYBER	58300	63760	\N	\N	\N
1108845	3786	1997-12-28	VYDAJ	VYBER	36500	27260	\N	\N	\N
1108846	3786	1998-01-27	VYDAJ	VYBER	38600	20793	\N	\N	\N
1108847	3786	1998-02-26	VYDAJ	VYBER	15700	-2767	\N	\N	\N
1108848	3786	1998-03-13	VYDAJ	VYBER	32200	129346	\N	\N	\N
1108849	3786	1998-03-24	VYDAJ	VYBER	42600	119608	\N	\N	\N
1108850	3786	1998-03-28	VYDAJ	VYBER	68000	51608	\N	\N	\N
1108851	3786	1998-04-27	VYDAJ	VYBER	40800	31635	\N	\N	\N
1108852	3786	1998-05-27	VYDAJ	VYBER	20800	14771	\N	\N	\N
1108853	3786	1998-06-15	VYDAJ	VYBER	52900	78434	\N	\N	\N
1108854	3786	1998-06-26	VYDAJ	VYBER	36600	35239	\N	\N	\N
1108855	3786	1998-07-26	VYDAJ	VYBER	27000	30098	\N	\N	\N
1108856	3786	1998-08-11	VYDAJ	VYBER	31900	81632	\N	\N	\N
1108857	3786	1998-08-25	VYDAJ	VYBER	39900	46648	\N	\N	\N
1108858	3786	1998-09-24	VYDAJ	VYBER	32700	38730	\N	\N	\N
1108859	3786	1998-10-24	VYDAJ	VYBER	16700	19569	\N	\N	\N
1108860	3786	1998-11-23	VYDAJ	VYBER	30500	32636	\N	\N	\N
1108861	3786	1998-12-23	VYDAJ	VYBER	27000	34061	\N	\N	\N
1108941	3787	1993-02-19	PRIJEM	VKLAD	800	800	\N	\N	\N
1108944	3787	1993-03-07	PRIJEM	VKLAD	20950	21750	\N	\N	\N
1108945	3787	1993-04-07	PRIJEM	VKLAD	20950	44535	\N	\N	\N
1108946	3787	1993-05-07	PRIJEM	VKLAD	20950	53396	\N	\N	\N
1108947	3787	1993-06-07	PRIJEM	VKLAD	31425	69665	\N	\N	\N
1108948	3787	1993-07-07	PRIJEM	VKLAD	20950	68690	\N	\N	\N
1108949	3787	1993-08-07	PRIJEM	VKLAD	20950	63821	\N	\N	\N
1108950	3787	1993-09-07	PRIJEM	VKLAD	20950	60037	\N	\N	\N
1108951	3787	1993-10-07	PRIJEM	VKLAD	20950	59753	\N	\N	\N
1108952	3787	1993-11-07	PRIJEM	VKLAD	20950	63459	\N	\N	\N
1108953	3787	1993-12-07	PRIJEM	VKLAD	31425	72749	\N	\N	\N
1108954	3787	1994-01-07	PRIJEM	VKLAD	20950	61597	\N	\N	\N
1108955	3787	1994-02-07	PRIJEM	VKLAD	20950	61117	\N	\N	\N
1108956	3787	1994-03-07	PRIJEM	VKLAD	20950	63119	\N	\N	\N
1108957	3787	1994-04-07	PRIJEM	VKLAD	20950	61125	\N	\N	\N
1108958	3787	1994-05-07	PRIJEM	VKLAD	20950	64833	\N	\N	\N
1108959	3787	1994-06-07	PRIJEM	VKLAD	31425	57921	\N	\N	\N
1108960	3787	1994-07-07	PRIJEM	VKLAD	20950	61025	\N	\N	\N
1108961	3787	1994-08-07	PRIJEM	VKLAD	20950	64831	\N	\N	\N
1108962	3787	1994-09-07	PRIJEM	VKLAD	20950	53218	\N	\N	\N
1108963	3787	1994-10-07	PRIJEM	VKLAD	20950	53991	\N	\N	\N
1108964	3787	1994-11-07	PRIJEM	VKLAD	20950	57481	\N	\N	\N
1108965	3787	1994-12-07	PRIJEM	VKLAD	31425	63228	\N	\N	\N
1108966	3787	1995-01-07	PRIJEM	VKLAD	20950	57812	\N	\N	\N
1108967	3787	1995-02-07	PRIJEM	VKLAD	20950	50096	\N	\N	\N
1108968	3787	1995-03-07	PRIJEM	VKLAD	20950	53758	\N	\N	\N
1108969	3787	1995-04-07	PRIJEM	VKLAD	20950	54927	\N	\N	\N
1108970	3787	1995-05-07	PRIJEM	VKLAD	20950	53496	\N	\N	\N
1108971	3787	1995-06-07	PRIJEM	VKLAD	31425	66143	\N	\N	\N
1108972	3787	1995-07-07	PRIJEM	VKLAD	20950	42182	\N	\N	\N
1108973	3787	1995-08-07	PRIJEM	VKLAD	20950	52732	\N	\N	\N
1108974	3787	1995-09-07	PRIJEM	VKLAD	20950	57510	\N	\N	\N
1108975	3787	1995-10-07	PRIJEM	VKLAD	20950	58810	\N	\N	\N
1108976	3787	1995-11-07	PRIJEM	VKLAD	20950	51403	\N	\N	\N
1108977	3787	1995-12-07	PRIJEM	VKLAD	31425	68594	\N	\N	\N
1108978	3787	1996-01-07	PRIJEM	VKLAD	20950	62563	\N	\N	\N
1108979	3787	1996-02-07	PRIJEM	VKLAD	20950	60523	\N	\N	\N
1108980	3787	1996-03-07	PRIJEM	VKLAD	20950	64583	\N	\N	\N
1108981	3787	1996-04-07	PRIJEM	VKLAD	20950	64760	\N	\N	\N
1108982	3787	1996-05-07	PRIJEM	VKLAD	20950	64434	\N	\N	\N
1108983	3787	1996-06-07	PRIJEM	VKLAD	31425	75187	\N	\N	\N
1108984	3787	1996-07-07	PRIJEM	VKLAD	20950	61741	\N	\N	\N
1108985	3787	1996-08-07	PRIJEM	VKLAD	20950	64001	\N	\N	\N
1108986	3787	1996-09-07	PRIJEM	VKLAD	20950	67777	\N	\N	\N
1108987	3787	1996-10-07	PRIJEM	VKLAD	20950	66967	\N	\N	\N
1108988	3787	1996-11-07	PRIJEM	VKLAD	20950	68156	\N	\N	\N
1108989	3787	1996-12-07	PRIJEM	VKLAD	31425	78719	\N	\N	\N
1108990	3787	1997-01-07	PRIJEM	VKLAD	20950	67443	\N	\N	\N
1108991	3787	1997-02-07	PRIJEM	VKLAD	20950	66507	\N	\N	\N
1108992	3787	1997-03-07	PRIJEM	VKLAD	20950	68359	\N	\N	\N
1108993	3787	1997-04-07	PRIJEM	VKLAD	20950	66219	\N	\N	\N
1108994	3787	1997-05-07	PRIJEM	VKLAD	20950	64286	\N	\N	\N
1108995	3787	1997-06-07	PRIJEM	VKLAD	31425	75300	\N	\N	\N
1108996	3787	1997-07-07	PRIJEM	VKLAD	20950	65859	\N	\N	\N
1108997	3787	1997-08-07	PRIJEM	VKLAD	20950	63403	\N	\N	\N
1108998	3787	1997-09-07	PRIJEM	VKLAD	20950	58029	\N	\N	\N
1108999	3787	1997-10-07	PRIJEM	VKLAD	20950	60740	\N	\N	\N
1109000	3787	1997-11-07	PRIJEM	VKLAD	20950	62760	\N	\N	\N
1109001	3787	1997-12-07	PRIJEM	VKLAD	31425	78465	\N	\N	\N
1109002	3787	1998-01-07	PRIJEM	VKLAD	20950	75436	\N	\N	\N
1109003	3787	1998-02-07	PRIJEM	VKLAD	20950	59006	\N	\N	\N
1109004	3787	1998-03-07	PRIJEM	VKLAD	20950	61119	\N	\N	\N
1109005	3787	1998-04-07	PRIJEM	VKLAD	20950	66061	\N	\N	\N
1109006	3787	1998-05-07	PRIJEM	VKLAD	20950	67399	\N	\N	\N
1109007	3787	1998-06-07	PRIJEM	VKLAD	31425	58313	\N	\N	\N
1109008	3787	1998-07-07	PRIJEM	VKLAD	20950	64634	\N	\N	\N
1109009	3787	1998-08-07	PRIJEM	VKLAD	20950	64365	\N	\N	\N
1109010	3787	1998-09-07	PRIJEM	VKLAD	20950	72318	\N	\N	\N
1109011	3787	1998-10-07	PRIJEM	VKLAD	20950	75076	\N	\N	\N
1109012	3787	1998-11-07	PRIJEM	VKLAD	20950	76744	\N	\N	\N
1109013	3787	1998-12-07	PRIJEM	VKLAD	31425	88504	\N	\N	\N
1109020	3787	1993-07-13	VYDAJ	PREVOD NA UCET	4407	64283	SIPO	EF	96782379
1109021	3787	1993-08-13	VYDAJ	PREVOD NA UCET	4407	59414	SIPO	EF	96782379
1109022	3787	1993-09-13	VYDAJ	PREVOD NA UCET	4407	53230	SIPO	EF	96782379
1109023	3787	1993-10-13	VYDAJ	PREVOD NA UCET	4407	55346	SIPO	EF	96782379
1109024	3787	1993-11-13	VYDAJ	PREVOD NA UCET	4407	59052	SIPO	EF	96782379
1109025	3787	1993-12-13	VYDAJ	PREVOD NA UCET	4407	68342	SIPO	EF	96782379
1109026	3787	1994-01-13	VYDAJ	PREVOD NA UCET	4407	55090	SIPO	EF	96782379
1109027	3787	1994-02-13	VYDAJ	PREVOD NA UCET	4407	56710	SIPO	EF	96782379
1109028	3787	1994-03-13	VYDAJ	PREVOD NA UCET	4407	58712	SIPO	EF	96782379
1109029	3787	1994-04-13	VYDAJ	PREVOD NA UCET	4407	56718	SIPO	EF	96782379
1109030	3787	1994-05-13	VYDAJ	PREVOD NA UCET	4407	56026	SIPO	EF	96782379
1109031	3787	1994-06-13	VYDAJ	PREVOD NA UCET	4407	53514	SIPO	EF	96782379
1109032	3787	1994-07-13	VYDAJ	PREVOD NA UCET	4407	56618	SIPO	EF	96782379
1109033	3787	1994-08-13	VYDAJ	PREVOD NA UCET	4407	40824	SIPO	EF	96782379
1109034	3787	1994-09-13	VYDAJ	PREVOD NA UCET	4407	37011	SIPO	EF	96782379
1109035	3787	1994-10-13	VYDAJ	PREVOD NA UCET	4407	36384	SIPO	EF	96782379
1109036	3787	1994-11-13	VYDAJ	PREVOD NA UCET	4407	35574	SIPO	EF	96782379
1109037	3787	1994-12-13	VYDAJ	PREVOD NA UCET	4407	39521	SIPO	EF	96782379
1109038	3787	1995-01-13	VYDAJ	PREVOD NA UCET	4407	37005	SIPO	EF	96782379
1109039	3787	1995-02-13	VYDAJ	PREVOD NA UCET	4407	32689	SIPO	EF	96782379
1109040	3787	1995-03-13	VYDAJ	PREVOD NA UCET	4407	33851	SIPO	EF	96782379
1109041	3787	1995-04-13	VYDAJ	PREVOD NA UCET	4407	33420	SIPO	EF	96782379
1109042	3787	1995-05-13	VYDAJ	PREVOD NA UCET	4407	34589	SIPO	EF	96782379
1109043	3787	1995-06-13	VYDAJ	PREVOD NA UCET	4407	21136	SIPO	EF	96782379
1109044	3787	1995-07-13	VYDAJ	PREVOD NA UCET	4407	31675	SIPO	EF	96782379
1109045	3787	1995-08-13	VYDAJ	PREVOD NA UCET	4407	36425	SIPO	EF	96782379
1109046	3787	1995-09-13	VYDAJ	PREVOD NA UCET	4407	37703	SIPO	EF	96782379
1109047	3787	1995-10-13	VYDAJ	PREVOD NA UCET	4407	38003	SIPO	EF	96782379
1109048	3787	1995-11-13	VYDAJ	PREVOD NA UCET	4407	46996	SIPO	EF	96782379
1109049	3787	1995-12-13	VYDAJ	PREVOD NA UCET	4407	62187	SIPO	EF	96782379
1109050	3787	1996-01-13	VYDAJ	PREVOD NA UCET	4407	56556	SIPO	EF	96782379
1109051	3787	1996-02-13	VYDAJ	PREVOD NA UCET	4407	56116	SIPO	EF	96782379
1109052	3787	1996-03-13	VYDAJ	PREVOD NA UCET	4407	60176	SIPO	EF	96782379
1109053	3787	1996-04-13	VYDAJ	PREVOD NA UCET	4407	57653	SIPO	EF	96782379
1109054	3787	1996-05-13	VYDAJ	PREVOD NA UCET	4407	60027	SIPO	EF	96782379
1109055	3787	1996-06-13	VYDAJ	PREVOD NA UCET	4407	48480	SIPO	EF	96782379
1109056	3787	1996-07-13	VYDAJ	PREVOD NA UCET	4407	57334	SIPO	EF	96782379
1109057	3787	1996-08-13	VYDAJ	PREVOD NA UCET	4407	59594	SIPO	EF	96782379
1109058	3787	1996-09-13	VYDAJ	PREVOD NA UCET	4407	63370	SIPO	EF	96782379
1109059	3787	1996-10-13	VYDAJ	PREVOD NA UCET	4407	62560	SIPO	EF	96782379
1109060	3787	1996-11-13	VYDAJ	PREVOD NA UCET	4407	63749	SIPO	EF	96782379
1109061	3787	1996-12-13	VYDAJ	PREVOD NA UCET	4407	74312	SIPO	EF	96782379
1109062	3787	1997-01-13	VYDAJ	PREVOD NA UCET	4407	60236	SIPO	EF	96782379
1109063	3787	1997-02-13	VYDAJ	PREVOD NA UCET	4407	62100	SIPO	EF	96782379
1109064	3787	1997-03-13	VYDAJ	PREVOD NA UCET	4407	63952	SIPO	EF	96782379
1109065	3787	1997-04-13	VYDAJ	PREVOD NA UCET	4407	61812	SIPO	EF	96782379
1109066	3787	1997-05-13	VYDAJ	PREVOD NA UCET	4407	59879	SIPO	EF	96782379
1109067	3787	1997-06-13	VYDAJ	PREVOD NA UCET	4407	69093	SIPO	EF	96782379
1109068	3787	1997-07-13	VYDAJ	PREVOD NA UCET	4407	61452	SIPO	EF	96782379
1109069	3787	1997-08-13	VYDAJ	PREVOD NA UCET	4407	58996	SIPO	EF	96782379
1109070	3787	1997-09-13	VYDAJ	PREVOD NA UCET	4407	53622	SIPO	EF	96782379
1109071	3787	1997-10-13	VYDAJ	PREVOD NA UCET	4407	56333	SIPO	EF	96782379
1109072	3787	1997-11-13	VYDAJ	PREVOD NA UCET	4407	58353	SIPO	EF	96782379
1109073	3787	1997-12-13	VYDAJ	PREVOD NA UCET	4407	74058	SIPO	EF	96782379
1109074	3787	1998-01-13	VYDAJ	PREVOD NA UCET	4407	67329	SIPO	EF	96782379
1109075	3787	1998-02-13	VYDAJ	PREVOD NA UCET	4407	54599	SIPO	EF	96782379
1109076	3787	1998-03-13	VYDAJ	PREVOD NA UCET	4407	56712	SIPO	EF	96782379
1109077	3787	1998-04-13	VYDAJ	PREVOD NA UCET	4407	61654	SIPO	EF	96782379
1109078	3787	1998-05-13	VYDAJ	PREVOD NA UCET	4407	62992	SIPO	EF	96782379
1109079	3787	1998-06-13	VYDAJ	PREVOD NA UCET	4407	53906	SIPO	EF	96782379
1109080	3787	1998-07-13	VYDAJ	PREVOD NA UCET	4407	60227	SIPO	EF	96782379
1109081	3787	1998-08-13	VYDAJ	PREVOD NA UCET	4407	59958	SIPO	EF	96782379
1109082	3787	1998-09-13	VYDAJ	PREVOD NA UCET	4407	67911	SIPO	EF	96782379
1109083	3787	1998-10-13	VYDAJ	PREVOD NA UCET	4407	70669	SIPO	EF	96782379
1109084	3787	1998-11-13	VYDAJ	PREVOD NA UCET	4407	70437	SIPO	EF	96782379
1109085	3787	1998-12-13	VYDAJ	PREVOD NA UCET	4407	84097	SIPO	EF	96782379
1109159	3787	1994-06-01	VYDAJ	VYBER	11000	31196	\N	\N	\N
1109160	3787	1995-06-11	VYDAJ	VYBER	19900	25543	\N	\N	\N
1109161	3787	1996-06-11	VYDAJ	VYBER	22300	52887	\N	\N	\N
1109162	3787	1997-06-22	VYDAJ	VYBER	6000	63093	\N	\N	\N
1109163	3787	1998-06-03	VYDAJ	VYBER	14600	26888	\N	\N	\N
1109164	3787	1993-12-02	VYDAJ	VYBER	2700	41324	\N	\N	\N
1109165	3787	1994-12-12	VYDAJ	VYBER	1100	43928	\N	\N	\N
1109166	3787	1995-12-11	VYDAJ	VYBER	2000	66594	\N	\N	\N
1109167	3787	1996-12-01	VYDAJ	VYBER	1100	47294	\N	\N	\N
1109168	3787	1997-12-20	VYDAJ	VYBER	800	73258	\N	\N	\N
1109169	3787	1998-12-19	VYDAJ	VYBER	2600	81497	\N	\N	\N
1109176	3787	1994-01-21	VYDAJ	VYBER	500	39990	\N	\N	\N
1109177	3787	1994-01-05	VYDAJ	VYBER	1400	43047	\N	\N	\N
1109178	3787	1994-01-08	VYDAJ	VYBER	2100	59497	\N	\N	\N
1109179	3787	1994-01-05	VYDAJ	VYBER	2400	40647	\N	\N	\N
1109180	3787	1994-01-03	VYDAJ	VYBER	1300	44447	\N	\N	\N
1109181	3787	1994-01-20	VYDAJ	VYBER	1600	40490	\N	\N	\N
1109182	3787	1995-01-10	VYDAJ	VYBER	1500	41412	\N	\N	\N
1109183	3787	1995-01-28	VYDAJ	VYBER	2400	29005	\N	\N	\N
1109184	3787	1995-01-16	VYDAJ	VYBER	1000	36005	\N	\N	\N
1109185	3787	1995-01-26	VYDAJ	VYBER	1800	31405	\N	\N	\N
1109186	3787	1995-01-02	VYDAJ	VYBER	2800	36862	\N	\N	\N
1109187	3787	1995-01-18	VYDAJ	VYBER	800	33205	\N	\N	\N
1109188	3787	1996-01-20	VYDAJ	VYBER	1100	55456	\N	\N	\N
1109189	3787	1996-01-03	VYDAJ	VYBER	600	57913	\N	\N	\N
1109190	3787	1996-01-03	VYDAJ	VYBER	1700	56213	\N	\N	\N
1109191	3787	1996-01-26	VYDAJ	VYBER	1700	53756	\N	\N	\N
1109192	3787	1996-01-06	VYDAJ	VYBER	500	41613	\N	\N	\N
1109193	3787	1996-01-11	VYDAJ	VYBER	1600	60963	\N	\N	\N
1109194	3787	1997-01-06	VYDAJ	VYBER	2100	46493	\N	\N	\N
1109195	3787	1997-01-05	VYDAJ	VYBER	2600	48593	\N	\N	\N
1109196	3787	1997-01-07	VYDAJ	VYBER	2100	65343	\N	\N	\N
1109197	3787	1997-01-22	VYDAJ	VYBER	2800	57436	\N	\N	\N
1109198	3787	1997-01-29	VYDAJ	VYBER	2300	55136	\N	\N	\N
1109199	3787	1997-01-08	VYDAJ	VYBER	700	64643	\N	\N	\N
1109200	3787	1998-01-25	VYDAJ	VYBER	1300	42629	\N	\N	\N
1109201	3787	1998-01-25	VYDAJ	VYBER	2300	43929	\N	\N	\N
1109202	3787	1998-01-04	VYDAJ	VYBER	1200	54486	\N	\N	\N
1109203	3787	1998-01-24	VYDAJ	VYBER	1800	63329	\N	\N	\N
1109204	3787	1998-01-17	VYDAJ	VYBER	2200	65129	\N	\N	\N
1109205	3787	1998-01-11	VYDAJ	VYBER	2500	71736	\N	\N	\N
1109206	3787	1993-08-27	VYDAJ	VYBER	2100	40114	\N	\N	\N
1109208	3787	1993-09-05	VYDAJ	VYBER	1200	39087	\N	\N	\N
1109209	3787	1993-09-11	VYDAJ	VYBER	2400	57637	\N	\N	\N
1109210	3787	1994-08-17	VYDAJ	VYBER	4700	36124	\N	\N	\N
1109211	3787	1994-09-23	VYDAJ	VYBER	2800	34211	\N	\N	\N
1109212	3787	1994-05-12	VYDAJ	VYBER	4400	60433	\N	\N	\N
1109213	3787	1994-11-19	VYDAJ	VYBER	3900	31674	\N	\N	\N
1109214	3787	1994-06-03	VYDAJ	VYBER	4700	26496	\N	\N	\N
1109215	3787	1994-10-06	VYDAJ	VYBER	1300	33041	\N	\N	\N
1109216	3787	1994-08-20	VYDAJ	VYBER	4000	32124	\N	\N	\N
1109217	3787	1995-11-23	VYDAJ	VYBER	2800	44196	\N	\N	\N
1109218	3787	1995-12-17	VYDAJ	VYBER	3900	58287	\N	\N	\N
1109219	3787	1995-10-09	VYDAJ	VYBER	600	42410	\N	\N	\N
1109220	3787	1995-01-18	VYDAJ	VYBER	2000	34005	\N	\N	\N
1109221	3787	1995-04-30	VYDAJ	VYBER	1000	32546	\N	\N	\N
1109222	3787	1996-04-09	VYDAJ	VYBER	2700	62060	\N	\N	\N
1109223	3787	1996-10-23	VYDAJ	VYBER	1600	60960	\N	\N	\N
1109224	3787	1996-02-16	VYDAJ	VYBER	1300	54816	\N	\N	\N
1109225	3787	1996-07-16	VYDAJ	VYBER	1000	56334	\N	\N	\N
1109226	3787	1997-05-21	VYDAJ	VYBER	2800	57079	\N	\N	\N
1109227	3787	1997-04-04	VYDAJ	VYBER	500	45269	\N	\N	\N
1109228	3787	1997-12-29	VYDAJ	VYBER	500	55458	\N	\N	\N
1109229	3787	1997-06-12	VYDAJ	VYBER	1800	73500	\N	\N	\N
1109230	3787	1997-08-22	VYDAJ	VYBER	3200	55796	\N	\N	\N
1109231	3787	1998-01-10	VYDAJ	VYBER	1200	74236	\N	\N	\N
1109232	3787	1998-08-05	VYDAJ	VYBER	3500	43415	\N	\N	\N
1109233	3787	1998-01-30	VYDAJ	VYBER	4800	37829	\N	\N	\N
1109234	3787	1998-06-01	VYDAJ	VYBER	3200	41488	\N	\N	\N
1109235	3787	1998-03-02	VYDAJ	VYBER	4800	40169	\N	\N	\N
1109236	3787	1998-11-07	VYDAJ	VYBER	1900	74844	\N	\N	\N
1109244	3787	1993-07-31	VYDAJ	VYBER	15	42871	SLUZBY	\N	\N
1109245	3787	1993-08-31	VYDAJ	VYBER	15	40287	SLUZBY	\N	\N
1109246	3787	1993-09-30	VYDAJ	VYBER	15	38803	SLUZBY	\N	\N
1109247	3787	1993-10-31	VYDAJ	VYBER	15	42509	SLUZBY	\N	\N
1109248	3787	1993-11-30	VYDAJ	VYBER	15	44024	SLUZBY	\N	\N
1109249	3787	1993-12-31	VYDAJ	VYBER	15	45747	SLUZBY	\N	\N
1109250	3787	1994-01-31	VYDAJ	VYBER	15	40167	SLUZBY	\N	\N
1109251	3787	1994-02-28	VYDAJ	VYBER	15	42169	SLUZBY	\N	\N
1109252	3787	1994-03-31	VYDAJ	VYBER	15	40175	SLUZBY	\N	\N
1109253	3787	1994-04-30	VYDAJ	VYBER	15	43883	SLUZBY	\N	\N
1109254	3787	1994-05-31	VYDAJ	VYBER	15	42196	SLUZBY	\N	\N
1109255	3787	1994-06-30	VYDAJ	VYBER	15	40075	SLUZBY	\N	\N
1109256	3787	1994-07-31	VYDAJ	VYBER	15	43881	SLUZBY	\N	\N
1109257	3787	1994-08-31	VYDAJ	VYBER	15	32268	SLUZBY	\N	\N
1109258	3787	1994-09-30	VYDAJ	VYBER	15	34341	SLUZBY	\N	\N
1109259	3787	1994-10-31	VYDAJ	VYBER	15	36531	SLUZBY	\N	\N
1109260	3787	1994-11-30	VYDAJ	VYBER	15	31803	SLUZBY	\N	\N
1109261	3787	1994-12-31	VYDAJ	VYBER	15	39662	SLUZBY	\N	\N
1109262	3787	1995-01-31	VYDAJ	VYBER	15	29146	SLUZBY	\N	\N
1109263	3787	1995-02-28	VYDAJ	VYBER	15	32808	SLUZBY	\N	\N
1109264	3787	1995-03-31	VYDAJ	VYBER	15	33977	SLUZBY	\N	\N
1109265	3787	1995-04-30	VYDAJ	VYBER	15	33546	SLUZBY	\N	\N
1109266	3787	1995-05-31	VYDAJ	VYBER	15	34718	SLUZBY	\N	\N
1109267	3787	1995-06-30	VYDAJ	VYBER	15	21232	SLUZBY	\N	\N
1109268	3787	1995-07-31	VYDAJ	VYBER	15	31782	SLUZBY	\N	\N
1109269	3787	1995-08-31	VYDAJ	VYBER	15	36560	SLUZBY	\N	\N
1109270	3787	1995-09-30	VYDAJ	VYBER	15	37860	SLUZBY	\N	\N
1109271	3787	1995-10-31	VYDAJ	VYBER	15	38153	SLUZBY	\N	\N
1109272	3787	1995-11-30	VYDAJ	VYBER	15	44369	SLUZBY	\N	\N
1109273	3787	1995-12-31	VYDAJ	VYBER	15	58513	SLUZBY	\N	\N
1109274	3787	1996-01-31	VYDAJ	VYBER	15	53973	SLUZBY	\N	\N
1109275	3787	1996-02-29	VYDAJ	VYBER	15	55033	SLUZBY	\N	\N
1109276	3787	1996-03-31	VYDAJ	VYBER	15	60410	SLUZBY	\N	\N
1109277	3787	1996-04-30	VYDAJ	VYBER	15	57884	SLUZBY	\N	\N
1109278	3787	1996-05-31	VYDAJ	VYBER	15	60262	SLUZBY	\N	\N
1109279	3787	1996-06-30	VYDAJ	VYBER	15	48691	SLUZBY	\N	\N
1109280	3787	1996-07-31	VYDAJ	VYBER	15	56551	SLUZBY	\N	\N
1109281	3787	1996-08-31	VYDAJ	VYBER	15	59827	SLUZBY	\N	\N
1109282	3787	1996-09-30	VYDAJ	VYBER	15	63617	SLUZBY	\N	\N
1109283	3787	1996-10-31	VYDAJ	VYBER	15	61206	SLUZBY	\N	\N
1109284	3787	1996-11-30	VYDAJ	VYBER	15	63994	SLUZBY	\N	\N
1109285	3787	1996-12-31	VYDAJ	VYBER	15	51193	SLUZBY	\N	\N
1109286	3787	1997-01-31	VYDAJ	VYBER	15	45557	SLUZBY	\N	\N
1109287	3787	1997-02-28	VYDAJ	VYBER	15	47409	SLUZBY	\N	\N
1109288	3787	1997-03-31	VYDAJ	VYBER	15	45769	SLUZBY	\N	\N
1109289	3787	1997-04-30	VYDAJ	VYBER	15	43336	SLUZBY	\N	\N
1109290	3787	1997-05-31	VYDAJ	VYBER	15	43875	SLUZBY	\N	\N
1109291	3787	1997-06-30	VYDAJ	VYBER	15	44909	SLUZBY	\N	\N
1109292	3787	1997-07-31	VYDAJ	VYBER	15	42453	SLUZBY	\N	\N
1109293	3787	1997-08-31	VYDAJ	VYBER	15	37079	SLUZBY	\N	\N
1109294	3787	1997-09-30	VYDAJ	VYBER	15	39790	SLUZBY	\N	\N
1109295	3787	1997-10-31	VYDAJ	VYBER	15	41810	SLUZBY	\N	\N
1109296	3787	1997-11-30	VYDAJ	VYBER	15	47040	SLUZBY	\N	\N
1109297	3787	1997-12-31	VYDAJ	VYBER	15	55686	SLUZBY	\N	\N
1109298	3787	1998-01-31	VYDAJ	VYBER	15	38056	SLUZBY	\N	\N
1109299	3787	1998-02-28	VYDAJ	VYBER	15	44969	SLUZBY	\N	\N
1109300	3787	1998-03-31	VYDAJ	VYBER	15	45111	SLUZBY	\N	\N
1109301	3787	1998-04-30	VYDAJ	VYBER	15	46449	SLUZBY	\N	\N
1109302	3787	1998-05-31	VYDAJ	VYBER	15	44688	SLUZBY	\N	\N
1109303	3787	1998-06-30	VYDAJ	VYBER	15	43684	SLUZBY	\N	\N
1109304	3787	1998-07-31	VYDAJ	VYBER	15	46915	SLUZBY	\N	\N
1109305	3787	1998-08-31	VYDAJ	VYBER	15	51368	SLUZBY	\N	\N
1109306	3787	1998-09-30	VYDAJ	VYBER	15	54126	SLUZBY	\N	\N
1109307	3787	1998-10-31	VYDAJ	VYBER	15	55794	SLUZBY	\N	\N
1109308	3787	1998-11-30	VYDAJ	VYBER	15	57079	SLUZBY	\N	\N
1109309	3787	1993-03-21	PRIJEM	VKLAD	1800	23550	\N	\N	\N
1109310	3787	1993-04-20	VYDAJ	VYBER	12200	32335	\N	\N	\N
1109311	3787	1993-05-20	VYDAJ	VYBER	15300	38096	\N	\N	\N
1109312	3787	1993-06-19	VYDAJ	VYBER	22100	47565	\N	\N	\N
1109313	3787	1993-07-19	VYDAJ	VYBER	21600	42683	\N	\N	\N
1109314	3787	1993-08-18	VYDAJ	VYBER	17200	42214	\N	\N	\N
1109315	3787	1993-09-17	VYDAJ	VYBER	14600	38630	\N	\N	\N
1109316	3787	1993-10-17	VYDAJ	VYBER	13000	42346	\N	\N	\N
1109317	3787	1993-11-16	VYDAJ	VYBER	15200	43852	\N	\N	\N
1109318	3787	1993-12-16	VYDAJ	VYBER	22800	45542	\N	\N	\N
1109319	3787	1994-01-15	VYDAJ	VYBER	13000	42090	\N	\N	\N
1109320	3787	1994-02-14	VYDAJ	VYBER	14700	42010	\N	\N	\N
1109321	3787	1994-03-16	VYDAJ	VYBER	18700	40012	\N	\N	\N
1109322	3787	1994-04-15	VYDAJ	VYBER	13000	43718	\N	\N	\N
1109323	3787	1994-05-15	VYDAJ	VYBER	14000	42026	\N	\N	\N
1109324	3787	1994-06-14	VYDAJ	VYBER	13600	39914	\N	\N	\N
1109325	3787	1994-07-14	VYDAJ	VYBER	12900	43718	\N	\N	\N
1109326	3787	1994-08-13	VYDAJ	VYBER	19600	45231	\N	\N	\N
1109327	3787	1994-09-12	VYDAJ	VYBER	11800	41418	\N	\N	\N
1109328	3787	1994-10-12	VYDAJ	VYBER	13200	40791	\N	\N	\N
1109329	3787	1994-11-11	VYDAJ	VYBER	17500	39981	\N	\N	\N
1109330	3787	1994-12-11	VYDAJ	VYBER	18200	45028	\N	\N	\N
1109331	3787	1995-01-10	VYDAJ	VYBER	14900	42912	\N	\N	\N
1109332	3787	1995-02-09	VYDAJ	VYBER	13000	37096	\N	\N	\N
1109333	3787	1995-03-11	VYDAJ	VYBER	15500	38258	\N	\N	\N
1109334	3787	1995-04-10	VYDAJ	VYBER	17100	37827	\N	\N	\N
1109335	3787	1995-05-10	VYDAJ	VYBER	14500	38996	\N	\N	\N
1109336	3787	1995-06-09	VYDAJ	VYBER	20700	45443	\N	\N	\N
1109337	3787	1995-07-09	VYDAJ	VYBER	6100	36082	\N	\N	\N
1109338	3787	1995-08-08	VYDAJ	VYBER	11900	40832	\N	\N	\N
1109339	3787	1995-09-07	VYDAJ	VYBER	15400	42110	\N	\N	\N
1109340	3787	1995-10-07	VYDAJ	VYBER	15800	43010	\N	\N	\N
1109341	3787	1995-11-06	VYDAJ	VYBER	7700	30453	\N	\N	\N
1109342	3787	1995-12-06	VYDAJ	VYBER	7200	37169	\N	\N	\N
1109343	3787	1996-01-05	VYDAJ	VYBER	14100	42113	\N	\N	\N
1109344	3787	1996-02-04	VYDAJ	VYBER	14400	39573	\N	\N	\N
1109345	3787	1996-03-05	VYDAJ	VYBER	11400	43633	\N	\N	\N
1109346	3787	1996-04-04	VYDAJ	VYBER	16600	43810	\N	\N	\N
1109347	3787	1996-05-04	VYDAJ	VYBER	14400	43484	\N	\N	\N
1109348	3787	1996-06-03	VYDAJ	VYBER	16500	43762	\N	\N	\N
1109349	3787	1996-07-03	VYDAJ	VYBER	7900	40791	\N	\N	\N
1109350	3787	1996-08-02	VYDAJ	VYBER	13500	43051	\N	\N	\N
1109351	3787	1996-09-01	VYDAJ	VYBER	13000	46827	\N	\N	\N
1109352	3787	1996-10-01	VYDAJ	VYBER	17600	46017	\N	\N	\N
1109353	3787	1996-10-31	VYDAJ	VYBER	14000	47206	\N	\N	\N
1109354	3787	1996-11-30	VYDAJ	VYBER	15600	48394	\N	\N	\N
1109355	3787	1996-12-30	VYDAJ	VYBER	23400	50912	\N	\N	\N
1109356	3787	1997-01-29	VYDAJ	VYBER	9800	45336	\N	\N	\N
1109357	3787	1997-02-28	VYDAJ	VYBER	14900	47423	\N	\N	\N
1109358	3787	1997-03-30	VYDAJ	VYBER	18400	45552	\N	\N	\N
1109359	3787	1997-04-29	VYDAJ	VYBER	18700	43112	\N	\N	\N
1109360	3787	1997-05-29	VYDAJ	VYBER	13400	43679	\N	\N	\N
1109361	3787	1997-06-28	VYDAJ	VYBER	18400	44693	\N	\N	\N
1109362	3787	1997-07-28	VYDAJ	VYBER	19200	42252	\N	\N	\N
1109363	3787	1997-08-27	VYDAJ	VYBER	18900	36896	\N	\N	\N
1109364	3787	1997-09-26	VYDAJ	VYBER	14000	39622	\N	\N	\N
1109365	3787	1997-10-26	VYDAJ	VYBER	14700	41633	\N	\N	\N
1109366	3787	1997-11-25	VYDAJ	VYBER	11500	46853	\N	\N	\N
1109367	3787	1997-12-25	VYDAJ	VYBER	17300	55958	\N	\N	\N
1109368	3787	1998-01-24	VYDAJ	VYBER	17100	46229	\N	\N	\N
1109369	3787	1998-02-23	VYDAJ	VYBER	9800	44799	\N	\N	\N
1109370	3787	1998-03-25	VYDAJ	VYBER	11800	44912	\N	\N	\N
1109371	3787	1998-04-24	VYDAJ	VYBER	15400	46254	\N	\N	\N
1109372	3787	1998-05-24	VYDAJ	VYBER	18500	44492	\N	\N	\N
1109373	3787	1998-06-23	VYDAJ	VYBER	10400	43506	\N	\N	\N
1109374	3787	1998-07-23	VYDAJ	VYBER	13500	46727	\N	\N	\N
1109375	3787	1998-08-22	VYDAJ	VYBER	8800	51158	\N	\N	\N
1109376	3787	1998-09-21	VYDAJ	VYBER	14000	53911	\N	\N	\N
1109377	3787	1998-10-21	VYDAJ	VYBER	15100	55569	\N	\N	\N
1109378	3787	1998-11-20	VYDAJ	VYBER	13600	56837	\N	\N	\N
1109449	3788	1993-04-10	PRIJEM	VKLAD	300	300	\N	\N	\N
1109450	3788	1993-05-06	PRIJEM	VKLAD	40359	43465	\N	\N	\N
1109451	3788	1993-09-22	PRIJEM	VKLAD	26585	55989	\N	\N	\N
1109452	3788	1994-02-20	PRIJEM	VKLAD	14382	50799	\N	\N	\N
1109453	3788	1994-02-04	PRIJEM	VKLAD	22407	46617	\N	\N	\N
1109454	3788	1995-08-06	PRIJEM	VKLAD	27334	78576	\N	\N	\N
1109455	3788	1995-07-31	PRIJEM	VKLAD	17966	51145	\N	\N	\N
1109456	3788	1996-01-12	PRIJEM	VKLAD	2296	40579	\N	\N	\N
1109457	3788	1996-01-20	PRIJEM	VKLAD	22992	61271	\N	\N	\N
1109458	3788	1997-05-24	PRIJEM	VKLAD	8833	89832	\N	\N	\N
1109459	3788	1997-03-25	PRIJEM	VKLAD	21574	92369	\N	\N	\N
1109460	3788	1998-03-29	PRIJEM	VKLAD	29746	111777	\N	\N	\N
1109461	3788	1998-03-31	PRIJEM	VKLAD	32909	91724	\N	\N	\N
1109465	3788	1993-04-17	PRIJEM	VKLAD	1800	2100	\N	\N	\N
1109466	3788	1993-05-15	PRIJEM	VKLAD	1800	37465	\N	\N	\N
1109467	3788	1993-06-14	PRIJEM	VKLAD	1800	25866	\N	\N	\N
1109468	3788	1993-07-15	PRIJEM	VKLAD	1800	24372	\N	\N	\N
1109469	3788	1993-08-16	PRIJEM	VKLAD	1800	25563	\N	\N	\N
1109470	3788	1993-09-13	PRIJEM	VKLAD	1800	28404	\N	\N	\N
1109471	3788	1993-10-17	PRIJEM	VKLAD	1800	44421	\N	\N	\N
1109472	3788	1993-11-15	PRIJEM	VKLAD	1800	37867	\N	\N	\N
1109473	3788	1993-12-17	PRIJEM	VKLAD	1800	31524	\N	\N	\N
1109474	3788	1994-01-14	PRIJEM	VKLAD	1800	30304	\N	\N	\N
1109475	3788	1994-02-14	PRIJEM	VKLAD	1800	35417	\N	\N	\N
1109476	3788	1994-03-14	PRIJEM	VKLAD	1800	40764	\N	\N	\N
1109477	3788	1994-04-17	PRIJEM	VKLAD	1800	34286	\N	\N	\N
1109478	3788	1994-05-16	PRIJEM	VKLAD	1800	29327	\N	\N	\N
1109479	3788	1994-06-14	PRIJEM	VKLAD	1800	30991	\N	\N	\N
1109480	3788	1994-07-13	PRIJEM	VKLAD	1800	30603	\N	\N	\N
1109481	3788	1994-08-16	PRIJEM	VKLAD	1800	30218	\N	\N	\N
1109482	3788	1994-09-15	PRIJEM	VKLAD	1800	28934	\N	\N	\N
1109483	3788	1994-10-17	PRIJEM	VKLAD	1800	32846	\N	\N	\N
1109484	3788	1994-11-14	PRIJEM	VKLAD	1800	32564	\N	\N	\N
1109485	3788	1994-12-15	PRIJEM	VKLAD	1800	31685	\N	\N	\N
1109486	3788	1995-01-16	PRIJEM	VKLAD	1800	25305	\N	\N	\N
1109487	3788	1995-02-16	PRIJEM	VKLAD	1800	29610	\N	\N	\N
1109488	3788	1995-03-14	PRIJEM	VKLAD	1800	30115	\N	\N	\N
1109489	3788	1995-04-17	PRIJEM	VKLAD	1800	34229	\N	\N	\N
1109490	3788	1995-05-14	PRIJEM	VKLAD	1800	33753	\N	\N	\N
1109491	3788	1995-06-15	PRIJEM	VKLAD	1800	35678	\N	\N	\N
1109492	3788	1995-07-13	PRIJEM	VKLAD	1800	26379	\N	\N	\N
1109493	3788	1995-08-16	PRIJEM	VKLAD	1800	80376	\N	\N	\N
1109494	3788	1995-09-13	PRIJEM	VKLAD	1800	61627	\N	\N	\N
1109495	3788	1995-10-13	PRIJEM	VKLAD	1800	51858	\N	\N	\N
1109496	3788	1995-11-16	PRIJEM	VKLAD	1800	45052	\N	\N	\N
1109497	3788	1995-12-17	PRIJEM	VKLAD	1800	41924	\N	\N	\N
1109498	3788	1996-01-13	PRIJEM	VKLAD	1800	42379	\N	\N	\N
1109499	3788	1996-02-13	PRIJEM	VKLAD	1800	49492	\N	\N	\N
1109500	3788	1996-03-14	PRIJEM	VKLAD	1800	46378	\N	\N	\N
1109501	3788	1996-04-16	PRIJEM	VKLAD	1800	45250	\N	\N	\N
1109502	3788	1996-05-15	PRIJEM	VKLAD	1800	47270	\N	\N	\N
1109503	3788	1996-06-15	PRIJEM	VKLAD	1800	42150	\N	\N	\N
1109504	3788	1996-07-17	PRIJEM	VKLAD	1800	45121	\N	\N	\N
1109505	3788	1996-08-14	PRIJEM	VKLAD	1800	49392	\N	\N	\N
1109506	3788	1996-09-15	PRIJEM	VKLAD	1800	54583	\N	\N	\N
1109507	3788	1996-10-15	PRIJEM	VKLAD	1800	56590	\N	\N	\N
1109508	3788	1996-11-15	PRIJEM	VKLAD	1800	62711	\N	\N	\N
1109509	3788	1996-12-16	PRIJEM	VKLAD	1800	59546	\N	\N	\N
1109510	3788	1997-01-14	PRIJEM	VKLAD	1800	40973	\N	\N	\N
1109511	3788	1997-02-15	PRIJEM	VKLAD	1800	55973	\N	\N	\N
1109512	3788	1997-03-14	PRIJEM	VKLAD	1800	63295	\N	\N	\N
1109513	3788	1997-04-16	PRIJEM	VKLAD	1800	94445	\N	\N	\N
1109514	3788	1997-05-16	PRIJEM	VKLAD	1800	85999	\N	\N	\N
1109515	3788	1997-06-15	PRIJEM	VKLAD	1800	77770	\N	\N	\N
1109516	3788	1997-07-15	PRIJEM	VKLAD	1800	50479	\N	\N	\N
1109517	3788	1997-08-15	PRIJEM	VKLAD	1800	63797	\N	\N	\N
1109518	3788	1997-09-16	PRIJEM	VKLAD	1800	70857	\N	\N	\N
1109519	3788	1997-10-17	PRIJEM	VKLAD	1800	75033	\N	\N	\N
1109520	3788	1997-11-13	PRIJEM	VKLAD	1800	78124	\N	\N	\N
1109521	3788	1997-12-13	PRIJEM	VKLAD	1800	81431	\N	\N	\N
1109522	3788	1998-01-13	PRIJEM	VKLAD	1800	80243	\N	\N	\N
1109523	3788	1998-02-17	PRIJEM	VKLAD	1800	77742	\N	\N	\N
1109524	3788	1998-03-16	PRIJEM	VKLAD	1800	81031	\N	\N	\N
1109525	3788	1998-04-17	PRIJEM	VKLAD	1800	88410	\N	\N	\N
1109526	3788	1998-05-15	PRIJEM	VKLAD	1800	82967	\N	\N	\N
1109527	3788	1998-06-15	PRIJEM	VKLAD	1800	83705	\N	\N	\N
1109528	3788	1998-07-17	PRIJEM	VKLAD	1800	69703	\N	\N	\N
1109529	3788	1998-08-13	PRIJEM	VKLAD	1800	76541	\N	\N	\N
1109530	3788	1998-09-15	PRIJEM	VKLAD	1800	78034	\N	\N	\N
1109531	3788	1998-10-14	PRIJEM	VKLAD	1800	79939	\N	\N	\N
1109532	3788	1998-11-14	PRIJEM	VKLAD	1800	83250	\N	\N	\N
1109533	3788	1998-12-15	PRIJEM	VKLAD	1800	89175	\N	\N	\N
1109537	3788	1993-04-18	PRIJEM	VKLAD	1000	3100	\N	\N	\N
1109538	3788	1993-05-18	PRIJEM	VKLAD	1000	38465	\N	\N	\N
1109539	3788	1993-06-18	PRIJEM	VKLAD	1000	26866	\N	\N	\N
1109540	3788	1993-07-18	PRIJEM	VKLAD	1000	25372	\N	\N	\N
1109541	3788	1993-08-18	PRIJEM	VKLAD	1000	26563	\N	\N	\N
1109542	3788	1993-09-18	PRIJEM	VKLAD	1000	29404	\N	\N	\N
1109543	3788	1993-10-18	PRIJEM	VKLAD	1000	45421	\N	\N	\N
1109544	3788	1993-11-18	PRIJEM	VKLAD	1000	38867	\N	\N	\N
1109545	3788	1993-12-18	PRIJEM	VKLAD	1000	32524	\N	\N	\N
1109546	3788	1994-01-18	PRIJEM	VKLAD	1000	31304	\N	\N	\N
1109547	3788	1994-02-18	PRIJEM	VKLAD	1000	36417	\N	\N	\N
1109548	3788	1994-03-18	PRIJEM	VKLAD	1000	40414	\N	\N	\N
1109549	3788	1994-04-18	PRIJEM	VKLAD	1000	35286	\N	\N	\N
1109550	3788	1994-05-18	PRIJEM	VKLAD	1000	28577	\N	\N	\N
1109551	3788	1994-06-18	PRIJEM	VKLAD	1000	31991	\N	\N	\N
1109552	3788	1994-07-18	PRIJEM	VKLAD	1000	31603	\N	\N	\N
1109553	3788	1994-08-18	PRIJEM	VKLAD	1000	31218	\N	\N	\N
1109554	3788	1994-09-18	PRIJEM	VKLAD	1000	29934	\N	\N	\N
1109555	3788	1994-10-18	PRIJEM	VKLAD	1000	33846	\N	\N	\N
1109556	3788	1994-11-18	PRIJEM	VKLAD	1000	33564	\N	\N	\N
1109557	3788	1994-12-18	PRIJEM	VKLAD	1000	32685	\N	\N	\N
1109558	3788	1995-01-18	PRIJEM	VKLAD	1000	26305	\N	\N	\N
1109559	3788	1995-02-18	PRIJEM	VKLAD	1000	30610	\N	\N	\N
1109560	3788	1995-03-18	PRIJEM	VKLAD	1000	31115	\N	\N	\N
1109561	3788	1995-04-18	PRIJEM	VKLAD	1000	35229	\N	\N	\N
1109562	3788	1995-05-18	PRIJEM	VKLAD	1000	34753	\N	\N	\N
1109563	3788	1995-06-18	PRIJEM	VKLAD	1000	36678	\N	\N	\N
1109564	3788	1995-07-18	PRIJEM	VKLAD	1000	27379	\N	\N	\N
1109565	3788	1995-08-18	PRIJEM	VKLAD	1000	81376	\N	\N	\N
1109566	3788	1995-09-18	PRIJEM	VKLAD	1000	62627	\N	\N	\N
1109567	3788	1995-10-18	PRIJEM	VKLAD	1000	52858	\N	\N	\N
1109568	3788	1995-11-18	PRIJEM	VKLAD	1000	46052	\N	\N	\N
1109569	3788	1995-12-18	PRIJEM	VKLAD	1000	42924	\N	\N	\N
1109570	3788	1996-01-18	PRIJEM	VKLAD	1000	40779	\N	\N	\N
1109571	3788	1996-02-18	PRIJEM	VKLAD	1000	50492	\N	\N	\N
1109572	3788	1996-03-18	PRIJEM	VKLAD	1000	47378	\N	\N	\N
1109573	3788	1996-04-18	PRIJEM	VKLAD	1000	46250	\N	\N	\N
1109574	3788	1996-05-18	PRIJEM	VKLAD	1000	48270	\N	\N	\N
1109575	3788	1996-06-18	PRIJEM	VKLAD	1000	43150	\N	\N	\N
1109576	3788	1996-07-18	PRIJEM	VKLAD	1000	46121	\N	\N	\N
1109577	3788	1996-08-18	PRIJEM	VKLAD	1000	50392	\N	\N	\N
1109578	3788	1996-09-18	PRIJEM	VKLAD	1000	55583	\N	\N	\N
1109579	3788	1996-10-18	PRIJEM	VKLAD	1000	57590	\N	\N	\N
1109580	3788	1996-11-18	PRIJEM	VKLAD	1000	63711	\N	\N	\N
1109581	3788	1996-12-18	PRIJEM	VKLAD	1000	60546	\N	\N	\N
1109582	3788	1997-01-18	PRIJEM	VKLAD	1000	41973	\N	\N	\N
1109583	3788	1997-02-18	PRIJEM	VKLAD	1000	62673	\N	\N	\N
1109584	3788	1997-03-18	PRIJEM	VKLAD	1000	64295	\N	\N	\N
1109585	3788	1997-04-18	PRIJEM	VKLAD	1000	95445	\N	\N	\N
1109586	3788	1997-05-18	PRIJEM	VKLAD	1000	86999	\N	\N	\N
1109587	3788	1997-06-18	PRIJEM	VKLAD	1000	78770	\N	\N	\N
1109588	3788	1997-07-18	PRIJEM	VKLAD	1000	64279	\N	\N	\N
1109589	3788	1997-08-18	PRIJEM	VKLAD	1000	68797	\N	\N	\N
1109590	3788	1997-09-18	PRIJEM	VKLAD	1000	72457	\N	\N	\N
1109591	3788	1997-10-18	PRIJEM	VKLAD	1000	76033	\N	\N	\N
1109592	3788	1997-11-18	PRIJEM	VKLAD	1000	79324	\N	\N	\N
1109593	3788	1997-12-18	PRIJEM	VKLAD	1000	78931	\N	\N	\N
1109594	3788	1998-01-18	PRIJEM	VKLAD	1000	75343	\N	\N	\N
1109595	3788	1998-02-18	PRIJEM	VKLAD	1000	78742	\N	\N	\N
1109596	3788	1998-03-18	PRIJEM	VKLAD	1000	82031	\N	\N	\N
1109597	3788	1998-04-18	PRIJEM	VKLAD	1000	89410	\N	\N	\N
1109598	3788	1998-05-18	PRIJEM	VKLAD	1000	83967	\N	\N	\N
1109599	3788	1998-06-18	PRIJEM	VKLAD	1000	84705	\N	\N	\N
1109600	3788	1998-07-18	PRIJEM	VKLAD	1000	70703	\N	\N	\N
1109601	3788	1998-08-18	PRIJEM	VKLAD	1000	77541	\N	\N	\N
1109602	3788	1998-09-18	PRIJEM	VKLAD	1000	79034	\N	\N	\N
1109603	3788	1998-10-18	PRIJEM	VKLAD	1000	80939	\N	\N	\N
1109604	3788	1998-11-18	PRIJEM	VKLAD	1000	84250	\N	\N	\N
1109605	3788	1998-12-18	PRIJEM	VKLAD	1000	90175	\N	\N	\N
1109608	3788	1995-06-22	VYDAJ	VYBER	12100	14578	\N	\N	\N
1109609	3788	1996-06-08	VYDAJ	VYBER	6900	40350	\N	\N	\N
1109610	3788	1997-06-04	VYDAJ	VYBER	14200	75970	\N	\N	\N
1109611	3788	1998-06-20	VYDAJ	VYBER	13100	71605	\N	\N	\N
1109613	3788	1994-01-18	VYDAJ	VYBER	5900	25404	\N	\N	\N
1109614	3788	1995-01-14	VYDAJ	VYBER	3600	23505	\N	\N	\N
1109615	3788	1996-01-19	VYDAJ	VYBER	2500	38279	\N	\N	\N
1109616	3788	1997-01-12	VYDAJ	VYBER	8100	39173	\N	\N	\N
1109617	3788	1998-01-15	VYDAJ	VYBER	4100	74343	\N	\N	\N
1109618	3788	1993-06-07	VYDAJ	VYBER	12100	26466	\N	\N	\N
1109620	3788	1995-06-18	VYDAJ	VYBER	7700	28978	\N	\N	\N
1109621	3788	1996-06-18	VYDAJ	VYBER	6200	36950	\N	\N	\N
1109622	3788	1997-06-25	VYDAJ	VYBER	26600	49970	\N	\N	\N
1109623	3788	1998-06-25	VYDAJ	VYBER	18600	53005	\N	\N	\N
1109625	3788	1994-01-26	VYDAJ	VYBER	1300	24104	\N	\N	\N
1109626	3788	1995-01-07	VYDAJ	VYBER	5500	27105	\N	\N	\N
1109627	3788	1996-01-14	VYDAJ	VYBER	2600	39779	\N	\N	\N
1109628	3788	1997-01-10	VYDAJ	VYBER	9900	47273	\N	\N	\N
1109629	3788	1998-01-28	VYDAJ	VYBER	5400	69943	\N	\N	\N
1109630	3788	1993-12-20	VYDAJ	VYBER	2400	30124	\N	\N	\N
1109631	3788	1994-12-10	VYDAJ	VYBER	700	29885	\N	\N	\N
1109632	3788	1995-12-01	VYDAJ	VYBER	2600	40124	\N	\N	\N
1109633	3788	1996-12-25	VYDAJ	VYBER KARTOU	2100	56946	\N	\N	0
1109634	3788	1997-12-17	VYDAJ	VYBER KARTOU	2600	77931	\N	\N	0
1109635	3788	1998-12-26	VYDAJ	VYBER KARTOU	1900	88275	\N	\N	0
1109636	3788	1993-06-25	VYDAJ	VYBER	1400	25466	\N	\N	\N
1109637	3788	1993-08-21	VYDAJ	VYBER	1800	24313	\N	\N	\N
1109638	3788	1993-10-29	VYDAJ	VYBER	1850	43571	\N	\N	\N
1109639	3788	1993-08-20	VYDAJ	VYBER	450	26113	\N	\N	\N
1109640	3788	1993-12-24	VYDAJ	VYBER	850	29274	\N	\N	\N
1109641	3788	1994-07-09	VYDAJ	VYBER	400	28803	\N	\N	\N
1109642	3788	1994-11-08	VYDAJ	VYBER	1400	30764	\N	\N	\N
1109643	3788	1994-05-16	VYDAJ	VYBER	1750	27577	\N	\N	\N
1109644	3788	1994-10-31	VYDAJ	VYBER	1200	32779	\N	\N	\N
1109645	3788	1994-04-20	VYDAJ	VYBER	2100	33186	\N	\N	\N
1109646	3788	1994-03-16	VYDAJ	VYBER	1350	39414	\N	\N	\N
1109647	3788	1995-11-06	VYDAJ	VYBER	2400	43252	\N	\N	\N
1109648	3788	1995-05-11	VYDAJ	VYBER	600	31953	\N	\N	\N
1109649	3788	1995-06-18	VYDAJ	VYBER	2300	26678	\N	\N	\N
1109650	3788	1996-12-14	VYDAJ	VYBER KARTOU	1200	57746	\N	\N	0
1109651	3788	1996-02-01	VYDAJ	VYBER	1450	47692	\N	\N	\N
1109652	3788	1996-05-05	VYDAJ	VYBER	950	45470	\N	\N	\N
1109653	3788	1996-05-31	VYDAJ	VYBER	800	47265	\N	\N	\N
1109654	3788	1997-08-04	VYDAJ	VYBER KARTOU	2500	61997	\N	\N	0
1109655	3788	1997-12-24	VYDAJ	VYBER KARTOU	800	78131	\N	\N	0
1109656	3788	1997-02-25	VYDAJ	VYBER KARTOU	1400	61273	\N	\N	0
1109657	3788	1997-08-16	VYDAJ	VYBER KARTOU	600	63197	\N	\N	0
1109658	3788	1997-09-20	VYDAJ	VYBER KARTOU	600	71857	\N	\N	0
1109659	3788	1997-07-07	VYDAJ	VYBER KARTOU	1600	48679	\N	\N	0
1109660	3788	1998-02-24	VYDAJ	VYBER KARTOU	1400	77342	\N	\N	0
1109661	3788	1998-12-13	VYDAJ	VYBER KARTOU	2200	87375	\N	\N	0
1109662	3788	1998-09-22	VYDAJ	VYBER KARTOU	2400	76634	\N	\N	0
1109663	3788	1998-04-26	VYDAJ	VYBER KARTOU	2500	86910	\N	\N	0
1109669	3788	1993-05-31	VYDAJ	VYBER	15	38566	SLUZBY	\N	\N
1109670	3788	1993-06-30	VYDAJ	VYBER	15	25572	SLUZBY	\N	\N
1109671	3788	1993-07-31	VYDAJ	VYBER	15	25463	SLUZBY	\N	\N
1109672	3788	1993-08-31	VYDAJ	VYBER	15	24404	SLUZBY	\N	\N
1109673	3788	1993-09-30	VYDAJ	VYBER	15	56121	SLUZBY	\N	\N
1109674	3788	1993-10-31	VYDAJ	VYBER	15	43767	SLUZBY	\N	\N
1109675	3788	1993-11-30	VYDAJ	VYBER	15	39024	SLUZBY	\N	\N
1109676	3788	1993-12-31	VYDAJ	VYBER	15	29404	SLUZBY	\N	\N
1109677	3788	1994-01-31	VYDAJ	VYBER	15	24210	SLUZBY	\N	\N
1109678	3788	1994-02-28	VYDAJ	VYBER	15	50964	SLUZBY	\N	\N
1109679	3788	1994-03-31	VYDAJ	VYBER	15	40586	SLUZBY	\N	\N
1109680	3788	1994-04-30	VYDAJ	VYBER	15	33327	SLUZBY	\N	\N
1109681	3788	1994-05-31	VYDAJ	VYBER	15	28691	SLUZBY	\N	\N
1109682	3788	1994-06-30	VYDAJ	VYBER	15	32103	SLUZBY	\N	\N
1109683	3788	1994-07-31	VYDAJ	VYBER	15	31718	SLUZBY	\N	\N
1109684	3788	1994-08-31	VYDAJ	VYBER	15	31334	SLUZBY	\N	\N
1109685	3788	1994-09-30	VYDAJ	VYBER	15	30046	SLUZBY	\N	\N
1109686	3788	1994-10-31	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
1109687	3788	1994-11-30	VYDAJ	VYBER	15	33685	SLUZBY	\N	\N
1109688	3788	1994-12-31	VYDAJ	VYBER	15	32805	SLUZBY	\N	\N
1109689	3788	1995-01-31	VYDAJ	VYBER	15	27810	SLUZBY	\N	\N
1109690	3788	1995-02-28	VYDAJ	VYBER	15	30715	SLUZBY	\N	\N
1109691	3788	1995-03-31	VYDAJ	VYBER	15	32429	SLUZBY	\N	\N
1109692	3788	1995-04-30	VYDAJ	VYBER	15	35353	SLUZBY	\N	\N
1109693	3788	1995-05-31	VYDAJ	VYBER	15	33878	SLUZBY	\N	\N
1109694	3788	1995-06-30	VYDAJ	VYBER	15	24579	SLUZBY	\N	\N
1109695	3788	1995-07-31	VYDAJ	VYBER	15	51242	SLUZBY	\N	\N
1109696	3788	1995-08-31	VYDAJ	VYBER	15	59827	SLUZBY	\N	\N
1109697	3788	1995-09-30	VYDAJ	VYBER	15	50058	SLUZBY	\N	\N
1109698	3788	1995-10-31	VYDAJ	VYBER	15	45652	SLUZBY	\N	\N
1109699	3788	1995-11-30	VYDAJ	VYBER	15	42724	SLUZBY	\N	\N
1109700	3788	1995-12-31	VYDAJ	VYBER	15	38283	SLUZBY	\N	\N
1109701	3788	1996-01-31	VYDAJ	VYBER	15	49142	SLUZBY	\N	\N
1109702	3788	1996-02-29	VYDAJ	VYBER	15	44578	SLUZBY	\N	\N
1109703	3788	1996-03-31	VYDAJ	VYBER	15	43450	SLUZBY	\N	\N
1109704	3788	1996-04-30	VYDAJ	VYBER	15	46420	SLUZBY	\N	\N
1109705	3788	1996-05-31	VYDAJ	VYBER	15	47250	SLUZBY	\N	\N
1109706	3788	1996-06-30	VYDAJ	VYBER	15	43321	SLUZBY	\N	\N
1109707	3788	1996-07-31	VYDAJ	VYBER	15	47592	SLUZBY	\N	\N
1109708	3788	1996-08-31	VYDAJ	VYBER	15	52783	SLUZBY	\N	\N
1109709	3788	1996-09-30	VYDAJ	VYBER	15	54790	SLUZBY	\N	\N
1109710	3788	1996-10-31	VYDAJ	VYBER	15	60911	SLUZBY	\N	\N
1109711	3788	1996-11-30	VYDAJ	VYBER	15	58946	SLUZBY	\N	\N
1109712	3788	1996-12-31	VYDAJ	VYBER	15	57173	SLUZBY	\N	\N
1109713	3788	1997-01-31	VYDAJ	VYBER	15	54173	SLUZBY	\N	\N
1109714	3788	1997-02-28	VYDAJ	VYBER	15	61495	SLUZBY	\N	\N
1109715	3788	1997-03-31	VYDAJ	VYBER	15	92645	SLUZBY	\N	\N
1109716	3788	1997-04-30	VYDAJ	VYBER	15	84199	SLUZBY	\N	\N
1109717	3788	1997-05-31	VYDAJ	VYBER	15	90170	SLUZBY	\N	\N
1109718	3788	1997-06-30	VYDAJ	VYBER	15	50279	SLUZBY	\N	\N
1109719	3788	1997-07-31	VYDAJ	VYBER	15	64497	SLUZBY	\N	\N
1109720	3788	1997-08-31	VYDAJ	VYBER	15	69057	SLUZBY	\N	\N
1109721	3788	1997-09-30	VYDAJ	VYBER	15	72133	SLUZBY	\N	\N
1109722	3788	1997-10-31	VYDAJ	VYBER	15	76324	SLUZBY	\N	\N
1109723	3788	1997-11-30	VYDAJ	VYBER	15	79631	SLUZBY	\N	\N
1109724	3788	1997-12-31	VYDAJ	VYBER	15	78443	SLUZBY	\N	\N
1109725	3788	1998-01-31	VYDAJ	VYBER	15	70242	SLUZBY	\N	\N
1109726	3788	1998-02-28	VYDAJ	VYBER	15	77631	SLUZBY	\N	\N
1109727	3788	1998-03-31	VYDAJ	VYBER	15	91710	SLUZBY	\N	\N
1109728	3788	1998-04-30	VYDAJ	VYBER	15	87267	SLUZBY	\N	\N
1109729	3788	1998-05-31	VYDAJ	VYBER	15	84305	SLUZBY	\N	\N
1109730	3788	1998-06-30	VYDAJ	VYBER	15	53303	SLUZBY	\N	\N
1109731	3788	1998-07-31	VYDAJ	VYBER	15	70941	SLUZBY	\N	\N
1109732	3788	1998-08-31	VYDAJ	VYBER	15	77834	SLUZBY	\N	\N
1109733	3788	1998-09-30	VYDAJ	VYBER	15	76939	SLUZBY	\N	\N
1109734	3788	1998-10-31	VYDAJ	VYBER	15	81250	SLUZBY	\N	\N
1109735	3788	1998-11-30	VYDAJ	VYBER	15	84575	SLUZBY	\N	\N
1109736	3788	1993-05-10	VYDAJ	VYBER	7800	35665	\N	\N	\N
1109737	3788	1993-06-09	VYDAJ	VYBER	2400	24066	\N	\N	\N
1109738	3788	1993-07-09	VYDAJ	VYBER	3000	22572	\N	\N	\N
1109739	3788	1993-08-08	VYDAJ	VYBER	1700	23763	\N	\N	\N
1109740	3788	1993-09-07	PRIJEM	VKLAD	2200	26604	\N	\N	\N
1109741	3788	1993-10-07	VYDAJ	VYBER	13500	42621	\N	\N	\N
1109742	3788	1993-11-06	VYDAJ	VYBER	7700	36067	\N	\N	\N
1109743	3788	1993-12-06	VYDAJ	VYBER	9300	29724	\N	\N	\N
1109744	3788	1994-01-05	VYDAJ	VYBER	900	28504	\N	\N	\N
1109745	3788	1994-02-04	VYDAJ	VYBER	13000	33617	\N	\N	\N
1109746	3788	1994-03-06	VYDAJ	VYBER	12000	38964	\N	\N	\N
1109747	3788	1994-04-05	VYDAJ	VYBER	8100	32486	\N	\N	\N
1109748	3788	1994-05-05	VYDAJ	VYBER	5800	27527	\N	\N	\N
1109749	3788	1994-06-04	PRIJEM	VKLAD	500	29191	\N	\N	\N
1109750	3788	1994-07-04	VYDAJ	VYBER	2900	29203	\N	\N	\N
1109751	3788	1994-08-03	VYDAJ	VYBER	3300	28418	\N	\N	\N
1109752	3788	1994-09-02	VYDAJ	VYBER	4200	27134	\N	\N	\N
1109753	3788	1994-10-02	PRIJEM	VKLAD	1000	31046	\N	\N	\N
1109754	3788	1994-11-01	VYDAJ	VYBER	600	32164	\N	\N	\N
1109755	3788	1994-12-01	VYDAJ	VYBER	3100	30585	\N	\N	\N
1109756	3788	1994-12-31	VYDAJ	VYBER	200	32605	\N	\N	\N
1109757	3788	1995-01-30	PRIJEM	VKLAD	1400	27705	\N	\N	\N
1109758	3788	1995-03-01	VYDAJ	VYBER	2400	28315	\N	\N	\N
1109759	3788	1995-03-31	PRIJEM	VKLAD	1200	32443	\N	\N	\N
1109760	3788	1995-04-30	VYDAJ	VYBER	2800	32553	\N	\N	\N
1109761	3788	1995-05-30	VYDAJ	VYBER	1000	33753	\N	\N	\N
1109762	3788	1995-06-29	PRIJEM	VKLAD	9900	24478	\N	\N	\N
1109763	3788	1995-07-29	PRIJEM	VKLAD	5800	33179	\N	\N	\N
1109764	3788	1995-08-28	VYDAJ	VYBER	21800	59576	\N	\N	\N
1109765	3788	1995-09-27	VYDAJ	VYBER	12800	49827	\N	\N	\N
1109766	3788	1995-10-27	VYDAJ	VYBER	7400	45458	\N	\N	\N
1109767	3788	1995-11-26	VYDAJ	VYBER	3500	42552	\N	\N	\N
1109768	3788	1995-12-26	VYDAJ	VYBER	4800	38124	\N	\N	\N
1109769	3788	1996-01-25	VYDAJ	VYBER	12300	48971	\N	\N	\N
1109770	3788	1996-02-24	VYDAJ	VYBER	6100	44392	\N	\N	\N
1109771	3788	1996-03-25	VYDAJ	VYBER	4100	43278	\N	\N	\N
1109772	3788	1996-05-24	VYDAJ	VYBER	400	47870	\N	\N	\N
1109773	3788	1996-06-23	PRIJEM	VKLAD	6200	43150	\N	\N	\N
1109774	3788	1996-07-23	PRIJEM	VKLAD	1300	47421	\N	\N	\N
1109775	3788	1996-08-22	PRIJEM	VKLAD	2200	52592	\N	\N	\N
1109776	3788	1996-09-21	VYDAJ	VYBER	1000	54583	\N	\N	\N
1109777	3788	1996-10-21	PRIJEM	VKLAD	3100	60690	\N	\N	\N
1109778	3788	1996-11-20	VYDAJ	VYBER	5000	58711	\N	\N	\N
1109779	3788	1996-12-20	VYDAJ	VYBER KARTOU	1500	59046	\N	\N	0
1109780	3788	1997-01-19	PRIJEM	VKLAD	12000	53973	\N	\N	\N
1109781	3788	1997-02-18	PRIJEM	VKLAD	5700	61673	\N	\N	\N
1109782	3788	1997-03-20	PRIJEM	VKLAD	6500	70795	\N	\N	\N
1109783	3788	1997-04-19	VYDAJ	VYBER	11600	83845	\N	\N	\N
1109784	3788	1997-05-19	VYDAJ	VYBER	6000	80999	\N	\N	\N
1109785	3788	1997-06-18	VYDAJ	VYBER KARTOU	2200	76570	\N	\N	0
1109786	3788	1997-07-18	PRIJEM	VKLAD	12800	63279	\N	\N	\N
1109787	3788	1997-08-17	PRIJEM	VKLAD	4600	67797	\N	\N	\N
1109788	3788	1997-09-16	PRIJEM	VKLAD	600	71457	\N	\N	\N
1109789	3788	1997-10-16	PRIJEM	VKLAD	1100	73233	\N	\N	\N
1109790	3788	1997-11-15	PRIJEM	VKLAD	200	78324	\N	\N	\N
1109791	3788	1997-12-15	VYDAJ	VYBER KARTOU	900	80531	\N	\N	0
1109792	3788	1998-01-14	VYDAJ	VYBER KARTOU	1800	78443	\N	\N	0
1109793	3788	1998-02-13	PRIJEM	VKLAD	5700	75942	\N	\N	\N
1109794	3788	1998-03-15	PRIJEM	VKLAD	1600	79231	\N	\N	\N
1109795	3788	1998-03-29	VYDAJ	VYBER	53300	58477	\N	\N	\N
1109796	3788	1998-04-14	VYDAJ	VYBER	5100	86610	\N	\N	\N
1109797	3788	1998-05-14	VYDAJ	VYBER	6100	81167	\N	\N	\N
1109798	3788	1998-06-13	VYDAJ	VYBER KARTOU	2400	81905	\N	\N	0
1109799	3788	1998-07-13	PRIJEM	VKLAD	14600	67903	\N	\N	\N
1109800	3788	1998-08-12	PRIJEM	VKLAD	3800	74741	\N	\N	\N
1109801	3788	1998-09-11	VYDAJ	VYBER KARTOU	1600	76234	\N	\N	0
1109802	3788	1998-10-11	PRIJEM	VKLAD	1200	78139	\N	\N	\N
1109803	3788	1998-11-10	PRIJEM	VKLAD	200	81450	\N	\N	\N
1109804	3788	1998-12-10	PRIJEM	VKLAD	5000	89575	\N	\N	\N
1109874	3789	1996-08-18	PRIJEM	VKLAD	500	500	\N	\N	\N
1109875	3789	1996-11-14	PRIJEM	VKLAD	20276	78674	\N	\N	\N
1109876	3789	1996-10-21	PRIJEM	VKLAD	37099	58251	\N	\N	\N
1109879	3789	1996-09-03	PRIJEM	VKLAD	23908	24408	\N	\N	\N
1109881	3789	1996-11-23	PRIJEM	VKLAD	27360	77534	\N	\N	\N
1109886	3789	1997-09-06	PRIJEM	VKLAD	47866	68932	\N	\N	\N
1109887	3789	1997-06-11	PRIJEM	VKLAD	11941	34412	\N	\N	\N
1109888	3789	1997-04-22	PRIJEM	VKLAD	22435	54717	\N	\N	\N
1109889	3789	1998-11-21	PRIJEM	VKLAD	27868	100143	\N	\N	\N
1109890	3789	1998-07-14	PRIJEM	VKLAD	48247	93829	\N	\N	\N
1109891	3789	1998-03-18	PRIJEM	VKLAD	11982	95273	\N	\N	\N
1109892	3789	1998-11-10	PRIJEM	VKLAD	26057	76475	\N	\N	\N
1109893	3789	1998-03-12	PRIJEM	VKLAD	44329	111191	\N	\N	\N
1109894	3789	1998-12-23	PRIJEM	VKLAD	20659	54343	\N	\N	\N
1109895	3789	1998-09-04	PRIJEM	VKLAD	27057	69141	\N	\N	\N
1109896	3789	1998-01-15	PRIJEM	VKLAD	12005	45304	\N	\N	\N
1109897	3789	1998-08-16	PRIJEM	VKLAD	10364	41901	\N	\N	\N
1109898	3789	1998-05-10	PRIJEM	VKLAD	7513	90467	\N	\N	\N
1109899	3789	1998-07-11	PRIJEM	VKLAD	21642	45582	\N	\N	\N
1109900	3789	1998-12-06	PRIJEM	VKLAD	34335	123718	\N	\N	\N
1109901	3789	1998-01-09	PRIJEM	VKLAD	40867	61643	\N	\N	\N
1109902	3789	1998-03-22	PRIJEM	VKLAD	7865	103138	\N	\N	\N
1109903	3789	1998-10-26	PRIJEM	VKLAD	32236	88150	\N	\N	\N
1109904	3789	1998-02-21	PRIJEM	VKLAD	16515	46208	\N	\N	\N
1109905	3789	1998-10-22	PRIJEM	VKLAD	32061	55914	\N	\N	\N
1109906	3789	1998-05-06	PRIJEM	VKLAD	32723	94198	\N	\N	\N
1109907	3789	1998-06-17	PRIJEM	VKLAD	22911	64360	\N	\N	\N
1109908	3789	1998-09-21	PRIJEM	VKLAD	40220	78617	\N	\N	\N
1109909	3789	1998-06-23	PRIJEM	VKLAD	43999	96207	\N	\N	\N
1109910	3789	1998-03-12	PRIJEM	VKLAD	37548	66862	\N	\N	\N
1109927	3789	1997-05-09	VYDAJ	PREVOD NA UCET	11244	42253	SIPO	QR	43976020
1109928	3789	1997-06-09	VYDAJ	PREVOD NA UCET	11244	22471	SIPO	QR	43976020
1109929	3789	1997-07-09	VYDAJ	PREVOD NA UCET	11244	9776	SIPO	QR	43976020
1109930	3789	1997-08-09	VYDAJ	PREVOD NA UCET	11244	6998	SIPO	QR	43976020
1109931	3789	1997-09-09	VYDAJ	PREVOD NA UCET	11244	57688	SIPO	QR	43976020
1109932	3789	1997-10-09	VYDAJ	PREVOD NA UCET	11244	15134	SIPO	QR	43976020
1109933	3789	1997-11-09	VYDAJ	PREVOD NA UCET	11244	12778	SIPO	QR	43976020
1109934	3789	1997-12-09	VYDAJ	PREVOD NA UCET	11244	10488	SIPO	QR	43976020
1109935	3789	1998-01-09	VYDAJ	PREVOD NA UCET	11244	50399	SIPO	QR	43976020
1109936	3789	1998-02-09	VYDAJ	PREVOD NA UCET	11244	29693	SIPO	QR	43976020
1109937	3789	1998-03-09	VYDAJ	PREVOD NA UCET	11244	22514	SIPO	QR	43976020
1109938	3789	1998-04-09	VYDAJ	PREVOD NA UCET	11244	92182	SIPO	QR	43976020
1109939	3789	1998-05-09	VYDAJ	PREVOD NA UCET	11244	82954	SIPO	QR	43976020
1109940	3789	1998-06-09	VYDAJ	PREVOD NA UCET	11244	53949	SIPO	QR	43976020
1109941	3789	1998-07-09	VYDAJ	PREVOD NA UCET	11244	23940	SIPO	QR	43976020
1109942	3789	1998-08-09	VYDAJ	PREVOD NA UCET	11244	39212	SIPO	QR	43976020
1109943	3789	1998-09-09	VYDAJ	PREVOD NA UCET	11244	38397	SIPO	QR	43976020
1109944	3789	1998-10-09	VYDAJ	PREVOD NA UCET	11244	23853	SIPO	QR	43976020
1109945	3789	1998-11-09	VYDAJ	PREVOD NA UCET	11244	50418	SIPO	QR	43976020
1109946	3789	1998-12-09	VYDAJ	PREVOD NA UCET	11244	51784	SIPO	QR	43976020
1109954	3789	1997-06-18	VYBER	VYBER	9794	20918	\N	\N	\N
1109956	3789	1997-09-13	VYBER	VYBER	16720	28968	\N	\N	\N
1109958	3789	1997-11-15	VYBER	VYBER	4427	21651	\N	\N	\N
1109966	3789	1998-01-07	VYBER	VYBER	2993	20776	\N	\N	\N
1109967	3789	1998-12-25	VYBER	VYBER	7915	46428	\N	\N	\N
1109968	3789	1998-07-15	VYBER	VYBER	16983	76846	\N	\N	\N
1109970	3789	1998-12-09	VYBER	VYBER	5790	63028	\N	\N	\N
1109971	3789	1998-12-19	VYBER	VYBER	4900	44784	\N	\N	\N
1109972	3789	1998-06-18	VYBER	VYBER	12152	52208	\N	\N	\N
1109973	3789	1998-10-09	VYBER	VYBER	19226	35097	\N	\N	\N
1109974	3789	1998-08-15	VYBER	VYBER	7675	31537	\N	\N	\N
1109977	3789	1998-06-23	VYDAJ	VYBER	70500	25707	\N	\N	\N
1109980	3789	1998-12-18	VYDAJ	VYBER	2100	49684	\N	\N	\N
1109993	3789	1998-01-30	VYDAJ	VYBER	3600	30904	\N	\N	\N
1109994	3789	1998-01-13	VYDAJ	VYBER	5400	33299	\N	\N	\N
1109995	3789	1998-01-19	VYDAJ	VYBER	5400	39904	\N	\N	\N
1109996	3789	1998-01-12	VYDAJ	VYBER	8400	38699	\N	\N	\N
1109997	3789	1998-01-28	VYDAJ	VYBER	3000	34504	\N	\N	\N
1109998	3789	1998-01-21	VYDAJ	VYBER	2400	37504	\N	\N	\N
1110003	3789	1997-09-26	VYDAJ	VYBER	2700	26268	\N	\N	\N
1110006	3789	1997-04-28	VYDAJ	VYBER	1500	53217	\N	\N	\N
1110008	3789	1998-12-19	VYDAJ	VYBER	11100	33684	\N	\N	\N
1110009	3789	1998-07-20	VYDAJ	VYBER	9300	67546	\N	\N	\N
1110010	3789	1998-03-09	VYDAJ	VYBER	12600	33758	\N	\N	\N
1110011	3789	1998-12-03	VYDAJ	VYBER	11100	89383	\N	\N	\N
1110012	3789	1998-11-12	VYDAJ	VYBER	4200	72275	\N	\N	\N
1110030	3789	1997-04-30	VYDAJ	VYBER	15	53497	SLUZBY	\N	\N
1110031	3789	1997-05-31	VYDAJ	VYBER	15	33715	SLUZBY	\N	\N
1110032	3789	1997-06-30	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
1110033	3789	1997-07-31	VYDAJ	VYBER	15	18242	SLUZBY	\N	\N
1110034	3789	1997-08-31	VYDAJ	VYBER	15	21066	SLUZBY	\N	\N
1110035	3789	1997-09-30	VYDAJ	VYBER	15	26378	SLUZBY	\N	\N
1110036	3789	1997-10-31	VYDAJ	VYBER	15	24022	SLUZBY	\N	\N
1110037	3789	1997-11-30	VYDAJ	VYBER	15	21732	SLUZBY	\N	\N
1110038	3789	1997-12-31	VYDAJ	VYBER	15	23769	SLUZBY	\N	\N
1110039	3789	1998-01-31	VYDAJ	VYBER	15	31037	SLUZBY	\N	\N
1110040	3789	1998-02-28	VYDAJ	VYBER	15	46358	SLUZBY	\N	\N
1110041	3789	1998-03-31	VYDAJ	VYBER	15	103426	SLUZBY	\N	\N
1110042	3789	1998-04-30	VYDAJ	VYBER	15	61475	SLUZBY	\N	\N
1110043	3789	1998-05-31	VYDAJ	VYBER	15	65193	SLUZBY	\N	\N
1110044	3789	1998-06-30	VYDAJ	VYBER	15	25884	SLUZBY	\N	\N
1110045	3789	1998-07-31	VYDAJ	VYBER	15	67756	SLUZBY	\N	\N
1110046	3789	1998-08-31	VYDAJ	VYBER	15	42084	SLUZBY	\N	\N
1110047	3789	1998-09-30	VYDAJ	VYBER	15	78823	SLUZBY	\N	\N
1110048	3789	1998-10-31	VYDAJ	VYBER	15	88362	SLUZBY	\N	\N
1110049	3789	1998-11-30	VYDAJ	VYBER	15	100483	SLUZBY	\N	\N
1110050	3789	1996-09-17	VYDAJ	VYBER	1800	22608	\N	\N	\N
1110051	3789	1996-10-17	VYDAJ	VYBER	1500	21152	\N	\N	\N
1110052	3789	1996-11-16	VYDAJ	VYBER	28500	50174	\N	\N	\N
1110053	3789	1996-12-16	VYDAJ	VYBER	25200	52590	\N	\N	\N
1110054	3789	1997-01-15	VYDAJ	VYBER	14800	38113	\N	\N	\N
1110055	3789	1997-02-14	VYDAJ	VYBER	7000	31436	\N	\N	\N
1110056	3789	1997-03-16	PRIJEM	VKLAD	100	31859	\N	\N	\N
1110057	3789	1997-04-15	PRIJEM	VKLAD	100	32282	\N	\N	\N
1110058	3789	1997-05-15	VYDAJ	VYBER	8700	33553	\N	\N	\N
1110059	3789	1997-06-14	VYDAJ	VYBER	3700	30712	\N	\N	\N
1110060	3789	1997-07-14	PRIJEM	VKLAD	8400	18176	\N	\N	\N
1110061	3789	1997-08-13	PRIJEM	VKLAD	14000	20998	\N	\N	\N
1110062	3789	1997-09-12	VYDAJ	VYBER	12000	45688	\N	\N	\N
1110063	3789	1997-10-12	PRIJEM	VKLAD	8800	23934	\N	\N	\N
1110064	3789	1997-11-11	PRIJEM	VKLAD	13300	26078	\N	\N	\N
1110065	3789	1997-12-11	PRIJEM	VKLAD	13200	23688	\N	\N	\N
1110066	3789	1998-01-10	VYDAJ	VYBER	3300	47099	\N	\N	\N
1110067	3789	1998-02-09	PRIJEM	VKLAD	9900	40937	\N	\N	\N
1110068	3789	1998-03-11	PRIJEM	VKLAD	6800	29314	\N	\N	\N
1110069	3789	1998-03-12	VYDAJ	VYBER	27900	83291	\N	\N	\N
1110070	3789	1998-04-10	VYDAJ	VYBER	31000	61182	\N	\N	\N
1110071	3789	1998-05-10	VYDAJ	VYBER	25600	64867	\N	\N	\N
1110072	3789	1998-06-09	VYDAJ	VYBER	12500	41449	\N	\N	\N
1110073	3789	1998-07-09	PRIJEM	VKLAD	9300	35184	\N	\N	\N
1110074	3789	1998-08-08	VYDAJ	VYBER	17300	50456	\N	\N	\N
1110075	3789	1998-09-07	VYDAJ	VYBER	19500	49641	\N	\N	\N
1110076	3789	1998-10-07	VYDAJ	VYBER	24500	54323	\N	\N	\N
1110077	3789	1998-11-06	VYDAJ	VYBER	26700	61662	\N	\N	\N
1110078	3789	1998-12-06	VYDAJ	VYBER	15300	108418	\N	\N	\N
1110079	3789	1998-12-06	VYDAJ	VYBER	39600	68818	\N	\N	\N
1110108	3790	1997-05-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1110109	3790	1997-05-28	PRIJEM	VKLAD	45603	77212	\N	\N	\N
1110111	3790	1997-12-25	PRIJEM	VKLAD	11376	95985	\N	\N	\N
1110112	3790	1997-06-19	PRIJEM	VKLAD	5383	44626	\N	\N	\N
1110113	3790	1997-08-22	PRIJEM	VKLAD	47515	69149	\N	\N	\N
1110115	3790	1997-12-25	PRIJEM	VKLAD	18341	114326	\N	\N	\N
1110117	3790	1997-06-28	PRIJEM	VKLAD	15154	59780	\N	\N	\N
1110118	3790	1997-12-05	PRIJEM	VKLAD	48320	89777	\N	\N	\N
1110119	3790	1997-12-15	PRIJEM	VKLAD	19432	70509	\N	\N	\N
1110120	3790	1997-05-15	PRIJEM	VKLAD	30509	31609	\N	\N	\N
1110124	3790	1997-09-14	PRIJEM	VKLAD	26896	102161	\N	\N	\N
1110125	3790	1997-05-31	PRIJEM	VKLAD	36837	114143	\N	\N	\N
1110126	3790	1997-11-10	PRIJEM	VKLAD	9065	41314	\N	\N	\N
1110127	3790	1997-12-21	PRIJEM	VKLAD	31500	102009	\N	\N	\N
1110129	3790	1997-08-27	PRIJEM	VKLAD	28348	97497	\N	\N	\N
1110130	3790	1997-09-17	PRIJEM	VKLAD	42570	144731	\N	\N	\N
1110131	3790	1997-09-14	PRIJEM	VKLAD	17209	75265	\N	\N	\N
1110135	3790	1998-06-23	VYBER	VYBER	4593	9627	\N	\N	\N
1110138	3790	1998-02-21	VYBER	VYBER	18637	701	\N	\N	\N
1110140	3790	1998-03-14	VYBER	VYBER	9931	192	\N	\N	\N
1110141	3790	1998-07-02	VYBER	VYBER	4056	5587	\N	\N	\N
1110145	3790	1998-01-07	VYDAJ	VYBER	23700	11280	\N	\N	\N
1110146	3790	1997-12-22	VYDAJ	VYBER	6300	95709	\N	\N	\N
1110147	3790	1998-12-06	VYDAJ	VYBER	8400	9366	\N	\N	\N
1110148	3790	1997-07-18	VYDAJ	VYBER	9900	31967	\N	\N	\N
1110149	3790	1997-12-25	VYDAJ	VYBER	6900	34726	\N	\N	\N
1110150	3790	1997-09-27	VYDAJ	VYBER	12000	68531	\N	\N	\N
1110152	3790	1997-12-23	VYDAJ	VYBER	11100	84609	\N	\N	\N
1110153	3790	1997-08-12	VYDAJ	VYBER	3600	21634	\N	\N	\N
1110154	3790	1997-10-01	VYDAJ	VYBER	5100	63770	\N	\N	\N
1110155	3790	1997-12-25	VYDAJ	VYBER	10800	41626	\N	\N	\N
1110156	3790	1998-08-16	VYDAJ	VYBER	5700	4799	\N	\N	\N
1110158	3790	1998-04-18	VYDAJ	VYBER	8700	2763	\N	\N	\N
1110159	3790	1998-11-13	VYDAJ	VYBER	3300	7676	\N	\N	\N
1110160	3790	1998-10-15	VYDAJ	VYBER	12900	590	\N	\N	\N
1110167	3790	1997-06-30	VYDAJ	VYBER	30	59967	SLUZBY	\N	\N
1110168	3790	1997-07-31	VYDAJ	VYBER	30	32134	SLUZBY	\N	\N
1110169	3790	1997-08-31	VYDAJ	VYBER	30	97656	SLUZBY	\N	\N
1110170	3790	1997-09-30	VYDAJ	VYBER	30	68870	SLUZBY	\N	\N
1110171	3790	1997-10-31	VYDAJ	VYBER	30	42649	SLUZBY	\N	\N
1110172	3790	1997-11-30	VYDAJ	VYBER	30	41457	SLUZBY	\N	\N
1110173	3790	1997-12-31	VYDAJ	VYBER	30	34980	SLUZBY	\N	\N
1110174	3790	1998-01-31	VYDAJ	VYBER	30	17338	SLUZBY	\N	\N
1110175	3790	1998-02-28	VYDAJ	VYBER	30	723	SLUZBY	\N	\N
1110176	3790	1998-03-31	VYDAJ	VYBER	30	163	SLUZBY	\N	\N
1110177	3790	1998-04-30	VYDAJ	VYBER	30	2738	SLUZBY	\N	\N
1110178	3790	1998-05-31	VYDAJ	VYBER	30	11520	SLUZBY	\N	\N
1110179	3790	1998-06-30	VYDAJ	VYBER	30	9643	SLUZBY	\N	\N
1110180	3790	1998-07-31	VYDAJ	VYBER	30	10599	SLUZBY	\N	\N
1110181	3790	1998-08-31	VYDAJ	VYBER	30	4800	SLUZBY	\N	\N
1110182	3790	1998-09-30	VYDAJ	VYBER	30	8290	SLUZBY	\N	\N
1110183	3790	1998-10-31	VYDAJ	VYBER	30	576	SLUZBY	\N	\N
1110184	3790	1998-11-30	VYDAJ	VYBER	30	7666	SLUZBY	\N	\N
1110185	3790	1997-05-31	VYDAJ	VYBER	59500	54643	\N	\N	\N
1110186	3790	1997-06-12	VYDAJ	VYBER	15400	39243	\N	\N	\N
1110187	3790	1997-07-12	VYDAJ	VYBER	18100	41867	\N	\N	\N
1110188	3790	1997-08-11	VYDAJ	VYBER	6900	25234	\N	\N	\N
1110189	3790	1997-09-10	VYDAJ	VYBER	39600	58056	\N	\N	\N
1110190	3790	1997-09-17	VYDAJ	VYBER	64200	80531	\N	\N	\N
1110191	3790	1997-10-10	VYDAJ	VYBER	21300	42470	\N	\N	\N
1110192	3790	1997-11-09	VYDAJ	VYBER	10400	32249	\N	\N	\N
1110193	3790	1997-12-09	VYDAJ	VYBER	38700	51077	\N	\N	\N
1110194	3790	1997-12-25	VYDAJ	VYBER	61900	52426	\N	\N	\N
1110195	3790	1998-01-08	PRIJEM	VKLAD	6000	17280	\N	\N	\N
1110196	3790	1998-02-07	PRIJEM	VKLAD	2000	19338	\N	\N	\N
1110197	3790	1998-03-09	PRIJEM	VKLAD	9400	10123	\N	\N	\N
1110198	3790	1998-04-08	PRIJEM	VKLAD	11300	11463	\N	\N	\N
1110199	3790	1998-05-08	PRIJEM	VKLAD	8800	11538	\N	\N	\N
1110200	3790	1998-06-07	PRIJEM	VKLAD	2700	14220	\N	\N	\N
1110201	3790	1998-07-07	PRIJEM	VKLAD	5000	10587	\N	\N	\N
1110202	3790	1998-08-06	VYDAJ	VYBER	100	10499	\N	\N	\N
1110203	3790	1998-09-05	PRIJEM	VKLAD	3500	8300	\N	\N	\N
1110204	3790	1998-10-05	PRIJEM	VKLAD	5200	13490	\N	\N	\N
1110205	3790	1998-11-04	PRIJEM	VKLAD	10400	10976	\N	\N	\N
1110206	3790	1998-12-04	PRIJEM	VKLAD	10100	17766	\N	\N	\N
1110231	3791	1996-05-03	PRIJEM	VKLAD	400	400	\N	\N	\N
1110236	3791	1996-05-06	PRIJEM	PREVOD Z UCTU	27680	28080	\N	UV	14334899
1110237	3791	1996-06-06	PRIJEM	PREVOD Z UCTU	41520	66098	\N	UV	14334899
1110238	3791	1996-07-06	PRIJEM	PREVOD Z UCTU	27680	71627	\N	UV	14334899
1110239	3791	1996-08-06	PRIJEM	PREVOD Z UCTU	27680	71302	\N	UV	14334899
1110240	3791	1996-09-06	PRIJEM	PREVOD Z UCTU	27680	76276	\N	UV	14334899
1110241	3791	1996-10-06	PRIJEM	PREVOD Z UCTU	27680	47742	\N	UV	14334899
1110242	3791	1996-11-06	PRIJEM	PREVOD Z UCTU	27680	56390	\N	UV	14334899
1110243	3791	1996-12-06	PRIJEM	PREVOD Z UCTU	41520	73603	\N	UV	14334899
1110244	3791	1997-01-06	PRIJEM	PREVOD Z UCTU	27680	51182	\N	UV	14334899
1110245	3791	1997-02-06	PRIJEM	PREVOD Z UCTU	27680	47396	\N	UV	14334899
1110246	3791	1997-03-06	PRIJEM	PREVOD Z UCTU	27680	50175	\N	UV	14334899
1110247	3791	1997-04-06	PRIJEM	PREVOD Z UCTU	27680	63286	\N	UV	14334899
1110248	3791	1997-05-06	PRIJEM	PREVOD Z UCTU	27680	55280	\N	UV	14334899
1110249	3791	1997-06-06	PRIJEM	PREVOD Z UCTU	41520	70701	\N	UV	14334899
1110250	3791	1997-07-06	PRIJEM	PREVOD Z UCTU	27680	67210	\N	UV	14334899
1110251	3791	1997-08-06	PRIJEM	PREVOD Z UCTU	27680	70320	\N	UV	14334899
1110252	3791	1997-09-06	PRIJEM	PREVOD Z UCTU	27680	67835	\N	UV	14334899
1110253	3791	1997-10-06	PRIJEM	PREVOD Z UCTU	27680	73646	\N	UV	14334899
1110254	3791	1997-11-06	PRIJEM	PREVOD Z UCTU	27680	73675	\N	UV	14334899
1110255	3791	1997-12-06	PRIJEM	PREVOD Z UCTU	41520	74160	\N	UV	14334899
1110256	3791	1998-01-06	PRIJEM	PREVOD Z UCTU	27680	65670	\N	UV	14334899
1110257	3791	1998-02-06	PRIJEM	PREVOD Z UCTU	27680	55652	\N	UV	14334899
1110258	3791	1998-03-06	PRIJEM	PREVOD Z UCTU	27680	63267	\N	UV	14334899
1110259	3791	1998-04-06	PRIJEM	PREVOD Z UCTU	27680	64196	\N	UV	14334899
1110260	3791	1998-05-06	PRIJEM	PREVOD Z UCTU	27680	52094	\N	UV	14334899
1110261	3791	1998-06-06	PRIJEM	PREVOD Z UCTU	41520	68468	\N	UV	14334899
1110262	3791	1998-07-06	PRIJEM	PREVOD Z UCTU	27680	54404	\N	UV	14334899
1110263	3791	1998-08-06	PRIJEM	PREVOD Z UCTU	27680	69970	\N	UV	14334899
1110264	3791	1998-09-06	PRIJEM	PREVOD Z UCTU	27680	63923	\N	UV	14334899
1110265	3791	1998-10-06	PRIJEM	PREVOD Z UCTU	27680	51399	\N	UV	14334899
1110266	3791	1998-11-06	PRIJEM	PREVOD Z UCTU	27680	69951	\N	UV	14334899
1110267	3791	1998-12-06	PRIJEM	PREVOD Z UCTU	41520	91508	\N	UV	14334899
1110276	3791	1996-09-11	VYDAJ	PREVOD NA UCET	3682	68414	SIPO	WX	1958173
1110277	3791	1996-10-11	VYDAJ	PREVOD NA UCET	3682	32512	SIPO	WX	1958173
1110278	3791	1996-11-11	VYDAJ	PREVOD NA UCET	3682	48528	SIPO	WX	1958173
1110279	3791	1996-12-11	VYDAJ	PREVOD NA UCET	3682	49463	SIPO	WX	1958173
1110280	3791	1997-01-11	VYDAJ	PREVOD NA UCET	3682	33120	SIPO	WX	1958173
1110281	3791	1997-02-11	VYDAJ	PREVOD NA UCET	3682	21015	SIPO	WX	1958173
1110282	3791	1997-03-11	VYDAJ	PREVOD NA UCET	3682	42313	SIPO	WX	1958173
1110283	3791	1997-04-11	VYDAJ	PREVOD NA UCET	3682	55424	SIPO	WX	1958173
1110284	3791	1997-05-11	VYDAJ	PREVOD NA UCET	3682	36254	SIPO	WX	1958173
1110285	3791	1997-06-11	VYDAJ	PREVOD NA UCET	3682	57439	SIPO	WX	1958173
1110286	3791	1997-07-11	VYDAJ	PREVOD NA UCET	3682	59348	SIPO	WX	1958173
1110287	3791	1997-08-11	VYDAJ	PREVOD NA UCET	3682	62458	SIPO	WX	1958173
1110288	3791	1997-09-11	VYDAJ	PREVOD NA UCET	3682	59973	SIPO	WX	1958173
1110289	3791	1997-10-11	VYDAJ	PREVOD NA UCET	3682	65784	SIPO	WX	1958173
1110290	3791	1997-11-11	VYDAJ	PREVOD NA UCET	3682	63713	SIPO	WX	1958173
1110291	3791	1997-12-11	VYDAJ	PREVOD NA UCET	3682	66298	SIPO	WX	1958173
1110292	3791	1998-01-11	VYDAJ	PREVOD NA UCET	3682	54208	SIPO	WX	1958173
1110293	3791	1998-02-11	VYDAJ	PREVOD NA UCET	3682	43853	SIPO	WX	1958173
1110294	3791	1998-03-11	VYDAJ	PREVOD NA UCET	3682	55405	SIPO	WX	1958173
1110295	3791	1998-04-11	VYDAJ	PREVOD NA UCET	3682	56334	SIPO	WX	1958173
1110296	3791	1998-05-11	VYDAJ	PREVOD NA UCET	3682	44232	SIPO	WX	1958173
1110297	3791	1998-06-11	VYDAJ	PREVOD NA UCET	3682	42938	SIPO	WX	1958173
1110298	3791	1998-07-11	VYDAJ	PREVOD NA UCET	3682	46542	SIPO	WX	1958173
1110299	3791	1998-08-11	VYDAJ	PREVOD NA UCET	3682	62108	SIPO	WX	1958173
1110300	3791	1998-09-11	VYDAJ	PREVOD NA UCET	3682	56061	SIPO	WX	1958173
1110301	3791	1998-10-11	VYDAJ	PREVOD NA UCET	3682	43537	SIPO	WX	1958173
1110302	3791	1998-11-11	VYDAJ	PREVOD NA UCET	3682	62089	SIPO	WX	1958173
1110303	3791	1998-12-11	VYDAJ	PREVOD NA UCET	3682	83646	SIPO	WX	1958173
1110312	3791	1996-09-08	VYDAJ	PREVOD NA UCET	3147	72096	 	YZ	15558588
1110313	3791	1996-10-08	VYDAJ	PREVOD NA UCET	3147	36194	 	YZ	15558588
1110314	3791	1996-11-08	VYDAJ	PREVOD NA UCET	3147	52210	 	YZ	15558588
1110315	3791	1996-12-08	VYDAJ	PREVOD NA UCET	3147	53145	 	YZ	15558588
1110316	3791	1997-01-08	VYDAJ	PREVOD NA UCET	3147	38302	 	YZ	15558588
1110317	3791	1997-02-08	VYDAJ	PREVOD NA UCET	3147	43216	 	YZ	15558588
1110318	3791	1997-03-08	VYDAJ	PREVOD NA UCET	3147	45995	 	YZ	15558588
1110319	3791	1997-04-08	VYDAJ	PREVOD NA UCET	3147	59106	 	YZ	15558588
1110320	3791	1997-05-08	VYDAJ	PREVOD NA UCET	3147	51100	 	YZ	15558588
1110321	3791	1997-06-08	VYDAJ	PREVOD NA UCET	3147	66521	 	YZ	15558588
1110322	3791	1997-07-08	VYDAJ	PREVOD NA UCET	3147	63030	 	YZ	15558588
1110323	3791	1997-08-08	VYDAJ	PREVOD NA UCET	3147	66140	 	YZ	15558588
1110324	3791	1997-09-08	VYDAJ	PREVOD NA UCET	3147	63655	 	YZ	15558588
1110325	3791	1997-10-08	VYDAJ	PREVOD NA UCET	3147	69466	 	YZ	15558588
1110326	3791	1997-11-08	VYDAJ	PREVOD NA UCET	3147	69495	 	YZ	15558588
1110327	3791	1997-12-08	VYDAJ	PREVOD NA UCET	3147	69980	 	YZ	15558588
1110328	3791	1998-01-08	VYDAJ	PREVOD NA UCET	3147	61490	 	YZ	15558588
1110329	3791	1998-02-08	VYDAJ	PREVOD NA UCET	3147	51472	 	YZ	15558588
1110330	3791	1998-03-08	VYDAJ	PREVOD NA UCET	3147	59087	 	YZ	15558588
1110331	3791	1998-04-08	VYDAJ	PREVOD NA UCET	3147	60016	 	YZ	15558588
1110332	3791	1998-05-08	VYDAJ	PREVOD NA UCET	3147	47914	 	YZ	15558588
1110333	3791	1998-06-08	VYDAJ	PREVOD NA UCET	3147	64288	 	YZ	15558588
1110334	3791	1998-07-08	VYDAJ	PREVOD NA UCET	3147	50224	 	YZ	15558588
1110335	3791	1998-08-08	VYDAJ	PREVOD NA UCET	3147	65790	 	YZ	15558588
1110336	3791	1998-09-08	VYDAJ	PREVOD NA UCET	3147	59743	 	YZ	15558588
1110337	3791	1998-10-08	VYDAJ	PREVOD NA UCET	3147	47219	 	YZ	15558588
1110338	3791	1998-11-08	VYDAJ	PREVOD NA UCET	3147	65771	 	YZ	15558588
1110339	3791	1998-12-08	VYDAJ	PREVOD NA UCET	3147	87328	 	YZ	15558588
1110348	3791	1996-09-07	VYDAJ	PREVOD NA UCET	1033	75243	POJISTNE	MN	4485118
1110349	3791	1996-10-07	VYDAJ	PREVOD NA UCET	1033	46709	POJISTNE	MN	4485118
1110350	3791	1996-11-07	VYDAJ	PREVOD NA UCET	1033	55357	POJISTNE	MN	4485118
1110351	3791	1996-12-07	VYDAJ	PREVOD NA UCET	1033	72570	POJISTNE	MN	4485118
1110352	3791	1997-01-07	VYDAJ	PREVOD NA UCET	1033	41449	POJISTNE	MN	4485118
1110353	3791	1997-02-07	VYDAJ	PREVOD NA UCET	1033	46363	POJISTNE	MN	4485118
1110354	3791	1997-03-07	VYDAJ	PREVOD NA UCET	1033	49142	POJISTNE	MN	4485118
1110355	3791	1997-04-07	VYDAJ	PREVOD NA UCET	1033	62253	POJISTNE	MN	4485118
1110356	3791	1997-05-07	VYDAJ	PREVOD NA UCET	1033	54247	POJISTNE	MN	4485118
1110357	3791	1997-06-07	VYDAJ	PREVOD NA UCET	1033	69668	POJISTNE	MN	4485118
1110358	3791	1997-07-07	VYDAJ	PREVOD NA UCET	1033	66177	POJISTNE	MN	4485118
1110359	3791	1997-08-07	VYDAJ	PREVOD NA UCET	1033	69287	POJISTNE	MN	4485118
1110360	3791	1997-09-07	VYDAJ	PREVOD NA UCET	1033	66802	POJISTNE	MN	4485118
1110361	3791	1997-10-07	VYDAJ	PREVOD NA UCET	1033	72613	POJISTNE	MN	4485118
1110362	3791	1997-11-07	VYDAJ	PREVOD NA UCET	1033	72642	POJISTNE	MN	4485118
1110363	3791	1997-12-07	VYDAJ	PREVOD NA UCET	1033	73127	POJISTNE	MN	4485118
1110364	3791	1998-01-07	VYDAJ	PREVOD NA UCET	1033	64637	POJISTNE	MN	4485118
1110365	3791	1998-02-07	VYDAJ	PREVOD NA UCET	1033	54619	POJISTNE	MN	4485118
1110366	3791	1998-03-07	VYDAJ	PREVOD NA UCET	1033	62234	POJISTNE	MN	4485118
1110367	3791	1998-04-07	VYDAJ	PREVOD NA UCET	1033	63163	POJISTNE	MN	4485118
1110368	3791	1998-05-07	VYDAJ	PREVOD NA UCET	1033	51061	POJISTNE	MN	4485118
1110369	3791	1998-06-07	VYDAJ	PREVOD NA UCET	1033	67435	POJISTNE	MN	4485118
1110370	3791	1998-07-07	VYDAJ	PREVOD NA UCET	1033	53371	POJISTNE	MN	4485118
1110371	3791	1998-08-07	VYDAJ	PREVOD NA UCET	1033	68937	POJISTNE	MN	4485118
1110372	3791	1998-09-07	VYDAJ	PREVOD NA UCET	1033	62890	POJISTNE	MN	4485118
1110373	3791	1998-10-07	VYDAJ	PREVOD NA UCET	1033	50366	POJISTNE	MN	4485118
1110374	3791	1998-11-07	VYDAJ	PREVOD NA UCET	1033	68918	POJISTNE	MN	4485118
1110375	3791	1998-12-07	VYDAJ	PREVOD NA UCET	1033	90475	POJISTNE	MN	4485118
1110378	3791	1996-09-26	VYBER	VYBER	14326	41488	\N	\N	\N
1110379	3791	1996-12-08	VYBER	VYBER	16278	56292	\N	\N	\N
1110382	3791	1996-09-26	VYBER	VYBER	21719	19769	\N	\N	\N
1110383	3791	1996-10-08	VYBER	VYBER	7368	39341	\N	\N	\N
1110385	3791	1997-06-22	VYBER	VYBER	2588	54851	\N	\N	\N
1110388	3791	1997-11-13	VYBER	VYBER	6556	57157	\N	\N	\N
1110390	3791	1997-03-13	VYBER	VYBER	2631	39682	\N	\N	\N
1110391	3791	1997-05-10	VYBER	VYBER	11164	39936	\N	\N	\N
1110392	3791	1997-02-11	VYBER	VYBER	18519	24697	\N	\N	\N
1110393	3791	1998-03-15	VYBER	VYBER	6547	48858	\N	\N	\N
1110395	3791	1998-02-11	VYBER	VYBER	3937	47535	\N	\N	\N
1110396	3791	1998-06-11	VYBER	VYBER	17668	46620	\N	\N	\N
1110397	3791	1998-06-12	VYBER	VYBER	12526	30412	\N	\N	\N
1110398	3791	1998-04-29	VYBER	VYBER	15287	24247	\N	\N	\N
1110401	3791	1998-08-26	VYBER	VYBER	9353	40255	\N	\N	\N
1110402	3791	1998-12-02	VYBER	VYBER	4000	49988	\N	\N	\N
1110404	3791	1998-09-26	VYBER	VYBER	22106	23555	\N	\N	\N
1110412	3791	1996-12-03	VYDAJ	VYBER	5100	32083	\N	\N	\N
1110413	3791	1997-12-19	VYDAJ	VYBER	4500	61798	\N	\N	\N
1110414	3791	1998-12-30	VYDAJ	VYBER	1500	58646	\N	\N	\N
1110421	3791	1997-01-01	VYDAJ	VYBER	7500	23502	\N	\N	\N
1110422	3791	1997-01-21	VYDAJ	VYBER	7200	25920	\N	\N	\N
1110424	3791	1997-01-27	VYDAJ	VYBER	5700	20220	\N	\N	\N
1110425	3791	1997-01-06	VYDAJ	VYBER	8700	42482	\N	\N	\N
1110426	3791	1997-01-10	VYDAJ	VYBER	1500	36802	\N	\N	\N
1110427	3791	1998-01-28	VYDAJ	VYBER	4500	27808	\N	\N	\N
1110429	3791	1998-01-05	VYDAJ	VYBER	2400	37990	\N	\N	\N
1110430	3791	1998-01-11	VYDAJ	VYBER	3600	57890	\N	\N	\N
1110431	3791	1998-01-25	VYDAJ	VYBER	3600	32308	\N	\N	\N
1110432	3791	1998-01-04	VYDAJ	VYBER	2100	40390	\N	\N	\N
1110433	3791	1996-12-12	VYDAJ	VYBER	12600	36863	\N	\N	\N
1110435	3791	1996-09-18	VYDAJ	VYBER	12600	55814	\N	\N	\N
1110438	3791	1997-06-08	VYDAJ	VYBER	5400	61121	\N	\N	\N
1110439	3791	1997-08-22	VYDAJ	VYBER	3600	58858	\N	\N	\N
1110440	3791	1997-04-14	VYDAJ	VYBER	1800	53624	\N	\N	\N
1110441	3791	1997-11-13	VYDAJ	VYBER	11700	45457	\N	\N	\N
1110442	3791	1997-11-09	VYDAJ	VYBER	2100	67395	\N	\N	\N
1110443	3791	1997-05-01	VYDAJ	VYBER	10500	27600	\N	\N	\N
1110444	3791	1998-05-25	VYDAJ	VYBER	7500	26832	\N	\N	\N
1110445	3791	1998-07-03	VYDAJ	VYBER	1800	26724	\N	\N	\N
1110446	3791	1998-05-18	VYDAJ	VYBER	6900	37332	\N	\N	\N
1110447	3791	1998-01-22	VYDAJ	VYBER	9600	44608	\N	\N	\N
1110448	3791	1998-09-04	VYDAJ	VYBER	4200	36243	\N	\N	\N
1110458	3791	1996-09-30	VYDAJ	VYBER	30	20062	SLUZBY	\N	\N
1110459	3791	1996-10-31	VYDAJ	VYBER	30	28710	SLUZBY	\N	\N
1110460	3791	1996-11-30	VYDAJ	VYBER	30	37183	SLUZBY	\N	\N
1110461	3791	1996-12-31	VYDAJ	VYBER	30	31002	SLUZBY	\N	\N
1110462	3791	1997-01-31	VYDAJ	VYBER	30	19716	SLUZBY	\N	\N
1110463	3791	1997-02-28	VYDAJ	VYBER	30	22495	SLUZBY	\N	\N
1110464	3791	1997-03-31	VYDAJ	VYBER	30	35606	SLUZBY	\N	\N
1110465	3791	1997-04-30	VYDAJ	VYBER	30	38100	SLUZBY	\N	\N
1110466	3791	1997-05-31	VYDAJ	VYBER	30	29181	SLUZBY	\N	\N
1110467	3791	1997-06-30	VYDAJ	VYBER	30	39530	SLUZBY	\N	\N
1110468	3791	1997-07-31	VYDAJ	VYBER	30	42640	SLUZBY	\N	\N
1110469	3791	1997-08-31	VYDAJ	VYBER	30	40155	SLUZBY	\N	\N
1110470	3791	1997-09-30	VYDAJ	VYBER	30	45966	SLUZBY	\N	\N
1110471	3791	1997-10-31	VYDAJ	VYBER	30	45995	SLUZBY	\N	\N
1110472	3791	1997-11-30	VYDAJ	VYBER	30	32640	SLUZBY	\N	\N
1110473	3791	1997-12-31	VYDAJ	VYBER	30	42490	SLUZBY	\N	\N
1110474	3791	1998-01-31	VYDAJ	VYBER	30	27972	SLUZBY	\N	\N
1110475	3791	1998-02-28	VYDAJ	VYBER	30	35587	SLUZBY	\N	\N
1110476	3791	1998-03-31	VYDAJ	VYBER	30	36516	SLUZBY	\N	\N
1110477	3791	1998-04-30	VYDAJ	VYBER	30	24414	SLUZBY	\N	\N
1110478	3791	1998-05-31	VYDAJ	VYBER	30	26948	SLUZBY	\N	\N
1110479	3791	1998-06-30	VYDAJ	VYBER	30	28524	SLUZBY	\N	\N
1110480	3791	1998-07-31	VYDAJ	VYBER	30	42290	SLUZBY	\N	\N
1110481	3791	1998-08-31	VYDAJ	VYBER	30	40443	SLUZBY	\N	\N
1110482	3791	1998-09-30	VYDAJ	VYBER	30	23719	SLUZBY	\N	\N
1110483	3791	1998-10-31	VYDAJ	VYBER	30	42271	SLUZBY	\N	\N
1110484	3791	1998-11-30	VYDAJ	VYBER	30	53988	SLUZBY	\N	\N
1110485	3791	1996-06-02	VYDAJ	VYBER	3600	24578	\N	\N	\N
1110486	3791	1996-07-02	VYDAJ	VYBER	22400	43947	\N	\N	\N
1110487	3791	1996-08-01	VYDAJ	VYBER	28300	43622	\N	\N	\N
1110488	3791	1996-08-31	VYDAJ	VYBER	23000	48596	\N	\N	\N
1110489	3791	1996-09-30	PRIJEM	VKLAD	100	20092	\N	\N	\N
1110490	3791	1996-10-30	VYDAJ	VYBER	3900	28612	\N	\N	\N
1110491	3791	1996-11-29	VYDAJ	VYBER	11500	37028	\N	\N	\N
1110492	3791	1996-12-29	VYDAJ	VYBER	6000	30863	\N	\N	\N
1110493	3791	1997-01-28	VYDAJ	VYBER	600	19620	\N	\N	\N
1110494	3791	1997-02-27	PRIJEM	VKLAD	1400	22415	\N	\N	\N
1110495	3791	1997-03-29	VYDAJ	VYBER	4200	35482	\N	\N	\N
1110496	3791	1997-04-28	VYDAJ	VYBER	15700	37924	\N	\N	\N
1110497	3791	1997-05-28	VYDAJ	VYBER	7200	29054	\N	\N	\N
1110498	3791	1997-06-27	VYDAJ	VYBER	15500	39351	\N	\N	\N
1110499	3791	1997-07-27	VYDAJ	VYBER	16900	42448	\N	\N	\N
1110500	3791	1997-08-26	VYDAJ	VYBER	18900	39958	\N	\N	\N
1110501	3791	1997-09-25	VYDAJ	VYBER	14200	45773	\N	\N	\N
1110502	3791	1997-10-25	VYDAJ	VYBER	20000	45784	\N	\N	\N
1110503	3791	1997-11-24	VYDAJ	VYBER	13000	32457	\N	\N	\N
1110504	3791	1997-12-24	VYDAJ	VYBER	19500	42298	\N	\N	\N
1110505	3791	1998-01-23	VYDAJ	VYBER	8700	35908	\N	\N	\N
1110506	3791	1998-02-22	VYDAJ	VYBER	8400	35453	\N	\N	\N
1110507	3791	1998-03-24	VYDAJ	VYBER	12500	36358	\N	\N	\N
1110508	3791	1998-04-23	VYDAJ	VYBER	16800	39534	\N	\N	\N
1110509	3791	1998-05-23	VYDAJ	VYBER	3000	34332	\N	\N	\N
1110510	3791	1998-06-22	VYDAJ	VYBER	2000	28412	\N	\N	\N
1110511	3791	1998-07-22	VYDAJ	VYBER	4400	42142	\N	\N	\N
1110512	3791	1998-08-21	VYDAJ	VYBER	12500	49608	\N	\N	\N
1110513	3791	1998-09-20	VYDAJ	VYBER	10400	45661	\N	\N	\N
1110514	3791	1998-10-20	VYDAJ	VYBER	1400	42137	\N	\N	\N
1110515	3791	1998-11-19	VYDAJ	VYBER	8300	53789	\N	\N	\N
1110516	3791	1998-12-19	VYDAJ	VYBER	23500	60146	\N	\N	\N
1110549	3792	1993-08-11	PRIJEM	VKLAD	300	300	\N	\N	\N
1110557	3792	1993-08-12	PRIJEM	PREVOD Z UCTU	5277	5577	DUCHOD	IJ	99550264
1110558	3792	1993-09-12	PRIJEM	PREVOD Z UCTU	5277	10869	DUCHOD	IJ	99550264
1110559	3792	1993-10-12	PRIJEM	PREVOD Z UCTU	5277	16169	DUCHOD	IJ	99550264
1110560	3792	1993-11-12	PRIJEM	PREVOD Z UCTU	5277	21469	DUCHOD	IJ	99550264
1110561	3792	1993-12-12	PRIJEM	PREVOD Z UCTU	5277	26070	DUCHOD	IJ	99550264
1110562	3792	1994-01-12	PRIJEM	PREVOD Z UCTU	5277	22312	DUCHOD	IJ	99550264
1110563	3792	1994-02-12	PRIJEM	PREVOD Z UCTU	5277	21668	DUCHOD	IJ	99550264
1110564	3792	1994-03-12	PRIJEM	PREVOD Z UCTU	5277	23500	DUCHOD	IJ	99550264
1110565	3792	1994-04-12	PRIJEM	PREVOD Z UCTU	5277	25340	DUCHOD	IJ	99550264
1110566	3792	1994-05-12	PRIJEM	PREVOD Z UCTU	5277	25827	DUCHOD	IJ	99550264
1110567	3792	1994-06-12	PRIJEM	PREVOD Z UCTU	5277	25776	DUCHOD	IJ	99550264
1110568	3792	1994-07-12	PRIJEM	PREVOD Z UCTU	5277	25146	DUCHOD	IJ	99550264
1110569	3792	1994-08-12	PRIJEM	PREVOD Z UCTU	5277	25494	DUCHOD	IJ	99550264
1110570	3792	1994-09-12	PRIJEM	PREVOD Z UCTU	5277	27242	DUCHOD	IJ	99550264
1110571	3792	1994-10-12	PRIJEM	PREVOD Z UCTU	5277	25933	DUCHOD	IJ	99550264
1110572	3792	1994-11-12	PRIJEM	PREVOD Z UCTU	5277	27784	DUCHOD	IJ	99550264
1110573	3792	1994-12-12	PRIJEM	PREVOD Z UCTU	5277	25870	DUCHOD	IJ	99550264
1110574	3792	1995-01-12	PRIJEM	PREVOD Z UCTU	5277	22061	DUCHOD	IJ	99550264
1110575	3792	1995-02-12	PRIJEM	PREVOD Z UCTU	5277	20933	DUCHOD	IJ	99550264
1110576	3792	1995-03-12	PRIJEM	PREVOD Z UCTU	5277	22762	DUCHOD	IJ	99550264
1110577	3792	1995-04-12	PRIJEM	PREVOD Z UCTU	5277	22038	DUCHOD	IJ	99550264
1110578	3792	1995-05-12	PRIJEM	PREVOD Z UCTU	5277	23873	DUCHOD	IJ	99550264
1110579	3792	1995-06-12	PRIJEM	PREVOD Z UCTU	5277	25514	DUCHOD	IJ	99550264
1110580	3792	1995-07-12	PRIJEM	PREVOD Z UCTU	5277	23141	DUCHOD	IJ	99550264
1110581	3792	1995-08-12	PRIJEM	PREVOD Z UCTU	5277	24980	DUCHOD	IJ	99550264
1110582	3792	1995-09-12	PRIJEM	PREVOD Z UCTU	5277	25226	DUCHOD	IJ	99550264
1110583	3792	1995-10-12	PRIJEM	PREVOD Z UCTU	5277	24931	DUCHOD	IJ	99550264
1110584	3792	1995-11-12	PRIJEM	PREVOD Z UCTU	5277	23476	DUCHOD	IJ	99550264
1110585	3792	1995-12-12	PRIJEM	PREVOD Z UCTU	5277	20754	DUCHOD	IJ	99550264
1110586	3792	1996-01-12	PRIJEM	PREVOD Z UCTU	5277	16909	DUCHOD	IJ	99550264
1110587	3792	1996-02-12	PRIJEM	PREVOD Z UCTU	5277	16481	DUCHOD	IJ	99550264
1110588	3792	1996-03-12	PRIJEM	PREVOD Z UCTU	5277	15490	DUCHOD	IJ	99550264
1110589	3792	1996-04-12	PRIJEM	PREVOD Z UCTU	5277	16195	DUCHOD	IJ	99550264
1110590	3792	1996-05-12	PRIJEM	PREVOD Z UCTU	5277	15760	DUCHOD	IJ	99550264
1110591	3792	1996-06-12	PRIJEM	PREVOD Z UCTU	5277	13564	DUCHOD	IJ	99550264
1110592	3792	1996-07-12	PRIJEM	PREVOD Z UCTU	5277	15362	DUCHOD	IJ	99550264
1110593	3792	1996-08-12	PRIJEM	PREVOD Z UCTU	5277	16666	DUCHOD	IJ	99550264
1110594	3792	1996-09-12	PRIJEM	PREVOD Z UCTU	5277	18477	DUCHOD	IJ	99550264
1110595	3792	1996-10-12	PRIJEM	PREVOD Z UCTU	5277	14170	DUCHOD	IJ	99550264
1110596	3792	1996-11-12	PRIJEM	PREVOD Z UCTU	5277	15970	DUCHOD	IJ	99550264
1110597	3792	1996-12-12	PRIJEM	PREVOD Z UCTU	5277	16977	DUCHOD	IJ	99550264
1110598	3792	1997-01-12	PRIJEM	PREVOD Z UCTU	5277	16107	DUCHOD	IJ	99550264
1110599	3792	1997-02-12	PRIJEM	PREVOD Z UCTU	5277	16073	DUCHOD	IJ	99550264
1110600	3792	1997-03-12	PRIJEM	PREVOD Z UCTU	5277	17881	DUCHOD	IJ	99550264
1110601	3792	1997-04-12	PRIJEM	PREVOD Z UCTU	5277	16592	DUCHOD	IJ	99550264
1110602	3792	1997-05-12	PRIJEM	PREVOD Z UCTU	5277	17801	DUCHOD	IJ	99550264
1110603	3792	1997-06-12	PRIJEM	PREVOD Z UCTU	5277	16311	DUCHOD	IJ	99550264
1110604	3792	1997-07-12	PRIJEM	PREVOD Z UCTU	5277	15215	DUCHOD	IJ	99550264
1110605	3792	1997-08-12	PRIJEM	PREVOD Z UCTU	5277	17019	DUCHOD	IJ	99550264
1110606	3792	1997-09-12	PRIJEM	PREVOD Z UCTU	5277	18830	DUCHOD	IJ	99550264
1110607	3792	1997-10-12	PRIJEM	PREVOD Z UCTU	5277	19046	DUCHOD	IJ	99550264
1110608	3792	1997-11-12	PRIJEM	PREVOD Z UCTU	5277	18361	DUCHOD	IJ	99550264
1110609	3792	1997-12-12	PRIJEM	PREVOD Z UCTU	5277	17216	DUCHOD	IJ	99550264
1110610	3792	1998-01-12	PRIJEM	PREVOD Z UCTU	5277	16222	DUCHOD	IJ	99550264
1110611	3792	1998-02-12	PRIJEM	PREVOD Z UCTU	5277	16990	DUCHOD	IJ	99550264
1110612	3792	1998-03-12	PRIJEM	PREVOD Z UCTU	5277	17198	DUCHOD	IJ	99550264
1110613	3792	1998-04-12	PRIJEM	PREVOD Z UCTU	5277	16004	DUCHOD	IJ	99550264
1110614	3792	1998-05-12	PRIJEM	PREVOD Z UCTU	5277	15907	DUCHOD	IJ	99550264
1110615	3792	1998-06-12	PRIJEM	PREVOD Z UCTU	5277	17713	DUCHOD	IJ	99550264
1110616	3792	1998-07-12	PRIJEM	PREVOD Z UCTU	5277	19125	DUCHOD	IJ	99550264
1110714	3792	1995-01-26	VYDAJ	VYBER	560	20061	\N	\N	\N
1110617	3792	1998-08-12	PRIJEM	PREVOD Z UCTU	5277	20043	DUCHOD	IJ	99550264
1110618	3792	1998-09-12	PRIJEM	PREVOD Z UCTU	5277	17556	DUCHOD	IJ	99550264
1110619	3792	1998-10-12	PRIJEM	PREVOD Z UCTU	5277	19369	DUCHOD	IJ	99550264
1110620	3792	1998-11-12	PRIJEM	PREVOD Z UCTU	5277	21189	DUCHOD	IJ	99550264
1110621	3792	1998-12-12	PRIJEM	PREVOD Z UCTU	5277	17329	DUCHOD	IJ	99550264
1110634	3792	1994-01-09	VYDAJ	PREVOD NA UCET	3518	17035	SIPO	OP	13595378
1110635	3792	1994-02-09	VYDAJ	PREVOD NA UCET	3518	16391	SIPO	OP	13595378
1110636	3792	1994-03-09	VYDAJ	PREVOD NA UCET	3518	18223	SIPO	OP	13595378
1110637	3792	1994-04-09	VYDAJ	PREVOD NA UCET	3518	20063	SIPO	OP	13595378
1110638	3792	1994-05-09	VYDAJ	PREVOD NA UCET	3518	20550	SIPO	OP	13595378
1110639	3792	1994-06-09	VYDAJ	PREVOD NA UCET	3518	20499	SIPO	OP	13595378
1110640	3792	1994-07-09	VYDAJ	PREVOD NA UCET	3518	19869	SIPO	OP	13595378
1110641	3792	1994-08-09	VYDAJ	PREVOD NA UCET	3518	20217	SIPO	OP	13595378
1110642	3792	1994-09-09	VYDAJ	PREVOD NA UCET	3518	21965	SIPO	OP	13595378
1110643	3792	1994-10-09	VYDAJ	PREVOD NA UCET	3518	20656	SIPO	OP	13595378
1110644	3792	1994-11-09	VYDAJ	PREVOD NA UCET	3518	22507	SIPO	OP	13595378
1110645	3792	1994-12-09	VYDAJ	PREVOD NA UCET	3518	20593	SIPO	OP	13595378
1110646	3792	1995-01-09	VYDAJ	PREVOD NA UCET	3518	16784	SIPO	OP	13595378
1110647	3792	1995-02-09	VYDAJ	PREVOD NA UCET	3518	15656	SIPO	OP	13595378
1110648	3792	1995-03-09	VYDAJ	PREVOD NA UCET	3518	17485	SIPO	OP	13595378
1110649	3792	1995-04-09	VYDAJ	PREVOD NA UCET	3518	16761	SIPO	OP	13595378
1110650	3792	1995-05-09	VYDAJ	PREVOD NA UCET	3518	18596	SIPO	OP	13595378
1110651	3792	1995-06-09	VYDAJ	PREVOD NA UCET	3518	20237	SIPO	OP	13595378
1110652	3792	1995-07-09	VYDAJ	PREVOD NA UCET	3518	17864	SIPO	OP	13595378
1110653	3792	1995-08-09	VYDAJ	PREVOD NA UCET	3518	19703	SIPO	OP	13595378
1110654	3792	1995-09-09	VYDAJ	PREVOD NA UCET	3518	19949	SIPO	OP	13595378
1110655	3792	1995-10-09	VYDAJ	PREVOD NA UCET	3518	19654	SIPO	OP	13595378
1110656	3792	1995-11-09	VYDAJ	PREVOD NA UCET	3518	18199	SIPO	OP	13595378
1110657	3792	1995-12-09	VYDAJ	PREVOD NA UCET	3518	15477	SIPO	OP	13595378
1110658	3792	1996-01-09	VYDAJ	PREVOD NA UCET	3518	11632	SIPO	OP	13595378
1110659	3792	1996-02-09	VYDAJ	PREVOD NA UCET	3518	11204	SIPO	OP	13595378
1110660	3792	1996-03-09	VYDAJ	PREVOD NA UCET	3518	10213	SIPO	OP	13595378
1110661	3792	1996-04-09	VYDAJ	PREVOD NA UCET	3518	10918	SIPO	OP	13595378
1110662	3792	1996-05-09	VYDAJ	PREVOD NA UCET	3518	10483	SIPO	OP	13595378
1110663	3792	1996-06-09	VYDAJ	PREVOD NA UCET	3518	8287	SIPO	OP	13595378
1110664	3792	1996-07-09	VYDAJ	PREVOD NA UCET	3518	10085	SIPO	OP	13595378
1110665	3792	1996-08-09	VYDAJ	PREVOD NA UCET	3518	11389	SIPO	OP	13595378
1110666	3792	1996-09-09	VYDAJ	PREVOD NA UCET	3518	13200	SIPO	OP	13595378
1110667	3792	1996-10-09	VYDAJ	PREVOD NA UCET	3518	8893	SIPO	OP	13595378
1110668	3792	1996-11-09	VYDAJ	PREVOD NA UCET	3518	10693	SIPO	OP	13595378
1110669	3792	1996-12-09	VYDAJ	PREVOD NA UCET	3518	11700	SIPO	OP	13595378
1110670	3792	1997-01-09	VYDAJ	PREVOD NA UCET	3518	11710	SIPO	OP	13595378
1110671	3792	1997-02-09	VYDAJ	PREVOD NA UCET	3518	10796	SIPO	OP	13595378
1110672	3792	1997-03-09	VYDAJ	PREVOD NA UCET	3518	12604	SIPO	OP	13595378
1110673	3792	1997-04-09	VYDAJ	PREVOD NA UCET	3518	11315	SIPO	OP	13595378
1110674	3792	1997-05-09	VYDAJ	PREVOD NA UCET	3518	12524	SIPO	OP	13595378
1110675	3792	1997-06-09	VYDAJ	PREVOD NA UCET	3518	11034	SIPO	OP	13595378
1110676	3792	1997-07-09	VYDAJ	PREVOD NA UCET	3518	9938	SIPO	OP	13595378
1110677	3792	1997-08-09	VYDAJ	PREVOD NA UCET	3518	11742	SIPO	OP	13595378
1110678	3792	1997-09-09	VYDAJ	PREVOD NA UCET	3518	13553	SIPO	OP	13595378
1110679	3792	1997-10-09	VYDAJ	PREVOD NA UCET	3518	13769	SIPO	OP	13595378
1110680	3792	1997-11-09	VYDAJ	PREVOD NA UCET	3518	13084	SIPO	OP	13595378
1110681	3792	1997-12-09	VYDAJ	PREVOD NA UCET	3518	11939	SIPO	OP	13595378
1110682	3792	1998-01-09	VYDAJ	PREVOD NA UCET	3518	10945	SIPO	OP	13595378
1110683	3792	1998-02-09	VYDAJ	PREVOD NA UCET	3518	11713	SIPO	OP	13595378
1110684	3792	1998-03-09	VYDAJ	PREVOD NA UCET	3518	11921	SIPO	OP	13595378
1110685	3792	1998-04-09	VYDAJ	PREVOD NA UCET	3518	10727	SIPO	OP	13595378
1110686	3792	1998-05-09	VYDAJ	PREVOD NA UCET	3518	10630	SIPO	OP	13595378
1110687	3792	1998-06-09	VYDAJ	PREVOD NA UCET	3518	12436	SIPO	OP	13595378
1110688	3792	1998-07-09	VYDAJ	PREVOD NA UCET	3518	13848	SIPO	OP	13595378
1110689	3792	1998-08-09	VYDAJ	PREVOD NA UCET	3518	14766	SIPO	OP	13595378
1110690	3792	1998-09-09	VYDAJ	PREVOD NA UCET	3518	12279	SIPO	OP	13595378
1110691	3792	1998-10-09	VYDAJ	PREVOD NA UCET	3518	14092	SIPO	OP	13595378
1110692	3792	1998-11-09	VYDAJ	PREVOD NA UCET	3518	15912	SIPO	OP	13595378
1110693	3792	1998-12-09	VYDAJ	PREVOD NA UCET	3518	12052	SIPO	OP	13595378
1110694	3792	1993-12-29	VYDAJ	VYBER	400	25670	\N	\N	\N
1110695	3792	1994-12-08	VYDAJ	VYBER	650	24111	\N	\N	\N
1110696	3792	1995-12-13	VYDAJ	VYBER	250	20504	\N	\N	\N
1110697	3792	1996-12-30	VYDAJ	VYBER	900	15177	\N	\N	\N
1110699	3792	1998-12-20	VYDAJ	VYBER	400	16929	\N	\N	\N
1110706	3792	1994-01-03	VYDAJ	VYBER	480	24773	\N	\N	\N
1110707	3792	1994-01-01	VYDAJ	VYBER	480	25253	\N	\N	\N
1110708	3792	1994-01-23	VYDAJ	VYBER	1680	19832	\N	\N	\N
1110709	3792	1994-01-18	VYDAJ	VYBER	400	21912	\N	\N	\N
1110710	3792	1994-01-19	VYDAJ	VYBER	400	21512	\N	\N	\N
1110711	3792	1994-01-09	VYDAJ	VYBER	2320	20553	\N	\N	\N
1110712	3792	1995-01-28	VYDAJ	VYBER	960	19101	\N	\N	\N
1110713	3792	1995-01-08	VYDAJ	VYBER	1840	20302	\N	\N	\N
1110715	3792	1995-01-15	VYDAJ	VYBER	1040	21021	\N	\N	\N
1110716	3792	1995-01-06	VYDAJ	VYBER	1120	22142	\N	\N	\N
1110717	3792	1995-01-24	VYDAJ	VYBER	400	20621	\N	\N	\N
1110718	3792	1996-01-12	VYDAJ	VYBER	2240	14669	\N	\N	\N
1110722	3792	1996-01-06	VYDAJ	VYBER	1920	15150	\N	\N	\N
1110725	3792	1997-01-09	VYDAJ	VYBER	880	10830	\N	\N	\N
1110728	3792	1997-01-27	VYDAJ	VYBER	1200	14907	\N	\N	\N
1110735	3792	1998-01-12	VYDAJ	VYBER	1040	15182	\N	\N	\N
1110739	3792	1994-05-02	VYDAJ	VYBER	1360	24068	\N	\N	\N
1110740	3792	1994-11-25	VYDAJ	VYBER	1120	26664	\N	\N	\N
1110741	3792	1994-07-08	VYDAJ	VYBER	2480	23387	\N	\N	\N
1110742	3792	1994-09-18	VYDAJ	VYBER	1360	25882	\N	\N	\N
1110743	3792	1995-11-29	VYDAJ	VYBER	960	18916	\N	\N	\N
1110744	3792	1995-09-27	VYDAJ	VYBER	1440	23786	\N	\N	\N
1110745	3792	1995-07-07	VYDAJ	VYBER	1920	21382	\N	\N	\N
1110746	3792	1995-04-01	VYDAJ	VYBER	2560	20279	\N	\N	\N
1110749	3792	1996-04-25	VYDAJ	VYBER	720	13955	\N	\N	\N
1110751	3792	1996-09-24	VYDAJ	VYBER	3920	14557	\N	\N	\N
1110752	3792	1996-04-18	VYDAJ	VYBER	1520	14675	\N	\N	\N
1110755	3792	1997-11-27	VYDAJ	VYBER	2560	15401	\N	\N	\N
1110757	3792	1997-01-27	VYDAJ	VYBER	640	14267	\N	\N	\N
1110758	3792	1998-11-26	VYDAJ	VYBER	3920	15509	\N	\N	\N
1110759	3792	1998-11-13	VYDAJ	VYBER	1760	19429	\N	\N	\N
1110762	3792	1998-02-20	VYDAJ	VYBER	1600	15390	\N	\N	\N
1110776	3792	1993-12-31	VYDAJ	VYBER	15	25733	SLUZBY	\N	\N
1110777	3792	1994-01-31	VYDAJ	VYBER	15	19909	SLUZBY	\N	\N
1110778	3792	1994-02-28	VYDAJ	VYBER	15	21741	SLUZBY	\N	\N
1110779	3792	1994-03-31	VYDAJ	VYBER	15	23581	SLUZBY	\N	\N
1110780	3792	1994-04-30	VYDAJ	VYBER	15	25428	SLUZBY	\N	\N
1110781	3792	1994-05-31	VYDAJ	VYBER	15	25917	SLUZBY	\N	\N
1110782	3792	1994-06-30	VYDAJ	VYBER	15	25867	SLUZBY	\N	\N
1110783	3792	1994-07-31	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
1110784	3792	1994-08-31	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
1110785	3792	1994-09-30	VYDAJ	VYBER	15	25974	SLUZBY	\N	\N
1110786	3792	1994-10-31	VYDAJ	VYBER	15	26025	SLUZBY	\N	\N
1110787	3792	1994-11-30	VYDAJ	VYBER	15	26761	SLUZBY	\N	\N
1110788	3792	1994-12-31	VYDAJ	VYBER	15	25962	SLUZBY	\N	\N
1110789	3792	1995-01-31	VYDAJ	VYBER	15	19174	SLUZBY	\N	\N
1110790	3792	1995-02-28	VYDAJ	VYBER	15	21003	SLUZBY	\N	\N
1110791	3792	1995-03-31	VYDAJ	VYBER	15	22839	SLUZBY	\N	\N
1110792	3792	1995-04-30	VYDAJ	VYBER	15	22114	SLUZBY	\N	\N
1110793	3792	1995-05-31	VYDAJ	VYBER	15	23955	SLUZBY	\N	\N
1110794	3792	1995-06-30	VYDAJ	VYBER	15	25602	SLUZBY	\N	\N
1110795	3792	1995-07-31	VYDAJ	VYBER	15	23221	SLUZBY	\N	\N
1110796	3792	1995-08-31	VYDAJ	VYBER	15	23467	SLUZBY	\N	\N
1110797	3792	1995-09-30	VYDAJ	VYBER	15	23872	SLUZBY	\N	\N
1110798	3792	1995-10-31	VYDAJ	VYBER	15	21717	SLUZBY	\N	\N
1110799	3792	1995-11-30	VYDAJ	VYBER	15	18995	SLUZBY	\N	\N
1110800	3792	1995-12-31	VYDAJ	VYBER	15	17070	SLUZBY	\N	\N
1110801	3792	1996-01-31	VYDAJ	VYBER	15	14722	SLUZBY	\N	\N
1110802	3792	1996-02-29	VYDAJ	VYBER	15	13731	SLUZBY	\N	\N
1110803	3792	1996-03-31	VYDAJ	VYBER	15	14436	SLUZBY	\N	\N
1110804	3792	1996-04-30	VYDAJ	VYBER	15	14001	SLUZBY	\N	\N
1110805	3792	1996-05-31	VYDAJ	VYBER	15	11805	SLUZBY	\N	\N
1110806	3792	1996-06-30	VYDAJ	VYBER	15	13603	SLUZBY	\N	\N
1110807	3792	1996-07-31	VYDAJ	VYBER	15	14907	SLUZBY	\N	\N
1110808	3792	1996-08-31	VYDAJ	VYBER	15	16718	SLUZBY	\N	\N
1110809	3792	1996-09-30	VYDAJ	VYBER	15	12411	SLUZBY	\N	\N
1110810	3792	1996-10-31	VYDAJ	VYBER	15	14211	SLUZBY	\N	\N
1110811	3792	1996-11-30	VYDAJ	VYBER	15	15218	SLUZBY	\N	\N
1110812	3792	1996-12-31	VYDAJ	VYBER	15	15228	SLUZBY	\N	\N
1110813	3792	1997-01-31	VYDAJ	VYBER	15	14314	SLUZBY	\N	\N
1110814	3792	1997-02-28	VYDAJ	VYBER	15	16122	SLUZBY	\N	\N
1110815	3792	1997-03-31	VYDAJ	VYBER	15	14833	SLUZBY	\N	\N
1110816	3792	1997-04-30	VYDAJ	VYBER	15	16042	SLUZBY	\N	\N
1110817	3792	1997-05-31	VYDAJ	VYBER	15	14552	SLUZBY	\N	\N
1110818	3792	1997-06-30	VYDAJ	VYBER	15	13456	SLUZBY	\N	\N
1110819	3792	1997-07-31	VYDAJ	VYBER	15	15260	SLUZBY	\N	\N
1110820	3792	1997-08-31	VYDAJ	VYBER	15	17071	SLUZBY	\N	\N
1110821	3792	1997-09-30	VYDAJ	VYBER	15	17287	SLUZBY	\N	\N
1110822	3792	1997-10-31	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
1110823	3792	1997-11-30	VYDAJ	VYBER	15	15457	SLUZBY	\N	\N
1110824	3792	1997-12-31	VYDAJ	VYBER	15	14463	SLUZBY	\N	\N
1110825	3792	1998-01-31	VYDAJ	VYBER	15	15231	SLUZBY	\N	\N
1110826	3792	1998-02-28	VYDAJ	VYBER	15	15439	SLUZBY	\N	\N
1110827	3792	1998-03-31	VYDAJ	VYBER	15	14245	SLUZBY	\N	\N
1110828	3792	1998-04-30	VYDAJ	VYBER	15	14148	SLUZBY	\N	\N
1110829	3792	1998-05-31	VYDAJ	VYBER	15	15954	SLUZBY	\N	\N
1110830	3792	1998-06-30	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
1110831	3792	1998-07-31	VYDAJ	VYBER	15	18284	SLUZBY	\N	\N
1110832	3792	1998-08-31	VYDAJ	VYBER	15	15797	SLUZBY	\N	\N
1110833	3792	1998-09-30	VYDAJ	VYBER	15	17610	SLUZBY	\N	\N
1110834	3792	1998-10-31	VYDAJ	VYBER	15	19430	SLUZBY	\N	\N
1110835	3792	1998-11-30	VYDAJ	VYBER	15	15570	SLUZBY	\N	\N
1110836	3792	1993-12-09	VYDAJ	VYBER	700	20793	\N	\N	\N
1110837	3792	1994-01-08	VYDAJ	VYBER	1900	22873	\N	\N	\N
1110838	3792	1994-06-07	VYDAJ	VYBER	1900	24017	\N	\N	\N
1110839	3792	1994-08-06	VYDAJ	VYBER	1500	23735	\N	\N	\N
1110840	3792	1994-09-05	VYDAJ	VYBER	100	25483	\N	\N	\N
1110841	3792	1994-10-05	VYDAJ	VYBER	1800	24174	\N	\N	\N
1110842	3792	1994-12-04	VYDAJ	VYBER	2000	24761	\N	\N	\N
1110843	3792	1995-01-03	VYDAJ	VYBER	2700	23262	\N	\N	\N
1110844	3792	1995-06-02	VYDAJ	VYBER	200	23755	\N	\N	\N
1110845	3792	1995-07-02	VYDAJ	VYBER	2300	23302	\N	\N	\N
1110846	3792	1995-08-31	VYDAJ	VYBER	1600	23481	\N	\N	\N
1110847	3792	1995-09-30	VYDAJ	VYBER	700	23172	\N	\N	\N
1110848	3792	1995-10-30	VYDAJ	VYBER	3300	21631	\N	\N	\N
1110849	3792	1995-11-29	VYDAJ	VYBER	3600	19876	\N	\N	\N
1110850	3792	1995-12-29	VYDAJ	VYBER	3500	17004	\N	\N	\N
1110851	3792	1996-02-27	VYDAJ	VYBER	2800	13681	\N	\N	\N
1110852	3792	1996-03-28	VYDAJ	VYBER	1100	14390	\N	\N	\N
1110853	3792	1996-05-27	VYDAJ	VYBER	4000	11760	\N	\N	\N
1110854	3792	1996-07-26	VYDAJ	VYBER	500	14862	\N	\N	\N
1110855	3792	1996-09-24	VYDAJ	VYBER	2200	12357	\N	\N	\N
1110856	3792	1996-11-23	VYDAJ	VYBER	800	15170	\N	\N	\N
1110857	3792	1996-12-23	VYDAJ	VYBER	900	16077	\N	\N	\N
1110858	3792	1997-03-23	VYDAJ	VYBER	3100	14781	\N	\N	\N
1110859	3792	1997-04-22	VYDAJ	VYBER	600	15992	\N	\N	\N
1110860	3792	1997-05-22	VYDAJ	VYBER	3300	14501	\N	\N	\N
1110861	3792	1997-06-21	VYDAJ	VYBER	2900	13411	\N	\N	\N
1110862	3792	1997-09-19	VYDAJ	VYBER	1600	17230	\N	\N	\N
1110863	3792	1997-10-19	VYDAJ	VYBER	2500	16546	\N	\N	\N
1110864	3792	1997-11-18	VYDAJ	VYBER	400	17961	\N	\N	\N
1110865	3792	1997-12-18	VYDAJ	VYBER	2800	14416	\N	\N	\N
1110866	3792	1998-03-18	VYDAJ	VYBER	3000	14198	\N	\N	\N
1110867	3792	1998-04-17	VYDAJ	VYBER	1900	14104	\N	\N	\N
1110868	3792	1998-06-16	VYDAJ	VYBER	400	17313	\N	\N	\N
1110869	3792	1998-07-16	VYDAJ	VYBER	900	18225	\N	\N	\N
1110870	3792	1998-08-15	VYDAJ	VYBER	4300	15743	\N	\N	\N
1110936	3793	1996-06-28	PRIJEM	VKLAD	300	300	\N	\N	\N
1110943	3793	1996-07-11	PRIJEM	VKLAD	11172	11472	\N	\N	\N
1110944	3793	1996-08-11	PRIJEM	VKLAD	11172	28553	\N	\N	\N
1110945	3793	1996-09-11	PRIJEM	VKLAD	11172	37304	\N	\N	\N
1110946	3793	1996-10-11	PRIJEM	VKLAD	11172	43288	\N	\N	\N
1110947	3793	1996-11-11	PRIJEM	VKLAD	11172	45095	\N	\N	\N
1110948	3793	1996-12-11	PRIJEM	VKLAD	16758	46780	\N	\N	\N
1110949	3793	1997-01-11	PRIJEM	VKLAD	11172	36380	\N	\N	\N
1110950	3793	1997-02-11	PRIJEM	VKLAD	11172	36946	\N	\N	\N
1110951	3793	1997-03-11	PRIJEM	VKLAD	11172	40521	\N	\N	\N
1110952	3793	1997-04-11	PRIJEM	VKLAD	11172	45216	\N	\N	\N
1110953	3793	1997-05-11	PRIJEM	VKLAD	11172	38317	\N	\N	\N
1110954	3793	1997-06-11	PRIJEM	VKLAD	16758	46286	\N	\N	\N
1110955	3793	1997-07-11	PRIJEM	VKLAD	11172	29372	\N	\N	\N
1110956	3793	1997-08-11	PRIJEM	VKLAD	11172	34813	\N	\N	\N
1110957	3793	1997-09-11	PRIJEM	VKLAD	11172	37571	\N	\N	\N
1110958	3793	1997-10-11	PRIJEM	VKLAD	11172	35337	\N	\N	\N
1110959	3793	1997-11-11	PRIJEM	VKLAD	11172	39101	\N	\N	\N
1110960	3793	1997-12-11	PRIJEM	VKLAD	16758	43162	\N	\N	\N
1110961	3793	1998-01-11	PRIJEM	VKLAD	11172	40647	\N	\N	\N
1110962	3793	1998-02-11	PRIJEM	VKLAD	11172	27709	\N	\N	\N
1110963	3793	1998-03-11	PRIJEM	VKLAD	11172	31640	\N	\N	\N
1110964	3793	1998-04-11	PRIJEM	VKLAD	11172	32485	\N	\N	\N
1110965	3793	1998-05-11	PRIJEM	VKLAD	11172	35238	\N	\N	\N
1110966	3793	1998-06-11	PRIJEM	VKLAD	16758	38376	\N	\N	\N
1110967	3793	1998-07-11	PRIJEM	VKLAD	11172	33133	\N	\N	\N
1110968	3793	1998-08-11	PRIJEM	VKLAD	11172	33086	\N	\N	\N
1110969	3793	1998-09-11	PRIJEM	VKLAD	11172	26520	\N	\N	\N
1110970	3793	1998-10-11	PRIJEM	VKLAD	11172	31549	\N	\N	\N
1110971	3793	1998-11-11	PRIJEM	VKLAD	11172	27682	\N	\N	\N
1110972	3793	1998-12-11	PRIJEM	VKLAD	16758	31585	\N	\N	\N
1110983	3793	1996-11-12	VYDAJ	PREVOD NA UCET	5706	39389	SIPO	YZ	82695603
1110984	3793	1996-12-12	VYDAJ	PREVOD NA UCET	5706	41074	SIPO	YZ	82695603
1110985	3793	1997-01-12	VYDAJ	PREVOD NA UCET	5706	22074	SIPO	YZ	82695603
1110986	3793	1997-02-12	VYDAJ	PREVOD NA UCET	5706	31240	SIPO	YZ	82695603
1110987	3793	1997-03-12	VYDAJ	PREVOD NA UCET	5706	34815	SIPO	YZ	82695603
1110988	3793	1997-04-12	VYDAJ	PREVOD NA UCET	5706	39510	SIPO	YZ	82695603
1110989	3793	1997-05-12	VYDAJ	PREVOD NA UCET	5706	32611	SIPO	YZ	82695603
1110990	3793	1997-06-12	VYDAJ	PREVOD NA UCET	5706	40580	SIPO	YZ	82695603
1110991	3793	1997-07-12	VYDAJ	PREVOD NA UCET	5706	23666	SIPO	YZ	82695603
1110992	3793	1997-08-12	VYDAJ	PREVOD NA UCET	5706	29107	SIPO	YZ	82695603
1110993	3793	1997-09-12	VYDAJ	PREVOD NA UCET	5706	31865	SIPO	YZ	82695603
1110994	3793	1997-10-12	VYDAJ	PREVOD NA UCET	5706	29631	SIPO	YZ	82695603
1110995	3793	1997-11-12	VYDAJ	PREVOD NA UCET	5706	33395	SIPO	YZ	82695603
1110996	3793	1997-12-12	VYDAJ	PREVOD NA UCET	5706	34656	SIPO	YZ	82695603
1110997	3793	1998-01-12	VYDAJ	PREVOD NA UCET	5706	34941	SIPO	YZ	82695603
1110998	3793	1998-02-12	VYDAJ	PREVOD NA UCET	5706	22003	SIPO	YZ	82695603
1110999	3793	1998-03-12	VYDAJ	PREVOD NA UCET	5706	25934	SIPO	YZ	82695603
1111000	3793	1998-04-12	VYDAJ	PREVOD NA UCET	5706	26779	SIPO	YZ	82695603
1111001	3793	1998-05-12	VYDAJ	PREVOD NA UCET	5706	29532	SIPO	YZ	82695603
1111002	3793	1998-06-12	VYDAJ	PREVOD NA UCET	5706	32670	SIPO	YZ	82695603
1111003	3793	1998-07-12	VYDAJ	PREVOD NA UCET	5706	27427	SIPO	YZ	82695603
1111004	3793	1998-08-12	VYDAJ	PREVOD NA UCET	5706	27380	SIPO	YZ	82695603
1111005	3793	1998-09-12	VYDAJ	PREVOD NA UCET	5706	20814	SIPO	YZ	82695603
1111006	3793	1998-10-12	VYDAJ	PREVOD NA UCET	5706	25843	SIPO	YZ	82695603
1111007	3793	1998-11-12	VYDAJ	PREVOD NA UCET	5706	21976	SIPO	YZ	82695603
1111008	3793	1998-12-12	VYDAJ	PREVOD NA UCET	5706	25879	SIPO	YZ	82695603
1111010	3793	1997-06-26	VYDAJ	VYBER	17500	18080	\N	\N	\N
1111013	3793	1997-01-12	VYDAJ	VYBER	8600	27780	\N	\N	\N
1111014	3793	1998-01-22	VYDAJ	VYBER	3200	22241	\N	\N	\N
1111015	3793	1996-12-25	VYDAJ	VYBER	2400	38674	\N	\N	\N
1111016	3793	1997-12-11	VYDAJ	VYBER	2800	40362	\N	\N	\N
1111024	3793	1997-01-10	VYDAJ	VYBER	2700	27408	\N	\N	\N
1111025	3793	1997-01-07	VYDAJ	VYBER	2200	30108	\N	\N	\N
1111026	3793	1997-01-16	VYDAJ	VYBER	1400	20674	\N	\N	\N
1111027	3793	1997-01-22	VYDAJ	VYBER	1300	19374	\N	\N	\N
1111028	3793	1997-01-10	VYDAJ	VYBER	2200	25208	\N	\N	\N
1111029	3793	1997-01-24	VYDAJ	VYBER	2900	25674	\N	\N	\N
1111030	3793	1998-01-01	VYDAJ	VYBER	1700	29475	\N	\N	\N
1111031	3793	1998-01-26	VYDAJ	VYBER	2500	16441	\N	\N	\N
1111032	3793	1998-01-24	VYDAJ	VYBER	900	21341	\N	\N	\N
1111033	3793	1998-01-01	VYDAJ	VYBER	1200	31175	\N	\N	\N
1111034	3793	1998-01-25	VYDAJ	VYBER	2400	18941	\N	\N	\N
1111035	3793	1998-01-18	VYDAJ	VYBER	600	31441	\N	\N	\N
1111037	3793	1996-12-27	VYDAJ	VYBER	3400	32174	\N	\N	\N
1111045	3793	1997-12-10	VYDAJ	VYBER	2500	26404	\N	\N	\N
1111046	3793	1997-03-01	VYDAJ	VYBER	4500	29349	\N	\N	\N
1111047	3793	1997-04-27	VYDAJ	VYBER	4600	31210	\N	\N	\N
1111048	3793	1997-08-14	VYDAJ	VYBER	2900	26207	\N	\N	\N
1111049	3793	1997-05-02	VYDAJ	VYBER	4200	27145	\N	\N	\N
1111050	3793	1997-09-23	VYDAJ	VYBER	3800	24065	\N	\N	\N
1111051	3793	1998-10-04	VYDAJ	VYBER	500	20377	\N	\N	\N
1111052	3793	1998-01-15	VYDAJ	VYBER	2900	32041	\N	\N	\N
1111053	3793	1998-08-18	VYDAJ	VYBER	1300	16980	\N	\N	\N
1111054	3793	1998-08-17	VYDAJ	VYBER	1400	18280	\N	\N	\N
1111055	3793	1998-04-08	VYDAJ	VYBER	900	21313	\N	\N	\N
1111056	3793	1998-08-23	VYDAJ	VYBER	1700	15280	\N	\N	\N
1111057	3793	1998-07-07	VYDAJ	VYBER	3800	21961	\N	\N	\N
1111069	3793	1996-11-30	VYDAJ	VYBER	15	30022	SLUZBY	\N	\N
1111070	3793	1996-12-31	VYDAJ	VYBER	15	32308	SLUZBY	\N	\N
1111071	3793	1997-01-31	VYDAJ	VYBER	15	25774	SLUZBY	\N	\N
1111072	3793	1997-02-28	VYDAJ	VYBER	15	33849	SLUZBY	\N	\N
1111073	3793	1997-03-31	VYDAJ	VYBER	15	34044	SLUZBY	\N	\N
1111074	3793	1997-04-30	VYDAJ	VYBER	15	31345	SLUZBY	\N	\N
1111075	3793	1997-05-31	VYDAJ	VYBER	15	29528	SLUZBY	\N	\N
1111076	3793	1997-06-30	VYDAJ	VYBER	15	18200	SLUZBY	\N	\N
1111077	3793	1997-07-31	VYDAJ	VYBER	15	23641	SLUZBY	\N	\N
1111078	3793	1997-08-31	VYDAJ	VYBER	15	26399	SLUZBY	\N	\N
1111079	3793	1997-09-30	VYDAJ	VYBER	15	24165	SLUZBY	\N	\N
1111080	3793	1997-10-31	VYDAJ	VYBER	15	27929	SLUZBY	\N	\N
1111081	3793	1997-11-30	VYDAJ	VYBER	15	28904	SLUZBY	\N	\N
1111082	3793	1997-12-31	VYDAJ	VYBER	15	32375	SLUZBY	\N	\N
1111083	3793	1998-01-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
1111084	3793	1998-02-28	VYDAJ	VYBER	15	20468	SLUZBY	\N	\N
1111085	3793	1998-03-31	VYDAJ	VYBER	15	22213	SLUZBY	\N	\N
1111086	3793	1998-04-30	VYDAJ	VYBER	15	24066	SLUZBY	\N	\N
1111087	3793	1998-05-31	VYDAJ	VYBER	15	21618	SLUZBY	\N	\N
1111088	3793	1998-06-30	VYDAJ	VYBER	15	25761	SLUZBY	\N	\N
1111089	3793	1998-07-31	VYDAJ	VYBER	15	21914	SLUZBY	\N	\N
1111090	3793	1998-08-31	VYDAJ	VYBER	15	15348	SLUZBY	\N	\N
1111091	3793	1998-09-30	VYDAJ	VYBER	15	20877	SLUZBY	\N	\N
1111092	3793	1998-10-31	VYDAJ	VYBER	15	16510	SLUZBY	\N	\N
1111093	3793	1998-11-30	VYDAJ	VYBER	15	14827	SLUZBY	\N	\N
1111094	3793	1996-07-28	PRIJEM	VKLAD	5900	17372	\N	\N	\N
1111095	3793	1996-08-27	VYDAJ	VYBER	2500	26053	\N	\N	\N
1111096	3793	1996-09-26	VYDAJ	VYBER	5300	32004	\N	\N	\N
1111097	3793	1996-10-26	VYDAJ	VYBER	9500	33788	\N	\N	\N
1111098	3793	1996-11-25	VYDAJ	VYBER	9500	29889	\N	\N	\N
1111099	3793	1996-12-25	VYDAJ	VYBER	3100	35574	\N	\N	\N
1111100	3793	1997-01-24	PRIJEM	VKLAD	9200	28574	\N	\N	\N
1111101	3793	1997-02-23	PRIJEM	VKLAD	2500	33740	\N	\N	\N
1111102	3793	1997-03-25	VYDAJ	VYBER	900	33915	\N	\N	\N
1111103	3793	1997-04-24	VYDAJ	VYBER	3700	35810	\N	\N	\N
1111104	3793	1997-05-24	VYDAJ	VYBER	3200	29411	\N	\N	\N
1111105	3793	1997-06-23	VYDAJ	VYBER	5000	35580	\N	\N	\N
1111106	3793	1997-07-23	VYDAJ	VYBER	100	23566	\N	\N	\N
1111107	3793	1997-08-22	PRIJEM	VKLAD	100	26307	\N	\N	\N
1111108	3793	1997-09-21	VYDAJ	VYBER	4000	27865	\N	\N	\N
1111109	3793	1997-10-21	VYDAJ	VYBER	1800	27831	\N	\N	\N
1111110	3793	1997-11-20	VYDAJ	VYBER	4600	28795	\N	\N	\N
1111111	3793	1997-12-20	VYDAJ	VYBER	2400	32256	\N	\N	\N
1111112	3793	1998-01-19	VYDAJ	VYBER	6000	25441	\N	\N	\N
1111113	3793	1998-02-18	VYDAJ	VYBER	1600	20403	\N	\N	\N
1111114	3793	1998-03-20	VYDAJ	VYBER	3800	22134	\N	\N	\N
1111115	3793	1998-04-19	VYDAJ	VYBER	2800	23979	\N	\N	\N
1111116	3793	1998-05-19	VYDAJ	VYBER	8000	21532	\N	\N	\N
1111117	3793	1998-06-18	VYDAJ	VYBER	7000	25670	\N	\N	\N
1111118	3793	1998-07-18	VYDAJ	VYBER	5600	21827	\N	\N	\N
1111119	3793	1998-08-17	VYDAJ	VYBER	7700	19680	\N	\N	\N
1111120	3793	1998-10-16	VYDAJ	VYBER	9400	16443	\N	\N	\N
1111121	3793	1998-11-15	VYDAJ	VYBER	7200	14776	\N	\N	\N
1111152	3794	1997-02-03	PRIJEM	VKLAD	400	400	\N	\N	\N
1111154	3794	1997-02-08	PRIJEM	VKLAD	18738	19138	\N	\N	\N
1111155	3794	1997-03-08	PRIJEM	VKLAD	18738	44136	\N	\N	\N
1111156	3794	1997-04-08	PRIJEM	VKLAD	18738	55734	\N	\N	\N
1111157	3794	1997-05-08	PRIJEM	VKLAD	18738	59593	\N	\N	\N
1111158	3794	1997-06-08	PRIJEM	VKLAD	28107	69245	\N	\N	\N
1111159	3794	1997-07-08	PRIJEM	VKLAD	18738	55054	\N	\N	\N
1111160	3794	1997-08-08	PRIJEM	VKLAD	18738	58050	\N	\N	\N
1111161	3794	1997-09-08	PRIJEM	VKLAD	18738	55659	\N	\N	\N
1111162	3794	1997-10-08	PRIJEM	VKLAD	18738	48952	\N	\N	\N
1111163	3794	1997-11-08	PRIJEM	VKLAD	18738	46016	\N	\N	\N
1111164	3794	1997-12-08	PRIJEM	VKLAD	28107	57327	\N	\N	\N
1111165	3794	1998-01-08	PRIJEM	VKLAD	18738	53904	\N	\N	\N
1111166	3794	1998-02-08	PRIJEM	VKLAD	18738	52049	\N	\N	\N
1111167	3794	1998-03-08	PRIJEM	VKLAD	18738	56416	\N	\N	\N
1111168	3794	1998-04-08	PRIJEM	VKLAD	18738	54800	\N	\N	\N
1111169	3794	1998-05-08	PRIJEM	VKLAD	18738	55577	\N	\N	\N
1111170	3794	1998-06-08	PRIJEM	VKLAD	28107	64920	\N	\N	\N
1111171	3794	1998-07-08	PRIJEM	VKLAD	18738	50902	\N	\N	\N
1111172	3794	1998-08-08	PRIJEM	VKLAD	18738	56062	\N	\N	\N
1111173	3794	1998-09-08	PRIJEM	VKLAD	18738	59141	\N	\N	\N
1111174	3794	1998-10-08	PRIJEM	VKLAD	18738	62734	\N	\N	\N
1111175	3794	1998-11-08	PRIJEM	VKLAD	18738	69642	\N	\N	\N
1111176	3794	1998-12-08	PRIJEM	VKLAD	28107	80743	\N	\N	\N
1111182	3794	1997-06-09	VYDAJ	PREVOD NA UCET	4536	64709	SIPO	KL	83359801
1111183	3794	1997-07-09	VYDAJ	PREVOD NA UCET	4536	50518	SIPO	KL	83359801
1111184	3794	1997-08-09	VYDAJ	PREVOD NA UCET	4536	53514	SIPO	KL	83359801
1111185	3794	1997-09-09	VYDAJ	PREVOD NA UCET	4536	50023	SIPO	KL	83359801
1111186	3794	1997-10-09	VYDAJ	PREVOD NA UCET	4536	44416	SIPO	KL	83359801
1111187	3794	1997-11-09	VYDAJ	PREVOD NA UCET	4536	41480	SIPO	KL	83359801
1111188	3794	1997-12-09	VYDAJ	PREVOD NA UCET	4536	52791	SIPO	KL	83359801
1111189	3794	1998-01-09	VYDAJ	PREVOD NA UCET	4536	40168	SIPO	KL	83359801
1111190	3794	1998-02-09	VYDAJ	PREVOD NA UCET	4536	47513	SIPO	KL	83359801
1111191	3794	1998-03-09	VYDAJ	PREVOD NA UCET	4536	51880	SIPO	KL	83359801
1111192	3794	1998-04-09	VYDAJ	PREVOD NA UCET	4536	50264	SIPO	KL	83359801
1111193	3794	1998-05-09	VYDAJ	PREVOD NA UCET	4536	48441	SIPO	KL	83359801
1111194	3794	1998-06-09	VYDAJ	PREVOD NA UCET	4536	60384	SIPO	KL	83359801
1111195	3794	1998-07-09	VYDAJ	PREVOD NA UCET	4536	46366	SIPO	KL	83359801
1111196	3794	1998-08-09	VYDAJ	PREVOD NA UCET	4536	51526	SIPO	KL	83359801
1111197	3794	1998-09-09	VYDAJ	PREVOD NA UCET	4536	54605	SIPO	KL	83359801
1111198	3794	1998-10-09	VYDAJ	PREVOD NA UCET	4536	58198	SIPO	KL	83359801
1111199	3794	1998-11-09	VYDAJ	PREVOD NA UCET	4536	65106	SIPO	KL	83359801
1111200	3794	1998-12-09	VYDAJ	PREVOD NA UCET	4536	75107	SIPO	KL	83359801
1111201	3794	1997-06-12	VYDAJ	VYBER	16500	48209	\N	\N	\N
1111202	3794	1998-06-23	VYDAJ	VYBER	27300	33084	\N	\N	\N
1111204	3794	1998-01-08	VYDAJ	VYBER	9200	44704	\N	\N	\N
1111205	3794	1997-12-29	VYDAJ	VYBER	1600	51191	\N	\N	\N
1111206	3794	1998-12-08	VYDAJ	VYBER	1100	79643	\N	\N	\N
1111207	3794	1997-09-09	VYDAJ	VYBER	1100	54559	\N	\N	\N
1111209	3794	1997-11-26	VYDAJ	VYBER	1600	39880	\N	\N	\N
1111210	3794	1997-10-16	VYDAJ	VYBER	3600	40816	\N	\N	\N
1111211	3794	1997-09-14	VYDAJ	VYBER	4400	45623	\N	\N	\N
1111212	3794	1998-08-28	VYDAJ	VYBER	2800	40226	\N	\N	\N
1111213	3794	1998-01-21	VYDAJ	VYBER	2300	37868	\N	\N	\N
1111214	3794	1998-05-08	VYDAJ	VYBER	2600	52977	\N	\N	\N
1111215	3794	1998-09-30	VYDAJ	VYBER	4400	43996	\N	\N	\N
1111222	3794	1997-06-30	VYDAJ	VYBER	15	48416	SLUZBY	\N	\N
1111223	3794	1997-07-31	VYDAJ	VYBER	15	50712	SLUZBY	\N	\N
1111224	3794	1997-08-31	VYDAJ	VYBER	15	53721	SLUZBY	\N	\N
1111225	3794	1997-09-30	VYDAJ	VYBER	15	45814	SLUZBY	\N	\N
1111226	3794	1997-10-31	VYDAJ	VYBER	15	27278	SLUZBY	\N	\N
1111227	3794	1997-11-30	VYDAJ	VYBER	15	29220	SLUZBY	\N	\N
1111228	3794	1997-12-31	VYDAJ	VYBER	15	35166	SLUZBY	\N	\N
1111229	3794	1998-01-31	VYDAJ	VYBER	15	33311	SLUZBY	\N	\N
1111230	3794	1998-02-28	VYDAJ	VYBER	15	47678	SLUZBY	\N	\N
1111231	3794	1998-03-31	VYDAJ	VYBER	15	36062	SLUZBY	\N	\N
1111232	3794	1998-04-30	VYDAJ	VYBER	15	36839	SLUZBY	\N	\N
1111233	3794	1998-05-31	VYDAJ	VYBER	15	36813	SLUZBY	\N	\N
1111234	3794	1998-06-30	VYDAJ	VYBER	15	32164	SLUZBY	\N	\N
1111235	3794	1998-07-31	VYDAJ	VYBER	15	37324	SLUZBY	\N	\N
1111236	3794	1998-08-31	VYDAJ	VYBER	15	40403	SLUZBY	\N	\N
1111237	3794	1998-09-30	VYDAJ	VYBER	15	48396	SLUZBY	\N	\N
1111238	3794	1998-10-31	VYDAJ	VYBER	15	50904	SLUZBY	\N	\N
1111239	3794	1998-11-30	VYDAJ	VYBER	15	52636	SLUZBY	\N	\N
1111240	3794	1997-03-05	PRIJEM	VKLAD	6200	25398	\N	\N	\N
1111241	3794	1997-04-04	VYDAJ	VYBER	7300	36996	\N	\N	\N
1111242	3794	1997-05-04	VYDAJ	VYBER	15100	40855	\N	\N	\N
1111243	3794	1997-06-03	VYDAJ	VYBER	18700	41138	\N	\N	\N
1111244	3794	1997-07-03	VYDAJ	VYBER	12100	36316	\N	\N	\N
1111245	3794	1997-08-02	VYDAJ	VYBER	11400	39312	\N	\N	\N
1111246	3794	1997-09-01	VYDAJ	VYBER	16800	36921	\N	\N	\N
1111247	3794	1997-10-01	VYDAJ	VYBER	15600	30214	\N	\N	\N
1111248	3794	1997-10-31	VYDAJ	VYBER	13700	27293	\N	\N	\N
1111249	3794	1997-11-30	VYDAJ	VYBER	10800	29235	\N	\N	\N
1111250	3794	1997-12-30	VYDAJ	VYBER	16200	34991	\N	\N	\N
1111251	3794	1998-01-29	VYDAJ	VYBER	4700	33168	\N	\N	\N
1111252	3794	1998-02-28	VYDAJ	VYBER	10000	37678	\N	\N	\N
1111253	3794	1998-03-30	VYDAJ	VYBER	16000	35880	\N	\N	\N
1111254	3794	1998-04-29	VYDAJ	VYBER	13600	36664	\N	\N	\N
1111255	3794	1998-05-29	VYDAJ	VYBER	11800	36641	\N	\N	\N
1111256	3794	1998-06-28	VYDAJ	VYBER	1100	31984	\N	\N	\N
1111257	3794	1998-07-28	VYDAJ	VYBER	9200	37166	\N	\N	\N
1111258	3794	1998-08-27	VYDAJ	VYBER	8500	43026	\N	\N	\N
1111259	3794	1998-09-26	VYDAJ	VYBER	6400	48205	\N	\N	\N
1111260	3794	1998-10-26	VYDAJ	VYBER	7500	50698	\N	\N	\N
1111261	3794	1998-11-25	VYDAJ	VYBER	12700	52406	\N	\N	\N
1111285	3795	1996-03-18	PRIJEM	VKLAD	900	900	\N	\N	\N
1111289	3795	1996-04-09	PRIJEM	VKLAD	19110	20010	\N	\N	\N
1111290	3795	1996-05-09	PRIJEM	VKLAD	19110	42666	\N	\N	\N
1111291	3795	1996-06-09	PRIJEM	VKLAD	28665	62449	\N	\N	\N
1111292	3795	1996-07-09	PRIJEM	VKLAD	19110	61818	\N	\N	\N
1111293	3795	1996-08-09	PRIJEM	VKLAD	19110	58899	\N	\N	\N
1111294	3795	1996-09-09	PRIJEM	VKLAD	19110	45115	\N	\N	\N
1111295	3795	1996-10-09	PRIJEM	VKLAD	19110	46365	\N	\N	\N
1111296	3795	1996-11-09	PRIJEM	VKLAD	19110	49635	\N	\N	\N
1111297	3795	1996-12-09	PRIJEM	VKLAD	28665	46704	\N	\N	\N
1111298	3795	1997-01-09	PRIJEM	VKLAD	19110	31059	\N	\N	\N
1111299	3795	1997-02-09	PRIJEM	VKLAD	19110	29231	\N	\N	\N
1111300	3795	1997-03-09	PRIJEM	VKLAD	19110	31535	\N	\N	\N
1111301	3795	1997-04-09	PRIJEM	VKLAD	19110	37878	\N	\N	\N
1111302	3795	1997-05-09	PRIJEM	VKLAD	19110	42399	\N	\N	\N
1111303	3795	1997-06-09	PRIJEM	VKLAD	28665	57697	\N	\N	\N
1111304	3795	1997-07-09	PRIJEM	VKLAD	19110	51358	\N	\N	\N
1111305	3795	1997-08-09	PRIJEM	VKLAD	19110	50419	\N	\N	\N
1111306	3795	1997-09-09	PRIJEM	VKLAD	19110	53084	\N	\N	\N
1111307	3795	1997-10-09	PRIJEM	VKLAD	19110	48571	\N	\N	\N
1111308	3795	1997-11-09	PRIJEM	VKLAD	19110	53138	\N	\N	\N
1111309	3795	1997-12-09	PRIJEM	VKLAD	28665	66491	\N	\N	\N
1111310	3795	1998-01-09	PRIJEM	VKLAD	19110	61817	\N	\N	\N
1111311	3795	1998-02-09	PRIJEM	VKLAD	19110	57707	\N	\N	\N
1111312	3795	1998-03-09	PRIJEM	VKLAD	19110	56732	\N	\N	\N
1111313	3795	1998-04-09	PRIJEM	VKLAD	19110	56755	\N	\N	\N
1111314	3795	1998-05-09	PRIJEM	VKLAD	19110	50372	\N	\N	\N
1111315	3795	1998-06-09	PRIJEM	VKLAD	28665	60051	\N	\N	\N
1111316	3795	1998-07-09	PRIJEM	VKLAD	19110	57746	\N	\N	\N
1111317	3795	1998-08-09	PRIJEM	VKLAD	19110	61266	\N	\N	\N
1111318	3795	1998-09-09	PRIJEM	VKLAD	19110	62101	\N	\N	\N
1111319	3795	1998-10-09	PRIJEM	VKLAD	19110	60640	\N	\N	\N
1111320	3795	1998-11-09	PRIJEM	VKLAD	19110	60775	\N	\N	\N
1111321	3795	1998-12-09	PRIJEM	VKLAD	28665	66564	\N	\N	\N
1111329	3795	1996-08-14	VYDAJ	PREVOD NA UCET	2419	56480	SIPO	WX	49257469
1111330	3795	1996-09-14	VYDAJ	PREVOD NA UCET	2419	33796	SIPO	WX	49257469
1111331	3795	1996-10-14	VYDAJ	PREVOD NA UCET	2419	43946	SIPO	WX	49257469
1111332	3795	1996-11-14	VYDAJ	PREVOD NA UCET	2419	35016	SIPO	WX	49257469
1111333	3795	1996-12-14	VYDAJ	PREVOD NA UCET	2419	31785	SIPO	WX	49257469
1111334	3795	1997-01-14	VYDAJ	PREVOD NA UCET	2419	22240	SIPO	WX	49257469
1111335	3795	1997-02-14	VYDAJ	PREVOD NA UCET	2419	21912	SIPO	WX	49257469
1111336	3795	1997-03-14	VYDAJ	PREVOD NA UCET	2419	26916	SIPO	WX	49257469
1111337	3795	1997-04-14	VYDAJ	PREVOD NA UCET	2419	29859	SIPO	WX	49257469
1111338	3795	1997-05-14	VYDAJ	PREVOD NA UCET	2419	35580	SIPO	WX	49257469
1111339	3795	1997-06-14	VYDAJ	PREVOD NA UCET	2419	38778	SIPO	WX	49257469
1111340	3795	1997-07-14	VYDAJ	PREVOD NA UCET	2419	37839	SIPO	WX	49257469
1111341	3795	1997-08-14	VYDAJ	PREVOD NA UCET	2419	40500	SIPO	WX	49257469
1111342	3795	1997-09-14	VYDAJ	PREVOD NA UCET	2419	40065	SIPO	WX	49257469
1111343	3795	1997-10-14	VYDAJ	PREVOD NA UCET	2419	40752	SIPO	WX	49257469
1111344	3795	1997-11-14	VYDAJ	PREVOD NA UCET	2419	50719	SIPO	WX	49257469
1111345	3795	1997-12-14	VYDAJ	PREVOD NA UCET	2419	62952	SIPO	WX	49257469
1111346	3795	1998-01-14	VYDAJ	PREVOD NA UCET	2419	59398	SIPO	WX	49257469
1111347	3795	1998-02-14	VYDAJ	PREVOD NA UCET	2419	55288	SIPO	WX	49257469
1111348	3795	1998-03-14	VYDAJ	PREVOD NA UCET	2419	54313	SIPO	WX	49257469
1111349	3795	1998-04-14	VYDAJ	PREVOD NA UCET	2419	53136	SIPO	WX	49257469
1111350	3795	1998-05-14	VYDAJ	PREVOD NA UCET	2419	42913	SIPO	WX	49257469
1111351	3795	1998-06-14	VYDAJ	PREVOD NA UCET	2419	57632	SIPO	WX	49257469
1111352	3795	1998-07-14	VYDAJ	PREVOD NA UCET	2419	55327	SIPO	WX	49257469
1111353	3795	1998-08-14	VYDAJ	PREVOD NA UCET	2419	58847	SIPO	WX	49257469
1111354	3795	1998-09-14	VYDAJ	PREVOD NA UCET	2419	59682	SIPO	WX	49257469
1111355	3795	1998-10-14	VYDAJ	PREVOD NA UCET	2419	58221	SIPO	WX	49257469
1111356	3795	1998-11-14	VYDAJ	PREVOD NA UCET	2419	58356	SIPO	WX	49257469
1111357	3795	1998-12-14	VYDAJ	PREVOD NA UCET	2419	64145	SIPO	WX	49257469
1111366	3795	1996-09-06	VYDAJ	PREVOD NA UCET	6679	26005	 	CD	41867381
1111367	3795	1996-10-06	VYDAJ	PREVOD NA UCET	6679	27255	 	CD	41867381
1111368	3795	1996-11-06	VYDAJ	PREVOD NA UCET	6679	30525	 	CD	41867381
1111369	3795	1996-12-06	VYDAJ	PREVOD NA UCET	6679	23079	 	CD	41867381
1111370	3795	1997-01-06	VYDAJ	PREVOD NA UCET	6679	11949	 	CD	41867381
1111371	3795	1997-02-06	VYDAJ	PREVOD NA UCET	6679	10121	 	CD	41867381
1111372	3795	1997-03-06	VYDAJ	PREVOD NA UCET	6679	12425	 	CD	41867381
1111373	3795	1997-04-06	VYDAJ	PREVOD NA UCET	6679	18768	 	CD	41867381
1111374	3795	1997-05-06	VYDAJ	PREVOD NA UCET	6679	23289	 	CD	41867381
1111375	3795	1997-06-06	VYDAJ	PREVOD NA UCET	6679	29032	 	CD	41867381
1111376	3795	1997-07-06	VYDAJ	PREVOD NA UCET	6679	32248	 	CD	41867381
1111377	3795	1997-08-06	VYDAJ	PREVOD NA UCET	6679	31309	 	CD	41867381
1111378	3795	1997-09-06	VYDAJ	PREVOD NA UCET	6679	33974	 	CD	41867381
1111379	3795	1997-10-06	VYDAJ	PREVOD NA UCET	6679	29461	 	CD	41867381
1111380	3795	1997-11-06	VYDAJ	PREVOD NA UCET	6679	34228	 	CD	41867381
1111381	3795	1997-12-06	VYDAJ	PREVOD NA UCET	6679	43626	 	CD	41867381
1111382	3795	1998-01-06	VYDAJ	PREVOD NA UCET	6679	56507	 	CD	41867381
1111383	3795	1998-02-06	VYDAJ	PREVOD NA UCET	6679	47297	 	CD	41867381
1111384	3795	1998-03-06	VYDAJ	PREVOD NA UCET	6679	48822	 	CD	41867381
1111385	3795	1998-04-06	VYDAJ	PREVOD NA UCET	6679	47845	 	CD	41867381
1111386	3795	1998-05-06	VYDAJ	PREVOD NA UCET	6679	46662	 	CD	41867381
1111387	3795	1998-06-06	VYDAJ	PREVOD NA UCET	6679	36406	 	CD	41867381
1111388	3795	1998-07-06	VYDAJ	PREVOD NA UCET	6679	46036	 	CD	41867381
1111389	3795	1998-08-06	VYDAJ	PREVOD NA UCET	6679	42156	 	CD	41867381
1111390	3795	1998-09-06	VYDAJ	PREVOD NA UCET	6679	42991	 	CD	41867381
1111391	3795	1998-10-06	VYDAJ	PREVOD NA UCET	6679	41530	 	CD	41867381
1111392	3795	1998-11-06	VYDAJ	PREVOD NA UCET	6679	41665	 	CD	41867381
1111393	3795	1998-12-06	VYDAJ	PREVOD NA UCET	6679	37899	 	CD	41867381
1111396	3795	1998-06-25	VYDAJ	VYBER	5120	52512	\N	\N	\N
1111398	3795	1997-01-01	VYDAJ	VYBER	12160	18628	\N	\N	\N
1111399	3795	1998-01-06	VYDAJ	VYBER	3200	53307	\N	\N	\N
1111400	3795	1996-12-27	VYDAJ	VYBER	1120	30665	\N	\N	\N
1111401	3795	1997-12-11	VYDAJ	VYBER	1120	65371	\N	\N	\N
1111402	3795	1998-12-15	VYDAJ	VYBER	3360	60785	\N	\N	\N
1111404	3795	1996-09-01	VYDAJ	VYBER	3240	32684	\N	\N	\N
1111406	3795	1996-12-08	VYDAJ	VYBER	5040	18039	\N	\N	\N
1111407	3795	1996-12-01	VYDAJ	VYBER	4800	29758	\N	\N	\N
1111408	3795	1996-11-25	VYDAJ	VYBER	600	34416	\N	\N	\N
1111409	3795	1997-03-17	VYDAJ	VYBER	1560	25356	\N	\N	\N
1111410	3795	1997-01-27	VYDAJ	VYBER	3960	18280	\N	\N	\N
1111411	3795	1997-01-29	VYDAJ	VYBER	840	17440	\N	\N	\N
1111412	3795	1997-02-28	VYDAJ	VYBER	2880	19104	\N	\N	\N
1111413	3795	1997-10-01	VYDAJ	VYBER	4080	36140	\N	\N	\N
1111414	3795	1997-02-03	VYDAJ	VYBER	720	16800	\N	\N	\N
1111415	3795	1997-11-29	VYDAJ	VYBER	600	50119	\N	\N	\N
1111416	3795	1998-04-09	VYDAJ	VYBER	1200	55555	\N	\N	\N
1111417	3795	1998-05-12	VYDAJ	VYBER	5040	45332	\N	\N	\N
1111418	3795	1998-01-15	VYDAJ	VYBER	5640	53758	\N	\N	\N
1111419	3795	1998-06-06	VYDAJ	VYBER	720	35686	\N	\N	\N
1111428	3795	1996-08-31	VYDAJ	VYBER	15	35924	SLUZBY	\N	\N
1111429	3795	1996-09-30	VYDAJ	VYBER	15	33934	SLUZBY	\N	\N
1111430	3795	1996-10-31	VYDAJ	VYBER	15	37204	SLUZBY	\N	\N
1111431	3795	1996-11-30	VYDAJ	VYBER	15	34558	SLUZBY	\N	\N
1111432	3795	1996-12-31	VYDAJ	VYBER	15	30788	SLUZBY	\N	\N
1111433	3795	1997-01-31	VYDAJ	VYBER	15	17520	SLUZBY	\N	\N
1111434	3795	1997-02-28	VYDAJ	VYBER	15	21984	SLUZBY	\N	\N
1111435	3795	1997-03-31	VYDAJ	VYBER	15	25447	SLUZBY	\N	\N
1111436	3795	1997-04-30	VYDAJ	VYBER	15	29968	SLUZBY	\N	\N
1111437	3795	1997-05-31	VYDAJ	VYBER	15	35711	SLUZBY	\N	\N
1111438	3795	1997-06-30	VYDAJ	VYBER	15	38927	SLUZBY	\N	\N
1111439	3795	1997-07-31	VYDAJ	VYBER	15	37988	SLUZBY	\N	\N
1111440	3795	1997-08-31	VYDAJ	VYBER	15	40653	SLUZBY	\N	\N
1111441	3795	1997-09-30	VYDAJ	VYBER	15	40220	SLUZBY	\N	\N
1111442	3795	1997-10-31	VYDAJ	VYBER	15	40907	SLUZBY	\N	\N
1111443	3795	1997-11-30	VYDAJ	VYBER	15	50305	SLUZBY	\N	\N
1111444	3795	1997-12-31	VYDAJ	VYBER	15	63186	SLUZBY	\N	\N
1111445	3795	1998-01-31	VYDAJ	VYBER	15	53976	SLUZBY	\N	\N
1111446	3795	1998-02-28	VYDAJ	VYBER	15	55501	SLUZBY	\N	\N
1111447	3795	1998-03-31	VYDAJ	VYBER	15	54524	SLUZBY	\N	\N
1111448	3795	1998-04-30	VYDAJ	VYBER	15	53341	SLUZBY	\N	\N
1111449	3795	1998-05-31	VYDAJ	VYBER	15	43085	SLUZBY	\N	\N
1111450	3795	1998-06-30	VYDAJ	VYBER	15	52715	SLUZBY	\N	\N
1111451	3795	1998-07-31	VYDAJ	VYBER	15	55535	SLUZBY	\N	\N
1111452	3795	1998-08-31	VYDAJ	VYBER	15	59070	SLUZBY	\N	\N
1111453	3795	1998-09-30	VYDAJ	VYBER	15	59909	SLUZBY	\N	\N
1111454	3795	1998-10-31	VYDAJ	VYBER	15	58444	SLUZBY	\N	\N
1111455	3795	1998-11-30	VYDAJ	VYBER	15	58578	SLUZBY	\N	\N
1111456	3795	1996-04-17	PRIJEM	VKLAD	3500	23510	\N	\N	\N
1111457	3795	1996-05-17	VYDAJ	VYBER	9000	33666	\N	\N	\N
1111458	3795	1996-06-16	VYDAJ	VYBER	19900	42549	\N	\N	\N
1111459	3795	1996-07-16	VYDAJ	VYBER	22200	39618	\N	\N	\N
1111460	3795	1996-08-15	VYDAJ	VYBER	20700	35780	\N	\N	\N
1111461	3795	1996-09-14	VYDAJ	VYBER	8900	36215	\N	\N	\N
1111462	3795	1996-10-14	VYDAJ	VYBER	6900	37046	\N	\N	\N
1111463	3795	1996-11-13	VYDAJ	VYBER	12200	37435	\N	\N	\N
1111464	3795	1996-12-13	VYDAJ	VYBER	12500	34204	\N	\N	\N
1111465	3795	1997-01-12	VYDAJ	VYBER	6400	24659	\N	\N	\N
1111466	3795	1997-02-11	VYDAJ	VYBER	4900	24331	\N	\N	\N
1111467	3795	1997-03-13	VYDAJ	VYBER	2200	29335	\N	\N	\N
1111468	3795	1997-04-12	VYDAJ	VYBER	5600	32278	\N	\N	\N
1111469	3795	1997-05-12	VYDAJ	VYBER	4400	37999	\N	\N	\N
1111470	3795	1997-06-11	VYDAJ	VYBER	16500	41197	\N	\N	\N
1111471	3795	1997-07-11	VYDAJ	VYBER	11100	40258	\N	\N	\N
1111472	3795	1997-08-10	VYDAJ	VYBER	7500	42919	\N	\N	\N
1111473	3795	1997-09-09	VYDAJ	VYBER	10600	42484	\N	\N	\N
1111474	3795	1997-10-09	VYDAJ	VYBER	5400	43171	\N	\N	\N
1111475	3795	1997-11-08	VYDAJ	VYBER	200	34028	\N	\N	\N
1111476	3795	1997-12-08	VYDAJ	VYBER	5800	37826	\N	\N	\N
1111477	3795	1998-01-07	VYDAJ	VYBER	10600	42707	\N	\N	\N
1111478	3795	1998-02-06	VYDAJ	VYBER	8700	38597	\N	\N	\N
1111479	3795	1998-03-08	VYDAJ	VYBER	11200	37622	\N	\N	\N
1111480	3795	1998-04-07	VYDAJ	VYBER	10200	37645	\N	\N	\N
1111481	3795	1998-05-07	VYDAJ	VYBER	15400	31262	\N	\N	\N
1111482	3795	1998-06-06	VYDAJ	VYBER	4300	31386	\N	\N	\N
1111483	3795	1998-07-06	VYDAJ	VYBER	7400	38636	\N	\N	\N
1111484	3795	1998-08-05	VYDAJ	VYBER	6700	48835	\N	\N	\N
1111485	3795	1998-09-04	VYDAJ	VYBER	9400	49670	\N	\N	\N
1111486	3795	1998-10-04	VYDAJ	VYBER	11700	48209	\N	\N	\N
1111487	3795	1998-11-03	VYDAJ	VYBER	10100	48344	\N	\N	\N
1111488	3795	1998-12-03	VYDAJ	VYBER	14000	44578	\N	\N	\N
1111522	3796	1993-05-25	PRIJEM	VKLAD	400	400	\N	\N	\N
1111528	3796	1993-06-09	PRIJEM	VKLAD	23362	23762	\N	\N	\N
1111529	3796	1993-07-09	PRIJEM	VKLAD	15575	37358	\N	\N	\N
1111530	3796	1993-08-09	PRIJEM	VKLAD	15575	45833	\N	\N	\N
1111531	3796	1993-09-09	PRIJEM	VKLAD	15575	52942	\N	\N	\N
1111532	3796	1993-10-09	PRIJEM	VKLAD	15575	56076	\N	\N	\N
1111533	3796	1993-11-09	PRIJEM	VKLAD	15575	53213	\N	\N	\N
1111534	3796	1993-12-09	PRIJEM	VKLAD	23362	58138	\N	\N	\N
1111535	3796	1994-01-09	PRIJEM	VKLAD	15575	41379	\N	\N	\N
1111536	3796	1994-02-09	PRIJEM	VKLAD	15575	37857	\N	\N	\N
1111537	3796	1994-03-09	PRIJEM	VKLAD	15575	37223	\N	\N	\N
1111538	3796	1994-04-09	PRIJEM	VKLAD	15575	33405	\N	\N	\N
1111539	3796	1994-05-09	PRIJEM	VKLAD	15575	42481	\N	\N	\N
1111540	3796	1994-06-09	PRIJEM	VKLAD	23362	54369	\N	\N	\N
1111541	3796	1994-07-09	PRIJEM	VKLAD	15575	37282	\N	\N	\N
1111542	3796	1994-08-09	PRIJEM	VKLAD	15575	41549	\N	\N	\N
1111543	3796	1994-09-09	PRIJEM	VKLAD	15575	43138	\N	\N	\N
1111544	3796	1994-10-09	PRIJEM	VKLAD	15575	48230	\N	\N	\N
1111545	3796	1994-11-09	PRIJEM	VKLAD	15575	43430	\N	\N	\N
1111546	3796	1994-12-09	PRIJEM	VKLAD	23362	53604	\N	\N	\N
1111547	3796	1995-01-09	PRIJEM	VKLAD	15575	48014	\N	\N	\N
1111548	3796	1995-02-09	PRIJEM	VKLAD	15575	42014	\N	\N	\N
1111549	3796	1995-03-09	PRIJEM	VKLAD	15575	47908	\N	\N	\N
1111550	3796	1995-04-09	PRIJEM	VKLAD	15575	52125	\N	\N	\N
1111551	3796	1995-05-09	PRIJEM	VKLAD	15575	51648	\N	\N	\N
1111552	3796	1995-06-09	PRIJEM	VKLAD	23362	60752	\N	\N	\N
1111553	3796	1995-07-09	PRIJEM	VKLAD	15575	32462	\N	\N	\N
1111554	3796	1995-08-09	PRIJEM	VKLAD	15575	41924	\N	\N	\N
1111555	3796	1995-09-09	PRIJEM	VKLAD	15575	46408	\N	\N	\N
1111556	3796	1995-10-09	PRIJEM	VKLAD	15575	52012	\N	\N	\N
1111557	3796	1995-11-09	PRIJEM	VKLAD	15575	55939	\N	\N	\N
1111558	3796	1995-12-09	PRIJEM	VKLAD	23362	57853	\N	\N	\N
1111559	3796	1996-01-09	PRIJEM	VKLAD	15575	58689	\N	\N	\N
1111560	3796	1996-02-09	PRIJEM	VKLAD	15575	46314	\N	\N	\N
1111561	3796	1996-03-09	PRIJEM	VKLAD	15575	50920	\N	\N	\N
1111562	3796	1996-04-09	PRIJEM	VKLAD	15575	53034	\N	\N	\N
1111563	3796	1996-05-09	PRIJEM	VKLAD	15575	50160	\N	\N	\N
1111564	3796	1996-06-09	PRIJEM	VKLAD	23362	52464	\N	\N	\N
1111565	3796	1996-07-09	PRIJEM	VKLAD	15575	56224	\N	\N	\N
1111566	3796	1996-08-09	PRIJEM	VKLAD	15575	58802	\N	\N	\N
1111567	3796	1996-09-09	PRIJEM	VKLAD	15575	58592	\N	\N	\N
1111568	3796	1996-10-09	PRIJEM	VKLAD	15575	60084	\N	\N	\N
1111569	3796	1996-11-09	PRIJEM	VKLAD	15575	58851	\N	\N	\N
1111570	3796	1996-12-09	PRIJEM	VKLAD	23362	67106	\N	\N	\N
1111571	3796	1997-01-09	PRIJEM	VKLAD	15575	65499	\N	\N	\N
1111572	3796	1997-02-09	PRIJEM	VKLAD	15575	52547	\N	\N	\N
1111573	3796	1997-03-09	PRIJEM	VKLAD	15575	57179	\N	\N	\N
1111574	3796	1997-04-09	PRIJEM	VKLAD	15575	61434	\N	\N	\N
1111575	3796	1997-05-09	PRIJEM	VKLAD	15575	62517	\N	\N	\N
1111576	3796	1997-06-09	PRIJEM	VKLAD	23362	74876	\N	\N	\N
1111577	3796	1997-07-09	PRIJEM	VKLAD	15575	66679	\N	\N	\N
1111578	3796	1997-08-09	PRIJEM	VKLAD	15575	70377	\N	\N	\N
1111579	3796	1997-09-09	PRIJEM	VKLAD	15575	74413	\N	\N	\N
1111580	3796	1997-10-09	PRIJEM	VKLAD	15575	76541	\N	\N	\N
1111581	3796	1997-11-09	PRIJEM	VKLAD	15575	76003	\N	\N	\N
1111582	3796	1997-12-09	PRIJEM	VKLAD	23362	86120	\N	\N	\N
1111583	3796	1998-01-09	PRIJEM	VKLAD	15575	75106	\N	\N	\N
1111584	3796	1998-02-09	PRIJEM	VKLAD	15575	69518	\N	\N	\N
1111585	3796	1998-03-09	PRIJEM	VKLAD	15575	73544	\N	\N	\N
1111586	3796	1998-04-09	PRIJEM	VKLAD	15575	76169	\N	\N	\N
1111587	3796	1998-05-09	PRIJEM	VKLAD	15575	76020	\N	\N	\N
1111588	3796	1998-06-09	PRIJEM	VKLAD	23362	79933	\N	\N	\N
1111589	3796	1998-07-09	PRIJEM	VKLAD	15575	64612	\N	\N	\N
1111590	3796	1998-08-09	PRIJEM	VKLAD	15575	69417	\N	\N	\N
1111591	3796	1998-09-09	PRIJEM	VKLAD	15575	71015	\N	\N	\N
1111592	3796	1998-10-09	PRIJEM	VKLAD	15575	72618	\N	\N	\N
1111593	3796	1998-11-09	PRIJEM	VKLAD	15575	79133	\N	\N	\N
1111594	3796	1998-12-09	PRIJEM	VKLAD	23362	90862	\N	\N	\N
1111604	3796	1993-10-09	VYDAJ	PREVOD NA UCET	8301	47775	SIPO	QR	12162918
1111605	3796	1993-11-09	VYDAJ	PREVOD NA UCET	8301	44912	SIPO	QR	12162918
1111606	3796	1993-12-09	VYDAJ	PREVOD NA UCET	8301	49837	SIPO	QR	12162918
1111607	3796	1994-01-09	VYDAJ	PREVOD NA UCET	8301	33078	SIPO	QR	12162918
1111608	3796	1994-02-09	VYDAJ	PREVOD NA UCET	8301	29556	SIPO	QR	12162918
1111609	3796	1994-03-09	VYDAJ	PREVOD NA UCET	8301	28922	SIPO	QR	12162918
1111610	3796	1994-04-09	VYDAJ	PREVOD NA UCET	8301	25104	SIPO	QR	12162918
1111611	3796	1994-05-09	VYDAJ	PREVOD NA UCET	8301	34180	SIPO	QR	12162918
1111612	3796	1994-06-09	VYDAJ	PREVOD NA UCET	8301	46068	SIPO	QR	12162918
1111613	3796	1994-07-09	VYDAJ	PREVOD NA UCET	8301	28981	SIPO	QR	12162918
1111614	3796	1994-08-09	VYDAJ	PREVOD NA UCET	8301	33248	SIPO	QR	12162918
1111615	3796	1994-09-09	VYDAJ	PREVOD NA UCET	8301	34837	SIPO	QR	12162918
1111616	3796	1994-10-09	VYDAJ	PREVOD NA UCET	8301	39929	SIPO	QR	12162918
1111617	3796	1994-11-09	VYDAJ	PREVOD NA UCET	8301	35129	SIPO	QR	12162918
1111618	3796	1994-12-09	VYDAJ	PREVOD NA UCET	8301	45303	SIPO	QR	12162918
1111619	3796	1995-01-09	VYDAJ	PREVOD NA UCET	8301	39713	SIPO	QR	12162918
1111620	3796	1995-02-09	VYDAJ	PREVOD NA UCET	8301	33713	SIPO	QR	12162918
1111621	3796	1995-03-09	VYDAJ	PREVOD NA UCET	8301	39607	SIPO	QR	12162918
1111622	3796	1995-04-09	VYDAJ	PREVOD NA UCET	8301	43824	SIPO	QR	12162918
1111623	3796	1995-05-09	VYDAJ	PREVOD NA UCET	8301	43347	SIPO	QR	12162918
1111624	3796	1995-06-09	VYDAJ	PREVOD NA UCET	8301	52451	SIPO	QR	12162918
1111625	3796	1995-07-09	VYDAJ	PREVOD NA UCET	8301	24161	SIPO	QR	12162918
1111626	3796	1995-08-09	VYDAJ	PREVOD NA UCET	8301	33623	SIPO	QR	12162918
1111627	3796	1995-09-09	VYDAJ	PREVOD NA UCET	8301	38107	SIPO	QR	12162918
1111628	3796	1995-10-09	VYDAJ	PREVOD NA UCET	8301	43711	SIPO	QR	12162918
1111629	3796	1995-11-09	VYDAJ	PREVOD NA UCET	8301	47638	SIPO	QR	12162918
1111630	3796	1995-12-09	VYDAJ	PREVOD NA UCET	8301	49552	SIPO	QR	12162918
1111631	3796	1996-01-09	VYDAJ	PREVOD NA UCET	8301	44488	SIPO	QR	12162918
1111632	3796	1996-02-09	VYDAJ	PREVOD NA UCET	8301	38113	SIPO	QR	12162918
1111633	3796	1996-03-09	VYDAJ	PREVOD NA UCET	8301	42619	SIPO	QR	12162918
1111634	3796	1996-04-09	VYDAJ	PREVOD NA UCET	8301	36333	SIPO	QR	12162918
1111635	3796	1996-05-09	VYDAJ	PREVOD NA UCET	8301	41859	SIPO	QR	12162918
1111636	3796	1996-06-09	VYDAJ	PREVOD NA UCET	8301	44163	SIPO	QR	12162918
1111637	3796	1996-07-09	VYDAJ	PREVOD NA UCET	8301	47923	SIPO	QR	12162918
1111638	3796	1996-08-09	VYDAJ	PREVOD NA UCET	8301	50501	SIPO	QR	12162918
1111639	3796	1996-09-09	VYDAJ	PREVOD NA UCET	8301	50291	SIPO	QR	12162918
1111640	3796	1996-10-09	VYDAJ	PREVOD NA UCET	8301	51783	SIPO	QR	12162918
1111641	3796	1996-11-09	VYDAJ	PREVOD NA UCET	8301	50550	SIPO	QR	12162918
1111642	3796	1996-12-09	VYDAJ	PREVOD NA UCET	8301	58805	SIPO	QR	12162918
1111643	3796	1997-01-09	VYDAJ	PREVOD NA UCET	8301	57198	SIPO	QR	12162918
1111644	3796	1997-02-09	VYDAJ	PREVOD NA UCET	8301	44246	SIPO	QR	12162918
1111645	3796	1997-03-09	VYDAJ	PREVOD NA UCET	8301	48878	SIPO	QR	12162918
1111646	3796	1997-04-09	VYDAJ	PREVOD NA UCET	8301	53133	SIPO	QR	12162918
1111647	3796	1997-05-09	VYDAJ	PREVOD NA UCET	8301	54216	SIPO	QR	12162918
1111648	3796	1997-06-09	VYDAJ	PREVOD NA UCET	8301	66575	SIPO	QR	12162918
1111649	3796	1997-07-09	VYDAJ	PREVOD NA UCET	8301	58378	SIPO	QR	12162918
1111650	3796	1997-08-09	VYDAJ	PREVOD NA UCET	8301	62076	SIPO	QR	12162918
1111651	3796	1997-09-09	VYDAJ	PREVOD NA UCET	8301	66112	SIPO	QR	12162918
1111652	3796	1997-10-09	VYDAJ	PREVOD NA UCET	8301	68240	SIPO	QR	12162918
1111653	3796	1997-11-09	VYDAJ	PREVOD NA UCET	8301	67702	SIPO	QR	12162918
1111654	3796	1997-12-09	VYDAJ	PREVOD NA UCET	8301	77819	SIPO	QR	12162918
1111655	3796	1998-01-09	VYDAJ	PREVOD NA UCET	8301	66805	SIPO	QR	12162918
1111656	3796	1998-02-09	VYDAJ	PREVOD NA UCET	8301	61217	SIPO	QR	12162918
1111657	3796	1998-03-09	VYDAJ	PREVOD NA UCET	8301	65243	SIPO	QR	12162918
1111658	3796	1998-04-09	VYDAJ	PREVOD NA UCET	8301	67868	SIPO	QR	12162918
1111659	3796	1998-05-09	VYDAJ	PREVOD NA UCET	8301	67719	SIPO	QR	12162918
1111660	3796	1998-06-09	VYDAJ	PREVOD NA UCET	8301	71632	SIPO	QR	12162918
1111661	3796	1998-07-09	VYDAJ	PREVOD NA UCET	8301	56311	SIPO	QR	12162918
1111662	3796	1998-08-09	VYDAJ	PREVOD NA UCET	8301	61116	SIPO	QR	12162918
1111663	3796	1998-09-09	VYDAJ	PREVOD NA UCET	8301	62714	SIPO	QR	12162918
1111664	3796	1998-10-09	VYDAJ	PREVOD NA UCET	8301	64317	SIPO	QR	12162918
1111665	3796	1998-11-09	VYDAJ	PREVOD NA UCET	8301	70832	SIPO	QR	12162918
1111666	3796	1998-12-09	VYDAJ	PREVOD NA UCET	8301	82561	SIPO	QR	12162918
1111668	3796	1994-06-28	VYDAJ	VYBER	15900	21568	\N	\N	\N
1111669	3796	1995-06-24	VYDAJ	VYBER	24000	16751	\N	\N	\N
1111670	3796	1996-06-04	VYDAJ	VYBER	14600	25002	\N	\N	\N
1111671	3796	1997-06-14	VYDAJ	VYBER	9400	57175	\N	\N	\N
1111672	3796	1998-06-10	VYDAJ	VYBER	19700	51932	\N	\N	\N
1111674	3796	1994-01-06	VYDAJ	VYBER	7100	26304	\N	\N	\N
1111675	3796	1995-01-25	VYDAJ	VYBER	2700	27813	\N	\N	\N
1111676	3796	1996-01-27	VYDAJ	VYBER	4600	33688	\N	\N	\N
1111677	3796	1997-01-13	VYDAJ	VYBER	7800	44398	\N	\N	\N
1111678	3796	1998-01-11	VYDAJ	VYBER	1000	65805	\N	\N	\N
1111679	3796	1993-12-19	VYDAJ	VYBER	700	49137	\N	\N	\N
1111680	3796	1994-12-09	VYDAJ	VYBER	2300	43003	\N	\N	\N
1111681	3796	1995-12-03	VYDAJ	VYBER	1000	34491	\N	\N	\N
1111682	3796	1996-12-10	VYDAJ	VYBER	600	58205	\N	\N	\N
1111683	3796	1997-12-30	VYDAJ	VYBER	900	76919	\N	\N	\N
1111684	3796	1998-12-20	VYDAJ	VYBER	1000	81561	\N	\N	\N
1111691	3796	1994-01-02	VYDAJ	VYBER	2500	33404	\N	\N	\N
1111692	3796	1994-01-28	VYDAJ	VYBER	700	22178	\N	\N	\N
1111693	3796	1994-01-21	VYDAJ	VYBER	2500	24978	\N	\N	\N
1111694	3796	1994-01-14	VYDAJ	VYBER	1500	29478	\N	\N	\N
1111695	3796	1994-01-07	VYDAJ	VYBER	500	25804	\N	\N	\N
1111696	3796	1994-01-13	VYDAJ	VYBER	2100	30978	\N	\N	\N
1111697	3796	1995-01-08	VYDAJ	VYBER	1400	32439	\N	\N	\N
1111698	3796	1995-01-28	VYDAJ	VYBER	1500	26313	\N	\N	\N
1111699	3796	1995-01-22	VYDAJ	VYBER	2500	30513	\N	\N	\N
1111700	3796	1995-01-05	VYDAJ	VYBER	500	33839	\N	\N	\N
1111701	3796	1995-01-12	VYDAJ	VYBER	1000	38713	\N	\N	\N
1111702	3796	1995-01-18	VYDAJ	VYBER	2100	33013	\N	\N	\N
1111703	3796	1996-01-03	VYDAJ	VYBER	900	43114	\N	\N	\N
1111704	3796	1996-01-24	VYDAJ	VYBER	900	38288	\N	\N	\N
1111705	3796	1996-01-13	VYDAJ	VYBER	2100	39188	\N	\N	\N
1111706	3796	1996-01-28	VYDAJ	VYBER	2500	31188	\N	\N	\N
1111707	3796	1996-01-28	VYDAJ	VYBER	600	30588	\N	\N	\N
1111708	3796	1996-01-09	VYDAJ	VYBER	1900	52789	\N	\N	\N
1111709	3796	1997-01-30	VYDAJ	VYBER	1500	37098	\N	\N	\N
1111710	3796	1997-01-02	VYDAJ	VYBER	1400	57024	\N	\N	\N
1111711	3796	1997-01-17	VYDAJ	VYBER	2700	41698	\N	\N	\N
1111712	3796	1997-01-12	VYDAJ	VYBER	2600	54598	\N	\N	\N
1111713	3796	1997-01-19	VYDAJ	VYBER	2200	39498	\N	\N	\N
1111714	3796	1997-01-28	VYDAJ	VYBER	900	38598	\N	\N	\N
1111715	3796	1998-01-13	VYDAJ	VYBER	500	64505	\N	\N	\N
1111716	3796	1998-01-04	VYDAJ	VYBER	900	64431	\N	\N	\N
1111717	3796	1998-01-11	VYDAJ	VYBER	800	65005	\N	\N	\N
1111718	3796	1998-01-06	VYDAJ	VYBER	2500	61931	\N	\N	\N
1111719	3796	1998-01-19	VYDAJ	VYBER	900	58905	\N	\N	\N
1111720	3796	1998-01-06	VYDAJ	VYBER	2400	59531	\N	\N	\N
1111728	3796	1994-12-23	VYDAJ	VYBER	2100	34203	\N	\N	\N
1111729	3796	1994-10-31	VYDAJ	VYBER	3700	27869	\N	\N	\N
1111730	3796	1994-04-06	VYDAJ	VYBER	4100	17830	\N	\N	\N
1111731	3796	1994-01-27	VYDAJ	VYBER	2100	22878	\N	\N	\N
1111732	3796	1994-02-15	VYDAJ	VYBER	4800	24756	\N	\N	\N
1111733	3796	1994-03-27	VYDAJ	VYBER	3300	21822	\N	\N	\N
1111734	3796	1994-03-07	VYDAJ	VYBER	4500	21648	\N	\N	\N
1111735	3796	1995-11-14	VYDAJ	VYBER	3200	38638	\N	\N	\N
1111736	3796	1995-11-14	VYDAJ	VYBER	3300	35338	\N	\N	\N
1111737	3796	1996-02-13	VYDAJ	VYBER	2900	35213	\N	\N	\N
1111738	3796	1996-10-12	VYDAJ	VYBER	1600	50183	\N	\N	\N
1111739	3796	1996-01-09	VYDAJ	VYBER	4000	54689	\N	\N	\N
1111740	3796	1996-04-24	VYDAJ	VYBER	1900	34433	\N	\N	\N
1111741	3796	1997-02-16	VYDAJ	VYBER	700	43546	\N	\N	\N
1111742	3796	1997-06-18	VYDAJ	VYBER	800	56375	\N	\N	\N
1111743	3796	1997-04-25	VYDAJ	VYBER	4900	43933	\N	\N	\N
1111744	3796	1997-01-12	VYDAJ	VYBER	2400	52198	\N	\N	\N
1111745	3796	1997-04-24	VYDAJ	VYBER	4300	48833	\N	\N	\N
1111746	3796	1998-07-03	VYDAJ	VYBER	2800	49037	\N	\N	\N
1111747	3796	1998-01-15	VYDAJ	VYBER	4700	59805	\N	\N	\N
1111748	3796	1998-11-14	VYDAJ	VYBER	1000	69832	\N	\N	\N
1111749	3796	1998-01-25	VYDAJ	VYBER	1800	57105	\N	\N	\N
1111750	3796	1998-03-18	VYDAJ	VYBER	4200	61043	\N	\N	\N
1111751	3796	1998-12-26	VYDAJ	VYBER	3300	74161	\N	\N	\N
1111762	3796	1993-10-31	VYDAJ	VYBER	15	37638	SLUZBY	\N	\N
1111763	3796	1993-11-30	VYDAJ	VYBER	15	34776	SLUZBY	\N	\N
1111764	3796	1993-12-31	VYDAJ	VYBER	15	35904	SLUZBY	\N	\N
1111765	3796	1994-01-31	VYDAJ	VYBER	15	22282	SLUZBY	\N	\N
1111766	3796	1994-02-28	VYDAJ	VYBER	15	26148	SLUZBY	\N	\N
1111767	3796	1994-03-31	VYDAJ	VYBER	15	21930	SLUZBY	\N	\N
1111768	3796	1994-04-30	VYDAJ	VYBER	15	26906	SLUZBY	\N	\N
1111769	3796	1994-05-31	VYDAJ	VYBER	15	31007	SLUZBY	\N	\N
1111770	3796	1994-06-30	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
1111771	3796	1994-07-31	VYDAJ	VYBER	15	25974	SLUZBY	\N	\N
1111772	3796	1994-08-31	VYDAJ	VYBER	15	27563	SLUZBY	\N	\N
1111773	3796	1994-09-30	VYDAJ	VYBER	15	32655	SLUZBY	\N	\N
1111774	3796	1994-10-31	VYDAJ	VYBER	15	27855	SLUZBY	\N	\N
1111775	3796	1994-11-30	VYDAJ	VYBER	15	30242	SLUZBY	\N	\N
1111776	3796	1994-12-31	VYDAJ	VYBER	15	34339	SLUZBY	\N	\N
1111777	3796	1995-01-31	VYDAJ	VYBER	15	26439	SLUZBY	\N	\N
1111778	3796	1995-02-28	VYDAJ	VYBER	15	32333	SLUZBY	\N	\N
1111779	3796	1995-03-31	VYDAJ	VYBER	15	36550	SLUZBY	\N	\N
1111780	3796	1995-04-30	VYDAJ	VYBER	15	36073	SLUZBY	\N	\N
1111781	3796	1995-05-31	VYDAJ	VYBER	15	37390	SLUZBY	\N	\N
1111782	3796	1995-06-30	VYDAJ	VYBER	15	16887	SLUZBY	\N	\N
1111783	3796	1995-07-31	VYDAJ	VYBER	15	26349	SLUZBY	\N	\N
1111784	3796	1995-08-31	VYDAJ	VYBER	15	30833	SLUZBY	\N	\N
1111785	3796	1995-09-30	VYDAJ	VYBER	15	36437	SLUZBY	\N	\N
1111786	3796	1995-10-31	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
1111787	3796	1995-11-30	VYDAJ	VYBER	15	35491	SLUZBY	\N	\N
1111788	3796	1995-12-31	VYDAJ	VYBER	15	44014	SLUZBY	\N	\N
1111789	3796	1996-01-31	VYDAJ	VYBER	15	30739	SLUZBY	\N	\N
1111790	3796	1996-02-29	VYDAJ	VYBER	15	35345	SLUZBY	\N	\N
1111791	3796	1996-03-31	VYDAJ	VYBER	15	37459	SLUZBY	\N	\N
1111792	3796	1996-04-30	VYDAJ	VYBER	15	34585	SLUZBY	\N	\N
1111793	3796	1996-05-31	VYDAJ	VYBER	15	39602	SLUZBY	\N	\N
1111794	3796	1996-06-30	VYDAJ	VYBER	15	44349	SLUZBY	\N	\N
1111795	3796	1996-07-31	VYDAJ	VYBER	15	48127	SLUZBY	\N	\N
1111796	3796	1996-08-31	VYDAJ	VYBER	15	50717	SLUZBY	\N	\N
1111797	3796	1996-09-30	VYDAJ	VYBER	15	50509	SLUZBY	\N	\N
1111798	3796	1996-10-31	VYDAJ	VYBER	15	50376	SLUZBY	\N	\N
1111799	3796	1996-11-30	VYDAJ	VYBER	15	50744	SLUZBY	\N	\N
1111800	3796	1996-12-31	VYDAJ	VYBER	15	58424	SLUZBY	\N	\N
1111801	3796	1997-01-31	VYDAJ	VYBER	15	37272	SLUZBY	\N	\N
1111802	3796	1997-02-28	VYDAJ	VYBER	15	43704	SLUZBY	\N	\N
1111803	3796	1997-03-31	VYDAJ	VYBER	15	49059	SLUZBY	\N	\N
1111804	3796	1997-04-30	VYDAJ	VYBER	15	44142	SLUZBY	\N	\N
1111805	3796	1997-05-31	VYDAJ	VYBER	15	54414	SLUZBY	\N	\N
1111806	3796	1997-06-30	VYDAJ	VYBER	15	56604	SLUZBY	\N	\N
1111807	3796	1997-07-31	VYDAJ	VYBER	15	58602	SLUZBY	\N	\N
1111808	3796	1997-08-31	VYDAJ	VYBER	15	62338	SLUZBY	\N	\N
1111809	3796	1997-09-30	VYDAJ	VYBER	15	66366	SLUZBY	\N	\N
1111810	3796	1997-10-31	VYDAJ	VYBER	15	60428	SLUZBY	\N	\N
1111811	3796	1997-11-30	VYDAJ	VYBER	15	62758	SLUZBY	\N	\N
1111812	3796	1997-12-31	VYDAJ	VYBER	15	65331	SLUZBY	\N	\N
1111813	3796	1998-01-31	VYDAJ	VYBER	15	53943	SLUZBY	\N	\N
1111814	3796	1998-02-28	VYDAJ	VYBER	15	61469	SLUZBY	\N	\N
1111815	3796	1998-03-31	VYDAJ	VYBER	15	60594	SLUZBY	\N	\N
1111816	3796	1998-04-30	VYDAJ	VYBER	15	60445	SLUZBY	\N	\N
1111817	3796	1998-05-31	VYDAJ	VYBER	15	56571	SLUZBY	\N	\N
1111818	3796	1998-06-30	VYDAJ	VYBER	15	51837	SLUZBY	\N	\N
1111819	3796	1998-07-31	VYDAJ	VYBER	15	53842	SLUZBY	\N	\N
1111820	3796	1998-08-31	VYDAJ	VYBER	15	55440	SLUZBY	\N	\N
1111821	3796	1998-09-30	VYDAJ	VYBER	15	57043	SLUZBY	\N	\N
1111822	3796	1998-10-31	VYDAJ	VYBER	15	63558	SLUZBY	\N	\N
1111823	3796	1998-11-30	VYDAJ	VYBER	15	67500	SLUZBY	\N	\N
1111824	3796	1993-06-24	VYDAJ	VYBER	2000	21762	\N	\N	\N
1111825	3796	1993-07-24	VYDAJ	VYBER	7200	30158	\N	\N	\N
1111826	3796	1993-08-23	VYDAJ	VYBER	8600	37233	\N	\N	\N
1111827	3796	1993-09-22	VYDAJ	VYBER	12600	40342	\N	\N	\N
1111828	3796	1993-10-22	VYDAJ	VYBER	10300	37475	\N	\N	\N
1111829	3796	1993-11-21	VYDAJ	VYBER	10300	34612	\N	\N	\N
1111830	3796	1993-12-21	VYDAJ	VYBER	13400	35737	\N	\N	\N
1111831	3796	1994-01-20	VYDAJ	VYBER	2000	27478	\N	\N	\N
1111832	3796	1994-02-19	PRIJEM	VKLAD	1300	26056	\N	\N	\N
1111833	3796	1994-03-21	VYDAJ	VYBER	3800	25122	\N	\N	\N
1111834	3796	1994-04-20	PRIJEM	VKLAD	1700	26804	\N	\N	\N
1111835	3796	1994-05-20	VYDAJ	VYBER	3300	30880	\N	\N	\N
1111836	3796	1994-06-19	VYDAJ	VYBER	8600	37468	\N	\N	\N
1111837	3796	1994-07-19	VYDAJ	VYBER	3100	25881	\N	\N	\N
1111838	3796	1994-08-18	VYDAJ	VYBER	5800	27448	\N	\N	\N
1111839	3796	1994-09-17	VYDAJ	VYBER	2300	32537	\N	\N	\N
1111840	3796	1994-10-17	VYDAJ	VYBER	8500	31429	\N	\N	\N
1111841	3796	1994-11-16	VYDAJ	VYBER	5000	30129	\N	\N	\N
1111842	3796	1994-12-16	VYDAJ	VYBER	6700	36303	\N	\N	\N
1111843	3796	1995-01-15	VYDAJ	VYBER	3600	35113	\N	\N	\N
1111844	3796	1995-02-14	VYDAJ	VYBER	1500	32213	\N	\N	\N
1111845	3796	1995-03-16	VYDAJ	VYBER	3200	36407	\N	\N	\N
1111846	3796	1995-04-15	VYDAJ	VYBER	7900	35924	\N	\N	\N
1111847	3796	1995-05-15	VYDAJ	VYBER	6100	37247	\N	\N	\N
1111848	3796	1995-06-14	VYDAJ	VYBER	11700	40751	\N	\N	\N
1111849	3796	1995-07-14	PRIJEM	VKLAD	2100	26261	\N	\N	\N
1111850	3796	1995-08-13	VYDAJ	VYBER	2900	30723	\N	\N	\N
1111851	3796	1995-09-12	VYDAJ	VYBER	1800	36307	\N	\N	\N
1111852	3796	1995-10-12	VYDAJ	VYBER	3500	40211	\N	\N	\N
1111853	3796	1995-11-11	VYDAJ	VYBER	5800	41838	\N	\N	\N
1111854	3796	1995-12-11	VYDAJ	VYBER	5700	43852	\N	\N	\N
1111855	3796	1996-01-10	VYDAJ	VYBER	3200	41288	\N	\N	\N
1111856	3796	1996-02-09	PRIJEM	VKLAD	100	46414	\N	\N	\N
1111857	3796	1996-03-10	VYDAJ	VYBER	5300	37319	\N	\N	\N
1111858	3796	1996-04-09	VYDAJ	VYBER	8400	44634	\N	\N	\N
1111859	3796	1996-05-09	VYDAJ	VYBER	2400	39459	\N	\N	\N
1111860	3796	1996-06-08	PRIJEM	VKLAD	4100	29102	\N	\N	\N
1111861	3796	1996-07-08	VYDAJ	VYBER	3700	40649	\N	\N	\N
1111862	3796	1996-08-07	VYDAJ	VYBER	4900	43227	\N	\N	\N
1111863	3796	1996-09-06	VYDAJ	VYBER	7700	43017	\N	\N	\N
1111864	3796	1996-10-06	VYDAJ	VYBER	6000	44509	\N	\N	\N
1111865	3796	1996-11-05	VYDAJ	VYBER	7100	43276	\N	\N	\N
1111866	3796	1996-12-05	VYDAJ	VYBER	7000	43744	\N	\N	\N
1111867	3796	1997-01-04	VYDAJ	VYBER	7100	49924	\N	\N	\N
1111868	3796	1997-02-03	VYDAJ	VYBER	300	36972	\N	\N	\N
1111869	3796	1997-03-05	VYDAJ	VYBER	2100	41604	\N	\N	\N
1111870	3796	1997-04-04	VYDAJ	VYBER	3200	45859	\N	\N	\N
1111871	3796	1997-05-04	PRIJEM	VKLAD	2800	46942	\N	\N	\N
1111872	3796	1997-06-03	VYDAJ	VYBER	2900	51514	\N	\N	\N
1111873	3796	1997-07-03	VYDAJ	VYBER	5500	51104	\N	\N	\N
1111874	3796	1997-08-02	VYDAJ	VYBER	3800	54802	\N	\N	\N
1111875	3796	1997-09-01	VYDAJ	VYBER	3500	58838	\N	\N	\N
1111876	3796	1997-10-01	VYDAJ	VYBER	5400	60966	\N	\N	\N
1111877	3796	1997-10-31	VYDAJ	VYBER	8100	60443	\N	\N	\N
1111878	3796	1997-11-30	VYDAJ	VYBER	5200	62773	\N	\N	\N
1111879	3796	1997-12-30	VYDAJ	VYBER	11900	65019	\N	\N	\N
1111880	3796	1998-01-29	VYDAJ	VYBER	3400	53705	\N	\N	\N
1111881	3796	1998-02-28	VYDAJ	VYBER	3500	57969	\N	\N	\N
1111882	3796	1998-03-30	VYDAJ	VYBER	700	60343	\N	\N	\N
1111883	3796	1998-04-29	VYDAJ	VYBER	7700	60168	\N	\N	\N
1111884	3796	1998-05-29	VYDAJ	VYBER	11400	56319	\N	\N	\N
1111885	3796	1998-06-28	VYDAJ	VYBER	300	51632	\N	\N	\N
1111886	3796	1998-07-28	VYDAJ	VYBER	2700	53611	\N	\N	\N
1111887	3796	1998-08-27	VYDAJ	VYBER	5900	55216	\N	\N	\N
1111888	3796	1998-09-26	VYDAJ	VYBER	5900	56814	\N	\N	\N
1111889	3796	1998-10-26	VYDAJ	VYBER	1000	63317	\N	\N	\N
1111890	3796	1998-11-25	VYDAJ	VYBER	2600	67232	\N	\N	\N
1111891	3796	1998-12-25	VYDAJ	VYBER	4100	77461	\N	\N	\N
1111959	3797	1994-09-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1112084	3797	1994-10-03	PRIJEM	VKLAD	9100	10100	\N	\N	\N
1112085	3797	1994-11-02	PRIJEM	VKLAD	5200	15300	\N	\N	\N
1112086	3797	1994-12-02	PRIJEM	VKLAD	5600	20900	\N	\N	\N
1112087	3797	1995-01-01	VYDAJ	VYBER	1100	19800	\N	\N	\N
1112088	3797	1995-01-31	PRIJEM	VKLAD	3000	22800	\N	\N	\N
1112089	3797	1995-03-02	PRIJEM	VKLAD	2600	25403	\N	\N	\N
1112090	3797	1995-04-01	VYDAJ	VYBER	3000	22498	\N	\N	\N
1112091	3797	1995-05-01	PRIJEM	VKLAD	600	23193	\N	\N	\N
1112092	3797	1995-05-31	PRIJEM	VKLAD	1000	24193	\N	\N	\N
1112093	3797	1995-07-30	VYDAJ	VYBER	300	23988	\N	\N	\N
1112094	3797	1995-08-29	PRIJEM	VKLAD	2000	26089	\N	\N	\N
1112095	3797	1995-09-28	VYDAJ	VYBER	1000	25190	\N	\N	\N
1112096	3797	1995-10-28	PRIJEM	VKLAD	3100	28391	\N	\N	\N
1112097	3797	1995-11-27	VYDAJ	VYBER	1900	26591	\N	\N	\N
1112098	3797	1995-12-27	VYDAJ	VYBER	1600	25092	\N	\N	\N
1112099	3797	1996-01-26	PRIJEM	VKLAD	3100	28293	\N	\N	\N
1112100	3797	1996-02-25	VYDAJ	VYBER	1700	26694	\N	\N	\N
1112101	3797	1996-03-26	VYDAJ	VYBER	2900	23895	\N	\N	\N
1112102	3797	1996-04-25	PRIJEM	VKLAD	200	24195	\N	\N	\N
1112103	3797	1996-05-25	PRIJEM	VKLAD	1800	26096	\N	\N	\N
1112104	3797	1996-07-24	PRIJEM	VKLAD	600	26797	\N	\N	\N
1112105	3797	1996-08-23	PRIJEM	VKLAD	700	27598	\N	\N	\N
1112106	3797	1996-09-22	PRIJEM	VKLAD	1400	29099	\N	\N	\N
1112107	3797	1996-10-22	PRIJEM	VKLAD	1900	31099	\N	\N	\N
1112108	3797	1996-11-21	VYDAJ	VYBER	1500	29700	\N	\N	\N
1112109	3797	1996-12-21	PRIJEM	VKLAD	500	30301	\N	\N	\N
1112110	3797	1997-01-20	PRIJEM	VKLAD	200	30602	\N	\N	\N
1112111	3797	1997-02-19	VYDAJ	VYBER	500	30203	\N	\N	\N
1112112	3797	1997-03-21	PRIJEM	VKLAD	5300	35603	\N	\N	\N
1112113	3797	1997-04-20	PRIJEM	VKLAD	1000	36704	\N	\N	\N
1112114	3797	1997-05-20	PRIJEM	VKLAD	3200	40005	\N	\N	\N
1112115	3797	1997-06-19	VYDAJ	VYBER	2600	37506	\N	\N	\N
1112116	3797	1997-07-19	VYDAJ	VYBER	1800	35807	\N	\N	\N
1112117	3797	1997-08-18	VYDAJ	VYBER	900	35007	\N	\N	\N
1112118	3797	1997-09-17	VYDAJ	VYBER	3800	31308	\N	\N	\N
1112119	3797	1997-10-17	VYDAJ	VYBER	2600	28809	\N	\N	\N
1112120	3797	1997-11-16	VYDAJ	VYBER	5500	23410	\N	\N	\N
1112121	3797	1997-12-16	PRIJEM	VKLAD	3300	26811	\N	\N	\N
1112122	3797	1998-01-15	PRIJEM	VKLAD	2000	28911	\N	\N	\N
1112123	3797	1998-02-14	PRIJEM	VKLAD	2300	31312	\N	\N	\N
1112124	3797	1998-03-16	VYDAJ	VYBER	700	30713	\N	\N	\N
1112125	3797	1998-05-15	PRIJEM	VKLAD	1500	32314	\N	\N	\N
1112126	3797	1998-06-14	VYDAJ	VYBER	300	32115	\N	\N	\N
1112127	3797	1998-07-14	PRIJEM	VKLAD	4200	36415	\N	\N	\N
1112128	3797	1998-08-13	VYDAJ	VYBER	1600	34916	\N	\N	\N
1112129	3797	1998-09-12	PRIJEM	VKLAD	700	35717	\N	\N	\N
1112130	3797	1998-10-12	PRIJEM	VKLAD	1800	37618	\N	\N	\N
1112131	3797	1998-11-11	VYDAJ	VYBER	5600	32119	\N	\N	\N
1112174	3798	1997-08-27	PRIJEM	VKLAD	200	200	\N	\N	\N
1112183	3798	1997-09-09	PRIJEM	VKLAD	15443	15643	\N	\N	\N
1112184	3798	1997-10-09	PRIJEM	VKLAD	15443	31597	\N	\N	\N
1112185	3798	1997-11-09	PRIJEM	VKLAD	15443	38413	\N	\N	\N
1112186	3798	1997-12-09	PRIJEM	VKLAD	23165	52979	\N	\N	\N
1112187	3798	1998-01-09	PRIJEM	VKLAD	15443	54654	\N	\N	\N
1112188	3798	1998-02-09	PRIJEM	VKLAD	15443	41506	\N	\N	\N
1112189	3798	1998-03-09	PRIJEM	VKLAD	15443	38405	\N	\N	\N
1112190	3798	1998-04-09	PRIJEM	VKLAD	15443	37869	\N	\N	\N
1112191	3798	1998-05-09	PRIJEM	VKLAD	15443	38314	\N	\N	\N
1112192	3798	1998-06-09	PRIJEM	VKLAD	23165	46301	\N	\N	\N
1112193	3798	1998-07-09	PRIJEM	VKLAD	15443	27898	\N	\N	\N
1112194	3798	1998-08-09	PRIJEM	VKLAD	15443	28901	\N	\N	\N
1112195	3798	1998-09-09	PRIJEM	VKLAD	15443	34012	\N	\N	\N
1112196	3798	1998-10-09	PRIJEM	VKLAD	15443	27289	\N	\N	\N
1112197	3798	1998-11-09	PRIJEM	VKLAD	15443	29503	\N	\N	\N
1112198	3798	1998-12-09	PRIJEM	VKLAD	23165	39734	\N	\N	\N
1112212	3798	1998-02-05	VYDAJ	PREVOD NA UCET	1258	26063	SIPO	MN	51615589
1112213	3798	1998-03-05	VYDAJ	PREVOD NA UCET	1258	22962	SIPO	MN	51615589
1112214	3798	1998-04-05	VYDAJ	PREVOD NA UCET	1258	22426	SIPO	MN	51615589
1112215	3798	1998-05-05	VYDAJ	PREVOD NA UCET	1258	26591	SIPO	MN	51615589
1112216	3798	1998-06-05	VYDAJ	PREVOD NA UCET	1258	23136	SIPO	MN	51615589
1112217	3798	1998-07-05	VYDAJ	PREVOD NA UCET	1258	12455	SIPO	MN	51615589
1112218	3798	1998-08-05	VYDAJ	PREVOD NA UCET	1258	13458	SIPO	MN	51615589
1112219	3798	1998-09-05	VYDAJ	PREVOD NA UCET	1258	18569	SIPO	MN	51615589
1112220	3798	1998-10-05	VYDAJ	PREVOD NA UCET	1258	11846	SIPO	MN	51615589
1112221	3798	1998-11-05	VYDAJ	PREVOD NA UCET	1258	14060	SIPO	MN	51615589
1112222	3798	1998-12-05	VYDAJ	PREVOD NA UCET	1258	16569	SIPO	MN	51615589
1112235	3798	1998-01-09	VYDAJ	PREVOD NA UCET	8637	46017	 	MN	28350711
1112236	3798	1998-02-09	VYDAJ	PREVOD NA UCET	8637	32869	 	MN	28350711
1112237	3798	1998-03-09	VYDAJ	PREVOD NA UCET	8637	29768	 	MN	28350711
1112238	3798	1998-04-09	VYDAJ	PREVOD NA UCET	8637	29232	 	MN	28350711
1112239	3798	1998-05-09	VYDAJ	PREVOD NA UCET	8637	29677	 	MN	28350711
1112240	3798	1998-06-09	VYDAJ	PREVOD NA UCET	8637	33584	 	MN	28350711
1112241	3798	1998-07-09	VYDAJ	PREVOD NA UCET	8637	19261	 	MN	28350711
1112242	3798	1998-08-09	VYDAJ	PREVOD NA UCET	8637	20264	 	MN	28350711
1112243	3798	1998-09-09	VYDAJ	PREVOD NA UCET	8637	25375	 	MN	28350711
1112244	3798	1998-10-09	VYDAJ	PREVOD NA UCET	8637	18652	 	MN	28350711
1112245	3798	1998-11-09	VYDAJ	PREVOD NA UCET	8637	20866	 	MN	28350711
1112246	3798	1998-12-09	VYDAJ	PREVOD NA UCET	8637	31097	 	MN	28350711
1112248	3798	1998-06-20	VYDAJ	VYBER	15680	17904	\N	\N	\N
1112252	3798	1998-12-19	VYDAJ	VYBER	2240	28857	\N	\N	\N
1112259	3798	1998-01-13	VYDAJ	VYBER	1200	41457	\N	\N	\N
1112261	3798	1998-01-29	VYDAJ	VYBER	2400	27177	\N	\N	\N
1112262	3798	1998-01-25	VYDAJ	VYBER	2280	29577	\N	\N	\N
1112263	3798	1998-01-12	VYDAJ	VYBER	3360	42657	\N	\N	\N
1112272	3798	1998-02-15	VYDAJ	VYBER	4560	28309	\N	\N	\N
1112274	3798	1998-06-09	VYDAJ	VYBER	4080	42221	\N	\N	\N
1112276	3798	1998-09-22	VYDAJ	VYBER	5040	13035	\N	\N	\N
1112277	3798	1998-05-07	VYDAJ	VYBER	3720	22871	\N	\N	\N
1112278	3798	1998-07-05	VYDAJ	VYBER	2880	13713	\N	\N	\N
1112292	3798	1998-01-31	VYDAJ	VYBER	15	27321	SLUZBY	\N	\N
1112293	3798	1998-02-28	VYDAJ	VYBER	15	24220	SLUZBY	\N	\N
1112294	3798	1998-03-31	VYDAJ	VYBER	15	23684	SLUZBY	\N	\N
1112295	3798	1998-04-30	VYDAJ	VYBER	15	27849	SLUZBY	\N	\N
1112296	3798	1998-05-31	VYDAJ	VYBER	15	24394	SLUZBY	\N	\N
1112297	3798	1998-06-30	VYDAJ	VYBER	15	16593	SLUZBY	\N	\N
1112298	3798	1998-07-31	VYDAJ	VYBER	15	14716	SLUZBY	\N	\N
1112299	3798	1998-08-31	VYDAJ	VYBER	15	19827	SLUZBY	\N	\N
1112300	3798	1998-09-30	VYDAJ	VYBER	15	13104	SLUZBY	\N	\N
1112301	3798	1998-10-31	VYDAJ	VYBER	15	15318	SLUZBY	\N	\N
1112302	3798	1998-11-30	VYDAJ	VYBER	15	17827	SLUZBY	\N	\N
1112303	3798	1997-09-26	PRIJEM	VKLAD	500	16143	\N	\N	\N
1112304	3798	1997-10-26	VYDAJ	VYBER	8700	22897	\N	\N	\N
1112305	3798	1997-11-25	VYDAJ	VYBER	8700	29713	\N	\N	\N
1112306	3798	1997-12-25	VYDAJ	VYBER	13900	39079	\N	\N	\N
1112307	3798	1998-01-24	VYDAJ	VYBER	9600	31857	\N	\N	\N
1112308	3798	1998-02-23	VYDAJ	VYBER	4200	24109	\N	\N	\N
1112309	3798	1998-03-25	VYDAJ	VYBER	6200	23568	\N	\N	\N
1112310	3798	1998-04-24	VYDAJ	VYBER	1500	27732	\N	\N	\N
1112311	3798	1998-05-24	VYDAJ	VYBER	5400	24277	\N	\N	\N
1112312	3798	1998-06-23	VYDAJ	VYBER	1400	16504	\N	\N	\N
1112313	3798	1998-07-23	VYDAJ	VYBER	4600	14661	\N	\N	\N
1112314	3798	1998-08-22	VYDAJ	VYBER	500	19764	\N	\N	\N
1112315	3798	1998-09-21	VYDAJ	VYBER	7300	18075	\N	\N	\N
1112316	3798	1998-10-21	VYDAJ	VYBER	3400	15252	\N	\N	\N
1112317	3798	1998-11-20	VYDAJ	VYBER	3100	17766	\N	\N	\N
1112334	3799	1996-11-29	PRIJEM	VKLAD	900	900	\N	\N	\N
1112346	3799	1996-12-05	PRIJEM	VKLAD	24096	24996	\N	\N	\N
1112347	3799	1997-01-05	PRIJEM	VKLAD	16064	40770	\N	\N	\N
1112348	3799	1997-02-05	PRIJEM	VKLAD	16064	52443	\N	\N	\N
1112349	3799	1997-03-05	PRIJEM	VKLAD	16064	56960	\N	\N	\N
1112350	3799	1997-04-05	PRIJEM	VKLAD	16064	58194	\N	\N	\N
1112351	3799	1997-05-05	PRIJEM	VKLAD	16064	57540	\N	\N	\N
1112352	3799	1997-06-05	PRIJEM	VKLAD	24096	60086	\N	\N	\N
1112353	3799	1997-07-05	PRIJEM	VKLAD	16064	35227	\N	\N	\N
1112354	3799	1997-08-05	PRIJEM	VKLAD	16064	46083	\N	\N	\N
1112355	3799	1997-09-05	PRIJEM	VKLAD	16064	55782	\N	\N	\N
1112356	3799	1997-10-05	PRIJEM	VKLAD	16064	59918	\N	\N	\N
1112357	3799	1997-11-05	PRIJEM	VKLAD	16064	63365	\N	\N	\N
1112358	3799	1997-12-05	PRIJEM	VKLAD	24096	70458	\N	\N	\N
1112359	3799	1998-01-05	PRIJEM	VKLAD	16064	66932	\N	\N	\N
1112360	3799	1998-02-05	PRIJEM	VKLAD	16064	64905	\N	\N	\N
1112361	3799	1998-03-05	PRIJEM	VKLAD	16064	65373	\N	\N	\N
1112362	3799	1998-04-05	PRIJEM	VKLAD	16064	58131	\N	\N	\N
1112363	3799	1998-05-05	PRIJEM	VKLAD	16064	56472	\N	\N	\N
1112364	3799	1998-06-05	PRIJEM	VKLAD	24096	60432	\N	\N	\N
1112365	3799	1998-07-05	PRIJEM	VKLAD	16064	39306	\N	\N	\N
1112366	3799	1998-08-05	PRIJEM	VKLAD	16064	38563	\N	\N	\N
1112367	3799	1998-09-05	PRIJEM	VKLAD	16064	42222	\N	\N	\N
1112368	3799	1998-10-05	PRIJEM	VKLAD	16064	42284	\N	\N	\N
1112369	3799	1998-11-05	PRIJEM	VKLAD	16064	44055	\N	\N	\N
1112370	3799	1998-12-05	PRIJEM	VKLAD	24096	51858	\N	\N	\N
1112386	3799	1997-04-08	VYDAJ	PREVOD NA UCET	4673	51882	SIPO	AB	1355666
1112387	3799	1997-05-08	VYDAJ	PREVOD NA UCET	4673	46828	SIPO	AB	1355666
1112388	3799	1997-06-08	VYDAJ	PREVOD NA UCET	4673	53774	SIPO	AB	1355666
1112389	3799	1997-07-08	VYDAJ	PREVOD NA UCET	4673	28915	SIPO	AB	1355666
1112390	3799	1997-08-08	VYDAJ	PREVOD NA UCET	4673	39771	SIPO	AB	1355666
1112391	3799	1997-09-08	VYDAJ	PREVOD NA UCET	4673	49470	SIPO	AB	1355666
1112392	3799	1997-10-08	VYDAJ	PREVOD NA UCET	4673	52006	SIPO	AB	1355666
1112393	3799	1997-11-08	VYDAJ	PREVOD NA UCET	4673	57053	SIPO	AB	1355666
1112394	3799	1997-12-08	VYDAJ	PREVOD NA UCET	4673	64146	SIPO	AB	1355666
1112395	3799	1998-01-08	VYDAJ	PREVOD NA UCET	4673	60620	SIPO	AB	1355666
1112396	3799	1998-02-08	VYDAJ	PREVOD NA UCET	4673	58593	SIPO	AB	1355666
1112397	3799	1998-03-08	VYDAJ	PREVOD NA UCET	4673	59061	SIPO	AB	1355666
1112398	3799	1998-04-08	VYDAJ	PREVOD NA UCET	4673	51819	SIPO	AB	1355666
1112399	3799	1998-05-08	VYDAJ	PREVOD NA UCET	4673	50160	SIPO	AB	1355666
1112400	3799	1998-06-08	VYDAJ	PREVOD NA UCET	4673	54120	SIPO	AB	1355666
1112401	3799	1998-07-08	VYDAJ	PREVOD NA UCET	4673	32994	SIPO	AB	1355666
1112402	3799	1998-08-08	VYDAJ	PREVOD NA UCET	4673	32251	SIPO	AB	1355666
1112403	3799	1998-09-08	VYDAJ	PREVOD NA UCET	4673	32910	SIPO	AB	1355666
1112404	3799	1998-10-08	VYDAJ	PREVOD NA UCET	4673	35972	SIPO	AB	1355666
1112405	3799	1998-11-08	VYDAJ	PREVOD NA UCET	4673	37743	SIPO	AB	1355666
1112406	3799	1998-12-08	VYDAJ	PREVOD NA UCET	4673	43046	SIPO	AB	1355666
1112422	3799	1997-04-05	VYDAJ	PREVOD NA UCET	1290	56904	 	MN	9053272
1112423	3799	1997-05-05	VYDAJ	PREVOD NA UCET	1290	51850	 	MN	9053272
1112424	3799	1997-06-05	VYDAJ	PREVOD NA UCET	1290	58796	 	MN	9053272
1112425	3799	1997-07-05	VYDAJ	PREVOD NA UCET	1290	33937	 	MN	9053272
1112426	3799	1997-08-05	VYDAJ	PREVOD NA UCET	1290	44793	 	MN	9053272
1112427	3799	1997-09-05	VYDAJ	PREVOD NA UCET	1290	54492	 	MN	9053272
1112428	3799	1997-10-05	VYDAJ	PREVOD NA UCET	1290	58628	 	MN	9053272
1112429	3799	1997-11-05	VYDAJ	PREVOD NA UCET	1290	62075	 	MN	9053272
1112430	3799	1997-12-05	VYDAJ	PREVOD NA UCET	1290	69168	 	MN	9053272
1112431	3799	1998-01-05	VYDAJ	PREVOD NA UCET	1290	65642	 	MN	9053272
1112432	3799	1998-02-05	VYDAJ	PREVOD NA UCET	1290	63615	 	MN	9053272
1112433	3799	1998-03-05	VYDAJ	PREVOD NA UCET	1290	64083	 	MN	9053272
1112434	3799	1998-04-05	VYDAJ	PREVOD NA UCET	1290	56841	 	MN	9053272
1112435	3799	1998-05-05	VYDAJ	PREVOD NA UCET	1290	55182	 	MN	9053272
1112436	3799	1998-06-05	VYDAJ	PREVOD NA UCET	1290	59142	 	MN	9053272
1112437	3799	1998-07-05	VYDAJ	PREVOD NA UCET	1290	38016	 	MN	9053272
1112438	3799	1998-08-05	VYDAJ	PREVOD NA UCET	1290	37273	 	MN	9053272
1112439	3799	1998-09-05	VYDAJ	PREVOD NA UCET	1290	40932	 	MN	9053272
1112440	3799	1998-10-05	VYDAJ	PREVOD NA UCET	1290	40994	 	MN	9053272
1112441	3799	1998-11-05	VYDAJ	PREVOD NA UCET	1290	42765	 	MN	9053272
1112442	3799	1998-12-05	VYDAJ	PREVOD NA UCET	1290	50568	 	MN	9053272
1112458	3799	1997-04-07	VYDAJ	PREVOD NA UCET	136	56555	POJISTNE	EF	71719521
1112459	3799	1997-05-07	VYDAJ	PREVOD NA UCET	136	51501	POJISTNE	EF	71719521
1112460	3799	1997-06-07	VYDAJ	PREVOD NA UCET	136	58447	POJISTNE	EF	71719521
1112461	3799	1997-07-07	VYDAJ	PREVOD NA UCET	136	33588	POJISTNE	EF	71719521
1112462	3799	1997-08-07	VYDAJ	PREVOD NA UCET	136	44444	POJISTNE	EF	71719521
1112463	3799	1997-09-07	VYDAJ	PREVOD NA UCET	136	54143	POJISTNE	EF	71719521
1112464	3799	1997-10-07	VYDAJ	PREVOD NA UCET	136	56679	POJISTNE	EF	71719521
1112465	3799	1997-11-07	VYDAJ	PREVOD NA UCET	136	61726	POJISTNE	EF	71719521
1112466	3799	1997-12-07	VYDAJ	PREVOD NA UCET	136	68819	POJISTNE	EF	71719521
1112467	3799	1998-01-07	VYDAJ	PREVOD NA UCET	136	65293	POJISTNE	EF	71719521
1112468	3799	1998-02-07	VYDAJ	PREVOD NA UCET	136	63266	POJISTNE	EF	71719521
1112469	3799	1998-03-07	VYDAJ	PREVOD NA UCET	136	63734	POJISTNE	EF	71719521
1112470	3799	1998-04-07	VYDAJ	PREVOD NA UCET	136	56492	POJISTNE	EF	71719521
1112471	3799	1998-05-07	VYDAJ	PREVOD NA UCET	136	54833	POJISTNE	EF	71719521
1112472	3799	1998-06-07	VYDAJ	PREVOD NA UCET	136	58793	POJISTNE	EF	71719521
1112473	3799	1998-07-07	VYDAJ	PREVOD NA UCET	136	37667	POJISTNE	EF	71719521
1112474	3799	1998-08-07	VYDAJ	PREVOD NA UCET	136	36924	POJISTNE	EF	71719521
1112475	3799	1998-09-07	VYDAJ	PREVOD NA UCET	136	37583	POJISTNE	EF	71719521
1112476	3799	1998-10-07	VYDAJ	PREVOD NA UCET	136	40645	POJISTNE	EF	71719521
1112477	3799	1998-11-07	VYDAJ	PREVOD NA UCET	136	42416	POJISTNE	EF	71719521
1112478	3799	1998-12-07	VYDAJ	PREVOD NA UCET	136	47719	POJISTNE	EF	71719521
1112494	3799	1997-04-06	VYDAJ	PREVOD NA UCET	213	56691	 	UV	23728156
1112495	3799	1997-05-06	VYDAJ	PREVOD NA UCET	213	51637	 	UV	23728156
1112496	3799	1997-06-06	VYDAJ	PREVOD NA UCET	213	58583	 	UV	23728156
1112497	3799	1997-07-06	VYDAJ	PREVOD NA UCET	213	33724	 	UV	23728156
1112498	3799	1997-08-06	VYDAJ	PREVOD NA UCET	213	44580	 	UV	23728156
1112499	3799	1997-09-06	VYDAJ	PREVOD NA UCET	213	54279	 	UV	23728156
1112500	3799	1997-10-06	VYDAJ	PREVOD NA UCET	213	56815	 	UV	23728156
1112501	3799	1997-11-06	VYDAJ	PREVOD NA UCET	213	61862	 	UV	23728156
1112502	3799	1997-12-06	VYDAJ	PREVOD NA UCET	213	68955	 	UV	23728156
1112503	3799	1998-01-06	VYDAJ	PREVOD NA UCET	213	65429	 	UV	23728156
1112504	3799	1998-02-06	VYDAJ	PREVOD NA UCET	213	63402	 	UV	23728156
1112505	3799	1998-03-06	VYDAJ	PREVOD NA UCET	213	63870	 	UV	23728156
1112506	3799	1998-04-06	VYDAJ	PREVOD NA UCET	213	56628	 	UV	23728156
1112507	3799	1998-05-06	VYDAJ	PREVOD NA UCET	213	54969	 	UV	23728156
1112508	3799	1998-06-06	VYDAJ	PREVOD NA UCET	213	58929	 	UV	23728156
1112509	3799	1998-07-06	VYDAJ	PREVOD NA UCET	213	37803	 	UV	23728156
1112510	3799	1998-08-06	VYDAJ	PREVOD NA UCET	213	37060	 	UV	23728156
1112511	3799	1998-09-06	VYDAJ	PREVOD NA UCET	213	37719	 	UV	23728156
1112512	3799	1998-10-06	VYDAJ	PREVOD NA UCET	213	40781	 	UV	23728156
1112513	3799	1998-11-06	VYDAJ	PREVOD NA UCET	213	42552	 	UV	23728156
1112514	3799	1998-12-06	VYDAJ	PREVOD NA UCET	213	50355	 	UV	23728156
1112516	3799	1997-06-29	VYDAJ	VYBER	25700	18974	\N	\N	\N
1112517	3799	1998-06-11	VYDAJ	VYBER	25800	28320	\N	\N	\N
1112519	3799	1997-12-22	VYDAJ	VYBER	1500	58746	\N	\N	\N
1112520	3799	1998-12-07	VYDAJ	VYBER	2500	47855	\N	\N	\N
1112526	3799	1997-05-05	VYDAJ	VYBER	4400	53140	\N	\N	\N
1112527	3799	1997-12-09	VYDAJ	VYBER	3900	60246	\N	\N	\N
1112528	3799	1997-10-06	VYDAJ	VYBER	1600	57028	\N	\N	\N
1112529	3799	1997-05-09	VYDAJ	VYBER	4500	42328	\N	\N	\N
1112531	3799	1998-03-28	VYDAJ	VYBER	2500	41861	\N	\N	\N
1112532	3799	1998-07-23	VYDAJ	VYBER	1000	22394	\N	\N	\N
1112533	3799	1998-03-16	VYDAJ	VYBER	3800	55261	\N	\N	\N
1112534	3799	1998-12-20	VYDAJ	VYBER	3000	28246	\N	\N	\N
1112535	3799	1998-11-15	VYDAJ	VYBER	4600	33143	\N	\N	\N
1112536	3799	1998-05-04	VYDAJ	VYBER	3600	40408	\N	\N	\N
1112537	3799	1998-06-16	VYDAJ	VYBER	2700	25620	\N	\N	\N
1112538	3799	1998-09-05	VYDAJ	VYBER	3000	37932	\N	\N	\N
1112555	3799	1997-04-30	VYDAJ	VYBER	15	41476	SLUZBY	\N	\N
1112556	3799	1997-05-31	VYDAJ	VYBER	15	35990	SLUZBY	\N	\N
1112557	3799	1997-06-30	VYDAJ	VYBER	15	19163	SLUZBY	\N	\N
1112558	3799	1997-07-31	VYDAJ	VYBER	15	30019	SLUZBY	\N	\N
1112559	3799	1997-08-31	VYDAJ	VYBER	15	39718	SLUZBY	\N	\N
1112560	3799	1997-09-30	VYDAJ	VYBER	15	43854	SLUZBY	\N	\N
1112561	3799	1997-10-31	VYDAJ	VYBER	15	47301	SLUZBY	\N	\N
1112562	3799	1997-11-30	VYDAJ	VYBER	15	46362	SLUZBY	\N	\N
1112563	3799	1997-12-31	VYDAJ	VYBER	15	50868	SLUZBY	\N	\N
1112564	3799	1998-01-31	VYDAJ	VYBER	15	48841	SLUZBY	\N	\N
1112565	3799	1998-02-28	VYDAJ	VYBER	15	49309	SLUZBY	\N	\N
1112566	3799	1998-03-31	VYDAJ	VYBER	15	42067	SLUZBY	\N	\N
1112567	3799	1998-04-30	VYDAJ	VYBER	15	44008	SLUZBY	\N	\N
1112568	3799	1998-05-31	VYDAJ	VYBER	15	36336	SLUZBY	\N	\N
1112569	3799	1998-06-30	VYDAJ	VYBER	15	23242	SLUZBY	\N	\N
1112570	3799	1998-07-31	VYDAJ	VYBER	15	22499	SLUZBY	\N	\N
1112571	3799	1998-08-31	VYDAJ	VYBER	15	26158	SLUZBY	\N	\N
1112572	3799	1998-09-30	VYDAJ	VYBER	15	26220	SLUZBY	\N	\N
1112573	3799	1998-10-31	VYDAJ	VYBER	15	27991	SLUZBY	\N	\N
1112574	3799	1998-11-30	VYDAJ	VYBER	15	27762	SLUZBY	\N	\N
1112575	3799	1996-12-29	VYDAJ	VYBER	300	24696	\N	\N	\N
1112576	3799	1997-01-28	VYDAJ	VYBER	4500	36270	\N	\N	\N
1112577	3799	1997-02-27	VYDAJ	VYBER	11700	40743	\N	\N	\N
1112578	3799	1997-03-29	VYDAJ	VYBER	15000	41960	\N	\N	\N
1112579	3799	1997-04-28	VYDAJ	VYBER	10600	41282	\N	\N	\N
1112580	3799	1997-05-28	VYDAJ	VYBER	6500	35828	\N	\N	\N
1112581	3799	1997-06-27	VYDAJ	VYBER	9100	44674	\N	\N	\N
1112582	3799	1997-07-27	PRIJEM	VKLAD	1000	29915	\N	\N	\N
1112583	3799	1997-08-26	VYDAJ	VYBER	200	39571	\N	\N	\N
1112584	3799	1997-09-25	VYDAJ	VYBER	5800	43670	\N	\N	\N
1112585	3799	1997-10-25	VYDAJ	VYBER	4900	47106	\N	\N	\N
1112586	3799	1997-11-24	VYDAJ	VYBER	10900	46153	\N	\N	\N
1112587	3799	1997-12-24	VYDAJ	VYBER	8100	50646	\N	\N	\N
1112588	3799	1998-01-23	VYDAJ	VYBER	12000	48620	\N	\N	\N
1112589	3799	1998-02-22	VYDAJ	VYBER	9500	49093	\N	\N	\N
1112590	3799	1998-03-24	VYDAJ	VYBER	10900	44361	\N	\N	\N
1112591	3799	1998-04-23	VYDAJ	VYBER	8000	43819	\N	\N	\N
1112592	3799	1998-05-23	VYDAJ	VYBER	14000	36160	\N	\N	\N
1112593	3799	1998-06-22	VYDAJ	VYBER	2500	23120	\N	\N	\N
1112594	3799	1998-07-22	VYDAJ	VYBER	9600	23394	\N	\N	\N
1112595	3799	1998-08-21	VYDAJ	VYBER	6200	26051	\N	\N	\N
1112596	3799	1998-09-20	VYDAJ	VYBER	6800	26110	\N	\N	\N
1112597	3799	1998-10-20	VYDAJ	VYBER	8100	27872	\N	\N	\N
1112598	3799	1998-11-19	VYDAJ	VYBER	5500	27643	\N	\N	\N
1112599	3799	1998-12-19	VYDAJ	VYBER	11800	31246	\N	\N	\N
1112625	3800	1996-09-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1112635	3800	1996-10-05	PRIJEM	VKLAD	7393	8293	\N	\N	\N
1112636	3800	1996-11-05	PRIJEM	VKLAD	7393	22017	\N	\N	\N
1112637	3800	1996-12-05	PRIJEM	VKLAD	11090	31581	\N	\N	\N
1112638	3800	1997-01-05	PRIJEM	VKLAD	7393	32871	\N	\N	\N
1112639	3800	1997-02-05	PRIJEM	VKLAD	7393	34273	\N	\N	\N
1112640	3800	1997-03-05	PRIJEM	VKLAD	7393	35840	\N	\N	\N
1112641	3800	1997-04-05	PRIJEM	VKLAD	7393	29901	\N	\N	\N
1112642	3800	1997-05-05	PRIJEM	VKLAD	7393	30148	\N	\N	\N
1112643	3800	1997-06-05	PRIJEM	VKLAD	11090	28641	\N	\N	\N
1112644	3800	1997-07-05	PRIJEM	VKLAD	7393	28076	\N	\N	\N
1112645	3800	1997-08-05	PRIJEM	VKLAD	7393	25708	\N	\N	\N
1112646	3800	1997-09-05	PRIJEM	VKLAD	7393	27841	\N	\N	\N
1112647	3800	1997-10-05	PRIJEM	VKLAD	7393	27584	\N	\N	\N
1112648	3800	1997-11-05	PRIJEM	VKLAD	7393	24261	\N	\N	\N
1112649	3800	1997-12-05	PRIJEM	VKLAD	11090	24911	\N	\N	\N
1112650	3800	1998-01-05	PRIJEM	VKLAD	7393	21449	\N	\N	\N
1112651	3800	1998-02-05	PRIJEM	VKLAD	7393	17552	\N	\N	\N
1112652	3800	1998-03-05	PRIJEM	VKLAD	7393	20253	\N	\N	\N
1112653	3800	1998-04-05	PRIJEM	VKLAD	7393	18934	\N	\N	\N
1112654	3800	1998-05-05	PRIJEM	VKLAD	7393	21440	\N	\N	\N
1112655	3800	1998-06-05	PRIJEM	VKLAD	11090	21035	\N	\N	\N
1112656	3800	1998-07-05	PRIJEM	VKLAD	7393	16926	\N	\N	\N
1112657	3800	1998-08-05	PRIJEM	VKLAD	7393	15311	\N	\N	\N
1112658	3800	1998-09-05	PRIJEM	VKLAD	7393	14995	\N	\N	\N
1112659	3800	1998-10-05	PRIJEM	VKLAD	7393	14678	\N	\N	\N
1112660	3800	1998-11-05	PRIJEM	VKLAD	7393	16467	\N	\N	\N
1112661	3800	1998-12-05	PRIJEM	VKLAD	11090	19352	\N	\N	\N
1112675	3800	1997-02-11	VYDAJ	PREVOD NA UCET	1294	29345	SIPO	AB	68339317
1112676	3800	1997-03-11	VYDAJ	PREVOD NA UCET	1294	30912	SIPO	AB	68339317
1112677	3800	1997-04-11	VYDAJ	PREVOD NA UCET	1294	24973	SIPO	AB	68339317
1112678	3800	1997-05-11	VYDAJ	PREVOD NA UCET	1294	25220	SIPO	AB	68339317
1112679	3800	1997-06-11	VYDAJ	PREVOD NA UCET	1294	23713	SIPO	AB	68339317
1112680	3800	1997-07-11	VYDAJ	PREVOD NA UCET	1294	23148	SIPO	AB	68339317
1112681	3800	1997-08-11	VYDAJ	PREVOD NA UCET	1294	20780	SIPO	AB	68339317
1112682	3800	1997-09-11	VYDAJ	PREVOD NA UCET	1294	22913	SIPO	AB	68339317
1112683	3800	1997-10-11	VYDAJ	PREVOD NA UCET	1294	22656	SIPO	AB	68339317
1112684	3800	1997-11-11	VYDAJ	PREVOD NA UCET	1294	13773	SIPO	AB	68339317
1112685	3800	1997-12-11	VYDAJ	PREVOD NA UCET	1294	17683	SIPO	AB	68339317
1112686	3800	1998-01-11	VYDAJ	PREVOD NA UCET	1294	10121	SIPO	AB	68339317
1112687	3800	1998-02-11	VYDAJ	PREVOD NA UCET	1294	12824	SIPO	AB	68339317
1112688	3800	1998-03-11	VYDAJ	PREVOD NA UCET	1294	11505	SIPO	AB	68339317
1112689	3800	1998-04-11	VYDAJ	PREVOD NA UCET	1294	14006	SIPO	AB	68339317
1112690	3800	1998-05-11	VYDAJ	PREVOD NA UCET	1294	9912	SIPO	AB	68339317
1112691	3800	1998-06-11	VYDAJ	PREVOD NA UCET	1294	9507	SIPO	AB	68339317
1112692	3800	1998-07-11	VYDAJ	PREVOD NA UCET	1294	7898	SIPO	AB	68339317
1112693	3800	1998-08-11	VYDAJ	PREVOD NA UCET	1294	7583	SIPO	AB	68339317
1112694	3800	1998-09-11	VYDAJ	PREVOD NA UCET	1294	7267	SIPO	AB	68339317
1112695	3800	1998-10-11	VYDAJ	PREVOD NA UCET	1294	9050	SIPO	AB	68339317
1112696	3800	1998-11-11	VYDAJ	PREVOD NA UCET	1294	8239	SIPO	AB	68339317
1112697	3800	1998-12-11	VYDAJ	PREVOD NA UCET	1294	10824	SIPO	AB	68339317
1112711	3800	1997-02-09	VYDAJ	PREVOD NA UCET	3634	30639	 	OP	90384268
1112712	3800	1997-03-09	VYDAJ	PREVOD NA UCET	3634	32206	 	OP	90384268
1112713	3800	1997-04-09	VYDAJ	PREVOD NA UCET	3634	26267	 	OP	90384268
1112714	3800	1997-05-09	VYDAJ	PREVOD NA UCET	3634	26514	 	OP	90384268
1112715	3800	1997-06-09	VYDAJ	PREVOD NA UCET	3634	25007	 	OP	90384268
1112716	3800	1997-07-09	VYDAJ	PREVOD NA UCET	3634	24442	 	OP	90384268
1112717	3800	1997-08-09	VYDAJ	PREVOD NA UCET	3634	22074	 	OP	90384268
1112718	3800	1997-09-09	VYDAJ	PREVOD NA UCET	3634	24207	 	OP	90384268
1112719	3800	1997-10-09	VYDAJ	PREVOD NA UCET	3634	23950	 	OP	90384268
1112720	3800	1997-11-09	VYDAJ	PREVOD NA UCET	3634	15467	 	OP	90384268
1112721	3800	1997-12-09	VYDAJ	PREVOD NA UCET	3634	21277	 	OP	90384268
1112722	3800	1998-01-09	VYDAJ	PREVOD NA UCET	3634	11415	 	OP	90384268
1112723	3800	1998-02-09	VYDAJ	PREVOD NA UCET	3634	14118	 	OP	90384268
1112724	3800	1998-03-09	VYDAJ	PREVOD NA UCET	3634	16619	 	OP	90384268
1112725	3800	1998-04-09	VYDAJ	PREVOD NA UCET	3634	15300	 	OP	90384268
1112726	3800	1998-05-09	VYDAJ	PREVOD NA UCET	3634	17806	 	OP	90384268
1112727	3800	1998-06-09	VYDAJ	PREVOD NA UCET	3634	10801	 	OP	90384268
1112728	3800	1998-07-09	VYDAJ	PREVOD NA UCET	3634	9192	 	OP	90384268
1112729	3800	1998-08-09	VYDAJ	PREVOD NA UCET	3634	8877	 	OP	90384268
1112730	3800	1998-09-09	VYDAJ	PREVOD NA UCET	3634	8561	 	OP	90384268
1112731	3800	1998-10-09	VYDAJ	PREVOD NA UCET	3634	10344	 	OP	90384268
1112732	3800	1998-11-09	VYDAJ	PREVOD NA UCET	3634	9533	 	OP	90384268
1112733	3800	1998-12-09	VYDAJ	PREVOD NA UCET	3634	12118	 	OP	90384268
1112741	3800	1997-12-15	VYDAJ	VYBER	800	16883	\N	\N	\N
1112756	3800	1998-01-06	VYDAJ	VYBER	3000	18449	\N	\N	\N
1112759	3800	1998-01-04	VYDAJ	VYBER	2880	14056	\N	\N	\N
1112766	3800	1997-03-24	VYDAJ	VYBER	3000	22412	\N	\N	\N
1112767	3800	1997-08-12	VYDAJ	VYBER	1200	20380	\N	\N	\N
1112768	3800	1997-05-16	VYDAJ	VYBER	5640	17480	\N	\N	\N
1112769	3800	1997-10-25	VYDAJ	VYBER	960	16796	\N	\N	\N
1112770	3800	1997-11-06	VYDAJ	VYBER	5160	19101	\N	\N	\N
1112775	3800	1998-03-09	VYDAJ	VYBER	4920	11699	\N	\N	\N
1112790	3800	1997-02-28	VYDAJ	VYBER	15	28447	SLUZBY	\N	\N
1112791	3800	1997-03-31	VYDAJ	VYBER	15	22508	SLUZBY	\N	\N
1112792	3800	1997-04-30	VYDAJ	VYBER	15	22755	SLUZBY	\N	\N
1112793	3800	1997-05-31	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
1112794	3800	1997-06-30	VYDAJ	VYBER	15	20683	SLUZBY	\N	\N
1112795	3800	1997-07-31	VYDAJ	VYBER	15	18315	SLUZBY	\N	\N
1112796	3800	1997-08-31	VYDAJ	VYBER	15	20448	SLUZBY	\N	\N
1112797	3800	1997-09-30	VYDAJ	VYBER	15	20191	SLUZBY	\N	\N
1112798	3800	1997-10-31	VYDAJ	VYBER	15	16868	SLUZBY	\N	\N
1112799	3800	1997-11-30	VYDAJ	VYBER	15	13821	SLUZBY	\N	\N
1112800	3800	1997-12-31	VYDAJ	VYBER	15	16936	SLUZBY	\N	\N
1112801	3800	1998-01-31	VYDAJ	VYBER	15	10159	SLUZBY	\N	\N
1112802	3800	1998-02-28	VYDAJ	VYBER	15	12860	SLUZBY	\N	\N
1112803	3800	1998-03-31	VYDAJ	VYBER	15	11541	SLUZBY	\N	\N
1112804	3800	1998-04-30	VYDAJ	VYBER	15	14047	SLUZBY	\N	\N
1112805	3800	1998-05-31	VYDAJ	VYBER	15	9945	SLUZBY	\N	\N
1112806	3800	1998-06-30	VYDAJ	VYBER	15	9533	SLUZBY	\N	\N
1112807	3800	1998-07-31	VYDAJ	VYBER	15	7918	SLUZBY	\N	\N
1112808	3800	1998-08-31	VYDAJ	VYBER	15	7602	SLUZBY	\N	\N
1112809	3800	1998-09-30	VYDAJ	VYBER	15	7285	SLUZBY	\N	\N
1112810	3800	1998-10-31	VYDAJ	VYBER	15	9074	SLUZBY	\N	\N
1112811	3800	1998-11-30	VYDAJ	VYBER	15	8262	SLUZBY	\N	\N
1112812	3800	1996-10-16	PRIJEM	VKLAD	6300	14593	\N	\N	\N
1112813	3800	1996-11-15	VYDAJ	VYBER	1600	20417	\N	\N	\N
1112814	3800	1996-12-15	VYDAJ	VYBER	6200	25381	\N	\N	\N
1112815	3800	1997-01-14	VYDAJ	VYBER	6100	26771	\N	\N	\N
1112816	3800	1997-02-13	VYDAJ	VYBER	1000	28345	\N	\N	\N
1112817	3800	1997-03-15	VYDAJ	VYBER	5500	25412	\N	\N	\N
1112818	3800	1997-04-14	VYDAJ	VYBER	2300	22673	\N	\N	\N
1112819	3800	1997-05-14	VYDAJ	VYBER	2100	23120	\N	\N	\N
1112820	3800	1997-06-13	VYDAJ	VYBER	3100	20613	\N	\N	\N
1112821	3800	1997-07-13	VYDAJ	VYBER	4900	18248	\N	\N	\N
1112822	3800	1997-08-12	PRIJEM	VKLAD	800	21580	\N	\N	\N
1112823	3800	1997-09-11	VYDAJ	VYBER	2800	20113	\N	\N	\N
1112824	3800	1997-10-11	VYDAJ	VYBER	4900	17756	\N	\N	\N
1112825	3800	1997-11-10	VYDAJ	VYBER	400	15067	\N	\N	\N
1112826	3800	1997-12-10	VYDAJ	VYBER	2300	18977	\N	\N	\N
1112827	3800	1998-01-09	VYDAJ	VYBER	3400	15049	\N	\N	\N
1112828	3800	1998-02-08	PRIJEM	VKLAD	200	17752	\N	\N	\N
1112829	3800	1998-03-10	PRIJEM	VKLAD	1100	12799	\N	\N	\N
1112830	3800	1998-05-09	VYDAJ	VYBER	6600	11206	\N	\N	\N
1112831	3800	1998-06-08	VYDAJ	VYBER	6600	14435	\N	\N	\N
1112832	3800	1998-07-08	VYDAJ	VYBER	4100	12826	\N	\N	\N
1112833	3800	1998-08-07	VYDAJ	VYBER	2800	12511	\N	\N	\N
1112834	3800	1998-09-06	VYDAJ	VYBER	2800	12195	\N	\N	\N
1112835	3800	1998-10-06	VYDAJ	VYBER	700	13978	\N	\N	\N
1112836	3800	1998-11-05	VYDAJ	VYBER	3300	13167	\N	\N	\N
1112837	3800	1998-12-05	VYDAJ	VYBER	3600	15752	\N	\N	\N
1112865	3801	1996-06-20	PRIJEM	VKLAD	200	200	\N	\N	\N
1112872	3801	1996-07-08	PRIJEM	VKLAD	21951	22151	\N	\N	\N
1112873	3801	1996-08-08	PRIJEM	VKLAD	21951	42635	\N	\N	\N
1112874	3801	1996-09-08	PRIJEM	VKLAD	21951	54493	\N	\N	\N
1112875	3801	1996-10-08	PRIJEM	VKLAD	21951	59087	\N	\N	\N
1112876	3801	1996-11-08	PRIJEM	VKLAD	21951	60195	\N	\N	\N
1112877	3801	1996-12-08	PRIJEM	VKLAD	32926	72870	\N	\N	\N
1112878	3801	1997-01-08	PRIJEM	VKLAD	21951	61426	\N	\N	\N
1112879	3801	1997-02-08	PRIJEM	VKLAD	21951	57051	\N	\N	\N
1112880	3801	1997-03-08	PRIJEM	VKLAD	21951	61943	\N	\N	\N
1112881	3801	1997-04-08	PRIJEM	VKLAD	21951	59751	\N	\N	\N
1112882	3801	1997-05-08	PRIJEM	VKLAD	21951	59273	\N	\N	\N
1112883	3801	1997-06-08	PRIJEM	VKLAD	32926	74448	\N	\N	\N
1112884	3801	1997-07-08	PRIJEM	VKLAD	21951	58967	\N	\N	\N
1112885	3801	1997-08-08	PRIJEM	VKLAD	21951	57378	\N	\N	\N
1112886	3801	1997-09-08	PRIJEM	VKLAD	21951	58665	\N	\N	\N
1112887	3801	1997-10-08	PRIJEM	VKLAD	21951	55152	\N	\N	\N
1112888	3801	1997-11-08	PRIJEM	VKLAD	21951	51546	\N	\N	\N
1112889	3801	1997-12-08	PRIJEM	VKLAD	32926	64100	\N	\N	\N
1112890	3801	1998-01-08	PRIJEM	VKLAD	21951	58097	\N	\N	\N
1112891	3801	1998-02-08	PRIJEM	VKLAD	21951	38553	\N	\N	\N
1112892	3801	1998-03-08	PRIJEM	VKLAD	21951	39360	\N	\N	\N
1112893	3801	1998-04-08	PRIJEM	VKLAD	21951	39870	\N	\N	\N
1112894	3801	1998-05-08	PRIJEM	VKLAD	21951	36677	\N	\N	\N
1112895	3801	1998-06-08	PRIJEM	VKLAD	32926	50557	\N	\N	\N
1112896	3801	1998-07-08	PRIJEM	VKLAD	21951	48292	\N	\N	\N
1112897	3801	1998-08-08	PRIJEM	VKLAD	21951	42630	\N	\N	\N
1112898	3801	1998-09-08	PRIJEM	VKLAD	21951	43053	\N	\N	\N
1112899	3801	1998-10-08	PRIJEM	VKLAD	21951	43277	\N	\N	\N
1112900	3801	1998-11-08	PRIJEM	VKLAD	21951	39365	\N	\N	\N
1112901	3801	1998-12-08	PRIJEM	VKLAD	32926	62303	\N	\N	\N
1112903	3801	1997-06-12	VYDAJ	VYBER	7900	66548	\N	\N	\N
1112906	3801	1997-01-03	VYDAJ	VYBER	6900	39475	\N	\N	\N
1112907	3801	1998-01-15	VYDAJ	VYBER	9300	22397	\N	\N	\N
1112908	3801	1996-12-06	VYDAJ	VYBER	1100	39944	\N	\N	\N
1112909	3801	1997-12-09	VYDAJ	VYBER	2500	61600	\N	\N	\N
1112910	3801	1998-12-30	VYDAJ	VYBER	1800	60503	\N	\N	\N
1112917	3801	1997-01-16	VYDAJ	VYBER	2900	40026	\N	\N	\N
1112918	3801	1997-01-14	VYDAJ	VYBER	500	60926	\N	\N	\N
1112919	3801	1997-01-22	VYDAJ	VYBER	1000	36426	\N	\N	\N
1112920	3801	1997-01-20	VYDAJ	VYBER	700	37426	\N	\N	\N
1112921	3801	1997-01-26	VYDAJ	VYBER	1500	34926	\N	\N	\N
1112922	3801	1997-01-17	VYDAJ	VYBER	1900	38126	\N	\N	\N
1112923	3801	1998-01-19	VYDAJ	VYBER	2500	19897	\N	\N	\N
1112924	3801	1998-01-10	VYDAJ	VYBER	2200	55897	\N	\N	\N
1112925	3801	1998-01-07	VYDAJ	VYBER	1500	36146	\N	\N	\N
1112926	3801	1998-01-25	VYDAJ	VYBER	2300	17597	\N	\N	\N
1112927	3801	1998-01-29	VYDAJ	VYBER	1100	16497	\N	\N	\N
1112928	3801	1998-01-02	VYDAJ	VYBER	500	37646	\N	\N	\N
1112932	3801	1997-11-01	VYDAJ	VYBER	4300	29595	\N	\N	\N
1112933	3801	1997-04-07	VYDAJ	VYBER	4700	37800	\N	\N	\N
1112934	3801	1997-10-04	VYDAJ	VYBER	3000	33201	\N	\N	\N
1112935	3801	1997-07-07	VYDAJ	VYBER	4200	37016	\N	\N	\N
1112936	3801	1998-11-25	VYDAJ	VYBER	2700	32565	\N	\N	\N
1112937	3801	1998-12-04	VYDAJ	VYBER	3300	29377	\N	\N	\N
1112938	3801	1998-04-21	VYDAJ	VYBER	4000	14670	\N	\N	\N
1112939	3801	1998-06-21	VYDAJ	VYBER	500	26257	\N	\N	\N
1112940	3801	1998-10-30	VYDAJ	VYBER	1900	17277	\N	\N	\N
1112941	3801	1998-11-08	VYDAJ	VYBER	4100	35265	\N	\N	\N
1112942	3801	1998-07-24	VYDAJ	VYBER	4900	20592	\N	\N	\N
1112955	3801	1996-11-30	VYDAJ	VYBER	15	41044	SLUZBY	\N	\N
1112956	3801	1996-12-31	VYDAJ	VYBER	15	46375	SLUZBY	\N	\N
1112957	3801	1997-01-31	VYDAJ	VYBER	15	35100	SLUZBY	\N	\N
1112958	3801	1997-02-28	VYDAJ	VYBER	15	39992	SLUZBY	\N	\N
1112959	3801	1997-03-31	VYDAJ	VYBER	15	42500	SLUZBY	\N	\N
1112960	3801	1997-04-30	VYDAJ	VYBER	15	37322	SLUZBY	\N	\N
1112961	3801	1997-05-31	VYDAJ	VYBER	15	41522	SLUZBY	\N	\N
1112962	3801	1997-06-30	VYDAJ	VYBER	15	41216	SLUZBY	\N	\N
1112963	3801	1997-07-31	VYDAJ	VYBER	15	35427	SLUZBY	\N	\N
1112964	3801	1997-08-31	VYDAJ	VYBER	15	36714	SLUZBY	\N	\N
1112965	3801	1997-09-30	VYDAJ	VYBER	15	36201	SLUZBY	\N	\N
1112966	3801	1997-10-31	VYDAJ	VYBER	15	33895	SLUZBY	\N	\N
1112967	3801	1997-11-30	VYDAJ	VYBER	15	31174	SLUZBY	\N	\N
1112968	3801	1997-12-31	VYDAJ	VYBER	15	38146	SLUZBY	\N	\N
1112969	3801	1998-01-31	VYDAJ	VYBER	15	16602	SLUZBY	\N	\N
1112970	3801	1998-02-28	VYDAJ	VYBER	15	17409	SLUZBY	\N	\N
1112971	3801	1998-03-31	VYDAJ	VYBER	15	17919	SLUZBY	\N	\N
1112972	3801	1998-04-30	VYDAJ	VYBER	15	14726	SLUZBY	\N	\N
1112973	3801	1998-05-31	VYDAJ	VYBER	15	17631	SLUZBY	\N	\N
1112974	3801	1998-06-30	VYDAJ	VYBER	15	26341	SLUZBY	\N	\N
1112975	3801	1998-07-31	VYDAJ	VYBER	15	20679	SLUZBY	\N	\N
1112976	3801	1998-08-31	VYDAJ	VYBER	15	21102	SLUZBY	\N	\N
1112977	3801	1998-09-30	VYDAJ	VYBER	15	21326	SLUZBY	\N	\N
1112978	3801	1998-10-31	VYDAJ	VYBER	15	17414	SLUZBY	\N	\N
1112979	3801	1998-11-30	VYDAJ	VYBER	15	32677	SLUZBY	\N	\N
1112980	3801	1996-07-20	VYDAJ	VYBER	1500	20651	\N	\N	\N
1112981	3801	1996-08-19	VYDAJ	VYBER	10200	32435	\N	\N	\N
1112982	3801	1996-09-18	VYDAJ	VYBER	17500	36993	\N	\N	\N
1112983	3801	1996-10-18	VYDAJ	VYBER	21000	38087	\N	\N	\N
1112984	3801	1996-11-17	VYDAJ	VYBER	19300	40895	\N	\N	\N
1112985	3801	1996-12-17	VYDAJ	VYBER	26700	46170	\N	\N	\N
1112986	3801	1997-01-16	VYDAJ	VYBER	18000	42926	\N	\N	\N
1112987	3801	1997-02-15	VYDAJ	VYBER	17200	39851	\N	\N	\N
1112988	3801	1997-03-17	VYDAJ	VYBER	19600	42343	\N	\N	\N
1112989	3801	1997-04-16	VYDAJ	VYBER	22600	37151	\N	\N	\N
1112990	3801	1997-05-16	VYDAJ	VYBER	17900	41373	\N	\N	\N
1112991	3801	1997-06-15	VYDAJ	VYBER	25500	41048	\N	\N	\N
1112992	3801	1997-07-15	VYDAJ	VYBER	23700	35267	\N	\N	\N
1112993	3801	1997-08-14	VYDAJ	VYBER	20800	36578	\N	\N	\N
1112994	3801	1997-09-13	VYDAJ	VYBER	22600	36065	\N	\N	\N
1112995	3801	1997-10-13	VYDAJ	VYBER	21400	33752	\N	\N	\N
1112996	3801	1997-11-12	VYDAJ	VYBER	20500	31046	\N	\N	\N
1112997	3801	1997-12-12	VYDAJ	VYBER	23600	38000	\N	\N	\N
1112998	3801	1998-01-11	VYDAJ	VYBER	24200	31697	\N	\N	\N
1112999	3801	1998-02-10	VYDAJ	VYBER	21200	17353	\N	\N	\N
1113000	3801	1998-03-12	VYDAJ	VYBER	21500	17860	\N	\N	\N
1113001	3801	1998-04-11	VYDAJ	VYBER	21200	18670	\N	\N	\N
1113002	3801	1998-05-11	VYDAJ	VYBER	19100	17577	\N	\N	\N
1113003	3801	1998-06-10	VYDAJ	VYBER	23800	26757	\N	\N	\N
1113004	3801	1998-07-10	VYDAJ	VYBER	22800	25492	\N	\N	\N
1113005	3801	1998-08-09	VYDAJ	VYBER	21600	21030	\N	\N	\N
1113006	3801	1998-09-08	VYDAJ	VYBER	21800	21253	\N	\N	\N
1113007	3801	1998-10-08	VYDAJ	VYBER	24100	19177	\N	\N	\N
1113038	3802	1996-04-18	PRIJEM	VKLAD	200	200	\N	\N	\N
1113043	3802	1996-05-13	PRIJEM	PREVOD Z UCTU	4914	5114	DUCHOD	KL	80688887
1113044	3802	1996-06-13	PRIJEM	PREVOD Z UCTU	4914	10028	DUCHOD	KL	80688887
1113045	3802	1996-07-13	PRIJEM	PREVOD Z UCTU	4914	14942	DUCHOD	KL	80688887
1113046	3802	1996-08-13	PRIJEM	PREVOD Z UCTU	4914	19856	DUCHOD	KL	80688887
1113047	3802	1996-09-13	PRIJEM	PREVOD Z UCTU	4914	24770	DUCHOD	KL	80688887
1113048	3802	1996-10-13	PRIJEM	PREVOD Z UCTU	4914	25117	DUCHOD	KL	80688887
1113049	3802	1996-11-13	PRIJEM	PREVOD Z UCTU	4914	26541	DUCHOD	KL	80688887
1113050	3802	1996-12-13	PRIJEM	PREVOD Z UCTU	4914	22459	DUCHOD	KL	80688887
1113051	3802	1997-01-13	PRIJEM	PREVOD Z UCTU	4914	17016	DUCHOD	KL	80688887
1113052	3802	1997-02-13	PRIJEM	PREVOD Z UCTU	4914	13987	DUCHOD	KL	80688887
1113053	3802	1997-03-13	PRIJEM	PREVOD Z UCTU	4914	15666	DUCHOD	KL	80688887
1113054	3802	1997-04-13	PRIJEM	PREVOD Z UCTU	4914	15112	DUCHOD	KL	80688887
1113055	3802	1997-05-13	PRIJEM	PREVOD Z UCTU	4914	16076	DUCHOD	KL	80688887
1113056	3802	1997-06-13	PRIJEM	PREVOD Z UCTU	4914	17763	DUCHOD	KL	80688887
1113057	3802	1997-07-13	PRIJEM	PREVOD Z UCTU	4914	19458	DUCHOD	KL	80688887
1113058	3802	1997-08-13	PRIJEM	PREVOD Z UCTU	4914	21159	DUCHOD	KL	80688887
1113059	3802	1997-09-13	PRIJEM	PREVOD Z UCTU	4914	22868	DUCHOD	KL	80688887
1113060	3802	1997-10-13	PRIJEM	PREVOD Z UCTU	4914	24584	DUCHOD	KL	80688887
1113061	3802	1997-11-13	PRIJEM	PREVOD Z UCTU	4914	25025	DUCHOD	KL	80688887
1113062	3802	1997-12-13	PRIJEM	PREVOD Z UCTU	4914	26750	DUCHOD	KL	80688887
1113063	3802	1998-01-13	PRIJEM	PREVOD Z UCTU	4914	25511	DUCHOD	KL	80688887
1113064	3802	1998-02-13	PRIJEM	PREVOD Z UCTU	4914	21611	DUCHOD	KL	80688887
1113065	3802	1998-03-13	PRIJEM	PREVOD Z UCTU	4914	23322	DUCHOD	KL	80688887
1113066	3802	1998-04-13	PRIJEM	PREVOD Z UCTU	4914	25039	DUCHOD	KL	80688887
1113067	3802	1998-05-13	PRIJEM	PREVOD Z UCTU	4914	21363	DUCHOD	KL	80688887
1113068	3802	1998-06-13	PRIJEM	PREVOD Z UCTU	4914	23077	DUCHOD	KL	80688887
1113069	3802	1998-07-13	PRIJEM	PREVOD Z UCTU	4914	19989	DUCHOD	KL	80688887
1113070	3802	1998-08-13	PRIJEM	PREVOD Z UCTU	4914	18192	DUCHOD	KL	80688887
1113071	3802	1998-09-13	PRIJEM	PREVOD Z UCTU	4914	19490	DUCHOD	KL	80688887
1113072	3802	1998-10-13	PRIJEM	PREVOD Z UCTU	4914	17703	DUCHOD	KL	80688887
1113073	3802	1998-11-13	PRIJEM	PREVOD Z UCTU	4914	19395	DUCHOD	KL	80688887
1113074	3802	1998-12-13	PRIJEM	PREVOD Z UCTU	4914	16645	DUCHOD	KL	80688887
1113084	3802	1996-10-09	VYDAJ	PREVOD NA UCET	3276	20203	SIPO	MN	36424207
1113085	3802	1996-11-09	VYDAJ	PREVOD NA UCET	3276	21627	SIPO	MN	36424207
1113086	3802	1996-12-09	VYDAJ	PREVOD NA UCET	3276	17545	SIPO	MN	36424207
1113087	3802	1997-01-09	VYDAJ	PREVOD NA UCET	3276	12102	SIPO	MN	36424207
1113088	3802	1997-02-09	VYDAJ	PREVOD NA UCET	3276	9073	SIPO	MN	36424207
1113089	3802	1997-03-09	VYDAJ	PREVOD NA UCET	3276	10752	SIPO	MN	36424207
1113090	3802	1997-04-09	VYDAJ	PREVOD NA UCET	3276	10198	SIPO	MN	36424207
1113091	3802	1997-05-09	VYDAJ	PREVOD NA UCET	3276	11162	SIPO	MN	36424207
1113092	3802	1997-06-09	VYDAJ	PREVOD NA UCET	3276	12849	SIPO	MN	36424207
1113093	3802	1997-07-09	VYDAJ	PREVOD NA UCET	3276	14544	SIPO	MN	36424207
1113094	3802	1997-08-09	VYDAJ	PREVOD NA UCET	3276	16245	SIPO	MN	36424207
1113095	3802	1997-09-09	VYDAJ	PREVOD NA UCET	3276	17954	SIPO	MN	36424207
1113096	3802	1997-10-09	VYDAJ	PREVOD NA UCET	3276	19670	SIPO	MN	36424207
1113097	3802	1997-11-09	VYDAJ	PREVOD NA UCET	3276	20111	SIPO	MN	36424207
1113098	3802	1997-12-09	VYDAJ	PREVOD NA UCET	3276	21836	SIPO	MN	36424207
1113099	3802	1998-01-09	VYDAJ	PREVOD NA UCET	3276	21717	SIPO	MN	36424207
1113100	3802	1998-02-09	VYDAJ	PREVOD NA UCET	3276	16697	SIPO	MN	36424207
1113101	3802	1998-03-09	VYDAJ	PREVOD NA UCET	3276	18408	SIPO	MN	36424207
1113102	3802	1998-04-09	VYDAJ	PREVOD NA UCET	3276	20125	SIPO	MN	36424207
1113103	3802	1998-05-09	VYDAJ	PREVOD NA UCET	3276	19489	SIPO	MN	36424207
1113104	3802	1998-06-09	VYDAJ	PREVOD NA UCET	3276	18163	SIPO	MN	36424207
1113105	3802	1998-07-09	VYDAJ	PREVOD NA UCET	3276	15075	SIPO	MN	36424207
1113106	3802	1998-08-09	VYDAJ	PREVOD NA UCET	3276	13278	SIPO	MN	36424207
1113107	3802	1998-09-09	VYDAJ	PREVOD NA UCET	3276	14576	SIPO	MN	36424207
1113108	3802	1998-10-09	VYDAJ	PREVOD NA UCET	3276	12789	SIPO	MN	36424207
1113109	3802	1998-11-09	VYDAJ	PREVOD NA UCET	3276	14481	SIPO	MN	36424207
1113110	3802	1998-12-09	VYDAJ	PREVOD NA UCET	3276	11731	SIPO	MN	36424207
1113113	3802	1998-06-23	VYDAJ	VYBER	4100	18977	\N	\N	\N
1113115	3802	1997-01-03	VYDAJ	VYBER	4350	15378	\N	\N	\N
1113116	3802	1998-01-30	VYDAJ	VYBER	900	19891	\N	\N	\N
1113117	3802	1996-12-16	VYDAJ	VYBER	500	19659	\N	\N	\N
1113118	3802	1997-12-26	VYDAJ	VYBER	650	26100	\N	\N	\N
1113119	3802	1998-12-01	VYDAJ	VYBER	250	17607	\N	\N	\N
1113127	3802	1997-01-24	VYDAJ	VYBER	2320	14696	\N	\N	\N
1113130	3802	1997-01-27	VYDAJ	VYBER	1200	13496	\N	\N	\N
1113131	3802	1997-01-29	VYDAJ	VYBER	1200	12296	\N	\N	\N
1113132	3802	1998-01-27	VYDAJ	VYBER	480	20791	\N	\N	\N
1113133	3802	1998-01-19	VYDAJ	VYBER	1680	23351	\N	\N	\N
1113134	3802	1998-01-13	VYDAJ	VYBER	480	25031	\N	\N	\N
1113135	3802	1998-01-20	VYDAJ	VYBER	2080	21271	\N	\N	\N
1113136	3802	1998-01-08	VYDAJ	VYBER	400	25793	\N	\N	\N
1113137	3802	1998-01-12	VYDAJ	VYBER	1120	20597	\N	\N	\N
1113142	3802	1996-10-03	VYDAJ	VYBER	1280	23479	\N	\N	\N
1113147	3802	1997-10-17	VYDAJ	VYBER	1280	23304	\N	\N	\N
1113148	3802	1997-04-04	VYDAJ	VYBER	2240	13474	\N	\N	\N
1113151	3802	1997-05-02	VYDAJ	VYBER	720	14438	\N	\N	\N
1113152	3802	1998-09-15	VYDAJ	VYBER	3280	16210	\N	\N	\N
1113153	3802	1998-05-12	VYDAJ	VYBER	3040	16449	\N	\N	\N
1113154	3802	1998-11-26	VYDAJ	VYBER	1600	17795	\N	\N	\N
1113155	3802	1998-09-03	VYDAJ	VYBER	400	17852	\N	\N	\N
1113156	3802	1998-04-14	VYDAJ	VYBER	560	24479	\N	\N	\N
1113166	3802	1996-09-30	VYDAJ	VYBER	15	24759	SLUZBY	\N	\N
1113167	3802	1996-10-31	VYDAJ	VYBER	15	24903	SLUZBY	\N	\N
1113168	3802	1996-11-30	VYDAJ	VYBER	15	20821	SLUZBY	\N	\N
1113169	3802	1996-12-31	VYDAJ	VYBER	15	19728	SLUZBY	\N	\N
1113170	3802	1997-01-31	VYDAJ	VYBER	15	12349	SLUZBY	\N	\N
1113171	3802	1997-02-28	VYDAJ	VYBER	15	14028	SLUZBY	\N	\N
1113172	3802	1997-03-31	VYDAJ	VYBER	15	15714	SLUZBY	\N	\N
1113173	3802	1997-04-30	VYDAJ	VYBER	15	15158	SLUZBY	\N	\N
1113174	3802	1997-05-31	VYDAJ	VYBER	15	16125	SLUZBY	\N	\N
1113175	3802	1997-06-30	VYDAJ	VYBER	15	17820	SLUZBY	\N	\N
1113176	3802	1997-07-31	VYDAJ	VYBER	15	19521	SLUZBY	\N	\N
1113177	3802	1997-08-31	VYDAJ	VYBER	15	21230	SLUZBY	\N	\N
1113178	3802	1997-09-30	VYDAJ	VYBER	15	22946	SLUZBY	\N	\N
1113179	3802	1997-10-31	VYDAJ	VYBER	15	23387	SLUZBY	\N	\N
1113180	3802	1997-11-30	VYDAJ	VYBER	15	25112	SLUZBY	\N	\N
1113181	3802	1997-12-31	VYDAJ	VYBER	15	26193	SLUZBY	\N	\N
1113182	3802	1998-01-31	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
1113183	3802	1998-02-28	VYDAJ	VYBER	15	21684	SLUZBY	\N	\N
1113184	3802	1998-03-31	VYDAJ	VYBER	15	23401	SLUZBY	\N	\N
1113185	3802	1998-04-30	VYDAJ	VYBER	15	24565	SLUZBY	\N	\N
1113186	3802	1998-05-31	VYDAJ	VYBER	15	21439	SLUZBY	\N	\N
1113187	3802	1998-06-30	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
1113188	3802	1998-07-31	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
1113189	3802	1998-08-31	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
1113190	3802	1998-09-30	VYDAJ	VYBER	15	16265	SLUZBY	\N	\N
1113191	3802	1998-10-31	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
1113192	3802	1998-11-30	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
1113193	3802	1996-10-15	VYDAJ	VYBER	300	24817	\N	\N	\N
1113194	3802	1996-11-14	VYDAJ	VYBER	5800	20741	\N	\N	\N
1113195	3802	1996-12-14	VYDAJ	VYBER	2300	20159	\N	\N	\N
1113196	3802	1998-01-08	VYDAJ	VYBER	800	24993	\N	\N	\N
1113197	3802	1998-05-08	VYDAJ	VYBER	1800	22765	\N	\N	\N
1113198	3802	1998-07-07	VYDAJ	VYBER	700	18351	\N	\N	\N
1113199	3802	1998-08-06	VYDAJ	VYBER	3500	16554	\N	\N	\N
1113200	3802	1998-10-05	VYDAJ	VYBER	200	16065	\N	\N	\N
1113201	3802	1998-12-04	VYDAJ	VYBER	2600	15007	\N	\N	\N
1113230	3803	1996-01-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1113232	3803	1996-02-13	PRIJEM	VKLAD	7783	8883	\N	\N	\N
1113233	3803	1996-03-13	PRIJEM	VKLAD	7783	22377	\N	\N	\N
1113234	3803	1996-04-13	PRIJEM	VKLAD	7783	29326	\N	\N	\N
1113235	3803	1996-05-13	PRIJEM	VKLAD	7783	35203	\N	\N	\N
1113236	3803	1996-06-13	PRIJEM	VKLAD	11674	40292	\N	\N	\N
1113237	3803	1996-07-13	PRIJEM	VKLAD	7783	22983	\N	\N	\N
1113238	3803	1996-08-13	PRIJEM	VKLAD	7783	15153	\N	\N	\N
1113239	3803	1996-09-13	PRIJEM	VKLAD	7783	20106	\N	\N	\N
1113240	3803	1996-10-13	PRIJEM	VKLAD	7783	24368	\N	\N	\N
1113241	3803	1996-11-13	PRIJEM	VKLAD	7783	21746	\N	\N	\N
1113242	3803	1996-12-13	PRIJEM	VKLAD	11674	32014	\N	\N	\N
1113243	3803	1997-01-13	PRIJEM	VKLAD	7783	29511	\N	\N	\N
1113244	3803	1997-02-13	PRIJEM	VKLAD	7783	29105	\N	\N	\N
1113245	3803	1997-03-13	PRIJEM	VKLAD	7783	27796	\N	\N	\N
1113246	3803	1997-04-13	PRIJEM	VKLAD	7783	25684	\N	\N	\N
1113247	3803	1997-05-13	PRIJEM	VKLAD	7783	24364	\N	\N	\N
1113248	3803	1997-06-13	PRIJEM	VKLAD	11674	30832	\N	\N	\N
1113249	3803	1997-07-13	PRIJEM	VKLAD	7783	34832	\N	\N	\N
1113250	3803	1997-08-13	PRIJEM	VKLAD	7783	35250	\N	\N	\N
1113251	3803	1997-09-13	PRIJEM	VKLAD	7783	33063	\N	\N	\N
1113252	3803	1997-10-13	PRIJEM	VKLAD	7783	33673	\N	\N	\N
1113253	3803	1997-11-13	PRIJEM	VKLAD	7783	32481	\N	\N	\N
1113254	3803	1997-12-13	PRIJEM	VKLAD	11674	31768	\N	\N	\N
1113255	3803	1998-01-13	PRIJEM	VKLAD	7783	31164	\N	\N	\N
1113256	3803	1998-02-13	PRIJEM	VKLAD	7783	29058	\N	\N	\N
1113257	3803	1998-03-13	PRIJEM	VKLAD	7783	31655	\N	\N	\N
1113258	3803	1998-04-13	PRIJEM	VKLAD	7783	28149	\N	\N	\N
1113259	3803	1998-05-13	PRIJEM	VKLAD	7783	26532	\N	\N	\N
1113260	3803	1998-06-13	PRIJEM	VKLAD	11674	20290	\N	\N	\N
1113261	3803	1998-07-13	PRIJEM	VKLAD	7783	18741	\N	\N	\N
1113262	3803	1998-08-13	PRIJEM	VKLAD	7783	21996	\N	\N	\N
1113263	3803	1998-09-13	PRIJEM	VKLAD	7783	25363	\N	\N	\N
1113264	3803	1998-10-13	PRIJEM	VKLAD	7783	23038	\N	\N	\N
1113265	3803	1998-11-13	PRIJEM	VKLAD	7783	20817	\N	\N	\N
1113266	3803	1998-12-13	PRIJEM	VKLAD	11674	24475	\N	\N	\N
1113273	3803	1996-07-12	VYDAJ	PREVOD NA UCET	5188	15200	SIPO	IJ	73056244
1113274	3803	1996-08-12	VYDAJ	PREVOD NA UCET	5188	7370	SIPO	IJ	73056244
1113275	3803	1996-09-12	VYDAJ	PREVOD NA UCET	5188	12323	SIPO	IJ	73056244
1113276	3803	1996-10-12	VYDAJ	PREVOD NA UCET	5188	16585	SIPO	IJ	73056244
1113277	3803	1996-11-12	VYDAJ	PREVOD NA UCET	5188	13963	SIPO	IJ	73056244
1113278	3803	1996-12-12	VYDAJ	PREVOD NA UCET	5188	20340	SIPO	IJ	73056244
1113279	3803	1997-01-12	VYDAJ	PREVOD NA UCET	5188	21728	SIPO	IJ	73056244
1113375	3803	1997-09-17	VYDAJ	VYBER	2100	30963	\N	\N	\N
1113280	3803	1997-02-12	VYDAJ	PREVOD NA UCET	5188	21322	SIPO	IJ	73056244
1113281	3803	1997-03-12	VYDAJ	PREVOD NA UCET	5188	20013	SIPO	IJ	73056244
1113282	3803	1997-04-12	VYDAJ	PREVOD NA UCET	5188	17901	SIPO	IJ	73056244
1113283	3803	1997-05-12	VYDAJ	PREVOD NA UCET	5188	16581	SIPO	IJ	73056244
1113284	3803	1997-06-12	VYDAJ	PREVOD NA UCET	5188	19158	SIPO	IJ	73056244
1113285	3803	1997-07-12	VYDAJ	PREVOD NA UCET	5188	27049	SIPO	IJ	73056244
1113286	3803	1997-08-12	VYDAJ	PREVOD NA UCET	5188	27467	SIPO	IJ	73056244
1113287	3803	1997-09-12	VYDAJ	PREVOD NA UCET	5188	25280	SIPO	IJ	73056244
1113288	3803	1997-10-12	VYDAJ	PREVOD NA UCET	5188	25890	SIPO	IJ	73056244
1113289	3803	1997-11-12	VYDAJ	PREVOD NA UCET	5188	24698	SIPO	IJ	73056244
1113290	3803	1997-12-12	VYDAJ	PREVOD NA UCET	5188	20094	SIPO	IJ	73056244
1113291	3803	1998-01-12	VYDAJ	PREVOD NA UCET	5188	23381	SIPO	IJ	73056244
1113292	3803	1998-02-12	VYDAJ	PREVOD NA UCET	5188	21275	SIPO	IJ	73056244
1113293	3803	1998-03-12	VYDAJ	PREVOD NA UCET	5188	23872	SIPO	IJ	73056244
1113294	3803	1998-04-12	VYDAJ	PREVOD NA UCET	5188	20366	SIPO	IJ	73056244
1113295	3803	1998-05-12	VYDAJ	PREVOD NA UCET	5188	18749	SIPO	IJ	73056244
1113296	3803	1998-06-12	VYDAJ	PREVOD NA UCET	5188	8616	SIPO	IJ	73056244
1113297	3803	1998-07-12	VYDAJ	PREVOD NA UCET	5188	10958	SIPO	IJ	73056244
1113298	3803	1998-08-12	VYDAJ	PREVOD NA UCET	5188	14213	SIPO	IJ	73056244
1113299	3803	1998-09-12	VYDAJ	PREVOD NA UCET	5188	17580	SIPO	IJ	73056244
1113300	3803	1998-10-12	VYDAJ	PREVOD NA UCET	5188	20255	SIPO	IJ	73056244
1113301	3803	1998-11-12	VYDAJ	PREVOD NA UCET	5188	13034	SIPO	IJ	73056244
1113302	3803	1998-12-12	VYDAJ	PREVOD NA UCET	5188	12801	SIPO	IJ	73056244
1113303	3803	1996-06-24	VYDAJ	VYBER	23400	20292	\N	\N	\N
1113306	3803	1996-12-28	VYDAJ	VYBER	1900	26814	\N	\N	\N
1113307	3803	1997-12-20	VYDAJ	VYBER	500	28468	\N	\N	\N
1113308	3803	1998-12-05	VYDAJ	VYBER	1400	18789	\N	\N	\N
1113309	3803	1996-11-10	VYDAJ	VYBER	2200	21151	\N	\N	\N
1113310	3803	1996-08-01	VYDAJ	VYBER	4400	16558	\N	\N	\N
1113311	3803	1996-10-27	VYDAJ	VYBER	2100	23268	\N	\N	\N
1113312	3803	1996-11-11	VYDAJ	VYBER	2000	19151	\N	\N	\N
1113313	3803	1996-08-11	VYDAJ	VYBER	4000	12558	\N	\N	\N
1113314	3803	1997-04-05	VYDAJ	VYBER	2100	23089	\N	\N	\N
1113315	3803	1998-11-26	VYDAJ	VYBER	700	20117	\N	\N	\N
1113316	3803	1998-05-31	VYDAJ	VYBER	2200	13804	\N	\N	\N
1113317	3803	1998-05-27	VYDAJ	VYBER	3100	15932	\N	\N	\N
1113318	3803	1998-06-29	VYDAJ	VYBER	3300	16090	\N	\N	\N
1113319	3803	1998-11-04	VYDAJ	VYBER	2400	20722	\N	\N	\N
1113326	3803	1996-06-30	VYDAJ	VYBER	15	20388	SLUZBY	\N	\N
1113327	3803	1996-07-31	VYDAJ	VYBER	15	20958	SLUZBY	\N	\N
1113328	3803	1996-08-31	VYDAJ	VYBER	15	17511	SLUZBY	\N	\N
1113329	3803	1996-09-30	VYDAJ	VYBER	15	21773	SLUZBY	\N	\N
1113330	3803	1996-10-31	VYDAJ	VYBER	15	23351	SLUZBY	\N	\N
1113331	3803	1996-11-30	VYDAJ	VYBER	15	25528	SLUZBY	\N	\N
1113332	3803	1996-12-31	VYDAJ	VYBER	15	26916	SLUZBY	\N	\N
1113333	3803	1997-01-31	VYDAJ	VYBER	15	26510	SLUZBY	\N	\N
1113334	3803	1997-02-28	VYDAJ	VYBER	15	25201	SLUZBY	\N	\N
1113335	3803	1997-03-31	VYDAJ	VYBER	15	25189	SLUZBY	\N	\N
1113336	3803	1997-04-30	VYDAJ	VYBER	15	21769	SLUZBY	\N	\N
1113337	3803	1997-05-31	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
1113338	3803	1997-06-30	VYDAJ	VYBER	15	32237	SLUZBY	\N	\N
1113339	3803	1997-07-31	VYDAJ	VYBER	15	32655	SLUZBY	\N	\N
1113340	3803	1997-08-31	VYDAJ	VYBER	15	30468	SLUZBY	\N	\N
1113341	3803	1997-09-30	VYDAJ	VYBER	15	31078	SLUZBY	\N	\N
1113342	3803	1997-10-31	VYDAJ	VYBER	15	29886	SLUZBY	\N	\N
1113343	3803	1997-11-30	VYDAJ	VYBER	15	25282	SLUZBY	\N	\N
1113344	3803	1997-12-31	VYDAJ	VYBER	15	28569	SLUZBY	\N	\N
1113345	3803	1998-01-31	VYDAJ	VYBER	15	26463	SLUZBY	\N	\N
1113346	3803	1998-02-28	VYDAJ	VYBER	15	29060	SLUZBY	\N	\N
1113347	3803	1998-03-31	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
1113348	3803	1998-04-30	VYDAJ	VYBER	15	23937	SLUZBY	\N	\N
1113349	3803	1998-05-31	VYDAJ	VYBER	15	16004	SLUZBY	\N	\N
1113350	3803	1998-06-30	VYDAJ	VYBER	15	16146	SLUZBY	\N	\N
1113351	3803	1998-07-31	VYDAJ	VYBER	15	19401	SLUZBY	\N	\N
1113352	3803	1998-08-31	VYDAJ	VYBER	15	19168	SLUZBY	\N	\N
1113353	3803	1998-09-30	VYDAJ	VYBER	15	25443	SLUZBY	\N	\N
1113354	3803	1998-10-31	VYDAJ	VYBER	15	23122	SLUZBY	\N	\N
1113355	3803	1998-11-30	VYDAJ	VYBER	15	20189	SLUZBY	\N	\N
1113356	3803	1996-02-25	PRIJEM	VKLAD	5700	14583	\N	\N	\N
1113357	3803	1996-03-26	VYDAJ	VYBER	900	21477	\N	\N	\N
1113358	3803	1996-04-25	VYDAJ	VYBER	2000	27326	\N	\N	\N
1113359	3803	1996-05-25	VYDAJ	VYBER	6700	28503	\N	\N	\N
1113360	3803	1996-06-24	PRIJEM	VKLAD	3400	43692	\N	\N	\N
1113361	3803	1996-07-24	VYDAJ	VYBER	2100	20883	\N	\N	\N
1113362	3803	1996-08-23	PRIJEM	VKLAD	2300	17453	\N	\N	\N
1113363	3803	1996-09-22	PRIJEM	VKLAD	1600	21706	\N	\N	\N
1113364	3803	1996-10-22	PRIJEM	VKLAD	1000	25368	\N	\N	\N
1113365	3803	1996-11-21	PRIJEM	VKLAD	3700	25446	\N	\N	\N
1113366	3803	1996-12-21	VYDAJ	VYBER	3300	28714	\N	\N	\N
1113367	3803	1997-01-20	VYDAJ	VYBER	3100	26411	\N	\N	\N
1113368	3803	1997-02-19	VYDAJ	VYBER	4000	25105	\N	\N	\N
1113369	3803	1997-03-21	VYDAJ	VYBER	2700	25096	\N	\N	\N
1113370	3803	1997-04-20	VYDAJ	VYBER	4000	21684	\N	\N	\N
1113371	3803	1997-05-20	VYDAJ	VYBER	100	24264	\N	\N	\N
1113372	3803	1997-06-19	PRIJEM	VKLAD	1300	32132	\N	\N	\N
1113373	3803	1997-07-19	VYDAJ	VYBER	2300	32532	\N	\N	\N
1113374	3803	1997-08-18	VYDAJ	VYBER	4900	30350	\N	\N	\N
1113376	3803	1997-10-17	VYDAJ	VYBER	3900	29773	\N	\N	\N
1113377	3803	1997-11-16	VYDAJ	VYBER	7300	25181	\N	\N	\N
1113378	3803	1997-12-16	VYDAJ	VYBER	2800	28968	\N	\N	\N
1113379	3803	1998-01-15	VYDAJ	VYBER	4800	26364	\N	\N	\N
1113380	3803	1998-02-14	VYDAJ	VYBER	100	28958	\N	\N	\N
1113381	3803	1998-03-16	VYDAJ	VYBER	6200	25455	\N	\N	\N
1113382	3803	1998-04-15	VYDAJ	VYBER	4300	23849	\N	\N	\N
1113383	3803	1998-05-15	VYDAJ	VYBER	7500	19032	\N	\N	\N
1113384	3803	1998-06-14	VYDAJ	VYBER	900	19390	\N	\N	\N
1113385	3803	1998-07-14	PRIJEM	VKLAD	600	19341	\N	\N	\N
1113386	3803	1998-08-13	VYDAJ	VYBER	2900	19096	\N	\N	\N
1113387	3803	1998-09-12	PRIJEM	VKLAD	3600	22768	\N	\N	\N
1113388	3803	1998-10-12	VYDAJ	VYBER	5000	15255	\N	\N	\N
1113389	3803	1998-11-11	VYDAJ	VYBER	2500	18222	\N	\N	\N
1113390	3803	1998-12-11	VYDAJ	VYBER	800	17989	\N	\N	\N
1113426	3804	1994-04-07	PRIJEM	VKLAD	300	31924	\N	\N	\N
1113430	3804	1994-04-07	PRIJEM	PREVOD Z UCTU	31624	31624	\N	IJ	4088378
1113431	3804	1994-05-07	PRIJEM	PREVOD Z UCTU	31624	63654	\N	IJ	4088378
1113432	3804	1994-06-07	PRIJEM	PREVOD Z UCTU	47436	79963	\N	IJ	4088378
1113433	3804	1994-07-07	PRIJEM	PREVOD Z UCTU	31624	85990	\N	IJ	4088378
1113434	3804	1994-08-07	PRIJEM	PREVOD Z UCTU	31624	86167	\N	IJ	4088378
1113435	3804	1994-09-07	PRIJEM	PREVOD Z UCTU	31624	77203	\N	IJ	4088378
1113436	3804	1994-10-07	PRIJEM	PREVOD Z UCTU	31624	81120	\N	IJ	4088378
1113437	3804	1994-11-07	PRIJEM	PREVOD Z UCTU	31624	50509	\N	IJ	4088378
1113438	3804	1994-12-07	PRIJEM	PREVOD Z UCTU	47436	69933	\N	IJ	4088378
1113439	3804	1995-01-07	PRIJEM	PREVOD Z UCTU	31624	56857	\N	IJ	4088378
1113440	3804	1995-02-07	PRIJEM	PREVOD Z UCTU	31624	54717	\N	IJ	4088378
1113441	3804	1995-03-07	PRIJEM	PREVOD Z UCTU	31624	58778	\N	IJ	4088378
1113442	3804	1995-04-07	PRIJEM	PREVOD Z UCTU	31624	61590	\N	IJ	4088378
1113443	3804	1995-05-07	PRIJEM	PREVOD Z UCTU	31624	69028	\N	IJ	4088378
1113444	3804	1995-06-07	PRIJEM	PREVOD Z UCTU	47436	77493	\N	IJ	4088378
1113445	3804	1995-07-07	PRIJEM	PREVOD Z UCTU	31624	78469	\N	IJ	4088378
1113446	3804	1995-08-07	PRIJEM	PREVOD Z UCTU	31624	69667	\N	IJ	4088378
1113447	3804	1995-09-07	PRIJEM	PREVOD Z UCTU	31624	67025	\N	IJ	4088378
1113448	3804	1995-10-07	PRIJEM	PREVOD Z UCTU	31624	65968	\N	IJ	4088378
1113449	3804	1995-11-07	PRIJEM	PREVOD Z UCTU	31624	67194	\N	IJ	4088378
1113450	3804	1995-12-07	PRIJEM	PREVOD Z UCTU	47436	60534	\N	IJ	4088378
1113451	3804	1996-01-07	PRIJEM	PREVOD Z UCTU	31624	59492	\N	IJ	4088378
1113452	3804	1996-02-07	PRIJEM	PREVOD Z UCTU	31624	49709	\N	IJ	4088378
1113453	3804	1996-03-07	PRIJEM	PREVOD Z UCTU	31624	51453	\N	IJ	4088378
1113454	3804	1996-04-07	PRIJEM	PREVOD Z UCTU	31624	60033	\N	IJ	4088378
1113455	3804	1996-05-07	PRIJEM	PREVOD Z UCTU	31624	57123	\N	IJ	4088378
1113456	3804	1996-06-07	PRIJEM	PREVOD Z UCTU	47436	81938	\N	IJ	4088378
1113457	3804	1996-07-07	PRIJEM	PREVOD Z UCTU	31624	63117	\N	IJ	4088378
1113458	3804	1996-08-07	PRIJEM	PREVOD Z UCTU	31624	68940	\N	IJ	4088378
1113459	3804	1996-09-07	PRIJEM	PREVOD Z UCTU	31624	59782	\N	IJ	4088378
1113460	3804	1996-10-07	PRIJEM	PREVOD Z UCTU	31624	68009	\N	IJ	4088378
1113461	3804	1996-11-07	PRIJEM	PREVOD Z UCTU	31624	52557	\N	IJ	4088378
1113462	3804	1996-12-07	PRIJEM	PREVOD Z UCTU	47436	67729	\N	IJ	4088378
1113463	3804	1997-01-07	PRIJEM	PREVOD Z UCTU	31624	68558	\N	IJ	4088378
1113464	3804	1997-02-07	PRIJEM	PREVOD Z UCTU	31624	50615	\N	IJ	4088378
1113465	3804	1997-03-07	PRIJEM	PREVOD Z UCTU	31624	61664	\N	IJ	4088378
1113466	3804	1997-04-07	PRIJEM	PREVOD Z UCTU	31624	54289	\N	IJ	4088378
1113467	3804	1997-05-07	PRIJEM	PREVOD Z UCTU	31624	66750	\N	IJ	4088378
1113468	3804	1997-06-07	PRIJEM	PREVOD Z UCTU	47436	78018	\N	IJ	4088378
1113469	3804	1997-07-07	PRIJEM	PREVOD Z UCTU	31624	55819	\N	IJ	4088378
1113470	3804	1997-08-07	PRIJEM	PREVOD Z UCTU	31624	46567	\N	IJ	4088378
1113471	3804	1997-09-07	PRIJEM	PREVOD Z UCTU	31624	60311	\N	IJ	4088378
1113472	3804	1997-10-07	PRIJEM	PREVOD Z UCTU	31624	53602	\N	IJ	4088378
1113473	3804	1997-11-07	PRIJEM	PREVOD Z UCTU	31624	61142	\N	IJ	4088378
1113474	3804	1997-12-07	PRIJEM	PREVOD Z UCTU	47436	77922	\N	IJ	4088378
1113475	3804	1998-01-07	PRIJEM	PREVOD Z UCTU	31624	63317	\N	IJ	4088378
1113476	3804	1998-02-07	PRIJEM	PREVOD Z UCTU	31624	47188	\N	IJ	4088378
1113477	3804	1998-03-07	PRIJEM	PREVOD Z UCTU	31624	63717	\N	IJ	4088378
1113478	3804	1998-04-07	PRIJEM	PREVOD Z UCTU	31624	62103	\N	IJ	4088378
1113479	3804	1998-05-07	PRIJEM	PREVOD Z UCTU	31624	54461	\N	IJ	4088378
1113480	3804	1998-06-07	PRIJEM	PREVOD Z UCTU	47436	80426	\N	IJ	4088378
1113481	3804	1998-07-07	PRIJEM	PREVOD Z UCTU	31624	52115	\N	IJ	4088378
1113482	3804	1998-08-07	PRIJEM	PREVOD Z UCTU	31624	55670	\N	IJ	4088378
1113483	3804	1998-09-07	PRIJEM	PREVOD Z UCTU	31624	58338	\N	IJ	4088378
1113484	3804	1998-10-07	PRIJEM	PREVOD Z UCTU	31624	63317	\N	IJ	4088378
1113485	3804	1998-11-07	PRIJEM	PREVOD Z UCTU	31624	70430	\N	IJ	4088378
1113486	3804	1998-12-07	PRIJEM	PREVOD Z UCTU	47436	81517	\N	IJ	4088378
1113494	3804	1994-08-12	VYDAJ	VYBER	5400	75666	\N	\N	0
1113495	3804	1994-08-30	VYDAJ	VYBER	5500	70166	\N	\N	0
1113496	3804	1994-10-21	VYDAJ	VYBER	5600	54357	\N	\N	0
1113497	3804	1994-11-26	VYDAJ	VYBER	5700	20759	\N	\N	0
1113498	3804	1994-12-11	VYDAJ	VYBER	5900	58932	\N	\N	0
1113499	3804	1995-01-22	VYDAJ	VYBER	7500	28356	\N	\N	0
1113500	3804	1995-02-18	VYDAJ	VYBER	4100	36216	\N	\N	0
1113501	3804	1995-02-28	VYDAJ	VYBER	5900	30454	\N	\N	0
1113502	3804	1995-03-29	VYDAJ	VYBER	7800	45877	\N	\N	0
1113503	3804	1995-05-07	VYDAJ	VYBER	7100	61928	\N	\N	0
1113504	3804	1995-06-13	VYDAJ	VYBER	3400	68992	\N	\N	0
1113505	3804	1995-07-14	VYDAJ	VYBER	4800	68568	\N	\N	0
1113506	3804	1995-08-03	VYDAJ	VYBER	7500	38043	\N	\N	0
1113507	3804	1995-09-06	VYDAJ	VYBER	4800	35401	\N	\N	0
1113508	3804	1995-09-30	VYDAJ	VYBER	5200	34344	\N	\N	0
1113509	3804	1995-11-06	VYDAJ	VYBER	4200	35570	\N	\N	0
1113510	3804	1995-12-04	VYDAJ	VYBER	4400	13098	\N	\N	0
1113511	3804	1996-01-15	VYDAJ	VYBER	7700	18491	\N	\N	0
1113512	3804	1996-02-12	VYDAJ	PREVOD NA UCET	5271	39338	UVER	KL	84903490
1113513	3804	1996-03-12	VYDAJ	PREVOD NA UCET	5271	41081	UVER	KL	84903490
1113514	3804	1996-04-12	VYDAJ	PREVOD NA UCET	5271	49662	UVER	KL	84903490
1113515	3804	1996-05-12	VYDAJ	PREVOD NA UCET	5271	46751	UVER	KL	84903490
1113516	3804	1996-06-12	VYDAJ	PREVOD NA UCET	5271	71566	UVER	KL	84903490
1113517	3804	1996-07-12	VYDAJ	PREVOD NA UCET	5271	52745	UVER	KL	84903490
1113518	3804	1996-08-12	VYDAJ	PREVOD NA UCET	5271	58568	UVER	KL	84903490
1113519	3804	1996-09-12	VYDAJ	PREVOD NA UCET	5271	49410	UVER	KL	84903490
1113520	3804	1996-10-12	VYDAJ	PREVOD NA UCET	5271	57637	UVER	KL	84903490
1113521	3804	1996-11-12	VYDAJ	PREVOD NA UCET	5271	42186	UVER	KL	84903490
1113522	3804	1996-12-12	VYDAJ	PREVOD NA UCET	5271	51772	UVER	KL	84903490
1113523	3804	1997-01-12	VYDAJ	PREVOD NA UCET	5271	33286	UVER	KL	84903490
1113524	3804	1997-02-23	VYDAJ	VYBER	5900	29914	\N	\N	0
1113525	3804	1997-03-14	VYDAJ	VYBER	7700	24863	\N	\N	0
1113526	3804	1997-04-12	VYDAJ	VYBER	3700	45488	\N	\N	0
1113527	3804	1997-05-15	VYDAJ	VYBER	5100	42732	\N	\N	0
1113528	3804	1997-06-20	VYDAJ	VYBER	5600	47717	\N	\N	0
1113529	3804	1997-07-19	VYDAJ	VYBER	5800	23548	\N	\N	0
1113530	3804	1997-08-01	VYDAJ	VYBER	5700	14943	\N	\N	0
1113531	3804	1997-09-11	VYDAJ	VYBER	4400	50810	\N	\N	0
1113532	3804	1997-10-09	VYDAJ	VYBER	5400	47559	\N	\N	0
1113533	3804	1997-11-22	VYDAJ	VYBER	5600	30341	\N	\N	0
1113534	3804	1997-12-18	VYDAJ	VYBER	3600	40821	\N	\N	0
1113535	3804	1998-01-17	VYDAJ	VYBER	7500	15455	\N	\N	0
1113536	3804	1998-02-09	VYDAJ	VYBER	4200	42988	\N	\N	0
1113537	3804	1998-03-23	VYDAJ	VYBER	4400	37416	\N	\N	0
1113538	3804	1998-04-05	VYDAJ	VYBER	7100	30479	\N	\N	0
1113539	3804	1998-05-19	VYDAJ	VYBER	5100	32860	\N	\N	0
1113540	3804	1998-06-08	VYDAJ	VYBER	3200	77226	\N	\N	0
1113541	3804	1998-07-03	VYDAJ	VYBER	7200	20491	\N	\N	0
1113542	3804	1998-08-07	VYDAJ	VYBER	3300	52370	\N	\N	0
1113543	3804	1998-09-17	VYDAJ	VYBER	4600	38837	\N	\N	0
1113544	3804	1998-09-24	VYDAJ	VYBER	7300	31537	\N	\N	0
1113545	3804	1998-11-03	VYDAJ	VYBER	5000	38806	\N	\N	0
1113546	3804	1998-12-16	VYDAJ	VYBER	5500	39716	\N	\N	0
1113554	3804	1994-08-09	VYDAJ	PREVOD NA UCET	643	85524	SIPO	WX	32746297
1113555	3804	1994-09-09	VYDAJ	PREVOD NA UCET	643	76560	SIPO	WX	32746297
1113556	3804	1994-10-09	VYDAJ	PREVOD NA UCET	643	80477	SIPO	WX	32746297
1113557	3804	1994-11-09	VYDAJ	PREVOD NA UCET	643	49866	SIPO	WX	32746297
1113558	3804	1994-12-09	VYDAJ	PREVOD NA UCET	643	69290	SIPO	WX	32746297
1113559	3804	1995-01-09	VYDAJ	PREVOD NA UCET	643	56214	SIPO	WX	32746297
1113560	3804	1995-02-09	VYDAJ	PREVOD NA UCET	643	54074	SIPO	WX	32746297
1113561	3804	1995-03-09	VYDAJ	PREVOD NA UCET	643	58135	SIPO	WX	32746297
1113562	3804	1995-04-09	VYDAJ	PREVOD NA UCET	643	60947	SIPO	WX	32746297
1113563	3804	1995-05-09	VYDAJ	PREVOD NA UCET	643	61285	SIPO	WX	32746297
1113564	3804	1995-06-09	VYDAJ	PREVOD NA UCET	643	76850	SIPO	WX	32746297
1113565	3804	1995-07-09	VYDAJ	PREVOD NA UCET	643	77826	SIPO	WX	32746297
1113566	3804	1995-08-09	VYDAJ	PREVOD NA UCET	643	69024	SIPO	WX	32746297
1113567	3804	1995-09-09	VYDAJ	PREVOD NA UCET	643	66382	SIPO	WX	32746297
1113568	3804	1995-10-09	VYDAJ	PREVOD NA UCET	643	65325	SIPO	WX	32746297
1113569	3804	1995-11-09	VYDAJ	PREVOD NA UCET	643	66551	SIPO	WX	32746297
1113570	3804	1995-12-09	VYDAJ	PREVOD NA UCET	643	52991	SIPO	WX	32746297
1113571	3804	1996-01-09	VYDAJ	PREVOD NA UCET	643	45049	SIPO	WX	32746297
1113572	3804	1996-02-09	VYDAJ	PREVOD NA UCET	643	49066	SIPO	WX	32746297
1113573	3804	1996-03-09	VYDAJ	PREVOD NA UCET	643	50810	SIPO	WX	32746297
1113574	3804	1996-04-09	VYDAJ	PREVOD NA UCET	643	59390	SIPO	WX	32746297
1113575	3804	1996-05-09	VYDAJ	PREVOD NA UCET	643	56480	SIPO	WX	32746297
1113576	3804	1996-06-09	VYDAJ	PREVOD NA UCET	643	81295	SIPO	WX	32746297
1113577	3804	1996-07-09	VYDAJ	PREVOD NA UCET	643	62474	SIPO	WX	32746297
1113578	3804	1996-08-09	VYDAJ	PREVOD NA UCET	643	68297	SIPO	WX	32746297
1113579	3804	1996-09-09	VYDAJ	PREVOD NA UCET	643	59139	SIPO	WX	32746297
1113580	3804	1996-10-09	VYDAJ	PREVOD NA UCET	643	67366	SIPO	WX	32746297
1113581	3804	1996-11-09	VYDAJ	PREVOD NA UCET	643	51914	SIPO	WX	32746297
1113582	3804	1996-12-09	VYDAJ	PREVOD NA UCET	643	64800	SIPO	WX	32746297
1113583	3804	1997-01-09	VYDAJ	PREVOD NA UCET	643	50815	SIPO	WX	32746297
1113584	3804	1997-02-09	VYDAJ	PREVOD NA UCET	643	49972	SIPO	WX	32746297
1113585	3804	1997-03-09	VYDAJ	PREVOD NA UCET	643	61021	SIPO	WX	32746297
1113586	3804	1997-04-09	VYDAJ	PREVOD NA UCET	643	53646	SIPO	WX	32746297
1113587	3804	1997-05-09	VYDAJ	PREVOD NA UCET	643	66107	SIPO	WX	32746297
1113588	3804	1997-06-09	VYDAJ	PREVOD NA UCET	643	77375	SIPO	WX	32746297
1113589	3804	1997-07-09	VYDAJ	PREVOD NA UCET	643	55176	SIPO	WX	32746297
1113590	3804	1997-08-09	VYDAJ	PREVOD NA UCET	643	45924	SIPO	WX	32746297
1113591	3804	1997-09-09	VYDAJ	PREVOD NA UCET	643	59668	SIPO	WX	32746297
1113592	3804	1997-10-09	VYDAJ	PREVOD NA UCET	643	52959	SIPO	WX	32746297
1113593	3804	1997-11-09	VYDAJ	PREVOD NA UCET	643	60499	SIPO	WX	32746297
1113594	3804	1997-12-09	VYDAJ	PREVOD NA UCET	643	77279	SIPO	WX	32746297
1113595	3804	1998-01-09	VYDAJ	PREVOD NA UCET	643	62674	SIPO	WX	32746297
1113596	3804	1998-02-09	VYDAJ	PREVOD NA UCET	643	42345	SIPO	WX	32746297
1113597	3804	1998-03-09	VYDAJ	PREVOD NA UCET	643	63074	SIPO	WX	32746297
1113598	3804	1998-04-09	VYDAJ	PREVOD NA UCET	643	61460	SIPO	WX	32746297
1113599	3804	1998-05-09	VYDAJ	PREVOD NA UCET	643	53818	SIPO	WX	32746297
1113600	3804	1998-06-09	VYDAJ	PREVOD NA UCET	643	76583	SIPO	WX	32746297
1113601	3804	1998-07-09	VYDAJ	PREVOD NA UCET	643	51472	SIPO	WX	32746297
1113602	3804	1998-08-09	VYDAJ	PREVOD NA UCET	643	51727	SIPO	WX	32746297
1113603	3804	1998-09-09	VYDAJ	PREVOD NA UCET	643	57695	SIPO	WX	32746297
1113604	3804	1998-10-09	VYDAJ	PREVOD NA UCET	643	62674	SIPO	WX	32746297
1113605	3804	1998-11-09	VYDAJ	PREVOD NA UCET	643	69787	SIPO	WX	32746297
1113606	3804	1998-12-09	VYDAJ	PREVOD NA UCET	643	80874	SIPO	WX	32746297
1113614	3804	1994-08-10	VYDAJ	PREVOD NA UCET	4458	81066	 	CD	46665102
1113615	3804	1994-09-10	VYDAJ	PREVOD NA UCET	4458	72102	 	CD	46665102
1113616	3804	1994-10-10	VYDAJ	PREVOD NA UCET	4458	59957	 	CD	46665102
1113617	3804	1994-11-10	VYDAJ	PREVOD NA UCET	4458	45408	 	CD	46665102
1113618	3804	1994-12-10	VYDAJ	PREVOD NA UCET	4458	64832	 	CD	46665102
1113619	3804	1995-01-10	VYDAJ	PREVOD NA UCET	4458	51756	 	CD	46665102
1113620	3804	1995-02-10	VYDAJ	PREVOD NA UCET	4458	49616	 	CD	46665102
1113621	3804	1995-03-10	VYDAJ	PREVOD NA UCET	4458	53677	 	CD	46665102
1113622	3804	1995-04-10	VYDAJ	PREVOD NA UCET	4458	56489	 	CD	46665102
1113623	3804	1995-05-10	VYDAJ	PREVOD NA UCET	4458	56827	 	CD	46665102
1113624	3804	1995-06-10	VYDAJ	PREVOD NA UCET	4458	72392	 	CD	46665102
1113625	3804	1995-07-10	VYDAJ	PREVOD NA UCET	4458	73368	 	CD	46665102
1113626	3804	1995-08-10	VYDAJ	PREVOD NA UCET	4458	64566	 	CD	46665102
1113627	3804	1995-09-10	VYDAJ	PREVOD NA UCET	4458	61924	 	CD	46665102
1113628	3804	1995-10-10	VYDAJ	PREVOD NA UCET	4458	60867	 	CD	46665102
1113629	3804	1995-11-10	VYDAJ	PREVOD NA UCET	4458	62093	 	CD	46665102
1113630	3804	1995-12-10	VYDAJ	PREVOD NA UCET	4458	48533	 	CD	46665102
1113631	3804	1996-01-10	VYDAJ	PREVOD NA UCET	4458	40591	 	CD	46665102
1113632	3804	1996-02-10	VYDAJ	PREVOD NA UCET	4458	44608	 	CD	46665102
1113633	3804	1996-03-10	VYDAJ	PREVOD NA UCET	4458	46352	 	CD	46665102
1113634	3804	1996-04-10	VYDAJ	PREVOD NA UCET	4458	54932	 	CD	46665102
1113635	3804	1996-05-10	VYDAJ	PREVOD NA UCET	4458	52022	 	CD	46665102
1113636	3804	1996-06-10	VYDAJ	PREVOD NA UCET	4458	76837	 	CD	46665102
1113637	3804	1996-07-10	VYDAJ	PREVOD NA UCET	4458	58016	 	CD	46665102
1113638	3804	1996-08-10	VYDAJ	PREVOD NA UCET	4458	63839	 	CD	46665102
1113639	3804	1996-09-10	VYDAJ	PREVOD NA UCET	4458	54681	 	CD	46665102
1113640	3804	1996-10-10	VYDAJ	PREVOD NA UCET	4458	62908	 	CD	46665102
1113641	3804	1996-11-10	VYDAJ	PREVOD NA UCET	4458	47456	 	CD	46665102
1113642	3804	1996-12-10	VYDAJ	PREVOD NA UCET	4458	60342	 	CD	46665102
1113643	3804	1997-01-10	VYDAJ	PREVOD NA UCET	4458	46357	 	CD	46665102
1113644	3804	1997-02-10	VYDAJ	PREVOD NA UCET	4458	45514	 	CD	46665102
1113645	3804	1997-03-10	VYDAJ	PREVOD NA UCET	4458	32563	 	CD	46665102
1113646	3804	1997-04-10	VYDAJ	PREVOD NA UCET	4458	49188	 	CD	46665102
1113647	3804	1997-05-10	VYDAJ	PREVOD NA UCET	4458	61649	 	CD	46665102
1113648	3804	1997-06-10	VYDAJ	PREVOD NA UCET	4458	72917	 	CD	46665102
1113649	3804	1997-07-10	VYDAJ	PREVOD NA UCET	4458	50718	 	CD	46665102
1113650	3804	1997-08-10	VYDAJ	PREVOD NA UCET	4458	41466	 	CD	46665102
1113651	3804	1997-09-10	VYDAJ	PREVOD NA UCET	4458	55210	 	CD	46665102
1113652	3804	1997-10-10	VYDAJ	PREVOD NA UCET	4458	43101	 	CD	46665102
1113653	3804	1997-11-10	VYDAJ	PREVOD NA UCET	4458	56041	 	CD	46665102
1113654	3804	1997-12-10	VYDAJ	PREVOD NA UCET	4458	72821	 	CD	46665102
1113655	3804	1998-01-10	VYDAJ	PREVOD NA UCET	4458	58216	 	CD	46665102
1113656	3804	1998-02-10	VYDAJ	PREVOD NA UCET	4458	37887	 	CD	46665102
1113657	3804	1998-03-10	VYDAJ	PREVOD NA UCET	4458	58616	 	CD	46665102
1113658	3804	1998-04-10	VYDAJ	PREVOD NA UCET	4458	57002	 	CD	46665102
1113659	3804	1998-05-10	VYDAJ	PREVOD NA UCET	4458	49360	 	CD	46665102
1113660	3804	1998-06-10	VYDAJ	PREVOD NA UCET	4458	72125	 	CD	46665102
1113661	3804	1998-07-10	VYDAJ	PREVOD NA UCET	4458	47014	 	CD	46665102
1113662	3804	1998-08-10	VYDAJ	PREVOD NA UCET	4458	47269	 	CD	46665102
1113663	3804	1998-09-10	VYDAJ	PREVOD NA UCET	4458	53237	 	CD	46665102
1113664	3804	1998-10-10	VYDAJ	PREVOD NA UCET	4458	58216	 	CD	46665102
1113665	3804	1998-11-10	VYDAJ	PREVOD NA UCET	4458	65329	 	CD	46665102
1113666	3804	1998-12-10	VYDAJ	PREVOD NA UCET	4458	76416	 	CD	46665102
1113669	3804	1994-12-18	VYBER	VYBER	6894	52038	\N	\N	\N
1113671	3804	1994-10-10	VYBER	VYBER	16062	64415	\N	\N	\N
1113673	3804	1994-11-21	VYBER	VYBER	18949	26459	\N	\N	\N
1113674	3804	1994-12-28	VYBER	VYBER	9585	36153	\N	\N	\N
1113677	3804	1994-09-23	VYBER	VYBER	2590	69512	\N	\N	\N
1113678	3804	1995-05-30	VYBER	VYBER	17989	38838	\N	\N	\N
1113679	3804	1995-11-30	VYBER	VYBER	22911	17512	\N	\N	\N
1113680	3804	1995-12-30	VYBER	VYBER	3721	30712	\N	\N	\N
1113681	3804	1996-12-08	VYBER	VYBER	2286	65443	\N	\N	\N
1113682	3804	1996-06-28	VYBER	VYBER	6560	31306	\N	\N	\N
1113683	3804	1996-11-04	VYBER	VYBER	21091	20933	\N	\N	\N
1113684	3804	1997-09-18	VYBER	VYBER	22167	28643	\N	\N	\N
1113686	3804	1997-01-17	VYBER	VYBER	6317	26969	\N	\N	\N
1113690	3804	1997-07-11	VYBER	VYBER	21370	29348	\N	\N	\N
1113691	3804	1997-05-14	VYBER	VYBER	13817	47832	\N	\N	\N
1113693	3804	1998-04-26	VYBER	VYBER	19831	22671	\N	\N	\N
1113694	3804	1998-10-13	VYBER	VYBER	6274	51942	\N	\N	\N
1113695	3804	1998-11-30	VYBER	VYBER	9331	34095	\N	\N	\N
1113696	3804	1998-01-13	VYBER	VYBER	23961	30355	\N	\N	\N
1113699	3804	1996-06-15	VYDAJ	VYBER	20400	51166	\N	\N	\N
1113700	3804	1997-06-23	VYDAJ	VYBER	23700	24017	\N	\N	\N
1113701	3804	1998-06-14	VYDAJ	VYBER	29400	42725	\N	\N	\N
1113703	3804	1995-01-26	VYDAJ	VYBER	4800	19956	\N	\N	\N
1113705	3804	1997-01-06	VYDAJ	VYBER	3300	36934	\N	\N	\N
1113706	3804	1998-01-15	VYDAJ	VYBER	3300	27055	\N	\N	\N
1113707	3804	1994-12-24	VYDAJ	VYBER	6300	45738	\N	\N	\N
1113708	3804	1995-12-07	VYDAJ	VYBER	6900	53634	\N	\N	\N
1113709	3804	1996-12-11	VYDAJ	VYBER	3300	57042	\N	\N	\N
1113710	3804	1997-12-22	VYDAJ	VYBER	3900	36921	\N	\N	\N
1113711	3804	1998-12-15	VYDAJ	VYBER	7800	45216	\N	\N	\N
1113719	3804	1995-01-17	VYDAJ	VYBER	7500	44256	\N	\N	\N
1113720	3804	1995-01-24	VYDAJ	VYBER	3600	24756	\N	\N	\N
1113721	3804	1995-01-20	VYDAJ	VYBER	8400	35856	\N	\N	\N
1113722	3804	1995-01-04	VYDAJ	VYBER	2400	25233	\N	\N	\N
1113723	3804	1995-01-02	VYDAJ	VYBER	5700	30633	\N	\N	\N
1113724	3804	1996-01-05	VYDAJ	VYBER	3000	27868	\N	\N	\N
1113725	3804	1996-01-12	VYDAJ	VYBER	6000	26191	\N	\N	\N
1113726	3804	1996-01-08	VYDAJ	VYBER	6900	52592	\N	\N	\N
1113727	3804	1996-01-09	VYDAJ	VYBER	6900	45692	\N	\N	\N
1113728	3804	1996-01-11	VYDAJ	VYBER	8400	32191	\N	\N	\N
1113730	3804	1997-01-24	VYDAJ	VYBER	4200	18869	\N	\N	\N
1113732	3804	1997-01-09	VYDAJ	VYBER	8700	59858	\N	\N	\N
1113733	3804	1997-01-18	VYDAJ	VYBER	3300	23669	\N	\N	\N
1113734	3804	1997-01-09	VYDAJ	VYBER	8400	51458	\N	\N	\N
1113735	3804	1997-01-11	VYDAJ	VYBER	7800	38557	\N	\N	\N
1113736	3804	1998-01-11	VYDAJ	VYBER	3900	54316	\N	\N	\N
1113737	3804	1998-01-05	VYDAJ	VYBER	2400	31693	\N	\N	\N
1113738	3804	1998-01-03	VYDAJ	VYBER	3000	34093	\N	\N	\N
1113739	3804	1998-01-16	VYDAJ	VYBER	1800	25255	\N	\N	\N
1113743	3804	1994-10-22	VYDAJ	VYBER	11400	42957	\N	\N	\N
1113744	3804	1994-11-05	VYDAJ	VYBER	14100	18885	\N	\N	\N
1113747	3804	1995-02-13	VYDAJ	VYBER	9300	40316	\N	\N	\N
1113748	3804	1996-02-13	VYDAJ	VYBER	10200	29138	\N	\N	\N
1113749	3804	1996-04-17	VYDAJ	VYBER	4800	35262	\N	\N	\N
1113750	3804	1996-11-13	VYDAJ	VYBER	14100	16386	\N	\N	\N
1113751	3804	1996-02-21	VYDAJ	VYBER	9600	19538	\N	\N	\N
1113752	3804	1996-04-12	VYDAJ	VYBER	9600	40062	\N	\N	\N
1113753	3804	1996-11-12	VYDAJ	VYBER	11700	30486	\N	\N	\N
1113755	3804	1996-09-01	VYDAJ	VYBER	11400	28158	\N	\N	\N
1113756	3804	1997-03-10	VYDAJ	VYBER	11100	37021	\N	\N	\N
1113757	3804	1997-12-13	VYDAJ	VYBER	5700	67121	\N	\N	\N
1113758	3804	1997-03-09	VYDAJ	VYBER	12900	48121	\N	\N	\N
1113759	3804	1997-11-16	VYDAJ	VYBER	4800	51241	\N	\N	\N
1113760	3804	1997-05-19	VYDAJ	VYBER	8700	34032	\N	\N	\N
1113761	3804	1998-07-25	VYDAJ	VYBER	12300	23914	\N	\N	\N
1113762	3804	1998-06-28	VYDAJ	VYBER	10200	27525	\N	\N	\N
1113763	3804	1998-09-04	VYDAJ	VYBER	11400	26714	\N	\N	\N
1113772	3804	1994-08-31	VYDAJ	VYBER	15	70479	SLUZBY	\N	\N
1113773	3804	1994-09-30	VYDAJ	VYBER	15	69796	SLUZBY	\N	\N
1113774	3804	1994-10-31	VYDAJ	VYBER	15	43185	SLUZBY	\N	\N
1113775	3804	1994-11-30	VYDAJ	VYBER	15	20897	SLUZBY	\N	\N
1113776	3804	1994-12-31	VYDAJ	VYBER	15	36333	SLUZBY	\N	\N
1113777	3804	1995-01-31	VYDAJ	VYBER	15	20093	SLUZBY	\N	\N
1113778	3804	1995-02-28	VYDAJ	VYBER	15	36354	SLUZBY	\N	\N
1113779	3804	1995-03-31	VYDAJ	VYBER	15	46066	SLUZBY	\N	\N
1113780	3804	1995-04-30	VYDAJ	VYBER	15	56704	SLUZBY	\N	\N
1113781	3804	1995-05-31	VYDAJ	VYBER	15	39057	SLUZBY	\N	\N
1113782	3804	1995-06-30	VYDAJ	VYBER	15	69245	SLUZBY	\N	\N
1113783	3804	1995-07-31	VYDAJ	VYBER	15	45543	SLUZBY	\N	\N
1113784	3804	1995-08-31	VYDAJ	VYBER	15	40201	SLUZBY	\N	\N
1113785	3804	1995-09-30	VYDAJ	VYBER	15	39544	SLUZBY	\N	\N
1113786	3804	1995-10-31	VYDAJ	VYBER	15	39770	SLUZBY	\N	\N
1113787	3804	1995-11-30	VYDAJ	VYBER	15	17498	SLUZBY	\N	\N
1113788	3804	1995-12-31	VYDAJ	VYBER	15	30868	SLUZBY	\N	\N
1113789	3804	1996-01-31	VYDAJ	VYBER	15	18085	SLUZBY	\N	\N
1113790	3804	1996-02-29	VYDAJ	VYBER	15	19829	SLUZBY	\N	\N
1113791	3804	1996-03-31	VYDAJ	VYBER	15	28409	SLUZBY	\N	\N
1113792	3804	1996-04-30	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
1113793	3804	1996-05-31	VYDAJ	VYBER	15	34502	SLUZBY	\N	\N
1113794	3804	1996-06-30	VYDAJ	VYBER	15	31493	SLUZBY	\N	\N
1113795	3804	1996-07-31	VYDAJ	VYBER	15	37316	SLUZBY	\N	\N
1113796	3804	1996-08-31	VYDAJ	VYBER	15	39558	SLUZBY	\N	\N
1113797	3804	1996-09-30	VYDAJ	VYBER	15	36385	SLUZBY	\N	\N
1113798	3804	1996-10-31	VYDAJ	VYBER	15	42024	SLUZBY	\N	\N
1113799	3804	1996-11-30	VYDAJ	VYBER	15	20293	SLUZBY	\N	\N
1113800	3804	1996-12-31	VYDAJ	VYBER	15	40234	SLUZBY	\N	\N
1113801	3804	1997-01-31	VYDAJ	VYBER	15	18991	SLUZBY	\N	\N
1113802	3804	1997-02-28	VYDAJ	VYBER	15	30040	SLUZBY	\N	\N
1113803	3804	1997-03-31	VYDAJ	VYBER	15	22665	SLUZBY	\N	\N
1113804	3804	1997-04-30	VYDAJ	VYBER	15	35126	SLUZBY	\N	\N
1113805	3804	1997-05-31	VYDAJ	VYBER	15	30582	SLUZBY	\N	\N
1113806	3804	1997-06-30	VYDAJ	VYBER	15	24195	SLUZBY	\N	\N
1113807	3804	1997-07-31	VYDAJ	VYBER	15	20643	SLUZBY	\N	\N
1113808	3804	1997-08-31	VYDAJ	VYBER	15	28687	SLUZBY	\N	\N
1113809	3804	1997-09-30	VYDAJ	VYBER	15	21978	SLUZBY	\N	\N
1113810	3804	1997-10-31	VYDAJ	VYBER	15	29518	SLUZBY	\N	\N
1113811	3804	1997-11-30	VYDAJ	VYBER	15	30486	SLUZBY	\N	\N
1113812	3804	1997-12-31	VYDAJ	VYBER	15	37093	SLUZBY	\N	\N
1113813	3804	1998-01-31	VYDAJ	VYBER	15	15564	SLUZBY	\N	\N
1113814	3804	1998-02-28	VYDAJ	VYBER	15	32093	SLUZBY	\N	\N
1113815	3804	1998-03-31	VYDAJ	VYBER	15	37579	SLUZBY	\N	\N
1113816	3804	1998-04-30	VYDAJ	VYBER	15	22837	SLUZBY	\N	\N
1113817	3804	1998-05-31	VYDAJ	VYBER	15	32990	SLUZBY	\N	\N
1113818	3804	1998-06-30	VYDAJ	VYBER	15	27691	SLUZBY	\N	\N
1113819	3804	1998-07-31	VYDAJ	VYBER	15	24046	SLUZBY	\N	\N
1113820	3804	1998-08-31	VYDAJ	VYBER	15	38114	SLUZBY	\N	\N
1113821	3804	1998-09-30	VYDAJ	VYBER	15	31693	SLUZBY	\N	\N
1113822	3804	1998-10-31	VYDAJ	VYBER	15	43806	SLUZBY	\N	\N
1113823	3804	1998-11-30	VYDAJ	VYBER	15	34081	SLUZBY	\N	\N
1113824	3804	1994-05-07	VYDAJ	VYBER	20000	43654	\N	\N	\N
1113825	3804	1994-06-06	VYDAJ	VYBER	11300	32527	\N	\N	\N
1113826	3804	1994-07-06	VYDAJ	VYBER	25900	54366	\N	\N	\N
1113827	3804	1994-08-05	VYDAJ	VYBER	31800	54543	\N	\N	\N
1113828	3804	1994-09-04	VYDAJ	VYBER	24900	45579	\N	\N	\N
1113829	3804	1994-10-04	VYDAJ	VYBER	20300	49496	\N	\N	\N
1113830	3804	1994-11-03	VYDAJ	VYBER	10200	32985	\N	\N	\N
1113831	3804	1994-12-03	PRIJEM	VKLAD	1600	22497	\N	\N	\N
1113832	3804	1995-01-02	VYDAJ	VYBER	3000	27633	\N	\N	\N
1113833	3804	1995-02-01	PRIJEM	VKLAD	3000	23093	\N	\N	\N
1113834	3804	1995-03-03	VYDAJ	VYBER	3300	27154	\N	\N	\N
1113835	3804	1995-04-02	VYDAJ	VYBER	16100	29966	\N	\N	\N
1113836	3804	1995-05-02	VYDAJ	VYBER	19300	37404	\N	\N	\N
1113837	3804	1995-06-01	VYDAJ	VYBER	9000	30057	\N	\N	\N
1113838	3804	1995-07-01	VYDAJ	VYBER	22400	46845	\N	\N	\N
1113839	3804	1995-07-31	VYDAJ	VYBER	23300	45558	\N	\N	\N
1113840	3804	1995-08-30	VYDAJ	VYBER	24600	39966	\N	\N	\N
1113841	3804	1995-09-29	VYDAJ	VYBER	22600	39324	\N	\N	\N
1113842	3804	1995-10-29	VYDAJ	VYBER	21300	39567	\N	\N	\N
1113843	3804	1995-11-28	VYDAJ	VYBER	21900	40193	\N	\N	\N
1113844	3804	1995-12-28	VYDAJ	VYBER	14100	34433	\N	\N	\N
1113845	3804	1996-01-27	VYDAJ	VYBER	500	17991	\N	\N	\N
1113846	3804	1996-02-26	PRIJEM	VKLAD	200	19738	\N	\N	\N
1113847	3804	1996-03-27	VYDAJ	VYBER	12800	28281	\N	\N	\N
1113848	3804	1996-04-26	VYDAJ	VYBER	9900	25362	\N	\N	\N
1113849	3804	1996-05-26	VYDAJ	VYBER	12400	34351	\N	\N	\N
1113850	3804	1996-06-25	VYDAJ	VYBER	13300	37866	\N	\N	\N
1113851	3804	1996-07-25	VYDAJ	VYBER	15600	37145	\N	\N	\N
1113852	3804	1996-08-24	VYDAJ	VYBER	19200	39368	\N	\N	\N
1113853	3804	1996-09-23	VYDAJ	VYBER	13200	36210	\N	\N	\N
1113854	3804	1996-10-23	VYDAJ	VYBER	15800	41837	\N	\N	\N
1113855	3804	1996-11-22	PRIJEM	VKLAD	3800	20186	\N	\N	\N
1113856	3804	1996-12-22	VYDAJ	VYBER	11700	40072	\N	\N	\N
1113857	3804	1997-01-21	VYDAJ	VYBER	600	23069	\N	\N	\N
1113858	3804	1997-02-20	VYDAJ	VYBER	9700	35814	\N	\N	\N
1113859	3804	1997-03-22	VYDAJ	VYBER	2300	22563	\N	\N	\N
1113860	3804	1997-04-21	VYDAJ	VYBER	10500	34988	\N	\N	\N
1113861	3804	1997-05-21	VYDAJ	VYBER	3600	30432	\N	\N	\N
1113862	3804	1997-06-20	VYDAJ	VYBER	19600	53317	\N	\N	\N
1113863	3804	1997-07-20	VYDAJ	VYBER	3000	20548	\N	\N	\N
1113864	3804	1997-08-19	VYDAJ	VYBER	12900	28566	\N	\N	\N
1113865	3804	1997-09-18	VYDAJ	VYBER	6800	21843	\N	\N	\N
1113866	3804	1997-10-18	VYDAJ	VYBER	13700	29401	\N	\N	\N
1113867	3804	1997-11-17	VYDAJ	VYBER	15300	35941	\N	\N	\N
1113868	3804	1997-12-17	VYDAJ	VYBER	22700	44421	\N	\N	\N
1113869	3804	1998-01-16	VYDAJ	VYBER	2300	22955	\N	\N	\N
1113870	3804	1998-02-15	VYDAJ	VYBER	5900	31987	\N	\N	\N
1113871	3804	1998-03-17	VYDAJ	VYBER	16800	41816	\N	\N	\N
1113872	3804	1998-04-16	VYDAJ	VYBER	14500	42502	\N	\N	\N
1113873	3804	1998-05-16	VYDAJ	VYBER	11400	37960	\N	\N	\N
1113874	3804	1998-06-15	VYDAJ	VYBER	5000	37725	\N	\N	\N
1113875	3804	1998-07-15	VYDAJ	VYBER	10800	36214	\N	\N	\N
1113876	3804	1998-08-14	VYDAJ	VYBER	9300	37969	\N	\N	\N
1113877	3804	1998-09-13	VYDAJ	VYBER	9800	43437	\N	\N	\N
1113878	3804	1998-10-13	VYDAJ	VYBER	8300	43642	\N	\N	\N
1113879	3804	1998-11-12	VYDAJ	VYBER	22100	43229	\N	\N	\N
1113880	3804	1998-12-12	VYDAJ	VYBER	23400	53016	\N	\N	\N
1113938	3805	1994-07-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1113945	3805	1994-07-08	PRIJEM	VKLAD	11830	12830	\N	\N	\N
1113946	3805	1994-08-08	PRIJEM	VKLAD	11830	31701	\N	\N	\N
1113947	3805	1994-09-08	PRIJEM	VKLAD	11830	41045	\N	\N	\N
1113948	3805	1994-10-08	PRIJEM	VKLAD	11830	47098	\N	\N	\N
1113949	3805	1994-11-08	PRIJEM	VKLAD	11830	46775	\N	\N	\N
1113950	3805	1994-12-08	PRIJEM	VKLAD	17745	53060	\N	\N	\N
1113951	3805	1995-01-08	PRIJEM	VKLAD	11830	28105	\N	\N	\N
1113952	3805	1995-02-08	PRIJEM	VKLAD	11830	30734	\N	\N	\N
1113953	3805	1995-03-08	PRIJEM	VKLAD	11830	36455	\N	\N	\N
1113954	3805	1995-04-08	PRIJEM	VKLAD	11830	29160	\N	\N	\N
1113955	3805	1995-05-08	PRIJEM	VKLAD	11830	36483	\N	\N	\N
1113956	3805	1995-06-08	PRIJEM	VKLAD	17745	49344	\N	\N	\N
1113957	3805	1995-07-08	PRIJEM	VKLAD	11830	43589	\N	\N	\N
1113958	3805	1995-08-08	PRIJEM	VKLAD	11830	44945	\N	\N	\N
1113959	3805	1995-09-08	PRIJEM	VKLAD	11830	43703	\N	\N	\N
1113960	3805	1995-10-08	PRIJEM	VKLAD	11830	45759	\N	\N	\N
1113961	3805	1995-11-08	PRIJEM	VKLAD	11830	43432	\N	\N	\N
1113962	3805	1995-12-08	PRIJEM	VKLAD	17745	48712	\N	\N	\N
1113963	3805	1996-01-08	PRIJEM	VKLAD	11830	48802	\N	\N	\N
1113964	3805	1996-02-08	PRIJEM	VKLAD	11830	38843	\N	\N	\N
1113965	3805	1996-03-08	PRIJEM	VKLAD	11830	46583	\N	\N	\N
1113966	3805	1996-04-08	PRIJEM	VKLAD	11830	49662	\N	\N	\N
1113967	3805	1996-05-08	PRIJEM	VKLAD	11830	50320	\N	\N	\N
1113968	3805	1996-06-08	PRIJEM	VKLAD	17745	54712	\N	\N	\N
1113969	3805	1996-07-08	PRIJEM	VKLAD	11830	48955	\N	\N	\N
1113970	3805	1996-08-08	PRIJEM	VKLAD	11830	51641	\N	\N	\N
1113971	3805	1996-09-08	PRIJEM	VKLAD	11830	48536	\N	\N	\N
1113972	3805	1996-10-08	PRIJEM	VKLAD	11830	47203	\N	\N	\N
1113973	3805	1996-11-08	PRIJEM	VKLAD	11830	42479	\N	\N	\N
1113974	3805	1996-12-08	PRIJEM	VKLAD	17745	51149	\N	\N	\N
1113975	3805	1997-01-08	PRIJEM	VKLAD	11830	44214	\N	\N	\N
1113976	3805	1997-02-08	PRIJEM	VKLAD	11830	39424	\N	\N	\N
1113977	3805	1997-03-08	PRIJEM	VKLAD	11830	43066	\N	\N	\N
1113978	3805	1997-04-08	PRIJEM	VKLAD	11830	45222	\N	\N	\N
1113979	3805	1997-05-08	PRIJEM	VKLAD	11830	48982	\N	\N	\N
1113980	3805	1997-06-08	PRIJEM	VKLAD	17745	54964	\N	\N	\N
1113981	3805	1997-07-08	PRIJEM	VKLAD	11830	44858	\N	\N	\N
1113982	3805	1997-08-08	PRIJEM	VKLAD	11830	47512	\N	\N	\N
1113983	3805	1997-09-08	PRIJEM	VKLAD	11830	50484	\N	\N	\N
1113984	3805	1997-10-08	PRIJEM	VKLAD	11830	51763	\N	\N	\N
1113985	3805	1997-11-08	PRIJEM	VKLAD	11830	54346	\N	\N	\N
1113986	3805	1997-12-08	PRIJEM	VKLAD	17745	59446	\N	\N	\N
1113987	3805	1998-01-08	PRIJEM	VKLAD	11830	52477	\N	\N	\N
1113988	3805	1998-02-08	PRIJEM	VKLAD	11830	33278	\N	\N	\N
1113989	3805	1998-03-08	PRIJEM	VKLAD	11830	41190	\N	\N	\N
1113990	3805	1998-04-08	PRIJEM	VKLAD	11830	42809	\N	\N	\N
1113991	3805	1998-05-08	PRIJEM	VKLAD	11830	45353	\N	\N	\N
1113992	3805	1998-06-08	PRIJEM	VKLAD	17745	46524	\N	\N	\N
1113993	3805	1998-07-08	PRIJEM	VKLAD	11830	38290	\N	\N	\N
1113994	3805	1998-08-08	PRIJEM	VKLAD	11830	31517	\N	\N	\N
1113995	3805	1998-09-08	PRIJEM	VKLAD	11830	38934	\N	\N	\N
1113996	3805	1998-10-08	PRIJEM	VKLAD	11830	44268	\N	\N	\N
1113997	3805	1998-11-08	PRIJEM	VKLAD	11830	44760	\N	\N	\N
1113998	3805	1998-12-08	PRIJEM	VKLAD	17745	47609	\N	\N	\N
1114009	3805	1994-11-08	VYDAJ	PREVOD NA UCET	5908	40867	SIPO	KL	33937186
1114010	3805	1994-12-08	VYDAJ	PREVOD NA UCET	5908	47152	SIPO	KL	33937186
1114011	3805	1995-01-08	VYDAJ	PREVOD NA UCET	5908	22197	SIPO	KL	33937186
1114012	3805	1995-02-08	VYDAJ	PREVOD NA UCET	5908	24826	SIPO	KL	33937186
1114013	3805	1995-03-08	VYDAJ	PREVOD NA UCET	5908	30547	SIPO	KL	33937186
1114014	3805	1995-04-08	VYDAJ	PREVOD NA UCET	5908	23252	SIPO	KL	33937186
1114015	3805	1995-05-08	VYDAJ	PREVOD NA UCET	5908	30575	SIPO	KL	33937186
1114016	3805	1995-06-08	VYDAJ	PREVOD NA UCET	5908	43436	SIPO	KL	33937186
1114017	3805	1995-07-08	VYDAJ	PREVOD NA UCET	5908	37681	SIPO	KL	33937186
1114018	3805	1995-08-08	VYDAJ	PREVOD NA UCET	5908	39037	SIPO	KL	33937186
1114019	3805	1995-09-08	VYDAJ	PREVOD NA UCET	5908	37795	SIPO	KL	33937186
1114020	3805	1995-10-08	VYDAJ	PREVOD NA UCET	5908	39851	SIPO	KL	33937186
1114021	3805	1995-11-08	VYDAJ	PREVOD NA UCET	5908	37524	SIPO	KL	33937186
1114022	3805	1995-12-08	VYDAJ	PREVOD NA UCET	5908	42804	SIPO	KL	33937186
1114023	3805	1996-01-08	VYDAJ	PREVOD NA UCET	5908	41454	SIPO	KL	33937186
1114024	3805	1996-02-08	VYDAJ	PREVOD NA UCET	5908	32935	SIPO	KL	33937186
1114025	3805	1996-03-08	VYDAJ	PREVOD NA UCET	5908	40675	SIPO	KL	33937186
1114026	3805	1996-04-08	VYDAJ	PREVOD NA UCET	5908	43754	SIPO	KL	33937186
1114027	3805	1996-05-08	VYDAJ	PREVOD NA UCET	5908	44412	SIPO	KL	33937186
1114028	3805	1996-06-08	VYDAJ	PREVOD NA UCET	5908	48804	SIPO	KL	33937186
1114029	3805	1996-07-08	VYDAJ	PREVOD NA UCET	5908	43047	SIPO	KL	33937186
1114030	3805	1996-08-08	VYDAJ	PREVOD NA UCET	5908	45733	SIPO	KL	33937186
1114031	3805	1996-09-08	VYDAJ	PREVOD NA UCET	5908	42628	SIPO	KL	33937186
1114032	3805	1996-10-08	VYDAJ	PREVOD NA UCET	5908	41295	SIPO	KL	33937186
1114033	3805	1996-11-08	VYDAJ	PREVOD NA UCET	5908	36571	SIPO	KL	33937186
1114034	3805	1996-12-08	VYDAJ	PREVOD NA UCET	5908	45241	SIPO	KL	33937186
1114035	3805	1997-01-08	VYDAJ	PREVOD NA UCET	5908	38306	SIPO	KL	33937186
1114036	3805	1997-02-08	VYDAJ	PREVOD NA UCET	5908	33516	SIPO	KL	33937186
1114037	3805	1997-03-08	VYDAJ	PREVOD NA UCET	5908	37158	SIPO	KL	33937186
1114038	3805	1997-04-08	VYDAJ	PREVOD NA UCET	5908	39314	SIPO	KL	33937186
1114039	3805	1997-05-08	VYDAJ	PREVOD NA UCET	5908	43074	SIPO	KL	33937186
1114040	3805	1997-06-08	VYDAJ	PREVOD NA UCET	5908	49056	SIPO	KL	33937186
1114041	3805	1997-07-08	VYDAJ	PREVOD NA UCET	5908	38950	SIPO	KL	33937186
1114042	3805	1997-08-08	VYDAJ	PREVOD NA UCET	5908	41604	SIPO	KL	33937186
1114043	3805	1997-09-08	VYDAJ	PREVOD NA UCET	5908	44576	SIPO	KL	33937186
1114044	3805	1997-10-08	VYDAJ	PREVOD NA UCET	5908	45855	SIPO	KL	33937186
1114045	3805	1997-11-08	VYDAJ	PREVOD NA UCET	5908	48438	SIPO	KL	33937186
1114046	3805	1997-12-08	VYDAJ	PREVOD NA UCET	5908	53538	SIPO	KL	33937186
1114047	3805	1998-01-08	VYDAJ	PREVOD NA UCET	5908	46569	SIPO	KL	33937186
1114048	3805	1998-02-08	VYDAJ	PREVOD NA UCET	5908	27370	SIPO	KL	33937186
1114049	3805	1998-03-08	VYDAJ	PREVOD NA UCET	5908	31562	SIPO	KL	33937186
1114050	3805	1998-04-08	VYDAJ	PREVOD NA UCET	5908	36901	SIPO	KL	33937186
1114051	3805	1998-05-08	VYDAJ	PREVOD NA UCET	5908	39445	SIPO	KL	33937186
1114052	3805	1998-06-08	VYDAJ	PREVOD NA UCET	5908	40616	SIPO	KL	33937186
1114053	3805	1998-07-08	VYDAJ	PREVOD NA UCET	5908	32382	SIPO	KL	33937186
1114054	3805	1998-08-08	VYDAJ	PREVOD NA UCET	5908	25609	SIPO	KL	33937186
1114055	3805	1998-09-08	VYDAJ	PREVOD NA UCET	5908	33026	SIPO	KL	33937186
1114056	3805	1998-10-08	VYDAJ	PREVOD NA UCET	5908	38360	SIPO	KL	33937186
1114057	3805	1998-11-08	VYDAJ	PREVOD NA UCET	5908	32152	SIPO	KL	33937186
1114058	3805	1998-12-08	VYDAJ	PREVOD NA UCET	5908	41701	SIPO	KL	33937186
1114060	3805	1995-06-23	VYDAJ	VYBER	8320	35116	\N	\N	\N
1114061	3805	1996-06-15	VYDAJ	VYBER	5440	43364	\N	\N	\N
1114063	3805	1998-06-28	VYDAJ	VYBER	8480	26336	\N	\N	\N
1114065	3805	1995-01-02	VYDAJ	VYBER	15200	16275	\N	\N	\N
1114066	3805	1996-01-15	VYDAJ	VYBER	12000	28494	\N	\N	\N
1114067	3805	1997-01-10	VYDAJ	VYBER	12960	25346	\N	\N	\N
1114068	3805	1998-01-10	VYDAJ	VYBER	11840	34729	\N	\N	\N
1114075	3805	1995-01-01	VYDAJ	VYBER	1800	31475	\N	\N	\N
1114076	3805	1995-01-01	VYDAJ	VYBER	2160	33275	\N	\N	\N
1114077	3805	1995-01-19	VYDAJ	VYBER	600	17517	\N	\N	\N
1114078	3805	1995-01-19	VYDAJ	VYBER	3360	18117	\N	\N	\N
1114079	3805	1995-01-08	VYDAJ	VYBER	720	21477	\N	\N	\N
1114080	3805	1995-01-28	VYDAJ	VYBER	3480	18837	\N	\N	\N
1114081	3805	1996-01-08	VYDAJ	VYBER	1440	47362	\N	\N	\N
1114082	3805	1996-01-12	VYDAJ	VYBER	960	40494	\N	\N	\N
1114083	3805	1996-01-21	VYDAJ	VYBER	1200	22494	\N	\N	\N
1114084	3805	1996-01-17	VYDAJ	VYBER	1440	27054	\N	\N	\N
1114085	3805	1996-01-20	VYDAJ	VYBER	600	23694	\N	\N	\N
1114086	3805	1996-01-20	VYDAJ	VYBER	2760	24294	\N	\N	\N
1114087	3805	1997-01-05	VYDAJ	VYBER	3000	32384	\N	\N	\N
1114088	3805	1997-01-12	VYDAJ	VYBER	2160	23186	\N	\N	\N
1114089	3805	1997-01-25	VYDAJ	VYBER	1560	28206	\N	\N	\N
1114090	3805	1997-01-02	VYDAJ	VYBER	1560	35384	\N	\N	\N
1114091	3805	1997-01-12	VYDAJ	VYBER	1920	21266	\N	\N	\N
1114092	3805	1997-01-26	VYDAJ	VYBER	720	27486	\N	\N	\N
1114093	3805	1998-01-25	VYDAJ	VYBER	1800	25649	\N	\N	\N
1114094	3805	1998-01-14	VYDAJ	VYBER	1080	32849	\N	\N	\N
1114095	3805	1998-01-14	VYDAJ	VYBER	3240	29609	\N	\N	\N
1114096	3805	1998-01-27	VYDAJ	VYBER	720	24929	\N	\N	\N
1114097	3805	1998-01-13	VYDAJ	VYBER	3000	33929	\N	\N	\N
1114098	3805	1998-01-17	VYDAJ	VYBER	2160	27449	\N	\N	\N
1114106	3805	1995-12-12	VYDAJ	VYBER	1080	41724	\N	\N	\N
1114107	3805	1995-04-07	VYDAJ	VYBER	5280	17330	\N	\N	\N
1114108	3805	1995-12-04	VYDAJ	VYBER	600	30967	\N	\N	\N
1114109	3805	1995-03-23	VYDAJ	VYBER	2160	28387	\N	\N	\N
1114110	3805	1995-04-03	VYDAJ	VYBER	3480	22610	\N	\N	\N
1114111	3805	1996-08-16	VYDAJ	VYBER	3120	36853	\N	\N	\N
1114112	3805	1996-12-13	VYDAJ	VYBER	5040	40201	\N	\N	\N
1114113	3805	1996-04-11	VYDAJ	VYBER	720	43034	\N	\N	\N
1114114	3805	1996-08-14	VYDAJ	VYBER	5760	39973	\N	\N	\N
1114115	3805	1996-10-22	VYDAJ	VYBER	4680	30515	\N	\N	\N
1114116	3805	1997-07-12	VYDAJ	VYBER	3600	35350	\N	\N	\N
1114117	3805	1997-06-28	VYDAJ	VYBER	5280	32876	\N	\N	\N
1114118	3805	1997-12-21	VYDAJ	VYBER	2760	42278	\N	\N	\N
1114119	3805	1997-12-30	VYDAJ	VYBER	1800	40478	\N	\N	\N
1114120	3805	1998-10-25	VYDAJ	VYBER	4560	32800	\N	\N	\N
1114121	3805	1998-08-01	VYDAJ	VYBER	5040	24847	\N	\N	\N
1114122	3805	1998-05-17	VYDAJ	VYBER	2880	28665	\N	\N	\N
1114123	3805	1998-11-09	VYDAJ	VYBER	2400	29752	\N	\N	\N
1114124	3805	1998-03-05	VYDAJ	VYBER	2520	29360	\N	\N	\N
1114125	3805	1998-08-05	VYDAJ	VYBER	5160	19687	\N	\N	\N
1114126	3805	1998-03-08	VYDAJ	VYBER	3720	37470	\N	\N	\N
1114127	3805	1998-02-01	VYDAJ	VYBER	3600	21448	\N	\N	\N
1114139	3805	1994-11-30	VYDAJ	VYBER	15	35315	SLUZBY	\N	\N
1114140	3805	1994-12-31	VYDAJ	VYBER	15	35435	SLUZBY	\N	\N
1114141	3805	1995-01-31	VYDAJ	VYBER	15	18904	SLUZBY	\N	\N
1114142	3805	1995-02-28	VYDAJ	VYBER	15	24625	SLUZBY	\N	\N
1114143	3805	1995-03-31	VYDAJ	VYBER	15	26090	SLUZBY	\N	\N
1114144	3805	1995-04-30	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
1114145	3805	1995-05-31	VYDAJ	VYBER	15	31599	SLUZBY	\N	\N
1114146	3805	1995-06-30	VYDAJ	VYBER	15	31759	SLUZBY	\N	\N
1114147	3805	1995-07-31	VYDAJ	VYBER	15	33115	SLUZBY	\N	\N
1114148	3805	1995-08-31	VYDAJ	VYBER	15	31873	SLUZBY	\N	\N
1114149	3805	1995-09-30	VYDAJ	VYBER	15	33929	SLUZBY	\N	\N
1114150	3805	1995-10-31	VYDAJ	VYBER	15	31602	SLUZBY	\N	\N
1114151	3805	1995-11-30	VYDAJ	VYBER	15	31567	SLUZBY	\N	\N
1114152	3805	1995-12-31	VYDAJ	VYBER	15	36972	SLUZBY	\N	\N
1114153	3805	1996-01-31	VYDAJ	VYBER	15	27013	SLUZBY	\N	\N
1114154	3805	1996-02-29	VYDAJ	VYBER	15	34753	SLUZBY	\N	\N
1114155	3805	1996-03-31	VYDAJ	VYBER	15	37832	SLUZBY	\N	\N
1114156	3805	1996-04-30	VYDAJ	VYBER	15	38490	SLUZBY	\N	\N
1114157	3805	1996-05-31	VYDAJ	VYBER	15	36967	SLUZBY	\N	\N
1114158	3805	1996-06-30	VYDAJ	VYBER	15	37125	SLUZBY	\N	\N
1114159	3805	1996-07-31	VYDAJ	VYBER	15	39811	SLUZBY	\N	\N
1114160	3805	1996-08-31	VYDAJ	VYBER	15	36706	SLUZBY	\N	\N
1114161	3805	1996-09-30	VYDAJ	VYBER	15	35373	SLUZBY	\N	\N
1114162	3805	1996-10-31	VYDAJ	VYBER	15	30649	SLUZBY	\N	\N
1114163	3805	1996-11-30	VYDAJ	VYBER	15	33404	SLUZBY	\N	\N
1114164	3805	1996-12-31	VYDAJ	VYBER	15	36944	SLUZBY	\N	\N
1114165	3805	1997-01-31	VYDAJ	VYBER	15	27594	SLUZBY	\N	\N
1114166	3805	1997-02-28	VYDAJ	VYBER	15	31236	SLUZBY	\N	\N
1114167	3805	1997-03-31	VYDAJ	VYBER	15	33392	SLUZBY	\N	\N
1114168	3805	1997-04-30	VYDAJ	VYBER	15	37152	SLUZBY	\N	\N
1114169	3805	1997-05-31	VYDAJ	VYBER	15	37219	SLUZBY	\N	\N
1114170	3805	1997-06-30	VYDAJ	VYBER	15	33028	SLUZBY	\N	\N
1114171	3805	1997-07-31	VYDAJ	VYBER	15	35682	SLUZBY	\N	\N
1114172	3805	1997-08-31	VYDAJ	VYBER	15	38654	SLUZBY	\N	\N
1114173	3805	1997-09-30	VYDAJ	VYBER	15	39933	SLUZBY	\N	\N
1114174	3805	1997-10-31	VYDAJ	VYBER	15	42516	SLUZBY	\N	\N
1114175	3805	1997-11-30	VYDAJ	VYBER	15	41701	SLUZBY	\N	\N
1114176	3805	1997-12-31	VYDAJ	VYBER	15	40647	SLUZBY	\N	\N
1114177	3805	1998-01-31	VYDAJ	VYBER	15	25048	SLUZBY	\N	\N
1114178	3805	1998-02-28	VYDAJ	VYBER	15	31880	SLUZBY	\N	\N
1114179	3805	1998-03-31	VYDAJ	VYBER	15	30979	SLUZBY	\N	\N
1114180	3805	1998-04-30	VYDAJ	VYBER	15	33523	SLUZBY	\N	\N
1114181	3805	1998-05-31	VYDAJ	VYBER	15	28779	SLUZBY	\N	\N
1114182	3805	1998-06-30	VYDAJ	VYBER	15	26460	SLUZBY	\N	\N
1114183	3805	1998-07-31	VYDAJ	VYBER	15	29887	SLUZBY	\N	\N
1114184	3805	1998-08-31	VYDAJ	VYBER	15	27104	SLUZBY	\N	\N
1114185	3805	1998-09-30	VYDAJ	VYBER	15	32438	SLUZBY	\N	\N
1114186	3805	1998-10-31	VYDAJ	VYBER	15	32930	SLUZBY	\N	\N
1114187	3805	1998-11-30	VYDAJ	VYBER	15	29864	SLUZBY	\N	\N
1114188	3805	1994-08-01	PRIJEM	VKLAD	7000	19871	\N	\N	\N
1114189	3805	1994-08-31	VYDAJ	VYBER	2600	29215	\N	\N	\N
1114190	3805	1994-09-30	VYDAJ	VYBER	5900	35268	\N	\N	\N
1114191	3805	1994-10-30	VYDAJ	VYBER	12300	34798	\N	\N	\N
1114192	3805	1994-11-29	VYDAJ	VYBER	5700	35167	\N	\N	\N
1114193	3805	1994-12-29	VYDAJ	VYBER	11900	35252	\N	\N	\N
1114194	3805	1995-01-28	PRIJEM	VKLAD	4800	22317	\N	\N	\N
1114195	3805	1995-02-27	VYDAJ	VYBER	300	24526	\N	\N	\N
1114196	3805	1995-03-29	VYDAJ	VYBER	2400	25987	\N	\N	\N
1114197	3805	1995-04-28	PRIJEM	VKLAD	1300	24552	\N	\N	\N
1114198	3805	1995-05-28	PRIJEM	VKLAD	900	31475	\N	\N	\N
1114199	3805	1995-06-27	VYDAJ	VYBER	3500	31616	\N	\N	\N
1114200	3805	1995-07-27	VYDAJ	VYBER	4700	32981	\N	\N	\N
1114201	3805	1995-08-26	VYDAJ	VYBER	7300	31737	\N	\N	\N
1114202	3805	1995-09-25	VYDAJ	VYBER	4000	33795	\N	\N	\N
1114203	3805	1995-10-25	VYDAJ	VYBER	8400	31451	\N	\N	\N
1114204	3805	1995-11-24	VYDAJ	VYBER	6100	31424	\N	\N	\N
1114205	3805	1995-12-24	VYDAJ	VYBER	4900	36824	\N	\N	\N
1114206	3805	1996-01-23	PRIJEM	VKLAD	4400	26894	\N	\N	\N
1114207	3805	1996-02-22	PRIJEM	VKLAD	1700	34635	\N	\N	\N
1114208	3805	1996-03-23	VYDAJ	VYBER	3000	37675	\N	\N	\N
1114209	3805	1996-04-22	VYDAJ	VYBER	4700	38334	\N	\N	\N
1114210	3805	1996-05-22	VYDAJ	VYBER	7600	36812	\N	\N	\N
1114211	3805	1996-06-21	VYDAJ	VYBER	6400	36964	\N	\N	\N
1114212	3805	1996-07-21	VYDAJ	VYBER	3400	39647	\N	\N	\N
1114213	3805	1996-08-20	VYDAJ	VYBER	300	36553	\N	\N	\N
1114214	3805	1996-09-19	VYDAJ	VYBER	7400	35228	\N	\N	\N
1114215	3805	1996-10-19	VYDAJ	VYBER	6100	35195	\N	\N	\N
1114216	3805	1996-11-18	VYDAJ	VYBER	3300	33271	\N	\N	\N
1114217	3805	1996-12-18	VYDAJ	VYBER	3400	36801	\N	\N	\N
1114218	3805	1997-01-17	PRIJEM	VKLAD	8500	29766	\N	\N	\N
1114219	3805	1997-02-16	VYDAJ	VYBER	2400	31116	\N	\N	\N
1114220	3805	1997-03-18	VYDAJ	VYBER	3900	33258	\N	\N	\N
1114221	3805	1997-04-17	VYDAJ	VYBER	2300	37014	\N	\N	\N
1114222	3805	1997-05-17	VYDAJ	VYBER	6000	37074	\N	\N	\N
1114223	3805	1997-06-16	VYDAJ	VYBER	10900	38156	\N	\N	\N
1114224	3805	1997-07-16	PRIJEM	VKLAD	200	35550	\N	\N	\N
1114225	3805	1997-08-15	VYDAJ	VYBER	3100	38504	\N	\N	\N
1114226	3805	1997-09-14	VYDAJ	VYBER	4800	39776	\N	\N	\N
1114227	3805	1997-10-14	VYDAJ	VYBER	3500	42355	\N	\N	\N
1114228	3805	1997-11-13	VYDAJ	VYBER	6900	41538	\N	\N	\N
1114229	3805	1997-12-13	VYDAJ	VYBER	8500	45038	\N	\N	\N
1114230	3805	1998-01-12	PRIJEM	VKLAD	2200	36929	\N	\N	\N
1114231	3805	1998-02-11	PRIJEM	VKLAD	4400	31770	\N	\N	\N
1114232	3805	1998-03-13	VYDAJ	VYBER	700	30862	\N	\N	\N
1114233	3805	1998-04-12	VYDAJ	VYBER	3500	33401	\N	\N	\N
1114234	3805	1998-05-12	VYDAJ	VYBER	7900	31545	\N	\N	\N
1114235	3805	1998-06-11	VYDAJ	VYBER	5800	34816	\N	\N	\N
1114236	3805	1998-07-11	VYDAJ	VYBER	2600	29782	\N	\N	\N
1114237	3805	1998-08-10	PRIJEM	VKLAD	1400	27009	\N	\N	\N
1114238	3805	1998-09-09	VYDAJ	VYBER	700	32326	\N	\N	\N
1114239	3805	1998-10-09	VYDAJ	VYBER	1000	37360	\N	\N	\N
1114240	3805	1998-11-08	VYDAJ	VYBER	6700	38060	\N	\N	\N
1114295	3806	1996-04-18	PRIJEM	VKLAD	200	200	\N	\N	\N
1114300	3806	1996-05-09	PRIJEM	VKLAD	22568	22768	\N	\N	\N
1114301	3806	1996-06-09	PRIJEM	VKLAD	33852	59368	\N	\N	\N
1114302	3806	1996-07-09	PRIJEM	VKLAD	22568	65376	\N	\N	\N
1114303	3806	1996-08-09	PRIJEM	VKLAD	22568	67926	\N	\N	\N
1114304	3806	1996-09-09	PRIJEM	VKLAD	22568	68985	\N	\N	\N
1114305	3806	1996-10-09	PRIJEM	VKLAD	22568	66637	\N	\N	\N
1114306	3806	1996-11-09	PRIJEM	VKLAD	22568	63884	\N	\N	\N
1114307	3806	1996-12-09	PRIJEM	VKLAD	33852	70301	\N	\N	\N
1114308	3806	1997-01-09	PRIJEM	VKLAD	22568	65745	\N	\N	\N
1114309	3806	1997-02-09	PRIJEM	VKLAD	22568	62981	\N	\N	\N
1114310	3806	1997-03-09	PRIJEM	VKLAD	22568	61508	\N	\N	\N
1114311	3806	1997-04-09	PRIJEM	VKLAD	22568	60533	\N	\N	\N
1114312	3806	1997-05-09	PRIJEM	VKLAD	22568	60053	\N	\N	\N
1114313	3806	1997-06-09	PRIJEM	VKLAD	33852	68555	\N	\N	\N
1114314	3806	1997-07-09	PRIJEM	VKLAD	22568	35566	\N	\N	\N
1114315	3806	1997-08-09	PRIJEM	VKLAD	22568	43201	\N	\N	\N
1114316	3806	1997-09-09	PRIJEM	VKLAD	22568	45353	\N	\N	\N
1114317	3806	1997-10-09	PRIJEM	VKLAD	22568	48112	\N	\N	\N
1114318	3806	1997-11-09	PRIJEM	VKLAD	22568	45176	\N	\N	\N
1114319	3806	1997-12-09	PRIJEM	VKLAD	33852	61326	\N	\N	\N
1114320	3806	1998-01-09	PRIJEM	VKLAD	22568	43302	\N	\N	\N
1114321	3806	1998-02-09	PRIJEM	VKLAD	22568	46203	\N	\N	\N
1114322	3806	1998-03-09	PRIJEM	VKLAD	22568	63219	\N	\N	\N
1114323	3806	1998-04-09	PRIJEM	VKLAD	22568	37810	\N	\N	\N
1114324	3806	1998-05-09	PRIJEM	VKLAD	22568	45661	\N	\N	\N
1114325	3806	1998-06-09	PRIJEM	VKLAD	33852	54152	\N	\N	\N
1114326	3806	1998-07-09	PRIJEM	VKLAD	22568	47693	\N	\N	\N
1114327	3806	1998-08-09	PRIJEM	VKLAD	22568	46823	\N	\N	\N
1114328	3806	1998-09-09	PRIJEM	VKLAD	22568	45542	\N	\N	\N
1114329	3806	1998-10-09	PRIJEM	VKLAD	22568	43555	\N	\N	\N
1114330	3806	1998-11-09	PRIJEM	VKLAD	22568	48360	\N	\N	\N
1114331	3806	1998-12-09	PRIJEM	VKLAD	33852	61065	\N	\N	\N
1114341	3806	1996-10-06	VYDAJ	PREVOD NA UCET	3216	44087	SIPO	WX	51833760
1114342	3806	1996-11-06	VYDAJ	PREVOD NA UCET	3216	41334	SIPO	WX	51833760
1114343	3806	1996-12-06	VYDAJ	PREVOD NA UCET	3216	36467	SIPO	WX	51833760
1114344	3806	1997-01-06	VYDAJ	PREVOD NA UCET	3216	43195	SIPO	WX	51833760
1114345	3806	1997-02-06	VYDAJ	PREVOD NA UCET	3216	40431	SIPO	WX	51833760
1114346	3806	1997-03-06	VYDAJ	PREVOD NA UCET	3216	38958	SIPO	WX	51833760
1114347	3806	1997-04-06	VYDAJ	PREVOD NA UCET	3216	37983	SIPO	WX	51833760
1114348	3806	1997-05-06	VYDAJ	PREVOD NA UCET	3216	37503	SIPO	WX	51833760
1114349	3806	1997-06-06	VYDAJ	PREVOD NA UCET	3216	34721	SIPO	WX	51833760
1114350	3806	1997-07-06	VYDAJ	PREVOD NA UCET	3216	13016	SIPO	WX	51833760
1114351	3806	1997-08-06	VYDAJ	PREVOD NA UCET	3216	20651	SIPO	WX	51833760
1114352	3806	1997-09-06	VYDAJ	PREVOD NA UCET	3216	22803	SIPO	WX	51833760
1114353	3806	1997-10-06	VYDAJ	PREVOD NA UCET	3216	25562	SIPO	WX	51833760
1114354	3806	1997-11-06	VYDAJ	PREVOD NA UCET	3216	22626	SIPO	WX	51833760
1114355	3806	1997-12-06	VYDAJ	PREVOD NA UCET	3216	27492	SIPO	WX	51833760
1114356	3806	1998-01-06	VYDAJ	PREVOD NA UCET	3216	29252	SIPO	WX	51833760
1114357	3806	1998-02-06	VYDAJ	PREVOD NA UCET	3216	37753	SIPO	WX	51833760
1114358	3806	1998-03-06	VYDAJ	PREVOD NA UCET	3216	40669	SIPO	WX	51833760
1114359	3806	1998-04-06	VYDAJ	PREVOD NA UCET	3216	29660	SIPO	WX	51833760
1114360	3806	1998-05-06	VYDAJ	PREVOD NA UCET	3216	27551	SIPO	WX	51833760
1114361	3806	1998-06-06	VYDAJ	PREVOD NA UCET	3216	40118	SIPO	WX	51833760
1114362	3806	1998-07-06	VYDAJ	PREVOD NA UCET	3216	48643	SIPO	WX	51833760
1114363	3806	1998-08-06	VYDAJ	PREVOD NA UCET	3216	42173	SIPO	WX	51833760
1114364	3806	1998-09-06	VYDAJ	PREVOD NA UCET	3216	22992	SIPO	WX	51833760
1114365	3806	1998-10-06	VYDAJ	PREVOD NA UCET	3216	21005	SIPO	WX	51833760
1114366	3806	1998-11-06	VYDAJ	PREVOD NA UCET	3216	25810	SIPO	WX	51833760
1114367	3806	1998-12-06	VYDAJ	PREVOD NA UCET	3216	27231	SIPO	WX	51833760
1114376	3806	1996-09-11	VYDAJ	PREVOD NA UCET	2478	66507	 	AB	66113912
1114377	3806	1996-10-11	VYDAJ	PREVOD NA UCET	2478	64159	 	AB	66113912
1114378	3806	1996-11-11	VYDAJ	PREVOD NA UCET	2478	61406	 	AB	66113912
1114379	3806	1996-12-11	VYDAJ	PREVOD NA UCET	2478	67823	 	AB	66113912
1114380	3806	1997-01-11	VYDAJ	PREVOD NA UCET	2478	63267	 	AB	66113912
1114381	3806	1997-02-11	VYDAJ	PREVOD NA UCET	2478	60503	 	AB	66113912
1114382	3806	1997-03-11	VYDAJ	PREVOD NA UCET	2478	59030	 	AB	66113912
1114383	3806	1997-04-11	VYDAJ	PREVOD NA UCET	2478	58055	 	AB	66113912
1114384	3806	1997-05-11	VYDAJ	PREVOD NA UCET	2478	57575	 	AB	66113912
1114385	3806	1997-06-11	VYDAJ	PREVOD NA UCET	2478	66077	 	AB	66113912
1114386	3806	1997-07-11	VYDAJ	PREVOD NA UCET	2478	31088	 	AB	66113912
1114387	3806	1997-08-11	VYDAJ	PREVOD NA UCET	2478	27123	 	AB	66113912
1114388	3806	1997-09-11	VYDAJ	PREVOD NA UCET	2478	28675	 	AB	66113912
1114389	3806	1997-10-11	VYDAJ	PREVOD NA UCET	2478	33234	 	AB	66113912
1114390	3806	1997-11-11	VYDAJ	PREVOD NA UCET	2478	30598	 	AB	66113912
1114391	3806	1997-12-11	VYDAJ	PREVOD NA UCET	2478	35548	 	AB	66113912
1114392	3806	1998-01-11	VYDAJ	PREVOD NA UCET	2478	40824	 	AB	66113912
1114393	3806	1998-02-11	VYDAJ	PREVOD NA UCET	2478	43725	 	AB	66113912
1114394	3806	1998-03-11	VYDAJ	PREVOD NA UCET	2478	34041	 	AB	66113912
1114395	3806	1998-04-11	VYDAJ	PREVOD NA UCET	2478	35332	 	AB	66113912
1114396	3806	1998-05-11	VYDAJ	PREVOD NA UCET	2478	43183	 	AB	66113912
1114397	3806	1998-06-11	VYDAJ	PREVOD NA UCET	2478	51674	 	AB	66113912
1114398	3806	1998-07-11	VYDAJ	PREVOD NA UCET	2478	45215	 	AB	66113912
1114399	3806	1998-08-11	VYDAJ	PREVOD NA UCET	2478	44345	 	AB	66113912
1114400	3806	1998-09-11	VYDAJ	PREVOD NA UCET	2478	43064	 	AB	66113912
1114401	3806	1998-10-11	VYDAJ	PREVOD NA UCET	2478	41077	 	AB	66113912
1114402	3806	1998-11-11	VYDAJ	PREVOD NA UCET	2478	45882	 	AB	66113912
1114403	3806	1998-12-11	VYDAJ	PREVOD NA UCET	2478	58587	 	AB	66113912
1114413	3806	1996-10-07	VYDAJ	PREVOD NA UCET	18	44069	POJISTNE	ST	6164783
1114414	3806	1996-11-07	VYDAJ	PREVOD NA UCET	18	41316	POJISTNE	ST	6164783
1114415	3806	1996-12-07	VYDAJ	PREVOD NA UCET	18	36449	POJISTNE	ST	6164783
1114416	3806	1997-01-07	VYDAJ	PREVOD NA UCET	18	43177	POJISTNE	ST	6164783
1114515	3806	1997-12-09	VYDAJ	VYBER	23300	38026	\N	\N	\N
1114417	3806	1997-02-07	VYDAJ	PREVOD NA UCET	18	40413	POJISTNE	ST	6164783
1114418	3806	1997-03-07	VYDAJ	PREVOD NA UCET	18	38940	POJISTNE	ST	6164783
1114419	3806	1997-04-07	VYDAJ	PREVOD NA UCET	18	37965	POJISTNE	ST	6164783
1114420	3806	1997-05-07	VYDAJ	PREVOD NA UCET	18	37485	POJISTNE	ST	6164783
1114421	3806	1997-06-07	VYDAJ	PREVOD NA UCET	18	34703	POJISTNE	ST	6164783
1114422	3806	1997-07-07	VYDAJ	PREVOD NA UCET	18	12998	POJISTNE	ST	6164783
1114423	3806	1997-08-07	VYDAJ	PREVOD NA UCET	18	20633	POJISTNE	ST	6164783
1114424	3806	1997-09-07	VYDAJ	PREVOD NA UCET	18	22785	POJISTNE	ST	6164783
1114425	3806	1997-10-07	VYDAJ	PREVOD NA UCET	18	25544	POJISTNE	ST	6164783
1114426	3806	1997-11-07	VYDAJ	PREVOD NA UCET	18	22608	POJISTNE	ST	6164783
1114427	3806	1997-12-07	VYDAJ	PREVOD NA UCET	18	27474	POJISTNE	ST	6164783
1114428	3806	1998-01-07	VYDAJ	PREVOD NA UCET	18	29234	POJISTNE	ST	6164783
1114429	3806	1998-02-07	VYDAJ	PREVOD NA UCET	18	23635	POJISTNE	ST	6164783
1114430	3806	1998-03-07	VYDAJ	PREVOD NA UCET	18	40651	POJISTNE	ST	6164783
1114431	3806	1998-04-07	VYDAJ	PREVOD NA UCET	18	26642	POJISTNE	ST	6164783
1114432	3806	1998-05-07	VYDAJ	PREVOD NA UCET	18	27533	POJISTNE	ST	6164783
1114433	3806	1998-06-07	VYDAJ	PREVOD NA UCET	18	40100	POJISTNE	ST	6164783
1114434	3806	1998-07-07	VYDAJ	PREVOD NA UCET	18	48625	POJISTNE	ST	6164783
1114435	3806	1998-08-07	VYDAJ	PREVOD NA UCET	18	24255	POJISTNE	ST	6164783
1114436	3806	1998-09-07	VYDAJ	PREVOD NA UCET	18	22974	POJISTNE	ST	6164783
1114437	3806	1998-10-07	VYDAJ	PREVOD NA UCET	18	20987	POJISTNE	ST	6164783
1114438	3806	1998-11-07	VYDAJ	PREVOD NA UCET	18	25792	POJISTNE	ST	6164783
1114439	3806	1998-12-07	VYDAJ	PREVOD NA UCET	18	27213	POJISTNE	ST	6164783
1114441	3806	1997-06-17	VYDAJ	VYBER	25760	16117	\N	\N	\N
1114443	3806	1996-12-22	VYDAJ	VYBER	800	46223	\N	\N	\N
1114444	3806	1997-12-15	VYDAJ	VYBER KARTOU	3200	32348	\N	\N	0
1114445	3806	1998-12-12	VYDAJ	VYBER	4320	54267	\N	\N	\N
1114447	3806	1996-10-04	VYDAJ	VYBER	2400	47303	\N	\N	\N
1114450	3806	1996-12-04	VYDAJ	VYBER	3000	39683	\N	\N	\N
1114451	3806	1997-07-10	VYDAJ	VYBER KARTOU	2000	33566	\N	\N	0
1114452	3806	1997-10-19	VYDAJ	VYBER KARTOU	3500	29734	\N	\N	0
1114453	3806	1997-08-14	VYDAJ	VYBER KARTOU	1200	25923	\N	\N	0
1114454	3806	1997-05-21	VYDAJ	VYBER	4800	37775	\N	\N	\N
1114455	3806	1997-10-20	VYDAJ	VYBER KARTOU	4000	25734	\N	\N	0
1114456	3806	1998-03-21	VYDAJ	VYBER KARTOU	1300	32741	\N	\N	0
1114457	3806	1998-04-07	VYDAJ	VYBER KARTOU	3000	26660	\N	\N	0
1114458	3806	1998-05-07	VYDAJ	VYBER	4440	23093	\N	\N	\N
1114459	3806	1998-04-14	VYDAJ	VYBER	4680	30652	\N	\N	\N
1114469	3806	1996-09-30	VYDAJ	VYBER	15	49703	SLUZBY	\N	\N
1114470	3806	1996-10-31	VYDAJ	VYBER	15	44550	SLUZBY	\N	\N
1114471	3806	1996-11-30	VYDAJ	VYBER	15	42683	SLUZBY	\N	\N
1114472	3806	1996-12-31	VYDAJ	VYBER	15	46411	SLUZBY	\N	\N
1114473	3806	1997-01-31	VYDAJ	VYBER	15	43647	SLUZBY	\N	\N
1114474	3806	1997-02-28	VYDAJ	VYBER	15	42174	SLUZBY	\N	\N
1114475	3806	1997-03-31	VYDAJ	VYBER	15	41199	SLUZBY	\N	\N
1114476	3806	1997-04-30	VYDAJ	VYBER	15	40719	SLUZBY	\N	\N
1114477	3806	1997-05-31	VYDAJ	VYBER	15	37937	SLUZBY	\N	\N
1114478	3806	1997-06-30	VYDAJ	VYBER	15	16232	SLUZBY	\N	\N
1114479	3806	1997-07-31	VYDAJ	VYBER	15	23867	SLUZBY	\N	\N
1114480	3806	1997-08-31	VYDAJ	VYBER	15	26019	SLUZBY	\N	\N
1114481	3806	1997-09-30	VYDAJ	VYBER	15	28778	SLUZBY	\N	\N
1114482	3806	1997-10-31	VYDAJ	VYBER	15	25842	SLUZBY	\N	\N
1114483	3806	1997-11-30	VYDAJ	VYBER	15	30708	SLUZBY	\N	\N
1114484	3806	1997-12-31	VYDAJ	VYBER	15	32468	SLUZBY	\N	\N
1114485	3806	1998-01-31	VYDAJ	VYBER	15	40969	SLUZBY	\N	\N
1114486	3806	1998-02-28	VYDAJ	VYBER	15	43885	SLUZBY	\N	\N
1114487	3806	1998-03-31	VYDAJ	VYBER	15	32876	SLUZBY	\N	\N
1114488	3806	1998-04-30	VYDAJ	VYBER	15	30767	SLUZBY	\N	\N
1114489	3806	1998-05-31	VYDAJ	VYBER	15	43334	SLUZBY	\N	\N
1114490	3806	1998-06-30	VYDAJ	VYBER	15	51859	SLUZBY	\N	\N
1114491	3806	1998-07-31	VYDAJ	VYBER	15	45389	SLUZBY	\N	\N
1114492	3806	1998-08-31	VYDAJ	VYBER	15	44508	SLUZBY	\N	\N
1114493	3806	1998-09-30	VYDAJ	VYBER	15	43221	SLUZBY	\N	\N
1114494	3806	1998-10-31	VYDAJ	VYBER	15	41226	SLUZBY	\N	\N
1114495	3806	1998-11-30	VYDAJ	VYBER	15	46047	SLUZBY	\N	\N
1114496	3806	1996-05-18	PRIJEM	VKLAD	2700	25468	\N	\N	\N
1114497	3806	1996-06-17	VYDAJ	VYBER	16700	42668	\N	\N	\N
1114498	3806	1996-07-17	VYDAJ	VYBER	20200	45176	\N	\N	\N
1114499	3806	1996-08-16	VYDAJ	VYBER	21700	46226	\N	\N	\N
1114500	3806	1996-09-15	VYDAJ	VYBER	17000	49507	\N	\N	\N
1114501	3806	1996-10-15	VYDAJ	VYBER	19800	44359	\N	\N	\N
1114502	3806	1996-11-14	VYDAJ	VYBER	18900	42506	\N	\N	\N
1114503	3806	1996-12-14	VYDAJ	VYBER	20800	47023	\N	\N	\N
1114504	3806	1997-01-13	VYDAJ	VYBER	19800	43467	\N	\N	\N
1114505	3806	1997-02-12	VYDAJ	VYBER	18500	42003	\N	\N	\N
1114506	3806	1997-03-14	VYDAJ	VYBER	18000	41030	\N	\N	\N
1114507	3806	1997-04-13	VYDAJ	VYBER	17500	40555	\N	\N	\N
1114508	3806	1997-05-13	VYDAJ	VYBER	15000	42575	\N	\N	\N
1114509	3806	1997-06-12	VYDAJ	VYBER	24200	41877	\N	\N	\N
1114510	3806	1997-07-12	VYDAJ	VYBER	7300	23788	\N	\N	\N
1114511	3806	1997-08-11	VYDAJ	VYBER	13600	29601	\N	\N	\N
1114512	3806	1997-09-10	VYDAJ	VYBER	14200	31153	\N	\N	\N
1114513	3806	1997-10-10	VYDAJ	VYBER	12400	35712	\N	\N	\N
1114514	3806	1997-11-09	VYDAJ	VYBER	12100	33076	\N	\N	\N
1114516	3806	1998-01-08	VYDAJ	VYBER	8500	20734	\N	\N	\N
1114517	3806	1998-02-07	VYDAJ	VYBER	14100	23653	\N	\N	\N
1114518	3806	1998-03-09	VYDAJ	VYBER	26700	36519	\N	\N	\N
1114519	3806	1998-04-08	VYDAJ	VYBER	11400	15242	\N	\N	\N
1114520	3806	1998-06-07	VYDAJ	VYBER	19800	20300	\N	\N	\N
1114521	3806	1998-07-07	VYDAJ	VYBER	23500	25125	\N	\N	\N
1114522	3806	1998-08-06	VYDAJ	VYBER	17900	24273	\N	\N	\N
1114523	3806	1998-09-05	VYDAJ	VYBER	18300	26208	\N	\N	\N
1114524	3806	1998-10-05	VYDAJ	VYBER	19000	24221	\N	\N	\N
1114525	3806	1998-11-04	VYDAJ	VYBER	12200	29026	\N	\N	\N
1114526	3806	1998-12-04	VYDAJ	VYBER	15600	30447	\N	\N	\N
1114559	3807	1995-09-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1114568	3807	1995-09-08	PRIJEM	VKLAD	19532	20532	\N	\N	\N
1114569	3807	1995-10-08	PRIJEM	VKLAD	19532	40630	\N	\N	\N
1114570	3807	1995-11-08	PRIJEM	VKLAD	19532	52612	\N	\N	\N
1114571	3807	1995-12-08	PRIJEM	VKLAD	29298	71718	\N	\N	\N
1114572	3807	1996-01-08	PRIJEM	VKLAD	19532	72730	\N	\N	\N
1114573	3807	1996-02-08	PRIJEM	VKLAD	19532	62263	\N	\N	\N
1114574	3807	1996-03-08	PRIJEM	VKLAD	19532	64041	\N	\N	\N
1114575	3807	1996-04-08	PRIJEM	VKLAD	19532	62989	\N	\N	\N
1114576	3807	1996-05-08	PRIJEM	VKLAD	19532	64536	\N	\N	\N
1114577	3807	1996-06-08	PRIJEM	VKLAD	29298	75754	\N	\N	\N
1114578	3807	1996-07-08	PRIJEM	VKLAD	19532	62727	\N	\N	\N
1114579	3807	1996-08-08	PRIJEM	VKLAD	19532	61266	\N	\N	\N
1114580	3807	1996-09-08	PRIJEM	VKLAD	19532	63703	\N	\N	\N
1114581	3807	1996-10-08	PRIJEM	VKLAD	19532	62939	\N	\N	\N
1114582	3807	1996-11-08	PRIJEM	VKLAD	19532	60443	\N	\N	\N
1114583	3807	1996-12-08	PRIJEM	VKLAD	29298	73931	\N	\N	\N
1114584	3807	1997-01-08	PRIJEM	VKLAD	19532	62773	\N	\N	\N
1114585	3807	1997-02-08	PRIJEM	VKLAD	19532	59188	\N	\N	\N
1114586	3807	1997-03-08	PRIJEM	VKLAD	19532	63805	\N	\N	\N
1114587	3807	1997-04-08	PRIJEM	VKLAD	19532	68941	\N	\N	\N
1114588	3807	1997-05-08	PRIJEM	VKLAD	19532	62993	\N	\N	\N
1114589	3807	1997-06-08	PRIJEM	VKLAD	29298	75090	\N	\N	\N
1114590	3807	1997-07-08	PRIJEM	VKLAD	19532	55017	\N	\N	\N
1114591	3807	1997-08-08	PRIJEM	VKLAD	19532	62115	\N	\N	\N
1114592	3807	1997-09-08	PRIJEM	VKLAD	19532	64937	\N	\N	\N
1114593	3807	1997-10-08	PRIJEM	VKLAD	19532	68271	\N	\N	\N
1114594	3807	1997-11-08	PRIJEM	VKLAD	19532	69616	\N	\N	\N
1114595	3807	1997-12-08	PRIJEM	VKLAD	29298	86137	\N	\N	\N
1114596	3807	1998-01-08	PRIJEM	VKLAD	19532	76437	\N	\N	\N
1114597	3807	1998-02-08	PRIJEM	VKLAD	19532	68207	\N	\N	\N
1114598	3807	1998-03-08	PRIJEM	VKLAD	19532	77259	\N	\N	\N
1114599	3807	1998-04-08	PRIJEM	VKLAD	19532	76236	\N	\N	\N
1114600	3807	1998-05-08	PRIJEM	VKLAD	19532	70670	\N	\N	\N
1114601	3807	1998-06-08	PRIJEM	VKLAD	29298	80892	\N	\N	\N
1114602	3807	1998-07-08	PRIJEM	VKLAD	19532	61472	\N	\N	\N
1114603	3807	1998-08-08	PRIJEM	VKLAD	19532	66592	\N	\N	\N
1114604	3807	1998-09-08	PRIJEM	VKLAD	19532	66721	\N	\N	\N
1114605	3807	1998-10-08	PRIJEM	VKLAD	19532	66447	\N	\N	\N
1114606	3807	1998-11-08	PRIJEM	VKLAD	19532	70078	\N	\N	\N
1114607	3807	1998-12-08	PRIJEM	VKLAD	29298	75976	\N	\N	\N
1114621	3807	1996-02-06	VYDAJ	PREVOD NA UCET	4828	42731	SIPO	GH	5179399
1114622	3807	1996-03-06	VYDAJ	PREVOD NA UCET	4828	44509	SIPO	GH	5179399
1114623	3807	1996-04-06	VYDAJ	PREVOD NA UCET	4828	43457	SIPO	GH	5179399
1114624	3807	1996-05-06	VYDAJ	PREVOD NA UCET	4828	45004	SIPO	GH	5179399
1114625	3807	1996-06-06	VYDAJ	PREVOD NA UCET	4828	46456	SIPO	GH	5179399
1114626	3807	1996-07-06	VYDAJ	PREVOD NA UCET	4828	43195	SIPO	GH	5179399
1114627	3807	1996-08-06	VYDAJ	PREVOD NA UCET	4828	41734	SIPO	GH	5179399
1114628	3807	1996-09-06	VYDAJ	PREVOD NA UCET	4828	44171	SIPO	GH	5179399
1114629	3807	1996-10-06	VYDAJ	PREVOD NA UCET	4828	43407	SIPO	GH	5179399
1114630	3807	1996-11-06	VYDAJ	PREVOD NA UCET	4828	40911	SIPO	GH	5179399
1114631	3807	1996-12-06	VYDAJ	PREVOD NA UCET	4828	44633	SIPO	GH	5179399
1114632	3807	1997-01-06	VYDAJ	PREVOD NA UCET	4828	43841	SIPO	GH	5179399
1114633	3807	1997-02-06	VYDAJ	PREVOD NA UCET	4828	39656	SIPO	GH	5179399
1114634	3807	1997-03-06	VYDAJ	PREVOD NA UCET	4828	44273	SIPO	GH	5179399
1114635	3807	1997-04-06	VYDAJ	PREVOD NA UCET	4828	49409	SIPO	GH	5179399
1114636	3807	1997-05-06	VYDAJ	PREVOD NA UCET	4828	43461	SIPO	GH	5179399
1114637	3807	1997-06-06	VYDAJ	PREVOD NA UCET	4828	45792	SIPO	GH	5179399
1114638	3807	1997-07-06	VYDAJ	PREVOD NA UCET	4828	35485	SIPO	GH	5179399
1114639	3807	1997-08-06	VYDAJ	PREVOD NA UCET	4828	42583	SIPO	GH	5179399
1114640	3807	1997-09-06	VYDAJ	PREVOD NA UCET	4828	45405	SIPO	GH	5179399
1114641	3807	1997-10-06	VYDAJ	PREVOD NA UCET	4828	48739	SIPO	GH	5179399
1114642	3807	1997-11-06	VYDAJ	PREVOD NA UCET	4828	50084	SIPO	GH	5179399
1114643	3807	1997-12-06	VYDAJ	PREVOD NA UCET	4828	56839	SIPO	GH	5179399
1114644	3807	1998-01-06	VYDAJ	PREVOD NA UCET	4828	57905	SIPO	GH	5179399
1114645	3807	1998-02-06	VYDAJ	PREVOD NA UCET	4828	48675	SIPO	GH	5179399
1114646	3807	1998-03-06	VYDAJ	PREVOD NA UCET	4828	57727	SIPO	GH	5179399
1114647	3807	1998-04-06	VYDAJ	PREVOD NA UCET	4828	56704	SIPO	GH	5179399
1114648	3807	1998-05-06	VYDAJ	PREVOD NA UCET	4828	56778	SIPO	GH	5179399
1114649	3807	1998-06-06	VYDAJ	PREVOD NA UCET	4828	51594	SIPO	GH	5179399
1114650	3807	1998-07-06	VYDAJ	PREVOD NA UCET	4828	41940	SIPO	GH	5179399
1114651	3807	1998-08-06	VYDAJ	PREVOD NA UCET	4828	50160	SIPO	GH	5179399
1114652	3807	1998-09-06	VYDAJ	PREVOD NA UCET	4828	47189	SIPO	GH	5179399
1114653	3807	1998-10-06	VYDAJ	PREVOD NA UCET	4828	46915	SIPO	GH	5179399
1114654	3807	1998-11-06	VYDAJ	PREVOD NA UCET	4828	50546	SIPO	GH	5179399
1114655	3807	1998-12-06	VYDAJ	PREVOD NA UCET	4828	46678	SIPO	GH	5179399
1114657	3807	1996-06-09	VYDAJ	VYBER	17600	58154	\N	\N	\N
1114658	3807	1997-06-09	VYDAJ	VYBER	36640	38450	\N	\N	\N
1114659	3807	1998-06-23	VYDAJ	VYBER	18880	46512	\N	\N	\N
1114661	3807	1996-12-29	VYDAJ	VYBER	4480	52851	\N	\N	\N
1114662	3807	1997-12-22	VYDAJ	VYBER KARTOU	4000	82137	\N	\N	0
1114663	3807	1998-12-19	VYDAJ	VYBER KARTOU	2100	55876	\N	\N	0
1114670	3807	1996-01-12	VYDAJ	VYBER	1920	67810	\N	\N	\N
1114671	3807	1996-01-19	VYDAJ	VYBER	1560	62890	\N	\N	\N
1114673	3807	1996-01-19	VYDAJ	VYBER	3360	64450	\N	\N	\N
1114675	3807	1996-01-08	VYDAJ	VYBER	3000	69730	\N	\N	\N
1114676	3807	1997-01-07	VYDAJ	VYBER KARTOU	600	43241	\N	\N	0
1114677	3807	1997-01-29	VYDAJ	VYBER KARTOU	1100	44273	\N	\N	0
1114678	3807	1997-01-17	VYDAJ	VYBER KARTOU	3500	57473	\N	\N	0
1114679	3807	1997-01-17	VYDAJ	VYBER KARTOU	2800	54673	\N	\N	0
1114680	3807	1997-01-28	VYDAJ	VYBER KARTOU	2300	45373	\N	\N	0
1114681	3807	1997-01-12	VYDAJ	VYBER KARTOU	1800	60973	\N	\N	0
1114682	3807	1998-01-23	VYDAJ	VYBER KARTOU	2200	61037	\N	\N	0
1114683	3807	1998-01-23	VYDAJ	VYBER KARTOU	1100	59937	\N	\N	0
1114684	3807	1998-01-03	VYDAJ	VYBER KARTOU	3500	62733	\N	\N	0
1114685	3807	1998-01-07	VYDAJ	VYBER KARTOU	1000	56905	\N	\N	0
1114686	3807	1998-01-25	VYDAJ	VYBER KARTOU	3200	56737	\N	\N	0
1114687	3807	1998-01-21	VYDAJ	VYBER KARTOU	600	75837	\N	\N	0
1114696	3807	1996-12-25	VYDAJ	VYBER KARTOU	1600	72331	\N	\N	0
1114697	3807	1996-02-11	VYDAJ	VYBER	2160	60103	\N	\N	\N
1114698	3807	1996-06-25	VYDAJ	VYBER	3960	54194	\N	\N	\N
1114699	3807	1996-08-01	VYDAJ	VYBER	3600	46562	\N	\N	\N
1114700	3807	1996-10-17	VYDAJ	VYBER	4320	58619	\N	\N	\N
1114701	3807	1997-04-26	VYDAJ	VYBER KARTOU	2300	66641	\N	\N	0
1114702	3807	1997-03-01	VYDAJ	VYBER KARTOU	1400	49101	\N	\N	0
1114703	3807	1997-05-01	VYDAJ	VYBER KARTOU	3600	48289	\N	\N	0
1114704	3807	1997-01-04	VYDAJ	VYBER	4440	48669	\N	\N	\N
1114705	3807	1998-05-07	VYDAJ	VYBER	5640	51138	\N	\N	\N
1114706	3807	1998-02-03	VYDAJ	VYBER KARTOU	3500	53503	\N	\N	0
1114707	3807	1998-05-28	VYDAJ	VYBER KARTOU	4000	56170	\N	\N	0
1114708	3807	1998-08-06	VYDAJ	VYBER KARTOU	3100	47060	\N	\N	0
1114722	3807	1996-01-31	VYDAJ	VYBER	15	63159	SLUZBY	\N	\N
1114723	3807	1996-02-29	VYDAJ	VYBER	15	60337	SLUZBY	\N	\N
1114724	3807	1996-03-31	VYDAJ	VYBER	15	64285	SLUZBY	\N	\N
1114725	3807	1996-04-30	VYDAJ	VYBER	15	63232	SLUZBY	\N	\N
1114726	3807	1996-05-31	VYDAJ	VYBER	15	64784	SLUZBY	\N	\N
1114727	3807	1996-06-30	VYDAJ	VYBER	15	54423	SLUZBY	\N	\N
1114728	3807	1996-07-31	VYDAJ	VYBER	15	62962	SLUZBY	\N	\N
1114729	3807	1996-08-31	VYDAJ	VYBER	15	48999	SLUZBY	\N	\N
1114730	3807	1996-09-30	VYDAJ	VYBER	15	48235	SLUZBY	\N	\N
1114731	3807	1996-10-31	VYDAJ	VYBER	15	45739	SLUZBY	\N	\N
1114732	3807	1996-11-30	VYDAJ	VYBER	15	49461	SLUZBY	\N	\N
1114733	3807	1996-12-31	VYDAJ	VYBER	15	53109	SLUZBY	\N	\N
1114734	3807	1997-01-31	VYDAJ	VYBER	15	44484	SLUZBY	\N	\N
1114735	3807	1997-02-28	VYDAJ	VYBER	15	50501	SLUZBY	\N	\N
1114736	3807	1997-03-31	VYDAJ	VYBER	15	54237	SLUZBY	\N	\N
1114737	3807	1997-04-30	VYDAJ	VYBER	15	51889	SLUZBY	\N	\N
1114738	3807	1997-05-31	VYDAJ	VYBER	15	50620	SLUZBY	\N	\N
1114739	3807	1997-06-30	VYDAJ	VYBER	15	40313	SLUZBY	\N	\N
1114740	3807	1997-07-31	VYDAJ	VYBER	15	47411	SLUZBY	\N	\N
1114741	3807	1997-08-31	VYDAJ	VYBER	15	50233	SLUZBY	\N	\N
1114742	3807	1997-09-30	VYDAJ	VYBER	15	53567	SLUZBY	\N	\N
1114743	3807	1997-10-31	VYDAJ	VYBER	15	54912	SLUZBY	\N	\N
1114744	3807	1997-11-30	VYDAJ	VYBER	15	61667	SLUZBY	\N	\N
1114745	3807	1997-12-31	VYDAJ	VYBER	15	66233	SLUZBY	\N	\N
1114746	3807	1998-01-31	VYDAJ	VYBER	15	57003	SLUZBY	\N	\N
1114747	3807	1998-02-28	VYDAJ	VYBER	15	62555	SLUZBY	\N	\N
1114748	3807	1998-03-31	VYDAJ	VYBER	15	61532	SLUZBY	\N	\N
1114749	3807	1998-04-30	VYDAJ	VYBER	15	61606	SLUZBY	\N	\N
1114750	3807	1998-05-31	VYDAJ	VYBER	15	56422	SLUZBY	\N	\N
1114751	3807	1998-06-30	VYDAJ	VYBER	15	46768	SLUZBY	\N	\N
1114752	3807	1998-07-31	VYDAJ	VYBER	15	54988	SLUZBY	\N	\N
1114753	3807	1998-08-31	VYDAJ	VYBER	15	52017	SLUZBY	\N	\N
1114754	3807	1998-09-30	VYDAJ	VYBER	15	51743	SLUZBY	\N	\N
1114755	3807	1998-10-31	VYDAJ	VYBER	15	55374	SLUZBY	\N	\N
1114756	3807	1998-11-30	VYDAJ	VYBER	15	51506	SLUZBY	\N	\N
1114757	3807	1995-10-05	PRIJEM	VKLAD	500	21098	\N	\N	\N
1114758	3807	1995-11-04	VYDAJ	VYBER	7700	33080	\N	\N	\N
1114759	3807	1995-12-04	VYDAJ	VYBER	10400	42420	\N	\N	\N
1114760	3807	1996-01-03	VYDAJ	VYBER	18800	53198	\N	\N	\N
1114761	3807	1996-02-02	VYDAJ	VYBER	15600	47559	\N	\N	\N
1114762	3807	1996-03-03	VYDAJ	VYBER	11000	49337	\N	\N	\N
1114763	3807	1996-04-02	VYDAJ	VYBER	16000	48285	\N	\N	\N
1114764	3807	1996-05-02	VYDAJ	VYBER	13400	49832	\N	\N	\N
1114765	3807	1996-06-01	VYDAJ	VYBER	13500	51284	\N	\N	\N
1114766	3807	1996-07-01	VYDAJ	VYBER	6400	48023	\N	\N	\N
1114767	3807	1996-07-31	VYDAJ	VYBER	12800	50162	\N	\N	\N
1114768	3807	1996-08-30	VYDAJ	VYBER	12500	48766	\N	\N	\N
1114769	3807	1996-09-29	VYDAJ	VYBER	15700	48003	\N	\N	\N
1114770	3807	1996-10-29	VYDAJ	VYBER	13100	45519	\N	\N	\N
1114771	3807	1996-11-28	VYDAJ	VYBER	11200	49243	\N	\N	\N
1114772	3807	1996-12-28	VYDAJ	VYBER	15000	57331	\N	\N	\N
1114773	3807	1997-01-27	VYDAJ	VYBER	7000	47673	\N	\N	\N
1114774	3807	1997-02-26	VYDAJ	VYBER	8900	50288	\N	\N	\N
1114775	3807	1997-03-28	VYDAJ	VYBER	9800	54005	\N	\N	\N
1114776	3807	1997-04-27	VYDAJ	VYBER	15000	51641	\N	\N	\N
1114777	3807	1997-05-27	VYDAJ	VYBER	12600	50393	\N	\N	\N
1114778	3807	1997-06-26	PRIJEM	VKLAD	1700	40150	\N	\N	\N
1114779	3807	1997-07-26	VYDAJ	VYBER	7800	47217	\N	\N	\N
1114780	3807	1997-08-25	VYDAJ	VYBER	12100	50015	\N	\N	\N
1114781	3807	1997-09-24	VYDAJ	VYBER	11600	53337	\N	\N	\N
1114782	3807	1997-10-24	VYDAJ	VYBER	13600	54671	\N	\N	\N
1114783	3807	1997-11-23	VYDAJ	VYBER	8200	61416	\N	\N	\N
1114784	3807	1997-12-23	VYDAJ	VYBER	16200	65937	\N	\N	\N
1114785	3807	1998-01-22	VYDAJ	VYBER	12600	63237	\N	\N	\N
1114786	3807	1998-02-21	VYDAJ	VYBER	5900	62307	\N	\N	\N
1114787	3807	1998-03-23	VYDAJ	VYBER	16000	61259	\N	\N	\N
1114788	3807	1998-04-22	VYDAJ	VYBER	14900	61336	\N	\N	\N
1114789	3807	1998-05-22	VYDAJ	VYBER	10500	60170	\N	\N	\N
1114790	3807	1998-06-21	VYDAJ	VYBER	15500	65392	\N	\N	\N
1114791	3807	1998-07-21	VYDAJ	VYBER	6700	54772	\N	\N	\N
1114792	3807	1998-08-20	VYDAJ	VYBER	14800	51792	\N	\N	\N
1114793	3807	1998-09-19	VYDAJ	VYBER	15200	51521	\N	\N	\N
1114794	3807	1998-10-19	VYDAJ	VYBER	11300	55147	\N	\N	\N
1114795	3807	1998-11-18	VYDAJ	VYBER	18800	51278	\N	\N	\N
1114796	3807	1998-12-18	VYDAJ	VYBER	18000	57976	\N	\N	\N
1114837	3808	1993-08-11	PRIJEM	VKLAD	500	500	\N	\N	\N
1114845	3808	1993-08-14	PRIJEM	VKLAD	15792	16292	\N	\N	\N
1114846	3808	1993-09-14	PRIJEM	VKLAD	15792	34323	\N	\N	\N
1114847	3808	1993-10-14	PRIJEM	VKLAD	15792	47426	\N	\N	\N
1114848	3808	1993-11-14	PRIJEM	VKLAD	15792	51993	\N	\N	\N
1114849	3808	1993-12-14	PRIJEM	VKLAD	23688	62389	\N	\N	\N
1114850	3808	1994-01-14	PRIJEM	VKLAD	15792	51594	\N	\N	\N
1114851	3808	1994-02-14	PRIJEM	VKLAD	15792	46043	\N	\N	\N
1114852	3808	1994-03-14	PRIJEM	VKLAD	15792	45963	\N	\N	\N
1114853	3808	1994-04-14	PRIJEM	VKLAD	15792	44490	\N	\N	\N
1114854	3808	1994-05-14	PRIJEM	VKLAD	15792	42688	\N	\N	\N
1114855	3808	1994-06-14	PRIJEM	VKLAD	23688	50895	\N	\N	\N
1114856	3808	1994-07-14	PRIJEM	VKLAD	15792	29887	\N	\N	\N
1114857	3808	1994-08-14	PRIJEM	VKLAD	15792	32608	\N	\N	\N
1114858	3808	1994-09-14	PRIJEM	VKLAD	15792	39871	\N	\N	\N
1114859	3808	1994-10-14	PRIJEM	VKLAD	15792	43463	\N	\N	\N
1114860	3808	1994-11-14	PRIJEM	VKLAD	15792	45573	\N	\N	\N
1114861	3808	1994-12-14	PRIJEM	VKLAD	23688	50908	\N	\N	\N
1114862	3808	1995-01-14	PRIJEM	VKLAD	15792	42280	\N	\N	\N
1114863	3808	1995-02-14	PRIJEM	VKLAD	15792	38582	\N	\N	\N
1114864	3808	1995-03-14	PRIJEM	VKLAD	15792	39427	\N	\N	\N
1114865	3808	1995-04-14	PRIJEM	VKLAD	15792	39440	\N	\N	\N
1114866	3808	1995-05-14	PRIJEM	VKLAD	15792	42338	\N	\N	\N
1114867	3808	1995-06-14	PRIJEM	VKLAD	23688	52640	\N	\N	\N
1114868	3808	1995-07-14	PRIJEM	VKLAD	15792	40639	\N	\N	\N
1114869	3808	1995-08-14	PRIJEM	VKLAD	15792	37854	\N	\N	\N
1114870	3808	1995-09-14	PRIJEM	VKLAD	15792	39206	\N	\N	\N
1114871	3808	1995-10-14	PRIJEM	VKLAD	15792	40203	\N	\N	\N
1114872	3808	1995-11-14	PRIJEM	VKLAD	15792	37299	\N	\N	\N
1114873	3808	1995-12-14	PRIJEM	VKLAD	23688	48274	\N	\N	\N
1114874	3808	1996-01-14	PRIJEM	VKLAD	15792	33380	\N	\N	\N
1114875	3808	1996-02-14	PRIJEM	VKLAD	15792	33510	\N	\N	\N
1114876	3808	1996-03-14	PRIJEM	VKLAD	15792	37052	\N	\N	\N
1114877	3808	1996-04-14	PRIJEM	VKLAD	15792	32786	\N	\N	\N
1114878	3808	1996-05-14	PRIJEM	VKLAD	15792	33123	\N	\N	\N
1114879	3808	1996-06-14	PRIJEM	VKLAD	23688	40138	\N	\N	\N
1114880	3808	1996-07-14	PRIJEM	VKLAD	15792	34149	\N	\N	\N
1114881	3808	1996-08-14	PRIJEM	VKLAD	15792	32874	\N	\N	\N
1114882	3808	1996-09-14	PRIJEM	VKLAD	15792	31744	\N	\N	\N
1114883	3808	1996-10-14	PRIJEM	VKLAD	15792	34794	\N	\N	\N
1114884	3808	1996-11-14	PRIJEM	VKLAD	15792	36056	\N	\N	\N
1114885	3808	1996-12-14	PRIJEM	VKLAD	23688	46119	\N	\N	\N
1114886	3808	1997-01-14	PRIJEM	VKLAD	15792	41287	\N	\N	\N
1114887	3808	1997-02-14	PRIJEM	VKLAD	15792	29965	\N	\N	\N
1114888	3808	1997-03-14	PRIJEM	VKLAD	15792	34809	\N	\N	\N
1114889	3808	1997-04-14	PRIJEM	VKLAD	15792	38072	\N	\N	\N
1114890	3808	1997-05-14	PRIJEM	VKLAD	15792	38843	\N	\N	\N
1114891	3808	1997-06-14	PRIJEM	VKLAD	23688	43292	\N	\N	\N
1114892	3808	1997-07-14	PRIJEM	VKLAD	15792	43369	\N	\N	\N
1114893	3808	1997-08-14	PRIJEM	VKLAD	15792	46966	\N	\N	\N
1114894	3808	1997-09-14	PRIJEM	VKLAD	15792	45515	\N	\N	\N
1114895	3808	1997-10-14	PRIJEM	VKLAD	15792	44917	\N	\N	\N
1114896	3808	1997-11-14	PRIJEM	VKLAD	15792	47817	\N	\N	\N
1114897	3808	1997-12-14	PRIJEM	VKLAD	23688	47714	\N	\N	\N
1114898	3808	1998-01-14	PRIJEM	VKLAD	15792	46157	\N	\N	\N
1114899	3808	1998-02-14	PRIJEM	VKLAD	15792	27704	\N	\N	\N
1114900	3808	1998-03-14	PRIJEM	VKLAD	15792	36348	\N	\N	\N
1114901	3808	1998-04-14	PRIJEM	VKLAD	15792	42758	\N	\N	\N
1114902	3808	1998-05-14	PRIJEM	VKLAD	15792	50656	\N	\N	\N
1114903	3808	1998-06-14	PRIJEM	VKLAD	23688	36527	\N	\N	\N
1114904	3808	1998-07-14	PRIJEM	VKLAD	15792	48258	\N	\N	\N
1114905	3808	1998-08-14	PRIJEM	VKLAD	15792	56281	\N	\N	\N
1114906	3808	1998-09-14	PRIJEM	VKLAD	15792	59926	\N	\N	\N
1114907	3808	1998-10-14	PRIJEM	VKLAD	15792	59021	\N	\N	\N
1114908	3808	1998-11-14	PRIJEM	VKLAD	15792	62318	\N	\N	\N
1114909	3808	1998-12-14	PRIJEM	VKLAD	23688	79590	\N	\N	\N
1114922	3808	1994-01-06	VYDAJ	PREVOD NA UCET	1966	59529	SIPO	AB	7896417
1114923	3808	1994-02-06	VYDAJ	PREVOD NA UCET	1966	40018	SIPO	AB	7896417
1114924	3808	1994-03-06	VYDAJ	PREVOD NA UCET	1966	44238	SIPO	AB	7896417
1114925	3808	1994-04-06	VYDAJ	PREVOD NA UCET	1966	44165	SIPO	AB	7896417
1114926	3808	1994-05-06	VYDAJ	PREVOD NA UCET	1966	39563	SIPO	AB	7896417
1114927	3808	1994-06-06	VYDAJ	PREVOD NA UCET	1966	40874	SIPO	AB	7896417
1114928	3808	1994-07-06	VYDAJ	PREVOD NA UCET	1966	14162	SIPO	AB	7896417
1114929	3808	1994-08-06	VYDAJ	PREVOD NA UCET	1966	21583	SIPO	AB	7896417
1114930	3808	1994-09-06	VYDAJ	PREVOD NA UCET	1966	28846	SIPO	AB	7896417
1114931	3808	1994-10-06	VYDAJ	PREVOD NA UCET	1966	32438	SIPO	AB	7896417
1114932	3808	1994-11-06	VYDAJ	PREVOD NA UCET	1966	34548	SIPO	AB	7896417
1114933	3808	1994-12-06	VYDAJ	PREVOD NA UCET	1966	34067	SIPO	AB	7896417
1114934	3808	1995-01-06	VYDAJ	PREVOD NA UCET	1966	35695	SIPO	AB	7896417
1114935	3808	1995-02-06	VYDAJ	PREVOD NA UCET	1966	27557	SIPO	AB	7896417
1114936	3808	1995-03-06	VYDAJ	PREVOD NA UCET	1966	28402	SIPO	AB	7896417
1114937	3808	1995-04-06	VYDAJ	PREVOD NA UCET	1966	33095	SIPO	AB	7896417
1114938	3808	1995-05-06	VYDAJ	PREVOD NA UCET	1966	31313	SIPO	AB	7896417
1114939	3808	1995-06-06	VYDAJ	PREVOD NA UCET	1966	33719	SIPO	AB	7896417
1114940	3808	1995-07-06	VYDAJ	PREVOD NA UCET	1966	29614	SIPO	AB	7896417
1114941	3808	1995-08-06	VYDAJ	PREVOD NA UCET	1966	30309	SIPO	AB	7896417
1114942	3808	1995-09-06	VYDAJ	PREVOD NA UCET	1966	30221	SIPO	AB	7896417
1114943	3808	1995-10-06	VYDAJ	PREVOD NA UCET	1966	29178	SIPO	AB	7896417
1114944	3808	1995-11-06	VYDAJ	PREVOD NA UCET	1966	26274	SIPO	AB	7896417
1114945	3808	1995-12-06	VYDAJ	PREVOD NA UCET	1966	29353	SIPO	AB	7896417
1114946	3808	1996-01-06	VYDAJ	PREVOD NA UCET	1966	22355	SIPO	AB	7896417
1114947	3808	1996-02-06	VYDAJ	PREVOD NA UCET	1966	22485	SIPO	AB	7896417
1114948	3808	1996-03-06	VYDAJ	PREVOD NA UCET	1966	26747	SIPO	AB	7896417
1114949	3808	1996-04-06	VYDAJ	PREVOD NA UCET	1966	21761	SIPO	AB	7896417
1114950	3808	1996-05-06	VYDAJ	PREVOD NA UCET	1966	22098	SIPO	AB	7896417
1114951	3808	1996-06-06	VYDAJ	PREVOD NA UCET	1966	21217	SIPO	AB	7896417
1114952	3808	1996-07-06	VYDAJ	PREVOD NA UCET	1966	28884	SIPO	AB	7896417
1114953	3808	1996-08-06	VYDAJ	PREVOD NA UCET	1966	21849	SIPO	AB	7896417
1114954	3808	1996-09-06	VYDAJ	PREVOD NA UCET	1966	20719	SIPO	AB	7896417
1114955	3808	1996-10-06	VYDAJ	PREVOD NA UCET	1966	23769	SIPO	AB	7896417
1114956	3808	1996-11-06	VYDAJ	PREVOD NA UCET	1966	25031	SIPO	AB	7896417
1114957	3808	1996-12-06	VYDAJ	PREVOD NA UCET	1966	27198	SIPO	AB	7896417
1114958	3808	1997-01-06	VYDAJ	PREVOD NA UCET	1966	33262	SIPO	AB	7896417
1114959	3808	1997-02-06	VYDAJ	PREVOD NA UCET	1966	18940	SIPO	AB	7896417
1114960	3808	1997-03-06	VYDAJ	PREVOD NA UCET	1966	23784	SIPO	AB	7896417
1114961	3808	1997-04-06	VYDAJ	PREVOD NA UCET	1966	27047	SIPO	AB	7896417
1114962	3808	1997-05-06	VYDAJ	PREVOD NA UCET	1966	27818	SIPO	AB	7896417
1114963	3808	1997-06-06	VYDAJ	PREVOD NA UCET	1966	24371	SIPO	AB	7896417
1114964	3808	1997-07-06	VYDAJ	PREVOD NA UCET	1966	32344	SIPO	AB	7896417
1114965	3808	1997-08-06	VYDAJ	PREVOD NA UCET	1966	35941	SIPO	AB	7896417
1114966	3808	1997-09-06	VYDAJ	PREVOD NA UCET	1966	39170	SIPO	AB	7896417
1114967	3808	1997-10-06	VYDAJ	PREVOD NA UCET	1966	33892	SIPO	AB	7896417
1114968	3808	1997-11-06	VYDAJ	PREVOD NA UCET	1966	36792	SIPO	AB	7896417
1114969	3808	1997-12-06	VYDAJ	PREVOD NA UCET	1966	34193	SIPO	AB	7896417
1114970	3808	1998-01-06	VYDAJ	PREVOD NA UCET	1966	38612	SIPO	AB	7896417
1114971	3808	1998-02-06	VYDAJ	PREVOD NA UCET	1966	16679	SIPO	AB	7896417
1114972	3808	1998-03-06	VYDAJ	PREVOD NA UCET	1966	25323	SIPO	AB	7896417
1114973	3808	1998-04-06	VYDAJ	PREVOD NA UCET	1966	31733	SIPO	AB	7896417
1114974	3808	1998-05-06	VYDAJ	PREVOD NA UCET	1966	39631	SIPO	AB	7896417
1114975	3808	1998-06-06	VYDAJ	PREVOD NA UCET	1966	17606	SIPO	AB	7896417
1114976	3808	1998-07-06	VYDAJ	PREVOD NA UCET	1966	37233	SIPO	AB	7896417
1114977	3808	1998-08-06	VYDAJ	PREVOD NA UCET	1966	45256	SIPO	AB	7896417
1114978	3808	1998-09-06	VYDAJ	PREVOD NA UCET	1966	48901	SIPO	AB	7896417
1114979	3808	1998-10-06	VYDAJ	PREVOD NA UCET	1966	51356	SIPO	AB	7896417
1114980	3808	1998-11-06	VYDAJ	PREVOD NA UCET	1966	47793	SIPO	AB	7896417
1114981	3808	1998-12-06	VYDAJ	PREVOD NA UCET	1966	60569	SIPO	AB	7896417
1114994	3808	1994-01-12	VYDAJ	PREVOD NA UCET	4767	38562	 	GH	27884578
1114995	3808	1994-02-12	VYDAJ	PREVOD NA UCET	4767	30251	 	GH	27884578
1114996	3808	1994-03-12	VYDAJ	PREVOD NA UCET	4767	30171	 	GH	27884578
1114997	3808	1994-04-12	VYDAJ	PREVOD NA UCET	4767	28698	 	GH	27884578
1114998	3808	1994-05-12	VYDAJ	PREVOD NA UCET	4767	26896	 	GH	27884578
1114999	3808	1994-06-12	VYDAJ	PREVOD NA UCET	4767	27207	 	GH	27884578
1115000	3808	1994-07-12	VYDAJ	PREVOD NA UCET	4767	14095	 	GH	27884578
1115001	3808	1994-08-12	VYDAJ	PREVOD NA UCET	4767	16816	 	GH	27884578
1115002	3808	1994-09-12	VYDAJ	PREVOD NA UCET	4767	24079	 	GH	27884578
1115003	3808	1994-10-12	VYDAJ	PREVOD NA UCET	4767	27671	 	GH	27884578
1115004	3808	1994-11-12	VYDAJ	PREVOD NA UCET	4767	29781	 	GH	27884578
1115005	3808	1994-12-12	VYDAJ	PREVOD NA UCET	4767	27220	 	GH	27884578
1115006	3808	1995-01-12	VYDAJ	PREVOD NA UCET	4767	26488	 	GH	27884578
1115007	3808	1995-02-12	VYDAJ	PREVOD NA UCET	4767	22790	 	GH	27884578
1115008	3808	1995-03-12	VYDAJ	PREVOD NA UCET	4767	23635	 	GH	27884578
1115009	3808	1995-04-12	VYDAJ	PREVOD NA UCET	4767	28328	 	GH	27884578
1115010	3808	1995-05-12	VYDAJ	PREVOD NA UCET	4767	26546	 	GH	27884578
1115011	3808	1995-06-12	VYDAJ	PREVOD NA UCET	4767	28952	 	GH	27884578
1115012	3808	1995-07-12	VYDAJ	PREVOD NA UCET	4767	24847	 	GH	27884578
1115013	3808	1995-08-12	VYDAJ	PREVOD NA UCET	4767	22062	 	GH	27884578
1115014	3808	1995-09-12	VYDAJ	PREVOD NA UCET	4767	23414	 	GH	27884578
1115015	3808	1995-10-12	VYDAJ	PREVOD NA UCET	4767	24411	 	GH	27884578
1115016	3808	1995-11-12	VYDAJ	PREVOD NA UCET	4767	21507	 	GH	27884578
1115017	3808	1995-12-12	VYDAJ	PREVOD NA UCET	4767	24586	 	GH	27884578
1115018	3808	1996-01-12	VYDAJ	PREVOD NA UCET	4767	17588	 	GH	27884578
1115019	3808	1996-02-12	VYDAJ	PREVOD NA UCET	4767	17718	 	GH	27884578
1115020	3808	1996-03-12	VYDAJ	PREVOD NA UCET	4767	21260	 	GH	27884578
1115021	3808	1996-04-12	VYDAJ	PREVOD NA UCET	4767	16994	 	GH	27884578
1115022	3808	1996-05-12	VYDAJ	PREVOD NA UCET	4767	17331	 	GH	27884578
1115023	3808	1996-06-12	VYDAJ	PREVOD NA UCET	4767	16450	 	GH	27884578
1115024	3808	1996-07-12	VYDAJ	PREVOD NA UCET	4767	18357	 	GH	27884578
1115025	3808	1996-08-12	VYDAJ	PREVOD NA UCET	4767	17082	 	GH	27884578
1115026	3808	1996-09-12	VYDAJ	PREVOD NA UCET	4767	15952	 	GH	27884578
1115027	3808	1996-10-12	VYDAJ	PREVOD NA UCET	4767	19002	 	GH	27884578
1115028	3808	1996-11-12	VYDAJ	PREVOD NA UCET	4767	20264	 	GH	27884578
1115029	3808	1996-12-12	VYDAJ	PREVOD NA UCET	4767	22431	 	GH	27884578
1115030	3808	1997-01-12	VYDAJ	PREVOD NA UCET	4767	28495	 	GH	27884578
1115031	3808	1997-02-12	VYDAJ	PREVOD NA UCET	4767	14173	 	GH	27884578
1115032	3808	1997-03-12	VYDAJ	PREVOD NA UCET	4767	19017	 	GH	27884578
1115033	3808	1997-04-12	VYDAJ	PREVOD NA UCET	4767	22280	 	GH	27884578
1115034	3808	1997-05-12	VYDAJ	PREVOD NA UCET	4767	23051	 	GH	27884578
1115035	3808	1997-06-12	VYDAJ	PREVOD NA UCET	4767	19604	 	GH	27884578
1115036	3808	1997-07-12	VYDAJ	PREVOD NA UCET	4767	27577	 	GH	27884578
1115037	3808	1997-08-12	VYDAJ	PREVOD NA UCET	4767	31174	 	GH	27884578
1115038	3808	1997-09-12	VYDAJ	PREVOD NA UCET	4767	29723	 	GH	27884578
1115039	3808	1997-10-12	VYDAJ	PREVOD NA UCET	4767	29125	 	GH	27884578
1115040	3808	1997-11-12	VYDAJ	PREVOD NA UCET	4767	32025	 	GH	27884578
1115041	3808	1997-12-12	VYDAJ	PREVOD NA UCET	4767	24026	 	GH	27884578
1115042	3808	1998-01-12	VYDAJ	PREVOD NA UCET	4767	30365	 	GH	27884578
1115043	3808	1998-02-12	VYDAJ	PREVOD NA UCET	4767	11912	 	GH	27884578
1115044	3808	1998-03-12	VYDAJ	PREVOD NA UCET	4767	20556	 	GH	27884578
1115045	3808	1998-04-12	VYDAJ	PREVOD NA UCET	4767	26966	 	GH	27884578
1115046	3808	1998-05-12	VYDAJ	PREVOD NA UCET	4767	34864	 	GH	27884578
1115047	3808	1998-06-12	VYDAJ	PREVOD NA UCET	4767	12839	 	GH	27884578
1115048	3808	1998-07-12	VYDAJ	PREVOD NA UCET	4767	32466	 	GH	27884578
1115049	3808	1998-08-12	VYDAJ	PREVOD NA UCET	4767	40489	 	GH	27884578
1115050	3808	1998-09-12	VYDAJ	PREVOD NA UCET	4767	44134	 	GH	27884578
1115051	3808	1998-10-12	VYDAJ	PREVOD NA UCET	4767	46589	 	GH	27884578
1115052	3808	1998-11-12	VYDAJ	PREVOD NA UCET	4767	43026	 	GH	27884578
1115053	3808	1998-12-12	VYDAJ	PREVOD NA UCET	4767	55802	 	GH	27884578
1115055	3808	1994-06-19	VYDAJ	VYBER	34880	16015	\N	\N	\N
1115056	3808	1995-06-18	VYDAJ	VYBER	19200	33440	\N	\N	\N
1115059	3808	1998-06-02	VYDAJ	VYBER	22080	19572	\N	\N	\N
1115061	3808	1994-01-30	VYDAJ	VYBER	2240	41794	\N	\N	\N
1115062	3808	1995-01-09	VYDAJ	VYBER	1920	32815	\N	\N	\N
1115063	3808	1996-01-01	VYDAJ	VYBER	6880	27561	\N	\N	\N
1115064	3808	1997-01-26	VYDAJ	VYBER	2720	28467	\N	\N	\N
1115065	3808	1998-01-29	VYDAJ	VYBER	12000	20557	\N	\N	\N
1115066	3808	1993-12-26	VYDAJ	VYBER	1120	61269	\N	\N	\N
1115067	3808	1994-12-09	VYDAJ	VYBER	2080	31987	\N	\N	\N
1115068	3808	1995-12-24	VYDAJ	VYBER	2080	46194	\N	\N	\N
1115069	3808	1996-12-20	VYDAJ	VYBER	4320	41799	\N	\N	\N
1115070	3808	1997-12-27	VYDAJ	VYBER	1280	40434	\N	\N	\N
1115071	3808	1998-12-25	VYDAJ	VYBER	2560	77030	\N	\N	\N
1115078	3808	1994-01-19	VYDAJ	VYBER	1560	49074	\N	\N	\N
1115079	3808	1994-01-21	VYDAJ	VYBER	3120	45954	\N	\N	\N
1115080	3808	1994-01-13	VYDAJ	VYBER	2760	35802	\N	\N	\N
1115081	3808	1994-01-07	VYDAJ	VYBER	2400	57129	\N	\N	\N
1115082	3808	1994-01-18	VYDAJ	VYBER	960	50634	\N	\N	\N
1115083	3808	1994-01-28	VYDAJ	VYBER	1920	44034	\N	\N	\N
1115084	3808	1995-01-11	VYDAJ	VYBER	1560	31255	\N	\N	\N
1115085	3808	1995-01-06	VYDAJ	VYBER	960	37661	\N	\N	\N
1115086	3808	1995-01-08	VYDAJ	VYBER	960	34735	\N	\N	\N
1115087	3808	1995-01-22	VYDAJ	VYBER	2760	38680	\N	\N	\N
1115088	3808	1995-01-26	VYDAJ	VYBER	2400	36280	\N	\N	\N
1115089	3808	1995-01-17	VYDAJ	VYBER	840	41440	\N	\N	\N
1115090	3808	1996-01-05	VYDAJ	VYBER	2640	24321	\N	\N	\N
1115091	3808	1996-01-15	VYDAJ	VYBER	2640	27380	\N	\N	\N
1115092	3808	1996-01-04	VYDAJ	VYBER	600	26961	\N	\N	\N
1115093	3808	1996-01-23	VYDAJ	VYBER	1200	26180	\N	\N	\N
1115094	3808	1996-01-14	VYDAJ	VYBER	3360	30020	\N	\N	\N
1115095	3808	1996-01-26	VYDAJ	VYBER	1320	24860	\N	\N	\N
1115096	3808	1997-01-14	VYDAJ	VYBER	3480	37807	\N	\N	\N
1115097	3808	1997-01-25	VYDAJ	VYBER	1440	31187	\N	\N	\N
1115098	3808	1997-01-16	VYDAJ	VYBER	1200	34927	\N	\N	\N
1115099	3808	1997-01-13	VYDAJ	VYBER	3000	25495	\N	\N	\N
1115100	3808	1997-01-15	VYDAJ	VYBER	1680	36127	\N	\N	\N
1115101	3808	1997-01-28	VYDAJ	VYBER	2880	25587	\N	\N	\N
1115102	3808	1998-01-15	VYDAJ	VYBER	2520	43637	\N	\N	\N
1115103	3808	1998-01-30	VYDAJ	VYBER	2040	18517	\N	\N	\N
1115104	3808	1998-01-27	VYDAJ	VYBER	1200	32557	\N	\N	\N
1115105	3808	1998-01-22	VYDAJ	VYBER	1440	33757	\N	\N	\N
1115106	3808	1998-01-20	VYDAJ	VYBER	2640	35197	\N	\N	\N
1115107	3808	1998-01-07	VYDAJ	VYBER	3480	35132	\N	\N	\N
1115111	3808	1994-08-05	VYDAJ	VYBER	3600	23249	\N	\N	\N
1115112	3808	1994-04-23	VYDAJ	VYBER	3120	41370	\N	\N	\N
1115113	3808	1994-07-21	VYDAJ	VYBER	3120	26767	\N	\N	\N
1115114	3808	1995-01-02	VYDAJ	VYBER	960	50121	\N	\N	\N
1115115	3808	1995-10-21	VYDAJ	VYBER	5400	34803	\N	\N	\N
1115116	3808	1995-04-12	VYDAJ	VYBER	4680	23648	\N	\N	\N
1115117	3808	1995-08-11	VYDAJ	VYBER	3480	26829	\N	\N	\N
1115118	3808	1995-09-09	VYDAJ	VYBER	2040	28181	\N	\N	\N
1115119	3808	1995-02-21	VYDAJ	VYBER	3240	35342	\N	\N	\N
1115120	3808	1996-03-28	VYDAJ	VYBER	4920	32132	\N	\N	\N
1115121	3808	1996-07-23	VYDAJ	VYBER	3240	30909	\N	\N	\N
1115122	3808	1996-08-15	VYDAJ	VYBER	1680	31194	\N	\N	\N
1115123	3808	1996-03-11	VYDAJ	VYBER	720	26027	\N	\N	\N
1115124	3808	1996-06-02	VYDAJ	VYBER	3240	23183	\N	\N	\N
1115125	3808	1996-08-25	VYDAJ	VYBER	1800	29394	\N	\N	\N
1115126	3808	1996-03-30	VYDAJ	VYBER	720	23612	\N	\N	\N
1115127	3808	1996-07-10	VYDAJ	VYBER	5760	23124	\N	\N	\N
1115128	3808	1996-04-27	VYDAJ	VYBER	1920	23966	\N	\N	\N
1115129	3808	1997-05-22	VYDAJ	VYBER	5400	33443	\N	\N	\N
1115130	3808	1997-12-10	VYDAJ	VYBER	5400	28793	\N	\N	\N
1115131	3808	1997-09-06	VYDAJ	VYBER	4680	34490	\N	\N	\N
1115132	3808	1997-02-01	VYDAJ	VYBER	4800	20906	\N	\N	\N
1115133	3808	1997-08-19	VYDAJ	VYBER	1080	45886	\N	\N	\N
1115134	3808	1997-06-06	VYDAJ	VYBER	2520	26337	\N	\N	\N
1115135	3808	1998-03-01	VYDAJ	VYBER	4200	27289	\N	\N	\N
1115136	3808	1998-05-14	VYDAJ	VYBER	840	49816	\N	\N	\N
1115137	3808	1998-07-05	VYDAJ	VYBER	5760	39199	\N	\N	\N
1115138	3808	1998-10-13	VYDAJ	VYBER	3360	43229	\N	\N	\N
1115139	3808	1998-05-16	VYDAJ	VYBER	5520	44296	\N	\N	\N
1115140	3808	1998-03-14	VYDAJ	VYBER	4560	31788	\N	\N	\N
1115141	3808	1998-11-05	VYDAJ	VYBER	2760	49759	\N	\N	\N
1115154	3808	1993-12-31	VYDAJ	VYBER	15	61495	SLUZBY	\N	\N
1115155	3808	1994-01-31	VYDAJ	VYBER	15	41984	SLUZBY	\N	\N
1115156	3808	1994-02-28	VYDAJ	VYBER	15	46204	SLUZBY	\N	\N
1115157	3808	1994-03-31	VYDAJ	VYBER	15	46131	SLUZBY	\N	\N
1115158	3808	1994-04-30	VYDAJ	VYBER	15	41529	SLUZBY	\N	\N
1115159	3808	1994-05-31	VYDAJ	VYBER	15	42840	SLUZBY	\N	\N
1115160	3808	1994-06-30	VYDAJ	VYBER	15	16128	SLUZBY	\N	\N
1115161	3808	1994-07-31	VYDAJ	VYBER	15	26849	SLUZBY	\N	\N
1115162	3808	1994-08-31	VYDAJ	VYBER	15	32712	SLUZBY	\N	\N
1115163	3808	1994-09-30	VYDAJ	VYBER	15	40004	SLUZBY	\N	\N
1115164	3808	1994-10-31	VYDAJ	VYBER	15	43614	SLUZBY	\N	\N
1115165	3808	1994-11-30	VYDAJ	VYBER	15	45733	SLUZBY	\N	\N
1115166	3808	1994-12-31	VYDAJ	VYBER	15	51081	SLUZBY	\N	\N
1115167	3808	1995-01-31	VYDAJ	VYBER	15	36423	SLUZBY	\N	\N
1115168	3808	1995-02-28	VYDAJ	VYBER	15	35468	SLUZBY	\N	\N
1115169	3808	1995-03-31	VYDAJ	VYBER	15	39561	SLUZBY	\N	\N
1115170	3808	1995-04-30	VYDAJ	VYBER	15	39579	SLUZBY	\N	\N
1115171	3808	1995-05-31	VYDAJ	VYBER	15	42485	SLUZBY	\N	\N
1115172	3808	1995-06-30	VYDAJ	VYBER	15	33580	SLUZBY	\N	\N
1115173	3808	1995-07-31	VYDAJ	VYBER	15	40775	SLUZBY	\N	\N
1115174	3808	1995-08-31	VYDAJ	VYBER	15	37987	SLUZBY	\N	\N
1115175	3808	1995-09-30	VYDAJ	VYBER	15	39344	SLUZBY	\N	\N
1115176	3808	1995-10-31	VYDAJ	VYBER	15	28240	SLUZBY	\N	\N
1115177	3808	1995-11-30	VYDAJ	VYBER	15	31319	SLUZBY	\N	\N
1115178	3808	1995-12-31	VYDAJ	VYBER	15	34441	SLUZBY	\N	\N
1115179	3808	1996-01-31	VYDAJ	VYBER	15	24451	SLUZBY	\N	\N
1115180	3808	1996-02-29	VYDAJ	VYBER	15	28713	SLUZBY	\N	\N
1115181	3808	1996-03-31	VYDAJ	VYBER	15	23727	SLUZBY	\N	\N
1115182	3808	1996-04-30	VYDAJ	VYBER	15	24064	SLUZBY	\N	\N
1115183	3808	1996-05-31	VYDAJ	VYBER	15	26423	SLUZBY	\N	\N
1115184	3808	1996-06-30	VYDAJ	VYBER	15	30850	SLUZBY	\N	\N
1115185	3808	1996-07-31	VYDAJ	VYBER	15	23815	SLUZBY	\N	\N
1115186	3808	1996-08-31	VYDAJ	VYBER	15	22685	SLUZBY	\N	\N
1115187	3808	1996-09-30	VYDAJ	VYBER	15	25735	SLUZBY	\N	\N
1115188	3808	1996-10-31	VYDAJ	VYBER	15	26997	SLUZBY	\N	\N
1115189	3808	1996-11-30	VYDAJ	VYBER	15	29164	SLUZBY	\N	\N
1115190	3808	1996-12-31	VYDAJ	VYBER	15	35228	SLUZBY	\N	\N
1115191	3808	1997-01-31	VYDAJ	VYBER	15	25706	SLUZBY	\N	\N
1115192	3808	1997-02-28	VYDAJ	VYBER	15	25750	SLUZBY	\N	\N
1115193	3808	1997-03-31	VYDAJ	VYBER	15	29013	SLUZBY	\N	\N
1115194	3808	1997-04-30	VYDAJ	VYBER	15	29784	SLUZBY	\N	\N
1115195	3808	1997-05-31	VYDAJ	VYBER	15	28857	SLUZBY	\N	\N
1115196	3808	1997-06-30	VYDAJ	VYBER	15	34310	SLUZBY	\N	\N
1115197	3808	1997-07-31	VYDAJ	VYBER	15	37907	SLUZBY	\N	\N
1115198	3808	1997-08-31	VYDAJ	VYBER	15	41136	SLUZBY	\N	\N
1115199	3808	1997-09-30	VYDAJ	VYBER	15	35858	SLUZBY	\N	\N
1115200	3808	1997-10-31	VYDAJ	VYBER	15	38758	SLUZBY	\N	\N
1115201	3808	1997-11-30	VYDAJ	VYBER	15	36159	SLUZBY	\N	\N
1115202	3808	1997-12-31	VYDAJ	VYBER	15	40578	SLUZBY	\N	\N
1115203	3808	1998-01-31	VYDAJ	VYBER	15	18645	SLUZBY	\N	\N
1115204	3808	1998-02-28	VYDAJ	VYBER	15	31489	SLUZBY	\N	\N
1115205	3808	1998-03-31	VYDAJ	VYBER	15	33699	SLUZBY	\N	\N
1115206	3808	1998-04-30	VYDAJ	VYBER	15	41597	SLUZBY	\N	\N
1115207	3808	1998-05-31	VYDAJ	VYBER	15	41652	SLUZBY	\N	\N
1115208	3808	1998-06-30	VYDAJ	VYBER	15	44959	SLUZBY	\N	\N
1115209	3808	1998-07-31	VYDAJ	VYBER	15	47222	SLUZBY	\N	\N
1115210	3808	1998-08-31	VYDAJ	VYBER	15	50867	SLUZBY	\N	\N
1115211	3808	1998-09-30	VYDAJ	VYBER	15	53322	SLUZBY	\N	\N
1115212	3808	1998-10-31	VYDAJ	VYBER	15	52519	SLUZBY	\N	\N
1115213	3808	1998-11-30	VYDAJ	VYBER	15	62535	SLUZBY	\N	\N
1115214	3808	1993-09-10	PRIJEM	VKLAD	2200	18531	\N	\N	\N
1115215	3808	1993-10-10	VYDAJ	VYBER	2800	31634	\N	\N	\N
1115216	3808	1993-11-09	VYDAJ	VYBER	11400	36201	\N	\N	\N
1115217	3808	1993-12-09	VYDAJ	VYBER	13500	38701	\N	\N	\N
1115218	3808	1994-01-08	VYDAJ	VYBER	13800	43329	\N	\N	\N
1115219	3808	1994-02-07	VYDAJ	VYBER	5000	35018	\N	\N	\N
1115220	3808	1994-03-09	VYDAJ	VYBER	9300	34938	\N	\N	\N
1115221	3808	1994-04-08	VYDAJ	VYBER	10700	33465	\N	\N	\N
1115222	3808	1994-05-08	VYDAJ	VYBER	7900	31663	\N	\N	\N
1115223	3808	1994-06-07	VYDAJ	VYBER	8900	31974	\N	\N	\N
1115224	3808	1994-07-07	PRIJEM	VKLAD	4700	18862	\N	\N	\N
1115225	3808	1994-08-06	PRIJEM	VKLAD	300	23549	\N	\N	\N
1115226	3808	1994-09-05	VYDAJ	VYBER	1900	30812	\N	\N	\N
1115227	3808	1994-10-05	VYDAJ	VYBER	5600	34404	\N	\N	\N
1115228	3808	1994-11-04	VYDAJ	VYBER	7100	36514	\N	\N	\N
1115229	3808	1994-12-04	VYDAJ	VYBER	9700	36033	\N	\N	\N
1115230	3808	1995-01-03	VYDAJ	VYBER	11500	38621	\N	\N	\N
1115231	3808	1995-02-02	VYDAJ	VYBER	6900	29523	\N	\N	\N
1115232	3808	1995-03-04	VYDAJ	VYBER	5100	30368	\N	\N	\N
1115233	3808	1995-04-03	VYDAJ	VYBER	4500	35061	\N	\N	\N
1115234	3808	1995-05-03	VYDAJ	VYBER	6300	33279	\N	\N	\N
1115235	3808	1995-06-02	VYDAJ	VYBER	6800	35685	\N	\N	\N
1115236	3808	1995-07-02	VYDAJ	VYBER	2000	31580	\N	\N	\N
1115237	3808	1995-08-01	VYDAJ	VYBER	8500	32275	\N	\N	\N
1115238	3808	1995-08-31	VYDAJ	VYBER	5800	32187	\N	\N	\N
1115239	3808	1995-09-30	VYDAJ	VYBER	8200	31144	\N	\N	\N
1115240	3808	1995-10-30	VYDAJ	VYBER	6700	28103	\N	\N	\N
1115241	3808	1995-11-29	VYDAJ	VYBER	6100	31199	\N	\N	\N
1115242	3808	1995-12-29	VYDAJ	VYBER	11900	34294	\N	\N	\N
1115243	3808	1996-01-28	VYDAJ	VYBER	500	24360	\N	\N	\N
1115244	3808	1996-02-27	VYDAJ	VYBER	4900	28610	\N	\N	\N
1115245	3808	1996-03-28	VYDAJ	VYBER	7800	24332	\N	\N	\N
1115246	3808	1996-04-27	VYDAJ	VYBER	6900	25886	\N	\N	\N
1115247	3808	1996-05-27	VYDAJ	VYBER	6800	26323	\N	\N	\N
1115248	3808	1996-06-26	VYDAJ	VYBER	9400	30738	\N	\N	\N
1115249	3808	1996-07-26	VYDAJ	VYBER	7200	23709	\N	\N	\N
1115250	3808	1996-08-25	VYDAJ	VYBER	6800	22594	\N	\N	\N
1115251	3808	1996-09-24	VYDAJ	VYBER	6100	25644	\N	\N	\N
1115252	3808	1996-10-24	VYDAJ	VYBER	7900	26894	\N	\N	\N
1115253	3808	1996-11-23	VYDAJ	VYBER	7000	29056	\N	\N	\N
1115254	3808	1996-12-23	VYDAJ	VYBER	6700	35099	\N	\N	\N
1115255	3808	1997-01-22	VYDAJ	VYBER	2300	32627	\N	\N	\N
1115256	3808	1997-02-21	VYDAJ	VYBER	4300	25665	\N	\N	\N
1115257	3808	1997-03-23	VYDAJ	VYBER	5900	28909	\N	\N	\N
1115258	3808	1997-04-22	VYDAJ	VYBER	8400	29672	\N	\N	\N
1115259	3808	1997-05-22	VYDAJ	VYBER	4700	28743	\N	\N	\N
1115260	3808	1997-06-21	VYDAJ	VYBER	9100	34192	\N	\N	\N
1115261	3808	1997-07-21	VYDAJ	VYBER	5600	37769	\N	\N	\N
1115262	3808	1997-08-20	VYDAJ	VYBER	4900	40986	\N	\N	\N
1115263	3808	1997-09-19	VYDAJ	VYBER	9800	35715	\N	\N	\N
1115264	3808	1997-10-19	VYDAJ	VYBER	6300	38617	\N	\N	\N
1115265	3808	1997-11-18	VYDAJ	VYBER	11800	36017	\N	\N	\N
1115266	3808	1997-12-18	VYDAJ	VYBER	6000	41714	\N	\N	\N
1115267	3808	1998-01-17	VYDAJ	VYBER	5800	37837	\N	\N	\N
1115268	3808	1998-02-16	PRIJEM	VKLAD	3700	31404	\N	\N	\N
1115269	3808	1998-03-18	PRIJEM	VKLAD	1800	33588	\N	\N	\N
1115270	3808	1998-04-17	VYDAJ	VYBER	1300	41458	\N	\N	\N
1115271	3808	1998-05-17	VYDAJ	VYBER	2800	41496	\N	\N	\N
1115272	3808	1998-06-16	PRIJEM	VKLAD	8300	44827	\N	\N	\N
1115273	3808	1998-07-16	VYDAJ	VYBER	1200	47058	\N	\N	\N
1115274	3808	1998-08-15	VYDAJ	VYBER	5600	50681	\N	\N	\N
1115275	3808	1998-09-14	VYDAJ	VYBER	6800	53126	\N	\N	\N
1115276	3808	1998-10-14	VYDAJ	VYBER	6700	52321	\N	\N	\N
1115277	3808	1998-11-13	PRIJEM	VKLAD	3500	46526	\N	\N	\N
1115278	3808	1998-12-13	PRIJEM	VKLAD	100	55902	\N	\N	\N
1115344	3809	1996-11-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1115356	3809	1996-12-13	PRIJEM	VKLAD	15570	16570	\N	\N	\N
1115357	3809	1997-01-13	PRIJEM	VKLAD	10380	32383	\N	\N	\N
1115358	3809	1997-02-13	PRIJEM	VKLAD	10380	43772	\N	\N	\N
1115359	3809	1997-03-13	PRIJEM	VKLAD	10380	47797	\N	\N	\N
1115360	3809	1997-04-13	PRIJEM	VKLAD	10380	51237	\N	\N	\N
1115361	3809	1997-05-13	PRIJEM	VKLAD	10380	48988	\N	\N	\N
1115362	3809	1997-06-13	PRIJEM	VKLAD	15570	53438	\N	\N	\N
1115363	3809	1997-07-13	PRIJEM	VKLAD	10380	41861	\N	\N	\N
1115364	3809	1997-08-13	PRIJEM	VKLAD	10380	43036	\N	\N	\N
1115365	3809	1997-09-13	PRIJEM	VKLAD	10380	42878	\N	\N	\N
1115366	3809	1997-10-13	PRIJEM	VKLAD	10380	43044	\N	\N	\N
1115367	3809	1997-11-13	PRIJEM	VKLAD	10380	43066	\N	\N	\N
1115368	3809	1997-12-13	PRIJEM	VKLAD	15570	46657	\N	\N	\N
1115369	3809	1998-01-13	PRIJEM	VKLAD	10380	31020	\N	\N	\N
1115370	3809	1998-02-13	PRIJEM	VKLAD	10380	25673	\N	\N	\N
1115371	3809	1998-03-13	PRIJEM	VKLAD	10380	32138	\N	\N	\N
1115372	3809	1998-04-13	PRIJEM	VKLAD	10380	34658	\N	\N	\N
1115373	3809	1998-05-13	PRIJEM	VKLAD	10380	44475	\N	\N	\N
1115374	3809	1998-06-13	PRIJEM	VKLAD	15570	55102	\N	\N	\N
1115375	3809	1998-07-13	PRIJEM	VKLAD	10380	53751	\N	\N	\N
1115376	3809	1998-08-13	PRIJEM	VKLAD	10380	54627	\N	\N	\N
1115377	3809	1998-09-13	PRIJEM	VKLAD	10380	54913	\N	\N	\N
1115378	3809	1998-10-13	PRIJEM	VKLAD	10380	57514	\N	\N	\N
1115379	3809	1998-11-13	PRIJEM	VKLAD	10380	56427	\N	\N	\N
1115380	3809	1998-12-13	PRIJEM	VKLAD	15570	61931	\N	\N	\N
1115397	3809	1997-05-11	VYDAJ	PREVOD NA UCET	1965	40227	SIPO	WX	10469216
1115398	3809	1997-06-11	VYDAJ	PREVOD NA UCET	1965	39487	SIPO	WX	10469216
1115399	3809	1997-07-11	VYDAJ	PREVOD NA UCET	1965	33100	SIPO	WX	10469216
1115400	3809	1997-08-11	VYDAJ	PREVOD NA UCET	1965	34275	SIPO	WX	10469216
1115401	3809	1997-09-11	VYDAJ	PREVOD NA UCET	1965	34117	SIPO	WX	10469216
1115402	3809	1997-10-11	VYDAJ	PREVOD NA UCET	1965	34283	SIPO	WX	10469216
1115403	3809	1997-11-11	VYDAJ	PREVOD NA UCET	1965	34305	SIPO	WX	10469216
1115404	3809	1997-12-11	VYDAJ	PREVOD NA UCET	1965	32706	SIPO	WX	10469216
1115405	3809	1998-01-11	VYDAJ	PREVOD NA UCET	1965	22259	SIPO	WX	10469216
1115406	3809	1998-02-11	VYDAJ	PREVOD NA UCET	1965	16912	SIPO	WX	10469216
1115407	3809	1998-03-11	VYDAJ	PREVOD NA UCET	1965	23377	SIPO	WX	10469216
1115408	3809	1998-04-11	VYDAJ	PREVOD NA UCET	1965	25897	SIPO	WX	10469216
1115409	3809	1998-05-11	VYDAJ	PREVOD NA UCET	1965	35714	SIPO	WX	10469216
1115410	3809	1998-06-11	VYDAJ	PREVOD NA UCET	1965	41151	SIPO	WX	10469216
1115411	3809	1998-07-11	VYDAJ	PREVOD NA UCET	1965	44990	SIPO	WX	10469216
1115412	3809	1998-08-11	VYDAJ	PREVOD NA UCET	1965	45866	SIPO	WX	10469216
1115413	3809	1998-09-11	VYDAJ	PREVOD NA UCET	1965	49452	SIPO	WX	10469216
1115414	3809	1998-10-11	VYDAJ	PREVOD NA UCET	1965	53153	SIPO	WX	10469216
1115415	3809	1998-11-11	VYDAJ	PREVOD NA UCET	1965	47666	SIPO	WX	10469216
1115416	3809	1998-12-11	VYDAJ	PREVOD NA UCET	1965	54680	SIPO	WX	10469216
1115433	3809	1997-05-12	VYDAJ	PREVOD NA UCET	1619	38608	 	OP	52133649
1115434	3809	1997-06-12	VYDAJ	PREVOD NA UCET	1619	37868	 	OP	52133649
1115435	3809	1997-07-12	VYDAJ	PREVOD NA UCET	1619	31481	 	OP	52133649
1115436	3809	1997-08-12	VYDAJ	PREVOD NA UCET	1619	32656	 	OP	52133649
1115437	3809	1997-09-12	VYDAJ	PREVOD NA UCET	1619	32498	 	OP	52133649
1115438	3809	1997-10-12	VYDAJ	PREVOD NA UCET	1619	32664	 	OP	52133649
1115439	3809	1997-11-12	VYDAJ	PREVOD NA UCET	1619	32686	 	OP	52133649
1115440	3809	1997-12-12	VYDAJ	PREVOD NA UCET	1619	31087	 	OP	52133649
1115441	3809	1998-01-12	VYDAJ	PREVOD NA UCET	1619	20640	 	OP	52133649
1115442	3809	1998-02-12	VYDAJ	PREVOD NA UCET	1619	15293	 	OP	52133649
1115443	3809	1998-03-12	VYDAJ	PREVOD NA UCET	1619	21758	 	OP	52133649
1115444	3809	1998-04-12	VYDAJ	PREVOD NA UCET	1619	24278	 	OP	52133649
1115445	3809	1998-05-12	VYDAJ	PREVOD NA UCET	1619	34095	 	OP	52133649
1115446	3809	1998-06-12	VYDAJ	PREVOD NA UCET	1619	39532	 	OP	52133649
1115447	3809	1998-07-12	VYDAJ	PREVOD NA UCET	1619	43371	 	OP	52133649
1115448	3809	1998-08-12	VYDAJ	PREVOD NA UCET	1619	44247	 	OP	52133649
1115449	3809	1998-09-12	VYDAJ	PREVOD NA UCET	1619	44533	 	OP	52133649
1115450	3809	1998-10-12	VYDAJ	PREVOD NA UCET	1619	51534	 	OP	52133649
1115451	3809	1998-11-12	VYDAJ	PREVOD NA UCET	1619	46047	 	OP	52133649
1115452	3809	1998-12-12	VYDAJ	PREVOD NA UCET	1619	46361	 	OP	52133649
1115469	3809	1997-05-10	VYDAJ	PREVOD NA UCET	2	42192	POJISTNE	YZ	9162903
1115470	3809	1997-06-10	VYDAJ	PREVOD NA UCET	2	41452	POJISTNE	YZ	9162903
1115471	3809	1997-07-10	VYDAJ	PREVOD NA UCET	2	35065	POJISTNE	YZ	9162903
1115472	3809	1997-08-10	VYDAJ	PREVOD NA UCET	2	36240	POJISTNE	YZ	9162903
1115473	3809	1997-09-10	VYDAJ	PREVOD NA UCET	2	40282	POJISTNE	YZ	9162903
1115474	3809	1997-10-10	VYDAJ	PREVOD NA UCET	2	36248	POJISTNE	YZ	9162903
1115475	3809	1997-11-10	VYDAJ	PREVOD NA UCET	2	36270	POJISTNE	YZ	9162903
1115476	3809	1997-12-10	VYDAJ	PREVOD NA UCET	2	34671	POJISTNE	YZ	9162903
1115477	3809	1998-01-10	VYDAJ	PREVOD NA UCET	2	24224	POJISTNE	YZ	9162903
1115478	3809	1998-02-10	VYDAJ	PREVOD NA UCET	2	21397	POJISTNE	YZ	9162903
1115479	3809	1998-03-10	VYDAJ	PREVOD NA UCET	2	25342	POJISTNE	YZ	9162903
1115480	3809	1998-04-10	VYDAJ	PREVOD NA UCET	2	27862	POJISTNE	YZ	9162903
1115481	3809	1998-05-10	VYDAJ	PREVOD NA UCET	2	37679	POJISTNE	YZ	9162903
1115482	3809	1998-06-10	VYDAJ	PREVOD NA UCET	2	43116	POJISTNE	YZ	9162903
1115483	3809	1998-07-10	VYDAJ	PREVOD NA UCET	2	46955	POJISTNE	YZ	9162903
1115484	3809	1998-08-10	VYDAJ	PREVOD NA UCET	2	47831	POJISTNE	YZ	9162903
1115485	3809	1998-09-10	VYDAJ	PREVOD NA UCET	2	51417	POJISTNE	YZ	9162903
1115486	3809	1998-10-10	VYDAJ	PREVOD NA UCET	2	55118	POJISTNE	YZ	9162903
1115487	3809	1998-11-10	VYDAJ	PREVOD NA UCET	2	57731	POJISTNE	YZ	9162903
1115488	3809	1998-12-10	VYDAJ	PREVOD NA UCET	2	56645	POJISTNE	YZ	9162903
1115490	3809	1997-06-27	VYDAJ	VYBER	5120	39218	\N	\N	\N
1115494	3809	1998-01-05	VYDAJ	VYBER	13760	24226	\N	\N	\N
1115496	3809	1997-12-02	VYDAJ	VYBER	4640	34673	\N	\N	\N
1115497	3809	1998-12-17	VYDAJ	VYBER	1760	60171	\N	\N	\N
1115510	3809	1998-01-17	VYDAJ	VYBER	2640	33660	\N	\N	\N
1115511	3809	1998-01-26	VYDAJ	VYBER	1920	21300	\N	\N	\N
1115512	3809	1998-01-02	VYDAJ	VYBER	1320	37986	\N	\N	\N
1115513	3809	1998-01-18	VYDAJ	VYBER	2400	25500	\N	\N	\N
1115514	3809	1998-01-13	VYDAJ	VYBER	1320	29700	\N	\N	\N
1115515	3809	1998-01-25	VYDAJ	VYBER	2280	23220	\N	\N	\N
1115521	3809	1997-09-10	VYDAJ	VYBER	4200	36082	\N	\N	\N
1115522	3809	1997-07-04	VYDAJ	VYBER	4320	35067	\N	\N	\N
1115523	3809	1997-07-14	VYDAJ	VYBER	2760	39101	\N	\N	\N
1115525	3809	1997-10-02	VYDAJ	VYBER	4080	36250	\N	\N	\N
1115526	3809	1997-11-07	VYDAJ	VYBER	1920	36272	\N	\N	\N
1115527	3809	1998-03-21	VYDAJ	VYBER	600	31838	\N	\N	\N
1115528	3809	1998-05-29	VYDAJ	VYBER	3720	42955	\N	\N	\N
1115529	3809	1998-01-18	VYDAJ	VYBER	5760	27900	\N	\N	\N
1115530	3809	1998-06-18	VYDAJ	VYBER	1320	46782	\N	\N	\N
1115531	3809	1998-03-30	VYDAJ	VYBER	4080	27758	\N	\N	\N
1115532	3809	1998-02-26	VYDAJ	VYBER	4920	25253	\N	\N	\N
1115533	3809	1998-02-11	VYDAJ	VYBER	2520	18877	\N	\N	\N
1115550	3809	1997-04-30	VYDAJ	VYBER	15	42194	SLUZBY	\N	\N
1115551	3809	1997-05-31	VYDAJ	VYBER	15	41454	SLUZBY	\N	\N
1115552	3809	1997-06-30	VYDAJ	VYBER	15	39387	SLUZBY	\N	\N
1115553	3809	1997-07-31	VYDAJ	VYBER	15	36242	SLUZBY	\N	\N
1115554	3809	1997-08-31	VYDAJ	VYBER	15	40284	SLUZBY	\N	\N
1115555	3809	1997-09-30	VYDAJ	VYBER	15	40330	SLUZBY	\N	\N
1115556	3809	1997-10-31	VYDAJ	VYBER	15	38192	SLUZBY	\N	\N
1115557	3809	1997-11-30	VYDAJ	VYBER	15	39313	SLUZBY	\N	\N
1115558	3809	1997-12-31	VYDAJ	VYBER	15	39306	SLUZBY	\N	\N
1115559	3809	1998-01-31	VYDAJ	VYBER	15	21399	SLUZBY	\N	\N
1115560	3809	1998-02-28	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
1115561	3809	1998-03-31	VYDAJ	VYBER	15	27864	SLUZBY	\N	\N
1115562	3809	1998-04-30	VYDAJ	VYBER	15	37681	SLUZBY	\N	\N
1115563	3809	1998-05-31	VYDAJ	VYBER	15	43118	SLUZBY	\N	\N
1115564	3809	1998-06-30	VYDAJ	VYBER	15	46957	SLUZBY	\N	\N
1115565	3809	1998-07-31	VYDAJ	VYBER	15	47833	SLUZBY	\N	\N
1115566	3809	1998-08-31	VYDAJ	VYBER	15	51419	SLUZBY	\N	\N
1115567	3809	1998-09-30	VYDAJ	VYBER	15	55120	SLUZBY	\N	\N
1115568	3809	1998-10-31	VYDAJ	VYBER	15	57733	SLUZBY	\N	\N
1115569	3809	1998-11-30	VYDAJ	VYBER	15	56647	SLUZBY	\N	\N
1115570	3809	1996-12-21	PRIJEM	VKLAD	5400	21970	\N	\N	\N
1115571	3809	1997-01-20	PRIJEM	VKLAD	900	33283	\N	\N	\N
1115572	3809	1997-02-19	VYDAJ	VYBER	6500	37272	\N	\N	\N
1115573	3809	1997-03-21	VYDAJ	VYBER	7100	40697	\N	\N	\N
1115574	3809	1997-04-20	VYDAJ	VYBER	9200	42037	\N	\N	\N
1115575	3809	1997-05-20	VYDAJ	VYBER	7700	41288	\N	\N	\N
1115576	3809	1997-06-19	VYDAJ	VYBER	9100	44338	\N	\N	\N
1115577	3809	1997-07-19	VYDAJ	VYBER	3000	36101	\N	\N	\N
1115578	3809	1997-08-18	VYDAJ	VYBER	2900	40136	\N	\N	\N
1115579	3809	1997-09-17	VYDAJ	VYBER	2700	40178	\N	\N	\N
1115580	3809	1997-10-17	VYDAJ	VYBER	5000	38044	\N	\N	\N
1115581	3809	1997-11-16	VYDAJ	VYBER	3900	39166	\N	\N	\N
1115582	3809	1997-12-16	VYDAJ	VYBER	7500	39157	\N	\N	\N
1115583	3809	1998-01-15	PRIJEM	VKLAD	6600	36300	\N	\N	\N
1115584	3809	1998-02-14	PRIJEM	VKLAD	4500	30173	\N	\N	\N
1115585	3809	1998-03-16	PRIJEM	VKLAD	300	32438	\N	\N	\N
1115586	3809	1998-04-15	PRIJEM	VKLAD	2900	37558	\N	\N	\N
1115587	3809	1998-05-15	PRIJEM	VKLAD	2200	46675	\N	\N	\N
1115588	3809	1998-06-14	VYDAJ	VYBER	7000	48102	\N	\N	\N
1115589	3809	1998-07-14	VYDAJ	VYBER	6100	47651	\N	\N	\N
1115590	3809	1998-08-13	VYDAJ	VYBER	3400	51227	\N	\N	\N
1115591	3809	1998-09-12	VYDAJ	VYBER	3300	46152	\N	\N	\N
1115592	3809	1998-10-12	VYDAJ	VYBER	4400	47134	\N	\N	\N
1115593	3809	1998-11-11	VYDAJ	VYBER	8100	49631	\N	\N	\N
1115594	3809	1998-12-11	VYDAJ	VYBER	6700	47980	\N	\N	\N
1115620	3810	1995-06-22	PRIJEM	VKLAD	500	500	\N	\N	\N
1115627	3810	1995-07-10	PRIJEM	PREVOD Z UCTU	6541	7041	DUCHOD	WX	64665311
1115628	3810	1995-08-10	PRIJEM	PREVOD Z UCTU	6541	13582	DUCHOD	WX	64665311
1115629	3810	1995-09-10	PRIJEM	PREVOD Z UCTU	6541	20123	DUCHOD	WX	64665311
1115630	3810	1995-10-10	PRIJEM	PREVOD Z UCTU	6541	25793	DUCHOD	WX	64665311
1115631	3810	1995-11-10	PRIJEM	PREVOD Z UCTU	6541	29320	DUCHOD	WX	64665311
1115632	3810	1995-12-10	PRIJEM	PREVOD Z UCTU	6541	28887	DUCHOD	WX	64665311
1115633	3810	1996-01-10	PRIJEM	PREVOD Z UCTU	6541	28398	DUCHOD	WX	64665311
1115634	3810	1996-02-10	PRIJEM	PREVOD Z UCTU	6541	26626	DUCHOD	WX	64665311
1115635	3810	1996-03-10	PRIJEM	PREVOD Z UCTU	6541	30394	DUCHOD	WX	64665311
1115636	3810	1996-04-10	PRIJEM	PREVOD Z UCTU	6541	30565	DUCHOD	WX	64665311
1115637	3810	1996-05-10	PRIJEM	PREVOD Z UCTU	6541	34340	DUCHOD	WX	64665311
1115638	3810	1996-06-10	PRIJEM	PREVOD Z UCTU	6541	30822	DUCHOD	WX	64665311
1115639	3810	1996-07-10	PRIJEM	PREVOD Z UCTU	6541	22398	DUCHOD	WX	64665311
1115640	3810	1996-08-10	PRIJEM	PREVOD Z UCTU	6541	25747	DUCHOD	WX	64665311
1115641	3810	1996-09-10	PRIJEM	PREVOD Z UCTU	6541	29204	DUCHOD	WX	64665311
1115642	3810	1996-10-10	PRIJEM	PREVOD Z UCTU	6541	26946	DUCHOD	WX	64665311
1115643	3810	1996-11-10	PRIJEM	PREVOD Z UCTU	6541	28784	DUCHOD	WX	64665311
1115644	3810	1996-12-10	PRIJEM	PREVOD Z UCTU	6541	28632	DUCHOD	WX	64665311
1115645	3810	1997-01-10	PRIJEM	PREVOD Z UCTU	6541	27298	DUCHOD	WX	64665311
1115646	3810	1997-02-10	PRIJEM	PREVOD Z UCTU	6541	26395	DUCHOD	WX	64665311
1115647	3810	1997-03-10	PRIJEM	PREVOD Z UCTU	6541	26150	DUCHOD	WX	64665311
1115648	3810	1997-04-10	PRIJEM	PREVOD Z UCTU	6541	29908	DUCHOD	WX	64665311
1115649	3810	1997-05-10	PRIJEM	PREVOD Z UCTU	6541	31074	DUCHOD	WX	64665311
1115650	3810	1997-06-10	PRIJEM	PREVOD Z UCTU	6541	30744	DUCHOD	WX	64665311
1115651	3810	1997-07-10	PRIJEM	PREVOD Z UCTU	6541	30674	DUCHOD	WX	64665311
1115652	3810	1997-08-10	PRIJEM	PREVOD Z UCTU	6541	34449	DUCHOD	WX	64665311
1115653	3810	1997-09-10	PRIJEM	PREVOD Z UCTU	6541	38240	DUCHOD	WX	64665311
1115654	3810	1997-10-10	PRIJEM	PREVOD Z UCTU	6541	42047	DUCHOD	WX	64665311
1115655	3810	1997-11-10	PRIJEM	PREVOD Z UCTU	6541	45878	DUCHOD	WX	64665311
1115656	3810	1997-12-10	PRIJEM	PREVOD Z UCTU	6541	49724	DUCHOD	WX	64665311
1115657	3810	1998-01-10	PRIJEM	PREVOD Z UCTU	6541	50863	DUCHOD	WX	64665311
1115658	3810	1998-02-10	PRIJEM	PREVOD Z UCTU	6541	52920	DUCHOD	WX	64665311
1115659	3810	1998-03-10	PRIJEM	PREVOD Z UCTU	6541	53707	DUCHOD	WX	64665311
1115660	3810	1998-04-10	PRIJEM	PREVOD Z UCTU	6541	54781	DUCHOD	WX	64665311
1115661	3810	1998-05-10	PRIJEM	PREVOD Z UCTU	6541	58368	DUCHOD	WX	64665311
1115662	3810	1998-06-10	PRIJEM	PREVOD Z UCTU	6541	54117	DUCHOD	WX	64665311
1115663	3810	1998-07-10	PRIJEM	PREVOD Z UCTU	6541	46165	DUCHOD	WX	64665311
1115664	3810	1998-08-10	PRIJEM	PREVOD Z UCTU	6541	49532	DUCHOD	WX	64665311
1115665	3810	1998-09-10	PRIJEM	PREVOD Z UCTU	6541	53394	DUCHOD	WX	64665311
1115666	3810	1998-10-10	PRIJEM	PREVOD Z UCTU	6541	54307	DUCHOD	WX	64665311
1115667	3810	1998-11-10	PRIJEM	PREVOD Z UCTU	6541	58188	DUCHOD	WX	64665311
1115668	3810	1998-12-10	PRIJEM	PREVOD Z UCTU	6541	55453	DUCHOD	WX	64665311
1115679	3810	1995-11-10	VYDAJ	PREVOD NA UCET	2862	26458	SIPO	KL	25770914
1115680	3810	1995-12-10	VYDAJ	PREVOD NA UCET	2862	26025	SIPO	KL	25770914
1115681	3810	1996-01-10	VYDAJ	PREVOD NA UCET	2862	25536	SIPO	KL	25770914
1115682	3810	1996-02-10	VYDAJ	PREVOD NA UCET	2862	23764	SIPO	KL	25770914
1115683	3810	1996-03-10	VYDAJ	PREVOD NA UCET	2862	27532	SIPO	KL	25770914
1115684	3810	1996-04-10	VYDAJ	PREVOD NA UCET	2862	27703	SIPO	KL	25770914
1115685	3810	1996-05-10	VYDAJ	PREVOD NA UCET	2862	31478	SIPO	KL	25770914
1115686	3810	1996-06-10	VYDAJ	PREVOD NA UCET	2862	27960	SIPO	KL	25770914
1115687	3810	1996-07-10	VYDAJ	PREVOD NA UCET	2862	19536	SIPO	KL	25770914
1115688	3810	1996-08-10	VYDAJ	PREVOD NA UCET	2862	22885	SIPO	KL	25770914
1115689	3810	1996-09-10	VYDAJ	PREVOD NA UCET	2862	26342	SIPO	KL	25770914
1115690	3810	1996-10-10	VYDAJ	PREVOD NA UCET	2862	24084	SIPO	KL	25770914
1115691	3810	1996-11-10	VYDAJ	PREVOD NA UCET	2862	25922	SIPO	KL	25770914
1115692	3810	1996-12-10	VYDAJ	PREVOD NA UCET	2862	25770	SIPO	KL	25770914
1115693	3810	1997-01-10	VYDAJ	PREVOD NA UCET	2862	24436	SIPO	KL	25770914
1115694	3810	1997-02-10	VYDAJ	PREVOD NA UCET	2862	23533	SIPO	KL	25770914
1115695	3810	1997-03-10	VYDAJ	PREVOD NA UCET	2862	23288	SIPO	KL	25770914
1115696	3810	1997-04-10	VYDAJ	PREVOD NA UCET	2862	27046	SIPO	KL	25770914
1115697	3810	1997-05-10	VYDAJ	PREVOD NA UCET	2862	28212	SIPO	KL	25770914
1115698	3810	1997-06-10	VYDAJ	PREVOD NA UCET	2862	27882	SIPO	KL	25770914
1115699	3810	1997-07-10	VYDAJ	PREVOD NA UCET	2862	27812	SIPO	KL	25770914
1115700	3810	1997-08-10	VYDAJ	PREVOD NA UCET	2862	31587	SIPO	KL	25770914
1115701	3810	1997-09-10	VYDAJ	PREVOD NA UCET	2862	35378	SIPO	KL	25770914
1115702	3810	1997-10-10	VYDAJ	PREVOD NA UCET	2862	39185	SIPO	KL	25770914
1115703	3810	1997-11-10	VYDAJ	PREVOD NA UCET	2862	43016	SIPO	KL	25770914
1115704	3810	1997-12-10	VYDAJ	PREVOD NA UCET	2862	46862	SIPO	KL	25770914
1115705	3810	1998-01-10	VYDAJ	PREVOD NA UCET	2862	48001	SIPO	KL	25770914
1115706	3810	1998-02-10	VYDAJ	PREVOD NA UCET	2862	50058	SIPO	KL	25770914
1115707	3810	1998-03-10	VYDAJ	PREVOD NA UCET	2862	50845	SIPO	KL	25770914
1115708	3810	1998-04-10	VYDAJ	PREVOD NA UCET	2862	51919	SIPO	KL	25770914
1115709	3810	1998-05-10	VYDAJ	PREVOD NA UCET	2862	55506	SIPO	KL	25770914
1115710	3810	1998-06-10	VYDAJ	PREVOD NA UCET	2862	39455	SIPO	KL	25770914
1115711	3810	1998-07-10	VYDAJ	PREVOD NA UCET	2862	43303	SIPO	KL	25770914
1115712	3810	1998-08-10	VYDAJ	PREVOD NA UCET	2862	46670	SIPO	KL	25770914
1115713	3810	1998-09-10	VYDAJ	PREVOD NA UCET	2862	50532	SIPO	KL	25770914
1115714	3810	1998-10-10	VYDAJ	PREVOD NA UCET	2862	51445	SIPO	KL	25770914
1115715	3810	1998-11-10	VYDAJ	PREVOD NA UCET	2862	55326	SIPO	KL	25770914
1115716	3810	1998-12-10	VYDAJ	PREVOD NA UCET	2862	52591	SIPO	KL	25770914
1115718	3810	1996-06-29	VYDAJ	VYBER	11300	15760	\N	\N	\N
1115719	3810	1997-06-14	VYDAJ	VYBER	1600	26282	\N	\N	\N
1115720	3810	1998-06-10	VYDAJ	VYBER	11800	42317	\N	\N	\N
1115722	3810	1996-01-22	VYDAJ	VYBER	2150	20806	\N	\N	\N
1115723	3810	1997-01-07	VYDAJ	VYBER	2200	20757	\N	\N	\N
1115724	3810	1998-01-23	VYDAJ	VYBER	1800	46201	\N	\N	\N
1115725	3810	1995-12-11	VYDAJ	VYBER	350	25675	\N	\N	\N
1115726	3810	1996-12-17	VYDAJ	VYBER	1200	22870	\N	\N	\N
1115727	3810	1997-12-25	VYDAJ	VYBER	400	46462	\N	\N	\N
1115728	3810	1998-12-04	VYDAJ	VYBER	1350	53072	\N	\N	\N
1115733	3810	1996-01-19	VYDAJ	VYBER	1280	22956	\N	\N	\N
1115734	3810	1996-10-07	VYDAJ	VYBER	2160	20405	\N	\N	\N
1115735	3810	1996-07-31	VYDAJ	VYBER	400	19221	\N	\N	\N
1115736	3810	1996-06-01	VYDAJ	VYBER	1600	24281	\N	\N	\N
1115737	3810	1996-02-02	VYDAJ	VYBER	800	20085	\N	\N	\N
1115738	3810	1996-12-06	VYDAJ	VYBER	3920	22091	\N	\N	\N
1115739	3810	1996-09-19	VYDAJ	VYBER	2960	22482	\N	\N	\N
1115740	3810	1996-10-14	VYDAJ	VYBER	1920	22164	\N	\N	\N
1115741	3810	1997-01-25	VYDAJ	VYBER	2960	19776	\N	\N	\N
1115742	3810	1997-12-28	VYDAJ	VYBER	2320	44142	\N	\N	\N
1115743	3810	1997-06-20	VYDAJ	VYBER	2240	24042	\N	\N	\N
1115744	3810	1997-02-25	VYDAJ	VYBER	2960	20573	\N	\N	\N
1115745	3810	1997-03-05	VYDAJ	VYBER	1040	19609	\N	\N	\N
1115746	3810	1997-05-20	VYDAJ	VYBER	2000	24112	\N	\N	\N
1115747	3810	1998-05-16	VYDAJ	VYBER	640	54866	\N	\N	\N
1115748	3810	1998-08-07	VYDAJ	VYBER	480	42991	\N	\N	\N
1115749	3810	1998-02-23	VYDAJ	VYBER	480	49578	\N	\N	\N
1115750	3810	1998-12-07	VYDAJ	VYBER	3680	49392	\N	\N	\N
1115751	3810	1998-11-26	VYDAJ	VYBER	1120	54206	\N	\N	\N
1115752	3810	1998-12-09	VYDAJ	VYBER	480	48912	\N	\N	\N
1115753	3810	1998-09-25	VYDAJ	VYBER	2960	47572	\N	\N	\N
1115765	3810	1995-11-30	VYDAJ	VYBER	15	22346	SLUZBY	\N	\N
1115766	3810	1995-12-31	VYDAJ	VYBER	15	21857	SLUZBY	\N	\N
1115767	3810	1996-01-31	VYDAJ	VYBER	15	20885	SLUZBY	\N	\N
1115768	3810	1996-02-29	VYDAJ	VYBER	15	23853	SLUZBY	\N	\N
1115769	3810	1996-03-31	VYDAJ	VYBER	15	24024	SLUZBY	\N	\N
1115770	3810	1996-04-30	VYDAJ	VYBER	15	27799	SLUZBY	\N	\N
1115771	3810	1996-05-31	VYDAJ	VYBER	15	25881	SLUZBY	\N	\N
1115772	3810	1996-06-30	VYDAJ	VYBER	15	15857	SLUZBY	\N	\N
1115773	3810	1996-07-31	VYDAJ	VYBER	15	19206	SLUZBY	\N	\N
1115774	3810	1996-08-31	VYDAJ	VYBER	15	22663	SLUZBY	\N	\N
1115775	3810	1996-09-30	VYDAJ	VYBER	15	22565	SLUZBY	\N	\N
1115776	3810	1996-10-31	VYDAJ	VYBER	15	22243	SLUZBY	\N	\N
1115777	3810	1996-11-30	VYDAJ	VYBER	15	26011	SLUZBY	\N	\N
1115778	3810	1996-12-31	VYDAJ	VYBER	15	22957	SLUZBY	\N	\N
1115779	3810	1997-01-31	VYDAJ	VYBER	15	19854	SLUZBY	\N	\N
1115780	3810	1997-02-28	VYDAJ	VYBER	15	20649	SLUZBY	\N	\N
1115781	3810	1997-03-31	VYDAJ	VYBER	15	23367	SLUZBY	\N	\N
1115782	3810	1997-04-30	VYDAJ	VYBER	15	24533	SLUZBY	\N	\N
1115783	3810	1997-05-31	VYDAJ	VYBER	15	24203	SLUZBY	\N	\N
1115784	3810	1997-06-30	VYDAJ	VYBER	15	24133	SLUZBY	\N	\N
1115785	3810	1997-07-31	VYDAJ	VYBER	15	27908	SLUZBY	\N	\N
1115786	3810	1997-08-31	VYDAJ	VYBER	15	31699	SLUZBY	\N	\N
1115787	3810	1997-09-30	VYDAJ	VYBER	15	35506	SLUZBY	\N	\N
1115788	3810	1997-10-31	VYDAJ	VYBER	15	39337	SLUZBY	\N	\N
1115789	3810	1997-11-30	VYDAJ	VYBER	15	43183	SLUZBY	\N	\N
1115790	3810	1997-12-31	VYDAJ	VYBER	15	44322	SLUZBY	\N	\N
1115791	3810	1998-01-31	VYDAJ	VYBER	15	46379	SLUZBY	\N	\N
1115792	3810	1998-02-28	VYDAJ	VYBER	15	49766	SLUZBY	\N	\N
1115793	3810	1998-03-31	VYDAJ	VYBER	15	51040	SLUZBY	\N	\N
1115794	3810	1998-04-30	VYDAJ	VYBER	15	52127	SLUZBY	\N	\N
1115795	3810	1998-05-31	VYDAJ	VYBER	15	55076	SLUZBY	\N	\N
1115796	3810	1998-06-30	VYDAJ	VYBER	15	39624	SLUZBY	\N	\N
1115797	3810	1998-07-31	VYDAJ	VYBER	15	43471	SLUZBY	\N	\N
1115798	3810	1998-08-31	VYDAJ	VYBER	15	46853	SLUZBY	\N	\N
1115799	3810	1998-09-30	VYDAJ	VYBER	15	47766	SLUZBY	\N	\N
1115800	3810	1998-10-31	VYDAJ	VYBER	15	51647	SLUZBY	\N	\N
1115801	3810	1998-11-30	VYDAJ	VYBER	15	54422	SLUZBY	\N	\N
1115802	3810	1995-09-20	VYDAJ	VYBER	900	19223	\N	\N	\N
1115803	3810	1995-10-20	VYDAJ	VYBER	3100	22693	\N	\N	\N
1115804	3810	1995-11-19	VYDAJ	VYBER	4200	22258	\N	\N	\N
1115805	3810	1995-12-19	VYDAJ	VYBER	3900	21775	\N	\N	\N
1115806	3810	1996-01-18	VYDAJ	VYBER	1300	24236	\N	\N	\N
1115807	3810	1996-03-18	VYDAJ	VYBER	3600	23932	\N	\N	\N
1115808	3810	1996-05-17	VYDAJ	VYBER	5700	25778	\N	\N	\N
1115809	3810	1996-06-16	VYDAJ	VYBER	900	27060	\N	\N	\N
1115810	3810	1996-08-15	VYDAJ	VYBER	300	22585	\N	\N	\N
1115811	3810	1996-09-14	VYDAJ	VYBER	900	25442	\N	\N	\N
1115812	3810	1996-12-13	VYDAJ	VYBER	1700	24070	\N	\N	\N
1115813	3810	1997-01-12	VYDAJ	VYBER	1700	22736	\N	\N	\N
1115814	3810	1997-04-12	VYDAJ	VYBER	2600	24446	\N	\N	\N
1115815	3810	1997-05-12	VYDAJ	VYBER	2100	26112	\N	\N	\N
1115816	3810	1998-03-08	VYDAJ	VYBER	2600	47166	\N	\N	\N
1115817	3810	1998-04-07	VYDAJ	VYBER	2800	48240	\N	\N	\N
1115818	3810	1998-05-07	VYDAJ	VYBER	300	51827	\N	\N	\N
1115819	3810	1998-06-06	VYDAJ	VYBER	7500	47576	\N	\N	\N
1115860	3811	1996-10-26	PRIJEM	VKLAD	800	800	\N	\N	\N
1115871	3811	1996-11-05	PRIJEM	PREVOD Z UCTU	3773	4573	\N	EF	74846231
1115872	3811	1996-12-05	PRIJEM	PREVOD Z UCTU	3773	16757	\N	EF	74846231
1115873	3811	1997-01-05	PRIJEM	PREVOD Z UCTU	3773	24191	\N	EF	74846231
1115874	3811	1997-02-05	PRIJEM	PREVOD Z UCTU	3773	28453	\N	EF	74846231
1115875	3811	1997-03-05	PRIJEM	PREVOD Z UCTU	3773	29129	\N	EF	74846231
1115876	3811	1997-04-05	PRIJEM	PREVOD Z UCTU	3773	29392	\N	EF	74846231
1115877	3811	1997-05-05	PRIJEM	PREVOD Z UCTU	3773	26642	\N	EF	74846231
1115878	3811	1997-06-05	PRIJEM	PREVOD Z UCTU	3773	28085	\N	EF	74846231
1115879	3811	1997-07-05	PRIJEM	PREVOD Z UCTU	3773	22543	\N	EF	74846231
1115880	3811	1997-08-05	PRIJEM	PREVOD Z UCTU	3773	29976	\N	EF	74846231
1115881	3811	1997-09-05	PRIJEM	PREVOD Z UCTU	3773	30332	\N	EF	74846231
1115882	3811	1997-10-05	PRIJEM	PREVOD Z UCTU	3773	32261	\N	EF	74846231
1115883	3811	1997-11-05	PRIJEM	PREVOD Z UCTU	3773	35029	\N	EF	74846231
1115884	3811	1997-12-05	PRIJEM	PREVOD Z UCTU	3773	37108	\N	EF	74846231
1115885	3811	1998-01-05	PRIJEM	PREVOD Z UCTU	3773	35331	\N	EF	74846231
1115886	3811	1998-02-05	PRIJEM	PREVOD Z UCTU	3773	35788	\N	EF	74846231
1115887	3811	1998-03-05	PRIJEM	PREVOD Z UCTU	3773	42478	\N	EF	74846231
1115888	3811	1998-04-05	PRIJEM	PREVOD Z UCTU	3773	41352	\N	EF	74846231
1115889	3811	1998-05-05	PRIJEM	PREVOD Z UCTU	3773	43035	\N	EF	74846231
1115890	3811	1998-06-05	PRIJEM	PREVOD Z UCTU	3773	45548	\N	EF	74846231
1115891	3811	1998-07-05	PRIJEM	PREVOD Z UCTU	3773	44823	\N	EF	74846231
1115892	3811	1998-08-05	PRIJEM	PREVOD Z UCTU	3773	47543	\N	EF	74846231
1115893	3811	1998-09-05	PRIJEM	PREVOD Z UCTU	3773	46769	\N	EF	74846231
1115894	3811	1998-10-05	PRIJEM	PREVOD Z UCTU	3773	46692	\N	EF	74846231
1115895	3811	1998-11-05	PRIJEM	PREVOD Z UCTU	3773	45212	\N	EF	74846231
1115896	3811	1998-12-05	PRIJEM	PREVOD Z UCTU	3773	46532	\N	EF	74846231
1115911	3811	1997-03-06	VYDAJ	PREVOD NA UCET	2515	26614	SIPO	KL	13080460
1115912	3811	1997-04-06	VYDAJ	PREVOD NA UCET	2515	26877	SIPO	KL	13080460
1115913	3811	1997-05-06	VYDAJ	PREVOD NA UCET	2515	24127	SIPO	KL	13080460
1115914	3811	1997-06-06	VYDAJ	PREVOD NA UCET	2515	25570	SIPO	KL	13080460
1115915	3811	1997-07-06	VYDAJ	PREVOD NA UCET	2515	20028	SIPO	KL	13080460
1115916	3811	1997-08-06	VYDAJ	PREVOD NA UCET	2515	27461	SIPO	KL	13080460
1115917	3811	1997-09-06	VYDAJ	PREVOD NA UCET	2515	27817	SIPO	KL	13080460
1115918	3811	1997-10-06	VYDAJ	PREVOD NA UCET	2515	29746	SIPO	KL	13080460
1115919	3811	1997-11-06	VYDAJ	PREVOD NA UCET	2515	32514	SIPO	KL	13080460
1115920	3811	1997-12-06	VYDAJ	PREVOD NA UCET	2515	34593	SIPO	KL	13080460
1115921	3811	1998-01-06	VYDAJ	PREVOD NA UCET	2515	32816	SIPO	KL	13080460
1115922	3811	1998-02-06	VYDAJ	PREVOD NA UCET	2515	33273	SIPO	KL	13080460
1115923	3811	1998-03-06	VYDAJ	PREVOD NA UCET	2515	39963	SIPO	KL	13080460
1115924	3811	1998-04-06	VYDAJ	PREVOD NA UCET	2515	38837	SIPO	KL	13080460
1115925	3811	1998-05-06	VYDAJ	PREVOD NA UCET	2515	40520	SIPO	KL	13080460
1115926	3811	1998-06-06	VYDAJ	PREVOD NA UCET	2515	43033	SIPO	KL	13080460
1115927	3811	1998-07-06	VYDAJ	PREVOD NA UCET	2515	42308	SIPO	KL	13080460
1115928	3811	1998-08-06	VYDAJ	PREVOD NA UCET	2515	45028	SIPO	KL	13080460
1115929	3811	1998-09-06	VYDAJ	PREVOD NA UCET	2515	43354	SIPO	KL	13080460
1115930	3811	1998-10-06	VYDAJ	PREVOD NA UCET	2515	43477	SIPO	KL	13080460
1115931	3811	1998-11-06	VYDAJ	PREVOD NA UCET	2515	42697	SIPO	KL	13080460
1115932	3811	1998-12-06	VYDAJ	PREVOD NA UCET	2515	43817	SIPO	KL	13080460
1115934	3811	1997-06-19	VYDAJ	VYBER	7830	17740	\N	\N	\N
1115935	3811	1998-06-06	VYDAJ	VYBER	2190	40843	\N	\N	\N
1115938	3811	1998-01-20	VYDAJ	VYBER	2040	32376	\N	\N	\N
1115940	3811	1997-12-23	VYDAJ	VYBER	810	31883	\N	\N	\N
1115941	3811	1998-12-05	VYDAJ	VYBER KARTOU	200	46332	\N	\N	0
1115954	3811	1998-01-20	VYDAJ	VYBER	510	34416	\N	\N	\N
1115955	3811	1998-01-04	VYDAJ	VYBER	450	31558	\N	\N	\N
1115956	3811	1998-01-10	VYDAJ	VYBER	780	31616	\N	\N	\N
1115957	3811	1998-01-12	VYDAJ	VYBER	480	31136	\N	\N	\N
1115958	3811	1998-01-25	VYDAJ	VYBER	480	31896	\N	\N	\N
1115959	3811	1998-01-07	VYDAJ	VYBER	420	32396	\N	\N	\N
1115967	3811	1997-09-22	VYDAJ	VYBER	570	28387	\N	\N	\N
1115968	3811	1997-03-28	VYDAJ	VYBER	1020	25524	\N	\N	\N
1115969	3811	1997-03-22	VYDAJ	VYBER	870	25744	\N	\N	\N
1115970	3811	1997-06-26	VYDAJ	VYBER	450	18690	\N	\N	\N
1115971	3811	1997-09-21	VYDAJ	VYBER	360	28957	\N	\N	\N
1115972	3811	1998-01-19	VYDAJ	VYBER	810	34926	\N	\N	\N
1115973	3811	1998-10-21	VYDAJ	VYBER KARTOU	800	41277	\N	\N	0
1115974	3811	1998-03-09	VYDAJ	VYBER	630	39333	\N	\N	\N
1115975	3811	1998-10-05	VYDAJ	VYBER KARTOU	700	45992	\N	\N	0
1115976	3811	1998-09-06	VYDAJ	VYBER KARTOU	900	45869	\N	\N	0
1115977	3811	1998-04-09	VYDAJ	VYBER	1020	37817	\N	\N	\N
1115978	3811	1998-06-24	VYDAJ	VYBER	750	40893	\N	\N	\N
1115979	3811	1998-10-03	VYDAJ	VYBER KARTOU	400	42919	\N	\N	0
1115995	3811	1997-03-31	VYDAJ	VYBER	15	25619	SLUZBY	\N	\N
1115996	3811	1997-04-30	VYDAJ	VYBER	15	22869	SLUZBY	\N	\N
1115997	3811	1997-05-31	VYDAJ	VYBER	15	24312	SLUZBY	\N	\N
1115998	3811	1997-06-30	VYDAJ	VYBER	15	18770	SLUZBY	\N	\N
1115999	3811	1997-07-31	VYDAJ	VYBER	15	26203	SLUZBY	\N	\N
1116000	3811	1997-08-31	VYDAJ	VYBER	15	26559	SLUZBY	\N	\N
1116001	3811	1997-09-30	VYDAJ	VYBER	15	28488	SLUZBY	\N	\N
1116002	3811	1997-10-31	VYDAJ	VYBER	15	31256	SLUZBY	\N	\N
1116003	3811	1997-11-30	VYDAJ	VYBER	15	33335	SLUZBY	\N	\N
1116004	3811	1997-12-31	VYDAJ	VYBER	15	32008	SLUZBY	\N	\N
1116005	3811	1998-01-31	VYDAJ	VYBER	15	32015	SLUZBY	\N	\N
1116006	3811	1998-02-28	VYDAJ	VYBER	15	38705	SLUZBY	\N	\N
1116007	3811	1998-03-31	VYDAJ	VYBER	15	37579	SLUZBY	\N	\N
1116008	3811	1998-04-30	VYDAJ	VYBER	15	39262	SLUZBY	\N	\N
1116009	3811	1998-05-31	VYDAJ	VYBER	15	41775	SLUZBY	\N	\N
1116010	3811	1998-06-30	VYDAJ	VYBER	15	41050	SLUZBY	\N	\N
1116011	3811	1998-07-31	VYDAJ	VYBER	15	43770	SLUZBY	\N	\N
1116012	3811	1998-08-31	VYDAJ	VYBER	15	42996	SLUZBY	\N	\N
1116013	3811	1998-09-30	VYDAJ	VYBER	15	43319	SLUZBY	\N	\N
1116014	3811	1998-10-31	VYDAJ	VYBER	15	41439	SLUZBY	\N	\N
1116015	3811	1998-11-30	VYDAJ	VYBER	15	42759	SLUZBY	\N	\N
1116016	3811	1996-11-25	PRIJEM	VKLAD	8400	12973	\N	\N	\N
1116017	3811	1996-12-25	PRIJEM	VKLAD	3600	20357	\N	\N	\N
1116018	3811	1997-01-24	PRIJEM	VKLAD	400	24591	\N	\N	\N
1116019	3811	1997-02-23	VYDAJ	VYBER	3200	25253	\N	\N	\N
1116020	3811	1997-03-25	PRIJEM	VKLAD	800	26544	\N	\N	\N
1116021	3811	1997-04-24	VYDAJ	VYBER	4100	22777	\N	\N	\N
1116022	3811	1997-05-24	PRIJEM	VKLAD	100	24227	\N	\N	\N
1116023	3811	1997-06-23	PRIJEM	VKLAD	1400	19140	\N	\N	\N
1116024	3811	1997-07-23	PRIJEM	VKLAD	6100	26128	\N	\N	\N
1116025	3811	1997-08-22	VYDAJ	VYBER	1000	26461	\N	\N	\N
1116026	3811	1997-09-21	PRIJEM	VKLAD	1500	29317	\N	\N	\N
1116027	3811	1997-10-21	PRIJEM	VKLAD	1400	31146	\N	\N	\N
1116028	3811	1997-11-20	PRIJEM	VKLAD	700	33214	\N	\N	\N
1116029	3811	1997-12-20	VYDAJ	VYBER	1900	32693	\N	\N	\N
1116030	3811	1998-01-19	PRIJEM	VKLAD	4600	35736	\N	\N	\N
1116031	3811	1998-02-18	PRIJEM	VKLAD	5300	38573	\N	\N	\N
1116032	3811	1998-03-20	VYDAJ	VYBER	1900	37433	\N	\N	\N
1116033	3811	1998-04-19	PRIJEM	VKLAD	1300	39117	\N	\N	\N
1116034	3811	1998-05-19	PRIJEM	VKLAD	1100	41620	\N	\N	\N
1116035	3811	1998-06-18	PRIJEM	VKLAD	800	41643	\N	\N	\N
1116036	3811	1998-07-18	PRIJEM	VKLAD	1300	43608	\N	\N	\N
1116037	3811	1998-08-17	VYDAJ	VYBER	2200	42828	\N	\N	\N
1116038	3811	1998-09-16	VYDAJ	VYBER KARTOU	200	43154	\N	\N	0
1116039	3811	1998-10-16	VYDAJ	VYBER KARTOU	1400	42077	\N	\N	0
1116040	3811	1998-11-15	VYDAJ	VYBER KARTOU	100	42597	\N	\N	0
1116067	3812	1995-01-16	PRIJEM	VKLAD	400	400	\N	\N	\N
1116069	3812	1995-02-05	PRIJEM	PREVOD Z UCTU	4980	5380	DUCHOD	QR	2473032
1116070	3812	1995-03-05	PRIJEM	PREVOD Z UCTU	4980	10360	DUCHOD	QR	2473032
1116071	3812	1995-04-05	PRIJEM	PREVOD Z UCTU	4980	15340	DUCHOD	QR	2473032
1116072	3812	1995-05-05	PRIJEM	PREVOD Z UCTU	4980	20320	DUCHOD	QR	2473032
1116073	3812	1995-06-05	PRIJEM	PREVOD Z UCTU	4980	25300	DUCHOD	QR	2473032
1116074	3812	1995-07-05	PRIJEM	PREVOD Z UCTU	4980	25689	DUCHOD	QR	2473032
1116075	3812	1995-08-05	PRIJEM	PREVOD Z UCTU	4980	28623	DUCHOD	QR	2473032
1116076	3812	1995-09-05	PRIJEM	PREVOD Z UCTU	4980	27865	DUCHOD	QR	2473032
1116077	3812	1995-10-05	PRIJEM	PREVOD Z UCTU	4980	26318	DUCHOD	QR	2473032
1116078	3812	1995-11-05	PRIJEM	PREVOD Z UCTU	4980	25445	DUCHOD	QR	2473032
1116079	3812	1995-12-05	PRIJEM	PREVOD Z UCTU	4980	26775	DUCHOD	QR	2473032
1116080	3812	1996-01-05	PRIJEM	PREVOD Z UCTU	4980	23005	DUCHOD	QR	2473032
1116081	3812	1996-02-05	PRIJEM	PREVOD Z UCTU	4980	20397	DUCHOD	QR	2473032
1116082	3812	1996-03-05	PRIJEM	PREVOD Z UCTU	4980	23308	DUCHOD	QR	2473032
1116083	3812	1996-04-05	PRIJEM	PREVOD Z UCTU	4980	26232	DUCHOD	QR	2473032
1116084	3812	1996-05-05	PRIJEM	PREVOD Z UCTU	4980	29168	DUCHOD	QR	2473032
1116085	3812	1996-06-05	PRIJEM	PREVOD Z UCTU	4980	32116	DUCHOD	QR	2473032
1116086	3812	1996-07-05	PRIJEM	PREVOD Z UCTU	4980	24751	DUCHOD	QR	2473032
1116087	3812	1996-08-05	PRIJEM	PREVOD Z UCTU	4980	27681	DUCHOD	QR	2473032
1116088	3812	1996-09-05	PRIJEM	PREVOD Z UCTU	4980	30623	DUCHOD	QR	2473032
1116089	3812	1996-10-05	PRIJEM	PREVOD Z UCTU	4980	33576	DUCHOD	QR	2473032
1116090	3812	1996-11-05	PRIJEM	PREVOD Z UCTU	4980	35822	DUCHOD	QR	2473032
1116091	3812	1996-12-05	PRIJEM	PREVOD Z UCTU	4980	36797	DUCHOD	QR	2473032
1116092	3812	1997-01-05	PRIJEM	PREVOD Z UCTU	4980	39326	DUCHOD	QR	2473032
1116093	3812	1997-02-05	PRIJEM	PREVOD Z UCTU	4980	34389	DUCHOD	QR	2473032
1116094	3812	1997-03-05	PRIJEM	PREVOD Z UCTU	4980	34073	DUCHOD	QR	2473032
1116095	3812	1997-04-05	PRIJEM	PREVOD Z UCTU	4980	35600	DUCHOD	QR	2473032
1116096	3812	1997-05-05	PRIJEM	PREVOD Z UCTU	4980	36170	DUCHOD	QR	2473032
1116097	3812	1997-06-05	PRIJEM	PREVOD Z UCTU	4980	36903	DUCHOD	QR	2473032
1116098	3812	1997-07-05	PRIJEM	PREVOD Z UCTU	4980	28778	DUCHOD	QR	2473032
1116099	3812	1997-08-05	PRIJEM	PREVOD Z UCTU	4980	31724	DUCHOD	QR	2473032
1116100	3812	1997-09-05	PRIJEM	PREVOD Z UCTU	4980	34682	DUCHOD	QR	2473032
1116101	3812	1997-10-05	PRIJEM	PREVOD Z UCTU	4980	37653	DUCHOD	QR	2473032
1116102	3812	1997-11-05	PRIJEM	PREVOD Z UCTU	4980	40635	DUCHOD	QR	2473032
1116103	3812	1997-12-05	PRIJEM	PREVOD Z UCTU	4980	43630	DUCHOD	QR	2473032
1116104	3812	1998-01-05	PRIJEM	PREVOD Z UCTU	4980	40461	DUCHOD	QR	2473032
1116105	3812	1998-02-05	PRIJEM	PREVOD Z UCTU	4980	34560	DUCHOD	QR	2473032
1116106	3812	1998-03-05	PRIJEM	PREVOD Z UCTU	4980	37529	DUCHOD	QR	2473032
1116107	3812	1998-04-05	PRIJEM	PREVOD Z UCTU	4980	40511	DUCHOD	QR	2473032
1116108	3812	1998-05-05	PRIJEM	PREVOD Z UCTU	4980	40061	DUCHOD	QR	2473032
1116109	3812	1998-06-05	PRIJEM	PREVOD Z UCTU	4980	43053	DUCHOD	QR	2473032
1116110	3812	1998-07-05	PRIJEM	PREVOD Z UCTU	4980	39163	DUCHOD	QR	2473032
1116111	3812	1998-08-05	PRIJEM	PREVOD Z UCTU	4980	42151	DUCHOD	QR	2473032
1116112	3812	1998-09-05	PRIJEM	PREVOD Z UCTU	4980	44033	DUCHOD	QR	2473032
1116113	3812	1998-10-05	PRIJEM	PREVOD Z UCTU	4980	43435	DUCHOD	QR	2473032
1116114	3812	1998-11-05	PRIJEM	PREVOD Z UCTU	4980	46441	DUCHOD	QR	2473032
1116115	3812	1998-12-05	PRIJEM	PREVOD Z UCTU	4980	48260	DUCHOD	QR	2473032
1116121	3812	1995-06-14	VYDAJ	PREVOD NA UCET	2125	23175	SIPO	GH	23986679
1116122	3812	1995-07-14	VYDAJ	PREVOD NA UCET	2125	23564	SIPO	GH	23986679
1116123	3812	1995-08-14	VYDAJ	PREVOD NA UCET	2125	22798	SIPO	GH	23986679
1116124	3812	1995-09-14	VYDAJ	PREVOD NA UCET	2125	21260	SIPO	GH	23986679
1116125	3812	1995-10-14	VYDAJ	PREVOD NA UCET	2125	20393	SIPO	GH	23986679
1116126	3812	1995-11-14	VYDAJ	PREVOD NA UCET	2125	21720	SIPO	GH	23986679
1116127	3812	1995-12-14	VYDAJ	PREVOD NA UCET	2125	23050	SIPO	GH	23986679
1116128	3812	1996-01-14	VYDAJ	PREVOD NA UCET	2125	16000	SIPO	GH	23986679
1116129	3812	1996-02-14	VYDAJ	PREVOD NA UCET	2125	18272	SIPO	GH	23986679
1116130	3812	1996-03-14	VYDAJ	PREVOD NA UCET	2125	21183	SIPO	GH	23986679
1116131	3812	1996-04-14	VYDAJ	PREVOD NA UCET	2125	24107	SIPO	GH	23986679
1116132	3812	1996-05-14	VYDAJ	PREVOD NA UCET	2125	27043	SIPO	GH	23986679
1116133	3812	1996-06-14	VYDAJ	PREVOD NA UCET	2125	19691	SIPO	GH	23986679
1116134	3812	1996-07-14	VYDAJ	PREVOD NA UCET	2125	22626	SIPO	GH	23986679
1116135	3812	1996-08-14	VYDAJ	PREVOD NA UCET	2125	25556	SIPO	GH	23986679
1116136	3812	1996-09-14	VYDAJ	PREVOD NA UCET	2125	28498	SIPO	GH	23986679
1116137	3812	1996-10-14	VYDAJ	PREVOD NA UCET	2125	30731	SIPO	GH	23986679
1116138	3812	1996-11-14	VYDAJ	PREVOD NA UCET	2125	33697	SIPO	GH	23986679
1116139	3812	1996-12-14	VYDAJ	PREVOD NA UCET	2125	34222	SIPO	GH	23986679
1116140	3812	1997-01-14	VYDAJ	PREVOD NA UCET	2125	34481	SIPO	GH	23986679
1116141	3812	1997-02-14	VYDAJ	PREVOD NA UCET	2125	28984	SIPO	GH	23986679
1116142	3812	1997-03-14	VYDAJ	PREVOD NA UCET	2125	31948	SIPO	GH	23986679
1116143	3812	1997-04-14	VYDAJ	PREVOD NA UCET	2125	33475	SIPO	GH	23986679
1116144	3812	1997-05-14	VYDAJ	PREVOD NA UCET	2125	34045	SIPO	GH	23986679
1116145	3812	1997-06-14	VYDAJ	PREVOD NA UCET	2125	34778	SIPO	GH	23986679
1116146	3812	1997-07-14	VYDAJ	PREVOD NA UCET	2125	26653	SIPO	GH	23986679
1116147	3812	1997-08-14	VYDAJ	PREVOD NA UCET	2125	29599	SIPO	GH	23986679
1116148	3812	1997-09-14	VYDAJ	PREVOD NA UCET	2125	32557	SIPO	GH	23986679
1116149	3812	1997-10-14	VYDAJ	PREVOD NA UCET	2125	35528	SIPO	GH	23986679
1116150	3812	1997-11-14	VYDAJ	PREVOD NA UCET	2125	38510	SIPO	GH	23986679
1116151	3812	1997-12-14	VYDAJ	PREVOD NA UCET	2125	38945	SIPO	GH	23986679
1116152	3812	1998-01-14	VYDAJ	PREVOD NA UCET	2125	34016	SIPO	GH	23986679
1116153	3812	1998-02-14	VYDAJ	PREVOD NA UCET	2125	32435	SIPO	GH	23986679
1116154	3812	1998-03-14	VYDAJ	PREVOD NA UCET	2125	35404	SIPO	GH	23986679
1116155	3812	1998-04-14	VYDAJ	PREVOD NA UCET	2125	38386	SIPO	GH	23986679
1116156	3812	1998-05-14	VYDAJ	PREVOD NA UCET	2125	37936	SIPO	GH	23986679
1116157	3812	1998-06-14	VYDAJ	PREVOD NA UCET	2125	36928	SIPO	GH	23986679
1116158	3812	1998-07-14	VYDAJ	PREVOD NA UCET	2125	37038	SIPO	GH	23986679
1116159	3812	1998-08-14	VYDAJ	PREVOD NA UCET	2125	38906	SIPO	GH	23986679
1116160	3812	1998-09-14	VYDAJ	PREVOD NA UCET	2125	41908	SIPO	GH	23986679
1116161	3812	1998-10-14	VYDAJ	PREVOD NA UCET	2125	41310	SIPO	GH	23986679
1116162	3812	1998-11-14	VYDAJ	PREVOD NA UCET	2125	44316	SIPO	GH	23986679
1116163	3812	1998-12-14	VYDAJ	PREVOD NA UCET	2125	46135	SIPO	GH	23986679
1116164	3812	1995-06-14	VYDAJ	VYBER	2500	20675	\N	\N	\N
1116165	3812	1996-06-12	VYDAJ	VYBER	8300	21816	\N	\N	\N
1116166	3812	1997-06-28	VYDAJ	VYBER	11100	23678	\N	\N	\N
1116167	3812	1998-06-10	VYDAJ	VYBER	4000	39053	\N	\N	\N
1116168	3812	1995-12-19	VYDAJ	VYBER	700	20430	\N	\N	\N
1116169	3812	1996-12-13	VYDAJ	VYBER	450	36347	\N	\N	\N
1116170	3812	1997-12-23	VYDAJ	VYBER	250	37895	\N	\N	\N
1116171	3812	1998-12-02	VYDAJ	VYBER	1200	43280	\N	\N	\N
1116178	3812	1996-01-02	VYDAJ	VYBER	1440	19065	\N	\N	\N
1116179	3812	1996-01-08	VYDAJ	VYBER	640	18125	\N	\N	\N
1116180	3812	1996-01-08	VYDAJ	VYBER	800	18765	\N	\N	\N
1116181	3812	1996-01-26	VYDAJ	VYBER	640	15360	\N	\N	\N
1116182	3812	1996-01-07	VYDAJ	VYBER	400	19565	\N	\N	\N
1116183	3812	1996-01-02	VYDAJ	VYBER	1040	18025	\N	\N	\N
1116184	3812	1997-01-28	VYDAJ	VYBER	640	29281	\N	\N	\N
1116185	3812	1997-01-18	VYDAJ	VYBER	880	32961	\N	\N	\N
1116186	3812	1997-01-05	VYDAJ	VYBER	720	38606	\N	\N	\N
1116187	3812	1997-01-22	VYDAJ	VYBER	1840	31121	\N	\N	\N
1116188	3812	1997-01-16	VYDAJ	VYBER	640	33841	\N	\N	\N
1116189	3812	1997-01-26	VYDAJ	VYBER	1200	29921	\N	\N	\N
1116190	3812	1998-01-17	VYDAJ	VYBER	1680	32336	\N	\N	\N
1116191	3812	1998-01-09	VYDAJ	VYBER	2000	38461	\N	\N	\N
1116192	3812	1998-01-10	VYDAJ	VYBER	1520	36941	\N	\N	\N
1116193	3812	1998-01-12	VYDAJ	VYBER	800	36141	\N	\N	\N
1116194	3812	1998-01-29	VYDAJ	VYBER	1760	29456	\N	\N	\N
1116195	3812	1998-01-24	VYDAJ	VYBER	1120	31216	\N	\N	\N
1116197	3812	1995-09-06	VYDAJ	VYBER	3280	24585	\N	\N	\N
1116198	3812	1995-12-18	VYDAJ	VYBER	1920	21130	\N	\N	\N
1116199	3812	1996-10-12	VYDAJ	VYBER	720	32856	\N	\N	\N
1116200	3812	1996-01-06	VYDAJ	VYBER	3040	19965	\N	\N	\N
1116201	3812	1996-11-29	VYDAJ	VYBER	2000	31697	\N	\N	\N
1116202	3812	1997-02-06	VYDAJ	VYBER	3280	31109	\N	\N	\N
1116203	3812	1997-12-10	VYDAJ	VYBER	1520	42110	\N	\N	\N
1116204	3812	1997-03-29	VYDAJ	VYBER	1440	30508	\N	\N	\N
1116205	3812	1997-04-16	VYDAJ	VYBER	2400	31075	\N	\N	\N
1116206	3812	1997-05-21	VYDAJ	VYBER	2240	31805	\N	\N	\N
1116207	3812	1997-12-30	VYDAJ	VYBER	2560	35335	\N	\N	\N
1116208	3812	1997-12-15	VYDAJ	VYBER	800	38145	\N	\N	\N
1116209	3812	1997-12-11	VYDAJ	VYBER	1040	41070	\N	\N	\N
1116210	3812	1998-06-15	VYDAJ	VYBER	2880	34048	\N	\N	\N
1116211	3812	1998-09-19	VYDAJ	VYBER	3600	38308	\N	\N	\N
1116212	3812	1998-08-08	VYDAJ	VYBER	1120	41031	\N	\N	\N
1116213	3812	1998-04-21	VYDAJ	VYBER	3440	34946	\N	\N	\N
1116220	3812	1995-06-30	VYDAJ	VYBER	15	20709	SLUZBY	\N	\N
1116221	3812	1995-07-31	VYDAJ	VYBER	15	23643	SLUZBY	\N	\N
1116222	3812	1995-08-31	VYDAJ	VYBER	15	22885	SLUZBY	\N	\N
1116223	3812	1995-09-30	VYDAJ	VYBER	15	21338	SLUZBY	\N	\N
1116224	3812	1995-10-31	VYDAJ	VYBER	15	20465	SLUZBY	\N	\N
1116225	3812	1995-11-30	VYDAJ	VYBER	15	21795	SLUZBY	\N	\N
1116226	3812	1995-12-31	VYDAJ	VYBER	15	20505	SLUZBY	\N	\N
1116227	3812	1996-01-31	VYDAJ	VYBER	15	15417	SLUZBY	\N	\N
1116228	3812	1996-02-29	VYDAJ	VYBER	15	18328	SLUZBY	\N	\N
1116229	3812	1996-03-31	VYDAJ	VYBER	15	21252	SLUZBY	\N	\N
1116230	3812	1996-04-30	VYDAJ	VYBER	15	24188	SLUZBY	\N	\N
1116231	3812	1996-05-31	VYDAJ	VYBER	15	27136	SLUZBY	\N	\N
1116232	3812	1996-06-30	VYDAJ	VYBER	15	19771	SLUZBY	\N	\N
1116233	3812	1996-07-31	VYDAJ	VYBER	15	22701	SLUZBY	\N	\N
1116234	3812	1996-08-31	VYDAJ	VYBER	15	25643	SLUZBY	\N	\N
1116235	3812	1996-09-30	VYDAJ	VYBER	15	28596	SLUZBY	\N	\N
1116236	3812	1996-10-31	VYDAJ	VYBER	15	30842	SLUZBY	\N	\N
1116237	3812	1996-11-30	VYDAJ	VYBER	15	31817	SLUZBY	\N	\N
1116238	3812	1996-12-31	VYDAJ	VYBER	15	34346	SLUZBY	\N	\N
1116239	3812	1997-01-31	VYDAJ	VYBER	15	29409	SLUZBY	\N	\N
1116240	3812	1997-02-28	VYDAJ	VYBER	15	29093	SLUZBY	\N	\N
1116241	3812	1997-03-31	VYDAJ	VYBER	15	30620	SLUZBY	\N	\N
1116242	3812	1997-04-30	VYDAJ	VYBER	15	31190	SLUZBY	\N	\N
1116243	3812	1997-05-31	VYDAJ	VYBER	15	31923	SLUZBY	\N	\N
1116244	3812	1997-06-30	VYDAJ	VYBER	15	23798	SLUZBY	\N	\N
1116245	3812	1997-07-31	VYDAJ	VYBER	15	26744	SLUZBY	\N	\N
1116246	3812	1997-08-31	VYDAJ	VYBER	15	29702	SLUZBY	\N	\N
1116247	3812	1997-09-30	VYDAJ	VYBER	15	32673	SLUZBY	\N	\N
1116248	3812	1997-10-31	VYDAJ	VYBER	15	35655	SLUZBY	\N	\N
1116249	3812	1997-11-30	VYDAJ	VYBER	15	38650	SLUZBY	\N	\N
1116250	3812	1997-12-31	VYDAJ	VYBER	15	35481	SLUZBY	\N	\N
1116251	3812	1998-01-31	VYDAJ	VYBER	15	29580	SLUZBY	\N	\N
1116252	3812	1998-02-28	VYDAJ	VYBER	15	32549	SLUZBY	\N	\N
1116253	3812	1998-03-31	VYDAJ	VYBER	15	35531	SLUZBY	\N	\N
1116254	3812	1998-04-30	VYDAJ	VYBER	15	35081	SLUZBY	\N	\N
1116255	3812	1998-05-31	VYDAJ	VYBER	15	38073	SLUZBY	\N	\N
1116256	3812	1998-06-30	VYDAJ	VYBER	15	34183	SLUZBY	\N	\N
1116257	3812	1998-07-31	VYDAJ	VYBER	15	37171	SLUZBY	\N	\N
1116258	3812	1998-08-31	VYDAJ	VYBER	15	39053	SLUZBY	\N	\N
1116259	3812	1998-09-30	VYDAJ	VYBER	15	38455	SLUZBY	\N	\N
1116260	3812	1998-10-31	VYDAJ	VYBER	15	41461	SLUZBY	\N	\N
1116261	3812	1998-11-30	VYDAJ	VYBER	15	44480	SLUZBY	\N	\N
1116262	3812	1995-08-14	VYDAJ	VYBER	3700	24923	\N	\N	\N
1116263	3812	1995-09-13	VYDAJ	VYBER	1200	23385	\N	\N	\N
1116264	3812	1995-10-13	VYDAJ	VYBER	3800	22518	\N	\N	\N
1116265	3812	1995-11-12	VYDAJ	VYBER	1600	23845	\N	\N	\N
1116266	3812	1995-12-12	VYDAJ	VYBER	1600	25175	\N	\N	\N
1116267	3812	1996-06-09	VYDAJ	VYBER	2000	30116	\N	\N	\N
1116268	3812	1997-01-05	VYDAJ	VYBER	2000	36606	\N	\N	\N
1116312	3813	1997-10-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1116322	3813	1997-10-10	PRIJEM	VKLAD	10310	11410	\N	\N	\N
1116323	3813	1997-11-10	PRIJEM	VKLAD	10310	25054	\N	\N	\N
1116324	3813	1997-12-10	PRIJEM	VKLAD	15465	39906	\N	\N	\N
1116325	3813	1998-01-10	PRIJEM	VKLAD	10310	37364	\N	\N	\N
1116326	3813	1998-02-10	PRIJEM	VKLAD	10310	36533	\N	\N	\N
1116327	3813	1998-03-10	PRIJEM	VKLAD	10310	33493	\N	\N	\N
1116328	3813	1998-04-10	PRIJEM	VKLAD	10310	31433	\N	\N	\N
1116329	3813	1998-05-10	PRIJEM	VKLAD	10310	28263	\N	\N	\N
1116330	3813	1998-06-10	PRIJEM	VKLAD	15465	29689	\N	\N	\N
1116331	3813	1998-07-10	PRIJEM	VKLAD	10310	30719	\N	\N	\N
1116332	3813	1998-08-10	PRIJEM	VKLAD	10310	33259	\N	\N	\N
1116333	3813	1998-09-10	PRIJEM	VKLAD	10310	37992	\N	\N	\N
1116334	3813	1998-10-10	PRIJEM	VKLAD	10310	43659	\N	\N	\N
1116335	3813	1998-11-10	PRIJEM	VKLAD	10310	41634	\N	\N	\N
1116336	3813	1998-12-10	PRIJEM	VKLAD	15465	38950	\N	\N	\N
1116350	3813	1998-02-10	VYDAJ	PREVOD NA UCET	5645	30888	SIPO	EF	81887119
1116351	3813	1998-03-10	VYDAJ	PREVOD NA UCET	5645	27848	SIPO	EF	81887119
1116352	3813	1998-04-10	VYDAJ	PREVOD NA UCET	5645	25788	SIPO	EF	81887119
1116353	3813	1998-05-10	VYDAJ	PREVOD NA UCET	5645	22618	SIPO	EF	81887119
1116354	3813	1998-06-10	VYDAJ	PREVOD NA UCET	5645	24044	SIPO	EF	81887119
1116355	3813	1998-07-10	VYDAJ	PREVOD NA UCET	5645	25074	SIPO	EF	81887119
1116356	3813	1998-08-10	VYDAJ	PREVOD NA UCET	5645	27614	SIPO	EF	81887119
1116357	3813	1998-09-10	VYDAJ	PREVOD NA UCET	5645	32347	SIPO	EF	81887119
1116358	3813	1998-10-10	VYDAJ	PREVOD NA UCET	5645	38014	SIPO	EF	81887119
1116359	3813	1998-11-10	VYDAJ	PREVOD NA UCET	5645	35989	SIPO	EF	81887119
1116360	3813	1998-12-10	VYDAJ	PREVOD NA UCET	5645	33305	SIPO	EF	81887119
1116375	3813	1998-03-07	VYDAJ	PREVOD NA UCET	895	29783	 	KL	81905740
1116376	3813	1998-04-07	VYDAJ	PREVOD NA UCET	895	26723	 	KL	81905740
1116377	3813	1998-05-07	VYDAJ	PREVOD NA UCET	895	17953	 	KL	81905740
1116378	3813	1998-06-07	VYDAJ	PREVOD NA UCET	895	14224	 	KL	81905740
1116379	3813	1998-07-07	VYDAJ	PREVOD NA UCET	895	20409	 	KL	81905740
1116380	3813	1998-08-07	VYDAJ	PREVOD NA UCET	895	22949	 	KL	81905740
1116381	3813	1998-09-07	VYDAJ	PREVOD NA UCET	895	27682	 	KL	81905740
1116382	3813	1998-10-07	VYDAJ	PREVOD NA UCET	895	33349	 	KL	81905740
1116383	3813	1998-11-07	VYDAJ	PREVOD NA UCET	895	31324	 	KL	81905740
1116384	3813	1998-12-07	VYDAJ	PREVOD NA UCET	895	23485	 	KL	81905740
1116399	3813	1998-03-05	VYDAJ	PREVOD NA UCET	333	30678	POJISTNE	EF	20648479
1116400	3813	1998-04-05	VYDAJ	PREVOD NA UCET	333	27618	POJISTNE	EF	20648479
1116401	3813	1998-05-05	VYDAJ	PREVOD NA UCET	333	25548	POJISTNE	EF	20648479
1116402	3813	1998-06-05	VYDAJ	PREVOD NA UCET	333	19719	POJISTNE	EF	20648479
1116403	3813	1998-07-05	VYDAJ	PREVOD NA UCET	333	23804	POJISTNE	EF	20648479
1116404	3813	1998-08-05	VYDAJ	PREVOD NA UCET	333	23844	POJISTNE	EF	20648479
1116405	3813	1998-09-05	VYDAJ	PREVOD NA UCET	333	28577	POJISTNE	EF	20648479
1116406	3813	1998-10-05	VYDAJ	PREVOD NA UCET	333	34244	POJISTNE	EF	20648479
1116407	3813	1998-11-05	VYDAJ	PREVOD NA UCET	333	32219	POJISTNE	EF	20648479
1116408	3813	1998-12-05	VYDAJ	PREVOD NA UCET	333	24380	POJISTNE	EF	20648479
1116414	3813	1998-12-25	VYDAJ	VYBER	3840	29465	\N	\N	\N
1116434	3813	1998-12-29	VYDAJ	VYBER	2760	26705	\N	\N	\N
1116435	3813	1998-05-15	VYDAJ	VYBER	2640	19978	\N	\N	\N
1116436	3813	1998-11-27	VYDAJ	VYBER	2880	28789	\N	\N	\N
1116437	3813	1998-11-18	VYDAJ	VYBER	4320	31669	\N	\N	\N
1116452	3813	1998-02-28	VYDAJ	VYBER	15	31011	SLUZBY	\N	\N
1116453	3813	1998-03-31	VYDAJ	VYBER	15	27951	SLUZBY	\N	\N
1116454	3813	1998-04-30	VYDAJ	VYBER	15	25881	SLUZBY	\N	\N
1116455	3813	1998-05-31	VYDAJ	VYBER	15	20052	SLUZBY	\N	\N
1116456	3813	1998-06-30	VYDAJ	VYBER	15	24137	SLUZBY	\N	\N
1116457	3813	1998-07-31	VYDAJ	VYBER	15	25177	SLUZBY	\N	\N
1116458	3813	1998-08-31	VYDAJ	VYBER	15	27710	SLUZBY	\N	\N
1116459	3813	1998-09-30	VYDAJ	VYBER	15	32477	SLUZBY	\N	\N
1116460	3813	1998-10-31	VYDAJ	VYBER	15	38152	SLUZBY	\N	\N
1116461	3813	1998-11-30	VYDAJ	VYBER	15	28913	SLUZBY	\N	\N
1116462	3813	1997-11-08	PRIJEM	VKLAD	3300	14744	\N	\N	\N
1116463	3813	1997-12-08	VYDAJ	VYBER	700	24441	\N	\N	\N
1116464	3813	1998-01-07	VYDAJ	VYBER	13000	27054	\N	\N	\N
1116465	3813	1998-02-06	VYDAJ	VYBER	11300	26223	\N	\N	\N
1116466	3813	1998-03-08	VYDAJ	VYBER	6600	23183	\N	\N	\N
1116467	3813	1998-04-07	VYDAJ	VYBER	5600	21123	\N	\N	\N
1116468	3813	1998-05-07	VYDAJ	VYBER	6700	18848	\N	\N	\N
1116469	3813	1998-06-06	VYDAJ	VYBER	4600	15119	\N	\N	\N
1116470	3813	1998-07-06	VYDAJ	VYBER	2500	21304	\N	\N	\N
1116471	3813	1998-08-05	VYDAJ	VYBER	1000	24177	\N	\N	\N
1116472	3813	1998-09-04	PRIJEM	VKLAD	1200	28910	\N	\N	\N
1116473	3813	1998-10-04	PRIJEM	VKLAD	2100	34577	\N	\N	\N
1116474	3813	1998-11-03	VYDAJ	VYBER	5600	32552	\N	\N	\N
1116475	3813	1998-12-03	VYDAJ	VYBER	4200	24713	\N	\N	\N
1116491	3814	1995-12-27	PRIJEM	VKLAD	900	900	\N	\N	\N
1116571	3814	1996-01-26	PRIJEM	VKLAD	11100	12000	\N	\N	\N
1116572	3814	1996-02-25	PRIJEM	VKLAD	3300	15300	\N	\N	\N
1116573	3814	1996-03-26	PRIJEM	VKLAD	4100	19400	\N	\N	\N
1116574	3814	1996-04-25	PRIJEM	VKLAD	1900	21300	\N	\N	\N
1116575	3814	1996-05-25	VYDAJ	VYBER	1200	20100	\N	\N	\N
1116576	3814	1996-06-24	PRIJEM	VKLAD	2400	22500	\N	\N	\N
1116577	3814	1996-07-24	VYDAJ	VYBER	800	21700	\N	\N	\N
1116578	3814	1996-08-23	VYDAJ	VYBER	1000	20700	\N	\N	\N
1116579	3814	1996-09-22	PRIJEM	VKLAD	2700	23400	\N	\N	\N
1116580	3814	1996-10-22	PRIJEM	VKLAD	300	23700	\N	\N	\N
1116581	3814	1996-11-21	PRIJEM	VKLAD	300	24000	\N	\N	\N
1116582	3814	1996-12-21	PRIJEM	VKLAD	3300	27300	\N	\N	\N
1116583	3814	1997-01-20	PRIJEM	VKLAD	1100	28400	\N	\N	\N
1116584	3814	1997-02-19	VYDAJ	VYBER	4100	24300	\N	\N	\N
1116585	3814	1997-03-21	VYDAJ	VYBER	400	23900	\N	\N	\N
1116586	3814	1997-04-20	VYDAJ	VYBER	3400	20500	\N	\N	\N
1116587	3814	1997-05-20	VYDAJ	VYBER	1500	19000	\N	\N	\N
1116588	3814	1997-06-19	PRIJEM	VKLAD	600	19600	\N	\N	\N
1116589	3814	1997-07-19	VYDAJ	VYBER	1500	18100	\N	\N	\N
1116590	3814	1997-08-18	VYDAJ	VYBER	5600	12500	\N	\N	\N
1116591	3814	1997-09-17	PRIJEM	VKLAD	400	12900	\N	\N	\N
1116592	3814	1997-10-17	VYDAJ	VYBER	2100	10800	\N	\N	\N
1116593	3815	1996-03-24	PRIJEM	VKLAD	400	400	\N	\N	\N
1116594	3815	1996-07-06	PRIJEM	VKLAD	17158	49763	\N	\N	\N
1116595	3815	1996-04-06	PRIJEM	VKLAD	32559	65518	\N	\N	\N
1116596	3815	1996-11-11	PRIJEM	VKLAD	12146	60387	\N	\N	\N
1116597	3815	1996-06-03	PRIJEM	VKLAD	39680	94912	\N	\N	\N
1116598	3815	1996-06-16	PRIJEM	VKLAD	6294	101206	\N	\N	\N
1116599	3815	1996-04-03	PRIJEM	VKLAD	32559	32959	\N	\N	\N
1116601	3815	1996-09-01	PRIJEM	VKLAD	39707	66634	\N	\N	\N
1116602	3815	1996-08-26	PRIJEM	VKLAD	6933	50650	\N	\N	\N
1116603	3815	1996-10-06	PRIJEM	VKLAD	41870	72700	\N	\N	\N
1116604	3815	1996-07-28	PRIJEM	VKLAD	17978	57341	\N	\N	\N
1116605	3815	1996-08-02	PRIJEM	VKLAD	20536	78017	\N	\N	\N
1116606	3815	1996-11-29	PRIJEM	VKLAD	44322	85409	\N	\N	\N
1116608	3815	1996-05-30	PRIJEM	VKLAD	19620	55042	\N	\N	\N
1116609	3815	1996-09-09	PRIJEM	VKLAD	26926	93560	\N	\N	\N
1116610	3815	1997-07-26	PRIJEM	VKLAD	44795	73804	\N	\N	\N
1116611	3815	1997-11-27	PRIJEM	VKLAD	14340	88255	\N	\N	\N
1116612	3815	1997-12-15	PRIJEM	VKLAD	44358	98439	\N	\N	\N
1116613	3815	1997-09-06	PRIJEM	VKLAD	14034	59225	\N	\N	\N
1116614	3815	1997-04-03	PRIJEM	VKLAD	29237	75739	\N	\N	\N
1116615	3815	1997-04-06	PRIJEM	VKLAD	36614	91848	\N	\N	\N
1116616	3815	1997-10-12	PRIJEM	VKLAD	40437	129828	\N	\N	\N
1116617	3815	1997-09-25	PRIJEM	VKLAD	29238	72163	\N	\N	\N
1116618	3815	1997-06-09	PRIJEM	VKLAD	35508	60399	\N	\N	\N
1116619	3815	1997-04-04	PRIJEM	VKLAD	42995	118734	\N	\N	\N
1116620	3815	1997-10-01	PRIJEM	VKLAD	7378	79734	\N	\N	\N
1116621	3815	1997-10-03	PRIJEM	VKLAD	42357	122091	\N	\N	\N
1116622	3815	1997-03-25	PRIJEM	VKLAD	24429	46405	\N	\N	\N
1116623	3815	1997-11-22	PRIJEM	VKLAD	40886	76015	\N	\N	\N
1116624	3815	1998-05-28	PRIJEM	VKLAD	46613	64570	\N	\N	\N
1116625	3815	1998-10-03	PRIJEM	VKLAD	16615	51212	\N	\N	\N
1116626	3815	1998-03-07	PRIJEM	VKLAD	16774	37174	\N	\N	\N
1116627	3815	1998-08-23	PRIJEM	VKLAD	41994	60137	\N	\N	\N
1116665	3815	1996-12-19	VYBER	VYBER	4831	75935	\N	\N	\N
1116667	3815	1996-08-26	VYBER	VYBER	18456	32194	\N	\N	\N
1116668	3815	1996-08-30	VYBER	VYBER	5477	26717	\N	\N	\N
1116670	3815	1996-09-25	VYBER	VYBER	23434	30626	\N	\N	\N
1116672	3815	1996-11-30	VYBER	VYBER	2730	82880	\N	\N	\N
1116675	3815	1997-04-28	VYBER	VYBER	7244	24946	\N	\N	\N
1116676	3815	1997-01-11	VYBER	VYBER	12303	30702	\N	\N	\N
1116677	3815	1997-04-26	VYBER	VYBER	21858	32190	\N	\N	\N
1116678	3815	1997-11-20	VYBER	VYBER	2559	35129	\N	\N	\N
1116681	3815	1997-06-14	VYBER	VYBER	5817	33582	\N	\N	\N
1116690	3815	1998-07-16	VYBER	VYBER	2357	24151	\N	\N	\N
1116691	3815	1998-11-03	VYBER	VYBER	4829	27505	\N	\N	\N
1116692	3815	1996-06-19	VYDAJ	VYBER	60600	40606	\N	\N	\N
1116693	3815	1997-06-09	VYDAJ	VYBER	21000	39399	\N	\N	\N
1116694	3815	1998-06-05	VYDAJ	VYBER	24900	39769	\N	\N	\N
1116698	3815	1996-12-12	VYDAJ	VYBER	2100	80766	\N	\N	\N
1116699	3815	1997-12-13	VYDAJ	VYBER	3900	84581	\N	\N	\N
1116710	3815	1997-01-05	VYDAJ	VYBER	5400	43005	\N	\N	\N
1116711	3815	1997-01-12	VYDAJ	VYBER	8100	22602	\N	\N	\N
1116713	3815	1998-01-15	VYDAJ	VYBER	8100	44001	\N	\N	\N
1116714	3815	1998-01-20	VYDAJ	VYBER	4800	31101	\N	\N	\N
1116715	3815	1998-01-28	VYDAJ	VYBER	8700	22401	\N	\N	\N
1116716	3815	1998-01-14	VYDAJ	VYBER	3900	52101	\N	\N	\N
1116717	3815	1998-01-11	VYDAJ	VYBER	4500	85901	\N	\N	\N
1116718	3815	1998-01-18	VYDAJ	VYBER	8100	35901	\N	\N	\N
1116719	3815	1996-09-11	VYDAJ	VYBER	13800	79760	\N	\N	\N
1116721	3815	1996-08-07	VYDAJ	VYBER	12300	65717	\N	\N	\N
1116723	3815	1997-12-21	VYDAJ	VYBER	6300	92139	\N	\N	\N
1116724	3815	1997-07-29	VYDAJ	VYBER	11100	62704	\N	\N	\N
1116725	3815	1997-11-24	VYDAJ	VYBER	2100	73915	\N	\N	\N
1116726	3815	1997-10-23	VYDAJ	VYBER	1500	49028	\N	\N	\N
1116727	3815	1997-04-24	VYDAJ	VYBER	2100	54048	\N	\N	\N
1116729	3815	1998-06-08	VYDAJ	VYBER	2700	37069	\N	\N	\N
1116731	3815	1998-01-09	VYDAJ	VYBER	2100	90401	\N	\N	\N
1116739	3815	1996-06-30	VYDAJ	VYBER	15	32605	SLUZBY	\N	\N
1116740	3815	1996-07-31	VYDAJ	VYBER	15	57481	SLUZBY	\N	\N
1116741	3815	1996-08-31	VYDAJ	VYBER	15	26927	SLUZBY	\N	\N
1116742	3815	1996-09-30	VYDAJ	VYBER	15	30830	SLUZBY	\N	\N
1116743	3815	1996-10-31	VYDAJ	VYBER	15	48241	SLUZBY	\N	\N
1116744	3815	1996-11-30	VYDAJ	VYBER	15	82866	SLUZBY	\N	\N
1116745	3815	1996-12-31	VYDAJ	VYBER	15	48405	SLUZBY	\N	\N
1116746	3815	1997-01-31	VYDAJ	VYBER	15	19210	SLUZBY	\N	\N
1116747	3815	1997-02-28	VYDAJ	VYBER	15	20976	SLUZBY	\N	\N
1116748	3815	1997-03-31	VYDAJ	VYBER	15	46502	SLUZBY	\N	\N
1116749	3815	1997-04-30	VYDAJ	VYBER	15	25200	SLUZBY	\N	\N
1116750	3815	1997-05-31	VYDAJ	VYBER	15	24891	SLUZBY	\N	\N
1116751	3815	1997-06-30	VYDAJ	VYBER	15	30309	SLUZBY	\N	\N
1116752	3815	1997-07-31	VYDAJ	VYBER	15	62846	SLUZBY	\N	\N
1116753	3815	1997-08-31	VYDAJ	VYBER	15	45191	SLUZBY	\N	\N
1116754	3815	1997-09-30	VYDAJ	VYBER	15	72356	SLUZBY	\N	\N
1116755	3815	1997-10-31	VYDAJ	VYBER	15	49288	SLUZBY	\N	\N
1116756	3815	1997-11-30	VYDAJ	VYBER	15	88481	SLUZBY	\N	\N
1116757	3815	1997-12-31	VYDAJ	VYBER	15	92501	SLUZBY	\N	\N
1116758	3815	1998-01-31	VYDAJ	VYBER	15	22621	SLUZBY	\N	\N
1116759	3815	1998-02-28	VYDAJ	VYBER	15	20400	SLUZBY	\N	\N
1116760	3815	1998-03-31	VYDAJ	VYBER	15	27160	SLUZBY	\N	\N
1116761	3815	1998-04-30	VYDAJ	VYBER	15	21757	SLUZBY	\N	\N
1116762	3815	1998-05-31	VYDAJ	VYBER	15	64669	SLUZBY	\N	\N
1116763	3815	1998-06-30	VYDAJ	VYBER	15	27208	SLUZBY	\N	\N
1116764	3815	1998-07-31	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
1116765	3815	1998-08-31	VYDAJ	VYBER	15	60265	SLUZBY	\N	\N
1116766	3815	1998-09-30	VYDAJ	VYBER	15	34597	SLUZBY	\N	\N
1116767	3815	1998-10-31	VYDAJ	VYBER	15	32334	SLUZBY	\N	\N
1116768	3815	1998-11-30	VYDAJ	VYBER	15	21992	SLUZBY	\N	\N
1116769	3815	1996-04-23	VYDAJ	VYBER	20800	44718	\N	\N	\N
1116770	3815	1996-05-23	VYDAJ	VYBER	9500	35422	\N	\N	\N
1116771	3815	1996-06-22	VYDAJ	VYBER	8200	32406	\N	\N	\N
1116772	3815	1996-07-22	VYDAJ	VYBER	10400	39363	\N	\N	\N
1116773	3815	1996-08-21	VYDAJ	VYBER	22000	43717	\N	\N	\N
1116774	3815	1996-09-20	VYDAJ	VYBER	25700	54060	\N	\N	\N
1116775	3815	1996-10-20	VYDAJ	VYBER	24600	48100	\N	\N	\N
1116776	3815	1996-11-19	VYDAJ	VYBER	19300	41087	\N	\N	\N
1116777	3815	1996-12-19	VYDAJ	VYBER	27800	48135	\N	\N	\N
1116778	3815	1997-01-18	VYDAJ	VYBER	3500	19102	\N	\N	\N
1116779	3815	1997-02-17	PRIJEM	VKLAD	1700	20910	\N	\N	\N
1116780	3815	1997-03-19	PRIJEM	VKLAD	1000	21976	\N	\N	\N
1116781	3815	1997-04-04	VYDAJ	VYBER	63500	55234	\N	\N	\N
1116782	3815	1997-04-18	VYDAJ	VYBER	35700	56148	\N	\N	\N
1116783	3815	1997-05-18	VYDAJ	VYBER	400	24800	\N	\N	\N
1116784	3815	1997-06-17	VYDAJ	VYBER	3400	30182	\N	\N	\N
1116785	3815	1997-07-17	VYDAJ	VYBER	1300	29009	\N	\N	\N
1116786	3815	1997-08-16	VYDAJ	VYBER	17900	44946	\N	\N	\N
1116787	3815	1997-09-15	VYDAJ	VYBER	16300	42925	\N	\N	\N
1116788	3815	1997-10-03	VYDAJ	VYBER	32700	89391	\N	\N	\N
1116789	3815	1997-10-12	VYDAJ	VYBER	46500	83328	\N	\N	\N
1116790	3815	1997-10-15	VYDAJ	VYBER	32800	50528	\N	\N	\N
1116791	3815	1997-11-14	VYDAJ	VYBER	11600	37688	\N	\N	\N
1116792	3815	1997-12-14	VYDAJ	VYBER	30500	54081	\N	\N	\N
1116793	3815	1998-01-13	VYDAJ	VYBER	29900	56001	\N	\N	\N
1116794	3815	1998-02-12	VYDAJ	VYBER	2300	20321	\N	\N	\N
1116795	3815	1998-03-14	VYDAJ	VYBER	10100	27074	\N	\N	\N
1116796	3815	1998-04-13	VYDAJ	VYBER	5500	21660	\N	\N	\N
1116797	3815	1998-05-13	VYDAJ	VYBER	3800	17957	\N	\N	\N
1116798	3815	1998-06-12	VYDAJ	VYBER	10000	27069	\N	\N	\N
1116799	3815	1998-07-12	VYDAJ	VYBER	700	26508	\N	\N	\N
1116800	3815	1998-08-11	VYDAJ	VYBER	6100	18143	\N	\N	\N
1116801	3815	1998-09-10	VYDAJ	VYBER	25900	34365	\N	\N	\N
1116802	3815	1998-10-10	VYDAJ	VYBER	19000	32212	\N	\N	\N
1116803	3815	1998-11-09	VYDAJ	VYBER	5600	21905	\N	\N	\N
1116804	3815	1998-12-09	VYDAJ	VYBER	2700	19292	\N	\N	\N
1116837	3816	1996-04-21	PRIJEM	VKLAD	400	400	\N	\N	\N
1116918	3816	1996-05-21	PRIJEM	VKLAD	9800	10200	\N	\N	\N
1116919	3816	1996-06-20	PRIJEM	VKLAD	3500	13700	\N	\N	\N
1116920	3816	1996-07-20	PRIJEM	VKLAD	5300	19000	\N	\N	\N
1116921	3816	1996-08-19	PRIJEM	VKLAD	5400	24400	\N	\N	\N
1116922	3816	1996-09-18	PRIJEM	VKLAD	400	24800	\N	\N	\N
1116923	3816	1996-10-18	PRIJEM	VKLAD	100	24900	\N	\N	\N
1116924	3816	1996-11-17	VYDAJ	VYBER	2000	22900	\N	\N	\N
1116925	3816	1996-12-17	PRIJEM	VKLAD	4000	26900	\N	\N	\N
1116926	3816	1997-01-16	PRIJEM	VKLAD	500	27400	\N	\N	\N
1116927	3816	1997-02-15	VYDAJ	VYBER	1700	25700	\N	\N	\N
1116928	3816	1997-03-17	PRIJEM	VKLAD	1200	26900	\N	\N	\N
1116929	3816	1997-04-16	PRIJEM	VKLAD	3500	30400	\N	\N	\N
1116930	3816	1997-05-16	PRIJEM	VKLAD	4800	35200	\N	\N	\N
1116931	3816	1997-06-15	PRIJEM	VKLAD	4500	39700	\N	\N	\N
1116932	3816	1997-07-15	PRIJEM	VKLAD	4200	43900	\N	\N	\N
1116933	3816	1997-08-14	VYDAJ	VYBER	3800	40100	\N	\N	\N
1116934	3816	1997-09-13	VYDAJ	VYBER	1200	38900	\N	\N	\N
1116935	3816	1997-10-13	PRIJEM	VKLAD	3800	42700	\N	\N	\N
1116936	3816	1997-11-12	PRIJEM	VKLAD	100	42800	\N	\N	\N
1116937	3816	1997-12-12	VYDAJ	VYBER	3100	39700	\N	\N	\N
1116938	3816	1998-01-11	VYDAJ	VYBER	3900	35800	\N	\N	\N
1116939	3816	1998-02-10	PRIJEM	VKLAD	3000	38800	\N	\N	\N
1116940	3816	1998-03-12	PRIJEM	VKLAD	1400	40200	\N	\N	\N
1116941	3816	1998-04-11	PRIJEM	VKLAD	3000	43200	\N	\N	\N
1116942	3816	1998-05-11	VYDAJ	VYBER	3000	40200	\N	\N	\N
1116943	3816	1998-06-10	VYDAJ	VYBER	700	39500	\N	\N	\N
1116944	3816	1998-07-10	VYDAJ	VYBER	1500	38000	\N	\N	\N
1116945	3816	1998-08-09	PRIJEM	VKLAD	3100	41100	\N	\N	\N
1116946	3816	1998-09-08	PRIJEM	VKLAD	1900	43000	\N	\N	\N
1116947	3816	1998-10-08	VYDAJ	VYBER	5000	38000	\N	\N	\N
1116948	3816	1998-11-07	PRIJEM	VKLAD	500	38500	\N	\N	\N
1116949	3816	1998-12-07	PRIJEM	VKLAD	6100	44600	\N	\N	\N
1116950	3817	1995-02-10	PRIJEM	VKLAD	700	700	\N	\N	\N
1116952	3817	1995-02-11	PRIJEM	VKLAD	9794	10494	\N	\N	\N
1116953	3817	1995-03-11	PRIJEM	VKLAD	9794	20316	\N	\N	\N
1116954	3817	1995-04-11	PRIJEM	VKLAD	9794	32186	\N	\N	\N
1116955	3817	1995-05-11	PRIJEM	VKLAD	9794	40094	\N	\N	\N
1116956	3817	1995-06-11	PRIJEM	VKLAD	14691	38813	\N	\N	\N
1116957	3817	1995-07-11	PRIJEM	VKLAD	9794	35997	\N	\N	\N
1116958	3817	1995-08-11	PRIJEM	VKLAD	9794	32075	\N	\N	\N
1116959	3817	1995-09-11	PRIJEM	VKLAD	9794	30838	\N	\N	\N
1116960	3817	1995-10-11	PRIJEM	VKLAD	9794	28722	\N	\N	\N
1116961	3817	1995-11-11	PRIJEM	VKLAD	9794	30504	\N	\N	\N
1116962	3817	1995-12-11	PRIJEM	VKLAD	14691	37749	\N	\N	\N
1116963	3817	1996-01-11	PRIJEM	VKLAD	9794	22199	\N	\N	\N
1116964	3817	1996-02-11	PRIJEM	VKLAD	9794	26229	\N	\N	\N
1116965	3817	1996-03-11	PRIJEM	VKLAD	9794	28113	\N	\N	\N
1116966	3817	1996-04-11	PRIJEM	VKLAD	9794	29950	\N	\N	\N
1116967	3817	1996-05-11	PRIJEM	VKLAD	9794	32897	\N	\N	\N
1116968	3817	1996-06-11	PRIJEM	VKLAD	14691	31467	\N	\N	\N
1116969	3817	1996-07-11	PRIJEM	VKLAD	9794	33716	\N	\N	\N
1116970	3817	1996-08-11	PRIJEM	VKLAD	9794	35778	\N	\N	\N
1116971	3817	1996-09-11	PRIJEM	VKLAD	9794	38748	\N	\N	\N
1116972	3817	1996-10-11	PRIJEM	VKLAD	9794	40529	\N	\N	\N
1116973	3817	1996-11-11	PRIJEM	VKLAD	9794	38420	\N	\N	\N
1116974	3817	1996-12-11	PRIJEM	VKLAD	14691	38818	\N	\N	\N
1116975	3817	1997-01-11	PRIJEM	VKLAD	9794	35759	\N	\N	\N
1116976	3817	1997-02-11	PRIJEM	VKLAD	9794	26204	\N	\N	\N
1116977	3817	1997-03-11	PRIJEM	VKLAD	9794	27054	\N	\N	\N
1116978	3817	1997-04-11	PRIJEM	VKLAD	9794	29585	\N	\N	\N
1116979	3817	1997-05-11	PRIJEM	VKLAD	9794	31625	\N	\N	\N
1116980	3817	1997-06-11	PRIJEM	VKLAD	14691	32663	\N	\N	\N
1116981	3817	1997-07-11	PRIJEM	VKLAD	9794	33809	\N	\N	\N
1116982	3817	1997-08-11	PRIJEM	VKLAD	9794	30265	\N	\N	\N
1116983	3817	1997-09-11	PRIJEM	VKLAD	9794	32207	\N	\N	\N
1116984	3817	1997-10-11	PRIJEM	VKLAD	9794	34058	\N	\N	\N
1116985	3817	1997-11-11	PRIJEM	VKLAD	9794	32014	\N	\N	\N
1116986	3817	1997-12-11	PRIJEM	VKLAD	14691	38616	\N	\N	\N
1116987	3817	1998-01-11	PRIJEM	VKLAD	9794	24424	\N	\N	\N
1116988	3817	1998-02-11	PRIJEM	VKLAD	9794	25647	\N	\N	\N
1116989	3817	1998-03-11	PRIJEM	VKLAD	9794	32073	\N	\N	\N
1116990	3817	1998-04-11	PRIJEM	VKLAD	9794	32122	\N	\N	\N
1116991	3817	1998-05-11	PRIJEM	VKLAD	9794	24905	\N	\N	\N
1116992	3817	1998-06-11	PRIJEM	VKLAD	14691	33123	\N	\N	\N
1116993	3817	1998-07-11	PRIJEM	VKLAD	9794	31366	\N	\N	\N
1116994	3817	1998-08-11	PRIJEM	VKLAD	9794	31210	\N	\N	\N
1116995	3817	1998-09-11	PRIJEM	VKLAD	9794	34557	\N	\N	\N
1116996	3817	1998-10-11	PRIJEM	VKLAD	9794	36712	\N	\N	\N
1116997	3817	1998-11-11	PRIJEM	VKLAD	9794	34122	\N	\N	\N
1116998	3817	1998-12-11	PRIJEM	VKLAD	14691	39805	\N	\N	\N
1117004	3817	1995-06-12	VYDAJ	PREVOD NA UCET	6529	32284	SIPO	MN	93542521
1117005	3817	1995-07-12	VYDAJ	PREVOD NA UCET	6529	29468	SIPO	MN	93542521
1117006	3817	1995-08-12	VYDAJ	PREVOD NA UCET	6529	25546	SIPO	MN	93542521
1117007	3817	1995-09-12	VYDAJ	PREVOD NA UCET	6529	20349	SIPO	MN	93542521
1117008	3817	1995-10-12	VYDAJ	PREVOD NA UCET	6529	22193	SIPO	MN	93542521
1117009	3817	1995-11-12	VYDAJ	PREVOD NA UCET	6529	23975	SIPO	MN	93542521
1117010	3817	1995-12-12	VYDAJ	PREVOD NA UCET	6529	31220	SIPO	MN	93542521
1117011	3817	1996-01-12	VYDAJ	PREVOD NA UCET	6529	15670	SIPO	MN	93542521
1117012	3817	1996-02-12	VYDAJ	PREVOD NA UCET	6529	19700	SIPO	MN	93542521
1117013	3817	1996-03-12	VYDAJ	PREVOD NA UCET	6529	21584	SIPO	MN	93542521
1117014	3817	1996-04-12	VYDAJ	PREVOD NA UCET	6529	23421	SIPO	MN	93542521
1117015	3817	1996-05-12	VYDAJ	PREVOD NA UCET	6529	26368	SIPO	MN	93542521
1117016	3817	1996-06-12	VYDAJ	PREVOD NA UCET	6529	24938	SIPO	MN	93542521
1117017	3817	1996-07-12	VYDAJ	PREVOD NA UCET	6529	27187	SIPO	MN	93542521
1117018	3817	1996-08-12	VYDAJ	PREVOD NA UCET	6529	29249	SIPO	MN	93542521
1117019	3817	1996-09-12	VYDAJ	PREVOD NA UCET	6529	32219	SIPO	MN	93542521
1117020	3817	1996-10-12	VYDAJ	PREVOD NA UCET	6529	34000	SIPO	MN	93542521
1117021	3817	1996-11-12	VYDAJ	PREVOD NA UCET	6529	31891	SIPO	MN	93542521
1117022	3817	1996-12-12	VYDAJ	PREVOD NA UCET	6529	32289	SIPO	MN	93542521
1117023	3817	1997-01-12	VYDAJ	PREVOD NA UCET	6529	28390	SIPO	MN	93542521
1117024	3817	1997-02-12	VYDAJ	PREVOD NA UCET	6529	19675	SIPO	MN	93542521
1117025	3817	1997-03-12	VYDAJ	PREVOD NA UCET	6529	20525	SIPO	MN	93542521
1117026	3817	1997-04-12	VYDAJ	PREVOD NA UCET	6529	23056	SIPO	MN	93542521
1117027	3817	1997-05-12	VYDAJ	PREVOD NA UCET	6529	25096	SIPO	MN	93542521
1117028	3817	1997-06-12	VYDAJ	PREVOD NA UCET	6529	26134	SIPO	MN	93542521
1117029	3817	1997-07-12	VYDAJ	PREVOD NA UCET	6529	27280	SIPO	MN	93542521
1117030	3817	1997-08-12	VYDAJ	PREVOD NA UCET	6529	23736	SIPO	MN	93542521
1117031	3817	1997-09-12	VYDAJ	PREVOD NA UCET	6529	25678	SIPO	MN	93542521
1117032	3817	1997-10-12	VYDAJ	PREVOD NA UCET	6529	27529	SIPO	MN	93542521
1117033	3817	1997-11-12	VYDAJ	PREVOD NA UCET	6529	25485	SIPO	MN	93542521
1117034	3817	1997-12-12	VYDAJ	PREVOD NA UCET	6529	32087	SIPO	MN	93542521
1117035	3817	1998-01-12	VYDAJ	PREVOD NA UCET	6529	15255	SIPO	MN	93542521
1117036	3817	1998-02-12	VYDAJ	PREVOD NA UCET	6529	19118	SIPO	MN	93542521
1117037	3817	1998-03-12	VYDAJ	PREVOD NA UCET	6529	25544	SIPO	MN	93542521
1117038	3817	1998-04-12	VYDAJ	PREVOD NA UCET	6529	25593	SIPO	MN	93542521
1117039	3817	1998-05-12	VYDAJ	PREVOD NA UCET	6529	18376	SIPO	MN	93542521
1117040	3817	1998-06-12	VYDAJ	PREVOD NA UCET	6529	26594	SIPO	MN	93542521
1117041	3817	1998-07-12	VYDAJ	PREVOD NA UCET	6529	24837	SIPO	MN	93542521
1117042	3817	1998-08-12	VYDAJ	PREVOD NA UCET	6529	24681	SIPO	MN	93542521
1117043	3817	1998-09-12	VYDAJ	PREVOD NA UCET	6529	28028	SIPO	MN	93542521
1117044	3817	1998-10-12	VYDAJ	PREVOD NA UCET	6529	30183	SIPO	MN	93542521
1117045	3817	1998-11-12	VYDAJ	PREVOD NA UCET	6529	27593	SIPO	MN	93542521
1117046	3817	1998-12-12	VYDAJ	PREVOD NA UCET	6529	33276	SIPO	MN	93542521
1117052	3817	1996-01-08	VYDAJ	VYBER	3040	12405	\N	\N	\N
1117054	3817	1998-01-06	VYDAJ	VYBER	10080	15950	\N	\N	\N
1117055	3817	1995-12-29	VYDAJ	VYBER	2880	18380	\N	\N	\N
1117056	3817	1996-12-25	VYDAJ	VYBER	800	31489	\N	\N	\N
1117057	3817	1997-12-30	VYDAJ	VYBER	3360	25927	\N	\N	\N
1117058	3817	1998-12-16	VYDAJ	VYBER	1120	32156	\N	\N	\N
1117067	3817	1996-01-06	VYDAJ	VYBER	840	15445	\N	\N	\N
1117068	3817	1996-01-02	VYDAJ	VYBER	840	14985	\N	\N	\N
1117069	3817	1996-01-19	VYDAJ	VYBER	2280	13390	\N	\N	\N
1117070	3817	1996-01-01	VYDAJ	VYBER	2640	15825	\N	\N	\N
1117071	3817	1997-01-21	VYDAJ	VYBER	3000	22990	\N	\N	\N
1117072	3817	1997-01-07	VYDAJ	VYBER	840	25965	\N	\N	\N
1117073	3817	1997-01-12	VYDAJ	VYBER	840	34919	\N	\N	\N
1117074	3817	1997-01-30	VYDAJ	VYBER	2280	20510	\N	\N	\N
1117075	3817	1997-01-17	VYDAJ	VYBER	1440	25990	\N	\N	\N
1117076	3817	1997-01-14	VYDAJ	VYBER	960	27430	\N	\N	\N
1117078	3817	1998-01-26	VYDAJ	VYBER	1560	15795	\N	\N	\N
1117081	3817	1998-01-12	VYDAJ	VYBER	2640	21784	\N	\N	\N
1117082	3817	1998-01-07	VYDAJ	VYBER	1320	14630	\N	\N	\N
1117083	3817	1995-12-13	VYDAJ	VYBER	4560	26660	\N	\N	\N
1117084	3817	1995-12-20	VYDAJ	VYBER	5400	21260	\N	\N	\N
1117085	3817	1995-09-11	VYDAJ	VYBER	3960	26878	\N	\N	\N
1117088	3817	1995-11-04	VYDAJ	VYBER	5760	16510	\N	\N	\N
1117089	3817	1996-05-27	VYDAJ	VYBER	5040	21328	\N	\N	\N
1117090	3817	1996-01-26	VYDAJ	VYBER	600	12790	\N	\N	\N
1117091	3817	1996-11-17	VYDAJ	VYBER	2880	29011	\N	\N	\N
1117092	3817	1996-06-09	VYDAJ	VYBER	1440	16776	\N	\N	\N
1117093	3817	1996-03-05	VYDAJ	VYBER	4440	15319	\N	\N	\N
1117094	3817	1997-05-28	VYDAJ	VYBER	4920	17296	\N	\N	\N
1117096	3817	1997-05-16	VYDAJ	VYBER	2880	22216	\N	\N	\N
1117097	3817	1997-02-22	VYDAJ	VYBER	3480	16195	\N	\N	\N
1117098	3817	1997-11-19	VYDAJ	VYBER	4440	21045	\N	\N	\N
1117099	3817	1997-02-08	VYDAJ	VYBER	4200	16410	\N	\N	\N
1117100	3817	1998-10-27	VYDAJ	VYBER	2040	29743	\N	\N	\N
1117101	3817	1998-09-15	VYDAJ	VYBER	4200	23828	\N	\N	\N
1117103	3817	1998-12-03	VYDAJ	VYBER	2880	25114	\N	\N	\N
1117104	3817	1998-11-08	VYDAJ	VYBER	1080	24328	\N	\N	\N
1117105	3817	1998-11-05	VYDAJ	VYBER	4440	25408	\N	\N	\N
1117106	3817	1998-04-27	VYDAJ	VYBER	5760	15033	\N	\N	\N
1117107	3817	1998-12-20	VYDAJ	VYBER	4200	27956	\N	\N	\N
1117114	3817	1995-06-30	VYDAJ	VYBER	15	32403	SLUZBY	\N	\N
1117115	3817	1995-07-31	VYDAJ	VYBER	15	29581	SLUZBY	\N	\N
1117116	3817	1995-08-31	VYDAJ	VYBER	15	25644	SLUZBY	\N	\N
1117117	3817	1995-09-30	VYDAJ	VYBER	15	20428	SLUZBY	\N	\N
1117118	3817	1995-10-31	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
1117119	3817	1995-11-30	VYDAJ	VYBER	15	24058	SLUZBY	\N	\N
1117120	3817	1995-12-31	VYDAJ	VYBER	15	18465	SLUZBY	\N	\N
1117121	3817	1996-01-31	VYDAJ	VYBER	15	12835	SLUZBY	\N	\N
1117122	3817	1996-02-29	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
1117123	3817	1996-03-31	VYDAJ	VYBER	15	21656	SLUZBY	\N	\N
1117124	3817	1996-04-30	VYDAJ	VYBER	15	23503	SLUZBY	\N	\N
1117125	3817	1996-05-31	VYDAJ	VYBER	15	21416	SLUZBY	\N	\N
1117126	3817	1996-06-30	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
1117127	3817	1996-07-31	VYDAJ	VYBER	15	27284	SLUZBY	\N	\N
1117128	3817	1996-08-31	VYDAJ	VYBER	15	29354	SLUZBY	\N	\N
1117129	3817	1996-09-30	VYDAJ	VYBER	15	32335	SLUZBY	\N	\N
1117130	3817	1996-10-31	VYDAJ	VYBER	15	34126	SLUZBY	\N	\N
1117131	3817	1996-11-30	VYDAJ	VYBER	15	29127	SLUZBY	\N	\N
1117132	3817	1996-12-31	VYDAJ	VYBER	15	31605	SLUZBY	\N	\N
1117133	3817	1997-01-31	VYDAJ	VYBER	15	20610	SLUZBY	\N	\N
1117134	3817	1997-02-28	VYDAJ	VYBER	15	16260	SLUZBY	\N	\N
1117135	3817	1997-03-31	VYDAJ	VYBER	15	20591	SLUZBY	\N	\N
1117136	3817	1997-04-30	VYDAJ	VYBER	15	23131	SLUZBY	\N	\N
1117137	3817	1997-05-31	VYDAJ	VYBER	15	17972	SLUZBY	\N	\N
1117138	3817	1997-06-30	VYDAJ	VYBER	15	24015	SLUZBY	\N	\N
1117139	3817	1997-07-31	VYDAJ	VYBER	15	20471	SLUZBY	\N	\N
1117140	3817	1997-08-31	VYDAJ	VYBER	15	22413	SLUZBY	\N	\N
1117141	3817	1997-09-30	VYDAJ	VYBER	15	24264	SLUZBY	\N	\N
1117142	3817	1997-10-31	VYDAJ	VYBER	15	22220	SLUZBY	\N	\N
1117143	3817	1997-11-30	VYDAJ	VYBER	15	23925	SLUZBY	\N	\N
1117144	3817	1997-12-31	VYDAJ	VYBER	15	26030	SLUZBY	\N	\N
1117145	3817	1998-01-31	VYDAJ	VYBER	15	15853	SLUZBY	\N	\N
1117146	3817	1998-02-28	VYDAJ	VYBER	15	22279	SLUZBY	\N	\N
1117147	3817	1998-03-31	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
1117148	3817	1998-04-30	VYDAJ	VYBER	15	15111	SLUZBY	\N	\N
1117149	3817	1998-05-31	VYDAJ	VYBER	15	18432	SLUZBY	\N	\N
1117150	3817	1998-06-30	VYDAJ	VYBER	15	21572	SLUZBY	\N	\N
1117151	3817	1998-07-31	VYDAJ	VYBER	15	21416	SLUZBY	\N	\N
1117152	3817	1998-08-31	VYDAJ	VYBER	15	24763	SLUZBY	\N	\N
1117153	3817	1998-09-30	VYDAJ	VYBER	15	26918	SLUZBY	\N	\N
1117154	3817	1998-10-31	VYDAJ	VYBER	15	29848	SLUZBY	\N	\N
1117155	3817	1998-11-30	VYDAJ	VYBER	15	27994	SLUZBY	\N	\N
1117156	3817	1995-03-12	PRIJEM	VKLAD	2000	22316	\N	\N	\N
1117157	3817	1995-04-11	VYDAJ	VYBER	2000	30186	\N	\N	\N
1117158	3817	1995-05-11	VYDAJ	VYBER	9200	30894	\N	\N	\N
1117159	3817	1995-06-10	VYDAJ	VYBER	6900	24122	\N	\N	\N
1117160	3817	1995-07-10	VYDAJ	VYBER	6200	26203	\N	\N	\N
1117161	3817	1995-08-09	VYDAJ	VYBER	7300	22281	\N	\N	\N
1117162	3817	1995-09-08	VYDAJ	VYBER	4600	21044	\N	\N	\N
1117163	3817	1995-10-08	VYDAJ	VYBER	1500	18928	\N	\N	\N
1117164	3817	1995-11-07	PRIJEM	VKLAD	4200	20710	\N	\N	\N
1117165	3817	1995-12-07	VYDAJ	VYBER	1000	23058	\N	\N	\N
1117166	3817	1996-01-06	PRIJEM	VKLAD	1300	16285	\N	\N	\N
1117167	3817	1996-02-05	PRIJEM	VKLAD	3600	16435	\N	\N	\N
1117168	3817	1996-03-06	PRIJEM	VKLAD	3000	18319	\N	\N	\N
1117169	3817	1996-04-05	VYDAJ	VYBER	1500	20156	\N	\N	\N
1117170	3817	1996-05-05	VYDAJ	VYBER	400	23103	\N	\N	\N
1117171	3817	1996-06-04	VYDAJ	VYBER	3200	18216	\N	\N	\N
1117172	3817	1996-07-04	VYDAJ	VYBER	1100	23922	\N	\N	\N
1117173	3817	1996-08-03	VYDAJ	VYBER	1300	25984	\N	\N	\N
1117174	3817	1996-09-02	VYDAJ	VYBER	400	28954	\N	\N	\N
1117175	3817	1996-10-02	VYDAJ	VYBER	1600	30735	\N	\N	\N
1117176	3817	1996-11-01	VYDAJ	VYBER	5500	28626	\N	\N	\N
1117177	3817	1996-12-01	VYDAJ	VYBER	5000	24127	\N	\N	\N
1117178	3817	1996-12-31	VYDAJ	VYBER	4800	26805	\N	\N	\N
1117179	3817	1997-01-30	VYDAJ	VYBER	200	22790	\N	\N	\N
1117180	3817	1997-03-01	PRIJEM	VKLAD	1000	17260	\N	\N	\N
1117181	3817	1997-03-31	VYDAJ	VYBER	800	19791	\N	\N	\N
1117182	3817	1997-04-30	VYDAJ	VYBER	1300	21831	\N	\N	\N
1117183	3817	1997-05-30	PRIJEM	VKLAD	600	17896	\N	\N	\N
1117184	3817	1997-06-29	VYDAJ	VYBER	2200	23934	\N	\N	\N
1117185	3817	1997-07-29	VYDAJ	VYBER	6900	20380	\N	\N	\N
1117186	3817	1997-08-28	VYDAJ	VYBER	1400	22336	\N	\N	\N
1117187	3817	1997-09-27	VYDAJ	VYBER	1500	24178	\N	\N	\N
1117188	3817	1997-10-27	VYDAJ	VYBER	5400	22129	\N	\N	\N
1117189	3817	1997-11-26	PRIJEM	VKLAD	2800	23845	\N	\N	\N
1117190	3817	1997-12-26	VYDAJ	VYBER	2800	29287	\N	\N	\N
1117191	3817	1998-01-25	PRIJEM	VKLAD	2100	17355	\N	\N	\N
1117192	3817	1998-02-24	PRIJEM	VKLAD	3100	22218	\N	\N	\N
1117193	3817	1998-03-26	VYDAJ	VYBER	3300	22244	\N	\N	\N
1117194	3817	1998-04-25	VYDAJ	VYBER	4800	20793	\N	\N	\N
1117195	3817	1998-06-24	VYDAJ	VYBER	5100	21494	\N	\N	\N
1117196	3817	1998-07-24	VYDAJ	VYBER	3500	21337	\N	\N	\N
1117197	3817	1998-09-22	PRIJEM	VKLAD	3000	26828	\N	\N	\N
1117198	3817	1998-10-22	PRIJEM	VKLAD	1600	31783	\N	\N	\N
1117199	3817	1998-11-21	PRIJEM	VKLAD	300	27893	\N	\N	\N
1117247	3818	1993-01-01	PRIJEM	VKLAD	600	600	\N	\N	\N
1117248	3818	1993-01-09	PRIJEM	VKLAD	17366	17966	\N	\N	\N
1117249	3818	1993-02-09	PRIJEM	VKLAD	17366	37388	\N	\N	\N
1117250	3818	1993-03-09	PRIJEM	VKLAD	17366	50637	\N	\N	\N
1117251	3818	1993-04-09	PRIJEM	VKLAD	17366	53481	\N	\N	\N
1117252	3818	1993-05-09	PRIJEM	VKLAD	17366	57567	\N	\N	\N
1117253	3818	1993-06-09	PRIJEM	VKLAD	26049	63173	\N	\N	\N
1117254	3818	1993-07-09	PRIJEM	VKLAD	17366	46756	\N	\N	\N
1117255	3818	1993-08-09	PRIJEM	VKLAD	17366	50823	\N	\N	\N
1117256	3818	1993-09-09	PRIJEM	VKLAD	17366	51503	\N	\N	\N
1117257	3818	1993-10-09	PRIJEM	VKLAD	17366	48927	\N	\N	\N
1117258	3818	1993-11-09	PRIJEM	VKLAD	17366	50322	\N	\N	\N
1117259	3818	1993-12-09	PRIJEM	VKLAD	26049	61286	\N	\N	\N
1117260	3818	1994-01-09	PRIJEM	VKLAD	17366	41070	\N	\N	\N
1117261	3818	1994-02-09	PRIJEM	VKLAD	17366	40686	\N	\N	\N
1117262	3818	1994-03-09	PRIJEM	VKLAD	17366	47528	\N	\N	\N
1117263	3818	1994-04-09	PRIJEM	VKLAD	17366	49193	\N	\N	\N
1117264	3818	1994-05-09	PRIJEM	VKLAD	17366	48536	\N	\N	\N
1117265	3818	1994-06-09	PRIJEM	VKLAD	26049	59789	\N	\N	\N
1117266	3818	1994-07-09	PRIJEM	VKLAD	17366	56689	\N	\N	\N
1117267	3818	1994-08-09	PRIJEM	VKLAD	17366	54585	\N	\N	\N
1117268	3818	1994-09-09	PRIJEM	VKLAD	17366	54075	\N	\N	\N
1117269	3818	1994-10-09	PRIJEM	VKLAD	17366	56967	\N	\N	\N
1117270	3818	1994-11-09	PRIJEM	VKLAD	17366	53561	\N	\N	\N
1117271	3818	1994-12-09	PRIJEM	VKLAD	26049	61291	\N	\N	\N
1117272	3818	1995-01-09	PRIJEM	VKLAD	17366	46358	\N	\N	\N
1117273	3818	1995-02-09	PRIJEM	VKLAD	17366	46779	\N	\N	\N
1117274	3818	1995-03-09	PRIJEM	VKLAD	17366	50119	\N	\N	\N
1117275	3818	1995-04-09	PRIJEM	VKLAD	17366	55797	\N	\N	\N
1117276	3818	1995-05-09	PRIJEM	VKLAD	17366	55628	\N	\N	\N
1117277	3818	1995-06-09	PRIJEM	VKLAD	26049	62798	\N	\N	\N
1117278	3818	1995-07-09	PRIJEM	VKLAD	17366	48402	\N	\N	\N
1117279	3818	1995-08-09	PRIJEM	VKLAD	17366	52467	\N	\N	\N
1117280	3818	1995-09-09	PRIJEM	VKLAD	17366	54345	\N	\N	\N
1117281	3818	1995-10-09	PRIJEM	VKLAD	17366	55227	\N	\N	\N
1117282	3818	1995-11-09	PRIJEM	VKLAD	17366	57415	\N	\N	\N
1117283	3818	1995-12-09	PRIJEM	VKLAD	26049	61925	\N	\N	\N
1117284	3818	1996-01-09	PRIJEM	VKLAD	17366	50079	\N	\N	\N
1117285	3818	1996-02-09	PRIJEM	VKLAD	17366	36645	\N	\N	\N
1117286	3818	1996-03-09	PRIJEM	VKLAD	17366	51882	\N	\N	\N
1117287	3818	1996-04-09	PRIJEM	VKLAD	17366	58363	\N	\N	\N
1117288	3818	1996-05-09	PRIJEM	VKLAD	17366	64369	\N	\N	\N
1117289	3818	1996-06-09	PRIJEM	VKLAD	26049	75835	\N	\N	\N
1117290	3818	1996-07-09	PRIJEM	VKLAD	17366	63572	\N	\N	\N
1117291	3818	1996-08-09	PRIJEM	VKLAD	17366	59900	\N	\N	\N
1117292	3818	1996-09-09	PRIJEM	VKLAD	17366	62505	\N	\N	\N
1117293	3818	1996-10-09	PRIJEM	VKLAD	17366	53759	\N	\N	\N
1117294	3818	1996-11-09	PRIJEM	VKLAD	17366	58946	\N	\N	\N
1117295	3818	1996-12-09	PRIJEM	VKLAD	26049	70929	\N	\N	\N
1117296	3818	1997-01-09	PRIJEM	VKLAD	17366	57510	\N	\N	\N
1117297	3818	1997-02-09	PRIJEM	VKLAD	17366	48230	\N	\N	\N
1117298	3818	1997-03-09	PRIJEM	VKLAD	17366	58904	\N	\N	\N
1117299	3818	1997-04-09	PRIJEM	VKLAD	17366	56168	\N	\N	\N
1117300	3818	1997-05-09	PRIJEM	VKLAD	17366	63265	\N	\N	\N
1117301	3818	1997-06-09	PRIJEM	VKLAD	26049	74862	\N	\N	\N
1117302	3818	1997-07-09	PRIJEM	VKLAD	17366	45194	\N	\N	\N
1117303	3818	1997-08-09	PRIJEM	VKLAD	17366	58515	\N	\N	\N
1117304	3818	1997-09-09	PRIJEM	VKLAD	17366	62575	\N	\N	\N
1117305	3818	1997-10-09	PRIJEM	VKLAD	17366	70709	\N	\N	\N
1117306	3818	1997-11-09	PRIJEM	VKLAD	17366	70250	\N	\N	\N
1117307	3818	1997-12-09	PRIJEM	VKLAD	26049	82001	\N	\N	\N
1117308	3818	1998-01-09	PRIJEM	VKLAD	17366	66195	\N	\N	\N
1117309	3818	1998-02-09	PRIJEM	VKLAD	17366	64715	\N	\N	\N
1117310	3818	1998-03-09	PRIJEM	VKLAD	17366	66854	\N	\N	\N
1117311	3818	1998-04-09	PRIJEM	VKLAD	17366	69705	\N	\N	\N
1117312	3818	1998-05-09	PRIJEM	VKLAD	17366	69070	\N	\N	\N
1117313	3818	1998-06-09	PRIJEM	VKLAD	26049	77615	\N	\N	\N
1117314	3818	1998-07-09	PRIJEM	VKLAD	17366	51538	\N	\N	\N
1117315	3818	1998-08-09	PRIJEM	VKLAD	17366	59110	\N	\N	\N
1117316	3818	1998-09-09	PRIJEM	VKLAD	17366	64623	\N	\N	\N
1117317	3818	1998-10-09	PRIJEM	VKLAD	17366	68259	\N	\N	\N
1117318	3818	1998-11-09	PRIJEM	VKLAD	17366	67114	\N	\N	\N
1117319	3818	1998-12-09	PRIJEM	VKLAD	26049	72850	\N	\N	\N
1117324	3818	1993-05-09	VYDAJ	PREVOD NA UCET	3596	53971	SIPO	QR	35474443
1117325	3818	1993-06-09	VYDAJ	PREVOD NA UCET	3596	55512	SIPO	QR	35474443
1117326	3818	1993-07-09	VYDAJ	PREVOD NA UCET	3596	39095	SIPO	QR	35474443
1117327	3818	1993-08-09	VYDAJ	PREVOD NA UCET	3596	47227	SIPO	QR	35474443
1117328	3818	1993-09-09	VYDAJ	PREVOD NA UCET	3596	47907	SIPO	QR	35474443
1117329	3818	1993-10-09	VYDAJ	PREVOD NA UCET	3596	41266	SIPO	QR	35474443
1117330	3818	1993-11-09	VYDAJ	PREVOD NA UCET	3596	46726	SIPO	QR	35474443
1117331	3818	1993-12-09	VYDAJ	PREVOD NA UCET	3596	53625	SIPO	QR	35474443
1117332	3818	1994-01-09	VYDAJ	PREVOD NA UCET	3596	37474	SIPO	QR	35474443
1117333	3818	1994-02-09	VYDAJ	PREVOD NA UCET	3596	33025	SIPO	QR	35474443
1117334	3818	1994-03-09	VYDAJ	PREVOD NA UCET	3596	39867	SIPO	QR	35474443
1117335	3818	1994-04-09	VYDAJ	PREVOD NA UCET	3596	45597	SIPO	QR	35474443
1117336	3818	1994-05-09	VYDAJ	PREVOD NA UCET	3596	44940	SIPO	QR	35474443
1117337	3818	1994-06-09	VYDAJ	PREVOD NA UCET	3596	56193	SIPO	QR	35474443
1117338	3818	1994-07-09	VYDAJ	PREVOD NA UCET	3596	53093	SIPO	QR	35474443
1117339	3818	1994-08-09	VYDAJ	PREVOD NA UCET	3596	46924	SIPO	QR	35474443
1117340	3818	1994-09-09	VYDAJ	PREVOD NA UCET	3596	50479	SIPO	QR	35474443
1117341	3818	1994-10-09	VYDAJ	PREVOD NA UCET	3596	53371	SIPO	QR	35474443
1117342	3818	1994-11-09	VYDAJ	PREVOD NA UCET	3596	49965	SIPO	QR	35474443
1117343	3818	1994-12-09	VYDAJ	PREVOD NA UCET	3596	53630	SIPO	QR	35474443
1117344	3818	1995-01-09	VYDAJ	PREVOD NA UCET	3596	42762	SIPO	QR	35474443
1117345	3818	1995-02-09	VYDAJ	PREVOD NA UCET	3596	43183	SIPO	QR	35474443
1117346	3818	1995-03-09	VYDAJ	PREVOD NA UCET	3596	42458	SIPO	QR	35474443
1117347	3818	1995-04-09	VYDAJ	PREVOD NA UCET	3596	52201	SIPO	QR	35474443
1117348	3818	1995-05-09	VYDAJ	PREVOD NA UCET	3596	52032	SIPO	QR	35474443
1117349	3818	1995-06-09	VYDAJ	PREVOD NA UCET	3596	59202	SIPO	QR	35474443
1117350	3818	1995-07-09	VYDAJ	PREVOD NA UCET	3596	40741	SIPO	QR	35474443
1117351	3818	1995-08-09	VYDAJ	PREVOD NA UCET	3596	48871	SIPO	QR	35474443
1117352	3818	1995-09-09	VYDAJ	PREVOD NA UCET	3596	50749	SIPO	QR	35474443
1117353	3818	1995-10-09	VYDAJ	PREVOD NA UCET	3596	51631	SIPO	QR	35474443
1117354	3818	1995-11-09	VYDAJ	PREVOD NA UCET	3596	53819	SIPO	QR	35474443
1117355	3818	1995-12-09	VYDAJ	PREVOD NA UCET	3596	58329	SIPO	QR	35474443
1117356	3818	1996-01-09	VYDAJ	PREVOD NA UCET	3596	42418	SIPO	QR	35474443
1117357	3818	1996-02-09	VYDAJ	PREVOD NA UCET	3596	33049	SIPO	QR	35474443
1117358	3818	1996-03-09	VYDAJ	PREVOD NA UCET	3596	44221	SIPO	QR	35474443
1117359	3818	1996-04-09	VYDAJ	PREVOD NA UCET	3596	54767	SIPO	QR	35474443
1117360	3818	1996-05-09	VYDAJ	PREVOD NA UCET	3596	60773	SIPO	QR	35474443
1117361	3818	1996-06-09	VYDAJ	PREVOD NA UCET	3596	68174	SIPO	QR	35474443
1117362	3818	1996-07-09	VYDAJ	PREVOD NA UCET	3596	55911	SIPO	QR	35474443
1117363	3818	1996-08-09	VYDAJ	PREVOD NA UCET	3596	56304	SIPO	QR	35474443
1117364	3818	1996-09-09	VYDAJ	PREVOD NA UCET	3596	54844	SIPO	QR	35474443
1117365	3818	1996-10-09	VYDAJ	PREVOD NA UCET	3596	50163	SIPO	QR	35474443
1117366	3818	1996-11-09	VYDAJ	PREVOD NA UCET	3596	55350	SIPO	QR	35474443
1117367	3818	1996-12-09	VYDAJ	PREVOD NA UCET	3596	63268	SIPO	QR	35474443
1117368	3818	1997-01-09	VYDAJ	PREVOD NA UCET	3596	53914	SIPO	QR	35474443
1117369	3818	1997-02-09	VYDAJ	PREVOD NA UCET	3596	42869	SIPO	QR	35474443
1117370	3818	1997-03-09	VYDAJ	PREVOD NA UCET	3596	51243	SIPO	QR	35474443
1117371	3818	1997-04-09	VYDAJ	PREVOD NA UCET	3596	48507	SIPO	QR	35474443
1117372	3818	1997-05-09	VYDAJ	PREVOD NA UCET	3596	55604	SIPO	QR	35474443
1117373	3818	1997-06-09	VYDAJ	PREVOD NA UCET	3596	61866	SIPO	QR	35474443
1117374	3818	1997-07-09	VYDAJ	PREVOD NA UCET	3596	41598	SIPO	QR	35474443
1117375	3818	1997-08-09	VYDAJ	PREVOD NA UCET	3596	54919	SIPO	QR	35474443
1117376	3818	1997-09-09	VYDAJ	PREVOD NA UCET	3596	58979	SIPO	QR	35474443
1117377	3818	1997-10-09	VYDAJ	PREVOD NA UCET	3596	63048	SIPO	QR	35474443
1117378	3818	1997-11-09	VYDAJ	PREVOD NA UCET	3596	66654	SIPO	QR	35474443
1117379	3818	1997-12-09	VYDAJ	PREVOD NA UCET	3596	74340	SIPO	QR	35474443
1117380	3818	1998-01-09	VYDAJ	PREVOD NA UCET	3596	56614	SIPO	QR	35474443
1117381	3818	1998-02-09	VYDAJ	PREVOD NA UCET	3596	61119	SIPO	QR	35474443
1117382	3818	1998-03-09	VYDAJ	PREVOD NA UCET	3596	59193	SIPO	QR	35474443
1117383	3818	1998-04-09	VYDAJ	PREVOD NA UCET	3596	66109	SIPO	QR	35474443
1117384	3818	1998-05-09	VYDAJ	PREVOD NA UCET	3596	61409	SIPO	QR	35474443
1117385	3818	1998-06-09	VYDAJ	PREVOD NA UCET	3596	74019	SIPO	QR	35474443
1117386	3818	1998-07-09	VYDAJ	PREVOD NA UCET	3596	43877	SIPO	QR	35474443
1117387	3818	1998-08-09	VYDAJ	PREVOD NA UCET	3596	55514	SIPO	QR	35474443
1117388	3818	1998-09-09	VYDAJ	PREVOD NA UCET	3596	56962	SIPO	QR	35474443
1117389	3818	1998-10-09	VYDAJ	PREVOD NA UCET	3596	64663	SIPO	QR	35474443
1117390	3818	1998-11-09	VYDAJ	PREVOD NA UCET	3596	63518	SIPO	QR	35474443
1117391	3818	1998-12-09	VYDAJ	PREVOD NA UCET	3596	69254	SIPO	QR	35474443
1117396	3818	1993-05-12	VYDAJ	PREVOD NA UCET	1474	48432	 	OP	32659602
1117397	3818	1993-06-12	VYDAJ	PREVOD NA UCET	1474	54038	 	OP	32659602
1117398	3818	1993-07-12	VYDAJ	PREVOD NA UCET	1474	37621	 	OP	32659602
1117399	3818	1993-08-12	VYDAJ	PREVOD NA UCET	1474	41688	 	OP	32659602
1117400	3818	1993-09-12	VYDAJ	PREVOD NA UCET	1474	42368	 	OP	32659602
1117401	3818	1993-10-12	VYDAJ	PREVOD NA UCET	1474	39792	 	OP	32659602
1117402	3818	1993-11-12	VYDAJ	PREVOD NA UCET	1474	41187	 	OP	32659602
1117403	3818	1993-12-12	VYDAJ	PREVOD NA UCET	1474	50071	 	OP	32659602
1117404	3818	1994-01-12	VYDAJ	PREVOD NA UCET	1474	31935	 	OP	32659602
1117405	3818	1994-02-12	VYDAJ	PREVOD NA UCET	1474	31551	 	OP	32659602
1117406	3818	1994-03-12	VYDAJ	PREVOD NA UCET	1474	38393	 	OP	32659602
1117407	3818	1994-04-12	VYDAJ	PREVOD NA UCET	1474	40058	 	OP	32659602
1117408	3818	1994-05-12	VYDAJ	PREVOD NA UCET	1474	39401	 	OP	32659602
1117409	3818	1994-06-12	VYDAJ	PREVOD NA UCET	1474	50654	 	OP	32659602
1117410	3818	1994-07-12	VYDAJ	PREVOD NA UCET	1474	47554	 	OP	32659602
1117411	3818	1994-08-12	VYDAJ	PREVOD NA UCET	1474	45450	 	OP	32659602
1117412	3818	1994-09-12	VYDAJ	PREVOD NA UCET	1474	44940	 	OP	32659602
1117413	3818	1994-10-12	VYDAJ	PREVOD NA UCET	1474	47832	 	OP	32659602
1117414	3818	1994-11-12	VYDAJ	PREVOD NA UCET	1474	44426	 	OP	32659602
1117415	3818	1994-12-12	VYDAJ	PREVOD NA UCET	1474	52156	 	OP	32659602
1117416	3818	1995-01-12	VYDAJ	PREVOD NA UCET	1474	33143	 	OP	32659602
1117417	3818	1995-02-12	VYDAJ	PREVOD NA UCET	1474	37644	 	OP	32659602
1117418	3818	1995-03-12	VYDAJ	PREVOD NA UCET	1474	40984	 	OP	32659602
1117419	3818	1995-04-12	VYDAJ	PREVOD NA UCET	1474	46662	 	OP	32659602
1117420	3818	1995-05-12	VYDAJ	PREVOD NA UCET	1474	46493	 	OP	32659602
1117421	3818	1995-06-12	VYDAJ	PREVOD NA UCET	1474	53663	 	OP	32659602
1117422	3818	1995-07-12	VYDAJ	PREVOD NA UCET	1474	39267	 	OP	32659602
1117423	3818	1995-08-12	VYDAJ	PREVOD NA UCET	1474	43332	 	OP	32659602
1117424	3818	1995-09-12	VYDAJ	PREVOD NA UCET	1474	45210	 	OP	32659602
1117425	3818	1995-10-12	VYDAJ	PREVOD NA UCET	1474	46092	 	OP	32659602
1117426	3818	1995-11-12	VYDAJ	PREVOD NA UCET	1474	48280	 	OP	32659602
1117427	3818	1995-12-12	VYDAJ	PREVOD NA UCET	1474	52790	 	OP	32659602
1117428	3818	1996-01-12	VYDAJ	PREVOD NA UCET	1474	40944	 	OP	32659602
1117429	3818	1996-02-12	VYDAJ	PREVOD NA UCET	1474	27510	 	OP	32659602
1117430	3818	1996-03-12	VYDAJ	PREVOD NA UCET	1474	42747	 	OP	32659602
1117431	3818	1996-04-12	VYDAJ	PREVOD NA UCET	1474	49228	 	OP	32659602
1117432	3818	1996-05-12	VYDAJ	PREVOD NA UCET	1474	55234	 	OP	32659602
1117433	3818	1996-06-12	VYDAJ	PREVOD NA UCET	1474	46220	 	OP	32659602
1117434	3818	1996-07-12	VYDAJ	PREVOD NA UCET	1474	54437	 	OP	32659602
1117435	3818	1996-08-12	VYDAJ	PREVOD NA UCET	1474	50765	 	OP	32659602
1117436	3818	1996-09-12	VYDAJ	PREVOD NA UCET	1474	53370	 	OP	32659602
1117437	3818	1996-10-12	VYDAJ	PREVOD NA UCET	1474	44624	 	OP	32659602
1117438	3818	1996-11-12	VYDAJ	PREVOD NA UCET	1474	44711	 	OP	32659602
1117439	3818	1996-12-12	VYDAJ	PREVOD NA UCET	1474	51394	 	OP	32659602
1117440	3818	1997-01-12	VYDAJ	PREVOD NA UCET	1474	45275	 	OP	32659602
1117441	3818	1997-02-12	VYDAJ	PREVOD NA UCET	1474	41395	 	OP	32659602
1117442	3818	1997-03-12	VYDAJ	PREVOD NA UCET	1474	42969	 	OP	32659602
1117443	3818	1997-04-12	VYDAJ	PREVOD NA UCET	1474	45733	 	OP	32659602
1117444	3818	1997-05-12	VYDAJ	PREVOD NA UCET	1474	48630	 	OP	32659602
1117445	3818	1997-06-12	VYDAJ	PREVOD NA UCET	1474	56327	 	OP	32659602
1117446	3818	1997-07-12	VYDAJ	PREVOD NA UCET	1474	36059	 	OP	32659602
1117447	3818	1997-08-12	VYDAJ	PREVOD NA UCET	1474	49380	 	OP	32659602
1117448	3818	1997-09-12	VYDAJ	PREVOD NA UCET	1474	53440	 	OP	32659602
1117449	3818	1997-10-12	VYDAJ	PREVOD NA UCET	1474	61574	 	OP	32659602
1117450	3818	1997-11-12	VYDAJ	PREVOD NA UCET	1474	61115	 	OP	32659602
1117451	3818	1997-12-12	VYDAJ	PREVOD NA UCET	1474	72866	 	OP	32659602
1117452	3818	1998-01-12	VYDAJ	PREVOD NA UCET	1474	55140	 	OP	32659602
1117453	3818	1998-02-12	VYDAJ	PREVOD NA UCET	1474	55580	 	OP	32659602
1117454	3818	1998-03-12	VYDAJ	PREVOD NA UCET	1474	57719	 	OP	32659602
1117455	3818	1998-04-12	VYDAJ	PREVOD NA UCET	1474	60570	 	OP	32659602
1117456	3818	1998-05-12	VYDAJ	PREVOD NA UCET	1474	59935	 	OP	32659602
1117457	3818	1998-06-12	VYDAJ	PREVOD NA UCET	1474	68480	 	OP	32659602
1117458	3818	1998-07-12	VYDAJ	PREVOD NA UCET	1474	42403	 	OP	32659602
1117459	3818	1998-08-12	VYDAJ	PREVOD NA UCET	1474	49975	 	OP	32659602
1117460	3818	1998-09-12	VYDAJ	PREVOD NA UCET	1474	55488	 	OP	32659602
1117461	3818	1998-10-12	VYDAJ	PREVOD NA UCET	1474	59124	 	OP	32659602
1117462	3818	1998-11-12	VYDAJ	PREVOD NA UCET	1474	57979	 	OP	32659602
1117463	3818	1998-12-12	VYDAJ	PREVOD NA UCET	1474	61955	 	OP	32659602
1117468	3818	1993-05-09	VYDAJ	PREVOD NA UCET	4065	49906	POJISTNE	CD	34760767
1117469	3818	1993-06-09	VYDAJ	PREVOD NA UCET	4065	59108	POJISTNE	CD	34760767
1117470	3818	1993-07-09	VYDAJ	PREVOD NA UCET	4065	42691	POJISTNE	CD	34760767
1117471	3818	1993-08-09	VYDAJ	PREVOD NA UCET	4065	43162	POJISTNE	CD	34760767
1117472	3818	1993-09-09	VYDAJ	PREVOD NA UCET	4065	43842	POJISTNE	CD	34760767
1117473	3818	1993-10-09	VYDAJ	PREVOD NA UCET	4065	44862	POJISTNE	CD	34760767
1117474	3818	1993-11-09	VYDAJ	PREVOD NA UCET	4065	42661	POJISTNE	CD	34760767
1117475	3818	1993-12-09	VYDAJ	PREVOD NA UCET	4065	57221	POJISTNE	CD	34760767
1117476	3818	1994-01-09	VYDAJ	PREVOD NA UCET	4065	33409	POJISTNE	CD	34760767
1117477	3818	1994-02-09	VYDAJ	PREVOD NA UCET	4065	36621	POJISTNE	CD	34760767
1117478	3818	1994-03-09	VYDAJ	PREVOD NA UCET	4065	43463	POJISTNE	CD	34760767
1117479	3818	1994-04-09	VYDAJ	PREVOD NA UCET	4065	41532	POJISTNE	CD	34760767
1117480	3818	1994-05-09	VYDAJ	PREVOD NA UCET	4065	40875	POJISTNE	CD	34760767
1117481	3818	1994-06-09	VYDAJ	PREVOD NA UCET	4065	52128	POJISTNE	CD	34760767
1117482	3818	1994-07-09	VYDAJ	PREVOD NA UCET	4065	49028	POJISTNE	CD	34760767
1117483	3818	1994-08-09	VYDAJ	PREVOD NA UCET	4065	50520	POJISTNE	CD	34760767
1117484	3818	1994-09-09	VYDAJ	PREVOD NA UCET	4065	46414	POJISTNE	CD	34760767
1117485	3818	1994-10-09	VYDAJ	PREVOD NA UCET	4065	49306	POJISTNE	CD	34760767
1117486	3818	1994-11-09	VYDAJ	PREVOD NA UCET	4065	45900	POJISTNE	CD	34760767
1117487	3818	1994-12-09	VYDAJ	PREVOD NA UCET	4065	57226	POJISTNE	CD	34760767
1117488	3818	1995-01-09	VYDAJ	PREVOD NA UCET	4065	38697	POJISTNE	CD	34760767
1117489	3818	1995-02-09	VYDAJ	PREVOD NA UCET	4065	39118	POJISTNE	CD	34760767
1117490	3818	1995-03-09	VYDAJ	PREVOD NA UCET	4065	46054	POJISTNE	CD	34760767
1117491	3818	1995-04-09	VYDAJ	PREVOD NA UCET	4065	48136	POJISTNE	CD	34760767
1117492	3818	1995-05-09	VYDAJ	PREVOD NA UCET	4065	47967	POJISTNE	CD	34760767
1117493	3818	1995-06-09	VYDAJ	PREVOD NA UCET	4065	55137	POJISTNE	CD	34760767
1117494	3818	1995-07-09	VYDAJ	PREVOD NA UCET	4065	44337	POJISTNE	CD	34760767
1117495	3818	1995-08-09	VYDAJ	PREVOD NA UCET	4065	44806	POJISTNE	CD	34760767
1117496	3818	1995-09-09	VYDAJ	PREVOD NA UCET	4065	46684	POJISTNE	CD	34760767
1117497	3818	1995-10-09	VYDAJ	PREVOD NA UCET	4065	47566	POJISTNE	CD	34760767
1117498	3818	1995-11-09	VYDAJ	PREVOD NA UCET	4065	49754	POJISTNE	CD	34760767
1117499	3818	1995-12-09	VYDAJ	PREVOD NA UCET	4065	54264	POJISTNE	CD	34760767
1117500	3818	1996-01-09	VYDAJ	PREVOD NA UCET	4065	46014	POJISTNE	CD	34760767
1117501	3818	1996-02-09	VYDAJ	PREVOD NA UCET	4065	28984	POJISTNE	CD	34760767
1117502	3818	1996-03-09	VYDAJ	PREVOD NA UCET	4065	47817	POJISTNE	CD	34760767
1117503	3818	1996-04-09	VYDAJ	PREVOD NA UCET	4065	50702	POJISTNE	CD	34760767
1117504	3818	1996-05-09	VYDAJ	PREVOD NA UCET	4065	56708	POJISTNE	CD	34760767
1117505	3818	1996-06-09	VYDAJ	PREVOD NA UCET	4065	71770	POJISTNE	CD	34760767
1117506	3818	1996-07-09	VYDAJ	PREVOD NA UCET	4065	59507	POJISTNE	CD	34760767
1117507	3818	1996-08-09	VYDAJ	PREVOD NA UCET	4065	52239	POJISTNE	CD	34760767
1117508	3818	1996-09-09	VYDAJ	PREVOD NA UCET	4065	58440	POJISTNE	CD	34760767
1117509	3818	1996-10-09	VYDAJ	PREVOD NA UCET	4065	46098	POJISTNE	CD	34760767
1117510	3818	1996-11-09	VYDAJ	PREVOD NA UCET	4065	51285	POJISTNE	CD	34760767
1117511	3818	1996-12-09	VYDAJ	PREVOD NA UCET	4065	66864	POJISTNE	CD	34760767
1117512	3818	1997-01-09	VYDAJ	PREVOD NA UCET	4065	49849	POJISTNE	CD	34760767
1117513	3818	1997-02-09	VYDAJ	PREVOD NA UCET	4065	46465	POJISTNE	CD	34760767
1117514	3818	1997-03-09	VYDAJ	PREVOD NA UCET	4065	54839	POJISTNE	CD	34760767
1117515	3818	1997-04-09	VYDAJ	PREVOD NA UCET	4065	52103	POJISTNE	CD	34760767
1117516	3818	1997-05-09	VYDAJ	PREVOD NA UCET	4065	59200	POJISTNE	CD	34760767
1117517	3818	1997-06-09	VYDAJ	PREVOD NA UCET	4065	57801	POJISTNE	CD	34760767
1117518	3818	1997-07-09	VYDAJ	PREVOD NA UCET	4065	37533	POJISTNE	CD	34760767
1117519	3818	1997-08-09	VYDAJ	PREVOD NA UCET	4065	50854	POJISTNE	CD	34760767
1117520	3818	1997-09-09	VYDAJ	PREVOD NA UCET	4065	54914	POJISTNE	CD	34760767
1117521	3818	1997-10-09	VYDAJ	PREVOD NA UCET	4065	66644	POJISTNE	CD	34760767
1117522	3818	1997-11-09	VYDAJ	PREVOD NA UCET	4065	62589	POJISTNE	CD	34760767
1117523	3818	1997-12-09	VYDAJ	PREVOD NA UCET	4065	77936	POJISTNE	CD	34760767
1117524	3818	1998-01-09	VYDAJ	PREVOD NA UCET	4065	60210	POJISTNE	CD	34760767
1117525	3818	1998-02-09	VYDAJ	PREVOD NA UCET	4065	57054	POJISTNE	CD	34760767
1117526	3818	1998-03-09	VYDAJ	PREVOD NA UCET	4065	62789	POJISTNE	CD	34760767
1117527	3818	1998-04-09	VYDAJ	PREVOD NA UCET	4065	62044	POJISTNE	CD	34760767
1117528	3818	1998-05-09	VYDAJ	PREVOD NA UCET	4065	65005	POJISTNE	CD	34760767
1117529	3818	1998-06-09	VYDAJ	PREVOD NA UCET	4065	69954	POJISTNE	CD	34760767
1117530	3818	1998-07-09	VYDAJ	PREVOD NA UCET	4065	47473	POJISTNE	CD	34760767
1117531	3818	1998-08-09	VYDAJ	PREVOD NA UCET	4065	51449	POJISTNE	CD	34760767
1117532	3818	1998-09-09	VYDAJ	PREVOD NA UCET	4065	60558	POJISTNE	CD	34760767
1117533	3818	1998-10-09	VYDAJ	PREVOD NA UCET	4065	60598	POJISTNE	CD	34760767
1117534	3818	1998-11-09	VYDAJ	PREVOD NA UCET	4065	59453	POJISTNE	CD	34760767
1117535	3818	1998-12-09	VYDAJ	PREVOD NA UCET	4065	65189	POJISTNE	CD	34760767
1117536	3818	1993-06-23	VYDAJ	VYBER	17120	36918	\N	\N	\N
1117538	3818	1995-06-17	VYDAJ	VYBER	17600	36063	\N	\N	\N
1117539	3818	1996-06-11	VYDAJ	VYBER	20480	47694	\N	\N	\N
1117540	3818	1997-06-21	VYDAJ	VYBER	32320	24007	\N	\N	\N
1117541	3818	1998-06-29	VYDAJ	VYBER	38080	25120	\N	\N	\N
1117543	3818	1994-01-04	VYDAJ	VYBER	11520	26224	\N	\N	\N
1117544	3818	1995-01-01	VYDAJ	VYBER	11840	30792	\N	\N	\N
1117545	3818	1996-01-30	VYDAJ	VYBER	12000	19144	\N	\N	\N
1117546	3818	1997-01-20	VYDAJ	VYBER	6400	36475	\N	\N	\N
1117547	3818	1998-01-02	VYDAJ	VYBER	7680	60969	\N	\N	\N
1117548	3818	1993-12-12	VYDAJ	VYBER	2080	51545	\N	\N	\N
1117549	3818	1994-12-07	VYDAJ	VYBER	3040	35242	\N	\N	\N
1117550	3818	1995-12-21	VYDAJ	VYBER	2400	37590	\N	\N	\N
1117551	3818	1996-12-21	VYDAJ	VYBER	2560	48834	\N	\N	\N
1117552	3818	1997-12-13	VYDAJ	VYBER	4480	68386	\N	\N	\N
1117553	3818	1998-12-09	VYDAJ	VYBER	1760	63429	\N	\N	\N
1117560	3818	1994-01-13	VYDAJ	VYBER	2880	27855	\N	\N	\N
1117561	3818	1994-01-13	VYDAJ	VYBER	1200	30735	\N	\N	\N
1117562	3818	1994-01-07	VYDAJ	VYBER	960	23704	\N	\N	\N
1117563	3818	1994-01-13	VYDAJ	VYBER	2160	25695	\N	\N	\N
1117564	3818	1994-01-04	VYDAJ	VYBER	1560	24664	\N	\N	\N
1117565	3818	1994-01-17	VYDAJ	VYBER	1680	24015	\N	\N	\N
1117566	3818	1995-01-25	VYDAJ	VYBER	1320	31083	\N	\N	\N
1117567	3818	1995-01-08	VYDAJ	VYBER	1800	28992	\N	\N	\N
1117568	3818	1995-01-11	VYDAJ	VYBER	3000	35697	\N	\N	\N
1117569	3818	1995-01-27	VYDAJ	VYBER	1800	29283	\N	\N	\N
1117570	3818	1995-01-11	VYDAJ	VYBER	1080	34617	\N	\N	\N
1117571	3818	1995-01-25	VYDAJ	VYBER	840	32403	\N	\N	\N
1117572	3818	1996-01-25	VYDAJ	VYBER	2760	31144	\N	\N	\N
1117573	3818	1996-01-15	VYDAJ	VYBER	2040	38904	\N	\N	\N
1117574	3818	1996-01-22	VYDAJ	VYBER	2160	35944	\N	\N	\N
1117575	3818	1996-01-25	VYDAJ	VYBER	2040	33904	\N	\N	\N
1117576	3818	1996-01-05	VYDAJ	VYBER	3000	32713	\N	\N	\N
1117577	3818	1996-01-04	VYDAJ	VYBER	2040	35713	\N	\N	\N
1117578	3818	1997-01-22	VYDAJ	VYBER	960	35515	\N	\N	\N
1117579	3818	1997-01-28	VYDAJ	VYBER	2160	30715	\N	\N	\N
1117580	3818	1997-01-03	VYDAJ	VYBER	1320	42184	\N	\N	\N
1117581	3818	1997-01-04	VYDAJ	VYBER	2040	40144	\N	\N	\N
1117582	3818	1997-01-24	VYDAJ	VYBER	2640	32875	\N	\N	\N
1117583	3818	1997-01-18	VYDAJ	VYBER	2400	42875	\N	\N	\N
1117584	3818	1998-01-08	VYDAJ	VYBER	1560	48829	\N	\N	\N
1117585	3818	1998-01-20	VYDAJ	VYBER	1320	50340	\N	\N	\N
1117586	3818	1998-01-09	VYDAJ	VYBER	1320	64275	\N	\N	\N
1117587	3818	1998-01-09	VYDAJ	VYBER	600	65595	\N	\N	\N
1117588	3818	1998-01-14	VYDAJ	VYBER	3480	51660	\N	\N	\N
1117589	3818	1998-01-06	VYDAJ	VYBER	2880	50389	\N	\N	\N
1117591	3818	1993-10-03	VYDAJ	VYBER	2160	31561	\N	\N	\N
1117594	3818	1993-11-04	VYDAJ	VYBER	1680	32956	\N	\N	\N
1117595	3818	1994-04-24	VYDAJ	VYBER	1560	33938	\N	\N	\N
1117596	3818	1994-04-15	VYDAJ	VYBER	4560	35498	\N	\N	\N
1117597	3818	1994-02-06	VYDAJ	VYBER	3000	23320	\N	\N	\N
1117598	3818	1995-06-29	VYDAJ	VYBER	840	30883	\N	\N	\N
1117599	3818	1995-04-30	VYDAJ	VYBER	1560	38277	\N	\N	\N
1117600	3818	1995-12-21	VYDAJ	VYBER	5400	39990	\N	\N	\N
1117601	3818	1995-03-08	VYDAJ	VYBER	2520	32753	\N	\N	\N
1117602	3818	1995-11-21	VYDAJ	VYBER	5760	35720	\N	\N	\N
1117603	3818	1995-04-17	VYDAJ	VYBER	1200	45462	\N	\N	\N
1117604	3818	1995-06-26	VYDAJ	VYBER	2040	31723	\N	\N	\N
1117605	3818	1996-07-19	VYDAJ	VYBER	5280	42357	\N	\N	\N
1117606	3818	1996-09-24	VYDAJ	VYBER	5400	36230	\N	\N	\N
1117607	3818	1996-10-15	VYDAJ	VYBER	1800	41424	\N	\N	\N
1117608	3818	1996-05-13	VYDAJ	VYBER	1440	53794	\N	\N	\N
1117609	3818	1996-09-17	VYDAJ	VYBER	4440	41630	\N	\N	\N
1117610	3818	1997-11-02	VYDAJ	VYBER	5520	56284	\N	\N	\N
1117611	3818	1997-03-15	VYDAJ	VYBER	4320	38649	\N	\N	\N
1117612	3818	1997-06-26	VYDAJ	VYBER	3240	20767	\N	\N	\N
1117613	3818	1997-01-01	VYDAJ	VYBER	5520	43504	\N	\N	\N
1117614	3818	1997-09-07	VYDAJ	VYBER	2640	46909	\N	\N	\N
1117615	3818	1997-07-12	VYDAJ	VYBER	3720	32339	\N	\N	\N
1117616	3818	1998-06-29	VYDAJ	VYBER	5280	63200	\N	\N	\N
1117617	3818	1998-11-30	VYDAJ	VYBER	5400	52816	\N	\N	\N
1117618	3818	1998-08-04	VYDAJ	VYBER	2400	41744	\N	\N	\N
1117624	3818	1993-05-31	VYDAJ	VYBER	15	48624	SLUZBY	\N	\N
1117625	3818	1993-06-30	VYDAJ	VYBER	15	37090	SLUZBY	\N	\N
1117626	3818	1993-07-31	VYDAJ	VYBER	15	33457	SLUZBY	\N	\N
1117627	3818	1993-08-31	VYDAJ	VYBER	15	34137	SLUZBY	\N	\N
1117628	3818	1993-09-30	VYDAJ	VYBER	15	33721	SLUZBY	\N	\N
1117629	3818	1993-10-31	VYDAJ	VYBER	15	34636	SLUZBY	\N	\N
1117630	3818	1993-11-30	VYDAJ	VYBER	15	35237	SLUZBY	\N	\N
1117631	3818	1993-12-31	VYDAJ	VYBER	15	37744	SLUZBY	\N	\N
1117632	3818	1994-01-31	VYDAJ	VYBER	15	26320	SLUZBY	\N	\N
1117633	3818	1994-02-28	VYDAJ	VYBER	15	30162	SLUZBY	\N	\N
1117634	3818	1994-03-31	VYDAJ	VYBER	15	31827	SLUZBY	\N	\N
1117635	3818	1994-04-30	VYDAJ	VYBER	15	31170	SLUZBY	\N	\N
1117636	3818	1994-05-31	VYDAJ	VYBER	15	33740	SLUZBY	\N	\N
1117637	3818	1994-06-30	VYDAJ	VYBER	15	39323	SLUZBY	\N	\N
1117638	3818	1994-07-31	VYDAJ	VYBER	15	37219	SLUZBY	\N	\N
1117639	3818	1994-08-31	VYDAJ	VYBER	15	36709	SLUZBY	\N	\N
1117640	3818	1994-09-30	VYDAJ	VYBER	15	39601	SLUZBY	\N	\N
1117641	3818	1994-10-31	VYDAJ	VYBER	15	36195	SLUZBY	\N	\N
1117642	3818	1994-11-30	VYDAJ	VYBER	15	38282	SLUZBY	\N	\N
1117643	3818	1994-12-31	VYDAJ	VYBER	15	42632	SLUZBY	\N	\N
1117644	3818	1995-01-31	VYDAJ	VYBER	15	29413	SLUZBY	\N	\N
1117645	3818	1995-02-28	VYDAJ	VYBER	15	35273	SLUZBY	\N	\N
1117646	3818	1995-03-31	VYDAJ	VYBER	15	38431	SLUZBY	\N	\N
1117647	3818	1995-04-30	VYDAJ	VYBER	15	38262	SLUZBY	\N	\N
1117648	3818	1995-05-31	VYDAJ	VYBER	15	36749	SLUZBY	\N	\N
1117649	3818	1995-06-30	VYDAJ	VYBER	15	31036	SLUZBY	\N	\N
1117650	3818	1995-07-31	VYDAJ	VYBER	15	35101	SLUZBY	\N	\N
1117651	3818	1995-08-31	VYDAJ	VYBER	15	36979	SLUZBY	\N	\N
1117652	3818	1995-09-30	VYDAJ	VYBER	15	37861	SLUZBY	\N	\N
1117653	3818	1995-10-31	VYDAJ	VYBER	15	40049	SLUZBY	\N	\N
1117654	3818	1995-11-30	VYDAJ	VYBER	15	35876	SLUZBY	\N	\N
1117655	3818	1995-12-31	VYDAJ	VYBER	15	37753	SLUZBY	\N	\N
1117656	3818	1996-01-31	VYDAJ	VYBER	15	19279	SLUZBY	\N	\N
1117657	3818	1996-02-29	VYDAJ	VYBER	15	34516	SLUZBY	\N	\N
1117658	3818	1996-03-31	VYDAJ	VYBER	15	40997	SLUZBY	\N	\N
1117659	3818	1996-04-30	VYDAJ	VYBER	15	47003	SLUZBY	\N	\N
1117660	3818	1996-05-31	VYDAJ	VYBER	15	49786	SLUZBY	\N	\N
1117661	3818	1996-06-30	VYDAJ	VYBER	15	46206	SLUZBY	\N	\N
1117662	3818	1996-07-31	VYDAJ	VYBER	15	42534	SLUZBY	\N	\N
1117663	3818	1996-08-31	VYDAJ	VYBER	15	45139	SLUZBY	\N	\N
1117664	3818	1996-09-30	VYDAJ	VYBER	15	36393	SLUZBY	\N	\N
1117665	3818	1996-10-31	VYDAJ	VYBER	15	41580	SLUZBY	\N	\N
1117666	3818	1996-11-30	VYDAJ	VYBER	15	44880	SLUZBY	\N	\N
1117667	3818	1996-12-31	VYDAJ	VYBER	15	49024	SLUZBY	\N	\N
1117668	3818	1997-01-31	VYDAJ	VYBER	15	30864	SLUZBY	\N	\N
1117669	3818	1997-02-28	VYDAJ	VYBER	15	41538	SLUZBY	\N	\N
1117670	3818	1997-03-31	VYDAJ	VYBER	15	38802	SLUZBY	\N	\N
1117671	3818	1997-04-30	VYDAJ	VYBER	15	45899	SLUZBY	\N	\N
1117672	3818	1997-05-31	VYDAJ	VYBER	15	48813	SLUZBY	\N	\N
1117673	3818	1997-06-30	VYDAJ	VYBER	15	20928	SLUZBY	\N	\N
1117674	3818	1997-07-31	VYDAJ	VYBER	15	32449	SLUZBY	\N	\N
1117675	3818	1997-08-31	VYDAJ	VYBER	15	49549	SLUZBY	\N	\N
1117676	3818	1997-09-30	VYDAJ	VYBER	15	53643	SLUZBY	\N	\N
1117677	3818	1997-10-31	VYDAJ	VYBER	15	61804	SLUZBY	\N	\N
1117678	3818	1997-11-30	VYDAJ	VYBER	15	61352	SLUZBY	\N	\N
1117679	3818	1997-12-31	VYDAJ	VYBER	15	68649	SLUZBY	\N	\N
1117680	3818	1998-01-31	VYDAJ	VYBER	15	50549	SLUZBY	\N	\N
1117681	3818	1998-02-28	VYDAJ	VYBER	15	55788	SLUZBY	\N	\N
1117682	3818	1998-03-31	VYDAJ	VYBER	15	57939	SLUZBY	\N	\N
1117683	3818	1998-04-30	VYDAJ	VYBER	15	60804	SLUZBY	\N	\N
1117684	3818	1998-05-31	VYDAJ	VYBER	15	60166	SLUZBY	\N	\N
1117685	3818	1998-06-30	VYDAJ	VYBER	15	25372	SLUZBY	\N	\N
1117686	3818	1998-07-31	VYDAJ	VYBER	15	42544	SLUZBY	\N	\N
1117687	3818	1998-08-31	VYDAJ	VYBER	15	50157	SLUZBY	\N	\N
1117688	3818	1998-09-30	VYDAJ	VYBER	15	55693	SLUZBY	\N	\N
1117689	3818	1998-10-31	VYDAJ	VYBER	15	59348	SLUZBY	\N	\N
1117690	3818	1998-11-30	VYDAJ	VYBER	15	52801	SLUZBY	\N	\N
1117691	3818	1993-01-31	PRIJEM	VKLAD	2000	20022	\N	\N	\N
1117692	3818	1993-03-02	VYDAJ	VYBER	4200	33271	\N	\N	\N
1117693	3818	1993-04-01	VYDAJ	VYBER	14700	36115	\N	\N	\N
1117694	3818	1993-05-01	VYDAJ	VYBER	13500	40201	\N	\N	\N
1117695	3818	1993-05-31	VYDAJ	VYBER	11500	37124	\N	\N	\N
1117696	3818	1993-06-30	VYDAJ	VYBER	7700	29390	\N	\N	\N
1117697	3818	1993-07-30	VYDAJ	VYBER	4300	33321	\N	\N	\N
1117698	3818	1993-08-29	VYDAJ	VYBER	7700	33988	\N	\N	\N
1117699	3818	1993-09-28	VYDAJ	VYBER	8800	33568	\N	\N	\N
1117700	3818	1993-10-28	VYDAJ	VYBER	5300	34492	\N	\N	\N
1117701	3818	1993-11-27	VYDAJ	VYBER	6100	35087	\N	\N	\N
1117702	3818	1993-12-27	VYDAJ	VYBER	12500	37571	\N	\N	\N
1117703	3818	1994-01-26	PRIJEM	VKLAD	2200	26215	\N	\N	\N
1117704	3818	1994-02-25	VYDAJ	VYBER	1500	30051	\N	\N	\N
1117705	3818	1994-03-27	VYDAJ	VYBER	6700	31693	\N	\N	\N
1117706	3818	1994-04-26	VYDAJ	VYBER	2900	31038	\N	\N	\N
1117707	3818	1994-05-26	VYDAJ	VYBER	5800	33601	\N	\N	\N
1117708	3818	1994-06-25	VYDAJ	VYBER	11500	39154	\N	\N	\N
1117709	3818	1994-07-25	VYDAJ	VYBER	10500	37054	\N	\N	\N
1117710	3818	1994-08-24	VYDAJ	VYBER	8900	36550	\N	\N	\N
1117711	3818	1994-09-23	VYDAJ	VYBER	5500	39440	\N	\N	\N
1117712	3818	1994-10-23	VYDAJ	VYBER	11800	36032	\N	\N	\N
1117713	3818	1994-11-22	VYDAJ	VYBER	6300	38126	\N	\N	\N
1117714	3818	1994-12-22	VYDAJ	VYBER	9700	42456	\N	\N	\N
1117715	3818	1995-01-21	PRIJEM	VKLAD	100	33243	\N	\N	\N
1117716	3818	1995-02-20	VYDAJ	VYBER	2500	35144	\N	\N	\N
1117717	3818	1995-03-22	VYDAJ	VYBER	2700	38284	\N	\N	\N
1117718	3818	1995-04-21	VYDAJ	VYBER	5800	39662	\N	\N	\N
1117719	3818	1995-05-21	VYDAJ	VYBER	9900	36593	\N	\N	\N
1117720	3818	1995-06-20	VYDAJ	VYBER	2300	33763	\N	\N	\N
1117721	3818	1995-07-20	VYDAJ	VYBER	4300	34967	\N	\N	\N
1117722	3818	1995-08-19	VYDAJ	VYBER	6500	36832	\N	\N	\N
1117723	3818	1995-09-18	VYDAJ	VYBER	7500	37710	\N	\N	\N
1117724	3818	1995-10-18	VYDAJ	VYBER	6200	39892	\N	\N	\N
1117725	3818	1995-11-17	VYDAJ	VYBER	6800	41480	\N	\N	\N
1117726	3818	1995-12-17	VYDAJ	VYBER	7400	45390	\N	\N	\N
1117727	3818	1996-01-16	VYDAJ	VYBER	800	38104	\N	\N	\N
1117728	3818	1996-02-15	PRIJEM	VKLAD	6900	34410	\N	\N	\N
1117729	3818	1996-03-16	VYDAJ	VYBER	1900	40847	\N	\N	\N
1117730	3818	1996-04-15	VYDAJ	VYBER	2400	46828	\N	\N	\N
1117731	3818	1996-05-15	VYDAJ	VYBER	4200	49594	\N	\N	\N
1117732	3818	1996-06-14	VYDAJ	VYBER	200	46020	\N	\N	\N
1117733	3818	1996-07-14	VYDAJ	VYBER	6800	47637	\N	\N	\N
1117734	3818	1996-08-13	VYDAJ	VYBER	5800	44965	\N	\N	\N
1117735	3818	1996-09-12	VYDAJ	VYBER	7300	46070	\N	\N	\N
1117736	3818	1996-10-12	VYDAJ	VYBER	1400	43224	\N	\N	\N
1117737	3818	1996-11-11	VYDAJ	VYBER	5100	46185	\N	\N	\N
1117738	3818	1996-12-11	VYDAJ	VYBER	10400	52868	\N	\N	\N
1117739	3818	1997-01-10	VYDAJ	VYBER	3100	46749	\N	\N	\N
1117740	3818	1997-02-09	PRIJEM	VKLAD	2300	50530	\N	\N	\N
1117741	3818	1997-03-11	VYDAJ	VYBER	6800	44443	\N	\N	\N
1117742	3818	1997-04-10	VYDAJ	VYBER	1300	47207	\N	\N	\N
1117743	3818	1997-05-10	VYDAJ	VYBER	5500	50104	\N	\N	\N
1117744	3818	1997-06-09	VYDAJ	VYBER	9400	65462	\N	\N	\N
1117745	3818	1997-07-09	PRIJEM	VKLAD	6900	27828	\N	\N	\N
1117746	3818	1997-08-08	PRIJEM	VKLAD	8700	41149	\N	\N	\N
1117747	3818	1997-09-07	VYDAJ	VYBER	1700	45209	\N	\N	\N
1117748	3818	1997-10-07	VYDAJ	VYBER	300	53343	\N	\N	\N
1117749	3818	1997-11-06	VYDAJ	VYBER	3400	52884	\N	\N	\N
1117750	3818	1997-12-06	VYDAJ	VYBER	5400	55952	\N	\N	\N
1117751	3818	1998-01-05	VYDAJ	VYBER	7700	53269	\N	\N	\N
1117752	3818	1998-02-04	VYDAJ	VYBER	3200	47349	\N	\N	\N
1117753	3818	1998-03-06	VYDAJ	VYBER	6300	49488	\N	\N	\N
1117754	3818	1998-04-05	VYDAJ	VYBER	5600	52339	\N	\N	\N
1117755	3818	1998-05-05	VYDAJ	VYBER	9100	51704	\N	\N	\N
1117756	3818	1998-06-04	VYDAJ	VYBER	8600	51566	\N	\N	\N
1117757	3818	1998-07-04	PRIJEM	VKLAD	8800	34172	\N	\N	\N
1117758	3818	1998-08-03	PRIJEM	VKLAD	1600	44144	\N	\N	\N
1117759	3818	1998-09-02	VYDAJ	VYBER	2900	47257	\N	\N	\N
1117760	3818	1998-10-02	VYDAJ	VYBER	4800	50893	\N	\N	\N
1117761	3818	1998-11-01	VYDAJ	VYBER	9600	49748	\N	\N	\N
1117762	3818	1998-12-01	VYDAJ	VYBER	6000	46801	\N	\N	\N
1117835	3819	1996-11-11	PRIJEM	VKLAD	700	700	\N	\N	\N
1117847	3819	1996-12-09	PRIJEM	VKLAD	15980	16680	\N	\N	\N
1117848	3819	1997-01-09	PRIJEM	VKLAD	10653	30389	\N	\N	\N
1117849	3819	1997-02-09	PRIJEM	VKLAD	10653	33733	\N	\N	\N
1117850	3819	1997-03-09	PRIJEM	VKLAD	10653	34785	\N	\N	\N
1117851	3819	1997-04-09	PRIJEM	VKLAD	10653	36243	\N	\N	\N
1117852	3819	1997-05-09	PRIJEM	VKLAD	10653	31191	\N	\N	\N
1117853	3819	1997-06-09	PRIJEM	VKLAD	15980	27663	\N	\N	\N
1117854	3819	1997-07-09	PRIJEM	VKLAD	10653	27395	\N	\N	\N
1117855	3819	1997-08-09	PRIJEM	VKLAD	10653	24871	\N	\N	\N
1117856	3819	1997-09-09	PRIJEM	VKLAD	10653	29704	\N	\N	\N
1117857	3819	1997-10-09	PRIJEM	VKLAD	10653	25422	\N	\N	\N
1117858	3819	1997-11-09	PRIJEM	VKLAD	10653	26661	\N	\N	\N
1117859	3819	1997-12-09	PRIJEM	VKLAD	15980	31430	\N	\N	\N
1117860	3819	1998-01-09	PRIJEM	VKLAD	10653	23602	\N	\N	\N
1117861	3819	1998-02-09	PRIJEM	VKLAD	10653	16827	\N	\N	\N
1117862	3819	1998-03-09	PRIJEM	VKLAD	10653	21530	\N	\N	\N
1117863	3819	1998-04-09	PRIJEM	VKLAD	10653	25149	\N	\N	\N
1117864	3819	1998-05-09	PRIJEM	VKLAD	10653	22386	\N	\N	\N
1117865	3819	1998-06-09	PRIJEM	VKLAD	15980	27640	\N	\N	\N
1117866	3819	1998-07-09	PRIJEM	VKLAD	10653	24181	\N	\N	\N
1117867	3819	1998-08-09	PRIJEM	VKLAD	10653	17616	\N	\N	\N
1117868	3819	1998-09-09	PRIJEM	VKLAD	10653	14625	\N	\N	\N
1117869	3819	1998-10-09	PRIJEM	VKLAD	10653	18220	\N	\N	\N
1117870	3819	1998-11-09	PRIJEM	VKLAD	10653	18028	\N	\N	\N
1117871	3819	1998-12-09	PRIJEM	VKLAD	15980	27160	\N	\N	\N
1117888	3819	1997-05-06	VYDAJ	PREVOD NA UCET	7102	20538	SIPO	CD	89256637
1117889	3819	1997-06-06	VYDAJ	PREVOD NA UCET	7102	11683	SIPO	CD	89256637
1117890	3819	1997-07-06	VYDAJ	PREVOD NA UCET	7102	16742	SIPO	CD	89256637
1117891	3819	1997-08-06	VYDAJ	PREVOD NA UCET	7102	10118	SIPO	CD	89256637
1117892	3819	1997-09-06	VYDAJ	PREVOD NA UCET	7102	17851	SIPO	CD	89256637
1117893	3819	1997-10-06	VYDAJ	PREVOD NA UCET	7102	17169	SIPO	CD	89256637
1117894	3819	1997-11-06	VYDAJ	PREVOD NA UCET	7102	16008	SIPO	CD	89256637
1117895	3819	1997-12-06	VYDAJ	PREVOD NA UCET	7102	19650	SIPO	CD	89256637
1117896	3819	1998-01-06	VYDAJ	PREVOD NA UCET	7102	14989	SIPO	CD	89256637
1117897	3819	1998-02-06	VYDAJ	PREVOD NA UCET	7102	6174	SIPO	CD	89256637
1117898	3819	1998-03-06	VYDAJ	PREVOD NA UCET	7102	10877	SIPO	CD	89256637
1117899	3819	1998-04-06	VYDAJ	PREVOD NA UCET	7102	14496	SIPO	CD	89256637
1117900	3819	1998-05-06	VYDAJ	PREVOD NA UCET	7102	11733	SIPO	CD	89256637
1117901	3819	1998-06-06	VYDAJ	PREVOD NA UCET	7102	11660	SIPO	CD	89256637
1117902	3819	1998-07-06	VYDAJ	PREVOD NA UCET	7102	13528	SIPO	CD	89256637
1117903	3819	1998-08-06	VYDAJ	PREVOD NA UCET	7102	6963	SIPO	CD	89256637
1117904	3819	1998-09-06	VYDAJ	PREVOD NA UCET	7102	3972	SIPO	CD	89256637
1117905	3819	1998-10-06	VYDAJ	PREVOD NA UCET	7102	7567	SIPO	CD	89256637
1117906	3819	1998-11-06	VYDAJ	PREVOD NA UCET	7102	7375	SIPO	CD	89256637
1117907	3819	1998-12-06	VYDAJ	PREVOD NA UCET	7102	11180	SIPO	CD	89256637
1117909	3819	1997-06-05	VYDAJ	VYBER	6400	18785	\N	\N	\N
1117912	3819	1997-12-18	VYDAJ	VYBER	4160	27270	\N	\N	\N
1117913	3819	1998-12-26	VYDAJ	VYBER	2240	24920	\N	\N	\N
1117926	3819	1998-01-06	VYDAJ	VYBER	2040	12949	\N	\N	\N
1117927	3819	1998-01-19	VYDAJ	VYBER	2640	20962	\N	\N	\N
1117928	3819	1998-01-30	VYDAJ	VYBER	600	18202	\N	\N	\N
1117929	3819	1998-01-03	VYDAJ	VYBER	1920	23411	\N	\N	\N
1117930	3819	1998-01-01	VYDAJ	VYBER	2040	25331	\N	\N	\N
1117931	3819	1998-01-04	VYDAJ	VYBER	1320	22091	\N	\N	\N
1117937	3819	1997-08-01	VYDAJ	VYBER	4920	17220	\N	\N	\N
1117939	3819	1997-09-11	VYDAJ	VYBER	5520	24184	\N	\N	\N
1117942	3819	1997-07-18	VYDAJ	VYBER	3840	22055	\N	\N	\N
1117943	3819	1998-07-20	VYDAJ	VYBER	600	23581	\N	\N	\N
1117945	3819	1998-01-28	VYDAJ	VYBER	2160	18802	\N	\N	\N
1117946	3819	1998-11-21	VYDAJ	VYBER	1200	16828	\N	\N	\N
1117965	3819	1997-04-30	VYDAJ	VYBER	15	27640	SLUZBY	\N	\N
1117966	3819	1997-05-31	VYDAJ	VYBER	15	25185	SLUZBY	\N	\N
1117967	3819	1997-06-30	VYDAJ	VYBER	15	23844	SLUZBY	\N	\N
1117968	3819	1997-07-31	VYDAJ	VYBER	15	22140	SLUZBY	\N	\N
1117969	3819	1997-08-31	VYDAJ	VYBER	15	24953	SLUZBY	\N	\N
1117970	3819	1997-09-30	VYDAJ	VYBER	15	24271	SLUZBY	\N	\N
1117971	3819	1997-10-31	VYDAJ	VYBER	15	25510	SLUZBY	\N	\N
1117972	3819	1997-11-30	VYDAJ	VYBER	15	26752	SLUZBY	\N	\N
1117973	3819	1997-12-31	VYDAJ	VYBER	15	27371	SLUZBY	\N	\N
1117974	3819	1998-01-31	VYDAJ	VYBER	15	18276	SLUZBY	\N	\N
1117975	3819	1998-02-28	VYDAJ	VYBER	15	16879	SLUZBY	\N	\N
1117976	3819	1998-03-31	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
1117977	3819	1998-04-30	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
1117978	3819	1998-05-31	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
1117979	3819	1998-06-30	VYDAJ	VYBER	15	27730	SLUZBY	\N	\N
1117980	3819	1998-07-31	VYDAJ	VYBER	15	23665	SLUZBY	\N	\N
1117981	3819	1998-08-31	VYDAJ	VYBER	15	17674	SLUZBY	\N	\N
1117982	3819	1998-09-30	VYDAJ	VYBER	15	14669	SLUZBY	\N	\N
1117983	3819	1998-10-31	VYDAJ	VYBER	15	18277	SLUZBY	\N	\N
1117984	3819	1998-11-30	VYDAJ	VYBER	15	16882	SLUZBY	\N	\N
1117985	3819	1996-12-11	PRIJEM	VKLAD	3000	19680	\N	\N	\N
1117986	3819	1997-01-10	VYDAJ	VYBER	7400	22989	\N	\N	\N
1117987	3819	1997-02-09	VYDAJ	VYBER	9700	24033	\N	\N	\N
1117988	3819	1997-03-11	VYDAJ	VYBER	9300	25485	\N	\N	\N
1117989	3819	1997-04-10	VYDAJ	VYBER	8700	27543	\N	\N	\N
1117990	3819	1997-05-10	VYDAJ	VYBER	6100	25091	\N	\N	\N
1117991	3819	1997-06-09	VYDAJ	VYBER	3900	23763	\N	\N	\N
1117992	3819	1997-07-09	VYDAJ	VYBER	1500	25895	\N	\N	\N
1117993	3819	1997-08-08	PRIJEM	VKLAD	4100	14218	\N	\N	\N
1117994	3819	1997-09-07	PRIJEM	VKLAD	1200	19051	\N	\N	\N
1117995	3819	1997-10-07	VYDAJ	VYBER	2400	14769	\N	\N	\N
1117996	3819	1997-11-06	VYDAJ	VYBER	2400	23110	\N	\N	\N
1117997	3819	1997-12-06	VYDAJ	VYBER	4200	15450	\N	\N	\N
1117998	3819	1998-02-04	VYDAJ	VYBER	5000	13276	\N	\N	\N
1117999	3819	1998-03-06	PRIJEM	VKLAD	1100	17979	\N	\N	\N
1118000	3819	1998-05-05	VYDAJ	VYBER	6400	18835	\N	\N	\N
1118001	3819	1998-06-04	VYDAJ	VYBER	3700	18762	\N	\N	\N
1118002	3819	1998-07-04	VYDAJ	VYBER	7100	20630	\N	\N	\N
1118003	3819	1998-08-03	VYDAJ	VYBER	9600	14065	\N	\N	\N
1118004	3819	1998-09-02	VYDAJ	VYBER	6600	11074	\N	\N	\N
1118005	3819	1998-11-01	VYDAJ	VYBER	3800	14477	\N	\N	\N
1118006	3819	1998-12-01	PRIJEM	VKLAD	1400	18282	\N	\N	\N
1118032	3820	1993-11-14	PRIJEM	VKLAD	700	700	\N	\N	\N
1118044	3820	1993-12-07	PRIJEM	VKLAD	18122	18822	\N	\N	\N
1118045	3820	1994-01-07	PRIJEM	VKLAD	12081	33455	\N	\N	\N
1118046	3820	1994-02-07	PRIJEM	VKLAD	12081	40843	\N	\N	\N
1118047	3820	1994-03-07	PRIJEM	VKLAD	12081	42748	\N	\N	\N
1118048	3820	1994-04-07	PRIJEM	VKLAD	12081	47869	\N	\N	\N
1118049	3820	1994-05-07	PRIJEM	VKLAD	12081	37028	\N	\N	\N
1118050	3820	1994-06-07	PRIJEM	VKLAD	18122	42886	\N	\N	\N
1118051	3820	1994-07-07	PRIJEM	VKLAD	12081	38608	\N	\N	\N
1118052	3820	1994-08-07	PRIJEM	VKLAD	12081	38032	\N	\N	\N
1118053	3820	1994-09-07	PRIJEM	VKLAD	12081	36250	\N	\N	\N
1118054	3820	1994-10-07	PRIJEM	VKLAD	12081	26238	\N	\N	\N
1118055	3820	1994-11-07	PRIJEM	VKLAD	12081	32233	\N	\N	\N
1118056	3820	1994-12-07	PRIJEM	VKLAD	18122	42287	\N	\N	\N
1118057	3820	1995-01-07	PRIJEM	VKLAD	12081	38221	\N	\N	\N
1118058	3820	1995-02-07	PRIJEM	VKLAD	12081	30857	\N	\N	\N
1118059	3820	1995-03-07	PRIJEM	VKLAD	12081	34955	\N	\N	\N
1118060	3820	1995-04-07	PRIJEM	VKLAD	12081	37776	\N	\N	\N
1118061	3820	1995-05-07	PRIJEM	VKLAD	12081	39106	\N	\N	\N
1118062	3820	1995-06-07	PRIJEM	VKLAD	18122	46645	\N	\N	\N
1118063	3820	1995-07-07	PRIJEM	VKLAD	12081	47105	\N	\N	\N
1118064	3820	1995-08-07	PRIJEM	VKLAD	12081	43250	\N	\N	\N
1118065	3820	1995-09-07	PRIJEM	VKLAD	12081	46611	\N	\N	\N
1118066	3820	1995-10-07	PRIJEM	VKLAD	12081	49789	\N	\N	\N
1118067	3820	1995-11-07	PRIJEM	VKLAD	12081	52180	\N	\N	\N
1118068	3820	1995-12-07	PRIJEM	VKLAD	18122	61823	\N	\N	\N
1118069	3820	1996-01-07	PRIJEM	VKLAD	12081	57637	\N	\N	\N
1118070	3820	1996-02-07	PRIJEM	VKLAD	12081	45131	\N	\N	\N
1118071	3820	1996-03-07	PRIJEM	VKLAD	12081	52217	\N	\N	\N
1118072	3820	1996-04-07	PRIJEM	VKLAD	12081	54213	\N	\N	\N
1118073	3820	1996-05-07	PRIJEM	VKLAD	12081	54917	\N	\N	\N
1118074	3820	1996-06-07	PRIJEM	VKLAD	18122	65371	\N	\N	\N
1118075	3820	1996-07-07	PRIJEM	VKLAD	12081	49068	\N	\N	\N
1118076	3820	1996-08-07	PRIJEM	VKLAD	12081	50325	\N	\N	\N
1118077	3820	1996-09-07	PRIJEM	VKLAD	12081	52023	\N	\N	\N
1118078	3820	1996-10-07	PRIJEM	VKLAD	12081	55789	\N	\N	\N
1118079	3820	1996-11-07	PRIJEM	VKLAD	12081	57791	\N	\N	\N
1118080	3820	1996-12-07	PRIJEM	VKLAD	18122	65842	\N	\N	\N
1118081	3820	1997-01-07	PRIJEM	VKLAD	12081	53031	\N	\N	\N
1118082	3820	1997-02-07	PRIJEM	VKLAD	12081	47825	\N	\N	\N
1118083	3820	1997-03-07	PRIJEM	VKLAD	12081	51535	\N	\N	\N
1118084	3820	1997-04-07	PRIJEM	VKLAD	12081	58822	\N	\N	\N
1118085	3820	1997-05-07	PRIJEM	VKLAD	12081	63279	\N	\N	\N
1118086	3820	1997-06-07	PRIJEM	VKLAD	18122	74869	\N	\N	\N
1118087	3820	1997-07-07	PRIJEM	VKLAD	12081	56940	\N	\N	\N
1118088	3820	1997-08-07	PRIJEM	VKLAD	12081	68453	\N	\N	\N
1118089	3820	1997-09-07	PRIJEM	VKLAD	12081	71907	\N	\N	\N
1118090	3820	1997-10-07	PRIJEM	VKLAD	12081	72973	\N	\N	\N
1118091	3820	1997-11-07	PRIJEM	VKLAD	12081	74644	\N	\N	\N
1118092	3820	1997-12-07	PRIJEM	VKLAD	18122	77782	\N	\N	\N
1118093	3820	1998-01-07	PRIJEM	VKLAD	12081	60155	\N	\N	\N
1118094	3820	1998-02-07	PRIJEM	VKLAD	12081	61459	\N	\N	\N
1118095	3820	1998-03-07	PRIJEM	VKLAD	12081	70989	\N	\N	\N
1118096	3820	1998-04-07	PRIJEM	VKLAD	12081	76255	\N	\N	\N
1118097	3820	1998-05-07	PRIJEM	VKLAD	12081	77954	\N	\N	\N
1118098	3820	1998-06-07	PRIJEM	VKLAD	18122	87388	\N	\N	\N
1118099	3820	1998-07-07	PRIJEM	VKLAD	12081	49519	\N	\N	\N
1118100	3820	1998-08-07	PRIJEM	VKLAD	12081	71019	\N	\N	\N
1118101	3820	1998-09-07	PRIJEM	VKLAD	12081	76986	\N	\N	\N
1118102	3820	1998-10-07	PRIJEM	VKLAD	12081	82877	\N	\N	\N
1118103	3820	1998-11-07	PRIJEM	VKLAD	12081	84813	\N	\N	\N
1118104	3820	1998-12-07	PRIJEM	VKLAD	18122	93071	\N	\N	\N
1118120	3820	1994-04-14	VYDAJ	PREVOD NA UCET	8054	24835	SIPO	UV	41454017
1118121	3820	1994-05-14	VYDAJ	PREVOD NA UCET	8054	24674	SIPO	UV	41454017
1118122	3820	1994-06-14	VYDAJ	PREVOD NA UCET	8054	26432	SIPO	UV	41454017
1118123	3820	1994-07-14	VYDAJ	PREVOD NA UCET	8054	25854	SIPO	UV	41454017
1118124	3820	1994-08-14	VYDAJ	PREVOD NA UCET	8054	24078	SIPO	UV	41454017
1118125	3820	1994-09-14	VYDAJ	PREVOD NA UCET	8054	23796	SIPO	UV	41454017
1118126	3820	1994-10-14	VYDAJ	PREVOD NA UCET	8054	21284	SIPO	UV	41454017
1118127	3820	1994-11-14	VYDAJ	PREVOD NA UCET	8054	24079	SIPO	UV	41454017
1118128	3820	1994-12-14	VYDAJ	PREVOD NA UCET	8054	27593	SIPO	UV	41454017
1118129	3820	1995-01-14	VYDAJ	PREVOD NA UCET	8054	25267	SIPO	UV	41454017
1118130	3820	1995-02-14	VYDAJ	PREVOD NA UCET	8054	22803	SIPO	UV	41454017
1118131	3820	1995-03-14	VYDAJ	PREVOD NA UCET	8054	25601	SIPO	UV	41454017
1118132	3820	1995-04-14	VYDAJ	PREVOD NA UCET	8054	26922	SIPO	UV	41454017
1118133	3820	1995-05-14	VYDAJ	PREVOD NA UCET	8054	30452	SIPO	UV	41454017
1118134	3820	1995-06-14	VYDAJ	PREVOD NA UCET	8054	34891	SIPO	UV	41454017
1118135	3820	1995-07-14	VYDAJ	PREVOD NA UCET	8054	28751	SIPO	UV	41454017
1118136	3820	1995-08-14	VYDAJ	PREVOD NA UCET	8054	35196	SIPO	UV	41454017
1118137	3820	1995-09-14	VYDAJ	PREVOD NA UCET	8054	38557	SIPO	UV	41454017
1118138	3820	1995-10-14	VYDAJ	PREVOD NA UCET	8054	41735	SIPO	UV	41454017
1118139	3820	1995-11-14	VYDAJ	PREVOD NA UCET	8054	44126	SIPO	UV	41454017
1118140	3820	1995-12-14	VYDAJ	PREVOD NA UCET	8054	53769	SIPO	UV	41454017
1118141	3820	1996-01-14	VYDAJ	PREVOD NA UCET	8054	46103	SIPO	UV	41454017
1118142	3820	1996-02-14	VYDAJ	PREVOD NA UCET	8054	37077	SIPO	UV	41454017
1118143	3820	1996-03-14	VYDAJ	PREVOD NA UCET	8054	44163	SIPO	UV	41454017
1118144	3820	1996-04-14	VYDAJ	PREVOD NA UCET	8054	43759	SIPO	UV	41454017
1118145	3820	1996-05-14	VYDAJ	PREVOD NA UCET	8054	46863	SIPO	UV	41454017
1118146	3820	1996-06-14	VYDAJ	PREVOD NA UCET	8054	57317	SIPO	UV	41454017
1118147	3820	1996-07-14	VYDAJ	PREVOD NA UCET	8054	41014	SIPO	UV	41454017
1118148	3820	1996-08-14	VYDAJ	PREVOD NA UCET	8054	42271	SIPO	UV	41454017
1118149	3820	1996-09-14	VYDAJ	PREVOD NA UCET	8054	42649	SIPO	UV	41454017
1118150	3820	1996-10-14	VYDAJ	PREVOD NA UCET	8054	47735	SIPO	UV	41454017
1118151	3820	1996-11-14	VYDAJ	PREVOD NA UCET	8054	49737	SIPO	UV	41454017
1118152	3820	1996-12-14	VYDAJ	PREVOD NA UCET	8054	57788	SIPO	UV	41454017
1118153	3820	1997-01-14	VYDAJ	PREVOD NA UCET	8054	39577	SIPO	UV	41454017
1118154	3820	1997-02-14	VYDAJ	PREVOD NA UCET	8054	39771	SIPO	UV	41454017
1118155	3820	1997-03-14	VYDAJ	PREVOD NA UCET	8054	43481	SIPO	UV	41454017
1118156	3820	1997-04-14	VYDAJ	PREVOD NA UCET	8054	50768	SIPO	UV	41454017
1118157	3820	1997-05-14	VYDAJ	PREVOD NA UCET	8054	55225	SIPO	UV	41454017
1118158	3820	1997-06-14	VYDAJ	PREVOD NA UCET	8054	32415	SIPO	UV	41454017
1118159	3820	1997-07-14	VYDAJ	PREVOD NA UCET	8054	48886	SIPO	UV	41454017
1118160	3820	1997-08-14	VYDAJ	PREVOD NA UCET	8054	60399	SIPO	UV	41454017
1118161	3820	1997-09-14	VYDAJ	PREVOD NA UCET	8054	63853	SIPO	UV	41454017
1118162	3820	1997-10-14	VYDAJ	PREVOD NA UCET	8054	64919	SIPO	UV	41454017
1118163	3820	1997-11-14	VYDAJ	PREVOD NA UCET	8054	66590	SIPO	UV	41454017
1118164	3820	1997-12-14	VYDAJ	PREVOD NA UCET	8054	69728	SIPO	UV	41454017
1118165	3820	1998-01-14	VYDAJ	PREVOD NA UCET	8054	44181	SIPO	UV	41454017
1118166	3820	1998-02-14	VYDAJ	PREVOD NA UCET	8054	53405	SIPO	UV	41454017
1118167	3820	1998-03-14	VYDAJ	PREVOD NA UCET	8054	62935	SIPO	UV	41454017
1118168	3820	1998-04-14	VYDAJ	PREVOD NA UCET	8054	62921	SIPO	UV	41454017
1118169	3820	1998-05-14	VYDAJ	PREVOD NA UCET	8054	69900	SIPO	UV	41454017
1118170	3820	1998-06-14	VYDAJ	PREVOD NA UCET	8054	79334	SIPO	UV	41454017
1118171	3820	1998-07-14	VYDAJ	PREVOD NA UCET	8054	41465	SIPO	UV	41454017
1118172	3820	1998-08-14	VYDAJ	PREVOD NA UCET	8054	62965	SIPO	UV	41454017
1118173	3820	1998-09-14	VYDAJ	PREVOD NA UCET	8054	68932	SIPO	UV	41454017
1118174	3820	1998-10-14	VYDAJ	PREVOD NA UCET	8054	72543	SIPO	UV	41454017
1118175	3820	1998-11-14	VYDAJ	PREVOD NA UCET	8054	76759	SIPO	UV	41454017
1118176	3820	1998-12-14	VYDAJ	PREVOD NA UCET	8054	85017	SIPO	UV	41454017
1118180	3820	1996-06-20	VYDAJ	VYBER	20960	36357	\N	\N	\N
1118181	3820	1997-06-11	VYDAJ	VYBER	34400	40469	\N	\N	\N
1118182	3820	1998-06-26	VYDAJ	VYBER	40160	37174	\N	\N	\N
1118185	3820	1995-01-22	VYDAJ	VYBER	2720	16187	\N	\N	\N
1118186	3820	1996-01-23	VYDAJ	VYBER	12480	30383	\N	\N	\N
1118187	3820	1997-01-15	VYDAJ	VYBER	8640	30937	\N	\N	\N
1118188	3820	1998-01-06	VYDAJ	VYBER	9440	48074	\N	\N	\N
1118190	3820	1994-12-07	VYDAJ	VYBER	2240	40047	\N	\N	\N
1118191	3820	1995-12-16	VYDAJ	VYBER	800	52969	\N	\N	\N
1118192	3820	1996-12-30	VYDAJ	VYBER	2080	46508	\N	\N	\N
1118193	3820	1997-12-04	VYDAJ	VYBER	4480	59660	\N	\N	\N
1118194	3820	1998-12-21	VYDAJ	VYBER	2080	76937	\N	\N	\N
1118207	3820	1995-01-22	VYDAJ	VYBER	3000	18907	\N	\N	\N
1118208	3820	1995-01-11	VYDAJ	VYBER	720	33321	\N	\N	\N
1118209	3820	1995-01-01	VYDAJ	VYBER	840	26860	\N	\N	\N
1118210	3820	1995-01-19	VYDAJ	VYBER	3360	21907	\N	\N	\N
1118211	3820	1995-01-03	VYDAJ	VYBER	720	26140	\N	\N	\N
1118212	3820	1995-01-07	VYDAJ	VYBER	840	37381	\N	\N	\N
1118213	3820	1996-01-13	VYDAJ	VYBER	3480	54157	\N	\N	\N
1118214	3820	1996-01-19	VYDAJ	VYBER	840	43943	\N	\N	\N
1118215	3820	1996-01-26	VYDAJ	VYBER	600	29783	\N	\N	\N
1118216	3820	1996-01-01	VYDAJ	VYBER	1680	51496	\N	\N	\N
1118217	3820	1996-01-21	VYDAJ	VYBER	1080	42863	\N	\N	\N
1118218	3820	1996-01-17	VYDAJ	VYBER	1320	44783	\N	\N	\N
1118219	3820	1997-01-02	VYDAJ	VYBER	2040	42150	\N	\N	\N
1118220	3820	1997-01-28	VYDAJ	VYBER	1560	35597	\N	\N	\N
1118221	3820	1997-01-16	VYDAJ	VYBER	2280	28657	\N	\N	\N
1118222	3820	1997-01-01	VYDAJ	VYBER	600	46110	\N	\N	\N
1118223	3820	1997-01-02	VYDAJ	VYBER	1200	40950	\N	\N	\N
1118224	3820	1997-01-02	VYDAJ	VYBER	1920	44190	\N	\N	\N
1118225	3820	1998-01-02	VYDAJ	VYBER	1560	57514	\N	\N	\N
1118226	3820	1998-01-24	VYDAJ	VYBER	1560	50621	\N	\N	\N
1118227	3820	1998-01-29	VYDAJ	VYBER	1440	49181	\N	\N	\N
1118228	3820	1998-01-02	VYDAJ	VYBER	2520	59074	\N	\N	\N
1118229	3820	1998-01-19	VYDAJ	VYBER	1200	42981	\N	\N	\N
1118230	3820	1998-01-13	VYDAJ	VYBER	3000	52235	\N	\N	\N
1118234	3820	1994-10-20	VYDAJ	VYBER	1200	20084	\N	\N	\N
1118235	3820	1994-09-29	VYDAJ	VYBER	4920	14076	\N	\N	\N
1118237	3820	1994-09-20	VYDAJ	VYBER	4800	18996	\N	\N	\N
1118238	3820	1994-04-08	VYDAJ	VYBER	5880	41989	\N	\N	\N
1118239	3820	1995-07-08	VYDAJ	VYBER	3600	36805	\N	\N	\N
1118240	3820	1995-05-16	VYDAJ	VYBER	2040	28412	\N	\N	\N
1118241	3820	1995-01-07	VYDAJ	VYBER	3240	34141	\N	\N	\N
1118242	3820	1996-04-12	VYDAJ	VYBER	2400	51813	\N	\N	\N
1118243	3820	1996-01-02	VYDAJ	VYBER	3840	47656	\N	\N	\N
1118244	3820	1996-02-23	VYDAJ	VYBER	2280	34797	\N	\N	\N
1118245	3820	1996-07-21	VYDAJ	VYBER	4320	36694	\N	\N	\N
1118246	3820	1996-08-27	VYDAJ	VYBER	4680	37591	\N	\N	\N
1118247	3820	1996-09-13	VYDAJ	VYBER	1320	50703	\N	\N	\N
1118248	3820	1996-06-30	VYDAJ	VYBER	3960	32587	\N	\N	\N
1118249	3820	1997-09-21	VYDAJ	VYBER	1200	62653	\N	\N	\N
1118250	3820	1997-01-14	VYDAJ	VYBER	4440	47631	\N	\N	\N
1118251	3820	1997-02-26	VYDAJ	VYBER	5760	39311	\N	\N	\N
1118252	3820	1997-06-25	VYDAJ	VYBER	720	31695	\N	\N	\N
1118253	3820	1997-05-04	VYDAJ	VYBER	3360	51198	\N	\N	\N
1118254	3820	1997-01-08	VYDAJ	VYBER	960	52071	\N	\N	\N
1118255	3820	1998-01-09	VYDAJ	VYBER	4920	55235	\N	\N	\N
1118256	3820	1998-10-08	VYDAJ	VYBER	2280	80597	\N	\N	\N
1118257	3820	1998-04-12	VYDAJ	VYBER	5280	70975	\N	\N	\N
1118274	3820	1994-04-30	VYDAJ	VYBER	15	24947	SLUZBY	\N	\N
1118275	3820	1994-05-31	VYDAJ	VYBER	15	24764	SLUZBY	\N	\N
1118276	3820	1994-06-30	VYDAJ	VYBER	15	26527	SLUZBY	\N	\N
1118277	3820	1994-07-31	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
1118278	3820	1994-08-31	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
1118279	3820	1994-09-30	VYDAJ	VYBER	15	14157	SLUZBY	\N	\N
1118280	3820	1994-10-31	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
1118281	3820	1994-11-30	VYDAJ	VYBER	15	24165	SLUZBY	\N	\N
1118282	3820	1994-12-31	VYDAJ	VYBER	15	27700	SLUZBY	\N	\N
1118283	3820	1995-01-31	VYDAJ	VYBER	15	16276	SLUZBY	\N	\N
1118284	3820	1995-02-28	VYDAJ	VYBER	15	22874	SLUZBY	\N	\N
1118285	3820	1995-03-31	VYDAJ	VYBER	15	25695	SLUZBY	\N	\N
1118286	3820	1995-04-30	VYDAJ	VYBER	15	27025	SLUZBY	\N	\N
1118287	3820	1995-05-31	VYDAJ	VYBER	15	28523	SLUZBY	\N	\N
1118288	3820	1995-06-30	VYDAJ	VYBER	15	35024	SLUZBY	\N	\N
1118289	3820	1995-07-31	VYDAJ	VYBER	15	28869	SLUZBY	\N	\N
1118290	3820	1995-08-31	VYDAJ	VYBER	15	35330	SLUZBY	\N	\N
1118291	3820	1995-09-30	VYDAJ	VYBER	15	38708	SLUZBY	\N	\N
1118292	3820	1995-10-31	VYDAJ	VYBER	15	41899	SLUZBY	\N	\N
1118293	3820	1995-11-30	VYDAJ	VYBER	15	44301	SLUZBY	\N	\N
1118294	3820	1995-12-31	VYDAJ	VYBER	15	53176	SLUZBY	\N	\N
1118295	3820	1996-01-31	VYDAJ	VYBER	15	29950	SLUZBY	\N	\N
1118296	3820	1996-02-29	VYDAJ	VYBER	15	34936	SLUZBY	\N	\N
1118297	3820	1996-03-31	VYDAJ	VYBER	15	44332	SLUZBY	\N	\N
1118298	3820	1996-04-30	VYDAJ	VYBER	15	43936	SLUZBY	\N	\N
1118299	3820	1996-05-31	VYDAJ	VYBER	15	47049	SLUZBY	\N	\N
1118300	3820	1996-06-30	VYDAJ	VYBER	15	36547	SLUZBY	\N	\N
1118301	3820	1996-07-31	VYDAJ	VYBER	15	38244	SLUZBY	\N	\N
1118302	3820	1996-08-31	VYDAJ	VYBER	15	39942	SLUZBY	\N	\N
1118303	3820	1996-09-30	VYDAJ	VYBER	15	43708	SLUZBY	\N	\N
1118304	3820	1996-10-31	VYDAJ	VYBER	15	45710	SLUZBY	\N	\N
1118305	3820	1996-11-30	VYDAJ	VYBER	15	47720	SLUZBY	\N	\N
1118306	3820	1996-12-31	VYDAJ	VYBER	15	46710	SLUZBY	\N	\N
1118307	3820	1997-01-31	VYDAJ	VYBER	15	35744	SLUZBY	\N	\N
1118308	3820	1997-02-28	VYDAJ	VYBER	15	39454	SLUZBY	\N	\N
1118309	3820	1997-03-31	VYDAJ	VYBER	15	46741	SLUZBY	\N	\N
1118310	3820	1997-04-30	VYDAJ	VYBER	15	54558	SLUZBY	\N	\N
1118311	3820	1997-05-31	VYDAJ	VYBER	15	56747	SLUZBY	\N	\N
1118312	3820	1997-06-30	VYDAJ	VYBER	15	44859	SLUZBY	\N	\N
1118313	3820	1997-07-31	VYDAJ	VYBER	15	56372	SLUZBY	\N	\N
1118314	3820	1997-08-31	VYDAJ	VYBER	15	59826	SLUZBY	\N	\N
1118315	3820	1997-09-30	VYDAJ	VYBER	15	60892	SLUZBY	\N	\N
1118316	3820	1997-10-31	VYDAJ	VYBER	15	62563	SLUZBY	\N	\N
1118317	3820	1997-11-30	VYDAJ	VYBER	15	64140	SLUZBY	\N	\N
1118318	3820	1997-12-31	VYDAJ	VYBER	15	61594	SLUZBY	\N	\N
1118319	3820	1998-01-31	VYDAJ	VYBER	15	49378	SLUZBY	\N	\N
1118320	3820	1998-02-28	VYDAJ	VYBER	15	58908	SLUZBY	\N	\N
1118321	3820	1998-03-31	VYDAJ	VYBER	15	64174	SLUZBY	\N	\N
1118322	3820	1998-04-30	VYDAJ	VYBER	15	65873	SLUZBY	\N	\N
1118323	3820	1998-05-31	VYDAJ	VYBER	15	69266	SLUZBY	\N	\N
1118324	3820	1998-06-30	VYDAJ	VYBER	15	37438	SLUZBY	\N	\N
1118325	3820	1998-07-31	VYDAJ	VYBER	15	58938	SLUZBY	\N	\N
1118326	3820	1998-08-31	VYDAJ	VYBER	15	64905	SLUZBY	\N	\N
1118327	3820	1998-09-30	VYDAJ	VYBER	15	70796	SLUZBY	\N	\N
1118328	3820	1998-10-31	VYDAJ	VYBER	15	72732	SLUZBY	\N	\N
1118329	3820	1998-11-30	VYDAJ	VYBER	15	74949	SLUZBY	\N	\N
1118330	3820	1993-12-14	PRIJEM	VKLAD	2500	21322	\N	\N	\N
1118331	3820	1994-01-13	VYDAJ	VYBER	4800	28655	\N	\N	\N
1118332	3820	1994-02-12	VYDAJ	VYBER	10300	30543	\N	\N	\N
1118333	3820	1994-03-14	VYDAJ	VYBER	7100	35648	\N	\N	\N
1118334	3820	1994-04-13	VYDAJ	VYBER	9100	32889	\N	\N	\N
1118335	3820	1994-05-13	VYDAJ	VYBER	4300	32728	\N	\N	\N
1118336	3820	1994-06-12	VYDAJ	VYBER	8400	34486	\N	\N	\N
1118337	3820	1994-07-12	VYDAJ	VYBER	4700	33908	\N	\N	\N
1118338	3820	1994-08-11	VYDAJ	VYBER	5900	32132	\N	\N	\N
1118339	3820	1994-09-10	VYDAJ	VYBER	4400	31850	\N	\N	\N
1118340	3820	1994-10-10	PRIJEM	VKLAD	3100	29338	\N	\N	\N
1118341	3820	1994-11-09	VYDAJ	VYBER	100	32133	\N	\N	\N
1118342	3820	1994-12-09	VYDAJ	VYBER	4400	35647	\N	\N	\N
1118343	3820	1995-01-08	VYDAJ	VYBER	100	34041	\N	\N	\N
1118344	3820	1995-02-07	PRIJEM	VKLAD	2500	18776	\N	\N	\N
1118345	3820	1995-03-09	VYDAJ	VYBER	1300	33655	\N	\N	\N
1118346	3820	1995-04-08	VYDAJ	VYBER	2800	34976	\N	\N	\N
1118347	3820	1995-05-08	VYDAJ	VYBER	600	38506	\N	\N	\N
1118348	3820	1995-06-07	VYDAJ	VYBER	3700	42945	\N	\N	\N
1118349	3820	1995-07-07	VYDAJ	VYBER	6700	40405	\N	\N	\N
1118350	3820	1995-08-06	PRIJEM	VKLAD	2300	31169	\N	\N	\N
1118351	3820	1995-09-05	VYDAJ	VYBER	800	34530	\N	\N	\N
1118352	3820	1995-10-05	VYDAJ	VYBER	1000	37708	\N	\N	\N
1118353	3820	1995-11-04	VYDAJ	VYBER	1800	40099	\N	\N	\N
1118354	3820	1995-12-04	VYDAJ	VYBER	600	43701	\N	\N	\N
1118355	3820	1996-01-03	VYDAJ	VYBER	2100	45556	\N	\N	\N
1118356	3820	1996-02-02	PRIJEM	VKLAD	3100	33050	\N	\N	\N
1118357	3820	1996-03-03	PRIJEM	VKLAD	5200	40136	\N	\N	\N
1118358	3820	1996-04-02	VYDAJ	VYBER	2200	42132	\N	\N	\N
1118359	3820	1996-05-02	VYDAJ	VYBER	1100	42836	\N	\N	\N
1118360	3820	1996-06-01	PRIJEM	VKLAD	200	47249	\N	\N	\N
1118361	3820	1996-07-01	PRIJEM	VKLAD	4400	36987	\N	\N	\N
1118362	3820	1996-07-31	PRIJEM	VKLAD	1400	38094	\N	\N	\N
1118363	3820	1996-08-30	PRIJEM	VKLAD	2200	39791	\N	\N	\N
1118364	3820	1996-09-29	PRIJEM	VKLAD	900	43549	\N	\N	\N
1118365	3820	1996-10-29	VYDAJ	VYBER	2200	45535	\N	\N	\N
1118366	3820	1996-11-28	VYDAJ	VYBER	2200	47537	\N	\N	\N
1118367	3820	1996-12-28	VYDAJ	VYBER	9200	48588	\N	\N	\N
1118368	3820	1997-01-27	PRIJEM	VKLAD	8500	37157	\N	\N	\N
1118369	3820	1997-02-26	PRIJEM	VKLAD	5300	45071	\N	\N	\N
1118370	3820	1997-03-28	PRIJEM	VKLAD	3100	46581	\N	\N	\N
1118371	3820	1997-04-27	PRIJEM	VKLAD	3600	54368	\N	\N	\N
1118372	3820	1997-05-27	PRIJEM	VKLAD	1300	56525	\N	\N	\N
1118373	3820	1997-06-26	PRIJEM	VKLAD	13000	44695	\N	\N	\N
1118374	3820	1997-07-26	PRIJEM	VKLAD	7300	56186	\N	\N	\N
1118375	3820	1997-08-25	VYDAJ	VYBER	800	59599	\N	\N	\N
1118376	3820	1997-09-24	VYDAJ	VYBER	2000	60653	\N	\N	\N
1118377	3820	1997-10-24	VYDAJ	VYBER	2600	62319	\N	\N	\N
1118378	3820	1997-11-23	VYDAJ	VYBER	2700	63890	\N	\N	\N
1118379	3820	1997-12-23	VYDAJ	VYBER	8400	61328	\N	\N	\N
1118380	3820	1998-01-22	PRIJEM	VKLAD	9200	52181	\N	\N	\N
1118381	3820	1998-02-21	PRIJEM	VKLAD	5300	58705	\N	\N	\N
1118382	3820	1998-03-23	PRIJEM	VKLAD	1000	63935	\N	\N	\N
1118383	3820	1998-04-22	PRIJEM	VKLAD	2700	65621	\N	\N	\N
1118384	3820	1998-05-22	VYDAJ	VYBER	900	69000	\N	\N	\N
1118385	3820	1998-06-21	VYDAJ	VYBER	2000	77334	\N	\N	\N
1118386	3820	1998-07-21	PRIJEM	VKLAD	17300	58765	\N	\N	\N
1118387	3820	1998-08-20	PRIJEM	VKLAD	1700	64665	\N	\N	\N
1118388	3820	1998-09-19	PRIJEM	VKLAD	1600	70532	\N	\N	\N
1118389	3820	1998-10-19	VYDAJ	VYBER	100	72443	\N	\N	\N
1118390	3820	1998-11-18	VYDAJ	VYBER	2100	74659	\N	\N	\N
1118391	3820	1998-12-18	VYDAJ	VYBER	6000	79017	\N	\N	\N
1118453	3821	1996-04-18	PRIJEM	VKLAD	500	500	\N	\N	\N
1118454	3821	1996-06-06	PRIJEM	VKLAD	23347	35370	\N	\N	\N
1118455	3821	1996-10-26	PRIJEM	VKLAD	45111	68035	\N	\N	\N
1118456	3821	1997-09-27	PRIJEM	VKLAD	45810	67002	\N	\N	\N
1118457	3821	1997-06-26	PRIJEM	VKLAD	47518	63226	\N	\N	\N
1118458	3821	1998-09-15	PRIJEM	VKLAD	45652	62670	\N	\N	\N
1118459	3821	1998-01-19	PRIJEM	VKLAD	41714	56373	\N	\N	\N
1118464	3821	1996-05-17	PRIJEM	VKLAD	1200	1700	\N	\N	\N
1118465	3821	1996-06-17	PRIJEM	VKLAD	1200	36570	\N	\N	\N
1118466	3821	1996-07-15	PRIJEM	VKLAD	1200	30492	\N	\N	\N
1118467	3821	1996-08-14	PRIJEM	VKLAD	1200	26446	\N	\N	\N
1118468	3821	1996-09-14	PRIJEM	VKLAD	1200	26637	\N	\N	\N
1118469	3821	1996-10-17	PRIJEM	VKLAD	1200	22424	\N	\N	\N
1118470	3821	1996-11-17	PRIJEM	VKLAD	1200	42354	\N	\N	\N
1118471	3821	1996-12-15	PRIJEM	VKLAD	1200	32874	\N	\N	\N
1118472	3821	1997-01-16	PRIJEM	VKLAD	1200	24465	\N	\N	\N
1118473	3821	1997-02-15	PRIJEM	VKLAD	1200	21266	\N	\N	\N
1118474	3821	1997-03-15	PRIJEM	VKLAD	1200	15546	\N	\N	\N
1118475	3821	1997-04-15	PRIJEM	VKLAD	1200	16107	\N	\N	\N
1118476	3821	1997-05-15	PRIJEM	VKLAD	1200	14158	\N	\N	\N
1118477	3821	1997-06-13	PRIJEM	VKLAD	1200	15208	\N	\N	\N
1118478	3821	1997-07-13	PRIJEM	VKLAD	1200	34208	\N	\N	\N
1118479	3821	1997-08-15	PRIJEM	VKLAD	1200	25983	\N	\N	\N
1118480	3821	1997-09-16	PRIJEM	VKLAD	1200	20692	\N	\N	\N
1118481	3821	1997-10-17	PRIJEM	VKLAD	1200	36762	\N	\N	\N
1118482	3821	1997-11-13	PRIJEM	VKLAD	1200	23888	\N	\N	\N
1118483	3821	1997-12-17	PRIJEM	VKLAD	1200	19188	\N	\N	\N
1118484	3821	1998-01-17	PRIJEM	VKLAD	1200	14159	\N	\N	\N
1118485	3821	1998-02-16	PRIJEM	VKLAD	1200	28037	\N	\N	\N
1118486	3821	1998-03-14	PRIJEM	VKLAD	1200	20680	\N	\N	\N
1118487	3821	1998-04-13	PRIJEM	VKLAD	1200	12966	\N	\N	\N
1118488	3821	1998-05-13	PRIJEM	VKLAD	1200	14720	\N	\N	\N
1118489	3821	1998-06-15	PRIJEM	VKLAD	1200	16464	\N	\N	\N
1118490	3821	1998-07-13	PRIJEM	VKLAD	1200	14716	\N	\N	\N
1118491	3821	1998-08-16	PRIJEM	VKLAD	1200	16466	\N	\N	\N
1118492	3821	1998-09-15	PRIJEM	VKLAD	1200	63870	\N	\N	\N
1118493	3821	1998-10-14	PRIJEM	VKLAD	1200	32030	\N	\N	\N
1118494	3821	1998-11-16	PRIJEM	VKLAD	1200	13706	\N	\N	\N
1118495	3821	1998-12-15	PRIJEM	VKLAD	1200	15488	\N	\N	\N
1118500	3821	1996-05-18	PRIJEM	VKLAD	500	12000	\N	\N	\N
1118501	3821	1996-06-18	PRIJEM	VKLAD	500	30770	\N	\N	\N
1118502	3821	1996-07-18	PRIJEM	VKLAD	500	25592	\N	\N	\N
1118503	3821	1996-08-18	PRIJEM	VKLAD	500	25346	\N	\N	\N
1118504	3821	1996-09-18	PRIJEM	VKLAD	500	23537	\N	\N	\N
1118505	3821	1996-10-18	PRIJEM	VKLAD	500	22924	\N	\N	\N
1118506	3821	1996-11-18	PRIJEM	VKLAD	500	42854	\N	\N	\N
1118507	3821	1996-12-18	PRIJEM	VKLAD	500	33374	\N	\N	\N
1118508	3821	1997-01-18	PRIJEM	VKLAD	500	24965	\N	\N	\N
1118509	3821	1997-02-18	PRIJEM	VKLAD	500	21766	\N	\N	\N
1118510	3821	1997-03-18	PRIJEM	VKLAD	500	16046	\N	\N	\N
1118511	3821	1997-04-18	PRIJEM	VKLAD	500	16607	\N	\N	\N
1118512	3821	1997-05-18	PRIJEM	VKLAD	500	14658	\N	\N	\N
1118513	3821	1997-06-18	PRIJEM	VKLAD	500	15708	\N	\N	\N
1118514	3821	1997-07-18	PRIJEM	VKLAD	500	34708	\N	\N	\N
1118515	3821	1997-08-18	PRIJEM	VKLAD	500	26483	\N	\N	\N
1118516	3821	1997-09-18	PRIJEM	VKLAD	500	21192	\N	\N	\N
1118517	3821	1997-10-18	PRIJEM	VKLAD	500	37262	\N	\N	\N
1118518	3821	1997-11-18	PRIJEM	VKLAD	500	24388	\N	\N	\N
1118519	3821	1997-12-18	PRIJEM	VKLAD	500	19688	\N	\N	\N
1118520	3821	1998-01-18	PRIJEM	VKLAD	500	14659	\N	\N	\N
1118521	3821	1998-02-18	PRIJEM	VKLAD	500	28537	\N	\N	\N
1118522	3821	1998-03-18	PRIJEM	VKLAD	500	21180	\N	\N	\N
1118523	3821	1998-04-18	PRIJEM	VKLAD	500	13466	\N	\N	\N
1118524	3821	1998-05-18	PRIJEM	VKLAD	500	15220	\N	\N	\N
1118525	3821	1998-06-18	PRIJEM	VKLAD	500	16964	\N	\N	\N
1118526	3821	1998-07-18	PRIJEM	VKLAD	500	15216	\N	\N	\N
1118527	3821	1998-08-18	PRIJEM	VKLAD	500	16966	\N	\N	\N
1118528	3821	1998-09-18	PRIJEM	VKLAD	500	64370	\N	\N	\N
1118529	3821	1998-10-18	PRIJEM	VKLAD	500	32530	\N	\N	\N
1118530	3821	1998-11-18	PRIJEM	VKLAD	500	14206	\N	\N	\N
1118531	3821	1998-12-18	PRIJEM	VKLAD	500	15988	\N	\N	\N
1118536	3821	1997-01-24	VYDAJ	VYBER	1100	23865	\N	\N	\N
1118537	3821	1998-01-27	VYDAJ	VYBER	9300	47073	\N	\N	\N
1118541	3821	1996-12-01	VYDAJ	VYBER	1700	41374	\N	\N	\N
1118542	3821	1997-12-07	VYDAJ	VYBER	2900	21588	\N	\N	\N
1118550	3821	1997-01-01	VYDAJ	VYBER	950	32565	\N	\N	\N
1118551	3821	1997-01-15	VYDAJ	VYBER	300	23265	\N	\N	\N
1118552	3821	1997-01-27	VYDAJ	VYBER	500	23365	\N	\N	\N
1118553	3821	1997-01-13	VYDAJ	VYBER	800	31765	\N	\N	\N
1118554	3821	1997-01-14	VYDAJ	VYBER	550	24815	\N	\N	\N
1118555	3821	1997-01-15	VYDAJ	VYBER	1250	23565	\N	\N	\N
1118556	3821	1998-01-28	VYDAJ	VYBER	1250	45823	\N	\N	\N
1118561	3821	1998-01-05	VYDAJ	VYBER	900	18859	\N	\N	\N
1118563	3821	1996-07-01	VYDAJ	VYBER	1550	29292	\N	\N	\N
1118564	3821	1996-08-09	VYDAJ	VYBER	450	25246	\N	\N	\N
1118567	3821	1997-10-10	VYDAJ	VYBER	1250	35562	\N	\N	\N
1118568	3821	1997-07-29	VYDAJ	VYBER	900	33808	\N	\N	\N
1118569	3821	1997-11-03	VYDAJ	VYBER	2250	35188	\N	\N	\N
1118570	3821	1997-03-25	VYDAJ	VYBER	1200	14846	\N	\N	\N
1118580	3821	1996-06-30	VYDAJ	VYBER	15	30842	SLUZBY	\N	\N
1118581	3821	1996-07-31	VYDAJ	VYBER	15	25696	SLUZBY	\N	\N
1118582	3821	1996-08-31	VYDAJ	VYBER	15	25437	SLUZBY	\N	\N
1118583	3821	1996-09-30	VYDAJ	VYBER	15	23624	SLUZBY	\N	\N
1118584	3821	1996-10-31	VYDAJ	VYBER	15	68154	SLUZBY	\N	\N
1118585	3821	1996-11-30	VYDAJ	VYBER	15	43074	SLUZBY	\N	\N
1118586	3821	1996-12-31	VYDAJ	VYBER	15	33515	SLUZBY	\N	\N
1118587	3821	1997-01-31	VYDAJ	VYBER	15	23466	SLUZBY	\N	\N
1118588	3821	1997-02-28	VYDAJ	VYBER	15	21846	SLUZBY	\N	\N
1118589	3821	1997-03-31	VYDAJ	VYBER	15	14907	SLUZBY	\N	\N
1118590	3821	1997-04-30	VYDAJ	VYBER	15	16658	SLUZBY	\N	\N
1118591	3821	1997-05-31	VYDAJ	VYBER	15	14708	SLUZBY	\N	\N
1118592	3821	1997-06-30	VYDAJ	VYBER	15	63308	SLUZBY	\N	\N
1118593	3821	1997-07-31	VYDAJ	VYBER	15	33983	SLUZBY	\N	\N
1118594	3821	1997-08-31	VYDAJ	VYBER	15	26592	SLUZBY	\N	\N
1118595	3821	1997-09-30	VYDAJ	VYBER	15	67112	SLUZBY	\N	\N
1118596	3821	1997-10-31	VYDAJ	VYBER	15	37438	SLUZBY	\N	\N
1118597	3821	1997-11-30	VYDAJ	VYBER	15	24488	SLUZBY	\N	\N
1118598	3821	1997-12-31	VYDAJ	VYBER	15	19759	SLUZBY	\N	\N
1118599	3821	1998-01-31	VYDAJ	VYBER	15	45937	SLUZBY	\N	\N
1118600	3821	1998-02-28	VYDAJ	VYBER	15	28680	SLUZBY	\N	\N
1118601	3821	1998-03-31	VYDAJ	VYBER	15	21266	SLUZBY	\N	\N
1118602	3821	1998-04-30	VYDAJ	VYBER	15	13520	SLUZBY	\N	\N
1118603	3821	1998-05-31	VYDAJ	VYBER	15	15264	SLUZBY	\N	\N
1118604	3821	1998-06-30	VYDAJ	VYBER	15	17016	SLUZBY	\N	\N
1118605	3821	1998-07-31	VYDAJ	VYBER	15	15266	SLUZBY	\N	\N
1118606	3821	1998-08-31	VYDAJ	VYBER	15	17018	SLUZBY	\N	\N
1118607	3821	1998-09-30	VYDAJ	VYBER	15	64530	SLUZBY	\N	\N
1118608	3821	1998-10-31	VYDAJ	VYBER	15	32706	SLUZBY	\N	\N
1118609	3821	1998-11-30	VYDAJ	VYBER	15	14288	SLUZBY	\N	\N
1118610	3821	1996-05-18	PRIJEM	VKLAD	9800	11500	\N	\N	\N
1118611	3821	1996-06-17	VYDAJ	VYBER	6300	30270	\N	\N	\N
1118612	3821	1996-07-17	VYDAJ	VYBER	5400	25092	\N	\N	\N
1118613	3821	1996-08-16	VYDAJ	VYBER	1600	24846	\N	\N	\N
1118614	3821	1996-09-15	VYDAJ	VYBER	3600	23037	\N	\N	\N
1118615	3821	1996-10-15	VYDAJ	VYBER	2400	21224	\N	\N	\N
1118616	3821	1996-11-14	VYDAJ	VYBER	27000	41154	\N	\N	\N
1118617	3821	1996-12-14	VYDAJ	VYBER	9700	31674	\N	\N	\N
1118618	3821	1997-01-13	VYDAJ	VYBER	6400	25365	\N	\N	\N
1118619	3821	1997-02-12	VYDAJ	VYBER	3400	20066	\N	\N	\N
1118620	3821	1997-03-14	VYDAJ	VYBER	7500	14346	\N	\N	\N
1118621	3821	1997-05-13	VYDAJ	VYBER	3700	12958	\N	\N	\N
1118622	3821	1997-06-12	VYDAJ	VYBER	700	14008	\N	\N	\N
1118623	3821	1997-07-12	VYDAJ	VYBER	30300	33008	\N	\N	\N
1118624	3821	1997-08-11	VYDAJ	VYBER	9200	24783	\N	\N	\N
1118625	3821	1997-09-10	VYDAJ	VYBER	7100	19492	\N	\N	\N
1118626	3821	1997-10-10	VYDAJ	VYBER	30300	36812	\N	\N	\N
1118627	3821	1997-11-09	VYDAJ	VYBER	12500	22688	\N	\N	\N
1118628	3821	1997-12-09	VYDAJ	VYBER	3600	17988	\N	\N	\N
1118629	3821	1998-01-08	VYDAJ	VYBER	5900	12959	\N	\N	\N
1118630	3821	1998-02-07	VYDAJ	VYBER	19100	26837	\N	\N	\N
1118631	3821	1998-03-09	VYDAJ	VYBER	9200	19480	\N	\N	\N
1118632	3821	1998-04-08	VYDAJ	VYBER	9500	11766	\N	\N	\N
1118633	3821	1998-07-07	VYDAJ	VYBER	3500	13516	\N	\N	\N
1118634	3821	1998-10-05	VYDAJ	VYBER	33700	30830	\N	\N	\N
1118635	3821	1998-11-04	VYDAJ	VYBER	20200	12506	\N	\N	\N
1118668	3822	1993-09-22	PRIJEM	VKLAD	500	500	\N	\N	\N
1118678	3822	1993-10-09	PRIJEM	PREVOD Z UCTU	17347	17847	\N	CD	19595277
1118679	3822	1993-11-09	PRIJEM	PREVOD Z UCTU	17347	38623	\N	CD	19595277
1118680	3822	1993-12-09	PRIJEM	PREVOD Z UCTU	26020	58747	\N	CD	19595277
1118681	3822	1994-01-09	PRIJEM	PREVOD Z UCTU	17347	60746	\N	CD	19595277
1118682	3822	1994-02-09	PRIJEM	PREVOD Z UCTU	17347	59471	\N	CD	19595277
1118683	3822	1994-03-09	PRIJEM	PREVOD Z UCTU	17347	55722	\N	CD	19595277
1118684	3822	1994-04-09	PRIJEM	PREVOD Z UCTU	17347	54063	\N	CD	19595277
1118685	3822	1994-05-09	PRIJEM	PREVOD Z UCTU	17347	39397	\N	CD	19595277
1118686	3822	1994-06-09	PRIJEM	PREVOD Z UCTU	26020	55456	\N	CD	19595277
1118687	3822	1994-07-09	PRIJEM	PREVOD Z UCTU	17347	51979	\N	CD	19595277
1118688	3822	1994-08-09	PRIJEM	PREVOD Z UCTU	17347	50201	\N	CD	19595277
1118689	3822	1994-09-09	PRIJEM	PREVOD Z UCTU	17347	43188	\N	CD	19595277
1118690	3822	1994-10-09	PRIJEM	PREVOD Z UCTU	17347	44489	\N	CD	19595277
1118691	3822	1994-11-09	PRIJEM	PREVOD Z UCTU	17347	50493	\N	CD	19595277
1118692	3822	1994-12-09	PRIJEM	PREVOD Z UCTU	26020	56497	\N	CD	19595277
1118693	3822	1995-01-09	PRIJEM	PREVOD Z UCTU	17347	38116	\N	CD	19595277
1118694	3822	1995-02-09	PRIJEM	PREVOD Z UCTU	17347	38557	\N	CD	19595277
1118695	3822	1995-03-09	PRIJEM	PREVOD Z UCTU	17347	46741	\N	CD	19595277
1118696	3822	1995-04-09	PRIJEM	PREVOD Z UCTU	17347	48456	\N	CD	19595277
1118697	3822	1995-05-09	PRIJEM	PREVOD Z UCTU	17347	48787	\N	CD	19595277
1118698	3822	1995-06-09	PRIJEM	PREVOD Z UCTU	26020	63690	\N	CD	19595277
1118699	3822	1995-07-09	PRIJEM	PREVOD Z UCTU	17347	50717	\N	CD	19595277
1118700	3822	1995-08-09	PRIJEM	PREVOD Z UCTU	17347	41615	\N	CD	19595277
1118701	3822	1995-09-09	PRIJEM	PREVOD Z UCTU	17347	44636	\N	CD	19595277
1118702	3822	1995-10-09	PRIJEM	PREVOD Z UCTU	17347	47949	\N	CD	19595277
1118703	3822	1995-11-09	PRIJEM	PREVOD Z UCTU	17347	53767	\N	CD	19595277
1118704	3822	1995-12-09	PRIJEM	PREVOD Z UCTU	26020	58161	\N	CD	19595277
1118705	3822	1996-01-09	PRIJEM	PREVOD Z UCTU	17347	39928	\N	CD	19595277
1118706	3822	1996-02-09	PRIJEM	PREVOD Z UCTU	17347	41133	\N	CD	19595277
1118707	3822	1996-03-09	PRIJEM	PREVOD Z UCTU	17347	46827	\N	CD	19595277
1118708	3822	1996-04-09	PRIJEM	PREVOD Z UCTU	17347	48029	\N	CD	19595277
1118709	3822	1996-05-09	PRIJEM	PREVOD Z UCTU	17347	37699	\N	CD	19595277
1118710	3822	1996-06-09	PRIJEM	PREVOD Z UCTU	26020	59249	\N	CD	19595277
1118711	3822	1996-07-09	PRIJEM	PREVOD Z UCTU	17347	47585	\N	CD	19595277
1118712	3822	1996-08-09	PRIJEM	PREVOD Z UCTU	17347	52516	\N	CD	19595277
1118713	3822	1996-09-09	PRIJEM	PREVOD Z UCTU	17347	53599	\N	CD	19595277
1118714	3822	1996-10-09	PRIJEM	PREVOD Z UCTU	17347	54546	\N	CD	19595277
1118715	3822	1996-11-09	PRIJEM	PREVOD Z UCTU	17347	57988	\N	CD	19595277
1118716	3822	1996-12-09	PRIJEM	PREVOD Z UCTU	26020	59312	\N	CD	19595277
1118717	3822	1997-01-09	PRIJEM	PREVOD Z UCTU	17347	56479	\N	CD	19595277
1118718	3822	1997-02-09	PRIJEM	PREVOD Z UCTU	17347	50210	\N	CD	19595277
1118719	3822	1997-03-09	PRIJEM	PREVOD Z UCTU	17347	47448	\N	CD	19595277
1118720	3822	1997-04-09	PRIJEM	PREVOD Z UCTU	17347	57080	\N	CD	19595277
1118721	3822	1997-05-09	PRIJEM	PREVOD Z UCTU	17347	50219	\N	CD	19595277
1118722	3822	1997-06-09	PRIJEM	PREVOD Z UCTU	26020	63622	\N	CD	19595277
1118723	3822	1997-07-09	PRIJEM	PREVOD Z UCTU	17347	62788	\N	CD	19595277
1118724	3822	1997-08-09	PRIJEM	PREVOD Z UCTU	17347	66578	\N	CD	19595277
1118725	3822	1997-09-09	PRIJEM	PREVOD Z UCTU	17347	57009	\N	CD	19595277
1118726	3822	1997-10-09	PRIJEM	PREVOD Z UCTU	17347	54204	\N	CD	19595277
1118727	3822	1997-11-09	PRIJEM	PREVOD Z UCTU	17347	47868	\N	CD	19595277
1118728	3822	1997-12-09	PRIJEM	PREVOD Z UCTU	26020	52862	\N	CD	19595277
1118729	3822	1998-01-09	PRIJEM	PREVOD Z UCTU	17347	48242	\N	CD	19595277
1118730	3822	1998-02-09	PRIJEM	PREVOD Z UCTU	17347	43834	\N	CD	19595277
1118731	3822	1998-03-09	PRIJEM	PREVOD Z UCTU	17347	38668	\N	CD	19595277
1118732	3822	1998-04-09	PRIJEM	PREVOD Z UCTU	17347	39744	\N	CD	19595277
1118733	3822	1998-05-09	PRIJEM	PREVOD Z UCTU	17347	41524	\N	CD	19595277
1118734	3822	1998-06-09	PRIJEM	PREVOD Z UCTU	26020	52484	\N	CD	19595277
1118735	3822	1998-07-09	PRIJEM	PREVOD Z UCTU	17347	37948	\N	CD	19595277
1118736	3822	1998-08-09	PRIJEM	PREVOD Z UCTU	17347	42021	\N	CD	19595277
1118737	3822	1998-09-09	PRIJEM	PREVOD Z UCTU	17347	29996	\N	CD	19595277
1118738	3822	1998-10-09	PRIJEM	PREVOD Z UCTU	17347	35736	\N	CD	19595277
1118739	3822	1998-11-09	PRIJEM	PREVOD Z UCTU	17347	32994	\N	CD	19595277
1118740	3822	1998-12-09	PRIJEM	PREVOD Z UCTU	26020	42515	\N	CD	19595277
1118754	3822	1994-02-11	VYDAJ	PREVOD NA UCET	11657	47814	SIPO	GH	32954842
1118755	3822	1994-03-11	VYDAJ	PREVOD NA UCET	11657	44065	SIPO	GH	32954842
1118756	3822	1994-04-11	VYDAJ	PREVOD NA UCET	11657	42406	SIPO	GH	32954842
1118757	3822	1994-05-11	VYDAJ	PREVOD NA UCET	11657	27740	SIPO	GH	32954842
1118758	3822	1994-06-11	VYDAJ	PREVOD NA UCET	11657	43799	SIPO	GH	32954842
1118759	3822	1994-07-11	VYDAJ	PREVOD NA UCET	11657	40322	SIPO	GH	32954842
1118760	3822	1994-08-11	VYDAJ	PREVOD NA UCET	11657	28944	SIPO	GH	32954842
1118761	3822	1994-09-11	VYDAJ	PREVOD NA UCET	11657	31531	SIPO	GH	32954842
1118762	3822	1994-10-11	VYDAJ	PREVOD NA UCET	11657	32832	SIPO	GH	32954842
1118763	3822	1994-11-11	VYDAJ	PREVOD NA UCET	11657	25157	SIPO	GH	32954842
1118764	3822	1994-12-11	VYDAJ	PREVOD NA UCET	11657	44840	SIPO	GH	32954842
1118765	3822	1995-01-11	VYDAJ	PREVOD NA UCET	11657	26459	SIPO	GH	32954842
1118766	3822	1995-02-11	VYDAJ	PREVOD NA UCET	11657	26900	SIPO	GH	32954842
1118767	3822	1995-03-11	VYDAJ	PREVOD NA UCET	11657	35084	SIPO	GH	32954842
1118768	3822	1995-04-11	VYDAJ	PREVOD NA UCET	11657	36799	SIPO	GH	32954842
1118769	3822	1995-05-11	VYDAJ	PREVOD NA UCET	11657	37130	SIPO	GH	32954842
1118770	3822	1995-06-11	VYDAJ	PREVOD NA UCET	11657	52033	SIPO	GH	32954842
1118771	3822	1995-07-11	VYDAJ	PREVOD NA UCET	11657	39060	SIPO	GH	32954842
1118772	3822	1995-08-11	VYDAJ	PREVOD NA UCET	11657	29958	SIPO	GH	32954842
1118773	3822	1995-09-11	VYDAJ	PREVOD NA UCET	11657	32979	SIPO	GH	32954842
1118774	3822	1995-10-11	VYDAJ	PREVOD NA UCET	11657	36292	SIPO	GH	32954842
1118775	3822	1995-11-11	VYDAJ	PREVOD NA UCET	11657	42110	SIPO	GH	32954842
1118776	3822	1995-12-11	VYDAJ	PREVOD NA UCET	11657	40904	SIPO	GH	32954842
1118777	3822	1996-01-11	VYDAJ	PREVOD NA UCET	11657	23671	SIPO	GH	32954842
1118778	3822	1996-02-11	VYDAJ	PREVOD NA UCET	11657	29376	SIPO	GH	32954842
1118779	3822	1996-03-11	VYDAJ	PREVOD NA UCET	11657	30570	SIPO	GH	32954842
1118780	3822	1996-04-11	VYDAJ	PREVOD NA UCET	11657	18072	SIPO	GH	32954842
1118781	3822	1996-05-11	VYDAJ	PREVOD NA UCET	11657	26042	SIPO	GH	32954842
1118782	3822	1996-06-11	VYDAJ	PREVOD NA UCET	11657	47592	SIPO	GH	32954842
1118783	3822	1996-07-11	VYDAJ	PREVOD NA UCET	11657	35928	SIPO	GH	32954842
1118784	3822	1996-08-11	VYDAJ	PREVOD NA UCET	11657	40859	SIPO	GH	32954842
1118785	3822	1996-09-11	VYDAJ	PREVOD NA UCET	11657	41942	SIPO	GH	32954842
1118786	3822	1996-10-11	VYDAJ	PREVOD NA UCET	11657	42889	SIPO	GH	32954842
1118787	3822	1996-11-11	VYDAJ	PREVOD NA UCET	11657	46331	SIPO	GH	32954842
1118788	3822	1996-12-11	VYDAJ	PREVOD NA UCET	11657	47655	SIPO	GH	32954842
1118789	3822	1997-01-11	VYDAJ	PREVOD NA UCET	11657	44822	SIPO	GH	32954842
1118790	3822	1997-02-11	VYDAJ	PREVOD NA UCET	11657	38553	SIPO	GH	32954842
1118791	3822	1997-03-11	VYDAJ	PREVOD NA UCET	11657	35791	SIPO	GH	32954842
1118792	3822	1997-04-11	VYDAJ	PREVOD NA UCET	11657	45423	SIPO	GH	32954842
1118793	3822	1997-05-11	VYDAJ	PREVOD NA UCET	11657	38562	SIPO	GH	32954842
1118794	3822	1997-06-11	VYDAJ	PREVOD NA UCET	11657	51965	SIPO	GH	32954842
1118795	3822	1997-07-11	VYDAJ	PREVOD NA UCET	11657	51131	SIPO	GH	32954842
1118796	3822	1997-08-11	VYDAJ	PREVOD NA UCET	11657	41608	SIPO	GH	32954842
1118797	3822	1997-09-11	VYDAJ	PREVOD NA UCET	11657	45352	SIPO	GH	32954842
1118798	3822	1997-10-11	VYDAJ	PREVOD NA UCET	11657	42547	SIPO	GH	32954842
1118799	3822	1997-11-11	VYDAJ	PREVOD NA UCET	11657	14459	SIPO	GH	32954842
1118800	3822	1997-12-11	VYDAJ	PREVOD NA UCET	11657	35885	SIPO	GH	32954842
1118801	3822	1998-01-11	VYDAJ	PREVOD NA UCET	11657	30285	SIPO	GH	32954842
1118802	3822	1998-02-11	VYDAJ	PREVOD NA UCET	11657	21840	SIPO	GH	32954842
1118803	3822	1998-03-11	VYDAJ	PREVOD NA UCET	11657	27011	SIPO	GH	32954842
1118804	3822	1998-04-11	VYDAJ	PREVOD NA UCET	11657	28087	SIPO	GH	32954842
1118805	3822	1998-05-11	VYDAJ	PREVOD NA UCET	11657	29867	SIPO	GH	32954842
1118806	3822	1998-06-11	VYDAJ	PREVOD NA UCET	11657	19527	SIPO	GH	32954842
1118807	3822	1998-07-11	VYDAJ	PREVOD NA UCET	11657	26291	SIPO	GH	32954842
1118808	3822	1998-08-11	VYDAJ	PREVOD NA UCET	11657	12599	SIPO	GH	32954842
1118809	3822	1998-09-11	VYDAJ	PREVOD NA UCET	11657	18339	SIPO	GH	32954842
1118810	3822	1998-10-11	VYDAJ	PREVOD NA UCET	11657	24079	SIPO	GH	32954842
1118811	3822	1998-11-11	VYDAJ	PREVOD NA UCET	11657	21337	SIPO	GH	32954842
1118812	3822	1998-12-11	VYDAJ	PREVOD NA UCET	11657	30858	SIPO	GH	32954842
1118823	3822	1994-11-11	VYBER	VYBER	13679	36814	\N	\N	\N
1118824	3822	1994-08-18	VYBER	VYBER	7927	25717	\N	\N	\N
1118825	3822	1994-09-25	VYBER	VYBER	2592	27039	\N	\N	\N
1118827	3822	1994-04-22	VYBER	VYBER	10381	21925	\N	\N	\N
1118832	3822	1995-01-18	VYBER	VYBER	2438	23821	\N	\N	\N
1118833	3822	1995-03-19	VYBER	VYBER	4292	30992	\N	\N	\N
1118834	3822	1995-05-05	VYBER	VYBER	2483	31440	\N	\N	\N
1118835	3822	1995-12-25	VYBER	VYBER	15174	25730	\N	\N	\N
1118836	3822	1995-06-29	VYBER	VYBER	10723	33210	\N	\N	\N
1118840	3822	1995-09-05	VYBER	VYBER	5277	27289	\N	\N	\N
1118841	3822	1995-11-26	VYBER	VYBER	6714	31996	\N	\N	\N
1118844	3822	1996-08-28	VYBER	VYBER	4257	36602	\N	\N	\N
1118847	3822	1997-09-30	VYBER	VYBER	18647	26872	\N	\N	\N
1118848	3822	1997-03-05	VYBER	VYBER	14780	30101	\N	\N	\N
1118849	3822	1997-12-10	VYBER	VYBER	5320	47542	\N	\N	\N
1118850	3822	1997-11-11	VYBER	VYBER	21752	26116	\N	\N	\N
1118851	3822	1997-08-26	VYBER	VYBER	14305	27303	\N	\N	\N
1118852	3822	1997-11-08	VYBER	VYBER	9772	30521	\N	\N	\N
1118854	3822	1997-01-16	VYBER	VYBER	6998	36024	\N	\N	\N
1118855	3822	1997-05-04	VYBER	VYBER	18917	32872	\N	\N	\N
1118857	3822	1997-08-09	VYBER	VYBER	13313	53265	\N	\N	\N
1118859	3822	1998-02-10	VYBER	VYBER	10337	33497	\N	\N	\N
1118867	3822	1998-08-10	VYBER	VYBER	17765	24256	\N	\N	\N
1118874	3822	1998-06-10	VYDAJ	VYBER	21300	31184	\N	\N	\N
1118876	3822	1994-12-29	VYDAJ	VYBER	8100	22140	\N	\N	\N
1118877	3822	1995-12-25	VYDAJ	VYBER	3300	22430	\N	\N	\N
1118878	3822	1996-12-08	VYDAJ	VYBER	7500	33292	\N	\N	\N
1118893	3822	1995-01-15	VYDAJ	VYBER	7200	26259	\N	\N	\N
1118896	3822	1995-01-02	VYDAJ	VYBER	1500	20769	\N	\N	\N
1118898	3822	1995-01-25	VYDAJ	VYBER	2700	21121	\N	\N	\N
1118899	3822	1996-01-11	VYDAJ	VYBER	4200	35328	\N	\N	\N
1118905	3822	1997-01-30	VYDAJ	VYBER	7800	21924	\N	\N	\N
1118906	3822	1997-01-03	VYDAJ	VYBER	4800	43032	\N	\N	\N
1118907	3822	1997-01-21	VYDAJ	VYBER	2100	29724	\N	\N	\N
1118908	3822	1997-01-18	VYDAJ	VYBER	4200	31824	\N	\N	\N
1118909	3822	1997-01-14	VYDAJ	VYBER	1800	43022	\N	\N	\N
1118910	3822	1997-01-05	VYDAJ	VYBER	2700	39132	\N	\N	\N
1118914	3822	1998-01-13	VYDAJ	VYBER	5100	25185	\N	\N	\N
1118915	3822	1998-01-09	VYDAJ	VYBER	6300	41942	\N	\N	\N
1118924	3822	1994-08-09	VYDAJ	VYBER	9600	40601	\N	\N	\N
1118925	3822	1994-12-23	VYDAJ	VYBER	10800	30240	\N	\N	\N
1118927	3822	1995-09-18	VYDAJ	VYBER	3600	30479	\N	\N	\N
1118928	3822	1995-09-15	VYDAJ	VYBER	2700	34079	\N	\N	\N
1118929	3822	1995-07-16	VYDAJ	VYBER	14400	24160	\N	\N	\N
1118930	3822	1996-07-02	VYDAJ	VYBER	13800	27638	\N	\N	\N
1118931	3822	1996-06-12	VYDAJ	VYBER	6300	41292	\N	\N	\N
1118932	3822	1996-10-01	VYDAJ	VYBER	8100	33999	\N	\N	\N
1118933	3822	1996-04-11	VYDAJ	VYBER	11100	29729	\N	\N	\N
1118934	3822	1996-10-19	VYDAJ	VYBER	6000	36889	\N	\N	\N
1118935	3822	1996-11-20	VYDAJ	VYBER	6000	40331	\N	\N	\N
1118937	3822	1997-12-21	VYDAJ	VYBER	9000	26885	\N	\N	\N
1118938	3822	1997-05-20	VYDAJ	VYBER	11400	27162	\N	\N	\N
1118943	3822	1998-12-22	VYDAJ	VYBER	2400	28458	\N	\N	\N
1118958	3822	1994-02-28	VYDAJ	VYBER	15	38375	SLUZBY	\N	\N
1118959	3822	1994-03-31	VYDAJ	VYBER	15	36716	SLUZBY	\N	\N
1118960	3822	1994-04-30	VYDAJ	VYBER	15	22050	SLUZBY	\N	\N
1118961	3822	1994-05-31	VYDAJ	VYBER	15	29436	SLUZBY	\N	\N
1118962	3822	1994-06-30	VYDAJ	VYBER	15	34632	SLUZBY	\N	\N
1118963	3822	1994-07-31	VYDAJ	VYBER	15	32854	SLUZBY	\N	\N
1118964	3822	1994-08-31	VYDAJ	VYBER	15	25841	SLUZBY	\N	\N
1118965	3822	1994-09-30	VYDAJ	VYBER	15	27142	SLUZBY	\N	\N
1118966	3822	1994-10-31	VYDAJ	VYBER	15	33146	SLUZBY	\N	\N
1118967	3822	1994-11-30	VYDAJ	VYBER	15	30477	SLUZBY	\N	\N
1118968	3822	1994-12-31	VYDAJ	VYBER	15	22269	SLUZBY	\N	\N
1118969	3822	1995-01-31	VYDAJ	VYBER	15	21210	SLUZBY	\N	\N
1118970	3822	1995-02-28	VYDAJ	VYBER	15	29394	SLUZBY	\N	\N
1118971	3822	1995-03-31	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
1118972	3822	1995-04-30	VYDAJ	VYBER	15	33923	SLUZBY	\N	\N
1118973	3822	1995-05-31	VYDAJ	VYBER	15	37670	SLUZBY	\N	\N
1118974	3822	1995-06-30	VYDAJ	VYBER	15	33370	SLUZBY	\N	\N
1118975	3822	1995-07-31	VYDAJ	VYBER	15	24268	SLUZBY	\N	\N
1118976	3822	1995-08-31	VYDAJ	VYBER	15	32566	SLUZBY	\N	\N
1118977	3822	1995-09-30	VYDAJ	VYBER	15	30602	SLUZBY	\N	\N
1118978	3822	1995-10-31	VYDAJ	VYBER	15	36420	SLUZBY	\N	\N
1118979	3822	1995-11-30	VYDAJ	VYBER	15	32141	SLUZBY	\N	\N
1118980	3822	1995-12-31	VYDAJ	VYBER	15	22581	SLUZBY	\N	\N
1118981	3822	1996-01-31	VYDAJ	VYBER	15	23786	SLUZBY	\N	\N
1118982	3822	1996-02-29	VYDAJ	VYBER	15	29480	SLUZBY	\N	\N
1118983	3822	1996-03-31	VYDAJ	VYBER	15	30682	SLUZBY	\N	\N
1118984	3822	1996-04-30	VYDAJ	VYBER	15	18152	SLUZBY	\N	\N
1118985	3822	1996-05-31	VYDAJ	VYBER	15	26129	SLUZBY	\N	\N
1118986	3822	1996-06-30	VYDAJ	VYBER	15	41438	SLUZBY	\N	\N
1118987	3822	1996-07-31	VYDAJ	VYBER	15	36069	SLUZBY	\N	\N
1118988	3822	1996-08-31	VYDAJ	VYBER	15	36752	SLUZBY	\N	\N
1118989	3822	1996-09-30	VYDAJ	VYBER	15	42099	SLUZBY	\N	\N
1118990	3822	1996-10-31	VYDAJ	VYBER	15	37041	SLUZBY	\N	\N
1118991	3822	1996-11-30	VYDAJ	VYBER	15	40492	SLUZBY	\N	\N
1118992	3822	1996-12-31	VYDAJ	VYBER	15	47832	SLUZBY	\N	\N
1118993	3822	1997-01-31	VYDAJ	VYBER	15	22063	SLUZBY	\N	\N
1118994	3822	1997-02-28	VYDAJ	VYBER	15	38681	SLUZBY	\N	\N
1118995	3822	1997-03-31	VYDAJ	VYBER	15	35933	SLUZBY	\N	\N
1118996	3822	1997-04-30	VYDAJ	VYBER	15	45589	SLUZBY	\N	\N
1118997	3822	1997-05-31	VYDAJ	VYBER	15	27302	SLUZBY	\N	\N
1118998	3822	1997-06-30	VYDAJ	VYBER	15	52141	SLUZBY	\N	\N
1118999	3822	1997-07-31	VYDAJ	VYBER	15	51331	SLUZBY	\N	\N
1119000	3822	1997-08-31	VYDAJ	VYBER	15	27462	SLUZBY	\N	\N
1119001	3822	1997-09-30	VYDAJ	VYBER	15	26857	SLUZBY	\N	\N
1119002	3822	1997-10-31	VYDAJ	VYBER	15	40293	SLUZBY	\N	\N
1119003	3822	1997-11-30	VYDAJ	VYBER	15	26842	SLUZBY	\N	\N
1119004	3822	1997-12-31	VYDAJ	VYBER	15	30895	SLUZBY	\N	\N
1119005	3822	1998-01-31	VYDAJ	VYBER	15	26487	SLUZBY	\N	\N
1119006	3822	1998-02-28	VYDAJ	VYBER	15	21321	SLUZBY	\N	\N
1119007	3822	1998-03-31	VYDAJ	VYBER	15	22397	SLUZBY	\N	\N
1119008	3822	1998-04-30	VYDAJ	VYBER	15	24177	SLUZBY	\N	\N
1119009	3822	1998-05-31	VYDAJ	VYBER	15	26464	SLUZBY	\N	\N
1119010	3822	1998-06-30	VYDAJ	VYBER	15	20601	SLUZBY	\N	\N
1119011	3822	1998-07-31	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
1119012	3822	1998-08-31	VYDAJ	VYBER	15	12649	SLUZBY	\N	\N
1119013	3822	1998-09-30	VYDAJ	VYBER	15	18389	SLUZBY	\N	\N
1119014	3822	1998-10-31	VYDAJ	VYBER	15	15647	SLUZBY	\N	\N
1119015	3822	1998-11-30	VYDAJ	VYBER	15	16495	SLUZBY	\N	\N
1119016	3822	1993-10-22	PRIJEM	VKLAD	3400	21247	\N	\N	\N
1119017	3822	1993-11-21	VYDAJ	VYBER	6000	32623	\N	\N	\N
1119018	3822	1993-12-21	VYDAJ	VYBER	15500	43247	\N	\N	\N
1119019	3822	1994-01-20	VYDAJ	VYBER	18800	41946	\N	\N	\N
1119020	3822	1994-02-19	VYDAJ	VYBER	9600	38214	\N	\N	\N
1119021	3822	1994-03-21	VYDAJ	VYBER	7500	36565	\N	\N	\N
1119022	3822	1994-04-20	VYDAJ	VYBER	10100	32306	\N	\N	\N
1119023	3822	1994-05-20	PRIJEM	VKLAD	1600	29340	\N	\N	\N
1119024	3822	1994-06-19	VYDAJ	VYBER	9300	34499	\N	\N	\N
1119025	3822	1994-07-19	VYDAJ	VYBER	7600	32722	\N	\N	\N
1119026	3822	1994-08-18	PRIJEM	VKLAD	4700	33644	\N	\N	\N
1119027	3822	1994-09-17	VYDAJ	VYBER	1900	29631	\N	\N	\N
1119028	3822	1994-10-17	PRIJEM	VKLAD	200	33032	\N	\N	\N
1119029	3822	1994-11-16	PRIJEM	VKLAD	5200	30357	\N	\N	\N
1119030	3822	1994-12-16	VYDAJ	VYBER	3800	41040	\N	\N	\N
1119031	3822	1995-01-15	PRIJEM	VKLAD	7000	33459	\N	\N	\N
1119032	3822	1995-02-14	PRIJEM	VKLAD	2400	29300	\N	\N	\N
1119033	3822	1995-03-16	PRIJEM	VKLAD	200	35284	\N	\N	\N
1119034	3822	1995-04-15	VYDAJ	VYBER	3000	33799	\N	\N	\N
1119035	3822	1995-05-15	PRIJEM	VKLAD	400	37530	\N	\N	\N
1119036	3822	1995-06-14	VYDAJ	VYBER	8100	43933	\N	\N	\N
1119037	3822	1995-07-14	VYDAJ	VYBER	500	38560	\N	\N	\N
1119038	3822	1995-08-13	PRIJEM	VKLAD	2500	32458	\N	\N	\N
1119039	3822	1995-09-12	PRIJEM	VKLAD	3800	36779	\N	\N	\N
1119040	3822	1995-11-11	VYDAJ	VYBER	3400	38710	\N	\N	\N
1119041	3822	1995-12-11	VYDAJ	VYBER	5600	52561	\N	\N	\N
1119042	3822	1996-01-10	VYDAJ	VYBER	400	39528	\N	\N	\N
1119043	3822	1996-02-09	VYDAJ	VYBER	100	41033	\N	\N	\N
1119044	3822	1996-03-10	VYDAJ	VYBER	4600	42227	\N	\N	\N
1119045	3822	1996-04-09	VYDAJ	VYBER	7200	40829	\N	\N	\N
1119046	3822	1996-05-09	PRIJEM	VKLAD	2200	20352	\N	\N	\N
1119047	3822	1996-06-08	PRIJEM	VKLAD	7100	33229	\N	\N	\N
1119048	3822	1996-07-08	PRIJEM	VKLAD	2600	30238	\N	\N	\N
1119049	3822	1996-08-07	VYDAJ	VYBER	900	35169	\N	\N	\N
1119050	3822	1996-09-06	VYDAJ	VYBER	500	36252	\N	\N	\N
1119051	3822	1996-10-06	PRIJEM	VKLAD	3200	37199	\N	\N	\N
1119052	3822	1996-11-05	PRIJEM	VKLAD	3600	40641	\N	\N	\N
1119053	3822	1996-12-05	PRIJEM	VKLAD	300	40792	\N	\N	\N
1119054	3822	1997-01-04	VYDAJ	VYBER	1200	41832	\N	\N	\N
1119055	3822	1997-02-03	PRIJEM	VKLAD	10800	32863	\N	\N	\N
1119056	3822	1997-03-05	PRIJEM	VKLAD	6200	44881	\N	\N	\N
1119057	3822	1997-04-04	PRIJEM	VKLAD	3800	39733	\N	\N	\N
1119058	3822	1997-05-04	PRIJEM	VKLAD	6200	51789	\N	\N	\N
1119059	3822	1997-06-03	PRIJEM	VKLAD	10300	37602	\N	\N	\N
1119060	3822	1997-07-03	VYDAJ	VYBER	6700	45441	\N	\N	\N
1119061	3822	1997-08-02	VYDAJ	VYBER	2100	49231	\N	\N	\N
1119062	3822	1997-09-01	PRIJEM	VKLAD	12200	39662	\N	\N	\N
1119063	3822	1997-10-01	PRIJEM	VKLAD	10000	36857	\N	\N	\N
1119064	3822	1997-10-31	VYDAJ	VYBER	2400	40308	\N	\N	\N
1119065	3822	1997-11-30	PRIJEM	VKLAD	12300	26759	\N	\N	\N
1119066	3822	1997-12-30	PRIJEM	VKLAD	3900	30785	\N	\N	\N
1119067	3822	1998-01-29	PRIJEM	VKLAD	1200	26385	\N	\N	\N
1119068	3822	1998-02-28	VYDAJ	VYBER	600	21336	\N	\N	\N
1119069	3822	1998-03-30	VYDAJ	VYBER	4700	22311	\N	\N	\N
1119070	3822	1998-04-29	VYDAJ	VYBER	4000	24087	\N	\N	\N
1119071	3822	1998-05-29	VYDAJ	VYBER	3500	26367	\N	\N	\N
1119072	3822	1998-06-28	PRIJEM	VKLAD	1000	20527	\N	\N	\N
1119073	3822	1998-07-28	VYDAJ	VYBER	1700	24591	\N	\N	\N
1119074	3822	1998-10-26	VYDAJ	VYBER	8500	15579	\N	\N	\N
1119075	3822	1998-11-25	VYDAJ	VYBER	4900	16437	\N	\N	\N
1119076	3822	1998-12-25	VYDAJ	VYBER	10900	17558	\N	\N	\N
1119140	3823	1995-04-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1119141	3823	1995-07-07	PRIJEM	VKLAD	43708	61108	\N	\N	\N
1119142	3823	1995-09-22	PRIJEM	VKLAD	5485	34159	\N	\N	\N
1119143	3823	1996-03-18	PRIJEM	VKLAD	23323	43464	\N	\N	\N
1119144	3823	1996-03-24	PRIJEM	VKLAD	8423	51887	\N	\N	\N
1119145	3823	1997-07-31	PRIJEM	VKLAD	47349	59318	\N	\N	\N
1119146	3823	1997-03-06	PRIJEM	VKLAD	10925	22462	\N	\N	\N
1119147	3823	1998-12-22	PRIJEM	VKLAD	18322	31962	\N	\N	\N
1119148	3823	1998-06-23	PRIJEM	VKLAD	5832	18743	\N	\N	\N
1119179	3823	1998-01-30	VYDAJ	VYBER	250	14182	\N	\N	\N
1119181	3823	1998-01-05	VYDAJ	VYBER	1450	14682	\N	\N	\N
1119182	3823	1998-01-29	VYDAJ	VYBER	250	14432	\N	\N	\N
1119195	3823	1997-09-19	VYDAJ	VYBER	1950	24818	\N	\N	\N
1119196	3823	1997-08-01	VYDAJ	VYBER	1750	57610	\N	\N	\N
1119203	3823	1998-10-30	VYDAJ	VYBER	1850	17122	\N	\N	\N
1119233	3823	1997-03-31	VYDAJ	VYBER	15	13444	SLUZBY	\N	\N
1119234	3823	1997-04-30	VYDAJ	VYBER	15	13485	SLUZBY	\N	\N
1119235	3823	1997-05-31	VYDAJ	VYBER	15	13471	SLUZBY	\N	\N
1119236	3823	1997-06-30	VYDAJ	VYBER	15	11969	SLUZBY	\N	\N
1119237	3823	1997-07-31	VYDAJ	VYBER	15	59360	SLUZBY	\N	\N
1119238	3823	1997-08-31	VYDAJ	VYBER	15	38368	SLUZBY	\N	\N
1119239	3823	1997-09-30	VYDAJ	VYBER	15	24941	SLUZBY	\N	\N
1119240	3823	1997-10-31	VYDAJ	VYBER	15	16028	SLUZBY	\N	\N
1119241	3823	1997-11-30	VYDAJ	VYBER	15	16080	SLUZBY	\N	\N
1119242	3823	1997-12-31	VYDAJ	VYBER	15	16132	SLUZBY	\N	\N
1119243	3823	1998-01-31	VYDAJ	VYBER	15	14233	SLUZBY	\N	\N
1119244	3823	1998-02-28	VYDAJ	VYBER	15	14277	SLUZBY	\N	\N
1119245	3823	1998-03-31	VYDAJ	VYBER	15	14262	SLUZBY	\N	\N
1119246	3823	1998-04-30	VYDAJ	VYBER	15	14367	SLUZBY	\N	\N
1119247	3823	1998-05-31	VYDAJ	VYBER	15	12911	SLUZBY	\N	\N
1119248	3823	1998-06-30	VYDAJ	VYBER	15	18782	SLUZBY	\N	\N
1119249	3823	1998-07-31	VYDAJ	VYBER	15	18844	SLUZBY	\N	\N
1119250	3823	1998-08-31	VYDAJ	VYBER	15	18830	SLUZBY	\N	\N
1119251	3823	1998-09-30	VYDAJ	VYBER	15	18972	SLUZBY	\N	\N
1119252	3823	1998-10-31	VYDAJ	VYBER	15	17185	SLUZBY	\N	\N
1119253	3823	1998-11-30	VYDAJ	VYBER	15	13640	SLUZBY	\N	\N
1119254	3823	1995-05-19	PRIJEM	VKLAD	12700	13700	\N	\N	\N
1119255	3823	1995-06-18	PRIJEM	VKLAD	3700	17400	\N	\N	\N
1119256	3823	1995-07-18	VYDAJ	VYBER	17200	43908	\N	\N	\N
1119257	3823	1995-08-17	VYDAJ	VYBER	9800	34191	\N	\N	\N
1119258	3823	1995-09-16	VYDAJ	VYBER	5700	28674	\N	\N	\N
1119259	3823	1995-10-16	VYDAJ	VYBER	7700	26629	\N	\N	\N
1119260	3823	1995-11-15	VYDAJ	VYBER	3700	23072	\N	\N	\N
1119261	3823	1995-12-15	PRIJEM	VKLAD	600	23814	\N	\N	\N
1119262	3823	1996-01-14	VYDAJ	VYBER	2600	21356	\N	\N	\N
1119263	3823	1996-02-13	VYDAJ	VYBER	1400	20099	\N	\N	\N
1119264	3823	1996-03-14	VYDAJ	VYBER	100	20141	\N	\N	\N
1119265	3823	1996-04-13	VYDAJ	VYBER	20000	32056	\N	\N	\N
1119266	3823	1996-05-13	VYDAJ	VYBER	9300	22972	\N	\N	\N
1119267	3823	1996-06-12	VYDAJ	VYBER	5300	17888	\N	\N	\N
1119268	3823	1996-07-12	VYDAJ	VYBER	4600	13504	\N	\N	\N
1119269	3823	1996-08-11	VYDAJ	VYBER	2400	11321	\N	\N	\N
1119270	3823	1997-03-09	VYDAJ	VYBER	9100	13362	\N	\N	\N
1119271	3823	1997-06-07	VYDAJ	VYBER	1600	11871	\N	\N	\N
1119272	3823	1997-08-06	VYDAJ	VYBER	19400	38210	\N	\N	\N
1119273	3823	1997-09-05	VYDAJ	VYBER	11600	26768	\N	\N	\N
1119274	3823	1997-10-05	VYDAJ	VYBER	9000	15941	\N	\N	\N
1119275	3823	1998-05-03	VYDAJ	VYBER	1500	12867	\N	\N	\N
1119276	3823	1998-11-29	VYDAJ	VYBER	3600	13585	\N	\N	\N
1119312	3824	1994-03-20	PRIJEM	VKLAD	700	700	\N	\N	\N
1119316	3824	1994-04-14	PRIJEM	VKLAD	9298	9998	\N	\N	\N
1119317	3824	1994-05-14	PRIJEM	VKLAD	9298	26224	\N	\N	\N
1119318	3824	1994-06-14	PRIJEM	VKLAD	13947	37754	\N	\N	\N
1119319	3824	1994-07-14	PRIJEM	VKLAD	9298	42367	\N	\N	\N
1119320	3824	1994-08-14	PRIJEM	VKLAD	9298	40900	\N	\N	\N
1119321	3824	1994-09-14	PRIJEM	VKLAD	9298	36820	\N	\N	\N
1119322	3824	1994-10-14	PRIJEM	VKLAD	9298	35143	\N	\N	\N
1119323	3824	1994-11-14	PRIJEM	VKLAD	9298	32564	\N	\N	\N
1119324	3824	1994-12-14	PRIJEM	VKLAD	13947	35014	\N	\N	\N
1119325	3824	1995-01-14	PRIJEM	VKLAD	9298	28222	\N	\N	\N
1119326	3824	1995-02-14	PRIJEM	VKLAD	9298	30419	\N	\N	\N
1119327	3824	1995-03-14	PRIJEM	VKLAD	9298	28722	\N	\N	\N
1119328	3824	1995-04-14	PRIJEM	VKLAD	9298	29520	\N	\N	\N
1119329	3824	1995-05-14	PRIJEM	VKLAD	9298	27213	\N	\N	\N
1119330	3824	1995-06-14	PRIJEM	VKLAD	13947	32652	\N	\N	\N
1119331	3824	1995-07-14	PRIJEM	VKLAD	9298	29043	\N	\N	\N
1119332	3824	1995-08-14	PRIJEM	VKLAD	9298	32738	\N	\N	\N
1119333	3824	1995-09-14	PRIJEM	VKLAD	9298	31652	\N	\N	\N
1119334	3824	1995-10-14	PRIJEM	VKLAD	9298	33267	\N	\N	\N
1119335	3824	1995-11-14	PRIJEM	VKLAD	9298	31885	\N	\N	\N
1119336	3824	1995-12-14	PRIJEM	VKLAD	13947	39049	\N	\N	\N
1119337	3824	1996-01-14	PRIJEM	VKLAD	9298	37681	\N	\N	\N
1119338	3824	1996-02-14	PRIJEM	VKLAD	9298	31912	\N	\N	\N
1119339	3824	1996-03-14	PRIJEM	VKLAD	9298	33024	\N	\N	\N
1119340	3824	1996-04-14	PRIJEM	VKLAD	9298	32739	\N	\N	\N
1119341	3824	1996-05-14	PRIJEM	VKLAD	9298	31553	\N	\N	\N
1119342	3824	1996-06-14	PRIJEM	VKLAD	13947	35113	\N	\N	\N
1119343	3824	1996-07-14	PRIJEM	VKLAD	9298	32533	\N	\N	\N
1119344	3824	1996-08-14	PRIJEM	VKLAD	9298	28053	\N	\N	\N
1119345	3824	1996-09-14	PRIJEM	VKLAD	9298	25255	\N	\N	\N
1119346	3824	1996-10-14	PRIJEM	VKLAD	9298	22134	\N	\N	\N
1119347	3824	1996-11-14	PRIJEM	VKLAD	9298	22003	\N	\N	\N
1119348	3824	1996-12-14	PRIJEM	VKLAD	13947	25819	\N	\N	\N
1119349	3824	1997-01-14	PRIJEM	VKLAD	9298	20395	\N	\N	\N
1119350	3824	1997-02-14	PRIJEM	VKLAD	9298	20060	\N	\N	\N
1119351	3824	1997-03-14	PRIJEM	VKLAD	9298	20018	\N	\N	\N
1119352	3824	1997-04-14	PRIJEM	VKLAD	9298	21077	\N	\N	\N
1119353	3824	1997-05-14	PRIJEM	VKLAD	9298	18039	\N	\N	\N
1119354	3824	1997-06-14	PRIJEM	VKLAD	13947	25841	\N	\N	\N
1119355	3824	1997-07-14	PRIJEM	VKLAD	9298	19519	\N	\N	\N
1119356	3824	1997-08-14	PRIJEM	VKLAD	9298	19279	\N	\N	\N
1119357	3824	1997-09-14	PRIJEM	VKLAD	9298	22438	\N	\N	\N
1119358	3824	1997-10-14	PRIJEM	VKLAD	9298	17010	\N	\N	\N
1119359	3824	1997-11-14	PRIJEM	VKLAD	9298	20174	\N	\N	\N
1119360	3824	1997-12-14	PRIJEM	VKLAD	13947	27985	\N	\N	\N
1119361	3824	1998-01-14	PRIJEM	VKLAD	9298	31172	\N	\N	\N
1119362	3824	1998-02-14	PRIJEM	VKLAD	9298	26467	\N	\N	\N
1119363	3824	1998-03-14	PRIJEM	VKLAD	9298	29654	\N	\N	\N
1119364	3824	1998-04-14	PRIJEM	VKLAD	9298	18950	\N	\N	\N
1119365	3824	1998-05-14	PRIJEM	VKLAD	9298	22107	\N	\N	\N
1119366	3824	1998-06-14	PRIJEM	VKLAD	13947	29926	\N	\N	\N
1119367	3824	1998-07-14	PRIJEM	VKLAD	9298	33120	\N	\N	\N
1119368	3824	1998-08-14	PRIJEM	VKLAD	9298	17422	\N	\N	\N
1119369	3824	1998-09-14	PRIJEM	VKLAD	9298	20573	\N	\N	\N
1119370	3824	1998-10-14	PRIJEM	VKLAD	9298	23735	\N	\N	\N
1119371	3824	1998-11-14	PRIJEM	VKLAD	9298	26912	\N	\N	\N
1119372	3824	1998-12-14	PRIJEM	VKLAD	13947	34750	\N	\N	\N
1119381	3824	1994-09-07	VYDAJ	PREVOD NA UCET	6198	27522	SIPO	UV	61468034
1119382	3824	1994-10-07	VYDAJ	PREVOD NA UCET	6198	25845	SIPO	UV	61468034
1119383	3824	1994-11-07	VYDAJ	PREVOD NA UCET	6198	23266	SIPO	UV	61468034
1119384	3824	1994-12-07	VYDAJ	PREVOD NA UCET	6198	21067	SIPO	UV	61468034
1119385	3824	1995-01-07	VYDAJ	PREVOD NA UCET	6198	18924	SIPO	UV	61468034
1119386	3824	1995-02-07	VYDAJ	PREVOD NA UCET	6198	20221	SIPO	UV	61468034
1119387	3824	1995-03-07	VYDAJ	PREVOD NA UCET	6198	24324	SIPO	UV	61468034
1119388	3824	1995-04-07	VYDAJ	PREVOD NA UCET	6198	20222	SIPO	UV	61468034
1119389	3824	1995-05-07	VYDAJ	PREVOD NA UCET	6198	19215	SIPO	UV	61468034
1119390	3824	1995-06-07	VYDAJ	PREVOD NA UCET	6198	14305	SIPO	UV	61468034
1119391	3824	1995-07-07	VYDAJ	PREVOD NA UCET	6198	18945	SIPO	UV	61468034
1119392	3824	1995-08-07	VYDAJ	PREVOD NA UCET	6198	22940	SIPO	UV	61468034
1119393	3824	1995-09-07	VYDAJ	PREVOD NA UCET	6198	26654	SIPO	UV	61468034
1119394	3824	1995-10-07	VYDAJ	PREVOD NA UCET	6198	25569	SIPO	UV	61468034
1119395	3824	1995-11-07	VYDAJ	PREVOD NA UCET	6198	27187	SIPO	UV	61468034
1119396	3824	1995-12-07	VYDAJ	PREVOD NA UCET	6198	25802	SIPO	UV	61468034
1119397	3824	1996-01-07	VYDAJ	PREVOD NA UCET	6198	32983	SIPO	UV	61468034
1119398	3824	1996-02-07	VYDAJ	PREVOD NA UCET	6198	27614	SIPO	UV	61468034
1119399	3824	1996-03-07	VYDAJ	PREVOD NA UCET	6198	25826	SIPO	UV	61468034
1119400	3824	1996-04-07	VYDAJ	PREVOD NA UCET	6198	26941	SIPO	UV	61468034
1119401	3824	1996-05-07	VYDAJ	PREVOD NA UCET	6198	26655	SIPO	UV	61468034
1119402	3824	1996-06-07	VYDAJ	PREVOD NA UCET	6198	21166	SIPO	UV	61468034
1119403	3824	1996-07-07	VYDAJ	PREVOD NA UCET	6198	23235	SIPO	UV	61468034
1119404	3824	1996-08-07	VYDAJ	PREVOD NA UCET	6198	18755	SIPO	UV	61468034
1119405	3824	1996-09-07	VYDAJ	PREVOD NA UCET	6198	15957	SIPO	UV	61468034
1119406	3824	1996-10-07	VYDAJ	PREVOD NA UCET	6198	12836	SIPO	UV	61468034
1119407	3824	1996-11-07	VYDAJ	PREVOD NA UCET	6198	12705	SIPO	UV	61468034
1119408	3824	1996-12-07	VYDAJ	PREVOD NA UCET	6198	11872	SIPO	UV	61468034
1119409	3824	1997-01-07	VYDAJ	PREVOD NA UCET	6198	11097	SIPO	UV	61468034
1119410	3824	1997-02-07	VYDAJ	PREVOD NA UCET	6198	10762	SIPO	UV	61468034
1119411	3824	1997-03-07	VYDAJ	PREVOD NA UCET	6198	10720	SIPO	UV	61468034
1119412	3824	1997-04-07	VYDAJ	PREVOD NA UCET	6198	11779	SIPO	UV	61468034
1119413	3824	1997-05-07	VYDAJ	PREVOD NA UCET	6198	8741	SIPO	UV	61468034
1119414	3824	1997-06-07	VYDAJ	PREVOD NA UCET	6198	11894	SIPO	UV	61468034
1119415	3824	1997-07-07	VYDAJ	PREVOD NA UCET	6198	10221	SIPO	UV	61468034
1119416	3824	1997-08-07	VYDAJ	PREVOD NA UCET	6198	9981	SIPO	UV	61468034
1119417	3824	1997-09-07	VYDAJ	PREVOD NA UCET	6198	13140	SIPO	UV	61468034
1119418	3824	1997-10-07	VYDAJ	PREVOD NA UCET	6198	7712	SIPO	UV	61468034
1119419	3824	1997-11-07	VYDAJ	PREVOD NA UCET	6198	10876	SIPO	UV	61468034
1119420	3824	1997-12-07	VYDAJ	PREVOD NA UCET	6198	14038	SIPO	UV	61468034
1119421	3824	1998-01-07	VYDAJ	PREVOD NA UCET	6198	21874	SIPO	UV	61468034
1119422	3824	1998-02-07	VYDAJ	PREVOD NA UCET	6198	17169	SIPO	UV	61468034
1119423	3824	1998-03-07	VYDAJ	PREVOD NA UCET	6198	20356	SIPO	UV	61468034
1119424	3824	1998-04-07	VYDAJ	PREVOD NA UCET	6198	9652	SIPO	UV	61468034
1119425	3824	1998-05-07	VYDAJ	PREVOD NA UCET	6198	12809	SIPO	UV	61468034
1119426	3824	1998-06-07	VYDAJ	PREVOD NA UCET	6198	15979	SIPO	UV	61468034
1119427	3824	1998-07-07	VYDAJ	PREVOD NA UCET	6198	23822	SIPO	UV	61468034
1119428	3824	1998-08-07	VYDAJ	PREVOD NA UCET	6198	8124	SIPO	UV	61468034
1119429	3824	1998-09-07	VYDAJ	PREVOD NA UCET	6198	11275	SIPO	UV	61468034
1119430	3824	1998-10-07	VYDAJ	PREVOD NA UCET	6198	14437	SIPO	UV	61468034
1119431	3824	1998-11-07	VYDAJ	PREVOD NA UCET	6198	17614	SIPO	UV	61468034
1119432	3824	1998-12-07	VYDAJ	PREVOD NA UCET	6198	20803	SIPO	UV	61468034
1119434	3824	1995-06-14	VYDAJ	VYBER	3400	29252	\N	\N	\N
1119439	3824	1995-01-03	VYDAJ	VYBER	6100	25122	\N	\N	\N
1119440	3824	1996-01-22	VYDAJ	VYBER	3300	33681	\N	\N	\N
1119442	3824	1998-01-20	VYDAJ	VYBER	7900	23272	\N	\N	\N
1119443	3824	1994-11-05	VYDAJ	VYBER	3300	29464	\N	\N	\N
1119447	3824	1995-03-11	VYDAJ	VYBER	4900	19424	\N	\N	\N
1119448	3824	1995-05-27	VYDAJ	VYBER	4600	20413	\N	\N	\N
1119449	3824	1995-06-29	VYDAJ	VYBER	800	28452	\N	\N	\N
1119450	3824	1995-07-11	VYDAJ	VYBER	4300	14645	\N	\N	\N
1119451	3824	1995-05-13	VYDAJ	VYBER	1300	17915	\N	\N	\N
1119452	3824	1995-07-05	VYDAJ	VYBER	3400	25143	\N	\N	\N
1119453	3824	1996-09-18	VYDAJ	VYBER	2500	22755	\N	\N	\N
1119454	3824	1996-01-18	VYDAJ	VYBER	700	36981	\N	\N	\N
1119455	3824	1996-08-07	VYDAJ	VYBER	1000	24953	\N	\N	\N
1119457	3824	1997-07-28	VYDAJ	VYBER	3400	16119	\N	\N	\N
1119458	3824	1998-12-23	VYDAJ	VYBER	1300	33450	\N	\N	\N
1119468	3824	1994-08-31	VYDAJ	VYBER	15	33720	SLUZBY	\N	\N
1119469	3824	1994-09-30	VYDAJ	VYBER	15	32043	SLUZBY	\N	\N
1119470	3824	1994-10-31	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
1119471	3824	1994-11-30	VYDAJ	VYBER	15	27265	SLUZBY	\N	\N
1119472	3824	1994-12-31	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
1119473	3824	1995-01-31	VYDAJ	VYBER	15	26419	SLUZBY	\N	\N
1119474	3824	1995-02-28	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
1119475	3824	1995-03-31	VYDAJ	VYBER	15	26420	SLUZBY	\N	\N
1119476	3824	1995-04-30	VYDAJ	VYBER	15	25413	SLUZBY	\N	\N
1119477	3824	1995-05-31	VYDAJ	VYBER	15	20503	SLUZBY	\N	\N
1119478	3824	1995-06-30	VYDAJ	VYBER	15	28543	SLUZBY	\N	\N
1119479	3824	1995-07-31	VYDAJ	VYBER	15	29138	SLUZBY	\N	\N
1119480	3824	1995-08-31	VYDAJ	VYBER	15	32852	SLUZBY	\N	\N
1119481	3824	1995-09-30	VYDAJ	VYBER	15	31767	SLUZBY	\N	\N
1119482	3824	1995-10-31	VYDAJ	VYBER	15	33385	SLUZBY	\N	\N
1119483	3824	1995-11-30	VYDAJ	VYBER	15	32000	SLUZBY	\N	\N
1119484	3824	1995-12-31	VYDAJ	VYBER	15	39181	SLUZBY	\N	\N
1119485	3824	1996-01-31	VYDAJ	VYBER	15	33812	SLUZBY	\N	\N
1119486	3824	1996-02-29	VYDAJ	VYBER	15	32024	SLUZBY	\N	\N
1119487	3824	1996-03-31	VYDAJ	VYBER	15	33139	SLUZBY	\N	\N
1119488	3824	1996-04-30	VYDAJ	VYBER	15	32853	SLUZBY	\N	\N
1119489	3824	1996-05-31	VYDAJ	VYBER	15	31664	SLUZBY	\N	\N
1119490	3824	1996-06-30	VYDAJ	VYBER	15	35233	SLUZBY	\N	\N
1119491	3824	1996-07-31	VYDAJ	VYBER	15	32653	SLUZBY	\N	\N
1119492	3824	1996-08-31	VYDAJ	VYBER	15	28155	SLUZBY	\N	\N
1119493	3824	1996-09-30	VYDAJ	VYBER	15	22834	SLUZBY	\N	\N
1119494	3824	1996-10-31	VYDAJ	VYBER	15	22203	SLUZBY	\N	\N
1119495	3824	1996-11-30	VYDAJ	VYBER	15	22070	SLUZBY	\N	\N
1119496	3824	1996-12-31	VYDAJ	VYBER	15	25895	SLUZBY	\N	\N
1119497	3824	1997-01-31	VYDAJ	VYBER	15	20460	SLUZBY	\N	\N
1119498	3824	1997-02-28	VYDAJ	VYBER	15	20118	SLUZBY	\N	\N
1119499	3824	1997-03-31	VYDAJ	VYBER	15	20077	SLUZBY	\N	\N
1119500	3824	1997-04-30	VYDAJ	VYBER	15	21139	SLUZBY	\N	\N
1119501	3824	1997-05-31	VYDAJ	VYBER	15	18092	SLUZBY	\N	\N
1119502	3824	1997-06-30	VYDAJ	VYBER	15	25919	SLUZBY	\N	\N
1119503	3824	1997-07-31	VYDAJ	VYBER	15	16179	SLUZBY	\N	\N
1119504	3824	1997-08-31	VYDAJ	VYBER	15	19338	SLUZBY	\N	\N
1119505	3824	1997-09-30	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
1119506	3824	1997-10-31	VYDAJ	VYBER	15	17074	SLUZBY	\N	\N
1119507	3824	1997-11-30	VYDAJ	VYBER	15	20236	SLUZBY	\N	\N
1119508	3824	1997-12-31	VYDAJ	VYBER	15	28072	SLUZBY	\N	\N
1119509	3824	1998-01-31	VYDAJ	VYBER	15	23367	SLUZBY	\N	\N
1119510	3824	1998-02-28	VYDAJ	VYBER	15	26554	SLUZBY	\N	\N
1119511	3824	1998-03-31	VYDAJ	VYBER	15	15850	SLUZBY	\N	\N
1119512	3824	1998-04-30	VYDAJ	VYBER	15	19007	SLUZBY	\N	\N
1119513	3824	1998-05-31	VYDAJ	VYBER	15	22177	SLUZBY	\N	\N
1119514	3824	1998-06-30	VYDAJ	VYBER	15	30020	SLUZBY	\N	\N
1119515	3824	1998-07-31	VYDAJ	VYBER	15	14322	SLUZBY	\N	\N
1119516	3824	1998-08-31	VYDAJ	VYBER	15	17473	SLUZBY	\N	\N
1119517	3824	1998-09-30	VYDAJ	VYBER	15	20635	SLUZBY	\N	\N
1119518	3824	1998-10-31	VYDAJ	VYBER	15	23812	SLUZBY	\N	\N
1119519	3824	1998-11-30	VYDAJ	VYBER	15	27001	SLUZBY	\N	\N
1119520	3824	1994-04-19	PRIJEM	VKLAD	6900	16898	\N	\N	\N
1119521	3824	1994-05-19	VYDAJ	VYBER	2500	23724	\N	\N	\N
1119522	3824	1994-06-18	VYDAJ	VYBER	4800	32954	\N	\N	\N
1119523	3824	1994-07-18	VYDAJ	VYBER	10900	31467	\N	\N	\N
1119524	3824	1994-08-17	VYDAJ	VYBER	7300	33600	\N	\N	\N
1119525	3824	1994-09-16	VYDAJ	VYBER	4900	31920	\N	\N	\N
1119526	3824	1994-10-16	VYDAJ	VYBER	2500	32643	\N	\N	\N
1119527	3824	1994-11-15	VYDAJ	VYBER	5400	27164	\N	\N	\N
1119528	3824	1994-12-15	VYDAJ	VYBER	3900	31114	\N	\N	\N
1119529	3824	1995-01-14	VYDAJ	VYBER	1900	26322	\N	\N	\N
1119530	3824	1995-02-13	PRIJEM	VKLAD	900	21121	\N	\N	\N
1119531	3824	1995-03-15	VYDAJ	VYBER	2400	26322	\N	\N	\N
1119532	3824	1995-04-14	VYDAJ	VYBER	4200	25320	\N	\N	\N
1119533	3824	1995-05-14	VYDAJ	VYBER	2200	25013	\N	\N	\N
1119534	3824	1995-06-13	PRIJEM	VKLAD	4400	18705	\N	\N	\N
1119535	3824	1995-07-13	PRIJEM	VKLAD	5100	19745	\N	\N	\N
1119536	3824	1995-08-12	PRIJEM	VKLAD	500	23440	\N	\N	\N
1119537	3824	1995-09-11	VYDAJ	VYBER	4300	22354	\N	\N	\N
1119538	3824	1995-10-11	VYDAJ	VYBER	1600	23969	\N	\N	\N
1119539	3824	1995-11-10	VYDAJ	VYBER	4600	22587	\N	\N	\N
1119540	3824	1995-12-10	VYDAJ	VYBER	700	25102	\N	\N	\N
1119541	3824	1996-01-09	VYDAJ	VYBER	4600	28383	\N	\N	\N
1119542	3824	1996-02-08	VYDAJ	VYBER	5000	22614	\N	\N	\N
1119543	3824	1996-03-09	VYDAJ	VYBER	2100	23726	\N	\N	\N
1119544	3824	1996-04-08	VYDAJ	VYBER	3500	23441	\N	\N	\N
1119545	3824	1996-05-08	VYDAJ	VYBER	4400	22255	\N	\N	\N
1119546	3824	1996-06-07	VYDAJ	VYBER	4300	27364	\N	\N	\N
1119547	3824	1996-07-07	VYDAJ	VYBER	5800	29433	\N	\N	\N
1119548	3824	1996-08-06	VYDAJ	VYBER	6700	25953	\N	\N	\N
1119549	3824	1996-09-05	VYDAJ	VYBER	6000	22155	\N	\N	\N
1119550	3824	1996-10-05	VYDAJ	VYBER	3800	19034	\N	\N	\N
1119551	3824	1996-11-04	VYDAJ	VYBER	3300	18903	\N	\N	\N
1119552	3824	1996-12-04	VYDAJ	VYBER	4000	18070	\N	\N	\N
1119553	3824	1997-01-03	VYDAJ	VYBER	8600	17295	\N	\N	\N
1119554	3824	1997-02-02	VYDAJ	VYBER	3500	16960	\N	\N	\N
1119555	3824	1997-03-04	VYDAJ	VYBER	3200	16918	\N	\N	\N
1119556	3824	1997-04-03	VYDAJ	VYBER	2100	17977	\N	\N	\N
1119557	3824	1997-05-03	VYDAJ	VYBER	6200	14939	\N	\N	\N
1119558	3824	1997-07-02	VYDAJ	VYBER	9500	16419	\N	\N	\N
1119559	3824	1997-09-30	VYDAJ	VYBER	8600	13910	\N	\N	\N
1119560	3824	1998-03-29	VYDAJ	VYBER	13900	15754	\N	\N	\N
1119561	3824	1998-07-27	VYDAJ	VYBER	18900	14220	\N	\N	\N
1119619	3825	1993-12-14	PRIJEM	VKLAD	400	400	\N	\N	\N
1119622	3825	1994-12-12	PRIJEM	VKLAD	16806	39784	\N	\N	\N
1119623	3825	1994-03-04	PRIJEM	VKLAD	23150	41650	\N	\N	\N
1119624	3825	1995-12-27	PRIJEM	VKLAD	24332	44359	\N	\N	\N
1119625	3825	1995-02-07	PRIJEM	VKLAD	35781	68184	\N	\N	\N
1119626	3825	1996-04-19	PRIJEM	VKLAD	26100	50417	\N	\N	\N
1119627	3825	1996-05-12	PRIJEM	VKLAD	4464	40965	\N	\N	\N
1119628	3825	1997-02-08	PRIJEM	VKLAD	39210	52686	\N	\N	\N
1119629	3825	1997-09-13	PRIJEM	VKLAD	41105	55207	\N	\N	\N
1119630	3825	1998-09-25	PRIJEM	VKLAD	20810	37566	\N	\N	\N
1119631	3825	1998-08-10	PRIJEM	VKLAD	6029	20796	\N	\N	\N
1119661	3825	1998-12-18	VYDAJ	VYBER	1800	21396	\N	\N	\N
1119711	3825	1996-06-29	VYDAJ	VYBER	2050	23736	\N	\N	\N
1119712	3825	1996-05-23	VYDAJ	VYBER	2450	38515	\N	\N	\N
1119717	3825	1997-11-12	VYDAJ	VYBER	800	23000	\N	\N	\N
1119718	3825	1997-02-25	VYDAJ	VYBER	1950	50736	\N	\N	\N
1119721	3825	1997-10-21	VYDAJ	VYBER	950	32484	\N	\N	\N
1119766	3825	1996-04-30	VYDAJ	VYBER	15	50601	SLUZBY	\N	\N
1119767	3825	1996-05-31	VYDAJ	VYBER	15	38686	SLUZBY	\N	\N
1119768	3825	1996-06-30	VYDAJ	VYBER	15	23882	SLUZBY	\N	\N
1119769	3825	1996-07-31	VYDAJ	VYBER	15	13268	SLUZBY	\N	\N
1119770	3825	1996-08-31	VYDAJ	VYBER	15	13254	SLUZBY	\N	\N
1119771	3825	1996-09-30	VYDAJ	VYBER	15	13358	SLUZBY	\N	\N
1119772	3825	1996-10-31	VYDAJ	VYBER	15	13343	SLUZBY	\N	\N
1119773	3825	1996-11-30	VYDAJ	VYBER	15	13447	SLUZBY	\N	\N
1119774	3825	1996-12-31	VYDAJ	VYBER	15	13491	SLUZBY	\N	\N
1119775	3825	1997-01-31	VYDAJ	VYBER	15	13476	SLUZBY	\N	\N
1119776	3825	1997-02-28	VYDAJ	VYBER	15	24355	SLUZBY	\N	\N
1119777	3825	1997-03-31	VYDAJ	VYBER	15	24341	SLUZBY	\N	\N
1119778	3825	1997-04-30	VYDAJ	VYBER	15	24537	SLUZBY	\N	\N
1119779	3825	1997-05-31	VYDAJ	VYBER	15	14025	SLUZBY	\N	\N
1119780	3825	1997-06-30	VYDAJ	VYBER	15	14071	SLUZBY	\N	\N
1119781	3825	1997-07-31	VYDAJ	VYBER	15	14117	SLUZBY	\N	\N
1119782	3825	1997-08-31	VYDAJ	VYBER	15	14102	SLUZBY	\N	\N
1119783	3825	1997-09-30	VYDAJ	VYBER	15	33434	SLUZBY	\N	\N
1119784	3825	1997-10-31	VYDAJ	VYBER	15	23800	SLUZBY	\N	\N
1119785	3825	1997-11-30	VYDAJ	VYBER	15	16678	SLUZBY	\N	\N
1119786	3825	1997-12-31	VYDAJ	VYBER	15	14234	SLUZBY	\N	\N
1119787	3825	1998-01-31	VYDAJ	VYBER	15	14220	SLUZBY	\N	\N
1119788	3825	1998-02-28	VYDAJ	VYBER	15	14333	SLUZBY	\N	\N
1119789	3825	1998-03-31	VYDAJ	VYBER	15	14318	SLUZBY	\N	\N
1119790	3825	1998-04-30	VYDAJ	VYBER	15	14427	SLUZBY	\N	\N
1119791	3825	1998-05-31	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
1119792	3825	1998-06-30	VYDAJ	VYBER	15	14521	SLUZBY	\N	\N
1119793	3825	1998-07-31	VYDAJ	VYBER	15	14767	SLUZBY	\N	\N
1119794	3825	1998-08-31	VYDAJ	VYBER	15	22556	SLUZBY	\N	\N
1119795	3825	1998-09-30	VYDAJ	VYBER	15	37658	SLUZBY	\N	\N
1119796	3825	1998-10-31	VYDAJ	VYBER	15	26699	SLUZBY	\N	\N
1119797	3825	1998-11-30	VYDAJ	VYBER	15	23196	SLUZBY	\N	\N
1119798	3825	1994-01-13	PRIJEM	VKLAD	11800	12200	\N	\N	\N
1119799	3825	1994-02-12	PRIJEM	VKLAD	6300	18500	\N	\N	\N
1119800	3825	1994-03-14	VYDAJ	VYBER	10100	31550	\N	\N	\N
1119801	3825	1994-04-13	VYDAJ	VYBER	5200	26426	\N	\N	\N
1119802	3825	1994-05-13	VYDAJ	VYBER	300	26258	\N	\N	\N
1119803	3825	1994-06-12	VYDAJ	VYBER	3600	22789	\N	\N	\N
1119804	3825	1994-07-12	VYDAJ	VYBER	2000	20921	\N	\N	\N
1119805	3825	1994-08-11	PRIJEM	VKLAD	900	21952	\N	\N	\N
1119806	3825	1994-09-10	PRIJEM	VKLAD	800	22884	\N	\N	\N
1119807	3825	1994-10-10	PRIJEM	VKLAD	2200	25215	\N	\N	\N
1119808	3825	1994-11-09	VYDAJ	VYBER	3200	22147	\N	\N	\N
1119809	3825	1994-12-09	PRIJEM	VKLAD	700	22978	\N	\N	\N
1119810	3825	1995-01-08	VYDAJ	VYBER	7700	32238	\N	\N	\N
1119811	3825	1995-02-07	VYDAJ	VYBER	21400	46784	\N	\N	\N
1119812	3825	1995-03-09	VYDAJ	VYBER	15100	31873	\N	\N	\N
1119813	3825	1995-04-08	VYDAJ	VYBER	5500	26568	\N	\N	\N
1119814	3825	1995-05-08	VYDAJ	VYBER	3500	23263	\N	\N	\N
1119815	3825	1995-06-07	VYDAJ	VYBER	1900	21558	\N	\N	\N
1119816	3825	1995-07-07	PRIJEM	VKLAD	100	21853	\N	\N	\N
1119817	3825	1995-08-06	VYDAJ	VYBER	100	21947	\N	\N	\N
1119818	3825	1995-09-05	VYDAJ	VYBER	3100	19042	\N	\N	\N
1119819	3825	1995-10-05	PRIJEM	VKLAD	1400	20637	\N	\N	\N
1119820	3825	1995-11-04	PRIJEM	VKLAD	100	20932	\N	\N	\N
1119821	3825	1995-12-04	VYDAJ	VYBER	1100	20027	\N	\N	\N
1119822	3825	1996-01-03	VYDAJ	VYBER	14800	29753	\N	\N	\N
1119823	3825	1996-02-02	VYDAJ	VYBER	4200	25741	\N	\N	\N
1119824	3825	1996-03-03	PRIJEM	VKLAD	400	26329	\N	\N	\N
1119825	3825	1996-04-02	VYDAJ	VYBER	2200	24317	\N	\N	\N
1119826	3825	1996-05-02	VYDAJ	VYBER	14100	36501	\N	\N	\N
1119827	3825	1996-06-01	VYDAJ	VYBER	12900	25786	\N	\N	\N
1119828	3825	1996-07-01	VYDAJ	VYBER	7000	16882	\N	\N	\N
1119829	3825	1996-07-31	VYDAJ	VYBER	3700	13283	\N	\N	\N
1119830	3825	1997-02-26	VYDAJ	VYBER	26500	24236	\N	\N	\N
1119831	3825	1997-05-27	VYDAJ	VYBER	10600	13937	\N	\N	\N
1119832	3825	1997-09-24	VYDAJ	VYBER	21900	33307	\N	\N	\N
1119833	3825	1997-10-24	VYDAJ	VYBER	8800	23684	\N	\N	\N
1119834	3825	1997-11-23	VYDAJ	VYBER	6400	16600	\N	\N	\N
1119835	3825	1997-12-23	VYDAJ	VYBER	2500	14178	\N	\N	\N
1119836	3825	1998-07-21	PRIJEM	VKLAD	200	14721	\N	\N	\N
1119837	3825	1998-08-20	PRIJEM	VKLAD	1700	22496	\N	\N	\N
1119838	3825	1998-09-19	VYDAJ	VYBER	5800	16756	\N	\N	\N
1119839	3825	1998-10-19	VYDAJ	VYBER	11100	26558	\N	\N	\N
1119840	3825	1998-11-18	VYDAJ	VYBER	3600	23099	\N	\N	\N
1119898	3826	1995-03-05	PRIJEM	VKLAD	900	900	\N	\N	\N
1119901	3826	1995-03-13	PRIJEM	VKLAD	6778	7678	\N	\N	\N
1119902	3826	1995-04-13	PRIJEM	VKLAD	6778	25276	\N	\N	\N
1119903	3826	1995-05-13	PRIJEM	VKLAD	6778	30830	\N	\N	\N
1119904	3826	1995-06-13	PRIJEM	VKLAD	10167	36116	\N	\N	\N
1119905	3826	1995-07-13	PRIJEM	VKLAD	6778	35336	\N	\N	\N
1119906	3826	1995-08-13	PRIJEM	VKLAD	6778	35530	\N	\N	\N
1119907	3826	1995-09-13	PRIJEM	VKLAD	6778	33217	\N	\N	\N
1119908	3826	1995-10-13	PRIJEM	VKLAD	6778	34196	\N	\N	\N
1119909	3826	1995-11-13	PRIJEM	VKLAD	6778	33876	\N	\N	\N
1119910	3826	1995-12-13	PRIJEM	VKLAD	10167	31740	\N	\N	\N
1119911	3826	1996-01-13	PRIJEM	VKLAD	6778	19945	\N	\N	\N
1119912	3826	1996-02-13	PRIJEM	VKLAD	6778	25364	\N	\N	\N
1119913	3826	1996-03-13	PRIJEM	VKLAD	6778	26931	\N	\N	\N
1119914	3826	1996-04-13	PRIJEM	VKLAD	6778	27683	\N	\N	\N
1119915	3826	1996-05-13	PRIJEM	VKLAD	6778	21179	\N	\N	\N
1119916	3826	1996-06-13	PRIJEM	VKLAD	10167	28698	\N	\N	\N
1119917	3826	1996-07-13	PRIJEM	VKLAD	6778	28953	\N	\N	\N
1119918	3826	1996-08-13	PRIJEM	VKLAD	6778	30014	\N	\N	\N
1119919	3826	1996-09-13	PRIJEM	VKLAD	6778	30279	\N	\N	\N
1119920	3826	1996-10-13	PRIJEM	VKLAD	6778	33301	\N	\N	\N
1119921	3826	1996-11-13	PRIJEM	VKLAD	6778	35180	\N	\N	\N
1119922	3826	1996-12-13	PRIJEM	VKLAD	10167	34532	\N	\N	\N
1119923	3826	1997-01-13	PRIJEM	VKLAD	6778	27046	\N	\N	\N
1119924	3826	1997-02-13	PRIJEM	VKLAD	6778	25068	\N	\N	\N
1119925	3826	1997-03-13	PRIJEM	VKLAD	6778	29215	\N	\N	\N
1119926	3826	1997-04-13	PRIJEM	VKLAD	6778	36283	\N	\N	\N
1119927	3826	1997-05-13	PRIJEM	VKLAD	6778	41979	\N	\N	\N
1119928	3826	1997-06-13	PRIJEM	VKLAD	10167	44927	\N	\N	\N
1119929	3826	1997-07-13	PRIJEM	VKLAD	6778	39197	\N	\N	\N
1119930	3826	1997-08-13	PRIJEM	VKLAD	6778	43504	\N	\N	\N
1119931	3826	1997-09-13	PRIJEM	VKLAD	6778	46527	\N	\N	\N
1119932	3826	1997-10-13	PRIJEM	VKLAD	6778	40351	\N	\N	\N
1119933	3826	1997-11-13	PRIJEM	VKLAD	6778	40957	\N	\N	\N
1119934	3826	1997-12-13	PRIJEM	VKLAD	10167	47759	\N	\N	\N
1119935	3826	1998-01-13	PRIJEM	VKLAD	6778	42441	\N	\N	\N
1119936	3826	1998-02-13	PRIJEM	VKLAD	6778	39447	\N	\N	\N
1119937	3826	1998-03-13	PRIJEM	VKLAD	6778	39732	\N	\N	\N
1119938	3826	1998-04-13	PRIJEM	VKLAD	6778	44804	\N	\N	\N
1119939	3826	1998-05-13	PRIJEM	VKLAD	6778	51134	\N	\N	\N
1119940	3826	1998-06-13	PRIJEM	VKLAD	10167	49729	\N	\N	\N
1119941	3826	1998-07-13	PRIJEM	VKLAD	6778	40038	\N	\N	\N
1119942	3826	1998-08-13	PRIJEM	VKLAD	6778	43053	\N	\N	\N
1119943	3826	1998-09-13	PRIJEM	VKLAD	6778	50585	\N	\N	\N
1119944	3826	1998-10-13	PRIJEM	VKLAD	6778	52035	\N	\N	\N
1119945	3826	1998-11-13	PRIJEM	VKLAD	6778	53590	\N	\N	\N
1119946	3826	1998-12-13	PRIJEM	VKLAD	10167	59853	\N	\N	\N
1119954	3826	1995-08-06	VYDAJ	PREVOD NA UCET	4518	28752	SIPO	GH	788856
1119955	3826	1995-09-06	VYDAJ	PREVOD NA UCET	4518	26439	SIPO	GH	788856
1119956	3826	1995-10-06	VYDAJ	PREVOD NA UCET	4518	27418	SIPO	GH	788856
1119957	3826	1995-11-06	VYDAJ	PREVOD NA UCET	4518	27098	SIPO	GH	788856
1119958	3826	1995-12-06	VYDAJ	PREVOD NA UCET	4518	21573	SIPO	GH	788856
1119959	3826	1996-01-06	VYDAJ	PREVOD NA UCET	4518	16167	SIPO	GH	788856
1119960	3826	1996-02-06	VYDAJ	PREVOD NA UCET	4518	18586	SIPO	GH	788856
1119961	3826	1996-03-06	VYDAJ	PREVOD NA UCET	4518	21233	SIPO	GH	788856
1119962	3826	1996-04-06	VYDAJ	PREVOD NA UCET	4518	20905	SIPO	GH	788856
1119963	3826	1996-05-06	VYDAJ	PREVOD NA UCET	4518	14401	SIPO	GH	788856
1119964	3826	1996-06-06	VYDAJ	PREVOD NA UCET	4518	18531	SIPO	GH	788856
1119965	3826	1996-07-06	VYDAJ	PREVOD NA UCET	4518	22175	SIPO	GH	788856
1119966	3826	1996-08-06	VYDAJ	PREVOD NA UCET	4518	23236	SIPO	GH	788856
1119967	3826	1996-09-06	VYDAJ	PREVOD NA UCET	4518	23501	SIPO	GH	788856
1119968	3826	1996-10-06	VYDAJ	PREVOD NA UCET	4518	26523	SIPO	GH	788856
1119969	3826	1996-11-06	VYDAJ	PREVOD NA UCET	4518	28402	SIPO	GH	788856
1119970	3826	1996-12-06	VYDAJ	PREVOD NA UCET	4518	24365	SIPO	GH	788856
1119971	3826	1997-01-06	VYDAJ	PREVOD NA UCET	4518	22428	SIPO	GH	788856
1119972	3826	1997-02-06	VYDAJ	PREVOD NA UCET	4518	18290	SIPO	GH	788856
1119973	3826	1997-03-06	VYDAJ	PREVOD NA UCET	4518	22437	SIPO	GH	788856
1119974	3826	1997-04-06	VYDAJ	PREVOD NA UCET	4518	29505	SIPO	GH	788856
1119975	3826	1997-05-06	VYDAJ	PREVOD NA UCET	4518	35201	SIPO	GH	788856
1119976	3826	1997-06-06	VYDAJ	PREVOD NA UCET	4518	39320	SIPO	GH	788856
1119977	3826	1997-07-06	VYDAJ	PREVOD NA UCET	4518	32419	SIPO	GH	788856
1119978	3826	1997-08-06	VYDAJ	PREVOD NA UCET	4518	36726	SIPO	GH	788856
1119979	3826	1997-09-06	VYDAJ	PREVOD NA UCET	4518	39749	SIPO	GH	788856
1119980	3826	1997-10-06	VYDAJ	PREVOD NA UCET	4518	33573	SIPO	GH	788856
1119981	3826	1997-11-06	VYDAJ	PREVOD NA UCET	4518	34179	SIPO	GH	788856
1119982	3826	1997-12-06	VYDAJ	PREVOD NA UCET	4518	37592	SIPO	GH	788856
1119983	3826	1998-01-06	VYDAJ	PREVOD NA UCET	4518	35663	SIPO	GH	788856
1119984	3826	1998-02-06	VYDAJ	PREVOD NA UCET	4518	32669	SIPO	GH	788856
1119985	3826	1998-03-06	VYDAJ	PREVOD NA UCET	4518	32954	SIPO	GH	788856
1119986	3826	1998-04-06	VYDAJ	PREVOD NA UCET	4518	38026	SIPO	GH	788856
1119987	3826	1998-05-06	VYDAJ	PREVOD NA UCET	4518	44356	SIPO	GH	788856
1119988	3826	1998-06-06	VYDAJ	PREVOD NA UCET	4518	39562	SIPO	GH	788856
1119989	3826	1998-07-06	VYDAJ	PREVOD NA UCET	4518	33260	SIPO	GH	788856
1119990	3826	1998-08-06	VYDAJ	PREVOD NA UCET	4518	41075	SIPO	GH	788856
1119991	3826	1998-09-06	VYDAJ	PREVOD NA UCET	4518	43807	SIPO	GH	788856
1119992	3826	1998-10-06	VYDAJ	PREVOD NA UCET	4518	45257	SIPO	GH	788856
1119993	3826	1998-11-06	VYDAJ	PREVOD NA UCET	4518	46812	SIPO	GH	788856
1119994	3826	1998-12-06	VYDAJ	PREVOD NA UCET	4518	53686	SIPO	GH	788856
1119997	3826	1997-06-19	VYDAJ	VYBER	16640	28287	\N	\N	\N
1119998	3826	1998-06-23	VYDAJ	VYBER	6880	40249	\N	\N	\N
1119999	3826	1995-12-26	VYDAJ	VYBER	2880	28860	\N	\N	\N
1120000	3826	1996-12-21	VYDAJ	VYBER	1760	32772	\N	\N	\N
1120001	3826	1997-12-17	VYDAJ	VYBER	2240	45519	\N	\N	\N
1120002	3826	1998-12-08	VYDAJ	VYBER	4000	49686	\N	\N	\N
1120009	3826	1996-01-09	VYDAJ	VYBER	2400	13167	\N	\N	\N
1120010	3826	1996-01-16	VYDAJ	VYBER	2400	17545	\N	\N	\N
1120011	3826	1996-01-01	VYDAJ	VYBER	1440	22725	\N	\N	\N
1120012	3826	1996-01-18	VYDAJ	VYBER	1800	15745	\N	\N	\N
1120013	3826	1996-01-08	VYDAJ	VYBER	600	15567	\N	\N	\N
1120015	3826	1997-01-14	VYDAJ	VYBER	3360	21046	\N	\N	\N
1120016	3826	1997-01-07	VYDAJ	VYBER	2160	20268	\N	\N	\N
1120017	3826	1997-01-13	VYDAJ	VYBER	2640	24406	\N	\N	\N
1120018	3826	1997-01-27	VYDAJ	VYBER	1680	22726	\N	\N	\N
1120019	3826	1997-01-23	VYDAJ	VYBER	1560	27286	\N	\N	\N
1120020	3826	1997-01-26	VYDAJ	VYBER	2880	24406	\N	\N	\N
1120021	3826	1998-01-24	VYDAJ	VYBER	1680	37041	\N	\N	\N
1120022	3826	1998-01-13	VYDAJ	VYBER	1560	40881	\N	\N	\N
1120023	3826	1998-01-14	VYDAJ	VYBER	960	39921	\N	\N	\N
1120024	3826	1998-01-21	VYDAJ	VYBER	3000	38721	\N	\N	\N
1120025	3826	1998-01-19	VYDAJ	VYBER	1200	41721	\N	\N	\N
1120026	3826	1998-01-04	VYDAJ	VYBER	1200	40181	\N	\N	\N
1120031	3826	1995-11-19	VYDAJ	VYBER	4200	29676	\N	\N	\N
1120032	3826	1996-12-29	VYDAJ	VYBER	4440	26832	\N	\N	\N
1120033	3826	1996-11-27	VYDAJ	VYBER	2520	28760	\N	\N	\N
1120034	3826	1996-01-03	VYDAJ	VYBER	2040	20685	\N	\N	\N
1120035	3826	1996-09-17	VYDAJ	VYBER	5640	24639	\N	\N	\N
1120036	3826	1996-05-04	VYDAJ	VYBER	5760	18919	\N	\N	\N
1120038	3826	1996-03-09	VYDAJ	VYBER	1080	20153	\N	\N	\N
1120039	3826	1997-06-11	VYDAJ	VYBER	4560	34760	\N	\N	\N
1120040	3826	1997-09-23	VYDAJ	VYBER	5400	37927	\N	\N	\N
1120041	3826	1998-07-05	VYDAJ	VYBER	2640	37778	\N	\N	\N
1120042	3826	1998-04-04	VYDAJ	VYBER	840	42544	\N	\N	\N
1120043	3826	1998-12-16	VYDAJ	VYBER	1560	56793	\N	\N	\N
1120044	3826	1998-02-24	VYDAJ	VYBER	4320	37327	\N	\N	\N
1120045	3826	1998-08-08	VYDAJ	VYBER	4800	36275	\N	\N	\N
1120046	3826	1998-05-26	VYDAJ	VYBER	5040	43894	\N	\N	\N
1120047	3826	1998-09-22	VYDAJ	VYBER	1800	49585	\N	\N	\N
1120055	3826	1995-07-31	VYDAJ	VYBER	15	35470	SLUZBY	\N	\N
1120056	3826	1995-08-31	VYDAJ	VYBER	15	35657	SLUZBY	\N	\N
1120057	3826	1995-09-30	VYDAJ	VYBER	15	33336	SLUZBY	\N	\N
1120058	3826	1995-10-31	VYDAJ	VYBER	15	31616	SLUZBY	\N	\N
1120059	3826	1995-11-30	VYDAJ	VYBER	15	29791	SLUZBY	\N	\N
1120060	3826	1995-12-31	VYDAJ	VYBER	15	24165	SLUZBY	\N	\N
1120061	3826	1996-01-31	VYDAJ	VYBER	15	23104	SLUZBY	\N	\N
1120062	3826	1996-02-29	VYDAJ	VYBER	15	25751	SLUZBY	\N	\N
1120063	3826	1996-03-31	VYDAJ	VYBER	15	25423	SLUZBY	\N	\N
1120064	3826	1996-04-30	VYDAJ	VYBER	15	24679	SLUZBY	\N	\N
1120065	3826	1996-05-31	VYDAJ	VYBER	15	23049	SLUZBY	\N	\N
1120066	3826	1996-06-30	VYDAJ	VYBER	15	26693	SLUZBY	\N	\N
1120067	3826	1996-07-31	VYDAJ	VYBER	15	27754	SLUZBY	\N	\N
1120068	3826	1996-08-31	VYDAJ	VYBER	15	28019	SLUZBY	\N	\N
1120069	3826	1996-09-30	VYDAJ	VYBER	15	31041	SLUZBY	\N	\N
1120070	3826	1996-10-31	VYDAJ	VYBER	15	32920	SLUZBY	\N	\N
1120071	3826	1996-11-30	VYDAJ	VYBER	15	28883	SLUZBY	\N	\N
1120072	3826	1996-12-31	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
1120073	3826	1997-01-31	VYDAJ	VYBER	15	22808	SLUZBY	\N	\N
1120074	3826	1997-02-28	VYDAJ	VYBER	15	26955	SLUZBY	\N	\N
1120075	3826	1997-03-31	VYDAJ	VYBER	15	34023	SLUZBY	\N	\N
1120076	3826	1997-04-30	VYDAJ	VYBER	15	39719	SLUZBY	\N	\N
1120077	3826	1997-05-31	VYDAJ	VYBER	15	43838	SLUZBY	\N	\N
1120078	3826	1997-06-30	VYDAJ	VYBER	15	36937	SLUZBY	\N	\N
1120079	3826	1997-07-31	VYDAJ	VYBER	15	41244	SLUZBY	\N	\N
1120080	3826	1997-08-31	VYDAJ	VYBER	15	44267	SLUZBY	\N	\N
1120081	3826	1997-09-30	VYDAJ	VYBER	15	38091	SLUZBY	\N	\N
1120082	3826	1997-10-31	VYDAJ	VYBER	15	38697	SLUZBY	\N	\N
1120083	3826	1997-11-30	VYDAJ	VYBER	15	42110	SLUZBY	\N	\N
1120084	3826	1997-12-31	VYDAJ	VYBER	15	41381	SLUZBY	\N	\N
1120085	3826	1998-01-31	VYDAJ	VYBER	15	37187	SLUZBY	\N	\N
1120086	3826	1998-02-28	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
1120087	3826	1998-03-31	VYDAJ	VYBER	15	43384	SLUZBY	\N	\N
1120088	3826	1998-04-30	VYDAJ	VYBER	15	48874	SLUZBY	\N	\N
1120089	3826	1998-05-31	VYDAJ	VYBER	15	44080	SLUZBY	\N	\N
1120090	3826	1998-06-30	VYDAJ	VYBER	15	40418	SLUZBY	\N	\N
1120091	3826	1998-07-31	VYDAJ	VYBER	15	45593	SLUZBY	\N	\N
1120092	3826	1998-08-31	VYDAJ	VYBER	15	48325	SLUZBY	\N	\N
1120093	3826	1998-09-30	VYDAJ	VYBER	15	49775	SLUZBY	\N	\N
1120094	3826	1998-10-31	VYDAJ	VYBER	15	51330	SLUZBY	\N	\N
1120095	3826	1998-11-30	VYDAJ	VYBER	15	58204	SLUZBY	\N	\N
1120096	3826	1995-04-04	PRIJEM	VKLAD	10800	18498	\N	\N	\N
1120097	3826	1995-05-04	VYDAJ	VYBER	1300	24052	\N	\N	\N
1120098	3826	1995-06-03	VYDAJ	VYBER	5000	25949	\N	\N	\N
1120099	3826	1995-07-03	VYDAJ	VYBER	7700	28558	\N	\N	\N
1120100	3826	1995-08-02	VYDAJ	VYBER	2200	33270	\N	\N	\N
1120101	3826	1995-09-01	VYDAJ	VYBER	4700	30957	\N	\N	\N
1120102	3826	1995-10-01	VYDAJ	VYBER	1400	31936	\N	\N	\N
1120103	3826	1995-10-31	VYDAJ	VYBER	2700	31631	\N	\N	\N
1120104	3826	1995-11-30	VYDAJ	VYBER	3700	26091	\N	\N	\N
1120105	3826	1995-12-30	VYDAJ	VYBER	4800	24060	\N	\N	\N
1120106	3826	1996-01-29	PRIJEM	VKLAD	7300	23045	\N	\N	\N
1120107	3826	1996-02-28	PRIJEM	VKLAD	300	25664	\N	\N	\N
1120108	3826	1996-03-29	VYDAJ	VYBER	1600	25331	\N	\N	\N
1120109	3826	1996-04-28	VYDAJ	VYBER	3100	24583	\N	\N	\N
1120110	3826	1996-05-28	PRIJEM	VKLAD	1800	22979	\N	\N	\N
1120111	3826	1996-06-27	VYDAJ	VYBER	2100	26598	\N	\N	\N
1120112	3826	1996-07-27	VYDAJ	VYBER	1300	27653	\N	\N	\N
1120113	3826	1996-08-26	VYDAJ	VYBER	2100	27914	\N	\N	\N
1120114	3826	1996-09-25	PRIJEM	VKLAD	6300	30939	\N	\N	\N
1120115	3826	1996-10-25	VYDAJ	VYBER	500	32801	\N	\N	\N
1120116	3826	1996-11-24	VYDAJ	VYBER	3900	31280	\N	\N	\N
1120117	3826	1996-12-24	VYDAJ	VYBER	1500	31272	\N	\N	\N
1120118	3826	1997-01-23	PRIJEM	VKLAD	7800	28846	\N	\N	\N
1120119	3826	1997-02-22	PRIJEM	VKLAD	1800	26868	\N	\N	\N
1120120	3826	1997-03-24	PRIJEM	VKLAD	4700	33915	\N	\N	\N
1120121	3826	1997-04-23	PRIJEM	VKLAD	3300	39583	\N	\N	\N
1120122	3826	1997-05-23	PRIJEM	VKLAD	1700	43679	\N	\N	\N
1120123	3826	1997-06-22	PRIJEM	VKLAD	8500	36787	\N	\N	\N
1120124	3826	1997-07-22	PRIJEM	VKLAD	1900	41097	\N	\N	\N
1120125	3826	1997-08-21	PRIJEM	VKLAD	600	44104	\N	\N	\N
1120126	3826	1997-09-20	VYDAJ	VYBER	3200	43327	\N	\N	\N
1120127	3826	1997-10-20	VYDAJ	VYBER	1800	38551	\N	\N	\N
1120128	3826	1997-11-19	PRIJEM	VKLAD	1000	41957	\N	\N	\N
1120129	3826	1997-12-19	VYDAJ	VYBER	4300	41219	\N	\N	\N
1120130	3826	1998-01-18	PRIJEM	VKLAD	3000	42921	\N	\N	\N
1120131	3826	1998-02-17	PRIJEM	VKLAD	2200	41647	\N	\N	\N
1120132	3826	1998-03-19	PRIJEM	VKLAD	3500	43232	\N	\N	\N
1120133	3826	1998-04-18	PRIJEM	VKLAD	3900	48704	\N	\N	\N
1120134	3826	1998-05-18	VYDAJ	VYBER	2200	48934	\N	\N	\N
1120135	3826	1998-06-17	VYDAJ	VYBER	2600	47129	\N	\N	\N
1120136	3826	1998-07-17	PRIJEM	VKLAD	5400	45438	\N	\N	\N
1120137	3826	1998-08-16	PRIJEM	VKLAD	5100	48153	\N	\N	\N
1120138	3826	1998-09-15	PRIJEM	VKLAD	800	51385	\N	\N	\N
1120139	3826	1998-10-15	VYDAJ	VYBER	900	51135	\N	\N	\N
1120140	3826	1998-11-14	PRIJEM	VKLAD	4400	57990	\N	\N	\N
1120141	3826	1998-12-14	VYDAJ	VYBER	1500	58353	\N	\N	\N
1120188	3827	1994-10-04	PRIJEM	VKLAD	200	200	\N	\N	\N
1120198	3827	1994-10-14	PRIJEM	VKLAD	9109	9309	\N	\N	\N
1120199	3827	1994-11-14	PRIJEM	VKLAD	9109	25841	\N	\N	\N
1120200	3827	1994-12-14	PRIJEM	VKLAD	13664	36282	\N	\N	\N
1120201	3827	1995-01-14	PRIJEM	VKLAD	9109	38724	\N	\N	\N
1120202	3827	1995-02-14	PRIJEM	VKLAD	9109	38690	\N	\N	\N
1120203	3827	1995-03-14	PRIJEM	VKLAD	9109	39246	\N	\N	\N
1120204	3827	1995-04-14	PRIJEM	VKLAD	9109	38703	\N	\N	\N
1120205	3827	1995-05-14	PRIJEM	VKLAD	9109	39352	\N	\N	\N
1120206	3827	1995-06-14	PRIJEM	VKLAD	13664	44765	\N	\N	\N
1120207	3827	1995-07-14	PRIJEM	VKLAD	9109	30708	\N	\N	\N
1120208	3827	1995-08-14	PRIJEM	VKLAD	9109	35623	\N	\N	\N
1120209	3827	1995-09-14	PRIJEM	VKLAD	9109	37328	\N	\N	\N
1120210	3827	1995-10-14	PRIJEM	VKLAD	9109	33440	\N	\N	\N
1120211	3827	1995-11-14	PRIJEM	VKLAD	9109	40062	\N	\N	\N
1120212	3827	1995-12-14	PRIJEM	VKLAD	13664	48842	\N	\N	\N
1120213	3827	1996-01-14	PRIJEM	VKLAD	9109	38583	\N	\N	\N
1120214	3827	1996-02-14	PRIJEM	VKLAD	9109	40526	\N	\N	\N
1120215	3827	1996-03-14	PRIJEM	VKLAD	9109	41551	\N	\N	\N
1120216	3827	1996-04-14	PRIJEM	VKLAD	9109	42481	\N	\N	\N
1120217	3827	1996-05-14	PRIJEM	VKLAD	9109	39913	\N	\N	\N
1120218	3827	1996-06-14	PRIJEM	VKLAD	13664	31297	\N	\N	\N
1120219	3827	1996-07-14	PRIJEM	VKLAD	9109	34513	\N	\N	\N
1120220	3827	1996-08-14	PRIJEM	VKLAD	9109	39918	\N	\N	\N
1120221	3827	1996-09-14	PRIJEM	VKLAD	9109	43544	\N	\N	\N
1120222	3827	1996-10-14	PRIJEM	VKLAD	9109	41278	\N	\N	\N
1120223	3827	1996-11-14	PRIJEM	VKLAD	9109	39704	\N	\N	\N
1120224	3827	1996-12-14	PRIJEM	VKLAD	13664	43282	\N	\N	\N
1120225	3827	1997-01-14	PRIJEM	VKLAD	9109	40223	\N	\N	\N
1120226	3827	1997-02-14	PRIJEM	VKLAD	9109	31958	\N	\N	\N
1120227	3827	1997-03-14	PRIJEM	VKLAD	9109	36870	\N	\N	\N
1120228	3827	1997-04-14	PRIJEM	VKLAD	9109	41285	\N	\N	\N
1120229	3827	1997-05-14	PRIJEM	VKLAD	9109	47020	\N	\N	\N
1120230	3827	1997-06-14	PRIJEM	VKLAD	13664	47326	\N	\N	\N
1120231	3827	1997-07-14	PRIJEM	VKLAD	9109	41876	\N	\N	\N
1120232	3827	1997-08-14	PRIJEM	VKLAD	9109	39902	\N	\N	\N
1120233	3827	1997-09-14	PRIJEM	VKLAD	9109	40725	\N	\N	\N
1120234	3827	1997-10-14	PRIJEM	VKLAD	9109	40850	\N	\N	\N
1120235	3827	1997-11-14	PRIJEM	VKLAD	9109	36667	\N	\N	\N
1120236	3827	1997-12-14	PRIJEM	VKLAD	13664	41330	\N	\N	\N
1120237	3827	1998-01-14	PRIJEM	VKLAD	9109	32740	\N	\N	\N
1120238	3827	1998-02-14	PRIJEM	VKLAD	9109	33041	\N	\N	\N
1120239	3827	1998-03-14	PRIJEM	VKLAD	9109	35238	\N	\N	\N
1120240	3827	1998-04-14	PRIJEM	VKLAD	9109	36943	\N	\N	\N
1120241	3827	1998-05-14	PRIJEM	VKLAD	9109	29341	\N	\N	\N
1120242	3827	1998-06-14	PRIJEM	VKLAD	13664	36178	\N	\N	\N
1120243	3827	1998-07-14	PRIJEM	VKLAD	9109	38780	\N	\N	\N
1120244	3827	1998-08-14	PRIJEM	VKLAD	9109	38595	\N	\N	\N
1120245	3827	1998-09-14	PRIJEM	VKLAD	9109	39717	\N	\N	\N
1120246	3827	1998-10-14	PRIJEM	VKLAD	9109	43556	\N	\N	\N
1120247	3827	1998-11-14	PRIJEM	VKLAD	9109	42315	\N	\N	\N
1120248	3827	1998-12-14	PRIJEM	VKLAD	13664	44941	\N	\N	\N
1120250	3827	1995-06-20	VYDAJ	VYBER	14400	30365	\N	\N	\N
1120251	3827	1996-06-03	VYDAJ	VYBER	11800	17633	\N	\N	\N
1120252	3827	1997-06-06	VYDAJ	VYBER	3000	33662	\N	\N	\N
1120255	3827	1995-12-27	VYDAJ	VYBER	1700	47142	\N	\N	\N
1120256	3827	1996-12-04	VYDAJ	VYBER	1700	29618	\N	\N	\N
1120257	3827	1997-12-28	VYDAJ	VYBER	2200	27130	\N	\N	\N
1120258	3827	1998-12-23	VYDAJ	VYBER	2200	42741	\N	\N	\N
1120271	3827	1996-01-14	VYDAJ	VYBER	2400	36183	\N	\N	\N
1120272	3827	1996-01-30	VYDAJ	VYBER	1200	31283	\N	\N	\N
1120273	3827	1996-01-13	VYDAJ	VYBER	1900	29474	\N	\N	\N
1120274	3827	1996-01-27	VYDAJ	VYBER	1900	32483	\N	\N	\N
1120275	3827	1996-01-12	VYDAJ	VYBER	2300	31374	\N	\N	\N
1120276	3827	1996-01-27	VYDAJ	VYBER	1300	34383	\N	\N	\N
1120277	3827	1997-01-10	VYDAJ	VYBER	1100	32014	\N	\N	\N
1120278	3827	1997-01-28	VYDAJ	VYBER	1200	27223	\N	\N	\N
1120279	3827	1997-01-26	VYDAJ	VYBER	1800	29223	\N	\N	\N
1120280	3827	1997-01-13	VYDAJ	VYBER	900	31114	\N	\N	\N
1120281	3827	1997-01-26	VYDAJ	VYBER	800	28423	\N	\N	\N
1120282	3827	1997-01-03	VYDAJ	VYBER	2300	33114	\N	\N	\N
1120283	3827	1998-01-08	VYDAJ	VYBER	700	26031	\N	\N	\N
1120284	3827	1998-01-23	VYDAJ	VYBER	2700	24340	\N	\N	\N
1120285	3827	1998-01-01	VYDAJ	VYBER	500	26731	\N	\N	\N
1120286	3827	1998-01-15	VYDAJ	VYBER	1300	31440	\N	\N	\N
1120287	3827	1998-01-10	VYDAJ	VYBER	2400	23631	\N	\N	\N
1120288	3827	1998-01-29	VYDAJ	VYBER	500	23840	\N	\N	\N
1120295	3827	1995-06-21	VYDAJ	VYBER	3900	26465	\N	\N	\N
1120297	3827	1995-04-08	VYDAJ	VYBER	3400	29594	\N	\N	\N
1120298	3827	1995-10-12	VYDAJ	VYBER	3000	24331	\N	\N	\N
1120299	3827	1996-05-19	VYDAJ	VYBER	1200	38713	\N	\N	\N
1120300	3827	1996-04-25	VYDAJ	VYBER	3300	39181	\N	\N	\N
1120301	3827	1996-12-04	VYDAJ	VYBER	1000	31318	\N	\N	\N
1120302	3827	1997-05-25	VYDAJ	VYBER	2700	36520	\N	\N	\N
1120303	3827	1997-06-24	VYDAJ	VYBER	2300	32626	\N	\N	\N
1120304	3827	1997-02-07	VYDAJ	VYBER	4500	22849	\N	\N	\N
1120305	3827	1998-09-22	VYDAJ	VYBER	4200	35517	\N	\N	\N
1120306	3827	1998-04-29	VYDAJ	VYBER	3300	20143	\N	\N	\N
1120321	3827	1995-02-28	VYDAJ	VYBER	15	38837	SLUZBY	\N	\N
1120322	3827	1995-03-31	VYDAJ	VYBER	15	39394	SLUZBY	\N	\N
1120323	3827	1995-04-30	VYDAJ	VYBER	15	38843	SLUZBY	\N	\N
1120324	3827	1995-05-31	VYDAJ	VYBER	15	39501	SLUZBY	\N	\N
1120325	3827	1995-06-30	VYDAJ	VYBER	15	26599	SLUZBY	\N	\N
1120326	3827	1995-07-31	VYDAJ	VYBER	15	30814	SLUZBY	\N	\N
1120327	3827	1995-08-31	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
1120328	3827	1995-09-30	VYDAJ	VYBER	15	27331	SLUZBY	\N	\N
1120329	3827	1995-10-31	VYDAJ	VYBER	15	30953	SLUZBY	\N	\N
1120330	3827	1995-11-30	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
1120331	3827	1995-12-31	VYDAJ	VYBER	15	33674	SLUZBY	\N	\N
1120332	3827	1996-01-31	VYDAJ	VYBER	15	31417	SLUZBY	\N	\N
1120333	3827	1996-02-29	VYDAJ	VYBER	15	32442	SLUZBY	\N	\N
1120334	3827	1996-03-31	VYDAJ	VYBER	15	33372	SLUZBY	\N	\N
1120335	3827	1996-04-30	VYDAJ	VYBER	15	30804	SLUZBY	\N	\N
1120336	3827	1996-05-31	VYDAJ	VYBER	15	29433	SLUZBY	\N	\N
1120337	3827	1996-06-30	VYDAJ	VYBER	15	25404	SLUZBY	\N	\N
1120338	3827	1996-07-31	VYDAJ	VYBER	15	30809	SLUZBY	\N	\N
1120339	3827	1996-08-31	VYDAJ	VYBER	15	34435	SLUZBY	\N	\N
1120340	3827	1996-09-30	VYDAJ	VYBER	15	32169	SLUZBY	\N	\N
1120341	3827	1996-10-31	VYDAJ	VYBER	15	30595	SLUZBY	\N	\N
1120342	3827	1996-11-30	VYDAJ	VYBER	15	32318	SLUZBY	\N	\N
1120343	3827	1996-12-31	VYDAJ	VYBER	15	35414	SLUZBY	\N	\N
1120344	3827	1997-01-31	VYDAJ	VYBER	15	27349	SLUZBY	\N	\N
1120345	3827	1997-02-28	VYDAJ	VYBER	15	27761	SLUZBY	\N	\N
1120346	3827	1997-03-31	VYDAJ	VYBER	15	32176	SLUZBY	\N	\N
1120347	3827	1997-04-30	VYDAJ	VYBER	15	37911	SLUZBY	\N	\N
1120348	3827	1997-05-31	VYDAJ	VYBER	15	36662	SLUZBY	\N	\N
1120349	3827	1997-06-30	VYDAJ	VYBER	15	32767	SLUZBY	\N	\N
1120350	3827	1997-07-31	VYDAJ	VYBER	15	30793	SLUZBY	\N	\N
1120351	3827	1997-08-31	VYDAJ	VYBER	15	31616	SLUZBY	\N	\N
1120352	3827	1997-09-30	VYDAJ	VYBER	15	31741	SLUZBY	\N	\N
1120353	3827	1997-10-31	VYDAJ	VYBER	15	27558	SLUZBY	\N	\N
1120354	3827	1997-11-30	VYDAJ	VYBER	15	27666	SLUZBY	\N	\N
1120355	3827	1997-12-31	VYDAJ	VYBER	15	27231	SLUZBY	\N	\N
1120356	3827	1998-01-31	VYDAJ	VYBER	15	23932	SLUZBY	\N	\N
1120357	3827	1998-02-28	VYDAJ	VYBER	15	26129	SLUZBY	\N	\N
1120358	3827	1998-03-31	VYDAJ	VYBER	15	27834	SLUZBY	\N	\N
1120359	3827	1998-04-30	VYDAJ	VYBER	15	20232	SLUZBY	\N	\N
1120360	3827	1998-05-31	VYDAJ	VYBER	15	22514	SLUZBY	\N	\N
1120361	3827	1998-06-30	VYDAJ	VYBER	15	29671	SLUZBY	\N	\N
1120362	3827	1998-07-31	VYDAJ	VYBER	15	29486	SLUZBY	\N	\N
1120363	3827	1998-08-31	VYDAJ	VYBER	15	32308	SLUZBY	\N	\N
1120364	3827	1998-09-30	VYDAJ	VYBER	15	35647	SLUZBY	\N	\N
1120365	3827	1998-10-31	VYDAJ	VYBER	15	43706	SLUZBY	\N	\N
1120366	3827	1998-11-30	VYDAJ	VYBER	15	42477	SLUZBY	\N	\N
1120367	3827	1994-11-03	PRIJEM	VKLAD	7400	16732	\N	\N	\N
1120368	3827	1994-12-03	VYDAJ	VYBER	3300	22618	\N	\N	\N
1120369	3827	1995-01-02	VYDAJ	VYBER	6800	29615	\N	\N	\N
1120370	3827	1995-02-01	VYDAJ	VYBER	9300	29581	\N	\N	\N
1120371	3827	1995-03-03	VYDAJ	VYBER	8700	30137	\N	\N	\N
1120372	3827	1995-04-02	VYDAJ	VYBER	6400	32994	\N	\N	\N
1120373	3827	1995-05-02	VYDAJ	VYBER	8600	30243	\N	\N	\N
1120374	3827	1995-06-01	VYDAJ	VYBER	8400	31101	\N	\N	\N
1120375	3827	1995-07-01	VYDAJ	VYBER	5000	21599	\N	\N	\N
1120376	3827	1995-07-31	VYDAJ	VYBER	4300	26514	\N	\N	\N
1120377	3827	1995-08-30	VYDAJ	VYBER	7500	28123	\N	\N	\N
1120378	3827	1995-09-29	VYDAJ	VYBER	10100	27228	\N	\N	\N
1120379	3827	1995-10-29	VYDAJ	VYBER	2600	30840	\N	\N	\N
1120380	3827	1995-11-28	VYDAJ	VYBER	5000	35062	\N	\N	\N
1120381	3827	1995-12-28	VYDAJ	VYBER	13600	33542	\N	\N	\N
1120382	3827	1996-01-27	VYDAJ	VYBER	500	35683	\N	\N	\N
1120383	3827	1996-02-26	VYDAJ	VYBER	8200	32326	\N	\N	\N
1120384	3827	1996-03-27	VYDAJ	VYBER	8300	33251	\N	\N	\N
1120385	3827	1996-04-26	VYDAJ	VYBER	8500	30681	\N	\N	\N
1120386	3827	1996-05-26	VYDAJ	VYBER	9400	29313	\N	\N	\N
1120387	3827	1996-06-25	VYDAJ	VYBER	6000	25297	\N	\N	\N
1120388	3827	1996-07-25	VYDAJ	VYBER	3800	30713	\N	\N	\N
1120389	3827	1996-08-24	VYDAJ	VYBER	5600	34318	\N	\N	\N
1120390	3827	1996-09-23	VYDAJ	VYBER	11500	32044	\N	\N	\N
1120391	3827	1996-10-23	VYDAJ	VYBER	10800	30478	\N	\N	\N
1120392	3827	1996-11-22	VYDAJ	VYBER	7500	32204	\N	\N	\N
1120393	3827	1996-12-22	VYDAJ	VYBER	8000	35282	\N	\N	\N
1120394	3827	1997-01-21	VYDAJ	VYBER	9200	31023	\N	\N	\N
1120395	3827	1997-02-20	VYDAJ	VYBER	4300	27658	\N	\N	\N
1120396	3827	1997-03-22	VYDAJ	VYBER	4800	32070	\N	\N	\N
1120397	3827	1997-04-21	VYDAJ	VYBER	3500	37785	\N	\N	\N
1120398	3827	1997-05-21	VYDAJ	VYBER	7800	39220	\N	\N	\N
1120399	3827	1997-06-20	VYDAJ	VYBER	12400	34926	\N	\N	\N
1120400	3827	1997-07-20	VYDAJ	VYBER	11200	30676	\N	\N	\N
1120401	3827	1997-08-19	VYDAJ	VYBER	8400	31502	\N	\N	\N
1120402	3827	1997-09-18	VYDAJ	VYBER	9100	31625	\N	\N	\N
1120403	3827	1997-10-18	VYDAJ	VYBER	13400	27450	\N	\N	\N
1120404	3827	1997-11-17	VYDAJ	VYBER	9100	27567	\N	\N	\N
1120405	3827	1997-12-17	VYDAJ	VYBER	12000	29330	\N	\N	\N
1120406	3827	1998-01-16	VYDAJ	VYBER	4400	27040	\N	\N	\N
1120407	3827	1998-02-15	VYDAJ	VYBER	7000	26041	\N	\N	\N
1120408	3827	1998-03-17	VYDAJ	VYBER	7500	27738	\N	\N	\N
1120409	3827	1998-04-16	VYDAJ	VYBER	13500	23443	\N	\N	\N
1120410	3827	1998-05-16	VYDAJ	VYBER	6900	22441	\N	\N	\N
1120411	3827	1998-06-15	VYDAJ	VYBER	6600	29578	\N	\N	\N
1120412	3827	1998-07-15	VYDAJ	VYBER	9400	29380	\N	\N	\N
1120413	3827	1998-08-14	VYDAJ	VYBER	6400	32195	\N	\N	\N
1120414	3827	1998-09-13	VYDAJ	VYBER	1700	30608	\N	\N	\N
1120415	3827	1998-10-13	VYDAJ	VYBER	1200	34447	\N	\N	\N
1120416	3827	1998-11-12	VYDAJ	VYBER	10500	33206	\N	\N	\N
1120417	3827	1998-12-12	VYDAJ	VYBER	11200	31277	\N	\N	\N
1120469	3828	1997-08-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1120478	3828	1997-09-08	PRIJEM	PREVOD Z UCTU	3016	4116	\N	QR	79247814
1120479	3828	1997-10-08	PRIJEM	PREVOD Z UCTU	3016	7132	\N	QR	79247814
1120480	3828	1997-11-08	PRIJEM	PREVOD Z UCTU	3016	10148	\N	QR	79247814
1120481	3828	1997-12-08	PRIJEM	PREVOD Z UCTU	3016	13164	\N	QR	79247814
1120482	3828	1998-01-08	PRIJEM	PREVOD Z UCTU	3016	16180	\N	QR	79247814
1120483	3828	1998-02-08	PRIJEM	PREVOD Z UCTU	3016	15262	\N	QR	79247814
1120484	3828	1998-03-08	PRIJEM	PREVOD Z UCTU	3016	16314	\N	QR	79247814
1120485	3828	1998-04-08	PRIJEM	PREVOD Z UCTU	3016	15232	\N	QR	79247814
1120486	3828	1998-05-08	PRIJEM	PREVOD Z UCTU	3016	16278	\N	QR	79247814
1120487	3828	1998-06-08	PRIJEM	PREVOD Z UCTU	3016	17328	\N	QR	79247814
1120488	3828	1998-07-08	PRIJEM	PREVOD Z UCTU	3016	18383	\N	QR	79247814
1120489	3828	1998-08-08	PRIJEM	PREVOD Z UCTU	3016	19441	\N	QR	79247814
1120490	3828	1998-09-08	PRIJEM	PREVOD Z UCTU	3016	20504	\N	QR	79247814
1120491	3828	1998-10-08	PRIJEM	PREVOD Z UCTU	3016	19830	\N	QR	79247814
1120492	3828	1998-11-08	PRIJEM	PREVOD Z UCTU	3016	20902	\N	QR	79247814
1120493	3828	1998-12-08	PRIJEM	PREVOD Z UCTU	3016	21977	\N	QR	79247814
1120506	3828	1998-01-08	VYDAJ	PREVOD NA UCET	2010	14170	SIPO	GH	80965399
1120507	3828	1998-02-08	VYDAJ	PREVOD NA UCET	2010	13252	SIPO	GH	80965399
1120508	3828	1998-03-08	VYDAJ	PREVOD NA UCET	2010	14304	SIPO	GH	80965399
1120509	3828	1998-04-08	VYDAJ	PREVOD NA UCET	2010	13222	SIPO	GH	80965399
1120510	3828	1998-05-08	VYDAJ	PREVOD NA UCET	2010	14268	SIPO	GH	80965399
1120511	3828	1998-06-08	VYDAJ	PREVOD NA UCET	2010	15318	SIPO	GH	80965399
1120512	3828	1998-07-08	VYDAJ	PREVOD NA UCET	2010	16373	SIPO	GH	80965399
1120513	3828	1998-08-08	VYDAJ	PREVOD NA UCET	2010	17431	SIPO	GH	80965399
1120514	3828	1998-09-08	VYDAJ	PREVOD NA UCET	2010	18494	SIPO	GH	80965399
1120515	3828	1998-10-08	VYDAJ	PREVOD NA UCET	2010	17820	SIPO	GH	80965399
1120516	3828	1998-11-08	VYDAJ	PREVOD NA UCET	2010	18892	SIPO	GH	80965399
1120517	3828	1998-12-08	VYDAJ	PREVOD NA UCET	2010	19967	SIPO	GH	80965399
1120523	3828	1998-12-20	VYDAJ	VYBER	480	19487	\N	\N	\N
1120530	3828	1998-01-11	VYDAJ	VYBER	330	13840	\N	\N	\N
1120532	3828	1998-01-12	VYDAJ	VYBER	480	13360	\N	\N	\N
1120541	3828	1998-10-04	VYDAJ	VYBER	450	16814	\N	\N	\N
1120542	3828	1998-03-11	VYDAJ	VYBER	1080	13224	\N	\N	\N
1120543	3828	1998-09-24	VYDAJ	VYBER	1290	17204	\N	\N	\N
1120544	3828	1998-01-16	VYDAJ	VYBER	1140	12220	\N	\N	\N
1120545	3828	1998-04-05	VYDAJ	VYBER	1050	12216	\N	\N	\N
1120559	3828	1998-01-31	VYDAJ	VYBER	15	12246	SLUZBY	\N	\N
1120560	3828	1998-02-28	VYDAJ	VYBER	15	13298	SLUZBY	\N	\N
1120561	3828	1998-03-31	VYDAJ	VYBER	15	13266	SLUZBY	\N	\N
1120562	3828	1998-04-30	VYDAJ	VYBER	15	13262	SLUZBY	\N	\N
1120563	3828	1998-05-31	VYDAJ	VYBER	15	14312	SLUZBY	\N	\N
1120564	3828	1998-06-30	VYDAJ	VYBER	15	15367	SLUZBY	\N	\N
1120565	3828	1998-07-31	VYDAJ	VYBER	15	16425	SLUZBY	\N	\N
1120566	3828	1998-08-31	VYDAJ	VYBER	15	17488	SLUZBY	\N	\N
1120567	3828	1998-09-30	VYDAJ	VYBER	15	17264	SLUZBY	\N	\N
1120568	3828	1998-10-31	VYDAJ	VYBER	15	17886	SLUZBY	\N	\N
1120569	3828	1998-11-30	VYDAJ	VYBER	15	18961	SLUZBY	\N	\N
1121160	3830	1997-04-20	PRIJEM	VKLAD	700	700	\N	\N	\N
1121165	3830	1997-05-12	PRIJEM	PREVOD Z UCTU	14313	15013	\N	MN	94253438
1121166	3830	1997-06-12	PRIJEM	PREVOD Z UCTU	21470	40313	\N	MN	94253438
1121167	3830	1997-07-12	PRIJEM	PREVOD Z UCTU	14313	46026	\N	MN	94253438
1121168	3830	1997-08-12	PRIJEM	PREVOD Z UCTU	14313	47874	\N	MN	94253438
1121169	3830	1997-09-12	PRIJEM	PREVOD Z UCTU	14313	46924	\N	MN	94253438
1121170	3830	1997-10-12	PRIJEM	PREVOD Z UCTU	14313	30961	\N	MN	94253438
1121171	3830	1997-11-12	PRIJEM	PREVOD Z UCTU	14313	40487	\N	MN	94253438
1121172	3830	1997-12-12	PRIJEM	PREVOD Z UCTU	21470	52591	\N	MN	94253438
1121173	3830	1998-01-12	PRIJEM	PREVOD Z UCTU	14313	35657	\N	MN	94253438
1121174	3830	1998-02-12	PRIJEM	PREVOD Z UCTU	14313	28868	\N	MN	94253438
1121175	3830	1998-03-12	PRIJEM	PREVOD Z UCTU	14313	29003	\N	MN	94253438
1121176	3830	1998-04-12	PRIJEM	PREVOD Z UCTU	14313	40266	\N	MN	94253438
1121177	3830	1998-05-12	PRIJEM	PREVOD Z UCTU	14313	43964	\N	MN	94253438
1121178	3830	1998-06-12	PRIJEM	PREVOD Z UCTU	21470	50577	\N	MN	94253438
1121179	3830	1998-07-12	PRIJEM	PREVOD Z UCTU	14313	58361	\N	MN	94253438
1121180	3830	1998-08-12	PRIJEM	PREVOD Z UCTU	14313	60374	\N	MN	94253438
1121181	3830	1998-09-12	PRIJEM	PREVOD Z UCTU	14313	61693	\N	MN	94253438
1121182	3830	1998-10-12	PRIJEM	PREVOD Z UCTU	14313	51113	\N	MN	94253438
1121183	3830	1998-11-12	PRIJEM	PREVOD Z UCTU	14313	48881	\N	MN	94253438
1121184	3830	1998-12-12	PRIJEM	PREVOD Z UCTU	21470	57484	\N	MN	94253438
1121194	3830	1997-10-08	VYDAJ	PREVOD NA UCET	5498	16648	SIPO	EF	9319293
1121195	3830	1997-11-08	VYDAJ	PREVOD NA UCET	5498	26174	SIPO	EF	9319293
1121196	3830	1997-12-08	VYDAJ	PREVOD NA UCET	5498	31121	SIPO	EF	9319293
1121197	3830	1998-01-08	VYDAJ	PREVOD NA UCET	5498	21344	SIPO	EF	9319293
1121198	3830	1998-02-08	VYDAJ	PREVOD NA UCET	5498	14555	SIPO	EF	9319293
1121199	3830	1998-03-08	VYDAJ	PREVOD NA UCET	5498	14690	SIPO	EF	9319293
1121200	3830	1998-04-08	VYDAJ	PREVOD NA UCET	5498	25953	SIPO	EF	9319293
1121201	3830	1998-05-08	VYDAJ	PREVOD NA UCET	5498	29651	SIPO	EF	9319293
1121202	3830	1998-06-08	VYDAJ	PREVOD NA UCET	5498	29107	SIPO	EF	9319293
1121203	3830	1998-07-08	VYDAJ	PREVOD NA UCET	5498	44048	SIPO	EF	9319293
1121204	3830	1998-08-08	VYDAJ	PREVOD NA UCET	5498	46061	SIPO	EF	9319293
1121205	3830	1998-09-08	VYDAJ	PREVOD NA UCET	5498	47380	SIPO	EF	9319293
1121206	3830	1998-10-08	VYDAJ	PREVOD NA UCET	5498	32900	SIPO	EF	9319293
1121207	3830	1998-11-08	VYDAJ	PREVOD NA UCET	5498	18768	SIPO	EF	9319293
1121208	3830	1998-12-08	VYDAJ	PREVOD NA UCET	5498	23914	SIPO	EF	9319293
1121210	3830	1998-02-14	VYBER	VYBER	7025	23643	\N	\N	\N
1121212	3830	1998-04-15	VYBER	VYBER	10045	35021	\N	\N	\N
1121213	3830	1998-02-20	VYBER	VYBER	3530	20113	\N	\N	\N
1121214	3830	1998-03-16	VYBER	VYBER	5050	31353	\N	\N	\N
1121215	3830	1998-12-05	VYBER	VYBER	19637	29412	\N	\N	\N
1121217	3830	1998-11-08	VYBER	VYBER	14998	24266	\N	\N	\N
1121218	3830	1998-12-13	VYBER	VYBER	21580	35904	\N	\N	\N
1121219	3830	1998-05-27	VYBER	VYBER	9312	34452	\N	\N	\N
1121224	3830	1997-12-24	VYDAJ	VYBER	5100	36291	\N	\N	\N
1121232	3830	1998-01-17	VYDAJ	VYBER	8100	22957	\N	\N	\N
1121233	3830	1998-01-07	VYDAJ	VYBER	3300	26842	\N	\N	\N
1121234	3830	1998-01-29	VYDAJ	VYBER	3000	19957	\N	\N	\N
1121235	3830	1998-01-05	VYDAJ	VYBER	2700	33742	\N	\N	\N
1121236	3830	1998-01-14	VYDAJ	VYBER	4800	30857	\N	\N	\N
1121237	3830	1998-01-06	VYDAJ	VYBER	3600	30142	\N	\N	\N
1121241	3830	1997-10-04	VYDAJ	VYBER	11100	22146	\N	\N	\N
1121243	3830	1998-09-15	VYDAJ	VYBER	3300	51993	\N	\N	\N
1121244	3830	1998-10-01	VYDAJ	VYBER	13800	38398	\N	\N	\N
1121245	3830	1998-05-26	VYDAJ	VYBER	2400	43764	\N	\N	\N
1121246	3830	1998-12-26	VYDAJ	VYBER	12900	23004	\N	\N	\N
1121247	3830	1998-10-30	VYDAJ	VYBER	12000	39113	\N	\N	\N
1121257	3830	1997-09-30	VYDAJ	VYBER	15	33246	SLUZBY	\N	\N
1121258	3830	1997-10-31	VYDAJ	VYBER	15	31672	SLUZBY	\N	\N
1121259	3830	1997-11-30	VYDAJ	VYBER	15	36619	SLUZBY	\N	\N
1121260	3830	1997-12-31	VYDAJ	VYBER	15	36442	SLUZBY	\N	\N
1121261	3830	1998-01-31	VYDAJ	VYBER	15	20053	SLUZBY	\N	\N
1121262	3830	1998-02-28	VYDAJ	VYBER	15	20188	SLUZBY	\N	\N
1121263	3830	1998-03-31	VYDAJ	VYBER	15	31451	SLUZBY	\N	\N
1121264	3830	1998-04-30	VYDAJ	VYBER	15	35149	SLUZBY	\N	\N
1121265	3830	1998-05-31	VYDAJ	VYBER	15	34605	SLUZBY	\N	\N
1121266	3830	1998-06-30	VYDAJ	VYBER	15	49546	SLUZBY	\N	\N
1121267	3830	1998-07-31	VYDAJ	VYBER	15	51559	SLUZBY	\N	\N
1121268	3830	1998-08-31	VYDAJ	VYBER	15	52878	SLUZBY	\N	\N
1121269	3830	1998-09-30	VYDAJ	VYBER	15	52198	SLUZBY	\N	\N
1121270	3830	1998-10-31	VYDAJ	VYBER	15	39264	SLUZBY	\N	\N
1121271	3830	1998-11-30	VYDAJ	VYBER	15	49049	SLUZBY	\N	\N
1121272	3830	1997-05-20	PRIJEM	VKLAD	3800	18813	\N	\N	\N
1121273	3830	1997-06-19	VYDAJ	VYBER	8700	31613	\N	\N	\N
1121274	3830	1997-07-19	VYDAJ	VYBER	12600	33426	\N	\N	\N
1121275	3830	1997-08-18	VYDAJ	VYBER	15400	32474	\N	\N	\N
1121276	3830	1997-09-17	VYDAJ	VYBER	13800	33124	\N	\N	\N
1121277	3830	1997-10-17	PRIJEM	VKLAD	600	31561	\N	\N	\N
1121278	3830	1997-11-16	VYDAJ	VYBER	4000	36487	\N	\N	\N
1121279	3830	1997-12-16	VYDAJ	VYBER	11200	41391	\N	\N	\N
1121280	3830	1998-01-15	PRIJEM	VKLAD	200	31057	\N	\N	\N
1121281	3830	1998-02-14	PRIJEM	VKLAD	1800	30668	\N	\N	\N
1121282	3830	1998-03-16	PRIJEM	VKLAD	7400	36403	\N	\N	\N
1121283	3830	1998-04-15	PRIJEM	VKLAD	4800	45066	\N	\N	\N
1121284	3830	1998-05-15	PRIJEM	VKLAD	2200	46164	\N	\N	\N
1121285	3830	1998-06-14	VYDAJ	VYBER	1200	49377	\N	\N	\N
1121286	3830	1998-07-14	VYDAJ	VYBER	7000	51361	\N	\N	\N
1121287	3830	1998-08-13	VYDAJ	VYBER	7700	52674	\N	\N	\N
1121288	3830	1998-09-12	VYDAJ	VYBER	6400	55293	\N	\N	\N
1121289	3830	1998-10-12	PRIJEM	VKLAD	3900	36800	\N	\N	\N
1121290	3830	1998-11-11	PRIJEM	VKLAD	15800	34568	\N	\N	\N
1121291	3830	1998-12-11	PRIJEM	VKLAD	12100	36014	\N	\N	\N
1121574	3832	1996-01-22	PRIJEM	VKLAD	200	200	\N	\N	\N
1121576	3832	1996-02-13	PRIJEM	VKLAD	7780	7980	\N	\N	\N
1121577	3832	1996-03-13	PRIJEM	VKLAD	7780	22679	\N	\N	\N
1121578	3832	1996-04-13	PRIJEM	VKLAD	7780	29430	\N	\N	\N
1121579	3832	1996-05-13	PRIJEM	VKLAD	7780	31403	\N	\N	\N
1121580	3832	1996-06-13	PRIJEM	VKLAD	11670	34570	\N	\N	\N
1121581	3832	1996-07-13	PRIJEM	VKLAD	7780	31803	\N	\N	\N
1121582	3832	1996-08-13	PRIJEM	VKLAD	7780	29433	\N	\N	\N
1121583	3832	1996-09-13	PRIJEM	VKLAD	7780	29679	\N	\N	\N
1121584	3832	1996-10-13	PRIJEM	VKLAD	7780	30103	\N	\N	\N
1121585	3832	1996-11-13	PRIJEM	VKLAD	7780	31933	\N	\N	\N
1121586	3832	1996-12-13	PRIJEM	VKLAD	11670	39863	\N	\N	\N
1121587	3832	1997-01-13	PRIJEM	VKLAD	7780	21229	\N	\N	\N
1121588	3832	1997-02-13	PRIJEM	VKLAD	7780	23391	\N	\N	\N
1121589	3832	1997-03-13	PRIJEM	VKLAD	7780	29300	\N	\N	\N
1121590	3832	1997-04-13	PRIJEM	VKLAD	7780	28721	\N	\N	\N
1121591	3832	1997-05-13	PRIJEM	VKLAD	7780	31746	\N	\N	\N
1121592	3832	1997-06-13	PRIJEM	VKLAD	11670	31219	\N	\N	\N
1121593	3832	1997-07-13	PRIJEM	VKLAD	7780	24231	\N	\N	\N
1121594	3832	1997-08-13	PRIJEM	VKLAD	7780	21969	\N	\N	\N
1121595	3832	1997-09-13	PRIJEM	VKLAD	7780	26480	\N	\N	\N
1121596	3832	1997-10-13	PRIJEM	VKLAD	7780	27391	\N	\N	\N
1121597	3832	1997-11-13	PRIJEM	VKLAD	7780	25404	\N	\N	\N
1121598	3832	1997-12-13	PRIJEM	VKLAD	11670	31591	\N	\N	\N
1121599	3832	1998-01-13	PRIJEM	VKLAD	7780	27105	\N	\N	\N
1121600	3832	1998-02-13	PRIJEM	VKLAD	7780	27486	\N	\N	\N
1121601	3832	1998-03-13	PRIJEM	VKLAD	7780	29480	\N	\N	\N
1121602	3832	1998-04-13	PRIJEM	VKLAD	7780	29508	\N	\N	\N
1121603	3832	1998-05-13	PRIJEM	VKLAD	7780	27742	\N	\N	\N
1121604	3832	1998-06-13	PRIJEM	VKLAD	11670	29862	\N	\N	\N
1121605	3832	1998-07-13	PRIJEM	VKLAD	7780	28695	\N	\N	\N
1121606	3832	1998-08-13	PRIJEM	VKLAD	7780	25427	\N	\N	\N
1121607	3832	1998-09-13	PRIJEM	VKLAD	7780	22650	\N	\N	\N
1121608	3832	1998-10-13	PRIJEM	VKLAD	7780	21860	\N	\N	\N
1121609	3832	1998-11-13	PRIJEM	VKLAD	7780	25364	\N	\N	\N
1121610	3832	1998-12-13	PRIJEM	VKLAD	11670	23265	\N	\N	\N
1121617	3832	1996-07-12	VYDAJ	PREVOD NA UCET	160	24023	SIPO	IJ	97227751
1121618	3832	1996-08-12	VYDAJ	PREVOD NA UCET	160	21653	SIPO	IJ	97227751
1121619	3832	1996-09-12	VYDAJ	PREVOD NA UCET	160	21899	SIPO	IJ	97227751
1121620	3832	1996-10-12	VYDAJ	PREVOD NA UCET	160	22323	SIPO	IJ	97227751
1121621	3832	1996-11-12	VYDAJ	PREVOD NA UCET	160	24153	SIPO	IJ	97227751
1121622	3832	1996-12-12	VYDAJ	PREVOD NA UCET	160	28193	SIPO	IJ	97227751
1121623	3832	1997-01-12	VYDAJ	PREVOD NA UCET	160	13449	SIPO	IJ	97227751
1121624	3832	1997-02-12	VYDAJ	PREVOD NA UCET	160	15611	SIPO	IJ	97227751
1121625	3832	1997-03-12	VYDAJ	PREVOD NA UCET	160	21520	SIPO	IJ	97227751
1121626	3832	1997-04-12	VYDAJ	PREVOD NA UCET	160	20941	SIPO	IJ	97227751
1121627	3832	1997-05-12	VYDAJ	PREVOD NA UCET	160	23966	SIPO	IJ	97227751
1121628	3832	1997-06-12	VYDAJ	PREVOD NA UCET	160	19549	SIPO	IJ	97227751
1121629	3832	1997-07-12	VYDAJ	PREVOD NA UCET	160	16451	SIPO	IJ	97227751
1121630	3832	1997-08-12	VYDAJ	PREVOD NA UCET	160	14189	SIPO	IJ	97227751
1121631	3832	1997-09-12	VYDAJ	PREVOD NA UCET	160	18700	SIPO	IJ	97227751
1121632	3832	1997-10-12	VYDAJ	PREVOD NA UCET	160	19611	SIPO	IJ	97227751
1121633	3832	1997-11-12	VYDAJ	PREVOD NA UCET	160	20424	SIPO	IJ	97227751
1121634	3832	1997-12-12	VYDAJ	PREVOD NA UCET	160	19921	SIPO	IJ	97227751
1121635	3832	1998-01-12	VYDAJ	PREVOD NA UCET	160	19325	SIPO	IJ	97227751
1121636	3832	1998-02-12	VYDAJ	PREVOD NA UCET	160	19706	SIPO	IJ	97227751
1121637	3832	1998-03-12	VYDAJ	PREVOD NA UCET	160	21700	SIPO	IJ	97227751
1121638	3832	1998-04-12	VYDAJ	PREVOD NA UCET	160	21728	SIPO	IJ	97227751
1121639	3832	1998-05-12	VYDAJ	PREVOD NA UCET	160	19962	SIPO	IJ	97227751
1121640	3832	1998-06-12	VYDAJ	PREVOD NA UCET	160	18192	SIPO	IJ	97227751
1121641	3832	1998-07-12	VYDAJ	PREVOD NA UCET	160	20915	SIPO	IJ	97227751
1121642	3832	1998-08-12	VYDAJ	PREVOD NA UCET	160	17647	SIPO	IJ	97227751
1121643	3832	1998-09-12	VYDAJ	PREVOD NA UCET	160	14870	SIPO	IJ	97227751
1121644	3832	1998-10-12	VYDAJ	PREVOD NA UCET	160	14080	SIPO	IJ	97227751
1121645	3832	1998-11-12	VYDAJ	PREVOD NA UCET	160	17584	SIPO	IJ	97227751
1121646	3832	1998-12-12	VYDAJ	PREVOD NA UCET	160	11595	SIPO	IJ	97227751
1121652	3832	1996-06-14	VYDAJ	PREVOD NA UCET	4176	30394	 	UV	41750305
1121653	3832	1996-07-14	VYDAJ	PREVOD NA UCET	4176	27627	 	UV	41750305
1121654	3832	1996-08-14	VYDAJ	PREVOD NA UCET	4176	24177	 	UV	41750305
1121655	3832	1996-09-14	VYDAJ	PREVOD NA UCET	4176	25503	 	UV	41750305
1121656	3832	1996-10-14	VYDAJ	PREVOD NA UCET	4176	25927	 	UV	41750305
1121657	3832	1996-11-14	VYDAJ	PREVOD NA UCET	4176	27757	 	UV	41750305
1121658	3832	1996-12-14	VYDAJ	PREVOD NA UCET	4176	35687	 	UV	41750305
1121659	3832	1997-01-14	VYDAJ	PREVOD NA UCET	4176	17053	 	UV	41750305
1121660	3832	1997-02-14	VYDAJ	PREVOD NA UCET	4176	19215	 	UV	41750305
1121661	3832	1997-03-14	VYDAJ	PREVOD NA UCET	4176	25124	 	UV	41750305
1121662	3832	1997-04-14	VYDAJ	PREVOD NA UCET	4176	24545	 	UV	41750305
1121663	3832	1997-05-14	VYDAJ	PREVOD NA UCET	4176	27570	 	UV	41750305
1121664	3832	1997-06-14	VYDAJ	PREVOD NA UCET	4176	27043	 	UV	41750305
1121665	3832	1997-07-14	VYDAJ	PREVOD NA UCET	4176	20055	 	UV	41750305
1121666	3832	1997-08-14	VYDAJ	PREVOD NA UCET	4176	18793	 	UV	41750305
1121667	3832	1997-09-14	VYDAJ	PREVOD NA UCET	4176	19704	 	UV	41750305
1121668	3832	1997-10-14	VYDAJ	PREVOD NA UCET	4176	20515	 	UV	41750305
1121669	3832	1997-11-14	VYDAJ	PREVOD NA UCET	4176	21228	 	UV	41750305
1121670	3832	1997-12-14	VYDAJ	PREVOD NA UCET	4176	27415	 	UV	41750305
1121671	3832	1998-01-14	VYDAJ	PREVOD NA UCET	4176	22929	 	UV	41750305
1121672	3832	1998-02-14	VYDAJ	PREVOD NA UCET	4176	23310	 	UV	41750305
1121673	3832	1998-03-14	VYDAJ	PREVOD NA UCET	4176	25304	 	UV	41750305
1121674	3832	1998-04-14	VYDAJ	PREVOD NA UCET	4176	25332	 	UV	41750305
1121675	3832	1998-05-14	VYDAJ	PREVOD NA UCET	4176	23566	 	UV	41750305
1121676	3832	1998-06-14	VYDAJ	PREVOD NA UCET	4176	25686	 	UV	41750305
1121677	3832	1998-07-14	VYDAJ	PREVOD NA UCET	4176	24519	 	UV	41750305
1121678	3832	1998-08-14	VYDAJ	PREVOD NA UCET	4176	21251	 	UV	41750305
1121679	3832	1998-09-14	VYDAJ	PREVOD NA UCET	4176	18474	 	UV	41750305
1121680	3832	1998-10-14	VYDAJ	PREVOD NA UCET	4176	17684	 	UV	41750305
1121681	3832	1998-11-14	VYDAJ	PREVOD NA UCET	4176	21188	 	UV	41750305
1121682	3832	1998-12-14	VYDAJ	PREVOD NA UCET	4176	19089	 	UV	41750305
1121684	3832	1997-06-19	VYDAJ	VYBER	8800	16543	\N	\N	\N
1121686	3832	1996-12-25	VYDAJ	VYBER	1440	25147	\N	\N	\N
1121687	3832	1997-12-02	VYDAJ	VYBER	3520	17781	\N	\N	\N
1121688	3832	1998-12-03	VYDAJ	VYBER	4000	17255	\N	\N	\N
1121695	3832	1997-01-14	VYDAJ	VYBER	1560	15493	\N	\N	\N
1121696	3832	1997-01-19	VYDAJ	VYBER	2520	17273	\N	\N	\N
1121697	3832	1997-01-30	VYDAJ	VYBER	1560	15713	\N	\N	\N
1121698	3832	1997-01-08	VYDAJ	VYBER	2400	13609	\N	\N	\N
1121700	3832	1997-01-08	VYDAJ	VYBER	3480	16009	\N	\N	\N
1121701	3832	1998-01-23	VYDAJ	VYBER	1680	21249	\N	\N	\N
1121702	3832	1998-01-27	VYDAJ	VYBER	1440	17289	\N	\N	\N
1121703	3832	1998-01-03	VYDAJ	VYBER	2760	24745	\N	\N	\N
1121704	3832	1998-01-10	VYDAJ	VYBER	1320	20785	\N	\N	\N
1121705	3832	1998-01-26	VYDAJ	VYBER	2520	18729	\N	\N	\N
1121706	3832	1998-01-05	VYDAJ	VYBER	2640	22105	\N	\N	\N
1121707	3832	1996-12-18	VYDAJ	VYBER	2400	26587	\N	\N	\N
1121709	3832	1996-08-14	VYDAJ	VYBER	1080	28353	\N	\N	\N
1121710	3832	1996-12-30	VYDAJ	VYBER	5760	19387	\N	\N	\N
1121712	3832	1997-05-17	VYDAJ	VYBER	5040	19630	\N	\N	\N
1121713	3832	1997-07-21	VYDAJ	VYBER	5160	14295	\N	\N	\N
1121714	3832	1998-12-25	VYDAJ	VYBER	2880	16209	\N	\N	\N
1121715	3832	1998-02-22	VYDAJ	VYBER	2520	20790	\N	\N	\N
1121722	3832	1996-06-30	VYDAJ	VYBER	15	24183	SLUZBY	\N	\N
1121723	3832	1996-07-31	VYDAJ	VYBER	15	21813	SLUZBY	\N	\N
1121724	3832	1996-08-31	VYDAJ	VYBER	15	22059	SLUZBY	\N	\N
1121725	3832	1996-09-30	VYDAJ	VYBER	15	22483	SLUZBY	\N	\N
1121726	3832	1996-10-31	VYDAJ	VYBER	15	24313	SLUZBY	\N	\N
1121727	3832	1996-11-30	VYDAJ	VYBER	15	28353	SLUZBY	\N	\N
1121728	3832	1996-12-31	VYDAJ	VYBER	15	19489	SLUZBY	\N	\N
1121729	3832	1997-01-31	VYDAJ	VYBER	15	15771	SLUZBY	\N	\N
1121730	3832	1997-02-28	VYDAJ	VYBER	15	21680	SLUZBY	\N	\N
1121731	3832	1997-03-31	VYDAJ	VYBER	15	21101	SLUZBY	\N	\N
1121732	3832	1997-04-30	VYDAJ	VYBER	15	24126	SLUZBY	\N	\N
1121733	3832	1997-05-31	VYDAJ	VYBER	15	19709	SLUZBY	\N	\N
1121734	3832	1997-06-30	VYDAJ	VYBER	15	16611	SLUZBY	\N	\N
1121735	3832	1997-07-31	VYDAJ	VYBER	15	14349	SLUZBY	\N	\N
1121736	3832	1997-08-31	VYDAJ	VYBER	15	18860	SLUZBY	\N	\N
1121737	3832	1997-09-30	VYDAJ	VYBER	15	19771	SLUZBY	\N	\N
1121738	3832	1997-10-31	VYDAJ	VYBER	15	20584	SLUZBY	\N	\N
1121739	3832	1997-11-30	VYDAJ	VYBER	15	21301	SLUZBY	\N	\N
1121740	3832	1997-12-31	VYDAJ	VYBER	15	27505	SLUZBY	\N	\N
1121741	3832	1998-01-31	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
1121742	3832	1998-02-28	VYDAJ	VYBER	15	20860	SLUZBY	\N	\N
1121743	3832	1998-03-31	VYDAJ	VYBER	15	25388	SLUZBY	\N	\N
1121744	3832	1998-04-30	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
1121745	3832	1998-05-31	VYDAJ	VYBER	15	23652	SLUZBY	\N	\N
1121746	3832	1998-06-30	VYDAJ	VYBER	15	25775	SLUZBY	\N	\N
1121747	3832	1998-07-31	VYDAJ	VYBER	15	24607	SLUZBY	\N	\N
1121748	3832	1998-08-31	VYDAJ	VYBER	15	21330	SLUZBY	\N	\N
1121749	3832	1998-09-30	VYDAJ	VYBER	15	18540	SLUZBY	\N	\N
1121750	3832	1998-10-31	VYDAJ	VYBER	15	17744	SLUZBY	\N	\N
1121751	3832	1998-11-30	VYDAJ	VYBER	15	21255	SLUZBY	\N	\N
1121752	3832	1996-02-21	PRIJEM	VKLAD	6900	14880	\N	\N	\N
1121753	3832	1996-03-22	VYDAJ	VYBER	1100	21579	\N	\N	\N
1121754	3832	1996-04-21	VYDAJ	VYBER	5900	23530	\N	\N	\N
1121755	3832	1996-05-21	VYDAJ	VYBER	8600	22803	\N	\N	\N
1121756	3832	1996-06-20	VYDAJ	VYBER	6300	24094	\N	\N	\N
1121757	3832	1996-07-20	VYDAJ	VYBER	5900	21727	\N	\N	\N
1121758	3832	1996-08-19	VYDAJ	VYBER	2200	21977	\N	\N	\N
1121759	3832	1996-09-18	VYDAJ	VYBER	3100	22403	\N	\N	\N
1121760	3832	1996-10-18	VYDAJ	VYBER	1700	24227	\N	\N	\N
1121761	3832	1996-11-17	PRIJEM	VKLAD	500	28257	\N	\N	\N
1121762	3832	1996-12-17	VYDAJ	VYBER	6700	28987	\N	\N	\N
1121763	3832	1997-01-16	PRIJEM	VKLAD	4300	19793	\N	\N	\N
1121764	3832	1997-02-15	PRIJEM	VKLAD	2400	21615	\N	\N	\N
1121765	3832	1997-03-17	VYDAJ	VYBER	4100	21024	\N	\N	\N
1121766	3832	1997-04-16	VYDAJ	VYBER	500	24045	\N	\N	\N
1121767	3832	1997-05-16	VYDAJ	VYBER	2900	24670	\N	\N	\N
1121768	3832	1997-06-15	VYDAJ	VYBER	1700	25343	\N	\N	\N
1121769	3832	1997-07-15	VYDAJ	VYBER	600	19455	\N	\N	\N
1121770	3832	1997-08-14	PRIJEM	VKLAD	1000	22969	\N	\N	\N
1121771	3832	1997-09-13	VYDAJ	VYBER	2600	23880	\N	\N	\N
1121772	3832	1997-10-13	VYDAJ	VYBER	2700	24691	\N	\N	\N
1121773	3832	1997-11-12	VYDAJ	VYBER	2800	17624	\N	\N	\N
1121774	3832	1997-12-12	PRIJEM	VKLAD	2300	20081	\N	\N	\N
1121775	3832	1998-01-11	VYDAJ	VYBER	1300	19485	\N	\N	\N
1121776	3832	1998-02-10	PRIJEM	VKLAD	2500	19866	\N	\N	\N
1121777	3832	1998-03-12	PRIJEM	VKLAD	1000	21860	\N	\N	\N
1121778	3832	1998-04-11	VYDAJ	VYBER	3500	21888	\N	\N	\N
1121779	3832	1998-05-11	VYDAJ	VYBER	5300	20122	\N	\N	\N
1121780	3832	1998-06-10	VYDAJ	VYBER	5300	18352	\N	\N	\N
1121781	3832	1998-07-10	VYDAJ	VYBER	4700	21075	\N	\N	\N
1121782	3832	1998-08-09	VYDAJ	VYBER	6800	17807	\N	\N	\N
1121783	3832	1998-09-08	VYDAJ	VYBER	6300	15030	\N	\N	\N
1121784	3832	1998-10-08	VYDAJ	VYBER	4300	14240	\N	\N	\N
1121785	3832	1998-12-07	VYDAJ	VYBER	5500	11755	\N	\N	\N
1121821	3833	1997-07-13	PRIJEM	VKLAD	800	800	\N	\N	\N
1121824	3833	1997-09-05	PRIJEM	VKLAD	27701	79134	\N	\N	\N
1121826	3833	1997-07-15	PRIJEM	VKLAD	21863	22663	\N	\N	\N
1121829	3833	1997-07-17	PRIJEM	VKLAD	31554	54217	\N	\N	\N
1121830	3833	1997-08-25	PRIJEM	VKLAD	13777	51209	\N	\N	\N
1121832	3833	1998-01-09	PRIJEM	VKLAD	38223	107869	\N	\N	\N
1121833	3833	1998-05-18	PRIJEM	VKLAD	39921	120180	\N	\N	\N
1121834	3833	1998-05-10	PRIJEM	VKLAD	47127	87019	\N	\N	\N
1121835	3833	1998-09-25	PRIJEM	VKLAD	16811	34832	\N	\N	\N
1121836	3833	1998-01-08	PRIJEM	VKLAD	34888	69646	\N	\N	\N
1121837	3833	1998-10-10	PRIJEM	VKLAD	48446	74372	\N	\N	\N
1121838	3833	1998-10-20	PRIJEM	VKLAD	20712	64264	\N	\N	\N
1121839	3833	1998-08-29	PRIJEM	VKLAD	20814	32227	\N	\N	\N
1121840	3833	1998-04-20	PRIJEM	VKLAD	41603	57379	\N	\N	\N
1121841	3833	1998-11-16	PRIJEM	VKLAD	25081	51788	\N	\N	\N
1121842	3833	1998-12-29	PRIJEM	VKLAD	46194	85546	\N	\N	\N
1121843	3833	1998-12-06	PRIJEM	VKLAD	32049	59012	\N	\N	\N
1121856	3833	1998-01-11	VYDAJ	PREVOD NA UCET	6760	36509	SIPO	MN	68814772
1121857	3833	1998-02-11	VYDAJ	PREVOD NA UCET	6760	17183	SIPO	MN	68814772
1121858	3833	1998-03-11	VYDAJ	PREVOD NA UCET	6760	14985	SIPO	MN	68814772
1121859	3833	1998-04-11	VYDAJ	PREVOD NA UCET	6760	15776	SIPO	MN	68814772
1121860	3833	1998-05-11	VYDAJ	PREVOD NA UCET	6760	80259	SIPO	MN	68814772
1121861	3833	1998-06-11	VYDAJ	PREVOD NA UCET	6760	33680	SIPO	MN	68814772
1121862	3833	1998-07-11	VYDAJ	PREVOD NA UCET	6760	20783	SIPO	MN	68814772
1121863	3833	1998-08-11	VYDAJ	PREVOD NA UCET	6760	11413	SIPO	MN	68814772
1121864	3833	1998-09-11	VYDAJ	PREVOD NA UCET	6760	18021	SIPO	MN	68814772
1121865	3833	1998-10-11	VYDAJ	PREVOD NA UCET	6760	67612	SIPO	MN	68814772
1121866	3833	1998-11-11	VYDAJ	PREVOD NA UCET	6760	26707	SIPO	MN	68814772
1121867	3833	1998-12-11	VYDAJ	PREVOD NA UCET	6760	52252	SIPO	MN	68814772
1121870	3833	1998-10-14	VYBER	VYBER	24060	43552	\N	\N	\N
1121876	3833	1998-12-25	VYDAJ	VYBER	3900	39352	\N	\N	\N
1121883	3833	1998-01-17	VYDAJ	VYBER	8400	22709	\N	\N	\N
1121884	3833	1998-01-29	VYDAJ	VYBER	2100	20609	\N	\N	\N
1121888	3833	1998-01-13	VYDAJ	VYBER	5400	31109	\N	\N	\N
1121895	3833	1998-12-15	VYDAJ	VYBER	9000	43252	\N	\N	\N
1121896	3833	1998-12-03	VYDAJ	VYBER	9000	42963	\N	\N	\N
1121897	3833	1998-11-03	VYDAJ	VYBER	13800	50667	\N	\N	\N
1121915	3833	1998-01-31	VYDAJ	VYBER	15	20743	SLUZBY	\N	\N
1121916	3833	1998-02-28	VYDAJ	VYBER	15	17245	SLUZBY	\N	\N
1121917	3833	1998-03-31	VYDAJ	VYBER	15	15036	SLUZBY	\N	\N
1121918	3833	1998-04-30	VYDAJ	VYBER	15	57492	SLUZBY	\N	\N
1121919	3833	1998-05-31	VYDAJ	VYBER	15	60740	SLUZBY	\N	\N
1121920	3833	1998-06-30	VYDAJ	VYBER	15	33843	SLUZBY	\N	\N
1121921	3833	1998-07-31	VYDAJ	VYBER	15	20873	SLUZBY	\N	\N
1121922	3833	1998-08-31	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
1121923	3833	1998-09-30	VYDAJ	VYBER	15	34926	SLUZBY	\N	\N
1121924	3833	1998-10-31	VYDAJ	VYBER	15	64467	SLUZBY	\N	\N
1121925	3833	1998-11-30	VYDAJ	VYBER	15	51963	SLUZBY	\N	\N
1121926	3833	1997-08-12	VYDAJ	VYBER	16900	37432	\N	\N	\N
1121927	3833	1997-09-11	VYDAJ	VYBER	23300	55834	\N	\N	\N
1121928	3833	1997-10-11	VYDAJ	VYBER	13500	42560	\N	\N	\N
1121929	3833	1997-11-10	VYDAJ	VYBER	3000	39792	\N	\N	\N
1121930	3833	1997-12-10	VYDAJ	VYBER	5500	34525	\N	\N	\N
1121931	3833	1998-01-09	VYDAJ	VYBER	44600	63269	\N	\N	\N
1121932	3833	1998-01-09	VYDAJ	VYBER	20000	43269	\N	\N	\N
1121933	3833	1998-02-08	PRIJEM	VKLAD	3200	23943	\N	\N	\N
1121934	3833	1998-03-10	PRIJEM	VKLAD	4500	21745	\N	\N	\N
1121935	3833	1998-04-09	PRIJEM	VKLAD	7500	22536	\N	\N	\N
1121936	3833	1998-05-09	VYDAJ	VYBER	17600	39892	\N	\N	\N
1121937	3833	1998-05-18	VYDAJ	VYBER	59800	60380	\N	\N	\N
1121938	3833	1998-06-08	VYDAJ	VYBER	20300	40440	\N	\N	\N
1121939	3833	1998-07-08	VYDAJ	VYBER	6300	27543	\N	\N	\N
1121940	3833	1998-08-07	VYDAJ	VYBER	2700	18173	\N	\N	\N
1121941	3833	1998-09-06	VYDAJ	VYBER	7500	24781	\N	\N	\N
1121942	3833	1998-10-06	VYDAJ	VYBER	9000	25926	\N	\N	\N
1121943	3833	1998-11-05	VYDAJ	VYBER	17200	33467	\N	\N	\N
1121944	3833	1998-12-05	VYDAJ	VYBER	16000	26963	\N	\N	\N
1121963	3834	1993-01-19	PRIJEM	VKLAD	700	700	\N	\N	\N
1121965	3834	1993-02-12	PRIJEM	VKLAD	13875	14575	\N	\N	\N
1121966	3834	1993-03-12	PRIJEM	VKLAD	13875	35085	\N	\N	\N
1121967	3834	1993-04-12	PRIJEM	VKLAD	13875	42360	\N	\N	\N
1121968	3834	1993-05-12	PRIJEM	VKLAD	13875	48763	\N	\N	\N
1121969	3834	1993-06-12	PRIJEM	VKLAD	20812	54322	\N	\N	\N
1121970	3834	1993-07-12	PRIJEM	VKLAD	13875	20666	\N	\N	\N
1121971	3834	1993-08-12	PRIJEM	VKLAD	13875	29260	\N	\N	\N
1121972	3834	1993-09-12	PRIJEM	VKLAD	13875	24956	\N	\N	\N
1121973	3834	1993-10-12	PRIJEM	VKLAD	13875	32465	\N	\N	\N
1121974	3834	1993-11-12	PRIJEM	VKLAD	13875	34895	\N	\N	\N
1121975	3834	1993-12-12	PRIJEM	VKLAD	20812	45777	\N	\N	\N
1121976	3834	1994-01-12	PRIJEM	VKLAD	13875	34954	\N	\N	\N
1121977	3834	1994-02-12	PRIJEM	VKLAD	13875	21237	\N	\N	\N
1121978	3834	1994-03-12	PRIJEM	VKLAD	13875	27029	\N	\N	\N
1121979	3834	1994-04-12	PRIJEM	VKLAD	13875	22864	\N	\N	\N
1121980	3834	1994-05-12	PRIJEM	VKLAD	13875	29068	\N	\N	\N
1121981	3834	1994-06-12	PRIJEM	VKLAD	20812	34376	\N	\N	\N
1121982	3834	1994-07-12	PRIJEM	VKLAD	13875	25583	\N	\N	\N
1121983	3834	1994-08-12	PRIJEM	VKLAD	13875	28693	\N	\N	\N
1121984	3834	1994-09-12	PRIJEM	VKLAD	13875	34314	\N	\N	\N
1121985	3834	1994-10-12	PRIJEM	VKLAD	13875	38926	\N	\N	\N
1121986	3834	1994-11-12	PRIJEM	VKLAD	13875	39263	\N	\N	\N
1121987	3834	1994-12-12	PRIJEM	VKLAD	20812	49242	\N	\N	\N
1121988	3834	1995-01-12	PRIJEM	VKLAD	13875	36937	\N	\N	\N
1121989	3834	1995-02-12	PRIJEM	VKLAD	13875	30075	\N	\N	\N
1121990	3834	1995-03-12	PRIJEM	VKLAD	13875	31848	\N	\N	\N
1121991	3834	1995-04-12	PRIJEM	VKLAD	13875	35864	\N	\N	\N
1121992	3834	1995-05-12	PRIJEM	VKLAD	13875	39693	\N	\N	\N
1121993	3834	1995-06-12	PRIJEM	VKLAD	20812	44974	\N	\N	\N
1121994	3834	1995-07-12	PRIJEM	VKLAD	13875	31996	\N	\N	\N
1121995	3834	1995-08-12	PRIJEM	VKLAD	13875	34505	\N	\N	\N
1121996	3834	1995-09-12	PRIJEM	VKLAD	13875	35930	\N	\N	\N
1121997	3834	1995-10-12	PRIJEM	VKLAD	13875	36939	\N	\N	\N
1121998	3834	1995-11-12	PRIJEM	VKLAD	13875	36796	\N	\N	\N
1121999	3834	1995-12-12	PRIJEM	VKLAD	20812	39185	\N	\N	\N
1122000	3834	1996-01-12	PRIJEM	VKLAD	13875	34517	\N	\N	\N
1122001	3834	1996-02-12	PRIJEM	VKLAD	13875	29551	\N	\N	\N
1122002	3834	1996-03-12	PRIJEM	VKLAD	13875	28771	\N	\N	\N
1122003	3834	1996-04-12	PRIJEM	VKLAD	13875	28293	\N	\N	\N
1122004	3834	1996-05-12	PRIJEM	VKLAD	13875	28614	\N	\N	\N
1122005	3834	1996-06-12	PRIJEM	VKLAD	20812	34477	\N	\N	\N
1122006	3834	1996-07-12	PRIJEM	VKLAD	13875	33011	\N	\N	\N
1122007	3834	1996-08-12	PRIJEM	VKLAD	13875	28754	\N	\N	\N
1122008	3834	1996-09-12	PRIJEM	VKLAD	13875	30178	\N	\N	\N
1122009	3834	1996-10-12	PRIJEM	VKLAD	13875	27280	\N	\N	\N
1122010	3834	1996-11-12	PRIJEM	VKLAD	13875	28792	\N	\N	\N
1122011	3834	1996-12-12	PRIJEM	VKLAD	20812	36549	\N	\N	\N
1122012	3834	1997-01-12	PRIJEM	VKLAD	13875	31062	\N	\N	\N
1122013	3834	1997-02-12	PRIJEM	VKLAD	13875	21969	\N	\N	\N
1122014	3834	1997-03-12	PRIJEM	VKLAD	13875	24260	\N	\N	\N
1122015	3834	1997-04-12	PRIJEM	VKLAD	13875	25960	\N	\N	\N
1122016	3834	1997-05-12	PRIJEM	VKLAD	13875	23444	\N	\N	\N
1122017	3834	1997-06-12	PRIJEM	VKLAD	20812	33779	\N	\N	\N
1122018	3834	1997-07-12	PRIJEM	VKLAD	13875	26021	\N	\N	\N
1122019	3834	1997-08-12	PRIJEM	VKLAD	13875	24225	\N	\N	\N
1122020	3834	1997-09-12	PRIJEM	VKLAD	13875	26146	\N	\N	\N
1122021	3834	1997-10-12	PRIJEM	VKLAD	13875	31354	\N	\N	\N
1122022	3834	1997-11-12	PRIJEM	VKLAD	13875	27122	\N	\N	\N
1122023	3834	1997-12-12	PRIJEM	VKLAD	20812	33670	\N	\N	\N
1122024	3834	1998-01-12	PRIJEM	VKLAD	13875	27435	\N	\N	\N
1122025	3834	1998-02-12	PRIJEM	VKLAD	13875	23374	\N	\N	\N
1122026	3834	1998-03-12	PRIJEM	VKLAD	13875	25267	\N	\N	\N
1122027	3834	1998-04-12	PRIJEM	VKLAD	13875	23165	\N	\N	\N
1122028	3834	1998-05-12	PRIJEM	VKLAD	13875	27058	\N	\N	\N
1122029	3834	1998-06-12	PRIJEM	VKLAD	20812	41009	\N	\N	\N
1122030	3834	1998-07-12	PRIJEM	VKLAD	13875	27844	\N	\N	\N
1122031	3834	1998-08-12	PRIJEM	VKLAD	13875	25466	\N	\N	\N
1122032	3834	1998-09-12	PRIJEM	VKLAD	13875	29972	\N	\N	\N
1122033	3834	1998-10-12	PRIJEM	VKLAD	13875	36997	\N	\N	\N
1122034	3834	1998-11-12	PRIJEM	VKLAD	13875	24118	\N	\N	\N
1122035	3834	1998-12-12	PRIJEM	VKLAD	20812	36150	\N	\N	\N
1122042	3834	1993-07-06	VYDAJ	PREVOD NA UCET	3114	10355	SIPO	KL	49577087
1122043	3834	1993-08-06	VYDAJ	PREVOD NA UCET	3114	18949	SIPO	KL	49577087
1122044	3834	1993-09-06	VYDAJ	PREVOD NA UCET	3114	14645	SIPO	KL	49577087
1122045	3834	1993-10-06	VYDAJ	PREVOD NA UCET	3114	22154	SIPO	KL	49577087
1122046	3834	1993-11-06	VYDAJ	PREVOD NA UCET	3114	24584	SIPO	KL	49577087
1122047	3834	1993-12-06	VYDAJ	PREVOD NA UCET	3114	28529	SIPO	KL	49577087
1122048	3834	1994-01-06	VYDAJ	PREVOD NA UCET	3114	24643	SIPO	KL	49577087
1122049	3834	1994-02-06	VYDAJ	PREVOD NA UCET	3114	10926	SIPO	KL	49577087
1122050	3834	1994-03-06	VYDAJ	PREVOD NA UCET	3114	18418	SIPO	KL	49577087
1122051	3834	1994-04-06	VYDAJ	PREVOD NA UCET	3114	13853	SIPO	KL	49577087
1122052	3834	1994-05-06	VYDAJ	PREVOD NA UCET	3114	21057	SIPO	KL	49577087
1122053	3834	1994-06-06	VYDAJ	PREVOD NA UCET	3114	17128	SIPO	KL	49577087
1122054	3834	1994-07-06	VYDAJ	PREVOD NA UCET	3114	15272	SIPO	KL	49577087
1122055	3834	1994-08-06	VYDAJ	PREVOD NA UCET	3114	18382	SIPO	KL	49577087
1122056	3834	1994-09-06	VYDAJ	PREVOD NA UCET	3114	23903	SIPO	KL	49577087
1122057	3834	1994-10-06	VYDAJ	PREVOD NA UCET	3114	25515	SIPO	KL	49577087
1122058	3834	1994-11-06	VYDAJ	PREVOD NA UCET	3114	25352	SIPO	KL	49577087
1122059	3834	1994-12-06	VYDAJ	PREVOD NA UCET	3114	34094	SIPO	KL	49577087
1122060	3834	1995-01-06	VYDAJ	PREVOD NA UCET	3114	40586	SIPO	KL	49577087
1122061	3834	1995-02-06	VYDAJ	PREVOD NA UCET	3114	10864	SIPO	KL	49577087
1122062	3834	1995-03-06	VYDAJ	PREVOD NA UCET	3114	24857	SIPO	KL	49577087
1122063	3834	1995-04-06	VYDAJ	PREVOD NA UCET	3114	26653	SIPO	KL	49577087
1122064	3834	1995-05-06	VYDAJ	PREVOD NA UCET	3114	29482	SIPO	KL	49577087
1122065	3834	1995-06-06	VYDAJ	PREVOD NA UCET	3114	34526	SIPO	KL	49577087
1122066	3834	1995-07-06	VYDAJ	PREVOD NA UCET	3114	19785	SIPO	KL	49577087
1122067	3834	1995-08-06	VYDAJ	PREVOD NA UCET	3114	26794	SIPO	KL	49577087
1122068	3834	1995-09-06	VYDAJ	PREVOD NA UCET	3114	29319	SIPO	KL	49577087
1122069	3834	1995-10-06	VYDAJ	PREVOD NA UCET	3114	26628	SIPO	KL	49577087
1122070	3834	1995-11-06	VYDAJ	PREVOD NA UCET	3114	26485	SIPO	KL	49577087
1122071	3834	1995-12-06	VYDAJ	PREVOD NA UCET	3114	21937	SIPO	KL	49577087
1122072	3834	1996-01-06	VYDAJ	PREVOD NA UCET	3114	24206	SIPO	KL	49577087
1122073	3834	1996-02-06	VYDAJ	PREVOD NA UCET	3114	19240	SIPO	KL	49577087
1122074	3834	1996-03-06	VYDAJ	PREVOD NA UCET	3114	18460	SIPO	KL	49577087
1122075	3834	1996-04-06	VYDAJ	PREVOD NA UCET	3114	17982	SIPO	KL	49577087
1122076	3834	1996-05-06	VYDAJ	PREVOD NA UCET	3114	18303	SIPO	KL	49577087
1122077	3834	1996-06-06	VYDAJ	PREVOD NA UCET	3114	17229	SIPO	KL	49577087
1122078	3834	1996-07-06	VYDAJ	PREVOD NA UCET	3114	22700	SIPO	KL	49577087
1122079	3834	1996-08-06	VYDAJ	PREVOD NA UCET	3114	18443	SIPO	KL	49577087
1122080	3834	1996-09-06	VYDAJ	PREVOD NA UCET	3114	19867	SIPO	KL	49577087
1122081	3834	1996-10-06	VYDAJ	PREVOD NA UCET	3114	16969	SIPO	KL	49577087
1122082	3834	1996-11-06	VYDAJ	PREVOD NA UCET	3114	18481	SIPO	KL	49577087
1122083	3834	1996-12-06	VYDAJ	PREVOD NA UCET	3114	19301	SIPO	KL	49577087
1122084	3834	1997-01-06	VYDAJ	PREVOD NA UCET	3114	20751	SIPO	KL	49577087
1122085	3834	1997-02-06	VYDAJ	PREVOD NA UCET	3114	11658	SIPO	KL	49577087
1122086	3834	1997-03-06	VYDAJ	PREVOD NA UCET	3114	13949	SIPO	KL	49577087
1122087	3834	1997-04-06	VYDAJ	PREVOD NA UCET	3114	15649	SIPO	KL	49577087
1122088	3834	1997-05-06	VYDAJ	PREVOD NA UCET	3114	13133	SIPO	KL	49577087
1122089	3834	1997-06-06	VYDAJ	PREVOD NA UCET	3114	16531	SIPO	KL	49577087
1122090	3834	1997-07-06	VYDAJ	PREVOD NA UCET	3114	15710	SIPO	KL	49577087
1122091	3834	1997-08-06	VYDAJ	PREVOD NA UCET	3114	15914	SIPO	KL	49577087
1122092	3834	1997-09-06	VYDAJ	PREVOD NA UCET	3114	15835	SIPO	KL	49577087
1122093	3834	1997-10-06	VYDAJ	PREVOD NA UCET	3114	21043	SIPO	KL	49577087
1122094	3834	1997-11-06	VYDAJ	PREVOD NA UCET	3114	19411	SIPO	KL	49577087
1122095	3834	1997-12-06	VYDAJ	PREVOD NA UCET	3114	18822	SIPO	KL	49577087
1122096	3834	1998-01-06	VYDAJ	PREVOD NA UCET	3114	17124	SIPO	KL	49577087
1122097	3834	1998-02-06	VYDAJ	PREVOD NA UCET	3114	13063	SIPO	KL	49577087
1122098	3834	1998-03-06	VYDAJ	PREVOD NA UCET	3114	16156	SIPO	KL	49577087
1122099	3834	1998-04-06	VYDAJ	PREVOD NA UCET	3114	12854	SIPO	KL	49577087
1122100	3834	1998-05-06	VYDAJ	PREVOD NA UCET	3114	16747	SIPO	KL	49577087
1122101	3834	1998-06-06	VYDAJ	PREVOD NA UCET	3114	23761	SIPO	KL	49577087
1122102	3834	1998-07-06	VYDAJ	PREVOD NA UCET	3114	17533	SIPO	KL	49577087
1122103	3834	1998-08-06	VYDAJ	PREVOD NA UCET	3114	15155	SIPO	KL	49577087
1122104	3834	1998-09-06	VYDAJ	PREVOD NA UCET	3114	19661	SIPO	KL	49577087
1122105	3834	1998-10-06	VYDAJ	PREVOD NA UCET	3114	26686	SIPO	KL	49577087
1122106	3834	1998-11-06	VYDAJ	PREVOD NA UCET	3114	13807	SIPO	KL	49577087
1122107	3834	1998-12-06	VYDAJ	PREVOD NA UCET	3114	18902	SIPO	KL	49577087
1122114	3834	1993-07-11	VYDAJ	PREVOD NA UCET	375	6791	 	YZ	63132923
1122115	3834	1993-08-11	VYDAJ	PREVOD NA UCET	375	15385	 	YZ	63132923
1122116	3834	1993-09-11	VYDAJ	PREVOD NA UCET	375	11081	 	YZ	63132923
1122117	3834	1993-10-11	VYDAJ	PREVOD NA UCET	375	18590	 	YZ	63132923
1122118	3834	1993-11-11	VYDAJ	PREVOD NA UCET	375	21020	 	YZ	63132923
1122119	3834	1993-12-11	VYDAJ	PREVOD NA UCET	375	24965	 	YZ	63132923
1122120	3834	1994-01-11	VYDAJ	PREVOD NA UCET	375	21079	 	YZ	63132923
1122121	3834	1994-02-11	VYDAJ	PREVOD NA UCET	375	7362	 	YZ	63132923
1122122	3834	1994-03-11	VYDAJ	PREVOD NA UCET	375	13154	 	YZ	63132923
1122123	3834	1994-04-11	VYDAJ	PREVOD NA UCET	375	8989	 	YZ	63132923
1122124	3834	1994-05-11	VYDAJ	PREVOD NA UCET	375	15193	 	YZ	63132923
1122125	3834	1994-06-11	VYDAJ	PREVOD NA UCET	375	13564	 	YZ	63132923
1122126	3834	1994-07-11	VYDAJ	PREVOD NA UCET	375	11708	 	YZ	63132923
1122127	3834	1994-08-11	VYDAJ	PREVOD NA UCET	375	14818	 	YZ	63132923
1122128	3834	1994-09-11	VYDAJ	PREVOD NA UCET	375	20439	 	YZ	63132923
1122129	3834	1994-10-11	VYDAJ	PREVOD NA UCET	375	25051	 	YZ	63132923
1122130	3834	1994-11-11	VYDAJ	PREVOD NA UCET	375	25388	 	YZ	63132923
1122131	3834	1994-12-11	VYDAJ	PREVOD NA UCET	375	28430	 	YZ	63132923
1122132	3834	1995-01-11	VYDAJ	PREVOD NA UCET	375	23062	 	YZ	63132923
1122133	3834	1995-02-11	VYDAJ	PREVOD NA UCET	375	16200	 	YZ	63132923
1122134	3834	1995-03-11	VYDAJ	PREVOD NA UCET	375	22893	 	YZ	63132923
1122135	3834	1995-04-11	VYDAJ	PREVOD NA UCET	375	21989	 	YZ	63132923
1122136	3834	1995-05-11	VYDAJ	PREVOD NA UCET	375	25818	 	YZ	63132923
1122137	3834	1995-06-11	VYDAJ	PREVOD NA UCET	375	24162	 	YZ	63132923
1122138	3834	1995-07-11	VYDAJ	PREVOD NA UCET	375	18121	 	YZ	63132923
1122139	3834	1995-08-11	VYDAJ	PREVOD NA UCET	375	20630	 	YZ	63132923
1122140	3834	1995-09-11	VYDAJ	PREVOD NA UCET	375	22055	 	YZ	63132923
1122141	3834	1995-10-11	VYDAJ	PREVOD NA UCET	375	23064	 	YZ	63132923
1122142	3834	1995-11-11	VYDAJ	PREVOD NA UCET	375	22921	 	YZ	63132923
1122143	3834	1995-12-11	VYDAJ	PREVOD NA UCET	375	18373	 	YZ	63132923
1122144	3834	1996-01-11	VYDAJ	PREVOD NA UCET	375	20642	 	YZ	63132923
1122145	3834	1996-02-11	VYDAJ	PREVOD NA UCET	375	15676	 	YZ	63132923
1122146	3834	1996-03-11	VYDAJ	PREVOD NA UCET	375	14896	 	YZ	63132923
1122147	3834	1996-04-11	VYDAJ	PREVOD NA UCET	375	14418	 	YZ	63132923
1122148	3834	1996-05-11	VYDAJ	PREVOD NA UCET	375	14739	 	YZ	63132923
1122149	3834	1996-06-11	VYDAJ	PREVOD NA UCET	375	13665	 	YZ	63132923
1122150	3834	1996-07-11	VYDAJ	PREVOD NA UCET	375	19136	 	YZ	63132923
1122151	3834	1996-08-11	VYDAJ	PREVOD NA UCET	375	14879	 	YZ	63132923
1122152	3834	1996-09-11	VYDAJ	PREVOD NA UCET	375	16303	 	YZ	63132923
1122153	3834	1996-10-11	VYDAJ	PREVOD NA UCET	375	13405	 	YZ	63132923
1122154	3834	1996-11-11	VYDAJ	PREVOD NA UCET	375	14917	 	YZ	63132923
1122155	3834	1996-12-11	VYDAJ	PREVOD NA UCET	375	15737	 	YZ	63132923
1122156	3834	1997-01-11	VYDAJ	PREVOD NA UCET	375	17187	 	YZ	63132923
1122157	3834	1997-02-11	VYDAJ	PREVOD NA UCET	375	8094	 	YZ	63132923
1122158	3834	1997-03-11	VYDAJ	PREVOD NA UCET	375	10385	 	YZ	63132923
1122159	3834	1997-04-11	VYDAJ	PREVOD NA UCET	375	12085	 	YZ	63132923
1122160	3834	1997-05-11	VYDAJ	PREVOD NA UCET	375	9569	 	YZ	63132923
1122161	3834	1997-06-11	VYDAJ	PREVOD NA UCET	375	12967	 	YZ	63132923
1122162	3834	1997-07-11	VYDAJ	PREVOD NA UCET	375	12146	 	YZ	63132923
1122163	3834	1997-08-11	VYDAJ	PREVOD NA UCET	375	10350	 	YZ	63132923
1122164	3834	1997-09-11	VYDAJ	PREVOD NA UCET	375	12271	 	YZ	63132923
1122165	3834	1997-10-11	VYDAJ	PREVOD NA UCET	375	17479	 	YZ	63132923
1122166	3834	1997-11-11	VYDAJ	PREVOD NA UCET	375	13247	 	YZ	63132923
1122167	3834	1997-12-11	VYDAJ	PREVOD NA UCET	375	12858	 	YZ	63132923
1122168	3834	1998-01-11	VYDAJ	PREVOD NA UCET	375	13560	 	YZ	63132923
1122169	3834	1998-02-11	VYDAJ	PREVOD NA UCET	375	9499	 	YZ	63132923
1122170	3834	1998-03-11	VYDAJ	PREVOD NA UCET	375	11392	 	YZ	63132923
1122171	3834	1998-04-11	VYDAJ	PREVOD NA UCET	375	9290	 	YZ	63132923
1122172	3834	1998-05-11	VYDAJ	PREVOD NA UCET	375	13183	 	YZ	63132923
1122173	3834	1998-06-11	VYDAJ	PREVOD NA UCET	375	20197	 	YZ	63132923
1122174	3834	1998-07-11	VYDAJ	PREVOD NA UCET	375	13969	 	YZ	63132923
1122175	3834	1998-08-11	VYDAJ	PREVOD NA UCET	375	11591	 	YZ	63132923
1122176	3834	1998-09-11	VYDAJ	PREVOD NA UCET	375	16097	 	YZ	63132923
1122177	3834	1998-10-11	VYDAJ	PREVOD NA UCET	375	23122	 	YZ	63132923
1122178	3834	1998-11-11	VYDAJ	PREVOD NA UCET	375	10243	 	YZ	63132923
1122179	3834	1998-12-11	VYDAJ	PREVOD NA UCET	375	15338	 	YZ	63132923
1122186	3834	1993-07-07	VYDAJ	PREVOD NA UCET	3189	7166	POJISTNE	MN	51878350
1122187	3834	1993-08-07	VYDAJ	PREVOD NA UCET	3189	15760	POJISTNE	MN	51878350
1122188	3834	1993-09-07	VYDAJ	PREVOD NA UCET	3189	11456	POJISTNE	MN	51878350
1122189	3834	1993-10-07	VYDAJ	PREVOD NA UCET	3189	18965	POJISTNE	MN	51878350
1122190	3834	1993-11-07	VYDAJ	PREVOD NA UCET	3189	21395	POJISTNE	MN	51878350
1122191	3834	1993-12-07	VYDAJ	PREVOD NA UCET	3189	25340	POJISTNE	MN	51878350
1122192	3834	1994-01-07	VYDAJ	PREVOD NA UCET	3189	21454	POJISTNE	MN	51878350
1122193	3834	1994-02-07	VYDAJ	PREVOD NA UCET	3189	7737	POJISTNE	MN	51878350
1122194	3834	1994-03-07	VYDAJ	PREVOD NA UCET	3189	15229	POJISTNE	MN	51878350
1122195	3834	1994-04-07	VYDAJ	PREVOD NA UCET	3189	10664	POJISTNE	MN	51878350
1122196	3834	1994-05-07	VYDAJ	PREVOD NA UCET	3189	17868	POJISTNE	MN	51878350
1122197	3834	1994-06-07	VYDAJ	PREVOD NA UCET	3189	13939	POJISTNE	MN	51878350
1122198	3834	1994-07-07	VYDAJ	PREVOD NA UCET	3189	12083	POJISTNE	MN	51878350
1122199	3834	1994-08-07	VYDAJ	PREVOD NA UCET	3189	15193	POJISTNE	MN	51878350
1122200	3834	1994-09-07	VYDAJ	PREVOD NA UCET	3189	18814	POJISTNE	MN	51878350
1122201	3834	1994-10-07	VYDAJ	PREVOD NA UCET	3189	22326	POJISTNE	MN	51878350
1122202	3834	1994-11-07	VYDAJ	PREVOD NA UCET	3189	22163	POJISTNE	MN	51878350
1122203	3834	1994-12-07	VYDAJ	PREVOD NA UCET	3189	30905	POJISTNE	MN	51878350
1122204	3834	1995-01-07	VYDAJ	PREVOD NA UCET	3189	37397	POJISTNE	MN	51878350
1122205	3834	1995-02-07	VYDAJ	PREVOD NA UCET	3189	7675	POJISTNE	MN	51878350
1122206	3834	1995-03-07	VYDAJ	PREVOD NA UCET	3189	21668	POJISTNE	MN	51878350
1122207	3834	1995-04-07	VYDAJ	PREVOD NA UCET	3189	23464	POJISTNE	MN	51878350
1122208	3834	1995-05-07	VYDAJ	PREVOD NA UCET	3189	26293	POJISTNE	MN	51878350
1122209	3834	1995-06-07	VYDAJ	PREVOD NA UCET	3189	31337	POJISTNE	MN	51878350
1122210	3834	1995-07-07	VYDAJ	PREVOD NA UCET	3189	16596	POJISTNE	MN	51878350
1122211	3834	1995-08-07	VYDAJ	PREVOD NA UCET	3189	23605	POJISTNE	MN	51878350
1122212	3834	1995-09-07	VYDAJ	PREVOD NA UCET	3189	22430	POJISTNE	MN	51878350
1122213	3834	1995-10-07	VYDAJ	PREVOD NA UCET	3189	23439	POJISTNE	MN	51878350
1122214	3834	1995-11-07	VYDAJ	PREVOD NA UCET	3189	23296	POJISTNE	MN	51878350
1122215	3834	1995-12-07	VYDAJ	PREVOD NA UCET	3189	18748	POJISTNE	MN	51878350
1122216	3834	1996-01-07	VYDAJ	PREVOD NA UCET	3189	21017	POJISTNE	MN	51878350
1122217	3834	1996-02-07	VYDAJ	PREVOD NA UCET	3189	16051	POJISTNE	MN	51878350
1122218	3834	1996-03-07	VYDAJ	PREVOD NA UCET	3189	15271	POJISTNE	MN	51878350
1122219	3834	1996-04-07	VYDAJ	PREVOD NA UCET	3189	14793	POJISTNE	MN	51878350
1122220	3834	1996-05-07	VYDAJ	PREVOD NA UCET	3189	15114	POJISTNE	MN	51878350
1122221	3834	1996-06-07	VYDAJ	PREVOD NA UCET	3189	14040	POJISTNE	MN	51878350
1122222	3834	1996-07-07	VYDAJ	PREVOD NA UCET	3189	19511	POJISTNE	MN	51878350
1122223	3834	1996-08-07	VYDAJ	PREVOD NA UCET	3189	15254	POJISTNE	MN	51878350
1122224	3834	1996-09-07	VYDAJ	PREVOD NA UCET	3189	16678	POJISTNE	MN	51878350
1122225	3834	1996-10-07	VYDAJ	PREVOD NA UCET	3189	13780	POJISTNE	MN	51878350
1122226	3834	1996-11-07	VYDAJ	PREVOD NA UCET	3189	15292	POJISTNE	MN	51878350
1122227	3834	1996-12-07	VYDAJ	PREVOD NA UCET	3189	16112	POJISTNE	MN	51878350
1122228	3834	1997-01-07	VYDAJ	PREVOD NA UCET	3189	17562	POJISTNE	MN	51878350
1122229	3834	1997-02-07	VYDAJ	PREVOD NA UCET	3189	8469	POJISTNE	MN	51878350
1122230	3834	1997-03-07	VYDAJ	PREVOD NA UCET	3189	10760	POJISTNE	MN	51878350
1122231	3834	1997-04-07	VYDAJ	PREVOD NA UCET	3189	12460	POJISTNE	MN	51878350
1122232	3834	1997-05-07	VYDAJ	PREVOD NA UCET	3189	9944	POJISTNE	MN	51878350
1122233	3834	1997-06-07	VYDAJ	PREVOD NA UCET	3189	13342	POJISTNE	MN	51878350
1122234	3834	1997-07-07	VYDAJ	PREVOD NA UCET	3189	12521	POJISTNE	MN	51878350
1122235	3834	1997-08-07	VYDAJ	PREVOD NA UCET	3189	12725	POJISTNE	MN	51878350
1122236	3834	1997-09-07	VYDAJ	PREVOD NA UCET	3189	12646	POJISTNE	MN	51878350
1122237	3834	1997-10-07	VYDAJ	PREVOD NA UCET	3189	17854	POJISTNE	MN	51878350
1122238	3834	1997-11-07	VYDAJ	PREVOD NA UCET	3189	16222	POJISTNE	MN	51878350
1122239	3834	1997-12-07	VYDAJ	PREVOD NA UCET	3189	15633	POJISTNE	MN	51878350
1122240	3834	1998-01-07	VYDAJ	PREVOD NA UCET	3189	13935	POJISTNE	MN	51878350
1122241	3834	1998-02-07	VYDAJ	PREVOD NA UCET	3189	9874	POJISTNE	MN	51878350
1122242	3834	1998-03-07	VYDAJ	PREVOD NA UCET	3189	11767	POJISTNE	MN	51878350
1122243	3834	1998-04-07	VYDAJ	PREVOD NA UCET	3189	9665	POJISTNE	MN	51878350
1122244	3834	1998-05-07	VYDAJ	PREVOD NA UCET	3189	13558	POJISTNE	MN	51878350
1122245	3834	1998-06-07	VYDAJ	PREVOD NA UCET	3189	20572	POJISTNE	MN	51878350
1122246	3834	1998-07-07	VYDAJ	PREVOD NA UCET	3189	14344	POJISTNE	MN	51878350
1122247	3834	1998-08-07	VYDAJ	PREVOD NA UCET	3189	11966	POJISTNE	MN	51878350
1122248	3834	1998-09-07	VYDAJ	PREVOD NA UCET	3189	16472	POJISTNE	MN	51878350
1122249	3834	1998-10-07	VYDAJ	PREVOD NA UCET	3189	23497	POJISTNE	MN	51878350
1122250	3834	1998-11-07	VYDAJ	PREVOD NA UCET	3189	10618	POJISTNE	MN	51878350
1122251	3834	1998-12-07	VYDAJ	PREVOD NA UCET	3189	15713	POJISTNE	MN	51878350
1122257	3834	1993-06-13	VYDAJ	PREVOD NA UCET	262	54060	 	YZ	52872371
1122258	3834	1993-07-13	VYDAJ	PREVOD NA UCET	262	20404	 	YZ	52872371
1122259	3834	1993-08-13	VYDAJ	PREVOD NA UCET	262	25038	 	YZ	52872371
1122260	3834	1993-09-13	VYDAJ	PREVOD NA UCET	262	22494	 	YZ	52872371
1122261	3834	1993-10-13	VYDAJ	PREVOD NA UCET	262	32203	 	YZ	52872371
1122262	3834	1993-11-13	VYDAJ	PREVOD NA UCET	262	34633	 	YZ	52872371
1122263	3834	1993-12-13	VYDAJ	PREVOD NA UCET	262	45515	 	YZ	52872371
1122264	3834	1994-01-13	VYDAJ	PREVOD NA UCET	262	34692	 	YZ	52872371
1122265	3834	1994-02-13	VYDAJ	PREVOD NA UCET	262	23575	 	YZ	52872371
1122266	3834	1994-03-13	VYDAJ	PREVOD NA UCET	262	26767	 	YZ	52872371
1122267	3834	1994-04-13	VYDAJ	PREVOD NA UCET	262	22602	 	YZ	52872371
1122268	3834	1994-05-13	VYDAJ	PREVOD NA UCET	262	28806	 	YZ	52872371
1122269	3834	1994-06-13	VYDAJ	PREVOD NA UCET	262	31614	 	YZ	52872371
1122270	3834	1994-07-13	VYDAJ	PREVOD NA UCET	262	29021	 	YZ	52872371
1122271	3834	1994-08-13	VYDAJ	PREVOD NA UCET	262	26931	 	YZ	52872371
1122272	3834	1994-09-13	VYDAJ	PREVOD NA UCET	262	34052	 	YZ	52872371
1122273	3834	1994-10-13	VYDAJ	PREVOD NA UCET	262	36743	 	YZ	52872371
1122274	3834	1994-11-13	VYDAJ	PREVOD NA UCET	262	37080	 	YZ	52872371
1122275	3834	1994-12-13	VYDAJ	PREVOD NA UCET	262	47059	 	YZ	52872371
1122276	3834	1995-01-13	VYDAJ	PREVOD NA UCET	262	34754	 	YZ	52872371
1122277	3834	1995-02-13	VYDAJ	PREVOD NA UCET	262	27892	 	YZ	52872371
1122278	3834	1995-03-13	VYDAJ	PREVOD NA UCET	262	29665	 	YZ	52872371
1122279	3834	1995-04-13	VYDAJ	PREVOD NA UCET	262	33681	 	YZ	52872371
1122280	3834	1995-05-13	VYDAJ	PREVOD NA UCET	262	37510	 	YZ	52872371
1122281	3834	1995-06-13	VYDAJ	PREVOD NA UCET	262	42791	 	YZ	52872371
1122282	3834	1995-07-13	VYDAJ	PREVOD NA UCET	262	29813	 	YZ	52872371
1122283	3834	1995-08-13	VYDAJ	PREVOD NA UCET	262	32322	 	YZ	52872371
1122284	3834	1995-09-13	VYDAJ	PREVOD NA UCET	262	33747	 	YZ	52872371
1122285	3834	1995-10-13	VYDAJ	PREVOD NA UCET	262	35277	 	YZ	52872371
1122286	3834	1995-11-13	VYDAJ	PREVOD NA UCET	262	36534	 	YZ	52872371
1122287	3834	1995-12-13	VYDAJ	PREVOD NA UCET	262	36723	 	YZ	52872371
1122288	3834	1996-01-13	VYDAJ	PREVOD NA UCET	262	34255	 	YZ	52872371
1122289	3834	1996-02-13	VYDAJ	PREVOD NA UCET	262	29289	 	YZ	52872371
1122290	3834	1996-03-13	VYDAJ	PREVOD NA UCET	262	28509	 	YZ	52872371
1122291	3834	1996-04-13	VYDAJ	PREVOD NA UCET	262	28031	 	YZ	52872371
1122292	3834	1996-05-13	VYDAJ	PREVOD NA UCET	262	28352	 	YZ	52872371
1122293	3834	1996-06-13	VYDAJ	PREVOD NA UCET	262	34215	 	YZ	52872371
1122294	3834	1996-07-13	VYDAJ	PREVOD NA UCET	262	32749	 	YZ	52872371
1122295	3834	1996-08-13	VYDAJ	PREVOD NA UCET	262	28492	 	YZ	52872371
1122296	3834	1996-09-13	VYDAJ	PREVOD NA UCET	262	29916	 	YZ	52872371
1122297	3834	1996-10-13	VYDAJ	PREVOD NA UCET	262	27018	 	YZ	52872371
1122298	3834	1996-11-13	VYDAJ	PREVOD NA UCET	262	28530	 	YZ	52872371
1122299	3834	1996-12-13	VYDAJ	PREVOD NA UCET	262	33687	 	YZ	52872371
1122300	3834	1997-01-13	VYDAJ	PREVOD NA UCET	262	30800	 	YZ	52872371
1122301	3834	1997-02-13	VYDAJ	PREVOD NA UCET	262	21707	 	YZ	52872371
1122302	3834	1997-03-13	VYDAJ	PREVOD NA UCET	262	23998	 	YZ	52872371
1122303	3834	1997-04-13	VYDAJ	PREVOD NA UCET	262	25698	 	YZ	52872371
1122304	3834	1997-05-13	VYDAJ	PREVOD NA UCET	262	23182	 	YZ	52872371
1122305	3834	1997-06-13	VYDAJ	PREVOD NA UCET	262	33517	 	YZ	52872371
1122306	3834	1997-07-13	VYDAJ	PREVOD NA UCET	262	23659	 	YZ	52872371
1122307	3834	1997-08-13	VYDAJ	PREVOD NA UCET	262	23963	 	YZ	52872371
1122308	3834	1997-09-13	VYDAJ	PREVOD NA UCET	262	25884	 	YZ	52872371
1122309	3834	1997-10-13	VYDAJ	PREVOD NA UCET	262	31092	 	YZ	52872371
1122310	3834	1997-11-13	VYDAJ	PREVOD NA UCET	262	26860	 	YZ	52872371
1122311	3834	1997-12-13	VYDAJ	PREVOD NA UCET	262	33408	 	YZ	52872371
1122312	3834	1998-01-13	VYDAJ	PREVOD NA UCET	262	23933	 	YZ	52872371
1122313	3834	1998-02-13	VYDAJ	PREVOD NA UCET	262	23112	 	YZ	52872371
1122314	3834	1998-03-13	VYDAJ	PREVOD NA UCET	262	25005	 	YZ	52872371
1122315	3834	1998-04-13	VYDAJ	PREVOD NA UCET	262	22903	 	YZ	52872371
1122316	3834	1998-05-13	VYDAJ	PREVOD NA UCET	262	26796	 	YZ	52872371
1122317	3834	1998-06-13	VYDAJ	PREVOD NA UCET	262	40747	 	YZ	52872371
1122318	3834	1998-07-13	VYDAJ	PREVOD NA UCET	262	27582	 	YZ	52872371
1122319	3834	1998-08-13	VYDAJ	PREVOD NA UCET	262	25204	 	YZ	52872371
1122320	3834	1998-09-13	VYDAJ	PREVOD NA UCET	262	29710	 	YZ	52872371
1122321	3834	1998-10-13	VYDAJ	PREVOD NA UCET	262	36735	 	YZ	52872371
1122322	3834	1998-11-13	VYDAJ	PREVOD NA UCET	262	23856	 	YZ	52872371
1122323	3834	1998-12-13	VYDAJ	PREVOD NA UCET	262	35888	 	YZ	52872371
1122329	3834	1993-06-11	VYDAJ	VYBER	2300	33510	\N	\N	0
1122330	3834	1993-06-24	VYDAJ	VYBER	1600	13340	\N	\N	0
1122331	3834	1993-08-17	VYDAJ	VYBER	1800	25238	\N	\N	0
1122332	3834	1993-09-12	VYDAJ	VYBER	2200	22756	\N	\N	0
1122333	3834	1993-10-16	VYDAJ	VYBER	1500	30703	\N	\N	0
1122334	3834	1993-11-24	VYDAJ	VYBER	1600	31533	\N	\N	0
1122335	3834	1993-12-14	VYDAJ	VYBER	2000	43515	\N	\N	0
1122336	3834	1994-01-25	VYDAJ	VYBER	1500	16832	\N	\N	0
1122337	3834	1994-02-13	VYDAJ	VYBER	2100	21475	\N	\N	0
1122338	3834	1994-03-08	VYDAJ	VYBER	1700	13529	\N	\N	0
1122339	3834	1994-04-10	VYDAJ	VYBER	1300	9364	\N	\N	0
1122340	3834	1994-05-08	VYDAJ	VYBER	2300	15568	\N	\N	0
1122341	3834	1994-06-25	VYDAJ	VYBER	1800	29814	\N	\N	0
1122342	3834	1994-07-22	VYDAJ	VYBER	2800	23221	\N	\N	0
1122343	3834	1994-08-03	VYDAJ	VYBER	1800	21496	\N	\N	0
1122344	3834	1994-09-06	VYDAJ	VYBER	1900	22003	\N	\N	0
1122345	3834	1994-10-12	VYDAJ	PREVOD NA UCET	1921	37005	UVER	WX	34075695
1122346	3834	1994-11-12	VYDAJ	PREVOD NA UCET	1921	37342	UVER	WX	34075695
1122347	3834	1994-12-12	VYDAJ	PREVOD NA UCET	1921	47321	UVER	WX	34075695
1122348	3834	1995-01-12	VYDAJ	PREVOD NA UCET	1921	35016	UVER	WX	34075695
1122349	3834	1995-02-12	VYDAJ	PREVOD NA UCET	1921	28154	UVER	WX	34075695
1122350	3834	1995-03-12	VYDAJ	PREVOD NA UCET	1921	29927	UVER	WX	34075695
1122351	3834	1995-04-12	VYDAJ	PREVOD NA UCET	1921	33943	UVER	WX	34075695
1122352	3834	1995-05-12	VYDAJ	PREVOD NA UCET	1921	37772	UVER	WX	34075695
1122353	3834	1995-06-12	VYDAJ	PREVOD NA UCET	1921	43053	UVER	WX	34075695
1122354	3834	1995-07-12	VYDAJ	PREVOD NA UCET	1921	30075	UVER	WX	34075695
1122355	3834	1995-08-12	VYDAJ	PREVOD NA UCET	1921	32584	UVER	WX	34075695
1122356	3834	1995-09-12	VYDAJ	PREVOD NA UCET	1921	34009	UVER	WX	34075695
1122357	3834	1995-10-13	VYDAJ	VYBER	1400	35539	\N	\N	0
1122358	3834	1995-10-31	VYDAJ	VYBER	1400	33999	\N	\N	0
1122359	3834	1995-12-13	VYDAJ	VYBER	2200	36985	\N	\N	0
1122360	3834	1996-01-14	VYDAJ	VYBER	2100	32155	\N	\N	0
1122361	3834	1996-02-24	VYDAJ	VYBER	2000	27289	\N	\N	0
1122362	3834	1996-03-15	VYDAJ	VYBER	2100	26409	\N	\N	0
1122363	3834	1996-04-14	VYDAJ	VYBER	1100	26931	\N	\N	0
1122364	3834	1996-05-13	VYDAJ	VYBER	1900	26452	\N	\N	0
1122365	3834	1996-06-14	VYDAJ	VYBER	1900	32315	\N	\N	0
1122366	3834	1996-07-24	VYDAJ	VYBER	2100	30649	\N	\N	0
1122367	3834	1996-08-18	VYDAJ	VYBER	2200	26292	\N	\N	0
1122368	3834	1996-09-28	VYDAJ	VYBER	1800	23196	\N	\N	0
1122369	3834	1996-10-16	VYDAJ	VYBER	1200	25818	\N	\N	0
1122370	3834	1996-10-28	VYDAJ	VYBER	1700	24118	\N	\N	0
1122371	3834	1996-12-13	VYDAJ	VYBER	2600	33949	\N	\N	0
1122372	3834	1997-01-02	VYDAJ	VYBER	2100	23865	\N	\N	0
1122373	3834	1997-01-30	VYDAJ	VYBER	1300	14700	\N	\N	0
1122374	3834	1997-03-28	VYDAJ	VYBER	2300	21698	\N	\N	0
1122375	3834	1997-04-15	VYDAJ	VYBER	1400	24298	\N	\N	0
1122376	3834	1997-05-04	VYDAJ	VYBER	2000	16247	\N	\N	0
1122377	3834	1997-06-14	VYDAJ	VYBER	2000	31517	\N	\N	0
1122378	3834	1997-07-12	VYDAJ	VYBER	2100	23921	\N	\N	0
1122379	3834	1997-08-10	VYDAJ	VYBER	2000	10725	\N	\N	0
1122380	3834	1997-09-20	VYDAJ	VYBER	1700	24184	\N	\N	0
1122381	3834	1997-10-04	VYDAJ	VYBER	1500	24157	\N	\N	0
1122382	3834	1997-11-10	VYDAJ	VYBER	2600	13622	\N	\N	0
1122383	3834	1997-12-10	VYDAJ	VYBER	2400	13233	\N	\N	0
1122384	3834	1998-01-28	VYDAJ	VYBER	1500	16113	\N	\N	0
1122385	3834	1998-02-16	VYDAJ	VYBER	1800	21312	\N	\N	0
1122386	3834	1998-03-01	VYDAJ	VYBER	2100	19270	\N	\N	0
1122387	3834	1998-04-17	VYDAJ	VYBER	1500	21403	\N	\N	0
1122388	3834	1998-05-01	VYDAJ	VYBER	1600	19861	\N	\N	0
1122389	3834	1998-06-13	VYDAJ	VYBER	1600	39147	\N	\N	0
1122390	3834	1998-07-14	VYDAJ	VYBER	1900	25682	\N	\N	0
1122391	3834	1998-07-31	VYDAJ	VYBER	2800	18284	\N	\N	0
1122392	3834	1998-09-01	VYDAJ	VYBER	2500	22775	\N	\N	0
1122393	3834	1998-10-15	VYDAJ	VYBER	1700	35035	\N	\N	0
1122394	3834	1998-11-16	VYDAJ	VYBER	1900	21956	\N	\N	0
1122395	3834	1998-12-18	VYDAJ	VYBER	1500	34388	\N	\N	0
1122396	3834	1993-06-23	VYDAJ	VYBER	24000	14940	\N	\N	\N
1122397	3834	1994-06-25	VYDAJ	VYBER	11520	18294	\N	\N	\N
1122398	3834	1995-06-17	VYDAJ	VYBER	20000	22791	\N	\N	\N
1122404	3834	1995-01-22	VYDAJ	VYBER	10080	18914	\N	\N	\N
1122405	3834	1996-01-25	VYDAJ	VYBER	2240	27995	\N	\N	\N
1122406	3834	1997-01-19	VYDAJ	VYBER	9440	17640	\N	\N	\N
1122407	3834	1998-01-23	VYDAJ	VYBER	5120	17613	\N	\N	\N
1122408	3834	1993-12-28	VYDAJ	VYBER	2560	27635	\N	\N	\N
1122409	3834	1994-12-30	VYDAJ	VYBER	3520	43539	\N	\N	\N
1122410	3834	1995-12-22	VYDAJ	VYBER	2560	34163	\N	\N	\N
1122411	3834	1996-12-25	VYDAJ	VYBER	4320	29367	\N	\N	\N
1122413	3834	1998-12-19	VYDAJ	VYBER	3840	30548	\N	\N	\N
1122420	3834	1994-01-19	VYDAJ	VYBER	1320	29372	\N	\N	\N
1122421	3834	1994-01-28	VYDAJ	VYBER	2880	13952	\N	\N	\N
1122422	3834	1994-01-23	VYDAJ	VYBER	1560	25292	\N	\N	\N
1122423	3834	1994-01-21	VYDAJ	VYBER	2520	26852	\N	\N	\N
1122425	3834	1994-01-24	VYDAJ	VYBER	2760	22532	\N	\N	\N
1122426	3834	1995-01-11	VYDAJ	VYBER	3480	23437	\N	\N	\N
1122427	3834	1995-01-10	VYDAJ	VYBER	2280	26917	\N	\N	\N
1122428	3834	1995-01-16	VYDAJ	VYBER	2280	32474	\N	\N	\N
1122429	3834	1995-01-23	VYDAJ	VYBER	2400	16514	\N	\N	\N
1122430	3834	1995-01-24	VYDAJ	VYBER	2640	13874	\N	\N	\N
1122431	3834	1995-01-19	VYDAJ	VYBER	3480	28994	\N	\N	\N
1122432	3834	1996-01-25	VYDAJ	VYBER	2520	24035	\N	\N	\N
1122433	3834	1996-01-01	VYDAJ	VYBER	2160	32120	\N	\N	\N
1122434	3834	1996-01-22	VYDAJ	VYBER	1920	30235	\N	\N	\N
1122435	3834	1996-01-25	VYDAJ	VYBER	1440	26555	\N	\N	\N
1122436	3834	1996-01-27	VYDAJ	VYBER	720	23315	\N	\N	\N
1122437	3834	1996-01-28	VYDAJ	VYBER	3240	18155	\N	\N	\N
1122440	3834	1997-01-26	VYDAJ	VYBER	1440	16200	\N	\N	\N
1122441	3834	1997-01-18	VYDAJ	VYBER	2880	27080	\N	\N	\N
1122442	3834	1997-01-17	VYDAJ	VYBER	840	29960	\N	\N	\N
1122444	3834	1998-01-12	VYDAJ	VYBER	3240	24195	\N	\N	\N
1122447	3834	1998-01-01	VYDAJ	VYBER	2520	22278	\N	\N	\N
1122449	3834	1998-01-04	VYDAJ	VYBER	2040	20238	\N	\N	\N
1122450	3834	1993-09-02	VYDAJ	VYBER	5520	17759	\N	\N	\N
1122451	3834	1993-12-26	VYDAJ	VYBER	5520	30195	\N	\N	\N
1122453	3834	1993-09-01	VYDAJ	VYBER	2040	23279	\N	\N	\N
1122454	3834	1993-06-23	VYDAJ	VYBER	2520	38940	\N	\N	\N
1122456	3834	1993-08-12	VYDAJ	VYBER	3960	25300	\N	\N	\N
1122457	3834	1994-11-06	VYDAJ	VYBER	4320	28466	\N	\N	\N
1122458	3834	1994-11-03	VYDAJ	VYBER	4080	32786	\N	\N	\N
1122459	3834	1994-07-14	VYDAJ	VYBER	3000	26021	\N	\N	\N
1122460	3834	1994-03-29	VYDAJ	VYBER	3720	22647	\N	\N	\N
1122461	3834	1994-03-29	VYDAJ	VYBER	5760	16887	\N	\N	\N
1122462	3834	1994-05-20	VYDAJ	VYBER	5040	20166	\N	\N	\N
1122463	3834	1994-01-24	VYDAJ	VYBER	4200	18332	\N	\N	\N
1122465	3834	1994-09-15	VYDAJ	VYBER	5520	28532	\N	\N	\N
1122466	3834	1995-11-17	VYDAJ	VYBER	3600	32934	\N	\N	\N
1122467	3834	1995-03-11	VYDAJ	VYBER	4920	17973	\N	\N	\N
1122468	3834	1995-10-03	VYDAJ	VYBER	1320	32542	\N	\N	\N
1122469	3834	1995-05-01	VYDAJ	VYBER	1200	32596	\N	\N	\N
1122470	3834	1996-09-21	VYDAJ	VYBER	4920	24996	\N	\N	\N
1122474	3834	1996-01-28	VYDAJ	VYBER	1920	21395	\N	\N	\N
1122475	3834	1997-07-01	VYDAJ	VYBER	4680	18824	\N	\N	\N
1122477	3834	1997-08-28	VYDAJ	VYBER	1080	18883	\N	\N	\N
1122478	3834	1997-04-15	VYDAJ	VYBER	2520	21778	\N	\N	\N
1122479	3834	1997-10-29	VYDAJ	VYBER	5760	22432	\N	\N	\N
1122480	3834	1998-03-06	VYDAJ	VYBER	1200	14956	\N	\N	\N
1122481	3834	1998-07-18	VYDAJ	VYBER	4680	21002	\N	\N	\N
1122489	3834	1993-06-30	VYDAJ	VYBER	15	13469	SLUZBY	\N	\N
1122490	3834	1993-07-31	VYDAJ	VYBER	15	22063	SLUZBY	\N	\N
1122491	3834	1993-08-31	VYDAJ	VYBER	15	25319	SLUZBY	\N	\N
1122492	3834	1993-09-30	VYDAJ	VYBER	15	25268	SLUZBY	\N	\N
1122493	3834	1993-10-31	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
1122494	3834	1993-11-30	VYDAJ	VYBER	15	31643	SLUZBY	\N	\N
1122495	3834	1993-12-31	VYDAJ	VYBER	15	27757	SLUZBY	\N	\N
1122496	3834	1994-01-31	VYDAJ	VYBER	15	14040	SLUZBY	\N	\N
1122497	3834	1994-02-28	VYDAJ	VYBER	15	21532	SLUZBY	\N	\N
1122498	3834	1994-03-31	VYDAJ	VYBER	15	16967	SLUZBY	\N	\N
1122499	3834	1994-04-30	VYDAJ	VYBER	15	24171	SLUZBY	\N	\N
1122500	3834	1994-05-31	VYDAJ	VYBER	15	20242	SLUZBY	\N	\N
1122501	3834	1994-06-30	VYDAJ	VYBER	15	18386	SLUZBY	\N	\N
1122502	3834	1994-07-31	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
1122503	3834	1994-08-31	VYDAJ	VYBER	15	27017	SLUZBY	\N	\N
1122504	3834	1994-09-30	VYDAJ	VYBER	15	28629	SLUZBY	\N	\N
1122505	3834	1994-10-31	VYDAJ	VYBER	15	36866	SLUZBY	\N	\N
1122506	3834	1994-11-30	VYDAJ	VYBER	15	37208	SLUZBY	\N	\N
1122507	3834	1994-12-31	VYDAJ	VYBER	15	43700	SLUZBY	\N	\N
1122508	3834	1995-01-31	VYDAJ	VYBER	15	13978	SLUZBY	\N	\N
1122509	3834	1995-02-28	VYDAJ	VYBER	15	27971	SLUZBY	\N	\N
1122510	3834	1995-03-31	VYDAJ	VYBER	15	29767	SLUZBY	\N	\N
1122511	3834	1995-04-30	VYDAJ	VYBER	15	33796	SLUZBY	\N	\N
1122512	3834	1995-05-31	VYDAJ	VYBER	15	37640	SLUZBY	\N	\N
1122513	3834	1995-06-30	VYDAJ	VYBER	15	22899	SLUZBY	\N	\N
1122514	3834	1995-07-31	VYDAJ	VYBER	15	29908	SLUZBY	\N	\N
1122515	3834	1995-08-31	VYDAJ	VYBER	15	32433	SLUZBY	\N	\N
1122516	3834	1995-09-30	VYDAJ	VYBER	15	33862	SLUZBY	\N	\N
1122517	3834	1995-10-31	VYDAJ	VYBER	15	35399	SLUZBY	\N	\N
1122518	3834	1995-11-30	VYDAJ	VYBER	15	33051	SLUZBY	\N	\N
1122519	3834	1995-12-31	VYDAJ	VYBER	15	34280	SLUZBY	\N	\N
1122520	3834	1996-01-31	VYDAJ	VYBER	15	18254	SLUZBY	\N	\N
1122521	3834	1996-02-29	VYDAJ	VYBER	15	27374	SLUZBY	\N	\N
1122522	3834	1996-03-31	VYDAJ	VYBER	15	26496	SLUZBY	\N	\N
1122523	3834	1996-04-30	VYDAJ	VYBER	15	27017	SLUZBY	\N	\N
1122524	3834	1996-05-31	VYDAJ	VYBER	15	26543	SLUZBY	\N	\N
1122525	3834	1996-06-30	VYDAJ	VYBER	15	32414	SLUZBY	\N	\N
1122526	3834	1996-07-31	VYDAJ	VYBER	15	30757	SLUZBY	\N	\N
1122527	3834	1996-08-31	VYDAJ	VYBER	15	26381	SLUZBY	\N	\N
1122528	3834	1996-09-30	VYDAJ	VYBER	15	20083	SLUZBY	\N	\N
1122529	3834	1996-10-31	VYDAJ	VYBER	15	21595	SLUZBY	\N	\N
1122530	3834	1996-11-30	VYDAJ	VYBER	15	22415	SLUZBY	\N	\N
1122531	3834	1996-12-31	VYDAJ	VYBER	15	25965	SLUZBY	\N	\N
1122532	3834	1997-01-31	VYDAJ	VYBER	15	14772	SLUZBY	\N	\N
1122533	3834	1997-02-28	VYDAJ	VYBER	15	17063	SLUZBY	\N	\N
1122534	3834	1997-03-31	VYDAJ	VYBER	15	18763	SLUZBY	\N	\N
1122535	3834	1997-04-30	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
1122536	3834	1997-05-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
1122537	3834	1997-06-30	VYDAJ	VYBER	15	23504	SLUZBY	\N	\N
1122538	3834	1997-07-31	VYDAJ	VYBER	15	19028	SLUZBY	\N	\N
1122539	3834	1997-08-31	VYDAJ	VYBER	15	18949	SLUZBY	\N	\N
1122540	3834	1997-09-30	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
1122541	3834	1997-10-31	VYDAJ	VYBER	15	22525	SLUZBY	\N	\N
1122542	3834	1997-11-30	VYDAJ	VYBER	15	21936	SLUZBY	\N	\N
1122543	3834	1997-12-31	VYDAJ	VYBER	15	24798	SLUZBY	\N	\N
1122544	3834	1998-01-31	VYDAJ	VYBER	15	16177	SLUZBY	\N	\N
1122545	3834	1998-02-28	VYDAJ	VYBER	15	21370	SLUZBY	\N	\N
1122546	3834	1998-03-31	VYDAJ	VYBER	15	15968	SLUZBY	\N	\N
1122547	3834	1998-04-30	VYDAJ	VYBER	15	21461	SLUZBY	\N	\N
1122548	3834	1998-05-31	VYDAJ	VYBER	15	26875	SLUZBY	\N	\N
1122549	3834	1998-06-30	VYDAJ	VYBER	15	20647	SLUZBY	\N	\N
1122550	3834	1998-07-31	VYDAJ	VYBER	15	18269	SLUZBY	\N	\N
1122551	3834	1998-08-31	VYDAJ	VYBER	15	25275	SLUZBY	\N	\N
1122552	3834	1998-09-30	VYDAJ	VYBER	15	29800	SLUZBY	\N	\N
1122553	3834	1998-10-31	VYDAJ	VYBER	15	16921	SLUZBY	\N	\N
1122554	3834	1998-11-30	VYDAJ	VYBER	15	22016	SLUZBY	\N	\N
1122555	3834	1993-02-18	PRIJEM	VKLAD	6600	21175	\N	\N	\N
1122556	3834	1993-03-20	VYDAJ	VYBER	6700	28385	\N	\N	\N
1122557	3834	1993-04-19	VYDAJ	VYBER	7600	34760	\N	\N	\N
1122558	3834	1993-05-19	VYDAJ	VYBER	13100	35663	\N	\N	\N
1122559	3834	1993-06-18	VYDAJ	VYBER	12600	41460	\N	\N	\N
1122560	3834	1993-07-18	PRIJEM	VKLAD	1600	22004	\N	\N	\N
1122561	3834	1993-08-17	PRIJEM	VKLAD	2000	27038	\N	\N	\N
1122562	3834	1993-09-16	PRIJEM	VKLAD	2700	25194	\N	\N	\N
1122563	3834	1993-10-16	VYDAJ	VYBER	3100	27603	\N	\N	\N
1122564	3834	1993-11-15	VYDAJ	VYBER	1500	33133	\N	\N	\N
1122565	3834	1993-12-15	VYDAJ	VYBER	7800	35715	\N	\N	\N
1122566	3834	1994-01-14	VYDAJ	VYBER	4000	30692	\N	\N	\N
1122567	3834	1994-02-13	PRIJEM	VKLAD	2600	23837	\N	\N	\N
1122568	3834	1994-03-15	VYDAJ	VYBER	400	26367	\N	\N	\N
1122569	3834	1994-04-14	PRIJEM	VKLAD	1500	24102	\N	\N	\N
1122570	3834	1994-05-14	VYDAJ	VYBER	3600	25206	\N	\N	\N
1122571	3834	1994-06-13	VYDAJ	VYBER	2500	31876	\N	\N	\N
1122572	3834	1994-07-13	PRIJEM	VKLAD	3700	29283	\N	\N	\N
1122573	3834	1994-08-12	VYDAJ	VYBER	1500	27193	\N	\N	\N
1122574	3834	1994-09-11	PRIJEM	VKLAD	2000	20814	\N	\N	\N
1122575	3834	1994-10-11	PRIJEM	VKLAD	3100	25426	\N	\N	\N
1122576	3834	1994-11-10	PRIJEM	VKLAD	3600	25763	\N	\N	\N
1122577	3834	1994-12-10	VYDAJ	VYBER	2100	28805	\N	\N	\N
1122578	3834	1995-01-09	VYDAJ	VYBER	8200	29197	\N	\N	\N
1122579	3834	1995-02-08	PRIJEM	VKLAD	8900	16575	\N	\N	\N
1122580	3834	1995-03-10	PRIJEM	VKLAD	1600	23268	\N	\N	\N
1122581	3834	1995-04-09	VYDAJ	VYBER	1100	22364	\N	\N	\N
1122582	3834	1995-05-09	VYDAJ	VYBER	100	26193	\N	\N	\N
1122583	3834	1995-06-08	VYDAJ	VYBER	6800	24537	\N	\N	\N
1122584	3834	1995-07-08	PRIJEM	VKLAD	1900	18496	\N	\N	\N
1122585	3834	1995-08-07	VYDAJ	VYBER	2600	21005	\N	\N	\N
1122586	3834	1995-09-06	VYDAJ	VYBER	3700	25619	\N	\N	\N
1122587	3834	1995-10-06	VYDAJ	VYBER	2800	29742	\N	\N	\N
1122588	3834	1995-11-05	VYDAJ	VYBER	4400	29599	\N	\N	\N
1122589	3834	1995-12-05	VYDAJ	VYBER	8000	25051	\N	\N	\N
1122590	3834	1996-01-04	VYDAJ	VYBER	4800	27320	\N	\N	\N
1122591	3834	1996-02-03	PRIJEM	VKLAD	4100	22354	\N	\N	\N
1122592	3834	1996-03-04	VYDAJ	VYBER	5800	21574	\N	\N	\N
1122593	3834	1996-04-03	VYDAJ	VYBER	5400	21096	\N	\N	\N
1122594	3834	1996-05-03	VYDAJ	VYBER	5600	21417	\N	\N	\N
1122595	3834	1996-06-02	VYDAJ	VYBER	6200	20343	\N	\N	\N
1122596	3834	1996-07-02	VYDAJ	VYBER	6600	25814	\N	\N	\N
1122597	3834	1996-08-01	VYDAJ	VYBER	9200	21557	\N	\N	\N
1122598	3834	1996-08-31	VYDAJ	VYBER	3400	22981	\N	\N	\N
1122599	3834	1996-09-30	VYDAJ	VYBER	3200	20098	\N	\N	\N
1122600	3834	1996-10-30	VYDAJ	VYBER	2600	21518	\N	\N	\N
1122601	3834	1996-11-29	VYDAJ	VYBER	6200	22330	\N	\N	\N
1122602	3834	1996-12-29	VYDAJ	VYBER	3500	25867	\N	\N	\N
1122603	3834	1997-01-28	VYDAJ	VYBER	200	16000	\N	\N	\N
1122604	3834	1997-02-27	VYDAJ	VYBER	4700	17007	\N	\N	\N
1122605	3834	1997-03-29	VYDAJ	VYBER	3000	18698	\N	\N	\N
1122606	3834	1997-04-28	VYDAJ	VYBER	3600	18178	\N	\N	\N
1122607	3834	1997-05-28	VYDAJ	VYBER	3600	19582	\N	\N	\N
1122608	3834	1997-06-27	VYDAJ	VYBER	8100	23417	\N	\N	\N
1122609	3834	1997-07-27	VYDAJ	VYBER	4700	18959	\N	\N	\N
1122610	3834	1997-08-26	VYDAJ	VYBER	4000	19963	\N	\N	\N
1122611	3834	1997-09-25	PRIJEM	VKLAD	1400	25584	\N	\N	\N
1122612	3834	1997-10-25	VYDAJ	VYBER	2900	28192	\N	\N	\N
1122613	3834	1997-11-24	VYDAJ	VYBER	5000	21860	\N	\N	\N
1122614	3834	1997-12-24	VYDAJ	VYBER	8700	24708	\N	\N	\N
1122615	3834	1998-01-23	VYDAJ	VYBER	1200	22733	\N	\N	\N
1122616	3834	1998-03-24	VYDAJ	VYBER	9100	15905	\N	\N	\N
1122617	3834	1998-06-22	VYDAJ	VYBER	18600	20547	\N	\N	\N
1122618	3834	1998-10-20	VYDAJ	VYBER	18200	16835	\N	\N	\N
1122690	3835	1993-03-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1122694	3835	1993-04-12	PRIJEM	VKLAD	14233	15133	\N	\N	\N
1122695	3835	1993-05-12	PRIJEM	VKLAD	14233	35112	\N	\N	\N
1122696	3835	1993-06-12	PRIJEM	VKLAD	21350	49265	\N	\N	\N
1122697	3835	1993-07-12	PRIJEM	VKLAD	14233	51536	\N	\N	\N
1122698	3835	1993-08-12	PRIJEM	VKLAD	14233	53729	\N	\N	\N
1122699	3835	1993-09-12	PRIJEM	VKLAD	14233	43922	\N	\N	\N
1122700	3835	1993-10-12	PRIJEM	VKLAD	14233	33992	\N	\N	\N
1122701	3835	1993-11-12	PRIJEM	VKLAD	14233	38843	\N	\N	\N
1122702	3835	1993-12-12	PRIJEM	VKLAD	21350	47536	\N	\N	\N
1122703	3835	1994-01-12	PRIJEM	VKLAD	14233	43543	\N	\N	\N
1122704	3835	1994-02-12	PRIJEM	VKLAD	14233	44650	\N	\N	\N
1122705	3835	1994-03-12	PRIJEM	VKLAD	14233	42261	\N	\N	\N
1122706	3835	1994-04-12	PRIJEM	VKLAD	14233	47269	\N	\N	\N
1122707	3835	1994-05-12	PRIJEM	VKLAD	14233	48290	\N	\N	\N
1122708	3835	1994-06-12	PRIJEM	VKLAD	21350	53537	\N	\N	\N
1122709	3835	1994-07-12	PRIJEM	VKLAD	14233	44076	\N	\N	\N
1122710	3835	1994-08-12	PRIJEM	VKLAD	14233	43588	\N	\N	\N
1122711	3835	1994-09-12	PRIJEM	VKLAD	14233	40798	\N	\N	\N
1122712	3835	1994-10-12	PRIJEM	VKLAD	14233	41599	\N	\N	\N
1122713	3835	1994-11-12	PRIJEM	VKLAD	14233	42395	\N	\N	\N
1122714	3835	1994-12-12	PRIJEM	VKLAD	21350	48712	\N	\N	\N
1122715	3835	1995-01-12	PRIJEM	VKLAD	14233	45536	\N	\N	\N
1122716	3835	1995-02-12	PRIJEM	VKLAD	14233	43847	\N	\N	\N
1122717	3835	1995-03-12	PRIJEM	VKLAD	14233	40645	\N	\N	\N
1122718	3835	1995-04-12	PRIJEM	VKLAD	14233	43036	\N	\N	\N
1122719	3835	1995-05-12	PRIJEM	VKLAD	14233	44441	\N	\N	\N
1122720	3835	1995-06-12	PRIJEM	VKLAD	21350	49172	\N	\N	\N
1122721	3835	1995-07-12	PRIJEM	VKLAD	14233	46790	\N	\N	\N
1122722	3835	1995-08-12	PRIJEM	VKLAD	14233	45416	\N	\N	\N
1122723	3835	1995-09-12	PRIJEM	VKLAD	14233	47335	\N	\N	\N
1122724	3835	1995-10-12	PRIJEM	VKLAD	14233	45455	\N	\N	\N
1122725	3835	1995-11-12	PRIJEM	VKLAD	14233	47976	\N	\N	\N
1122726	3835	1995-12-12	PRIJEM	VKLAD	21350	54516	\N	\N	\N
1122727	3835	1996-01-12	PRIJEM	VKLAD	14233	49656	\N	\N	\N
1122728	3835	1996-02-12	PRIJEM	VKLAD	14233	48592	\N	\N	\N
1122729	3835	1996-03-12	PRIJEM	VKLAD	14233	49014	\N	\N	\N
1122730	3835	1996-04-12	PRIJEM	VKLAD	14233	46142	\N	\N	\N
1122731	3835	1996-05-12	PRIJEM	VKLAD	14233	44947	\N	\N	\N
1122732	3835	1996-06-12	PRIJEM	VKLAD	21350	52971	\N	\N	\N
1122733	3835	1996-07-12	PRIJEM	VKLAD	14233	42760	\N	\N	\N
1122734	3835	1996-08-12	PRIJEM	VKLAD	14233	46058	\N	\N	\N
1122735	3835	1996-09-12	PRIJEM	VKLAD	14233	41265	\N	\N	\N
1122736	3835	1996-10-12	PRIJEM	VKLAD	14233	44957	\N	\N	\N
1122737	3835	1996-11-12	PRIJEM	VKLAD	14233	47960	\N	\N	\N
1122738	3835	1996-12-12	PRIJEM	VKLAD	21350	52384	\N	\N	\N
1122739	3835	1997-01-12	PRIJEM	VKLAD	14233	44096	\N	\N	\N
1122740	3835	1997-02-12	PRIJEM	VKLAD	14233	46495	\N	\N	\N
1122741	3835	1997-03-12	PRIJEM	VKLAD	14233	43497	\N	\N	\N
1122742	3835	1997-04-12	PRIJEM	VKLAD	14233	47494	\N	\N	\N
1122743	3835	1997-05-12	PRIJEM	VKLAD	14233	42205	\N	\N	\N
1122744	3835	1997-06-12	PRIJEM	VKLAD	21350	49814	\N	\N	\N
1122745	3835	1997-07-12	PRIJEM	VKLAD	14233	39989	\N	\N	\N
1122746	3835	1997-08-12	PRIJEM	VKLAD	14233	41370	\N	\N	\N
1122747	3835	1997-09-12	PRIJEM	VKLAD	14233	42655	\N	\N	\N
1122748	3835	1997-10-12	PRIJEM	VKLAD	14233	45745	\N	\N	\N
1122749	3835	1997-11-12	PRIJEM	VKLAD	14233	47048	\N	\N	\N
1122750	3835	1997-12-12	PRIJEM	VKLAD	21350	52966	\N	\N	\N
1122751	3835	1998-01-12	PRIJEM	VKLAD	14233	43976	\N	\N	\N
1122752	3835	1998-02-12	PRIJEM	VKLAD	14233	44974	\N	\N	\N
1122753	3835	1998-03-12	PRIJEM	VKLAD	14233	39574	\N	\N	\N
1122754	3835	1998-04-12	PRIJEM	VKLAD	14233	47161	\N	\N	\N
1122755	3835	1998-05-12	PRIJEM	VKLAD	14233	45961	\N	\N	\N
1122756	3835	1998-06-12	PRIJEM	VKLAD	21350	50471	\N	\N	\N
1122757	3835	1998-07-12	PRIJEM	VKLAD	14233	43359	\N	\N	\N
1122758	3835	1998-08-12	PRIJEM	VKLAD	14233	33630	\N	\N	\N
1122759	3835	1998-09-12	PRIJEM	VKLAD	14233	33072	\N	\N	\N
1122760	3835	1998-10-12	PRIJEM	VKLAD	14233	36017	\N	\N	\N
1122761	3835	1998-11-12	PRIJEM	VKLAD	14233	36269	\N	\N	\N
1122762	3835	1998-12-12	PRIJEM	VKLAD	21350	45943	\N	\N	\N
1122771	3835	1993-09-09	VYDAJ	PREVOD NA UCET	6337	29689	SIPO	IJ	1018590
1122772	3835	1993-10-09	VYDAJ	PREVOD NA UCET	6337	24106	SIPO	IJ	1018590
1122773	3835	1993-11-09	VYDAJ	PREVOD NA UCET	6337	20210	SIPO	IJ	1018590
1122774	3835	1993-12-09	VYDAJ	PREVOD NA UCET	6337	30186	SIPO	IJ	1018590
1122775	3835	1994-01-09	VYDAJ	PREVOD NA UCET	6337	36157	SIPO	IJ	1018590
1122776	3835	1994-02-09	VYDAJ	PREVOD NA UCET	6337	36064	SIPO	IJ	1018590
1122777	3835	1994-03-09	VYDAJ	PREVOD NA UCET	6337	33575	SIPO	IJ	1018590
1122778	3835	1994-04-09	VYDAJ	PREVOD NA UCET	6337	34836	SIPO	IJ	1018590
1122779	3835	1994-05-09	VYDAJ	PREVOD NA UCET	6337	41104	SIPO	IJ	1018590
1122780	3835	1994-06-09	VYDAJ	PREVOD NA UCET	6337	33434	SIPO	IJ	1018590
1122781	3835	1994-07-09	VYDAJ	PREVOD NA UCET	6337	31090	SIPO	IJ	1018590
1122782	3835	1994-08-09	VYDAJ	PREVOD NA UCET	6337	30602	SIPO	IJ	1018590
1122783	3835	1994-09-09	VYDAJ	PREVOD NA UCET	6337	26565	SIPO	IJ	1018590
1122784	3835	1994-10-09	VYDAJ	PREVOD NA UCET	6337	27366	SIPO	IJ	1018590
1122785	3835	1994-11-09	VYDAJ	PREVOD NA UCET	6337	29409	SIPO	IJ	1018590
1122786	3835	1994-12-09	VYDAJ	PREVOD NA UCET	6337	27362	SIPO	IJ	1018590
1122787	3835	1995-01-09	VYDAJ	PREVOD NA UCET	6337	32550	SIPO	IJ	1018590
1122788	3835	1995-02-09	VYDAJ	PREVOD NA UCET	6337	29614	SIPO	IJ	1018590
1122789	3835	1995-03-09	VYDAJ	PREVOD NA UCET	6337	27659	SIPO	IJ	1018590
1122790	3835	1995-04-09	VYDAJ	PREVOD NA UCET	6337	28803	SIPO	IJ	1018590
1122791	3835	1995-05-09	VYDAJ	PREVOD NA UCET	6337	30208	SIPO	IJ	1018590
1122792	3835	1995-06-09	VYDAJ	PREVOD NA UCET	6337	29069	SIPO	IJ	1018590
1122793	3835	1995-07-09	VYDAJ	PREVOD NA UCET	6337	32557	SIPO	IJ	1018590
1122794	3835	1995-08-09	VYDAJ	PREVOD NA UCET	6337	32430	SIPO	IJ	1018590
1122795	3835	1995-09-09	VYDAJ	PREVOD NA UCET	6337	34349	SIPO	IJ	1018590
1122796	3835	1995-10-09	VYDAJ	PREVOD NA UCET	6337	31222	SIPO	IJ	1018590
1122797	3835	1995-11-09	VYDAJ	PREVOD NA UCET	6337	34990	SIPO	IJ	1018590
1122798	3835	1995-12-09	VYDAJ	PREVOD NA UCET	6337	33166	SIPO	IJ	1018590
1122799	3835	1996-01-09	VYDAJ	PREVOD NA UCET	6337	35423	SIPO	IJ	1018590
1122800	3835	1996-02-09	VYDAJ	PREVOD NA UCET	6337	35606	SIPO	IJ	1018590
1122801	3835	1996-03-09	VYDAJ	PREVOD NA UCET	6337	36028	SIPO	IJ	1018590
1122802	3835	1996-04-09	VYDAJ	PREVOD NA UCET	6337	33156	SIPO	IJ	1018590
1122803	3835	1996-05-09	VYDAJ	PREVOD NA UCET	6337	31961	SIPO	IJ	1018590
1122804	3835	1996-06-09	VYDAJ	PREVOD NA UCET	6337	32868	SIPO	IJ	1018590
1122805	3835	1996-07-09	VYDAJ	PREVOD NA UCET	6337	28527	SIPO	IJ	1018590
1122806	3835	1996-08-09	VYDAJ	PREVOD NA UCET	6337	33072	SIPO	IJ	1018590
1122807	3835	1996-09-09	VYDAJ	PREVOD NA UCET	6337	27032	SIPO	IJ	1018590
1122808	3835	1996-10-09	VYDAJ	PREVOD NA UCET	6337	30724	SIPO	IJ	1018590
1122809	3835	1996-11-09	VYDAJ	PREVOD NA UCET	6337	33727	SIPO	IJ	1018590
1122810	3835	1996-12-09	VYDAJ	PREVOD NA UCET	6337	31034	SIPO	IJ	1018590
1122811	3835	1997-01-09	VYDAJ	PREVOD NA UCET	6337	31110	SIPO	IJ	1018590
1122812	3835	1997-02-09	VYDAJ	PREVOD NA UCET	6337	33509	SIPO	IJ	1018590
1122813	3835	1997-03-09	VYDAJ	PREVOD NA UCET	6337	29264	SIPO	IJ	1018590
1122814	3835	1997-04-09	VYDAJ	PREVOD NA UCET	6337	33261	SIPO	IJ	1018590
1122815	3835	1997-05-09	VYDAJ	PREVOD NA UCET	6337	27972	SIPO	IJ	1018590
1122816	3835	1997-06-09	VYDAJ	PREVOD NA UCET	6337	28464	SIPO	IJ	1018590
1122817	3835	1997-07-09	VYDAJ	PREVOD NA UCET	6337	27003	SIPO	IJ	1018590
1122818	3835	1997-08-09	VYDAJ	PREVOD NA UCET	6337	27137	SIPO	IJ	1018590
1122819	3835	1997-09-09	VYDAJ	PREVOD NA UCET	6337	29669	SIPO	IJ	1018590
1122820	3835	1997-10-09	VYDAJ	PREVOD NA UCET	6337	31512	SIPO	IJ	1018590
1122821	3835	1997-11-09	VYDAJ	PREVOD NA UCET	6337	32815	SIPO	IJ	1018590
1122822	3835	1997-12-09	VYDAJ	PREVOD NA UCET	6337	31616	SIPO	IJ	1018590
1122823	3835	1998-01-09	VYDAJ	PREVOD NA UCET	6337	29743	SIPO	IJ	1018590
1122824	3835	1998-02-09	VYDAJ	PREVOD NA UCET	6337	31988	SIPO	IJ	1018590
1122825	3835	1998-03-09	VYDAJ	PREVOD NA UCET	6337	25341	SIPO	IJ	1018590
1122826	3835	1998-04-09	VYDAJ	PREVOD NA UCET	6337	32928	SIPO	IJ	1018590
1122827	3835	1998-05-09	VYDAJ	PREVOD NA UCET	6337	31728	SIPO	IJ	1018590
1122828	3835	1998-06-09	VYDAJ	PREVOD NA UCET	6337	30421	SIPO	IJ	1018590
1122829	3835	1998-07-09	VYDAJ	PREVOD NA UCET	6337	30373	SIPO	IJ	1018590
1122830	3835	1998-08-09	VYDAJ	PREVOD NA UCET	6337	20644	SIPO	IJ	1018590
1122831	3835	1998-09-09	VYDAJ	PREVOD NA UCET	6337	18839	SIPO	IJ	1018590
1122832	3835	1998-10-09	VYDAJ	PREVOD NA UCET	6337	23031	SIPO	IJ	1018590
1122833	3835	1998-11-09	VYDAJ	PREVOD NA UCET	6337	23283	SIPO	IJ	1018590
1122834	3835	1998-12-09	VYDAJ	PREVOD NA UCET	6337	25840	SIPO	IJ	1018590
1122843	3835	1993-09-09	VYDAJ	PREVOD NA UCET	1247	36026	 	AB	19860339
1122844	3835	1993-10-09	VYDAJ	PREVOD NA UCET	1247	19759	 	AB	19860339
1122845	3835	1993-11-09	VYDAJ	PREVOD NA UCET	1247	26547	 	AB	19860339
1122846	3835	1993-12-09	VYDAJ	PREVOD NA UCET	1247	36523	 	AB	19860339
1122847	3835	1994-01-09	VYDAJ	PREVOD NA UCET	1247	34910	 	AB	19860339
1122848	3835	1994-02-09	VYDAJ	PREVOD NA UCET	1247	30417	 	AB	19860339
1122849	3835	1994-03-09	VYDAJ	PREVOD NA UCET	1247	32328	 	AB	19860339
1122850	3835	1994-04-09	VYDAJ	PREVOD NA UCET	1247	41173	 	AB	19860339
1122851	3835	1994-05-09	VYDAJ	PREVOD NA UCET	1247	39857	 	AB	19860339
1122852	3835	1994-06-09	VYDAJ	PREVOD NA UCET	1247	32187	 	AB	19860339
1122853	3835	1994-07-09	VYDAJ	PREVOD NA UCET	1247	29843	 	AB	19860339
1122854	3835	1994-08-09	VYDAJ	PREVOD NA UCET	1247	29355	 	AB	19860339
1122855	3835	1994-09-09	VYDAJ	PREVOD NA UCET	1247	32902	 	AB	19860339
1122856	3835	1994-10-09	VYDAJ	PREVOD NA UCET	1247	33703	 	AB	19860339
1122857	3835	1994-11-09	VYDAJ	PREVOD NA UCET	1247	28162	 	AB	19860339
1122858	3835	1994-12-09	VYDAJ	PREVOD NA UCET	1247	33699	 	AB	19860339
1122859	3835	1995-01-09	VYDAJ	PREVOD NA UCET	1247	31303	 	AB	19860339
1122860	3835	1995-02-09	VYDAJ	PREVOD NA UCET	1247	35951	 	AB	19860339
1122861	3835	1995-03-09	VYDAJ	PREVOD NA UCET	1247	26412	 	AB	19860339
1122862	3835	1995-04-09	VYDAJ	PREVOD NA UCET	1247	35140	 	AB	19860339
1122863	3835	1995-05-09	VYDAJ	PREVOD NA UCET	1247	36545	 	AB	19860339
1122864	3835	1995-06-09	VYDAJ	PREVOD NA UCET	1247	27822	 	AB	19860339
1122865	3835	1995-07-09	VYDAJ	PREVOD NA UCET	1247	38894	 	AB	19860339
1122866	3835	1995-08-09	VYDAJ	PREVOD NA UCET	1247	31183	 	AB	19860339
1122867	3835	1995-09-09	VYDAJ	PREVOD NA UCET	1247	33102	 	AB	19860339
1122868	3835	1995-10-09	VYDAJ	PREVOD NA UCET	1247	37559	 	AB	19860339
1122869	3835	1995-11-09	VYDAJ	PREVOD NA UCET	1247	33743	 	AB	19860339
1122870	3835	1995-12-09	VYDAJ	PREVOD NA UCET	1247	39503	 	AB	19860339
1122871	3835	1996-01-09	VYDAJ	PREVOD NA UCET	1247	41760	 	AB	19860339
1122872	3835	1996-02-09	VYDAJ	PREVOD NA UCET	1247	34359	 	AB	19860339
1122873	3835	1996-03-09	VYDAJ	PREVOD NA UCET	1247	34781	 	AB	19860339
1122874	3835	1996-04-09	VYDAJ	PREVOD NA UCET	1247	31909	 	AB	19860339
1122875	3835	1996-05-09	VYDAJ	PREVOD NA UCET	1247	30714	 	AB	19860339
1122876	3835	1996-06-09	VYDAJ	PREVOD NA UCET	1247	31621	 	AB	19860339
1122877	3835	1996-07-09	VYDAJ	PREVOD NA UCET	1247	34864	 	AB	19860339
1122878	3835	1996-08-09	VYDAJ	PREVOD NA UCET	1247	31825	 	AB	19860339
1122879	3835	1996-09-09	VYDAJ	PREVOD NA UCET	1247	33369	 	AB	19860339
1122880	3835	1996-10-09	VYDAJ	PREVOD NA UCET	1247	37061	 	AB	19860339
1122881	3835	1996-11-09	VYDAJ	PREVOD NA UCET	1247	40064	 	AB	19860339
1122882	3835	1996-12-09	VYDAJ	PREVOD NA UCET	1247	37371	 	AB	19860339
1122883	3835	1997-01-09	VYDAJ	PREVOD NA UCET	1247	29863	 	AB	19860339
1122884	3835	1997-02-09	VYDAJ	PREVOD NA UCET	1247	32262	 	AB	19860339
1122885	3835	1997-03-09	VYDAJ	PREVOD NA UCET	1247	35601	 	AB	19860339
1122886	3835	1997-04-09	VYDAJ	PREVOD NA UCET	1247	39598	 	AB	19860339
1122887	3835	1997-05-09	VYDAJ	PREVOD NA UCET	1247	34309	 	AB	19860339
1122888	3835	1997-06-09	VYDAJ	PREVOD NA UCET	1247	34801	 	AB	19860339
1122889	3835	1997-07-09	VYDAJ	PREVOD NA UCET	1247	25756	 	AB	19860339
1122890	3835	1997-08-09	VYDAJ	PREVOD NA UCET	1247	33474	 	AB	19860339
1122891	3835	1997-09-09	VYDAJ	PREVOD NA UCET	1247	28422	 	AB	19860339
1122892	3835	1997-10-09	VYDAJ	PREVOD NA UCET	1247	37849	 	AB	19860339
1122893	3835	1997-11-09	VYDAJ	PREVOD NA UCET	1247	39152	 	AB	19860339
1122894	3835	1997-12-09	VYDAJ	PREVOD NA UCET	1247	37953	 	AB	19860339
1122895	3835	1998-01-09	VYDAJ	PREVOD NA UCET	1247	36080	 	AB	19860339
1122896	3835	1998-02-09	VYDAJ	PREVOD NA UCET	1247	30741	 	AB	19860339
1122897	3835	1998-03-09	VYDAJ	PREVOD NA UCET	1247	31678	 	AB	19860339
1122898	3835	1998-04-09	VYDAJ	PREVOD NA UCET	1247	39265	 	AB	19860339
1122899	3835	1998-05-09	VYDAJ	PREVOD NA UCET	1247	38065	 	AB	19860339
1122900	3835	1998-06-09	VYDAJ	PREVOD NA UCET	1247	36758	 	AB	19860339
1122901	3835	1998-07-09	VYDAJ	PREVOD NA UCET	1247	29126	 	AB	19860339
1122902	3835	1998-08-09	VYDAJ	PREVOD NA UCET	1247	19397	 	AB	19860339
1122903	3835	1998-09-09	VYDAJ	PREVOD NA UCET	1247	25176	 	AB	19860339
1122904	3835	1998-10-09	VYDAJ	PREVOD NA UCET	1247	21784	 	AB	19860339
1122905	3835	1998-11-09	VYDAJ	PREVOD NA UCET	1247	22036	 	AB	19860339
1122906	3835	1998-12-09	VYDAJ	PREVOD NA UCET	1247	24593	 	AB	19860339
1122908	3835	1994-06-28	VYDAJ	VYBER	9900	43637	\N	\N	\N
1122909	3835	1995-06-02	VYDAJ	VYBER	10200	34406	\N	\N	\N
1122910	3835	1996-06-16	VYDAJ	VYBER	19900	33071	\N	\N	\N
1122911	3835	1997-06-16	VYDAJ	VYBER	21700	28114	\N	\N	\N
1122912	3835	1998-06-13	VYDAJ	VYBER	6400	44071	\N	\N	\N
1122913	3835	1993-12-24	VYDAJ	VYBER	800	42336	\N	\N	\N
1122914	3835	1994-12-09	VYDAJ	VYBER	1600	34946	\N	\N	\N
1122915	3835	1995-12-24	VYDAJ	VYBER	800	53716	\N	\N	\N
1122916	3835	1996-12-26	VYDAJ	VYBER	2300	37284	\N	\N	\N
1122917	3835	1997-12-20	VYDAJ	VYBER	2200	41266	\N	\N	\N
1122918	3835	1998-12-30	VYDAJ	VYBER	2000	37943	\N	\N	\N
1122920	3835	1993-11-25	VYDAJ	VYBER	1200	37643	\N	\N	\N
1122921	3835	1993-12-12	VYDAJ	VYBER	3600	43936	\N	\N	\N
1122922	3835	1993-10-09	VYDAJ	VYBER	3100	21006	\N	\N	\N
1122923	3835	1993-09-19	VYDAJ	VYBER	1900	30322	\N	\N	\N
1122924	3835	1993-12-18	VYDAJ	VYBER	800	43136	\N	\N	\N
1122925	3835	1994-03-01	VYDAJ	VYBER	4900	39912	\N	\N	\N
1122926	3835	1994-10-25	VYDAJ	VYBER	4500	37099	\N	\N	\N
1122927	3835	1994-12-27	VYDAJ	VYBER	800	47912	\N	\N	\N
1122928	3835	1994-08-30	VYDAJ	VYBER	700	42888	\N	\N	\N
1122929	3835	1994-01-15	VYDAJ	VYBER	1300	42243	\N	\N	\N
1122930	3835	1995-03-17	VYDAJ	VYBER	2400	38245	\N	\N	\N
1122931	3835	1995-02-13	VYDAJ	VYBER	4400	39447	\N	\N	\N
1122932	3835	1995-01-21	VYDAJ	VYBER	4600	39836	\N	\N	\N
1122933	3835	1995-11-29	VYDAJ	VYBER	4300	43676	\N	\N	\N
1122934	3835	1995-09-18	VYDAJ	VYBER	1200	46135	\N	\N	\N
1122935	3835	1995-01-15	VYDAJ	VYBER	1100	44436	\N	\N	\N
1122936	3835	1996-11-12	VYDAJ	VYBER	3800	44160	\N	\N	\N
1122937	3835	1996-03-24	VYDAJ	VYBER	800	48214	\N	\N	\N
1122938	3835	1996-05-03	VYDAJ	VYBER	1600	38298	\N	\N	\N
1122939	3835	1996-04-12	VYDAJ	VYBER	2200	43942	\N	\N	\N
1122940	3835	1996-09-16	VYDAJ	VYBER	1200	40065	\N	\N	\N
1122941	3835	1996-09-08	VYDAJ	VYBER	4700	34616	\N	\N	\N
1122942	3835	1997-07-28	VYDAJ	VYBER	4300	34589	\N	\N	\N
1122943	3835	1997-12-19	VYDAJ	VYBER	1300	51666	\N	\N	\N
1122944	3835	1997-04-27	VYDAJ	VYBER	900	39594	\N	\N	\N
1122945	3835	1997-05-04	VYDAJ	VYBER	4200	35556	\N	\N	\N
1122946	3835	1997-12-30	VYDAJ	VYBER	4100	37166	\N	\N	\N
1122947	3835	1998-07-30	VYDAJ	VYBER	1400	26859	\N	\N	\N
1122948	3835	1998-02-07	VYDAJ	VYBER	4400	38325	\N	\N	\N
1122949	3835	1998-03-01	VYDAJ	VYBER	4200	32925	\N	\N	\N
1122950	3835	1998-07-22	VYDAJ	VYBER	4600	28259	\N	\N	\N
1122951	3835	1998-02-26	VYDAJ	VYBER	3700	36974	\N	\N	\N
1122952	3835	1998-06-10	VYDAJ	VYBER	1300	29121	\N	\N	\N
1122961	3835	1993-08-31	VYDAJ	VYBER	15	37273	SLUZBY	\N	\N
1122962	3835	1993-09-30	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
1122963	3835	1993-10-31	VYDAJ	VYBER	15	27794	SLUZBY	\N	\N
1122964	3835	1993-11-30	VYDAJ	VYBER	15	37770	SLUZBY	\N	\N
1122965	3835	1993-12-31	VYDAJ	VYBER	15	42494	SLUZBY	\N	\N
1122966	3835	1994-01-31	VYDAJ	VYBER	15	42401	SLUZBY	\N	\N
1122967	3835	1994-02-28	VYDAJ	VYBER	15	44812	SLUZBY	\N	\N
1122968	3835	1994-03-31	VYDAJ	VYBER	15	42420	SLUZBY	\N	\N
1122969	3835	1994-04-30	VYDAJ	VYBER	15	47441	SLUZBY	\N	\N
1122970	3835	1994-05-31	VYDAJ	VYBER	15	48471	SLUZBY	\N	\N
1122971	3835	1994-06-30	VYDAJ	VYBER	15	43827	SLUZBY	\N	\N
1122972	3835	1994-07-31	VYDAJ	VYBER	15	44239	SLUZBY	\N	\N
1122973	3835	1994-08-31	VYDAJ	VYBER	15	43049	SLUZBY	\N	\N
1122974	3835	1994-09-30	VYDAJ	VYBER	15	40950	SLUZBY	\N	\N
1122975	3835	1994-10-31	VYDAJ	VYBER	15	37246	SLUZBY	\N	\N
1122976	3835	1994-11-30	VYDAJ	VYBER	15	42546	SLUZBY	\N	\N
1122977	3835	1994-12-31	VYDAJ	VYBER	15	48087	SLUZBY	\N	\N
1122978	3835	1995-01-31	VYDAJ	VYBER	15	39998	SLUZBY	\N	\N
1122979	3835	1995-02-28	VYDAJ	VYBER	15	39596	SLUZBY	\N	\N
1122980	3835	1995-03-31	VYDAJ	VYBER	15	38387	SLUZBY	\N	\N
1122981	3835	1995-04-30	VYDAJ	VYBER	15	43192	SLUZBY	\N	\N
1122982	3835	1995-05-31	VYDAJ	VYBER	15	44606	SLUZBY	\N	\N
1122983	3835	1995-06-30	VYDAJ	VYBER	15	49341	SLUZBY	\N	\N
1122984	3835	1995-07-31	VYDAJ	VYBER	15	46967	SLUZBY	\N	\N
1122985	3835	1995-08-31	VYDAJ	VYBER	15	45586	SLUZBY	\N	\N
1122986	3835	1995-09-30	VYDAJ	VYBER	15	46306	SLUZBY	\N	\N
1122987	3835	1995-10-31	VYDAJ	VYBER	15	45627	SLUZBY	\N	\N
1122988	3835	1995-11-30	VYDAJ	VYBER	15	43850	SLUZBY	\N	\N
1122989	3835	1995-12-31	VYDAJ	VYBER	15	53907	SLUZBY	\N	\N
1122990	3835	1996-01-31	VYDAJ	VYBER	15	41943	SLUZBY	\N	\N
1122991	3835	1996-02-29	VYDAJ	VYBER	15	48765	SLUZBY	\N	\N
1122992	3835	1996-03-31	VYDAJ	VYBER	15	39493	SLUZBY	\N	\N
1122993	3835	1996-04-30	VYDAJ	VYBER	15	39898	SLUZBY	\N	\N
1122994	3835	1996-05-31	VYDAJ	VYBER	15	39205	SLUZBY	\N	\N
1122995	3835	1996-06-30	VYDAJ	VYBER	15	36111	SLUZBY	\N	\N
1122996	3835	1996-07-31	VYDAJ	VYBER	15	39409	SLUZBY	\N	\N
1122997	3835	1996-08-31	VYDAJ	VYBER	15	39316	SLUZBY	\N	\N
1122998	3835	1996-09-30	VYDAJ	VYBER	15	38308	SLUZBY	\N	\N
1122999	3835	1996-10-31	VYDAJ	VYBER	15	41311	SLUZBY	\N	\N
1123000	3835	1996-11-30	VYDAJ	VYBER	15	38618	SLUZBY	\N	\N
1123001	3835	1996-12-31	VYDAJ	VYBER	15	37447	SLUZBY	\N	\N
1123002	3835	1997-01-31	VYDAJ	VYBER	15	39846	SLUZBY	\N	\N
1123003	3835	1997-02-28	VYDAJ	VYBER	15	36848	SLUZBY	\N	\N
1123004	3835	1997-03-31	VYDAJ	VYBER	15	40845	SLUZBY	\N	\N
1123005	3835	1997-04-30	VYDAJ	VYBER	15	39756	SLUZBY	\N	\N
1123006	3835	1997-05-31	VYDAJ	VYBER	15	36048	SLUZBY	\N	\N
1123007	3835	1997-06-30	VYDAJ	VYBER	15	33340	SLUZBY	\N	\N
1123008	3835	1997-07-31	VYDAJ	VYBER	15	34721	SLUZBY	\N	\N
1123009	3835	1997-08-31	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
1123010	3835	1997-09-30	VYDAJ	VYBER	15	39096	SLUZBY	\N	\N
1123011	3835	1997-10-31	VYDAJ	VYBER	15	40399	SLUZBY	\N	\N
1123012	3835	1997-11-30	VYDAJ	VYBER	15	39200	SLUZBY	\N	\N
1123013	3835	1997-12-31	VYDAJ	VYBER	15	37327	SLUZBY	\N	\N
1123014	3835	1998-01-31	VYDAJ	VYBER	15	42725	SLUZBY	\N	\N
1123015	3835	1998-02-28	VYDAJ	VYBER	15	37125	SLUZBY	\N	\N
1123016	3835	1998-03-31	VYDAJ	VYBER	15	40512	SLUZBY	\N	\N
1123017	3835	1998-04-30	VYDAJ	VYBER	15	39312	SLUZBY	\N	\N
1123018	3835	1998-05-31	VYDAJ	VYBER	15	38005	SLUZBY	\N	\N
1123019	3835	1998-06-30	VYDAJ	VYBER	15	36710	SLUZBY	\N	\N
1123020	3835	1998-07-31	VYDAJ	VYBER	15	26981	SLUZBY	\N	\N
1123021	3835	1998-08-31	VYDAJ	VYBER	15	26423	SLUZBY	\N	\N
1123022	3835	1998-09-30	VYDAJ	VYBER	15	29368	SLUZBY	\N	\N
1123023	3835	1998-10-31	VYDAJ	VYBER	15	29620	SLUZBY	\N	\N
1123024	3835	1998-11-30	VYDAJ	VYBER	15	32177	SLUZBY	\N	\N
1123025	3835	1993-04-15	PRIJEM	VKLAD	5700	20833	\N	\N	\N
1123026	3835	1993-05-15	VYDAJ	VYBER	7300	27812	\N	\N	\N
1123027	3835	1993-06-14	VYDAJ	VYBER	12100	37165	\N	\N	\N
1123028	3835	1993-07-14	VYDAJ	VYBER	12200	39336	\N	\N	\N
1123029	3835	1993-08-13	VYDAJ	VYBER	16600	37129	\N	\N	\N
1123030	3835	1993-09-12	VYDAJ	VYBER	11700	32222	\N	\N	\N
1123031	3835	1993-10-12	VYDAJ	VYBER	6300	27692	\N	\N	\N
1123032	3835	1993-11-11	PRIJEM	VKLAD	4400	24610	\N	\N	\N
1123033	3835	1993-12-11	VYDAJ	VYBER	4000	26186	\N	\N	\N
1123034	3835	1994-01-10	VYDAJ	VYBER	5600	29310	\N	\N	\N
1123035	3835	1994-02-09	VYDAJ	VYBER	4400	31664	\N	\N	\N
1123036	3835	1994-03-11	VYDAJ	VYBER	4300	28028	\N	\N	\N
1123037	3835	1994-04-10	VYDAJ	VYBER	1800	33036	\N	\N	\N
1123038	3835	1994-05-10	VYDAJ	VYBER	5800	34057	\N	\N	\N
1123039	3835	1994-06-09	VYDAJ	VYBER	8700	39771	\N	\N	\N
1123040	3835	1994-07-09	VYDAJ	VYBER	6400	37427	\N	\N	\N
1123041	3835	1994-08-08	VYDAJ	VYBER	7300	36939	\N	\N	\N
1123042	3835	1994-09-07	VYDAJ	VYBER	8900	34149	\N	\N	\N
1123043	3835	1994-10-07	VYDAJ	VYBER	6000	34950	\N	\N	\N
1123044	3835	1994-11-06	VYDAJ	VYBER	1500	35746	\N	\N	\N
1123045	3835	1994-12-06	VYDAJ	VYBER	6000	36546	\N	\N	\N
1123046	3835	1995-01-05	VYDAJ	VYBER	9200	38887	\N	\N	\N
1123047	3835	1995-02-04	VYDAJ	VYBER	2800	37198	\N	\N	\N
1123048	3835	1995-03-06	VYDAJ	VYBER	5600	33996	\N	\N	\N
1123049	3835	1995-04-05	VYDAJ	VYBER	2000	36387	\N	\N	\N
1123050	3835	1995-05-05	VYDAJ	VYBER	5400	37792	\N	\N	\N
1123051	3835	1995-06-04	PRIJEM	VKLAD	1000	35406	\N	\N	\N
1123052	3835	1995-07-04	VYDAJ	VYBER	9200	40141	\N	\N	\N
1123053	3835	1995-08-03	VYDAJ	VYBER	8200	38767	\N	\N	\N
1123054	3835	1995-09-02	VYDAJ	VYBER	4900	40686	\N	\N	\N
1123055	3835	1995-10-02	VYDAJ	VYBER	7500	38806	\N	\N	\N
1123056	3835	1995-11-01	VYDAJ	VYBER	4300	41327	\N	\N	\N
1123057	3835	1995-12-01	VYDAJ	VYBER	3100	40750	\N	\N	\N
1123058	3835	1995-12-31	VYDAJ	VYBER	10900	43007	\N	\N	\N
1123059	3835	1996-01-30	VYDAJ	VYBER	7900	41756	\N	\N	\N
1123060	3835	1996-02-29	VYDAJ	VYBER	6400	42365	\N	\N	\N
1123061	3835	1996-03-30	VYDAJ	VYBER	8900	39314	\N	\N	\N
1123062	3835	1996-04-29	VYDAJ	VYBER	4200	39742	\N	\N	\N
1123063	3835	1996-05-29	VYDAJ	VYBER	5900	39047	\N	\N	\N
1123064	3835	1996-06-28	PRIJEM	VKLAD	2900	35971	\N	\N	\N
1123065	3835	1996-07-28	VYDAJ	VYBER	3500	39260	\N	\N	\N
1123066	3835	1996-08-27	VYDAJ	VYBER	6900	39158	\N	\N	\N
1123067	3835	1996-09-26	VYDAJ	VYBER	1900	38165	\N	\N	\N
1123068	3835	1996-10-26	VYDAJ	VYBER	3800	41157	\N	\N	\N
1123069	3835	1996-11-25	VYDAJ	VYBER	5700	38460	\N	\N	\N
1123070	3835	1996-12-25	VYDAJ	VYBER	12800	39584	\N	\N	\N
1123071	3835	1997-01-24	VYDAJ	VYBER	4400	39696	\N	\N	\N
1123072	3835	1997-02-23	VYDAJ	VYBER	9800	36695	\N	\N	\N
1123073	3835	1997-03-25	VYDAJ	VYBER	2800	40697	\N	\N	\N
1123074	3835	1997-04-24	VYDAJ	VYBER	7000	40494	\N	\N	\N
1123075	3835	1997-05-24	VYDAJ	VYBER	6300	35905	\N	\N	\N
1123076	3835	1997-06-23	PRIJEM	VKLAD	5100	33214	\N	\N	\N
1123077	3835	1997-07-23	VYDAJ	VYBER	1100	38889	\N	\N	\N
1123078	3835	1997-08-22	VYDAJ	VYBER	5500	35870	\N	\N	\N
1123079	3835	1997-09-21	VYDAJ	VYBER	3700	38955	\N	\N	\N
1123080	3835	1997-10-21	VYDAJ	VYBER	5500	40245	\N	\N	\N
1123081	3835	1997-11-20	VYDAJ	VYBER	8000	39048	\N	\N	\N
1123082	3835	1997-12-20	VYDAJ	VYBER	8200	43466	\N	\N	\N
1123083	3835	1998-01-19	VYDAJ	VYBER	1400	42576	\N	\N	\N
1123084	3835	1998-02-18	VYDAJ	VYBER	4300	40674	\N	\N	\N
1123085	3835	1998-03-20	PRIJEM	VKLAD	800	40374	\N	\N	\N
1123086	3835	1998-04-19	VYDAJ	VYBER	8000	39161	\N	\N	\N
1123087	3835	1998-05-19	VYDAJ	VYBER	8100	37861	\N	\N	\N
1123088	3835	1998-06-18	VYDAJ	VYBER	7500	36571	\N	\N	\N
1123089	3835	1998-07-18	VYDAJ	VYBER	10500	32859	\N	\N	\N
1123090	3835	1998-08-17	VYDAJ	VYBER	7300	26330	\N	\N	\N
1123091	3835	1998-09-16	VYDAJ	VYBER	3800	29272	\N	\N	\N
1123092	3835	1998-10-16	VYDAJ	VYBER	6500	29517	\N	\N	\N
1123093	3835	1998-11-15	VYDAJ	VYBER	4200	32069	\N	\N	\N
1123094	3835	1998-12-15	VYDAJ	VYBER	6000	39943	\N	\N	\N
1123164	3836	1997-12-09	PRIJEM	VKLAD	300	300	\N	\N	\N
1123176	3836	1997-12-12	PRIJEM	VKLAD	34790	35090	\N	\N	\N
1123177	3836	1998-01-12	PRIJEM	VKLAD	23193	50777	\N	\N	\N
1123178	3836	1998-02-12	PRIJEM	VKLAD	23193	64858	\N	\N	\N
1123179	3836	1998-03-12	PRIJEM	VKLAD	23193	66898	\N	\N	\N
1123180	3836	1998-04-12	PRIJEM	VKLAD	23193	66767	\N	\N	\N
1123181	3836	1998-05-12	PRIJEM	VKLAD	23193	61127	\N	\N	\N
1123182	3836	1998-06-12	PRIJEM	VKLAD	34790	71849	\N	\N	\N
1123183	3836	1998-07-12	PRIJEM	VKLAD	23193	67194	\N	\N	\N
1123184	3836	1998-08-12	PRIJEM	VKLAD	23193	63337	\N	\N	\N
1123185	3836	1998-09-12	PRIJEM	VKLAD	23193	62480	\N	\N	\N
1123186	3836	1998-10-12	PRIJEM	VKLAD	23193	64614	\N	\N	\N
1123187	3836	1998-11-12	PRIJEM	VKLAD	23193	62579	\N	\N	\N
1123188	3836	1998-12-12	PRIJEM	VKLAD	34790	73718	\N	\N	\N
1123205	3836	1998-05-05	VYDAJ	PREVOD NA UCET	2676	63342	SIPO	QR	24936366
1123206	3836	1998-06-05	VYDAJ	PREVOD NA UCET	2676	57667	SIPO	QR	24936366
1123207	3836	1998-07-05	VYDAJ	PREVOD NA UCET	2676	63609	SIPO	QR	24936366
1123208	3836	1998-08-05	VYDAJ	PREVOD NA UCET	2676	63752	SIPO	QR	24936366
1123209	3836	1998-09-05	VYDAJ	PREVOD NA UCET	2676	44595	SIPO	QR	24936366
1123210	3836	1998-10-05	VYDAJ	PREVOD NA UCET	2676	46729	SIPO	QR	24936366
1123211	3836	1998-11-05	VYDAJ	PREVOD NA UCET	2676	48054	SIPO	QR	24936366
1123212	3836	1998-12-05	VYDAJ	PREVOD NA UCET	2676	44236	SIPO	QR	24936366
1123228	3836	1998-04-14	VYDAJ	PREVOD NA UCET	1011	65756	 	MN	95188617
1123229	3836	1998-05-14	VYDAJ	PREVOD NA UCET	1011	60116	 	MN	95188617
1123230	3836	1998-06-14	VYDAJ	PREVOD NA UCET	1011	70838	 	MN	95188617
1123231	3836	1998-07-14	VYDAJ	PREVOD NA UCET	1011	66183	 	MN	95188617
1123232	3836	1998-08-14	VYDAJ	PREVOD NA UCET	1011	62326	 	MN	95188617
1123233	3836	1998-09-14	VYDAJ	PREVOD NA UCET	1011	61469	 	MN	95188617
1123234	3836	1998-10-14	VYDAJ	PREVOD NA UCET	1011	63603	 	MN	95188617
1123235	3836	1998-11-14	VYDAJ	PREVOD NA UCET	1011	61568	 	MN	95188617
1123236	3836	1998-12-14	VYDAJ	PREVOD NA UCET	1011	72707	 	MN	95188617
1123253	3836	1998-05-06	VYDAJ	PREVOD NA UCET	5308	58034	POJISTNE	YZ	32683402
1123254	3836	1998-06-06	VYDAJ	PREVOD NA UCET	5308	52359	POJISTNE	YZ	32683402
1123255	3836	1998-07-06	VYDAJ	PREVOD NA UCET	5308	58301	POJISTNE	YZ	32683402
1123256	3836	1998-08-06	VYDAJ	PREVOD NA UCET	5308	58444	POJISTNE	YZ	32683402
1123257	3836	1998-09-06	VYDAJ	PREVOD NA UCET	5308	39287	POJISTNE	YZ	32683402
1123258	3836	1998-10-06	VYDAJ	PREVOD NA UCET	5308	41421	POJISTNE	YZ	32683402
1123259	3836	1998-11-06	VYDAJ	PREVOD NA UCET	5308	42746	POJISTNE	YZ	32683402
1123260	3836	1998-12-06	VYDAJ	PREVOD NA UCET	5308	38928	POJISTNE	YZ	32683402
1123266	3836	1998-12-03	VYDAJ	VYBER	2080	59712	\N	\N	\N
1123283	3836	1998-06-30	VYDAJ	VYBER	4800	66299	\N	\N	\N
1123284	3836	1998-12-26	VYDAJ	VYBER	5280	67427	\N	\N	\N
1123285	3836	1998-09-20	VYDAJ	VYBER	4080	57389	\N	\N	\N
1123286	3836	1998-11-09	VYDAJ	VYBER	3360	39386	\N	\N	\N
1123304	3836	1998-04-30	VYDAJ	VYBER	15	66018	SLUZBY	\N	\N
1123305	3836	1998-05-31	VYDAJ	VYBER	15	60343	SLUZBY	\N	\N
1123306	3836	1998-06-30	VYDAJ	VYBER	15	66285	SLUZBY	\N	\N
1123307	3836	1998-07-31	VYDAJ	VYBER	15	66428	SLUZBY	\N	\N
1123308	3836	1998-08-31	VYDAJ	VYBER	15	62571	SLUZBY	\N	\N
1123309	3836	1998-09-30	VYDAJ	VYBER	15	57605	SLUZBY	\N	\N
1123310	3836	1998-10-31	VYDAJ	VYBER	15	63830	SLUZBY	\N	\N
1123311	3836	1998-11-30	VYDAJ	VYBER	15	61792	SLUZBY	\N	\N
1123312	3836	1998-01-08	VYDAJ	VYBER	7600	27584	\N	\N	\N
1123313	3836	1998-02-07	VYDAJ	VYBER	9300	41665	\N	\N	\N
1123314	3836	1998-03-09	VYDAJ	VYBER	21400	43705	\N	\N	\N
1123315	3836	1998-04-08	VYDAJ	VYBER	23600	43574	\N	\N	\N
1123316	3836	1998-05-08	VYDAJ	VYBER	20100	37934	\N	\N	\N
1123317	3836	1998-06-07	VYDAJ	VYBER	15300	37059	\N	\N	\N
1123318	3836	1998-07-07	VYDAJ	VYBER	14300	44001	\N	\N	\N
1123319	3836	1998-08-06	VYDAJ	VYBER	18300	40144	\N	\N	\N
1123320	3836	1998-09-05	VYDAJ	VYBER	15300	47271	\N	\N	\N
1123321	3836	1998-10-05	VYDAJ	VYBER	8200	49405	\N	\N	\N
1123322	3836	1998-11-04	VYDAJ	VYBER	13100	50730	\N	\N	\N
1123323	3836	1998-12-04	VYDAJ	VYBER	12800	46912	\N	\N	\N
1123337	3837	1993-08-26	PRIJEM	VKLAD	800	800	\N	\N	\N
1123346	3837	1993-09-09	PRIJEM	PREVOD Z UCTU	13776	14576	\N	ST	92881422
1123347	3837	1993-10-09	PRIJEM	PREVOD Z UCTU	13776	33569	\N	ST	92881422
1123348	3837	1993-11-09	PRIJEM	PREVOD Z UCTU	13776	44137	\N	ST	92881422
1123349	3837	1993-12-09	PRIJEM	PREVOD Z UCTU	20664	56833	\N	ST	92881422
1123350	3837	1994-01-09	PRIJEM	PREVOD Z UCTU	13776	53362	\N	ST	92881422
1123351	3837	1994-02-09	PRIJEM	PREVOD Z UCTU	13776	37476	\N	ST	92881422
1123352	3837	1994-03-09	PRIJEM	PREVOD Z UCTU	13776	44859	\N	ST	92881422
1123353	3837	1994-04-09	PRIJEM	PREVOD Z UCTU	13776	40880	\N	ST	92881422
1123354	3837	1994-05-09	PRIJEM	PREVOD Z UCTU	13776	42177	\N	ST	92881422
1123355	3837	1994-06-09	PRIJEM	PREVOD Z UCTU	20664	46646	\N	ST	92881422
1123356	3837	1994-07-09	PRIJEM	PREVOD Z UCTU	13776	49756	\N	ST	92881422
1123357	3837	1994-08-09	PRIJEM	PREVOD Z UCTU	13776	37879	\N	ST	92881422
1123358	3837	1994-09-09	PRIJEM	PREVOD Z UCTU	13776	43397	\N	ST	92881422
1123359	3837	1994-10-09	PRIJEM	PREVOD Z UCTU	13776	49405	\N	ST	92881422
1123360	3837	1994-11-09	PRIJEM	PREVOD Z UCTU	13776	51333	\N	ST	92881422
1123361	3837	1994-12-09	PRIJEM	PREVOD Z UCTU	20664	51642	\N	ST	92881422
1123362	3837	1995-01-09	PRIJEM	PREVOD Z UCTU	13776	33159	\N	ST	92881422
1123363	3837	1995-02-09	PRIJEM	PREVOD Z UCTU	13776	35837	\N	ST	92881422
1123364	3837	1995-03-09	PRIJEM	PREVOD Z UCTU	13776	44620	\N	ST	92881422
1123365	3837	1995-04-09	PRIJEM	PREVOD Z UCTU	13776	45431	\N	ST	92881422
1123366	3837	1995-05-09	PRIJEM	PREVOD Z UCTU	13776	44440	\N	ST	92881422
1123367	3837	1995-06-09	PRIJEM	PREVOD Z UCTU	20664	56241	\N	ST	92881422
1123368	3837	1995-07-09	PRIJEM	PREVOD Z UCTU	13776	38564	\N	ST	92881422
1123369	3837	1995-08-09	PRIJEM	PREVOD Z UCTU	13776	35562	\N	ST	92881422
1123370	3837	1995-09-09	PRIJEM	PREVOD Z UCTU	13776	36162	\N	ST	92881422
1123371	3837	1995-10-09	PRIJEM	PREVOD Z UCTU	13776	49160	\N	ST	92881422
1123372	3837	1995-11-09	PRIJEM	PREVOD Z UCTU	13776	52898	\N	ST	92881422
1123373	3837	1995-12-09	PRIJEM	PREVOD Z UCTU	20664	64937	\N	ST	92881422
1123374	3837	1996-01-09	PRIJEM	PREVOD Z UCTU	13776	46697	\N	ST	92881422
1123375	3837	1996-02-09	PRIJEM	PREVOD Z UCTU	13776	34402	\N	ST	92881422
1123376	3837	1996-03-09	PRIJEM	PREVOD Z UCTU	13776	52309	\N	ST	92881422
1123377	3837	1996-04-09	PRIJEM	PREVOD Z UCTU	13776	44558	\N	ST	92881422
1123378	3837	1996-05-09	PRIJEM	PREVOD Z UCTU	13776	53151	\N	ST	92881422
1123379	3837	1996-06-09	PRIJEM	PREVOD Z UCTU	20664	53477	\N	ST	92881422
1123380	3837	1996-07-09	PRIJEM	PREVOD Z UCTU	13776	45488	\N	ST	92881422
1123381	3837	1996-08-09	PRIJEM	PREVOD Z UCTU	13776	43230	\N	ST	92881422
1123382	3837	1996-09-09	PRIJEM	PREVOD Z UCTU	13776	35884	\N	ST	92881422
1123383	3837	1996-10-09	PRIJEM	PREVOD Z UCTU	13776	43047	\N	ST	92881422
1123384	3837	1996-11-09	PRIJEM	PREVOD Z UCTU	13776	52656	\N	ST	92881422
1123385	3837	1996-12-09	PRIJEM	PREVOD Z UCTU	20664	63520	\N	ST	92881422
1123386	3837	1997-01-09	PRIJEM	PREVOD Z UCTU	13776	44840	\N	ST	92881422
1123387	3837	1997-02-09	PRIJEM	PREVOD Z UCTU	13776	46849	\N	ST	92881422
1123388	3837	1997-03-09	PRIJEM	PREVOD Z UCTU	13776	57189	\N	ST	92881422
1123389	3837	1997-04-09	PRIJEM	PREVOD Z UCTU	13776	48720	\N	ST	92881422
1123390	3837	1997-05-09	PRIJEM	PREVOD Z UCTU	13776	52966	\N	ST	92881422
1123391	3837	1997-06-09	PRIJEM	PREVOD Z UCTU	20664	56414	\N	ST	92881422
1123392	3837	1997-07-09	PRIJEM	PREVOD Z UCTU	13776	64803	\N	ST	92881422
1123393	3837	1997-08-09	PRIJEM	PREVOD Z UCTU	13776	60575	\N	ST	92881422
1123394	3837	1997-09-09	PRIJEM	PREVOD Z UCTU	13776	59574	\N	ST	92881422
1123395	3837	1997-10-09	PRIJEM	PREVOD Z UCTU	13776	64711	\N	ST	92881422
1123396	3837	1997-11-09	PRIJEM	PREVOD Z UCTU	13776	67394	\N	ST	92881422
1123397	3837	1997-12-09	PRIJEM	PREVOD Z UCTU	20664	73510	\N	ST	92881422
1123398	3837	1998-01-09	PRIJEM	PREVOD Z UCTU	13776	68535	\N	ST	92881422
1123399	3837	1998-02-09	PRIJEM	PREVOD Z UCTU	13776	48905	\N	ST	92881422
1123400	3837	1998-03-09	PRIJEM	PREVOD Z UCTU	13776	55138	\N	ST	92881422
1123401	3837	1998-04-09	PRIJEM	PREVOD Z UCTU	13776	66426	\N	ST	92881422
1123402	3837	1998-05-09	PRIJEM	PREVOD Z UCTU	13776	72200	\N	ST	92881422
1123403	3837	1998-06-09	PRIJEM	PREVOD Z UCTU	20664	55540	\N	ST	92881422
1123404	3837	1998-07-09	PRIJEM	PREVOD Z UCTU	13776	62338	\N	ST	92881422
1123405	3837	1998-08-09	PRIJEM	PREVOD Z UCTU	13776	63861	\N	ST	92881422
1123406	3837	1998-09-09	PRIJEM	PREVOD Z UCTU	13776	62557	\N	ST	92881422
1123407	3837	1998-10-09	PRIJEM	PREVOD Z UCTU	13776	54089	\N	ST	92881422
1123408	3837	1998-11-09	PRIJEM	PREVOD Z UCTU	13776	65534	\N	ST	92881422
1123409	3837	1998-12-09	PRIJEM	PREVOD Z UCTU	20664	65717	\N	ST	92881422
1123497	3837	1994-01-17	VYBER	VYBER	20097	33265	\N	\N	\N
1123502	3837	1994-03-14	VYBER	VYBER	19472	25387	\N	\N	\N
1123503	3837	1994-05-11	VYBER	VYBER	11529	30648	\N	\N	\N
1123504	3837	1994-05-15	VYBER	VYBER	6488	24160	\N	\N	\N
1123510	3837	1995-08-04	VYBER	VYBER	12300	21786	\N	\N	\N
1123511	3837	1995-06-27	VYBER	VYBER	2929	24745	\N	\N	\N
1123512	3837	1995-06-24	VYBER	VYBER	12867	27674	\N	\N	\N
1123513	3837	1996-04-08	VYBER	VYBER	13401	30782	\N	\N	\N
1123516	3837	1996-09-20	VYBER	VYBER	9058	29226	\N	\N	\N
1123517	3837	1996-09-02	VYBER	VYBER	18606	26308	\N	\N	\N
1123519	3837	1996-11-07	VYBER	VYBER	4823	35680	\N	\N	\N
1123520	3837	1996-05-26	VYBER	VYBER	12716	32735	\N	\N	\N
1123522	3837	1996-12-16	VYBER	VYBER	21847	41673	\N	\N	\N
1123523	3837	1996-05-06	VYBER	VYBER	3061	39375	\N	\N	\N
1123524	3837	1997-03-10	VYBER	VYBER	3156	54033	\N	\N	\N
1123525	3837	1997-03-16	VYBER	VYBER	23255	30778	\N	\N	\N
1123526	3837	1997-09-24	VYBER	VYBER	3869	55705	\N	\N	\N
1123530	3837	1997-11-22	VYBER	VYBER	4114	63280	\N	\N	\N
1123531	3837	1997-10-15	VYBER	VYBER	3343	61368	\N	\N	\N
1123532	3837	1997-12-24	VYBER	VYBER	4830	68680	\N	\N	\N
1123533	3837	1997-08-01	VYBER	VYBER	13563	51399	\N	\N	\N
1123534	3837	1998-02-25	VYBER	VYBER	6510	42395	\N	\N	\N
1123535	3837	1998-05-25	VYBER	VYBER	2474	55026	\N	\N	\N
1123536	3837	1998-11-26	VYBER	VYBER	19388	46146	\N	\N	\N
1123537	3837	1998-09-28	VYBER	VYBER	18257	41000	\N	\N	\N
1123538	3837	1998-01-19	VYBER	VYBER	19354	26439	\N	\N	\N
1123539	3837	1998-05-02	VYBER	VYBER	4263	62324	\N	\N	\N
1123540	3837	1998-12-16	VYBER	VYBER	23200	42517	\N	\N	\N
1123541	3837	1998-08-26	VYBER	VYBER	10986	52875	\N	\N	\N
1123542	3837	1998-01-17	VYBER	VYBER	16742	51793	\N	\N	\N
1123548	3837	1998-06-07	VYDAJ	VYBER	16500	34876	\N	\N	\N
1123550	3837	1994-01-21	VYDAJ	VYBER	7500	20365	\N	\N	\N
1123551	3837	1995-01-05	VYDAJ	VYBER	12600	19383	\N	\N	\N
1123553	3837	1997-01-24	VYDAJ	VYBER	7500	21740	\N	\N	\N
1123556	3837	1994-12-13	VYDAJ	VYBER	8400	43242	\N	\N	\N
1123557	3837	1995-12-20	VYDAJ	VYBER	3300	40337	\N	\N	\N
1123558	3837	1996-12-28	VYDAJ	VYBER	6600	35073	\N	\N	\N
1123559	3837	1997-12-01	VYDAJ	VYBER	4800	58646	\N	\N	\N
1123560	3837	1998-12-26	VYDAJ	VYBER	6600	35917	\N	\N	\N
1123571	3837	1994-01-19	VYDAJ	VYBER	3900	27865	\N	\N	\N
1123572	3837	1994-01-17	VYDAJ	VYBER	1500	31765	\N	\N	\N
1123574	3837	1995-01-11	VYDAJ	VYBER	5100	19359	\N	\N	\N
1123575	3837	1995-01-10	VYDAJ	VYBER	4500	28659	\N	\N	\N
1123576	3837	1995-01-11	VYDAJ	VYBER	4200	24459	\N	\N	\N
1123579	3837	1996-01-16	VYDAJ	VYBER	2700	31697	\N	\N	\N
1123580	3837	1996-01-19	VYDAJ	VYBER	7200	20597	\N	\N	\N
1123581	3837	1996-01-12	VYDAJ	VYBER	8700	37997	\N	\N	\N
1123582	3837	1996-01-01	VYDAJ	VYBER	7500	32921	\N	\N	\N
1123583	3837	1996-01-18	VYDAJ	VYBER	3900	27797	\N	\N	\N
1123587	3837	1997-01-07	VYDAJ	VYBER	5100	31064	\N	\N	\N
1123588	3837	1997-01-20	VYDAJ	VYBER	2100	29240	\N	\N	\N
1123589	3837	1997-01-05	VYDAJ	VYBER	8400	26764	\N	\N	\N
1123590	3837	1997-01-12	VYDAJ	VYBER	4800	40040	\N	\N	\N
1123592	3837	1998-01-28	VYDAJ	VYBER	2700	23739	\N	\N	\N
1123593	3837	1998-01-01	VYDAJ	VYBER	3900	64959	\N	\N	\N
1123596	3837	1998-01-18	VYDAJ	VYBER	6000	45793	\N	\N	\N
1123602	3837	1994-11-18	VYDAJ	VYBER	13500	37833	\N	\N	\N
1123603	3837	1994-05-08	VYDAJ	VYBER	6000	28401	\N	\N	\N
1123604	3837	1994-06-17	VYDAJ	VYBER	2100	44546	\N	\N	\N
1123605	3837	1994-08-01	VYDAJ	VYBER	10200	24103	\N	\N	\N
1123607	3837	1995-08-21	VYDAJ	VYBER	10200	22362	\N	\N	\N
1123608	3837	1995-03-13	VYDAJ	VYBER	6900	37720	\N	\N	\N
1123609	3837	1995-10-10	VYDAJ	VYBER	2700	46460	\N	\N	\N
1123610	3837	1995-04-23	VYDAJ	VYBER	4500	30631	\N	\N	\N
1123611	3837	1995-12-09	VYDAJ	VYBER	9900	55037	\N	\N	\N
1123612	3837	1996-06-12	VYDAJ	VYBER	13800	31677	\N	\N	\N
1123613	3837	1996-09-08	VYDAJ	VYBER	4200	22108	\N	\N	\N
1123614	3837	1996-08-08	VYDAJ	VYBER	14700	29454	\N	\N	\N
1123615	3837	1996-11-28	VYDAJ	VYBER	9300	43356	\N	\N	\N
1123617	3837	1997-08-19	VYDAJ	VYBER	12600	47975	\N	\N	\N
1123618	3837	1997-01-17	VYDAJ	VYBER	8700	31340	\N	\N	\N
1123619	3837	1997-05-25	VYDAJ	VYBER	11700	41266	\N	\N	\N
1123620	3837	1997-06-01	VYDAJ	VYBER	10500	30850	\N	\N	\N
1123621	3837	1997-04-17	VYDAJ	VYBER	4800	43920	\N	\N	\N
1123622	3837	1997-04-30	VYDAJ	VYBER	13500	30490	\N	\N	\N
1123623	3837	1998-09-16	VYDAJ	VYBER	3300	59257	\N	\N	\N
1123624	3837	1998-05-16	VYDAJ	VYBER	14700	57500	\N	\N	\N
1123625	3837	1998-03-01	VYDAJ	VYBER	8700	33762	\N	\N	\N
1123639	3837	1994-01-31	VYDAJ	VYBER	100	23700	SLUZBY	\N	\N
1123640	3837	1994-02-28	VYDAJ	VYBER	100	31083	SLUZBY	\N	\N
1123641	3837	1994-03-31	VYDAJ	VYBER	100	27104	SLUZBY	\N	\N
1123642	3837	1994-04-30	VYDAJ	VYBER	100	34401	SLUZBY	\N	\N
1123643	3837	1994-05-31	VYDAJ	VYBER	100	25982	SLUZBY	\N	\N
1123644	3837	1994-06-30	VYDAJ	VYBER	100	35980	SLUZBY	\N	\N
1123645	3837	1994-07-31	VYDAJ	VYBER	100	34303	SLUZBY	\N	\N
1123646	3837	1994-08-31	VYDAJ	VYBER	100	29621	SLUZBY	\N	\N
1123647	3837	1994-09-30	VYDAJ	VYBER	100	35629	SLUZBY	\N	\N
1123648	3837	1994-10-31	VYDAJ	VYBER	100	37557	SLUZBY	\N	\N
1123649	3837	1994-11-30	VYDAJ	VYBER	100	30978	SLUZBY	\N	\N
1123650	3837	1994-12-31	VYDAJ	VYBER	100	31983	SLUZBY	\N	\N
1123651	3837	1995-01-31	VYDAJ	VYBER	100	22061	SLUZBY	\N	\N
1123652	3837	1995-02-28	VYDAJ	VYBER	100	30844	SLUZBY	\N	\N
1123653	3837	1995-03-31	VYDAJ	VYBER	100	31655	SLUZBY	\N	\N
1123654	3837	1995-04-30	VYDAJ	VYBER	100	30664	SLUZBY	\N	\N
1123655	3837	1995-05-31	VYDAJ	VYBER	100	35577	SLUZBY	\N	\N
1123656	3837	1995-06-30	VYDAJ	VYBER	100	24788	SLUZBY	\N	\N
1123657	3837	1995-07-31	VYDAJ	VYBER	100	34086	SLUZBY	\N	\N
1123658	3837	1995-08-31	VYDAJ	VYBER	100	22386	SLUZBY	\N	\N
1123659	3837	1995-09-30	VYDAJ	VYBER	100	35384	SLUZBY	\N	\N
1123660	3837	1995-10-31	VYDAJ	VYBER	100	39122	SLUZBY	\N	\N
1123661	3837	1995-11-30	VYDAJ	VYBER	100	44273	SLUZBY	\N	\N
1123662	3837	1995-12-31	VYDAJ	VYBER	100	40421	SLUZBY	\N	\N
1123663	3837	1996-01-31	VYDAJ	VYBER	100	20626	SLUZBY	\N	\N
1123664	3837	1996-02-29	VYDAJ	VYBER	100	38533	SLUZBY	\N	\N
1123665	3837	1996-03-31	VYDAJ	VYBER	100	44183	SLUZBY	\N	\N
1123666	3837	1996-04-30	VYDAJ	VYBER	100	42436	SLUZBY	\N	\N
1123667	3837	1996-05-31	VYDAJ	VYBER	100	32813	SLUZBY	\N	\N
1123668	3837	1996-06-30	VYDAJ	VYBER	100	31712	SLUZBY	\N	\N
1123669	3837	1996-07-31	VYDAJ	VYBER	100	44154	SLUZBY	\N	\N
1123670	3837	1996-08-31	VYDAJ	VYBER	100	44914	SLUZBY	\N	\N
1123671	3837	1996-09-30	VYDAJ	VYBER	100	29271	SLUZBY	\N	\N
1123672	3837	1996-10-31	VYDAJ	VYBER	100	40503	SLUZBY	\N	\N
1123673	3837	1996-11-30	VYDAJ	VYBER	100	43456	SLUZBY	\N	\N
1123674	3837	1996-12-31	VYDAJ	VYBER	100	35164	SLUZBY	\N	\N
1123675	3837	1997-01-31	VYDAJ	VYBER	100	21773	SLUZBY	\N	\N
1123676	3837	1997-02-28	VYDAJ	VYBER	100	46913	SLUZBY	\N	\N
1123677	3837	1997-03-31	VYDAJ	VYBER	100	30844	SLUZBY	\N	\N
1123678	3837	1997-04-30	VYDAJ	VYBER	100	43990	SLUZBY	\N	\N
1123679	3837	1997-05-31	VYDAJ	VYBER	100	41350	SLUZBY	\N	\N
1123680	3837	1997-06-30	VYDAJ	VYBER	100	56527	SLUZBY	\N	\N
1123681	3837	1997-07-31	VYDAJ	VYBER	100	64962	SLUZBY	\N	\N
1123682	3837	1997-08-31	VYDAJ	VYBER	100	48098	SLUZBY	\N	\N
1123683	3837	1997-09-30	VYDAJ	VYBER	100	55835	SLUZBY	\N	\N
1123684	3837	1997-10-31	VYDAJ	VYBER	100	61518	SLUZBY	\N	\N
1123685	3837	1997-11-30	VYDAJ	VYBER	100	63446	SLUZBY	\N	\N
1123686	3837	1997-12-31	VYDAJ	VYBER	100	68859	SLUZBY	\N	\N
1123687	3837	1998-01-31	VYDAJ	VYBER	100	23829	SLUZBY	\N	\N
1123688	3837	1998-02-28	VYDAJ	VYBER	100	42462	SLUZBY	\N	\N
1123689	3837	1998-03-31	VYDAJ	VYBER	100	55250	SLUZBY	\N	\N
1123690	3837	1998-04-30	VYDAJ	VYBER	100	66587	SLUZBY	\N	\N
1123691	3837	1998-05-31	VYDAJ	VYBER	100	55176	SLUZBY	\N	\N
1123692	3837	1998-06-30	VYDAJ	VYBER	100	55662	SLUZBY	\N	\N
1123693	3837	1998-07-31	VYDAJ	VYBER	100	50085	SLUZBY	\N	\N
1123694	3837	1998-08-31	VYDAJ	VYBER	100	48781	SLUZBY	\N	\N
1123695	3837	1998-09-30	VYDAJ	VYBER	100	40313	SLUZBY	\N	\N
1123696	3837	1998-10-31	VYDAJ	VYBER	100	51758	SLUZBY	\N	\N
1123697	3837	1998-11-30	VYDAJ	VYBER	100	45053	SLUZBY	\N	\N
1123698	3837	1993-09-25	PRIJEM	VKLAD	5200	19776	\N	\N	\N
1123699	3837	1993-10-25	VYDAJ	VYBER	3300	30269	\N	\N	\N
1123700	3837	1993-11-24	VYDAJ	VYBER	8100	36037	\N	\N	\N
1123701	3837	1993-12-24	VYDAJ	VYBER	17400	39433	\N	\N	\N
1123702	3837	1994-01-23	PRIJEM	VKLAD	3300	23665	\N	\N	\N
1123703	3837	1994-02-22	VYDAJ	VYBER	6400	31076	\N	\N	\N
1123704	3837	1994-03-24	PRIJEM	VKLAD	1700	27087	\N	\N	\N
1123705	3837	1994-04-23	VYDAJ	VYBER	6500	34380	\N	\N	\N
1123706	3837	1994-05-23	PRIJEM	VKLAD	1800	25960	\N	\N	\N
1123707	3837	1994-06-22	VYDAJ	VYBER	8600	35946	\N	\N	\N
1123708	3837	1994-07-22	VYDAJ	VYBER	15500	34256	\N	\N	\N
1123709	3837	1994-08-21	VYDAJ	VYBER	8300	29579	\N	\N	\N
1123710	3837	1994-09-20	VYDAJ	VYBER	7800	35597	\N	\N	\N
1123711	3837	1994-10-20	VYDAJ	VYBER	11900	37505	\N	\N	\N
1123712	3837	1994-11-19	VYDAJ	VYBER	6900	30933	\N	\N	\N
1123713	3837	1994-12-19	VYDAJ	VYBER	11300	31942	\N	\N	\N
1123714	3837	1995-01-18	PRIJEM	VKLAD	2700	22059	\N	\N	\N
1123715	3837	1995-02-17	VYDAJ	VYBER	5000	30837	\N	\N	\N
1123716	3837	1995-03-19	VYDAJ	VYBER	6100	31620	\N	\N	\N
1123717	3837	1995-04-18	VYDAJ	VYBER	10300	35131	\N	\N	\N
1123718	3837	1995-05-18	VYDAJ	VYBER	8900	35540	\N	\N	\N
1123719	3837	1995-06-17	VYDAJ	VYBER	15700	40541	\N	\N	\N
1123720	3837	1995-07-17	VYDAJ	VYBER	4500	34064	\N	\N	\N
1123721	3837	1995-08-16	VYDAJ	VYBER	3000	32562	\N	\N	\N
1123722	3837	1995-09-15	VYDAJ	VYBER	800	35362	\N	\N	\N
1123723	3837	1995-10-15	VYDAJ	VYBER	7400	39060	\N	\N	\N
1123724	3837	1995-11-14	VYDAJ	VYBER	8700	44198	\N	\N	\N
1123725	3837	1995-12-14	VYDAJ	VYBER	11400	43637	\N	\N	\N
1123726	3837	1996-01-13	VYDAJ	VYBER	3600	34397	\N	\N	\N
1123727	3837	1996-02-12	PRIJEM	VKLAD	4100	38502	\N	\N	\N
1123728	3837	1996-03-13	VYDAJ	VYBER	8200	44109	\N	\N	\N
1123729	3837	1996-04-12	VYDAJ	VYBER	2200	42358	\N	\N	\N
1123730	3837	1996-05-12	VYDAJ	VYBER	7700	45451	\N	\N	\N
1123731	3837	1996-06-11	VYDAJ	VYBER	8000	45477	\N	\N	\N
1123732	3837	1996-07-11	VYDAJ	VYBER	1400	44088	\N	\N	\N
1123733	3837	1996-08-10	PRIJEM	VKLAD	1600	44830	\N	\N	\N
1123734	3837	1996-09-09	PRIJEM	VKLAD	2400	38284	\N	\N	\N
1123735	3837	1996-10-09	VYDAJ	VYBER	2600	40447	\N	\N	\N
1123736	3837	1996-11-08	PRIJEM	VKLAD	3200	38880	\N	\N	\N
1123737	3837	1996-12-08	VYDAJ	VYBER	600	42856	\N	\N	\N
1123738	3837	1997-01-07	PRIJEM	VKLAD	9400	36164	\N	\N	\N
1123739	3837	1997-02-06	PRIJEM	VKLAD	11300	33073	\N	\N	\N
1123740	3837	1997-03-08	VYDAJ	VYBER	3500	43413	\N	\N	\N
1123741	3837	1997-04-07	PRIJEM	VKLAD	4100	34944	\N	\N	\N
1123742	3837	1997-05-07	PRIJEM	VKLAD	8700	39190	\N	\N	\N
1123743	3837	1997-06-06	PRIJEM	VKLAD	4900	35750	\N	\N	\N
1123744	3837	1997-07-06	VYDAJ	VYBER	5500	51027	\N	\N	\N
1123745	3837	1997-08-05	VYDAJ	VYBER	4600	46799	\N	\N	\N
1123746	3837	1997-09-04	VYDAJ	VYBER	2300	45798	\N	\N	\N
1123747	3837	1997-10-04	VYDAJ	VYBER	4900	50935	\N	\N	\N
1123748	3837	1997-11-03	VYDAJ	VYBER	7900	53618	\N	\N	\N
1123749	3837	1997-12-03	VYDAJ	VYBER	5800	52846	\N	\N	\N
1123750	3837	1998-01-02	VYDAJ	VYBER	10200	54759	\N	\N	\N
1123751	3837	1998-02-01	PRIJEM	VKLAD	11300	35129	\N	\N	\N
1123752	3837	1998-03-03	PRIJEM	VKLAD	7600	41362	\N	\N	\N
1123753	3837	1998-04-02	VYDAJ	VYBER	2600	52650	\N	\N	\N
1123754	3837	1998-05-02	VYDAJ	VYBER	3900	58424	\N	\N	\N
1123755	3837	1998-06-01	VYDAJ	VYBER	3800	51376	\N	\N	\N
1123756	3837	1998-07-01	VYDAJ	VYBER	7100	48562	\N	\N	\N
1123757	3837	1998-07-31	VYDAJ	VYBER	12400	50185	\N	\N	\N
1123758	3837	1998-08-30	VYDAJ	VYBER	4200	48675	\N	\N	\N
1123759	3837	1998-09-29	VYDAJ	VYBER	800	40200	\N	\N	\N
1123760	3837	1998-10-29	VYDAJ	VYBER	2400	51689	\N	\N	\N
1123761	3837	1998-11-28	VYDAJ	VYBER	1200	44946	\N	\N	\N
1123826	3838	1994-05-02	PRIJEM	VKLAD	800	800	\N	\N	\N
1123831	3838	1994-05-10	PRIJEM	VKLAD	12573	13373	\N	\N	\N
1123832	3838	1994-06-10	PRIJEM	VKLAD	18860	37773	\N	\N	\N
1123833	3838	1994-07-10	PRIJEM	VKLAD	12573	45072	\N	\N	\N
1123834	3838	1994-08-10	PRIJEM	VKLAD	12573	48923	\N	\N	\N
1123835	3838	1994-09-10	PRIJEM	VKLAD	12573	50248	\N	\N	\N
1123836	3838	1994-10-10	PRIJEM	VKLAD	12573	48562	\N	\N	\N
1123837	3838	1994-11-10	PRIJEM	VKLAD	12573	47870	\N	\N	\N
1123838	3838	1994-12-10	PRIJEM	VKLAD	18860	51562	\N	\N	\N
1123839	3838	1995-01-10	PRIJEM	VKLAD	12573	46871	\N	\N	\N
1123840	3838	1995-02-10	PRIJEM	VKLAD	12573	42778	\N	\N	\N
1123841	3838	1995-03-10	PRIJEM	VKLAD	12573	45276	\N	\N	\N
1123842	3838	1995-04-10	PRIJEM	VKLAD	12573	45271	\N	\N	\N
1123843	3838	1995-05-10	PRIJEM	VKLAD	12573	49368	\N	\N	\N
1123844	3838	1995-06-10	PRIJEM	VKLAD	18860	49266	\N	\N	\N
1123845	3838	1995-07-10	PRIJEM	VKLAD	12573	48605	\N	\N	\N
1123846	3838	1995-08-10	PRIJEM	VKLAD	12573	49014	\N	\N	\N
1123847	3838	1995-09-10	PRIJEM	VKLAD	12573	47722	\N	\N	\N
1123848	3838	1995-10-10	PRIJEM	VKLAD	12573	46726	\N	\N	\N
1123849	3838	1995-11-10	PRIJEM	VKLAD	12573	43923	\N	\N	\N
1123850	3838	1995-12-10	PRIJEM	VKLAD	18860	45701	\N	\N	\N
1123851	3838	1996-01-10	PRIJEM	VKLAD	12573	39302	\N	\N	\N
1123852	3838	1996-02-10	PRIJEM	VKLAD	12573	39797	\N	\N	\N
1123853	3838	1996-03-10	PRIJEM	VKLAD	12573	38475	\N	\N	\N
1123854	3838	1996-04-10	PRIJEM	VKLAD	12573	40143	\N	\N	\N
1123855	3838	1996-05-10	PRIJEM	VKLAD	12573	35720	\N	\N	\N
1123856	3838	1996-06-10	PRIJEM	VKLAD	18860	39560	\N	\N	\N
1123857	3838	1996-07-10	PRIJEM	VKLAD	12573	36609	\N	\N	\N
1123858	3838	1996-08-10	PRIJEM	VKLAD	12573	36567	\N	\N	\N
1123859	3838	1996-09-10	PRIJEM	VKLAD	12573	34320	\N	\N	\N
1123860	3838	1996-10-10	PRIJEM	VKLAD	12573	28458	\N	\N	\N
1123861	3838	1996-11-10	PRIJEM	VKLAD	12573	27379	\N	\N	\N
1123862	3838	1996-12-10	PRIJEM	VKLAD	18860	32082	\N	\N	\N
1123863	3838	1997-01-10	PRIJEM	VKLAD	12573	27498	\N	\N	\N
1123864	3838	1997-02-10	PRIJEM	VKLAD	12573	29623	\N	\N	\N
1123865	3838	1997-03-10	PRIJEM	VKLAD	12573	29551	\N	\N	\N
1123866	3838	1997-04-10	PRIJEM	VKLAD	12573	29078	\N	\N	\N
1123867	3838	1997-05-10	PRIJEM	VKLAD	12573	29906	\N	\N	\N
1123868	3838	1997-06-10	PRIJEM	VKLAD	18860	36021	\N	\N	\N
1123869	3838	1997-07-10	PRIJEM	VKLAD	12573	30653	\N	\N	\N
1123870	3838	1997-08-10	PRIJEM	VKLAD	12573	38202	\N	\N	\N
1123871	3838	1997-09-10	PRIJEM	VKLAD	12573	35059	\N	\N	\N
1123872	3838	1997-10-10	PRIJEM	VKLAD	12573	40624	\N	\N	\N
1123873	3838	1997-11-10	PRIJEM	VKLAD	12573	40606	\N	\N	\N
1123874	3838	1997-12-10	PRIJEM	VKLAD	18860	43867	\N	\N	\N
1123875	3838	1998-01-10	PRIJEM	VKLAD	12573	40337	\N	\N	\N
1123876	3838	1998-02-10	PRIJEM	VKLAD	12573	36807	\N	\N	\N
1123877	3838	1998-03-10	PRIJEM	VKLAD	12573	46190	\N	\N	\N
1123878	3838	1998-04-10	PRIJEM	VKLAD	12573	45614	\N	\N	\N
1123879	3838	1998-05-10	PRIJEM	VKLAD	12573	43704	\N	\N	\N
1123880	3838	1998-06-10	PRIJEM	VKLAD	18860	52485	\N	\N	\N
1123881	3838	1998-07-10	PRIJEM	VKLAD	12573	42802	\N	\N	\N
1123882	3838	1998-08-10	PRIJEM	VKLAD	12573	35278	\N	\N	\N
1123883	3838	1998-09-10	PRIJEM	VKLAD	12573	42269	\N	\N	\N
1123884	3838	1998-10-10	PRIJEM	VKLAD	12573	45792	\N	\N	\N
1123885	3838	1998-11-10	PRIJEM	VKLAD	12573	45334	\N	\N	\N
1123886	3838	1998-12-10	PRIJEM	VKLAD	18860	50758	\N	\N	\N
1123888	3838	1995-06-03	VYDAJ	VYBER	6700	30406	\N	\N	\N
1123890	3838	1997-06-11	VYDAJ	VYBER	16800	19221	\N	\N	\N
1123891	3838	1998-06-20	VYDAJ	VYBER	4500	30085	\N	\N	\N
1123893	3838	1995-01-13	VYDAJ	VYBER	7700	39171	\N	\N	\N
1123894	3838	1996-01-29	VYDAJ	VYBER	1900	27102	\N	\N	\N
1123895	3838	1997-01-12	VYDAJ	VYBER	8400	19098	\N	\N	\N
1123896	3838	1998-01-18	VYDAJ	VYBER	7600	24937	\N	\N	\N
1123897	3838	1994-12-22	VYDAJ	VYBER	2200	49362	\N	\N	\N
1123898	3838	1995-12-04	VYDAJ	VYBER	1100	26841	\N	\N	\N
1123900	3838	1997-12-17	VYDAJ	VYBER	2900	27667	\N	\N	\N
1123901	3838	1998-12-10	VYDAJ	VYBER	1700	49058	\N	\N	\N
1123905	3838	1995-11-18	VYDAJ	VYBER	4500	35223	\N	\N	\N
1123906	3838	1995-02-16	VYDAJ	VYBER	3900	38878	\N	\N	\N
1123907	3838	1995-12-20	VYDAJ	VYBER	2700	39801	\N	\N	\N
1123908	3838	1995-12-13	VYDAJ	VYBER	3200	42501	\N	\N	\N
1123909	3838	1995-11-18	VYDAJ	VYBER	4200	39723	\N	\N	\N
1123911	3838	1996-05-27	VYDAJ	VYBER	3800	20620	\N	\N	\N
1123912	3838	1996-02-15	VYDAJ	VYBER	2100	37697	\N	\N	\N
1123913	3838	1996-01-03	VYDAJ	VYBER	2400	26729	\N	\N	\N
1123914	3838	1996-04-14	VYDAJ	VYBER	2000	38143	\N	\N	\N
1123915	3838	1997-11-02	VYDAJ	VYBER	2100	28033	\N	\N	\N
1123916	3838	1997-11-16	VYDAJ	VYBER	4600	24906	\N	\N	\N
1123917	3838	1997-08-18	VYDAJ	VYBER	2900	22402	\N	\N	\N
1123918	3838	1997-10-30	VYDAJ	VYBER	1800	30024	\N	\N	\N
1123919	3838	1997-01-13	VYDAJ	VYBER	2100	16998	\N	\N	\N
1123921	3838	1998-07-23	VYDAJ	VYBER	4600	25502	\N	\N	\N
1123922	3838	1998-04-18	VYDAJ	VYBER	1400	31014	\N	\N	\N
1123923	3838	1998-01-20	VYDAJ	VYBER	800	24137	\N	\N	\N
1123924	3838	1998-11-18	VYDAJ	VYBER	4400	40934	\N	\N	\N
1123925	3838	1998-11-18	VYDAJ	VYBER	3400	37534	\N	\N	\N
1123926	3838	1998-05-26	VYDAJ	VYBER	1200	33504	\N	\N	\N
1123927	3838	1998-03-12	VYDAJ	VYBER	1800	44390	\N	\N	\N
1123937	3838	1994-09-30	VYDAJ	VYBER	15	35989	SLUZBY	\N	\N
1123938	3838	1994-10-31	VYDAJ	VYBER	15	35297	SLUZBY	\N	\N
1123939	3838	1994-11-30	VYDAJ	VYBER	15	32702	SLUZBY	\N	\N
1123940	3838	1994-12-31	VYDAJ	VYBER	15	34298	SLUZBY	\N	\N
1123941	3838	1995-01-31	VYDAJ	VYBER	15	30205	SLUZBY	\N	\N
1123942	3838	1995-02-28	VYDAJ	VYBER	15	32703	SLUZBY	\N	\N
1123943	3838	1995-03-31	VYDAJ	VYBER	15	32698	SLUZBY	\N	\N
1123944	3838	1995-04-30	VYDAJ	VYBER	15	36795	SLUZBY	\N	\N
1123945	3838	1995-05-31	VYDAJ	VYBER	15	37106	SLUZBY	\N	\N
1123946	3838	1995-06-30	VYDAJ	VYBER	15	36032	SLUZBY	\N	\N
1123947	3838	1995-07-31	VYDAJ	VYBER	15	36441	SLUZBY	\N	\N
1123948	3838	1995-08-31	VYDAJ	VYBER	15	35149	SLUZBY	\N	\N
1123949	3838	1995-09-30	VYDAJ	VYBER	15	34153	SLUZBY	\N	\N
1123950	3838	1995-10-31	VYDAJ	VYBER	15	31350	SLUZBY	\N	\N
1123951	3838	1995-11-30	VYDAJ	VYBER	15	27941	SLUZBY	\N	\N
1123952	3838	1995-12-31	VYDAJ	VYBER	15	29129	SLUZBY	\N	\N
1123953	3838	1996-01-31	VYDAJ	VYBER	15	27224	SLUZBY	\N	\N
1123954	3838	1996-02-29	VYDAJ	VYBER	15	25902	SLUZBY	\N	\N
1123955	3838	1996-03-31	VYDAJ	VYBER	15	27570	SLUZBY	\N	\N
1123956	3838	1996-04-30	VYDAJ	VYBER	15	23147	SLUZBY	\N	\N
1123957	3838	1996-05-31	VYDAJ	VYBER	15	20700	SLUZBY	\N	\N
1123958	3838	1996-06-30	VYDAJ	VYBER	15	24036	SLUZBY	\N	\N
1123959	3838	1996-07-31	VYDAJ	VYBER	15	23994	SLUZBY	\N	\N
1123960	3838	1996-08-31	VYDAJ	VYBER	15	21747	SLUZBY	\N	\N
1123961	3838	1996-09-30	VYDAJ	VYBER	15	15885	SLUZBY	\N	\N
1123962	3838	1996-10-31	VYDAJ	VYBER	15	14806	SLUZBY	\N	\N
1123963	3838	1996-11-30	VYDAJ	VYBER	15	13222	SLUZBY	\N	\N
1123964	3838	1996-12-31	VYDAJ	VYBER	15	14925	SLUZBY	\N	\N
1123965	3838	1997-01-31	VYDAJ	VYBER	15	17050	SLUZBY	\N	\N
1123966	3838	1997-02-28	VYDAJ	VYBER	15	16978	SLUZBY	\N	\N
1123967	3838	1997-03-31	VYDAJ	VYBER	15	16505	SLUZBY	\N	\N
1123968	3838	1997-04-30	VYDAJ	VYBER	15	17333	SLUZBY	\N	\N
1123969	3838	1997-05-31	VYDAJ	VYBER	15	17161	SLUZBY	\N	\N
1123970	3838	1997-06-30	VYDAJ	VYBER	15	18080	SLUZBY	\N	\N
1123971	3838	1997-07-31	VYDAJ	VYBER	15	25629	SLUZBY	\N	\N
1123972	3838	1997-08-31	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
1123973	3838	1997-09-30	VYDAJ	VYBER	15	28051	SLUZBY	\N	\N
1123974	3838	1997-10-31	VYDAJ	VYBER	15	30133	SLUZBY	\N	\N
1123975	3838	1997-11-30	VYDAJ	VYBER	15	25007	SLUZBY	\N	\N
1123976	3838	1997-12-31	VYDAJ	VYBER	15	27764	SLUZBY	\N	\N
1123977	3838	1998-01-31	VYDAJ	VYBER	15	24234	SLUZBY	\N	\N
1123978	3838	1998-02-28	VYDAJ	VYBER	15	33617	SLUZBY	\N	\N
1123979	3838	1998-03-31	VYDAJ	VYBER	15	33041	SLUZBY	\N	\N
1123980	3838	1998-04-30	VYDAJ	VYBER	15	31131	SLUZBY	\N	\N
1123981	3838	1998-05-31	VYDAJ	VYBER	15	33625	SLUZBY	\N	\N
1123982	3838	1998-06-30	VYDAJ	VYBER	15	30229	SLUZBY	\N	\N
1123983	3838	1998-07-31	VYDAJ	VYBER	15	25605	SLUZBY	\N	\N
1123984	3838	1998-08-31	VYDAJ	VYBER	15	35396	SLUZBY	\N	\N
1123985	3838	1998-09-30	VYDAJ	VYBER	15	42419	SLUZBY	\N	\N
1123986	3838	1998-10-31	VYDAJ	VYBER	15	45961	SLUZBY	\N	\N
1123987	3838	1998-11-30	VYDAJ	VYBER	15	37698	SLUZBY	\N	\N
1123988	3838	1994-06-01	PRIJEM	VKLAD	5500	18913	\N	\N	\N
1123989	3838	1994-07-01	VYDAJ	VYBER	5400	32499	\N	\N	\N
1123990	3838	1994-07-31	VYDAJ	VYBER	8900	36350	\N	\N	\N
1123991	3838	1994-08-30	VYDAJ	VYBER	11400	37523	\N	\N	\N
1123992	3838	1994-09-29	VYDAJ	VYBER	14400	35848	\N	\N	\N
1123993	3838	1994-10-29	VYDAJ	VYBER	13400	35162	\N	\N	\N
1123994	3838	1994-11-28	VYDAJ	VYBER	15300	32570	\N	\N	\N
1123995	3838	1994-12-28	VYDAJ	VYBER	15200	34162	\N	\N	\N
1123996	3838	1995-01-27	VYDAJ	VYBER	9100	30071	\N	\N	\N
1123997	3838	1995-02-26	VYDAJ	VYBER	6300	32578	\N	\N	\N
1123998	3838	1995-03-28	VYDAJ	VYBER	12700	32576	\N	\N	\N
1123999	3838	1995-04-27	VYDAJ	VYBER	8600	36671	\N	\N	\N
1124000	3838	1995-05-27	VYDAJ	VYBER	12400	36968	\N	\N	\N
1124001	3838	1995-06-26	VYDAJ	VYBER	13400	35866	\N	\N	\N
1124002	3838	1995-07-26	VYDAJ	VYBER	12300	36305	\N	\N	\N
1124003	3838	1995-08-25	VYDAJ	VYBER	14000	35014	\N	\N	\N
1124004	3838	1995-09-24	VYDAJ	VYBER	13700	34022	\N	\N	\N
1124005	3838	1995-10-24	VYDAJ	VYBER	15500	31226	\N	\N	\N
1124006	3838	1995-11-23	VYDAJ	VYBER	7400	27823	\N	\N	\N
1124007	3838	1995-12-23	VYDAJ	VYBER	10800	29001	\N	\N	\N
1124008	3838	1996-01-22	VYDAJ	VYBER	10300	29002	\N	\N	\N
1124009	3838	1996-02-21	VYDAJ	VYBER	11900	25797	\N	\N	\N
1124010	3838	1996-03-22	VYDAJ	VYBER	11000	27475	\N	\N	\N
1124011	3838	1996-04-21	VYDAJ	VYBER	15100	23043	\N	\N	\N
1124012	3838	1996-05-21	VYDAJ	VYBER	11300	24420	\N	\N	\N
1124013	3838	1996-06-20	VYDAJ	VYBER	15600	23960	\N	\N	\N
1124014	3838	1996-07-20	VYDAJ	VYBER	12700	23909	\N	\N	\N
1124015	3838	1996-08-19	VYDAJ	VYBER	14900	21667	\N	\N	\N
1124016	3838	1996-09-18	VYDAJ	VYBER	18500	15820	\N	\N	\N
1124017	3838	1996-10-18	VYDAJ	VYBER	13700	14758	\N	\N	\N
1124018	3838	1996-11-17	VYDAJ	VYBER	14200	13179	\N	\N	\N
1124019	3838	1996-12-17	VYDAJ	VYBER	17200	14882	\N	\N	\N
1124020	3838	1997-02-15	VYDAJ	VYBER	12700	16923	\N	\N	\N
1124021	3838	1997-03-17	VYDAJ	VYBER	13100	16451	\N	\N	\N
1124022	3838	1997-04-16	VYDAJ	VYBER	11800	17278	\N	\N	\N
1124023	3838	1997-05-16	VYDAJ	VYBER	12800	17106	\N	\N	\N
1124024	3838	1997-06-15	VYDAJ	VYBER	1200	18021	\N	\N	\N
1124025	3838	1997-07-15	VYDAJ	VYBER	5100	25553	\N	\N	\N
1124026	3838	1997-08-14	VYDAJ	VYBER	12900	25302	\N	\N	\N
1124027	3838	1997-09-13	VYDAJ	VYBER	7100	27959	\N	\N	\N
1124028	3838	1997-10-13	VYDAJ	VYBER	8800	31824	\N	\N	\N
1124029	3838	1997-11-12	VYDAJ	VYBER	11100	29506	\N	\N	\N
1124030	3838	1997-12-12	VYDAJ	VYBER	13300	30567	\N	\N	\N
1124031	3838	1998-01-11	VYDAJ	VYBER	7800	32537	\N	\N	\N
1124032	3838	1998-02-10	VYDAJ	VYBER	3300	33507	\N	\N	\N
1124033	3838	1998-03-12	VYDAJ	VYBER	11500	32890	\N	\N	\N
1124034	3838	1998-04-11	VYDAJ	VYBER	13200	32414	\N	\N	\N
1124035	3838	1998-05-11	VYDAJ	VYBER	9000	34704	\N	\N	\N
1124036	3838	1998-06-10	VYDAJ	VYBER	17900	34585	\N	\N	\N
1124037	3838	1998-07-10	VYDAJ	VYBER	12700	30102	\N	\N	\N
1124038	3838	1998-08-09	VYDAJ	VYBER	2900	22705	\N	\N	\N
1124039	3838	1998-09-08	VYDAJ	VYBER	5700	29696	\N	\N	\N
1124040	3838	1998-10-08	VYDAJ	VYBER	9200	33219	\N	\N	\N
1124041	3838	1998-11-07	VYDAJ	VYBER	13200	32761	\N	\N	\N
1124042	3838	1998-12-07	VYDAJ	VYBER	5800	31898	\N	\N	\N
1124099	3839	1995-02-21	PRIJEM	VKLAD	600	600	\N	\N	\N
1124102	3839	1995-03-10	PRIJEM	PREVOD Z UCTU	30721	31321	\N	YZ	19394898
1124103	3839	1995-04-10	PRIJEM	PREVOD Z UCTU	30721	59977	\N	YZ	19394898
1124104	3839	1995-05-10	PRIJEM	PREVOD Z UCTU	30721	73136	\N	YZ	19394898
1124105	3839	1995-06-10	PRIJEM	PREVOD Z UCTU	46082	95204	\N	YZ	19394898
1124106	3839	1995-07-10	PRIJEM	PREVOD Z UCTU	30721	92646	\N	YZ	19394898
1124107	3839	1995-08-10	PRIJEM	PREVOD Z UCTU	30721	87503	\N	YZ	19394898
1124108	3839	1995-09-10	PRIJEM	PREVOD Z UCTU	30721	82445	\N	YZ	19394898
1124109	3839	1995-10-10	PRIJEM	PREVOD Z UCTU	30721	85872	\N	YZ	19394898
1124110	3839	1995-11-10	PRIJEM	PREVOD Z UCTU	30721	80906	\N	YZ	19394898
1124111	3839	1995-12-10	PRIJEM	PREVOD Z UCTU	46082	89685	\N	YZ	19394898
1124112	3839	1996-01-10	PRIJEM	PREVOD Z UCTU	30721	61271	\N	YZ	19394898
1124113	3839	1996-02-10	PRIJEM	PREVOD Z UCTU	30721	50581	\N	YZ	19394898
1124114	3839	1996-03-10	PRIJEM	PREVOD Z UCTU	30721	68506	\N	YZ	19394898
1124115	3839	1996-04-10	PRIJEM	PREVOD Z UCTU	30721	56689	\N	YZ	19394898
1124116	3839	1996-05-10	PRIJEM	PREVOD Z UCTU	30721	54888	\N	YZ	19394898
1124117	3839	1996-06-10	PRIJEM	PREVOD Z UCTU	46082	75169	\N	YZ	19394898
1124118	3839	1996-07-10	PRIJEM	PREVOD Z UCTU	30721	77735	\N	YZ	19394898
1124119	3839	1996-08-10	PRIJEM	PREVOD Z UCTU	30721	56624	\N	YZ	19394898
1124120	3839	1996-09-10	PRIJEM	PREVOD Z UCTU	30721	60423	\N	YZ	19394898
1124121	3839	1996-10-10	PRIJEM	PREVOD Z UCTU	30721	55939	\N	YZ	19394898
1124122	3839	1996-11-10	PRIJEM	PREVOD Z UCTU	30721	60170	\N	YZ	19394898
1124123	3839	1996-12-10	PRIJEM	PREVOD Z UCTU	46082	76021	\N	YZ	19394898
1124124	3839	1997-01-10	PRIJEM	PREVOD Z UCTU	30721	55409	\N	YZ	19394898
1124125	3839	1997-02-10	PRIJEM	PREVOD Z UCTU	30721	52531	\N	YZ	19394898
1124126	3839	1997-03-10	PRIJEM	PREVOD Z UCTU	30721	66466	\N	YZ	19394898
1124127	3839	1997-04-10	PRIJEM	PREVOD Z UCTU	30721	71835	\N	YZ	19394898
1124128	3839	1997-05-10	PRIJEM	PREVOD Z UCTU	30721	74318	\N	YZ	19394898
1124129	3839	1997-06-10	PRIJEM	PREVOD Z UCTU	46082	86671	\N	YZ	19394898
1124130	3839	1997-07-10	PRIJEM	PREVOD Z UCTU	30721	79781	\N	YZ	19394898
1124131	3839	1997-08-10	PRIJEM	PREVOD Z UCTU	30721	54177	\N	YZ	19394898
1124132	3839	1997-09-10	PRIJEM	PREVOD Z UCTU	30721	61894	\N	YZ	19394898
1124133	3839	1997-10-10	PRIJEM	PREVOD Z UCTU	30721	62548	\N	YZ	19394898
1124134	3839	1997-11-10	PRIJEM	PREVOD Z UCTU	30721	68605	\N	YZ	19394898
1124135	3839	1997-12-10	PRIJEM	PREVOD Z UCTU	46082	86149	\N	YZ	19394898
1124136	3839	1998-01-10	PRIJEM	PREVOD Z UCTU	30721	66080	\N	YZ	19394898
1124137	3839	1998-02-10	PRIJEM	PREVOD Z UCTU	30721	63652	\N	YZ	19394898
1124138	3839	1998-03-10	PRIJEM	PREVOD Z UCTU	30721	66463	\N	YZ	19394898
1124139	3839	1998-04-10	PRIJEM	PREVOD Z UCTU	30721	71948	\N	YZ	19394898
1124140	3839	1998-05-10	PRIJEM	PREVOD Z UCTU	30721	79438	\N	YZ	19394898
1124141	3839	1998-06-10	PRIJEM	PREVOD Z UCTU	46082	90486	\N	YZ	19394898
1124142	3839	1998-07-10	PRIJEM	PREVOD Z UCTU	30721	87533	\N	YZ	19394898
1124143	3839	1998-08-10	PRIJEM	PREVOD Z UCTU	30721	86496	\N	YZ	19394898
1124144	3839	1998-09-10	PRIJEM	PREVOD Z UCTU	30721	88753	\N	YZ	19394898
1124145	3839	1998-10-10	PRIJEM	PREVOD Z UCTU	30721	72559	\N	YZ	19394898
1124146	3839	1998-11-10	PRIJEM	PREVOD Z UCTU	30721	63077	\N	YZ	19394898
1124147	3839	1998-12-10	PRIJEM	PREVOD Z UCTU	46082	86679	\N	YZ	19394898
1124198	3839	1996-12-20	VYBER	VYBER	5370	39851	\N	\N	\N
1124199	3839	1996-08-26	VYBER	VYBER	7484	29584	\N	\N	\N
1124201	3839	1996-11-14	VYBER	VYBER	5655	29815	\N	\N	\N
1124202	3839	1996-04-26	VYBER	VYBER	3980	24016	\N	\N	\N
1124203	3839	1996-04-12	VYBER	VYBER	6493	50196	\N	\N	\N
1124204	3839	1996-01-15	VYBER	VYBER	14944	41527	\N	\N	\N
1124205	3839	1996-04-02	VYBER	VYBER	20999	25968	\N	\N	\N
1124207	3839	1996-08-13	VYBER	VYBER	3056	53568	\N	\N	\N
1124208	3839	1996-07-31	VYBER	VYBER	10812	37318	\N	\N	\N
1124210	3839	1996-09-27	VYBER	VYBER	13228	25095	\N	\N	\N
1124211	3839	1998-06-08	VYBER	VYBER	4407	44404	\N	\N	\N
1124212	3839	1998-03-06	VYBER	VYBER	15337	48542	\N	\N	\N
1124213	3839	1998-09-24	VYBER	VYBER	24518	54935	\N	\N	\N
1124214	3839	1998-03-10	VYBER	VYBER	5964	60499	\N	\N	\N
1124215	3839	1998-10-27	VYBER	VYBER	20850	42531	\N	\N	\N
1124216	3839	1998-10-12	VYBER	VYBER	9178	63381	\N	\N	\N
1124224	3839	1998-01-23	VYDAJ	VYBER	5400	53480	\N	\N	\N
1124225	3839	1995-12-27	VYDAJ	VYBER	5700	36985	\N	\N	\N
1124226	3839	1996-12-26	VYDAJ	VYBER	6600	33251	\N	\N	\N
1124227	3839	1997-12-03	VYDAJ	VYBER	6000	62867	\N	\N	\N
1124228	3839	1998-12-27	VYDAJ	VYBER KARTOU	2100	76779	\N	\N	0
1124235	3839	1996-01-24	VYDAJ	VYBER KARTOU	3600	25727	\N	\N	0
1124236	3839	1996-01-05	VYDAJ	VYBER	6600	30550	\N	\N	\N
1124237	3839	1996-01-11	VYDAJ	VYBER	4800	56471	\N	\N	\N
1124239	3839	1996-01-18	VYDAJ	VYBER KARTOU	1800	29327	\N	\N	0
1124240	3839	1996-01-29	VYDAJ	VYBER	6000	19727	\N	\N	\N
1124241	3839	1997-01-13	VYDAJ	VYBER KARTOU	1500	37909	\N	\N	0
1124242	3839	1997-01-07	VYDAJ	VYBER KARTOU	2700	30688	\N	\N	0
1124243	3839	1997-01-13	VYDAJ	VYBER	6300	31609	\N	\N	\N
1124244	3839	1997-01-16	VYDAJ	VYBER	6600	21709	\N	\N	\N
1124245	3839	1997-01-09	VYDAJ	VYBER	6000	24688	\N	\N	\N
1124246	3839	1997-01-15	VYDAJ	VYBER KARTOU	3300	28309	\N	\N	0
1124247	3839	1998-01-28	VYDAJ	VYBER	6900	46580	\N	\N	\N
1124248	3839	1998-01-09	VYDAJ	VYBER	5700	41959	\N	\N	\N
1124249	3839	1998-01-17	VYDAJ	VYBER	5100	58880	\N	\N	\N
1124250	3839	1998-01-09	VYDAJ	VYBER KARTOU	2400	35359	\N	\N	0
1124251	3839	1998-01-09	VYDAJ	VYBER	4200	37759	\N	\N	\N
1124252	3839	1998-01-12	VYDAJ	VYBER KARTOU	2100	63980	\N	\N	0
1124253	3839	1995-11-29	VYDAJ	VYBER	9900	43406	\N	\N	\N
1124254	3839	1995-08-28	VYDAJ	VYBER	6900	51503	\N	\N	\N
1124255	3839	1995-12-20	VYDAJ	VYBER	14100	42685	\N	\N	\N
1124256	3839	1995-07-22	VYDAJ	VYBER	4200	56546	\N	\N	\N
1124257	3839	1995-10-27	VYDAJ	VYBER	6300	49972	\N	\N	\N
1124258	3839	1996-07-31	VYDAJ	VYBER	11400	25903	\N	\N	\N
1124259	3839	1996-04-24	VYDAJ	VYBER	7200	27996	\N	\N	\N
1124260	3839	1996-11-01	VYDAJ	VYBER KARTOU	3900	29449	\N	\N	0
1124261	3839	1996-05-18	VYDAJ	VYBER	8100	28988	\N	\N	\N
1124262	3839	1997-06-01	VYDAJ	VYBER	4800	40589	\N	\N	\N
1124263	3839	1997-10-01	VYDAJ	VYBER	11100	51027	\N	\N	\N
1124264	3839	1998-07-24	VYDAJ	VYBER	6300	79733	\N	\N	\N
1124265	3839	1998-12-19	VYDAJ	VYBER	7800	78879	\N	\N	\N
1124266	3839	1998-05-11	VYDAJ	VYBER	11400	68038	\N	\N	\N
1124267	3839	1998-07-18	VYDAJ	VYBER KARTOU	1500	86033	\N	\N	0
1124268	3839	1998-09-13	VYDAJ	VYBER	9300	79453	\N	\N	\N
1124276	3839	1995-07-31	VYDAJ	VYBER	15	56782	SLUZBY	\N	\N
1124277	3839	1995-08-31	VYDAJ	VYBER	15	51724	SLUZBY	\N	\N
1124278	3839	1995-09-30	VYDAJ	VYBER	15	55151	SLUZBY	\N	\N
1124279	3839	1995-10-31	VYDAJ	VYBER	15	50185	SLUZBY	\N	\N
1124280	3839	1995-11-30	VYDAJ	VYBER	15	43603	SLUZBY	\N	\N
1124281	3839	1995-12-31	VYDAJ	VYBER	15	37150	SLUZBY	\N	\N
1124282	3839	1996-01-31	VYDAJ	VYBER	15	19860	SLUZBY	\N	\N
1124283	3839	1996-02-29	VYDAJ	VYBER	15	37785	SLUZBY	\N	\N
1124284	3839	1996-03-31	VYDAJ	VYBER	15	46967	SLUZBY	\N	\N
1124285	3839	1996-04-30	VYDAJ	VYBER	15	24167	SLUZBY	\N	\N
1124286	3839	1996-05-31	VYDAJ	VYBER	15	29087	SLUZBY	\N	\N
1124287	3839	1996-06-30	VYDAJ	VYBER	15	47014	SLUZBY	\N	\N
1124288	3839	1996-07-31	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
1124289	3839	1996-08-31	VYDAJ	VYBER	15	29702	SLUZBY	\N	\N
1124290	3839	1996-09-30	VYDAJ	VYBER	15	25218	SLUZBY	\N	\N
1124291	3839	1996-10-31	VYDAJ	VYBER	15	33349	SLUZBY	\N	\N
1124292	3839	1996-11-30	VYDAJ	VYBER	15	29939	SLUZBY	\N	\N
1124293	3839	1996-12-31	VYDAJ	VYBER	15	33388	SLUZBY	\N	\N
1124294	3839	1997-01-31	VYDAJ	VYBER	15	21810	SLUZBY	\N	\N
1124295	3839	1997-02-28	VYDAJ	VYBER	15	35745	SLUZBY	\N	\N
1124296	3839	1997-03-31	VYDAJ	VYBER	15	41114	SLUZBY	\N	\N
1124297	3839	1997-04-30	VYDAJ	VYBER	15	43597	SLUZBY	\N	\N
1124298	3839	1997-05-31	VYDAJ	VYBER	15	45389	SLUZBY	\N	\N
1124299	3839	1997-06-30	VYDAJ	VYBER	15	49060	SLUZBY	\N	\N
1124300	3839	1997-07-31	VYDAJ	VYBER	15	43056	SLUZBY	\N	\N
1124301	3839	1997-08-31	VYDAJ	VYBER	15	54373	SLUZBY	\N	\N
1124302	3839	1997-09-30	VYDAJ	VYBER	15	62127	SLUZBY	\N	\N
1124303	3839	1997-10-31	VYDAJ	VYBER	15	62784	SLUZBY	\N	\N
1124304	3839	1997-11-30	VYDAJ	VYBER	15	68867	SLUZBY	\N	\N
1124305	3839	1997-12-31	VYDAJ	VYBER	15	86459	SLUZBY	\N	\N
1124306	3839	1998-01-31	VYDAJ	VYBER	15	46831	SLUZBY	\N	\N
1124307	3839	1998-02-28	VYDAJ	VYBER	15	63879	SLUZBY	\N	\N
1124308	3839	1998-03-31	VYDAJ	VYBER	15	60727	SLUZBY	\N	\N
1124309	3839	1998-04-30	VYDAJ	VYBER	15	72217	SLUZBY	\N	\N
1124310	3839	1998-05-31	VYDAJ	VYBER	15	68311	SLUZBY	\N	\N
1124311	3839	1998-06-30	VYDAJ	VYBER	15	90812	SLUZBY	\N	\N
1124312	3839	1998-07-31	VYDAJ	VYBER	15	80075	SLUZBY	\N	\N
1124313	3839	1998-08-31	VYDAJ	VYBER	15	86832	SLUZBY	\N	\N
1124314	3839	1998-09-30	VYDAJ	VYBER	15	55238	SLUZBY	\N	\N
1124315	3839	1998-10-31	VYDAJ	VYBER	15	42756	SLUZBY	\N	\N
1124316	3839	1998-11-30	VYDAJ	VYBER	15	63297	SLUZBY	\N	\N
1124317	3839	1995-03-23	VYDAJ	VYBER	2100	29221	\N	\N	\N
1124318	3839	1995-04-22	VYDAJ	VYBER	17700	42277	\N	\N	\N
1124319	3839	1995-05-22	VYDAJ	VYBER	24200	48936	\N	\N	\N
1124320	3839	1995-06-21	VYDAJ	VYBER	33500	61704	\N	\N	\N
1124321	3839	1995-07-21	VYDAJ	VYBER	31900	60746	\N	\N	\N
1124322	3839	1995-08-20	VYDAJ	VYBER	29100	58403	\N	\N	\N
1124323	3839	1995-09-19	VYDAJ	VYBER	27500	54945	\N	\N	\N
1124324	3839	1995-10-19	VYDAJ	VYBER	29600	56272	\N	\N	\N
1124325	3839	1995-11-18	VYDAJ	VYBER	27600	53306	\N	\N	\N
1124326	3839	1995-12-18	VYDAJ	VYBER	32900	56785	\N	\N	\N
1124327	3839	1996-01-17	VYDAJ	VYBER	10400	31127	\N	\N	\N
1124328	3839	1996-02-16	VYDAJ	VYBER	12900	37681	\N	\N	\N
1124329	3839	1996-03-17	VYDAJ	VYBER	21700	46806	\N	\N	\N
1124330	3839	1996-04-16	VYDAJ	VYBER	15000	35196	\N	\N	\N
1124331	3839	1996-05-16	VYDAJ	VYBER	17800	37088	\N	\N	\N
1124332	3839	1996-06-15	VYDAJ	VYBER	28300	46869	\N	\N	\N
1124333	3839	1996-07-15	VYDAJ	VYBER	29800	47935	\N	\N	\N
1124334	3839	1996-08-14	VYDAJ	VYBER	16500	37068	\N	\N	\N
1124335	3839	1996-09-13	VYDAJ	VYBER	22100	38323	\N	\N	\N
1124336	3839	1996-10-13	VYDAJ	VYBER	22700	33239	\N	\N	\N
1124337	3839	1996-11-12	VYDAJ	VYBER	24700	35470	\N	\N	\N
1124338	3839	1996-12-12	VYDAJ	VYBER	30800	45221	\N	\N	\N
1124339	3839	1997-01-11	VYDAJ	VYBER	16000	39409	\N	\N	\N
1124340	3839	1997-02-10	VYDAJ	VYBER	16900	35631	\N	\N	\N
1124341	3839	1997-03-12	VYDAJ	VYBER	25500	40966	\N	\N	\N
1124342	3839	1997-04-11	VYDAJ	VYBER	28400	43435	\N	\N	\N
1124343	3839	1997-05-11	VYDAJ	VYBER	29100	45218	\N	\N	\N
1124344	3839	1997-06-10	VYDAJ	VYBER	37900	48771	\N	\N	\N
1124345	3839	1997-07-10	VYDAJ	VYBER	37000	42781	\N	\N	\N
1124346	3839	1997-08-09	VYDAJ	VYBER	19600	23456	\N	\N	\N
1124347	3839	1997-09-08	VYDAJ	VYBER	23200	31173	\N	\N	\N
1124348	3839	1997-10-08	VYDAJ	VYBER	19200	31827	\N	\N	\N
1124349	3839	1997-11-07	VYDAJ	VYBER	24900	37884	\N	\N	\N
1124350	3839	1997-12-07	VYDAJ	VYBER	22800	40067	\N	\N	\N
1124351	3839	1998-01-06	VYDAJ	VYBER	38800	47659	\N	\N	\N
1124352	3839	1998-02-05	VYDAJ	VYBER	13900	32931	\N	\N	\N
1124353	3839	1998-03-07	VYDAJ	VYBER	12800	35742	\N	\N	\N
1124354	3839	1998-04-06	VYDAJ	VYBER	19500	41227	\N	\N	\N
1124355	3839	1998-05-06	VYDAJ	VYBER	23500	48717	\N	\N	\N
1124356	3839	1998-06-05	VYDAJ	VYBER	19500	48811	\N	\N	\N
1124357	3839	1998-07-05	VYDAJ	VYBER	34000	56812	\N	\N	\N
1124358	3839	1998-08-04	VYDAJ	VYBER	24300	55775	\N	\N	\N
1124359	3839	1998-09-03	VYDAJ	VYBER	28800	58032	\N	\N	\N
1124360	3839	1998-10-03	VYDAJ	VYBER	13400	41838	\N	\N	\N
1124361	3839	1998-11-02	VYDAJ	VYBER	10400	32356	\N	\N	\N
1124362	3839	1998-12-02	VYDAJ	VYBER	22700	40597	\N	\N	\N
1124409	3840	1994-02-19	PRIJEM	VKLAD	700	700	\N	\N	\N
1124412	3840	1994-03-11	PRIJEM	PREVOD Z UCTU	5970	6670	DUCHOD	WX	89543765
1124413	3840	1994-04-11	PRIJEM	PREVOD Z UCTU	5970	12640	DUCHOD	WX	89543765
1124414	3840	1994-05-11	PRIJEM	PREVOD Z UCTU	5970	18610	DUCHOD	WX	89543765
1124415	3840	1994-06-11	PRIJEM	PREVOD Z UCTU	5970	24580	DUCHOD	WX	89543765
1124416	3840	1994-07-11	PRIJEM	PREVOD Z UCTU	5970	30550	DUCHOD	WX	89543765
1124417	3840	1994-08-11	PRIJEM	PREVOD Z UCTU	5970	26910	DUCHOD	WX	89543765
1124418	3840	1994-09-11	PRIJEM	PREVOD Z UCTU	5970	26707	DUCHOD	WX	89543765
1124419	3840	1994-10-11	PRIJEM	PREVOD Z UCTU	5970	28306	DUCHOD	WX	89543765
1124420	3840	1994-11-11	PRIJEM	PREVOD Z UCTU	5970	28609	DUCHOD	WX	89543765
1124421	3840	1994-12-11	PRIJEM	PREVOD Z UCTU	5970	26797	DUCHOD	WX	89543765
1124422	3840	1995-01-11	PRIJEM	PREVOD Z UCTU	5970	25646	DUCHOD	WX	89543765
1124423	3840	1995-02-11	PRIJEM	PREVOD Z UCTU	5970	16813	DUCHOD	WX	89543765
1124424	3840	1995-03-11	PRIJEM	PREVOD Z UCTU	5970	20275	DUCHOD	WX	89543765
1124425	3840	1995-04-11	PRIJEM	PREVOD Z UCTU	5970	23751	DUCHOD	WX	89543765
1124426	3840	1995-05-11	PRIJEM	PREVOD Z UCTU	5970	26540	DUCHOD	WX	89543765
1124427	3840	1995-06-11	PRIJEM	PREVOD Z UCTU	5970	23196	DUCHOD	WX	89543765
1124428	3840	1995-07-11	PRIJEM	PREVOD Z UCTU	5970	26205	DUCHOD	WX	89543765
1124429	3840	1995-08-11	PRIJEM	PREVOD Z UCTU	5970	28903	DUCHOD	WX	89543765
1124430	3840	1995-09-11	PRIJEM	PREVOD Z UCTU	5970	30310	DUCHOD	WX	89543765
1124431	3840	1995-10-11	PRIJEM	PREVOD Z UCTU	5970	30118	DUCHOD	WX	89543765
1124432	3840	1995-11-11	PRIJEM	PREVOD Z UCTU	5970	29725	DUCHOD	WX	89543765
1124433	3840	1995-12-11	PRIJEM	PREVOD Z UCTU	5970	31440	DUCHOD	WX	89543765
1124434	3840	1996-01-11	PRIJEM	PREVOD Z UCTU	5970	31709	DUCHOD	WX	89543765
1124435	3840	1996-02-11	PRIJEM	PREVOD Z UCTU	5970	25774	DUCHOD	WX	89543765
1124436	3840	1996-03-11	PRIJEM	PREVOD Z UCTU	5970	29273	DUCHOD	WX	89543765
1124437	3840	1996-04-11	PRIJEM	PREVOD Z UCTU	5970	32786	DUCHOD	WX	89543765
1124438	3840	1996-05-11	PRIJEM	PREVOD Z UCTU	5970	34712	DUCHOD	WX	89543765
1124439	3840	1996-06-11	PRIJEM	PREVOD Z UCTU	5970	24348	DUCHOD	WX	89543765
1124440	3840	1996-07-11	PRIJEM	PREVOD Z UCTU	5970	27853	DUCHOD	WX	89543765
1124441	3840	1996-08-11	PRIJEM	PREVOD Z UCTU	5970	31360	DUCHOD	WX	89543765
1124442	3840	1996-09-11	PRIJEM	PREVOD Z UCTU	5970	34882	DUCHOD	WX	89543765
1124443	3840	1996-10-11	PRIJEM	PREVOD Z UCTU	5970	38419	DUCHOD	WX	89543765
1124444	3840	1996-11-11	PRIJEM	PREVOD Z UCTU	5970	40530	DUCHOD	WX	89543765
1124445	3840	1996-12-11	PRIJEM	PREVOD Z UCTU	5970	39260	DUCHOD	WX	89543765
1124446	3840	1997-01-11	PRIJEM	PREVOD Z UCTU	5970	42619	DUCHOD	WX	89543765
1124447	3840	1997-02-11	PRIJEM	PREVOD Z UCTU	5970	34532	DUCHOD	WX	89543765
1124448	3840	1997-03-11	PRIJEM	PREVOD Z UCTU	5970	38067	DUCHOD	WX	89543765
1124449	3840	1997-04-11	PRIJEM	PREVOD Z UCTU	5970	38616	DUCHOD	WX	89543765
1124450	3840	1997-05-11	PRIJEM	PREVOD Z UCTU	5970	42169	DUCHOD	WX	89543765
1124451	3840	1997-06-11	PRIJEM	PREVOD Z UCTU	5970	38455	DUCHOD	WX	89543765
1124452	3840	1997-07-11	PRIJEM	PREVOD Z UCTU	5970	34148	DUCHOD	WX	89543765
1124453	3840	1997-08-11	PRIJEM	PREVOD Z UCTU	5970	36181	DUCHOD	WX	89543765
1124454	3840	1997-09-11	PRIJEM	PREVOD Z UCTU	5970	38522	DUCHOD	WX	89543765
1124455	3840	1997-10-11	PRIJEM	PREVOD Z UCTU	5970	38173	DUCHOD	WX	89543765
1124456	3840	1997-11-11	PRIJEM	PREVOD Z UCTU	5970	33726	DUCHOD	WX	89543765
1124457	3840	1997-12-11	PRIJEM	PREVOD Z UCTU	5970	37263	DUCHOD	WX	89543765
1124458	3840	1998-01-11	PRIJEM	PREVOD Z UCTU	5970	35288	DUCHOD	WX	89543765
1124459	3840	1998-02-11	PRIJEM	PREVOD Z UCTU	5970	31742	DUCHOD	WX	89543765
1124460	3840	1998-03-11	PRIJEM	PREVOD Z UCTU	5970	34264	DUCHOD	WX	89543765
1124461	3840	1998-04-11	PRIJEM	PREVOD Z UCTU	5970	34032	DUCHOD	WX	89543765
1124462	3840	1998-05-11	PRIJEM	PREVOD Z UCTU	5970	34922	DUCHOD	WX	89543765
1124463	3840	1998-06-11	PRIJEM	PREVOD Z UCTU	5970	35413	DUCHOD	WX	89543765
1124464	3840	1998-07-11	PRIJEM	PREVOD Z UCTU	5970	24711	DUCHOD	WX	89543765
1124465	3840	1998-08-11	PRIJEM	PREVOD Z UCTU	5970	26443	DUCHOD	WX	89543765
1124466	3840	1998-09-11	PRIJEM	PREVOD Z UCTU	5970	29942	DUCHOD	WX	89543765
1124467	3840	1998-10-11	PRIJEM	PREVOD Z UCTU	5970	33457	DUCHOD	WX	89543765
1124468	3840	1998-11-11	PRIJEM	PREVOD Z UCTU	5970	36026	DUCHOD	WX	89543765
1124469	3840	1998-12-11	PRIJEM	PREVOD Z UCTU	5970	38865	DUCHOD	WX	89543765
1124477	3840	1994-08-08	VYDAJ	PREVOD NA UCET	2559	20940	SIPO	CD	87679588
1124478	3840	1994-09-08	VYDAJ	PREVOD NA UCET	2559	20737	SIPO	CD	87679588
1124479	3840	1994-10-08	VYDAJ	PREVOD NA UCET	2559	22336	SIPO	CD	87679588
1124480	3840	1994-11-08	VYDAJ	PREVOD NA UCET	2559	22639	SIPO	CD	87679588
1124481	3840	1994-12-08	VYDAJ	PREVOD NA UCET	2559	20827	SIPO	CD	87679588
1124482	3840	1995-01-08	VYDAJ	PREVOD NA UCET	2559	19676	SIPO	CD	87679588
1124483	3840	1995-02-08	VYDAJ	PREVOD NA UCET	2559	10843	SIPO	CD	87679588
1124484	3840	1995-03-08	VYDAJ	PREVOD NA UCET	2559	14305	SIPO	CD	87679588
1124485	3840	1995-04-08	VYDAJ	PREVOD NA UCET	2559	17781	SIPO	CD	87679588
1124486	3840	1995-05-08	VYDAJ	PREVOD NA UCET	2559	20570	SIPO	CD	87679588
1124487	3840	1995-06-08	VYDAJ	PREVOD NA UCET	2559	17226	SIPO	CD	87679588
1124488	3840	1995-07-08	VYDAJ	PREVOD NA UCET	2559	20235	SIPO	CD	87679588
1124489	3840	1995-08-08	VYDAJ	PREVOD NA UCET	2559	22933	SIPO	CD	87679588
1124490	3840	1995-09-08	VYDAJ	PREVOD NA UCET	2559	24340	SIPO	CD	87679588
1124491	3840	1995-10-08	VYDAJ	PREVOD NA UCET	2559	24148	SIPO	CD	87679588
1124492	3840	1995-11-08	VYDAJ	PREVOD NA UCET	2559	23755	SIPO	CD	87679588
1124493	3840	1995-12-08	VYDAJ	PREVOD NA UCET	2559	25470	SIPO	CD	87679588
1124494	3840	1996-01-08	VYDAJ	PREVOD NA UCET	2559	25739	SIPO	CD	87679588
1124495	3840	1996-02-08	VYDAJ	PREVOD NA UCET	2559	19804	SIPO	CD	87679588
1124496	3840	1996-03-08	VYDAJ	PREVOD NA UCET	2559	23303	SIPO	CD	87679588
1124497	3840	1996-04-08	VYDAJ	PREVOD NA UCET	2559	26816	SIPO	CD	87679588
1124498	3840	1996-05-08	VYDAJ	PREVOD NA UCET	2559	29142	SIPO	CD	87679588
1124499	3840	1996-06-08	VYDAJ	PREVOD NA UCET	2559	18378	SIPO	CD	87679588
1124500	3840	1996-07-08	VYDAJ	PREVOD NA UCET	2559	21883	SIPO	CD	87679588
1124501	3840	1996-08-08	VYDAJ	PREVOD NA UCET	2559	25390	SIPO	CD	87679588
1124502	3840	1996-09-08	VYDAJ	PREVOD NA UCET	2559	28912	SIPO	CD	87679588
1124503	3840	1996-10-08	VYDAJ	PREVOD NA UCET	2559	32449	SIPO	CD	87679588
1124504	3840	1996-11-08	VYDAJ	PREVOD NA UCET	2559	34560	SIPO	CD	87679588
1124505	3840	1996-12-08	VYDAJ	PREVOD NA UCET	2559	36970	SIPO	CD	87679588
1124506	3840	1997-01-08	VYDAJ	PREVOD NA UCET	2559	36649	SIPO	CD	87679588
1124507	3840	1997-02-08	VYDAJ	PREVOD NA UCET	2559	28562	SIPO	CD	87679588
1124508	3840	1997-03-08	VYDAJ	PREVOD NA UCET	2559	32097	SIPO	CD	87679588
1124509	3840	1997-04-08	VYDAJ	PREVOD NA UCET	2559	32646	SIPO	CD	87679588
1124510	3840	1997-05-08	VYDAJ	PREVOD NA UCET	2559	36199	SIPO	CD	87679588
1124511	3840	1997-06-08	VYDAJ	PREVOD NA UCET	2559	32485	SIPO	CD	87679588
1124512	3840	1997-07-08	VYDAJ	PREVOD NA UCET	2559	28178	SIPO	CD	87679588
1124513	3840	1997-08-08	VYDAJ	PREVOD NA UCET	2559	30211	SIPO	CD	87679588
1124514	3840	1997-09-08	VYDAJ	PREVOD NA UCET	2559	32552	SIPO	CD	87679588
1124515	3840	1997-10-08	VYDAJ	PREVOD NA UCET	2559	32203	SIPO	CD	87679588
1124516	3840	1997-11-08	VYDAJ	PREVOD NA UCET	2559	27756	SIPO	CD	87679588
1124517	3840	1997-12-08	VYDAJ	PREVOD NA UCET	2559	31293	SIPO	CD	87679588
1124518	3840	1998-01-08	VYDAJ	PREVOD NA UCET	2559	33158	SIPO	CD	87679588
1124519	3840	1998-02-08	VYDAJ	PREVOD NA UCET	2559	25772	SIPO	CD	87679588
1124520	3840	1998-03-08	VYDAJ	PREVOD NA UCET	2559	28294	SIPO	CD	87679588
1124521	3840	1998-04-08	VYDAJ	PREVOD NA UCET	2559	28062	SIPO	CD	87679588
1124522	3840	1998-05-08	VYDAJ	PREVOD NA UCET	2559	28952	SIPO	CD	87679588
1124523	3840	1998-06-08	VYDAJ	PREVOD NA UCET	2559	29443	SIPO	CD	87679588
1124524	3840	1998-07-08	VYDAJ	PREVOD NA UCET	2559	18741	SIPO	CD	87679588
1124525	3840	1998-08-08	VYDAJ	PREVOD NA UCET	2559	20473	SIPO	CD	87679588
1124526	3840	1998-09-08	VYDAJ	PREVOD NA UCET	2559	23972	SIPO	CD	87679588
1124527	3840	1998-10-08	VYDAJ	PREVOD NA UCET	2559	27487	SIPO	CD	87679588
1124528	3840	1998-11-08	VYDAJ	PREVOD NA UCET	2559	30056	SIPO	CD	87679588
1124529	3840	1998-12-08	VYDAJ	PREVOD NA UCET	2559	32895	SIPO	CD	87679588
1124532	3840	1996-06-03	VYDAJ	VYBER	13900	20937	\N	\N	\N
1124533	3840	1997-06-20	VYDAJ	VYBER	6250	30605	\N	\N	\N
1124534	3840	1998-06-11	VYDAJ	VYBER	14200	21213	\N	\N	\N
1124536	3840	1995-01-26	VYDAJ	VYBER	2150	13336	\N	\N	\N
1124537	3840	1996-01-08	VYDAJ	VYBER	1450	28298	\N	\N	\N
1124538	3840	1997-01-19	VYDAJ	VYBER	1800	38739	\N	\N	\N
1124539	3840	1998-01-25	VYDAJ	VYBER	2600	30288	\N	\N	\N
1124540	3840	1994-12-25	VYDAJ	VYBER	1050	22147	\N	\N	\N
1124541	3840	1995-12-18	VYDAJ	VYBER	1100	29640	\N	\N	\N
1124542	3840	1996-12-04	VYDAJ	VYBER	650	40029	\N	\N	\N
1124543	3840	1997-12-14	VYDAJ	VYBER	400	36863	\N	\N	\N
1124544	3840	1998-12-05	VYDAJ	VYBER	700	35454	\N	\N	\N
1124551	3840	1995-01-19	VYDAJ	VYBER	1680	19326	\N	\N	\N
1124552	3840	1995-01-12	VYDAJ	VYBER	2000	23006	\N	\N	\N
1124553	3840	1995-01-24	VYDAJ	VYBER	2160	15486	\N	\N	\N
1124554	3840	1995-01-11	VYDAJ	VYBER	640	25006	\N	\N	\N
1124556	3840	1995-01-22	VYDAJ	VYBER	1680	17646	\N	\N	\N
1124557	3840	1996-01-14	VYDAJ	VYBER	2160	25389	\N	\N	\N
1124558	3840	1996-01-11	VYDAJ	VYBER	1840	29869	\N	\N	\N
1124559	3840	1996-01-28	VYDAJ	VYBER	1440	22269	\N	\N	\N
1124560	3840	1996-01-19	VYDAJ	VYBER	800	24589	\N	\N	\N
1124561	3840	1996-01-24	VYDAJ	VYBER	880	23709	\N	\N	\N
1124562	3840	1996-01-13	VYDAJ	VYBER	2320	27549	\N	\N	\N
1124563	3840	1997-01-13	VYDAJ	VYBER	1600	40539	\N	\N	\N
1124564	3840	1997-01-29	VYDAJ	VYBER	2320	30979	\N	\N	\N
1124565	3840	1997-01-28	VYDAJ	VYBER	1920	33299	\N	\N	\N
1124566	3840	1997-01-11	VYDAJ	VYBER	480	42139	\N	\N	\N
1124567	3840	1997-01-25	VYDAJ	VYBER	2160	35219	\N	\N	\N
1124568	3840	1997-01-20	VYDAJ	VYBER	1360	37379	\N	\N	\N
1124569	3840	1998-01-15	VYDAJ	VYBER	1120	34168	\N	\N	\N
1124570	3840	1998-01-06	VYDAJ	VYBER	1280	35717	\N	\N	\N
1124571	3840	1998-01-09	VYDAJ	VYBER	2080	29318	\N	\N	\N
1124572	3840	1998-01-30	VYDAJ	VYBER	2080	28208	\N	\N	\N
1124573	3840	1998-01-09	VYDAJ	VYBER	1760	31398	\N	\N	\N
1124574	3840	1998-01-19	VYDAJ	VYBER	1280	32888	\N	\N	\N
1124576	3840	1994-07-26	VYDAJ	VYBER	2480	23470	\N	\N	\N
1124577	3840	1994-12-08	VYDAJ	VYBER	3920	23386	\N	\N	\N
1124580	3840	1995-07-04	VYDAJ	VYBER	480	22794	\N	\N	\N
1124581	3840	1995-06-02	VYDAJ	VYBER	1680	19785	\N	\N	\N
1124582	3840	1995-05-31	VYDAJ	VYBER	2560	21480	\N	\N	\N
1124583	3840	1996-11-05	VYDAJ	VYBER	1440	37119	\N	\N	\N
1124584	3840	1996-04-18	VYDAJ	VYBER	1200	31586	\N	\N	\N
1124585	3840	1996-12-10	VYDAJ	VYBER	3680	33290	\N	\N	\N
1124586	3840	1997-11-07	VYDAJ	VYBER	3600	30315	\N	\N	\N
1124587	3840	1997-04-06	VYDAJ	VYBER	2000	35205	\N	\N	\N
1124588	3840	1997-05-11	VYDAJ	VYBER	1680	40489	\N	\N	\N
1124589	3840	1997-06-16	VYDAJ	VYBER	1600	36855	\N	\N	\N
1124590	3840	1998-11-07	VYDAJ	VYBER	960	32615	\N	\N	\N
1124591	3840	1998-03-23	VYDAJ	VYBER	3760	30504	\N	\N	\N
1124592	3840	1998-05-21	VYDAJ	VYBER	3040	31882	\N	\N	\N
1124593	3840	1998-04-26	VYDAJ	VYBER	2640	31392	\N	\N	\N
1124594	3840	1998-07-28	VYDAJ	VYBER	1760	22951	\N	\N	\N
1124595	3840	1998-12-22	VYDAJ	VYBER	3200	35665	\N	\N	\N
1124603	3840	1994-07-31	VYDAJ	VYBER	15	23499	SLUZBY	\N	\N
1124604	3840	1994-08-31	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
1124605	3840	1994-09-30	VYDAJ	VYBER	15	24895	SLUZBY	\N	\N
1124606	3840	1994-10-31	VYDAJ	VYBER	15	25198	SLUZBY	\N	\N
1124607	3840	1994-11-30	VYDAJ	VYBER	15	27306	SLUZBY	\N	\N
1124608	3840	1994-12-31	VYDAJ	VYBER	15	22235	SLUZBY	\N	\N
1124609	3840	1995-01-31	VYDAJ	VYBER	15	13402	SLUZBY	\N	\N
1124610	3840	1995-02-28	VYDAJ	VYBER	15	16864	SLUZBY	\N	\N
1124611	3840	1995-03-31	VYDAJ	VYBER	15	20340	SLUZBY	\N	\N
1124612	3840	1995-04-30	VYDAJ	VYBER	15	23129	SLUZBY	\N	\N
1124613	3840	1995-05-31	VYDAJ	VYBER	15	21465	SLUZBY	\N	\N
1124614	3840	1995-06-30	VYDAJ	VYBER	15	23274	SLUZBY	\N	\N
1124615	3840	1995-07-31	VYDAJ	VYBER	15	25492	SLUZBY	\N	\N
1124616	3840	1995-08-31	VYDAJ	VYBER	15	26899	SLUZBY	\N	\N
1124617	3840	1995-09-30	VYDAJ	VYBER	15	26707	SLUZBY	\N	\N
1124618	3840	1995-10-31	VYDAJ	VYBER	15	26314	SLUZBY	\N	\N
1124619	3840	1995-11-30	VYDAJ	VYBER	15	28029	SLUZBY	\N	\N
1124620	3840	1995-12-31	VYDAJ	VYBER	15	29748	SLUZBY	\N	\N
1124621	3840	1996-01-31	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
1124622	3840	1996-02-29	VYDAJ	VYBER	15	25862	SLUZBY	\N	\N
1124623	3840	1996-03-31	VYDAJ	VYBER	15	29375	SLUZBY	\N	\N
1124624	3840	1996-04-30	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
1124625	3840	1996-05-31	VYDAJ	VYBER	15	34837	SLUZBY	\N	\N
1124626	3840	1996-06-30	VYDAJ	VYBER	15	24442	SLUZBY	\N	\N
1124627	3840	1996-07-31	VYDAJ	VYBER	15	27949	SLUZBY	\N	\N
1124628	3840	1996-08-31	VYDAJ	VYBER	15	31471	SLUZBY	\N	\N
1124629	3840	1996-09-30	VYDAJ	VYBER	15	35008	SLUZBY	\N	\N
1124630	3840	1996-10-31	VYDAJ	VYBER	15	38559	SLUZBY	\N	\N
1124631	3840	1996-11-30	VYDAJ	VYBER	15	40679	SLUZBY	\N	\N
1124632	3840	1996-12-31	VYDAJ	VYBER	15	39408	SLUZBY	\N	\N
1124633	3840	1997-01-31	VYDAJ	VYBER	15	31121	SLUZBY	\N	\N
1124634	3840	1997-02-28	VYDAJ	VYBER	15	34656	SLUZBY	\N	\N
1124635	3840	1997-03-31	VYDAJ	VYBER	15	38205	SLUZBY	\N	\N
1124636	3840	1997-04-30	VYDAJ	VYBER	15	38758	SLUZBY	\N	\N
1124637	3840	1997-05-31	VYDAJ	VYBER	15	40644	SLUZBY	\N	\N
1124638	3840	1997-06-30	VYDAJ	VYBER	15	30737	SLUZBY	\N	\N
1124639	3840	1997-07-31	VYDAJ	VYBER	15	34270	SLUZBY	\N	\N
1124640	3840	1997-08-31	VYDAJ	VYBER	15	36311	SLUZBY	\N	\N
1124641	3840	1997-09-30	VYDAJ	VYBER	15	38662	SLUZBY	\N	\N
1124642	3840	1997-10-31	VYDAJ	VYBER	15	38315	SLUZBY	\N	\N
1124643	3840	1997-11-30	VYDAJ	VYBER	15	33852	SLUZBY	\N	\N
1124644	3840	1997-12-31	VYDAJ	VYBER	15	36997	SLUZBY	\N	\N
1124645	3840	1998-01-31	VYDAJ	VYBER	15	28331	SLUZBY	\N	\N
1124646	3840	1998-02-28	VYDAJ	VYBER	15	30853	SLUZBY	\N	\N
1124647	3840	1998-03-31	VYDAJ	VYBER	15	30621	SLUZBY	\N	\N
1124648	3840	1998-04-30	VYDAJ	VYBER	15	31511	SLUZBY	\N	\N
1124649	3840	1998-05-31	VYDAJ	VYBER	15	32002	SLUZBY	\N	\N
1124650	3840	1998-06-30	VYDAJ	VYBER	15	21300	SLUZBY	\N	\N
1124651	3840	1998-07-31	VYDAJ	VYBER	15	23032	SLUZBY	\N	\N
1124652	3840	1998-08-31	VYDAJ	VYBER	15	26531	SLUZBY	\N	\N
1124653	3840	1998-09-30	VYDAJ	VYBER	15	30046	SLUZBY	\N	\N
1124654	3840	1998-10-31	VYDAJ	VYBER	15	33575	SLUZBY	\N	\N
1124655	3840	1998-11-30	VYDAJ	VYBER	15	36154	SLUZBY	\N	\N
1124656	3840	1994-07-19	VYDAJ	VYBER	4600	25950	\N	\N	\N
1124657	3840	1994-08-18	VYDAJ	VYBER	3700	23210	\N	\N	\N
1124658	3840	1994-09-17	VYDAJ	VYBER	1900	24807	\N	\N	\N
1124659	3840	1994-10-17	VYDAJ	VYBER	3200	25106	\N	\N	\N
1124660	3840	1994-11-16	VYDAJ	VYBER	1400	27209	\N	\N	\N
1124661	3840	1994-12-16	VYDAJ	VYBER	3600	23197	\N	\N	\N
1124662	3840	1995-01-15	VYDAJ	VYBER	2000	21006	\N	\N	\N
1124663	3840	1995-04-15	VYDAJ	VYBER	700	23051	\N	\N	\N
1124664	3840	1995-05-15	VYDAJ	VYBER	2600	23940	\N	\N	\N
1124665	3840	1995-07-14	VYDAJ	VYBER	800	25405	\N	\N	\N
1124666	3840	1995-08-13	VYDAJ	VYBER	2100	26803	\N	\N	\N
1124667	3840	1995-09-12	VYDAJ	VYBER	3700	26610	\N	\N	\N
1124668	3840	1995-10-12	VYDAJ	VYBER	3900	26218	\N	\N	\N
1124669	3840	1995-11-11	VYDAJ	VYBER	1800	27925	\N	\N	\N
1124670	3840	1995-12-11	VYDAJ	VYBER	700	30740	\N	\N	\N
1124671	3840	1996-05-09	VYDAJ	VYBER	400	28742	\N	\N	\N
1124672	3840	1996-12-05	VYDAJ	VYBER	500	39529	\N	\N	\N
1124673	3840	1997-01-04	VYDAJ	VYBER	200	39208	\N	\N	\N
1124674	3840	1997-04-04	VYDAJ	VYBER	1000	37205	\N	\N	\N
1124675	3840	1997-06-03	VYDAJ	VYBER	5600	35044	\N	\N	\N
1124676	3840	1997-08-02	VYDAJ	VYBER	1500	32770	\N	\N	\N
1124677	3840	1997-09-01	VYDAJ	VYBER	1200	35111	\N	\N	\N
1124678	3840	1997-10-01	VYDAJ	VYBER	3900	34762	\N	\N	\N
1124679	3840	1997-10-31	VYDAJ	VYBER	4400	33915	\N	\N	\N
1124680	3840	1998-02-28	VYDAJ	VYBER	1000	30867	\N	\N	\N
1124735	3841	1995-01-22	PRIJEM	VKLAD	800	800	\N	\N	\N
1124737	3841	1995-02-08	PRIJEM	PREVOD Z UCTU	4547	5347	DUCHOD	EF	73988407
1124738	3841	1995-03-08	PRIJEM	PREVOD Z UCTU	4547	9894	DUCHOD	EF	73988407
1124739	3841	1995-04-08	PRIJEM	PREVOD Z UCTU	4547	14441	DUCHOD	EF	73988407
1124740	3841	1995-05-08	PRIJEM	PREVOD Z UCTU	4547	18988	DUCHOD	EF	73988407
1124741	3841	1995-06-08	PRIJEM	PREVOD Z UCTU	4547	23535	DUCHOD	EF	73988407
1124742	3841	1995-07-08	PRIJEM	PREVOD Z UCTU	4547	8420	DUCHOD	EF	73988407
1124743	3841	1995-08-08	PRIJEM	PREVOD Z UCTU	4547	11320	DUCHOD	EF	73988407
1124744	3841	1995-09-08	PRIJEM	PREVOD Z UCTU	4547	14233	DUCHOD	EF	73988407
1124745	3841	1995-10-08	PRIJEM	PREVOD Z UCTU	4547	16194	DUCHOD	EF	73988407
1124746	3841	1995-11-08	PRIJEM	PREVOD Z UCTU	4547	15766	DUCHOD	EF	73988407
1124747	3841	1995-12-08	PRIJEM	PREVOD Z UCTU	4547	18696	DUCHOD	EF	73988407
1124748	3841	1996-01-08	PRIJEM	PREVOD Z UCTU	4547	21639	DUCHOD	EF	73988407
1124749	3841	1996-02-08	PRIJEM	PREVOD Z UCTU	4547	11206	DUCHOD	EF	73988407
1124750	3841	1996-03-08	PRIJEM	PREVOD Z UCTU	4547	12356	DUCHOD	EF	73988407
1124751	3841	1996-04-08	PRIJEM	PREVOD Z UCTU	4547	15272	DUCHOD	EF	73988407
1124752	3841	1996-05-08	PRIJEM	PREVOD Z UCTU	4547	18201	DUCHOD	EF	73988407
1124753	3841	1996-06-08	PRIJEM	PREVOD Z UCTU	4547	11120	DUCHOD	EF	73988407
1124754	3841	1996-07-08	PRIJEM	PREVOD Z UCTU	4547	14037	DUCHOD	EF	73988407
1124755	3841	1996-08-08	PRIJEM	PREVOD Z UCTU	4547	16961	DUCHOD	EF	73988407
1124756	3841	1996-09-08	PRIJEM	PREVOD Z UCTU	4547	15968	DUCHOD	EF	73988407
1124757	3841	1996-10-08	PRIJEM	PREVOD Z UCTU	4547	18899	DUCHOD	EF	73988407
1124758	3841	1996-11-08	PRIJEM	PREVOD Z UCTU	4547	21843	DUCHOD	EF	73988407
1124759	3841	1996-12-08	PRIJEM	PREVOD Z UCTU	4547	24798	DUCHOD	EF	73988407
1124760	3841	1997-01-08	PRIJEM	PREVOD Z UCTU	4547	24487	DUCHOD	EF	73988407
1124761	3841	1997-02-08	PRIJEM	PREVOD Z UCTU	4547	19679	DUCHOD	EF	73988407
1124762	3841	1997-03-08	PRIJEM	PREVOD Z UCTU	4547	22626	DUCHOD	EF	73988407
1124763	3841	1997-04-08	PRIJEM	PREVOD Z UCTU	4547	25585	DUCHOD	EF	73988407
1124764	3841	1997-05-08	PRIJEM	PREVOD Z UCTU	4547	28556	DUCHOD	EF	73988407
1124765	3841	1997-06-08	PRIJEM	PREVOD Z UCTU	4547	31540	DUCHOD	EF	73988407
1124766	3841	1997-07-08	PRIJEM	PREVOD Z UCTU	4547	25062	DUCHOD	EF	73988407
1124767	3841	1997-08-08	PRIJEM	PREVOD Z UCTU	4547	27070	DUCHOD	EF	73988407
1124768	3841	1997-09-08	PRIJEM	PREVOD Z UCTU	4547	30047	DUCHOD	EF	73988407
1124769	3841	1997-10-08	PRIJEM	PREVOD Z UCTU	4547	33037	DUCHOD	EF	73988407
1124770	3841	1997-11-08	PRIJEM	PREVOD Z UCTU	4547	33554	DUCHOD	EF	73988407
1124771	3841	1997-12-08	PRIJEM	PREVOD Z UCTU	4547	36558	DUCHOD	EF	73988407
1124772	3841	1998-01-08	PRIJEM	PREVOD Z UCTU	4547	35335	DUCHOD	EF	73988407
1124773	3841	1998-02-08	PRIJEM	PREVOD Z UCTU	4547	34343	DUCHOD	EF	73988407
1124774	3841	1998-03-08	PRIJEM	PREVOD Z UCTU	4547	34945	DUCHOD	EF	73988407
1124775	3841	1998-04-08	PRIJEM	PREVOD Z UCTU	4547	37955	DUCHOD	EF	73988407
1124776	3841	1998-05-08	PRIJEM	PREVOD Z UCTU	4547	40978	DUCHOD	EF	73988407
1124777	3841	1998-06-08	PRIJEM	PREVOD Z UCTU	4547	33763	DUCHOD	EF	73988407
1124778	3841	1998-07-08	PRIJEM	PREVOD Z UCTU	4547	30692	DUCHOD	EF	73988407
1124779	3841	1998-08-08	PRIJEM	PREVOD Z UCTU	4547	30966	DUCHOD	EF	73988407
1124780	3841	1998-09-08	PRIJEM	PREVOD Z UCTU	4547	32600	DUCHOD	EF	73988407
1124781	3841	1998-10-08	PRIJEM	PREVOD Z UCTU	4547	34239	DUCHOD	EF	73988407
1124782	3841	1998-11-08	PRIJEM	PREVOD Z UCTU	4547	37246	DUCHOD	EF	73988407
1124783	3841	1998-12-08	PRIJEM	PREVOD Z UCTU	4547	37216	DUCHOD	EF	73988407
1124789	3841	1995-06-10	VYDAJ	PREVOD NA UCET	440	23095	SIPO	ST	99752336
1124790	3841	1995-07-10	VYDAJ	PREVOD NA UCET	440	7980	SIPO	ST	99752336
1124791	3841	1995-08-10	VYDAJ	PREVOD NA UCET	440	10880	SIPO	ST	99752336
1124792	3841	1995-09-10	VYDAJ	PREVOD NA UCET	440	12833	SIPO	ST	99752336
1124793	3841	1995-10-10	VYDAJ	PREVOD NA UCET	440	15754	SIPO	ST	99752336
1124794	3841	1995-11-10	VYDAJ	PREVOD NA UCET	440	15326	SIPO	ST	99752336
1124795	3841	1995-12-10	VYDAJ	PREVOD NA UCET	440	18256	SIPO	ST	99752336
1124796	3841	1996-01-10	VYDAJ	PREVOD NA UCET	440	18879	SIPO	ST	99752336
1124797	3841	1996-02-10	VYDAJ	PREVOD NA UCET	440	10766	SIPO	ST	99752336
1124798	3841	1996-03-10	VYDAJ	PREVOD NA UCET	440	11916	SIPO	ST	99752336
1124799	3841	1996-04-10	VYDAJ	PREVOD NA UCET	440	14832	SIPO	ST	99752336
1124800	3841	1996-05-10	VYDAJ	PREVOD NA UCET	440	17761	SIPO	ST	99752336
1124801	3841	1996-06-10	VYDAJ	PREVOD NA UCET	440	10680	SIPO	ST	99752336
1124802	3841	1996-07-10	VYDAJ	PREVOD NA UCET	440	13597	SIPO	ST	99752336
1124803	3841	1996-08-10	VYDAJ	PREVOD NA UCET	440	16521	SIPO	ST	99752336
1124804	3841	1996-09-10	VYDAJ	PREVOD NA UCET	440	15528	SIPO	ST	99752336
1124805	3841	1996-10-10	VYDAJ	PREVOD NA UCET	440	18459	SIPO	ST	99752336
1124806	3841	1996-11-10	VYDAJ	PREVOD NA UCET	440	21403	SIPO	ST	99752336
1124807	3841	1996-12-10	VYDAJ	PREVOD NA UCET	440	24358	SIPO	ST	99752336
1124808	3841	1997-01-10	VYDAJ	PREVOD NA UCET	440	24047	SIPO	ST	99752336
1124809	3841	1997-02-10	VYDAJ	PREVOD NA UCET	440	19239	SIPO	ST	99752336
1124810	3841	1997-03-10	VYDAJ	PREVOD NA UCET	440	22186	SIPO	ST	99752336
1124811	3841	1997-04-10	VYDAJ	PREVOD NA UCET	440	25145	SIPO	ST	99752336
1124812	3841	1997-05-10	VYDAJ	PREVOD NA UCET	440	28116	SIPO	ST	99752336
1124813	3841	1997-06-10	VYDAJ	PREVOD NA UCET	440	31100	SIPO	ST	99752336
1124814	3841	1997-07-10	VYDAJ	PREVOD NA UCET	440	24622	SIPO	ST	99752336
1124815	3841	1997-08-10	VYDAJ	PREVOD NA UCET	440	26630	SIPO	ST	99752336
1124816	3841	1997-09-10	VYDAJ	PREVOD NA UCET	440	29607	SIPO	ST	99752336
1124817	3841	1997-10-10	VYDAJ	PREVOD NA UCET	440	32597	SIPO	ST	99752336
1124818	3841	1997-11-10	VYDAJ	PREVOD NA UCET	440	33114	SIPO	ST	99752336
1124819	3841	1997-12-10	VYDAJ	PREVOD NA UCET	440	36118	SIPO	ST	99752336
1124820	3841	1998-01-10	VYDAJ	PREVOD NA UCET	440	34895	SIPO	ST	99752336
1124821	3841	1998-02-10	VYDAJ	PREVOD NA UCET	440	33903	SIPO	ST	99752336
1124822	3841	1998-03-10	VYDAJ	PREVOD NA UCET	440	34505	SIPO	ST	99752336
1124823	3841	1998-04-10	VYDAJ	PREVOD NA UCET	440	37515	SIPO	ST	99752336
1124824	3841	1998-05-10	VYDAJ	PREVOD NA UCET	440	40538	SIPO	ST	99752336
1124825	3841	1998-06-10	VYDAJ	PREVOD NA UCET	440	33323	SIPO	ST	99752336
1124826	3841	1998-07-10	VYDAJ	PREVOD NA UCET	440	30252	SIPO	ST	99752336
1124827	3841	1998-08-10	VYDAJ	PREVOD NA UCET	440	30526	SIPO	ST	99752336
1124828	3841	1998-09-10	VYDAJ	PREVOD NA UCET	440	32160	SIPO	ST	99752336
1124829	3841	1998-10-10	VYDAJ	PREVOD NA UCET	440	33799	SIPO	ST	99752336
1124830	3841	1998-11-10	VYDAJ	PREVOD NA UCET	440	36806	SIPO	ST	99752336
1124831	3841	1998-12-10	VYDAJ	PREVOD NA UCET	440	36776	SIPO	ST	99752336
1124838	3841	1995-07-06	VYDAJ	PREVOD NA UCET	1223	3873	 	MN	55037939
1124839	3841	1995-08-06	VYDAJ	PREVOD NA UCET	1223	6773	 	MN	55037939
1124840	3841	1995-09-06	VYDAJ	PREVOD NA UCET	1223	9686	 	MN	55037939
1124841	3841	1995-10-06	VYDAJ	PREVOD NA UCET	1223	11647	 	MN	55037939
1124842	3841	1995-11-06	VYDAJ	PREVOD NA UCET	1223	11219	 	MN	55037939
1124843	3841	1995-12-06	VYDAJ	PREVOD NA UCET	1223	14149	 	MN	55037939
1124844	3841	1996-01-06	VYDAJ	PREVOD NA UCET	1223	17092	 	MN	55037939
1124845	3841	1996-02-06	VYDAJ	PREVOD NA UCET	1223	6659	 	MN	55037939
1124846	3841	1996-03-06	VYDAJ	PREVOD NA UCET	1223	7809	 	MN	55037939
1124847	3841	1996-04-06	VYDAJ	PREVOD NA UCET	1223	10725	 	MN	55037939
1124848	3841	1996-05-06	VYDAJ	PREVOD NA UCET	1223	13654	 	MN	55037939
1124849	3841	1996-06-06	VYDAJ	PREVOD NA UCET	1223	6573	 	MN	55037939
1124850	3841	1996-07-06	VYDAJ	PREVOD NA UCET	1223	9490	 	MN	55037939
1124851	3841	1996-08-06	VYDAJ	PREVOD NA UCET	1223	12414	 	MN	55037939
1124852	3841	1996-09-06	VYDAJ	PREVOD NA UCET	1223	11421	 	MN	55037939
1124853	3841	1996-10-06	VYDAJ	PREVOD NA UCET	1223	14352	 	MN	55037939
1124854	3841	1996-11-06	VYDAJ	PREVOD NA UCET	1223	17296	 	MN	55037939
1124855	3841	1996-12-06	VYDAJ	PREVOD NA UCET	1223	20251	 	MN	55037939
1124856	3841	1997-01-06	VYDAJ	PREVOD NA UCET	1223	19940	 	MN	55037939
1124857	3841	1997-02-06	VYDAJ	PREVOD NA UCET	1223	15132	 	MN	55037939
1124858	3841	1997-03-06	VYDAJ	PREVOD NA UCET	1223	18079	 	MN	55037939
1124859	3841	1997-04-06	VYDAJ	PREVOD NA UCET	1223	21038	 	MN	55037939
1124860	3841	1997-05-06	VYDAJ	PREVOD NA UCET	1223	24009	 	MN	55037939
1124861	3841	1997-06-06	VYDAJ	PREVOD NA UCET	1223	26993	 	MN	55037939
1124862	3841	1997-07-06	VYDAJ	PREVOD NA UCET	1223	20515	 	MN	55037939
1124863	3841	1997-08-06	VYDAJ	PREVOD NA UCET	1223	22523	 	MN	55037939
1124864	3841	1997-09-06	VYDAJ	PREVOD NA UCET	1223	25500	 	MN	55037939
1124865	3841	1997-10-06	VYDAJ	PREVOD NA UCET	1223	28490	 	MN	55037939
1124866	3841	1997-11-06	VYDAJ	PREVOD NA UCET	1223	29007	 	MN	55037939
1124867	3841	1997-12-06	VYDAJ	PREVOD NA UCET	1223	32011	 	MN	55037939
1124868	3841	1998-01-06	VYDAJ	PREVOD NA UCET	1223	30788	 	MN	55037939
1124869	3841	1998-02-06	VYDAJ	PREVOD NA UCET	1223	29796	 	MN	55037939
1124870	3841	1998-03-06	VYDAJ	PREVOD NA UCET	1223	30398	 	MN	55037939
1124871	3841	1998-04-06	VYDAJ	PREVOD NA UCET	1223	33408	 	MN	55037939
1124872	3841	1998-05-06	VYDAJ	PREVOD NA UCET	1223	36431	 	MN	55037939
1124873	3841	1998-06-06	VYDAJ	PREVOD NA UCET	1223	29216	 	MN	55037939
1124874	3841	1998-07-06	VYDAJ	PREVOD NA UCET	1223	26145	 	MN	55037939
1124875	3841	1998-08-06	VYDAJ	PREVOD NA UCET	1223	26419	 	MN	55037939
1124876	3841	1998-09-06	VYDAJ	PREVOD NA UCET	1223	28053	 	MN	55037939
1124877	3841	1998-10-06	VYDAJ	PREVOD NA UCET	1223	29692	 	MN	55037939
1124878	3841	1998-11-06	VYDAJ	PREVOD NA UCET	1223	32699	 	MN	55037939
1124879	3841	1998-12-06	VYDAJ	PREVOD NA UCET	1223	32669	 	MN	55037939
1124880	3841	1995-06-21	VYDAJ	VYBER	14350	8745	\N	\N	\N
1124881	3841	1996-06-05	VYDAJ	VYBER	8900	7796	\N	\N	\N
1124882	3841	1997-06-13	VYDAJ	VYBER	9450	21650	\N	\N	\N
1124883	3841	1998-06-05	VYDAJ	VYBER	10250	30439	\N	\N	\N
1124890	3841	1996-01-15	VYDAJ	VYBER	1840	13599	\N	\N	\N
1124891	3841	1996-01-09	VYDAJ	VYBER	2320	19319	\N	\N	\N
1124892	3841	1996-01-26	VYDAJ	VYBER	1040	9999	\N	\N	\N
1124893	3841	1996-01-27	VYDAJ	VYBER	2160	7839	\N	\N	\N
1124894	3841	1996-01-15	VYDAJ	VYBER	1760	11839	\N	\N	\N
1124895	3841	1996-01-21	VYDAJ	VYBER	800	11039	\N	\N	\N
1124896	3841	1997-01-16	VYDAJ	VYBER	1120	18607	\N	\N	\N
1124897	3841	1997-01-26	VYDAJ	VYBER	2320	16287	\N	\N	\N
1124898	3841	1997-01-15	VYDAJ	VYBER	2000	19727	\N	\N	\N
1124899	3841	1997-01-04	VYDAJ	VYBER	1040	21163	\N	\N	\N
1124900	3841	1997-01-11	VYDAJ	VYBER	2320	21727	\N	\N	\N
1124901	3841	1997-01-03	VYDAJ	VYBER	2240	22203	\N	\N	\N
1124902	3841	1998-01-05	VYDAJ	VYBER	640	32011	\N	\N	\N
1124903	3841	1998-01-27	VYDAJ	VYBER	640	30895	\N	\N	\N
1124904	3841	1998-01-25	VYDAJ	VYBER	2080	31535	\N	\N	\N
1124905	3841	1998-01-02	VYDAJ	VYBER	2080	32651	\N	\N	\N
1124906	3841	1998-01-01	VYDAJ	VYBER	1520	34731	\N	\N	\N
1124907	3841	1998-01-24	VYDAJ	VYBER	1280	33615	\N	\N	\N
1124908	3841	1995-09-08	VYDAJ	VYBER	960	13273	\N	\N	\N
1124909	3841	1995-10-31	VYDAJ	VYBER	3360	12457	\N	\N	\N
1124911	3841	1995-06-28	VYDAJ	VYBER	3680	5065	\N	\N	\N
1124913	3841	1996-01-11	VYDAJ	VYBER	3440	15439	\N	\N	\N
1124914	3841	1996-08-16	VYDAJ	VYBER	3920	12601	\N	\N	\N
1124915	3841	1996-05-22	VYDAJ	VYBER	1120	16641	\N	\N	\N
1124916	3841	1996-02-25	VYDAJ	VYBER	1760	9006	\N	\N	\N
1124917	3841	1997-07-21	VYDAJ	VYBER	960	23662	\N	\N	\N
1124918	3841	1997-10-15	VYDAJ	VYBER	2480	30117	\N	\N	\N
1124919	3841	1998-02-14	VYDAJ	VYBER	2400	31503	\N	\N	\N
1124920	3841	1998-06-30	VYDAJ	VYBER	2240	27368	\N	\N	\N
1124921	3841	1998-08-31	VYDAJ	VYBER	1360	29276	\N	\N	\N
1124922	3841	1998-06-26	VYDAJ	VYBER	3840	29483	\N	\N	\N
1124923	3841	1998-08-02	VYDAJ	VYBER	2720	27642	\N	\N	\N
1124924	3841	1998-11-11	VYDAJ	VYBER	3040	33766	\N	\N	\N
1124925	3841	1998-09-17	VYDAJ	VYBER	1360	30800	\N	\N	\N
1124932	3841	1995-06-30	VYDAJ	VYBER	15	5096	SLUZBY	\N	\N
1124933	3841	1995-07-31	VYDAJ	VYBER	15	7996	SLUZBY	\N	\N
1124934	3841	1995-08-31	VYDAJ	VYBER	15	10909	SLUZBY	\N	\N
1124935	3841	1995-09-30	VYDAJ	VYBER	15	12870	SLUZBY	\N	\N
1124936	3841	1995-10-31	VYDAJ	VYBER	15	12442	SLUZBY	\N	\N
1124937	3841	1995-11-30	VYDAJ	VYBER	15	15372	SLUZBY	\N	\N
1124938	3841	1995-12-31	VYDAJ	VYBER	15	18315	SLUZBY	\N	\N
1124939	3841	1996-01-31	VYDAJ	VYBER	15	7882	SLUZBY	\N	\N
1124940	3841	1996-02-29	VYDAJ	VYBER	15	9032	SLUZBY	\N	\N
1124941	3841	1996-03-31	VYDAJ	VYBER	15	11948	SLUZBY	\N	\N
1124942	3841	1996-04-30	VYDAJ	VYBER	15	14877	SLUZBY	\N	\N
1124943	3841	1996-05-31	VYDAJ	VYBER	15	16696	SLUZBY	\N	\N
1124944	3841	1996-06-30	VYDAJ	VYBER	15	10713	SLUZBY	\N	\N
1124945	3841	1996-07-31	VYDAJ	VYBER	15	13637	SLUZBY	\N	\N
1124946	3841	1996-08-31	VYDAJ	VYBER	15	12644	SLUZBY	\N	\N
1124947	3841	1996-09-30	VYDAJ	VYBER	15	15575	SLUZBY	\N	\N
1124948	3841	1996-10-31	VYDAJ	VYBER	15	18519	SLUZBY	\N	\N
1124949	3841	1996-11-30	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
1124950	3841	1996-12-31	VYDAJ	VYBER	15	24443	SLUZBY	\N	\N
1124951	3841	1997-01-31	VYDAJ	VYBER	15	16355	SLUZBY	\N	\N
1124952	3841	1997-02-28	VYDAJ	VYBER	15	19302	SLUZBY	\N	\N
1124953	3841	1997-03-31	VYDAJ	VYBER	15	22261	SLUZBY	\N	\N
1124954	3841	1997-04-30	VYDAJ	VYBER	15	25232	SLUZBY	\N	\N
1124955	3841	1997-05-31	VYDAJ	VYBER	15	28216	SLUZBY	\N	\N
1124956	3841	1997-06-30	VYDAJ	VYBER	15	21738	SLUZBY	\N	\N
1124957	3841	1997-07-31	VYDAJ	VYBER	15	23746	SLUZBY	\N	\N
1124958	3841	1997-08-31	VYDAJ	VYBER	15	26723	SLUZBY	\N	\N
1124959	3841	1997-09-30	VYDAJ	VYBER	15	29713	SLUZBY	\N	\N
1124960	3841	1997-10-31	VYDAJ	VYBER	15	30230	SLUZBY	\N	\N
1124961	3841	1997-11-30	VYDAJ	VYBER	15	33234	SLUZBY	\N	\N
1124962	3841	1997-12-31	VYDAJ	VYBER	15	36251	SLUZBY	\N	\N
1124963	3841	1998-01-31	VYDAJ	VYBER	15	31019	SLUZBY	\N	\N
1124964	3841	1998-02-28	VYDAJ	VYBER	15	31621	SLUZBY	\N	\N
1124965	3841	1998-03-31	VYDAJ	VYBER	15	34631	SLUZBY	\N	\N
1124966	3841	1998-04-30	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
1124967	3841	1998-05-31	VYDAJ	VYBER	15	40689	SLUZBY	\N	\N
1124968	3841	1998-06-30	VYDAJ	VYBER	15	29608	SLUZBY	\N	\N
1124969	3841	1998-07-31	VYDAJ	VYBER	15	30362	SLUZBY	\N	\N
1124970	3841	1998-08-31	VYDAJ	VYBER	15	30636	SLUZBY	\N	\N
1124971	3841	1998-09-30	VYDAJ	VYBER	15	30915	SLUZBY	\N	\N
1124972	3841	1998-10-31	VYDAJ	VYBER	15	33922	SLUZBY	\N	\N
1124973	3841	1998-11-30	VYDAJ	VYBER	15	33892	SLUZBY	\N	\N
1125017	3842	1997-03-12	PRIJEM	VKLAD	800	800	\N	\N	\N
1125021	3842	1997-04-08	PRIJEM	PREVOD Z UCTU	5031	5831	DUCHOD	QR	85165124
1125022	3842	1997-05-08	PRIJEM	PREVOD Z UCTU	5031	10862	DUCHOD	QR	85165124
1125023	3842	1997-06-08	PRIJEM	PREVOD Z UCTU	5031	15893	DUCHOD	QR	85165124
1125024	3842	1997-07-08	PRIJEM	PREVOD Z UCTU	5031	20924	DUCHOD	QR	85165124
1125025	3842	1997-08-08	PRIJEM	PREVOD Z UCTU	5031	25955	DUCHOD	QR	85165124
1125026	3842	1997-09-08	PRIJEM	PREVOD Z UCTU	5031	28258	DUCHOD	QR	85165124
1125027	3842	1997-10-08	PRIJEM	PREVOD Z UCTU	5031	30601	DUCHOD	QR	85165124
1125028	3842	1997-11-08	PRIJEM	PREVOD Z UCTU	5031	32954	DUCHOD	QR	85165124
1125029	3842	1997-12-08	PRIJEM	PREVOD Z UCTU	5031	34817	DUCHOD	QR	85165124
1125030	3842	1998-01-08	PRIJEM	PREVOD Z UCTU	5031	35990	DUCHOD	QR	85165124
1125031	3842	1998-02-08	PRIJEM	PREVOD Z UCTU	5031	33557	DUCHOD	QR	85165124
1125032	3842	1998-03-08	PRIJEM	PREVOD Z UCTU	5031	35922	DUCHOD	QR	85165124
1125033	3842	1998-04-08	PRIJEM	PREVOD Z UCTU	5031	36377	DUCHOD	QR	85165124
1125034	3842	1998-05-08	PRIJEM	PREVOD Z UCTU	5031	38757	DUCHOD	QR	85165124
1125035	3842	1998-06-08	PRIJEM	PREVOD Z UCTU	5031	41144	DUCHOD	QR	85165124
1125036	3842	1998-07-08	PRIJEM	PREVOD Z UCTU	5031	43541	DUCHOD	QR	85165124
1125037	3842	1998-08-08	PRIJEM	PREVOD Z UCTU	5031	44423	DUCHOD	QR	85165124
1125038	3842	1998-09-08	PRIJEM	PREVOD Z UCTU	5031	46834	DUCHOD	QR	85165124
1125039	3842	1998-10-08	PRIJEM	PREVOD Z UCTU	5031	49254	DUCHOD	QR	85165124
1125040	3842	1998-11-08	PRIJEM	PREVOD Z UCTU	5031	51685	DUCHOD	QR	85165124
1125041	3842	1998-12-08	PRIJEM	PREVOD Z UCTU	5031	52975	DUCHOD	QR	85165124
1125049	3842	1997-08-12	VYDAJ	PREVOD NA UCET	2776	23179	SIPO	ST	627255
1125050	3842	1997-09-12	VYDAJ	PREVOD NA UCET	2776	25482	SIPO	ST	627255
1125051	3842	1997-10-12	VYDAJ	PREVOD NA UCET	2776	27825	SIPO	ST	627255
1125052	3842	1997-11-12	VYDAJ	PREVOD NA UCET	2776	30178	SIPO	ST	627255
1125053	3842	1997-12-12	VYDAJ	PREVOD NA UCET	2776	32041	SIPO	ST	627255
1125054	3842	1998-01-12	VYDAJ	PREVOD NA UCET	2776	32094	SIPO	ST	627255
1125055	3842	1998-02-12	VYDAJ	PREVOD NA UCET	2776	30781	SIPO	ST	627255
1125056	3842	1998-03-12	VYDAJ	PREVOD NA UCET	2776	33146	SIPO	ST	627255
1125057	3842	1998-04-12	VYDAJ	PREVOD NA UCET	2776	33601	SIPO	ST	627255
1125058	3842	1998-05-12	VYDAJ	PREVOD NA UCET	2776	35981	SIPO	ST	627255
1125059	3842	1998-06-12	VYDAJ	PREVOD NA UCET	2776	38368	SIPO	ST	627255
1125060	3842	1998-07-12	VYDAJ	PREVOD NA UCET	2776	40765	SIPO	ST	627255
1125061	3842	1998-08-12	VYDAJ	PREVOD NA UCET	2776	41647	SIPO	ST	627255
1125062	3842	1998-09-12	VYDAJ	PREVOD NA UCET	2776	44058	SIPO	ST	627255
1125063	3842	1998-10-12	VYDAJ	PREVOD NA UCET	2776	46478	SIPO	ST	627255
1125064	3842	1998-11-12	VYDAJ	PREVOD NA UCET	2776	48909	SIPO	ST	627255
1125065	3842	1998-12-12	VYDAJ	PREVOD NA UCET	2776	50199	SIPO	ST	627255
1125066	3842	1997-12-04	VYDAJ	VYBER	500	29786	\N	\N	\N
1125067	3842	1998-12-07	VYDAJ	VYBER	1150	47944	\N	\N	\N
1125074	3842	1998-01-05	VYDAJ	VYBER	560	31599	\N	\N	\N
1125075	3842	1998-01-13	VYDAJ	VYBER	2160	29934	\N	\N	\N
1125076	3842	1998-01-07	VYDAJ	VYBER	640	30959	\N	\N	\N
1125077	3842	1998-01-15	VYDAJ	VYBER	960	28414	\N	\N	\N
1125078	3842	1998-01-09	VYDAJ	VYBER	1120	34870	\N	\N	\N
1125079	3842	1998-01-14	VYDAJ	VYBER	560	29374	\N	\N	\N
1125084	3842	1998-03-31	VYDAJ	VYBER	1920	31346	\N	\N	\N
1125085	3842	1998-07-13	VYDAJ	VYBER	1520	39245	\N	\N	\N
1125094	3842	1997-08-31	VYDAJ	VYBER	15	23227	SLUZBY	\N	\N
1125095	3842	1997-09-30	VYDAJ	VYBER	15	25570	SLUZBY	\N	\N
1125096	3842	1997-10-31	VYDAJ	VYBER	15	27923	SLUZBY	\N	\N
1125097	3842	1997-11-30	VYDAJ	VYBER	15	30286	SLUZBY	\N	\N
1125098	3842	1997-12-31	VYDAJ	VYBER	15	32159	SLUZBY	\N	\N
1125099	3842	1998-01-31	VYDAJ	VYBER	15	28526	SLUZBY	\N	\N
1125100	3842	1998-02-28	VYDAJ	VYBER	15	30891	SLUZBY	\N	\N
1125101	3842	1998-03-31	VYDAJ	VYBER	15	33266	SLUZBY	\N	\N
1125102	3842	1998-04-30	VYDAJ	VYBER	15	33726	SLUZBY	\N	\N
1125103	3842	1998-05-31	VYDAJ	VYBER	15	36113	SLUZBY	\N	\N
1125104	3842	1998-06-30	VYDAJ	VYBER	15	38510	SLUZBY	\N	\N
1125105	3842	1998-07-31	VYDAJ	VYBER	15	39392	SLUZBY	\N	\N
1125106	3842	1998-08-31	VYDAJ	VYBER	15	41803	SLUZBY	\N	\N
1125107	3842	1998-09-30	VYDAJ	VYBER	15	44223	SLUZBY	\N	\N
1125108	3842	1998-10-31	VYDAJ	VYBER	15	46654	SLUZBY	\N	\N
1125109	3842	1998-11-30	VYDAJ	VYBER	15	49094	SLUZBY	\N	\N
1125127	3843	1996-10-02	PRIJEM	VKLAD	700	700	\N	\N	\N
1125130	3843	1997-02-08	PRIJEM	VKLAD	37972	62798	\N	\N	\N
1125131	3843	1997-07-26	PRIJEM	VKLAD	40012	58954	\N	\N	\N
1125132	3843	1998-04-09	PRIJEM	VKLAD	41413	53852	\N	\N	\N
1125133	3843	1998-11-24	PRIJEM	VKLAD	21408	35574	\N	\N	\N
1125143	3843	1996-10-15	PRIJEM	VKLAD	1700	2400	\N	\N	\N
1125144	3843	1996-11-17	PRIJEM	VKLAD	1700	15806	\N	\N	\N
1125145	3843	1996-12-17	PRIJEM	VKLAD	1700	24142	\N	\N	\N
1125146	3843	1997-01-14	PRIJEM	VKLAD	1700	26024	\N	\N	\N
1125147	3843	1997-02-15	PRIJEM	VKLAD	1700	64498	\N	\N	\N
1125148	3843	1997-03-13	PRIJEM	VKLAD	1700	43969	\N	\N	\N
1125149	3843	1997-04-13	PRIJEM	VKLAD	1700	32769	\N	\N	\N
1125150	3843	1997-05-16	PRIJEM	VKLAD	1700	26183	\N	\N	\N
1125151	3843	1997-06-13	PRIJEM	VKLAD	1700	24671	\N	\N	\N
1125152	3843	1997-07-13	PRIJEM	VKLAD	1700	18942	\N	\N	\N
1125153	3843	1997-08-15	PRIJEM	VKLAD	1700	41237	\N	\N	\N
1125154	3843	1997-09-15	PRIJEM	VKLAD	1700	26480	\N	\N	\N
1125155	3843	1997-10-14	PRIJEM	VKLAD	1700	19769	\N	\N	\N
1125156	3843	1997-11-17	PRIJEM	VKLAD	1700	18683	\N	\N	\N
1125157	3843	1997-12-17	PRIJEM	VKLAD	1700	15538	\N	\N	\N
1125158	3843	1998-01-17	PRIJEM	VKLAD	1700	14482	\N	\N	\N
1125159	3843	1998-02-16	PRIJEM	VKLAD	1700	14572	\N	\N	\N
1125160	3843	1998-03-15	PRIJEM	VKLAD	1700	12409	\N	\N	\N
1125161	3843	1998-04-14	PRIJEM	VKLAD	1700	55552	\N	\N	\N
1125162	3843	1998-05-17	PRIJEM	VKLAD	1700	26768	\N	\N	\N
1125163	3843	1998-06-16	PRIJEM	VKLAD	1700	18254	\N	\N	\N
1125164	3843	1998-07-16	PRIJEM	VKLAD	1700	14104	\N	\N	\N
1125165	3843	1998-08-15	PRIJEM	VKLAD	1700	14241	\N	\N	\N
1125166	3843	1998-09-16	PRIJEM	VKLAD	1700	14779	\N	\N	\N
1125167	3843	1998-10-16	PRIJEM	VKLAD	1700	16519	\N	\N	\N
1125168	3843	1998-11-16	PRIJEM	VKLAD	1700	18266	\N	\N	\N
1125169	3843	1998-12-13	PRIJEM	VKLAD	1700	37345	\N	\N	\N
1125171	3843	1997-06-23	VYDAJ	VYBER	11100	13571	\N	\N	\N
1125183	3843	1997-12-14	VYDAJ	VYBER	1100	13838	\N	\N	\N
1125184	3843	1998-12-16	VYDAJ	VYBER	1900	33795	\N	\N	\N
1125198	3843	1998-01-29	VYDAJ	VYBER	950	12832	\N	\N	\N
1125201	3843	1998-01-22	VYDAJ	VYBER	700	13782	\N	\N	\N
1125207	3843	1997-10-26	VYDAJ	VYBER	2350	17419	\N	\N	\N
1125208	3843	1997-12-18	VYDAJ	VYBER	1800	13738	\N	\N	\N
1125211	3843	1997-09-09	VYDAJ	VYBER	700	24780	\N	\N	\N
1125212	3843	1997-10-10	VYDAJ	VYBER	800	18069	\N	\N	\N
1125213	3843	1997-05-19	VYDAJ	VYBER	1300	24883	\N	\N	\N
1125217	3843	1998-12-16	VYDAJ	VYBER	1650	35695	\N	\N	\N
1125218	3843	1998-05-16	VYDAJ	VYBER	1500	25068	\N	\N	\N
1125219	3843	1998-04-30	VYDAJ	VYBER	2100	26568	\N	\N	\N
1125234	3843	1997-02-28	VYDAJ	VYBER	15	64669	SLUZBY	\N	\N
1125235	3843	1997-03-31	VYDAJ	VYBER	15	44169	SLUZBY	\N	\N
1125236	3843	1997-04-30	VYDAJ	VYBER	15	24483	SLUZBY	\N	\N
1125237	3843	1997-05-31	VYDAJ	VYBER	15	22971	SLUZBY	\N	\N
1125238	3843	1997-06-30	VYDAJ	VYBER	15	17242	SLUZBY	\N	\N
1125239	3843	1997-07-31	VYDAJ	VYBER	15	39537	SLUZBY	\N	\N
1125240	3843	1997-08-31	VYDAJ	VYBER	15	25480	SLUZBY	\N	\N
1125241	3843	1997-09-30	VYDAJ	VYBER	15	18869	SLUZBY	\N	\N
1125242	3843	1997-10-31	VYDAJ	VYBER	15	16983	SLUZBY	\N	\N
1125243	3843	1997-11-30	VYDAJ	VYBER	15	14938	SLUZBY	\N	\N
1125244	3843	1997-12-31	VYDAJ	VYBER	15	12782	SLUZBY	\N	\N
1125245	3843	1998-01-31	VYDAJ	VYBER	15	12872	SLUZBY	\N	\N
1125246	3843	1998-02-28	VYDAJ	VYBER	15	10709	SLUZBY	\N	\N
1125247	3843	1998-03-31	VYDAJ	VYBER	15	12439	SLUZBY	\N	\N
1125248	3843	1998-04-30	VYDAJ	VYBER	15	28668	SLUZBY	\N	\N
1125249	3843	1998-05-31	VYDAJ	VYBER	15	16554	SLUZBY	\N	\N
1125250	3843	1998-06-30	VYDAJ	VYBER	15	12404	SLUZBY	\N	\N
1125251	3843	1998-07-31	VYDAJ	VYBER	15	12541	SLUZBY	\N	\N
1125252	3843	1998-08-31	VYDAJ	VYBER	15	13079	SLUZBY	\N	\N
1125253	3843	1998-09-30	VYDAJ	VYBER	15	14819	SLUZBY	\N	\N
1125254	3843	1998-10-31	VYDAJ	VYBER	15	16566	SLUZBY	\N	\N
1125255	3843	1998-11-30	VYDAJ	VYBER	15	35645	SLUZBY	\N	\N
1125256	3843	1996-11-01	PRIJEM	VKLAD	11700	14106	\N	\N	\N
1125257	3843	1996-12-01	PRIJEM	VKLAD	6600	22442	\N	\N	\N
1125258	3843	1996-12-31	PRIJEM	VKLAD	100	24324	\N	\N	\N
1125259	3843	1997-01-30	VYDAJ	VYBER	1300	24724	\N	\N	\N
1125260	3843	1997-03-01	VYDAJ	VYBER	22400	42269	\N	\N	\N
1125261	3843	1997-03-31	VYDAJ	VYBER	13100	31069	\N	\N	\N
1125262	3843	1997-04-30	VYDAJ	VYBER	8400	24498	\N	\N	\N
1125263	3843	1997-05-30	VYDAJ	VYBER	2000	22883	\N	\N	\N
1125264	3843	1997-06-29	PRIJEM	VKLAD	3600	17171	\N	\N	\N
1125265	3843	1997-07-29	VYDAJ	VYBER	19500	39454	\N	\N	\N
1125266	3843	1997-08-28	VYDAJ	VYBER	15900	25337	\N	\N	\N
1125267	3843	1997-09-27	VYDAJ	VYBER	7700	18780	\N	\N	\N
1125268	3843	1997-10-27	VYDAJ	VYBER	500	16919	\N	\N	\N
1125269	3843	1997-11-26	VYDAJ	VYBER	3800	14883	\N	\N	\N
1125270	3843	1997-12-26	VYDAJ	VYBER	1000	12738	\N	\N	\N
1125271	3843	1998-02-24	VYDAJ	VYBER	3900	10672	\N	\N	\N
1125272	3843	1998-04-25	VYDAJ	VYBER	27000	28552	\N	\N	\N
1125273	3843	1998-05-25	VYDAJ	VYBER	10300	16468	\N	\N	\N
1125274	3843	1998-06-24	VYDAJ	VYBER	5900	12354	\N	\N	\N
1125275	3843	1998-07-24	VYDAJ	VYBER	1600	12504	\N	\N	\N
1125276	3843	1998-08-23	VYDAJ	VYBER	1200	13041	\N	\N	\N
1125277	3843	1998-11-21	VYDAJ	VYBER	4100	14166	\N	\N	\N
1125305	3844	1993-05-23	PRIJEM	VKLAD	200	200	\N	\N	\N
1125311	3844	1993-06-08	PRIJEM	PREVOD Z UCTU	3390	3590	\N	MN	8121747
1125312	3844	1993-07-08	PRIJEM	PREVOD Z UCTU	3390	6980	\N	MN	8121747
1125313	3844	1993-08-08	PRIJEM	PREVOD Z UCTU	3390	10370	\N	MN	8121747
1125314	3844	1993-09-08	PRIJEM	PREVOD Z UCTU	3390	13760	\N	MN	8121747
1125315	3844	1993-10-08	PRIJEM	PREVOD Z UCTU	3390	17150	\N	MN	8121747
1125316	3844	1993-11-08	PRIJEM	PREVOD Z UCTU	3390	17870	\N	MN	8121747
1125317	3844	1993-12-08	PRIJEM	PREVOD Z UCTU	3390	19059	\N	MN	8121747
1125318	3844	1994-01-08	PRIJEM	PREVOD Z UCTU	3390	18240	\N	MN	8121747
1125319	3844	1994-02-08	PRIJEM	PREVOD Z UCTU	3390	16817	\N	MN	8121747
1125320	3844	1994-03-08	PRIJEM	PREVOD Z UCTU	3390	17851	\N	MN	8121747
1125321	3844	1994-04-08	PRIJEM	PREVOD Z UCTU	3390	19040	\N	MN	8121747
1125322	3844	1994-05-08	PRIJEM	PREVOD Z UCTU	3390	19512	\N	MN	8121747
1125323	3844	1994-06-08	PRIJEM	PREVOD Z UCTU	3390	20707	\N	MN	8121747
1125493	3844	1997-01-25	VYDAJ	VYBER	510	21935	\N	\N	\N
1125324	3844	1994-07-08	PRIJEM	PREVOD Z UCTU	3390	21908	\N	MN	8121747
1125325	3844	1994-08-08	PRIJEM	PREVOD Z UCTU	3390	23114	\N	MN	8121747
1125326	3844	1994-09-08	PRIJEM	PREVOD Z UCTU	3390	24324	\N	MN	8121747
1125327	3844	1994-10-08	PRIJEM	PREVOD Z UCTU	3390	24190	\N	MN	8121747
1125328	3844	1994-11-08	PRIJEM	PREVOD Z UCTU	3390	24954	\N	MN	8121747
1125329	3844	1994-12-08	PRIJEM	PREVOD Z UCTU	3390	26172	\N	MN	8121747
1125330	3844	1995-01-08	PRIJEM	PREVOD Z UCTU	3390	25084	\N	MN	8121747
1125331	3844	1995-02-08	PRIJEM	PREVOD Z UCTU	3390	23719	\N	MN	8121747
1125332	3844	1995-03-08	PRIJEM	PREVOD Z UCTU	3390	23519	\N	MN	8121747
1125333	3844	1995-04-08	PRIJEM	PREVOD Z UCTU	3390	24731	\N	MN	8121747
1125334	3844	1995-05-08	PRIJEM	PREVOD Z UCTU	3390	25948	\N	MN	8121747
1125335	3844	1995-06-08	PRIJEM	PREVOD Z UCTU	3390	25466	\N	MN	8121747
1125336	3844	1995-07-08	PRIJEM	PREVOD Z UCTU	3390	18434	\N	MN	8121747
1125337	3844	1995-08-08	PRIJEM	PREVOD Z UCTU	3390	19624	\N	MN	8121747
1125338	3844	1995-09-08	PRIJEM	PREVOD Z UCTU	3390	19440	\N	MN	8121747
1125339	3844	1995-10-08	PRIJEM	PREVOD Z UCTU	3390	20636	\N	MN	8121747
1125340	3844	1995-11-08	PRIJEM	PREVOD Z UCTU	3390	21144	\N	MN	8121747
1125341	3844	1995-12-08	PRIJEM	PREVOD Z UCTU	3390	21566	\N	MN	8121747
1125342	3844	1996-01-08	PRIJEM	PREVOD Z UCTU	3390	19798	\N	MN	8121747
1125343	3844	1996-02-08	PRIJEM	PREVOD Z UCTU	3390	17240	\N	MN	8121747
1125344	3844	1996-03-08	PRIJEM	PREVOD Z UCTU	3390	18425	\N	MN	8121747
1125345	3844	1996-04-08	PRIJEM	PREVOD Z UCTU	3390	18386	\N	MN	8121747
1125346	3844	1996-05-08	PRIJEM	PREVOD Z UCTU	3390	19577	\N	MN	8121747
1125347	3844	1996-06-08	PRIJEM	PREVOD Z UCTU	3390	20772	\N	MN	8121747
1125348	3844	1996-07-08	PRIJEM	PREVOD Z UCTU	3390	18335	\N	MN	8121747
1125349	3844	1996-08-08	PRIJEM	PREVOD Z UCTU	3390	19525	\N	MN	8121747
1125350	3844	1996-09-08	PRIJEM	PREVOD Z UCTU	3390	20720	\N	MN	8121747
1125351	3844	1996-10-08	PRIJEM	PREVOD Z UCTU	3390	20989	\N	MN	8121747
1125352	3844	1996-11-08	PRIJEM	PREVOD Z UCTU	3390	22190	\N	MN	8121747
1125353	3844	1996-12-08	PRIJEM	PREVOD Z UCTU	3390	23066	\N	MN	8121747
1125354	3844	1997-01-08	PRIJEM	PREVOD Z UCTU	3390	22985	\N	MN	8121747
1125355	3844	1997-02-08	PRIJEM	PREVOD Z UCTU	3390	18340	\N	MN	8121747
1125356	3844	1997-03-08	PRIJEM	PREVOD Z UCTU	3390	19530	\N	MN	8121747
1125357	3844	1997-04-08	PRIJEM	PREVOD Z UCTU	3390	20725	\N	MN	8121747
1125358	3844	1997-05-08	PRIJEM	PREVOD Z UCTU	3390	20574	\N	MN	8121747
1125359	3844	1997-06-08	PRIJEM	PREVOD Z UCTU	3390	21773	\N	MN	8121747
1125360	3844	1997-07-08	PRIJEM	PREVOD Z UCTU	3390	22977	\N	MN	8121747
1125361	3844	1997-08-08	PRIJEM	PREVOD Z UCTU	3390	24186	\N	MN	8121747
1125362	3844	1997-09-08	PRIJEM	PREVOD Z UCTU	3390	25039	\N	MN	8121747
1125363	3844	1997-10-08	PRIJEM	PREVOD Z UCTU	3390	26257	\N	MN	8121747
1125364	3844	1997-11-08	PRIJEM	PREVOD Z UCTU	3390	26578	\N	MN	8121747
1125365	3844	1997-12-08	PRIJEM	PREVOD Z UCTU	3390	23730	\N	MN	8121747
1125366	3844	1998-01-08	PRIJEM	PREVOD Z UCTU	3390	19918	\N	MN	8121747
1125367	3844	1998-02-08	PRIJEM	PREVOD Z UCTU	3390	18742	\N	MN	8121747
1125368	3844	1998-03-08	PRIJEM	PREVOD Z UCTU	3390	18970	\N	MN	8121747
1125369	3844	1998-04-08	PRIJEM	PREVOD Z UCTU	3390	20162	\N	MN	8121747
1125370	3844	1998-05-08	PRIJEM	PREVOD Z UCTU	3390	21358	\N	MN	8121747
1125371	3844	1998-06-08	PRIJEM	PREVOD Z UCTU	3390	21450	\N	MN	8121747
1125372	3844	1998-07-08	PRIJEM	PREVOD Z UCTU	3390	18261	\N	MN	8121747
1125373	3844	1998-08-08	PRIJEM	PREVOD Z UCTU	3390	19449	\N	MN	8121747
1125374	3844	1998-09-08	PRIJEM	PREVOD Z UCTU	3390	20072	\N	MN	8121747
1125375	3844	1998-10-08	PRIJEM	PREVOD Z UCTU	3390	19795	\N	MN	8121747
1125376	3844	1998-11-08	PRIJEM	PREVOD Z UCTU	3390	19608	\N	MN	8121747
1125377	3844	1998-12-08	PRIJEM	PREVOD Z UCTU	3390	20802	\N	MN	8121747
1125388	3844	1993-11-07	VYDAJ	PREVOD NA UCET	2260	14480	\N	UV	74524152
1125389	3844	1993-12-07	VYDAJ	PREVOD NA UCET	2260	15669	\N	UV	74524152
1125390	3844	1994-01-07	VYDAJ	PREVOD NA UCET	2260	15300	\N	UV	74524152
1125391	3844	1994-02-07	VYDAJ	PREVOD NA UCET	2260	13427	\N	UV	74524152
1125392	3844	1994-03-07	VYDAJ	PREVOD NA UCET	2260	14461	\N	UV	74524152
1125393	3844	1994-04-07	VYDAJ	PREVOD NA UCET	2260	15650	\N	UV	74524152
1125394	3844	1994-05-07	VYDAJ	PREVOD NA UCET	2260	16122	\N	UV	74524152
1125395	3844	1994-06-07	VYDAJ	PREVOD NA UCET	2260	17317	\N	UV	74524152
1125396	3844	1994-07-07	VYDAJ	PREVOD NA UCET	2260	18518	\N	UV	74524152
1125397	3844	1994-08-07	VYDAJ	PREVOD NA UCET	2260	19724	\N	UV	74524152
1125398	3844	1994-09-07	VYDAJ	PREVOD NA UCET	2260	20934	\N	UV	74524152
1125399	3844	1994-10-07	VYDAJ	PREVOD NA UCET	2260	20800	\N	UV	74524152
1125400	3844	1994-11-07	VYDAJ	PREVOD NA UCET	2260	21564	\N	UV	74524152
1125401	3844	1994-12-07	VYDAJ	PREVOD NA UCET	2260	22782	\N	UV	74524152
1125402	3844	1995-01-07	VYDAJ	PREVOD NA UCET	2260	21694	\N	UV	74524152
1125403	3844	1995-02-07	VYDAJ	PREVOD NA UCET	2260	20329	\N	UV	74524152
1125404	3844	1995-03-07	VYDAJ	PREVOD NA UCET	2260	20129	\N	UV	74524152
1125405	3844	1995-04-07	VYDAJ	PREVOD NA UCET	2260	21341	\N	UV	74524152
1125406	3844	1995-05-07	VYDAJ	PREVOD NA UCET	2260	22558	\N	UV	74524152
1125407	3844	1995-06-07	VYDAJ	PREVOD NA UCET	2260	22076	\N	UV	74524152
1125408	3844	1995-07-07	VYDAJ	PREVOD NA UCET	2260	15044	\N	UV	74524152
1125409	3844	1995-08-07	VYDAJ	PREVOD NA UCET	2260	16234	\N	UV	74524152
1125410	3844	1995-09-07	VYDAJ	PREVOD NA UCET	2260	16050	\N	UV	74524152
1125411	3844	1995-10-07	VYDAJ	PREVOD NA UCET	2260	17246	\N	UV	74524152
1125412	3844	1995-11-07	VYDAJ	PREVOD NA UCET	2260	17754	\N	UV	74524152
1125413	3844	1995-12-07	VYDAJ	PREVOD NA UCET	2260	18176	\N	UV	74524152
1125414	3844	1996-01-07	VYDAJ	PREVOD NA UCET	2260	16408	\N	UV	74524152
1125415	3844	1996-02-07	VYDAJ	PREVOD NA UCET	2260	13850	\N	UV	74524152
1125416	3844	1996-03-07	VYDAJ	PREVOD NA UCET	2260	15035	\N	UV	74524152
1125417	3844	1996-04-07	VYDAJ	PREVOD NA UCET	2260	14996	\N	UV	74524152
1125418	3844	1996-05-07	VYDAJ	PREVOD NA UCET	2260	16187	\N	UV	74524152
1125419	3844	1996-06-07	VYDAJ	PREVOD NA UCET	2260	17382	\N	UV	74524152
1125420	3844	1996-07-07	VYDAJ	PREVOD NA UCET	2260	14945	\N	UV	74524152
1125421	3844	1996-08-07	VYDAJ	PREVOD NA UCET	2260	16135	\N	UV	74524152
1125422	3844	1996-09-07	VYDAJ	PREVOD NA UCET	2260	17330	\N	UV	74524152
1125423	3844	1996-10-07	VYDAJ	PREVOD NA UCET	2260	17599	\N	UV	74524152
1125424	3844	1996-11-07	VYDAJ	PREVOD NA UCET	2260	18800	\N	UV	74524152
1125425	3844	1996-12-07	VYDAJ	PREVOD NA UCET	2260	19676	\N	UV	74524152
1125426	3844	1997-01-07	VYDAJ	PREVOD NA UCET	2260	19595	\N	UV	74524152
1125427	3844	1997-02-07	VYDAJ	PREVOD NA UCET	2260	14950	\N	UV	74524152
1125428	3844	1997-03-07	VYDAJ	PREVOD NA UCET	2260	16140	\N	UV	74524152
1125429	3844	1997-04-07	VYDAJ	PREVOD NA UCET	2260	17335	\N	UV	74524152
1125430	3844	1997-05-07	VYDAJ	PREVOD NA UCET	2260	17184	\N	UV	74524152
1125431	3844	1997-06-07	VYDAJ	PREVOD NA UCET	2260	18383	\N	UV	74524152
1125432	3844	1997-07-07	VYDAJ	PREVOD NA UCET	2260	19587	\N	UV	74524152
1125433	3844	1997-08-07	VYDAJ	PREVOD NA UCET	2260	20796	\N	UV	74524152
1125434	3844	1997-09-07	VYDAJ	PREVOD NA UCET	2260	21649	\N	UV	74524152
1125435	3844	1997-10-07	VYDAJ	PREVOD NA UCET	2260	22867	\N	UV	74524152
1125436	3844	1997-11-07	VYDAJ	PREVOD NA UCET	2260	23188	\N	UV	74524152
1125437	3844	1997-12-07	VYDAJ	PREVOD NA UCET	2260	20340	\N	UV	74524152
1125438	3844	1998-01-07	VYDAJ	PREVOD NA UCET	2260	16528	\N	UV	74524152
1125439	3844	1998-02-07	VYDAJ	PREVOD NA UCET	2260	15352	\N	UV	74524152
1125440	3844	1998-03-07	VYDAJ	PREVOD NA UCET	2260	15580	\N	UV	74524152
1125441	3844	1998-04-07	VYDAJ	PREVOD NA UCET	2260	16772	\N	UV	74524152
1125442	3844	1998-05-07	VYDAJ	PREVOD NA UCET	2260	17968	\N	UV	74524152
1125443	3844	1998-06-07	VYDAJ	PREVOD NA UCET	2260	18060	\N	UV	74524152
1125444	3844	1998-07-07	VYDAJ	PREVOD NA UCET	2260	14871	\N	UV	74524152
1125445	3844	1998-08-07	VYDAJ	PREVOD NA UCET	2260	16059	\N	UV	74524152
1125446	3844	1998-09-07	VYDAJ	PREVOD NA UCET	2260	16682	\N	UV	74524152
1125447	3844	1998-10-07	VYDAJ	PREVOD NA UCET	2260	16405	\N	UV	74524152
1125448	3844	1998-11-07	VYDAJ	PREVOD NA UCET	2260	16218	\N	UV	74524152
1125449	3844	1998-12-07	VYDAJ	PREVOD NA UCET	2260	17412	\N	UV	74524152
1125452	3844	1995-06-29	VYDAJ	VYBER	8250	17216	\N	\N	\N
1125453	3844	1996-06-12	VYDAJ	VYBER	2940	17832	\N	\N	\N
1125455	3844	1998-06-13	VYDAJ	VYBER	4380	17070	\N	\N	\N
1125457	3844	1994-01-20	VYDAJ	VYBER	900	16290	\N	\N	\N
1125458	3844	1995-01-02	VYDAJ	VYBER	300	24614	\N	\N	\N
1125459	3844	1996-01-20	VYDAJ	VYBER	2220	17278	\N	\N	\N
1125460	3844	1997-01-30	VYDAJ	VYBER	2730	17465	\N	\N	\N
1125461	3844	1998-01-26	VYDAJ	VYBER	1230	18298	\N	\N	\N
1125462	3844	1993-12-10	VYDAJ	VYBER	780	18279	\N	\N	\N
1125463	3844	1994-12-13	VYDAJ	VYBER	570	25602	\N	\N	\N
1125464	3844	1995-12-02	VYDAJ	VYBER	780	20436	\N	\N	\N
1125465	3844	1996-12-03	VYDAJ	VYBER	330	21936	\N	\N	\N
1125466	3844	1997-12-06	VYDAJ	VYBER	270	22600	\N	\N	\N
1125467	3844	1998-12-22	VYDAJ	VYBER	750	20052	\N	\N	\N
1125474	3844	1994-01-07	VYDAJ	VYBER	450	14850	\N	\N	\N
1125475	3844	1994-01-16	VYDAJ	VYBER	210	17190	\N	\N	\N
1125476	3844	1994-01-30	VYDAJ	VYBER	420	15630	\N	\N	\N
1125477	3844	1994-01-23	VYDAJ	VYBER	240	16050	\N	\N	\N
1125478	3844	1994-01-06	VYDAJ	VYBER	780	17560	\N	\N	\N
1125479	3844	1994-01-16	VYDAJ	VYBER	840	17400	\N	\N	\N
1125480	3844	1995-01-20	VYDAJ	VYBER	510	23944	\N	\N	\N
1125481	3844	1995-01-21	VYDAJ	VYBER	570	23374	\N	\N	\N
1125482	3844	1995-01-27	VYDAJ	VYBER	690	22504	\N	\N	\N
1125483	3844	1995-01-26	VYDAJ	VYBER	180	23194	\N	\N	\N
1125484	3844	1995-01-01	VYDAJ	VYBER	780	24914	\N	\N	\N
1125485	3844	1995-01-08	VYDAJ	VYBER	630	24454	\N	\N	\N
1125486	3844	1996-01-19	VYDAJ	VYBER	300	19498	\N	\N	\N
1125487	3844	1996-01-26	VYDAJ	VYBER	300	16768	\N	\N	\N
1125488	3844	1996-01-03	VYDAJ	VYBER	840	19388	\N	\N	\N
1125489	3844	1996-01-23	VYDAJ	VYBER	210	17068	\N	\N	\N
1125490	3844	1996-01-03	VYDAJ	VYBER	720	18668	\N	\N	\N
1125491	3844	1996-01-27	VYDAJ	VYBER	720	16048	\N	\N	\N
1125492	3844	1997-01-12	VYDAJ	VYBER	180	22805	\N	\N	\N
1125494	3844	1997-01-28	VYDAJ	VYBER	210	20195	\N	\N	\N
1125495	3844	1997-01-30	VYDAJ	VYBER	330	17135	\N	\N	\N
1125496	3844	1997-01-26	VYDAJ	VYBER	720	21215	\N	\N	\N
1125497	3844	1997-01-28	VYDAJ	VYBER	810	20405	\N	\N	\N
1125498	3844	1998-01-08	VYDAJ	VYBER	390	19528	\N	\N	\N
1125499	3844	1998-01-05	VYDAJ	VYBER	720	19328	\N	\N	\N
1125500	3844	1998-01-28	VYDAJ	VYBER	450	17548	\N	\N	\N
1125501	3844	1998-01-26	VYDAJ	VYBER	300	17998	\N	\N	\N
1125502	3844	1998-01-06	VYDAJ	VYBER	540	18788	\N	\N	\N
1125503	3844	1998-01-02	VYDAJ	VYBER	630	20048	\N	\N	\N
1125505	3844	1993-10-21	VYDAJ	VYBER	420	16730	\N	\N	\N
1125509	3844	1994-10-03	VYDAJ	VYBER	1350	23060	\N	\N	\N
1125510	3844	1994-04-13	VYDAJ	VYBER	720	18320	\N	\N	\N
1125511	3844	1994-10-10	VYDAJ	VYBER	450	23740	\N	\N	\N
1125512	3844	1994-02-12	VYDAJ	VYBER	150	16667	\N	\N	\N
1125513	3844	1995-01-04	VYDAJ	VYBER	660	23954	\N	\N	\N
1125514	3844	1995-09-01	VYDAJ	VYBER	1380	18310	\N	\N	\N
1125515	3844	1995-12-20	VYDAJ	VYBER	1410	20156	\N	\N	\N
1125516	3844	1995-10-11	VYDAJ	VYBER	690	19946	\N	\N	\N
1125517	3844	1995-02-14	VYDAJ	VYBER	1410	22309	\N	\N	\N
1125518	3844	1996-12-24	VYDAJ	VYBER	720	22346	\N	\N	\N
1125519	3844	1996-04-03	VYDAJ	VYBER	1230	17256	\N	\N	\N
1125520	3844	1996-07-02	VYDAJ	VYBER	690	17205	\N	\N	\N
1125521	3844	1996-09-30	VYDAJ	VYBER	930	19874	\N	\N	\N
1125522	3844	1997-01-15	VYDAJ	VYBER	360	22445	\N	\N	\N
1125523	3844	1997-12-12	VYDAJ	VYBER	930	22800	\N	\N	\N
1125524	3844	1997-05-04	VYDAJ	VYBER	840	19954	\N	\N	\N
1125525	3844	1997-05-05	VYDAJ	VYBER	510	19444	\N	\N	\N
1125526	3844	1997-08-31	VYDAJ	VYBER	360	23909	\N	\N	\N
1125527	3844	1997-01-07	VYDAJ	VYBER	570	21855	\N	\N	\N
1125528	3844	1998-09-17	VYDAJ	VYBER	1470	18602	\N	\N	\N
1125529	3844	1998-06-05	VYDAJ	VYBER	1110	20320	\N	\N	\N
1125530	3844	1998-10-25	VYDAJ	VYBER	1380	18415	\N	\N	\N
1125531	3844	1998-08-31	VYDAJ	VYBER	570	18957	\N	\N	\N
1125532	3844	1998-02-17	VYDAJ	VYBER	960	17782	\N	\N	\N
1125543	3844	1993-10-31	VYDAJ	VYBER	15	16740	SLUZBY	\N	\N
1125544	3844	1993-11-30	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
1125545	3844	1993-12-31	VYDAJ	VYBER	15	18340	SLUZBY	\N	\N
1125546	3844	1994-01-31	VYDAJ	VYBER	15	15687	SLUZBY	\N	\N
1125547	3844	1994-02-28	VYDAJ	VYBER	15	16721	SLUZBY	\N	\N
1125548	3844	1994-03-31	VYDAJ	VYBER	15	17910	SLUZBY	\N	\N
1125549	3844	1994-04-30	VYDAJ	VYBER	15	18382	SLUZBY	\N	\N
1125550	3844	1994-05-31	VYDAJ	VYBER	15	19577	SLUZBY	\N	\N
1125551	3844	1994-06-30	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
1125552	3844	1994-07-31	VYDAJ	VYBER	15	21984	SLUZBY	\N	\N
1125553	3844	1994-08-31	VYDAJ	VYBER	15	23194	SLUZBY	\N	\N
1125554	3844	1994-09-30	VYDAJ	VYBER	15	24410	SLUZBY	\N	\N
1125555	3844	1994-10-31	VYDAJ	VYBER	15	23824	SLUZBY	\N	\N
1125556	3844	1994-11-30	VYDAJ	VYBER	15	25042	SLUZBY	\N	\N
1125557	3844	1994-12-31	VYDAJ	VYBER	15	25694	SLUZBY	\N	\N
1125558	3844	1995-01-31	VYDAJ	VYBER	15	22589	SLUZBY	\N	\N
1125559	3844	1995-02-28	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
1125560	3844	1995-03-31	VYDAJ	VYBER	15	23601	SLUZBY	\N	\N
1125561	3844	1995-04-30	VYDAJ	VYBER	15	24818	SLUZBY	\N	\N
1125562	3844	1995-05-31	VYDAJ	VYBER	15	24336	SLUZBY	\N	\N
1125563	3844	1995-06-30	VYDAJ	VYBER	15	17304	SLUZBY	\N	\N
1125564	3844	1995-07-31	VYDAJ	VYBER	15	18494	SLUZBY	\N	\N
1125565	3844	1995-08-31	VYDAJ	VYBER	15	19690	SLUZBY	\N	\N
1125566	3844	1995-09-30	VYDAJ	VYBER	15	19506	SLUZBY	\N	\N
1125567	3844	1995-10-31	VYDAJ	VYBER	15	20014	SLUZBY	\N	\N
1125568	3844	1995-11-30	VYDAJ	VYBER	15	21216	SLUZBY	\N	\N
1125569	3844	1995-12-31	VYDAJ	VYBER	15	20228	SLUZBY	\N	\N
1125570	3844	1996-01-31	VYDAJ	VYBER	15	16110	SLUZBY	\N	\N
1125571	3844	1996-02-29	VYDAJ	VYBER	15	17295	SLUZBY	\N	\N
1125572	3844	1996-03-31	VYDAJ	VYBER	15	18486	SLUZBY	\N	\N
1125573	3844	1996-04-30	VYDAJ	VYBER	15	18447	SLUZBY	\N	\N
1125574	3844	1996-05-31	VYDAJ	VYBER	15	19642	SLUZBY	\N	\N
1125575	3844	1996-06-30	VYDAJ	VYBER	15	17895	SLUZBY	\N	\N
1125576	3844	1996-07-31	VYDAJ	VYBER	15	18395	SLUZBY	\N	\N
1125577	3844	1996-08-31	VYDAJ	VYBER	15	19590	SLUZBY	\N	\N
1125578	3844	1996-09-30	VYDAJ	VYBER	15	19859	SLUZBY	\N	\N
1125579	3844	1996-10-31	VYDAJ	VYBER	15	21060	SLUZBY	\N	\N
1125580	3844	1996-11-30	VYDAJ	VYBER	15	22266	SLUZBY	\N	\N
1125581	3844	1996-12-31	VYDAJ	VYBER	15	22425	SLUZBY	\N	\N
1125582	3844	1997-01-31	VYDAJ	VYBER	15	17210	SLUZBY	\N	\N
1125583	3844	1997-02-28	VYDAJ	VYBER	15	18400	SLUZBY	\N	\N
1125584	3844	1997-03-31	VYDAJ	VYBER	15	19595	SLUZBY	\N	\N
1125585	3844	1997-04-30	VYDAJ	VYBER	15	20794	SLUZBY	\N	\N
1125586	3844	1997-05-31	VYDAJ	VYBER	15	20643	SLUZBY	\N	\N
1125587	3844	1997-06-30	VYDAJ	VYBER	15	21847	SLUZBY	\N	\N
1125588	3844	1997-07-31	VYDAJ	VYBER	15	23056	SLUZBY	\N	\N
1125589	3844	1997-08-31	VYDAJ	VYBER	15	24269	SLUZBY	\N	\N
1125590	3844	1997-09-30	VYDAJ	VYBER	15	25127	SLUZBY	\N	\N
1125591	3844	1997-10-31	VYDAJ	VYBER	15	25448	SLUZBY	\N	\N
1125592	3844	1997-11-30	VYDAJ	VYBER	15	22870	SLUZBY	\N	\N
1125593	3844	1997-12-31	VYDAJ	VYBER	15	20678	SLUZBY	\N	\N
1125594	3844	1998-01-31	VYDAJ	VYBER	15	17612	SLUZBY	\N	\N
1125595	3844	1998-02-28	VYDAJ	VYBER	15	17840	SLUZBY	\N	\N
1125596	3844	1998-03-31	VYDAJ	VYBER	15	19032	SLUZBY	\N	\N
1125597	3844	1998-04-30	VYDAJ	VYBER	15	20228	SLUZBY	\N	\N
1125598	3844	1998-05-31	VYDAJ	VYBER	15	21430	SLUZBY	\N	\N
1125599	3844	1998-06-30	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
1125600	3844	1998-07-31	VYDAJ	VYBER	15	18319	SLUZBY	\N	\N
1125601	3844	1998-08-31	VYDAJ	VYBER	15	18942	SLUZBY	\N	\N
1125602	3844	1998-09-30	VYDAJ	VYBER	15	18665	SLUZBY	\N	\N
1125603	3844	1998-10-31	VYDAJ	VYBER	15	18478	SLUZBY	\N	\N
1125604	3844	1998-11-30	VYDAJ	VYBER	15	19672	SLUZBY	\N	\N
1125605	3844	1995-05-13	VYDAJ	VYBER	1700	24248	\N	\N	\N
1125606	3844	1997-10-29	VYDAJ	VYBER	900	25357	\N	\N	\N
1125607	3844	1997-11-28	VYDAJ	VYBER	3800	22778	\N	\N	\N
1125608	3844	1997-12-28	VYDAJ	VYBER	2200	20600	\N	\N	\N
1125672	3845	1995-05-14	PRIJEM	VKLAD	500	500	\N	\N	\N
1125678	3845	1995-06-09	PRIJEM	VKLAD	36813	37313	\N	\N	\N
1125679	3845	1995-07-09	PRIJEM	VKLAD	24542	53327	\N	\N	\N
1125680	3845	1995-08-09	PRIJEM	VKLAD	24542	61008	\N	\N	\N
1125681	3845	1995-09-09	PRIJEM	VKLAD	24542	64310	\N	\N	\N
1125682	3845	1995-10-09	PRIJEM	VKLAD	24542	66323	\N	\N	\N
1125683	3845	1995-11-09	PRIJEM	VKLAD	24542	63650	\N	\N	\N
1125684	3845	1995-12-09	PRIJEM	VKLAD	36813	71734	\N	\N	\N
1125685	3845	1996-01-09	PRIJEM	VKLAD	24542	52436	\N	\N	\N
1125686	3845	1996-02-09	PRIJEM	VKLAD	24542	38395	\N	\N	\N
1125687	3845	1996-03-09	PRIJEM	VKLAD	24542	54163	\N	\N	\N
1125688	3845	1996-04-09	PRIJEM	VKLAD	24542	45938	\N	\N	\N
1125689	3845	1996-05-09	PRIJEM	VKLAD	24542	54443	\N	\N	\N
1125690	3845	1996-06-09	PRIJEM	VKLAD	36813	67359	\N	\N	\N
1125691	3845	1996-07-09	PRIJEM	VKLAD	24542	40717	\N	\N	\N
1125692	3845	1996-08-09	PRIJEM	VKLAD	24542	45704	\N	\N	\N
1125693	3845	1996-09-09	PRIJEM	VKLAD	24542	50216	\N	\N	\N
1125694	3845	1996-10-09	PRIJEM	VKLAD	24542	51247	\N	\N	\N
1125695	3845	1996-11-09	PRIJEM	VKLAD	24542	49182	\N	\N	\N
1125696	3845	1996-12-09	PRIJEM	VKLAD	36813	59775	\N	\N	\N
1125697	3845	1997-01-09	PRIJEM	VKLAD	24542	49827	\N	\N	\N
1125698	3845	1997-02-09	PRIJEM	VKLAD	24542	38423	\N	\N	\N
1125699	3845	1997-03-09	PRIJEM	VKLAD	24542	41504	\N	\N	\N
1125700	3845	1997-04-09	PRIJEM	VKLAD	24542	43300	\N	\N	\N
1125701	3845	1997-05-09	PRIJEM	VKLAD	24542	42905	\N	\N	\N
1125702	3845	1997-06-09	PRIJEM	VKLAD	36813	54081	\N	\N	\N
1125703	3845	1997-07-09	PRIJEM	VKLAD	24542	46491	\N	\N	\N
1125704	3845	1997-08-09	PRIJEM	VKLAD	24542	43906	\N	\N	\N
1125705	3845	1997-09-09	PRIJEM	VKLAD	24542	43015	\N	\N	\N
1125706	3845	1997-10-09	PRIJEM	VKLAD	24542	50808	\N	\N	\N
1125707	3845	1997-11-09	PRIJEM	VKLAD	24542	46117	\N	\N	\N
1125708	3845	1997-12-09	PRIJEM	VKLAD	36813	51675	\N	\N	\N
1125709	3845	1998-01-09	PRIJEM	VKLAD	24542	41264	\N	\N	\N
1125710	3845	1998-02-09	PRIJEM	VKLAD	24542	45830	\N	\N	\N
1125711	3845	1998-03-09	PRIJEM	VKLAD	24542	47917	\N	\N	\N
1125712	3845	1998-04-09	PRIJEM	VKLAD	24542	49913	\N	\N	\N
1125713	3845	1998-05-09	PRIJEM	VKLAD	24542	49816	\N	\N	\N
1125714	3845	1998-06-09	PRIJEM	VKLAD	36813	57785	\N	\N	\N
1125715	3845	1998-07-09	PRIJEM	VKLAD	24542	41682	\N	\N	\N
1125716	3845	1998-08-09	PRIJEM	VKLAD	24542	52855	\N	\N	\N
1125717	3845	1998-09-09	PRIJEM	VKLAD	24542	43557	\N	\N	\N
1125718	3845	1998-10-09	PRIJEM	VKLAD	24542	59339	\N	\N	\N
1125719	3845	1998-11-09	PRIJEM	VKLAD	24542	75188	\N	\N	\N
1125720	3845	1998-12-09	PRIJEM	VKLAD	36813	54523	\N	\N	\N
1125730	3845	1995-10-11	VYDAJ	PREVOD NA UCET	8866	57457	SIPO	WX	31715512
1125731	3845	1995-11-11	VYDAJ	PREVOD NA UCET	8866	34784	SIPO	WX	31715512
1125732	3845	1995-12-11	VYDAJ	PREVOD NA UCET	8866	35668	SIPO	WX	31715512
1125733	3845	1996-01-11	VYDAJ	PREVOD NA UCET	8866	25770	SIPO	WX	31715512
1125734	3845	1996-02-11	VYDAJ	PREVOD NA UCET	8866	29529	SIPO	WX	31715512
1125735	3845	1996-03-11	VYDAJ	PREVOD NA UCET	8866	26497	SIPO	WX	31715512
1125736	3845	1996-04-11	VYDAJ	PREVOD NA UCET	8866	37072	SIPO	WX	31715512
1125737	3845	1996-05-11	VYDAJ	PREVOD NA UCET	8866	45577	SIPO	WX	31715512
1125738	3845	1996-06-11	VYDAJ	PREVOD NA UCET	8866	58493	SIPO	WX	31715512
1125739	3845	1996-07-11	VYDAJ	PREVOD NA UCET	8866	31851	SIPO	WX	31715512
1125740	3845	1996-08-11	VYDAJ	PREVOD NA UCET	8866	36838	SIPO	WX	31715512
1125741	3845	1996-09-11	VYDAJ	PREVOD NA UCET	8866	41350	SIPO	WX	31715512
1125742	3845	1996-10-11	VYDAJ	PREVOD NA UCET	8866	42381	SIPO	WX	31715512
1125743	3845	1996-11-11	VYDAJ	PREVOD NA UCET	8866	40316	SIPO	WX	31715512
1125744	3845	1996-12-11	VYDAJ	PREVOD NA UCET	8866	50909	SIPO	WX	31715512
1125745	3845	1997-01-11	VYDAJ	PREVOD NA UCET	8866	40961	SIPO	WX	31715512
1125746	3845	1997-02-11	VYDAJ	PREVOD NA UCET	8866	29557	SIPO	WX	31715512
1125747	3845	1997-03-11	VYDAJ	PREVOD NA UCET	8866	32638	SIPO	WX	31715512
1125748	3845	1997-04-11	VYDAJ	PREVOD NA UCET	8866	34434	SIPO	WX	31715512
1125749	3845	1997-05-11	VYDAJ	PREVOD NA UCET	8866	34039	SIPO	WX	31715512
1125750	3845	1997-06-11	VYDAJ	PREVOD NA UCET	8866	39615	SIPO	WX	31715512
1125751	3845	1997-07-11	VYDAJ	PREVOD NA UCET	8866	37625	SIPO	WX	31715512
1125752	3845	1997-08-11	VYDAJ	PREVOD NA UCET	8866	35040	SIPO	WX	31715512
1125753	3845	1997-09-11	VYDAJ	PREVOD NA UCET	8866	34149	SIPO	WX	31715512
1125754	3845	1997-10-11	VYDAJ	PREVOD NA UCET	8866	41942	SIPO	WX	31715512
1125755	3845	1997-11-11	VYDAJ	PREVOD NA UCET	8866	37251	SIPO	WX	31715512
1125756	3845	1997-12-11	VYDAJ	PREVOD NA UCET	8866	42809	SIPO	WX	31715512
1125757	3845	1998-01-11	VYDAJ	PREVOD NA UCET	8866	31498	SIPO	WX	31715512
1125758	3845	1998-02-11	VYDAJ	PREVOD NA UCET	8866	36964	SIPO	WX	31715512
1125873	3845	1998-11-30	VYDAJ	VYBER	15	17710	SLUZBY	\N	\N
1125759	3845	1998-03-11	VYDAJ	PREVOD NA UCET	8866	39051	SIPO	WX	31715512
1125760	3845	1998-04-11	VYDAJ	PREVOD NA UCET	8866	41047	SIPO	WX	31715512
1125761	3845	1998-05-11	VYDAJ	PREVOD NA UCET	8866	40950	SIPO	WX	31715512
1125762	3845	1998-06-11	VYDAJ	PREVOD NA UCET	8866	48919	SIPO	WX	31715512
1125763	3845	1998-07-11	VYDAJ	PREVOD NA UCET	8866	32816	SIPO	WX	31715512
1125764	3845	1998-08-11	VYDAJ	PREVOD NA UCET	8866	43989	SIPO	WX	31715512
1125765	3845	1998-09-11	VYDAJ	PREVOD NA UCET	8866	34691	SIPO	WX	31715512
1125766	3845	1998-10-11	VYDAJ	PREVOD NA UCET	8866	50473	SIPO	WX	31715512
1125767	3845	1998-11-11	VYDAJ	PREVOD NA UCET	8866	66322	SIPO	WX	31715512
1125768	3845	1998-12-11	VYDAJ	PREVOD NA UCET	8866	45657	SIPO	WX	31715512
1125770	3845	1996-06-19	VYDAJ	VYBER	29300	27693	\N	\N	\N
1125771	3845	1997-06-09	VYDAJ	VYBER	5600	48481	\N	\N	\N
1125772	3845	1998-06-17	VYDAJ	VYBER	7400	41519	\N	\N	\N
1125774	3845	1996-01-23	VYDAJ	VYBER	5900	12970	\N	\N	\N
1125775	3845	1997-01-15	VYDAJ	VYBER	8400	32561	\N	\N	\N
1125776	3845	1998-01-08	VYDAJ	VYBER	1400	16722	\N	\N	\N
1125777	3845	1995-12-25	VYDAJ	VYBER	1800	30268	\N	\N	\N
1125778	3845	1996-12-29	VYDAJ	VYBER	1500	49409	\N	\N	\N
1125779	3845	1997-12-24	VYDAJ	VYBER	1100	39109	\N	\N	\N
1125780	3845	1998-12-12	VYDAJ	VYBER	1100	44557	\N	\N	\N
1125787	3845	1996-01-06	VYDAJ	VYBER	2500	27894	\N	\N	\N
1125788	3845	1996-01-14	VYDAJ	VYBER	1200	24570	\N	\N	\N
1125789	3845	1996-01-16	VYDAJ	VYBER	2600	21970	\N	\N	\N
1125790	3845	1996-01-18	VYDAJ	VYBER	1700	18870	\N	\N	\N
1125791	3845	1996-01-16	VYDAJ	VYBER	1400	20570	\N	\N	\N
1125793	3845	1997-01-27	VYDAJ	VYBER	600	27061	\N	\N	\N
1125794	3845	1997-01-29	VYDAJ	VYBER	2400	24661	\N	\N	\N
1125795	3845	1997-01-02	VYDAJ	VYBER	700	48885	\N	\N	\N
1125796	3845	1997-01-03	VYDAJ	VYBER	2300	25285	\N	\N	\N
1125797	3845	1997-01-18	VYDAJ	VYBER	2700	29861	\N	\N	\N
1125798	3845	1997-01-20	VYDAJ	VYBER	2200	27661	\N	\N	\N
1125799	3845	1998-01-07	VYDAJ	VYBER	700	18122	\N	\N	\N
1125800	3845	1998-01-09	VYDAJ	VYBER	900	40364	\N	\N	\N
1125801	3845	1998-01-19	VYDAJ	VYBER	800	27898	\N	\N	\N
1125802	3845	1998-01-23	VYDAJ	VYBER	2300	25598	\N	\N	\N
1125803	3845	1998-01-23	VYDAJ	VYBER	2000	23598	\N	\N	\N
1125804	3845	1998-01-17	VYDAJ	VYBER	2800	28698	\N	\N	\N
1125806	3845	1995-12-19	VYDAJ	VYBER	3600	32068	\N	\N	\N
1125811	3845	1996-10-07	VYDAJ	VYBER	1000	26705	\N	\N	\N
1125812	3845	1996-11-01	VYDAJ	VYBER	3000	39540	\N	\N	\N
1125813	3845	1996-06-19	VYDAJ	VYBER	1500	56993	\N	\N	\N
1125814	3845	1996-03-20	VYDAJ	VYBER	1600	24897	\N	\N	\N
1125815	3845	1996-06-24	VYDAJ	VYBER	4100	23593	\N	\N	\N
1125816	3845	1996-12-02	VYDAJ	VYBER	4700	35762	\N	\N	\N
1125817	3845	1997-07-14	VYDAJ	VYBER	2700	34925	\N	\N	\N
1125818	3845	1997-12-11	VYDAJ	VYBER	2600	40209	\N	\N	\N
1125819	3845	1997-11-29	VYDAJ	VYBER	3500	33751	\N	\N	\N
1125820	3845	1997-09-18	VYDAJ	VYBER	4700	29449	\N	\N	\N
1125821	3845	1997-06-03	VYDAJ	VYBER	3600	17268	\N	\N	\N
1125822	3845	1997-09-25	VYDAJ	VYBER	3300	26149	\N	\N	\N
1125823	3845	1998-01-28	VYDAJ	VYBER	2400	21198	\N	\N	\N
1125824	3845	1998-07-29	VYDAJ	VYBER	4600	28216	\N	\N	\N
1125825	3845	1998-11-17	VYDAJ	VYBER	1700	64622	\N	\N	\N
1125836	3845	1995-10-31	VYDAJ	VYBER	15	39108	SLUZBY	\N	\N
1125837	3845	1995-11-30	VYDAJ	VYBER	15	34921	SLUZBY	\N	\N
1125838	3845	1995-12-31	VYDAJ	VYBER	15	30394	SLUZBY	\N	\N
1125839	3845	1996-01-31	VYDAJ	VYBER	15	13053	SLUZBY	\N	\N
1125840	3845	1996-02-29	VYDAJ	VYBER	15	29621	SLUZBY	\N	\N
1125841	3845	1996-03-31	VYDAJ	VYBER	15	24996	SLUZBY	\N	\N
1125842	3845	1996-04-30	VYDAJ	VYBER	15	37201	SLUZBY	\N	\N
1125843	3845	1996-05-31	VYDAJ	VYBER	15	45746	SLUZBY	\N	\N
1125844	3845	1996-06-30	VYDAJ	VYBER	15	23775	SLUZBY	\N	\N
1125845	3845	1996-07-31	VYDAJ	VYBER	15	31962	SLUZBY	\N	\N
1125846	3845	1996-08-31	VYDAJ	VYBER	15	36974	SLUZBY	\N	\N
1125847	3845	1996-09-30	VYDAJ	VYBER	15	41505	SLUZBY	\N	\N
1125848	3845	1996-10-31	VYDAJ	VYBER	15	42540	SLUZBY	\N	\N
1125849	3845	1996-11-30	VYDAJ	VYBER	15	40462	SLUZBY	\N	\N
1125850	3845	1996-12-31	VYDAJ	VYBER	15	49585	SLUZBY	\N	\N
1125851	3845	1997-01-31	VYDAJ	VYBER	15	24781	SLUZBY	\N	\N
1125852	3845	1997-02-28	VYDAJ	VYBER	15	29662	SLUZBY	\N	\N
1125853	3845	1997-03-31	VYDAJ	VYBER	15	32758	SLUZBY	\N	\N
1125854	3845	1997-04-30	VYDAJ	VYBER	15	34563	SLUZBY	\N	\N
1125855	3845	1997-05-31	VYDAJ	VYBER	15	34168	SLUZBY	\N	\N
1125856	3845	1997-06-30	VYDAJ	VYBER	15	39749	SLUZBY	\N	\N
1125857	3845	1997-07-31	VYDAJ	VYBER	15	35064	SLUZBY	\N	\N
1125858	3845	1997-08-31	VYDAJ	VYBER	15	35173	SLUZBY	\N	\N
1125859	3845	1997-09-30	VYDAJ	VYBER	15	26266	SLUZBY	\N	\N
1125860	3845	1997-10-31	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
1125861	3845	1997-11-30	VYDAJ	VYBER	15	14862	SLUZBY	\N	\N
1125862	3845	1997-12-31	VYDAJ	VYBER	15	18822	SLUZBY	\N	\N
1125863	3845	1998-01-31	VYDAJ	VYBER	15	21288	SLUZBY	\N	\N
1125864	3845	1998-02-28	VYDAJ	VYBER	15	23375	SLUZBY	\N	\N
1125865	3845	1998-03-31	VYDAJ	VYBER	15	25371	SLUZBY	\N	\N
1125866	3845	1998-04-30	VYDAJ	VYBER	15	25274	SLUZBY	\N	\N
1125867	3845	1998-05-31	VYDAJ	VYBER	15	20972	SLUZBY	\N	\N
1125868	3845	1998-06-30	VYDAJ	VYBER	15	17140	SLUZBY	\N	\N
1125869	3845	1998-07-31	VYDAJ	VYBER	15	28313	SLUZBY	\N	\N
1125870	3845	1998-08-31	VYDAJ	VYBER	15	19015	SLUZBY	\N	\N
1125871	3845	1998-09-30	VYDAJ	VYBER	15	34797	SLUZBY	\N	\N
1125872	3845	1998-10-31	VYDAJ	VYBER	15	50646	SLUZBY	\N	\N
1125874	3845	1995-06-13	VYDAJ	VYBER	8600	28713	\N	\N	\N
1125875	3845	1995-07-13	VYDAJ	VYBER	17000	36327	\N	\N	\N
1125876	3845	1995-08-12	VYDAJ	VYBER	21400	39608	\N	\N	\N
1125877	3845	1995-09-11	VYDAJ	VYBER	22700	41610	\N	\N	\N
1125878	3845	1995-10-11	VYDAJ	VYBER	18500	38957	\N	\N	\N
1125879	3845	1995-11-10	VYDAJ	VYBER	20000	43650	\N	\N	\N
1125880	3845	1995-12-10	VYDAJ	VYBER	27200	44534	\N	\N	\N
1125881	3845	1996-01-09	VYDAJ	VYBER	17800	34636	\N	\N	\N
1125882	3845	1996-02-08	PRIJEM	VKLAD	800	13853	\N	\N	\N
1125883	3845	1996-03-09	VYDAJ	VYBER	18800	35363	\N	\N	\N
1125884	3845	1996-04-08	VYDAJ	VYBER	3600	21396	\N	\N	\N
1125885	3845	1996-05-08	VYDAJ	VYBER	7300	29901	\N	\N	\N
1125886	3845	1996-06-07	VYDAJ	VYBER	15200	30546	\N	\N	\N
1125887	3845	1996-07-07	VYDAJ	VYBER	7600	16175	\N	\N	\N
1125888	3845	1996-08-06	VYDAJ	VYBER	10800	21162	\N	\N	\N
1125889	3845	1996-09-05	VYDAJ	VYBER	11300	25674	\N	\N	\N
1125890	3845	1996-10-05	VYDAJ	VYBER	13800	27705	\N	\N	\N
1125891	3845	1996-11-04	VYDAJ	VYBER	14900	24640	\N	\N	\N
1125892	3845	1996-12-04	VYDAJ	VYBER	12800	22962	\N	\N	\N
1125893	3845	1997-01-03	VYDAJ	VYBER	21300	27585	\N	\N	\N
1125894	3845	1997-02-02	VYDAJ	VYBER	10900	13881	\N	\N	\N
1125895	3845	1997-03-04	VYDAJ	VYBER	12700	16962	\N	\N	\N
1125896	3845	1997-04-03	VYDAJ	VYBER	14000	18758	\N	\N	\N
1125897	3845	1997-05-03	VYDAJ	VYBER	16200	18363	\N	\N	\N
1125898	3845	1997-06-02	VYDAJ	VYBER	13300	20868	\N	\N	\N
1125899	3845	1997-07-02	VYDAJ	VYBER	17800	21949	\N	\N	\N
1125900	3845	1997-08-01	VYDAJ	VYBER	15700	19364	\N	\N	\N
1125901	3845	1997-08-31	VYDAJ	VYBER	16700	18473	\N	\N	\N
1125902	3845	1997-10-30	VYDAJ	VYBER	20500	21442	\N	\N	\N
1125903	3845	1997-11-29	VYDAJ	VYBER	19000	14751	\N	\N	\N
1125904	3845	1997-12-29	VYDAJ	VYBER	20400	18709	\N	\N	\N
1125905	3845	1998-02-27	VYDAJ	VYBER	13700	23264	\N	\N	\N
1125906	3845	1998-03-29	VYDAJ	VYBER	13800	25251	\N	\N	\N
1125907	3845	1998-04-28	VYDAJ	VYBER	15900	25147	\N	\N	\N
1125908	3845	1998-05-28	VYDAJ	VYBER	20100	20850	\N	\N	\N
1125909	3845	1998-06-27	VYDAJ	VYBER	24500	17019	\N	\N	\N
1125910	3845	1998-08-26	VYDAJ	VYBER	25100	18889	\N	\N	\N
1125911	3845	1998-11-24	VYDAJ	VYBER	47100	17522	\N	\N	\N
1125955	3846	1997-04-27	PRIJEM	VKLAD	700	700	\N	\N	\N
1125960	3846	1997-05-09	PRIJEM	PREVOD Z UCTU	3024	3724	\N	MN	85856443
1125961	3846	1997-06-09	PRIJEM	PREVOD Z UCTU	3024	6748	\N	MN	85856443
1125962	3846	1997-07-09	PRIJEM	PREVOD Z UCTU	3024	9772	\N	MN	85856443
1125963	3846	1997-08-09	PRIJEM	PREVOD Z UCTU	3024	12796	\N	MN	85856443
1125964	3846	1997-09-09	PRIJEM	PREVOD Z UCTU	3024	15820	\N	MN	85856443
1125965	3846	1997-10-09	PRIJEM	PREVOD Z UCTU	3024	13952	\N	MN	85856443
1125966	3846	1997-11-09	PRIJEM	PREVOD Z UCTU	3024	14994	\N	MN	85856443
1125967	3846	1997-12-09	PRIJEM	PREVOD Z UCTU	3024	15290	\N	MN	85856443
1125968	3846	1998-01-09	PRIJEM	PREVOD Z UCTU	3024	14637	\N	MN	85856443
1125969	3846	1998-02-09	PRIJEM	PREVOD Z UCTU	3024	14839	\N	MN	85856443
1125970	3846	1998-03-09	PRIJEM	PREVOD Z UCTU	3024	15885	\N	MN	85856443
1125971	3846	1998-04-09	PRIJEM	PREVOD Z UCTU	3024	16935	\N	MN	85856443
1125972	3846	1998-05-09	PRIJEM	PREVOD Z UCTU	3024	16665	\N	MN	85856443
1125973	3846	1998-06-09	PRIJEM	PREVOD Z UCTU	3024	17719	\N	MN	85856443
1125974	3846	1998-07-09	PRIJEM	PREVOD Z UCTU	3024	18776	\N	MN	85856443
1125975	3846	1998-08-09	PRIJEM	PREVOD Z UCTU	3024	15532	\N	MN	85856443
1125976	3846	1998-09-09	PRIJEM	PREVOD Z UCTU	3024	16580	\N	MN	85856443
1125977	3846	1998-10-09	PRIJEM	PREVOD Z UCTU	3024	17633	\N	MN	85856443
1125978	3846	1998-11-09	PRIJEM	PREVOD Z UCTU	3024	16456	\N	MN	85856443
1125979	3846	1998-12-09	PRIJEM	PREVOD Z UCTU	3024	16878	\N	MN	85856443
1125988	3846	1997-09-10	VYDAJ	PREVOD NA UCET	2016	13204	\N	GH	312638
1125989	3846	1997-10-10	VYDAJ	PREVOD NA UCET	2016	11936	\N	GH	312638
1125990	3846	1997-11-10	VYDAJ	PREVOD NA UCET	2016	12978	\N	GH	312638
1125991	3846	1997-12-10	VYDAJ	PREVOD NA UCET	2016	13274	\N	GH	312638
1125992	3846	1998-01-10	VYDAJ	PREVOD NA UCET	2016	11781	\N	GH	312638
1125993	3846	1998-02-10	VYDAJ	PREVOD NA UCET	2016	12823	\N	GH	312638
1125994	3846	1998-03-10	VYDAJ	PREVOD NA UCET	2016	13869	\N	GH	312638
1125995	3846	1998-04-10	VYDAJ	PREVOD NA UCET	2016	14919	\N	GH	312638
1125996	3846	1998-05-10	VYDAJ	PREVOD NA UCET	2016	14649	\N	GH	312638
1125997	3846	1998-06-10	VYDAJ	PREVOD NA UCET	2016	15703	\N	GH	312638
1125998	3846	1998-07-10	VYDAJ	PREVOD NA UCET	2016	16760	\N	GH	312638
1125999	3846	1998-08-10	VYDAJ	PREVOD NA UCET	2016	13516	\N	GH	312638
1126000	3846	1998-09-10	VYDAJ	PREVOD NA UCET	2016	14564	\N	GH	312638
1126001	3846	1998-10-10	VYDAJ	PREVOD NA UCET	2016	15617	\N	GH	312638
1126002	3846	1998-11-10	VYDAJ	PREVOD NA UCET	2016	14440	\N	GH	312638
1126003	3846	1998-12-10	VYDAJ	PREVOD NA UCET	2016	14862	\N	GH	312638
1126007	3846	1998-01-09	VYDAJ	VYBER	840	13797	\N	\N	\N
1126008	3846	1997-12-03	VYDAJ	VYBER	750	12266	\N	\N	\N
1126009	3846	1998-12-18	VYDAJ	VYBER	840	14022	\N	\N	\N
1126023	3846	1997-09-09	VYDAJ	VYBER	600	15220	\N	\N	\N
1126025	3846	1998-12-04	VYDAJ	VYBER	630	13854	\N	\N	\N
1126026	3846	1998-04-12	VYDAJ	VYBER	1320	13599	\N	\N	\N
1126027	3846	1998-10-16	VYDAJ	VYBER	330	15287	\N	\N	\N
1126037	3846	1997-09-30	VYDAJ	VYBER	15	10928	SLUZBY	\N	\N
1126038	3846	1997-10-31	VYDAJ	VYBER	15	11970	SLUZBY	\N	\N
1126039	3846	1997-11-30	VYDAJ	VYBER	15	13016	SLUZBY	\N	\N
1126040	3846	1997-12-31	VYDAJ	VYBER	15	11613	SLUZBY	\N	\N
1126041	3846	1998-01-31	VYDAJ	VYBER	15	11815	SLUZBY	\N	\N
1126042	3846	1998-02-28	VYDAJ	VYBER	15	12861	SLUZBY	\N	\N
1126043	3846	1998-03-31	VYDAJ	VYBER	15	13911	SLUZBY	\N	\N
1126044	3846	1998-04-30	VYDAJ	VYBER	15	13641	SLUZBY	\N	\N
1126045	3846	1998-05-31	VYDAJ	VYBER	15	14695	SLUZBY	\N	\N
1126046	3846	1998-06-30	VYDAJ	VYBER	15	15752	SLUZBY	\N	\N
1126047	3846	1998-07-31	VYDAJ	VYBER	15	12508	SLUZBY	\N	\N
1126048	3846	1998-08-31	VYDAJ	VYBER	15	13556	SLUZBY	\N	\N
1126049	3846	1998-09-30	VYDAJ	VYBER	15	14609	SLUZBY	\N	\N
1126050	3846	1998-10-31	VYDAJ	VYBER	15	13432	SLUZBY	\N	\N
1126051	3846	1998-11-30	VYDAJ	VYBER	15	14484	SLUZBY	\N	\N
1126052	3846	1997-09-24	VYDAJ	VYBER	2300	10904	\N	\N	\N
1126053	3846	1997-12-23	VYDAJ	VYBER	1700	11574	\N	\N	\N
1126054	3846	1998-07-21	VYDAJ	VYBER	4300	12460	\N	\N	\N
1126055	3846	1998-10-19	VYDAJ	VYBER	1900	13387	\N	\N	\N
1126072	3847	1995-06-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1126079	3847	1995-07-07	PRIJEM	VKLAD	20247	21347	\N	\N	\N
1126080	3847	1995-08-07	PRIJEM	VKLAD	20247	43253	\N	\N	\N
1126081	3847	1995-09-07	PRIJEM	VKLAD	20247	56330	\N	\N	\N
1126082	3847	1995-10-07	PRIJEM	VKLAD	20247	62043	\N	\N	\N
1126083	3847	1995-11-07	PRIJEM	VKLAD	20247	62164	\N	\N	\N
1126084	3847	1995-12-07	PRIJEM	VKLAD	30371	57279	\N	\N	\N
1126085	3847	1996-01-07	PRIJEM	VKLAD	20247	50625	\N	\N	\N
1126086	3847	1996-02-07	PRIJEM	VKLAD	20247	36119	\N	\N	\N
1126087	3847	1996-03-07	PRIJEM	VKLAD	20247	46168	\N	\N	\N
1126088	3847	1996-04-07	PRIJEM	VKLAD	20247	52547	\N	\N	\N
1126089	3847	1996-05-07	PRIJEM	VKLAD	20247	57045	\N	\N	\N
1126090	3847	1996-06-07	PRIJEM	VKLAD	30371	68643	\N	\N	\N
1126091	3847	1996-07-07	PRIJEM	VKLAD	20247	67181	\N	\N	\N
1126092	3847	1996-08-07	PRIJEM	VKLAD	20247	60728	\N	\N	\N
1126093	3847	1996-09-07	PRIJEM	VKLAD	20247	68894	\N	\N	\N
1126094	3847	1996-10-07	PRIJEM	VKLAD	20247	70494	\N	\N	\N
1126095	3847	1996-11-07	PRIJEM	VKLAD	20247	74806	\N	\N	\N
1126096	3847	1996-12-07	PRIJEM	VKLAD	30371	84018	\N	\N	\N
1126097	3847	1997-01-07	PRIJEM	VKLAD	20247	58497	\N	\N	\N
1126098	3847	1997-02-07	PRIJEM	VKLAD	20247	63650	\N	\N	\N
1126099	3847	1997-03-07	PRIJEM	VKLAD	20247	67424	\N	\N	\N
1126100	3847	1997-04-07	PRIJEM	VKLAD	20247	72222	\N	\N	\N
1126101	3847	1997-05-07	PRIJEM	VKLAD	20247	69539	\N	\N	\N
1126102	3847	1997-06-07	PRIJEM	VKLAD	30371	76769	\N	\N	\N
1126103	3847	1997-07-07	PRIJEM	VKLAD	20247	63030	\N	\N	\N
1126104	3847	1997-08-07	PRIJEM	VKLAD	20247	65110	\N	\N	\N
1126105	3847	1997-09-07	PRIJEM	VKLAD	20247	64797	\N	\N	\N
1126106	3847	1997-10-07	PRIJEM	VKLAD	20247	66274	\N	\N	\N
1126107	3847	1997-11-07	PRIJEM	VKLAD	20247	61054	\N	\N	\N
1126108	3847	1997-12-07	PRIJEM	VKLAD	30371	62038	\N	\N	\N
1126109	3847	1998-01-07	PRIJEM	VKLAD	20247	61598	\N	\N	\N
1126110	3847	1998-02-07	PRIJEM	VKLAD	20247	55453	\N	\N	\N
1126111	3847	1998-03-07	PRIJEM	VKLAD	20247	57189	\N	\N	\N
1126112	3847	1998-04-07	PRIJEM	VKLAD	20247	56172	\N	\N	\N
1126113	3847	1998-05-07	PRIJEM	VKLAD	20247	61701	\N	\N	\N
1126114	3847	1998-06-07	PRIJEM	VKLAD	30371	74684	\N	\N	\N
1126115	3847	1998-07-07	PRIJEM	VKLAD	20247	71282	\N	\N	\N
1126116	3847	1998-08-07	PRIJEM	VKLAD	20247	69176	\N	\N	\N
1126117	3847	1998-09-07	PRIJEM	VKLAD	20247	63556	\N	\N	\N
1126118	3847	1998-10-07	PRIJEM	VKLAD	20247	61515	\N	\N	\N
1126119	3847	1998-11-07	PRIJEM	VKLAD	20247	63669	\N	\N	\N
1126120	3847	1998-12-07	PRIJEM	VKLAD	30371	73853	\N	\N	\N
1126131	3847	1995-11-14	VYDAJ	PREVOD NA UCET	5500	33881	SIPO	YZ	2573502
1126132	3847	1995-12-14	VYDAJ	PREVOD NA UCET	5500	37916	SIPO	YZ	2573502
1126133	3847	1996-01-14	VYDAJ	PREVOD NA UCET	5500	18902	SIPO	YZ	2573502
1126134	3847	1996-02-14	VYDAJ	PREVOD NA UCET	5500	25836	SIPO	YZ	2573502
1126135	3847	1996-03-14	VYDAJ	PREVOD NA UCET	5500	32185	SIPO	YZ	2573502
1126136	3847	1996-04-14	VYDAJ	PREVOD NA UCET	5500	36664	SIPO	YZ	2573502
1126137	3847	1996-05-14	VYDAJ	PREVOD NA UCET	5500	40162	SIPO	YZ	2573502
1126138	3847	1996-06-14	VYDAJ	PREVOD NA UCET	5500	46760	SIPO	YZ	2573502
1126139	3847	1996-07-14	VYDAJ	PREVOD NA UCET	5500	44098	SIPO	YZ	2573502
1126140	3847	1996-08-14	VYDAJ	PREVOD NA UCET	5500	54345	SIPO	YZ	2573502
1126141	3847	1996-09-14	VYDAJ	PREVOD NA UCET	5500	62511	SIPO	YZ	2573502
1126142	3847	1996-10-14	VYDAJ	PREVOD NA UCET	5500	64111	SIPO	YZ	2573502
1126143	3847	1996-11-14	VYDAJ	PREVOD NA UCET	5500	68423	SIPO	YZ	2573502
1126144	3847	1996-12-14	VYDAJ	PREVOD NA UCET	5500	77635	SIPO	YZ	2573502
1126145	3847	1997-01-14	VYDAJ	PREVOD NA UCET	5500	52114	SIPO	YZ	2573502
1126146	3847	1997-02-14	VYDAJ	PREVOD NA UCET	5500	57267	SIPO	YZ	2573502
1126147	3847	1997-03-14	VYDAJ	PREVOD NA UCET	5500	61041	SIPO	YZ	2573502
1126148	3847	1997-04-14	VYDAJ	PREVOD NA UCET	5500	65839	SIPO	YZ	2573502
1126149	3847	1997-05-14	VYDAJ	PREVOD NA UCET	5500	63156	SIPO	YZ	2573502
1126150	3847	1997-06-14	VYDAJ	PREVOD NA UCET	5500	70386	SIPO	YZ	2573502
1126151	3847	1997-07-14	VYDAJ	PREVOD NA UCET	5500	56647	SIPO	YZ	2573502
1126152	3847	1997-08-14	VYDAJ	PREVOD NA UCET	5500	58727	SIPO	YZ	2573502
1126153	3847	1997-09-14	VYDAJ	PREVOD NA UCET	5500	58414	SIPO	YZ	2573502
1126359	3847	1998-02-28	VYDAJ	VYBER	15	36949	SLUZBY	\N	\N
1126154	3847	1997-10-14	VYDAJ	PREVOD NA UCET	5500	59891	SIPO	YZ	2573502
1126155	3847	1997-11-14	VYDAJ	PREVOD NA UCET	5500	54671	SIPO	YZ	2573502
1126156	3847	1997-12-14	VYDAJ	PREVOD NA UCET	5500	55655	SIPO	YZ	2573502
1126157	3847	1998-01-14	VYDAJ	PREVOD NA UCET	5500	52315	SIPO	YZ	2573502
1126158	3847	1998-02-14	VYDAJ	PREVOD NA UCET	5500	49070	SIPO	YZ	2573502
1126159	3847	1998-03-14	VYDAJ	PREVOD NA UCET	5500	50806	SIPO	YZ	2573502
1126160	3847	1998-04-14	VYDAJ	PREVOD NA UCET	5500	44989	SIPO	YZ	2573502
1126161	3847	1998-05-14	VYDAJ	PREVOD NA UCET	5500	55318	SIPO	YZ	2573502
1126162	3847	1998-06-14	VYDAJ	PREVOD NA UCET	5500	68301	SIPO	YZ	2573502
1126163	3847	1998-07-14	VYDAJ	PREVOD NA UCET	5500	64899	SIPO	YZ	2573502
1126164	3847	1998-08-14	VYDAJ	PREVOD NA UCET	5500	62793	SIPO	YZ	2573502
1126165	3847	1998-09-14	VYDAJ	PREVOD NA UCET	5500	57173	SIPO	YZ	2573502
1126166	3847	1998-10-14	VYDAJ	PREVOD NA UCET	5500	55132	SIPO	YZ	2573502
1126167	3847	1998-11-14	VYDAJ	PREVOD NA UCET	5500	57286	SIPO	YZ	2573502
1126168	3847	1998-12-14	VYDAJ	PREVOD NA UCET	5500	67470	SIPO	YZ	2573502
1126180	3847	1995-12-06	VYDAJ	PREVOD NA UCET	7	26909	 	YZ	83747803
1126181	3847	1996-01-06	VYDAJ	PREVOD NA UCET	7	30378	 	YZ	83747803
1126182	3847	1996-02-06	VYDAJ	PREVOD NA UCET	7	15872	 	YZ	83747803
1126183	3847	1996-03-06	VYDAJ	PREVOD NA UCET	7	25921	 	YZ	83747803
1126184	3847	1996-04-06	VYDAJ	PREVOD NA UCET	7	32300	 	YZ	83747803
1126185	3847	1996-05-06	VYDAJ	PREVOD NA UCET	7	36798	 	YZ	83747803
1126186	3847	1996-06-06	VYDAJ	PREVOD NA UCET	7	38273	 	YZ	83747803
1126187	3847	1996-07-06	VYDAJ	PREVOD NA UCET	7	46934	 	YZ	83747803
1126188	3847	1996-08-06	VYDAJ	PREVOD NA UCET	7	40481	 	YZ	83747803
1126189	3847	1996-09-06	VYDAJ	PREVOD NA UCET	7	48647	 	YZ	83747803
1126190	3847	1996-10-06	VYDAJ	PREVOD NA UCET	7	50247	 	YZ	83747803
1126191	3847	1996-11-06	VYDAJ	PREVOD NA UCET	7	54559	 	YZ	83747803
1126192	3847	1996-12-06	VYDAJ	PREVOD NA UCET	7	53648	 	YZ	83747803
1126193	3847	1997-01-06	VYDAJ	PREVOD NA UCET	7	38250	 	YZ	83747803
1126194	3847	1997-02-06	VYDAJ	PREVOD NA UCET	7	43403	 	YZ	83747803
1126195	3847	1997-03-06	VYDAJ	PREVOD NA UCET	7	47177	 	YZ	83747803
1126196	3847	1997-04-06	VYDAJ	PREVOD NA UCET	7	51975	 	YZ	83747803
1126197	3847	1997-05-06	VYDAJ	PREVOD NA UCET	7	49292	 	YZ	83747803
1126198	3847	1997-06-06	VYDAJ	PREVOD NA UCET	7	46399	 	YZ	83747803
1126199	3847	1997-07-06	VYDAJ	PREVOD NA UCET	7	42783	 	YZ	83747803
1126200	3847	1997-08-06	VYDAJ	PREVOD NA UCET	7	44863	 	YZ	83747803
1126201	3847	1997-09-06	VYDAJ	PREVOD NA UCET	7	44550	 	YZ	83747803
1126202	3847	1997-10-06	VYDAJ	PREVOD NA UCET	7	46027	 	YZ	83747803
1126203	3847	1997-11-06	VYDAJ	PREVOD NA UCET	7	40807	 	YZ	83747803
1126204	3847	1997-12-06	VYDAJ	PREVOD NA UCET	7	31668	 	YZ	83747803
1126205	3847	1998-01-06	VYDAJ	PREVOD NA UCET	7	41951	 	YZ	83747803
1126206	3847	1998-02-06	VYDAJ	PREVOD NA UCET	7	35206	 	YZ	83747803
1126207	3847	1998-03-06	VYDAJ	PREVOD NA UCET	7	36942	 	YZ	83747803
1126208	3847	1998-04-06	VYDAJ	PREVOD NA UCET	7	35925	 	YZ	83747803
1126209	3847	1998-05-06	VYDAJ	PREVOD NA UCET	7	41454	 	YZ	83747803
1126210	3847	1998-06-06	VYDAJ	PREVOD NA UCET	7	44314	 	YZ	83747803
1126211	3847	1998-07-06	VYDAJ	PREVOD NA UCET	7	51035	 	YZ	83747803
1126212	3847	1998-08-06	VYDAJ	PREVOD NA UCET	7	48929	 	YZ	83747803
1126213	3847	1998-09-06	VYDAJ	PREVOD NA UCET	7	43309	 	YZ	83747803
1126214	3847	1998-10-06	VYDAJ	PREVOD NA UCET	7	41268	 	YZ	83747803
1126215	3847	1998-11-06	VYDAJ	PREVOD NA UCET	7	43422	 	YZ	83747803
1126216	3847	1998-12-06	VYDAJ	PREVOD NA UCET	7	43482	 	YZ	83747803
1126227	3847	1995-11-13	VYDAJ	PREVOD NA UCET	883	44781	POJISTNE	QR	36324137
1126228	3847	1995-12-13	VYDAJ	PREVOD NA UCET	883	43416	POJISTNE	QR	36324137
1126229	3847	1996-01-13	VYDAJ	PREVOD NA UCET	883	26802	POJISTNE	QR	36324137
1126230	3847	1996-02-13	VYDAJ	PREVOD NA UCET	883	31336	POJISTNE	QR	36324137
1126231	3847	1996-03-13	VYDAJ	PREVOD NA UCET	883	37685	POJISTNE	QR	36324137
1126232	3847	1996-04-13	VYDAJ	PREVOD NA UCET	883	42164	POJISTNE	QR	36324137
1126233	3847	1996-05-13	VYDAJ	PREVOD NA UCET	883	45662	POJISTNE	QR	36324137
1126234	3847	1996-06-13	VYDAJ	PREVOD NA UCET	883	52260	POJISTNE	QR	36324137
1126235	3847	1996-07-13	VYDAJ	PREVOD NA UCET	883	49598	POJISTNE	QR	36324137
1126236	3847	1996-08-13	VYDAJ	PREVOD NA UCET	883	59845	POJISTNE	QR	36324137
1126237	3847	1996-09-13	VYDAJ	PREVOD NA UCET	883	68011	POJISTNE	QR	36324137
1126238	3847	1996-10-13	VYDAJ	PREVOD NA UCET	883	69611	POJISTNE	QR	36324137
1126239	3847	1996-11-13	VYDAJ	PREVOD NA UCET	883	73923	POJISTNE	QR	36324137
1126240	3847	1996-12-13	VYDAJ	PREVOD NA UCET	883	83135	POJISTNE	QR	36324137
1126241	3847	1997-01-13	VYDAJ	PREVOD NA UCET	883	57614	POJISTNE	QR	36324137
1126242	3847	1997-02-13	VYDAJ	PREVOD NA UCET	883	62767	POJISTNE	QR	36324137
1126243	3847	1997-03-13	VYDAJ	PREVOD NA UCET	883	66541	POJISTNE	QR	36324137
1126244	3847	1997-04-13	VYDAJ	PREVOD NA UCET	883	71339	POJISTNE	QR	36324137
1126245	3847	1997-05-13	VYDAJ	PREVOD NA UCET	883	68656	POJISTNE	QR	36324137
1126246	3847	1997-06-13	VYDAJ	PREVOD NA UCET	883	75886	POJISTNE	QR	36324137
1126247	3847	1997-07-13	VYDAJ	PREVOD NA UCET	883	62147	POJISTNE	QR	36324137
1126248	3847	1997-08-13	VYDAJ	PREVOD NA UCET	883	64227	POJISTNE	QR	36324137
1126249	3847	1997-09-13	VYDAJ	PREVOD NA UCET	883	63914	POJISTNE	QR	36324137
1126250	3847	1997-10-13	VYDAJ	PREVOD NA UCET	883	65391	POJISTNE	QR	36324137
1126251	3847	1997-11-13	VYDAJ	PREVOD NA UCET	883	60171	POJISTNE	QR	36324137
1126252	3847	1997-12-13	VYDAJ	PREVOD NA UCET	883	61155	POJISTNE	QR	36324137
1126253	3847	1998-01-13	VYDAJ	PREVOD NA UCET	883	57815	POJISTNE	QR	36324137
1126254	3847	1998-02-13	VYDAJ	PREVOD NA UCET	883	54570	POJISTNE	QR	36324137
1126255	3847	1998-03-13	VYDAJ	PREVOD NA UCET	883	56306	POJISTNE	QR	36324137
1126256	3847	1998-04-13	VYDAJ	PREVOD NA UCET	883	50489	POJISTNE	QR	36324137
1126257	3847	1998-05-13	VYDAJ	PREVOD NA UCET	883	60818	POJISTNE	QR	36324137
1126258	3847	1998-06-13	VYDAJ	PREVOD NA UCET	883	73801	POJISTNE	QR	36324137
1126259	3847	1998-07-13	VYDAJ	PREVOD NA UCET	883	70399	POJISTNE	QR	36324137
1126260	3847	1998-08-13	VYDAJ	PREVOD NA UCET	883	68293	POJISTNE	QR	36324137
1126261	3847	1998-09-13	VYDAJ	PREVOD NA UCET	883	62673	POJISTNE	QR	36324137
1126262	3847	1998-10-13	VYDAJ	PREVOD NA UCET	883	60632	POJISTNE	QR	36324137
1126263	3847	1998-11-13	VYDAJ	PREVOD NA UCET	883	62786	POJISTNE	QR	36324137
1126264	3847	1998-12-13	VYDAJ	PREVOD NA UCET	883	72970	POJISTNE	QR	36324137
1126267	3847	1997-06-16	VYDAJ	VYBER	14240	56146	\N	\N	\N
1126270	3847	1996-01-12	VYDAJ	VYBER	13920	27685	\N	\N	\N
1126271	3847	1997-01-05	VYDAJ	VYBER	15040	41137	\N	\N	\N
1126272	3847	1998-01-18	VYDAJ	VYBER	4480	44835	\N	\N	\N
1126273	3847	1995-12-04	VYDAJ	VYBER	3520	30516	\N	\N	\N
1126274	3847	1996-12-01	VYDAJ	VYBER	2240	66455	\N	\N	\N
1126275	3847	1997-12-01	VYDAJ	VYBER KARTOU	1400	41275	\N	\N	0
1126276	3847	1998-12-05	VYDAJ	VYBER KARTOU	1000	43489	\N	\N	0
1126283	3847	1996-01-06	VYDAJ	VYBER	3480	30385	\N	\N	\N
1126284	3847	1996-01-13	VYDAJ	VYBER	2400	24402	\N	\N	\N
1126285	3847	1996-01-05	VYDAJ	VYBER	3480	33865	\N	\N	\N
1126286	3847	1996-01-10	VYDAJ	VYBER	720	41605	\N	\N	\N
1126287	3847	1996-01-05	VYDAJ	VYBER	720	37345	\N	\N	\N
1126288	3847	1996-01-30	VYDAJ	VYBER	3120	15782	\N	\N	\N
1126289	3847	1997-01-28	VYDAJ	VYBER KARTOU	800	42214	\N	\N	0
1126290	3847	1997-01-21	VYDAJ	VYBER KARTOU	3400	43014	\N	\N	0
1126291	3847	1997-01-14	VYDAJ	VYBER KARTOU	1700	50414	\N	\N	0
1126292	3847	1997-01-03	VYDAJ	VYBER	3000	72777	\N	\N	\N
1126293	3847	1997-01-01	VYDAJ	VYBER	2160	75777	\N	\N	\N
1126294	3847	1997-01-05	VYDAJ	VYBER	2880	38257	\N	\N	\N
1126295	3847	1998-01-25	VYDAJ	VYBER KARTOU	2000	39835	\N	\N	0
1126296	3847	1998-01-11	VYDAJ	VYBER KARTOU	2900	58698	\N	\N	0
1126297	3847	1998-01-15	VYDAJ	VYBER KARTOU	3000	49315	\N	\N	0
1126298	3847	1998-01-22	VYDAJ	VYBER KARTOU	700	44135	\N	\N	0
1126299	3847	1998-01-06	VYDAJ	VYBER KARTOU	600	41351	\N	\N	0
1126300	3847	1998-01-22	VYDAJ	VYBER KARTOU	2300	41835	\N	\N	0
1126301	3847	1995-11-14	VYDAJ	VYBER	5400	39381	\N	\N	\N
1126302	3847	1995-12-09	VYDAJ	VYBER	1680	55599	\N	\N	\N
1126306	3847	1995-12-05	VYDAJ	VYBER	3600	26916	\N	\N	\N
1126308	3847	1996-03-08	VYDAJ	VYBER	2400	43768	\N	\N	\N
1126309	3847	1996-06-05	VYDAJ	VYBER	2040	38280	\N	\N	\N
1126310	3847	1996-09-17	VYDAJ	VYBER	600	61911	\N	\N	\N
1126311	3847	1997-12-06	VYDAJ	VYBER	5160	31675	\N	\N	\N
1126312	3847	1997-09-20	VYDAJ	VYBER KARTOU	1200	57214	\N	\N	0
1126313	3847	1997-06-27	VYDAJ	VYBER KARTOU	2000	54146	\N	\N	0
1126314	3847	1997-05-18	VYDAJ	VYBER KARTOU	2800	60356	\N	\N	0
1126315	3847	1997-12-04	VYDAJ	VYBER	4440	36835	\N	\N	\N
1126316	3847	1997-01-19	VYDAJ	VYBER KARTOU	4000	46414	\N	\N	0
1126317	3847	1998-04-03	VYDAJ	VYBER	4560	35932	\N	\N	\N
1126318	3847	1998-06-19	VYDAJ	VYBER KARTOU	3700	64601	\N	\N	0
1126319	3847	1998-08-23	VYDAJ	VYBER KARTOU	3400	59393	\N	\N	0
1126320	3847	1998-04-08	VYDAJ	VYBER	4800	51372	\N	\N	\N
1126332	3847	1995-11-30	VYDAJ	VYBER	15	34036	SLUZBY	\N	\N
1126333	3847	1995-12-31	VYDAJ	VYBER	15	38065	SLUZBY	\N	\N
1126334	3847	1996-01-31	VYDAJ	VYBER	15	15879	SLUZBY	\N	\N
1126335	3847	1996-02-29	VYDAJ	VYBER	15	25928	SLUZBY	\N	\N
1126336	3847	1996-03-31	VYDAJ	VYBER	15	32307	SLUZBY	\N	\N
1126337	3847	1996-04-30	VYDAJ	VYBER	15	36805	SLUZBY	\N	\N
1126338	3847	1996-05-31	VYDAJ	VYBER	15	40320	SLUZBY	\N	\N
1126339	3847	1996-06-30	VYDAJ	VYBER	15	46941	SLUZBY	\N	\N
1126340	3847	1996-07-31	VYDAJ	VYBER	15	44288	SLUZBY	\N	\N
1126341	3847	1996-08-31	VYDAJ	VYBER	15	54554	SLUZBY	\N	\N
1126342	3847	1996-09-30	VYDAJ	VYBER	15	62154	SLUZBY	\N	\N
1126343	3847	1996-10-31	VYDAJ	VYBER	15	64366	SLUZBY	\N	\N
1126344	3847	1996-11-30	VYDAJ	VYBER	15	68695	SLUZBY	\N	\N
1126345	3847	1996-12-31	VYDAJ	VYBER	15	77937	SLUZBY	\N	\N
1126346	3847	1997-01-31	VYDAJ	VYBER	15	42410	SLUZBY	\N	\N
1126347	3847	1997-02-28	VYDAJ	VYBER	15	57484	SLUZBY	\N	\N
1126348	3847	1997-03-31	VYDAJ	VYBER	15	61282	SLUZBY	\N	\N
1126349	3847	1997-04-30	VYDAJ	VYBER	15	66099	SLUZBY	\N	\N
1126350	3847	1997-05-31	VYDAJ	VYBER	15	60606	SLUZBY	\N	\N
1126351	3847	1997-06-30	VYDAJ	VYBER	15	54390	SLUZBY	\N	\N
1126352	3847	1997-07-31	VYDAJ	VYBER	15	56870	SLUZBY	\N	\N
1126353	3847	1997-08-31	VYDAJ	VYBER	15	44557	SLUZBY	\N	\N
1126354	3847	1997-09-30	VYDAJ	VYBER	15	46034	SLUZBY	\N	\N
1126355	3847	1997-10-31	VYDAJ	VYBER	15	40814	SLUZBY	\N	\N
1126356	3847	1997-11-30	VYDAJ	VYBER	15	42675	SLUZBY	\N	\N
1126357	3847	1997-12-31	VYDAJ	VYBER	15	41958	SLUZBY	\N	\N
1126358	3847	1998-01-31	VYDAJ	VYBER	15	35213	SLUZBY	\N	\N
1126360	3847	1998-03-31	VYDAJ	VYBER	15	40492	SLUZBY	\N	\N
1126361	3847	1998-04-30	VYDAJ	VYBER	15	41461	SLUZBY	\N	\N
1126362	3847	1998-05-31	VYDAJ	VYBER	15	44321	SLUZBY	\N	\N
1126363	3847	1998-06-30	VYDAJ	VYBER	15	51042	SLUZBY	\N	\N
1126364	3847	1998-07-31	VYDAJ	VYBER	15	48936	SLUZBY	\N	\N
1126365	3847	1998-08-31	VYDAJ	VYBER	15	43316	SLUZBY	\N	\N
1126366	3847	1998-09-30	VYDAJ	VYBER	15	41275	SLUZBY	\N	\N
1126367	3847	1998-10-31	VYDAJ	VYBER	15	43429	SLUZBY	\N	\N
1126368	3847	1998-11-30	VYDAJ	VYBER	15	44489	SLUZBY	\N	\N
1126369	3847	1995-07-13	PRIJEM	VKLAD	1600	22947	\N	\N	\N
1126370	3847	1995-08-12	VYDAJ	VYBER	7300	35953	\N	\N	\N
1126371	3847	1995-09-11	VYDAJ	VYBER	14700	41630	\N	\N	\N
1126372	3847	1995-10-11	VYDAJ	VYBER	20300	41743	\N	\N	\N
1126373	3847	1995-11-10	VYDAJ	VYBER	16500	45664	\N	\N	\N
1126374	3847	1995-12-10	VYDAJ	VYBER	11300	44299	\N	\N	\N
1126375	3847	1996-01-09	VYDAJ	VYBER	8300	42325	\N	\N	\N
1126376	3847	1996-02-08	VYDAJ	VYBER	3900	32219	\N	\N	\N
1126377	3847	1996-03-09	VYDAJ	VYBER	5200	38568	\N	\N	\N
1126378	3847	1996-04-08	VYDAJ	VYBER	9500	43047	\N	\N	\N
1126379	3847	1996-05-08	VYDAJ	VYBER	10500	46545	\N	\N	\N
1126380	3847	1996-06-07	VYDAJ	VYBER	15500	53143	\N	\N	\N
1126381	3847	1996-07-07	VYDAJ	VYBER	16700	50481	\N	\N	\N
1126382	3847	1996-08-06	VYDAJ	VYBER	3800	40488	\N	\N	\N
1126383	3847	1996-09-05	VYDAJ	VYBER	5900	48654	\N	\N	\N
1126384	3847	1996-10-05	VYDAJ	VYBER	11900	50254	\N	\N	\N
1126385	3847	1996-11-04	VYDAJ	VYBER	9800	54566	\N	\N	\N
1126386	3847	1996-12-04	VYDAJ	VYBER	12800	53655	\N	\N	\N
1126387	3847	1997-01-03	VYDAJ	VYBER	16600	56177	\N	\N	\N
1126388	3847	1997-02-02	PRIJEM	VKLAD	1000	43410	\N	\N	\N
1126389	3847	1997-03-04	VYDAJ	VYBER	10300	47184	\N	\N	\N
1126390	3847	1997-04-03	VYDAJ	VYBER	9300	51982	\N	\N	\N
1126391	3847	1997-05-03	VYDAJ	VYBER	16800	49299	\N	\N	\N
1126392	3847	1997-06-02	VYDAJ	VYBER	14200	46406	\N	\N	\N
1126393	3847	1997-07-02	VYDAJ	VYBER	11600	42790	\N	\N	\N
1126394	3847	1997-08-01	VYDAJ	VYBER	12000	44870	\N	\N	\N
1126395	3847	1997-08-31	VYDAJ	VYBER	14400	44572	\N	\N	\N
1126396	3847	1997-09-30	VYDAJ	VYBER	11400	46048	\N	\N	\N
1126397	3847	1997-10-30	VYDAJ	VYBER	19300	40591	\N	\N	\N
1126398	3847	1997-11-29	VYDAJ	VYBER	12200	42471	\N	\N	\N
1126399	3847	1997-12-29	VYDAJ	VYBER	13900	41755	\N	\N	\N
1126400	3847	1998-01-28	VYDAJ	VYBER	4800	35035	\N	\N	\N
1126401	3847	1998-02-27	VYDAJ	VYBER	12300	36770	\N	\N	\N
1126402	3847	1998-03-29	VYDAJ	VYBER	10500	40306	\N	\N	\N
1126403	3847	1998-04-28	VYDAJ	VYBER KARTOU	3700	41289	\N	\N	0
1126404	3847	1998-05-28	VYDAJ	VYBER	11200	44118	\N	\N	\N
1126405	3847	1998-06-27	VYDAJ	VYBER	13800	50801	\N	\N	\N
1126406	3847	1998-07-27	VYDAJ	VYBER	16200	48699	\N	\N	\N
1126407	3847	1998-08-26	VYDAJ	VYBER	16300	43093	\N	\N	\N
1126408	3847	1998-09-25	VYDAJ	VYBER	16100	41073	\N	\N	\N
1126409	3847	1998-10-25	VYDAJ	VYBER	11900	43232	\N	\N	\N
1126410	3847	1998-11-24	VYDAJ	VYBER	13000	44286	\N	\N	\N
1126453	3848	1996-07-10	PRIJEM	VKLAD	200	200	\N	\N	\N
1126460	3848	1996-07-14	PRIJEM	VKLAD	10862	11062	\N	\N	\N
1126461	3848	1996-08-14	PRIJEM	VKLAD	10862	29951	\N	\N	\N
1126462	3848	1996-09-14	PRIJEM	VKLAD	10862	38105	\N	\N	\N
1126463	3848	1996-10-14	PRIJEM	VKLAD	10862	39311	\N	\N	\N
1126464	3848	1996-11-14	PRIJEM	VKLAD	10862	42734	\N	\N	\N
1126465	3848	1996-12-14	PRIJEM	VKLAD	16293	44744	\N	\N	\N
1126466	3848	1997-01-14	PRIJEM	VKLAD	10862	33971	\N	\N	\N
1126467	3848	1997-02-14	PRIJEM	VKLAD	10862	28967	\N	\N	\N
1126468	3848	1997-03-14	PRIJEM	VKLAD	10862	31061	\N	\N	\N
1126469	3848	1997-04-14	PRIJEM	VKLAD	10862	34083	\N	\N	\N
1126470	3848	1997-05-14	PRIJEM	VKLAD	10862	40726	\N	\N	\N
1126471	3848	1997-06-14	PRIJEM	VKLAD	16293	42557	\N	\N	\N
1126472	3848	1997-07-14	PRIJEM	VKLAD	10862	44322	\N	\N	\N
1126473	3848	1997-08-14	PRIJEM	VKLAD	10862	40340	\N	\N	\N
1126474	3848	1997-09-14	PRIJEM	VKLAD	10862	41208	\N	\N	\N
1126475	3848	1997-10-14	PRIJEM	VKLAD	10862	38253	\N	\N	\N
1126476	3848	1997-11-14	PRIJEM	VKLAD	10862	41810	\N	\N	\N
1126477	3848	1997-12-14	PRIJEM	VKLAD	16293	50506	\N	\N	\N
1126478	3848	1998-01-14	PRIJEM	VKLAD	10862	43913	\N	\N	\N
1126479	3848	1998-02-14	PRIJEM	VKLAD	10862	38337	\N	\N	\N
1126480	3848	1998-03-14	PRIJEM	VKLAD	10862	44295	\N	\N	\N
1126481	3848	1998-04-14	PRIJEM	VKLAD	10862	47106	\N	\N	\N
1126482	3848	1998-05-14	PRIJEM	VKLAD	10862	49893	\N	\N	\N
1126483	3848	1998-06-14	PRIJEM	VKLAD	16293	56961	\N	\N	\N
1126484	3848	1998-07-14	PRIJEM	VKLAD	10862	53262	\N	\N	\N
1126485	3848	1998-08-14	PRIJEM	VKLAD	10862	57462	\N	\N	\N
1126486	3848	1998-09-14	PRIJEM	VKLAD	10862	63302	\N	\N	\N
1126487	3848	1998-10-14	PRIJEM	VKLAD	10862	65864	\N	\N	\N
1126488	3848	1998-11-14	PRIJEM	VKLAD	10862	67837	\N	\N	\N
1126489	3848	1998-12-14	PRIJEM	VKLAD	16293	80551	\N	\N	\N
1126501	3848	1996-12-06	VYDAJ	PREVOD NA UCET	7241	35651	SIPO	YZ	42658120
1126502	3848	1997-01-06	VYDAJ	PREVOD NA UCET	7241	24789	SIPO	YZ	42658120
1126503	3848	1997-02-06	VYDAJ	PREVOD NA UCET	7241	18105	SIPO	YZ	42658120
1126504	3848	1997-03-06	VYDAJ	PREVOD NA UCET	7241	18099	SIPO	YZ	42658120
1126505	3848	1997-04-06	VYDAJ	PREVOD NA UCET	7241	23221	SIPO	YZ	42658120
1126506	3848	1997-05-06	VYDAJ	PREVOD NA UCET	7241	29864	SIPO	YZ	42658120
1126507	3848	1997-06-06	VYDAJ	PREVOD NA UCET	7241	27824	SIPO	YZ	42658120
1126508	3848	1997-07-06	VYDAJ	PREVOD NA UCET	7241	33460	SIPO	YZ	42658120
1126509	3848	1997-08-06	VYDAJ	PREVOD NA UCET	7241	35238	SIPO	YZ	42658120
1126510	3848	1997-09-06	VYDAJ	PREVOD NA UCET	7241	30346	SIPO	YZ	42658120
1126511	3848	1997-10-06	VYDAJ	PREVOD NA UCET	7241	29911	SIPO	YZ	42658120
1126512	3848	1997-11-06	VYDAJ	PREVOD NA UCET	7241	30948	SIPO	YZ	42658120
1126513	3848	1997-12-06	VYDAJ	PREVOD NA UCET	7241	34213	SIPO	YZ	42658120
1126514	3848	1998-01-06	VYDAJ	PREVOD NA UCET	7241	36651	SIPO	YZ	42658120
1126515	3848	1998-02-06	VYDAJ	PREVOD NA UCET	7241	27475	SIPO	YZ	42658120
1126516	3848	1998-03-06	VYDAJ	PREVOD NA UCET	7241	33433	SIPO	YZ	42658120
1126517	3848	1998-04-06	VYDAJ	PREVOD NA UCET	7241	36244	SIPO	YZ	42658120
1126518	3848	1998-05-06	VYDAJ	PREVOD NA UCET	7241	39031	SIPO	YZ	42658120
1126519	3848	1998-06-06	VYDAJ	PREVOD NA UCET	7241	40668	SIPO	YZ	42658120
1126520	3848	1998-07-06	VYDAJ	PREVOD NA UCET	7241	42400	SIPO	YZ	42658120
1126521	3848	1998-08-06	VYDAJ	PREVOD NA UCET	7241	46600	SIPO	YZ	42658120
1126522	3848	1998-09-06	VYDAJ	PREVOD NA UCET	7241	52440	SIPO	YZ	42658120
1126523	3848	1998-10-06	VYDAJ	PREVOD NA UCET	7241	55002	SIPO	YZ	42658120
1126524	3848	1998-11-06	VYDAJ	PREVOD NA UCET	7241	56975	SIPO	YZ	42658120
1126525	3848	1998-12-06	VYDAJ	PREVOD NA UCET	7241	64258	SIPO	YZ	42658120
1126530	3848	1997-01-17	VYDAJ	VYBER	3840	30131	\N	\N	\N
1126531	3848	1998-01-29	VYDAJ	VYBER	10080	23873	\N	\N	\N
1126538	3848	1997-01-25	VYDAJ	VYBER	840	28331	\N	\N	\N
1126539	3848	1997-01-10	VYDAJ	VYBER	1680	23109	\N	\N	\N
1126540	3848	1997-01-01	VYDAJ	VYBER	2040	38650	\N	\N	\N
1126541	3848	1997-01-05	VYDAJ	VYBER	2880	35770	\N	\N	\N
1126542	3848	1997-01-06	VYDAJ	VYBER	3240	32030	\N	\N	\N
1126543	3848	1997-01-20	VYDAJ	VYBER	960	29171	\N	\N	\N
1126544	3848	1998-01-17	VYDAJ	VYBER	3480	40433	\N	\N	\N
1126545	3848	1998-01-20	VYDAJ	VYBER	2520	37913	\N	\N	\N
1126546	3848	1998-01-22	VYDAJ	VYBER	2040	35873	\N	\N	\N
1126547	3848	1998-01-07	VYDAJ	VYBER	1200	35451	\N	\N	\N
1126548	3848	1998-01-12	VYDAJ	VYBER	2400	33051	\N	\N	\N
1126549	3848	1998-01-25	VYDAJ	VYBER	1920	33953	\N	\N	\N
1126553	3848	1996-12-16	VYDAJ	VYBER	4200	40544	\N	\N	\N
1126556	3848	1997-10-09	VYDAJ	VYBER	2520	27391	\N	\N	\N
1126557	3848	1997-03-05	VYDAJ	VYBER	3720	25340	\N	\N	\N
1126558	3848	1997-06-10	VYDAJ	VYBER	1560	26264	\N	\N	\N
1126559	3848	1997-08-09	VYDAJ	VYBER	5760	29478	\N	\N	\N
1126560	3848	1997-11-15	VYDAJ	VYBER	600	41210	\N	\N	\N
1126561	3848	1997-12-17	VYDAJ	VYBER	2880	47626	\N	\N	\N
1126562	3848	1997-04-03	VYDAJ	VYBER	4200	26962	\N	\N	\N
1126563	3848	1998-03-17	VYDAJ	VYBER	2160	42135	\N	\N	\N
1126564	3848	1998-05-17	VYDAJ	VYBER	1560	48333	\N	\N	\N
1126565	3848	1998-07-21	VYDAJ	VYBER	1320	51942	\N	\N	\N
1126566	3848	1998-06-25	VYDAJ	VYBER	3000	50841	\N	\N	\N
1126567	3848	1998-06-24	VYDAJ	VYBER	3120	53841	\N	\N	\N
1126579	3848	1996-11-30	VYDAJ	VYBER	15	42892	SLUZBY	\N	\N
1126580	3848	1996-12-31	VYDAJ	VYBER	15	40690	SLUZBY	\N	\N
1126581	3848	1997-01-31	VYDAJ	VYBER	15	28446	SLUZBY	\N	\N
1126582	3848	1997-02-28	VYDAJ	VYBER	15	29060	SLUZBY	\N	\N
1126583	3848	1997-03-31	VYDAJ	VYBER	15	31162	SLUZBY	\N	\N
1126584	3848	1997-04-30	VYDAJ	VYBER	15	34205	SLUZBY	\N	\N
1126585	3848	1997-05-31	VYDAJ	VYBER	15	40865	SLUZBY	\N	\N
1126586	3848	1997-06-30	VYDAJ	VYBER	15	42701	SLUZBY	\N	\N
1126587	3848	1997-07-31	VYDAJ	VYBER	15	44479	SLUZBY	\N	\N
1126588	3848	1997-08-31	VYDAJ	VYBER	15	40487	SLUZBY	\N	\N
1126589	3848	1997-09-30	VYDAJ	VYBER	15	41352	SLUZBY	\N	\N
1126590	3848	1997-10-31	VYDAJ	VYBER	15	38389	SLUZBY	\N	\N
1126591	3848	1997-11-30	VYDAJ	VYBER	15	41354	SLUZBY	\N	\N
1126592	3848	1997-12-31	VYDAJ	VYBER	15	47792	SLUZBY	\N	\N
1126593	3848	1998-01-31	VYDAJ	VYBER	15	34716	SLUZBY	\N	\N
1126594	3848	1998-02-28	VYDAJ	VYBER	15	38474	SLUZBY	\N	\N
1126595	3848	1998-03-31	VYDAJ	VYBER	15	42285	SLUZBY	\N	\N
1126596	3848	1998-04-30	VYDAJ	VYBER	15	47272	SLUZBY	\N	\N
1126597	3848	1998-05-31	VYDAJ	VYBER	15	48509	SLUZBY	\N	\N
1126598	3848	1998-06-30	VYDAJ	VYBER	15	49641	SLUZBY	\N	\N
1126599	3848	1998-07-31	VYDAJ	VYBER	15	53841	SLUZBY	\N	\N
1126600	3848	1998-08-31	VYDAJ	VYBER	15	59681	SLUZBY	\N	\N
1126601	3848	1998-09-30	VYDAJ	VYBER	15	62243	SLUZBY	\N	\N
1126602	3848	1998-10-31	VYDAJ	VYBER	15	64216	SLUZBY	\N	\N
1126603	3848	1998-11-30	VYDAJ	VYBER	15	71499	SLUZBY	\N	\N
1126604	3848	1996-08-09	PRIJEM	VKLAD	8000	19089	\N	\N	\N
1126605	3848	1996-09-08	VYDAJ	VYBER	2800	27243	\N	\N	\N
1126606	3848	1996-10-08	VYDAJ	VYBER	9800	28449	\N	\N	\N
1126607	3848	1996-11-07	VYDAJ	VYBER	7600	31872	\N	\N	\N
1126608	3848	1996-12-07	VYDAJ	VYBER	7200	28451	\N	\N	\N
1126609	3848	1997-01-06	VYDAJ	VYBER	500	35270	\N	\N	\N
1126610	3848	1997-02-05	VYDAJ	VYBER	3100	25346	\N	\N	\N
1126611	3848	1997-03-07	PRIJEM	VKLAD	2100	20199	\N	\N	\N
1126612	3848	1997-04-06	PRIJEM	VKLAD	3500	30462	\N	\N	\N
1126613	3848	1997-05-06	PRIJEM	VKLAD	2900	37105	\N	\N	\N
1126614	3848	1997-06-05	VYDAJ	VYBER	5800	35065	\N	\N	\N
1126615	3848	1997-07-05	VYDAJ	VYBER	2000	40701	\N	\N	\N
1126616	3848	1997-08-04	VYDAJ	VYBER	2000	42479	\N	\N	\N
1126617	3848	1997-09-03	VYDAJ	VYBER	2900	37587	\N	\N	\N
1126618	3848	1997-10-03	VYDAJ	VYBER	4200	37152	\N	\N	\N
1126619	3848	1997-11-02	VYDAJ	VYBER	200	38189	\N	\N	\N
1126620	3848	1997-12-02	PRIJEM	VKLAD	100	41454	\N	\N	\N
1126621	3848	1998-01-01	VYDAJ	VYBER	3900	43892	\N	\N	\N
1126622	3848	1998-01-31	PRIJEM	VKLAD	10700	34730	\N	\N	\N
1126623	3848	1998-03-02	PRIJEM	VKLAD	2200	40674	\N	\N	\N
1126624	3848	1998-04-01	PRIJEM	VKLAD	1200	43485	\N	\N	\N
1126625	3848	1998-05-01	VYDAJ	VYBER	1000	46272	\N	\N	\N
1126626	3848	1998-05-31	VYDAJ	VYBER	600	47909	\N	\N	\N
1126627	3848	1998-06-30	VYDAJ	VYBER	1400	49656	\N	\N	\N
1126628	3848	1998-07-30	PRIJEM	VKLAD	1700	53642	\N	\N	\N
1126629	3848	1998-08-29	PRIJEM	VKLAD	2000	59462	\N	\N	\N
1126630	3848	1998-09-28	VYDAJ	VYBER	1300	62002	\N	\N	\N
1126631	3848	1998-10-28	VYDAJ	VYBER	1900	63964	\N	\N	\N
1126632	3848	1998-11-27	PRIJEM	VKLAD	3400	71237	\N	\N	\N
1126663	3849	1994-10-21	PRIJEM	VKLAD	900	900	\N	\N	\N
1126674	3849	1994-11-12	PRIJEM	VKLAD	16850	17750	\N	\N	\N
1126675	3849	1994-12-12	PRIJEM	VKLAD	25275	47359	\N	\N	\N
1126676	3849	1995-01-12	PRIJEM	VKLAD	16850	53524	\N	\N	\N
1126677	3849	1995-02-12	PRIJEM	VKLAD	16850	53927	\N	\N	\N
1126678	3849	1995-03-12	PRIJEM	VKLAD	16850	53129	\N	\N	\N
1126679	3849	1995-04-12	PRIJEM	VKLAD	16850	51072	\N	\N	\N
1126680	3849	1995-05-12	PRIJEM	VKLAD	16850	47127	\N	\N	\N
1126681	3849	1995-06-12	PRIJEM	VKLAD	25275	50799	\N	\N	\N
1126682	3849	1995-07-12	PRIJEM	VKLAD	16850	42974	\N	\N	\N
1126683	3849	1995-08-12	PRIJEM	VKLAD	16850	42699	\N	\N	\N
1126684	3849	1995-09-12	PRIJEM	VKLAD	16850	46329	\N	\N	\N
1126685	3849	1995-10-12	PRIJEM	VKLAD	16850	37674	\N	\N	\N
1126686	3849	1995-11-12	PRIJEM	VKLAD	16850	42384	\N	\N	\N
1126687	3849	1995-12-12	PRIJEM	VKLAD	25275	47228	\N	\N	\N
1126688	3849	1996-01-12	PRIJEM	VKLAD	16850	36793	\N	\N	\N
1126689	3849	1996-02-12	PRIJEM	VKLAD	16850	32781	\N	\N	\N
1126690	3849	1996-03-12	PRIJEM	VKLAD	16850	39171	\N	\N	\N
1126691	3849	1996-04-12	PRIJEM	VKLAD	16850	44687	\N	\N	\N
1126692	3849	1996-05-12	PRIJEM	VKLAD	16850	42606	\N	\N	\N
1126693	3849	1996-06-12	PRIJEM	VKLAD	25275	55458	\N	\N	\N
1126694	3849	1996-07-12	PRIJEM	VKLAD	16850	34178	\N	\N	\N
1126695	3849	1996-08-12	PRIJEM	VKLAD	16850	41056	\N	\N	\N
1126696	3849	1996-09-12	PRIJEM	VKLAD	16850	44596	\N	\N	\N
1126697	3849	1996-10-12	PRIJEM	VKLAD	16850	49361	\N	\N	\N
1126698	3849	1996-11-12	PRIJEM	VKLAD	16850	54744	\N	\N	\N
1126699	3849	1996-12-12	PRIJEM	VKLAD	25275	63872	\N	\N	\N
1126700	3849	1997-01-12	PRIJEM	VKLAD	16850	50663	\N	\N	\N
1126701	3849	1997-02-12	PRIJEM	VKLAD	16850	47203	\N	\N	\N
1126702	3849	1997-03-12	PRIJEM	VKLAD	16850	50870	\N	\N	\N
1126703	3849	1997-04-12	PRIJEM	VKLAD	16850	53059	\N	\N	\N
1126704	3849	1997-05-12	PRIJEM	VKLAD	16850	55456	\N	\N	\N
1126705	3849	1997-06-12	PRIJEM	VKLAD	25275	64269	\N	\N	\N
1126706	3849	1997-07-12	PRIJEM	VKLAD	16850	61368	\N	\N	\N
1126707	3849	1997-08-12	PRIJEM	VKLAD	16850	59498	\N	\N	\N
1126708	3849	1997-09-12	PRIJEM	VKLAD	16850	61821	\N	\N	\N
1126709	3849	1997-10-12	PRIJEM	VKLAD	16850	61450	\N	\N	\N
1126710	3849	1997-11-12	PRIJEM	VKLAD	16850	64580	\N	\N	\N
1126711	3849	1997-12-12	PRIJEM	VKLAD	25275	74825	\N	\N	\N
1126712	3849	1998-01-12	PRIJEM	VKLAD	16850	67911	\N	\N	\N
1126713	3849	1998-02-12	PRIJEM	VKLAD	16850	52073	\N	\N	\N
1126714	3849	1998-03-12	PRIJEM	VKLAD	16850	63760	\N	\N	\N
1126715	3849	1998-04-12	PRIJEM	VKLAD	16850	69690	\N	\N	\N
1126716	3849	1998-05-12	PRIJEM	VKLAD	16850	72519	\N	\N	\N
1126717	3849	1998-06-12	PRIJEM	VKLAD	25275	82614	\N	\N	\N
1126718	3849	1998-07-12	PRIJEM	VKLAD	16850	69470	\N	\N	\N
1126719	3849	1998-08-12	PRIJEM	VKLAD	16850	69678	\N	\N	\N
1126720	3849	1998-09-12	PRIJEM	VKLAD	16850	74137	\N	\N	\N
1126721	3849	1998-10-12	PRIJEM	VKLAD	16850	70087	\N	\N	\N
1126722	3849	1998-11-12	PRIJEM	VKLAD	16850	66281	\N	\N	\N
1126723	3849	1998-12-12	PRIJEM	VKLAD	25275	78049	\N	\N	\N
1126739	3849	1995-04-06	VYDAJ	PREVOD NA UCET	4447	34222	SIPO	IJ	72727924
1126740	3849	1995-05-06	VYDAJ	PREVOD NA UCET	4447	30277	SIPO	IJ	72727924
1126741	3849	1995-06-06	VYDAJ	PREVOD NA UCET	4447	31924	SIPO	IJ	72727924
1126742	3849	1995-07-06	VYDAJ	PREVOD NA UCET	4447	26124	SIPO	IJ	72727924
1126743	3849	1995-08-06	VYDAJ	PREVOD NA UCET	4447	25849	SIPO	IJ	72727924
1126744	3849	1995-09-06	VYDAJ	PREVOD NA UCET	4447	29479	SIPO	IJ	72727924
1126745	3849	1995-10-06	VYDAJ	PREVOD NA UCET	4447	20824	SIPO	IJ	72727924
1126746	3849	1995-11-06	VYDAJ	PREVOD NA UCET	4447	25534	SIPO	IJ	72727924
1126747	3849	1995-12-06	VYDAJ	PREVOD NA UCET	4447	21953	SIPO	IJ	72727924
1126748	3849	1996-01-06	VYDAJ	PREVOD NA UCET	4447	25823	SIPO	IJ	72727924
1126749	3849	1996-02-06	VYDAJ	PREVOD NA UCET	4447	15931	SIPO	IJ	72727924
1126750	3849	1996-03-06	VYDAJ	PREVOD NA UCET	4447	22321	SIPO	IJ	72727924
1126751	3849	1996-04-06	VYDAJ	PREVOD NA UCET	4447	27837	SIPO	IJ	72727924
1126752	3849	1996-05-06	VYDAJ	PREVOD NA UCET	4447	25756	SIPO	IJ	72727924
1126753	3849	1996-06-06	VYDAJ	PREVOD NA UCET	4447	30183	SIPO	IJ	72727924
1126754	3849	1996-07-06	VYDAJ	PREVOD NA UCET	4447	17328	SIPO	IJ	72727924
1126755	3849	1996-08-06	VYDAJ	PREVOD NA UCET	4447	24826	SIPO	IJ	72727924
1126756	3849	1996-09-06	VYDAJ	PREVOD NA UCET	4447	36746	SIPO	IJ	72727924
1126757	3849	1996-10-06	VYDAJ	PREVOD NA UCET	4447	40311	SIPO	IJ	72727924
1126758	3849	1996-11-06	VYDAJ	PREVOD NA UCET	4447	45094	SIPO	IJ	72727924
1126759	3849	1996-12-06	VYDAJ	PREVOD NA UCET	4447	50497	SIPO	IJ	72727924
1126760	3849	1997-01-06	VYDAJ	PREVOD NA UCET	4447	50613	SIPO	IJ	72727924
1126761	3849	1997-02-06	VYDAJ	PREVOD NA UCET	4447	37753	SIPO	IJ	72727924
1126762	3849	1997-03-06	VYDAJ	PREVOD NA UCET	4447	42920	SIPO	IJ	72727924
1126763	3849	1997-04-06	VYDAJ	PREVOD NA UCET	4447	46609	SIPO	IJ	72727924
1126764	3849	1997-05-06	VYDAJ	PREVOD NA UCET	4447	48806	SIPO	IJ	72727924
1126765	3849	1997-06-06	VYDAJ	PREVOD NA UCET	4447	49294	SIPO	IJ	72727924
1126766	3849	1997-07-06	VYDAJ	PREVOD NA UCET	4447	54118	SIPO	IJ	72727924
1126767	3849	1997-08-06	VYDAJ	PREVOD NA UCET	4447	42648	SIPO	IJ	72727924
1126768	3849	1997-09-06	VYDAJ	PREVOD NA UCET	4447	44971	SIPO	IJ	72727924
1126769	3849	1997-10-06	VYDAJ	PREVOD NA UCET	4447	44600	SIPO	IJ	72727924
1126770	3849	1997-11-06	VYDAJ	PREVOD NA UCET	4447	47730	SIPO	IJ	72727924
1126771	3849	1997-12-06	VYDAJ	PREVOD NA UCET	4447	49550	SIPO	IJ	72727924
1126772	3849	1998-01-06	VYDAJ	PREVOD NA UCET	4447	52621	SIPO	IJ	72727924
1126773	3849	1998-02-06	VYDAJ	PREVOD NA UCET	4447	35223	SIPO	IJ	72727924
1126774	3849	1998-03-06	VYDAJ	PREVOD NA UCET	4447	46910	SIPO	IJ	72727924
1126775	3849	1998-04-06	VYDAJ	PREVOD NA UCET	4447	52840	SIPO	IJ	72727924
1126776	3849	1998-05-06	VYDAJ	PREVOD NA UCET	4447	55669	SIPO	IJ	72727924
1126777	3849	1998-06-06	VYDAJ	PREVOD NA UCET	4447	57339	SIPO	IJ	72727924
1126778	3849	1998-07-06	VYDAJ	PREVOD NA UCET	4447	52620	SIPO	IJ	72727924
1126779	3849	1998-08-06	VYDAJ	PREVOD NA UCET	4447	52828	SIPO	IJ	72727924
1126780	3849	1998-09-06	VYDAJ	PREVOD NA UCET	4447	57287	SIPO	IJ	72727924
1126781	3849	1998-10-06	VYDAJ	PREVOD NA UCET	4447	53237	SIPO	IJ	72727924
1126782	3849	1998-11-06	VYDAJ	PREVOD NA UCET	4447	55311	SIPO	IJ	72727924
1126783	3849	1998-12-06	VYDAJ	PREVOD NA UCET	4447	52774	SIPO	IJ	72727924
1126785	3849	1995-06-09	VYDAJ	VYBER	6400	25524	\N	\N	\N
1126786	3849	1996-06-21	VYDAJ	VYBER	17600	21658	\N	\N	\N
1126787	3849	1997-06-19	VYDAJ	VYBER	5920	58349	\N	\N	\N
1126788	3849	1998-06-18	VYDAJ	VYBER	25600	57014	\N	\N	\N
1126791	3849	1996-01-17	VYDAJ	VYBER	7520	20293	\N	\N	\N
1126792	3849	1997-01-05	VYDAJ	VYBER	3360	55060	\N	\N	\N
1126793	3849	1998-01-19	VYDAJ	VYBER	11200	55031	\N	\N	\N
1126795	3849	1995-12-14	VYDAJ	VYBER	4320	42908	\N	\N	\N
1126796	3849	1996-12-21	VYDAJ	VYBER	1600	60472	\N	\N	\N
1126797	3849	1997-12-01	VYDAJ	VYBER	1920	62897	\N	\N	\N
1126798	3849	1998-12-29	VYDAJ	VYBER	3680	74369	\N	\N	\N
1126811	3849	1996-01-12	VYDAJ	VYBER	2880	33913	\N	\N	\N
1126812	3849	1996-01-01	VYDAJ	VYBER	600	33030	\N	\N	\N
1126813	3849	1996-01-02	VYDAJ	VYBER	2760	30270	\N	\N	\N
1126814	3849	1996-01-06	VYDAJ	VYBER	1920	23903	\N	\N	\N
1126815	3849	1996-01-09	VYDAJ	VYBER	2400	19943	\N	\N	\N
1126816	3849	1996-01-06	VYDAJ	VYBER	1560	22343	\N	\N	\N
1126817	3849	1997-01-20	VYDAJ	VYBER	840	45503	\N	\N	\N
1126818	3849	1997-01-17	VYDAJ	VYBER	840	46343	\N	\N	\N
1126819	3849	1997-01-03	VYDAJ	VYBER	1680	58420	\N	\N	\N
1126820	3849	1997-01-21	VYDAJ	VYBER	1440	44063	\N	\N	\N
1126821	3849	1997-01-16	VYDAJ	VYBER	3480	47183	\N	\N	\N
1126822	3849	1997-01-07	VYDAJ	VYBER	1800	48813	\N	\N	\N
1126823	3849	1998-01-28	VYDAJ	VYBER	3000	52031	\N	\N	\N
1126824	3849	1998-01-19	VYDAJ	VYBER	600	66231	\N	\N	\N
1126825	3849	1998-01-10	VYDAJ	VYBER	1560	51061	\N	\N	\N
1126826	3849	1998-01-30	VYDAJ	VYBER	720	51311	\N	\N	\N
1126827	3849	1998-01-15	VYDAJ	VYBER	1080	66831	\N	\N	\N
1126828	3849	1998-01-01	VYDAJ	VYBER	2520	67768	\N	\N	\N
1126831	3849	1995-06-21	VYDAJ	VYBER	5040	30439	\N	\N	\N
1126832	3849	1995-10-02	VYDAJ	VYBER	3840	25271	\N	\N	\N
1126833	3849	1995-12-06	VYDAJ	VYBER	4200	26400	\N	\N	\N
1126834	3849	1995-09-14	VYDAJ	VYBER	4440	41889	\N	\N	\N
1126835	3849	1995-06-13	VYDAJ	VYBER	5520	45279	\N	\N	\N
1126836	3849	1996-12-21	VYDAJ	VYBER	1800	62072	\N	\N	\N
1126837	3849	1996-12-30	VYDAJ	VYBER	600	59872	\N	\N	\N
1126838	3849	1996-08-09	VYDAJ	VYBER	1320	23506	\N	\N	\N
1126839	3849	1997-12-29	VYDAJ	VYBER	4800	70025	\N	\N	\N
1126840	3849	1997-01-23	VYDAJ	VYBER	2040	42023	\N	\N	\N
1126841	3849	1997-06-02	VYDAJ	VYBER	1920	53741	\N	\N	\N
1126842	3849	1998-09-22	VYDAJ	VYBER	4920	69217	\N	\N	\N
1126843	3849	1998-11-08	VYDAJ	VYBER	5880	49431	\N	\N	\N
1126844	3849	1998-02-05	VYDAJ	VYBER	3600	44350	\N	\N	\N
1126845	3849	1998-02-05	VYDAJ	VYBER	4680	39670	\N	\N	\N
1126846	3849	1998-07-19	VYDAJ	VYBER	3240	66230	\N	\N	\N
1126847	3849	1998-04-18	VYDAJ	VYBER	5520	64170	\N	\N	\N
1126863	3849	1995-03-31	VYDAJ	VYBER	15	38669	SLUZBY	\N	\N
1126864	3849	1995-04-30	VYDAJ	VYBER	15	34724	SLUZBY	\N	\N
1126865	3849	1995-05-31	VYDAJ	VYBER	15	36371	SLUZBY	\N	\N
1126866	3849	1995-06-30	VYDAJ	VYBER	15	30571	SLUZBY	\N	\N
1126867	3849	1995-07-31	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
1126868	3849	1995-08-31	VYDAJ	VYBER	15	33926	SLUZBY	\N	\N
1126869	3849	1995-09-30	VYDAJ	VYBER	15	29111	SLUZBY	\N	\N
1126870	3849	1995-10-31	VYDAJ	VYBER	15	29981	SLUZBY	\N	\N
1126871	3849	1995-11-30	VYDAJ	VYBER	15	30600	SLUZBY	\N	\N
1126872	3849	1995-12-31	VYDAJ	VYBER	15	33630	SLUZBY	\N	\N
1126873	3849	1996-01-31	VYDAJ	VYBER	15	20378	SLUZBY	\N	\N
1126874	3849	1996-02-29	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
1126875	3849	1996-03-31	VYDAJ	VYBER	15	32284	SLUZBY	\N	\N
1126876	3849	1996-04-30	VYDAJ	VYBER	15	30203	SLUZBY	\N	\N
1126877	3849	1996-05-31	VYDAJ	VYBER	15	34630	SLUZBY	\N	\N
1126878	3849	1996-06-30	VYDAJ	VYBER	15	21775	SLUZBY	\N	\N
1126879	3849	1996-07-31	VYDAJ	VYBER	15	29273	SLUZBY	\N	\N
1126880	3849	1996-08-31	VYDAJ	VYBER	15	41193	SLUZBY	\N	\N
1126881	3849	1996-09-30	VYDAJ	VYBER	15	44758	SLUZBY	\N	\N
1126882	3849	1996-10-31	VYDAJ	VYBER	15	49541	SLUZBY	\N	\N
1126883	3849	1996-11-30	VYDAJ	VYBER	15	54944	SLUZBY	\N	\N
1126884	3849	1996-12-31	VYDAJ	VYBER	15	60100	SLUZBY	\N	\N
1126885	3849	1997-01-31	VYDAJ	VYBER	15	42200	SLUZBY	\N	\N
1126886	3849	1997-02-28	VYDAJ	VYBER	15	47367	SLUZBY	\N	\N
1126887	3849	1997-03-31	VYDAJ	VYBER	15	51056	SLUZBY	\N	\N
1126888	3849	1997-04-30	VYDAJ	VYBER	15	53253	SLUZBY	\N	\N
1126889	3849	1997-05-31	VYDAJ	VYBER	15	55661	SLUZBY	\N	\N
1126890	3849	1997-06-30	VYDAJ	VYBER	15	58565	SLUZBY	\N	\N
1126891	3849	1997-07-31	VYDAJ	VYBER	15	61595	SLUZBY	\N	\N
1126892	3849	1997-08-31	VYDAJ	VYBER	15	59718	SLUZBY	\N	\N
1126893	3849	1997-09-30	VYDAJ	VYBER	15	62047	SLUZBY	\N	\N
1126894	3849	1997-10-31	VYDAJ	VYBER	15	61677	SLUZBY	\N	\N
1126895	3849	1997-11-30	VYDAJ	VYBER	15	64817	SLUZBY	\N	\N
1126896	3849	1997-12-31	VYDAJ	VYBER	15	70288	SLUZBY	\N	\N
1126897	3849	1998-01-31	VYDAJ	VYBER	15	51550	SLUZBY	\N	\N
1126898	3849	1998-02-28	VYDAJ	VYBER	15	52257	SLUZBY	\N	\N
1126899	3849	1998-03-31	VYDAJ	VYBER	15	63987	SLUZBY	\N	\N
1126900	3849	1998-04-30	VYDAJ	VYBER	15	64416	SLUZBY	\N	\N
1126901	3849	1998-05-31	VYDAJ	VYBER	15	72786	SLUZBY	\N	\N
1126902	3849	1998-06-30	VYDAJ	VYBER	15	57267	SLUZBY	\N	\N
1126903	3849	1998-07-31	VYDAJ	VYBER	15	66475	SLUZBY	\N	\N
1126904	3849	1998-08-31	VYDAJ	VYBER	15	61734	SLUZBY	\N	\N
1126905	3849	1998-09-30	VYDAJ	VYBER	15	69484	SLUZBY	\N	\N
1126906	3849	1998-10-31	VYDAJ	VYBER	15	59758	SLUZBY	\N	\N
1126907	3849	1998-11-30	VYDAJ	VYBER	15	57221	SLUZBY	\N	\N
1126908	3849	1994-11-20	PRIJEM	VKLAD	4300	22050	\N	\N	\N
1126909	3849	1994-12-20	VYDAJ	VYBER	10800	36559	\N	\N	\N
1126910	3849	1995-01-19	VYDAJ	VYBER	16600	36924	\N	\N	\N
1126911	3849	1995-02-18	VYDAJ	VYBER	17800	36127	\N	\N	\N
1126912	3849	1995-03-20	VYDAJ	VYBER	14600	38529	\N	\N	\N
1126913	3849	1995-04-19	VYDAJ	VYBER	16500	34572	\N	\N	\N
1126914	3849	1995-05-19	VYDAJ	VYBER	10900	36227	\N	\N	\N
1126915	3849	1995-06-18	VYDAJ	VYBER	9800	35479	\N	\N	\N
1126916	3849	1995-07-18	VYDAJ	VYBER	12800	30174	\N	\N	\N
1126917	3849	1995-08-17	VYDAJ	VYBER	8900	33799	\N	\N	\N
1126918	3849	1995-09-16	VYDAJ	VYBER	12900	28989	\N	\N	\N
1126919	3849	1995-10-16	VYDAJ	VYBER	7800	29874	\N	\N	\N
1126920	3849	1995-11-15	VYDAJ	VYBER	11900	30484	\N	\N	\N
1126921	3849	1995-12-15	VYDAJ	VYBER	9400	33508	\N	\N	\N
1126922	3849	1996-01-14	VYDAJ	VYBER	6100	27813	\N	\N	\N
1126923	3849	1996-02-13	VYDAJ	VYBER	6100	26681	\N	\N	\N
1126924	3849	1996-03-14	VYDAJ	VYBER	7000	32171	\N	\N	\N
1126925	3849	1996-04-13	VYDAJ	VYBER	14600	30087	\N	\N	\N
1126926	3849	1996-05-13	VYDAJ	VYBER	8100	34506	\N	\N	\N
1126927	3849	1996-06-12	VYDAJ	VYBER	16200	39258	\N	\N	\N
1126928	3849	1996-07-12	VYDAJ	VYBER	5000	29178	\N	\N	\N
1126929	3849	1996-08-11	PRIJEM	VKLAD	700	24206	\N	\N	\N
1126930	3849	1996-09-10	VYDAJ	VYBER	9000	27746	\N	\N	\N
1126931	3849	1996-10-10	VYDAJ	VYBER	7800	32511	\N	\N	\N
1126932	3849	1996-11-09	VYDAJ	VYBER	7200	37894	\N	\N	\N
1126933	3849	1996-12-09	VYDAJ	VYBER	11900	38597	\N	\N	\N
1126934	3849	1997-01-08	VYDAJ	VYBER	15000	33813	\N	\N	\N
1126935	3849	1997-02-07	VYDAJ	VYBER	7400	30353	\N	\N	\N
1126936	3849	1997-03-09	VYDAJ	VYBER	8900	34020	\N	\N	\N
1126937	3849	1997-04-08	VYDAJ	VYBER	10400	36209	\N	\N	\N
1126938	3849	1997-05-08	VYDAJ	VYBER	10200	38606	\N	\N	\N
1126939	3849	1997-06-07	VYDAJ	VYBER	10300	38994	\N	\N	\N
1126940	3849	1997-07-07	VYDAJ	VYBER	9600	44518	\N	\N	\N
1126941	3849	1997-08-06	VYDAJ	VYBER	14500	47095	\N	\N	\N
1126942	3849	1997-09-05	VYDAJ	VYBER	10300	49418	\N	\N	\N
1126943	3849	1997-10-05	VYDAJ	VYBER	13000	49047	\N	\N	\N
1126944	3849	1997-11-04	VYDAJ	VYBER	9500	52177	\N	\N	\N
1126945	3849	1997-12-04	VYDAJ	VYBER	8900	53997	\N	\N	\N
1126946	3849	1998-01-03	VYDAJ	VYBER	10700	57068	\N	\N	\N
1126947	3849	1998-02-02	VYDAJ	VYBER	3600	47950	\N	\N	\N
1126948	3849	1998-03-04	VYDAJ	VYBER	900	51357	\N	\N	\N
1126949	3849	1998-04-03	VYDAJ	VYBER	6700	57287	\N	\N	\N
1126950	3849	1998-05-03	VYDAJ	VYBER	4300	60116	\N	\N	\N
1126951	3849	1998-06-02	VYDAJ	VYBER	11000	61786	\N	\N	\N
1126952	3849	1998-07-02	VYDAJ	VYBER	200	57067	\N	\N	\N
1126953	3849	1998-08-01	VYDAJ	VYBER	9200	57275	\N	\N	\N
1126954	3849	1998-08-31	VYDAJ	VYBER	8200	61749	\N	\N	\N
1126955	3849	1998-09-30	VYDAJ	VYBER	11800	57684	\N	\N	\N
1126956	3849	1998-10-30	VYDAJ	VYBER	10600	59487	\N	\N	\N
1126957	3849	1998-11-29	VYDAJ	VYBER	9300	56981	\N	\N	\N
1127008	3850	1993-08-09	PRIJEM	VKLAD	900	900	\N	\N	\N
1127016	3850	1993-08-14	PRIJEM	VKLAD	20210	21110	\N	\N	\N
1127017	3850	1993-09-14	PRIJEM	VKLAD	20210	44471	\N	\N	\N
1127018	3850	1993-10-14	PRIJEM	VKLAD	20210	57024	\N	\N	\N
1127019	3850	1993-11-14	PRIJEM	VKLAD	20210	58850	\N	\N	\N
1127020	3850	1993-12-14	PRIJEM	VKLAD	30315	73107	\N	\N	\N
1127021	3850	1994-01-14	PRIJEM	VKLAD	20210	56460	\N	\N	\N
1127022	3850	1994-02-14	PRIJEM	VKLAD	20210	44295	\N	\N	\N
1127023	3850	1994-03-14	PRIJEM	VKLAD	20210	48569	\N	\N	\N
1127024	3850	1994-04-14	PRIJEM	VKLAD	20210	51789	\N	\N	\N
1127025	3850	1994-05-14	PRIJEM	VKLAD	20210	51123	\N	\N	\N
1127026	3850	1994-06-14	PRIJEM	VKLAD	30315	49603	\N	\N	\N
1127027	3850	1994-07-14	PRIJEM	VKLAD	20210	49216	\N	\N	\N
1127028	3850	1994-08-14	PRIJEM	VKLAD	20210	47122	\N	\N	\N
1127029	3850	1994-09-14	PRIJEM	VKLAD	20210	47845	\N	\N	\N
1127030	3850	1994-10-14	PRIJEM	VKLAD	20210	52064	\N	\N	\N
1127031	3850	1994-11-14	PRIJEM	VKLAD	20210	53399	\N	\N	\N
1127032	3850	1994-12-14	PRIJEM	VKLAD	30315	59186	\N	\N	\N
1127033	3850	1995-01-14	PRIJEM	VKLAD	20210	45669	\N	\N	\N
1127034	3850	1995-02-14	PRIJEM	VKLAD	20210	40686	\N	\N	\N
1127035	3850	1995-03-14	PRIJEM	VKLAD	20210	45064	\N	\N	\N
1127036	3850	1995-04-14	PRIJEM	VKLAD	20210	50369	\N	\N	\N
1127037	3850	1995-05-14	PRIJEM	VKLAD	20210	51395	\N	\N	\N
1127038	3850	1995-06-14	PRIJEM	VKLAD	30315	62332	\N	\N	\N
1127039	3850	1995-07-14	PRIJEM	VKLAD	20210	59782	\N	\N	\N
1127040	3850	1995-08-14	PRIJEM	VKLAD	20210	56269	\N	\N	\N
1127041	3850	1995-09-14	PRIJEM	VKLAD	20210	56988	\N	\N	\N
1127042	3850	1995-10-14	PRIJEM	VKLAD	20210	57530	\N	\N	\N
1127043	3850	1995-11-14	PRIJEM	VKLAD	20210	57873	\N	\N	\N
1127044	3850	1995-12-14	PRIJEM	VKLAD	30315	66681	\N	\N	\N
1127045	3850	1996-01-14	PRIJEM	VKLAD	20210	48908	\N	\N	\N
1127046	3850	1996-02-14	PRIJEM	VKLAD	20210	48430	\N	\N	\N
1127047	3850	1996-03-14	PRIJEM	VKLAD	20210	52553	\N	\N	\N
1127048	3850	1996-04-14	PRIJEM	VKLAD	20210	55874	\N	\N	\N
1127049	3850	1996-05-14	PRIJEM	VKLAD	20210	59709	\N	\N	\N
1127050	3850	1996-06-14	PRIJEM	VKLAD	30315	65878	\N	\N	\N
1127051	3850	1996-07-14	PRIJEM	VKLAD	20210	60364	\N	\N	\N
1127052	3850	1996-08-14	PRIJEM	VKLAD	20210	63215	\N	\N	\N
1127053	3850	1996-09-14	PRIJEM	VKLAD	20210	63572	\N	\N	\N
1127054	3850	1996-10-14	PRIJEM	VKLAD	20210	65832	\N	\N	\N
1127055	3850	1996-11-14	PRIJEM	VKLAD	20210	67400	\N	\N	\N
1127056	3850	1996-12-14	PRIJEM	VKLAD	30315	66910	\N	\N	\N
1127057	3850	1997-01-14	PRIJEM	VKLAD	20210	51448	\N	\N	\N
1127058	3850	1997-02-14	PRIJEM	VKLAD	20210	56025	\N	\N	\N
1127059	3850	1997-03-14	PRIJEM	VKLAD	20210	59275	\N	\N	\N
1127060	3850	1997-04-14	PRIJEM	VKLAD	20210	61718	\N	\N	\N
1127061	3850	1997-05-14	PRIJEM	VKLAD	20210	63487	\N	\N	\N
1127062	3850	1997-06-14	PRIJEM	VKLAD	30315	56907	\N	\N	\N
1127063	3850	1997-07-14	PRIJEM	VKLAD	20210	63238	\N	\N	\N
1127064	3850	1997-08-14	PRIJEM	VKLAD	20210	63788	\N	\N	\N
1127065	3850	1997-09-14	PRIJEM	VKLAD	20210	61933	\N	\N	\N
1127066	3850	1997-10-14	PRIJEM	VKLAD	20210	62374	\N	\N	\N
1127067	3850	1997-11-14	PRIJEM	VKLAD	20210	64319	\N	\N	\N
1127068	3850	1997-12-14	PRIJEM	VKLAD	30315	65944	\N	\N	\N
1127069	3850	1998-01-14	PRIJEM	VKLAD	20210	51074	\N	\N	\N
1127070	3850	1998-02-14	PRIJEM	VKLAD	20210	46516	\N	\N	\N
1127071	3850	1998-03-14	PRIJEM	VKLAD	20210	49487	\N	\N	\N
1127072	3850	1998-04-14	PRIJEM	VKLAD	20210	59199	\N	\N	\N
1127073	3850	1998-05-14	PRIJEM	VKLAD	20210	63732	\N	\N	\N
1127074	3850	1998-06-14	PRIJEM	VKLAD	30315	50727	\N	\N	\N
1127075	3850	1998-07-14	PRIJEM	VKLAD	20210	62444	\N	\N	\N
1127076	3850	1998-08-14	PRIJEM	VKLAD	20210	64562	\N	\N	\N
1127077	3850	1998-09-14	PRIJEM	VKLAD	20210	75124	\N	\N	\N
1127078	3850	1998-10-14	PRIJEM	VKLAD	20210	82040	\N	\N	\N
1127079	3850	1998-11-14	PRIJEM	VKLAD	20210	81298	\N	\N	\N
1127080	3850	1998-12-14	PRIJEM	VKLAD	30315	90966	\N	\N	\N
1127093	3850	1994-01-07	VYDAJ	PREVOD NA UCET	2037	46410	SIPO	IJ	3844541
1127094	3850	1994-02-07	VYDAJ	PREVOD NA UCET	2037	29205	SIPO	IJ	3844541
1127095	3850	1994-03-07	VYDAJ	PREVOD NA UCET	2037	33479	SIPO	IJ	3844541
1127096	3850	1994-04-07	VYDAJ	PREVOD NA UCET	2037	36699	SIPO	IJ	3844541
1127097	3850	1994-05-07	VYDAJ	PREVOD NA UCET	2037	36033	SIPO	IJ	3844541
1127098	3850	1994-06-07	VYDAJ	PREVOD NA UCET	2037	24408	SIPO	IJ	3844541
1127099	3850	1994-07-07	VYDAJ	PREVOD NA UCET	2037	34126	SIPO	IJ	3844541
1127100	3850	1994-08-07	VYDAJ	PREVOD NA UCET	2037	35152	SIPO	IJ	3844541
1127101	3850	1994-09-07	VYDAJ	PREVOD NA UCET	2037	32755	SIPO	IJ	3844541
1127102	3850	1994-10-07	VYDAJ	PREVOD NA UCET	2037	36974	SIPO	IJ	3844541
1127103	3850	1994-11-07	VYDAJ	PREVOD NA UCET	2037	38309	SIPO	IJ	3844541
1127104	3850	1994-12-07	VYDAJ	PREVOD NA UCET	2037	33991	SIPO	IJ	3844541
1127105	3850	1995-01-07	VYDAJ	PREVOD NA UCET	2037	38739	SIPO	IJ	3844541
1127106	3850	1995-02-07	VYDAJ	PREVOD NA UCET	2037	25596	SIPO	IJ	3844541
1127107	3850	1995-03-07	VYDAJ	PREVOD NA UCET	2037	29974	SIPO	IJ	3844541
1127108	3850	1995-04-07	VYDAJ	PREVOD NA UCET	2037	35279	SIPO	IJ	3844541
1127109	3850	1995-05-07	VYDAJ	PREVOD NA UCET	2037	36305	SIPO	IJ	3844541
1127110	3850	1995-06-07	VYDAJ	PREVOD NA UCET	2037	37137	SIPO	IJ	3844541
1127111	3850	1995-07-07	VYDAJ	PREVOD NA UCET	2037	44692	SIPO	IJ	3844541
1127112	3850	1995-08-07	VYDAJ	PREVOD NA UCET	2037	41179	SIPO	IJ	3844541
1127113	3850	1995-09-07	VYDAJ	PREVOD NA UCET	2037	41898	SIPO	IJ	3844541
1127114	3850	1995-10-07	VYDAJ	PREVOD NA UCET	2037	42440	SIPO	IJ	3844541
1127115	3850	1995-11-07	VYDAJ	PREVOD NA UCET	2037	42783	SIPO	IJ	3844541
1127116	3850	1995-12-07	VYDAJ	PREVOD NA UCET	2037	41486	SIPO	IJ	3844541
1127117	3850	1996-01-07	VYDAJ	PREVOD NA UCET	2037	37418	SIPO	IJ	3844541
1127118	3850	1996-02-07	VYDAJ	PREVOD NA UCET	2037	33340	SIPO	IJ	3844541
1127119	3850	1996-03-07	VYDAJ	PREVOD NA UCET	2037	37463	SIPO	IJ	3844541
1127120	3850	1996-04-07	VYDAJ	PREVOD NA UCET	2037	40784	SIPO	IJ	3844541
1127121	3850	1996-05-07	VYDAJ	PREVOD NA UCET	2037	44619	SIPO	IJ	3844541
1127122	3850	1996-06-07	VYDAJ	PREVOD NA UCET	2037	42963	SIPO	IJ	3844541
1127123	3850	1996-07-07	VYDAJ	PREVOD NA UCET	2037	45274	SIPO	IJ	3844541
1127124	3850	1996-08-07	VYDAJ	PREVOD NA UCET	2037	48125	SIPO	IJ	3844541
1127125	3850	1996-09-07	VYDAJ	PREVOD NA UCET	2037	48482	SIPO	IJ	3844541
1127126	3850	1996-10-07	VYDAJ	PREVOD NA UCET	2037	50742	SIPO	IJ	3844541
1127127	3850	1996-11-07	VYDAJ	PREVOD NA UCET	2037	52310	SIPO	IJ	3844541
1127128	3850	1996-12-07	VYDAJ	PREVOD NA UCET	2037	41715	SIPO	IJ	3844541
1127129	3850	1997-01-07	VYDAJ	PREVOD NA UCET	2037	54878	SIPO	IJ	3844541
1127130	3850	1997-02-07	VYDAJ	PREVOD NA UCET	2037	40935	SIPO	IJ	3844541
1127131	3850	1997-03-07	VYDAJ	PREVOD NA UCET	2037	44185	SIPO	IJ	3844541
1127132	3850	1997-04-07	VYDAJ	PREVOD NA UCET	2037	46628	SIPO	IJ	3844541
1127133	3850	1997-05-07	VYDAJ	PREVOD NA UCET	2037	48397	SIPO	IJ	3844541
1127134	3850	1997-06-07	VYDAJ	PREVOD NA UCET	2037	31712	SIPO	IJ	3844541
1127135	3850	1997-07-07	VYDAJ	PREVOD NA UCET	2037	48148	SIPO	IJ	3844541
1127136	3850	1997-08-07	VYDAJ	PREVOD NA UCET	2037	48698	SIPO	IJ	3844541
1127137	3850	1997-09-07	VYDAJ	PREVOD NA UCET	2037	46843	SIPO	IJ	3844541
1127138	3850	1997-10-07	VYDAJ	PREVOD NA UCET	2037	47284	SIPO	IJ	3844541
1127139	3850	1997-11-07	VYDAJ	PREVOD NA UCET	2037	49229	SIPO	IJ	3844541
1127140	3850	1997-12-07	VYDAJ	PREVOD NA UCET	2037	40749	SIPO	IJ	3844541
1127141	3850	1998-01-07	VYDAJ	PREVOD NA UCET	2037	45744	SIPO	IJ	3844541
1127142	3850	1998-02-07	VYDAJ	PREVOD NA UCET	2037	31426	SIPO	IJ	3844541
1127143	3850	1998-03-07	VYDAJ	PREVOD NA UCET	2037	38717	SIPO	IJ	3844541
1127144	3850	1998-04-07	VYDAJ	PREVOD NA UCET	2037	44109	SIPO	IJ	3844541
1127145	3850	1998-05-07	VYDAJ	PREVOD NA UCET	2037	48642	SIPO	IJ	3844541
1127146	3850	1998-06-07	VYDAJ	PREVOD NA UCET	2037	25532	SIPO	IJ	3844541
1127147	3850	1998-07-07	VYDAJ	PREVOD NA UCET	2037	47354	SIPO	IJ	3844541
1127148	3850	1998-08-07	VYDAJ	PREVOD NA UCET	2037	46832	SIPO	IJ	3844541
1127149	3850	1998-09-07	VYDAJ	PREVOD NA UCET	2037	58534	SIPO	IJ	3844541
1127150	3850	1998-10-07	VYDAJ	PREVOD NA UCET	2037	73350	SIPO	IJ	3844541
1127151	3850	1998-11-07	VYDAJ	PREVOD NA UCET	2037	80308	SIPO	IJ	3844541
1127152	3850	1998-12-07	VYDAJ	PREVOD NA UCET	2037	79571	SIPO	IJ	3844541
1127165	3850	1994-01-10	VYDAJ	PREVOD NA UCET	5120	36250	 	CD	34453201
1127166	3850	1994-02-10	VYDAJ	PREVOD NA UCET	5120	24085	 	CD	34453201
1127167	3850	1994-03-10	VYDAJ	PREVOD NA UCET	5120	28359	 	CD	34453201
1127168	3850	1994-04-10	VYDAJ	PREVOD NA UCET	5120	31579	 	CD	34453201
1127169	3850	1994-05-10	VYDAJ	PREVOD NA UCET	5120	30913	 	CD	34453201
1127170	3850	1994-06-10	VYDAJ	PREVOD NA UCET	5120	19288	 	CD	34453201
1127171	3850	1994-07-10	VYDAJ	PREVOD NA UCET	5120	29006	 	CD	34453201
1127172	3850	1994-08-10	VYDAJ	PREVOD NA UCET	5120	30032	 	CD	34453201
1127173	3850	1994-09-10	VYDAJ	PREVOD NA UCET	5120	27635	 	CD	34453201
1127174	3850	1994-10-10	VYDAJ	PREVOD NA UCET	5120	31854	 	CD	34453201
1127175	3850	1994-11-10	VYDAJ	PREVOD NA UCET	5120	33189	 	CD	34453201
1127176	3850	1994-12-10	VYDAJ	PREVOD NA UCET	5120	28871	 	CD	34453201
1127177	3850	1995-01-10	VYDAJ	PREVOD NA UCET	5120	30499	 	CD	34453201
1127178	3850	1995-02-10	VYDAJ	PREVOD NA UCET	5120	20476	 	CD	34453201
1127179	3850	1995-03-10	VYDAJ	PREVOD NA UCET	5120	24854	 	CD	34453201
1127180	3850	1995-04-10	VYDAJ	PREVOD NA UCET	5120	30159	 	CD	34453201
1127181	3850	1995-05-10	VYDAJ	PREVOD NA UCET	5120	31185	 	CD	34453201
1127182	3850	1995-06-10	VYDAJ	PREVOD NA UCET	5120	32017	 	CD	34453201
1127183	3850	1995-07-10	VYDAJ	PREVOD NA UCET	5120	39572	 	CD	34453201
1127184	3850	1995-08-10	VYDAJ	PREVOD NA UCET	5120	36059	 	CD	34453201
1127185	3850	1995-09-10	VYDAJ	PREVOD NA UCET	5120	36778	 	CD	34453201
1127186	3850	1995-10-10	VYDAJ	PREVOD NA UCET	5120	37320	 	CD	34453201
1127187	3850	1995-11-10	VYDAJ	PREVOD NA UCET	5120	37663	 	CD	34453201
1127188	3850	1995-12-10	VYDAJ	PREVOD NA UCET	5120	36366	 	CD	34453201
1127189	3850	1996-01-10	VYDAJ	PREVOD NA UCET	5120	30978	 	CD	34453201
1127190	3850	1996-02-10	VYDAJ	PREVOD NA UCET	5120	28220	 	CD	34453201
1127191	3850	1996-03-10	VYDAJ	PREVOD NA UCET	5120	32343	 	CD	34453201
1127192	3850	1996-04-10	VYDAJ	PREVOD NA UCET	5120	35664	 	CD	34453201
1127193	3850	1996-05-10	VYDAJ	PREVOD NA UCET	5120	39499	 	CD	34453201
1127194	3850	1996-06-10	VYDAJ	PREVOD NA UCET	5120	37843	 	CD	34453201
1127195	3850	1996-07-10	VYDAJ	PREVOD NA UCET	5120	40154	 	CD	34453201
1127196	3850	1996-08-10	VYDAJ	PREVOD NA UCET	5120	43005	 	CD	34453201
1127197	3850	1996-09-10	VYDAJ	PREVOD NA UCET	5120	43362	 	CD	34453201
1127198	3850	1996-10-10	VYDAJ	PREVOD NA UCET	5120	45622	 	CD	34453201
1127199	3850	1996-11-10	VYDAJ	PREVOD NA UCET	5120	47190	 	CD	34453201
1127200	3850	1996-12-10	VYDAJ	PREVOD NA UCET	5120	36595	 	CD	34453201
1127201	3850	1997-01-10	VYDAJ	PREVOD NA UCET	5120	46638	 	CD	34453201
1127202	3850	1997-02-10	VYDAJ	PREVOD NA UCET	5120	35815	 	CD	34453201
1127203	3850	1997-03-10	VYDAJ	PREVOD NA UCET	5120	39065	 	CD	34453201
1127204	3850	1997-04-10	VYDAJ	PREVOD NA UCET	5120	41508	 	CD	34453201
1127205	3850	1997-05-10	VYDAJ	PREVOD NA UCET	5120	43277	 	CD	34453201
1127206	3850	1997-06-10	VYDAJ	PREVOD NA UCET	5120	26592	 	CD	34453201
1127207	3850	1997-07-10	VYDAJ	PREVOD NA UCET	5120	43028	 	CD	34453201
1127208	3850	1997-08-10	VYDAJ	PREVOD NA UCET	5120	43578	 	CD	34453201
1127209	3850	1997-09-10	VYDAJ	PREVOD NA UCET	5120	41723	 	CD	34453201
1127210	3850	1997-10-10	VYDAJ	PREVOD NA UCET	5120	42164	 	CD	34453201
1127211	3850	1997-11-10	VYDAJ	PREVOD NA UCET	5120	44109	 	CD	34453201
1127212	3850	1997-12-10	VYDAJ	PREVOD NA UCET	5120	35629	 	CD	34453201
1127213	3850	1998-01-10	VYDAJ	PREVOD NA UCET	5120	40624	 	CD	34453201
1127214	3850	1998-02-10	VYDAJ	PREVOD NA UCET	5120	26306	 	CD	34453201
1127215	3850	1998-03-10	VYDAJ	PREVOD NA UCET	5120	33597	 	CD	34453201
1127216	3850	1998-04-10	VYDAJ	PREVOD NA UCET	5120	38989	 	CD	34453201
1127217	3850	1998-05-10	VYDAJ	PREVOD NA UCET	5120	43522	 	CD	34453201
1127218	3850	1998-06-10	VYDAJ	PREVOD NA UCET	5120	20412	 	CD	34453201
1127219	3850	1998-07-10	VYDAJ	PREVOD NA UCET	5120	42234	 	CD	34453201
1127220	3850	1998-08-10	VYDAJ	PREVOD NA UCET	5120	37752	 	CD	34453201
1127221	3850	1998-09-10	VYDAJ	PREVOD NA UCET	5120	53414	 	CD	34453201
1127222	3850	1998-10-10	VYDAJ	PREVOD NA UCET	5120	68230	 	CD	34453201
1127223	3850	1998-11-10	VYDAJ	PREVOD NA UCET	5120	75188	 	CD	34453201
1127224	3850	1998-12-10	VYDAJ	PREVOD NA UCET	5120	74451	 	CD	34453201
1127226	3850	1994-06-04	VYDAJ	VYBER	28960	22345	\N	\N	\N
1127229	3850	1997-06-07	VYDAJ	VYBER	19040	33749	\N	\N	\N
1127230	3850	1998-06-06	VYDAJ	VYBER	26560	27569	\N	\N	\N
1127232	3850	1994-01-22	VYDAJ	VYBER	13120	38300	\N	\N	\N
1127233	3850	1995-01-29	VYDAJ	VYBER	10560	31269	\N	\N	\N
1127234	3850	1996-01-20	VYDAJ	VYBER	3200	42228	\N	\N	\N
1127235	3850	1997-01-11	VYDAJ	VYBER	9280	36518	\N	\N	\N
1127236	3850	1998-01-11	VYDAJ	VYBER	9760	30864	\N	\N	\N
1127237	3850	1993-12-25	VYDAJ	VYBER	4160	67987	\N	\N	\N
1127238	3850	1994-12-02	VYDAJ	VYBER	3840	37348	\N	\N	\N
1127239	3850	1995-12-23	VYDAJ	VYBER	2560	59321	\N	\N	\N
1127240	3850	1996-12-01	VYDAJ	VYBER	4480	43752	\N	\N	\N
1127241	3850	1997-12-22	VYDAJ	VYBER	3840	47604	\N	\N	\N
1127242	3850	1998-12-11	VYDAJ	VYBER	3200	60651	\N	\N	\N
1127249	3850	1994-01-25	VYDAJ	VYBER	2760	35540	\N	\N	\N
1127250	3850	1994-01-18	VYDAJ	VYBER	2760	51420	\N	\N	\N
1127251	3850	1994-01-14	VYDAJ	VYBER	2280	54180	\N	\N	\N
1127252	3850	1994-01-27	VYDAJ	VYBER	2880	32660	\N	\N	\N
1127253	3850	1994-01-08	VYDAJ	VYBER	2160	41370	\N	\N	\N
1127254	3850	1994-01-08	VYDAJ	VYBER	2880	43530	\N	\N	\N
1127255	3850	1995-01-07	VYDAJ	VYBER	3120	35619	\N	\N	\N
1127256	3850	1995-01-18	VYDAJ	VYBER	840	44829	\N	\N	\N
1127257	3850	1995-01-11	VYDAJ	VYBER	3120	27379	\N	\N	\N
1127258	3850	1995-01-12	VYDAJ	VYBER	1920	25459	\N	\N	\N
1127259	3850	1995-01-20	VYDAJ	VYBER	960	43869	\N	\N	\N
1127260	3850	1995-01-26	VYDAJ	VYBER	2040	41829	\N	\N	\N
1127261	3850	1996-01-07	VYDAJ	VYBER	1320	36098	\N	\N	\N
1127262	3850	1996-01-06	VYDAJ	VYBER	1440	39455	\N	\N	\N
1127263	3850	1996-01-02	VYDAJ	VYBER	2040	43175	\N	\N	\N
1127264	3850	1996-01-12	VYDAJ	VYBER	2280	28698	\N	\N	\N
1127265	3850	1996-01-17	VYDAJ	VYBER	3480	45428	\N	\N	\N
1127266	3850	1996-01-03	VYDAJ	VYBER	2280	40895	\N	\N	\N
1127267	3850	1997-01-21	VYDAJ	VYBER	3480	43868	\N	\N	\N
1127268	3850	1997-01-17	VYDAJ	VYBER	600	50848	\N	\N	\N
1127269	3850	1997-01-07	VYDAJ	VYBER	2040	52838	\N	\N	\N
1127270	3850	1997-01-11	VYDAJ	VYBER	840	45798	\N	\N	\N
1127271	3850	1997-01-08	VYDAJ	VYBER	1080	51758	\N	\N	\N
1127272	3850	1997-01-23	VYDAJ	VYBER	1080	42788	\N	\N	\N
1127273	3850	1998-01-28	VYDAJ	VYBER	1080	35714	\N	\N	\N
1127274	3850	1998-01-22	VYDAJ	VYBER	1800	36794	\N	\N	\N
1127275	3850	1998-01-14	VYDAJ	VYBER	2640	48434	\N	\N	\N
1127276	3850	1998-01-29	VYDAJ	VYBER	2400	33314	\N	\N	\N
1127277	3850	1998-01-14	VYDAJ	VYBER	2160	46274	\N	\N	\N
1127278	3850	1998-01-16	VYDAJ	VYBER	2280	38594	\N	\N	\N
1127281	3850	1993-12-22	VYDAJ	VYBER	960	72147	\N	\N	\N
1127285	3850	1994-12-04	VYDAJ	VYBER	1320	36028	\N	\N	\N
1127286	3850	1994-08-10	VYDAJ	VYBER	3120	26912	\N	\N	\N
1127287	3850	1994-03-01	VYDAJ	VYBER	3120	41316	\N	\N	\N
1127288	3850	1995-08-25	VYDAJ	VYBER	3120	53149	\N	\N	\N
1127289	3850	1995-12-15	VYDAJ	VYBER	4800	61881	\N	\N	\N
1127290	3850	1995-11-14	VYDAJ	VYBER	5040	52833	\N	\N	\N
1127291	3850	1995-07-18	VYDAJ	VYBER	5160	54622	\N	\N	\N
1127292	3850	1996-05-23	VYDAJ	VYBER	1200	58509	\N	\N	\N
1127293	3850	1996-11-25	VYDAJ	VYBER	4080	48020	\N	\N	\N
1127294	3850	1996-06-12	VYDAJ	VYBER	2280	35563	\N	\N	\N
1127295	3850	1996-02-17	VYDAJ	VYBER	1080	47350	\N	\N	\N
1127296	3850	1996-06-18	VYDAJ	VYBER	5160	60718	\N	\N	\N
1127297	3850	1997-11-22	VYDAJ	VYBER	4680	45839	\N	\N	\N
1127298	3850	1997-04-25	VYDAJ	VYBER	1680	50238	\N	\N	\N
1127299	3850	1997-03-07	VYDAJ	VYBER	3480	46222	\N	\N	\N
1127300	3850	1997-01-13	VYDAJ	VYBER	5280	31238	\N	\N	\N
1127301	3850	1997-12-05	VYDAJ	VYBER	3240	42786	\N	\N	\N
1127302	3850	1998-08-15	VYDAJ	VYBER	4200	60362	\N	\N	\N
1127303	3850	1998-08-10	VYDAJ	VYBER	3960	42872	\N	\N	\N
1127304	3850	1998-07-26	VYDAJ	VYBER	3360	48684	\N	\N	\N
1127305	3850	1998-02-21	VYDAJ	VYBER	4800	40616	\N	\N	\N
1127306	3850	1998-03-11	VYDAJ	VYBER	4320	29277	\N	\N	\N
1127319	3850	1993-12-31	VYDAJ	VYBER	15	68247	SLUZBY	\N	\N
1127320	3850	1994-01-31	VYDAJ	VYBER	15	32842	SLUZBY	\N	\N
1127321	3850	1994-02-28	VYDAJ	VYBER	15	44436	SLUZBY	\N	\N
1127322	3850	1994-03-31	VYDAJ	VYBER	15	48736	SLUZBY	\N	\N
1127323	3850	1994-04-30	VYDAJ	VYBER	15	51970	SLUZBY	\N	\N
1127324	3850	1994-05-31	VYDAJ	VYBER	15	51305	SLUZBY	\N	\N
1127325	3850	1994-06-30	VYDAJ	VYBER	15	49763	SLUZBY	\N	\N
1127326	3850	1994-07-31	VYDAJ	VYBER	15	49389	SLUZBY	\N	\N
1127327	3850	1994-08-31	VYDAJ	VYBER	15	47292	SLUZBY	\N	\N
1127328	3850	1994-09-30	VYDAJ	VYBER	15	48011	SLUZBY	\N	\N
1127329	3850	1994-10-31	VYDAJ	VYBER	15	52246	SLUZBY	\N	\N
1127330	3850	1994-11-30	VYDAJ	VYBER	15	53588	SLUZBY	\N	\N
1127331	3850	1994-12-31	VYDAJ	VYBER	15	59376	SLUZBY	\N	\N
1127332	3850	1995-01-31	VYDAJ	VYBER	15	31433	SLUZBY	\N	\N
1127333	3850	1995-02-28	VYDAJ	VYBER	15	40811	SLUZBY	\N	\N
1127334	3850	1995-03-31	VYDAJ	VYBER	15	45216	SLUZBY	\N	\N
1127335	3850	1995-04-30	VYDAJ	VYBER	15	50542	SLUZBY	\N	\N
1127336	3850	1995-05-31	VYDAJ	VYBER	15	39174	SLUZBY	\N	\N
1127337	3850	1995-06-30	VYDAJ	VYBER	15	46729	SLUZBY	\N	\N
1127338	3850	1995-07-31	VYDAJ	VYBER	15	43216	SLUZBY	\N	\N
1127339	3850	1995-08-31	VYDAJ	VYBER	15	43935	SLUZBY	\N	\N
1127340	3850	1995-09-30	VYDAJ	VYBER	15	44477	SLUZBY	\N	\N
1127341	3850	1995-10-31	VYDAJ	VYBER	15	44820	SLUZBY	\N	\N
1127342	3850	1995-11-30	VYDAJ	VYBER	15	43523	SLUZBY	\N	\N
1127343	3850	1995-12-31	VYDAJ	VYBER	15	45215	SLUZBY	\N	\N
1127344	3850	1996-01-31	VYDAJ	VYBER	15	35377	SLUZBY	\N	\N
1127345	3850	1996-02-29	VYDAJ	VYBER	15	39500	SLUZBY	\N	\N
1127346	3850	1996-03-31	VYDAJ	VYBER	15	42821	SLUZBY	\N	\N
1127347	3850	1996-04-30	VYDAJ	VYBER	15	46656	SLUZBY	\N	\N
1127348	3850	1996-05-31	VYDAJ	VYBER	15	45000	SLUZBY	\N	\N
1127349	3850	1996-06-30	VYDAJ	VYBER	15	47311	SLUZBY	\N	\N
1127350	3850	1996-07-31	VYDAJ	VYBER	15	50162	SLUZBY	\N	\N
1127351	3850	1996-08-31	VYDAJ	VYBER	15	50519	SLUZBY	\N	\N
1127352	3850	1996-09-30	VYDAJ	VYBER	15	52779	SLUZBY	\N	\N
1127353	3850	1996-10-31	VYDAJ	VYBER	15	54347	SLUZBY	\N	\N
1127354	3850	1996-11-30	VYDAJ	VYBER	15	48232	SLUZBY	\N	\N
1127355	3850	1996-12-31	VYDAJ	VYBER	15	56915	SLUZBY	\N	\N
1127356	3850	1997-01-31	VYDAJ	VYBER	15	42972	SLUZBY	\N	\N
1127357	3850	1997-02-28	VYDAJ	VYBER	15	49702	SLUZBY	\N	\N
1127358	3850	1997-03-31	VYDAJ	VYBER	15	48665	SLUZBY	\N	\N
1127359	3850	1997-04-30	VYDAJ	VYBER	15	50434	SLUZBY	\N	\N
1127360	3850	1997-05-31	VYDAJ	VYBER	15	52789	SLUZBY	\N	\N
1127361	3850	1997-06-30	VYDAJ	VYBER	15	50185	SLUZBY	\N	\N
1127362	3850	1997-07-31	VYDAJ	VYBER	15	50735	SLUZBY	\N	\N
1127363	3850	1997-08-31	VYDAJ	VYBER	15	48880	SLUZBY	\N	\N
1127364	3850	1997-09-30	VYDAJ	VYBER	15	49321	SLUZBY	\N	\N
1127365	3850	1997-10-31	VYDAJ	VYBER	15	51266	SLUZBY	\N	\N
1127366	3850	1997-11-30	VYDAJ	VYBER	15	46026	SLUZBY	\N	\N
1127367	3850	1997-12-31	VYDAJ	VYBER	15	47781	SLUZBY	\N	\N
1127368	3850	1998-01-31	VYDAJ	VYBER	15	33463	SLUZBY	\N	\N
1127369	3850	1998-02-28	VYDAJ	VYBER	15	40754	SLUZBY	\N	\N
1127370	3850	1998-03-31	VYDAJ	VYBER	15	46146	SLUZBY	\N	\N
1127371	3850	1998-04-30	VYDAJ	VYBER	15	50679	SLUZBY	\N	\N
1127372	3850	1998-05-31	VYDAJ	VYBER	15	54129	SLUZBY	\N	\N
1127373	3850	1998-06-30	VYDAJ	VYBER	15	49391	SLUZBY	\N	\N
1127374	3850	1998-07-31	VYDAJ	VYBER	15	48869	SLUZBY	\N	\N
1127375	3850	1998-08-31	VYDAJ	VYBER	15	60571	SLUZBY	\N	\N
1127376	3850	1998-09-30	VYDAJ	VYBER	15	75387	SLUZBY	\N	\N
1127377	3850	1998-10-31	VYDAJ	VYBER	15	82345	SLUZBY	\N	\N
1127378	3850	1998-11-30	VYDAJ	VYBER	15	81608	SLUZBY	\N	\N
1127379	3850	1993-09-08	PRIJEM	VKLAD	3100	24261	\N	\N	\N
1127380	3850	1993-10-08	VYDAJ	VYBER	7800	36814	\N	\N	\N
1127381	3850	1993-11-07	VYDAJ	VYBER	18600	38640	\N	\N	\N
1127382	3850	1993-12-07	VYDAJ	VYBER	16300	42792	\N	\N	\N
1127383	3850	1994-01-06	VYDAJ	VYBER	19800	48447	\N	\N	\N
1127384	3850	1994-02-05	VYDAJ	VYBER	1600	31242	\N	\N	\N
1127385	3850	1994-03-07	VYDAJ	VYBER	5800	35516	\N	\N	\N
1127386	3850	1994-04-06	VYDAJ	VYBER	10000	38736	\N	\N	\N
1127387	3850	1994-05-06	VYDAJ	VYBER	13900	38070	\N	\N	\N
1127388	3850	1994-06-05	PRIJEM	VKLAD	4100	26445	\N	\N	\N
1127389	3850	1994-07-05	VYDAJ	VYBER	13600	36163	\N	\N	\N
1127390	3850	1994-08-04	VYDAJ	VYBER	12200	37189	\N	\N	\N
1127391	3850	1994-09-03	VYDAJ	VYBER	12500	34792	\N	\N	\N
1127392	3850	1994-10-03	VYDAJ	VYBER	9000	39011	\N	\N	\N
1127393	3850	1994-11-02	VYDAJ	VYBER	11900	40346	\N	\N	\N
1127394	3850	1994-12-02	VYDAJ	VYBER	12400	41188	\N	\N	\N
1127395	3850	1995-01-01	VYDAJ	VYBER	18600	40776	\N	\N	\N
1127396	3850	1995-01-31	VYDAJ	VYBER	3800	27633	\N	\N	\N
1127397	3850	1995-03-02	VYDAJ	VYBER	8800	32011	\N	\N	\N
1127398	3850	1995-04-01	VYDAJ	VYBER	7900	37316	\N	\N	\N
1127399	3850	1995-05-01	VYDAJ	VYBER	12200	38342	\N	\N	\N
1127400	3850	1995-05-31	VYDAJ	VYBER	12400	39189	\N	\N	\N
1127401	3850	1995-06-30	VYDAJ	VYBER	15800	46743	\N	\N	\N
1127402	3850	1995-07-30	VYDAJ	VYBER	11600	43022	\N	\N	\N
1127403	3850	1995-08-29	VYDAJ	VYBER	9400	43749	\N	\N	\N
1127404	3850	1995-09-28	VYDAJ	VYBER	12700	44288	\N	\N	\N
1127405	3850	1995-10-28	VYDAJ	VYBER	12900	44630	\N	\N	\N
1127406	3850	1995-11-27	VYDAJ	VYBER	9500	43333	\N	\N	\N
1127407	3850	1995-12-27	VYDAJ	VYBER	14300	45021	\N	\N	\N
1127408	3850	1996-01-26	VYDAJ	VYBER	7000	35228	\N	\N	\N
1127409	3850	1996-02-25	VYDAJ	VYBER	8000	39350	\N	\N	\N
1127410	3850	1996-03-26	VYDAJ	VYBER	9900	42653	\N	\N	\N
1127411	3850	1996-04-25	VYDAJ	VYBER	9400	46474	\N	\N	\N
1127412	3850	1996-05-25	VYDAJ	VYBER	13700	44809	\N	\N	\N
1127413	3850	1996-06-24	VYDAJ	VYBER	13600	47118	\N	\N	\N
1127414	3850	1996-07-24	VYDAJ	VYBER	10400	49964	\N	\N	\N
1127415	3850	1996-08-23	VYDAJ	VYBER	12900	50315	\N	\N	\N
1127416	3850	1996-09-22	VYDAJ	VYBER	11000	52572	\N	\N	\N
1127417	3850	1996-10-22	VYDAJ	VYBER	11700	54132	\N	\N	\N
1127418	3850	1996-11-21	VYDAJ	VYBER	15300	52100	\N	\N	\N
1127419	3850	1996-12-21	VYDAJ	VYBER	10200	56710	\N	\N	\N
1127420	3850	1997-01-20	VYDAJ	VYBER	3500	47348	\N	\N	\N
1127421	3850	1997-02-19	VYDAJ	VYBER	6500	49525	\N	\N	\N
1127422	3850	1997-03-21	VYDAJ	VYBER	10800	48475	\N	\N	\N
1127423	3850	1997-04-20	VYDAJ	VYBER	9800	51918	\N	\N	\N
1127424	3850	1997-05-20	VYDAJ	VYBER	10900	52587	\N	\N	\N
1127425	3850	1997-06-19	VYDAJ	VYBER	6900	50007	\N	\N	\N
1127426	3850	1997-07-19	VYDAJ	VYBER	12700	50538	\N	\N	\N
1127427	3850	1997-08-18	VYDAJ	VYBER	15100	48688	\N	\N	\N
1127428	3850	1997-09-17	VYDAJ	VYBER	12800	49133	\N	\N	\N
1127429	3850	1997-10-17	VYDAJ	VYBER	11300	51074	\N	\N	\N
1127430	3850	1997-11-16	VYDAJ	VYBER	13800	50519	\N	\N	\N
1127431	3850	1997-12-16	VYDAJ	VYBER	14500	51444	\N	\N	\N
1127432	3850	1998-01-15	VYDAJ	VYBER	5400	40874	\N	\N	\N
1127433	3850	1998-02-14	VYDAJ	VYBER	1100	45416	\N	\N	\N
1127434	3850	1998-03-16	VYDAJ	VYBER	3500	45987	\N	\N	\N
1127435	3850	1998-04-15	VYDAJ	VYBER	8700	50499	\N	\N	\N
1127436	3850	1998-05-15	VYDAJ	VYBER	9800	53932	\N	\N	\N
1127437	3850	1998-06-14	VYDAJ	VYBER	1500	49227	\N	\N	\N
1127438	3850	1998-07-14	VYDAJ	VYBER	10400	52044	\N	\N	\N
1127439	3850	1998-08-13	PRIJEM	VKLAD	6600	44352	\N	\N	\N
1127440	3850	1998-09-12	PRIJEM	VKLAD	1500	54914	\N	\N	\N
1127441	3850	1998-10-12	VYDAJ	VYBER	6400	61830	\N	\N	\N
1127442	3850	1998-11-11	VYDAJ	VYBER	14100	61088	\N	\N	\N
1127443	3850	1998-12-11	VYDAJ	VYBER	10600	63851	\N	\N	\N
1127509	3851	1997-02-27	PRIJEM	VKLAD	300	300	\N	\N	\N
1127510	3851	1997-04-26	PRIJEM	VKLAD	13840	24640	\N	\N	\N
1127511	3851	1997-07-30	PRIJEM	VKLAD	42592	72311	\N	\N	\N
1127514	3851	1997-06-02	PRIJEM	VKLAD	17453	53070	\N	\N	\N
1127517	3851	1997-08-18	PRIJEM	VKLAD	46065	124259	\N	\N	\N
1127518	3851	1997-10-22	PRIJEM	VKLAD	22566	48990	\N	\N	\N
1127519	3851	1997-05-16	PRIJEM	VKLAD	10821	49770	\N	\N	\N
1127520	3851	1997-05-04	PRIJEM	VKLAD	15299	38949	\N	\N	\N
1127521	3851	1997-09-04	PRIJEM	VKLAD	34736	82478	\N	\N	\N
1127522	3851	1997-12-22	PRIJEM	VKLAD	44406	49118	\N	\N	\N
1127523	3851	1997-08-08	PRIJEM	VKLAD	16530	88993	\N	\N	\N
1127524	3851	1998-11-10	PRIJEM	VKLAD	46965	91102	\N	\N	\N
1127525	3851	1998-11-01	PRIJEM	VKLAD	33439	45431	\N	\N	\N
1127526	3851	1998-04-27	PRIJEM	VKLAD	9898	25572	\N	\N	\N
1127527	3851	1998-07-08	PRIJEM	VKLAD	29189	46945	\N	\N	\N
1127528	3851	1998-05-02	PRIJEM	VKLAD	10779	36384	\N	\N	\N
1127536	3851	1997-08-09	VYDAJ	PREVOD NA UCET	1294	87699	SIPO	MN	52305114
1127537	3851	1997-09-09	VYDAJ	PREVOD NA UCET	1294	81184	SIPO	MN	52305114
1127538	3851	1997-10-09	VYDAJ	PREVOD NA UCET	1294	35929	SIPO	MN	52305114
1127539	3851	1997-11-09	VYDAJ	PREVOD NA UCET	1294	29033	SIPO	MN	52305114
1127540	3851	1997-12-09	VYDAJ	PREVOD NA UCET	1294	14217	SIPO	MN	52305114
1127541	3851	1998-01-09	VYDAJ	PREVOD NA UCET	1294	31790	SIPO	MN	52305114
1127542	3851	1998-02-09	VYDAJ	PREVOD NA UCET	1294	19086	SIPO	MN	52305114
1127543	3851	1998-03-09	VYDAJ	PREVOD NA UCET	1294	15641	SIPO	MN	52305114
1127544	3851	1998-04-09	VYDAJ	PREVOD NA UCET	1294	11179	SIPO	MN	52305114
1127545	3851	1998-05-09	VYDAJ	PREVOD NA UCET	1294	35090	SIPO	MN	52305114
1127546	3851	1998-06-09	VYDAJ	PREVOD NA UCET	1294	24790	SIPO	MN	52305114
1127547	3851	1998-07-09	VYDAJ	PREVOD NA UCET	1294	45651	SIPO	MN	52305114
1127548	3851	1998-08-09	VYDAJ	PREVOD NA UCET	1294	25244	SIPO	MN	52305114
1127549	3851	1998-09-09	VYDAJ	PREVOD NA UCET	1294	17227	SIPO	MN	52305114
1127550	3851	1998-10-09	VYDAJ	PREVOD NA UCET	1294	10571	SIPO	MN	52305114
1127551	3851	1998-11-09	VYDAJ	PREVOD NA UCET	1294	44137	SIPO	MN	52305114
1127552	3851	1998-12-09	VYDAJ	PREVOD NA UCET	1294	44003	SIPO	MN	52305114
1127560	3851	1997-08-14	VYDAJ	PREVOD NA UCET	9505	78194	 	KL	91988861
1127561	3851	1997-09-14	VYDAJ	PREVOD NA UCET	9505	71679	 	KL	91988861
1127562	3851	1997-10-14	VYDAJ	PREVOD NA UCET	9505	26424	 	KL	91988861
1127563	3851	1997-11-14	VYDAJ	PREVOD NA UCET	9505	19528	 	KL	91988861
1127564	3851	1997-12-14	VYDAJ	PREVOD NA UCET	9505	4712	 	KL	91988861
1127565	3851	1998-01-14	VYDAJ	PREVOD NA UCET	9505	22285	 	KL	91988861
1127566	3851	1998-02-14	VYDAJ	PREVOD NA UCET	9505	9581	 	KL	91988861
1127567	3851	1998-03-14	VYDAJ	PREVOD NA UCET	9505	6136	 	KL	91988861
1127568	3851	1998-04-14	VYDAJ	PREVOD NA UCET	9505	1674	 	KL	91988861
1127569	3851	1998-05-14	VYDAJ	PREVOD NA UCET	9505	25585	 	KL	91988861
1127570	3851	1998-06-14	VYDAJ	PREVOD NA UCET	9505	15285	 	KL	91988861
1127571	3851	1998-07-14	VYDAJ	PREVOD NA UCET	9505	36146	 	KL	91988861
1127572	3851	1998-08-14	VYDAJ	PREVOD NA UCET	9505	15739	 	KL	91988861
1127573	3851	1998-09-14	VYDAJ	PREVOD NA UCET	9505	7722	 	KL	91988861
1127574	3851	1998-10-14	VYDAJ	PREVOD NA UCET	9505	1066	 	KL	91988861
1127575	3851	1998-11-14	VYDAJ	PREVOD NA UCET	9505	81597	 	KL	91988861
1127576	3851	1998-12-14	VYDAJ	PREVOD NA UCET	9505	34498	 	KL	91988861
1127577	3851	1998-08-06	VYBER	VYBER	8429	26538	\N	\N	\N
1127583	3851	1998-12-07	VYDAJ	VYBER	7500	45297	\N	\N	\N
1127584	3851	1997-10-24	VYDAJ	VYBER	1500	47490	\N	\N	\N
1127589	3851	1997-10-05	VYDAJ	VYBER	10500	37223	\N	\N	\N
1127604	3851	1997-07-31	VYDAJ	VYBER	15	72463	SLUZBY	\N	\N
1127605	3851	1997-08-31	VYDAJ	VYBER	15	47742	SLUZBY	\N	\N
1127606	3851	1997-09-30	VYDAJ	VYBER	15	47723	SLUZBY	\N	\N
1127607	3851	1997-10-31	VYDAJ	VYBER	15	30327	SLUZBY	\N	\N
1127608	3851	1997-11-30	VYDAJ	VYBER	15	15511	SLUZBY	\N	\N
1127609	3851	1997-12-31	VYDAJ	VYBER	15	33084	SLUZBY	\N	\N
1127610	3851	1998-01-31	VYDAJ	VYBER	15	20380	SLUZBY	\N	\N
1127611	3851	1998-02-28	VYDAJ	VYBER	15	16935	SLUZBY	\N	\N
1127612	3851	1998-03-31	VYDAJ	VYBER	15	12473	SLUZBY	\N	\N
1127613	3851	1998-04-30	VYDAJ	VYBER	15	25605	SLUZBY	\N	\N
1127614	3851	1998-05-31	VYDAJ	VYBER	15	26084	SLUZBY	\N	\N
1127615	3851	1998-06-30	VYDAJ	VYBER	15	17756	SLUZBY	\N	\N
1127616	3851	1998-07-31	VYDAJ	VYBER	15	34967	SLUZBY	\N	\N
1127617	3851	1998-08-31	VYDAJ	VYBER	15	18521	SLUZBY	\N	\N
1127618	3851	1998-09-30	VYDAJ	VYBER	15	11865	SLUZBY	\N	\N
1127619	3851	1998-10-31	VYDAJ	VYBER	15	11992	SLUZBY	\N	\N
1127620	3851	1998-11-30	VYDAJ	VYBER	15	52797	SLUZBY	\N	\N
1127621	3851	1997-03-29	PRIJEM	VKLAD	10500	10800	\N	\N	\N
1127622	3851	1997-04-28	VYDAJ	VYBER	1000	23640	\N	\N	\N
1127623	3851	1997-05-28	VYDAJ	VYBER	14300	35470	\N	\N	\N
1127624	3851	1997-06-27	VYDAJ	VYBER	15200	37870	\N	\N	\N
1127625	3851	1997-07-27	VYDAJ	VYBER	8300	29719	\N	\N	\N
1127626	3851	1997-08-18	VYDAJ	VYBER	50200	74059	\N	\N	\N
1127627	3851	1997-08-26	VYDAJ	VYBER	26600	47459	\N	\N	\N
1127628	3851	1997-09-25	VYDAJ	VYBER	24200	47479	\N	\N	\N
1127629	3851	1997-10-25	VYDAJ	VYBER	17300	30190	\N	\N	\N
1127630	3851	1997-11-24	VYDAJ	VYBER	4100	15428	\N	\N	\N
1127631	3851	1997-12-24	VYDAJ	VYBER	16100	33018	\N	\N	\N
1127632	3851	1998-01-23	VYDAJ	VYBER	2000	20285	\N	\N	\N
1127633	3851	1998-02-22	PRIJEM	VKLAD	7300	16881	\N	\N	\N
1127634	3851	1998-03-24	PRIJEM	VKLAD	6300	12436	\N	\N	\N
1127635	3851	1998-04-23	PRIJEM	VKLAD	14000	15674	\N	\N	\N
1127636	3851	1998-05-23	PRIJEM	VKLAD	400	25985	\N	\N	\N
1127637	3851	1998-06-22	PRIJEM	VKLAD	2400	17685	\N	\N	\N
1127638	3851	1998-07-22	VYDAJ	VYBER	1300	34846	\N	\N	\N
1127639	3851	1998-08-21	PRIJEM	VKLAD	2700	18439	\N	\N	\N
1127640	3851	1998-09-20	PRIJEM	VKLAD	4100	11822	\N	\N	\N
1127641	3851	1998-10-20	PRIJEM	VKLAD	10900	11966	\N	\N	\N
1127642	3851	1998-11-19	VYDAJ	VYBER	29000	52597	\N	\N	\N
1127643	3851	1998-12-19	VYDAJ	VYBER	8800	25698	\N	\N	\N
1127666	3852	1997-09-14	PRIJEM	VKLAD	200	200	\N	\N	\N
1127676	3852	1997-10-05	PRIJEM	PREVOD Z UCTU	5046	5246	DUCHOD	ST	44406443
1127677	3852	1997-11-05	PRIJEM	PREVOD Z UCTU	5046	10292	DUCHOD	ST	44406443
1127678	3852	1997-12-05	PRIJEM	PREVOD Z UCTU	5046	15338	DUCHOD	ST	44406443
1127679	3852	1998-01-05	PRIJEM	PREVOD Z UCTU	5046	20384	DUCHOD	ST	44406443
1127680	3852	1998-02-05	PRIJEM	PREVOD Z UCTU	5046	25430	DUCHOD	ST	44406443
1127681	3852	1998-03-05	PRIJEM	PREVOD Z UCTU	5046	26271	DUCHOD	ST	44406443
1127682	3852	1998-04-05	PRIJEM	PREVOD Z UCTU	5046	26529	DUCHOD	ST	44406443
1127683	3852	1998-05-05	PRIJEM	PREVOD Z UCTU	5046	24782	DUCHOD	ST	44406443
1127684	3852	1998-06-05	PRIJEM	PREVOD Z UCTU	5046	23830	DUCHOD	ST	44406443
1127685	3852	1998-07-05	PRIJEM	PREVOD Z UCTU	5046	20186	DUCHOD	ST	44406443
1127686	3852	1998-08-05	PRIJEM	PREVOD Z UCTU	5046	17309	DUCHOD	ST	44406443
1127687	3852	1998-09-05	PRIJEM	PREVOD Z UCTU	5046	19034	DUCHOD	ST	44406443
1127688	3852	1998-10-05	PRIJEM	PREVOD Z UCTU	5046	17957	DUCHOD	ST	44406443
1127689	3852	1998-11-05	PRIJEM	PREVOD Z UCTU	5046	17878	DUCHOD	ST	44406443
1127690	3852	1998-12-05	PRIJEM	PREVOD Z UCTU	5046	19605	DUCHOD	ST	44406443
1127704	3852	1998-02-08	VYDAJ	PREVOD NA UCET	220	22066	SIPO	CD	38480061
1127705	3852	1998-03-08	VYDAJ	PREVOD NA UCET	220	22907	SIPO	CD	38480061
1127706	3852	1998-04-08	VYDAJ	PREVOD NA UCET	220	23165	SIPO	CD	38480061
1127707	3852	1998-05-08	VYDAJ	PREVOD NA UCET	220	21418	SIPO	CD	38480061
1127708	3852	1998-06-08	VYDAJ	PREVOD NA UCET	220	18386	SIPO	CD	38480061
1127709	3852	1998-07-08	VYDAJ	PREVOD NA UCET	220	16822	SIPO	CD	38480061
1127710	3852	1998-08-08	VYDAJ	PREVOD NA UCET	220	13945	SIPO	CD	38480061
1127711	3852	1998-09-08	VYDAJ	PREVOD NA UCET	220	15670	SIPO	CD	38480061
1127712	3852	1998-10-08	VYDAJ	PREVOD NA UCET	220	14593	SIPO	CD	38480061
1127713	3852	1998-11-08	VYDAJ	PREVOD NA UCET	220	14514	SIPO	CD	38480061
1127714	3852	1998-12-08	VYDAJ	PREVOD NA UCET	220	16241	SIPO	CD	38480061
1127728	3852	1998-02-06	VYDAJ	PREVOD NA UCET	3144	22286	 	CD	24416232
1127729	3852	1998-03-06	VYDAJ	PREVOD NA UCET	3144	23127	 	CD	24416232
1127730	3852	1998-04-06	VYDAJ	PREVOD NA UCET	3144	23385	 	CD	24416232
1127731	3852	1998-05-06	VYDAJ	PREVOD NA UCET	3144	21638	 	CD	24416232
1127732	3852	1998-06-06	VYDAJ	PREVOD NA UCET	3144	20686	 	CD	24416232
1127733	3852	1998-07-06	VYDAJ	PREVOD NA UCET	3144	17042	 	CD	24416232
1127734	3852	1998-08-06	VYDAJ	PREVOD NA UCET	3144	14165	 	CD	24416232
1127735	3852	1998-09-06	VYDAJ	PREVOD NA UCET	3144	15890	 	CD	24416232
1127736	3852	1998-10-06	VYDAJ	PREVOD NA UCET	3144	14813	 	CD	24416232
1127737	3852	1998-11-06	VYDAJ	PREVOD NA UCET	3144	14734	 	CD	24416232
1127738	3852	1998-12-06	VYDAJ	PREVOD NA UCET	3144	16461	 	CD	24416232
1127744	3852	1998-12-19	VYDAJ	VYBER	950	15291	\N	\N	\N
1127763	3852	1998-06-07	VYDAJ	VYBER	2080	18606	\N	\N	\N
1127781	3852	1998-02-28	VYDAJ	VYBER	15	21225	SLUZBY	\N	\N
1127782	3852	1998-03-31	VYDAJ	VYBER	15	21483	SLUZBY	\N	\N
1127783	3852	1998-04-30	VYDAJ	VYBER	15	19736	SLUZBY	\N	\N
1127784	3852	1998-05-31	VYDAJ	VYBER	15	18784	SLUZBY	\N	\N
1127785	3852	1998-06-30	VYDAJ	VYBER	15	15140	SLUZBY	\N	\N
1127786	3852	1998-07-31	VYDAJ	VYBER	15	12263	SLUZBY	\N	\N
1127787	3852	1998-08-31	VYDAJ	VYBER	15	13988	SLUZBY	\N	\N
1127788	3852	1998-09-30	VYDAJ	VYBER	15	12911	SLUZBY	\N	\N
1127789	3852	1998-10-31	VYDAJ	VYBER	15	12832	SLUZBY	\N	\N
1127790	3852	1998-11-30	VYDAJ	VYBER	15	14559	SLUZBY	\N	\N
1127791	3852	1998-02-11	VYDAJ	VYBER	900	21166	\N	\N	\N
1127792	3852	1998-03-13	VYDAJ	VYBER	1500	21407	\N	\N	\N
1127793	3852	1998-04-12	VYDAJ	VYBER	3500	19665	\N	\N	\N
1127794	3852	1998-05-12	VYDAJ	VYBER	2700	18718	\N	\N	\N
1127795	3852	1998-06-11	VYDAJ	VYBER	3300	15086	\N	\N	\N
1127796	3852	1998-07-11	VYDAJ	VYBER	4600	12222	\N	\N	\N
1127797	3852	1998-09-09	VYDAJ	VYBER	2800	12870	\N	\N	\N
1127798	3852	1998-10-09	VYDAJ	VYBER	1800	12793	\N	\N	\N
1128006	3854	1996-04-18	PRIJEM	VKLAD	300	300	\N	\N	\N
1128011	3854	1996-05-11	PRIJEM	PREVOD Z UCTU	3330	3630	\N	OP	23069972
1128012	3854	1996-06-11	PRIJEM	PREVOD Z UCTU	3330	18388	\N	OP	23069972
1128013	3854	1996-07-11	PRIJEM	PREVOD Z UCTU	3330	26597	\N	OP	23069972
1128014	3854	1996-08-11	PRIJEM	PREVOD Z UCTU	3330	33137	\N	OP	23069972
1128015	3854	1996-09-11	PRIJEM	PREVOD Z UCTU	3330	32689	\N	OP	23069972
1128016	3854	1996-10-11	PRIJEM	PREVOD Z UCTU	3330	34812	\N	OP	23069972
1128017	3854	1996-11-11	PRIJEM	PREVOD Z UCTU	3330	36172	\N	OP	23069972
1128018	3854	1996-12-11	PRIJEM	PREVOD Z UCTU	3330	32807	\N	OP	23069972
1128019	3854	1997-01-11	PRIJEM	PREVOD Z UCTU	3330	29901	\N	OP	23069972
1128020	3854	1997-02-11	PRIJEM	PREVOD Z UCTU	3330	26213	\N	OP	23069972
1128021	3854	1997-03-11	PRIJEM	PREVOD Z UCTU	3330	27406	\N	OP	23069972
1128022	3854	1997-04-11	PRIJEM	PREVOD Z UCTU	3330	28425	\N	OP	23069972
1128023	3854	1997-05-11	PRIJEM	PREVOD Z UCTU	3330	29268	\N	OP	23069972
1128024	3854	1997-06-11	PRIJEM	PREVOD Z UCTU	3330	27688	\N	OP	23069972
1128025	3854	1997-07-11	PRIJEM	PREVOD Z UCTU	3330	21911	\N	OP	23069972
1128026	3854	1997-08-11	PRIJEM	PREVOD Z UCTU	3330	23301	\N	OP	23069972
1128027	3854	1997-09-11	PRIJEM	PREVOD Z UCTU	3330	25397	\N	OP	23069972
1128028	3854	1997-10-11	PRIJEM	PREVOD Z UCTU	3330	26388	\N	OP	23069972
1128029	3854	1997-11-11	PRIJEM	PREVOD Z UCTU	3330	21994	\N	OP	23069972
1128030	3854	1997-12-11	PRIJEM	PREVOD Z UCTU	3330	23378	\N	OP	23069972
1128031	3854	1998-01-11	PRIJEM	PREVOD Z UCTU	3330	23100	\N	OP	23069972
1128032	3854	1998-02-11	PRIJEM	PREVOD Z UCTU	3330	23811	\N	OP	23069972
1128033	3854	1998-03-11	PRIJEM	PREVOD Z UCTU	3330	26694	\N	OP	23069972
1128034	3854	1998-04-11	PRIJEM	PREVOD Z UCTU	3330	27488	\N	OP	23069972
1128035	3854	1998-05-11	PRIJEM	PREVOD Z UCTU	3330	23088	\N	OP	23069972
1128036	3854	1998-06-11	PRIJEM	PREVOD Z UCTU	3330	22877	\N	OP	23069972
1128037	3854	1998-07-11	PRIJEM	PREVOD Z UCTU	3330	22059	\N	OP	23069972
1128038	3854	1998-08-11	PRIJEM	PREVOD Z UCTU	3330	24638	\N	OP	23069972
1128039	3854	1998-09-11	PRIJEM	PREVOD Z UCTU	3330	24653	\N	OP	23069972
1128040	3854	1998-10-11	PRIJEM	PREVOD Z UCTU	3330	25740	\N	OP	23069972
1128041	3854	1998-11-11	PRIJEM	PREVOD Z UCTU	3330	29132	\N	OP	23069972
1128042	3854	1998-12-11	PRIJEM	PREVOD Z UCTU	3330	29935	\N	OP	23069972
1128051	3854	1996-09-14	VYDAJ	PREVOD NA UCET	1290	30469	SIPO	QR	36950737
1128052	3854	1996-10-14	VYDAJ	PREVOD NA UCET	1290	32322	SIPO	QR	36950737
1128053	3854	1996-11-14	VYDAJ	PREVOD NA UCET	1290	33952	SIPO	QR	36950737
1128054	3854	1996-12-14	VYDAJ	PREVOD NA UCET	1290	30587	SIPO	QR	36950737
1128055	3854	1997-01-14	VYDAJ	PREVOD NA UCET	1290	25581	SIPO	QR	36950737
1128056	3854	1997-02-14	VYDAJ	PREVOD NA UCET	1290	23993	SIPO	QR	36950737
1128057	3854	1997-03-14	VYDAJ	PREVOD NA UCET	1290	25186	SIPO	QR	36950737
1128058	3854	1997-04-14	VYDAJ	PREVOD NA UCET	1290	26205	SIPO	QR	36950737
1128059	3854	1997-05-14	VYDAJ	PREVOD NA UCET	1290	24268	SIPO	QR	36950737
1128060	3854	1997-06-14	VYDAJ	PREVOD NA UCET	1290	18508	SIPO	QR	36950737
1128061	3854	1997-07-14	VYDAJ	PREVOD NA UCET	1290	21191	SIPO	QR	36950737
1128062	3854	1997-08-14	VYDAJ	PREVOD NA UCET	1290	22081	SIPO	QR	36950737
1128063	3854	1997-09-14	VYDAJ	PREVOD NA UCET	1290	23177	SIPO	QR	36950737
1128064	3854	1997-10-14	VYDAJ	PREVOD NA UCET	1290	24168	SIPO	QR	36950737
1128065	3854	1997-11-14	VYDAJ	PREVOD NA UCET	1290	19774	SIPO	QR	36950737
1128066	3854	1997-12-14	VYDAJ	PREVOD NA UCET	1290	21158	SIPO	QR	36950737
1128067	3854	1998-01-14	VYDAJ	PREVOD NA UCET	1290	20880	SIPO	QR	36950737
1128068	3854	1998-02-14	VYDAJ	PREVOD NA UCET	1290	21591	SIPO	QR	36950737
1128069	3854	1998-03-14	VYDAJ	PREVOD NA UCET	1290	24474	SIPO	QR	36950737
1128070	3854	1998-04-14	VYDAJ	PREVOD NA UCET	1290	25268	SIPO	QR	36950737
1128071	3854	1998-05-14	VYDAJ	PREVOD NA UCET	1290	20868	SIPO	QR	36950737
1128072	3854	1998-06-14	VYDAJ	PREVOD NA UCET	1290	20657	SIPO	QR	36950737
1128073	3854	1998-07-14	VYDAJ	PREVOD NA UCET	1290	19839	SIPO	QR	36950737
1128074	3854	1998-08-14	VYDAJ	PREVOD NA UCET	1290	22418	SIPO	QR	36950737
1128075	3854	1998-09-14	VYDAJ	PREVOD NA UCET	1290	22433	SIPO	QR	36950737
1128076	3854	1998-10-14	VYDAJ	PREVOD NA UCET	1290	23520	SIPO	QR	36950737
1128077	3854	1998-11-14	VYDAJ	PREVOD NA UCET	1290	26912	SIPO	QR	36950737
1128078	3854	1998-12-14	VYDAJ	PREVOD NA UCET	1290	27715	SIPO	QR	36950737
1128087	3854	1996-09-13	VYDAJ	PREVOD NA UCET	930	31759	 	OP	59714329
1128088	3854	1996-10-13	VYDAJ	PREVOD NA UCET	930	33612	 	OP	59714329
1128089	3854	1996-11-13	VYDAJ	PREVOD NA UCET	930	35242	 	OP	59714329
1128090	3854	1996-12-13	VYDAJ	PREVOD NA UCET	930	31877	 	OP	59714329
1128091	3854	1997-01-13	VYDAJ	PREVOD NA UCET	930	26871	 	OP	59714329
1128092	3854	1997-02-13	VYDAJ	PREVOD NA UCET	930	25283	 	OP	59714329
1128093	3854	1997-03-13	VYDAJ	PREVOD NA UCET	930	26476	 	OP	59714329
1128094	3854	1997-04-13	VYDAJ	PREVOD NA UCET	930	27495	 	OP	59714329
1128095	3854	1997-05-13	VYDAJ	PREVOD NA UCET	930	27558	 	OP	59714329
1128096	3854	1997-06-13	VYDAJ	PREVOD NA UCET	930	25558	 	OP	59714329
1128097	3854	1997-07-13	VYDAJ	PREVOD NA UCET	930	23381	 	OP	59714329
1128098	3854	1997-08-13	VYDAJ	PREVOD NA UCET	930	23371	 	OP	59714329
1128099	3854	1997-09-13	VYDAJ	PREVOD NA UCET	930	24467	 	OP	59714329
1128100	3854	1997-10-13	VYDAJ	PREVOD NA UCET	930	25458	 	OP	59714329
1128101	3854	1997-11-13	VYDAJ	PREVOD NA UCET	930	21064	 	OP	59714329
1128102	3854	1997-12-13	VYDAJ	PREVOD NA UCET	930	22448	 	OP	59714329
1128103	3854	1998-01-13	VYDAJ	PREVOD NA UCET	930	22170	 	OP	59714329
1128104	3854	1998-02-13	VYDAJ	PREVOD NA UCET	930	22881	 	OP	59714329
1128105	3854	1998-03-13	VYDAJ	PREVOD NA UCET	930	25764	 	OP	59714329
1128106	3854	1998-04-13	VYDAJ	PREVOD NA UCET	930	26558	 	OP	59714329
1128107	3854	1998-05-13	VYDAJ	PREVOD NA UCET	930	22158	 	OP	59714329
1128108	3854	1998-06-13	VYDAJ	PREVOD NA UCET	930	21947	 	OP	59714329
1128109	3854	1998-07-13	VYDAJ	PREVOD NA UCET	930	21129	 	OP	59714329
1128110	3854	1998-08-13	VYDAJ	PREVOD NA UCET	930	23708	 	OP	59714329
1128111	3854	1998-09-13	VYDAJ	PREVOD NA UCET	930	23723	 	OP	59714329
1128112	3854	1998-10-13	VYDAJ	PREVOD NA UCET	930	24810	 	OP	59714329
1128113	3854	1998-11-13	VYDAJ	PREVOD NA UCET	930	28202	 	OP	59714329
1128114	3854	1998-12-13	VYDAJ	PREVOD NA UCET	930	29005	 	OP	59714329
1128116	3854	1997-06-14	VYDAJ	VYBER	5760	19798	\N	\N	\N
1128119	3854	1997-01-07	VYDAJ	VYBER	930	26571	\N	\N	\N
1128120	3854	1998-01-23	VYDAJ	VYBER	390	19980	\N	\N	\N
1128121	3854	1996-12-18	VYDAJ	VYBER	840	27547	\N	\N	\N
1128122	3854	1997-12-29	VYDAJ	VYBER	210	20948	\N	\N	\N
1128123	3854	1998-12-27	VYDAJ	VYBER	330	27385	\N	\N	\N
1128130	3854	1997-01-18	VYDAJ	VYBER	420	25161	\N	\N	\N
1128131	3854	1997-01-01	VYDAJ	VYBER	150	27501	\N	\N	\N
1128132	3854	1997-01-25	VYDAJ	VYBER	750	22791	\N	\N	\N
1128133	3854	1997-01-19	VYDAJ	VYBER	840	23781	\N	\N	\N
1128134	3854	1997-01-24	VYDAJ	VYBER	240	23541	\N	\N	\N
1128135	3854	1997-01-19	VYDAJ	VYBER	540	24621	\N	\N	\N
1128136	3854	1998-01-20	VYDAJ	VYBER	180	20370	\N	\N	\N
1128137	3854	1998-01-10	VYDAJ	VYBER	360	19770	\N	\N	\N
1128138	3854	1998-01-28	VYDAJ	VYBER	270	19710	\N	\N	\N
1128139	3854	1998-01-10	VYDAJ	VYBER	870	20130	\N	\N	\N
1128140	3854	1998-01-18	VYDAJ	VYBER	330	20550	\N	\N	\N
1128141	3854	1998-01-02	VYDAJ	VYBER	420	20600	\N	\N	\N
1128144	3854	1996-10-12	VYDAJ	VYBER	270	34542	\N	\N	\N
1128148	3854	1997-07-14	VYDAJ	VYBER	900	22481	\N	\N	\N
1128149	3854	1997-11-10	VYDAJ	VYBER	1290	18664	\N	\N	\N
1128150	3854	1997-07-15	VYDAJ	VYBER	390	20801	\N	\N	\N
1128151	3854	1997-05-12	VYDAJ	VYBER	780	28488	\N	\N	\N
1128152	3854	1997-04-18	VYDAJ	VYBER	360	25845	\N	\N	\N
1128153	3854	1997-08-01	VYDAJ	VYBER	900	19971	\N	\N	\N
1128154	3854	1997-04-01	VYDAJ	VYBER	180	25095	\N	\N	\N
1128155	3854	1997-09-05	VYDAJ	VYBER	390	21767	\N	\N	\N
1128156	3854	1998-08-29	VYDAJ	VYBER	1470	20948	\N	\N	\N
1128166	3854	1996-09-30	VYDAJ	VYBER	15	31482	SLUZBY	\N	\N
1128167	3854	1996-10-31	VYDAJ	VYBER	15	32842	SLUZBY	\N	\N
1128168	3854	1996-11-30	VYDAJ	VYBER	15	29477	SLUZBY	\N	\N
1128169	3854	1996-12-31	VYDAJ	VYBER	15	27651	SLUZBY	\N	\N
1128170	3854	1997-01-31	VYDAJ	VYBER	15	22883	SLUZBY	\N	\N
1128171	3854	1997-02-28	VYDAJ	VYBER	15	24076	SLUZBY	\N	\N
1128172	3854	1997-03-31	VYDAJ	VYBER	15	25275	SLUZBY	\N	\N
1128173	3854	1997-04-30	VYDAJ	VYBER	15	25938	SLUZBY	\N	\N
1128174	3854	1997-05-31	VYDAJ	VYBER	15	24358	SLUZBY	\N	\N
1128175	3854	1997-06-30	VYDAJ	VYBER	15	18581	SLUZBY	\N	\N
1128176	3854	1997-07-31	VYDAJ	VYBER	15	20871	SLUZBY	\N	\N
1128177	3854	1997-08-31	VYDAJ	VYBER	15	22157	SLUZBY	\N	\N
1128178	3854	1997-09-30	VYDAJ	VYBER	15	23258	SLUZBY	\N	\N
1128179	3854	1997-10-31	VYDAJ	VYBER	15	24254	SLUZBY	\N	\N
1128180	3854	1997-11-30	VYDAJ	VYBER	15	19848	SLUZBY	\N	\N
1128181	3854	1997-12-31	VYDAJ	VYBER	15	21020	SLUZBY	\N	\N
1128182	3854	1998-01-31	VYDAJ	VYBER	15	19781	SLUZBY	\N	\N
1128183	3854	1998-02-28	VYDAJ	VYBER	15	21664	SLUZBY	\N	\N
1128184	3854	1998-03-31	VYDAJ	VYBER	15	24558	SLUZBY	\N	\N
1128185	3854	1998-04-30	VYDAJ	VYBER	15	25358	SLUZBY	\N	\N
1128186	3854	1998-05-31	VYDAJ	VYBER	15	20947	SLUZBY	\N	\N
1128187	3854	1998-06-30	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
1128188	3854	1998-07-31	VYDAJ	VYBER	15	19908	SLUZBY	\N	\N
1128189	3854	1998-08-31	VYDAJ	VYBER	15	21023	SLUZBY	\N	\N
1128190	3854	1998-09-30	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
1128191	3854	1998-10-31	VYDAJ	VYBER	15	23602	SLUZBY	\N	\N
1128192	3854	1998-11-30	VYDAJ	VYBER	15	27005	SLUZBY	\N	\N
1128193	3854	1996-05-18	PRIJEM	VKLAD	11400	15030	\N	\N	\N
1128194	3854	1996-06-17	PRIJEM	VKLAD	4800	23188	\N	\N	\N
1128195	3854	1996-07-17	PRIJEM	VKLAD	3100	29697	\N	\N	\N
1128196	3854	1996-08-16	VYDAJ	VYBER	3900	29237	\N	\N	\N
1128197	3854	1996-09-15	PRIJEM	VKLAD	900	31369	\N	\N	\N
1128198	3854	1996-10-15	PRIJEM	VKLAD	400	32722	\N	\N	\N
1128199	3854	1996-11-14	VYDAJ	VYBER	4600	29352	\N	\N	\N
1128200	3854	1996-12-14	VYDAJ	VYBER	2200	28387	\N	\N	\N
1128201	3854	1997-01-13	VYDAJ	VYBER	2100	27801	\N	\N	\N
1128202	3854	1997-05-13	VYDAJ	VYBER	2000	25558	\N	\N	\N
1128203	3854	1997-06-12	VYDAJ	VYBER	1200	26488	\N	\N	\N
1128204	3854	1997-07-12	PRIJEM	VKLAD	2400	24311	\N	\N	\N
1128205	3854	1997-08-11	PRIJEM	VKLAD	1000	24301	\N	\N	\N
1128206	3854	1997-09-10	PRIJEM	VKLAD	300	22067	\N	\N	\N
1128207	3854	1997-10-10	VYDAJ	VYBER	200	23058	\N	\N	\N
1128208	3854	1997-11-09	VYDAJ	VYBER	4300	19954	\N	\N	\N
1128209	3854	1997-12-09	PRIJEM	VKLAD	200	20048	\N	\N	\N
1128210	3854	1998-01-08	PRIJEM	VKLAD	400	21000	\N	\N	\N
1128211	3854	1998-02-07	PRIJEM	VKLAD	700	20481	\N	\N	\N
1128212	3854	1998-03-09	PRIJEM	VKLAD	1700	23364	\N	\N	\N
1128213	3854	1998-04-08	VYDAJ	VYBER	400	24158	\N	\N	\N
1128214	3854	1998-05-08	VYDAJ	VYBER	5600	19758	\N	\N	\N
1128215	3854	1998-06-07	VYDAJ	VYBER	1400	19547	\N	\N	\N
1128216	3854	1998-07-07	VYDAJ	VYBER	2000	18729	\N	\N	\N
1128217	3854	1998-08-06	PRIJEM	VKLAD	1400	21308	\N	\N	\N
1128218	3854	1998-09-05	PRIJEM	VKLAD	300	21323	\N	\N	\N
1128219	3854	1998-10-05	VYDAJ	VYBER	100	22410	\N	\N	\N
1128220	3854	1998-11-04	PRIJEM	VKLAD	2200	25802	\N	\N	\N
1128221	3854	1998-12-04	VYDAJ	VYBER	400	26605	\N	\N	\N
1128254	3855	1995-09-04	PRIJEM	VKLAD	300	300	\N	\N	\N
1128263	3855	1995-09-06	PRIJEM	VKLAD	21927	22227	\N	\N	\N
1128264	3855	1995-10-06	PRIJEM	VKLAD	21927	46831	\N	\N	\N
1128265	3855	1995-11-06	PRIJEM	VKLAD	21927	56437	\N	\N	\N
1128266	3855	1995-12-06	PRIJEM	VKLAD	32890	75955	\N	\N	\N
1128267	3855	1996-01-06	PRIJEM	VKLAD	21927	72086	\N	\N	\N
1128268	3855	1996-02-06	PRIJEM	VKLAD	21927	53627	\N	\N	\N
1128269	3855	1996-03-06	PRIJEM	VKLAD	21927	51713	\N	\N	\N
1128270	3855	1996-04-06	PRIJEM	VKLAD	21927	56294	\N	\N	\N
1128271	3855	1996-05-06	PRIJEM	VKLAD	21927	53991	\N	\N	\N
1128272	3855	1996-06-06	PRIJEM	VKLAD	32890	63742	\N	\N	\N
1128273	3855	1996-07-06	PRIJEM	VKLAD	21927	54742	\N	\N	\N
1128274	3855	1996-08-06	PRIJEM	VKLAD	21927	54112	\N	\N	\N
1128275	3855	1996-09-06	PRIJEM	VKLAD	21927	57185	\N	\N	\N
1128276	3855	1996-10-06	PRIJEM	VKLAD	21927	56170	\N	\N	\N
1128277	3855	1996-11-06	PRIJEM	VKLAD	21927	55348	\N	\N	\N
1128278	3855	1996-12-06	PRIJEM	VKLAD	32890	66586	\N	\N	\N
1128279	3855	1997-01-06	PRIJEM	VKLAD	21927	58989	\N	\N	\N
1128280	3855	1997-02-06	PRIJEM	VKLAD	21927	51459	\N	\N	\N
1128281	3855	1997-03-06	PRIJEM	VKLAD	21927	54118	\N	\N	\N
1128282	3855	1997-04-06	PRIJEM	VKLAD	21927	55787	\N	\N	\N
1128283	3855	1997-05-06	PRIJEM	VKLAD	21927	57562	\N	\N	\N
1128284	3855	1997-06-06	PRIJEM	VKLAD	32890	55604	\N	\N	\N
1128285	3855	1997-07-06	PRIJEM	VKLAD	21927	56687	\N	\N	\N
1128286	3855	1997-08-06	PRIJEM	VKLAD	21927	55657	\N	\N	\N
1128287	3855	1997-09-06	PRIJEM	VKLAD	21927	54526	\N	\N	\N
1128288	3855	1997-10-06	PRIJEM	VKLAD	21927	56991	\N	\N	\N
1128289	3855	1997-11-06	PRIJEM	VKLAD	21927	57163	\N	\N	\N
1128290	3855	1997-12-06	PRIJEM	VKLAD	32890	62379	\N	\N	\N
1128291	3855	1998-01-06	PRIJEM	VKLAD	21927	59360	\N	\N	\N
1128292	3855	1998-02-06	PRIJEM	VKLAD	21927	45522	\N	\N	\N
1128293	3855	1998-03-06	PRIJEM	VKLAD	21927	52452	\N	\N	\N
1128294	3855	1998-04-06	PRIJEM	VKLAD	21927	51599	\N	\N	\N
1128295	3855	1998-05-06	PRIJEM	VKLAD	21927	51544	\N	\N	\N
1128296	3855	1998-06-06	PRIJEM	VKLAD	32890	60351	\N	\N	\N
1128297	3855	1998-07-06	PRIJEM	VKLAD	21927	38307	\N	\N	\N
1128298	3855	1998-08-06	PRIJEM	VKLAD	21927	42000	\N	\N	\N
1128299	3855	1998-09-06	PRIJEM	VKLAD	21927	45305	\N	\N	\N
1128300	3855	1998-10-06	PRIJEM	VKLAD	21927	43214	\N	\N	\N
1128301	3855	1998-11-06	PRIJEM	VKLAD	21927	48627	\N	\N	\N
1128302	3855	1998-12-06	PRIJEM	VKLAD	32890	50702	\N	\N	\N
1128315	3855	1996-01-07	VYDAJ	PREVOD NA UCET	950	71136	SIPO	ST	32587927
1128316	3855	1996-02-07	VYDAJ	PREVOD NA UCET	950	52677	SIPO	ST	32587927
1128317	3855	1996-03-07	VYDAJ	PREVOD NA UCET	950	50763	SIPO	ST	32587927
1128318	3855	1996-04-07	VYDAJ	PREVOD NA UCET	950	55344	SIPO	ST	32587927
1128319	3855	1996-05-07	VYDAJ	PREVOD NA UCET	950	53041	SIPO	ST	32587927
1128320	3855	1996-06-07	VYDAJ	PREVOD NA UCET	950	62792	SIPO	ST	32587927
1128321	3855	1996-07-07	VYDAJ	PREVOD NA UCET	950	53792	SIPO	ST	32587927
1128322	3855	1996-08-07	VYDAJ	PREVOD NA UCET	950	53162	SIPO	ST	32587927
1128323	3855	1996-09-07	VYDAJ	PREVOD NA UCET	950	56235	SIPO	ST	32587927
1128324	3855	1996-10-07	VYDAJ	PREVOD NA UCET	950	55220	SIPO	ST	32587927
1128325	3855	1996-11-07	VYDAJ	PREVOD NA UCET	950	54398	SIPO	ST	32587927
1128326	3855	1996-12-07	VYDAJ	PREVOD NA UCET	950	65636	SIPO	ST	32587927
1128327	3855	1997-01-07	VYDAJ	PREVOD NA UCET	950	55539	SIPO	ST	32587927
1128328	3855	1997-02-07	VYDAJ	PREVOD NA UCET	950	50509	SIPO	ST	32587927
1128329	3855	1997-03-07	VYDAJ	PREVOD NA UCET	950	53168	SIPO	ST	32587927
1128330	3855	1997-04-07	VYDAJ	PREVOD NA UCET	950	54837	SIPO	ST	32587927
1128331	3855	1997-05-07	VYDAJ	PREVOD NA UCET	950	56612	SIPO	ST	32587927
1128332	3855	1997-06-07	VYDAJ	PREVOD NA UCET	950	54654	SIPO	ST	32587927
1128333	3855	1997-07-07	VYDAJ	PREVOD NA UCET	950	55737	SIPO	ST	32587927
1128334	3855	1997-08-07	VYDAJ	PREVOD NA UCET	950	54707	SIPO	ST	32587927
1128335	3855	1997-09-07	VYDAJ	PREVOD NA UCET	950	53576	SIPO	ST	32587927
1128336	3855	1997-10-07	VYDAJ	PREVOD NA UCET	950	56041	SIPO	ST	32587927
1128337	3855	1997-11-07	VYDAJ	PREVOD NA UCET	950	52113	SIPO	ST	32587927
1128338	3855	1997-12-07	VYDAJ	PREVOD NA UCET	950	61429	SIPO	ST	32587927
1128339	3855	1998-01-07	VYDAJ	PREVOD NA UCET	950	58410	SIPO	ST	32587927
1128340	3855	1998-02-07	VYDAJ	PREVOD NA UCET	950	44572	SIPO	ST	32587927
1128341	3855	1998-03-07	VYDAJ	PREVOD NA UCET	950	51502	SIPO	ST	32587927
1128342	3855	1998-04-07	VYDAJ	PREVOD NA UCET	950	50649	SIPO	ST	32587927
1128343	3855	1998-05-07	VYDAJ	PREVOD NA UCET	950	50594	SIPO	ST	32587927
1128344	3855	1998-06-07	VYDAJ	PREVOD NA UCET	950	59401	SIPO	ST	32587927
1128345	3855	1998-07-07	VYDAJ	PREVOD NA UCET	950	37357	SIPO	ST	32587927
1128346	3855	1998-08-07	VYDAJ	PREVOD NA UCET	950	41050	SIPO	ST	32587927
1128347	3855	1998-09-07	VYDAJ	PREVOD NA UCET	950	44355	SIPO	ST	32587927
1128348	3855	1998-10-07	VYDAJ	PREVOD NA UCET	950	42264	SIPO	ST	32587927
1128349	3855	1998-11-07	VYDAJ	PREVOD NA UCET	950	47677	SIPO	ST	32587927
1128350	3855	1998-12-07	VYDAJ	PREVOD NA UCET	950	49752	SIPO	ST	32587927
1128363	3855	1996-01-14	VYDAJ	PREVOD NA UCET	5578	54863	 	IJ	38085216
1128364	3855	1996-02-14	VYDAJ	PREVOD NA UCET	5578	45004	 	IJ	38085216
1128365	3855	1996-03-14	VYDAJ	PREVOD NA UCET	5578	44390	 	IJ	38085216
1128366	3855	1996-04-14	VYDAJ	PREVOD NA UCET	5578	48971	 	IJ	38085216
1128367	3855	1996-05-14	VYDAJ	PREVOD NA UCET	5578	46668	 	IJ	38085216
1128368	3855	1996-06-14	VYDAJ	PREVOD NA UCET	5578	56419	 	IJ	38085216
1128369	3855	1996-07-14	VYDAJ	PREVOD NA UCET	5578	45119	 	IJ	38085216
1128370	3855	1996-08-14	VYDAJ	PREVOD NA UCET	5578	46789	 	IJ	38085216
1128371	3855	1996-09-14	VYDAJ	PREVOD NA UCET	5578	49862	 	IJ	38085216
1128372	3855	1996-10-14	VYDAJ	PREVOD NA UCET	5578	48847	 	IJ	38085216
1128373	3855	1996-11-14	VYDAJ	PREVOD NA UCET	5578	48025	 	IJ	38085216
1128374	3855	1996-12-14	VYDAJ	PREVOD NA UCET	5578	58563	 	IJ	38085216
1128375	3855	1997-01-14	VYDAJ	PREVOD NA UCET	5578	47866	 	IJ	38085216
1128376	3855	1997-02-14	VYDAJ	PREVOD NA UCET	5578	44136	 	IJ	38085216
1128377	3855	1997-03-14	VYDAJ	PREVOD NA UCET	5578	46795	 	IJ	38085216
1128378	3855	1997-04-14	VYDAJ	PREVOD NA UCET	5578	48464	 	IJ	38085216
1128379	3855	1997-05-14	VYDAJ	PREVOD NA UCET	5578	50239	 	IJ	38085216
1128380	3855	1997-06-14	VYDAJ	PREVOD NA UCET	5578	48281	 	IJ	38085216
1128381	3855	1997-07-14	VYDAJ	PREVOD NA UCET	5578	49364	 	IJ	38085216
1128382	3855	1997-08-14	VYDAJ	PREVOD NA UCET	5578	48334	 	IJ	38085216
1128383	3855	1997-09-14	VYDAJ	PREVOD NA UCET	5578	47203	 	IJ	38085216
1128384	3855	1997-10-14	VYDAJ	PREVOD NA UCET	5578	49668	 	IJ	38085216
1128385	3855	1997-11-14	VYDAJ	PREVOD NA UCET	5578	41840	 	IJ	38085216
1128386	3855	1997-12-14	VYDAJ	PREVOD NA UCET	5578	55056	 	IJ	38085216
1128387	3855	1998-01-14	VYDAJ	PREVOD NA UCET	5578	52037	 	IJ	38085216
1128388	3855	1998-02-14	VYDAJ	PREVOD NA UCET	5578	38199	 	IJ	38085216
1128389	3855	1998-03-14	VYDAJ	PREVOD NA UCET	5578	45129	 	IJ	38085216
1128390	3855	1998-04-14	VYDAJ	PREVOD NA UCET	5578	44276	 	IJ	38085216
1128391	3855	1998-05-14	VYDAJ	PREVOD NA UCET	5578	44221	 	IJ	38085216
1128392	3855	1998-06-14	VYDAJ	PREVOD NA UCET	5578	53028	 	IJ	38085216
1128393	3855	1998-07-14	VYDAJ	PREVOD NA UCET	5578	30984	 	IJ	38085216
1128394	3855	1998-08-14	VYDAJ	PREVOD NA UCET	5578	34677	 	IJ	38085216
1128395	3855	1998-09-14	VYDAJ	PREVOD NA UCET	5578	37982	 	IJ	38085216
1128396	3855	1998-10-14	VYDAJ	PREVOD NA UCET	5578	35891	 	IJ	38085216
1128397	3855	1998-11-14	VYDAJ	PREVOD NA UCET	5578	41304	 	IJ	38085216
1128398	3855	1998-12-14	VYDAJ	PREVOD NA UCET	5578	43379	 	IJ	38085216
1128411	3855	1996-01-11	VYDAJ	PREVOD NA UCET	795	70341	POJISTNE	MN	78167867
1128412	3855	1996-02-11	VYDAJ	PREVOD NA UCET	795	51882	POJISTNE	MN	78167867
1128413	3855	1996-03-11	VYDAJ	PREVOD NA UCET	795	49968	POJISTNE	MN	78167867
1128414	3855	1996-04-11	VYDAJ	PREVOD NA UCET	795	54549	POJISTNE	MN	78167867
1128415	3855	1996-05-11	VYDAJ	PREVOD NA UCET	795	52246	POJISTNE	MN	78167867
1128416	3855	1996-06-11	VYDAJ	PREVOD NA UCET	795	61997	POJISTNE	MN	78167867
1128417	3855	1996-07-11	VYDAJ	PREVOD NA UCET	795	50697	POJISTNE	MN	78167867
1128418	3855	1996-08-11	VYDAJ	PREVOD NA UCET	795	52367	POJISTNE	MN	78167867
1128419	3855	1996-09-11	VYDAJ	PREVOD NA UCET	795	55440	POJISTNE	MN	78167867
1128420	3855	1996-10-11	VYDAJ	PREVOD NA UCET	795	54425	POJISTNE	MN	78167867
1128421	3855	1996-11-11	VYDAJ	PREVOD NA UCET	795	53603	POJISTNE	MN	78167867
1128422	3855	1996-12-11	VYDAJ	PREVOD NA UCET	795	64141	POJISTNE	MN	78167867
1128423	3855	1997-01-11	VYDAJ	PREVOD NA UCET	795	54744	POJISTNE	MN	78167867
1128424	3855	1997-02-11	VYDAJ	PREVOD NA UCET	795	49714	POJISTNE	MN	78167867
1128425	3855	1997-03-11	VYDAJ	PREVOD NA UCET	795	52373	POJISTNE	MN	78167867
1128426	3855	1997-04-11	VYDAJ	PREVOD NA UCET	795	54042	POJISTNE	MN	78167867
1128427	3855	1997-05-11	VYDAJ	PREVOD NA UCET	795	55817	POJISTNE	MN	78167867
1128428	3855	1997-06-11	VYDAJ	PREVOD NA UCET	795	53859	POJISTNE	MN	78167867
1128429	3855	1997-07-11	VYDAJ	PREVOD NA UCET	795	54942	POJISTNE	MN	78167867
1128430	3855	1997-08-11	VYDAJ	PREVOD NA UCET	795	53912	POJISTNE	MN	78167867
1128431	3855	1997-09-11	VYDAJ	PREVOD NA UCET	795	52781	POJISTNE	MN	78167867
1128432	3855	1997-10-11	VYDAJ	PREVOD NA UCET	795	55246	POJISTNE	MN	78167867
1128433	3855	1997-11-11	VYDAJ	PREVOD NA UCET	795	51318	POJISTNE	MN	78167867
1128434	3855	1997-12-11	VYDAJ	PREVOD NA UCET	795	60634	POJISTNE	MN	78167867
1128435	3855	1998-01-11	VYDAJ	PREVOD NA UCET	795	57615	POJISTNE	MN	78167867
1128436	3855	1998-02-11	VYDAJ	PREVOD NA UCET	795	43777	POJISTNE	MN	78167867
1128437	3855	1998-03-11	VYDAJ	PREVOD NA UCET	795	50707	POJISTNE	MN	78167867
1128438	3855	1998-04-11	VYDAJ	PREVOD NA UCET	795	49854	POJISTNE	MN	78167867
1128439	3855	1998-05-11	VYDAJ	PREVOD NA UCET	795	49799	POJISTNE	MN	78167867
1128440	3855	1998-06-11	VYDAJ	PREVOD NA UCET	795	58606	POJISTNE	MN	78167867
1128441	3855	1998-07-11	VYDAJ	PREVOD NA UCET	795	36562	POJISTNE	MN	78167867
1128442	3855	1998-08-11	VYDAJ	PREVOD NA UCET	795	40255	POJISTNE	MN	78167867
1128443	3855	1998-09-11	VYDAJ	PREVOD NA UCET	795	43560	POJISTNE	MN	78167867
1128444	3855	1998-10-11	VYDAJ	PREVOD NA UCET	795	41469	POJISTNE	MN	78167867
1128445	3855	1998-11-11	VYDAJ	PREVOD NA UCET	795	46882	POJISTNE	MN	78167867
1128446	3855	1998-12-11	VYDAJ	PREVOD NA UCET	795	48957	POJISTNE	MN	78167867
1128448	3855	1996-06-23	VYDAJ	VYBER	6100	50319	\N	\N	\N
1128449	3855	1997-06-02	VYDAJ	VYBER	11900	22714	\N	\N	\N
1128450	3855	1998-06-20	VYDAJ	VYBER	28000	25028	\N	\N	\N
1128452	3855	1996-01-14	VYDAJ	VYBER	9900	60441	\N	\N	\N
1128453	3855	1997-01-21	VYDAJ	VYBER	7900	39966	\N	\N	\N
1128454	3855	1998-01-23	VYDAJ	VYBER	7400	25437	\N	\N	\N
1128456	3855	1996-12-17	VYDAJ	VYBER	2500	56063	\N	\N	\N
1128457	3855	1997-12-16	VYDAJ	VYBER	1100	53956	\N	\N	\N
1128458	3855	1998-12-24	VYDAJ	VYBER	2900	22579	\N	\N	\N
1128467	3855	1996-01-29	VYDAJ	VYBER	2700	45763	\N	\N	\N
1128468	3855	1996-01-23	VYDAJ	VYBER	2200	48463	\N	\N	\N
1128470	3855	1996-01-19	VYDAJ	VYBER	700	50663	\N	\N	\N
1128471	3855	1997-01-02	VYDAJ	VYBER	1600	39562	\N	\N	\N
1128472	3855	1997-01-06	VYDAJ	VYBER	1900	57089	\N	\N	\N
1128473	3855	1997-01-23	VYDAJ	VYBER	2600	37366	\N	\N	\N
1128474	3855	1997-01-06	VYDAJ	VYBER	600	56489	\N	\N	\N
1128475	3855	1997-01-04	VYDAJ	VYBER	2500	37062	\N	\N	\N
1128476	3855	1997-01-13	VYDAJ	VYBER	1300	53444	\N	\N	\N
1128477	3855	1998-01-02	VYDAJ	VYBER	500	39533	\N	\N	\N
1128478	3855	1998-01-30	VYDAJ	VYBER	900	23437	\N	\N	\N
1128479	3855	1998-01-26	VYDAJ	VYBER	1100	24337	\N	\N	\N
1128480	3855	1998-01-17	VYDAJ	VYBER	1700	48537	\N	\N	\N
1128481	3855	1998-01-15	VYDAJ	VYBER	1800	50237	\N	\N	\N
1128482	3855	1998-01-04	VYDAJ	VYBER	2100	37433	\N	\N	\N
1128485	3855	1996-05-05	VYDAJ	VYBER	2700	32064	\N	\N	\N
1128486	3855	1996-07-10	VYDAJ	VYBER	2300	51492	\N	\N	\N
1128487	3855	1996-12-08	VYDAJ	VYBER	700	64936	\N	\N	\N
1128488	3855	1996-01-18	VYDAJ	VYBER	3500	51363	\N	\N	\N
1128489	3855	1996-02-13	VYDAJ	VYBER	1300	50582	\N	\N	\N
1128490	3855	1997-07-19	VYDAJ	VYBER	4500	44864	\N	\N	\N
1128491	3855	1997-07-26	VYDAJ	VYBER	900	33564	\N	\N	\N
1128492	3855	1997-08-30	VYDAJ	VYBER	3400	32434	\N	\N	\N
1128493	3855	1997-11-12	VYDAJ	VYBER	3900	47418	\N	\N	\N
1128494	3855	1997-11-06	VYDAJ	VYBER	4100	53063	\N	\N	\N
1128495	3855	1997-06-25	VYDAJ	VYBER	4100	44181	\N	\N	\N
1128496	3855	1998-11-29	VYDAJ	VYBER	1000	17704	\N	\N	\N
1128497	3855	1998-06-05	VYDAJ	VYBER	2300	27461	\N	\N	\N
1128498	3855	1998-03-17	VYDAJ	VYBER	3700	41429	\N	\N	\N
1128499	3855	1998-11-22	VYDAJ	VYBER	4000	18704	\N	\N	\N
1128513	3855	1996-01-31	VYDAJ	VYBER	15	46000	SLUZBY	\N	\N
1128514	3855	1996-02-29	VYDAJ	VYBER	15	45186	SLUZBY	\N	\N
1128515	3855	1996-03-31	VYDAJ	VYBER	15	44567	SLUZBY	\N	\N
1128516	3855	1996-04-30	VYDAJ	VYBER	15	49164	SLUZBY	\N	\N
1128517	3855	1996-05-31	VYDAJ	VYBER	15	30852	SLUZBY	\N	\N
1128518	3855	1996-06-30	VYDAJ	VYBER	15	32815	SLUZBY	\N	\N
1128519	3855	1996-07-31	VYDAJ	VYBER	15	32185	SLUZBY	\N	\N
1128520	3855	1996-08-31	VYDAJ	VYBER	15	35258	SLUZBY	\N	\N
1128521	3855	1996-09-30	VYDAJ	VYBER	15	34243	SLUZBY	\N	\N
1128522	3855	1996-10-31	VYDAJ	VYBER	15	33421	SLUZBY	\N	\N
1128523	3855	1996-11-30	VYDAJ	VYBER	15	33696	SLUZBY	\N	\N
1128524	3855	1996-12-31	VYDAJ	VYBER	15	41162	SLUZBY	\N	\N
1128525	3855	1997-01-31	VYDAJ	VYBER	15	29532	SLUZBY	\N	\N
1128526	3855	1997-02-28	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
1128527	3855	1997-03-31	VYDAJ	VYBER	15	33860	SLUZBY	\N	\N
1128528	3855	1997-04-30	VYDAJ	VYBER	15	35635	SLUZBY	\N	\N
1128529	3855	1997-05-31	VYDAJ	VYBER	15	34614	SLUZBY	\N	\N
1128530	3855	1997-06-30	VYDAJ	VYBER	15	34760	SLUZBY	\N	\N
1128531	3855	1997-07-31	VYDAJ	VYBER	15	33730	SLUZBY	\N	\N
1128532	3855	1997-08-31	VYDAJ	VYBER	15	32599	SLUZBY	\N	\N
1128533	3855	1997-09-30	VYDAJ	VYBER	15	35064	SLUZBY	\N	\N
1128534	3855	1997-10-31	VYDAJ	VYBER	15	35236	SLUZBY	\N	\N
1128535	3855	1997-11-30	VYDAJ	VYBER	15	29489	SLUZBY	\N	\N
1128536	3855	1997-12-31	VYDAJ	VYBER	15	40033	SLUZBY	\N	\N
1128537	3855	1998-01-31	VYDAJ	VYBER	15	23595	SLUZBY	\N	\N
1128538	3855	1998-02-28	VYDAJ	VYBER	15	30525	SLUZBY	\N	\N
1128539	3855	1998-03-31	VYDAJ	VYBER	15	29672	SLUZBY	\N	\N
1128540	3855	1998-04-30	VYDAJ	VYBER	15	29617	SLUZBY	\N	\N
1128541	3855	1998-05-31	VYDAJ	VYBER	15	29761	SLUZBY	\N	\N
1128542	3855	1998-06-30	VYDAJ	VYBER	15	16380	SLUZBY	\N	\N
1128543	3855	1998-07-31	VYDAJ	VYBER	15	20073	SLUZBY	\N	\N
1128544	3855	1998-08-31	VYDAJ	VYBER	15	23378	SLUZBY	\N	\N
1128545	3855	1998-09-30	VYDAJ	VYBER	15	21287	SLUZBY	\N	\N
1128546	3855	1998-10-31	VYDAJ	VYBER	15	26700	SLUZBY	\N	\N
1128547	3855	1998-11-30	VYDAJ	VYBER	15	17812	SLUZBY	\N	\N
1128548	3855	1995-10-04	PRIJEM	VKLAD	2600	24904	\N	\N	\N
1128549	3855	1995-11-03	VYDAJ	VYBER	12500	34510	\N	\N	\N
1128550	3855	1995-12-03	VYDAJ	VYBER	13600	43065	\N	\N	\N
1128551	3855	1996-01-02	VYDAJ	VYBER	26100	50159	\N	\N	\N
1128552	3855	1996-02-01	VYDAJ	VYBER	14300	31700	\N	\N	\N
1128553	3855	1996-03-02	VYDAJ	VYBER	15400	29786	\N	\N	\N
1128554	3855	1996-04-01	VYDAJ	VYBER	10200	34367	\N	\N	\N
1128555	3855	1996-05-01	VYDAJ	VYBER	14400	34764	\N	\N	\N
1128556	3855	1996-05-31	VYDAJ	VYBER	16000	30867	\N	\N	\N
1128557	3855	1996-06-30	VYDAJ	VYBER	17700	32829	\N	\N	\N
1128558	3855	1996-07-30	VYDAJ	VYBER	13100	32019	\N	\N	\N
1128559	3855	1996-08-29	VYDAJ	VYBER	11700	35089	\N	\N	\N
1128560	3855	1996-09-28	VYDAJ	VYBER	15800	34062	\N	\N	\N
1128561	3855	1996-10-28	VYDAJ	VYBER	15600	33247	\N	\N	\N
1128562	3855	1996-11-27	VYDAJ	VYBER	14500	33525	\N	\N	\N
1128563	3855	1996-12-27	VYDAJ	VYBER	15100	40963	\N	\N	\N
1128564	3855	1997-01-26	VYDAJ	VYBER	8000	29366	\N	\N	\N
1128565	3855	1997-02-25	VYDAJ	VYBER	12100	32036	\N	\N	\N
1128566	3855	1997-03-27	VYDAJ	VYBER	13100	33695	\N	\N	\N
1128567	3855	1997-04-26	VYDAJ	VYBER	13000	35464	\N	\N	\N
1128568	3855	1997-05-26	VYDAJ	VYBER	15800	34439	\N	\N	\N
1128569	3855	1997-06-25	VYDAJ	VYBER	9600	34581	\N	\N	\N
1128570	3855	1997-07-25	VYDAJ	VYBER	10400	34464	\N	\N	\N
1128571	3855	1997-08-24	VYDAJ	VYBER	12500	35834	\N	\N	\N
1128572	3855	1997-09-23	VYDAJ	VYBER	12300	34903	\N	\N	\N
1128573	3855	1997-10-23	VYDAJ	VYBER	14600	35068	\N	\N	\N
1128574	3855	1997-11-22	VYDAJ	VYBER	12500	29340	\N	\N	\N
1128575	3855	1997-12-22	VYDAJ	VYBER	14100	39856	\N	\N	\N
1128576	3855	1998-01-21	VYDAJ	VYBER	15700	32837	\N	\N	\N
1128577	3855	1998-02-20	VYDAJ	VYBER	7800	30399	\N	\N	\N
1128578	3855	1998-03-22	VYDAJ	VYBER	11900	29529	\N	\N	\N
1128579	3855	1998-04-21	VYDAJ	VYBER	14800	29476	\N	\N	\N
1128580	3855	1998-05-21	VYDAJ	VYBER	14600	29621	\N	\N	\N
1128581	3855	1998-06-20	VYDAJ	VYBER	8800	16228	\N	\N	\N
1128582	3855	1998-07-20	VYDAJ	VYBER	11000	19984	\N	\N	\N
1128583	3855	1998-08-19	VYDAJ	VYBER	11400	23277	\N	\N	\N
1128584	3855	1998-09-18	VYDAJ	VYBER	16800	21182	\N	\N	\N
1128585	3855	1998-10-18	VYDAJ	VYBER	9300	26591	\N	\N	\N
1128586	3855	1998-11-17	VYDAJ	VYBER	18600	22704	\N	\N	\N
1128587	3855	1998-12-17	VYDAJ	VYBER	17900	25479	\N	\N	\N
1128628	3856	1996-12-03	PRIJEM	VKLAD	500	500	\N	\N	\N
1128640	3856	1996-12-14	PRIJEM	PREVOD Z UCTU	4938	5438	DUCHOD	ST	20122891
1128641	3856	1997-01-14	PRIJEM	PREVOD Z UCTU	4938	10389	DUCHOD	ST	20122891
1128642	3856	1997-02-14	PRIJEM	PREVOD Z UCTU	4938	15350	DUCHOD	ST	20122891
1128643	3856	1997-03-14	PRIJEM	PREVOD Z UCTU	4938	20310	DUCHOD	ST	20122891
1128644	3856	1997-04-14	PRIJEM	PREVOD Z UCTU	4938	22671	DUCHOD	ST	20122891
1128645	3856	1997-05-14	PRIJEM	PREVOD Z UCTU	4938	19778	DUCHOD	ST	20122891
1128646	3856	1997-06-14	PRIJEM	PREVOD Z UCTU	4938	15108	DUCHOD	ST	20122891
1128647	3856	1997-07-14	PRIJEM	PREVOD Z UCTU	4938	17821	DUCHOD	ST	20122891
1128648	3856	1997-08-14	PRIJEM	PREVOD Z UCTU	4938	15734	DUCHOD	ST	20122891
1128649	3856	1997-09-14	PRIJEM	PREVOD Z UCTU	4938	16176	DUCHOD	ST	20122891
1128650	3856	1997-10-14	PRIJEM	PREVOD Z UCTU	4938	17982	DUCHOD	ST	20122891
1128651	3856	1997-11-14	PRIJEM	PREVOD Z UCTU	4938	15294	DUCHOD	ST	20122891
1128652	3856	1997-12-14	PRIJEM	PREVOD Z UCTU	4938	17996	DUCHOD	ST	20122891
1128653	3856	1998-01-14	PRIJEM	PREVOD Z UCTU	4938	18259	DUCHOD	ST	20122891
1128654	3856	1998-02-14	PRIJEM	PREVOD Z UCTU	4938	15814	DUCHOD	ST	20122891
1128655	3856	1998-03-14	PRIJEM	PREVOD Z UCTU	4938	13153	DUCHOD	ST	20122891
1128656	3856	1998-04-14	PRIJEM	PREVOD Z UCTU	4938	15846	DUCHOD	ST	20122891
1128657	3856	1998-05-14	PRIJEM	PREVOD Z UCTU	4938	16650	DUCHOD	ST	20122891
1128658	3856	1998-06-14	PRIJEM	PREVOD Z UCTU	4938	18357	DUCHOD	ST	20122891
1128659	3856	1998-07-14	PRIJEM	PREVOD Z UCTU	4938	16149	DUCHOD	ST	20122891
1128660	3856	1998-08-14	PRIJEM	PREVOD Z UCTU	4938	15255	DUCHOD	ST	20122891
1128661	3856	1998-09-14	PRIJEM	PREVOD Z UCTU	4938	14053	DUCHOD	ST	20122891
1128662	3856	1998-10-14	PRIJEM	PREVOD Z UCTU	4938	15949	DUCHOD	ST	20122891
1128663	3856	1998-11-14	PRIJEM	PREVOD Z UCTU	4938	16552	DUCHOD	ST	20122891
1128664	3856	1998-12-14	PRIJEM	PREVOD Z UCTU	4938	17739	DUCHOD	ST	20122891
1128681	3856	1997-05-13	VYDAJ	PREVOD NA UCET	2280	14840	SIPO	UV	91998385
1128682	3856	1997-06-13	VYDAJ	PREVOD NA UCET	2280	10170	SIPO	UV	91998385
1128683	3856	1997-07-13	VYDAJ	PREVOD NA UCET	2280	12883	SIPO	UV	91998385
1128684	3856	1997-08-13	VYDAJ	PREVOD NA UCET	2280	10796	SIPO	UV	91998385
1128685	3856	1997-09-13	VYDAJ	PREVOD NA UCET	2280	11238	SIPO	UV	91998385
1128686	3856	1997-10-13	VYDAJ	PREVOD NA UCET	2280	13044	SIPO	UV	91998385
1128687	3856	1997-11-13	VYDAJ	PREVOD NA UCET	2280	10356	SIPO	UV	91998385
1128688	3856	1997-12-13	VYDAJ	PREVOD NA UCET	2280	13058	SIPO	UV	91998385
1128689	3856	1998-01-13	VYDAJ	PREVOD NA UCET	2280	13321	SIPO	UV	91998385
1128690	3856	1998-02-13	VYDAJ	PREVOD NA UCET	2280	10876	SIPO	UV	91998385
1128691	3856	1998-03-13	VYDAJ	PREVOD NA UCET	2280	8215	SIPO	UV	91998385
1128692	3856	1998-04-13	VYDAJ	PREVOD NA UCET	2280	10908	SIPO	UV	91998385
1128693	3856	1998-05-13	VYDAJ	PREVOD NA UCET	2280	11712	SIPO	UV	91998385
1128694	3856	1998-06-13	VYDAJ	PREVOD NA UCET	2280	13419	SIPO	UV	91998385
1128695	3856	1998-07-13	VYDAJ	PREVOD NA UCET	2280	11211	SIPO	UV	91998385
1128696	3856	1998-08-13	VYDAJ	PREVOD NA UCET	2280	10317	SIPO	UV	91998385
1128697	3856	1998-09-13	VYDAJ	PREVOD NA UCET	2280	9115	SIPO	UV	91998385
1128698	3856	1998-10-13	VYDAJ	PREVOD NA UCET	2280	11011	SIPO	UV	91998385
1128699	3856	1998-11-13	VYDAJ	PREVOD NA UCET	2280	11614	SIPO	UV	91998385
1128700	3856	1998-12-13	VYDAJ	PREVOD NA UCET	2280	12801	SIPO	UV	91998385
1128706	3856	1998-01-14	VYDAJ	VYBER	3550	14709	\N	\N	\N
1128708	3856	1997-12-14	VYDAJ	VYBER	250	17746	\N	\N	\N
1128709	3856	1998-12-30	VYDAJ	VYBER	1350	13869	\N	\N	\N
1128722	3856	1998-01-13	VYDAJ	VYBER	1600	15601	\N	\N	\N
1128724	3856	1998-01-15	VYDAJ	VYBER	1600	13109	\N	\N	\N
1128736	3856	1997-08-17	VYDAJ	VYBER	560	15174	\N	\N	\N
1128738	3856	1998-12-19	VYDAJ	VYBER	1920	15819	\N	\N	\N
1128739	3856	1998-07-04	VYDAJ	VYBER	1520	13491	\N	\N	\N
1128740	3856	1998-02-17	VYDAJ	VYBER	2560	13254	\N	\N	\N
1128742	3856	1998-12-05	VYDAJ	VYBER	1520	15081	\N	\N	\N
1128759	3856	1997-04-30	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
1128760	3856	1997-05-31	VYDAJ	VYBER	15	19850	SLUZBY	\N	\N
1128761	3856	1997-06-30	VYDAJ	VYBER	15	15163	SLUZBY	\N	\N
1128762	3856	1997-07-31	VYDAJ	VYBER	15	17876	SLUZBY	\N	\N
1128763	3856	1997-08-31	VYDAJ	VYBER	15	13518	SLUZBY	\N	\N
1128764	3856	1997-09-30	VYDAJ	VYBER	15	15324	SLUZBY	\N	\N
1128765	3856	1997-10-31	VYDAJ	VYBER	15	12636	SLUZBY	\N	\N
1128766	3856	1997-11-30	VYDAJ	VYBER	15	15338	SLUZBY	\N	\N
1128767	3856	1997-12-31	VYDAJ	VYBER	15	17201	SLUZBY	\N	\N
1128768	3856	1998-01-31	VYDAJ	VYBER	15	13156	SLUZBY	\N	\N
1128769	3856	1998-02-28	VYDAJ	VYBER	15	10495	SLUZBY	\N	\N
1128770	3856	1998-03-31	VYDAJ	VYBER	15	13188	SLUZBY	\N	\N
1128771	3856	1998-04-30	VYDAJ	VYBER	15	13992	SLUZBY	\N	\N
1128772	3856	1998-05-31	VYDAJ	VYBER	15	15699	SLUZBY	\N	\N
1128773	3856	1998-06-30	VYDAJ	VYBER	15	15011	SLUZBY	\N	\N
1128774	3856	1998-07-31	VYDAJ	VYBER	15	12597	SLUZBY	\N	\N
1128775	3856	1998-08-31	VYDAJ	VYBER	15	11395	SLUZBY	\N	\N
1128776	3856	1998-09-30	VYDAJ	VYBER	15	13291	SLUZBY	\N	\N
1128777	3856	1998-10-31	VYDAJ	VYBER	15	13894	SLUZBY	\N	\N
1128778	3856	1998-11-30	VYDAJ	VYBER	15	16601	SLUZBY	\N	\N
1128779	3856	1997-04-02	VYDAJ	VYBER	2600	17733	\N	\N	\N
1128780	3856	1997-05-02	VYDAJ	VYBER	5600	17120	\N	\N	\N
1128781	3856	1997-06-01	VYDAJ	VYBER	7400	12450	\N	\N	\N
1128782	3856	1997-07-31	VYDAJ	VYBER	4800	13076	\N	\N	\N
1128783	3856	1997-08-30	VYDAJ	VYBER	1700	13474	\N	\N	\N
1128784	3856	1997-09-29	VYDAJ	VYBER	900	15276	\N	\N	\N
1128785	3856	1997-10-29	VYDAJ	VYBER	5400	12582	\N	\N	\N
1128786	3856	1997-12-28	VYDAJ	VYBER	600	17146	\N	\N	\N
1128787	3856	1998-02-26	VYDAJ	VYBER	2800	10454	\N	\N	\N
1128788	3856	1998-04-27	VYDAJ	VYBER	1900	13946	\N	\N	\N
1128789	3856	1998-05-27	VYDAJ	VYBER	1000	15650	\N	\N	\N
1128790	3856	1998-06-26	VYDAJ	VYBER	3400	14957	\N	\N	\N
1128791	3856	1998-07-26	VYDAJ	VYBER	3600	12549	\N	\N	\N
1128792	3856	1998-08-25	VYDAJ	VYBER	3900	11355	\N	\N	\N
1128793	3856	1998-09-24	VYDAJ	VYBER	800	13253	\N	\N	\N
1128794	3856	1998-10-24	VYDAJ	VYBER	2100	13849	\N	\N	\N
1128795	3856	1998-12-23	VYDAJ	VYBER	600	15219	\N	\N	\N
1128821	3857	1997-10-22	PRIJEM	VKLAD	200	200	\N	\N	\N
1128832	3857	1997-11-09	PRIJEM	PREVOD Z UCTU	3275	3475	\N	OP	69076055
1128833	3857	1997-12-09	PRIJEM	PREVOD Z UCTU	3275	6750	\N	OP	69076055
1128834	3857	1998-01-09	PRIJEM	PREVOD Z UCTU	3275	10025	\N	OP	69076055
1128835	3857	1998-02-09	PRIJEM	PREVOD Z UCTU	3275	13300	\N	OP	69076055
1128836	3857	1998-03-09	PRIJEM	PREVOD Z UCTU	3275	16575	\N	OP	69076055
1128837	3857	1998-04-09	PRIJEM	PREVOD Z UCTU	3275	17695	\N	OP	69076055
1128838	3857	1998-05-09	PRIJEM	PREVOD Z UCTU	3275	17362	\N	OP	69076055
1128839	3857	1998-06-09	PRIJEM	PREVOD Z UCTU	3275	17392	\N	OP	69076055
1128840	3857	1998-07-09	PRIJEM	PREVOD Z UCTU	3275	18532	\N	OP	69076055
1128841	3857	1998-08-09	PRIJEM	PREVOD Z UCTU	3275	19677	\N	OP	69076055
1128842	3857	1998-09-09	PRIJEM	PREVOD Z UCTU	3275	20826	\N	OP	69076055
1128843	3857	1998-10-09	PRIJEM	PREVOD Z UCTU	3275	21979	\N	OP	69076055
1128844	3857	1998-11-09	PRIJEM	PREVOD Z UCTU	3275	23138	\N	OP	69076055
1128845	3857	1998-12-09	PRIJEM	PREVOD Z UCTU	3275	23131	\N	OP	69076055
1128860	3857	1998-03-10	VYDAJ	PREVOD NA UCET	2183	14392	\N	ST	18218005
1128861	3857	1998-04-10	VYDAJ	PREVOD NA UCET	2183	15512	\N	ST	18218005
1128862	3857	1998-05-10	VYDAJ	PREVOD NA UCET	2183	15179	\N	ST	18218005
1128863	3857	1998-06-10	VYDAJ	PREVOD NA UCET	2183	15209	\N	ST	18218005
1128864	3857	1998-07-10	VYDAJ	PREVOD NA UCET	2183	16349	\N	ST	18218005
1128865	3857	1998-08-10	VYDAJ	PREVOD NA UCET	2183	17494	\N	ST	18218005
1128866	3857	1998-09-10	VYDAJ	PREVOD NA UCET	2183	18643	\N	ST	18218005
1128867	3857	1998-10-10	VYDAJ	PREVOD NA UCET	2183	19796	\N	ST	18218005
1128868	3857	1998-11-10	VYDAJ	PREVOD NA UCET	2183	20955	\N	ST	18218005
1128869	3857	1998-12-10	VYDAJ	PREVOD NA UCET	2183	20948	\N	ST	18218005
1128875	3857	1998-12-04	VYDAJ	VYBER	480	20546	\N	\N	\N
1128880	3857	1998-12-20	VYDAJ	VYBER	360	20588	\N	\N	\N
1128881	3857	1998-12-21	VYDAJ	VYBER	1050	19538	\N	\N	\N
1128883	3857	1998-04-15	VYDAJ	VYBER	1470	14042	\N	\N	\N
1128884	3857	1998-12-05	VYDAJ	VYBER	690	19856	\N	\N	\N
1128886	3857	1998-05-30	VYDAJ	VYBER	300	14879	\N	\N	\N
1128887	3857	1998-06-07	VYDAJ	VYBER	810	14117	\N	\N	\N
1128903	3857	1998-03-31	VYDAJ	VYBER	15	14420	SLUZBY	\N	\N
1128904	3857	1998-04-30	VYDAJ	VYBER	15	14087	SLUZBY	\N	\N
1128905	3857	1998-05-31	VYDAJ	VYBER	15	14927	SLUZBY	\N	\N
1128906	3857	1998-06-30	VYDAJ	VYBER	15	15257	SLUZBY	\N	\N
1128907	3857	1998-07-31	VYDAJ	VYBER	15	16402	SLUZBY	\N	\N
1128908	3857	1998-08-31	VYDAJ	VYBER	15	17551	SLUZBY	\N	\N
1128909	3857	1998-09-30	VYDAJ	VYBER	15	18704	SLUZBY	\N	\N
1128910	3857	1998-10-31	VYDAJ	VYBER	15	19863	SLUZBY	\N	\N
1128911	3857	1998-11-30	VYDAJ	VYBER	15	21026	SLUZBY	\N	\N
1128922	3858	1995-12-14	PRIJEM	VKLAD	300	300	\N	\N	\N
1128925	3858	1996-04-14	PRIJEM	VKLAD	4521	30634	\N	\N	\N
1128926	3858	1996-11-07	PRIJEM	VKLAD	6495	32101	\N	\N	\N
1128927	3858	1997-08-17	PRIJEM	VKLAD	35618	54340	\N	\N	\N
1128928	3858	1997-02-21	PRIJEM	VKLAD	39921	59868	\N	\N	\N
1128929	3858	1998-02-12	PRIJEM	VKLAD	38444	55667	\N	\N	\N
1128930	3858	1998-08-26	PRIJEM	VKLAD	23287	55073	\N	\N	\N
1128943	3858	1996-01-14	PRIJEM	VKLAD	1700	15200	\N	\N	\N
1128944	3858	1996-02-17	PRIJEM	VKLAD	1700	22537	\N	\N	\N
1128945	3858	1996-03-17	PRIJEM	VKLAD	1700	25314	\N	\N	\N
1128946	3858	1996-04-13	PRIJEM	VKLAD	1700	26113	\N	\N	\N
1128947	3858	1996-05-17	PRIJEM	VKLAD	1700	25988	\N	\N	\N
1128948	3858	1996-06-13	PRIJEM	VKLAD	1700	22590	\N	\N	\N
1128949	3858	1996-07-16	PRIJEM	VKLAD	1700	21061	\N	\N	\N
1128950	3858	1996-08-14	PRIJEM	VKLAD	1700	20422	\N	\N	\N
1128951	3858	1996-09-16	PRIJEM	VKLAD	1700	22993	\N	\N	\N
1128952	3858	1996-10-16	PRIJEM	VKLAD	1700	26069	\N	\N	\N
1128953	3858	1996-11-17	PRIJEM	VKLAD	1700	28101	\N	\N	\N
1128954	3858	1996-12-14	PRIJEM	VKLAD	1700	26197	\N	\N	\N
1128955	3858	1997-01-15	PRIJEM	VKLAD	1700	14938	\N	\N	\N
1128956	3858	1997-02-16	PRIJEM	VKLAD	1700	19947	\N	\N	\N
1128957	3858	1997-03-13	PRIJEM	VKLAD	1700	42368	\N	\N	\N
1128958	3858	1997-04-14	PRIJEM	VKLAD	1700	33545	\N	\N	\N
1128959	3858	1997-05-16	PRIJEM	VKLAD	1700	25182	\N	\N	\N
1128960	3858	1997-06-15	PRIJEM	VKLAD	1700	17387	\N	\N	\N
1128961	3858	1997-07-15	PRIJEM	VKLAD	1700	21751	\N	\N	\N
1128962	3858	1997-08-15	PRIJEM	VKLAD	1700	18722	\N	\N	\N
1128963	3858	1997-09-16	PRIJEM	VKLAD	1700	37780	\N	\N	\N
1128964	3858	1997-10-14	PRIJEM	VKLAD	1700	28663	\N	\N	\N
1128965	3858	1997-11-13	PRIJEM	VKLAD	1700	23290	\N	\N	\N
1128966	3858	1997-12-17	PRIJEM	VKLAD	1700	21287	\N	\N	\N
1128967	3858	1998-01-16	PRIJEM	VKLAD	1700	16064	\N	\N	\N
1128968	3858	1998-02-14	PRIJEM	VKLAD	1700	57367	\N	\N	\N
1128969	3858	1998-03-14	PRIJEM	VKLAD	1700	48023	\N	\N	\N
1128970	3858	1998-04-17	PRIJEM	VKLAD	1700	39630	\N	\N	\N
1128971	3858	1998-05-13	PRIJEM	VKLAD	1700	38005	\N	\N	\N
1128972	3858	1998-06-14	PRIJEM	VKLAD	1700	29356	\N	\N	\N
1128973	3858	1998-07-13	PRIJEM	VKLAD	1700	32970	\N	\N	\N
1128974	3858	1998-08-16	PRIJEM	VKLAD	1700	31786	\N	\N	\N
1128975	3858	1998-09-16	PRIJEM	VKLAD	1700	45005	\N	\N	\N
1128976	3858	1998-10-15	PRIJEM	VKLAD	1700	39073	\N	\N	\N
1128977	3858	1998-11-13	PRIJEM	VKLAD	1700	38420	\N	\N	\N
1128978	3858	1998-12-14	PRIJEM	VKLAD	1700	39760	\N	\N	\N
1128979	3858	1997-07-18	PRIJEM	VKLAD	1600	23351	\N	\N	\N
1128980	3858	1997-08-18	PRIJEM	VKLAD	1600	55940	\N	\N	\N
1128981	3858	1997-09-18	PRIJEM	VKLAD	1600	39380	\N	\N	\N
1128982	3858	1997-10-18	PRIJEM	VKLAD	1600	30263	\N	\N	\N
1128983	3858	1997-11-18	PRIJEM	VKLAD	1600	24890	\N	\N	\N
1128984	3858	1997-12-18	PRIJEM	VKLAD	1600	22887	\N	\N	\N
1128985	3858	1998-01-18	PRIJEM	VKLAD	1600	17664	\N	\N	\N
1128986	3858	1998-02-18	PRIJEM	VKLAD	1600	58967	\N	\N	\N
1128987	3858	1998-03-18	PRIJEM	VKLAD	1600	49323	\N	\N	\N
1128988	3858	1998-04-18	PRIJEM	VKLAD	1600	41230	\N	\N	\N
1128989	3858	1998-05-18	PRIJEM	VKLAD	1600	39605	\N	\N	\N
1128990	3858	1998-06-18	PRIJEM	VKLAD	1600	30956	\N	\N	\N
1128992	3858	1996-06-18	VYDAJ	VYBER	7300	15290	\N	\N	\N
1128993	3858	1997-06-08	VYDAJ	VYBER	6100	15687	\N	\N	\N
1128994	3858	1998-06-05	VYDAJ	VYBER	7000	27656	\N	\N	\N
1128997	3858	1997-01-14	VYDAJ	VYBER	9200	13238	\N	\N	\N
1129000	3858	1996-06-02	VYDAJ	VYBER	6700	19390	\N	\N	\N
1129005	3858	1997-01-01	VYDAJ	VYBER	3300	22488	\N	\N	\N
1129006	3858	1998-01-08	VYDAJ	VYBER	6300	16464	\N	\N	\N
1129008	3858	1996-12-03	VYDAJ	VYBER	1400	23397	\N	\N	\N
1129009	3858	1997-12-07	VYDAJ	VYBER	2800	19587	\N	\N	\N
1129010	3858	1998-12-09	VYDAJ	VYBER KARTOU	2800	38060	\N	\N	0
1129023	3858	1997-01-19	VYDAJ	VYBER	550	14388	\N	\N	\N
1129024	3858	1997-01-04	VYDAJ	VYBER	450	22038	\N	\N	\N
1129025	3858	1997-01-01	VYDAJ	VYBER	500	25788	\N	\N	\N
1129027	3858	1997-01-21	VYDAJ	VYBER	1250	13138	\N	\N	\N
1129028	3858	1997-01-28	VYDAJ	VYBER	450	12688	\N	\N	\N
1129029	3858	1998-01-29	VYDAJ	VYBER	1200	15614	\N	\N	\N
1129030	3858	1998-01-08	VYDAJ	VYBER	800	15664	\N	\N	\N
1129031	3858	1998-01-12	VYDAJ	VYBER	1000	14364	\N	\N	\N
1129032	3858	1998-01-29	VYDAJ	VYBER	950	14664	\N	\N	\N
1129033	3858	1998-01-25	VYDAJ	VYBER	850	16814	\N	\N	\N
1129034	3858	1998-01-11	VYDAJ	VYBER	300	15364	\N	\N	\N
1129044	3858	1996-08-03	VYDAJ	VYBER	1000	20122	\N	\N	\N
1129045	3858	1996-10-24	VYDAJ	VYBER	550	25519	\N	\N	\N
1129046	3858	1996-11-27	VYDAJ	VYBER	1350	24701	\N	\N	\N
1129047	3858	1996-11-25	VYDAJ	VYBER	2050	26051	\N	\N	\N
1129048	3858	1996-05-15	VYDAJ	VYBER	1550	24288	\N	\N	\N
1129049	3858	1997-04-22	VYDAJ	VYBER	1000	32545	\N	\N	\N
1129050	3858	1997-04-12	VYDAJ	VYBER	400	31845	\N	\N	\N
1129051	3858	1997-08-07	VYDAJ	VYBER	1000	17022	\N	\N	\N
1129052	3858	1997-03-07	VYDAJ	VYBER	1200	58768	\N	\N	\N
1129053	3858	1998-12-21	VYDAJ	VYBER KARTOU	1700	38060	\N	\N	0
1129054	3858	1998-12-24	VYDAJ	VYBER KARTOU	1300	36760	\N	\N	0
1129055	3858	1998-07-21	VYDAJ	VYBER KARTOU	1700	31270	\N	\N	0
1129056	3858	1998-10-01	VYDAJ	VYBER KARTOU	2400	37373	\N	\N	0
1129057	3858	1998-09-12	VYDAJ	VYBER KARTOU	500	43305	\N	\N	0
1129058	3858	1998-11-19	VYDAJ	VYBER KARTOU	1400	37020	\N	\N	0
1129059	3858	1998-03-14	VYDAJ	VYBER	300	47723	\N	\N	\N
1129076	3858	1996-04-30	VYDAJ	VYBER	15	30738	SLUZBY	\N	\N
1129077	3858	1996-05-31	VYDAJ	VYBER	15	26090	SLUZBY	\N	\N
1129078	3858	1996-06-30	VYDAJ	VYBER	15	15361	SLUZBY	\N	\N
1129079	3858	1996-07-31	VYDAJ	VYBER	15	21122	SLUZBY	\N	\N
1129080	3858	1996-08-31	VYDAJ	VYBER	15	20493	SLUZBY	\N	\N
1129081	3858	1996-09-30	VYDAJ	VYBER	15	23069	SLUZBY	\N	\N
1129082	3858	1996-10-31	VYDAJ	VYBER	15	25606	SLUZBY	\N	\N
1129083	3858	1996-11-30	VYDAJ	VYBER	15	24797	SLUZBY	\N	\N
1129084	3858	1996-12-31	VYDAJ	VYBER	15	26288	SLUZBY	\N	\N
1129085	3858	1997-01-31	VYDAJ	VYBER	15	12747	SLUZBY	\N	\N
1129086	3858	1997-02-28	VYDAJ	VYBER	15	59968	SLUZBY	\N	\N
1129087	3858	1997-03-31	VYDAJ	VYBER	15	42545	SLUZBY	\N	\N
1129088	3858	1997-04-30	VYDAJ	VYBER	15	32682	SLUZBY	\N	\N
1129089	3858	1997-05-31	VYDAJ	VYBER	15	25287	SLUZBY	\N	\N
1129090	3858	1997-06-30	VYDAJ	VYBER	15	17451	SLUZBY	\N	\N
1129091	3858	1997-07-31	VYDAJ	VYBER	15	23422	SLUZBY	\N	\N
1129092	3858	1997-08-31	VYDAJ	VYBER	15	56080	SLUZBY	\N	\N
1129093	3858	1997-09-30	VYDAJ	VYBER	15	39563	SLUZBY	\N	\N
1129094	3858	1997-10-31	VYDAJ	VYBER	15	30390	SLUZBY	\N	\N
1129095	3858	1997-11-30	VYDAJ	VYBER	15	24987	SLUZBY	\N	\N
1129096	3858	1997-12-31	VYDAJ	VYBER	15	22964	SLUZBY	\N	\N
1129097	3858	1998-01-31	VYDAJ	VYBER	15	14723	SLUZBY	\N	\N
1129098	3858	1998-02-28	VYDAJ	VYBER	15	59123	SLUZBY	\N	\N
1129099	3858	1998-03-31	VYDAJ	VYBER	15	49530	SLUZBY	\N	\N
1129100	3858	1998-04-30	VYDAJ	VYBER	15	41405	SLUZBY	\N	\N
1129101	3858	1998-05-31	VYDAJ	VYBER	15	39756	SLUZBY	\N	\N
1129102	3858	1998-06-30	VYDAJ	VYBER	15	31070	SLUZBY	\N	\N
1129103	3858	1998-07-31	VYDAJ	VYBER	15	31386	SLUZBY	\N	\N
1129104	3858	1998-08-31	VYDAJ	VYBER	15	43805	SLUZBY	\N	\N
1129105	3858	1998-09-30	VYDAJ	VYBER	15	39773	SLUZBY	\N	\N
1129106	3858	1998-10-31	VYDAJ	VYBER	15	36720	SLUZBY	\N	\N
1129107	3858	1998-11-30	VYDAJ	VYBER	15	40860	SLUZBY	\N	\N
1129108	3858	1996-01-13	PRIJEM	VKLAD	13200	13500	\N	\N	\N
1129109	3858	1996-02-12	PRIJEM	VKLAD	5600	20837	\N	\N	\N
1129110	3858	1996-03-13	PRIJEM	VKLAD	1000	23614	\N	\N	\N
1129111	3858	1996-04-12	VYDAJ	VYBER	1000	24413	\N	\N	\N
1129112	3858	1996-05-12	VYDAJ	VYBER	4900	25838	\N	\N	\N
1129113	3858	1996-06-11	PRIJEM	VKLAD	1500	20890	\N	\N	\N
1129114	3858	1996-07-11	PRIJEM	VKLAD	4000	19361	\N	\N	\N
1129115	3858	1996-08-10	VYDAJ	VYBER	1400	18722	\N	\N	\N
1129116	3858	1996-09-09	PRIJEM	VKLAD	800	21293	\N	\N	\N
1129117	3858	1996-10-09	PRIJEM	VKLAD	1300	24369	\N	\N	\N
1129118	3858	1996-11-08	VYDAJ	VYBER	5700	26401	\N	\N	\N
1129119	3858	1996-12-08	PRIJEM	VKLAD	1100	24497	\N	\N	\N
1129120	3858	1997-01-07	PRIJEM	VKLAD	400	22438	\N	\N	\N
1129121	3858	1997-02-06	PRIJEM	VKLAD	5500	18247	\N	\N	\N
1129122	3858	1997-03-08	VYDAJ	VYBER	18100	40668	\N	\N	\N
1129123	3858	1997-04-07	VYDAJ	VYBER	10300	32245	\N	\N	\N
1129124	3858	1997-05-07	VYDAJ	VYBER	9200	23482	\N	\N	\N
1129125	3858	1997-06-06	VYDAJ	VYBER	3500	21787	\N	\N	\N
1129126	3858	1997-07-06	PRIJEM	VKLAD	2600	20051	\N	\N	\N
1129127	3858	1997-08-05	VYDAJ	VYBER	5400	18022	\N	\N	\N
1129128	3858	1997-09-04	VYDAJ	VYBER	20000	36080	\N	\N	\N
1129129	3858	1997-10-04	VYDAJ	VYBER	12600	26963	\N	\N	\N
1129130	3858	1997-11-03	VYDAJ	VYBER	8800	21590	\N	\N	\N
1129131	3858	1997-12-03	VYDAJ	VYBER	2600	22387	\N	\N	\N
1129132	3858	1998-01-02	VYDAJ	VYBER	200	22764	\N	\N	\N
1129133	3858	1998-02-01	PRIJEM	VKLAD	2500	17223	\N	\N	\N
1129134	3858	1998-03-03	VYDAJ	VYBER	12800	46323	\N	\N	\N
1129135	3858	1998-04-02	VYDAJ	VYBER	11600	37930	\N	\N	\N
1129136	3858	1998-05-02	VYDAJ	VYBER	5100	36305	\N	\N	\N
1129137	3858	1998-06-01	VYDAJ	VYBER	5100	34656	\N	\N	\N
1129138	3858	1998-07-01	PRIJEM	VKLAD	200	31270	\N	\N	\N
1129139	3858	1998-07-31	VYDAJ	VYBER KARTOU	1300	30086	\N	\N	0
1129140	3858	1998-08-30	VYDAJ	VYBER	11400	43673	\N	\N	\N
1129141	3858	1998-09-29	VYDAJ	VYBER	5400	39605	\N	\N	\N
1129142	3858	1998-10-29	VYDAJ	VYBER KARTOU	2500	36573	\N	\N	0
1129143	3858	1998-11-28	PRIJEM	VKLAD	3700	40720	\N	\N	\N
1129180	3859	1996-04-23	PRIJEM	VKLAD	200	200	\N	\N	\N
1129182	3859	1996-11-11	PRIJEM	VKLAD	39246	99346	\N	\N	\N
1129184	3859	1996-08-24	PRIJEM	VKLAD	7696	48887	\N	\N	\N
1129187	3859	1996-05-09	PRIJEM	VKLAD	40790	40990	\N	\N	\N
1129188	3859	1996-12-21	PRIJEM	VKLAD	34798	65735	\N	\N	\N
1129189	3859	1996-11-21	PRIJEM	VKLAD	39507	87775	\N	\N	\N
1129190	3859	1996-09-24	PRIJEM	VKLAD	47093	83405	\N	\N	\N
1129191	3859	1996-12-07	PRIJEM	VKLAD	49725	123585	\N	\N	\N
1129192	3859	1996-11-14	PRIJEM	VKLAD	45122	142668	\N	\N	\N
1129194	3859	1996-06-27	PRIJEM	VKLAD	13287	44420	\N	\N	\N
1129197	3859	1996-07-10	PRIJEM	VKLAD	47019	91591	\N	\N	\N
1129198	3859	1996-11-02	PRIJEM	VKLAD	33575	66400	\N	\N	\N
1129199	3859	1997-07-07	PRIJEM	VKLAD	30029	34790	\N	\N	\N
1129200	3859	1998-07-26	PRIJEM	VKLAD	15398	69131	\N	\N	\N
1129201	3859	1998-07-13	PRIJEM	VKLAD	14288	65433	\N	\N	\N
1129202	3859	1998-08-11	PRIJEM	VKLAD	17049	91366	\N	\N	\N
1129203	3859	1998-05-30	PRIJEM	VKLAD	44198	44210	\N	\N	\N
1129204	3859	1998-12-28	PRIJEM	VKLAD	16707	20305	\N	\N	\N
1129205	3859	1998-01-28	PRIJEM	VKLAD	45272	43169	\N	\N	\N
1129206	3859	1998-12-25	PRIJEM	VKLAD	18747	7198	\N	\N	\N
1129207	3859	1998-02-02	PRIJEM	VKLAD	40012	78386	\N	\N	\N
1129208	3859	1998-10-10	PRIJEM	VKLAD	28819	29457	\N	\N	\N
1129209	3859	1998-04-01	PRIJEM	VKLAD	17390	66427	\N	\N	\N
1129210	3859	1998-08-31	PRIJEM	VKLAD	20800	40646	\N	\N	\N
1129211	3859	1998-05-31	PRIJEM	VKLAD	40427	84637	\N	\N	\N
1129212	3859	1998-07-13	PRIJEM	VKLAD	49998	51145	\N	\N	\N
1129213	3859	1998-08-03	PRIJEM	VKLAD	5018	74317	\N	\N	\N
1129214	3859	1998-07-10	PRIJEM	VKLAD	17605	32247	\N	\N	\N
1129215	3859	1998-03-31	PRIJEM	VKLAD	40015	49052	\N	\N	\N
1129225	3859	1996-09-25	VYDAJ	VYBER	3900	79505	\N	\N	0
1129226	3859	1996-11-06	VYDAJ	VYBER	6300	60100	\N	\N	0
1129227	3859	1996-12-18	VYDAJ	VYBER	4100	44937	\N	\N	0
1129228	3859	1996-12-30	VYDAJ	VYBER	4500	61235	\N	\N	0
1129230	3859	1997-03-11	VYDAJ	VYBER	6600	5277	\N	\N	0
1129231	3859	1997-04-08	VYDAJ	VYBER	4400	7912	\N	\N	0
1129232	3859	1997-05-12	VYDAJ	PREVOD NA UCET	5120	4924	UVER	WX	17110729
1129234	3859	1997-07-12	VYDAJ	PREVOD NA UCET	5120	29670	UVER	WX	17110729
1129235	3859	1997-08-12	VYDAJ	PREVOD NA UCET	5120	12096	UVER	WX	17110729
1129236	3859	1997-09-12	VYDAJ	PREVOD NA UCET	5120	3113	UVER	WX	17110729
1129241	3859	1998-02-12	VYDAJ	PREVOD NA UCET	5120	24671	UVER	WX	17110729
1129242	3859	1998-03-12	VYDAJ	PREVOD NA UCET	5120	11083	UVER	WX	17110729
1129243	3859	1998-04-12	VYDAJ	PREVOD NA UCET	5120	56127	UVER	WX	17110729
1129245	3859	1998-06-12	VYDAJ	PREVOD NA UCET	5120	79548	UVER	WX	17110729
1129246	3859	1998-07-12	VYDAJ	PREVOD NA UCET	5120	1147	UVER	WX	17110729
1129247	3859	1998-08-12	VYDAJ	PREVOD NA UCET	5120	34246	UVER	WX	17110729
1129252	3859	1996-10-08	VYBER	VYBER	13191	50740	\N	\N	\N
1129254	3859	1996-12-16	VYBER	VYBER	21848	49037	\N	\N	\N
1129255	3859	1996-11-28	VYBER	VYBER	14235	73540	\N	\N	\N
1129257	3859	1996-10-04	VYBER	VYBER	5890	63931	\N	\N	\N
1129264	3859	1997-01-14	VYBER	VYBER	10647	3013	\N	\N	\N
1129268	3859	1997-01-10	VYBER	VYBER	24493	18760	\N	\N	\N
1129276	3859	1998-07-11	VYBER	VYBER	15880	16367	\N	\N	\N
1129277	3859	1998-10-10	VYBER	VYBER	21613	7844	\N	\N	\N
1129279	3859	1998-02-05	VYBER	VYBER	23295	55091	\N	\N	\N
1129282	3859	1998-02-25	VYBER	VYBER	8590	16081	\N	\N	\N
1129285	3859	1998-04-18	VYBER	VYBER	19326	7501	\N	\N	\N
1129287	3859	1998-04-05	VYBER	VYBER	5180	61247	\N	\N	\N
1129290	3859	1998-06-25	VYDAJ	VYBER	19500	17448	\N	\N	\N
1129292	3859	1997-01-07	VYDAJ	VYBER	12900	43253	\N	\N	\N
1129294	3859	1996-12-07	VYDAJ	VYBER	1500	70885	\N	\N	\N
1129296	3859	1998-12-27	VYDAJ	VYBER	3600	3598	\N	\N	\N
1129303	3859	1997-01-15	VYDAJ	VYBER	1800	1213	\N	\N	\N
1129304	3859	1997-01-24	VYDAJ	VYBER	5700	5313	\N	\N	\N
1129305	3859	1997-01-01	VYDAJ	VYBER	5400	56153	\N	\N	\N
1129306	3859	1997-01-30	VYDAJ	VYBER	4800	513	\N	\N	\N
1129308	3859	1997-01-11	VYDAJ	VYBER	5100	13660	\N	\N	\N
1129312	3859	1998-01-28	VYDAJ	VYBER	4800	38369	\N	\N	\N
1129316	3859	1996-11-13	VYDAJ	VYBER	1800	97546	\N	\N	\N
1129317	3859	1996-09-28	VYDAJ	VYBER	9900	69605	\N	\N	\N
1129319	3859	1997-01-22	VYDAJ	VYBER	1500	11013	\N	\N	\N
1129320	3859	1997-09-29	VYDAJ	VYBER	6000	113	\N	\N	\N
1129326	3859	1997-06-06	VYDAJ	VYBER	9000	-152	\N	\N	\N
1129328	3859	1998-08-17	VYDAJ	VYBER	2400	31846	\N	\N	\N
1129329	3859	1998-08-19	VYDAJ	VYBER	12000	19846	\N	\N	\N
1129330	3859	1998-09-02	VYDAJ	VYBER	14400	26404	\N	\N	\N
1129331	3859	1998-07-17	VYDAJ	VYBER	11700	53733	\N	\N	\N
1129332	3859	1998-07-09	VYDAJ	VYBER	3000	14642	\N	\N	\N
1129333	3859	1998-09-09	VYDAJ	VYBER	5400	21004	\N	\N	\N
1129344	3859	1996-09-30	VYDAJ	VYBER	15	69821	SLUZBY	\N	\N
1129345	3859	1996-10-31	VYDAJ	VYBER	15	32825	SLUZBY	\N	\N
1129346	3859	1996-11-30	VYDAJ	VYBER	15	73860	SLUZBY	\N	\N
1129347	3859	1996-12-31	VYDAJ	VYBER	15	61553	SLUZBY	\N	\N
1129348	3859	1997-01-31	VYDAJ	VYBER	15	588	SLUZBY	\N	\N
1129349	3859	1997-02-28	VYDAJ	VYBER	15	11877	SLUZBY	\N	\N
1129350	3859	1997-03-31	VYDAJ	VYBER	15	12312	SLUZBY	\N	\N
1129351	3859	1997-04-30	VYDAJ	VYBER	15	10044	SLUZBY	\N	\N
1129352	3859	1997-05-31	VYDAJ	VYBER	15	8848	SLUZBY	\N	\N
1129353	3859	1997-06-30	VYDAJ	VYBER	15	4761	SLUZBY	\N	\N
1129354	3859	1997-07-31	VYDAJ	VYBER	15	17216	SLUZBY	\N	\N
1129355	3859	1997-08-31	VYDAJ	VYBER	15	8233	SLUZBY	\N	\N
1129356	3859	1997-09-30	VYDAJ	VYBER	15	126	SLUZBY	\N	\N
1129357	3859	1997-10-31	VYDAJ	VYBER	15	2410	SLUZBY	\N	\N
1129358	3859	1997-11-30	VYDAJ	VYBER	15	2005	SLUZBY	\N	\N
1129359	3859	1997-12-31	VYDAJ	VYBER	15	197	SLUZBY	\N	\N
1129360	3859	1998-01-31	VYDAJ	VYBER	15	38375	SLUZBY	\N	\N
1129361	3859	1998-02-28	VYDAJ	VYBER	15	16203	SLUZBY	\N	\N
1129362	3859	1998-03-31	VYDAJ	VYBER	15	49037	SLUZBY	\N	\N
1129363	3859	1998-04-30	VYDAJ	VYBER	15	7612	SLUZBY	\N	\N
1129364	3859	1998-05-31	VYDAJ	VYBER	15	84668	SLUZBY	\N	\N
1129365	3859	1998-06-30	VYDAJ	VYBER	15	17642	SLUZBY	\N	\N
1129366	3859	1998-07-31	VYDAJ	VYBER	15	69299	SLUZBY	\N	\N
1129367	3859	1998-08-31	VYDAJ	VYBER	15	40804	SLUZBY	\N	\N
1129368	3859	1998-09-30	VYDAJ	VYBER	15	638	SLUZBY	\N	\N
1129371	3859	1996-05-23	VYDAJ	VYBER	5700	35290	\N	\N	\N
1129372	3859	1996-06-22	VYDAJ	VYBER	4200	31133	\N	\N	\N
1129373	3859	1996-07-22	VYDAJ	VYBER	35800	55791	\N	\N	\N
1129374	3859	1996-08-21	VYDAJ	VYBER	14800	41191	\N	\N	\N
1129375	3859	1996-09-20	VYDAJ	VYBER	12800	36312	\N	\N	\N
1129376	3859	1996-10-20	VYDAJ	VYBER	18100	32640	\N	\N	\N
1129377	3859	1996-11-14	VYDAJ	VYBER	61400	81268	\N	\N	\N
1129378	3859	1996-11-19	VYDAJ	VYBER	33000	48268	\N	\N	\N
1129379	3859	1996-12-07	VYDAJ	VYBER	51200	72385	\N	\N	\N
1129380	3859	1996-12-19	VYDAJ	VYBER	14000	30937	\N	\N	\N
1129381	3859	1997-01-18	PRIJEM	VKLAD	11300	12513	\N	\N	\N
1129382	3859	1997-02-17	PRIJEM	VKLAD	11300	11888	\N	\N	\N
1129383	3859	1997-03-19	PRIJEM	VKLAD	7000	12277	\N	\N	\N
1129384	3859	1997-04-18	PRIJEM	VKLAD	2100	10012	\N	\N	\N
1129385	3859	1997-05-18	PRIJEM	VKLAD	3900	8824	\N	\N	\N
1129386	3859	1997-06-17	PRIJEM	VKLAD	4900	4748	\N	\N	\N
1129387	3859	1997-07-17	VYDAJ	VYBER	12500	17170	\N	\N	\N
1129388	3859	1997-08-16	VYDAJ	VYBER	3900	8196	\N	\N	\N
1129389	3859	1997-09-15	PRIJEM	VKLAD	3000	6113	\N	\N	\N
1129390	3859	1997-10-15	PRIJEM	VKLAD	2300	2426	\N	\N	\N
1129391	3859	1997-11-14	VYDAJ	VYBER	400	2010	\N	\N	\N
1129392	3859	1997-12-14	VYDAJ	VYBER	1800	205	\N	\N	\N
1129393	3859	1998-01-13	VYDAJ	VYBER	2300	-2103	\N	\N	\N
1129394	3859	1998-02-12	VYDAJ	VYBER	25300	29791	\N	\N	\N
1129395	3859	1998-03-14	VYDAJ	VYBER	2100	8983	\N	\N	\N
1129396	3859	1998-04-13	VYDAJ	VYBER	29300	26827	\N	\N	\N
1129397	3859	1998-05-13	VYDAJ	VYBER	7600	12	\N	\N	\N
1129398	3859	1998-06-12	VYDAJ	VYBER	42600	36948	\N	\N	\N
1129399	3859	1998-07-12	VYDAJ	VYBER	10100	6267	\N	\N	\N
1129400	3859	1998-08-11	VYDAJ	VYBER	52000	39366	\N	\N	\N
1129401	3859	1998-09-10	VYDAJ	VYBER	20400	604	\N	\N	\N
1129402	3859	1998-10-10	VYDAJ	VYBER	10200	-2356	\N	\N	\N
1129403	3859	1998-11-09	VYDAJ	VYBER	4700	-6970	\N	\N	\N
1129404	3859	1998-12-09	VYDAJ	VYBER	4700	-11549	\N	\N	\N
1129444	3860	1994-10-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1129455	3860	1994-11-06	PRIJEM	PREVOD Z UCTU	12485	13585	\N	EF	83870011
1129456	3860	1994-12-06	PRIJEM	PREVOD Z UCTU	18728	38170	\N	EF	83870011
1129457	3860	1995-01-06	PRIJEM	PREVOD Z UCTU	12485	44171	\N	EF	83870011
1129458	3860	1995-02-06	PRIJEM	PREVOD Z UCTU	12485	47799	\N	EF	83870011
1129459	3860	1995-03-06	PRIJEM	PREVOD Z UCTU	12485	50539	\N	EF	83870011
1129460	3860	1995-04-06	PRIJEM	PREVOD Z UCTU	12485	45631	\N	EF	83870011
1129461	3860	1995-05-06	PRIJEM	PREVOD Z UCTU	12485	44213	\N	EF	83870011
1129462	3860	1995-06-06	PRIJEM	PREVOD Z UCTU	18728	48329	\N	EF	83870011
1129463	3860	1995-07-06	PRIJEM	PREVOD Z UCTU	12485	41924	\N	EF	83870011
1129464	3860	1995-08-06	PRIJEM	PREVOD Z UCTU	12485	40916	\N	EF	83870011
1129465	3860	1995-09-06	PRIJEM	PREVOD Z UCTU	12485	34361	\N	EF	83870011
1129466	3860	1995-10-06	PRIJEM	PREVOD Z UCTU	12485	32796	\N	EF	83870011
1129467	3860	1995-11-06	PRIJEM	PREVOD Z UCTU	12485	34130	\N	EF	83870011
1129468	3860	1995-12-06	PRIJEM	PREVOD Z UCTU	18728	37226	\N	EF	83870011
1129469	3860	1996-01-06	PRIJEM	PREVOD Z UCTU	12485	37493	\N	EF	83870011
1129470	3860	1996-02-06	PRIJEM	PREVOD Z UCTU	12485	31332	\N	EF	83870011
1129471	3860	1996-03-06	PRIJEM	PREVOD Z UCTU	12485	32567	\N	EF	83870011
1129472	3860	1996-04-06	PRIJEM	PREVOD Z UCTU	12485	30315	\N	EF	83870011
1129473	3860	1996-05-06	PRIJEM	PREVOD Z UCTU	12485	27857	\N	EF	83870011
1129474	3860	1996-06-06	PRIJEM	PREVOD Z UCTU	18728	35432	\N	EF	83870011
1129475	3860	1996-07-06	PRIJEM	PREVOD Z UCTU	12485	30769	\N	EF	83870011
1129476	3860	1996-08-06	PRIJEM	PREVOD Z UCTU	12485	30409	\N	EF	83870011
1129477	3860	1996-09-06	PRIJEM	PREVOD Z UCTU	12485	29050	\N	EF	83870011
1129478	3860	1996-10-06	PRIJEM	PREVOD Z UCTU	12485	27359	\N	EF	83870011
1129479	3860	1996-11-06	PRIJEM	PREVOD Z UCTU	12485	27780	\N	EF	83870011
1129480	3860	1996-12-06	PRIJEM	PREVOD Z UCTU	18728	33745	\N	EF	83870011
1129481	3860	1997-01-06	PRIJEM	PREVOD Z UCTU	12485	31085	\N	EF	83870011
1129482	3860	1997-02-06	PRIJEM	PREVOD Z UCTU	12485	26414	\N	EF	83870011
1129483	3860	1997-03-06	PRIJEM	PREVOD Z UCTU	12485	27331	\N	EF	83870011
1129484	3860	1997-04-06	PRIJEM	PREVOD Z UCTU	12485	30352	\N	EF	83870011
1129485	3860	1997-05-06	PRIJEM	PREVOD Z UCTU	12485	31385	\N	EF	83870011
1129486	3860	1997-06-06	PRIJEM	PREVOD Z UCTU	18728	40265	\N	EF	83870011
1129487	3860	1997-07-06	PRIJEM	PREVOD Z UCTU	12485	36630	\N	EF	83870011
1129488	3860	1997-08-06	PRIJEM	PREVOD Z UCTU	12485	31384	\N	EF	83870011
1129489	3860	1997-09-06	PRIJEM	PREVOD Z UCTU	12485	26312	\N	EF	83870011
1129490	3860	1997-10-06	PRIJEM	PREVOD Z UCTU	12485	26625	\N	EF	83870011
1129491	3860	1997-11-06	PRIJEM	PREVOD Z UCTU	12485	24137	\N	EF	83870011
1129492	3860	1997-12-06	PRIJEM	PREVOD Z UCTU	18728	34588	\N	EF	83870011
1129493	3860	1998-01-06	PRIJEM	PREVOD Z UCTU	12485	34624	\N	EF	83870011
1129494	3860	1998-02-06	PRIJEM	PREVOD Z UCTU	12485	35267	\N	EF	83870011
1129495	3860	1998-03-06	PRIJEM	PREVOD Z UCTU	12485	39521	\N	EF	83870011
1129496	3860	1998-04-06	PRIJEM	PREVOD Z UCTU	12485	24973	\N	EF	83870011
1129497	3860	1998-05-06	PRIJEM	PREVOD Z UCTU	12485	29184	\N	EF	83870011
1129498	3860	1998-06-06	PRIJEM	PREVOD Z UCTU	18728	39655	\N	EF	83870011
1129499	3860	1998-07-06	PRIJEM	PREVOD Z UCTU	12485	34574	\N	EF	83870011
1129500	3860	1998-08-06	PRIJEM	PREVOD Z UCTU	12485	38825	\N	EF	83870011
1129501	3860	1998-09-06	PRIJEM	PREVOD Z UCTU	12485	43094	\N	EF	83870011
1129502	3860	1998-10-06	PRIJEM	PREVOD Z UCTU	12485	47380	\N	EF	83870011
1129503	3860	1998-11-06	PRIJEM	PREVOD Z UCTU	12485	34788	\N	EF	83870011
1129504	3860	1998-12-06	PRIJEM	PREVOD Z UCTU	18728	45291	\N	EF	83870011
1129579	3860	1995-03-08	VYDAJ	PREVOD NA UCET	8323	42216	SIPO	ST	88340824
1129580	3860	1995-04-08	VYDAJ	PREVOD NA UCET	8323	37308	SIPO	ST	88340824
1129581	3860	1995-05-08	VYDAJ	PREVOD NA UCET	8323	35890	SIPO	ST	88340824
1129582	3860	1995-06-08	VYDAJ	PREVOD NA UCET	8323	29306	SIPO	ST	88340824
1129583	3860	1995-07-08	VYDAJ	PREVOD NA UCET	8323	28301	SIPO	ST	88340824
1129584	3860	1995-08-08	VYDAJ	PREVOD NA UCET	8323	23893	SIPO	ST	88340824
1129585	3860	1995-09-08	VYDAJ	PREVOD NA UCET	8323	20238	SIPO	ST	88340824
1129586	3860	1995-10-08	VYDAJ	PREVOD NA UCET	8323	19973	SIPO	ST	88340824
1129587	3860	1995-11-08	VYDAJ	PREVOD NA UCET	8323	25807	SIPO	ST	88340824
1129588	3860	1995-12-08	VYDAJ	PREVOD NA UCET	8323	28903	SIPO	ST	88340824
1129589	3860	1996-01-08	VYDAJ	PREVOD NA UCET	8323	20770	SIPO	ST	88340824
1129590	3860	1996-02-08	VYDAJ	PREVOD NA UCET	8323	23009	SIPO	ST	88340824
1129591	3860	1996-03-08	VYDAJ	PREVOD NA UCET	8323	24244	SIPO	ST	88340824
1129592	3860	1996-04-08	VYDAJ	PREVOD NA UCET	8323	21992	SIPO	ST	88340824
1129593	3860	1996-05-08	VYDAJ	PREVOD NA UCET	8323	19534	SIPO	ST	88340824
1129594	3860	1996-06-08	VYDAJ	PREVOD NA UCET	8323	27109	SIPO	ST	88340824
1129595	3860	1996-07-08	VYDAJ	PREVOD NA UCET	8323	22446	SIPO	ST	88340824
1129596	3860	1996-08-08	VYDAJ	PREVOD NA UCET	8323	22086	SIPO	ST	88340824
1129597	3860	1996-09-08	VYDAJ	PREVOD NA UCET	8323	18290	SIPO	ST	88340824
1129598	3860	1996-10-08	VYDAJ	PREVOD NA UCET	8323	19036	SIPO	ST	88340824
1129599	3860	1996-11-08	VYDAJ	PREVOD NA UCET	8323	19457	SIPO	ST	88340824
1129600	3860	1996-12-08	VYDAJ	PREVOD NA UCET	8323	25422	SIPO	ST	88340824
1129601	3860	1997-01-08	VYDAJ	PREVOD NA UCET	8323	22762	SIPO	ST	88340824
1129602	3860	1997-02-08	VYDAJ	PREVOD NA UCET	8323	18091	SIPO	ST	88340824
1129603	3860	1997-03-08	VYDAJ	PREVOD NA UCET	8323	19008	SIPO	ST	88340824
1129604	3860	1997-04-08	VYDAJ	PREVOD NA UCET	8323	22029	SIPO	ST	88340824
1129605	3860	1997-05-08	VYDAJ	PREVOD NA UCET	8323	23062	SIPO	ST	88340824
1129606	3860	1997-06-08	VYDAJ	PREVOD NA UCET	8323	31942	SIPO	ST	88340824
1129607	3860	1997-07-08	VYDAJ	PREVOD NA UCET	8323	28307	SIPO	ST	88340824
1129608	3860	1997-08-08	VYDAJ	PREVOD NA UCET	8323	23061	SIPO	ST	88340824
1129609	3860	1997-09-08	VYDAJ	PREVOD NA UCET	8323	17989	SIPO	ST	88340824
1129610	3860	1997-10-08	VYDAJ	PREVOD NA UCET	8323	18302	SIPO	ST	88340824
1129611	3860	1997-11-08	VYDAJ	PREVOD NA UCET	8323	15814	SIPO	ST	88340824
1129612	3860	1997-12-08	VYDAJ	PREVOD NA UCET	8323	26265	SIPO	ST	88340824
1129613	3860	1998-01-08	VYDAJ	PREVOD NA UCET	8323	22701	SIPO	ST	88340824
1129614	3860	1998-02-08	VYDAJ	PREVOD NA UCET	8323	26944	SIPO	ST	88340824
1129615	3860	1998-03-08	VYDAJ	PREVOD NA UCET	8323	31198	SIPO	ST	88340824
1129616	3860	1998-04-08	VYDAJ	PREVOD NA UCET	8323	16650	SIPO	ST	88340824
1129617	3860	1998-05-08	VYDAJ	PREVOD NA UCET	8323	20861	SIPO	ST	88340824
1129618	3860	1998-06-08	VYDAJ	PREVOD NA UCET	8323	31332	SIPO	ST	88340824
1129619	3860	1998-07-08	VYDAJ	PREVOD NA UCET	8323	26251	SIPO	ST	88340824
1129620	3860	1998-08-08	VYDAJ	PREVOD NA UCET	8323	30502	SIPO	ST	88340824
1129621	3860	1998-09-08	VYDAJ	PREVOD NA UCET	8323	34771	SIPO	ST	88340824
1129622	3860	1998-10-08	VYDAJ	PREVOD NA UCET	8323	39057	SIPO	ST	88340824
1129623	3860	1998-11-08	VYDAJ	PREVOD NA UCET	8323	26465	SIPO	ST	88340824
1129624	3860	1998-12-08	VYDAJ	PREVOD NA UCET	8323	33068	SIPO	ST	88340824
1129635	3860	1996-09-08	VYBER	VYBER	2437	26613	\N	\N	\N
1129636	3860	1996-06-25	VYBER	VYBER	8014	19095	\N	\N	\N
1129652	3860	1998-11-01	VYBER	VYBER	7561	22303	\N	\N	\N
1129656	3860	1998-06-14	VYBER	VYBER	9325	22007	\N	\N	\N
1129658	3860	1998-10-17	VYBER	VYBER	9316	29741	\N	\N	\N
1129660	3860	1995-12-01	VYDAJ	VYBER	6600	19298	\N	\N	\N
1129662	3860	1997-12-09	VYDAJ	VYBER	2700	23565	\N	\N	\N
1129663	3860	1998-12-06	VYDAJ	VYBER	3900	41391	\N	\N	\N
1129676	3860	1996-01-08	VYDAJ	VYBER	8400	29093	\N	\N	\N
1129678	3860	1996-01-13	VYDAJ	VYBER	1800	18970	\N	\N	\N
1129683	3860	1997-01-17	VYDAJ	VYBER	2100	20662	\N	\N	\N
1129690	3860	1998-01-06	VYDAJ	VYBER	3600	31024	\N	\N	\N
1129698	3860	1995-08-10	VYDAJ	VYBER	2100	21793	\N	\N	\N
1129704	3860	1996-02-16	VYDAJ	VYBER	3300	19709	\N	\N	\N
1129708	3860	1997-12-24	VYDAJ	VYBER	1500	22065	\N	\N	\N
1129709	3860	1997-08-19	VYDAJ	VYBER	3600	19461	\N	\N	\N
1129732	3860	1995-03-31	VYDAJ	VYBER	15	33146	SLUZBY	\N	\N
1129733	3860	1995-04-30	VYDAJ	VYBER	15	31728	SLUZBY	\N	\N
1129734	3860	1995-05-31	VYDAJ	VYBER	15	29601	SLUZBY	\N	\N
1129735	3860	1995-06-30	VYDAJ	VYBER	15	29439	SLUZBY	\N	\N
1129736	3860	1995-07-31	VYDAJ	VYBER	15	28431	SLUZBY	\N	\N
1129737	3860	1995-08-31	VYDAJ	VYBER	15	21876	SLUZBY	\N	\N
1129738	3860	1995-09-30	VYDAJ	VYBER	15	20311	SLUZBY	\N	\N
1129739	3860	1995-10-31	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
1129740	3860	1995-11-30	VYDAJ	VYBER	15	25898	SLUZBY	\N	\N
1129741	3860	1995-12-31	VYDAJ	VYBER	15	29008	SLUZBY	\N	\N
1129742	3860	1996-01-31	VYDAJ	VYBER	15	19047	SLUZBY	\N	\N
1129743	3860	1996-02-29	VYDAJ	VYBER	15	19782	SLUZBY	\N	\N
1129744	3860	1996-03-31	VYDAJ	VYBER	15	24330	SLUZBY	\N	\N
1129745	3860	1996-04-30	VYDAJ	VYBER	15	22072	SLUZBY	\N	\N
1129746	3860	1996-05-31	VYDAJ	VYBER	15	19604	SLUZBY	\N	\N
1129747	3860	1996-06-30	VYDAJ	VYBER	15	19184	SLUZBY	\N	\N
1129748	3860	1996-07-31	VYDAJ	VYBER	15	22524	SLUZBY	\N	\N
1129749	3860	1996-08-31	VYDAJ	VYBER	15	22165	SLUZBY	\N	\N
1129750	3860	1996-09-30	VYDAJ	VYBER	15	18374	SLUZBY	\N	\N
1129751	3860	1996-10-31	VYDAJ	VYBER	15	15295	SLUZBY	\N	\N
1129752	3860	1996-11-30	VYDAJ	VYBER	15	15017	SLUZBY	\N	\N
1129753	3860	1996-12-31	VYDAJ	VYBER	15	18600	SLUZBY	\N	\N
1129754	3860	1997-01-31	VYDAJ	VYBER	15	13929	SLUZBY	\N	\N
1129755	3860	1997-02-28	VYDAJ	VYBER	15	14846	SLUZBY	\N	\N
1129756	3860	1997-03-31	VYDAJ	VYBER	15	17867	SLUZBY	\N	\N
1129757	3860	1997-04-30	VYDAJ	VYBER	15	18900	SLUZBY	\N	\N
1129758	3860	1997-05-31	VYDAJ	VYBER	15	21537	SLUZBY	\N	\N
1129759	3860	1997-06-30	VYDAJ	VYBER	15	24145	SLUZBY	\N	\N
1129760	3860	1997-07-31	VYDAJ	VYBER	15	18899	SLUZBY	\N	\N
1129761	3860	1997-08-31	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
1129762	3860	1997-09-30	VYDAJ	VYBER	15	14140	SLUZBY	\N	\N
1129763	3860	1997-10-31	VYDAJ	VYBER	15	11652	SLUZBY	\N	\N
1129764	3860	1997-11-30	VYDAJ	VYBER	15	15860	SLUZBY	\N	\N
1129765	3860	1997-12-31	VYDAJ	VYBER	15	22139	SLUZBY	\N	\N
1129766	3860	1998-01-31	VYDAJ	VYBER	15	22782	SLUZBY	\N	\N
1129767	3860	1998-02-28	VYDAJ	VYBER	15	27036	SLUZBY	\N	\N
1129768	3860	1998-03-31	VYDAJ	VYBER	15	12488	SLUZBY	\N	\N
1129769	3860	1998-04-30	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
1129770	3860	1998-05-31	VYDAJ	VYBER	15	20927	SLUZBY	\N	\N
1129771	3860	1998-06-30	VYDAJ	VYBER	15	22089	SLUZBY	\N	\N
1129772	3860	1998-07-31	VYDAJ	VYBER	15	26340	SLUZBY	\N	\N
1129773	3860	1998-08-31	VYDAJ	VYBER	15	30609	SLUZBY	\N	\N
1129774	3860	1998-09-30	VYDAJ	VYBER	15	34895	SLUZBY	\N	\N
1129775	3860	1998-10-31	VYDAJ	VYBER	15	29864	SLUZBY	\N	\N
1129776	3860	1998-11-30	VYDAJ	VYBER	15	26563	SLUZBY	\N	\N
1129777	3860	1994-11-10	PRIJEM	VKLAD	5800	19385	\N	\N	\N
1129778	3860	1994-12-10	VYDAJ	VYBER	6600	31570	\N	\N	\N
1129779	3860	1995-01-09	VYDAJ	VYBER	9000	35171	\N	\N	\N
1129780	3860	1995-02-08	VYDAJ	VYBER	9900	37899	\N	\N	\N
1129781	3860	1995-03-10	VYDAJ	VYBER	9200	33016	\N	\N	\N
1129782	3860	1995-04-09	VYDAJ	VYBER	5700	31608	\N	\N	\N
1129783	3860	1995-05-09	VYDAJ	VYBER	6400	29490	\N	\N	\N
1129784	3860	1995-06-08	VYDAJ	VYBER	10700	37629	\N	\N	\N
1129785	3860	1995-07-08	VYDAJ	VYBER	5300	36624	\N	\N	\N
1129786	3860	1995-08-07	VYDAJ	VYBER	8700	32216	\N	\N	\N
1129787	3860	1995-09-06	VYDAJ	VYBER	5800	28561	\N	\N	\N
1129788	3860	1995-10-06	VYDAJ	VYBER	4500	28296	\N	\N	\N
1129789	3860	1995-11-05	PRIJEM	VKLAD	1600	21645	\N	\N	\N
1129790	3860	1995-12-05	VYDAJ	VYBER	800	18498	\N	\N	\N
1129791	3860	1996-01-04	VYDAJ	VYBER	4000	25008	\N	\N	\N
1129792	3860	1996-02-03	VYDAJ	VYBER	200	18847	\N	\N	\N
1129793	3860	1996-03-04	PRIJEM	VKLAD	300	20082	\N	\N	\N
1129794	3860	1996-04-03	VYDAJ	VYBER	6500	17830	\N	\N	\N
1129795	3860	1996-05-03	VYDAJ	VYBER	6700	15372	\N	\N	\N
1129796	3860	1996-06-02	VYDAJ	VYBER	2900	16704	\N	\N	\N
1129797	3860	1996-07-02	VYDAJ	VYBER	900	18284	\N	\N	\N
1129798	3860	1996-08-01	VYDAJ	VYBER	4600	17924	\N	\N	\N
1129799	3860	1996-08-31	VYDAJ	VYBER	5600	16565	\N	\N	\N
1129800	3860	1996-09-30	VYDAJ	VYBER	3500	14874	\N	\N	\N
1129801	3860	1996-10-30	VYDAJ	VYBER	3800	15236	\N	\N	\N
1129802	3860	1996-11-29	VYDAJ	VYBER	4500	14957	\N	\N	\N
1129803	3860	1996-12-29	VYDAJ	VYBER	6900	18522	\N	\N	\N
1129804	3860	1997-01-28	VYDAJ	VYBER	6800	13862	\N	\N	\N
1129805	3860	1997-02-27	VYDAJ	VYBER	3300	14791	\N	\N	\N
1129806	3860	1997-03-29	VYDAJ	VYBER	1200	17808	\N	\N	\N
1129807	3860	1997-04-28	VYDAJ	VYBER	3200	18829	\N	\N	\N
1129808	3860	1997-05-28	VYDAJ	VYBER	1600	21462	\N	\N	\N
1129809	3860	1997-06-27	VYDAJ	VYBER	7900	24042	\N	\N	\N
1129810	3860	1997-07-27	VYDAJ	VYBER	9500	18807	\N	\N	\N
1129811	3860	1997-08-26	VYDAJ	VYBER	5700	13761	\N	\N	\N
1129812	3860	1997-09-25	VYDAJ	VYBER	3900	14089	\N	\N	\N
1129813	3860	1997-10-25	VYDAJ	VYBER	6700	11602	\N	\N	\N
1129814	3860	1998-03-24	VYDAJ	VYBER	18800	12398	\N	\N	\N
1129865	3861	1997-01-30	PRIJEM	VKLAD	700	700	\N	\N	\N
1129867	3861	1997-02-07	PRIJEM	VKLAD	24732	25432	\N	\N	\N
1129868	3861	1997-03-07	PRIJEM	VKLAD	24732	48464	\N	\N	\N
1129869	3861	1997-04-07	PRIJEM	VKLAD	24732	59857	\N	\N	\N
1129870	3861	1997-05-07	PRIJEM	VKLAD	24732	68937	\N	\N	\N
1129871	3861	1997-06-07	PRIJEM	VKLAD	37098	81919	\N	\N	\N
1129872	3861	1997-07-07	PRIJEM	VKLAD	24732	70683	\N	\N	\N
1129873	3861	1997-08-07	PRIJEM	VKLAD	24732	70761	\N	\N	\N
1129874	3861	1997-09-07	PRIJEM	VKLAD	24732	72891	\N	\N	\N
1129875	3861	1997-10-07	PRIJEM	VKLAD	24732	67920	\N	\N	\N
1129876	3861	1997-11-07	PRIJEM	VKLAD	24732	68453	\N	\N	\N
1129877	3861	1997-12-07	PRIJEM	VKLAD	37098	87857	\N	\N	\N
1129878	3861	1998-01-07	PRIJEM	VKLAD	24732	77864	\N	\N	\N
1129879	3861	1998-02-07	PRIJEM	VKLAD	24732	68514	\N	\N	\N
1129880	3861	1998-03-07	PRIJEM	VKLAD	24732	77612	\N	\N	\N
1129881	3861	1998-04-07	PRIJEM	VKLAD	24732	82067	\N	\N	\N
1129882	3861	1998-05-07	PRIJEM	VKLAD	24732	83137	\N	\N	\N
1129883	3861	1998-06-07	PRIJEM	VKLAD	37098	85356	\N	\N	\N
1129884	3861	1998-07-07	PRIJEM	VKLAD	24732	85144	\N	\N	\N
1129885	3861	1998-08-07	PRIJEM	VKLAD	24732	87023	\N	\N	\N
1129886	3861	1998-09-07	PRIJEM	VKLAD	24732	91711	\N	\N	\N
1129887	3861	1998-10-07	PRIJEM	VKLAD	24732	91211	\N	\N	\N
1129888	3861	1998-11-07	PRIJEM	VKLAD	24732	89806	\N	\N	\N
1129889	3861	1998-12-07	PRIJEM	VKLAD	37098	97154	\N	\N	\N
1129895	3861	1997-06-11	VYDAJ	PREVOD NA UCET	4227	77692	SIPO	EF	32061487
1129896	3861	1997-07-11	VYDAJ	PREVOD NA UCET	4227	66456	SIPO	EF	32061487
1129897	3861	1997-08-11	VYDAJ	PREVOD NA UCET	4227	66534	SIPO	EF	32061487
1129898	3861	1997-09-11	VYDAJ	PREVOD NA UCET	4227	68664	SIPO	EF	32061487
1130033	3862	1997-10-15	PRIJEM	VKLAD	33770	82818	\N	\N	\N
1129899	3861	1997-10-11	VYDAJ	PREVOD NA UCET	4227	63693	SIPO	EF	32061487
1129900	3861	1997-11-11	VYDAJ	PREVOD NA UCET	4227	64226	SIPO	EF	32061487
1129901	3861	1997-12-11	VYDAJ	PREVOD NA UCET	4227	83630	SIPO	EF	32061487
1129902	3861	1998-01-11	VYDAJ	PREVOD NA UCET	4227	70277	SIPO	EF	32061487
1129903	3861	1998-02-11	VYDAJ	PREVOD NA UCET	4227	64287	SIPO	EF	32061487
1129904	3861	1998-03-11	VYDAJ	PREVOD NA UCET	4227	73385	SIPO	EF	32061487
1129905	3861	1998-04-11	VYDAJ	PREVOD NA UCET	4227	77840	SIPO	EF	32061487
1129906	3861	1998-05-11	VYDAJ	PREVOD NA UCET	4227	78910	SIPO	EF	32061487
1129907	3861	1998-06-11	VYDAJ	PREVOD NA UCET	4227	81129	SIPO	EF	32061487
1129908	3861	1998-07-11	VYDAJ	PREVOD NA UCET	4227	80917	SIPO	EF	32061487
1129909	3861	1998-08-11	VYDAJ	PREVOD NA UCET	4227	82796	SIPO	EF	32061487
1129910	3861	1998-09-11	VYDAJ	PREVOD NA UCET	4227	87484	SIPO	EF	32061487
1129911	3861	1998-10-11	VYDAJ	PREVOD NA UCET	4227	86984	SIPO	EF	32061487
1129912	3861	1998-11-11	VYDAJ	PREVOD NA UCET	4227	85579	SIPO	EF	32061487
1129913	3861	1998-12-11	VYDAJ	PREVOD NA UCET	4227	92927	SIPO	EF	32061487
1129914	3861	1997-06-19	VYDAJ	VYBER	10880	66812	\N	\N	\N
1129915	3861	1998-06-06	VYDAJ	VYBER	7840	48258	\N	\N	\N
1129917	3861	1998-01-26	VYDAJ	VYBER	7040	43537	\N	\N	\N
1129918	3861	1997-12-13	VYDAJ	VYBER	4320	79310	\N	\N	\N
1129919	3861	1998-12-21	VYDAJ	VYBER KARTOU	1900	91027	\N	\N	0
1129926	3861	1998-01-06	VYDAJ	VYBER	1440	53132	\N	\N	\N
1129927	3861	1998-01-02	VYDAJ	VYBER	2160	57212	\N	\N	\N
1129928	3861	1998-01-10	VYDAJ	VYBER	2760	74504	\N	\N	\N
1129929	3861	1998-01-10	VYDAJ	VYBER	600	77264	\N	\N	\N
1129930	3861	1998-01-04	VYDAJ	VYBER	840	56372	\N	\N	\N
1129931	3861	1998-01-05	VYDAJ	VYBER	1800	54572	\N	\N	\N
1129932	3861	1997-07-11	VYDAJ	VYBER	5640	60816	\N	\N	\N
1129934	3861	1997-09-17	VYDAJ	VYBER	3960	64704	\N	\N	\N
1129935	3861	1997-11-04	VYDAJ	VYBER	4800	43721	\N	\N	\N
1129936	3861	1997-10-06	VYDAJ	VYBER	2040	43188	\N	\N	\N
1129937	3861	1998-06-18	VYDAJ	VYBER KARTOU	4000	77129	\N	\N	0
1129938	3861	1998-01-16	VYDAJ	VYBER	1800	68477	\N	\N	\N
1129939	3861	1998-06-02	VYDAJ	VYBER	4080	56098	\N	\N	\N
1129940	3861	1998-02-19	VYDAJ	VYBER	1320	62967	\N	\N	\N
1129947	3861	1997-06-30	VYDAJ	VYBER	15	45951	SLUZBY	\N	\N
1129948	3861	1997-07-31	VYDAJ	VYBER	15	46029	SLUZBY	\N	\N
1129949	3861	1997-08-31	VYDAJ	VYBER	15	48159	SLUZBY	\N	\N
1129950	3861	1997-09-30	VYDAJ	VYBER	15	45228	SLUZBY	\N	\N
1129951	3861	1997-10-31	VYDAJ	VYBER	15	48521	SLUZBY	\N	\N
1129952	3861	1997-11-30	VYDAJ	VYBER	15	50759	SLUZBY	\N	\N
1129953	3861	1997-12-31	VYDAJ	VYBER	15	59372	SLUZBY	\N	\N
1129954	3861	1998-01-31	VYDAJ	VYBER	15	43782	SLUZBY	\N	\N
1129955	3861	1998-02-28	VYDAJ	VYBER	15	52880	SLUZBY	\N	\N
1129956	3861	1998-03-31	VYDAJ	VYBER	15	57335	SLUZBY	\N	\N
1129957	3861	1998-04-30	VYDAJ	VYBER	15	58405	SLUZBY	\N	\N
1129958	3861	1998-05-31	VYDAJ	VYBER	15	60178	SLUZBY	\N	\N
1129959	3861	1998-06-30	VYDAJ	VYBER	15	60412	SLUZBY	\N	\N
1129960	3861	1998-07-31	VYDAJ	VYBER	15	62291	SLUZBY	\N	\N
1129961	3861	1998-08-31	VYDAJ	VYBER	15	66979	SLUZBY	\N	\N
1129962	3861	1998-09-30	VYDAJ	VYBER	15	66479	SLUZBY	\N	\N
1129963	3861	1998-10-31	VYDAJ	VYBER	15	65074	SLUZBY	\N	\N
1129964	3861	1998-11-30	VYDAJ	VYBER	15	60056	SLUZBY	\N	\N
1129965	3861	1997-03-01	VYDAJ	VYBER	1700	23732	\N	\N	\N
1129966	3861	1997-03-31	VYDAJ	VYBER	13500	35125	\N	\N	\N
1129967	3861	1997-04-30	VYDAJ	VYBER	15800	44205	\N	\N	\N
1129968	3861	1997-05-30	VYDAJ	VYBER	24300	44637	\N	\N	\N
1129969	3861	1997-06-29	VYDAJ	VYBER	21100	45712	\N	\N	\N
1129970	3861	1997-07-29	VYDAJ	VYBER	15000	45816	\N	\N	\N
1129971	3861	1997-08-28	VYDAJ	VYBER	18600	47934	\N	\N	\N
1129972	3861	1997-09-27	VYDAJ	VYBER	19700	45004	\N	\N	\N
1129973	3861	1997-10-27	VYDAJ	VYBER	15400	48293	\N	\N	\N
1129974	3861	1997-11-26	VYDAJ	VYBER	13700	50526	\N	\N	\N
1129975	3861	1997-12-26	VYDAJ	VYBER	20200	59110	\N	\N	\N
1129976	3861	1998-01-25	VYDAJ	VYBER	17900	50577	\N	\N	\N
1129977	3861	1998-02-24	VYDAJ	VYBER	10300	52667	\N	\N	\N
1129978	3861	1998-03-26	VYDAJ	VYBER	16300	57085	\N	\N	\N
1129979	3861	1998-04-25	VYDAJ	VYBER	19700	58140	\N	\N	\N
1129980	3861	1998-05-25	VYDAJ	VYBER	19000	59910	\N	\N	\N
1129981	3861	1998-06-24	VYDAJ	VYBER	17000	60129	\N	\N	\N
1129982	3861	1998-07-24	VYDAJ	VYBER	18900	62017	\N	\N	\N
1129983	3861	1998-08-23	VYDAJ	VYBER	16100	66696	\N	\N	\N
1129984	3861	1998-09-22	VYDAJ	VYBER	21300	66184	\N	\N	\N
1129985	3861	1998-10-22	VYDAJ	VYBER	22200	64784	\N	\N	\N
1129986	3861	1998-11-21	VYDAJ	VYBER	25800	59779	\N	\N	\N
1130009	3862	1996-11-23	PRIJEM	VKLAD	600	600	\N	\N	\N
1130019	3862	1997-09-25	PRIJEM	VKLAD	25565	69423	\N	\N	\N
1130020	3862	1997-03-19	PRIJEM	VKLAD	12973	91073	\N	\N	\N
1130021	3862	1997-06-06	PRIJEM	VKLAD	24908	126191	\N	\N	\N
1130022	3862	1997-12-22	PRIJEM	VKLAD	22120	74462	\N	\N	\N
1130023	3862	1997-10-08	PRIJEM	VKLAD	17689	59272	\N	\N	\N
1130024	3862	1997-04-08	PRIJEM	VKLAD	6297	64773	\N	\N	\N
1130025	3862	1997-05-27	PRIJEM	VKLAD	47656	95992	\N	\N	\N
1130026	3862	1997-01-10	PRIJEM	VKLAD	27382	43582	\N	\N	\N
1130027	3862	1997-11-19	PRIJEM	VKLAD	24835	71312	\N	\N	\N
1130028	3862	1997-06-02	PRIJEM	VKLAD	23722	119983	\N	\N	\N
1130029	3862	1997-11-23	PRIJEM	VKLAD	7478	60964	\N	\N	\N
1130030	3862	1997-09-08	PRIJEM	VKLAD	7714	30315	\N	\N	\N
1130031	3862	1997-09-09	PRIJEM	VKLAD	45267	67758	\N	\N	\N
1130032	3862	1997-03-17	PRIJEM	VKLAD	49627	78100	\N	\N	\N
1130034	3862	1997-10-29	PRIJEM	VKLAD	47688	117797	\N	\N	\N
1130035	3862	1997-12-11	PRIJEM	VKLAD	30140	78242	\N	\N	\N
1130036	3862	1997-06-11	PRIJEM	VKLAD	49404	140863	\N	\N	\N
1130037	3862	1997-05-05	PRIJEM	VKLAD	40070	84268	\N	\N	\N
1130038	3862	1997-10-27	PRIJEM	VKLAD	44144	70109	\N	\N	\N
1130039	3862	1998-09-16	PRIJEM	VKLAD	7117	45755	\N	\N	\N
1130040	3862	1998-04-04	PRIJEM	VKLAD	36260	58996	\N	\N	\N
1130041	3862	1998-11-09	PRIJEM	VKLAD	37034	102676	\N	\N	\N
1130042	3862	1998-12-08	PRIJEM	VKLAD	7932	51941	\N	\N	\N
1130043	3862	1998-01-19	PRIJEM	VKLAD	28902	77203	\N	\N	\N
1130044	3862	1998-01-21	PRIJEM	VKLAD	41115	143677	\N	\N	\N
1130045	3862	1998-10-12	PRIJEM	VKLAD	24879	114146	\N	\N	\N
1130046	3862	1998-10-01	PRIJEM	VKLAD	25851	69452	\N	\N	\N
1130047	3862	1998-12-19	PRIJEM	VKLAD	30956	115582	\N	\N	\N
1130048	3862	1998-11-12	PRIJEM	VKLAD	21675	124351	\N	\N	\N
1130049	3862	1998-10-29	PRIJEM	VKLAD	48596	76687	\N	\N	\N
1130050	3862	1998-12-17	PRIJEM	VKLAD	47390	84626	\N	\N	\N
1130051	3862	1998-01-06	PRIJEM	VKLAD	27627	65750	\N	\N	\N
1130052	3862	1998-07-30	PRIJEM	VKLAD	17073	68000	\N	\N	\N
1130053	3862	1998-01-07	PRIJEM	VKLAD	10383	72625	\N	\N	\N
1130054	3862	1998-10-02	PRIJEM	VKLAD	47347	116799	\N	\N	\N
1130055	3862	1998-10-21	PRIJEM	VKLAD	17092	61652	\N	\N	\N
1130056	3862	1998-10-14	PRIJEM	VKLAD	10895	62460	\N	\N	\N
1130057	3862	1998-09-13	PRIJEM	VKLAD	32519	55138	\N	\N	\N
1130058	3862	1998-04-04	PRIJEM	VKLAD	46223	105219	\N	\N	\N
1130059	3862	1998-07-17	PRIJEM	VKLAD	48855	67205	\N	\N	\N
1130060	3862	1998-04-15	PRIJEM	VKLAD	43680	134567	\N	\N	\N
1130061	3862	1998-01-20	PRIJEM	VKLAD	29859	102562	\N	\N	\N
1130078	3862	1997-05-11	VYDAJ	VYBER	1300	71636	\N	\N	0
1130079	3862	1997-06-12	VYDAJ	VYBER	1800	87463	\N	\N	0
1130080	3862	1997-07-13	VYDAJ	VYBER	2200	46156	\N	\N	0
1130081	3862	1997-08-06	VYDAJ	VYBER	2800	33129	\N	\N	0
1130082	3862	1997-09-22	VYDAJ	VYBER	2500	43858	\N	\N	0
1130083	3862	1997-10-12	VYDAJ	VYBER	2400	49048	\N	\N	0
1130084	3862	1997-10-25	VYDAJ	VYBER	1900	25965	\N	\N	0
1130085	3862	1997-12-12	VYDAJ	VYBER	2200	76042	\N	\N	0
1130086	3862	1998-01-13	VYDAJ	VYBER	1700	63101	\N	\N	0
1130087	3862	1998-02-07	VYDAJ	VYBER	2000	62743	\N	\N	0
1130088	3862	1998-03-14	VYDAJ	VYBER	2600	28101	\N	\N	0
1130089	3862	1998-04-17	VYDAJ	VYBER	1900	52667	\N	\N	0
1130090	3862	1998-05-11	VYDAJ	VYBER	1600	20943	\N	\N	0
1130091	3862	1998-06-11	VYDAJ	VYBER	1800	13307	\N	\N	0
1130092	3862	1998-07-05	VYDAJ	VYBER	2300	21182	\N	\N	0
1130093	3862	1998-08-07	VYDAJ	VYBER	2300	56802	\N	\N	0
1130094	3862	1998-09-17	VYDAJ	VYBER	2300	43455	\N	\N	0
1130095	3862	1998-10-12	VYDAJ	PREVOD NA UCET	2081	112065	UVER	MN	12050682
1130096	3862	1998-11-12	VYDAJ	PREVOD NA UCET	2081	65870	UVER	MN	12050682
1130097	3862	1998-12-12	VYDAJ	PREVOD NA UCET	2081	42036	UVER	MN	12050682
1130114	3862	1997-05-06	VYDAJ	PREVOD NA UCET	3508	80760	SIPO	UV	37094020
1130115	3862	1997-06-06	VYDAJ	PREVOD NA UCET	3508	99283	SIPO	UV	37094020
1130116	3862	1997-07-06	VYDAJ	PREVOD NA UCET	3508	56180	SIPO	UV	37094020
1130117	3862	1997-08-06	VYDAJ	PREVOD NA UCET	3508	35929	SIPO	UV	37094020
1130118	3862	1997-09-06	VYDAJ	PREVOD NA UCET	3508	22601	SIPO	UV	37094020
1130119	3862	1997-10-06	VYDAJ	PREVOD NA UCET	3508	41583	SIPO	UV	37094020
1130120	3862	1997-11-06	VYDAJ	PREVOD NA UCET	3508	78601	SIPO	UV	37094020
1130121	3862	1997-12-06	VYDAJ	PREVOD NA UCET	3508	55926	SIPO	UV	37094020
1130122	3862	1998-01-06	VYDAJ	PREVOD NA UCET	3508	62242	SIPO	UV	37094020
1130123	3862	1998-02-06	VYDAJ	PREVOD NA UCET	3508	64743	SIPO	UV	37094020
1130124	3862	1998-03-06	VYDAJ	PREVOD NA UCET	3508	38525	SIPO	UV	37094020
1130125	3862	1998-04-06	VYDAJ	PREVOD NA UCET	3508	101711	SIPO	UV	37094020
1130126	3862	1998-05-06	VYDAJ	PREVOD NA UCET	3508	30367	SIPO	UV	37094020
1130127	3862	1998-06-06	VYDAJ	PREVOD NA UCET	3508	22931	SIPO	UV	37094020
1130128	3862	1998-07-06	VYDAJ	PREVOD NA UCET	3508	17674	SIPO	UV	37094020
1130129	3862	1998-08-06	VYDAJ	PREVOD NA UCET	3508	59102	SIPO	UV	37094020
1130130	3862	1998-09-06	VYDAJ	PREVOD NA UCET	3508	33143	SIPO	UV	37094020
1130131	3862	1998-10-06	VYDAJ	PREVOD NA UCET	3508	97091	SIPO	UV	37094020
1130132	3862	1998-11-06	VYDAJ	PREVOD NA UCET	3508	73466	SIPO	UV	37094020
1130133	3862	1998-12-06	VYDAJ	PREVOD NA UCET	3508	44009	SIPO	UV	37094020
1130150	3862	1997-05-08	VYDAJ	PREVOD NA UCET	7824	72936	 	YZ	17165685
1130151	3862	1997-06-08	VYDAJ	PREVOD NA UCET	7824	91459	 	YZ	17165685
1130152	3862	1997-07-08	VYDAJ	PREVOD NA UCET	7824	48356	 	YZ	17165685
1130153	3862	1997-08-08	VYDAJ	PREVOD NA UCET	7824	25305	 	YZ	17165685
1130154	3862	1997-09-08	VYDAJ	PREVOD NA UCET	7824	22491	 	YZ	17165685
1130155	3862	1997-10-08	VYDAJ	PREVOD NA UCET	7824	51448	 	YZ	17165685
1130156	3862	1997-11-08	VYDAJ	PREVOD NA UCET	7824	70777	 	YZ	17165685
1130157	3862	1997-12-08	VYDAJ	PREVOD NA UCET	7824	48102	 	YZ	17165685
1130158	3862	1998-01-08	VYDAJ	PREVOD NA UCET	7824	64801	 	YZ	17165685
1130159	3862	1998-02-08	VYDAJ	PREVOD NA UCET	7824	54919	 	YZ	17165685
1130160	3862	1998-03-08	VYDAJ	PREVOD NA UCET	7824	30701	 	YZ	17165685
1130161	3862	1998-04-08	VYDAJ	PREVOD NA UCET	7824	93887	 	YZ	17165685
1130162	3862	1998-05-08	VYDAJ	PREVOD NA UCET	7824	22543	 	YZ	17165685
1130163	3862	1998-06-08	VYDAJ	PREVOD NA UCET	7824	15107	 	YZ	17165685
1130164	3862	1998-07-08	VYDAJ	PREVOD NA UCET	7824	9850	 	YZ	17165685
1130165	3862	1998-08-08	VYDAJ	PREVOD NA UCET	7824	48978	 	YZ	17165685
1130166	3862	1998-09-08	VYDAJ	PREVOD NA UCET	7824	22619	 	YZ	17165685
1130167	3862	1998-10-08	VYDAJ	PREVOD NA UCET	7824	89267	 	YZ	17165685
1130168	3862	1998-11-08	VYDAJ	PREVOD NA UCET	7824	65642	 	YZ	17165685
1130169	3862	1998-12-08	VYDAJ	PREVOD NA UCET	7824	44117	 	YZ	17165685
1130179	3862	1997-09-28	VYBER	VYBER	24526	44897	\N	\N	\N
1130182	3862	1997-11-20	VYBER	VYBER	17826	53486	\N	\N	\N
1130186	3862	1997-10-21	VYBER	VYBER	16453	35665	\N	\N	\N
1130189	3862	1998-07-21	VYBER	VYBER	16278	50927	\N	\N	\N
1130191	3862	1998-02-24	VYBER	VYBER	2290	41829	\N	\N	\N
1130193	3862	1998-08-02	VYBER	VYBER	2224	62610	\N	\N	\N
1130194	3862	1998-10-24	VYBER	VYBER	22461	28091	\N	\N	\N
1130195	3862	1998-04-19	VYBER	VYBER	19042	33625	\N	\N	\N
1130196	3862	1998-03-21	VYBER	VYBER	8876	22625	\N	\N	\N
1130197	3862	1998-01-23	VYBER	VYBER	22304	85073	\N	\N	\N
1130206	3862	1998-01-04	VYDAJ	VYBER	29400	38123	\N	\N	\N
1130219	3862	1998-01-29	VYDAJ	VYBER	6900	67973	\N	\N	\N
1130220	3862	1998-01-24	VYDAJ	VYBER	2100	82973	\N	\N	\N
1130221	3862	1998-01-14	VYDAJ	VYBER	3300	59801	\N	\N	\N
1130222	3862	1998-01-19	VYDAJ	VYBER	4500	72703	\N	\N	\N
1130223	3862	1998-01-04	VYDAJ	VYBER	7200	67523	\N	\N	\N
1130224	3862	1998-01-27	VYDAJ	VYBER	8100	74873	\N	\N	\N
1130233	3862	1997-12-01	VYDAJ	VYBER	1800	59434	\N	\N	\N
1130234	3862	1997-10-25	VYDAJ	VYBER	7800	27865	\N	\N	\N
1130237	3862	1998-07-30	VYDAJ	VYBER	3300	64700	\N	\N	\N
1130238	3862	1998-04-11	VYDAJ	VYBER	3000	90887	\N	\N	\N
1130239	3862	1998-11-12	VYDAJ	VYBER	3900	67951	\N	\N	\N
1130240	3862	1998-09-08	VYDAJ	VYBER	2700	30443	\N	\N	\N
1130241	3862	1998-10-21	VYDAJ	VYBER	11100	50552	\N	\N	\N
1130260	3862	1997-05-31	VYDAJ	VYBER	15	96261	SLUZBY	\N	\N
1130261	3862	1997-06-30	VYDAJ	VYBER	15	59688	SLUZBY	\N	\N
1130262	3862	1997-07-31	VYDAJ	VYBER	15	39437	SLUZBY	\N	\N
1130263	3862	1997-08-31	VYDAJ	VYBER	15	26109	SLUZBY	\N	\N
1130264	3862	1997-09-30	VYDAJ	VYBER	15	45091	SLUZBY	\N	\N
1130265	3862	1997-10-31	VYDAJ	VYBER	15	82109	SLUZBY	\N	\N
1130266	3862	1997-11-30	VYDAJ	VYBER	15	61234	SLUZBY	\N	\N
1130267	3862	1997-12-31	VYDAJ	VYBER	15	74723	SLUZBY	\N	\N
1130268	3862	1998-01-31	VYDAJ	VYBER	15	68251	SLUZBY	\N	\N
1130269	3862	1998-02-28	VYDAJ	VYBER	15	42033	SLUZBY	\N	\N
1130270	3862	1998-03-31	VYDAJ	VYBER	15	22736	SLUZBY	\N	\N
1130271	3862	1998-04-30	VYDAJ	VYBER	15	33875	SLUZBY	\N	\N
1130272	3862	1998-05-31	VYDAJ	VYBER	15	26439	SLUZBY	\N	\N
1130273	3862	1998-06-30	VYDAJ	VYBER	15	23482	SLUZBY	\N	\N
1130274	3862	1998-07-31	VYDAJ	VYBER	15	64834	SLUZBY	\N	\N
1130275	3862	1998-08-31	VYDAJ	VYBER	15	36651	SLUZBY	\N	\N
1130276	3862	1998-09-30	VYDAJ	VYBER	15	43601	SLUZBY	\N	\N
1130277	3862	1998-10-31	VYDAJ	VYBER	15	76974	SLUZBY	\N	\N
1130278	3862	1998-11-30	VYDAJ	VYBER	15	47517	SLUZBY	\N	\N
1130279	3862	1996-12-23	PRIJEM	VKLAD	15600	16200	\N	\N	\N
1130280	3862	1997-01-22	VYDAJ	VYBER	9000	34582	\N	\N	\N
1130281	3862	1997-02-21	VYDAJ	VYBER	6300	28329	\N	\N	\N
1130282	3862	1997-03-23	VYDAJ	VYBER	32800	58273	\N	\N	\N
1130283	3862	1997-04-22	VYDAJ	VYBER	20800	43973	\N	\N	\N
1130284	3862	1997-05-22	VYDAJ	VYBER	23300	48336	\N	\N	\N
1130285	3862	1997-06-02	VYDAJ	VYBER	18700	101283	\N	\N	\N
1130286	3862	1997-06-06	VYDAJ	VYBER	23400	102791	\N	\N	\N
1130287	3862	1997-06-11	VYDAJ	VYBER	51600	89263	\N	\N	\N
1130288	3862	1997-06-21	VYDAJ	VYBER	28100	59363	\N	\N	\N
1130289	3862	1997-07-21	VYDAJ	VYBER	6900	39256	\N	\N	\N
1130290	3862	1997-08-20	PRIJEM	VKLAD	700	26005	\N	\N	\N
1130291	3862	1997-09-19	VYDAJ	VYBER	21400	46358	\N	\N	\N
1130292	3862	1997-10-19	VYDAJ	VYBER	30700	52118	\N	\N	\N
1130293	3862	1997-10-29	VYDAJ	VYBER	35900	81897	\N	\N	\N
1130294	3862	1997-11-18	VYDAJ	VYBER	24300	46477	\N	\N	\N
1130295	3862	1997-12-18	VYDAJ	VYBER	23700	52342	\N	\N	\N
1130296	3862	1998-01-17	VYDAJ	VYBER	11500	48301	\N	\N	\N
1130297	3862	1998-01-21	VYDAJ	VYBER	36300	107377	\N	\N	\N
1130298	3862	1998-02-16	VYDAJ	VYBER	10800	44119	\N	\N	\N
1130299	3862	1998-03-18	PRIJEM	VKLAD	3400	31501	\N	\N	\N
1130300	3862	1998-04-15	VYDAJ	VYBER	59600	74967	\N	\N	\N
1130301	3862	1998-04-17	VYDAJ	VYBER	20400	54567	\N	\N	\N
1130302	3862	1998-05-17	PRIJEM	VKLAD	5400	26343	\N	\N	\N
1130303	3862	1998-06-16	PRIJEM	VKLAD	10100	23407	\N	\N	\N
1130304	3862	1998-07-16	PRIJEM	VKLAD	8500	18350	\N	\N	\N
1130305	3862	1998-08-15	VYDAJ	VYBER	12500	36478	\N	\N	\N
1130306	3862	1998-09-14	VYDAJ	VYBER	16500	38638	\N	\N	\N
1130307	3862	1998-10-02	VYDAJ	VYBER	16200	100599	\N	\N	\N
1130308	3862	1998-10-12	VYDAJ	VYBER	60500	51565	\N	\N	\N
1130309	3862	1998-10-14	VYDAJ	VYBER	17900	44560	\N	\N	\N
1130310	3862	1998-11-12	VYDAJ	VYBER	52500	71851	\N	\N	\N
1130311	3862	1998-11-13	VYDAJ	VYBER	18600	47270	\N	\N	\N
1130312	3862	1998-12-13	VYDAJ	VYBER	4800	37236	\N	\N	\N
1130313	3862	1998-12-19	VYDAJ	VYBER	59700	55882	\N	\N	\N
1130338	3863	1993-09-14	PRIJEM	VKLAD	600	600	\N	\N	\N
1130348	3863	1993-10-06	PRIJEM	VKLAD	12756	13356	\N	\N	\N
1130349	3863	1993-11-06	PRIJEM	VKLAD	12756	31858	\N	\N	\N
1130350	3863	1993-12-06	PRIJEM	VKLAD	19134	45690	\N	\N	\N
1130351	3863	1994-01-06	PRIJEM	VKLAD	12756	49683	\N	\N	\N
1130352	3863	1994-02-06	PRIJEM	VKLAD	12756	52299	\N	\N	\N
1130353	3863	1994-03-06	PRIJEM	VKLAD	12756	43099	\N	\N	\N
1130354	3863	1994-04-06	PRIJEM	VKLAD	12756	39493	\N	\N	\N
1130355	3863	1994-05-06	PRIJEM	VKLAD	12756	34668	\N	\N	\N
1130356	3863	1994-06-06	PRIJEM	VKLAD	19134	42317	\N	\N	\N
1130357	3863	1994-07-06	PRIJEM	VKLAD	12756	31260	\N	\N	\N
1130358	3863	1994-08-06	PRIJEM	VKLAD	12756	33097	\N	\N	\N
1130359	3863	1994-09-06	PRIJEM	VKLAD	12756	29553	\N	\N	\N
1130360	3863	1994-10-06	PRIJEM	VKLAD	12756	33610	\N	\N	\N
1130361	3863	1994-11-06	PRIJEM	VKLAD	12756	32266	\N	\N	\N
1130362	3863	1994-12-06	PRIJEM	VKLAD	19134	40305	\N	\N	\N
1130363	3863	1995-01-06	PRIJEM	VKLAD	12756	36904	\N	\N	\N
1130364	3863	1995-02-06	PRIJEM	VKLAD	12756	21330	\N	\N	\N
1130365	3863	1995-03-06	PRIJEM	VKLAD	12756	27453	\N	\N	\N
1130366	3863	1995-04-06	PRIJEM	VKLAD	12756	33708	\N	\N	\N
1130367	3863	1995-05-06	PRIJEM	VKLAD	12756	31461	\N	\N	\N
1130368	3863	1995-06-06	PRIJEM	VKLAD	19134	39495	\N	\N	\N
1130369	3863	1995-07-06	PRIJEM	VKLAD	12756	34588	\N	\N	\N
1130370	3863	1995-08-06	PRIJEM	VKLAD	12756	34849	\N	\N	\N
1130371	3863	1995-09-06	PRIJEM	VKLAD	12756	31625	\N	\N	\N
1130372	3863	1995-10-06	PRIJEM	VKLAD	12756	34245	\N	\N	\N
1130373	3863	1995-11-06	PRIJEM	VKLAD	12756	38121	\N	\N	\N
1130374	3863	1995-12-06	PRIJEM	VKLAD	19134	40390	\N	\N	\N
1130375	3863	1996-01-06	PRIJEM	VKLAD	12756	33407	\N	\N	\N
1130376	3863	1996-02-06	PRIJEM	VKLAD	12756	26409	\N	\N	\N
1130377	3863	1996-03-06	PRIJEM	VKLAD	12756	27961	\N	\N	\N
1130378	3863	1996-04-06	PRIJEM	VKLAD	12756	31011	\N	\N	\N
1130379	3863	1996-05-06	PRIJEM	VKLAD	12756	28932	\N	\N	\N
1130380	3863	1996-06-06	PRIJEM	VKLAD	19134	35865	\N	\N	\N
1130381	3863	1996-07-06	PRIJEM	VKLAD	12756	26199	\N	\N	\N
1130382	3863	1996-08-06	PRIJEM	VKLAD	12756	29033	\N	\N	\N
1130383	3863	1996-09-06	PRIJEM	VKLAD	12756	30306	\N	\N	\N
1130384	3863	1996-10-06	PRIJEM	VKLAD	12756	33165	\N	\N	\N
1130385	3863	1996-11-06	PRIJEM	VKLAD	12756	31651	\N	\N	\N
1130386	3863	1996-12-06	PRIJEM	VKLAD	19134	40654	\N	\N	\N
1130387	3863	1997-01-06	PRIJEM	VKLAD	12756	22146	\N	\N	\N
1130388	3863	1997-02-06	PRIJEM	VKLAD	12756	19817	\N	\N	\N
1130389	3863	1997-03-06	PRIJEM	VKLAD	12756	30236	\N	\N	\N
1130390	3863	1997-04-06	PRIJEM	VKLAD	12756	29490	\N	\N	\N
1130391	3863	1997-05-06	PRIJEM	VKLAD	12756	28242	\N	\N	\N
1130392	3863	1997-06-06	PRIJEM	VKLAD	19134	39971	\N	\N	\N
1130393	3863	1997-07-06	PRIJEM	VKLAD	12756	37960	\N	\N	\N
1130394	3863	1997-08-06	PRIJEM	VKLAD	12756	36446	\N	\N	\N
1130395	3863	1997-09-06	PRIJEM	VKLAD	12756	33622	\N	\N	\N
1130396	3863	1997-10-06	PRIJEM	VKLAD	12756	35692	\N	\N	\N
1130397	3863	1997-11-06	PRIJEM	VKLAD	12756	32708	\N	\N	\N
1130398	3863	1997-12-06	PRIJEM	VKLAD	19134	41051	\N	\N	\N
1130399	3863	1998-01-06	PRIJEM	VKLAD	12756	29675	\N	\N	\N
1130400	3863	1998-02-06	PRIJEM	VKLAD	12756	20246	\N	\N	\N
1130401	3863	1998-03-06	PRIJEM	VKLAD	12756	23004	\N	\N	\N
1130402	3863	1998-04-06	PRIJEM	VKLAD	12756	27632	\N	\N	\N
1130403	3863	1998-05-06	PRIJEM	VKLAD	12756	24669	\N	\N	\N
1130404	3863	1998-06-06	PRIJEM	VKLAD	19134	35882	\N	\N	\N
1130405	3863	1998-07-06	PRIJEM	VKLAD	12756	26987	\N	\N	\N
1130406	3863	1998-08-06	PRIJEM	VKLAD	12756	29327	\N	\N	\N
1130407	3863	1998-09-06	PRIJEM	VKLAD	12756	25833	\N	\N	\N
1130408	3863	1998-10-06	PRIJEM	VKLAD	12756	21556	\N	\N	\N
1130409	3863	1998-11-06	PRIJEM	VKLAD	12756	19765	\N	\N	\N
1130410	3863	1998-12-06	PRIJEM	VKLAD	19134	28295	\N	\N	\N
1130425	3863	1994-03-05	VYDAJ	PREVOD NA UCET	8504	30343	SIPO	QR	88157391
1130426	3863	1994-04-05	VYDAJ	PREVOD NA UCET	8504	26737	SIPO	QR	88157391
1130427	3863	1994-05-05	VYDAJ	PREVOD NA UCET	8504	21912	SIPO	QR	88157391
1130428	3863	1994-06-05	VYDAJ	PREVOD NA UCET	8504	23183	SIPO	QR	88157391
1130429	3863	1994-07-05	VYDAJ	PREVOD NA UCET	8504	18504	SIPO	QR	88157391
1130430	3863	1994-08-05	VYDAJ	PREVOD NA UCET	8504	20341	SIPO	QR	88157391
1130431	3863	1994-09-05	VYDAJ	PREVOD NA UCET	8504	16797	SIPO	QR	88157391
1130432	3863	1994-10-05	VYDAJ	PREVOD NA UCET	8504	20854	SIPO	QR	88157391
1130433	3863	1994-11-05	VYDAJ	PREVOD NA UCET	8504	19510	SIPO	QR	88157391
1130434	3863	1994-12-05	VYDAJ	PREVOD NA UCET	8504	21171	SIPO	QR	88157391
1130435	3863	1995-01-05	VYDAJ	PREVOD NA UCET	8504	24148	SIPO	QR	88157391
1130436	3863	1995-02-05	VYDAJ	PREVOD NA UCET	8504	8574	SIPO	QR	88157391
1130437	3863	1995-03-05	VYDAJ	PREVOD NA UCET	8504	14697	SIPO	QR	88157391
1130438	3863	1995-04-05	VYDAJ	PREVOD NA UCET	8504	20952	SIPO	QR	88157391
1130439	3863	1995-05-05	VYDAJ	PREVOD NA UCET	8504	18705	SIPO	QR	88157391
1130440	3863	1995-06-05	VYDAJ	PREVOD NA UCET	8504	20361	SIPO	QR	88157391
1130441	3863	1995-07-05	VYDAJ	PREVOD NA UCET	8504	21832	SIPO	QR	88157391
1130442	3863	1995-08-05	VYDAJ	PREVOD NA UCET	8504	22093	SIPO	QR	88157391
1130443	3863	1995-09-05	VYDAJ	PREVOD NA UCET	8504	18869	SIPO	QR	88157391
1130444	3863	1995-10-05	VYDAJ	PREVOD NA UCET	8504	21489	SIPO	QR	88157391
1130445	3863	1995-11-05	VYDAJ	PREVOD NA UCET	8504	25365	SIPO	QR	88157391
1130446	3863	1995-12-05	VYDAJ	PREVOD NA UCET	8504	22856	SIPO	QR	88157391
1130447	3863	1996-01-05	VYDAJ	PREVOD NA UCET	8504	20651	SIPO	QR	88157391
1130448	3863	1996-02-05	VYDAJ	PREVOD NA UCET	8504	13653	SIPO	QR	88157391
1130449	3863	1996-03-05	VYDAJ	PREVOD NA UCET	8504	15205	SIPO	QR	88157391
1130450	3863	1996-04-05	VYDAJ	PREVOD NA UCET	8504	18255	SIPO	QR	88157391
1130451	3863	1996-05-05	VYDAJ	PREVOD NA UCET	8504	16176	SIPO	QR	88157391
1130586	3863	1994-07-31	VYDAJ	VYBER	15	28845	SLUZBY	\N	\N
1130452	3863	1996-06-05	VYDAJ	PREVOD NA UCET	8504	16731	SIPO	QR	88157391
1130453	3863	1996-07-05	VYDAJ	PREVOD NA UCET	8504	13443	SIPO	QR	88157391
1130454	3863	1996-08-05	VYDAJ	PREVOD NA UCET	8504	16277	SIPO	QR	88157391
1130455	3863	1996-09-05	VYDAJ	PREVOD NA UCET	8504	17550	SIPO	QR	88157391
1130456	3863	1996-10-05	VYDAJ	PREVOD NA UCET	8504	20409	SIPO	QR	88157391
1130457	3863	1996-11-05	VYDAJ	PREVOD NA UCET	8504	18895	SIPO	QR	88157391
1130458	3863	1996-12-05	VYDAJ	PREVOD NA UCET	8504	22960	SIPO	QR	88157391
1130459	3863	1997-01-05	VYDAJ	PREVOD NA UCET	8504	9390	SIPO	QR	88157391
1130460	3863	1997-02-05	VYDAJ	PREVOD NA UCET	8504	7061	SIPO	QR	88157391
1130461	3863	1997-03-05	VYDAJ	PREVOD NA UCET	8504	17480	SIPO	QR	88157391
1130462	3863	1997-04-05	VYDAJ	PREVOD NA UCET	8504	16734	SIPO	QR	88157391
1130463	3863	1997-05-05	VYDAJ	PREVOD NA UCET	8504	15486	SIPO	QR	88157391
1130464	3863	1997-06-05	VYDAJ	PREVOD NA UCET	8504	20837	SIPO	QR	88157391
1130465	3863	1997-07-05	VYDAJ	PREVOD NA UCET	8504	25204	SIPO	QR	88157391
1130466	3863	1997-08-05	VYDAJ	PREVOD NA UCET	8504	23690	SIPO	QR	88157391
1130467	3863	1997-09-05	VYDAJ	PREVOD NA UCET	8504	20866	SIPO	QR	88157391
1130468	3863	1997-10-05	VYDAJ	PREVOD NA UCET	8504	22936	SIPO	QR	88157391
1130469	3863	1997-11-05	VYDAJ	PREVOD NA UCET	8504	19952	SIPO	QR	88157391
1130470	3863	1997-12-05	VYDAJ	PREVOD NA UCET	8504	21917	SIPO	QR	88157391
1130471	3863	1998-01-05	VYDAJ	PREVOD NA UCET	8504	16919	SIPO	QR	88157391
1130472	3863	1998-02-05	VYDAJ	PREVOD NA UCET	8504	7490	SIPO	QR	88157391
1130473	3863	1998-03-05	VYDAJ	PREVOD NA UCET	8504	10248	SIPO	QR	88157391
1130474	3863	1998-04-05	VYDAJ	PREVOD NA UCET	8504	14876	SIPO	QR	88157391
1130475	3863	1998-05-05	VYDAJ	PREVOD NA UCET	8504	11913	SIPO	QR	88157391
1130476	3863	1998-06-05	VYDAJ	PREVOD NA UCET	8504	16748	SIPO	QR	88157391
1130477	3863	1998-07-05	VYDAJ	PREVOD NA UCET	8504	14231	SIPO	QR	88157391
1130478	3863	1998-08-05	VYDAJ	PREVOD NA UCET	8504	16571	SIPO	QR	88157391
1130479	3863	1998-09-05	VYDAJ	PREVOD NA UCET	8504	13077	SIPO	QR	88157391
1130480	3863	1998-10-05	VYDAJ	PREVOD NA UCET	8504	8800	SIPO	QR	88157391
1130481	3863	1998-11-05	VYDAJ	PREVOD NA UCET	8504	7009	SIPO	QR	88157391
1130482	3863	1998-12-05	VYDAJ	PREVOD NA UCET	8504	9161	SIPO	QR	88157391
1130484	3863	1994-06-12	VYDAJ	VYBER	4800	26897	\N	\N	\N
1130486	3863	1996-06-29	VYDAJ	VYBER	16640	19225	\N	\N	\N
1130488	3863	1998-06-07	VYDAJ	VYBER	17120	18762	\N	\N	\N
1130491	3863	1995-01-16	VYDAJ	VYBER	4480	23464	\N	\N	\N
1130492	3863	1996-01-18	VYDAJ	VYBER	10400	18567	\N	\N	\N
1130493	3863	1997-01-01	VYDAJ	VYBER	12320	19574	\N	\N	\N
1130496	3863	1994-12-14	VYDAJ	VYBER	800	34205	\N	\N	\N
1130497	3863	1995-12-05	VYDAJ	VYBER	1600	21256	\N	\N	\N
1130498	3863	1996-12-05	VYDAJ	VYBER	1440	21520	\N	\N	\N
1130499	3863	1997-12-29	VYDAJ	VYBER	4320	26731	\N	\N	\N
1130513	3863	1995-01-21	VYDAJ	VYBER	2280	21184	\N	\N	\N
1130514	3863	1995-01-13	VYDAJ	VYBER	960	30944	\N	\N	\N
1130515	3863	1995-01-13	VYDAJ	VYBER	3000	27944	\N	\N	\N
1130516	3863	1995-01-25	VYDAJ	VYBER	3120	16984	\N	\N	\N
1130517	3863	1995-01-25	VYDAJ	VYBER	1080	20104	\N	\N	\N
1130518	3863	1995-01-04	VYDAJ	VYBER	1680	32652	\N	\N	\N
1130520	3863	1996-01-18	VYDAJ	VYBER	1680	16887	\N	\N	\N
1130521	3863	1996-01-29	VYDAJ	VYBER	1320	15567	\N	\N	\N
1130522	3863	1996-01-15	VYDAJ	VYBER	2280	31127	\N	\N	\N
1130523	3863	1996-01-17	VYDAJ	VYBER	2160	28967	\N	\N	\N
1130524	3863	1996-01-02	VYDAJ	VYBER	2400	32855	\N	\N	\N
1130525	3863	1997-01-29	VYDAJ	VYBER	3480	15506	\N	\N	\N
1130526	3863	1997-01-02	VYDAJ	VYBER	1680	17894	\N	\N	\N
1130528	3863	1997-01-12	VYDAJ	VYBER	1440	20706	\N	\N	\N
1130531	3863	1998-01-04	VYDAJ	VYBER	1440	25423	\N	\N	\N
1130532	3863	1998-01-10	VYDAJ	VYBER	1680	27995	\N	\N	\N
1130533	3863	1998-01-17	VYDAJ	VYBER	2040	24635	\N	\N	\N
1130534	3863	1998-01-13	VYDAJ	VYBER	1320	26675	\N	\N	\N
1130535	3863	1998-01-27	VYDAJ	VYBER	2040	15915	\N	\N	\N
1130536	3863	1998-01-22	VYDAJ	VYBER	1680	17955	\N	\N	\N
1130542	3863	1994-08-25	VYDAJ	VYBER	2280	25197	\N	\N	\N
1130543	3863	1994-06-09	VYDAJ	VYBER	3720	38597	\N	\N	\N
1130544	3863	1994-03-26	VYDAJ	VYBER	600	35099	\N	\N	\N
1130545	3863	1994-07-11	VYDAJ	VYBER	1920	28740	\N	\N	\N
1130546	3863	1994-08-15	VYDAJ	VYBER	3120	27477	\N	\N	\N
1130547	3863	1995-09-08	VYDAJ	VYBER	2640	28985	\N	\N	\N
1130548	3863	1995-07-20	VYDAJ	VYBER	720	26188	\N	\N	\N
1130549	3863	1995-07-17	VYDAJ	VYBER	3480	26908	\N	\N	\N
1130551	3863	1995-12-26	VYDAJ	VYBER	5280	35110	\N	\N	\N
1130552	3863	1996-10-22	VYDAJ	VYBER	2280	30885	\N	\N	\N
1130553	3863	1996-08-06	VYDAJ	VYBER	5280	23753	\N	\N	\N
1130554	3863	1996-02-11	VYDAJ	VYBER	2280	24129	\N	\N	\N
1130555	3863	1996-07-16	VYDAJ	VYBER	4200	21999	\N	\N	\N
1130556	3863	1996-04-30	VYDAJ	VYBER	3240	27880	\N	\N	\N
1130557	3863	1997-10-28	VYDAJ	VYBER	960	31332	\N	\N	\N
1130558	3863	1997-03-12	VYDAJ	VYBER	600	29636	\N	\N	\N
1130559	3863	1997-10-31	VYDAJ	VYBER	3000	28456	\N	\N	\N
1130560	3863	1997-01-14	VYDAJ	VYBER	4920	15786	\N	\N	\N
1130562	3863	1998-08-30	VYDAJ	VYBER	3840	21487	\N	\N	\N
1130565	3863	1998-03-01	VYDAJ	VYBER	2760	18752	\N	\N	\N
1130566	3863	1998-11-26	VYDAJ	VYBER	2160	17605	\N	\N	\N
1130581	3863	1994-02-28	VYDAJ	VYBER	15	38847	SLUZBY	\N	\N
1130582	3863	1994-03-31	VYDAJ	VYBER	15	35241	SLUZBY	\N	\N
1130583	3863	1994-04-30	VYDAJ	VYBER	15	30416	SLUZBY	\N	\N
1130584	3863	1994-05-31	VYDAJ	VYBER	15	31687	SLUZBY	\N	\N
1130585	3863	1994-06-30	VYDAJ	VYBER	15	27008	SLUZBY	\N	\N
1130587	3863	1994-08-31	VYDAJ	VYBER	15	25301	SLUZBY	\N	\N
1130588	3863	1994-09-30	VYDAJ	VYBER	15	29358	SLUZBY	\N	\N
1130589	3863	1994-10-31	VYDAJ	VYBER	15	28014	SLUZBY	\N	\N
1130590	3863	1994-11-30	VYDAJ	VYBER	15	29675	SLUZBY	\N	\N
1130591	3863	1994-12-31	VYDAJ	VYBER	15	34332	SLUZBY	\N	\N
1130592	3863	1995-01-31	VYDAJ	VYBER	15	17078	SLUZBY	\N	\N
1130593	3863	1995-02-28	VYDAJ	VYBER	15	23201	SLUZBY	\N	\N
1130594	3863	1995-03-31	VYDAJ	VYBER	15	29456	SLUZBY	\N	\N
1130595	3863	1995-04-30	VYDAJ	VYBER	15	27209	SLUZBY	\N	\N
1130596	3863	1995-05-31	VYDAJ	VYBER	15	28865	SLUZBY	\N	\N
1130597	3863	1995-06-30	VYDAJ	VYBER	15	30336	SLUZBY	\N	\N
1130598	3863	1995-07-31	VYDAJ	VYBER	15	26297	SLUZBY	\N	\N
1130599	3863	1995-08-31	VYDAJ	VYBER	15	34973	SLUZBY	\N	\N
1130600	3863	1995-09-30	VYDAJ	VYBER	15	29093	SLUZBY	\N	\N
1130601	3863	1995-10-31	VYDAJ	VYBER	15	34369	SLUZBY	\N	\N
1130602	3863	1995-11-30	VYDAJ	VYBER	15	38260	SLUZBY	\N	\N
1130603	3863	1995-12-31	VYDAJ	VYBER	15	35255	SLUZBY	\N	\N
1130604	3863	1996-01-31	VYDAJ	VYBER	15	15657	SLUZBY	\N	\N
1130605	3863	1996-02-29	VYDAJ	VYBER	15	24209	SLUZBY	\N	\N
1130606	3863	1996-03-31	VYDAJ	VYBER	15	28059	SLUZBY	\N	\N
1130607	3863	1996-04-30	VYDAJ	VYBER	15	31120	SLUZBY	\N	\N
1130608	3863	1996-05-31	VYDAJ	VYBER	15	25235	SLUZBY	\N	\N
1130609	3863	1996-06-30	VYDAJ	VYBER	15	21947	SLUZBY	\N	\N
1130610	3863	1996-07-31	VYDAJ	VYBER	15	24781	SLUZBY	\N	\N
1130611	3863	1996-08-31	VYDAJ	VYBER	15	26054	SLUZBY	\N	\N
1130612	3863	1996-09-30	VYDAJ	VYBER	15	28913	SLUZBY	\N	\N
1130613	3863	1996-10-31	VYDAJ	VYBER	15	27399	SLUZBY	\N	\N
1130614	3863	1996-11-30	VYDAJ	VYBER	15	31464	SLUZBY	\N	\N
1130615	3863	1996-12-31	VYDAJ	VYBER	15	31894	SLUZBY	\N	\N
1130616	3863	1997-01-31	VYDAJ	VYBER	15	15565	SLUZBY	\N	\N
1130617	3863	1997-02-28	VYDAJ	VYBER	15	25984	SLUZBY	\N	\N
1130618	3863	1997-03-31	VYDAJ	VYBER	15	25238	SLUZBY	\N	\N
1130619	3863	1997-04-30	VYDAJ	VYBER	15	23990	SLUZBY	\N	\N
1130620	3863	1997-05-31	VYDAJ	VYBER	15	29341	SLUZBY	\N	\N
1130621	3863	1997-06-30	VYDAJ	VYBER	15	33708	SLUZBY	\N	\N
1130622	3863	1997-07-31	VYDAJ	VYBER	15	32194	SLUZBY	\N	\N
1130623	3863	1997-08-31	VYDAJ	VYBER	15	29370	SLUZBY	\N	\N
1130624	3863	1997-09-30	VYDAJ	VYBER	15	31440	SLUZBY	\N	\N
1130625	3863	1997-10-31	VYDAJ	VYBER	15	31456	SLUZBY	\N	\N
1130626	3863	1997-11-30	VYDAJ	VYBER	15	30421	SLUZBY	\N	\N
1130627	3863	1997-12-31	VYDAJ	VYBER	15	26863	SLUZBY	\N	\N
1130628	3863	1998-01-31	VYDAJ	VYBER	15	15994	SLUZBY	\N	\N
1130629	3863	1998-02-28	VYDAJ	VYBER	15	21512	SLUZBY	\N	\N
1130630	3863	1998-03-31	VYDAJ	VYBER	15	23380	SLUZBY	\N	\N
1130631	3863	1998-04-30	VYDAJ	VYBER	15	20417	SLUZBY	\N	\N
1130632	3863	1998-05-31	VYDAJ	VYBER	15	25252	SLUZBY	\N	\N
1130633	3863	1998-06-30	VYDAJ	VYBER	15	22735	SLUZBY	\N	\N
1130634	3863	1998-07-31	VYDAJ	VYBER	15	25075	SLUZBY	\N	\N
1130635	3863	1998-08-31	VYDAJ	VYBER	15	21581	SLUZBY	\N	\N
1130636	3863	1998-09-30	VYDAJ	VYBER	15	17304	SLUZBY	\N	\N
1130637	3863	1998-10-31	VYDAJ	VYBER	15	15513	SLUZBY	\N	\N
1130638	3863	1998-11-30	VYDAJ	VYBER	15	17665	SLUZBY	\N	\N
1130639	3863	1993-10-14	PRIJEM	VKLAD	5700	19056	\N	\N	\N
1130640	3863	1993-11-13	VYDAJ	VYBER	5400	26458	\N	\N	\N
1130641	3863	1993-12-13	VYDAJ	VYBER	8900	36790	\N	\N	\N
1130642	3863	1994-01-12	VYDAJ	VYBER	10300	39383	\N	\N	\N
1130643	3863	1994-02-11	VYDAJ	VYBER	13600	38699	\N	\N	\N
1130644	3863	1994-03-13	VYDAJ	VYBER	7400	35699	\N	\N	\N
1130645	3863	1994-04-12	VYDAJ	VYBER	9200	30293	\N	\N	\N
1130646	3863	1994-05-12	VYDAJ	VYBER	3100	31568	\N	\N	\N
1130647	3863	1994-06-11	VYDAJ	VYBER	6900	31697	\N	\N	\N
1130648	3863	1994-07-11	VYDAJ	VYBER	600	30660	\N	\N	\N
1130649	3863	1994-08-10	VYDAJ	VYBER	2500	30597	\N	\N	\N
1130650	3863	1994-09-09	VYDAJ	VYBER	300	29253	\N	\N	\N
1130651	3863	1994-10-09	VYDAJ	VYBER	5700	27910	\N	\N	\N
1130652	3863	1994-11-08	VYDAJ	VYBER	2700	29566	\N	\N	\N
1130653	3863	1994-12-08	VYDAJ	VYBER	5300	35005	\N	\N	\N
1130654	3863	1995-01-07	VYDAJ	VYBER	5000	31904	\N	\N	\N
1130655	3863	1995-02-06	PRIJEM	VKLAD	1800	23130	\N	\N	\N
1130656	3863	1995-03-08	PRIJEM	VKLAD	1900	29353	\N	\N	\N
1130657	3863	1995-04-07	VYDAJ	VYBER	6600	27108	\N	\N	\N
1130658	3863	1995-05-07	VYDAJ	VYBER	2700	28761	\N	\N	\N
1130659	3863	1995-06-06	VYDAJ	VYBER	9300	30195	\N	\N	\N
1130660	3863	1995-07-06	VYDAJ	VYBER	4200	30388	\N	\N	\N
1130661	3863	1995-08-05	PRIJEM	VKLAD	4300	30597	\N	\N	\N
1130662	3863	1995-09-04	VYDAJ	VYBER	7600	27373	\N	\N	\N
1130663	3863	1995-10-04	PRIJEM	VKLAD	900	29993	\N	\N	\N
1130664	3863	1995-11-03	VYDAJ	VYBER	500	33869	\N	\N	\N
1130665	3863	1995-12-03	VYDAJ	VYBER	6900	31360	\N	\N	\N
1130666	3863	1996-01-02	VYDAJ	VYBER	3700	29155	\N	\N	\N
1130667	3863	1996-02-01	PRIJEM	VKLAD	6500	22157	\N	\N	\N
1130668	3863	1996-03-02	VYDAJ	VYBER	500	23709	\N	\N	\N
1130669	3863	1996-04-01	VYDAJ	VYBER	1300	26759	\N	\N	\N
1130670	3863	1996-05-01	VYDAJ	VYBER	3200	24680	\N	\N	\N
1130671	3863	1996-05-31	VYDAJ	VYBER	3800	25249	\N	\N	\N
1130672	3863	1996-06-30	PRIJEM	VKLAD	2600	21825	\N	\N	\N
1130673	3863	1996-07-30	PRIJEM	VKLAD	2700	24699	\N	\N	\N
1130674	3863	1996-08-29	PRIJEM	VKLAD	2200	25953	\N	\N	\N
1130675	3863	1996-09-28	VYDAJ	VYBER	1500	28806	\N	\N	\N
1130676	3863	1996-10-28	VYDAJ	VYBER	3600	27285	\N	\N	\N
1130677	3863	1996-11-27	VYDAJ	VYBER	300	31351	\N	\N	\N
1130678	3863	1996-12-27	VYDAJ	VYBER	8900	31754	\N	\N	\N
1130679	3863	1997-01-26	PRIJEM	VKLAD	3200	18986	\N	\N	\N
1130680	3863	1997-02-25	PRIJEM	VKLAD	6100	25917	\N	\N	\N
1130681	3863	1997-03-27	VYDAJ	VYBER	4500	25136	\N	\N	\N
1130682	3863	1997-04-26	VYDAJ	VYBER	5600	23890	\N	\N	\N
1130683	3863	1997-05-26	PRIJEM	VKLAD	1000	29242	\N	\N	\N
1130684	3863	1997-06-25	VYDAJ	VYBER	6400	33571	\N	\N	\N
1130685	3863	1997-07-25	VYDAJ	VYBER	5900	32060	\N	\N	\N
1130686	3863	1997-08-24	VYDAJ	VYBER	7200	29246	\N	\N	\N
1130687	3863	1997-09-23	VYDAJ	VYBER	2300	31322	\N	\N	\N
1130688	3863	1997-10-23	VYDAJ	VYBER	3400	32292	\N	\N	\N
1130689	3863	1997-11-22	VYDAJ	VYBER	2400	30308	\N	\N	\N
1130690	3863	1997-12-22	VYDAJ	VYBER	10000	31051	\N	\N	\N
1130691	3863	1998-01-21	VYDAJ	VYBER	5000	19635	\N	\N	\N
1130692	3863	1998-02-20	PRIJEM	VKLAD	1200	21446	\N	\N	\N
1130693	3863	1998-03-22	PRIJEM	VKLAD	300	23304	\N	\N	\N
1130694	3863	1998-04-21	VYDAJ	VYBER	7300	20332	\N	\N	\N
1130695	3863	1998-05-21	PRIJEM	VKLAD	500	25169	\N	\N	\N
1130696	3863	1998-06-20	PRIJEM	VKLAD	3900	22662	\N	\N	\N
1130697	3863	1998-07-20	VYDAJ	VYBER	2000	24987	\N	\N	\N
1130698	3863	1998-08-19	VYDAJ	VYBER	4000	25327	\N	\N	\N
1130699	3863	1998-09-18	VYDAJ	VYBER	8600	17233	\N	\N	\N
1130700	3863	1998-10-18	VYDAJ	VYBER	6100	15456	\N	\N	\N
1130764	3864	1996-07-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1130766	3864	1996-11-29	PRIJEM	VKLAD	7888	30134	\N	\N	\N
1130767	3864	1996-07-04	PRIJEM	VKLAD	5131	6231	\N	\N	\N
1130768	3864	1997-04-05	PRIJEM	VKLAD	30837	57912	\N	\N	\N
1130769	3864	1997-12-03	PRIJEM	VKLAD	17628	44755	\N	\N	\N
1130770	3864	1997-11-14	PRIJEM	VKLAD	7878	59184	\N	\N	\N
1130771	3864	1997-09-11	PRIJEM	VKLAD	24767	46516	\N	\N	\N
1130772	3864	1997-01-26	PRIJEM	VKLAD	16069	40896	\N	\N	\N
1130773	3864	1997-08-08	PRIJEM	VKLAD	44017	105955	\N	\N	\N
1130774	3864	1997-06-02	PRIJEM	VKLAD	14094	57712	\N	\N	\N
1130775	3864	1997-05-16	PRIJEM	VKLAD	24154	69755	\N	\N	\N
1130776	3864	1997-02-02	PRIJEM	VKLAD	41539	74162	\N	\N	\N
1130777	3864	1997-03-10	PRIJEM	VKLAD	12080	56104	\N	\N	\N
1130778	3864	1997-05-19	PRIJEM	VKLAD	31160	100915	\N	\N	\N
1130779	3864	1997-05-03	PRIJEM	VKLAD	38220	77254	\N	\N	\N
1130780	3864	1997-06-22	PRIJEM	VKLAD	37396	66209	\N	\N	\N
1130781	3864	1997-02-02	PRIJEM	VKLAD	13158	87320	\N	\N	\N
1130782	3864	1997-06-16	PRIJEM	VKLAD	26138	75613	\N	\N	\N
1130783	3864	1997-11-05	PRIJEM	VKLAD	40532	59543	\N	\N	\N
1130784	3864	1997-08-01	PRIJEM	VKLAD	35742	61938	\N	\N	\N
1130785	3864	1997-07-16	PRIJEM	VKLAD	21169	44555	\N	\N	\N
1130786	3864	1998-08-19	PRIJEM	VKLAD	40721	128941	\N	\N	\N
1130787	3864	1998-03-07	PRIJEM	VKLAD	16268	40770	\N	\N	\N
1130788	3864	1998-01-01	PRIJEM	VKLAD	26569	55209	\N	\N	\N
1130789	3864	1998-12-03	PRIJEM	VKLAD	10126	88022	\N	\N	\N
1130790	3864	1998-06-18	PRIJEM	VKLAD	27294	51625	\N	\N	\N
1130791	3864	1998-12-15	PRIJEM	VKLAD	25722	105507	\N	\N	\N
1130792	3864	1998-10-23	PRIJEM	VKLAD	24330	78166	\N	\N	\N
1130793	3864	1998-08-09	PRIJEM	VKLAD	14104	78071	\N	\N	\N
1130794	3864	1998-02-10	PRIJEM	VKLAD	10233	33351	\N	\N	\N
1130795	3864	1998-07-10	PRIJEM	VKLAD	26384	73164	\N	\N	\N
1130796	3864	1998-05-19	PRIJEM	VKLAD	23128	35888	\N	\N	\N
1130797	3864	1998-01-09	PRIJEM	VKLAD	28814	58213	\N	\N	\N
1130798	3864	1998-07-22	PRIJEM	VKLAD	12414	63741	\N	\N	\N
1130799	3864	1998-08-26	PRIJEM	VKLAD	44117	97258	\N	\N	\N
1130800	3864	1998-09-09	PRIJEM	VKLAD	30718	107757	\N	\N	\N
1130801	3864	1998-01-10	PRIJEM	VKLAD	34063	86876	\N	\N	\N
1130802	3864	1998-05-31	PRIJEM	VKLAD	32099	60088	\N	\N	\N
1130803	3864	1998-11-21	PRIJEM	VKLAD	18298	77602	\N	\N	\N
1130804	3864	1998-08-14	PRIJEM	VKLAD	41497	88220	\N	\N	\N
1130818	3864	1997-02-12	VYDAJ	PREVOD NA UCET	347	79083	SIPO	KL	59408056
1130819	3864	1997-03-12	VYDAJ	PREVOD NA UCET	347	48378	SIPO	KL	59408056
1130820	3864	1997-04-12	VYDAJ	PREVOD NA UCET	347	49675	SIPO	KL	59408056
1130821	3864	1997-05-12	VYDAJ	PREVOD NA UCET	347	45601	SIPO	KL	59408056
1130822	3864	1997-06-12	VYDAJ	PREVOD NA UCET	347	49475	SIPO	KL	59408056
1130823	3864	1997-07-12	VYDAJ	PREVOD NA UCET	347	23897	SIPO	KL	59408056
1130824	3864	1997-08-12	VYDAJ	PREVOD NA UCET	347	76218	SIPO	KL	59408056
1130825	3864	1997-09-12	VYDAJ	PREVOD NA UCET	347	44750	SIPO	KL	59408056
1130826	3864	1997-10-12	VYDAJ	PREVOD NA UCET	347	16455	SIPO	KL	59408056
1130827	3864	1997-11-12	VYDAJ	PREVOD NA UCET	347	51817	SIPO	KL	59408056
1130828	3864	1997-12-12	VYDAJ	PREVOD NA UCET	347	33518	SIPO	KL	59408056
1130829	3864	1998-01-12	VYDAJ	PREVOD NA UCET	347	76539	SIPO	KL	59408056
1130830	3864	1998-02-12	VYDAJ	PREVOD NA UCET	347	25114	SIPO	KL	59408056
1130831	3864	1998-03-12	VYDAJ	PREVOD NA UCET	347	33044	SIPO	KL	59408056
1130832	3864	1998-04-12	VYDAJ	PREVOD NA UCET	347	15722	SIPO	KL	59408056
1130833	3864	1998-05-12	VYDAJ	PREVOD NA UCET	347	13271	SIPO	KL	59408056
1130834	3864	1998-06-12	VYDAJ	PREVOD NA UCET	347	24842	SIPO	KL	59408056
1130835	3864	1998-07-12	VYDAJ	PREVOD NA UCET	347	65438	SIPO	KL	59408056
1130836	3864	1998-08-12	VYDAJ	PREVOD NA UCET	347	69834	SIPO	KL	59408056
1130837	3864	1998-09-12	VYDAJ	PREVOD NA UCET	347	100031	SIPO	KL	59408056
1130838	3864	1998-10-12	VYDAJ	PREVOD NA UCET	347	64547	SIPO	KL	59408056
1130839	3864	1998-11-12	VYDAJ	PREVOD NA UCET	347	70204	SIPO	KL	59408056
1130840	3864	1998-12-12	VYDAJ	PREVOD NA UCET	347	80296	SIPO	KL	59408056
1130854	3864	1997-02-10	VYDAJ	PREVOD NA UCET	5960	81360	 	GH	67975002
1130855	3864	1997-03-10	VYDAJ	PREVOD NA UCET	5960	50144	 	GH	67975002
1130856	3864	1997-04-10	VYDAJ	PREVOD NA UCET	5960	51952	 	GH	67975002
1130857	3864	1997-05-10	VYDAJ	PREVOD NA UCET	5960	47878	 	GH	67975002
1130858	3864	1997-06-10	VYDAJ	PREVOD NA UCET	5960	51752	 	GH	67975002
1130859	3864	1997-07-10	VYDAJ	PREVOD NA UCET	5960	25663	 	GH	67975002
1130860	3864	1997-08-10	VYDAJ	PREVOD NA UCET	5960	78495	 	GH	67975002
1130861	3864	1997-09-10	VYDAJ	PREVOD NA UCET	5960	21749	 	GH	67975002
1130862	3864	1997-10-10	VYDAJ	PREVOD NA UCET	5960	18221	 	GH	67975002
1130863	3864	1997-11-10	VYDAJ	PREVOD NA UCET	5960	53583	 	GH	67975002
1130864	3864	1997-12-10	VYDAJ	PREVOD NA UCET	5960	35795	 	GH	67975002
1130865	3864	1998-01-10	VYDAJ	PREVOD NA UCET	5960	80916	 	GH	67975002
1130866	3864	1998-02-10	VYDAJ	PREVOD NA UCET	5960	27391	 	GH	67975002
1130867	3864	1998-03-10	VYDAJ	PREVOD NA UCET	5960	34810	 	GH	67975002
1130868	3864	1998-04-10	VYDAJ	PREVOD NA UCET	5960	17488	 	GH	67975002
1130869	3864	1998-05-10	VYDAJ	PREVOD NA UCET	5960	15037	 	GH	67975002
1130870	3864	1998-06-10	VYDAJ	PREVOD NA UCET	5960	26608	 	GH	67975002
1130871	3864	1998-07-10	VYDAJ	PREVOD NA UCET	5960	67204	 	GH	67975002
1130872	3864	1998-08-10	VYDAJ	PREVOD NA UCET	5960	72111	 	GH	67975002
1130873	3864	1998-09-10	VYDAJ	PREVOD NA UCET	5960	101797	 	GH	67975002
1130874	3864	1998-10-10	VYDAJ	PREVOD NA UCET	5960	66313	 	GH	67975002
1130875	3864	1998-11-10	VYDAJ	PREVOD NA UCET	5960	72481	 	GH	67975002
1130876	3864	1998-12-10	VYDAJ	PREVOD NA UCET	5960	82062	 	GH	67975002
1130890	3864	1997-02-12	VYDAJ	PREVOD NA UCET	511	79430	POJISTNE	GH	15961814
1130891	3864	1997-03-12	VYDAJ	PREVOD NA UCET	511	47867	POJISTNE	GH	15961814
1130892	3864	1997-04-12	VYDAJ	PREVOD NA UCET	511	50022	POJISTNE	GH	15961814
1130893	3864	1997-05-12	VYDAJ	PREVOD NA UCET	511	45948	POJISTNE	GH	15961814
1130894	3864	1997-06-12	VYDAJ	PREVOD NA UCET	511	49822	POJISTNE	GH	15961814
1130895	3864	1997-07-12	VYDAJ	PREVOD NA UCET	511	23386	POJISTNE	GH	15961814
1130896	3864	1997-08-12	VYDAJ	PREVOD NA UCET	511	76565	POJISTNE	GH	15961814
1130897	3864	1997-09-12	VYDAJ	PREVOD NA UCET	511	44239	POJISTNE	GH	15961814
1130898	3864	1997-10-12	VYDAJ	PREVOD NA UCET	511	15944	POJISTNE	GH	15961814
1130899	3864	1997-11-12	VYDAJ	PREVOD NA UCET	511	51306	POJISTNE	GH	15961814
1130900	3864	1997-12-12	VYDAJ	PREVOD NA UCET	511	33865	POJISTNE	GH	15961814
1130901	3864	1998-01-12	VYDAJ	PREVOD NA UCET	511	76886	POJISTNE	GH	15961814
1130902	3864	1998-02-12	VYDAJ	PREVOD NA UCET	511	25461	POJISTNE	GH	15961814
1130903	3864	1998-03-12	VYDAJ	PREVOD NA UCET	511	32533	POJISTNE	GH	15961814
1130904	3864	1998-04-12	VYDAJ	PREVOD NA UCET	511	15211	POJISTNE	GH	15961814
1130905	3864	1998-05-12	VYDAJ	PREVOD NA UCET	511	12760	POJISTNE	GH	15961814
1130906	3864	1998-06-12	VYDAJ	PREVOD NA UCET	511	24331	POJISTNE	GH	15961814
1130907	3864	1998-07-12	VYDAJ	PREVOD NA UCET	511	64927	POJISTNE	GH	15961814
1130908	3864	1998-08-12	VYDAJ	PREVOD NA UCET	511	70181	POJISTNE	GH	15961814
1130909	3864	1998-09-12	VYDAJ	PREVOD NA UCET	511	99520	POJISTNE	GH	15961814
1130910	3864	1998-10-12	VYDAJ	PREVOD NA UCET	511	64036	POJISTNE	GH	15961814
1130911	3864	1998-11-12	VYDAJ	PREVOD NA UCET	511	70551	POJISTNE	GH	15961814
1130912	3864	1998-12-12	VYDAJ	PREVOD NA UCET	511	79785	POJISTNE	GH	15961814
1130926	3864	1997-02-11	VYDAJ	PREVOD NA UCET	1419	79941	 	QR	75671767
1130927	3864	1997-03-11	VYDAJ	PREVOD NA UCET	1419	48725	 	QR	75671767
1130928	3864	1997-04-11	VYDAJ	PREVOD NA UCET	1419	50533	 	QR	75671767
1130929	3864	1997-05-11	VYDAJ	PREVOD NA UCET	1419	46459	 	QR	75671767
1130930	3864	1997-06-11	VYDAJ	PREVOD NA UCET	1419	50333	 	QR	75671767
1130931	3864	1997-07-11	VYDAJ	PREVOD NA UCET	1419	24244	 	QR	75671767
1130932	3864	1997-08-11	VYDAJ	PREVOD NA UCET	1419	77076	 	QR	75671767
1130933	3864	1997-09-11	VYDAJ	PREVOD NA UCET	1419	45097	 	QR	75671767
1130934	3864	1997-10-11	VYDAJ	PREVOD NA UCET	1419	16802	 	QR	75671767
1130935	3864	1997-11-11	VYDAJ	PREVOD NA UCET	1419	52164	 	QR	75671767
1130936	3864	1997-12-11	VYDAJ	PREVOD NA UCET	1419	34376	 	QR	75671767
1130937	3864	1998-01-11	VYDAJ	PREVOD NA UCET	1419	79497	 	QR	75671767
1130938	3864	1998-02-11	VYDAJ	PREVOD NA UCET	1419	25972	 	QR	75671767
1130939	3864	1998-03-11	VYDAJ	PREVOD NA UCET	1419	33391	 	QR	75671767
1130940	3864	1998-04-11	VYDAJ	PREVOD NA UCET	1419	16069	 	QR	75671767
1130941	3864	1998-05-11	VYDAJ	PREVOD NA UCET	1419	13618	 	QR	75671767
1130942	3864	1998-06-11	VYDAJ	PREVOD NA UCET	1419	25189	 	QR	75671767
1130943	3864	1998-07-11	VYDAJ	PREVOD NA UCET	1419	65785	 	QR	75671767
1130944	3864	1998-08-11	VYDAJ	PREVOD NA UCET	1419	70692	 	QR	75671767
1130945	3864	1998-09-11	VYDAJ	PREVOD NA UCET	1419	100378	 	QR	75671767
1130946	3864	1998-10-11	VYDAJ	PREVOD NA UCET	1419	64894	 	QR	75671767
1130947	3864	1998-11-11	VYDAJ	PREVOD NA UCET	1419	71062	 	QR	75671767
1130948	3864	1998-12-11	VYDAJ	PREVOD NA UCET	1419	80643	 	QR	75671767
1130949	3864	1997-09-07	VYBER	VYBER	9585	27709	\N	\N	\N
1130951	3864	1997-02-14	VYBER	VYBER	15734	63349	\N	\N	\N
1130952	3864	1997-07-03	VYBER	VYBER	9784	31623	\N	\N	\N
1130954	3864	1997-03-23	VYBER	VYBER	7228	40639	\N	\N	\N
1130955	3864	1997-05-26	VYBER	VYBER	23453	67889	\N	\N	\N
1130956	3864	1997-08-27	VYBER	VYBER	5340	37078	\N	\N	\N
1130957	3864	1997-05-20	VYBER	VYBER	9573	91342	\N	\N	\N
1130958	3864	1997-05-07	VYBER	VYBER	23416	53838	\N	\N	\N
1130959	3864	1997-03-28	VYBER	VYBER	10230	30409	\N	\N	\N
1130961	3864	1998-06-04	VYBER	VYBER	5906	54168	\N	\N	\N
1130962	3864	1998-09-01	VYBER	VYBER	20506	77039	\N	\N	\N
1130964	3864	1998-01-03	VYBER	VYBER	19510	32999	\N	\N	\N
1130965	3864	1998-12-25	VYBER	VYBER	10192	46215	\N	\N	\N
1130967	3864	1998-08-13	VYBER	VYBER	23111	46723	\N	\N	\N
1130969	3864	1997-06-20	VYDAJ	VYBER	46800	28813	\N	\N	\N
1130970	3864	1998-06-05	VYDAJ	VYBER	21600	32568	\N	\N	\N
1130973	3864	1998-01-21	VYDAJ	VYBER	24600	36039	\N	\N	\N
1130975	3864	1997-12-05	VYDAJ	VYBER	3000	41755	\N	\N	\N
1130976	3864	1998-12-16	VYDAJ	VYBER	7500	75607	\N	\N	\N
1130989	3864	1998-01-03	VYDAJ	VYBER	3600	29399	\N	\N	\N
1130990	3864	1998-01-11	VYDAJ	VYBER	2100	77397	\N	\N	\N
1130991	3864	1998-01-18	VYDAJ	VYBER	2700	68139	\N	\N	\N
1130992	3864	1998-01-09	VYDAJ	VYBER	5400	52813	\N	\N	\N
1130993	3864	1998-01-21	VYDAJ	VYBER	7500	60639	\N	\N	\N
1130994	3864	1998-01-16	VYDAJ	VYBER	5700	70839	\N	\N	\N
1131000	3864	1997-08-17	VYDAJ	VYBER	11400	64818	\N	\N	\N
1131001	3864	1997-11-24	VYDAJ	VYBER	11700	26984	\N	\N	\N
1131003	3864	1997-09-26	VYDAJ	VYBER	12600	24039	\N	\N	\N
1131004	3864	1997-07-31	VYDAJ	VYBER	7800	26210	\N	\N	\N
1131005	3864	1998-01-01	VYDAJ	VYBER	2700	52509	\N	\N	\N
1131006	3864	1998-01-24	VYDAJ	VYBER	2700	22939	\N	\N	\N
1131007	3864	1998-05-25	VYDAJ	VYBER	9300	27888	\N	\N	\N
1131008	3864	1998-07-13	VYDAJ	VYBER	4500	60427	\N	\N	\N
1131009	3864	1998-01-22	VYDAJ	VYBER	10500	25639	\N	\N	\N
1131010	3864	1998-04-27	VYDAJ	VYBER	7500	20911	\N	\N	\N
1131011	3864	1998-04-07	VYDAJ	VYBER	11700	23448	\N	\N	\N
1131026	3864	1997-02-28	VYDAJ	VYBER	15	44024	SLUZBY	\N	\N
1131027	3864	1997-03-31	VYDAJ	VYBER	15	27075	SLUZBY	\N	\N
1131028	3864	1997-04-30	VYDAJ	VYBER	15	39034	SLUZBY	\N	\N
1131029	3864	1997-05-31	VYDAJ	VYBER	15	43618	SLUZBY	\N	\N
1131030	3864	1997-06-30	VYDAJ	VYBER	15	41407	SLUZBY	\N	\N
1131031	3864	1997-07-31	VYDAJ	VYBER	15	26196	SLUZBY	\N	\N
1131032	3864	1997-08-31	VYDAJ	VYBER	15	37294	SLUZBY	\N	\N
1131033	3864	1997-09-30	VYDAJ	VYBER	15	24181	SLUZBY	\N	\N
1131034	3864	1997-10-31	VYDAJ	VYBER	15	19011	SLUZBY	\N	\N
1131035	3864	1997-11-30	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
1131036	3864	1997-12-31	VYDAJ	VYBER	15	28640	SLUZBY	\N	\N
1131037	3864	1998-01-31	VYDAJ	VYBER	15	23118	SLUZBY	\N	\N
1131038	3864	1998-02-28	VYDAJ	VYBER	15	24502	SLUZBY	\N	\N
1131039	3864	1998-03-31	VYDAJ	VYBER	15	35148	SLUZBY	\N	\N
1131040	3864	1998-04-30	VYDAJ	VYBER	15	20997	SLUZBY	\N	\N
1131041	3864	1998-05-31	VYDAJ	VYBER	15	60074	SLUZBY	\N	\N
1131042	3864	1998-06-30	VYDAJ	VYBER	15	46780	SLUZBY	\N	\N
1131043	3864	1998-07-31	VYDAJ	VYBER	15	63967	SLUZBY	\N	\N
1131044	3864	1998-08-31	VYDAJ	VYBER	15	97545	SLUZBY	\N	\N
1131045	3864	1998-09-30	VYDAJ	VYBER	15	72273	SLUZBY	\N	\N
1131046	3864	1998-10-31	VYDAJ	VYBER	15	78441	SLUZBY	\N	\N
1131047	3864	1998-11-30	VYDAJ	VYBER	15	77896	SLUZBY	\N	\N
1131048	3864	1996-07-31	PRIJEM	VKLAD	9000	15231	\N	\N	\N
1131049	3864	1996-08-30	PRIJEM	VKLAD	6300	21556	\N	\N	\N
1131050	3864	1996-09-29	PRIJEM	VKLAD	2100	23719	\N	\N	\N
1131051	3864	1996-10-29	VYDAJ	VYBER	4300	19483	\N	\N	\N
1131052	3864	1996-11-28	PRIJEM	VKLAD	2700	22246	\N	\N	\N
1131053	3864	1996-12-28	VYDAJ	VYBER	5500	24702	\N	\N	\N
1131054	3864	1997-01-27	VYDAJ	VYBER	8400	32496	\N	\N	\N
1131055	3864	1997-02-26	VYDAJ	VYBER	19600	43749	\N	\N	\N
1131056	3864	1997-03-28	VYDAJ	VYBER	3500	26909	\N	\N	\N
1131057	3864	1997-04-27	VYDAJ	VYBER	10800	38875	\N	\N	\N
1131058	3864	1997-05-27	VYDAJ	VYBER	24500	43389	\N	\N	\N
1131059	3864	1997-06-26	VYDAJ	VYBER	25000	41209	\N	\N	\N
1131060	3864	1997-07-26	VYDAJ	VYBER	10700	33855	\N	\N	\N
1131061	3864	1997-08-08	VYDAJ	VYBER	21500	84455	\N	\N	\N
1131062	3864	1997-08-25	VYDAJ	VYBER	22400	42418	\N	\N	\N
1131063	3864	1997-09-24	VYDAJ	VYBER	7600	36639	\N	\N	\N
1131064	3864	1997-10-24	PRIJEM	VKLAD	3000	18944	\N	\N	\N
1131065	3864	1997-11-23	VYDAJ	VYBER	20500	38684	\N	\N	\N
1131066	3864	1997-12-23	VYDAJ	VYBER	5000	28518	\N	\N	\N
1131067	3864	1998-01-22	PRIJEM	VKLAD	100	36139	\N	\N	\N
1131068	3864	1998-02-21	VYDAJ	VYBER	700	24414	\N	\N	\N
1131069	3864	1998-03-23	PRIJEM	VKLAD	2500	35033	\N	\N	\N
1131070	3864	1998-04-22	PRIJEM	VKLAD	13200	28411	\N	\N	\N
1131071	3864	1998-05-22	PRIJEM	VKLAD	1300	37188	\N	\N	\N
1131072	3864	1998-06-21	VYDAJ	VYBER	5000	46625	\N	\N	\N
1131073	3864	1998-07-21	VYDAJ	VYBER	9100	51327	\N	\N	\N
1131074	3864	1998-08-19	VYDAJ	VYBER	58800	70141	\N	\N	\N
1131075	3864	1998-08-20	VYDAJ	VYBER	17000	53141	\N	\N	\N
1131076	3864	1998-09-19	VYDAJ	VYBER	27600	71920	\N	\N	\N
1131077	3864	1998-10-19	VYDAJ	VYBER	10200	53836	\N	\N	\N
1131078	3864	1998-11-18	VYDAJ	VYBER	10900	59304	\N	\N	\N
1131079	3864	1998-12-15	VYDAJ	VYBER	22400	83107	\N	\N	\N
1131080	3864	1998-12-18	VYDAJ	VYBER	19200	56407	\N	\N	\N
1131111	3865	1995-02-09	PRIJEM	VKLAD	500	500	\N	\N	\N
1131113	3865	1995-02-10	PRIJEM	VKLAD	19408	19908	\N	\N	\N
1131114	3865	1995-03-10	PRIJEM	VKLAD	19408	39372	\N	\N	\N
1131115	3865	1995-04-10	PRIJEM	VKLAD	19408	49893	\N	\N	\N
1131116	3865	1995-05-10	PRIJEM	VKLAD	19408	54284	\N	\N	\N
1131117	3865	1995-06-10	PRIJEM	VKLAD	29112	58717	\N	\N	\N
1131118	3865	1995-07-10	PRIJEM	VKLAD	19408	54801	\N	\N	\N
1131119	3865	1995-08-10	PRIJEM	VKLAD	19408	58367	\N	\N	\N
1131120	3865	1995-09-10	PRIJEM	VKLAD	19408	52535	\N	\N	\N
1131121	3865	1995-10-10	PRIJEM	VKLAD	19408	54181	\N	\N	\N
1131122	3865	1995-11-10	PRIJEM	VKLAD	19408	52043	\N	\N	\N
1131123	3865	1995-12-10	PRIJEM	VKLAD	29112	64604	\N	\N	\N
1131124	3865	1996-01-10	PRIJEM	VKLAD	19408	56096	\N	\N	\N
1131125	3865	1996-02-10	PRIJEM	VKLAD	19408	51564	\N	\N	\N
1131126	3865	1996-03-10	PRIJEM	VKLAD	19408	52717	\N	\N	\N
1131127	3865	1996-04-10	PRIJEM	VKLAD	19408	56373	\N	\N	\N
1131128	3865	1996-05-10	PRIJEM	VKLAD	19408	57038	\N	\N	\N
1131129	3865	1996-06-10	PRIJEM	VKLAD	29112	69217	\N	\N	\N
1131130	3865	1996-07-10	PRIJEM	VKLAD	19408	51352	\N	\N	\N
1131131	3865	1996-08-10	PRIJEM	VKLAD	19408	54687	\N	\N	\N
1131132	3865	1996-09-10	PRIJEM	VKLAD	19408	58547	\N	\N	\N
1131133	3865	1996-10-10	PRIJEM	VKLAD	19408	63525	\N	\N	\N
1131134	3865	1996-11-10	PRIJEM	VKLAD	19408	62421	\N	\N	\N
1131135	3865	1996-12-10	PRIJEM	VKLAD	29112	74910	\N	\N	\N
1131136	3865	1997-01-10	PRIJEM	VKLAD	19408	70230	\N	\N	\N
1131137	3865	1997-02-10	PRIJEM	VKLAD	19408	67947	\N	\N	\N
1131138	3865	1997-03-10	PRIJEM	VKLAD	19408	67753	\N	\N	\N
1131139	3865	1997-04-10	PRIJEM	VKLAD	19408	69662	\N	\N	\N
1131140	3865	1997-05-10	PRIJEM	VKLAD	19408	68176	\N	\N	\N
1131141	3865	1997-06-10	PRIJEM	VKLAD	29112	62287	\N	\N	\N
1131142	3865	1997-07-10	PRIJEM	VKLAD	19408	65667	\N	\N	\N
1131143	3865	1997-08-10	PRIJEM	VKLAD	19408	67562	\N	\N	\N
1131144	3865	1997-09-10	PRIJEM	VKLAD	19408	68463	\N	\N	\N
1131145	3865	1997-10-10	PRIJEM	VKLAD	19408	71869	\N	\N	\N
1131146	3865	1997-11-10	PRIJEM	VKLAD	19408	71382	\N	\N	\N
1131147	3865	1997-12-10	PRIJEM	VKLAD	29112	82000	\N	\N	\N
1131148	3865	1998-01-10	PRIJEM	VKLAD	19408	75435	\N	\N	\N
1131149	3865	1998-02-10	PRIJEM	VKLAD	19408	77564	\N	\N	\N
1131150	3865	1998-03-10	PRIJEM	VKLAD	19408	76600	\N	\N	\N
1131151	3865	1998-04-10	PRIJEM	VKLAD	19408	76233	\N	\N	\N
1131152	3865	1998-05-10	PRIJEM	VKLAD	19408	75763	\N	\N	\N
1131153	3865	1998-06-10	PRIJEM	VKLAD	29112	80590	\N	\N	\N
1131154	3865	1998-07-10	PRIJEM	VKLAD	19408	65105	\N	\N	\N
1131155	3865	1998-08-10	PRIJEM	VKLAD	19408	57383	\N	\N	\N
1131156	3865	1998-09-10	PRIJEM	VKLAD	19408	56129	\N	\N	\N
1131157	3865	1998-10-10	PRIJEM	VKLAD	19408	56370	\N	\N	\N
1131158	3865	1998-11-10	PRIJEM	VKLAD	19408	51304	\N	\N	\N
1131159	3865	1998-12-10	PRIJEM	VKLAD	29112	55318	\N	\N	\N
1131166	3865	1995-07-07	VYDAJ	PREVOD NA UCET	5947	43893	SIPO	OP	62146550
1131167	3865	1995-08-07	VYDAJ	PREVOD NA UCET	5947	49059	SIPO	OP	62146550
1131168	3865	1995-09-07	VYDAJ	PREVOD NA UCET	5947	47727	SIPO	OP	62146550
1131169	3865	1995-10-07	VYDAJ	PREVOD NA UCET	5947	42473	SIPO	OP	62146550
1131170	3865	1995-11-07	VYDAJ	PREVOD NA UCET	5947	32635	SIPO	OP	62146550
1131171	3865	1995-12-07	VYDAJ	PREVOD NA UCET	5947	35492	SIPO	OP	62146550
1131172	3865	1996-01-07	VYDAJ	PREVOD NA UCET	5947	36688	SIPO	OP	62146550
1131173	3865	1996-02-07	VYDAJ	PREVOD NA UCET	5947	32156	SIPO	OP	62146550
1131174	3865	1996-03-07	VYDAJ	PREVOD NA UCET	5947	33309	SIPO	OP	62146550
1131175	3865	1996-04-07	VYDAJ	PREVOD NA UCET	5947	36965	SIPO	OP	62146550
1131176	3865	1996-05-07	VYDAJ	PREVOD NA UCET	5947	37630	SIPO	OP	62146550
1131177	3865	1996-06-07	VYDAJ	PREVOD NA UCET	5947	40105	SIPO	OP	62146550
1131178	3865	1996-07-07	VYDAJ	PREVOD NA UCET	5947	31944	SIPO	OP	62146550
1131179	3865	1996-08-07	VYDAJ	PREVOD NA UCET	5947	35279	SIPO	OP	62146550
1131180	3865	1996-09-07	VYDAJ	PREVOD NA UCET	5947	39139	SIPO	OP	62146550
1131181	3865	1996-10-07	VYDAJ	PREVOD NA UCET	5947	44117	SIPO	OP	62146550
1131182	3865	1996-11-07	VYDAJ	PREVOD NA UCET	5947	43013	SIPO	OP	62146550
1131183	3865	1996-12-07	VYDAJ	PREVOD NA UCET	5947	45798	SIPO	OP	62146550
1131184	3865	1997-01-07	VYDAJ	PREVOD NA UCET	5947	50822	SIPO	OP	62146550
1131185	3865	1997-02-07	VYDAJ	PREVOD NA UCET	5947	48539	SIPO	OP	62146550
1131186	3865	1997-03-07	VYDAJ	PREVOD NA UCET	5947	48345	SIPO	OP	62146550
1131187	3865	1997-04-07	VYDAJ	PREVOD NA UCET	5947	50254	SIPO	OP	62146550
1131188	3865	1997-05-07	VYDAJ	PREVOD NA UCET	5947	48768	SIPO	OP	62146550
1131189	3865	1997-06-07	VYDAJ	PREVOD NA UCET	5947	33175	SIPO	OP	62146550
1131190	3865	1997-07-07	VYDAJ	PREVOD NA UCET	5947	46259	SIPO	OP	62146550
1131191	3865	1997-08-07	VYDAJ	PREVOD NA UCET	5947	48154	SIPO	OP	62146550
1131192	3865	1997-09-07	VYDAJ	PREVOD NA UCET	5947	49055	SIPO	OP	62146550
1131193	3865	1997-10-07	VYDAJ	PREVOD NA UCET	5947	52461	SIPO	OP	62146550
1131194	3865	1997-11-07	VYDAJ	PREVOD NA UCET	5947	51974	SIPO	OP	62146550
1131195	3865	1997-12-07	VYDAJ	PREVOD NA UCET	5947	52888	SIPO	OP	62146550
1131196	3865	1998-01-07	VYDAJ	PREVOD NA UCET	5947	56027	SIPO	OP	62146550
1131197	3865	1998-02-07	VYDAJ	PREVOD NA UCET	5947	58156	SIPO	OP	62146550
1131198	3865	1998-03-07	VYDAJ	PREVOD NA UCET	5947	57192	SIPO	OP	62146550
1131199	3865	1998-04-07	VYDAJ	PREVOD NA UCET	5947	56825	SIPO	OP	62146550
1131200	3865	1998-05-07	VYDAJ	PREVOD NA UCET	5947	56355	SIPO	OP	62146550
1131201	3865	1998-06-07	VYDAJ	PREVOD NA UCET	5947	51478	SIPO	OP	62146550
1131202	3865	1998-07-07	VYDAJ	PREVOD NA UCET	5947	45697	SIPO	OP	62146550
1131203	3865	1998-08-07	VYDAJ	PREVOD NA UCET	5947	37975	SIPO	OP	62146550
1131204	3865	1998-09-07	VYDAJ	PREVOD NA UCET	5947	36721	SIPO	OP	62146550
1131205	3865	1998-10-07	VYDAJ	PREVOD NA UCET	5947	36962	SIPO	OP	62146550
1131206	3865	1998-11-07	VYDAJ	PREVOD NA UCET	5947	31896	SIPO	OP	62146550
1131207	3865	1998-12-07	VYDAJ	PREVOD NA UCET	5947	26206	SIPO	OP	62146550
1131208	3865	1995-06-10	VYDAJ	VYBER	9100	49617	\N	\N	\N
1131209	3865	1996-06-12	VYDAJ	VYBER	29200	40017	\N	\N	\N
1131210	3865	1997-06-05	VYDAJ	VYBER	14000	39122	\N	\N	\N
1131211	3865	1998-06-22	VYDAJ	VYBER	17400	62590	\N	\N	\N
1131212	3865	1995-12-24	VYDAJ	VYBER	900	63704	\N	\N	\N
1131213	3865	1996-12-10	VYDAJ	VYBER	1600	73310	\N	\N	\N
1131214	3865	1997-12-10	VYDAJ	VYBER	1900	80100	\N	\N	\N
1131215	3865	1998-12-26	VYDAJ	VYBER	2400	33018	\N	\N	\N
1131217	3865	1995-09-12	VYDAJ	VYBER	4300	48235	\N	\N	\N
1131219	3865	1995-08-12	VYDAJ	VYBER	4900	53467	\N	\N	\N
1131220	3865	1996-07-19	VYDAJ	VYBER	3800	47052	\N	\N	\N
1131221	3865	1996-04-04	VYDAJ	VYBER	2400	50012	\N	\N	\N
1131222	3865	1996-07-19	VYDAJ	VYBER	500	50852	\N	\N	\N
1131223	3865	1996-03-26	VYDAJ	VYBER	500	52217	\N	\N	\N
1131224	3865	1996-11-15	VYDAJ	VYBER	1000	61421	\N	\N	\N
1131225	3865	1996-01-16	VYDAJ	VYBER	4500	51596	\N	\N	\N
1131226	3865	1997-03-30	VYDAJ	VYBER	4400	63353	\N	\N	\N
1131227	3865	1997-11-26	VYDAJ	VYBER	1700	58582	\N	\N	\N
1131228	3865	1997-02-21	VYDAJ	VYBER	2000	65947	\N	\N	\N
1131229	3865	1997-10-19	VYDAJ	VYBER	3500	68369	\N	\N	\N
1131230	3865	1997-02-07	VYDAJ	VYBER	4400	54486	\N	\N	\N
1131231	3865	1997-02-23	VYDAJ	VYBER	4800	61147	\N	\N	\N
1131232	3865	1998-02-21	VYDAJ	VYBER	1900	75664	\N	\N	\N
1131233	3865	1998-08-01	VYDAJ	VYBER	4200	43922	\N	\N	\N
1131234	3865	1998-06-20	VYDAJ	VYBER	600	79990	\N	\N	\N
1131241	3865	1995-06-30	VYDAJ	VYBER	15	49840	SLUZBY	\N	\N
1131242	3865	1995-07-31	VYDAJ	VYBER	15	55006	SLUZBY	\N	\N
1131243	3865	1995-08-31	VYDAJ	VYBER	15	53674	SLUZBY	\N	\N
1131244	3865	1995-09-30	VYDAJ	VYBER	15	48420	SLUZBY	\N	\N
1131245	3865	1995-10-31	VYDAJ	VYBER	15	54382	SLUZBY	\N	\N
1131246	3865	1995-11-30	VYDAJ	VYBER	15	52239	SLUZBY	\N	\N
1131247	3865	1995-12-31	VYDAJ	VYBER	15	63935	SLUZBY	\N	\N
1131248	3865	1996-01-31	VYDAJ	VYBER	15	51803	SLUZBY	\N	\N
1131249	3865	1996-02-29	VYDAJ	VYBER	15	51756	SLUZBY	\N	\N
1131250	3865	1996-03-31	VYDAJ	VYBER	15	52412	SLUZBY	\N	\N
1131251	3865	1996-04-30	VYDAJ	VYBER	15	56577	SLUZBY	\N	\N
1131252	3865	1996-05-31	VYDAJ	VYBER	15	57252	SLUZBY	\N	\N
1131253	3865	1996-06-30	VYDAJ	VYBER	15	40191	SLUZBY	\N	\N
1131254	3865	1996-07-31	VYDAJ	VYBER	15	47226	SLUZBY	\N	\N
1131255	3865	1996-08-31	VYDAJ	VYBER	15	54886	SLUZBY	\N	\N
1131256	3865	1996-09-30	VYDAJ	VYBER	15	58764	SLUZBY	\N	\N
1131257	3865	1996-10-31	VYDAJ	VYBER	15	48960	SLUZBY	\N	\N
1131258	3865	1996-11-30	VYDAJ	VYBER	15	51745	SLUZBY	\N	\N
1131259	3865	1996-12-31	VYDAJ	VYBER	15	56769	SLUZBY	\N	\N
1131260	3865	1997-01-31	VYDAJ	VYBER	15	58886	SLUZBY	\N	\N
1131261	3865	1997-02-28	VYDAJ	VYBER	15	61392	SLUZBY	\N	\N
1131262	3865	1997-03-31	VYDAJ	VYBER	15	56201	SLUZBY	\N	\N
1131263	3865	1997-04-30	VYDAJ	VYBER	15	54715	SLUZBY	\N	\N
1131264	3865	1997-05-31	VYDAJ	VYBER	15	53122	SLUZBY	\N	\N
1131265	3865	1997-06-30	VYDAJ	VYBER	15	52206	SLUZBY	\N	\N
1131266	3865	1997-07-31	VYDAJ	VYBER	15	54101	SLUZBY	\N	\N
1131267	3865	1997-08-31	VYDAJ	VYBER	15	55002	SLUZBY	\N	\N
1131268	3865	1997-09-30	VYDAJ	VYBER	15	58408	SLUZBY	\N	\N
1131269	3865	1997-10-31	VYDAJ	VYBER	15	57921	SLUZBY	\N	\N
1131270	3865	1997-11-30	VYDAJ	VYBER	15	58835	SLUZBY	\N	\N
1131271	3865	1997-12-31	VYDAJ	VYBER	15	61974	SLUZBY	\N	\N
1131272	3865	1998-01-31	VYDAJ	VYBER	15	64103	SLUZBY	\N	\N
1131273	3865	1998-02-28	VYDAJ	VYBER	15	63139	SLUZBY	\N	\N
1131274	3865	1998-03-31	VYDAJ	VYBER	15	62772	SLUZBY	\N	\N
1131275	3865	1998-04-30	VYDAJ	VYBER	15	62302	SLUZBY	\N	\N
1131276	3865	1998-05-31	VYDAJ	VYBER	15	57425	SLUZBY	\N	\N
1131277	3865	1998-06-30	VYDAJ	VYBER	15	51644	SLUZBY	\N	\N
1131278	3865	1998-07-31	VYDAJ	VYBER	15	48122	SLUZBY	\N	\N
1131279	3865	1998-08-31	VYDAJ	VYBER	15	42668	SLUZBY	\N	\N
1131280	3865	1998-09-30	VYDAJ	VYBER	15	42909	SLUZBY	\N	\N
1131281	3865	1998-10-31	VYDAJ	VYBER	15	37843	SLUZBY	\N	\N
1131282	3865	1998-11-30	VYDAJ	VYBER	15	32153	SLUZBY	\N	\N
1131283	3865	1995-03-11	VYDAJ	VYBER	9000	30372	\N	\N	\N
1131284	3865	1995-04-10	VYDAJ	VYBER	15200	34693	\N	\N	\N
1131285	3865	1995-05-10	VYDAJ	VYBER	14400	39884	\N	\N	\N
1131286	3865	1995-06-09	VYDAJ	VYBER	10500	29605	\N	\N	\N
1131287	3865	1995-07-09	VYDAJ	VYBER	8500	35393	\N	\N	\N
1131288	3865	1995-08-08	VYDAJ	VYBER	10100	38959	\N	\N	\N
1131289	3865	1995-09-07	VYDAJ	VYBER	14600	33127	\N	\N	\N
1131290	3865	1995-10-07	VYDAJ	VYBER	7700	34773	\N	\N	\N
1131291	3865	1995-11-06	VYDAJ	VYBER	15800	38582	\N	\N	\N
1131292	3865	1995-12-06	VYDAJ	VYBER	10800	41439	\N	\N	\N
1131293	3865	1996-01-05	VYDAJ	VYBER	21300	42635	\N	\N	\N
1131294	3865	1996-02-04	VYDAJ	VYBER	13700	38103	\N	\N	\N
1131295	3865	1996-03-05	VYDAJ	VYBER	12500	39256	\N	\N	\N
1131296	3865	1996-04-04	VYDAJ	VYBER	7100	42912	\N	\N	\N
1131297	3865	1996-05-04	VYDAJ	VYBER	13000	43577	\N	\N	\N
1131298	3865	1996-06-03	VYDAJ	VYBER	11200	46052	\N	\N	\N
1131299	3865	1996-07-03	VYDAJ	VYBER	2300	37891	\N	\N	\N
1131300	3865	1996-08-02	VYDAJ	VYBER	6000	41226	\N	\N	\N
1131301	3865	1996-09-01	VYDAJ	VYBER	9800	45086	\N	\N	\N
1131302	3865	1996-10-01	VYDAJ	VYBER	8700	50064	\N	\N	\N
1131303	3865	1996-10-31	VYDAJ	VYBER	14800	48975	\N	\N	\N
1131304	3865	1996-11-30	VYDAJ	VYBER	9900	51760	\N	\N	\N
1131305	3865	1996-12-30	VYDAJ	VYBER	16800	56510	\N	\N	\N
1131306	3865	1997-01-29	VYDAJ	VYBER	11600	58630	\N	\N	\N
1131307	3865	1997-02-28	VYDAJ	VYBER	7100	54292	\N	\N	\N
1131308	3865	1997-03-30	VYDAJ	VYBER	7400	55953	\N	\N	\N
1131309	3865	1997-04-29	VYDAJ	VYBER	15200	54462	\N	\N	\N
1131310	3865	1997-05-29	VYDAJ	VYBER	15300	52876	\N	\N	\N
1131311	3865	1997-06-28	VYDAJ	VYBER	10300	51987	\N	\N	\N
1131312	3865	1997-07-28	VYDAJ	VYBER	11800	53867	\N	\N	\N
1131313	3865	1997-08-27	VYDAJ	VYBER	12800	54762	\N	\N	\N
1131314	3865	1997-09-26	VYDAJ	VYBER	10300	58163	\N	\N	\N
1131315	3865	1997-10-26	VYDAJ	VYBER	10700	57669	\N	\N	\N
1131316	3865	1997-11-25	VYDAJ	VYBER	11100	60282	\N	\N	\N
1131317	3865	1997-12-25	VYDAJ	VYBER	18400	61700	\N	\N	\N
1131318	3865	1998-01-24	VYDAJ	VYBER	11600	63835	\N	\N	\N
1131319	3865	1998-02-23	VYDAJ	VYBER	12800	62864	\N	\N	\N
1131320	3865	1998-03-25	VYDAJ	VYBER	14100	62500	\N	\N	\N
1131321	3865	1998-04-24	VYDAJ	VYBER	14200	62033	\N	\N	\N
1131322	3865	1998-05-24	VYDAJ	VYBER	18600	57163	\N	\N	\N
1131323	3865	1998-06-23	VYDAJ	VYBER	11200	51390	\N	\N	\N
1131324	3865	1998-07-23	VYDAJ	VYBER	17200	47905	\N	\N	\N
1131325	3865	1998-08-22	VYDAJ	VYBER	14900	42483	\N	\N	\N
1131326	3865	1998-09-21	VYDAJ	VYBER	13400	42729	\N	\N	\N
1131327	3865	1998-10-21	VYDAJ	VYBER	18700	37670	\N	\N	\N
1131328	3865	1998-11-20	VYDAJ	VYBER	19300	32004	\N	\N	\N
1131329	3865	1998-12-20	VYDAJ	VYBER	19900	35418	\N	\N	\N
1131377	3866	1995-09-05	PRIJEM	VKLAD	700	700	\N	\N	\N
1131380	3866	1996-08-08	PRIJEM	VKLAD	4559	27164	\N	\N	\N
1131381	3866	1996-01-24	PRIJEM	VKLAD	32856	55756	\N	\N	\N
1131382	3866	1997-01-05	PRIJEM	VKLAD	39059	60946	\N	\N	\N
1131383	3866	1997-04-29	PRIJEM	VKLAD	42634	60827	\N	\N	\N
1131384	3866	1998-09-03	PRIJEM	VKLAD	12516	27526	\N	\N	\N
1131385	3866	1998-12-09	PRIJEM	VKLAD	20888	36179	\N	\N	\N
1131405	3866	1998-12-14	VYDAJ	VYBER KARTOU	1600	34579	\N	\N	0
1131445	3866	1998-10-05	VYDAJ	VYBER KARTOU	600	15991	\N	\N	0
1131492	3866	1998-09-30	VYDAJ	VYBER	15	16591	SLUZBY	\N	\N
1131493	3866	1998-10-31	VYDAJ	VYBER	15	15243	SLUZBY	\N	\N
1131494	3866	1998-11-30	VYDAJ	VYBER	15	15291	SLUZBY	\N	\N
1131495	3866	1995-11-04	PRIJEM	VKLAD	12000	12700	\N	\N	\N
1131496	3866	1995-12-04	PRIJEM	VKLAD	5400	18100	\N	\N	\N
1131497	3866	1996-01-03	PRIJEM	VKLAD	4800	22900	\N	\N	\N
1131498	3866	1996-02-02	VYDAJ	VYBER	15400	40416	\N	\N	\N
1131499	3866	1996-03-03	VYDAJ	VYBER	12000	28648	\N	\N	\N
1131500	3866	1996-04-02	VYDAJ	VYBER	4300	24581	\N	\N	\N
1131501	3866	1996-05-02	VYDAJ	VYBER	2900	21913	\N	\N	\N
1131502	3866	1996-06-01	VYDAJ	VYBER	400	21745	\N	\N	\N
1131503	3866	1996-07-01	PRIJEM	VKLAD	1000	22978	\N	\N	\N
1131504	3866	1996-07-31	VYDAJ	VYBER	600	22605	\N	\N	\N
1131505	3866	1996-08-30	VYDAJ	VYBER	1500	25664	\N	\N	\N
1131506	3866	1996-09-29	VYDAJ	VYBER	1400	24359	\N	\N	\N
1131507	3866	1996-10-29	PRIJEM	VKLAD	1400	25866	\N	\N	\N
1131508	3866	1996-11-28	VYDAJ	VYBER	2800	23173	\N	\N	\N
1131509	3866	1996-12-28	VYDAJ	VYBER	1500	21780	\N	\N	\N
1131510	3866	1997-01-27	VYDAJ	VYBER	21300	39646	\N	\N	\N
1131511	3866	1997-02-26	VYDAJ	VYBER	11900	27862	\N	\N	\N
1131512	3866	1997-03-28	VYDAJ	VYBER	6300	21728	\N	\N	\N
1131513	3866	1997-04-27	VYDAJ	VYBER	3700	18193	\N	\N	\N
1131514	3866	1997-05-27	VYDAJ	VYBER	22400	38598	\N	\N	\N
1131515	3866	1997-06-26	VYDAJ	VYBER	10400	28451	\N	\N	\N
1131516	3866	1997-07-26	VYDAJ	VYBER	10200	18504	\N	\N	\N
1131517	3866	1997-08-25	VYDAJ	VYBER KARTOU	4000	14757	\N	\N	0
1131518	3866	1998-09-19	VYDAJ	VYBER	11100	16426	\N	\N	\N
1131519	3866	1998-10-19	VYDAJ	VYBER KARTOU	800	15191	\N	\N	0
1131544	3867	1997-07-19	PRIJEM	VKLAD	800	800	\N	\N	\N
1131552	3867	1997-08-08	PRIJEM	VKLAD	13881	14681	\N	\N	\N
1131553	3867	1997-09-08	PRIJEM	VKLAD	13881	33799	\N	\N	\N
1131554	3867	1997-10-08	PRIJEM	VKLAD	13881	42981	\N	\N	\N
1131555	3867	1997-11-08	PRIJEM	VKLAD	13881	46390	\N	\N	\N
1131556	3867	1997-12-08	PRIJEM	VKLAD	20822	53747	\N	\N	\N
1131557	3867	1998-01-08	PRIJEM	VKLAD	13881	39085	\N	\N	\N
1131558	3867	1998-02-08	PRIJEM	VKLAD	13881	33992	\N	\N	\N
1131559	3867	1998-03-08	PRIJEM	VKLAD	13881	42199	\N	\N	\N
1131560	3867	1998-04-08	PRIJEM	VKLAD	13881	47133	\N	\N	\N
1131561	3867	1998-05-08	PRIJEM	VKLAD	13881	49167	\N	\N	\N
1131562	3867	1998-06-08	PRIJEM	VKLAD	20822	53747	\N	\N	\N
1131563	3867	1998-07-08	PRIJEM	VKLAD	13881	46594	\N	\N	\N
1131564	3867	1998-08-08	PRIJEM	VKLAD	13881	45117	\N	\N	\N
1131565	3867	1998-09-08	PRIJEM	VKLAD	13881	47343	\N	\N	\N
1131566	3867	1998-10-08	PRIJEM	VKLAD	13881	48790	\N	\N	\N
1131567	3867	1998-11-08	PRIJEM	VKLAD	13881	48125	\N	\N	\N
1131568	3867	1998-12-08	PRIJEM	VKLAD	20822	50697	\N	\N	\N
1131580	3867	1997-12-14	VYDAJ	PREVOD NA UCET	5476	48271	SIPO	AB	21799749
1131581	3867	1998-01-14	VYDAJ	PREVOD NA UCET	5476	33609	SIPO	AB	21799749
1131582	3867	1998-02-14	VYDAJ	PREVOD NA UCET	5476	29716	SIPO	AB	21799749
1131583	3867	1998-03-14	VYDAJ	PREVOD NA UCET	5476	36723	SIPO	AB	21799749
1131584	3867	1998-04-14	VYDAJ	PREVOD NA UCET	5476	41657	SIPO	AB	21799749
1131585	3867	1998-05-14	VYDAJ	PREVOD NA UCET	5476	43691	SIPO	AB	21799749
1131586	3867	1998-06-14	VYDAJ	PREVOD NA UCET	5476	39571	SIPO	AB	21799749
1131587	3867	1998-07-14	VYDAJ	PREVOD NA UCET	5476	31118	SIPO	AB	21799749
1131588	3867	1998-08-14	VYDAJ	PREVOD NA UCET	5476	33341	SIPO	AB	21799749
1131589	3867	1998-09-14	VYDAJ	PREVOD NA UCET	5476	34767	SIPO	AB	21799749
1131590	3867	1998-10-14	VYDAJ	PREVOD NA UCET	5476	34114	SIPO	AB	21799749
1131937	3868	1995-05-31	VYDAJ	VYBER	15	22225	SLUZBY	\N	\N
1131591	3867	1998-11-14	VYDAJ	PREVOD NA UCET	5476	33349	SIPO	AB	21799749
1131592	3867	1998-12-14	VYDAJ	PREVOD NA UCET	5476	32721	SIPO	AB	21799749
1131594	3867	1998-06-14	VYDAJ	VYBER	7000	32571	\N	\N	\N
1131596	3867	1998-01-04	VYDAJ	VYBER	4900	25204	\N	\N	\N
1131598	3867	1998-12-23	VYDAJ	VYBER	1600	31121	\N	\N	\N
1131605	3867	1998-01-01	VYDAJ	VYBER	2900	30104	\N	\N	\N
1131606	3867	1998-01-27	VYDAJ	VYBER	2100	21809	\N	\N	\N
1131607	3867	1998-01-24	VYDAJ	VYBER	1000	23909	\N	\N	\N
1131608	3867	1998-01-16	VYDAJ	VYBER	1200	24909	\N	\N	\N
1131609	3867	1998-01-01	VYDAJ	VYBER	2800	33004	\N	\N	\N
1131610	3867	1998-01-29	VYDAJ	VYBER	1800	20009	\N	\N	\N
1131617	3867	1998-06-04	VYDAJ	VYBER	2900	32925	\N	\N	\N
1131618	3867	1998-11-28	VYDAJ	VYBER	3600	29749	\N	\N	\N
1131619	3867	1998-03-07	VYDAJ	VYBER	1500	28318	\N	\N	\N
1131620	3867	1998-09-14	VYDAJ	VYBER	1800	40243	\N	\N	\N
1131633	3867	1997-12-31	VYDAJ	VYBER	15	35804	SLUZBY	\N	\N
1131634	3867	1998-01-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
1131635	3867	1998-02-28	VYDAJ	VYBER	15	29818	SLUZBY	\N	\N
1131636	3867	1998-03-31	VYDAJ	VYBER	15	33252	SLUZBY	\N	\N
1131637	3867	1998-04-30	VYDAJ	VYBER	15	35286	SLUZBY	\N	\N
1131638	3867	1998-05-31	VYDAJ	VYBER	15	35825	SLUZBY	\N	\N
1131639	3867	1998-06-30	VYDAJ	VYBER	15	32713	SLUZBY	\N	\N
1131640	3867	1998-07-31	VYDAJ	VYBER	15	31236	SLUZBY	\N	\N
1131641	3867	1998-08-31	VYDAJ	VYBER	15	33462	SLUZBY	\N	\N
1131642	3867	1998-09-30	VYDAJ	VYBER	15	34909	SLUZBY	\N	\N
1131643	3867	1998-10-31	VYDAJ	VYBER	15	34244	SLUZBY	\N	\N
1131644	3867	1998-11-30	VYDAJ	VYBER	15	29875	SLUZBY	\N	\N
1131645	3867	1997-08-18	PRIJEM	VKLAD	5200	19881	\N	\N	\N
1131646	3867	1997-09-17	VYDAJ	VYBER	4800	28999	\N	\N	\N
1131647	3867	1997-10-17	VYDAJ	VYBER	10600	32381	\N	\N	\N
1131648	3867	1997-11-16	VYDAJ	VYBER	13600	32790	\N	\N	\N
1131649	3867	1997-12-16	VYDAJ	VYBER	12600	35671	\N	\N	\N
1131650	3867	1998-01-15	VYDAJ	VYBER	7500	26109	\N	\N	\N
1131651	3867	1998-02-14	PRIJEM	VKLAD	1200	35192	\N	\N	\N
1131652	3867	1998-03-16	VYDAJ	VYBER	3600	33123	\N	\N	\N
1131653	3867	1998-04-15	VYDAJ	VYBER	6500	35157	\N	\N	\N
1131654	3867	1998-05-15	VYDAJ	VYBER	8000	35691	\N	\N	\N
1131655	3867	1998-06-14	VYDAJ	VYBER	8700	45047	\N	\N	\N
1131656	3867	1998-07-14	VYDAJ	VYBER	10000	36594	\N	\N	\N
1131657	3867	1998-08-13	VYDAJ	VYBER	6300	38817	\N	\N	\N
1131658	3867	1998-09-12	VYDAJ	VYBER	5300	42043	\N	\N	\N
1131659	3867	1998-10-12	VYDAJ	VYBER	9200	39590	\N	\N	\N
1131660	3867	1998-11-11	VYDAJ	VYBER	9300	38825	\N	\N	\N
1131661	3867	1998-12-11	VYDAJ	VYBER	12500	38197	\N	\N	\N
1131679	3868	1993-08-21	PRIJEM	VKLAD	200	200	\N	\N	\N
1131688	3868	1993-09-05	PRIJEM	PREVOD Z UCTU	5362	5562	DUCHOD	KL	47036463
1131689	3868	1993-10-05	PRIJEM	PREVOD Z UCTU	5362	10924	DUCHOD	KL	47036463
1131690	3868	1993-11-05	PRIJEM	PREVOD Z UCTU	5362	16286	DUCHOD	KL	47036463
1131691	3868	1993-12-05	PRIJEM	PREVOD Z UCTU	5362	21648	DUCHOD	KL	47036463
1131692	3868	1994-01-05	PRIJEM	PREVOD Z UCTU	5362	27010	DUCHOD	KL	47036463
1131693	3868	1994-02-05	PRIJEM	PREVOD Z UCTU	5362	20545	DUCHOD	KL	47036463
1131694	3868	1994-03-05	PRIJEM	PREVOD Z UCTU	5362	18856	DUCHOD	KL	47036463
1131695	3868	1994-04-05	PRIJEM	PREVOD Z UCTU	5362	21006	DUCHOD	KL	47036463
1131696	3868	1994-05-05	PRIJEM	PREVOD Z UCTU	5362	23166	DUCHOD	KL	47036463
1131697	3868	1994-06-05	PRIJEM	PREVOD Z UCTU	5362	25334	DUCHOD	KL	47036463
1131698	3868	1994-07-05	PRIJEM	PREVOD Z UCTU	5362	17280	DUCHOD	KL	47036463
1131699	3868	1994-08-05	PRIJEM	PREVOD Z UCTU	5362	19424	DUCHOD	KL	47036463
1131700	3868	1994-09-05	PRIJEM	PREVOD Z UCTU	5362	20616	DUCHOD	KL	47036463
1131701	3868	1994-10-05	PRIJEM	PREVOD Z UCTU	5362	22774	DUCHOD	KL	47036463
1131702	3868	1994-11-05	PRIJEM	PREVOD Z UCTU	5362	24940	DUCHOD	KL	47036463
1131703	3868	1994-12-05	PRIJEM	PREVOD Z UCTU	5362	27116	DUCHOD	KL	47036463
1131704	3868	1995-01-05	PRIJEM	PREVOD Z UCTU	5362	25626	DUCHOD	KL	47036463
1131705	3868	1995-02-05	PRIJEM	PREVOD Z UCTU	5362	18930	DUCHOD	KL	47036463
1131706	3868	1995-03-05	PRIJEM	PREVOD Z UCTU	5362	21080	DUCHOD	KL	47036463
1131707	3868	1995-04-05	PRIJEM	PREVOD Z UCTU	5362	23240	DUCHOD	KL	47036463
1131708	3868	1995-05-05	PRIJEM	PREVOD Z UCTU	5362	25409	DUCHOD	KL	47036463
1131709	3868	1995-06-05	PRIJEM	PREVOD Z UCTU	5362	27587	DUCHOD	KL	47036463
1131710	3868	1995-07-05	PRIJEM	PREVOD Z UCTU	5362	19802	DUCHOD	KL	47036463
1131711	3868	1995-08-05	PRIJEM	PREVOD Z UCTU	5362	21957	DUCHOD	KL	47036463
1131712	3868	1995-09-05	PRIJEM	PREVOD Z UCTU	5362	22440	DUCHOD	KL	47036463
1131713	3868	1995-10-05	PRIJEM	PREVOD Z UCTU	5362	24605	DUCHOD	KL	47036463
1131714	3868	1995-11-05	PRIJEM	PREVOD Z UCTU	5362	26779	DUCHOD	KL	47036463
1131715	3868	1995-12-05	PRIJEM	PREVOD Z UCTU	5362	28963	DUCHOD	KL	47036463
1131716	3868	1996-01-05	PRIJEM	PREVOD Z UCTU	5362	30554	DUCHOD	KL	47036463
1131717	3868	1996-02-05	PRIJEM	PREVOD Z UCTU	5362	20018	DUCHOD	KL	47036463
1131718	3868	1996-03-05	PRIJEM	PREVOD Z UCTU	5362	21293	DUCHOD	KL	47036463
1131719	3868	1996-04-05	PRIJEM	PREVOD Z UCTU	5362	23453	DUCHOD	KL	47036463
1131720	3868	1996-05-05	PRIJEM	PREVOD Z UCTU	5362	25061	DUCHOD	KL	47036463
1131721	3868	1996-06-05	PRIJEM	PREVOD Z UCTU	5362	27237	DUCHOD	KL	47036463
1131722	3868	1996-07-05	PRIJEM	PREVOD Z UCTU	5362	26215	DUCHOD	KL	47036463
1131723	3868	1996-08-05	PRIJEM	PREVOD Z UCTU	5362	28395	DUCHOD	KL	47036463
1131724	3868	1996-09-05	PRIJEM	PREVOD Z UCTU	5362	30585	DUCHOD	KL	47036463
1131725	3868	1996-10-05	PRIJEM	PREVOD Z UCTU	5362	32784	DUCHOD	KL	47036463
1131726	3868	1996-11-05	PRIJEM	PREVOD Z UCTU	5362	34992	DUCHOD	KL	47036463
1131727	3868	1996-12-05	PRIJEM	PREVOD Z UCTU	5362	34567	DUCHOD	KL	47036463
1131728	3868	1997-01-05	PRIJEM	PREVOD Z UCTU	5362	34779	DUCHOD	KL	47036463
1131729	3868	1997-02-05	PRIJEM	PREVOD Z UCTU	5362	24834	DUCHOD	KL	47036463
1131730	3868	1997-03-05	PRIJEM	PREVOD Z UCTU	5362	27008	DUCHOD	KL	47036463
1131731	3868	1997-04-05	PRIJEM	PREVOD Z UCTU	5362	29192	DUCHOD	KL	47036463
1131732	3868	1997-05-05	PRIJEM	PREVOD Z UCTU	5362	30183	DUCHOD	KL	47036463
1131733	3868	1997-06-05	PRIJEM	PREVOD Z UCTU	5362	29339	DUCHOD	KL	47036463
1131734	3868	1997-07-05	PRIJEM	PREVOD Z UCTU	5362	19895	DUCHOD	KL	47036463
1131735	3868	1997-08-05	PRIJEM	PREVOD Z UCTU	5362	19081	DUCHOD	KL	47036463
1131736	3868	1997-09-05	PRIJEM	PREVOD Z UCTU	5362	21231	DUCHOD	KL	47036463
1131737	3868	1997-10-05	PRIJEM	PREVOD Z UCTU	5362	23390	DUCHOD	KL	47036463
1131738	3868	1997-11-05	PRIJEM	PREVOD Z UCTU	5362	23636	DUCHOD	KL	47036463
1131739	3868	1997-12-05	PRIJEM	PREVOD Z UCTU	5362	25805	DUCHOD	KL	47036463
1131740	3868	1998-01-05	PRIJEM	PREVOD Z UCTU	5362	24323	DUCHOD	KL	47036463
1131741	3868	1998-02-05	PRIJEM	PREVOD Z UCTU	5362	18812	DUCHOD	KL	47036463
1131742	3868	1998-03-05	PRIJEM	PREVOD Z UCTU	5362	20961	DUCHOD	KL	47036463
1131743	3868	1998-04-05	PRIJEM	PREVOD Z UCTU	5362	23119	DUCHOD	KL	47036463
1131744	3868	1998-05-05	PRIJEM	PREVOD Z UCTU	5362	22885	DUCHOD	KL	47036463
1131745	3868	1998-06-05	PRIJEM	PREVOD Z UCTU	5362	21525	DUCHOD	KL	47036463
1131746	3868	1998-07-05	PRIJEM	PREVOD Z UCTU	5362	23685	DUCHOD	KL	47036463
1131747	3868	1998-08-05	PRIJEM	PREVOD Z UCTU	5362	25853	DUCHOD	KL	47036463
1131748	3868	1998-09-05	PRIJEM	PREVOD Z UCTU	5362	28031	DUCHOD	KL	47036463
1131749	3868	1998-10-05	PRIJEM	PREVOD Z UCTU	5362	30218	DUCHOD	KL	47036463
1131750	3868	1998-11-05	PRIJEM	PREVOD Z UCTU	5362	31694	DUCHOD	KL	47036463
1131751	3868	1998-12-05	PRIJEM	PREVOD Z UCTU	5362	31078	DUCHOD	KL	47036463
1131764	3868	1994-01-11	VYDAJ	PREVOD NA UCET	3259	22951	SIPO	CD	47142148
1131765	3868	1994-02-11	VYDAJ	PREVOD NA UCET	3259	17286	SIPO	CD	47142148
1131766	3868	1994-03-11	VYDAJ	PREVOD NA UCET	3259	15597	SIPO	CD	47142148
1131767	3868	1994-04-11	VYDAJ	PREVOD NA UCET	3259	17747	SIPO	CD	47142148
1131768	3868	1994-05-11	VYDAJ	PREVOD NA UCET	3259	19907	SIPO	CD	47142148
1131769	3868	1994-06-11	VYDAJ	PREVOD NA UCET	3259	11875	SIPO	CD	47142148
1131770	3868	1994-07-11	VYDAJ	PREVOD NA UCET	3259	14021	SIPO	CD	47142148
1131771	3868	1994-08-11	VYDAJ	PREVOD NA UCET	3259	16165	SIPO	CD	47142148
1131772	3868	1994-09-11	VYDAJ	PREVOD NA UCET	3259	17357	SIPO	CD	47142148
1131773	3868	1994-10-11	VYDAJ	PREVOD NA UCET	3259	19515	SIPO	CD	47142148
1131774	3868	1994-11-11	VYDAJ	PREVOD NA UCET	3259	21681	SIPO	CD	47142148
1131775	3868	1994-12-11	VYDAJ	PREVOD NA UCET	3259	23857	SIPO	CD	47142148
1131776	3868	1995-01-11	VYDAJ	PREVOD NA UCET	3259	20927	SIPO	CD	47142148
1131777	3868	1995-02-11	VYDAJ	PREVOD NA UCET	3259	15671	SIPO	CD	47142148
1131778	3868	1995-03-11	VYDAJ	PREVOD NA UCET	3259	17821	SIPO	CD	47142148
1131779	3868	1995-04-11	VYDAJ	PREVOD NA UCET	3259	19981	SIPO	CD	47142148
1131780	3868	1995-05-11	VYDAJ	PREVOD NA UCET	3259	22150	SIPO	CD	47142148
1131781	3868	1995-06-11	VYDAJ	PREVOD NA UCET	3259	24328	SIPO	CD	47142148
1131782	3868	1995-07-11	VYDAJ	PREVOD NA UCET	3259	16543	SIPO	CD	47142148
1131783	3868	1995-08-11	VYDAJ	PREVOD NA UCET	3259	17658	SIPO	CD	47142148
1131784	3868	1995-09-11	VYDAJ	PREVOD NA UCET	3259	19181	SIPO	CD	47142148
1131785	3868	1995-10-11	VYDAJ	PREVOD NA UCET	3259	21346	SIPO	CD	47142148
1131786	3868	1995-11-11	VYDAJ	PREVOD NA UCET	3259	23520	SIPO	CD	47142148
1131787	3868	1995-12-11	VYDAJ	PREVOD NA UCET	3259	25704	SIPO	CD	47142148
1131788	3868	1996-01-11	VYDAJ	PREVOD NA UCET	3259	24015	SIPO	CD	47142148
1131789	3868	1996-02-11	VYDAJ	PREVOD NA UCET	3259	16759	SIPO	CD	47142148
1131790	3868	1996-03-11	VYDAJ	PREVOD NA UCET	3259	18034	SIPO	CD	47142148
1131791	3868	1996-04-11	VYDAJ	PREVOD NA UCET	3259	20194	SIPO	CD	47142148
1131792	3868	1996-05-11	VYDAJ	PREVOD NA UCET	3259	21802	SIPO	CD	47142148
1131793	3868	1996-06-11	VYDAJ	PREVOD NA UCET	3259	23978	SIPO	CD	47142148
1131794	3868	1996-07-11	VYDAJ	PREVOD NA UCET	3259	22956	SIPO	CD	47142148
1131795	3868	1996-08-11	VYDAJ	PREVOD NA UCET	3259	25136	SIPO	CD	47142148
1131796	3868	1996-09-11	VYDAJ	PREVOD NA UCET	3259	27326	SIPO	CD	47142148
1131797	3868	1996-10-11	VYDAJ	PREVOD NA UCET	3259	29525	SIPO	CD	47142148
1131798	3868	1996-11-11	VYDAJ	PREVOD NA UCET	3259	31733	SIPO	CD	47142148
1131799	3868	1996-12-11	VYDAJ	PREVOD NA UCET	3259	31308	SIPO	CD	47142148
1131800	3868	1997-01-11	VYDAJ	PREVOD NA UCET	3259	27600	SIPO	CD	47142148
1131801	3868	1997-02-11	VYDAJ	PREVOD NA UCET	3259	21575	SIPO	CD	47142148
1131802	3868	1997-03-11	VYDAJ	PREVOD NA UCET	3259	23749	SIPO	CD	47142148
1131803	3868	1997-04-11	VYDAJ	PREVOD NA UCET	3259	25933	SIPO	CD	47142148
1131804	3868	1997-05-11	VYDAJ	PREVOD NA UCET	3259	26924	SIPO	CD	47142148
1131805	3868	1997-06-11	VYDAJ	PREVOD NA UCET	3259	14480	SIPO	CD	47142148
1131806	3868	1997-07-11	VYDAJ	PREVOD NA UCET	3259	13676	SIPO	CD	47142148
1131807	3868	1997-08-11	VYDAJ	PREVOD NA UCET	3259	15822	SIPO	CD	47142148
1131808	3868	1997-09-11	VYDAJ	PREVOD NA UCET	3259	17972	SIPO	CD	47142148
1131809	3868	1997-10-11	VYDAJ	PREVOD NA UCET	3259	20131	SIPO	CD	47142148
1131810	3868	1997-11-11	VYDAJ	PREVOD NA UCET	3259	20377	SIPO	CD	47142148
1131811	3868	1997-12-11	VYDAJ	PREVOD NA UCET	3259	22546	SIPO	CD	47142148
1131812	3868	1998-01-11	VYDAJ	PREVOD NA UCET	3259	13404	SIPO	CD	47142148
1131813	3868	1998-02-11	VYDAJ	PREVOD NA UCET	3259	15553	SIPO	CD	47142148
1131814	3868	1998-03-11	VYDAJ	PREVOD NA UCET	3259	17702	SIPO	CD	47142148
1131815	3868	1998-04-11	VYDAJ	PREVOD NA UCET	3259	19860	SIPO	CD	47142148
1131816	3868	1998-05-11	VYDAJ	PREVOD NA UCET	3259	16106	SIPO	CD	47142148
1131817	3868	1998-06-11	VYDAJ	PREVOD NA UCET	3259	18266	SIPO	CD	47142148
1131818	3868	1998-07-11	VYDAJ	PREVOD NA UCET	3259	20426	SIPO	CD	47142148
1131819	3868	1998-08-11	VYDAJ	PREVOD NA UCET	3259	22594	SIPO	CD	47142148
1131820	3868	1998-09-11	VYDAJ	PREVOD NA UCET	3259	24772	SIPO	CD	47142148
1131821	3868	1998-10-11	VYDAJ	PREVOD NA UCET	3259	26959	SIPO	CD	47142148
1131822	3868	1998-11-11	VYDAJ	PREVOD NA UCET	3259	28435	SIPO	CD	47142148
1131823	3868	1998-12-11	VYDAJ	PREVOD NA UCET	3259	27819	SIPO	CD	47142148
1131825	3868	1994-06-06	VYDAJ	VYBER	10200	15134	\N	\N	\N
1131826	3868	1995-06-16	VYDAJ	VYBER	9950	14378	\N	\N	\N
1131828	3868	1997-06-05	VYDAJ	VYBER	11600	17739	\N	\N	\N
1131831	3868	1994-01-24	VYDAJ	VYBER	1650	17221	\N	\N	\N
1131832	3868	1995-01-24	VYDAJ	VYBER	1900	15347	\N	\N	\N
1131833	3868	1996-01-16	VYDAJ	VYBER	4950	16905	\N	\N	\N
1131834	3868	1997-01-29	VYDAJ	VYBER	3100	19380	\N	\N	\N
1131835	3868	1998-01-05	VYDAJ	VYBER	4300	20023	\N	\N	\N
1131837	3868	1994-12-30	VYDAJ	VYBER	950	20187	\N	\N	\N
1131838	3868	1995-12-14	VYDAJ	VYBER	600	25104	\N	\N	\N
1131839	3868	1996-12-22	VYDAJ	VYBER	1200	29308	\N	\N	\N
1131840	3868	1997-12-23	VYDAJ	VYBER	700	21846	\N	\N	\N
1131841	3868	1998-12-22	VYDAJ	VYBER	1100	26719	\N	\N	\N
1131848	3868	1994-01-12	VYDAJ	VYBER	1680	21271	\N	\N	\N
1131849	3868	1994-01-10	VYDAJ	VYBER	800	26210	\N	\N	\N
1131850	3868	1994-01-25	VYDAJ	VYBER	400	16821	\N	\N	\N
1131851	3868	1994-01-17	VYDAJ	VYBER	1840	19431	\N	\N	\N
1131852	3868	1994-01-28	VYDAJ	VYBER	720	16101	\N	\N	\N
1131853	3868	1994-01-24	VYDAJ	VYBER	560	18871	\N	\N	\N
1131854	3868	1995-01-14	VYDAJ	VYBER	1600	17247	\N	\N	\N
1131856	3868	1995-01-12	VYDAJ	VYBER	2080	18847	\N	\N	\N
1131857	3868	1995-01-09	VYDAJ	VYBER	1440	24186	\N	\N	\N
1131858	3868	1995-01-28	VYDAJ	VYBER	800	14547	\N	\N	\N
1131859	3868	1995-01-30	VYDAJ	VYBER	1040	13507	\N	\N	\N
1131860	3868	1996-01-28	VYDAJ	VYBER	800	14585	\N	\N	\N
1131861	3868	1996-01-09	VYDAJ	VYBER	2080	27274	\N	\N	\N
1131862	3868	1996-01-14	VYDAJ	VYBER	2160	21855	\N	\N	\N
1131864	3868	1996-01-25	VYDAJ	VYBER	1520	15385	\N	\N	\N
1131865	3868	1996-01-06	VYDAJ	VYBER	1200	29354	\N	\N	\N
1131866	3868	1997-01-21	VYDAJ	VYBER	2160	23040	\N	\N	\N
1131867	3868	1997-01-10	VYDAJ	VYBER	2000	32779	\N	\N	\N
1131868	3868	1997-01-11	VYDAJ	VYBER	1920	30859	\N	\N	\N
1131869	3868	1997-01-27	VYDAJ	VYBER	560	22480	\N	\N	\N
1131870	3868	1997-01-15	VYDAJ	VYBER	640	26160	\N	\N	\N
1131871	3868	1997-01-17	VYDAJ	VYBER	960	25200	\N	\N	\N
1131872	3868	1998-01-01	VYDAJ	VYBER	1200	20721	\N	\N	\N
1131873	3868	1998-01-06	VYDAJ	VYBER	1920	18103	\N	\N	\N
1131875	3868	1998-01-02	VYDAJ	VYBER	1760	18961	\N	\N	\N
1131876	3868	1998-01-07	VYDAJ	VYBER	1440	16663	\N	\N	\N
1131883	3868	1994-02-26	VYDAJ	VYBER	640	13446	\N	\N	\N
1131884	3868	1994-12-20	VYDAJ	VYBER	2720	21137	\N	\N	\N
1131885	3868	1994-02-16	VYDAJ	VYBER	3200	14086	\N	\N	\N
1131886	3868	1994-01-29	VYDAJ	VYBER	960	15141	\N	\N	\N
1131887	3868	1994-08-23	VYDAJ	VYBER	960	15205	\N	\N	\N
1131888	3868	1995-08-31	VYDAJ	VYBER	640	17093	\N	\N	\N
1131889	3868	1995-08-06	VYDAJ	VYBER	1040	20917	\N	\N	\N
1131892	3868	1996-02-11	VYDAJ	VYBER	880	15879	\N	\N	\N
1131893	3868	1996-11-26	VYDAJ	VYBER	2640	29093	\N	\N	\N
1131894	3868	1996-12-13	VYDAJ	VYBER	800	30508	\N	\N	\N
1131895	3868	1996-04-12	VYDAJ	VYBER	560	19634	\N	\N	\N
1131897	3868	1996-06-16	VYDAJ	VYBER	3200	20778	\N	\N	\N
1131898	3868	1997-07-10	VYDAJ	VYBER	2960	16935	\N	\N	\N
1131899	3868	1997-05-31	VYDAJ	VYBER	3040	23977	\N	\N	\N
1131900	3868	1997-10-23	VYDAJ	VYBER	1920	18211	\N	\N	\N
1131901	3868	1997-01-14	VYDAJ	VYBER	800	26800	\N	\N	\N
1131902	3868	1997-04-20	VYDAJ	VYBER	1200	24733	\N	\N	\N
1131903	3868	1998-05-04	VYDAJ	VYBER	2400	17523	\N	\N	\N
1131904	3868	1998-05-07	VYDAJ	VYBER	3520	19365	\N	\N	\N
1131906	3868	1998-11-03	VYDAJ	VYBER	720	26332	\N	\N	\N
1131907	3868	1998-11-25	VYDAJ	VYBER	2720	25615	\N	\N	\N
1131921	3868	1994-01-31	VYDAJ	VYBER	15	15183	SLUZBY	\N	\N
1131922	3868	1994-02-28	VYDAJ	VYBER	15	13494	SLUZBY	\N	\N
1131923	3868	1994-03-31	VYDAJ	VYBER	15	15644	SLUZBY	\N	\N
1131924	3868	1994-04-30	VYDAJ	VYBER	15	17804	SLUZBY	\N	\N
1131925	3868	1994-05-31	VYDAJ	VYBER	15	19972	SLUZBY	\N	\N
1131926	3868	1994-06-30	VYDAJ	VYBER	15	11918	SLUZBY	\N	\N
1131927	3868	1994-07-31	VYDAJ	VYBER	15	14062	SLUZBY	\N	\N
1131928	3868	1994-08-31	VYDAJ	VYBER	15	15254	SLUZBY	\N	\N
1131929	3868	1994-09-30	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
1131930	3868	1994-10-31	VYDAJ	VYBER	15	19578	SLUZBY	\N	\N
1131931	3868	1994-11-30	VYDAJ	VYBER	15	21754	SLUZBY	\N	\N
1131932	3868	1994-12-31	VYDAJ	VYBER	15	20264	SLUZBY	\N	\N
1131933	3868	1995-01-31	VYDAJ	VYBER	15	13568	SLUZBY	\N	\N
1131934	3868	1995-02-28	VYDAJ	VYBER	15	15718	SLUZBY	\N	\N
1131935	3868	1995-03-31	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
1131936	3868	1995-04-30	VYDAJ	VYBER	15	20047	SLUZBY	\N	\N
1131938	3868	1995-06-30	VYDAJ	VYBER	15	14440	SLUZBY	\N	\N
1131939	3868	1995-07-31	VYDAJ	VYBER	15	16595	SLUZBY	\N	\N
1131940	3868	1995-08-31	VYDAJ	VYBER	15	17078	SLUZBY	\N	\N
1131941	3868	1995-09-30	VYDAJ	VYBER	15	19243	SLUZBY	\N	\N
1131942	3868	1995-10-31	VYDAJ	VYBER	15	21417	SLUZBY	\N	\N
1131943	3868	1995-11-30	VYDAJ	VYBER	15	23601	SLUZBY	\N	\N
1131944	3868	1995-12-31	VYDAJ	VYBER	15	25192	SLUZBY	\N	\N
1131945	3868	1996-01-31	VYDAJ	VYBER	15	14656	SLUZBY	\N	\N
1131946	3868	1996-02-29	VYDAJ	VYBER	15	15931	SLUZBY	\N	\N
1131947	3868	1996-03-31	VYDAJ	VYBER	15	18091	SLUZBY	\N	\N
1131948	3868	1996-04-30	VYDAJ	VYBER	15	19699	SLUZBY	\N	\N
1131949	3868	1996-05-31	VYDAJ	VYBER	15	21875	SLUZBY	\N	\N
1131950	3868	1996-06-30	VYDAJ	VYBER	15	20853	SLUZBY	\N	\N
1131951	3868	1996-07-31	VYDAJ	VYBER	15	23033	SLUZBY	\N	\N
1131952	3868	1996-08-31	VYDAJ	VYBER	15	25223	SLUZBY	\N	\N
1131953	3868	1996-09-30	VYDAJ	VYBER	15	27422	SLUZBY	\N	\N
1131954	3868	1996-10-31	VYDAJ	VYBER	15	29630	SLUZBY	\N	\N
1131955	3868	1996-11-30	VYDAJ	VYBER	15	29205	SLUZBY	\N	\N
1131956	3868	1996-12-31	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
1131957	3868	1997-01-31	VYDAJ	VYBER	15	19472	SLUZBY	\N	\N
1131958	3868	1997-02-28	VYDAJ	VYBER	15	21646	SLUZBY	\N	\N
1131959	3868	1997-03-31	VYDAJ	VYBER	15	23830	SLUZBY	\N	\N
1131960	3868	1997-04-30	VYDAJ	VYBER	15	24821	SLUZBY	\N	\N
1131961	3868	1997-05-31	VYDAJ	VYBER	15	27017	SLUZBY	\N	\N
1131962	3868	1997-06-30	VYDAJ	VYBER	15	14533	SLUZBY	\N	\N
1131963	3868	1997-07-31	VYDAJ	VYBER	15	13719	SLUZBY	\N	\N
1131964	3868	1997-08-31	VYDAJ	VYBER	15	15869	SLUZBY	\N	\N
1131965	3868	1997-09-30	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
1131966	3868	1997-10-31	VYDAJ	VYBER	15	18274	SLUZBY	\N	\N
1131967	3868	1997-11-30	VYDAJ	VYBER	15	20443	SLUZBY	\N	\N
1131968	3868	1997-12-31	VYDAJ	VYBER	15	21921	SLUZBY	\N	\N
1131969	3868	1998-01-31	VYDAJ	VYBER	15	13450	SLUZBY	\N	\N
1131970	3868	1998-02-28	VYDAJ	VYBER	15	15599	SLUZBY	\N	\N
1131971	3868	1998-03-31	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
1131972	3868	1998-04-30	VYDAJ	VYBER	15	19923	SLUZBY	\N	\N
1131973	3868	1998-05-31	VYDAJ	VYBER	15	16163	SLUZBY	\N	\N
1131974	3868	1998-06-30	VYDAJ	VYBER	15	18323	SLUZBY	\N	\N
1131975	3868	1998-07-31	VYDAJ	VYBER	15	20491	SLUZBY	\N	\N
1131976	3868	1998-08-31	VYDAJ	VYBER	15	22669	SLUZBY	\N	\N
1131977	3868	1998-09-30	VYDAJ	VYBER	15	24856	SLUZBY	\N	\N
1131978	3868	1998-10-31	VYDAJ	VYBER	15	27052	SLUZBY	\N	\N
1131979	3868	1998-11-30	VYDAJ	VYBER	15	25716	SLUZBY	\N	\N
1131980	3868	1998-11-23	VYDAJ	VYBER	100	28335	\N	\N	\N
1132041	3869	1994-09-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1132042	3869	1994-09-19	PRIJEM	VKLAD	26469	27169	\N	\N	\N
1132043	3869	1994-12-05	PRIJEM	VKLAD	28823	123656	\N	\N	\N
1132045	3869	1994-11-15	PRIJEM	VKLAD	45719	94561	\N	\N	\N
1132046	3869	1994-12-07	PRIJEM	VKLAD	9667	70123	\N	\N	\N
1132049	3869	1994-11-02	PRIJEM	VKLAD	48114	73742	\N	\N	\N
1132055	3869	1994-12-16	PRIJEM	VKLAD	21166	62889	\N	\N	\N
1132056	3869	1995-01-24	PRIJEM	VKLAD	27454	49943	\N	\N	\N
1132057	3869	1995-10-13	PRIJEM	VKLAD	24800	71723	\N	\N	\N
1132058	3869	1995-06-06	PRIJEM	VKLAD	17278	73156	\N	\N	\N
1132059	3869	1995-02-27	PRIJEM	VKLAD	29306	108056	\N	\N	\N
1132060	3869	1995-08-15	PRIJEM	VKLAD	22606	77379	\N	\N	\N
1132061	3869	1995-07-14	PRIJEM	VKLAD	30261	68481	\N	\N	\N
1132062	3869	1995-09-21	PRIJEM	VKLAD	13207	55709	\N	\N	\N
1132063	3869	1995-09-29	PRIJEM	VKLAD	8706	64415	\N	\N	\N
1132064	3869	1995-04-18	PRIJEM	VKLAD	26568	87964	\N	\N	\N
1132065	3869	1995-12-24	PRIJEM	VKLAD	15159	89265	\N	\N	\N
1132066	3869	1995-03-20	PRIJEM	VKLAD	5475	44493	\N	\N	\N
1132067	3869	1995-04-07	PRIJEM	VKLAD	12818	93396	\N	\N	\N
1132068	3869	1995-10-01	PRIJEM	VKLAD	6841	71483	\N	\N	\N
1132069	3869	1995-02-17	PRIJEM	VKLAD	47015	78750	\N	\N	\N
1132070	3869	1995-11-22	PRIJEM	VKLAD	16781	63105	\N	\N	\N
1132071	3869	1995-08-05	PRIJEM	VKLAD	20921	86033	\N	\N	\N
1132072	3869	1995-12-03	PRIJEM	VKLAD	46943	110269	\N	\N	\N
1132073	3869	1995-05-12	PRIJEM	VKLAD	22494	75092	\N	\N	\N
1132074	3869	1995-04-04	PRIJEM	VKLAD	17087	54252	\N	\N	\N
1132075	3869	1995-04-06	PRIJEM	VKLAD	32686	80578	\N	\N	\N
1132076	3869	1995-07-04	PRIJEM	VKLAD	8909	59180	\N	\N	\N
1132077	3869	1995-12-17	PRIJEM	VKLAD	49897	74106	\N	\N	\N
1132078	3869	1996-11-25	PRIJEM	VKLAD	42041	121850	\N	\N	\N
1132079	3869	1996-01-07	PRIJEM	VKLAD	46550	97481	\N	\N	\N
1132080	3869	1996-05-15	PRIJEM	VKLAD	25921	68150	\N	\N	\N
1132081	3869	1996-01-08	PRIJEM	VKLAD	31917	129398	\N	\N	\N
1132082	3869	1996-08-13	PRIJEM	VKLAD	33291	62500	\N	\N	\N
1132083	3869	1996-04-24	PRIJEM	VKLAD	44830	75008	\N	\N	\N
1132084	3869	1996-10-26	PRIJEM	VKLAD	28766	109024	\N	\N	\N
1132085	3869	1996-01-26	PRIJEM	VKLAD	42455	96934	\N	\N	\N
1132086	3869	1996-02-10	PRIJEM	VKLAD	37477	90232	\N	\N	\N
1132087	3869	1996-02-23	PRIJEM	VKLAD	31575	136352	\N	\N	\N
1132088	3869	1996-11-10	PRIJEM	VKLAD	36079	95409	\N	\N	\N
1132089	3869	1996-06-26	PRIJEM	VKLAD	32725	73755	\N	\N	\N
1132090	3869	1996-03-09	PRIJEM	VKLAD	35023	87202	\N	\N	\N
1132091	3869	1996-10-03	PRIJEM	VKLAD	10586	59443	\N	\N	\N
1132092	3869	1996-09-18	PRIJEM	VKLAD	37069	62102	\N	\N	\N
1132093	3869	1996-03-29	PRIJEM	VKLAD	40628	127830	\N	\N	\N
1132094	3869	1996-08-09	PRIJEM	VKLAD	7054	29209	\N	\N	\N
1132095	3869	1996-12-22	PRIJEM	VKLAD	36993	96231	\N	\N	\N
1132096	3869	1996-10-20	PRIJEM	VKLAD	32902	80258	\N	\N	\N
1132097	3869	1996-02-21	PRIJEM	VKLAD	31645	121877	\N	\N	\N
1132098	3869	1997-03-20	PRIJEM	VKLAD	30938	129725	\N	\N	\N
1132099	3869	1997-03-16	PRIJEM	VKLAD	36685	98787	\N	\N	\N
1132100	3869	1997-02-21	PRIJEM	VKLAD	16437	75733	\N	\N	\N
1132101	3869	1997-07-02	PRIJEM	VKLAD	18954	93246	\N	\N	\N
1132102	3869	1997-08-24	PRIJEM	VKLAD	16921	47943	\N	\N	\N
1132103	3869	1997-07-10	PRIJEM	VKLAD	23949	110835	\N	\N	\N
1132104	3869	1997-12-13	PRIJEM	VKLAD	22616	105933	\N	\N	\N
1132105	3869	1997-04-27	PRIJEM	VKLAD	36822	115612	\N	\N	\N
1132106	3869	1997-08-26	PRIJEM	VKLAD	17991	65934	\N	\N	\N
1132107	3869	1997-05-25	PRIJEM	VKLAD	35908	92261	\N	\N	\N
1132108	3869	1997-06-06	PRIJEM	VKLAD	16209	79775	\N	\N	\N
1132109	3869	1997-01-18	PRIJEM	VKLAD	32814	97720	\N	\N	\N
1132110	3869	1997-01-06	PRIJEM	VKLAD	14834	79606	\N	\N	\N
1132111	3869	1997-12-01	PRIJEM	VKLAD	33737	124952	\N	\N	\N
1132112	3869	1997-05-16	PRIJEM	VKLAD	7784	56353	\N	\N	\N
1132113	3869	1997-11-05	PRIJEM	VKLAD	12049	80706	\N	\N	\N
1132114	3869	1997-03-02	PRIJEM	VKLAD	8529	68462	\N	\N	\N
1132115	3869	1997-12-08	PRIJEM	VKLAD	27125	124917	\N	\N	\N
1132116	3869	1997-06-17	PRIJEM	VKLAD	39550	119325	\N	\N	\N
1132117	3869	1997-11-20	PRIJEM	VKLAD	39414	146619	\N	\N	\N
1132118	3869	1997-09-03	PRIJEM	VKLAD	43040	99840	\N	\N	\N
1132119	3869	1997-07-29	PRIJEM	VKLAD	6778	117613	\N	\N	\N
1132120	3869	1997-10-10	PRIJEM	VKLAD	27857	86182	\N	\N	\N
1132121	3869	1997-11-12	PRIJEM	VKLAD	37059	107205	\N	\N	\N
1132122	3869	1997-09-30	PRIJEM	VKLAD	47727	122924	\N	\N	\N
1132123	3869	1997-09-19	PRIJEM	VKLAD	11917	105397	\N	\N	\N
1132124	3869	1997-04-14	PRIJEM	VKLAD	10697	78790	\N	\N	\N
1132125	3869	1997-06-26	PRIJEM	VKLAD	31900	135525	\N	\N	\N
1132126	3869	1998-04-14	PRIJEM	VKLAD	38304	140010	\N	\N	\N
1132127	3869	1998-09-02	PRIJEM	VKLAD	28178	93508	\N	\N	\N
1132128	3869	1998-11-05	PRIJEM	VKLAD	20413	132518	\N	\N	\N
1132129	3869	1998-02-26	PRIJEM	VKLAD	48406	101865	\N	\N	\N
1132130	3869	1998-12-15	PRIJEM	VKLAD	33736	110992	\N	\N	\N
1132131	3869	1998-11-21	PRIJEM	VKLAD	44765	126615	\N	\N	\N
1132132	3869	1998-03-20	PRIJEM	VKLAD	13996	135375	\N	\N	\N
1132133	3869	1998-11-18	PRIJEM	VKLAD	29375	143550	\N	\N	\N
1132134	3869	1998-04-13	PRIJEM	VKLAD	30905	101706	\N	\N	\N
1132135	3869	1998-09-28	PRIJEM	VKLAD	5261	92609	\N	\N	\N
1132136	3869	1998-04-14	PRIJEM	VKLAD	27301	167311	\N	\N	\N
1132137	3869	1998-03-15	PRIJEM	VKLAD	48616	155279	\N	\N	\N
1132138	3869	1998-06-10	PRIJEM	VKLAD	19548	136833	\N	\N	\N
1132139	3869	1998-11-17	PRIJEM	VKLAD	42317	114175	\N	\N	\N
1132140	3869	1998-12-17	PRIJEM	VKLAD	39168	150160	\N	\N	\N
1132141	3869	1998-04-21	PRIJEM	VKLAD	5692	103603	\N	\N	\N
1132142	3869	1998-03-12	PRIJEM	VKLAD	40734	106663	\N	\N	\N
1132143	3869	1998-03-01	PRIJEM	VKLAD	30534	126289	\N	\N	\N
1132144	3869	1998-12-28	PRIJEM	VKLAD	46014	118584	\N	\N	\N
1132145	3869	1998-11-02	PRIJEM	VKLAD	48368	131305	\N	\N	\N
1132146	3869	1998-05-21	PRIJEM	VKLAD	29357	98790	\N	\N	\N
1132147	3869	1998-02-27	PRIJEM	VKLAD	13967	115832	\N	\N	\N
1132148	3869	1998-06-10	PRIJEM	VKLAD	39337	117285	\N	\N	\N
1132221	3869	1995-01-05	VYDAJ	PREVOD NA UCET	6360	50189	SIPO	UV	88817554
1132222	3869	1995-02-05	VYDAJ	PREVOD NA UCET	6360	40435	SIPO	UV	88817554
1132223	3869	1995-03-05	VYDAJ	PREVOD NA UCET	6360	49418	SIPO	UV	88817554
1132224	3869	1995-04-05	VYDAJ	PREVOD NA UCET	6360	47892	SIPO	UV	88817554
1132225	3869	1995-05-05	VYDAJ	PREVOD NA UCET	6360	81898	SIPO	UV	88817554
1132226	3869	1995-06-05	VYDAJ	PREVOD NA UCET	6360	55878	SIPO	UV	88817554
1132227	3869	1995-07-05	VYDAJ	PREVOD NA UCET	6360	52820	SIPO	UV	88817554
1132228	3869	1995-08-05	VYDAJ	PREVOD NA UCET	6360	79673	SIPO	UV	88817554
1132229	3869	1995-09-05	VYDAJ	PREVOD NA UCET	6360	71302	SIPO	UV	88817554
1132230	3869	1995-10-05	VYDAJ	PREVOD NA UCET	6360	65123	SIPO	UV	88817554
1132231	3869	1995-11-05	VYDAJ	PREVOD NA UCET	6360	65624	SIPO	UV	88817554
1132232	3869	1995-12-05	VYDAJ	PREVOD NA UCET	6360	39209	SIPO	UV	88817554
1132233	3869	1996-01-05	VYDAJ	PREVOD NA UCET	6360	72931	SIPO	UV	88817554
1132234	3869	1996-02-05	VYDAJ	PREVOD NA UCET	6360	52755	SIPO	UV	88817554
1132235	3869	1996-03-05	VYDAJ	PREVOD NA UCET	6360	79079	SIPO	UV	88817554
1132236	3869	1996-04-05	VYDAJ	PREVOD NA UCET	6360	30178	SIPO	UV	88817554
1132237	3869	1996-05-05	VYDAJ	PREVOD NA UCET	6360	48829	SIPO	UV	88817554
1132238	3869	1996-06-05	VYDAJ	PREVOD NA UCET	6360	45230	SIPO	UV	88817554
1132239	3869	1996-07-05	VYDAJ	PREVOD NA UCET	6360	44290	SIPO	UV	88817554
1132240	3869	1996-08-05	VYDAJ	PREVOD NA UCET	6360	22155	SIPO	UV	88817554
1132241	3869	1996-09-05	VYDAJ	PREVOD NA UCET	6360	25033	SIPO	UV	88817554
1132242	3869	1996-10-05	VYDAJ	PREVOD NA UCET	6360	53083	SIPO	UV	88817554
1132243	3869	1996-11-05	VYDAJ	PREVOD NA UCET	6360	59330	SIPO	UV	88817554
1132244	3869	1996-12-05	VYDAJ	PREVOD NA UCET	6360	61638	SIPO	UV	88817554
1132245	3869	1997-01-05	VYDAJ	PREVOD NA UCET	6360	64772	SIPO	UV	88817554
1132246	3869	1997-02-05	VYDAJ	PREVOD NA UCET	6360	59296	SIPO	UV	88817554
1132247	3869	1997-03-05	VYDAJ	PREVOD NA UCET	6360	62102	SIPO	UV	88817554
1132248	3869	1997-04-05	VYDAJ	PREVOD NA UCET	6360	68093	SIPO	UV	88817554
1132249	3869	1997-05-05	VYDAJ	PREVOD NA UCET	6360	48569	SIPO	UV	88817554
1132250	3869	1997-06-05	VYDAJ	PREVOD NA UCET	6360	63566	SIPO	UV	88817554
1132251	3869	1997-07-05	VYDAJ	PREVOD NA UCET	6360	86886	SIPO	UV	88817554
1132252	3869	1997-08-05	VYDAJ	PREVOD NA UCET	6360	57653	SIPO	UV	88817554
1132253	3869	1997-09-05	VYDAJ	PREVOD NA UCET	6360	93480	SIPO	UV	88817554
1132254	3869	1997-10-05	VYDAJ	PREVOD NA UCET	6360	58325	SIPO	UV	88817554
1132255	3869	1997-11-05	VYDAJ	PREVOD NA UCET	6360	74346	SIPO	UV	88817554
1132256	3869	1997-12-05	VYDAJ	PREVOD NA UCET	6360	97792	SIPO	UV	88817554
1132257	3869	1998-01-05	VYDAJ	PREVOD NA UCET	6360	72082	SIPO	UV	88817554
1132258	3869	1998-02-05	VYDAJ	PREVOD NA UCET	6360	46559	SIPO	UV	88817554
1132259	3869	1998-03-05	VYDAJ	PREVOD NA UCET	6360	65929	SIPO	UV	88817554
1132260	3869	1998-04-05	VYDAJ	PREVOD NA UCET	6360	70801	SIPO	UV	88817554
1132261	3869	1998-05-05	VYDAJ	PREVOD NA UCET	6360	69433	SIPO	UV	88817554
1132262	3869	1998-06-05	VYDAJ	PREVOD NA UCET	6360	77948	SIPO	UV	88817554
1132263	3869	1998-07-05	VYDAJ	PREVOD NA UCET	6360	53290	SIPO	UV	88817554
1132264	3869	1998-08-05	VYDAJ	PREVOD NA UCET	6360	51898	SIPO	UV	88817554
1132265	3869	1998-09-05	VYDAJ	PREVOD NA UCET	6360	87148	SIPO	UV	88817554
1132266	3869	1998-10-05	VYDAJ	PREVOD NA UCET	6360	86582	SIPO	UV	88817554
1132267	3869	1998-11-05	VYDAJ	PREVOD NA UCET	6360	126158	SIPO	UV	88817554
1132268	3869	1998-12-05	VYDAJ	PREVOD NA UCET	6360	77256	SIPO	UV	88817554
1132272	3869	1995-05-18	VYBER	VYBER	13143	61949	\N	\N	\N
1132273	3869	1996-10-11	VYBER	VYBER	5727	47356	\N	\N	\N
1132274	3869	1996-01-15	VYBER	VYBER	3219	59279	\N	\N	\N
1132275	3869	1996-07-22	VYBER	VYBER	4236	27154	\N	\N	\N
1132276	3869	1996-04-05	VYBER	VYBER	7197	41338	\N	\N	\N
1132277	3869	1996-08-17	VYBER	VYBER	12606	30291	\N	\N	\N
1132278	3869	1996-08-15	VYBER	VYBER	19603	42897	\N	\N	\N
1132279	3869	1996-03-29	VYBER	VYBER	17934	109896	\N	\N	\N
1132280	3869	1997-08-08	VYBER	VYBER	12496	31022	\N	\N	\N
1132281	3869	1997-08-06	VYBER	VYBER	14135	43518	\N	\N	\N
1132282	3869	1997-02-21	VYBER	VYBER	3169	72564	\N	\N	\N
1132283	3869	1998-12-22	VYBER	VYBER	24490	72570	\N	\N	\N
1132284	3869	1998-07-06	VYBER	VYBER	11416	41874	\N	\N	\N
1132285	3869	1994-12-15	VYDAJ	VYBER	8400	41723	\N	\N	\N
1132286	3869	1995-12-07	VYDAJ	VYBER	7200	32009	\N	\N	\N
1132287	3869	1996-12-08	VYDAJ	VYBER KARTOU	2400	59238	\N	\N	0
1132288	3869	1997-12-17	VYDAJ	VYBER KARTOU	3300	102633	\N	\N	0
1132289	3869	1998-12-30	VYDAJ	VYBER KARTOU	3300	115284	\N	\N	0
1132296	3869	1995-01-22	VYDAJ	VYBER	4800	22489	\N	\N	\N
1132297	3869	1995-01-06	VYDAJ	VYBER	8700	41489	\N	\N	\N
1132298	3869	1995-01-02	VYDAJ	VYBER	6600	56549	\N	\N	\N
1132299	3869	1995-01-10	VYDAJ	VYBER	8700	31289	\N	\N	\N
1132300	3869	1995-01-08	VYDAJ	VYBER	1500	39989	\N	\N	\N
1132301	3869	1995-01-30	VYDAJ	VYBER	3300	46643	\N	\N	\N
1132302	3869	1996-01-26	VYDAJ	VYBER	7500	89434	\N	\N	\N
1132303	3869	1996-01-08	VYDAJ	VYBER	8100	113198	\N	\N	\N
1132304	3869	1996-01-04	VYDAJ	VYBER	8400	79291	\N	\N	\N
1132305	3869	1996-01-18	VYDAJ	VYBER	4800	54479	\N	\N	\N
1132306	3869	1996-01-08	VYDAJ	VYBER	8100	121298	\N	\N	\N
1132307	3869	1996-01-04	VYDAJ	VYBER KARTOU	1800	87691	\N	\N	0
1132308	3869	1997-01-15	VYDAJ	VYBER	6000	64906	\N	\N	\N
1132309	3869	1997-01-26	VYDAJ	VYBER	4800	91420	\N	\N	\N
1132310	3869	1997-01-23	VYDAJ	VYBER KARTOU	1500	96220	\N	\N	0
1132311	3869	1997-01-13	VYDAJ	VYBER	5100	70906	\N	\N	\N
1132312	3869	1997-01-09	VYDAJ	VYBER KARTOU	3600	76006	\N	\N	0
1132313	3869	1997-01-28	VYDAJ	VYBER	8700	82720	\N	\N	\N
1132314	3869	1998-01-24	VYDAJ	VYBER KARTOU	2700	50782	\N	\N	0
1132315	3869	1998-01-04	VYDAJ	VYBER	4500	78442	\N	\N	\N
1132316	3869	1998-01-19	VYDAJ	VYBER	4800	53482	\N	\N	\N
1132317	3869	1998-01-24	VYDAJ	VYBER KARTOU	3600	47182	\N	\N	0
1132318	3869	1998-01-09	VYDAJ	VYBER	8100	63982	\N	\N	\N
1132319	3869	1998-01-10	VYDAJ	VYBER	5700	58282	\N	\N	\N
1132325	3869	1995-09-15	VYDAJ	VYBER	10200	42502	\N	\N	\N
1132326	3869	1995-12-10	VYDAJ	VYBER	7800	24209	\N	\N	\N
1132327	3869	1995-03-22	VYDAJ	VYBER	7500	36993	\N	\N	\N
1132328	3869	1995-07-26	VYDAJ	VYBER KARTOU	3600	64881	\N	\N	0
1132329	3869	1995-08-06	VYDAJ	VYBER KARTOU	3000	76673	\N	\N	0
1132330	3869	1996-05-08	VYDAJ	VYBER	6600	42229	\N	\N	\N
1132331	3869	1996-11-15	VYDAJ	VYBER	14100	81309	\N	\N	\N
1132332	3869	1996-07-21	VYDAJ	VYBER	12900	31390	\N	\N	\N
1132333	3869	1996-11-16	VYDAJ	VYBER KARTOU	1500	79809	\N	\N	0
1132334	3869	1996-08-18	VYDAJ	VYBER	7200	23091	\N	\N	\N
1132335	3869	1996-06-07	VYDAJ	VYBER	4200	41030	\N	\N	\N
1132336	3869	1997-11-10	VYDAJ	VYBER	4200	70146	\N	\N	\N
1132337	3869	1997-04-30	VYDAJ	VYBER	10800	54944	\N	\N	\N
1132338	3869	1998-10-26	VYDAJ	VYBER KARTOU	3300	82582	\N	\N	0
1132339	3869	1998-04-25	VYDAJ	VYBER	13500	75403	\N	\N	\N
1132340	3869	1998-06-28	VYDAJ	VYBER	13500	59233	\N	\N	\N
1132341	3869	1998-03-29	VYDAJ	VYBER	11400	76775	\N	\N	\N
1132354	3869	1994-12-31	VYDAJ	VYBER	15	63149	SLUZBY	\N	\N
1132355	3869	1995-01-31	VYDAJ	VYBER	15	46795	SLUZBY	\N	\N
1132356	3869	1995-02-28	VYDAJ	VYBER	15	55778	SLUZBY	\N	\N
1132357	3869	1995-03-31	VYDAJ	VYBER	15	37165	SLUZBY	\N	\N
1132358	3869	1995-04-30	VYDAJ	VYBER	15	88258	SLUZBY	\N	\N
1132359	3869	1995-05-31	VYDAJ	VYBER	15	62238	SLUZBY	\N	\N
1132360	3869	1995-06-30	VYDAJ	VYBER	15	50271	SLUZBY	\N	\N
1132361	3869	1995-07-31	VYDAJ	VYBER	15	65112	SLUZBY	\N	\N
1132362	3869	1995-08-31	VYDAJ	VYBER	15	77662	SLUZBY	\N	\N
1132363	3869	1995-09-30	VYDAJ	VYBER	15	64642	SLUZBY	\N	\N
1132364	3869	1995-10-31	VYDAJ	VYBER	15	71984	SLUZBY	\N	\N
1132365	3869	1995-11-30	VYDAJ	VYBER	15	63326	SLUZBY	\N	\N
1132366	3869	1995-12-31	VYDAJ	VYBER	15	89491	SLUZBY	\N	\N
1132367	3869	1996-01-31	VYDAJ	VYBER	15	89715	SLUZBY	\N	\N
1132368	3869	1996-02-29	VYDAJ	VYBER	15	85439	SLUZBY	\N	\N
1132369	3869	1996-03-31	VYDAJ	VYBER	15	48535	SLUZBY	\N	\N
1132370	3869	1996-04-30	VYDAJ	VYBER	15	75189	SLUZBY	\N	\N
1132371	3869	1996-05-31	VYDAJ	VYBER	15	68390	SLUZBY	\N	\N
1132372	3869	1996-06-30	VYDAJ	VYBER	15	73950	SLUZBY	\N	\N
1132373	3869	1996-07-31	VYDAJ	VYBER	15	27315	SLUZBY	\N	\N
1132374	3869	1996-08-31	VYDAJ	VYBER	15	23193	SLUZBY	\N	\N
1132375	3869	1996-09-30	VYDAJ	VYBER	15	62257	SLUZBY	\N	\N
1132376	3869	1996-10-31	VYDAJ	VYBER	15	84990	SLUZBY	\N	\N
1132377	3869	1996-11-30	VYDAJ	VYBER	15	95398	SLUZBY	\N	\N
1132378	3869	1996-12-31	VYDAJ	VYBER	15	96532	SLUZBY	\N	\N
1132379	3869	1997-01-31	VYDAJ	VYBER	15	65656	SLUZBY	\N	\N
1132380	3869	1997-02-28	VYDAJ	VYBER	15	72833	SLUZBY	\N	\N
1132381	3869	1997-03-31	VYDAJ	VYBER	15	74453	SLUZBY	\N	\N
1132382	3869	1997-04-30	VYDAJ	VYBER	15	54929	SLUZBY	\N	\N
1132383	3869	1997-05-31	VYDAJ	VYBER	15	69926	SLUZBY	\N	\N
1132384	3869	1997-06-30	VYDAJ	VYBER	15	74292	SLUZBY	\N	\N
1132385	3869	1997-07-31	VYDAJ	VYBER	15	64013	SLUZBY	\N	\N
1132386	3869	1997-08-31	VYDAJ	VYBER	15	56800	SLUZBY	\N	\N
1132387	3869	1997-09-30	VYDAJ	VYBER	15	123285	SLUZBY	\N	\N
1132388	3869	1997-10-31	VYDAJ	VYBER	15	68657	SLUZBY	\N	\N
1132389	3869	1997-11-30	VYDAJ	VYBER	15	91215	SLUZBY	\N	\N
1132390	3869	1997-12-31	VYDAJ	VYBER	15	82942	SLUZBY	\N	\N
1132391	3869	1998-01-31	VYDAJ	VYBER	15	52919	SLUZBY	\N	\N
1132392	3869	1998-02-28	VYDAJ	VYBER	15	95755	SLUZBY	\N	\N
1132393	3869	1998-03-31	VYDAJ	VYBER	15	77161	SLUZBY	\N	\N
1132394	3869	1998-04-30	VYDAJ	VYBER	15	75793	SLUZBY	\N	\N
1132395	3869	1998-05-31	VYDAJ	VYBER	15	84308	SLUZBY	\N	\N
1132396	3869	1998-06-30	VYDAJ	VYBER	15	59650	SLUZBY	\N	\N
1132397	3869	1998-07-31	VYDAJ	VYBER	15	58258	SLUZBY	\N	\N
1132398	3869	1998-08-31	VYDAJ	VYBER	15	65330	SLUZBY	\N	\N
1132399	3869	1998-09-30	VYDAJ	VYBER	15	92942	SLUZBY	\N	\N
1132400	3869	1998-10-31	VYDAJ	VYBER	15	82937	SLUZBY	\N	\N
1132401	3869	1998-11-30	VYDAJ	VYBER	15	83616	SLUZBY	\N	\N
1132402	3869	1994-10-13	VYDAJ	VYBER	1700	25514	\N	\N	\N
1132403	3869	1994-11-12	VYDAJ	VYBER	24900	48842	\N	\N	\N
1132404	3869	1994-12-05	VYDAJ	VYBER	63200	60456	\N	\N	\N
1132405	3869	1994-12-12	VYDAJ	VYBER	20000	50123	\N	\N	\N
1132406	3869	1995-01-11	VYDAJ	VYBER	4000	27289	\N	\N	\N
1132407	3869	1995-02-10	VYDAJ	VYBER	8700	31735	\N	\N	\N
1132408	3869	1995-02-27	VYDAJ	VYBER	52500	55556	\N	\N	\N
1132409	3869	1995-03-12	VYDAJ	VYBER	10400	39018	\N	\N	\N
1132410	3869	1995-04-11	VYDAJ	VYBER	32000	61396	\N	\N	\N
1132411	3869	1995-05-11	VYDAJ	VYBER	29300	52598	\N	\N	\N
1132412	3869	1995-06-10	VYDAJ	VYBER	23100	50056	\N	\N	\N
1132413	3869	1995-07-10	VYDAJ	VYBER	14600	38220	\N	\N	\N
1132414	3869	1995-08-09	VYDAJ	VYBER	21900	54773	\N	\N	\N
1132415	3869	1995-09-08	VYDAJ	VYBER	18600	52702	\N	\N	\N
1132416	3869	1995-10-08	VYDAJ	VYBER	18200	46923	\N	\N	\N
1132417	3869	1995-11-07	VYDAJ	VYBER	19300	46324	\N	\N	\N
1132418	3869	1995-12-03	VYDAJ	VYBER	64700	45569	\N	\N	\N
1132419	3869	1996-01-06	VYDAJ	VYBER	22000	50931	\N	\N	\N
1132420	3869	1996-01-08	VYDAJ	VYBER	50700	62498	\N	\N	\N
1132421	3869	1996-02-05	VYDAJ	VYBER	30600	59115	\N	\N	\N
1132422	3869	1996-02-21	VYDAJ	VYBER	17100	104777	\N	\N	\N
1132423	3869	1996-02-23	VYDAJ	VYBER	51300	85052	\N	\N	\N
1132424	3869	1996-03-06	VYDAJ	VYBER	26900	52179	\N	\N	\N
1132425	3869	1996-03-29	VYDAJ	VYBER	61700	48196	\N	\N	\N
1132426	3869	1996-04-05	VYDAJ	VYBER	4800	36538	\N	\N	\N
1132427	3869	1996-05-05	VYDAJ	VYBER	20000	55189	\N	\N	\N
1132428	3869	1996-06-04	VYDAJ	VYBER	16800	51590	\N	\N	\N
1132429	3869	1996-07-04	VYDAJ	VYBER	23300	50650	\N	\N	\N
1132430	3869	1996-08-03	PRIJEM	VKLAD	1200	28515	\N	\N	\N
1132431	3869	1996-09-02	PRIJEM	VKLAD	8200	31393	\N	\N	\N
1132432	3869	1996-10-02	VYDAJ	VYBER	13400	48857	\N	\N	\N
1132433	3869	1996-10-31	VYDAJ	VYBER	24300	85005	\N	\N	\N
1132434	3869	1996-11-01	VYDAJ	VYBER	19300	65690	\N	\N	\N
1132435	3869	1996-11-25	VYDAJ	VYBER	26800	95050	\N	\N	\N
1132436	3869	1996-12-01	VYDAJ	VYBER	27400	67998	\N	\N	\N
1132437	3869	1996-12-31	VYDAJ	VYBER	25400	71132	\N	\N	\N
1132438	3869	1997-01-30	VYDAJ	VYBER	17400	65320	\N	\N	\N
1132439	3869	1997-03-01	VYDAJ	VYBER	12900	59933	\N	\N	\N
1132440	3869	1997-03-20	VYDAJ	VYBER	27400	102325	\N	\N	\N
1132441	3869	1997-03-31	VYDAJ	VYBER	28200	74467	\N	\N	\N
1132442	3869	1997-04-27	VYDAJ	VYBER	48200	67412	\N	\N	\N
1132443	3869	1997-04-30	VYDAJ	VYBER KARTOU	2000	65744	\N	\N	0
1132444	3869	1997-05-30	VYDAJ	VYBER	22600	69661	\N	\N	\N
1132445	3869	1997-06-17	VYDAJ	VYBER	15700	103625	\N	\N	\N
1132446	3869	1997-06-26	VYDAJ	VYBER	32800	102725	\N	\N	\N
1132447	3869	1997-06-29	VYDAJ	VYBER	28800	73925	\N	\N	\N
1132448	3869	1997-07-29	VYDAJ	VYBER	37900	63613	\N	\N	\N
1132449	3869	1997-07-29	VYDAJ	VYBER	16100	101513	\N	\N	\N
1132450	3869	1997-08-28	VYDAJ	VYBER	9300	56634	\N	\N	\N
1132451	3869	1997-09-27	VYDAJ	VYBER	30200	75197	\N	\N	\N
1132452	3869	1997-09-30	VYDAJ	VYBER	58600	64685	\N	\N	\N
1132453	3869	1997-10-27	VYDAJ	VYBER	17900	68282	\N	\N	\N
1132454	3869	1997-11-20	VYDAJ	VYBER	24600	122019	\N	\N	\N
1132455	3869	1997-11-26	VYDAJ	VYBER	31200	90819	\N	\N	\N
1132456	3869	1997-12-01	VYDAJ	VYBER	20800	104152	\N	\N	\N
1132457	3869	1997-12-08	VYDAJ	VYBER	41600	83317	\N	\N	\N
1132458	3869	1997-12-26	VYDAJ	VYBER	20100	82533	\N	\N	\N
1132459	3869	1998-01-25	PRIJEM	VKLAD	5500	52682	\N	\N	\N
1132460	3869	1998-02-24	PRIJEM	VKLAD	6900	53459	\N	\N	\N
1132461	3869	1998-02-27	VYDAJ	VYBER	20300	95532	\N	\N	\N
1132462	3869	1998-03-01	VYDAJ	VYBER	54000	72289	\N	\N	\N
1132463	3869	1998-03-15	VYDAJ	VYBER	33900	121379	\N	\N	\N
1132464	3869	1998-03-20	VYDAJ	VYBER	24100	111275	\N	\N	\N
1132465	3869	1998-03-26	VYDAJ	VYBER	23100	88175	\N	\N	\N
1132466	3869	1998-04-14	VYDAJ	VYBER	46800	120511	\N	\N	\N
1132467	3869	1998-04-14	VYDAJ	VYBER	22600	97911	\N	\N	\N
1132468	3869	1998-04-25	VYDAJ	VYBER	14700	88903	\N	\N	\N
1132469	3869	1998-05-25	VYDAJ	VYBER	14800	83990	\N	\N	\N
1132470	3869	1998-06-10	VYDAJ	VYBER	61800	75033	\N	\N	\N
1132471	3869	1998-06-24	VYDAJ	VYBER KARTOU	2300	72733	\N	\N	0
1132472	3869	1998-07-24	PRIJEM	VKLAD	16200	58074	\N	\N	\N
1132473	3869	1998-08-23	PRIJEM	VKLAD	13200	65098	\N	\N	\N
1132474	3869	1998-09-22	PRIJEM	VKLAD	200	87348	\N	\N	\N
1132475	3869	1998-10-22	VYDAJ	VYBER KARTOU	700	85882	\N	\N	0
1132476	3869	1998-11-02	VYDAJ	VYBER	19200	112105	\N	\N	\N
1132477	3869	1998-11-05	VYDAJ	VYBER	54300	71858	\N	\N	\N
1132478	3869	1998-11-18	VYDAJ	VYBER	61700	81850	\N	\N	\N
1132479	3869	1998-11-21	VYDAJ	VYBER	35300	83215	\N	\N	\N
1132480	3869	1998-11-21	VYDAJ	VYBER	8100	118515	\N	\N	\N
1132481	3869	1998-12-17	VYDAJ	VYBER	32200	117960	\N	\N	\N
1132482	3869	1998-12-21	VYDAJ	VYBER	20900	97060	\N	\N	\N
1132535	3870	1997-01-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1132536	3870	1997-01-11	PRIJEM	PREVOD Z UCTU	5510	6310	DUCHOD	QR	87032657
1132537	3870	1997-02-11	PRIJEM	PREVOD Z UCTU	5510	11838	DUCHOD	QR	87032657
1132538	3870	1997-03-11	PRIJEM	PREVOD Z UCTU	5510	17374	DUCHOD	QR	87032657
1132539	3870	1997-04-11	PRIJEM	PREVOD Z UCTU	5510	22910	DUCHOD	QR	87032657
1132540	3870	1997-05-11	PRIJEM	PREVOD Z UCTU	5510	24147	DUCHOD	QR	87032657
1132541	3870	1997-06-11	PRIJEM	PREVOD Z UCTU	5510	24936	DUCHOD	QR	87032657
1132542	3870	1997-07-11	PRIJEM	PREVOD Z UCTU	5510	23246	DUCHOD	QR	87032657
1132543	3870	1997-08-11	PRIJEM	PREVOD Z UCTU	5510	23751	DUCHOD	QR	87032657
1132544	3870	1997-09-11	PRIJEM	PREVOD Z UCTU	5510	24157	DUCHOD	QR	87032657
1132545	3870	1997-10-11	PRIJEM	PREVOD Z UCTU	5510	22777	DUCHOD	QR	87032657
1132546	3870	1997-11-11	PRIJEM	PREVOD Z UCTU	5510	22976	DUCHOD	QR	87032657
1132547	3870	1997-12-11	PRIJEM	PREVOD Z UCTU	5510	23479	DUCHOD	QR	87032657
1132548	3870	1998-01-11	PRIJEM	PREVOD Z UCTU	5510	23783	DUCHOD	QR	87032657
1132549	3870	1998-02-11	PRIJEM	PREVOD Z UCTU	5510	18794	DUCHOD	QR	87032657
1132550	3870	1998-03-11	PRIJEM	PREVOD Z UCTU	5510	20196	DUCHOD	QR	87032657
1132551	3870	1998-04-11	PRIJEM	PREVOD Z UCTU	5510	22086	DUCHOD	QR	87032657
1132552	3870	1998-05-11	PRIJEM	PREVOD Z UCTU	5510	23982	DUCHOD	QR	87032657
1132553	3870	1998-06-11	PRIJEM	PREVOD Z UCTU	5510	23086	DUCHOD	QR	87032657
1132554	3870	1998-07-11	PRIJEM	PREVOD Z UCTU	5510	22392	DUCHOD	QR	87032657
1132555	3870	1998-08-11	PRIJEM	PREVOD Z UCTU	5510	22394	DUCHOD	QR	87032657
1132556	3870	1998-09-11	PRIJEM	PREVOD Z UCTU	5510	22595	DUCHOD	QR	87032657
1132557	3870	1998-10-11	PRIJEM	PREVOD Z UCTU	5510	22493	DUCHOD	QR	87032657
1132558	3870	1998-11-11	PRIJEM	PREVOD Z UCTU	5510	22790	DUCHOD	QR	87032657
1132559	3870	1998-12-11	PRIJEM	PREVOD Z UCTU	5510	20238	DUCHOD	QR	87032657
1132564	3870	1997-05-13	VYDAJ	PREVOD NA UCET	3673	20474	SIPO	AB	91396879
1132565	3870	1997-06-13	VYDAJ	PREVOD NA UCET	3673	21263	SIPO	AB	91396879
1132566	3870	1997-07-13	VYDAJ	PREVOD NA UCET	3673	19573	SIPO	AB	91396879
1132567	3870	1997-08-13	VYDAJ	PREVOD NA UCET	3673	20078	SIPO	AB	91396879
1132568	3870	1997-09-13	VYDAJ	PREVOD NA UCET	3673	17204	SIPO	AB	91396879
1132569	3870	1997-10-13	VYDAJ	PREVOD NA UCET	3673	19104	SIPO	AB	91396879
1132570	3870	1997-11-13	VYDAJ	PREVOD NA UCET	3673	19303	SIPO	AB	91396879
1132571	3870	1997-12-13	VYDAJ	PREVOD NA UCET	3673	19806	SIPO	AB	91396879
1132572	3870	1998-01-13	VYDAJ	PREVOD NA UCET	3673	16510	SIPO	AB	91396879
1132573	3870	1998-02-13	VYDAJ	PREVOD NA UCET	3673	15121	SIPO	AB	91396879
1132574	3870	1998-03-13	VYDAJ	PREVOD NA UCET	3673	16523	SIPO	AB	91396879
1132575	3870	1998-04-13	VYDAJ	PREVOD NA UCET	3673	18413	SIPO	AB	91396879
1132576	3870	1998-05-13	VYDAJ	PREVOD NA UCET	3673	20309	SIPO	AB	91396879
1132577	3870	1998-06-13	VYDAJ	PREVOD NA UCET	3673	19413	SIPO	AB	91396879
1132578	3870	1998-07-13	VYDAJ	PREVOD NA UCET	3673	18719	SIPO	AB	91396879
1132579	3870	1998-08-13	VYDAJ	PREVOD NA UCET	3673	18721	SIPO	AB	91396879
1132580	3870	1998-09-13	VYDAJ	PREVOD NA UCET	3673	18922	SIPO	AB	91396879
1132581	3870	1998-10-13	VYDAJ	PREVOD NA UCET	3673	18820	SIPO	AB	91396879
1132582	3870	1998-11-13	VYDAJ	PREVOD NA UCET	3673	19117	SIPO	AB	91396879
1132583	3870	1998-12-13	VYDAJ	PREVOD NA UCET	3673	16565	SIPO	AB	91396879
1132584	3870	1997-06-25	VYDAJ	VYBER	1900	19363	\N	\N	\N
1132588	3870	1997-12-02	VYDAJ	VYBER	400	18969	\N	\N	\N
1132589	3870	1998-12-10	VYDAJ	VYBER	1250	14728	\N	\N	\N
1132591	3870	1997-09-12	VYDAJ	VYBER	3280	20877	\N	\N	\N
1132594	3870	1998-12-17	VYDAJ	VYBER	3120	13445	\N	\N	\N
1132595	3870	1998-03-09	VYDAJ	VYBER	480	14686	\N	\N	\N
1132597	3870	1998-01-17	VYDAJ	VYBER	3280	13230	\N	\N	\N
1132598	3870	1998-01-12	VYDAJ	VYBER	3600	20183	\N	\N	\N
1132604	3870	1997-05-31	VYDAJ	VYBER	15	20526	SLUZBY	\N	\N
1132605	3870	1997-06-30	VYDAJ	VYBER	15	19436	SLUZBY	\N	\N
1132606	3870	1997-07-31	VYDAJ	VYBER	15	19641	SLUZBY	\N	\N
1132607	3870	1997-08-31	VYDAJ	VYBER	15	20147	SLUZBY	\N	\N
1132608	3870	1997-09-30	VYDAJ	VYBER	15	17267	SLUZBY	\N	\N
1132609	3870	1997-10-31	VYDAJ	VYBER	15	19166	SLUZBY	\N	\N
1132610	3870	1997-11-30	VYDAJ	VYBER	15	19369	SLUZBY	\N	\N
1132611	3870	1997-12-31	VYDAJ	VYBER	15	19873	SLUZBY	\N	\N
1132612	3870	1998-01-31	VYDAJ	VYBER	15	13284	SLUZBY	\N	\N
1132613	3870	1998-02-28	VYDAJ	VYBER	15	15166	SLUZBY	\N	\N
1132614	3870	1998-03-31	VYDAJ	VYBER	15	16576	SLUZBY	\N	\N
1132615	3870	1998-04-30	VYDAJ	VYBER	15	18472	SLUZBY	\N	\N
1132616	3870	1998-05-31	VYDAJ	VYBER	15	20376	SLUZBY	\N	\N
1132617	3870	1998-06-30	VYDAJ	VYBER	15	19482	SLUZBY	\N	\N
1132618	3870	1998-07-31	VYDAJ	VYBER	15	18784	SLUZBY	\N	\N
1132619	3870	1998-08-31	VYDAJ	VYBER	15	17085	SLUZBY	\N	\N
1132620	3870	1998-09-30	VYDAJ	VYBER	15	16983	SLUZBY	\N	\N
1132621	3870	1998-10-31	VYDAJ	VYBER	15	17280	SLUZBY	\N	\N
1132622	3870	1998-11-30	VYDAJ	VYBER	15	15978	SLUZBY	\N	\N
1132623	3870	1997-05-08	VYDAJ	VYBER	4300	18637	\N	\N	\N
1132624	3870	1997-06-07	VYDAJ	VYBER	1100	19426	\N	\N	\N
1132625	3870	1997-07-07	VYDAJ	VYBER	1700	17736	\N	\N	\N
1132626	3870	1997-08-06	VYDAJ	VYBER	1400	18241	\N	\N	\N
1132627	3870	1997-09-05	VYDAJ	VYBER	1500	18647	\N	\N	\N
1132628	3870	1997-11-04	VYDAJ	VYBER	1700	17466	\N	\N	\N
1132629	3870	1997-12-04	VYDAJ	VYBER	1000	17969	\N	\N	\N
1132630	3870	1998-01-03	VYDAJ	VYBER	1600	18273	\N	\N	\N
1132631	3870	1998-06-02	VYDAJ	VYBER	2800	17576	\N	\N	\N
1132632	3870	1998-07-02	VYDAJ	VYBER	2600	16882	\N	\N	\N
1132633	3870	1998-08-01	VYDAJ	VYBER	1900	16884	\N	\N	\N
1132634	3870	1998-08-31	VYDAJ	VYBER	1700	17100	\N	\N	\N
1132635	3870	1998-09-30	VYDAJ	VYBER	2000	16997	\N	\N	\N
1132636	3870	1998-10-30	VYDAJ	VYBER	1600	17220	\N	\N	\N
1132637	3870	1998-11-29	VYDAJ	VYBER	3200	15917	\N	\N	\N
1132662	3871	1993-01-08	PRIJEM	VKLAD	300	300	\N	\N	\N
1132664	3871	1993-02-06	PRIJEM	PREVOD Z UCTU	4356	4656	DUCHOD	GH	31564527
1132665	3871	1993-03-06	PRIJEM	PREVOD Z UCTU	4356	9012	DUCHOD	GH	31564527
1132666	3871	1993-04-06	PRIJEM	PREVOD Z UCTU	4356	13368	DUCHOD	GH	31564527
1132667	3871	1993-05-06	PRIJEM	PREVOD Z UCTU	4356	17724	DUCHOD	GH	31564527
1132668	3871	1993-06-06	PRIJEM	PREVOD Z UCTU	4356	22080	DUCHOD	GH	31564527
1132669	3871	1993-07-06	PRIJEM	PREVOD Z UCTU	4356	24826	DUCHOD	GH	31564527
1132670	3871	1993-08-06	PRIJEM	PREVOD Z UCTU	4356	22874	DUCHOD	GH	31564527
1132671	3871	1993-09-06	PRIJEM	PREVOD Z UCTU	4356	25643	DUCHOD	GH	31564527
1132672	3871	1993-10-06	PRIJEM	PREVOD Z UCTU	4356	28424	DUCHOD	GH	31564527
1132673	3871	1993-11-06	PRIJEM	PREVOD Z UCTU	4356	31216	DUCHOD	GH	31564527
1132674	3871	1993-12-06	PRIJEM	PREVOD Z UCTU	4356	31786	DUCHOD	GH	31564527
1132675	3871	1994-01-06	PRIJEM	PREVOD Z UCTU	4356	32914	DUCHOD	GH	31564527
1132676	3871	1994-02-06	PRIJEM	PREVOD Z UCTU	4356	26699	DUCHOD	GH	31564527
1132677	3871	1994-03-06	PRIJEM	PREVOD Z UCTU	4356	29487	DUCHOD	GH	31564527
1132678	3871	1994-04-06	PRIJEM	PREVOD Z UCTU	4356	32283	DUCHOD	GH	31564527
1132679	3871	1994-05-06	PRIJEM	PREVOD Z UCTU	4356	30209	DUCHOD	GH	31564527
1132680	3871	1994-06-06	PRIJEM	PREVOD Z UCTU	4356	31113	DUCHOD	GH	31564527
1132681	3871	1994-07-06	PRIJEM	PREVOD Z UCTU	4356	30819	DUCHOD	GH	31564527
1132682	3871	1994-08-06	PRIJEM	PREVOD Z UCTU	4356	33524	DUCHOD	GH	31564527
1132683	3871	1994-09-06	PRIJEM	PREVOD Z UCTU	4356	36339	DUCHOD	GH	31564527
1132684	3871	1994-10-06	PRIJEM	PREVOD Z UCTU	4356	36742	DUCHOD	GH	31564527
1132685	3871	1994-11-06	PRIJEM	PREVOD Z UCTU	4356	36446	DUCHOD	GH	31564527
1132686	3871	1994-12-06	PRIJEM	PREVOD Z UCTU	4356	36770	DUCHOD	GH	31564527
1132687	3871	1995-01-06	PRIJEM	PREVOD Z UCTU	4356	34625	DUCHOD	GH	31564527
1132688	3871	1995-02-06	PRIJEM	PREVOD Z UCTU	4356	25105	DUCHOD	GH	31564527
1132689	3871	1995-03-06	PRIJEM	PREVOD Z UCTU	4356	27882	DUCHOD	GH	31564527
1132690	3871	1995-04-06	PRIJEM	PREVOD Z UCTU	4356	30672	DUCHOD	GH	31564527
1132691	3871	1995-05-06	PRIJEM	PREVOD Z UCTU	4356	30825	DUCHOD	GH	31564527
1132692	3871	1995-06-06	PRIJEM	PREVOD Z UCTU	4356	33627	DUCHOD	GH	31564527
1132693	3871	1995-07-06	PRIJEM	PREVOD Z UCTU	4356	36440	DUCHOD	GH	31564527
1132694	3871	1995-08-06	PRIJEM	PREVOD Z UCTU	4356	39265	DUCHOD	GH	31564527
1132695	3871	1995-09-06	PRIJEM	PREVOD Z UCTU	4356	42101	DUCHOD	GH	31564527
1132696	3871	1995-10-06	PRIJEM	PREVOD Z UCTU	4356	42648	DUCHOD	GH	31564527
1132697	3871	1995-11-06	PRIJEM	PREVOD Z UCTU	4356	44538	DUCHOD	GH	31564527
1132698	3871	1995-12-06	PRIJEM	PREVOD Z UCTU	4356	45095	DUCHOD	GH	31564527
1132699	3871	1996-01-06	PRIJEM	PREVOD Z UCTU	4356	42849	DUCHOD	GH	31564527
1132700	3871	1996-02-06	PRIJEM	PREVOD Z UCTU	4356	34007	DUCHOD	GH	31564527
1132701	3871	1996-03-06	PRIJEM	PREVOD Z UCTU	4356	36825	DUCHOD	GH	31564527
1132702	3871	1996-04-06	PRIJEM	PREVOD Z UCTU	4356	39651	DUCHOD	GH	31564527
1132703	3871	1996-05-06	PRIJEM	PREVOD Z UCTU	4356	41087	DUCHOD	GH	31564527
1132704	3871	1996-06-06	PRIJEM	PREVOD Z UCTU	4356	38924	DUCHOD	GH	31564527
1132705	3871	1996-07-06	PRIJEM	PREVOD Z UCTU	4356	40156	DUCHOD	GH	31564527
1132706	3871	1996-08-06	PRIJEM	PREVOD Z UCTU	4356	38489	DUCHOD	GH	31564527
1132707	3871	1996-09-06	PRIJEM	PREVOD Z UCTU	4356	37658	DUCHOD	GH	31564527
1132708	3871	1996-10-06	PRIJEM	PREVOD Z UCTU	4356	38286	DUCHOD	GH	31564527
1132709	3871	1996-11-06	PRIJEM	PREVOD Z UCTU	4356	39615	DUCHOD	GH	31564527
1132710	3871	1996-12-06	PRIJEM	PREVOD Z UCTU	4356	40249	DUCHOD	GH	31564527
1132711	3871	1997-01-06	PRIJEM	PREVOD Z UCTU	4356	36279	DUCHOD	GH	31564527
1132712	3871	1997-02-06	PRIJEM	PREVOD Z UCTU	4356	32055	DUCHOD	GH	31564527
1132713	3871	1997-03-06	PRIJEM	PREVOD Z UCTU	4356	31176	DUCHOD	GH	31564527
1132714	3871	1997-04-06	PRIJEM	PREVOD Z UCTU	4356	33978	DUCHOD	GH	31564527
1132715	3871	1997-05-06	PRIJEM	PREVOD Z UCTU	4356	36791	DUCHOD	GH	31564527
1132716	3871	1997-06-06	PRIJEM	PREVOD Z UCTU	4356	39615	DUCHOD	GH	31564527
1132717	3871	1997-07-06	PRIJEM	PREVOD Z UCTU	4356	38609	DUCHOD	GH	31564527
1132718	3871	1997-08-06	PRIJEM	PREVOD Z UCTU	4356	38562	DUCHOD	GH	31564527
1132719	3871	1997-09-06	PRIJEM	PREVOD Z UCTU	4356	41394	DUCHOD	GH	31564527
1132720	3871	1997-10-06	PRIJEM	PREVOD Z UCTU	4356	38541	DUCHOD	GH	31564527
1132721	3871	1997-11-06	PRIJEM	PREVOD Z UCTU	4356	41372	DUCHOD	GH	31564527
1132722	3871	1997-12-06	PRIJEM	PREVOD Z UCTU	4356	42614	DUCHOD	GH	31564527
1132723	3871	1998-01-06	PRIJEM	PREVOD Z UCTU	4356	44561	DUCHOD	GH	31564527
1132724	3871	1998-02-06	PRIJEM	PREVOD Z UCTU	4356	36362	DUCHOD	GH	31564527
1132725	3871	1998-03-06	PRIJEM	PREVOD Z UCTU	4356	39184	DUCHOD	GH	31564527
1132726	3871	1998-04-06	PRIJEM	PREVOD Z UCTU	4356	40417	DUCHOD	GH	31564527
1132727	3871	1998-05-06	PRIJEM	PREVOD Z UCTU	4356	43256	DUCHOD	GH	31564527
1132728	3871	1998-06-06	PRIJEM	PREVOD Z UCTU	4356	44346	DUCHOD	GH	31564527
1132729	3871	1998-07-06	PRIJEM	PREVOD Z UCTU	4356	47204	DUCHOD	GH	31564527
1132730	3871	1998-08-06	PRIJEM	PREVOD Z UCTU	4356	50070	DUCHOD	GH	31564527
1132731	3871	1998-09-06	PRIJEM	PREVOD Z UCTU	4356	52949	DUCHOD	GH	31564527
1132732	3871	1998-10-06	PRIJEM	PREVOD Z UCTU	4356	55839	DUCHOD	GH	31564527
1132733	3871	1998-11-06	PRIJEM	PREVOD Z UCTU	4356	58741	DUCHOD	GH	31564527
1132734	3871	1998-12-06	PRIJEM	PREVOD Z UCTU	4356	61655	DUCHOD	GH	31564527
1132740	3871	1993-06-10	VYDAJ	PREVOD NA UCET	153	20422	SIPO	UV	55483001
1132741	3871	1993-07-10	VYDAJ	PREVOD NA UCET	153	20368	SIPO	UV	55483001
1132742	3871	1993-08-10	VYDAJ	PREVOD NA UCET	153	21216	SIPO	UV	55483001
1132743	3871	1993-09-10	VYDAJ	PREVOD NA UCET	153	23985	SIPO	UV	55483001
1132744	3871	1993-10-10	VYDAJ	PREVOD NA UCET	153	26766	SIPO	UV	55483001
1132745	3871	1993-11-10	VYDAJ	PREVOD NA UCET	153	28598	SIPO	UV	55483001
1132746	3871	1993-12-10	VYDAJ	PREVOD NA UCET	153	30128	SIPO	UV	55483001
1132747	3871	1994-01-10	VYDAJ	PREVOD NA UCET	153	31256	SIPO	UV	55483001
1132748	3871	1994-02-10	VYDAJ	PREVOD NA UCET	153	25041	SIPO	UV	55483001
1132749	3871	1994-03-10	VYDAJ	PREVOD NA UCET	153	27829	SIPO	UV	55483001
1132750	3871	1994-04-10	VYDAJ	PREVOD NA UCET	153	30625	SIPO	UV	55483001
1132751	3871	1994-05-10	VYDAJ	PREVOD NA UCET	153	28551	SIPO	UV	55483001
1132752	3871	1994-06-10	VYDAJ	PREVOD NA UCET	153	29455	SIPO	UV	55483001
1132753	3871	1994-07-10	VYDAJ	PREVOD NA UCET	153	29161	SIPO	UV	55483001
1132754	3871	1994-08-10	VYDAJ	PREVOD NA UCET	153	31866	SIPO	UV	55483001
1132755	3871	1994-09-10	VYDAJ	PREVOD NA UCET	153	34681	SIPO	UV	55483001
1132756	3871	1994-10-10	VYDAJ	PREVOD NA UCET	153	35084	SIPO	UV	55483001
1132757	3871	1994-11-10	VYDAJ	PREVOD NA UCET	153	34788	SIPO	UV	55483001
1132758	3871	1994-12-10	VYDAJ	PREVOD NA UCET	153	35112	SIPO	UV	55483001
1132759	3871	1995-01-10	VYDAJ	PREVOD NA UCET	153	32967	SIPO	UV	55483001
1132760	3871	1995-02-10	VYDAJ	PREVOD NA UCET	153	23447	SIPO	UV	55483001
1132761	3871	1995-03-10	VYDAJ	PREVOD NA UCET	153	26224	SIPO	UV	55483001
1132762	3871	1995-04-10	VYDAJ	PREVOD NA UCET	153	26374	SIPO	UV	55483001
1132763	3871	1995-05-10	VYDAJ	PREVOD NA UCET	153	29167	SIPO	UV	55483001
1132764	3871	1995-06-10	VYDAJ	PREVOD NA UCET	153	31969	SIPO	UV	55483001
1132765	3871	1995-07-10	VYDAJ	PREVOD NA UCET	153	34782	SIPO	UV	55483001
1132766	3871	1995-08-10	VYDAJ	PREVOD NA UCET	153	37607	SIPO	UV	55483001
1132767	3871	1995-09-10	VYDAJ	PREVOD NA UCET	153	40443	SIPO	UV	55483001
1132768	3871	1995-10-10	VYDAJ	PREVOD NA UCET	153	40990	SIPO	UV	55483001
1132769	3871	1995-11-10	VYDAJ	PREVOD NA UCET	153	42480	SIPO	UV	55483001
1132770	3871	1995-12-10	VYDAJ	PREVOD NA UCET	153	43437	SIPO	UV	55483001
1132771	3871	1996-01-10	VYDAJ	PREVOD NA UCET	153	39191	SIPO	UV	55483001
1132772	3871	1996-02-10	VYDAJ	PREVOD NA UCET	153	32349	SIPO	UV	55483001
1132773	3871	1996-03-10	VYDAJ	PREVOD NA UCET	153	35167	SIPO	UV	55483001
1132774	3871	1996-04-10	VYDAJ	PREVOD NA UCET	153	37993	SIPO	UV	55483001
1132775	3871	1996-05-10	VYDAJ	PREVOD NA UCET	153	39429	SIPO	UV	55483001
1132776	3871	1996-06-10	VYDAJ	PREVOD NA UCET	153	37266	SIPO	UV	55483001
1132777	3871	1996-07-10	VYDAJ	PREVOD NA UCET	153	38498	SIPO	UV	55483001
1132778	3871	1996-08-10	VYDAJ	PREVOD NA UCET	153	36831	SIPO	UV	55483001
1132779	3871	1996-09-10	VYDAJ	PREVOD NA UCET	153	36000	SIPO	UV	55483001
1132780	3871	1996-10-10	VYDAJ	PREVOD NA UCET	153	36628	SIPO	UV	55483001
1132781	3871	1996-11-10	VYDAJ	PREVOD NA UCET	153	37957	SIPO	UV	55483001
1132782	3871	1996-12-10	VYDAJ	PREVOD NA UCET	153	38591	SIPO	UV	55483001
1132783	3871	1997-01-10	VYDAJ	PREVOD NA UCET	153	34621	SIPO	UV	55483001
1132784	3871	1997-02-10	VYDAJ	PREVOD NA UCET	153	30397	SIPO	UV	55483001
1132785	3871	1997-03-10	VYDAJ	PREVOD NA UCET	153	29518	SIPO	UV	55483001
1132786	3871	1997-04-10	VYDAJ	PREVOD NA UCET	153	32320	SIPO	UV	55483001
1132787	3871	1997-05-10	VYDAJ	PREVOD NA UCET	153	35133	SIPO	UV	55483001
1132788	3871	1997-06-10	VYDAJ	PREVOD NA UCET	153	37237	SIPO	UV	55483001
1132789	3871	1997-07-10	VYDAJ	PREVOD NA UCET	153	36951	SIPO	UV	55483001
1132790	3871	1997-08-10	VYDAJ	PREVOD NA UCET	153	36904	SIPO	UV	55483001
1132791	3871	1997-09-10	VYDAJ	PREVOD NA UCET	153	37096	SIPO	UV	55483001
1132792	3871	1997-10-10	VYDAJ	PREVOD NA UCET	153	36883	SIPO	UV	55483001
1132793	3871	1997-11-10	VYDAJ	PREVOD NA UCET	153	39714	SIPO	UV	55483001
1132794	3871	1997-12-10	VYDAJ	PREVOD NA UCET	153	40956	SIPO	UV	55483001
1132795	3871	1998-01-10	VYDAJ	PREVOD NA UCET	153	42903	SIPO	UV	55483001
1132796	3871	1998-02-10	VYDAJ	PREVOD NA UCET	153	34704	SIPO	UV	55483001
1132797	3871	1998-03-10	VYDAJ	PREVOD NA UCET	153	37526	SIPO	UV	55483001
1132798	3871	1998-04-10	VYDAJ	PREVOD NA UCET	153	38759	SIPO	UV	55483001
1132799	3871	1998-05-10	VYDAJ	PREVOD NA UCET	153	41598	SIPO	UV	55483001
1132800	3871	1998-06-10	VYDAJ	PREVOD NA UCET	153	42688	SIPO	UV	55483001
1132801	3871	1998-07-10	VYDAJ	PREVOD NA UCET	153	45546	SIPO	UV	55483001
1132802	3871	1998-08-10	VYDAJ	PREVOD NA UCET	153	48412	SIPO	UV	55483001
1132803	3871	1998-09-10	VYDAJ	PREVOD NA UCET	153	51291	SIPO	UV	55483001
1132804	3871	1998-10-10	VYDAJ	PREVOD NA UCET	153	54181	SIPO	UV	55483001
1132805	3871	1998-11-10	VYDAJ	PREVOD NA UCET	153	57083	SIPO	UV	55483001
1132806	3871	1998-12-10	VYDAJ	PREVOD NA UCET	153	59997	SIPO	UV	55483001
1132812	3871	1993-06-09	VYDAJ	PREVOD NA UCET	1505	20575	 	AB	64580011
1132813	3871	1993-07-09	VYDAJ	PREVOD NA UCET	1505	20521	 	AB	64580011
1132814	3871	1993-08-09	VYDAJ	PREVOD NA UCET	1505	21369	 	AB	64580011
1132815	3871	1993-09-09	VYDAJ	PREVOD NA UCET	1505	24138	 	AB	64580011
1132816	3871	1993-10-09	VYDAJ	PREVOD NA UCET	1505	26919	 	AB	64580011
1132817	3871	1993-11-09	VYDAJ	PREVOD NA UCET	1505	29711	 	AB	64580011
1132818	3871	1993-12-09	VYDAJ	PREVOD NA UCET	1505	30281	 	AB	64580011
1132819	3871	1994-01-09	VYDAJ	PREVOD NA UCET	1505	31409	 	AB	64580011
1132820	3871	1994-02-09	VYDAJ	PREVOD NA UCET	1505	25194	 	AB	64580011
1132821	3871	1994-03-09	VYDAJ	PREVOD NA UCET	1505	27982	 	AB	64580011
1132822	3871	1994-04-09	VYDAJ	PREVOD NA UCET	1505	30778	 	AB	64580011
1132823	3871	1994-05-09	VYDAJ	PREVOD NA UCET	1505	28704	 	AB	64580011
1132824	3871	1994-06-09	VYDAJ	PREVOD NA UCET	1505	29608	 	AB	64580011
1132825	3871	1994-07-09	VYDAJ	PREVOD NA UCET	1505	29314	 	AB	64580011
1132826	3871	1994-08-09	VYDAJ	PREVOD NA UCET	1505	32019	 	AB	64580011
1132827	3871	1994-09-09	VYDAJ	PREVOD NA UCET	1505	34834	 	AB	64580011
1132828	3871	1994-10-09	VYDAJ	PREVOD NA UCET	1505	35237	 	AB	64580011
1132829	3871	1994-11-09	VYDAJ	PREVOD NA UCET	1505	34941	 	AB	64580011
1132830	3871	1994-12-09	VYDAJ	PREVOD NA UCET	1505	35265	 	AB	64580011
1132831	3871	1995-01-09	VYDAJ	PREVOD NA UCET	1505	33120	 	AB	64580011
1132832	3871	1995-02-09	VYDAJ	PREVOD NA UCET	1505	23600	 	AB	64580011
1132833	3871	1995-03-09	VYDAJ	PREVOD NA UCET	1505	26377	 	AB	64580011
1132834	3871	1995-04-09	VYDAJ	PREVOD NA UCET	1505	26527	 	AB	64580011
1132835	3871	1995-05-09	VYDAJ	PREVOD NA UCET	1505	29320	 	AB	64580011
1132836	3871	1995-06-09	VYDAJ	PREVOD NA UCET	1505	32122	 	AB	64580011
1132837	3871	1995-07-09	VYDAJ	PREVOD NA UCET	1505	34935	 	AB	64580011
1132838	3871	1995-08-09	VYDAJ	PREVOD NA UCET	1505	37760	 	AB	64580011
1132839	3871	1995-09-09	VYDAJ	PREVOD NA UCET	1505	40596	 	AB	64580011
1132840	3871	1995-10-09	VYDAJ	PREVOD NA UCET	1505	41143	 	AB	64580011
1132841	3871	1995-11-09	VYDAJ	PREVOD NA UCET	1505	42633	 	AB	64580011
1132842	3871	1995-12-09	VYDAJ	PREVOD NA UCET	1505	43590	 	AB	64580011
1132843	3871	1996-01-09	VYDAJ	PREVOD NA UCET	1505	39344	 	AB	64580011
1132844	3871	1996-02-09	VYDAJ	PREVOD NA UCET	1505	32502	 	AB	64580011
1132845	3871	1996-03-09	VYDAJ	PREVOD NA UCET	1505	35320	 	AB	64580011
1132846	3871	1996-04-09	VYDAJ	PREVOD NA UCET	1505	38146	 	AB	64580011
1132847	3871	1996-05-09	VYDAJ	PREVOD NA UCET	1505	39582	 	AB	64580011
1132848	3871	1996-06-09	VYDAJ	PREVOD NA UCET	1505	37419	 	AB	64580011
1132849	3871	1996-07-09	VYDAJ	PREVOD NA UCET	1505	38651	 	AB	64580011
1132850	3871	1996-08-09	VYDAJ	PREVOD NA UCET	1505	36984	 	AB	64580011
1132851	3871	1996-09-09	VYDAJ	PREVOD NA UCET	1505	36153	 	AB	64580011
1132852	3871	1996-10-09	VYDAJ	PREVOD NA UCET	1505	36781	 	AB	64580011
1132853	3871	1996-11-09	VYDAJ	PREVOD NA UCET	1505	38110	 	AB	64580011
1132854	3871	1996-12-09	VYDAJ	PREVOD NA UCET	1505	38744	 	AB	64580011
1132855	3871	1997-01-09	VYDAJ	PREVOD NA UCET	1505	34774	 	AB	64580011
1132856	3871	1997-02-09	VYDAJ	PREVOD NA UCET	1505	30550	 	AB	64580011
1132857	3871	1997-03-09	VYDAJ	PREVOD NA UCET	1505	29671	 	AB	64580011
1132858	3871	1997-04-09	VYDAJ	PREVOD NA UCET	1505	32473	 	AB	64580011
1132859	3871	1997-05-09	VYDAJ	PREVOD NA UCET	1505	35286	 	AB	64580011
1132860	3871	1997-06-09	VYDAJ	PREVOD NA UCET	1505	38110	 	AB	64580011
1132861	3871	1997-07-09	VYDAJ	PREVOD NA UCET	1505	37104	 	AB	64580011
1132862	3871	1997-08-09	VYDAJ	PREVOD NA UCET	1505	37057	 	AB	64580011
1132863	3871	1997-09-09	VYDAJ	PREVOD NA UCET	1505	39889	 	AB	64580011
1132864	3871	1997-10-09	VYDAJ	PREVOD NA UCET	1505	37036	 	AB	64580011
1132865	3871	1997-11-09	VYDAJ	PREVOD NA UCET	1505	39867	 	AB	64580011
1132866	3871	1997-12-09	VYDAJ	PREVOD NA UCET	1505	41109	 	AB	64580011
1132867	3871	1998-01-09	VYDAJ	PREVOD NA UCET	1505	43056	 	AB	64580011
1132868	3871	1998-02-09	VYDAJ	PREVOD NA UCET	1505	34857	 	AB	64580011
1132869	3871	1998-03-09	VYDAJ	PREVOD NA UCET	1505	37679	 	AB	64580011
1132870	3871	1998-04-09	VYDAJ	PREVOD NA UCET	1505	38912	 	AB	64580011
1132871	3871	1998-05-09	VYDAJ	PREVOD NA UCET	1505	41751	 	AB	64580011
1132872	3871	1998-06-09	VYDAJ	PREVOD NA UCET	1505	42841	 	AB	64580011
1132873	3871	1998-07-09	VYDAJ	PREVOD NA UCET	1505	45699	 	AB	64580011
1132874	3871	1998-08-09	VYDAJ	PREVOD NA UCET	1505	48565	 	AB	64580011
1132875	3871	1998-09-09	VYDAJ	PREVOD NA UCET	1505	51444	 	AB	64580011
1132876	3871	1998-10-09	VYDAJ	PREVOD NA UCET	1505	54334	 	AB	64580011
1132877	3871	1998-11-09	VYDAJ	PREVOD NA UCET	1505	57236	 	AB	64580011
1132878	3871	1998-12-09	VYDAJ	PREVOD NA UCET	1505	60150	 	AB	64580011
1132879	3871	1993-12-03	VYDAJ	VYBER	350	27630	\N	\N	\N
1132880	3871	1994-12-25	VYDAJ	VYBER	750	34362	\N	\N	\N
1132881	3871	1995-12-13	VYDAJ	VYBER	1100	42337	\N	\N	\N
1132882	3871	1996-12-02	VYDAJ	VYBER	500	35893	\N	\N	\N
1132883	3871	1997-12-21	VYDAJ	VYBER	900	40056	\N	\N	\N
1132884	3871	1998-12-29	VYDAJ	VYBER	500	59497	\N	\N	\N
1132891	3871	1994-01-27	VYDAJ	VYBER	1360	23736	\N	\N	\N
1132892	3871	1994-01-25	VYDAJ	VYBER	1760	26856	\N	\N	\N
1132893	3871	1994-01-14	VYDAJ	VYBER	880	29096	\N	\N	\N
1132894	3871	1994-01-02	VYDAJ	VYBER	1680	28558	\N	\N	\N
1132895	3871	1994-01-14	VYDAJ	VYBER	1280	29976	\N	\N	\N
1132896	3871	1994-01-24	VYDAJ	VYBER	480	28616	\N	\N	\N
1132897	3871	1995-01-28	VYDAJ	VYBER	2080	20647	\N	\N	\N
1132898	3871	1995-01-19	VYDAJ	VYBER	2240	25527	\N	\N	\N
1132899	3871	1995-01-17	VYDAJ	VYBER	2320	27767	\N	\N	\N
1132900	3871	1995-01-26	VYDAJ	VYBER	720	22727	\N	\N	\N
1132901	3871	1995-01-21	VYDAJ	VYBER	2080	23447	\N	\N	\N
1132902	3871	1995-01-04	VYDAJ	VYBER	1920	30269	\N	\N	\N
1132903	3871	1996-01-14	VYDAJ	VYBER	2080	37111	\N	\N	\N
1132904	3871	1996-01-30	VYDAJ	VYBER	1520	32951	\N	\N	\N
1132905	3871	1996-01-02	VYDAJ	VYBER	400	38493	\N	\N	\N
1132906	3871	1996-01-08	VYDAJ	VYBER	2000	40849	\N	\N	\N
1132907	3871	1996-01-17	VYDAJ	VYBER	1200	35911	\N	\N	\N
1132908	3871	1996-01-25	VYDAJ	VYBER	1440	34471	\N	\N	\N
1132909	3871	1997-01-19	VYDAJ	VYBER	2160	31421	\N	\N	\N
1132910	3871	1997-01-21	VYDAJ	VYBER	1600	29821	\N	\N	\N
1132911	3871	1997-01-26	VYDAJ	VYBER	640	29181	\N	\N	\N
1132912	3871	1997-01-05	VYDAJ	VYBER	1600	31923	\N	\N	\N
1132913	3871	1997-01-27	VYDAJ	VYBER	1600	27581	\N	\N	\N
1132914	3871	1997-01-16	VYDAJ	VYBER	1040	33581	\N	\N	\N
1132915	3871	1998-01-12	VYDAJ	VYBER	800	42103	\N	\N	\N
1132916	3871	1998-01-17	VYDAJ	VYBER	640	41463	\N	\N	\N
1132917	3871	1998-01-19	VYDAJ	VYBER	2320	39143	\N	\N	\N
1132918	3871	1998-01-25	VYDAJ	VYBER	560	34023	\N	\N	\N
1132919	3871	1998-01-25	VYDAJ	VYBER	2160	31863	\N	\N	\N
1132920	3871	1998-01-22	VYDAJ	VYBER	1760	35543	\N	\N	\N
1132921	3871	1993-07-31	VYDAJ	VYBER	1920	18533	\N	\N	\N
1132922	3871	1993-11-10	VYDAJ	VYBER	960	28751	\N	\N	\N
1132925	3871	1993-11-25	VYDAJ	VYBER	720	27878	\N	\N	\N
1132927	3871	1994-09-14	VYDAJ	VYBER	720	33961	\N	\N	\N
1132928	3871	1994-01-27	VYDAJ	VYBER	1760	25096	\N	\N	\N
1132929	3871	1994-10-25	VYDAJ	VYBER	3120	31964	\N	\N	\N
1132930	3871	1994-04-19	VYDAJ	VYBER	1280	29345	\N	\N	\N
1132931	3871	1995-10-10	VYDAJ	VYBER	960	40030	\N	\N	\N
1132932	3871	1995-04-07	VYDAJ	VYBER	2640	28032	\N	\N	\N
1132933	3871	1995-01-12	VYDAJ	VYBER	2880	30087	\N	\N	\N
1132934	3871	1995-11-06	VYDAJ	VYBER	400	44138	\N	\N	\N
1132935	3871	1996-12-18	VYDAJ	VYBER	3280	33391	\N	\N	\N
1132936	3871	1996-12-10	VYDAJ	VYBER	1920	36671	\N	\N	\N
1132937	3871	1996-02-05	VYDAJ	VYBER	3440	29651	\N	\N	\N
1132938	3871	1996-09-05	VYDAJ	VYBER	1360	33302	\N	\N	\N
1132939	3871	1997-09-09	VYDAJ	VYBER	2640	37249	\N	\N	\N
1132940	3871	1997-02-22	VYDAJ	VYBER	3680	26717	\N	\N	\N
1132941	3871	1997-06-09	VYDAJ	VYBER	720	37390	\N	\N	\N
1132942	3871	1997-09-11	VYDAJ	VYBER	3040	34056	\N	\N	\N
1132943	3871	1997-06-30	VYDAJ	VYBER	3120	34253	\N	\N	\N
1132944	3871	1997-07-24	VYDAJ	VYBER	2880	34071	\N	\N	\N
1132945	3871	1997-11-26	VYDAJ	VYBER	1600	38114	\N	\N	\N
1132946	3871	1998-03-31	VYDAJ	VYBER	1600	36076	\N	\N	\N
1132947	3871	1998-01-24	VYDAJ	VYBER	960	34583	\N	\N	\N
1132948	3871	1998-01-22	VYDAJ	VYBER	1840	37303	\N	\N	\N
1132949	3871	1998-06-05	VYDAJ	VYBER	1760	39990	\N	\N	\N
1132956	3871	1993-06-30	VYDAJ	VYBER	15	20470	SLUZBY	\N	\N
1132957	3871	1993-07-31	VYDAJ	VYBER	15	18518	SLUZBY	\N	\N
1132958	3871	1993-08-31	VYDAJ	VYBER	15	21287	SLUZBY	\N	\N
1132959	3871	1993-09-30	VYDAJ	VYBER	15	24068	SLUZBY	\N	\N
1132960	3871	1993-10-31	VYDAJ	VYBER	15	26860	SLUZBY	\N	\N
1132961	3871	1993-11-30	VYDAJ	VYBER	15	27980	SLUZBY	\N	\N
1132962	3871	1993-12-31	VYDAJ	VYBER	15	30238	SLUZBY	\N	\N
1132963	3871	1994-01-31	VYDAJ	VYBER	15	23843	SLUZBY	\N	\N
1132964	3871	1994-02-28	VYDAJ	VYBER	15	25131	SLUZBY	\N	\N
1132965	3871	1994-03-31	VYDAJ	VYBER	15	27927	SLUZBY	\N	\N
1132966	3871	1994-04-30	VYDAJ	VYBER	15	29453	SLUZBY	\N	\N
1132967	3871	1994-05-31	VYDAJ	VYBER	15	28657	SLUZBY	\N	\N
1132968	3871	1994-06-30	VYDAJ	VYBER	15	29563	SLUZBY	\N	\N
1132969	3871	1994-07-31	VYDAJ	VYBER	15	29268	SLUZBY	\N	\N
1132970	3871	1994-08-31	VYDAJ	VYBER	15	31983	SLUZBY	\N	\N
1132971	3871	1994-09-30	VYDAJ	VYBER	15	32386	SLUZBY	\N	\N
1132972	3871	1994-10-31	VYDAJ	VYBER	15	32090	SLUZBY	\N	\N
1132973	3871	1994-11-30	VYDAJ	VYBER	15	32414	SLUZBY	\N	\N
1132974	3871	1994-12-31	VYDAJ	VYBER	15	32189	SLUZBY	\N	\N
1132975	3871	1995-01-31	VYDAJ	VYBER	15	20749	SLUZBY	\N	\N
1132976	3871	1995-02-28	VYDAJ	VYBER	15	23526	SLUZBY	\N	\N
1132977	3871	1995-03-31	VYDAJ	VYBER	15	26316	SLUZBY	\N	\N
1132978	3871	1995-04-30	VYDAJ	VYBER	15	26469	SLUZBY	\N	\N
1132979	3871	1995-05-31	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
1132980	3871	1995-06-30	VYDAJ	VYBER	15	32084	SLUZBY	\N	\N
1132981	3871	1995-07-31	VYDAJ	VYBER	15	34909	SLUZBY	\N	\N
1132982	3871	1995-08-31	VYDAJ	VYBER	15	37745	SLUZBY	\N	\N
1132983	3871	1995-09-30	VYDAJ	VYBER	15	38292	SLUZBY	\N	\N
1132984	3871	1995-10-31	VYDAJ	VYBER	15	40182	SLUZBY	\N	\N
1132985	3871	1995-11-30	VYDAJ	VYBER	15	40739	SLUZBY	\N	\N
1132986	3871	1995-12-31	VYDAJ	VYBER	15	38893	SLUZBY	\N	\N
1132987	3871	1996-01-31	VYDAJ	VYBER	15	33091	SLUZBY	\N	\N
1132988	3871	1996-02-29	VYDAJ	VYBER	15	32469	SLUZBY	\N	\N
1132989	3871	1996-03-31	VYDAJ	VYBER	15	35295	SLUZBY	\N	\N
1132990	3871	1996-04-30	VYDAJ	VYBER	15	36731	SLUZBY	\N	\N
1132991	3871	1996-05-31	VYDAJ	VYBER	15	34568	SLUZBY	\N	\N
1132992	3871	1996-06-30	VYDAJ	VYBER	15	35800	SLUZBY	\N	\N
1132993	3871	1996-07-31	VYDAJ	VYBER	15	34133	SLUZBY	\N	\N
1132994	3871	1996-08-31	VYDAJ	VYBER	15	34662	SLUZBY	\N	\N
1132995	3871	1996-09-30	VYDAJ	VYBER	15	33930	SLUZBY	\N	\N
1132996	3871	1996-10-31	VYDAJ	VYBER	15	35259	SLUZBY	\N	\N
1132997	3871	1996-11-30	VYDAJ	VYBER	15	36393	SLUZBY	\N	\N
1132998	3871	1996-12-31	VYDAJ	VYBER	15	33523	SLUZBY	\N	\N
1132999	3871	1997-01-31	VYDAJ	VYBER	15	27699	SLUZBY	\N	\N
1133000	3871	1997-02-28	VYDAJ	VYBER	15	26820	SLUZBY	\N	\N
1133001	3871	1997-03-31	VYDAJ	VYBER	15	29622	SLUZBY	\N	\N
1133002	3871	1997-04-30	VYDAJ	VYBER	15	32435	SLUZBY	\N	\N
1133003	3871	1997-05-31	VYDAJ	VYBER	15	35259	SLUZBY	\N	\N
1133004	3871	1997-06-30	VYDAJ	VYBER	15	37373	SLUZBY	\N	\N
1133005	3871	1997-07-31	VYDAJ	VYBER	15	34206	SLUZBY	\N	\N
1133006	3871	1997-08-31	VYDAJ	VYBER	15	37038	SLUZBY	\N	\N
1133007	3871	1997-09-30	VYDAJ	VYBER	15	34185	SLUZBY	\N	\N
1133008	3871	1997-10-31	VYDAJ	VYBER	15	37016	SLUZBY	\N	\N
1133009	3871	1997-11-30	VYDAJ	VYBER	15	38258	SLUZBY	\N	\N
1133010	3871	1997-12-31	VYDAJ	VYBER	15	40205	SLUZBY	\N	\N
1133011	3871	1998-01-31	VYDAJ	VYBER	15	32006	SLUZBY	\N	\N
1133012	3871	1998-02-28	VYDAJ	VYBER	15	34828	SLUZBY	\N	\N
1133013	3871	1998-03-31	VYDAJ	VYBER	15	36061	SLUZBY	\N	\N
1133014	3871	1998-04-30	VYDAJ	VYBER	15	38900	SLUZBY	\N	\N
1133015	3871	1998-05-31	VYDAJ	VYBER	15	41750	SLUZBY	\N	\N
1133016	3871	1998-06-30	VYDAJ	VYBER	15	42848	SLUZBY	\N	\N
1133017	3871	1998-07-31	VYDAJ	VYBER	15	45714	SLUZBY	\N	\N
1133018	3871	1998-08-31	VYDAJ	VYBER	15	48593	SLUZBY	\N	\N
1133019	3871	1998-09-30	VYDAJ	VYBER	15	51483	SLUZBY	\N	\N
1133020	3871	1998-10-31	VYDAJ	VYBER	15	54385	SLUZBY	\N	\N
1133021	3871	1998-11-30	VYDAJ	VYBER	15	57299	SLUZBY	\N	\N
1133022	3871	1993-07-07	VYDAJ	VYBER	2800	22026	\N	\N	\N
1133023	3871	1993-12-04	VYDAJ	VYBER	200	27430	\N	\N	\N
1133024	3871	1994-02-02	VYDAJ	VYBER	1500	22343	\N	\N	\N
1133025	3871	1994-05-03	VYDAJ	VYBER	3600	25853	\N	\N	\N
1133026	3871	1994-06-02	VYDAJ	VYBER	1900	26757	\N	\N	\N
1133027	3871	1994-07-02	VYDAJ	VYBER	3100	26463	\N	\N	\N
1133028	3871	1994-08-01	VYDAJ	VYBER	100	29168	\N	\N	\N
1133029	3871	1994-09-30	VYDAJ	VYBER	1700	32401	\N	\N	\N
1133030	3871	1994-11-29	VYDAJ	VYBER	2500	32288	\N	\N	\N
1133031	3871	1994-12-29	VYDAJ	VYBER	2300	32062	\N	\N	\N
1133032	3871	1995-09-25	VYDAJ	VYBER	2300	38143	\N	\N	\N
1133033	3871	1995-11-24	VYDAJ	VYBER	1900	40580	\N	\N	\N
1133034	3871	1995-12-24	VYDAJ	VYBER	3600	38737	\N	\N	\N
1133035	3871	1996-04-22	VYDAJ	VYBER	1400	36593	\N	\N	\N
1133036	3871	1996-05-22	VYDAJ	VYBER	5000	34429	\N	\N	\N
1133037	3871	1996-06-21	VYDAJ	VYBER	1600	35666	\N	\N	\N
1133038	3871	1996-07-21	VYDAJ	VYBER	4500	33998	\N	\N	\N
1133039	3871	1996-08-20	VYDAJ	VYBER	2300	34531	\N	\N	\N
1133040	3871	1996-09-19	VYDAJ	VYBER	2200	33800	\N	\N	\N
1133041	3871	1996-10-19	VYDAJ	VYBER	1500	35128	\N	\N	\N
1133042	3871	1996-11-18	VYDAJ	VYBER	1700	36257	\N	\N	\N
1133110	3872	1997-05-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1133116	3872	1997-06-07	PRIJEM	PREVOD Z UCTU	22520	23620	\N	QR	80415212
1133117	3872	1997-07-07	PRIJEM	PREVOD Z UCTU	15013	39270	\N	QR	80415212
1133118	3872	1997-08-07	PRIJEM	PREVOD Z UCTU	15013	46696	\N	QR	80415212
1133119	3872	1997-09-07	PRIJEM	PREVOD Z UCTU	15013	51549	\N	QR	80415212
1133120	3872	1997-10-07	PRIJEM	PREVOD Z UCTU	15013	53216	\N	QR	80415212
1133121	3872	1997-11-07	PRIJEM	PREVOD Z UCTU	15013	50153	\N	QR	80415212
1133122	3872	1997-12-07	PRIJEM	PREVOD Z UCTU	22520	41588	\N	QR	80415212
1133123	3872	1998-01-07	PRIJEM	PREVOD Z UCTU	15013	37865	\N	QR	80415212
1133124	3872	1998-02-07	PRIJEM	PREVOD Z UCTU	15013	33743	\N	QR	80415212
1133125	3872	1998-03-07	PRIJEM	PREVOD Z UCTU	15013	34725	\N	QR	80415212
1133126	3872	1998-04-07	PRIJEM	PREVOD Z UCTU	15013	41312	\N	QR	80415212
1133127	3872	1998-05-07	PRIJEM	PREVOD Z UCTU	15013	42112	\N	QR	80415212
1133128	3872	1998-06-07	PRIJEM	PREVOD Z UCTU	22520	42682	\N	QR	80415212
1133129	3872	1998-07-07	PRIJEM	PREVOD Z UCTU	15013	46395	\N	QR	80415212
1133130	3872	1998-08-07	PRIJEM	PREVOD Z UCTU	15013	34755	\N	QR	80415212
1133131	3872	1998-09-07	PRIJEM	PREVOD Z UCTU	15013	36334	\N	QR	80415212
1133132	3872	1998-10-07	PRIJEM	PREVOD Z UCTU	15013	39521	\N	QR	80415212
1133133	3872	1998-11-07	PRIJEM	PREVOD Z UCTU	15013	44935	\N	QR	80415212
1133134	3872	1998-12-07	PRIJEM	PREVOD Z UCTU	22520	58177	\N	QR	80415212
1133144	3872	1997-10-08	VYDAJ	VYBER	2800	45115	\N	\N	0
1133145	3872	1997-11-09	VYDAJ	VYBER	2300	38721	\N	\N	0
1133146	3872	1997-12-20	VYDAJ	VYBER	2300	24456	\N	\N	0
1133147	3872	1998-01-18	VYDAJ	VYBER	2600	24533	\N	\N	0
1133148	3872	1998-02-21	VYDAJ	VYBER	2300	26911	\N	\N	0
1133149	3872	1998-02-27	VYDAJ	VYBER	1700	25211	\N	\N	0
1133150	3872	1998-04-14	VYDAJ	VYBER	1900	30280	\N	\N	0
1133151	3872	1998-05-19	VYDAJ	VYBER	2700	30980	\N	\N	0
1133152	3872	1998-06-22	VYDAJ	VYBER	2300	32950	\N	\N	0
1133153	3872	1998-07-18	VYDAJ	VYBER	1500	31963	\N	\N	0
1133154	3872	1998-07-30	VYDAJ	VYBER	2900	21314	\N	\N	0
1133155	3872	1998-09-07	VYDAJ	VYBER	1900	34434	\N	\N	0
1133156	3872	1998-10-29	VYDAJ	VYBER	1900	34089	\N	\N	0
1133157	3872	1998-11-02	VYDAJ	VYBER	2600	31613	\N	\N	0
1133158	3872	1998-12-05	VYDAJ	VYBER	2900	37348	\N	\N	0
1133169	3872	1997-11-05	VYDAJ	PREVOD NA UCET	1691	35140	SIPO	GH	39719027
1133170	3872	1997-12-05	VYDAJ	PREVOD NA UCET	1691	19068	SIPO	GH	39719027
1133171	3872	1998-01-05	VYDAJ	PREVOD NA UCET	1691	22852	SIPO	GH	39719027
1133172	3872	1998-02-05	VYDAJ	PREVOD NA UCET	1691	18730	SIPO	GH	39719027
1133173	3872	1998-03-05	VYDAJ	PREVOD NA UCET	1691	23612	SIPO	GH	39719027
1133174	3872	1998-04-05	VYDAJ	PREVOD NA UCET	1691	26299	SIPO	GH	39719027
1133175	3872	1998-05-05	VYDAJ	PREVOD NA UCET	1691	27099	SIPO	GH	39719027
1133176	3872	1998-06-05	VYDAJ	PREVOD NA UCET	1691	20162	SIPO	GH	39719027
1133177	3872	1998-07-05	VYDAJ	PREVOD NA UCET	1691	31382	SIPO	GH	39719027
1133178	3872	1998-08-05	VYDAJ	PREVOD NA UCET	1691	19742	SIPO	GH	39719027
1133179	3872	1998-09-05	VYDAJ	PREVOD NA UCET	1691	21321	SIPO	GH	39719027
1133180	3872	1998-10-05	VYDAJ	PREVOD NA UCET	1691	24508	SIPO	GH	39719027
1133181	3872	1998-11-05	VYDAJ	PREVOD NA UCET	1691	29922	SIPO	GH	39719027
1133182	3872	1998-12-05	VYDAJ	PREVOD NA UCET	1691	35657	SIPO	GH	39719027
1133192	3872	1997-10-08	VYDAJ	PREVOD NA UCET	923	44192	 	QR	66648661
1133193	3872	1997-11-08	VYDAJ	PREVOD NA UCET	923	49230	 	QR	66648661
1133194	3872	1997-12-08	VYDAJ	PREVOD NA UCET	923	29565	 	QR	66648661
1133195	3872	1998-01-08	VYDAJ	PREVOD NA UCET	923	31641	 	QR	66648661
1133196	3872	1998-02-08	VYDAJ	PREVOD NA UCET	923	32820	 	QR	66648661
1133197	3872	1998-03-08	VYDAJ	PREVOD NA UCET	923	33802	 	QR	66648661
1133198	3872	1998-04-08	VYDAJ	PREVOD NA UCET	923	40389	 	QR	66648661
1133199	3872	1998-05-08	VYDAJ	PREVOD NA UCET	923	41189	 	QR	66648661
1133200	3872	1998-06-08	VYDAJ	PREVOD NA UCET	923	41759	 	QR	66648661
1133201	3872	1998-07-08	VYDAJ	PREVOD NA UCET	923	45472	 	QR	66648661
1133202	3872	1998-08-08	VYDAJ	PREVOD NA UCET	923	33832	 	QR	66648661
1133203	3872	1998-09-08	VYDAJ	PREVOD NA UCET	923	33511	 	QR	66648661
1133204	3872	1998-10-08	VYDAJ	PREVOD NA UCET	923	38598	 	QR	66648661
1133205	3872	1998-11-08	VYDAJ	PREVOD NA UCET	923	44012	 	QR	66648661
1133206	3872	1998-12-08	VYDAJ	PREVOD NA UCET	923	57254	 	QR	66648661
1133216	3872	1997-10-08	VYDAJ	PREVOD NA UCET	5301	47915	POJISTNE	KL	84313565
1133217	3872	1997-11-08	VYDAJ	PREVOD NA UCET	5301	43929	POJISTNE	KL	84313565
1133218	3872	1997-12-08	VYDAJ	PREVOD NA UCET	5301	24264	POJISTNE	KL	84313565
1133219	3872	1998-01-08	VYDAJ	PREVOD NA UCET	5301	32564	POJISTNE	KL	84313565
1133220	3872	1998-02-08	VYDAJ	PREVOD NA UCET	5301	27519	POJISTNE	KL	84313565
1133221	3872	1998-03-08	VYDAJ	PREVOD NA UCET	5301	28501	POJISTNE	KL	84313565
1133222	3872	1998-04-08	VYDAJ	PREVOD NA UCET	5301	35088	POJISTNE	KL	84313565
1133223	3872	1998-05-08	VYDAJ	PREVOD NA UCET	5301	35888	POJISTNE	KL	84313565
1133224	3872	1998-06-08	VYDAJ	PREVOD NA UCET	5301	36458	POJISTNE	KL	84313565
1133225	3872	1998-07-08	VYDAJ	PREVOD NA UCET	5301	40171	POJISTNE	KL	84313565
1133226	3872	1998-08-08	VYDAJ	PREVOD NA UCET	5301	28531	POJISTNE	KL	84313565
1133227	3872	1998-09-08	VYDAJ	PREVOD NA UCET	5301	28210	POJISTNE	KL	84313565
1133228	3872	1998-10-08	VYDAJ	PREVOD NA UCET	5301	33297	POJISTNE	KL	84313565
1133229	3872	1998-11-08	VYDAJ	PREVOD NA UCET	5301	38711	POJISTNE	KL	84313565
1133230	3872	1998-12-08	VYDAJ	PREVOD NA UCET	5301	51953	POJISTNE	KL	84313565
1133240	3872	1997-10-09	VYDAJ	PREVOD NA UCET	2908	41284	 	MN	8770090
1133241	3872	1997-11-09	VYDAJ	PREVOD NA UCET	2908	41021	 	MN	8770090
1133242	3872	1997-12-09	VYDAJ	PREVOD NA UCET	2908	21356	 	MN	8770090
1133243	3872	1998-01-09	VYDAJ	PREVOD NA UCET	2908	25433	 	MN	8770090
1133244	3872	1998-02-09	VYDAJ	PREVOD NA UCET	2908	24611	 	MN	8770090
1133245	3872	1998-03-09	VYDAJ	PREVOD NA UCET	2908	25593	 	MN	8770090
1133246	3872	1998-04-09	VYDAJ	PREVOD NA UCET	2908	32180	 	MN	8770090
1133247	3872	1998-05-09	VYDAJ	PREVOD NA UCET	2908	32980	 	MN	8770090
1133248	3872	1998-06-09	VYDAJ	PREVOD NA UCET	2908	33550	 	MN	8770090
1133249	3872	1998-07-09	VYDAJ	PREVOD NA UCET	2908	37263	 	MN	8770090
1133250	3872	1998-08-09	VYDAJ	PREVOD NA UCET	2908	25623	 	MN	8770090
1133251	3872	1998-09-09	VYDAJ	PREVOD NA UCET	2908	25302	 	MN	8770090
1133252	3872	1998-10-09	VYDAJ	PREVOD NA UCET	2908	30389	 	MN	8770090
1133253	3872	1998-11-09	VYDAJ	PREVOD NA UCET	2908	35803	 	MN	8770090
1133254	3872	1998-12-09	VYDAJ	PREVOD NA UCET	2908	49045	 	MN	8770090
1133257	3872	1997-11-15	VYBER	VYBER	9685	29036	\N	\N	\N
1133260	3872	1998-07-24	VYBER	VYBER	7749	24214	\N	\N	\N
1133262	3872	1998-06-04	VYBER	VYBER	9244	21853	\N	\N	\N
1133266	3872	1997-12-03	VYDAJ	VYBER	6900	20759	\N	\N	\N
1133267	3872	1998-12-10	VYDAJ	VYBER	4500	44545	\N	\N	\N
1133274	3872	1998-01-10	VYDAJ	VYBER	3000	22433	\N	\N	\N
1133276	3872	1998-01-09	VYDAJ	VYBER	3300	28341	\N	\N	\N
1133278	3872	1998-01-26	VYDAJ	VYBER	2100	22433	\N	\N	\N
1133279	3872	1998-01-29	VYDAJ	VYBER	2100	20333	\N	\N	\N
1133280	3872	1997-12-07	VYDAJ	VYBER	11100	30488	\N	\N	\N
1133282	3872	1998-08-22	VYDAJ	VYBER	5700	22923	\N	\N	\N
1133283	3872	1998-10-02	VYDAJ	VYBER	1500	26199	\N	\N	\N
1133287	3872	1998-03-06	VYDAJ	VYBER	3900	19712	\N	\N	\N
1133298	3872	1997-10-31	VYDAJ	VYBER	15	36831	SLUZBY	\N	\N
1133299	3872	1997-11-30	VYDAJ	VYBER	15	27659	SLUZBY	\N	\N
1133300	3872	1997-12-31	VYDAJ	VYBER	15	24543	SLUZBY	\N	\N
1133301	3872	1998-01-31	VYDAJ	VYBER	15	20421	SLUZBY	\N	\N
1133302	3872	1998-02-28	VYDAJ	VYBER	15	25303	SLUZBY	\N	\N
1133303	3872	1998-03-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
1133304	3872	1998-04-30	VYDAJ	VYBER	15	28790	SLUZBY	\N	\N
1133305	3872	1998-05-31	VYDAJ	VYBER	15	31097	SLUZBY	\N	\N
1133306	3872	1998-06-30	VYDAJ	VYBER	15	33073	SLUZBY	\N	\N
1133307	3872	1998-07-31	VYDAJ	VYBER	15	21433	SLUZBY	\N	\N
1133308	3872	1998-08-31	VYDAJ	VYBER	15	23012	SLUZBY	\N	\N
1133309	3872	1998-09-30	VYDAJ	VYBER	15	27699	SLUZBY	\N	\N
1133310	3872	1998-10-31	VYDAJ	VYBER	15	34213	SLUZBY	\N	\N
1133311	3872	1998-11-30	VYDAJ	VYBER	15	40248	SLUZBY	\N	\N
1133312	3872	1997-06-20	PRIJEM	VKLAD	600	24220	\N	\N	\N
1133313	3872	1997-07-20	VYDAJ	VYBER	7700	31570	\N	\N	\N
1133314	3872	1997-08-19	VYDAJ	VYBER	10300	36396	\N	\N	\N
1133315	3872	1997-09-18	VYDAJ	VYBER	13500	38049	\N	\N	\N
1133316	3872	1997-10-18	VYDAJ	VYBER	4600	36684	\N	\N	\N
1133317	3872	1997-11-17	VYDAJ	VYBER	1500	27536	\N	\N	\N
1133318	3872	1997-12-17	PRIJEM	VKLAD	5400	26756	\N	\N	\N
1133319	3872	1998-01-16	PRIJEM	VKLAD	4700	27133	\N	\N	\N
1133320	3872	1998-02-15	PRIJEM	VKLAD	4600	29211	\N	\N	\N
1133321	3872	1998-03-17	PRIJEM	VKLAD	2300	27893	\N	\N	\N
1133322	3872	1998-04-16	VYDAJ	VYBER	1600	28680	\N	\N	\N
1133323	3872	1998-05-16	PRIJEM	VKLAD	700	33680	\N	\N	\N
1133324	3872	1998-06-15	PRIJEM	VKLAD	1700	35250	\N	\N	\N
1133325	3872	1998-07-15	VYDAJ	VYBER	3800	33463	\N	\N	\N
1133326	3872	1998-08-14	PRIJEM	VKLAD	3000	28623	\N	\N	\N
1133327	3872	1998-09-13	PRIJEM	VKLAD	2300	27602	\N	\N	\N
1133328	3872	1998-10-13	PRIJEM	VKLAD	5600	35989	\N	\N	\N
1133329	3872	1998-11-12	PRIJEM	VKLAD	4300	40103	\N	\N	\N
1133656	3874	1995-06-02	PRIJEM	VKLAD	200	200	\N	\N	\N
1133662	3874	1995-06-07	PRIJEM	VKLAD	13188	13388	\N	\N	\N
1133663	3874	1995-07-07	PRIJEM	VKLAD	8792	28625	\N	\N	\N
1133664	3874	1995-08-07	PRIJEM	VKLAD	8792	32624	\N	\N	\N
1133665	3874	1995-09-07	PRIJEM	VKLAD	8792	39848	\N	\N	\N
1133666	3874	1995-10-07	PRIJEM	VKLAD	8792	42770	\N	\N	\N
1133667	3874	1995-11-07	PRIJEM	VKLAD	8792	40034	\N	\N	\N
1133668	3874	1995-12-07	PRIJEM	VKLAD	13188	33548	\N	\N	\N
1133669	3874	1996-01-07	PRIJEM	VKLAD	8792	30102	\N	\N	\N
1133670	3874	1996-02-07	PRIJEM	VKLAD	8792	25820	\N	\N	\N
1133671	3874	1996-03-07	PRIJEM	VKLAD	8792	29369	\N	\N	\N
1133672	3874	1996-04-07	PRIJEM	VKLAD	8792	35981	\N	\N	\N
1133673	3874	1996-05-07	PRIJEM	VKLAD	8792	35816	\N	\N	\N
1133674	3874	1996-06-07	PRIJEM	VKLAD	13188	44649	\N	\N	\N
1133675	3874	1996-07-07	PRIJEM	VKLAD	8792	34439	\N	\N	\N
1133676	3874	1996-08-07	PRIJEM	VKLAD	8792	38671	\N	\N	\N
1133677	3874	1996-09-07	PRIJEM	VKLAD	8792	39317	\N	\N	\N
1133678	3874	1996-10-07	PRIJEM	VKLAD	8792	41867	\N	\N	\N
1133679	3874	1996-11-07	PRIJEM	VKLAD	8792	44028	\N	\N	\N
1133680	3874	1996-12-07	PRIJEM	VKLAD	13188	45487	\N	\N	\N
1133681	3874	1997-01-07	PRIJEM	VKLAD	8792	44964	\N	\N	\N
1133682	3874	1997-02-07	PRIJEM	VKLAD	8792	31779	\N	\N	\N
1133683	3874	1997-03-07	PRIJEM	VKLAD	8792	37501	\N	\N	\N
1133684	3874	1997-04-07	PRIJEM	VKLAD	8792	46451	\N	\N	\N
1133685	3874	1997-05-07	PRIJEM	VKLAD	8792	46828	\N	\N	\N
1133686	3874	1997-06-07	PRIJEM	VKLAD	13188	46721	\N	\N	\N
1133687	3874	1997-07-07	PRIJEM	VKLAD	8792	42599	\N	\N	\N
1133688	3874	1997-08-07	PRIJEM	VKLAD	8792	44762	\N	\N	\N
1133689	3874	1997-09-07	PRIJEM	VKLAD	8792	40462	\N	\N	\N
1133690	3874	1997-10-07	PRIJEM	VKLAD	8792	44719	\N	\N	\N
1133691	3874	1997-11-07	PRIJEM	VKLAD	8792	42432	\N	\N	\N
1133692	3874	1997-12-07	PRIJEM	VKLAD	13188	45895	\N	\N	\N
1133693	3874	1998-01-07	PRIJEM	VKLAD	8792	40634	\N	\N	\N
1133694	3874	1998-02-07	PRIJEM	VKLAD	8792	34170	\N	\N	\N
1133695	3874	1998-03-07	PRIJEM	VKLAD	8792	44512	\N	\N	\N
1133696	3874	1998-04-07	PRIJEM	VKLAD	8792	51113	\N	\N	\N
1133697	3874	1998-05-07	PRIJEM	VKLAD	8792	58921	\N	\N	\N
1133698	3874	1998-06-07	PRIJEM	VKLAD	13188	69054	\N	\N	\N
1133699	3874	1998-07-07	PRIJEM	VKLAD	8792	55738	\N	\N	\N
1133700	3874	1998-08-07	PRIJEM	VKLAD	8792	63566	\N	\N	\N
1133701	3874	1998-09-07	PRIJEM	VKLAD	8792	66797	\N	\N	\N
1133702	3874	1998-10-07	PRIJEM	VKLAD	8792	60649	\N	\N	\N
1133703	3874	1998-11-07	PRIJEM	VKLAD	8792	60250	\N	\N	\N
1133704	3874	1998-12-07	PRIJEM	VKLAD	13188	68094	\N	\N	\N
1133714	3874	1995-10-13	VYDAJ	PREVOD NA UCET	5861	36909	SIPO	CD	51856213
1133715	3874	1995-11-13	VYDAJ	PREVOD NA UCET	5861	34173	SIPO	CD	51856213
1133716	3874	1995-12-13	VYDAJ	PREVOD NA UCET	5861	27687	SIPO	CD	51856213
1133717	3874	1996-01-13	VYDAJ	PREVOD NA UCET	5861	24241	SIPO	CD	51856213
1133718	3874	1996-02-13	VYDAJ	PREVOD NA UCET	5861	19959	SIPO	CD	51856213
1133719	3874	1996-03-13	VYDAJ	PREVOD NA UCET	5861	23508	SIPO	CD	51856213
1133720	3874	1996-04-13	VYDAJ	PREVOD NA UCET	5861	30120	SIPO	CD	51856213
1133721	3874	1996-05-13	VYDAJ	PREVOD NA UCET	5861	29955	SIPO	CD	51856213
1133722	3874	1996-06-13	VYDAJ	PREVOD NA UCET	5861	24348	SIPO	CD	51856213
1133723	3874	1996-07-13	VYDAJ	PREVOD NA UCET	5861	28578	SIPO	CD	51856213
1133724	3874	1996-08-13	VYDAJ	PREVOD NA UCET	5861	32810	SIPO	CD	51856213
1133725	3874	1996-09-13	VYDAJ	PREVOD NA UCET	5861	33456	SIPO	CD	51856213
1133726	3874	1996-10-13	VYDAJ	PREVOD NA UCET	5861	36006	SIPO	CD	51856213
1133727	3874	1996-11-13	VYDAJ	PREVOD NA UCET	5861	38167	SIPO	CD	51856213
1133728	3874	1996-12-13	VYDAJ	PREVOD NA UCET	5861	38346	SIPO	CD	51856213
1133729	3874	1997-01-13	VYDAJ	PREVOD NA UCET	5861	34903	SIPO	CD	51856213
1133730	3874	1997-02-13	VYDAJ	PREVOD NA UCET	5861	25918	SIPO	CD	51856213
1133731	3874	1997-03-13	VYDAJ	PREVOD NA UCET	5861	31640	SIPO	CD	51856213
1133732	3874	1997-04-13	VYDAJ	PREVOD NA UCET	5861	40590	SIPO	CD	51856213
1133733	3874	1997-05-13	VYDAJ	PREVOD NA UCET	5861	40967	SIPO	CD	51856213
1133734	3874	1997-06-13	VYDAJ	PREVOD NA UCET	5861	40860	SIPO	CD	51856213
1133735	3874	1997-07-13	VYDAJ	PREVOD NA UCET	5861	36738	SIPO	CD	51856213
1133736	3874	1997-08-13	VYDAJ	PREVOD NA UCET	5861	28941	SIPO	CD	51856213
1133737	3874	1997-09-13	VYDAJ	PREVOD NA UCET	5861	34601	SIPO	CD	51856213
1133738	3874	1997-10-13	VYDAJ	PREVOD NA UCET	5861	38858	SIPO	CD	51856213
1133739	3874	1997-11-13	VYDAJ	PREVOD NA UCET	5861	36571	SIPO	CD	51856213
1133740	3874	1997-12-13	VYDAJ	PREVOD NA UCET	5861	40034	SIPO	CD	51856213
1133741	3874	1998-01-13	VYDAJ	PREVOD NA UCET	5861	23853	SIPO	CD	51856213
1133742	3874	1998-02-13	VYDAJ	PREVOD NA UCET	5861	28309	SIPO	CD	51856213
1133743	3874	1998-03-13	VYDAJ	PREVOD NA UCET	5861	37571	SIPO	CD	51856213
1133744	3874	1998-04-13	VYDAJ	PREVOD NA UCET	5861	45252	SIPO	CD	51856213
1133745	3874	1998-05-13	VYDAJ	PREVOD NA UCET	5861	53060	SIPO	CD	51856213
1133746	3874	1998-06-13	VYDAJ	PREVOD NA UCET	5861	63193	SIPO	CD	51856213
1133747	3874	1998-07-13	VYDAJ	PREVOD NA UCET	5861	49877	SIPO	CD	51856213
1133748	3874	1998-08-13	VYDAJ	PREVOD NA UCET	5861	55785	SIPO	CD	51856213
1133749	3874	1998-09-13	VYDAJ	PREVOD NA UCET	5861	60936	SIPO	CD	51856213
1133750	3874	1998-10-13	VYDAJ	PREVOD NA UCET	5861	54788	SIPO	CD	51856213
1133751	3874	1998-11-13	VYDAJ	PREVOD NA UCET	5861	54689	SIPO	CD	51856213
1133752	3874	1998-12-13	VYDAJ	PREVOD NA UCET	5861	62233	SIPO	CD	51856213
1133754	3874	1996-06-10	VYDAJ	VYBER	13600	31049	\N	\N	\N
1133756	3874	1998-06-19	VYDAJ	VYBER	6080	52613	\N	\N	\N
1133757	3874	1995-12-04	VYDAJ	VYBER	4640	20360	\N	\N	\N
1133758	3874	1996-12-07	VYDAJ	VYBER	1280	44207	\N	\N	\N
1133759	3874	1997-12-26	VYDAJ	VYBER	1280	31714	\N	\N	\N
1133760	3874	1998-12-24	VYDAJ	VYBER	3360	53713	\N	\N	\N
1133767	3874	1996-01-30	VYDAJ	VYBER	2760	16941	\N	\N	\N
1133768	3874	1996-01-05	VYDAJ	VYBER	3000	21310	\N	\N	\N
1133769	3874	1996-01-24	VYDAJ	VYBER	2520	18481	\N	\N	\N
1133770	3874	1996-01-23	VYDAJ	VYBER	3240	21001	\N	\N	\N
1133771	3874	1996-01-29	VYDAJ	VYBER	2280	19701	\N	\N	\N
1133772	3874	1996-01-05	VYDAJ	VYBER	2880	24310	\N	\N	\N
1133773	3874	1997-01-29	VYDAJ	VYBER	1680	22863	\N	\N	\N
1133774	3874	1997-01-18	VYDAJ	VYBER	3480	31423	\N	\N	\N
1133775	3874	1997-01-10	VYDAJ	VYBER	2160	42804	\N	\N	\N
1133776	3874	1997-01-10	VYDAJ	VYBER	2040	40764	\N	\N	\N
1133777	3874	1997-01-18	VYDAJ	VYBER	2400	29023	\N	\N	\N
1133778	3874	1997-01-03	VYDAJ	VYBER	2520	36172	\N	\N	\N
1133779	3874	1998-01-09	VYDAJ	VYBER	2640	32474	\N	\N	\N
1133780	3874	1998-01-23	VYDAJ	VYBER	2640	27313	\N	\N	\N
1133781	3874	1998-01-09	VYDAJ	VYBER	2400	35114	\N	\N	\N
1133782	3874	1998-01-07	VYDAJ	VYBER	3120	37514	\N	\N	\N
1133783	3874	1998-01-11	VYDAJ	VYBER	2760	29714	\N	\N	\N
1133784	3874	1998-01-26	VYDAJ	VYBER	2040	25273	\N	\N	\N
1133787	3874	1995-11-23	VYDAJ	VYBER	4920	24693	\N	\N	\N
1133788	3874	1995-11-15	VYDAJ	VYBER	4560	29613	\N	\N	\N
1133790	3874	1996-02-16	VYDAJ	VYBER	3240	16719	\N	\N	\N
1133791	3874	1996-06-12	VYDAJ	VYBER	840	30209	\N	\N	\N
1133792	3874	1997-06-05	VYDAJ	VYBER	4080	33533	\N	\N	\N
1133793	3874	1997-08-07	VYDAJ	VYBER	5160	39602	\N	\N	\N
1133794	3874	1997-12-21	VYDAJ	VYBER	5040	32994	\N	\N	\N
1133795	3874	1997-01-22	VYDAJ	VYBER	3000	28623	\N	\N	\N
1133796	3874	1997-01-24	VYDAJ	VYBER	4080	24543	\N	\N	\N
1133797	3874	1997-08-13	VYDAJ	VYBER	4800	34802	\N	\N	\N
1133798	3874	1997-11-06	VYDAJ	VYBER	5160	33640	\N	\N	\N
1133799	3874	1998-12-23	VYDAJ	VYBER	5160	57073	\N	\N	\N
1133800	3874	1998-08-12	VYDAJ	VYBER	1920	61646	\N	\N	\N
1133801	3874	1998-09-27	VYDAJ	VYBER	5400	51636	\N	\N	\N
1133802	3874	1998-03-10	VYDAJ	VYBER	1080	43432	\N	\N	\N
1133803	3874	1998-11-03	VYDAJ	VYBER	4440	51458	\N	\N	\N
1133804	3874	1998-06-28	VYDAJ	VYBER	5880	46733	\N	\N	\N
1133815	3874	1995-10-31	VYDAJ	VYBER	15	31242	SLUZBY	\N	\N
1133816	3874	1995-11-30	VYDAJ	VYBER	15	25000	SLUZBY	\N	\N
1133817	3874	1995-12-31	VYDAJ	VYBER	15	27190	SLUZBY	\N	\N
1133818	3874	1996-01-31	VYDAJ	VYBER	15	17028	SLUZBY	\N	\N
1133819	3874	1996-02-29	VYDAJ	VYBER	15	20577	SLUZBY	\N	\N
1133820	3874	1996-03-31	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
1133821	3874	1996-04-30	VYDAJ	VYBER	15	27024	SLUZBY	\N	\N
1133822	3874	1996-05-31	VYDAJ	VYBER	15	31461	SLUZBY	\N	\N
1133823	3874	1996-06-30	VYDAJ	VYBER	15	25647	SLUZBY	\N	\N
1133824	3874	1996-07-31	VYDAJ	VYBER	15	29879	SLUZBY	\N	\N
1133825	3874	1996-08-31	VYDAJ	VYBER	15	30525	SLUZBY	\N	\N
1133826	3874	1996-09-30	VYDAJ	VYBER	15	33075	SLUZBY	\N	\N
1133827	3874	1996-10-31	VYDAJ	VYBER	15	35236	SLUZBY	\N	\N
1133828	3874	1996-11-30	VYDAJ	VYBER	15	32299	SLUZBY	\N	\N
1133829	3874	1996-12-31	VYDAJ	VYBER	15	38692	SLUZBY	\N	\N
1133830	3874	1997-01-31	VYDAJ	VYBER	15	22987	SLUZBY	\N	\N
1133831	3874	1997-02-28	VYDAJ	VYBER	15	28709	SLUZBY	\N	\N
1133832	3874	1997-03-31	VYDAJ	VYBER	15	37659	SLUZBY	\N	\N
1133833	3874	1997-04-30	VYDAJ	VYBER	15	38036	SLUZBY	\N	\N
1133834	3874	1997-05-31	VYDAJ	VYBER	15	37613	SLUZBY	\N	\N
1133835	3874	1997-06-30	VYDAJ	VYBER	15	33807	SLUZBY	\N	\N
1133836	3874	1997-07-31	VYDAJ	VYBER	15	35970	SLUZBY	\N	\N
1133837	3874	1997-08-31	VYDAJ	VYBER	15	31670	SLUZBY	\N	\N
1133838	3874	1997-09-30	VYDAJ	VYBER	15	35927	SLUZBY	\N	\N
1133839	3874	1997-10-31	VYDAJ	VYBER	15	38800	SLUZBY	\N	\N
1133840	3874	1997-11-30	VYDAJ	VYBER	15	32707	SLUZBY	\N	\N
1133841	3874	1997-12-31	VYDAJ	VYBER	15	31842	SLUZBY	\N	\N
1133842	3874	1998-01-31	VYDAJ	VYBER	15	25378	SLUZBY	\N	\N
1133843	3874	1998-02-28	VYDAJ	VYBER	15	35720	SLUZBY	\N	\N
1133844	3874	1998-03-31	VYDAJ	VYBER	15	42321	SLUZBY	\N	\N
1133845	3874	1998-04-30	VYDAJ	VYBER	15	50129	SLUZBY	\N	\N
1133846	3874	1998-05-31	VYDAJ	VYBER	15	55866	SLUZBY	\N	\N
1133847	3874	1998-06-30	VYDAJ	VYBER	15	46946	SLUZBY	\N	\N
1133848	3874	1998-07-31	VYDAJ	VYBER	15	54774	SLUZBY	\N	\N
1133849	3874	1998-08-31	VYDAJ	VYBER	15	58005	SLUZBY	\N	\N
1133850	3874	1998-09-30	VYDAJ	VYBER	15	51857	SLUZBY	\N	\N
1133851	3874	1998-10-31	VYDAJ	VYBER	15	55898	SLUZBY	\N	\N
1133852	3874	1998-11-30	VYDAJ	VYBER	15	54906	SLUZBY	\N	\N
1133853	3874	1995-07-02	PRIJEM	VKLAD	6400	19833	\N	\N	\N
1133854	3874	1995-08-01	VYDAJ	VYBER	4900	23832	\N	\N	\N
1133855	3874	1995-08-31	VYDAJ	VYBER	1700	31056	\N	\N	\N
1133856	3874	1995-09-30	VYDAJ	VYBER	6000	33978	\N	\N	\N
1133857	3874	1995-10-30	VYDAJ	VYBER	5800	31109	\N	\N	\N
1133858	3874	1995-11-29	PRIJEM	VKLAD	200	24893	\N	\N	\N
1133859	3874	1995-12-29	VYDAJ	VYBER	600	27087	\N	\N	\N
1133860	3874	1996-01-28	PRIJEM	VKLAD	3500	21981	\N	\N	\N
1133861	3874	1996-02-27	PRIJEM	VKLAD	3800	20519	\N	\N	\N
1133862	3874	1996-03-28	PRIJEM	VKLAD	3600	27108	\N	\N	\N
1133863	3874	1996-04-27	VYDAJ	VYBER	3200	26920	\N	\N	\N
1133864	3874	1996-05-27	PRIJEM	VKLAD	1400	31355	\N	\N	\N
1133865	3874	1996-06-26	PRIJEM	VKLAD	1200	25548	\N	\N	\N
1133866	3874	1996-07-26	PRIJEM	VKLAD	1200	29778	\N	\N	\N
1133867	3874	1996-08-25	VYDAJ	VYBER	2400	30410	\N	\N	\N
1133868	3874	1996-09-24	VYDAJ	VYBER	500	32956	\N	\N	\N
1133869	3874	1996-10-24	VYDAJ	VYBER	900	35106	\N	\N	\N
1133870	3874	1996-11-23	VYDAJ	VYBER	6000	32167	\N	\N	\N
1133871	3874	1996-12-23	PRIJEM	VKLAD	200	38546	\N	\N	\N
1133872	3874	1997-01-22	PRIJEM	VKLAD	2600	31623	\N	\N	\N
1133873	3874	1997-02-21	PRIJEM	VKLAD	2700	28618	\N	\N	\N
1133874	3874	1997-03-23	PRIJEM	VKLAD	5900	37540	\N	\N	\N
1133875	3874	1997-04-22	VYDAJ	VYBER	2700	37890	\N	\N	\N
1133876	3874	1997-05-22	VYDAJ	VYBER	3500	37467	\N	\N	\N
1133877	3874	1997-06-21	VYDAJ	VYBER	7200	33660	\N	\N	\N
1133878	3874	1997-07-21	VYDAJ	VYBER	900	35838	\N	\N	\N
1133879	3874	1997-08-20	PRIJEM	VKLAD	2600	31541	\N	\N	\N
1133880	3874	1997-09-19	PRIJEM	VKLAD	1200	35801	\N	\N	\N
1133881	3874	1997-10-19	VYDAJ	VYBER	200	38658	\N	\N	\N
1133882	3874	1997-11-18	VYDAJ	VYBER	4000	32571	\N	\N	\N
1133883	3874	1997-12-18	VYDAJ	VYBER	2000	38034	\N	\N	\N
1133884	3874	1998-01-17	PRIJEM	VKLAD	6100	29953	\N	\N	\N
1133885	3874	1998-02-16	PRIJEM	VKLAD	7300	35609	\N	\N	\N
1133886	3874	1998-03-18	PRIJEM	VKLAD	4600	42171	\N	\N	\N
1133887	3874	1998-04-17	PRIJEM	VKLAD	4700	49952	\N	\N	\N
1133888	3874	1998-05-17	PRIJEM	VKLAD	2600	55660	\N	\N	\N
1133889	3874	1998-06-16	VYDAJ	VYBER	4500	58693	\N	\N	\N
1133890	3874	1998-07-16	PRIJEM	VKLAD	4700	54577	\N	\N	\N
1133891	3874	1998-08-15	PRIJEM	VKLAD	2000	57785	\N	\N	\N
1133892	3874	1998-09-14	VYDAJ	VYBER	3900	57036	\N	\N	\N
1133893	3874	1998-10-14	PRIJEM	VKLAD	900	55688	\N	\N	\N
1133894	3874	1998-11-13	PRIJEM	VKLAD	300	60550	\N	\N	\N
1133938	3875	1997-10-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1133949	3875	1997-11-08	PRIJEM	PREVOD Z UCTU	38482	39582	\N	MN	94303905
1133950	3875	1997-12-08	PRIJEM	PREVOD Z UCTU	57723	89867	\N	MN	94303905
1133951	3875	1998-01-08	PRIJEM	PREVOD Z UCTU	38482	98639	\N	MN	94303905
1133952	3875	1998-02-08	PRIJEM	PREVOD Z UCTU	38482	100675	\N	MN	94303905
1133953	3875	1998-03-08	PRIJEM	PREVOD Z UCTU	38482	102519	\N	MN	94303905
1133954	3875	1998-04-08	PRIJEM	PREVOD Z UCTU	38482	95659	\N	MN	94303905
1133955	3875	1998-05-08	PRIJEM	PREVOD Z UCTU	38482	96871	\N	MN	94303905
1133956	3875	1998-06-08	PRIJEM	PREVOD Z UCTU	57723	117929	\N	MN	94303905
1133957	3875	1998-07-08	PRIJEM	PREVOD Z UCTU	38482	51061	\N	MN	94303905
1134127	3876	1997-08-20	PRIJEM	VKLAD	15152	35388	\N	\N	\N
1133958	3875	1998-08-08	PRIJEM	PREVOD Z UCTU	38482	69663	\N	MN	94303905
1133959	3875	1998-09-08	PRIJEM	PREVOD Z UCTU	38482	86295	\N	MN	94303905
1133960	3875	1998-10-08	PRIJEM	PREVOD Z UCTU	38482	61027	\N	MN	94303905
1133961	3875	1998-11-08	PRIJEM	PREVOD Z UCTU	38482	80468	\N	MN	94303905
1133962	3875	1998-12-08	PRIJEM	PREVOD Z UCTU	57723	105175	\N	MN	94303905
1133977	3875	1998-03-12	VYDAJ	PREVOD NA UCET	6414	96106	UVER	IJ	93942355
1133978	3875	1998-04-12	VYDAJ	PREVOD NA UCET	6414	89245	UVER	IJ	93942355
1133979	3875	1998-05-12	VYDAJ	PREVOD NA UCET	6414	90457	UVER	IJ	93942355
1133980	3875	1998-06-12	VYDAJ	PREVOD NA UCET	6414	56116	UVER	IJ	93942355
1133981	3875	1998-07-12	VYDAJ	PREVOD NA UCET	6414	44647	UVER	IJ	93942355
1133982	3875	1998-08-12	VYDAJ	PREVOD NA UCET	6414	63249	UVER	IJ	93942355
1133983	3875	1998-09-12	VYDAJ	PREVOD NA UCET	6414	79881	UVER	IJ	93942355
1133984	3875	1998-10-12	VYDAJ	PREVOD NA UCET	6414	54613	UVER	IJ	93942355
1133985	3875	1998-11-12	VYDAJ	PREVOD NA UCET	6414	74054	UVER	IJ	93942355
1133986	3875	1998-12-12	VYDAJ	PREVOD NA UCET	6414	57662	UVER	IJ	93942355
1133993	3875	1998-09-14	VYBER	VYBER	21388	34393	\N	\N	\N
1133994	3875	1998-03-14	VYBER	VYBER	12183	83923	\N	\N	\N
1133995	3875	1998-10-16	VYBER	VYBER	6763	41850	\N	\N	\N
1134000	3875	1998-07-02	VYBER	VYBER	21036	12579	\N	\N	\N
1134003	3875	1998-06-15	VYDAJ	VYBER	10200	45916	\N	\N	\N
1134007	3875	1998-12-08	VYDAJ	VYBER	2400	78775	\N	\N	\N
1134027	3875	1998-12-09	VYDAJ	VYBER	14700	64075	\N	\N	\N
1134028	3875	1998-06-11	VYDAJ	VYBER	2400	62529	\N	\N	\N
1134029	3875	1998-09-27	VYDAJ	VYBER	12000	22393	\N	\N	\N
1134030	3875	1998-12-03	VYDAJ	VYBER	9300	47452	\N	\N	\N
1134047	3875	1998-03-31	VYDAJ	VYBER	15	57177	SLUZBY	\N	\N
1134048	3875	1998-04-30	VYDAJ	VYBER	15	58389	SLUZBY	\N	\N
1134049	3875	1998-05-31	VYDAJ	VYBER	15	60206	SLUZBY	\N	\N
1134050	3875	1998-06-30	VYDAJ	VYBER	15	33615	SLUZBY	\N	\N
1134051	3875	1998-07-31	VYDAJ	VYBER	15	31181	SLUZBY	\N	\N
1134052	3875	1998-08-31	VYDAJ	VYBER	15	47813	SLUZBY	\N	\N
1134053	3875	1998-09-30	VYDAJ	VYBER	15	22545	SLUZBY	\N	\N
1134054	3875	1998-10-31	VYDAJ	VYBER	15	41986	SLUZBY	\N	\N
1134055	3875	1998-11-30	VYDAJ	VYBER	15	56752	SLUZBY	\N	\N
1134056	3875	1997-11-17	VYDAJ	VYBER	7500	32082	\N	\N	\N
1134057	3875	1997-12-17	VYDAJ	VYBER	29900	59967	\N	\N	\N
1134058	3875	1998-01-16	VYDAJ	VYBER	36700	61939	\N	\N	\N
1134059	3875	1998-02-15	VYDAJ	VYBER	36900	63775	\N	\N	\N
1134060	3875	1998-03-17	VYDAJ	VYBER	27000	56923	\N	\N	\N
1134061	3875	1998-04-16	VYDAJ	VYBER	31100	58145	\N	\N	\N
1134062	3875	1998-05-16	VYDAJ	VYBER	30500	59957	\N	\N	\N
1134063	3875	1998-06-08	VYDAJ	VYBER	53000	64929	\N	\N	\N
1134064	3875	1998-06-15	VYDAJ	VYBER	12500	33416	\N	\N	\N
1134065	3875	1998-07-15	VYDAJ	VYBER	13600	31047	\N	\N	\N
1134066	3875	1998-08-14	VYDAJ	VYBER	15600	47649	\N	\N	\N
1134067	3875	1998-09-13	VYDAJ	VYBER	24100	55781	\N	\N	\N
1134068	3875	1998-10-13	VYDAJ	VYBER	6000	48613	\N	\N	\N
1134069	3875	1998-11-12	VYDAJ	VYBER	17500	56554	\N	\N	\N
1134070	3875	1998-12-08	VYDAJ	VYBER	24000	81175	\N	\N	\N
1134085	3876	1994-02-13	PRIJEM	VKLAD	500	500	\N	\N	\N
1134086	3876	1994-05-01	PRIJEM	VKLAD	24866	104131	\N	\N	\N
1134087	3876	1994-02-28	PRIJEM	VKLAD	29854	38717	\N	\N	\N
1134088	3876	1994-06-03	PRIJEM	VKLAD	36565	61444	\N	\N	\N
1134089	3876	1994-06-11	PRIJEM	VKLAD	45868	95256	\N	\N	\N
1134091	3876	1994-07-21	PRIJEM	VKLAD	20475	97972	\N	\N	\N
1134092	3876	1994-04-15	PRIJEM	VKLAD	37275	78995	\N	\N	\N
1134093	3876	1994-02-27	PRIJEM	VKLAD	8356	8856	\N	\N	\N
1134094	3876	1994-10-20	PRIJEM	VKLAD	39497	91941	\N	\N	\N
1134095	3876	1994-07-15	PRIJEM	VKLAD	39979	77497	\N	\N	\N
1134096	3876	1994-09-28	PRIJEM	VKLAD	23720	95103	\N	\N	\N
1134097	3876	1994-09-22	PRIJEM	VKLAD	29490	71383	\N	\N	\N
1134099	3876	1994-11-28	PRIJEM	VKLAD	8849	38376	\N	\N	\N
1134102	3876	1994-12-02	PRIJEM	VKLAD	22952	61507	\N	\N	\N
1134103	3876	1994-10-21	PRIJEM	VKLAD	22642	114583	\N	\N	\N
1134104	3876	1994-03-26	PRIJEM	VKLAD	16832	55745	\N	\N	\N
1134105	3876	1994-08-16	PRIJEM	VKLAD	49852	104061	\N	\N	\N
1134106	3876	1994-09-20	PRIJEM	VKLAD	12315	41893	\N	\N	\N
1134107	3876	1994-03-07	PRIJEM	VKLAD	14496	53213	\N	\N	\N
1134108	3876	1995-08-19	PRIJEM	VKLAD	7015	8152	\N	\N	\N
1134109	3876	1995-09-24	PRIJEM	VKLAD	49630	57773	\N	\N	\N
1134110	3876	1995-12-11	PRIJEM	VKLAD	27206	32463	\N	\N	\N
1134111	3876	1995-03-14	PRIJEM	VKLAD	19289	31501	\N	\N	\N
1134112	3876	1997-03-14	PRIJEM	VKLAD	18279	29105	\N	\N	\N
1134113	3876	1997-05-25	PRIJEM	VKLAD	26164	64146	\N	\N	\N
1134114	3876	1997-07-26	PRIJEM	VKLAD	19971	136914	\N	\N	\N
1134115	3876	1997-03-01	PRIJEM	VKLAD	12319	22882	\N	\N	\N
1134116	3876	1997-05-31	PRIJEM	VKLAD	38737	72183	\N	\N	\N
1134117	3876	1997-03-30	PRIJEM	VKLAD	31563	58680	\N	\N	\N
1134118	3876	1997-06-07	PRIJEM	VKLAD	35031	106227	\N	\N	\N
1134119	3876	1997-01-20	PRIJEM	VKLAD	26088	31993	\N	\N	\N
1134120	3876	1997-06-30	PRIJEM	VKLAD	11711	70270	\N	\N	\N
1134121	3876	1997-07-26	PRIJEM	VKLAD	49753	116943	\N	\N	\N
1134122	3876	1997-06-24	PRIJEM	VKLAD	31621	131271	\N	\N	\N
1134123	3876	1997-10-05	PRIJEM	VKLAD	21283	47892	\N	\N	\N
1134124	3876	1997-05-02	PRIJEM	VKLAD	21420	71876	\N	\N	\N
1134125	3876	1997-05-01	PRIJEM	VKLAD	28726	50456	\N	\N	\N
1134126	3876	1997-06-02	PRIJEM	VKLAD	36658	109052	\N	\N	\N
1134128	3876	1997-01-28	PRIJEM	VKLAD	43103	65496	\N	\N	\N
1134129	3876	1997-11-24	PRIJEM	VKLAD	15612	60005	\N	\N	\N
1134130	3876	1997-06-20	PRIJEM	VKLAD	24323	130550	\N	\N	\N
1134131	3876	1997-08-31	PRIJEM	VKLAD	45335	67434	\N	\N	\N
1134132	3876	1997-08-22	PRIJEM	VKLAD	10511	45899	\N	\N	\N
1134133	3876	1997-07-06	PRIJEM	VKLAD	44184	81304	\N	\N	\N
1134134	3876	1997-11-11	PRIJEM	VKLAD	28564	44393	\N	\N	\N
1134135	3876	1997-12-26	PRIJEM	VKLAD	12360	30158	\N	\N	\N
1134136	3876	1997-03-17	PRIJEM	VKLAD	18412	47517	\N	\N	\N
1134137	3876	1997-10-25	PRIJEM	VKLAD	22354	58190	\N	\N	\N
1134138	3876	1998-04-09	PRIJEM	VKLAD	21337	41199	\N	\N	\N
1134139	3876	1998-07-22	PRIJEM	VKLAD	21537	65167	\N	\N	\N
1134140	3876	1998-06-09	PRIJEM	VKLAD	37714	120979	\N	\N	\N
1134141	3876	1998-06-23	PRIJEM	VKLAD	20238	66466	\N	\N	\N
1134142	3876	1998-05-30	PRIJEM	VKLAD	37827	69765	\N	\N	\N
1134143	3876	1998-08-30	PRIJEM	VKLAD	37449	55116	\N	\N	\N
1134144	3876	1998-11-19	PRIJEM	VKLAD	23470	35467	\N	\N	\N
1134145	3876	1998-12-24	PRIJEM	VKLAD	49936	65736	\N	\N	\N
1134146	3876	1998-03-28	PRIJEM	VKLAD	16167	31801	\N	\N	\N
1134147	3876	1998-06-15	PRIJEM	VKLAD	32049	124428	\N	\N	\N
1134148	3876	1998-04-17	PRIJEM	VKLAD	15692	56891	\N	\N	\N
1134149	3876	1998-02-26	PRIJEM	VKLAD	32361	34937	\N	\N	\N
1134150	3876	1998-05-07	PRIJEM	VKLAD	14828	29079	\N	\N	\N
1134151	3876	1998-05-09	PRIJEM	VKLAD	36559	65638	\N	\N	\N
1134152	3876	1998-06-05	PRIJEM	VKLAD	25388	95321	\N	\N	\N
1134153	3876	1998-11-22	PRIJEM	VKLAD	21586	43153	\N	\N	\N
1134154	3876	1998-10-19	PRIJEM	VKLAD	25480	39165	\N	\N	\N
1134159	3876	1994-05-05	VYDAJ	PREVOD NA UCET	12056	28075	SIPO	UV	60230421
1134160	3876	1994-06-05	VYDAJ	PREVOD NA UCET	12056	49388	SIPO	UV	60230421
1134161	3876	1994-07-05	VYDAJ	PREVOD NA UCET	12056	48618	SIPO	UV	60230421
1134162	3876	1994-08-05	VYDAJ	PREVOD NA UCET	12056	80509	SIPO	UV	60230421
1134163	3876	1994-09-05	VYDAJ	PREVOD NA UCET	12056	33578	SIPO	UV	60230421
1134164	3876	1994-10-05	VYDAJ	PREVOD NA UCET	12056	83244	SIPO	UV	60230421
1134165	3876	1994-11-05	VYDAJ	PREVOD NA UCET	12056	63427	SIPO	UV	60230421
1134166	3876	1994-12-05	VYDAJ	PREVOD NA UCET	12056	49451	SIPO	UV	60230421
1134167	3876	1995-01-05	VYDAJ	PREVOD NA UCET	12056	13724	SIPO	UV	60230421
1134168	3876	1995-02-05	VYDAJ	PREVOD NA UCET	12056	3625	SIPO	UV	60230421
1134169	3876	1995-03-05	VYDAJ	PREVOD NA UCET	12056	912	SIPO	UV	60230421
1134170	3876	1995-04-05	VYDAJ	PREVOD NA UCET	12056	11422	SIPO	UV	60230421
1134171	3876	1995-05-05	VYDAJ	PREVOD NA UCET	12056	1118	SIPO	UV	60230421
1134176	3876	1995-10-05	VYDAJ	PREVOD NA UCET	12056	45743	SIPO	UV	60230421
1134177	3876	1995-11-05	VYDAJ	PREVOD NA UCET	12056	17209	SIPO	UV	60230421
1134178	3876	1995-12-05	VYDAJ	PREVOD NA UCET	12056	5257	SIPO	UV	60230421
1134179	3876	1996-01-05	VYDAJ	PREVOD NA UCET	12056	5785	SIPO	UV	60230421
1134192	3876	1997-02-05	VYDAJ	PREVOD NA UCET	12056	10487	SIPO	UV	60230421
1134193	3876	1997-03-05	VYDAJ	PREVOD NA UCET	12056	10826	SIPO	UV	60230421
1134194	3876	1997-04-05	VYDAJ	PREVOD NA UCET	12056	37783	SIPO	UV	60230421
1134195	3876	1997-05-05	VYDAJ	PREVOD NA UCET	12056	59820	SIPO	UV	60230421
1134196	3876	1997-06-05	VYDAJ	PREVOD NA UCET	12056	71196	SIPO	UV	60230421
1134197	3876	1997-07-05	VYDAJ	PREVOD NA UCET	12056	37120	SIPO	UV	60230421
1134198	3876	1997-08-05	VYDAJ	PREVOD NA UCET	12056	20236	SIPO	UV	60230421
1134199	3876	1997-09-05	VYDAJ	PREVOD NA UCET	12056	55502	SIPO	UV	60230421
1134200	3876	1997-10-05	VYDAJ	PREVOD NA UCET	12056	35836	SIPO	UV	60230421
1134201	3876	1997-11-05	VYDAJ	PREVOD NA UCET	12056	15829	SIPO	UV	60230421
1134202	3876	1997-12-05	VYDAJ	PREVOD NA UCET	12056	17798	SIPO	UV	60230421
1134203	3876	1998-01-05	VYDAJ	PREVOD NA UCET	12056	14579	SIPO	UV	60230421
1134204	3876	1998-02-05	VYDAJ	PREVOD NA UCET	12056	2576	SIPO	UV	60230421
1134205	3876	1998-03-05	VYDAJ	PREVOD NA UCET	12056	22934	SIPO	UV	60230421
1134206	3876	1998-04-05	VYDAJ	PREVOD NA UCET	12056	19862	SIPO	UV	60230421
1134207	3876	1998-05-05	VYDAJ	PREVOD NA UCET	12056	14251	SIPO	UV	60230421
1134208	3876	1998-06-05	VYDAJ	PREVOD NA UCET	12056	83265	SIPO	UV	60230421
1134209	3876	1998-07-05	VYDAJ	PREVOD NA UCET	12056	43630	SIPO	UV	60230421
1134210	3876	1998-08-05	VYDAJ	PREVOD NA UCET	12056	17667	SIPO	UV	60230421
1134211	3876	1998-09-05	VYDAJ	PREVOD NA UCET	12056	43173	SIPO	UV	60230421
1134212	3876	1998-10-05	VYDAJ	PREVOD NA UCET	12056	13685	SIPO	UV	60230421
1134213	3876	1998-11-05	VYDAJ	PREVOD NA UCET	12056	11997	SIPO	UV	60230421
1134214	3876	1998-12-05	VYDAJ	PREVOD NA UCET	12056	25800	SIPO	UV	60230421
1134225	3876	1997-07-06	VYBER	VYBER	14114	67190	\N	\N	\N
1134226	3876	1997-11-02	VYBER	VYBER	2250	27885	\N	\N	\N
1134227	3876	1997-04-03	VYBER	VYBER	8952	49839	\N	\N	\N
1134228	3876	1997-07-02	VYBER	VYBER	21080	49176	\N	\N	\N
1134231	3876	1997-01-29	VYBER	VYBER	15393	22503	\N	\N	\N
1134232	3876	1997-05-20	VYBER	VYBER	21838	37982	\N	\N	\N
1134235	3876	1998-04-23	VYBER	VYBER	9138	43468	\N	\N	\N
1134236	3876	1998-04-21	VYBER	VYBER	4285	52606	\N	\N	\N
1134237	3876	1998-07-31	VYBER	VYBER	5867	29737	\N	\N	\N
1134242	3876	1998-12-01	VYBER	VYBER	5409	37856	\N	\N	\N
1134247	3876	1997-06-02	VYDAJ	VYBER	25800	83252	\N	\N	\N
1134248	3876	1998-06-24	VYDAJ	VYBER	11100	55366	\N	\N	\N
1134254	3876	1994-12-14	VYDAJ	VYBER	5400	29251	\N	\N	\N
1134257	3876	1997-12-02	VYDAJ	VYBER	6600	29854	\N	\N	\N
1134258	3876	1998-12-16	VYDAJ	VYBER	1500	24300	\N	\N	\N
1134269	3876	1995-01-02	VYDAJ	VYBER	3600	25780	\N	\N	\N
1134280	3876	1997-01-20	VYDAJ	VYBER	2400	29593	\N	\N	\N
1134283	3876	1998-01-05	VYDAJ	VYBER	1800	26635	\N	\N	\N
1134285	3876	1998-01-01	VYDAJ	VYBER	1800	28435	\N	\N	\N
1134289	3876	1994-11-16	VYDAJ	VYBER	11100	29527	\N	\N	\N
1134290	3876	1994-08-19	VYDAJ	VYBER	13500	45361	\N	\N	\N
1134292	3876	1994-07-22	VYDAJ	VYBER	5700	92272	\N	\N	\N
1134293	3876	1994-05-30	VYDAJ	VYBER	1500	24775	\N	\N	\N
1134294	3876	1994-06-11	VYDAJ	VYBER	3300	91956	\N	\N	\N
1134297	3876	1995-12-18	VYDAJ	VYBER	11700	20763	\N	\N	\N
1134300	3876	1995-03-26	VYDAJ	VYBER	8100	23401	\N	\N	\N
1134306	3876	1997-09-15	VYDAJ	VYBER	5100	50402	\N	\N	\N
1134309	3876	1997-01-22	VYDAJ	VYBER	7200	22393	\N	\N	\N
1134311	3876	1998-05-14	VYDAJ	VYBER	13500	52138	\N	\N	\N
1134319	3876	1994-04-30	VYDAJ	VYBER	15	79265	SLUZBY	\N	\N
1134320	3876	1994-05-31	VYDAJ	VYBER	15	24879	SLUZBY	\N	\N
1134321	3876	1994-06-30	VYDAJ	VYBER	15	60674	SLUZBY	\N	\N
1134322	3876	1994-07-31	VYDAJ	VYBER	15	92565	SLUZBY	\N	\N
1134323	3876	1994-08-31	VYDAJ	VYBER	15	45634	SLUZBY	\N	\N
1134324	3876	1994-09-30	VYDAJ	VYBER	15	95300	SLUZBY	\N	\N
1134325	3876	1994-10-31	VYDAJ	VYBER	15	75483	SLUZBY	\N	\N
1134326	3876	1994-11-30	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
1134327	3876	1994-12-31	VYDAJ	VYBER	15	29380	SLUZBY	\N	\N
1134328	3876	1995-01-31	VYDAJ	VYBER	15	15681	SLUZBY	\N	\N
1134329	3876	1995-02-28	VYDAJ	VYBER	15	12968	SLUZBY	\N	\N
1134330	3876	1995-03-31	VYDAJ	VYBER	15	23478	SLUZBY	\N	\N
1134331	3876	1995-04-30	VYDAJ	VYBER	15	13174	SLUZBY	\N	\N
1134332	3876	1995-05-31	VYDAJ	VYBER	15	1156	SLUZBY	\N	\N
1134333	3876	1995-06-30	VYDAJ	VYBER	15	1146	SLUZBY	\N	\N
1134334	3876	1995-07-31	VYDAJ	VYBER	15	1137	SLUZBY	\N	\N
1134335	3876	1995-08-31	VYDAJ	VYBER	15	8143	SLUZBY	\N	\N
1134336	3876	1995-09-30	VYDAJ	VYBER	15	57799	SLUZBY	\N	\N
1134337	3876	1995-10-31	VYDAJ	VYBER	15	28165	SLUZBY	\N	\N
1134338	3876	1995-11-30	VYDAJ	VYBER	15	17313	SLUZBY	\N	\N
1134339	3876	1995-12-31	VYDAJ	VYBER	15	20841	SLUZBY	\N	\N
1134340	3876	1996-01-31	VYDAJ	VYBER	15	5802	SLUZBY	\N	\N
1134341	3876	1996-02-29	VYDAJ	VYBER	15	5811	SLUZBY	\N	\N
1134342	3876	1996-03-31	VYDAJ	VYBER	15	5797	SLUZBY	\N	\N
1134343	3876	1996-04-30	VYDAJ	VYBER	15	5830	SLUZBY	\N	\N
1134344	3876	1996-05-31	VYDAJ	VYBER	15	5816	SLUZBY	\N	\N
1134345	3876	1996-06-30	VYDAJ	VYBER	15	5849	SLUZBY	\N	\N
1134346	3876	1996-07-31	VYDAJ	VYBER	15	5858	SLUZBY	\N	\N
1134347	3876	1996-08-31	VYDAJ	VYBER	15	5844	SLUZBY	\N	\N
1134348	3876	1996-09-30	VYDAJ	VYBER	15	5877	SLUZBY	\N	\N
1134349	3876	1996-10-31	VYDAJ	VYBER	15	5863	SLUZBY	\N	\N
1134350	3876	1996-11-30	VYDAJ	VYBER	15	5896	SLUZBY	\N	\N
1134351	3876	1996-12-31	VYDAJ	VYBER	15	5905	SLUZBY	\N	\N
1134352	3876	1997-01-31	VYDAJ	VYBER	15	22543	SLUZBY	\N	\N
1134353	3876	1997-02-28	VYDAJ	VYBER	15	10563	SLUZBY	\N	\N
1134354	3876	1997-03-31	VYDAJ	VYBER	15	58791	SLUZBY	\N	\N
1134355	3876	1997-04-30	VYDAJ	VYBER	15	21730	SLUZBY	\N	\N
1134356	3876	1997-05-31	VYDAJ	VYBER	15	72394	SLUZBY	\N	\N
1134357	3876	1997-06-30	VYDAJ	VYBER	15	70256	SLUZBY	\N	\N
1134358	3876	1997-07-31	VYDAJ	VYBER	15	32292	SLUZBY	\N	\N
1134359	3876	1997-08-31	VYDAJ	VYBER	15	67558	SLUZBY	\N	\N
1134360	3876	1997-09-30	VYDAJ	VYBER	15	26609	SLUZBY	\N	\N
1134361	3876	1997-10-31	VYDAJ	VYBER	15	30135	SLUZBY	\N	\N
1134362	3876	1997-11-30	VYDAJ	VYBER	15	36454	SLUZBY	\N	\N
1134363	3876	1997-12-31	VYDAJ	VYBER	15	30235	SLUZBY	\N	\N
1134364	3876	1998-01-31	VYDAJ	VYBER	15	14632	SLUZBY	\N	\N
1134365	3876	1998-02-28	VYDAJ	VYBER	15	34990	SLUZBY	\N	\N
1134366	3876	1998-03-31	VYDAJ	VYBER	15	31918	SLUZBY	\N	\N
1134367	3876	1998-04-30	VYDAJ	VYBER	15	26307	SLUZBY	\N	\N
1134368	3876	1998-05-31	VYDAJ	VYBER	15	69933	SLUZBY	\N	\N
1134369	3876	1998-06-30	VYDAJ	VYBER	15	55686	SLUZBY	\N	\N
1134370	3876	1998-07-31	VYDAJ	VYBER	15	29723	SLUZBY	\N	\N
1134371	3876	1998-08-31	VYDAJ	VYBER	15	55229	SLUZBY	\N	\N
1134372	3876	1998-09-30	VYDAJ	VYBER	15	25741	SLUZBY	\N	\N
1134373	3876	1998-10-31	VYDAJ	VYBER	15	24053	SLUZBY	\N	\N
1134374	3876	1998-11-30	VYDAJ	VYBER	15	43265	SLUZBY	\N	\N
1134375	3876	1994-03-15	VYDAJ	VYBER	14300	38913	\N	\N	\N
1134376	3876	1994-04-14	VYDAJ	VYBER	14200	41720	\N	\N	\N
1134377	3876	1994-05-01	VYDAJ	VYBER	64000	40131	\N	\N	\N
1134378	3876	1994-05-14	VYDAJ	VYBER	1800	26275	\N	\N	\N
1134379	3876	1994-06-13	VYDAJ	VYBER	31500	60456	\N	\N	\N
1134380	3876	1994-07-13	VYDAJ	VYBER	11100	37518	\N	\N	\N
1134381	3876	1994-08-12	VYDAJ	VYBER	26300	54209	\N	\N	\N
1134382	3876	1994-08-16	VYDAJ	VYBER	45200	58861	\N	\N	\N
1134383	3876	1994-09-11	VYDAJ	VYBER	4000	29578	\N	\N	\N
1134384	3876	1994-10-11	VYDAJ	VYBER	30800	52444	\N	\N	\N
1134385	3876	1994-10-21	VYDAJ	VYBER	39400	75183	\N	\N	\N
1134386	3876	1994-11-10	VYDAJ	VYBER	22800	40627	\N	\N	\N
1134387	3876	1994-12-10	VYDAJ	VYBER	14800	34651	\N	\N	\N
1134388	3876	1995-01-09	PRIJEM	VKLAD	1900	15624	\N	\N	\N
1134389	3876	1995-02-08	PRIJEM	VKLAD	9300	12925	\N	\N	\N
1134390	3876	1995-03-10	PRIJEM	VKLAD	11300	12212	\N	\N	\N
1134391	3876	1995-04-09	PRIJEM	VKLAD	1700	13122	\N	\N	\N
1134392	3876	1995-10-06	VYDAJ	VYBER	17700	28043	\N	\N	\N
1134393	3876	1995-11-05	PRIJEM	VKLAD	1100	29265	\N	\N	\N
1134394	3876	1996-01-04	VYDAJ	VYBER	3000	17841	\N	\N	\N
1134395	3876	1997-01-28	VYDAJ	VYBER	27600	37896	\N	\N	\N
1134396	3876	1997-03-29	VYDAJ	VYBER	20400	27117	\N	\N	\N
1134397	3876	1997-04-28	VYDAJ	VYBER	16200	21583	\N	\N	\N
1134398	3876	1997-05-28	VYDAJ	VYBER	30700	33446	\N	\N	\N
1134399	3876	1997-06-20	VYDAJ	VYBER	30900	99650	\N	\N	\N
1134400	3876	1997-06-24	VYDAJ	VYBER	25200	106071	\N	\N	\N
1134401	3876	1997-06-27	VYDAJ	VYBER	47900	58171	\N	\N	\N
1134402	3876	1997-07-26	VYDAJ	VYBER	18600	118314	\N	\N	\N
1134403	3876	1997-07-26	VYDAJ	VYBER	55700	62614	\N	\N	\N
1134404	3876	1997-07-27	VYDAJ	VYBER	30600	32014	\N	\N	\N
1134405	3876	1997-08-26	VYDAJ	VYBER	23800	22099	\N	\N	\N
1134406	3876	1997-09-25	VYDAJ	VYBER	24000	26402	\N	\N	\N
1134407	3876	1997-10-25	VYDAJ	VYBER	28200	29990	\N	\N	\N
1134408	3876	1997-11-24	VYDAJ	VYBER	23700	36305	\N	\N	\N
1134409	3876	1998-03-24	VYDAJ	VYBER	7300	15634	\N	\N	\N
1134410	3876	1998-04-23	VYDAJ	VYBER	17300	26168	\N	\N	\N
1134411	3876	1998-05-23	VYDAJ	VYBER	20200	31938	\N	\N	\N
1134412	3876	1998-06-09	VYDAJ	VYBER	28600	92379	\N	\N	\N
1134413	3876	1998-06-15	VYDAJ	VYBER	41000	83428	\N	\N	\N
1134414	3876	1998-06-22	VYDAJ	VYBER	37200	46228	\N	\N	\N
1134415	3876	1998-07-22	VYDAJ	VYBER	29800	35367	\N	\N	\N
1134416	3876	1998-09-20	VYDAJ	VYBER	17600	25573	\N	\N	\N
1134417	3876	1998-10-20	VYDAJ	VYBER	15200	23965	\N	\N	\N
1134418	3876	1998-11-19	VYDAJ	VYBER	13900	21567	\N	\N	\N
1134419	3876	1998-12-19	VYDAJ	VYBER	8500	15800	\N	\N	\N
1134481	3877	1996-10-22	PRIJEM	VKLAD	500	500	\N	\N	\N
1134492	3877	1996-11-12	PRIJEM	VKLAD	21280	21780	\N	\N	\N
1134493	3877	1996-12-12	PRIJEM	VKLAD	31920	53700	\N	\N	\N
1134494	3877	1997-01-12	PRIJEM	VKLAD	21280	60137	\N	\N	\N
1134495	3877	1997-02-12	PRIJEM	VKLAD	21280	66389	\N	\N	\N
1134496	3877	1997-03-12	PRIJEM	VKLAD	21280	69461	\N	\N	\N
1134497	3877	1997-04-12	PRIJEM	VKLAD	21280	69521	\N	\N	\N
1134498	3877	1997-05-12	PRIJEM	VKLAD	21280	61704	\N	\N	\N
1134499	3877	1997-06-12	PRIJEM	VKLAD	31920	74908	\N	\N	\N
1134500	3877	1997-07-12	PRIJEM	VKLAD	21280	48321	\N	\N	\N
1134501	3877	1997-08-12	PRIJEM	VKLAD	21280	61845	\N	\N	\N
1134502	3877	1997-09-12	PRIJEM	VKLAD	21280	64403	\N	\N	\N
1134503	3877	1997-10-12	PRIJEM	VKLAD	21280	66468	\N	\N	\N
1134504	3877	1997-11-12	PRIJEM	VKLAD	21280	70445	\N	\N	\N
1134505	3877	1997-12-12	PRIJEM	VKLAD	31920	80668	\N	\N	\N
1134506	3877	1998-01-12	PRIJEM	VKLAD	21280	77154	\N	\N	\N
1134507	3877	1998-02-12	PRIJEM	VKLAD	21280	67111	\N	\N	\N
1134508	3877	1998-03-12	PRIJEM	VKLAD	21280	68288	\N	\N	\N
1134509	3877	1998-04-12	PRIJEM	VKLAD	21280	75181	\N	\N	\N
1134510	3877	1998-05-12	PRIJEM	VKLAD	21280	81195	\N	\N	\N
1134511	3877	1998-06-12	PRIJEM	VKLAD	31920	94466	\N	\N	\N
1134512	3877	1998-07-12	PRIJEM	VKLAD	21280	71370	\N	\N	\N
1134513	3877	1998-08-12	PRIJEM	VKLAD	21280	76770	\N	\N	\N
1134514	3877	1998-09-12	PRIJEM	VKLAD	21280	70812	\N	\N	\N
1134515	3877	1998-10-12	PRIJEM	VKLAD	21280	81219	\N	\N	\N
1134516	3877	1998-11-12	PRIJEM	VKLAD	21280	78584	\N	\N	\N
1134517	3877	1998-12-12	PRIJEM	VKLAD	31920	91590	\N	\N	\N
1134533	3877	1997-04-09	VYDAJ	PREVOD NA UCET	3711	48241	SIPO	QR	32653641
1134534	3877	1997-05-09	VYDAJ	PREVOD NA UCET	3711	40424	SIPO	QR	32653641
1134535	3877	1997-06-09	VYDAJ	PREVOD NA UCET	3711	42988	SIPO	QR	32653641
1134536	3877	1997-07-09	VYDAJ	PREVOD NA UCET	3711	27041	SIPO	QR	32653641
1134537	3877	1997-08-09	VYDAJ	PREVOD NA UCET	3711	40565	SIPO	QR	32653641
1134538	3877	1997-09-09	VYDAJ	PREVOD NA UCET	3711	43123	SIPO	QR	32653641
1134539	3877	1997-10-09	VYDAJ	PREVOD NA UCET	3711	45188	SIPO	QR	32653641
1134540	3877	1997-11-09	VYDAJ	PREVOD NA UCET	3711	49165	SIPO	QR	32653641
1134541	3877	1997-12-09	VYDAJ	PREVOD NA UCET	3711	48748	SIPO	QR	32653641
1134542	3877	1998-01-09	VYDAJ	PREVOD NA UCET	3711	57194	SIPO	QR	32653641
1134543	3877	1998-02-09	VYDAJ	PREVOD NA UCET	3711	45831	SIPO	QR	32653641
1134544	3877	1998-03-09	VYDAJ	PREVOD NA UCET	3711	47008	SIPO	QR	32653641
1134545	3877	1998-04-09	VYDAJ	PREVOD NA UCET	3711	53901	SIPO	QR	32653641
1134546	3877	1998-05-09	VYDAJ	PREVOD NA UCET	3711	59915	SIPO	QR	32653641
1134547	3877	1998-06-09	VYDAJ	PREVOD NA UCET	3711	62546	SIPO	QR	32653641
1134548	3877	1998-07-09	VYDAJ	PREVOD NA UCET	3711	50090	SIPO	QR	32653641
1134549	3877	1998-08-09	VYDAJ	PREVOD NA UCET	3711	55490	SIPO	QR	32653641
1134550	3877	1998-09-09	VYDAJ	PREVOD NA UCET	3711	49532	SIPO	QR	32653641
1134551	3877	1998-10-09	VYDAJ	PREVOD NA UCET	3711	59939	SIPO	QR	32653641
1134552	3877	1998-11-09	VYDAJ	PREVOD NA UCET	3711	66004	SIPO	QR	32653641
1134553	3877	1998-12-09	VYDAJ	PREVOD NA UCET	3711	75170	SIPO	QR	32653641
1134555	3877	1997-06-14	VYDAJ	VYBER	32160	42748	\N	\N	\N
1134556	3877	1998-06-20	VYDAJ	VYBER	18720	53546	\N	\N	\N
1134569	3877	1998-01-18	VYDAJ	VYBER	1560	54594	\N	\N	\N
1134570	3877	1998-01-11	VYDAJ	VYBER	1320	55874	\N	\N	\N
1134571	3877	1998-01-30	VYDAJ	VYBER	1920	49314	\N	\N	\N
1134572	3877	1998-01-27	VYDAJ	VYBER	3360	51234	\N	\N	\N
1134573	3877	1998-01-14	VYDAJ	VYBER	1320	74754	\N	\N	\N
1134574	3877	1998-01-12	VYDAJ	VYBER	1080	76074	\N	\N	\N
1134580	3877	1997-07-07	VYDAJ	VYBER	3240	30752	\N	\N	\N
1134581	3877	1997-06-20	VYDAJ	VYBER	3120	33828	\N	\N	\N
1134582	3877	1997-05-07	VYDAJ	VYBER	3600	44135	\N	\N	\N
1134583	3877	1998-03-09	VYDAJ	VYBER	4200	50719	\N	\N	\N
1134584	3877	1998-09-05	VYDAJ	VYBER	5760	53243	\N	\N	\N
1134585	3877	1998-07-31	VYDAJ	VYBER KARTOU	2200	59216	\N	\N	0
1134601	3877	1997-03-31	VYDAJ	VYBER	15	51952	SLUZBY	\N	\N
1134602	3877	1997-04-30	VYDAJ	VYBER	15	47735	SLUZBY	\N	\N
1134603	3877	1997-05-31	VYDAJ	VYBER	15	46699	SLUZBY	\N	\N
1134604	3877	1997-06-30	VYDAJ	VYBER	15	33992	SLUZBY	\N	\N
1134605	3877	1997-07-31	VYDAJ	VYBER	15	44276	SLUZBY	\N	\N
1134606	3877	1997-08-31	VYDAJ	VYBER	15	46834	SLUZBY	\N	\N
1134607	3877	1997-09-30	VYDAJ	VYBER	15	48899	SLUZBY	\N	\N
1134608	3877	1997-10-31	VYDAJ	VYBER	15	52876	SLUZBY	\N	\N
1134609	3877	1997-11-30	VYDAJ	VYBER	15	52459	SLUZBY	\N	\N
1134610	3877	1997-12-31	VYDAJ	VYBER	15	60905	SLUZBY	\N	\N
1134611	3877	1998-01-31	VYDAJ	VYBER	15	49542	SLUZBY	\N	\N
1134612	3877	1998-02-28	VYDAJ	VYBER	15	54919	SLUZBY	\N	\N
1134613	3877	1998-03-31	VYDAJ	VYBER	15	57612	SLUZBY	\N	\N
1134614	3877	1998-04-30	VYDAJ	VYBER	15	63626	SLUZBY	\N	\N
1134615	3877	1998-05-31	VYDAJ	VYBER	15	66257	SLUZBY	\N	\N
1134616	3877	1998-06-30	VYDAJ	VYBER	15	53801	SLUZBY	\N	\N
1134617	3877	1998-07-31	VYDAJ	VYBER	15	59201	SLUZBY	\N	\N
1134618	3877	1998-08-31	VYDAJ	VYBER	15	59003	SLUZBY	\N	\N
1134619	3877	1998-09-30	VYDAJ	VYBER	15	63650	SLUZBY	\N	\N
1134620	3877	1998-10-31	VYDAJ	VYBER	15	69715	SLUZBY	\N	\N
1134621	3877	1998-11-30	VYDAJ	VYBER	15	78881	SLUZBY	\N	\N
1134622	3877	1996-12-21	VYDAJ	VYBER	14900	38800	\N	\N	\N
1134623	3877	1997-01-20	VYDAJ	VYBER	15200	44937	\N	\N	\N
1134624	3877	1997-02-19	VYDAJ	VYBER	18400	47989	\N	\N	\N
1134625	3877	1997-03-21	VYDAJ	VYBER	17700	51761	\N	\N	\N
1134626	3877	1997-04-20	VYDAJ	VYBER	22000	47521	\N	\N	\N
1134627	3877	1997-05-20	VYDAJ	VYBER	15200	46504	\N	\N	\N
1134628	3877	1997-06-19	VYDAJ	VYBER	5800	36948	\N	\N	\N
1134629	3877	1997-07-19	VYDAJ	VYBER	4200	44121	\N	\N	\N
1134630	3877	1997-08-18	VYDAJ	VYBER	15200	46645	\N	\N	\N
1134631	3877	1997-09-17	VYDAJ	VYBER	15700	48703	\N	\N	\N
1134632	3877	1997-10-17	VYDAJ	VYBER	13800	52668	\N	\N	\N
1134633	3877	1997-11-16	VYDAJ	VYBER	18200	52245	\N	\N	\N
1134634	3877	1997-12-16	VYDAJ	VYBER	20000	60668	\N	\N	\N
1134635	3877	1998-01-15	VYDAJ	VYBER	18600	56154	\N	\N	\N
1134636	3877	1998-02-14	VYDAJ	VYBER	12400	54711	\N	\N	\N
1134637	3877	1998-03-16	VYDAJ	VYBER	10900	57388	\N	\N	\N
1134638	3877	1998-04-15	VYDAJ	VYBER	11800	63381	\N	\N	\N
1134639	3877	1998-05-15	VYDAJ	VYBER	15200	65995	\N	\N	\N
1134640	3877	1998-06-14	VYDAJ	VYBER	22200	72266	\N	\N	\N
1134641	3877	1998-07-14	VYDAJ	VYBER	10200	61170	\N	\N	\N
1134642	3877	1998-08-13	VYDAJ	VYBER	18000	58770	\N	\N	\N
1134643	3877	1998-09-12	VYDAJ	VYBER	7400	63412	\N	\N	\N
1134644	3877	1998-10-12	VYDAJ	VYBER	11800	69419	\N	\N	\N
1134645	3877	1998-11-11	VYDAJ	VYBER	8700	57304	\N	\N	\N
1134646	3877	1998-12-11	VYDAJ	VYBER	15500	59670	\N	\N	\N
1134672	3878	1994-10-07	PRIJEM	VKLAD	500	500	\N	\N	\N
1134683	3878	1994-11-06	PRIJEM	PREVOD Z UCTU	2902	11802	\N	OP	4666555
1134684	3878	1994-12-06	PRIJEM	PREVOD Z UCTU	2902	21445	\N	OP	4666555
1134685	3878	1995-01-06	PRIJEM	PREVOD Z UCTU	2902	26220	\N	OP	4666555
1134686	3878	1995-02-06	PRIJEM	PREVOD Z UCTU	2902	28026	\N	OP	4666555
1134687	3878	1995-03-06	PRIJEM	PREVOD Z UCTU	2902	31043	\N	OP	4666555
1134688	3878	1995-04-06	PRIJEM	PREVOD Z UCTU	2902	23489	\N	OP	4666555
1134689	3878	1995-05-06	PRIJEM	PREVOD Z UCTU	2902	26134	\N	OP	4666555
1134690	3878	1995-06-06	PRIJEM	PREVOD Z UCTU	2902	27596	\N	OP	4666555
1134691	3878	1995-07-06	PRIJEM	PREVOD Z UCTU	2902	25514	\N	OP	4666555
1134692	3878	1995-08-06	PRIJEM	PREVOD Z UCTU	2902	25623	\N	OP	4666555
1134693	3878	1995-09-06	PRIJEM	PREVOD Z UCTU	2902	26176	\N	OP	4666555
1134694	3878	1995-10-06	PRIJEM	PREVOD Z UCTU	2902	28419	\N	OP	4666555
1134695	3878	1995-11-06	PRIJEM	PREVOD Z UCTU	2902	25481	\N	OP	4666555
1134696	3878	1995-12-06	PRIJEM	PREVOD Z UCTU	2902	25513	\N	OP	4666555
1134697	3878	1996-01-06	PRIJEM	PREVOD Z UCTU	2902	21243	\N	OP	4666555
1134698	3878	1996-02-06	PRIJEM	PREVOD Z UCTU	2902	22279	\N	OP	4666555
1134699	3878	1996-03-06	PRIJEM	PREVOD Z UCTU	2902	20313	\N	OP	4666555
1134700	3878	1996-04-06	PRIJEM	PREVOD Z UCTU	2902	22943	\N	OP	4666555
1134701	3878	1996-05-06	PRIJEM	PREVOD Z UCTU	2902	21783	\N	OP	4666555
1134702	3878	1996-06-06	PRIJEM	PREVOD Z UCTU	2902	21718	\N	OP	4666555
1134703	3878	1996-07-06	PRIJEM	PREVOD Z UCTU	2902	17251	\N	OP	4666555
1134704	3878	1996-08-06	PRIJEM	PREVOD Z UCTU	2902	18069	\N	OP	4666555
1134705	3878	1996-09-06	PRIJEM	PREVOD Z UCTU	2902	16887	\N	OP	4666555
1134706	3878	1996-10-06	PRIJEM	PREVOD Z UCTU	2902	16422	\N	OP	4666555
1134707	3878	1996-11-06	PRIJEM	PREVOD Z UCTU	2902	17694	\N	OP	4666555
1134708	3878	1996-12-06	PRIJEM	PREVOD Z UCTU	2902	20214	\N	OP	4666555
1134709	3878	1997-01-06	PRIJEM	PREVOD Z UCTU	2902	18560	\N	OP	4666555
1134710	3878	1997-02-06	PRIJEM	PREVOD Z UCTU	2902	15547	\N	OP	4666555
1134711	3878	1997-03-06	PRIJEM	PREVOD Z UCTU	2902	14955	\N	OP	4666555
1134712	3878	1997-04-06	PRIJEM	PREVOD Z UCTU	2902	18464	\N	OP	4666555
1134713	3878	1997-05-06	PRIJEM	PREVOD Z UCTU	2902	19185	\N	OP	4666555
1134714	3878	1997-06-06	PRIJEM	PREVOD Z UCTU	2902	18508	\N	OP	4666555
1134715	3878	1997-07-06	PRIJEM	PREVOD Z UCTU	2902	18147	\N	OP	4666555
1134716	3878	1997-08-06	PRIJEM	PREVOD Z UCTU	2902	16764	\N	OP	4666555
1134717	3878	1997-09-06	PRIJEM	PREVOD Z UCTU	2902	20081	\N	OP	4666555
1134718	3878	1997-10-06	PRIJEM	PREVOD Z UCTU	2902	18026	\N	OP	4666555
1134719	3878	1997-11-06	PRIJEM	PREVOD Z UCTU	2902	18746	\N	OP	4666555
1134720	3878	1997-12-06	PRIJEM	PREVOD Z UCTU	2902	20580	\N	OP	4666555
1134721	3878	1998-01-06	PRIJEM	PREVOD Z UCTU	2902	24265	\N	OP	4666555
1134722	3878	1998-02-06	PRIJEM	PREVOD Z UCTU	2902	27535	\N	OP	4666555
1134723	3878	1998-03-06	PRIJEM	PREVOD Z UCTU	2902	29535	\N	OP	4666555
1134724	3878	1998-04-06	PRIJEM	PREVOD Z UCTU	2902	30102	\N	OP	4666555
1134725	3878	1998-05-06	PRIJEM	PREVOD Z UCTU	2902	34176	\N	OP	4666555
1134726	3878	1998-06-06	PRIJEM	PREVOD Z UCTU	2902	33660	\N	OP	4666555
1134727	3878	1998-07-06	PRIJEM	PREVOD Z UCTU	2902	28578	\N	OP	4666555
1134728	3878	1998-08-06	PRIJEM	PREVOD Z UCTU	2902	29820	\N	OP	4666555
1134729	3878	1998-09-06	PRIJEM	PREVOD Z UCTU	2902	32391	\N	OP	4666555
1134730	3878	1998-10-06	PRIJEM	PREVOD Z UCTU	2902	28208	\N	OP	4666555
1134731	3878	1998-11-06	PRIJEM	PREVOD Z UCTU	2902	31735	\N	OP	4666555
1134732	3878	1998-12-06	PRIJEM	PREVOD Z UCTU	2902	27921	\N	OP	4666555
1134747	3878	1995-03-13	VYDAJ	PREVOD NA UCET	216	23809	SIPO	OP	23655247
1134748	3878	1995-04-13	VYDAJ	PREVOD NA UCET	216	21555	SIPO	OP	23655247
1134749	3878	1995-05-13	VYDAJ	PREVOD NA UCET	216	24200	SIPO	OP	23655247
1134750	3878	1995-06-13	VYDAJ	PREVOD NA UCET	216	25662	SIPO	OP	23655247
1134751	3878	1995-07-13	VYDAJ	PREVOD NA UCET	216	23580	SIPO	OP	23655247
1134752	3878	1995-08-13	VYDAJ	PREVOD NA UCET	216	23689	SIPO	OP	23655247
1134753	3878	1995-09-13	VYDAJ	PREVOD NA UCET	216	24242	SIPO	OP	23655247
1134754	3878	1995-10-13	VYDAJ	PREVOD NA UCET	216	26485	SIPO	OP	23655247
1134755	3878	1995-11-13	VYDAJ	PREVOD NA UCET	216	22617	SIPO	OP	23655247
1134756	3878	1995-12-13	VYDAJ	PREVOD NA UCET	216	23309	SIPO	OP	23655247
1134757	3878	1996-01-13	VYDAJ	PREVOD NA UCET	216	19309	SIPO	OP	23655247
1134758	3878	1996-02-13	VYDAJ	PREVOD NA UCET	216	20345	SIPO	OP	23655247
1134759	3878	1996-03-13	VYDAJ	PREVOD NA UCET	216	18379	SIPO	OP	23655247
1134760	3878	1996-04-13	VYDAJ	PREVOD NA UCET	216	21009	SIPO	OP	23655247
1134761	3878	1996-05-13	VYDAJ	PREVOD NA UCET	216	19849	SIPO	OP	23655247
1134762	3878	1996-06-13	VYDAJ	PREVOD NA UCET	216	15584	SIPO	OP	23655247
1134763	3878	1996-07-13	VYDAJ	PREVOD NA UCET	216	15317	SIPO	OP	23655247
1134764	3878	1996-08-13	VYDAJ	PREVOD NA UCET	216	16135	SIPO	OP	23655247
1134765	3878	1996-09-13	VYDAJ	PREVOD NA UCET	216	14953	SIPO	OP	23655247
1134766	3878	1996-10-13	VYDAJ	PREVOD NA UCET	216	14488	SIPO	OP	23655247
1134767	3878	1996-11-13	VYDAJ	PREVOD NA UCET	216	15760	SIPO	OP	23655247
1134768	3878	1996-12-13	VYDAJ	PREVOD NA UCET	216	17800	SIPO	OP	23655247
1134769	3878	1997-01-13	VYDAJ	PREVOD NA UCET	216	16626	SIPO	OP	23655247
1134770	3878	1997-02-13	VYDAJ	PREVOD NA UCET	216	13613	SIPO	OP	23655247
1134771	3878	1997-03-13	VYDAJ	PREVOD NA UCET	216	13021	SIPO	OP	23655247
1134772	3878	1997-04-13	VYDAJ	PREVOD NA UCET	216	16530	SIPO	OP	23655247
1134773	3878	1997-05-13	VYDAJ	PREVOD NA UCET	216	17251	SIPO	OP	23655247
1134774	3878	1997-06-13	VYDAJ	PREVOD NA UCET	216	16574	SIPO	OP	23655247
1134775	3878	1997-07-13	VYDAJ	PREVOD NA UCET	216	16213	SIPO	OP	23655247
1134776	3878	1997-08-13	VYDAJ	PREVOD NA UCET	216	14830	SIPO	OP	23655247
1134777	3878	1997-09-13	VYDAJ	PREVOD NA UCET	216	18147	SIPO	OP	23655247
1134778	3878	1997-10-13	VYDAJ	PREVOD NA UCET	216	16092	SIPO	OP	23655247
1134779	3878	1997-11-13	VYDAJ	PREVOD NA UCET	216	16812	SIPO	OP	23655247
1134780	3878	1997-12-13	VYDAJ	PREVOD NA UCET	216	18436	SIPO	OP	23655247
1134781	3878	1998-01-13	VYDAJ	PREVOD NA UCET	216	22331	SIPO	OP	23655247
1134782	3878	1998-02-13	VYDAJ	PREVOD NA UCET	216	25601	SIPO	OP	23655247
1134783	3878	1998-03-13	VYDAJ	PREVOD NA UCET	216	27601	SIPO	OP	23655247
1134784	3878	1998-04-13	VYDAJ	PREVOD NA UCET	216	28168	SIPO	OP	23655247
1134785	3878	1998-05-13	VYDAJ	PREVOD NA UCET	216	32242	SIPO	OP	23655247
1134786	3878	1998-06-13	VYDAJ	PREVOD NA UCET	216	31726	SIPO	OP	23655247
1134787	3878	1998-07-13	VYDAJ	PREVOD NA UCET	216	25324	SIPO	OP	23655247
1134788	3878	1998-08-13	VYDAJ	PREVOD NA UCET	216	27886	SIPO	OP	23655247
1134789	3878	1998-09-13	VYDAJ	PREVOD NA UCET	216	30457	SIPO	OP	23655247
1134790	3878	1998-10-13	VYDAJ	PREVOD NA UCET	216	26274	SIPO	OP	23655247
1134791	3878	1998-11-13	VYDAJ	PREVOD NA UCET	216	29321	SIPO	OP	23655247
1134792	3878	1998-12-13	VYDAJ	PREVOD NA UCET	216	25987	SIPO	OP	23655247
1134807	3878	1995-03-10	VYDAJ	PREVOD NA UCET	1648	24025	 	YZ	38488340
1134808	3878	1995-04-10	VYDAJ	PREVOD NA UCET	1648	21771	 	YZ	38488340
1134809	3878	1995-05-10	VYDAJ	PREVOD NA UCET	1648	24416	 	YZ	38488340
1134810	3878	1995-06-10	VYDAJ	PREVOD NA UCET	1648	25878	 	YZ	38488340
1134811	3878	1995-07-10	VYDAJ	PREVOD NA UCET	1648	23796	 	YZ	38488340
1134812	3878	1995-08-10	VYDAJ	PREVOD NA UCET	1648	23905	 	YZ	38488340
1134813	3878	1995-09-10	VYDAJ	PREVOD NA UCET	1648	24458	 	YZ	38488340
1134814	3878	1995-10-10	VYDAJ	PREVOD NA UCET	1648	26701	 	YZ	38488340
1134815	3878	1995-11-10	VYDAJ	PREVOD NA UCET	1648	23763	 	YZ	38488340
1134816	3878	1995-12-10	VYDAJ	PREVOD NA UCET	1648	23525	 	YZ	38488340
1134817	3878	1996-01-10	VYDAJ	PREVOD NA UCET	1648	19525	 	YZ	38488340
1134818	3878	1996-02-10	VYDAJ	PREVOD NA UCET	1648	20561	 	YZ	38488340
1134819	3878	1996-03-10	VYDAJ	PREVOD NA UCET	1648	18595	 	YZ	38488340
1134820	3878	1996-04-10	VYDAJ	PREVOD NA UCET	1648	21225	 	YZ	38488340
1134821	3878	1996-05-10	VYDAJ	PREVOD NA UCET	1648	20065	 	YZ	38488340
1134822	3878	1996-06-10	VYDAJ	PREVOD NA UCET	1648	15800	 	YZ	38488340
1134823	3878	1996-07-10	VYDAJ	PREVOD NA UCET	1648	15533	 	YZ	38488340
1134824	3878	1996-08-10	VYDAJ	PREVOD NA UCET	1648	16351	 	YZ	38488340
1134825	3878	1996-09-10	VYDAJ	PREVOD NA UCET	1648	15169	 	YZ	38488340
1134826	3878	1996-10-10	VYDAJ	PREVOD NA UCET	1648	14704	 	YZ	38488340
1134827	3878	1996-11-10	VYDAJ	PREVOD NA UCET	1648	15976	 	YZ	38488340
1134828	3878	1996-12-10	VYDAJ	PREVOD NA UCET	1648	18016	 	YZ	38488340
1134829	3878	1997-01-10	VYDAJ	PREVOD NA UCET	1648	16842	 	YZ	38488340
1134830	3878	1997-02-10	VYDAJ	PREVOD NA UCET	1648	13829	 	YZ	38488340
1134831	3878	1997-03-10	VYDAJ	PREVOD NA UCET	1648	13237	 	YZ	38488340
1134832	3878	1997-04-10	VYDAJ	PREVOD NA UCET	1648	16746	 	YZ	38488340
1134833	3878	1997-05-10	VYDAJ	PREVOD NA UCET	1648	17467	 	YZ	38488340
1134834	3878	1997-06-10	VYDAJ	PREVOD NA UCET	1648	16790	 	YZ	38488340
1134835	3878	1997-07-10	VYDAJ	PREVOD NA UCET	1648	16429	 	YZ	38488340
1134836	3878	1997-08-10	VYDAJ	PREVOD NA UCET	1648	15046	 	YZ	38488340
1134837	3878	1997-09-10	VYDAJ	PREVOD NA UCET	1648	18363	 	YZ	38488340
1134838	3878	1997-10-10	VYDAJ	PREVOD NA UCET	1648	16308	 	YZ	38488340
1134839	3878	1997-11-10	VYDAJ	PREVOD NA UCET	1648	17028	 	YZ	38488340
1134840	3878	1997-12-10	VYDAJ	PREVOD NA UCET	1648	18652	 	YZ	38488340
1134841	3878	1998-01-10	VYDAJ	PREVOD NA UCET	1648	22547	 	YZ	38488340
1134842	3878	1998-02-10	VYDAJ	PREVOD NA UCET	1648	25817	 	YZ	38488340
1134843	3878	1998-03-10	VYDAJ	PREVOD NA UCET	1648	27817	 	YZ	38488340
1134844	3878	1998-04-10	VYDAJ	PREVOD NA UCET	1648	28384	 	YZ	38488340
1134845	3878	1998-05-10	VYDAJ	PREVOD NA UCET	1648	32458	 	YZ	38488340
1134846	3878	1998-06-10	VYDAJ	PREVOD NA UCET	1648	31942	 	YZ	38488340
1134847	3878	1998-07-10	VYDAJ	PREVOD NA UCET	1648	26860	 	YZ	38488340
1134848	3878	1998-08-10	VYDAJ	PREVOD NA UCET	1648	28102	 	YZ	38488340
1134849	3878	1998-09-10	VYDAJ	PREVOD NA UCET	1648	30673	 	YZ	38488340
1134850	3878	1998-10-10	VYDAJ	PREVOD NA UCET	1648	26490	 	YZ	38488340
1134851	3878	1998-11-10	VYDAJ	PREVOD NA UCET	1648	30017	 	YZ	38488340
1134852	3878	1998-12-10	VYDAJ	PREVOD NA UCET	1648	26203	 	YZ	38488340
1134867	3878	1995-03-08	VYDAJ	PREVOD NA UCET	70	25673	POJISTNE	YZ	35417062
1134868	3878	1995-04-08	VYDAJ	PREVOD NA UCET	70	23419	POJISTNE	YZ	35417062
1134869	3878	1995-05-08	VYDAJ	PREVOD NA UCET	70	26064	POJISTNE	YZ	35417062
1134870	3878	1995-06-08	VYDAJ	PREVOD NA UCET	70	27526	POJISTNE	YZ	35417062
1134871	3878	1995-07-08	VYDAJ	PREVOD NA UCET	70	25444	POJISTNE	YZ	35417062
1134872	3878	1995-08-08	VYDAJ	PREVOD NA UCET	70	25553	POJISTNE	YZ	35417062
1134873	3878	1995-09-08	VYDAJ	PREVOD NA UCET	70	26106	POJISTNE	YZ	35417062
1134874	3878	1995-10-08	VYDAJ	PREVOD NA UCET	70	28349	POJISTNE	YZ	35417062
1134875	3878	1995-11-08	VYDAJ	PREVOD NA UCET	70	25411	POJISTNE	YZ	35417062
1134876	3878	1995-12-08	VYDAJ	PREVOD NA UCET	70	25173	POJISTNE	YZ	35417062
1134877	3878	1996-01-08	VYDAJ	PREVOD NA UCET	70	21173	POJISTNE	YZ	35417062
1134878	3878	1996-02-08	VYDAJ	PREVOD NA UCET	70	22209	POJISTNE	YZ	35417062
1134879	3878	1996-03-08	VYDAJ	PREVOD NA UCET	70	20243	POJISTNE	YZ	35417062
1134880	3878	1996-04-08	VYDAJ	PREVOD NA UCET	70	22873	POJISTNE	YZ	35417062
1134881	3878	1996-05-08	VYDAJ	PREVOD NA UCET	70	21713	POJISTNE	YZ	35417062
1134882	3878	1996-06-08	VYDAJ	PREVOD NA UCET	70	21648	POJISTNE	YZ	35417062
1134883	3878	1996-07-08	VYDAJ	PREVOD NA UCET	70	17181	POJISTNE	YZ	35417062
1134884	3878	1996-08-08	VYDAJ	PREVOD NA UCET	70	17999	POJISTNE	YZ	35417062
1134885	3878	1996-09-08	VYDAJ	PREVOD NA UCET	70	16817	POJISTNE	YZ	35417062
1134886	3878	1996-10-08	VYDAJ	PREVOD NA UCET	70	16352	POJISTNE	YZ	35417062
1134887	3878	1996-11-08	VYDAJ	PREVOD NA UCET	70	17624	POJISTNE	YZ	35417062
1134888	3878	1996-12-08	VYDAJ	PREVOD NA UCET	70	19664	POJISTNE	YZ	35417062
1134889	3878	1997-01-08	VYDAJ	PREVOD NA UCET	70	18490	POJISTNE	YZ	35417062
1134890	3878	1997-02-08	VYDAJ	PREVOD NA UCET	70	15477	POJISTNE	YZ	35417062
1134891	3878	1997-03-08	VYDAJ	PREVOD NA UCET	70	14885	POJISTNE	YZ	35417062
1134892	3878	1997-04-08	VYDAJ	PREVOD NA UCET	70	18394	POJISTNE	YZ	35417062
1134893	3878	1997-05-08	VYDAJ	PREVOD NA UCET	70	19115	POJISTNE	YZ	35417062
1134894	3878	1997-06-08	VYDAJ	PREVOD NA UCET	70	18438	POJISTNE	YZ	35417062
1134895	3878	1997-07-08	VYDAJ	PREVOD NA UCET	70	18077	POJISTNE	YZ	35417062
1134896	3878	1997-08-08	VYDAJ	PREVOD NA UCET	70	16694	POJISTNE	YZ	35417062
1134897	3878	1997-09-08	VYDAJ	PREVOD NA UCET	70	20011	POJISTNE	YZ	35417062
1134898	3878	1997-10-08	VYDAJ	PREVOD NA UCET	70	17956	POJISTNE	YZ	35417062
1134899	3878	1997-11-08	VYDAJ	PREVOD NA UCET	70	18676	POJISTNE	YZ	35417062
1134900	3878	1997-12-08	VYDAJ	PREVOD NA UCET	70	20300	POJISTNE	YZ	35417062
1134901	3878	1998-01-08	VYDAJ	PREVOD NA UCET	70	24195	POJISTNE	YZ	35417062
1134902	3878	1998-02-08	VYDAJ	PREVOD NA UCET	70	27465	POJISTNE	YZ	35417062
1134903	3878	1998-03-08	VYDAJ	PREVOD NA UCET	70	29465	POJISTNE	YZ	35417062
1134904	3878	1998-04-08	VYDAJ	PREVOD NA UCET	70	30032	POJISTNE	YZ	35417062
1134905	3878	1998-05-08	VYDAJ	PREVOD NA UCET	70	34106	POJISTNE	YZ	35417062
1134906	3878	1998-06-08	VYDAJ	PREVOD NA UCET	70	33590	POJISTNE	YZ	35417062
1134907	3878	1998-07-08	VYDAJ	PREVOD NA UCET	70	28508	POJISTNE	YZ	35417062
1134908	3878	1998-08-08	VYDAJ	PREVOD NA UCET	70	29750	POJISTNE	YZ	35417062
1134909	3878	1998-09-08	VYDAJ	PREVOD NA UCET	70	32321	POJISTNE	YZ	35417062
1134910	3878	1998-10-08	VYDAJ	PREVOD NA UCET	70	28138	POJISTNE	YZ	35417062
1134911	3878	1998-11-08	VYDAJ	PREVOD NA UCET	70	31665	POJISTNE	YZ	35417062
1134912	3878	1998-12-08	VYDAJ	PREVOD NA UCET	70	27851	POJISTNE	YZ	35417062
1134914	3878	1995-06-28	VYDAJ	VYBER	6240	19422	\N	\N	\N
1134915	3878	1996-06-09	VYDAJ	VYBER	4200	17448	\N	\N	\N
1134916	3878	1997-06-20	VYDAJ	VYBER	2280	14294	\N	\N	\N
1134917	3878	1998-06-25	VYDAJ	VYBER	5460	25566	\N	\N	\N
1134920	3878	1996-01-01	VYDAJ	VYBER	1950	18341	\N	\N	\N
1134921	3878	1997-01-21	VYDAJ	VYBER	330	16296	\N	\N	\N
1134922	3878	1998-01-25	VYDAJ	VYBER	810	25121	\N	\N	\N
1134924	3878	1995-12-06	VYDAJ	VYBER	270	25243	\N	\N	\N
1134925	3878	1996-12-06	VYDAJ	VYBER	480	19734	\N	\N	\N
1134926	3878	1997-12-07	VYDAJ	VYBER	210	20370	\N	\N	\N
1134927	3878	1998-12-16	VYDAJ	VYBER	450	22537	\N	\N	\N
1134934	3878	1995-09-20	VYDAJ	VYBER	1410	22832	\N	\N	\N
1134935	3878	1995-07-29	VYDAJ	VYBER	1140	22440	\N	\N	\N
1134936	3878	1995-03-26	VYDAJ	VYBER	1110	22699	\N	\N	\N
1134937	3878	1995-11-11	VYDAJ	VYBER	930	22833	\N	\N	\N
1134938	3878	1995-05-15	VYDAJ	VYBER	690	23510	\N	\N	\N
1134939	3878	1995-11-14	VYDAJ	VYBER	390	22227	\N	\N	\N
1134940	3878	1996-10-29	VYDAJ	VYBER	450	14748	\N	\N	\N
1134941	3878	1996-02-14	VYDAJ	VYBER	1200	19145	\N	\N	\N
1134942	3878	1996-09-27	VYDAJ	VYBER	180	13473	\N	\N	\N
1134943	3878	1996-07-02	VYDAJ	VYBER	1290	14349	\N	\N	\N
1134944	3878	1996-10-18	VYDAJ	VYBER	690	13798	\N	\N	\N
1134945	3878	1997-11-20	VYDAJ	VYBER	390	17622	\N	\N	\N
1134946	3878	1997-12-28	VYDAJ	VYBER	840	21296	\N	\N	\N
1134947	3878	1997-09-30	VYDAJ	VYBER	780	15124	\N	\N	\N
1134948	3878	1998-11-13	VYDAJ	VYBER	480	29537	\N	\N	\N
1134949	3878	1998-01-26	VYDAJ	VYBER	570	24551	\N	\N	\N
1134950	3878	1998-11-02	VYDAJ	VYBER	240	28833	\N	\N	\N
1134951	3878	1998-02-22	VYDAJ	VYBER	360	26541	\N	\N	\N
1134952	3878	1998-07-11	VYDAJ	VYBER	1320	25540	\N	\N	\N
1134953	3878	1998-09-20	VYDAJ	VYBER	150	25207	\N	\N	\N
1134969	3878	1995-03-31	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
1134970	3878	1995-04-30	VYDAJ	VYBER	15	21632	SLUZBY	\N	\N
1134971	3878	1995-05-31	VYDAJ	VYBER	15	23594	SLUZBY	\N	\N
1134972	3878	1995-06-30	VYDAJ	VYBER	15	19512	SLUZBY	\N	\N
1134973	3878	1995-07-31	VYDAJ	VYBER	15	22521	SLUZBY	\N	\N
1134974	3878	1995-08-31	VYDAJ	VYBER	15	23774	SLUZBY	\N	\N
1134975	3878	1995-09-30	VYDAJ	VYBER	15	22917	SLUZBY	\N	\N
1134976	3878	1995-10-31	VYDAJ	VYBER	15	26579	SLUZBY	\N	\N
1134977	3878	1995-11-30	VYDAJ	VYBER	15	22311	SLUZBY	\N	\N
1134978	3878	1995-12-31	VYDAJ	VYBER	15	23391	SLUZBY	\N	\N
1134979	3878	1996-01-31	VYDAJ	VYBER	15	19377	SLUZBY	\N	\N
1134980	3878	1996-02-29	VYDAJ	VYBER	15	17411	SLUZBY	\N	\N
1134981	3878	1996-03-31	VYDAJ	VYBER	15	20041	SLUZBY	\N	\N
1134982	3878	1996-04-30	VYDAJ	VYBER	15	18881	SLUZBY	\N	\N
1134983	3878	1996-05-31	VYDAJ	VYBER	15	18816	SLUZBY	\N	\N
1134984	3878	1996-06-30	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
1134985	3878	1996-07-31	VYDAJ	VYBER	15	15167	SLUZBY	\N	\N
1134986	3878	1996-08-31	VYDAJ	VYBER	15	13985	SLUZBY	\N	\N
1134987	3878	1996-09-30	VYDAJ	VYBER	15	13520	SLUZBY	\N	\N
1134988	3878	1996-10-31	VYDAJ	VYBER	15	14792	SLUZBY	\N	\N
1134989	3878	1996-11-30	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
1134990	3878	1996-12-31	VYDAJ	VYBER	15	15658	SLUZBY	\N	\N
1134991	3878	1997-01-31	VYDAJ	VYBER	15	12645	SLUZBY	\N	\N
1134992	3878	1997-02-28	VYDAJ	VYBER	15	12053	SLUZBY	\N	\N
1134993	3878	1997-03-31	VYDAJ	VYBER	15	15562	SLUZBY	\N	\N
1134994	3878	1997-04-30	VYDAJ	VYBER	15	16283	SLUZBY	\N	\N
1134995	3878	1997-05-31	VYDAJ	VYBER	15	15606	SLUZBY	\N	\N
1134996	3878	1997-06-30	VYDAJ	VYBER	15	15245	SLUZBY	\N	\N
1134997	3878	1997-07-31	VYDAJ	VYBER	15	13862	SLUZBY	\N	\N
1134998	3878	1997-08-31	VYDAJ	VYBER	15	17179	SLUZBY	\N	\N
1134999	3878	1997-09-30	VYDAJ	VYBER	15	15904	SLUZBY	\N	\N
1135000	3878	1997-10-31	VYDAJ	VYBER	15	15844	SLUZBY	\N	\N
1135001	3878	1997-11-30	VYDAJ	VYBER	15	17678	SLUZBY	\N	\N
1135002	3878	1997-12-31	VYDAJ	VYBER	15	21363	SLUZBY	\N	\N
1135003	3878	1998-01-31	VYDAJ	VYBER	15	24633	SLUZBY	\N	\N
1135004	3878	1998-02-28	VYDAJ	VYBER	15	26633	SLUZBY	\N	\N
1135005	3878	1998-03-31	VYDAJ	VYBER	15	27200	SLUZBY	\N	\N
1135006	3878	1998-04-30	VYDAJ	VYBER	15	31274	SLUZBY	\N	\N
1135007	3878	1998-05-31	VYDAJ	VYBER	15	30758	SLUZBY	\N	\N
1135008	3878	1998-06-30	VYDAJ	VYBER	15	25676	SLUZBY	\N	\N
1135009	3878	1998-07-31	VYDAJ	VYBER	15	26918	SLUZBY	\N	\N
1135010	3878	1998-08-31	VYDAJ	VYBER	15	29489	SLUZBY	\N	\N
1135011	3878	1998-09-30	VYDAJ	VYBER	15	25306	SLUZBY	\N	\N
1135012	3878	1998-10-31	VYDAJ	VYBER	15	29073	SLUZBY	\N	\N
1135013	3878	1998-11-30	VYDAJ	VYBER	15	25019	SLUZBY	\N	\N
1135014	3878	1994-11-06	PRIJEM	VKLAD	8400	8900	\N	\N	\N
1135015	3878	1994-12-06	PRIJEM	VKLAD	6700	18543	\N	\N	\N
1135016	3878	1995-01-05	PRIJEM	VKLAD	1800	23318	\N	\N	\N
1135017	3878	1995-02-04	VYDAJ	VYBER	1200	25124	\N	\N	\N
1135018	3878	1995-03-06	VYDAJ	VYBER	5300	25743	\N	\N	\N
1135019	3878	1995-04-05	VYDAJ	VYBER	2200	20587	\N	\N	\N
1135020	3878	1995-05-05	PRIJEM	VKLAD	1600	23232	\N	\N	\N
1135021	3878	1995-06-04	PRIJEM	VKLAD	1100	24694	\N	\N	\N
1135022	3878	1995-07-04	PRIJEM	VKLAD	3100	22612	\N	\N	\N
1135023	3878	1995-08-03	PRIJEM	VKLAD	200	22721	\N	\N	\N
1135024	3878	1995-09-02	VYDAJ	VYBER	500	23274	\N	\N	\N
1135025	3878	1995-10-02	PRIJEM	VKLAD	2600	25517	\N	\N	\N
1135026	3878	1995-11-01	VYDAJ	VYBER	4000	22579	\N	\N	\N
1135027	3878	1995-12-01	PRIJEM	VKLAD	300	22611	\N	\N	\N
1135028	3878	1995-12-31	VYDAJ	VYBER	3100	20291	\N	\N	\N
1135029	3878	1996-02-29	VYDAJ	VYBER	1800	17426	\N	\N	\N
1135030	3878	1996-03-30	PRIJEM	VKLAD	1600	19979	\N	\N	\N
1135031	3878	1996-04-29	VYDAJ	VYBER	2200	18809	\N	\N	\N
1135032	3878	1996-05-29	VYDAJ	VYBER	1100	18749	\N	\N	\N
1135033	3878	1996-07-28	VYDAJ	VYBER	200	15117	\N	\N	\N
1135034	3878	1996-08-27	VYDAJ	VYBER	2200	13935	\N	\N	\N
1135035	3878	1996-09-26	VYDAJ	VYBER	1300	13653	\N	\N	\N
1135036	3878	1996-10-26	PRIJEM	VKLAD	1400	15198	\N	\N	\N
1135037	3878	1996-11-25	PRIJEM	VKLAD	1500	17260	\N	\N	\N
1135038	3878	1996-12-25	VYDAJ	VYBER	2200	15600	\N	\N	\N
1135039	3878	1997-01-24	VYDAJ	VYBER	3700	12596	\N	\N	\N
1135040	3878	1997-02-23	VYDAJ	VYBER	1600	12013	\N	\N	\N
1135041	3878	1997-03-25	PRIJEM	VKLAD	2500	15521	\N	\N	\N
1135042	3878	1997-04-24	VYDAJ	VYBER	300	16230	\N	\N	\N
1135043	3878	1997-05-24	VYDAJ	VYBER	1700	15551	\N	\N	\N
1135044	3878	1997-06-23	PRIJEM	VKLAD	900	15194	\N	\N	\N
1135045	3878	1997-07-23	VYDAJ	VYBER	2400	13813	\N	\N	\N
1135046	3878	1997-08-22	PRIJEM	VKLAD	2300	17130	\N	\N	\N
1135047	3878	1997-09-21	VYDAJ	VYBER	2300	15847	\N	\N	\N
1135048	3878	1997-10-21	VYDAJ	VYBER	300	15792	\N	\N	\N
1135049	3878	1997-11-20	PRIJEM	VKLAD	1200	18012	\N	\N	\N
1135050	3878	1997-12-20	PRIJEM	VKLAD	3700	22136	\N	\N	\N
1135051	3878	1998-01-19	PRIJEM	VKLAD	3600	25931	\N	\N	\N
1135052	3878	1998-02-18	PRIJEM	VKLAD	1300	26901	\N	\N	\N
1135053	3878	1998-03-20	VYDAJ	VYBER	500	27101	\N	\N	\N
1135054	3878	1998-04-19	PRIJEM	VKLAD	3000	31168	\N	\N	\N
1135055	3878	1998-05-19	VYDAJ	VYBER	1600	30642	\N	\N	\N
1135056	3878	1998-06-18	VYDAJ	VYBER	700	31026	\N	\N	\N
1135057	3878	1998-07-18	PRIJEM	VKLAD	1500	26824	\N	\N	\N
1135058	3878	1998-08-17	PRIJEM	VKLAD	1500	29386	\N	\N	\N
1135059	3878	1998-09-16	VYDAJ	VYBER	5100	25357	\N	\N	\N
1135060	3878	1998-10-16	PRIJEM	VKLAD	2700	28974	\N	\N	\N
1135061	3878	1998-11-15	VYDAJ	VYBER	4400	24921	\N	\N	\N
1135062	3878	1998-12-15	VYDAJ	VYBER	3000	22987	\N	\N	\N
1135317	3880	1996-07-28	PRIJEM	VKLAD	800	800	\N	\N	\N
1135325	3880	1996-08-13	PRIJEM	PREVOD Z UCTU	6871	7671	DUCHOD	KL	76071768
1135326	3880	1996-09-13	PRIJEM	PREVOD Z UCTU	6871	14542	DUCHOD	KL	76071768
1135327	3880	1996-10-13	PRIJEM	PREVOD Z UCTU	6871	21413	DUCHOD	KL	76071768
1135328	3880	1996-11-13	PRIJEM	PREVOD Z UCTU	6871	28284	DUCHOD	KL	76071768
1135329	3880	1996-12-13	PRIJEM	PREVOD Z UCTU	6871	32677	DUCHOD	KL	76071768
1135330	3880	1997-01-13	PRIJEM	PREVOD Z UCTU	6871	25471	DUCHOD	KL	76071768
1135331	3880	1997-02-13	PRIJEM	PREVOD Z UCTU	6871	27690	DUCHOD	KL	76071768
1135332	3880	1997-03-13	PRIJEM	PREVOD Z UCTU	6871	32711	DUCHOD	KL	76071768
1135333	3880	1997-04-13	PRIJEM	PREVOD Z UCTU	6871	34752	DUCHOD	KL	76071768
1135334	3880	1997-05-13	PRIJEM	PREVOD Z UCTU	6871	39803	DUCHOD	KL	76071768
1135335	3880	1997-06-13	PRIJEM	PREVOD Z UCTU	6871	37210	DUCHOD	KL	76071768
1135336	3880	1997-07-13	PRIJEM	PREVOD Z UCTU	6871	33757	DUCHOD	KL	76071768
1135337	3880	1997-08-13	PRIJEM	PREVOD Z UCTU	6871	33281	DUCHOD	KL	76071768
1135338	3880	1997-09-13	PRIJEM	PREVOD Z UCTU	6871	35727	DUCHOD	KL	76071768
1135339	3880	1997-10-13	PRIJEM	PREVOD Z UCTU	6871	35479	DUCHOD	KL	76071768
1135340	3880	1997-11-13	PRIJEM	PREVOD Z UCTU	6871	34307	DUCHOD	KL	76071768
1135341	3880	1997-12-13	PRIJEM	PREVOD Z UCTU	6871	38255	DUCHOD	KL	76071768
1135342	3880	1998-01-13	PRIJEM	PREVOD Z UCTU	6871	35641	DUCHOD	KL	76071768
1135343	3880	1998-02-13	PRIJEM	PREVOD Z UCTU	6871	28956	DUCHOD	KL	76071768
1135344	3880	1998-03-13	PRIJEM	PREVOD Z UCTU	6871	28619	DUCHOD	KL	76071768
1135345	3880	1998-04-13	PRIJEM	PREVOD Z UCTU	6871	33647	DUCHOD	KL	76071768
1135346	3880	1998-05-13	PRIJEM	PREVOD Z UCTU	6871	38694	DUCHOD	KL	76071768
1135347	3880	1998-06-13	PRIJEM	PREVOD Z UCTU	6871	34854	DUCHOD	KL	76071768
1135348	3880	1998-07-13	PRIJEM	PREVOD Z UCTU	6871	28585	DUCHOD	KL	76071768
1135349	3880	1998-08-13	PRIJEM	PREVOD Z UCTU	6871	33610	DUCHOD	KL	76071768
1135350	3880	1998-09-13	PRIJEM	PREVOD Z UCTU	6871	36097	DUCHOD	KL	76071768
1135351	3880	1998-10-13	PRIJEM	PREVOD Z UCTU	6871	41154	DUCHOD	KL	76071768
1135352	3880	1998-11-13	PRIJEM	PREVOD Z UCTU	6871	43826	DUCHOD	KL	76071768
1135353	3880	1998-12-13	PRIJEM	PREVOD Z UCTU	6871	44404	DUCHOD	KL	76071768
1135366	3880	1997-01-07	VYDAJ	PREVOD NA UCET	1942	28200	SIPO	CD	74985646
1135367	3880	1997-02-07	VYDAJ	PREVOD NA UCET	1942	20819	SIPO	CD	74985646
1135368	3880	1997-03-07	VYDAJ	PREVOD NA UCET	1942	25840	SIPO	CD	74985646
1135369	3880	1997-04-07	VYDAJ	PREVOD NA UCET	1942	27881	SIPO	CD	74985646
1135370	3880	1997-05-07	VYDAJ	PREVOD NA UCET	1942	32932	SIPO	CD	74985646
1135371	3880	1997-06-07	VYDAJ	PREVOD NA UCET	1942	32739	SIPO	CD	74985646
1135372	3880	1997-07-07	VYDAJ	PREVOD NA UCET	1942	26886	SIPO	CD	74985646
1135373	3880	1997-08-07	VYDAJ	PREVOD NA UCET	1942	29530	SIPO	CD	74985646
1135374	3880	1997-09-07	VYDAJ	PREVOD NA UCET	1942	28856	SIPO	CD	74985646
1135375	3880	1997-10-07	VYDAJ	PREVOD NA UCET	1942	29008	SIPO	CD	74985646
1135376	3880	1997-11-07	VYDAJ	PREVOD NA UCET	1942	27436	SIPO	CD	74985646
1135377	3880	1997-12-07	VYDAJ	PREVOD NA UCET	1942	31384	SIPO	CD	74985646
1135378	3880	1998-01-07	VYDAJ	PREVOD NA UCET	1942	28770	SIPO	CD	74985646
1135379	3880	1998-02-07	VYDAJ	PREVOD NA UCET	1942	22085	SIPO	CD	74985646
1135380	3880	1998-03-07	VYDAJ	PREVOD NA UCET	1942	24628	SIPO	CD	74985646
1135381	3880	1998-04-07	VYDAJ	PREVOD NA UCET	1942	26776	SIPO	CD	74985646
1135382	3880	1998-05-07	VYDAJ	PREVOD NA UCET	1942	31823	SIPO	CD	74985646
1135383	3880	1998-06-07	VYDAJ	PREVOD NA UCET	1942	32783	SIPO	CD	74985646
1135384	3880	1998-07-07	VYDAJ	PREVOD NA UCET	1942	21714	SIPO	CD	74985646
1135385	3880	1998-08-07	VYDAJ	PREVOD NA UCET	1942	26739	SIPO	CD	74985646
1135386	3880	1998-09-07	VYDAJ	PREVOD NA UCET	1942	31786	SIPO	CD	74985646
1135387	3880	1998-10-07	VYDAJ	PREVOD NA UCET	1942	34283	SIPO	CD	74985646
1135388	3880	1998-11-07	VYDAJ	PREVOD NA UCET	1942	36955	SIPO	CD	74985646
1135389	3880	1998-12-07	VYDAJ	PREVOD NA UCET	1942	37533	SIPO	CD	74985646
1135391	3880	1997-06-18	VYDAJ	VYBER	8500	28710	\N	\N	\N
1135392	3880	1998-06-16	VYDAJ	VYBER	8900	25954	\N	\N	\N
1135394	3880	1997-01-12	VYDAJ	VYBER	1600	20840	\N	\N	\N
1135395	3880	1998-01-28	VYDAJ	VYBER	3250	26951	\N	\N	\N
1135397	3880	1997-12-18	VYDAJ	VYBER	850	37405	\N	\N	\N
1135398	3880	1998-12-26	VYDAJ	VYBER	350	34254	\N	\N	\N
1135405	3880	1997-01-12	VYDAJ	VYBER	2240	18600	\N	\N	\N
1135406	3880	1997-01-08	VYDAJ	VYBER	2320	25880	\N	\N	\N
1135407	3880	1997-01-19	VYDAJ	VYBER	1200	24271	\N	\N	\N
1135408	3880	1997-01-21	VYDAJ	VYBER	1600	22671	\N	\N	\N
1135409	3880	1997-01-10	VYDAJ	VYBER	1360	24520	\N	\N	\N
1135410	3880	1997-01-11	VYDAJ	VYBER	2080	22440	\N	\N	\N
1135411	3880	1998-01-13	VYDAJ	VYBER	1440	34201	\N	\N	\N
1135412	3880	1998-01-23	VYDAJ	VYBER	1040	32441	\N	\N	\N
1135413	3880	1998-01-27	VYDAJ	VYBER	480	31961	\N	\N	\N
1135414	3880	1998-01-01	VYDAJ	VYBER	1920	30712	\N	\N	\N
1135415	3880	1998-01-28	VYDAJ	VYBER	1760	30201	\N	\N	\N
1135416	3880	1998-01-14	VYDAJ	VYBER	720	33481	\N	\N	\N
1135417	3880	1996-12-24	VYDAJ	VYBER	1680	30037	\N	\N	\N
1135422	3880	1996-12-14	VYDAJ	VYBER	960	31717	\N	\N	\N
1135423	3880	1997-10-05	VYDAJ	VYBER	2800	30950	\N	\N	\N
1135424	3880	1997-10-11	VYDAJ	VYBER	400	28608	\N	\N	\N
1135425	3880	1997-08-12	VYDAJ	VYBER	3120	26410	\N	\N	\N
1135426	3880	1997-05-20	VYDAJ	VYBER	560	39243	\N	\N	\N
1135427	3880	1997-03-30	VYDAJ	VYBER	2000	29711	\N	\N	\N
1135428	3880	1997-06-09	VYDAJ	VYBER	2400	30339	\N	\N	\N
1135429	3880	1997-10-29	VYDAJ	VYBER	1920	29259	\N	\N	\N
1135430	3880	1998-06-08	VYDAJ	VYBER	960	27983	\N	\N	\N
1135431	3880	1998-09-08	VYDAJ	VYBER	2560	29226	\N	\N	\N
1135432	3880	1998-02-02	VYDAJ	VYBER	3040	24027	\N	\N	\N
1135433	3880	1998-06-18	VYDAJ	VYBER	1840	24114	\N	\N	\N
1135434	3880	1998-06-07	VYDAJ	VYBER	3840	28943	\N	\N	\N
1135435	3880	1998-02-18	VYDAJ	VYBER	2480	26476	\N	\N	\N
1135436	3880	1998-03-10	VYDAJ	VYBER	2880	21748	\N	\N	\N
1135437	3880	1998-06-28	VYDAJ	VYBER	560	23554	\N	\N	\N
1135450	3880	1996-12-31	VYDAJ	VYBER	15	30142	SLUZBY	\N	\N
1135451	3880	1997-01-31	VYDAJ	VYBER	15	22761	SLUZBY	\N	\N
1135452	3880	1997-02-28	VYDAJ	VYBER	15	27782	SLUZBY	\N	\N
1135453	3880	1997-03-31	VYDAJ	VYBER	15	29823	SLUZBY	\N	\N
1135454	3880	1997-04-30	VYDAJ	VYBER	15	34874	SLUZBY	\N	\N
1135455	3880	1997-05-31	VYDAJ	VYBER	15	34681	SLUZBY	\N	\N
1135456	3880	1997-06-30	VYDAJ	VYBER	15	28828	SLUZBY	\N	\N
1135457	3880	1997-07-31	VYDAJ	VYBER	15	31472	SLUZBY	\N	\N
1135458	3880	1997-08-31	VYDAJ	VYBER	15	30798	SLUZBY	\N	\N
1135459	3880	1997-09-30	VYDAJ	VYBER	15	33750	SLUZBY	\N	\N
1135460	3880	1997-10-31	VYDAJ	VYBER	15	29378	SLUZBY	\N	\N
1135461	3880	1997-11-30	VYDAJ	VYBER	15	33326	SLUZBY	\N	\N
1135462	3880	1997-12-31	VYDAJ	VYBER	15	32632	SLUZBY	\N	\N
1135463	3880	1998-01-31	VYDAJ	VYBER	15	27067	SLUZBY	\N	\N
1135464	3880	1998-02-28	VYDAJ	VYBER	15	26570	SLUZBY	\N	\N
1135465	3880	1998-03-31	VYDAJ	VYBER	15	28718	SLUZBY	\N	\N
1135466	3880	1998-04-30	VYDAJ	VYBER	15	33765	SLUZBY	\N	\N
1135467	3880	1998-05-31	VYDAJ	VYBER	15	34725	SLUZBY	\N	\N
1135468	3880	1998-06-30	VYDAJ	VYBER	15	23656	SLUZBY	\N	\N
1135469	3880	1998-07-31	VYDAJ	VYBER	15	28681	SLUZBY	\N	\N
1135470	3880	1998-08-31	VYDAJ	VYBER	15	33728	SLUZBY	\N	\N
1135471	3880	1998-09-30	VYDAJ	VYBER	15	36225	SLUZBY	\N	\N
1135472	3880	1998-10-31	VYDAJ	VYBER	15	38897	SLUZBY	\N	\N
1135473	3880	1998-11-30	VYDAJ	VYBER	15	39475	SLUZBY	\N	\N
1135474	3880	1996-11-25	VYDAJ	VYBER	2500	25784	\N	\N	\N
1135475	3880	1997-03-25	VYDAJ	VYBER	1000	31711	\N	\N	\N
1135476	3880	1997-05-24	VYDAJ	VYBER	4700	34543	\N	\N	\N
1135477	3880	1997-07-23	VYDAJ	VYBER	2400	31357	\N	\N	\N
1135478	3880	1997-08-22	VYDAJ	VYBER	2600	30681	\N	\N	\N
1135479	3880	1997-09-21	VYDAJ	VYBER	2100	33627	\N	\N	\N
1135480	3880	1997-10-21	VYDAJ	VYBER	4300	31179	\N	\N	\N
1135481	3880	1997-11-20	VYDAJ	VYBER	1100	33207	\N	\N	\N
1135482	3880	1997-12-20	VYDAJ	VYBER	4900	32505	\N	\N	\N
1135483	3880	1998-05-19	VYDAJ	VYBER	4100	34594	\N	\N	\N
1135484	3880	1998-10-16	VYDAJ	VYBER	2400	38754	\N	\N	\N
1135485	3880	1998-11-15	VYDAJ	VYBER	4500	39326	\N	\N	\N
1135486	3880	1998-12-15	VYDAJ	VYBER	9800	34604	\N	\N	\N
1135513	3881	1996-03-04	PRIJEM	VKLAD	800	800	\N	\N	\N
1135516	3881	1996-03-14	PRIJEM	VKLAD	6761	7561	\N	\N	\N
1135517	3881	1996-04-14	PRIJEM	VKLAD	6761	23340	\N	\N	\N
1135518	3881	1996-05-14	PRIJEM	VKLAD	6761	30870	\N	\N	\N
1135519	3881	1996-06-14	PRIJEM	VKLAD	10142	39128	\N	\N	\N
1135520	3881	1996-07-14	PRIJEM	VKLAD	6761	39037	\N	\N	\N
1135521	3881	1996-08-14	PRIJEM	VKLAD	6761	32777	\N	\N	\N
1135522	3881	1996-09-14	PRIJEM	VKLAD	6761	31809	\N	\N	\N
1135523	3881	1996-10-14	PRIJEM	VKLAD	6761	24686	\N	\N	\N
1135524	3881	1996-11-14	PRIJEM	VKLAD	6761	28626	\N	\N	\N
1135525	3881	1996-12-14	PRIJEM	VKLAD	10142	34559	\N	\N	\N
1135526	3881	1997-01-14	PRIJEM	VKLAD	6761	35370	\N	\N	\N
1135527	3881	1997-02-14	PRIJEM	VKLAD	6761	25502	\N	\N	\N
1135528	3881	1997-03-14	PRIJEM	VKLAD	6761	30645	\N	\N	\N
1135529	3881	1997-04-14	PRIJEM	VKLAD	6761	32305	\N	\N	\N
1135530	3881	1997-05-14	PRIJEM	VKLAD	6761	34973	\N	\N	\N
1135531	3881	1997-06-14	PRIJEM	VKLAD	10142	23791	\N	\N	\N
1135532	3881	1997-07-14	PRIJEM	VKLAD	6761	23828	\N	\N	\N
1135533	3881	1997-08-14	PRIJEM	VKLAD	6761	24459	\N	\N	\N
1135534	3881	1997-09-14	PRIJEM	VKLAD	6761	26715	\N	\N	\N
1135535	3881	1997-10-14	PRIJEM	VKLAD	6761	30360	\N	\N	\N
1135536	3881	1997-11-14	PRIJEM	VKLAD	6761	33820	\N	\N	\N
1135537	3881	1997-12-14	PRIJEM	VKLAD	10142	33224	\N	\N	\N
1135538	3881	1998-01-14	PRIJEM	VKLAD	6761	28541	\N	\N	\N
1135539	3881	1998-02-14	PRIJEM	VKLAD	6761	17986	\N	\N	\N
1135540	3881	1998-03-14	PRIJEM	VKLAD	6761	16269	\N	\N	\N
1135541	3881	1998-04-14	PRIJEM	VKLAD	6761	20872	\N	\N	\N
1135542	3881	1998-05-14	PRIJEM	VKLAD	6761	22111	\N	\N	\N
1135543	3881	1998-06-14	PRIJEM	VKLAD	10142	28597	\N	\N	\N
1135544	3881	1998-07-14	PRIJEM	VKLAD	6761	26170	\N	\N	\N
1135545	3881	1998-08-14	PRIJEM	VKLAD	6761	28311	\N	\N	\N
1135546	3881	1998-09-14	PRIJEM	VKLAD	6761	29159	\N	\N	\N
1135547	3881	1998-10-14	PRIJEM	VKLAD	6761	30311	\N	\N	\N
1135548	3881	1998-11-14	PRIJEM	VKLAD	6761	29164	\N	\N	\N
1135549	3881	1998-12-14	PRIJEM	VKLAD	10142	34519	\N	\N	\N
1135557	3881	1996-08-10	VYDAJ	PREVOD NA UCET	1319	26016	SIPO	EF	91738003
1135558	3881	1996-09-10	VYDAJ	PREVOD NA UCET	1319	25048	SIPO	EF	91738003
1135559	3881	1996-10-10	VYDAJ	PREVOD NA UCET	1319	17925	SIPO	EF	91738003
1135560	3881	1996-11-10	VYDAJ	PREVOD NA UCET	1319	21865	SIPO	EF	91738003
1135561	3881	1996-12-10	VYDAJ	PREVOD NA UCET	1319	24417	SIPO	EF	91738003
1135562	3881	1997-01-10	VYDAJ	PREVOD NA UCET	1319	28609	SIPO	EF	91738003
1135563	3881	1997-02-10	VYDAJ	PREVOD NA UCET	1319	20661	SIPO	EF	91738003
1135564	3881	1997-03-10	VYDAJ	PREVOD NA UCET	1319	23884	SIPO	EF	91738003
1135565	3881	1997-04-10	VYDAJ	PREVOD NA UCET	1319	25544	SIPO	EF	91738003
1135566	3881	1997-05-10	VYDAJ	PREVOD NA UCET	1319	28212	SIPO	EF	91738003
1135567	3881	1997-06-10	VYDAJ	PREVOD NA UCET	1319	13649	SIPO	EF	91738003
1135568	3881	1997-07-10	VYDAJ	PREVOD NA UCET	1319	17067	SIPO	EF	91738003
1135569	3881	1997-08-10	VYDAJ	PREVOD NA UCET	1319	17698	SIPO	EF	91738003
1135570	3881	1997-09-10	VYDAJ	PREVOD NA UCET	1319	19954	SIPO	EF	91738003
1135571	3881	1997-10-10	VYDAJ	PREVOD NA UCET	1319	23599	SIPO	EF	91738003
1135572	3881	1997-11-10	VYDAJ	PREVOD NA UCET	1319	27059	SIPO	EF	91738003
1135573	3881	1997-12-10	VYDAJ	PREVOD NA UCET	1319	24362	SIPO	EF	91738003
1135574	3881	1998-01-10	VYDAJ	PREVOD NA UCET	1319	21780	SIPO	EF	91738003
1135575	3881	1998-02-10	VYDAJ	PREVOD NA UCET	1319	11225	SIPO	EF	91738003
1135576	3881	1998-03-10	VYDAJ	PREVOD NA UCET	1319	9508	SIPO	EF	91738003
1135577	3881	1998-04-10	VYDAJ	PREVOD NA UCET	1319	14111	SIPO	EF	91738003
1135578	3881	1998-05-10	VYDAJ	PREVOD NA UCET	1319	15350	SIPO	EF	91738003
1135579	3881	1998-06-10	VYDAJ	PREVOD NA UCET	1319	18455	SIPO	EF	91738003
1135580	3881	1998-07-10	VYDAJ	PREVOD NA UCET	1319	19409	SIPO	EF	91738003
1135581	3881	1998-08-10	VYDAJ	PREVOD NA UCET	1319	21550	SIPO	EF	91738003
1135582	3881	1998-09-10	VYDAJ	PREVOD NA UCET	1319	22398	SIPO	EF	91738003
1135583	3881	1998-10-10	VYDAJ	PREVOD NA UCET	1319	23550	SIPO	EF	91738003
1135584	3881	1998-11-10	VYDAJ	PREVOD NA UCET	1319	22403	SIPO	EF	91738003
1135585	3881	1998-12-10	VYDAJ	PREVOD NA UCET	1319	24377	SIPO	EF	91738003
1135593	3881	1996-08-08	VYDAJ	PREVOD NA UCET	3188	27335	 	IJ	58912730
1135594	3881	1996-09-08	VYDAJ	PREVOD NA UCET	3188	26367	 	IJ	58912730
1135595	3881	1996-10-08	VYDAJ	PREVOD NA UCET	3188	19244	 	IJ	58912730
1135596	3881	1996-11-08	VYDAJ	PREVOD NA UCET	3188	23184	 	IJ	58912730
1135597	3881	1996-12-08	VYDAJ	PREVOD NA UCET	3188	25736	 	IJ	58912730
1135598	3881	1997-01-08	VYDAJ	PREVOD NA UCET	3188	29928	 	IJ	58912730
1135599	3881	1997-02-08	VYDAJ	PREVOD NA UCET	3188	21980	 	IJ	58912730
1135600	3881	1997-03-08	VYDAJ	PREVOD NA UCET	3188	25203	 	IJ	58912730
1135601	3881	1997-04-08	VYDAJ	PREVOD NA UCET	3188	26863	 	IJ	58912730
1135602	3881	1997-05-08	VYDAJ	PREVOD NA UCET	3188	29531	 	IJ	58912730
1135603	3881	1997-06-08	VYDAJ	PREVOD NA UCET	3188	14968	 	IJ	58912730
1135604	3881	1997-07-08	VYDAJ	PREVOD NA UCET	3188	18386	 	IJ	58912730
1135605	3881	1997-08-08	VYDAJ	PREVOD NA UCET	3188	19017	 	IJ	58912730
1135606	3881	1997-09-08	VYDAJ	PREVOD NA UCET	3188	21273	 	IJ	58912730
1135607	3881	1997-10-08	VYDAJ	PREVOD NA UCET	3188	24918	 	IJ	58912730
1135608	3881	1997-11-08	VYDAJ	PREVOD NA UCET	3188	28378	 	IJ	58912730
1135609	3881	1997-12-08	VYDAJ	PREVOD NA UCET	3188	25681	 	IJ	58912730
1135610	3881	1998-01-08	VYDAJ	PREVOD NA UCET	3188	23099	 	IJ	58912730
1135611	3881	1998-02-08	VYDAJ	PREVOD NA UCET	3188	12544	 	IJ	58912730
1135612	3881	1998-03-08	VYDAJ	PREVOD NA UCET	3188	10827	 	IJ	58912730
1135613	3881	1998-04-08	VYDAJ	PREVOD NA UCET	3188	15430	 	IJ	58912730
1135614	3881	1998-05-08	VYDAJ	PREVOD NA UCET	3188	16669	 	IJ	58912730
1135615	3881	1998-06-08	VYDAJ	PREVOD NA UCET	3188	19774	 	IJ	58912730
1135616	3881	1998-07-08	VYDAJ	PREVOD NA UCET	3188	20728	 	IJ	58912730
1135617	3881	1998-08-08	VYDAJ	PREVOD NA UCET	3188	22869	 	IJ	58912730
1135618	3881	1998-09-08	VYDAJ	PREVOD NA UCET	3188	23717	 	IJ	58912730
1135619	3881	1998-10-08	VYDAJ	PREVOD NA UCET	3188	24869	 	IJ	58912730
1135620	3881	1998-11-08	VYDAJ	PREVOD NA UCET	3188	23722	 	IJ	58912730
1135621	3881	1998-12-08	VYDAJ	PREVOD NA UCET	3188	25696	 	IJ	58912730
1135623	3881	1997-06-02	VYDAJ	VYBER	14240	18156	\N	\N	\N
1135624	3881	1998-06-16	VYDAJ	VYBER	7360	21237	\N	\N	\N
1135626	3881	1997-01-27	VYDAJ	VYBER	15520	19850	\N	\N	\N
1135627	3881	1998-01-30	VYDAJ	VYBER	8800	15641	\N	\N	\N
1135628	3881	1996-12-29	VYDAJ	VYBER	960	32999	\N	\N	\N
1135629	3881	1997-12-12	VYDAJ	VYBER	1280	23082	\N	\N	\N
1135630	3881	1998-12-16	VYDAJ	VYBER	1440	33079	\N	\N	\N
1135631	3881	1996-09-18	VYDAJ	VYBER	4800	27009	\N	\N	\N
1135632	3881	1996-07-30	VYDAJ	VYBER	5640	33397	\N	\N	\N
1135635	3881	1996-10-02	VYDAJ	VYBER	4080	22432	\N	\N	\N
1135637	3881	1996-07-31	VYDAJ	VYBER	5520	28023	\N	\N	\N
1135638	3881	1996-09-02	VYDAJ	VYBER	2040	29555	\N	\N	\N
1135639	3881	1997-12-28	VYDAJ	VYBER	1320	26184	\N	\N	\N
1135640	3881	1997-12-16	VYDAJ	VYBER	2520	30704	\N	\N	\N
1135641	3881	1997-02-13	VYDAJ	VYBER	1920	18741	\N	\N	\N
1135642	3881	1997-11-14	VYDAJ	VYBER	3960	29860	\N	\N	\N
1135643	3881	1997-09-04	VYDAJ	VYBER	1080	24461	\N	\N	\N
1135645	3881	1998-03-01	VYDAJ	VYBER	720	14015	\N	\N	\N
1135646	3881	1998-04-30	VYDAJ	VYBER	1680	19872	\N	\N	\N
1135647	3881	1998-11-26	VYDAJ	VYBER	1080	28784	\N	\N	\N
1135649	3881	1998-05-20	VYDAJ	VYBER	1920	20191	\N	\N	\N
1135657	3881	1996-07-31	VYDAJ	VYBER	15	33543	SLUZBY	\N	\N
1135658	3881	1996-08-31	VYDAJ	VYBER	15	31595	SLUZBY	\N	\N
1135659	3881	1996-09-30	VYDAJ	VYBER	15	26512	SLUZBY	\N	\N
1135660	3881	1996-10-31	VYDAJ	VYBER	15	26372	SLUZBY	\N	\N
1135661	3881	1996-11-30	VYDAJ	VYBER	15	28924	SLUZBY	\N	\N
1135662	3881	1996-12-31	VYDAJ	VYBER	15	33116	SLUZBY	\N	\N
1135663	3881	1997-01-31	VYDAJ	VYBER	15	25168	SLUZBY	\N	\N
1135664	3881	1997-02-28	VYDAJ	VYBER	15	28391	SLUZBY	\N	\N
1135665	3881	1997-03-31	VYDAJ	VYBER	15	30051	SLUZBY	\N	\N
1135666	3881	1997-04-30	VYDAJ	VYBER	15	32719	SLUZBY	\N	\N
1135667	3881	1997-05-31	VYDAJ	VYBER	15	32396	SLUZBY	\N	\N
1135668	3881	1997-06-30	VYDAJ	VYBER	15	21574	SLUZBY	\N	\N
1135669	3881	1997-07-31	VYDAJ	VYBER	15	22205	SLUZBY	\N	\N
1135670	3881	1997-08-31	VYDAJ	VYBER	15	25541	SLUZBY	\N	\N
1135671	3881	1997-09-30	VYDAJ	VYBER	15	28106	SLUZBY	\N	\N
1135672	3881	1997-10-31	VYDAJ	VYBER	15	31566	SLUZBY	\N	\N
1135673	3881	1997-11-30	VYDAJ	VYBER	15	28869	SLUZBY	\N	\N
1135674	3881	1997-12-31	VYDAJ	VYBER	15	26287	SLUZBY	\N	\N
1135675	3881	1998-01-31	VYDAJ	VYBER	15	15732	SLUZBY	\N	\N
1135676	3881	1998-02-28	VYDAJ	VYBER	15	14735	SLUZBY	\N	\N
1135677	3881	1998-03-31	VYDAJ	VYBER	15	18618	SLUZBY	\N	\N
1135678	3881	1998-04-30	VYDAJ	VYBER	15	19857	SLUZBY	\N	\N
1135679	3881	1998-05-31	VYDAJ	VYBER	15	22962	SLUZBY	\N	\N
1135680	3881	1998-06-30	VYDAJ	VYBER	15	23916	SLUZBY	\N	\N
1135681	3881	1998-07-31	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
1135682	3881	1998-08-31	VYDAJ	VYBER	15	26905	SLUZBY	\N	\N
1135683	3881	1998-09-30	VYDAJ	VYBER	15	28057	SLUZBY	\N	\N
1135684	3881	1998-10-31	VYDAJ	VYBER	15	26910	SLUZBY	\N	\N
1135685	3881	1998-11-30	VYDAJ	VYBER	15	28884	SLUZBY	\N	\N
1135686	3881	1996-04-03	PRIJEM	VKLAD	9000	16579	\N	\N	\N
1135687	3881	1996-05-03	PRIJEM	VKLAD	700	24109	\N	\N	\N
1135688	3881	1996-06-02	VYDAJ	VYBER	2000	28986	\N	\N	\N
1135689	3881	1996-07-02	VYDAJ	VYBER	7000	32276	\N	\N	\N
1135690	3881	1996-08-01	PRIJEM	VKLAD	2500	30523	\N	\N	\N
1135691	3881	1996-08-31	VYDAJ	VYBER	1300	31609	\N	\N	\N
1135692	3881	1996-09-30	VYDAJ	VYBER	600	26527	\N	\N	\N
1135693	3881	1996-10-30	PRIJEM	VKLAD	1600	26286	\N	\N	\N
1135694	3881	1996-11-29	PRIJEM	VKLAD	200	28826	\N	\N	\N
1135695	3881	1996-12-29	VYDAJ	VYBER	600	33959	\N	\N	\N
1135696	3881	1997-01-28	PRIJEM	VKLAD	5200	25050	\N	\N	\N
1135697	3881	1997-02-27	PRIJEM	VKLAD	2800	28302	\N	\N	\N
1135698	3881	1997-03-29	VYDAJ	VYBER	700	29945	\N	\N	\N
1135699	3881	1997-04-28	PRIJEM	VKLAD	300	32605	\N	\N	\N
1135700	3881	1997-05-28	VYDAJ	VYBER	2700	32273	\N	\N	\N
1135701	3881	1997-06-27	VYDAJ	VYBER	2300	21491	\N	\N	\N
1135702	3881	1997-07-27	VYDAJ	VYBER	1700	22128	\N	\N	\N
1135703	3881	1997-08-26	PRIJEM	VKLAD	1000	25459	\N	\N	\N
1135704	3881	1997-09-25	PRIJEM	VKLAD	1300	28015	\N	\N	\N
1135705	3881	1997-10-25	PRIJEM	VKLAD	1100	31460	\N	\N	\N
1135706	3881	1997-11-24	VYDAJ	VYBER	1100	28760	\N	\N	\N
1135707	3881	1997-12-24	VYDAJ	VYBER	3200	27504	\N	\N	\N
1135708	3881	1998-01-23	VYDAJ	VYBER	4100	24441	\N	\N	\N
1135709	3881	1998-02-22	VYDAJ	VYBER	3300	14686	\N	\N	\N
1135710	3881	1998-03-24	PRIJEM	VKLAD	2300	18569	\N	\N	\N
1135711	3881	1998-04-23	PRIJEM	VKLAD	600	21472	\N	\N	\N
1135712	3881	1998-05-23	PRIJEM	VKLAD	2700	22891	\N	\N	\N
1135713	3881	1998-06-22	PRIJEM	VKLAD	2600	23837	\N	\N	\N
1135714	3881	1998-07-22	VYDAJ	VYBER	200	25970	\N	\N	\N
1135715	3881	1998-08-21	VYDAJ	VYBER	1500	26811	\N	\N	\N
1135716	3881	1998-09-20	VYDAJ	VYBER	1200	27959	\N	\N	\N
1135717	3881	1998-10-20	VYDAJ	VYBER	3500	26811	\N	\N	\N
1135718	3881	1998-11-19	PRIJEM	VKLAD	700	29864	\N	\N	\N
1135753	3882	1993-07-09	PRIJEM	VKLAD	500	500	\N	\N	\N
1135760	3882	1993-07-11	PRIJEM	PREVOD Z UCTU	3246	3746	\N	GH	64650767
1135761	3882	1993-08-11	PRIJEM	PREVOD Z UCTU	3246	15803	\N	GH	64650767
1135762	3882	1993-09-11	PRIJEM	PREVOD Z UCTU	3246	21098	\N	GH	64650767
1135763	3882	1993-10-11	PRIJEM	PREVOD Z UCTU	3246	25325	\N	GH	64650767
1135764	3882	1993-11-11	PRIJEM	PREVOD Z UCTU	3246	25871	\N	GH	64650767
1135765	3882	1993-12-11	PRIJEM	PREVOD Z UCTU	3246	26045	\N	GH	64650767
1135766	3882	1994-01-11	PRIJEM	PREVOD Z UCTU	3246	23309	\N	GH	64650767
1135767	3882	1994-02-11	PRIJEM	PREVOD Z UCTU	3246	24591	\N	GH	64650767
1135768	3882	1994-03-11	PRIJEM	PREVOD Z UCTU	3246	26057	\N	GH	64650767
1135769	3882	1994-04-11	PRIJEM	PREVOD Z UCTU	3246	27831	\N	GH	64650767
1135770	3882	1994-05-11	PRIJEM	PREVOD Z UCTU	3246	25051	\N	GH	64650767
1135771	3882	1994-06-11	PRIJEM	PREVOD Z UCTU	3246	23872	\N	GH	64650767
1135772	3882	1994-07-11	PRIJEM	PREVOD Z UCTU	3246	24172	\N	GH	64650767
1135773	3882	1994-08-11	PRIJEM	PREVOD Z UCTU	3246	26336	\N	GH	64650767
1135774	3882	1994-09-11	PRIJEM	PREVOD Z UCTU	3246	24209	\N	GH	64650767
1135775	3882	1994-10-11	PRIJEM	PREVOD Z UCTU	3246	23078	\N	GH	64650767
1135776	3882	1994-11-11	PRIJEM	PREVOD Z UCTU	3246	25647	\N	GH	64650767
1135777	3882	1994-12-11	PRIJEM	PREVOD Z UCTU	3246	24886	\N	GH	64650767
1135778	3882	1995-01-11	PRIJEM	PREVOD Z UCTU	3246	23334	\N	GH	64650767
1135779	3882	1995-02-11	PRIJEM	PREVOD Z UCTU	3246	23611	\N	GH	64650767
1135780	3882	1995-03-11	PRIJEM	PREVOD Z UCTU	3246	22574	\N	GH	64650767
1135781	3882	1995-04-11	PRIJEM	PREVOD Z UCTU	3246	25535	\N	GH	64650767
1135782	3882	1995-05-11	PRIJEM	PREVOD Z UCTU	3246	22506	\N	GH	64650767
1135783	3882	1995-06-11	PRIJEM	PREVOD Z UCTU	3246	18249	\N	GH	64650767
1135784	3882	1995-07-11	PRIJEM	PREVOD Z UCTU	3246	20496	\N	GH	64650767
1135785	3882	1995-08-11	PRIJEM	PREVOD Z UCTU	3246	21984	\N	GH	64650767
1135786	3882	1995-09-11	PRIJEM	PREVOD Z UCTU	3246	23671	\N	GH	64650767
1135787	3882	1995-10-11	PRIJEM	PREVOD Z UCTU	3246	23735	\N	GH	64650767
1135788	3882	1995-11-11	PRIJEM	PREVOD Z UCTU	3246	22597	\N	GH	64650767
1135789	3882	1995-12-11	PRIJEM	PREVOD Z UCTU	3246	18862	\N	GH	64650767
1135790	3882	1996-01-11	PRIJEM	PREVOD Z UCTU	3246	17643	\N	GH	64650767
1135791	3882	1996-02-11	PRIJEM	PREVOD Z UCTU	3246	13834	\N	GH	64650767
1135792	3882	1996-03-11	PRIJEM	PREVOD Z UCTU	3246	14455	\N	GH	64650767
1135793	3882	1996-04-11	PRIJEM	PREVOD Z UCTU	3246	17181	\N	GH	64650767
1135794	3882	1996-05-11	PRIJEM	PREVOD Z UCTU	3246	19416	\N	GH	64650767
1135795	3882	1996-06-11	PRIJEM	PREVOD Z UCTU	3246	21262	\N	GH	64650767
1135796	3882	1996-07-11	PRIJEM	PREVOD Z UCTU	3246	21113	\N	GH	64650767
1135797	3882	1996-08-11	PRIJEM	PREVOD Z UCTU	3246	20563	\N	GH	64650767
1135798	3882	1996-09-11	PRIJEM	PREVOD Z UCTU	3246	22214	\N	GH	64650767
1135799	3882	1996-10-11	PRIJEM	PREVOD Z UCTU	3246	20557	\N	GH	64650767
1135800	3882	1996-11-11	PRIJEM	PREVOD Z UCTU	3246	20245	\N	GH	64650767
1135801	3882	1996-12-11	PRIJEM	PREVOD Z UCTU	3246	21025	\N	GH	64650767
1135802	3882	1997-01-11	PRIJEM	PREVOD Z UCTU	3246	20086	\N	GH	64650767
1135803	3882	1997-02-11	PRIJEM	PREVOD Z UCTU	3246	17728	\N	GH	64650767
1135804	3882	1997-03-11	PRIJEM	PREVOD Z UCTU	3246	16061	\N	GH	64650767
1135805	3882	1997-04-11	PRIJEM	PREVOD Z UCTU	3246	20427	\N	GH	64650767
1135806	3882	1997-05-11	PRIJEM	PREVOD Z UCTU	3246	22076	\N	GH	64650767
1135807	3882	1997-06-11	PRIJEM	PREVOD Z UCTU	3246	16405	\N	GH	64650767
1135808	3882	1997-07-11	PRIJEM	PREVOD Z UCTU	3246	19417	\N	GH	64650767
1135809	3882	1997-08-11	PRIJEM	PREVOD Z UCTU	3246	22665	\N	GH	64650767
1135810	3882	1997-09-11	PRIJEM	PREVOD Z UCTU	3246	23784	\N	GH	64650767
1135811	3882	1997-10-11	PRIJEM	PREVOD Z UCTU	3246	28854	\N	GH	64650767
1135812	3882	1997-11-11	PRIJEM	PREVOD Z UCTU	3246	28134	\N	GH	64650767
1135813	3882	1997-12-11	PRIJEM	PREVOD Z UCTU	3246	28913	\N	GH	64650767
1135814	3882	1998-01-11	PRIJEM	PREVOD Z UCTU	3246	25138	\N	GH	64650767
1135815	3882	1998-02-11	PRIJEM	PREVOD Z UCTU	3246	21678	\N	GH	64650767
1135816	3882	1998-03-11	PRIJEM	PREVOD Z UCTU	3246	23032	\N	GH	64650767
1135817	3882	1998-04-11	PRIJEM	PREVOD Z UCTU	3246	21484	\N	GH	64650767
1135818	3882	1998-05-11	PRIJEM	PREVOD Z UCTU	3246	18527	\N	GH	64650767
1135819	3882	1998-06-11	PRIJEM	PREVOD Z UCTU	3246	19265	\N	GH	64650767
1135820	3882	1998-07-11	PRIJEM	PREVOD Z UCTU	3246	15697	\N	GH	64650767
1135821	3882	1998-08-11	PRIJEM	PREVOD Z UCTU	3246	17025	\N	GH	64650767
1135822	3882	1998-09-11	PRIJEM	PREVOD Z UCTU	3246	19362	\N	GH	64650767
1135823	3882	1998-10-11	PRIJEM	PREVOD Z UCTU	3246	26318	\N	GH	64650767
1135824	3882	1998-11-11	PRIJEM	PREVOD Z UCTU	3246	31738	\N	GH	64650767
1135825	3882	1998-12-11	PRIJEM	PREVOD Z UCTU	3246	34527	\N	GH	64650767
1135837	3882	1993-12-09	VYDAJ	PREVOD NA UCET	1608	22876	SIPO	KL	49302369
1135838	3882	1994-01-09	VYDAJ	PREVOD NA UCET	1608	20950	SIPO	KL	49302369
1135839	3882	1994-02-09	VYDAJ	PREVOD NA UCET	1608	21422	SIPO	KL	49302369
1135840	3882	1994-03-09	VYDAJ	PREVOD NA UCET	1608	22888	SIPO	KL	49302369
1135841	3882	1994-04-09	VYDAJ	PREVOD NA UCET	1608	24662	SIPO	KL	49302369
1135842	3882	1994-05-09	VYDAJ	PREVOD NA UCET	1608	22842	SIPO	KL	49302369
1135843	3882	1994-06-09	VYDAJ	PREVOD NA UCET	1608	20703	SIPO	KL	49302369
1135844	3882	1994-07-09	VYDAJ	PREVOD NA UCET	1608	21003	SIPO	KL	49302369
1135845	3882	1994-08-09	VYDAJ	PREVOD NA UCET	1608	23167	SIPO	KL	49302369
1135846	3882	1994-09-09	VYDAJ	PREVOD NA UCET	1608	21040	SIPO	KL	49302369
1135847	3882	1994-10-09	VYDAJ	PREVOD NA UCET	1608	19909	SIPO	KL	49302369
1135848	3882	1994-11-09	VYDAJ	PREVOD NA UCET	1608	22478	SIPO	KL	49302369
1135849	3882	1994-12-09	VYDAJ	PREVOD NA UCET	1608	21717	SIPO	KL	49302369
1135850	3882	1995-01-09	VYDAJ	PREVOD NA UCET	1608	20165	SIPO	KL	49302369
1135851	3882	1995-02-09	VYDAJ	PREVOD NA UCET	1608	20442	SIPO	KL	49302369
1135852	3882	1995-03-09	VYDAJ	PREVOD NA UCET	1608	19405	SIPO	KL	49302369
1135853	3882	1995-04-09	VYDAJ	PREVOD NA UCET	1608	22366	SIPO	KL	49302369
1135854	3882	1995-05-09	VYDAJ	PREVOD NA UCET	1608	19337	SIPO	KL	49302369
1135855	3882	1995-06-09	VYDAJ	PREVOD NA UCET	1608	15770	SIPO	KL	49302369
1135856	3882	1995-07-09	VYDAJ	PREVOD NA UCET	1608	17327	SIPO	KL	49302369
1135857	3882	1995-08-09	VYDAJ	PREVOD NA UCET	1608	18815	SIPO	KL	49302369
1135858	3882	1995-09-09	VYDAJ	PREVOD NA UCET	1608	20502	SIPO	KL	49302369
1135859	3882	1995-10-09	VYDAJ	PREVOD NA UCET	1608	20566	SIPO	KL	49302369
1135860	3882	1995-11-09	VYDAJ	PREVOD NA UCET	1608	19428	SIPO	KL	49302369
1135861	3882	1995-12-09	VYDAJ	PREVOD NA UCET	1608	15693	SIPO	KL	49302369
1135862	3882	1996-01-09	VYDAJ	PREVOD NA UCET	1608	14474	SIPO	KL	49302369
1135863	3882	1996-02-09	VYDAJ	PREVOD NA UCET	1608	10665	SIPO	KL	49302369
1135864	3882	1996-03-09	VYDAJ	PREVOD NA UCET	1608	11286	SIPO	KL	49302369
1135865	3882	1996-04-09	VYDAJ	PREVOD NA UCET	1608	14012	SIPO	KL	49302369
1135866	3882	1996-05-09	VYDAJ	PREVOD NA UCET	1608	16247	SIPO	KL	49302369
1135867	3882	1996-06-09	VYDAJ	PREVOD NA UCET	1608	18093	SIPO	KL	49302369
1135868	3882	1996-07-09	VYDAJ	PREVOD NA UCET	1608	17944	SIPO	KL	49302369
1135869	3882	1996-08-09	VYDAJ	PREVOD NA UCET	1608	17394	SIPO	KL	49302369
1135870	3882	1996-09-09	VYDAJ	PREVOD NA UCET	1608	19045	SIPO	KL	49302369
1135871	3882	1996-10-09	VYDAJ	PREVOD NA UCET	1608	17388	SIPO	KL	49302369
1135872	3882	1996-11-09	VYDAJ	PREVOD NA UCET	1608	17076	SIPO	KL	49302369
1135873	3882	1996-12-09	VYDAJ	PREVOD NA UCET	1608	17856	SIPO	KL	49302369
1135874	3882	1997-01-09	VYDAJ	PREVOD NA UCET	1608	17217	SIPO	KL	49302369
1135875	3882	1997-02-09	VYDAJ	PREVOD NA UCET	1608	14559	SIPO	KL	49302369
1135876	3882	1997-03-09	VYDAJ	PREVOD NA UCET	1608	12892	SIPO	KL	49302369
1135877	3882	1997-04-09	VYDAJ	PREVOD NA UCET	1608	17258	SIPO	KL	49302369
1135878	3882	1997-05-09	VYDAJ	PREVOD NA UCET	1608	18907	SIPO	KL	49302369
1135879	3882	1997-06-09	VYDAJ	PREVOD NA UCET	1608	13236	SIPO	KL	49302369
1135880	3882	1997-07-09	VYDAJ	PREVOD NA UCET	1608	16248	SIPO	KL	49302369
1135881	3882	1997-08-09	VYDAJ	PREVOD NA UCET	1608	19496	SIPO	KL	49302369
1135882	3882	1997-09-09	VYDAJ	PREVOD NA UCET	1608	20615	SIPO	KL	49302369
1135883	3882	1997-10-09	VYDAJ	PREVOD NA UCET	1608	25685	SIPO	KL	49302369
1135884	3882	1997-11-09	VYDAJ	PREVOD NA UCET	1608	24965	SIPO	KL	49302369
1135885	3882	1997-12-09	VYDAJ	PREVOD NA UCET	1608	25744	SIPO	KL	49302369
1135886	3882	1998-01-09	VYDAJ	PREVOD NA UCET	1608	21969	SIPO	KL	49302369
1135887	3882	1998-02-09	VYDAJ	PREVOD NA UCET	1608	18509	SIPO	KL	49302369
1135888	3882	1998-03-09	VYDAJ	PREVOD NA UCET	1608	19863	SIPO	KL	49302369
1135889	3882	1998-04-09	VYDAJ	PREVOD NA UCET	1608	18315	SIPO	KL	49302369
1135890	3882	1998-05-09	VYDAJ	PREVOD NA UCET	1608	15358	SIPO	KL	49302369
1135891	3882	1998-06-09	VYDAJ	PREVOD NA UCET	1608	16096	SIPO	KL	49302369
1135892	3882	1998-07-09	VYDAJ	PREVOD NA UCET	1608	12528	SIPO	KL	49302369
1135893	3882	1998-08-09	VYDAJ	PREVOD NA UCET	1608	13856	SIPO	KL	49302369
1135894	3882	1998-09-09	VYDAJ	PREVOD NA UCET	1608	16193	SIPO	KL	49302369
1135895	3882	1998-10-09	VYDAJ	PREVOD NA UCET	1608	22249	SIPO	KL	49302369
1135896	3882	1998-11-09	VYDAJ	PREVOD NA UCET	1608	24169	SIPO	KL	49302369
1135897	3882	1998-12-09	VYDAJ	PREVOD NA UCET	1608	29758	SIPO	KL	49302369
1135909	3882	1993-12-07	VYDAJ	PREVOD NA UCET	379	24484	 	QR	87316327
1135910	3882	1994-01-07	VYDAJ	PREVOD NA UCET	379	23248	 	QR	87316327
1135911	3882	1994-02-07	VYDAJ	PREVOD NA UCET	379	23030	 	QR	87316327
1135912	3882	1994-03-07	VYDAJ	PREVOD NA UCET	379	24496	 	QR	87316327
1135913	3882	1994-04-07	VYDAJ	PREVOD NA UCET	379	26270	 	QR	87316327
1135914	3882	1994-05-07	VYDAJ	PREVOD NA UCET	379	24450	 	QR	87316327
1135915	3882	1994-06-07	VYDAJ	PREVOD NA UCET	379	22311	 	QR	87316327
1135916	3882	1994-07-07	VYDAJ	PREVOD NA UCET	379	22611	 	QR	87316327
1135917	3882	1994-08-07	VYDAJ	PREVOD NA UCET	379	24775	 	QR	87316327
1135918	3882	1994-09-07	VYDAJ	PREVOD NA UCET	379	22648	 	QR	87316327
1135919	3882	1994-10-07	VYDAJ	PREVOD NA UCET	379	21517	 	QR	87316327
1135920	3882	1994-11-07	VYDAJ	PREVOD NA UCET	379	24086	 	QR	87316327
1135921	3882	1994-12-07	VYDAJ	PREVOD NA UCET	379	23325	 	QR	87316327
1135922	3882	1995-01-07	VYDAJ	PREVOD NA UCET	379	21773	 	QR	87316327
1135923	3882	1995-02-07	VYDAJ	PREVOD NA UCET	379	22050	 	QR	87316327
1135924	3882	1995-03-07	VYDAJ	PREVOD NA UCET	379	21013	 	QR	87316327
1135925	3882	1995-04-07	VYDAJ	PREVOD NA UCET	379	23974	 	QR	87316327
1135926	3882	1995-05-07	VYDAJ	PREVOD NA UCET	379	20945	 	QR	87316327
1135927	3882	1995-06-07	VYDAJ	PREVOD NA UCET	379	17378	 	QR	87316327
1135928	3882	1995-07-07	VYDAJ	PREVOD NA UCET	379	18935	 	QR	87316327
1135929	3882	1995-08-07	VYDAJ	PREVOD NA UCET	379	20423	 	QR	87316327
1135930	3882	1995-09-07	VYDAJ	PREVOD NA UCET	379	22110	 	QR	87316327
1135931	3882	1995-10-07	VYDAJ	PREVOD NA UCET	379	22174	 	QR	87316327
1135932	3882	1995-11-07	VYDAJ	PREVOD NA UCET	379	21036	 	QR	87316327
1135933	3882	1995-12-07	VYDAJ	PREVOD NA UCET	379	17301	 	QR	87316327
1135934	3882	1996-01-07	VYDAJ	PREVOD NA UCET	379	16472	 	QR	87316327
1135935	3882	1996-02-07	VYDAJ	PREVOD NA UCET	379	12273	 	QR	87316327
1135936	3882	1996-03-07	VYDAJ	PREVOD NA UCET	379	12894	 	QR	87316327
1135937	3882	1996-04-07	VYDAJ	PREVOD NA UCET	379	15620	 	QR	87316327
1135938	3882	1996-05-07	VYDAJ	PREVOD NA UCET	379	17855	 	QR	87316327
1135939	3882	1996-06-07	VYDAJ	PREVOD NA UCET	379	19701	 	QR	87316327
1135940	3882	1996-07-07	VYDAJ	PREVOD NA UCET	379	19552	 	QR	87316327
1135941	3882	1996-08-07	VYDAJ	PREVOD NA UCET	379	19002	 	QR	87316327
1135942	3882	1996-09-07	VYDAJ	PREVOD NA UCET	379	20653	 	QR	87316327
1135943	3882	1996-10-07	VYDAJ	PREVOD NA UCET	379	18996	 	QR	87316327
1135944	3882	1996-11-07	VYDAJ	PREVOD NA UCET	379	18684	 	QR	87316327
1135945	3882	1996-12-07	VYDAJ	PREVOD NA UCET	379	20934	 	QR	87316327
1135946	3882	1997-01-07	VYDAJ	PREVOD NA UCET	379	18825	 	QR	87316327
1135947	3882	1997-02-07	VYDAJ	PREVOD NA UCET	379	16167	 	QR	87316327
1135948	3882	1997-03-07	VYDAJ	PREVOD NA UCET	379	14500	 	QR	87316327
1135949	3882	1997-04-07	VYDAJ	PREVOD NA UCET	379	18866	 	QR	87316327
1135950	3882	1997-05-07	VYDAJ	PREVOD NA UCET	379	20515	 	QR	87316327
1135951	3882	1997-06-07	VYDAJ	PREVOD NA UCET	379	14844	 	QR	87316327
1135952	3882	1997-07-07	VYDAJ	PREVOD NA UCET	379	17856	 	QR	87316327
1135953	3882	1997-08-07	VYDAJ	PREVOD NA UCET	379	21104	 	QR	87316327
1135954	3882	1997-09-07	VYDAJ	PREVOD NA UCET	379	22613	 	QR	87316327
1135955	3882	1997-10-07	VYDAJ	PREVOD NA UCET	379	27293	 	QR	87316327
1135956	3882	1997-11-07	VYDAJ	PREVOD NA UCET	379	26573	 	QR	87316327
1135957	3882	1997-12-07	VYDAJ	PREVOD NA UCET	379	27352	 	QR	87316327
1135958	3882	1998-01-07	VYDAJ	PREVOD NA UCET	379	23577	 	QR	87316327
1135959	3882	1998-02-07	VYDAJ	PREVOD NA UCET	379	20117	 	QR	87316327
1135960	3882	1998-03-07	VYDAJ	PREVOD NA UCET	379	21471	 	QR	87316327
1135961	3882	1998-04-07	VYDAJ	PREVOD NA UCET	379	19923	 	QR	87316327
1135962	3882	1998-05-07	VYDAJ	PREVOD NA UCET	379	16966	 	QR	87316327
1135963	3882	1998-06-07	VYDAJ	PREVOD NA UCET	379	17704	 	QR	87316327
1135964	3882	1998-07-07	VYDAJ	PREVOD NA UCET	379	14136	 	QR	87316327
1135965	3882	1998-08-07	VYDAJ	PREVOD NA UCET	379	15464	 	QR	87316327
1135966	3882	1998-09-07	VYDAJ	PREVOD NA UCET	379	17801	 	QR	87316327
1135967	3882	1998-10-07	VYDAJ	PREVOD NA UCET	379	23857	 	QR	87316327
1135968	3882	1998-11-07	VYDAJ	PREVOD NA UCET	379	25777	 	QR	87316327
1135969	3882	1998-12-07	VYDAJ	PREVOD NA UCET	379	31366	 	QR	87316327
1135981	3882	1993-12-10	VYDAJ	PREVOD NA UCET	77	22799	POJISTNE	ST	72013407
1135982	3882	1994-01-10	VYDAJ	PREVOD NA UCET	77	20063	POJISTNE	ST	72013407
1135983	3882	1994-02-10	VYDAJ	PREVOD NA UCET	77	21345	POJISTNE	ST	72013407
1135984	3882	1994-03-10	VYDAJ	PREVOD NA UCET	77	22811	POJISTNE	ST	72013407
1135985	3882	1994-04-10	VYDAJ	PREVOD NA UCET	77	24585	POJISTNE	ST	72013407
1135986	3882	1994-05-10	VYDAJ	PREVOD NA UCET	77	21805	POJISTNE	ST	72013407
1135987	3882	1994-06-10	VYDAJ	PREVOD NA UCET	77	20626	POJISTNE	ST	72013407
1135988	3882	1994-07-10	VYDAJ	PREVOD NA UCET	77	20926	POJISTNE	ST	72013407
1135989	3882	1994-08-10	VYDAJ	PREVOD NA UCET	77	23090	POJISTNE	ST	72013407
1135990	3882	1994-09-10	VYDAJ	PREVOD NA UCET	77	20963	POJISTNE	ST	72013407
1135991	3882	1994-10-10	VYDAJ	PREVOD NA UCET	77	19832	POJISTNE	ST	72013407
1135992	3882	1994-11-10	VYDAJ	PREVOD NA UCET	77	22401	POJISTNE	ST	72013407
1135993	3882	1994-12-10	VYDAJ	PREVOD NA UCET	77	21640	POJISTNE	ST	72013407
1135994	3882	1995-01-10	VYDAJ	PREVOD NA UCET	77	20088	POJISTNE	ST	72013407
1135995	3882	1995-02-10	VYDAJ	PREVOD NA UCET	77	20365	POJISTNE	ST	72013407
1135996	3882	1995-03-10	VYDAJ	PREVOD NA UCET	77	19328	POJISTNE	ST	72013407
1135997	3882	1995-04-10	VYDAJ	PREVOD NA UCET	77	22289	POJISTNE	ST	72013407
1135998	3882	1995-05-10	VYDAJ	PREVOD NA UCET	77	19260	POJISTNE	ST	72013407
1135999	3882	1995-06-10	VYDAJ	PREVOD NA UCET	77	15693	POJISTNE	ST	72013407
1136000	3882	1995-07-10	VYDAJ	PREVOD NA UCET	77	17250	POJISTNE	ST	72013407
1136001	3882	1995-08-10	VYDAJ	PREVOD NA UCET	77	18738	POJISTNE	ST	72013407
1136002	3882	1995-09-10	VYDAJ	PREVOD NA UCET	77	20425	POJISTNE	ST	72013407
1136003	3882	1995-10-10	VYDAJ	PREVOD NA UCET	77	20489	POJISTNE	ST	72013407
1136004	3882	1995-11-10	VYDAJ	PREVOD NA UCET	77	19351	POJISTNE	ST	72013407
1136005	3882	1995-12-10	VYDAJ	PREVOD NA UCET	77	15616	POJISTNE	ST	72013407
1136006	3882	1996-01-10	VYDAJ	PREVOD NA UCET	77	14397	POJISTNE	ST	72013407
1136007	3882	1996-02-10	VYDAJ	PREVOD NA UCET	77	10588	POJISTNE	ST	72013407
1136008	3882	1996-03-10	VYDAJ	PREVOD NA UCET	77	11209	POJISTNE	ST	72013407
1136009	3882	1996-04-10	VYDAJ	PREVOD NA UCET	77	13935	POJISTNE	ST	72013407
1136010	3882	1996-05-10	VYDAJ	PREVOD NA UCET	77	16170	POJISTNE	ST	72013407
1136011	3882	1996-06-10	VYDAJ	PREVOD NA UCET	77	18016	POJISTNE	ST	72013407
1136012	3882	1996-07-10	VYDAJ	PREVOD NA UCET	77	17867	POJISTNE	ST	72013407
1136013	3882	1996-08-10	VYDAJ	PREVOD NA UCET	77	17317	POJISTNE	ST	72013407
1136014	3882	1996-09-10	VYDAJ	PREVOD NA UCET	77	18968	POJISTNE	ST	72013407
1136015	3882	1996-10-10	VYDAJ	PREVOD NA UCET	77	17311	POJISTNE	ST	72013407
1136016	3882	1996-11-10	VYDAJ	PREVOD NA UCET	77	16999	POJISTNE	ST	72013407
1136017	3882	1996-12-10	VYDAJ	PREVOD NA UCET	77	17779	POJISTNE	ST	72013407
1136018	3882	1997-01-10	VYDAJ	PREVOD NA UCET	77	16840	POJISTNE	ST	72013407
1136019	3882	1997-02-10	VYDAJ	PREVOD NA UCET	77	14482	POJISTNE	ST	72013407
1136020	3882	1997-03-10	VYDAJ	PREVOD NA UCET	77	12815	POJISTNE	ST	72013407
1136021	3882	1997-04-10	VYDAJ	PREVOD NA UCET	77	17181	POJISTNE	ST	72013407
1136022	3882	1997-05-10	VYDAJ	PREVOD NA UCET	77	18830	POJISTNE	ST	72013407
1136023	3882	1997-06-10	VYDAJ	PREVOD NA UCET	77	13159	POJISTNE	ST	72013407
1136024	3882	1997-07-10	VYDAJ	PREVOD NA UCET	77	16171	POJISTNE	ST	72013407
1136025	3882	1997-08-10	VYDAJ	PREVOD NA UCET	77	19419	POJISTNE	ST	72013407
1136026	3882	1997-09-10	VYDAJ	PREVOD NA UCET	77	20538	POJISTNE	ST	72013407
1136027	3882	1997-10-10	VYDAJ	PREVOD NA UCET	77	25608	POJISTNE	ST	72013407
1136028	3882	1997-11-10	VYDAJ	PREVOD NA UCET	77	24888	POJISTNE	ST	72013407
1136029	3882	1997-12-10	VYDAJ	PREVOD NA UCET	77	25667	POJISTNE	ST	72013407
1136030	3882	1998-01-10	VYDAJ	PREVOD NA UCET	77	21892	POJISTNE	ST	72013407
1136031	3882	1998-02-10	VYDAJ	PREVOD NA UCET	77	18432	POJISTNE	ST	72013407
1136032	3882	1998-03-10	VYDAJ	PREVOD NA UCET	77	19786	POJISTNE	ST	72013407
1136033	3882	1998-04-10	VYDAJ	PREVOD NA UCET	77	18238	POJISTNE	ST	72013407
1136034	3882	1998-05-10	VYDAJ	PREVOD NA UCET	77	15281	POJISTNE	ST	72013407
1136035	3882	1998-06-10	VYDAJ	PREVOD NA UCET	77	16019	POJISTNE	ST	72013407
1136036	3882	1998-07-10	VYDAJ	PREVOD NA UCET	77	12451	POJISTNE	ST	72013407
1136037	3882	1998-08-10	VYDAJ	PREVOD NA UCET	77	13779	POJISTNE	ST	72013407
1136038	3882	1998-09-10	VYDAJ	PREVOD NA UCET	77	16116	POJISTNE	ST	72013407
1136039	3882	1998-10-10	VYDAJ	PREVOD NA UCET	77	22172	POJISTNE	ST	72013407
1136040	3882	1998-11-10	VYDAJ	PREVOD NA UCET	77	28492	POJISTNE	ST	72013407
1136041	3882	1998-12-10	VYDAJ	PREVOD NA UCET	77	31281	POJISTNE	ST	72013407
1136052	3882	1993-11-13	VYDAJ	PREVOD NA UCET	100	25771	 	IJ	12070072
1136053	3882	1993-12-13	VYDAJ	PREVOD NA UCET	100	25945	 	IJ	12070072
1136054	3882	1994-01-13	VYDAJ	PREVOD NA UCET	100	22819	 	IJ	12070072
1136055	3882	1994-02-13	VYDAJ	PREVOD NA UCET	100	24491	 	IJ	12070072
1136056	3882	1994-03-13	VYDAJ	PREVOD NA UCET	100	25957	 	IJ	12070072
1136057	3882	1994-04-13	VYDAJ	PREVOD NA UCET	100	27731	 	IJ	12070072
1136058	3882	1994-05-13	VYDAJ	PREVOD NA UCET	100	24951	 	IJ	12070072
1136059	3882	1994-06-13	VYDAJ	PREVOD NA UCET	100	23772	 	IJ	12070072
1136060	3882	1994-07-13	VYDAJ	PREVOD NA UCET	100	24072	 	IJ	12070072
1136061	3882	1994-08-13	VYDAJ	PREVOD NA UCET	100	26236	 	IJ	12070072
1136062	3882	1994-09-13	VYDAJ	PREVOD NA UCET	100	24109	 	IJ	12070072
1136063	3882	1994-10-13	VYDAJ	PREVOD NA UCET	100	22978	 	IJ	12070072
1136064	3882	1994-11-13	VYDAJ	PREVOD NA UCET	100	25547	 	IJ	12070072
1136065	3882	1994-12-13	VYDAJ	PREVOD NA UCET	100	24786	 	IJ	12070072
1136066	3882	1995-01-13	VYDAJ	PREVOD NA UCET	100	22184	 	IJ	12070072
1136067	3882	1995-02-13	VYDAJ	PREVOD NA UCET	100	23511	 	IJ	12070072
1136068	3882	1995-03-13	VYDAJ	PREVOD NA UCET	100	22474	 	IJ	12070072
1136069	3882	1995-04-13	VYDAJ	PREVOD NA UCET	100	25435	 	IJ	12070072
1136070	3882	1995-05-13	VYDAJ	PREVOD NA UCET	100	22406	 	IJ	12070072
1136071	3882	1995-06-13	VYDAJ	PREVOD NA UCET	100	18149	 	IJ	12070072
1136072	3882	1995-07-13	VYDAJ	PREVOD NA UCET	100	20396	 	IJ	12070072
1136073	3882	1995-08-13	VYDAJ	PREVOD NA UCET	100	21884	 	IJ	12070072
1136074	3882	1995-09-13	VYDAJ	PREVOD NA UCET	100	23571	 	IJ	12070072
1136075	3882	1995-10-13	VYDAJ	PREVOD NA UCET	100	23635	 	IJ	12070072
1136076	3882	1995-11-13	VYDAJ	PREVOD NA UCET	100	22497	 	IJ	12070072
1136077	3882	1995-12-13	VYDAJ	PREVOD NA UCET	100	18762	 	IJ	12070072
1136078	3882	1996-01-13	VYDAJ	PREVOD NA UCET	100	16523	 	IJ	12070072
1136079	3882	1996-02-13	VYDAJ	PREVOD NA UCET	100	13734	 	IJ	12070072
1136080	3882	1996-03-13	VYDAJ	PREVOD NA UCET	100	14355	 	IJ	12070072
1136081	3882	1996-04-13	VYDAJ	PREVOD NA UCET	100	17081	 	IJ	12070072
1136082	3882	1996-05-13	VYDAJ	PREVOD NA UCET	100	19316	 	IJ	12070072
1136083	3882	1996-06-13	VYDAJ	PREVOD NA UCET	100	21162	 	IJ	12070072
1136084	3882	1996-07-13	VYDAJ	PREVOD NA UCET	100	21013	 	IJ	12070072
1136085	3882	1996-08-13	VYDAJ	PREVOD NA UCET	100	20463	 	IJ	12070072
1136086	3882	1996-09-13	VYDAJ	PREVOD NA UCET	100	22114	 	IJ	12070072
1136087	3882	1996-10-13	VYDAJ	PREVOD NA UCET	100	20457	 	IJ	12070072
1136088	3882	1996-11-13	VYDAJ	PREVOD NA UCET	100	20145	 	IJ	12070072
1136089	3882	1996-12-13	VYDAJ	PREVOD NA UCET	100	20925	 	IJ	12070072
1136090	3882	1997-01-13	VYDAJ	PREVOD NA UCET	100	19596	 	IJ	12070072
1136091	3882	1997-02-13	VYDAJ	PREVOD NA UCET	100	17628	 	IJ	12070072
1136092	3882	1997-03-13	VYDAJ	PREVOD NA UCET	100	15961	 	IJ	12070072
1136093	3882	1997-04-13	VYDAJ	PREVOD NA UCET	100	20327	 	IJ	12070072
1136094	3882	1997-05-13	VYDAJ	PREVOD NA UCET	100	21976	 	IJ	12070072
1136095	3882	1997-06-13	VYDAJ	PREVOD NA UCET	100	16305	 	IJ	12070072
1136096	3882	1997-07-13	VYDAJ	PREVOD NA UCET	100	19317	 	IJ	12070072
1136097	3882	1997-08-13	VYDAJ	PREVOD NA UCET	100	22565	 	IJ	12070072
1136098	3882	1997-09-13	VYDAJ	PREVOD NA UCET	100	23684	 	IJ	12070072
1136099	3882	1997-10-13	VYDAJ	PREVOD NA UCET	100	28754	 	IJ	12070072
1136100	3882	1997-11-13	VYDAJ	PREVOD NA UCET	100	28034	 	IJ	12070072
1136101	3882	1997-12-13	VYDAJ	PREVOD NA UCET	100	28393	 	IJ	12070072
1136102	3882	1998-01-13	VYDAJ	PREVOD NA UCET	100	25038	 	IJ	12070072
1136103	3882	1998-02-13	VYDAJ	PREVOD NA UCET	100	21778	 	IJ	12070072
1136104	3882	1998-03-13	VYDAJ	PREVOD NA UCET	100	22932	 	IJ	12070072
1136105	3882	1998-04-13	VYDAJ	PREVOD NA UCET	100	21384	 	IJ	12070072
1136106	3882	1998-05-13	VYDAJ	PREVOD NA UCET	100	18427	 	IJ	12070072
1136107	3882	1998-06-13	VYDAJ	PREVOD NA UCET	100	14465	 	IJ	12070072
1136108	3882	1998-07-13	VYDAJ	PREVOD NA UCET	100	15797	 	IJ	12070072
1136109	3882	1998-08-13	VYDAJ	PREVOD NA UCET	100	18125	 	IJ	12070072
1136110	3882	1998-09-13	VYDAJ	PREVOD NA UCET	100	24162	 	IJ	12070072
1136111	3882	1998-10-13	VYDAJ	PREVOD NA UCET	100	26218	 	IJ	12070072
1136112	3882	1998-11-13	VYDAJ	PREVOD NA UCET	100	31638	 	IJ	12070072
1136113	3882	1998-12-13	VYDAJ	PREVOD NA UCET	100	34427	 	IJ	12070072
1136115	3882	1994-06-15	VYDAJ	VYBER	2760	21012	\N	\N	\N
1136116	3882	1995-06-06	VYDAJ	VYBER	6330	17757	\N	\N	\N
1136118	3882	1997-06-05	VYDAJ	VYBER	8430	15223	\N	\N	\N
1136120	3882	1993-12-16	VYDAJ	VYBER	150	25795	\N	\N	\N
1136121	3882	1994-12-27	VYDAJ	VYBER	480	22866	\N	\N	\N
1136122	3882	1995-12-05	VYDAJ	VYBER	690	17680	\N	\N	\N
1136123	3882	1996-12-24	VYDAJ	VYBER	600	19525	\N	\N	\N
1136124	3882	1997-12-13	VYDAJ	VYBER	420	28493	\N	\N	\N
1136125	3882	1998-12-14	VYDAJ	VYBER	360	34067	\N	\N	\N
1136132	3882	1994-01-05	VYDAJ	VYBER	660	25227	\N	\N	\N
1136133	3882	1994-01-09	VYDAJ	VYBER	810	20140	\N	\N	\N
1136134	3882	1994-01-07	VYDAJ	VYBER	480	22558	\N	\N	\N
1136135	3882	1994-01-15	VYDAJ	VYBER	720	22099	\N	\N	\N
1136136	3882	1994-01-13	VYDAJ	VYBER	390	22919	\N	\N	\N
1136137	3882	1994-01-07	VYDAJ	VYBER	210	23038	\N	\N	\N
1136138	3882	1995-01-25	VYDAJ	VYBER	540	20354	\N	\N	\N
1136139	3882	1995-01-21	VYDAJ	VYBER	240	21944	\N	\N	\N
1136140	3882	1995-01-22	VYDAJ	VYBER	570	20894	\N	\N	\N
1136141	3882	1995-01-21	VYDAJ	VYBER	480	21464	\N	\N	\N
1136142	3882	1995-01-12	VYDAJ	VYBER	870	22464	\N	\N	\N
1136143	3882	1995-01-12	VYDAJ	VYBER	180	22284	\N	\N	\N
1136144	3882	1996-01-15	VYDAJ	VYBER	480	16043	\N	\N	\N
1136145	3882	1996-01-02	VYDAJ	VYBER	390	16851	\N	\N	\N
1136146	3882	1996-01-12	VYDAJ	VYBER	270	16623	\N	\N	\N
1136147	3882	1996-01-11	VYDAJ	VYBER	750	16893	\N	\N	\N
1136148	3882	1996-01-08	VYDAJ	VYBER	390	16082	\N	\N	\N
1136149	3882	1996-01-17	VYDAJ	VYBER	540	15503	\N	\N	\N
1136150	3882	1997-01-20	VYDAJ	VYBER	150	17746	\N	\N	\N
1136151	3882	1997-01-11	VYDAJ	VYBER	390	19696	\N	\N	\N
1136152	3882	1997-01-09	VYDAJ	VYBER	300	16917	\N	\N	\N
1136153	3882	1997-01-21	VYDAJ	VYBER	660	17086	\N	\N	\N
1136154	3882	1997-01-01	VYDAJ	VYBER	390	19204	\N	\N	\N
1136155	3882	1997-01-25	VYDAJ	VYBER	600	16486	\N	\N	\N
1136156	3882	1998-01-04	VYDAJ	VYBER	510	24346	\N	\N	\N
1136157	3882	1998-01-25	VYDAJ	VYBER	780	20748	\N	\N	\N
1136158	3882	1998-01-24	VYDAJ	VYBER	570	21528	\N	\N	\N
1136159	3882	1998-01-05	VYDAJ	VYBER	390	23956	\N	\N	\N
1136160	3882	1998-01-27	VYDAJ	VYBER	330	20418	\N	\N	\N
1136161	3882	1998-01-20	VYDAJ	VYBER	840	22098	\N	\N	\N
1136169	3882	1994-10-13	VYDAJ	VYBER	1290	21688	\N	\N	\N
1136170	3882	1994-05-09	VYDAJ	VYBER	960	21882	\N	\N	\N
1136171	3882	1994-05-16	VYDAJ	VYBER	750	24201	\N	\N	\N
1136172	3882	1994-01-31	VYDAJ	VYBER	570	21609	\N	\N	\N
1136173	3882	1994-12-07	VYDAJ	VYBER	930	23704	\N	\N	\N
1136174	3882	1994-12-22	VYDAJ	VYBER	1440	23346	\N	\N	\N
1136175	3882	1995-07-15	VYDAJ	VYBER	1260	19136	\N	\N	\N
1136176	3882	1995-09-06	VYDAJ	VYBER	1470	22489	\N	\N	\N
1136177	3882	1995-06-10	VYDAJ	VYBER	690	15003	\N	\N	\N
1136178	3882	1995-12-16	VYDAJ	VYBER	1080	17682	\N	\N	\N
1136179	3882	1996-04-14	VYDAJ	VYBER	1200	15881	\N	\N	\N
1136180	3882	1996-10-16	VYDAJ	VYBER	360	20097	\N	\N	\N
1136181	3882	1996-11-07	VYDAJ	VYBER	300	19063	\N	\N	\N
1136182	3882	1996-09-21	VYDAJ	VYBER	810	19304	\N	\N	\N
1136183	3882	1996-12-08	VYDAJ	VYBER	1470	19464	\N	\N	\N
1136184	3882	1997-08-14	VYDAJ	VYBER	450	22115	\N	\N	\N
1136185	3882	1997-04-07	VYDAJ	VYBER	270	19245	\N	\N	\N
1136186	3882	1997-09-08	VYDAJ	VYBER	390	22223	\N	\N	\N
1136187	3882	1997-12-28	VYDAJ	VYBER	330	24763	\N	\N	\N
1136188	3882	1997-06-24	VYDAJ	VYBER	630	18175	\N	\N	\N
1136189	3882	1998-10-16	VYDAJ	VYBER	150	26068	\N	\N	\N
1136190	3882	1998-12-29	VYDAJ	VYBER	390	33677	\N	\N	\N
1136202	3882	1993-11-30	VYDAJ	VYBER	15	25863	SLUZBY	\N	\N
1136203	3882	1993-12-31	VYDAJ	VYBER	15	25887	SLUZBY	\N	\N
1136204	3882	1994-01-31	VYDAJ	VYBER	15	22179	SLUZBY	\N	\N
1136205	3882	1994-02-28	VYDAJ	VYBER	15	24575	SLUZBY	\N	\N
1136206	3882	1994-03-31	VYDAJ	VYBER	15	26049	SLUZBY	\N	\N
1136207	3882	1994-04-30	VYDAJ	VYBER	15	27829	SLUZBY	\N	\N
1136208	3882	1994-05-31	VYDAJ	VYBER	15	24290	SLUZBY	\N	\N
1136209	3882	1994-06-30	VYDAJ	VYBER	15	21090	SLUZBY	\N	\N
1136210	3882	1994-07-31	VYDAJ	VYBER	15	24154	SLUZBY	\N	\N
1136211	3882	1994-08-31	VYDAJ	VYBER	15	26327	SLUZBY	\N	\N
1136212	3882	1994-09-30	VYDAJ	VYBER	15	24196	SLUZBY	\N	\N
1136213	3882	1994-10-31	VYDAJ	VYBER	15	21765	SLUZBY	\N	\N
1136214	3882	1994-11-30	VYDAJ	VYBER	15	25634	SLUZBY	\N	\N
1136215	3882	1994-12-31	VYDAJ	VYBER	15	22152	SLUZBY	\N	\N
1136216	3882	1995-01-31	VYDAJ	VYBER	15	22429	SLUZBY	\N	\N
1136217	3882	1995-02-28	VYDAJ	VYBER	15	23592	SLUZBY	\N	\N
1136218	3882	1995-03-31	VYDAJ	VYBER	15	24353	SLUZBY	\N	\N
1136219	3882	1995-04-30	VYDAJ	VYBER	15	25524	SLUZBY	\N	\N
1136220	3882	1995-05-31	VYDAJ	VYBER	15	24087	SLUZBY	\N	\N
1136221	3882	1995-06-30	VYDAJ	VYBER	15	19314	SLUZBY	\N	\N
1136222	3882	1995-07-31	VYDAJ	VYBER	15	20802	SLUZBY	\N	\N
1136223	3882	1995-08-31	VYDAJ	VYBER	15	23959	SLUZBY	\N	\N
1136224	3882	1995-09-30	VYDAJ	VYBER	15	22553	SLUZBY	\N	\N
1136225	3882	1995-10-31	VYDAJ	VYBER	15	21415	SLUZBY	\N	\N
1136226	3882	1995-11-30	VYDAJ	VYBER	15	18370	SLUZBY	\N	\N
1136227	3882	1995-12-31	VYDAJ	VYBER	15	17241	SLUZBY	\N	\N
1136228	3882	1996-01-31	VYDAJ	VYBER	15	12652	SLUZBY	\N	\N
1136229	3882	1996-02-29	VYDAJ	VYBER	15	13273	SLUZBY	\N	\N
1136230	3882	1996-03-31	VYDAJ	VYBER	15	15999	SLUZBY	\N	\N
1136231	3882	1996-04-30	VYDAJ	VYBER	15	18234	SLUZBY	\N	\N
1136232	3882	1996-05-31	VYDAJ	VYBER	15	20080	SLUZBY	\N	\N
1136233	3882	1996-06-30	VYDAJ	VYBER	15	19931	SLUZBY	\N	\N
1136234	3882	1996-07-31	VYDAJ	VYBER	15	19381	SLUZBY	\N	\N
1136235	3882	1996-08-31	VYDAJ	VYBER	15	21032	SLUZBY	\N	\N
1136236	3882	1996-09-30	VYDAJ	VYBER	15	19375	SLUZBY	\N	\N
1136237	3882	1996-10-31	VYDAJ	VYBER	15	19363	SLUZBY	\N	\N
1136238	3882	1996-11-30	VYDAJ	VYBER	15	21313	SLUZBY	\N	\N
1136239	3882	1996-12-31	VYDAJ	VYBER	15	19594	SLUZBY	\N	\N
1136240	3882	1997-01-31	VYDAJ	VYBER	15	16546	SLUZBY	\N	\N
1136241	3882	1997-02-28	VYDAJ	VYBER	15	14879	SLUZBY	\N	\N
1136242	3882	1997-03-31	VYDAJ	VYBER	15	19515	SLUZBY	\N	\N
1136243	3882	1997-04-30	VYDAJ	VYBER	15	20894	SLUZBY	\N	\N
1136244	3882	1997-05-31	VYDAJ	VYBER	15	23653	SLUZBY	\N	\N
1136245	3882	1997-06-30	VYDAJ	VYBER	15	18235	SLUZBY	\N	\N
1136246	3882	1997-07-31	VYDAJ	VYBER	15	21483	SLUZBY	\N	\N
1136247	3882	1997-08-31	VYDAJ	VYBER	15	22992	SLUZBY	\N	\N
1136248	3882	1997-09-30	VYDAJ	VYBER	15	27672	SLUZBY	\N	\N
1136249	3882	1997-10-31	VYDAJ	VYBER	15	26952	SLUZBY	\N	\N
1136250	3882	1997-11-30	VYDAJ	VYBER	15	27731	SLUZBY	\N	\N
1136251	3882	1997-12-31	VYDAJ	VYBER	15	24856	SLUZBY	\N	\N
1136252	3882	1998-01-31	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
1136253	3882	1998-02-28	VYDAJ	VYBER	15	21850	SLUZBY	\N	\N
1136254	3882	1998-03-31	VYDAJ	VYBER	15	20302	SLUZBY	\N	\N
1136255	3882	1998-04-30	VYDAJ	VYBER	15	17345	SLUZBY	\N	\N
1136256	3882	1998-05-31	VYDAJ	VYBER	15	18083	SLUZBY	\N	\N
1136257	3882	1998-06-30	VYDAJ	VYBER	15	14515	SLUZBY	\N	\N
1136258	3882	1998-07-31	VYDAJ	VYBER	15	15843	SLUZBY	\N	\N
1136259	3882	1998-08-31	VYDAJ	VYBER	15	18180	SLUZBY	\N	\N
1136260	3882	1998-09-30	VYDAJ	VYBER	15	24236	SLUZBY	\N	\N
1136261	3882	1998-10-31	VYDAJ	VYBER	15	26156	SLUZBY	\N	\N
1136262	3882	1998-11-30	VYDAJ	VYBER	15	31745	SLUZBY	\N	\N
1136263	3882	1993-08-08	PRIJEM	VKLAD	8800	12557	\N	\N	\N
1136264	3882	1993-09-07	PRIJEM	VKLAD	2000	17852	\N	\N	\N
1136265	3882	1993-10-07	PRIJEM	VKLAD	900	22079	\N	\N	\N
1136266	3882	1993-11-06	VYDAJ	VYBER	2800	22625	\N	\N	\N
1136267	3882	1993-12-06	VYDAJ	VYBER	1000	24863	\N	\N	\N
1136268	3882	1994-01-05	VYDAJ	VYBER	1600	23627	\N	\N	\N
1136269	3882	1994-02-04	PRIJEM	VKLAD	1800	23409	\N	\N	\N
1136270	3882	1994-03-06	PRIJEM	VKLAD	300	24875	\N	\N	\N
1136271	3882	1994-04-05	PRIJEM	VKLAD	600	26649	\N	\N	\N
1136272	3882	1994-05-05	VYDAJ	VYBER	3000	24829	\N	\N	\N
1136273	3882	1994-06-04	VYDAJ	VYBER	1600	22690	\N	\N	\N
1136274	3882	1994-07-04	PRIJEM	VKLAD	1900	22990	\N	\N	\N
1136275	3882	1994-08-03	PRIJEM	VKLAD	1000	25154	\N	\N	\N
1136276	3882	1994-09-02	VYDAJ	VYBER	3300	23027	\N	\N	\N
1136277	3882	1994-10-02	VYDAJ	VYBER	2300	21896	\N	\N	\N
1136278	3882	1994-11-01	PRIJEM	VKLAD	2700	24465	\N	\N	\N
1136279	3882	1994-12-01	VYDAJ	VYBER	1000	24634	\N	\N	\N
1136280	3882	1994-12-31	VYDAJ	VYBER	800	22167	\N	\N	\N
1136281	3882	1995-01-30	PRIJEM	VKLAD	2000	22354	\N	\N	\N
1136282	3882	1995-03-01	VYDAJ	VYBER	2200	21392	\N	\N	\N
1136283	3882	1995-03-31	PRIJEM	VKLAD	1800	24368	\N	\N	\N
1136284	3882	1995-04-30	VYDAJ	VYBER	4200	21324	\N	\N	\N
1136285	3882	1995-05-30	PRIJEM	VKLAD	1600	24006	\N	\N	\N
1136286	3882	1995-06-29	PRIJEM	VKLAD	1100	19249	\N	\N	\N
1136287	3882	1995-07-29	PRIJEM	VKLAD	1600	20736	\N	\N	\N
1136288	3882	1995-08-28	PRIJEM	VKLAD	2000	23884	\N	\N	\N
1136289	3882	1995-09-27	VYDAJ	VYBER	1100	22471	\N	\N	\N
1136290	3882	1995-10-27	VYDAJ	VYBER	2300	21335	\N	\N	\N
1136291	3882	1995-11-26	VYDAJ	VYBER	4200	18297	\N	\N	\N
1136292	3882	1995-12-26	VYDAJ	VYBER	500	17182	\N	\N	\N
1136293	3882	1996-01-25	VYDAJ	VYBER	2900	12603	\N	\N	\N
1136294	3882	1996-02-24	VYDAJ	VYBER	500	13234	\N	\N	\N
1136295	3882	1996-03-25	PRIJEM	VKLAD	1600	15955	\N	\N	\N
1136296	3882	1996-04-24	PRIJEM	VKLAD	2300	18181	\N	\N	\N
1136297	3882	1996-05-24	PRIJEM	VKLAD	700	20016	\N	\N	\N
1136298	3882	1996-06-23	VYDAJ	VYBER	1300	19862	\N	\N	\N
1136299	3882	1996-07-23	VYDAJ	VYBER	1700	19313	\N	\N	\N
1136300	3882	1996-08-22	PRIJEM	VKLAD	500	20963	\N	\N	\N
1136301	3882	1996-09-21	VYDAJ	VYBER	2000	20114	\N	\N	\N
1136302	3882	1996-10-21	VYDAJ	VYBER	800	19297	\N	\N	\N
1136303	3882	1996-11-20	PRIJEM	VKLAD	1100	21245	\N	\N	\N
1136304	3882	1996-12-20	VYDAJ	VYBER	800	20125	\N	\N	\N
1136305	3882	1997-01-19	VYDAJ	VYBER	1700	17896	\N	\N	\N
1136306	3882	1997-02-18	VYDAJ	VYBER	2800	14828	\N	\N	\N
1136307	3882	1997-03-20	PRIJEM	VKLAD	3500	19461	\N	\N	\N
1136308	3882	1997-04-19	PRIJEM	VKLAD	500	20827	\N	\N	\N
1136309	3882	1997-05-19	PRIJEM	VKLAD	1600	23576	\N	\N	\N
1136310	3882	1997-06-18	PRIJEM	VKLAD	2500	18805	\N	\N	\N
1136311	3882	1997-07-18	PRIJEM	VKLAD	2100	21417	\N	\N	\N
1136312	3882	1997-08-17	PRIJEM	VKLAD	800	22915	\N	\N	\N
1136313	3882	1997-09-16	PRIJEM	VKLAD	3900	27584	\N	\N	\N
1136314	3882	1997-10-16	VYDAJ	VYBER	1900	26854	\N	\N	\N
1136315	3882	1997-11-15	VYDAJ	VYBER	400	27634	\N	\N	\N
1136316	3882	1997-12-15	VYDAJ	VYBER	3300	25093	\N	\N	\N
1136317	3882	1998-01-14	VYDAJ	VYBER	2100	22938	\N	\N	\N
1136318	3882	1998-02-13	PRIJEM	VKLAD	200	21878	\N	\N	\N
1136319	3882	1998-03-15	VYDAJ	VYBER	2700	20232	\N	\N	\N
1136320	3882	1998-04-14	VYDAJ	VYBER	4100	17284	\N	\N	\N
1136321	3882	1998-05-14	VYDAJ	VYBER	400	18027	\N	\N	\N
1136322	3882	1998-06-13	VYDAJ	VYBER	4700	14565	\N	\N	\N
1136323	3882	1998-07-13	PRIJEM	VKLAD	200	15897	\N	\N	\N
1136324	3882	1998-08-12	PRIJEM	VKLAD	1200	18225	\N	\N	\N
1136325	3882	1998-09-11	PRIJEM	VKLAD	4900	24262	\N	\N	\N
1136326	3882	1998-10-11	PRIJEM	VKLAD	900	23072	\N	\N	\N
1136327	3882	1998-11-10	PRIJEM	VKLAD	4400	28569	\N	\N	\N
1136328	3882	1998-12-10	PRIJEM	VKLAD	1600	31358	\N	\N	\N
1136395	3883	1993-03-15	PRIJEM	VKLAD	500	500	\N	\N	\N
1136397	3883	1993-12-29	PRIJEM	VKLAD	13032	37382	\N	\N	\N
1136398	3883	1994-01-13	PRIJEM	VKLAD	28025	59754	\N	\N	\N
1136399	3883	1994-12-09	PRIJEM	VKLAD	45790	73503	\N	\N	\N
1136400	3883	1995-09-05	PRIJEM	VKLAD	39087	73245	\N	\N	\N
1136401	3883	1995-12-28	PRIJEM	VKLAD	39520	79990	\N	\N	\N
1136402	3883	1996-04-02	PRIJEM	VKLAD	38281	84701	\N	\N	\N
1136403	3883	1996-03-06	PRIJEM	VKLAD	4821	44755	\N	\N	\N
1136404	3883	1997-02-26	PRIJEM	VKLAD	6977	44183	\N	\N	\N
1136405	3883	1997-03-25	PRIJEM	VKLAD	44022	86925	\N	\N	\N
1136406	3883	1998-01-19	PRIJEM	VKLAD	32157	84860	\N	\N	\N
1136407	3883	1998-04-09	PRIJEM	VKLAD	9940	72712	\N	\N	\N
1136411	3883	1993-04-17	PRIJEM	VKLAD	500	13502	\N	\N	\N
1136412	3883	1993-05-13	PRIJEM	VKLAD	500	14732	\N	\N	\N
1136413	3883	1993-06-14	PRIJEM	VKLAD	500	22938	\N	\N	\N
1136414	3883	1993-07-17	PRIJEM	VKLAD	500	23802	\N	\N	\N
1136415	3883	1993-08-17	PRIJEM	VKLAD	500	25725	\N	\N	\N
1136416	3883	1993-09-15	PRIJEM	VKLAD	500	27417	\N	\N	\N
1136417	3883	1993-10-16	PRIJEM	VKLAD	500	25516	\N	\N	\N
1136418	3883	1993-11-13	PRIJEM	VKLAD	500	25110	\N	\N	\N
1136419	3883	1993-12-14	PRIJEM	VKLAD	500	25400	\N	\N	\N
1136420	3883	1994-01-14	PRIJEM	VKLAD	500	60254	\N	\N	\N
1136421	3883	1994-02-16	PRIJEM	VKLAD	500	41246	\N	\N	\N
1136422	3883	1994-03-14	PRIJEM	VKLAD	500	32632	\N	\N	\N
1136423	3883	1994-04-14	PRIJEM	VKLAD	500	29870	\N	\N	\N
1136424	3883	1994-05-16	PRIJEM	VKLAD	500	27086	\N	\N	\N
1136425	3883	1994-06-14	PRIJEM	VKLAD	500	26293	\N	\N	\N
1136426	3883	1994-07-16	PRIJEM	VKLAD	500	27590	\N	\N	\N
1136427	3883	1994-08-15	PRIJEM	VKLAD	500	30090	\N	\N	\N
1136428	3883	1994-09-14	PRIJEM	VKLAD	500	30897	\N	\N	\N
1136429	3883	1994-10-16	PRIJEM	VKLAD	500	27413	\N	\N	\N
1136430	3883	1994-11-17	PRIJEM	VKLAD	500	24720	\N	\N	\N
1136431	3883	1994-12-16	PRIJEM	VKLAD	500	74003	\N	\N	\N
1136432	3883	1995-01-16	PRIJEM	VKLAD	500	40743	\N	\N	\N
1136433	3883	1995-02-15	PRIJEM	VKLAD	500	32409	\N	\N	\N
1136434	3883	1995-03-14	PRIJEM	VKLAD	500	31244	\N	\N	\N
1136435	3883	1995-04-13	PRIJEM	VKLAD	500	30263	\N	\N	\N
1136436	3883	1995-05-17	PRIJEM	VKLAD	500	28376	\N	\N	\N
1136437	3883	1995-06-17	PRIJEM	VKLAD	500	20580	\N	\N	\N
1136438	3883	1995-07-15	PRIJEM	VKLAD	500	25765	\N	\N	\N
1136439	3883	1995-08-17	PRIJEM	VKLAD	500	30852	\N	\N	\N
1136440	3883	1995-09-15	PRIJEM	VKLAD	500	73745	\N	\N	\N
1136441	3883	1995-10-16	PRIJEM	VKLAD	500	55116	\N	\N	\N
1136442	3883	1995-11-13	PRIJEM	VKLAD	500	44672	\N	\N	\N
1136443	3883	1995-12-14	PRIJEM	VKLAD	500	39770	\N	\N	\N
1136444	3883	1996-01-15	PRIJEM	VKLAD	500	55568	\N	\N	\N
1136445	3883	1996-02-16	PRIJEM	VKLAD	500	42472	\N	\N	\N
1136446	3883	1996-03-17	PRIJEM	VKLAD	500	45255	\N	\N	\N
1136447	3883	1996-04-14	PRIJEM	VKLAD	500	84801	\N	\N	\N
1136448	3883	1996-05-13	PRIJEM	VKLAD	500	60827	\N	\N	\N
1136449	3883	1996-06-15	PRIJEM	VKLAD	500	32166	\N	\N	\N
1136450	3883	1996-07-14	PRIJEM	VKLAD	500	32210	\N	\N	\N
1136451	3883	1996-08-16	PRIJEM	VKLAD	500	35632	\N	\N	\N
1136452	3883	1996-09-13	PRIJEM	VKLAD	500	38065	\N	\N	\N
1136453	3883	1996-10-16	PRIJEM	VKLAD	500	39710	\N	\N	\N
1136454	3883	1996-11-17	PRIJEM	VKLAD	500	40462	\N	\N	\N
1136455	3883	1996-12-16	PRIJEM	VKLAD	500	37916	\N	\N	\N
1136456	3883	1997-01-17	PRIJEM	VKLAD	500	40162	\N	\N	\N
1136457	3883	1997-02-17	PRIJEM	VKLAD	500	29606	\N	\N	\N
1136458	3883	1997-03-16	PRIJEM	VKLAD	500	44803	\N	\N	\N
1136459	3883	1997-04-16	PRIJEM	VKLAD	500	87637	\N	\N	\N
1136460	3883	1997-05-14	PRIJEM	VKLAD	500	67965	\N	\N	\N
1136461	3883	1997-06-15	PRIJEM	VKLAD	500	53221	\N	\N	\N
1136462	3883	1997-07-13	PRIJEM	VKLAD	500	45425	\N	\N	\N
1136463	3883	1997-08-15	PRIJEM	VKLAD	500	49905	\N	\N	\N
1136464	3883	1997-09-17	PRIJEM	VKLAD	500	56406	\N	\N	\N
1136465	3883	1997-10-14	PRIJEM	VKLAD	500	57626	\N	\N	\N
1136466	3883	1997-11-14	PRIJEM	VKLAD	500	57353	\N	\N	\N
1136467	3883	1997-12-16	PRIJEM	VKLAD	500	58280	\N	\N	\N
1136468	3883	1998-01-13	PRIJEM	VKLAD	500	52403	\N	\N	\N
1136469	3883	1998-02-13	PRIJEM	VKLAD	500	78211	\N	\N	\N
1136470	3883	1998-03-13	PRIJEM	VKLAD	500	70706	\N	\N	\N
1136471	3883	1998-04-16	PRIJEM	VKLAD	500	73212	\N	\N	\N
1136472	3883	1998-05-16	PRIJEM	VKLAD	500	68581	\N	\N	\N
1136473	3883	1998-06-13	PRIJEM	VKLAD	500	66244	\N	\N	\N
1136474	3883	1998-07-16	PRIJEM	VKLAD	500	36878	\N	\N	\N
1136475	3883	1998-08-17	PRIJEM	VKLAD	500	45530	\N	\N	\N
1136476	3883	1998-09-13	PRIJEM	VKLAD	500	46903	\N	\N	\N
1136477	3883	1998-10-15	PRIJEM	VKLAD	500	49783	\N	\N	\N
1136478	3883	1998-11-14	PRIJEM	VKLAD	500	49072	\N	\N	\N
1136479	3883	1998-12-13	PRIJEM	VKLAD	500	45058	\N	\N	\N
1136482	3883	1993-03-18	PRIJEM	VKLAD	700	1200	\N	\N	\N
1136483	3883	1993-04-18	PRIJEM	VKLAD	700	14202	\N	\N	\N
1136484	3883	1993-05-18	PRIJEM	VKLAD	700	18932	\N	\N	\N
1136485	3883	1993-06-18	PRIJEM	VKLAD	700	18038	\N	\N	\N
1136486	3883	1993-07-18	PRIJEM	VKLAD	700	24502	\N	\N	\N
1136487	3883	1993-08-18	PRIJEM	VKLAD	700	26425	\N	\N	\N
1136488	3883	1993-09-18	PRIJEM	VKLAD	700	28117	\N	\N	\N
1136489	3883	1993-10-18	PRIJEM	VKLAD	700	26216	\N	\N	\N
1136490	3883	1993-11-18	PRIJEM	VKLAD	700	25810	\N	\N	\N
1136491	3883	1993-12-18	PRIJEM	VKLAD	700	26100	\N	\N	\N
1136492	3883	1994-01-18	PRIJEM	VKLAD	700	60954	\N	\N	\N
1136493	3883	1994-02-18	PRIJEM	VKLAD	700	41946	\N	\N	\N
1136494	3883	1994-03-18	PRIJEM	VKLAD	700	32632	\N	\N	\N
1136495	3883	1994-04-18	PRIJEM	VKLAD	700	30570	\N	\N	\N
1136496	3883	1994-05-18	PRIJEM	VKLAD	700	27786	\N	\N	\N
1136497	3883	1994-06-18	PRIJEM	VKLAD	700	26993	\N	\N	\N
1136498	3883	1994-07-18	PRIJEM	VKLAD	700	28290	\N	\N	\N
1136499	3883	1994-08-18	PRIJEM	VKLAD	700	30790	\N	\N	\N
1136500	3883	1994-09-18	PRIJEM	VKLAD	700	31597	\N	\N	\N
1136501	3883	1994-10-18	PRIJEM	VKLAD	700	28113	\N	\N	\N
1136502	3883	1994-11-18	PRIJEM	VKLAD	700	25420	\N	\N	\N
1136503	3883	1994-12-18	PRIJEM	VKLAD	700	74703	\N	\N	\N
1136504	3883	1995-01-18	PRIJEM	VKLAD	700	40843	\N	\N	\N
1136505	3883	1995-02-18	PRIJEM	VKLAD	700	33109	\N	\N	\N
1136506	3883	1995-03-18	PRIJEM	VKLAD	700	31944	\N	\N	\N
1136507	3883	1995-04-18	PRIJEM	VKLAD	700	30963	\N	\N	\N
1136508	3883	1995-05-18	PRIJEM	VKLAD	700	29076	\N	\N	\N
1136509	3883	1995-06-18	PRIJEM	VKLAD	700	21280	\N	\N	\N
1136510	3883	1995-07-18	PRIJEM	VKLAD	700	26465	\N	\N	\N
1136511	3883	1995-08-18	PRIJEM	VKLAD	700	31552	\N	\N	\N
1136512	3883	1995-09-18	PRIJEM	VKLAD	700	74445	\N	\N	\N
1136513	3883	1995-10-18	PRIJEM	VKLAD	700	55816	\N	\N	\N
1136514	3883	1995-11-18	PRIJEM	VKLAD	700	45372	\N	\N	\N
1136515	3883	1995-12-18	PRIJEM	VKLAD	700	40470	\N	\N	\N
1136516	3883	1996-01-18	PRIJEM	VKLAD	700	49368	\N	\N	\N
1136517	3883	1996-02-18	PRIJEM	VKLAD	700	43172	\N	\N	\N
1136518	3883	1996-03-18	PRIJEM	VKLAD	700	45955	\N	\N	\N
1136519	3883	1996-04-18	PRIJEM	VKLAD	700	85501	\N	\N	\N
1136520	3883	1996-05-18	PRIJEM	VKLAD	700	61527	\N	\N	\N
1136521	3883	1996-06-18	PRIJEM	VKLAD	700	32866	\N	\N	\N
1136522	3883	1996-07-18	PRIJEM	VKLAD	700	32910	\N	\N	\N
1136523	3883	1996-08-18	PRIJEM	VKLAD	700	36332	\N	\N	\N
1136524	3883	1996-09-18	PRIJEM	VKLAD	700	38765	\N	\N	\N
1136525	3883	1996-10-18	PRIJEM	VKLAD	700	40410	\N	\N	\N
1136526	3883	1996-11-18	PRIJEM	VKLAD	700	41162	\N	\N	\N
1136527	3883	1996-12-18	PRIJEM	VKLAD	700	38616	\N	\N	\N
1136528	3883	1997-01-18	PRIJEM	VKLAD	700	40862	\N	\N	\N
1136529	3883	1997-02-18	PRIJEM	VKLAD	700	30306	\N	\N	\N
1136530	3883	1997-03-18	PRIJEM	VKLAD	700	45503	\N	\N	\N
1136531	3883	1997-04-18	PRIJEM	VKLAD	700	88337	\N	\N	\N
1136532	3883	1997-05-18	PRIJEM	VKLAD	700	68665	\N	\N	\N
1136533	3883	1997-06-18	PRIJEM	VKLAD	700	53921	\N	\N	\N
1136534	3883	1997-07-18	PRIJEM	VKLAD	700	46125	\N	\N	\N
1136535	3883	1997-08-18	PRIJEM	VKLAD	700	50605	\N	\N	\N
1136536	3883	1997-09-18	PRIJEM	VKLAD	700	57106	\N	\N	\N
1136537	3883	1997-10-18	PRIJEM	VKLAD	700	58326	\N	\N	\N
1136538	3883	1997-11-18	PRIJEM	VKLAD	700	58053	\N	\N	\N
1136539	3883	1997-12-18	PRIJEM	VKLAD	700	58980	\N	\N	\N
1136540	3883	1998-01-18	PRIJEM	VKLAD	700	52303	\N	\N	\N
1136541	3883	1998-02-18	PRIJEM	VKLAD	700	69911	\N	\N	\N
1136542	3883	1998-03-18	PRIJEM	VKLAD	700	71406	\N	\N	\N
1136543	3883	1998-04-18	PRIJEM	VKLAD	700	73912	\N	\N	\N
1136544	3883	1998-05-18	PRIJEM	VKLAD	700	69281	\N	\N	\N
1136545	3883	1998-06-18	PRIJEM	VKLAD	700	61844	\N	\N	\N
1136546	3883	1998-07-18	PRIJEM	VKLAD	700	44878	\N	\N	\N
1136547	3883	1998-08-18	PRIJEM	VKLAD	700	46230	\N	\N	\N
1136548	3883	1998-09-18	PRIJEM	VKLAD	700	47403	\N	\N	\N
1136549	3883	1998-10-18	PRIJEM	VKLAD	700	50483	\N	\N	\N
1136550	3883	1998-11-18	PRIJEM	VKLAD	700	46972	\N	\N	\N
1136551	3883	1998-12-18	PRIJEM	VKLAD	700	46258	\N	\N	\N
1136552	3883	1993-06-16	VYDAJ	VYBER	4100	17338	\N	\N	\N
1136553	3883	1994-06-07	VYDAJ	VYBER	4600	23293	\N	\N	\N
1136555	3883	1996-06-07	VYDAJ	VYBER	21200	31666	\N	\N	\N
1136556	3883	1997-06-07	VYDAJ	VYBER	5100	52721	\N	\N	\N
1136557	3883	1998-06-17	VYDAJ	VYBER KARTOU	3900	61144	\N	\N	0
1136560	3883	1995-06-11	VYDAJ	VYBER	8000	20080	\N	\N	\N
1136561	3883	1996-06-18	VYDAJ	VYBER	13200	19666	\N	\N	\N
1136562	3883	1997-06-21	VYDAJ	VYBER	9900	44021	\N	\N	\N
1136563	3883	1998-06-26	VYDAJ	VYBER	25700	36144	\N	\N	\N
1136565	3883	1994-01-25	VYDAJ	VYBER	3200	56354	\N	\N	\N
1136566	3883	1995-01-05	VYDAJ	VYBER	8300	42343	\N	\N	\N
1136567	3883	1996-01-17	VYDAJ	VYBER	6900	48668	\N	\N	\N
1136568	3883	1997-01-26	VYDAJ	VYBER	9800	29962	\N	\N	\N
1136569	3883	1998-01-19	VYDAJ	VYBER KARTOU	4000	80860	\N	\N	0
1136570	3883	1993-12-13	VYDAJ	VYBER	2700	24900	\N	\N	\N
1136571	3883	1994-12-20	VYDAJ	VYBER KARTOU	2600	72103	\N	\N	0
1136572	3883	1995-12-29	VYDAJ	VYBER KARTOU	1700	78290	\N	\N	0
1136573	3883	1996-12-28	VYDAJ	VYBER KARTOU	1900	39916	\N	\N	0
1136574	3883	1997-12-30	VYDAJ	VYBER KARTOU	2500	53580	\N	\N	0
1136575	3883	1998-12-08	VYDAJ	VYBER KARTOU	2600	44558	\N	\N	0
1136582	3883	1994-01-03	VYDAJ	VYBER	1100	36129	\N	\N	\N
1136583	3883	1994-01-18	VYDAJ	VYBER	900	60054	\N	\N	\N
1136584	3883	1994-01-30	VYDAJ	VYBER	1300	55054	\N	\N	\N
1136585	3883	1994-01-03	VYDAJ	VYBER	250	37229	\N	\N	\N
1136586	3883	1994-01-30	VYDAJ	VYBER	1400	53654	\N	\N	\N
1136587	3883	1994-01-24	VYDAJ	VYBER	500	59554	\N	\N	\N
1136588	3883	1995-01-02	VYDAJ	VYBER KARTOU	400	71943	\N	\N	0
1136589	3883	1995-01-07	VYDAJ	VYBER KARTOU	1000	41343	\N	\N	0
1136590	3883	1995-01-29	VYDAJ	VYBER KARTOU	500	38343	\N	\N	0
1136591	3883	1995-01-18	VYDAJ	VYBER KARTOU	1200	39643	\N	\N	0
1136592	3883	1995-01-05	VYDAJ	VYBER KARTOU	400	50643	\N	\N	0
1136593	3883	1995-01-16	VYDAJ	VYBER KARTOU	600	40143	\N	\N	0
1136594	3883	1996-01-19	VYDAJ	VYBER KARTOU	1100	47968	\N	\N	0
1136595	3883	1996-01-29	VYDAJ	VYBER KARTOU	1000	46068	\N	\N	0
1136596	3883	1996-01-26	VYDAJ	VYBER KARTOU	900	47068	\N	\N	0
1136597	3883	1996-01-19	VYDAJ	VYBER KARTOU	300	49068	\N	\N	0
1136598	3883	1996-01-14	VYDAJ	VYBER KARTOU	500	55068	\N	\N	0
1136599	3883	1996-01-09	VYDAJ	VYBER KARTOU	1300	56668	\N	\N	0
1136600	3883	1997-01-21	VYDAJ	VYBER KARTOU	1100	38562	\N	\N	0
1136601	3883	1997-01-25	VYDAJ	VYBER KARTOU	900	41162	\N	\N	0
1136602	3883	1997-01-09	VYDAJ	VYBER KARTOU	400	39662	\N	\N	0
1136603	3883	1997-01-28	VYDAJ	VYBER KARTOU	1000	28962	\N	\N	0
1136604	3883	1997-01-25	VYDAJ	VYBER KARTOU	1400	39762	\N	\N	0
1136605	3883	1997-01-20	VYDAJ	VYBER KARTOU	1200	39662	\N	\N	0
1136606	3883	1998-01-24	VYDAJ	VYBER KARTOU	1000	78060	\N	\N	0
1136607	3883	1998-01-21	VYDAJ	VYBER KARTOU	600	80260	\N	\N	0
1136608	3883	1998-01-16	VYDAJ	VYBER KARTOU	800	51603	\N	\N	0
1136609	3883	1998-01-10	VYDAJ	VYBER KARTOU	900	52903	\N	\N	0
1136610	3883	1998-01-27	VYDAJ	VYBER KARTOU	600	77460	\N	\N	0
1136611	3883	1998-01-10	VYDAJ	VYBER KARTOU	1000	51903	\N	\N	0
1136612	3883	1993-10-10	VYDAJ	VYBER	1600	26616	\N	\N	\N
1136613	3883	1993-06-07	VYDAJ	VYBER	1450	17538	\N	\N	\N
1136614	3883	1993-12-24	VYDAJ	VYBER	1750	24350	\N	\N	\N
1136615	3883	1993-06-15	VYDAJ	VYBER	1500	21438	\N	\N	\N
1136617	3883	1993-08-16	VYDAJ	VYBER	1150	25225	\N	\N	\N
1136618	3883	1993-10-19	VYDAJ	VYBER	1600	24616	\N	\N	\N
1136619	3883	1994-07-05	VYDAJ	VYBER KARTOU	700	26390	\N	\N	0
1136620	3883	1994-07-25	VYDAJ	VYBER KARTOU	800	27490	\N	\N	0
1136621	3883	1994-03-16	VYDAJ	VYBER	700	31932	\N	\N	\N
1136622	3883	1994-10-25	VYDAJ	VYBER KARTOU	2000	26113	\N	\N	0
1136623	3883	1994-12-02	VYDAJ	VYBER KARTOU	2200	23313	\N	\N	0
1136624	3883	1995-04-28	VYDAJ	VYBER KARTOU	1300	29663	\N	\N	0
1136625	3883	1995-10-24	VYDAJ	VYBER KARTOU	900	54916	\N	\N	0
1136626	3883	1995-04-29	VYDAJ	VYBER KARTOU	1900	27763	\N	\N	0
1136627	3883	1995-12-07	VYDAJ	VYBER KARTOU	2000	39270	\N	\N	0
1136628	3883	1995-03-25	VYDAJ	VYBER KARTOU	2000	29944	\N	\N	0
1136629	3883	1995-01-19	VYDAJ	VYBER KARTOU	800	38843	\N	\N	0
1136630	3883	1995-01-10	VYDAJ	VYBER KARTOU	1100	40243	\N	\N	0
1136631	3883	1996-08-20	VYDAJ	VYBER KARTOU	2400	33932	\N	\N	0
1136632	3883	1996-01-09	VYDAJ	VYBER KARTOU	1100	55568	\N	\N	0
1136633	3883	1996-05-09	VYDAJ	VYBER KARTOU	2200	60327	\N	\N	0
1136634	3883	1996-10-31	VYDAJ	VYBER KARTOU	1100	39962	\N	\N	0
1136635	3883	1996-04-02	VYDAJ	VYBER KARTOU	400	84301	\N	\N	0
1136636	3883	1997-09-20	VYDAJ	VYBER KARTOU	1400	56906	\N	\N	0
1136637	3883	1997-03-24	VYDAJ	VYBER KARTOU	1400	42903	\N	\N	0
1136638	3883	1997-11-06	VYDAJ	VYBER KARTOU	2200	56853	\N	\N	0
1136639	3883	1998-01-23	VYDAJ	VYBER KARTOU	1200	79060	\N	\N	0
1136640	3883	1998-08-13	VYDAJ	VYBER KARTOU	500	43630	\N	\N	0
1136641	3883	1998-11-08	VYDAJ	VYBER KARTOU	2100	48572	\N	\N	0
1136642	3883	1998-03-26	VYDAJ	VYBER KARTOU	1200	62506	\N	\N	0
1136643	3883	1998-07-20	VYDAJ	VYBER KARTOU	900	43978	\N	\N	0
1136649	3883	1993-05-31	VYDAJ	VYBER	15	18988	SLUZBY	\N	\N
1136650	3883	1993-06-30	VYDAJ	VYBER	15	18102	SLUZBY	\N	\N
1136651	3883	1993-07-31	VYDAJ	VYBER	15	24575	SLUZBY	\N	\N
1136652	3883	1993-08-31	VYDAJ	VYBER	15	26517	SLUZBY	\N	\N
1136653	3883	1993-09-30	VYDAJ	VYBER	15	28216	SLUZBY	\N	\N
1136654	3883	1993-10-31	VYDAJ	VYBER	15	24710	SLUZBY	\N	\N
1136655	3883	1993-11-30	VYDAJ	VYBER	15	25900	SLUZBY	\N	\N
1136656	3883	1993-12-31	VYDAJ	VYBER	15	37479	SLUZBY	\N	\N
1136657	3883	1994-01-31	VYDAJ	VYBER	15	53846	SLUZBY	\N	\N
1136658	3883	1994-02-28	VYDAJ	VYBER	15	42132	SLUZBY	\N	\N
1136659	3883	1994-03-31	VYDAJ	VYBER	15	32770	SLUZBY	\N	\N
1136660	3883	1994-04-30	VYDAJ	VYBER	15	30686	SLUZBY	\N	\N
1136661	3883	1994-05-31	VYDAJ	VYBER	15	27893	SLUZBY	\N	\N
1136662	3883	1994-06-30	VYDAJ	VYBER	15	27090	SLUZBY	\N	\N
1136663	3883	1994-07-31	VYDAJ	VYBER	15	27590	SLUZBY	\N	\N
1136664	3883	1994-08-31	VYDAJ	VYBER	15	30897	SLUZBY	\N	\N
1136665	3883	1994-09-30	VYDAJ	VYBER	15	31713	SLUZBY	\N	\N
1136666	3883	1994-10-31	VYDAJ	VYBER	15	26220	SLUZBY	\N	\N
1136667	3883	1994-11-30	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
1136668	3883	1994-12-31	VYDAJ	VYBER	15	72343	SLUZBY	\N	\N
1136669	3883	1995-01-31	VYDAJ	VYBER	15	38509	SLUZBY	\N	\N
1136670	3883	1995-02-28	VYDAJ	VYBER	15	33244	SLUZBY	\N	\N
1136671	3883	1995-03-31	VYDAJ	VYBER	15	30063	SLUZBY	\N	\N
1136672	3883	1995-04-30	VYDAJ	VYBER	15	27876	SLUZBY	\N	\N
1136673	3883	1995-05-31	VYDAJ	VYBER	15	29180	SLUZBY	\N	\N
1136674	3883	1995-06-30	VYDAJ	VYBER	15	21365	SLUZBY	\N	\N
1136675	3883	1995-07-31	VYDAJ	VYBER	15	26552	SLUZBY	\N	\N
1136676	3883	1995-08-31	VYDAJ	VYBER	15	31658	SLUZBY	\N	\N
1136677	3883	1995-09-30	VYDAJ	VYBER	15	74716	SLUZBY	\N	\N
1136678	3883	1995-10-31	VYDAJ	VYBER	15	55172	SLUZBY	\N	\N
1136679	3883	1995-11-30	VYDAJ	VYBER	15	45570	SLUZBY	\N	\N
1136680	3883	1995-12-31	VYDAJ	VYBER	15	57968	SLUZBY	\N	\N
1136681	3883	1996-01-31	VYDAJ	VYBER	15	41972	SLUZBY	\N	\N
1136682	3883	1996-02-29	VYDAJ	VYBER	15	39934	SLUZBY	\N	\N
1136683	3883	1996-03-31	VYDAJ	VYBER	15	46420	SLUZBY	\N	\N
1136684	3883	1996-04-30	VYDAJ	VYBER	15	62527	SLUZBY	\N	\N
1136685	3883	1996-05-31	VYDAJ	VYBER	15	52866	SLUZBY	\N	\N
1136686	3883	1996-06-30	VYDAJ	VYBER	15	31710	SLUZBY	\N	\N
1136687	3883	1996-07-31	VYDAJ	VYBER	15	35132	SLUZBY	\N	\N
1136688	3883	1996-08-31	VYDAJ	VYBER	15	37565	SLUZBY	\N	\N
1136689	3883	1996-09-30	VYDAJ	VYBER	15	39210	SLUZBY	\N	\N
1136690	3883	1996-10-31	VYDAJ	VYBER	15	41062	SLUZBY	\N	\N
1136691	3883	1996-11-30	VYDAJ	VYBER	15	37416	SLUZBY	\N	\N
1136692	3883	1996-12-31	VYDAJ	VYBER	15	40062	SLUZBY	\N	\N
1136693	3883	1997-01-31	VYDAJ	VYBER	15	29106	SLUZBY	\N	\N
1136694	3883	1997-02-28	VYDAJ	VYBER	15	44303	SLUZBY	\N	\N
1136695	3883	1997-03-31	VYDAJ	VYBER	15	87137	SLUZBY	\N	\N
1136696	3883	1997-04-30	VYDAJ	VYBER	15	67465	SLUZBY	\N	\N
1136697	3883	1997-05-31	VYDAJ	VYBER	15	57821	SLUZBY	\N	\N
1136698	3883	1997-06-30	VYDAJ	VYBER	15	44925	SLUZBY	\N	\N
1136699	3883	1997-07-31	VYDAJ	VYBER	15	49405	SLUZBY	\N	\N
1136700	3883	1997-08-31	VYDAJ	VYBER	15	55906	SLUZBY	\N	\N
1136701	3883	1997-09-30	VYDAJ	VYBER	15	57126	SLUZBY	\N	\N
1136702	3883	1997-10-31	VYDAJ	VYBER	15	59053	SLUZBY	\N	\N
1136703	3883	1997-11-30	VYDAJ	VYBER	15	57780	SLUZBY	\N	\N
1136704	3883	1997-12-31	VYDAJ	VYBER	15	53803	SLUZBY	\N	\N
1136705	3883	1998-01-31	VYDAJ	VYBER	15	77711	SLUZBY	\N	\N
1136706	3883	1998-02-28	VYDAJ	VYBER	15	70206	SLUZBY	\N	\N
1136707	3883	1998-03-31	VYDAJ	VYBER	15	62772	SLUZBY	\N	\N
1136708	3883	1998-04-30	VYDAJ	VYBER	15	68081	SLUZBY	\N	\N
1136709	3883	1998-05-31	VYDAJ	VYBER	15	65744	SLUZBY	\N	\N
1136710	3883	1998-06-30	VYDAJ	VYBER	15	36378	SLUZBY	\N	\N
1136711	3883	1998-07-31	VYDAJ	VYBER	15	44130	SLUZBY	\N	\N
1136712	3883	1998-08-31	VYDAJ	VYBER	15	46403	SLUZBY	\N	\N
1136713	3883	1998-09-30	VYDAJ	VYBER	15	47583	SLUZBY	\N	\N
1136714	3883	1998-10-31	VYDAJ	VYBER	15	50672	SLUZBY	\N	\N
1136715	3883	1998-11-30	VYDAJ	VYBER	15	47158	SLUZBY	\N	\N
1136716	3883	1993-04-14	PRIJEM	VKLAD	11800	13002	\N	\N	\N
1136717	3883	1993-05-14	PRIJEM	VKLAD	3500	18232	\N	\N	\N
1136718	3883	1993-06-13	PRIJEM	VKLAD	4900	22438	\N	\N	\N
1136719	3883	1993-07-13	PRIJEM	VKLAD	5200	23302	\N	\N	\N
1136720	3883	1993-08-12	PRIJEM	VKLAD	1800	26375	\N	\N	\N
1136721	3883	1993-09-11	PRIJEM	VKLAD	400	26917	\N	\N	\N
1136722	3883	1993-10-11	VYDAJ	VYBER	1600	25016	\N	\N	\N
1136723	3883	1993-11-10	VYDAJ	VYBER	100	24610	\N	\N	\N
1136724	3883	1993-12-10	PRIJEM	VKLAD	1700	27600	\N	\N	\N
1136725	3883	1994-01-09	VYDAJ	VYBER	4400	31729	\N	\N	\N
1136726	3883	1994-02-08	VYDAJ	VYBER	13100	40746	\N	\N	\N
1136727	3883	1994-03-10	VYDAJ	VYBER	10000	32132	\N	\N	\N
1136728	3883	1994-04-09	VYDAJ	VYBER KARTOU	3400	29370	\N	\N	0
1136729	3883	1994-05-09	VYDAJ	VYBER	4100	26586	\N	\N	\N
1136730	3883	1994-06-08	PRIJEM	VKLAD	2500	25793	\N	\N	\N
1136731	3883	1994-07-08	PRIJEM	VKLAD	700	27090	\N	\N	\N
1136732	3883	1994-08-07	PRIJEM	VKLAD	2000	29590	\N	\N	\N
1136733	3883	1994-09-06	VYDAJ	VYBER KARTOU	500	30397	\N	\N	0
1136734	3883	1994-10-06	VYDAJ	VYBER	4800	26913	\N	\N	\N
1136735	3883	1994-11-05	VYDAJ	VYBER KARTOU	2000	24220	\N	\N	0
1136736	3883	1994-12-05	PRIJEM	VKLAD	4400	27713	\N	\N	\N
1136737	3883	1995-01-04	VYDAJ	VYBER	20900	51043	\N	\N	\N
1136738	3883	1995-02-03	VYDAJ	VYBER	6600	31909	\N	\N	\N
1136739	3883	1995-03-05	VYDAJ	VYBER KARTOU	2500	30744	\N	\N	0
1136740	3883	1995-04-04	VYDAJ	VYBER KARTOU	300	29763	\N	\N	0
1136741	3883	1995-06-03	VYDAJ	VYBER KARTOU	1100	28080	\N	\N	0
1136742	3883	1995-07-03	PRIJEM	VKLAD	3900	25265	\N	\N	\N
1136743	3883	1995-08-02	PRIJEM	VKLAD	3800	30352	\N	\N	\N
1136744	3883	1995-09-01	PRIJEM	VKLAD	2500	34158	\N	\N	\N
1136745	3883	1995-10-01	VYDAJ	VYBER	20100	54616	\N	\N	\N
1136746	3883	1995-10-31	VYDAJ	VYBER	11000	44172	\N	\N	\N
1136747	3883	1995-11-30	VYDAJ	VYBER	4300	41270	\N	\N	\N
1136748	3883	1995-12-30	VYDAJ	VYBER	20500	57790	\N	\N	\N
1136749	3883	1996-01-29	VYDAJ	VYBER	4300	41768	\N	\N	\N
1136750	3883	1996-02-28	VYDAJ	VYBER KARTOU	3400	39772	\N	\N	0
1136751	3883	1996-03-29	PRIJEM	VKLAD	300	46255	\N	\N	\N
1136752	3883	1996-04-28	VYDAJ	VYBER	23300	62201	\N	\N	\N
1136753	3883	1996-05-28	VYDAJ	VYBER	8900	52627	\N	\N	\N
1136754	3883	1996-06-27	PRIJEM	VKLAD	11900	31566	\N	\N	\N
1136755	3883	1996-07-27	PRIJEM	VKLAD	2100	35010	\N	\N	\N
1136756	3883	1996-08-26	PRIJEM	VKLAD	3500	37432	\N	\N	\N
1136757	3883	1996-09-25	PRIJEM	VKLAD	300	39065	\N	\N	\N
1136758	3883	1996-10-25	PRIJEM	VKLAD	500	40910	\N	\N	\N
1136759	3883	1996-11-24	VYDAJ	VYBER KARTOU	3900	37262	\N	\N	0
1136760	3883	1996-12-24	PRIJEM	VKLAD	3200	41816	\N	\N	\N
1136761	3883	1997-01-23	PRIJEM	VKLAD	3500	42062	\N	\N	\N
1136762	3883	1997-02-22	PRIJEM	VKLAD	6900	37206	\N	\N	\N
1136763	3883	1997-03-24	VYDAJ	VYBER KARTOU	1200	44303	\N	\N	0
1136764	3883	1997-04-23	VYDAJ	VYBER	21200	67137	\N	\N	\N
1136765	3883	1997-05-23	VYDAJ	VYBER	11100	57565	\N	\N	\N
1136766	3883	1997-06-22	PRIJEM	VKLAD	700	44721	\N	\N	\N
1136767	3883	1997-07-22	PRIJEM	VKLAD	3100	49225	\N	\N	\N
1136768	3883	1997-08-21	PRIJEM	VKLAD	5100	55705	\N	\N	\N
1136769	3883	1997-09-20	PRIJEM	VKLAD	1200	58306	\N	\N	\N
1136770	3883	1997-10-20	PRIJEM	VKLAD	500	58826	\N	\N	\N
1136771	3883	1997-11-19	VYDAJ	VYBER KARTOU	500	57553	\N	\N	0
1136772	3883	1997-12-19	VYDAJ	VYBER KARTOU	2900	56080	\N	\N	0
1136773	3883	1998-01-18	PRIJEM	VKLAD	400	52703	\N	\N	\N
1136774	3883	1998-02-17	VYDAJ	VYBER	9000	69211	\N	\N	\N
1136775	3883	1998-03-19	VYDAJ	VYBER	7700	63706	\N	\N	\N
1136776	3883	1998-04-18	VYDAJ	VYBER	6100	67812	\N	\N	\N
1136777	3883	1998-05-18	VYDAJ	VYBER KARTOU	3800	65481	\N	\N	0
1136778	3883	1998-06-17	VYDAJ	VYBER KARTOU	1200	65044	\N	\N	0
1136779	3883	1998-07-17	PRIJEM	VKLAD	7300	44178	\N	\N	\N
1136780	3883	1998-08-16	PRIJEM	VKLAD	1400	45030	\N	\N	\N
1136781	3883	1998-09-15	VYDAJ	VYBER KARTOU	200	46703	\N	\N	0
1136782	3883	1998-10-15	PRIJEM	VKLAD	1700	49283	\N	\N	\N
1136783	3883	1998-11-14	VYDAJ	VYBER KARTOU	2800	46272	\N	\N	0
1136784	3883	1998-12-14	PRIJEM	VKLAD	500	45558	\N	\N	\N
1136855	3884	1996-11-14	PRIJEM	VKLAD	700	700	\N	\N	\N
1136867	3884	1996-12-05	PRIJEM	VKLAD	12680	13380	\N	\N	\N
1136868	3884	1997-01-05	PRIJEM	VKLAD	8453	26777	\N	\N	\N
1136869	3884	1997-02-05	PRIJEM	VKLAD	8453	34425	\N	\N	\N
1136870	3884	1997-03-05	PRIJEM	VKLAD	8453	34386	\N	\N	\N
1136871	3884	1997-04-05	PRIJEM	VKLAD	8453	33344	\N	\N	\N
1136872	3884	1997-05-05	PRIJEM	VKLAD	8453	31772	\N	\N	\N
1136873	3884	1997-06-05	PRIJEM	VKLAD	12680	32616	\N	\N	\N
1136874	3884	1997-07-05	PRIJEM	VKLAD	8453	32339	\N	\N	\N
1136875	3884	1997-08-05	PRIJEM	VKLAD	8453	24395	\N	\N	\N
1136876	3884	1997-09-05	PRIJEM	VKLAD	8453	28400	\N	\N	\N
1136877	3884	1997-10-05	PRIJEM	VKLAD	8453	23529	\N	\N	\N
1136878	3884	1997-11-05	PRIJEM	VKLAD	8453	28548	\N	\N	\N
1136879	3884	1997-12-05	PRIJEM	VKLAD	12680	28573	\N	\N	\N
1136880	3884	1998-01-05	PRIJEM	VKLAD	8453	19320	\N	\N	\N
1136881	3884	1998-02-05	PRIJEM	VKLAD	8453	18693	\N	\N	\N
1136882	3884	1998-03-05	PRIJEM	VKLAD	8453	22377	\N	\N	\N
1136883	3884	1998-04-05	PRIJEM	VKLAD	8453	26676	\N	\N	\N
1136884	3884	1998-05-05	PRIJEM	VKLAD	8453	21865	\N	\N	\N
1136885	3884	1998-06-05	PRIJEM	VKLAD	12680	25875	\N	\N	\N
1136886	3884	1998-07-05	PRIJEM	VKLAD	8453	22863	\N	\N	\N
1136887	3884	1998-08-05	PRIJEM	VKLAD	8453	21146	\N	\N	\N
1136888	3884	1998-09-05	PRIJEM	VKLAD	8453	22935	\N	\N	\N
1136889	3884	1998-10-05	PRIJEM	VKLAD	8453	22926	\N	\N	\N
1136890	3884	1998-11-05	PRIJEM	VKLAD	8453	21715	\N	\N	\N
1136891	3884	1998-12-05	PRIJEM	VKLAD	12680	26234	\N	\N	\N
1136907	3884	1997-04-10	VYDAJ	PREVOD NA UCET	5011	28333	SIPO	YZ	5279612
1136908	3884	1997-05-10	VYDAJ	PREVOD NA UCET	5011	26761	SIPO	YZ	5279612
1136909	3884	1997-06-10	VYDAJ	PREVOD NA UCET	5011	27605	SIPO	YZ	5279612
1136910	3884	1997-07-10	VYDAJ	PREVOD NA UCET	5011	27328	SIPO	YZ	5279612
1136911	3884	1997-08-10	VYDAJ	PREVOD NA UCET	5011	19384	SIPO	YZ	5279612
1136912	3884	1997-09-10	VYDAJ	PREVOD NA UCET	5011	20889	SIPO	YZ	5279612
1136913	3884	1997-10-10	VYDAJ	PREVOD NA UCET	5011	20018	SIPO	YZ	5279612
1136914	3884	1997-11-10	VYDAJ	PREVOD NA UCET	5011	15837	SIPO	YZ	5279612
1136915	3884	1997-12-10	VYDAJ	PREVOD NA UCET	5011	10822	SIPO	YZ	5279612
1136916	3884	1998-01-10	VYDAJ	PREVOD NA UCET	5011	10209	SIPO	YZ	5279612
1136917	3884	1998-02-10	VYDAJ	PREVOD NA UCET	5011	13882	SIPO	YZ	5279612
1136918	3884	1998-03-10	VYDAJ	PREVOD NA UCET	5011	18166	SIPO	YZ	5279612
1136919	3884	1998-04-10	VYDAJ	PREVOD NA UCET	5011	13365	SIPO	YZ	5279612
1136920	3884	1998-05-10	VYDAJ	PREVOD NA UCET	5011	13154	SIPO	YZ	5279612
1136921	3884	1998-06-10	VYDAJ	PREVOD NA UCET	5011	14364	SIPO	YZ	5279612
1136922	3884	1998-07-10	VYDAJ	PREVOD NA UCET	5011	12652	SIPO	YZ	5279612
1136923	3884	1998-08-10	VYDAJ	PREVOD NA UCET	5011	14435	SIPO	YZ	5279612
1136924	3884	1998-09-10	VYDAJ	PREVOD NA UCET	5011	14424	SIPO	YZ	5279612
1136925	3884	1998-10-10	VYDAJ	PREVOD NA UCET	5011	13215	SIPO	YZ	5279612
1136926	3884	1998-11-10	VYDAJ	PREVOD NA UCET	5011	16704	SIPO	YZ	5279612
1136927	3884	1998-12-10	VYDAJ	PREVOD NA UCET	5011	21223	SIPO	YZ	5279612
1136935	3884	1997-12-09	VYDAJ	VYBER	4480	15833	\N	\N	\N
1136936	3884	1998-12-30	VYDAJ	VYBER	3040	18183	\N	\N	\N
1136951	3884	1998-01-06	VYDAJ	VYBER	3240	16080	\N	\N	\N
1136952	3884	1998-01-07	VYDAJ	VYBER	960	15120	\N	\N	\N
1136959	3884	1997-09-26	VYDAJ	VYBER	5880	15009	\N	\N	\N
1136960	3884	1997-07-26	VYDAJ	VYBER	5160	15868	\N	\N	\N
1136961	3884	1997-12-05	VYDAJ	VYBER	4080	24493	\N	\N	\N
1136962	3884	1997-12-09	VYDAJ	VYBER	4680	20313	\N	\N	\N
1136983	3884	1997-04-30	VYDAJ	VYBER	15	23319	SLUZBY	\N	\N
1136984	3884	1997-05-31	VYDAJ	VYBER	15	19936	SLUZBY	\N	\N
1136985	3884	1997-06-30	VYDAJ	VYBER	15	23886	SLUZBY	\N	\N
1136986	3884	1997-07-31	VYDAJ	VYBER	15	15942	SLUZBY	\N	\N
1136987	3884	1997-08-31	VYDAJ	VYBER	15	19947	SLUZBY	\N	\N
1136988	3884	1997-09-30	VYDAJ	VYBER	15	15076	SLUZBY	\N	\N
1136989	3884	1997-10-31	VYDAJ	VYBER	15	20095	SLUZBY	\N	\N
1136990	3884	1997-11-30	VYDAJ	VYBER	15	15894	SLUZBY	\N	\N
1136991	3884	1997-12-31	VYDAJ	VYBER	15	10867	SLUZBY	\N	\N
1136992	3884	1998-01-31	VYDAJ	VYBER	15	10240	SLUZBY	\N	\N
1136993	3884	1998-02-28	VYDAJ	VYBER	15	13924	SLUZBY	\N	\N
1136994	3884	1998-03-31	VYDAJ	VYBER	15	18223	SLUZBY	\N	\N
1136995	3884	1998-04-30	VYDAJ	VYBER	15	13412	SLUZBY	\N	\N
1136996	3884	1998-05-31	VYDAJ	VYBER	15	13195	SLUZBY	\N	\N
1136997	3884	1998-06-30	VYDAJ	VYBER	15	14410	SLUZBY	\N	\N
1136998	3884	1998-07-31	VYDAJ	VYBER	15	12693	SLUZBY	\N	\N
1136999	3884	1998-08-31	VYDAJ	VYBER	15	14482	SLUZBY	\N	\N
1137000	3884	1998-09-30	VYDAJ	VYBER	15	14473	SLUZBY	\N	\N
1137001	3884	1998-10-31	VYDAJ	VYBER	15	13262	SLUZBY	\N	\N
1137002	3884	1998-11-30	VYDAJ	VYBER	15	16754	SLUZBY	\N	\N
1137003	3884	1996-12-14	PRIJEM	VKLAD	4900	18280	\N	\N	\N
1137004	3884	1997-01-13	VYDAJ	VYBER	900	25877	\N	\N	\N
1137005	3884	1997-02-12	VYDAJ	VYBER	8600	25825	\N	\N	\N
1137006	3884	1997-03-14	VYDAJ	VYBER	9600	24786	\N	\N	\N
1137007	3884	1997-04-13	VYDAJ	VYBER	5100	23233	\N	\N	\N
1137008	3884	1997-05-13	VYDAJ	VYBER	6900	19861	\N	\N	\N
1137009	3884	1997-06-12	VYDAJ	VYBER	3800	23805	\N	\N	\N
1137010	3884	1997-07-12	VYDAJ	VYBER	6300	21028	\N	\N	\N
1137011	3884	1997-08-11	PRIJEM	VKLAD	500	19884	\N	\N	\N
1137012	3884	1997-09-10	VYDAJ	VYBER	2500	25900	\N	\N	\N
1137013	3884	1997-10-10	PRIJEM	VKLAD	1500	25029	\N	\N	\N
1137014	3884	1997-11-09	VYDAJ	VYBER	7700	20848	\N	\N	\N
1137015	3884	1997-12-09	PRIJEM	VKLAD	500	24993	\N	\N	\N
1137016	3884	1998-01-08	PRIJEM	VKLAD	100	15220	\N	\N	\N
1137017	3884	1998-02-07	PRIJEM	VKLAD	200	18893	\N	\N	\N
1137018	3884	1998-03-09	PRIJEM	VKLAD	800	23177	\N	\N	\N
1137019	3884	1998-04-08	VYDAJ	VYBER	8300	18376	\N	\N	\N
1137020	3884	1998-05-08	VYDAJ	VYBER	3700	18165	\N	\N	\N
1137021	3884	1998-06-07	VYDAJ	VYBER	6500	19375	\N	\N	\N
1137022	3884	1998-07-07	VYDAJ	VYBER	5200	17663	\N	\N	\N
1137023	3884	1998-08-06	VYDAJ	VYBER	1700	19446	\N	\N	\N
1137024	3884	1998-09-05	VYDAJ	VYBER	3500	19435	\N	\N	\N
1137025	3884	1998-10-05	VYDAJ	VYBER	4700	18226	\N	\N	\N
1137026	3884	1998-12-04	VYDAJ	VYBER	3200	13554	\N	\N	\N
1137052	3885	1997-04-01	PRIJEM	VKLAD	200	200	\N	\N	\N
1137056	3885	1997-04-06	PRIJEM	VKLAD	5184	5384	\N	\N	\N
1137057	3885	1997-05-06	PRIJEM	VKLAD	5184	20187	\N	\N	\N
1137058	3885	1997-06-06	PRIJEM	VKLAD	7776	28837	\N	\N	\N
1137059	3885	1997-07-06	PRIJEM	VKLAD	5184	29309	\N	\N	\N
1137060	3885	1997-08-06	PRIJEM	VKLAD	5184	29894	\N	\N	\N
1137061	3885	1997-09-06	PRIJEM	VKLAD	5184	26144	\N	\N	\N
1137062	3885	1997-10-06	PRIJEM	VKLAD	5184	29702	\N	\N	\N
1137063	3885	1997-11-06	PRIJEM	VKLAD	5184	30674	\N	\N	\N
1137064	3885	1997-12-06	PRIJEM	VKLAD	7776	35543	\N	\N	\N
1137065	3885	1998-01-06	PRIJEM	VKLAD	5184	28527	\N	\N	\N
1137066	3885	1998-02-06	PRIJEM	VKLAD	5184	21367	\N	\N	\N
1137067	3885	1998-03-06	PRIJEM	VKLAD	5184	23005	\N	\N	\N
1137068	3885	1998-04-06	PRIJEM	VKLAD	5184	25750	\N	\N	\N
1137069	3885	1998-05-06	PRIJEM	VKLAD	5184	27807	\N	\N	\N
1137070	3885	1998-06-06	PRIJEM	VKLAD	7776	31763	\N	\N	\N
1137071	3885	1998-07-06	PRIJEM	VKLAD	5184	34737	\N	\N	\N
1137072	3885	1998-08-06	PRIJEM	VKLAD	5184	33828	\N	\N	\N
1137073	3885	1998-09-06	PRIJEM	VKLAD	5184	32039	\N	\N	\N
1137074	3885	1998-10-06	PRIJEM	VKLAD	5184	29858	\N	\N	\N
1137075	3885	1998-11-06	PRIJEM	VKLAD	5184	28528	\N	\N	\N
1137076	3885	1998-12-06	PRIJEM	VKLAD	7776	29384	\N	\N	\N
1137103	3885	1997-12-30	VYDAJ	VYBER	4000	23243	\N	\N	\N
1137104	3885	1998-12-16	VYDAJ	VYBER	3840	25544	\N	\N	\N
1137111	3885	1998-01-06	VYDAJ	VYBER	1440	27087	\N	\N	\N
1137112	3885	1998-01-20	VYDAJ	VYBER	1560	22407	\N	\N	\N
1137113	3885	1998-01-22	VYDAJ	VYBER	3480	18927	\N	\N	\N
1137114	3885	1998-01-22	VYDAJ	VYBER	1320	17607	\N	\N	\N
1137115	3885	1998-01-25	VYDAJ	VYBER	1800	15807	\N	\N	\N
1137116	3885	1998-01-09	VYDAJ	VYBER	3120	23967	\N	\N	\N
1137119	3885	1997-08-28	VYDAJ	VYBER	5520	24374	\N	\N	\N
1137121	3885	1998-09-20	VYDAJ	VYBER	5160	26879	\N	\N	\N
1137122	3885	1998-08-16	VYDAJ	VYBER	1080	32748	\N	\N	\N
1137131	3885	1997-08-31	VYDAJ	VYBER	15	20960	SLUZBY	\N	\N
1137132	3885	1997-09-30	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
1137133	3885	1997-10-31	VYDAJ	VYBER	15	25490	SLUZBY	\N	\N
1137134	3885	1997-11-30	VYDAJ	VYBER	15	27767	SLUZBY	\N	\N
1137135	3885	1997-12-31	VYDAJ	VYBER	15	23343	SLUZBY	\N	\N
1137136	3885	1998-01-31	VYDAJ	VYBER	15	16183	SLUZBY	\N	\N
1137137	3885	1998-02-28	VYDAJ	VYBER	15	17821	SLUZBY	\N	\N
1137138	3885	1998-03-31	VYDAJ	VYBER	15	20566	SLUZBY	\N	\N
1137139	3885	1998-04-30	VYDAJ	VYBER	15	22623	SLUZBY	\N	\N
1137140	3885	1998-05-31	VYDAJ	VYBER	15	23987	SLUZBY	\N	\N
1137141	3885	1998-06-30	VYDAJ	VYBER	15	29553	SLUZBY	\N	\N
1137142	3885	1998-07-31	VYDAJ	VYBER	15	28644	SLUZBY	\N	\N
1137143	3885	1998-08-31	VYDAJ	VYBER	15	26855	SLUZBY	\N	\N
1137144	3885	1998-09-30	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
1137145	3885	1998-10-31	VYDAJ	VYBER	15	23344	SLUZBY	\N	\N
1137146	3885	1998-11-30	VYDAJ	VYBER	15	21608	SLUZBY	\N	\N
1137147	3885	1997-05-01	PRIJEM	VKLAD	9600	15003	\N	\N	\N
1137148	3885	1997-05-31	PRIJEM	VKLAD	800	21061	\N	\N	\N
1137149	3885	1997-06-30	VYDAJ	VYBER	4800	24125	\N	\N	\N
1137150	3885	1997-07-30	VYDAJ	VYBER	4700	24609	\N	\N	\N
1137151	3885	1997-08-29	VYDAJ	VYBER	3500	20874	\N	\N	\N
1137152	3885	1997-09-28	VYDAJ	VYBER	1700	24444	\N	\N	\N
1137153	3885	1997-10-28	VYDAJ	VYBER	4300	25402	\N	\N	\N
1137154	3885	1997-11-27	VYDAJ	VYBER	3000	27674	\N	\N	\N
1137155	3885	1997-12-27	VYDAJ	VYBER	8300	27243	\N	\N	\N
1137156	3885	1998-01-26	PRIJEM	VKLAD	300	16107	\N	\N	\N
1137157	3885	1998-02-25	VYDAJ	VYBER	3600	17767	\N	\N	\N
1137158	3885	1998-03-27	VYDAJ	VYBER	2500	20505	\N	\N	\N
1137159	3885	1998-04-26	VYDAJ	VYBER	3200	22550	\N	\N	\N
1137160	3885	1998-05-26	VYDAJ	VYBER	3900	23907	\N	\N	\N
1137161	3885	1998-06-25	VYDAJ	VYBER	2300	29463	\N	\N	\N
1137162	3885	1998-07-25	VYDAJ	VYBER	6200	28537	\N	\N	\N
1137163	3885	1998-08-24	VYDAJ	VYBER	6000	26748	\N	\N	\N
1137164	3885	1998-09-23	VYDAJ	VYBER	2300	24579	\N	\N	\N
1137165	3885	1998-10-23	VYDAJ	VYBER	6600	23258	\N	\N	\N
1137166	3885	1998-11-22	VYDAJ	VYBER	7000	21528	\N	\N	\N
1137188	3886	1994-02-20	PRIJEM	VKLAD	400	400	\N	\N	\N
1137189	3886	1994-06-06	PRIJEM	VKLAD	9052	31552	\N	\N	\N
1137190	3886	1995-02-13	PRIJEM	VKLAD	8750	53279	\N	\N	\N
1137191	3886	1995-01-13	PRIJEM	VKLAD	12123	37651	\N	\N	\N
1137192	3886	1995-08-29	PRIJEM	VKLAD	10374	33656	\N	\N	\N
1137193	3886	1995-04-19	PRIJEM	VKLAD	43109	70946	\N	\N	\N
1137194	3886	1995-09-16	PRIJEM	VKLAD	31575	66149	\N	\N	\N
1137195	3886	1995-11-09	PRIJEM	VKLAD	29866	80631	\N	\N	\N
1137196	3886	1995-09-07	PRIJEM	VKLAD	10845	44574	\N	\N	\N
1137197	3886	1995-01-22	PRIJEM	VKLAD	9431	44382	\N	\N	\N
1137198	3886	1995-04-20	PRIJEM	VKLAD	17147	88093	\N	\N	\N
1137199	3886	1995-12-15	PRIJEM	VKLAD	23105	56137	\N	\N	\N
1137200	3886	1995-09-16	PRIJEM	VKLAD	22810	88959	\N	\N	\N
1137201	3886	1995-08-05	PRIJEM	VKLAD	7465	22582	\N	\N	\N
1137202	3886	1996-02-23	PRIJEM	VKLAD	45870	113027	\N	\N	\N
1137203	3886	1996-11-15	PRIJEM	VKLAD	27883	103972	\N	\N	\N
1137204	3886	1996-05-08	PRIJEM	VKLAD	21052	95856	\N	\N	\N
1137205	3886	1996-05-04	PRIJEM	VKLAD	27520	127004	\N	\N	\N
1137206	3886	1996-03-29	PRIJEM	VKLAD	44787	86157	\N	\N	\N
1137207	3886	1996-09-02	PRIJEM	VKLAD	34178	119437	\N	\N	\N
1137208	3886	1996-11-20	PRIJEM	VKLAD	42064	146036	\N	\N	\N
1137209	3886	1996-07-23	PRIJEM	VKLAD	30875	158955	\N	\N	\N
1137210	3886	1996-08-29	PRIJEM	VKLAD	23169	116521	\N	\N	\N
1137211	3886	1996-07-10	PRIJEM	VKLAD	48309	90488	\N	\N	\N
1137212	3886	1996-05-01	PRIJEM	VKLAD	22513	99484	\N	\N	\N
1137213	3886	1996-08-07	PRIJEM	VKLAD	19313	116836	\N	\N	\N
1137214	3886	1996-05-22	PRIJEM	VKLAD	48713	93838	\N	\N	\N
1137215	3886	1996-04-23	PRIJEM	VKLAD	49557	144743	\N	\N	\N
1137216	3886	1996-08-13	PRIJEM	VKLAD	45916	93352	\N	\N	\N
1137217	3886	1996-11-07	PRIJEM	VKLAD	24499	77589	\N	\N	\N
1137218	3886	1996-12-04	PRIJEM	VKLAD	46382	146672	\N	\N	\N
1137219	3886	1996-07-23	PRIJEM	VKLAD	37592	128080	\N	\N	\N
1137220	3886	1996-06-08	PRIJEM	VKLAD	19308	113433	\N	\N	\N
1137221	3886	1996-08-06	PRIJEM	VKLAD	19734	97523	\N	\N	\N
1137222	3886	1996-10-17	PRIJEM	VKLAD	45906	86671	\N	\N	\N
1137223	3886	1996-12-04	PRIJEM	VKLAD	9974	100290	\N	\N	\N
1137224	3886	1996-10-04	PRIJEM	VKLAD	10737	80265	\N	\N	\N
1137225	3886	1996-07-02	PRIJEM	VKLAD	32463	64996	\N	\N	\N
1137226	3886	1996-01-10	PRIJEM	VKLAD	24280	75506	\N	\N	\N
1137227	3886	1996-09-20	PRIJEM	VKLAD	29656	69265	\N	\N	\N
1137228	3886	1996-04-23	PRIJEM	VKLAD	46768	95186	\N	\N	\N
1137229	3886	1996-02-18	PRIJEM	VKLAD	31770	67157	\N	\N	\N
1137230	3886	1997-05-22	PRIJEM	VKLAD	35197	55877	\N	\N	\N
1137231	3886	1997-11-20	PRIJEM	VKLAD	22308	26778	\N	\N	\N
1137232	3886	1997-10-18	PRIJEM	VKLAD	8926	13969	\N	\N	\N
1137233	3886	1997-02-25	PRIJEM	VKLAD	24600	44429	\N	\N	\N
1137234	3886	1997-06-09	PRIJEM	VKLAD	18153	101984	\N	\N	\N
1137235	3886	1997-04-03	PRIJEM	VKLAD	5011	34937	\N	\N	\N
1137236	3886	1997-06-09	PRIJEM	VKLAD	43139	83831	\N	\N	\N
1137237	3886	1997-12-22	PRIJEM	VKLAD	16507	27025	\N	\N	\N
1137238	3886	1998-10-17	PRIJEM	VKLAD	25376	63723	\N	\N	\N
1137239	3886	1998-08-14	PRIJEM	VKLAD	43361	66239	\N	\N	\N
1137240	3886	1998-10-28	PRIJEM	VKLAD	47114	79337	\N	\N	\N
1137241	3886	1998-04-22	PRIJEM	VKLAD	30456	68504	\N	\N	\N
1137242	3886	1998-08-19	PRIJEM	VKLAD	34086	99153	\N	\N	\N
1137243	3886	1998-03-11	PRIJEM	VKLAD	31264	62661	\N	\N	\N
1137244	3886	1998-04-08	PRIJEM	VKLAD	23891	38048	\N	\N	\N
1137245	3886	1998-11-26	PRIJEM	VKLAD	7292	109358	\N	\N	\N
1137246	3886	1998-07-09	PRIJEM	VKLAD	13213	26437	\N	\N	\N
1137247	3886	1998-08-15	PRIJEM	VKLAD	46828	113067	\N	\N	\N
1137248	3886	1998-02-06	PRIJEM	VKLAD	14777	21350	\N	\N	\N
1137249	3886	1998-11-23	PRIJEM	VKLAD	22523	102066	\N	\N	\N
1137250	3886	1998-02-08	PRIJEM	VKLAD	35552	56902	\N	\N	\N
1137251	3886	1998-09-25	PRIJEM	VKLAD	25213	68639	\N	\N	\N
1137262	3886	1995-05-26	VYBER	VYBER	11437	33782	\N	\N	\N
1137263	3886	1995-10-12	VYBER	VYBER	13049	76106	\N	\N	\N
1137265	3886	1996-05-12	VYBER	VYBER	11301	51955	\N	\N	\N
1137266	3886	1996-11-25	VYBER	VYBER	20806	89930	\N	\N	\N
1137267	3886	1996-09-09	VYBER	VYBER	24528	39609	\N	\N	\N
1137268	3886	1996-07-31	VYBER	VYBER	23148	77803	\N	\N	\N
1137269	3886	1996-04-20	VYBER	VYBER	7342	48418	\N	\N	\N
1137270	3886	1996-07-04	VYBER	VYBER	7117	57879	\N	\N	\N
1137271	3886	1996-05-14	VYBER	VYBER	6830	45125	\N	\N	\N
1137272	3886	1996-11-02	VYBER	VYBER	8356	78590	\N	\N	\N
1137273	3886	1996-12-26	VYBER	VYBER	24637	23435	\N	\N	\N
1137274	3886	1997-08-08	VYBER	VYBER	3906	6480	\N	\N	\N
1137275	3886	1997-07-06	VYBER	VYBER	9402	4284	\N	\N	\N
1137276	3886	1997-04-19	VYBER	VYBER	10047	19590	\N	\N	\N
1137281	3886	1997-10-19	VYBER	VYBER	7598	6371	\N	\N	\N
1137282	3886	1997-02-10	VYBER	VYBER	3676	19829	\N	\N	\N
1137283	3886	1997-09-03	VYBER	VYBER	10435	1353	\N	\N	\N
1137285	3886	1997-03-05	VYBER	VYBER	12699	31808	\N	\N	\N
1137288	3886	1998-09-23	VYBER	VYBER	10636	43426	\N	\N	\N
1137289	3886	1998-04-02	VYBER	VYBER	22136	14157	\N	\N	\N
1137291	3886	1995-06-19	VYDAJ	VYBER	18900	10400	\N	\N	\N
1137293	3886	1997-06-14	VYDAJ	VYBER	80700	6584	\N	\N	\N
1137297	3886	1996-01-15	VYDAJ	VYBER	9600	43006	\N	\N	\N
1137298	3886	1997-01-02	VYDAJ	VYBER	18600	5049	\N	\N	\N
1137301	3886	1995-12-30	VYDAJ	VYBER	5100	51037	\N	\N	\N
1137302	3886	1996-12-25	VYDAJ	VYBER	7500	48072	\N	\N	\N
1137303	3886	1997-12-01	VYDAJ	VYBER	8700	18118	\N	\N	\N
1137304	3886	1998-12-29	VYDAJ	VYBER	4800	35258	\N	\N	\N
1137308	3886	1995-05-05	VYDAJ	VYBER	8400	69419	\N	\N	\N
1137309	3886	1995-12-04	VYDAJ	VYBER	6000	37132	\N	\N	\N
1137310	3886	1995-05-11	VYDAJ	VYBER	9000	60419	\N	\N	\N
1137311	3886	1995-04-24	VYDAJ	VYBER	10500	77593	\N	\N	\N
1137312	3886	1995-11-26	VYDAJ	VYBER	12900	42931	\N	\N	\N
1137313	3886	1996-04-24	VYDAJ	VYBER	13500	76643	\N	\N	\N
1137314	3886	1996-10-10	VYDAJ	VYBER	12600	40765	\N	\N	\N
1137315	3886	1996-11-11	VYDAJ	VYBER	1500	76089	\N	\N	\N
1137316	3886	1996-06-20	VYDAJ	VYBER	11400	32333	\N	\N	\N
1137318	3886	1997-01-03	VYDAJ	VYBER KARTOU	1800	3249	\N	\N	0
1137319	3886	1997-12-09	VYDAJ	VYBER	4500	10518	\N	\N	\N
1137320	3886	1997-06-09	VYDAJ	VYBER	14700	87284	\N	\N	\N
1137321	3886	1998-10-11	VYDAJ	VYBER	4800	38347	\N	\N	\N
1137322	3886	1998-05-06	VYDAJ	VYBER KARTOU	2100	29575	\N	\N	0
1137323	3886	1998-10-27	VYDAJ	VYBER	14400	49323	\N	\N	\N
1137324	3886	1998-04-28	VYDAJ	VYBER	13800	54704	\N	\N	\N
1137325	3886	1998-09-08	VYDAJ	VYBER KARTOU	2100	54062	\N	\N	0
1137326	3886	1998-02-02	VYDAJ	VYBER	5400	6573	\N	\N	\N
1137327	3886	1998-05-08	VYDAJ	VYBER	7500	22075	\N	\N	\N
1137344	3886	1995-04-30	VYDAJ	VYBER	15	77819	SLUZBY	\N	\N
1137345	3886	1995-05-31	VYDAJ	VYBER	15	34000	SLUZBY	\N	\N
1137346	3886	1995-06-30	VYDAJ	VYBER	15	10488	SLUZBY	\N	\N
1137347	3886	1995-07-31	VYDAJ	VYBER	15	15117	SLUZBY	\N	\N
1137348	3886	1995-08-31	VYDAJ	VYBER	15	33729	SLUZBY	\N	\N
1137349	3886	1995-09-30	VYDAJ	VYBER	15	89155	SLUZBY	\N	\N
1137350	3886	1995-10-31	VYDAJ	VYBER	15	50765	SLUZBY	\N	\N
1137351	3886	1995-11-30	VYDAJ	VYBER	15	43132	SLUZBY	\N	\N
1137352	3886	1995-12-31	VYDAJ	VYBER	15	51226	SLUZBY	\N	\N
1137353	3886	1996-01-31	VYDAJ	VYBER	15	43187	SLUZBY	\N	\N
1137354	3886	1996-02-29	VYDAJ	VYBER	15	48670	SLUZBY	\N	\N
1137355	3886	1996-03-31	VYDAJ	VYBER	15	86360	SLUZBY	\N	\N
1137356	3886	1996-04-30	VYDAJ	VYBER	15	76971	SLUZBY	\N	\N
1137357	3886	1996-05-31	VYDAJ	VYBER	15	94125	SLUZBY	\N	\N
1137358	3886	1996-06-30	VYDAJ	VYBER	15	32533	SLUZBY	\N	\N
1137359	3886	1996-07-31	VYDAJ	VYBER	15	77789	SLUZBY	\N	\N
1137360	3886	1996-08-31	VYDAJ	VYBER	15	85259	SLUZBY	\N	\N
1137361	3886	1996-09-30	VYDAJ	VYBER	15	69528	SLUZBY	\N	\N
1137362	3886	1996-10-31	VYDAJ	VYBER	15	86946	SLUZBY	\N	\N
1137363	3886	1996-11-30	VYDAJ	VYBER	15	90316	SLUZBY	\N	\N
1137364	3886	1996-12-31	VYDAJ	VYBER	15	23649	SLUZBY	\N	\N
1137365	3886	1997-01-31	VYDAJ	VYBER	15	17805	SLUZBY	\N	\N
1137366	3886	1997-02-28	VYDAJ	VYBER	15	44507	SLUZBY	\N	\N
1137367	3886	1997-03-31	VYDAJ	VYBER	15	29926	SLUZBY	\N	\N
1137368	3886	1997-04-30	VYDAJ	VYBER	15	19680	SLUZBY	\N	\N
1137369	3886	1997-05-31	VYDAJ	VYBER	15	55992	SLUZBY	\N	\N
1137370	3886	1997-06-30	VYDAJ	VYBER	15	6686	SLUZBY	\N	\N
1137371	3886	1997-07-31	VYDAJ	VYBER	15	4286	SLUZBY	\N	\N
1137372	3886	1997-08-31	VYDAJ	VYBER	15	6488	SLUZBY	\N	\N
1137373	3886	1997-09-30	VYDAJ	VYBER	15	1343	SLUZBY	\N	\N
1137374	3886	1997-10-31	VYDAJ	VYBER	15	6370	SLUZBY	\N	\N
1137375	3886	1997-11-30	VYDAJ	VYBER	15	26818	SLUZBY	\N	\N
1137376	3886	1997-12-31	VYDAJ	VYBER	15	16588	SLUZBY	\N	\N
1137377	3886	1998-01-31	VYDAJ	VYBER	15	11973	SLUZBY	\N	\N
1137378	3886	1998-02-28	VYDAJ	VYBER	15	57197	SLUZBY	\N	\N
1137379	3886	1998-03-31	VYDAJ	VYBER	15	36293	SLUZBY	\N	\N
1137380	3886	1998-04-30	VYDAJ	VYBER	15	31675	SLUZBY	\N	\N
1137381	3886	1998-05-31	VYDAJ	VYBER	15	15778	SLUZBY	\N	\N
1137382	3886	1998-06-30	VYDAJ	VYBER	15	13224	SLUZBY	\N	\N
1137383	3886	1998-07-31	VYDAJ	VYBER	15	22878	SLUZBY	\N	\N
1137384	3886	1998-08-31	VYDAJ	VYBER	15	56162	SLUZBY	\N	\N
1137385	3886	1998-09-30	VYDAJ	VYBER	15	43147	SLUZBY	\N	\N
1137386	3886	1998-10-31	VYDAJ	VYBER	15	79543	SLUZBY	\N	\N
1137387	3886	1998-11-30	VYDAJ	VYBER	15	61958	SLUZBY	\N	\N
1137388	3886	1994-03-22	PRIJEM	VKLAD	10200	10600	\N	\N	\N
1137389	3886	1994-04-21	PRIJEM	VKLAD	9200	19800	\N	\N	\N
1137390	3886	1994-05-21	PRIJEM	VKLAD	2700	22500	\N	\N	\N
1137391	3886	1994-06-20	VYDAJ	VYBER	2300	29252	\N	\N	\N
1137392	3886	1994-07-20	VYDAJ	VYBER	4400	24897	\N	\N	\N
1137393	3886	1994-08-19	VYDAJ	VYBER	100	24919	\N	\N	\N
1137394	3886	1994-09-18	PRIJEM	VKLAD	1600	26641	\N	\N	\N
1137395	3886	1994-10-18	PRIJEM	VKLAD	1600	28362	\N	\N	\N
1137396	3886	1994-11-17	VYDAJ	VYBER	2700	25784	\N	\N	\N
1137397	3886	1994-12-17	VYDAJ	VYBER	500	25406	\N	\N	\N
1137398	3886	1995-01-16	VYDAJ	VYBER	2700	34951	\N	\N	\N
1137399	3886	1995-02-15	VYDAJ	VYBER	10800	42479	\N	\N	\N
1137400	3886	1995-03-17	VYDAJ	VYBER	9600	33060	\N	\N	\N
1137401	3886	1995-04-16	VYDAJ	VYBER	5400	27837	\N	\N	\N
1137402	3886	1995-05-16	VYDAJ	VYBER	15200	45219	\N	\N	\N
1137403	3886	1995-06-15	VYDAJ	VYBER	4700	29300	\N	\N	\N
1137404	3886	1995-07-15	PRIJEM	VKLAD	4600	15088	\N	\N	\N
1137405	3886	1995-08-14	PRIJEM	VKLAD	700	23282	\N	\N	\N
1137406	3886	1995-09-13	VYDAJ	VYBER	10000	34574	\N	\N	\N
1137407	3886	1995-10-13	VYDAJ	VYBER	25600	50506	\N	\N	\N
1137408	3886	1995-11-12	VYDAJ	VYBER	24800	55831	\N	\N	\N
1137409	3886	1995-12-12	VYDAJ	VYBER	4100	33032	\N	\N	\N
1137410	3886	1996-01-11	VYDAJ	VYBER	22900	52606	\N	\N	\N
1137411	3886	1996-02-10	VYDAJ	VYBER	7800	35387	\N	\N	\N
1137412	3886	1996-02-23	VYDAJ	VYBER	64600	48427	\N	\N	\N
1137413	3886	1996-03-11	VYDAJ	VYBER	7300	41370	\N	\N	\N
1137414	3886	1996-04-10	VYDAJ	VYBER	30600	55760	\N	\N	\N
1137415	3886	1996-04-23	VYDAJ	VYBER	54600	90143	\N	\N	\N
1137416	3886	1996-05-04	VYDAJ	VYBER	52200	74804	\N	\N	\N
1137417	3886	1996-05-10	VYDAJ	VYBER	32600	63256	\N	\N	\N
1137418	3886	1996-06-08	VYDAJ	VYBER	60700	52733	\N	\N	\N
1137419	3886	1996-06-09	VYDAJ	VYBER	9000	43733	\N	\N	\N
1137420	3886	1996-07-09	VYDAJ	VYBER	15700	42179	\N	\N	\N
1137421	3886	1996-07-23	VYDAJ	VYBER	58400	100555	\N	\N	\N
1137422	3886	1996-08-07	VYDAJ	VYBER	48600	68236	\N	\N	\N
1137423	3886	1996-08-08	VYDAJ	VYBER	20800	47436	\N	\N	\N
1137424	3886	1996-08-29	VYDAJ	VYBER	31600	84921	\N	\N	\N
1137425	3886	1996-09-02	VYDAJ	VYBER	18100	101337	\N	\N	\N
1137426	3886	1996-09-07	VYDAJ	VYBER	37200	64137	\N	\N	\N
1137427	3886	1996-10-07	VYDAJ	VYBER	26900	53365	\N	\N	\N
1137428	3886	1996-11-06	VYDAJ	VYBER	25500	53090	\N	\N	\N
1137429	3886	1996-11-20	VYDAJ	VYBER	35300	110736	\N	\N	\N
1137430	3886	1996-12-04	VYDAJ	VYBER	62000	84672	\N	\N	\N
1137431	3886	1996-12-06	VYDAJ	VYBER	29100	55572	\N	\N	\N
1137432	3886	1997-01-05	PRIJEM	VKLAD	14500	17749	\N	\N	\N
1137433	3886	1997-02-04	PRIJEM	VKLAD	5700	23505	\N	\N	\N
1137434	3886	1997-03-06	VYDAJ	VYBER KARTOU	2000	29808	\N	\N	0
1137435	3886	1997-04-05	VYDAJ	VYBER	5300	29637	\N	\N	\N
1137436	3886	1997-05-05	PRIJEM	VKLAD	1000	20680	\N	\N	\N
1137437	3886	1997-06-04	VYDAJ	VYBER	15300	40692	\N	\N	\N
1137438	3886	1997-07-04	PRIJEM	VKLAD	7000	13686	\N	\N	\N
1137439	3886	1997-08-03	PRIJEM	VKLAD	6100	10386	\N	\N	\N
1137440	3886	1997-09-02	PRIJEM	VKLAD	5300	11788	\N	\N	\N
1137441	3886	1997-10-02	PRIJEM	VKLAD	3700	5043	\N	\N	\N
1137442	3886	1997-11-01	VYDAJ	VYBER KARTOU	1900	4470	\N	\N	0
1137443	3886	1997-12-01	VYDAJ	VYBER KARTOU	3100	15018	\N	\N	0
1137444	3886	1997-12-31	VYDAJ	VYBER	10500	16603	\N	\N	\N
1137445	3886	1998-01-30	VYDAJ	VYBER	4600	11988	\N	\N	\N
1137446	3886	1998-03-01	VYDAJ	VYBER	25800	31397	\N	\N	\N
1137447	3886	1998-03-31	VYDAJ	VYBER	26600	36308	\N	\N	\N
1137448	3886	1998-04-30	VYDAJ	VYBER	23200	31690	\N	\N	\N
1137449	3886	1998-05-30	VYDAJ	VYBER	6400	15675	\N	\N	\N
1137450	3886	1998-06-29	VYDAJ	VYBER KARTOU	2600	13178	\N	\N	0
1137451	3886	1998-07-29	VYDAJ	VYBER KARTOU	3600	22837	\N	\N	0
1137452	3886	1998-08-15	VYDAJ	VYBER	48000	65067	\N	\N	\N
1137453	3886	1998-08-28	VYDAJ	VYBER	43200	55953	\N	\N	\N
1137454	3886	1998-09-27	VYDAJ	VYBER	25700	42939	\N	\N	\N
1137455	3886	1998-10-27	VYDAJ	VYBER	17100	32223	\N	\N	\N
1137456	3886	1998-11-26	VYDAJ	VYBER	47700	61658	\N	\N	\N
1137457	3886	1998-12-26	VYDAJ	VYBER	21900	40058	\N	\N	\N
1137517	3887	1996-05-08	PRIJEM	VKLAD	200	200	\N	\N	\N
1137523	3887	1996-06-08	PRIJEM	PREVOD Z UCTU	3020	16720	\N	OP	98878043
1137524	3887	1996-07-08	PRIJEM	PREVOD Z UCTU	3020	25493	\N	OP	98878043
1137525	3887	1996-08-08	PRIJEM	PREVOD Z UCTU	3020	28711	\N	OP	98878043
1137526	3887	1996-09-08	PRIJEM	PREVOD Z UCTU	3020	31048	\N	OP	98878043
1137527	3887	1996-10-08	PRIJEM	PREVOD Z UCTU	3020	32295	\N	OP	98878043
1137528	3887	1996-11-08	PRIJEM	PREVOD Z UCTU	3020	37416	\N	OP	98878043
1137529	3887	1996-12-08	PRIJEM	PREVOD Z UCTU	3020	37352	\N	OP	98878043
1137530	3887	1997-01-08	PRIJEM	PREVOD Z UCTU	3020	31903	\N	OP	98878043
1137531	3887	1997-02-08	PRIJEM	PREVOD Z UCTU	3020	31159	\N	OP	98878043
1137532	3887	1997-03-08	PRIJEM	PREVOD Z UCTU	3020	31572	\N	OP	98878043
1137533	3887	1997-04-08	PRIJEM	PREVOD Z UCTU	3020	33689	\N	OP	98878043
1137534	3887	1997-05-08	PRIJEM	PREVOD Z UCTU	3020	31313	\N	OP	98878043
1137535	3887	1997-06-08	PRIJEM	PREVOD Z UCTU	3020	32331	\N	OP	98878043
1137536	3887	1997-07-08	PRIJEM	PREVOD Z UCTU	3020	35235	\N	OP	98878043
1137537	3887	1997-08-08	PRIJEM	PREVOD Z UCTU	3020	41525	\N	OP	98878043
1137538	3887	1997-09-08	PRIJEM	PREVOD Z UCTU	3020	43037	\N	OP	98878043
1137539	3887	1997-10-08	PRIJEM	PREVOD Z UCTU	3020	46302	\N	OP	98878043
1137540	3887	1997-11-08	PRIJEM	PREVOD Z UCTU	3020	49578	\N	OP	98878043
1137541	3887	1997-12-08	PRIJEM	PREVOD Z UCTU	3020	49766	\N	OP	98878043
1137542	3887	1998-01-08	PRIJEM	PREVOD Z UCTU	3020	49015	\N	OP	98878043
1137543	3887	1998-02-08	PRIJEM	PREVOD Z UCTU	3020	52358	\N	OP	98878043
1137544	3887	1998-03-08	PRIJEM	PREVOD Z UCTU	3020	50658	\N	OP	98878043
1137545	3887	1998-04-08	PRIJEM	PREVOD Z UCTU	3020	47358	\N	OP	98878043
1137546	3887	1998-05-08	PRIJEM	PREVOD Z UCTU	3020	48906	\N	OP	98878043
1137547	3887	1998-06-08	PRIJEM	PREVOD Z UCTU	3020	46890	\N	OP	98878043
1137548	3887	1998-07-08	PRIJEM	PREVOD Z UCTU	3020	43890	\N	OP	98878043
1137549	3887	1998-08-08	PRIJEM	PREVOD Z UCTU	3020	47356	\N	OP	98878043
1137550	3887	1998-09-08	PRIJEM	PREVOD Z UCTU	3020	50236	\N	OP	98878043
1137551	3887	1998-10-08	PRIJEM	PREVOD Z UCTU	3020	51027	\N	OP	98878043
1137552	3887	1998-11-08	PRIJEM	PREVOD Z UCTU	3020	50620	\N	OP	98878043
1137553	3887	1998-12-08	PRIJEM	PREVOD Z UCTU	3020	47829	\N	OP	98878043
1137563	3887	1996-10-13	VYDAJ	PREVOD NA UCET	2013	30282	SIPO	MN	51578915
1137564	3887	1996-11-13	VYDAJ	PREVOD NA UCET	2013	35403	SIPO	MN	51578915
1137565	3887	1996-12-13	VYDAJ	PREVOD NA UCET	2013	35339	SIPO	MN	51578915
1137566	3887	1997-01-13	VYDAJ	PREVOD NA UCET	2013	29890	SIPO	MN	51578915
1137567	3887	1997-02-13	VYDAJ	PREVOD NA UCET	2013	29146	SIPO	MN	51578915
1137568	3887	1997-03-13	VYDAJ	PREVOD NA UCET	2013	29559	SIPO	MN	51578915
1137569	3887	1997-04-13	VYDAJ	PREVOD NA UCET	2013	31676	SIPO	MN	51578915
1137570	3887	1997-05-13	VYDAJ	PREVOD NA UCET	2013	29300	SIPO	MN	51578915
1137571	3887	1997-06-13	VYDAJ	PREVOD NA UCET	2013	30318	SIPO	MN	51578915
1137572	3887	1997-07-13	VYDAJ	PREVOD NA UCET	2013	33222	SIPO	MN	51578915
1137573	3887	1997-08-13	VYDAJ	PREVOD NA UCET	2013	39512	SIPO	MN	51578915
1137574	3887	1997-09-13	VYDAJ	PREVOD NA UCET	2013	41024	SIPO	MN	51578915
1137575	3887	1997-10-13	VYDAJ	PREVOD NA UCET	2013	44289	SIPO	MN	51578915
1137576	3887	1997-11-13	VYDAJ	PREVOD NA UCET	2013	47565	SIPO	MN	51578915
1137577	3887	1997-12-13	VYDAJ	PREVOD NA UCET	2013	46943	SIPO	MN	51578915
1137578	3887	1998-01-13	VYDAJ	PREVOD NA UCET	2013	46072	SIPO	MN	51578915
1137579	3887	1998-02-13	VYDAJ	PREVOD NA UCET	2013	50345	SIPO	MN	51578915
1137580	3887	1998-03-13	VYDAJ	PREVOD NA UCET	2013	48645	SIPO	MN	51578915
1137581	3887	1998-04-13	VYDAJ	PREVOD NA UCET	2013	45345	SIPO	MN	51578915
1137582	3887	1998-05-13	VYDAJ	PREVOD NA UCET	2013	46893	SIPO	MN	51578915
1137583	3887	1998-06-13	VYDAJ	PREVOD NA UCET	2013	44877	SIPO	MN	51578915
1137584	3887	1998-07-13	VYDAJ	PREVOD NA UCET	2013	41877	SIPO	MN	51578915
1137585	3887	1998-08-13	VYDAJ	PREVOD NA UCET	2013	45343	SIPO	MN	51578915
1137586	3887	1998-09-13	VYDAJ	PREVOD NA UCET	2013	48223	SIPO	MN	51578915
1137587	3887	1998-10-13	VYDAJ	PREVOD NA UCET	2013	49014	SIPO	MN	51578915
1137588	3887	1998-11-13	VYDAJ	PREVOD NA UCET	2013	48607	SIPO	MN	51578915
1137589	3887	1998-12-13	VYDAJ	PREVOD NA UCET	2013	45216	SIPO	MN	51578915
1137591	3887	1997-06-24	VYDAJ	VYBER	5130	25188	\N	\N	\N
1137592	3887	1998-06-20	VYDAJ	VYBER	5070	39807	\N	\N	\N
1137594	3887	1997-01-01	VYDAJ	VYBER	2280	32083	\N	\N	\N
1137595	3887	1998-01-17	VYDAJ	VYBER	2190	43882	\N	\N	\N
1137596	3887	1996-12-24	VYDAJ	VYBER	420	34919	\N	\N	\N
1137597	3887	1997-12-10	VYDAJ	VYBER	810	48956	\N	\N	\N
1137598	3887	1998-12-11	VYDAJ	VYBER	600	47229	\N	\N	\N
1137605	3887	1997-01-22	VYDAJ	VYBER	600	28570	\N	\N	\N
1137606	3887	1997-01-26	VYDAJ	VYBER	150	27790	\N	\N	\N
1137607	3887	1997-01-20	VYDAJ	VYBER	720	29170	\N	\N	\N
1137608	3887	1997-01-30	VYDAJ	VYBER	360	27430	\N	\N	\N
1137609	3887	1997-01-01	VYDAJ	VYBER	690	34363	\N	\N	\N
1137610	3887	1997-01-24	VYDAJ	VYBER	630	27940	\N	\N	\N
1137611	3887	1998-01-02	VYDAJ	VYBER	780	46445	\N	\N	\N
1137612	3887	1998-01-04	VYDAJ	VYBER	450	45995	\N	\N	\N
1137613	3887	1998-01-20	VYDAJ	VYBER	390	43162	\N	\N	\N
1137614	3887	1998-01-13	VYDAJ	VYBER	150	48085	\N	\N	\N
1137615	3887	1998-01-20	VYDAJ	VYBER	330	43552	\N	\N	\N
1137616	3887	1998-01-11	VYDAJ	VYBER	780	48235	\N	\N	\N
1137620	3887	1997-09-04	VYDAJ	VYBER	1140	40017	\N	\N	\N
1137621	3887	1997-07-04	VYDAJ	VYBER	240	32215	\N	\N	\N
1137622	3887	1997-07-20	VYDAJ	VYBER	240	32982	\N	\N	\N
1137623	3887	1997-07-02	VYDAJ	VYBER	240	32455	\N	\N	\N
1137624	3887	1998-03-20	VYDAJ	VYBER	390	48255	\N	\N	\N
1137625	3887	1998-12-19	VYDAJ	VYBER	570	44646	\N	\N	\N
1137626	3887	1998-04-19	VYDAJ	VYBER	1230	44115	\N	\N	\N
1137627	3887	1998-12-06	VYDAJ	VYBER	780	44809	\N	\N	\N
1137638	3887	1996-10-31	VYDAJ	VYBER	15	30396	SLUZBY	\N	\N
1137639	3887	1996-11-30	VYDAJ	VYBER	15	35532	SLUZBY	\N	\N
1137640	3887	1996-12-31	VYDAJ	VYBER	15	35053	SLUZBY	\N	\N
1137641	3887	1997-01-31	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
1137642	3887	1997-02-28	VYDAJ	VYBER	15	29252	SLUZBY	\N	\N
1137643	3887	1997-03-31	VYDAJ	VYBER	15	29669	SLUZBY	\N	\N
1137644	3887	1997-04-30	VYDAJ	VYBER	15	31793	SLUZBY	\N	\N
1137645	3887	1997-05-31	VYDAJ	VYBER	15	29411	SLUZBY	\N	\N
1137646	3887	1997-06-30	VYDAJ	VYBER	15	25295	SLUZBY	\N	\N
1137647	3887	1997-07-31	VYDAJ	VYBER	15	33105	SLUZBY	\N	\N
1137648	3887	1997-08-31	VYDAJ	VYBER	15	41157	SLUZBY	\N	\N
1137649	3887	1997-09-30	VYDAJ	VYBER	15	43282	SLUZBY	\N	\N
1137650	3887	1997-10-31	VYDAJ	VYBER	15	46558	SLUZBY	\N	\N
1137651	3887	1997-11-30	VYDAJ	VYBER	15	46746	SLUZBY	\N	\N
1137652	3887	1997-12-31	VYDAJ	VYBER	15	47225	SLUZBY	\N	\N
1137653	3887	1998-01-31	VYDAJ	VYBER	15	49338	SLUZBY	\N	\N
1137654	3887	1998-02-28	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
1137655	3887	1998-03-31	VYDAJ	VYBER	15	44338	SLUZBY	\N	\N
1137656	3887	1998-04-30	VYDAJ	VYBER	15	45886	SLUZBY	\N	\N
1137657	3887	1998-05-31	VYDAJ	VYBER	15	43870	SLUZBY	\N	\N
1137658	3887	1998-06-30	VYDAJ	VYBER	15	40870	SLUZBY	\N	\N
1137659	3887	1998-07-31	VYDAJ	VYBER	15	44336	SLUZBY	\N	\N
1137660	3887	1998-08-31	VYDAJ	VYBER	15	47216	SLUZBY	\N	\N
1137661	3887	1998-09-30	VYDAJ	VYBER	15	48007	SLUZBY	\N	\N
1137662	3887	1998-10-31	VYDAJ	VYBER	15	47600	SLUZBY	\N	\N
1137663	3887	1998-11-30	VYDAJ	VYBER	15	45589	SLUZBY	\N	\N
1137664	3887	1996-06-07	PRIJEM	VKLAD	13500	13700	\N	\N	\N
1137665	3887	1996-07-07	PRIJEM	VKLAD	5700	22473	\N	\N	\N
1137666	3887	1996-08-06	PRIJEM	VKLAD	100	25691	\N	\N	\N
1137667	3887	1996-09-05	VYDAJ	VYBER	800	28028	\N	\N	\N
1137668	3887	1996-10-05	VYDAJ	VYBER	1900	29275	\N	\N	\N
1137669	3887	1996-11-04	PRIJEM	VKLAD	4000	34396	\N	\N	\N
1137670	3887	1996-12-04	VYDAJ	VYBER	1200	34332	\N	\N	\N
1137671	3887	1997-01-03	VYDAJ	VYBER	3200	28883	\N	\N	\N
1137672	3887	1997-02-02	PRIJEM	VKLAD	600	28139	\N	\N	\N
1137673	3887	1997-03-04	VYDAJ	VYBER	700	28552	\N	\N	\N
1137674	3887	1997-04-03	PRIJEM	VKLAD	1000	30669	\N	\N	\N
1137675	3887	1997-05-03	VYDAJ	VYBER	3500	28293	\N	\N	\N
1137676	3887	1997-06-02	VYDAJ	VYBER	100	29311	\N	\N	\N
1137677	3887	1997-07-02	PRIJEM	VKLAD	7400	32695	\N	\N	\N
1137678	3887	1997-08-01	PRIJEM	VKLAD	5400	38505	\N	\N	\N
1137679	3887	1997-08-31	PRIJEM	VKLAD	1500	41172	\N	\N	\N
1137680	3887	1997-09-30	PRIJEM	VKLAD	2100	43297	\N	\N	\N
1137681	3887	1997-10-30	PRIJEM	VKLAD	2100	46389	\N	\N	\N
1137682	3887	1997-11-29	VYDAJ	VYBER	1000	46565	\N	\N	\N
1137683	3887	1997-12-29	PRIJEM	VKLAD	100	47043	\N	\N	\N
1137684	3887	1998-01-28	PRIJEM	VKLAD	6000	49162	\N	\N	\N
1137685	3887	1998-02-27	VYDAJ	VYBER	2900	47445	\N	\N	\N
1137686	3887	1998-03-29	VYDAJ	VYBER	4100	44155	\N	\N	\N
1137687	3887	1998-04-28	PRIJEM	VKLAD	1600	45715	\N	\N	\N
1137688	3887	1998-05-28	VYDAJ	VYBER	3200	43693	\N	\N	\N
1137689	3887	1998-06-27	PRIJEM	VKLAD	900	40707	\N	\N	\N
1137690	3887	1998-07-27	PRIJEM	VKLAD	2300	44177	\N	\N	\N
1137691	3887	1998-08-26	PRIJEM	VKLAD	1700	47043	\N	\N	\N
1137692	3887	1998-09-25	VYDAJ	VYBER	400	47823	\N	\N	\N
1137693	3887	1998-10-25	VYDAJ	VYBER	1600	47414	\N	\N	\N
1137694	3887	1998-11-24	VYDAJ	VYBER	3200	45407	\N	\N	\N
1137726	3888	1993-05-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1137849	3888	1993-06-26	PRIJEM	VKLAD	10900	11900	\N	\N	\N
1137850	3888	1993-07-26	PRIJEM	VKLAD	4700	16600	\N	\N	\N
1137851	3888	1993-08-25	PRIJEM	VKLAD	3800	20400	\N	\N	\N
1137852	3888	1993-09-24	PRIJEM	VKLAD	2200	22600	\N	\N	\N
1137853	3888	1993-10-24	VYDAJ	VYBER	1300	21300	\N	\N	\N
1137854	3888	1993-11-23	VYDAJ	VYBER	1000	20300	\N	\N	\N
1137855	3888	1993-12-23	PRIJEM	VKLAD	2100	22400	\N	\N	\N
1137856	3888	1994-01-22	PRIJEM	VKLAD	3100	25500	\N	\N	\N
1137857	3888	1994-02-21	PRIJEM	VKLAD	600	26100	\N	\N	\N
1137858	3888	1994-03-23	VYDAJ	VYBER	3200	22900	\N	\N	\N
1137859	3888	1994-04-22	PRIJEM	VKLAD	2800	25700	\N	\N	\N
1137860	3888	1994-05-22	VYDAJ	VYBER	2800	22900	\N	\N	\N
1137861	3888	1994-06-21	PRIJEM	VKLAD	1700	24600	\N	\N	\N
1137862	3888	1994-07-21	PRIJEM	VKLAD	2200	26800	\N	\N	\N
1137863	3888	1994-08-20	VYDAJ	VYBER	2700	24100	\N	\N	\N
1137864	3888	1994-09-19	PRIJEM	VKLAD	1700	25800	\N	\N	\N
1137865	3888	1994-10-19	VYDAJ	VYBER	300	25500	\N	\N	\N
1137866	3888	1994-11-18	VYDAJ	VYBER	1700	23800	\N	\N	\N
1137867	3888	1995-01-17	PRIJEM	VKLAD	1400	25200	\N	\N	\N
1137868	3888	1995-02-16	VYDAJ	VYBER	1600	23600	\N	\N	\N
1137869	3888	1995-04-17	PRIJEM	VKLAD	1800	25400	\N	\N	\N
1137870	3888	1995-05-17	VYDAJ	VYBER	4200	21200	\N	\N	\N
1137871	3888	1995-06-16	VYDAJ	VYBER	600	20600	\N	\N	\N
1137872	3888	1995-07-16	VYDAJ	VYBER	500	20100	\N	\N	\N
1137873	3888	1995-08-15	PRIJEM	VKLAD	500	20600	\N	\N	\N
1137874	3888	1995-09-14	VYDAJ	VYBER	2000	18600	\N	\N	\N
1137875	3888	1995-10-14	VYDAJ	VYBER	1500	17100	\N	\N	\N
1137876	3888	1995-11-13	VYDAJ	VYBER	800	16300	\N	\N	\N
1137877	3888	1995-12-13	VYDAJ	VYBER	700	15600	\N	\N	\N
1137878	3888	1996-01-12	PRIJEM	VKLAD	900	16500	\N	\N	\N
1137879	3888	1996-02-11	PRIJEM	VKLAD	900	17400	\N	\N	\N
1137880	3888	1996-03-12	VYDAJ	VYBER	1600	15800	\N	\N	\N
1137881	3888	1996-04-11	VYDAJ	VYBER	300	15500	\N	\N	\N
1137882	3888	1996-05-11	PRIJEM	VKLAD	900	16400	\N	\N	\N
1137883	3888	1996-06-10	PRIJEM	VKLAD	2400	18800	\N	\N	\N
1137884	3888	1996-07-10	PRIJEM	VKLAD	1700	20500	\N	\N	\N
1137885	3888	1996-08-09	VYDAJ	VYBER	1000	19500	\N	\N	\N
1137886	3888	1996-09-08	VYDAJ	VYBER	2500	17000	\N	\N	\N
1137887	3888	1996-10-08	PRIJEM	VKLAD	1300	18300	\N	\N	\N
1137888	3888	1996-11-07	VYDAJ	VYBER	100	18200	\N	\N	\N
1137889	3888	1996-12-07	VYDAJ	VYBER	1500	16700	\N	\N	\N
1137890	3888	1997-01-06	VYDAJ	VYBER	4800	11900	\N	\N	\N
1137891	3888	1997-02-05	PRIJEM	VKLAD	2200	14100	\N	\N	\N
1137892	3888	1997-03-07	VYDAJ	VYBER	1300	12800	\N	\N	\N
1137893	3888	1997-04-06	VYDAJ	VYBER	1200	11600	\N	\N	\N
1137894	3888	1997-06-05	VYDAJ	VYBER	2800	8800	\N	\N	\N
1137895	3888	1997-08-04	PRIJEM	VKLAD	4300	13100	\N	\N	\N
1137896	3888	1997-09-03	PRIJEM	VKLAD	2000	15100	\N	\N	\N
1137897	3888	1997-10-03	PRIJEM	VKLAD	2700	17800	\N	\N	\N
1137898	3888	1997-11-02	VYDAJ	VYBER	1100	16700	\N	\N	\N
1137899	3888	1997-12-02	VYDAJ	VYBER	4000	12700	\N	\N	\N
1137900	3888	1998-01-01	VYDAJ	VYBER	2200	10500	\N	\N	\N
1137901	3888	1998-01-31	VYDAJ	VYBER	1200	9301	\N	\N	\N
1137903	3889	1997-07-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1137910	3889	1997-07-11	PRIJEM	PREVOD Z UCTU	2910	4010	\N	GH	40256655
1137911	3889	1997-08-11	PRIJEM	PREVOD Z UCTU	2910	6931	\N	GH	40256655
1137912	3889	1997-09-11	PRIJEM	PREVOD Z UCTU	2910	9858	\N	GH	40256655
1137913	3889	1997-10-11	PRIJEM	PREVOD Z UCTU	2910	12785	\N	GH	40256655
1137914	3889	1997-11-11	PRIJEM	PREVOD Z UCTU	2910	15711	\N	GH	40256655
1137915	3889	1997-12-11	PRIJEM	PREVOD Z UCTU	2910	16712	\N	GH	40256655
1137916	3889	1998-01-11	PRIJEM	PREVOD Z UCTU	2910	15235	\N	GH	40256655
1137917	3889	1998-02-11	PRIJEM	PREVOD Z UCTU	2910	14689	\N	GH	40256655
1137918	3889	1998-03-11	PRIJEM	PREVOD Z UCTU	2910	14904	\N	GH	40256655
1137919	3889	1998-04-11	PRIJEM	PREVOD Z UCTU	2910	15679	\N	GH	40256655
1137920	3889	1998-05-11	PRIJEM	PREVOD Z UCTU	2910	15197	\N	GH	40256655
1137921	3889	1998-06-11	PRIJEM	PREVOD Z UCTU	2910	15113	\N	GH	40256655
1137922	3889	1998-07-11	PRIJEM	PREVOD Z UCTU	2910	11428	\N	GH	40256655
1137923	3889	1998-08-11	PRIJEM	PREVOD Z UCTU	2910	12429	\N	GH	40256655
1137924	3889	1998-09-11	PRIJEM	PREVOD Z UCTU	2910	13434	\N	GH	40256655
1137925	3889	1998-10-11	PRIJEM	PREVOD Z UCTU	2910	14443	\N	GH	40256655
1137926	3889	1998-11-11	PRIJEM	PREVOD Z UCTU	2910	15457	\N	GH	40256655
1137927	3889	1998-12-11	PRIJEM	PREVOD Z UCTU	2910	16474	\N	GH	40256655
1137938	3889	1997-11-13	VYDAJ	PREVOD NA UCET	173	15538	\N	KL	70547342
1137939	3889	1997-12-13	VYDAJ	PREVOD NA UCET	173	16539	\N	KL	70547342
1137940	3889	1998-01-13	VYDAJ	PREVOD NA UCET	173	14762	\N	KL	70547342
1137941	3889	1998-02-13	VYDAJ	PREVOD NA UCET	173	14516	\N	KL	70547342
1137942	3889	1998-03-13	VYDAJ	PREVOD NA UCET	173	14731	\N	KL	70547342
1137943	3889	1998-04-13	VYDAJ	PREVOD NA UCET	173	15506	\N	KL	70547342
1137944	3889	1998-05-13	VYDAJ	PREVOD NA UCET	173	15024	\N	KL	70547342
1137945	3889	1998-06-13	VYDAJ	PREVOD NA UCET	173	14940	\N	KL	70547342
1137946	3889	1998-07-13	VYDAJ	PREVOD NA UCET	173	11255	\N	KL	70547342
1137947	3889	1998-08-13	VYDAJ	PREVOD NA UCET	173	12256	\N	KL	70547342
1137948	3889	1998-09-13	VYDAJ	PREVOD NA UCET	173	13261	\N	KL	70547342
1137949	3889	1998-10-13	VYDAJ	PREVOD NA UCET	173	14270	\N	KL	70547342
1137950	3889	1998-11-13	VYDAJ	PREVOD NA UCET	173	15284	\N	KL	70547342
1137951	3889	1998-12-13	VYDAJ	PREVOD NA UCET	173	16301	\N	KL	70547342
1137963	3889	1997-12-07	VYDAJ	PREVOD NA UCET	1767	13802	\N	GH	94921665
1137964	3889	1998-01-07	VYDAJ	PREVOD NA UCET	1767	12775	\N	GH	94921665
1137965	3889	1998-02-07	VYDAJ	PREVOD NA UCET	1767	11779	\N	GH	94921665
1137966	3889	1998-03-07	VYDAJ	PREVOD NA UCET	1767	11994	\N	GH	94921665
1137967	3889	1998-04-07	VYDAJ	PREVOD NA UCET	1767	12769	\N	GH	94921665
1137968	3889	1998-05-07	VYDAJ	PREVOD NA UCET	1767	12287	\N	GH	94921665
1137969	3889	1998-06-07	VYDAJ	PREVOD NA UCET	1767	12203	\N	GH	94921665
1137970	3889	1998-07-07	VYDAJ	PREVOD NA UCET	1767	8518	\N	GH	94921665
1137971	3889	1998-08-07	VYDAJ	PREVOD NA UCET	1767	9519	\N	GH	94921665
1137972	3889	1998-09-07	VYDAJ	PREVOD NA UCET	1767	10524	\N	GH	94921665
1137973	3889	1998-10-07	VYDAJ	PREVOD NA UCET	1767	11533	\N	GH	94921665
1137974	3889	1998-11-07	VYDAJ	PREVOD NA UCET	1767	12547	\N	GH	94921665
1137975	3889	1998-12-07	VYDAJ	PREVOD NA UCET	1767	13564	\N	GH	94921665
1137980	3889	1997-12-29	VYDAJ	VYBER	630	15909	\N	\N	\N
1137981	3889	1998-12-21	VYDAJ	VYBER	810	15491	\N	\N	\N
1137988	3889	1998-01-21	VYDAJ	VYBER	150	13502	\N	\N	\N
1137989	3889	1998-01-07	VYDAJ	VYBER	180	12595	\N	\N	\N
1137990	3889	1998-01-12	VYDAJ	VYBER	300	14935	\N	\N	\N
1137991	3889	1998-01-08	VYDAJ	VYBER	270	12325	\N	\N	\N
1137992	3889	1998-01-15	VYDAJ	VYBER	270	14492	\N	\N	\N
1137993	3889	1998-01-04	VYDAJ	VYBER	360	15502	\N	\N	\N
1138000	3889	1998-01-07	VYDAJ	VYBER	960	14542	\N	\N	\N
1138002	3889	1998-03-14	VYDAJ	VYBER	240	14491	\N	\N	\N
1138004	3889	1998-01-18	VYDAJ	VYBER	840	13652	\N	\N	\N
1138017	3889	1997-11-30	VYDAJ	VYBER	15	15569	SLUZBY	\N	\N
1138018	3889	1997-12-31	VYDAJ	VYBER	15	15862	SLUZBY	\N	\N
1138019	3889	1998-01-31	VYDAJ	VYBER	15	13546	SLUZBY	\N	\N
1138020	3889	1998-02-28	VYDAJ	VYBER	15	13761	SLUZBY	\N	\N
1138021	3889	1998-03-31	VYDAJ	VYBER	15	14536	SLUZBY	\N	\N
1138022	3889	1998-04-30	VYDAJ	VYBER	15	14054	SLUZBY	\N	\N
1138023	3889	1998-05-31	VYDAJ	VYBER	15	13970	SLUZBY	\N	\N
1138024	3889	1998-06-30	VYDAJ	VYBER	15	10285	SLUZBY	\N	\N
1138025	3889	1998-07-31	VYDAJ	VYBER	15	11286	SLUZBY	\N	\N
1138026	3889	1998-08-31	VYDAJ	VYBER	15	12291	SLUZBY	\N	\N
1138027	3889	1998-09-30	VYDAJ	VYBER	15	13300	SLUZBY	\N	\N
1138028	3889	1998-10-31	VYDAJ	VYBER	15	14314	SLUZBY	\N	\N
1138029	3889	1998-11-30	VYDAJ	VYBER	15	15331	SLUZBY	\N	\N
1138030	3889	1997-12-30	VYDAJ	VYBER	100	15809	\N	\N	\N
1138031	3889	1998-02-28	VYDAJ	VYBER	800	13775	\N	\N	\N
1138032	3889	1998-04-29	VYDAJ	VYBER	1500	14006	\N	\N	\N
1138033	3889	1998-05-29	VYDAJ	VYBER	1100	13924	\N	\N	\N
1138034	3889	1998-06-28	VYDAJ	VYBER	4700	10240	\N	\N	\N
1138053	3890	1996-02-10	PRIJEM	VKLAD	400	400	\N	\N	\N
1138056	3890	1996-03-05	PRIJEM	VKLAD	8201	8601	\N	\N	\N
1138057	3890	1996-04-05	PRIJEM	VKLAD	8201	22542	\N	\N	\N
1138058	3890	1996-05-05	PRIJEM	VKLAD	8201	29122	\N	\N	\N
1138059	3890	1996-06-05	PRIJEM	VKLAD	12302	37624	\N	\N	\N
1138060	3890	1996-07-05	PRIJEM	VKLAD	8201	42056	\N	\N	\N
1138061	3890	1996-08-05	PRIJEM	VKLAD	8201	31596	\N	\N	\N
1138062	3890	1996-09-05	PRIJEM	VKLAD	8201	29835	\N	\N	\N
1138063	3890	1996-10-05	PRIJEM	VKLAD	8201	30853	\N	\N	\N
1138064	3890	1996-11-05	PRIJEM	VKLAD	8201	27387	\N	\N	\N
1138065	3890	1996-12-05	PRIJEM	VKLAD	12302	36109	\N	\N	\N
1138066	3890	1997-01-05	PRIJEM	VKLAD	8201	22519	\N	\N	\N
1138067	3890	1997-02-05	PRIJEM	VKLAD	8201	26873	\N	\N	\N
1138068	3890	1997-03-05	PRIJEM	VKLAD	8201	29684	\N	\N	\N
1138069	3890	1997-04-05	PRIJEM	VKLAD	8201	28196	\N	\N	\N
1138070	3890	1997-05-05	PRIJEM	VKLAD	8201	28309	\N	\N	\N
1138071	3890	1997-06-05	PRIJEM	VKLAD	12302	30538	\N	\N	\N
1138072	3890	1997-07-05	PRIJEM	VKLAD	8201	33004	\N	\N	\N
1138073	3890	1997-08-05	PRIJEM	VKLAD	8201	37360	\N	\N	\N
1138074	3890	1997-09-05	PRIJEM	VKLAD	8201	37915	\N	\N	\N
1138075	3890	1997-10-05	PRIJEM	VKLAD	8201	42976	\N	\N	\N
1138076	3890	1997-11-05	PRIJEM	VKLAD	8201	46855	\N	\N	\N
1138077	3890	1997-12-05	PRIJEM	VKLAD	12302	48286	\N	\N	\N
1138078	3890	1998-01-05	PRIJEM	VKLAD	8201	48082	\N	\N	\N
1138079	3890	1998-02-05	PRIJEM	VKLAD	8201	45855	\N	\N	\N
1138080	3890	1998-03-05	PRIJEM	VKLAD	8201	51406	\N	\N	\N
1138081	3890	1998-04-05	PRIJEM	VKLAD	8201	55320	\N	\N	\N
1138082	3890	1998-05-05	PRIJEM	VKLAD	8201	56944	\N	\N	\N
1138083	3890	1998-06-05	PRIJEM	VKLAD	12302	64074	\N	\N	\N
1138084	3890	1998-07-05	PRIJEM	VKLAD	8201	40932	\N	\N	\N
1138085	3890	1998-08-05	PRIJEM	VKLAD	8201	49490	\N	\N	\N
1138086	3890	1998-09-05	PRIJEM	VKLAD	8201	56490	\N	\N	\N
1138087	3890	1998-10-05	PRIJEM	VKLAD	8201	57415	\N	\N	\N
1138088	3890	1998-11-05	PRIJEM	VKLAD	8201	60946	\N	\N	\N
1138089	3890	1998-12-05	PRIJEM	VKLAD	12302	64839	\N	\N	\N
1138096	3890	1996-07-14	VYDAJ	PREVOD NA UCET	5467	27489	SIPO	MN	11023718
1138097	3890	1996-08-14	VYDAJ	PREVOD NA UCET	5467	22629	SIPO	MN	11023718
1138098	3890	1996-09-14	VYDAJ	PREVOD NA UCET	5467	22568	SIPO	MN	11023718
1138099	3890	1996-10-14	VYDAJ	PREVOD NA UCET	5467	23066	SIPO	MN	11023718
1138100	3890	1996-11-14	VYDAJ	PREVOD NA UCET	5467	23720	SIPO	MN	11023718
1138101	3890	1996-12-14	VYDAJ	PREVOD NA UCET	5467	22242	SIPO	MN	11023718
1138102	3890	1997-01-14	VYDAJ	PREVOD NA UCET	5467	17412	SIPO	MN	11023718
1138103	3890	1997-02-14	VYDAJ	PREVOD NA UCET	5467	21406	SIPO	MN	11023718
1138104	3890	1997-03-14	VYDAJ	PREVOD NA UCET	5467	21117	SIPO	MN	11023718
1138105	3890	1997-04-14	VYDAJ	PREVOD NA UCET	5467	20029	SIPO	MN	11023718
1138106	3890	1997-05-14	VYDAJ	PREVOD NA UCET	5467	20742	SIPO	MN	11023718
1138107	3890	1997-06-14	VYDAJ	PREVOD NA UCET	5467	25071	SIPO	MN	11023718
1138108	3890	1997-07-14	VYDAJ	PREVOD NA UCET	5467	27537	SIPO	MN	11023718
1138109	3890	1997-08-14	VYDAJ	PREVOD NA UCET	5467	31893	SIPO	MN	11023718
1138110	3890	1997-09-14	VYDAJ	PREVOD NA UCET	5467	32448	SIPO	MN	11023718
1138111	3890	1997-10-14	VYDAJ	PREVOD NA UCET	5467	37509	SIPO	MN	11023718
1138112	3890	1997-11-14	VYDAJ	PREVOD NA UCET	5467	41388	SIPO	MN	11023718
1138113	3890	1997-12-14	VYDAJ	PREVOD NA UCET	5467	42819	SIPO	MN	11023718
1138114	3890	1998-01-14	VYDAJ	PREVOD NA UCET	5467	37695	SIPO	MN	11023718
1138115	3890	1998-02-14	VYDAJ	PREVOD NA UCET	5467	39548	SIPO	MN	11023718
1138116	3890	1998-03-14	VYDAJ	PREVOD NA UCET	5467	45939	SIPO	MN	11023718
1138117	3890	1998-04-14	VYDAJ	PREVOD NA UCET	5467	49253	SIPO	MN	11023718
1138118	3890	1998-05-14	VYDAJ	PREVOD NA UCET	5467	51477	SIPO	MN	11023718
1138119	3890	1998-06-14	VYDAJ	PREVOD NA UCET	5467	18927	SIPO	MN	11023718
1138120	3890	1998-07-14	VYDAJ	PREVOD NA UCET	5467	31265	SIPO	MN	11023718
1138121	3890	1998-08-14	VYDAJ	PREVOD NA UCET	5467	44023	SIPO	MN	11023718
1138122	3890	1998-09-14	VYDAJ	PREVOD NA UCET	5467	51023	SIPO	MN	11023718
1138123	3890	1998-10-14	VYDAJ	PREVOD NA UCET	5467	51948	SIPO	MN	11023718
1138124	3890	1998-11-14	VYDAJ	PREVOD NA UCET	5467	52359	SIPO	MN	11023718
1138125	3890	1998-12-14	VYDAJ	PREVOD NA UCET	5467	50372	SIPO	MN	11023718
1138128	3890	1998-06-08	VYDAJ	VYBER	39680	24394	\N	\N	\N
1138131	3890	1998-01-24	VYDAJ	VYBER	2720	31735	\N	\N	\N
1138132	3890	1996-12-17	VYDAJ	VYBER	4640	17602	\N	\N	\N
1138133	3890	1997-12-22	VYDAJ	VYBER	4000	38819	\N	\N	\N
1138134	3890	1998-12-07	VYDAJ	VYBER	3840	60999	\N	\N	\N
1138141	3890	1997-01-04	VYDAJ	VYBER	3360	14318	\N	\N	\N
1138142	3890	1997-01-12	VYDAJ	VYBER	1080	23839	\N	\N	\N
1138143	3890	1997-01-12	VYDAJ	VYBER	960	22879	\N	\N	\N
1138144	3890	1997-01-19	VYDAJ	VYBER	3360	14052	\N	\N	\N
1138145	3890	1997-01-08	VYDAJ	VYBER	600	24919	\N	\N	\N
1138146	3890	1997-01-26	VYDAJ	VYBER	840	13212	\N	\N	\N
1138147	3890	1998-01-12	VYDAJ	VYBER	1080	43162	\N	\N	\N
1138148	3890	1998-01-28	VYDAJ	VYBER	960	27415	\N	\N	\N
1138149	3890	1998-01-16	VYDAJ	VYBER	3240	34455	\N	\N	\N
1138150	3890	1998-01-28	VYDAJ	VYBER	3360	28375	\N	\N	\N
1138151	3890	1998-01-10	VYDAJ	VYBER	3000	45082	\N	\N	\N
1138152	3890	1998-01-12	VYDAJ	VYBER	840	44242	\N	\N	\N
1138153	3890	1996-08-29	VYDAJ	VYBER	1080	21549	\N	\N	\N
1138155	3890	1996-10-05	VYDAJ	VYBER	2520	28333	\N	\N	\N
1138157	3890	1996-10-17	VYDAJ	VYBER	3960	19106	\N	\N	\N
1138158	3890	1996-07-25	VYDAJ	VYBER	4200	23289	\N	\N	\N
1138161	3890	1997-07-21	VYDAJ	VYBER	2280	25257	\N	\N	\N
1138162	3890	1997-07-02	VYDAJ	VYBER	5160	20003	\N	\N	\N
1138163	3890	1997-03-23	VYDAJ	VYBER	1200	19917	\N	\N	\N
1138164	3890	1997-05-27	VYDAJ	VYBER	5280	15462	\N	\N	\N
1138165	3890	1997-11-19	VYDAJ	VYBER	3960	37428	\N	\N	\N
1138166	3890	1998-07-09	VYDAJ	VYBER	4200	36732	\N	\N	\N
1138167	3890	1998-02-05	VYDAJ	VYBER	840	45015	\N	\N	\N
1138168	3890	1998-12-12	VYDAJ	VYBER	5160	55839	\N	\N	\N
1138169	3890	1998-11-14	VYDAJ	VYBER	3120	57826	\N	\N	\N
1138170	3890	1998-04-10	VYDAJ	VYBER	600	54720	\N	\N	\N
1138171	3890	1998-11-15	VYDAJ	VYBER	3120	49239	\N	\N	\N
1138179	3890	1996-07-31	VYDAJ	VYBER	15	23395	SLUZBY	\N	\N
1138180	3890	1996-08-31	VYDAJ	VYBER	15	21634	SLUZBY	\N	\N
1138181	3890	1996-09-30	VYDAJ	VYBER	15	22652	SLUZBY	\N	\N
1138182	3890	1996-10-31	VYDAJ	VYBER	15	19186	SLUZBY	\N	\N
1138183	3890	1996-11-30	VYDAJ	VYBER	15	23807	SLUZBY	\N	\N
1138184	3890	1996-12-31	VYDAJ	VYBER	15	17678	SLUZBY	\N	\N
1138185	3890	1997-01-31	VYDAJ	VYBER	15	13272	SLUZBY	\N	\N
1138186	3890	1997-02-28	VYDAJ	VYBER	15	21483	SLUZBY	\N	\N
1138187	3890	1997-03-31	VYDAJ	VYBER	15	19995	SLUZBY	\N	\N
1138188	3890	1997-04-30	VYDAJ	VYBER	15	20108	SLUZBY	\N	\N
1138189	3890	1997-05-31	VYDAJ	VYBER	15	15536	SLUZBY	\N	\N
1138190	3890	1997-06-30	VYDAJ	VYBER	15	25163	SLUZBY	\N	\N
1138191	3890	1997-07-31	VYDAJ	VYBER	15	25359	SLUZBY	\N	\N
1138192	3890	1997-08-31	VYDAJ	VYBER	15	32014	SLUZBY	\N	\N
1138193	3890	1997-09-30	VYDAJ	VYBER	15	32575	SLUZBY	\N	\N
1138194	3890	1997-10-31	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
1138195	3890	1997-11-30	VYDAJ	VYBER	15	37584	SLUZBY	\N	\N
1138196	3890	1997-12-31	VYDAJ	VYBER	15	39881	SLUZBY	\N	\N
1138197	3890	1998-01-31	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
1138198	3890	1998-02-28	VYDAJ	VYBER	15	39705	SLUZBY	\N	\N
1138199	3890	1998-03-31	VYDAJ	VYBER	15	47119	SLUZBY	\N	\N
1138200	3890	1998-04-30	VYDAJ	VYBER	15	49443	SLUZBY	\N	\N
1138201	3890	1998-05-31	VYDAJ	VYBER	15	51772	SLUZBY	\N	\N
1138202	3890	1998-06-30	VYDAJ	VYBER	15	32731	SLUZBY	\N	\N
1138203	3890	1998-07-31	VYDAJ	VYBER	15	41289	SLUZBY	\N	\N
1138204	3890	1998-08-31	VYDAJ	VYBER	15	48289	SLUZBY	\N	\N
1138205	3890	1998-09-30	VYDAJ	VYBER	15	49214	SLUZBY	\N	\N
1138206	3890	1998-10-31	VYDAJ	VYBER	15	52745	SLUZBY	\N	\N
1138207	3890	1998-11-30	VYDAJ	VYBER	15	52537	SLUZBY	\N	\N
1138208	3890	1996-03-11	PRIJEM	VKLAD	5700	14301	\N	\N	\N
1138209	3890	1996-04-10	VYDAJ	VYBER	1700	20842	\N	\N	\N
1138210	3890	1996-05-10	VYDAJ	VYBER	3900	25222	\N	\N	\N
1138211	3890	1996-06-09	VYDAJ	VYBER	3900	33724	\N	\N	\N
1138212	3890	1996-07-09	VYDAJ	VYBER	9100	32956	\N	\N	\N
1138213	3890	1996-08-08	VYDAJ	VYBER	3500	28096	\N	\N	\N
1138214	3890	1996-09-07	VYDAJ	VYBER	1800	28035	\N	\N	\N
1138215	3890	1996-10-07	PRIJEM	VKLAD	200	28533	\N	\N	\N
1138216	3890	1996-11-06	PRIJEM	VKLAD	1800	29187	\N	\N	\N
1138217	3890	1996-12-06	VYDAJ	VYBER	8400	27709	\N	\N	\N
1138218	3890	1997-01-05	PRIJEM	VKLAD	3000	25519	\N	\N	\N
1138219	3890	1997-02-04	PRIJEM	VKLAD	5400	18672	\N	\N	\N
1138220	3890	1997-03-06	VYDAJ	VYBER	3100	26584	\N	\N	\N
1138221	3890	1997-04-05	VYDAJ	VYBER	2700	25496	\N	\N	\N
1138222	3890	1997-05-05	VYDAJ	VYBER	2100	26209	\N	\N	\N
1138223	3890	1997-06-04	PRIJEM	VKLAD	2700	18236	\N	\N	\N
1138224	3890	1997-07-04	PRIJEM	VKLAD	4800	24803	\N	\N	\N
1138225	3890	1997-08-03	PRIJEM	VKLAD	3800	29159	\N	\N	\N
1138226	3890	1997-09-02	VYDAJ	VYBER	2300	29714	\N	\N	\N
1138227	3890	1997-10-02	PRIJEM	VKLAD	2200	34775	\N	\N	\N
1138228	3890	1997-11-01	PRIJEM	VKLAD	1000	38654	\N	\N	\N
1138229	3890	1997-12-01	VYDAJ	VYBER	1600	35984	\N	\N	\N
1138230	3890	1997-12-31	PRIJEM	VKLAD	900	39895	\N	\N	\N
1138231	3890	1998-01-30	PRIJEM	VKLAD	10100	37515	\N	\N	\N
1138232	3890	1998-03-01	PRIJEM	VKLAD	3500	43205	\N	\N	\N
1138233	3890	1998-03-31	PRIJEM	VKLAD	1000	47133	\N	\N	\N
1138234	3890	1998-04-30	VYDAJ	VYBER	700	48743	\N	\N	\N
1138235	3890	1998-05-30	PRIJEM	VKLAD	100	51577	\N	\N	\N
1138236	3890	1998-06-29	PRIJEM	VKLAD	13700	32627	\N	\N	\N
1138237	3890	1998-07-29	PRIJEM	VKLAD	9900	41165	\N	\N	\N
1138238	3890	1998-08-28	PRIJEM	VKLAD	4100	48123	\N	\N	\N
1138239	3890	1998-09-27	VYDAJ	VYBER	2000	49023	\N	\N	\N
1138240	3890	1998-10-27	PRIJEM	VKLAD	600	52548	\N	\N	\N
1138241	3890	1998-11-26	PRIJEM	VKLAD	3100	52339	\N	\N	\N
1138276	3891	1993-08-18	PRIJEM	VKLAD	600	600	\N	\N	\N
1138285	3891	1993-09-06	PRIJEM	VKLAD	16318	16918	\N	\N	\N
1138286	3891	1993-10-06	PRIJEM	VKLAD	16318	37577	\N	\N	\N
1138287	3891	1993-11-06	PRIJEM	VKLAD	16318	49007	\N	\N	\N
1138288	3891	1993-12-06	PRIJEM	VKLAD	24477	60526	\N	\N	\N
1138289	3891	1994-01-06	PRIJEM	VKLAD	16318	59209	\N	\N	\N
1138290	3891	1994-02-06	PRIJEM	VKLAD	16318	32083	\N	\N	\N
1138291	3891	1994-03-06	PRIJEM	VKLAD	16318	41415	\N	\N	\N
1138292	3891	1994-04-06	PRIJEM	VKLAD	16318	49283	\N	\N	\N
1138293	3891	1994-05-06	PRIJEM	VKLAD	16318	49767	\N	\N	\N
1138294	3891	1994-06-06	PRIJEM	VKLAD	24477	60817	\N	\N	\N
1138295	3891	1994-07-06	PRIJEM	VKLAD	16318	40491	\N	\N	\N
1138296	3891	1994-08-06	PRIJEM	VKLAD	16318	40227	\N	\N	\N
1138297	3891	1994-09-06	PRIJEM	VKLAD	16318	39822	\N	\N	\N
1138298	3891	1994-10-06	PRIJEM	VKLAD	16318	43420	\N	\N	\N
1138299	3891	1994-11-06	PRIJEM	VKLAD	16318	50592	\N	\N	\N
1138300	3891	1994-12-06	PRIJEM	VKLAD	24477	61740	\N	\N	\N
1138301	3891	1995-01-06	PRIJEM	VKLAD	16318	50606	\N	\N	\N
1138302	3891	1995-02-06	PRIJEM	VKLAD	16318	30322	\N	\N	\N
1138303	3891	1995-03-06	PRIJEM	VKLAD	16318	40038	\N	\N	\N
1138304	3891	1995-04-06	PRIJEM	VKLAD	16318	42290	\N	\N	\N
1138305	3891	1995-05-06	PRIJEM	VKLAD	16318	52364	\N	\N	\N
1138306	3891	1995-06-06	PRIJEM	VKLAD	24477	66125	\N	\N	\N
1138307	3891	1995-07-06	PRIJEM	VKLAD	16318	47166	\N	\N	\N
1138308	3891	1995-08-06	PRIJEM	VKLAD	16318	55861	\N	\N	\N
1138309	3891	1995-09-06	PRIJEM	VKLAD	16318	62379	\N	\N	\N
1138310	3891	1995-10-06	PRIJEM	VKLAD	16318	65922	\N	\N	\N
1138311	3891	1995-11-06	PRIJEM	VKLAD	16318	67776	\N	\N	\N
1138312	3891	1995-12-06	PRIJEM	VKLAD	24477	70443	\N	\N	\N
1138313	3891	1996-01-06	PRIJEM	VKLAD	16318	56580	\N	\N	\N
1138314	3891	1996-02-06	PRIJEM	VKLAD	16318	45850	\N	\N	\N
1138315	3891	1996-03-06	PRIJEM	VKLAD	16318	47397	\N	\N	\N
1138316	3891	1996-04-06	PRIJEM	VKLAD	16318	52907	\N	\N	\N
1138317	3891	1996-05-06	PRIJEM	VKLAD	16318	57542	\N	\N	\N
1138318	3891	1996-06-06	PRIJEM	VKLAD	24477	67555	\N	\N	\N
1138319	3891	1996-07-06	PRIJEM	VKLAD	16318	40352	\N	\N	\N
1138320	3891	1996-08-06	PRIJEM	VKLAD	16318	49626	\N	\N	\N
1138321	3891	1996-09-06	PRIJEM	VKLAD	16318	56544	\N	\N	\N
1138322	3891	1996-10-06	PRIJEM	VKLAD	16318	60399	\N	\N	\N
1138323	3891	1996-11-06	PRIJEM	VKLAD	16318	61579	\N	\N	\N
1138324	3891	1996-12-06	PRIJEM	VKLAD	24477	70100	\N	\N	\N
1138325	3891	1997-01-06	PRIJEM	VKLAD	16318	42675	\N	\N	\N
1138326	3891	1997-02-06	PRIJEM	VKLAD	16318	48973	\N	\N	\N
1138327	3891	1997-03-06	PRIJEM	VKLAD	16318	53810	\N	\N	\N
1138328	3891	1997-04-06	PRIJEM	VKLAD	16318	59937	\N	\N	\N
1138329	3891	1997-05-06	PRIJEM	VKLAD	16318	63060	\N	\N	\N
1138330	3891	1997-06-06	PRIJEM	VKLAD	24477	73182	\N	\N	\N
1138331	3891	1997-07-06	PRIJEM	VKLAD	16318	52178	\N	\N	\N
1138332	3891	1997-08-06	PRIJEM	VKLAD	16318	60598	\N	\N	\N
1138333	3891	1997-09-06	PRIJEM	VKLAD	16318	64749	\N	\N	\N
1138334	3891	1997-10-06	PRIJEM	VKLAD	16318	70418	\N	\N	\N
1138335	3891	1997-11-06	PRIJEM	VKLAD	16318	68503	\N	\N	\N
1138336	3891	1997-12-06	PRIJEM	VKLAD	24477	77441	\N	\N	\N
1138337	3891	1998-01-06	PRIJEM	VKLAD	16318	67103	\N	\N	\N
1138338	3891	1998-02-06	PRIJEM	VKLAD	16318	58606	\N	\N	\N
1138339	3891	1998-03-06	PRIJEM	VKLAD	16318	67849	\N	\N	\N
1138340	3891	1998-04-06	PRIJEM	VKLAD	16318	73084	\N	\N	\N
1138341	3891	1998-05-06	PRIJEM	VKLAD	16318	76982	\N	\N	\N
1138342	3891	1998-06-06	PRIJEM	VKLAD	24477	94661	\N	\N	\N
1138343	3891	1998-07-06	PRIJEM	VKLAD	16318	80653	\N	\N	\N
1138344	3891	1998-08-06	PRIJEM	VKLAD	16318	87685	\N	\N	\N
1138345	3891	1998-09-06	PRIJEM	VKLAD	16318	90697	\N	\N	\N
1138346	3891	1998-10-06	PRIJEM	VKLAD	16318	88860	\N	\N	\N
1138347	3891	1998-11-06	PRIJEM	VKLAD	16318	93802	\N	\N	\N
1138348	3891	1998-12-06	PRIJEM	VKLAD	24477	102984	\N	\N	\N
1138361	3891	1994-01-07	VYDAJ	PREVOD NA UCET	3172	56037	SIPO	GH	80522375
1138362	3891	1994-02-07	VYDAJ	PREVOD NA UCET	3172	28911	SIPO	GH	80522375
1138363	3891	1994-03-07	VYDAJ	PREVOD NA UCET	3172	38243	SIPO	GH	80522375
1138364	3891	1994-04-07	VYDAJ	PREVOD NA UCET	3172	46111	SIPO	GH	80522375
1138365	3891	1994-05-07	VYDAJ	PREVOD NA UCET	3172	46595	SIPO	GH	80522375
1138366	3891	1994-06-07	VYDAJ	PREVOD NA UCET	3172	57645	SIPO	GH	80522375
1138367	3891	1994-07-07	VYDAJ	PREVOD NA UCET	3172	37319	SIPO	GH	80522375
1138368	3891	1994-08-07	VYDAJ	PREVOD NA UCET	3172	37055	SIPO	GH	80522375
1138369	3891	1994-09-07	VYDAJ	PREVOD NA UCET	3172	36650	SIPO	GH	80522375
1138370	3891	1994-10-07	VYDAJ	PREVOD NA UCET	3172	40248	SIPO	GH	80522375
1138371	3891	1994-11-07	VYDAJ	PREVOD NA UCET	3172	47420	SIPO	GH	80522375
1138372	3891	1994-12-07	VYDAJ	PREVOD NA UCET	3172	58568	SIPO	GH	80522375
1138373	3891	1995-01-07	VYDAJ	PREVOD NA UCET	3172	47434	SIPO	GH	80522375
1138374	3891	1995-02-07	VYDAJ	PREVOD NA UCET	3172	27150	SIPO	GH	80522375
1138375	3891	1995-03-07	VYDAJ	PREVOD NA UCET	3172	36866	SIPO	GH	80522375
1138376	3891	1995-04-07	VYDAJ	PREVOD NA UCET	3172	39118	SIPO	GH	80522375
1138377	3891	1995-05-07	VYDAJ	PREVOD NA UCET	3172	49192	SIPO	GH	80522375
1138378	3891	1995-06-07	VYDAJ	PREVOD NA UCET	3172	62953	SIPO	GH	80522375
1138379	3891	1995-07-07	VYDAJ	PREVOD NA UCET	3172	43994	SIPO	GH	80522375
1138380	3891	1995-08-07	VYDAJ	PREVOD NA UCET	3172	52689	SIPO	GH	80522375
1138381	3891	1995-09-07	VYDAJ	PREVOD NA UCET	3172	49407	SIPO	GH	80522375
1138382	3891	1995-10-07	VYDAJ	PREVOD NA UCET	3172	51250	SIPO	GH	80522375
1138383	3891	1995-11-07	VYDAJ	PREVOD NA UCET	3172	50104	SIPO	GH	80522375
1138384	3891	1995-12-07	VYDAJ	PREVOD NA UCET	3172	51371	SIPO	GH	80522375
1138385	3891	1996-01-07	VYDAJ	PREVOD NA UCET	3172	53408	SIPO	GH	80522375
1138386	3891	1996-02-07	VYDAJ	PREVOD NA UCET	3172	42678	SIPO	GH	80522375
1138387	3891	1996-03-07	VYDAJ	PREVOD NA UCET	3172	44225	SIPO	GH	80522375
1138388	3891	1996-04-07	VYDAJ	PREVOD NA UCET	3172	49735	SIPO	GH	80522375
1138389	3891	1996-05-07	VYDAJ	PREVOD NA UCET	3172	54370	SIPO	GH	80522375
1138390	3891	1996-06-07	VYDAJ	PREVOD NA UCET	3172	64383	SIPO	GH	80522375
1138391	3891	1996-07-07	VYDAJ	PREVOD NA UCET	3172	37180	SIPO	GH	80522375
1138392	3891	1996-08-07	VYDAJ	PREVOD NA UCET	3172	46454	SIPO	GH	80522375
1138393	3891	1996-09-07	VYDAJ	PREVOD NA UCET	3172	53372	SIPO	GH	80522375
1138394	3891	1996-10-07	VYDAJ	PREVOD NA UCET	3172	57227	SIPO	GH	80522375
1138395	3891	1996-11-07	VYDAJ	PREVOD NA UCET	3172	58407	SIPO	GH	80522375
1138396	3891	1996-12-07	VYDAJ	PREVOD NA UCET	3172	66928	SIPO	GH	80522375
1138397	3891	1997-01-07	VYDAJ	PREVOD NA UCET	3172	39503	SIPO	GH	80522375
1138398	3891	1997-02-07	VYDAJ	PREVOD NA UCET	3172	45801	SIPO	GH	80522375
1138399	3891	1997-03-07	VYDAJ	PREVOD NA UCET	3172	50638	SIPO	GH	80522375
1138400	3891	1997-04-07	VYDAJ	PREVOD NA UCET	3172	56765	SIPO	GH	80522375
1138401	3891	1997-05-07	VYDAJ	PREVOD NA UCET	3172	59888	SIPO	GH	80522375
1138402	3891	1997-06-07	VYDAJ	PREVOD NA UCET	3172	70010	SIPO	GH	80522375
1138403	3891	1997-07-07	VYDAJ	PREVOD NA UCET	3172	49006	SIPO	GH	80522375
1138404	3891	1997-08-07	VYDAJ	PREVOD NA UCET	3172	57426	SIPO	GH	80522375
1138405	3891	1997-09-07	VYDAJ	PREVOD NA UCET	3172	61577	SIPO	GH	80522375
1138406	3891	1997-10-07	VYDAJ	PREVOD NA UCET	3172	67246	SIPO	GH	80522375
1138407	3891	1997-11-07	VYDAJ	PREVOD NA UCET	3172	65331	SIPO	GH	80522375
1138408	3891	1997-12-07	VYDAJ	PREVOD NA UCET	3172	74269	SIPO	GH	80522375
1138409	3891	1998-01-07	VYDAJ	PREVOD NA UCET	3172	63931	SIPO	GH	80522375
1138410	3891	1998-02-07	VYDAJ	PREVOD NA UCET	3172	55434	SIPO	GH	80522375
1138411	3891	1998-03-07	VYDAJ	PREVOD NA UCET	3172	64677	SIPO	GH	80522375
1138412	3891	1998-04-07	VYDAJ	PREVOD NA UCET	3172	69912	SIPO	GH	80522375
1138413	3891	1998-05-07	VYDAJ	PREVOD NA UCET	3172	73810	SIPO	GH	80522375
1138414	3891	1998-06-07	VYDAJ	PREVOD NA UCET	3172	91489	SIPO	GH	80522375
1138415	3891	1998-07-07	VYDAJ	PREVOD NA UCET	3172	77481	SIPO	GH	80522375
1138416	3891	1998-08-07	VYDAJ	PREVOD NA UCET	3172	84513	SIPO	GH	80522375
1138417	3891	1998-09-07	VYDAJ	PREVOD NA UCET	3172	87525	SIPO	GH	80522375
1138418	3891	1998-10-07	VYDAJ	PREVOD NA UCET	3172	85688	SIPO	GH	80522375
1138419	3891	1998-11-07	VYDAJ	PREVOD NA UCET	3172	90630	SIPO	GH	80522375
1138420	3891	1998-12-07	VYDAJ	PREVOD NA UCET	3172	99812	SIPO	GH	80522375
1138422	3891	1994-06-23	VYDAJ	VYBER	15520	24025	\N	\N	\N
1138423	3891	1995-06-28	VYDAJ	VYBER	10400	35953	\N	\N	\N
1138424	3891	1996-06-18	VYDAJ	VYBER	38240	26143	\N	\N	\N
1138425	3891	1997-06-10	VYDAJ	VYBER	35200	34810	\N	\N	\N
1138426	3891	1998-06-21	VYDAJ	VYBER	28960	62529	\N	\N	\N
1138428	3891	1994-01-30	VYDAJ	VYBER	15680	15617	\N	\N	\N
1138429	3891	1995-01-21	VYDAJ	VYBER	15520	17734	\N	\N	\N
1138430	3891	1996-01-28	VYDAJ	VYBER	10080	26768	\N	\N	\N
1138431	3891	1997-01-02	VYDAJ	VYBER	4960	40637	\N	\N	\N
1138432	3891	1998-01-28	VYDAJ	VYBER	5120	44591	\N	\N	\N
1138434	3891	1994-12-23	VYDAJ	VYBER	2080	38688	\N	\N	\N
1138435	3891	1995-12-12	VYDAJ	VYBER	4160	47211	\N	\N	\N
1138436	3891	1996-12-23	VYDAJ	VYBER	2400	64528	\N	\N	\N
1138437	3891	1997-12-29	VYDAJ	VYBER	1280	54489	\N	\N	\N
1138438	3891	1998-12-21	VYDAJ	VYBER	4000	86112	\N	\N	\N
1138445	3891	1994-01-20	VYDAJ	VYBER	3360	34297	\N	\N	\N
1138447	3891	1994-01-08	VYDAJ	VYBER	2880	53157	\N	\N	\N
1138448	3891	1994-01-25	VYDAJ	VYBER	3000	31297	\N	\N	\N
1138449	3891	1994-01-12	VYDAJ	VYBER	2640	47157	\N	\N	\N
1138450	3891	1994-01-12	VYDAJ	VYBER	3360	49797	\N	\N	\N
1138451	3891	1995-01-21	VYDAJ	VYBER	2160	15574	\N	\N	\N
1138452	3891	1995-01-15	VYDAJ	VYBER	2880	33254	\N	\N	\N
1138453	3891	1995-01-27	VYDAJ	VYBER	1680	13894	\N	\N	\N
1138454	3891	1995-01-02	VYDAJ	VYBER	1320	37528	\N	\N	\N
1138455	3891	1995-01-03	VYDAJ	VYBER	3240	34288	\N	\N	\N
1138456	3891	1995-01-10	VYDAJ	VYBER	3000	44434	\N	\N	\N
1138457	3891	1996-01-21	VYDAJ	VYBER	2400	43568	\N	\N	\N
1138458	3891	1996-01-11	VYDAJ	VYBER	3360	48368	\N	\N	\N
1138459	3891	1996-01-18	VYDAJ	VYBER	2400	45968	\N	\N	\N
1138460	3891	1996-01-24	VYDAJ	VYBER	3360	36848	\N	\N	\N
1138461	3891	1996-01-08	VYDAJ	VYBER	1680	51728	\N	\N	\N
1138462	3891	1996-01-21	VYDAJ	VYBER	3360	40208	\N	\N	\N
1138463	3891	1997-01-19	VYDAJ	VYBER	720	34103	\N	\N	\N
1138464	3891	1997-01-24	VYDAJ	VYBER	1440	32663	\N	\N	\N
1138465	3891	1997-01-18	VYDAJ	VYBER	2280	34823	\N	\N	\N
1138466	3891	1997-01-01	VYDAJ	VYBER	3000	45597	\N	\N	\N
1138467	3891	1997-01-12	VYDAJ	VYBER	2400	37103	\N	\N	\N
1138468	3891	1997-01-04	VYDAJ	VYBER	3000	31877	\N	\N	\N
1138469	3891	1998-01-21	VYDAJ	VYBER	1560	57211	\N	\N	\N
1138470	3891	1998-01-18	VYDAJ	VYBER	3480	58771	\N	\N	\N
1138471	3891	1998-01-11	VYDAJ	VYBER	1680	62251	\N	\N	\N
1138472	3891	1998-01-28	VYDAJ	VYBER	2520	42071	\N	\N	\N
1138473	3891	1998-01-04	VYDAJ	VYBER	2400	50785	\N	\N	\N
1138474	3891	1998-01-04	VYDAJ	VYBER	1560	53185	\N	\N	\N
1138479	3891	1994-07-22	VYDAJ	VYBER	2640	29079	\N	\N	\N
1138480	3891	1994-09-18	VYDAJ	VYBER	5760	26990	\N	\N	\N
1138481	3891	1994-07-27	VYDAJ	VYBER	5280	23799	\N	\N	\N
1138482	3891	1994-09-01	VYDAJ	VYBER	5760	23504	\N	\N	\N
1138483	3891	1995-12-15	VYDAJ	VYBER	5520	41691	\N	\N	\N
1138484	3891	1995-07-04	VYDAJ	VYBER	5280	30848	\N	\N	\N
1138485	3891	1995-03-24	VYDAJ	VYBER	5400	25866	\N	\N	\N
1138486	3891	1995-11-10	VYDAJ	VYBER	4320	45784	\N	\N	\N
1138487	3891	1995-02-09	VYDAJ	VYBER	4920	23630	\N	\N	\N
1138488	3891	1996-06-25	VYDAJ	VYBER	3000	20263	\N	\N	\N
1138489	3891	1996-06-23	VYDAJ	VYBER	2880	23263	\N	\N	\N
1138490	3891	1996-09-12	VYDAJ	VYBER	4680	48692	\N	\N	\N
1138491	3891	1996-12-29	VYDAJ	VYBER	2280	62248	\N	\N	\N
1138492	3891	1996-02-29	VYDAJ	VYBER	2760	34779	\N	\N	\N
1138493	3891	1996-10-29	VYDAJ	VYBER	3480	53747	\N	\N	\N
1138494	3891	1996-02-16	VYDAJ	VYBER	5280	37398	\N	\N	\N
1138495	3891	1997-04-08	VYDAJ	VYBER	3120	53645	\N	\N	\N
1138496	3891	1997-01-03	VYDAJ	VYBER	5760	34877	\N	\N	\N
1138497	3891	1997-06-10	VYDAJ	VYBER	1800	33010	\N	\N	\N
1138498	3891	1997-01-05	VYDAJ	VYBER	5520	26357	\N	\N	\N
1138499	3891	1997-02-15	VYDAJ	VYBER	5160	40641	\N	\N	\N
1138500	3891	1997-01-28	VYDAJ	VYBER	3840	28823	\N	\N	\N
1138501	3891	1998-03-31	VYDAJ	VYBER	720	56780	\N	\N	\N
1138502	3891	1998-12-03	VYDAJ	VYBER	2280	78507	\N	\N	\N
1138503	3891	1998-09-18	VYDAJ	VYBER	1680	85845	\N	\N	\N
1138504	3891	1998-08-16	VYDAJ	VYBER	2640	81873	\N	\N	\N
1138505	3891	1998-03-18	VYDAJ	VYBER	4920	59757	\N	\N	\N
1138506	3891	1998-12-01	VYDAJ	VYBER	2280	80787	\N	\N	\N
1138507	3891	1998-09-30	VYDAJ	VYBER	3720	72557	\N	\N	\N
1138508	3891	1998-11-04	VYDAJ	VYBER	720	77484	\N	\N	\N
1138522	3891	1994-01-31	VYDAJ	VYBER	15	15765	SLUZBY	\N	\N
1138523	3891	1994-02-28	VYDAJ	VYBER	15	25097	SLUZBY	\N	\N
1138524	3891	1994-03-31	VYDAJ	VYBER	15	32965	SLUZBY	\N	\N
1138525	3891	1994-04-30	VYDAJ	VYBER	15	33449	SLUZBY	\N	\N
1138526	3891	1994-05-31	VYDAJ	VYBER	15	36340	SLUZBY	\N	\N
1138527	3891	1994-06-30	VYDAJ	VYBER	15	24173	SLUZBY	\N	\N
1138528	3891	1994-07-31	VYDAJ	VYBER	15	23909	SLUZBY	\N	\N
1138529	3891	1994-08-31	VYDAJ	VYBER	15	29264	SLUZBY	\N	\N
1138530	3891	1994-09-30	VYDAJ	VYBER	15	27102	SLUZBY	\N	\N
1138531	3891	1994-10-31	VYDAJ	VYBER	15	34274	SLUZBY	\N	\N
1138532	3891	1994-11-30	VYDAJ	VYBER	15	37263	SLUZBY	\N	\N
1138533	3891	1994-12-31	VYDAJ	VYBER	15	38848	SLUZBY	\N	\N
1138534	3891	1995-01-31	VYDAJ	VYBER	15	14004	SLUZBY	\N	\N
1138535	3891	1995-02-28	VYDAJ	VYBER	15	23720	SLUZBY	\N	\N
1138536	3891	1995-03-31	VYDAJ	VYBER	15	25972	SLUZBY	\N	\N
1138537	3891	1995-04-30	VYDAJ	VYBER	15	36046	SLUZBY	\N	\N
1138538	3891	1995-05-31	VYDAJ	VYBER	15	41648	SLUZBY	\N	\N
1138539	3891	1995-06-30	VYDAJ	VYBER	15	36128	SLUZBY	\N	\N
1138540	3891	1995-07-31	VYDAJ	VYBER	15	39543	SLUZBY	\N	\N
1138541	3891	1995-08-31	VYDAJ	VYBER	15	46061	SLUZBY	\N	\N
1138542	3891	1995-09-30	VYDAJ	VYBER	15	49604	SLUZBY	\N	\N
1138543	3891	1995-10-31	VYDAJ	VYBER	15	51458	SLUZBY	\N	\N
1138544	3891	1995-11-30	VYDAJ	VYBER	15	45966	SLUZBY	\N	\N
1138545	3891	1995-12-31	VYDAJ	VYBER	15	41862	SLUZBY	\N	\N
1138546	3891	1996-01-31	VYDAJ	VYBER	15	26932	SLUZBY	\N	\N
1138547	3891	1996-02-29	VYDAJ	VYBER	15	37539	SLUZBY	\N	\N
1138548	3891	1996-03-31	VYDAJ	VYBER	15	44389	SLUZBY	\N	\N
1138549	3891	1996-04-30	VYDAJ	VYBER	15	49924	SLUZBY	\N	\N
1138550	3891	1996-05-31	VYDAJ	VYBER	15	54578	SLUZBY	\N	\N
1138551	3891	1996-06-30	VYDAJ	VYBER	15	20434	SLUZBY	\N	\N
1138552	3891	1996-07-31	VYDAJ	VYBER	15	37308	SLUZBY	\N	\N
1138553	3891	1996-08-31	VYDAJ	VYBER	15	46626	SLUZBY	\N	\N
1138554	3891	1996-09-30	VYDAJ	VYBER	15	48881	SLUZBY	\N	\N
1138555	3891	1996-10-31	VYDAJ	VYBER	15	53961	SLUZBY	\N	\N
1138556	3891	1996-11-30	VYDAJ	VYBER	15	58623	SLUZBY	\N	\N
1138557	3891	1996-12-31	VYDAJ	VYBER	15	48597	SLUZBY	\N	\N
1138558	3891	1997-01-31	VYDAJ	VYBER	15	32655	SLUZBY	\N	\N
1138559	3891	1997-02-28	VYDAJ	VYBER	15	37492	SLUZBY	\N	\N
1138560	3891	1997-03-31	VYDAJ	VYBER	15	43619	SLUZBY	\N	\N
1138561	3891	1997-04-30	VYDAJ	VYBER	15	46742	SLUZBY	\N	\N
1138562	3891	1997-05-31	VYDAJ	VYBER	15	48705	SLUZBY	\N	\N
1138563	3891	1997-06-30	VYDAJ	VYBER	15	35860	SLUZBY	\N	\N
1138564	3891	1997-07-31	VYDAJ	VYBER	15	44280	SLUZBY	\N	\N
1138565	3891	1997-08-31	VYDAJ	VYBER	15	48431	SLUZBY	\N	\N
1138566	3891	1997-09-30	VYDAJ	VYBER	15	54100	SLUZBY	\N	\N
1138567	3891	1997-10-31	VYDAJ	VYBER	15	52185	SLUZBY	\N	\N
1138568	3891	1997-11-30	VYDAJ	VYBER	15	52964	SLUZBY	\N	\N
1138569	3891	1997-12-31	VYDAJ	VYBER	15	54745	SLUZBY	\N	\N
1138570	3891	1998-01-31	VYDAJ	VYBER	15	42288	SLUZBY	\N	\N
1138571	3891	1998-02-28	VYDAJ	VYBER	15	51531	SLUZBY	\N	\N
1138572	3891	1998-03-31	VYDAJ	VYBER	15	56766	SLUZBY	\N	\N
1138573	3891	1998-04-30	VYDAJ	VYBER	15	60664	SLUZBY	\N	\N
1138574	3891	1998-05-31	VYDAJ	VYBER	15	70184	SLUZBY	\N	\N
1138575	3891	1998-06-30	VYDAJ	VYBER	15	64335	SLUZBY	\N	\N
1138576	3891	1998-07-31	VYDAJ	VYBER	15	71367	SLUZBY	\N	\N
1138577	3891	1998-08-31	VYDAJ	VYBER	15	74379	SLUZBY	\N	\N
1138578	3891	1998-09-30	VYDAJ	VYBER	15	72542	SLUZBY	\N	\N
1138579	3891	1998-10-31	VYDAJ	VYBER	15	78204	SLUZBY	\N	\N
1138580	3891	1998-11-30	VYDAJ	VYBER	15	83067	SLUZBY	\N	\N
1138581	3891	1993-09-17	PRIJEM	VKLAD	4300	21218	\N	\N	\N
1138582	3891	1993-10-17	VYDAJ	VYBER	5000	32577	\N	\N	\N
1138583	3891	1993-11-16	VYDAJ	VYBER	13100	35907	\N	\N	\N
1138584	3891	1993-12-16	VYDAJ	VYBER	17800	42726	\N	\N	\N
1138585	3891	1994-01-15	VYDAJ	VYBER	9500	37657	\N	\N	\N
1138586	3891	1994-02-14	VYDAJ	VYBER	3900	25011	\N	\N	\N
1138587	3891	1994-03-16	VYDAJ	VYBER	5400	32843	\N	\N	\N
1138588	3891	1994-04-15	VYDAJ	VYBER	12800	33311	\N	\N	\N
1138589	3891	1994-05-15	VYDAJ	VYBER	10400	36195	\N	\N	\N
1138590	3891	1994-06-14	VYDAJ	VYBER	18100	39545	\N	\N	\N
1138591	3891	1994-07-14	VYDAJ	VYBER	5600	31719	\N	\N	\N
1138592	3891	1994-08-13	VYDAJ	VYBER	7900	29155	\N	\N	\N
1138593	3891	1994-09-12	VYDAJ	VYBER	3900	32750	\N	\N	\N
1138594	3891	1994-10-12	VYDAJ	VYBER	6100	34148	\N	\N	\N
1138595	3891	1994-11-11	VYDAJ	VYBER	10300	37120	\N	\N	\N
1138596	3891	1994-12-11	VYDAJ	VYBER	17800	40768	\N	\N	\N
1138597	3891	1995-01-10	VYDAJ	VYBER	8300	36134	\N	\N	\N
1138598	3891	1995-02-09	PRIJEM	VKLAD	1400	28550	\N	\N	\N
1138599	3891	1995-03-11	VYDAJ	VYBER	5600	31266	\N	\N	\N
1138600	3891	1995-04-10	VYDAJ	VYBER	3200	35918	\N	\N	\N
1138601	3891	1995-05-10	VYDAJ	VYBER	7700	41492	\N	\N	\N
1138602	3891	1995-06-09	VYDAJ	VYBER	16600	46353	\N	\N	\N
1138603	3891	1995-07-09	VYDAJ	VYBER	4600	39394	\N	\N	\N
1138604	3891	1995-08-08	VYDAJ	VYBER	6800	45889	\N	\N	\N
1138605	3891	1995-09-07	VYDAJ	VYBER	9800	52579	\N	\N	\N
1138606	3891	1995-10-07	VYDAJ	VYBER	11500	54422	\N	\N	\N
1138607	3891	1995-11-06	VYDAJ	VYBER	14500	53276	\N	\N	\N
1138608	3891	1995-12-06	VYDAJ	VYBER	15900	54543	\N	\N	\N
1138609	3891	1996-01-05	VYDAJ	VYBER	1600	40262	\N	\N	\N
1138610	3891	1996-02-04	PRIJEM	VKLAD	2600	29532	\N	\N	\N
1138611	3891	1996-03-05	VYDAJ	VYBER	3700	31079	\N	\N	\N
1138612	3891	1996-04-04	VYDAJ	VYBER	7800	36589	\N	\N	\N
1138613	3891	1996-05-04	VYDAJ	VYBER	8700	41224	\N	\N	\N
1138614	3891	1996-06-03	VYDAJ	VYBER	11500	43078	\N	\N	\N
1138615	3891	1996-07-03	PRIJEM	VKLAD	3600	24034	\N	\N	\N
1138616	3891	1996-08-02	VYDAJ	VYBER	4000	33308	\N	\N	\N
1138617	3891	1996-09-01	VYDAJ	VYBER	6400	40226	\N	\N	\N
1138618	3891	1996-10-01	VYDAJ	VYBER	4800	44081	\N	\N	\N
1138619	3891	1996-10-31	VYDAJ	VYBER	8700	45261	\N	\N	\N
1138620	3891	1996-11-30	VYDAJ	VYBER	13000	45623	\N	\N	\N
1138621	3891	1996-12-30	VYDAJ	VYBER	13900	48348	\N	\N	\N
1138622	3891	1997-01-29	PRIJEM	VKLAD	3700	32523	\N	\N	\N
1138623	3891	1997-02-28	VYDAJ	VYBER	3300	37506	\N	\N	\N
1138624	3891	1997-03-30	VYDAJ	VYBER	7200	43438	\N	\N	\N
1138625	3891	1997-04-29	VYDAJ	VYBER	7100	46545	\N	\N	\N
1138626	3891	1997-05-29	VYDAJ	VYBER	11400	48488	\N	\N	\N
1138627	3891	1997-06-28	PRIJEM	VKLAD	2700	35710	\N	\N	\N
1138628	3891	1997-07-28	VYDAJ	VYBER	4900	44106	\N	\N	\N
1138629	3891	1997-08-27	VYDAJ	VYBER	9200	48226	\N	\N	\N
1138630	3891	1997-09-26	VYDAJ	VYBER	7700	53877	\N	\N	\N
1138631	3891	1997-10-26	VYDAJ	VYBER	15300	51946	\N	\N	\N
1138632	3891	1997-11-25	VYDAJ	VYBER	12600	52731	\N	\N	\N
1138633	3891	1997-12-25	VYDAJ	VYBER	18500	55769	\N	\N	\N
1138634	3891	1998-01-24	VYDAJ	VYBER	7500	49711	\N	\N	\N
1138635	3891	1998-02-23	VYDAJ	VYBER	4100	51334	\N	\N	\N
1138636	3891	1998-03-25	VYDAJ	VYBER	2500	57257	\N	\N	\N
1138637	3891	1998-04-24	VYDAJ	VYBER	9500	60412	\N	\N	\N
1138638	3891	1998-05-24	VYDAJ	VYBER	3900	69910	\N	\N	\N
1138639	3891	1998-06-23	PRIJEM	VKLAD	1500	64029	\N	\N	\N
1138640	3891	1998-07-23	VYDAJ	VYBER	6400	71081	\N	\N	\N
1138641	3891	1998-08-22	VYDAJ	VYBER	7800	74073	\N	\N	\N
1138642	3891	1998-09-21	VYDAJ	VYBER	9900	75945	\N	\N	\N
1138643	3891	1998-10-21	VYDAJ	VYBER	7800	77888	\N	\N	\N
1138644	3891	1998-11-20	VYDAJ	VYBER	7900	82730	\N	\N	\N
1138645	3891	1998-12-20	VYDAJ	VYBER	9700	90112	\N	\N	\N
1138710	3892	1993-10-25	PRIJEM	VKLAD	800	800	\N	\N	\N
1138721	3892	1993-11-05	PRIJEM	PREVOD Z UCTU	3357	4157	\N	CD	86992233
1138722	3892	1993-12-05	PRIJEM	PREVOD Z UCTU	3357	7514	\N	CD	86992233
1138723	3892	1994-01-05	PRIJEM	PREVOD Z UCTU	3357	10871	\N	CD	86992233
1138724	3892	1994-02-05	PRIJEM	PREVOD Z UCTU	3357	14228	\N	CD	86992233
1138725	3892	1994-03-05	PRIJEM	PREVOD Z UCTU	3357	17585	\N	CD	86992233
1138726	3892	1994-04-05	PRIJEM	PREVOD Z UCTU	3357	18737	\N	CD	86992233
1138727	3892	1994-05-05	PRIJEM	PREVOD Z UCTU	3357	18586	\N	CD	86992233
1138728	3892	1994-06-05	PRIJEM	PREVOD Z UCTU	3357	19757	\N	CD	86992233
1138729	3892	1994-07-05	PRIJEM	PREVOD Z UCTU	3357	12840	\N	CD	86992233
1138730	3892	1994-08-05	PRIJEM	PREVOD Z UCTU	3357	13987	\N	CD	86992233
1138731	3892	1994-09-05	PRIJEM	PREVOD Z UCTU	3357	14664	\N	CD	86992233
1138732	3892	1994-10-05	PRIJEM	PREVOD Z UCTU	3357	14529	\N	CD	86992233
1138733	3892	1994-11-05	PRIJEM	PREVOD Z UCTU	3357	15686	\N	CD	86992233
1138734	3892	1994-12-05	PRIJEM	PREVOD Z UCTU	3357	15734	\N	CD	86992233
1138735	3892	1995-01-05	PRIJEM	PREVOD Z UCTU	3357	16113	\N	CD	86992233
1138736	3892	1995-02-05	PRIJEM	PREVOD Z UCTU	3357	14421	\N	CD	86992233
1138737	3892	1995-03-05	PRIJEM	PREVOD Z UCTU	3357	15575	\N	CD	86992233
1138738	3892	1995-04-05	PRIJEM	PREVOD Z UCTU	3357	16374	\N	CD	86992233
1138739	3892	1995-05-05	PRIJEM	PREVOD Z UCTU	3357	15205	\N	CD	86992233
1138740	3892	1995-06-05	PRIJEM	PREVOD Z UCTU	3357	14322	\N	CD	86992233
1138741	3892	1995-07-05	PRIJEM	PREVOD Z UCTU	3357	12714	\N	CD	86992233
1138742	3892	1995-08-05	PRIJEM	PREVOD Z UCTU	3357	13861	\N	CD	86992233
1138743	3892	1995-09-05	PRIJEM	PREVOD Z UCTU	3357	13109	\N	CD	86992233
1138744	3892	1995-10-05	PRIJEM	PREVOD Z UCTU	3357	12995	\N	CD	86992233
1138745	3892	1995-11-05	PRIJEM	PREVOD Z UCTU	3357	14143	\N	CD	86992233
1138746	3892	1995-12-05	PRIJEM	PREVOD Z UCTU	3357	15295	\N	CD	86992233
1138747	3892	1996-01-05	PRIJEM	PREVOD Z UCTU	3357	13541	\N	CD	86992233
1138748	3892	1996-02-05	PRIJEM	PREVOD Z UCTU	3357	12558	\N	CD	86992233
1138749	3892	1996-03-05	PRIJEM	PREVOD Z UCTU	3357	12132	\N	CD	86992233
1138750	3892	1996-04-05	PRIJEM	PREVOD Z UCTU	3357	13276	\N	CD	86992233
1138751	3892	1996-05-05	PRIJEM	PREVOD Z UCTU	3357	14065	\N	CD	86992233
1138752	3892	1996-06-05	PRIJEM	PREVOD Z UCTU	3357	15217	\N	CD	86992233
1138753	3892	1996-07-05	PRIJEM	PREVOD Z UCTU	3357	7686	\N	CD	86992233
1138754	3892	1996-08-05	PRIJEM	PREVOD Z UCTU	3357	7851	\N	CD	86992233
1138755	3892	1996-09-05	PRIJEM	PREVOD Z UCTU	3357	8979	\N	CD	86992233
1138756	3892	1996-10-05	PRIJEM	PREVOD Z UCTU	3357	10109	\N	CD	86992233
1138757	3892	1996-11-05	PRIJEM	PREVOD Z UCTU	3357	11245	\N	CD	86992233
1138758	3892	1996-12-05	PRIJEM	PREVOD Z UCTU	3357	12385	\N	CD	86992233
1138759	3892	1997-01-05	PRIJEM	PREVOD Z UCTU	3357	10704	\N	CD	86992233
1138760	3892	1997-02-05	PRIJEM	PREVOD Z UCTU	3357	8931	\N	CD	86992233
1138761	3892	1997-03-05	PRIJEM	PREVOD Z UCTU	3357	8918	\N	CD	86992233
1138762	3892	1997-04-05	PRIJEM	PREVOD Z UCTU	3357	10049	\N	CD	86992233
1138763	3892	1997-05-05	PRIJEM	PREVOD Z UCTU	3357	11184	\N	CD	86992233
1138764	3892	1997-06-05	PRIJEM	PREVOD Z UCTU	3357	6714	\N	CD	86992233
1138765	3892	1997-07-05	PRIJEM	PREVOD Z UCTU	3357	6456	\N	CD	86992233
1138766	3892	1997-08-05	PRIJEM	PREVOD Z UCTU	3357	7576	\N	CD	86992233
1138767	3892	1997-09-05	PRIJEM	PREVOD Z UCTU	3357	7320	\N	CD	86992233
1138768	3892	1997-10-05	PRIJEM	PREVOD Z UCTU	3357	7274	\N	CD	86992233
1138769	3892	1997-11-05	PRIJEM	PREVOD Z UCTU	3357	8009	\N	CD	86992233
1138770	3892	1997-12-05	PRIJEM	PREVOD Z UCTU	3357	8956	\N	CD	86992233
1138771	3892	1998-01-05	PRIJEM	PREVOD Z UCTU	3357	9368	\N	CD	86992233
1138772	3892	1998-02-05	PRIJEM	PREVOD Z UCTU	3357	7195	\N	CD	86992233
1138773	3892	1998-03-05	PRIJEM	PREVOD Z UCTU	3357	8318	\N	CD	86992233
1138774	3892	1998-04-05	PRIJEM	PREVOD Z UCTU	3357	9445	\N	CD	86992233
1138775	3892	1998-05-05	PRIJEM	PREVOD Z UCTU	3357	10578	\N	CD	86992233
1138776	3892	1998-06-05	PRIJEM	PREVOD Z UCTU	3357	10005	\N	CD	86992233
1138777	3892	1998-07-05	PRIJEM	PREVOD Z UCTU	3357	9911	\N	CD	86992233
1138778	3892	1998-08-05	PRIJEM	PREVOD Z UCTU	3357	11046	\N	CD	86992233
1138779	3892	1998-09-05	PRIJEM	PREVOD Z UCTU	3357	10954	\N	CD	86992233
1138780	3892	1998-10-05	PRIJEM	PREVOD Z UCTU	3357	12095	\N	CD	86992233
1138781	3892	1998-11-05	PRIJEM	PREVOD Z UCTU	3357	13058	\N	CD	86992233
1138782	3892	1998-12-05	PRIJEM	PREVOD Z UCTU	3357	14205	\N	CD	86992233
1138797	3892	1994-03-09	VYDAJ	PREVOD NA UCET	2238	15347	\N	GH	29015290
1138798	3892	1994-04-09	VYDAJ	PREVOD NA UCET	2238	16499	\N	GH	29015290
1138799	3892	1994-05-09	VYDAJ	PREVOD NA UCET	2238	16348	\N	GH	29015290
1138800	3892	1994-06-09	VYDAJ	PREVOD NA UCET	2238	17519	\N	GH	29015290
1138801	3892	1994-07-09	VYDAJ	PREVOD NA UCET	2238	10602	\N	GH	29015290
1138802	3892	1994-08-09	VYDAJ	PREVOD NA UCET	2238	11269	\N	GH	29015290
1138803	3892	1994-09-09	VYDAJ	PREVOD NA UCET	2238	12426	\N	GH	29015290
1138804	3892	1994-10-09	VYDAJ	PREVOD NA UCET	2238	12291	\N	GH	29015290
1138805	3892	1994-11-09	VYDAJ	PREVOD NA UCET	2238	13028	\N	GH	29015290
1138806	3892	1994-12-09	VYDAJ	PREVOD NA UCET	2238	13496	\N	GH	29015290
1138807	3892	1995-01-09	VYDAJ	PREVOD NA UCET	2238	13875	\N	GH	29015290
1138808	3892	1995-02-09	VYDAJ	PREVOD NA UCET	2238	12183	\N	GH	29015290
1138809	3892	1995-03-09	VYDAJ	PREVOD NA UCET	2238	13337	\N	GH	29015290
1138810	3892	1995-04-09	VYDAJ	PREVOD NA UCET	2238	14136	\N	GH	29015290
1138811	3892	1995-05-09	VYDAJ	PREVOD NA UCET	2238	12967	\N	GH	29015290
1138812	3892	1995-06-09	VYDAJ	PREVOD NA UCET	2238	12084	\N	GH	29015290
1138813	3892	1995-07-09	VYDAJ	PREVOD NA UCET	2238	10476	\N	GH	29015290
1138814	3892	1995-08-09	VYDAJ	PREVOD NA UCET	2238	11623	\N	GH	29015290
1138815	3892	1995-09-09	VYDAJ	PREVOD NA UCET	2238	10871	\N	GH	29015290
1138816	3892	1995-10-09	VYDAJ	PREVOD NA UCET	2238	10757	\N	GH	29015290
1138817	3892	1995-11-09	VYDAJ	PREVOD NA UCET	2238	11905	\N	GH	29015290
1138818	3892	1995-12-09	VYDAJ	PREVOD NA UCET	2238	13057	\N	GH	29015290
1138819	3892	1996-01-09	VYDAJ	PREVOD NA UCET	2238	10433	\N	GH	29015290
1138820	3892	1996-02-09	VYDAJ	PREVOD NA UCET	2238	10320	\N	GH	29015290
1138821	3892	1996-03-09	VYDAJ	PREVOD NA UCET	2238	9894	\N	GH	29015290
1138822	3892	1996-04-09	VYDAJ	PREVOD NA UCET	2238	11038	\N	GH	29015290
1138823	3892	1996-05-09	VYDAJ	PREVOD NA UCET	2238	11827	\N	GH	29015290
1138824	3892	1996-06-09	VYDAJ	PREVOD NA UCET	2238	12979	\N	GH	29015290
1138825	3892	1996-07-09	VYDAJ	PREVOD NA UCET	2238	5448	\N	GH	29015290
1138826	3892	1996-08-09	VYDAJ	PREVOD NA UCET	2238	5613	\N	GH	29015290
1138827	3892	1996-09-09	VYDAJ	PREVOD NA UCET	2238	6741	\N	GH	29015290
1138828	3892	1996-10-09	VYDAJ	PREVOD NA UCET	2238	7871	\N	GH	29015290
1138829	3892	1996-11-09	VYDAJ	PREVOD NA UCET	2238	9007	\N	GH	29015290
1138830	3892	1996-12-09	VYDAJ	PREVOD NA UCET	2238	8137	\N	GH	29015290
1138831	3892	1997-01-09	VYDAJ	PREVOD NA UCET	2238	8466	\N	GH	29015290
1138832	3892	1997-02-09	VYDAJ	PREVOD NA UCET	2238	5553	\N	GH	29015290
1138833	3892	1997-03-09	VYDAJ	PREVOD NA UCET	2238	6680	\N	GH	29015290
1138834	3892	1997-04-09	VYDAJ	PREVOD NA UCET	2238	7811	\N	GH	29015290
1138835	3892	1997-05-09	VYDAJ	PREVOD NA UCET	2238	8946	\N	GH	29015290
1138836	3892	1997-06-09	VYDAJ	PREVOD NA UCET	2238	4476	\N	GH	29015290
1138837	3892	1997-07-09	VYDAJ	PREVOD NA UCET	2238	4218	\N	GH	29015290
1138838	3892	1997-08-09	VYDAJ	PREVOD NA UCET	2238	5338	\N	GH	29015290
1138839	3892	1997-09-09	VYDAJ	PREVOD NA UCET	2238	5082	\N	GH	29015290
1138840	3892	1997-10-09	VYDAJ	PREVOD NA UCET	2238	5036	\N	GH	29015290
1138841	3892	1997-11-09	VYDAJ	PREVOD NA UCET	2238	5771	\N	GH	29015290
1138842	3892	1997-12-09	VYDAJ	PREVOD NA UCET	2238	6718	\N	GH	29015290
1138843	3892	1998-01-09	VYDAJ	PREVOD NA UCET	2238	6380	\N	GH	29015290
1138844	3892	1998-02-09	VYDAJ	PREVOD NA UCET	2238	4957	\N	GH	29015290
1138845	3892	1998-03-09	VYDAJ	PREVOD NA UCET	2238	6080	\N	GH	29015290
1138846	3892	1998-04-09	VYDAJ	PREVOD NA UCET	2238	7207	\N	GH	29015290
1138847	3892	1998-05-09	VYDAJ	PREVOD NA UCET	2238	8340	\N	GH	29015290
1138848	3892	1998-06-09	VYDAJ	PREVOD NA UCET	2238	7767	\N	GH	29015290
1138849	3892	1998-07-09	VYDAJ	PREVOD NA UCET	2238	7673	\N	GH	29015290
1138850	3892	1998-08-09	VYDAJ	PREVOD NA UCET	2238	8808	\N	GH	29015290
1138851	3892	1998-09-09	VYDAJ	PREVOD NA UCET	2238	8716	\N	GH	29015290
1138852	3892	1998-10-09	VYDAJ	PREVOD NA UCET	2238	9857	\N	GH	29015290
1138853	3892	1998-11-09	VYDAJ	PREVOD NA UCET	2238	10820	\N	GH	29015290
1138854	3892	1998-12-09	VYDAJ	PREVOD NA UCET	2238	11967	\N	GH	29015290
1138856	3892	1994-06-10	VYDAJ	VYBER	8070	9449	\N	\N	\N
1138857	3892	1995-06-21	VYDAJ	VYBER	2760	9324	\N	\N	\N
1138858	3892	1996-06-16	VYDAJ	VYBER	8670	4309	\N	\N	\N
1138859	3892	1997-06-02	VYDAJ	VYBER	5610	3357	\N	\N	\N
1138860	3892	1998-06-01	VYDAJ	VYBER	1710	6648	\N	\N	\N
1138862	3892	1994-12-28	VYDAJ	VYBER	780	12716	\N	\N	\N
1138863	3892	1995-12-20	VYDAJ	VYBER	780	12277	\N	\N	\N
1138864	3892	1996-12-07	VYDAJ	VYBER	780	11605	\N	\N	\N
1138865	3892	1997-12-04	VYDAJ	VYBER	180	5599	\N	\N	\N
1138866	3892	1998-12-15	VYDAJ	VYBER	630	11337	\N	\N	\N
1138879	3892	1995-01-28	VYDAJ	VYBER	690	12195	\N	\N	\N
1138880	3892	1995-01-29	VYDAJ	VYBER	270	11565	\N	\N	\N
1138881	3892	1995-01-17	VYDAJ	VYBER	210	13305	\N	\N	\N
1138882	3892	1995-01-17	VYDAJ	VYBER	360	13515	\N	\N	\N
1138883	3892	1995-01-19	VYDAJ	VYBER	420	12885	\N	\N	\N
1138884	3892	1995-01-30	VYDAJ	VYBER	540	11025	\N	\N	\N
1138885	3892	1996-01-04	VYDAJ	VYBER	300	10514	\N	\N	\N
1138886	3892	1996-01-04	VYDAJ	VYBER	330	10184	\N	\N	\N
1138887	3892	1996-01-21	VYDAJ	VYBER	870	9563	\N	\N	\N
1138888	3892	1996-01-27	VYDAJ	VYBER	390	9173	\N	\N	\N
1138889	3892	1996-01-06	VYDAJ	VYBER	870	12671	\N	\N	\N
1138890	3892	1996-01-03	VYDAJ	VYBER	570	10814	\N	\N	\N
1138891	3892	1997-01-28	VYDAJ	VYBER	660	5556	\N	\N	\N
1138892	3892	1997-01-22	VYDAJ	VYBER	720	6756	\N	\N	\N
1138893	3892	1997-01-22	VYDAJ	VYBER	540	6216	\N	\N	\N
1138894	3892	1997-01-03	VYDAJ	VYBER	810	7347	\N	\N	\N
1138895	3892	1997-01-17	VYDAJ	VYBER	420	8046	\N	\N	\N
1138896	3892	1997-01-21	VYDAJ	VYBER	570	7476	\N	\N	\N
1138897	3892	1998-01-10	VYDAJ	VYBER	780	5600	\N	\N	\N
1138898	3892	1998-01-01	VYDAJ	VYBER	720	6011	\N	\N	\N
1138899	3892	1998-01-24	VYDAJ	VYBER	660	4100	\N	\N	\N
1138900	3892	1998-01-18	VYDAJ	VYBER	660	4940	\N	\N	\N
1138901	3892	1998-01-27	VYDAJ	VYBER	270	3830	\N	\N	\N
1138902	3892	1998-01-18	VYDAJ	VYBER	180	4760	\N	\N	\N
1138908	3892	1994-08-09	VYDAJ	VYBER	480	13507	\N	\N	\N
1138909	3892	1994-10-04	VYDAJ	VYBER	1140	11322	\N	\N	\N
1138910	3892	1994-04-15	VYDAJ	VYBER	1320	15179	\N	\N	\N
1138911	3892	1994-11-07	VYDAJ	VYBER	420	15266	\N	\N	\N
1138912	3892	1994-11-26	VYDAJ	VYBER	690	12338	\N	\N	\N
1138913	3892	1994-10-04	VYDAJ	VYBER	150	11172	\N	\N	\N
1138914	3892	1995-12-25	VYDAJ	VYBER	930	11347	\N	\N	\N
1138915	3892	1995-09-09	VYDAJ	VYBER	300	10571	\N	\N	\N
1138916	3892	1995-06-03	VYDAJ	VYBER	1140	10965	\N	\N	\N
1138917	3892	1995-04-02	VYDAJ	VYBER	360	13017	\N	\N	\N
1138918	3892	1995-09-21	VYDAJ	VYBER	960	9611	\N	\N	\N
1138919	3892	1995-01-29	VYDAJ	VYBER	360	11835	\N	\N	\N
1138920	3892	1995-05-02	VYDAJ	VYBER	630	11848	\N	\N	\N
1138921	3892	1996-02-21	VYDAJ	VYBER	1470	8750	\N	\N	\N
1138922	3892	1996-12-08	VYDAJ	VYBER	1230	10375	\N	\N	\N
1138923	3892	1996-07-31	VYDAJ	VYBER	960	4494	\N	\N	\N
1138924	3892	1996-04-23	VYDAJ	VYBER	360	10678	\N	\N	\N
1138925	3892	1997-06-09	VYDAJ	VYBER	1380	3096	\N	\N	\N
1138926	3892	1997-10-23	VYDAJ	VYBER	390	4646	\N	\N	\N
1138927	3892	1997-02-08	VYDAJ	VYBER	1140	7791	\N	\N	\N
1138928	3892	1997-08-31	VYDAJ	VYBER	1380	3978	\N	\N	\N
1138929	3892	1997-10-02	VYDAJ	VYBER	1170	3917	\N	\N	\N
1138930	3892	1998-09-04	VYDAJ	VYBER	1230	7597	\N	\N	\N
1138931	3892	1998-06-27	VYDAJ	VYBER	1230	6537	\N	\N	\N
1138932	3892	1998-01-05	VYDAJ	VYBER	750	8618	\N	\N	\N
1138933	3892	1998-10-16	VYDAJ	VYBER	180	9677	\N	\N	\N
1138949	3892	1994-03-31	VYDAJ	VYBER	15	15380	SLUZBY	\N	\N
1138950	3892	1994-04-30	VYDAJ	VYBER	15	15229	SLUZBY	\N	\N
1138951	3892	1994-05-31	VYDAJ	VYBER	15	16400	SLUZBY	\N	\N
1138952	3892	1994-06-30	VYDAJ	VYBER	15	9483	SLUZBY	\N	\N
1138953	3892	1994-07-31	VYDAJ	VYBER	15	10630	SLUZBY	\N	\N
1138954	3892	1994-08-31	VYDAJ	VYBER	15	11307	SLUZBY	\N	\N
1138955	3892	1994-09-30	VYDAJ	VYBER	15	12462	SLUZBY	\N	\N
1138956	3892	1994-10-31	VYDAJ	VYBER	15	12329	SLUZBY	\N	\N
1138957	3892	1994-11-30	VYDAJ	VYBER	15	12377	SLUZBY	\N	\N
1138958	3892	1994-12-31	VYDAJ	VYBER	15	12756	SLUZBY	\N	\N
1138959	3892	1995-01-31	VYDAJ	VYBER	15	11064	SLUZBY	\N	\N
1138960	3892	1995-02-28	VYDAJ	VYBER	15	12218	SLUZBY	\N	\N
1138961	3892	1995-03-31	VYDAJ	VYBER	15	13377	SLUZBY	\N	\N
1138962	3892	1995-04-30	VYDAJ	VYBER	15	12478	SLUZBY	\N	\N
1138963	3892	1995-05-31	VYDAJ	VYBER	15	12105	SLUZBY	\N	\N
1138964	3892	1995-06-30	VYDAJ	VYBER	15	9357	SLUZBY	\N	\N
1138965	3892	1995-07-31	VYDAJ	VYBER	15	10504	SLUZBY	\N	\N
1138966	3892	1995-08-31	VYDAJ	VYBER	15	9752	SLUZBY	\N	\N
1138967	3892	1995-09-30	VYDAJ	VYBER	15	9638	SLUZBY	\N	\N
1138968	3892	1995-10-31	VYDAJ	VYBER	15	10786	SLUZBY	\N	\N
1138969	3892	1995-11-30	VYDAJ	VYBER	15	11938	SLUZBY	\N	\N
1138970	3892	1995-12-31	VYDAJ	VYBER	15	11384	SLUZBY	\N	\N
1138971	3892	1996-01-31	VYDAJ	VYBER	15	9201	SLUZBY	\N	\N
1138972	3892	1996-02-29	VYDAJ	VYBER	15	8775	SLUZBY	\N	\N
1138973	3892	1996-03-31	VYDAJ	VYBER	15	9919	SLUZBY	\N	\N
1138974	3892	1996-04-30	VYDAJ	VYBER	15	10708	SLUZBY	\N	\N
1138975	3892	1996-05-31	VYDAJ	VYBER	15	11860	SLUZBY	\N	\N
1138976	3892	1996-06-30	VYDAJ	VYBER	15	4329	SLUZBY	\N	\N
1138977	3892	1996-07-31	VYDAJ	VYBER	15	5454	SLUZBY	\N	\N
1138978	3892	1996-08-31	VYDAJ	VYBER	15	5622	SLUZBY	\N	\N
1138979	3892	1996-09-30	VYDAJ	VYBER	15	6752	SLUZBY	\N	\N
1138980	3892	1996-10-31	VYDAJ	VYBER	15	7888	SLUZBY	\N	\N
1138981	3892	1996-11-30	VYDAJ	VYBER	15	9028	SLUZBY	\N	\N
1138982	3892	1996-12-31	VYDAJ	VYBER	15	8157	SLUZBY	\N	\N
1138983	3892	1997-01-31	VYDAJ	VYBER	15	5574	SLUZBY	\N	\N
1138984	3892	1997-02-28	VYDAJ	VYBER	15	5561	SLUZBY	\N	\N
1138985	3892	1997-03-31	VYDAJ	VYBER	15	6692	SLUZBY	\N	\N
1138986	3892	1997-04-30	VYDAJ	VYBER	15	7827	SLUZBY	\N	\N
1138987	3892	1997-05-31	VYDAJ	VYBER	15	8967	SLUZBY	\N	\N
1138988	3892	1997-06-30	VYDAJ	VYBER	15	3099	SLUZBY	\N	\N
1138989	3892	1997-07-31	VYDAJ	VYBER	15	4219	SLUZBY	\N	\N
1138990	3892	1997-08-31	VYDAJ	VYBER	15	3963	SLUZBY	\N	\N
1138991	3892	1997-09-30	VYDAJ	VYBER	15	5087	SLUZBY	\N	\N
1138992	3892	1997-10-31	VYDAJ	VYBER	15	4652	SLUZBY	\N	\N
1138993	3892	1997-11-30	VYDAJ	VYBER	15	5779	SLUZBY	\N	\N
1138994	3892	1997-12-31	VYDAJ	VYBER	15	6731	SLUZBY	\N	\N
1138995	3892	1998-01-31	VYDAJ	VYBER	15	3838	SLUZBY	\N	\N
1138996	3892	1998-02-28	VYDAJ	VYBER	15	4961	SLUZBY	\N	\N
1138997	3892	1998-03-31	VYDAJ	VYBER	15	6088	SLUZBY	\N	\N
1138998	3892	1998-04-30	VYDAJ	VYBER	15	7221	SLUZBY	\N	\N
1138999	3892	1998-05-31	VYDAJ	VYBER	15	8358	SLUZBY	\N	\N
1139000	3892	1998-06-30	VYDAJ	VYBER	15	6554	SLUZBY	\N	\N
1139001	3892	1998-07-31	VYDAJ	VYBER	15	7689	SLUZBY	\N	\N
1139002	3892	1998-08-31	VYDAJ	VYBER	15	8827	SLUZBY	\N	\N
1139003	3892	1998-09-30	VYDAJ	VYBER	15	8738	SLUZBY	\N	\N
1139004	3892	1998-10-31	VYDAJ	VYBER	15	9701	SLUZBY	\N	\N
1139005	3892	1998-11-30	VYDAJ	VYBER	15	10848	SLUZBY	\N	\N
1139006	3892	1995-04-18	VYDAJ	VYBER	1700	12436	\N	\N	\N
1139007	3892	1995-05-18	VYDAJ	VYBER	900	12067	\N	\N	\N
1139008	3892	1995-08-16	VYDAJ	VYBER	1900	9723	\N	\N	\N
1139009	3892	1996-02-12	VYDAJ	VYBER	100	10220	\N	\N	\N
1139068	3893	1996-12-13	PRIJEM	VKLAD	600	600	\N	\N	\N
1139081	3893	1997-01-12	PRIJEM	VKLAD	4553	5153	\N	\N	\N
1139082	3893	1997-02-12	PRIJEM	VKLAD	4553	22020	\N	\N	\N
1139083	3893	1997-03-12	PRIJEM	VKLAD	4553	26637	\N	\N	\N
1139084	3893	1997-04-12	PRIJEM	VKLAD	4553	23374	\N	\N	\N
1139085	3893	1997-05-12	PRIJEM	VKLAD	4553	26914	\N	\N	\N
1139086	3893	1997-06-12	PRIJEM	VKLAD	6830	25491	\N	\N	\N
1139087	3893	1997-07-12	PRIJEM	VKLAD	4553	25628	\N	\N	\N
1139088	3893	1997-08-12	PRIJEM	VKLAD	4553	25924	\N	\N	\N
1139089	3893	1997-09-12	PRIJEM	VKLAD	4553	26230	\N	\N	\N
1139090	3893	1997-10-12	PRIJEM	VKLAD	4553	27530	\N	\N	\N
1139091	3893	1997-11-12	PRIJEM	VKLAD	4553	22854	\N	\N	\N
1139092	3893	1997-12-12	PRIJEM	VKLAD	6830	22819	\N	\N	\N
1139093	3893	1998-01-12	PRIJEM	VKLAD	4553	20597	\N	\N	\N
1139094	3893	1998-02-12	PRIJEM	VKLAD	4553	21605	\N	\N	\N
1139095	3893	1998-03-12	PRIJEM	VKLAD	4553	23276	\N	\N	\N
1139096	3893	1998-04-12	PRIJEM	VKLAD	4553	23362	\N	\N	\N
1139097	3893	1998-05-12	PRIJEM	VKLAD	4553	27383	\N	\N	\N
1139098	3893	1998-06-12	PRIJEM	VKLAD	6830	32852	\N	\N	\N
1139099	3893	1998-07-12	PRIJEM	VKLAD	4553	29115	\N	\N	\N
1139100	3893	1998-08-12	PRIJEM	VKLAD	4553	26400	\N	\N	\N
1139101	3893	1998-09-12	PRIJEM	VKLAD	4553	32397	\N	\N	\N
1139102	3893	1998-10-12	PRIJEM	VKLAD	4553	30517	\N	\N	\N
1139103	3893	1998-11-12	PRIJEM	VKLAD	4553	33246	\N	\N	\N
1139104	3893	1998-12-12	PRIJEM	VKLAD	6830	31235	\N	\N	\N
1139121	3893	1997-05-12	VYDAJ	PREVOD NA UCET	1501	22379	SIPO	QR	80644279
1139122	3893	1997-06-12	VYDAJ	PREVOD NA UCET	1501	22456	SIPO	QR	80644279
1139123	3893	1997-07-12	VYDAJ	PREVOD NA UCET	1501	24127	SIPO	QR	80644279
1139124	3893	1997-08-12	VYDAJ	PREVOD NA UCET	1501	22889	SIPO	QR	80644279
1139125	3893	1997-09-12	VYDAJ	PREVOD NA UCET	1501	23195	SIPO	QR	80644279
1139126	3893	1997-10-12	VYDAJ	PREVOD NA UCET	1501	24495	SIPO	QR	80644279
1139127	3893	1997-11-12	VYDAJ	PREVOD NA UCET	1501	19819	SIPO	QR	80644279
1139128	3893	1997-12-12	VYDAJ	PREVOD NA UCET	1501	19784	SIPO	QR	80644279
1139129	3893	1998-01-12	VYDAJ	PREVOD NA UCET	1501	19096	SIPO	QR	80644279
1139130	3893	1998-02-12	VYDAJ	PREVOD NA UCET	1501	18570	SIPO	QR	80644279
1139131	3893	1998-03-12	VYDAJ	PREVOD NA UCET	1501	21775	SIPO	QR	80644279
1139132	3893	1998-04-12	VYDAJ	PREVOD NA UCET	1501	21861	SIPO	QR	80644279
1139133	3893	1998-05-12	VYDAJ	PREVOD NA UCET	1501	25882	SIPO	QR	80644279
1139134	3893	1998-06-12	VYDAJ	PREVOD NA UCET	1501	31351	SIPO	QR	80644279
1139135	3893	1998-07-12	VYDAJ	PREVOD NA UCET	1501	26080	SIPO	QR	80644279
1139136	3893	1998-08-12	VYDAJ	PREVOD NA UCET	1501	24899	SIPO	QR	80644279
1139137	3893	1998-09-12	VYDAJ	PREVOD NA UCET	1501	29362	SIPO	QR	80644279
1139138	3893	1998-10-12	VYDAJ	PREVOD NA UCET	1501	29016	SIPO	QR	80644279
1139139	3893	1998-11-12	VYDAJ	PREVOD NA UCET	1501	31745	SIPO	QR	80644279
1139140	3893	1998-12-12	VYDAJ	PREVOD NA UCET	1501	28200	SIPO	QR	80644279
1139157	3893	1997-05-12	VYDAJ	PREVOD NA UCET	1534	25380	 	MN	44051182
1139158	3893	1997-06-12	VYDAJ	PREVOD NA UCET	1534	23957	 	MN	44051182
1139159	3893	1997-07-12	VYDAJ	PREVOD NA UCET	1534	22593	 	MN	44051182
1139160	3893	1997-08-12	VYDAJ	PREVOD NA UCET	1534	24390	 	MN	44051182
1139161	3893	1997-09-12	VYDAJ	PREVOD NA UCET	1534	24696	 	MN	44051182
1139162	3893	1997-10-12	VYDAJ	PREVOD NA UCET	1534	25996	 	MN	44051182
1139163	3893	1997-11-12	VYDAJ	PREVOD NA UCET	1534	21320	 	MN	44051182
1139164	3893	1997-12-12	VYDAJ	PREVOD NA UCET	1534	21285	 	MN	44051182
1139165	3893	1998-01-12	VYDAJ	PREVOD NA UCET	1534	17562	 	MN	44051182
1139166	3893	1998-02-12	VYDAJ	PREVOD NA UCET	1534	20071	 	MN	44051182
1139167	3893	1998-03-12	VYDAJ	PREVOD NA UCET	1534	20241	 	MN	44051182
1139168	3893	1998-04-12	VYDAJ	PREVOD NA UCET	1534	20327	 	MN	44051182
1139169	3893	1998-05-12	VYDAJ	PREVOD NA UCET	1534	24348	 	MN	44051182
1139170	3893	1998-06-12	VYDAJ	PREVOD NA UCET	1534	29817	 	MN	44051182
1139171	3893	1998-07-12	VYDAJ	PREVOD NA UCET	1534	27581	 	MN	44051182
1139172	3893	1998-08-12	VYDAJ	PREVOD NA UCET	1534	23365	 	MN	44051182
1139173	3893	1998-09-12	VYDAJ	PREVOD NA UCET	1534	30863	 	MN	44051182
1139174	3893	1998-10-12	VYDAJ	PREVOD NA UCET	1534	27482	 	MN	44051182
1139175	3893	1998-11-12	VYDAJ	PREVOD NA UCET	1534	30211	 	MN	44051182
1139176	3893	1998-12-12	VYDAJ	PREVOD NA UCET	1534	29701	 	MN	44051182
1139182	3893	1998-12-07	VYDAJ	VYBER	2720	24405	\N	\N	\N
1139195	3893	1998-01-01	VYDAJ	VYBER	3480	14444	\N	\N	\N
1139196	3893	1998-01-01	VYDAJ	VYBER	1920	17924	\N	\N	\N
1139197	3893	1998-01-16	VYDAJ	VYBER	1320	15522	\N	\N	\N
1139198	3893	1998-01-23	VYDAJ	VYBER	960	14562	\N	\N	\N
1139199	3893	1998-01-15	VYDAJ	VYBER	720	16842	\N	\N	\N
1139200	3893	1998-01-27	VYDAJ	VYBER	1560	13002	\N	\N	\N
1139204	3893	1997-11-25	VYDAJ	VYBER	5400	14419	\N	\N	\N
1139206	3893	1997-11-09	VYDAJ	VYBER	1680	18301	\N	\N	\N
1139207	3893	1997-06-28	VYDAJ	VYBER	960	21496	\N	\N	\N
1139209	3893	1998-06-13	VYDAJ	VYBER	2280	27537	\N	\N	\N
1139210	3893	1998-07-30	VYDAJ	VYBER	5520	20560	\N	\N	\N
1139211	3893	1998-06-15	VYDAJ	VYBER	5160	22377	\N	\N	\N
1139212	3893	1998-04-18	VYDAJ	VYBER	3960	16367	\N	\N	\N
1139230	3893	1997-05-31	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
1139231	3893	1997-06-30	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
1139232	3893	1997-07-31	VYDAJ	VYBER	15	22671	SLUZBY	\N	\N
1139233	3893	1997-08-31	VYDAJ	VYBER	15	22977	SLUZBY	\N	\N
1139234	3893	1997-09-30	VYDAJ	VYBER	15	23277	SLUZBY	\N	\N
1139235	3893	1997-10-31	VYDAJ	VYBER	15	24581	SLUZBY	\N	\N
1139236	3893	1997-11-30	VYDAJ	VYBER	15	14490	SLUZBY	\N	\N
1139237	3893	1997-12-31	VYDAJ	VYBER	15	19844	SLUZBY	\N	\N
1139238	3893	1998-01-31	VYDAJ	VYBER	15	13052	SLUZBY	\N	\N
1139239	3893	1998-02-28	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
1139240	3893	1998-03-31	VYDAJ	VYBER	15	20309	SLUZBY	\N	\N
1139241	3893	1998-04-30	VYDAJ	VYBER	15	16430	SLUZBY	\N	\N
1139242	3893	1998-05-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
1139243	3893	1998-06-30	VYDAJ	VYBER	15	22462	SLUZBY	\N	\N
1139244	3893	1998-07-31	VYDAJ	VYBER	15	20647	SLUZBY	\N	\N
1139245	3893	1998-08-31	VYDAJ	VYBER	15	23444	SLUZBY	\N	\N
1139246	3893	1998-09-30	VYDAJ	VYBER	15	29464	SLUZBY	\N	\N
1139247	3893	1998-10-31	VYDAJ	VYBER	15	27593	SLUZBY	\N	\N
1139248	3893	1998-11-30	VYDAJ	VYBER	15	30325	SLUZBY	\N	\N
1139249	3893	1997-01-12	PRIJEM	VKLAD	7400	12553	\N	\N	\N
1139250	3893	1997-02-11	PRIJEM	VKLAD	4900	17467	\N	\N	\N
1139251	3893	1997-03-13	VYDAJ	VYBER	7900	18737	\N	\N	\N
1139252	3893	1997-04-12	VYDAJ	VYBER	1100	22274	\N	\N	\N
1139253	3893	1997-05-12	VYDAJ	VYBER	1500	23880	\N	\N	\N
1139254	3893	1997-06-11	VYDAJ	VYBER	3800	18662	\N	\N	\N
1139255	3893	1997-07-11	VYDAJ	VYBER	500	21075	\N	\N	\N
1139256	3893	1997-08-10	VYDAJ	VYBER	1300	21371	\N	\N	\N
1139257	3893	1997-09-09	VYDAJ	VYBER	1300	21677	\N	\N	\N
1139258	3893	1997-10-09	VYDAJ	VYBER	300	22977	\N	\N	\N
1139259	3893	1997-11-08	VYDAJ	VYBER	4600	19981	\N	\N	\N
1139260	3893	1997-12-08	PRIJEM	VKLAD	1500	15990	\N	\N	\N
1139261	3893	1998-01-07	PRIJEM	VKLAD	1600	16044	\N	\N	\N
1139262	3893	1998-02-06	PRIJEM	VKLAD	4000	17052	\N	\N	\N
1139263	3893	1998-03-08	PRIJEM	VKLAD	100	18723	\N	\N	\N
1139264	3893	1998-04-07	VYDAJ	VYBER	1500	18809	\N	\N	\N
1139265	3893	1998-05-07	PRIJEM	VKLAD	6400	22830	\N	\N	\N
1139266	3893	1998-06-06	PRIJEM	VKLAD	1600	26023	\N	\N	\N
1139267	3893	1998-07-06	PRIJEM	VKLAD	2100	24562	\N	\N	\N
1139268	3893	1998-08-05	PRIJEM	VKLAD	1200	21847	\N	\N	\N
1139269	3893	1998-09-04	PRIJEM	VKLAD	4400	27844	\N	\N	\N
1139270	3893	1998-10-04	VYDAJ	VYBER	3500	25964	\N	\N	\N
1139271	3893	1998-11-03	PRIJEM	VKLAD	1100	28693	\N	\N	\N
1139272	3893	1998-12-03	VYDAJ	VYBER	3200	27125	\N	\N	\N
1139297	3894	1996-09-25	PRIJEM	VKLAD	600	600	\N	\N	\N
1139307	3894	1996-10-10	PRIJEM	PREVOD Z UCTU	6868	7468	DUCHOD	OP	80112600
1139308	3894	1996-11-10	PRIJEM	PREVOD Z UCTU	6868	14336	DUCHOD	OP	80112600
1139309	3894	1996-12-10	PRIJEM	PREVOD Z UCTU	6868	21204	DUCHOD	OP	80112600
1139310	3894	1997-01-10	PRIJEM	PREVOD Z UCTU	6868	26493	DUCHOD	OP	80112600
1139311	3894	1997-02-10	PRIJEM	PREVOD Z UCTU	6868	29747	DUCHOD	OP	80112600
1139312	3894	1997-03-10	PRIJEM	PREVOD Z UCTU	6868	29650	DUCHOD	OP	80112600
1139313	3894	1997-04-10	PRIJEM	PREVOD Z UCTU	6868	32141	DUCHOD	OP	80112600
1139314	3894	1997-05-10	PRIJEM	PREVOD Z UCTU	6868	31975	DUCHOD	OP	80112600
1139315	3894	1997-06-10	PRIJEM	PREVOD Z UCTU	6868	24423	DUCHOD	OP	80112600
1139316	3894	1997-07-10	PRIJEM	PREVOD Z UCTU	6868	28006	DUCHOD	OP	80112600
1139317	3894	1997-08-10	PRIJEM	PREVOD Z UCTU	6868	31592	DUCHOD	OP	80112600
1139318	3894	1997-09-10	PRIJEM	PREVOD Z UCTU	6868	35192	DUCHOD	OP	80112600
1139319	3894	1997-10-10	PRIJEM	PREVOD Z UCTU	6868	38808	DUCHOD	OP	80112600
1139320	3894	1997-11-10	PRIJEM	PREVOD Z UCTU	6868	41236	DUCHOD	OP	80112600
1139321	3894	1997-12-10	PRIJEM	PREVOD Z UCTU	6868	43374	DUCHOD	OP	80112600
1139322	3894	1998-01-10	PRIJEM	PREVOD Z UCTU	6868	38266	DUCHOD	OP	80112600
1139323	3894	1998-02-10	PRIJEM	PREVOD Z UCTU	6868	39097	DUCHOD	OP	80112600
1139324	3894	1998-03-10	PRIJEM	PREVOD Z UCTU	6868	42728	DUCHOD	OP	80112600
1139325	3894	1998-04-10	PRIJEM	PREVOD Z UCTU	6868	46375	DUCHOD	OP	80112600
1139326	3894	1998-05-10	PRIJEM	PREVOD Z UCTU	6868	49636	DUCHOD	OP	80112600
1139327	3894	1998-06-10	PRIJEM	PREVOD Z UCTU	6868	48749	DUCHOD	OP	80112600
1139328	3894	1998-07-10	PRIJEM	PREVOD Z UCTU	6868	43982	DUCHOD	OP	80112600
1139329	3894	1998-08-10	PRIJEM	PREVOD Z UCTU	6868	47634	DUCHOD	OP	80112600
1139330	3894	1998-09-10	PRIJEM	PREVOD Z UCTU	6868	51301	DUCHOD	OP	80112600
1139331	3894	1998-10-10	PRIJEM	PREVOD Z UCTU	6868	54984	DUCHOD	OP	80112600
1139332	3894	1998-11-10	PRIJEM	PREVOD Z UCTU	6868	55879	DUCHOD	OP	80112600
1139333	3894	1998-12-10	PRIJEM	PREVOD Z UCTU	6868	56783	DUCHOD	OP	80112600
1139347	3894	1997-02-14	VYDAJ	PREVOD NA UCET	2745	22701	SIPO	OP	98407303
1139348	3894	1997-03-14	VYDAJ	PREVOD NA UCET	2745	26284	SIPO	OP	98407303
1139349	3894	1997-04-14	VYDAJ	PREVOD NA UCET	2745	25655	SIPO	OP	98407303
1139350	3894	1997-05-14	VYDAJ	PREVOD NA UCET	2745	28609	SIPO	OP	98407303
1139351	3894	1997-06-14	VYDAJ	PREVOD NA UCET	2745	21057	SIPO	OP	98407303
1139352	3894	1997-07-14	VYDAJ	PREVOD NA UCET	2745	24640	SIPO	OP	98407303
1139353	3894	1997-08-14	VYDAJ	PREVOD NA UCET	2745	28226	SIPO	OP	98407303
1139354	3894	1997-09-14	VYDAJ	PREVOD NA UCET	2745	31826	SIPO	OP	98407303
1139355	3894	1997-10-14	VYDAJ	PREVOD NA UCET	2745	35442	SIPO	OP	98407303
1139356	3894	1997-11-14	VYDAJ	PREVOD NA UCET	2745	37870	SIPO	OP	98407303
1139357	3894	1997-12-14	VYDAJ	PREVOD NA UCET	2745	40008	SIPO	OP	98407303
1139358	3894	1998-01-14	VYDAJ	PREVOD NA UCET	2745	34900	SIPO	OP	98407303
1139359	3894	1998-02-14	VYDAJ	PREVOD NA UCET	2745	35731	SIPO	OP	98407303
1139360	3894	1998-03-14	VYDAJ	PREVOD NA UCET	2745	39362	SIPO	OP	98407303
1139361	3894	1998-04-14	VYDAJ	PREVOD NA UCET	2745	43009	SIPO	OP	98407303
1139362	3894	1998-05-14	VYDAJ	PREVOD NA UCET	2745	46270	SIPO	OP	98407303
1139363	3894	1998-06-14	VYDAJ	PREVOD NA UCET	2745	45383	SIPO	OP	98407303
1139364	3894	1998-07-14	VYDAJ	PREVOD NA UCET	2745	40616	SIPO	OP	98407303
1139365	3894	1998-08-14	VYDAJ	PREVOD NA UCET	2745	44268	SIPO	OP	98407303
1139366	3894	1998-09-14	VYDAJ	PREVOD NA UCET	2745	47935	SIPO	OP	98407303
1139367	3894	1998-10-14	VYDAJ	PREVOD NA UCET	2745	50578	SIPO	OP	98407303
1139368	3894	1998-11-14	VYDAJ	PREVOD NA UCET	2745	52513	SIPO	OP	98407303
1139369	3894	1998-12-14	VYDAJ	PREVOD NA UCET	2745	53417	SIPO	OP	98407303
1139383	3894	1997-02-12	VYDAJ	PREVOD NA UCET	621	29126	 	YZ	15127009
1139384	3894	1997-03-12	VYDAJ	PREVOD NA UCET	621	29029	 	YZ	15127009
1139385	3894	1997-04-12	VYDAJ	PREVOD NA UCET	621	31520	 	YZ	15127009
1139386	3894	1997-05-12	VYDAJ	PREVOD NA UCET	621	31354	 	YZ	15127009
1139387	3894	1997-06-12	VYDAJ	PREVOD NA UCET	621	23802	 	YZ	15127009
1139388	3894	1997-07-12	VYDAJ	PREVOD NA UCET	621	27385	 	YZ	15127009
1139389	3894	1997-08-12	VYDAJ	PREVOD NA UCET	621	30971	 	YZ	15127009
1139390	3894	1997-09-12	VYDAJ	PREVOD NA UCET	621	34571	 	YZ	15127009
1139391	3894	1997-10-12	VYDAJ	PREVOD NA UCET	621	38187	 	YZ	15127009
1139392	3894	1997-11-12	VYDAJ	PREVOD NA UCET	621	40615	 	YZ	15127009
1139393	3894	1997-12-12	VYDAJ	PREVOD NA UCET	621	42753	 	YZ	15127009
1139394	3894	1998-01-12	VYDAJ	PREVOD NA UCET	621	37645	 	YZ	15127009
1139395	3894	1998-02-12	VYDAJ	PREVOD NA UCET	621	38476	 	YZ	15127009
1139396	3894	1998-03-12	VYDAJ	PREVOD NA UCET	621	42107	 	YZ	15127009
1139397	3894	1998-04-12	VYDAJ	PREVOD NA UCET	621	45754	 	YZ	15127009
1139398	3894	1998-05-12	VYDAJ	PREVOD NA UCET	621	49015	 	YZ	15127009
1139399	3894	1998-06-12	VYDAJ	PREVOD NA UCET	621	48128	 	YZ	15127009
1139400	3894	1998-07-12	VYDAJ	PREVOD NA UCET	621	43361	 	YZ	15127009
1139401	3894	1998-08-12	VYDAJ	PREVOD NA UCET	621	47013	 	YZ	15127009
1139402	3894	1998-09-12	VYDAJ	PREVOD NA UCET	621	50680	 	YZ	15127009
1139403	3894	1998-10-12	VYDAJ	PREVOD NA UCET	621	54363	 	YZ	15127009
1139404	3894	1998-11-12	VYDAJ	PREVOD NA UCET	621	55258	 	YZ	15127009
1139405	3894	1998-12-12	VYDAJ	PREVOD NA UCET	621	56162	 	YZ	15127009
1139407	3894	1997-06-01	VYDAJ	VYBER	8250	17555	\N	\N	\N
1139408	3894	1998-06-29	VYDAJ	VYBER	4600	36943	\N	\N	\N
1139411	3894	1998-01-09	VYDAJ	VYBER	4350	31398	\N	\N	\N
1139413	3894	1997-12-21	VYDAJ	VYBER	1300	35608	\N	\N	\N
1139414	3894	1998-12-16	VYDAJ	VYBER	1000	52417	\N	\N	\N
1139420	3894	1997-02-13	VYDAJ	VYBER	3680	25446	\N	\N	\N
1139421	3894	1997-04-16	VYDAJ	VYBER	640	25015	\N	\N	\N
1139422	3894	1997-04-12	VYDAJ	VYBER	3120	28400	\N	\N	\N
1139425	3894	1998-06-26	VYDAJ	VYBER	2320	41543	\N	\N	\N
1139426	3894	1998-06-24	VYDAJ	VYBER	1520	43863	\N	\N	\N
1139427	3894	1998-06-01	VYDAJ	VYBER	3360	41881	\N	\N	\N
1139428	3894	1998-10-13	VYDAJ	VYBER	1040	53323	\N	\N	\N
1139429	3894	1998-11-14	VYDAJ	VYBER	2800	49713	\N	\N	\N
1139430	3894	1998-11-04	VYDAJ	VYBER	1760	49011	\N	\N	\N
1139445	3894	1997-02-28	VYDAJ	VYBER	15	22782	SLUZBY	\N	\N
1139446	3894	1997-03-31	VYDAJ	VYBER	15	25273	SLUZBY	\N	\N
1139447	3894	1997-04-30	VYDAJ	VYBER	15	25107	SLUZBY	\N	\N
1139448	3894	1997-05-31	VYDAJ	VYBER	15	25805	SLUZBY	\N	\N
1139449	3894	1997-06-30	VYDAJ	VYBER	15	21138	SLUZBY	\N	\N
1139450	3894	1997-07-31	VYDAJ	VYBER	15	24724	SLUZBY	\N	\N
1139451	3894	1997-08-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
1139452	3894	1997-09-30	VYDAJ	VYBER	15	31940	SLUZBY	\N	\N
1139453	3894	1997-10-31	VYDAJ	VYBER	15	34368	SLUZBY	\N	\N
1139454	3894	1997-11-30	VYDAJ	VYBER	15	36506	SLUZBY	\N	\N
1139455	3894	1997-12-31	VYDAJ	VYBER	15	35748	SLUZBY	\N	\N
1139456	3894	1998-01-31	VYDAJ	VYBER	15	32229	SLUZBY	\N	\N
1139457	3894	1998-02-28	VYDAJ	VYBER	15	35860	SLUZBY	\N	\N
1139458	3894	1998-03-31	VYDAJ	VYBER	15	39507	SLUZBY	\N	\N
1139459	3894	1998-04-30	VYDAJ	VYBER	15	42768	SLUZBY	\N	\N
1139460	3894	1998-05-31	VYDAJ	VYBER	15	45241	SLUZBY	\N	\N
1139461	3894	1998-06-30	VYDAJ	VYBER	15	37114	SLUZBY	\N	\N
1139462	3894	1998-07-31	VYDAJ	VYBER	15	40766	SLUZBY	\N	\N
1139463	3894	1998-08-31	VYDAJ	VYBER	15	44433	SLUZBY	\N	\N
1139464	3894	1998-09-30	VYDAJ	VYBER	15	48116	SLUZBY	\N	\N
1139465	3894	1998-10-31	VYDAJ	VYBER	15	50771	SLUZBY	\N	\N
1139466	3894	1998-11-30	VYDAJ	VYBER	15	49915	SLUZBY	\N	\N
1139467	3894	1996-12-24	VYDAJ	VYBER	1600	19604	\N	\N	\N
1139468	3894	1997-01-23	VYDAJ	VYBER	3700	22793	\N	\N	\N
1139469	3894	1997-03-24	VYDAJ	VYBER	1100	25184	\N	\N	\N
1139470	3894	1997-05-23	VYDAJ	VYBER	2900	25709	\N	\N	\N
1139471	3894	1997-10-20	VYDAJ	VYBER	1200	34242	\N	\N	\N
1139472	3894	1997-11-19	VYDAJ	VYBER	1500	36370	\N	\N	\N
1139473	3894	1997-12-19	VYDAJ	VYBER	3100	36908	\N	\N	\N
1139474	3894	1998-01-18	VYDAJ	VYBER	2800	32100	\N	\N	\N
1139475	3894	1998-04-18	VYDAJ	VYBER	400	42609	\N	\N	\N
1139476	3894	1998-05-18	VYDAJ	VYBER	1200	45070	\N	\N	\N
1139502	3895	1995-07-14	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1139510	3895	1995-08-14	PRIJEM	VKLAD	10417	22117	\N	\N	\N
1139511	3895	1995-09-14	PRIJEM	VKLAD	10417	32788	\N	\N	\N
1139512	3895	1995-10-14	PRIJEM	VKLAD	10417	37622	\N	\N	\N
1139513	3895	1995-11-14	PRIJEM	VKLAD	10417	43887	\N	\N	\N
1139514	3895	1995-12-14	PRIJEM	VKLAD	15626	50984	\N	\N	\N
1139515	3895	1996-01-14	PRIJEM	VKLAD	10417	35433	\N	\N	\N
1139516	3895	1996-02-14	PRIJEM	VKLAD	10417	28694	\N	\N	\N
1139517	3895	1996-03-14	PRIJEM	VKLAD	10417	34591	\N	\N	\N
1139518	3895	1996-04-14	PRIJEM	VKLAD	10417	33888	\N	\N	\N
1139519	3895	1996-05-14	PRIJEM	VKLAD	10417	34011	\N	\N	\N
1139520	3895	1996-06-14	PRIJEM	VKLAD	15626	36198	\N	\N	\N
1139521	3895	1996-07-14	PRIJEM	VKLAD	10417	29815	\N	\N	\N
1139522	3895	1996-08-14	PRIJEM	VKLAD	10417	27078	\N	\N	\N
1139523	3895	1996-09-14	PRIJEM	VKLAD	10417	31171	\N	\N	\N
1139524	3895	1996-10-14	PRIJEM	VKLAD	10417	32079	\N	\N	\N
1139525	3895	1996-11-14	PRIJEM	VKLAD	10417	33696	\N	\N	\N
1139526	3895	1996-12-14	PRIJEM	VKLAD	15626	34006	\N	\N	\N
1139527	3895	1997-01-14	PRIJEM	VKLAD	10417	28741	\N	\N	\N
1139528	3895	1997-02-14	PRIJEM	VKLAD	10417	25147	\N	\N	\N
1139529	3895	1997-03-14	PRIJEM	VKLAD	10417	28928	\N	\N	\N
1139530	3895	1997-04-14	PRIJEM	VKLAD	10417	29228	\N	\N	\N
1139531	3895	1997-05-14	PRIJEM	VKLAD	10417	32633	\N	\N	\N
1139532	3895	1997-06-14	PRIJEM	VKLAD	15626	36657	\N	\N	\N
1139533	3895	1997-07-14	PRIJEM	VKLAD	10417	32902	\N	\N	\N
1139534	3895	1997-08-14	PRIJEM	VKLAD	10417	30323	\N	\N	\N
1139535	3895	1997-09-14	PRIJEM	VKLAD	10417	30496	\N	\N	\N
1139536	3895	1997-10-14	PRIJEM	VKLAD	10417	28202	\N	\N	\N
1139537	3895	1997-11-14	PRIJEM	VKLAD	10417	25885	\N	\N	\N
1139538	3895	1997-12-14	PRIJEM	VKLAD	15626	26320	\N	\N	\N
1139539	3895	1998-01-14	PRIJEM	VKLAD	10417	23037	\N	\N	\N
1139540	3895	1998-02-14	PRIJEM	VKLAD	10417	22483	\N	\N	\N
1139541	3895	1998-03-14	PRIJEM	VKLAD	10417	20552	\N	\N	\N
1139542	3895	1998-04-14	PRIJEM	VKLAD	10417	21113	\N	\N	\N
1139543	3895	1998-05-14	PRIJEM	VKLAD	10417	23676	\N	\N	\N
1139544	3895	1998-06-14	PRIJEM	VKLAD	15626	25757	\N	\N	\N
1139545	3895	1998-07-14	PRIJEM	VKLAD	10417	22727	\N	\N	\N
1139546	3895	1998-08-14	PRIJEM	VKLAD	10417	28798	\N	\N	\N
1139547	3895	1998-09-14	PRIJEM	VKLAD	10417	34895	\N	\N	\N
1139548	3895	1998-10-14	PRIJEM	VKLAD	10417	41017	\N	\N	\N
1139549	3895	1998-11-14	PRIJEM	VKLAD	10417	21143	\N	\N	\N
1139550	3895	1998-12-14	PRIJEM	VKLAD	15626	29216	\N	\N	\N
1139563	3895	1996-01-11	VYDAJ	PREVOD NA UCET	4414	26696	SIPO	OP	23516989
1139564	3895	1996-02-11	VYDAJ	PREVOD NA UCET	4414	18277	SIPO	OP	23516989
1139565	3895	1996-03-11	VYDAJ	PREVOD NA UCET	4414	24174	SIPO	OP	23516989
1139566	3895	1996-04-11	VYDAJ	PREVOD NA UCET	4414	23471	SIPO	OP	23516989
1139567	3895	1996-05-11	VYDAJ	PREVOD NA UCET	4414	23594	SIPO	OP	23516989
1139568	3895	1996-06-11	VYDAJ	PREVOD NA UCET	4414	20572	SIPO	OP	23516989
1139569	3895	1996-07-11	VYDAJ	PREVOD NA UCET	4414	19398	SIPO	OP	23516989
1139570	3895	1996-08-11	VYDAJ	PREVOD NA UCET	4414	16661	SIPO	OP	23516989
1139571	3895	1996-09-11	VYDAJ	PREVOD NA UCET	4414	20754	SIPO	OP	23516989
1139572	3895	1996-10-11	VYDAJ	PREVOD NA UCET	4414	21662	SIPO	OP	23516989
1139573	3895	1996-11-11	VYDAJ	PREVOD NA UCET	4414	23279	SIPO	OP	23516989
1139574	3895	1996-12-11	VYDAJ	PREVOD NA UCET	4414	18381	SIPO	OP	23516989
1139575	3895	1997-01-11	VYDAJ	PREVOD NA UCET	4414	18324	SIPO	OP	23516989
1139576	3895	1997-02-11	VYDAJ	PREVOD NA UCET	4414	14730	SIPO	OP	23516989
1139577	3895	1997-03-11	VYDAJ	PREVOD NA UCET	4414	18511	SIPO	OP	23516989
1139578	3895	1997-04-11	VYDAJ	PREVOD NA UCET	4414	18811	SIPO	OP	23516989
1139579	3895	1997-05-11	VYDAJ	PREVOD NA UCET	4414	22216	SIPO	OP	23516989
1139580	3895	1997-06-11	VYDAJ	PREVOD NA UCET	4414	21031	SIPO	OP	23516989
1139581	3895	1997-07-11	VYDAJ	PREVOD NA UCET	4414	22485	SIPO	OP	23516989
1139582	3895	1997-08-11	VYDAJ	PREVOD NA UCET	4414	19906	SIPO	OP	23516989
1139583	3895	1997-09-11	VYDAJ	PREVOD NA UCET	4414	20079	SIPO	OP	23516989
1139584	3895	1997-10-11	VYDAJ	PREVOD NA UCET	4414	17785	SIPO	OP	23516989
1139585	3895	1997-11-11	VYDAJ	PREVOD NA UCET	4414	15468	SIPO	OP	23516989
1139586	3895	1997-12-11	VYDAJ	PREVOD NA UCET	4414	10694	SIPO	OP	23516989
1139587	3895	1998-01-11	VYDAJ	PREVOD NA UCET	4414	12620	SIPO	OP	23516989
1139588	3895	1998-02-11	VYDAJ	PREVOD NA UCET	4414	12066	SIPO	OP	23516989
1139589	3895	1998-03-11	VYDAJ	PREVOD NA UCET	4414	10135	SIPO	OP	23516989
1139590	3895	1998-04-11	VYDAJ	PREVOD NA UCET	4414	10696	SIPO	OP	23516989
1139591	3895	1998-05-11	VYDAJ	PREVOD NA UCET	4414	13259	SIPO	OP	23516989
1139592	3895	1998-06-11	VYDAJ	PREVOD NA UCET	4414	10131	SIPO	OP	23516989
1139593	3895	1998-07-11	VYDAJ	PREVOD NA UCET	4414	12310	SIPO	OP	23516989
1139594	3895	1998-08-11	VYDAJ	PREVOD NA UCET	4414	18381	SIPO	OP	23516989
1139595	3895	1998-09-11	VYDAJ	PREVOD NA UCET	4414	24478	SIPO	OP	23516989
1139596	3895	1998-10-11	VYDAJ	PREVOD NA UCET	4414	30600	SIPO	OP	23516989
1139597	3895	1998-11-11	VYDAJ	PREVOD NA UCET	4414	10726	SIPO	OP	23516989
1139598	3895	1998-12-11	VYDAJ	PREVOD NA UCET	4414	13590	SIPO	OP	23516989
1139604	3895	1996-01-03	VYDAJ	VYBER	7360	43810	\N	\N	\N
1139605	3895	1997-01-04	VYDAJ	VYBER	4960	23458	\N	\N	\N
1139608	3895	1996-12-03	VYDAJ	VYBER	1120	32695	\N	\N	\N
1139609	3895	1997-12-28	VYDAJ	VYBER	3040	23280	\N	\N	\N
1139610	3895	1998-12-08	VYDAJ	VYBER	3200	18004	\N	\N	\N
1139617	3895	1996-01-14	VYDAJ	VYBER	2160	31113	\N	\N	\N
1139618	3895	1996-01-24	VYDAJ	VYBER	3240	27873	\N	\N	\N
1139619	3895	1996-01-13	VYDAJ	VYBER	1680	25016	\N	\N	\N
1139620	3895	1996-01-29	VYDAJ	VYBER	2400	24153	\N	\N	\N
1139621	3895	1996-01-14	VYDAJ	VYBER	2160	33273	\N	\N	\N
1139622	3895	1996-01-28	VYDAJ	VYBER	1320	26553	\N	\N	\N
1139623	3895	1997-01-21	VYDAJ	VYBER	3120	22141	\N	\N	\N
1139624	3895	1997-01-23	VYDAJ	VYBER	600	20461	\N	\N	\N
1139625	3895	1997-01-15	VYDAJ	VYBER	2280	26461	\N	\N	\N
1139626	3895	1997-01-18	VYDAJ	VYBER	1200	25261	\N	\N	\N
1139627	3895	1997-01-09	VYDAJ	VYBER	720	22738	\N	\N	\N
1139628	3895	1997-01-22	VYDAJ	VYBER	1080	21061	\N	\N	\N
1139629	3895	1998-01-16	VYDAJ	VYBER	2040	20997	\N	\N	\N
1139630	3895	1998-01-24	VYDAJ	VYBER	1200	18117	\N	\N	\N
1139631	3895	1998-01-28	VYDAJ	VYBER	1200	16917	\N	\N	\N
1139632	3895	1998-01-29	VYDAJ	VYBER	2400	16417	\N	\N	\N
1139633	3895	1998-01-01	VYDAJ	VYBER	2520	17034	\N	\N	\N
1139634	3895	1998-01-23	VYDAJ	VYBER	1680	19317	\N	\N	\N
1139640	3895	1996-04-03	VYDAJ	VYBER	1680	31585	\N	\N	\N
1139641	3895	1996-03-16	VYDAJ	VYBER	1440	33151	\N	\N	\N
1139642	3895	1996-06-15	VYDAJ	VYBER	2400	33798	\N	\N	\N
1139643	3895	1996-07-17	VYDAJ	VYBER	5640	24175	\N	\N	\N
1139644	3895	1996-05-21	VYDAJ	VYBER	5040	28971	\N	\N	\N
1139645	3895	1997-12-06	VYDAJ	VYBER	2760	15108	\N	\N	\N
1139647	3895	1997-08-14	VYDAJ	VYBER	3240	27083	\N	\N	\N
1139648	3895	1997-11-04	VYDAJ	VYBER	3120	19882	\N	\N	\N
1139649	3895	1997-06-24	VYDAJ	VYBER	3480	33177	\N	\N	\N
1139650	3895	1997-08-14	VYDAJ	VYBER	600	26483	\N	\N	\N
1139666	3895	1995-12-31	VYDAJ	VYBER	15	51170	SLUZBY	\N	\N
1139667	3895	1996-01-31	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
1139668	3895	1996-02-29	VYDAJ	VYBER	15	28788	SLUZBY	\N	\N
1139669	3895	1996-03-31	VYDAJ	VYBER	15	33265	SLUZBY	\N	\N
1139670	3895	1996-04-30	VYDAJ	VYBER	15	34008	SLUZBY	\N	\N
1139671	3895	1996-05-31	VYDAJ	VYBER	15	29086	SLUZBY	\N	\N
1139672	3895	1996-06-30	VYDAJ	VYBER	15	33912	SLUZBY	\N	\N
1139673	3895	1996-07-31	VYDAJ	VYBER	15	24275	SLUZBY	\N	\N
1139674	3895	1996-08-31	VYDAJ	VYBER	15	27168	SLUZBY	\N	\N
1139675	3895	1996-09-30	VYDAJ	VYBER	15	31276	SLUZBY	\N	\N
1139676	3895	1996-10-31	VYDAJ	VYBER	15	32193	SLUZBY	\N	\N
1139677	3895	1996-11-30	VYDAJ	VYBER	15	33815	SLUZBY	\N	\N
1139678	3895	1996-12-31	VYDAJ	VYBER	15	34118	SLUZBY	\N	\N
1139679	3895	1997-01-31	VYDAJ	VYBER	15	20544	SLUZBY	\N	\N
1139680	3895	1997-02-28	VYDAJ	VYBER	15	25225	SLUZBY	\N	\N
1139681	3895	1997-03-31	VYDAJ	VYBER	15	29025	SLUZBY	\N	\N
1139682	3895	1997-04-30	VYDAJ	VYBER	15	29330	SLUZBY	\N	\N
1139683	3895	1997-05-31	VYDAJ	VYBER	15	32745	SLUZBY	\N	\N
1139684	3895	1997-06-30	VYDAJ	VYBER	15	33299	SLUZBY	\N	\N
1139685	3895	1997-07-31	VYDAJ	VYBER	15	33020	SLUZBY	\N	\N
1139686	3895	1997-08-31	VYDAJ	VYBER	15	26593	SLUZBY	\N	\N
1139687	3895	1997-09-30	VYDAJ	VYBER	15	30599	SLUZBY	\N	\N
1139688	3895	1997-10-31	VYDAJ	VYBER	15	23002	SLUZBY	\N	\N
1139689	3895	1997-11-30	VYDAJ	VYBER	15	17868	SLUZBY	\N	\N
1139690	3895	1997-12-31	VYDAJ	VYBER	15	19554	SLUZBY	\N	\N
1139691	3895	1998-01-31	VYDAJ	VYBER	15	16480	SLUZBY	\N	\N
1139692	3895	1998-02-28	VYDAJ	VYBER	15	14549	SLUZBY	\N	\N
1139693	3895	1998-03-31	VYDAJ	VYBER	15	15110	SLUZBY	\N	\N
1139694	3895	1998-04-30	VYDAJ	VYBER	15	17673	SLUZBY	\N	\N
1139695	3895	1998-05-31	VYDAJ	VYBER	15	14545	SLUZBY	\N	\N
1139696	3895	1998-06-30	VYDAJ	VYBER	15	16724	SLUZBY	\N	\N
1139697	3895	1998-07-31	VYDAJ	VYBER	15	22795	SLUZBY	\N	\N
1139698	3895	1998-08-31	VYDAJ	VYBER	15	28892	SLUZBY	\N	\N
1139699	3895	1998-09-30	VYDAJ	VYBER	15	35014	SLUZBY	\N	\N
1139700	3895	1998-10-31	VYDAJ	VYBER	15	15140	SLUZBY	\N	\N
1139701	3895	1998-11-30	VYDAJ	VYBER	15	21204	SLUZBY	\N	\N
1139702	3895	1995-08-13	PRIJEM	VKLAD	10600	11700	\N	\N	\N
1139703	3895	1995-09-12	PRIJEM	VKLAD	200	22371	\N	\N	\N
1139704	3895	1995-10-12	VYDAJ	VYBER	5700	27205	\N	\N	\N
1139705	3895	1995-11-11	VYDAJ	VYBER	4300	33470	\N	\N	\N
1139706	3895	1995-12-11	VYDAJ	VYBER	8700	35359	\N	\N	\N
1139707	3895	1996-01-10	VYDAJ	VYBER	12700	31110	\N	\N	\N
1139708	3895	1996-02-09	VYDAJ	VYBER	1600	22691	\N	\N	\N
1139709	3895	1996-03-10	VYDAJ	VYBER	200	28588	\N	\N	\N
1139710	3895	1996-04-09	VYDAJ	VYBER	3700	27885	\N	\N	\N
1139711	3895	1996-05-09	VYDAJ	VYBER	6000	28008	\N	\N	\N
1139712	3895	1996-06-08	VYDAJ	VYBER	4100	24986	\N	\N	\N
1139713	3895	1996-07-08	VYDAJ	VYBER	10100	23812	\N	\N	\N
1139714	3895	1996-08-07	VYDAJ	VYBER	3200	21075	\N	\N	\N
1139715	3895	1996-09-06	VYDAJ	VYBER	2000	25168	\N	\N	\N
1139716	3895	1996-10-06	VYDAJ	VYBER	5200	26076	\N	\N	\N
1139717	3895	1996-11-05	VYDAJ	VYBER	4500	27693	\N	\N	\N
1139718	3895	1996-12-05	VYDAJ	VYBER	9900	22795	\N	\N	\N
1139719	3895	1997-01-04	VYDAJ	VYBER	5700	28418	\N	\N	\N
1139720	3895	1997-02-03	VYDAJ	VYBER	1400	19144	\N	\N	\N
1139721	3895	1997-03-05	VYDAJ	VYBER	2300	22925	\N	\N	\N
1139722	3895	1997-04-04	VYDAJ	VYBER	5800	23225	\N	\N	\N
1139723	3895	1997-05-04	VYDAJ	VYBER	2700	26630	\N	\N	\N
1139724	3895	1997-06-03	VYDAJ	VYBER	7300	25445	\N	\N	\N
1139725	3895	1997-07-03	VYDAJ	VYBER	6400	26899	\N	\N	\N
1139726	3895	1997-08-02	VYDAJ	VYBER	8700	24320	\N	\N	\N
1139727	3895	1997-09-01	VYDAJ	VYBER	2100	24493	\N	\N	\N
1139728	3895	1997-10-01	VYDAJ	VYBER	8400	22199	\N	\N	\N
1139729	3895	1997-10-31	VYDAJ	VYBER	5300	23017	\N	\N	\N
1139730	3895	1997-11-30	VYDAJ	VYBER	8100	17883	\N	\N	\N
1139731	3895	1997-12-30	VYDAJ	VYBER	3800	19480	\N	\N	\N
1139732	3895	1998-01-29	PRIJEM	VKLAD	1900	18817	\N	\N	\N
1139733	3895	1998-02-28	VYDAJ	VYBER	8000	14563	\N	\N	\N
1139734	3895	1998-03-30	VYDAJ	VYBER	5500	15052	\N	\N	\N
1139735	3895	1998-04-29	VYDAJ	VYBER	3500	17613	\N	\N	\N
1139736	3895	1998-05-29	VYDAJ	VYBER	9200	14476	\N	\N	\N
1139737	3895	1998-06-28	VYDAJ	VYBER	9100	16657	\N	\N	\N
1139738	3895	1998-10-26	VYDAJ	VYBER	26000	15017	\N	\N	\N
1139780	3896	1995-08-17	PRIJEM	VKLAD	400	400	\N	\N	\N
1139789	3896	1995-09-10	PRIJEM	PREVOD Z UCTU	33747	34147	\N	AB	75835334
1139790	3896	1995-10-10	PRIJEM	PREVOD Z UCTU	33747	60349	\N	AB	75835334
1139791	3896	1995-11-10	PRIJEM	PREVOD Z UCTU	33747	75139	\N	AB	75835334
1139792	3896	1995-12-10	PRIJEM	PREVOD Z UCTU	50620	100349	\N	AB	75835334
1139793	3896	1996-01-10	PRIJEM	PREVOD Z UCTU	33747	95329	\N	AB	75835334
1139794	3896	1996-02-10	PRIJEM	PREVOD Z UCTU	33747	62301	\N	AB	75835334
1139795	3896	1996-03-10	PRIJEM	PREVOD Z UCTU	33747	68350	\N	AB	75835334
1139796	3896	1996-04-10	PRIJEM	PREVOD Z UCTU	33747	74328	\N	AB	75835334
1139797	3896	1996-05-10	PRIJEM	PREVOD Z UCTU	33747	58657	\N	AB	75835334
1139798	3896	1996-06-10	PRIJEM	PREVOD Z UCTU	50620	87279	\N	AB	75835334
1139799	3896	1996-07-10	PRIJEM	PREVOD Z UCTU	33747	56603	\N	AB	75835334
1139800	3896	1996-08-10	PRIJEM	PREVOD Z UCTU	33747	71160	\N	AB	75835334
1139801	3896	1996-09-10	PRIJEM	PREVOD Z UCTU	33747	64129	\N	AB	75835334
1139802	3896	1996-10-10	PRIJEM	PREVOD Z UCTU	33747	56871	\N	AB	75835334
1139803	3896	1996-11-10	PRIJEM	PREVOD Z UCTU	33747	58440	\N	AB	75835334
1139804	3896	1996-12-10	PRIJEM	PREVOD Z UCTU	50620	86119	\N	AB	75835334
1139805	3896	1997-01-10	PRIJEM	PREVOD Z UCTU	33747	82104	\N	AB	75835334
1139806	3896	1997-02-10	PRIJEM	PREVOD Z UCTU	33747	80786	\N	AB	75835334
1139807	3896	1997-03-10	PRIJEM	PREVOD Z UCTU	33747	79143	\N	AB	75835334
1139808	3896	1997-04-10	PRIJEM	PREVOD Z UCTU	33747	86533	\N	AB	75835334
1139809	3896	1997-05-10	PRIJEM	PREVOD Z UCTU	33747	89255	\N	AB	75835334
1139810	3896	1997-06-10	PRIJEM	PREVOD Z UCTU	50620	95168	\N	AB	75835334
1139811	3896	1997-07-10	PRIJEM	PREVOD Z UCTU	33747	97123	\N	AB	75835334
1139812	3896	1997-08-10	PRIJEM	PREVOD Z UCTU	33747	92996	\N	AB	75835334
1139813	3896	1997-09-10	PRIJEM	PREVOD Z UCTU	33747	95445	\N	AB	75835334
1139814	3896	1997-10-10	PRIJEM	PREVOD Z UCTU	33747	98806	\N	AB	75835334
1139815	3896	1997-11-10	PRIJEM	PREVOD Z UCTU	33747	102382	\N	AB	75835334
1139816	3896	1997-12-10	PRIJEM	PREVOD Z UCTU	50620	114344	\N	AB	75835334
1139817	3896	1998-01-10	PRIJEM	PREVOD Z UCTU	33747	86020	\N	AB	75835334
1139818	3896	1998-02-10	PRIJEM	PREVOD Z UCTU	33747	82004	\N	AB	75835334
1139819	3896	1998-03-10	PRIJEM	PREVOD Z UCTU	33747	88486	\N	AB	75835334
1139820	3896	1998-04-10	PRIJEM	PREVOD Z UCTU	33747	96313	\N	AB	75835334
1139821	3896	1998-05-10	PRIJEM	PREVOD Z UCTU	33747	96874	\N	AB	75835334
1139822	3896	1998-06-10	PRIJEM	PREVOD Z UCTU	50620	114615	\N	AB	75835334
1139823	3896	1998-07-10	PRIJEM	PREVOD Z UCTU	33747	64195	\N	AB	75835334
1139824	3896	1998-08-10	PRIJEM	PREVOD Z UCTU	33747	71921	\N	AB	75835334
1139825	3896	1998-09-10	PRIJEM	PREVOD Z UCTU	33747	79271	\N	AB	75835334
1139826	3896	1998-10-10	PRIJEM	PREVOD Z UCTU	33747	82142	\N	AB	75835334
1139827	3896	1998-11-10	PRIJEM	PREVOD Z UCTU	33747	82224	\N	AB	75835334
1139828	3896	1998-12-10	PRIJEM	PREVOD Z UCTU	50620	77668	\N	AB	75835334
1139842	3896	1996-02-06	VYDAJ	PREVOD NA UCET	2602	28554	SIPO	EF	45272469
1139843	3896	1996-03-06	VYDAJ	PREVOD NA UCET	2602	34603	SIPO	EF	45272469
1139844	3896	1996-04-06	VYDAJ	PREVOD NA UCET	2602	40581	SIPO	EF	45272469
1139845	3896	1996-05-06	VYDAJ	PREVOD NA UCET	2602	24910	SIPO	EF	45272469
1139846	3896	1996-06-06	VYDAJ	PREVOD NA UCET	2602	36659	SIPO	EF	45272469
1139847	3896	1996-07-06	VYDAJ	PREVOD NA UCET	2602	22856	SIPO	EF	45272469
1139848	3896	1996-08-06	VYDAJ	PREVOD NA UCET	2602	37413	SIPO	EF	45272469
1139849	3896	1996-09-06	VYDAJ	PREVOD NA UCET	2602	30382	SIPO	EF	45272469
1139850	3896	1996-10-06	VYDAJ	PREVOD NA UCET	2602	23124	SIPO	EF	45272469
1139851	3896	1996-11-06	VYDAJ	PREVOD NA UCET	2602	20193	SIPO	EF	45272469
1139852	3896	1996-12-06	VYDAJ	PREVOD NA UCET	2602	54380	SIPO	EF	45272469
1139853	3896	1997-01-06	VYDAJ	PREVOD NA UCET	2602	65357	SIPO	EF	45272469
1139854	3896	1997-02-06	VYDAJ	PREVOD NA UCET	2602	58839	SIPO	EF	45272469
1139855	3896	1997-03-06	VYDAJ	PREVOD NA UCET	2602	54896	SIPO	EF	45272469
1139856	3896	1997-04-06	VYDAJ	PREVOD NA UCET	2602	75186	SIPO	EF	45272469
1139857	3896	1997-05-06	VYDAJ	PREVOD NA UCET	2602	70808	SIPO	EF	45272469
1139858	3896	1997-06-06	VYDAJ	PREVOD NA UCET	2602	85348	SIPO	EF	45272469
1139859	3896	1997-07-06	VYDAJ	PREVOD NA UCET	2602	86476	SIPO	EF	45272469
1139860	3896	1997-08-06	VYDAJ	PREVOD NA UCET	2602	69149	SIPO	EF	45272469
1139861	3896	1997-09-06	VYDAJ	PREVOD NA UCET	2602	61698	SIPO	EF	45272469
1139862	3896	1997-10-06	VYDAJ	PREVOD NA UCET	2602	65059	SIPO	EF	45272469
1139863	3896	1997-11-06	VYDAJ	PREVOD NA UCET	2602	68635	SIPO	EF	45272469
1139864	3896	1997-12-06	VYDAJ	PREVOD NA UCET	2602	63724	SIPO	EF	45272469
1139865	3896	1998-01-06	VYDAJ	PREVOD NA UCET	2602	52273	SIPO	EF	45272469
1139866	3896	1998-02-06	VYDAJ	PREVOD NA UCET	2602	48257	SIPO	EF	45272469
1139867	3896	1998-03-06	VYDAJ	PREVOD NA UCET	2602	54739	SIPO	EF	45272469
1139868	3896	1998-04-06	VYDAJ	PREVOD NA UCET	2602	62566	SIPO	EF	45272469
1139869	3896	1998-05-06	VYDAJ	PREVOD NA UCET	2602	63127	SIPO	EF	45272469
1139870	3896	1998-06-06	VYDAJ	PREVOD NA UCET	2602	63995	SIPO	EF	45272469
1139871	3896	1998-07-06	VYDAJ	PREVOD NA UCET	2602	30448	SIPO	EF	45272469
1139872	3896	1998-08-06	VYDAJ	PREVOD NA UCET	2602	38174	SIPO	EF	45272469
1139873	3896	1998-09-06	VYDAJ	PREVOD NA UCET	2602	45524	SIPO	EF	45272469
1139874	3896	1998-10-06	VYDAJ	PREVOD NA UCET	2602	48395	SIPO	EF	45272469
1139875	3896	1998-11-06	VYDAJ	PREVOD NA UCET	2602	48477	SIPO	EF	45272469
1139876	3896	1998-12-06	VYDAJ	PREVOD NA UCET	2602	27048	SIPO	EF	45272469
1139890	3896	1996-02-05	VYDAJ	PREVOD NA UCET	1642	31156	 	MN	53936433
1139891	3896	1996-03-05	VYDAJ	PREVOD NA UCET	1642	37205	 	MN	53936433
1139892	3896	1996-04-05	VYDAJ	PREVOD NA UCET	1642	43183	 	MN	53936433
1139893	3896	1996-05-05	VYDAJ	PREVOD NA UCET	1642	27512	 	MN	53936433
1139894	3896	1996-06-05	VYDAJ	PREVOD NA UCET	1642	39261	 	MN	53936433
1139895	3896	1996-07-05	VYDAJ	PREVOD NA UCET	1642	25458	 	MN	53936433
1139896	3896	1996-08-05	VYDAJ	PREVOD NA UCET	1642	40015	 	MN	53936433
1139897	3896	1996-09-05	VYDAJ	PREVOD NA UCET	1642	32984	 	MN	53936433
1139898	3896	1996-10-05	VYDAJ	PREVOD NA UCET	1642	25726	 	MN	53936433
1139899	3896	1996-11-05	VYDAJ	PREVOD NA UCET	1642	22795	 	MN	53936433
1139900	3896	1996-12-05	VYDAJ	PREVOD NA UCET	1642	56982	 	MN	53936433
1139901	3896	1997-01-05	VYDAJ	PREVOD NA UCET	1642	67959	 	MN	53936433
1139902	3896	1997-02-05	VYDAJ	PREVOD NA UCET	1642	61441	 	MN	53936433
1139903	3896	1997-03-05	VYDAJ	PREVOD NA UCET	1642	57498	 	MN	53936433
1139904	3896	1997-04-05	VYDAJ	PREVOD NA UCET	1642	77788	 	MN	53936433
1139905	3896	1997-05-05	VYDAJ	PREVOD NA UCET	1642	73410	 	MN	53936433
1139906	3896	1997-06-05	VYDAJ	PREVOD NA UCET	1642	87950	 	MN	53936433
1139907	3896	1997-07-05	VYDAJ	PREVOD NA UCET	1642	89078	 	MN	53936433
1139908	3896	1997-08-05	VYDAJ	PREVOD NA UCET	1642	71751	 	MN	53936433
1139909	3896	1997-09-05	VYDAJ	PREVOD NA UCET	1642	64300	 	MN	53936433
1139910	3896	1997-10-05	VYDAJ	PREVOD NA UCET	1642	67661	 	MN	53936433
1139911	3896	1997-11-05	VYDAJ	PREVOD NA UCET	1642	71237	 	MN	53936433
1139912	3896	1997-12-05	VYDAJ	PREVOD NA UCET	1642	69626	 	MN	53936433
1139913	3896	1998-01-05	VYDAJ	PREVOD NA UCET	1642	54875	 	MN	53936433
1139914	3896	1998-02-05	VYDAJ	PREVOD NA UCET	1642	50859	 	MN	53936433
1139915	3896	1998-03-05	VYDAJ	PREVOD NA UCET	1642	57341	 	MN	53936433
1139916	3896	1998-04-05	VYDAJ	PREVOD NA UCET	1642	65168	 	MN	53936433
1139917	3896	1998-05-05	VYDAJ	PREVOD NA UCET	1642	65729	 	MN	53936433
1139918	3896	1998-06-05	VYDAJ	PREVOD NA UCET	1642	66597	 	MN	53936433
1139919	3896	1998-07-05	VYDAJ	PREVOD NA UCET	1642	33050	 	MN	53936433
1139920	3896	1998-08-05	VYDAJ	PREVOD NA UCET	1642	40776	 	MN	53936433
1139921	3896	1998-09-05	VYDAJ	PREVOD NA UCET	1642	48126	 	MN	53936433
1139922	3896	1998-10-05	VYDAJ	PREVOD NA UCET	1642	50997	 	MN	53936433
1139923	3896	1998-11-05	VYDAJ	PREVOD NA UCET	1642	51079	 	MN	53936433
1139924	3896	1998-12-05	VYDAJ	PREVOD NA UCET	1642	29650	 	MN	53936433
1139929	3896	1996-12-08	VYBER	VYBER	17381	36999	\N	\N	\N
1139931	3896	1996-04-20	VYBER	VYBER	21338	28990	\N	\N	\N
1139932	3896	1996-07-11	VYBER	VYBER	3488	53115	\N	\N	\N
1139933	3896	1996-01-19	VYBER	VYBER	9545	51484	\N	\N	\N
1139934	3896	1996-10-27	VYBER	VYBER	11955	24316	\N	\N	\N
1139935	3896	1996-09-04	VYBER	VYBER	13212	34626	\N	\N	\N
1139936	3896	1997-06-26	VYBER	VYBER	4795	90373	\N	\N	\N
1139937	3896	1997-05-05	VYBER	VYBER	7672	75052	\N	\N	\N
1139938	3896	1997-01-24	VYBER	VYBER	4620	77484	\N	\N	\N
1139939	3896	1997-04-22	VYBER	VYBER	4132	82401	\N	\N	\N
1139940	3896	1997-07-22	VYBER	VYBER	24068	73055	\N	\N	\N
1139941	3896	1997-12-29	VYBER	VYBER	19974	72070	\N	\N	\N
1139942	3896	1997-02-24	VYBER	VYBER	21920	58866	\N	\N	\N
1139943	3896	1998-11-30	VYBER	VYBER	19007	31307	\N	\N	\N
1139944	3896	1998-07-21	VYBER	VYBER	11371	52824	\N	\N	\N
1139945	3896	1998-02-25	VYBER	VYBER	6807	75197	\N	\N	\N
1139946	3896	1998-12-23	VYBER	VYBER	2613	68455	\N	\N	\N
1139948	3896	1996-06-11	VYDAJ	VYBER	57300	29979	\N	\N	\N
1139949	3896	1997-06-06	VYDAJ	VYBER	33900	51448	\N	\N	\N
1139950	3896	1998-06-12	VYDAJ	VYBER	21300	30215	\N	\N	\N
1139952	3896	1996-01-28	VYDAJ	VYBER	18900	32584	\N	\N	\N
1139953	3896	1997-01-24	VYDAJ	VYBER	14700	62784	\N	\N	\N
1139954	3896	1998-01-22	VYDAJ	VYBER	23400	62620	\N	\N	\N
1139956	3896	1996-12-28	VYDAJ	VYBER	8400	69319	\N	\N	\N
1139957	3896	1997-12-05	VYDAJ	VYBER	3300	66326	\N	\N	\N
1139958	3896	1998-12-17	VYDAJ	VYBER	6600	71068	\N	\N	\N
1139969	3896	1996-10-18	VYDAJ	VYBER	4800	36271	\N	\N	\N
1139970	3896	1996-09-26	VYDAJ	VYBER	3600	27229	\N	\N	\N
1139971	3896	1996-12-17	VYDAJ	VYBER	8400	77719	\N	\N	\N
1139972	3896	1996-09-21	VYDAJ	VYBER	12300	30829	\N	\N	\N
1139973	3896	1997-10-01	VYDAJ	VYBER	3900	91903	\N	\N	\N
1139974	3896	1998-09-26	VYDAJ	VYBER	5700	73571	\N	\N	\N
1139988	3896	1996-01-31	VYDAJ	VYBER	15	32798	SLUZBY	\N	\N
1139989	3896	1996-02-29	VYDAJ	VYBER	15	38847	SLUZBY	\N	\N
1139990	3896	1996-03-31	VYDAJ	VYBER	15	44825	SLUZBY	\N	\N
1139991	3896	1996-04-30	VYDAJ	VYBER	15	29154	SLUZBY	\N	\N
1139992	3896	1996-05-31	VYDAJ	VYBER	15	40903	SLUZBY	\N	\N
1139993	3896	1996-06-30	VYDAJ	VYBER	15	27100	SLUZBY	\N	\N
1139994	3896	1996-07-31	VYDAJ	VYBER	15	41657	SLUZBY	\N	\N
1139995	3896	1996-08-31	VYDAJ	VYBER	15	47838	SLUZBY	\N	\N
1139996	3896	1996-09-30	VYDAJ	VYBER	15	27368	SLUZBY	\N	\N
1139997	3896	1996-10-31	VYDAJ	VYBER	15	24437	SLUZBY	\N	\N
1139998	3896	1996-11-30	VYDAJ	VYBER	15	58624	SLUZBY	\N	\N
1139999	3896	1996-12-31	VYDAJ	VYBER	15	69601	SLUZBY	\N	\N
1140000	3896	1997-01-31	VYDAJ	VYBER	15	63083	SLUZBY	\N	\N
1140001	3896	1997-02-28	VYDAJ	VYBER	15	59140	SLUZBY	\N	\N
1140002	3896	1997-03-31	VYDAJ	VYBER	15	79430	SLUZBY	\N	\N
1140003	3896	1997-04-30	VYDAJ	VYBER	15	82724	SLUZBY	\N	\N
1140004	3896	1997-05-31	VYDAJ	VYBER	15	89592	SLUZBY	\N	\N
1140005	3896	1997-06-30	VYDAJ	VYBER	15	90720	SLUZBY	\N	\N
1140006	3896	1997-07-31	VYDAJ	VYBER	15	73393	SLUZBY	\N	\N
1140007	3896	1997-08-31	VYDAJ	VYBER	15	93342	SLUZBY	\N	\N
1140008	3896	1997-09-30	VYDAJ	VYBER	15	95803	SLUZBY	\N	\N
1140009	3896	1997-10-31	VYDAJ	VYBER	15	99179	SLUZBY	\N	\N
1140010	3896	1997-11-30	VYDAJ	VYBER	15	102768	SLUZBY	\N	\N
1140011	3896	1997-12-31	VYDAJ	VYBER	15	72417	SLUZBY	\N	\N
1140012	3896	1998-01-31	VYDAJ	VYBER	15	62901	SLUZBY	\N	\N
1140013	3896	1998-02-28	VYDAJ	VYBER	15	75483	SLUZBY	\N	\N
1140014	3896	1998-03-31	VYDAJ	VYBER	15	88810	SLUZBY	\N	\N
1140015	3896	1998-04-30	VYDAJ	VYBER	15	96671	SLUZBY	\N	\N
1140016	3896	1998-05-31	VYDAJ	VYBER	15	97239	SLUZBY	\N	\N
1140017	3896	1998-06-30	VYDAJ	VYBER	15	30392	SLUZBY	\N	\N
1140018	3896	1998-07-31	VYDAJ	VYBER	15	53018	SLUZBY	\N	\N
1140019	3896	1998-08-31	VYDAJ	VYBER	15	49768	SLUZBY	\N	\N
1140020	3896	1998-09-30	VYDAJ	VYBER	15	52639	SLUZBY	\N	\N
1140021	3896	1998-10-31	VYDAJ	VYBER	15	52721	SLUZBY	\N	\N
1140022	3896	1998-11-30	VYDAJ	VYBER	15	31292	SLUZBY	\N	\N
1140023	3896	1995-09-16	VYDAJ	VYBER	7600	26547	\N	\N	\N
1140024	3896	1995-10-16	VYDAJ	VYBER	19100	41249	\N	\N	\N
1140025	3896	1995-11-15	VYDAJ	VYBER	25600	49539	\N	\N	\N
1140026	3896	1995-12-15	VYDAJ	VYBER	39000	61349	\N	\N	\N
1140027	3896	1996-01-14	VYDAJ	VYBER	34300	61029	\N	\N	\N
1140028	3896	1996-02-13	VYDAJ	VYBER	23600	38701	\N	\N	\N
1140029	3896	1996-03-14	VYDAJ	VYBER	23700	44650	\N	\N	\N
1140030	3896	1996-04-13	VYDAJ	VYBER	24000	50328	\N	\N	\N
1140031	3896	1996-05-13	VYDAJ	VYBER	17900	40757	\N	\N	\N
1140032	3896	1996-06-12	VYDAJ	VYBER	3000	26979	\N	\N	\N
1140033	3896	1996-07-12	VYDAJ	VYBER	11600	41515	\N	\N	\N
1140034	3896	1996-08-11	VYDAJ	VYBER	23500	47660	\N	\N	\N
1140035	3896	1996-09-10	VYDAJ	VYBER	21000	43129	\N	\N	\N
1140036	3896	1996-10-10	VYDAJ	VYBER	15800	41071	\N	\N	\N
1140037	3896	1996-11-09	PRIJEM	VKLAD	4500	24693	\N	\N	\N
1140038	3896	1996-12-09	VYDAJ	VYBER	1500	35499	\N	\N	\N
1140039	3896	1997-01-08	VYDAJ	VYBER	17000	48357	\N	\N	\N
1140040	3896	1997-02-07	VYDAJ	VYBER	11800	47039	\N	\N	\N
1140041	3896	1997-03-09	VYDAJ	VYBER	9500	45396	\N	\N	\N
1140042	3896	1997-04-08	VYDAJ	VYBER	22400	52786	\N	\N	\N
1140043	3896	1997-05-08	VYDAJ	VYBER	15300	55508	\N	\N	\N
1140044	3896	1997-06-07	VYDAJ	VYBER	6900	44548	\N	\N	\N
1140045	3896	1997-07-07	VYDAJ	VYBER	23100	63376	\N	\N	\N
1140046	3896	1997-08-06	VYDAJ	VYBER	9900	59249	\N	\N	\N
1140047	3896	1997-09-05	VYDAJ	VYBER	27400	65942	\N	\N	\N
1140048	3896	1997-10-05	VYDAJ	VYBER	22600	69303	\N	\N	\N
1140049	3896	1997-11-04	VYDAJ	VYBER	26300	72879	\N	\N	\N
1140050	3896	1997-12-04	VYDAJ	VYBER	31500	71268	\N	\N	\N
1140051	3896	1997-12-10	VYDAJ	VYBER	22300	92044	\N	\N	\N
1140052	3896	1998-01-03	VYDAJ	VYBER	15900	56517	\N	\N	\N
1140053	3896	1998-02-02	VYDAJ	VYBER	10400	52501	\N	\N	\N
1140054	3896	1998-03-04	VYDAJ	VYBER	16500	58983	\N	\N	\N
1140055	3896	1998-04-03	VYDAJ	VYBER	22000	66810	\N	\N	\N
1140056	3896	1998-05-03	VYDAJ	VYBER	29300	67371	\N	\N	\N
1140057	3896	1998-06-02	VYDAJ	VYBER	29000	68239	\N	\N	\N
1140058	3896	1998-06-10	VYDAJ	VYBER	63100	51515	\N	\N	\N
1140059	3896	1998-07-02	PRIJEM	VKLAD	4300	34692	\N	\N	\N
1140060	3896	1998-08-01	VYDAJ	VYBER	10600	42418	\N	\N	\N
1140061	3896	1998-08-31	VYDAJ	VYBER	22400	49783	\N	\N	\N
1140062	3896	1998-09-30	VYDAJ	VYBER	21200	52653	\N	\N	\N
1140063	3896	1998-10-30	VYDAJ	VYBER	29700	52442	\N	\N	\N
1140064	3896	1998-11-29	VYDAJ	VYBER	32200	50024	\N	\N	\N
1140105	3897	1997-04-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1140110	3897	1997-05-12	PRIJEM	VKLAD	21854	22854	\N	\N	\N
1140111	3897	1997-06-12	PRIJEM	VKLAD	32781	60795	\N	\N	\N
1140112	3897	1997-07-12	PRIJEM	VKLAD	21854	69108	\N	\N	\N
1140113	3897	1997-08-12	PRIJEM	VKLAD	21854	76475	\N	\N	\N
1140114	3897	1997-09-12	PRIJEM	VKLAD	21854	76756	\N	\N	\N
1140115	3897	1997-10-12	PRIJEM	VKLAD	21854	72777	\N	\N	\N
1140116	3897	1997-11-12	PRIJEM	VKLAD	21854	67289	\N	\N	\N
1140117	3897	1997-12-12	PRIJEM	VKLAD	32781	78158	\N	\N	\N
1140118	3897	1998-01-12	PRIJEM	VKLAD	21854	59380	\N	\N	\N
1140119	3897	1998-02-12	PRIJEM	VKLAD	21854	57570	\N	\N	\N
1140120	3897	1998-03-12	PRIJEM	VKLAD	21854	74279	\N	\N	\N
1140121	3897	1998-04-12	PRIJEM	VKLAD	21854	61890	\N	\N	\N
1140122	3897	1998-05-12	PRIJEM	VKLAD	21854	70112	\N	\N	\N
1140123	3897	1998-06-12	PRIJEM	VKLAD	32781	78363	\N	\N	\N
1140124	3897	1998-07-12	PRIJEM	VKLAD	21854	74457	\N	\N	\N
1140125	3897	1998-08-12	PRIJEM	VKLAD	21854	74549	\N	\N	\N
1140126	3897	1998-09-12	PRIJEM	VKLAD	21854	72735	\N	\N	\N
1140127	3897	1998-10-12	PRIJEM	VKLAD	21854	72013	\N	\N	\N
1140128	3897	1998-11-12	PRIJEM	VKLAD	21854	76489	\N	\N	\N
1140129	3897	1998-12-12	PRIJEM	VKLAD	32781	86823	\N	\N	\N
1140139	3897	1997-10-05	VYDAJ	PREVOD NA UCET	5350	50923	SIPO	MN	68786066
1140140	3897	1997-11-05	VYDAJ	PREVOD NA UCET	5350	45435	SIPO	MN	68786066
1140141	3897	1997-12-05	VYDAJ	PREVOD NA UCET	5350	45377	SIPO	MN	68786066
1140142	3897	1998-01-05	VYDAJ	PREVOD NA UCET	5350	43126	SIPO	MN	68786066
1140143	3897	1998-02-05	VYDAJ	PREVOD NA UCET	5350	42016	SIPO	MN	68786066
1140144	3897	1998-03-05	VYDAJ	PREVOD NA UCET	5350	52425	SIPO	MN	68786066
1140145	3897	1998-04-05	VYDAJ	PREVOD NA UCET	5350	45636	SIPO	MN	68786066
1140146	3897	1998-05-05	VYDAJ	PREVOD NA UCET	5350	53658	SIPO	MN	68786066
1140147	3897	1998-06-05	VYDAJ	PREVOD NA UCET	5350	65022	SIPO	MN	68786066
1140148	3897	1998-07-05	VYDAJ	PREVOD NA UCET	5350	69603	SIPO	MN	68786066
1140149	3897	1998-08-05	VYDAJ	PREVOD NA UCET	5350	67595	SIPO	MN	68786066
1140150	3897	1998-09-05	VYDAJ	PREVOD NA UCET	5350	69481	SIPO	MN	68786066
1140151	3897	1998-10-05	VYDAJ	PREVOD NA UCET	5350	65759	SIPO	MN	68786066
1140152	3897	1998-11-05	VYDAJ	PREVOD NA UCET	5350	66935	SIPO	MN	68786066
1140153	3897	1998-12-05	VYDAJ	PREVOD NA UCET	5350	66642	SIPO	MN	68786066
1140155	3897	1998-06-10	VYDAJ	VYBER	15040	45582	\N	\N	\N
1140156	3897	1997-12-13	VYDAJ	VYBER	2880	51278	\N	\N	\N
1140157	3897	1998-12-08	VYDAJ	VYBER KARTOU	1900	54042	\N	\N	0
1140164	3897	1998-01-20	VYDAJ	VYBER KARTOU	1400	50080	\N	\N	0
1140165	3897	1998-01-15	VYDAJ	VYBER KARTOU	1300	51480	\N	\N	0
1140166	3897	1998-01-01	VYDAJ	VYBER KARTOU	800	50676	\N	\N	0
1140167	3897	1998-01-12	VYDAJ	VYBER KARTOU	3400	55980	\N	\N	0
1140168	3897	1998-01-14	VYDAJ	VYBER KARTOU	3200	52780	\N	\N	0
1140169	3897	1998-01-03	VYDAJ	VYBER KARTOU	2200	48476	\N	\N	0
1140173	3897	1998-06-08	VYDAJ	VYBER KARTOU	3800	61222	\N	\N	0
1140174	3897	1998-01-23	VYDAJ	VYBER KARTOU	2900	47180	\N	\N	0
1140175	3897	1998-09-17	VYDAJ	VYBER KARTOU	1900	70835	\N	\N	0
1140176	3897	1998-11-30	VYDAJ	VYBER	4080	72007	\N	\N	\N
1140177	3897	1998-07-03	VYDAJ	VYBER KARTOU	3700	74953	\N	\N	0
1140178	3897	1998-11-20	VYDAJ	VYBER KARTOU	700	75789	\N	\N	0
1140179	3897	1998-08-04	VYDAJ	VYBER KARTOU	1800	72945	\N	\N	0
1140180	3897	1998-04-17	VYDAJ	VYBER KARTOU	3100	58790	\N	\N	0
1140190	3897	1997-09-30	VYDAJ	VYBER	15	56273	SLUZBY	\N	\N
1140191	3897	1997-10-31	VYDAJ	VYBER	15	50785	SLUZBY	\N	\N
1140192	3897	1997-11-30	VYDAJ	VYBER	15	50727	SLUZBY	\N	\N
1140193	3897	1997-12-31	VYDAJ	VYBER	15	51476	SLUZBY	\N	\N
1140194	3897	1998-01-31	VYDAJ	VYBER	15	47366	SLUZBY	\N	\N
1140195	3897	1998-02-28	VYDAJ	VYBER	15	57775	SLUZBY	\N	\N
1140196	3897	1998-03-31	VYDAJ	VYBER	15	50986	SLUZBY	\N	\N
1140197	3897	1998-04-30	VYDAJ	VYBER	15	59008	SLUZBY	\N	\N
1140198	3897	1998-05-31	VYDAJ	VYBER	15	70372	SLUZBY	\N	\N
1140199	3897	1998-06-30	VYDAJ	VYBER	15	78653	SLUZBY	\N	\N
1140200	3897	1998-07-31	VYDAJ	VYBER	15	74745	SLUZBY	\N	\N
1140201	3897	1998-08-31	VYDAJ	VYBER	15	74831	SLUZBY	\N	\N
1140202	3897	1998-09-30	VYDAJ	VYBER	15	71109	SLUZBY	\N	\N
1140203	3897	1998-10-31	VYDAJ	VYBER	15	72285	SLUZBY	\N	\N
1140204	3897	1998-11-30	VYDAJ	VYBER	15	71992	SLUZBY	\N	\N
1140205	3897	1997-05-16	PRIJEM	VKLAD	5100	27954	\N	\N	\N
1140206	3897	1997-06-15	VYDAJ	VYBER	13700	47095	\N	\N	\N
1140207	3897	1997-07-15	VYDAJ	VYBER	14700	54408	\N	\N	\N
1140208	3897	1997-08-14	VYDAJ	VYBER	21800	54675	\N	\N	\N
1140209	3897	1997-09-13	VYDAJ	VYBER	20700	56056	\N	\N	\N
1140210	3897	1997-10-13	VYDAJ	VYBER	22200	50577	\N	\N	\N
1140211	3897	1997-11-12	VYDAJ	VYBER	16800	50489	\N	\N	\N
1140212	3897	1997-12-12	VYDAJ	VYBER	24000	54158	\N	\N	\N
1140213	3897	1998-01-11	VYDAJ	VYBER	5600	37526	\N	\N	\N
1140214	3897	1998-02-10	VYDAJ	VYBER	6300	35716	\N	\N	\N
1140215	3897	1998-03-12	VYDAJ	VYBER	23500	50779	\N	\N	\N
1140216	3897	1998-04-11	VYDAJ	VYBER	5600	40036	\N	\N	\N
1140217	3897	1998-05-11	VYDAJ	VYBER	5400	48258	\N	\N	\N
1140218	3897	1998-06-10	VYDAJ	VYBER KARTOU	600	60622	\N	\N	0
1140219	3897	1998-07-10	VYDAJ	VYBER	17000	52603	\N	\N	\N
1140220	3897	1998-08-09	VYDAJ	VYBER	14900	52695	\N	\N	\N
1140221	3897	1998-09-08	VYDAJ	VYBER	18600	50881	\N	\N	\N
1140222	3897	1998-10-08	VYDAJ	VYBER	15600	50159	\N	\N	\N
1140223	3897	1998-11-07	VYDAJ	VYBER	12300	54635	\N	\N	\N
1140224	3897	1998-12-07	VYDAJ	VYBER	10700	55942	\N	\N	\N
1140245	3898	1994-02-07	PRIJEM	VKLAD	800	800	\N	\N	\N
1140248	3898	1994-03-07	PRIJEM	PREVOD Z UCTU	6915	7715	DUCHOD	ST	49556386
1140249	3898	1994-04-07	PRIJEM	PREVOD Z UCTU	6915	14630	DUCHOD	ST	49556386
1140250	3898	1994-05-07	PRIJEM	PREVOD Z UCTU	6915	21545	DUCHOD	ST	49556386
1140251	3898	1994-06-07	PRIJEM	PREVOD Z UCTU	6915	28460	DUCHOD	ST	49556386
1140252	3898	1994-07-07	PRIJEM	PREVOD Z UCTU	6915	32470	DUCHOD	ST	49556386
1140253	3898	1994-08-07	PRIJEM	PREVOD Z UCTU	6915	31154	DUCHOD	ST	49556386
1140254	3898	1994-09-07	PRIJEM	PREVOD Z UCTU	6915	32798	DUCHOD	ST	49556386
1140255	3898	1994-10-07	PRIJEM	PREVOD Z UCTU	6915	32347	DUCHOD	ST	49556386
1140256	3898	1994-11-07	PRIJEM	PREVOD Z UCTU	6915	31419	DUCHOD	ST	49556386
1140257	3898	1994-12-07	PRIJEM	PREVOD Z UCTU	6915	33190	DUCHOD	ST	49556386
1140258	3898	1995-01-07	PRIJEM	PREVOD Z UCTU	6915	34776	DUCHOD	ST	49556386
1140259	3898	1995-02-07	PRIJEM	PREVOD Z UCTU	6915	31532	DUCHOD	ST	49556386
1140260	3898	1995-03-07	PRIJEM	PREVOD Z UCTU	6915	29250	DUCHOD	ST	49556386
1140261	3898	1995-04-07	PRIJEM	PREVOD Z UCTU	6915	33511	DUCHOD	ST	49556386
1140262	3898	1995-05-07	PRIJEM	PREVOD Z UCTU	6915	31086	DUCHOD	ST	49556386
1140263	3898	1995-06-07	PRIJEM	PREVOD Z UCTU	6915	29057	DUCHOD	ST	49556386
1140264	3898	1995-07-07	PRIJEM	PREVOD Z UCTU	6915	30257	DUCHOD	ST	49556386
1140265	3898	1995-08-07	PRIJEM	PREVOD Z UCTU	6915	29699	DUCHOD	ST	49556386
1140266	3898	1995-09-07	PRIJEM	PREVOD Z UCTU	6915	30361	DUCHOD	ST	49556386
1140267	3898	1995-10-07	PRIJEM	PREVOD Z UCTU	6915	26902	DUCHOD	ST	49556386
1140268	3898	1995-11-07	PRIJEM	PREVOD Z UCTU	6915	29251	DUCHOD	ST	49556386
1140269	3898	1995-12-07	PRIJEM	PREVOD Z UCTU	6915	30907	DUCHOD	ST	49556386
1140270	3898	1996-01-07	PRIJEM	PREVOD Z UCTU	6915	30086	DUCHOD	ST	49556386
1140271	3898	1996-02-07	PRIJEM	PREVOD Z UCTU	6915	27396	DUCHOD	ST	49556386
1140272	3898	1996-03-07	PRIJEM	PREVOD Z UCTU	6915	26942	DUCHOD	ST	49556386
1140273	3898	1996-04-07	PRIJEM	PREVOD Z UCTU	6915	27187	DUCHOD	ST	49556386
1140274	3898	1996-05-07	PRIJEM	PREVOD Z UCTU	6915	27614	DUCHOD	ST	49556386
1140275	3898	1996-06-07	PRIJEM	PREVOD Z UCTU	6915	22061	DUCHOD	ST	49556386
1140276	3898	1996-07-07	PRIJEM	PREVOD Z UCTU	6915	26391	DUCHOD	ST	49556386
1140277	3898	1996-08-07	PRIJEM	PREVOD Z UCTU	6915	29735	DUCHOD	ST	49556386
1140278	3898	1996-09-07	PRIJEM	PREVOD Z UCTU	6915	27287	DUCHOD	ST	49556386
1140279	3898	1996-10-07	PRIJEM	PREVOD Z UCTU	6915	26811	DUCHOD	ST	49556386
1140280	3898	1996-11-07	PRIJEM	PREVOD Z UCTU	6915	28056	DUCHOD	ST	49556386
1140281	3898	1996-12-07	PRIJEM	PREVOD Z UCTU	6915	28147	DUCHOD	ST	49556386
1140282	3898	1997-01-07	PRIJEM	PREVOD Z UCTU	6915	28449	DUCHOD	ST	49556386
1140283	3898	1997-02-07	PRIJEM	PREVOD Z UCTU	6915	21994	DUCHOD	ST	49556386
1140284	3898	1997-03-07	PRIJEM	PREVOD Z UCTU	6915	21200	DUCHOD	ST	49556386
1140285	3898	1997-04-07	PRIJEM	PREVOD Z UCTU	6915	25523	DUCHOD	ST	49556386
1140286	3898	1997-05-07	PRIJEM	PREVOD Z UCTU	6915	29864	DUCHOD	ST	49556386
1140287	3898	1997-06-07	PRIJEM	PREVOD Z UCTU	6915	34222	DUCHOD	ST	49556386
1140288	3898	1997-07-07	PRIJEM	PREVOD Z UCTU	6915	38599	DUCHOD	ST	49556386
1140289	3898	1997-08-07	PRIJEM	PREVOD Z UCTU	6915	42994	DUCHOD	ST	49556386
1140290	3898	1997-09-07	PRIJEM	PREVOD Z UCTU	6915	44206	DUCHOD	ST	49556386
1140291	3898	1997-10-07	PRIJEM	PREVOD Z UCTU	6915	48625	DUCHOD	ST	49556386
1140292	3898	1997-11-07	PRIJEM	PREVOD Z UCTU	6915	53061	DUCHOD	ST	49556386
1140293	3898	1997-12-07	PRIJEM	PREVOD Z UCTU	6915	55012	DUCHOD	ST	49556386
1140294	3898	1998-01-07	PRIJEM	PREVOD Z UCTU	6915	53464	DUCHOD	ST	49556386
1140295	3898	1998-02-07	PRIJEM	PREVOD Z UCTU	6915	50147	DUCHOD	ST	49556386
1140296	3898	1998-03-07	PRIJEM	PREVOD Z UCTU	6915	54589	DUCHOD	ST	49556386
1140297	3898	1998-04-07	PRIJEM	PREVOD Z UCTU	6915	59050	DUCHOD	ST	49556386
1140298	3898	1998-05-07	PRIJEM	PREVOD Z UCTU	6915	63530	DUCHOD	ST	49556386
1140299	3898	1998-06-07	PRIJEM	PREVOD Z UCTU	6915	65322	DUCHOD	ST	49556386
1140300	3898	1998-07-07	PRIJEM	PREVOD Z UCTU	6915	68525	DUCHOD	ST	49556386
1140301	3898	1998-08-07	PRIJEM	PREVOD Z UCTU	6915	70083	DUCHOD	ST	49556386
1140302	3898	1998-09-07	PRIJEM	PREVOD Z UCTU	6915	72604	DUCHOD	ST	49556386
1140303	3898	1998-10-07	PRIJEM	PREVOD Z UCTU	6915	77139	DUCHOD	ST	49556386
1140304	3898	1998-11-07	PRIJEM	PREVOD Z UCTU	6915	81694	DUCHOD	ST	49556386
1140305	3898	1998-12-07	PRIJEM	PREVOD Z UCTU	6915	84905	DUCHOD	ST	49556386
1140312	3898	1994-07-08	VYDAJ	PREVOD NA UCET	2650	27720	SIPO	WX	33097869
1140313	3898	1994-08-08	VYDAJ	PREVOD NA UCET	2650	26984	SIPO	WX	33097869
1140314	3898	1994-09-08	VYDAJ	PREVOD NA UCET	2650	30148	SIPO	WX	33097869
1140315	3898	1994-10-08	VYDAJ	PREVOD NA UCET	2650	29697	SIPO	WX	33097869
1140316	3898	1994-11-08	VYDAJ	PREVOD NA UCET	2650	28769	SIPO	WX	33097869
1140317	3898	1994-12-08	VYDAJ	PREVOD NA UCET	2650	30540	SIPO	WX	33097869
1140318	3898	1995-01-08	VYDAJ	PREVOD NA UCET	2650	32126	SIPO	WX	33097869
1140319	3898	1995-02-08	VYDAJ	PREVOD NA UCET	2650	28882	SIPO	WX	33097869
1140320	3898	1995-03-08	VYDAJ	PREVOD NA UCET	2650	26600	SIPO	WX	33097869
1140321	3898	1995-04-08	VYDAJ	PREVOD NA UCET	2650	30861	SIPO	WX	33097869
1140322	3898	1995-05-08	VYDAJ	PREVOD NA UCET	2650	28436	SIPO	WX	33097869
1140323	3898	1995-06-08	VYDAJ	PREVOD NA UCET	2650	26407	SIPO	WX	33097869
1140324	3898	1995-07-08	VYDAJ	PREVOD NA UCET	2650	27607	SIPO	WX	33097869
1140325	3898	1995-08-08	VYDAJ	PREVOD NA UCET	2650	27049	SIPO	WX	33097869
1140326	3898	1995-09-08	VYDAJ	PREVOD NA UCET	2650	27711	SIPO	WX	33097869
1140327	3898	1995-10-08	VYDAJ	PREVOD NA UCET	2650	24252	SIPO	WX	33097869
1140328	3898	1995-11-08	VYDAJ	PREVOD NA UCET	2650	26601	SIPO	WX	33097869
1140329	3898	1995-12-08	VYDAJ	PREVOD NA UCET	2650	27057	SIPO	WX	33097869
1140330	3898	1996-01-08	VYDAJ	PREVOD NA UCET	2650	27436	SIPO	WX	33097869
1140331	3898	1996-02-08	VYDAJ	PREVOD NA UCET	2650	24746	SIPO	WX	33097869
1140332	3898	1996-03-08	VYDAJ	PREVOD NA UCET	2650	24292	SIPO	WX	33097869
1140333	3898	1996-04-08	VYDAJ	PREVOD NA UCET	2650	24537	SIPO	WX	33097869
1140334	3898	1996-05-08	VYDAJ	PREVOD NA UCET	2650	24964	SIPO	WX	33097869
1140335	3898	1996-06-08	VYDAJ	PREVOD NA UCET	2650	19411	SIPO	WX	33097869
1140336	3898	1996-07-08	VYDAJ	PREVOD NA UCET	2650	23741	SIPO	WX	33097869
1140337	3898	1996-08-08	VYDAJ	PREVOD NA UCET	2650	27085	SIPO	WX	33097869
1140338	3898	1996-09-08	VYDAJ	PREVOD NA UCET	2650	24637	SIPO	WX	33097869
1140339	3898	1996-10-08	VYDAJ	PREVOD NA UCET	2650	24161	SIPO	WX	33097869
1140340	3898	1996-11-08	VYDAJ	PREVOD NA UCET	2650	25406	SIPO	WX	33097869
1140341	3898	1996-12-08	VYDAJ	PREVOD NA UCET	2650	25497	SIPO	WX	33097869
1140342	3898	1997-01-08	VYDAJ	PREVOD NA UCET	2650	25799	SIPO	WX	33097869
1140343	3898	1997-02-08	VYDAJ	PREVOD NA UCET	2650	19344	SIPO	WX	33097869
1140344	3898	1997-03-08	VYDAJ	PREVOD NA UCET	2650	18550	SIPO	WX	33097869
1140345	3898	1997-04-08	VYDAJ	PREVOD NA UCET	2650	22873	SIPO	WX	33097869
1140346	3898	1997-05-08	VYDAJ	PREVOD NA UCET	2650	27214	SIPO	WX	33097869
1140347	3898	1997-06-08	VYDAJ	PREVOD NA UCET	2650	31572	SIPO	WX	33097869
1140348	3898	1997-07-08	VYDAJ	PREVOD NA UCET	2650	35949	SIPO	WX	33097869
1140349	3898	1997-08-08	VYDAJ	PREVOD NA UCET	2650	40344	SIPO	WX	33097869
1140350	3898	1997-09-08	VYDAJ	PREVOD NA UCET	2650	41556	SIPO	WX	33097869
1140351	3898	1997-10-08	VYDAJ	PREVOD NA UCET	2650	45975	SIPO	WX	33097869
1140352	3898	1997-11-08	VYDAJ	PREVOD NA UCET	2650	50411	SIPO	WX	33097869
1140353	3898	1997-12-08	VYDAJ	PREVOD NA UCET	2650	52362	SIPO	WX	33097869
1140354	3898	1998-01-08	VYDAJ	PREVOD NA UCET	2650	50814	SIPO	WX	33097869
1140355	3898	1998-02-08	VYDAJ	PREVOD NA UCET	2650	47497	SIPO	WX	33097869
1140356	3898	1998-03-08	VYDAJ	PREVOD NA UCET	2650	51939	SIPO	WX	33097869
1140357	3898	1998-04-08	VYDAJ	PREVOD NA UCET	2650	56400	SIPO	WX	33097869
1140358	3898	1998-05-08	VYDAJ	PREVOD NA UCET	2650	60880	SIPO	WX	33097869
1140359	3898	1998-06-08	VYDAJ	PREVOD NA UCET	2650	62672	SIPO	WX	33097869
1140360	3898	1998-07-08	VYDAJ	PREVOD NA UCET	2650	65875	SIPO	WX	33097869
1140361	3898	1998-08-08	VYDAJ	PREVOD NA UCET	2650	67433	SIPO	WX	33097869
1140362	3898	1998-09-08	VYDAJ	PREVOD NA UCET	2650	69954	SIPO	WX	33097869
1140363	3898	1998-10-08	VYDAJ	PREVOD NA UCET	2650	74489	SIPO	WX	33097869
1140364	3898	1998-11-08	VYDAJ	PREVOD NA UCET	2650	79044	SIPO	WX	33097869
1140365	3898	1998-12-08	VYDAJ	PREVOD NA UCET	2650	82255	SIPO	WX	33097869
1140366	3898	1994-12-22	VYDAJ	VYBER	950	29590	\N	\N	\N
1140367	3898	1995-12-08	VYDAJ	VYBER	1200	29707	\N	\N	\N
1140368	3898	1996-12-26	VYDAJ	VYBER	450	25047	\N	\N	\N
1140369	3898	1997-12-12	VYDAJ	VYBER	400	51962	\N	\N	\N
1140370	3898	1998-12-23	VYDAJ	VYBER	650	81605	\N	\N	\N
1140377	3898	1995-01-04	VYDAJ	VYBER	1040	27861	\N	\N	\N
1140378	3898	1995-01-16	VYDAJ	VYBER	1440	30686	\N	\N	\N
1140379	3898	1995-01-27	VYDAJ	VYBER	1840	28366	\N	\N	\N
1140380	3898	1995-01-28	VYDAJ	VYBER	1520	26846	\N	\N	\N
1140381	3898	1995-01-28	VYDAJ	VYBER	1040	25806	\N	\N	\N
1140382	3898	1995-01-23	VYDAJ	VYBER	480	30206	\N	\N	\N
1140383	3898	1996-01-16	VYDAJ	VYBER	1200	26236	\N	\N	\N
1140384	3898	1996-01-02	VYDAJ	VYBER	720	24131	\N	\N	\N
1140385	3898	1996-01-19	VYDAJ	VYBER	2320	21916	\N	\N	\N
1140386	3898	1996-01-17	VYDAJ	VYBER	2000	24236	\N	\N	\N
1140387	3898	1996-01-22	VYDAJ	VYBER	800	21116	\N	\N	\N
1140388	3898	1996-01-03	VYDAJ	VYBER	960	23171	\N	\N	\N
1140389	3898	1997-01-30	VYDAJ	VYBER	560	18759	\N	\N	\N
1140390	3898	1997-01-05	VYDAJ	VYBER	2160	21534	\N	\N	\N
1140391	3898	1997-01-17	VYDAJ	VYBER	960	24839	\N	\N	\N
1140392	3898	1997-01-02	VYDAJ	VYBER	640	24494	\N	\N	\N
1140393	3898	1997-01-03	VYDAJ	VYBER	800	23694	\N	\N	\N
1140394	3898	1997-01-30	VYDAJ	VYBER	1760	19319	\N	\N	\N
1140395	3898	1998-01-20	VYDAJ	VYBER	1520	45214	\N	\N	\N
1140396	3898	1998-01-18	VYDAJ	VYBER	960	47934	\N	\N	\N
1140397	3898	1998-01-23	VYDAJ	VYBER	2160	43054	\N	\N	\N
1140398	3898	1998-01-15	VYDAJ	VYBER	800	50014	\N	\N	\N
1140399	3898	1998-01-20	VYDAJ	VYBER	1200	46734	\N	\N	\N
1140400	3898	1998-01-15	VYDAJ	VYBER	1120	48894	\N	\N	\N
1140401	3898	1994-09-11	VYDAJ	VYBER	480	29668	\N	\N	\N
1140402	3898	1994-09-25	VYDAJ	VYBER	3440	26228	\N	\N	\N
1140403	3898	1994-07-10	VYDAJ	VYBER	880	26840	\N	\N	\N
1140407	3898	1994-08-07	VYDAJ	VYBER	1520	29634	\N	\N	\N
1140408	3898	1995-06-23	VYDAJ	VYBER	2960	23447	\N	\N	\N
1140409	3898	1995-07-31	VYDAJ	VYBER	1120	26598	\N	\N	\N
1140410	3898	1995-10-05	VYDAJ	VYBER	2320	19987	\N	\N	\N
1140411	3898	1995-02-12	VYDAJ	VYBER	3840	25042	\N	\N	\N
1140412	3898	1996-11-01	VYDAJ	VYBER	2000	21141	\N	\N	\N
1140413	3898	1996-05-06	VYDAJ	VYBER	1120	20699	\N	\N	\N
1140414	3898	1996-06-04	VYDAJ	VYBER	3200	15146	\N	\N	\N
1140415	3898	1996-11-28	VYDAJ	VYBER	2160	21146	\N	\N	\N
1140416	3898	1996-01-28	VYDAJ	VYBER	720	20396	\N	\N	\N
1140417	3898	1996-09-25	VYDAJ	VYBER	3520	19817	\N	\N	\N
1140418	3898	1997-01-18	VYDAJ	VYBER	3760	21079	\N	\N	\N
1140419	3898	1997-02-06	VYDAJ	VYBER	3760	15079	\N	\N	\N
1140420	3898	1997-08-31	VYDAJ	VYBER	3200	37306	\N	\N	\N
1140421	3898	1997-02-22	VYDAJ	VYBER	2880	16464	\N	\N	\N
1140422	3898	1997-02-26	VYDAJ	VYBER	2240	14224	\N	\N	\N
1140423	3898	1997-11-26	VYDAJ	VYBER	800	47911	\N	\N	\N
1140424	3898	1998-11-22	VYDAJ	VYBER	1360	77684	\N	\N	\N
1140425	3898	1998-07-31	VYDAJ	VYBER	2960	63168	\N	\N	\N
1140433	3898	1994-07-31	VYDAJ	VYBER	15	26939	SLUZBY	\N	\N
1140434	3898	1994-08-31	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
1140435	3898	1994-09-30	VYDAJ	VYBER	15	26332	SLUZBY	\N	\N
1140436	3898	1994-10-31	VYDAJ	VYBER	15	29804	SLUZBY	\N	\N
1140437	3898	1994-11-30	VYDAJ	VYBER	15	28875	SLUZBY	\N	\N
1140438	3898	1994-12-31	VYDAJ	VYBER	15	29701	SLUZBY	\N	\N
1140439	3898	1995-01-31	VYDAJ	VYBER	15	25917	SLUZBY	\N	\N
1140440	3898	1995-02-28	VYDAJ	VYBER	15	25135	SLUZBY	\N	\N
1140441	3898	1995-03-31	VYDAJ	VYBER	15	26696	SLUZBY	\N	\N
1140442	3898	1995-04-30	VYDAJ	VYBER	15	30971	SLUZBY	\N	\N
1140443	3898	1995-05-31	VYDAJ	VYBER	15	28542	SLUZBY	\N	\N
1140444	3898	1995-06-30	VYDAJ	VYBER	15	23542	SLUZBY	\N	\N
1140445	3898	1995-07-31	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
1140446	3898	1995-08-31	VYDAJ	VYBER	15	27146	SLUZBY	\N	\N
1140447	3898	1995-09-30	VYDAJ	VYBER	15	22307	SLUZBY	\N	\N
1140448	3898	1995-10-31	VYDAJ	VYBER	15	22336	SLUZBY	\N	\N
1140449	3898	1995-11-30	VYDAJ	VYBER	15	23992	SLUZBY	\N	\N
1140450	3898	1995-12-31	VYDAJ	VYBER	15	24851	SLUZBY	\N	\N
1140451	3898	1996-01-31	VYDAJ	VYBER	15	20481	SLUZBY	\N	\N
1140452	3898	1996-02-29	VYDAJ	VYBER	15	20027	SLUZBY	\N	\N
1140453	3898	1996-03-31	VYDAJ	VYBER	15	20272	SLUZBY	\N	\N
1140454	3898	1996-04-30	VYDAJ	VYBER	15	21819	SLUZBY	\N	\N
1140455	3898	1996-05-31	VYDAJ	VYBER	15	18346	SLUZBY	\N	\N
1140456	3898	1996-06-30	VYDAJ	VYBER	15	19476	SLUZBY	\N	\N
1140457	3898	1996-07-31	VYDAJ	VYBER	15	22820	SLUZBY	\N	\N
1140458	3898	1996-08-31	VYDAJ	VYBER	15	20372	SLUZBY	\N	\N
1140459	3898	1996-09-30	VYDAJ	VYBER	15	19896	SLUZBY	\N	\N
1140460	3898	1996-10-31	VYDAJ	VYBER	15	23141	SLUZBY	\N	\N
1140461	3898	1996-11-30	VYDAJ	VYBER	15	21232	SLUZBY	\N	\N
1140462	3898	1996-12-31	VYDAJ	VYBER	15	25134	SLUZBY	\N	\N
1140463	3898	1997-01-31	VYDAJ	VYBER	15	18839	SLUZBY	\N	\N
1140464	3898	1997-02-28	VYDAJ	VYBER	15	14285	SLUZBY	\N	\N
1140465	3898	1997-03-31	VYDAJ	VYBER	15	18608	SLUZBY	\N	\N
1140466	3898	1997-04-30	VYDAJ	VYBER	15	22949	SLUZBY	\N	\N
1140467	3898	1997-05-31	VYDAJ	VYBER	15	27307	SLUZBY	\N	\N
1140468	3898	1997-06-30	VYDAJ	VYBER	15	31684	SLUZBY	\N	\N
1140469	3898	1997-07-31	VYDAJ	VYBER	15	36079	SLUZBY	\N	\N
1140470	3898	1997-08-31	VYDAJ	VYBER	15	37291	SLUZBY	\N	\N
1140471	3898	1997-09-30	VYDAJ	VYBER	15	41710	SLUZBY	\N	\N
1140472	3898	1997-10-31	VYDAJ	VYBER	15	46146	SLUZBY	\N	\N
1140473	3898	1997-11-30	VYDAJ	VYBER	15	48097	SLUZBY	\N	\N
1140474	3898	1997-12-31	VYDAJ	VYBER	15	46549	SLUZBY	\N	\N
1140475	3898	1998-01-31	VYDAJ	VYBER	15	43232	SLUZBY	\N	\N
1140476	3898	1998-02-28	VYDAJ	VYBER	15	47674	SLUZBY	\N	\N
1140477	3898	1998-03-31	VYDAJ	VYBER	15	52135	SLUZBY	\N	\N
1140478	3898	1998-04-30	VYDAJ	VYBER	15	56615	SLUZBY	\N	\N
1140479	3898	1998-05-31	VYDAJ	VYBER	15	58407	SLUZBY	\N	\N
1140480	3898	1998-06-30	VYDAJ	VYBER	15	61610	SLUZBY	\N	\N
1140481	3898	1998-07-31	VYDAJ	VYBER	15	66128	SLUZBY	\N	\N
1140482	3898	1998-08-31	VYDAJ	VYBER	15	65689	SLUZBY	\N	\N
1140483	3898	1998-09-30	VYDAJ	VYBER	15	70224	SLUZBY	\N	\N
1140484	3898	1998-10-31	VYDAJ	VYBER	15	74779	SLUZBY	\N	\N
1140485	3898	1998-11-30	VYDAJ	VYBER	15	77990	SLUZBY	\N	\N
1140486	3898	1994-06-07	VYDAJ	VYBER	3000	25460	\N	\N	\N
1140487	3898	1994-07-07	VYDAJ	VYBER	2100	30370	\N	\N	\N
1140488	3898	1994-08-06	VYDAJ	VYBER	2700	24239	\N	\N	\N
1140489	3898	1994-09-05	VYDAJ	VYBER	1200	25883	\N	\N	\N
1140490	3898	1994-10-05	VYDAJ	VYBER	900	25432	\N	\N	\N
1140491	3898	1994-11-04	VYDAJ	VYBER	5300	24504	\N	\N	\N
1140492	3898	1994-12-04	VYDAJ	VYBER	2600	26275	\N	\N	\N
1140493	3898	1995-01-03	VYDAJ	VYBER	800	28901	\N	\N	\N
1140494	3898	1995-02-02	VYDAJ	VYBER	1300	24617	\N	\N	\N
1140495	3898	1995-03-04	VYDAJ	VYBER	2800	22335	\N	\N	\N
1140496	3898	1995-04-03	VYDAJ	VYBER	100	26596	\N	\N	\N
1140497	3898	1995-05-03	VYDAJ	VYBER	6800	24171	\N	\N	\N
1140498	3898	1995-06-02	VYDAJ	VYBER	6400	22142	\N	\N	\N
1140499	3898	1995-07-02	VYDAJ	VYBER	200	23342	\N	\N	\N
1140500	3898	1995-08-01	VYDAJ	VYBER	3800	22784	\N	\N	\N
1140501	3898	1995-08-31	VYDAJ	VYBER	3700	23446	\N	\N	\N
1140502	3898	1995-09-30	VYDAJ	VYBER	5500	22321	\N	\N	\N
1140503	3898	1995-10-30	VYDAJ	VYBER	2000	22252	\N	\N	\N
1140504	3898	1995-11-29	VYDAJ	VYBER	2700	23901	\N	\N	\N
1140505	3898	1995-12-29	VYDAJ	VYBER	2300	24757	\N	\N	\N
1140506	3898	1996-02-27	VYDAJ	VYBER	4800	19946	\N	\N	\N
1140507	3898	1996-03-28	VYDAJ	VYBER	4100	20192	\N	\N	\N
1140508	3898	1996-04-27	VYDAJ	VYBER	2800	21737	\N	\N	\N
1140509	3898	1996-05-27	VYDAJ	VYBER	6700	18264	\N	\N	\N
1140510	3898	1996-07-26	VYDAJ	VYBER	1000	22741	\N	\N	\N
1140511	3898	1996-08-25	VYDAJ	VYBER	6800	20285	\N	\N	\N
1140512	3898	1996-09-24	VYDAJ	VYBER	1300	23337	\N	\N	\N
1140513	3898	1996-10-24	VYDAJ	VYBER	1100	23061	\N	\N	\N
1140514	3898	1996-11-23	VYDAJ	VYBER	2100	23306	\N	\N	\N
1140515	3898	1997-11-18	VYDAJ	VYBER	1700	48711	\N	\N	\N
1140516	3898	1997-12-18	VYDAJ	VYBER	5600	46362	\N	\N	\N
1140517	3898	1998-05-17	VYDAJ	VYBER	2700	58180	\N	\N	\N
1140518	3898	1998-06-16	VYDAJ	VYBER	1300	61372	\N	\N	\N
1140519	3898	1998-08-15	VYDAJ	VYBER	2000	65433	\N	\N	\N
1140575	3899	1996-06-25	PRIJEM	VKLAD	800	800	\N	\N	\N
1140582	3899	1996-07-05	PRIJEM	VKLAD	19288	20088	\N	\N	\N
1140583	3899	1996-08-05	PRIJEM	VKLAD	19288	42398	\N	\N	\N
1140584	3899	1996-09-05	PRIJEM	VKLAD	19288	54195	\N	\N	\N
1140585	3899	1996-10-05	PRIJEM	VKLAD	19288	61335	\N	\N	\N
1140586	3899	1996-11-05	PRIJEM	VKLAD	19288	66404	\N	\N	\N
1140587	3899	1996-12-05	PRIJEM	VKLAD	28932	76783	\N	\N	\N
1140588	3899	1997-01-05	PRIJEM	VKLAD	19288	72946	\N	\N	\N
1140589	3899	1997-02-05	PRIJEM	VKLAD	19288	62482	\N	\N	\N
1140590	3899	1997-03-05	PRIJEM	VKLAD	19288	64593	\N	\N	\N
1140591	3899	1997-04-05	PRIJEM	VKLAD	19288	70023	\N	\N	\N
1140592	3899	1997-05-05	PRIJEM	VKLAD	19288	71972	\N	\N	\N
1140593	3899	1997-06-05	PRIJEM	VKLAD	28932	84274	\N	\N	\N
1140594	3899	1997-07-05	PRIJEM	VKLAD	19288	70017	\N	\N	\N
1140595	3899	1997-08-05	PRIJEM	VKLAD	19288	77773	\N	\N	\N
1140596	3899	1997-09-05	PRIJEM	VKLAD	19288	80552	\N	\N	\N
1140597	3899	1997-10-05	PRIJEM	VKLAD	19288	80636	\N	\N	\N
1140598	3899	1997-11-05	PRIJEM	VKLAD	19288	83725	\N	\N	\N
1140599	3899	1997-12-05	PRIJEM	VKLAD	28932	97772	\N	\N	\N
1140600	3899	1998-01-05	PRIJEM	VKLAD	19288	88305	\N	\N	\N
1140601	3899	1998-02-05	PRIJEM	VKLAD	19288	81098	\N	\N	\N
1140602	3899	1998-03-05	PRIJEM	VKLAD	19288	83784	\N	\N	\N
1140603	3899	1998-04-05	PRIJEM	VKLAD	19288	85681	\N	\N	\N
1140604	3899	1998-05-05	PRIJEM	VKLAD	19288	86884	\N	\N	\N
1140605	3899	1998-06-05	PRIJEM	VKLAD	28932	92524	\N	\N	\N
1140606	3899	1998-07-05	PRIJEM	VKLAD	19288	68698	\N	\N	\N
1140607	3899	1998-08-05	PRIJEM	VKLAD	19288	66020	\N	\N	\N
1140608	3899	1998-09-05	PRIJEM	VKLAD	19288	65632	\N	\N	\N
1140609	3899	1998-10-05	PRIJEM	VKLAD	19288	60140	\N	\N	\N
1140610	3899	1998-11-05	PRIJEM	VKLAD	19288	61537	\N	\N	\N
1140611	3899	1998-12-05	PRIJEM	VKLAD	28932	70569	\N	\N	\N
1140622	3899	1996-11-07	VYDAJ	PREVOD NA UCET	3069	63335	SIPO	IJ	84541290
1140623	3899	1996-12-07	VYDAJ	PREVOD NA UCET	3069	73714	SIPO	IJ	84541290
1140624	3899	1997-01-07	VYDAJ	PREVOD NA UCET	3069	69877	SIPO	IJ	84541290
1140625	3899	1997-02-07	VYDAJ	PREVOD NA UCET	3069	54513	SIPO	IJ	84541290
1140626	3899	1997-03-07	VYDAJ	PREVOD NA UCET	3069	58724	SIPO	IJ	84541290
1140627	3899	1997-04-07	VYDAJ	PREVOD NA UCET	3069	66954	SIPO	IJ	84541290
1140628	3899	1997-05-07	VYDAJ	PREVOD NA UCET	3069	68903	SIPO	IJ	84541290
1140629	3899	1997-06-07	VYDAJ	PREVOD NA UCET	3069	81205	SIPO	IJ	84541290
1140630	3899	1997-07-07	VYDAJ	PREVOD NA UCET	3069	66948	SIPO	IJ	84541290
1140631	3899	1997-08-07	VYDAJ	PREVOD NA UCET	3069	74704	SIPO	IJ	84541290
1140632	3899	1997-09-07	VYDAJ	PREVOD NA UCET	3069	77483	SIPO	IJ	84541290
1140633	3899	1997-10-07	VYDAJ	PREVOD NA UCET	3069	77567	SIPO	IJ	84541290
1140634	3899	1997-11-07	VYDAJ	PREVOD NA UCET	3069	80656	SIPO	IJ	84541290
1140635	3899	1997-12-07	VYDAJ	PREVOD NA UCET	3069	94703	SIPO	IJ	84541290
1140636	3899	1998-01-07	VYDAJ	PREVOD NA UCET	3069	83036	SIPO	IJ	84541290
1140637	3899	1998-02-07	VYDAJ	PREVOD NA UCET	3069	78029	SIPO	IJ	84541290
1140638	3899	1998-03-07	VYDAJ	PREVOD NA UCET	3069	80715	SIPO	IJ	84541290
1140639	3899	1998-04-07	VYDAJ	PREVOD NA UCET	3069	82612	SIPO	IJ	84541290
1140640	3899	1998-05-07	VYDAJ	PREVOD NA UCET	3069	83815	SIPO	IJ	84541290
1140641	3899	1998-06-07	VYDAJ	PREVOD NA UCET	3069	89455	SIPO	IJ	84541290
1140642	3899	1998-07-07	VYDAJ	PREVOD NA UCET	3069	65629	SIPO	IJ	84541290
1140643	3899	1998-08-07	VYDAJ	PREVOD NA UCET	3069	62951	SIPO	IJ	84541290
1140644	3899	1998-09-07	VYDAJ	PREVOD NA UCET	3069	62563	SIPO	IJ	84541290
1140645	3899	1998-10-07	VYDAJ	PREVOD NA UCET	3069	57071	SIPO	IJ	84541290
1140646	3899	1998-11-07	VYDAJ	PREVOD NA UCET	3069	58468	SIPO	IJ	84541290
1140647	3899	1998-12-07	VYDAJ	PREVOD NA UCET	3069	67500	SIPO	IJ	84541290
1140649	3899	1997-06-11	VYDAJ	VYBER	25200	56005	\N	\N	\N
1140650	3899	1998-06-20	VYDAJ	VYBER	13000	49155	\N	\N	\N
1140652	3899	1997-01-22	VYDAJ	VYBER	2300	44777	\N	\N	\N
1140653	3899	1998-01-06	VYDAJ	VYBER	2200	86105	\N	\N	\N
1140654	3899	1996-12-20	VYDAJ	VYBER	1500	72214	\N	\N	\N
1140655	3899	1997-12-28	VYDAJ	VYBER	900	71903	\N	\N	\N
1140656	3899	1998-12-16	VYDAJ	VYBER KARTOU	2300	44100	\N	\N	0
1140663	3899	1997-01-22	VYDAJ	VYBER	1800	42977	\N	\N	\N
1140664	3899	1997-01-10	VYDAJ	VYBER	900	66877	\N	\N	\N
1140665	3899	1997-01-08	VYDAJ	VYBER	1300	68577	\N	\N	\N
1140666	3899	1997-01-08	VYDAJ	VYBER	800	67777	\N	\N	\N
1140667	3899	1997-01-11	VYDAJ	VYBER	1600	65277	\N	\N	\N
1140668	3899	1997-01-21	VYDAJ	VYBER	1500	63777	\N	\N	\N
1140669	3899	1998-01-10	VYDAJ	VYBER	1800	76336	\N	\N	\N
1140670	3899	1998-01-28	VYDAJ	VYBER KARTOU	800	61536	\N	\N	0
1140671	3899	1998-01-10	VYDAJ	VYBER	2600	73736	\N	\N	\N
1140672	3899	1998-01-21	VYDAJ	VYBER	1900	62336	\N	\N	\N
1140673	3899	1998-01-08	VYDAJ	VYBER	2500	80536	\N	\N	\N
1140674	3899	1998-01-09	VYDAJ	VYBER	2400	78136	\N	\N	\N
1140679	3899	1997-03-06	VYDAJ	VYBER	2800	61793	\N	\N	\N
1140680	3899	1997-09-16	VYDAJ	VYBER	3300	74183	\N	\N	\N
1140681	3899	1997-02-06	VYDAJ	VYBER	4900	57582	\N	\N	\N
1140682	3899	1997-09-22	VYDAJ	VYBER	2100	61083	\N	\N	\N
1140683	3899	1998-07-24	VYDAJ	VYBER KARTOU	1700	46529	\N	\N	0
1140684	3899	1998-01-01	VYDAJ	VYBER	3200	69017	\N	\N	\N
1140685	3899	1998-10-01	VYDAJ	VYBER KARTOU	4900	40852	\N	\N	0
1140686	3899	1998-10-08	VYDAJ	VYBER KARTOU	1000	56071	\N	\N	0
1140698	3899	1996-11-30	VYDAJ	VYBER	15	47851	SLUZBY	\N	\N
1140699	3899	1996-12-31	VYDAJ	VYBER	15	53658	SLUZBY	\N	\N
1140700	3899	1997-01-31	VYDAJ	VYBER	15	43194	SLUZBY	\N	\N
1140701	3899	1997-02-28	VYDAJ	VYBER	15	45305	SLUZBY	\N	\N
1140702	3899	1997-03-31	VYDAJ	VYBER	15	50735	SLUZBY	\N	\N
1140703	3899	1997-04-30	VYDAJ	VYBER	15	52684	SLUZBY	\N	\N
1140704	3899	1997-05-31	VYDAJ	VYBER	15	55342	SLUZBY	\N	\N
1140705	3899	1997-06-30	VYDAJ	VYBER	15	50729	SLUZBY	\N	\N
1140706	3899	1997-07-31	VYDAJ	VYBER	15	58485	SLUZBY	\N	\N
1140707	3899	1997-08-31	VYDAJ	VYBER	15	61264	SLUZBY	\N	\N
1140708	3899	1997-09-30	VYDAJ	VYBER	15	61348	SLUZBY	\N	\N
1140709	3899	1997-10-31	VYDAJ	VYBER	15	64437	SLUZBY	\N	\N
1140710	3899	1997-11-30	VYDAJ	VYBER	15	68840	SLUZBY	\N	\N
1140711	3899	1997-12-31	VYDAJ	VYBER	15	72217	SLUZBY	\N	\N
1140712	3899	1998-01-31	VYDAJ	VYBER	15	61810	SLUZBY	\N	\N
1140713	3899	1998-02-28	VYDAJ	VYBER	15	64496	SLUZBY	\N	\N
1140714	3899	1998-03-31	VYDAJ	VYBER	15	66393	SLUZBY	\N	\N
1140715	3899	1998-04-30	VYDAJ	VYBER	15	67596	SLUZBY	\N	\N
1140716	3899	1998-05-31	VYDAJ	VYBER	15	63592	SLUZBY	\N	\N
1140717	3899	1998-06-30	VYDAJ	VYBER	15	49410	SLUZBY	\N	\N
1140718	3899	1998-07-31	VYDAJ	VYBER	15	46732	SLUZBY	\N	\N
1140719	3899	1998-08-31	VYDAJ	VYBER	15	46344	SLUZBY	\N	\N
1140720	3899	1998-09-30	VYDAJ	VYBER	15	45752	SLUZBY	\N	\N
1140721	3899	1998-10-31	VYDAJ	VYBER	15	42249	SLUZBY	\N	\N
1140722	3899	1998-11-30	VYDAJ	VYBER	15	41637	SLUZBY	\N	\N
1140723	3899	1996-07-25	PRIJEM	VKLAD	3000	23088	\N	\N	\N
1140724	3899	1996-08-24	VYDAJ	VYBER	7600	34798	\N	\N	\N
1140725	3899	1996-09-23	VYDAJ	VYBER	12300	41895	\N	\N	\N
1140726	3899	1996-10-23	VYDAJ	VYBER	14400	46935	\N	\N	\N
1140727	3899	1996-11-22	VYDAJ	VYBER	15700	47635	\N	\N	\N
1140728	3899	1996-12-22	VYDAJ	VYBER	18800	53414	\N	\N	\N
1140729	3899	1997-01-21	VYDAJ	VYBER	16700	47077	\N	\N	\N
1140730	3899	1997-02-20	VYDAJ	VYBER	9400	45113	\N	\N	\N
1140731	3899	1997-03-22	VYDAJ	VYBER	8200	50524	\N	\N	\N
1140732	3899	1997-04-21	VYDAJ	VYBER	14500	52454	\N	\N	\N
1140733	3899	1997-05-21	VYDAJ	VYBER	13800	55103	\N	\N	\N
1140734	3899	1997-06-20	VYDAJ	VYBER	5500	50505	\N	\N	\N
1140735	3899	1997-07-20	VYDAJ	VYBER	8700	58248	\N	\N	\N
1140736	3899	1997-08-19	VYDAJ	VYBER	13700	61004	\N	\N	\N
1140737	3899	1997-09-18	VYDAJ	VYBER	11000	63183	\N	\N	\N
1140738	3899	1997-10-18	VYDAJ	VYBER	13400	64167	\N	\N	\N
1140739	3899	1997-11-17	VYDAJ	VYBER	12100	68556	\N	\N	\N
1140740	3899	1997-12-17	VYDAJ	VYBER	21900	72803	\N	\N	\N
1140741	3899	1998-01-16	VYDAJ	VYBER	9500	64236	\N	\N	\N
1140742	3899	1998-02-15	VYDAJ	VYBER	13800	64229	\N	\N	\N
1140743	3899	1998-03-17	VYDAJ	VYBER	14600	66115	\N	\N	\N
1140744	3899	1998-04-16	VYDAJ	VYBER	15300	67312	\N	\N	\N
1140745	3899	1998-05-16	VYDAJ	VYBER	20500	63315	\N	\N	\N
1140746	3899	1998-06-15	VYDAJ	VYBER	27300	62155	\N	\N	\N
1140747	3899	1998-07-15	VYDAJ	VYBER	17400	48229	\N	\N	\N
1140748	3899	1998-08-14	VYDAJ	VYBER	16800	46151	\N	\N	\N
1140749	3899	1998-09-13	VYDAJ	VYBER	17000	45563	\N	\N	\N
1140750	3899	1998-10-13	VYDAJ	VYBER	14000	42071	\N	\N	\N
1140751	3899	1998-11-12	VYDAJ	VYBER	17000	41468	\N	\N	\N
1140752	3899	1998-12-12	VYDAJ	VYBER	21100	46400	\N	\N	\N
1141074	3901	1997-08-30	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1141083	3901	1997-09-05	PRIJEM	VKLAD	17211	18311	\N	\N	\N
1141084	3901	1997-10-05	PRIJEM	VKLAD	17211	36327	\N	\N	\N
1141085	3901	1997-11-05	PRIJEM	VKLAD	17211	46922	\N	\N	\N
1141086	3901	1997-12-05	PRIJEM	VKLAD	25816	64565	\N	\N	\N
1141087	3901	1998-01-05	PRIJEM	VKLAD	17211	68144	\N	\N	\N
1141088	3901	1998-02-05	PRIJEM	VKLAD	17211	60160	\N	\N	\N
1141089	3901	1998-03-05	PRIJEM	VKLAD	17211	63537	\N	\N	\N
1141090	3901	1998-04-05	PRIJEM	VKLAD	17211	61954	\N	\N	\N
1141091	3901	1998-05-05	PRIJEM	VKLAD	17211	64192	\N	\N	\N
1141092	3901	1998-06-05	PRIJEM	VKLAD	25816	62989	\N	\N	\N
1141093	3901	1998-07-05	PRIJEM	VKLAD	17211	70733	\N	\N	\N
1141094	3901	1998-08-05	PRIJEM	VKLAD	17211	73555	\N	\N	\N
1141095	3901	1998-09-05	PRIJEM	VKLAD	17211	74486	\N	\N	\N
1141096	3901	1998-10-05	PRIJEM	VKLAD	17211	77424	\N	\N	\N
1141097	3901	1998-11-05	PRIJEM	VKLAD	17211	77472	\N	\N	\N
1141098	3901	1998-12-05	PRIJEM	VKLAD	25816	86228	\N	\N	\N
1141124	3901	1998-06-03	VYDAJ	VYBER	10700	37173	\N	\N	\N
1141126	3901	1998-01-25	VYDAJ	VYBER	3800	57744	\N	\N	\N
1141128	3901	1998-12-29	VYDAJ	VYBER	1000	61528	\N	\N	\N
1141135	3901	1998-01-30	VYDAJ	VYBER	2600	42744	\N	\N	\N
1141136	3901	1998-01-20	VYDAJ	VYBER	1300	64144	\N	\N	\N
1141137	3901	1998-01-20	VYDAJ	VYBER	1200	62944	\N	\N	\N
1141138	3901	1998-01-19	VYDAJ	VYBER	2700	65444	\N	\N	\N
1141139	3901	1998-01-27	VYDAJ	VYBER	2100	55644	\N	\N	\N
1141140	3901	1998-01-24	VYDAJ	VYBER	1400	61544	\N	\N	\N
1141147	3901	1998-12-12	VYDAJ	VYBER	4200	77728	\N	\N	\N
1141148	3901	1998-04-01	VYDAJ	VYBER	2800	44743	\N	\N	\N
1141149	3901	1998-12-12	VYDAJ	VYBER	4300	81928	\N	\N	\N
1141150	3901	1998-10-31	VYDAJ	VYBER	1300	60261	\N	\N	\N
1141151	3901	1998-03-15	VYDAJ	VYBER	1700	61837	\N	\N	\N
1141152	3901	1998-12-30	VYDAJ	VYBER	2500	59028	\N	\N	\N
1141166	3901	1998-01-31	VYDAJ	VYBER	15	42949	SLUZBY	\N	\N
1141167	3901	1998-02-28	VYDAJ	VYBER	15	46326	SLUZBY	\N	\N
1141168	3901	1998-03-31	VYDAJ	VYBER	15	47543	SLUZBY	\N	\N
1141169	3901	1998-04-30	VYDAJ	VYBER	15	46981	SLUZBY	\N	\N
1141170	3901	1998-05-31	VYDAJ	VYBER	15	47873	SLUZBY	\N	\N
1141171	3901	1998-06-30	VYDAJ	VYBER	15	53522	SLUZBY	\N	\N
1141172	3901	1998-07-31	VYDAJ	VYBER	15	56344	SLUZBY	\N	\N
1141173	3901	1998-08-31	VYDAJ	VYBER	15	57275	SLUZBY	\N	\N
1141174	3901	1998-09-30	VYDAJ	VYBER	15	60213	SLUZBY	\N	\N
1141175	3901	1998-10-31	VYDAJ	VYBER	15	61561	SLUZBY	\N	\N
1141176	3901	1998-11-30	VYDAJ	VYBER	15	60412	SLUZBY	\N	\N
1141177	3901	1997-09-29	PRIJEM	VKLAD	800	19111	\N	\N	\N
1141178	3901	1997-10-29	VYDAJ	VYBER	6700	29627	\N	\N	\N
1141179	3901	1997-11-28	VYDAJ	VYBER	8300	38622	\N	\N	\N
1141180	3901	1997-12-28	VYDAJ	VYBER	13800	50765	\N	\N	\N
1141181	3901	1998-01-27	VYDAJ	VYBER	10300	45344	\N	\N	\N
1141182	3901	1998-02-26	VYDAJ	VYBER	14000	46160	\N	\N	\N
1141183	3901	1998-03-28	VYDAJ	VYBER	14500	47337	\N	\N	\N
1141184	3901	1998-04-27	VYDAJ	VYBER	15200	46754	\N	\N	\N
1141185	3901	1998-05-27	VYDAJ	VYBER	16500	47692	\N	\N	\N
1141186	3901	1998-06-26	VYDAJ	VYBER	9700	53289	\N	\N	\N
1141187	3901	1998-07-26	VYDAJ	VYBER	14600	56133	\N	\N	\N
1141188	3901	1998-08-25	VYDAJ	VYBER	16500	57055	\N	\N	\N
1141189	3901	1998-09-24	VYDAJ	VYBER	14500	59986	\N	\N	\N
1141190	3901	1998-10-24	VYDAJ	VYBER	16100	61324	\N	\N	\N
1141191	3901	1998-11-23	VYDAJ	VYBER	17300	60172	\N	\N	\N
1141192	3901	1998-12-23	VYDAJ	VYBER	15200	62528	\N	\N	\N
1141209	3902	1995-08-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1141218	3902	1995-09-07	PRIJEM	VKLAD	9653	10453	\N	\N	\N
1141219	3902	1995-10-07	PRIJEM	VKLAD	9653	28168	\N	\N	\N
1141220	3902	1995-11-07	PRIJEM	VKLAD	9653	36722	\N	\N	\N
1141221	3902	1995-12-07	PRIJEM	VKLAD	14480	43445	\N	\N	\N
1141222	3902	1996-01-07	PRIJEM	VKLAD	9653	45674	\N	\N	\N
1141223	3902	1996-02-07	PRIJEM	VKLAD	9653	33989	\N	\N	\N
1141224	3902	1996-03-07	PRIJEM	VKLAD	9653	34917	\N	\N	\N
1141225	3902	1996-04-07	PRIJEM	VKLAD	9653	33833	\N	\N	\N
1141226	3902	1996-05-07	PRIJEM	VKLAD	9653	36554	\N	\N	\N
1141227	3902	1996-06-07	PRIJEM	VKLAD	14480	41771	\N	\N	\N
1141228	3902	1996-07-07	PRIJEM	VKLAD	9653	30147	\N	\N	\N
1141229	3902	1996-08-07	PRIJEM	VKLAD	9653	36452	\N	\N	\N
1141230	3902	1996-09-07	PRIJEM	VKLAD	9653	38194	\N	\N	\N
1141231	3902	1996-10-07	PRIJEM	VKLAD	9653	37633	\N	\N	\N
1141232	3902	1996-11-07	PRIJEM	VKLAD	9653	37785	\N	\N	\N
1141233	3902	1996-12-07	PRIJEM	VKLAD	14480	42238	\N	\N	\N
1141234	3902	1997-01-07	PRIJEM	VKLAD	9653	33123	\N	\N	\N
1141235	3902	1997-02-07	PRIJEM	VKLAD	9653	31561	\N	\N	\N
1141236	3902	1997-03-07	PRIJEM	VKLAD	9653	32012	\N	\N	\N
1141237	3902	1997-04-07	PRIJEM	VKLAD	9653	32564	\N	\N	\N
1141238	3902	1997-05-07	PRIJEM	VKLAD	9653	31970	\N	\N	\N
1141239	3902	1997-06-07	PRIJEM	VKLAD	14480	37211	\N	\N	\N
1141240	3902	1997-07-07	PRIJEM	VKLAD	9653	37328	\N	\N	\N
1141241	3902	1997-08-07	PRIJEM	VKLAD	9653	39256	\N	\N	\N
1141242	3902	1997-09-07	PRIJEM	VKLAD	9653	38887	\N	\N	\N
1141243	3902	1997-10-07	PRIJEM	VKLAD	9653	33616	\N	\N	\N
1141244	3902	1997-11-07	PRIJEM	VKLAD	9653	35135	\N	\N	\N
1141245	3902	1997-12-07	PRIJEM	VKLAD	14480	37274	\N	\N	\N
1141246	3902	1998-01-07	PRIJEM	VKLAD	9653	24995	\N	\N	\N
1141247	3902	1998-02-07	PRIJEM	VKLAD	9653	26364	\N	\N	\N
1141248	3902	1998-03-07	PRIJEM	VKLAD	9653	26750	\N	\N	\N
1141249	3902	1998-04-07	PRIJEM	VKLAD	9653	28030	\N	\N	\N
1141250	3902	1998-05-07	PRIJEM	VKLAD	9653	28478	\N	\N	\N
1141251	3902	1998-06-07	PRIJEM	VKLAD	14480	40309	\N	\N	\N
1141252	3902	1998-07-07	PRIJEM	VKLAD	9653	34654	\N	\N	\N
1141253	3902	1998-08-07	PRIJEM	VKLAD	9653	35676	\N	\N	\N
1141254	3902	1998-09-07	PRIJEM	VKLAD	9653	28357	\N	\N	\N
1141255	3902	1998-10-07	PRIJEM	VKLAD	9653	25939	\N	\N	\N
1141256	3902	1998-11-07	PRIJEM	VKLAD	9653	23910	\N	\N	\N
1141257	3902	1998-12-07	PRIJEM	VKLAD	14480	31205	\N	\N	\N
1141270	3902	1996-01-13	VYDAJ	PREVOD NA UCET	1016	41658	SIPO	WX	38989275
1141271	3902	1996-02-13	VYDAJ	PREVOD NA UCET	1016	27554	SIPO	WX	38989275
1141272	3902	1996-03-13	VYDAJ	PREVOD NA UCET	1016	30301	SIPO	WX	38989275
1141273	3902	1996-04-13	VYDAJ	PREVOD NA UCET	1016	32817	SIPO	WX	38989275
1141274	3902	1996-05-13	VYDAJ	PREVOD NA UCET	1016	30119	SIPO	WX	38989275
1141275	3902	1996-06-13	VYDAJ	PREVOD NA UCET	1016	40755	SIPO	WX	38989275
1141276	3902	1996-07-13	VYDAJ	PREVOD NA UCET	1016	23712	SIPO	WX	38989275
1141277	3902	1996-08-13	VYDAJ	PREVOD NA UCET	1016	35436	SIPO	WX	38989275
1141278	3902	1996-09-13	VYDAJ	PREVOD NA UCET	1016	31759	SIPO	WX	38989275
1141279	3902	1996-10-13	VYDAJ	PREVOD NA UCET	1016	36617	SIPO	WX	38989275
1141280	3902	1996-11-13	VYDAJ	PREVOD NA UCET	1016	36769	SIPO	WX	38989275
1141281	3902	1996-12-13	VYDAJ	PREVOD NA UCET	1016	39302	SIPO	WX	38989275
1141282	3902	1997-01-13	VYDAJ	PREVOD NA UCET	1016	26688	SIPO	WX	38989275
1141283	3902	1997-02-13	VYDAJ	PREVOD NA UCET	1016	30545	SIPO	WX	38989275
1141284	3902	1997-03-13	VYDAJ	PREVOD NA UCET	1016	30996	SIPO	WX	38989275
1141285	3902	1997-04-13	VYDAJ	PREVOD NA UCET	1016	31548	SIPO	WX	38989275
1141286	3902	1997-05-13	VYDAJ	PREVOD NA UCET	1016	30954	SIPO	WX	38989275
1141287	3902	1997-06-13	VYDAJ	PREVOD NA UCET	1016	30776	SIPO	WX	38989275
1141288	3902	1997-07-13	VYDAJ	PREVOD NA UCET	1016	30893	SIPO	WX	38989275
1141289	3902	1997-08-13	VYDAJ	PREVOD NA UCET	1016	38240	SIPO	WX	38989275
1141290	3902	1997-09-13	VYDAJ	PREVOD NA UCET	1016	32452	SIPO	WX	38989275
1141291	3902	1997-10-13	VYDAJ	PREVOD NA UCET	1016	32600	SIPO	WX	38989275
1141292	3902	1997-11-13	VYDAJ	PREVOD NA UCET	1016	28700	SIPO	WX	38989275
1141293	3902	1997-12-13	VYDAJ	PREVOD NA UCET	1016	36258	SIPO	WX	38989275
1141294	3902	1998-01-13	VYDAJ	PREVOD NA UCET	1016	15320	SIPO	WX	38989275
1141295	3902	1998-02-13	VYDAJ	PREVOD NA UCET	1016	25348	SIPO	WX	38989275
1141296	3902	1998-03-13	VYDAJ	PREVOD NA UCET	1016	20315	SIPO	WX	38989275
1141297	3902	1998-04-13	VYDAJ	PREVOD NA UCET	1016	27014	SIPO	WX	38989275
1141298	3902	1998-05-13	VYDAJ	PREVOD NA UCET	1016	27462	SIPO	WX	38989275
1141299	3902	1998-06-13	VYDAJ	PREVOD NA UCET	1016	33874	SIPO	WX	38989275
1141300	3902	1998-07-13	VYDAJ	PREVOD NA UCET	1016	33638	SIPO	WX	38989275
1141301	3902	1998-08-13	VYDAJ	PREVOD NA UCET	1016	24321	SIPO	WX	38989275
1141302	3902	1998-09-13	VYDAJ	PREVOD NA UCET	1016	21922	SIPO	WX	38989275
1141303	3902	1998-10-13	VYDAJ	PREVOD NA UCET	1016	19504	SIPO	WX	38989275
1141304	3902	1998-11-13	VYDAJ	PREVOD NA UCET	1016	17475	SIPO	WX	38989275
1141305	3902	1998-12-13	VYDAJ	PREVOD NA UCET	1016	27629	SIPO	WX	38989275
1141318	3902	1996-01-13	VYDAJ	PREVOD NA UCET	5419	36239	 	ST	77708458
1141319	3902	1996-02-13	VYDAJ	PREVOD NA UCET	5419	28570	 	ST	77708458
1141320	3902	1996-03-13	VYDAJ	PREVOD NA UCET	5419	24882	 	ST	77708458
1141321	3902	1996-04-13	VYDAJ	PREVOD NA UCET	5419	27398	 	ST	77708458
1141322	3902	1996-05-13	VYDAJ	PREVOD NA UCET	5419	31135	 	ST	77708458
1141323	3902	1996-06-13	VYDAJ	PREVOD NA UCET	5419	35336	 	ST	77708458
1141324	3902	1996-07-13	VYDAJ	PREVOD NA UCET	5419	24728	 	ST	77708458
1141325	3902	1996-08-13	VYDAJ	PREVOD NA UCET	5419	30017	 	ST	77708458
1141326	3902	1996-09-13	VYDAJ	PREVOD NA UCET	5419	32775	 	ST	77708458
1141327	3902	1996-10-13	VYDAJ	PREVOD NA UCET	5419	31198	 	ST	77708458
1141328	3902	1996-11-13	VYDAJ	PREVOD NA UCET	5419	31350	 	ST	77708458
1141329	3902	1996-12-13	VYDAJ	PREVOD NA UCET	5419	33883	 	ST	77708458
1141330	3902	1997-01-13	VYDAJ	PREVOD NA UCET	5419	27704	 	ST	77708458
1141331	3902	1997-02-13	VYDAJ	PREVOD NA UCET	5419	25126	 	ST	77708458
1141332	3902	1997-03-13	VYDAJ	PREVOD NA UCET	5419	25577	 	ST	77708458
1141333	3902	1997-04-13	VYDAJ	PREVOD NA UCET	5419	26129	 	ST	77708458
1141334	3902	1997-05-13	VYDAJ	PREVOD NA UCET	5419	25535	 	ST	77708458
1141335	3902	1997-06-13	VYDAJ	PREVOD NA UCET	5419	31792	 	ST	77708458
1141336	3902	1997-07-13	VYDAJ	PREVOD NA UCET	5419	31909	 	ST	77708458
1141337	3902	1997-08-13	VYDAJ	PREVOD NA UCET	5419	32821	 	ST	77708458
1141338	3902	1997-09-13	VYDAJ	PREVOD NA UCET	5419	33468	 	ST	77708458
1141339	3902	1997-10-13	VYDAJ	PREVOD NA UCET	5419	27181	 	ST	77708458
1141340	3902	1997-11-13	VYDAJ	PREVOD NA UCET	5419	29716	 	ST	77708458
1141341	3902	1997-12-13	VYDAJ	PREVOD NA UCET	5419	30839	 	ST	77708458
1141342	3902	1998-01-13	VYDAJ	PREVOD NA UCET	5419	16336	 	ST	77708458
1141343	3902	1998-02-13	VYDAJ	PREVOD NA UCET	5419	19929	 	ST	77708458
1141344	3902	1998-03-13	VYDAJ	PREVOD NA UCET	5419	21331	 	ST	77708458
1141345	3902	1998-04-13	VYDAJ	PREVOD NA UCET	5419	21595	 	ST	77708458
1141346	3902	1998-05-13	VYDAJ	PREVOD NA UCET	5419	22043	 	ST	77708458
1141347	3902	1998-06-13	VYDAJ	PREVOD NA UCET	5419	34890	 	ST	77708458
1141348	3902	1998-07-13	VYDAJ	PREVOD NA UCET	5419	28219	 	ST	77708458
1141349	3902	1998-08-13	VYDAJ	PREVOD NA UCET	5419	25337	 	ST	77708458
1141350	3902	1998-09-13	VYDAJ	PREVOD NA UCET	5419	22938	 	ST	77708458
1141351	3902	1998-10-13	VYDAJ	PREVOD NA UCET	5419	20520	 	ST	77708458
1141352	3902	1998-11-13	VYDAJ	PREVOD NA UCET	5419	18491	 	ST	77708458
1141353	3902	1998-12-13	VYDAJ	PREVOD NA UCET	5419	22210	 	ST	77708458
1141355	3902	1996-06-28	VYDAJ	VYBER	14880	20456	\N	\N	\N
1141360	3902	1997-01-16	VYDAJ	VYBER	10880	15808	\N	\N	\N
1141363	3902	1996-12-07	VYDAJ	VYBER	1920	40318	\N	\N	\N
1141364	3902	1997-12-23	VYDAJ	VYBER	3520	27319	\N	\N	\N
1141365	3902	1998-12-13	VYDAJ	VYBER	2560	28645	\N	\N	\N
1141372	3902	1996-01-15	VYDAJ	VYBER	2880	33359	\N	\N	\N
1141373	3902	1996-01-08	VYDAJ	VYBER	1320	44354	\N	\N	\N
1141374	3902	1996-01-19	VYDAJ	VYBER	1920	31439	\N	\N	\N
1141375	3902	1996-01-10	VYDAJ	VYBER	1680	42674	\N	\N	\N
1141377	3902	1996-01-21	VYDAJ	VYBER	2040	29399	\N	\N	\N
1141378	3902	1997-01-03	VYDAJ	VYBER	3480	25270	\N	\N	\N
1141380	3902	1997-01-25	VYDAJ	VYBER	1080	14728	\N	\N	\N
1141381	3902	1997-01-05	VYDAJ	VYBER	1800	23470	\N	\N	\N
1141382	3902	1997-01-03	VYDAJ	VYBER	1560	28750	\N	\N	\N
1141384	3902	1998-01-19	VYDAJ	VYBER	960	13760	\N	\N	\N
1141387	3902	1998-01-15	VYDAJ	VYBER	600	14720	\N	\N	\N
1141389	3902	1998-01-09	VYDAJ	VYBER	3240	21755	\N	\N	\N
1141398	3902	1996-11-25	VYDAJ	VYBER	2400	28950	\N	\N	\N
1141399	3902	1996-03-10	VYDAJ	VYBER	3600	31317	\N	\N	\N
1141400	3902	1996-05-28	VYDAJ	VYBER	840	29279	\N	\N	\N
1141401	3902	1996-04-18	VYDAJ	VYBER	1800	25598	\N	\N	\N
1141402	3902	1997-12-24	VYDAJ	VYBER	5400	16159	\N	\N	\N
1141403	3902	1997-02-25	VYDAJ	VYBER	1320	23806	\N	\N	\N
1141404	3902	1997-12-24	VYDAJ	VYBER	5760	21559	\N	\N	\N
1141405	3902	1997-03-22	VYDAJ	VYBER	3360	22217	\N	\N	\N
1141406	3902	1997-03-03	VYDAJ	VYBER	5040	22359	\N	\N	\N
1141407	3902	1998-08-08	VYDAJ	VYBER	4920	30756	\N	\N	\N
1141408	3902	1998-07-02	VYDAJ	VYBER	2880	25001	\N	\N	\N
1141409	3902	1998-05-06	VYDAJ	VYBER	4440	18825	\N	\N	\N
1141410	3902	1998-12-26	VYDAJ	VYBER	1800	18810	\N	\N	\N
1141424	3902	1996-01-31	VYDAJ	VYBER	15	29536	SLUZBY	\N	\N
1141425	3902	1996-02-29	VYDAJ	VYBER	15	27664	SLUZBY	\N	\N
1141426	3902	1996-03-31	VYDAJ	VYBER	15	24980	SLUZBY	\N	\N
1141427	3902	1996-04-30	VYDAJ	VYBER	15	25701	SLUZBY	\N	\N
1141428	3902	1996-05-31	VYDAJ	VYBER	15	29391	SLUZBY	\N	\N
1141429	3902	1996-06-30	VYDAJ	VYBER	15	20594	SLUZBY	\N	\N
1141430	3902	1996-07-31	VYDAJ	VYBER	15	23799	SLUZBY	\N	\N
1141431	3902	1996-08-31	VYDAJ	VYBER	15	30141	SLUZBY	\N	\N
1141432	3902	1996-09-30	VYDAJ	VYBER	15	31880	SLUZBY	\N	\N
1141433	3902	1996-10-31	VYDAJ	VYBER	15	28132	SLUZBY	\N	\N
1141434	3902	1996-11-30	VYDAJ	VYBER	15	29058	SLUZBY	\N	\N
1141435	3902	1996-12-31	VYDAJ	VYBER	15	30310	SLUZBY	\N	\N
1141436	3902	1997-01-31	VYDAJ	VYBER	15	21908	SLUZBY	\N	\N
1141437	3902	1997-02-28	VYDAJ	VYBER	15	27399	SLUZBY	\N	\N
1141438	3902	1997-03-31	VYDAJ	VYBER	15	22911	SLUZBY	\N	\N
1141439	3902	1997-04-30	VYDAJ	VYBER	15	22317	SLUZBY	\N	\N
1141440	3902	1997-05-31	VYDAJ	VYBER	15	22731	SLUZBY	\N	\N
1141441	3902	1997-06-30	VYDAJ	VYBER	15	27675	SLUZBY	\N	\N
1141442	3902	1997-07-31	VYDAJ	VYBER	15	29603	SLUZBY	\N	\N
1141443	3902	1997-08-31	VYDAJ	VYBER	15	29234	SLUZBY	\N	\N
1141444	3902	1997-09-30	VYDAJ	VYBER	15	23963	SLUZBY	\N	\N
1141445	3902	1997-10-31	VYDAJ	VYBER	15	25482	SLUZBY	\N	\N
1141446	3902	1997-11-30	VYDAJ	VYBER	15	22794	SLUZBY	\N	\N
1141447	3902	1997-12-31	VYDAJ	VYBER	15	15342	SLUZBY	\N	\N
1141448	3902	1998-01-31	VYDAJ	VYBER	15	16711	SLUZBY	\N	\N
1141449	3902	1998-02-28	VYDAJ	VYBER	15	17097	SLUZBY	\N	\N
1141450	3902	1998-03-31	VYDAJ	VYBER	15	18377	SLUZBY	\N	\N
1141451	3902	1998-04-30	VYDAJ	VYBER	15	23265	SLUZBY	\N	\N
1141452	3902	1998-05-31	VYDAJ	VYBER	15	25829	SLUZBY	\N	\N
1141453	3902	1998-06-30	VYDAJ	VYBER	15	27881	SLUZBY	\N	\N
1141454	3902	1998-07-31	VYDAJ	VYBER	15	26023	SLUZBY	\N	\N
1141455	3902	1998-08-31	VYDAJ	VYBER	15	18704	SLUZBY	\N	\N
1141456	3902	1998-09-30	VYDAJ	VYBER	15	16286	SLUZBY	\N	\N
1141457	3902	1998-10-31	VYDAJ	VYBER	15	14257	SLUZBY	\N	\N
1141458	3902	1998-11-30	VYDAJ	VYBER	15	16725	SLUZBY	\N	\N
1141459	3902	1995-09-07	PRIJEM	VKLAD	8000	18453	\N	\N	\N
1141460	3902	1995-10-07	VYDAJ	VYBER	2500	25668	\N	\N	\N
1141461	3902	1995-11-06	PRIJEM	VKLAD	1300	27069	\N	\N	\N
1141462	3902	1995-12-06	VYDAJ	VYBER	7900	28965	\N	\N	\N
1141463	3902	1996-01-05	VYDAJ	VYBER	7600	36021	\N	\N	\N
1141464	3902	1996-02-04	VYDAJ	VYBER	5200	24336	\N	\N	\N
1141465	3902	1996-03-05	VYDAJ	VYBER	2400	25264	\N	\N	\N
1141466	3902	1996-04-04	VYDAJ	VYBER	800	24180	\N	\N	\N
1141467	3902	1996-05-04	PRIJEM	VKLAD	1200	26901	\N	\N	\N
1141468	3902	1996-06-03	VYDAJ	VYBER	2100	27291	\N	\N	\N
1141469	3902	1996-07-03	VYDAJ	VYBER	100	20494	\N	\N	\N
1141470	3902	1996-08-02	PRIJEM	VKLAD	3000	26799	\N	\N	\N
1141471	3902	1996-09-01	VYDAJ	VYBER	1600	28541	\N	\N	\N
1141472	3902	1996-10-01	VYDAJ	VYBER	3900	27980	\N	\N	\N
1141473	3902	1996-10-31	VYDAJ	VYBER	3200	28147	\N	\N	\N
1141474	3902	1996-11-30	VYDAJ	VYBER	1300	27758	\N	\N	\N
1141475	3902	1996-12-30	VYDAJ	VYBER	3700	30183	\N	\N	\N
1141476	3902	1997-01-29	PRIJEM	VKLAD	7100	21828	\N	\N	\N
1141477	3902	1997-02-28	PRIJEM	VKLAD	3500	27306	\N	\N	\N
1141478	3902	1997-03-30	PRIJEM	VKLAD	600	22817	\N	\N	\N
1141479	3902	1997-04-29	VYDAJ	VYBER	3900	22229	\N	\N	\N
1141480	3902	1997-05-29	VYDAJ	VYBER	2900	22635	\N	\N	\N
1141481	3902	1997-06-28	VYDAJ	VYBER	3200	27576	\N	\N	\N
1141482	3902	1997-07-28	VYDAJ	VYBER	1400	29493	\N	\N	\N
1141483	3902	1997-08-27	VYDAJ	VYBER	3700	29121	\N	\N	\N
1141484	3902	1997-09-26	VYDAJ	VYBER	8600	23852	\N	\N	\N
1141485	3902	1997-10-26	VYDAJ	VYBER	1800	25381	\N	\N	\N
1141486	3902	1997-11-25	VYDAJ	VYBER	6000	22700	\N	\N	\N
1141487	3902	1997-12-25	VYDAJ	VYBER	900	15259	\N	\N	\N
1141488	3902	1998-01-24	PRIJEM	VKLAD	2900	16660	\N	\N	\N
1141489	3902	1998-02-23	VYDAJ	VYBER	2900	17029	\N	\N	\N
1141490	3902	1998-03-25	VYDAJ	VYBER	2000	18315	\N	\N	\N
1141491	3902	1998-04-24	PRIJEM	VKLAD	1600	23195	\N	\N	\N
1141492	3902	1998-05-24	PRIJEM	VKLAD	3700	25743	\N	\N	\N
1141493	3902	1998-06-23	VYDAJ	VYBER	6100	27774	\N	\N	\N
1141494	3902	1998-07-23	VYDAJ	VYBER	2300	25919	\N	\N	\N
1141495	3902	1998-08-22	VYDAJ	VYBER	5700	18621	\N	\N	\N
1141496	3902	1998-09-21	VYDAJ	VYBER	5700	16222	\N	\N	\N
1141497	3902	1998-10-21	VYDAJ	VYBER	5300	14204	\N	\N	\N
1141498	3902	1998-11-20	VYDAJ	VYBER	800	16675	\N	\N	\N
1141499	3902	1998-12-20	VYDAJ	VYBER	1600	20610	\N	\N	\N
1141540	3903	1994-12-19	PRIJEM	VKLAD	500	500	\N	\N	\N
1141553	3903	1995-01-14	PRIJEM	VKLAD	17346	17846	\N	\N	\N
1141554	3903	1995-02-14	PRIJEM	VKLAD	17346	36829	\N	\N	\N
1141555	3903	1995-03-14	PRIJEM	VKLAD	17346	49178	\N	\N	\N
1141556	3903	1995-04-14	PRIJEM	VKLAD	17346	56068	\N	\N	\N
1141557	3903	1995-05-14	PRIJEM	VKLAD	17346	59481	\N	\N	\N
1141558	3903	1995-06-14	PRIJEM	VKLAD	26019	60074	\N	\N	\N
1141559	3903	1995-07-14	PRIJEM	VKLAD	17346	49445	\N	\N	\N
1141560	3903	1995-08-14	PRIJEM	VKLAD	17346	48765	\N	\N	\N
1141561	3903	1995-09-14	PRIJEM	VKLAD	17346	47872	\N	\N	\N
1141562	3903	1995-10-14	PRIJEM	VKLAD	17346	42632	\N	\N	\N
1141563	3903	1995-11-14	PRIJEM	VKLAD	17346	36655	\N	\N	\N
1141564	3903	1995-12-14	PRIJEM	VKLAD	26019	48699	\N	\N	\N
1141565	3903	1996-01-14	PRIJEM	VKLAD	17346	44164	\N	\N	\N
1141566	3903	1996-02-14	PRIJEM	VKLAD	17346	43098	\N	\N	\N
1141567	3903	1996-03-14	PRIJEM	VKLAD	17346	48912	\N	\N	\N
1141568	3903	1996-04-14	PRIJEM	VKLAD	17346	48953	\N	\N	\N
1141569	3903	1996-05-14	PRIJEM	VKLAD	17346	46103	\N	\N	\N
1141570	3903	1996-06-14	PRIJEM	VKLAD	26019	50098	\N	\N	\N
1141571	3903	1996-07-14	PRIJEM	VKLAD	17346	41559	\N	\N	\N
1141572	3903	1996-08-14	PRIJEM	VKLAD	17346	40661	\N	\N	\N
1141573	3903	1996-09-14	PRIJEM	VKLAD	17346	42172	\N	\N	\N
1141574	3903	1996-10-14	PRIJEM	VKLAD	17346	40649	\N	\N	\N
1141575	3903	1996-11-14	PRIJEM	VKLAD	17346	41665	\N	\N	\N
1141576	3903	1996-12-14	PRIJEM	VKLAD	26019	47655	\N	\N	\N
1141577	3903	1997-01-14	PRIJEM	VKLAD	17346	39507	\N	\N	\N
1141578	3903	1997-02-14	PRIJEM	VKLAD	17346	32641	\N	\N	\N
1141579	3903	1997-03-14	PRIJEM	VKLAD	17346	29891	\N	\N	\N
1141580	3903	1997-04-14	PRIJEM	VKLAD	17346	29156	\N	\N	\N
1141581	3903	1997-05-14	PRIJEM	VKLAD	17346	31924	\N	\N	\N
1141582	3903	1997-06-14	PRIJEM	VKLAD	26019	42071	\N	\N	\N
1141583	3903	1997-07-14	PRIJEM	VKLAD	17346	41174	\N	\N	\N
1141584	3903	1997-08-14	PRIJEM	VKLAD	17346	36290	\N	\N	\N
1141585	3903	1997-09-14	PRIJEM	VKLAD	17346	36108	\N	\N	\N
1141586	3903	1997-10-14	PRIJEM	VKLAD	17346	36242	\N	\N	\N
1141587	3903	1997-11-14	PRIJEM	VKLAD	17346	36236	\N	\N	\N
1141588	3903	1997-12-14	PRIJEM	VKLAD	26019	45510	\N	\N	\N
1141589	3903	1998-01-14	PRIJEM	VKLAD	17346	42414	\N	\N	\N
1141590	3903	1998-02-14	PRIJEM	VKLAD	17346	34005	\N	\N	\N
1141591	3903	1998-03-14	PRIJEM	VKLAD	17346	31642	\N	\N	\N
1141592	3903	1998-04-14	PRIJEM	VKLAD	17346	36913	\N	\N	\N
1141593	3903	1998-05-14	PRIJEM	VKLAD	17346	38303	\N	\N	\N
1141594	3903	1998-06-14	PRIJEM	VKLAD	26019	47177	\N	\N	\N
1141595	3903	1998-07-14	PRIJEM	VKLAD	17346	46002	\N	\N	\N
1141596	3903	1998-08-14	PRIJEM	VKLAD	17346	44738	\N	\N	\N
1141597	3903	1998-09-14	PRIJEM	VKLAD	17346	37148	\N	\N	\N
1141598	3903	1998-10-14	PRIJEM	VKLAD	17346	37729	\N	\N	\N
1141599	3903	1998-11-14	PRIJEM	VKLAD	17346	42711	\N	\N	\N
1141600	3903	1998-12-14	PRIJEM	VKLAD	26019	53885	\N	\N	\N
1141618	3903	1995-06-13	VYDAJ	PREVOD NA UCET	6583	34055	SIPO	CD	41765970
1141619	3903	1995-07-13	VYDAJ	PREVOD NA UCET	6583	32099	SIPO	CD	41765970
1141620	3903	1995-08-13	VYDAJ	PREVOD NA UCET	6583	31419	SIPO	CD	41765970
1141621	3903	1995-09-13	VYDAJ	PREVOD NA UCET	6583	30526	SIPO	CD	41765970
1141622	3903	1995-10-13	VYDAJ	PREVOD NA UCET	6583	25286	SIPO	CD	41765970
1141623	3903	1995-11-13	VYDAJ	PREVOD NA UCET	6583	19309	SIPO	CD	41765970
1141624	3903	1995-12-13	VYDAJ	PREVOD NA UCET	6583	22680	SIPO	CD	41765970
1141625	3903	1996-01-13	VYDAJ	PREVOD NA UCET	6583	26818	SIPO	CD	41765970
1141626	3903	1996-02-13	VYDAJ	PREVOD NA UCET	6583	25752	SIPO	CD	41765970
1141627	3903	1996-03-13	VYDAJ	PREVOD NA UCET	6583	36666	SIPO	CD	41765970
1141628	3903	1996-04-13	VYDAJ	PREVOD NA UCET	6583	31607	SIPO	CD	41765970
1141629	3903	1996-05-13	VYDAJ	PREVOD NA UCET	6583	28757	SIPO	CD	41765970
1141630	3903	1996-06-13	VYDAJ	PREVOD NA UCET	6583	24079	SIPO	CD	41765970
1141631	3903	1996-07-13	VYDAJ	PREVOD NA UCET	6583	24213	SIPO	CD	41765970
1141632	3903	1996-08-13	VYDAJ	PREVOD NA UCET	6583	23315	SIPO	CD	41765970
1141633	3903	1996-09-13	VYDAJ	PREVOD NA UCET	6583	24826	SIPO	CD	41765970
1141634	3903	1996-10-13	VYDAJ	PREVOD NA UCET	6583	23303	SIPO	CD	41765970
1141635	3903	1996-11-13	VYDAJ	PREVOD NA UCET	6583	24319	SIPO	CD	41765970
1141636	3903	1996-12-13	VYDAJ	PREVOD NA UCET	6583	21636	SIPO	CD	41765970
1141637	3903	1997-01-13	VYDAJ	PREVOD NA UCET	6583	22161	SIPO	CD	41765970
1141638	3903	1997-02-13	VYDAJ	PREVOD NA UCET	6583	15295	SIPO	CD	41765970
1141639	3903	1997-03-13	VYDAJ	PREVOD NA UCET	6583	12545	SIPO	CD	41765970
1141640	3903	1997-04-13	VYDAJ	PREVOD NA UCET	6583	11810	SIPO	CD	41765970
1141641	3903	1997-05-13	VYDAJ	PREVOD NA UCET	6583	14578	SIPO	CD	41765970
1141642	3903	1997-06-13	VYDAJ	PREVOD NA UCET	6583	16052	SIPO	CD	41765970
1141643	3903	1997-07-13	VYDAJ	PREVOD NA UCET	6583	23828	SIPO	CD	41765970
1141644	3903	1997-08-13	VYDAJ	PREVOD NA UCET	6583	18944	SIPO	CD	41765970
1141645	3903	1997-09-13	VYDAJ	PREVOD NA UCET	6583	18762	SIPO	CD	41765970
1141646	3903	1997-10-13	VYDAJ	PREVOD NA UCET	6583	18896	SIPO	CD	41765970
1141647	3903	1997-11-13	VYDAJ	PREVOD NA UCET	6583	18890	SIPO	CD	41765970
1141648	3903	1997-12-13	VYDAJ	PREVOD NA UCET	6583	19491	SIPO	CD	41765970
1141649	3903	1998-01-13	VYDAJ	PREVOD NA UCET	6583	25068	SIPO	CD	41765970
1141650	3903	1998-02-13	VYDAJ	PREVOD NA UCET	6583	16659	SIPO	CD	41765970
1141651	3903	1998-03-13	VYDAJ	PREVOD NA UCET	6583	14296	SIPO	CD	41765970
1141652	3903	1998-04-13	VYDAJ	PREVOD NA UCET	6583	19567	SIPO	CD	41765970
1141653	3903	1998-05-13	VYDAJ	PREVOD NA UCET	6583	20957	SIPO	CD	41765970
1141654	3903	1998-06-13	VYDAJ	PREVOD NA UCET	6583	21158	SIPO	CD	41765970
1141655	3903	1998-07-13	VYDAJ	PREVOD NA UCET	6583	28656	SIPO	CD	41765970
1141656	3903	1998-08-13	VYDAJ	PREVOD NA UCET	6583	27392	SIPO	CD	41765970
1141657	3903	1998-09-13	VYDAJ	PREVOD NA UCET	6583	19802	SIPO	CD	41765970
1141658	3903	1998-10-13	VYDAJ	PREVOD NA UCET	6583	20383	SIPO	CD	41765970
1141659	3903	1998-11-13	VYDAJ	PREVOD NA UCET	6583	25365	SIPO	CD	41765970
1141660	3903	1998-12-13	VYDAJ	PREVOD NA UCET	6583	27866	SIPO	CD	41765970
1141662	3903	1995-12-19	VYDAJ	VYBER	3040	36259	\N	\N	\N
1141663	3903	1996-12-24	VYDAJ	VYBER	1600	46055	\N	\N	\N
1141664	3903	1997-12-01	VYDAJ	VYBER	3680	32674	\N	\N	\N
1141665	3903	1998-12-25	VYDAJ	VYBER	800	50565	\N	\N	\N
1141678	3903	1996-01-22	VYDAJ	VYBER	600	36004	\N	\N	\N
1141679	3903	1996-01-05	VYDAJ	VYBER	960	29301	\N	\N	\N
1141680	3903	1996-01-22	VYDAJ	VYBER	1320	36604	\N	\N	\N
1141681	3903	1996-01-17	VYDAJ	VYBER	2520	41644	\N	\N	\N
1141682	3903	1996-01-01	VYDAJ	VYBER	2520	30261	\N	\N	\N
1141683	3903	1996-01-21	VYDAJ	VYBER	1080	37924	\N	\N	\N
1141684	3903	1997-01-14	VYDAJ	VYBER	720	38787	\N	\N	\N
1141685	3903	1997-01-25	VYDAJ	VYBER	1200	31347	\N	\N	\N
1141686	3903	1997-01-20	VYDAJ	VYBER	1320	32547	\N	\N	\N
1141687	3903	1997-01-02	VYDAJ	VYBER	2280	43944	\N	\N	\N
1141688	3903	1997-01-18	VYDAJ	VYBER	3360	35427	\N	\N	\N
1141689	3903	1997-01-20	VYDAJ	VYBER	1560	33867	\N	\N	\N
1141690	3903	1998-01-26	VYDAJ	VYBER	3240	30414	\N	\N	\N
1141691	3903	1998-01-27	VYDAJ	VYBER	1320	29094	\N	\N	\N
1141692	3903	1998-01-25	VYDAJ	VYBER	1680	33654	\N	\N	\N
1141693	3903	1998-01-25	VYDAJ	VYBER	1080	35334	\N	\N	\N
1141694	3903	1998-01-16	VYDAJ	VYBER	2880	39534	\N	\N	\N
1141695	3903	1998-01-22	VYDAJ	VYBER	3120	36414	\N	\N	\N
1141704	3903	1995-06-30	VYDAJ	VYBER	4560	38682	\N	\N	\N
1141705	3903	1995-10-11	VYDAJ	VYBER	3240	31869	\N	\N	\N
1141706	3903	1995-11-10	VYDAJ	VYBER	4560	25892	\N	\N	\N
1141707	3903	1995-12-24	VYDAJ	VYBER	3600	32659	\N	\N	\N
1141708	3903	1996-09-21	VYDAJ	VYBER	1440	40732	\N	\N	\N
1141709	3903	1996-06-24	VYDAJ	VYBER	4680	45418	\N	\N	\N
1141710	3903	1996-01-19	VYDAJ	VYBER	2640	39004	\N	\N	\N
1141711	3903	1996-05-24	VYDAJ	VYBER	720	45383	\N	\N	\N
1141712	3903	1996-07-26	VYDAJ	VYBER	3720	37839	\N	\N	\N
1141713	3903	1997-02-18	VYDAJ	VYBER	5520	27121	\N	\N	\N
1141714	3903	1997-09-27	VYDAJ	VYBER	960	35148	\N	\N	\N
1141715	3903	1997-08-16	VYDAJ	VYBER	1080	35210	\N	\N	\N
1141716	3903	1997-07-27	VYDAJ	VYBER	2400	38774	\N	\N	\N
1141717	3903	1997-11-01	VYDAJ	VYBER	1200	35173	\N	\N	\N
1141718	3903	1998-09-09	VYDAJ	VYBER	2400	26385	\N	\N	\N
1141719	3903	1998-09-04	VYDAJ	VYBER	600	28785	\N	\N	\N
1141720	3903	1998-03-08	VYDAJ	VYBER	3840	20879	\N	\N	\N
1141721	3903	1998-12-22	VYDAJ	VYBER	2520	51365	\N	\N	\N
1141739	3903	1995-05-31	VYDAJ	VYBER	15	40638	SLUZBY	\N	\N
1141740	3903	1995-06-30	VYDAJ	VYBER	15	43242	SLUZBY	\N	\N
1141741	3903	1995-07-31	VYDAJ	VYBER	15	38002	SLUZBY	\N	\N
1141742	3903	1995-08-31	VYDAJ	VYBER	15	37109	SLUZBY	\N	\N
1141743	3903	1995-09-30	VYDAJ	VYBER	15	35109	SLUZBY	\N	\N
1141744	3903	1995-10-31	VYDAJ	VYBER	15	30452	SLUZBY	\N	\N
1141745	3903	1995-11-30	VYDAJ	VYBER	15	29263	SLUZBY	\N	\N
1141746	3903	1995-12-31	VYDAJ	VYBER	15	32781	SLUZBY	\N	\N
1141747	3903	1996-01-31	VYDAJ	VYBER	15	36135	SLUZBY	\N	\N
1141748	3903	1996-02-29	VYDAJ	VYBER	15	43249	SLUZBY	\N	\N
1141749	3903	1996-03-31	VYDAJ	VYBER	15	49090	SLUZBY	\N	\N
1141750	3903	1996-04-30	VYDAJ	VYBER	15	49140	SLUZBY	\N	\N
1141751	3903	1996-05-31	VYDAJ	VYBER	15	45562	SLUZBY	\N	\N
1141752	3903	1996-06-30	VYDAJ	VYBER	15	45596	SLUZBY	\N	\N
1141753	3903	1996-07-31	VYDAJ	VYBER	15	37998	SLUZBY	\N	\N
1141754	3903	1996-08-31	VYDAJ	VYBER	15	40809	SLUZBY	\N	\N
1141755	3903	1996-09-30	VYDAJ	VYBER	15	40886	SLUZBY	\N	\N
1141756	3903	1996-10-31	VYDAJ	VYBER	15	40802	SLUZBY	\N	\N
1141757	3903	1996-11-30	VYDAJ	VYBER	15	41819	SLUZBY	\N	\N
1141758	3903	1996-12-31	VYDAJ	VYBER	15	46224	SLUZBY	\N	\N
1141759	3903	1997-01-31	VYDAJ	VYBER	15	31478	SLUZBY	\N	\N
1141760	3903	1997-02-28	VYDAJ	VYBER	15	27228	SLUZBY	\N	\N
1141761	3903	1997-03-31	VYDAJ	VYBER	15	29993	SLUZBY	\N	\N
1141762	3903	1997-04-30	VYDAJ	VYBER	15	29261	SLUZBY	\N	\N
1141763	3903	1997-05-31	VYDAJ	VYBER	15	32035	SLUZBY	\N	\N
1141764	3903	1997-06-30	VYDAJ	VYBER	15	42211	SLUZBY	\N	\N
1141765	3903	1997-07-31	VYDAJ	VYBER	15	38927	SLUZBY	\N	\N
1141766	3903	1997-08-31	VYDAJ	VYBER	15	35345	SLUZBY	\N	\N
1141767	3903	1997-09-30	VYDAJ	VYBER	15	35279	SLUZBY	\N	\N
1141768	3903	1997-10-31	VYDAJ	VYBER	15	36373	SLUZBY	\N	\N
1141769	3903	1997-11-30	VYDAJ	VYBER	15	36354	SLUZBY	\N	\N
1141770	3903	1997-12-31	VYDAJ	VYBER	15	45651	SLUZBY	\N	\N
1141771	3903	1998-01-31	VYDAJ	VYBER	15	29242	SLUZBY	\N	\N
1141772	3903	1998-02-28	VYDAJ	VYBER	15	34119	SLUZBY	\N	\N
1141773	3903	1998-03-31	VYDAJ	VYBER	15	31750	SLUZBY	\N	\N
1141774	3903	1998-04-30	VYDAJ	VYBER	15	37040	SLUZBY	\N	\N
1141775	3903	1998-05-31	VYDAJ	VYBER	15	38441	SLUZBY	\N	\N
1141776	3903	1998-06-30	VYDAJ	VYBER	15	47339	SLUZBY	\N	\N
1141777	3903	1998-07-31	VYDAJ	VYBER	15	33975	SLUZBY	\N	\N
1141778	3903	1998-08-31	VYDAJ	VYBER	15	29385	SLUZBY	\N	\N
1141779	3903	1998-09-30	VYDAJ	VYBER	15	26966	SLUZBY	\N	\N
1141780	3903	1998-10-31	VYDAJ	VYBER	15	31948	SLUZBY	\N	\N
1141781	3903	1998-11-30	VYDAJ	VYBER	15	34449	SLUZBY	\N	\N
1141782	3903	1995-01-18	PRIJEM	VKLAD	1600	19446	\N	\N	\N
1141783	3903	1995-02-17	VYDAJ	VYBER	5100	31729	\N	\N	\N
1141784	3903	1995-03-19	VYDAJ	VYBER	10600	38578	\N	\N	\N
1141785	3903	1995-04-18	VYDAJ	VYBER	14100	41968	\N	\N	\N
1141786	3903	1995-05-18	VYDAJ	VYBER	19000	40481	\N	\N	\N
1141787	3903	1995-06-17	VYDAJ	VYBER	17000	43074	\N	\N	\N
1141788	3903	1995-07-17	VYDAJ	VYBER	11600	37845	\N	\N	\N
1141789	3903	1995-08-16	VYDAJ	VYBER	11800	36965	\N	\N	\N
1141790	3903	1995-09-15	VYDAJ	VYBER	12900	34972	\N	\N	\N
1141791	3903	1995-10-15	VYDAJ	VYBER	12300	30332	\N	\N	\N
1141792	3903	1995-11-14	VYDAJ	VYBER	7500	29155	\N	\N	\N
1141793	3903	1995-12-14	VYDAJ	VYBER	9400	39299	\N	\N	\N
1141794	3903	1996-01-13	PRIJEM	VKLAD	4100	33401	\N	\N	\N
1141795	3903	1996-02-12	VYDAJ	VYBER	3800	32335	\N	\N	\N
1141796	3903	1996-03-13	VYDAJ	VYBER	5100	31566	\N	\N	\N
1141797	3903	1996-04-12	VYDAJ	VYBER	10900	38190	\N	\N	\N
1141798	3903	1996-05-12	VYDAJ	VYBER	13800	35340	\N	\N	\N
1141799	3903	1996-06-11	VYDAJ	VYBER	14900	30662	\N	\N	\N
1141800	3903	1996-07-11	VYDAJ	VYBER	14800	30796	\N	\N	\N
1141801	3903	1996-08-10	VYDAJ	VYBER	8100	29898	\N	\N	\N
1141802	3903	1996-09-09	VYDAJ	VYBER	9400	31409	\N	\N	\N
1141803	3903	1996-10-09	VYDAJ	VYBER	11000	29886	\N	\N	\N
1141804	3903	1996-11-08	VYDAJ	VYBER	9900	30902	\N	\N	\N
1141805	3903	1996-12-08	VYDAJ	VYBER	13600	28219	\N	\N	\N
1141806	3903	1997-01-07	VYDAJ	VYBER	15200	28744	\N	\N	\N
1141807	3903	1997-02-06	VYDAJ	VYBER	9600	21878	\N	\N	\N
1141808	3903	1997-03-08	VYDAJ	VYBER	8100	19128	\N	\N	\N
1141809	3903	1997-04-07	VYDAJ	VYBER	11600	18393	\N	\N	\N
1141810	3903	1997-05-07	VYDAJ	VYBER	8100	21161	\N	\N	\N
1141811	3903	1997-06-06	VYDAJ	VYBER	9400	22635	\N	\N	\N
1141812	3903	1997-07-06	VYDAJ	VYBER	11800	30411	\N	\N	\N
1141813	3903	1997-08-05	VYDAJ	VYBER	13400	25527	\N	\N	\N
1141814	3903	1997-09-04	VYDAJ	VYBER	10000	25345	\N	\N	\N
1141815	3903	1997-10-04	VYDAJ	VYBER	9800	25479	\N	\N	\N
1141816	3903	1997-11-03	VYDAJ	VYBER	9700	25473	\N	\N	\N
1141817	3903	1997-12-03	VYDAJ	VYBER	6600	26074	\N	\N	\N
1141818	3903	1998-01-02	VYDAJ	VYBER	14000	31651	\N	\N	\N
1141819	3903	1998-02-01	VYDAJ	VYBER	6000	23242	\N	\N	\N
1141820	3903	1998-03-03	VYDAJ	VYBER	9400	24719	\N	\N	\N
1141821	3903	1998-04-02	VYDAJ	VYBER	5600	26150	\N	\N	\N
1141822	3903	1998-05-02	VYDAJ	VYBER	9500	27540	\N	\N	\N
1141823	3903	1998-06-01	VYDAJ	VYBER	10700	27741	\N	\N	\N
1141824	3903	1998-07-01	VYDAJ	VYBER	12100	35239	\N	\N	\N
1141825	3903	1998-07-31	VYDAJ	VYBER	12200	33990	\N	\N	\N
1141826	3903	1998-08-30	VYDAJ	VYBER	15500	29238	\N	\N	\N
1141827	3903	1998-09-29	VYDAJ	VYBER	10300	26848	\N	\N	\N
1141828	3903	1998-10-29	VYDAJ	VYBER	5900	31829	\N	\N	\N
1141829	3903	1998-11-28	VYDAJ	VYBER	8400	34311	\N	\N	\N
1141878	3904	1996-10-05	PRIJEM	VKLAD	600	600	\N	\N	\N
1141888	3904	1996-10-13	PRIJEM	PREVOD Z UCTU	3113	3713	\N	MN	42734730
1141889	3904	1996-11-13	PRIJEM	PREVOD Z UCTU	3113	6836	\N	MN	42734730
1141890	3904	1996-12-13	PRIJEM	PREVOD Z UCTU	3113	9964	\N	MN	42734730
1141891	3904	1997-01-13	PRIJEM	PREVOD Z UCTU	3113	13092	\N	MN	42734730
1141892	3904	1997-02-13	PRIJEM	PREVOD Z UCTU	3113	16221	\N	MN	42734730
1141893	3904	1997-03-13	PRIJEM	PREVOD Z UCTU	3113	15942	\N	MN	42734730
1141894	3904	1997-04-13	PRIJEM	PREVOD Z UCTU	3113	17029	\N	MN	42734730
1141895	3904	1997-05-13	PRIJEM	PREVOD Z UCTU	3113	18121	\N	MN	42734730
1141896	3904	1997-06-13	PRIJEM	PREVOD Z UCTU	3113	19219	\N	MN	42734730
1141897	3904	1997-07-13	PRIJEM	PREVOD Z UCTU	3113	20080	\N	MN	42734730
1141898	3904	1997-08-13	PRIJEM	PREVOD Z UCTU	3113	21184	\N	MN	42734730
1141899	3904	1997-09-13	PRIJEM	PREVOD Z UCTU	3113	21694	\N	MN	42734730
1141900	3904	1997-10-13	PRIJEM	PREVOD Z UCTU	3113	21006	\N	MN	42734730
1141901	3904	1997-11-13	PRIJEM	PREVOD Z UCTU	3113	22114	\N	MN	42734730
1141902	3904	1997-12-13	PRIJEM	PREVOD Z UCTU	3113	22868	\N	MN	42734730
1141903	3904	1998-01-13	PRIJEM	PREVOD Z UCTU	3113	22603	\N	MN	42734730
1141904	3904	1998-02-13	PRIJEM	PREVOD Z UCTU	3113	20714	\N	MN	42734730
1141905	3904	1998-03-13	PRIJEM	PREVOD Z UCTU	3113	20412	\N	MN	42734730
1141906	3904	1998-04-13	PRIJEM	PREVOD Z UCTU	3113	21519	\N	MN	42734730
1141907	3904	1998-05-13	PRIJEM	PREVOD Z UCTU	3113	21579	\N	MN	42734730
1141908	3904	1998-06-13	PRIJEM	PREVOD Z UCTU	3113	21338	\N	MN	42734730
1141909	3904	1998-07-13	PRIJEM	PREVOD Z UCTU	3113	19955	\N	MN	42734730
1141910	3904	1998-08-13	PRIJEM	PREVOD Z UCTU	3113	21059	\N	MN	42734730
1141911	3904	1998-09-13	PRIJEM	PREVOD Z UCTU	3113	22168	\N	MN	42734730
1141912	3904	1998-10-13	PRIJEM	PREVOD Z UCTU	3113	23282	\N	MN	42734730
1141913	3904	1998-11-13	PRIJEM	PREVOD Z UCTU	3113	23261	\N	MN	42734730
1141914	3904	1998-12-13	PRIJEM	PREVOD Z UCTU	3113	23058	\N	MN	42734730
1141929	3904	1997-03-06	VYDAJ	PREVOD NA UCET	2075	12829	SIPO	UV	63099199
1141930	3904	1997-04-06	VYDAJ	PREVOD NA UCET	2075	13916	SIPO	UV	63099199
1141931	3904	1997-05-06	VYDAJ	PREVOD NA UCET	2075	15008	SIPO	UV	63099199
1141932	3904	1997-06-06	VYDAJ	PREVOD NA UCET	2075	16106	SIPO	UV	63099199
1141933	3904	1997-07-06	VYDAJ	PREVOD NA UCET	2075	16967	SIPO	UV	63099199
1141934	3904	1997-08-06	VYDAJ	PREVOD NA UCET	2075	18071	SIPO	UV	63099199
1141935	3904	1997-09-06	VYDAJ	PREVOD NA UCET	2075	18581	SIPO	UV	63099199
1141936	3904	1997-10-06	VYDAJ	PREVOD NA UCET	2075	17893	SIPO	UV	63099199
1141937	3904	1997-11-06	VYDAJ	PREVOD NA UCET	2075	19001	SIPO	UV	63099199
1141938	3904	1997-12-06	VYDAJ	PREVOD NA UCET	2075	20115	SIPO	UV	63099199
1141939	3904	1998-01-06	VYDAJ	PREVOD NA UCET	2075	20330	SIPO	UV	63099199
1141940	3904	1998-02-06	VYDAJ	PREVOD NA UCET	2075	17601	SIPO	UV	63099199
1141941	3904	1998-03-06	VYDAJ	PREVOD NA UCET	2075	18709	SIPO	UV	63099199
1141942	3904	1998-04-06	VYDAJ	PREVOD NA UCET	2075	18406	SIPO	UV	63099199
1141943	3904	1998-05-06	VYDAJ	PREVOD NA UCET	2075	18466	SIPO	UV	63099199
1141944	3904	1998-06-06	VYDAJ	PREVOD NA UCET	2075	18225	SIPO	UV	63099199
1141945	3904	1998-07-06	VYDAJ	PREVOD NA UCET	2075	17322	SIPO	UV	63099199
1141946	3904	1998-08-06	VYDAJ	PREVOD NA UCET	2075	17946	SIPO	UV	63099199
1141947	3904	1998-09-06	VYDAJ	PREVOD NA UCET	2075	19055	SIPO	UV	63099199
1141948	3904	1998-10-06	VYDAJ	PREVOD NA UCET	2075	20169	SIPO	UV	63099199
1141949	3904	1998-11-06	VYDAJ	PREVOD NA UCET	2075	20148	SIPO	UV	63099199
1141950	3904	1998-12-06	VYDAJ	PREVOD NA UCET	2075	19945	SIPO	UV	63099199
1141953	3904	1998-06-18	VYDAJ	VYBER	2010	19328	\N	\N	\N
1141956	3904	1998-01-18	VYDAJ	VYBER	1050	20773	\N	\N	\N
1141958	3904	1997-12-07	VYDAJ	VYBER	360	19755	\N	\N	\N
1141959	3904	1998-12-27	VYDAJ	VYBER	240	22818	\N	\N	\N
1141972	3904	1998-01-13	VYDAJ	VYBER	570	22033	\N	\N	\N
1141973	3904	1998-01-04	VYDAJ	VYBER	540	22405	\N	\N	\N
1141974	3904	1998-01-28	VYDAJ	VYBER	390	20383	\N	\N	\N
1141975	3904	1998-01-08	VYDAJ	VYBER	840	19490	\N	\N	\N
1141976	3904	1998-01-15	VYDAJ	VYBER	210	21823	\N	\N	\N
1141977	3904	1998-01-28	VYDAJ	VYBER	780	19603	\N	\N	\N
1141983	3904	1997-03-05	VYDAJ	VYBER	1320	14904	\N	\N	\N
1141984	3904	1997-09-29	VYDAJ	VYBER	420	21274	\N	\N	\N
1141985	3904	1997-10-01	VYDAJ	VYBER	1380	19968	\N	\N	\N
1141986	3904	1997-07-02	VYDAJ	VYBER	240	19042	\N	\N	\N
1141987	3904	1998-11-04	VYDAJ	VYBER	1140	22223	\N	\N	\N
1141988	3904	1998-05-24	VYDAJ	VYBER	420	20229	\N	\N	\N
1141989	3904	1998-12-01	VYDAJ	VYBER	1320	22020	\N	\N	\N
1141990	3904	1998-05-17	VYDAJ	VYBER	930	20649	\N	\N	\N
1141991	3904	1998-03-10	VYDAJ	VYBER	1410	17299	\N	\N	\N
1141992	3904	1998-04-20	VYDAJ	VYBER	1050	20469	\N	\N	\N
1141993	3904	1998-07-10	VYDAJ	VYBER	480	16842	\N	\N	\N
1142008	3904	1997-02-28	VYDAJ	VYBER	15	16224	SLUZBY	\N	\N
1142009	3904	1997-03-31	VYDAJ	VYBER	15	15991	SLUZBY	\N	\N
1142010	3904	1997-04-30	VYDAJ	VYBER	15	17083	SLUZBY	\N	\N
1142011	3904	1997-05-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
1142012	3904	1997-06-30	VYDAJ	VYBER	15	19282	SLUZBY	\N	\N
1142013	3904	1997-07-31	VYDAJ	VYBER	15	20146	SLUZBY	\N	\N
1142014	3904	1997-08-31	VYDAJ	VYBER	15	20656	SLUZBY	\N	\N
1142015	3904	1997-09-30	VYDAJ	VYBER	15	21348	SLUZBY	\N	\N
1142016	3904	1997-10-31	VYDAJ	VYBER	15	21076	SLUZBY	\N	\N
1142017	3904	1997-11-30	VYDAJ	VYBER	15	22190	SLUZBY	\N	\N
1142018	3904	1997-12-31	VYDAJ	VYBER	15	22945	SLUZBY	\N	\N
1142019	3904	1998-01-31	VYDAJ	VYBER	15	19676	SLUZBY	\N	\N
1142020	3904	1998-02-28	VYDAJ	VYBER	15	20784	SLUZBY	\N	\N
1142021	3904	1998-03-31	VYDAJ	VYBER	15	20481	SLUZBY	\N	\N
1142022	3904	1998-04-30	VYDAJ	VYBER	15	20541	SLUZBY	\N	\N
1142023	3904	1998-05-31	VYDAJ	VYBER	15	20300	SLUZBY	\N	\N
1142024	3904	1998-06-30	VYDAJ	VYBER	15	19397	SLUZBY	\N	\N
1142025	3904	1998-07-31	VYDAJ	VYBER	15	20021	SLUZBY	\N	\N
1142026	3904	1998-08-31	VYDAJ	VYBER	15	21130	SLUZBY	\N	\N
1142027	3904	1998-09-30	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
1142028	3904	1998-10-31	VYDAJ	VYBER	15	23363	SLUZBY	\N	\N
1142029	3904	1998-11-30	VYDAJ	VYBER	15	23340	SLUZBY	\N	\N
1142030	3904	1997-08-31	VYDAJ	VYBER	600	20670	\N	\N	\N
1142058	3905	1997-05-28	PRIJEM	VKLAD	800	800	\N	\N	\N
1142060	3905	1997-06-08	PRIJEM	VKLAD	14019	106773	\N	\N	\N
1142062	3905	1997-12-28	PRIJEM	VKLAD	44869	71680	\N	\N	\N
1142065	3905	1997-09-29	PRIJEM	VKLAD	17737	76412	\N	\N	\N
1142066	3905	1997-11-25	PRIJEM	VKLAD	46345	110855	\N	\N	\N
1142067	3905	1997-11-03	PRIJEM	VKLAD	44642	69189	\N	\N	\N
1142068	3905	1997-07-24	PRIJEM	VKLAD	14209	56373	\N	\N	\N
1142069	3905	1997-11-08	PRIJEM	VKLAD	31852	121123	\N	\N	\N
1142072	3905	1997-09-09	PRIJEM	VKLAD	32911	99445	\N	\N	\N
1142076	3905	1997-05-31	PRIJEM	VKLAD	45767	46567	\N	\N	\N
1142077	3905	1997-09-06	PRIJEM	VKLAD	13269	66534	\N	\N	\N
1142079	3905	1997-06-07	PRIJEM	VKLAD	46181	92754	\N	\N	\N
1142080	3905	1997-11-05	PRIJEM	VKLAD	43482	112671	\N	\N	\N
1142082	3905	1997-10-04	PRIJEM	VKLAD	11954	75374	\N	\N	\N
1142083	3905	1997-09-19	PRIJEM	VKLAD	32719	122675	\N	\N	\N
1142084	3905	1997-11-17	PRIJEM	VKLAD	20276	97910	\N	\N	\N
1142085	3905	1997-09-03	PRIJEM	VKLAD	26868	53265	\N	\N	\N
1142086	3905	1997-06-09	PRIJEM	VKLAD	5872	57045	\N	\N	\N
1142087	3905	1998-10-22	PRIJEM	VKLAD	16841	60497	\N	\N	\N
1142088	3905	1998-01-30	PRIJEM	VKLAD	34697	70521	\N	\N	\N
1142089	3905	1998-09-18	PRIJEM	VKLAD	31271	74711	\N	\N	\N
1142090	3905	1998-09-02	PRIJEM	VKLAD	30821	51129	\N	\N	\N
1142091	3905	1998-10-15	PRIJEM	VKLAD	7659	55156	\N	\N	\N
1142092	3905	1998-01-26	PRIJEM	VKLAD	9755	35824	\N	\N	\N
1142093	3905	1998-01-01	PRIJEM	VKLAD	11100	82858	\N	\N	\N
1142101	3905	1997-08-11	VYDAJ	PREVOD NA UCET	7689	28255	SIPO	YZ	45596945
1142102	3905	1997-09-11	VYDAJ	PREVOD NA UCET	7689	91756	SIPO	YZ	45596945
1142103	3905	1997-10-11	VYDAJ	PREVOD NA UCET	7689	43387	SIPO	YZ	45596945
1142104	3905	1997-11-11	VYDAJ	PREVOD NA UCET	7689	77634	SIPO	YZ	45596945
1142105	3905	1997-12-11	VYDAJ	PREVOD NA UCET	7689	40829	SIPO	YZ	45596945
1142106	3905	1998-01-11	VYDAJ	PREVOD NA UCET	7689	70069	SIPO	YZ	45596945
1142107	3905	1998-02-11	VYDAJ	PREVOD NA UCET	7689	14850	SIPO	YZ	45596945
1142108	3905	1998-03-11	VYDAJ	PREVOD NA UCET	7689	18683	SIPO	YZ	45596945
1142109	3905	1998-04-11	VYDAJ	PREVOD NA UCET	7689	18003	SIPO	YZ	45596945
1142110	3905	1998-05-11	VYDAJ	PREVOD NA UCET	7689	18621	SIPO	YZ	45596945
1142111	3905	1998-06-11	VYDAJ	PREVOD NA UCET	7689	21745	SIPO	YZ	45596945
1142112	3905	1998-07-11	VYDAJ	PREVOD NA UCET	7689	20177	SIPO	YZ	45596945
1142113	3905	1998-08-11	VYDAJ	PREVOD NA UCET	7689	19903	SIPO	YZ	45596945
1142114	3905	1998-09-11	VYDAJ	PREVOD NA UCET	7689	43440	SIPO	YZ	45596945
1142115	3905	1998-10-11	VYDAJ	PREVOD NA UCET	7689	47497	SIPO	YZ	45596945
1142116	3905	1998-11-11	VYDAJ	PREVOD NA UCET	7689	52941	SIPO	YZ	45596945
1142117	3905	1998-12-11	VYDAJ	PREVOD NA UCET	7689	18741	SIPO	YZ	45596945
1142118	3905	1997-10-16	VYBER	VYBER	15109	28278	\N	\N	\N
1142119	3905	1997-10-01	VYBER	VYBER	13197	63420	\N	\N	\N
1142122	3905	1997-10-05	VYBER	VYBER	24298	51076	\N	\N	\N
1142123	3905	1997-12-16	VYBER	VYBER	15418	25411	\N	\N	\N
1142126	3905	1998-08-31	VYBER	VYBER	5106	20408	\N	\N	\N
1142128	3905	1998-11-26	VYBER	VYBER	15426	29315	\N	\N	\N
1142135	3905	1998-01-30	VYBER	VYBER	23260	47261	\N	\N	\N
1142136	3905	1998-02-11	VYBER	VYBER	16466	22539	\N	\N	\N
1142141	3905	1998-12-08	VYDAJ	VYBER	3000	26430	\N	\N	\N
1142148	3905	1998-01-24	VYDAJ	VYBER	7500	26069	\N	\N	\N
1142149	3905	1998-01-17	VYDAJ	VYBER	3000	62569	\N	\N	\N
1142150	3905	1998-01-22	VYDAJ	VYBER	5100	45469	\N	\N	\N
1142151	3905	1998-01-23	VYDAJ	VYBER	8700	33569	\N	\N	\N
1142152	3905	1998-01-03	VYDAJ	VYBER	5100	77758	\N	\N	\N
1142153	3905	1998-01-30	VYDAJ	VYBER	8400	38861	\N	\N	\N
1142155	3905	1997-09-14	VYDAJ	VYBER	1800	89956	\N	\N	\N
1142157	3905	1997-07-26	VYDAJ	VYBER	12600	43773	\N	\N	\N
1142158	3905	1998-01-18	VYDAJ	VYBER	12000	50569	\N	\N	\N
1142159	3905	1998-01-12	VYDAJ	VYBER	4500	65569	\N	\N	\N
1142169	3905	1997-07-31	VYDAJ	VYBER	100	35944	SLUZBY	\N	\N
1142170	3905	1997-08-31	VYDAJ	VYBER	100	26397	SLUZBY	\N	\N
1142171	3905	1997-09-30	VYDAJ	VYBER	100	76617	SLUZBY	\N	\N
1142172	3905	1997-10-31	VYDAJ	VYBER	100	24547	SLUZBY	\N	\N
1142173	3905	1997-11-30	VYDAJ	VYBER	100	48518	SLUZBY	\N	\N
1142174	3905	1997-12-31	VYDAJ	VYBER	100	71758	SLUZBY	\N	\N
1142175	3905	1998-01-31	VYDAJ	VYBER	100	39005	SLUZBY	\N	\N
1142176	3905	1998-02-28	VYDAJ	VYBER	100	26372	SLUZBY	\N	\N
1142177	3905	1998-03-31	VYDAJ	VYBER	100	25692	SLUZBY	\N	\N
1142178	3905	1998-04-30	VYDAJ	VYBER	100	26310	SLUZBY	\N	\N
1142179	3905	1998-05-31	VYDAJ	VYBER	100	29434	SLUZBY	\N	\N
1142180	3905	1998-06-30	VYDAJ	VYBER	100	27866	SLUZBY	\N	\N
1142181	3905	1998-07-31	VYDAJ	VYBER	100	27592	SLUZBY	\N	\N
1142182	3905	1998-08-31	VYDAJ	VYBER	100	20308	SLUZBY	\N	\N
1142183	3905	1998-09-30	VYDAJ	VYBER	100	55186	SLUZBY	\N	\N
1142184	3905	1998-10-31	VYDAJ	VYBER	100	60630	SLUZBY	\N	\N
1142185	3905	1998-11-30	VYDAJ	VYBER	100	29430	SLUZBY	\N	\N
1142186	3905	1997-06-08	VYDAJ	VYBER	55600	51173	\N	\N	\N
1142187	3905	1997-06-27	VYDAJ	VYBER	15100	41945	\N	\N	\N
1142188	3905	1997-07-27	VYDAJ	VYBER	7900	35873	\N	\N	\N
1142189	3905	1997-08-26	VYDAJ	VYBER	1900	26355	\N	\N	\N
1142190	3905	1997-09-19	VYDAJ	VYBER	30100	92575	\N	\N	\N
1142191	3905	1997-09-25	VYDAJ	VYBER	33900	58675	\N	\N	\N
1142192	3905	1997-10-25	VYDAJ	VYBER	3800	24478	\N	\N	\N
1142193	3905	1997-11-05	VYDAJ	VYBER	23400	89271	\N	\N	\N
1142194	3905	1997-11-08	VYDAJ	VYBER	35800	85323	\N	\N	\N
1142195	3905	1997-11-24	VYDAJ	VYBER	33400	64510	\N	\N	\N
1142196	3905	1997-11-25	VYDAJ	VYBER	62600	48255	\N	\N	\N
1142197	3905	1997-12-24	PRIJEM	VKLAD	1400	26811	\N	\N	\N
1142198	3905	1998-01-23	VYDAJ	VYBER	3200	42269	\N	\N	\N
1142199	3905	1998-02-22	PRIJEM	VKLAD	11500	26350	\N	\N	\N
1142200	3905	1998-03-24	PRIJEM	VKLAD	7000	25683	\N	\N	\N
1142201	3905	1998-04-23	PRIJEM	VKLAD	8300	26303	\N	\N	\N
1142202	3905	1998-05-23	PRIJEM	VKLAD	10800	29421	\N	\N	\N
1142203	3905	1998-06-22	PRIJEM	VKLAD	6100	27845	\N	\N	\N
1142204	3905	1998-07-22	PRIJEM	VKLAD	7400	27577	\N	\N	\N
1142205	3905	1998-08-21	PRIJEM	VKLAD	5500	25403	\N	\N	\N
1142206	3905	1998-09-20	VYDAJ	VYBER	19600	55111	\N	\N	\N
1142207	3905	1998-10-20	VYDAJ	VYBER	11500	43656	\N	\N	\N
1142208	3905	1998-11-19	VYDAJ	VYBER	8200	44741	\N	\N	\N
1142209	3905	1998-12-19	PRIJEM	VKLAD	9800	28541	\N	\N	\N
1142230	3906	1997-07-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1142237	3906	1997-07-14	PRIJEM	PREVOD Z UCTU	33464	34564	\N	EF	78987967
1142238	3906	1997-08-14	PRIJEM	PREVOD Z UCTU	33464	58512	\N	EF	78987967
1142239	3906	1997-09-14	PRIJEM	PREVOD Z UCTU	33464	71678	\N	EF	78987967
1142240	3906	1997-10-14	PRIJEM	PREVOD Z UCTU	33464	80417	\N	EF	78987967
1142241	3906	1997-11-14	PRIJEM	PREVOD Z UCTU	33464	82700	\N	EF	78987967
1142242	3906	1997-12-14	PRIJEM	PREVOD Z UCTU	50196	92028	\N	EF	78987967
1142243	3906	1998-01-14	PRIJEM	PREVOD Z UCTU	33464	86607	\N	EF	78987967
1142244	3906	1998-02-14	PRIJEM	PREVOD Z UCTU	33464	81820	\N	EF	78987967
1142245	3906	1998-03-14	PRIJEM	PREVOD Z UCTU	33464	77831	\N	EF	78987967
1142246	3906	1998-04-14	PRIJEM	PREVOD Z UCTU	33464	68709	\N	EF	78987967
1142247	3906	1998-05-14	PRIJEM	PREVOD Z UCTU	33464	77142	\N	EF	78987967
1142248	3906	1998-06-14	PRIJEM	PREVOD Z UCTU	50196	98446	\N	EF	78987967
1142249	3906	1998-07-14	PRIJEM	PREVOD Z UCTU	33464	89875	\N	EF	78987967
1142250	3906	1998-08-14	PRIJEM	PREVOD Z UCTU	33464	92511	\N	EF	78987967
1142251	3906	1998-09-14	PRIJEM	PREVOD Z UCTU	33464	71674	\N	EF	78987967
1142252	3906	1998-10-14	PRIJEM	PREVOD Z UCTU	33464	72945	\N	EF	78987967
1142253	3906	1998-11-14	PRIJEM	PREVOD Z UCTU	33464	87696	\N	EF	78987967
1142254	3906	1998-12-14	PRIJEM	PREVOD Z UCTU	50196	98482	\N	EF	78987967
1142266	3906	1997-12-09	VYDAJ	VYBER	5500	41832	\N	\N	0
1142267	3906	1998-01-14	VYDAJ	VYBER	4400	82207	\N	\N	0
1142268	3906	1998-02-09	VYDAJ	VYBER	4200	48356	\N	\N	0
1142269	3906	1998-03-12	VYDAJ	PREVOD NA UCET	5577	44367	UVER	EF	96055197
1142270	3906	1998-04-12	VYDAJ	PREVOD NA UCET	5577	35245	UVER	EF	96055197
1142271	3906	1998-05-12	VYDAJ	PREVOD NA UCET	5577	43678	UVER	EF	96055197
1142272	3906	1998-06-12	VYDAJ	PREVOD NA UCET	5577	48250	UVER	EF	96055197
1142273	3906	1998-07-12	VYDAJ	PREVOD NA UCET	5577	56411	UVER	EF	96055197
1142274	3906	1998-08-12	VYDAJ	PREVOD NA UCET	5577	59047	UVER	EF	96055197
1142275	3906	1998-09-12	VYDAJ	PREVOD NA UCET	5577	61208	UVER	EF	96055197
1142276	3906	1998-10-12	VYDAJ	PREVOD NA UCET	5577	39481	UVER	EF	96055197
1142277	3906	1998-11-12	VYDAJ	PREVOD NA UCET	5577	54232	UVER	EF	96055197
1142278	3906	1998-12-12	VYDAJ	PREVOD NA UCET	5577	48286	UVER	EF	96055197
1142282	3906	1997-11-29	VYBER	VYBER	3193	79507	\N	\N	\N
1142291	3906	1998-03-20	VYBER	VYBER	19554	58277	\N	\N	\N
1142292	3906	1998-03-03	VYBER	VYBER	15778	66344	\N	\N	\N
1142293	3906	1998-12-03	VYBER	VYBER	13044	53864	\N	\N	\N
1142294	3906	1998-10-18	VYBER	VYBER	5171	67774	\N	\N	\N
1142295	3906	1998-10-01	VYBER	VYBER	4467	45059	\N	\N	\N
1142296	3906	1998-09-26	VYBER	VYBER	19996	40578	\N	\N	\N
1142297	3906	1998-09-13	VYBER	VYBER	22998	38210	\N	\N	\N
1142298	3906	1998-09-05	VYBER	VYBER	3683	66786	\N	\N	\N
1142301	3906	1997-12-18	VYDAJ	VYBER	3900	88128	\N	\N	\N
1142302	3906	1998-12-25	VYDAJ	VYBER	5700	92782	\N	\N	\N
1142309	3906	1998-06-26	VYDAJ	VYBER	9900	88546	\N	\N	\N
1142310	3906	1998-11-30	VYDAJ	VYBER	12300	75722	\N	\N	\N
1142311	3906	1998-09-16	VYDAJ	VYBER	11100	60574	\N	\N	\N
1142323	3906	1997-11-30	VYDAJ	VYBER	15	79832	SLUZBY	\N	\N
1142324	3906	1997-12-31	VYDAJ	VYBER	15	88443	SLUZBY	\N	\N
1142325	3906	1998-01-31	VYDAJ	VYBER	15	82556	SLUZBY	\N	\N
1142326	3906	1998-02-28	VYDAJ	VYBER	15	82122	SLUZBY	\N	\N
1142327	3906	1998-03-31	VYDAJ	VYBER	15	58522	SLUZBY	\N	\N
1142328	3906	1998-04-30	VYDAJ	VYBER	15	68955	SLUZBY	\N	\N
1142329	3906	1998-05-31	VYDAJ	VYBER	15	77427	SLUZBY	\N	\N
1142330	3906	1998-06-30	VYDAJ	VYBER	15	88888	SLUZBY	\N	\N
1142331	3906	1998-07-31	VYDAJ	VYBER	15	90224	SLUZBY	\N	\N
1142332	3906	1998-08-31	VYDAJ	VYBER	15	92869	SLUZBY	\N	\N
1142333	3906	1998-09-30	VYDAJ	VYBER	15	40826	SLUZBY	\N	\N
1142334	3906	1998-10-31	VYDAJ	VYBER	15	68009	SLUZBY	\N	\N
1142335	3906	1998-11-30	VYDAJ	VYBER	15	75708	SLUZBY	\N	\N
1142336	3906	1997-08-07	VYDAJ	VYBER	9600	25048	\N	\N	\N
1142337	3906	1997-09-06	VYDAJ	VYBER	20500	38214	\N	\N	\N
1142338	3906	1997-10-06	VYDAJ	VYBER	25000	46953	\N	\N	\N
1142339	3906	1997-11-05	VYDAJ	VYBER	31500	49236	\N	\N	\N
1142340	3906	1997-12-05	VYDAJ	VYBER	32500	47332	\N	\N	\N
1142341	3906	1998-01-04	VYDAJ	VYBER	35300	53143	\N	\N	\N
1142342	3906	1998-02-03	VYDAJ	VYBER	30000	52556	\N	\N	\N
1142343	3906	1998-03-05	VYDAJ	VYBER	16400	49944	\N	\N	\N
1142344	3906	1998-04-04	VYDAJ	VYBER	17700	40822	\N	\N	\N
1142345	3906	1998-05-04	VYDAJ	VYBER	19700	49255	\N	\N	\N
1142346	3906	1998-06-03	VYDAJ	VYBER	23600	53827	\N	\N	\N
1142347	3906	1998-07-03	VYDAJ	VYBER	26900	61988	\N	\N	\N
1142348	3906	1998-08-02	VYDAJ	VYBER	25600	64624	\N	\N	\N
1142349	3906	1998-09-01	VYDAJ	VYBER	22400	70469	\N	\N	\N
1142350	3906	1998-10-01	PRIJEM	VKLAD	8700	49526	\N	\N	\N
1142351	3906	1998-10-31	VYDAJ	VYBER	8200	59809	\N	\N	\N
1142352	3906	1998-11-30	VYDAJ	VYBER	8800	66908	\N	\N	\N
1142371	3907	1996-04-18	PRIJEM	VKLAD	600	600	\N	\N	\N
1142373	3907	1996-06-18	PRIJEM	VKLAD	40389	76738	\N	\N	\N
1142374	3907	1996-11-14	PRIJEM	VKLAD	36475	133751	\N	\N	\N
1142375	3907	1996-07-26	PRIJEM	VKLAD	34662	91630	\N	\N	\N
1142376	3907	1996-07-10	PRIJEM	VKLAD	26523	100068	\N	\N	\N
1142377	3907	1996-12-23	PRIJEM	VKLAD	49440	88780	\N	\N	\N
1142379	3907	1996-05-08	PRIJEM	VKLAD	15864	29799	\N	\N	\N
1142380	3907	1996-08-29	PRIJEM	VKLAD	6272	102094	\N	\N	\N
1142381	3907	1996-11-03	PRIJEM	VKLAD	37559	103176	\N	\N	\N
1142382	3907	1996-08-28	PRIJEM	VKLAD	5120	95822	\N	\N	\N
1142384	3907	1996-11-02	PRIJEM	VKLAD	42781	65617	\N	\N	\N
1142387	3907	1996-06-14	PRIJEM	VKLAD	16956	45749	\N	\N	\N
1142388	3907	1996-09-02	PRIJEM	VKLAD	14429	116838	\N	\N	\N
1142389	3907	1996-12-13	PRIJEM	VKLAD	5937	65540	\N	\N	\N
1142390	3907	1996-08-28	PRIJEM	VKLAD	35258	90702	\N	\N	\N
1142391	3907	1996-05-02	PRIJEM	VKLAD	13335	13935	\N	\N	\N
1142392	3907	1997-04-06	PRIJEM	VKLAD	34488	42707	\N	\N	\N
1142393	3907	1997-10-07	PRIJEM	VKLAD	11999	12818	\N	\N	\N
1142394	3907	1997-04-29	PRIJEM	VKLAD	38350	61457	\N	\N	\N
1142395	3907	1997-10-30	PRIJEM	VKLAD	16719	22837	\N	\N	\N
1142396	3907	1998-08-16	PRIJEM	VKLAD	23042	59590	\N	\N	\N
1142397	3907	1998-05-12	PRIJEM	VKLAD	14565	77191	\N	\N	\N
1142398	3907	1998-06-05	PRIJEM	VKLAD	10349	114139	\N	\N	\N
1142399	3907	1998-07-09	PRIJEM	VKLAD	13637	35947	\N	\N	\N
1142400	3907	1998-05-17	PRIJEM	VKLAD	31817	103431	\N	\N	\N
1142401	3907	1998-09-05	PRIJEM	VKLAD	25202	84963	\N	\N	\N
1142402	3907	1998-04-18	PRIJEM	VKLAD	31068	57887	\N	\N	\N
1142403	3907	1998-05-09	PRIJEM	VKLAD	19972	62626	\N	\N	\N
1142404	3907	1998-12-10	PRIJEM	VKLAD	42644	61952	\N	\N	\N
1142405	3907	1998-07-02	PRIJEM	VKLAD	21967	56710	\N	\N	\N
1142406	3907	1998-02-05	PRIJEM	VKLAD	40842	51094	\N	\N	\N
1142407	3907	1998-03-27	PRIJEM	VKLAD	7963	17949	\N	\N	\N
1142408	3907	1998-11-16	PRIJEM	VKLAD	24784	42783	\N	\N	\N
1142409	3907	1998-10-07	PRIJEM	VKLAD	43201	61337	\N	\N	\N
1142410	3907	1998-04-29	PRIJEM	VKLAD	24752	82639	\N	\N	\N
1142411	3907	1998-08-14	PRIJEM	VKLAD	23336	36548	\N	\N	\N
1142412	3907	1998-03-29	PRIJEM	VKLAD	29762	47711	\N	\N	\N
1142413	3907	1998-01-25	PRIJEM	VKLAD	12639	15454	\N	\N	\N
1142414	3907	1998-03-30	PRIJEM	VKLAD	16394	64105	\N	\N	\N
1142415	3907	1998-11-06	PRIJEM	VKLAD	8455	23576	\N	\N	\N
1142422	3907	1996-07-04	VYDAJ	VYBER	3400	73545	\N	\N	0
1142423	3907	1996-08-01	VYDAJ	VYBER	4400	87544	\N	\N	0
1142424	3907	1996-09-14	VYDAJ	VYBER	7500	58438	\N	\N	0
1142425	3907	1996-10-15	VYDAJ	VYBER	7100	22736	\N	\N	0
1142426	3907	1996-11-10	VYDAJ	VYBER	5900	97276	\N	\N	0
1142427	3907	1996-12-11	VYDAJ	VYBER	7900	59603	\N	\N	0
1142428	3907	1997-01-25	VYDAJ	VYBER	4600	19966	\N	\N	0
1142429	3907	1997-02-07	VYDAJ	VYBER	6600	13538	\N	\N	0
1142430	3907	1997-03-01	VYDAJ	VYBER	3700	8185	\N	\N	0
1142431	3907	1997-04-08	VYDAJ	VYBER	5700	37007	\N	\N	0
1142432	3907	1997-05-12	VYDAJ	VYBER	5200	56344	\N	\N	0
1142433	3907	1997-06-13	VYDAJ	VYBER	8300	16242	\N	\N	0
1142434	3907	1997-07-24	VYDAJ	VYBER	4900	11427	\N	\N	0
1142435	3907	1997-08-03	VYDAJ	VYBER	5500	5979	\N	\N	0
1142436	3907	1997-09-05	VYDAJ	VYBER	5200	810	\N	\N	0
1142437	3907	1997-10-11	VYDAJ	VYBER	6700	6118	\N	\N	0
1142438	3907	1997-11-19	VYDAJ	VYBER	4100	7844	\N	\N	0
1142439	3907	1997-12-07	VYDAJ	VYBER	5100	2798	\N	\N	0
1142441	3907	1998-02-01	VYDAJ	VYBER	5200	10252	\N	\N	0
1142442	3907	1998-03-09	VYDAJ	VYBER	4700	20986	\N	\N	0
1142443	3907	1998-04-12	VYDAJ	PREVOD NA UCET	5577	26819	UVER	CD	56403291
1142444	3907	1998-05-12	VYDAJ	PREVOD NA UCET	5577	71614	UVER	CD	56403291
1142445	3907	1998-06-12	VYDAJ	PREVOD NA UCET	5577	34562	UVER	CD	56403291
1142446	3907	1998-07-12	VYDAJ	PREVOD NA UCET	5577	30370	UVER	CD	56403291
1142447	3907	1998-08-12	VYDAJ	PREVOD NA UCET	5577	13212	UVER	CD	56403291
1142448	3907	1998-09-12	VYDAJ	PREVOD NA UCET	5577	35585	UVER	CD	56403291
1142449	3907	1998-10-12	VYDAJ	PREVOD NA UCET	5577	55760	UVER	CD	56403291
1142450	3907	1998-11-12	VYDAJ	PREVOD NA UCET	5577	17999	UVER	CD	56403291
1142451	3907	1998-12-12	VYDAJ	PREVOD NA UCET	5577	56375	UVER	CD	56403291
1142461	3907	1997-01-10	VYBER	VYBER	20171	47566	\N	\N	\N
1142464	3907	1998-11-04	VYBER	VYBER	13526	31321	\N	\N	\N
1142467	3907	1998-12-21	VYBER	VYBER	4447	45328	\N	\N	\N
1142472	3907	1996-12-28	VYDAJ	VYBER	1500	87280	\N	\N	\N
1142481	3907	1997-01-06	VYDAJ	VYBER	5100	74637	\N	\N	\N
1142483	3907	1997-01-23	VYDAJ	VYBER	8100	24566	\N	\N	\N
1142484	3907	1997-01-06	VYDAJ	VYBER	6900	67737	\N	\N	\N
1142485	3907	1997-01-03	VYDAJ	VYBER	7800	79737	\N	\N	\N
1142493	3907	1996-09-06	VYDAJ	VYBER	3300	65938	\N	\N	\N
1142494	3907	1996-07-16	VYDAJ	VYBER	9300	90768	\N	\N	\N
1142496	3907	1996-09-19	VYDAJ	VYBER	8700	33138	\N	\N	\N
1142499	3907	1996-10-11	VYDAJ	VYBER	2400	30936	\N	\N	\N
1142501	3907	1997-05-13	VYDAJ	VYBER	10500	45844	\N	\N	\N
1142507	3907	1998-07-04	VYDAJ	VYBER	8100	48610	\N	\N	\N
1142508	3907	1998-10-21	VYDAJ	VYBER	11100	44660	\N	\N	\N
1142511	3907	1998-12-18	VYDAJ	VYBER	6600	49775	\N	\N	\N
1142520	3907	1996-07-31	VYDAJ	VYBER	15	91944	SLUZBY	\N	\N
1142521	3907	1996-08-31	VYDAJ	VYBER	15	102409	SLUZBY	\N	\N
1142522	3907	1996-09-30	VYDAJ	VYBER	15	33336	SLUZBY	\N	\N
1142523	3907	1996-10-31	VYDAJ	VYBER	15	22836	SLUZBY	\N	\N
1142524	3907	1996-11-30	VYDAJ	VYBER	15	67503	SLUZBY	\N	\N
1142525	3907	1996-12-31	VYDAJ	VYBER	15	87537	SLUZBY	\N	\N
1142526	3907	1997-01-31	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
1142527	3907	1997-02-28	VYDAJ	VYBER	15	11885	SLUZBY	\N	\N
1142528	3907	1997-03-31	VYDAJ	VYBER	15	8219	SLUZBY	\N	\N
1142529	3907	1997-04-30	VYDAJ	VYBER	15	61544	SLUZBY	\N	\N
1142530	3907	1997-05-31	VYDAJ	VYBER	15	24542	SLUZBY	\N	\N
1142531	3907	1997-06-30	VYDAJ	VYBER	15	16327	SLUZBY	\N	\N
1142532	3907	1997-07-31	VYDAJ	VYBER	15	11479	SLUZBY	\N	\N
1142533	3907	1997-08-31	VYDAJ	VYBER	15	6010	SLUZBY	\N	\N
1142534	3907	1997-09-30	VYDAJ	VYBER	15	819	SLUZBY	\N	\N
1142535	3907	1997-10-31	VYDAJ	VYBER	15	22844	SLUZBY	\N	\N
1142536	3907	1997-11-30	VYDAJ	VYBER	15	7898	SLUZBY	\N	\N
1142537	3907	1997-12-31	VYDAJ	VYBER	15	2815	SLUZBY	\N	\N
1142538	3907	1998-01-31	VYDAJ	VYBER	15	15452	SLUZBY	\N	\N
1142539	3907	1998-02-28	VYDAJ	VYBER	15	25686	SLUZBY	\N	\N
1142540	3907	1998-03-31	VYDAJ	VYBER	15	64196	SLUZBY	\N	\N
1142541	3907	1998-04-30	VYDAJ	VYBER	15	82854	SLUZBY	\N	\N
1142542	3907	1998-05-31	VYDAJ	VYBER	15	103790	SLUZBY	\N	\N
1142543	3907	1998-06-30	VYDAJ	VYBER	15	34743	SLUZBY	\N	\N
1142544	3907	1998-07-31	VYDAJ	VYBER	15	30490	SLUZBY	\N	\N
1142545	3907	1998-08-31	VYDAJ	VYBER	15	59761	SLUZBY	\N	\N
1142546	3907	1998-09-30	VYDAJ	VYBER	15	35736	SLUZBY	\N	\N
1142547	3907	1998-10-31	VYDAJ	VYBER	15	44847	SLUZBY	\N	\N
1142548	3907	1998-11-30	VYDAJ	VYBER	15	42908	SLUZBY	\N	\N
1142549	3907	1996-05-18	VYDAJ	VYBER	1100	28699	\N	\N	\N
1142550	3907	1996-06-17	VYDAJ	VYBER	9400	36349	\N	\N	\N
1142551	3907	1996-07-17	VYDAJ	VYBER	33800	56968	\N	\N	\N
1142552	3907	1996-08-16	VYDAJ	VYBER	32100	55444	\N	\N	\N
1142553	3907	1996-09-02	VYDAJ	VYBER	47600	69238	\N	\N	\N
1142554	3907	1996-09-15	VYDAJ	VYBER	16600	41838	\N	\N	\N
1142555	3907	1996-10-15	VYDAJ	VYBER	1100	29836	\N	\N	\N
1142556	3907	1996-11-14	VYDAJ	VYBER	16900	67051	\N	\N	\N
1142557	3907	1996-11-14	VYDAJ	VYBER	49800	83951	\N	\N	\N
1142558	3907	1996-12-14	VYDAJ	VYBER	26200	39340	\N	\N	\N
1142559	3907	1997-01-13	VYDAJ	VYBER	14900	32666	\N	\N	\N
1142560	3907	1997-02-12	VYDAJ	VYBER	1700	11838	\N	\N	\N
1142561	3907	1997-04-13	VYDAJ	VYBER	13900	23107	\N	\N	\N
1142562	3907	1997-05-13	VYDAJ	VYBER	21500	24344	\N	\N	\N
1142563	3907	1997-11-09	VYDAJ	VYBER	10900	11944	\N	\N	\N
1142564	3907	1998-02-07	VYDAJ	VYBER	25500	25594	\N	\N	\N
1142565	3907	1998-03-09	VYDAJ	VYBER	11000	9986	\N	\N	\N
1142566	3907	1998-04-08	VYDAJ	VYBER	31800	32396	\N	\N	\N
1142567	3907	1998-05-08	VYDAJ	VYBER	40200	42654	\N	\N	\N
1142568	3907	1998-06-05	VYDAJ	VYBER	38700	75439	\N	\N	\N
1142569	3907	1998-06-07	VYDAJ	VYBER	35300	40139	\N	\N	\N
1142570	3907	1998-07-07	VYDAJ	VYBER	26300	22310	\N	\N	\N
1142571	3907	1998-08-06	VYDAJ	VYBER	11700	18790	\N	\N	\N
1142572	3907	1998-09-05	VYDAJ	VYBER	43800	41163	\N	\N	\N
1142573	3907	1998-10-05	VYDAJ	VYBER	17600	18136	\N	\N	\N
1142574	3907	1998-11-04	VYDAJ	VYBER	16200	15121	\N	\N	\N
1142575	3907	1998-12-04	VYDAJ	VYBER	23600	19308	\N	\N	\N
1142608	3908	1997-01-16	PRIJEM	VKLAD	700	700	\N	\N	\N
1142610	3908	1997-02-13	PRIJEM	PREVOD Z UCTU	4810	5510	DUCHOD	CD	67100393
1142611	3908	1997-03-13	PRIJEM	PREVOD Z UCTU	4810	10320	DUCHOD	CD	67100393
1142612	3908	1997-04-13	PRIJEM	PREVOD Z UCTU	4810	15130	DUCHOD	CD	67100393
1142613	3908	1997-05-13	PRIJEM	PREVOD Z UCTU	4810	19940	DUCHOD	CD	67100393
1142614	3908	1997-06-13	PRIJEM	PREVOD Z UCTU	4810	24750	DUCHOD	CD	67100393
1142615	3908	1997-07-13	PRIJEM	PREVOD Z UCTU	4810	26911	DUCHOD	CD	67100393
1142616	3908	1997-08-13	PRIJEM	PREVOD Z UCTU	4810	23896	DUCHOD	CD	67100393
1142617	3908	1997-09-13	PRIJEM	PREVOD Z UCTU	4810	26152	DUCHOD	CD	67100393
1142618	3908	1997-10-13	PRIJEM	PREVOD Z UCTU	4810	27913	DUCHOD	CD	67100393
1142619	3908	1997-11-13	PRIJEM	PREVOD Z UCTU	4810	27582	DUCHOD	CD	67100393
1142620	3908	1997-12-13	PRIJEM	PREVOD Z UCTU	4810	29850	DUCHOD	CD	67100393
1142621	3908	1998-01-13	PRIJEM	PREVOD Z UCTU	4810	24115	DUCHOD	CD	67100393
1142622	3908	1998-02-13	PRIJEM	PREVOD Z UCTU	4810	20035	DUCHOD	CD	67100393
1142623	3908	1998-03-13	PRIJEM	PREVOD Z UCTU	4810	18991	DUCHOD	CD	67100393
1142624	3908	1998-04-13	PRIJEM	PREVOD Z UCTU	4810	20628	DUCHOD	CD	67100393
1142625	3908	1998-05-13	PRIJEM	PREVOD Z UCTU	4810	17664	DUCHOD	CD	67100393
1142626	3908	1998-06-13	PRIJEM	PREVOD Z UCTU	4810	15271	DUCHOD	CD	67100393
1142627	3908	1998-07-13	PRIJEM	PREVOD Z UCTU	4810	17489	DUCHOD	CD	67100393
1142628	3908	1998-08-13	PRIJEM	PREVOD Z UCTU	4810	19715	DUCHOD	CD	67100393
1142629	3908	1998-09-13	PRIJEM	PREVOD Z UCTU	4810	15250	DUCHOD	CD	67100393
1142630	3908	1998-10-13	PRIJEM	PREVOD Z UCTU	4810	17473	DUCHOD	CD	67100393
1142631	3908	1998-11-13	PRIJEM	PREVOD Z UCTU	4810	19698	DUCHOD	CD	67100393
1142632	3908	1998-12-13	PRIJEM	PREVOD Z UCTU	4810	18011	DUCHOD	CD	67100393
1142639	3908	1997-07-08	VYDAJ	PREVOD NA UCET	1630	23109	SIPO	KL	49593687
1142640	3908	1997-08-08	VYDAJ	PREVOD NA UCET	1630	20094	SIPO	KL	49593687
1142641	3908	1997-09-08	VYDAJ	PREVOD NA UCET	1630	22350	SIPO	KL	49593687
1142642	3908	1997-10-08	VYDAJ	PREVOD NA UCET	1630	24111	SIPO	KL	49593687
1142643	3908	1997-11-08	VYDAJ	PREVOD NA UCET	1630	24180	SIPO	KL	49593687
1142644	3908	1997-12-08	VYDAJ	PREVOD NA UCET	1630	26048	SIPO	KL	49593687
1142645	3908	1998-01-08	VYDAJ	PREVOD NA UCET	1630	20873	SIPO	KL	49593687
1142646	3908	1998-02-08	VYDAJ	PREVOD NA UCET	1630	16233	SIPO	KL	49593687
1142647	3908	1998-03-08	VYDAJ	PREVOD NA UCET	1630	15189	SIPO	KL	49593687
1142648	3908	1998-04-08	VYDAJ	PREVOD NA UCET	1630	17426	SIPO	KL	49593687
1142649	3908	1998-05-08	VYDAJ	PREVOD NA UCET	1630	13862	SIPO	KL	49593687
1142650	3908	1998-06-08	VYDAJ	PREVOD NA UCET	1630	11469	SIPO	KL	49593687
1142651	3908	1998-07-08	VYDAJ	PREVOD NA UCET	1630	13687	SIPO	KL	49593687
1142652	3908	1998-08-08	VYDAJ	PREVOD NA UCET	1630	15913	SIPO	KL	49593687
1142653	3908	1998-09-08	VYDAJ	PREVOD NA UCET	1630	11448	SIPO	KL	49593687
1142654	3908	1998-10-08	VYDAJ	PREVOD NA UCET	1630	13671	SIPO	KL	49593687
1142655	3908	1998-11-08	VYDAJ	PREVOD NA UCET	1630	15896	SIPO	KL	49593687
1142656	3908	1998-12-08	VYDAJ	PREVOD NA UCET	1630	14209	SIPO	KL	49593687
1142663	3908	1997-07-11	VYDAJ	PREVOD NA UCET	1008	22101	 	QR	26197701
1142664	3908	1997-08-11	VYDAJ	PREVOD NA UCET	1008	19086	 	QR	26197701
1142665	3908	1997-09-11	VYDAJ	PREVOD NA UCET	1008	21342	 	QR	26197701
1142666	3908	1997-10-11	VYDAJ	PREVOD NA UCET	1008	23103	 	QR	26197701
1142667	3908	1997-11-11	VYDAJ	PREVOD NA UCET	1008	23172	 	QR	26197701
1142668	3908	1997-12-11	VYDAJ	PREVOD NA UCET	1008	25040	 	QR	26197701
1142669	3908	1998-01-11	VYDAJ	PREVOD NA UCET	1008	19305	 	QR	26197701
1142670	3908	1998-02-11	VYDAJ	PREVOD NA UCET	1008	15225	 	QR	26197701
1142671	3908	1998-03-11	VYDAJ	PREVOD NA UCET	1008	14181	 	QR	26197701
1142672	3908	1998-04-11	VYDAJ	PREVOD NA UCET	1008	15818	 	QR	26197701
1142673	3908	1998-05-11	VYDAJ	PREVOD NA UCET	1008	12854	 	QR	26197701
1142674	3908	1998-06-11	VYDAJ	PREVOD NA UCET	1008	10461	 	QR	26197701
1142675	3908	1998-07-11	VYDAJ	PREVOD NA UCET	1008	12679	 	QR	26197701
1142676	3908	1998-08-11	VYDAJ	PREVOD NA UCET	1008	14905	 	QR	26197701
1142677	3908	1998-09-11	VYDAJ	PREVOD NA UCET	1008	10440	 	QR	26197701
1142678	3908	1998-10-11	VYDAJ	PREVOD NA UCET	1008	12663	 	QR	26197701
1142679	3908	1998-11-11	VYDAJ	PREVOD NA UCET	1008	14888	 	QR	26197701
1142680	3908	1998-12-11	VYDAJ	PREVOD NA UCET	1008	13201	 	QR	26197701
1142682	3908	1998-06-02	VYDAJ	VYBER	1900	15819	\N	\N	\N
1142684	3908	1998-01-28	VYDAJ	VYBER	3450	17785	\N	\N	\N
1142685	3908	1997-12-21	VYDAJ	VYBER	250	29600	\N	\N	\N
1142693	3908	1998-01-13	VYDAJ	VYBER	640	23475	\N	\N	\N
1142694	3908	1998-01-07	VYDAJ	VYBER	1600	22503	\N	\N	\N
1142695	3908	1998-01-20	VYDAJ	VYBER	720	22755	\N	\N	\N
1142696	3908	1998-01-10	VYDAJ	VYBER	560	20313	\N	\N	\N
1142697	3908	1998-01-20	VYDAJ	VYBER	1520	21235	\N	\N	\N
1142698	3908	1998-01-05	VYDAJ	VYBER	1680	24103	\N	\N	\N
1142699	3908	1997-08-06	VYDAJ	VYBER	3120	21724	\N	\N	\N
1142701	3908	1997-08-03	VYDAJ	VYBER	2160	24844	\N	\N	\N
1142702	3908	1997-12-27	VYDAJ	VYBER	2240	27360	\N	\N	\N
1142704	3908	1997-12-28	VYDAJ	VYBER	1680	25680	\N	\N	\N
1142705	3908	1998-04-27	VYDAJ	VYBER	2960	15428	\N	\N	\N
1142706	3908	1998-04-26	VYDAJ	VYBER	2240	18388	\N	\N	\N
1142707	3908	1998-02-28	VYDAJ	VYBER	3280	16819	\N	\N	\N
1142708	3908	1998-06-04	VYDAJ	VYBER	2720	13099	\N	\N	\N
1142709	3908	1998-11-26	VYDAJ	VYBER	3920	15778	\N	\N	\N
1142716	3908	1997-06-30	VYDAJ	VYBER	15	24739	SLUZBY	\N	\N
1142717	3908	1997-07-31	VYDAJ	VYBER	15	27004	SLUZBY	\N	\N
1142718	3908	1997-08-31	VYDAJ	VYBER	15	23980	SLUZBY	\N	\N
1142719	3908	1997-09-30	VYDAJ	VYBER	15	25741	SLUZBY	\N	\N
1142720	3908	1997-10-31	VYDAJ	VYBER	15	25810	SLUZBY	\N	\N
1142721	3908	1997-11-30	VYDAJ	VYBER	15	27678	SLUZBY	\N	\N
1142722	3908	1997-12-31	VYDAJ	VYBER	15	25783	SLUZBY	\N	\N
1142723	3908	1998-01-31	VYDAJ	VYBER	15	17863	SLUZBY	\N	\N
1142724	3908	1998-02-28	VYDAJ	VYBER	15	20099	SLUZBY	\N	\N
1142725	3908	1998-03-31	VYDAJ	VYBER	15	19056	SLUZBY	\N	\N
1142726	3908	1998-04-30	VYDAJ	VYBER	15	15492	SLUZBY	\N	\N
1142727	3908	1998-05-31	VYDAJ	VYBER	15	17719	SLUZBY	\N	\N
1142728	3908	1998-06-30	VYDAJ	VYBER	15	15317	SLUZBY	\N	\N
1142729	3908	1998-07-31	VYDAJ	VYBER	15	17543	SLUZBY	\N	\N
1142730	3908	1998-08-31	VYDAJ	VYBER	15	19778	SLUZBY	\N	\N
1142731	3908	1998-09-30	VYDAJ	VYBER	15	15301	SLUZBY	\N	\N
1142732	3908	1998-10-31	VYDAJ	VYBER	15	17526	SLUZBY	\N	\N
1142733	3908	1998-11-30	VYDAJ	VYBER	15	15839	SLUZBY	\N	\N
1142734	3908	1997-09-13	VYDAJ	VYBER	500	25652	\N	\N	\N
1142735	3908	1997-10-13	VYDAJ	VYBER	2200	25713	\N	\N	\N
1142736	3908	1997-11-12	VYDAJ	VYBER	400	22772	\N	\N	\N
1142737	3908	1998-04-11	VYDAJ	VYBER	600	16826	\N	\N	\N
1142738	3908	1998-09-08	VYDAJ	VYBER	6700	13078	\N	\N	\N
1142758	3909	1993-01-14	PRIJEM	VKLAD	700	700	\N	\N	\N
1142760	3909	1993-02-13	PRIJEM	VKLAD	24400	25100	\N	\N	\N
1142761	3909	1993-03-13	PRIJEM	VKLAD	24400	49059	\N	\N	\N
1142762	3909	1993-04-13	PRIJEM	VKLAD	24400	59685	\N	\N	\N
1142763	3909	1993-05-13	PRIJEM	VKLAD	24400	67851	\N	\N	\N
1142764	3909	1993-06-13	PRIJEM	VKLAD	36600	84241	\N	\N	\N
1142765	3909	1993-07-13	PRIJEM	VKLAD	24400	55418	\N	\N	\N
1142766	3909	1993-08-13	PRIJEM	VKLAD	24400	56294	\N	\N	\N
1142767	3909	1993-09-13	PRIJEM	VKLAD	24400	54060	\N	\N	\N
1142768	3909	1993-10-13	PRIJEM	VKLAD	24400	61843	\N	\N	\N
1142769	3909	1993-11-13	PRIJEM	VKLAD	24400	61857	\N	\N	\N
1142770	3909	1993-12-13	PRIJEM	VKLAD	36600	69279	\N	\N	\N
1142771	3909	1994-01-13	PRIJEM	VKLAD	24400	60311	\N	\N	\N
1142772	3909	1994-02-13	PRIJEM	VKLAD	24400	55518	\N	\N	\N
1142773	3909	1994-03-13	PRIJEM	VKLAD	24400	59804	\N	\N	\N
1142774	3909	1994-04-13	PRIJEM	VKLAD	24400	61713	\N	\N	\N
1142775	3909	1994-05-13	PRIJEM	VKLAD	24400	62435	\N	\N	\N
1142776	3909	1994-06-13	PRIJEM	VKLAD	36600	71058	\N	\N	\N
1142777	3909	1994-07-13	PRIJEM	VKLAD	24400	58582	\N	\N	\N
1142778	3909	1994-08-13	PRIJEM	VKLAD	24400	57894	\N	\N	\N
1142779	3909	1994-09-13	PRIJEM	VKLAD	24400	56090	\N	\N	\N
1142780	3909	1994-10-13	PRIJEM	VKLAD	24400	55278	\N	\N	\N
1142781	3909	1994-11-13	PRIJEM	VKLAD	24400	56266	\N	\N	\N
1142782	3909	1994-12-13	PRIJEM	VKLAD	36600	65055	\N	\N	\N
1142783	3909	1995-01-13	PRIJEM	VKLAD	24400	58666	\N	\N	\N
1142784	3909	1995-02-13	PRIJEM	VKLAD	24400	47743	\N	\N	\N
1142785	3909	1995-03-13	PRIJEM	VKLAD	24400	48200	\N	\N	\N
1142786	3909	1995-04-13	PRIJEM	VKLAD	24400	48656	\N	\N	\N
1142787	3909	1995-05-13	PRIJEM	VKLAD	24400	49314	\N	\N	\N
1142788	3909	1995-06-13	PRIJEM	VKLAD	36600	50974	\N	\N	\N
1142789	3909	1995-07-13	PRIJEM	VKLAD	24400	52318	\N	\N	\N
1142790	3909	1995-08-13	PRIJEM	VKLAD	24400	55188	\N	\N	\N
1142791	3909	1995-09-13	PRIJEM	VKLAD	24400	57172	\N	\N	\N
1142792	3909	1995-10-13	PRIJEM	VKLAD	24400	55064	\N	\N	\N
1142793	3909	1995-11-13	PRIJEM	VKLAD	24400	52449	\N	\N	\N
1142794	3909	1995-12-13	PRIJEM	VKLAD	36600	62115	\N	\N	\N
1142795	3909	1996-01-13	PRIJEM	VKLAD	24400	56193	\N	\N	\N
1142796	3909	1996-02-13	PRIJEM	VKLAD	24400	49653	\N	\N	\N
1142797	3909	1996-03-13	PRIJEM	VKLAD	24400	56807	\N	\N	\N
1142798	3909	1996-04-13	PRIJEM	VKLAD	24400	54586	\N	\N	\N
1142799	3909	1996-05-13	PRIJEM	VKLAD	24400	53251	\N	\N	\N
1142800	3909	1996-06-13	PRIJEM	VKLAD	36600	54815	\N	\N	\N
1142801	3909	1996-07-13	PRIJEM	VKLAD	24400	57072	\N	\N	\N
1142802	3909	1996-08-13	PRIJEM	VKLAD	24400	53346	\N	\N	\N
1142803	3909	1996-09-13	PRIJEM	VKLAD	24400	51999	\N	\N	\N
1142804	3909	1996-10-13	PRIJEM	VKLAD	24400	52047	\N	\N	\N
1142805	3909	1996-11-13	PRIJEM	VKLAD	24400	54996	\N	\N	\N
1142806	3909	1996-12-13	PRIJEM	VKLAD	36600	64051	\N	\N	\N
1142807	3909	1997-01-13	PRIJEM	VKLAD	24400	52122	\N	\N	\N
1142808	3909	1997-02-13	PRIJEM	VKLAD	24400	45558	\N	\N	\N
1142809	3909	1997-03-13	PRIJEM	VKLAD	24400	53280	\N	\N	\N
1142810	3909	1997-04-13	PRIJEM	VKLAD	24400	58039	\N	\N	\N
1142811	3909	1997-05-13	PRIJEM	VKLAD	24400	60412	\N	\N	\N
1142812	3909	1997-06-13	PRIJEM	VKLAD	36600	61296	\N	\N	\N
1142813	3909	1997-07-13	PRIJEM	VKLAD	24400	64484	\N	\N	\N
1142814	3909	1997-08-13	PRIJEM	VKLAD	24400	65176	\N	\N	\N
1142815	3909	1997-09-13	PRIJEM	VKLAD	24400	64772	\N	\N	\N
1142816	3909	1997-10-13	PRIJEM	VKLAD	24400	64769	\N	\N	\N
1142817	3909	1997-11-13	PRIJEM	VKLAD	24400	65057	\N	\N	\N
1142818	3909	1997-12-13	PRIJEM	VKLAD	36600	73545	\N	\N	\N
1142819	3909	1998-01-13	PRIJEM	VKLAD	24400	62539	\N	\N	\N
1142820	3909	1998-02-13	PRIJEM	VKLAD	24400	49218	\N	\N	\N
1142821	3909	1998-03-13	PRIJEM	VKLAD	24400	65264	\N	\N	\N
1142822	3909	1998-04-13	PRIJEM	VKLAD	24400	67455	\N	\N	\N
1142823	3909	1998-05-13	PRIJEM	VKLAD	24400	69653	\N	\N	\N
1142824	3909	1998-06-13	PRIJEM	VKLAD	36600	52555	\N	\N	\N
1142825	3909	1998-07-13	PRIJEM	VKLAD	24400	61104	\N	\N	\N
1142826	3909	1998-08-13	PRIJEM	VKLAD	24400	66981	\N	\N	\N
1142827	3909	1998-09-13	PRIJEM	VKLAD	24400	66568	\N	\N	\N
1142828	3909	1998-10-13	PRIJEM	VKLAD	24400	68255	\N	\N	\N
1142829	3909	1998-11-13	PRIJEM	VKLAD	24400	70150	\N	\N	\N
1142830	3909	1998-12-13	PRIJEM	VKLAD	36600	81548	\N	\N	\N
1142837	3909	1993-07-09	VYDAJ	PREVOD NA UCET	8279	31731	SIPO	YZ	4480547
1142838	3909	1993-08-09	VYDAJ	PREVOD NA UCET	8279	33094	SIPO	YZ	4480547
1142839	3909	1993-09-09	VYDAJ	PREVOD NA UCET	8279	37873	SIPO	YZ	4480547
1142840	3909	1993-10-09	VYDAJ	PREVOD NA UCET	8279	45356	SIPO	YZ	4480547
1142841	3909	1993-11-09	VYDAJ	PREVOD NA UCET	8279	52457	SIPO	YZ	4480547
1142842	3909	1993-12-09	VYDAJ	PREVOD NA UCET	8279	43879	SIPO	YZ	4480547
1142843	3909	1994-01-09	VYDAJ	PREVOD NA UCET	8279	50224	SIPO	YZ	4480547
1142844	3909	1994-02-09	VYDAJ	PREVOD NA UCET	8279	31831	SIPO	YZ	4480547
1142845	3909	1994-03-09	VYDAJ	PREVOD NA UCET	8279	46817	SIPO	YZ	4480547
1142846	3909	1994-04-09	VYDAJ	PREVOD NA UCET	8279	37313	SIPO	YZ	4480547
1142847	3909	1994-05-09	VYDAJ	PREVOD NA UCET	8279	38035	SIPO	YZ	4480547
1142848	3909	1994-06-09	VYDAJ	PREVOD NA UCET	8279	34458	SIPO	YZ	4480547
1142849	3909	1994-07-09	VYDAJ	PREVOD NA UCET	8279	34182	SIPO	YZ	4480547
1142850	3909	1994-08-09	VYDAJ	PREVOD NA UCET	8279	34207	SIPO	YZ	4480547
1142851	3909	1994-09-09	VYDAJ	PREVOD NA UCET	8279	32403	SIPO	YZ	4480547
1142852	3909	1994-10-09	VYDAJ	PREVOD NA UCET	8279	31591	SIPO	YZ	4480547
1142853	3909	1994-11-09	VYDAJ	PREVOD NA UCET	8279	32579	SIPO	YZ	4480547
1142854	3909	1994-12-09	VYDAJ	PREVOD NA UCET	8279	31055	SIPO	YZ	4480547
1142855	3909	1995-01-09	VYDAJ	PREVOD NA UCET	8279	34979	SIPO	YZ	4480547
1142856	3909	1995-02-09	VYDAJ	PREVOD NA UCET	8279	23343	SIPO	YZ	4480547
1142857	3909	1995-03-09	VYDAJ	PREVOD NA UCET	8279	24513	SIPO	YZ	4480547
1142858	3909	1995-04-09	VYDAJ	PREVOD NA UCET	8279	24256	SIPO	YZ	4480547
1142859	3909	1995-05-09	VYDAJ	PREVOD NA UCET	8279	25627	SIPO	YZ	4480547
1142860	3909	1995-06-09	VYDAJ	PREVOD NA UCET	8279	15087	SIPO	YZ	4480547
1142861	3909	1995-07-09	VYDAJ	PREVOD NA UCET	8279	28631	SIPO	YZ	4480547
1142862	3909	1995-08-09	VYDAJ	PREVOD NA UCET	8279	31501	SIPO	YZ	4480547
1142863	3909	1995-09-09	VYDAJ	PREVOD NA UCET	8279	32772	SIPO	YZ	4480547
1142864	3909	1995-10-09	VYDAJ	PREVOD NA UCET	8279	30664	SIPO	YZ	4480547
1142865	3909	1995-11-09	VYDAJ	PREVOD NA UCET	8279	32762	SIPO	YZ	4480547
1142866	3909	1995-12-09	VYDAJ	PREVOD NA UCET	8279	26228	SIPO	YZ	4480547
1142867	3909	1996-01-09	VYDAJ	PREVOD NA UCET	8279	31793	SIPO	YZ	4480547
1142868	3909	1996-02-09	VYDAJ	PREVOD NA UCET	8279	25253	SIPO	YZ	4480547
1142869	3909	1996-03-09	VYDAJ	PREVOD NA UCET	8279	32407	SIPO	YZ	4480547
1142870	3909	1996-04-09	VYDAJ	PREVOD NA UCET	8279	30186	SIPO	YZ	4480547
1142871	3909	1996-05-09	VYDAJ	PREVOD NA UCET	8279	28851	SIPO	YZ	4480547
1142872	3909	1996-06-09	VYDAJ	PREVOD NA UCET	8279	18928	SIPO	YZ	4480547
1142873	3909	1996-07-09	VYDAJ	PREVOD NA UCET	8279	32672	SIPO	YZ	4480547
1142874	3909	1996-08-09	VYDAJ	PREVOD NA UCET	8279	29659	SIPO	YZ	4480547
1142875	3909	1996-09-09	VYDAJ	PREVOD NA UCET	8279	28312	SIPO	YZ	4480547
1142876	3909	1996-10-09	VYDAJ	PREVOD NA UCET	8279	27647	SIPO	YZ	4480547
1142877	3909	1996-11-09	VYDAJ	PREVOD NA UCET	8279	31309	SIPO	YZ	4480547
1142878	3909	1996-12-09	VYDAJ	PREVOD NA UCET	8279	27451	SIPO	YZ	4480547
1142879	3909	1997-01-09	VYDAJ	PREVOD NA UCET	8279	29735	SIPO	YZ	4480547
1142880	3909	1997-02-09	VYDAJ	PREVOD NA UCET	8279	21871	SIPO	YZ	4480547
1142881	3909	1997-03-09	VYDAJ	PREVOD NA UCET	8279	28880	SIPO	YZ	4480547
1142882	3909	1997-04-09	VYDAJ	PREVOD NA UCET	8279	34352	SIPO	YZ	4480547
1142883	3909	1997-05-09	VYDAJ	PREVOD NA UCET	8279	39025	SIPO	YZ	4480547
1142884	3909	1997-06-09	VYDAJ	PREVOD NA UCET	8279	40509	SIPO	YZ	4480547
1142885	3909	1997-07-09	VYDAJ	PREVOD NA UCET	8279	40084	SIPO	YZ	4480547
1142886	3909	1997-08-09	VYDAJ	PREVOD NA UCET	8279	40776	SIPO	YZ	4480547
1142887	3909	1997-09-09	VYDAJ	PREVOD NA UCET	8279	40372	SIPO	YZ	4480547
1142888	3909	1997-10-09	VYDAJ	PREVOD NA UCET	8279	40369	SIPO	YZ	4480547
1142889	3909	1997-11-09	VYDAJ	PREVOD NA UCET	8279	40657	SIPO	YZ	4480547
1142890	3909	1997-12-09	VYDAJ	PREVOD NA UCET	8279	36945	SIPO	YZ	4480547
1142891	3909	1998-01-09	VYDAJ	PREVOD NA UCET	8279	40752	SIPO	YZ	4480547
1142892	3909	1998-02-09	VYDAJ	PREVOD NA UCET	8279	25531	SIPO	YZ	4480547
1142893	3909	1998-03-09	VYDAJ	PREVOD NA UCET	8279	41577	SIPO	YZ	4480547
1142894	3909	1998-04-09	VYDAJ	PREVOD NA UCET	8279	43055	SIPO	YZ	4480547
1142895	3909	1998-05-09	VYDAJ	PREVOD NA UCET	8279	45966	SIPO	YZ	4480547
1142896	3909	1998-06-09	VYDAJ	PREVOD NA UCET	8279	16668	SIPO	YZ	4480547
1142897	3909	1998-07-09	VYDAJ	PREVOD NA UCET	8279	37417	SIPO	YZ	4480547
1142898	3909	1998-08-09	VYDAJ	PREVOD NA UCET	8279	43294	SIPO	YZ	4480547
1142899	3909	1998-09-09	VYDAJ	PREVOD NA UCET	8279	42881	SIPO	YZ	4480547
1142900	3909	1998-10-09	VYDAJ	PREVOD NA UCET	8279	44568	SIPO	YZ	4480547
1142901	3909	1998-11-09	VYDAJ	PREVOD NA UCET	8279	45750	SIPO	YZ	4480547
1142902	3909	1998-12-09	VYDAJ	PREVOD NA UCET	8279	44948	SIPO	YZ	4480547
1142909	3909	1993-07-09	VYDAJ	PREVOD NA UCET	713	31018	 	QR	5039710
1142910	3909	1993-08-09	VYDAJ	PREVOD NA UCET	713	41373	 	QR	5039710
1142911	3909	1993-09-09	VYDAJ	PREVOD NA UCET	713	37160	 	QR	5039710
1142912	3909	1993-10-09	VYDAJ	PREVOD NA UCET	713	44643	 	QR	5039710
1142913	3909	1993-11-09	VYDAJ	PREVOD NA UCET	713	60736	 	QR	5039710
1142914	3909	1993-12-09	VYDAJ	PREVOD NA UCET	713	52158	 	QR	5039710
1142915	3909	1994-01-09	VYDAJ	PREVOD NA UCET	713	49511	 	QR	5039710
1142916	3909	1994-02-09	VYDAJ	PREVOD NA UCET	713	31118	 	QR	5039710
1142917	3909	1994-03-09	VYDAJ	PREVOD NA UCET	713	46104	 	QR	5039710
1142918	3909	1994-04-09	VYDAJ	PREVOD NA UCET	713	58692	 	QR	5039710
1142919	3909	1994-05-09	VYDAJ	PREVOD NA UCET	713	46314	 	QR	5039710
1142920	3909	1994-06-09	VYDAJ	PREVOD NA UCET	713	42737	 	QR	5039710
1142921	3909	1994-07-09	VYDAJ	PREVOD NA UCET	713	42461	 	QR	5039710
1142922	3909	1994-08-09	VYDAJ	PREVOD NA UCET	713	33494	 	QR	5039710
1142923	3909	1994-09-09	VYDAJ	PREVOD NA UCET	713	31690	 	QR	5039710
1142924	3909	1994-10-09	VYDAJ	PREVOD NA UCET	713	30878	 	QR	5039710
1142925	3909	1994-11-09	VYDAJ	PREVOD NA UCET	713	31866	 	QR	5039710
1142926	3909	1994-12-09	VYDAJ	PREVOD NA UCET	713	39334	 	QR	5039710
1142927	3909	1995-01-09	VYDAJ	PREVOD NA UCET	713	34266	 	QR	5039710
1142928	3909	1995-02-09	VYDAJ	PREVOD NA UCET	713	31622	 	QR	5039710
1142929	3909	1995-03-09	VYDAJ	PREVOD NA UCET	713	23800	 	QR	5039710
1142930	3909	1995-04-09	VYDAJ	PREVOD NA UCET	713	32535	 	QR	5039710
1142931	3909	1995-05-09	VYDAJ	PREVOD NA UCET	713	24914	 	QR	5039710
1142932	3909	1995-06-09	VYDAJ	PREVOD NA UCET	713	14374	 	QR	5039710
1142933	3909	1995-07-09	VYDAJ	PREVOD NA UCET	713	27918	 	QR	5039710
1142934	3909	1995-08-09	VYDAJ	PREVOD NA UCET	713	30788	 	QR	5039710
1142935	3909	1995-09-09	VYDAJ	PREVOD NA UCET	713	41051	 	QR	5039710
1142936	3909	1995-10-09	VYDAJ	PREVOD NA UCET	713	38943	 	QR	5039710
1142937	3909	1995-11-09	VYDAJ	PREVOD NA UCET	713	32049	 	QR	5039710
1142938	3909	1995-12-09	VYDAJ	PREVOD NA UCET	713	25515	 	QR	5039710
1142939	3909	1996-01-09	VYDAJ	PREVOD NA UCET	713	40072	 	QR	5039710
1142940	3909	1996-02-09	VYDAJ	PREVOD NA UCET	713	33532	 	QR	5039710
1142941	3909	1996-03-09	VYDAJ	PREVOD NA UCET	713	40686	 	QR	5039710
1142942	3909	1996-04-09	VYDAJ	PREVOD NA UCET	713	38465	 	QR	5039710
1142943	3909	1996-05-09	VYDAJ	PREVOD NA UCET	713	37130	 	QR	5039710
1142944	3909	1996-06-09	VYDAJ	PREVOD NA UCET	713	18215	 	QR	5039710
1142945	3909	1996-07-09	VYDAJ	PREVOD NA UCET	713	40951	 	QR	5039710
1142946	3909	1996-08-09	VYDAJ	PREVOD NA UCET	713	28946	 	QR	5039710
1142947	3909	1996-09-09	VYDAJ	PREVOD NA UCET	713	27599	 	QR	5039710
1142948	3909	1996-10-09	VYDAJ	PREVOD NA UCET	713	35926	 	QR	5039710
1142949	3909	1996-11-09	VYDAJ	PREVOD NA UCET	713	30596	 	QR	5039710
1142950	3909	1996-12-09	VYDAJ	PREVOD NA UCET	713	35730	 	QR	5039710
1142951	3909	1997-01-09	VYDAJ	PREVOD NA UCET	713	29022	 	QR	5039710
1142952	3909	1997-02-09	VYDAJ	PREVOD NA UCET	713	21158	 	QR	5039710
1142953	3909	1997-03-09	VYDAJ	PREVOD NA UCET	713	37159	 	QR	5039710
1142954	3909	1997-04-09	VYDAJ	PREVOD NA UCET	713	33639	 	QR	5039710
1142955	3909	1997-05-09	VYDAJ	PREVOD NA UCET	713	38312	 	QR	5039710
1142956	3909	1997-06-09	VYDAJ	PREVOD NA UCET	713	38096	 	QR	5039710
1142957	3909	1997-07-09	VYDAJ	PREVOD NA UCET	713	48363	 	QR	5039710
1142958	3909	1997-08-09	VYDAJ	PREVOD NA UCET	713	49055	 	QR	5039710
1142959	3909	1997-09-09	VYDAJ	PREVOD NA UCET	713	48651	 	QR	5039710
1142960	3909	1997-10-09	VYDAJ	PREVOD NA UCET	713	48648	 	QR	5039710
1142961	3909	1997-11-09	VYDAJ	PREVOD NA UCET	713	48936	 	QR	5039710
1142962	3909	1997-12-09	VYDAJ	PREVOD NA UCET	713	45224	 	QR	5039710
1142963	3909	1998-01-09	VYDAJ	PREVOD NA UCET	713	38139	 	QR	5039710
1142964	3909	1998-02-09	VYDAJ	PREVOD NA UCET	713	24818	 	QR	5039710
1142965	3909	1998-03-09	VYDAJ	PREVOD NA UCET	713	40864	 	QR	5039710
1142966	3909	1998-04-09	VYDAJ	PREVOD NA UCET	713	51334	 	QR	5039710
1142967	3909	1998-05-09	VYDAJ	PREVOD NA UCET	713	45253	 	QR	5039710
1142968	3909	1998-06-09	VYDAJ	PREVOD NA UCET	713	15955	 	QR	5039710
1142969	3909	1998-07-09	VYDAJ	PREVOD NA UCET	713	36704	 	QR	5039710
1142970	3909	1998-08-09	VYDAJ	PREVOD NA UCET	713	42581	 	QR	5039710
1142971	3909	1998-09-09	VYDAJ	PREVOD NA UCET	713	42168	 	QR	5039710
1142972	3909	1998-10-09	VYDAJ	PREVOD NA UCET	713	43855	 	QR	5039710
1142973	3909	1998-11-09	VYDAJ	PREVOD NA UCET	713	54029	 	QR	5039710
1142974	3909	1998-12-09	VYDAJ	PREVOD NA UCET	713	53227	 	QR	5039710
1142981	3909	1993-07-06	VYDAJ	PREVOD NA UCET	617	40010	POJISTNE	YZ	73936581
1142982	3909	1993-08-06	VYDAJ	PREVOD NA UCET	617	42086	POJISTNE	YZ	73936581
1142983	3909	1993-09-06	VYDAJ	PREVOD NA UCET	617	46152	POJISTNE	YZ	73936581
1142984	3909	1993-10-06	VYDAJ	PREVOD NA UCET	617	53635	POJISTNE	YZ	73936581
1142985	3909	1993-11-06	VYDAJ	PREVOD NA UCET	617	61449	POJISTNE	YZ	73936581
1142986	3909	1993-12-06	VYDAJ	PREVOD NA UCET	617	52871	POJISTNE	YZ	73936581
1142987	3909	1994-01-06	VYDAJ	PREVOD NA UCET	617	61803	POJISTNE	YZ	73936581
1142988	3909	1994-02-06	VYDAJ	PREVOD NA UCET	617	50210	POJISTNE	YZ	73936581
1142989	3909	1994-03-06	VYDAJ	PREVOD NA UCET	617	55096	POJISTNE	YZ	73936581
1142990	3909	1994-04-06	VYDAJ	PREVOD NA UCET	617	59405	POJISTNE	YZ	73936581
1142991	3909	1994-05-06	VYDAJ	PREVOD NA UCET	617	58027	POJISTNE	YZ	73936581
1142992	3909	1994-06-06	VYDAJ	PREVOD NA UCET	617	62050	POJISTNE	YZ	73936581
1142993	3909	1994-07-06	VYDAJ	PREVOD NA UCET	617	60774	POJISTNE	YZ	73936581
1142994	3909	1994-08-06	VYDAJ	PREVOD NA UCET	617	58186	POJISTNE	YZ	73936581
1142995	3909	1994-09-06	VYDAJ	PREVOD NA UCET	617	40682	POJISTNE	YZ	73936581
1142996	3909	1994-10-06	VYDAJ	PREVOD NA UCET	617	39870	POJISTNE	YZ	73936581
1142997	3909	1994-11-06	VYDAJ	PREVOD NA UCET	617	40858	POJISTNE	YZ	73936581
1142998	3909	1994-12-06	VYDAJ	PREVOD NA UCET	617	40047	POJISTNE	YZ	73936581
1142999	3909	1995-01-06	VYDAJ	PREVOD NA UCET	617	43258	POJISTNE	YZ	73936581
1143000	3909	1995-02-06	VYDAJ	PREVOD NA UCET	617	32335	POJISTNE	YZ	73936581
1143001	3909	1995-03-06	VYDAJ	PREVOD NA UCET	617	32792	POJISTNE	YZ	73936581
1143002	3909	1995-04-06	VYDAJ	PREVOD NA UCET	617	33248	POJISTNE	YZ	73936581
1143003	3909	1995-05-06	VYDAJ	PREVOD NA UCET	617	33906	POJISTNE	YZ	73936581
1143004	3909	1995-06-06	VYDAJ	PREVOD NA UCET	617	23366	POJISTNE	YZ	73936581
1143005	3909	1995-07-06	VYDAJ	PREVOD NA UCET	617	36910	POJISTNE	YZ	73936581
1143006	3909	1995-08-06	VYDAJ	PREVOD NA UCET	617	39780	POJISTNE	YZ	73936581
1143007	3909	1995-09-06	VYDAJ	PREVOD NA UCET	617	41764	POJISTNE	YZ	73936581
1143008	3909	1995-10-06	VYDAJ	PREVOD NA UCET	617	39656	POJISTNE	YZ	73936581
1143009	3909	1995-11-06	VYDAJ	PREVOD NA UCET	617	41041	POJISTNE	YZ	73936581
1143010	3909	1995-12-06	VYDAJ	PREVOD NA UCET	617	34507	POJISTNE	YZ	73936581
1143011	3909	1996-01-06	VYDAJ	PREVOD NA UCET	617	43685	POJISTNE	YZ	73936581
1143012	3909	1996-02-06	VYDAJ	PREVOD NA UCET	617	35645	POJISTNE	YZ	73936581
1143013	3909	1996-03-06	VYDAJ	PREVOD NA UCET	617	41399	POJISTNE	YZ	73936581
1143014	3909	1996-04-06	VYDAJ	PREVOD NA UCET	617	39178	POJISTNE	YZ	73936581
1143015	3909	1996-05-06	VYDAJ	PREVOD NA UCET	617	37843	POJISTNE	YZ	73936581
1143016	3909	1996-06-06	VYDAJ	PREVOD NA UCET	617	39307	POJISTNE	YZ	73936581
1143017	3909	1996-07-06	VYDAJ	PREVOD NA UCET	617	41664	POJISTNE	YZ	73936581
1143018	3909	1996-08-06	VYDAJ	PREVOD NA UCET	617	37938	POJISTNE	YZ	73936581
1143019	3909	1996-09-06	VYDAJ	PREVOD NA UCET	617	36591	POJISTNE	YZ	73936581
1143020	3909	1996-10-06	VYDAJ	PREVOD NA UCET	617	36639	POJISTNE	YZ	73936581
1143021	3909	1996-11-06	VYDAJ	PREVOD NA UCET	617	39588	POJISTNE	YZ	73936581
1143022	3909	1996-12-06	VYDAJ	PREVOD NA UCET	617	36443	POJISTNE	YZ	73936581
1143023	3909	1997-01-06	VYDAJ	PREVOD NA UCET	617	38014	POJISTNE	YZ	73936581
1143024	3909	1997-02-06	VYDAJ	PREVOD NA UCET	617	30150	POJISTNE	YZ	73936581
1143025	3909	1997-03-06	VYDAJ	PREVOD NA UCET	617	37872	POJISTNE	YZ	73936581
1143026	3909	1997-04-06	VYDAJ	PREVOD NA UCET	617	42631	POJISTNE	YZ	73936581
1143027	3909	1997-05-06	VYDAJ	PREVOD NA UCET	617	47304	POJISTNE	YZ	73936581
1143028	3909	1997-06-06	VYDAJ	PREVOD NA UCET	617	48788	POJISTNE	YZ	73936581
1143029	3909	1997-07-06	VYDAJ	PREVOD NA UCET	617	49076	POJISTNE	YZ	73936581
1143030	3909	1997-08-06	VYDAJ	PREVOD NA UCET	617	49768	POJISTNE	YZ	73936581
1143031	3909	1997-09-06	VYDAJ	PREVOD NA UCET	617	49364	POJISTNE	YZ	73936581
1143032	3909	1997-10-06	VYDAJ	PREVOD NA UCET	617	49361	POJISTNE	YZ	73936581
1143033	3909	1997-11-06	VYDAJ	PREVOD NA UCET	617	49649	POJISTNE	YZ	73936581
1143034	3909	1997-12-06	VYDAJ	PREVOD NA UCET	617	45937	POJISTNE	YZ	73936581
1143035	3909	1998-01-06	VYDAJ	PREVOD NA UCET	617	53731	POJISTNE	YZ	73936581
1143036	3909	1998-02-06	VYDAJ	PREVOD NA UCET	617	33810	POJISTNE	YZ	73936581
1143037	3909	1998-03-06	VYDAJ	PREVOD NA UCET	617	49856	POJISTNE	YZ	73936581
1143038	3909	1998-04-06	VYDAJ	PREVOD NA UCET	617	52047	POJISTNE	YZ	73936581
1143039	3909	1998-05-06	VYDAJ	PREVOD NA UCET	617	54245	POJISTNE	YZ	73936581
1143040	3909	1998-06-06	VYDAJ	PREVOD NA UCET	617	24947	POJISTNE	YZ	73936581
1143041	3909	1998-07-06	VYDAJ	PREVOD NA UCET	617	45696	POJISTNE	YZ	73936581
1143042	3909	1998-08-06	VYDAJ	PREVOD NA UCET	617	51573	POJISTNE	YZ	73936581
1143043	3909	1998-09-06	VYDAJ	PREVOD NA UCET	617	51160	POJISTNE	YZ	73936581
1143044	3909	1998-10-06	VYDAJ	PREVOD NA UCET	617	52847	POJISTNE	YZ	73936581
1143045	3909	1998-11-06	VYDAJ	PREVOD NA UCET	617	54742	POJISTNE	YZ	73936581
1143046	3909	1998-12-06	VYDAJ	PREVOD NA UCET	617	53940	POJISTNE	YZ	73936581
1143047	3909	1993-06-23	VYDAJ	VYBER	14100	40441	\N	\N	\N
1143048	3909	1994-06-16	VYDAJ	VYBER	9900	61158	\N	\N	\N
1143049	3909	1995-06-04	VYDAJ	VYBER	11500	23983	\N	\N	\N
1143050	3909	1996-06-08	VYDAJ	VYBER	12100	27207	\N	\N	\N
1143051	3909	1997-06-09	VYDAJ	VYBER	13400	24696	\N	\N	\N
1143052	3909	1998-06-05	VYDAJ	VYBER	29400	25564	\N	\N	\N
1143054	3909	1994-01-05	VYDAJ	VYBER	5300	62420	\N	\N	\N
1143055	3909	1995-01-22	VYDAJ	VYBER	2900	48866	\N	\N	\N
1143056	3909	1996-01-15	VYDAJ	VYBER	4200	49893	\N	\N	\N
1143057	3909	1997-01-23	VYDAJ	VYBER	6400	40922	\N	\N	\N
1143058	3909	1998-01-30	VYDAJ	VYBER	9400	34239	\N	\N	\N
1143059	3909	1993-12-05	VYDAJ	VYBER	2100	58388	\N	\N	\N
1143060	3909	1994-12-21	VYDAJ	VYBER	2200	62855	\N	\N	\N
1143061	3909	1995-12-21	VYDAJ	VYBER	2800	59315	\N	\N	\N
1143062	3909	1996-12-28	VYDAJ	VYBER KARTOU	1500	42351	\N	\N	0
1143063	3909	1997-12-05	VYDAJ	VYBER KARTOU	500	46554	\N	\N	0
1143064	3909	1998-12-17	VYDAJ	VYBER KARTOU	2900	55448	\N	\N	0
1143071	3909	1994-01-14	VYDAJ	VYBER	2400	57911	\N	\N	\N
1143072	3909	1994-01-27	VYDAJ	VYBER	2800	53311	\N	\N	\N
1143073	3909	1994-01-29	VYDAJ	VYBER	2700	50611	\N	\N	\N
1143074	3909	1994-01-07	VYDAJ	VYBER	1400	60403	\N	\N	\N
1143075	3909	1994-01-08	VYDAJ	VYBER	1900	58503	\N	\N	\N
1143076	3909	1994-01-18	VYDAJ	VYBER	1800	56111	\N	\N	\N
1143077	3909	1995-01-28	VYDAJ	VYBER	2800	45566	\N	\N	\N
1143078	3909	1995-01-14	VYDAJ	VYBER	1600	57066	\N	\N	\N
1143079	3909	1995-01-15	VYDAJ	VYBER	2400	51766	\N	\N	\N
1143080	3909	1995-01-15	VYDAJ	VYBER	2900	54166	\N	\N	\N
1143081	3909	1995-01-25	VYDAJ	VYBER	500	48366	\N	\N	\N
1143082	3909	1995-01-03	VYDAJ	VYBER	700	62375	\N	\N	\N
1143083	3909	1996-01-17	VYDAJ	VYBER	2300	47593	\N	\N	\N
1143084	3909	1996-01-25	VYDAJ	VYBER	1400	46193	\N	\N	\N
1143085	3909	1996-01-01	VYDAJ	VYBER	700	44302	\N	\N	\N
1143086	3909	1996-01-15	VYDAJ	VYBER	2100	54093	\N	\N	\N
1143087	3909	1996-01-29	VYDAJ	VYBER	2400	43793	\N	\N	\N
1143088	3909	1996-01-08	VYDAJ	VYBER	2900	40785	\N	\N	\N
1143089	3909	1997-01-03	VYDAJ	VYBER KARTOU	1700	38631	\N	\N	0
1143090	3909	1997-01-27	VYDAJ	VYBER KARTOU	2700	30622	\N	\N	0
1143091	3909	1997-01-15	VYDAJ	VYBER KARTOU	2600	49522	\N	\N	0
1143092	3909	1997-01-19	VYDAJ	VYBER KARTOU	2200	47322	\N	\N	0
1143093	3909	1997-01-10	VYDAJ	VYBER KARTOU	1300	27722	\N	\N	0
1143094	3909	1997-01-25	VYDAJ	VYBER KARTOU	1600	33322	\N	\N	0
1143095	3909	1998-01-30	VYDAJ	VYBER KARTOU	2500	43639	\N	\N	0
1143096	3909	1998-01-09	VYDAJ	VYBER KARTOU	1900	38852	\N	\N	0
1143097	3909	1998-01-07	VYDAJ	VYBER KARTOU	2700	51031	\N	\N	0
1143098	3909	1998-01-19	VYDAJ	VYBER KARTOU	1400	49939	\N	\N	0
1143099	3909	1998-01-23	VYDAJ	VYBER KARTOU	600	48439	\N	\N	0
1143100	3909	1998-01-23	VYDAJ	VYBER KARTOU	1100	47339	\N	\N	0
1143101	3909	1993-08-17	VYDAJ	VYBER	4800	46594	\N	\N	\N
1143102	3909	1993-08-15	VYDAJ	VYBER	4900	51394	\N	\N	\N
1143103	3909	1993-12-05	VYDAJ	VYBER	4900	53488	\N	\N	\N
1143105	3909	1993-12-27	VYDAJ	VYBER	1800	67479	\N	\N	\N
1143106	3909	1993-11-24	VYDAJ	VYBER	1600	60257	\N	\N	\N
1143107	3909	1994-09-30	VYDAJ	VYBER	1300	54987	\N	\N	\N
1143108	3909	1994-12-11	VYDAJ	VYBER	2600	28455	\N	\N	\N
1143109	3909	1994-04-28	VYDAJ	VYBER	3300	58413	\N	\N	\N
1143110	3909	1994-08-21	VYDAJ	VYBER	3400	54494	\N	\N	\N
1143111	3909	1994-10-01	VYDAJ	VYBER	3200	51787	\N	\N	\N
1143112	3909	1994-08-30	VYDAJ	VYBER	600	53894	\N	\N	\N
1143113	3909	1995-12-05	VYDAJ	VYBER	2800	35124	\N	\N	\N
1143114	3909	1995-04-27	VYDAJ	VYBER	1000	47656	\N	\N	\N
1143115	3909	1995-06-23	VYDAJ	VYBER	4100	46874	\N	\N	\N
1143116	3909	1995-11-11	VYDAJ	VYBER	4000	28049	\N	\N	\N
1143117	3909	1995-05-06	VYDAJ	VYBER	2300	34523	\N	\N	\N
1143118	3909	1996-10-22	VYDAJ	VYBER KARTOU	1100	50947	\N	\N	0
1143119	3909	1996-02-07	VYDAJ	VYBER	1400	34245	\N	\N	\N
1143120	3909	1996-12-28	VYDAJ	VYBER KARTOU	2200	40151	\N	\N	0
1143121	3909	1997-11-23	VYDAJ	VYBER KARTOU	2300	46857	\N	\N	0
1143122	3909	1997-06-09	VYDAJ	VYBER KARTOU	1700	38809	\N	\N	0
1143123	3909	1997-02-22	VYDAJ	VYBER KARTOU	3700	41858	\N	\N	0
1143124	3909	1997-09-29	VYDAJ	VYBER KARTOU	2900	49772	\N	\N	0
1143125	3909	1997-05-12	VYDAJ	VYBER KARTOU	2300	36012	\N	\N	0
1143126	3909	1998-01-20	VYDAJ	VYBER KARTOU	900	49039	\N	\N	0
1143127	3909	1998-07-05	VYDAJ	VYBER KARTOU	1100	46313	\N	\N	0
1143128	3909	1998-01-23	VYDAJ	VYBER KARTOU	1200	46139	\N	\N	0
1143129	3909	1998-05-16	VYDAJ	VYBER	4100	65553	\N	\N	\N
1143130	3909	1998-06-28	VYDAJ	VYBER KARTOU	600	47255	\N	\N	0
1143131	3909	1998-01-08	VYDAJ	VYBER KARTOU	2000	49031	\N	\N	0
1143138	3909	1993-06-30	VYDAJ	VYBER	15	40627	SLUZBY	\N	\N
1143139	3909	1993-07-31	VYDAJ	VYBER	15	42703	SLUZBY	\N	\N
1143140	3909	1993-08-31	VYDAJ	VYBER	15	46769	SLUZBY	\N	\N
1143141	3909	1993-09-30	VYDAJ	VYBER	15	54252	SLUZBY	\N	\N
1143142	3909	1993-10-31	VYDAJ	VYBER	15	62066	SLUZBY	\N	\N
1143143	3909	1993-11-30	VYDAJ	VYBER	15	60488	SLUZBY	\N	\N
1143144	3909	1993-12-31	VYDAJ	VYBER	15	67720	SLUZBY	\N	\N
1143145	3909	1994-01-31	VYDAJ	VYBER	15	50827	SLUZBY	\N	\N
1143146	3909	1994-02-28	VYDAJ	VYBER	15	55713	SLUZBY	\N	\N
1143147	3909	1994-03-31	VYDAJ	VYBER	15	60022	SLUZBY	\N	\N
1143148	3909	1994-04-30	VYDAJ	VYBER	15	58644	SLUZBY	\N	\N
1143149	3909	1994-05-31	VYDAJ	VYBER	15	62667	SLUZBY	\N	\N
1143150	3909	1994-06-30	VYDAJ	VYBER	15	61391	SLUZBY	\N	\N
1143151	3909	1994-07-31	VYDAJ	VYBER	15	58803	SLUZBY	\N	\N
1143152	3909	1994-08-31	VYDAJ	VYBER	15	54099	SLUZBY	\N	\N
1143153	3909	1994-09-30	VYDAJ	VYBER	15	56287	SLUZBY	\N	\N
1143154	3909	1994-10-31	VYDAJ	VYBER	15	55475	SLUZBY	\N	\N
1143155	3909	1994-11-30	VYDAJ	VYBER	15	56464	SLUZBY	\N	\N
1143156	3909	1994-12-31	VYDAJ	VYBER	15	63075	SLUZBY	\N	\N
1143157	3909	1995-01-31	VYDAJ	VYBER	15	45752	SLUZBY	\N	\N
1143158	3909	1995-02-28	VYDAJ	VYBER	15	47909	SLUZBY	\N	\N
1143159	3909	1995-03-31	VYDAJ	VYBER	15	48365	SLUZBY	\N	\N
1143160	3909	1995-04-30	VYDAJ	VYBER	15	47823	SLUZBY	\N	\N
1143161	3909	1995-05-31	VYDAJ	VYBER	15	49483	SLUZBY	\N	\N
1143162	3909	1995-06-30	VYDAJ	VYBER	15	47027	SLUZBY	\N	\N
1143163	3909	1995-07-31	VYDAJ	VYBER	15	52497	SLUZBY	\N	\N
1143164	3909	1995-08-31	VYDAJ	VYBER	15	55381	SLUZBY	\N	\N
1143165	3909	1995-09-30	VYDAJ	VYBER	15	57373	SLUZBY	\N	\N
1143166	3909	1995-10-31	VYDAJ	VYBER	15	55258	SLUZBY	\N	\N
1143167	3909	1995-11-30	VYDAJ	VYBER	15	37924	SLUZBY	\N	\N
1143168	3909	1995-12-31	VYDAJ	VYBER	15	45002	SLUZBY	\N	\N
1143169	3909	1996-01-31	VYDAJ	VYBER	15	36262	SLUZBY	\N	\N
1143170	3909	1996-02-29	VYDAJ	VYBER	15	42016	SLUZBY	\N	\N
1143171	3909	1996-03-31	VYDAJ	VYBER	15	39795	SLUZBY	\N	\N
1143172	3909	1996-04-30	VYDAJ	VYBER	15	38460	SLUZBY	\N	\N
1143173	3909	1996-05-31	VYDAJ	VYBER	15	39924	SLUZBY	\N	\N
1143174	3909	1996-06-30	VYDAJ	VYBER	15	42281	SLUZBY	\N	\N
1143175	3909	1996-07-31	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
1143176	3909	1996-08-31	VYDAJ	VYBER	15	37208	SLUZBY	\N	\N
1143177	3909	1996-09-30	VYDAJ	VYBER	15	37256	SLUZBY	\N	\N
1143178	3909	1996-10-31	VYDAJ	VYBER	15	40205	SLUZBY	\N	\N
1143179	3909	1996-11-30	VYDAJ	VYBER	15	37060	SLUZBY	\N	\N
1143180	3909	1996-12-31	VYDAJ	VYBER	15	40331	SLUZBY	\N	\N
1143181	3909	1997-01-31	VYDAJ	VYBER	15	30767	SLUZBY	\N	\N
1143182	3909	1997-02-28	VYDAJ	VYBER	15	38489	SLUZBY	\N	\N
1143183	3909	1997-03-31	VYDAJ	VYBER	15	43248	SLUZBY	\N	\N
1143184	3909	1997-04-30	VYDAJ	VYBER	15	47921	SLUZBY	\N	\N
1143185	3909	1997-05-31	VYDAJ	VYBER	15	49405	SLUZBY	\N	\N
1143186	3909	1997-06-30	VYDAJ	VYBER	15	49693	SLUZBY	\N	\N
1143187	3909	1997-07-31	VYDAJ	VYBER	15	50385	SLUZBY	\N	\N
1143188	3909	1997-08-31	VYDAJ	VYBER	15	49981	SLUZBY	\N	\N
1143189	3909	1997-09-30	VYDAJ	VYBER	15	49978	SLUZBY	\N	\N
1143190	3909	1997-10-31	VYDAJ	VYBER	15	50266	SLUZBY	\N	\N
1143191	3909	1997-11-30	VYDAJ	VYBER	15	47054	SLUZBY	\N	\N
1143192	3909	1997-12-31	VYDAJ	VYBER	15	54348	SLUZBY	\N	\N
1143193	3909	1998-01-31	VYDAJ	VYBER	15	34427	SLUZBY	\N	\N
1143194	3909	1998-02-28	VYDAJ	VYBER	15	50473	SLUZBY	\N	\N
1143195	3909	1998-03-31	VYDAJ	VYBER	15	52664	SLUZBY	\N	\N
1143196	3909	1998-04-30	VYDAJ	VYBER	15	54862	SLUZBY	\N	\N
1143197	3909	1998-05-31	VYDAJ	VYBER	15	54964	SLUZBY	\N	\N
1143198	3909	1998-06-30	VYDAJ	VYBER	15	47413	SLUZBY	\N	\N
1143199	3909	1998-07-31	VYDAJ	VYBER	15	52190	SLUZBY	\N	\N
1143200	3909	1998-08-31	VYDAJ	VYBER	15	51777	SLUZBY	\N	\N
1143201	3909	1998-09-30	VYDAJ	VYBER	15	53464	SLUZBY	\N	\N
1143202	3909	1998-10-31	VYDAJ	VYBER	15	55359	SLUZBY	\N	\N
1143203	3909	1998-11-30	VYDAJ	VYBER	15	54557	SLUZBY	\N	\N
1143204	3909	1993-02-13	VYDAJ	VYBER	500	24600	\N	\N	\N
1143205	3909	1993-03-15	VYDAJ	VYBER	13900	35159	\N	\N	\N
1143206	3909	1993-04-14	VYDAJ	VYBER	16400	43285	\N	\N	\N
1143207	3909	1993-05-14	VYDAJ	VYBER	20400	47451	\N	\N	\N
1143208	3909	1993-06-13	VYDAJ	VYBER	29700	54541	\N	\N	\N
1143209	3909	1993-07-13	VYDAJ	VYBER	12900	42518	\N	\N	\N
1143210	3909	1993-08-12	VYDAJ	VYBER	1200	31894	\N	\N	\N
1143211	3909	1993-09-11	VYDAJ	VYBER	7500	29660	\N	\N	\N
1143212	3909	1993-10-11	VYDAJ	VYBER	7200	37443	\N	\N	\N
1143213	3909	1993-11-10	VYDAJ	VYBER	15000	37457	\N	\N	\N
1143214	3909	1993-12-10	VYDAJ	VYBER	11200	32679	\N	\N	\N
1143215	3909	1994-01-09	VYDAJ	VYBER	13600	35911	\N	\N	\N
1143216	3909	1994-02-08	VYDAJ	VYBER	10100	40110	\N	\N	\N
1143217	3909	1994-03-10	VYDAJ	VYBER	10700	35404	\N	\N	\N
1143218	3909	1994-04-09	VYDAJ	VYBER	13100	45592	\N	\N	\N
1143219	3909	1994-05-09	VYDAJ	VYBER	11000	47027	\N	\N	\N
1143220	3909	1994-06-08	VYDAJ	VYBER	18600	43450	\N	\N	\N
1143221	3909	1994-07-08	VYDAJ	VYBER	17600	43174	\N	\N	\N
1143222	3909	1994-08-07	VYDAJ	VYBER	15700	42486	\N	\N	\N
1143223	3909	1994-09-06	VYDAJ	VYBER	12800	41299	\N	\N	\N
1143224	3909	1994-10-06	VYDAJ	VYBER	11300	40487	\N	\N	\N
1143225	3909	1994-11-05	VYDAJ	VYBER	14000	41475	\N	\N	\N
1143226	3909	1994-12-05	VYDAJ	VYBER	15800	40664	\N	\N	\N
1143227	3909	1995-01-04	VYDAJ	VYBER	18500	43875	\N	\N	\N
1143228	3909	1995-02-03	VYDAJ	VYBER	12800	32952	\N	\N	\N
1143229	3909	1995-03-05	VYDAJ	VYBER	14500	33409	\N	\N	\N
1143230	3909	1995-04-04	VYDAJ	VYBER	14500	33865	\N	\N	\N
1143231	3909	1995-05-04	VYDAJ	VYBER	11000	36823	\N	\N	\N
1143232	3909	1995-06-03	VYDAJ	VYBER	14000	35483	\N	\N	\N
1143233	3909	1995-07-03	VYDAJ	VYBER	9500	37527	\N	\N	\N
1143234	3909	1995-08-02	VYDAJ	VYBER	12100	40397	\N	\N	\N
1143235	3909	1995-09-01	VYDAJ	VYBER	13000	42381	\N	\N	\N
1143236	3909	1995-10-01	VYDAJ	VYBER	17100	40273	\N	\N	\N
1143237	3909	1995-10-31	VYDAJ	VYBER	13600	41658	\N	\N	\N
1143238	3909	1995-11-30	VYDAJ	VYBER	14700	37939	\N	\N	\N
1143239	3909	1995-12-30	VYDAJ	VYBER	14500	44815	\N	\N	\N
1143240	3909	1996-01-29	VYDAJ	VYBER	7700	36093	\N	\N	\N
1143241	3909	1996-02-28	VYDAJ	VYBER	7800	41853	\N	\N	\N
1143242	3909	1996-03-29	VYDAJ	VYBER	17200	39607	\N	\N	\N
1143243	3909	1996-04-28	VYDAJ	VYBER	16300	38286	\N	\N	\N
1143244	3909	1996-05-28	VYDAJ	VYBER	13500	39751	\N	\N	\N
1143245	3909	1996-06-27	VYDAJ	VYBER	12700	42115	\N	\N	\N
1143246	3909	1996-07-27	VYDAJ	VYBER	18700	38372	\N	\N	\N
1143247	3909	1996-08-26	VYDAJ	VYBER	16300	37046	\N	\N	\N
1143248	3909	1996-09-25	VYDAJ	VYBER	14900	37099	\N	\N	\N
1143249	3909	1996-10-25	VYDAJ	VYBER	10900	40047	\N	\N	\N
1143250	3909	1996-11-24	VYDAJ	VYBER	18100	36896	\N	\N	\N
1143251	3909	1996-12-24	VYDAJ	VYBER	20200	43851	\N	\N	\N
1143252	3909	1997-01-23	VYDAJ	VYBER	6000	34922	\N	\N	\N
1143253	3909	1997-02-22	VYDAJ	VYBER KARTOU	3500	38358	\N	\N	0
1143254	3909	1997-03-24	VYDAJ	VYBER	10200	43080	\N	\N	\N
1143255	3909	1997-04-23	VYDAJ	VYBER	10300	47739	\N	\N	\N
1143256	3909	1997-05-23	VYDAJ	VYBER	11200	49212	\N	\N	\N
1143257	3909	1997-06-22	VYDAJ	VYBER	11800	49496	\N	\N	\N
1143258	3909	1997-07-22	VYDAJ	VYBER	14300	50184	\N	\N	\N
1143259	3909	1997-08-21	VYDAJ	VYBER	15400	49776	\N	\N	\N
1143260	3909	1997-09-20	VYDAJ	VYBER	12100	52672	\N	\N	\N
1143261	3909	1997-10-20	VYDAJ	VYBER	14700	50069	\N	\N	\N
1143262	3909	1997-11-19	VYDAJ	VYBER	15900	49157	\N	\N	\N
1143263	3909	1997-12-19	VYDAJ	VYBER	19400	54145	\N	\N	\N
1143264	3909	1998-01-18	VYDAJ	VYBER	11200	51339	\N	\N	\N
1143265	3909	1998-02-17	PRIJEM	VKLAD	1100	50318	\N	\N	\N
1143266	3909	1998-03-19	VYDAJ	VYBER	12800	52464	\N	\N	\N
1143267	3909	1998-04-18	VYDAJ	VYBER	12800	54655	\N	\N	\N
1143268	3909	1998-05-18	VYDAJ	VYBER	10800	54753	\N	\N	\N
1143269	3909	1998-06-17	VYDAJ	VYBER	4700	47855	\N	\N	\N
1143270	3909	1998-07-17	VYDAJ	VYBER	9100	52004	\N	\N	\N
1143271	3909	1998-08-16	VYDAJ	VYBER	15400	51581	\N	\N	\N
1143272	3909	1998-09-15	VYDAJ	VYBER	13300	53268	\N	\N	\N
1143273	3909	1998-10-15	VYDAJ	VYBER	13100	55155	\N	\N	\N
1143274	3909	1998-11-14	VYDAJ	VYBER	15800	54350	\N	\N	\N
1143275	3909	1998-12-14	VYDAJ	VYBER	23200	58348	\N	\N	\N
1143347	3910	1997-01-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1143349	3910	1997-02-07	PRIJEM	PREVOD Z UCTU	4506	5506	DUCHOD	OP	39559894
1143350	3910	1997-03-07	PRIJEM	PREVOD Z UCTU	4506	10012	DUCHOD	OP	39559894
1143351	3910	1997-04-07	PRIJEM	PREVOD Z UCTU	4506	14518	DUCHOD	OP	39559894
1143352	3910	1997-05-07	PRIJEM	PREVOD Z UCTU	4506	19024	DUCHOD	OP	39559894
1143353	3910	1997-06-07	PRIJEM	PREVOD Z UCTU	4506	23530	DUCHOD	OP	39559894
1143354	3910	1997-07-07	PRIJEM	PREVOD Z UCTU	4506	17190	DUCHOD	OP	39559894
1143355	3910	1997-08-07	PRIJEM	PREVOD Z UCTU	4506	19066	DUCHOD	OP	39559894
1143356	3910	1997-09-07	PRIJEM	PREVOD Z UCTU	4506	20951	DUCHOD	OP	39559894
1143357	3910	1997-10-07	PRIJEM	PREVOD Z UCTU	4506	19313	DUCHOD	OP	39559894
1143358	3910	1997-11-07	PRIJEM	PREVOD Z UCTU	4506	21199	DUCHOD	OP	39559894
1143359	3910	1997-12-07	PRIJEM	PREVOD Z UCTU	4506	23092	DUCHOD	OP	39559894
1143360	3910	1998-01-07	PRIJEM	PREVOD Z UCTU	4506	17069	DUCHOD	OP	39559894
1143361	3910	1998-02-07	PRIJEM	PREVOD Z UCTU	4506	17341	DUCHOD	OP	39559894
1143362	3910	1998-03-07	PRIJEM	PREVOD Z UCTU	4506	19218	DUCHOD	OP	39559894
1143363	3910	1998-04-07	PRIJEM	PREVOD Z UCTU	4506	21103	DUCHOD	OP	39559894
1143364	3910	1998-05-07	PRIJEM	PREVOD Z UCTU	4506	22996	DUCHOD	OP	39559894
1143365	3910	1998-06-07	PRIJEM	PREVOD Z UCTU	4506	22095	DUCHOD	OP	39559894
1143366	3910	1998-07-07	PRIJEM	PREVOD Z UCTU	4506	22088	DUCHOD	OP	39559894
1143367	3910	1998-08-07	PRIJEM	PREVOD Z UCTU	4506	20784	DUCHOD	OP	39559894
1143368	3910	1998-09-07	PRIJEM	PREVOD Z UCTU	4506	22675	DUCHOD	OP	39559894
1143369	3910	1998-10-07	PRIJEM	PREVOD Z UCTU	4506	22489	DUCHOD	OP	39559894
1143370	3910	1998-11-07	PRIJEM	PREVOD Z UCTU	4506	24387	DUCHOD	OP	39559894
1143371	3910	1998-12-07	PRIJEM	PREVOD Z UCTU	4506	19893	DUCHOD	OP	39559894
1143377	3910	1997-06-11	VYDAJ	PREVOD NA UCET	2673	12657	SIPO	YZ	79231428
1143378	3910	1997-07-11	VYDAJ	PREVOD NA UCET	2673	14517	SIPO	YZ	79231428
1143379	3910	1997-08-11	VYDAJ	PREVOD NA UCET	2673	16393	SIPO	YZ	79231428
1143380	3910	1997-09-11	VYDAJ	PREVOD NA UCET	2673	18278	SIPO	YZ	79231428
1143381	3910	1997-10-11	VYDAJ	PREVOD NA UCET	2673	16640	SIPO	YZ	79231428
1143382	3910	1997-11-11	VYDAJ	PREVOD NA UCET	2673	18526	SIPO	YZ	79231428
1143383	3910	1997-12-11	VYDAJ	PREVOD NA UCET	2673	20419	SIPO	YZ	79231428
1143384	3910	1998-01-11	VYDAJ	PREVOD NA UCET	2673	12796	SIPO	YZ	79231428
1143385	3910	1998-02-11	VYDAJ	PREVOD NA UCET	2673	14668	SIPO	YZ	79231428
1143386	3910	1998-03-11	VYDAJ	PREVOD NA UCET	2673	16545	SIPO	YZ	79231428
1143387	3910	1998-04-11	VYDAJ	PREVOD NA UCET	2673	18430	SIPO	YZ	79231428
1143388	3910	1998-05-11	VYDAJ	PREVOD NA UCET	2673	20323	SIPO	YZ	79231428
1143389	3910	1998-06-11	VYDAJ	PREVOD NA UCET	2673	19422	SIPO	YZ	79231428
1143390	3910	1998-07-11	VYDAJ	PREVOD NA UCET	2673	19415	SIPO	YZ	79231428
1143391	3910	1998-08-11	VYDAJ	PREVOD NA UCET	2673	18111	SIPO	YZ	79231428
1143392	3910	1998-09-11	VYDAJ	PREVOD NA UCET	2673	17922	SIPO	YZ	79231428
1143393	3910	1998-10-11	VYDAJ	PREVOD NA UCET	2673	19816	SIPO	YZ	79231428
1143394	3910	1998-11-11	VYDAJ	PREVOD NA UCET	2673	21714	SIPO	YZ	79231428
1143395	3910	1998-12-11	VYDAJ	PREVOD NA UCET	2673	17220	SIPO	YZ	79231428
1143396	3910	1997-06-08	VYDAJ	VYBER	8200	15330	\N	\N	\N
1143397	3910	1998-06-16	VYDAJ	VYBER	1900	17522	\N	\N	\N
1143400	3910	1997-12-13	VYDAJ	VYBER	550	19869	\N	\N	\N
1143401	3910	1998-12-25	VYDAJ	VYBER	1050	15770	\N	\N	\N
1143408	3910	1998-01-08	VYDAJ	VYBER	1600	15469	\N	\N	\N
1143415	3910	1997-09-12	VYDAJ	VYBER	3520	14758	\N	\N	\N
1143416	3910	1997-12-25	VYDAJ	VYBER	3680	12509	\N	\N	\N
1143417	3910	1997-12-14	VYDAJ	VYBER	3680	16189	\N	\N	\N
1143419	3910	1998-12-06	VYDAJ	VYBER	3680	15387	\N	\N	\N
1143420	3910	1998-07-30	VYDAJ	VYBER	3200	16215	\N	\N	\N
1143421	3910	1998-09-10	VYDAJ	VYBER	2080	20595	\N	\N	\N
1143422	3910	1998-11-30	VYDAJ	VYBER	2720	19067	\N	\N	\N
1143423	3910	1998-12-20	VYDAJ	VYBER	400	16820	\N	\N	\N
1143424	3910	1998-05-30	VYDAJ	VYBER	2800	17523	\N	\N	\N
1143431	3910	1997-06-30	VYDAJ	VYBER	15	12684	SLUZBY	\N	\N
1143432	3910	1997-07-31	VYDAJ	VYBER	15	14560	SLUZBY	\N	\N
1143433	3910	1997-08-31	VYDAJ	VYBER	15	16445	SLUZBY	\N	\N
1143434	3910	1997-09-30	VYDAJ	VYBER	15	14807	SLUZBY	\N	\N
1143435	3910	1997-10-31	VYDAJ	VYBER	15	16693	SLUZBY	\N	\N
1143436	3910	1997-11-30	VYDAJ	VYBER	15	18586	SLUZBY	\N	\N
1143437	3910	1997-12-31	VYDAJ	VYBER	15	12563	SLUZBY	\N	\N
1143438	3910	1998-01-31	VYDAJ	VYBER	15	12835	SLUZBY	\N	\N
1143439	3910	1998-02-28	VYDAJ	VYBER	15	14712	SLUZBY	\N	\N
1143440	3910	1998-03-31	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
1143441	3910	1998-04-30	VYDAJ	VYBER	15	18490	SLUZBY	\N	\N
1143442	3910	1998-05-31	VYDAJ	VYBER	15	17589	SLUZBY	\N	\N
1143443	3910	1998-06-30	VYDAJ	VYBER	15	17582	SLUZBY	\N	\N
1143444	3910	1998-07-31	VYDAJ	VYBER	15	16278	SLUZBY	\N	\N
1143445	3910	1998-08-31	VYDAJ	VYBER	15	18169	SLUZBY	\N	\N
1143446	3910	1998-09-30	VYDAJ	VYBER	15	17983	SLUZBY	\N	\N
1143447	3910	1998-10-31	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
1143448	3910	1998-11-30	VYDAJ	VYBER	15	21787	SLUZBY	\N	\N
1143468	3911	1997-12-16	PRIJEM	VKLAD	200	200	\N	\N	\N
1143481	3911	1998-01-08	PRIJEM	PREVOD Z UCTU	2920	3120	\N	OP	90219121
1143482	3911	1998-02-08	PRIJEM	PREVOD Z UCTU	2920	6040	\N	OP	90219121
1143483	3911	1998-03-08	PRIJEM	PREVOD Z UCTU	2920	8960	\N	OP	90219121
1143484	3911	1998-04-08	PRIJEM	PREVOD Z UCTU	2920	11880	\N	OP	90219121
1143485	3911	1998-05-08	PRIJEM	PREVOD Z UCTU	2920	14800	\N	OP	90219121
1143486	3911	1998-06-08	PRIJEM	PREVOD Z UCTU	2920	15797	\N	OP	90219121
1143487	3911	1998-07-08	PRIJEM	PREVOD Z UCTU	2920	15400	\N	OP	90219121
1143488	3911	1998-08-08	PRIJEM	PREVOD Z UCTU	2920	16414	\N	OP	90219121
1143489	3911	1998-09-08	PRIJEM	PREVOD Z UCTU	2920	17432	\N	OP	90219121
1143490	3911	1998-10-08	PRIJEM	PREVOD Z UCTU	2920	17825	\N	OP	90219121
1143491	3911	1998-11-08	PRIJEM	PREVOD Z UCTU	2920	18518	\N	OP	90219121
1143492	3911	1998-12-08	PRIJEM	PREVOD Z UCTU	2920	19366	\N	OP	90219121
1143509	3911	1998-05-10	VYDAJ	PREVOD NA UCET	1946	12854	\N	EF	83345818
1143510	3911	1998-06-10	VYDAJ	PREVOD NA UCET	1946	13851	\N	EF	83345818
1143511	3911	1998-07-10	VYDAJ	PREVOD NA UCET	1946	13454	\N	EF	83345818
1143512	3911	1998-08-10	VYDAJ	PREVOD NA UCET	1946	14468	\N	EF	83345818
1143513	3911	1998-09-10	VYDAJ	PREVOD NA UCET	1946	15486	\N	EF	83345818
1143514	3911	1998-10-10	VYDAJ	PREVOD NA UCET	1946	15549	\N	EF	83345818
1143515	3911	1998-11-10	VYDAJ	PREVOD NA UCET	1946	16572	\N	EF	83345818
1143516	3911	1998-12-10	VYDAJ	PREVOD NA UCET	1946	17420	\N	EF	83345818
1143522	3911	1998-12-07	VYDAJ	VYBER	180	16446	\N	\N	\N
1143541	3911	1998-06-12	VYDAJ	VYBER	1410	12441	\N	\N	\N
1143542	3911	1998-09-25	VYDAJ	VYBER	630	14856	\N	\N	\N
1143543	3911	1998-10-09	VYDAJ	VYBER	330	17495	\N	\N	\N
1143562	3911	1998-05-31	VYDAJ	VYBER	15	12877	SLUZBY	\N	\N
1143563	3911	1998-06-30	VYDAJ	VYBER	15	12480	SLUZBY	\N	\N
1143564	3911	1998-07-31	VYDAJ	VYBER	15	13494	SLUZBY	\N	\N
1143565	3911	1998-08-31	VYDAJ	VYBER	15	14512	SLUZBY	\N	\N
1143566	3911	1998-09-30	VYDAJ	VYBER	15	14905	SLUZBY	\N	\N
1143567	3911	1998-10-31	VYDAJ	VYBER	15	15598	SLUZBY	\N	\N
1143568	3911	1998-11-30	VYDAJ	VYBER	15	16626	SLUZBY	\N	\N
1143577	3912	1994-05-04	PRIJEM	VKLAD	700	700	\N	\N	\N
1143582	3912	1994-05-13	PRIJEM	PREVOD Z UCTU	6241	6941	DUCHOD	ST	22137981
1143583	3912	1994-06-13	PRIJEM	PREVOD Z UCTU	6241	13200	DUCHOD	ST	22137981
1143584	3912	1994-07-13	PRIJEM	PREVOD Z UCTU	6241	19470	DUCHOD	ST	22137981
1143585	3912	1994-08-13	PRIJEM	PREVOD Z UCTU	6241	25740	DUCHOD	ST	22137981
1143586	3912	1994-09-13	PRIJEM	PREVOD Z UCTU	6241	32010	DUCHOD	ST	22137981
1143587	3912	1994-10-13	PRIJEM	PREVOD Z UCTU	6241	30640	DUCHOD	ST	22137981
1143588	3912	1994-11-13	PRIJEM	PREVOD Z UCTU	6241	31663	DUCHOD	ST	22137981
1143589	3912	1994-12-13	PRIJEM	PREVOD Z UCTU	6241	29136	DUCHOD	ST	22137981
1143590	3912	1995-01-13	PRIJEM	PREVOD Z UCTU	6241	32749	DUCHOD	ST	22137981
1143591	3912	1995-02-13	PRIJEM	PREVOD Z UCTU	6241	25558	DUCHOD	ST	22137981
1143592	3912	1995-03-13	PRIJEM	PREVOD Z UCTU	6241	28555	DUCHOD	ST	22137981
1143593	3912	1995-04-13	PRIJEM	PREVOD Z UCTU	6241	29523	DUCHOD	ST	22137981
1143594	3912	1995-05-13	PRIJEM	PREVOD Z UCTU	6241	31937	DUCHOD	ST	22137981
1143595	3912	1995-06-13	PRIJEM	PREVOD Z UCTU	6241	27310	DUCHOD	ST	22137981
1143596	3912	1995-07-13	PRIJEM	PREVOD Z UCTU	6241	30919	DUCHOD	ST	22137981
1143597	3912	1995-08-13	PRIJEM	PREVOD Z UCTU	6241	34539	DUCHOD	ST	22137981
1143598	3912	1995-09-13	PRIJEM	PREVOD Z UCTU	6241	38074	DUCHOD	ST	22137981
1143599	3912	1995-10-13	PRIJEM	PREVOD Z UCTU	6241	38018	DUCHOD	ST	22137981
1143600	3912	1995-11-13	PRIJEM	PREVOD Z UCTU	6241	37804	DUCHOD	ST	22137981
1143601	3912	1995-12-13	PRIJEM	PREVOD Z UCTU	6241	38751	DUCHOD	ST	22137981
1143602	3912	1996-01-13	PRIJEM	PREVOD Z UCTU	6241	33832	DUCHOD	ST	22137981
1143603	3912	1996-02-13	PRIJEM	PREVOD Z UCTU	6241	24173	DUCHOD	ST	22137981
1143604	3912	1996-03-13	PRIJEM	PREVOD Z UCTU	6241	27765	DUCHOD	ST	22137981
1143605	3912	1996-04-13	PRIJEM	PREVOD Z UCTU	6241	31372	DUCHOD	ST	22137981
1143606	3912	1996-05-13	PRIJEM	PREVOD Z UCTU	6241	34033	DUCHOD	ST	22137981
1143607	3912	1996-06-13	PRIJEM	PREVOD Z UCTU	6241	29172	DUCHOD	ST	22137981
1143608	3912	1996-07-13	PRIJEM	PREVOD Z UCTU	6241	32792	DUCHOD	ST	22137981
1143609	3912	1996-08-13	PRIJEM	PREVOD Z UCTU	6241	36419	DUCHOD	ST	22137981
1143610	3912	1996-09-13	PRIJEM	PREVOD Z UCTU	6241	36356	DUCHOD	ST	22137981
1143611	3912	1996-10-13	PRIJEM	PREVOD Z UCTU	6241	37494	DUCHOD	ST	22137981
1143612	3912	1996-11-13	PRIJEM	PREVOD Z UCTU	6241	38136	DUCHOD	ST	22137981
1143613	3912	1996-12-13	PRIJEM	PREVOD Z UCTU	6241	39382	DUCHOD	ST	22137981
1143614	3912	1997-01-13	PRIJEM	PREVOD Z UCTU	6241	36670	DUCHOD	ST	22137981
1143615	3912	1997-02-13	PRIJEM	PREVOD Z UCTU	6241	31742	DUCHOD	ST	22137981
1143616	3912	1997-03-13	PRIJEM	PREVOD Z UCTU	6241	35364	DUCHOD	ST	22137981
1143617	3912	1997-04-13	PRIJEM	PREVOD Z UCTU	6241	37237	DUCHOD	ST	22137981
1143618	3912	1997-05-13	PRIJEM	PREVOD Z UCTU	6241	39041	DUCHOD	ST	22137981
1143619	3912	1997-06-13	PRIJEM	PREVOD Z UCTU	6241	36194	DUCHOD	ST	22137981
1143620	3912	1997-07-13	PRIJEM	PREVOD Z UCTU	6241	38440	DUCHOD	ST	22137981
1143621	3912	1997-08-13	PRIJEM	PREVOD Z UCTU	6241	40988	DUCHOD	ST	22137981
1143622	3912	1997-09-13	PRIJEM	PREVOD Z UCTU	6241	38736	DUCHOD	ST	22137981
1143623	3912	1997-10-13	PRIJEM	PREVOD Z UCTU	6241	37676	DUCHOD	ST	22137981
1143624	3912	1997-11-13	PRIJEM	PREVOD Z UCTU	6241	37515	DUCHOD	ST	22137981
1143625	3912	1997-12-13	PRIJEM	PREVOD Z UCTU	6241	34445	DUCHOD	ST	22137981
1143626	3912	1998-01-13	PRIJEM	PREVOD Z UCTU	6241	23090	DUCHOD	ST	22137981
1143627	3912	1998-02-13	PRIJEM	PREVOD Z UCTU	6241	23880	DUCHOD	ST	22137981
1143628	3912	1998-03-13	PRIJEM	PREVOD Z UCTU	6241	24588	DUCHOD	ST	22137981
1143629	3912	1998-04-13	PRIJEM	PREVOD Z UCTU	6241	25221	DUCHOD	ST	22137981
1143630	3912	1998-05-13	PRIJEM	PREVOD Z UCTU	6241	28815	DUCHOD	ST	22137981
1143631	3912	1998-06-13	PRIJEM	PREVOD Z UCTU	6241	32425	DUCHOD	ST	22137981
1143632	3912	1998-07-13	PRIJEM	PREVOD Z UCTU	6241	28790	DUCHOD	ST	22137981
1143633	3912	1998-08-13	PRIJEM	PREVOD Z UCTU	6241	32399	DUCHOD	ST	22137981
1143634	3912	1998-09-13	PRIJEM	PREVOD Z UCTU	6241	36023	DUCHOD	ST	22137981
1143635	3912	1998-10-13	PRIJEM	PREVOD Z UCTU	6241	38661	DUCHOD	ST	22137981
1143636	3912	1998-11-13	PRIJEM	PREVOD Z UCTU	6241	38913	DUCHOD	ST	22137981
1143637	3912	1998-12-13	PRIJEM	PREVOD Z UCTU	6241	42217	DUCHOD	ST	22137981
1143647	3912	1994-10-09	VYDAJ	PREVOD NA UCET	1177	24399	SIPO	UV	99253552
1143648	3912	1994-11-09	VYDAJ	PREVOD NA UCET	1177	25422	SIPO	UV	99253552
1143649	3912	1994-12-09	VYDAJ	PREVOD NA UCET	1177	22895	SIPO	UV	99253552
1143650	3912	1995-01-09	VYDAJ	PREVOD NA UCET	1177	26508	SIPO	UV	99253552
1143651	3912	1995-02-09	VYDAJ	PREVOD NA UCET	1177	19317	SIPO	UV	99253552
1143652	3912	1995-03-09	VYDAJ	PREVOD NA UCET	1177	22314	SIPO	UV	99253552
1143653	3912	1995-04-09	VYDAJ	PREVOD NA UCET	1177	23282	SIPO	UV	99253552
1143654	3912	1995-05-09	VYDAJ	PREVOD NA UCET	1177	25696	SIPO	UV	99253552
1143655	3912	1995-06-09	VYDAJ	PREVOD NA UCET	1177	21069	SIPO	UV	99253552
1143656	3912	1995-07-09	VYDAJ	PREVOD NA UCET	1177	24678	SIPO	UV	99253552
1143657	3912	1995-08-09	VYDAJ	PREVOD NA UCET	1177	28298	SIPO	UV	99253552
1143658	3912	1995-09-09	VYDAJ	PREVOD NA UCET	1177	31833	SIPO	UV	99253552
1143659	3912	1995-10-09	VYDAJ	PREVOD NA UCET	1177	31777	SIPO	UV	99253552
1143660	3912	1995-11-09	VYDAJ	PREVOD NA UCET	1177	31563	SIPO	UV	99253552
1143661	3912	1995-12-09	VYDAJ	PREVOD NA UCET	1177	32510	SIPO	UV	99253552
1143662	3912	1996-01-09	VYDAJ	PREVOD NA UCET	1177	27591	SIPO	UV	99253552
1143663	3912	1996-02-09	VYDAJ	PREVOD NA UCET	1177	17932	SIPO	UV	99253552
1143664	3912	1996-03-09	VYDAJ	PREVOD NA UCET	1177	21524	SIPO	UV	99253552
1143665	3912	1996-04-09	VYDAJ	PREVOD NA UCET	1177	25131	SIPO	UV	99253552
1143666	3912	1996-05-09	VYDAJ	PREVOD NA UCET	1177	27792	SIPO	UV	99253552
1143667	3912	1996-06-09	VYDAJ	PREVOD NA UCET	1177	29181	SIPO	UV	99253552
1143668	3912	1996-07-09	VYDAJ	PREVOD NA UCET	1177	26551	SIPO	UV	99253552
1143669	3912	1996-08-09	VYDAJ	PREVOD NA UCET	1177	30178	SIPO	UV	99253552
1143670	3912	1996-09-09	VYDAJ	PREVOD NA UCET	1177	30115	SIPO	UV	99253552
1143671	3912	1996-10-09	VYDAJ	PREVOD NA UCET	1177	31253	SIPO	UV	99253552
1143672	3912	1996-11-09	VYDAJ	PREVOD NA UCET	1177	31895	SIPO	UV	99253552
1143673	3912	1996-12-09	VYDAJ	PREVOD NA UCET	1177	33141	SIPO	UV	99253552
1143674	3912	1997-01-09	VYDAJ	PREVOD NA UCET	1177	31469	SIPO	UV	99253552
1143675	3912	1997-02-09	VYDAJ	PREVOD NA UCET	1177	25501	SIPO	UV	99253552
1143676	3912	1997-03-09	VYDAJ	PREVOD NA UCET	1177	29123	SIPO	UV	99253552
1143677	3912	1997-04-09	VYDAJ	PREVOD NA UCET	1177	30996	SIPO	UV	99253552
1143678	3912	1997-05-09	VYDAJ	PREVOD NA UCET	1177	32800	SIPO	UV	99253552
1143679	3912	1997-06-09	VYDAJ	PREVOD NA UCET	1177	29953	SIPO	UV	99253552
1143680	3912	1997-07-09	VYDAJ	PREVOD NA UCET	1177	32199	SIPO	UV	99253552
1143681	3912	1997-08-09	VYDAJ	PREVOD NA UCET	1177	34747	SIPO	UV	99253552
1143682	3912	1997-09-09	VYDAJ	PREVOD NA UCET	1177	32495	SIPO	UV	99253552
1143683	3912	1997-10-09	VYDAJ	PREVOD NA UCET	1177	31435	SIPO	UV	99253552
1143684	3912	1997-11-09	VYDAJ	PREVOD NA UCET	1177	31274	SIPO	UV	99253552
1143685	3912	1997-12-09	VYDAJ	PREVOD NA UCET	1177	28204	SIPO	UV	99253552
1143686	3912	1998-01-09	VYDAJ	PREVOD NA UCET	1177	20529	SIPO	UV	99253552
1143687	3912	1998-02-09	VYDAJ	PREVOD NA UCET	1177	17639	SIPO	UV	99253552
1143688	3912	1998-03-09	VYDAJ	PREVOD NA UCET	1177	18347	SIPO	UV	99253552
1143689	3912	1998-04-09	VYDAJ	PREVOD NA UCET	1177	18980	SIPO	UV	99253552
1143690	3912	1998-05-09	VYDAJ	PREVOD NA UCET	1177	22574	SIPO	UV	99253552
1143691	3912	1998-06-09	VYDAJ	PREVOD NA UCET	1177	26184	SIPO	UV	99253552
1143692	3912	1998-07-09	VYDAJ	PREVOD NA UCET	1177	22549	SIPO	UV	99253552
1143693	3912	1998-08-09	VYDAJ	PREVOD NA UCET	1177	26158	SIPO	UV	99253552
1143694	3912	1998-09-09	VYDAJ	PREVOD NA UCET	1177	29782	SIPO	UV	99253552
1143695	3912	1998-10-09	VYDAJ	PREVOD NA UCET	1177	33420	SIPO	UV	99253552
1143696	3912	1998-11-09	VYDAJ	PREVOD NA UCET	1177	32672	SIPO	UV	99253552
1143697	3912	1998-12-09	VYDAJ	PREVOD NA UCET	1177	35976	SIPO	UV	99253552
1143707	3912	1994-10-08	VYDAJ	PREVOD NA UCET	1551	25576	 	KL	95519256
1143708	3912	1994-11-08	VYDAJ	PREVOD NA UCET	1551	26599	 	KL	95519256
1143709	3912	1994-12-08	VYDAJ	PREVOD NA UCET	1551	25022	 	KL	95519256
1143710	3912	1995-01-08	VYDAJ	PREVOD NA UCET	1551	27685	 	KL	95519256
1143711	3912	1995-02-08	VYDAJ	PREVOD NA UCET	1551	20494	 	KL	95519256
1143712	3912	1995-03-08	VYDAJ	PREVOD NA UCET	1551	23491	 	KL	95519256
1143713	3912	1995-04-08	VYDAJ	PREVOD NA UCET	1551	24459	 	KL	95519256
1143714	3912	1995-05-08	VYDAJ	PREVOD NA UCET	1551	26873	 	KL	95519256
1143715	3912	1995-06-08	VYDAJ	PREVOD NA UCET	1551	27396	 	KL	95519256
1143716	3912	1995-07-08	VYDAJ	PREVOD NA UCET	1551	25855	 	KL	95519256
1143717	3912	1995-08-08	VYDAJ	PREVOD NA UCET	1551	29475	 	KL	95519256
1143718	3912	1995-09-08	VYDAJ	PREVOD NA UCET	1551	33010	 	KL	95519256
1143719	3912	1995-10-08	VYDAJ	PREVOD NA UCET	1551	32954	 	KL	95519256
1143720	3912	1995-11-08	VYDAJ	PREVOD NA UCET	1551	32740	 	KL	95519256
1143721	3912	1995-12-08	VYDAJ	PREVOD NA UCET	1551	34687	 	KL	95519256
1143722	3912	1996-01-08	VYDAJ	PREVOD NA UCET	1551	28768	 	KL	95519256
1143723	3912	1996-02-08	VYDAJ	PREVOD NA UCET	1551	19109	 	KL	95519256
1143724	3912	1996-03-08	VYDAJ	PREVOD NA UCET	1551	22701	 	KL	95519256
1143725	3912	1996-04-08	VYDAJ	PREVOD NA UCET	1551	26308	 	KL	95519256
1143726	3912	1996-05-08	VYDAJ	PREVOD NA UCET	1551	28969	 	KL	95519256
1143727	3912	1996-06-08	VYDAJ	PREVOD NA UCET	1551	30358	 	KL	95519256
1143728	3912	1996-07-08	VYDAJ	PREVOD NA UCET	1551	27728	 	KL	95519256
1143729	3912	1996-08-08	VYDAJ	PREVOD NA UCET	1551	31355	 	KL	95519256
1143730	3912	1996-09-08	VYDAJ	PREVOD NA UCET	1551	31292	 	KL	95519256
1143731	3912	1996-10-08	VYDAJ	PREVOD NA UCET	1551	32430	 	KL	95519256
1143732	3912	1996-11-08	VYDAJ	PREVOD NA UCET	1551	33072	 	KL	95519256
1143733	3912	1996-12-08	VYDAJ	PREVOD NA UCET	1551	34318	 	KL	95519256
1143734	3912	1997-01-08	VYDAJ	PREVOD NA UCET	1551	33926	 	KL	95519256
1143735	3912	1997-02-08	VYDAJ	PREVOD NA UCET	1551	26678	 	KL	95519256
1143736	3912	1997-03-08	VYDAJ	PREVOD NA UCET	1551	30300	 	KL	95519256
1143737	3912	1997-04-08	VYDAJ	PREVOD NA UCET	1551	32173	 	KL	95519256
1143738	3912	1997-05-08	VYDAJ	PREVOD NA UCET	1551	33977	 	KL	95519256
1143739	3912	1997-06-08	VYDAJ	PREVOD NA UCET	1551	37630	 	KL	95519256
1143740	3912	1997-07-08	VYDAJ	PREVOD NA UCET	1551	33376	 	KL	95519256
1143741	3912	1997-08-08	VYDAJ	PREVOD NA UCET	1551	35924	 	KL	95519256
1143742	3912	1997-09-08	VYDAJ	PREVOD NA UCET	1551	33672	 	KL	95519256
1143743	3912	1997-10-08	VYDAJ	PREVOD NA UCET	1551	32612	 	KL	95519256
1143744	3912	1997-11-08	VYDAJ	PREVOD NA UCET	1551	32451	 	KL	95519256
1143745	3912	1997-12-08	VYDAJ	PREVOD NA UCET	1551	29381	 	KL	95519256
1143746	3912	1998-01-08	VYDAJ	PREVOD NA UCET	1551	21706	 	KL	95519256
1143747	3912	1998-02-08	VYDAJ	PREVOD NA UCET	1551	18816	 	KL	95519256
1143748	3912	1998-03-08	VYDAJ	PREVOD NA UCET	1551	19524	 	KL	95519256
1143749	3912	1998-04-08	VYDAJ	PREVOD NA UCET	1551	20157	 	KL	95519256
1143750	3912	1998-05-08	VYDAJ	PREVOD NA UCET	1551	23751	 	KL	95519256
1143751	3912	1998-06-08	VYDAJ	PREVOD NA UCET	1551	27361	 	KL	95519256
1143752	3912	1998-07-08	VYDAJ	PREVOD NA UCET	1551	23726	 	KL	95519256
1143753	3912	1998-08-08	VYDAJ	PREVOD NA UCET	1551	27335	 	KL	95519256
1143754	3912	1998-09-08	VYDAJ	PREVOD NA UCET	1551	30959	 	KL	95519256
1143755	3912	1998-10-08	VYDAJ	PREVOD NA UCET	1551	34597	 	KL	95519256
1143756	3912	1998-11-08	VYDAJ	PREVOD NA UCET	1551	37249	 	KL	95519256
1143757	3912	1998-12-08	VYDAJ	PREVOD NA UCET	1551	37503	 	KL	95519256
1143759	3912	1995-06-08	VYDAJ	VYBER	5150	22246	\N	\N	\N
1143760	3912	1996-06-10	VYDAJ	VYBER	6250	22931	\N	\N	\N
1143761	3912	1997-06-09	VYDAJ	VYBER	6500	31130	\N	\N	\N
1143762	3912	1998-06-22	VYDAJ	VYBER	7250	25175	\N	\N	\N
1143764	3912	1995-01-29	VYDAJ	VYBER	2650	24259	\N	\N	\N
1143765	3912	1996-01-01	VYDAJ	VYBER	4450	31999	\N	\N	\N
1143766	3912	1997-01-17	VYDAJ	VYBER	4800	30830	\N	\N	\N
1143767	3912	1998-01-06	VYDAJ	VYBER	2050	25737	\N	\N	\N
1143768	3912	1994-12-09	VYDAJ	VYBER	950	24072	\N	\N	\N
1143769	3912	1995-12-09	VYDAJ	VYBER	1000	33687	\N	\N	\N
1143770	3912	1996-12-14	VYDAJ	VYBER	1000	38382	\N	\N	\N
1143771	3912	1997-12-21	VYDAJ	VYBER	650	31595	\N	\N	\N
1143772	3912	1998-12-09	VYDAJ	VYBER	350	37153	\N	\N	\N
1143779	3912	1995-01-17	VYDAJ	VYBER	960	31789	\N	\N	\N
1143780	3912	1995-01-29	VYDAJ	VYBER	2320	21939	\N	\N	\N
1143781	3912	1995-01-25	VYDAJ	VYBER	1440	29229	\N	\N	\N
1143782	3912	1995-01-20	VYDAJ	VYBER	1120	30669	\N	\N	\N
1143783	3912	1995-01-26	VYDAJ	VYBER	720	28509	\N	\N	\N
1143784	3912	1995-01-27	VYDAJ	VYBER	1600	26909	\N	\N	\N
1143785	3912	1996-01-03	VYDAJ	VYBER	1680	30319	\N	\N	\N
1143786	3912	1996-01-22	VYDAJ	VYBER	720	29912	\N	\N	\N
1143787	3912	1996-01-24	VYDAJ	VYBER	2000	26152	\N	\N	\N
1143788	3912	1996-01-16	VYDAJ	VYBER	1760	30632	\N	\N	\N
1143789	3912	1996-01-22	VYDAJ	VYBER	1760	28152	\N	\N	\N
1143790	3912	1996-01-15	VYDAJ	VYBER	1440	32392	\N	\N	\N
1143791	3912	1997-01-24	VYDAJ	VYBER	1520	28110	\N	\N	\N
1143792	3912	1997-01-23	VYDAJ	VYBER	1200	29630	\N	\N	\N
1143793	3912	1997-01-06	VYDAJ	VYBER	1040	35477	\N	\N	\N
1143794	3912	1997-01-08	VYDAJ	VYBER	1280	32646	\N	\N	\N
1143795	3912	1997-01-16	VYDAJ	VYBER	480	35630	\N	\N	\N
1143796	3912	1997-01-12	VYDAJ	VYBER	1040	30429	\N	\N	\N
1143797	3912	1998-01-12	VYDAJ	VYBER	1920	18609	\N	\N	\N
1143798	3912	1998-01-12	VYDAJ	VYBER	1760	16849	\N	\N	\N
1143799	3912	1998-01-08	VYDAJ	VYBER	1680	23257	\N	\N	\N
1143800	3912	1998-01-15	VYDAJ	VYBER	2240	20850	\N	\N	\N
1143801	3912	1998-01-08	VYDAJ	VYBER	800	24937	\N	\N	\N
1143802	3912	1998-01-26	VYDAJ	VYBER	560	20290	\N	\N	\N
1143810	3912	1995-03-24	VYDAJ	VYBER	2640	25915	\N	\N	\N
1143811	3912	1995-12-17	VYDAJ	VYBER	640	38111	\N	\N	\N
1143812	3912	1995-10-15	VYDAJ	VYBER	560	37458	\N	\N	\N
1143813	3912	1995-09-18	VYDAJ	VYBER	2800	35274	\N	\N	\N
1143814	3912	1996-05-04	VYDAJ	VYBER	960	30520	\N	\N	\N
1143815	3912	1996-02-02	VYDAJ	VYBER	3600	20660	\N	\N	\N
1143816	3912	1996-05-16	VYDAJ	VYBER	2240	31793	\N	\N	\N
1143817	3912	1996-02-01	VYDAJ	VYBER	2000	24260	\N	\N	\N
1143818	3912	1997-03-13	VYDAJ	VYBER	1760	33604	\N	\N	\N
1143819	3912	1997-04-27	VYDAJ	VYBER	1840	35397	\N	\N	\N
1143820	3912	1997-01-16	VYDAJ	VYBER	560	36110	\N	\N	\N
1143821	3912	1997-12-28	VYDAJ	VYBER	3920	27675	\N	\N	\N
1143822	3912	1998-03-05	VYDAJ	VYBER	2880	21075	\N	\N	\N
1143823	3912	1998-03-28	VYDAJ	VYBER	2960	21628	\N	\N	\N
1143833	3912	1994-09-30	VYDAJ	VYBER	15	32027	SLUZBY	\N	\N
1143834	3912	1994-10-31	VYDAJ	VYBER	15	28150	SLUZBY	\N	\N
1143835	3912	1994-11-30	VYDAJ	VYBER	15	31773	SLUZBY	\N	\N
1143836	3912	1994-12-31	VYDAJ	VYBER	15	29236	SLUZBY	\N	\N
1143837	3912	1995-01-31	VYDAJ	VYBER	15	22045	SLUZBY	\N	\N
1143838	3912	1995-02-28	VYDAJ	VYBER	15	25642	SLUZBY	\N	\N
1143839	3912	1995-03-31	VYDAJ	VYBER	15	26010	SLUZBY	\N	\N
1143840	3912	1995-04-30	VYDAJ	VYBER	15	28424	SLUZBY	\N	\N
1143841	3912	1995-05-31	VYDAJ	VYBER	15	28947	SLUZBY	\N	\N
1143842	3912	1995-06-30	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
1143843	3912	1995-07-31	VYDAJ	VYBER	15	31026	SLUZBY	\N	\N
1143844	3912	1995-08-31	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
1143845	3912	1995-09-30	VYDAJ	VYBER	15	34505	SLUZBY	\N	\N
1143846	3912	1995-10-31	VYDAJ	VYBER	15	34291	SLUZBY	\N	\N
1143847	3912	1995-11-30	VYDAJ	VYBER	15	36238	SLUZBY	\N	\N
1143848	3912	1995-12-31	VYDAJ	VYBER	15	36449	SLUZBY	\N	\N
1143849	3912	1996-01-31	VYDAJ	VYBER	15	26260	SLUZBY	\N	\N
1143850	3912	1996-02-29	VYDAJ	VYBER	15	24252	SLUZBY	\N	\N
1143851	3912	1996-03-31	VYDAJ	VYBER	15	27859	SLUZBY	\N	\N
1143852	3912	1996-04-30	VYDAJ	VYBER	15	31480	SLUZBY	\N	\N
1143853	3912	1996-05-31	VYDAJ	VYBER	15	31909	SLUZBY	\N	\N
1143854	3912	1996-06-30	VYDAJ	VYBER	15	29279	SLUZBY	\N	\N
1143855	3912	1996-07-31	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
1143856	3912	1996-08-31	VYDAJ	VYBER	15	32843	SLUZBY	\N	\N
1143857	3912	1996-09-30	VYDAJ	VYBER	15	33981	SLUZBY	\N	\N
1143858	3912	1996-10-31	VYDAJ	VYBER	15	34623	SLUZBY	\N	\N
1143859	3912	1996-11-30	VYDAJ	VYBER	15	35869	SLUZBY	\N	\N
1143860	3912	1996-12-31	VYDAJ	VYBER	15	36517	SLUZBY	\N	\N
1143861	3912	1997-01-31	VYDAJ	VYBER	15	28229	SLUZBY	\N	\N
1143862	3912	1997-02-28	VYDAJ	VYBER	15	31851	SLUZBY	\N	\N
1143863	3912	1997-03-31	VYDAJ	VYBER	15	33724	SLUZBY	\N	\N
1143864	3912	1997-04-30	VYDAJ	VYBER	15	35528	SLUZBY	\N	\N
1143865	3912	1997-05-31	VYDAJ	VYBER	15	39181	SLUZBY	\N	\N
1143866	3912	1997-06-30	VYDAJ	VYBER	15	34927	SLUZBY	\N	\N
1143867	3912	1997-07-31	VYDAJ	VYBER	15	37475	SLUZBY	\N	\N
1143868	3912	1997-08-31	VYDAJ	VYBER	15	35223	SLUZBY	\N	\N
1143869	3912	1997-09-30	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
1143870	3912	1997-10-31	VYDAJ	VYBER	15	34002	SLUZBY	\N	\N
1143871	3912	1997-11-30	VYDAJ	VYBER	15	30932	SLUZBY	\N	\N
1143872	3912	1997-12-31	VYDAJ	VYBER	15	27787	SLUZBY	\N	\N
1143873	3912	1998-01-31	VYDAJ	VYBER	15	20367	SLUZBY	\N	\N
1143874	3912	1998-02-28	VYDAJ	VYBER	15	23955	SLUZBY	\N	\N
1143875	3912	1998-03-31	VYDAJ	VYBER	15	21708	SLUZBY	\N	\N
1143876	3912	1998-04-30	VYDAJ	VYBER	15	25302	SLUZBY	\N	\N
1143877	3912	1998-05-31	VYDAJ	VYBER	15	28912	SLUZBY	\N	\N
1143878	3912	1998-06-30	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
1143879	3912	1998-07-31	VYDAJ	VYBER	15	28886	SLUZBY	\N	\N
1143880	3912	1998-08-31	VYDAJ	VYBER	15	32510	SLUZBY	\N	\N
1143881	3912	1998-09-30	VYDAJ	VYBER	15	36148	SLUZBY	\N	\N
1143882	3912	1998-10-31	VYDAJ	VYBER	15	38800	SLUZBY	\N	\N
1143883	3912	1998-11-30	VYDAJ	VYBER	15	39054	SLUZBY	\N	\N
1143884	3912	1994-10-01	VYDAJ	VYBER	4900	27127	\N	\N	\N
1143885	3912	1994-10-31	VYDAJ	VYBER	2600	28165	\N	\N	\N
1143886	3912	1994-11-30	VYDAJ	VYBER	5200	26573	\N	\N	\N
1143887	3912	1995-02-28	VYDAJ	VYBER	600	25042	\N	\N	\N
1143888	3912	1995-04-29	VYDAJ	VYBER	1200	28323	\N	\N	\N
1143889	3912	1995-05-29	VYDAJ	VYBER	3100	28837	\N	\N	\N
1143890	3912	1995-08-27	VYDAJ	VYBER	100	34439	\N	\N	\N
1143891	3912	1995-09-26	VYDAJ	VYBER	900	34374	\N	\N	\N
1143892	3912	1995-10-26	VYDAJ	VYBER	3300	34158	\N	\N	\N
1143893	3912	1995-11-25	VYDAJ	VYBER	1700	36104	\N	\N	\N
1143894	3912	1995-12-25	VYDAJ	VYBER	1800	36311	\N	\N	\N
1143895	3912	1996-08-21	VYDAJ	VYBER	3700	32719	\N	\N	\N
1143896	3912	1996-09-20	VYDAJ	VYBER	2500	33856	\N	\N	\N
1143897	3912	1996-10-20	VYDAJ	VYBER	3000	34494	\N	\N	\N
1143898	3912	1996-11-19	VYDAJ	VYBER	2400	35736	\N	\N	\N
1143899	3912	1996-12-19	VYDAJ	VYBER	2000	36382	\N	\N	\N
1143900	3912	1997-06-17	VYDAJ	VYBER	1400	34794	\N	\N	\N
1143901	3912	1997-07-17	VYDAJ	VYBER	1100	37340	\N	\N	\N
1143902	3912	1997-08-16	VYDAJ	VYBER	5900	35088	\N	\N	\N
1143903	3912	1997-09-15	VYDAJ	VYBER	4700	34036	\N	\N	\N
1143904	3912	1997-10-15	VYDAJ	VYBER	3800	33876	\N	\N	\N
1143905	3912	1997-11-14	VYDAJ	VYBER	6700	30815	\N	\N	\N
1143906	3912	1997-12-14	VYDAJ	VYBER	2200	32245	\N	\N	\N
1143907	3912	1998-10-10	VYDAJ	VYBER	1000	32420	\N	\N	\N
1143908	3912	1998-11-09	VYDAJ	VYBER	3400	33849	\N	\N	\N
1143965	3913	1996-10-04	PRIJEM	VKLAD	900	900	\N	\N	\N
1143975	3913	1996-10-12	PRIJEM	VKLAD	14347	15247	\N	\N	\N
1143976	3913	1996-11-12	PRIJEM	VKLAD	14347	34435	\N	\N	\N
1143977	3913	1996-12-12	PRIJEM	VKLAD	21520	52869	\N	\N	\N
1143978	3913	1997-01-12	PRIJEM	VKLAD	14347	54609	\N	\N	\N
1143979	3913	1997-02-12	PRIJEM	VKLAD	14347	56581	\N	\N	\N
1143980	3913	1997-03-12	PRIJEM	VKLAD	14347	48331	\N	\N	\N
1143981	3913	1997-04-12	PRIJEM	VKLAD	14347	44730	\N	\N	\N
1143982	3913	1997-05-12	PRIJEM	VKLAD	14347	44712	\N	\N	\N
1143983	3913	1997-06-12	PRIJEM	VKLAD	21520	55163	\N	\N	\N
1143984	3913	1997-07-12	PRIJEM	VKLAD	14347	39187	\N	\N	\N
1143985	3913	1997-08-12	PRIJEM	VKLAD	14347	39439	\N	\N	\N
1143986	3913	1997-09-12	PRIJEM	VKLAD	14347	41991	\N	\N	\N
1143987	3913	1997-10-12	PRIJEM	VKLAD	14347	42453	\N	\N	\N
1143988	3913	1997-11-12	PRIJEM	VKLAD	14347	38614	\N	\N	\N
1143989	3913	1997-12-12	PRIJEM	VKLAD	21520	48635	\N	\N	\N
1143990	3913	1998-01-12	PRIJEM	VKLAD	14347	29563	\N	\N	\N
1143991	3913	1998-02-12	PRIJEM	VKLAD	14347	35813	\N	\N	\N
1143992	3913	1998-03-12	PRIJEM	VKLAD	14347	41049	\N	\N	\N
1143993	3913	1998-04-12	PRIJEM	VKLAD	14347	46108	\N	\N	\N
1143994	3913	1998-05-12	PRIJEM	VKLAD	14347	45058	\N	\N	\N
1143995	3913	1998-06-12	PRIJEM	VKLAD	21520	53902	\N	\N	\N
1143996	3913	1998-07-12	PRIJEM	VKLAD	14347	44450	\N	\N	\N
1143997	3913	1998-08-12	PRIJEM	VKLAD	14347	47420	\N	\N	\N
1143998	3913	1998-09-12	PRIJEM	VKLAD	14347	50702	\N	\N	\N
1143999	3913	1998-10-12	PRIJEM	VKLAD	14347	51295	\N	\N	\N
1144000	3913	1998-11-12	PRIJEM	VKLAD	14347	47385	\N	\N	\N
1144001	3913	1998-12-12	PRIJEM	VKLAD	21520	52934	\N	\N	\N
1144016	3913	1997-03-08	VYDAJ	PREVOD NA UCET	7333	33984	SIPO	OP	66400325
1144017	3913	1997-04-08	VYDAJ	PREVOD NA UCET	7333	30383	SIPO	OP	66400325
1144018	3913	1997-05-08	VYDAJ	PREVOD NA UCET	7333	30365	SIPO	OP	66400325
1144019	3913	1997-06-08	VYDAJ	PREVOD NA UCET	7333	33643	SIPO	OP	66400325
1144020	3913	1997-07-08	VYDAJ	PREVOD NA UCET	7333	24840	SIPO	OP	66400325
1144021	3913	1997-08-08	VYDAJ	PREVOD NA UCET	7333	25092	SIPO	OP	66400325
1144022	3913	1997-09-08	VYDAJ	PREVOD NA UCET	7333	27644	SIPO	OP	66400325
1144023	3913	1997-10-08	VYDAJ	PREVOD NA UCET	7333	28106	SIPO	OP	66400325
1144024	3913	1997-11-08	VYDAJ	PREVOD NA UCET	7333	24267	SIPO	OP	66400325
1144025	3913	1997-12-08	VYDAJ	PREVOD NA UCET	7333	27115	SIPO	OP	66400325
1144026	3913	1998-01-08	VYDAJ	PREVOD NA UCET	7333	16416	SIPO	OP	66400325
1144027	3913	1998-02-08	VYDAJ	PREVOD NA UCET	7333	21466	SIPO	OP	66400325
1144028	3913	1998-03-08	VYDAJ	PREVOD NA UCET	7333	26702	SIPO	OP	66400325
1144029	3913	1998-04-08	VYDAJ	PREVOD NA UCET	7333	31761	SIPO	OP	66400325
1144030	3913	1998-05-08	VYDAJ	PREVOD NA UCET	7333	30711	SIPO	OP	66400325
1144031	3913	1998-06-08	VYDAJ	PREVOD NA UCET	7333	32382	SIPO	OP	66400325
1144032	3913	1998-07-08	VYDAJ	PREVOD NA UCET	7333	30103	SIPO	OP	66400325
1144033	3913	1998-08-08	VYDAJ	PREVOD NA UCET	7333	33073	SIPO	OP	66400325
1144034	3913	1998-09-08	VYDAJ	PREVOD NA UCET	7333	36355	SIPO	OP	66400325
1144035	3913	1998-10-08	VYDAJ	PREVOD NA UCET	7333	36948	SIPO	OP	66400325
1144036	3913	1998-11-08	VYDAJ	PREVOD NA UCET	7333	33038	SIPO	OP	66400325
1144037	3913	1998-12-08	VYDAJ	PREVOD NA UCET	7333	31414	SIPO	OP	66400325
1144039	3913	1997-06-14	VYDAJ	VYBER	18240	36923	\N	\N	\N
1144040	3913	1998-06-16	VYDAJ	VYBER	16320	37582	\N	\N	\N
1144043	3913	1998-01-02	VYDAJ	VYBER	4800	26629	\N	\N	\N
1144056	3913	1998-01-08	VYDAJ	VYBER	2880	23749	\N	\N	\N
1144057	3913	1998-01-01	VYDAJ	VYBER	2280	34069	\N	\N	\N
1144058	3913	1998-01-13	VYDAJ	VYBER	840	28723	\N	\N	\N
1144059	3913	1998-01-25	VYDAJ	VYBER	3240	25483	\N	\N	\N
1144060	3913	1998-01-01	VYDAJ	VYBER	2640	31429	\N	\N	\N
1144061	3913	1998-01-26	VYDAJ	VYBER	1680	23803	\N	\N	\N
1144065	3913	1997-12-19	VYDAJ	VYBER	4560	44075	\N	\N	\N
1144066	3913	1997-02-20	VYDAJ	VYBER	1680	54901	\N	\N	\N
1144067	3913	1997-12-24	VYDAJ	VYBER	1080	42995	\N	\N	\N
1144068	3913	1998-01-09	VYDAJ	VYBER	1200	15216	\N	\N	\N
1144069	3913	1998-05-07	VYDAJ	VYBER	2640	38044	\N	\N	\N
1144070	3913	1998-04-19	VYDAJ	VYBER	1080	41428	\N	\N	\N
1144071	3913	1998-04-15	VYDAJ	VYBER	3600	42508	\N	\N	\N
1144086	3913	1997-02-28	VYDAJ	VYBER	15	55117	SLUZBY	\N	\N
1144087	3913	1997-03-31	VYDAJ	VYBER	15	48516	SLUZBY	\N	\N
1144088	3913	1997-04-30	VYDAJ	VYBER	15	44898	SLUZBY	\N	\N
1144089	3913	1997-05-31	VYDAJ	VYBER	15	44876	SLUZBY	\N	\N
1144090	3913	1997-06-30	VYDAJ	VYBER	15	37073	SLUZBY	\N	\N
1144091	3913	1997-07-31	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
1144092	3913	1997-08-31	VYDAJ	VYBER	15	34977	SLUZBY	\N	\N
1144093	3913	1997-09-30	VYDAJ	VYBER	15	35439	SLUZBY	\N	\N
1144094	3913	1997-10-31	VYDAJ	VYBER	15	31600	SLUZBY	\N	\N
1144095	3913	1997-11-30	VYDAJ	VYBER	15	34448	SLUZBY	\N	\N
1144096	3913	1997-12-31	VYDAJ	VYBER	15	36349	SLUZBY	\N	\N
1144097	3913	1998-01-31	VYDAJ	VYBER	15	28799	SLUZBY	\N	\N
1144098	3913	1998-02-28	VYDAJ	VYBER	15	34035	SLUZBY	\N	\N
1144099	3913	1998-03-31	VYDAJ	VYBER	15	39094	SLUZBY	\N	\N
1144100	3913	1998-04-30	VYDAJ	VYBER	15	40684	SLUZBY	\N	\N
1144101	3913	1998-05-31	VYDAJ	VYBER	15	39715	SLUZBY	\N	\N
1144102	3913	1998-06-30	VYDAJ	VYBER	15	37436	SLUZBY	\N	\N
1144103	3913	1998-07-31	VYDAJ	VYBER	15	40406	SLUZBY	\N	\N
1144104	3913	1998-08-31	VYDAJ	VYBER	15	43688	SLUZBY	\N	\N
1144105	3913	1998-09-30	VYDAJ	VYBER	15	44281	SLUZBY	\N	\N
1144106	3913	1998-10-31	VYDAJ	VYBER	15	40371	SLUZBY	\N	\N
1144107	3913	1998-11-30	VYDAJ	VYBER	15	38747	SLUZBY	\N	\N
1144108	3913	1996-11-03	PRIJEM	VKLAD	4800	20088	\N	\N	\N
1144109	3913	1996-12-03	VYDAJ	VYBER	3200	31349	\N	\N	\N
1144110	3913	1997-01-02	VYDAJ	VYBER	12800	40262	\N	\N	\N
1144111	3913	1997-02-01	VYDAJ	VYBER	12600	42234	\N	\N	\N
1144112	3913	1997-03-03	VYDAJ	VYBER	13800	41317	\N	\N	\N
1144113	3913	1997-04-02	VYDAJ	VYBER	10800	37716	\N	\N	\N
1144114	3913	1997-05-02	VYDAJ	VYBER	7200	37698	\N	\N	\N
1144115	3913	1997-06-01	VYDAJ	VYBER	3900	40976	\N	\N	\N
1144116	3913	1997-07-01	VYDAJ	VYBER	4900	32173	\N	\N	\N
1144117	3913	1997-07-31	VYDAJ	VYBER	6900	32425	\N	\N	\N
1144118	3913	1997-08-30	VYDAJ	VYBER	4600	34839	\N	\N	\N
1144119	3913	1997-09-29	VYDAJ	VYBER	6700	35291	\N	\N	\N
1144120	3913	1997-10-29	VYDAJ	VYBER	11000	31453	\N	\N	\N
1144121	3913	1997-11-28	VYDAJ	VYBER	4300	34314	\N	\N	\N
1144122	3913	1997-12-28	VYDAJ	VYBER	6800	36195	\N	\N	\N
1144123	3913	1998-01-27	PRIJEM	VKLAD	4900	28703	\N	\N	\N
1144124	3913	1998-02-26	VYDAJ	VYBER	1900	33913	\N	\N	\N
1144125	3913	1998-03-28	VYDAJ	VYBER	2100	38949	\N	\N	\N
1144126	3913	1998-04-27	VYDAJ	VYBER	900	40528	\N	\N	\N
1144127	3913	1998-05-27	VYDAJ	VYBER	5500	39558	\N	\N	\N
1144128	3913	1998-06-26	VYDAJ	VYBER	300	37282	\N	\N	\N
1144129	3913	1998-07-26	VYDAJ	VYBER	4200	40250	\N	\N	\N
1144130	3913	1998-08-25	VYDAJ	VYBER	3900	43520	\N	\N	\N
1144131	3913	1998-09-24	VYDAJ	VYBER	6600	44102	\N	\N	\N
1144132	3913	1998-10-24	VYDAJ	VYBER	11100	40195	\N	\N	\N
1144133	3913	1998-11-23	VYDAJ	VYBER	8800	38585	\N	\N	\N
1144161	3914	1995-09-05	PRIJEM	VKLAD	200	200	\N	\N	\N
1144170	3914	1995-09-07	PRIJEM	VKLAD	21695	21895	\N	\N	\N
1144171	3914	1995-10-07	PRIJEM	VKLAD	21695	45163	\N	\N	\N
1144172	3914	1995-11-07	PRIJEM	VKLAD	21695	55127	\N	\N	\N
1144173	3914	1995-12-07	PRIJEM	VKLAD	32543	71691	\N	\N	\N
1144174	3914	1996-01-07	PRIJEM	VKLAD	21695	73572	\N	\N	\N
1144175	3914	1996-02-07	PRIJEM	VKLAD	21695	56326	\N	\N	\N
1144176	3914	1996-03-07	PRIJEM	VKLAD	21695	57994	\N	\N	\N
1144177	3914	1996-04-07	PRIJEM	VKLAD	21695	61273	\N	\N	\N
1144178	3914	1996-05-07	PRIJEM	VKLAD	21695	61066	\N	\N	\N
1144179	3914	1996-06-07	PRIJEM	VKLAD	32543	72907	\N	\N	\N
1144180	3914	1996-07-07	PRIJEM	VKLAD	21695	67100	\N	\N	\N
1144181	3914	1996-08-07	PRIJEM	VKLAD	21695	65116	\N	\N	\N
1144182	3914	1996-09-07	PRIJEM	VKLAD	21695	66501	\N	\N	\N
1144183	3914	1996-10-07	PRIJEM	VKLAD	21695	62590	\N	\N	\N
1144184	3914	1996-11-07	PRIJEM	VKLAD	21695	60144	\N	\N	\N
1144185	3914	1996-12-07	PRIJEM	VKLAD	32543	71507	\N	\N	\N
1144186	3914	1997-01-07	PRIJEM	VKLAD	21695	59776	\N	\N	\N
1144187	3914	1997-02-07	PRIJEM	VKLAD	21695	58756	\N	\N	\N
1144188	3914	1997-03-07	PRIJEM	VKLAD	21695	62311	\N	\N	\N
1144189	3914	1997-04-07	PRIJEM	VKLAD	21695	64762	\N	\N	\N
1144190	3914	1997-05-07	PRIJEM	VKLAD	21695	67101	\N	\N	\N
1144191	3914	1997-06-07	PRIJEM	VKLAD	32543	82538	\N	\N	\N
1144192	3914	1997-07-07	PRIJEM	VKLAD	21695	54825	\N	\N	\N
1144193	3914	1997-08-07	PRIJEM	VKLAD	21695	65566	\N	\N	\N
1144194	3914	1997-09-07	PRIJEM	VKLAD	21695	70827	\N	\N	\N
1144195	3914	1997-10-07	PRIJEM	VKLAD	21695	77329	\N	\N	\N
1144196	3914	1997-11-07	PRIJEM	VKLAD	21695	80966	\N	\N	\N
1144197	3914	1997-12-07	PRIJEM	VKLAD	32543	93752	\N	\N	\N
1144198	3914	1998-01-07	PRIJEM	VKLAD	21695	75495	\N	\N	\N
1144199	3914	1998-02-07	PRIJEM	VKLAD	21695	76013	\N	\N	\N
1144200	3914	1998-03-07	PRIJEM	VKLAD	21695	77227	\N	\N	\N
1144201	3914	1998-04-07	PRIJEM	VKLAD	21695	81451	\N	\N	\N
1144202	3914	1998-05-07	PRIJEM	VKLAD	21695	85391	\N	\N	\N
1144203	3914	1998-06-07	PRIJEM	VKLAD	32543	97460	\N	\N	\N
1144204	3914	1998-07-07	PRIJEM	VKLAD	21695	91740	\N	\N	\N
1144205	3914	1998-08-07	PRIJEM	VKLAD	21695	87231	\N	\N	\N
1144206	3914	1998-09-07	PRIJEM	VKLAD	21695	90591	\N	\N	\N
1144207	3914	1998-10-07	PRIJEM	VKLAD	21695	89254	\N	\N	\N
1144208	3914	1998-11-07	PRIJEM	VKLAD	21695	91017	\N	\N	\N
1144209	3914	1998-12-07	PRIJEM	VKLAD	32543	108542	\N	\N	\N
1144222	3914	1996-01-10	VYDAJ	PREVOD NA UCET	6118	67454	SIPO	AB	39802485
1144223	3914	1996-02-10	VYDAJ	PREVOD NA UCET	6118	50208	SIPO	AB	39802485
1144224	3914	1996-03-10	VYDAJ	PREVOD NA UCET	6118	51876	SIPO	AB	39802485
1144225	3914	1996-04-10	VYDAJ	PREVOD NA UCET	6118	55155	SIPO	AB	39802485
1144226	3914	1996-05-10	VYDAJ	PREVOD NA UCET	6118	54948	SIPO	AB	39802485
1144227	3914	1996-06-10	VYDAJ	PREVOD NA UCET	6118	60069	SIPO	AB	39802485
1144228	3914	1996-07-10	VYDAJ	PREVOD NA UCET	6118	60982	SIPO	AB	39802485
1144229	3914	1996-08-10	VYDAJ	PREVOD NA UCET	6118	58998	SIPO	AB	39802485
1144230	3914	1996-09-10	VYDAJ	PREVOD NA UCET	6118	60383	SIPO	AB	39802485
1144231	3914	1996-10-10	VYDAJ	PREVOD NA UCET	6118	56472	SIPO	AB	39802485
1144232	3914	1996-11-10	VYDAJ	PREVOD NA UCET	6118	54026	SIPO	AB	39802485
1144233	3914	1996-12-10	VYDAJ	PREVOD NA UCET	6118	65389	SIPO	AB	39802485
1144234	3914	1997-01-10	VYDAJ	PREVOD NA UCET	6118	53658	SIPO	AB	39802485
1144235	3914	1997-02-10	VYDAJ	PREVOD NA UCET	6118	52638	SIPO	AB	39802485
1144236	3914	1997-03-10	VYDAJ	PREVOD NA UCET	6118	56193	SIPO	AB	39802485
1144237	3914	1997-04-10	VYDAJ	PREVOD NA UCET	6118	58644	SIPO	AB	39802485
1144238	3914	1997-05-10	VYDAJ	PREVOD NA UCET	6118	60983	SIPO	AB	39802485
1144239	3914	1997-06-10	VYDAJ	PREVOD NA UCET	6118	74380	SIPO	AB	39802485
1144240	3914	1997-07-10	VYDAJ	PREVOD NA UCET	6118	48707	SIPO	AB	39802485
1144241	3914	1997-08-10	VYDAJ	PREVOD NA UCET	6118	59448	SIPO	AB	39802485
1144242	3914	1997-09-10	VYDAJ	PREVOD NA UCET	6118	64709	SIPO	AB	39802485
1144243	3914	1997-10-10	VYDAJ	PREVOD NA UCET	6118	71211	SIPO	AB	39802485
1144244	3914	1997-11-10	VYDAJ	PREVOD NA UCET	6118	74848	SIPO	AB	39802485
1144245	3914	1997-12-10	VYDAJ	PREVOD NA UCET	6118	84114	SIPO	AB	39802485
1144246	3914	1998-01-10	VYDAJ	PREVOD NA UCET	6118	68657	SIPO	AB	39802485
1144247	3914	1998-02-10	VYDAJ	PREVOD NA UCET	6118	69895	SIPO	AB	39802485
1144248	3914	1998-03-10	VYDAJ	PREVOD NA UCET	6118	71109	SIPO	AB	39802485
1144249	3914	1998-04-10	VYDAJ	PREVOD NA UCET	6118	75333	SIPO	AB	39802485
1144250	3914	1998-05-10	VYDAJ	PREVOD NA UCET	6118	79273	SIPO	AB	39802485
1144251	3914	1998-06-10	VYDAJ	PREVOD NA UCET	6118	91342	SIPO	AB	39802485
1144252	3914	1998-07-10	VYDAJ	PREVOD NA UCET	6118	85622	SIPO	AB	39802485
1144253	3914	1998-08-10	VYDAJ	PREVOD NA UCET	6118	81113	SIPO	AB	39802485
1144254	3914	1998-09-10	VYDAJ	PREVOD NA UCET	6118	84473	SIPO	AB	39802485
1144255	3914	1998-10-10	VYDAJ	PREVOD NA UCET	6118	83136	SIPO	AB	39802485
1144256	3914	1998-11-10	VYDAJ	PREVOD NA UCET	6118	84899	SIPO	AB	39802485
1144257	3914	1998-12-10	VYDAJ	PREVOD NA UCET	6118	102424	SIPO	AB	39802485
1144259	3914	1996-06-09	VYDAJ	VYBER	6720	66187	\N	\N	\N
1144260	3914	1997-06-15	VYDAJ	VYBER	45920	28460	\N	\N	\N
1144261	3914	1998-06-02	VYDAJ	VYBER	6240	64917	\N	\N	\N
1144263	3914	1996-01-24	VYDAJ	VYBER	13120	44494	\N	\N	\N
1144264	3914	1997-01-02	VYDAJ	VYBER	11840	38081	\N	\N	\N
1144265	3914	1998-01-05	VYDAJ	VYBER	8320	53800	\N	\N	\N
1144267	3914	1996-12-04	VYDAJ	VYBER	1760	38964	\N	\N	\N
1144268	3914	1997-12-09	VYDAJ	VYBER	3520	90232	\N	\N	\N
1144269	3914	1998-12-17	VYDAJ	VYBER	4320	98104	\N	\N	\N
1144276	3914	1996-01-26	VYDAJ	VYBER	1800	42694	\N	\N	\N
1144277	3914	1996-01-24	VYDAJ	VYBER	2400	57614	\N	\N	\N
1144278	3914	1996-01-11	VYDAJ	VYBER	2880	64574	\N	\N	\N
1144279	3914	1996-01-15	VYDAJ	VYBER	1320	63254	\N	\N	\N
1144280	3914	1996-01-18	VYDAJ	VYBER	3240	60014	\N	\N	\N
1144282	3914	1997-01-18	VYDAJ	VYBER	720	49458	\N	\N	\N
1144283	3914	1997-01-12	VYDAJ	VYBER	720	52938	\N	\N	\N
1144284	3914	1997-01-28	VYDAJ	VYBER	840	36878	\N	\N	\N
1144285	3914	1997-01-18	VYDAJ	VYBER	3120	46338	\N	\N	\N
1144286	3914	1997-01-15	VYDAJ	VYBER	2760	50178	\N	\N	\N
1144287	3914	1997-01-21	VYDAJ	VYBER	3120	43218	\N	\N	\N
1144288	3914	1998-01-17	VYDAJ	VYBER	1320	62537	\N	\N	\N
1144289	3914	1998-01-08	VYDAJ	VYBER	720	74775	\N	\N	\N
1144290	3914	1998-01-03	VYDAJ	VYBER	1680	62120	\N	\N	\N
1144291	3914	1998-01-10	VYDAJ	VYBER	1440	67217	\N	\N	\N
1144292	3914	1998-01-12	VYDAJ	VYBER	1320	65897	\N	\N	\N
1144293	3914	1998-01-17	VYDAJ	VYBER	2040	63857	\N	\N	\N
1144301	3914	1996-11-03	VYDAJ	VYBER	5520	38449	\N	\N	\N
1144302	3914	1997-03-31	VYDAJ	VYBER	720	43067	\N	\N	\N
1144303	3914	1997-06-09	VYDAJ	VYBER	2040	80498	\N	\N	\N
1144304	3914	1997-04-26	VYDAJ	VYBER	3840	54804	\N	\N	\N
1144305	3914	1997-10-24	VYDAJ	VYBER	600	70611	\N	\N	\N
1144306	3914	1997-08-24	VYDAJ	VYBER	1920	57528	\N	\N	\N
1144307	3914	1998-01-25	VYDAJ	VYBER	960	54077	\N	\N	\N
1144308	3914	1998-07-04	VYDAJ	VYBER	2520	70045	\N	\N	\N
1144309	3914	1998-07-17	VYDAJ	VYBER	5040	76142	\N	\N	\N
1144310	3914	1998-07-13	VYDAJ	VYBER	4440	81182	\N	\N	\N
1144324	3914	1996-01-31	VYDAJ	VYBER	15	42931	SLUZBY	\N	\N
1144325	3914	1996-02-29	VYDAJ	VYBER	15	50399	SLUZBY	\N	\N
1144326	3914	1996-03-31	VYDAJ	VYBER	15	52078	SLUZBY	\N	\N
1144327	3914	1996-04-30	VYDAJ	VYBER	15	55371	SLUZBY	\N	\N
1144328	3914	1996-05-31	VYDAJ	VYBER	15	55165	SLUZBY	\N	\N
1144329	3914	1996-06-30	VYDAJ	VYBER	15	60305	SLUZBY	\N	\N
1144330	3914	1996-07-31	VYDAJ	VYBER	15	43421	SLUZBY	\N	\N
1144331	3914	1996-08-31	VYDAJ	VYBER	15	44806	SLUZBY	\N	\N
1144332	3914	1996-09-30	VYDAJ	VYBER	15	40895	SLUZBY	\N	\N
1144333	3914	1996-10-31	VYDAJ	VYBER	15	43969	SLUZBY	\N	\N
1144334	3914	1996-11-30	VYDAJ	VYBER	15	40724	SLUZBY	\N	\N
1144335	3914	1996-12-31	VYDAJ	VYBER	15	49921	SLUZBY	\N	\N
1144336	3914	1997-01-31	VYDAJ	VYBER	15	37061	SLUZBY	\N	\N
1144337	3914	1997-02-28	VYDAJ	VYBER	15	40616	SLUZBY	\N	\N
1144338	3914	1997-03-31	VYDAJ	VYBER	15	43787	SLUZBY	\N	\N
1144339	3914	1997-04-30	VYDAJ	VYBER	15	45406	SLUZBY	\N	\N
1144340	3914	1997-05-31	VYDAJ	VYBER	15	49996	SLUZBY	\N	\N
1144341	3914	1997-06-30	VYDAJ	VYBER	15	33130	SLUZBY	\N	\N
1144342	3914	1997-07-31	VYDAJ	VYBER	15	43871	SLUZBY	\N	\N
1144343	3914	1997-08-31	VYDAJ	VYBER	15	49132	SLUZBY	\N	\N
1144344	3914	1997-09-30	VYDAJ	VYBER	15	55634	SLUZBY	\N	\N
1144345	3914	1997-10-31	VYDAJ	VYBER	15	59271	SLUZBY	\N	\N
1144346	3914	1997-11-30	VYDAJ	VYBER	15	61209	SLUZBY	\N	\N
1144347	3914	1997-12-31	VYDAJ	VYBER	15	63800	SLUZBY	\N	\N
1144348	3914	1998-01-31	VYDAJ	VYBER	15	54318	SLUZBY	\N	\N
1144349	3914	1998-02-28	VYDAJ	VYBER	15	55532	SLUZBY	\N	\N
1144350	3914	1998-03-31	VYDAJ	VYBER	15	59756	SLUZBY	\N	\N
1144351	3914	1998-04-30	VYDAJ	VYBER	15	63696	SLUZBY	\N	\N
1144352	3914	1998-05-31	VYDAJ	VYBER	15	71157	SLUZBY	\N	\N
1144353	3914	1998-06-30	VYDAJ	VYBER	15	72565	SLUZBY	\N	\N
1144354	3914	1998-07-31	VYDAJ	VYBER	15	65536	SLUZBY	\N	\N
1144355	3914	1998-08-31	VYDAJ	VYBER	15	68896	SLUZBY	\N	\N
1144356	3914	1998-09-30	VYDAJ	VYBER	15	67559	SLUZBY	\N	\N
1144357	3914	1998-10-31	VYDAJ	VYBER	15	69322	SLUZBY	\N	\N
1144358	3914	1998-11-30	VYDAJ	VYBER	15	76000	SLUZBY	\N	\N
1144359	3914	1995-10-05	PRIJEM	VKLAD	1500	23468	\N	\N	\N
1144360	3914	1995-11-04	VYDAJ	VYBER	11900	33432	\N	\N	\N
1144361	3914	1995-12-04	VYDAJ	VYBER	16200	39149	\N	\N	\N
1144362	3914	1996-01-03	VYDAJ	VYBER	20100	51877	\N	\N	\N
1144363	3914	1996-02-02	VYDAJ	VYBER	8300	34631	\N	\N	\N
1144364	3914	1996-03-03	VYDAJ	VYBER	14100	36299	\N	\N	\N
1144365	3914	1996-04-02	VYDAJ	VYBER	12500	39578	\N	\N	\N
1144366	3914	1996-05-02	VYDAJ	VYBER	16000	39371	\N	\N	\N
1144367	3914	1996-06-01	VYDAJ	VYBER	14800	40365	\N	\N	\N
1144368	3914	1996-07-01	VYDAJ	VYBER	14900	45405	\N	\N	\N
1144369	3914	1996-07-31	VYDAJ	VYBER	17800	43436	\N	\N	\N
1144370	3914	1996-08-30	VYDAJ	VYBER	14400	44598	\N	\N	\N
1144371	3914	1996-09-29	VYDAJ	VYBER	19700	40683	\N	\N	\N
1144372	3914	1996-10-29	VYDAJ	VYBER	12700	43772	\N	\N	\N
1144373	3914	1996-11-28	VYDAJ	VYBER	13500	40526	\N	\N	\N
1144374	3914	1996-12-28	VYDAJ	VYBER	15700	49689	\N	\N	\N
1144375	3914	1997-01-27	VYDAJ	VYBER	5500	37718	\N	\N	\N
1144376	3914	1997-02-26	VYDAJ	VYBER	12200	40438	\N	\N	\N
1144377	3914	1997-03-28	VYDAJ	VYBER	12600	43593	\N	\N	\N
1144378	3914	1997-04-27	VYDAJ	VYBER	9600	45204	\N	\N	\N
1144379	3914	1997-05-27	VYDAJ	VYBER	11200	49783	\N	\N	\N
1144380	3914	1997-06-26	PRIJEM	VKLAD	4500	32960	\N	\N	\N
1144381	3914	1997-07-26	VYDAJ	VYBER	5000	43707	\N	\N	\N
1144382	3914	1997-08-25	VYDAJ	VYBER	8600	48928	\N	\N	\N
1144383	3914	1997-09-24	VYDAJ	VYBER	9300	55409	\N	\N	\N
1144384	3914	1997-10-24	VYDAJ	VYBER	11600	59011	\N	\N	\N
1144385	3914	1997-11-23	VYDAJ	VYBER	13900	60948	\N	\N	\N
1144386	3914	1997-12-23	VYDAJ	VYBER	20600	63514	\N	\N	\N
1144387	3914	1998-01-22	VYDAJ	VYBER	7500	55037	\N	\N	\N
1144388	3914	1998-02-21	VYDAJ	VYBER	14600	55295	\N	\N	\N
1144389	3914	1998-03-23	VYDAJ	VYBER	11600	59509	\N	\N	\N
1144390	3914	1998-04-22	VYDAJ	VYBER	11900	63433	\N	\N	\N
1144391	3914	1998-05-22	VYDAJ	VYBER	8400	70873	\N	\N	\N
1144392	3914	1998-06-21	VYDAJ	VYBER	19100	72242	\N	\N	\N
1144393	3914	1998-07-21	VYDAJ	VYBER	10900	65242	\N	\N	\N
1144394	3914	1998-08-20	VYDAJ	VYBER	12500	68613	\N	\N	\N
1144395	3914	1998-09-19	VYDAJ	VYBER	17200	67273	\N	\N	\N
1144396	3914	1998-10-19	VYDAJ	VYBER	14100	69036	\N	\N	\N
1144397	3914	1998-11-18	VYDAJ	VYBER	9200	75699	\N	\N	\N
1144438	3915	1993-04-02	PRIJEM	VKLAD	300	300	\N	\N	\N
1144442	3915	1993-04-05	PRIJEM	VKLAD	23131	23431	\N	\N	\N
1144443	3915	1993-05-05	PRIJEM	VKLAD	23131	46447	\N	\N	\N
1144444	3915	1993-06-05	PRIJEM	VKLAD	34696	71324	\N	\N	\N
1144445	3915	1993-07-05	PRIJEM	VKLAD	23131	72638	\N	\N	\N
1144446	3915	1993-08-05	PRIJEM	VKLAD	23131	70068	\N	\N	\N
1144447	3915	1993-09-05	PRIJEM	VKLAD	23131	65901	\N	\N	\N
1144448	3915	1993-10-05	PRIJEM	VKLAD	23131	63515	\N	\N	\N
1144449	3915	1993-11-05	PRIJEM	VKLAD	23131	59619	\N	\N	\N
1144450	3915	1993-12-05	PRIJEM	VKLAD	34696	74774	\N	\N	\N
1144451	3915	1994-01-05	PRIJEM	VKLAD	23131	66002	\N	\N	\N
1144452	3915	1994-02-05	PRIJEM	VKLAD	23131	58216	\N	\N	\N
1144453	3915	1994-03-05	PRIJEM	VKLAD	23131	61098	\N	\N	\N
1144454	3915	1994-04-05	PRIJEM	VKLAD	23131	58880	\N	\N	\N
1144455	3915	1994-05-05	PRIJEM	VKLAD	23131	59560	\N	\N	\N
1144456	3915	1994-06-05	PRIJEM	VKLAD	34696	50710	\N	\N	\N
1144457	3915	1994-07-05	PRIJEM	VKLAD	23131	53988	\N	\N	\N
1144458	3915	1994-08-05	PRIJEM	VKLAD	23131	58452	\N	\N	\N
1144459	3915	1994-09-05	PRIJEM	VKLAD	23131	57928	\N	\N	\N
1144460	3915	1994-10-05	PRIJEM	VKLAD	23131	57903	\N	\N	\N
1144461	3915	1994-11-05	PRIJEM	VKLAD	23131	58276	\N	\N	\N
1144462	3915	1994-12-05	PRIJEM	VKLAD	34696	71215	\N	\N	\N
1144463	3915	1995-01-05	PRIJEM	VKLAD	23131	66121	\N	\N	\N
1144464	3915	1995-02-05	PRIJEM	VKLAD	23131	58636	\N	\N	\N
1144465	3915	1995-03-05	PRIJEM	VKLAD	23131	62712	\N	\N	\N
1144466	3915	1995-04-05	PRIJEM	VKLAD	23131	66207	\N	\N	\N
1144467	3915	1995-05-05	PRIJEM	VKLAD	23131	65121	\N	\N	\N
1144468	3915	1995-06-05	PRIJEM	VKLAD	34696	74483	\N	\N	\N
1144469	3915	1995-07-05	PRIJEM	VKLAD	23131	59446	\N	\N	\N
1144470	3915	1995-08-05	PRIJEM	VKLAD	23131	65027	\N	\N	\N
1144471	3915	1995-09-05	PRIJEM	VKLAD	23131	65221	\N	\N	\N
1144472	3915	1995-10-05	PRIJEM	VKLAD	23131	64314	\N	\N	\N
1144473	3915	1995-11-05	PRIJEM	VKLAD	23131	63001	\N	\N	\N
1144474	3915	1995-12-05	PRIJEM	VKLAD	34696	76952	\N	\N	\N
1144475	3915	1996-01-05	PRIJEM	VKLAD	23131	67594	\N	\N	\N
1144476	3915	1996-02-05	PRIJEM	VKLAD	23131	59289	\N	\N	\N
1144477	3915	1996-03-05	PRIJEM	VKLAD	23131	57756	\N	\N	\N
1144478	3915	1996-04-05	PRIJEM	VKLAD	23131	58214	\N	\N	\N
1144479	3915	1996-05-05	PRIJEM	VKLAD	23131	62982	\N	\N	\N
1144480	3915	1996-06-05	PRIJEM	VKLAD	34696	73823	\N	\N	\N
1144481	3915	1996-07-05	PRIJEM	VKLAD	23131	52409	\N	\N	\N
1144482	3915	1996-08-05	PRIJEM	VKLAD	23131	56550	\N	\N	\N
1144483	3915	1996-09-05	PRIJEM	VKLAD	23131	60311	\N	\N	\N
1144484	3915	1996-10-05	PRIJEM	VKLAD	23131	64081	\N	\N	\N
1144485	3915	1996-11-05	PRIJEM	VKLAD	23131	68568	\N	\N	\N
1144486	3915	1996-12-05	PRIJEM	VKLAD	34696	79948	\N	\N	\N
1144487	3915	1997-01-05	PRIJEM	VKLAD	23131	72872	\N	\N	\N
1144488	3915	1997-02-05	PRIJEM	VKLAD	23131	64580	\N	\N	\N
1144489	3915	1997-03-05	PRIJEM	VKLAD	23131	63672	\N	\N	\N
1144490	3915	1997-04-05	PRIJEM	VKLAD	23131	69684	\N	\N	\N
1144491	3915	1997-05-05	PRIJEM	VKLAD	23131	65670	\N	\N	\N
1144492	3915	1997-06-05	PRIJEM	VKLAD	34696	60214	\N	\N	\N
1144493	3915	1997-07-05	PRIJEM	VKLAD	23131	61496	\N	\N	\N
1144494	3915	1997-08-05	PRIJEM	VKLAD	23131	64469	\N	\N	\N
1144495	3915	1997-09-05	PRIJEM	VKLAD	23131	68057	\N	\N	\N
1144496	3915	1997-10-05	PRIJEM	VKLAD	23131	63540	\N	\N	\N
1144497	3915	1997-11-05	PRIJEM	VKLAD	23131	68035	\N	\N	\N
1144498	3915	1997-12-05	PRIJEM	VKLAD	34696	82103	\N	\N	\N
1144499	3915	1998-01-05	PRIJEM	VKLAD	23131	75425	\N	\N	\N
1144500	3915	1998-02-05	PRIJEM	VKLAD	23131	60817	\N	\N	\N
1144501	3915	1998-03-05	PRIJEM	VKLAD	23131	64006	\N	\N	\N
1144502	3915	1998-04-05	PRIJEM	VKLAD	23131	64485	\N	\N	\N
1144503	3915	1998-05-05	PRIJEM	VKLAD	23131	63863	\N	\N	\N
1144504	3915	1998-06-05	PRIJEM	VKLAD	34696	75813	\N	\N	\N
1144505	3915	1998-07-05	PRIJEM	VKLAD	23131	58391	\N	\N	\N
1144506	3915	1998-08-05	PRIJEM	VKLAD	23131	58561	\N	\N	\N
1144507	3915	1998-09-05	PRIJEM	VKLAD	23131	65664	\N	\N	\N
1144508	3915	1998-10-05	PRIJEM	VKLAD	23131	66501	\N	\N	\N
1144509	3915	1998-11-05	PRIJEM	VKLAD	23131	66445	\N	\N	\N
1144510	3915	1998-12-05	PRIJEM	VKLAD	34696	75956	\N	\N	\N
1144518	3915	1993-08-12	VYDAJ	PREVOD NA UCET	9510	60558	SIPO	GH	25808733
1144519	3915	1993-09-12	VYDAJ	PREVOD NA UCET	9510	52191	SIPO	GH	25808733
1144520	3915	1993-10-12	VYDAJ	PREVOD NA UCET	9510	54005	SIPO	GH	25808733
1144521	3915	1993-11-12	VYDAJ	PREVOD NA UCET	9510	50109	SIPO	GH	25808733
1144522	3915	1993-12-12	VYDAJ	PREVOD NA UCET	9510	65264	SIPO	GH	25808733
1144523	3915	1994-01-12	VYDAJ	PREVOD NA UCET	9510	55092	SIPO	GH	25808733
1144524	3915	1994-02-12	VYDAJ	PREVOD NA UCET	9510	48706	SIPO	GH	25808733
1144525	3915	1994-03-12	VYDAJ	PREVOD NA UCET	9510	47888	SIPO	GH	25808733
1144526	3915	1994-04-12	VYDAJ	PREVOD NA UCET	9510	49370	SIPO	GH	25808733
1144527	3915	1994-05-12	VYDAJ	PREVOD NA UCET	9510	50050	SIPO	GH	25808733
1144528	3915	1994-06-12	VYDAJ	PREVOD NA UCET	9510	41200	SIPO	GH	25808733
1144529	3915	1994-07-12	VYDAJ	PREVOD NA UCET	9510	44478	SIPO	GH	25808733
1144530	3915	1994-08-12	VYDAJ	PREVOD NA UCET	9510	48942	SIPO	GH	25808733
1144531	3915	1994-09-12	VYDAJ	PREVOD NA UCET	9510	48418	SIPO	GH	25808733
1144532	3915	1994-10-12	VYDAJ	PREVOD NA UCET	9510	48393	SIPO	GH	25808733
1144533	3915	1994-11-12	VYDAJ	PREVOD NA UCET	9510	48766	SIPO	GH	25808733
1144534	3915	1994-12-12	VYDAJ	PREVOD NA UCET	9510	61705	SIPO	GH	25808733
1144535	3915	1995-01-12	VYDAJ	PREVOD NA UCET	9510	56611	SIPO	GH	25808733
1144536	3915	1995-02-12	VYDAJ	PREVOD NA UCET	9510	49126	SIPO	GH	25808733
1144537	3915	1995-03-12	VYDAJ	PREVOD NA UCET	9510	53202	SIPO	GH	25808733
1144538	3915	1995-04-12	VYDAJ	PREVOD NA UCET	9510	53397	SIPO	GH	25808733
1144630	3915	1998-01-06	VYDAJ	VYBER	1400	74025	\N	\N	\N
1144539	3915	1995-05-12	VYDAJ	PREVOD NA UCET	9510	55611	SIPO	GH	25808733
1144540	3915	1995-06-12	VYDAJ	PREVOD NA UCET	9510	36073	SIPO	GH	25808733
1144541	3915	1995-07-12	VYDAJ	PREVOD NA UCET	9510	49936	SIPO	GH	25808733
1144542	3915	1995-08-12	VYDAJ	PREVOD NA UCET	9510	55517	SIPO	GH	25808733
1144543	3915	1995-09-12	VYDAJ	PREVOD NA UCET	9510	51711	SIPO	GH	25808733
1144544	3915	1995-10-12	VYDAJ	PREVOD NA UCET	9510	54804	SIPO	GH	25808733
1144545	3915	1995-11-12	VYDAJ	PREVOD NA UCET	9510	53491	SIPO	GH	25808733
1144546	3915	1995-12-12	VYDAJ	PREVOD NA UCET	9510	67442	SIPO	GH	25808733
1144547	3915	1996-01-12	VYDAJ	PREVOD NA UCET	9510	52684	SIPO	GH	25808733
1144548	3915	1996-02-12	VYDAJ	PREVOD NA UCET	9510	46179	SIPO	GH	25808733
1144549	3915	1996-03-12	VYDAJ	PREVOD NA UCET	9510	48246	SIPO	GH	25808733
1144550	3915	1996-04-12	VYDAJ	PREVOD NA UCET	9510	48704	SIPO	GH	25808733
1144551	3915	1996-05-12	VYDAJ	PREVOD NA UCET	9510	53472	SIPO	GH	25808733
1144552	3915	1996-06-12	VYDAJ	PREVOD NA UCET	9510	64313	SIPO	GH	25808733
1144553	3915	1996-07-12	VYDAJ	PREVOD NA UCET	9510	42899	SIPO	GH	25808733
1144554	3915	1996-08-12	VYDAJ	PREVOD NA UCET	9510	47040	SIPO	GH	25808733
1144555	3915	1996-09-12	VYDAJ	PREVOD NA UCET	9510	50801	SIPO	GH	25808733
1144556	3915	1996-10-12	VYDAJ	PREVOD NA UCET	9510	54571	SIPO	GH	25808733
1144557	3915	1996-11-12	VYDAJ	PREVOD NA UCET	9510	45058	SIPO	GH	25808733
1144558	3915	1996-12-12	VYDAJ	PREVOD NA UCET	9510	52338	SIPO	GH	25808733
1144559	3915	1997-01-12	VYDAJ	PREVOD NA UCET	9510	43862	SIPO	GH	25808733
1144560	3915	1997-02-12	VYDAJ	PREVOD NA UCET	9510	40370	SIPO	GH	25808733
1144561	3915	1997-03-12	VYDAJ	PREVOD NA UCET	9510	46362	SIPO	GH	25808733
1144562	3915	1997-04-12	VYDAJ	PREVOD NA UCET	9510	42374	SIPO	GH	25808733
1144563	3915	1997-05-12	VYDAJ	PREVOD NA UCET	9510	41760	SIPO	GH	25808733
1144564	3915	1997-06-12	VYDAJ	PREVOD NA UCET	9510	38704	SIPO	GH	25808733
1144565	3915	1997-07-12	VYDAJ	PREVOD NA UCET	9510	41186	SIPO	GH	25808733
1144566	3915	1997-08-12	VYDAJ	PREVOD NA UCET	9510	44759	SIPO	GH	25808733
1144567	3915	1997-09-12	VYDAJ	PREVOD NA UCET	9510	42147	SIPO	GH	25808733
1144568	3915	1997-10-12	VYDAJ	PREVOD NA UCET	9510	46730	SIPO	GH	25808733
1144569	3915	1997-11-12	VYDAJ	PREVOD NA UCET	9510	47225	SIPO	GH	25808733
1144570	3915	1997-12-12	VYDAJ	PREVOD NA UCET	9510	52093	SIPO	GH	25808733
1144571	3915	1998-01-12	VYDAJ	PREVOD NA UCET	9510	45515	SIPO	GH	25808733
1144572	3915	1998-02-12	VYDAJ	PREVOD NA UCET	9510	40707	SIPO	GH	25808733
1144573	3915	1998-03-12	VYDAJ	PREVOD NA UCET	9510	41196	SIPO	GH	25808733
1144574	3915	1998-04-12	VYDAJ	PREVOD NA UCET	9510	40575	SIPO	GH	25808733
1144575	3915	1998-05-12	VYDAJ	PREVOD NA UCET	9510	43353	SIPO	GH	25808733
1144576	3915	1998-06-12	VYDAJ	PREVOD NA UCET	9510	44803	SIPO	GH	25808733
1144577	3915	1998-07-12	VYDAJ	PREVOD NA UCET	9510	37581	SIPO	GH	25808733
1144578	3915	1998-08-12	VYDAJ	PREVOD NA UCET	9510	49051	SIPO	GH	25808733
1144579	3915	1998-09-12	VYDAJ	PREVOD NA UCET	9510	56154	SIPO	GH	25808733
1144580	3915	1998-10-12	VYDAJ	PREVOD NA UCET	9510	56991	SIPO	GH	25808733
1144581	3915	1998-11-12	VYDAJ	PREVOD NA UCET	9510	56935	SIPO	GH	25808733
1144582	3915	1998-12-12	VYDAJ	PREVOD NA UCET	9510	66446	SIPO	GH	25808733
1144584	3915	1994-06-02	VYDAJ	VYBER	21300	16014	\N	\N	\N
1144585	3915	1995-06-10	VYDAJ	VYBER	28900	45583	\N	\N	\N
1144586	3915	1996-06-29	VYDAJ	VYBER	15900	29113	\N	\N	\N
1144587	3915	1997-06-03	VYDAJ	VYBER	16400	25518	\N	\N	\N
1144588	3915	1998-06-19	VYDAJ	VYBER	9700	35103	\N	\N	\N
1144589	3915	1993-12-20	VYDAJ	VYBER	900	64364	\N	\N	\N
1144590	3915	1994-12-20	VYDAJ	VYBER	2000	59705	\N	\N	\N
1144591	3915	1995-12-18	VYDAJ	VYBER	2700	64742	\N	\N	\N
1144592	3915	1996-12-24	VYDAJ	VYBER	2200	50138	\N	\N	\N
1144593	3915	1997-12-10	VYDAJ	VYBER	1600	61603	\N	\N	\N
1144594	3915	1998-12-23	VYDAJ	VYBER KARTOU	2600	63846	\N	\N	0
1144601	3915	1994-01-08	VYDAJ	VYBER	1400	64602	\N	\N	\N
1144602	3915	1994-01-28	VYDAJ	VYBER	2000	35992	\N	\N	\N
1144603	3915	1994-01-30	VYDAJ	VYBER	1100	34892	\N	\N	\N
1144604	3915	1994-01-25	VYDAJ	VYBER	1900	50992	\N	\N	\N
1144605	3915	1994-01-24	VYDAJ	VYBER	1400	52892	\N	\N	\N
1144606	3915	1994-01-12	VYDAJ	VYBER	800	54292	\N	\N	\N
1144607	3915	1995-01-16	VYDAJ	VYBER	1000	52911	\N	\N	\N
1144608	3915	1995-01-29	VYDAJ	VYBER	800	35311	\N	\N	\N
1144609	3915	1995-01-23	VYDAJ	VYBER	2700	37111	\N	\N	\N
1144610	3915	1995-01-27	VYDAJ	VYBER	1000	36111	\N	\N	\N
1144611	3915	1995-01-01	VYDAJ	VYBER	2900	42990	\N	\N	\N
1144612	3915	1995-01-16	VYDAJ	VYBER	2700	53911	\N	\N	\N
1144613	3915	1996-01-12	VYDAJ	VYBER	1400	51284	\N	\N	\N
1144614	3915	1996-01-05	VYDAJ	VYBER	1600	65994	\N	\N	\N
1144615	3915	1996-01-01	VYDAJ	VYBER	2600	44463	\N	\N	\N
1144616	3915	1996-01-16	VYDAJ	VYBER	2100	49184	\N	\N	\N
1144617	3915	1996-01-06	VYDAJ	VYBER	900	65094	\N	\N	\N
1144618	3915	1996-01-06	VYDAJ	VYBER	2900	62194	\N	\N	\N
1144619	3915	1997-01-15	VYDAJ	VYBER	1300	42562	\N	\N	\N
1144620	3915	1997-01-16	VYDAJ	VYBER	600	41962	\N	\N	\N
1144621	3915	1997-01-07	VYDAJ	VYBER	700	72172	\N	\N	\N
1144622	3915	1997-01-21	VYDAJ	VYBER	700	41262	\N	\N	\N
1144623	3915	1997-01-08	VYDAJ	VYBER	2100	70072	\N	\N	\N
1144624	3915	1997-01-03	VYDAJ	VYBER	600	49741	\N	\N	\N
1144625	3915	1998-01-22	VYDAJ	VYBER	2600	39515	\N	\N	\N
1144626	3915	1998-01-24	VYDAJ	VYBER	2000	37515	\N	\N	\N
1144627	3915	1998-01-16	VYDAJ	VYBER	1100	44415	\N	\N	\N
1144628	3915	1998-01-12	VYDAJ	VYBER	1700	55025	\N	\N	\N
1144629	3915	1998-01-17	VYDAJ	VYBER	2300	42115	\N	\N	\N
1144632	3915	1993-09-09	VYDAJ	VYBER	4200	61701	\N	\N	\N
1144633	3915	1993-10-28	VYDAJ	VYBER	4700	49305	\N	\N	\N
1144634	3915	1994-04-23	VYDAJ	VYBER	1600	43470	\N	\N	\N
1144635	3915	1994-03-11	VYDAJ	VYBER	3700	57398	\N	\N	\N
1144636	3915	1994-04-21	VYDAJ	VYBER	4300	45070	\N	\N	\N
1144637	3915	1994-10-21	VYDAJ	VYBER	1000	47393	\N	\N	\N
1144638	3915	1994-03-19	VYDAJ	VYBER	3900	43988	\N	\N	\N
1144639	3915	1994-06-29	VYDAJ	VYBER	800	30700	\N	\N	\N
1144640	3915	1994-09-28	VYDAJ	VYBER	3400	34618	\N	\N	\N
1144641	3915	1994-08-24	VYDAJ	VYBER	3400	45542	\N	\N	\N
1144642	3915	1995-08-18	VYDAJ	VYBER	3900	51617	\N	\N	\N
1144643	3915	1995-05-26	VYDAJ	VYBER	3200	39611	\N	\N	\N
1144644	3915	1995-04-06	VYDAJ	VYBER	3300	62907	\N	\N	\N
1144645	3915	1995-09-10	VYDAJ	VYBER	4000	61221	\N	\N	\N
1144646	3915	1996-01-19	VYDAJ	VYBER	1600	35984	\N	\N	\N
1144647	3915	1996-02-20	VYDAJ	VYBER	1700	34479	\N	\N	\N
1144648	3915	1996-01-01	VYDAJ	VYBER	500	47063	\N	\N	\N
1144649	3915	1996-08-29	VYDAJ	VYBER	3000	37040	\N	\N	\N
1144650	3915	1996-02-09	VYDAJ	VYBER	3600	55689	\N	\N	\N
1144651	3915	1997-02-05	VYDAJ	VYBER	2200	62380	\N	\N	\N
1144652	3915	1997-10-30	VYDAJ	VYBER	2000	44730	\N	\N	\N
1144653	3915	1997-09-21	VYDAJ	VYBER	1900	40247	\N	\N	\N
1144654	3915	1997-06-20	VYDAJ	VYBER	500	38204	\N	\N	\N
1144655	3915	1998-07-20	VYDAJ	VYBER KARTOU	2900	34681	\N	\N	0
1144656	3915	1998-05-24	VYDAJ	VYBER KARTOU	2400	40953	\N	\N	0
1144657	3915	1998-08-25	VYDAJ	VYBER KARTOU	2900	46151	\N	\N	0
1144658	3915	1998-10-24	VYDAJ	VYBER KARTOU	1600	55391	\N	\N	0
1144659	3915	1998-12-25	VYDAJ	VYBER KARTOU	3900	55646	\N	\N	0
1144660	3915	1998-12-23	VYDAJ	VYBER	4300	59546	\N	\N	\N
1144661	3915	1998-06-05	VYDAJ	VYBER	4300	54313	\N	\N	\N
1144670	3915	1993-08-31	VYDAJ	VYBER	15	42770	SLUZBY	\N	\N
1144671	3915	1993-09-30	VYDAJ	VYBER	15	40384	SLUZBY	\N	\N
1144672	3915	1993-10-31	VYDAJ	VYBER	15	36488	SLUZBY	\N	\N
1144673	3915	1993-11-30	VYDAJ	VYBER	15	40078	SLUZBY	\N	\N
1144674	3915	1993-12-31	VYDAJ	VYBER	15	42871	SLUZBY	\N	\N
1144675	3915	1994-01-31	VYDAJ	VYBER	15	35085	SLUZBY	\N	\N
1144676	3915	1994-02-28	VYDAJ	VYBER	15	37967	SLUZBY	\N	\N
1144677	3915	1994-03-31	VYDAJ	VYBER	15	35749	SLUZBY	\N	\N
1144678	3915	1994-04-30	VYDAJ	VYBER	15	36429	SLUZBY	\N	\N
1144679	3915	1994-05-31	VYDAJ	VYBER	15	37314	SLUZBY	\N	\N
1144680	3915	1994-06-30	VYDAJ	VYBER	15	30857	SLUZBY	\N	\N
1144681	3915	1994-07-31	VYDAJ	VYBER	15	35321	SLUZBY	\N	\N
1144682	3915	1994-08-31	VYDAJ	VYBER	15	34797	SLUZBY	\N	\N
1144683	3915	1994-09-30	VYDAJ	VYBER	15	34772	SLUZBY	\N	\N
1144684	3915	1994-10-31	VYDAJ	VYBER	15	35145	SLUZBY	\N	\N
1144685	3915	1994-11-30	VYDAJ	VYBER	15	36519	SLUZBY	\N	\N
1144686	3915	1994-12-31	VYDAJ	VYBER	15	45890	SLUZBY	\N	\N
1144687	3915	1995-01-31	VYDAJ	VYBER	15	35505	SLUZBY	\N	\N
1144688	3915	1995-02-28	VYDAJ	VYBER	15	39581	SLUZBY	\N	\N
1144689	3915	1995-03-31	VYDAJ	VYBER	15	43076	SLUZBY	\N	\N
1144690	3915	1995-04-30	VYDAJ	VYBER	15	41990	SLUZBY	\N	\N
1144691	3915	1995-05-31	VYDAJ	VYBER	15	39787	SLUZBY	\N	\N
1144692	3915	1995-06-30	VYDAJ	VYBER	15	36315	SLUZBY	\N	\N
1144693	3915	1995-07-31	VYDAJ	VYBER	15	41896	SLUZBY	\N	\N
1144694	3915	1995-08-31	VYDAJ	VYBER	15	42090	SLUZBY	\N	\N
1144695	3915	1995-09-30	VYDAJ	VYBER	15	41183	SLUZBY	\N	\N
1144696	3915	1995-10-31	VYDAJ	VYBER	15	39870	SLUZBY	\N	\N
1144697	3915	1995-11-30	VYDAJ	VYBER	15	42256	SLUZBY	\N	\N
1144698	3915	1995-12-31	VYDAJ	VYBER	15	47563	SLUZBY	\N	\N
1144699	3915	1996-01-31	VYDAJ	VYBER	15	36158	SLUZBY	\N	\N
1144700	3915	1996-02-29	VYDAJ	VYBER	15	34625	SLUZBY	\N	\N
1144701	3915	1996-03-31	VYDAJ	VYBER	15	35083	SLUZBY	\N	\N
1144702	3915	1996-04-30	VYDAJ	VYBER	15	39851	SLUZBY	\N	\N
1144703	3915	1996-05-31	VYDAJ	VYBER	15	39127	SLUZBY	\N	\N
1144704	3915	1996-06-30	VYDAJ	VYBER	15	29278	SLUZBY	\N	\N
1144705	3915	1996-07-31	VYDAJ	VYBER	15	33419	SLUZBY	\N	\N
1144706	3915	1996-08-31	VYDAJ	VYBER	15	37180	SLUZBY	\N	\N
1144707	3915	1996-09-30	VYDAJ	VYBER	15	40950	SLUZBY	\N	\N
1144708	3915	1996-10-31	VYDAJ	VYBER	15	45437	SLUZBY	\N	\N
1144709	3915	1996-11-30	VYDAJ	VYBER	15	45252	SLUZBY	\N	\N
1144710	3915	1996-12-31	VYDAJ	VYBER	15	50341	SLUZBY	\N	\N
1144711	3915	1997-01-31	VYDAJ	VYBER	15	41449	SLUZBY	\N	\N
1144712	3915	1997-02-28	VYDAJ	VYBER	15	40541	SLUZBY	\N	\N
1144713	3915	1997-03-31	VYDAJ	VYBER	15	46553	SLUZBY	\N	\N
1144714	3915	1997-04-30	VYDAJ	VYBER	15	42539	SLUZBY	\N	\N
1144715	3915	1997-05-31	VYDAJ	VYBER	15	41918	SLUZBY	\N	\N
1144716	3915	1997-06-30	VYDAJ	VYBER	15	38365	SLUZBY	\N	\N
1144717	3915	1997-07-31	VYDAJ	VYBER	15	41338	SLUZBY	\N	\N
1144718	3915	1997-08-31	VYDAJ	VYBER	15	44926	SLUZBY	\N	\N
1144719	3915	1997-09-30	VYDAJ	VYBER	15	40409	SLUZBY	\N	\N
1144720	3915	1997-10-31	VYDAJ	VYBER	15	44904	SLUZBY	\N	\N
1144721	3915	1997-11-30	VYDAJ	VYBER	15	47407	SLUZBY	\N	\N
1144722	3915	1997-12-31	VYDAJ	VYBER	15	52294	SLUZBY	\N	\N
1144723	3915	1998-01-31	VYDAJ	VYBER	15	37686	SLUZBY	\N	\N
1144724	3915	1998-02-28	VYDAJ	VYBER	15	40875	SLUZBY	\N	\N
1144725	3915	1998-03-31	VYDAJ	VYBER	15	41354	SLUZBY	\N	\N
1144726	3915	1998-04-30	VYDAJ	VYBER	15	40732	SLUZBY	\N	\N
1144727	3915	1998-05-31	VYDAJ	VYBER	15	41117	SLUZBY	\N	\N
1144728	3915	1998-06-30	VYDAJ	VYBER	15	35260	SLUZBY	\N	\N
1144729	3915	1998-07-31	VYDAJ	VYBER	15	34830	SLUZBY	\N	\N
1144730	3915	1998-08-31	VYDAJ	VYBER	15	46333	SLUZBY	\N	\N
1144731	3915	1998-09-30	VYDAJ	VYBER	15	56370	SLUZBY	\N	\N
1144732	3915	1998-10-31	VYDAJ	VYBER	15	55614	SLUZBY	\N	\N
1144733	3915	1998-11-30	VYDAJ	VYBER	15	57160	SLUZBY	\N	\N
1144734	3915	1993-05-02	VYDAJ	VYBER	200	23316	\N	\N	\N
1144735	3915	1993-06-01	VYDAJ	VYBER	10000	36628	\N	\N	\N
1144736	3915	1993-07-01	VYDAJ	VYBER	22100	49507	\N	\N	\N
1144737	3915	1993-07-31	VYDAJ	VYBER	26000	46937	\N	\N	\N
1144738	3915	1993-08-30	VYDAJ	VYBER	18000	42558	\N	\N	\N
1144739	3915	1993-09-29	VYDAJ	VYBER	12000	40191	\N	\N	\N
1144740	3915	1993-10-29	VYDAJ	VYBER	13000	36305	\N	\N	\N
1144741	3915	1993-11-28	VYDAJ	VYBER	10200	39909	\N	\N	\N
1144742	3915	1993-12-28	VYDAJ	VYBER	21700	42664	\N	\N	\N
1144743	3915	1994-01-27	VYDAJ	VYBER	13000	37992	\N	\N	\N
1144744	3915	1994-02-26	VYDAJ	VYBER	10900	37806	\N	\N	\N
1144745	3915	1994-03-28	VYDAJ	VYBER	8400	35588	\N	\N	\N
1144746	3915	1994-04-27	VYDAJ	VYBER	7200	36270	\N	\N	\N
1144747	3915	1994-05-27	VYDAJ	VYBER	12900	37150	\N	\N	\N
1144748	3915	1994-06-26	VYDAJ	VYBER	9700	31500	\N	\N	\N
1144749	3915	1994-07-26	VYDAJ	VYBER	9300	35178	\N	\N	\N
1144750	3915	1994-08-25	VYDAJ	VYBER	10900	34642	\N	\N	\N
1144751	3915	1994-09-24	VYDAJ	VYBER	10400	38018	\N	\N	\N
1144752	3915	1994-10-24	VYDAJ	VYBER	12400	34993	\N	\N	\N
1144753	3915	1994-11-23	VYDAJ	VYBER	12400	36366	\N	\N	\N
1144754	3915	1994-12-23	VYDAJ	VYBER	14000	45705	\N	\N	\N
1144755	3915	1995-01-22	VYDAJ	VYBER	13100	39811	\N	\N	\N
1144756	3915	1995-02-21	VYDAJ	VYBER	9700	39426	\N	\N	\N
1144757	3915	1995-03-23	VYDAJ	VYBER	10300	42902	\N	\N	\N
1144758	3915	1995-04-22	VYDAJ	VYBER	11600	41797	\N	\N	\N
1144759	3915	1995-05-22	VYDAJ	VYBER	12800	42811	\N	\N	\N
1144760	3915	1995-06-21	PRIJEM	VKLAD	100	36173	\N	\N	\N
1144761	3915	1995-07-21	VYDAJ	VYBER	8200	41736	\N	\N	\N
1144762	3915	1995-08-20	VYDAJ	VYBER	9700	41917	\N	\N	\N
1144763	3915	1995-09-19	VYDAJ	VYBER	10700	41011	\N	\N	\N
1144764	3915	1995-10-19	VYDAJ	VYBER	15100	39704	\N	\N	\N
1144765	3915	1995-11-18	VYDAJ	VYBER	11400	42091	\N	\N	\N
1144766	3915	1995-12-18	VYDAJ	VYBER	17400	47342	\N	\N	\N
1144767	3915	1996-01-17	VYDAJ	VYBER	11600	37584	\N	\N	\N
1144768	3915	1996-02-16	VYDAJ	VYBER	10000	36179	\N	\N	\N
1144769	3915	1996-03-17	VYDAJ	VYBER	13300	34946	\N	\N	\N
1144770	3915	1996-04-16	VYDAJ	VYBER	9000	39704	\N	\N	\N
1144771	3915	1996-05-16	VYDAJ	VYBER	14500	38972	\N	\N	\N
1144772	3915	1996-06-15	VYDAJ	VYBER	19300	45013	\N	\N	\N
1144773	3915	1996-07-15	VYDAJ	VYBER	9600	33299	\N	\N	\N
1144774	3915	1996-08-14	VYDAJ	VYBER	7000	40040	\N	\N	\N
1144775	3915	1996-09-13	VYDAJ	VYBER	10000	40801	\N	\N	\N
1144776	3915	1996-10-13	VYDAJ	VYBER	9300	45271	\N	\N	\N
1144777	3915	1996-11-12	VYDAJ	VYBER	14000	54568	\N	\N	\N
1144778	3915	1996-12-12	VYDAJ	VYBER	18100	61848	\N	\N	\N
1144779	3915	1997-01-11	VYDAJ	VYBER	16700	53372	\N	\N	\N
1144780	3915	1997-02-10	VYDAJ	VYBER	12500	49880	\N	\N	\N
1144781	3915	1997-03-12	VYDAJ	VYBER	7800	55872	\N	\N	\N
1144782	3915	1997-04-11	VYDAJ	VYBER	17800	51884	\N	\N	\N
1144783	3915	1997-05-11	VYDAJ	VYBER	14400	51270	\N	\N	\N
1144784	3915	1997-06-10	VYDAJ	VYBER	12000	48214	\N	\N	\N
1144785	3915	1997-07-10	VYDAJ	VYBER	10800	50696	\N	\N	\N
1144786	3915	1997-08-09	VYDAJ	VYBER	10200	54269	\N	\N	\N
1144787	3915	1997-09-08	VYDAJ	VYBER	16400	51657	\N	\N	\N
1144788	3915	1997-10-08	VYDAJ	VYBER	7300	56240	\N	\N	\N
1144789	3915	1997-11-07	VYDAJ	VYBER	11300	56735	\N	\N	\N
1144790	3915	1997-12-07	VYDAJ	VYBER	18900	63203	\N	\N	\N
1144791	3915	1998-01-06	VYDAJ	VYBER	17300	56725	\N	\N	\N
1144792	3915	1998-02-05	VYDAJ	VYBER	10600	50217	\N	\N	\N
1144793	3915	1998-03-07	VYDAJ	VYBER	13300	50706	\N	\N	\N
1144794	3915	1998-04-06	VYDAJ	VYBER	14400	50085	\N	\N	\N
1144795	3915	1998-05-06	VYDAJ	VYBER	11000	52863	\N	\N	\N
1144796	3915	1998-06-05	VYDAJ	VYBER	17200	58613	\N	\N	\N
1144797	3915	1998-07-05	VYDAJ	VYBER	11300	47091	\N	\N	\N
1144798	3915	1998-08-04	PRIJEM	VKLAD	600	35430	\N	\N	\N
1144799	3915	1998-09-03	VYDAJ	VYBER KARTOU	3800	42533	\N	\N	0
1144800	3915	1998-10-03	VYDAJ	VYBER	13000	43370	\N	\N	\N
1144801	3915	1998-11-02	VYDAJ	VYBER	12300	43314	\N	\N	\N
1144802	3915	1998-12-02	VYDAJ	VYBER	15900	41260	\N	\N	\N
1144872	3916	1997-09-28	PRIJEM	VKLAD	800	800	\N	\N	\N
1144882	3916	1997-10-06	PRIJEM	PREVOD Z UCTU	16162	16962	\N	UV	77586638
1144883	3916	1997-11-06	PRIJEM	PREVOD Z UCTU	16162	35935	\N	UV	77586638
1144884	3916	1997-12-06	PRIJEM	PREVOD Z UCTU	24243	50063	\N	UV	77586638
1144885	3916	1998-01-06	PRIJEM	PREVOD Z UCTU	16162	48637	\N	UV	77586638
1144886	3916	1998-02-06	PRIJEM	PREVOD Z UCTU	16162	43930	\N	UV	77586638
1144887	3916	1998-03-06	PRIJEM	PREVOD Z UCTU	16162	29132	\N	UV	77586638
1144888	3916	1998-04-06	PRIJEM	PREVOD Z UCTU	16162	23489	\N	UV	77586638
1144889	3916	1998-05-06	PRIJEM	PREVOD Z UCTU	16162	25136	\N	UV	77586638
1144890	3916	1998-06-06	PRIJEM	PREVOD Z UCTU	24243	32459	\N	UV	77586638
1144891	3916	1998-07-06	PRIJEM	PREVOD Z UCTU	16162	31725	\N	UV	77586638
1144892	3916	1998-08-06	PRIJEM	PREVOD Z UCTU	16162	28184	\N	UV	77586638
1144893	3916	1998-09-06	PRIJEM	PREVOD Z UCTU	16162	27145	\N	UV	77586638
1144894	3916	1998-10-06	PRIJEM	PREVOD Z UCTU	16162	26102	\N	UV	77586638
1144895	3916	1998-11-06	PRIJEM	PREVOD Z UCTU	16162	25054	\N	UV	77586638
1144896	3916	1998-12-06	PRIJEM	PREVOD Z UCTU	24243	32083	\N	UV	77586638
1144910	3916	1998-02-24	VYDAJ	VYBER	2300	18382	\N	\N	0
1144911	3916	1998-03-11	VYDAJ	VYBER	2800	14354	\N	\N	0
1144912	3916	1998-04-01	VYDAJ	VYBER	3700	7327	\N	\N	0
1144913	3916	1998-05-07	VYDAJ	VYBER	2400	22736	\N	\N	0
1144914	3916	1998-06-10	VYDAJ	VYBER	2400	28981	\N	\N	0
1144915	3916	1998-07-12	VYDAJ	PREVOD NA UCET	2694	10753	UVER	EF	91283201
1144916	3916	1998-08-12	VYDAJ	PREVOD NA UCET	2694	13513	UVER	EF	91283201
1144917	3916	1998-09-12	VYDAJ	PREVOD NA UCET	2694	12474	UVER	EF	91283201
1144918	3916	1998-10-12	VYDAJ	PREVOD NA UCET	2694	11430	UVER	EF	91283201
1144919	3916	1998-11-12	VYDAJ	PREVOD NA UCET	2694	10382	UVER	EF	91283201
1144920	3916	1998-12-12	VYDAJ	PREVOD NA UCET	2694	17411	UVER	EF	91283201
1144934	3916	1998-02-10	VYDAJ	PREVOD NA UCET	10900	31952	SIPO	UV	38921874
1144935	3916	1998-03-10	VYDAJ	PREVOD NA UCET	10900	17154	SIPO	UV	38921874
1144936	3916	1998-04-10	VYDAJ	PREVOD NA UCET	10900	11511	SIPO	UV	38921874
1144937	3916	1998-05-10	VYDAJ	PREVOD NA UCET	10900	10758	SIPO	UV	38921874
1144938	3916	1998-06-10	VYDAJ	PREVOD NA UCET	10900	18081	SIPO	UV	38921874
1144939	3916	1998-07-10	VYDAJ	PREVOD NA UCET	10900	13447	SIPO	UV	38921874
1144940	3916	1998-08-10	VYDAJ	PREVOD NA UCET	10900	16206	SIPO	UV	38921874
1144941	3916	1998-09-10	VYDAJ	PREVOD NA UCET	10900	15167	SIPO	UV	38921874
1144942	3916	1998-10-10	VYDAJ	PREVOD NA UCET	10900	14124	SIPO	UV	38921874
1144943	3916	1998-11-10	VYDAJ	PREVOD NA UCET	10900	13076	SIPO	UV	38921874
1144944	3916	1998-12-10	VYDAJ	PREVOD NA UCET	10900	20105	SIPO	UV	38921874
1144958	3916	1998-02-07	VYDAJ	PREVOD NA UCET	1078	42852	 	UV	51592075
1144959	3916	1998-03-07	VYDAJ	PREVOD NA UCET	1078	28054	 	UV	51592075
1144960	3916	1998-04-07	VYDAJ	PREVOD NA UCET	1078	22411	 	UV	51592075
1144961	3916	1998-05-07	VYDAJ	PREVOD NA UCET	1078	21658	 	UV	51592075
1144962	3916	1998-06-07	VYDAJ	PREVOD NA UCET	1078	31381	 	UV	51592075
1144963	3916	1998-07-07	VYDAJ	PREVOD NA UCET	1078	30647	 	UV	51592075
1144964	3916	1998-08-07	VYDAJ	PREVOD NA UCET	1078	27106	 	UV	51592075
1144965	3916	1998-09-07	VYDAJ	PREVOD NA UCET	1078	26067	 	UV	51592075
1144966	3916	1998-10-07	VYDAJ	PREVOD NA UCET	1078	25024	 	UV	51592075
1144967	3916	1998-11-07	VYDAJ	PREVOD NA UCET	1078	23976	 	UV	51592075
1144968	3916	1998-12-07	VYDAJ	PREVOD NA UCET	1078	31005	 	UV	51592075
1144982	3916	1998-02-14	VYDAJ	PREVOD NA UCET	2570	20682	POJISTNE	AB	23392904
1144983	3916	1998-03-14	VYDAJ	PREVOD NA UCET	2570	11784	POJISTNE	AB	23392904
1144984	3916	1998-04-14	VYDAJ	PREVOD NA UCET	2570	8941	POJISTNE	AB	23392904
1144985	3916	1998-05-14	VYDAJ	PREVOD NA UCET	2570	8188	POJISTNE	AB	23392904
1144986	3916	1998-06-14	VYDAJ	PREVOD NA UCET	2570	15511	POJISTNE	AB	23392904
1144987	3916	1998-07-14	VYDAJ	PREVOD NA UCET	2570	8183	POJISTNE	AB	23392904
1144988	3916	1998-08-14	VYDAJ	PREVOD NA UCET	2570	10943	POJISTNE	AB	23392904
1144989	3916	1998-09-14	VYDAJ	PREVOD NA UCET	2570	9904	POJISTNE	AB	23392904
1144990	3916	1998-10-14	VYDAJ	PREVOD NA UCET	2570	8860	POJISTNE	AB	23392904
1144991	3916	1998-11-14	VYDAJ	PREVOD NA UCET	2570	7812	POJISTNE	AB	23392904
1144992	3916	1998-12-14	VYDAJ	PREVOD NA UCET	2570	14841	POJISTNE	AB	23392904
1145025	3916	1998-07-09	VYDAJ	VYBER	6300	24347	\N	\N	\N
1145028	3916	1998-02-13	VYDAJ	VYBER	8700	23252	\N	\N	\N
1145045	3916	1998-02-28	VYDAJ	VYBER	15	12970	SLUZBY	\N	\N
1145046	3916	1998-03-31	VYDAJ	VYBER	15	11027	SLUZBY	\N	\N
1145047	3916	1998-04-30	VYDAJ	VYBER	15	8974	SLUZBY	\N	\N
1145048	3916	1998-05-31	VYDAJ	VYBER	15	8216	SLUZBY	\N	\N
1145049	3916	1998-06-30	VYDAJ	VYBER	15	15563	SLUZBY	\N	\N
1145050	3916	1998-07-31	VYDAJ	VYBER	15	12022	SLUZBY	\N	\N
1145051	3916	1998-08-31	VYDAJ	VYBER	15	10983	SLUZBY	\N	\N
1145052	3916	1998-09-30	VYDAJ	VYBER	15	9940	SLUZBY	\N	\N
1145053	3916	1998-10-31	VYDAJ	VYBER	15	8892	SLUZBY	\N	\N
1145054	3916	1998-11-30	VYDAJ	VYBER	15	7840	SLUZBY	\N	\N
1145055	3916	1997-10-28	PRIJEM	VKLAD	2800	19762	\N	\N	\N
1145056	3916	1997-11-27	VYDAJ	VYBER	10200	25735	\N	\N	\N
1145057	3916	1997-12-27	VYDAJ	VYBER	17700	32363	\N	\N	\N
1145058	3916	1998-01-26	VYDAJ	VYBER	21000	27637	\N	\N	\N
1145059	3916	1998-02-25	VYDAJ	VYBER	5500	12882	\N	\N	\N
1145060	3916	1998-03-27	VYDAJ	VYBER	800	10984	\N	\N	\N
1145061	3916	1998-07-25	PRIJEM	VKLAD	3800	11983	\N	\N	\N
1145077	3917	1996-03-30	PRIJEM	VKLAD	600	600	\N	\N	\N
1145081	3917	1996-04-10	PRIJEM	VKLAD	21064	21664	\N	\N	\N
1145082	3917	1996-05-10	PRIJEM	VKLAD	21064	40734	\N	\N	\N
1145083	3917	1996-06-10	PRIJEM	VKLAD	31596	61816	\N	\N	\N
1145084	3917	1996-07-10	PRIJEM	VKLAD	21064	61209	\N	\N	\N
1145085	3917	1996-08-10	PRIJEM	VKLAD	21064	61440	\N	\N	\N
1145086	3917	1996-09-10	PRIJEM	VKLAD	21064	56672	\N	\N	\N
1145087	3917	1996-10-10	PRIJEM	VKLAD	21064	49980	\N	\N	\N
1145088	3917	1996-11-10	PRIJEM	VKLAD	21064	49430	\N	\N	\N
1145089	3917	1996-12-10	PRIJEM	VKLAD	31596	61712	\N	\N	\N
1145090	3917	1997-01-10	PRIJEM	VKLAD	21064	47371	\N	\N	\N
1145091	3917	1997-02-10	PRIJEM	VKLAD	21064	43180	\N	\N	\N
1145092	3917	1997-03-10	PRIJEM	VKLAD	21064	46402	\N	\N	\N
1145093	3917	1997-04-10	PRIJEM	VKLAD	21064	50138	\N	\N	\N
1145094	3917	1997-05-10	PRIJEM	VKLAD	21064	50701	\N	\N	\N
1145095	3917	1997-06-10	PRIJEM	VKLAD	31596	63485	\N	\N	\N
1145096	3917	1997-07-10	PRIJEM	VKLAD	21064	42512	\N	\N	\N
1145097	3917	1997-08-10	PRIJEM	VKLAD	21064	53439	\N	\N	\N
1145098	3917	1997-09-10	PRIJEM	VKLAD	21064	57101	\N	\N	\N
1145099	3917	1997-10-10	PRIJEM	VKLAD	21064	56873	\N	\N	\N
1145100	3917	1997-11-10	PRIJEM	VKLAD	21064	56741	\N	\N	\N
1145101	3917	1997-12-10	PRIJEM	VKLAD	31596	69242	\N	\N	\N
1145102	3917	1998-01-10	PRIJEM	VKLAD	21064	61922	\N	\N	\N
1145103	3917	1998-02-10	PRIJEM	VKLAD	21064	54683	\N	\N	\N
1145104	3917	1998-03-10	PRIJEM	VKLAD	21064	54661	\N	\N	\N
1145105	3917	1998-04-10	PRIJEM	VKLAD	21064	56785	\N	\N	\N
1145106	3917	1998-05-10	PRIJEM	VKLAD	21064	54847	\N	\N	\N
1145107	3917	1998-06-10	PRIJEM	VKLAD	31596	68641	\N	\N	\N
1145108	3917	1998-07-10	PRIJEM	VKLAD	21064	42809	\N	\N	\N
1145109	3917	1998-08-10	PRIJEM	VKLAD	21064	52731	\N	\N	\N
1145110	3917	1998-09-10	PRIJEM	VKLAD	21064	57482	\N	\N	\N
1145111	3917	1998-10-10	PRIJEM	VKLAD	21064	60550	\N	\N	\N
1145112	3917	1998-11-10	PRIJEM	VKLAD	21064	60123	\N	\N	\N
1145113	3917	1998-12-10	PRIJEM	VKLAD	31596	69722	\N	\N	\N
1145121	3917	1996-08-13	VYDAJ	PREVOD NA UCET	2362	55973	SIPO	CD	89179288
1145122	3917	1996-09-13	VYDAJ	PREVOD NA UCET	2362	51205	SIPO	CD	89179288
1145123	3917	1996-10-13	VYDAJ	PREVOD NA UCET	2362	44513	SIPO	CD	89179288
1145124	3917	1996-11-13	VYDAJ	PREVOD NA UCET	2362	43963	SIPO	CD	89179288
1145125	3917	1996-12-13	VYDAJ	PREVOD NA UCET	2362	56245	SIPO	CD	89179288
1145126	3917	1997-01-13	VYDAJ	PREVOD NA UCET	2362	39384	SIPO	CD	89179288
1145127	3917	1997-02-13	VYDAJ	PREVOD NA UCET	2362	37713	SIPO	CD	89179288
1145128	3917	1997-03-13	VYDAJ	PREVOD NA UCET	2362	40935	SIPO	CD	89179288
1145129	3917	1997-04-13	VYDAJ	PREVOD NA UCET	2362	44671	SIPO	CD	89179288
1145130	3917	1997-05-13	VYDAJ	PREVOD NA UCET	2362	45234	SIPO	CD	89179288
1145131	3917	1997-06-13	VYDAJ	PREVOD NA UCET	2362	58018	SIPO	CD	89179288
1145132	3917	1997-07-13	VYDAJ	PREVOD NA UCET	2362	37045	SIPO	CD	89179288
1145133	3917	1997-08-13	VYDAJ	PREVOD NA UCET	2362	47972	SIPO	CD	89179288
1145134	3917	1997-09-13	VYDAJ	PREVOD NA UCET	2362	51634	SIPO	CD	89179288
1145135	3917	1997-10-13	VYDAJ	PREVOD NA UCET	2362	51406	SIPO	CD	89179288
1145136	3917	1997-11-13	VYDAJ	PREVOD NA UCET	2362	51274	SIPO	CD	89179288
1145137	3917	1997-12-13	VYDAJ	PREVOD NA UCET	2362	63775	SIPO	CD	89179288
1145138	3917	1998-01-13	VYDAJ	PREVOD NA UCET	2362	56455	SIPO	CD	89179288
1145139	3917	1998-02-13	VYDAJ	PREVOD NA UCET	2362	49216	SIPO	CD	89179288
1145140	3917	1998-03-13	VYDAJ	PREVOD NA UCET	2362	49194	SIPO	CD	89179288
1145141	3917	1998-04-13	VYDAJ	PREVOD NA UCET	2362	51318	SIPO	CD	89179288
1145142	3917	1998-05-13	VYDAJ	PREVOD NA UCET	2362	49380	SIPO	CD	89179288
1145143	3917	1998-06-13	VYDAJ	PREVOD NA UCET	2362	63174	SIPO	CD	89179288
1145144	3917	1998-07-13	VYDAJ	PREVOD NA UCET	2362	37342	SIPO	CD	89179288
1145145	3917	1998-08-13	VYDAJ	PREVOD NA UCET	2362	47264	SIPO	CD	89179288
1145146	3917	1998-09-13	VYDAJ	PREVOD NA UCET	2362	52015	SIPO	CD	89179288
1145147	3917	1998-10-13	VYDAJ	PREVOD NA UCET	2362	55083	SIPO	CD	89179288
1145148	3917	1998-11-13	VYDAJ	PREVOD NA UCET	2362	54656	SIPO	CD	89179288
1145149	3917	1998-12-13	VYDAJ	PREVOD NA UCET	2362	64255	SIPO	CD	89179288
1145157	3917	1996-08-10	VYDAJ	PREVOD NA UCET	2833	58335	 	QR	63465010
1145158	3917	1996-09-10	VYDAJ	PREVOD NA UCET	2833	53567	 	QR	63465010
1145159	3917	1996-10-10	VYDAJ	PREVOD NA UCET	2833	47147	 	QR	63465010
1145160	3917	1996-11-10	VYDAJ	PREVOD NA UCET	2833	46325	 	QR	63465010
1145161	3917	1996-12-10	VYDAJ	PREVOD NA UCET	2833	58607	 	QR	63465010
1145162	3917	1997-01-10	VYDAJ	PREVOD NA UCET	2833	44266	 	QR	63465010
1145163	3917	1997-02-10	VYDAJ	PREVOD NA UCET	2833	40347	 	QR	63465010
1145164	3917	1997-03-10	VYDAJ	PREVOD NA UCET	2833	43569	 	QR	63465010
1145165	3917	1997-04-10	VYDAJ	PREVOD NA UCET	2833	47033	 	QR	63465010
1145166	3917	1997-05-10	VYDAJ	PREVOD NA UCET	2833	47596	 	QR	63465010
1145167	3917	1997-06-10	VYDAJ	PREVOD NA UCET	2833	60380	 	QR	63465010
1145168	3917	1997-07-10	VYDAJ	PREVOD NA UCET	2833	39407	 	QR	63465010
1145169	3917	1997-08-10	VYDAJ	PREVOD NA UCET	2833	50334	 	QR	63465010
1145170	3917	1997-09-10	VYDAJ	PREVOD NA UCET	2833	53996	 	QR	63465010
1145171	3917	1997-10-10	VYDAJ	PREVOD NA UCET	2833	54040	 	QR	63465010
1145172	3917	1997-11-10	VYDAJ	PREVOD NA UCET	2833	53908	 	QR	63465010
1145173	3917	1997-12-10	VYDAJ	PREVOD NA UCET	2833	66409	 	QR	63465010
1145174	3917	1998-01-10	VYDAJ	PREVOD NA UCET	2833	58817	 	QR	63465010
1145175	3917	1998-02-10	VYDAJ	PREVOD NA UCET	2833	51578	 	QR	63465010
1145176	3917	1998-03-10	VYDAJ	PREVOD NA UCET	2833	51828	 	QR	63465010
1145177	3917	1998-04-10	VYDAJ	PREVOD NA UCET	2833	53680	 	QR	63465010
1145178	3917	1998-05-10	VYDAJ	PREVOD NA UCET	2833	51742	 	QR	63465010
1145179	3917	1998-06-10	VYDAJ	PREVOD NA UCET	2833	65808	 	QR	63465010
1145180	3917	1998-07-10	VYDAJ	PREVOD NA UCET	2833	39704	 	QR	63465010
1145181	3917	1998-08-10	VYDAJ	PREVOD NA UCET	2833	49898	 	QR	63465010
1145182	3917	1998-09-10	VYDAJ	PREVOD NA UCET	2833	54377	 	QR	63465010
1145183	3917	1998-10-10	VYDAJ	PREVOD NA UCET	2833	57445	 	QR	63465010
1145184	3917	1998-11-10	VYDAJ	PREVOD NA UCET	2833	57290	 	QR	63465010
1145185	3917	1998-12-10	VYDAJ	PREVOD NA UCET	2833	66889	 	QR	63465010
1145194	3917	1996-09-06	VYDAJ	PREVOD NA UCET	789	35608	POJISTNE	YZ	75628006
1145195	3917	1996-10-06	VYDAJ	PREVOD NA UCET	789	28916	POJISTNE	YZ	75628006
1145196	3917	1996-11-06	VYDAJ	PREVOD NA UCET	789	28366	POJISTNE	YZ	75628006
1145197	3917	1996-12-06	VYDAJ	PREVOD NA UCET	789	30116	POJISTNE	YZ	75628006
1145198	3917	1997-01-06	VYDAJ	PREVOD NA UCET	789	31587	POJISTNE	YZ	75628006
1145199	3917	1997-02-06	VYDAJ	PREVOD NA UCET	789	22116	POJISTNE	YZ	75628006
1145200	3917	1997-03-06	VYDAJ	PREVOD NA UCET	789	25338	POJISTNE	YZ	75628006
1145201	3917	1997-04-06	VYDAJ	PREVOD NA UCET	789	29074	POJISTNE	YZ	75628006
1145202	3917	1997-05-06	VYDAJ	PREVOD NA UCET	789	29637	POJISTNE	YZ	75628006
1145203	3917	1997-06-06	VYDAJ	PREVOD NA UCET	789	31889	POJISTNE	YZ	75628006
1145204	3917	1997-07-06	VYDAJ	PREVOD NA UCET	789	21448	POJISTNE	YZ	75628006
1145205	3917	1997-08-06	VYDAJ	PREVOD NA UCET	789	32375	POJISTNE	YZ	75628006
1145206	3917	1997-09-06	VYDAJ	PREVOD NA UCET	789	36037	POJISTNE	YZ	75628006
1145207	3917	1997-10-06	VYDAJ	PREVOD NA UCET	789	35809	POJISTNE	YZ	75628006
1145208	3917	1997-11-06	VYDAJ	PREVOD NA UCET	789	35677	POJISTNE	YZ	75628006
1145209	3917	1997-12-06	VYDAJ	PREVOD NA UCET	789	37646	POJISTNE	YZ	75628006
1145210	3917	1998-01-06	VYDAJ	PREVOD NA UCET	789	40858	POJISTNE	YZ	75628006
1145211	3917	1998-02-06	VYDAJ	PREVOD NA UCET	789	33619	POJISTNE	YZ	75628006
1145212	3917	1998-03-06	VYDAJ	PREVOD NA UCET	789	33597	POJISTNE	YZ	75628006
1145213	3917	1998-04-06	VYDAJ	PREVOD NA UCET	789	35721	POJISTNE	YZ	75628006
1145214	3917	1998-05-06	VYDAJ	PREVOD NA UCET	789	33783	POJISTNE	YZ	75628006
1145215	3917	1998-06-06	VYDAJ	PREVOD NA UCET	789	37045	POJISTNE	YZ	75628006
1145216	3917	1998-07-06	VYDAJ	PREVOD NA UCET	789	21745	POJISTNE	YZ	75628006
1145217	3917	1998-08-06	VYDAJ	PREVOD NA UCET	789	31667	POJISTNE	YZ	75628006
1145218	3917	1998-09-06	VYDAJ	PREVOD NA UCET	789	36418	POJISTNE	YZ	75628006
1145219	3917	1998-10-06	VYDAJ	PREVOD NA UCET	789	39486	POJISTNE	YZ	75628006
1145220	3917	1998-11-06	VYDAJ	PREVOD NA UCET	789	39059	POJISTNE	YZ	75628006
1145221	3917	1998-12-06	VYDAJ	PREVOD NA UCET	789	38126	POJISTNE	YZ	75628006
1145229	3917	1996-08-10	VYDAJ	PREVOD NA UCET	272	61168	 	OP	9782308
1145230	3917	1996-09-10	VYDAJ	PREVOD NA UCET	272	56400	 	OP	9782308
1145231	3917	1996-10-10	VYDAJ	PREVOD NA UCET	272	46875	 	OP	9782308
1145232	3917	1996-11-10	VYDAJ	PREVOD NA UCET	272	49158	 	OP	9782308
1145233	3917	1996-12-10	VYDAJ	PREVOD NA UCET	272	61440	 	OP	9782308
1145234	3917	1997-01-10	VYDAJ	PREVOD NA UCET	272	47099	 	OP	9782308
1145235	3917	1997-02-10	VYDAJ	PREVOD NA UCET	272	40075	 	OP	9782308
1145236	3917	1997-03-10	VYDAJ	PREVOD NA UCET	272	43297	 	OP	9782308
1145237	3917	1997-04-10	VYDAJ	PREVOD NA UCET	272	49866	 	OP	9782308
1145238	3917	1997-05-10	VYDAJ	PREVOD NA UCET	272	50429	 	OP	9782308
1145239	3917	1997-06-10	VYDAJ	PREVOD NA UCET	272	63213	 	OP	9782308
1145240	3917	1997-07-10	VYDAJ	PREVOD NA UCET	272	42240	 	OP	9782308
1145241	3917	1997-08-10	VYDAJ	PREVOD NA UCET	272	53167	 	OP	9782308
1145242	3917	1997-09-10	VYDAJ	PREVOD NA UCET	272	56829	 	OP	9782308
1145243	3917	1997-10-10	VYDAJ	PREVOD NA UCET	272	53768	 	OP	9782308
1145244	3917	1997-11-10	VYDAJ	PREVOD NA UCET	272	53636	 	OP	9782308
1145245	3917	1997-12-10	VYDAJ	PREVOD NA UCET	272	66137	 	OP	9782308
1145246	3917	1998-01-10	VYDAJ	PREVOD NA UCET	272	61650	 	OP	9782308
1145247	3917	1998-02-10	VYDAJ	PREVOD NA UCET	272	54411	 	OP	9782308
1145248	3917	1998-03-10	VYDAJ	PREVOD NA UCET	272	51556	 	OP	9782308
1145249	3917	1998-04-10	VYDAJ	PREVOD NA UCET	272	56513	 	OP	9782308
1145250	3917	1998-05-10	VYDAJ	PREVOD NA UCET	272	54575	 	OP	9782308
1145251	3917	1998-06-10	VYDAJ	PREVOD NA UCET	272	65536	 	OP	9782308
1145252	3917	1998-07-10	VYDAJ	PREVOD NA UCET	272	42537	 	OP	9782308
1145253	3917	1998-08-10	VYDAJ	PREVOD NA UCET	272	49626	 	OP	9782308
1145254	3917	1998-09-10	VYDAJ	PREVOD NA UCET	272	57210	 	OP	9782308
1145255	3917	1998-10-10	VYDAJ	PREVOD NA UCET	272	60278	 	OP	9782308
1145256	3917	1998-11-10	VYDAJ	PREVOD NA UCET	272	57018	 	OP	9782308
1145257	3917	1998-12-10	VYDAJ	PREVOD NA UCET	272	66617	 	OP	9782308
1145259	3917	1997-06-19	VYDAJ	VYBER	33120	24898	\N	\N	\N
1145260	3917	1998-06-29	VYDAJ	VYBER	23520	22354	\N	\N	\N
1145262	3917	1997-01-02	VYDAJ	VYBER	3840	32376	\N	\N	\N
1145263	3917	1998-01-17	VYDAJ	VYBER	5280	51175	\N	\N	\N
1145270	3917	1997-01-07	VYDAJ	VYBER	2400	29187	\N	\N	\N
1145271	3917	1997-01-09	VYDAJ	VYBER	2880	26307	\N	\N	\N
1145272	3917	1997-01-22	VYDAJ	VYBER	2880	29184	\N	\N	\N
1145273	3917	1997-01-17	VYDAJ	VYBER	2160	37224	\N	\N	\N
1145274	3917	1997-01-21	VYDAJ	VYBER	1920	32064	\N	\N	\N
1145275	3917	1997-01-21	VYDAJ	VYBER	3240	33984	\N	\N	\N
1145276	3917	1998-01-21	VYDAJ	VYBER	2400	36875	\N	\N	\N
1145277	3917	1998-01-02	VYDAJ	VYBER	2760	42367	\N	\N	\N
1145278	3917	1998-01-30	VYDAJ	VYBER	720	34235	\N	\N	\N
1145279	3917	1998-01-21	VYDAJ	VYBER	1800	39275	\N	\N	\N
1145280	3917	1998-01-29	VYDAJ	VYBER	1920	34955	\N	\N	\N
1145281	3917	1998-01-05	VYDAJ	VYBER	720	41647	\N	\N	\N
1145283	3917	1996-09-25	VYDAJ	VYBER	2760	44245	\N	\N	\N
1145285	3917	1996-08-21	VYDAJ	VYBER	4560	51413	\N	\N	\N
1145287	3917	1996-09-14	VYDAJ	VYBER	4200	47005	\N	\N	\N
1145289	3917	1997-09-28	VYDAJ	VYBER	1200	36434	\N	\N	\N
1145290	3917	1997-12-28	VYDAJ	VYBER	840	44935	\N	\N	\N
1145291	3917	1997-04-18	VYDAJ	VYBER	5280	39391	\N	\N	\N
1145292	3917	1997-01-12	VYDAJ	VYBER	2520	41746	\N	\N	\N
1145293	3917	1998-03-20	VYDAJ	VYBER	1440	36354	\N	\N	\N
1145294	3917	1998-03-01	VYDAJ	VYBER	1680	34386	\N	\N	\N
1145295	3917	1998-02-21	VYDAJ	VYBER	1800	35916	\N	\N	\N
1145304	3917	1996-08-31	VYDAJ	VYBER	15	36397	SLUZBY	\N	\N
1145305	3917	1996-09-30	VYDAJ	VYBER	15	29705	SLUZBY	\N	\N
1145306	3917	1996-10-31	VYDAJ	VYBER	15	29155	SLUZBY	\N	\N
1145307	3917	1996-11-30	VYDAJ	VYBER	15	30905	SLUZBY	\N	\N
1145308	3917	1996-12-31	VYDAJ	VYBER	15	36216	SLUZBY	\N	\N
1145309	3917	1997-01-31	VYDAJ	VYBER	15	22905	SLUZBY	\N	\N
1145310	3917	1997-02-28	VYDAJ	VYBER	15	26127	SLUZBY	\N	\N
1145311	3917	1997-03-31	VYDAJ	VYBER	15	29863	SLUZBY	\N	\N
1145312	3917	1997-04-30	VYDAJ	VYBER	15	30426	SLUZBY	\N	\N
1145313	3917	1997-05-31	VYDAJ	VYBER	15	32678	SLUZBY	\N	\N
1145314	3917	1997-06-30	VYDAJ	VYBER	15	22237	SLUZBY	\N	\N
1145315	3917	1997-07-31	VYDAJ	VYBER	15	33164	SLUZBY	\N	\N
1145316	3917	1997-08-31	VYDAJ	VYBER	15	36826	SLUZBY	\N	\N
1145317	3917	1997-09-30	VYDAJ	VYBER	15	36598	SLUZBY	\N	\N
1145318	3917	1997-10-31	VYDAJ	VYBER	15	36466	SLUZBY	\N	\N
1145319	3917	1997-11-30	VYDAJ	VYBER	15	38435	SLUZBY	\N	\N
1145320	3917	1997-12-31	VYDAJ	VYBER	15	45127	SLUZBY	\N	\N
1145321	3917	1998-01-31	VYDAJ	VYBER	15	34408	SLUZBY	\N	\N
1145322	3917	1998-02-28	VYDAJ	VYBER	15	36066	SLUZBY	\N	\N
1145323	3917	1998-03-31	VYDAJ	VYBER	15	36510	SLUZBY	\N	\N
1145324	3917	1998-04-30	VYDAJ	VYBER	15	34572	SLUZBY	\N	\N
1145325	3917	1998-05-31	VYDAJ	VYBER	15	37834	SLUZBY	\N	\N
1145326	3917	1998-06-30	VYDAJ	VYBER	15	22534	SLUZBY	\N	\N
1145327	3917	1998-07-31	VYDAJ	VYBER	15	32456	SLUZBY	\N	\N
1145328	3917	1998-08-31	VYDAJ	VYBER	15	37207	SLUZBY	\N	\N
1145329	3917	1998-09-30	VYDAJ	VYBER	15	40275	SLUZBY	\N	\N
1145330	3917	1998-10-31	VYDAJ	VYBER	15	39848	SLUZBY	\N	\N
1145331	3917	1998-11-30	VYDAJ	VYBER	15	38915	SLUZBY	\N	\N
1145332	3917	1996-04-29	VYDAJ	VYBER	2000	19664	\N	\N	\N
1145333	3917	1996-05-29	VYDAJ	VYBER	10600	30134	\N	\N	\N
1145334	3917	1996-06-28	VYDAJ	VYBER	21800	40016	\N	\N	\N
1145335	3917	1996-07-28	VYDAJ	VYBER	21000	40209	\N	\N	\N
1145336	3917	1996-08-27	VYDAJ	VYBER	15200	36213	\N	\N	\N
1145337	3917	1996-09-26	VYDAJ	VYBER	14700	29545	\N	\N	\N
1145338	3917	1996-10-26	VYDAJ	VYBER	15500	29013	\N	\N	\N
1145339	3917	1996-11-25	VYDAJ	VYBER	13200	30763	\N	\N	\N
1145340	3917	1996-12-25	VYDAJ	VYBER	20200	36045	\N	\N	\N
1145341	3917	1997-01-24	VYDAJ	VYBER	6400	22784	\N	\N	\N
1145342	3917	1997-02-23	VYDAJ	VYBER	11700	26013	\N	\N	\N
1145343	3917	1997-03-25	VYDAJ	VYBER	11200	29735	\N	\N	\N
1145344	3917	1997-04-24	VYDAJ	VYBER	9100	30291	\N	\N	\N
1145345	3917	1997-05-24	VYDAJ	VYBER	12700	32534	\N	\N	\N
1145346	3917	1997-06-23	VYDAJ	VYBER	2800	22098	\N	\N	\N
1145347	3917	1997-07-23	VYDAJ	VYBER	4000	33045	\N	\N	\N
1145348	3917	1997-08-22	VYDAJ	VYBER	11300	36672	\N	\N	\N
1145349	3917	1997-09-21	VYDAJ	VYBER	14000	37634	\N	\N	\N
1145350	3917	1997-10-21	VYDAJ	VYBER	15100	36306	\N	\N	\N
1145351	3917	1997-11-20	VYDAJ	VYBER	13000	38274	\N	\N	\N
1145352	3917	1997-12-20	VYDAJ	VYBER	18000	45775	\N	\N	\N
1145353	3917	1998-01-19	VYDAJ	VYBER	10100	41075	\N	\N	\N
1145354	3917	1998-02-18	VYDAJ	VYBER	11500	37716	\N	\N	\N
1145355	3917	1998-03-20	VYDAJ	VYBER	11400	37794	\N	\N	\N
1145356	3917	1998-04-19	VYDAJ	VYBER	16900	34418	\N	\N	\N
1145357	3917	1998-05-19	VYDAJ	VYBER	11700	37680	\N	\N	\N
1145358	3917	1998-06-18	VYDAJ	VYBER	17300	45874	\N	\N	\N
1145359	3917	1998-07-18	VYDAJ	VYBER	5000	32342	\N	\N	\N
1145360	3917	1998-08-17	VYDAJ	VYBER	10200	37064	\N	\N	\N
1145361	3917	1998-09-16	VYDAJ	VYBER	11900	40115	\N	\N	\N
1145362	3917	1998-10-16	VYDAJ	VYBER	15400	39683	\N	\N	\N
1145363	3917	1998-11-15	VYDAJ	VYBER	15900	38756	\N	\N	\N
1145397	3918	1993-12-09	PRIJEM	VKLAD	700	700	\N	\N	\N
1145409	3918	1993-12-12	PRIJEM	VKLAD	13923	14623	\N	\N	\N
1145410	3918	1994-01-12	PRIJEM	VKLAD	9282	29044	\N	\N	\N
1145411	3918	1994-02-12	PRIJEM	VKLAD	9282	35326	\N	\N	\N
1145412	3918	1994-03-12	PRIJEM	VKLAD	9282	37545	\N	\N	\N
1145413	3918	1994-04-12	PRIJEM	VKLAD	9282	38180	\N	\N	\N
1145414	3918	1994-05-12	PRIJEM	VKLAD	9282	37628	\N	\N	\N
1145415	3918	1994-06-12	PRIJEM	VKLAD	13923	33085	\N	\N	\N
1145416	3918	1994-07-12	PRIJEM	VKLAD	9282	36515	\N	\N	\N
1145417	3918	1994-08-12	PRIJEM	VKLAD	9282	37856	\N	\N	\N
1145418	3918	1994-09-12	PRIJEM	VKLAD	9282	37394	\N	\N	\N
1145419	3918	1994-10-12	PRIJEM	VKLAD	9282	36833	\N	\N	\N
1145420	3918	1994-11-12	PRIJEM	VKLAD	9282	35682	\N	\N	\N
1145421	3918	1994-12-12	PRIJEM	VKLAD	13923	33389	\N	\N	\N
1145422	3918	1995-01-12	PRIJEM	VKLAD	9282	24168	\N	\N	\N
1145423	3918	1995-02-12	PRIJEM	VKLAD	9282	28088	\N	\N	\N
1145424	3918	1995-03-12	PRIJEM	VKLAD	9282	28382	\N	\N	\N
1145425	3918	1995-04-12	PRIJEM	VKLAD	9282	33786	\N	\N	\N
1145426	3918	1995-05-12	PRIJEM	VKLAD	9282	35501	\N	\N	\N
1145427	3918	1995-06-12	PRIJEM	VKLAD	13923	34783	\N	\N	\N
1145428	3918	1995-07-12	PRIJEM	VKLAD	9282	35101	\N	\N	\N
1145429	3918	1995-08-12	PRIJEM	VKLAD	9282	37228	\N	\N	\N
1145430	3918	1995-09-12	PRIJEM	VKLAD	9282	36962	\N	\N	\N
1145431	3918	1995-10-12	PRIJEM	VKLAD	9282	32301	\N	\N	\N
1145432	3918	1995-11-12	PRIJEM	VKLAD	9282	27646	\N	\N	\N
1145433	3918	1995-12-12	PRIJEM	VKLAD	13923	34288	\N	\N	\N
1145434	3918	1996-01-12	PRIJEM	VKLAD	9282	25331	\N	\N	\N
1145435	3918	1996-02-12	PRIJEM	VKLAD	9282	21473	\N	\N	\N
1145436	3918	1996-03-12	PRIJEM	VKLAD	9282	22735	\N	\N	\N
1145437	3918	1996-04-12	PRIJEM	VKLAD	9282	23313	\N	\N	\N
1145438	3918	1996-05-12	PRIJEM	VKLAD	9282	21191	\N	\N	\N
1145439	3918	1996-06-12	PRIJEM	VKLAD	13923	30308	\N	\N	\N
1145440	3918	1996-07-12	PRIJEM	VKLAD	9282	24165	\N	\N	\N
1145441	3918	1996-08-12	PRIJEM	VKLAD	9282	23390	\N	\N	\N
1145442	3918	1996-09-12	PRIJEM	VKLAD	9282	23266	\N	\N	\N
1145443	3918	1996-10-12	PRIJEM	VKLAD	9282	21286	\N	\N	\N
1145444	3918	1996-11-12	PRIJEM	VKLAD	9282	21771	\N	\N	\N
1145445	3918	1996-12-12	PRIJEM	VKLAD	13923	26772	\N	\N	\N
1145446	3918	1997-01-12	PRIJEM	VKLAD	9282	23825	\N	\N	\N
1145447	3918	1997-02-12	PRIJEM	VKLAD	9282	23608	\N	\N	\N
1145448	3918	1997-03-12	PRIJEM	VKLAD	9282	22680	\N	\N	\N
1145449	3918	1997-04-12	PRIJEM	VKLAD	9282	27162	\N	\N	\N
1145450	3918	1997-05-12	PRIJEM	VKLAD	9282	23745	\N	\N	\N
1145451	3918	1997-06-12	PRIJEM	VKLAD	13923	32859	\N	\N	\N
1145452	3918	1997-07-12	PRIJEM	VKLAD	9282	24345	\N	\N	\N
1145453	3918	1997-08-12	PRIJEM	VKLAD	9282	28820	\N	\N	\N
1145454	3918	1997-09-12	PRIJEM	VKLAD	9282	27791	\N	\N	\N
1145455	3918	1997-10-12	PRIJEM	VKLAD	9282	32292	\N	\N	\N
1145456	3918	1997-11-12	PRIJEM	VKLAD	9282	36813	\N	\N	\N
1145457	3918	1997-12-12	PRIJEM	VKLAD	13923	41665	\N	\N	\N
1145458	3918	1998-01-12	PRIJEM	VKLAD	9282	37043	\N	\N	\N
1145459	3918	1998-02-12	PRIJEM	VKLAD	9282	34370	\N	\N	\N
1145460	3918	1998-03-12	PRIJEM	VKLAD	9282	38897	\N	\N	\N
1145461	3918	1998-04-12	PRIJEM	VKLAD	9282	43433	\N	\N	\N
1145462	3918	1998-05-12	PRIJEM	VKLAD	9282	46425	\N	\N	\N
1145463	3918	1998-06-12	PRIJEM	VKLAD	13923	55645	\N	\N	\N
1145464	3918	1998-07-12	PRIJEM	VKLAD	9282	24671	\N	\N	\N
1145465	3918	1998-08-12	PRIJEM	VKLAD	9282	29147	\N	\N	\N
1145466	3918	1998-09-12	PRIJEM	VKLAD	9282	33654	\N	\N	\N
1145467	3918	1998-10-12	PRIJEM	VKLAD	9282	32285	\N	\N	\N
1145468	3918	1998-11-12	PRIJEM	VKLAD	9282	36804	\N	\N	\N
1145469	3918	1998-12-12	PRIJEM	VKLAD	13923	45983	\N	\N	\N
1145485	3918	1994-04-12	VYDAJ	PREVOD NA UCET	4865	33315	SIPO	ST	11387104
1145486	3918	1994-05-12	VYDAJ	PREVOD NA UCET	4865	32763	SIPO	ST	11387104
1145487	3918	1994-06-12	VYDAJ	PREVOD NA UCET	4865	28220	SIPO	ST	11387104
1145488	3918	1994-07-12	VYDAJ	PREVOD NA UCET	4865	31650	SIPO	ST	11387104
1145489	3918	1994-08-12	VYDAJ	PREVOD NA UCET	4865	32991	SIPO	ST	11387104
1145490	3918	1994-09-12	VYDAJ	PREVOD NA UCET	4865	32529	SIPO	ST	11387104
1145491	3918	1994-10-12	VYDAJ	PREVOD NA UCET	4865	31968	SIPO	ST	11387104
1145492	3918	1994-11-12	VYDAJ	PREVOD NA UCET	4865	30817	SIPO	ST	11387104
1145493	3918	1994-12-12	VYDAJ	PREVOD NA UCET	4865	28524	SIPO	ST	11387104
1145494	3918	1995-01-12	VYDAJ	PREVOD NA UCET	4865	19303	SIPO	ST	11387104
1145495	3918	1995-02-12	VYDAJ	PREVOD NA UCET	4865	23223	SIPO	ST	11387104
1145496	3918	1995-03-12	VYDAJ	PREVOD NA UCET	4865	23517	SIPO	ST	11387104
1145497	3918	1995-04-12	VYDAJ	PREVOD NA UCET	4865	28921	SIPO	ST	11387104
1145498	3918	1995-05-12	VYDAJ	PREVOD NA UCET	4865	30636	SIPO	ST	11387104
1145499	3918	1995-06-12	VYDAJ	PREVOD NA UCET	4865	29918	SIPO	ST	11387104
1145500	3918	1995-07-12	VYDAJ	PREVOD NA UCET	4865	30236	SIPO	ST	11387104
1145501	3918	1995-08-12	VYDAJ	PREVOD NA UCET	4865	32363	SIPO	ST	11387104
1145502	3918	1995-09-12	VYDAJ	PREVOD NA UCET	4865	32097	SIPO	ST	11387104
1145503	3918	1995-10-12	VYDAJ	PREVOD NA UCET	4865	27436	SIPO	ST	11387104
1145504	3918	1995-11-12	VYDAJ	PREVOD NA UCET	4865	22781	SIPO	ST	11387104
1145505	3918	1995-12-12	VYDAJ	PREVOD NA UCET	4865	29423	SIPO	ST	11387104
1145506	3918	1996-01-12	VYDAJ	PREVOD NA UCET	4865	20466	SIPO	ST	11387104
1145507	3918	1996-02-12	VYDAJ	PREVOD NA UCET	4865	16608	SIPO	ST	11387104
1145508	3918	1996-03-12	VYDAJ	PREVOD NA UCET	4865	17870	SIPO	ST	11387104
1145509	3918	1996-04-12	VYDAJ	PREVOD NA UCET	4865	18448	SIPO	ST	11387104
1145510	3918	1996-05-12	VYDAJ	PREVOD NA UCET	4865	16326	SIPO	ST	11387104
1145511	3918	1996-06-12	VYDAJ	PREVOD NA UCET	4865	25443	SIPO	ST	11387104
1145512	3918	1996-07-12	VYDAJ	PREVOD NA UCET	4865	19300	SIPO	ST	11387104
1145513	3918	1996-08-12	VYDAJ	PREVOD NA UCET	4865	18525	SIPO	ST	11387104
1145514	3918	1996-09-12	VYDAJ	PREVOD NA UCET	4865	18401	SIPO	ST	11387104
1145515	3918	1996-10-12	VYDAJ	PREVOD NA UCET	4865	16421	SIPO	ST	11387104
1145516	3918	1996-11-12	VYDAJ	PREVOD NA UCET	4865	16906	SIPO	ST	11387104
1145517	3918	1996-12-12	VYDAJ	PREVOD NA UCET	4865	21907	SIPO	ST	11387104
1145518	3918	1997-01-12	VYDAJ	PREVOD NA UCET	4865	18960	SIPO	ST	11387104
1145519	3918	1997-02-12	VYDAJ	PREVOD NA UCET	4865	18743	SIPO	ST	11387104
1145520	3918	1997-03-12	VYDAJ	PREVOD NA UCET	4865	17815	SIPO	ST	11387104
1145521	3918	1997-04-12	VYDAJ	PREVOD NA UCET	4865	22297	SIPO	ST	11387104
1145522	3918	1997-05-12	VYDAJ	PREVOD NA UCET	4865	18880	SIPO	ST	11387104
1145523	3918	1997-06-12	VYDAJ	PREVOD NA UCET	4865	27994	SIPO	ST	11387104
1145524	3918	1997-07-12	VYDAJ	PREVOD NA UCET	4865	19480	SIPO	ST	11387104
1145525	3918	1997-08-12	VYDAJ	PREVOD NA UCET	4865	23955	SIPO	ST	11387104
1145526	3918	1997-09-12	VYDAJ	PREVOD NA UCET	4865	22926	SIPO	ST	11387104
1145527	3918	1997-10-12	VYDAJ	PREVOD NA UCET	4865	27427	SIPO	ST	11387104
1145528	3918	1997-11-12	VYDAJ	PREVOD NA UCET	4865	31948	SIPO	ST	11387104
1145529	3918	1997-12-12	VYDAJ	PREVOD NA UCET	4865	36800	SIPO	ST	11387104
1145530	3918	1998-01-12	VYDAJ	PREVOD NA UCET	4865	32178	SIPO	ST	11387104
1145531	3918	1998-02-12	VYDAJ	PREVOD NA UCET	4865	29505	SIPO	ST	11387104
1145532	3918	1998-03-12	VYDAJ	PREVOD NA UCET	4865	34032	SIPO	ST	11387104
1145533	3918	1998-04-12	VYDAJ	PREVOD NA UCET	4865	38568	SIPO	ST	11387104
1145534	3918	1998-05-12	VYDAJ	PREVOD NA UCET	4865	41560	SIPO	ST	11387104
1145535	3918	1998-06-12	VYDAJ	PREVOD NA UCET	4865	50780	SIPO	ST	11387104
1145536	3918	1998-07-12	VYDAJ	PREVOD NA UCET	4865	19806	SIPO	ST	11387104
1145537	3918	1998-08-12	VYDAJ	PREVOD NA UCET	4865	24282	SIPO	ST	11387104
1145538	3918	1998-09-12	VYDAJ	PREVOD NA UCET	4865	28789	SIPO	ST	11387104
1145539	3918	1998-10-12	VYDAJ	PREVOD NA UCET	4865	27420	SIPO	ST	11387104
1145540	3918	1998-11-12	VYDAJ	PREVOD NA UCET	4865	31939	SIPO	ST	11387104
1145541	3918	1998-12-12	VYDAJ	PREVOD NA UCET	4865	41118	SIPO	ST	11387104
1145543	3918	1994-06-08	VYDAJ	VYBER	6720	19162	\N	\N	\N
1145550	3918	1995-01-07	VYDAJ	VYBER	8000	14886	\N	\N	\N
1145553	3918	1998-01-03	VYDAJ	VYBER	2080	30281	\N	\N	\N
1145555	3918	1994-12-07	VYDAJ	VYBER	2240	19466	\N	\N	\N
1145556	3918	1995-12-18	VYDAJ	VYBER	3520	25903	\N	\N	\N
1145557	3918	1996-12-29	VYDAJ	VYBER	3520	14487	\N	\N	\N
1145558	3918	1997-12-06	VYDAJ	VYBER	2880	27742	\N	\N	\N
1145559	3918	1998-12-17	VYDAJ	VYBER	3680	37438	\N	\N	\N
1145572	3918	1995-01-12	VYDAJ	VYBER	2880	16423	\N	\N	\N
1145574	3918	1995-01-01	VYDAJ	VYBER	1920	23106	\N	\N	\N
1145575	3918	1995-01-20	VYDAJ	VYBER	1680	14743	\N	\N	\N
1145576	3918	1995-01-28	VYDAJ	VYBER	1200	13543	\N	\N	\N
1145577	3918	1995-01-01	VYDAJ	VYBER	1920	21186	\N	\N	\N
1145578	3918	1996-01-11	VYDAJ	VYBER	840	16049	\N	\N	\N
1145579	3918	1996-01-10	VYDAJ	VYBER	1080	16889	\N	\N	\N
1145581	3918	1996-01-09	VYDAJ	VYBER	3120	17969	\N	\N	\N
1145582	3918	1996-01-19	VYDAJ	VYBER	2880	17586	\N	\N	\N
1145583	3918	1996-01-25	VYDAJ	VYBER	3360	14226	\N	\N	\N
1145586	3918	1997-01-16	VYDAJ	VYBER	1920	16440	\N	\N	\N
1145587	3918	1997-01-16	VYDAJ	VYBER	600	18360	\N	\N	\N
1145588	3918	1997-01-17	VYDAJ	VYBER	2160	14280	\N	\N	\N
1145590	3918	1998-01-29	VYDAJ	VYBER	3480	24978	\N	\N	\N
1145591	3918	1998-01-03	VYDAJ	VYBER	1680	32361	\N	\N	\N
1145592	3918	1998-01-15	VYDAJ	VYBER	1440	30738	\N	\N	\N
1145593	3918	1998-01-20	VYDAJ	VYBER	1560	29178	\N	\N	\N
1145594	3918	1998-01-11	VYDAJ	VYBER	2520	27761	\N	\N	\N
1145595	3918	1998-01-28	VYDAJ	VYBER	720	28458	\N	\N	\N
1145598	3918	1994-12-26	VYDAJ	VYBER	3600	24924	\N	\N	\N
1145600	3918	1994-11-22	VYDAJ	VYBER	5520	25297	\N	\N	\N
1145603	3918	1994-05-16	VYDAJ	VYBER	1800	30963	\N	\N	\N
1145604	3918	1995-05-27	VYDAJ	VYBER	3720	25116	\N	\N	\N
1145605	3918	1995-10-23	VYDAJ	VYBER	2760	24676	\N	\N	\N
1145607	3918	1995-02-15	VYDAJ	VYBER	5280	17943	\N	\N	\N
1145608	3918	1995-06-10	VYDAJ	VYBER	3960	20860	\N	\N	\N
1145609	3918	1995-05-15	VYDAJ	VYBER	1800	28836	\N	\N	\N
1145611	3918	1996-07-13	VYDAJ	VYBER	3840	15460	\N	\N	\N
1145612	3918	1996-10-22	VYDAJ	VYBER	2280	14141	\N	\N	\N
1145614	3918	1996-09-14	VYDAJ	VYBER	3840	14561	\N	\N	\N
1145615	3918	1996-06-14	VYDAJ	VYBER	5520	19923	\N	\N	\N
1145616	3918	1997-11-22	VYDAJ	VYBER	1440	30508	\N	\N	\N
1145617	3918	1997-12-15	VYDAJ	VYBER	2880	33920	\N	\N	\N
1145618	3918	1997-08-28	VYDAJ	VYBER	5520	18435	\N	\N	\N
1145620	3918	1998-09-29	VYDAJ	VYBER	5880	22909	\N	\N	\N
1145621	3918	1998-04-15	VYDAJ	VYBER	1560	37008	\N	\N	\N
1145638	3918	1994-04-30	VYDAJ	VYBER	15	33446	SLUZBY	\N	\N
1145639	3918	1994-05-31	VYDAJ	VYBER	15	31082	SLUZBY	\N	\N
1145640	3918	1994-06-30	VYDAJ	VYBER	15	28333	SLUZBY	\N	\N
1145641	3918	1994-07-31	VYDAJ	VYBER	15	31774	SLUZBY	\N	\N
1145642	3918	1994-08-31	VYDAJ	VYBER	15	33112	SLUZBY	\N	\N
1145643	3918	1994-09-30	VYDAJ	VYBER	15	32651	SLUZBY	\N	\N
1145644	3918	1994-10-31	VYDAJ	VYBER	15	32100	SLUZBY	\N	\N
1145645	3918	1994-11-30	VYDAJ	VYBER	15	25406	SLUZBY	\N	\N
1145646	3918	1994-12-31	VYDAJ	VYBER	15	25026	SLUZBY	\N	\N
1145647	3918	1995-01-31	VYDAJ	VYBER	15	13606	SLUZBY	\N	\N
1145648	3918	1995-02-28	VYDAJ	VYBER	15	18000	SLUZBY	\N	\N
1145649	3918	1995-03-31	VYDAJ	VYBER	15	23604	SLUZBY	\N	\N
1145650	3918	1995-04-30	VYDAJ	VYBER	15	29019	SLUZBY	\N	\N
1145651	3918	1995-05-31	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
1145652	3918	1995-06-30	VYDAJ	VYBER	15	30019	SLUZBY	\N	\N
1145653	3918	1995-07-31	VYDAJ	VYBER	15	30346	SLUZBY	\N	\N
1145654	3918	1995-08-31	VYDAJ	VYBER	15	27680	SLUZBY	\N	\N
1145655	3918	1995-09-30	VYDAJ	VYBER	15	23019	SLUZBY	\N	\N
1145656	3918	1995-10-31	VYDAJ	VYBER	15	18364	SLUZBY	\N	\N
1145657	3918	1995-11-30	VYDAJ	VYBER	15	20365	SLUZBY	\N	\N
1145658	3918	1995-12-31	VYDAJ	VYBER	15	21089	SLUZBY	\N	\N
1145659	3918	1996-01-31	VYDAJ	VYBER	15	12191	SLUZBY	\N	\N
1145660	3918	1996-02-29	VYDAJ	VYBER	15	13453	SLUZBY	\N	\N
1145661	3918	1996-03-31	VYDAJ	VYBER	15	14031	SLUZBY	\N	\N
1145662	3918	1996-04-30	VYDAJ	VYBER	15	11909	SLUZBY	\N	\N
1145663	3918	1996-05-31	VYDAJ	VYBER	15	16385	SLUZBY	\N	\N
1145664	3918	1996-06-30	VYDAJ	VYBER	15	14883	SLUZBY	\N	\N
1145665	3918	1996-07-31	VYDAJ	VYBER	15	14108	SLUZBY	\N	\N
1145666	3918	1996-08-31	VYDAJ	VYBER	15	13984	SLUZBY	\N	\N
1145667	3918	1996-09-30	VYDAJ	VYBER	15	12004	SLUZBY	\N	\N
1145668	3918	1996-10-31	VYDAJ	VYBER	15	12489	SLUZBY	\N	\N
1145669	3918	1996-11-30	VYDAJ	VYBER	15	12849	SLUZBY	\N	\N
1145670	3918	1996-12-31	VYDAJ	VYBER	15	14543	SLUZBY	\N	\N
1145671	3918	1997-01-31	VYDAJ	VYBER	15	14326	SLUZBY	\N	\N
1145672	3918	1997-02-28	VYDAJ	VYBER	15	13398	SLUZBY	\N	\N
1145673	3918	1997-03-31	VYDAJ	VYBER	15	17880	SLUZBY	\N	\N
1145674	3918	1997-04-30	VYDAJ	VYBER	15	14463	SLUZBY	\N	\N
1145675	3918	1997-05-31	VYDAJ	VYBER	15	18936	SLUZBY	\N	\N
1145676	3918	1997-06-30	VYDAJ	VYBER	15	15063	SLUZBY	\N	\N
1145677	3918	1997-07-31	VYDAJ	VYBER	15	19538	SLUZBY	\N	\N
1145678	3918	1997-08-31	VYDAJ	VYBER	15	18509	SLUZBY	\N	\N
1145679	3918	1997-09-30	VYDAJ	VYBER	15	23010	SLUZBY	\N	\N
1145680	3918	1997-10-31	VYDAJ	VYBER	15	27531	SLUZBY	\N	\N
1145681	3918	1997-11-30	VYDAJ	VYBER	15	30622	SLUZBY	\N	\N
1145682	3918	1997-12-31	VYDAJ	VYBER	15	34041	SLUZBY	\N	\N
1145683	3918	1998-01-31	VYDAJ	VYBER	15	25088	SLUZBY	\N	\N
1145684	3918	1998-02-28	VYDAJ	VYBER	15	29615	SLUZBY	\N	\N
1145685	3918	1998-03-31	VYDAJ	VYBER	15	34151	SLUZBY	\N	\N
1145686	3918	1998-04-30	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
1145687	3918	1998-05-31	VYDAJ	VYBER	15	41722	SLUZBY	\N	\N
1145688	3918	1998-06-30	VYDAJ	VYBER	15	15389	SLUZBY	\N	\N
1145689	3918	1998-07-31	VYDAJ	VYBER	15	19865	SLUZBY	\N	\N
1145690	3918	1998-08-31	VYDAJ	VYBER	15	24372	SLUZBY	\N	\N
1145691	3918	1998-09-30	VYDAJ	VYBER	15	23003	SLUZBY	\N	\N
1145692	3918	1998-10-31	VYDAJ	VYBER	15	27522	SLUZBY	\N	\N
1145693	3918	1998-11-30	VYDAJ	VYBER	15	32060	SLUZBY	\N	\N
1145694	3918	1994-01-08	PRIJEM	VKLAD	5100	19762	\N	\N	\N
1145695	3918	1994-02-07	VYDAJ	VYBER	3100	26044	\N	\N	\N
1145696	3918	1994-03-09	VYDAJ	VYBER	7200	28263	\N	\N	\N
1145697	3918	1994-04-08	VYDAJ	VYBER	8800	28898	\N	\N	\N
1145698	3918	1994-05-08	VYDAJ	VYBER	5100	28346	\N	\N	\N
1145699	3918	1994-06-07	VYDAJ	VYBER	5200	25882	\N	\N	\N
1145700	3918	1994-07-07	VYDAJ	VYBER	1100	27233	\N	\N	\N
1145701	3918	1994-08-06	VYDAJ	VYBER	3200	28574	\N	\N	\N
1145702	3918	1994-09-05	VYDAJ	VYBER	5000	28112	\N	\N	\N
1145703	3918	1994-10-05	VYDAJ	VYBER	5100	27551	\N	\N	\N
1145704	3918	1994-11-04	VYDAJ	VYBER	5700	26400	\N	\N	\N
1145705	3918	1994-12-04	VYDAJ	VYBER	3700	21706	\N	\N	\N
1145706	3918	1995-01-03	PRIJEM	VKLAD	1700	22886	\N	\N	\N
1145707	3918	1995-02-02	PRIJEM	VKLAD	5200	18806	\N	\N	\N
1145708	3918	1995-03-04	PRIJEM	VKLAD	1100	19100	\N	\N	\N
1145709	3918	1995-04-03	PRIJEM	VKLAD	900	24504	\N	\N	\N
1145710	3918	1995-05-03	VYDAJ	VYBER	2800	26219	\N	\N	\N
1145711	3918	1995-06-02	VYDAJ	VYBER	400	24820	\N	\N	\N
1145712	3918	1995-07-02	VYDAJ	VYBER	4200	25819	\N	\N	\N
1145713	3918	1995-08-01	VYDAJ	VYBER	2400	27946	\N	\N	\N
1145714	3918	1995-08-31	VYDAJ	VYBER	4800	27694	\N	\N	\N
1145715	3918	1995-09-30	VYDAJ	VYBER	9200	23034	\N	\N	\N
1145716	3918	1995-10-30	VYDAJ	VYBER	6400	18276	\N	\N	\N
1145717	3918	1995-11-29	VYDAJ	VYBER	2500	20281	\N	\N	\N
1145718	3918	1995-12-29	VYDAJ	VYBER	4900	21003	\N	\N	\N
1145719	3918	1996-01-28	VYDAJ	VYBER	2100	12126	\N	\N	\N
1145720	3918	1996-02-27	VYDAJ	VYBER	3200	13408	\N	\N	\N
1145721	3918	1996-03-28	VYDAJ	VYBER	3900	13970	\N	\N	\N
1145722	3918	1996-04-27	VYDAJ	VYBER	6600	11848	\N	\N	\N
1145723	3918	1996-06-26	VYDAJ	VYBER	5100	14823	\N	\N	\N
1145724	3918	1996-07-26	VYDAJ	VYBER	1400	14060	\N	\N	\N
1145725	3918	1996-08-25	VYDAJ	VYBER	4600	13925	\N	\N	\N
1145726	3918	1996-09-24	VYDAJ	VYBER	2600	11961	\N	\N	\N
1145727	3918	1996-10-24	VYDAJ	VYBER	1700	12441	\N	\N	\N
1145728	3918	1996-11-23	VYDAJ	VYBER	4100	12806	\N	\N	\N
1145729	3918	1996-12-23	VYDAJ	VYBER	3900	18007	\N	\N	\N
1145730	3918	1997-02-21	VYDAJ	VYBER	5400	13343	\N	\N	\N
1145731	3918	1997-04-22	VYDAJ	VYBER	7900	14397	\N	\N	\N
1145732	3918	1997-06-21	VYDAJ	VYBER	13000	14994	\N	\N	\N
1145733	3918	1998-06-16	VYDAJ	VYBER	35500	15280	\N	\N	\N
1145795	3919	1997-10-18	PRIJEM	VKLAD	200	200	\N	\N	\N
1145806	3919	1997-11-07	PRIJEM	VKLAD	17230	17430	\N	\N	\N
1145807	3919	1997-12-07	PRIJEM	VKLAD	25845	50323	\N	\N	\N
1145808	3919	1998-01-07	PRIJEM	VKLAD	17230	56985	\N	\N	\N
1145809	3919	1998-02-07	PRIJEM	VKLAD	17230	63193	\N	\N	\N
1145810	3919	1998-03-07	PRIJEM	VKLAD	17230	65018	\N	\N	\N
1145811	3919	1998-04-07	PRIJEM	VKLAD	17230	61141	\N	\N	\N
1145812	3919	1998-05-07	PRIJEM	VKLAD	17230	65739	\N	\N	\N
1145813	3919	1998-06-07	PRIJEM	VKLAD	25845	72558	\N	\N	\N
1145814	3919	1998-07-07	PRIJEM	VKLAD	17230	53115	\N	\N	\N
1145815	3919	1998-08-07	PRIJEM	VKLAD	17230	62188	\N	\N	\N
1145816	3919	1998-09-07	PRIJEM	VKLAD	17230	69595	\N	\N	\N
1145817	3919	1998-10-07	PRIJEM	VKLAD	17230	70815	\N	\N	\N
1145818	3919	1998-11-07	PRIJEM	VKLAD	17230	70236	\N	\N	\N
1145819	3919	1998-12-07	PRIJEM	VKLAD	25845	81477	\N	\N	\N
1145834	3919	1998-03-10	VYDAJ	PREVOD NA UCET	3521	61497	SIPO	KL	81950729
1145835	3919	1998-04-10	VYDAJ	PREVOD NA UCET	3521	57620	SIPO	KL	81950729
1145836	3919	1998-05-10	VYDAJ	PREVOD NA UCET	3521	62218	SIPO	KL	81950729
1145837	3919	1998-06-10	VYDAJ	PREVOD NA UCET	3521	37037	SIPO	KL	81950729
1145838	3919	1998-07-10	VYDAJ	PREVOD NA UCET	3521	49594	SIPO	KL	81950729
1145839	3919	1998-08-10	VYDAJ	PREVOD NA UCET	3521	58667	SIPO	KL	81950729
1145840	3919	1998-09-10	VYDAJ	PREVOD NA UCET	3521	66074	SIPO	KL	81950729
1145841	3919	1998-10-10	VYDAJ	PREVOD NA UCET	3521	67294	SIPO	KL	81950729
1145842	3919	1998-11-10	VYDAJ	PREVOD NA UCET	3521	66715	SIPO	KL	81950729
1145843	3919	1998-12-10	VYDAJ	PREVOD NA UCET	3521	74956	SIPO	KL	81950729
1145845	3919	1998-06-09	VYDAJ	VYBER	32000	40558	\N	\N	\N
1145847	3919	1998-12-14	VYDAJ	VYBER	1120	57636	\N	\N	\N
1145868	3919	1998-03-27	VYDAJ	VYBER	4080	43717	\N	\N	\N
1145869	3919	1998-12-09	VYDAJ	VYBER	3000	78477	\N	\N	\N
1145885	3919	1998-03-31	VYDAJ	VYBER	15	43911	SLUZBY	\N	\N
1145886	3919	1998-04-30	VYDAJ	VYBER	15	48509	SLUZBY	\N	\N
1145887	3919	1998-05-31	VYDAJ	VYBER	15	46713	SLUZBY	\N	\N
1145888	3919	1998-06-30	VYDAJ	VYBER	15	35885	SLUZBY	\N	\N
1145889	3919	1998-07-31	VYDAJ	VYBER	15	44958	SLUZBY	\N	\N
1145890	3919	1998-08-31	VYDAJ	VYBER	15	52365	SLUZBY	\N	\N
1145891	3919	1998-09-30	VYDAJ	VYBER	15	53585	SLUZBY	\N	\N
1145892	3919	1998-10-31	VYDAJ	VYBER	15	53006	SLUZBY	\N	\N
1145893	3919	1998-11-30	VYDAJ	VYBER	15	55632	SLUZBY	\N	\N
1145894	3919	1997-11-17	PRIJEM	VKLAD	7000	24430	\N	\N	\N
1145895	3919	1997-12-17	VYDAJ	VYBER	10700	39623	\N	\N	\N
1145896	3919	1998-01-16	VYDAJ	VYBER	11200	45785	\N	\N	\N
1145897	3919	1998-02-15	VYDAJ	VYBER	15600	47593	\N	\N	\N
1145898	3919	1998-03-17	VYDAJ	VYBER	13700	47797	\N	\N	\N
1145899	3919	1998-04-16	VYDAJ	VYBER	9300	48320	\N	\N	\N
1145900	3919	1998-05-16	VYDAJ	VYBER	15700	46518	\N	\N	\N
1145901	3919	1998-06-15	VYDAJ	VYBER	1300	35737	\N	\N	\N
1145902	3919	1998-07-15	VYDAJ	VYBER	4800	44794	\N	\N	\N
1145903	3919	1998-08-14	VYDAJ	VYBER	6500	52167	\N	\N	\N
1145904	3919	1998-09-13	VYDAJ	VYBER	12700	53374	\N	\N	\N
1145905	3919	1998-10-13	VYDAJ	VYBER	14500	52794	\N	\N	\N
1145906	3919	1998-11-12	VYDAJ	VYBER	11300	55415	\N	\N	\N
1145907	3919	1998-12-12	VYDAJ	VYBER	16200	58756	\N	\N	\N
1145922	3920	1993-09-01	PRIJEM	VKLAD	600	600	\N	\N	\N
1145923	3920	1993-10-11	PRIJEM	VKLAD	48615	62015	\N	\N	\N
1145928	3920	1993-10-18	PRIJEM	VKLAD	8160	70175	\N	\N	\N
1145930	3920	1994-07-28	PRIJEM	VKLAD	7464	74316	\N	\N	\N
1145931	3920	1994-06-04	PRIJEM	VKLAD	48126	105953	\N	\N	\N
1145932	3920	1994-02-13	PRIJEM	VKLAD	42538	92621	\N	\N	\N
1145933	3920	1994-01-19	PRIJEM	VKLAD	45827	128045	\N	\N	\N
1145934	3920	1994-01-16	PRIJEM	VKLAD	40152	111318	\N	\N	\N
1145935	3920	1994-11-19	PRIJEM	VKLAD	9080	63556	\N	\N	\N
1145936	3920	1994-03-18	PRIJEM	VKLAD	21984	111798	\N	\N	\N
1145937	3920	1994-05-10	PRIJEM	VKLAD	48617	105122	\N	\N	\N
1145938	3920	1994-02-13	PRIJEM	VKLAD	45265	137886	\N	\N	\N
1145939	3920	1994-07-24	PRIJEM	VKLAD	10140	108552	\N	\N	\N
1145940	3920	1994-04-14	PRIJEM	VKLAD	31918	108749	\N	\N	\N
1145941	3920	1994-10-15	PRIJEM	VKLAD	6578	90121	\N	\N	\N
1145942	3920	1994-11-20	PRIJEM	VKLAD	13948	77504	\N	\N	\N
1145943	3920	1994-04-09	PRIJEM	VKLAD	16611	106931	\N	\N	\N
1145944	3920	1994-08-29	PRIJEM	VKLAD	30085	72309	\N	\N	\N
1145945	3920	1994-03-16	PRIJEM	VKLAD	34429	115214	\N	\N	\N
1145946	3920	1994-01-08	PRIJEM	VKLAD	33674	65414	\N	\N	\N
1145947	3920	1994-01-09	PRIJEM	VKLAD	5752	71166	\N	\N	\N
1145948	3920	1994-06-24	PRIJEM	VKLAD	36812	107429	\N	\N	\N
1145949	3920	1994-11-27	PRIJEM	VKLAD	45092	95096	\N	\N	\N
1145950	3920	1994-04-06	PRIJEM	VKLAD	40744	90320	\N	\N	\N
1145951	3920	1994-07-17	PRIJEM	VKLAD	34274	98412	\N	\N	\N
1145952	3920	1994-03-21	PRIJEM	VKLAD	22501	71799	\N	\N	\N
1145953	3920	1994-02-25	PRIJEM	VKLAD	42194	156780	\N	\N	\N
1145954	3920	1994-12-08	PRIJEM	VKLAD	22789	118148	\N	\N	\N
1145955	3920	1994-10-01	PRIJEM	VKLAD	35842	83543	\N	\N	\N
1145956	3920	1994-03-05	PRIJEM	VKLAD	20132	80785	\N	\N	\N
1145957	3920	1994-08-27	PRIJEM	VKLAD	7562	58724	\N	\N	\N
1145958	3920	1994-06-14	PRIJEM	VKLAD	41264	147217	\N	\N	\N
1145959	3920	1995-03-04	PRIJEM	VKLAD	17132	43746	\N	\N	\N
1145960	3920	1995-03-12	PRIJEM	VKLAD	49120	92866	\N	\N	\N
1145961	3920	1995-07-13	PRIJEM	VKLAD	8575	56993	\N	\N	\N
1145962	3920	1995-05-22	PRIJEM	VKLAD	40240	91948	\N	\N	\N
1145963	3920	1995-11-28	PRIJEM	VKLAD	46888	82848	\N	\N	\N
1145964	3920	1995-05-13	PRIJEM	VKLAD	9178	51708	\N	\N	\N
1145965	3920	1995-09-20	PRIJEM	VKLAD	29354	126233	\N	\N	\N
1145966	3920	1995-12-08	PRIJEM	VKLAD	49584	132562	\N	\N	\N
1145967	3920	1995-06-17	PRIJEM	VKLAD	16948	77389	\N	\N	\N
1145968	3920	1995-09-17	PRIJEM	VKLAD	18375	96879	\N	\N	\N
1145969	3920	1995-08-29	PRIJEM	VKLAD	10048	78312	\N	\N	\N
1145970	3920	1995-08-25	PRIJEM	VKLAD	37064	68264	\N	\N	\N
1145971	3920	1997-11-23	PRIJEM	VKLAD	14333	66178	\N	\N	\N
1145972	3920	1997-04-13	PRIJEM	VKLAD	19233	38342	\N	\N	\N
1145973	3920	1997-11-15	PRIJEM	VKLAD	34868	51845	\N	\N	\N
1145974	3920	1998-10-06	PRIJEM	VKLAD	7235	57447	\N	\N	\N
1145975	3920	1998-08-18	PRIJEM	VKLAD	31624	52693	\N	\N	\N
1145976	3920	1998-02-20	PRIJEM	VKLAD	34095	59167	\N	\N	\N
1145977	3920	1998-09-03	PRIJEM	VKLAD	15518	56111	\N	\N	\N
1145978	3920	1998-09-27	PRIJEM	VKLAD	43498	107219	\N	\N	\N
1145979	3920	1998-12-25	PRIJEM	VKLAD	49368	69254	\N	\N	\N
1145980	3920	1998-07-04	PRIJEM	VKLAD	26142	52707	\N	\N	\N
1145981	3920	1998-08-01	PRIJEM	VKLAD	10076	35769	\N	\N	\N
1145982	3920	1998-03-26	PRIJEM	VKLAD	49759	77118	\N	\N	\N
1145983	3920	1998-04-06	PRIJEM	VKLAD	17867	95199	\N	\N	\N
1145984	3920	1998-09-19	PRIJEM	VKLAD	32010	63721	\N	\N	\N
1145985	3920	1998-11-13	PRIJEM	VKLAD	12309	33467	\N	\N	\N
1145986	3920	1998-03-02	PRIJEM	VKLAD	19622	73481	\N	\N	\N
1145987	3920	1998-10-19	PRIJEM	VKLAD	14574	125552	\N	\N	\N
1145988	3920	1998-10-20	PRIJEM	VKLAD	28782	117934	\N	\N	\N
1145989	3920	1998-10-14	PRIJEM	VKLAD	40958	79205	\N	\N	\N
1145990	3920	1998-10-17	PRIJEM	VKLAD	31773	110978	\N	\N	\N
1146001	3920	1994-02-26	VYBER	VYBER	12501	94279	\N	\N	\N
1146002	3920	1994-05-14	VYBER	VYBER	9893	95229	\N	\N	\N
1146003	3920	1995-08-01	VYBER	VYBER	21597	23600	\N	\N	\N
1146005	3920	1995-12-16	VYBER	VYBER	19281	89881	\N	\N	\N
1146007	3920	1996-06-05	VYBER	VYBER	8736	24642	\N	\N	\N
1146008	3920	1996-01-11	VYBER	VYBER	3208	54425	\N	\N	\N
1146009	3920	1996-02-16	VYBER	VYBER	19022	26104	\N	\N	\N
1146010	3920	1996-10-15	VYBER	VYBER	3971	24588	\N	\N	\N
1146011	3920	1996-04-08	VYBER	VYBER	4610	29250	\N	\N	\N
1146026	3920	1998-03-09	VYBER	VYBER	17662	46859	\N	\N	\N
1146032	3920	1998-10-29	VYBER	VYBER	23036	33898	\N	\N	\N
1146033	3920	1998-03-04	VYBER	VYBER	8960	64521	\N	\N	\N
1146036	3920	1998-08-23	VYBER	VYBER	12215	40478	\N	\N	\N
1146037	3920	1998-04-20	VYBER	VYBER	5219	48980	\N	\N	\N
1146038	3920	1998-06-26	VYBER	VYBER	3420	26462	\N	\N	\N
1146041	3920	1994-06-17	VYDAJ	VYBER	20400	84717	\N	\N	\N
1146047	3920	1994-12-24	VYDAJ	VYBER	3300	45348	\N	\N	\N
1146048	3920	1995-12-30	VYDAJ	VYBER	5700	57281	\N	\N	\N
1146050	3920	1997-12-20	VYDAJ	VYBER	3000	37129	\N	\N	\N
1146056	3920	1994-11-02	VYDAJ	VYBER	5100	54476	\N	\N	\N
1146057	3920	1994-12-20	VYDAJ	VYBER	9000	48648	\N	\N	\N
1146058	3920	1994-06-19	VYDAJ	VYBER	14100	70617	\N	\N	\N
1146059	3920	1994-05-28	VYDAJ	VYBER	8700	86529	\N	\N	\N
1146060	3920	1995-09-21	VYDAJ	VYBER	11100	45833	\N	\N	\N
1146061	3920	1995-07-09	VYDAJ	VYBER	6900	48418	\N	\N	\N
1146063	3920	1995-10-27	VYDAJ	VYBER	13500	29696	\N	\N	\N
1146074	3920	1998-10-05	VYDAJ	VYBER	11400	50212	\N	\N	\N
1146075	3920	1998-10-08	VYDAJ	VYBER	5100	52347	\N	\N	\N
1146076	3920	1998-02-27	VYDAJ	VYBER	5400	53767	\N	\N	\N
1146077	3920	1998-10-13	VYDAJ	VYBER	14100	38247	\N	\N	\N
1146092	3920	1994-01-31	VYDAJ	VYBER	15	50083	SLUZBY	\N	\N
1146093	3920	1994-02-28	VYDAJ	VYBER	15	60653	SLUZBY	\N	\N
1146094	3920	1994-03-31	VYDAJ	VYBER	15	49576	SLUZBY	\N	\N
1146095	3920	1994-04-30	VYDAJ	VYBER	15	56505	SLUZBY	\N	\N
1146096	3920	1994-05-31	VYDAJ	VYBER	15	57827	SLUZBY	\N	\N
1146097	3920	1994-06-30	VYDAJ	VYBER	15	64138	SLUZBY	\N	\N
1146098	3920	1994-07-31	VYDAJ	VYBER	15	51162	SLUZBY	\N	\N
1146099	3920	1994-08-31	VYDAJ	VYBER	15	72518	SLUZBY	\N	\N
1146100	3920	1994-09-30	VYDAJ	VYBER	15	47701	SLUZBY	\N	\N
1146101	3920	1994-10-31	VYDAJ	VYBER	15	59576	SLUZBY	\N	\N
1146102	3920	1994-11-30	VYDAJ	VYBER	15	95359	SLUZBY	\N	\N
1146103	3920	1994-12-31	VYDAJ	VYBER	15	34377	SLUZBY	\N	\N
1146104	3920	1995-01-31	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
1146105	3920	1995-02-28	VYDAJ	VYBER	15	26614	SLUZBY	\N	\N
1146106	3920	1995-03-31	VYDAJ	VYBER	15	58006	SLUZBY	\N	\N
1146107	3920	1995-04-30	VYDAJ	VYBER	15	42530	SLUZBY	\N	\N
1146108	3920	1995-05-31	VYDAJ	VYBER	15	60441	SLUZBY	\N	\N
1146109	3920	1995-06-30	VYDAJ	VYBER	15	55318	SLUZBY	\N	\N
1146110	3920	1995-07-31	VYDAJ	VYBER	15	45197	SLUZBY	\N	\N
1146111	3920	1995-08-31	VYDAJ	VYBER	15	78504	SLUZBY	\N	\N
1146112	3920	1995-09-30	VYDAJ	VYBER	15	46096	SLUZBY	\N	\N
1146113	3920	1995-10-31	VYDAJ	VYBER	15	29860	SLUZBY	\N	\N
1146114	3920	1995-11-30	VYDAJ	VYBER	15	82978	SLUZBY	\N	\N
1146115	3920	1995-12-31	VYDAJ	VYBER	15	57633	SLUZBY	\N	\N
1146116	3920	1996-01-31	VYDAJ	VYBER	15	45126	SLUZBY	\N	\N
1146117	3920	1996-02-29	VYDAJ	VYBER	15	30550	SLUZBY	\N	\N
1146118	3920	1996-03-31	VYDAJ	VYBER	15	33860	SLUZBY	\N	\N
1146119	3920	1996-04-30	VYDAJ	VYBER	15	30668	SLUZBY	\N	\N
1146120	3920	1996-05-31	VYDAJ	VYBER	15	33378	SLUZBY	\N	\N
1146121	3920	1996-06-30	VYDAJ	VYBER	15	29055	SLUZBY	\N	\N
1146122	3920	1996-07-31	VYDAJ	VYBER	15	28958	SLUZBY	\N	\N
1146123	3920	1996-08-31	VYDAJ	VYBER	15	27761	SLUZBY	\N	\N
1146124	3920	1996-09-30	VYDAJ	VYBER	15	28559	SLUZBY	\N	\N
1146125	3920	1996-10-31	VYDAJ	VYBER	15	23677	SLUZBY	\N	\N
1146126	3920	1996-11-30	VYDAJ	VYBER	15	25258	SLUZBY	\N	\N
1146127	3920	1996-12-31	VYDAJ	VYBER	15	25645	SLUZBY	\N	\N
1146128	3920	1997-01-31	VYDAJ	VYBER	15	27633	SLUZBY	\N	\N
1146129	3920	1997-02-28	VYDAJ	VYBER	15	23829	SLUZBY	\N	\N
1146130	3920	1997-03-31	VYDAJ	VYBER	15	19109	SLUZBY	\N	\N
1146131	3920	1997-04-30	VYDAJ	VYBER	15	28927	SLUZBY	\N	\N
1146132	3920	1997-05-31	VYDAJ	VYBER	15	23728	SLUZBY	\N	\N
1146133	3920	1997-06-30	VYDAJ	VYBER	15	22707	SLUZBY	\N	\N
1146134	3920	1997-07-31	VYDAJ	VYBER	15	20482	SLUZBY	\N	\N
1146135	3920	1997-08-31	VYDAJ	VYBER	15	19548	SLUZBY	\N	\N
1146136	3920	1997-09-30	VYDAJ	VYBER	15	20710	SLUZBY	\N	\N
1146137	3920	1997-10-31	VYDAJ	VYBER	15	20377	SLUZBY	\N	\N
1146138	3920	1997-11-30	VYDAJ	VYBER	15	66329	SLUZBY	\N	\N
1146139	3920	1997-12-31	VYDAJ	VYBER	15	37338	SLUZBY	\N	\N
1146140	3920	1998-01-31	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
1146141	3920	1998-02-28	VYDAJ	VYBER	15	53859	SLUZBY	\N	\N
1146142	3920	1998-03-31	VYDAJ	VYBER	15	77332	SLUZBY	\N	\N
1146143	3920	1998-04-30	VYDAJ	VYBER	15	49200	SLUZBY	\N	\N
1146144	3920	1998-05-31	VYDAJ	VYBER	15	29882	SLUZBY	\N	\N
1146145	3920	1998-06-30	VYDAJ	VYBER	15	26565	SLUZBY	\N	\N
1146146	3920	1998-07-31	VYDAJ	VYBER	15	25693	SLUZBY	\N	\N
1146147	3920	1998-08-31	VYDAJ	VYBER	15	40593	SLUZBY	\N	\N
1146148	3920	1998-09-30	VYDAJ	VYBER	15	107412	SLUZBY	\N	\N
1146149	3920	1998-10-31	VYDAJ	VYBER	15	34158	SLUZBY	\N	\N
1146150	3920	1998-11-30	VYDAJ	VYBER	15	33586	SLUZBY	\N	\N
1146151	3920	1993-10-01	PRIJEM	VKLAD	12800	13400	\N	\N	\N
1146152	3920	1993-10-31	VYDAJ	VYBER	25000	45362	\N	\N	\N
1146153	3920	1993-11-30	VYDAJ	VYBER	8600	36951	\N	\N	\N
1146154	3920	1993-12-30	VYDAJ	VYBER	5400	31551	\N	\N	\N
1146155	3920	1994-01-16	VYDAJ	VYBER	29100	82218	\N	\N	\N
1146156	3920	1994-01-19	VYDAJ	VYBER	53600	74445	\N	\N	\N
1146157	3920	1994-01-29	VYDAJ	VYBER	24700	49745	\N	\N	\N
1146158	3920	1994-02-13	VYDAJ	VYBER	23300	114586	\N	\N	\N
1146159	3920	1994-02-25	VYDAJ	VYBER	50000	106780	\N	\N	\N
1146160	3920	1994-02-28	VYDAJ	VYBER	34000	60668	\N	\N	\N
1146161	3920	1994-03-16	VYDAJ	VYBER	25400	89814	\N	\N	\N
1146162	3920	1994-03-18	VYDAJ	VYBER	62500	49298	\N	\N	\N
1146163	3920	1994-03-30	VYDAJ	VYBER	22500	49299	\N	\N	\N
1146164	3920	1994-04-09	VYDAJ	VYBER	30100	76831	\N	\N	\N
1146165	3920	1994-04-14	VYDAJ	VYBER	20200	88549	\N	\N	\N
1146166	3920	1994-04-29	VYDAJ	VYBER	32400	56149	\N	\N	\N
1146167	3920	1994-05-29	VYDAJ	VYBER	29000	57529	\N	\N	\N
1146168	3920	1994-06-14	VYDAJ	VYBER	42100	105117	\N	\N	\N
1146169	3920	1994-06-28	VYDAJ	VYBER	43600	63829	\N	\N	\N
1146170	3920	1994-07-24	VYDAJ	VYBER	41700	66852	\N	\N	\N
1146171	3920	1994-07-28	VYDAJ	VYBER	23400	50916	\N	\N	\N
1146172	3920	1994-08-27	VYDAJ	VYBER	16500	42224	\N	\N	\N
1146173	3920	1994-09-26	VYDAJ	VYBER	25100	47418	\N	\N	\N
1146174	3920	1994-10-26	VYDAJ	VYBER	30800	59321	\N	\N	\N
1146175	3920	1994-11-25	VYDAJ	VYBER	27500	50004	\N	\N	\N
1146176	3920	1994-12-08	VYDAJ	VYBER	60500	57648	\N	\N	\N
1146177	3920	1994-12-25	VYDAJ	VYBER	11300	34048	\N	\N	\N
1146178	3920	1995-01-24	VYDAJ	VYBER	4000	30377	\N	\N	\N
1146179	3920	1995-02-23	VYDAJ	VYBER	4000	26504	\N	\N	\N
1146180	3920	1995-03-25	VYDAJ	VYBER	35100	57766	\N	\N	\N
1146181	3920	1995-04-24	VYDAJ	VYBER	15700	42306	\N	\N	\N
1146182	3920	1995-05-24	VYDAJ	VYBER	31700	60248	\N	\N	\N
1146183	3920	1995-06-23	VYDAJ	VYBER	22300	55089	\N	\N	\N
1146184	3920	1995-07-23	VYDAJ	VYBER	12000	44993	\N	\N	\N
1146185	3920	1995-08-22	PRIJEM	VKLAD	7600	31200	\N	\N	\N
1146186	3920	1995-09-20	VYDAJ	VYBER	64300	61933	\N	\N	\N
1146187	3920	1995-09-21	VYDAJ	VYBER	5000	56933	\N	\N	\N
1146188	3920	1995-10-21	VYDAJ	VYBER	2900	43196	\N	\N	\N
1146189	3920	1995-11-20	PRIJEM	VKLAD	6100	35960	\N	\N	\N
1146190	3920	1995-12-08	VYDAJ	VYBER	23400	109162	\N	\N	\N
1146191	3920	1995-12-20	VYDAJ	VYBER	26900	62981	\N	\N	\N
1146192	3920	1996-01-19	VYDAJ	VYBER	9500	44925	\N	\N	\N
1146193	3920	1996-02-18	PRIJEM	VKLAD	4300	30404	\N	\N	\N
1146194	3920	1996-03-19	PRIJEM	VKLAD	3200	33750	\N	\N	\N
1146195	3920	1996-04-18	PRIJEM	VKLAD	1300	30550	\N	\N	\N
1146196	3920	1996-05-18	PRIJEM	VKLAD	2600	33268	\N	\N	\N
1146197	3920	1996-06-17	PRIJEM	VKLAD	4300	28942	\N	\N	\N
1146198	3920	1996-07-17	VYDAJ	VYBER	200	28855	\N	\N	\N
1146199	3920	1996-08-16	VYDAJ	VYBER	1300	27658	\N	\N	\N
1146200	3920	1996-09-15	PRIJEM	VKLAD	700	28461	\N	\N	\N
1146201	3920	1996-10-15	VYDAJ	VYBER	1000	23588	\N	\N	\N
1146202	3920	1996-11-14	PRIJEM	VKLAD	1500	25177	\N	\N	\N
1146203	3920	1996-12-14	PRIJEM	VKLAD	300	25558	\N	\N	\N
1146204	3920	1997-01-13	PRIJEM	VKLAD	1900	27545	\N	\N	\N
1146205	3920	1997-02-12	VYDAJ	VYBER	3900	23733	\N	\N	\N
1146206	3920	1997-03-14	VYDAJ	VYBER	4800	19029	\N	\N	\N
1146207	3920	1997-04-13	VYDAJ	VYBER	9500	28842	\N	\N	\N
1146208	3920	1997-05-13	VYDAJ	VYBER	5300	23627	\N	\N	\N
1146209	3920	1997-06-12	VYDAJ	VYBER	1100	22628	\N	\N	\N
1146210	3920	1997-07-12	VYDAJ	VYBER	2300	20407	\N	\N	\N
1146211	3920	1997-08-11	VYDAJ	VYBER	1000	19482	\N	\N	\N
1146212	3920	1997-09-10	PRIJEM	VKLAD	1100	20648	\N	\N	\N
1146213	3920	1997-10-10	VYDAJ	VYBER	400	20310	\N	\N	\N
1146214	3920	1997-11-09	VYDAJ	VYBER	3400	16977	\N	\N	\N
1146215	3920	1997-12-09	VYDAJ	VYBER	26200	40129	\N	\N	\N
1146216	3920	1998-01-08	VYDAJ	VYBER	12400	24938	\N	\N	\N
1146217	3920	1998-03-09	VYDAJ	VYBER	19500	27359	\N	\N	\N
1146218	3920	1998-04-08	VYDAJ	VYBER	41000	54199	\N	\N	\N
1146219	3920	1998-05-08	VYDAJ	VYBER	19500	29700	\N	\N	\N
1146220	3920	1998-07-07	VYDAJ	VYBER	27100	25607	\N	\N	\N
1146221	3920	1998-08-06	VYDAJ	VYBER	14700	21069	\N	\N	\N
1146222	3920	1998-09-05	VYDAJ	VYBER	24400	31711	\N	\N	\N
1146223	3920	1998-10-05	VYDAJ	VYBER	45800	61612	\N	\N	\N
1146224	3920	1998-10-19	VYDAJ	VYBER	36400	89152	\N	\N	\N
1146225	3920	1998-10-20	VYDAJ	VYBER	61000	56934	\N	\N	\N
1146226	3920	1998-11-04	VYDAJ	VYBER	13000	21158	\N	\N	\N
1146227	3920	1998-12-04	VYDAJ	VYBER	13700	19886	\N	\N	\N
1146291	3921	1994-07-17	PRIJEM	VKLAD	800	800	\N	\N	\N
1146293	3921	1995-03-02	PRIJEM	VKLAD	49064	88407	\N	\N	\N
1146294	3921	1995-12-01	PRIJEM	VKLAD	30488	68899	\N	\N	\N
1146295	3921	1995-10-13	PRIJEM	VKLAD	45471	76559	\N	\N	\N
1146296	3921	1995-01-13	PRIJEM	VKLAD	42298	105133	\N	\N	\N
1146297	3921	1995-11-04	PRIJEM	VKLAD	9049	98509	\N	\N	\N
1146298	3921	1995-09-14	PRIJEM	VKLAD	5086	47817	\N	\N	\N
1146299	3921	1995-01-07	PRIJEM	VKLAD	39435	62835	\N	\N	\N
1146300	3921	1995-07-31	PRIJEM	VKLAD	11217	40427	\N	\N	\N
1146301	3921	1995-10-26	PRIJEM	VKLAD	28537	114999	\N	\N	\N
1146302	3921	1995-12-16	PRIJEM	VKLAD	38489	66521	\N	\N	\N
1146303	3921	1995-07-07	PRIJEM	VKLAD	7175	33320	\N	\N	\N
1146304	3921	1995-10-13	PRIJEM	VKLAD	9903	86462	\N	\N	\N
1146305	3921	1995-03-27	PRIJEM	VKLAD	7969	64676	\N	\N	\N
1146306	3921	1995-12-02	PRIJEM	VKLAD	44674	113573	\N	\N	\N
1146307	3921	1995-05-22	PRIJEM	VKLAD	29484	61902	\N	\N	\N
1146308	3921	1995-09-01	PRIJEM	VKLAD	45499	65856	\N	\N	\N
1146309	3921	1995-04-19	PRIJEM	VKLAD	11616	54666	\N	\N	\N
1146310	3921	1996-12-08	PRIJEM	VKLAD	28640	60860	\N	\N	\N
1146311	3921	1996-09-07	PRIJEM	VKLAD	8730	43077	\N	\N	\N
1146312	3921	1996-05-02	PRIJEM	VKLAD	14377	93362	\N	\N	\N
1146313	3921	1996-01-09	PRIJEM	VKLAD	41308	70949	\N	\N	\N
1146314	3921	1996-04-22	PRIJEM	VKLAD	46128	91618	\N	\N	\N
1146315	3921	1996-02-26	PRIJEM	VKLAD	43992	93640	\N	\N	\N
1146316	3921	1996-11-02	PRIJEM	VKLAD	42619	67549	\N	\N	\N
1146317	3921	1996-01-13	PRIJEM	VKLAD	33439	85788	\N	\N	\N
1146318	3921	1997-05-03	PRIJEM	VKLAD	32938	95969	\N	\N	\N
1146319	3921	1997-12-07	PRIJEM	VKLAD	5699	118781	\N	\N	\N
1146320	3921	1997-03-23	PRIJEM	VKLAD	5466	83805	\N	\N	\N
1146321	3921	1997-08-16	PRIJEM	VKLAD	25134	119345	\N	\N	\N
1146322	3921	1997-12-02	PRIJEM	VKLAD	15524	113082	\N	\N	\N
1146323	3921	1997-05-04	PRIJEM	VKLAD	26905	122874	\N	\N	\N
1146324	3921	1997-02-09	PRIJEM	VKLAD	42734	99676	\N	\N	\N
1146325	3921	1997-09-28	PRIJEM	VKLAD	13245	94956	\N	\N	\N
1146326	3921	1997-05-18	PRIJEM	VKLAD	22818	119592	\N	\N	\N
1146327	3921	1997-11-03	PRIJEM	VKLAD	41273	78341	\N	\N	\N
1146328	3921	1997-05-24	PRIJEM	VKLAD	25488	116680	\N	\N	\N
1146329	3921	1997-03-30	PRIJEM	VKLAD	24015	107820	\N	\N	\N
1146330	3921	1997-04-13	PRIJEM	VKLAD	38584	142681	\N	\N	\N
1146331	3921	1997-09-06	PRIJEM	VKLAD	37663	81711	\N	\N	\N
1146332	3921	1997-04-06	PRIJEM	VKLAD	33468	104097	\N	\N	\N
1146333	3921	1997-10-11	PRIJEM	VKLAD	10094	74029	\N	\N	\N
1146334	3921	1997-07-19	PRIJEM	VKLAD	41662	68802	\N	\N	\N
1146335	3921	1997-01-21	PRIJEM	VKLAD	5637	28081	\N	\N	\N
1146336	3921	1997-06-23	PRIJEM	VKLAD	17740	93849	\N	\N	\N
1146337	3921	1997-03-18	PRIJEM	VKLAD	26084	78339	\N	\N	\N
1146338	3921	1997-11-29	PRIJEM	VKLAD	28469	97177	\N	\N	\N
1146339	3921	1997-08-13	PRIJEM	VKLAD	47962	94211	\N	\N	\N
1146340	3921	1997-11-16	PRIJEM	VKLAD	48199	126540	\N	\N	\N
1146341	3921	1997-02-07	PRIJEM	VKLAD	26041	56942	\N	\N	\N
1146342	3921	1997-06-12	PRIJEM	VKLAD	35503	76109	\N	\N	\N
1146343	3921	1997-12-17	PRIJEM	VKLAD	43106	135087	\N	\N	\N
1146344	3921	1997-11-19	PRIJEM	VKLAD	21068	129308	\N	\N	\N
1146345	3921	1998-06-26	PRIJEM	VKLAD	14939	46951	\N	\N	\N
1146346	3921	1998-07-03	PRIJEM	VKLAD	6927	46101	\N	\N	\N
1146347	3921	1998-10-22	PRIJEM	VKLAD	11730	114758	\N	\N	\N
1146348	3921	1998-02-21	PRIJEM	VKLAD	49694	95575	\N	\N	\N
1146349	3921	1998-01-14	PRIJEM	VKLAD	6508	43070	\N	\N	\N
1146350	3921	1998-10-05	PRIJEM	VKLAD	46576	89667	\N	\N	\N
1146351	3921	1998-10-15	PRIJEM	VKLAD	13361	103028	\N	\N	\N
1146352	3921	1998-02-06	PRIJEM	VKLAD	17483	45881	\N	\N	\N
1146353	3921	1998-10-24	PRIJEM	VKLAD	14603	95461	\N	\N	\N
1146354	3921	1998-12-16	PRIJEM	VKLAD	11373	38867	\N	\N	\N
1146357	3921	1995-12-22	VYBER	VYBER	14970	51551	\N	\N	\N
1146358	3921	1995-12-06	VYBER	VYBER	10741	46532	\N	\N	\N
1146362	3921	1995-09-09	VYBER	VYBER	7225	58631	\N	\N	\N
1146363	3921	1995-11-29	VYBER	VYBER	7728	38181	\N	\N	\N
1146366	3921	1995-07-07	VYBER	VYBER	5732	27588	\N	\N	\N
1146369	3921	1995-10-08	VYBER	VYBER	11781	36188	\N	\N	\N
1146370	3921	1995-05-04	VYBER	VYBER	10586	44318	\N	\N	\N
1146371	3921	1997-02-17	VYBER	VYBER	20402	79274	\N	\N	\N
1146372	3921	1997-06-11	VYBER	VYBER	18345	40606	\N	\N	\N
1146373	3921	1997-06-28	VYBER	VYBER	7782	25167	\N	\N	\N
1146374	3921	1997-04-26	VYBER	VYBER	18832	93049	\N	\N	\N
1146375	3921	1998-11-18	VYBER	VYBER	23517	44261	\N	\N	\N
1146377	3921	1995-06-04	VYDAJ	VYBER	33600	28497	\N	\N	\N
1146379	3921	1997-06-24	VYDAJ	VYBER	60900	32949	\N	\N	\N
1146383	3921	1996-01-03	VYDAJ	VYBER	23400	28341	\N	\N	\N
1146384	3921	1997-01-16	VYDAJ	VYBER	12300	22444	\N	\N	\N
1146385	3921	1998-01-02	VYDAJ	VYBER	6300	38062	\N	\N	\N
1146387	3921	1995-12-11	VYDAJ	VYBER	8100	28032	\N	\N	\N
1146388	3921	1996-12-07	VYDAJ	VYBER	5700	32220	\N	\N	\N
1146389	3921	1997-12-18	VYDAJ	VYBER	6300	112187	\N	\N	\N
1146390	3921	1998-12-19	VYDAJ	VYBER	6600	32267	\N	\N	\N
1146403	3921	1996-01-18	VYDAJ	VYBER	3300	74688	\N	\N	\N
1146404	3921	1996-01-26	VYDAJ	VYBER	2700	66588	\N	\N	\N
1146405	3921	1996-01-15	VYDAJ	VYBER	7800	77988	\N	\N	\N
1146406	3921	1996-01-26	VYDAJ	VYBER	5400	69288	\N	\N	\N
1146407	3921	1996-01-10	VYDAJ	VYBER	6900	59249	\N	\N	\N
1146408	3921	1996-01-11	VYDAJ	VYBER	6900	52349	\N	\N	\N
1146409	3921	1997-01-09	VYDAJ	VYBER	4200	36544	\N	\N	\N
1146411	3921	1997-01-05	VYDAJ	VYBER	1500	43444	\N	\N	\N
1146412	3921	1997-01-15	VYDAJ	VYBER	1800	34744	\N	\N	\N
1146413	3921	1997-01-23	VYDAJ	VYBER	3000	25081	\N	\N	\N
1146417	3921	1998-01-10	VYDAJ	VYBER	1500	36562	\N	\N	\N
1146418	3921	1998-01-15	VYDAJ	VYBER	7200	35870	\N	\N	\N
1146419	3921	1998-01-28	VYDAJ	VYBER	4800	28270	\N	\N	\N
1146420	3921	1998-01-16	VYDAJ	VYBER	4200	31670	\N	\N	\N
1146428	3921	1995-08-29	VYDAJ	VYBER	11700	20213	\N	\N	\N
1146429	3921	1995-11-13	VYDAJ	VYBER	14100	45909	\N	\N	\N
1146430	3921	1996-10-24	VYDAJ	VYBER	10800	24811	\N	\N	\N
1146431	3921	1996-09-11	VYDAJ	VYBER	8100	34977	\N	\N	\N
1146432	3921	1996-01-10	VYDAJ	VYBER	4800	66149	\N	\N	\N
1146434	3921	1996-04-23	VYDAJ	VYBER	12900	78718	\N	\N	\N
1146435	3921	1996-09-03	VYDAJ	VYBER	3300	31947	\N	\N	\N
1146436	3921	1996-11-18	VYDAJ	VYBER	14100	38749	\N	\N	\N
1146437	3921	1996-12-11	VYDAJ	VYBER	11100	49760	\N	\N	\N
1146438	3921	1997-07-23	VYDAJ	VYBER	13500	55302	\N	\N	\N
1146440	3921	1997-10-11	VYDAJ	VYBER	12000	62029	\N	\N	\N
1146441	3921	1997-01-06	VYDAJ	VYBER	2700	40744	\N	\N	\N
1146442	3921	1997-02-27	VYDAJ	VYBER	7200	72074	\N	\N	\N
1146443	3921	1997-11-02	VYDAJ	VYBER	12000	37068	\N	\N	\N
1146445	3921	1998-03-03	VYDAJ	VYBER	7500	58442	\N	\N	\N
1146446	3921	1998-05-17	VYDAJ	VYBER	14700	28358	\N	\N	\N
1146447	3921	1998-10-04	VYDAJ	VYBER	2100	43091	\N	\N	\N
1146448	3921	1998-06-29	VYDAJ	VYBER	4500	39051	\N	\N	\N
1146449	3921	1998-01-17	VYDAJ	VYBER	3300	28370	\N	\N	\N
1146450	3921	1998-12-06	VYDAJ	VYBER	13800	27494	\N	\N	\N
1146468	3921	1995-04-30	VYDAJ	VYBER	15	54904	SLUZBY	\N	\N
1146469	3921	1995-05-31	VYDAJ	VYBER	15	62097	SLUZBY	\N	\N
1146470	3921	1995-06-30	VYDAJ	VYBER	15	26145	SLUZBY	\N	\N
1146471	3921	1995-07-31	VYDAJ	VYBER	15	40413	SLUZBY	\N	\N
1146472	3921	1995-08-31	VYDAJ	VYBER	15	20357	SLUZBY	\N	\N
1146473	3921	1995-09-30	VYDAJ	VYBER	15	47969	SLUZBY	\N	\N
1146474	3921	1995-10-31	VYDAJ	VYBER	15	89460	SLUZBY	\N	\N
1146475	3921	1995-11-30	VYDAJ	VYBER	15	38411	SLUZBY	\N	\N
1146476	3921	1995-12-31	VYDAJ	VYBER	15	51741	SLUZBY	\N	\N
1146477	3921	1996-01-31	VYDAJ	VYBER	15	66848	SLUZBY	\N	\N
1146478	3921	1996-02-29	VYDAJ	VYBER	15	93919	SLUZBY	\N	\N
1146479	3921	1996-03-31	VYDAJ	VYBER	15	62590	SLUZBY	\N	\N
1146480	3921	1996-04-30	VYDAJ	VYBER	15	78985	SLUZBY	\N	\N
1146481	3921	1996-05-31	VYDAJ	VYBER	15	59208	SLUZBY	\N	\N
1146482	3921	1996-06-30	VYDAJ	VYBER	15	43637	SLUZBY	\N	\N
1146483	3921	1996-07-31	VYDAJ	VYBER	15	38702	SLUZBY	\N	\N
1146484	3921	1996-08-31	VYDAJ	VYBER	15	35247	SLUZBY	\N	\N
1146485	3921	1996-09-30	VYDAJ	VYBER	15	35111	SLUZBY	\N	\N
1146486	3921	1996-10-31	VYDAJ	VYBER	15	24930	SLUZBY	\N	\N
1146487	3921	1996-11-30	VYDAJ	VYBER	15	38920	SLUZBY	\N	\N
1146488	3921	1996-12-31	VYDAJ	VYBER	15	49944	SLUZBY	\N	\N
1146489	3921	1997-01-31	VYDAJ	VYBER	15	25201	SLUZBY	\N	\N
1146490	3921	1997-02-28	VYDAJ	VYBER	15	72355	SLUZBY	\N	\N
1146491	3921	1997-03-31	VYDAJ	VYBER	15	108129	SLUZBY	\N	\N
1146492	3921	1997-04-30	VYDAJ	VYBER	15	93531	SLUZBY	\N	\N
1146493	3921	1997-05-31	VYDAJ	VYBER	15	90651	SLUZBY	\N	\N
1146494	3921	1997-06-30	VYDAJ	VYBER	15	25440	SLUZBY	\N	\N
1146495	3921	1997-07-31	VYDAJ	VYBER	15	55449	SLUZBY	\N	\N
1146496	3921	1997-08-31	VYDAJ	VYBER	15	44048	SLUZBY	\N	\N
1146497	3921	1997-09-30	VYDAJ	VYBER	15	63935	SLUZBY	\N	\N
1146498	3921	1997-10-31	VYDAJ	VYBER	15	49068	SLUZBY	\N	\N
1146499	3921	1997-11-30	VYDAJ	VYBER	15	97558	SLUZBY	\N	\N
1146500	3921	1997-12-31	VYDAJ	VYBER	15	44362	SLUZBY	\N	\N
1146501	3921	1998-01-31	VYDAJ	VYBER	15	28398	SLUZBY	\N	\N
1146502	3921	1998-02-28	VYDAJ	VYBER	15	65942	SLUZBY	\N	\N
1146503	3921	1998-03-31	VYDAJ	VYBER	15	45488	SLUZBY	\N	\N
1146504	3921	1998-04-30	VYDAJ	VYBER	15	43058	SLUZBY	\N	\N
1146505	3921	1998-05-31	VYDAJ	VYBER	15	32012	SLUZBY	\N	\N
1146506	3921	1998-06-30	VYDAJ	VYBER	15	39174	SLUZBY	\N	\N
1146507	3921	1998-07-31	VYDAJ	VYBER	15	46351	SLUZBY	\N	\N
1146508	3921	1998-08-31	VYDAJ	VYBER	15	44425	SLUZBY	\N	\N
1146509	3921	1998-09-30	VYDAJ	VYBER	15	45191	SLUZBY	\N	\N
1146510	3921	1998-10-31	VYDAJ	VYBER	15	67778	SLUZBY	\N	\N
1146511	3921	1998-11-30	VYDAJ	VYBER	15	41294	SLUZBY	\N	\N
1146512	3921	1994-08-16	PRIJEM	VKLAD	11500	12300	\N	\N	\N
1146513	3921	1994-09-15	PRIJEM	VKLAD	5100	17400	\N	\N	\N
1146514	3921	1994-10-15	PRIJEM	VKLAD	6000	23400	\N	\N	\N
1146515	3921	1994-11-14	VYDAJ	VYBER	1300	22100	\N	\N	\N
1146516	3921	1994-12-14	PRIJEM	VKLAD	1300	23400	\N	\N	\N
1146517	3921	1995-01-13	VYDAJ	VYBER	25900	49933	\N	\N	\N
1146518	3921	1995-01-13	VYDAJ	VYBER	29300	75833	\N	\N	\N
1146519	3921	1995-02-12	VYDAJ	VYBER	11100	39027	\N	\N	\N
1146520	3921	1995-03-14	VYDAJ	VYBER	31700	56707	\N	\N	\N
1146521	3921	1995-04-13	VYDAJ	VYBER	21900	43050	\N	\N	\N
1146522	3921	1995-05-13	VYDAJ	VYBER	11900	32418	\N	\N	\N
1146523	3921	1995-06-12	VYDAJ	VYBER	2500	25997	\N	\N	\N
1146524	3921	1995-07-12	PRIJEM	VKLAD	1500	29088	\N	\N	\N
1146525	3921	1995-08-11	VYDAJ	VYBER	8500	31913	\N	\N	\N
1146526	3921	1995-09-10	VYDAJ	VYBER	15900	42731	\N	\N	\N
1146527	3921	1995-10-10	VYDAJ	VYBER	5100	31088	\N	\N	\N
1146528	3921	1995-10-26	VYDAJ	VYBER	25800	89199	\N	\N	\N
1146529	3921	1995-11-09	VYDAJ	VYBER	38500	60009	\N	\N	\N
1146530	3921	1995-12-02	VYDAJ	VYBER	56300	57273	\N	\N	\N
1146531	3921	1995-12-09	VYDAJ	VYBER	10400	36132	\N	\N	\N
1146532	3921	1996-01-08	PRIJEM	VKLAD	1300	29641	\N	\N	\N
1146533	3921	1996-02-07	VYDAJ	VYBER	17200	49648	\N	\N	\N
1146534	3921	1996-03-08	VYDAJ	VYBER	31700	62219	\N	\N	\N
1146535	3921	1996-04-07	VYDAJ	VYBER	17100	45490	\N	\N	\N
1146536	3921	1996-05-07	VYDAJ	VYBER	34400	58962	\N	\N	\N
1146537	3921	1996-06-06	VYDAJ	VYBER	15800	43408	\N	\N	\N
1146538	3921	1996-07-06	VYDAJ	VYBER	5100	38537	\N	\N	\N
1146539	3921	1996-08-05	VYDAJ	VYBER	3600	35102	\N	\N	\N
1146540	3921	1996-09-04	PRIJEM	VKLAD	2400	34347	\N	\N	\N
1146541	3921	1996-10-04	PRIJEM	VKLAD	500	35611	\N	\N	\N
1146542	3921	1996-11-03	VYDAJ	VYBER	14700	52849	\N	\N	\N
1146543	3921	1996-12-03	VYDAJ	VYBER	1000	37920	\N	\N	\N
1146544	3921	1997-01-02	VYDAJ	VYBER	5000	44944	\N	\N	\N
1146545	3921	1997-02-01	PRIJEM	VKLAD	5700	30901	\N	\N	\N
1146546	3921	1997-03-03	VYDAJ	VYBER	20100	52255	\N	\N	\N
1146547	3921	1997-04-02	VYDAJ	VYBER	37500	70629	\N	\N	\N
1146548	3921	1997-04-13	VYDAJ	VYBER	30800	111881	\N	\N	\N
1146549	3921	1997-05-02	VYDAJ	VYBER	30500	63031	\N	\N	\N
1146550	3921	1997-05-04	VYDAJ	VYBER	26100	96774	\N	\N	\N
1146551	3921	1997-05-18	VYDAJ	VYBER	28400	91192	\N	\N	\N
1146552	3921	1997-05-24	VYDAJ	VYBER	26500	90180	\N	\N	\N
1146553	3921	1997-06-01	VYDAJ	VYBER	31700	58951	\N	\N	\N
1146554	3921	1997-07-01	PRIJEM	VKLAD	1700	27140	\N	\N	\N
1146555	3921	1997-07-31	VYDAJ	VYBER	9200	46249	\N	\N	\N
1146556	3921	1997-08-16	VYDAJ	VYBER	57900	61445	\N	\N	\N
1146557	3921	1997-08-30	VYDAJ	VYBER	17600	43845	\N	\N	\N
1146558	3921	1997-09-29	VYDAJ	VYBER	31200	63756	\N	\N	\N
1146559	3921	1997-10-29	VYDAJ	VYBER	13200	48829	\N	\N	\N
1146560	3921	1997-11-16	VYDAJ	VYBER	18300	108240	\N	\N	\N
1146561	3921	1997-11-19	VYDAJ	VYBER	28300	101008	\N	\N	\N
1146562	3921	1997-11-28	VYDAJ	VYBER	32300	68708	\N	\N	\N
1146563	3921	1997-12-07	VYDAJ	VYBER	26800	91981	\N	\N	\N
1146564	3921	1997-12-17	VYDAJ	VYBER	16600	118487	\N	\N	\N
1146565	3921	1997-12-18	VYDAJ	VYBER	59100	53087	\N	\N	\N
1146566	3921	1997-12-28	VYDAJ	VYBER	9100	43987	\N	\N	\N
1146567	3921	1998-01-27	PRIJEM	VKLAD	4700	33070	\N	\N	\N
1146568	3921	1998-02-26	VYDAJ	VYBER	29800	65775	\N	\N	\N
1146569	3921	1998-03-28	VYDAJ	VYBER	13200	45242	\N	\N	\N
1146570	3921	1998-04-27	VYDAJ	VYBER	2600	42888	\N	\N	\N
1146571	3921	1998-05-27	PRIJEM	VKLAD	3500	31858	\N	\N	\N
1146572	3921	1998-06-26	VYDAJ	VYBER	3400	43551	\N	\N	\N
1146573	3921	1998-07-26	PRIJEM	VKLAD	100	46201	\N	\N	\N
1146574	3921	1998-08-25	VYDAJ	VYBER	2100	44251	\N	\N	\N
1146575	3921	1998-09-24	PRIJEM	VKLAD	600	45025	\N	\N	\N
1146576	3921	1998-10-22	VYDAJ	VYBER	33900	80858	\N	\N	\N
1146577	3921	1998-10-24	VYDAJ	VYBER	28000	67461	\N	\N	\N
1146578	3921	1998-11-23	VYDAJ	VYBER	3200	41061	\N	\N	\N
1146627	3922	1997-10-22	PRIJEM	VKLAD	900	900	\N	\N	\N
1146638	3922	1997-11-14	PRIJEM	PREVOD Z UCTU	5673	6573	DUCHOD	OP	30527818
1146639	3922	1997-12-14	PRIJEM	PREVOD Z UCTU	5673	12246	DUCHOD	OP	30527818
1146640	3922	1998-01-14	PRIJEM	PREVOD Z UCTU	5673	17919	DUCHOD	OP	30527818
1146641	3922	1998-02-14	PRIJEM	PREVOD Z UCTU	5673	23592	DUCHOD	OP	30527818
1146642	3922	1998-03-14	PRIJEM	PREVOD Z UCTU	5673	29265	DUCHOD	OP	30527818
1146643	3922	1998-04-14	PRIJEM	PREVOD Z UCTU	5673	31974	DUCHOD	OP	30527818
1146644	3922	1998-05-14	PRIJEM	PREVOD Z UCTU	5673	34087	DUCHOD	OP	30527818
1146645	3922	1998-06-14	PRIJEM	PREVOD Z UCTU	5673	26725	DUCHOD	OP	30527818
1146646	3922	1998-07-14	PRIJEM	PREVOD Z UCTU	5673	24232	DUCHOD	OP	30527818
1146647	3922	1998-08-14	PRIJEM	PREVOD Z UCTU	5673	25331	DUCHOD	OP	30527818
1146648	3922	1998-09-14	PRIJEM	PREVOD Z UCTU	5673	18262	DUCHOD	OP	30527818
1146649	3922	1998-10-14	PRIJEM	PREVOD Z UCTU	5673	17732	DUCHOD	OP	30527818
1146650	3922	1998-11-14	PRIJEM	PREVOD Z UCTU	5673	15897	DUCHOD	OP	30527818
1146651	3922	1998-12-14	PRIJEM	PREVOD Z UCTU	5673	15858	DUCHOD	OP	30527818
1146667	3922	1998-04-08	VYDAJ	PREVOD NA UCET	2953	26301	SIPO	MN	27645427
1146668	3922	1998-05-08	VYDAJ	PREVOD NA UCET	2953	28414	SIPO	MN	27645427
1146669	3922	1998-06-08	VYDAJ	PREVOD NA UCET	2953	21052	SIPO	MN	27645427
1146670	3922	1998-07-08	VYDAJ	PREVOD NA UCET	2953	18559	SIPO	MN	27645427
1146671	3922	1998-08-08	VYDAJ	PREVOD NA UCET	2953	19658	SIPO	MN	27645427
1146672	3922	1998-09-08	VYDAJ	PREVOD NA UCET	2953	12589	SIPO	MN	27645427
1146673	3922	1998-10-08	VYDAJ	PREVOD NA UCET	2953	12059	SIPO	MN	27645427
1146674	3922	1998-11-08	VYDAJ	PREVOD NA UCET	2953	10224	SIPO	MN	27645427
1146675	3922	1998-12-08	VYDAJ	PREVOD NA UCET	2953	10185	SIPO	MN	27645427
1146677	3922	1998-06-03	VYDAJ	VYBER	6900	24005	\N	\N	\N
1146697	3922	1998-04-24	VYDAJ	VYBER	720	31254	\N	\N	\N
1146700	3922	1998-09-01	VYDAJ	VYBER	2160	15542	\N	\N	\N
1146716	3922	1998-03-31	VYDAJ	VYBER	15	29254	SLUZBY	\N	\N
1146717	3922	1998-04-30	VYDAJ	VYBER	15	31367	SLUZBY	\N	\N
1146718	3922	1998-05-31	VYDAJ	VYBER	15	30905	SLUZBY	\N	\N
1146719	3922	1998-06-30	VYDAJ	VYBER	15	21512	SLUZBY	\N	\N
1146720	3922	1998-07-31	VYDAJ	VYBER	15	22611	SLUZBY	\N	\N
1146721	3922	1998-08-31	VYDAJ	VYBER	15	17702	SLUZBY	\N	\N
1146722	3922	1998-09-30	VYDAJ	VYBER	15	15012	SLUZBY	\N	\N
1146723	3922	1998-10-31	VYDAJ	VYBER	15	13177	SLUZBY	\N	\N
1146724	3922	1998-11-30	VYDAJ	VYBER	15	13138	SLUZBY	\N	\N
1146725	3922	1998-05-20	VYDAJ	VYBER	3300	30787	\N	\N	\N
1146726	3922	1998-06-19	VYDAJ	VYBER	5300	21425	\N	\N	\N
1146727	3922	1998-07-19	VYDAJ	VYBER	1700	22532	\N	\N	\N
1146728	3922	1998-08-18	VYDAJ	VYBER	7700	17631	\N	\N	\N
1146729	3922	1998-09-17	VYDAJ	VYBER	3300	14962	\N	\N	\N
1146730	3922	1998-10-17	VYDAJ	VYBER	4600	13132	\N	\N	\N
1146731	3922	1998-11-16	VYDAJ	VYBER	2800	13097	\N	\N	\N
1146732	3922	1998-12-16	VYDAJ	VYBER	4200	11658	\N	\N	\N
1146743	3923	1993-03-30	PRIJEM	VKLAD	400	400	\N	\N	\N
1146747	3923	1993-04-12	PRIJEM	VKLAD	21971	22371	\N	\N	\N
1146748	3923	1993-05-12	PRIJEM	VKLAD	21971	46149	\N	\N	\N
1146749	3923	1993-06-12	PRIJEM	VKLAD	32956	67910	\N	\N	\N
1146750	3923	1993-07-12	PRIJEM	VKLAD	21971	67830	\N	\N	\N
1146751	3923	1993-08-12	PRIJEM	VKLAD	21971	69493	\N	\N	\N
1146752	3923	1993-09-12	PRIJEM	VKLAD	21971	67136	\N	\N	\N
1146753	3923	1993-10-12	PRIJEM	VKLAD	21971	61564	\N	\N	\N
1146754	3923	1993-11-12	PRIJEM	VKLAD	21971	63780	\N	\N	\N
1146755	3923	1993-12-12	PRIJEM	VKLAD	32956	74386	\N	\N	\N
1146756	3923	1994-01-12	PRIJEM	VKLAD	21971	51324	\N	\N	\N
1146757	3923	1994-02-12	PRIJEM	VKLAD	21971	57113	\N	\N	\N
1146758	3923	1994-03-12	PRIJEM	VKLAD	21971	60507	\N	\N	\N
1146759	3923	1994-04-12	PRIJEM	VKLAD	21971	62413	\N	\N	\N
1146760	3923	1994-05-12	PRIJEM	VKLAD	21971	60729	\N	\N	\N
1146761	3923	1994-06-12	PRIJEM	VKLAD	32956	71727	\N	\N	\N
1146762	3923	1994-07-12	PRIJEM	VKLAD	21971	63248	\N	\N	\N
1146763	3923	1994-08-12	PRIJEM	VKLAD	21971	60356	\N	\N	\N
1146764	3923	1994-09-12	PRIJEM	VKLAD	21971	61157	\N	\N	\N
1146765	3923	1994-10-12	PRIJEM	VKLAD	21971	60056	\N	\N	\N
1146766	3923	1994-11-12	PRIJEM	VKLAD	21971	57752	\N	\N	\N
1146767	3923	1994-12-12	PRIJEM	VKLAD	32956	69222	\N	\N	\N
1146768	3923	1995-01-12	PRIJEM	VKLAD	21971	63728	\N	\N	\N
1146769	3923	1995-02-12	PRIJEM	VKLAD	21971	62730	\N	\N	\N
1146770	3923	1995-03-12	PRIJEM	VKLAD	21971	61030	\N	\N	\N
1146771	3923	1995-04-12	PRIJEM	VKLAD	21971	65234	\N	\N	\N
1146772	3923	1995-05-12	PRIJEM	VKLAD	21971	65948	\N	\N	\N
1146773	3923	1995-06-12	PRIJEM	VKLAD	32956	73249	\N	\N	\N
1146774	3923	1995-07-12	PRIJEM	VKLAD	21971	71982	\N	\N	\N
1146775	3923	1995-08-12	PRIJEM	VKLAD	21971	70517	\N	\N	\N
1146776	3923	1995-09-12	PRIJEM	VKLAD	21971	68643	\N	\N	\N
1146777	3923	1995-10-12	PRIJEM	VKLAD	21971	62756	\N	\N	\N
1146778	3923	1995-11-12	PRIJEM	VKLAD	21971	64354	\N	\N	\N
1146779	3923	1995-12-12	PRIJEM	VKLAD	32956	75243	\N	\N	\N
1146780	3923	1996-01-12	PRIJEM	VKLAD	21971	64469	\N	\N	\N
1146781	3923	1996-02-12	PRIJEM	VKLAD	21971	59866	\N	\N	\N
1146782	3923	1996-03-12	PRIJEM	VKLAD	21971	61757	\N	\N	\N
1146783	3923	1996-04-12	PRIJEM	VKLAD	21971	66053	\N	\N	\N
1146784	3923	1996-05-12	PRIJEM	VKLAD	21971	66868	\N	\N	\N
1146785	3923	1996-06-12	PRIJEM	VKLAD	32956	50055	\N	\N	\N
1146786	3923	1996-07-12	PRIJEM	VKLAD	21971	55630	\N	\N	\N
1146787	3923	1996-08-12	PRIJEM	VKLAD	21971	54496	\N	\N	\N
1146788	3923	1996-09-12	PRIJEM	VKLAD	21971	64400	\N	\N	\N
1146789	3923	1996-10-12	PRIJEM	VKLAD	21971	68448	\N	\N	\N
1146790	3923	1996-11-12	PRIJEM	VKLAD	21971	71324	\N	\N	\N
1146791	3923	1996-12-12	PRIJEM	VKLAD	32956	84192	\N	\N	\N
1146792	3923	1997-01-12	PRIJEM	VKLAD	21971	84111	\N	\N	\N
1146793	3923	1997-02-12	PRIJEM	VKLAD	21971	83651	\N	\N	\N
1146794	3923	1997-03-12	PRIJEM	VKLAD	21971	86391	\N	\N	\N
1146795	3923	1997-04-12	PRIJEM	VKLAD	21971	84441	\N	\N	\N
1146796	3923	1997-05-12	PRIJEM	VKLAD	21971	82986	\N	\N	\N
1146797	3923	1997-06-12	PRIJEM	VKLAD	32956	96215	\N	\N	\N
1146798	3923	1997-07-12	PRIJEM	VKLAD	21971	88380	\N	\N	\N
1146799	3923	1997-08-12	PRIJEM	VKLAD	21971	87337	\N	\N	\N
1146800	3923	1997-09-12	PRIJEM	VKLAD	21971	90588	\N	\N	\N
1146801	3923	1997-10-12	PRIJEM	VKLAD	21971	93849	\N	\N	\N
1146802	3923	1997-11-12	PRIJEM	VKLAD	21971	99430	\N	\N	\N
1146803	3923	1997-12-12	PRIJEM	VKLAD	32956	113311	\N	\N	\N
1146804	3923	1998-01-12	PRIJEM	VKLAD	21971	106848	\N	\N	\N
1146805	3923	1998-02-12	PRIJEM	VKLAD	21971	111073	\N	\N	\N
1146806	3923	1998-03-12	PRIJEM	VKLAD	21971	116221	\N	\N	\N
1146807	3923	1998-04-12	PRIJEM	VKLAD	21971	95081	\N	\N	\N
1146808	3923	1998-05-12	PRIJEM	VKLAD	21971	104440	\N	\N	\N
1146809	3923	1998-06-12	PRIJEM	VKLAD	32956	121940	\N	\N	\N
1146810	3923	1998-07-12	PRIJEM	VKLAD	21971	89795	\N	\N	\N
1146811	3923	1998-08-12	PRIJEM	VKLAD	21971	103035	\N	\N	\N
1146812	3923	1998-09-12	PRIJEM	VKLAD	21971	108837	\N	\N	\N
1146813	3923	1998-10-12	PRIJEM	VKLAD	21971	110351	\N	\N	\N
1146814	3923	1998-11-12	PRIJEM	VKLAD	21971	109571	\N	\N	\N
1146815	3923	1998-12-12	PRIJEM	VKLAD	32956	120570	\N	\N	\N
1146823	3923	1993-08-13	VYDAJ	PREVOD NA UCET	5037	64456	SIPO	ST	4434031
1146824	3923	1993-09-13	VYDAJ	PREVOD NA UCET	5037	62099	SIPO	ST	4434031
1146825	3923	1993-10-13	VYDAJ	PREVOD NA UCET	5037	56527	SIPO	ST	4434031
1146826	3923	1993-11-13	VYDAJ	PREVOD NA UCET	5037	58743	SIPO	ST	4434031
1146827	3923	1993-12-13	VYDAJ	PREVOD NA UCET	5037	69349	SIPO	ST	4434031
1146828	3923	1994-01-13	VYDAJ	PREVOD NA UCET	5037	46287	SIPO	ST	4434031
1146829	3923	1994-02-13	VYDAJ	PREVOD NA UCET	5037	52076	SIPO	ST	4434031
1146830	3923	1994-03-13	VYDAJ	PREVOD NA UCET	5037	55470	SIPO	ST	4434031
1146831	3923	1994-04-13	VYDAJ	PREVOD NA UCET	5037	57376	SIPO	ST	4434031
1146832	3923	1994-05-13	VYDAJ	PREVOD NA UCET	5037	55692	SIPO	ST	4434031
1146833	3923	1994-06-13	VYDAJ	PREVOD NA UCET	5037	66690	SIPO	ST	4434031
1146834	3923	1994-07-13	VYDAJ	PREVOD NA UCET	5037	58211	SIPO	ST	4434031
1146835	3923	1994-08-13	VYDAJ	PREVOD NA UCET	5037	55319	SIPO	ST	4434031
1146836	3923	1994-09-13	VYDAJ	PREVOD NA UCET	5037	56120	SIPO	ST	4434031
1146837	3923	1994-10-13	VYDAJ	PREVOD NA UCET	5037	55019	SIPO	ST	4434031
1146838	3923	1994-11-13	VYDAJ	PREVOD NA UCET	5037	52715	SIPO	ST	4434031
1146839	3923	1994-12-13	VYDAJ	PREVOD NA UCET	5037	64185	SIPO	ST	4434031
1146840	3923	1995-01-13	VYDAJ	PREVOD NA UCET	5037	58691	SIPO	ST	4434031
1146841	3923	1995-02-13	VYDAJ	PREVOD NA UCET	5037	57693	SIPO	ST	4434031
1146842	3923	1995-03-13	VYDAJ	PREVOD NA UCET	5037	55993	SIPO	ST	4434031
1146843	3923	1995-04-13	VYDAJ	PREVOD NA UCET	5037	60197	SIPO	ST	4434031
1146844	3923	1995-05-13	VYDAJ	PREVOD NA UCET	5037	60911	SIPO	ST	4434031
1146845	3923	1995-06-13	VYDAJ	PREVOD NA UCET	5037	68212	SIPO	ST	4434031
1146846	3923	1995-07-13	VYDAJ	PREVOD NA UCET	5037	66945	SIPO	ST	4434031
1146847	3923	1995-08-13	VYDAJ	PREVOD NA UCET	5037	65480	SIPO	ST	4434031
1146848	3923	1995-09-13	VYDAJ	PREVOD NA UCET	5037	63606	SIPO	ST	4434031
1146849	3923	1995-10-13	VYDAJ	PREVOD NA UCET	5037	57719	SIPO	ST	4434031
1146850	3923	1995-11-13	VYDAJ	PREVOD NA UCET	5037	59317	SIPO	ST	4434031
1146851	3923	1995-12-13	VYDAJ	PREVOD NA UCET	5037	70206	SIPO	ST	4434031
1146852	3923	1996-01-13	VYDAJ	PREVOD NA UCET	5037	59432	SIPO	ST	4434031
1146853	3923	1996-02-13	VYDAJ	PREVOD NA UCET	5037	39629	SIPO	ST	4434031
1146854	3923	1996-03-13	VYDAJ	PREVOD NA UCET	5037	56720	SIPO	ST	4434031
1146855	3923	1996-04-13	VYDAJ	PREVOD NA UCET	5037	44716	SIPO	ST	4434031
1146856	3923	1996-05-13	VYDAJ	PREVOD NA UCET	5037	61831	SIPO	ST	4434031
1146857	3923	1996-06-13	VYDAJ	PREVOD NA UCET	5037	33518	SIPO	ST	4434031
1146858	3923	1996-07-13	VYDAJ	PREVOD NA UCET	5037	37093	SIPO	ST	4434031
1146859	3923	1996-08-13	VYDAJ	PREVOD NA UCET	5037	49459	SIPO	ST	4434031
1146860	3923	1996-09-13	VYDAJ	PREVOD NA UCET	5037	59363	SIPO	ST	4434031
1146861	3923	1996-10-13	VYDAJ	PREVOD NA UCET	5037	63411	SIPO	ST	4434031
1146862	3923	1996-11-13	VYDAJ	PREVOD NA UCET	5037	66287	SIPO	ST	4434031
1146863	3923	1996-12-13	VYDAJ	PREVOD NA UCET	5037	79155	SIPO	ST	4434031
1146864	3923	1997-01-13	VYDAJ	PREVOD NA UCET	5037	79074	SIPO	ST	4434031
1146865	3923	1997-02-13	VYDAJ	PREVOD NA UCET	5037	78614	SIPO	ST	4434031
1146866	3923	1997-03-13	VYDAJ	PREVOD NA UCET	5037	81354	SIPO	ST	4434031
1146867	3923	1997-04-13	VYDAJ	PREVOD NA UCET	5037	79404	SIPO	ST	4434031
1146868	3923	1997-05-13	VYDAJ	PREVOD NA UCET	5037	77949	SIPO	ST	4434031
1146869	3923	1997-06-13	VYDAJ	PREVOD NA UCET	5037	91178	SIPO	ST	4434031
1146870	3923	1997-07-13	VYDAJ	PREVOD NA UCET	5037	83343	SIPO	ST	4434031
1146871	3923	1997-08-13	VYDAJ	PREVOD NA UCET	5037	82300	SIPO	ST	4434031
1146872	3923	1997-09-13	VYDAJ	PREVOD NA UCET	5037	85551	SIPO	ST	4434031
1146873	3923	1997-10-13	VYDAJ	PREVOD NA UCET	5037	88812	SIPO	ST	4434031
1146874	3923	1997-11-13	VYDAJ	PREVOD NA UCET	5037	94393	SIPO	ST	4434031
1146875	3923	1997-12-13	VYDAJ	PREVOD NA UCET	5037	108274	SIPO	ST	4434031
1146876	3923	1998-01-13	VYDAJ	PREVOD NA UCET	5037	101811	SIPO	ST	4434031
1146877	3923	1998-02-13	VYDAJ	PREVOD NA UCET	5037	106036	SIPO	ST	4434031
1146878	3923	1998-03-13	VYDAJ	PREVOD NA UCET	5037	72484	SIPO	ST	4434031
1146879	3923	1998-04-13	VYDAJ	PREVOD NA UCET	5037	90044	SIPO	ST	4434031
1146880	3923	1998-05-13	VYDAJ	PREVOD NA UCET	5037	99403	SIPO	ST	4434031
1146881	3923	1998-06-13	VYDAJ	PREVOD NA UCET	5037	72803	SIPO	ST	4434031
1146882	3923	1998-07-13	VYDAJ	PREVOD NA UCET	5037	84758	SIPO	ST	4434031
1146883	3923	1998-08-13	VYDAJ	PREVOD NA UCET	5037	97998	SIPO	ST	4434031
1146884	3923	1998-09-13	VYDAJ	PREVOD NA UCET	5037	103800	SIPO	ST	4434031
1146885	3923	1998-10-13	VYDAJ	PREVOD NA UCET	5037	105314	SIPO	ST	4434031
1146886	3923	1998-11-13	VYDAJ	PREVOD NA UCET	5037	104534	SIPO	ST	4434031
1146887	3923	1998-12-13	VYDAJ	PREVOD NA UCET	5037	115533	SIPO	ST	4434031
1146889	3923	1994-06-18	VYDAJ	VYBER	8600	58090	\N	\N	\N
1146890	3923	1995-06-05	VYDAJ	VYBER	3900	40293	\N	\N	\N
1146891	3923	1996-06-02	VYDAJ	VYBER	27300	17099	\N	\N	\N
1146892	3923	1997-06-23	VYDAJ	VYBER	10300	80878	\N	\N	\N
1146893	3923	1998-06-28	VYDAJ	VYBER	7300	65503	\N	\N	\N
1146895	3923	1994-01-05	VYDAJ	VYBER	9000	29353	\N	\N	\N
1146896	3923	1995-01-14	VYDAJ	VYBER	3400	55291	\N	\N	\N
1146897	3923	1996-01-17	VYDAJ	VYBER	6800	37732	\N	\N	\N
1146898	3923	1997-01-24	VYDAJ	VYBER	3800	75274	\N	\N	\N
1146899	3923	1998-01-05	VYDAJ	VYBER	6400	84877	\N	\N	\N
1146900	3923	1993-12-27	VYDAJ	VYBER	2500	43649	\N	\N	\N
1146901	3923	1994-12-25	VYDAJ	VYBER	900	41585	\N	\N	\N
1146902	3923	1995-12-02	VYDAJ	VYBER	2200	42287	\N	\N	\N
1146903	3923	1996-12-15	VYDAJ	VYBER	1800	77355	\N	\N	\N
1146904	3923	1997-12-26	VYDAJ	VYBER	2400	105874	\N	\N	\N
1146905	3923	1998-12-21	VYDAJ	VYBER	1700	113833	\N	\N	\N
1146906	3923	1993-09-16	VYDAJ	VYBER	4100	57999	\N	\N	\N
1146907	3923	1993-08-18	VYDAJ	VYBER	3400	61056	\N	\N	\N
1146910	3923	1993-12-27	VYDAJ	VYBER	2700	40949	\N	\N	\N
1146913	3923	1993-12-26	VYDAJ	VYBER	2400	46149	\N	\N	\N
1146914	3923	1993-12-30	VYDAJ	VYBER	2800	38149	\N	\N	\N
1146915	3923	1994-04-30	VYDAJ	VYBER	4300	38758	\N	\N	\N
1146916	3923	1994-06-07	VYDAJ	VYBER	600	38771	\N	\N	\N
1146917	3923	1994-03-15	VYDAJ	VYBER	1700	53770	\N	\N	\N
1146918	3923	1994-10-27	VYDAJ	VYBER	4700	35619	\N	\N	\N
1146919	3923	1994-07-17	VYDAJ	VYBER	2500	55711	\N	\N	\N
1146920	3923	1994-07-26	VYDAJ	VYBER	700	38211	\N	\N	\N
1146921	3923	1994-06-20	VYDAJ	VYBER	2200	55890	\N	\N	\N
1146922	3923	1995-02-24	VYDAJ	VYBER	2900	38893	\N	\N	\N
1146923	3923	1995-12-30	VYDAJ	VYBER	3800	46206	\N	\N	\N
1146924	3923	1995-09-27	VYDAJ	VYBER	4200	40606	\N	\N	\N
1146925	3923	1996-12-03	VYDAJ	VYBER	3100	63436	\N	\N	\N
1146926	3923	1996-09-08	VYDAJ	VYBER	2000	47629	\N	\N	\N
1146927	3923	1996-01-01	VYDAJ	VYBER	3900	42498	\N	\N	\N
1146928	3923	1996-07-22	VYDAJ	VYBER	1600	35493	\N	\N	\N
1146929	3923	1996-11-06	VYDAJ	VYBER	4300	59353	\N	\N	\N
1146930	3923	1997-07-24	VYDAJ	VYBER	3700	79643	\N	\N	\N
1146931	3923	1997-11-23	VYDAJ	VYBER	4700	89693	\N	\N	\N
1146932	3923	1997-08-26	VYDAJ	VYBER	4900	77400	\N	\N	\N
1146933	3923	1997-03-29	VYDAJ	VYBER	3900	77454	\N	\N	\N
1146934	3923	1998-01-26	VYDAJ	VYBER	1600	100211	\N	\N	\N
1146935	3923	1998-10-30	VYDAJ	VYBER	2100	103214	\N	\N	\N
1146936	3923	1998-03-19	VYDAJ	VYBER	3500	68984	\N	\N	\N
1146937	3923	1998-07-09	VYDAJ	VYBER	2800	67824	\N	\N	\N
1146946	3923	1993-08-31	VYDAJ	VYBER	15	45165	SLUZBY	\N	\N
1146947	3923	1993-09-30	VYDAJ	VYBER	15	39593	SLUZBY	\N	\N
1146948	3923	1993-10-31	VYDAJ	VYBER	15	41809	SLUZBY	\N	\N
1146949	3923	1993-11-30	VYDAJ	VYBER	15	41430	SLUZBY	\N	\N
1146950	3923	1993-12-31	VYDAJ	VYBER	15	38353	SLUZBY	\N	\N
1146951	3923	1994-01-31	VYDAJ	VYBER	15	35142	SLUZBY	\N	\N
1146952	3923	1994-02-28	VYDAJ	VYBER	15	38536	SLUZBY	\N	\N
1146953	3923	1994-03-31	VYDAJ	VYBER	15	40442	SLUZBY	\N	\N
1146954	3923	1994-04-30	VYDAJ	VYBER	15	43058	SLUZBY	\N	\N
1146955	3923	1994-05-31	VYDAJ	VYBER	15	39371	SLUZBY	\N	\N
1146956	3923	1994-06-30	VYDAJ	VYBER	15	41277	SLUZBY	\N	\N
1146957	3923	1994-07-31	VYDAJ	VYBER	15	38385	SLUZBY	\N	\N
1146958	3923	1994-08-31	VYDAJ	VYBER	15	39186	SLUZBY	\N	\N
1146959	3923	1994-09-30	VYDAJ	VYBER	15	38085	SLUZBY	\N	\N
1146960	3923	1994-10-31	VYDAJ	VYBER	15	35781	SLUZBY	\N	\N
1146961	3923	1994-11-30	VYDAJ	VYBER	15	36266	SLUZBY	\N	\N
1146962	3923	1994-12-31	VYDAJ	VYBER	15	41757	SLUZBY	\N	\N
1146963	3923	1995-01-31	VYDAJ	VYBER	15	40759	SLUZBY	\N	\N
1146964	3923	1995-02-28	VYDAJ	VYBER	15	39059	SLUZBY	\N	\N
1146965	3923	1995-03-31	VYDAJ	VYBER	15	43263	SLUZBY	\N	\N
1146966	3923	1995-04-30	VYDAJ	VYBER	15	43977	SLUZBY	\N	\N
1146967	3923	1995-05-31	VYDAJ	VYBER	15	44193	SLUZBY	\N	\N
1146968	3923	1995-06-30	VYDAJ	VYBER	15	50011	SLUZBY	\N	\N
1146969	3923	1995-07-31	VYDAJ	VYBER	15	48546	SLUZBY	\N	\N
1146970	3923	1995-08-31	VYDAJ	VYBER	15	46672	SLUZBY	\N	\N
1146971	3923	1995-09-30	VYDAJ	VYBER	15	40785	SLUZBY	\N	\N
1146972	3923	1995-10-31	VYDAJ	VYBER	15	42383	SLUZBY	\N	\N
1146973	3923	1995-11-30	VYDAJ	VYBER	15	44487	SLUZBY	\N	\N
1146974	3923	1995-12-31	VYDAJ	VYBER	15	46398	SLUZBY	\N	\N
1146975	3923	1996-01-31	VYDAJ	VYBER	15	37895	SLUZBY	\N	\N
1146976	3923	1996-02-29	VYDAJ	VYBER	15	39786	SLUZBY	\N	\N
1146977	3923	1996-03-31	VYDAJ	VYBER	15	44082	SLUZBY	\N	\N
1146978	3923	1996-04-30	VYDAJ	VYBER	15	44897	SLUZBY	\N	\N
1146979	3923	1996-05-31	VYDAJ	VYBER	15	44399	SLUZBY	\N	\N
1146980	3923	1996-06-30	VYDAJ	VYBER	15	33659	SLUZBY	\N	\N
1146981	3923	1996-07-31	VYDAJ	VYBER	15	35625	SLUZBY	\N	\N
1146982	3923	1996-08-31	VYDAJ	VYBER	15	49629	SLUZBY	\N	\N
1146983	3923	1996-09-30	VYDAJ	VYBER	15	59577	SLUZBY	\N	\N
1146984	3923	1996-10-31	VYDAJ	VYBER	15	63653	SLUZBY	\N	\N
1146985	3923	1996-11-30	VYDAJ	VYBER	15	66536	SLUZBY	\N	\N
1146986	3923	1996-12-31	VYDAJ	VYBER	15	77640	SLUZBY	\N	\N
1146987	3923	1997-01-31	VYDAJ	VYBER	15	75580	SLUZBY	\N	\N
1146988	3923	1997-02-28	VYDAJ	VYBER	15	78920	SLUZBY	\N	\N
1146989	3923	1997-03-31	VYDAJ	VYBER	15	77770	SLUZBY	\N	\N
1146990	3923	1997-04-30	VYDAJ	VYBER	15	79715	SLUZBY	\N	\N
1146991	3923	1997-05-31	VYDAJ	VYBER	15	78259	SLUZBY	\N	\N
1146992	3923	1997-06-30	VYDAJ	VYBER	15	81209	SLUZBY	\N	\N
1146993	3923	1997-07-31	VYDAJ	VYBER	15	79966	SLUZBY	\N	\N
1146994	3923	1997-08-31	VYDAJ	VYBER	15	77717	SLUZBY	\N	\N
1146995	3923	1997-09-30	VYDAJ	VYBER	15	85878	SLUZBY	\N	\N
1146996	3923	1997-10-31	VYDAJ	VYBER	15	89159	SLUZBY	\N	\N
1146997	3923	1997-11-30	VYDAJ	VYBER	15	90055	SLUZBY	\N	\N
1146998	3923	1997-12-31	VYDAJ	VYBER	15	106277	SLUZBY	\N	\N
1146999	3923	1998-01-31	VYDAJ	VYBER	15	100602	SLUZBY	\N	\N
1147000	3923	1998-02-28	VYDAJ	VYBER	15	106450	SLUZBY	\N	\N
1147001	3923	1998-03-31	VYDAJ	VYBER	15	69310	SLUZBY	\N	\N
1147002	3923	1998-04-30	VYDAJ	VYBER	15	90369	SLUZBY	\N	\N
1147003	3923	1998-05-31	VYDAJ	VYBER	15	99784	SLUZBY	\N	\N
1147004	3923	1998-06-30	VYDAJ	VYBER	15	65824	SLUZBY	\N	\N
1147005	3923	1998-07-31	VYDAJ	VYBER	15	85064	SLUZBY	\N	\N
1147006	3923	1998-08-31	VYDAJ	VYBER	15	98366	SLUZBY	\N	\N
1147007	3923	1998-09-30	VYDAJ	VYBER	15	104180	SLUZBY	\N	\N
1147008	3923	1998-10-31	VYDAJ	VYBER	15	87600	SLUZBY	\N	\N
1147009	3923	1998-11-30	VYDAJ	VYBER	15	87614	SLUZBY	\N	\N
1147010	3923	1993-04-29	PRIJEM	VKLAD	1800	24171	\N	\N	\N
1147011	3923	1993-05-29	VYDAJ	VYBER	11300	34849	\N	\N	\N
1147012	3923	1993-06-28	VYDAJ	VYBER	22200	45710	\N	\N	\N
1147013	3923	1993-07-28	VYDAJ	VYBER	20500	47330	\N	\N	\N
1147014	3923	1993-08-27	VYDAJ	VYBER	16100	44956	\N	\N	\N
1147015	3923	1993-09-26	VYDAJ	VYBER	18600	39399	\N	\N	\N
1147016	3923	1993-10-26	VYDAJ	VYBER	14900	41627	\N	\N	\N
1147017	3923	1993-11-25	VYDAJ	VYBER	17500	41243	\N	\N	\N
1147018	3923	1993-12-25	VYDAJ	VYBER	20800	48549	\N	\N	\N
1147019	3923	1994-01-24	VYDAJ	VYBER	11300	34987	\N	\N	\N
1147020	3923	1994-02-23	VYDAJ	VYBER	13700	38376	\N	\N	\N
1147021	3923	1994-03-25	VYDAJ	VYBER	13500	40270	\N	\N	\N
1147022	3923	1994-04-24	VYDAJ	VYBER	14500	42876	\N	\N	\N
1147023	3923	1994-05-24	VYDAJ	VYBER	16500	39192	\N	\N	\N
1147024	3923	1994-06-23	VYDAJ	VYBER	14800	41090	\N	\N	\N
1147025	3923	1994-07-23	VYDAJ	VYBER	16800	38911	\N	\N	\N
1147026	3923	1994-08-22	VYDAJ	VYBER	16300	39019	\N	\N	\N
1147027	3923	1994-09-21	VYDAJ	VYBER	18200	37920	\N	\N	\N
1147028	3923	1994-10-21	VYDAJ	VYBER	14700	40319	\N	\N	\N
1147029	3923	1994-11-20	VYDAJ	VYBER	16600	36115	\N	\N	\N
1147030	3923	1994-12-20	VYDAJ	VYBER	21700	42485	\N	\N	\N
1147031	3923	1995-01-19	VYDAJ	VYBER	14700	40591	\N	\N	\N
1147032	3923	1995-02-18	VYDAJ	VYBER	15900	41793	\N	\N	\N
1147033	3923	1995-03-20	VYDAJ	VYBER	12900	43093	\N	\N	\N
1147034	3923	1995-04-19	VYDAJ	VYBER	16400	43797	\N	\N	\N
1147035	3923	1995-05-19	VYDAJ	VYBER	16900	44011	\N	\N	\N
1147036	3923	1995-06-18	VYDAJ	VYBER	18400	49812	\N	\N	\N
1147037	3923	1995-07-18	VYDAJ	VYBER	18600	48345	\N	\N	\N
1147038	3923	1995-08-17	VYDAJ	VYBER	19000	46480	\N	\N	\N
1147039	3923	1995-09-16	VYDAJ	VYBER	18800	44806	\N	\N	\N
1147040	3923	1995-10-16	VYDAJ	VYBER	15500	42219	\N	\N	\N
1147041	3923	1995-11-15	VYDAJ	VYBER	15000	44317	\N	\N	\N
1147042	3923	1995-12-15	VYDAJ	VYBER	20200	50006	\N	\N	\N
1147043	3923	1996-01-14	VYDAJ	VYBER	14900	44532	\N	\N	\N
1147044	3923	1996-02-13	VYDAJ	VYBER	15200	44666	\N	\N	\N
1147045	3923	1996-03-14	VYDAJ	VYBER	12800	43920	\N	\N	\N
1147046	3923	1996-04-13	VYDAJ	VYBER	16300	49753	\N	\N	\N
1147047	3923	1996-05-13	VYDAJ	VYBER	17600	44231	\N	\N	\N
1147048	3923	1996-06-12	VYDAJ	VYBER	11500	38555	\N	\N	\N
1147049	3923	1996-07-12	VYDAJ	VYBER	13500	42130	\N	\N	\N
1147050	3923	1996-08-11	VYDAJ	VYBER	3100	32525	\N	\N	\N
1147051	3923	1996-09-10	VYDAJ	VYBER	5200	42429	\N	\N	\N
1147052	3923	1996-10-10	VYDAJ	VYBER	13100	46477	\N	\N	\N
1147053	3923	1996-11-09	VYDAJ	VYBER	10000	49353	\N	\N	\N
1147054	3923	1996-12-09	VYDAJ	VYBER	12200	51236	\N	\N	\N
1147055	3923	1997-01-08	VYDAJ	VYBER	15500	62140	\N	\N	\N
1147056	3923	1997-02-07	VYDAJ	VYBER	13900	61680	\N	\N	\N
1147057	3923	1997-03-09	VYDAJ	VYBER	14500	64420	\N	\N	\N
1147058	3923	1997-04-08	VYDAJ	VYBER	15300	62470	\N	\N	\N
1147059	3923	1997-05-08	VYDAJ	VYBER	18700	61015	\N	\N	\N
1147060	3923	1997-06-07	VYDAJ	VYBER	15000	63259	\N	\N	\N
1147061	3923	1997-07-07	VYDAJ	VYBER	14800	66409	\N	\N	\N
1147062	3923	1997-08-06	VYDAJ	VYBER	14600	65366	\N	\N	\N
1147063	3923	1997-09-05	VYDAJ	VYBER	9100	68617	\N	\N	\N
1147064	3923	1997-10-05	VYDAJ	VYBER	14000	71878	\N	\N	\N
1147065	3923	1997-11-04	VYDAJ	VYBER	11700	77459	\N	\N	\N
1147066	3923	1997-12-04	VYDAJ	VYBER	9700	80355	\N	\N	\N
1147067	3923	1998-01-03	VYDAJ	VYBER	15000	91277	\N	\N	\N
1147068	3923	1998-02-02	VYDAJ	VYBER	11500	89102	\N	\N	\N
1147069	3923	1998-03-04	VYDAJ	VYBER	12200	94250	\N	\N	\N
1147070	3923	1998-03-12	VYDAJ	VYBER	38700	77521	\N	\N	\N
1147071	3923	1998-04-03	PRIJEM	VKLAD	3800	73110	\N	\N	\N
1147072	3923	1998-05-03	VYDAJ	VYBER	7900	82469	\N	\N	\N
1147073	3923	1998-06-02	VYDAJ	VYBER	10800	88984	\N	\N	\N
1147074	3923	1998-06-12	VYDAJ	VYBER	44100	77840	\N	\N	\N
1147075	3923	1998-07-02	PRIJEM	VKLAD	4800	70624	\N	\N	\N
1147076	3923	1998-08-01	VYDAJ	VYBER	4000	81064	\N	\N	\N
1147077	3923	1998-08-31	VYDAJ	VYBER	11500	86866	\N	\N	\N
1147078	3923	1998-09-30	VYDAJ	VYBER	15800	88380	\N	\N	\N
1147079	3923	1998-10-30	VYDAJ	VYBER	16000	87214	\N	\N	\N
1147080	3923	1998-11-29	VYDAJ	VYBER	17300	87234	\N	\N	\N
1147150	3924	1996-02-24	PRIJEM	VKLAD	300	300	\N	\N	\N
1147153	3924	1996-03-07	PRIJEM	PREVOD Z UCTU	4764	5064	DUCHOD	WX	80643486
1147154	3924	1996-04-07	PRIJEM	PREVOD Z UCTU	4764	9828	DUCHOD	WX	80643486
1147155	3924	1996-05-07	PRIJEM	PREVOD Z UCTU	4764	14592	DUCHOD	WX	80643486
1147156	3924	1996-06-07	PRIJEM	PREVOD Z UCTU	4764	19356	DUCHOD	WX	80643486
1147157	3924	1996-07-07	PRIJEM	PREVOD Z UCTU	4764	24120	DUCHOD	WX	80643486
1147158	3924	1996-08-07	PRIJEM	PREVOD Z UCTU	4764	25833	DUCHOD	WX	80643486
1147159	3924	1996-09-07	PRIJEM	PREVOD Z UCTU	4764	27582	DUCHOD	WX	80643486
1147160	3924	1996-10-07	PRIJEM	PREVOD Z UCTU	4764	29338	DUCHOD	WX	80643486
1147161	3924	1996-11-07	PRIJEM	PREVOD Z UCTU	4764	31101	DUCHOD	WX	80643486
1147162	3924	1996-12-07	PRIJEM	PREVOD Z UCTU	4764	30367	DUCHOD	WX	80643486
1147163	3924	1997-01-07	PRIJEM	PREVOD Z UCTU	4764	27554	DUCHOD	WX	80643486
1147164	3924	1997-02-07	PRIJEM	PREVOD Z UCTU	4764	22340	DUCHOD	WX	80643486
1147165	3924	1997-03-07	PRIJEM	PREVOD Z UCTU	4764	24074	DUCHOD	WX	80643486
1147166	3924	1997-04-07	PRIJEM	PREVOD Z UCTU	4764	25815	DUCHOD	WX	80643486
1147167	3924	1997-05-07	PRIJEM	PREVOD Z UCTU	4764	23795	DUCHOD	WX	80643486
1147168	3924	1997-06-07	PRIJEM	PREVOD Z UCTU	4764	18735	DUCHOD	WX	80643486
1147169	3924	1997-07-07	PRIJEM	PREVOD Z UCTU	4764	20463	DUCHOD	WX	80643486
1147170	3924	1997-08-07	PRIJEM	PREVOD Z UCTU	4764	22189	DUCHOD	WX	80643486
1147171	3924	1997-09-07	PRIJEM	PREVOD Z UCTU	4764	21599	DUCHOD	WX	80643486
1147172	3924	1997-10-07	PRIJEM	PREVOD Z UCTU	4764	23330	DUCHOD	WX	80643486
1147173	3924	1997-11-07	PRIJEM	PREVOD Z UCTU	4764	23227	DUCHOD	WX	80643486
1147174	3924	1997-12-07	PRIJEM	PREVOD Z UCTU	4764	24007	DUCHOD	WX	80643486
1147175	3924	1998-01-07	PRIJEM	PREVOD Z UCTU	4764	23476	DUCHOD	WX	80643486
1147176	3924	1998-02-07	PRIJEM	PREVOD Z UCTU	4764	18485	DUCHOD	WX	80643486
1147177	3924	1998-03-07	PRIJEM	PREVOD Z UCTU	4764	20202	DUCHOD	WX	80643486
1147178	3924	1998-04-07	PRIJEM	PREVOD Z UCTU	4764	18485	DUCHOD	WX	80643486
1147179	3924	1998-05-07	PRIJEM	PREVOD Z UCTU	4764	20203	DUCHOD	WX	80643486
1147180	3924	1998-06-07	PRIJEM	PREVOD Z UCTU	4764	21927	DUCHOD	WX	80643486
1147181	3924	1998-07-07	PRIJEM	PREVOD Z UCTU	4764	20086	DUCHOD	WX	80643486
1147182	3924	1998-08-07	PRIJEM	PREVOD Z UCTU	4764	21810	DUCHOD	WX	80643486
1147183	3924	1998-09-07	PRIJEM	PREVOD Z UCTU	4764	23542	DUCHOD	WX	80643486
1147184	3924	1998-10-07	PRIJEM	PREVOD Z UCTU	4764	25280	DUCHOD	WX	80643486
1147185	3924	1998-11-07	PRIJEM	PREVOD Z UCTU	4764	27026	DUCHOD	WX	80643486
1147186	3924	1998-12-07	PRIJEM	PREVOD Z UCTU	4764	27379	DUCHOD	WX	80643486
1147193	3924	1996-07-12	VYDAJ	PREVOD NA UCET	3093	21027	SIPO	KL	47621411
1147194	3924	1996-08-12	VYDAJ	PREVOD NA UCET	3093	22740	SIPO	KL	47621411
1147195	3924	1996-09-12	VYDAJ	PREVOD NA UCET	3093	24489	SIPO	KL	47621411
1147196	3924	1996-10-12	VYDAJ	PREVOD NA UCET	3093	26245	SIPO	KL	47621411
1147197	3924	1996-11-12	VYDAJ	PREVOD NA UCET	3093	28008	SIPO	KL	47621411
1147198	3924	1996-12-12	VYDAJ	PREVOD NA UCET	3093	27274	SIPO	KL	47621411
1147199	3924	1997-01-12	VYDAJ	PREVOD NA UCET	3093	22381	SIPO	KL	47621411
1147200	3924	1997-02-12	VYDAJ	PREVOD NA UCET	3093	19247	SIPO	KL	47621411
1147201	3924	1997-03-12	VYDAJ	PREVOD NA UCET	3093	20981	SIPO	KL	47621411
1147202	3924	1997-04-12	VYDAJ	PREVOD NA UCET	3093	22722	SIPO	KL	47621411
1147203	3924	1997-05-12	VYDAJ	PREVOD NA UCET	3093	20702	SIPO	KL	47621411
1147204	3924	1997-06-12	VYDAJ	PREVOD NA UCET	3093	15642	SIPO	KL	47621411
1147205	3924	1997-07-12	VYDAJ	PREVOD NA UCET	3093	17370	SIPO	KL	47621411
1147206	3924	1997-08-12	VYDAJ	PREVOD NA UCET	3093	19096	SIPO	KL	47621411
1147207	3924	1997-09-12	VYDAJ	PREVOD NA UCET	3093	18506	SIPO	KL	47621411
1147208	3924	1997-10-12	VYDAJ	PREVOD NA UCET	3093	20237	SIPO	KL	47621411
1147209	3924	1997-11-12	VYDAJ	PREVOD NA UCET	3093	20134	SIPO	KL	47621411
1147210	3924	1997-12-12	VYDAJ	PREVOD NA UCET	3093	20914	SIPO	KL	47621411
1147211	3924	1998-01-12	VYDAJ	PREVOD NA UCET	3093	18783	SIPO	KL	47621411
1147212	3924	1998-02-12	VYDAJ	PREVOD NA UCET	3093	15392	SIPO	KL	47621411
1147213	3924	1998-03-12	VYDAJ	PREVOD NA UCET	3093	17109	SIPO	KL	47621411
1147214	3924	1998-04-12	VYDAJ	PREVOD NA UCET	3093	15392	SIPO	KL	47621411
1147215	3924	1998-05-12	VYDAJ	PREVOD NA UCET	3093	17110	SIPO	KL	47621411
1147216	3924	1998-06-12	VYDAJ	PREVOD NA UCET	3093	18834	SIPO	KL	47621411
1147217	3924	1998-07-12	VYDAJ	PREVOD NA UCET	3093	16993	SIPO	KL	47621411
1147218	3924	1998-08-12	VYDAJ	PREVOD NA UCET	3093	18717	SIPO	KL	47621411
1147219	3924	1998-09-12	VYDAJ	PREVOD NA UCET	3093	20449	SIPO	KL	47621411
1147220	3924	1998-10-12	VYDAJ	PREVOD NA UCET	3093	22187	SIPO	KL	47621411
1147221	3924	1998-11-12	VYDAJ	PREVOD NA UCET	3093	23933	SIPO	KL	47621411
1147222	3924	1998-12-12	VYDAJ	PREVOD NA UCET	3093	24286	SIPO	KL	47621411
1147224	3924	1997-06-04	VYDAJ	VYBER	6800	13971	\N	\N	\N
1147225	3924	1998-06-20	VYDAJ	VYBER	2050	16784	\N	\N	\N
1147226	3924	1996-12-25	VYDAJ	VYBER	900	26374	\N	\N	\N
1147227	3924	1997-12-14	VYDAJ	VYBER	750	20164	\N	\N	\N
1147228	3924	1998-12-05	VYDAJ	VYBER	1400	22615	\N	\N	\N
1147235	3924	1997-01-26	VYDAJ	VYBER	1040	17501	\N	\N	\N
1147236	3924	1997-01-22	VYDAJ	VYBER	1760	18541	\N	\N	\N
1147237	3924	1997-01-01	VYDAJ	VYBER	1680	22790	\N	\N	\N
1147238	3924	1997-01-10	VYDAJ	VYBER	2080	25474	\N	\N	\N
1147239	3924	1997-01-01	VYDAJ	VYBER	2000	24470	\N	\N	\N
1147240	3924	1997-01-18	VYDAJ	VYBER	2080	20301	\N	\N	\N
1147241	3924	1998-01-15	VYDAJ	VYBER	1520	17263	\N	\N	\N
1147242	3924	1998-01-09	VYDAJ	VYBER	1600	21876	\N	\N	\N
1147245	3924	1998-01-03	VYDAJ	VYBER	1520	18712	\N	\N	\N
1147246	3924	1998-01-27	VYDAJ	VYBER	1360	13663	\N	\N	\N
1147247	3924	1996-11-19	VYDAJ	VYBER	800	27208	\N	\N	\N
1147251	3924	1997-08-19	VYDAJ	VYBER	2320	16776	\N	\N	\N
1147252	3924	1997-04-15	VYDAJ	VYBER	3280	19442	\N	\N	\N
1147253	3924	1997-11-18	VYDAJ	VYBER	960	19174	\N	\N	\N
1147254	3924	1997-10-22	VYDAJ	VYBER	720	19517	\N	\N	\N
1147255	3924	1997-04-16	VYDAJ	VYBER	480	18962	\N	\N	\N
1147256	3924	1997-11-02	VYDAJ	VYBER	1120	18463	\N	\N	\N
1147258	3924	1998-03-27	VYDAJ	VYBER	3440	13669	\N	\N	\N
1147260	3924	1998-06-28	VYDAJ	VYBER	1520	15264	\N	\N	\N
1147261	3924	1998-01-16	VYDAJ	VYBER	2240	15023	\N	\N	\N
1147269	3924	1996-07-31	VYDAJ	VYBER	15	21069	SLUZBY	\N	\N
1147270	3924	1996-08-31	VYDAJ	VYBER	15	22818	SLUZBY	\N	\N
1147271	3924	1996-09-30	VYDAJ	VYBER	15	24574	SLUZBY	\N	\N
1147272	3924	1996-10-31	VYDAJ	VYBER	15	26337	SLUZBY	\N	\N
1147273	3924	1996-11-30	VYDAJ	VYBER	15	25603	SLUZBY	\N	\N
1147274	3924	1996-12-31	VYDAJ	VYBER	15	26470	SLUZBY	\N	\N
1147275	3924	1997-01-31	VYDAJ	VYBER	15	17576	SLUZBY	\N	\N
1147276	3924	1997-02-28	VYDAJ	VYBER	15	19310	SLUZBY	\N	\N
1147277	3924	1997-03-31	VYDAJ	VYBER	15	21051	SLUZBY	\N	\N
1147278	3924	1997-04-30	VYDAJ	VYBER	15	19031	SLUZBY	\N	\N
1147279	3924	1997-05-31	VYDAJ	VYBER	15	20771	SLUZBY	\N	\N
1147280	3924	1997-06-30	VYDAJ	VYBER	15	15699	SLUZBY	\N	\N
1147281	3924	1997-07-31	VYDAJ	VYBER	15	17425	SLUZBY	\N	\N
1147282	3924	1997-08-31	VYDAJ	VYBER	15	16835	SLUZBY	\N	\N
1147283	3924	1997-09-30	VYDAJ	VYBER	15	18566	SLUZBY	\N	\N
1147284	3924	1997-10-31	VYDAJ	VYBER	15	19583	SLUZBY	\N	\N
1147285	3924	1997-11-30	VYDAJ	VYBER	15	19243	SLUZBY	\N	\N
1147286	3924	1997-12-31	VYDAJ	VYBER	15	20232	SLUZBY	\N	\N
1147287	3924	1998-01-31	VYDAJ	VYBER	15	13721	SLUZBY	\N	\N
1147288	3924	1998-02-28	VYDAJ	VYBER	15	15438	SLUZBY	\N	\N
1147289	3924	1998-03-31	VYDAJ	VYBER	15	13721	SLUZBY	\N	\N
1147290	3924	1998-04-30	VYDAJ	VYBER	15	15439	SLUZBY	\N	\N
1147291	3924	1998-05-31	VYDAJ	VYBER	15	17163	SLUZBY	\N	\N
1147292	3924	1998-06-30	VYDAJ	VYBER	15	15322	SLUZBY	\N	\N
1147293	3924	1998-07-31	VYDAJ	VYBER	15	17046	SLUZBY	\N	\N
1147294	3924	1998-08-31	VYDAJ	VYBER	15	18778	SLUZBY	\N	\N
1147295	3924	1998-09-30	VYDAJ	VYBER	15	20516	SLUZBY	\N	\N
1147296	3924	1998-10-31	VYDAJ	VYBER	15	22262	SLUZBY	\N	\N
1147297	3924	1998-11-30	VYDAJ	VYBER	15	24015	SLUZBY	\N	\N
1147298	3924	1996-11-20	VYDAJ	VYBER	1700	25508	\N	\N	\N
1147329	3925	1995-09-05	PRIJEM	VKLAD	400	400	\N	\N	\N
1147330	3925	1995-10-12	PRIJEM	VKLAD	34099	46099	\N	\N	\N
1147331	3925	1995-12-21	PRIJEM	VKLAD	47225	140989	\N	\N	\N
1147334	3925	1995-11-18	PRIJEM	VKLAD	36391	95113	\N	\N	\N
1147335	3925	1995-12-19	PRIJEM	VKLAD	21666	93764	\N	\N	\N
1147336	3925	1995-12-17	PRIJEM	VKLAD	24411	126198	\N	\N	\N
1147346	3925	1995-12-09	PRIJEM	VKLAD	46495	108290	\N	\N	\N
1147348	3925	1995-10-31	PRIJEM	VKLAD	30656	89189	\N	\N	\N
1147349	3925	1995-12-30	PRIJEM	VKLAD	30408	132597	\N	\N	\N
1147355	3925	1995-10-29	PRIJEM	VKLAD	12434	58533	\N	\N	\N
1147359	3925	1996-06-02	PRIJEM	VKLAD	29798	55816	\N	\N	\N
1147360	3925	1996-10-12	PRIJEM	VKLAD	39675	75655	\N	\N	\N
1147361	3925	1996-04-05	PRIJEM	VKLAD	38888	66560	\N	\N	\N
1147362	3925	1996-02-19	PRIJEM	VKLAD	12171	55758	\N	\N	\N
1147363	3925	1996-07-09	PRIJEM	VKLAD	22530	81200	\N	\N	\N
1147364	3925	1996-04-07	PRIJEM	VKLAD	10516	77076	\N	\N	\N
1147365	3925	1996-11-16	PRIJEM	VKLAD	12751	96407	\N	\N	\N
1147366	3925	1996-11-25	PRIJEM	VKLAD	13585	109992	\N	\N	\N
1147367	3925	1996-06-10	PRIJEM	VKLAD	5061	56621	\N	\N	\N
1147368	3925	1996-09-01	PRIJEM	VKLAD	31587	86967	\N	\N	\N
1147369	3925	1996-07-11	PRIJEM	VKLAD	6967	83911	\N	\N	\N
1147370	3925	1996-01-02	PRIJEM	VKLAD	47706	113043	\N	\N	\N
1147371	3925	1996-08-29	PRIJEM	VKLAD	7737	67625	\N	\N	\N
1147372	3925	1996-04-13	PRIJEM	VKLAD	15987	86560	\N	\N	\N
1147373	3925	1996-11-06	PRIJEM	VKLAD	49419	98859	\N	\N	\N
1147374	3925	1996-03-18	PRIJEM	VKLAD	5483	71355	\N	\N	\N
1147375	3925	1996-02-09	PRIJEM	VKLAD	39104	59090	\N	\N	\N
1147376	3925	1996-06-23	PRIJEM	VKLAD	40641	95015	\N	\N	\N
1147377	3925	1996-03-12	PRIJEM	VKLAD	22444	59315	\N	\N	\N
1147378	3925	1996-08-15	PRIJEM	VKLAD	42945	80190	\N	\N	\N
1147379	3925	1996-08-30	PRIJEM	VKLAD	18414	86039	\N	\N	\N
1147380	3925	1996-03-15	PRIJEM	VKLAD	8804	65872	\N	\N	\N
1147381	3925	1997-04-21	PRIJEM	VKLAD	9757	76947	\N	\N	\N
1147382	3925	1997-05-27	PRIJEM	VKLAD	12409	88752	\N	\N	\N
1147383	3925	1997-08-11	PRIJEM	VKLAD	35140	99194	\N	\N	\N
1147384	3925	1997-12-05	PRIJEM	VKLAD	27040	61050	\N	\N	\N
1147385	3925	1997-02-21	PRIJEM	VKLAD	42482	105365	\N	\N	\N
1147386	3925	1997-10-22	PRIJEM	VKLAD	9026	82894	\N	\N	\N
1147387	3925	1997-01-03	PRIJEM	VKLAD	23545	48372	\N	\N	\N
1147388	3925	1997-03-03	PRIJEM	VKLAD	47356	115808	\N	\N	\N
1147389	3925	1997-07-01	PRIJEM	VKLAD	42383	85151	\N	\N	\N
1147390	3925	1997-10-07	PRIJEM	VKLAD	26635	76028	\N	\N	\N
1147391	3925	1997-07-16	PRIJEM	VKLAD	33541	98212	\N	\N	\N
1147392	3925	1997-01-24	PRIJEM	VKLAD	15903	38572	\N	\N	\N
1147393	3925	1997-05-26	PRIJEM	VKLAD	16513	76343	\N	\N	\N
1147394	3925	1997-07-19	PRIJEM	VKLAD	38717	136929	\N	\N	\N
1147395	3925	1997-08-16	PRIJEM	VKLAD	6440	103387	\N	\N	\N
1147396	3925	1997-04-29	PRIJEM	VKLAD	34479	84670	\N	\N	\N
1147397	3925	1997-04-07	PRIJEM	VKLAD	26067	73693	\N	\N	\N
1147398	3925	1997-12-07	PRIJEM	VKLAD	11015	72065	\N	\N	\N
1147399	3925	1997-04-25	PRIJEM	VKLAD	38944	115891	\N	\N	\N
1147400	3925	1997-06-08	PRIJEM	VKLAD	28400	115510	\N	\N	\N
1147401	3925	1997-05-30	PRIJEM	VKLAD	28879	86831	\N	\N	\N
1147402	3925	1997-09-22	PRIJEM	VKLAD	14040	74753	\N	\N	\N
1147403	3925	1997-10-19	PRIJEM	VKLAD	45643	115168	\N	\N	\N
1147404	3925	1997-02-19	PRIJEM	VKLAD	38996	62883	\N	\N	\N
1147405	3925	1997-07-14	PRIJEM	VKLAD	36923	114071	\N	\N	\N
1147406	3925	1997-03-28	PRIJEM	VKLAD	20567	70948	\N	\N	\N
1147407	3925	1998-05-11	PRIJEM	VKLAD	46473	63293	\N	\N	\N
1147419	3925	1995-12-09	VYDAJ	PREVOD NA UCET	4256	104034	SIPO	WX	61645322
1147420	3925	1996-01-09	VYDAJ	PREVOD NA UCET	4256	56987	SIPO	WX	61645322
1147421	3925	1996-02-09	VYDAJ	PREVOD NA UCET	4256	54834	SIPO	WX	61645322
1147422	3925	1996-03-09	VYDAJ	PREVOD NA UCET	4256	36871	SIPO	WX	61645322
1147423	3925	1996-04-09	VYDAJ	PREVOD NA UCET	4256	72820	SIPO	WX	61645322
1147424	3925	1996-05-09	VYDAJ	PREVOD NA UCET	4256	34233	SIPO	WX	61645322
1147425	3925	1996-06-09	VYDAJ	PREVOD NA UCET	4256	51560	SIPO	WX	61645322
1147426	3925	1996-07-09	VYDAJ	PREVOD NA UCET	4256	76944	SIPO	WX	61645322
1147427	3925	1996-08-09	VYDAJ	PREVOD NA UCET	4256	41907	SIPO	WX	61645322
1147428	3925	1996-09-09	VYDAJ	PREVOD NA UCET	4256	82711	SIPO	WX	61645322
1147429	3925	1996-10-09	VYDAJ	PREVOD NA UCET	4256	35980	SIPO	WX	61645322
1147430	3925	1996-11-09	VYDAJ	PREVOD NA UCET	4256	94603	SIPO	WX	61645322
1147431	3925	1996-12-09	VYDAJ	PREVOD NA UCET	4256	54052	SIPO	WX	61645322
1147432	3925	1997-01-09	VYDAJ	PREVOD NA UCET	4256	44116	SIPO	WX	61645322
1147433	3925	1997-02-09	VYDAJ	PREVOD NA UCET	4256	26134	SIPO	WX	61645322
1147434	3925	1997-03-09	VYDAJ	PREVOD NA UCET	4256	67852	SIPO	WX	61645322
1147435	3925	1997-04-09	VYDAJ	PREVOD NA UCET	4256	69437	SIPO	WX	61645322
1147436	3925	1997-05-09	VYDAJ	PREVOD NA UCET	4256	72577	SIPO	WX	61645322
1147437	3925	1997-06-09	VYDAJ	PREVOD NA UCET	4256	82854	SIPO	WX	61645322
1147438	3925	1997-07-09	VYDAJ	PREVOD NA UCET	4256	79395	SIPO	WX	61645322
1147439	3925	1997-08-09	VYDAJ	PREVOD NA UCET	4256	64054	SIPO	WX	61645322
1147440	3925	1997-09-09	VYDAJ	PREVOD NA UCET	4256	62960	SIPO	WX	61645322
1147441	3925	1997-10-09	VYDAJ	PREVOD NA UCET	4256	71772	SIPO	WX	61645322
1147442	3925	1997-11-09	VYDAJ	PREVOD NA UCET	4256	47997	SIPO	WX	61645322
1147443	3925	1997-12-09	VYDAJ	PREVOD NA UCET	4256	61209	SIPO	WX	61645322
1147444	3925	1998-01-09	VYDAJ	PREVOD NA UCET	4256	22983	SIPO	WX	61645322
1147445	3925	1998-02-09	VYDAJ	PREVOD NA UCET	4256	15363	SIPO	WX	61645322
1147446	3925	1998-03-09	VYDAJ	PREVOD NA UCET	4256	15317	SIPO	WX	61645322
1147447	3925	1998-04-09	VYDAJ	PREVOD NA UCET	4256	14468	SIPO	WX	61645322
1147448	3925	1998-05-09	VYDAJ	PREVOD NA UCET	4256	16820	SIPO	WX	61645322
1147449	3925	1998-06-09	VYDAJ	PREVOD NA UCET	4256	29145	SIPO	WX	61645322
1147450	3925	1998-07-09	VYDAJ	PREVOD NA UCET	4256	24649	SIPO	WX	61645322
1147451	3925	1998-08-09	VYDAJ	PREVOD NA UCET	4256	22439	SIPO	WX	61645322
1147452	3925	1998-09-09	VYDAJ	PREVOD NA UCET	4256	22122	SIPO	WX	61645322
1147453	3925	1998-10-09	VYDAJ	PREVOD NA UCET	4256	21003	SIPO	WX	61645322
1147454	3925	1998-11-09	VYDAJ	PREVOD NA UCET	4256	25289	SIPO	WX	61645322
1147455	3925	1998-12-09	VYDAJ	PREVOD NA UCET	4256	27290	SIPO	WX	61645322
1147467	3925	1995-12-12	VYDAJ	PREVOD NA UCET	2247	101787	 	OP	25474483
1147468	3925	1996-01-12	VYDAJ	PREVOD NA UCET	2247	46940	 	OP	25474483
1147469	3925	1996-02-12	VYDAJ	PREVOD NA UCET	2247	52587	 	OP	25474483
1147470	3925	1996-03-12	VYDAJ	PREVOD NA UCET	2247	57068	 	OP	25474483
1147471	3925	1996-04-12	VYDAJ	PREVOD NA UCET	2247	70573	 	OP	25474483
1147472	3925	1996-05-12	VYDAJ	PREVOD NA UCET	2247	31986	 	OP	25474483
1147473	3925	1996-06-12	VYDAJ	PREVOD NA UCET	2247	54374	 	OP	25474483
1147474	3925	1996-07-12	VYDAJ	PREVOD NA UCET	2247	81664	 	OP	25474483
1147475	3925	1996-08-12	VYDAJ	PREVOD NA UCET	2247	39660	 	OP	25474483
1147476	3925	1996-09-12	VYDAJ	PREVOD NA UCET	2247	80464	 	OP	25474483
1147477	3925	1996-10-12	VYDAJ	PREVOD NA UCET	2247	73408	 	OP	25474483
1147478	3925	1996-11-12	VYDAJ	PREVOD NA UCET	2247	83656	 	OP	25474483
1147479	3925	1996-12-12	VYDAJ	PREVOD NA UCET	2247	49705	 	OP	25474483
1147480	3925	1997-01-12	VYDAJ	PREVOD NA UCET	2247	41869	 	OP	25474483
1147481	3925	1997-02-12	VYDAJ	PREVOD NA UCET	2247	23887	 	OP	25474483
1147482	3925	1997-03-12	VYDAJ	PREVOD NA UCET	2247	65605	 	OP	25474483
1147483	3925	1997-04-12	VYDAJ	PREVOD NA UCET	2247	67190	 	OP	25474483
1147484	3925	1997-05-12	VYDAJ	PREVOD NA UCET	2247	70330	 	OP	25474483
1147485	3925	1997-06-12	VYDAJ	PREVOD NA UCET	2247	76107	 	OP	25474483
1147486	3925	1997-07-12	VYDAJ	PREVOD NA UCET	2247	77148	 	OP	25474483
1147487	3925	1997-08-12	VYDAJ	PREVOD NA UCET	2247	96947	 	OP	25474483
1147488	3925	1997-09-12	VYDAJ	PREVOD NA UCET	2247	60713	 	OP	25474483
1147489	3925	1997-10-12	VYDAJ	PREVOD NA UCET	2247	69525	 	OP	25474483
1147490	3925	1997-11-12	VYDAJ	PREVOD NA UCET	2247	39150	 	OP	25474483
1147491	3925	1997-12-12	VYDAJ	PREVOD NA UCET	2247	58962	 	OP	25474483
1147492	3925	1998-01-12	VYDAJ	PREVOD NA UCET	2247	20736	 	OP	25474483
1147493	3925	1998-02-12	VYDAJ	PREVOD NA UCET	2247	13116	 	OP	25474483
1147494	3925	1998-03-12	VYDAJ	PREVOD NA UCET	2247	13070	 	OP	25474483
1147495	3925	1998-04-12	VYDAJ	PREVOD NA UCET	2247	12221	 	OP	25474483
1147496	3925	1998-05-12	VYDAJ	PREVOD NA UCET	2247	61046	 	OP	25474483
1147497	3925	1998-06-12	VYDAJ	PREVOD NA UCET	2247	26898	 	OP	25474483
1147498	3925	1998-07-12	VYDAJ	PREVOD NA UCET	2247	22402	 	OP	25474483
1147499	3925	1998-08-12	VYDAJ	PREVOD NA UCET	2247	20192	 	OP	25474483
1147500	3925	1998-09-12	VYDAJ	PREVOD NA UCET	2247	19875	 	OP	25474483
1147501	3925	1998-10-12	VYDAJ	PREVOD NA UCET	2247	18756	 	OP	25474483
1147502	3925	1998-11-12	VYDAJ	PREVOD NA UCET	2247	23042	 	OP	25474483
1147503	3925	1998-12-12	VYDAJ	PREVOD NA UCET	2247	25043	 	OP	25474483
1147513	3925	1996-01-13	VYBER	VYBER	19199	27741	\N	\N	\N
1147514	3925	1996-07-24	VYBER	VYBER	18121	63543	\N	\N	\N
1147515	3925	1996-03-23	VYBER	VYBER	3509	44509	\N	\N	\N
1147516	3925	1996-09-19	VYBER	VYBER	23278	57186	\N	\N	\N
1147517	3925	1996-04-25	VYBER	VYBER	10224	73387	\N	\N	\N
1147518	3925	1996-08-13	VYBER	VYBER	2415	37245	\N	\N	\N
1147519	3925	1996-05-02	VYBER	VYBER	10780	52089	\N	\N	\N
1147520	3925	1996-03-23	VYBER	VYBER	23337	48018	\N	\N	\N
1147521	3925	1996-08-17	VYBER	VYBER	20302	59888	\N	\N	\N
1147522	3925	1996-03-24	VYBER	VYBER	18029	26480	\N	\N	\N
1147523	3925	1996-12-22	VYBER	VYBER	4519	45186	\N	\N	\N
1147524	3925	1996-04-16	VYBER	VYBER	2949	83611	\N	\N	\N
1147525	3925	1996-12-28	VYBER	VYBER	22445	24641	\N	\N	\N
1147526	3925	1997-03-17	VYBER	VYBER	15224	50381	\N	\N	\N
1147537	3925	1997-06-13	VYDAJ	VYBER	19200	56907	\N	\N	\N
1147544	3925	1996-12-11	VYDAJ	VYBER	2100	51952	\N	\N	\N
1147545	3925	1997-12-08	VYDAJ	VYBER	6600	65465	\N	\N	\N
1147546	3925	1998-12-27	VYDAJ	VYBER	3000	28143	\N	\N	\N
1147553	3925	1996-01-29	VYDAJ	VYBER	2700	18741	\N	\N	\N
1147554	3925	1996-01-10	VYDAJ	VYBER	7800	49187	\N	\N	\N
1147555	3925	1996-01-25	VYDAJ	VYBER	4500	21441	\N	\N	\N
1147558	3925	1996-01-14	VYDAJ	VYBER	1800	25941	\N	\N	\N
1147559	3925	1997-01-28	VYDAJ	VYBER	3300	30272	\N	\N	\N
1147560	3925	1997-01-22	VYDAJ	VYBER	3900	25069	\N	\N	\N
1147561	3925	1997-01-16	VYDAJ	VYBER	4800	37069	\N	\N	\N
1147563	3925	1997-01-16	VYDAJ	VYBER	8100	28969	\N	\N	\N
1147564	3925	1997-01-23	VYDAJ	VYBER	2400	22669	\N	\N	\N
1147566	3925	1998-01-03	VYDAJ	VYBER	5100	31439	\N	\N	\N
1147569	3925	1998-01-06	VYDAJ	VYBER	1500	29939	\N	\N	\N
1147570	3925	1998-01-07	VYDAJ	VYBER	2700	27239	\N	\N	\N
1147574	3925	1996-11-11	VYDAJ	VYBER	8700	85903	\N	\N	\N
1147575	3925	1996-05-01	VYDAJ	VYBER	10800	62869	\N	\N	\N
1147576	3925	1996-02-17	VYDAJ	VYBER	9000	43587	\N	\N	\N
1147579	3925	1997-11-01	VYDAJ	VYBER	2400	52253	\N	\N	\N
1147580	3925	1997-07-01	VYDAJ	VYBER	1500	83651	\N	\N	\N
1147581	3925	1997-11-10	VYDAJ	VYBER	6600	41397	\N	\N	\N
1147582	3925	1997-12-15	VYDAJ	VYBER	7500	51462	\N	\N	\N
1147583	3925	1997-06-09	VYDAJ	VYBER	4500	78354	\N	\N	\N
1147584	3925	1997-05-08	VYDAJ	VYBER	8100	76833	\N	\N	\N
1147585	3925	1997-05-15	VYDAJ	VYBER	10500	59830	\N	\N	\N
1147589	3925	1998-05-26	VYDAJ	VYBER	14400	33246	\N	\N	\N
1147602	3925	1995-12-31	VYDAJ	VYBER	15	115837	SLUZBY	\N	\N
1147603	3925	1996-01-31	VYDAJ	VYBER	15	18886	SLUZBY	\N	\N
1147604	3925	1996-02-29	VYDAJ	VYBER	15	55927	SLUZBY	\N	\N
1147605	3925	1996-03-31	VYDAJ	VYBER	15	26672	SLUZBY	\N	\N
1147606	3925	1996-04-30	VYDAJ	VYBER	15	73669	SLUZBY	\N	\N
1147607	3925	1996-05-31	VYDAJ	VYBER	15	32118	SLUZBY	\N	\N
1147608	3925	1996-06-30	VYDAJ	VYBER	15	95270	SLUZBY	\N	\N
1147609	3925	1996-07-31	VYDAJ	VYBER	15	63863	SLUZBY	\N	\N
1147610	3925	1996-08-31	VYDAJ	VYBER	15	55380	SLUZBY	\N	\N
1147611	3925	1996-09-30	VYDAJ	VYBER	15	40236	SLUZBY	\N	\N
1147612	3925	1996-10-31	VYDAJ	VYBER	15	49440	SLUZBY	\N	\N
1147613	3925	1996-11-30	VYDAJ	VYBER	15	58308	SLUZBY	\N	\N
1147614	3925	1996-12-31	VYDAJ	VYBER	15	24827	SLUZBY	\N	\N
1147615	3925	1997-01-31	VYDAJ	VYBER	15	30390	SLUZBY	\N	\N
1147616	3925	1997-02-28	VYDAJ	VYBER	15	68452	SLUZBY	\N	\N
1147617	3925	1997-03-31	VYDAJ	VYBER	15	47626	SLUZBY	\N	\N
1147618	3925	1997-04-30	VYDAJ	VYBER	15	84933	SLUZBY	\N	\N
1147619	3925	1997-05-31	VYDAJ	VYBER	15	87110	SLUZBY	\N	\N
1147620	3925	1997-06-30	VYDAJ	VYBER	15	42768	SLUZBY	\N	\N
1147621	3925	1997-07-31	VYDAJ	VYBER	15	68310	SLUZBY	\N	\N
1147622	3925	1997-08-31	VYDAJ	VYBER	15	67216	SLUZBY	\N	\N
1147623	3925	1997-09-30	VYDAJ	VYBER	15	49393	SLUZBY	\N	\N
1147624	3925	1997-10-31	VYDAJ	VYBER	15	54653	SLUZBY	\N	\N
1147625	3925	1997-11-30	VYDAJ	VYBER	15	34010	SLUZBY	\N	\N
1147626	3925	1997-12-31	VYDAJ	VYBER	15	36539	SLUZBY	\N	\N
1147627	3925	1998-01-31	VYDAJ	VYBER	15	19619	SLUZBY	\N	\N
1147628	3925	1998-02-28	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
1147629	3925	1998-03-31	VYDAJ	VYBER	15	18724	SLUZBY	\N	\N
1147630	3925	1998-04-30	VYDAJ	VYBER	15	21076	SLUZBY	\N	\N
1147631	3925	1998-05-31	VYDAJ	VYBER	15	33401	SLUZBY	\N	\N
1147632	3925	1998-06-30	VYDAJ	VYBER	15	28905	SLUZBY	\N	\N
1147633	3925	1998-07-31	VYDAJ	VYBER	15	26695	SLUZBY	\N	\N
1147634	3925	1998-08-31	VYDAJ	VYBER	15	26378	SLUZBY	\N	\N
1147635	3925	1998-09-30	VYDAJ	VYBER	15	25259	SLUZBY	\N	\N
1147636	3925	1998-10-31	VYDAJ	VYBER	15	29545	SLUZBY	\N	\N
1147637	3925	1998-11-30	VYDAJ	VYBER	15	31546	SLUZBY	\N	\N
1147638	3925	1995-10-05	PRIJEM	VKLAD	11600	12000	\N	\N	\N
1147639	3925	1995-11-04	VYDAJ	VYBER	30600	58722	\N	\N	\N
1147640	3925	1995-12-04	VYDAJ	VYBER	33700	61795	\N	\N	\N
1147641	3925	1995-12-17	VYDAJ	VYBER	54100	72098	\N	\N	\N
1147642	3925	1995-12-21	VYDAJ	VYBER	38800	102189	\N	\N	\N
1147643	3925	1995-12-30	VYDAJ	VYBER	17200	115397	\N	\N	\N
1147644	3925	1995-12-31	VYDAJ	VYBER	50500	65337	\N	\N	\N
1147645	3925	1996-01-02	VYDAJ	VYBER	20300	92743	\N	\N	\N
1147646	3925	1996-01-03	VYDAJ	VYBER	31500	61243	\N	\N	\N
1147647	3925	1996-02-02	PRIJEM	VKLAD	1100	19986	\N	\N	\N
1147648	3925	1996-03-03	VYDAJ	VYBER	14800	41127	\N	\N	\N
1147649	3925	1996-04-02	PRIJEM	VKLAD	1000	27672	\N	\N	\N
1147650	3925	1996-05-02	VYDAJ	VYBER	13600	38489	\N	\N	\N
1147651	3925	1996-06-01	VYDAJ	VYBER	6100	26018	\N	\N	\N
1147652	3925	1996-07-01	VYDAJ	VYBER	36600	58670	\N	\N	\N
1147653	3925	1996-07-31	VYDAJ	VYBER	17700	46163	\N	\N	\N
1147654	3925	1996-08-30	VYDAJ	VYBER	30900	55139	\N	\N	\N
1147655	3925	1996-09-29	VYDAJ	VYBER	17200	39986	\N	\N	\N
1147656	3925	1996-10-29	VYDAJ	VYBER	24200	49208	\N	\N	\N
1147657	3925	1996-11-25	VYDAJ	VYBER	16400	93592	\N	\N	\N
1147658	3925	1996-11-28	VYDAJ	VYBER	35600	57992	\N	\N	\N
1147659	3925	1996-12-28	PRIJEM	VKLAD	1900	47086	\N	\N	\N
1147660	3925	1997-01-27	VYDAJ	VYBER	5000	33572	\N	\N	\N
1147661	3925	1997-02-26	VYDAJ	VYBER	37100	68265	\N	\N	\N
1147662	3925	1997-03-03	VYDAJ	VYBER	43700	72108	\N	\N	\N
1147663	3925	1997-03-28	VYDAJ	VYBER	23600	47348	\N	\N	\N
1147664	3925	1997-04-25	VYDAJ	VYBER	43900	71991	\N	\N	\N
1147665	3925	1997-04-27	VYDAJ	VYBER	21800	50191	\N	\N	\N
1147666	3925	1997-05-27	VYDAJ	VYBER	30800	57952	\N	\N	\N
1147667	3925	1997-06-08	VYDAJ	VYBER	28400	87110	\N	\N	\N
1147668	3925	1997-06-26	VYDAJ	VYBER	14400	42507	\N	\N	\N
1147669	3925	1997-07-14	VYDAJ	VYBER	49400	64671	\N	\N	\N
1147670	3925	1997-07-19	VYDAJ	VYBER	31700	105229	\N	\N	\N
1147671	3925	1997-07-26	VYDAJ	VYBER	37300	67929	\N	\N	\N
1147672	3925	1997-08-25	VYDAJ	VYBER	36500	66887	\N	\N	\N
1147673	3925	1997-09-24	VYDAJ	VYBER	25600	49153	\N	\N	\N
1147674	3925	1997-10-19	VYDAJ	VYBER	41300	73868	\N	\N	\N
1147675	3925	1997-10-24	VYDAJ	VYBER	28500	54394	\N	\N	\N
1147676	3925	1997-11-23	VYDAJ	VYBER	5300	33850	\N	\N	\N
1147677	3925	1997-12-23	VYDAJ	VYBER	15100	36362	\N	\N	\N
1147678	3925	1998-01-22	VYDAJ	VYBER	1200	19536	\N	\N	\N
1147679	3925	1998-02-21	PRIJEM	VKLAD	6400	19516	\N	\N	\N
1147680	3925	1998-03-23	PRIJEM	VKLAD	5600	18670	\N	\N	\N
1147681	3925	1998-04-22	PRIJEM	VKLAD	8800	21021	\N	\N	\N
1147682	3925	1998-05-22	VYDAJ	VYBER	13400	47646	\N	\N	\N
1147683	3925	1998-06-21	PRIJEM	VKLAD	1900	28798	\N	\N	\N
1147684	3925	1998-07-21	PRIJEM	VKLAD	4200	26602	\N	\N	\N
1147685	3925	1998-08-20	PRIJEM	VKLAD	6100	26292	\N	\N	\N
1147686	3925	1998-09-19	PRIJEM	VKLAD	5300	25175	\N	\N	\N
1147687	3925	1998-10-19	PRIJEM	VKLAD	10700	29456	\N	\N	\N
1147688	3925	1998-11-18	PRIJEM	VKLAD	8400	31442	\N	\N	\N
1147689	3925	1998-12-18	PRIJEM	VKLAD	6100	31143	\N	\N	\N
1147729	3926	1994-09-11	PRIJEM	VKLAD	400	400	\N	\N	\N
1147739	3926	1994-10-10	PRIJEM	PREVOD Z UCTU	5427	5827	DUCHOD	QR	96191042
1147740	3926	1994-11-10	PRIJEM	PREVOD Z UCTU	5427	11254	DUCHOD	QR	96191042
1147741	3926	1994-12-10	PRIJEM	PREVOD Z UCTU	5427	16681	DUCHOD	QR	96191042
1147742	3926	1995-01-10	PRIJEM	PREVOD Z UCTU	5427	22108	DUCHOD	QR	96191042
1147743	3926	1995-02-10	PRIJEM	PREVOD Z UCTU	5427	27535	DUCHOD	QR	96191042
1147744	3926	1995-03-10	PRIJEM	PREVOD Z UCTU	5427	30783	DUCHOD	QR	96191042
1147745	3926	1995-04-10	PRIJEM	PREVOD Z UCTU	5427	32777	DUCHOD	QR	96191042
1147746	3926	1995-05-10	PRIJEM	PREVOD Z UCTU	5427	36082	DUCHOD	QR	96191042
1147747	3926	1995-06-10	PRIJEM	PREVOD Z UCTU	5427	36114	DUCHOD	QR	96191042
1147748	3926	1995-07-10	PRIJEM	PREVOD Z UCTU	5427	34978	DUCHOD	QR	96191042
1147749	3926	1995-08-10	PRIJEM	PREVOD Z UCTU	5427	36514	DUCHOD	QR	96191042
1147750	3926	1995-09-10	PRIJEM	PREVOD Z UCTU	5427	39836	DUCHOD	QR	96191042
1147751	3926	1995-10-10	PRIJEM	PREVOD Z UCTU	5427	42268	DUCHOD	QR	96191042
1147752	3926	1995-11-10	PRIJEM	PREVOD Z UCTU	5427	45113	DUCHOD	QR	96191042
1147753	3926	1995-12-10	PRIJEM	PREVOD Z UCTU	5427	43879	DUCHOD	QR	96191042
1147754	3926	1996-01-10	PRIJEM	PREVOD Z UCTU	5427	43853	DUCHOD	QR	96191042
1147755	3926	1996-02-10	PRIJEM	PREVOD Z UCTU	5427	37070	DUCHOD	QR	96191042
1147756	3926	1996-03-10	PRIJEM	PREVOD Z UCTU	5427	37694	DUCHOD	QR	96191042
1147757	3926	1996-04-10	PRIJEM	PREVOD Z UCTU	5427	38121	DUCHOD	QR	96191042
1147758	3926	1996-05-10	PRIJEM	PREVOD Z UCTU	5427	40451	DUCHOD	QR	96191042
1147759	3926	1996-06-10	PRIJEM	PREVOD Z UCTU	5427	31988	DUCHOD	QR	96191042
1147760	3926	1996-07-10	PRIJEM	PREVOD Z UCTU	5427	35297	DUCHOD	QR	96191042
1147761	3926	1996-08-10	PRIJEM	PREVOD Z UCTU	5427	38610	DUCHOD	QR	96191042
1147762	3926	1996-09-10	PRIJEM	PREVOD Z UCTU	5427	39532	DUCHOD	QR	96191042
1147763	3926	1996-10-10	PRIJEM	PREVOD Z UCTU	5427	42863	DUCHOD	QR	96191042
1147764	3926	1996-11-10	PRIJEM	PREVOD Z UCTU	5427	41402	DUCHOD	QR	96191042
1147765	3926	1996-12-10	PRIJEM	PREVOD Z UCTU	5427	42840	DUCHOD	QR	96191042
1147766	3926	1997-01-10	PRIJEM	PREVOD Z UCTU	5427	42604	DUCHOD	QR	96191042
1147767	3926	1997-02-10	PRIJEM	PREVOD Z UCTU	5427	32859	DUCHOD	QR	96191042
1147768	3926	1997-03-10	PRIJEM	PREVOD Z UCTU	5427	31279	DUCHOD	QR	96191042
1147769	3926	1997-04-10	PRIJEM	PREVOD Z UCTU	5427	33938	DUCHOD	QR	96191042
1147770	3926	1997-05-10	PRIJEM	PREVOD Z UCTU	5427	37246	DUCHOD	QR	96191042
1147771	3926	1997-06-10	PRIJEM	PREVOD Z UCTU	5427	40567	DUCHOD	QR	96191042
1147772	3926	1997-07-10	PRIJEM	PREVOD Z UCTU	5427	30715	DUCHOD	QR	96191042
1147773	3926	1997-08-10	PRIJEM	PREVOD Z UCTU	5427	34012	DUCHOD	QR	96191042
1147774	3926	1997-09-10	PRIJEM	PREVOD Z UCTU	5427	37319	DUCHOD	QR	96191042
1147775	3926	1997-10-10	PRIJEM	PREVOD Z UCTU	5427	40640	DUCHOD	QR	96191042
1147776	3926	1997-11-10	PRIJEM	PREVOD Z UCTU	5427	43975	DUCHOD	QR	96191042
1147777	3926	1997-12-10	PRIJEM	PREVOD Z UCTU	5427	47324	DUCHOD	QR	96191042
1147778	3926	1998-01-10	PRIJEM	PREVOD Z UCTU	5427	44704	DUCHOD	QR	96191042
1147779	3926	1998-02-10	PRIJEM	PREVOD Z UCTU	5427	43140	DUCHOD	QR	96191042
1147780	3926	1998-03-10	PRIJEM	PREVOD Z UCTU	5427	45201	DUCHOD	QR	96191042
1147781	3926	1998-04-10	PRIJEM	PREVOD Z UCTU	5427	48555	DUCHOD	QR	96191042
1147782	3926	1998-05-10	PRIJEM	PREVOD Z UCTU	5427	51922	DUCHOD	QR	96191042
1147783	3926	1998-06-10	PRIJEM	PREVOD Z UCTU	5427	52499	DUCHOD	QR	96191042
1147784	3926	1998-07-10	PRIJEM	PREVOD Z UCTU	5427	37606	DUCHOD	QR	96191042
1147785	3926	1998-08-10	PRIJEM	PREVOD Z UCTU	5427	40928	DUCHOD	QR	96191042
1147786	3926	1998-09-10	PRIJEM	PREVOD Z UCTU	5427	41136	DUCHOD	QR	96191042
1147787	3926	1998-10-10	PRIJEM	PREVOD Z UCTU	5427	44472	DUCHOD	QR	96191042
1147788	3926	1998-11-10	PRIJEM	PREVOD Z UCTU	5427	46720	DUCHOD	QR	96191042
1147789	3926	1998-12-10	PRIJEM	PREVOD Z UCTU	5427	50079	DUCHOD	QR	96191042
1147803	3926	1995-02-11	VYDAJ	PREVOD NA UCET	2232	25303	SIPO	IJ	55667674
1147804	3926	1995-03-11	VYDAJ	PREVOD NA UCET	2232	27851	SIPO	IJ	55667674
1147805	3926	1995-04-11	VYDAJ	PREVOD NA UCET	2232	30545	SIPO	IJ	55667674
1147806	3926	1995-05-11	VYDAJ	PREVOD NA UCET	2232	33850	SIPO	IJ	55667674
1147807	3926	1995-06-11	VYDAJ	PREVOD NA UCET	2232	33882	SIPO	IJ	55667674
1147808	3926	1995-07-11	VYDAJ	PREVOD NA UCET	2232	32746	SIPO	IJ	55667674
1147809	3926	1995-08-11	VYDAJ	PREVOD NA UCET	2232	34282	SIPO	IJ	55667674
1147810	3926	1995-09-11	VYDAJ	PREVOD NA UCET	2232	37604	SIPO	IJ	55667674
1147811	3926	1995-10-11	VYDAJ	PREVOD NA UCET	2232	40036	SIPO	IJ	55667674
1147812	3926	1995-11-11	VYDAJ	PREVOD NA UCET	2232	42881	SIPO	IJ	55667674
1147813	3926	1995-12-11	VYDAJ	PREVOD NA UCET	2232	41647	SIPO	IJ	55667674
1147814	3926	1996-01-11	VYDAJ	PREVOD NA UCET	2232	41621	SIPO	IJ	55667674
1147815	3926	1996-02-11	VYDAJ	PREVOD NA UCET	2232	34838	SIPO	IJ	55667674
1147816	3926	1996-03-11	VYDAJ	PREVOD NA UCET	2232	35462	SIPO	IJ	55667674
1147817	3926	1996-04-11	VYDAJ	PREVOD NA UCET	2232	35889	SIPO	IJ	55667674
1147818	3926	1996-05-11	VYDAJ	PREVOD NA UCET	2232	38219	SIPO	IJ	55667674
1147819	3926	1996-06-11	VYDAJ	PREVOD NA UCET	2232	29756	SIPO	IJ	55667674
1147820	3926	1996-07-11	VYDAJ	PREVOD NA UCET	2232	33065	SIPO	IJ	55667674
1147821	3926	1996-08-11	VYDAJ	PREVOD NA UCET	2232	36378	SIPO	IJ	55667674
1147822	3926	1996-09-11	VYDAJ	PREVOD NA UCET	2232	37300	SIPO	IJ	55667674
1147823	3926	1996-10-11	VYDAJ	PREVOD NA UCET	2232	40631	SIPO	IJ	55667674
1147824	3926	1996-11-11	VYDAJ	PREVOD NA UCET	2232	39170	SIPO	IJ	55667674
1147825	3926	1996-12-11	VYDAJ	PREVOD NA UCET	2232	40608	SIPO	IJ	55667674
1147826	3926	1997-01-11	VYDAJ	PREVOD NA UCET	2232	40372	SIPO	IJ	55667674
1147827	3926	1997-02-11	VYDAJ	PREVOD NA UCET	2232	30627	SIPO	IJ	55667674
1147828	3926	1997-03-11	VYDAJ	PREVOD NA UCET	2232	29047	SIPO	IJ	55667674
1147829	3926	1997-04-11	VYDAJ	PREVOD NA UCET	2232	31706	SIPO	IJ	55667674
1147830	3926	1997-05-11	VYDAJ	PREVOD NA UCET	2232	35014	SIPO	IJ	55667674
1147831	3926	1997-06-11	VYDAJ	PREVOD NA UCET	2232	38335	SIPO	IJ	55667674
1147832	3926	1997-07-11	VYDAJ	PREVOD NA UCET	2232	28483	SIPO	IJ	55667674
1147833	3926	1997-08-11	VYDAJ	PREVOD NA UCET	2232	31780	SIPO	IJ	55667674
1147834	3926	1997-09-11	VYDAJ	PREVOD NA UCET	2232	35087	SIPO	IJ	55667674
1147835	3926	1997-10-11	VYDAJ	PREVOD NA UCET	2232	38408	SIPO	IJ	55667674
1147836	3926	1997-11-11	VYDAJ	PREVOD NA UCET	2232	41743	SIPO	IJ	55667674
1147837	3926	1997-12-11	VYDAJ	PREVOD NA UCET	2232	45092	SIPO	IJ	55667674
1147838	3926	1998-01-11	VYDAJ	PREVOD NA UCET	2232	42472	SIPO	IJ	55667674
1147839	3926	1998-02-11	VYDAJ	PREVOD NA UCET	2232	39628	SIPO	IJ	55667674
1147840	3926	1998-03-11	VYDAJ	PREVOD NA UCET	2232	42969	SIPO	IJ	55667674
1147841	3926	1998-04-11	VYDAJ	PREVOD NA UCET	2232	46323	SIPO	IJ	55667674
1147842	3926	1998-05-11	VYDAJ	PREVOD NA UCET	2232	49690	SIPO	IJ	55667674
1147843	3926	1998-06-11	VYDAJ	PREVOD NA UCET	2232	50267	SIPO	IJ	55667674
1147844	3926	1998-07-11	VYDAJ	PREVOD NA UCET	2232	35374	SIPO	IJ	55667674
1147845	3926	1998-08-11	VYDAJ	PREVOD NA UCET	2232	38696	SIPO	IJ	55667674
1147846	3926	1998-09-11	VYDAJ	PREVOD NA UCET	2232	38904	SIPO	IJ	55667674
1147847	3926	1998-10-11	VYDAJ	PREVOD NA UCET	2232	42240	SIPO	IJ	55667674
1147848	3926	1998-11-11	VYDAJ	PREVOD NA UCET	2232	44488	SIPO	IJ	55667674
1147849	3926	1998-12-11	VYDAJ	PREVOD NA UCET	2232	47847	SIPO	IJ	55667674
1147851	3926	1995-06-23	VYDAJ	VYBER	2150	31732	\N	\N	\N
1147852	3926	1996-06-06	VYDAJ	VYBER	9100	26561	\N	\N	\N
1147853	3926	1997-06-28	VYDAJ	VYBER	9500	26515	\N	\N	\N
1147854	3926	1998-06-13	VYDAJ	VYBER	14950	32037	\N	\N	\N
1147857	3926	1996-01-21	VYDAJ	VYBER	2300	34121	\N	\N	\N
1147858	3926	1997-01-23	VYDAJ	VYBER	3800	36012	\N	\N	\N
1147859	3926	1998-01-12	VYDAJ	VYBER	2750	39722	\N	\N	\N
1147861	3926	1995-12-05	VYDAJ	VYBER	1450	40952	\N	\N	\N
1147862	3926	1996-12-12	VYDAJ	VYBER	300	40308	\N	\N	\N
1147863	3926	1997-12-19	VYDAJ	VYBER	1100	43992	\N	\N	\N
1147864	3926	1998-12-12	VYDAJ	VYBER	550	47297	\N	\N	\N
1147877	3926	1996-01-19	VYDAJ	VYBER	1840	37141	\N	\N	\N
1147878	3926	1996-01-01	VYDAJ	VYBER	1680	40126	\N	\N	\N
1147879	3926	1996-01-14	VYDAJ	VYBER	560	41061	\N	\N	\N
1147880	3926	1996-01-18	VYDAJ	VYBER	2080	38981	\N	\N	\N
1147881	3926	1996-01-25	VYDAJ	VYBER	1120	33001	\N	\N	\N
1147882	3926	1996-01-19	VYDAJ	VYBER	720	36421	\N	\N	\N
1147883	3926	1997-01-27	VYDAJ	VYBER	1120	28652	\N	\N	\N
1147884	3926	1997-01-22	VYDAJ	VYBER	560	39812	\N	\N	\N
1147885	3926	1997-01-23	VYDAJ	VYBER	2000	34012	\N	\N	\N
1147886	3926	1997-01-30	VYDAJ	VYBER	1360	27292	\N	\N	\N
1147887	3926	1997-01-27	VYDAJ	VYBER	2160	29772	\N	\N	\N
1147888	3926	1997-01-24	VYDAJ	VYBER	2080	31932	\N	\N	\N
1147889	3926	1998-01-07	VYDAJ	VYBER	720	39277	\N	\N	\N
1147890	3926	1998-01-23	VYDAJ	VYBER	1440	38282	\N	\N	\N
1147891	3926	1998-01-05	VYDAJ	VYBER	880	39997	\N	\N	\N
1147892	3926	1998-01-04	VYDAJ	VYBER	1280	40877	\N	\N	\N
1147893	3926	1998-01-29	VYDAJ	VYBER	720	37562	\N	\N	\N
1147894	3926	1998-01-02	VYDAJ	VYBER	2000	42157	\N	\N	\N
1147901	3926	1995-11-27	VYDAJ	VYBER	640	42241	\N	\N	\N
1147902	3926	1995-05-20	VYDAJ	VYBER	3280	30570	\N	\N	\N
1147903	3926	1995-07-11	VYDAJ	VYBER	480	32266	\N	\N	\N
1147904	3926	1996-08-16	VYDAJ	VYBER	2400	33978	\N	\N	\N
1147905	3926	1996-10-17	VYDAJ	VYBER	2800	37831	\N	\N	\N
1147906	3926	1996-12-29	VYDAJ	VYBER	1280	38628	\N	\N	\N
1147907	3926	1997-06-24	VYDAJ	VYBER	2320	36015	\N	\N	\N
1147908	3926	1997-03-12	VYDAJ	VYBER	640	28407	\N	\N	\N
1147909	3926	1997-01-08	VYDAJ	VYBER	1600	37177	\N	\N	\N
1147910	3926	1997-03-09	VYDAJ	VYBER	3440	25852	\N	\N	\N
1147911	3926	1997-02-17	VYDAJ	VYBER	1440	29187	\N	\N	\N
1147912	3926	1997-07-06	VYDAJ	VYBER	1360	25288	\N	\N	\N
1147913	3926	1998-06-12	VYDAJ	VYBER	3280	46987	\N	\N	\N
1147914	3926	1998-02-11	VYDAJ	VYBER	1280	41860	\N	\N	\N
1147915	3926	1998-08-14	VYDAJ	VYBER	3120	35576	\N	\N	\N
1147916	3926	1998-05-20	VYDAJ	VYBER	2800	46890	\N	\N	\N
1147931	3926	1995-02-28	VYDAJ	VYBER	15	25356	SLUZBY	\N	\N
1147932	3926	1995-03-31	VYDAJ	VYBER	15	27950	SLUZBY	\N	\N
1147933	3926	1995-04-30	VYDAJ	VYBER	15	30655	SLUZBY	\N	\N
1147934	3926	1995-05-31	VYDAJ	VYBER	15	30687	SLUZBY	\N	\N
1147935	3926	1995-06-30	VYDAJ	VYBER	15	31851	SLUZBY	\N	\N
1147936	3926	1995-07-31	VYDAJ	VYBER	15	32387	SLUZBY	\N	\N
1147937	3926	1995-08-31	VYDAJ	VYBER	15	34409	SLUZBY	\N	\N
1147938	3926	1995-09-30	VYDAJ	VYBER	15	37741	SLUZBY	\N	\N
1147939	3926	1995-10-31	VYDAJ	VYBER	15	40186	SLUZBY	\N	\N
1147940	3926	1995-11-30	VYDAJ	VYBER	15	42402	SLUZBY	\N	\N
1147941	3926	1995-12-31	VYDAJ	VYBER	15	41806	SLUZBY	\N	\N
1147942	3926	1996-01-31	VYDAJ	VYBER	15	33143	SLUZBY	\N	\N
1147943	3926	1996-02-29	VYDAJ	VYBER	15	34967	SLUZBY	\N	\N
1147944	3926	1996-03-31	VYDAJ	VYBER	15	35594	SLUZBY	\N	\N
1147945	3926	1996-04-30	VYDAJ	VYBER	15	36024	SLUZBY	\N	\N
1147946	3926	1996-05-31	VYDAJ	VYBER	15	38361	SLUZBY	\N	\N
1147947	3926	1996-06-30	VYDAJ	VYBER	15	29870	SLUZBY	\N	\N
1147948	3926	1996-07-31	VYDAJ	VYBER	15	33183	SLUZBY	\N	\N
1147949	3926	1996-08-31	VYDAJ	VYBER	15	34105	SLUZBY	\N	\N
1147950	3926	1996-09-30	VYDAJ	VYBER	15	37436	SLUZBY	\N	\N
1147951	3926	1996-10-31	VYDAJ	VYBER	15	35975	SLUZBY	\N	\N
1147952	3926	1996-11-30	VYDAJ	VYBER	15	37413	SLUZBY	\N	\N
1147953	3926	1996-12-31	VYDAJ	VYBER	15	38777	SLUZBY	\N	\N
1147954	3926	1997-01-31	VYDAJ	VYBER	15	27432	SLUZBY	\N	\N
1147955	3926	1997-02-28	VYDAJ	VYBER	15	29292	SLUZBY	\N	\N
1147956	3926	1997-03-31	VYDAJ	VYBER	15	28511	SLUZBY	\N	\N
1147957	3926	1997-04-30	VYDAJ	VYBER	15	31819	SLUZBY	\N	\N
1147958	3926	1997-05-31	VYDAJ	VYBER	15	35140	SLUZBY	\N	\N
1147959	3926	1997-06-30	VYDAJ	VYBER	15	26648	SLUZBY	\N	\N
1147960	3926	1997-07-31	VYDAJ	VYBER	15	28585	SLUZBY	\N	\N
1147961	3926	1997-08-31	VYDAJ	VYBER	15	31892	SLUZBY	\N	\N
1147962	3926	1997-09-30	VYDAJ	VYBER	15	35213	SLUZBY	\N	\N
1147963	3926	1997-10-31	VYDAJ	VYBER	15	38548	SLUZBY	\N	\N
1147964	3926	1997-11-30	VYDAJ	VYBER	15	41897	SLUZBY	\N	\N
1147965	3926	1997-12-31	VYDAJ	VYBER	15	44157	SLUZBY	\N	\N
1147966	3926	1998-01-31	VYDAJ	VYBER	15	37713	SLUZBY	\N	\N
1147967	3926	1998-02-28	VYDAJ	VYBER	15	39774	SLUZBY	\N	\N
1147968	3926	1998-03-31	VYDAJ	VYBER	15	43128	SLUZBY	\N	\N
1147969	3926	1998-04-30	VYDAJ	VYBER	15	46495	SLUZBY	\N	\N
1147970	3926	1998-05-31	VYDAJ	VYBER	15	47072	SLUZBY	\N	\N
1147971	3926	1998-06-30	VYDAJ	VYBER	15	32179	SLUZBY	\N	\N
1147972	3926	1998-07-31	VYDAJ	VYBER	15	35501	SLUZBY	\N	\N
1147973	3926	1998-08-31	VYDAJ	VYBER	15	35709	SLUZBY	\N	\N
1147974	3926	1998-09-30	VYDAJ	VYBER	15	39045	SLUZBY	\N	\N
1147975	3926	1998-10-31	VYDAJ	VYBER	15	41293	SLUZBY	\N	\N
1147976	3926	1998-11-30	VYDAJ	VYBER	15	44652	SLUZBY	\N	\N
1147977	3926	1995-03-10	VYDAJ	VYBER	700	30083	\N	\N	\N
1147978	3926	1995-04-09	VYDAJ	VYBER	600	27350	\N	\N	\N
1147979	3926	1995-07-08	VYDAJ	VYBER	2300	29551	\N	\N	\N
1147980	3926	1995-08-07	VYDAJ	VYBER	1300	31087	\N	\N	\N
1147981	3926	1995-10-06	VYDAJ	VYBER	900	36841	\N	\N	\N
1147982	3926	1995-11-05	VYDAJ	VYBER	500	39686	\N	\N	\N
1147983	3926	1995-12-05	VYDAJ	VYBER	2500	38452	\N	\N	\N
1147984	3926	1996-01-04	VYDAJ	VYBER	1700	38426	\N	\N	\N
1147985	3926	1996-02-03	VYDAJ	VYBER	1500	31643	\N	\N	\N
1147986	3926	1996-03-04	VYDAJ	VYBER	2700	32267	\N	\N	\N
1147987	3926	1996-04-03	VYDAJ	VYBER	2900	32694	\N	\N	\N
1147988	3926	1996-05-03	VYDAJ	VYBER	1000	35024	\N	\N	\N
1147989	3926	1996-06-02	VYDAJ	VYBER	2700	35661	\N	\N	\N
1147990	3926	1996-10-30	VYDAJ	VYBER	2000	35831	\N	\N	\N
1147991	3926	1996-11-29	VYDAJ	VYBER	1900	37270	\N	\N	\N
1147992	3926	1996-12-29	VYDAJ	VYBER	400	39908	\N	\N	\N
1147993	3926	1998-10-20	VYDAJ	VYBER	1100	41140	\N	\N	\N
1148041	3927	1993-10-22	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1148052	3927	1993-11-11	PRIJEM	VKLAD	4989	5989	\N	\N	\N
1148053	3927	1993-12-11	PRIJEM	VKLAD	7484	20390	\N	\N	\N
1148054	3927	1994-01-11	PRIJEM	VKLAD	4989	28148	\N	\N	\N
1148055	3927	1994-02-11	PRIJEM	VKLAD	4989	31138	\N	\N	\N
1148056	3927	1994-03-11	PRIJEM	VKLAD	4989	34240	\N	\N	\N
1148057	3927	1994-04-11	PRIJEM	VKLAD	4989	31411	\N	\N	\N
1148058	3927	1994-05-11	PRIJEM	VKLAD	4989	28423	\N	\N	\N
1148059	3927	1994-06-11	PRIJEM	VKLAD	7484	30879	\N	\N	\N
1148060	3927	1994-07-11	PRIJEM	VKLAD	4989	28443	\N	\N	\N
1148061	3927	1994-08-11	PRIJEM	VKLAD	4989	26516	\N	\N	\N
1148062	3927	1994-09-11	PRIJEM	VKLAD	4989	29775	\N	\N	\N
1148063	3927	1994-10-11	PRIJEM	VKLAD	4989	30543	\N	\N	\N
1148064	3927	1994-11-11	PRIJEM	VKLAD	4989	26804	\N	\N	\N
1148065	3927	1994-12-11	PRIJEM	VKLAD	7484	30956	\N	\N	\N
1148066	3927	1995-01-11	PRIJEM	VKLAD	4989	17336	\N	\N	\N
1148067	3927	1995-02-11	PRIJEM	VKLAD	4989	18682	\N	\N	\N
1148068	3927	1995-03-11	PRIJEM	VKLAD	4989	24815	\N	\N	\N
1148069	3927	1995-04-11	PRIJEM	VKLAD	4989	25161	\N	\N	\N
1148070	3927	1995-05-11	PRIJEM	VKLAD	4989	18162	\N	\N	\N
1148071	3927	1995-06-11	PRIJEM	VKLAD	7484	23883	\N	\N	\N
1148072	3927	1995-07-11	PRIJEM	VKLAD	4989	21615	\N	\N	\N
1148073	3927	1995-08-11	PRIJEM	VKLAD	4989	19983	\N	\N	\N
1148074	3927	1995-09-11	PRIJEM	VKLAD	4989	18247	\N	\N	\N
1148075	3927	1995-10-11	PRIJEM	VKLAD	4989	23179	\N	\N	\N
1148076	3927	1995-11-11	PRIJEM	VKLAD	4989	25121	\N	\N	\N
1148077	3927	1995-12-11	PRIJEM	VKLAD	7484	29066	\N	\N	\N
1148078	3927	1996-01-11	PRIJEM	VKLAD	4989	23639	\N	\N	\N
1148079	3927	1996-02-11	PRIJEM	VKLAD	4989	21501	\N	\N	\N
1148080	3927	1996-03-11	PRIJEM	VKLAD	4989	25529	\N	\N	\N
1148081	3927	1996-04-11	PRIJEM	VKLAD	4989	22676	\N	\N	\N
1148082	3927	1996-05-11	PRIJEM	VKLAD	4989	26776	\N	\N	\N
1148083	3927	1996-06-11	PRIJEM	VKLAD	7484	28725	\N	\N	\N
1148084	3927	1996-07-11	PRIJEM	VKLAD	4989	27988	\N	\N	\N
1148085	3927	1996-08-11	PRIJEM	VKLAD	4989	24862	\N	\N	\N
1148086	3927	1996-09-11	PRIJEM	VKLAD	4989	26611	\N	\N	\N
1148087	3927	1996-10-11	PRIJEM	VKLAD	4989	24467	\N	\N	\N
1148088	3927	1996-11-11	PRIJEM	VKLAD	4989	25816	\N	\N	\N
1148089	3927	1996-12-11	PRIJEM	VKLAD	7484	27836	\N	\N	\N
1148090	3927	1997-01-11	PRIJEM	VKLAD	4989	20327	\N	\N	\N
1148091	3927	1997-02-11	PRIJEM	VKLAD	4989	23876	\N	\N	\N
1148092	3927	1997-03-11	PRIJEM	VKLAD	4989	27814	\N	\N	\N
1148093	3927	1997-04-11	PRIJEM	VKLAD	4989	25683	\N	\N	\N
1148094	3927	1997-05-11	PRIJEM	VKLAD	4989	26833	\N	\N	\N
1148095	3927	1997-06-11	PRIJEM	VKLAD	7484	28384	\N	\N	\N
1148096	3927	1997-07-11	PRIJEM	VKLAD	4989	27334	\N	\N	\N
1148097	3927	1997-08-11	PRIJEM	VKLAD	4989	31690	\N	\N	\N
1148098	3927	1997-09-11	PRIJEM	VKLAD	4989	37720	\N	\N	\N
1148099	3927	1997-10-11	PRIJEM	VKLAD	4989	42016	\N	\N	\N
1148100	3927	1997-11-11	PRIJEM	VKLAD	4989	42832	\N	\N	\N
1148101	3927	1997-12-11	PRIJEM	VKLAD	7484	41988	\N	\N	\N
1148102	3927	1998-01-11	PRIJEM	VKLAD	4989	21136	\N	\N	\N
1148103	3927	1998-02-11	PRIJEM	VKLAD	4989	30747	\N	\N	\N
1148104	3927	1998-03-11	PRIJEM	VKLAD	4989	39619	\N	\N	\N
1148105	3927	1998-04-11	PRIJEM	VKLAD	4989	43228	\N	\N	\N
1148106	3927	1998-05-11	PRIJEM	VKLAD	4989	40351	\N	\N	\N
1148107	3927	1998-06-11	PRIJEM	VKLAD	7484	41055	\N	\N	\N
1148108	3927	1998-07-11	PRIJEM	VKLAD	4989	41466	\N	\N	\N
1148109	3927	1998-08-11	PRIJEM	VKLAD	4989	39517	\N	\N	\N
1148110	3927	1998-09-11	PRIJEM	VKLAD	4989	42226	\N	\N	\N
1148111	3927	1998-10-11	PRIJEM	VKLAD	4989	37757	\N	\N	\N
1148112	3927	1998-11-11	PRIJEM	VKLAD	4989	34777	\N	\N	\N
1148113	3927	1998-12-11	PRIJEM	VKLAD	7484	42865	\N	\N	\N
1148129	3927	1994-04-07	VYDAJ	PREVOD NA UCET	1926	27822	SIPO	CD	14631736
1148130	3927	1994-05-07	VYDAJ	PREVOD NA UCET	1926	24834	SIPO	CD	14631736
1148131	3927	1994-06-07	VYDAJ	PREVOD NA UCET	1926	24795	SIPO	CD	14631736
1148132	3927	1994-07-07	VYDAJ	PREVOD NA UCET	1926	24854	SIPO	CD	14631736
1148133	3927	1994-08-07	VYDAJ	PREVOD NA UCET	1926	22927	SIPO	CD	14631736
1148134	3927	1994-09-07	VYDAJ	PREVOD NA UCET	1926	26186	SIPO	CD	14631736
1148135	3927	1994-10-07	VYDAJ	PREVOD NA UCET	1926	26954	SIPO	CD	14631736
1148136	3927	1994-11-07	VYDAJ	PREVOD NA UCET	1926	23215	SIPO	CD	14631736
1148137	3927	1994-12-07	VYDAJ	PREVOD NA UCET	1926	24872	SIPO	CD	14631736
1148138	3927	1995-01-07	VYDAJ	PREVOD NA UCET	1926	15667	SIPO	CD	14631736
1148139	3927	1995-02-07	VYDAJ	PREVOD NA UCET	1926	15093	SIPO	CD	14631736
1148140	3927	1995-03-07	VYDAJ	PREVOD NA UCET	1926	21226	SIPO	CD	14631736
1148141	3927	1995-04-07	VYDAJ	PREVOD NA UCET	1926	21572	SIPO	CD	14631736
1148142	3927	1995-05-07	VYDAJ	PREVOD NA UCET	1926	14573	SIPO	CD	14631736
1148143	3927	1995-06-07	VYDAJ	PREVOD NA UCET	1926	17799	SIPO	CD	14631736
1148144	3927	1995-07-07	VYDAJ	PREVOD NA UCET	1926	18026	SIPO	CD	14631736
1148145	3927	1995-08-07	VYDAJ	PREVOD NA UCET	1926	16394	SIPO	CD	14631736
1148146	3927	1995-09-07	VYDAJ	PREVOD NA UCET	1926	16218	SIPO	CD	14631736
1148147	3927	1995-10-07	VYDAJ	PREVOD NA UCET	1926	19590	SIPO	CD	14631736
1148148	3927	1995-11-07	VYDAJ	PREVOD NA UCET	1926	21532	SIPO	CD	14631736
1148149	3927	1995-12-07	VYDAJ	PREVOD NA UCET	1926	22982	SIPO	CD	14631736
1148150	3927	1996-01-07	VYDAJ	PREVOD NA UCET	1926	22010	SIPO	CD	14631736
1148151	3927	1996-02-07	VYDAJ	PREVOD NA UCET	1926	12412	SIPO	CD	14631736
1148152	3927	1996-03-07	VYDAJ	PREVOD NA UCET	1926	19640	SIPO	CD	14631736
1148153	3927	1996-04-07	VYDAJ	PREVOD NA UCET	1926	19487	SIPO	CD	14631736
1148154	3927	1996-05-07	VYDAJ	PREVOD NA UCET	1926	20827	SIPO	CD	14631736
1148155	3927	1996-06-07	VYDAJ	PREVOD NA UCET	1926	24941	SIPO	CD	14631736
1148156	3927	1996-07-07	VYDAJ	PREVOD NA UCET	1926	26899	SIPO	CD	14631736
1148157	3927	1996-08-07	VYDAJ	PREVOD NA UCET	1926	22673	SIPO	CD	14631736
1148158	3927	1996-09-07	VYDAJ	PREVOD NA UCET	1926	23022	SIPO	CD	14631736
1148159	3927	1996-10-07	VYDAJ	PREVOD NA UCET	1926	20878	SIPO	CD	14631736
1148160	3927	1996-11-07	VYDAJ	PREVOD NA UCET	1926	22227	SIPO	CD	14631736
1148161	3927	1996-12-07	VYDAJ	PREVOD NA UCET	1926	21752	SIPO	CD	14631736
1148162	3927	1997-01-07	VYDAJ	PREVOD NA UCET	1926	19618	SIPO	CD	14631736
1148163	3927	1997-02-07	VYDAJ	PREVOD NA UCET	1926	20287	SIPO	CD	14631736
1148164	3927	1997-03-07	VYDAJ	PREVOD NA UCET	1926	24225	SIPO	CD	14631736
1148165	3927	1997-04-07	VYDAJ	PREVOD NA UCET	1926	22094	SIPO	CD	14631736
1148166	3927	1997-05-07	VYDAJ	PREVOD NA UCET	1926	23244	SIPO	CD	14631736
1148167	3927	1997-06-07	VYDAJ	PREVOD NA UCET	1926	22300	SIPO	CD	14631736
1148168	3927	1997-07-07	VYDAJ	PREVOD NA UCET	1926	23745	SIPO	CD	14631736
1148169	3927	1997-08-07	VYDAJ	PREVOD NA UCET	1926	28101	SIPO	CD	14631736
1148170	3927	1997-09-07	VYDAJ	PREVOD NA UCET	1926	34131	SIPO	CD	14631736
1148171	3927	1997-10-07	VYDAJ	PREVOD NA UCET	1926	38427	SIPO	CD	14631736
1148172	3927	1997-11-07	VYDAJ	PREVOD NA UCET	1926	39243	SIPO	CD	14631736
1148173	3927	1997-12-07	VYDAJ	PREVOD NA UCET	1926	35905	SIPO	CD	14631736
1148174	3927	1998-01-07	VYDAJ	PREVOD NA UCET	1926	35627	SIPO	CD	14631736
1148175	3927	1998-02-07	VYDAJ	PREVOD NA UCET	1926	27158	SIPO	CD	14631736
1148176	3927	1998-03-07	VYDAJ	PREVOD NA UCET	1926	36030	SIPO	CD	14631736
1148177	3927	1998-04-07	VYDAJ	PREVOD NA UCET	1926	39639	SIPO	CD	14631736
1148178	3927	1998-05-07	VYDAJ	PREVOD NA UCET	1926	36762	SIPO	CD	14631736
1148179	3927	1998-06-07	VYDAJ	PREVOD NA UCET	1926	34972	SIPO	CD	14631736
1148180	3927	1998-07-07	VYDAJ	PREVOD NA UCET	1926	37877	SIPO	CD	14631736
1148181	3927	1998-08-07	VYDAJ	PREVOD NA UCET	1926	35928	SIPO	CD	14631736
1148182	3927	1998-09-07	VYDAJ	PREVOD NA UCET	1926	38637	SIPO	CD	14631736
1148183	3927	1998-10-07	VYDAJ	PREVOD NA UCET	1926	34168	SIPO	CD	14631736
1148184	3927	1998-11-07	VYDAJ	PREVOD NA UCET	1926	31188	SIPO	CD	14631736
1148185	3927	1998-12-07	VYDAJ	PREVOD NA UCET	1926	36782	SIPO	CD	14631736
1148201	3927	1994-04-10	VYDAJ	PREVOD NA UCET	1400	26422	 	YZ	35319298
1148202	3927	1994-05-10	VYDAJ	PREVOD NA UCET	1400	23434	 	YZ	35319298
1148203	3927	1994-06-10	VYDAJ	PREVOD NA UCET	1400	23395	 	YZ	35319298
1148204	3927	1994-07-10	VYDAJ	PREVOD NA UCET	1400	23454	 	YZ	35319298
1148205	3927	1994-08-10	VYDAJ	PREVOD NA UCET	1400	21527	 	YZ	35319298
1148206	3927	1994-09-10	VYDAJ	PREVOD NA UCET	1400	24786	 	YZ	35319298
1148207	3927	1994-10-10	VYDAJ	PREVOD NA UCET	1400	25554	 	YZ	35319298
1148208	3927	1994-11-10	VYDAJ	PREVOD NA UCET	1400	21815	 	YZ	35319298
1148209	3927	1994-12-10	VYDAJ	PREVOD NA UCET	1400	23472	 	YZ	35319298
1148210	3927	1995-01-10	VYDAJ	PREVOD NA UCET	1400	12347	 	YZ	35319298
1148211	3927	1995-02-10	VYDAJ	PREVOD NA UCET	1400	13693	 	YZ	35319298
1148212	3927	1995-03-10	VYDAJ	PREVOD NA UCET	1400	19826	 	YZ	35319298
1148213	3927	1995-04-10	VYDAJ	PREVOD NA UCET	1400	20172	 	YZ	35319298
1148214	3927	1995-05-10	VYDAJ	PREVOD NA UCET	1400	13173	 	YZ	35319298
1148215	3927	1995-06-10	VYDAJ	PREVOD NA UCET	1400	16399	 	YZ	35319298
1148216	3927	1995-07-10	VYDAJ	PREVOD NA UCET	1400	16626	 	YZ	35319298
1148217	3927	1995-08-10	VYDAJ	PREVOD NA UCET	1400	14994	 	YZ	35319298
1148218	3927	1995-09-10	VYDAJ	PREVOD NA UCET	1400	14818	 	YZ	35319298
1148219	3927	1995-10-10	VYDAJ	PREVOD NA UCET	1400	18190	 	YZ	35319298
1148220	3927	1995-11-10	VYDAJ	PREVOD NA UCET	1400	20132	 	YZ	35319298
1148221	3927	1995-12-10	VYDAJ	PREVOD NA UCET	1400	21582	 	YZ	35319298
1148222	3927	1996-01-10	VYDAJ	PREVOD NA UCET	1400	21410	 	YZ	35319298
1148223	3927	1996-02-10	VYDAJ	PREVOD NA UCET	1400	16512	 	YZ	35319298
1148224	3927	1996-03-10	VYDAJ	PREVOD NA UCET	1400	20540	 	YZ	35319298
1148225	3927	1996-04-10	VYDAJ	PREVOD NA UCET	1400	17687	 	YZ	35319298
1148226	3927	1996-05-10	VYDAJ	PREVOD NA UCET	1400	21787	 	YZ	35319298
1148227	3927	1996-06-10	VYDAJ	PREVOD NA UCET	1400	21241	 	YZ	35319298
1148228	3927	1996-07-10	VYDAJ	PREVOD NA UCET	1400	22999	 	YZ	35319298
1148229	3927	1996-08-10	VYDAJ	PREVOD NA UCET	1400	19873	 	YZ	35319298
1148230	3927	1996-09-10	VYDAJ	PREVOD NA UCET	1400	21622	 	YZ	35319298
1148231	3927	1996-10-10	VYDAJ	PREVOD NA UCET	1400	19478	 	YZ	35319298
1148232	3927	1996-11-10	VYDAJ	PREVOD NA UCET	1400	20827	 	YZ	35319298
1148233	3927	1996-12-10	VYDAJ	PREVOD NA UCET	1400	20352	 	YZ	35319298
1148234	3927	1997-01-10	VYDAJ	PREVOD NA UCET	1400	15338	 	YZ	35319298
1148235	3927	1997-02-10	VYDAJ	PREVOD NA UCET	1400	18887	 	YZ	35319298
1148236	3927	1997-03-10	VYDAJ	PREVOD NA UCET	1400	22825	 	YZ	35319298
1148237	3927	1997-04-10	VYDAJ	PREVOD NA UCET	1400	20694	 	YZ	35319298
1148238	3927	1997-05-10	VYDAJ	PREVOD NA UCET	1400	21844	 	YZ	35319298
1148239	3927	1997-06-10	VYDAJ	PREVOD NA UCET	1400	20900	 	YZ	35319298
1148240	3927	1997-07-10	VYDAJ	PREVOD NA UCET	1400	22345	 	YZ	35319298
1148241	3927	1997-08-10	VYDAJ	PREVOD NA UCET	1400	26701	 	YZ	35319298
1148242	3927	1997-09-10	VYDAJ	PREVOD NA UCET	1400	32731	 	YZ	35319298
1148243	3927	1997-10-10	VYDAJ	PREVOD NA UCET	1400	37027	 	YZ	35319298
1148244	3927	1997-11-10	VYDAJ	PREVOD NA UCET	1400	37843	 	YZ	35319298
1148245	3927	1997-12-10	VYDAJ	PREVOD NA UCET	1400	34505	 	YZ	35319298
1148246	3927	1998-01-10	VYDAJ	PREVOD NA UCET	1400	16147	 	YZ	35319298
1148247	3927	1998-02-10	VYDAJ	PREVOD NA UCET	1400	25758	 	YZ	35319298
1148248	3927	1998-03-10	VYDAJ	PREVOD NA UCET	1400	34630	 	YZ	35319298
1148249	3927	1998-04-10	VYDAJ	PREVOD NA UCET	1400	38239	 	YZ	35319298
1148250	3927	1998-05-10	VYDAJ	PREVOD NA UCET	1400	35362	 	YZ	35319298
1148251	3927	1998-06-10	VYDAJ	PREVOD NA UCET	1400	33572	 	YZ	35319298
1148252	3927	1998-07-10	VYDAJ	PREVOD NA UCET	1400	36477	 	YZ	35319298
1148253	3927	1998-08-10	VYDAJ	PREVOD NA UCET	1400	34528	 	YZ	35319298
1148254	3927	1998-09-10	VYDAJ	PREVOD NA UCET	1400	37237	 	YZ	35319298
1148255	3927	1998-10-10	VYDAJ	PREVOD NA UCET	1400	32768	 	YZ	35319298
1148256	3927	1998-11-10	VYDAJ	PREVOD NA UCET	1400	29788	 	YZ	35319298
1148257	3927	1998-12-10	VYDAJ	PREVOD NA UCET	1400	35382	 	YZ	35319298
1148267	3927	1996-01-13	VYDAJ	VYBER	3840	16679	\N	\N	\N
1148269	3927	1998-01-09	VYDAJ	VYBER	14240	17547	\N	\N	\N
1148271	3927	1994-12-24	VYDAJ	VYBER	1120	26616	\N	\N	\N
1148272	3927	1995-12-18	VYDAJ	VYBER	4320	23846	\N	\N	\N
1148273	3927	1996-12-13	VYDAJ	VYBER	1440	26396	\N	\N	\N
1148274	3927	1997-12-14	VYDAJ	VYBER	4160	37828	\N	\N	\N
1148275	3927	1998-12-04	VYDAJ	VYBER	3200	38708	\N	\N	\N
1148288	3927	1995-01-07	VYDAJ	VYBER	1920	13747	\N	\N	\N
1148289	3927	1995-01-27	VYDAJ	VYBER	1560	16956	\N	\N	\N
1148290	3927	1995-01-02	VYDAJ	VYBER	3480	23233	\N	\N	\N
1148291	3927	1995-01-06	VYDAJ	VYBER	2760	17593	\N	\N	\N
1148292	3927	1995-01-03	VYDAJ	VYBER	2880	20353	\N	\N	\N
1148293	3927	1995-01-18	VYDAJ	VYBER	2520	18516	\N	\N	\N
1148294	3927	1996-01-11	VYDAJ	VYBER	1560	22079	\N	\N	\N
1148295	3927	1996-01-12	VYDAJ	VYBER	1560	20519	\N	\N	\N
1148296	3927	1996-01-15	VYDAJ	VYBER	2400	14279	\N	\N	\N
1148297	3927	1996-01-10	VYDAJ	VYBER	1200	20210	\N	\N	\N
1148299	3927	1996-01-10	VYDAJ	VYBER	1560	18650	\N	\N	\N
1148300	3927	1997-01-06	VYDAJ	VYBER	2160	23584	\N	\N	\N
1148301	3927	1997-01-19	VYDAJ	VYBER	3480	16847	\N	\N	\N
1148302	3927	1997-01-05	VYDAJ	VYBER	840	25744	\N	\N	\N
1148303	3927	1997-01-07	VYDAJ	VYBER	2040	21544	\N	\N	\N
1148304	3927	1997-01-08	VYDAJ	VYBER	720	18898	\N	\N	\N
1148305	3927	1997-01-09	VYDAJ	VYBER	2160	16738	\N	\N	\N
1148306	3927	1998-01-07	VYDAJ	VYBER	2640	37553	\N	\N	\N
1148307	3927	1998-01-01	VYDAJ	VYBER	1680	40193	\N	\N	\N
1148308	3927	1998-01-08	VYDAJ	VYBER	960	31787	\N	\N	\N
1148309	3927	1998-01-26	VYDAJ	VYBER	2160	16096	\N	\N	\N
1148310	3927	1998-01-28	VYDAJ	VYBER	600	15496	\N	\N	\N
1148311	3927	1998-01-17	VYDAJ	VYBER	2880	18256	\N	\N	\N
1148315	3927	1994-05-02	VYDAJ	VYBER	1560	26760	\N	\N	\N
1148316	3927	1994-07-16	VYDAJ	VYBER	1080	23163	\N	\N	\N
1148317	3927	1994-07-12	VYDAJ	VYBER	4200	24243	\N	\N	\N
1148318	3927	1994-12-11	VYDAJ	VYBER	4320	26636	\N	\N	\N
1148319	3927	1995-05-02	VYDAJ	VYBER	2880	16499	\N	\N	\N
1148320	3927	1995-04-30	VYDAJ	VYBER	2160	19394	\N	\N	\N
1148321	3927	1995-07-21	VYDAJ	VYBER	960	18255	\N	\N	\N
1148322	3927	1995-09-10	VYDAJ	VYBER	1560	13258	\N	\N	\N
1148323	3927	1996-03-29	VYDAJ	VYBER	4200	21329	\N	\N	\N
1148324	3927	1996-05-09	VYDAJ	VYBER	3240	23187	\N	\N	\N
1148325	3927	1996-11-19	VYDAJ	VYBER	3720	22096	\N	\N	\N
1148326	3927	1996-07-12	VYDAJ	VYBER	3480	24508	\N	\N	\N
1148327	3927	1997-08-12	VYDAJ	VYBER	1440	30250	\N	\N	\N
1148328	3927	1997-06-14	VYDAJ	VYBER	4200	24184	\N	\N	\N
1148329	3927	1997-03-18	VYDAJ	VYBER	4680	23134	\N	\N	\N
1148330	3927	1997-12-04	VYDAJ	VYBER	2160	37831	\N	\N	\N
1148331	3927	1998-10-31	VYDAJ	VYBER	5280	33129	\N	\N	\N
1148332	3927	1998-07-23	VYDAJ	VYBER	3360	38106	\N	\N	\N
1148333	3927	1998-01-08	VYDAJ	VYBER	2880	32747	\N	\N	\N
1148334	3927	1998-09-22	VYDAJ	VYBER	5880	36346	\N	\N	\N
1148350	3927	1994-03-31	VYDAJ	VYBER	15	29748	SLUZBY	\N	\N
1148351	3927	1994-04-30	VYDAJ	VYBER	15	28320	SLUZBY	\N	\N
1148352	3927	1994-05-31	VYDAJ	VYBER	15	26721	SLUZBY	\N	\N
1148353	3927	1994-06-30	VYDAJ	VYBER	15	26780	SLUZBY	\N	\N
1148354	3927	1994-07-31	VYDAJ	VYBER	15	24853	SLUZBY	\N	\N
1148355	3927	1994-08-31	VYDAJ	VYBER	15	28112	SLUZBY	\N	\N
1148356	3927	1994-09-30	VYDAJ	VYBER	15	28880	SLUZBY	\N	\N
1148357	3927	1994-10-31	VYDAJ	VYBER	15	25141	SLUZBY	\N	\N
1148358	3927	1994-11-30	VYDAJ	VYBER	15	26798	SLUZBY	\N	\N
1148359	3927	1994-12-31	VYDAJ	VYBER	15	26713	SLUZBY	\N	\N
1148360	3927	1995-01-31	VYDAJ	VYBER	15	17019	SLUZBY	\N	\N
1148361	3927	1995-02-28	VYDAJ	VYBER	15	23152	SLUZBY	\N	\N
1148362	3927	1995-03-31	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
1148363	3927	1995-04-30	VYDAJ	VYBER	15	19379	SLUZBY	\N	\N
1148364	3927	1995-05-31	VYDAJ	VYBER	15	19725	SLUZBY	\N	\N
1148365	3927	1995-06-30	VYDAJ	VYBER	15	19952	SLUZBY	\N	\N
1148366	3927	1995-07-31	VYDAJ	VYBER	15	18320	SLUZBY	\N	\N
1148367	3927	1995-08-31	VYDAJ	VYBER	15	18144	SLUZBY	\N	\N
1148368	3927	1995-09-30	VYDAJ	VYBER	15	21516	SLUZBY	\N	\N
1148369	3927	1995-10-31	VYDAJ	VYBER	15	23458	SLUZBY	\N	\N
1148370	3927	1995-11-30	VYDAJ	VYBER	15	24908	SLUZBY	\N	\N
1148371	3927	1995-12-31	VYDAJ	VYBER	15	23936	SLUZBY	\N	\N
1148372	3927	1996-01-31	VYDAJ	VYBER	15	14338	SLUZBY	\N	\N
1148373	3927	1996-02-29	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
1148374	3927	1996-03-31	VYDAJ	VYBER	15	21413	SLUZBY	\N	\N
1148375	3927	1996-04-30	VYDAJ	VYBER	15	22753	SLUZBY	\N	\N
1148376	3927	1996-05-31	VYDAJ	VYBER	15	26867	SLUZBY	\N	\N
1148377	3927	1996-06-30	VYDAJ	VYBER	15	28825	SLUZBY	\N	\N
1148378	3927	1996-07-31	VYDAJ	VYBER	15	24599	SLUZBY	\N	\N
1148379	3927	1996-08-31	VYDAJ	VYBER	15	24948	SLUZBY	\N	\N
1148380	3927	1996-09-30	VYDAJ	VYBER	15	26704	SLUZBY	\N	\N
1148381	3927	1996-10-31	VYDAJ	VYBER	15	24553	SLUZBY	\N	\N
1148382	3927	1996-11-30	VYDAJ	VYBER	15	22178	SLUZBY	\N	\N
1148383	3927	1996-12-31	VYDAJ	VYBER	15	26484	SLUZBY	\N	\N
1148384	3927	1997-01-31	VYDAJ	VYBER	15	16913	SLUZBY	\N	\N
1148385	3927	1997-02-28	VYDAJ	VYBER	15	23951	SLUZBY	\N	\N
1148386	3927	1997-03-31	VYDAJ	VYBER	15	23220	SLUZBY	\N	\N
1148387	3927	1997-04-30	VYDAJ	VYBER	15	25770	SLUZBY	\N	\N
1148388	3927	1997-05-31	VYDAJ	VYBER	15	26926	SLUZBY	\N	\N
1148389	3927	1997-06-30	VYDAJ	VYBER	15	24271	SLUZBY	\N	\N
1148390	3927	1997-07-31	VYDAJ	VYBER	15	27427	SLUZBY	\N	\N
1148391	3927	1997-08-31	VYDAJ	VYBER	15	30357	SLUZBY	\N	\N
1148392	3927	1997-09-30	VYDAJ	VYBER	15	37853	SLUZBY	\N	\N
1148393	3927	1997-10-31	VYDAJ	VYBER	15	41169	SLUZBY	\N	\N
1148394	3927	1997-11-30	VYDAJ	VYBER	15	39991	SLUZBY	\N	\N
1148395	3927	1997-12-31	VYDAJ	VYBER	15	41873	SLUZBY	\N	\N
1148396	3927	1998-01-31	VYDAJ	VYBER	15	29084	SLUZBY	\N	\N
1148397	3927	1998-02-28	VYDAJ	VYBER	15	37956	SLUZBY	\N	\N
1148398	3927	1998-03-31	VYDAJ	VYBER	15	41565	SLUZBY	\N	\N
1148399	3927	1998-04-30	VYDAJ	VYBER	15	38688	SLUZBY	\N	\N
1148400	3927	1998-05-31	VYDAJ	VYBER	15	36898	SLUZBY	\N	\N
1148401	3927	1998-06-30	VYDAJ	VYBER	15	39803	SLUZBY	\N	\N
1148402	3927	1998-07-31	VYDAJ	VYBER	15	37854	SLUZBY	\N	\N
1148403	3927	1998-08-31	VYDAJ	VYBER	15	40563	SLUZBY	\N	\N
1148404	3927	1998-09-30	VYDAJ	VYBER	15	36094	SLUZBY	\N	\N
1148405	3927	1998-10-31	VYDAJ	VYBER	15	33114	SLUZBY	\N	\N
1148406	3927	1998-11-30	VYDAJ	VYBER	15	41908	SLUZBY	\N	\N
1148407	3927	1993-11-21	PRIJEM	VKLAD	6900	12889	\N	\N	\N
1148408	3927	1993-12-21	PRIJEM	VKLAD	2700	23090	\N	\N	\N
1148409	3927	1994-01-20	VYDAJ	VYBER	2100	26048	\N	\N	\N
1148410	3927	1994-02-19	VYDAJ	VYBER	2000	29138	\N	\N	\N
1148411	3927	1994-03-21	VYDAJ	VYBER	4600	29640	\N	\N	\N
1148412	3927	1994-04-20	VYDAJ	VYBER	3200	28211	\N	\N	\N
1148413	3927	1994-05-20	VYDAJ	VYBER	1800	26623	\N	\N	\N
1148414	3927	1994-06-19	VYDAJ	VYBER	4200	26679	\N	\N	\N
1148415	3927	1994-07-19	PRIJEM	VKLAD	1600	24763	\N	\N	\N
1148416	3927	1994-08-18	PRIJEM	VKLAD	1500	28016	\N	\N	\N
1148417	3927	1994-09-17	VYDAJ	VYBER	1000	28775	\N	\N	\N
1148418	3927	1994-10-17	VYDAJ	VYBER	5500	25043	\N	\N	\N
1148419	3927	1994-11-16	VYDAJ	VYBER	100	26704	\N	\N	\N
1148420	3927	1994-12-16	PRIJEM	VKLAD	1100	27736	\N	\N	\N
1148421	3927	1995-01-15	PRIJEM	VKLAD	3700	21036	\N	\N	\N
1148422	3927	1995-02-14	PRIJEM	VKLAD	4400	23082	\N	\N	\N
1148423	3927	1995-03-16	VYDAJ	VYBER	1400	23415	\N	\N	\N
1148424	3927	1995-04-15	VYDAJ	VYBER	3700	21461	\N	\N	\N
1148425	3927	1995-05-15	PRIJEM	VKLAD	1500	19662	\N	\N	\N
1148426	3927	1995-06-14	VYDAJ	VYBER	4000	19883	\N	\N	\N
1148427	3927	1995-07-14	VYDAJ	VYBER	2400	19215	\N	\N	\N
1148428	3927	1995-08-13	VYDAJ	VYBER	1900	18083	\N	\N	\N
1148429	3927	1995-09-12	PRIJEM	VKLAD	3200	21447	\N	\N	\N
1148430	3927	1995-10-12	PRIJEM	VKLAD	200	23379	\N	\N	\N
1148431	3927	1995-11-11	VYDAJ	VYBER	300	24821	\N	\N	\N
1148432	3927	1995-12-11	VYDAJ	VYBER	900	28166	\N	\N	\N
1148433	3927	1996-01-10	PRIJEM	VKLAD	800	22810	\N	\N	\N
1148434	3927	1996-02-09	PRIJEM	VKLAD	5500	17912	\N	\N	\N
1148435	3927	1996-03-10	PRIJEM	VKLAD	2300	21940	\N	\N	\N
1148436	3927	1996-04-09	VYDAJ	VYBER	400	19087	\N	\N	\N
1148437	3927	1996-05-09	PRIJEM	VKLAD	5600	26427	\N	\N	\N
1148438	3927	1996-06-08	VYDAJ	VYBER	2300	22641	\N	\N	\N
1148439	3927	1996-07-08	VYDAJ	VYBER	2500	24399	\N	\N	\N
1148440	3927	1996-08-07	VYDAJ	VYBER	1400	21273	\N	\N	\N
1148441	3927	1996-10-06	VYDAJ	VYBER	3900	22804	\N	\N	\N
1148442	3927	1996-11-05	VYDAJ	VYBER	400	24153	\N	\N	\N
1148443	3927	1996-12-05	PRIJEM	VKLAD	1500	23678	\N	\N	\N
1148444	3927	1997-01-04	PRIJEM	VKLAD	100	26584	\N	\N	\N
1148445	3927	1997-02-03	PRIJEM	VKLAD	5300	22213	\N	\N	\N
1148446	3927	1997-03-05	PRIJEM	VKLAD	2200	26151	\N	\N	\N
1148447	3927	1997-04-04	PRIJEM	VKLAD	800	24020	\N	\N	\N
1148448	3927	1997-05-04	VYDAJ	VYBER	600	25170	\N	\N	\N
1148449	3927	1997-06-03	VYDAJ	VYBER	2700	24226	\N	\N	\N
1148450	3927	1997-07-03	PRIJEM	VKLAD	1400	25671	\N	\N	\N
1148451	3927	1997-08-02	PRIJEM	VKLAD	2600	30027	\N	\N	\N
1148452	3927	1997-09-01	PRIJEM	VKLAD	5700	36057	\N	\N	\N
1148453	3927	1997-10-01	PRIJEM	VKLAD	2500	40353	\N	\N	\N
1148454	3927	1997-10-31	VYDAJ	VYBER	1000	41183	\N	\N	\N
1148455	3927	1997-11-30	VYDAJ	VYBER	3000	40005	\N	\N	\N
1148456	3927	1997-12-30	PRIJEM	VKLAD	3900	41728	\N	\N	\N
1148457	3927	1998-01-29	PRIJEM	VKLAD	13500	28996	\N	\N	\N
1148458	3927	1998-02-28	PRIJEM	VKLAD	7100	37847	\N	\N	\N
1148459	3927	1998-03-30	PRIJEM	VKLAD	1800	41419	\N	\N	\N
1148460	3927	1998-04-29	VYDAJ	VYBER	4700	38528	\N	\N	\N
1148461	3927	1998-05-29	VYDAJ	VYBER	3600	36751	\N	\N	\N
1148462	3927	1998-06-28	VYDAJ	VYBER	1400	39655	\N	\N	\N
1148463	3927	1998-07-28	VYDAJ	VYBER	400	37706	\N	\N	\N
1148464	3927	1998-08-27	PRIJEM	VKLAD	900	40417	\N	\N	\N
1148465	3927	1998-09-26	VYDAJ	VYBER	400	35946	\N	\N	\N
1148466	3927	1998-10-26	PRIJEM	VKLAD	500	38257	\N	\N	\N
1148467	3927	1998-11-25	PRIJEM	VKLAD	7000	41777	\N	\N	\N
1148530	3928	1996-05-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1148532	3928	1996-05-09	PRIJEM	VKLAD	3395	4295	\N	\N	\N
1148533	3928	1997-06-14	PRIJEM	VKLAD	27814	49384	\N	\N	\N
1148534	3928	1997-02-27	PRIJEM	VKLAD	42613	71099	\N	\N	\N
1148535	3928	1998-07-29	PRIJEM	VKLAD	35055	65762	\N	\N	\N
1148536	3928	1998-05-20	PRIJEM	VKLAD	20249	65861	\N	\N	\N
1148541	3928	1996-05-13	PRIJEM	VKLAD	1200	5495	\N	\N	\N
1148542	3928	1996-06-16	PRIJEM	VKLAD	1200	16411	\N	\N	\N
1148543	3928	1996-07-16	PRIJEM	VKLAD	1200	19657	\N	\N	\N
1148544	3928	1996-08-15	PRIJEM	VKLAD	1200	24332	\N	\N	\N
1148545	3928	1996-09-13	PRIJEM	VKLAD	1200	26210	\N	\N	\N
1148546	3928	1996-10-13	PRIJEM	VKLAD	1200	29552	\N	\N	\N
1148547	3928	1996-11-16	PRIJEM	VKLAD	1200	33155	\N	\N	\N
1148548	3928	1996-12-16	PRIJEM	VKLAD	1200	32170	\N	\N	\N
1148549	3928	1997-01-16	PRIJEM	VKLAD	1200	26589	\N	\N	\N
1148550	3928	1997-02-15	PRIJEM	VKLAD	1200	28486	\N	\N	\N
1148551	3928	1997-03-17	PRIJEM	VKLAD	1200	55513	\N	\N	\N
1148552	3928	1997-04-15	PRIJEM	VKLAD	1200	46663	\N	\N	\N
1148553	3928	1997-05-13	PRIJEM	VKLAD	1200	41607	\N	\N	\N
1148554	3928	1997-06-13	PRIJEM	VKLAD	1200	21570	\N	\N	\N
1148555	3928	1997-07-13	PRIJEM	VKLAD	1200	45343	\N	\N	\N
1148556	3928	1997-08-17	PRIJEM	VKLAD	1200	48628	\N	\N	\N
1148557	3928	1997-09-13	PRIJEM	VKLAD	1200	47766	\N	\N	\N
1148558	3928	1997-10-16	PRIJEM	VKLAD	1200	48751	\N	\N	\N
1148559	3928	1997-11-17	PRIJEM	VKLAD	1200	49944	\N	\N	\N
1148560	3928	1997-12-15	PRIJEM	VKLAD	1200	45436	\N	\N	\N
1148561	3928	1998-01-17	PRIJEM	VKLAD	1200	43214	\N	\N	\N
1148562	3928	1998-02-15	PRIJEM	VKLAD	1200	41680	\N	\N	\N
1148563	3928	1998-03-16	PRIJEM	VKLAD	1200	44338	\N	\N	\N
1148564	3928	1998-04-16	PRIJEM	VKLAD	1200	41553	\N	\N	\N
1148565	3928	1998-05-13	PRIJEM	VKLAD	1200	43712	\N	\N	\N
1148566	3928	1998-06-13	PRIJEM	VKLAD	1200	32852	\N	\N	\N
1148567	3928	1998-07-14	PRIJEM	VKLAD	1200	36407	\N	\N	\N
1148568	3928	1998-08-15	PRIJEM	VKLAD	1200	67104	\N	\N	\N
1148569	3928	1998-09-17	PRIJEM	VKLAD	1200	49249	\N	\N	\N
1148570	3928	1998-10-14	PRIJEM	VKLAD	1200	43128	\N	\N	\N
1148571	3928	1998-11-13	PRIJEM	VKLAD	1200	40737	\N	\N	\N
1148572	3928	1998-12-16	PRIJEM	VKLAD	1200	43145	\N	\N	\N
1148573	3928	1997-07-18	PRIJEM	VKLAD	1900	47243	\N	\N	\N
1148574	3928	1997-08-18	PRIJEM	VKLAD	1900	50528	\N	\N	\N
1148575	3928	1997-09-18	PRIJEM	VKLAD	1900	49666	\N	\N	\N
1148576	3928	1997-10-18	PRIJEM	VKLAD	1900	50651	\N	\N	\N
1148577	3928	1997-11-18	PRIJEM	VKLAD	1900	51844	\N	\N	\N
1148578	3928	1997-12-18	PRIJEM	VKLAD	1900	47336	\N	\N	\N
1148579	3928	1998-01-18	PRIJEM	VKLAD	1900	45114	\N	\N	\N
1148580	3928	1998-02-18	PRIJEM	VKLAD	1900	43580	\N	\N	\N
1148581	3928	1998-03-18	PRIJEM	VKLAD	1900	44288	\N	\N	\N
1148582	3928	1998-04-18	PRIJEM	VKLAD	1900	43453	\N	\N	\N
1148583	3928	1998-05-18	PRIJEM	VKLAD	1900	45612	\N	\N	\N
1148584	3928	1998-06-18	PRIJEM	VKLAD	1900	34752	\N	\N	\N
1148586	3928	1997-06-08	VYDAJ	VYBER	23500	20370	\N	\N	\N
1148587	3928	1998-06-03	VYDAJ	VYBER	18700	31652	\N	\N	\N
1148589	3928	1997-01-02	VYDAJ	VYBER	1900	28889	\N	\N	\N
1148590	3928	1998-01-20	VYDAJ	VYBER	1800	43314	\N	\N	\N
1148595	3928	1997-01-07	VYDAJ	VYBER	3000	25389	\N	\N	\N
1148596	3928	1998-01-16	VYDAJ	VYBER	2000	42014	\N	\N	\N
1148597	3928	1996-12-21	VYDAJ	VYBER	1500	30670	\N	\N	\N
1148598	3928	1997-12-05	VYDAJ	VYBER	1700	44236	\N	\N	\N
1148599	3928	1998-12-20	VYDAJ	VYBER	2900	40245	\N	\N	\N
1148600	3928	1996-10-04	VYDAJ	VYBER	850	25452	\N	\N	\N
1148602	3928	1996-10-17	VYDAJ	VYBER	1000	28552	\N	\N	\N
1148605	3928	1997-04-22	VYDAJ	VYBER	2250	43713	\N	\N	\N
1148606	3928	1997-08-26	VYDAJ	VYBER	250	50278	\N	\N	\N
1148607	3928	1997-02-01	VYDAJ	VYBER	1100	25586	\N	\N	\N
1148608	3928	1997-11-29	VYDAJ	VYBER	900	50944	\N	\N	\N
1148609	3928	1997-04-21	VYDAJ	VYBER	700	45963	\N	\N	\N
1148610	3928	1998-12-07	VYDAJ	VYBER	550	41945	\N	\N	\N
1148611	3928	1998-03-17	VYDAJ	VYBER	1950	42388	\N	\N	\N
1148612	3928	1998-11-02	VYDAJ	VYBER	2250	39537	\N	\N	\N
1148621	3928	1996-08-31	VYDAJ	VYBER	15	24410	SLUZBY	\N	\N
1148622	3928	1996-09-30	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
1148623	3928	1996-10-31	VYDAJ	VYBER	15	28655	SLUZBY	\N	\N
1148624	3928	1996-11-30	VYDAJ	VYBER	15	33270	SLUZBY	\N	\N
1148625	3928	1996-12-31	VYDAJ	VYBER	15	30789	SLUZBY	\N	\N
1148626	3928	1997-01-31	VYDAJ	VYBER	15	26686	SLUZBY	\N	\N
1148627	3928	1997-02-28	VYDAJ	VYBER	15	71213	SLUZBY	\N	\N
1148628	3928	1997-03-31	VYDAJ	VYBER	15	55763	SLUZBY	\N	\N
1148629	3928	1997-04-30	VYDAJ	VYBER	15	43907	SLUZBY	\N	\N
1148630	3928	1997-05-31	VYDAJ	VYBER	15	41770	SLUZBY	\N	\N
1148631	3928	1997-06-30	VYDAJ	VYBER	15	49543	SLUZBY	\N	\N
1148632	3928	1997-07-31	VYDAJ	VYBER	15	47428	SLUZBY	\N	\N
1148633	3928	1997-08-31	VYDAJ	VYBER	15	46566	SLUZBY	\N	\N
1148634	3928	1997-09-30	VYDAJ	VYBER	15	49851	SLUZBY	\N	\N
1148635	3928	1997-10-31	VYDAJ	VYBER	15	48744	SLUZBY	\N	\N
1148636	3928	1997-11-30	VYDAJ	VYBER	15	45936	SLUZBY	\N	\N
1148637	3928	1997-12-31	VYDAJ	VYBER	15	44014	SLUZBY	\N	\N
1148638	3928	1998-01-31	VYDAJ	VYBER	15	40480	SLUZBY	\N	\N
1148639	3928	1998-02-28	VYDAJ	VYBER	15	43138	SLUZBY	\N	\N
1148640	3928	1998-03-31	VYDAJ	VYBER	15	40353	SLUZBY	\N	\N
1148641	3928	1998-04-30	VYDAJ	VYBER	15	42512	SLUZBY	\N	\N
1148642	3928	1998-05-31	VYDAJ	VYBER	15	50352	SLUZBY	\N	\N
1148643	3928	1998-06-30	VYDAJ	VYBER	15	35207	SLUZBY	\N	\N
1148644	3928	1998-07-31	VYDAJ	VYBER	15	65904	SLUZBY	\N	\N
1148645	3928	1998-08-31	VYDAJ	VYBER	15	48049	SLUZBY	\N	\N
1148646	3928	1998-09-30	VYDAJ	VYBER	15	41928	SLUZBY	\N	\N
1148647	3928	1998-10-31	VYDAJ	VYBER	15	41787	SLUZBY	\N	\N
1148648	3928	1998-11-30	VYDAJ	VYBER	15	42495	SLUZBY	\N	\N
1148649	3928	1996-06-07	PRIJEM	VKLAD	9700	15211	\N	\N	\N
1148650	3928	1996-07-07	PRIJEM	VKLAD	2000	18457	\N	\N	\N
1148651	3928	1996-08-06	PRIJEM	VKLAD	3400	23132	\N	\N	\N
1148652	3928	1996-09-05	PRIJEM	VKLAD	600	25010	\N	\N	\N
1148653	3928	1996-10-05	PRIJEM	VKLAD	2900	28352	\N	\N	\N
1148654	3928	1996-11-04	PRIJEM	VKLAD	3300	31955	\N	\N	\N
1148655	3928	1996-12-04	VYDAJ	VYBER	2300	30970	\N	\N	\N
1148656	3928	1997-01-03	VYDAJ	VYBER	500	28389	\N	\N	\N
1148657	3928	1997-02-02	PRIJEM	VKLAD	1700	27286	\N	\N	\N
1148658	3928	1997-03-04	VYDAJ	VYBER	16900	54313	\N	\N	\N
1148659	3928	1997-04-03	VYDAJ	VYBER	10300	45463	\N	\N	\N
1148660	3928	1997-05-03	VYDAJ	VYBER	3500	40407	\N	\N	\N
1148661	3928	1997-06-02	PRIJEM	VKLAD	2100	43870	\N	\N	\N
1148662	3928	1997-07-02	VYDAJ	VYBER	5400	44143	\N	\N	\N
1148663	3928	1997-08-31	VYDAJ	VYBER	3900	46580	\N	\N	\N
1148664	3928	1997-09-30	VYDAJ	VYBER	2300	47551	\N	\N	\N
1148665	3928	1997-10-30	VYDAJ	VYBER	2100	48551	\N	\N	\N
1148666	3928	1997-11-29	VYDAJ	VYBER	5200	45744	\N	\N	\N
1148667	3928	1997-12-29	VYDAJ	VYBER	3500	43836	\N	\N	\N
1148668	3928	1998-01-28	VYDAJ	VYBER	3000	40314	\N	\N	\N
1148669	3928	1998-02-27	VYDAJ	VYBER	600	42980	\N	\N	\N
1148670	3928	1998-03-29	VYDAJ	VYBER	4100	40188	\N	\N	\N
1148671	3928	1998-04-28	VYDAJ	VYBER	1100	42353	\N	\N	\N
1148672	3928	1998-05-28	VYDAJ	VYBER	15700	50161	\N	\N	\N
1148673	3928	1998-06-27	PRIJEM	VKLAD	300	35052	\N	\N	\N
1148674	3928	1998-07-27	VYDAJ	VYBER	5700	30707	\N	\N	\N
1148675	3928	1998-08-26	VYDAJ	VYBER	19300	47804	\N	\N	\N
1148676	3928	1998-09-25	VYDAJ	VYBER	7500	41749	\N	\N	\N
1148677	3928	1998-10-25	VYDAJ	VYBER	1500	41628	\N	\N	\N
1148678	3928	1998-11-24	PRIJEM	VKLAD	1600	42337	\N	\N	\N
1148988	3930	1995-04-25	PRIJEM	VKLAD	800	800	\N	\N	\N
1148993	3930	1995-05-09	PRIJEM	VKLAD	19222	20022	\N	\N	\N
1148994	3930	1995-06-09	PRIJEM	VKLAD	28833	50776	\N	\N	\N
1148995	3930	1995-07-09	PRIJEM	VKLAD	19222	56003	\N	\N	\N
1148996	3930	1995-08-09	PRIJEM	VKLAD	19222	58981	\N	\N	\N
1148997	3930	1995-09-09	PRIJEM	VKLAD	19222	60871	\N	\N	\N
1148998	3930	1995-10-09	PRIJEM	VKLAD	19222	49147	\N	\N	\N
1148999	3930	1995-11-09	PRIJEM	VKLAD	19222	43926	\N	\N	\N
1149000	3930	1995-12-09	PRIJEM	VKLAD	28833	52399	\N	\N	\N
1149001	3930	1996-01-09	PRIJEM	VKLAD	19222	38859	\N	\N	\N
1149002	3930	1996-02-09	PRIJEM	VKLAD	19222	23318	\N	\N	\N
1149003	3930	1996-03-09	PRIJEM	VKLAD	19222	27901	\N	\N	\N
1149004	3930	1996-04-09	PRIJEM	VKLAD	19222	34306	\N	\N	\N
1149005	3930	1996-05-09	PRIJEM	VKLAD	19222	35028	\N	\N	\N
1149006	3930	1996-06-09	PRIJEM	VKLAD	28833	46366	\N	\N	\N
1149007	3930	1996-07-09	PRIJEM	VKLAD	19222	34589	\N	\N	\N
1149008	3930	1996-08-09	PRIJEM	VKLAD	19222	32204	\N	\N	\N
1149009	3930	1996-09-09	PRIJEM	VKLAD	19222	32414	\N	\N	\N
1149010	3930	1996-10-09	PRIJEM	VKLAD	19222	34227	\N	\N	\N
1149011	3930	1996-11-09	PRIJEM	VKLAD	19222	30959	\N	\N	\N
1149012	3930	1996-12-09	PRIJEM	VKLAD	28833	37108	\N	\N	\N
1149013	3930	1997-01-09	PRIJEM	VKLAD	19222	27734	\N	\N	\N
1149014	3930	1997-02-09	PRIJEM	VKLAD	19222	24481	\N	\N	\N
1149015	3930	1997-03-09	PRIJEM	VKLAD	19222	27426	\N	\N	\N
1149016	3930	1997-04-09	PRIJEM	VKLAD	19222	27809	\N	\N	\N
1149017	3930	1997-05-09	PRIJEM	VKLAD	19222	29079	\N	\N	\N
1149018	3930	1997-06-09	PRIJEM	VKLAD	28833	41589	\N	\N	\N
1149019	3930	1997-07-09	PRIJEM	VKLAD	19222	27561	\N	\N	\N
1149020	3930	1997-08-09	PRIJEM	VKLAD	19222	33860	\N	\N	\N
1149021	3930	1997-09-09	PRIJEM	VKLAD	19222	34370	\N	\N	\N
1149022	3930	1997-10-09	PRIJEM	VKLAD	19222	35583	\N	\N	\N
1149023	3930	1997-11-09	PRIJEM	VKLAD	19222	37903	\N	\N	\N
1149024	3930	1997-12-09	PRIJEM	VKLAD	28833	50746	\N	\N	\N
1149025	3930	1998-01-09	PRIJEM	VKLAD	19222	38865	\N	\N	\N
1149026	3930	1998-02-09	PRIJEM	VKLAD	19222	24132	\N	\N	\N
1149027	3930	1998-03-09	PRIJEM	VKLAD	19222	33604	\N	\N	\N
1149028	3930	1998-04-09	PRIJEM	VKLAD	19222	31402	\N	\N	\N
1149029	3930	1998-05-09	PRIJEM	VKLAD	19222	30525	\N	\N	\N
1149030	3930	1998-06-09	PRIJEM	VKLAD	28833	40656	\N	\N	\N
1149031	3930	1998-07-09	PRIJEM	VKLAD	19222	36709	\N	\N	\N
1149032	3930	1998-08-09	PRIJEM	VKLAD	19222	33068	\N	\N	\N
1149033	3930	1998-09-09	PRIJEM	VKLAD	19222	40665	\N	\N	\N
1149034	3930	1998-10-09	PRIJEM	VKLAD	19222	40728	\N	\N	\N
1149035	3930	1998-11-09	PRIJEM	VKLAD	19222	40320	\N	\N	\N
1149036	3930	1998-12-09	PRIJEM	VKLAD	28833	51391	\N	\N	\N
1149046	3930	1995-10-05	VYDAJ	PREVOD NA UCET	9101	29925	SIPO	YZ	79120719
1149047	3930	1995-11-05	VYDAJ	PREVOD NA UCET	9101	24704	SIPO	YZ	79120719
1149048	3930	1995-12-05	VYDAJ	PREVOD NA UCET	9101	23566	SIPO	YZ	79120719
1149049	3930	1996-01-05	VYDAJ	PREVOD NA UCET	9101	24677	SIPO	YZ	79120719
1149050	3930	1996-02-05	VYDAJ	PREVOD NA UCET	9101	4096	SIPO	YZ	79120719
1149051	3930	1996-03-05	VYDAJ	PREVOD NA UCET	9101	8679	SIPO	YZ	79120719
1149052	3930	1996-04-05	VYDAJ	PREVOD NA UCET	9101	15084	SIPO	YZ	79120719
1149053	3930	1996-05-05	VYDAJ	PREVOD NA UCET	9101	15806	SIPO	YZ	79120719
1149054	3930	1996-06-05	VYDAJ	PREVOD NA UCET	9101	17533	SIPO	YZ	79120719
1149055	3930	1996-07-05	VYDAJ	PREVOD NA UCET	9101	15367	SIPO	YZ	79120719
1149056	3930	1996-08-05	VYDAJ	PREVOD NA UCET	9101	12982	SIPO	YZ	79120719
1149057	3930	1996-09-05	VYDAJ	PREVOD NA UCET	9101	13192	SIPO	YZ	79120719
1149058	3930	1996-10-05	VYDAJ	PREVOD NA UCET	9101	15005	SIPO	YZ	79120719
1149059	3930	1996-11-05	VYDAJ	PREVOD NA UCET	9101	11737	SIPO	YZ	79120719
1149060	3930	1996-12-05	VYDAJ	PREVOD NA UCET	9101	8275	SIPO	YZ	79120719
1149061	3930	1997-01-05	VYDAJ	PREVOD NA UCET	9101	8512	SIPO	YZ	79120719
1149062	3930	1997-02-05	VYDAJ	PREVOD NA UCET	9101	5259	SIPO	YZ	79120719
1149063	3930	1997-03-05	VYDAJ	PREVOD NA UCET	9101	10844	SIPO	YZ	79120719
1149064	3930	1997-04-05	VYDAJ	PREVOD NA UCET	9101	8587	SIPO	YZ	79120719
1149065	3930	1997-05-05	VYDAJ	PREVOD NA UCET	9101	9857	SIPO	YZ	79120719
1149066	3930	1997-06-05	VYDAJ	PREVOD NA UCET	9101	12756	SIPO	YZ	79120719
1149067	3930	1997-07-05	VYDAJ	PREVOD NA UCET	9101	8339	SIPO	YZ	79120719
1149068	3930	1997-08-05	VYDAJ	PREVOD NA UCET	9101	14638	SIPO	YZ	79120719
1149069	3930	1997-09-05	VYDAJ	PREVOD NA UCET	9101	15148	SIPO	YZ	79120719
1149070	3930	1997-10-05	VYDAJ	PREVOD NA UCET	9101	16361	SIPO	YZ	79120719
1149071	3930	1997-11-05	VYDAJ	PREVOD NA UCET	9101	18681	SIPO	YZ	79120719
1149072	3930	1997-12-05	VYDAJ	PREVOD NA UCET	9101	21913	SIPO	YZ	79120719
1149073	3930	1998-01-05	VYDAJ	PREVOD NA UCET	9101	19643	SIPO	YZ	79120719
1149074	3930	1998-02-05	VYDAJ	PREVOD NA UCET	9101	4910	SIPO	YZ	79120719
1149075	3930	1998-03-05	VYDAJ	PREVOD NA UCET	9101	14382	SIPO	YZ	79120719
1149076	3930	1998-04-05	VYDAJ	PREVOD NA UCET	9101	12180	SIPO	YZ	79120719
1149077	3930	1998-05-05	VYDAJ	PREVOD NA UCET	9101	11303	SIPO	YZ	79120719
1149078	3930	1998-06-05	VYDAJ	PREVOD NA UCET	9101	11823	SIPO	YZ	79120719
1149079	3930	1998-07-05	VYDAJ	PREVOD NA UCET	9101	31687	SIPO	YZ	79120719
1149080	3930	1998-08-05	VYDAJ	PREVOD NA UCET	9101	27746	SIPO	YZ	79120719
1149081	3930	1998-09-05	VYDAJ	PREVOD NA UCET	9101	21443	SIPO	YZ	79120719
1149082	3930	1998-10-05	VYDAJ	PREVOD NA UCET	9101	31706	SIPO	YZ	79120719
1149083	3930	1998-11-05	VYDAJ	PREVOD NA UCET	9101	27198	SIPO	YZ	79120719
1149084	3930	1998-12-05	VYDAJ	PREVOD NA UCET	9101	31358	SIPO	YZ	79120719
1149086	3930	1996-06-10	VYDAJ	VYBER	13600	32766	\N	\N	\N
1149087	3930	1997-06-26	VYDAJ	VYBER	8640	17349	\N	\N	\N
1149090	3930	1996-01-21	VYDAJ	VYBER	15040	15619	\N	\N	\N
1149092	3930	1998-01-24	VYDAJ	VYBER	8640	13925	\N	\N	\N
1149093	3930	1995-12-30	VYDAJ	VYBER	2880	33619	\N	\N	\N
1149094	3930	1996-12-24	VYDAJ	VYBER	4160	20408	\N	\N	\N
1149095	3930	1997-12-24	VYDAJ	VYBER	3520	37126	\N	\N	\N
1149096	3930	1998-12-19	VYDAJ	VYBER	1120	50271	\N	\N	\N
1149103	3930	1996-01-23	VYDAJ	VYBER	600	13099	\N	\N	\N
1149104	3930	1996-01-06	VYDAJ	VYBER	2400	22277	\N	\N	\N
1149105	3930	1996-01-08	VYDAJ	VYBER	2640	19637	\N	\N	\N
1149106	3930	1996-01-22	VYDAJ	VYBER	1920	13699	\N	\N	\N
1149109	3930	1997-01-12	VYDAJ	VYBER	1920	25814	\N	\N	\N
1149110	3930	1997-01-12	VYDAJ	VYBER	1680	24134	\N	\N	\N
1149111	3930	1997-01-27	VYDAJ	VYBER	840	14294	\N	\N	\N
1149112	3930	1997-01-14	VYDAJ	VYBER	600	23534	\N	\N	\N
1149113	3930	1997-01-24	VYDAJ	VYBER	1200	15134	\N	\N	\N
1149114	3930	1997-01-03	VYDAJ	VYBER	2880	17613	\N	\N	\N
1149115	3930	1998-01-03	VYDAJ	VYBER	3360	28744	\N	\N	\N
1149117	3930	1998-01-13	VYDAJ	VYBER	960	28805	\N	\N	\N
1149119	3930	1998-01-14	VYDAJ	VYBER	2760	26045	\N	\N	\N
1149120	3930	1998-01-22	VYDAJ	VYBER	3480	22565	\N	\N	\N
1149125	3930	1996-12-09	VYDAJ	VYBER	3240	33868	\N	\N	\N
1149126	3930	1996-09-20	VYDAJ	VYBER	1200	24014	\N	\N	\N
1149127	3930	1996-10-23	VYDAJ	VYBER	3480	20747	\N	\N	\N
1149128	3930	1996-11-29	VYDAJ	VYBER	2160	17299	\N	\N	\N
1149129	3930	1997-12-28	VYDAJ	VYBER	5160	31966	\N	\N	\N
1149130	3930	1997-04-20	VYDAJ	VYBER	720	18889	\N	\N	\N
1149131	3930	1997-03-05	VYDAJ	VYBER	2640	8204	\N	\N	\N
1149132	3930	1998-10-09	VYDAJ	VYBER	4560	36168	\N	\N	\N
1149133	3930	1998-02-09	VYDAJ	VYBER	720	23412	\N	\N	\N
1149134	3930	1998-08-22	VYDAJ	VYBER	2640	30428	\N	\N	\N
1149144	3930	1995-09-30	VYDAJ	VYBER	15	39026	SLUZBY	\N	\N
1149145	3930	1995-10-31	VYDAJ	VYBER	15	33805	SLUZBY	\N	\N
1149146	3930	1995-11-30	VYDAJ	VYBER	15	32667	SLUZBY	\N	\N
1149147	3930	1995-12-31	VYDAJ	VYBER	15	33778	SLUZBY	\N	\N
1149148	3930	1996-01-31	VYDAJ	VYBER	15	13197	SLUZBY	\N	\N
1149149	3930	1996-02-29	VYDAJ	VYBER	15	17780	SLUZBY	\N	\N
1149150	3930	1996-03-31	VYDAJ	VYBER	15	24185	SLUZBY	\N	\N
1149151	3930	1996-04-30	VYDAJ	VYBER	15	24907	SLUZBY	\N	\N
1149152	3930	1996-05-31	VYDAJ	VYBER	15	26634	SLUZBY	\N	\N
1149153	3930	1996-06-30	VYDAJ	VYBER	15	24468	SLUZBY	\N	\N
1149154	3930	1996-07-31	VYDAJ	VYBER	15	22083	SLUZBY	\N	\N
1149155	3930	1996-08-31	VYDAJ	VYBER	15	22293	SLUZBY	\N	\N
1149156	3930	1996-09-30	VYDAJ	VYBER	15	24106	SLUZBY	\N	\N
1149157	3930	1996-10-31	VYDAJ	VYBER	15	20838	SLUZBY	\N	\N
1149158	3930	1996-11-30	VYDAJ	VYBER	15	17376	SLUZBY	\N	\N
1149159	3930	1996-12-31	VYDAJ	VYBER	15	20493	SLUZBY	\N	\N
1149160	3930	1997-01-31	VYDAJ	VYBER	15	14360	SLUZBY	\N	\N
1149161	3930	1997-02-28	VYDAJ	VYBER	15	19945	SLUZBY	\N	\N
1149162	3930	1997-03-31	VYDAJ	VYBER	15	17688	SLUZBY	\N	\N
1149163	3930	1997-04-30	VYDAJ	VYBER	15	18958	SLUZBY	\N	\N
1149164	3930	1997-05-31	VYDAJ	VYBER	15	21857	SLUZBY	\N	\N
1149165	3930	1997-06-30	VYDAJ	VYBER	15	17440	SLUZBY	\N	\N
1149166	3930	1997-07-31	VYDAJ	VYBER	15	23739	SLUZBY	\N	\N
1149167	3930	1997-08-31	VYDAJ	VYBER	15	24249	SLUZBY	\N	\N
1149168	3930	1997-09-30	VYDAJ	VYBER	15	25462	SLUZBY	\N	\N
1149169	3930	1997-10-31	VYDAJ	VYBER	15	27782	SLUZBY	\N	\N
1149170	3930	1997-11-30	VYDAJ	VYBER	15	31014	SLUZBY	\N	\N
1149171	3930	1997-12-31	VYDAJ	VYBER	15	32104	SLUZBY	\N	\N
1149172	3930	1998-01-31	VYDAJ	VYBER	15	14011	SLUZBY	\N	\N
1149173	3930	1998-02-28	VYDAJ	VYBER	15	23483	SLUZBY	\N	\N
1149174	3930	1998-03-31	VYDAJ	VYBER	15	21281	SLUZBY	\N	\N
1149175	3930	1998-04-30	VYDAJ	VYBER	15	20404	SLUZBY	\N	\N
1149176	3930	1998-05-31	VYDAJ	VYBER	15	20924	SLUZBY	\N	\N
1149177	3930	1998-06-30	VYDAJ	VYBER	15	40788	SLUZBY	\N	\N
1149178	3930	1998-07-31	VYDAJ	VYBER	15	36847	SLUZBY	\N	\N
1149179	3930	1998-08-31	VYDAJ	VYBER	15	30544	SLUZBY	\N	\N
1149180	3930	1998-09-30	VYDAJ	VYBER	15	40807	SLUZBY	\N	\N
1149181	3930	1998-10-31	VYDAJ	VYBER	15	36299	SLUZBY	\N	\N
1149182	3930	1998-11-30	VYDAJ	VYBER	15	40459	SLUZBY	\N	\N
1149183	3930	1995-05-25	PRIJEM	VKLAD	1900	21922	\N	\N	\N
1149184	3930	1995-06-24	VYDAJ	VYBER	14100	36676	\N	\N	\N
1149185	3930	1995-07-24	VYDAJ	VYBER	16400	39603	\N	\N	\N
1149186	3930	1995-08-23	VYDAJ	VYBER	17500	41481	\N	\N	\N
1149187	3930	1995-09-22	VYDAJ	VYBER	22000	38871	\N	\N	\N
1149188	3930	1995-10-22	VYDAJ	VYBER	15500	33647	\N	\N	\N
1149189	3930	1995-11-21	VYDAJ	VYBER	11400	32526	\N	\N	\N
1149190	3930	1995-12-21	VYDAJ	VYBER	15900	36499	\N	\N	\N
1149191	3930	1996-01-20	VYDAJ	VYBER	8200	30659	\N	\N	\N
1149192	3930	1996-02-19	VYDAJ	VYBER	5600	17718	\N	\N	\N
1149193	3930	1996-03-20	VYDAJ	VYBER	3800	24101	\N	\N	\N
1149194	3930	1996-04-19	VYDAJ	VYBER	9500	24806	\N	\N	\N
1149195	3930	1996-05-19	VYDAJ	VYBER	8500	26528	\N	\N	\N
1149196	3930	1996-06-18	VYDAJ	VYBER	8400	24366	\N	\N	\N
1149197	3930	1996-07-18	VYDAJ	VYBER	12600	21989	\N	\N	\N
1149198	3930	1996-08-17	VYDAJ	VYBER	10000	22204	\N	\N	\N
1149199	3930	1996-09-16	VYDAJ	VYBER	7200	25214	\N	\N	\N
1149200	3930	1996-10-16	VYDAJ	VYBER	10000	24227	\N	\N	\N
1149201	3930	1996-11-15	VYDAJ	VYBER	11500	19459	\N	\N	\N
1149202	3930	1996-12-15	VYDAJ	VYBER	9300	24568	\N	\N	\N
1149203	3930	1997-01-14	VYDAJ	VYBER	7200	16334	\N	\N	\N
1149204	3930	1997-02-13	VYDAJ	VYBER	4600	19881	\N	\N	\N
1149205	3930	1997-03-15	VYDAJ	VYBER	9800	17626	\N	\N	\N
1149206	3930	1997-04-14	VYDAJ	VYBER	8200	19609	\N	\N	\N
1149207	3930	1997-05-14	VYDAJ	VYBER	7300	21779	\N	\N	\N
1149208	3930	1997-06-13	VYDAJ	VYBER	15600	25989	\N	\N	\N
1149209	3930	1997-07-13	VYDAJ	VYBER	3900	23661	\N	\N	\N
1149210	3930	1997-08-12	VYDAJ	VYBER	9700	24160	\N	\N	\N
1149211	3930	1997-09-11	VYDAJ	VYBER	9000	25370	\N	\N	\N
1149212	3930	1997-10-11	VYDAJ	VYBER	7900	27683	\N	\N	\N
1149213	3930	1997-11-10	VYDAJ	VYBER	7000	30903	\N	\N	\N
1149214	3930	1997-12-10	VYDAJ	VYBER	10100	40646	\N	\N	\N
1149215	3930	1998-01-09	VYDAJ	VYBER	9100	29765	\N	\N	\N
1149216	3930	1998-03-10	VYDAJ	VYBER	12400	21204	\N	\N	\N
1149217	3930	1998-04-09	VYDAJ	VYBER	11100	20302	\N	\N	\N
1149218	3930	1998-05-09	VYDAJ	VYBER	9700	20825	\N	\N	\N
1149219	3930	1998-07-08	VYDAJ	VYBER	14200	17487	\N	\N	\N
1149220	3930	1998-08-07	VYDAJ	VYBER	13900	13846	\N	\N	\N
1149221	3930	1998-10-06	VYDAJ	VYBER	10200	21506	\N	\N	\N
1149222	3930	1998-11-05	VYDAJ	VYBER	6100	21098	\N	\N	\N
1149223	3930	1998-12-05	VYDAJ	VYBER	8800	22558	\N	\N	\N
1149268	3931	1996-02-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1149270	3931	1996-02-11	PRIJEM	VKLAD	19672	20672	\N	\N	\N
1149271	3931	1996-03-11	PRIJEM	VKLAD	19672	41900	\N	\N	\N
1149272	3931	1996-04-11	PRIJEM	VKLAD	19672	51019	\N	\N	\N
1149273	3931	1996-05-11	PRIJEM	VKLAD	19672	59790	\N	\N	\N
1149274	3931	1996-06-11	PRIJEM	VKLAD	29508	73536	\N	\N	\N
1149275	3931	1996-07-11	PRIJEM	VKLAD	19672	71480	\N	\N	\N
1149276	3931	1996-08-11	PRIJEM	VKLAD	19672	69139	\N	\N	\N
1149277	3931	1996-09-11	PRIJEM	VKLAD	19672	68588	\N	\N	\N
1149278	3931	1996-10-11	PRIJEM	VKLAD	19672	72332	\N	\N	\N
1149279	3931	1996-11-11	PRIJEM	VKLAD	19672	74386	\N	\N	\N
1149280	3931	1996-12-11	PRIJEM	VKLAD	29508	82087	\N	\N	\N
1149281	3931	1997-01-11	PRIJEM	VKLAD	19672	71783	\N	\N	\N
1149282	3931	1997-02-11	PRIJEM	VKLAD	19672	63481	\N	\N	\N
1149283	3931	1997-03-11	PRIJEM	VKLAD	19672	70824	\N	\N	\N
1149284	3931	1997-04-11	PRIJEM	VKLAD	19672	72865	\N	\N	\N
1149285	3931	1997-05-11	PRIJEM	VKLAD	19672	70543	\N	\N	\N
1149286	3931	1997-06-11	PRIJEM	VKLAD	29508	81700	\N	\N	\N
1149287	3931	1997-07-11	PRIJEM	VKLAD	19672	58756	\N	\N	\N
1149288	3931	1997-08-11	PRIJEM	VKLAD	19672	59705	\N	\N	\N
1149289	3931	1997-09-11	PRIJEM	VKLAD	19672	63778	\N	\N	\N
1149290	3931	1997-10-11	PRIJEM	VKLAD	19672	69257	\N	\N	\N
1149291	3931	1997-11-11	PRIJEM	VKLAD	19672	75124	\N	\N	\N
1149292	3931	1997-12-11	PRIJEM	VKLAD	29508	85872	\N	\N	\N
1149293	3931	1998-01-11	PRIJEM	VKLAD	19672	67584	\N	\N	\N
1149294	3931	1998-02-11	PRIJEM	VKLAD	19672	65674	\N	\N	\N
1149295	3931	1998-03-11	PRIJEM	VKLAD	19672	70926	\N	\N	\N
1149296	3931	1998-04-11	PRIJEM	VKLAD	19672	70059	\N	\N	\N
1149297	3931	1998-05-11	PRIJEM	VKLAD	19672	71372	\N	\N	\N
1149298	3931	1998-06-11	PRIJEM	VKLAD	29508	54824	\N	\N	\N
1149299	3931	1998-07-11	PRIJEM	VKLAD	19672	55913	\N	\N	\N
1149300	3931	1998-08-11	PRIJEM	VKLAD	19672	57781	\N	\N	\N
1149301	3931	1998-09-11	PRIJEM	VKLAD	19672	64804	\N	\N	\N
1149302	3931	1998-10-11	PRIJEM	VKLAD	19672	66053	\N	\N	\N
1149303	3931	1998-11-11	PRIJEM	VKLAD	19672	70241	\N	\N	\N
1149304	3931	1998-12-11	PRIJEM	VKLAD	29508	85250	\N	\N	\N
1149306	3931	1997-06-13	VYDAJ	VYBER	36000	45700	\N	\N	\N
1149307	3931	1998-06-02	VYDAJ	VYBER	31360	25316	\N	\N	\N
1149309	3931	1997-01-03	VYDAJ	VYBER	4960	53071	\N	\N	\N
1149310	3931	1998-01-05	VYDAJ	VYBER	7840	51112	\N	\N	\N
1149311	3931	1996-12-01	VYDAJ	VYBER	1600	52579	\N	\N	\N
1149312	3931	1997-12-15	VYDAJ	VYBER KARTOU	4000	81872	\N	\N	0
1149313	3931	1998-12-25	VYDAJ	VYBER KARTOU	1000	63650	\N	\N	0
1149320	3931	1997-01-04	VYDAJ	VYBER	960	52111	\N	\N	\N
1149321	3931	1997-01-25	VYDAJ	VYBER KARTOU	2600	68463	\N	\N	0
1149322	3931	1997-01-26	VYDAJ	VYBER KARTOU	2800	65663	\N	\N	0
1149323	3931	1997-01-27	VYDAJ	VYBER KARTOU	3400	59363	\N	\N	0
1149324	3931	1997-01-20	VYDAJ	VYBER	720	71063	\N	\N	\N
1149325	3931	1997-01-27	VYDAJ	VYBER KARTOU	2900	62763	\N	\N	0
1149326	3931	1998-01-16	VYDAJ	VYBER KARTOU	2900	64684	\N	\N	0
1149327	3931	1998-01-08	VYDAJ	VYBER KARTOU	1400	47912	\N	\N	0
1149328	3931	1998-01-02	VYDAJ	VYBER KARTOU	1100	58952	\N	\N	0
1149329	3931	1998-01-29	VYDAJ	VYBER KARTOU	2900	45784	\N	\N	0
1149330	3931	1998-01-17	VYDAJ	VYBER KARTOU	3200	61484	\N	\N	0
1149331	3931	1998-01-23	VYDAJ	VYBER KARTOU	1300	56484	\N	\N	0
1149333	3931	1996-12-30	VYDAJ	VYBER	840	81247	\N	\N	\N
1149335	3931	1997-08-19	VYDAJ	VYBER KARTOU	3100	56605	\N	\N	0
1149336	3931	1997-05-03	VYDAJ	VYBER KARTOU	600	50871	\N	\N	0
1149337	3931	1997-12-04	VYDAJ	VYBER	4680	56364	\N	\N	\N
1149338	3931	1997-07-26	VYDAJ	VYBER	4800	53956	\N	\N	\N
1149339	3931	1997-09-13	VYDAJ	VYBER KARTOU	1400	62378	\N	\N	0
1149340	3931	1997-12-21	VYDAJ	VYBER KARTOU	2300	79572	\N	\N	0
1149341	3931	1997-08-07	VYDAJ	VYBER	4680	40033	\N	\N	\N
1149342	3931	1998-07-14	VYDAJ	VYBER	5160	50753	\N	\N	\N
1149343	3931	1998-01-19	VYDAJ	VYBER KARTOU	3700	57784	\N	\N	0
1149344	3931	1998-10-08	VYDAJ	VYBER KARTOU	3800	46381	\N	\N	0
1149345	3931	1998-04-03	VYDAJ	VYBER	5640	50387	\N	\N	\N
1149346	3931	1998-06-25	VYDAJ	VYBER	5880	36044	\N	\N	\N
1149347	3931	1998-01-07	VYDAJ	VYBER KARTOU	1800	49312	\N	\N	0
1149354	3931	1996-06-30	VYDAJ	VYBER	15	73808	SLUZBY	\N	\N
1149355	3931	1996-07-31	VYDAJ	VYBER	15	71767	SLUZBY	\N	\N
1149356	3931	1996-08-31	VYDAJ	VYBER	15	69416	SLUZBY	\N	\N
1149357	3931	1996-09-30	VYDAJ	VYBER	15	68860	SLUZBY	\N	\N
1149358	3931	1996-10-31	VYDAJ	VYBER	15	72614	SLUZBY	\N	\N
1149359	3931	1996-11-30	VYDAJ	VYBER	15	74679	SLUZBY	\N	\N
1149360	3931	1996-12-31	VYDAJ	VYBER	15	81531	SLUZBY	\N	\N
1149361	3931	1997-01-31	VYDAJ	VYBER	15	43809	SLUZBY	\N	\N
1149362	3931	1997-02-28	VYDAJ	VYBER	15	63652	SLUZBY	\N	\N
1149363	3931	1997-03-31	VYDAJ	VYBER	15	53193	SLUZBY	\N	\N
1149364	3931	1997-04-30	VYDAJ	VYBER	15	51471	SLUZBY	\N	\N
1149365	3931	1997-05-31	VYDAJ	VYBER	15	52192	SLUZBY	\N	\N
1149366	3931	1997-06-30	VYDAJ	VYBER	15	39084	SLUZBY	\N	\N
1149367	3931	1997-07-31	VYDAJ	VYBER	15	44713	SLUZBY	\N	\N
1149368	3931	1997-08-31	VYDAJ	VYBER	15	44106	SLUZBY	\N	\N
1149369	3931	1997-09-30	VYDAJ	VYBER	15	49585	SLUZBY	\N	\N
1149370	3931	1997-10-31	VYDAJ	VYBER	15	55452	SLUZBY	\N	\N
1149371	3931	1997-11-30	VYDAJ	VYBER	15	61044	SLUZBY	\N	\N
1149372	3931	1997-12-31	VYDAJ	VYBER	15	60052	SLUZBY	\N	\N
1149373	3931	1998-01-31	VYDAJ	VYBER	15	46002	SLUZBY	\N	\N
1149374	3931	1998-02-28	VYDAJ	VYBER	15	51254	SLUZBY	\N	\N
1149375	3931	1998-03-31	VYDAJ	VYBER	15	56027	SLUZBY	\N	\N
1149376	3931	1998-04-30	VYDAJ	VYBER	15	51700	SLUZBY	\N	\N
1149377	3931	1998-05-31	VYDAJ	VYBER	15	56676	SLUZBY	\N	\N
1149378	3931	1998-06-30	VYDAJ	VYBER	15	36241	SLUZBY	\N	\N
1149379	3931	1998-07-31	VYDAJ	VYBER	15	38109	SLUZBY	\N	\N
1149380	3931	1998-08-31	VYDAJ	VYBER	15	45132	SLUZBY	\N	\N
1149381	3931	1998-09-30	VYDAJ	VYBER	15	50181	SLUZBY	\N	\N
1149382	3931	1998-10-31	VYDAJ	VYBER	15	50569	SLUZBY	\N	\N
1149383	3931	1998-11-30	VYDAJ	VYBER	15	55742	SLUZBY	\N	\N
1149384	3931	1996-03-06	PRIJEM	VKLAD	1500	22228	\N	\N	\N
1149385	3931	1996-04-05	VYDAJ	VYBER	10700	31347	\N	\N	\N
1149386	3931	1996-05-05	VYDAJ	VYBER	11100	40118	\N	\N	\N
1149387	3931	1996-06-04	VYDAJ	VYBER	16000	44028	\N	\N	\N
1149388	3931	1996-07-04	VYDAJ	VYBER	22000	51808	\N	\N	\N
1149389	3931	1996-08-03	VYDAJ	VYBER	22300	49467	\N	\N	\N
1149390	3931	1996-09-02	VYDAJ	VYBER	20500	48916	\N	\N	\N
1149391	3931	1996-10-02	VYDAJ	VYBER	16200	52660	\N	\N	\N
1149392	3931	1996-11-01	VYDAJ	VYBER	17900	54714	\N	\N	\N
1149393	3931	1996-12-01	VYDAJ	VYBER	20500	54179	\N	\N	\N
1149394	3931	1996-12-31	VYDAJ	VYBER	23500	58031	\N	\N	\N
1149395	3931	1997-01-30	VYDAJ	VYBER	15800	43563	\N	\N	\N
1149396	3931	1997-03-01	VYDAJ	VYBER	12500	51152	\N	\N	\N
1149397	3931	1997-03-31	VYDAJ	VYBER	17900	53207	\N	\N	\N
1149398	3931	1997-04-30	VYDAJ	VYBER	21600	51486	\N	\N	\N
1149399	3931	1997-05-30	VYDAJ	VYBER	18600	51943	\N	\N	\N
1149400	3931	1997-06-29	VYDAJ	VYBER	6800	38900	\N	\N	\N
1149401	3931	1997-07-29	VYDAJ	VYBER	9400	44556	\N	\N	\N
1149402	3931	1997-08-28	VYDAJ	VYBER	12700	43905	\N	\N	\N
1149403	3931	1997-09-27	VYDAJ	VYBER	13000	49378	\N	\N	\N
1149404	3931	1997-10-27	VYDAJ	VYBER	14000	55257	\N	\N	\N
1149405	3931	1997-11-26	VYDAJ	VYBER	14300	60824	\N	\N	\N
1149406	3931	1997-12-26	VYDAJ	VYBER	19800	59772	\N	\N	\N
1149407	3931	1998-01-25	VYDAJ	VYBER	7800	48684	\N	\N	\N
1149408	3931	1998-02-24	VYDAJ	VYBER	14600	51074	\N	\N	\N
1149409	3931	1998-03-26	VYDAJ	VYBER	15100	55826	\N	\N	\N
1149410	3931	1998-04-25	VYDAJ	VYBER	18600	51459	\N	\N	\N
1149411	3931	1998-05-25	VYDAJ	VYBER	14900	56472	\N	\N	\N
1149412	3931	1998-06-24	VYDAJ	VYBER	12900	41924	\N	\N	\N
1149413	3931	1998-07-24	VYDAJ	VYBER	12800	37953	\N	\N	\N
1149414	3931	1998-08-23	VYDAJ	VYBER	12800	44981	\N	\N	\N
1149415	3931	1998-09-22	VYDAJ	VYBER	14800	50004	\N	\N	\N
1149416	3931	1998-10-22	VYDAJ	VYBER	15700	50353	\N	\N	\N
1149417	3931	1998-11-21	VYDAJ	VYBER	14700	55541	\N	\N	\N
1149418	3931	1998-12-21	VYDAJ	VYBER	20600	64650	\N	\N	\N
1149454	3932	1996-07-25	PRIJEM	VKLAD	600	600	\N	\N	\N
1149462	3932	1996-08-05	PRIJEM	PREVOD Z UCTU	6957	7557	DUCHOD	GH	10323864
1149463	3932	1996-09-05	PRIJEM	PREVOD Z UCTU	6957	14514	DUCHOD	GH	10323864
1149464	3932	1996-10-05	PRIJEM	PREVOD Z UCTU	6957	21471	DUCHOD	GH	10323864
1149465	3932	1996-11-05	PRIJEM	PREVOD Z UCTU	6957	28428	DUCHOD	GH	10323864
1149466	3932	1996-12-05	PRIJEM	PREVOD Z UCTU	6957	35385	DUCHOD	GH	10323864
1149467	3932	1997-01-05	PRIJEM	PREVOD Z UCTU	6957	33587	DUCHOD	GH	10323864
1149468	3932	1997-02-05	PRIJEM	PREVOD Z UCTU	6957	25895	DUCHOD	GH	10323864
1149469	3932	1997-03-05	PRIJEM	PREVOD Z UCTU	6957	28232	DUCHOD	GH	10323864
1149470	3932	1997-04-05	PRIJEM	PREVOD Z UCTU	6957	30779	DUCHOD	GH	10323864
1149471	3932	1997-05-05	PRIJEM	PREVOD Z UCTU	6957	27728	DUCHOD	GH	10323864
1149472	3932	1997-06-05	PRIJEM	PREVOD Z UCTU	6957	24765	DUCHOD	GH	10323864
1149473	3932	1997-07-05	PRIJEM	PREVOD Z UCTU	6957	24812	DUCHOD	GH	10323864
1149474	3932	1997-08-05	PRIJEM	PREVOD Z UCTU	6957	22198	DUCHOD	GH	10323864
1149475	3932	1997-09-05	PRIJEM	PREVOD Z UCTU	6957	23015	DUCHOD	GH	10323864
1149476	3932	1997-10-05	PRIJEM	PREVOD Z UCTU	6957	19829	DUCHOD	GH	10323864
1149477	3932	1997-11-05	PRIJEM	PREVOD Z UCTU	6957	17831	DUCHOD	GH	10323864
1149478	3932	1997-12-05	PRIJEM	PREVOD Z UCTU	6957	17967	DUCHOD	GH	10323864
1149479	3932	1998-01-05	PRIJEM	PREVOD Z UCTU	6957	21075	DUCHOD	GH	10323864
1149480	3932	1998-02-05	PRIJEM	PREVOD Z UCTU	6957	20473	DUCHOD	GH	10323864
1149481	3932	1998-03-05	PRIJEM	PREVOD Z UCTU	6957	20120	DUCHOD	GH	10323864
1149482	3932	1998-04-05	PRIJEM	PREVOD Z UCTU	6957	17721	DUCHOD	GH	10323864
1149483	3932	1998-05-05	PRIJEM	PREVOD Z UCTU	6957	19921	DUCHOD	GH	10323864
1149484	3932	1998-06-05	PRIJEM	PREVOD Z UCTU	6957	21930	DUCHOD	GH	10323864
1149485	3932	1998-07-05	PRIJEM	PREVOD Z UCTU	6957	24949	DUCHOD	GH	10323864
1149486	3932	1998-08-05	PRIJEM	PREVOD Z UCTU	6957	22210	DUCHOD	GH	10323864
1149487	3932	1998-09-05	PRIJEM	PREVOD Z UCTU	6957	27435	DUCHOD	GH	10323864
1149488	3932	1998-10-05	PRIJEM	PREVOD Z UCTU	6957	24730	DUCHOD	GH	10323864
1149489	3932	1998-11-05	PRIJEM	PREVOD Z UCTU	6957	23358	DUCHOD	GH	10323864
1149490	3932	1998-12-05	PRIJEM	PREVOD Z UCTU	6957	19064	DUCHOD	GH	10323864
1149502	3932	1996-12-14	VYDAJ	PREVOD NA UCET	1593	33792	SIPO	UV	38860297
1149503	3932	1997-01-14	VYDAJ	PREVOD NA UCET	1593	27754	SIPO	UV	38860297
1149504	3932	1997-02-14	VYDAJ	PREVOD NA UCET	1593	24302	SIPO	UV	38860297
1149505	3932	1997-03-14	VYDAJ	PREVOD NA UCET	1593	26639	SIPO	UV	38860297
1149506	3932	1997-04-14	VYDAJ	PREVOD NA UCET	1593	29186	SIPO	UV	38860297
1149507	3932	1997-05-14	VYDAJ	PREVOD NA UCET	1593	26135	SIPO	UV	38860297
1149508	3932	1997-06-14	VYDAJ	PREVOD NA UCET	1593	21492	SIPO	UV	38860297
1149509	3932	1997-07-14	VYDAJ	PREVOD NA UCET	1593	23219	SIPO	UV	38860297
1149510	3932	1997-08-14	VYDAJ	PREVOD NA UCET	1593	20605	SIPO	UV	38860297
1149511	3932	1997-09-14	VYDAJ	PREVOD NA UCET	1593	21422	SIPO	UV	38860297
1149512	3932	1997-10-14	VYDAJ	PREVOD NA UCET	1593	18236	SIPO	UV	38860297
1149513	3932	1997-11-14	VYDAJ	PREVOD NA UCET	1593	16238	SIPO	UV	38860297
1149514	3932	1997-12-14	VYDAJ	PREVOD NA UCET	1593	16374	SIPO	UV	38860297
1149515	3932	1998-01-14	VYDAJ	PREVOD NA UCET	1593	18842	SIPO	UV	38860297
1149516	3932	1998-02-14	VYDAJ	PREVOD NA UCET	1593	13120	SIPO	UV	38860297
1149517	3932	1998-03-14	VYDAJ	PREVOD NA UCET	1593	18527	SIPO	UV	38860297
1149518	3932	1998-04-14	VYDAJ	PREVOD NA UCET	1593	16128	SIPO	UV	38860297
1149519	3932	1998-05-14	VYDAJ	PREVOD NA UCET	1593	18328	SIPO	UV	38860297
1149520	3932	1998-06-14	VYDAJ	PREVOD NA UCET	1593	20337	SIPO	UV	38860297
1149521	3932	1998-07-14	VYDAJ	PREVOD NA UCET	1593	23356	SIPO	UV	38860297
1149522	3932	1998-08-14	VYDAJ	PREVOD NA UCET	1593	20417	SIPO	UV	38860297
1149523	3932	1998-09-14	VYDAJ	PREVOD NA UCET	1593	18982	SIPO	UV	38860297
1149524	3932	1998-10-14	VYDAJ	PREVOD NA UCET	1593	16337	SIPO	UV	38860297
1149525	3932	1998-11-14	VYDAJ	PREVOD NA UCET	1593	12065	SIPO	UV	38860297
1149526	3932	1998-12-14	VYDAJ	PREVOD NA UCET	1593	17471	SIPO	UV	38860297
1149531	3932	1997-01-19	VYDAJ	VYBER	750	27004	\N	\N	\N
1149532	3932	1998-01-01	VYDAJ	VYBER	1950	14118	\N	\N	\N
1149533	3932	1996-12-30	VYDAJ	VYBER	1000	26572	\N	\N	\N
1149534	3932	1997-12-24	VYDAJ	VYBER	250	16024	\N	\N	\N
1149535	3932	1998-12-24	VYDAJ	VYBER	450	17021	\N	\N	\N
1149542	3932	1997-01-24	VYDAJ	VYBER	1040	21964	\N	\N	\N
1149543	3932	1997-01-14	VYDAJ	VYBER	800	29347	\N	\N	\N
1149544	3932	1997-01-24	VYDAJ	VYBER	1280	20684	\N	\N	\N
1149545	3932	1997-01-05	VYDAJ	VYBER	1040	32547	\N	\N	\N
1149546	3932	1997-01-27	VYDAJ	VYBER	1280	19404	\N	\N	\N
1149547	3932	1997-01-28	VYDAJ	VYBER	560	18844	\N	\N	\N
1149548	3932	1998-01-26	VYDAJ	VYBER	960	13462	\N	\N	\N
1149550	3932	1998-01-07	VYDAJ	VYBER	640	20435	\N	\N	\N
1149551	3932	1998-01-15	VYDAJ	VYBER	1520	17322	\N	\N	\N
1149558	3932	1996-12-20	VYDAJ	VYBER	3520	30272	\N	\N	\N
1149559	3932	1997-07-24	VYDAJ	VYBER	3440	15179	\N	\N	\N
1149560	3932	1997-09-15	VYDAJ	VYBER	400	21022	\N	\N	\N
1149561	3932	1997-01-09	VYDAJ	VYBER	2400	30147	\N	\N	\N
1149562	3932	1997-11-15	VYDAJ	VYBER	2960	13278	\N	\N	\N
1149563	3932	1997-06-13	VYDAJ	VYBER	1680	23085	\N	\N	\N
1149565	3932	1998-09-29	VYDAJ	VYBER	480	18502	\N	\N	\N
1149566	3932	1998-02-09	VYDAJ	VYBER	3760	16713	\N	\N	\N
1149567	3932	1998-09-08	VYDAJ	VYBER	560	26875	\N	\N	\N
1149568	3932	1998-07-21	VYDAJ	VYBER	3360	15196	\N	\N	\N
1149569	3932	1998-02-09	VYDAJ	VYBER	2000	14713	\N	\N	\N
1149570	3932	1998-10-02	VYDAJ	VYBER	800	17773	\N	\N	\N
1149584	3932	1996-12-31	VYDAJ	VYBER	15	26630	SLUZBY	\N	\N
1149585	3932	1997-01-31	VYDAJ	VYBER	15	18938	SLUZBY	\N	\N
1149586	3932	1997-02-28	VYDAJ	VYBER	15	21275	SLUZBY	\N	\N
1149587	3932	1997-03-31	VYDAJ	VYBER	15	23822	SLUZBY	\N	\N
1149588	3932	1997-04-30	VYDAJ	VYBER	15	20771	SLUZBY	\N	\N
1149589	3932	1997-05-31	VYDAJ	VYBER	15	17808	SLUZBY	\N	\N
1149590	3932	1997-06-30	VYDAJ	VYBER	15	17855	SLUZBY	\N	\N
1149591	3932	1997-07-31	VYDAJ	VYBER	15	15241	SLUZBY	\N	\N
1149592	3932	1997-08-31	VYDAJ	VYBER	15	16058	SLUZBY	\N	\N
1149593	3932	1997-09-30	VYDAJ	VYBER	15	12872	SLUZBY	\N	\N
1149594	3932	1997-10-31	VYDAJ	VYBER	15	10874	SLUZBY	\N	\N
1149595	3932	1997-11-30	VYDAJ	VYBER	15	11010	SLUZBY	\N	\N
1149596	3932	1997-12-31	VYDAJ	VYBER	15	16068	SLUZBY	\N	\N
1149597	3932	1998-01-31	VYDAJ	VYBER	15	13516	SLUZBY	\N	\N
1149598	3932	1998-02-28	VYDAJ	VYBER	15	13163	SLUZBY	\N	\N
1149599	3932	1998-03-31	VYDAJ	VYBER	15	10764	SLUZBY	\N	\N
1149600	3932	1998-04-30	VYDAJ	VYBER	15	12964	SLUZBY	\N	\N
1149601	3932	1998-05-31	VYDAJ	VYBER	15	14973	SLUZBY	\N	\N
1149602	3932	1998-06-30	VYDAJ	VYBER	15	17992	SLUZBY	\N	\N
1149603	3932	1998-07-31	VYDAJ	VYBER	15	15253	SLUZBY	\N	\N
1149604	3932	1998-08-31	VYDAJ	VYBER	15	20478	SLUZBY	\N	\N
1149605	3932	1998-09-30	VYDAJ	VYBER	15	18573	SLUZBY	\N	\N
1149606	3932	1998-10-31	VYDAJ	VYBER	15	16401	SLUZBY	\N	\N
1149607	3932	1998-11-30	VYDAJ	VYBER	15	12107	SLUZBY	\N	\N
1149608	3932	1996-12-22	VYDAJ	VYBER	2700	27572	\N	\N	\N
1149609	3932	1997-01-21	VYDAJ	VYBER	4000	23004	\N	\N	\N
1149610	3932	1997-02-20	VYDAJ	VYBER	3100	21202	\N	\N	\N
1149611	3932	1997-03-22	VYDAJ	VYBER	2900	23739	\N	\N	\N
1149612	3932	1997-04-21	VYDAJ	VYBER	8500	20686	\N	\N	\N
1149613	3932	1997-05-21	VYDAJ	VYBER	8400	17735	\N	\N	\N
1149614	3932	1997-06-20	VYDAJ	VYBER	3700	17792	\N	\N	\N
1149615	3932	1997-07-20	VYDAJ	VYBER	4600	18619	\N	\N	\N
1149616	3932	1997-08-19	VYDAJ	VYBER	4600	16005	\N	\N	\N
1149617	3932	1997-09-18	VYDAJ	VYBER	8200	12822	\N	\N	\N
1149618	3932	1997-10-18	VYDAJ	VYBER	7400	10836	\N	\N	\N
1149619	3932	1997-11-17	VYDAJ	VYBER	2300	10978	\N	\N	\N
1149620	3932	1997-12-17	VYDAJ	VYBER	100	16274	\N	\N	\N
1149621	3932	1998-01-16	VYDAJ	VYBER	2900	14422	\N	\N	\N
1149622	3932	1998-03-17	VYDAJ	VYBER	7800	10727	\N	\N	\N
1149623	3932	1998-04-16	VYDAJ	VYBER	3200	12928	\N	\N	\N
1149624	3932	1998-05-16	VYDAJ	VYBER	3400	14928	\N	\N	\N
1149625	3932	1998-06-15	VYDAJ	VYBER	2400	17937	\N	\N	\N
1149626	3932	1998-07-15	VYDAJ	VYBER	4800	18556	\N	\N	\N
1149627	3932	1998-08-14	VYDAJ	VYBER	200	22010	\N	\N	\N
1149628	3932	1998-09-13	VYDAJ	VYBER	6300	20575	\N	\N	\N
1149629	3932	1998-10-13	VYDAJ	VYBER	6800	17930	\N	\N	\N
1149630	3932	1998-11-12	VYDAJ	VYBER	9700	13658	\N	\N	\N
1149656	3933	1996-02-11	PRIJEM	VKLAD	700	700	\N	\N	\N
1149657	3933	1996-06-08	PRIJEM	VKLAD	37855	73718	\N	\N	\N
1149658	3933	1996-11-14	PRIJEM	VKLAD	7947	43607	\N	\N	\N
1149659	3933	1996-08-11	PRIJEM	VKLAD	30189	69119	\N	\N	\N
1149660	3933	1996-03-08	PRIJEM	VKLAD	40581	41281	\N	\N	\N
1149661	3933	1996-12-11	PRIJEM	VKLAD	23508	60143	\N	\N	\N
1149662	3933	1997-12-26	PRIJEM	VKLAD	46242	75736	\N	\N	\N
1149663	3933	1997-04-14	PRIJEM	VKLAD	11169	39531	\N	\N	\N
1149664	3933	1997-07-23	PRIJEM	VKLAD	5080	18964	\N	\N	\N
1149665	3933	1997-01-17	PRIJEM	VKLAD	13830	61665	\N	\N	\N
1149666	3933	1997-01-12	PRIJEM	VKLAD	12084	47835	\N	\N	\N
1149667	3933	1997-12-17	PRIJEM	VKLAD	14401	33094	\N	\N	\N
1149668	3933	1997-04-14	PRIJEM	VKLAD	40012	79543	\N	\N	\N
1149669	3933	1997-01-28	PRIJEM	VKLAD	20818	62383	\N	\N	\N
1149670	3933	1997-09-29	PRIJEM	VKLAD	8401	22591	\N	\N	\N
1149671	3933	1997-05-06	PRIJEM	VKLAD	12056	78975	\N	\N	\N
1149672	3933	1997-03-21	PRIJEM	VKLAD	26151	53223	\N	\N	\N
1149720	3933	1997-12-26	VYBER	VYBER	4910	70826	\N	\N	\N
1149721	3933	1997-01-30	VYBER	VYBER	19414	42969	\N	\N	\N
1149722	3933	1997-01-09	VYBER	VYBER	5399	39351	\N	\N	\N
1149723	3933	1997-12-13	VYBER	VYBER	15779	18693	\N	\N	\N
1149724	3933	1997-10-21	VYBER	VYBER	15409	17770	\N	\N	\N
1149725	3933	1997-05-01	VYBER	VYBER	7456	72319	\N	\N	\N
1149726	3933	1997-03-30	VYBER	VYBER	20791	32432	\N	\N	\N
1149727	3933	1997-07-06	VYBER	VYBER	19481	13884	\N	\N	\N
1149728	3933	1997-02-18	VYBER	VYBER	8229	26235	\N	\N	\N
1149729	3933	1997-10-26	VYBER	VYBER	15366	2404	\N	\N	\N
1149730	3933	1997-06-30	VYBER	VYBER	8719	30080	\N	\N	\N
1149731	3933	1998-04-18	VYBER	VYBER	14654	18343	\N	\N	\N
1149732	3933	1998-09-28	VYBER	VYBER	5490	43747	\N	\N	\N
1149733	3933	1998-02-26	VYBER	VYBER	6232	25973	\N	\N	\N
1149734	3933	1998-12-04	VYBER	VYBER	14420	17547	\N	\N	\N
1149735	3933	1998-11-03	VYBER	VYBER	21204	25264	\N	\N	\N
1149736	3933	1998-05-18	VYBER	VYBER	20611	12014	\N	\N	\N
1149737	3933	1996-12-12	VYDAJ	VYBER	2400	57743	\N	\N	\N
1149738	3933	1997-12-21	VYDAJ	VYBER	3600	29494	\N	\N	\N
1149739	3933	1998-12-11	VYDAJ	VYBER	3600	13947	\N	\N	\N
1149746	3933	1997-01-03	VYDAJ	VYBER	2400	55550	\N	\N	\N
1149747	3933	1997-01-26	VYDAJ	VYBER	6900	41565	\N	\N	\N
1149748	3933	1997-01-21	VYDAJ	VYBER	2400	52965	\N	\N	\N
1149749	3933	1997-01-10	VYDAJ	VYBER	3600	35751	\N	\N	\N
1149750	3933	1997-01-18	VYDAJ	VYBER	6300	55365	\N	\N	\N
1149751	3933	1997-01-26	VYDAJ	VYBER	4500	48465	\N	\N	\N
1149752	3933	1998-01-01	VYDAJ	VYBER	6300	54945	\N	\N	\N
1149753	3933	1998-01-26	VYDAJ	VYBER	2400	24945	\N	\N	\N
1149754	3933	1998-01-14	VYDAJ	VYBER	3600	46845	\N	\N	\N
1149755	3933	1998-01-24	VYDAJ	VYBER	7800	27345	\N	\N	\N
1149756	3933	1998-01-14	VYDAJ	VYBER	4800	42045	\N	\N	\N
1149757	3933	1998-01-22	VYDAJ	VYBER	6900	35145	\N	\N	\N
1149765	3933	1997-11-25	VYDAJ	VYBER	6000	18463	\N	\N	\N
1149766	3933	1997-09-25	VYDAJ	VYBER	8400	14190	\N	\N	\N
1149767	3933	1997-06-12	VYDAJ	VYBER	6000	38611	\N	\N	\N
1149768	3933	1997-05-05	VYDAJ	VYBER	5400	66919	\N	\N	\N
1149769	3933	1997-09-19	VYDAJ	VYBER	12300	22590	\N	\N	\N
1149770	3933	1998-01-07	VYDAJ	VYBER	4500	50445	\N	\N	\N
1149771	3933	1998-08-02	VYDAJ	VYBER	11100	39422	\N	\N	\N
1149772	3933	1998-08-07	VYDAJ	VYBER	14400	25022	\N	\N	\N
1149773	3933	1998-02-25	VYDAJ	VYBER	6000	32205	\N	\N	\N
1149774	3933	1998-03-05	VYDAJ	VYBER	12900	23912	\N	\N	\N
1149775	3933	1998-11-10	VYDAJ	VYBER	6900	18364	\N	\N	\N
1149776	3933	1998-04-12	VYDAJ	VYBER	1500	32997	\N	\N	\N
1149789	3933	1996-12-31	VYDAJ	VYBER	15	57950	SLUZBY	\N	\N
1149790	3933	1997-01-31	VYDAJ	VYBER	15	43164	SLUZBY	\N	\N
1149791	3933	1997-02-28	VYDAJ	VYBER	15	26372	SLUZBY	\N	\N
1149792	3933	1997-03-31	VYDAJ	VYBER	15	32562	SLUZBY	\N	\N
1149793	3933	1997-04-30	VYDAJ	VYBER	15	79775	SLUZBY	\N	\N
1149794	3933	1997-05-31	VYDAJ	VYBER	15	57311	SLUZBY	\N	\N
1149795	3933	1997-06-30	VYDAJ	VYBER	15	30065	SLUZBY	\N	\N
1149796	3933	1997-07-31	VYDAJ	VYBER	15	19024	SLUZBY	\N	\N
1149797	3933	1997-08-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
1149798	3933	1997-09-30	VYDAJ	VYBER	15	22679	SLUZBY	\N	\N
1149799	3933	1997-10-31	VYDAJ	VYBER	15	2463	SLUZBY	\N	\N
1149800	3933	1997-11-30	VYDAJ	VYBER	15	18472	SLUZBY	\N	\N
1149801	3933	1997-12-31	VYDAJ	VYBER	15	70945	SLUZBY	\N	\N
1149802	3933	1998-01-31	VYDAJ	VYBER	15	38205	SLUZBY	\N	\N
1149803	3933	1998-02-28	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
1149804	3933	1998-03-31	VYDAJ	VYBER	15	23997	SLUZBY	\N	\N
1149805	3933	1998-04-30	VYDAJ	VYBER	15	18425	SLUZBY	\N	\N
1149806	3933	1998-05-31	VYDAJ	VYBER	15	29065	SLUZBY	\N	\N
1149807	3933	1998-06-30	VYDAJ	VYBER	15	39472	SLUZBY	\N	\N
1149808	3933	1998-07-31	VYDAJ	VYBER	15	50522	SLUZBY	\N	\N
1149809	3933	1998-08-31	VYDAJ	VYBER	15	39837	SLUZBY	\N	\N
1149810	3933	1998-09-30	VYDAJ	VYBER	15	43901	SLUZBY	\N	\N
1149811	3933	1998-10-31	VYDAJ	VYBER	15	46468	SLUZBY	\N	\N
1149812	3933	1998-11-30	VYDAJ	VYBER	15	31967	SLUZBY	\N	\N
1149813	3933	1996-03-12	VYDAJ	VYBER	6600	34681	\N	\N	\N
1149814	3933	1996-04-11	VYDAJ	VYBER	1200	33574	\N	\N	\N
1149815	3933	1996-05-11	PRIJEM	VKLAD	2000	35719	\N	\N	\N
1149816	3933	1996-06-10	VYDAJ	VYBER	21700	52018	\N	\N	\N
1149817	3933	1996-07-10	VYDAJ	VYBER	8700	43513	\N	\N	\N
1149818	3933	1996-08-09	VYDAJ	VYBER	4800	38930	\N	\N	\N
1149819	3933	1996-09-08	VYDAJ	VYBER	21100	48284	\N	\N	\N
1149820	3933	1996-10-08	VYDAJ	VYBER	11500	37072	\N	\N	\N
1149821	3933	1996-11-07	VYDAJ	VYBER	1700	35660	\N	\N	\N
1149822	3933	1996-12-07	VYDAJ	VYBER	7200	36635	\N	\N	\N
1149823	3933	1997-01-06	VYDAJ	VYBER	10800	44750	\N	\N	\N
1149824	3933	1997-02-05	VYDAJ	VYBER	8700	34464	\N	\N	\N
1149825	3933	1997-03-07	PRIJEM	VKLAD	700	27072	\N	\N	\N
1149826	3933	1997-04-06	VYDAJ	VYBER	4200	28362	\N	\N	\N
1149827	3933	1997-05-06	VYDAJ	VYBER	21900	57075	\N	\N	\N
1149828	3933	1997-06-05	VYDAJ	VYBER	12700	44611	\N	\N	\N
1149829	3933	1997-07-05	PRIJEM	VKLAD	3300	33365	\N	\N	\N
1149830	3933	1997-08-04	PRIJEM	VKLAD	8900	27924	\N	\N	\N
1149831	3933	1997-09-03	PRIJEM	VKLAD	6900	34890	\N	\N	\N
1149832	3933	1997-10-03	PRIJEM	VKLAD	10500	33179	\N	\N	\N
1149833	3933	1997-11-02	PRIJEM	VKLAD	22000	24463	\N	\N	\N
1149834	3933	1997-12-02	PRIJEM	VKLAD	16000	34472	\N	\N	\N
1149835	3933	1998-01-01	VYDAJ	VYBER	9700	61245	\N	\N	\N
1149836	3933	1998-01-31	PRIJEM	VKLAD	13100	38045	\N	\N	\N
1149837	3933	1998-03-02	PRIJEM	VKLAD	10700	36812	\N	\N	\N
1149838	3933	1998-04-01	PRIJEM	VKLAD	10500	34497	\N	\N	\N
1149839	3933	1998-05-01	PRIJEM	VKLAD	14200	32625	\N	\N	\N
1149840	3933	1998-05-31	PRIJEM	VKLAD	17000	29014	\N	\N	\N
1149841	3933	1998-06-30	PRIJEM	VKLAD	10300	39365	\N	\N	\N
1149842	3933	1998-07-30	PRIJEM	VKLAD	10900	50372	\N	\N	\N
1149843	3933	1998-08-29	PRIJEM	VKLAD	14700	39722	\N	\N	\N
1149844	3933	1998-09-28	PRIJEM	VKLAD	9400	49237	\N	\N	\N
1149845	3933	1998-10-28	PRIJEM	VKLAD	2400	46301	\N	\N	\N
1149846	3933	1998-11-27	PRIJEM	VKLAD	13500	31864	\N	\N	\N
1149883	3934	1997-12-23	PRIJEM	VKLAD	700	700	\N	\N	\N
1149896	3934	1998-01-06	PRIJEM	PREVOD Z UCTU	6362	7062	DUCHOD	CD	85486054
1149897	3934	1998-02-06	PRIJEM	PREVOD Z UCTU	6362	13424	DUCHOD	CD	85486054
1149898	3934	1998-03-06	PRIJEM	PREVOD Z UCTU	6362	19786	DUCHOD	CD	85486054
1149899	3934	1998-04-06	PRIJEM	PREVOD Z UCTU	6362	26148	DUCHOD	CD	85486054
1149900	3934	1998-05-06	PRIJEM	PREVOD Z UCTU	6362	32510	DUCHOD	CD	85486054
1149901	3934	1998-06-06	PRIJEM	PREVOD Z UCTU	6362	25253	DUCHOD	CD	85486054
1149902	3934	1998-07-06	PRIJEM	PREVOD Z UCTU	6362	28201	DUCHOD	CD	85486054
1149903	3934	1998-08-06	PRIJEM	PREVOD Z UCTU	6362	29853	DUCHOD	CD	85486054
1149904	3934	1998-09-06	PRIJEM	PREVOD Z UCTU	6362	29808	DUCHOD	CD	85486054
1149905	3934	1998-10-06	PRIJEM	PREVOD Z UCTU	6362	28662	DUCHOD	CD	85486054
1149906	3934	1998-11-06	PRIJEM	PREVOD Z UCTU	6362	26708	DUCHOD	CD	85486054
1149907	3934	1998-12-06	PRIJEM	PREVOD Z UCTU	6362	24345	DUCHOD	CD	85486054
1149924	3934	1998-05-08	VYDAJ	PREVOD NA UCET	2396	30114	SIPO	MN	96072834
1149925	3934	1998-06-08	VYDAJ	PREVOD NA UCET	2396	22857	SIPO	MN	96072834
1149926	3934	1998-07-08	VYDAJ	PREVOD NA UCET	2396	25805	SIPO	MN	96072834
1149927	3934	1998-08-08	VYDAJ	PREVOD NA UCET	2396	27457	SIPO	MN	96072834
1149928	3934	1998-09-08	VYDAJ	PREVOD NA UCET	2396	27412	SIPO	MN	96072834
1149929	3934	1998-10-08	VYDAJ	PREVOD NA UCET	2396	26266	SIPO	MN	96072834
1149930	3934	1998-11-08	VYDAJ	PREVOD NA UCET	2396	24312	SIPO	MN	96072834
1149931	3934	1998-12-08	VYDAJ	PREVOD NA UCET	2396	21949	SIPO	MN	96072834
1149933	3934	1998-06-05	VYDAJ	VYBER	7300	18891	\N	\N	\N
1149935	3934	1998-12-11	VYDAJ	VYBER	1200	20749	\N	\N	\N
1149969	3934	1998-05-31	VYDAJ	VYBER	15	26191	SLUZBY	\N	\N
1149970	3934	1998-06-30	VYDAJ	VYBER	15	21839	SLUZBY	\N	\N
1149971	3934	1998-07-31	VYDAJ	VYBER	15	23491	SLUZBY	\N	\N
1149972	3934	1998-08-31	VYDAJ	VYBER	15	23446	SLUZBY	\N	\N
1149973	3934	1998-09-30	VYDAJ	VYBER	15	22300	SLUZBY	\N	\N
1149974	3934	1998-10-31	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
1149975	3934	1998-11-30	VYDAJ	VYBER	15	17983	SLUZBY	\N	\N
1149976	3934	1998-05-22	VYDAJ	VYBER	4000	26114	\N	\N	\N
1149977	3934	1998-06-21	VYDAJ	VYBER	1100	21757	\N	\N	\N
1149978	3934	1998-07-21	VYDAJ	VYBER	2400	23405	\N	\N	\N
1149979	3934	1998-08-20	VYDAJ	VYBER	4100	23357	\N	\N	\N
1149980	3934	1998-09-19	VYDAJ	VYBER	5200	22212	\N	\N	\N
1149981	3934	1998-10-19	VYDAJ	VYBER	6000	20266	\N	\N	\N
1149982	3934	1998-11-18	VYDAJ	VYBER	6400	17912	\N	\N	\N
1149991	3935	1993-03-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1149995	3935	1993-04-06	PRIJEM	PREVOD Z UCTU	21736	22736	\N	KL	32445126
1149996	3935	1993-05-06	PRIJEM	PREVOD Z UCTU	21736	45250	\N	KL	32445126
1149997	3935	1993-06-06	PRIJEM	PREVOD Z UCTU	32604	69296	\N	KL	32445126
1149998	3935	1993-07-06	PRIJEM	PREVOD Z UCTU	21736	68820	\N	KL	32445126
1149999	3935	1993-08-06	PRIJEM	PREVOD Z UCTU	21736	56028	\N	KL	32445126
1150000	3935	1993-09-06	PRIJEM	PREVOD Z UCTU	21736	56189	\N	KL	32445126
1150001	3935	1993-10-06	PRIJEM	PREVOD Z UCTU	21736	54534	\N	KL	32445126
1150002	3935	1993-11-06	PRIJEM	PREVOD Z UCTU	21736	41146	\N	KL	32445126
1150003	3935	1993-12-06	PRIJEM	PREVOD Z UCTU	32604	57091	\N	KL	32445126
1150004	3935	1994-01-06	PRIJEM	PREVOD Z UCTU	21736	42971	\N	KL	32445126
1150005	3935	1994-02-06	PRIJEM	PREVOD Z UCTU	21736	43304	\N	KL	32445126
1150006	3935	1994-03-06	PRIJEM	PREVOD Z UCTU	21736	50386	\N	KL	32445126
1150007	3935	1994-04-06	PRIJEM	PREVOD Z UCTU	21736	51793	\N	KL	32445126
1150008	3935	1994-05-06	PRIJEM	PREVOD Z UCTU	21736	53197	\N	KL	32445126
1150009	3935	1994-06-06	PRIJEM	PREVOD Z UCTU	32604	55158	\N	KL	32445126
1150010	3935	1994-07-06	PRIJEM	PREVOD Z UCTU	21736	45853	\N	KL	32445126
1150011	3935	1994-08-06	PRIJEM	PREVOD Z UCTU	21736	45028	\N	KL	32445126
1150012	3935	1994-09-06	PRIJEM	PREVOD Z UCTU	21736	46217	\N	KL	32445126
1150013	3935	1994-10-06	PRIJEM	PREVOD Z UCTU	21736	47324	\N	KL	32445126
1150014	3935	1994-11-06	PRIJEM	PREVOD Z UCTU	21736	52224	\N	KL	32445126
1150015	3935	1994-12-06	PRIJEM	PREVOD Z UCTU	32604	59801	\N	KL	32445126
1150016	3935	1995-01-06	PRIJEM	PREVOD Z UCTU	21736	44103	\N	KL	32445126
1150017	3935	1995-02-06	PRIJEM	PREVOD Z UCTU	21736	42474	\N	KL	32445126
1150018	3935	1995-03-06	PRIJEM	PREVOD Z UCTU	21736	51754	\N	KL	32445126
1150019	3935	1995-04-06	PRIJEM	PREVOD Z UCTU	21736	46095	\N	KL	32445126
1150020	3935	1995-05-06	PRIJEM	PREVOD Z UCTU	21736	49387	\N	KL	32445126
1150021	3935	1995-06-06	PRIJEM	PREVOD Z UCTU	32604	64861	\N	KL	32445126
1150022	3935	1995-07-06	PRIJEM	PREVOD Z UCTU	21736	57714	\N	KL	32445126
1150023	3935	1995-08-06	PRIJEM	PREVOD Z UCTU	21736	43009	\N	KL	32445126
1150024	3935	1995-09-06	PRIJEM	PREVOD Z UCTU	21736	48293	\N	KL	32445126
1150025	3935	1995-10-06	PRIJEM	PREVOD Z UCTU	21736	53192	\N	KL	32445126
1150026	3935	1995-11-06	PRIJEM	PREVOD Z UCTU	21736	54893	\N	KL	32445126
1150027	3935	1995-12-06	PRIJEM	PREVOD Z UCTU	32604	56164	\N	KL	32445126
1150028	3935	1996-01-06	PRIJEM	PREVOD Z UCTU	21736	50750	\N	KL	32445126
1150029	3935	1996-02-06	PRIJEM	PREVOD Z UCTU	21736	41147	\N	KL	32445126
1150030	3935	1996-03-06	PRIJEM	PREVOD Z UCTU	21736	50420	\N	KL	32445126
1150031	3935	1996-04-06	PRIJEM	PREVOD Z UCTU	21736	49489	\N	KL	32445126
1150032	3935	1996-05-06	PRIJEM	PREVOD Z UCTU	21736	53589	\N	KL	32445126
1150033	3935	1996-06-06	PRIJEM	PREVOD Z UCTU	32604	68773	\N	KL	32445126
1150034	3935	1996-07-06	PRIJEM	PREVOD Z UCTU	21736	49772	\N	KL	32445126
1150035	3935	1996-08-06	PRIJEM	PREVOD Z UCTU	21736	51977	\N	KL	32445126
1150036	3935	1996-09-06	PRIJEM	PREVOD Z UCTU	21736	52384	\N	KL	32445126
1150037	3935	1996-10-06	PRIJEM	PREVOD Z UCTU	21736	55390	\N	KL	32445126
1150038	3935	1996-11-06	PRIJEM	PREVOD Z UCTU	21736	54401	\N	KL	32445126
1150039	3935	1996-12-06	PRIJEM	PREVOD Z UCTU	32604	64781	\N	KL	32445126
1150040	3935	1997-01-06	PRIJEM	PREVOD Z UCTU	21736	54120	\N	KL	32445126
1150041	3935	1997-02-06	PRIJEM	PREVOD Z UCTU	21736	45968	\N	KL	32445126
1150042	3935	1997-03-06	PRIJEM	PREVOD Z UCTU	21736	52041	\N	KL	32445126
1150043	3935	1997-04-06	PRIJEM	PREVOD Z UCTU	21736	58550	\N	KL	32445126
1150044	3935	1997-05-06	PRIJEM	PREVOD Z UCTU	21736	55970	\N	KL	32445126
1150045	3935	1997-06-06	PRIJEM	PREVOD Z UCTU	32604	54966	\N	KL	32445126
1150046	3935	1997-07-06	PRIJEM	PREVOD Z UCTU	21736	49548	\N	KL	32445126
1150047	3935	1997-08-06	PRIJEM	PREVOD Z UCTU	21736	53068	\N	KL	32445126
1150048	3935	1997-09-06	PRIJEM	PREVOD Z UCTU	21736	56064	\N	KL	32445126
1150049	3935	1997-10-06	PRIJEM	PREVOD Z UCTU	21736	63589	\N	KL	32445126
1150050	3935	1997-11-06	PRIJEM	PREVOD Z UCTU	21736	58465	\N	KL	32445126
1150051	3935	1997-12-06	PRIJEM	PREVOD Z UCTU	32604	54513	\N	KL	32445126
1150052	3935	1998-01-06	PRIJEM	PREVOD Z UCTU	21736	49562	\N	KL	32445126
1150053	3935	1998-02-06	PRIJEM	PREVOD Z UCTU	21736	42617	\N	KL	32445126
1150054	3935	1998-03-06	PRIJEM	PREVOD Z UCTU	21736	58407	\N	KL	32445126
1150055	3935	1998-04-06	PRIJEM	PREVOD Z UCTU	21736	64638	\N	KL	32445126
1150056	3935	1998-05-06	PRIJEM	PREVOD Z UCTU	21736	66080	\N	KL	32445126
1150057	3935	1998-06-06	PRIJEM	PREVOD Z UCTU	32604	55333	\N	KL	32445126
1150058	3935	1998-07-06	PRIJEM	PREVOD Z UCTU	21736	44501	\N	KL	32445126
1150059	3935	1998-08-06	PRIJEM	PREVOD Z UCTU	21736	50520	\N	KL	32445126
1150060	3935	1998-09-06	PRIJEM	PREVOD Z UCTU	21736	66043	\N	KL	32445126
1150061	3935	1998-10-06	PRIJEM	PREVOD Z UCTU	21736	66683	\N	KL	32445126
1150062	3935	1998-11-06	PRIJEM	PREVOD Z UCTU	21736	60556	\N	KL	32445126
1150063	3935	1998-12-06	PRIJEM	PREVOD Z UCTU	32604	66610	\N	KL	32445126
1150144	3935	1993-09-05	VYDAJ	PREVOD NA UCET	2648	34453	SIPO	MN	30181229
1150145	3935	1993-10-05	VYDAJ	PREVOD NA UCET	2648	32798	SIPO	MN	30181229
1150146	3935	1993-11-05	VYDAJ	PREVOD NA UCET	2648	19410	SIPO	MN	30181229
1150147	3935	1993-12-05	VYDAJ	PREVOD NA UCET	2648	24487	SIPO	MN	30181229
1150148	3935	1994-01-05	VYDAJ	PREVOD NA UCET	2648	21235	SIPO	MN	30181229
1150149	3935	1994-02-05	VYDAJ	PREVOD NA UCET	2648	21568	SIPO	MN	30181229
1150150	3935	1994-03-05	VYDAJ	PREVOD NA UCET	2648	28650	SIPO	MN	30181229
1150151	3935	1994-04-05	VYDAJ	PREVOD NA UCET	2648	30057	SIPO	MN	30181229
1150152	3935	1994-05-05	VYDAJ	PREVOD NA UCET	2648	31461	SIPO	MN	30181229
1150153	3935	1994-06-05	VYDAJ	PREVOD NA UCET	2648	22554	SIPO	MN	30181229
1150154	3935	1994-07-05	VYDAJ	PREVOD NA UCET	2648	24117	SIPO	MN	30181229
1150155	3935	1994-08-05	VYDAJ	PREVOD NA UCET	2648	23292	SIPO	MN	30181229
1150156	3935	1994-09-05	VYDAJ	PREVOD NA UCET	2648	24481	SIPO	MN	30181229
1150157	3935	1994-10-05	VYDAJ	PREVOD NA UCET	2648	25588	SIPO	MN	30181229
1150158	3935	1994-11-05	VYDAJ	PREVOD NA UCET	2648	30488	SIPO	MN	30181229
1150159	3935	1994-12-05	VYDAJ	PREVOD NA UCET	2648	27197	SIPO	MN	30181229
1150160	3935	1995-01-05	VYDAJ	PREVOD NA UCET	2648	22367	SIPO	MN	30181229
1150161	3935	1995-02-05	VYDAJ	PREVOD NA UCET	2648	20738	SIPO	MN	30181229
1150162	3935	1995-03-05	VYDAJ	PREVOD NA UCET	2648	30018	SIPO	MN	30181229
1150163	3935	1995-04-05	VYDAJ	PREVOD NA UCET	2648	24359	SIPO	MN	30181229
1150164	3935	1995-05-05	VYDAJ	PREVOD NA UCET	2648	27651	SIPO	MN	30181229
1150165	3935	1995-06-05	VYDAJ	PREVOD NA UCET	2648	32257	SIPO	MN	30181229
1150166	3935	1995-07-05	VYDAJ	PREVOD NA UCET	2648	35978	SIPO	MN	30181229
1150167	3935	1995-08-05	VYDAJ	PREVOD NA UCET	2648	21273	SIPO	MN	30181229
1150168	3935	1995-09-05	VYDAJ	PREVOD NA UCET	2648	26557	SIPO	MN	30181229
1150169	3935	1995-10-05	VYDAJ	PREVOD NA UCET	2648	31456	SIPO	MN	30181229
1150170	3935	1995-11-05	VYDAJ	PREVOD NA UCET	2648	33157	SIPO	MN	30181229
1150171	3935	1995-12-05	VYDAJ	PREVOD NA UCET	2648	23560	SIPO	MN	30181229
1150172	3935	1996-01-05	VYDAJ	PREVOD NA UCET	2648	29014	SIPO	MN	30181229
1150173	3935	1996-02-05	VYDAJ	PREVOD NA UCET	2648	19411	SIPO	MN	30181229
1150174	3935	1996-03-05	VYDAJ	PREVOD NA UCET	2648	28684	SIPO	MN	30181229
1150175	3935	1996-04-05	VYDAJ	PREVOD NA UCET	2648	27753	SIPO	MN	30181229
1150176	3935	1996-05-05	VYDAJ	PREVOD NA UCET	2648	31853	SIPO	MN	30181229
1150177	3935	1996-06-05	VYDAJ	PREVOD NA UCET	2648	36169	SIPO	MN	30181229
1150178	3935	1996-07-05	VYDAJ	PREVOD NA UCET	2648	28036	SIPO	MN	30181229
1150179	3935	1996-08-05	VYDAJ	PREVOD NA UCET	2648	30241	SIPO	MN	30181229
1150180	3935	1996-09-05	VYDAJ	PREVOD NA UCET	2648	30648	SIPO	MN	30181229
1150181	3935	1996-10-05	VYDAJ	PREVOD NA UCET	2648	33654	SIPO	MN	30181229
1150182	3935	1996-11-05	VYDAJ	PREVOD NA UCET	2648	32665	SIPO	MN	30181229
1150183	3935	1996-12-05	VYDAJ	PREVOD NA UCET	2648	32177	SIPO	MN	30181229
1150184	3935	1997-01-05	VYDAJ	PREVOD NA UCET	2648	32384	SIPO	MN	30181229
1150185	3935	1997-02-05	VYDAJ	PREVOD NA UCET	2648	24232	SIPO	MN	30181229
1150186	3935	1997-03-05	VYDAJ	PREVOD NA UCET	2648	30305	SIPO	MN	30181229
1150187	3935	1997-04-05	VYDAJ	PREVOD NA UCET	2648	36814	SIPO	MN	30181229
1150188	3935	1997-05-05	VYDAJ	PREVOD NA UCET	2648	34234	SIPO	MN	30181229
1150189	3935	1997-06-05	VYDAJ	PREVOD NA UCET	2648	22362	SIPO	MN	30181229
1150190	3935	1997-07-05	VYDAJ	PREVOD NA UCET	2648	27812	SIPO	MN	30181229
1150191	3935	1997-08-05	VYDAJ	PREVOD NA UCET	2648	31332	SIPO	MN	30181229
1150192	3935	1997-09-05	VYDAJ	PREVOD NA UCET	2648	34328	SIPO	MN	30181229
1150193	3935	1997-10-05	VYDAJ	PREVOD NA UCET	2648	41853	SIPO	MN	30181229
1150194	3935	1997-11-05	VYDAJ	PREVOD NA UCET	2648	36729	SIPO	MN	30181229
1150195	3935	1997-12-05	VYDAJ	PREVOD NA UCET	2648	21909	SIPO	MN	30181229
1150196	3935	1998-01-05	VYDAJ	PREVOD NA UCET	2648	27826	SIPO	MN	30181229
1150197	3935	1998-02-05	VYDAJ	PREVOD NA UCET	2648	20881	SIPO	MN	30181229
1150198	3935	1998-03-05	VYDAJ	PREVOD NA UCET	2648	36671	SIPO	MN	30181229
1150199	3935	1998-04-05	VYDAJ	PREVOD NA UCET	2648	42902	SIPO	MN	30181229
1150200	3935	1998-05-05	VYDAJ	PREVOD NA UCET	2648	44344	SIPO	MN	30181229
1150201	3935	1998-06-05	VYDAJ	PREVOD NA UCET	2648	22729	SIPO	MN	30181229
1150202	3935	1998-07-05	VYDAJ	PREVOD NA UCET	2648	22765	SIPO	MN	30181229
1150203	3935	1998-08-05	VYDAJ	PREVOD NA UCET	2648	28784	SIPO	MN	30181229
1150204	3935	1998-09-05	VYDAJ	PREVOD NA UCET	2648	44307	SIPO	MN	30181229
1150205	3935	1998-10-05	VYDAJ	PREVOD NA UCET	2648	44947	SIPO	MN	30181229
1150206	3935	1998-11-05	VYDAJ	PREVOD NA UCET	2648	38820	SIPO	MN	30181229
1150207	3935	1998-12-05	VYDAJ	PREVOD NA UCET	2648	34006	SIPO	MN	30181229
1150215	3935	1993-08-07	VYDAJ	PREVOD NA UCET	5908	49468	 	GH	11549193
1150216	3935	1993-09-07	VYDAJ	PREVOD NA UCET	5908	49629	 	GH	11549193
1150217	3935	1993-10-07	VYDAJ	PREVOD NA UCET	5908	47974	 	GH	11549193
1150218	3935	1993-11-07	VYDAJ	PREVOD NA UCET	5908	34586	 	GH	11549193
1150219	3935	1993-12-07	VYDAJ	PREVOD NA UCET	5908	50531	 	GH	11549193
1150220	3935	1994-01-07	VYDAJ	PREVOD NA UCET	5908	28611	 	GH	11549193
1150221	3935	1994-02-07	VYDAJ	PREVOD NA UCET	5908	36744	 	GH	11549193
1150222	3935	1994-03-07	VYDAJ	PREVOD NA UCET	5908	43826	 	GH	11549193
1150223	3935	1994-04-07	VYDAJ	PREVOD NA UCET	5908	45233	 	GH	11549193
1150224	3935	1994-05-07	VYDAJ	PREVOD NA UCET	5908	46637	 	GH	11549193
1150225	3935	1994-06-07	VYDAJ	PREVOD NA UCET	5908	48598	 	GH	11549193
1150226	3935	1994-07-07	VYDAJ	PREVOD NA UCET	5908	39293	 	GH	11549193
1150227	3935	1994-08-07	VYDAJ	PREVOD NA UCET	5908	38468	 	GH	11549193
1150228	3935	1994-09-07	VYDAJ	PREVOD NA UCET	5908	39657	 	GH	11549193
1150229	3935	1994-10-07	VYDAJ	PREVOD NA UCET	5908	40764	 	GH	11549193
1150230	3935	1994-11-07	VYDAJ	PREVOD NA UCET	5908	45664	 	GH	11549193
1150231	3935	1994-12-07	VYDAJ	PREVOD NA UCET	5908	53241	 	GH	11549193
1150232	3935	1995-01-07	VYDAJ	PREVOD NA UCET	5908	37543	 	GH	11549193
1150233	3935	1995-02-07	VYDAJ	PREVOD NA UCET	5908	35914	 	GH	11549193
1150234	3935	1995-03-07	VYDAJ	PREVOD NA UCET	5908	45194	 	GH	11549193
1150235	3935	1995-04-07	VYDAJ	PREVOD NA UCET	5908	39535	 	GH	11549193
1150236	3935	1995-05-07	VYDAJ	PREVOD NA UCET	5908	42827	 	GH	11549193
1150237	3935	1995-06-07	VYDAJ	PREVOD NA UCET	5908	58301	 	GH	11549193
1150238	3935	1995-07-07	VYDAJ	PREVOD NA UCET	5908	51154	 	GH	11549193
1150239	3935	1995-08-07	VYDAJ	PREVOD NA UCET	5908	36449	 	GH	11549193
1150240	3935	1995-09-07	VYDAJ	PREVOD NA UCET	5908	41733	 	GH	11549193
1150241	3935	1995-10-07	VYDAJ	PREVOD NA UCET	5908	44832	 	GH	11549193
1150242	3935	1995-11-07	VYDAJ	PREVOD NA UCET	5908	48333	 	GH	11549193
1150243	3935	1995-12-07	VYDAJ	PREVOD NA UCET	5908	49604	 	GH	11549193
1150244	3935	1996-01-07	VYDAJ	PREVOD NA UCET	5908	44190	 	GH	11549193
1150245	3935	1996-02-07	VYDAJ	PREVOD NA UCET	5908	34587	 	GH	11549193
1150246	3935	1996-03-07	VYDAJ	PREVOD NA UCET	5908	43860	 	GH	11549193
1150247	3935	1996-04-07	VYDAJ	PREVOD NA UCET	5908	42929	 	GH	11549193
1150248	3935	1996-05-07	VYDAJ	PREVOD NA UCET	5908	47029	 	GH	11549193
1150249	3935	1996-06-07	VYDAJ	PREVOD NA UCET	5908	62213	 	GH	11549193
1150250	3935	1996-07-07	VYDAJ	PREVOD NA UCET	5908	43212	 	GH	11549193
1150251	3935	1996-08-07	VYDAJ	PREVOD NA UCET	5908	45417	 	GH	11549193
1150252	3935	1996-09-07	VYDAJ	PREVOD NA UCET	5908	45824	 	GH	11549193
1150253	3935	1996-10-07	VYDAJ	PREVOD NA UCET	5908	48830	 	GH	11549193
1150254	3935	1996-11-07	VYDAJ	PREVOD NA UCET	5908	47841	 	GH	11549193
1150255	3935	1996-12-07	VYDAJ	PREVOD NA UCET	5908	58221	 	GH	11549193
1150256	3935	1997-01-07	VYDAJ	PREVOD NA UCET	5908	47560	 	GH	11549193
1150257	3935	1997-02-07	VYDAJ	PREVOD NA UCET	5908	39408	 	GH	11549193
1150258	3935	1997-03-07	VYDAJ	PREVOD NA UCET	5908	45481	 	GH	11549193
1150259	3935	1997-04-07	VYDAJ	PREVOD NA UCET	5908	51990	 	GH	11549193
1150260	3935	1997-05-07	VYDAJ	PREVOD NA UCET	5908	49410	 	GH	11549193
1150261	3935	1997-06-07	VYDAJ	PREVOD NA UCET	5908	34114	 	GH	11549193
1150262	3935	1997-07-07	VYDAJ	PREVOD NA UCET	5908	42988	 	GH	11549193
1150263	3935	1997-08-07	VYDAJ	PREVOD NA UCET	5908	46508	 	GH	11549193
1150264	3935	1997-09-07	VYDAJ	PREVOD NA UCET	5908	49504	 	GH	11549193
1150265	3935	1997-10-07	VYDAJ	PREVOD NA UCET	5908	57029	 	GH	11549193
1150266	3935	1997-11-07	VYDAJ	PREVOD NA UCET	5908	51905	 	GH	11549193
1150267	3935	1997-12-07	VYDAJ	PREVOD NA UCET	5908	47953	 	GH	11549193
1150268	3935	1998-01-07	VYDAJ	PREVOD NA UCET	5908	43002	 	GH	11549193
1150269	3935	1998-02-07	VYDAJ	PREVOD NA UCET	5908	36057	 	GH	11549193
1150270	3935	1998-03-07	VYDAJ	PREVOD NA UCET	5908	51847	 	GH	11549193
1150271	3935	1998-04-07	VYDAJ	PREVOD NA UCET	5908	58078	 	GH	11549193
1150272	3935	1998-05-07	VYDAJ	PREVOD NA UCET	5908	59520	 	GH	11549193
1150273	3935	1998-06-07	VYDAJ	PREVOD NA UCET	5908	48773	 	GH	11549193
1150274	3935	1998-07-07	VYDAJ	PREVOD NA UCET	5908	37941	 	GH	11549193
1150275	3935	1998-08-07	VYDAJ	PREVOD NA UCET	5908	43960	 	GH	11549193
1150276	3935	1998-09-07	VYDAJ	PREVOD NA UCET	5908	59483	 	GH	11549193
1150277	3935	1998-10-07	VYDAJ	PREVOD NA UCET	5908	60123	 	GH	11549193
1150278	3935	1998-11-07	VYDAJ	PREVOD NA UCET	5908	53996	 	GH	11549193
1150279	3935	1998-12-07	VYDAJ	PREVOD NA UCET	5908	51561	 	GH	11549193
1150287	3935	1993-08-06	VYDAJ	PREVOD NA UCET	652	55376	POJISTNE	YZ	3849626
1150288	3935	1993-09-06	VYDAJ	PREVOD NA UCET	652	55537	POJISTNE	YZ	3849626
1150289	3935	1993-10-06	VYDAJ	PREVOD NA UCET	652	53882	POJISTNE	YZ	3849626
1150290	3935	1993-11-06	VYDAJ	PREVOD NA UCET	652	40494	POJISTNE	YZ	3849626
1150291	3935	1993-12-06	VYDAJ	PREVOD NA UCET	652	56439	POJISTNE	YZ	3849626
1150292	3935	1994-01-06	VYDAJ	PREVOD NA UCET	652	42319	POJISTNE	YZ	3849626
1150293	3935	1994-02-06	VYDAJ	PREVOD NA UCET	652	42652	POJISTNE	YZ	3849626
1150294	3935	1994-03-06	VYDAJ	PREVOD NA UCET	652	49734	POJISTNE	YZ	3849626
1150295	3935	1994-04-06	VYDAJ	PREVOD NA UCET	652	51141	POJISTNE	YZ	3849626
1150296	3935	1994-05-06	VYDAJ	PREVOD NA UCET	652	52545	POJISTNE	YZ	3849626
1150297	3935	1994-06-06	VYDAJ	PREVOD NA UCET	652	54506	POJISTNE	YZ	3849626
1150298	3935	1994-07-06	VYDAJ	PREVOD NA UCET	652	45201	POJISTNE	YZ	3849626
1150299	3935	1994-08-06	VYDAJ	PREVOD NA UCET	652	44376	POJISTNE	YZ	3849626
1150300	3935	1994-09-06	VYDAJ	PREVOD NA UCET	652	45565	POJISTNE	YZ	3849626
1150301	3935	1994-10-06	VYDAJ	PREVOD NA UCET	652	46672	POJISTNE	YZ	3849626
1150302	3935	1994-11-06	VYDAJ	PREVOD NA UCET	652	51572	POJISTNE	YZ	3849626
1150303	3935	1994-12-06	VYDAJ	PREVOD NA UCET	652	59149	POJISTNE	YZ	3849626
1150304	3935	1995-01-06	VYDAJ	PREVOD NA UCET	652	43451	POJISTNE	YZ	3849626
1150305	3935	1995-02-06	VYDAJ	PREVOD NA UCET	652	41822	POJISTNE	YZ	3849626
1150306	3935	1995-03-06	VYDAJ	PREVOD NA UCET	652	51102	POJISTNE	YZ	3849626
1150307	3935	1995-04-06	VYDAJ	PREVOD NA UCET	652	45443	POJISTNE	YZ	3849626
1150308	3935	1995-05-06	VYDAJ	PREVOD NA UCET	652	48735	POJISTNE	YZ	3849626
1150309	3935	1995-06-06	VYDAJ	PREVOD NA UCET	652	64209	POJISTNE	YZ	3849626
1150310	3935	1995-07-06	VYDAJ	PREVOD NA UCET	652	57062	POJISTNE	YZ	3849626
1150311	3935	1995-08-06	VYDAJ	PREVOD NA UCET	652	42357	POJISTNE	YZ	3849626
1150312	3935	1995-09-06	VYDAJ	PREVOD NA UCET	652	47641	POJISTNE	YZ	3849626
1150313	3935	1995-10-06	VYDAJ	PREVOD NA UCET	652	50740	POJISTNE	YZ	3849626
1150314	3935	1995-11-06	VYDAJ	PREVOD NA UCET	652	54241	POJISTNE	YZ	3849626
1150315	3935	1995-12-06	VYDAJ	PREVOD NA UCET	652	55512	POJISTNE	YZ	3849626
1150316	3935	1996-01-06	VYDAJ	PREVOD NA UCET	652	50098	POJISTNE	YZ	3849626
1150317	3935	1996-02-06	VYDAJ	PREVOD NA UCET	652	40495	POJISTNE	YZ	3849626
1150318	3935	1996-03-06	VYDAJ	PREVOD NA UCET	652	49768	POJISTNE	YZ	3849626
1150319	3935	1996-04-06	VYDAJ	PREVOD NA UCET	652	48837	POJISTNE	YZ	3849626
1150320	3935	1996-05-06	VYDAJ	PREVOD NA UCET	652	52937	POJISTNE	YZ	3849626
1150321	3935	1996-06-06	VYDAJ	PREVOD NA UCET	652	68121	POJISTNE	YZ	3849626
1150322	3935	1996-07-06	VYDAJ	PREVOD NA UCET	652	49120	POJISTNE	YZ	3849626
1150323	3935	1996-08-06	VYDAJ	PREVOD NA UCET	652	51325	POJISTNE	YZ	3849626
1150324	3935	1996-09-06	VYDAJ	PREVOD NA UCET	652	51732	POJISTNE	YZ	3849626
1150325	3935	1996-10-06	VYDAJ	PREVOD NA UCET	652	54738	POJISTNE	YZ	3849626
1150326	3935	1996-11-06	VYDAJ	PREVOD NA UCET	652	53749	POJISTNE	YZ	3849626
1150327	3935	1996-12-06	VYDAJ	PREVOD NA UCET	652	64129	POJISTNE	YZ	3849626
1150328	3935	1997-01-06	VYDAJ	PREVOD NA UCET	652	53468	POJISTNE	YZ	3849626
1150329	3935	1997-02-06	VYDAJ	PREVOD NA UCET	652	45316	POJISTNE	YZ	3849626
1150330	3935	1997-03-06	VYDAJ	PREVOD NA UCET	652	51389	POJISTNE	YZ	3849626
1150331	3935	1997-04-06	VYDAJ	PREVOD NA UCET	652	57898	POJISTNE	YZ	3849626
1150332	3935	1997-05-06	VYDAJ	PREVOD NA UCET	652	55318	POJISTNE	YZ	3849626
1150333	3935	1997-06-06	VYDAJ	PREVOD NA UCET	652	45422	POJISTNE	YZ	3849626
1150334	3935	1997-07-06	VYDAJ	PREVOD NA UCET	652	48896	POJISTNE	YZ	3849626
1150335	3935	1997-08-06	VYDAJ	PREVOD NA UCET	652	52416	POJISTNE	YZ	3849626
1150336	3935	1997-09-06	VYDAJ	PREVOD NA UCET	652	55412	POJISTNE	YZ	3849626
1150337	3935	1997-10-06	VYDAJ	PREVOD NA UCET	652	62937	POJISTNE	YZ	3849626
1150338	3935	1997-11-06	VYDAJ	PREVOD NA UCET	652	57813	POJISTNE	YZ	3849626
1150339	3935	1997-12-06	VYDAJ	PREVOD NA UCET	652	53861	POJISTNE	YZ	3849626
1150340	3935	1998-01-06	VYDAJ	PREVOD NA UCET	652	48910	POJISTNE	YZ	3849626
1150341	3935	1998-02-06	VYDAJ	PREVOD NA UCET	652	41965	POJISTNE	YZ	3849626
1150342	3935	1998-03-06	VYDAJ	PREVOD NA UCET	652	57755	POJISTNE	YZ	3849626
1150343	3935	1998-04-06	VYDAJ	PREVOD NA UCET	652	63986	POJISTNE	YZ	3849626
1150344	3935	1998-05-06	VYDAJ	PREVOD NA UCET	652	65428	POJISTNE	YZ	3849626
1150345	3935	1998-06-06	VYDAJ	PREVOD NA UCET	652	54681	POJISTNE	YZ	3849626
1150346	3935	1998-07-06	VYDAJ	PREVOD NA UCET	652	43849	POJISTNE	YZ	3849626
1150347	3935	1998-08-06	VYDAJ	PREVOD NA UCET	652	49868	POJISTNE	YZ	3849626
1150348	3935	1998-09-06	VYDAJ	PREVOD NA UCET	652	65391	POJISTNE	YZ	3849626
1150349	3935	1998-10-06	VYDAJ	PREVOD NA UCET	652	66031	POJISTNE	YZ	3849626
1150350	3935	1998-11-06	VYDAJ	PREVOD NA UCET	652	59904	POJISTNE	YZ	3849626
1150351	3935	1998-12-06	VYDAJ	PREVOD NA UCET	652	65958	POJISTNE	YZ	3849626
1150359	3935	1993-08-14	VYDAJ	PREVOD NA UCET	1070	48398	 	MN	46342325
1150360	3935	1993-09-14	VYDAJ	PREVOD NA UCET	1070	48559	 	MN	46342325
1150361	3935	1993-10-14	VYDAJ	PREVOD NA UCET	1070	23449	 	MN	46342325
1150362	3935	1993-11-14	VYDAJ	PREVOD NA UCET	1070	33516	 	MN	46342325
1150363	3935	1993-12-14	VYDAJ	PREVOD NA UCET	1070	28661	 	MN	46342325
1150364	3935	1994-01-14	VYDAJ	PREVOD NA UCET	1070	19441	 	MN	46342325
1150365	3935	1994-02-14	VYDAJ	PREVOD NA UCET	1070	35674	 	MN	46342325
1150366	3935	1994-03-14	VYDAJ	PREVOD NA UCET	1070	42756	 	MN	46342325
1150367	3935	1994-04-14	VYDAJ	PREVOD NA UCET	1070	44163	 	MN	46342325
1150368	3935	1994-05-14	VYDAJ	PREVOD NA UCET	1070	45567	 	MN	46342325
1150369	3935	1994-06-14	VYDAJ	PREVOD NA UCET	1070	47528	 	MN	46342325
1150370	3935	1994-07-14	VYDAJ	PREVOD NA UCET	1070	38223	 	MN	46342325
1150371	3935	1994-08-14	VYDAJ	PREVOD NA UCET	1070	37398	 	MN	46342325
1150372	3935	1994-09-14	VYDAJ	PREVOD NA UCET	1070	25233	 	MN	46342325
1150373	3935	1994-10-14	VYDAJ	PREVOD NA UCET	1070	39694	 	MN	46342325
1150374	3935	1994-11-14	VYDAJ	PREVOD NA UCET	1070	44594	 	MN	46342325
1150375	3935	1994-12-14	VYDAJ	PREVOD NA UCET	1070	45871	 	MN	46342325
1150376	3935	1995-01-14	VYDAJ	PREVOD NA UCET	1070	36473	 	MN	46342325
1150377	3935	1995-02-14	VYDAJ	PREVOD NA UCET	1070	34844	 	MN	46342325
1150378	3935	1995-03-14	VYDAJ	PREVOD NA UCET	1070	44124	 	MN	46342325
1150379	3935	1995-04-14	VYDAJ	PREVOD NA UCET	1070	38465	 	MN	46342325
1150380	3935	1995-05-14	VYDAJ	PREVOD NA UCET	1070	41757	 	MN	46342325
1150381	3935	1995-06-14	VYDAJ	PREVOD NA UCET	1070	57231	 	MN	46342325
1150382	3935	1995-07-14	VYDAJ	PREVOD NA UCET	1070	50084	 	MN	46342325
1150383	3935	1995-08-14	VYDAJ	PREVOD NA UCET	1070	35379	 	MN	46342325
1150384	3935	1995-09-14	VYDAJ	PREVOD NA UCET	1070	40663	 	MN	46342325
1150385	3935	1995-10-14	VYDAJ	PREVOD NA UCET	1070	37065	 	MN	46342325
1150386	3935	1995-11-14	VYDAJ	PREVOD NA UCET	1070	47263	 	MN	46342325
1150387	3935	1995-12-14	VYDAJ	PREVOD NA UCET	1070	25429	 	MN	46342325
1150388	3935	1996-01-14	VYDAJ	PREVOD NA UCET	1070	20663	 	MN	46342325
1150389	3935	1996-02-14	VYDAJ	PREVOD NA UCET	1070	33517	 	MN	46342325
1150390	3935	1996-03-14	VYDAJ	PREVOD NA UCET	1070	28090	 	MN	46342325
1150391	3935	1996-04-14	VYDAJ	PREVOD NA UCET	1070	41859	 	MN	46342325
1150392	3935	1996-05-14	VYDAJ	PREVOD NA UCET	1070	45959	 	MN	46342325
1150393	3935	1996-06-14	VYDAJ	PREVOD NA UCET	1070	34743	 	MN	46342325
1150394	3935	1996-07-14	VYDAJ	PREVOD NA UCET	1070	42142	 	MN	46342325
1150395	3935	1996-08-14	VYDAJ	PREVOD NA UCET	1070	44347	 	MN	46342325
1150396	3935	1996-09-14	VYDAJ	PREVOD NA UCET	1070	44754	 	MN	46342325
1150397	3935	1996-10-14	VYDAJ	PREVOD NA UCET	1070	47760	 	MN	46342325
1150398	3935	1996-11-14	VYDAJ	PREVOD NA UCET	1070	46771	 	MN	46342325
1150399	3935	1996-12-14	VYDAJ	PREVOD NA UCET	1070	57151	 	MN	46342325
1150400	3935	1997-01-14	VYDAJ	PREVOD NA UCET	1070	39590	 	MN	46342325
1150401	3935	1997-02-14	VYDAJ	PREVOD NA UCET	1070	25138	 	MN	46342325
1150402	3935	1997-03-14	VYDAJ	PREVOD NA UCET	1070	44411	 	MN	46342325
1150403	3935	1997-04-14	VYDAJ	PREVOD NA UCET	1070	50920	 	MN	46342325
1150404	3935	1997-05-14	VYDAJ	PREVOD NA UCET	1070	48340	 	MN	46342325
1150405	3935	1997-06-14	VYDAJ	PREVOD NA UCET	1070	33044	 	MN	46342325
1150406	3935	1997-07-14	VYDAJ	PREVOD NA UCET	1070	41918	 	MN	46342325
1150407	3935	1997-08-14	VYDAJ	PREVOD NA UCET	1070	36838	 	MN	46342325
1150408	3935	1997-09-14	VYDAJ	PREVOD NA UCET	1070	44334	 	MN	46342325
1150409	3935	1997-10-14	VYDAJ	PREVOD NA UCET	1070	39222	 	MN	46342325
1150410	3935	1997-11-14	VYDAJ	PREVOD NA UCET	1070	43635	 	MN	46342325
1150411	3935	1997-12-14	VYDAJ	PREVOD NA UCET	1070	43283	 	MN	46342325
1150412	3935	1998-01-14	VYDAJ	PREVOD NA UCET	1070	31832	 	MN	46342325
1150413	3935	1998-02-14	VYDAJ	PREVOD NA UCET	1070	39187	 	MN	46342325
1150414	3935	1998-03-14	VYDAJ	PREVOD NA UCET	1070	45377	 	MN	46342325
1150415	3935	1998-04-14	VYDAJ	PREVOD NA UCET	1070	46808	 	MN	46342325
1150416	3935	1998-05-14	VYDAJ	PREVOD NA UCET	1070	51450	 	MN	46342325
1150417	3935	1998-06-14	VYDAJ	PREVOD NA UCET	1070	25303	 	MN	46342325
1150418	3935	1998-07-14	VYDAJ	PREVOD NA UCET	1070	40871	 	MN	46342325
1150419	3935	1998-08-14	VYDAJ	PREVOD NA UCET	1070	46790	 	MN	46342325
1150420	3935	1998-09-14	VYDAJ	PREVOD NA UCET	1070	47413	 	MN	46342325
1150421	3935	1998-10-14	VYDAJ	PREVOD NA UCET	1070	48453	 	MN	46342325
1150422	3935	1998-11-14	VYDAJ	PREVOD NA UCET	1070	36499	 	MN	46342325
1150423	3935	1998-12-14	VYDAJ	PREVOD NA UCET	1070	50491	 	MN	46342325
1150426	3935	1993-12-13	VYBER	VYBER	20800	29731	\N	\N	\N
1150427	3935	1993-10-09	VYBER	VYBER	23455	24519	\N	\N	\N
1150434	3935	1994-04-30	VYBER	VYBER	5018	39324	\N	\N	\N
1150435	3935	1994-05-27	VYBER	VYBER	20323	25244	\N	\N	\N
1150438	3935	1994-09-11	VYBER	VYBER	13354	26303	\N	\N	\N
1150439	3935	1994-06-21	VYBER	VYBER	20703	26825	\N	\N	\N
1150440	3935	1994-12-24	VYBER	VYBER	23204	22667	\N	\N	\N
1150442	3935	1995-08-01	VYBER	VYBER	13240	23921	\N	\N	\N
1150443	3935	1995-12-05	VYBER	VYBER	7321	26208	\N	\N	\N
1150445	3935	1995-03-22	VYBER	VYBER	15458	28666	\N	\N	\N
1150446	3935	1995-12-14	VYBER	VYBER	23105	26499	\N	\N	\N
1150448	3935	1995-10-09	VYBER	VYBER	6697	38135	\N	\N	\N
1150451	3935	1996-01-13	VYBER	VYBER	4757	21733	\N	\N	\N
1150454	3935	1997-06-06	VYBER	VYBER	8892	46074	\N	\N	\N
1150455	3935	1997-12-18	VYBER	VYBER	12943	30340	\N	\N	\N
1150456	3935	1997-10-09	VYBER	VYBER	20637	36392	\N	\N	\N
1150457	3935	1997-08-01	VYBER	VYBER	3479	33980	\N	\N	\N
1150458	3935	1997-01-21	VYBER	VYBER	2942	26748	\N	\N	\N
1150459	3935	1997-05-27	VYBER	VYBER	14579	24861	\N	\N	\N
1150460	3935	1997-12-04	VYBER	VYBER	3038	34457	\N	\N	\N
1150462	3935	1998-05-30	VYBER	VYBER	12218	25203	\N	\N	\N
1150463	3935	1998-10-29	VYBER	VYBER	7169	41284	\N	\N	\N
1150464	3935	1998-07-31	VYBER	VYBER	9578	31447	\N	\N	\N
1150465	3935	1998-12-07	VYBER	VYBER	13389	57469	\N	\N	\N
1150466	3935	1998-11-14	VYBER	VYBER	13327	37569	\N	\N	\N
1150467	3935	1998-05-21	VYBER	VYBER	14029	37421	\N	\N	\N
1150471	3935	1996-06-10	VYDAJ	VYBER	26400	35813	\N	\N	\N
1150473	3935	1998-06-13	VYDAJ	VYBER	23700	26373	\N	\N	\N
1150474	3935	1993-12-18	VYDAJ	VYBER	3600	25061	\N	\N	\N
1150475	3935	1994-12-09	VYDAJ	VYBER	6300	46941	\N	\N	\N
1150476	3935	1995-12-02	VYDAJ	VYBER	6300	33529	\N	\N	\N
1150477	3935	1996-12-30	VYDAJ	VYBER	8100	36951	\N	\N	\N
1150479	3935	1998-12-21	VYDAJ	VYBER	6900	43591	\N	\N	\N
1150487	3935	1994-01-09	VYDAJ	VYBER	8100	20511	\N	\N	\N
1150488	3935	1994-01-03	VYDAJ	VYBER	3600	23883	\N	\N	\N
1150489	3935	1994-01-07	VYDAJ	VYBER	7800	34519	\N	\N	\N
1150492	3935	1995-01-30	VYDAJ	VYBER	3000	23273	\N	\N	\N
1150494	3935	1995-01-21	VYDAJ	VYBER	1800	23273	\N	\N	\N
1150495	3935	1995-01-20	VYDAJ	VYBER	3900	32573	\N	\N	\N
1150496	3935	1995-01-02	VYDAJ	VYBER	2100	25015	\N	\N	\N
1150497	3935	1995-01-20	VYDAJ	VYBER	7500	25073	\N	\N	\N
1150498	3935	1996-01-09	VYDAJ	VYBER	8400	32490	\N	\N	\N
1150499	3935	1996-01-08	VYDAJ	VYBER	3300	40890	\N	\N	\N
1150500	3935	1996-01-24	VYDAJ	VYBER	6600	21963	\N	\N	\N
1150502	3935	1996-01-12	VYDAJ	VYBER	6000	26490	\N	\N	\N
1150504	3935	1997-01-02	VYDAJ	VYBER	2100	35032	\N	\N	\N
1150505	3935	1997-01-12	VYDAJ	VYBER	1800	40660	\N	\N	\N
1150506	3935	1997-01-12	VYDAJ	VYBER	5100	42460	\N	\N	\N
1150507	3935	1997-01-20	VYDAJ	VYBER	8100	29690	\N	\N	\N
1150511	3935	1998-01-14	VYDAJ	VYBER	8400	23432	\N	\N	\N
1150512	3935	1998-01-10	VYDAJ	VYBER	7800	27702	\N	\N	\N
1150515	3935	1998-01-08	VYDAJ	VYBER	7500	35502	\N	\N	\N
1150519	3935	1994-07-20	VYDAJ	VYBER	13500	24723	\N	\N	\N
1150520	3935	1994-11-19	VYDAJ	VYBER	7500	37094	\N	\N	\N
1150521	3935	1994-12-03	VYDAJ	VYBER	4200	29845	\N	\N	\N
1150522	3935	1994-03-20	VYDAJ	VYBER	6300	36456	\N	\N	\N
1150523	3935	1994-08-29	VYDAJ	VYBER	5700	31698	\N	\N	\N
1150525	3935	1995-10-06	VYDAJ	VYBER	1800	51392	\N	\N	\N
1150526	3935	1995-06-24	VYDAJ	VYBER	3900	53331	\N	\N	\N
1150527	3935	1996-07-31	VYDAJ	VYBER	5700	32889	\N	\N	\N
1150528	3935	1996-11-26	VYDAJ	VYBER	4800	34671	\N	\N	\N
1150529	3935	1996-08-29	VYDAJ	VYBER	2100	33147	\N	\N	\N
1150530	3935	1996-03-08	VYDAJ	VYBER	14700	29160	\N	\N	\N
1150531	3935	1997-02-10	VYDAJ	VYBER	13200	26208	\N	\N	\N
1150532	3935	1997-08-08	VYDAJ	VYBER	9900	36608	\N	\N	\N
1150533	3935	1997-12-04	VYDAJ	VYBER	9900	24557	\N	\N	\N
1150534	3935	1997-11-21	VYDAJ	VYBER	6300	37335	\N	\N	\N
1150535	3935	1997-06-07	VYDAJ	VYBER	5400	40022	\N	\N	\N
1150536	3935	1997-04-20	VYDAJ	VYBER	5400	36720	\N	\N	\N
1150538	3935	1998-10-09	VYDAJ	VYBER	3900	49523	\N	\N	\N
1150547	3935	1993-08-31	VYDAJ	VYBER	15	48601	SLUZBY	\N	\N
1150548	3935	1993-09-30	VYDAJ	VYBER	15	48746	SLUZBY	\N	\N
1150549	3935	1993-10-31	VYDAJ	VYBER	15	23558	SLUZBY	\N	\N
1150550	3935	1993-11-30	VYDAJ	VYBER	15	33635	SLUZBY	\N	\N
1150551	3935	1993-12-31	VYDAJ	VYBER	15	25183	SLUZBY	\N	\N
1150552	3935	1994-01-31	VYDAJ	VYBER	15	19516	SLUZBY	\N	\N
1150553	3935	1994-02-28	VYDAJ	VYBER	15	35798	SLUZBY	\N	\N
1150554	3935	1994-03-31	VYDAJ	VYBER	15	36605	SLUZBY	\N	\N
1150555	3935	1994-04-30	VYDAJ	VYBER	15	39309	SLUZBY	\N	\N
1150556	3935	1994-05-31	VYDAJ	VYBER	15	25402	SLUZBY	\N	\N
1150557	3935	1994-06-30	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
1150558	3935	1994-07-31	VYDAJ	VYBER	15	25940	SLUZBY	\N	\N
1150559	3935	1994-08-31	VYDAJ	VYBER	15	27129	SLUZBY	\N	\N
1150560	3935	1994-09-30	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
1150561	3935	1994-10-31	VYDAJ	VYBER	15	33136	SLUZBY	\N	\N
1150562	3935	1994-11-30	VYDAJ	VYBER	15	34045	SLUZBY	\N	\N
1150563	3935	1994-12-31	VYDAJ	VYBER	15	27115	SLUZBY	\N	\N
1150564	3935	1995-01-31	VYDAJ	VYBER	15	23386	SLUZBY	\N	\N
1150565	3935	1995-02-28	VYDAJ	VYBER	15	32666	SLUZBY	\N	\N
1150566	3935	1995-03-31	VYDAJ	VYBER	15	27007	SLUZBY	\N	\N
1150567	3935	1995-04-30	VYDAJ	VYBER	15	30299	SLUZBY	\N	\N
1150568	3935	1995-05-31	VYDAJ	VYBER	15	34905	SLUZBY	\N	\N
1150569	3935	1995-06-30	VYDAJ	VYBER	15	38626	SLUZBY	\N	\N
1150570	3935	1995-07-31	VYDAJ	VYBER	15	37161	SLUZBY	\N	\N
1150571	3935	1995-08-31	VYDAJ	VYBER	15	29205	SLUZBY	\N	\N
1150572	3935	1995-09-30	VYDAJ	VYBER	15	34104	SLUZBY	\N	\N
1150573	3935	1995-10-31	VYDAJ	VYBER	15	35805	SLUZBY	\N	\N
1150574	3935	1995-11-30	VYDAJ	VYBER	15	39829	SLUZBY	\N	\N
1150575	3935	1995-12-31	VYDAJ	VYBER	15	31662	SLUZBY	\N	\N
1150576	3935	1996-01-31	VYDAJ	VYBER	15	22059	SLUZBY	\N	\N
1150577	3935	1996-02-29	VYDAJ	VYBER	15	31332	SLUZBY	\N	\N
1150578	3935	1996-03-31	VYDAJ	VYBER	15	30401	SLUZBY	\N	\N
1150579	3935	1996-04-30	VYDAJ	VYBER	15	34501	SLUZBY	\N	\N
1150580	3935	1996-05-31	VYDAJ	VYBER	15	38817	SLUZBY	\N	\N
1150581	3935	1996-06-30	VYDAJ	VYBER	15	30684	SLUZBY	\N	\N
1150582	3935	1996-07-31	VYDAJ	VYBER	15	38589	SLUZBY	\N	\N
1150583	3935	1996-08-31	VYDAJ	VYBER	15	33296	SLUZBY	\N	\N
1150584	3935	1996-09-30	VYDAJ	VYBER	15	36302	SLUZBY	\N	\N
1150585	3935	1996-10-31	VYDAJ	VYBER	15	35313	SLUZBY	\N	\N
1150586	3935	1996-11-30	VYDAJ	VYBER	15	34825	SLUZBY	\N	\N
1150587	3935	1996-12-31	VYDAJ	VYBER	15	37132	SLUZBY	\N	\N
1150588	3935	1997-01-31	VYDAJ	VYBER	15	26880	SLUZBY	\N	\N
1150589	3935	1997-02-28	VYDAJ	VYBER	15	32953	SLUZBY	\N	\N
1150590	3935	1997-03-31	VYDAJ	VYBER	15	39462	SLUZBY	\N	\N
1150591	3935	1997-04-30	VYDAJ	VYBER	15	36882	SLUZBY	\N	\N
1150592	3935	1997-05-31	VYDAJ	VYBER	15	25010	SLUZBY	\N	\N
1150593	3935	1997-06-30	VYDAJ	VYBER	15	30460	SLUZBY	\N	\N
1150594	3935	1997-07-31	VYDAJ	VYBER	15	37459	SLUZBY	\N	\N
1150595	3935	1997-08-31	VYDAJ	VYBER	15	36976	SLUZBY	\N	\N
1150596	3935	1997-09-30	VYDAJ	VYBER	15	44501	SLUZBY	\N	\N
1150597	3935	1997-10-31	VYDAJ	VYBER	15	39377	SLUZBY	\N	\N
1150598	3935	1997-11-30	VYDAJ	VYBER	15	37495	SLUZBY	\N	\N
1150599	3935	1997-12-31	VYDAJ	VYBER	15	30474	SLUZBY	\N	\N
1150600	3935	1998-01-31	VYDAJ	VYBER	15	23529	SLUZBY	\N	\N
1150601	3935	1998-02-28	VYDAJ	VYBER	15	39319	SLUZBY	\N	\N
1150602	3935	1998-03-31	VYDAJ	VYBER	15	45550	SLUZBY	\N	\N
1150603	3935	1998-04-30	VYDAJ	VYBER	15	46992	SLUZBY	\N	\N
1150604	3935	1998-05-31	VYDAJ	VYBER	15	25377	SLUZBY	\N	\N
1150605	3935	1998-06-30	VYDAJ	VYBER	15	25413	SLUZBY	\N	\N
1150606	3935	1998-07-31	VYDAJ	VYBER	15	31432	SLUZBY	\N	\N
1150607	3935	1998-08-31	VYDAJ	VYBER	15	46955	SLUZBY	\N	\N
1150608	3935	1998-09-30	VYDAJ	VYBER	15	47595	SLUZBY	\N	\N
1150609	3935	1998-10-31	VYDAJ	VYBER	15	41468	SLUZBY	\N	\N
1150610	3935	1998-11-30	VYDAJ	VYBER	15	36654	SLUZBY	\N	\N
1150611	3935	1993-04-07	PRIJEM	VKLAD	700	23436	\N	\N	\N
1150612	3935	1993-05-07	VYDAJ	VYBER	8700	36550	\N	\N	\N
1150613	3935	1993-06-06	VYDAJ	VYBER	22400	46896	\N	\N	\N
1150614	3935	1993-07-06	VYDAJ	VYBER	20900	47920	\N	\N	\N
1150615	3935	1993-08-05	VYDAJ	VYBER	13900	34292	\N	\N	\N
1150616	3935	1993-09-04	VYDAJ	VYBER	11500	37101	\N	\N	\N
1150617	3935	1993-10-04	VYDAJ	VYBER	13300	35446	\N	\N	\N
1150618	3935	1993-11-03	VYDAJ	VYBER	1500	22058	\N	\N	\N
1150619	3935	1993-12-03	VYDAJ	VYBER	6500	27135	\N	\N	\N
1150620	3935	1994-01-02	PRIJEM	VKLAD	2300	27483	\N	\N	\N
1150621	3935	1994-02-01	PRIJEM	VKLAD	4700	24216	\N	\N	\N
1150622	3935	1994-03-03	VYDAJ	VYBER	4500	31298	\N	\N	\N
1150623	3935	1994-04-02	VYDAJ	VYBER	3900	32705	\N	\N	\N
1150624	3935	1994-05-02	VYDAJ	VYBER	5200	34109	\N	\N	\N
1150625	3935	1994-06-01	VYDAJ	VYBER	200	25202	\N	\N	\N
1150626	3935	1994-07-01	VYDAJ	VYBER	200	26765	\N	\N	\N
1150627	3935	1994-07-31	PRIJEM	VKLAD	1100	25954	\N	\N	\N
1150628	3935	1994-08-30	VYDAJ	VYBER	4700	26998	\N	\N	\N
1150629	3935	1994-09-29	PRIJEM	VKLAD	2900	28133	\N	\N	\N
1150630	3935	1994-10-29	VYDAJ	VYBER	6700	32994	\N	\N	\N
1150631	3935	1994-11-28	VYDAJ	VYBER	3200	33894	\N	\N	\N
1150632	3935	1994-12-28	PRIJEM	VKLAD	4300	26967	\N	\N	\N
1150633	3935	1995-01-27	PRIJEM	VKLAD	3000	26273	\N	\N	\N
1150634	3935	1995-02-26	VYDAJ	VYBER	2300	32544	\N	\N	\N
1150635	3935	1995-03-28	VYDAJ	VYBER	1800	26866	\N	\N	\N
1150636	3935	1995-04-27	VYDAJ	VYBER	8300	30165	\N	\N	\N
1150637	3935	1995-05-27	VYDAJ	VYBER	7000	34757	\N	\N	\N
1150638	3935	1995-06-26	VYDAJ	VYBER	14900	38431	\N	\N	\N
1150639	3935	1995-07-26	VYDAJ	VYBER	13100	36984	\N	\N	\N
1150640	3935	1995-08-25	VYDAJ	VYBER	6300	29079	\N	\N	\N
1150641	3935	1995-09-24	VYDAJ	VYBER	6700	33963	\N	\N	\N
1150642	3935	1995-10-24	VYDAJ	VYBER	1400	35665	\N	\N	\N
1150643	3935	1995-11-23	VYDAJ	VYBER	7600	39663	\N	\N	\N
1150644	3935	1995-12-23	PRIJEM	VKLAD	6100	31529	\N	\N	\N
1150645	3935	1996-01-22	PRIJEM	VKLAD	7900	28563	\N	\N	\N
1150646	3935	1996-02-21	VYDAJ	VYBER	2300	31217	\N	\N	\N
1150647	3935	1996-03-22	PRIJEM	VKLAD	2200	30290	\N	\N	\N
1150648	3935	1996-04-21	VYDAJ	VYBER	7500	34359	\N	\N	\N
1150649	3935	1996-05-21	VYDAJ	VYBER	7300	38659	\N	\N	\N
1150650	3935	1996-06-20	VYDAJ	VYBER	4200	30543	\N	\N	\N
1150651	3935	1996-07-20	VYDAJ	VYBER	3700	38442	\N	\N	\N
1150652	3935	1996-08-19	VYDAJ	VYBER	9100	35247	\N	\N	\N
1150653	3935	1996-09-18	VYDAJ	VYBER	8600	36154	\N	\N	\N
1150654	3935	1996-10-18	VYDAJ	VYBER	12600	35160	\N	\N	\N
1150655	3935	1996-11-17	VYDAJ	VYBER	7300	39471	\N	\N	\N
1150656	3935	1996-12-17	VYDAJ	VYBER	12100	45051	\N	\N	\N
1150657	3935	1997-01-16	VYDAJ	VYBER	1800	37790	\N	\N	\N
1150658	3935	1997-02-15	PRIJEM	VKLAD	7700	32838	\N	\N	\N
1150659	3935	1997-03-17	VYDAJ	VYBER	5100	39311	\N	\N	\N
1150660	3935	1997-04-16	VYDAJ	VYBER	8800	42120	\N	\N	\N
1150661	3935	1997-05-16	VYDAJ	VYBER	8900	39440	\N	\N	\N
1150662	3935	1997-06-15	VYDAJ	VYBER	2700	30344	\N	\N	\N
1150663	3935	1997-07-15	VYDAJ	VYBER	4600	37318	\N	\N	\N
1150664	3935	1997-08-14	PRIJEM	VKLAD	1300	37908	\N	\N	\N
1150665	3935	1997-09-13	VYDAJ	VYBER	4100	45404	\N	\N	\N
1150666	3935	1997-10-13	PRIJEM	VKLAD	3900	40292	\N	\N	\N
1150667	3935	1997-11-12	VYDAJ	VYBER	7200	44705	\N	\N	\N
1150668	3935	1997-12-12	VYDAJ	VYBER	3600	44353	\N	\N	\N
1150669	3935	1998-01-11	PRIJEM	VKLAD	5200	32902	\N	\N	\N
1150670	3935	1998-02-10	PRIJEM	VKLAD	4200	40257	\N	\N	\N
1150671	3935	1998-03-12	VYDAJ	VYBER	5400	46447	\N	\N	\N
1150672	3935	1998-04-11	VYDAJ	VYBER	10200	47878	\N	\N	\N
1150673	3935	1998-05-11	VYDAJ	VYBER	7000	52520	\N	\N	\N
1150674	3935	1998-06-10	PRIJEM	VKLAD	1300	50073	\N	\N	\N
1150675	3935	1998-07-10	PRIJEM	VKLAD	4000	41941	\N	\N	\N
1150676	3935	1998-08-09	PRIJEM	VKLAD	3900	47860	\N	\N	\N
1150677	3935	1998-09-08	VYDAJ	VYBER	11000	48483	\N	\N	\N
1150678	3935	1998-10-08	VYDAJ	VYBER	6700	53423	\N	\N	\N
1150679	3935	1998-11-07	VYDAJ	VYBER	3100	50896	\N	\N	\N
1150680	3935	1998-12-07	PRIJEM	VKLAD	4900	70858	\N	\N	\N
1150750	3936	1995-05-04	PRIJEM	VKLAD	800	800	\N	\N	\N
1150755	3936	1995-05-14	PRIJEM	PREVOD Z UCTU	3628	4428	\N	CD	77783214
1150756	3936	1995-06-14	PRIJEM	PREVOD Z UCTU	3628	19367	\N	CD	77783214
1150757	3936	1995-07-14	PRIJEM	PREVOD Z UCTU	3628	29248	\N	CD	77783214
1150758	3936	1995-08-14	PRIJEM	PREVOD Z UCTU	3628	31781	\N	CD	77783214
1150759	3936	1995-09-14	PRIJEM	PREVOD Z UCTU	3628	34337	\N	CD	77783214
1150760	3936	1995-10-14	PRIJEM	PREVOD Z UCTU	3628	34971	\N	CD	77783214
1150761	3936	1995-11-14	PRIJEM	PREVOD Z UCTU	3628	35669	\N	CD	77783214
1150762	3936	1995-12-14	PRIJEM	PREVOD Z UCTU	3628	35730	\N	CD	77783214
1150763	3936	1996-01-14	PRIJEM	PREVOD Z UCTU	3628	35402	\N	CD	77783214
1150764	3936	1996-02-14	PRIJEM	PREVOD Z UCTU	3628	33831	\N	CD	77783214
1150765	3936	1996-03-14	PRIJEM	PREVOD Z UCTU	3628	30462	\N	CD	77783214
1150766	3936	1996-04-14	PRIJEM	PREVOD Z UCTU	3628	33982	\N	CD	77783214
1150767	3936	1996-05-14	PRIJEM	PREVOD Z UCTU	3628	35815	\N	CD	77783214
1150768	3936	1996-06-14	PRIJEM	PREVOD Z UCTU	3628	35436	\N	CD	77783214
1150769	3936	1996-07-14	PRIJEM	PREVOD Z UCTU	3628	37977	\N	CD	77783214
1150770	3936	1996-08-14	PRIJEM	PREVOD Z UCTU	3628	38727	\N	CD	77783214
1150771	3936	1996-09-14	PRIJEM	PREVOD Z UCTU	3628	35597	\N	CD	77783214
1150772	3936	1996-10-14	PRIJEM	PREVOD Z UCTU	3628	34506	\N	CD	77783214
1150773	3936	1996-11-14	PRIJEM	PREVOD Z UCTU	3628	33740	\N	CD	77783214
1150774	3936	1996-12-14	PRIJEM	PREVOD Z UCTU	3628	30467	\N	CD	77783214
1150775	3936	1997-01-14	PRIJEM	PREVOD Z UCTU	3628	26533	\N	CD	77783214
1150776	3936	1997-02-14	PRIJEM	PREVOD Z UCTU	3628	28575	\N	CD	77783214
1150777	3936	1997-03-14	PRIJEM	PREVOD Z UCTU	3628	24780	\N	CD	77783214
1150778	3936	1997-04-14	PRIJEM	PREVOD Z UCTU	3628	24073	\N	CD	77783214
1150779	3936	1997-05-14	PRIJEM	PREVOD Z UCTU	3628	27267	\N	CD	77783214
1150780	3936	1997-06-14	PRIJEM	PREVOD Z UCTU	3628	26219	\N	CD	77783214
1150781	3936	1997-07-14	PRIJEM	PREVOD Z UCTU	3628	25020	\N	CD	77783214
1150782	3936	1997-08-14	PRIJEM	PREVOD Z UCTU	3628	26696	\N	CD	77783214
1150783	3936	1997-09-14	PRIJEM	PREVOD Z UCTU	3628	25094	\N	CD	77783214
1150784	3936	1997-10-14	PRIJEM	PREVOD Z UCTU	3628	30296	\N	CD	77783214
1150785	3936	1997-11-14	PRIJEM	PREVOD Z UCTU	3628	33416	\N	CD	77783214
1150786	3936	1997-12-14	PRIJEM	PREVOD Z UCTU	3628	34046	\N	CD	77783214
1150787	3936	1998-01-14	PRIJEM	PREVOD Z UCTU	3628	33048	\N	CD	77783214
1150974	3936	1998-01-30	VYDAJ	VYBER	300	27608	\N	\N	\N
1150788	3936	1998-02-14	PRIJEM	PREVOD Z UCTU	3628	28929	\N	CD	77783214
1150789	3936	1998-03-14	PRIJEM	PREVOD Z UCTU	3628	28317	\N	CD	77783214
1150790	3936	1998-04-14	PRIJEM	PREVOD Z UCTU	3628	30829	\N	CD	77783214
1150791	3936	1998-05-14	PRIJEM	PREVOD Z UCTU	3628	33450	\N	CD	77783214
1150792	3936	1998-06-14	PRIJEM	PREVOD Z UCTU	3628	32251	\N	CD	77783214
1150793	3936	1998-07-14	PRIJEM	PREVOD Z UCTU	3628	28268	\N	CD	77783214
1150794	3936	1998-08-14	PRIJEM	PREVOD Z UCTU	3628	27071	\N	CD	77783214
1150795	3936	1998-09-14	PRIJEM	PREVOD Z UCTU	3628	30279	\N	CD	77783214
1150796	3936	1998-10-14	PRIJEM	PREVOD Z UCTU	3628	27887	\N	CD	77783214
1150797	3936	1998-11-14	PRIJEM	PREVOD Z UCTU	3628	21948	\N	CD	77783214
1150798	3936	1998-12-14	PRIJEM	PREVOD Z UCTU	3628	19919	\N	CD	77783214
1150808	3936	1995-10-07	VYDAJ	PREVOD NA UCET	1859	31902	SIPO	CD	59733676
1150809	3936	1995-11-07	VYDAJ	PREVOD NA UCET	1859	32600	SIPO	CD	59733676
1150810	3936	1995-12-07	VYDAJ	PREVOD NA UCET	1859	33441	SIPO	CD	59733676
1150811	3936	1996-01-07	VYDAJ	PREVOD NA UCET	1859	33563	SIPO	CD	59733676
1150812	3936	1996-02-07	VYDAJ	PREVOD NA UCET	1859	30762	SIPO	CD	59733676
1150813	3936	1996-03-07	VYDAJ	PREVOD NA UCET	1859	27393	SIPO	CD	59733676
1150814	3936	1996-04-07	VYDAJ	PREVOD NA UCET	1859	30913	SIPO	CD	59733676
1150815	3936	1996-05-07	VYDAJ	PREVOD NA UCET	1859	32746	SIPO	CD	59733676
1150816	3936	1996-06-07	VYDAJ	PREVOD NA UCET	1859	33387	SIPO	CD	59733676
1150817	3936	1996-07-07	VYDAJ	PREVOD NA UCET	1859	34908	SIPO	CD	59733676
1150818	3936	1996-08-07	VYDAJ	PREVOD NA UCET	1859	35658	SIPO	CD	59733676
1150819	3936	1996-09-07	VYDAJ	PREVOD NA UCET	1859	32528	SIPO	CD	59733676
1150820	3936	1996-10-07	VYDAJ	PREVOD NA UCET	1859	31437	SIPO	CD	59733676
1150821	3936	1996-11-07	VYDAJ	PREVOD NA UCET	1859	30671	SIPO	CD	59733676
1150822	3936	1996-12-07	VYDAJ	PREVOD NA UCET	1859	27398	SIPO	CD	59733676
1150823	3936	1997-01-07	VYDAJ	PREVOD NA UCET	1859	23464	SIPO	CD	59733676
1150824	3936	1997-02-07	VYDAJ	PREVOD NA UCET	1859	25506	SIPO	CD	59733676
1150825	3936	1997-03-07	VYDAJ	PREVOD NA UCET	1859	21711	SIPO	CD	59733676
1150826	3936	1997-04-07	VYDAJ	PREVOD NA UCET	1859	21004	SIPO	CD	59733676
1150827	3936	1997-05-07	VYDAJ	PREVOD NA UCET	1859	24198	SIPO	CD	59733676
1150828	3936	1997-06-07	VYDAJ	PREVOD NA UCET	1859	23150	SIPO	CD	59733676
1150829	3936	1997-07-07	VYDAJ	PREVOD NA UCET	1859	21951	SIPO	CD	59733676
1150830	3936	1997-08-07	VYDAJ	PREVOD NA UCET	1859	23627	SIPO	CD	59733676
1150831	3936	1997-09-07	VYDAJ	PREVOD NA UCET	1859	22025	SIPO	CD	59733676
1150832	3936	1997-10-07	VYDAJ	PREVOD NA UCET	1859	27227	SIPO	CD	59733676
1150833	3936	1997-11-07	VYDAJ	PREVOD NA UCET	1859	30347	SIPO	CD	59733676
1150834	3936	1997-12-07	VYDAJ	PREVOD NA UCET	1859	30977	SIPO	CD	59733676
1150835	3936	1998-01-07	VYDAJ	PREVOD NA UCET	1859	31269	SIPO	CD	59733676
1150836	3936	1998-02-07	VYDAJ	PREVOD NA UCET	1859	25860	SIPO	CD	59733676
1150837	3936	1998-03-07	VYDAJ	PREVOD NA UCET	1859	25668	SIPO	CD	59733676
1150838	3936	1998-04-07	VYDAJ	PREVOD NA UCET	1859	27760	SIPO	CD	59733676
1150839	3936	1998-05-07	VYDAJ	PREVOD NA UCET	1859	30381	SIPO	CD	59733676
1150840	3936	1998-06-07	VYDAJ	PREVOD NA UCET	1859	29182	SIPO	CD	59733676
1150841	3936	1998-07-07	VYDAJ	PREVOD NA UCET	1859	25199	SIPO	CD	59733676
1150842	3936	1998-08-07	VYDAJ	PREVOD NA UCET	1859	24002	SIPO	CD	59733676
1150843	3936	1998-09-07	VYDAJ	PREVOD NA UCET	1859	27210	SIPO	CD	59733676
1150844	3936	1998-10-07	VYDAJ	PREVOD NA UCET	1859	24818	SIPO	CD	59733676
1150845	3936	1998-11-07	VYDAJ	PREVOD NA UCET	1859	19209	SIPO	CD	59733676
1150846	3936	1998-12-07	VYDAJ	PREVOD NA UCET	1859	16850	SIPO	CD	59733676
1150856	3936	1995-10-10	VYDAJ	PREVOD NA UCET	127	31775	 	ST	98634075
1150857	3936	1995-11-10	VYDAJ	PREVOD NA UCET	127	32473	 	ST	98634075
1150858	3936	1995-12-10	VYDAJ	PREVOD NA UCET	127	33314	 	ST	98634075
1150859	3936	1996-01-10	VYDAJ	PREVOD NA UCET	127	32776	 	ST	98634075
1150860	3936	1996-02-10	VYDAJ	PREVOD NA UCET	127	30635	 	ST	98634075
1150861	3936	1996-03-10	VYDAJ	PREVOD NA UCET	127	27266	 	ST	98634075
1150862	3936	1996-04-10	VYDAJ	PREVOD NA UCET	127	30786	 	ST	98634075
1150863	3936	1996-05-10	VYDAJ	PREVOD NA UCET	127	32619	 	ST	98634075
1150864	3936	1996-06-10	VYDAJ	PREVOD NA UCET	127	32240	 	ST	98634075
1150865	3936	1996-07-10	VYDAJ	PREVOD NA UCET	127	34781	 	ST	98634075
1150866	3936	1996-08-10	VYDAJ	PREVOD NA UCET	127	35531	 	ST	98634075
1150867	3936	1996-09-10	VYDAJ	PREVOD NA UCET	127	32401	 	ST	98634075
1150868	3936	1996-10-10	VYDAJ	PREVOD NA UCET	127	31310	 	ST	98634075
1150869	3936	1996-11-10	VYDAJ	PREVOD NA UCET	127	30544	 	ST	98634075
1150870	3936	1996-12-10	VYDAJ	PREVOD NA UCET	127	27271	 	ST	98634075
1150871	3936	1997-01-10	VYDAJ	PREVOD NA UCET	127	23337	 	ST	98634075
1150872	3936	1997-02-10	VYDAJ	PREVOD NA UCET	127	25379	 	ST	98634075
1150873	3936	1997-03-10	VYDAJ	PREVOD NA UCET	127	21584	 	ST	98634075
1150874	3936	1997-04-10	VYDAJ	PREVOD NA UCET	127	20877	 	ST	98634075
1150875	3936	1997-05-10	VYDAJ	PREVOD NA UCET	127	24071	 	ST	98634075
1150876	3936	1997-06-10	VYDAJ	PREVOD NA UCET	127	23023	 	ST	98634075
1150877	3936	1997-07-10	VYDAJ	PREVOD NA UCET	127	21824	 	ST	98634075
1150878	3936	1997-08-10	VYDAJ	PREVOD NA UCET	127	23500	 	ST	98634075
1150879	3936	1997-09-10	VYDAJ	PREVOD NA UCET	127	21898	 	ST	98634075
1150880	3936	1997-10-10	VYDAJ	PREVOD NA UCET	127	27100	 	ST	98634075
1150881	3936	1997-11-10	VYDAJ	PREVOD NA UCET	127	30220	 	ST	98634075
1150882	3936	1997-12-10	VYDAJ	PREVOD NA UCET	127	30850	 	ST	98634075
1150883	3936	1998-01-10	VYDAJ	PREVOD NA UCET	127	30722	 	ST	98634075
1150884	3936	1998-02-10	VYDAJ	PREVOD NA UCET	127	25733	 	ST	98634075
1150885	3936	1998-03-10	VYDAJ	PREVOD NA UCET	127	25541	 	ST	98634075
1150886	3936	1998-04-10	VYDAJ	PREVOD NA UCET	127	27633	 	ST	98634075
1150887	3936	1998-05-10	VYDAJ	PREVOD NA UCET	127	30254	 	ST	98634075
1150888	3936	1998-06-10	VYDAJ	PREVOD NA UCET	127	29055	 	ST	98634075
1150889	3936	1998-07-10	VYDAJ	PREVOD NA UCET	127	25072	 	ST	98634075
1150890	3936	1998-08-10	VYDAJ	PREVOD NA UCET	127	23875	 	ST	98634075
1150891	3936	1998-09-10	VYDAJ	PREVOD NA UCET	127	27083	 	ST	98634075
1150892	3936	1998-10-10	VYDAJ	PREVOD NA UCET	127	24691	 	ST	98634075
1150893	3936	1998-11-10	VYDAJ	PREVOD NA UCET	127	18752	 	ST	98634075
1150894	3936	1998-12-10	VYDAJ	PREVOD NA UCET	127	16723	 	ST	98634075
1150904	3936	1995-10-11	VYDAJ	PREVOD NA UCET	432	31343	POJISTNE	AB	8674580
1150905	3936	1995-11-11	VYDAJ	PREVOD NA UCET	432	32041	POJISTNE	AB	8674580
1150906	3936	1995-12-11	VYDAJ	PREVOD NA UCET	432	32882	POJISTNE	AB	8674580
1150907	3936	1996-01-11	VYDAJ	PREVOD NA UCET	432	32344	POJISTNE	AB	8674580
1150908	3936	1996-02-11	VYDAJ	PREVOD NA UCET	432	30203	POJISTNE	AB	8674580
1150909	3936	1996-03-11	VYDAJ	PREVOD NA UCET	432	26834	POJISTNE	AB	8674580
1150910	3936	1996-04-11	VYDAJ	PREVOD NA UCET	432	30354	POJISTNE	AB	8674580
1150911	3936	1996-05-11	VYDAJ	PREVOD NA UCET	432	32187	POJISTNE	AB	8674580
1150912	3936	1996-06-11	VYDAJ	PREVOD NA UCET	432	31808	POJISTNE	AB	8674580
1150913	3936	1996-07-11	VYDAJ	PREVOD NA UCET	432	34349	POJISTNE	AB	8674580
1150914	3936	1996-08-11	VYDAJ	PREVOD NA UCET	432	35099	POJISTNE	AB	8674580
1150915	3936	1996-09-11	VYDAJ	PREVOD NA UCET	432	31969	POJISTNE	AB	8674580
1150916	3936	1996-10-11	VYDAJ	PREVOD NA UCET	432	30878	POJISTNE	AB	8674580
1150917	3936	1996-11-11	VYDAJ	PREVOD NA UCET	432	30112	POJISTNE	AB	8674580
1150918	3936	1996-12-11	VYDAJ	PREVOD NA UCET	432	26839	POJISTNE	AB	8674580
1150919	3936	1997-01-11	VYDAJ	PREVOD NA UCET	432	22905	POJISTNE	AB	8674580
1150920	3936	1997-02-11	VYDAJ	PREVOD NA UCET	432	24947	POJISTNE	AB	8674580
1150921	3936	1997-03-11	VYDAJ	PREVOD NA UCET	432	21152	POJISTNE	AB	8674580
1150922	3936	1997-04-11	VYDAJ	PREVOD NA UCET	432	20445	POJISTNE	AB	8674580
1150923	3936	1997-05-11	VYDAJ	PREVOD NA UCET	432	23639	POJISTNE	AB	8674580
1150924	3936	1997-06-11	VYDAJ	PREVOD NA UCET	432	22591	POJISTNE	AB	8674580
1150925	3936	1997-07-11	VYDAJ	PREVOD NA UCET	432	21392	POJISTNE	AB	8674580
1150926	3936	1997-08-11	VYDAJ	PREVOD NA UCET	432	23068	POJISTNE	AB	8674580
1150927	3936	1997-09-11	VYDAJ	PREVOD NA UCET	432	21466	POJISTNE	AB	8674580
1150928	3936	1997-10-11	VYDAJ	PREVOD NA UCET	432	26668	POJISTNE	AB	8674580
1150929	3936	1997-11-11	VYDAJ	PREVOD NA UCET	432	29788	POJISTNE	AB	8674580
1150930	3936	1997-12-11	VYDAJ	PREVOD NA UCET	432	30418	POJISTNE	AB	8674580
1150931	3936	1998-01-11	VYDAJ	PREVOD NA UCET	432	30290	POJISTNE	AB	8674580
1150932	3936	1998-02-11	VYDAJ	PREVOD NA UCET	432	25301	POJISTNE	AB	8674580
1150933	3936	1998-03-11	VYDAJ	PREVOD NA UCET	432	25109	POJISTNE	AB	8674580
1150934	3936	1998-04-11	VYDAJ	PREVOD NA UCET	432	27201	POJISTNE	AB	8674580
1150935	3936	1998-05-11	VYDAJ	PREVOD NA UCET	432	29822	POJISTNE	AB	8674580
1150936	3936	1998-06-11	VYDAJ	PREVOD NA UCET	432	28623	POJISTNE	AB	8674580
1150937	3936	1998-07-11	VYDAJ	PREVOD NA UCET	432	24640	POJISTNE	AB	8674580
1150938	3936	1998-08-11	VYDAJ	PREVOD NA UCET	432	23443	POJISTNE	AB	8674580
1150939	3936	1998-09-11	VYDAJ	PREVOD NA UCET	432	26651	POJISTNE	AB	8674580
1150940	3936	1998-10-11	VYDAJ	PREVOD NA UCET	432	24259	POJISTNE	AB	8674580
1150941	3936	1998-11-11	VYDAJ	PREVOD NA UCET	432	18320	POJISTNE	AB	8674580
1150942	3936	1998-12-11	VYDAJ	PREVOD NA UCET	432	16291	POJISTNE	AB	8674580
1150944	3936	1996-06-09	VYDAJ	VYBER	1020	32367	\N	\N	\N
1150945	3936	1997-06-15	VYDAJ	VYBER	7290	18929	\N	\N	\N
1150946	3936	1998-06-01	VYDAJ	VYBER	3030	31041	\N	\N	\N
1150947	3936	1995-12-28	VYDAJ	VYBER	540	35190	\N	\N	\N
1150948	3936	1996-12-26	VYDAJ	VYBER	150	27317	\N	\N	\N
1150949	3936	1997-12-17	VYDAJ	VYBER	240	33806	\N	\N	\N
1150950	3936	1998-12-01	VYDAJ	VYBER	210	18709	\N	\N	\N
1150957	3936	1996-01-18	VYDAJ	VYBER	240	35162	\N	\N	\N
1150958	3936	1996-01-03	VYDAJ	VYBER	660	35662	\N	\N	\N
1150959	3936	1996-01-27	VYDAJ	VYBER	270	34892	\N	\N	\N
1150960	3936	1996-01-12	VYDAJ	VYBER	570	31774	\N	\N	\N
1150961	3936	1996-01-07	VYDAJ	VYBER	660	32903	\N	\N	\N
1150962	3936	1996-01-05	VYDAJ	VYBER	240	35422	\N	\N	\N
1150963	3936	1997-01-16	VYDAJ	VYBER	300	26233	\N	\N	\N
1150964	3936	1997-01-22	VYDAJ	VYBER	150	25573	\N	\N	\N
1150965	3936	1997-01-03	VYDAJ	VYBER	510	26163	\N	\N	\N
1150966	3936	1997-01-01	VYDAJ	VYBER	510	26673	\N	\N	\N
1150967	3936	1997-01-17	VYDAJ	VYBER	510	25723	\N	\N	\N
1150968	3936	1997-01-07	VYDAJ	VYBER	840	25323	\N	\N	\N
1150969	3936	1998-01-07	VYDAJ	VYBER	600	33128	\N	\N	\N
1150970	3936	1998-01-13	VYDAJ	VYBER	870	29420	\N	\N	\N
1150971	3936	1998-01-08	VYDAJ	VYBER	420	30849	\N	\N	\N
1150972	3936	1998-01-24	VYDAJ	VYBER	300	27908	\N	\N	\N
1150973	3936	1998-01-19	VYDAJ	VYBER	840	28208	\N	\N	\N
1150976	3936	1995-11-07	VYDAJ	VYBER	840	34459	\N	\N	\N
1150977	3936	1995-12-11	VYDAJ	VYBER	780	32102	\N	\N	\N
1150978	3936	1996-10-01	VYDAJ	VYBER	1230	33296	\N	\N	\N
1150979	3936	1996-08-27	VYDAJ	VYBER	480	34247	\N	\N	\N
1150980	3936	1996-12-29	VYDAJ	VYBER	240	27077	\N	\N	\N
1150981	3936	1997-05-29	VYDAJ	VYBER	450	24917	\N	\N	\N
1150982	3936	1997-08-04	VYDAJ	VYBER	420	25486	\N	\N	\N
1150983	3936	1998-03-12	VYDAJ	VYBER	420	24689	\N	\N	\N
1150984	3936	1998-12-21	VYDAJ	VYBER	1200	17319	\N	\N	\N
1150985	3936	1998-11-07	VYDAJ	VYBER	330	18879	\N	\N	\N
1150995	3936	1995-09-30	VYDAJ	VYBER	15	34461	SLUZBY	\N	\N
1150996	3936	1995-10-31	VYDAJ	VYBER	15	35299	SLUZBY	\N	\N
1150997	3936	1995-11-30	VYDAJ	VYBER	15	35300	SLUZBY	\N	\N
1150998	3936	1995-12-31	VYDAJ	VYBER	15	36322	SLUZBY	\N	\N
1150999	3936	1996-01-31	VYDAJ	VYBER	15	32621	SLUZBY	\N	\N
1151000	3936	1996-02-29	VYDAJ	VYBER	15	29252	SLUZBY	\N	\N
1151001	3936	1996-03-31	VYDAJ	VYBER	15	32772	SLUZBY	\N	\N
1151002	3936	1996-04-30	VYDAJ	VYBER	15	34605	SLUZBY	\N	\N
1151003	3936	1996-05-31	VYDAJ	VYBER	15	35246	SLUZBY	\N	\N
1151004	3936	1996-06-30	VYDAJ	VYBER	15	36767	SLUZBY	\N	\N
1151005	3936	1996-07-31	VYDAJ	VYBER	15	37517	SLUZBY	\N	\N
1151006	3936	1996-08-31	VYDAJ	VYBER	15	34387	SLUZBY	\N	\N
1151007	3936	1996-09-30	VYDAJ	VYBER	15	34526	SLUZBY	\N	\N
1151008	3936	1996-10-31	VYDAJ	VYBER	15	32530	SLUZBY	\N	\N
1151009	3936	1996-11-30	VYDAJ	VYBER	15	29257	SLUZBY	\N	\N
1151010	3936	1996-12-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
1151011	3936	1997-01-31	VYDAJ	VYBER	15	27365	SLUZBY	\N	\N
1151012	3936	1997-02-28	VYDAJ	VYBER	15	23570	SLUZBY	\N	\N
1151013	3936	1997-03-31	VYDAJ	VYBER	15	22863	SLUZBY	\N	\N
1151014	3936	1997-04-30	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
1151015	3936	1997-05-31	VYDAJ	VYBER	15	25009	SLUZBY	\N	\N
1151016	3936	1997-06-30	VYDAJ	VYBER	15	23810	SLUZBY	\N	\N
1151017	3936	1997-07-31	VYDAJ	VYBER	15	25906	SLUZBY	\N	\N
1151018	3936	1997-08-31	VYDAJ	VYBER	15	23884	SLUZBY	\N	\N
1151019	3936	1997-09-30	VYDAJ	VYBER	15	29086	SLUZBY	\N	\N
1151020	3936	1997-10-31	VYDAJ	VYBER	15	32206	SLUZBY	\N	\N
1151021	3936	1997-11-30	VYDAJ	VYBER	15	32836	SLUZBY	\N	\N
1151022	3936	1997-12-31	VYDAJ	VYBER	15	33728	SLUZBY	\N	\N
1151023	3936	1998-01-31	VYDAJ	VYBER	15	27719	SLUZBY	\N	\N
1151024	3936	1998-02-28	VYDAJ	VYBER	15	27527	SLUZBY	\N	\N
1151025	3936	1998-03-31	VYDAJ	VYBER	15	29619	SLUZBY	\N	\N
1151026	3936	1998-04-30	VYDAJ	VYBER	15	32240	SLUZBY	\N	\N
1151027	3936	1998-05-31	VYDAJ	VYBER	15	34071	SLUZBY	\N	\N
1151028	3936	1998-06-30	VYDAJ	VYBER	15	27058	SLUZBY	\N	\N
1151029	3936	1998-07-31	VYDAJ	VYBER	15	25861	SLUZBY	\N	\N
1151030	3936	1998-08-31	VYDAJ	VYBER	15	29069	SLUZBY	\N	\N
1151031	3936	1998-09-30	VYDAJ	VYBER	15	26677	SLUZBY	\N	\N
1151032	3936	1998-10-31	VYDAJ	VYBER	15	21068	SLUZBY	\N	\N
1151033	3936	1998-11-30	VYDAJ	VYBER	15	18919	SLUZBY	\N	\N
1151034	3936	1995-06-03	PRIJEM	VKLAD	11300	15739	\N	\N	\N
1151035	3936	1995-07-03	PRIJEM	VKLAD	6200	25620	\N	\N	\N
1151036	3936	1995-08-02	VYDAJ	VYBER	1200	28153	\N	\N	\N
1151037	3936	1995-09-01	VYDAJ	VYBER	1200	30709	\N	\N	\N
1151038	3936	1995-10-01	VYDAJ	VYBER	700	33761	\N	\N	\N
1151039	3936	1995-10-31	PRIJEM	VKLAD	200	35313	\N	\N	\N
1151040	3936	1995-11-30	VYDAJ	VYBER	500	35314	\N	\N	\N
1151041	3936	1995-12-30	PRIJEM	VKLAD	1000	36190	\N	\N	\N
1151042	3936	1996-01-29	VYDAJ	VYBER	2400	32492	\N	\N	\N
1151043	3936	1996-02-28	VYDAJ	VYBER	4700	29131	\N	\N	\N
1151044	3936	1996-03-29	PRIJEM	VKLAD	2200	32662	\N	\N	\N
1151045	3936	1996-04-28	PRIJEM	VKLAD	500	34482	\N	\N	\N
1151046	3936	1996-05-28	VYDAJ	VYBER	700	35115	\N	\N	\N
1151047	3936	1996-06-27	PRIJEM	VKLAD	1200	36636	\N	\N	\N
1151048	3936	1996-07-27	VYDAJ	VYBER	600	37377	\N	\N	\N
1151049	3936	1996-08-26	VYDAJ	VYBER	4000	34727	\N	\N	\N
1151050	3936	1996-09-25	VYDAJ	VYBER	1200	34397	\N	\N	\N
1151051	3936	1996-10-25	VYDAJ	VYBER	2100	32406	\N	\N	\N
1151052	3936	1996-11-24	VYDAJ	VYBER	4600	29140	\N	\N	\N
1151053	3936	1996-12-24	VYDAJ	VYBER	3000	27467	\N	\N	\N
1151054	3936	1997-01-23	PRIJEM	VKLAD	1700	27273	\N	\N	\N
1151055	3936	1997-02-22	VYDAJ	VYBER	5100	23475	\N	\N	\N
1151056	3936	1997-03-24	VYDAJ	VYBER	2000	22780	\N	\N	\N
1151057	3936	1997-04-23	PRIJEM	VKLAD	1900	25973	\N	\N	\N
1151058	3936	1997-05-23	VYDAJ	VYBER	1900	25367	\N	\N	\N
1151059	3936	1997-06-22	PRIJEM	VKLAD	4800	23729	\N	\N	\N
1151060	3936	1997-07-22	PRIJEM	VKLAD	800	25820	\N	\N	\N
1151061	3936	1997-08-21	VYDAJ	VYBER	2900	23796	\N	\N	\N
1151062	3936	1997-09-20	PRIJEM	VKLAD	3900	28994	\N	\N	\N
1151063	3936	1997-10-20	PRIJEM	VKLAD	1800	32096	\N	\N	\N
1151064	3936	1997-11-19	VYDAJ	VYBER	700	32716	\N	\N	\N
1151065	3936	1997-12-19	VYDAJ	VYBER	200	33606	\N	\N	\N
1151066	3936	1998-01-18	VYDAJ	VYBER	4000	29048	\N	\N	\N
1151067	3936	1998-02-17	VYDAJ	VYBER	1500	27429	\N	\N	\N
1151068	3936	1998-03-19	PRIJEM	VKLAD	1200	29517	\N	\N	\N
1151069	3936	1998-04-18	PRIJEM	VKLAD	1300	32129	\N	\N	\N
1151070	3936	1998-05-18	PRIJEM	VKLAD	500	33950	\N	\N	\N
1151071	3936	1998-06-17	VYDAJ	VYBER	5300	26951	\N	\N	\N
1151072	3936	1998-07-17	VYDAJ	VYBER	2500	25768	\N	\N	\N
1151073	3936	1998-08-16	PRIJEM	VKLAD	1900	28971	\N	\N	\N
1151074	3936	1998-09-15	VYDAJ	VYBER	3700	26579	\N	\N	\N
1151075	3936	1998-10-15	VYDAJ	VYBER	6900	20987	\N	\N	\N
1151076	3936	1998-11-14	VYDAJ	VYBER	3100	18848	\N	\N	\N
1151077	3936	1998-12-14	VYDAJ	VYBER	1400	18519	\N	\N	\N
1151122	3937	1996-01-10	PRIJEM	VKLAD	800	800	\N	\N	\N
1151123	3937	1996-01-14	PRIJEM	PREVOD Z UCTU	5258	6058	DUCHOD	KL	20588261
1151124	3937	1996-02-14	PRIJEM	PREVOD Z UCTU	5258	11331	DUCHOD	KL	20588261
1151125	3937	1996-03-14	PRIJEM	PREVOD Z UCTU	5258	16614	DUCHOD	KL	20588261
1151126	3937	1996-04-14	PRIJEM	PREVOD Z UCTU	5258	21897	DUCHOD	KL	20588261
1151127	3937	1996-05-14	PRIJEM	PREVOD Z UCTU	5258	27180	DUCHOD	KL	20588261
1151128	3937	1996-06-14	PRIJEM	PREVOD Z UCTU	5258	29067	DUCHOD	KL	20588261
1151129	3937	1996-07-14	PRIJEM	PREVOD Z UCTU	5258	16229	DUCHOD	KL	20588261
1151130	3937	1996-08-14	PRIJEM	PREVOD Z UCTU	5258	18151	DUCHOD	KL	20588261
1151131	3937	1996-09-14	PRIJEM	PREVOD Z UCTU	5258	17601	DUCHOD	KL	20588261
1151132	3937	1996-10-14	PRIJEM	PREVOD Z UCTU	5258	19530	DUCHOD	KL	20588261
1151133	3937	1996-11-14	PRIJEM	PREVOD Z UCTU	5258	18906	DUCHOD	KL	20588261
1151134	3937	1996-12-14	PRIJEM	PREVOD Z UCTU	5258	20839	DUCHOD	KL	20588261
1151135	3937	1997-01-14	PRIJEM	PREVOD Z UCTU	5258	19820	DUCHOD	KL	20588261
1151136	3937	1997-02-14	PRIJEM	PREVOD Z UCTU	5258	16470	DUCHOD	KL	20588261
1151137	3937	1997-03-14	PRIJEM	PREVOD Z UCTU	5258	14952	DUCHOD	KL	20588261
1151138	3937	1997-04-14	PRIJEM	PREVOD Z UCTU	5258	15268	DUCHOD	KL	20588261
1151139	3937	1997-05-14	PRIJEM	PREVOD Z UCTU	5258	17187	DUCHOD	KL	20588261
1151140	3937	1997-06-14	PRIJEM	PREVOD Z UCTU	5258	15750	DUCHOD	KL	20588261
1151141	3937	1997-07-14	PRIJEM	PREVOD Z UCTU	5258	17670	DUCHOD	KL	20588261
1151142	3937	1997-08-14	PRIJEM	PREVOD Z UCTU	5258	19599	DUCHOD	KL	20588261
1151143	3937	1997-09-14	PRIJEM	PREVOD Z UCTU	5258	21536	DUCHOD	KL	20588261
1151144	3937	1997-10-14	PRIJEM	PREVOD Z UCTU	5258	23480	DUCHOD	KL	20588261
1151145	3937	1997-11-14	PRIJEM	PREVOD Z UCTU	5258	25433	DUCHOD	KL	20588261
1151146	3937	1997-12-14	PRIJEM	PREVOD Z UCTU	5258	26494	DUCHOD	KL	20588261
1151147	3937	1998-01-14	PRIJEM	PREVOD Z UCTU	5258	19158	DUCHOD	KL	20588261
1151148	3937	1998-02-14	PRIJEM	PREVOD Z UCTU	5258	16453	DUCHOD	KL	20588261
1151149	3937	1998-03-14	PRIJEM	PREVOD Z UCTU	5258	18377	DUCHOD	KL	20588261
1151150	3937	1998-04-14	PRIJEM	PREVOD Z UCTU	5258	20308	DUCHOD	KL	20588261
1151151	3937	1998-05-14	PRIJEM	PREVOD Z UCTU	5258	22247	DUCHOD	KL	20588261
1151152	3937	1998-06-14	PRIJEM	PREVOD Z UCTU	5258	24195	DUCHOD	KL	20588261
1151153	3937	1998-07-14	PRIJEM	PREVOD Z UCTU	5258	23825	DUCHOD	KL	20588261
1151154	3937	1998-08-14	PRIJEM	PREVOD Z UCTU	5258	23374	DUCHOD	KL	20588261
1151155	3937	1998-09-14	PRIJEM	PREVOD Z UCTU	5258	22444	DUCHOD	KL	20588261
1151156	3937	1998-10-14	PRIJEM	PREVOD Z UCTU	5258	24392	DUCHOD	KL	20588261
1151157	3937	1998-11-14	PRIJEM	PREVOD Z UCTU	5258	26348	DUCHOD	KL	20588261
1151158	3937	1998-12-14	PRIJEM	PREVOD Z UCTU	5258	27912	DUCHOD	KL	20588261
1151164	3937	1996-06-09	VYDAJ	PREVOD NA UCET	3385	23809	SIPO	KL	92072844
1151165	3937	1996-07-09	VYDAJ	PREVOD NA UCET	3385	10971	SIPO	KL	92072844
1151166	3937	1996-08-09	VYDAJ	PREVOD NA UCET	3385	12893	SIPO	KL	92072844
1151167	3937	1996-09-09	VYDAJ	PREVOD NA UCET	3385	12343	SIPO	KL	92072844
1151168	3937	1996-10-09	VYDAJ	PREVOD NA UCET	3385	14272	SIPO	KL	92072844
1151169	3937	1996-11-09	VYDAJ	PREVOD NA UCET	3385	13648	SIPO	KL	92072844
1151170	3937	1996-12-09	VYDAJ	PREVOD NA UCET	3385	15581	SIPO	KL	92072844
1151171	3937	1997-01-09	VYDAJ	PREVOD NA UCET	3385	14562	SIPO	KL	92072844
1151172	3937	1997-02-09	VYDAJ	PREVOD NA UCET	3385	11212	SIPO	KL	92072844
1151173	3937	1997-03-09	VYDAJ	PREVOD NA UCET	3385	9694	SIPO	KL	92072844
1151174	3937	1997-04-09	VYDAJ	PREVOD NA UCET	3385	10010	SIPO	KL	92072844
1151175	3937	1997-05-09	VYDAJ	PREVOD NA UCET	3385	11929	SIPO	KL	92072844
1151176	3937	1997-06-09	VYDAJ	PREVOD NA UCET	3385	10492	SIPO	KL	92072844
1151177	3937	1997-07-09	VYDAJ	PREVOD NA UCET	3385	12412	SIPO	KL	92072844
1151178	3937	1997-08-09	VYDAJ	PREVOD NA UCET	3385	14341	SIPO	KL	92072844
1151179	3937	1997-09-09	VYDAJ	PREVOD NA UCET	3385	16278	SIPO	KL	92072844
1151180	3937	1997-10-09	VYDAJ	PREVOD NA UCET	3385	18222	SIPO	KL	92072844
1151181	3937	1997-11-09	VYDAJ	PREVOD NA UCET	3385	20175	SIPO	KL	92072844
1151182	3937	1997-12-09	VYDAJ	PREVOD NA UCET	3385	21236	SIPO	KL	92072844
1151183	3937	1998-01-09	VYDAJ	PREVOD NA UCET	3385	17900	SIPO	KL	92072844
1151184	3937	1998-02-09	VYDAJ	PREVOD NA UCET	3385	11195	SIPO	KL	92072844
1151185	3937	1998-03-09	VYDAJ	PREVOD NA UCET	3385	13119	SIPO	KL	92072844
1151186	3937	1998-04-09	VYDAJ	PREVOD NA UCET	3385	15050	SIPO	KL	92072844
1151187	3937	1998-05-09	VYDAJ	PREVOD NA UCET	3385	16989	SIPO	KL	92072844
1151188	3937	1998-06-09	VYDAJ	PREVOD NA UCET	3385	18937	SIPO	KL	92072844
1151189	3937	1998-07-09	VYDAJ	PREVOD NA UCET	3385	18567	SIPO	KL	92072844
1151190	3937	1998-08-09	VYDAJ	PREVOD NA UCET	3385	18116	SIPO	KL	92072844
1151191	3937	1998-09-09	VYDAJ	PREVOD NA UCET	3385	17186	SIPO	KL	92072844
1151192	3937	1998-10-09	VYDAJ	PREVOD NA UCET	3385	19134	SIPO	KL	92072844
1151193	3937	1998-11-09	VYDAJ	PREVOD NA UCET	3385	21090	SIPO	KL	92072844
1151194	3937	1998-12-09	VYDAJ	PREVOD NA UCET	3385	22654	SIPO	KL	92072844
1151195	3937	1996-06-24	VYDAJ	VYBER	14800	14267	\N	\N	\N
1151200	3937	1998-01-08	VYDAJ	VYBER	4900	21285	\N	\N	\N
1151201	3937	1996-12-15	VYDAJ	VYBER	400	20439	\N	\N	\N
1151202	3937	1997-12-07	VYDAJ	VYBER	900	24621	\N	\N	\N
1151203	3937	1998-12-02	VYDAJ	VYBER	400	26039	\N	\N	\N
1151210	3937	1997-01-23	VYDAJ	VYBER	1520	15340	\N	\N	\N
1151211	3937	1997-01-17	VYDAJ	VYBER	1200	18620	\N	\N	\N
1151212	3937	1997-01-08	VYDAJ	VYBER	2160	17947	\N	\N	\N
1151213	3937	1997-01-19	VYDAJ	VYBER	1760	16860	\N	\N	\N
1151214	3937	1997-01-28	VYDAJ	VYBER	800	14540	\N	\N	\N
1151215	3937	1997-01-03	VYDAJ	VYBER	400	20107	\N	\N	\N
1151216	3937	1998-01-03	VYDAJ	VYBER	400	26185	\N	\N	\N
1151217	3937	1998-01-15	VYDAJ	VYBER	2160	16998	\N	\N	\N
1151218	3937	1998-01-09	VYDAJ	VYBER	1920	15980	\N	\N	\N
1151219	3937	1998-01-15	VYDAJ	VYBER	960	16038	\N	\N	\N
1151220	3937	1998-01-26	VYDAJ	VYBER	1520	14518	\N	\N	\N
1151221	3937	1998-01-12	VYDAJ	VYBER	2080	13900	\N	\N	\N
1151222	3937	1996-08-30	VYDAJ	VYBER	2480	15671	\N	\N	\N
1151223	3937	1996-10-30	VYDAJ	VYBER	2560	16970	\N	\N	\N
1151225	3937	1997-05-24	VYDAJ	VYBER	1520	15667	\N	\N	\N
1151226	3937	1997-03-07	VYDAJ	VYBER	2160	13079	\N	\N	\N
1151227	3937	1997-02-18	VYDAJ	VYBER	1280	15190	\N	\N	\N
1151228	3937	1997-05-25	VYDAJ	VYBER	1840	13827	\N	\N	\N
1151229	3937	1997-03-27	VYDAJ	VYBER	1600	13352	\N	\N	\N
1151233	3937	1998-08-26	VYDAJ	VYBER	2880	20494	\N	\N	\N
1151234	3937	1998-07-16	VYDAJ	VYBER	2400	21425	\N	\N	\N
1151235	3937	1998-06-15	VYDAJ	VYBER	1520	22675	\N	\N	\N
1151236	3937	1998-06-18	VYDAJ	VYBER	800	21875	\N	\N	\N
1151242	3937	1996-05-31	VYDAJ	VYBER	15	27194	SLUZBY	\N	\N
1151243	3937	1996-06-30	VYDAJ	VYBER	15	14356	SLUZBY	\N	\N
1151244	3937	1996-07-31	VYDAJ	VYBER	15	16278	SLUZBY	\N	\N
1151245	3937	1996-08-31	VYDAJ	VYBER	15	15728	SLUZBY	\N	\N
1151246	3937	1996-09-30	VYDAJ	VYBER	15	17657	SLUZBY	\N	\N
1151247	3937	1996-10-31	VYDAJ	VYBER	15	17033	SLUZBY	\N	\N
1151248	3937	1996-11-30	VYDAJ	VYBER	15	18966	SLUZBY	\N	\N
1151249	3937	1996-12-31	VYDAJ	VYBER	15	20507	SLUZBY	\N	\N
1151250	3937	1997-01-31	VYDAJ	VYBER	15	14597	SLUZBY	\N	\N
1151251	3937	1997-02-28	VYDAJ	VYBER	15	15239	SLUZBY	\N	\N
1151252	3937	1997-03-31	VYDAJ	VYBER	15	13395	SLUZBY	\N	\N
1151253	3937	1997-04-30	VYDAJ	VYBER	15	15314	SLUZBY	\N	\N
1151254	3937	1997-05-31	VYDAJ	VYBER	15	13877	SLUZBY	\N	\N
1151255	3937	1997-06-30	VYDAJ	VYBER	15	15797	SLUZBY	\N	\N
1151256	3937	1997-07-31	VYDAJ	VYBER	15	17726	SLUZBY	\N	\N
1151257	3937	1997-08-31	VYDAJ	VYBER	15	19663	SLUZBY	\N	\N
1151258	3937	1997-09-30	VYDAJ	VYBER	15	21607	SLUZBY	\N	\N
1151259	3937	1997-10-31	VYDAJ	VYBER	15	23560	SLUZBY	\N	\N
1151260	3937	1997-11-30	VYDAJ	VYBER	15	25521	SLUZBY	\N	\N
1151261	3937	1997-12-31	VYDAJ	VYBER	15	26585	SLUZBY	\N	\N
1151262	3937	1998-01-31	VYDAJ	VYBER	15	14580	SLUZBY	\N	\N
1151263	3937	1998-02-28	VYDAJ	VYBER	15	16504	SLUZBY	\N	\N
1151264	3937	1998-03-31	VYDAJ	VYBER	15	18435	SLUZBY	\N	\N
1151265	3937	1998-04-30	VYDAJ	VYBER	15	20374	SLUZBY	\N	\N
1151266	3937	1998-05-31	VYDAJ	VYBER	15	22322	SLUZBY	\N	\N
1151267	3937	1998-06-30	VYDAJ	VYBER	15	21952	SLUZBY	\N	\N
1151268	3937	1998-07-31	VYDAJ	VYBER	15	21501	SLUZBY	\N	\N
1151269	3937	1998-08-31	VYDAJ	VYBER	15	20571	SLUZBY	\N	\N
1151270	3937	1998-09-30	VYDAJ	VYBER	15	22519	SLUZBY	\N	\N
1151271	3937	1998-10-31	VYDAJ	VYBER	15	24475	SLUZBY	\N	\N
1151272	3937	1998-11-30	VYDAJ	VYBER	15	26439	SLUZBY	\N	\N
1151309	3938	1993-11-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1151321	3938	1993-12-08	PRIJEM	VKLAD	34551	35651	\N	\N	\N
1151322	3938	1994-01-08	PRIJEM	VKLAD	23034	52845	\N	\N	\N
1151323	3938	1994-02-08	PRIJEM	VKLAD	23034	61020	\N	\N	\N
1151324	3938	1994-03-08	PRIJEM	VKLAD	23034	65121	\N	\N	\N
1151325	3938	1994-04-08	PRIJEM	VKLAD	23034	69638	\N	\N	\N
1151326	3938	1994-05-08	PRIJEM	VKLAD	23034	64790	\N	\N	\N
1151327	3938	1994-06-08	PRIJEM	VKLAD	34551	69066	\N	\N	\N
1151328	3938	1994-07-08	PRIJEM	VKLAD	23034	68533	\N	\N	\N
1151329	3938	1994-08-08	PRIJEM	VKLAD	23034	64196	\N	\N	\N
1151330	3938	1994-09-08	PRIJEM	VKLAD	23034	58738	\N	\N	\N
1151331	3938	1994-10-08	PRIJEM	VKLAD	23034	59667	\N	\N	\N
1151332	3938	1994-11-08	PRIJEM	VKLAD	23034	64310	\N	\N	\N
1151333	3938	1994-12-08	PRIJEM	VKLAD	34551	79084	\N	\N	\N
1151334	3938	1995-01-08	PRIJEM	VKLAD	23034	73169	\N	\N	\N
1151335	3938	1995-02-08	PRIJEM	VKLAD	23034	70444	\N	\N	\N
1151336	3938	1995-03-08	PRIJEM	VKLAD	23034	71116	\N	\N	\N
1151337	3938	1995-04-08	PRIJEM	VKLAD	23034	67190	\N	\N	\N
1151338	3938	1995-05-08	PRIJEM	VKLAD	23034	68054	\N	\N	\N
1151339	3938	1995-06-08	PRIJEM	VKLAD	34551	80635	\N	\N	\N
1151340	3938	1995-07-08	PRIJEM	VKLAD	23034	44277	\N	\N	\N
1151341	3938	1995-08-08	PRIJEM	VKLAD	23034	53268	\N	\N	\N
1151342	3938	1995-09-08	PRIJEM	VKLAD	23034	61287	\N	\N	\N
1151343	3938	1995-10-08	PRIJEM	VKLAD	23034	66428	\N	\N	\N
1151344	3938	1995-11-08	PRIJEM	VKLAD	23034	59834	\N	\N	\N
1151345	3938	1995-12-08	PRIJEM	VKLAD	34551	78637	\N	\N	\N
1151346	3938	1996-01-08	PRIJEM	VKLAD	23034	74993	\N	\N	\N
1151347	3938	1996-02-08	PRIJEM	VKLAD	23034	75450	\N	\N	\N
1151348	3938	1996-03-08	PRIJEM	VKLAD	23034	75704	\N	\N	\N
1151349	3938	1996-04-08	PRIJEM	VKLAD	23034	74163	\N	\N	\N
1151350	3938	1996-05-08	PRIJEM	VKLAD	23034	69413	\N	\N	\N
1151351	3938	1996-06-08	PRIJEM	VKLAD	34551	80060	\N	\N	\N
1151352	3938	1996-07-08	PRIJEM	VKLAD	23034	66517	\N	\N	\N
1151353	3938	1996-08-08	PRIJEM	VKLAD	23034	60729	\N	\N	\N
1151354	3938	1996-09-08	PRIJEM	VKLAD	23034	64022	\N	\N	\N
1151355	3938	1996-10-08	PRIJEM	VKLAD	23034	64726	\N	\N	\N
1151356	3938	1996-11-08	PRIJEM	VKLAD	23034	64035	\N	\N	\N
1151357	3938	1996-12-08	PRIJEM	VKLAD	34551	75059	\N	\N	\N
1151358	3938	1997-01-08	PRIJEM	VKLAD	23034	66692	\N	\N	\N
1151359	3938	1997-02-08	PRIJEM	VKLAD	23034	63994	\N	\N	\N
1151360	3938	1997-03-08	PRIJEM	VKLAD	23034	60889	\N	\N	\N
1151361	3938	1997-04-08	PRIJEM	VKLAD	23034	62480	\N	\N	\N
1151362	3938	1997-05-08	PRIJEM	VKLAD	23034	60667	\N	\N	\N
1151363	3938	1997-06-08	PRIJEM	VKLAD	34551	54260	\N	\N	\N
1151364	3938	1997-07-08	PRIJEM	VKLAD	23034	56913	\N	\N	\N
1151365	3938	1997-08-08	PRIJEM	VKLAD	23034	64675	\N	\N	\N
1151366	3938	1997-09-08	PRIJEM	VKLAD	23034	66664	\N	\N	\N
1151367	3938	1997-10-08	PRIJEM	VKLAD	23034	66560	\N	\N	\N
1151368	3938	1997-11-08	PRIJEM	VKLAD	23034	61247	\N	\N	\N
1151369	3938	1997-12-08	PRIJEM	VKLAD	34551	75537	\N	\N	\N
1151370	3938	1998-01-08	PRIJEM	VKLAD	23034	69247	\N	\N	\N
1151371	3938	1998-02-08	PRIJEM	VKLAD	23034	64136	\N	\N	\N
1151372	3938	1998-03-08	PRIJEM	VKLAD	23034	67418	\N	\N	\N
1151373	3938	1998-04-08	PRIJEM	VKLAD	23034	67708	\N	\N	\N
1151374	3938	1998-05-08	PRIJEM	VKLAD	23034	65600	\N	\N	\N
1151375	3938	1998-06-08	PRIJEM	VKLAD	34551	71196	\N	\N	\N
1151376	3938	1998-07-08	PRIJEM	VKLAD	23034	65085	\N	\N	\N
1151377	3938	1998-08-08	PRIJEM	VKLAD	23034	67165	\N	\N	\N
1151378	3938	1998-09-08	PRIJEM	VKLAD	23034	65448	\N	\N	\N
1151379	3938	1998-10-08	PRIJEM	VKLAD	23034	69427	\N	\N	\N
1151380	3938	1998-11-08	PRIJEM	VKLAD	23034	69417	\N	\N	\N
1151381	3938	1998-12-08	PRIJEM	VKLAD	34551	72016	\N	\N	\N
1151398	3938	1994-05-05	VYDAJ	PREVOD NA UCET	3869	41756	SIPO	CD	83267962
1151399	3938	1994-06-05	VYDAJ	PREVOD NA UCET	3869	34515	SIPO	CD	83267962
1151400	3938	1994-07-05	VYDAJ	PREVOD NA UCET	3869	45499	SIPO	CD	83267962
1151401	3938	1994-08-05	VYDAJ	PREVOD NA UCET	3869	41162	SIPO	CD	83267962
1151402	3938	1994-09-05	VYDAJ	PREVOD NA UCET	3869	35704	SIPO	CD	83267962
1151403	3938	1994-10-05	VYDAJ	PREVOD NA UCET	3869	36633	SIPO	CD	83267962
1151404	3938	1994-11-05	VYDAJ	PREVOD NA UCET	3869	41276	SIPO	CD	83267962
1151405	3938	1994-12-05	VYDAJ	PREVOD NA UCET	3869	44533	SIPO	CD	83267962
1151406	3938	1995-01-05	VYDAJ	PREVOD NA UCET	3869	50135	SIPO	CD	83267962
1151407	3938	1995-02-05	VYDAJ	PREVOD NA UCET	3869	47410	SIPO	CD	83267962
1151408	3938	1995-03-05	VYDAJ	PREVOD NA UCET	3869	48082	SIPO	CD	83267962
1151409	3938	1995-04-05	VYDAJ	PREVOD NA UCET	3869	44156	SIPO	CD	83267962
1151410	3938	1995-05-05	VYDAJ	PREVOD NA UCET	3869	45020	SIPO	CD	83267962
1151411	3938	1995-06-05	VYDAJ	PREVOD NA UCET	3869	46084	SIPO	CD	83267962
1151412	3938	1995-07-05	VYDAJ	PREVOD NA UCET	3869	21243	SIPO	CD	83267962
1151413	3938	1995-08-05	VYDAJ	PREVOD NA UCET	3869	32034	SIPO	CD	83267962
1151414	3938	1995-09-05	VYDAJ	PREVOD NA UCET	3869	38253	SIPO	CD	83267962
1151415	3938	1995-10-05	VYDAJ	PREVOD NA UCET	3869	43394	SIPO	CD	83267962
1151416	3938	1995-11-05	VYDAJ	PREVOD NA UCET	3869	43700	SIPO	CD	83267962
1151417	3938	1995-12-05	VYDAJ	PREVOD NA UCET	3869	54286	SIPO	CD	83267962
1151418	3938	1996-01-05	VYDAJ	PREVOD NA UCET	3869	73559	SIPO	CD	83267962
1151419	3938	1996-02-05	VYDAJ	PREVOD NA UCET	3869	52416	SIPO	CD	83267962
1151420	3938	1996-03-05	VYDAJ	PREVOD NA UCET	3869	71870	SIPO	CD	83267962
1151421	3938	1996-04-05	VYDAJ	PREVOD NA UCET	3869	51129	SIPO	CD	83267962
1151422	3938	1996-05-05	VYDAJ	PREVOD NA UCET	3869	46379	SIPO	CD	83267962
1151423	3938	1996-06-05	VYDAJ	PREVOD NA UCET	3869	45509	SIPO	CD	83267962
1151424	3938	1996-07-05	VYDAJ	PREVOD NA UCET	3869	43483	SIPO	CD	83267962
1151425	3938	1996-08-05	VYDAJ	PREVOD NA UCET	3869	40895	SIPO	CD	83267962
1151426	3938	1996-09-05	VYDAJ	PREVOD NA UCET	3869	40988	SIPO	CD	83267962
1151427	3938	1996-10-05	VYDAJ	PREVOD NA UCET	3869	41692	SIPO	CD	83267962
1151428	3938	1996-11-05	VYDAJ	PREVOD NA UCET	3869	41001	SIPO	CD	83267962
1151429	3938	1996-12-05	VYDAJ	PREVOD NA UCET	3869	40508	SIPO	CD	83267962
1151430	3938	1997-01-05	VYDAJ	PREVOD NA UCET	3869	43658	SIPO	CD	83267962
1151431	3938	1997-02-05	VYDAJ	PREVOD NA UCET	3869	40960	SIPO	CD	83267962
1151432	3938	1997-03-05	VYDAJ	PREVOD NA UCET	3869	37855	SIPO	CD	83267962
1151433	3938	1997-04-05	VYDAJ	PREVOD NA UCET	3869	39446	SIPO	CD	83267962
1151434	3938	1997-05-05	VYDAJ	PREVOD NA UCET	3869	37633	SIPO	CD	83267962
1151435	3938	1997-06-05	VYDAJ	PREVOD NA UCET	3869	37309	SIPO	CD	83267962
1151436	3938	1997-07-05	VYDAJ	PREVOD NA UCET	3869	33879	SIPO	CD	83267962
1151437	3938	1997-08-05	VYDAJ	PREVOD NA UCET	3869	41641	SIPO	CD	83267962
1151438	3938	1997-09-05	VYDAJ	PREVOD NA UCET	3869	43630	SIPO	CD	83267962
1151439	3938	1997-10-05	VYDAJ	PREVOD NA UCET	3869	43526	SIPO	CD	83267962
1151440	3938	1997-11-05	VYDAJ	PREVOD NA UCET	3869	41613	SIPO	CD	83267962
1151441	3938	1997-12-05	VYDAJ	PREVOD NA UCET	3869	40986	SIPO	CD	83267962
1151442	3938	1998-01-05	VYDAJ	PREVOD NA UCET	3869	49713	SIPO	CD	83267962
1151443	3938	1998-02-05	VYDAJ	PREVOD NA UCET	3869	41102	SIPO	CD	83267962
1151444	3938	1998-03-05	VYDAJ	PREVOD NA UCET	3869	44384	SIPO	CD	83267962
1151445	3938	1998-04-05	VYDAJ	PREVOD NA UCET	3869	44674	SIPO	CD	83267962
1151446	3938	1998-05-05	VYDAJ	PREVOD NA UCET	3869	42566	SIPO	CD	83267962
1151447	3938	1998-06-05	VYDAJ	PREVOD NA UCET	3869	36645	SIPO	CD	83267962
1151448	3938	1998-07-05	VYDAJ	PREVOD NA UCET	3869	42051	SIPO	CD	83267962
1151449	3938	1998-08-05	VYDAJ	PREVOD NA UCET	3869	44131	SIPO	CD	83267962
1151450	3938	1998-09-05	VYDAJ	PREVOD NA UCET	3869	43214	SIPO	CD	83267962
1151451	3938	1998-10-05	VYDAJ	PREVOD NA UCET	3869	46393	SIPO	CD	83267962
1151452	3938	1998-11-05	VYDAJ	PREVOD NA UCET	3869	46383	SIPO	CD	83267962
1151453	3938	1998-12-05	VYDAJ	PREVOD NA UCET	3869	37465	SIPO	CD	83267962
1151455	3938	1994-06-04	VYDAJ	VYBER	6500	38384	\N	\N	\N
1151456	3938	1995-06-23	VYDAJ	VYBER	27000	24935	\N	\N	\N
1151457	3938	1996-06-20	VYDAJ	VYBER	13500	65660	\N	\N	\N
1151458	3938	1997-06-07	VYDAJ	VYBER	17600	19709	\N	\N	\N
1151459	3938	1998-06-28	VYDAJ	VYBER	4100	45696	\N	\N	\N
1151461	3938	1994-12-19	VYDAJ	VYBER	1900	53784	\N	\N	\N
1151462	3938	1995-12-28	VYDAJ	VYBER	1500	77137	\N	\N	\N
1151463	3938	1996-12-01	VYDAJ	VYBER	2000	62277	\N	\N	\N
1151464	3938	1997-12-12	VYDAJ	VYBER KARTOU	2300	73237	\N	\N	0
1151465	3938	1998-12-09	VYDAJ	VYBER KARTOU	2700	69316	\N	\N	0
1151474	3938	1994-04-12	VYDAJ	VYBER	4700	64938	\N	\N	\N
1151476	3938	1994-08-18	VYDAJ	VYBER	4300	39396	\N	\N	\N
1151478	3938	1994-09-08	VYDAJ	VYBER	2900	55838	\N	\N	\N
1151479	3938	1995-03-10	VYDAJ	VYBER	500	70616	\N	\N	\N
1151480	3938	1995-03-31	VYDAJ	VYBER	3400	48025	\N	\N	\N
1151481	3938	1995-02-25	VYDAJ	VYBER	500	51744	\N	\N	\N
1151482	3938	1995-08-06	VYDAJ	VYBER	1800	30234	\N	\N	\N
1151483	3938	1995-12-04	VYDAJ	VYBER	1900	58155	\N	\N	\N
1151484	3938	1996-06-20	VYDAJ	VYBER	900	79160	\N	\N	\N
1151485	3938	1996-05-26	VYDAJ	VYBER	1900	67513	\N	\N	\N
1151486	3938	1996-12-21	VYDAJ	VYBER	500	73059	\N	\N	\N
1151487	3938	1996-12-20	VYDAJ	VYBER	1500	73559	\N	\N	\N
1151488	3938	1996-08-06	VYDAJ	VYBER	3200	37695	\N	\N	\N
1151489	3938	1996-05-28	VYDAJ	VYBER	3100	64413	\N	\N	\N
1151490	3938	1996-07-25	VYDAJ	VYBER	4900	61617	\N	\N	\N
1151491	3938	1997-01-03	VYDAJ	VYBER	1600	47527	\N	\N	\N
1151492	3938	1997-10-10	VYDAJ	VYBER KARTOU	2200	64360	\N	\N	0
1151493	3938	1997-11-06	VYDAJ	VYBER KARTOU	3400	38213	\N	\N	0
1151494	3938	1997-05-28	VYDAJ	VYBER	4100	56567	\N	\N	\N
1151495	3938	1997-09-08	VYDAJ	VYBER KARTOU	2300	64364	\N	\N	0
1151497	3938	1998-12-03	VYDAJ	VYBER	4500	41334	\N	\N	\N
1151498	3938	1998-01-13	VYDAJ	VYBER KARTOU	3600	65647	\N	\N	0
1151499	3938	1998-05-08	VYDAJ	VYBER KARTOU	3200	62400	\N	\N	0
1151500	3938	1998-03-12	VYDAJ	VYBER KARTOU	1500	65918	\N	\N	0
1151501	3938	1998-09-07	VYDAJ	VYBER KARTOU	800	42414	\N	\N	0
1151502	3938	1998-01-06	VYDAJ	VYBER KARTOU	3500	46213	\N	\N	0
1151503	3938	1998-05-29	VYDAJ	VYBER KARTOU	3400	40300	\N	\N	0
1151520	3938	1994-04-30	VYDAJ	VYBER	15	45625	SLUZBY	\N	\N
1151521	3938	1994-05-31	VYDAJ	VYBER	15	44884	SLUZBY	\N	\N
1151522	3938	1994-06-30	VYDAJ	VYBER	15	49368	SLUZBY	\N	\N
1151523	3938	1994-07-31	VYDAJ	VYBER	15	45031	SLUZBY	\N	\N
1151524	3938	1994-08-31	VYDAJ	VYBER	15	39573	SLUZBY	\N	\N
1151525	3938	1994-09-30	VYDAJ	VYBER	15	40502	SLUZBY	\N	\N
1151526	3938	1994-10-31	VYDAJ	VYBER	15	45145	SLUZBY	\N	\N
1151527	3938	1994-11-30	VYDAJ	VYBER	15	48402	SLUZBY	\N	\N
1151528	3938	1994-12-31	VYDAJ	VYBER	15	54004	SLUZBY	\N	\N
1151529	3938	1995-01-31	VYDAJ	VYBER	15	51279	SLUZBY	\N	\N
1151530	3938	1995-02-28	VYDAJ	VYBER	15	51951	SLUZBY	\N	\N
1151531	3938	1995-03-31	VYDAJ	VYBER	15	51425	SLUZBY	\N	\N
1151532	3938	1995-04-30	VYDAJ	VYBER	15	48889	SLUZBY	\N	\N
1151533	3938	1995-05-31	VYDAJ	VYBER	15	49953	SLUZBY	\N	\N
1151534	3938	1995-06-30	VYDAJ	VYBER	15	25112	SLUZBY	\N	\N
1151535	3938	1995-07-31	VYDAJ	VYBER	15	35903	SLUZBY	\N	\N
1151536	3938	1995-08-31	VYDAJ	VYBER	15	42122	SLUZBY	\N	\N
1151537	3938	1995-09-30	VYDAJ	VYBER	15	47263	SLUZBY	\N	\N
1151538	3938	1995-10-31	VYDAJ	VYBER	15	47569	SLUZBY	\N	\N
1151539	3938	1995-11-30	VYDAJ	VYBER	15	60055	SLUZBY	\N	\N
1151540	3938	1995-12-31	VYDAJ	VYBER	15	77428	SLUZBY	\N	\N
1151541	3938	1996-01-31	VYDAJ	VYBER	15	75285	SLUZBY	\N	\N
1151542	3938	1996-02-29	VYDAJ	VYBER	15	75739	SLUZBY	\N	\N
1151543	3938	1996-03-31	VYDAJ	VYBER	15	75998	SLUZBY	\N	\N
1151544	3938	1996-04-30	VYDAJ	VYBER	15	74448	SLUZBY	\N	\N
1151545	3938	1996-05-31	VYDAJ	VYBER	15	64678	SLUZBY	\N	\N
1151546	3938	1996-06-30	VYDAJ	VYBER	15	65952	SLUZBY	\N	\N
1151547	3938	1996-07-31	VYDAJ	VYBER	15	61864	SLUZBY	\N	\N
1151548	3938	1996-08-31	VYDAJ	VYBER	15	60957	SLUZBY	\N	\N
1151549	3938	1996-09-30	VYDAJ	VYBER	15	64261	SLUZBY	\N	\N
1151550	3938	1996-10-31	VYDAJ	VYBER	15	64970	SLUZBY	\N	\N
1151551	3938	1996-11-30	VYDAJ	VYBER	15	64277	SLUZBY	\N	\N
1151552	3938	1996-12-31	VYDAJ	VYBER	15	73327	SLUZBY	\N	\N
1151553	3938	1997-01-31	VYDAJ	VYBER	15	44829	SLUZBY	\N	\N
1151554	3938	1997-02-28	VYDAJ	VYBER	15	64224	SLUZBY	\N	\N
1151555	3938	1997-03-31	VYDAJ	VYBER	15	43315	SLUZBY	\N	\N
1151556	3938	1997-04-30	VYDAJ	VYBER	15	62702	SLUZBY	\N	\N
1151557	3938	1997-05-31	VYDAJ	VYBER	15	41178	SLUZBY	\N	\N
1151558	3938	1997-06-30	VYDAJ	VYBER	15	37748	SLUZBY	\N	\N
1151559	3938	1997-07-31	VYDAJ	VYBER	15	45510	SLUZBY	\N	\N
1151560	3938	1997-08-31	VYDAJ	VYBER	15	47499	SLUZBY	\N	\N
1151561	3938	1997-09-30	VYDAJ	VYBER	15	47395	SLUZBY	\N	\N
1151562	3938	1997-10-31	VYDAJ	VYBER	15	45482	SLUZBY	\N	\N
1151563	3938	1997-11-30	VYDAJ	VYBER	15	44855	SLUZBY	\N	\N
1151564	3938	1997-12-31	VYDAJ	VYBER	15	53582	SLUZBY	\N	\N
1151565	3938	1998-01-31	VYDAJ	VYBER	15	44971	SLUZBY	\N	\N
1151566	3938	1998-02-28	VYDAJ	VYBER	15	48253	SLUZBY	\N	\N
1151567	3938	1998-03-31	VYDAJ	VYBER	15	48543	SLUZBY	\N	\N
1151568	3938	1998-04-30	VYDAJ	VYBER	15	46435	SLUZBY	\N	\N
1151569	3938	1998-05-31	VYDAJ	VYBER	15	40514	SLUZBY	\N	\N
1151570	3938	1998-06-30	VYDAJ	VYBER	15	45920	SLUZBY	\N	\N
1151571	3938	1998-07-31	VYDAJ	VYBER	15	48000	SLUZBY	\N	\N
1151572	3938	1998-08-31	VYDAJ	VYBER	15	47083	SLUZBY	\N	\N
1151573	3938	1998-09-30	VYDAJ	VYBER	15	50262	SLUZBY	\N	\N
1151574	3938	1998-10-31	VYDAJ	VYBER	15	50252	SLUZBY	\N	\N
1151575	3938	1998-11-30	VYDAJ	VYBER	15	45834	SLUZBY	\N	\N
1151576	3938	1993-12-17	VYDAJ	VYBER	5900	29751	\N	\N	\N
1151577	3938	1994-01-16	VYDAJ	VYBER	15000	37845	\N	\N	\N
1151578	3938	1994-02-15	VYDAJ	VYBER	19100	41920	\N	\N	\N
1151579	3938	1994-03-17	VYDAJ	VYBER	18700	46421	\N	\N	\N
1151580	3938	1994-04-16	VYDAJ	VYBER	19500	45438	\N	\N	\N
1151581	3938	1994-05-16	VYDAJ	VYBER	20100	44690	\N	\N	\N
1151582	3938	1994-06-15	VYDAJ	VYBER	19900	49166	\N	\N	\N
1151583	3938	1994-07-15	VYDAJ	VYBER	23700	44833	\N	\N	\N
1151584	3938	1994-08-14	VYDAJ	VYBER	20500	43696	\N	\N	\N
1151585	3938	1994-09-13	VYDAJ	VYBER	15500	40338	\N	\N	\N
1151586	3938	1994-10-13	VYDAJ	VYBER	14700	44967	\N	\N	\N
1151587	3938	1994-11-12	VYDAJ	VYBER	16100	48210	\N	\N	\N
1151588	3938	1994-12-12	VYDAJ	VYBER	23400	55684	\N	\N	\N
1151589	3938	1995-01-11	VYDAJ	VYBER	22100	51069	\N	\N	\N
1151590	3938	1995-02-10	VYDAJ	VYBER	18200	52244	\N	\N	\N
1151591	3938	1995-03-12	VYDAJ	VYBER	19400	51216	\N	\N	\N
1151592	3938	1995-04-11	VYDAJ	VYBER	18500	48690	\N	\N	\N
1151593	3938	1995-05-11	VYDAJ	VYBER	18300	49754	\N	\N	\N
1151594	3938	1995-06-10	VYDAJ	VYBER	28700	51935	\N	\N	\N
1151595	3938	1995-07-10	VYDAJ	VYBER	8500	35777	\N	\N	\N
1151596	3938	1995-08-09	VYDAJ	VYBER	11300	41968	\N	\N	\N
1151597	3938	1995-09-08	VYDAJ	VYBER	14200	47087	\N	\N	\N
1151598	3938	1995-10-08	VYDAJ	VYBER	19100	47328	\N	\N	\N
1151599	3938	1995-11-07	VYDAJ	VYBER	6900	36800	\N	\N	\N
1151600	3938	1995-12-07	VYDAJ	VYBER	10200	44086	\N	\N	\N
1151601	3938	1996-01-06	VYDAJ	VYBER	21600	51959	\N	\N	\N
1151602	3938	1996-02-05	VYDAJ	VYBER	19000	56285	\N	\N	\N
1151603	3938	1996-03-06	VYDAJ	VYBER	19200	52670	\N	\N	\N
1151604	3938	1996-04-05	VYDAJ	VYBER	21000	54998	\N	\N	\N
1151605	3938	1996-05-05	VYDAJ	VYBER	24200	50248	\N	\N	\N
1151606	3938	1996-06-04	VYDAJ	VYBER	15300	49378	\N	\N	\N
1151607	3938	1996-07-04	VYDAJ	VYBER	18600	47352	\N	\N	\N
1151608	3938	1996-08-03	VYDAJ	VYBER	17100	44764	\N	\N	\N
1151609	3938	1996-09-02	VYDAJ	VYBER	16100	44857	\N	\N	\N
1151610	3938	1996-10-02	VYDAJ	VYBER	18700	45561	\N	\N	\N
1151611	3938	1996-11-01	VYDAJ	VYBER	20100	44870	\N	\N	\N
1151612	3938	1996-12-01	VYDAJ	VYBER	17900	44377	\N	\N	\N
1151613	3938	1996-12-31	VYDAJ	VYBER	24200	49127	\N	\N	\N
1151614	3938	1997-01-30	VYDAJ	VYBER	22100	44592	\N	\N	\N
1151615	3938	1997-03-01	VYDAJ	VYBER	22500	41724	\N	\N	\N
1151616	3938	1997-03-31	VYDAJ	VYBER	17800	43330	\N	\N	\N
1151617	3938	1997-04-30	VYDAJ	VYBER	21200	41502	\N	\N	\N
1151618	3938	1997-05-30	VYDAJ	VYBER	15600	40967	\N	\N	\N
1151619	3938	1997-06-29	VYDAJ	VYBER	16700	37560	\N	\N	\N
1151620	3938	1997-07-29	VYDAJ	VYBER	11600	45313	\N	\N	\N
1151621	3938	1997-08-28	VYDAJ	VYBER	17400	47275	\N	\N	\N
1151622	3938	1997-09-27	VYDAJ	VYBER	17200	47164	\N	\N	\N
1151623	3938	1997-10-27	VYDAJ	VYBER	19100	45260	\N	\N	\N
1151624	3938	1997-11-26	VYDAJ	VYBER	16600	44647	\N	\N	\N
1151625	3938	1997-12-26	VYDAJ	VYBER	19900	53337	\N	\N	\N
1151626	3938	1998-01-25	VYDAJ	VYBER	20900	44747	\N	\N	\N
1151627	3938	1998-02-24	VYDAJ	VYBER	16100	48036	\N	\N	\N
1151628	3938	1998-03-26	VYDAJ	VYBER	17600	48318	\N	\N	\N
1151629	3938	1998-04-25	VYDAJ	VYBER	21500	46208	\N	\N	\N
1151630	3938	1998-05-25	VYDAJ	VYBER	18700	43700	\N	\N	\N
1151631	3938	1998-06-24	VYDAJ	VYBER	21400	49796	\N	\N	\N
1151632	3938	1998-07-24	VYDAJ	VYBER	17300	47785	\N	\N	\N
1151633	3938	1998-08-23	VYDAJ	VYBER	20300	46865	\N	\N	\N
1151634	3938	1998-09-22	VYDAJ	VYBER	15400	50048	\N	\N	\N
1151635	3938	1998-10-22	VYDAJ	VYBER	19400	50027	\N	\N	\N
1151636	3938	1998-11-21	VYDAJ	VYBER	23800	45617	\N	\N	\N
1151698	3939	1993-07-08	PRIJEM	VKLAD	600	600	\N	\N	\N
1151706	3939	1993-08-07	PRIJEM	VKLAD	7766	15466	\N	\N	\N
1151707	3939	1993-09-07	PRIJEM	VKLAD	7766	25758	\N	\N	\N
1151708	3939	1993-10-07	PRIJEM	VKLAD	7766	30316	\N	\N	\N
1151709	3939	1993-11-07	PRIJEM	VKLAD	7766	36805	\N	\N	\N
1151710	3939	1993-12-07	PRIJEM	VKLAD	11649	42502	\N	\N	\N
1151711	3939	1994-01-07	PRIJEM	VKLAD	7766	30532	\N	\N	\N
1151712	3939	1994-02-07	PRIJEM	VKLAD	7766	31415	\N	\N	\N
1151713	3939	1994-03-07	PRIJEM	VKLAD	7766	34296	\N	\N	\N
1151714	3939	1994-04-07	PRIJEM	VKLAD	7766	32993	\N	\N	\N
1151715	3939	1994-05-07	PRIJEM	VKLAD	7766	37088	\N	\N	\N
1151716	3939	1994-06-07	PRIJEM	VKLAD	11649	42679	\N	\N	\N
1151717	3939	1994-07-07	PRIJEM	VKLAD	7766	34109	\N	\N	\N
1151718	3939	1994-08-07	PRIJEM	VKLAD	7766	36710	\N	\N	\N
1151719	3939	1994-09-07	PRIJEM	VKLAD	7766	34013	\N	\N	\N
1151720	3939	1994-10-07	PRIJEM	VKLAD	7766	35300	\N	\N	\N
1151721	3939	1994-11-07	PRIJEM	VKLAD	7766	37799	\N	\N	\N
1151722	3939	1994-12-07	PRIJEM	VKLAD	11649	41088	\N	\N	\N
1151723	3939	1995-01-07	PRIJEM	VKLAD	7766	35310	\N	\N	\N
1151724	3939	1995-02-07	PRIJEM	VKLAD	7766	32097	\N	\N	\N
1151725	3939	1995-03-07	PRIJEM	VKLAD	7766	32381	\N	\N	\N
1151726	3939	1995-04-07	PRIJEM	VKLAD	7766	33856	\N	\N	\N
1151727	3939	1995-05-07	PRIJEM	VKLAD	7766	35745	\N	\N	\N
1151728	3939	1995-06-07	PRIJEM	VKLAD	11649	39624	\N	\N	\N
1151729	3939	1995-07-07	PRIJEM	VKLAD	7766	40531	\N	\N	\N
1151730	3939	1995-08-07	PRIJEM	VKLAD	7766	41047	\N	\N	\N
1151731	3939	1995-09-07	PRIJEM	VKLAD	7766	41163	\N	\N	\N
1151732	3939	1995-10-07	PRIJEM	VKLAD	7766	42482	\N	\N	\N
1151733	3939	1995-11-07	PRIJEM	VKLAD	7766	41504	\N	\N	\N
1151734	3939	1995-12-07	PRIJEM	VKLAD	11649	44906	\N	\N	\N
1151735	3939	1996-01-07	PRIJEM	VKLAD	7766	36428	\N	\N	\N
1151736	3939	1996-02-07	PRIJEM	VKLAD	7766	22512	\N	\N	\N
1151737	3939	1996-03-07	PRIJEM	VKLAD	7766	28366	\N	\N	\N
1151738	3939	1996-04-07	PRIJEM	VKLAD	7766	26928	\N	\N	\N
1151739	3939	1996-05-07	PRIJEM	VKLAD	7766	28587	\N	\N	\N
1151740	3939	1996-06-07	PRIJEM	VKLAD	11649	32935	\N	\N	\N
1151741	3939	1996-07-07	PRIJEM	VKLAD	7766	30608	\N	\N	\N
1151742	3939	1996-08-07	PRIJEM	VKLAD	7766	30079	\N	\N	\N
1151743	3939	1996-09-07	PRIJEM	VKLAD	7766	30149	\N	\N	\N
1151744	3939	1996-10-07	PRIJEM	VKLAD	7766	32929	\N	\N	\N
1151745	3939	1996-11-07	PRIJEM	VKLAD	7766	31504	\N	\N	\N
1151746	3939	1996-12-07	PRIJEM	VKLAD	11649	39568	\N	\N	\N
1151747	3939	1997-01-07	PRIJEM	VKLAD	7766	28866	\N	\N	\N
1151748	3939	1997-02-07	PRIJEM	VKLAD	7766	29449	\N	\N	\N
1151749	3939	1997-03-07	PRIJEM	VKLAD	7766	38740	\N	\N	\N
1151750	3939	1997-04-07	PRIJEM	VKLAD	7766	35138	\N	\N	\N
1151751	3939	1997-05-07	PRIJEM	VKLAD	7766	35130	\N	\N	\N
1151752	3939	1997-06-07	PRIJEM	VKLAD	11649	38107	\N	\N	\N
1151753	3939	1997-07-07	PRIJEM	VKLAD	7766	35497	\N	\N	\N
1151754	3939	1997-08-07	PRIJEM	VKLAD	7766	32683	\N	\N	\N
1151755	3939	1997-09-07	PRIJEM	VKLAD	7766	35071	\N	\N	\N
1151756	3939	1997-10-07	PRIJEM	VKLAD	7766	39668	\N	\N	\N
1151757	3939	1997-11-07	PRIJEM	VKLAD	7766	41679	\N	\N	\N
1151758	3939	1997-12-07	PRIJEM	VKLAD	11649	45876	\N	\N	\N
1151759	3939	1998-01-07	PRIJEM	VKLAD	7766	35385	\N	\N	\N
1151760	3939	1998-02-07	PRIJEM	VKLAD	7766	31471	\N	\N	\N
1151761	3939	1998-03-07	PRIJEM	VKLAD	7766	33660	\N	\N	\N
1151762	3939	1998-04-07	PRIJEM	VKLAD	7766	30231	\N	\N	\N
1151763	3939	1998-05-07	PRIJEM	VKLAD	7766	32905	\N	\N	\N
1151764	3939	1998-06-07	PRIJEM	VKLAD	11649	41077	\N	\N	\N
1151765	3939	1998-07-07	PRIJEM	VKLAD	7766	34582	\N	\N	\N
1151766	3939	1998-08-07	PRIJEM	VKLAD	7766	34673	\N	\N	\N
1151767	3939	1998-09-07	PRIJEM	VKLAD	7766	29048	\N	\N	\N
1151768	3939	1998-10-07	PRIJEM	VKLAD	7766	31522	\N	\N	\N
1151769	3939	1998-11-07	PRIJEM	VKLAD	7766	33198	\N	\N	\N
1151770	3939	1998-12-07	PRIJEM	VKLAD	11649	37260	\N	\N	\N
1151782	3939	1993-12-12	VYDAJ	PREVOD NA UCET	5177	37325	SIPO	MN	57331061
1151783	3939	1994-01-12	VYDAJ	PREVOD NA UCET	5177	25355	SIPO	MN	57331061
1151784	3939	1994-02-12	VYDAJ	PREVOD NA UCET	5177	26238	SIPO	MN	57331061
1151785	3939	1994-03-12	VYDAJ	PREVOD NA UCET	5177	29119	SIPO	MN	57331061
1151786	3939	1994-04-12	VYDAJ	PREVOD NA UCET	5177	27816	SIPO	MN	57331061
1151787	3939	1994-05-12	VYDAJ	PREVOD NA UCET	5177	31911	SIPO	MN	57331061
1151788	3939	1994-06-12	VYDAJ	PREVOD NA UCET	5177	37502	SIPO	MN	57331061
1151789	3939	1994-07-12	VYDAJ	PREVOD NA UCET	5177	28932	SIPO	MN	57331061
1151790	3939	1994-08-12	VYDAJ	PREVOD NA UCET	5177	31533	SIPO	MN	57331061
1151791	3939	1994-09-12	VYDAJ	PREVOD NA UCET	5177	28836	SIPO	MN	57331061
1151792	3939	1994-10-12	VYDAJ	PREVOD NA UCET	5177	30123	SIPO	MN	57331061
1151793	3939	1994-11-12	VYDAJ	PREVOD NA UCET	5177	32622	SIPO	MN	57331061
1151794	3939	1994-12-12	VYDAJ	PREVOD NA UCET	5177	35911	SIPO	MN	57331061
1151795	3939	1995-01-12	VYDAJ	PREVOD NA UCET	5177	27033	SIPO	MN	57331061
1151796	3939	1995-02-12	VYDAJ	PREVOD NA UCET	5177	25620	SIPO	MN	57331061
1151797	3939	1995-03-12	VYDAJ	PREVOD NA UCET	5177	23504	SIPO	MN	57331061
1151798	3939	1995-04-12	VYDAJ	PREVOD NA UCET	5177	28679	SIPO	MN	57331061
1151799	3939	1995-05-12	VYDAJ	PREVOD NA UCET	5177	30568	SIPO	MN	57331061
1151800	3939	1995-06-12	VYDAJ	PREVOD NA UCET	5177	34447	SIPO	MN	57331061
1151801	3939	1995-07-12	VYDAJ	PREVOD NA UCET	5177	35354	SIPO	MN	57331061
1151802	3939	1995-08-12	VYDAJ	PREVOD NA UCET	5177	35870	SIPO	MN	57331061
1151803	3939	1995-09-12	VYDAJ	PREVOD NA UCET	5177	35986	SIPO	MN	57331061
1151804	3939	1995-10-12	VYDAJ	PREVOD NA UCET	5177	37305	SIPO	MN	57331061
1151805	3939	1995-11-12	VYDAJ	PREVOD NA UCET	5177	36327	SIPO	MN	57331061
1151806	3939	1995-12-12	VYDAJ	PREVOD NA UCET	5177	39729	SIPO	MN	57331061
1151807	3939	1996-01-12	VYDAJ	PREVOD NA UCET	5177	31251	SIPO	MN	57331061
1151808	3939	1996-02-12	VYDAJ	PREVOD NA UCET	5177	17335	SIPO	MN	57331061
1151809	3939	1996-03-12	VYDAJ	PREVOD NA UCET	5177	23189	SIPO	MN	57331061
1151810	3939	1996-04-12	VYDAJ	PREVOD NA UCET	5177	21751	SIPO	MN	57331061
1151811	3939	1996-05-12	VYDAJ	PREVOD NA UCET	5177	23410	SIPO	MN	57331061
1151812	3939	1996-06-12	VYDAJ	PREVOD NA UCET	5177	27758	SIPO	MN	57331061
1151813	3939	1996-07-12	VYDAJ	PREVOD NA UCET	5177	25431	SIPO	MN	57331061
1151814	3939	1996-08-12	VYDAJ	PREVOD NA UCET	5177	24902	SIPO	MN	57331061
1151815	3939	1996-09-12	VYDAJ	PREVOD NA UCET	5177	24972	SIPO	MN	57331061
1151816	3939	1996-10-12	VYDAJ	PREVOD NA UCET	5177	22152	SIPO	MN	57331061
1151817	3939	1996-11-12	VYDAJ	PREVOD NA UCET	5177	26327	SIPO	MN	57331061
1151818	3939	1996-12-12	VYDAJ	PREVOD NA UCET	5177	34391	SIPO	MN	57331061
1151819	3939	1997-01-12	VYDAJ	PREVOD NA UCET	5177	22589	SIPO	MN	57331061
1151820	3939	1997-02-12	VYDAJ	PREVOD NA UCET	5177	24272	SIPO	MN	57331061
1151821	3939	1997-03-12	VYDAJ	PREVOD NA UCET	5177	33563	SIPO	MN	57331061
1151822	3939	1997-04-12	VYDAJ	PREVOD NA UCET	5177	29961	SIPO	MN	57331061
1151823	3939	1997-05-12	VYDAJ	PREVOD NA UCET	5177	29953	SIPO	MN	57331061
1151824	3939	1997-06-12	VYDAJ	PREVOD NA UCET	5177	32930	SIPO	MN	57331061
1151825	3939	1997-07-12	VYDAJ	PREVOD NA UCET	5177	30320	SIPO	MN	57331061
1151826	3939	1997-08-12	VYDAJ	PREVOD NA UCET	5177	27506	SIPO	MN	57331061
1151827	3939	1997-09-12	VYDAJ	PREVOD NA UCET	5177	29894	SIPO	MN	57331061
1151828	3939	1997-10-12	VYDAJ	PREVOD NA UCET	5177	34491	SIPO	MN	57331061
1151829	3939	1997-11-12	VYDAJ	PREVOD NA UCET	5177	36502	SIPO	MN	57331061
1151830	3939	1997-12-12	VYDAJ	PREVOD NA UCET	5177	37499	SIPO	MN	57331061
1151831	3939	1998-01-12	VYDAJ	PREVOD NA UCET	5177	27408	SIPO	MN	57331061
1151832	3939	1998-02-12	VYDAJ	PREVOD NA UCET	5177	25794	SIPO	MN	57331061
1151833	3939	1998-03-12	VYDAJ	PREVOD NA UCET	5177	28483	SIPO	MN	57331061
1151834	3939	1998-04-12	VYDAJ	PREVOD NA UCET	5177	25054	SIPO	MN	57331061
1151835	3939	1998-05-12	VYDAJ	PREVOD NA UCET	5177	27728	SIPO	MN	57331061
1151836	3939	1998-06-12	VYDAJ	PREVOD NA UCET	5177	31500	SIPO	MN	57331061
1151837	3939	1998-07-12	VYDAJ	PREVOD NA UCET	5177	26805	SIPO	MN	57331061
1151838	3939	1998-08-12	VYDAJ	PREVOD NA UCET	5177	23796	SIPO	MN	57331061
1151839	3939	1998-09-12	VYDAJ	PREVOD NA UCET	5177	23671	SIPO	MN	57331061
1151840	3939	1998-10-12	VYDAJ	PREVOD NA UCET	5177	25345	SIPO	MN	57331061
1151841	3939	1998-11-12	VYDAJ	PREVOD NA UCET	5177	25521	SIPO	MN	57331061
1151842	3939	1998-12-12	VYDAJ	PREVOD NA UCET	5177	28783	SIPO	MN	57331061
1151843	3939	1993-12-26	VYDAJ	VYBER	2100	35225	\N	\N	\N
1151844	3939	1994-12-04	VYDAJ	VYBER	1500	29439	\N	\N	\N
1151845	3939	1995-12-25	VYDAJ	VYBER	2300	35129	\N	\N	\N
1151846	3939	1996-12-16	VYDAJ	VYBER	1100	33291	\N	\N	\N
1151847	3939	1997-12-23	VYDAJ	VYBER	500	30199	\N	\N	\N
1151848	3939	1998-12-21	VYDAJ	VYBER	1000	27783	\N	\N	\N
1151855	3939	1994-01-26	VYDAJ	VYBER	1800	23555	\N	\N	\N
1151856	3939	1994-01-27	VYDAJ	VYBER	2600	20955	\N	\N	\N
1151857	3939	1994-01-06	VYDAJ	VYBER	2200	22766	\N	\N	\N
1151858	3939	1994-01-30	VYDAJ	VYBER	2300	18655	\N	\N	\N
1151859	3939	1994-01-05	VYDAJ	VYBER	1900	25666	\N	\N	\N
1151860	3939	1994-01-06	VYDAJ	VYBER	700	24966	\N	\N	\N
1151861	3939	1995-01-07	VYDAJ	VYBER	1300	34010	\N	\N	\N
1151862	3939	1995-01-29	VYDAJ	VYBER	1100	24233	\N	\N	\N
1151863	3939	1995-01-11	VYDAJ	VYBER	1800	32210	\N	\N	\N
1151864	3939	1995-01-03	VYDAJ	VYBER	2300	29044	\N	\N	\N
1151865	3939	1995-01-15	VYDAJ	VYBER	2600	24433	\N	\N	\N
1151866	3939	1995-01-04	VYDAJ	VYBER	1500	27544	\N	\N	\N
1151867	3939	1996-01-26	VYDAJ	VYBER	2400	21751	\N	\N	\N
1151868	3939	1996-01-27	VYDAJ	VYBER	800	20951	\N	\N	\N
1151869	3939	1996-01-24	VYDAJ	VYBER	2500	24951	\N	\N	\N
1151870	3939	1996-01-17	VYDAJ	VYBER	1200	27451	\N	\N	\N
1151871	3939	1996-01-27	VYDAJ	VYBER	2300	18651	\N	\N	\N
1151872	3939	1996-01-16	VYDAJ	VYBER	2600	28651	\N	\N	\N
1151873	3939	1997-01-04	VYDAJ	VYBER	700	25500	\N	\N	\N
1151874	3939	1997-01-03	VYDAJ	VYBER	1700	26200	\N	\N	\N
1151875	3939	1997-01-10	VYDAJ	VYBER	1100	27766	\N	\N	\N
1151876	3939	1997-01-28	VYDAJ	VYBER	600	27089	\N	\N	\N
1151877	3939	1997-01-04	VYDAJ	VYBER	1100	24400	\N	\N	\N
1151878	3939	1997-01-29	VYDAJ	VYBER	1500	25589	\N	\N	\N
1151879	3939	1998-01-25	VYDAJ	VYBER	1200	23608	\N	\N	\N
1151880	3939	1998-01-18	VYDAJ	VYBER	800	27008	\N	\N	\N
1151881	3939	1998-01-22	VYDAJ	VYBER	1000	24808	\N	\N	\N
1151882	3939	1998-01-04	VYDAJ	VYBER	2700	27619	\N	\N	\N
1151883	3939	1998-01-18	VYDAJ	VYBER	1200	25808	\N	\N	\N
1151884	3939	1998-01-07	VYDAJ	VYBER	2800	32585	\N	\N	\N
1151885	3939	1993-12-28	VYDAJ	VYBER	3400	31825	\N	\N	\N
1151887	3939	1994-07-04	VYDAJ	VYBER	4000	26343	\N	\N	\N
1151888	3939	1994-09-13	VYDAJ	VYBER	4100	24736	\N	\N	\N
1151889	3939	1994-08-26	VYDAJ	VYBER	4700	26833	\N	\N	\N
1151890	3939	1995-12-15	VYDAJ	VYBER	2300	37429	\N	\N	\N
1151891	3939	1995-03-11	VYDAJ	VYBER	3700	28681	\N	\N	\N
1151892	3939	1995-08-15	VYDAJ	VYBER	1000	34870	\N	\N	\N
1151893	3939	1995-02-07	VYDAJ	VYBER	1300	30797	\N	\N	\N
1151894	3939	1995-08-16	VYDAJ	VYBER	500	34370	\N	\N	\N
1151895	3939	1995-11-30	VYDAJ	VYBER	700	33272	\N	\N	\N
1151896	3939	1995-05-26	VYDAJ	VYBER	1900	28668	\N	\N	\N
1151897	3939	1996-09-06	VYDAJ	VYBER	1900	22383	\N	\N	\N
1151898	3939	1996-10-11	VYDAJ	VYBER	1600	27329	\N	\N	\N
1151899	3939	1996-08-12	VYDAJ	VYBER	1700	23202	\N	\N	\N
1151900	3939	1996-02-01	VYDAJ	VYBER	4000	14746	\N	\N	\N
1151901	3939	1996-12-26	VYDAJ	VYBER	3500	27791	\N	\N	\N
1151902	3939	1996-10-08	VYDAJ	VYBER	4000	28929	\N	\N	\N
1151903	3939	1997-01-04	VYDAJ	VYBER	3300	21100	\N	\N	\N
1151904	3939	1997-03-20	VYDAJ	VYBER	4400	27263	\N	\N	\N
1151905	3939	1997-04-26	VYDAJ	VYBER	700	28861	\N	\N	\N
1151906	3939	1997-05-21	VYDAJ	VYBER	1700	26353	\N	\N	\N
1151907	3939	1997-12-10	VYDAJ	VYBER	3200	42676	\N	\N	\N
1151908	3939	1997-02-05	VYDAJ	VYBER	4000	21683	\N	\N	\N
1151909	3939	1997-05-06	VYDAJ	VYBER	1600	27364	\N	\N	\N
1151910	3939	1997-08-06	VYDAJ	VYBER	1100	24917	\N	\N	\N
1151911	3939	1998-06-02	VYDAJ	VYBER	600	29428	\N	\N	\N
1151912	3939	1998-07-05	VYDAJ	VYBER	3800	26816	\N	\N	\N
1151913	3939	1998-06-14	VYDAJ	VYBER	1000	30500	\N	\N	\N
1151914	3939	1998-04-19	VYDAJ	VYBER	1800	25054	\N	\N	\N
1151915	3939	1998-09-06	VYDAJ	VYBER	2600	21282	\N	\N	\N
1151928	3939	1993-12-31	VYDAJ	VYBER	15	31966	SLUZBY	\N	\N
1151929	3939	1994-01-31	VYDAJ	VYBER	15	18749	SLUZBY	\N	\N
1151930	3939	1994-02-28	VYDAJ	VYBER	15	26330	SLUZBY	\N	\N
1151931	3939	1994-03-31	VYDAJ	VYBER	15	29227	SLUZBY	\N	\N
1151932	3939	1994-04-30	VYDAJ	VYBER	15	27922	SLUZBY	\N	\N
1151933	3939	1994-05-31	VYDAJ	VYBER	15	32030	SLUZBY	\N	\N
1151934	3939	1994-06-30	VYDAJ	VYBER	15	37643	SLUZBY	\N	\N
1151935	3939	1994-07-31	VYDAJ	VYBER	15	29044	SLUZBY	\N	\N
1151936	3939	1994-08-31	VYDAJ	VYBER	15	26947	SLUZBY	\N	\N
1151937	3939	1994-09-30	VYDAJ	VYBER	15	24834	SLUZBY	\N	\N
1151938	3939	1994-10-31	VYDAJ	VYBER	15	30233	SLUZBY	\N	\N
1151939	3939	1994-11-30	VYDAJ	VYBER	15	30939	SLUZBY	\N	\N
1151940	3939	1994-12-31	VYDAJ	VYBER	15	31344	SLUZBY	\N	\N
1151941	3939	1995-01-31	VYDAJ	VYBER	15	24331	SLUZBY	\N	\N
1151942	3939	1995-02-28	VYDAJ	VYBER	15	24615	SLUZBY	\N	\N
1151943	3939	1995-03-31	VYDAJ	VYBER	15	26090	SLUZBY	\N	\N
1151944	3939	1995-04-30	VYDAJ	VYBER	15	27979	SLUZBY	\N	\N
1151945	3939	1995-05-31	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
1151946	3939	1995-06-30	VYDAJ	VYBER	15	32765	SLUZBY	\N	\N
1151947	3939	1995-07-31	VYDAJ	VYBER	15	33281	SLUZBY	\N	\N
1151948	3939	1995-08-31	VYDAJ	VYBER	15	33397	SLUZBY	\N	\N
1151949	3939	1995-09-30	VYDAJ	VYBER	15	34716	SLUZBY	\N	\N
1151950	3939	1995-10-31	VYDAJ	VYBER	15	33738	SLUZBY	\N	\N
1151951	3939	1995-11-30	VYDAJ	VYBER	15	33257	SLUZBY	\N	\N
1151952	3939	1995-12-31	VYDAJ	VYBER	15	28662	SLUZBY	\N	\N
1151953	3939	1996-01-31	VYDAJ	VYBER	15	18746	SLUZBY	\N	\N
1151954	3939	1996-02-29	VYDAJ	VYBER	15	20600	SLUZBY	\N	\N
1151955	3939	1996-03-31	VYDAJ	VYBER	15	19162	SLUZBY	\N	\N
1151956	3939	1996-04-30	VYDAJ	VYBER	15	20821	SLUZBY	\N	\N
1151957	3939	1996-05-31	VYDAJ	VYBER	15	21286	SLUZBY	\N	\N
1151958	3939	1996-06-30	VYDAJ	VYBER	15	22842	SLUZBY	\N	\N
1151959	3939	1996-07-31	VYDAJ	VYBER	15	22313	SLUZBY	\N	\N
1151960	3939	1996-08-31	VYDAJ	VYBER	15	24283	SLUZBY	\N	\N
1151961	3939	1996-09-30	VYDAJ	VYBER	15	25163	SLUZBY	\N	\N
1151962	3939	1996-10-31	VYDAJ	VYBER	15	23738	SLUZBY	\N	\N
1151963	3939	1996-11-30	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
1151964	3939	1996-12-31	VYDAJ	VYBER	15	27900	SLUZBY	\N	\N
1151965	3939	1997-01-31	VYDAJ	VYBER	15	25683	SLUZBY	\N	\N
1151966	3939	1997-02-28	VYDAJ	VYBER	15	30974	SLUZBY	\N	\N
1151967	3939	1997-03-31	VYDAJ	VYBER	15	27372	SLUZBY	\N	\N
1151968	3939	1997-04-30	VYDAJ	VYBER	15	28964	SLUZBY	\N	\N
1151969	3939	1997-05-31	VYDAJ	VYBER	15	26458	SLUZBY	\N	\N
1151970	3939	1997-06-30	VYDAJ	VYBER	15	27731	SLUZBY	\N	\N
1151971	3939	1997-07-31	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
1151972	3939	1997-08-31	VYDAJ	VYBER	15	27305	SLUZBY	\N	\N
1151973	3939	1997-09-30	VYDAJ	VYBER	15	31902	SLUZBY	\N	\N
1151974	3939	1997-10-31	VYDAJ	VYBER	15	33913	SLUZBY	\N	\N
1151975	3939	1997-11-30	VYDAJ	VYBER	15	34227	SLUZBY	\N	\N
1151976	3939	1997-12-31	VYDAJ	VYBER	15	30319	SLUZBY	\N	\N
1151977	3939	1998-01-31	VYDAJ	VYBER	15	23705	SLUZBY	\N	\N
1151978	3939	1998-02-28	VYDAJ	VYBER	15	25894	SLUZBY	\N	\N
1151979	3939	1998-03-31	VYDAJ	VYBER	15	22465	SLUZBY	\N	\N
1151980	3939	1998-04-30	VYDAJ	VYBER	15	25139	SLUZBY	\N	\N
1151981	3939	1998-05-31	VYDAJ	VYBER	15	30028	SLUZBY	\N	\N
1151982	3939	1998-06-30	VYDAJ	VYBER	15	30616	SLUZBY	\N	\N
1151983	3939	1998-07-31	VYDAJ	VYBER	15	26907	SLUZBY	\N	\N
1151984	3939	1998-08-31	VYDAJ	VYBER	15	23882	SLUZBY	\N	\N
1151985	3939	1998-09-30	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
1151986	3939	1998-10-31	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
1151987	3939	1998-11-30	VYDAJ	VYBER	15	25611	SLUZBY	\N	\N
1151988	3939	1993-08-07	PRIJEM	VKLAD	7100	7700	\N	\N	\N
1151989	3939	1993-09-06	PRIJEM	VKLAD	2500	17992	\N	\N	\N
1151990	3939	1993-10-06	VYDAJ	VYBER	3300	22550	\N	\N	\N
1151991	3939	1993-11-05	VYDAJ	VYBER	1400	29039	\N	\N	\N
1151992	3939	1993-12-05	VYDAJ	VYBER	6100	30853	\N	\N	\N
1151993	3939	1994-01-04	VYDAJ	VYBER	4400	27566	\N	\N	\N
1151994	3939	1994-02-03	PRIJEM	VKLAD	4900	23649	\N	\N	\N
1151995	3939	1994-03-05	PRIJEM	VKLAD	200	26530	\N	\N	\N
1151996	3939	1994-04-04	VYDAJ	VYBER	4000	25227	\N	\N	\N
1151997	3939	1994-05-04	PRIJEM	VKLAD	1400	29322	\N	\N	\N
1151998	3939	1994-06-03	VYDAJ	VYBER	1000	31030	\N	\N	\N
1151999	3939	1994-07-03	VYDAJ	VYBER	7300	30343	\N	\N	\N
1152000	3939	1994-08-02	VYDAJ	VYBER	100	28944	\N	\N	\N
1152001	3939	1994-09-01	VYDAJ	VYBER	700	26247	\N	\N	\N
1152002	3939	1994-10-01	PRIJEM	VKLAD	2700	27534	\N	\N	\N
1152003	3939	1994-10-31	VYDAJ	VYBER	200	30033	\N	\N	\N
1152004	3939	1994-11-30	VYDAJ	VYBER	1800	30953	\N	\N	\N
1152005	3939	1994-12-30	VYDAJ	VYBER	4700	31211	\N	\N	\N
1152006	3939	1995-01-29	PRIJEM	VKLAD	900	25333	\N	\N	\N
1152007	3939	1995-02-28	VYDAJ	VYBER	1100	24629	\N	\N	\N
1152008	3939	1995-03-30	PRIJEM	VKLAD	2500	26004	\N	\N	\N
1152009	3939	1995-04-29	VYDAJ	VYBER	800	27879	\N	\N	\N
1152010	3939	1995-05-29	VYDAJ	VYBER	800	27868	\N	\N	\N
1152011	3939	1995-06-28	VYDAJ	VYBER	1800	32647	\N	\N	\N
1152012	3939	1995-07-28	VYDAJ	VYBER	2200	33154	\N	\N	\N
1152013	3939	1995-08-27	VYDAJ	VYBER	1100	33270	\N	\N	\N
1152014	3939	1995-09-26	VYDAJ	VYBER	1400	34586	\N	\N	\N
1152015	3939	1995-10-26	VYDAJ	VYBER	3700	33605	\N	\N	\N
1152016	3939	1995-11-25	VYDAJ	VYBER	2500	33827	\N	\N	\N
1152017	3939	1995-12-25	VYDAJ	VYBER	6600	28529	\N	\N	\N
1152018	3939	1996-01-24	VYDAJ	VYBER	800	24151	\N	\N	\N
1152019	3939	1996-02-23	PRIJEM	VKLAD	3200	20535	\N	\N	\N
1152020	3939	1996-03-24	VYDAJ	VYBER	4100	19089	\N	\N	\N
1152021	3939	1996-04-23	VYDAJ	VYBER	1000	20751	\N	\N	\N
1152022	3939	1996-05-23	VYDAJ	VYBER	2200	21210	\N	\N	\N
1152023	3939	1996-06-22	VYDAJ	VYBER	5000	22758	\N	\N	\N
1152024	3939	1996-07-22	VYDAJ	VYBER	3200	22231	\N	\N	\N
1152025	3939	1996-08-21	PRIJEM	VKLAD	1000	24202	\N	\N	\N
1152026	3939	1996-09-20	PRIJEM	VKLAD	100	25072	\N	\N	\N
1152027	3939	1996-10-20	PRIJEM	VKLAD	1500	23652	\N	\N	\N
1152028	3939	1996-11-19	PRIJEM	VKLAD	1500	27827	\N	\N	\N
1152029	3939	1996-12-19	VYDAJ	VYBER	2000	31291	\N	\N	\N
1152030	3939	1997-01-18	PRIJEM	VKLAD	5100	27689	\N	\N	\N
1152031	3939	1997-02-17	PRIJEM	VKLAD	6600	30872	\N	\N	\N
1152032	3939	1997-03-19	VYDAJ	VYBER	1900	31663	\N	\N	\N
1152033	3939	1997-04-18	VYDAJ	VYBER	400	29561	\N	\N	\N
1152034	3939	1997-05-18	VYDAJ	VYBER	1900	28053	\N	\N	\N
1152035	3939	1997-06-17	VYDAJ	VYBER	5300	27630	\N	\N	\N
1152036	3939	1997-07-17	VYDAJ	VYBER	4400	25920	\N	\N	\N
1152037	3939	1997-08-16	VYDAJ	VYBER	300	27206	\N	\N	\N
1152038	3939	1997-09-15	PRIJEM	VKLAD	1900	31794	\N	\N	\N
1152039	3939	1997-10-15	VYDAJ	VYBER	700	33791	\N	\N	\N
1152040	3939	1997-11-14	VYDAJ	VYBER	2400	34102	\N	\N	\N
1152041	3939	1997-12-14	VYDAJ	VYBER	6800	30699	\N	\N	\N
1152042	3939	1998-01-13	PRIJEM	VKLAD	400	27808	\N	\N	\N
1152043	3939	1998-02-12	VYDAJ	VYBER	500	30971	\N	\N	\N
1152044	3939	1998-03-14	VYDAJ	VYBER	6100	22383	\N	\N	\N
1152045	3939	1998-04-13	PRIJEM	VKLAD	1800	26854	\N	\N	\N
1152046	3939	1998-05-13	PRIJEM	VKLAD	2200	29928	\N	\N	\N
1152047	3939	1998-06-12	VYDAJ	VYBER	4400	36677	\N	\N	\N
1152048	3939	1998-07-12	VYDAJ	VYBER	2600	31982	\N	\N	\N
1152049	3939	1998-08-11	VYDAJ	VYBER	5700	28973	\N	\N	\N
1152050	3939	1998-09-10	VYDAJ	VYBER	200	28848	\N	\N	\N
1152051	3939	1998-10-10	VYDAJ	VYBER	1000	30522	\N	\N	\N
1152052	3939	1998-11-09	VYDAJ	VYBER	2500	30698	\N	\N	\N
1152053	3939	1998-12-09	VYDAJ	VYBER	3300	33960	\N	\N	\N
1152119	3940	1995-05-07	PRIJEM	VKLAD	700	700	\N	\N	\N
1152124	3940	1995-05-09	PRIJEM	PREVOD Z UCTU	17895	18595	\N	EF	72497838
1152125	3940	1995-06-09	PRIJEM	PREVOD Z UCTU	26842	46895	\N	EF	72497838
1152126	3940	1995-07-09	PRIJEM	PREVOD Z UCTU	17895	54153	\N	EF	72497838
1152127	3940	1995-08-09	PRIJEM	PREVOD Z UCTU	17895	60366	\N	EF	72497838
1152128	3940	1995-09-09	PRIJEM	PREVOD Z UCTU	17895	60906	\N	EF	72497838
1152129	3940	1995-10-09	PRIJEM	PREVOD Z UCTU	17895	51276	\N	EF	72497838
1152130	3940	1995-11-09	PRIJEM	PREVOD Z UCTU	17895	60137	\N	EF	72497838
1152131	3940	1995-12-09	PRIJEM	PREVOD Z UCTU	26842	65790	\N	EF	72497838
1152132	3940	1996-01-09	PRIJEM	PREVOD Z UCTU	17895	51408	\N	EF	72497838
1152133	3940	1996-02-09	PRIJEM	PREVOD Z UCTU	17895	39926	\N	EF	72497838
1152134	3940	1996-03-09	PRIJEM	PREVOD Z UCTU	17895	45239	\N	EF	72497838
1152135	3940	1996-04-09	PRIJEM	PREVOD Z UCTU	17895	53904	\N	EF	72497838
1152136	3940	1996-05-09	PRIJEM	PREVOD Z UCTU	17895	61078	\N	EF	72497838
1152137	3940	1996-06-09	PRIJEM	PREVOD Z UCTU	26842	76037	\N	EF	72497838
1152138	3940	1996-07-09	PRIJEM	PREVOD Z UCTU	17895	63951	\N	EF	72497838
1152139	3940	1996-08-09	PRIJEM	PREVOD Z UCTU	17895	52107	\N	EF	72497838
1152140	3940	1996-09-09	PRIJEM	PREVOD Z UCTU	17895	48451	\N	EF	72497838
1152141	3940	1996-10-09	PRIJEM	PREVOD Z UCTU	17895	60547	\N	EF	72497838
1152142	3940	1996-11-09	PRIJEM	PREVOD Z UCTU	17895	45622	\N	EF	72497838
1152143	3940	1996-12-09	PRIJEM	PREVOD Z UCTU	26842	66909	\N	EF	72497838
1152144	3940	1997-01-09	PRIJEM	PREVOD Z UCTU	17895	53195	\N	EF	72497838
1152145	3940	1997-02-09	PRIJEM	PREVOD Z UCTU	17895	44586	\N	EF	72497838
1152146	3940	1997-03-09	PRIJEM	PREVOD Z UCTU	17895	55768	\N	EF	72497838
1152147	3940	1997-04-09	PRIJEM	PREVOD Z UCTU	17895	56890	\N	EF	72497838
1152148	3940	1997-05-09	PRIJEM	PREVOD Z UCTU	17895	61036	\N	EF	72497838
1152149	3940	1997-06-09	PRIJEM	PREVOD Z UCTU	26842	71427	\N	EF	72497838
1152150	3940	1997-07-09	PRIJEM	PREVOD Z UCTU	17895	67881	\N	EF	72497838
1152151	3940	1997-08-09	PRIJEM	PREVOD Z UCTU	17895	62170	\N	EF	72497838
1152152	3940	1997-09-09	PRIJEM	PREVOD Z UCTU	17895	63319	\N	EF	72497838
1152153	3940	1997-10-09	PRIJEM	PREVOD Z UCTU	17895	57307	\N	EF	72497838
1152154	3940	1997-11-09	PRIJEM	PREVOD Z UCTU	17895	54137	\N	EF	72497838
1152155	3940	1997-12-09	PRIJEM	PREVOD Z UCTU	26842	57229	\N	EF	72497838
1152156	3940	1998-01-09	PRIJEM	PREVOD Z UCTU	17895	44107	\N	EF	72497838
1152157	3940	1998-02-09	PRIJEM	PREVOD Z UCTU	17895	42705	\N	EF	72497838
1152158	3940	1998-03-09	PRIJEM	PREVOD Z UCTU	17895	51183	\N	EF	72497838
1152159	3940	1998-04-09	PRIJEM	PREVOD Z UCTU	17895	42984	\N	EF	72497838
1152160	3940	1998-05-09	PRIJEM	PREVOD Z UCTU	17895	43061	\N	EF	72497838
1152161	3940	1998-06-09	PRIJEM	PREVOD Z UCTU	26842	57319	\N	EF	72497838
1152162	3940	1998-07-09	PRIJEM	PREVOD Z UCTU	17895	44742	\N	EF	72497838
1152163	3940	1998-08-09	PRIJEM	PREVOD Z UCTU	17895	43850	\N	EF	72497838
1152164	3940	1998-09-09	PRIJEM	PREVOD Z UCTU	17895	44725	\N	EF	72497838
1152165	3940	1998-10-09	PRIJEM	PREVOD Z UCTU	17895	43296	\N	EF	72497838
1152166	3940	1998-11-09	PRIJEM	PREVOD Z UCTU	17895	40229	\N	EF	72497838
1152167	3940	1998-12-09	PRIJEM	PREVOD Z UCTU	26842	53940	\N	EF	72497838
1152170	3940	1995-12-12	VYBER	VYBER	21854	43936	\N	\N	\N
1152173	3940	1996-07-16	VYBER	VYBER	16667	47284	\N	\N	\N
1152174	3940	1996-12-29	VYBER	VYBER	2249	46560	\N	\N	\N
1152175	3940	1996-04-01	VYBER	VYBER	3375	39909	\N	\N	\N
1152176	3940	1996-08-23	VYBER	VYBER	6971	21350	\N	\N	\N
1152177	3940	1996-08-10	VYBER	VYBER	15061	37046	\N	\N	\N
1152178	3940	1996-07-17	VYBER	VYBER	18899	28385	\N	\N	\N
1152180	3940	1996-10-25	VYBER	VYBER	24161	36386	\N	\N	\N
1152181	3940	1996-03-05	VYBER	VYBER	8797	27344	\N	\N	\N
1152182	3940	1996-08-10	VYBER	VYBER	8725	28321	\N	\N	\N
1152184	3940	1997-01-19	VYBER	VYBER	18527	24168	\N	\N	\N
1152185	3940	1997-09-29	VYBER	VYBER	3199	39245	\N	\N	\N
1152186	3940	1997-11-25	VYBER	VYBER	13588	30249	\N	\N	\N
1152187	3940	1997-12-09	VYBER	VYBER	4622	52607	\N	\N	\N
1152188	3940	1997-04-29	VYBER	VYBER	2285	43005	\N	\N	\N
1152189	3940	1997-07-17	VYBER	VYBER	7889	59992	\N	\N	\N
1152191	3940	1997-09-13	VYBER	VYBER	8475	54844	\N	\N	\N
1152192	3940	1998-07-04	VYBER	VYBER	10778	26847	\N	\N	\N
1152193	3940	1998-09-11	VYBER	VYBER	2722	42003	\N	\N	\N
1152194	3940	1998-10-10	VYBER	VYBER	5942	37354	\N	\N	\N
1152199	3940	1996-06-21	VYDAJ	VYBER	18000	58037	\N	\N	\N
1152206	3940	1995-12-08	VYDAJ	VYBER	6000	38948	\N	\N	\N
1152207	3940	1996-12-30	VYDAJ	VYBER	4500	42060	\N	\N	\N
1152208	3940	1997-12-13	VYDAJ	VYBER	8100	30407	\N	\N	\N
1152209	3940	1998-12-17	VYDAJ	VYBER KARTOU	2400	51540	\N	\N	0
1152216	3940	1996-01-30	VYDAJ	VYBER	8100	21708	\N	\N	\N
1152217	3940	1996-01-05	VYDAJ	VYBER	2400	33513	\N	\N	\N
1152218	3940	1996-01-09	VYDAJ	VYBER	5400	46008	\N	\N	\N
1152219	3940	1996-01-16	VYDAJ	VYBER	6000	37308	\N	\N	\N
1152220	3940	1996-01-14	VYDAJ	VYBER	2700	43308	\N	\N	\N
1152221	3940	1996-01-25	VYDAJ	VYBER	3000	34308	\N	\N	\N
1152224	3940	1997-01-08	VYDAJ	VYBER	5100	37100	\N	\N	\N
1152225	3940	1997-01-14	VYDAJ	VYBER	8700	44495	\N	\N	\N
1152226	3940	1997-01-15	VYDAJ	VYBER KARTOU	1800	42695	\N	\N	0
1152227	3940	1997-01-08	VYDAJ	VYBER KARTOU	1800	35300	\N	\N	0
1152229	3940	1998-01-17	VYDAJ	VYBER	7500	36607	\N	\N	\N
1152230	3940	1998-01-19	VYDAJ	VYBER	6000	30607	\N	\N	\N
1152232	3940	1998-01-22	VYDAJ	VYBER KARTOU	3900	24707	\N	\N	0
1152236	3940	1995-09-14	VYDAJ	VYBER	12300	48606	\N	\N	\N
1152238	3940	1995-09-21	VYDAJ	VYBER	13800	34806	\N	\N	\N
1152239	3940	1996-01-27	VYDAJ	VYBER	4500	29808	\N	\N	\N
1152240	3940	1996-02-06	VYDAJ	VYBER	3300	22031	\N	\N	\N
1152241	3940	1996-01-01	VYDAJ	VYBER	2700	41413	\N	\N	\N
1152242	3940	1996-03-28	VYDAJ	VYBER	2100	43139	\N	\N	\N
1152243	3940	1996-11-06	VYDAJ	VYBER	8100	27727	\N	\N	\N
1152244	3940	1997-11-13	VYDAJ	VYBER KARTOU	1800	52337	\N	\N	0
1152245	3940	1997-10-16	VYDAJ	VYBER	10500	46807	\N	\N	\N
1152246	3940	1997-12-12	VYDAJ	VYBER	14100	38507	\N	\N	\N
1152247	3940	1998-07-14	VYDAJ	VYBER KARTOU	3900	40842	\N	\N	0
1152248	3940	1998-05-07	VYDAJ	VYBER	6900	25166	\N	\N	\N
1152250	3940	1998-03-30	VYDAJ	VYBER	9300	24983	\N	\N	\N
1152251	3940	1998-01-03	VYDAJ	VYBER KARTOU	3900	26212	\N	\N	0
1152252	3940	1998-09-05	VYDAJ	VYBER KARTOU	1500	26830	\N	\N	0
1152263	3940	1995-09-30	VYDAJ	VYBER	30	34981	SLUZBY	\N	\N
1152264	3940	1995-10-31	VYDAJ	VYBER	30	51442	SLUZBY	\N	\N
1152265	3940	1995-11-30	VYDAJ	VYBER	30	60348	SLUZBY	\N	\N
1152266	3940	1995-12-31	VYDAJ	VYBER	30	44113	SLUZBY	\N	\N
1152267	3940	1996-01-31	VYDAJ	VYBER	30	21831	SLUZBY	\N	\N
1152268	3940	1996-02-29	VYDAJ	VYBER	30	40041	SLUZBY	\N	\N
1152269	3940	1996-03-31	VYDAJ	VYBER	30	43284	SLUZBY	\N	\N
1152270	3940	1996-04-30	VYDAJ	VYBER	30	54083	SLUZBY	\N	\N
1152271	3940	1996-05-31	VYDAJ	VYBER	30	61295	SLUZBY	\N	\N
1152272	3940	1996-06-30	VYDAJ	VYBER	30	58256	SLUZBY	\N	\N
1152273	3940	1996-07-31	VYDAJ	VYBER	30	34212	SLUZBY	\N	\N
1152274	3940	1996-08-31	VYDAJ	VYBER	30	30556	SLUZBY	\N	\N
1152275	3940	1996-09-30	VYDAJ	VYBER	30	42652	SLUZBY	\N	\N
1152276	3940	1996-10-31	VYDAJ	VYBER	30	35827	SLUZBY	\N	\N
1152277	3940	1996-11-30	VYDAJ	VYBER	30	40067	SLUZBY	\N	\N
1152278	3940	1996-12-31	VYDAJ	VYBER	30	42200	SLUZBY	\N	\N
1152279	3940	1997-01-31	VYDAJ	VYBER	30	26691	SLUZBY	\N	\N
1152280	3940	1997-02-28	VYDAJ	VYBER	30	37873	SLUZBY	\N	\N
1152281	3940	1997-03-31	VYDAJ	VYBER	30	38995	SLUZBY	\N	\N
1152282	3940	1997-04-30	VYDAJ	VYBER	30	43141	SLUZBY	\N	\N
1152283	3940	1997-05-31	VYDAJ	VYBER	30	44585	SLUZBY	\N	\N
1152284	3940	1997-06-30	VYDAJ	VYBER	30	49986	SLUZBY	\N	\N
1152285	3940	1997-07-31	VYDAJ	VYBER	30	44275	SLUZBY	\N	\N
1152286	3940	1997-08-31	VYDAJ	VYBER	30	45424	SLUZBY	\N	\N
1152287	3940	1997-09-30	VYDAJ	VYBER	30	39412	SLUZBY	\N	\N
1152288	3940	1997-10-31	VYDAJ	VYBER	30	36242	SLUZBY	\N	\N
1152289	3940	1997-11-30	VYDAJ	VYBER	30	30387	SLUZBY	\N	\N
1152290	3940	1997-12-31	VYDAJ	VYBER	30	30112	SLUZBY	\N	\N
1152291	3940	1998-01-31	VYDAJ	VYBER	30	24810	SLUZBY	\N	\N
1152292	3940	1998-02-28	VYDAJ	VYBER	30	33288	SLUZBY	\N	\N
1152293	3940	1998-03-31	VYDAJ	VYBER	30	25089	SLUZBY	\N	\N
1152294	3940	1998-04-30	VYDAJ	VYBER	30	32066	SLUZBY	\N	\N
1152295	3940	1998-05-31	VYDAJ	VYBER	30	30477	SLUZBY	\N	\N
1152296	3940	1998-06-30	VYDAJ	VYBER	30	37625	SLUZBY	\N	\N
1152297	3940	1998-07-31	VYDAJ	VYBER	30	25955	SLUZBY	\N	\N
1152298	3940	1998-08-31	VYDAJ	VYBER	30	28330	SLUZBY	\N	\N
1152299	3940	1998-09-30	VYDAJ	VYBER	30	25401	SLUZBY	\N	\N
1152300	3940	1998-10-31	VYDAJ	VYBER	30	22334	SLUZBY	\N	\N
1152301	3940	1998-11-30	VYDAJ	VYBER	30	27098	SLUZBY	\N	\N
1152302	3940	1995-06-06	PRIJEM	VKLAD	1400	20053	\N	\N	\N
1152303	3940	1995-07-06	VYDAJ	VYBER	10800	36258	\N	\N	\N
1152304	3940	1995-08-05	VYDAJ	VYBER	11900	42471	\N	\N	\N
1152305	3940	1995-09-04	VYDAJ	VYBER	17600	43011	\N	\N	\N
1152306	3940	1995-10-04	VYDAJ	VYBER	1600	33381	\N	\N	\N
1152307	3940	1995-11-03	VYDAJ	VYBER	9200	42242	\N	\N	\N
1152308	3940	1995-12-03	VYDAJ	VYBER	15400	44948	\N	\N	\N
1152309	3940	1996-01-02	VYDAJ	VYBER	5500	35913	\N	\N	\N
1152310	3940	1996-02-01	PRIJEM	VKLAD	3500	25331	\N	\N	\N
1152311	3940	1996-03-02	VYDAJ	VYBER	3900	36141	\N	\N	\N
1152312	3940	1996-04-01	VYDAJ	VYBER	3900	36009	\N	\N	\N
1152313	3940	1996-05-01	VYDAJ	VYBER	10900	43183	\N	\N	\N
1152314	3940	1996-05-31	VYDAJ	VYBER	12100	49195	\N	\N	\N
1152315	3940	1996-06-30	VYDAJ	VYBER	12200	46056	\N	\N	\N
1152316	3940	1996-07-30	PRIJEM	VKLAD	5700	34085	\N	\N	\N
1152317	3940	1996-08-29	PRIJEM	VKLAD	9100	30450	\N	\N	\N
1152318	3940	1996-09-28	VYDAJ	VYBER	5900	42551	\N	\N	\N
1152319	3940	1996-10-28	VYDAJ	VYBER KARTOU	700	35686	\N	\N	0
1152320	3940	1996-11-27	VYDAJ	VYBER	5700	39922	\N	\N	\N
1152321	3940	1996-12-27	VYDAJ	VYBER	18100	48809	\N	\N	\N
1152322	3940	1997-01-26	PRIJEM	VKLAD	2400	26568	\N	\N	\N
1152323	3940	1997-02-25	VYDAJ	VYBER	6800	37786	\N	\N	\N
1152324	3940	1997-03-27	VYDAJ	VYBER	16900	38868	\N	\N	\N
1152325	3940	1997-04-26	VYDAJ	VYBER	11600	45290	\N	\N	\N
1152326	3940	1997-05-26	VYDAJ	VYBER	16600	44436	\N	\N	\N
1152327	3940	1997-06-25	VYDAJ	VYBER	21600	49827	\N	\N	\N
1152328	3940	1997-07-25	VYDAJ	VYBER	15900	44092	\N	\N	\N
1152329	3940	1997-08-24	VYDAJ	VYBER	16900	45270	\N	\N	\N
1152330	3940	1997-09-23	VYDAJ	VYBER	12400	42444	\N	\N	\N
1152331	3940	1997-10-23	VYDAJ	VYBER	10700	36107	\N	\N	\N
1152332	3940	1997-11-22	VYDAJ	VYBER	8500	43837	\N	\N	\N
1152333	3940	1997-12-22	VYDAJ	VYBER KARTOU	400	30007	\N	\N	0
1152334	3940	1998-01-21	VYDAJ	VYBER KARTOU	2000	28607	\N	\N	0
1152335	3940	1998-02-20	VYDAJ	VYBER	9500	33205	\N	\N	\N
1152336	3940	1998-03-22	VYDAJ	VYBER	16900	34283	\N	\N	\N
1152337	3940	1998-04-21	VYDAJ	VYBER	11000	31984	\N	\N	\N
1152338	3940	1998-05-21	VYDAJ	VYBER	12700	30361	\N	\N	\N
1152339	3940	1998-06-20	VYDAJ	VYBER	19800	37519	\N	\N	\N
1152340	3940	1998-07-20	VYDAJ	VYBER	15000	25842	\N	\N	\N
1152341	3940	1998-08-19	VYDAJ	VYBER	15600	28250	\N	\N	\N
1152342	3940	1998-09-18	VYDAJ	VYBER	16700	25303	\N	\N	\N
1152343	3940	1998-10-18	VYDAJ	VYBER	15100	22254	\N	\N	\N
1152344	3940	1998-11-17	VYDAJ	VYBER	13200	27029	\N	\N	\N
1152389	3941	1996-12-26	PRIJEM	VKLAD	300	300	\N	\N	\N
1152402	3941	1997-01-14	PRIJEM	PREVOD Z UCTU	3164	3464	\N	OP	75432234
1152403	3941	1997-02-14	PRIJEM	PREVOD Z UCTU	3164	6628	\N	OP	75432234
1152404	3941	1997-03-14	PRIJEM	PREVOD Z UCTU	3164	9792	\N	OP	75432234
1152405	3941	1997-04-14	PRIJEM	PREVOD Z UCTU	3164	12956	\N	OP	75432234
1152406	3941	1997-05-14	PRIJEM	PREVOD Z UCTU	3164	16120	\N	OP	75432234
1152407	3941	1997-06-14	PRIJEM	PREVOD Z UCTU	3164	16387	\N	OP	75432234
1152408	3941	1997-07-14	PRIJEM	PREVOD Z UCTU	3164	16171	\N	OP	75432234
1152409	3941	1997-08-14	PRIJEM	PREVOD Z UCTU	3164	17276	\N	OP	75432234
1152410	3941	1997-09-14	PRIJEM	PREVOD Z UCTU	3164	18384	\N	OP	75432234
1152411	3941	1997-10-14	PRIJEM	PREVOD Z UCTU	3164	18057	\N	OP	75432234
1152412	3941	1997-11-14	PRIJEM	PREVOD Z UCTU	3164	19168	\N	OP	75432234
1152413	3941	1997-12-14	PRIJEM	PREVOD Z UCTU	3164	19624	\N	OP	75432234
1152414	3941	1998-01-14	PRIJEM	PREVOD Z UCTU	3164	16454	\N	OP	75432234
1152415	3941	1998-02-14	PRIJEM	PREVOD Z UCTU	3164	15790	\N	OP	75432234
1152416	3941	1998-03-14	PRIJEM	PREVOD Z UCTU	3164	16893	\N	OP	75432234
1152417	3941	1998-04-14	PRIJEM	PREVOD Z UCTU	3164	18001	\N	OP	75432234
1152418	3941	1998-05-14	PRIJEM	PREVOD Z UCTU	3164	15497	\N	OP	75432234
1152419	3941	1998-06-14	PRIJEM	PREVOD Z UCTU	3164	16599	\N	OP	75432234
1152420	3941	1998-07-14	PRIJEM	PREVOD Z UCTU	3164	17525	\N	OP	75432234
1152421	3941	1998-08-14	PRIJEM	PREVOD Z UCTU	3164	17555	\N	OP	75432234
1152422	3941	1998-09-14	PRIJEM	PREVOD Z UCTU	3164	18093	\N	OP	75432234
1152423	3941	1998-10-14	PRIJEM	PREVOD Z UCTU	3164	19206	\N	OP	75432234
1152424	3941	1998-11-14	PRIJEM	PREVOD Z UCTU	3164	20322	\N	OP	75432234
1152425	3941	1998-12-14	PRIJEM	PREVOD Z UCTU	3164	20784	\N	OP	75432234
1152443	3941	1997-06-10	VYDAJ	PREVOD NA UCET	1510	13223	SIPO	MN	7649010
1152444	3941	1997-07-10	VYDAJ	PREVOD NA UCET	1510	14327	SIPO	MN	7649010
1152445	3941	1997-08-10	VYDAJ	PREVOD NA UCET	1510	14112	SIPO	MN	7649010
1152446	3941	1997-09-10	VYDAJ	PREVOD NA UCET	1510	15220	SIPO	MN	7649010
1152447	3941	1997-10-10	VYDAJ	PREVOD NA UCET	1510	14893	SIPO	MN	7649010
1152448	3941	1997-11-10	VYDAJ	PREVOD NA UCET	1510	16004	SIPO	MN	7649010
1152449	3941	1997-12-10	VYDAJ	PREVOD NA UCET	1510	17120	SIPO	MN	7649010
1152450	3941	1998-01-10	VYDAJ	PREVOD NA UCET	1510	16620	SIPO	MN	7649010
1152451	3941	1998-02-10	VYDAJ	PREVOD NA UCET	1510	12626	SIPO	MN	7649010
1152452	3941	1998-03-10	VYDAJ	PREVOD NA UCET	1510	13729	SIPO	MN	7649010
1152453	3941	1998-04-10	VYDAJ	PREVOD NA UCET	1510	14837	SIPO	MN	7649010
1152454	3941	1998-05-10	VYDAJ	PREVOD NA UCET	1510	12333	SIPO	MN	7649010
1152455	3941	1998-06-10	VYDAJ	PREVOD NA UCET	1510	13435	SIPO	MN	7649010
1152456	3941	1998-07-10	VYDAJ	PREVOD NA UCET	1510	14361	SIPO	MN	7649010
1152457	3941	1998-08-10	VYDAJ	PREVOD NA UCET	1510	14391	SIPO	MN	7649010
1152458	3941	1998-09-10	VYDAJ	PREVOD NA UCET	1510	14929	SIPO	MN	7649010
1152459	3941	1998-10-10	VYDAJ	PREVOD NA UCET	1510	16042	SIPO	MN	7649010
1152460	3941	1998-11-10	VYDAJ	PREVOD NA UCET	1510	17158	SIPO	MN	7649010
1152461	3941	1998-12-10	VYDAJ	PREVOD NA UCET	1510	17620	SIPO	MN	7649010
1152478	3941	1997-05-14	VYDAJ	PREVOD NA UCET	599	15521	 	WX	13397574
1152479	3941	1997-06-14	VYDAJ	PREVOD NA UCET	599	15788	 	WX	13397574
1152480	3941	1997-07-14	VYDAJ	PREVOD NA UCET	599	15572	 	WX	13397574
1152481	3941	1997-08-14	VYDAJ	PREVOD NA UCET	599	16677	 	WX	13397574
1152482	3941	1997-09-14	VYDAJ	PREVOD NA UCET	599	17785	 	WX	13397574
1152483	3941	1997-10-14	VYDAJ	PREVOD NA UCET	599	17458	 	WX	13397574
1152484	3941	1997-11-14	VYDAJ	PREVOD NA UCET	599	18569	 	WX	13397574
1152485	3941	1997-12-14	VYDAJ	PREVOD NA UCET	599	19025	 	WX	13397574
1152486	3941	1998-01-14	VYDAJ	PREVOD NA UCET	599	15855	 	WX	13397574
1152487	3941	1998-02-14	VYDAJ	PREVOD NA UCET	599	15191	 	WX	13397574
1152488	3941	1998-03-14	VYDAJ	PREVOD NA UCET	599	16294	 	WX	13397574
1152489	3941	1998-04-14	VYDAJ	PREVOD NA UCET	599	17402	 	WX	13397574
1152490	3941	1998-05-14	VYDAJ	PREVOD NA UCET	599	14898	 	WX	13397574
1152491	3941	1998-06-14	VYDAJ	PREVOD NA UCET	599	16000	 	WX	13397574
1152492	3941	1998-07-14	VYDAJ	PREVOD NA UCET	599	16926	 	WX	13397574
1152493	3941	1998-08-14	VYDAJ	PREVOD NA UCET	599	16956	 	WX	13397574
1152494	3941	1998-09-14	VYDAJ	PREVOD NA UCET	599	17494	 	WX	13397574
1152495	3941	1998-10-14	VYDAJ	PREVOD NA UCET	599	18607	 	WX	13397574
1152496	3941	1998-11-14	VYDAJ	PREVOD NA UCET	599	19723	 	WX	13397574
1152497	3941	1998-12-14	VYDAJ	PREVOD NA UCET	599	20185	 	WX	13397574
1152503	3941	1998-01-12	VYDAJ	VYBER	1710	14070	\N	\N	\N
1152505	3941	1997-12-13	VYDAJ	VYBER	660	16460	\N	\N	\N
1152506	3941	1998-12-04	VYDAJ	VYBER	660	19130	\N	\N	\N
1152519	3941	1998-01-23	VYDAJ	VYBER	690	14085	\N	\N	\N
1152520	3941	1998-01-04	VYDAJ	VYBER	630	18130	\N	\N	\N
1152521	3941	1998-01-17	VYDAJ	VYBER	360	15495	\N	\N	\N
1152522	3941	1998-01-10	VYDAJ	VYBER	840	15780	\N	\N	\N
1152523	3941	1998-01-13	VYDAJ	VYBER	780	13290	\N	\N	\N
1152524	3941	1998-01-20	VYDAJ	VYBER	720	14775	\N	\N	\N
1152529	3941	1997-07-13	VYDAJ	VYBER	1320	13007	\N	\N	\N
1152531	3941	1997-09-25	VYDAJ	VYBER	1440	16345	\N	\N	\N
1152532	3941	1997-05-19	VYDAJ	VYBER	810	14711	\N	\N	\N
1152534	3941	1998-08-26	VYDAJ	VYBER	570	16386	\N	\N	\N
1152535	3941	1998-06-26	VYDAJ	VYBER	180	15820	\N	\N	\N
1152536	3941	1998-01-02	VYDAJ	VYBER	330	18760	\N	\N	\N
1152537	3941	1998-04-23	VYDAJ	VYBER	210	13792	\N	\N	\N
1152538	3941	1998-07-30	VYDAJ	VYBER	1080	15846	\N	\N	\N
1152556	3941	1997-05-31	VYDAJ	VYBER	15	14733	SLUZBY	\N	\N
1152557	3941	1997-06-30	VYDAJ	VYBER	15	15837	SLUZBY	\N	\N
1152558	3941	1997-07-31	VYDAJ	VYBER	15	15622	SLUZBY	\N	\N
1152559	3941	1997-08-31	VYDAJ	VYBER	15	16730	SLUZBY	\N	\N
1152560	3941	1997-09-30	VYDAJ	VYBER	15	16403	SLUZBY	\N	\N
1152561	3941	1997-10-31	VYDAJ	VYBER	15	17514	SLUZBY	\N	\N
1152562	3941	1997-11-30	VYDAJ	VYBER	15	18630	SLUZBY	\N	\N
1152563	3941	1997-12-31	VYDAJ	VYBER	15	19090	SLUZBY	\N	\N
1152564	3941	1998-01-31	VYDAJ	VYBER	15	14136	SLUZBY	\N	\N
1152565	3941	1998-02-28	VYDAJ	VYBER	15	15239	SLUZBY	\N	\N
1152566	3941	1998-03-31	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
1152567	3941	1998-04-30	VYDAJ	VYBER	15	13843	SLUZBY	\N	\N
1152568	3941	1998-05-31	VYDAJ	VYBER	15	14945	SLUZBY	\N	\N
1152569	3941	1998-06-30	VYDAJ	VYBER	15	15871	SLUZBY	\N	\N
1152570	3941	1998-07-31	VYDAJ	VYBER	15	15901	SLUZBY	\N	\N
1152571	3941	1998-08-31	VYDAJ	VYBER	15	16439	SLUZBY	\N	\N
1152572	3941	1998-09-30	VYDAJ	VYBER	15	17552	SLUZBY	\N	\N
1152573	3941	1998-10-31	VYDAJ	VYBER	15	18668	SLUZBY	\N	\N
1152574	3941	1998-11-30	VYDAJ	VYBER	15	19790	SLUZBY	\N	\N
1152575	3941	1998-04-20	VYDAJ	VYBER	3400	14002	\N	\N	\N
1152596	3942	1996-05-10	PRIJEM	VKLAD	600	600	\N	\N	\N
1152597	3942	1996-05-22	PRIJEM	VKLAD	15946	16546	\N	\N	\N
1152598	3942	1997-08-07	PRIJEM	VKLAD	43999	64937	\N	\N	\N
1152599	3942	1997-06-02	PRIJEM	VKLAD	9655	67982	\N	\N	\N
1152600	3942	1997-03-12	PRIJEM	VKLAD	13243	63220	\N	\N	\N
1152601	3942	1997-04-25	PRIJEM	VKLAD	47172	113475	\N	\N	\N
1152602	3942	1997-03-04	PRIJEM	VKLAD	29760	75477	\N	\N	\N
1152603	3942	1997-04-19	PRIJEM	VKLAD	5653	53280	\N	\N	\N
1152604	3942	1997-08-13	PRIJEM	VKLAD	14528	74365	\N	\N	\N
1152605	3942	1997-09-18	PRIJEM	VKLAD	34526	102969	\N	\N	\N
1152606	3942	1997-04-21	PRIJEM	VKLAD	13023	66303	\N	\N	\N
1152607	3942	1997-03-23	PRIJEM	VKLAD	8693	71913	\N	\N	\N
1152608	3942	1997-09-24	PRIJEM	VKLAD	29981	139332	\N	\N	\N
1152609	3942	1997-11-29	PRIJEM	VKLAD	21419	58278	\N	\N	\N
1152610	3942	1997-05-19	PRIJEM	VKLAD	10420	58119	\N	\N	\N
1152611	3942	1997-09-17	PRIJEM	VKLAD	33476	68443	\N	\N	\N
1152612	3942	1997-03-24	PRIJEM	VKLAD	11899	83812	\N	\N	\N
1152613	3942	1997-01-10	PRIJEM	VKLAD	28528	58679	\N	\N	\N
1152614	3942	1997-07-02	PRIJEM	VKLAD	28038	55198	\N	\N	\N
1152615	3942	1997-08-14	PRIJEM	VKLAD	44779	119144	\N	\N	\N
1152616	3942	1997-09-23	PRIJEM	VKLAD	48282	151251	\N	\N	\N
1152617	3942	1997-10-04	PRIJEM	VKLAD	37857	107954	\N	\N	\N
1152618	3942	1998-06-11	PRIJEM	VKLAD	48334	101495	\N	\N	\N
1152619	3942	1998-06-14	PRIJEM	VKLAD	32646	131159	\N	\N	\N
1152620	3942	1998-03-24	PRIJEM	VKLAD	19703	40717	\N	\N	\N
1152621	3942	1998-01-05	PRIJEM	VKLAD	44900	80124	\N	\N	\N
1152622	3942	1998-10-22	PRIJEM	VKLAD	39388	90100	\N	\N	\N
1152623	3942	1998-02-10	PRIJEM	VKLAD	36723	82771	\N	\N	\N
1152624	3942	1998-05-25	PRIJEM	VKLAD	7745	60808	\N	\N	\N
1152625	3942	1998-09-19	PRIJEM	VKLAD	39453	97113	\N	\N	\N
1152626	3942	1998-11-14	PRIJEM	VKLAD	9922	54049	\N	\N	\N
1152627	3942	1998-12-08	PRIJEM	VKLAD	37535	66354	\N	\N	\N
1152628	3942	1998-04-05	PRIJEM	VKLAD	24059	56790	\N	\N	\N
1152629	3942	1998-01-27	PRIJEM	VKLAD	42354	79393	\N	\N	\N
1152630	3942	1998-05-30	PRIJEM	VKLAD	45741	96992	\N	\N	\N
1152631	3942	1998-12-15	PRIJEM	VKLAD	42310	105681	\N	\N	\N
1152632	3942	1998-12-22	PRIJEM	VKLAD	43704	149385	\N	\N	\N
1152633	3942	1998-07-15	PRIJEM	VKLAD	9151	47313	\N	\N	\N
1152634	3942	1998-08-05	PRIJEM	VKLAD	16787	53002	\N	\N	\N
1152635	3942	1998-09-12	PRIJEM	VKLAD	5545	29145	\N	\N	\N
1152636	3942	1998-05-09	PRIJEM	VKLAD	17134	62045	\N	\N	\N
1152637	3942	1998-05-04	PRIJEM	VKLAD	33911	66739	\N	\N	\N
1152638	3942	1998-06-27	PRIJEM	VKLAD	49647	153506	\N	\N	\N
1152639	3942	1998-09-16	PRIJEM	VKLAD	31498	57660	\N	\N	\N
1152655	3942	1997-04-07	VYDAJ	VYBER	3700	47627	\N	\N	0
1152656	3942	1997-05-07	VYDAJ	VYBER	4200	47699	\N	\N	0
1152657	3942	1997-06-21	VYDAJ	VYBER	2700	27054	\N	\N	0
1152658	3942	1997-07-02	VYDAJ	VYBER	3000	52198	\N	\N	0
1152659	3942	1997-08-16	VYDAJ	VYBER	2000	77644	\N	\N	0
1152660	3942	1997-09-23	VYDAJ	VYBER	2600	148651	\N	\N	0
1152661	3942	1997-10-10	VYDAJ	VYBER	2300	61126	\N	\N	0
1152662	3942	1997-11-12	VYDAJ	PREVOD NA UCET	2983	36859	UVER	YZ	11209202
1152663	3942	1997-12-12	VYDAJ	PREVOD NA UCET	2983	31913	UVER	YZ	11209202
1152664	3942	1998-01-12	VYDAJ	PREVOD NA UCET	2983	51714	UVER	YZ	11209202
1152665	3942	1998-02-12	VYDAJ	PREVOD NA UCET	2983	79788	UVER	YZ	11209202
1152666	3942	1998-03-12	VYDAJ	PREVOD NA UCET	2983	21014	UVER	YZ	11209202
1152667	3942	1998-04-12	VYDAJ	PREVOD NA UCET	2983	40380	UVER	YZ	11209202
1152668	3942	1998-05-12	VYDAJ	PREVOD NA UCET	2983	59063	UVER	YZ	11209202
1152669	3942	1998-06-12	VYDAJ	PREVOD NA UCET	2983	98513	UVER	YZ	11209202
1152670	3942	1998-07-12	VYDAJ	PREVOD NA UCET	2983	38162	UVER	YZ	11209202
1152671	3942	1998-08-12	VYDAJ	PREVOD NA UCET	2983	36591	UVER	YZ	11209202
1152672	3942	1998-09-12	VYDAJ	PREVOD NA UCET	2983	26162	UVER	YZ	11209202
1152673	3942	1998-10-12	VYDAJ	PREVOD NA UCET	2983	50712	UVER	YZ	11209202
1152674	3942	1998-11-12	VYDAJ	PREVOD NA UCET	2983	44127	UVER	YZ	11209202
1152675	3942	1998-12-12	VYDAJ	PREVOD NA UCET	2983	63371	UVER	YZ	11209202
1152691	3942	1997-04-05	VYDAJ	PREVOD NA UCET	13428	51327	SIPO	ST	34098577
1152692	3942	1997-05-05	VYDAJ	PREVOD NA UCET	13428	51899	SIPO	ST	34098577
1152693	3942	1997-06-05	VYDAJ	PREVOD NA UCET	13428	29754	SIPO	ST	34098577
1152694	3942	1997-07-05	VYDAJ	PREVOD NA UCET	13428	28270	SIPO	ST	34098577
1152695	3942	1997-08-05	VYDAJ	PREVOD NA UCET	13428	20938	SIPO	ST	34098577
1152696	3942	1997-09-05	VYDAJ	PREVOD NA UCET	13428	46367	SIPO	ST	34098577
1152697	3942	1997-10-05	VYDAJ	PREVOD NA UCET	13428	63426	SIPO	ST	34098577
1152698	3942	1997-11-05	VYDAJ	PREVOD NA UCET	13428	39841	SIPO	ST	34098577
1152699	3942	1997-12-05	VYDAJ	PREVOD NA UCET	13428	34895	SIPO	ST	34098577
1152700	3942	1998-01-05	VYDAJ	PREVOD NA UCET	13428	66696	SIPO	ST	34098577
1152701	3942	1998-02-05	VYDAJ	PREVOD NA UCET	13428	46048	SIPO	ST	34098577
1152702	3942	1998-03-05	VYDAJ	PREVOD NA UCET	13428	41936	SIPO	ST	34098577
1152703	3942	1998-04-05	VYDAJ	PREVOD NA UCET	13428	43362	SIPO	ST	34098577
1152704	3942	1998-05-05	VYDAJ	PREVOD NA UCET	13428	44911	SIPO	ST	34098577
1152705	3942	1998-06-05	VYDAJ	PREVOD NA UCET	13428	53161	SIPO	ST	34098577
1152706	3942	1998-07-05	VYDAJ	PREVOD NA UCET	13428	53979	SIPO	ST	34098577
1152707	3942	1998-08-05	VYDAJ	PREVOD NA UCET	13428	39574	SIPO	ST	34098577
1152708	3942	1998-09-05	VYDAJ	PREVOD NA UCET	13428	23600	SIPO	ST	34098577
1152709	3942	1998-10-05	VYDAJ	PREVOD NA UCET	13428	53694	SIPO	ST	34098577
1152710	3942	1998-11-05	VYDAJ	PREVOD NA UCET	13428	48910	SIPO	ST	34098577
1152711	3942	1998-12-05	VYDAJ	PREVOD NA UCET	13428	28819	SIPO	ST	34098577
1152726	3942	1998-05-29	VYBER	VYBER	9557	51251	\N	\N	\N
1152727	3942	1998-01-17	VYBER	VYBER	7175	44539	\N	\N	\N
1152728	3942	1998-07-21	VYBER	VYBER	12451	34862	\N	\N	\N
1152729	3942	1998-07-06	VYBER	VYBER	12835	41144	\N	\N	\N
1152730	3942	1998-03-06	VYBER	VYBER	17939	23997	\N	\N	\N
1152732	3942	1997-06-04	VYDAJ	VYBER	11700	56282	\N	\N	\N
1152735	3942	1997-12-19	VYDAJ	VYBER	5400	26513	\N	\N	\N
1152736	3942	1998-12-02	VYDAJ	VYBER	2100	42247	\N	\N	\N
1152749	3942	1998-01-11	VYDAJ	VYBER	4800	56196	\N	\N	\N
1152750	3942	1998-01-20	VYDAJ	VYBER	7500	37039	\N	\N	\N
1152751	3942	1998-01-08	VYDAJ	VYBER	3600	60996	\N	\N	\N
1152752	3942	1998-01-05	VYDAJ	VYBER	2100	64596	\N	\N	\N
1152753	3942	1998-01-30	VYDAJ	VYBER	3600	59293	\N	\N	\N
1152754	3942	1998-01-11	VYDAJ	VYBER	1500	54696	\N	\N	\N
1152760	3942	1997-08-12	VYDAJ	VYBER	5100	59837	\N	\N	\N
1152762	3942	1997-09-06	VYDAJ	VYBER	11400	34967	\N	\N	\N
1152765	3942	1998-12-27	VYDAJ	VYBER	9000	54185	\N	\N	\N
1152766	3942	1998-11-12	VYDAJ	VYBER	1800	47110	\N	\N	\N
1152767	3942	1998-05-17	VYDAJ	VYBER	6000	53063	\N	\N	\N
1152768	3942	1998-05-04	VYDAJ	VYBER	8400	58339	\N	\N	\N
1152784	3942	1997-03-31	VYDAJ	VYBER	30	84055	SLUZBY	\N	\N
1152785	3942	1997-04-30	VYDAJ	VYBER	30	78827	SLUZBY	\N	\N
1152786	3942	1997-05-31	VYDAJ	VYBER	30	58327	SLUZBY	\N	\N
1152787	3942	1997-06-30	VYDAJ	VYBER	30	27160	SLUZBY	\N	\N
1152788	3942	1997-07-31	VYDAJ	VYBER	30	28366	SLUZBY	\N	\N
1152789	3942	1997-08-31	VYDAJ	VYBER	30	77895	SLUZBY	\N	\N
1152790	3942	1997-09-30	VYDAJ	VYBER	30	98397	SLUZBY	\N	\N
1152791	3942	1997-10-31	VYDAJ	VYBER	30	61369	SLUZBY	\N	\N
1152792	3942	1997-11-30	VYDAJ	VYBER	30	58423	SLUZBY	\N	\N
1152793	3942	1997-12-31	VYDAJ	VYBER	30	35224	SLUZBY	\N	\N
1152794	3942	1998-01-31	VYDAJ	VYBER	30	59476	SLUZBY	\N	\N
1152795	3942	1998-02-28	VYDAJ	VYBER	30	80064	SLUZBY	\N	\N
1152796	3942	1998-03-31	VYDAJ	VYBER	30	32731	SLUZBY	\N	\N
1152797	3942	1998-04-30	VYDAJ	VYBER	30	32828	SLUZBY	\N	\N
1152798	3942	1998-05-31	VYDAJ	VYBER	30	66589	SLUZBY	\N	\N
1152799	3942	1998-06-30	VYDAJ	VYBER	30	67407	SLUZBY	\N	\N
1152800	3942	1998-07-31	VYDAJ	VYBER	30	36215	SLUZBY	\N	\N
1152801	3942	1998-08-31	VYDAJ	VYBER	30	37028	SLUZBY	\N	\N
1152802	3942	1998-09-30	VYDAJ	VYBER	30	67122	SLUZBY	\N	\N
1152803	3942	1998-10-31	VYDAJ	VYBER	30	62338	SLUZBY	\N	\N
1152804	3942	1998-11-30	VYDAJ	VYBER	30	44347	SLUZBY	\N	\N
1152805	3942	1996-06-09	PRIJEM	VKLAD	3100	19668	\N	\N	\N
1152806	3942	1996-07-09	PRIJEM	VKLAD	4400	24137	\N	\N	\N
1152807	3942	1996-08-08	PRIJEM	VKLAD	5100	29306	\N	\N	\N
1152808	3942	1996-09-07	VYDAJ	VYBER	2500	26875	\N	\N	\N
1152809	3942	1996-10-07	PRIJEM	VKLAD	3200	30144	\N	\N	\N
1152810	3942	1996-11-06	VYDAJ	VYBER	1200	29013	\N	\N	\N
1152811	3942	1996-12-06	PRIJEM	VKLAD	900	29982	\N	\N	\N
1152812	3942	1997-01-05	PRIJEM	VKLAD	100	30151	\N	\N	\N
1152813	3942	1997-02-04	VYDAJ	VYBER	13400	45472	\N	\N	\N
1152814	3942	1997-03-06	VYDAJ	VYBER	25500	49977	\N	\N	\N
1152815	3942	1997-04-05	VYDAJ	VYBER	19300	64755	\N	\N	\N
1152816	3942	1997-04-25	VYDAJ	VYBER	34900	78575	\N	\N	\N
1152817	3942	1997-05-05	VYDAJ	VYBER	13500	65327	\N	\N	\N
1152818	3942	1997-06-04	VYDAJ	VYBER	13100	43182	\N	\N	\N
1152819	3942	1997-07-04	VYDAJ	VYBER	10500	41698	\N	\N	\N
1152820	3942	1997-08-03	PRIJEM	VKLAD	6000	34366	\N	\N	\N
1152821	3942	1997-08-14	VYDAJ	VYBER	39500	79644	\N	\N	\N
1152822	3942	1997-09-02	VYDAJ	VYBER	18100	59795	\N	\N	\N
1152823	3942	1997-09-23	VYDAJ	VYBER	39300	109351	\N	\N	\N
1152824	3942	1997-09-24	VYDAJ	VYBER	41200	98132	\N	\N	\N
1152825	3942	1997-10-02	VYDAJ	VYBER	28300	70097	\N	\N	\N
1152826	3942	1997-10-04	VYDAJ	VYBER	31100	76854	\N	\N	\N
1152827	3942	1997-11-01	VYDAJ	VYBER	8100	53269	\N	\N	\N
1152828	3942	1997-12-01	VYDAJ	VYBER	10100	48323	\N	\N	\N
1152829	3942	1997-12-31	PRIJEM	VKLAD	8600	35113	\N	\N	\N
1152830	3942	1998-01-30	VYDAJ	VYBER	16500	62893	\N	\N	\N
1152831	3942	1998-03-01	VYDAJ	VYBER	24700	55364	\N	\N	\N
1152832	3942	1998-03-31	VYDAJ	VYBER	8100	32761	\N	\N	\N
1152833	3942	1998-04-30	VYDAJ	VYBER	7700	32858	\N	\N	\N
1152834	3942	1998-05-30	VYDAJ	VYBER	30600	66392	\N	\N	\N
1152835	3942	1998-06-14	VYDAJ	VYBER	27300	103859	\N	\N	\N
1152836	3942	1998-06-27	VYDAJ	VYBER	53900	99606	\N	\N	\N
1152837	3942	1998-06-29	VYDAJ	VYBER	32600	67006	\N	\N	\N
1152838	3942	1998-07-29	PRIJEM	VKLAD	1200	36062	\N	\N	\N
1152839	3942	1998-08-28	PRIJEM	VKLAD	300	36891	\N	\N	\N
1152840	3942	1998-09-27	VYDAJ	VYBER	30200	66913	\N	\N	\N
1152841	3942	1998-10-27	VYDAJ	VYBER	28000	62100	\N	\N	\N
1152842	3942	1998-11-26	VYDAJ	VYBER	9900	44149	\N	\N	\N
1152843	3942	1998-12-22	VYDAJ	VYBER	56600	92785	\N	\N	\N
1152844	3942	1998-12-26	VYDAJ	VYBER	29600	63185	\N	\N	\N
1152877	3943	1996-03-06	PRIJEM	VKLAD	300	300	\N	\N	\N
1152880	3943	1996-03-14	PRIJEM	PREVOD Z UCTU	2913	3213	\N	UV	19000161
1152881	3943	1996-04-14	PRIJEM	PREVOD Z UCTU	2913	6134	\N	UV	19000161
1152882	3943	1996-05-14	PRIJEM	PREVOD Z UCTU	2913	9060	\N	UV	19000161
1152883	3943	1996-06-14	PRIJEM	PREVOD Z UCTU	2913	11987	\N	UV	19000161
1152884	3943	1996-07-14	PRIJEM	PREVOD Z UCTU	2913	14913	\N	UV	19000161
1152885	3943	1996-08-14	PRIJEM	PREVOD Z UCTU	2913	15884	\N	UV	19000161
1152886	3943	1996-09-14	PRIJEM	PREVOD Z UCTU	2913	16124	\N	UV	19000161
1152887	3943	1996-10-14	PRIJEM	PREVOD Z UCTU	2913	17146	\N	UV	19000161
1152888	3943	1996-11-14	PRIJEM	PREVOD Z UCTU	2913	18172	\N	UV	19000161
1152889	3943	1996-12-14	PRIJEM	PREVOD Z UCTU	2913	19203	\N	UV	19000161
1152890	3943	1997-01-14	PRIJEM	PREVOD Z UCTU	2913	18917	\N	UV	19000161
1152891	3943	1997-02-14	PRIJEM	PREVOD Z UCTU	2913	18629	\N	UV	19000161
1152892	3943	1997-03-14	PRIJEM	PREVOD Z UCTU	2913	19661	\N	UV	19000161
1152893	3943	1997-04-14	PRIJEM	PREVOD Z UCTU	2913	20698	\N	UV	19000161
1152894	3943	1997-05-14	PRIJEM	PREVOD Z UCTU	2913	19878	\N	UV	19000161
1152895	3943	1997-06-14	PRIJEM	PREVOD Z UCTU	2913	17078	\N	UV	19000161
1152896	3943	1997-07-14	PRIJEM	PREVOD Z UCTU	2913	17719	\N	UV	19000161
1152897	3943	1997-08-14	PRIJEM	PREVOD Z UCTU	2913	18748	\N	UV	19000161
1152898	3943	1997-09-14	PRIJEM	PREVOD Z UCTU	2913	19781	\N	UV	19000161
1152899	3943	1997-10-14	PRIJEM	PREVOD Z UCTU	2913	20818	\N	UV	19000161
1152900	3943	1997-11-14	PRIJEM	PREVOD Z UCTU	2913	21859	\N	UV	19000161
1152901	3943	1997-12-14	PRIJEM	PREVOD Z UCTU	2913	22905	\N	UV	19000161
1152902	3943	1998-01-14	PRIJEM	PREVOD Z UCTU	2913	22123	\N	UV	19000161
1152903	3943	1998-02-14	PRIJEM	PREVOD Z UCTU	2913	20467	\N	UV	19000161
1153011	3943	1997-12-31	VYDAJ	VYBER	15	22142	SLUZBY	\N	\N
1152904	3943	1998-03-14	PRIJEM	PREVOD Z UCTU	2913	21506	\N	UV	19000161
1152905	3943	1998-04-14	PRIJEM	PREVOD Z UCTU	2913	22551	\N	UV	19000161
1152906	3943	1998-05-14	PRIJEM	PREVOD Z UCTU	2913	23599	\N	UV	19000161
1152907	3943	1998-06-14	PRIJEM	PREVOD Z UCTU	2913	17092	\N	UV	19000161
1152908	3943	1998-07-14	PRIJEM	PREVOD Z UCTU	2913	14918	\N	UV	19000161
1152909	3943	1998-08-14	PRIJEM	PREVOD Z UCTU	2913	15365	\N	UV	19000161
1152910	3943	1998-09-14	PRIJEM	PREVOD Z UCTU	2913	16384	\N	UV	19000161
1152911	3943	1998-10-14	PRIJEM	PREVOD Z UCTU	2913	17407	\N	UV	19000161
1152912	3943	1998-11-14	PRIJEM	PREVOD Z UCTU	2913	18433	\N	UV	19000161
1152913	3943	1998-12-14	PRIJEM	PREVOD Z UCTU	2913	19464	\N	UV	19000161
1152921	3943	1996-08-12	VYDAJ	PREVOD NA UCET	1942	12971	SIPO	YZ	50228506
1152922	3943	1996-09-12	VYDAJ	PREVOD NA UCET	1942	13211	SIPO	YZ	50228506
1152923	3943	1996-10-12	VYDAJ	PREVOD NA UCET	1942	14233	SIPO	YZ	50228506
1152924	3943	1996-11-12	VYDAJ	PREVOD NA UCET	1942	15259	SIPO	YZ	50228506
1152925	3943	1996-12-12	VYDAJ	PREVOD NA UCET	1942	16290	SIPO	YZ	50228506
1152926	3943	1997-01-12	VYDAJ	PREVOD NA UCET	1942	16004	SIPO	YZ	50228506
1152927	3943	1997-02-12	VYDAJ	PREVOD NA UCET	1942	15716	SIPO	YZ	50228506
1152928	3943	1997-03-12	VYDAJ	PREVOD NA UCET	1942	16748	SIPO	YZ	50228506
1152929	3943	1997-04-12	VYDAJ	PREVOD NA UCET	1942	17785	SIPO	YZ	50228506
1152930	3943	1997-05-12	VYDAJ	PREVOD NA UCET	1942	18165	SIPO	YZ	50228506
1152931	3943	1997-06-12	VYDAJ	PREVOD NA UCET	1942	14165	SIPO	YZ	50228506
1152932	3943	1997-07-12	VYDAJ	PREVOD NA UCET	1942	14806	SIPO	YZ	50228506
1152933	3943	1997-08-12	VYDAJ	PREVOD NA UCET	1942	15835	SIPO	YZ	50228506
1152934	3943	1997-09-12	VYDAJ	PREVOD NA UCET	1942	16868	SIPO	YZ	50228506
1152935	3943	1997-10-12	VYDAJ	PREVOD NA UCET	1942	17905	SIPO	YZ	50228506
1152936	3943	1997-11-12	VYDAJ	PREVOD NA UCET	1942	18946	SIPO	YZ	50228506
1152937	3943	1997-12-12	VYDAJ	PREVOD NA UCET	1942	19992	SIPO	YZ	50228506
1152938	3943	1998-01-12	VYDAJ	PREVOD NA UCET	1942	19210	SIPO	YZ	50228506
1152939	3943	1998-02-12	VYDAJ	PREVOD NA UCET	1942	17554	SIPO	YZ	50228506
1152940	3943	1998-03-12	VYDAJ	PREVOD NA UCET	1942	18593	SIPO	YZ	50228506
1152941	3943	1998-04-12	VYDAJ	PREVOD NA UCET	1942	19638	SIPO	YZ	50228506
1152942	3943	1998-05-12	VYDAJ	PREVOD NA UCET	1942	20686	SIPO	YZ	50228506
1152943	3943	1998-06-12	VYDAJ	PREVOD NA UCET	1942	14179	SIPO	YZ	50228506
1152944	3943	1998-07-12	VYDAJ	PREVOD NA UCET	1942	12005	SIPO	YZ	50228506
1152945	3943	1998-08-12	VYDAJ	PREVOD NA UCET	1942	12452	SIPO	YZ	50228506
1152946	3943	1998-09-12	VYDAJ	PREVOD NA UCET	1942	13471	SIPO	YZ	50228506
1152947	3943	1998-10-12	VYDAJ	PREVOD NA UCET	1942	14494	SIPO	YZ	50228506
1152948	3943	1998-11-12	VYDAJ	PREVOD NA UCET	1942	15520	SIPO	YZ	50228506
1152949	3943	1998-12-12	VYDAJ	PREVOD NA UCET	1942	16551	SIPO	YZ	50228506
1152951	3943	1997-06-11	VYDAJ	VYBER	3840	16107	\N	\N	\N
1152952	3943	1998-06-10	VYDAJ	VYBER	7560	16121	\N	\N	\N
1152953	3943	1996-12-26	VYDAJ	VYBER	840	18363	\N	\N	\N
1152954	3943	1997-12-21	VYDAJ	VYBER	840	22065	\N	\N	\N
1152955	3943	1998-12-29	VYDAJ	VYBER	240	18354	\N	\N	\N
1152962	3943	1997-01-21	VYDAJ	VYBER	150	18467	\N	\N	\N
1152963	3943	1997-01-02	VYDAJ	VYBER	480	17946	\N	\N	\N
1152964	3943	1997-01-14	VYDAJ	VYBER	150	18767	\N	\N	\N
1152965	3943	1997-01-22	VYDAJ	VYBER	330	18137	\N	\N	\N
1152966	3943	1997-01-17	VYDAJ	VYBER	150	18617	\N	\N	\N
1152967	3943	1997-01-30	VYDAJ	VYBER	540	17597	\N	\N	\N
1152968	3943	1998-01-28	VYDAJ	VYBER	870	19753	\N	\N	\N
1152969	3943	1998-01-22	VYDAJ	VYBER	210	20623	\N	\N	\N
1152970	3943	1998-01-04	VYDAJ	VYBER	750	21392	\N	\N	\N
1152971	3943	1998-01-16	VYDAJ	VYBER	420	21703	\N	\N	\N
1152972	3943	1998-01-21	VYDAJ	VYBER	870	20833	\N	\N	\N
1152973	3943	1998-01-05	VYDAJ	VYBER	240	21152	\N	\N	\N
1152977	3943	1996-08-23	VYDAJ	VYBER	780	15104	\N	\N	\N
1152978	3943	1997-05-13	VYDAJ	VYBER	1200	16965	\N	\N	\N
1152979	3943	1997-05-02	VYDAJ	VYBER	660	20107	\N	\N	\N
1152980	3943	1997-07-03	VYDAJ	VYBER	390	16748	\N	\N	\N
1152981	3943	1998-12-22	VYDAJ	VYBER	870	18594	\N	\N	\N
1152982	3943	1998-07-03	VYDAJ	VYBER	900	16257	\N	\N	\N
1152983	3943	1998-01-29	VYDAJ	VYBER	330	19423	\N	\N	\N
1152984	3943	1998-07-03	VYDAJ	VYBER	1170	15087	\N	\N	\N
1152985	3943	1998-08-02	VYDAJ	VYBER	570	14394	\N	\N	\N
1152986	3943	1998-07-05	VYDAJ	VYBER	1140	13947	\N	\N	\N
1152994	3943	1996-07-31	VYDAJ	VYBER	15	14913	SLUZBY	\N	\N
1152995	3943	1996-08-31	VYDAJ	VYBER	15	15153	SLUZBY	\N	\N
1152996	3943	1996-09-30	VYDAJ	VYBER	15	16175	SLUZBY	\N	\N
1152997	3943	1996-10-31	VYDAJ	VYBER	15	17201	SLUZBY	\N	\N
1152998	3943	1996-11-30	VYDAJ	VYBER	15	18232	SLUZBY	\N	\N
1152999	3943	1996-12-31	VYDAJ	VYBER	15	18426	SLUZBY	\N	\N
1153000	3943	1997-01-31	VYDAJ	VYBER	15	17658	SLUZBY	\N	\N
1153001	3943	1997-02-28	VYDAJ	VYBER	15	18690	SLUZBY	\N	\N
1153002	3943	1997-03-31	VYDAJ	VYBER	15	19727	SLUZBY	\N	\N
1153003	3943	1997-04-30	VYDAJ	VYBER	15	20767	SLUZBY	\N	\N
1153004	3943	1997-05-31	VYDAJ	VYBER	15	19947	SLUZBY	\N	\N
1153005	3943	1997-06-30	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
1153006	3943	1997-07-31	VYDAJ	VYBER	15	17777	SLUZBY	\N	\N
1153007	3943	1997-08-31	VYDAJ	VYBER	15	18810	SLUZBY	\N	\N
1153008	3943	1997-09-30	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
1153009	3943	1997-10-31	VYDAJ	VYBER	15	20888	SLUZBY	\N	\N
1153010	3943	1997-11-30	VYDAJ	VYBER	15	21934	SLUZBY	\N	\N
1153012	3943	1998-01-31	VYDAJ	VYBER	15	19496	SLUZBY	\N	\N
1153013	3943	1998-02-28	VYDAJ	VYBER	15	20535	SLUZBY	\N	\N
1153014	3943	1998-03-31	VYDAJ	VYBER	15	21580	SLUZBY	\N	\N
1153015	3943	1998-04-30	VYDAJ	VYBER	15	22628	SLUZBY	\N	\N
1153016	3943	1998-05-31	VYDAJ	VYBER	15	23681	SLUZBY	\N	\N
1153017	3943	1998-06-30	VYDAJ	VYBER	15	17157	SLUZBY	\N	\N
1153018	3943	1998-07-31	VYDAJ	VYBER	15	14964	SLUZBY	\N	\N
1153019	3943	1998-08-31	VYDAJ	VYBER	15	15413	SLUZBY	\N	\N
1153020	3943	1998-09-30	VYDAJ	VYBER	15	16436	SLUZBY	\N	\N
1153021	3943	1998-10-31	VYDAJ	VYBER	15	17462	SLUZBY	\N	\N
1153022	3943	1998-11-30	VYDAJ	VYBER	15	18493	SLUZBY	\N	\N
1153057	3944	1995-10-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1153067	3944	1995-10-09	PRIJEM	VKLAD	17331	18131	\N	\N	\N
1153068	3944	1995-11-09	PRIJEM	VKLAD	17331	39218	\N	\N	\N
1153069	3944	1995-12-09	PRIJEM	VKLAD	25996	57354	\N	\N	\N
1153070	3944	1996-01-09	PRIJEM	VKLAD	17331	56105	\N	\N	\N
1153071	3944	1996-02-09	PRIJEM	VKLAD	17331	59171	\N	\N	\N
1153072	3944	1996-03-09	PRIJEM	VKLAD	17331	53737	\N	\N	\N
1153073	3944	1996-04-09	PRIJEM	VKLAD	17331	56057	\N	\N	\N
1153074	3944	1996-05-09	PRIJEM	VKLAD	17331	58485	\N	\N	\N
1153075	3944	1996-06-09	PRIJEM	VKLAD	25996	65369	\N	\N	\N
1153076	3944	1996-07-09	PRIJEM	VKLAD	17331	54182	\N	\N	\N
1153077	3944	1996-08-09	PRIJEM	VKLAD	17331	56319	\N	\N	\N
1153078	3944	1996-09-09	PRIJEM	VKLAD	17331	52387	\N	\N	\N
1153079	3944	1996-10-09	PRIJEM	VKLAD	17331	50259	\N	\N	\N
1153080	3944	1996-11-09	PRIJEM	VKLAD	17331	50864	\N	\N	\N
1153081	3944	1996-12-09	PRIJEM	VKLAD	25996	59838	\N	\N	\N
1153082	3944	1997-01-09	PRIJEM	VKLAD	17331	53832	\N	\N	\N
1153083	3944	1997-02-09	PRIJEM	VKLAD	17331	42316	\N	\N	\N
1153084	3944	1997-03-09	PRIJEM	VKLAD	17331	43464	\N	\N	\N
1153085	3944	1997-04-09	PRIJEM	VKLAD	17331	44641	\N	\N	\N
1153086	3944	1997-05-09	PRIJEM	VKLAD	17331	44418	\N	\N	\N
1153087	3944	1997-06-09	PRIJEM	VKLAD	25996	55159	\N	\N	\N
1153088	3944	1997-07-09	PRIJEM	VKLAD	17331	50959	\N	\N	\N
1153089	3944	1997-08-09	PRIJEM	VKLAD	17331	48059	\N	\N	\N
1153090	3944	1997-09-09	PRIJEM	VKLAD	17331	53429	\N	\N	\N
1153091	3944	1997-10-09	PRIJEM	VKLAD	17331	53017	\N	\N	\N
1153092	3944	1997-11-09	PRIJEM	VKLAD	17331	54603	\N	\N	\N
1153093	3944	1997-12-09	PRIJEM	VKLAD	25996	65561	\N	\N	\N
1153094	3944	1998-01-09	PRIJEM	VKLAD	17331	60055	\N	\N	\N
1153095	3944	1998-02-09	PRIJEM	VKLAD	17331	49317	\N	\N	\N
1153096	3944	1998-03-09	PRIJEM	VKLAD	17331	50921	\N	\N	\N
1153097	3944	1998-04-09	PRIJEM	VKLAD	17331	54098	\N	\N	\N
1153098	3944	1998-05-09	PRIJEM	VKLAD	17331	43693	\N	\N	\N
1153099	3944	1998-06-09	PRIJEM	VKLAD	25996	56319	\N	\N	\N
1153100	3944	1998-07-09	PRIJEM	VKLAD	17331	44322	\N	\N	\N
1153101	3944	1998-08-09	PRIJEM	VKLAD	17331	45667	\N	\N	\N
1153102	3944	1998-09-09	PRIJEM	VKLAD	17331	50380	\N	\N	\N
1153103	3944	1998-10-09	PRIJEM	VKLAD	17331	55191	\N	\N	\N
1153104	3944	1998-11-09	PRIJEM	VKLAD	17331	57980	\N	\N	\N
1153105	3944	1998-12-09	PRIJEM	VKLAD	25996	62816	\N	\N	\N
1153119	3944	1996-02-13	VYDAJ	PREVOD NA UCET	1165	58006	SIPO	QR	78422194
1153120	3944	1996-03-13	VYDAJ	PREVOD NA UCET	1165	52572	SIPO	QR	78422194
1153121	3944	1996-04-13	VYDAJ	PREVOD NA UCET	1165	54892	SIPO	QR	78422194
1153122	3944	1996-05-13	VYDAJ	PREVOD NA UCET	1165	57320	SIPO	QR	78422194
1153123	3944	1996-06-13	VYDAJ	PREVOD NA UCET	1165	64204	SIPO	QR	78422194
1153124	3944	1996-07-13	VYDAJ	PREVOD NA UCET	1165	51337	SIPO	QR	78422194
1153125	3944	1996-08-13	VYDAJ	PREVOD NA UCET	1165	55154	SIPO	QR	78422194
1153126	3944	1996-09-13	VYDAJ	PREVOD NA UCET	1165	51222	SIPO	QR	78422194
1153127	3944	1996-10-13	VYDAJ	PREVOD NA UCET	1165	49094	SIPO	QR	78422194
1153128	3944	1996-11-13	VYDAJ	PREVOD NA UCET	1165	49699	SIPO	QR	78422194
1153129	3944	1996-12-13	VYDAJ	PREVOD NA UCET	1165	58673	SIPO	QR	78422194
1153130	3944	1997-01-13	VYDAJ	PREVOD NA UCET	1165	49947	SIPO	QR	78422194
1153131	3944	1997-02-13	VYDAJ	PREVOD NA UCET	1165	41151	SIPO	QR	78422194
1153132	3944	1997-03-13	VYDAJ	PREVOD NA UCET	1165	42299	SIPO	QR	78422194
1153133	3944	1997-04-13	VYDAJ	PREVOD NA UCET	1165	43476	SIPO	QR	78422194
1153134	3944	1997-05-13	VYDAJ	PREVOD NA UCET	1165	43253	SIPO	QR	78422194
1153135	3944	1997-06-13	VYDAJ	PREVOD NA UCET	1165	53994	SIPO	QR	78422194
1153136	3944	1997-07-13	VYDAJ	PREVOD NA UCET	1165	49794	SIPO	QR	78422194
1153137	3944	1997-08-13	VYDAJ	PREVOD NA UCET	1165	46894	SIPO	QR	78422194
1153138	3944	1997-09-13	VYDAJ	PREVOD NA UCET	1165	52264	SIPO	QR	78422194
1153139	3944	1997-10-13	VYDAJ	PREVOD NA UCET	1165	51852	SIPO	QR	78422194
1153140	3944	1997-11-13	VYDAJ	PREVOD NA UCET	1165	53438	SIPO	QR	78422194
1153141	3944	1997-12-13	VYDAJ	PREVOD NA UCET	1165	64396	SIPO	QR	78422194
1153142	3944	1998-01-13	VYDAJ	PREVOD NA UCET	1165	55530	SIPO	QR	78422194
1153143	3944	1998-02-13	VYDAJ	PREVOD NA UCET	1165	48152	SIPO	QR	78422194
1153144	3944	1998-03-13	VYDAJ	PREVOD NA UCET	1165	49756	SIPO	QR	78422194
1153145	3944	1998-04-13	VYDAJ	PREVOD NA UCET	1165	52933	SIPO	QR	78422194
1153146	3944	1998-05-13	VYDAJ	PREVOD NA UCET	1165	42528	SIPO	QR	78422194
1153147	3944	1998-06-13	VYDAJ	PREVOD NA UCET	1165	55154	SIPO	QR	78422194
1153148	3944	1998-07-13	VYDAJ	PREVOD NA UCET	1165	43157	SIPO	QR	78422194
1153149	3944	1998-08-13	VYDAJ	PREVOD NA UCET	1165	44502	SIPO	QR	78422194
1153150	3944	1998-09-13	VYDAJ	PREVOD NA UCET	1165	49215	SIPO	QR	78422194
1153151	3944	1998-10-13	VYDAJ	PREVOD NA UCET	1165	54026	SIPO	QR	78422194
1153152	3944	1998-11-13	VYDAJ	PREVOD NA UCET	1165	56815	SIPO	QR	78422194
1153153	3944	1998-12-13	VYDAJ	PREVOD NA UCET	1165	61651	SIPO	QR	78422194
1153167	3944	1996-02-14	VYDAJ	PREVOD NA UCET	3338	54668	 	EF	65107047
1153168	3944	1996-03-14	VYDAJ	PREVOD NA UCET	3338	49234	 	EF	65107047
1153169	3944	1996-04-14	VYDAJ	PREVOD NA UCET	3338	51554	 	EF	65107047
1153170	3944	1996-05-14	VYDAJ	PREVOD NA UCET	3338	53982	 	EF	65107047
1153171	3944	1996-06-14	VYDAJ	PREVOD NA UCET	3338	60866	 	EF	65107047
1153172	3944	1996-07-14	VYDAJ	PREVOD NA UCET	3338	47999	 	EF	65107047
1153173	3944	1996-08-14	VYDAJ	PREVOD NA UCET	3338	51816	 	EF	65107047
1153174	3944	1996-09-14	VYDAJ	PREVOD NA UCET	3338	47884	 	EF	65107047
1153175	3944	1996-10-14	VYDAJ	PREVOD NA UCET	3338	45756	 	EF	65107047
1153176	3944	1996-11-14	VYDAJ	PREVOD NA UCET	3338	46361	 	EF	65107047
1153177	3944	1996-12-14	VYDAJ	PREVOD NA UCET	3338	55335	 	EF	65107047
1153178	3944	1997-01-14	VYDAJ	PREVOD NA UCET	3338	46609	 	EF	65107047
1153179	3944	1997-02-14	VYDAJ	PREVOD NA UCET	3338	37813	 	EF	65107047
1153180	3944	1997-03-14	VYDAJ	PREVOD NA UCET	3338	38961	 	EF	65107047
1153181	3944	1997-04-14	VYDAJ	PREVOD NA UCET	3338	40138	 	EF	65107047
1153182	3944	1997-05-14	VYDAJ	PREVOD NA UCET	3338	39915	 	EF	65107047
1153183	3944	1997-06-14	VYDAJ	PREVOD NA UCET	3338	50656	 	EF	65107047
1153184	3944	1997-07-14	VYDAJ	PREVOD NA UCET	3338	46456	 	EF	65107047
1153185	3944	1997-08-14	VYDAJ	PREVOD NA UCET	3338	43556	 	EF	65107047
1153186	3944	1997-09-14	VYDAJ	PREVOD NA UCET	3338	48926	 	EF	65107047
1153187	3944	1997-10-14	VYDAJ	PREVOD NA UCET	3338	48514	 	EF	65107047
1153188	3944	1997-11-14	VYDAJ	PREVOD NA UCET	3338	50100	 	EF	65107047
1153189	3944	1997-12-14	VYDAJ	PREVOD NA UCET	3338	61058	 	EF	65107047
1153190	3944	1998-01-14	VYDAJ	PREVOD NA UCET	3338	52192	 	EF	65107047
1153191	3944	1998-02-14	VYDAJ	PREVOD NA UCET	3338	44814	 	EF	65107047
1153192	3944	1998-03-14	VYDAJ	PREVOD NA UCET	3338	46418	 	EF	65107047
1153193	3944	1998-04-14	VYDAJ	PREVOD NA UCET	3338	49595	 	EF	65107047
1153194	3944	1998-05-14	VYDAJ	PREVOD NA UCET	3338	39190	 	EF	65107047
1153195	3944	1998-06-14	VYDAJ	PREVOD NA UCET	3338	51816	 	EF	65107047
1153196	3944	1998-07-14	VYDAJ	PREVOD NA UCET	3338	39819	 	EF	65107047
1153197	3944	1998-08-14	VYDAJ	PREVOD NA UCET	3338	41164	 	EF	65107047
1153198	3944	1998-09-14	VYDAJ	PREVOD NA UCET	3338	45877	 	EF	65107047
1153199	3944	1998-10-14	VYDAJ	PREVOD NA UCET	3338	50688	 	EF	65107047
1153200	3944	1998-11-14	VYDAJ	PREVOD NA UCET	3338	53477	 	EF	65107047
1153201	3944	1998-12-14	VYDAJ	PREVOD NA UCET	3338	58313	 	EF	65107047
1153203	3944	1996-06-26	VYDAJ	VYBER	12640	48226	\N	\N	\N
1153205	3944	1998-06-22	VYDAJ	VYBER	17760	34056	\N	\N	\N
1153208	3944	1997-01-13	VYDAJ	VYBER	2720	51112	\N	\N	\N
1153209	3944	1998-01-26	VYDAJ	VYBER	5920	31812	\N	\N	\N
1153211	3944	1996-12-27	VYDAJ	VYBER	2080	53255	\N	\N	\N
1153212	3944	1997-12-19	VYDAJ	VYBER	4320	56738	\N	\N	\N
1153213	3944	1998-12-03	VYDAJ	VYBER	1120	36820	\N	\N	\N
1153226	3944	1997-01-21	VYDAJ	VYBER	2160	41449	\N	\N	\N
1153227	3944	1997-01-28	VYDAJ	VYBER	720	36529	\N	\N	\N
1153228	3944	1997-01-22	VYDAJ	VYBER	3480	37969	\N	\N	\N
1153229	3944	1997-01-26	VYDAJ	VYBER	720	37249	\N	\N	\N
1153230	3944	1997-01-08	VYDAJ	VYBER	2160	36501	\N	\N	\N
1153231	3944	1997-01-14	VYDAJ	VYBER	3000	43609	\N	\N	\N
1153232	3944	1998-01-11	VYDAJ	VYBER	1560	56695	\N	\N	\N
1153233	3944	1998-01-09	VYDAJ	VYBER	1800	58255	\N	\N	\N
1153234	3944	1998-01-19	VYDAJ	VYBER	1200	50392	\N	\N	\N
1153235	3944	1998-01-18	VYDAJ	VYBER	600	51592	\N	\N	\N
1153236	3944	1998-01-20	VYDAJ	VYBER	960	49432	\N	\N	\N
1153237	3944	1998-01-24	VYDAJ	VYBER	3000	46432	\N	\N	\N
1153245	3944	1996-09-22	VYDAJ	VYBER	3840	44044	\N	\N	\N
1153246	3944	1996-05-27	VYDAJ	VYBER	720	53262	\N	\N	\N
1153247	3944	1996-03-06	VYDAJ	VYBER	4080	50806	\N	\N	\N
1153249	3944	1996-07-09	VYDAJ	VYBER	1680	52502	\N	\N	\N
1153250	3944	1996-08-14	VYDAJ	VYBER	2760	49056	\N	\N	\N
1153251	3944	1997-07-29	VYDAJ	VYBER	4080	30576	\N	\N	\N
1153252	3944	1997-06-05	VYDAJ	VYBER	1080	29163	\N	\N	\N
1153253	3944	1998-04-23	VYDAJ	VYBER	2280	43235	\N	\N	\N
1153254	3944	1998-04-15	VYDAJ	VYBER	4080	45515	\N	\N	\N
1153255	3944	1998-09-21	VYDAJ	VYBER	960	44917	\N	\N	\N
1153256	3944	1998-02-19	VYDAJ	VYBER	5760	39054	\N	\N	\N
1153257	3944	1998-08-23	VYDAJ	VYBER	3240	32924	\N	\N	\N
1153258	3944	1998-05-02	VYDAJ	VYBER	4320	26362	\N	\N	\N
1153273	3944	1996-02-29	VYDAJ	VYBER	15	54886	SLUZBY	\N	\N
1153274	3944	1996-03-31	VYDAJ	VYBER	15	49426	SLUZBY	\N	\N
1153275	3944	1996-04-30	VYDAJ	VYBER	15	51754	SLUZBY	\N	\N
1153276	3944	1996-05-31	VYDAJ	VYBER	15	53473	SLUZBY	\N	\N
1153277	3944	1996-06-30	VYDAJ	VYBER	15	48451	SLUZBY	\N	\N
1153278	3944	1996-07-31	VYDAJ	VYBER	15	48188	SLUZBY	\N	\N
1153279	3944	1996-08-31	VYDAJ	VYBER	15	49256	SLUZBY	\N	\N
1153280	3944	1996-09-30	VYDAJ	VYBER	15	44228	SLUZBY	\N	\N
1153281	3944	1996-10-31	VYDAJ	VYBER	15	45933	SLUZBY	\N	\N
1153282	3944	1996-11-30	VYDAJ	VYBER	15	46542	SLUZBY	\N	\N
1153283	3944	1996-12-31	VYDAJ	VYBER	15	38661	SLUZBY	\N	\N
1153284	3944	1997-01-31	VYDAJ	VYBER	15	24985	SLUZBY	\N	\N
1153285	3944	1997-02-28	VYDAJ	VYBER	15	37933	SLUZBY	\N	\N
1153286	3944	1997-03-31	VYDAJ	VYBER	15	39110	SLUZBY	\N	\N
1153287	3944	1997-04-30	VYDAJ	VYBER	15	40287	SLUZBY	\N	\N
1153288	3944	1997-05-31	VYDAJ	VYBER	15	30243	SLUZBY	\N	\N
1153289	3944	1997-06-30	VYDAJ	VYBER	15	33628	SLUZBY	\N	\N
1153290	3944	1997-07-31	VYDAJ	VYBER	15	30728	SLUZBY	\N	\N
1153291	3944	1997-08-31	VYDAJ	VYBER	15	36098	SLUZBY	\N	\N
1153292	3944	1997-09-30	VYDAJ	VYBER	15	35686	SLUZBY	\N	\N
1153293	3944	1997-10-31	VYDAJ	VYBER	15	37272	SLUZBY	\N	\N
1153294	3944	1997-11-30	VYDAJ	VYBER	15	39565	SLUZBY	\N	\N
1153295	3944	1997-12-31	VYDAJ	VYBER	15	42724	SLUZBY	\N	\N
1153296	3944	1998-01-31	VYDAJ	VYBER	15	31986	SLUZBY	\N	\N
1153297	3944	1998-02-28	VYDAJ	VYBER	15	33590	SLUZBY	\N	\N
1153298	3944	1998-03-31	VYDAJ	VYBER	15	36767	SLUZBY	\N	\N
1153299	3944	1998-04-30	VYDAJ	VYBER	15	30682	SLUZBY	\N	\N
1153300	3944	1998-05-31	VYDAJ	VYBER	15	30323	SLUZBY	\N	\N
1153301	3944	1998-06-30	VYDAJ	VYBER	15	26991	SLUZBY	\N	\N
1153302	3944	1998-07-31	VYDAJ	VYBER	15	28336	SLUZBY	\N	\N
1153303	3944	1998-08-31	VYDAJ	VYBER	15	33049	SLUZBY	\N	\N
1153304	3944	1998-09-30	VYDAJ	VYBER	15	37860	SLUZBY	\N	\N
1153305	3944	1998-10-31	VYDAJ	VYBER	15	40649	SLUZBY	\N	\N
1153306	3944	1998-11-30	VYDAJ	VYBER	15	37940	SLUZBY	\N	\N
1153307	3944	1995-11-07	PRIJEM	VKLAD	3700	21887	\N	\N	\N
1153308	3944	1995-12-07	VYDAJ	VYBER	8000	31358	\N	\N	\N
1153309	3944	1996-01-06	VYDAJ	VYBER	18800	38774	\N	\N	\N
1153310	3944	1996-02-05	VYDAJ	VYBER	14500	41840	\N	\N	\N
1153311	3944	1996-03-06	VYDAJ	VYBER	14400	36406	\N	\N	\N
1153312	3944	1996-04-05	VYDAJ	VYBER	10700	38726	\N	\N	\N
1153313	3944	1996-05-05	VYDAJ	VYBER	10600	41154	\N	\N	\N
1153314	3944	1996-06-04	VYDAJ	VYBER	14100	39373	\N	\N	\N
1153315	3944	1996-07-04	VYDAJ	VYBER	11600	36851	\N	\N	\N
1153316	3944	1996-08-03	VYDAJ	VYBER	9200	38988	\N	\N	\N
1153317	3944	1996-09-02	VYDAJ	VYBER	14200	35056	\N	\N	\N
1153318	3944	1996-10-02	VYDAJ	VYBER	11300	32928	\N	\N	\N
1153319	3944	1996-11-01	VYDAJ	VYBER	12400	33533	\N	\N	\N
1153320	3944	1996-12-01	VYDAJ	VYBER	12700	33842	\N	\N	\N
1153321	3944	1996-12-31	VYDAJ	VYBER	14800	38676	\N	\N	\N
1153322	3944	1997-01-30	VYDAJ	VYBER	11700	24829	\N	\N	\N
1153323	3944	1997-03-01	VYDAJ	VYBER	11800	26133	\N	\N	\N
1153324	3944	1997-03-31	VYDAJ	VYBER	11800	27310	\N	\N	\N
1153325	3944	1997-04-30	VYDAJ	VYBER	13200	27087	\N	\N	\N
1153326	3944	1997-05-30	VYDAJ	VYBER	9800	30115	\N	\N	\N
1153327	3944	1997-06-29	VYDAJ	VYBER	17200	33456	\N	\N	\N
1153328	3944	1997-07-29	VYDAJ	VYBER	11800	34656	\N	\N	\N
1153329	3944	1997-08-28	VYDAJ	VYBER	7600	35956	\N	\N	\N
1153330	3944	1997-09-27	VYDAJ	VYBER	13400	35526	\N	\N	\N
1153331	3944	1997-10-27	VYDAJ	VYBER	11400	37114	\N	\N	\N
1153332	3944	1997-11-26	VYDAJ	VYBER	10700	39400	\N	\N	\N
1153333	3944	1997-12-26	VYDAJ	VYBER	14200	42538	\N	\N	\N
1153334	3944	1998-01-25	VYDAJ	VYBER	8700	37732	\N	\N	\N
1153335	3944	1998-02-24	VYDAJ	VYBER	5600	33454	\N	\N	\N
1153336	3944	1998-03-26	VYDAJ	VYBER	9800	36618	\N	\N	\N
1153337	3944	1998-04-25	VYDAJ	VYBER	12700	30535	\N	\N	\N
1153338	3944	1998-05-25	VYDAJ	VYBER	9000	30190	\N	\N	\N
1153339	3944	1998-06-24	VYDAJ	VYBER	7200	26856	\N	\N	\N
1153340	3944	1998-07-24	VYDAJ	VYBER	11600	28219	\N	\N	\N
1153341	3944	1998-08-23	VYDAJ	VYBER	5000	36164	\N	\N	\N
1153342	3944	1998-09-22	VYDAJ	VYBER	7200	37717	\N	\N	\N
1153343	3944	1998-10-22	VYDAJ	VYBER	10200	40488	\N	\N	\N
1153344	3944	1998-11-21	VYDAJ	VYBER	15700	37777	\N	\N	\N
1153384	3945	1995-11-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1153489	3945	1995-12-07	PRIJEM	VKLAD	12100	13100	\N	\N	\N
1153490	3945	1996-01-06	PRIJEM	VKLAD	5000	18100	\N	\N	\N
1153491	3945	1996-02-05	PRIJEM	VKLAD	3000	21100	\N	\N	\N
1153492	3945	1996-03-06	PRIJEM	VKLAD	2200	23300	\N	\N	\N
1153493	3945	1996-04-05	VYDAJ	VYBER	500	22800	\N	\N	\N
1153494	3945	1996-05-05	PRIJEM	VKLAD	2300	25100	\N	\N	\N
1153495	3945	1996-06-04	PRIJEM	VKLAD	1500	26600	\N	\N	\N
1153496	3945	1996-07-04	PRIJEM	VKLAD	5400	32000	\N	\N	\N
1153497	3945	1996-08-03	VYDAJ	VYBER	700	31300	\N	\N	\N
1153498	3945	1996-09-02	VYDAJ	VYBER	2200	29100	\N	\N	\N
1153499	3945	1996-10-02	VYDAJ	VYBER	300	28800	\N	\N	\N
1153500	3945	1996-11-01	PRIJEM	VKLAD	500	29300	\N	\N	\N
1153501	3945	1996-12-01	VYDAJ	VYBER	1500	27800	\N	\N	\N
1153502	3945	1996-12-31	PRIJEM	VKLAD	1100	28904	\N	\N	\N
1153503	3945	1997-01-30	PRIJEM	VKLAD	300	29204	\N	\N	\N
1153504	3945	1997-03-01	VYDAJ	VYBER	2600	26737	\N	\N	\N
1153505	3945	1997-04-30	PRIJEM	VKLAD	2400	29258	\N	\N	\N
1153506	3945	1997-05-30	PRIJEM	VKLAD	1300	30678	\N	\N	\N
1153507	3945	1997-06-29	PRIJEM	VKLAD	1700	32499	\N	\N	\N
1153508	3945	1997-07-29	PRIJEM	VKLAD	3300	35919	\N	\N	\N
1153509	3945	1997-08-28	VYDAJ	VYBER	3600	32439	\N	\N	\N
1153510	3945	1997-09-27	PRIJEM	VKLAD	1800	34360	\N	\N	\N
1153511	3945	1997-10-27	VYDAJ	VYBER	1900	32580	\N	\N	\N
1153512	3945	1997-11-26	PRIJEM	VKLAD	300	33001	\N	\N	\N
1153513	3945	1997-12-26	PRIJEM	VKLAD	2600	35721	\N	\N	\N
1153514	3945	1998-01-25	PRIJEM	VKLAD	1600	37442	\N	\N	\N
1153515	3945	1998-02-24	PRIJEM	VKLAD	1600	39162	\N	\N	\N
1153516	3945	1998-03-26	PRIJEM	VKLAD	3100	42382	\N	\N	\N
1153517	3945	1998-04-25	PRIJEM	VKLAD	1100	43603	\N	\N	\N
1153518	3945	1998-05-25	PRIJEM	VKLAD	1000	44723	\N	\N	\N
1153519	3945	1998-06-24	PRIJEM	VKLAD	100	44944	\N	\N	\N
1153520	3945	1998-07-24	VYDAJ	VYBER	2200	42864	\N	\N	\N
1153521	3945	1998-08-23	VYDAJ	VYBER	900	42085	\N	\N	\N
1153522	3945	1998-09-22	VYDAJ	VYBER	3600	38605	\N	\N	\N
1153523	3945	1998-10-22	VYDAJ	VYBER	5300	33425	\N	\N	\N
1153524	3945	1998-11-21	PRIJEM	VKLAD	200	33746	\N	\N	\N
1153547	3946	1996-07-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1153555	3946	1996-08-06	PRIJEM	VKLAD	17662	18562	\N	\N	\N
1153556	3946	1996-09-06	PRIJEM	VKLAD	17662	35765	\N	\N	\N
1153557	3946	1996-10-06	PRIJEM	VKLAD	17662	45125	\N	\N	\N
1153558	3946	1996-11-06	PRIJEM	VKLAD	17662	49912	\N	\N	\N
1153559	3946	1996-12-06	PRIJEM	VKLAD	26493	62147	\N	\N	\N
1153560	3946	1997-01-06	PRIJEM	VKLAD	17662	46687	\N	\N	\N
1153561	3946	1997-02-06	PRIJEM	VKLAD	17662	44119	\N	\N	\N
1153562	3946	1997-03-06	PRIJEM	VKLAD	17662	40821	\N	\N	\N
1153563	3946	1997-04-06	PRIJEM	VKLAD	17662	37528	\N	\N	\N
1153564	3946	1997-05-06	PRIJEM	VKLAD	17662	33422	\N	\N	\N
1153565	3946	1997-06-06	PRIJEM	VKLAD	26493	46648	\N	\N	\N
1153566	3946	1997-07-06	PRIJEM	VKLAD	17662	41934	\N	\N	\N
1153567	3946	1997-08-06	PRIJEM	VKLAD	17662	46665	\N	\N	\N
1153568	3946	1997-09-06	PRIJEM	VKLAD	17662	46702	\N	\N	\N
1153569	3946	1997-10-06	PRIJEM	VKLAD	17662	45495	\N	\N	\N
1153570	3946	1997-11-06	PRIJEM	VKLAD	17662	48435	\N	\N	\N
1153571	3946	1997-12-06	PRIJEM	VKLAD	26493	56706	\N	\N	\N
1153572	3946	1998-01-06	PRIJEM	VKLAD	17662	41278	\N	\N	\N
1153573	3946	1998-02-06	PRIJEM	VKLAD	17662	47113	\N	\N	\N
1153574	3946	1998-03-06	PRIJEM	VKLAD	17662	46548	\N	\N	\N
1153575	3946	1998-04-06	PRIJEM	VKLAD	17662	48487	\N	\N	\N
1153576	3946	1998-05-06	PRIJEM	VKLAD	17662	45729	\N	\N	\N
1153577	3946	1998-06-06	PRIJEM	VKLAD	26493	55196	\N	\N	\N
1153578	3946	1998-07-06	PRIJEM	VKLAD	17662	37053	\N	\N	\N
1153579	3946	1998-08-06	PRIJEM	VKLAD	17662	31597	\N	\N	\N
1153580	3946	1998-09-06	PRIJEM	VKLAD	17662	33397	\N	\N	\N
1153581	3946	1998-10-06	PRIJEM	VKLAD	17662	35009	\N	\N	\N
1153582	3946	1998-11-06	PRIJEM	VKLAD	17662	39528	\N	\N	\N
1153583	3946	1998-12-06	PRIJEM	VKLAD	26493	48694	\N	\N	\N
1153595	3946	1996-12-07	VYDAJ	PREVOD NA UCET	4832	52395	SIPO	GH	72052663
1153596	3946	1997-01-07	VYDAJ	PREVOD NA UCET	4832	41855	SIPO	GH	72052663
1153597	3946	1997-02-07	VYDAJ	PREVOD NA UCET	4832	39287	SIPO	GH	72052663
1153598	3946	1997-03-07	VYDAJ	PREVOD NA UCET	4832	35989	SIPO	GH	72052663
1153599	3946	1997-04-07	VYDAJ	PREVOD NA UCET	4832	32696	SIPO	GH	72052663
1153600	3946	1997-05-07	VYDAJ	PREVOD NA UCET	4832	28590	SIPO	GH	72052663
1153601	3946	1997-06-07	VYDAJ	PREVOD NA UCET	4832	41816	SIPO	GH	72052663
1153602	3946	1997-07-07	VYDAJ	PREVOD NA UCET	4832	37102	SIPO	GH	72052663
1153603	3946	1997-08-07	VYDAJ	PREVOD NA UCET	4832	41833	SIPO	GH	72052663
1153604	3946	1997-09-07	VYDAJ	PREVOD NA UCET	4832	39230	SIPO	GH	72052663
1153605	3946	1997-10-07	VYDAJ	PREVOD NA UCET	4832	40663	SIPO	GH	72052663
1153606	3946	1997-11-07	VYDAJ	PREVOD NA UCET	4832	43603	SIPO	GH	72052663
1153607	3946	1997-12-07	VYDAJ	PREVOD NA UCET	4832	51874	SIPO	GH	72052663
1153608	3946	1998-01-07	VYDAJ	PREVOD NA UCET	4832	33946	SIPO	GH	72052663
1153609	3946	1998-02-07	VYDAJ	PREVOD NA UCET	4832	33381	SIPO	GH	72052663
1153610	3946	1998-03-07	VYDAJ	PREVOD NA UCET	4832	41716	SIPO	GH	72052663
1153611	3946	1998-04-07	VYDAJ	PREVOD NA UCET	4832	43655	SIPO	GH	72052663
1153612	3946	1998-05-07	VYDAJ	PREVOD NA UCET	4832	33197	SIPO	GH	72052663
1153613	3946	1998-06-07	VYDAJ	PREVOD NA UCET	4832	32664	SIPO	GH	72052663
1153614	3946	1998-07-07	VYDAJ	PREVOD NA UCET	4832	21321	SIPO	GH	72052663
1153615	3946	1998-08-07	VYDAJ	PREVOD NA UCET	4832	26765	SIPO	GH	72052663
1153616	3946	1998-09-07	VYDAJ	PREVOD NA UCET	4832	28565	SIPO	GH	72052663
1153617	3946	1998-10-07	VYDAJ	PREVOD NA UCET	4832	30177	SIPO	GH	72052663
1153618	3946	1998-11-07	VYDAJ	PREVOD NA UCET	4832	34696	SIPO	GH	72052663
1153619	3946	1998-12-07	VYDAJ	PREVOD NA UCET	4832	43862	SIPO	GH	72052663
1153631	3946	1996-12-14	VYDAJ	PREVOD NA UCET	4607	30488	 	AB	14122963
1153632	3946	1997-01-14	VYDAJ	PREVOD NA UCET	4607	26348	 	AB	14122963
1153633	3946	1997-02-14	VYDAJ	PREVOD NA UCET	4607	24380	 	AB	14122963
1153634	3946	1997-03-14	VYDAJ	PREVOD NA UCET	4607	19782	 	AB	14122963
1153635	3946	1997-04-14	VYDAJ	PREVOD NA UCET	4607	19289	 	AB	14122963
1153636	3946	1997-05-14	VYDAJ	PREVOD NA UCET	4607	20083	 	AB	14122963
1153637	3946	1997-06-14	VYDAJ	PREVOD NA UCET	4607	28009	 	AB	14122963
1153638	3946	1997-07-14	VYDAJ	PREVOD NA UCET	4607	28895	 	AB	14122963
1153639	3946	1997-08-14	VYDAJ	PREVOD NA UCET	4607	28926	 	AB	14122963
1153640	3946	1997-09-14	VYDAJ	PREVOD NA UCET	4607	27723	 	AB	14122963
1153641	3946	1997-10-14	VYDAJ	PREVOD NA UCET	4607	30656	 	AB	14122963
1153642	3946	1997-11-14	VYDAJ	PREVOD NA UCET	4607	30096	 	AB	14122963
1153643	3946	1997-12-14	VYDAJ	PREVOD NA UCET	4607	27227	 	AB	14122963
1153644	3946	1998-01-14	VYDAJ	PREVOD NA UCET	4607	29339	 	AB	14122963
1153645	3946	1998-02-14	VYDAJ	PREVOD NA UCET	4607	28774	 	AB	14122963
1153646	3946	1998-03-14	VYDAJ	PREVOD NA UCET	4607	30709	 	AB	14122963
1153647	3946	1998-04-14	VYDAJ	PREVOD NA UCET	4607	27948	 	AB	14122963
1153648	3946	1998-05-14	VYDAJ	PREVOD NA UCET	4607	28590	 	AB	14122963
1153649	3946	1998-06-14	VYDAJ	PREVOD NA UCET	4607	22897	 	AB	14122963
1153650	3946	1998-07-14	VYDAJ	PREVOD NA UCET	4607	16714	 	AB	14122963
1153651	3946	1998-08-14	VYDAJ	PREVOD NA UCET	4607	22158	 	AB	14122963
1153652	3946	1998-09-14	VYDAJ	PREVOD NA UCET	4607	23958	 	AB	14122963
1153653	3946	1998-10-14	VYDAJ	PREVOD NA UCET	4607	25570	 	AB	14122963
1153654	3946	1998-11-14	VYDAJ	PREVOD NA UCET	4607	30089	 	AB	14122963
1153655	3946	1998-12-14	VYDAJ	PREVOD NA UCET	4607	39255	 	AB	14122963
1153656	3946	1996-12-25	VYDAJ	VYBER	1600	28888	\N	\N	\N
1153657	3946	1997-12-11	VYDAJ	VYBER	4640	31834	\N	\N	\N
1153658	3946	1998-12-19	VYDAJ	VYBER	2720	36535	\N	\N	\N
1153663	3946	1996-12-06	VYDAJ	VYBER	4920	57227	\N	\N	\N
1153664	3946	1997-04-19	VYDAJ	VYBER	3600	15689	\N	\N	\N
1153665	3946	1997-02-24	VYDAJ	VYBER	1320	23060	\N	\N	\N
1153666	3946	1997-09-06	VYDAJ	VYBER	2640	44062	\N	\N	\N
1153667	3946	1997-06-26	VYDAJ	VYBER	3840	24169	\N	\N	\N
1153668	3946	1997-12-14	VYDAJ	VYBER	3720	23507	\N	\N	\N
1153670	3946	1998-06-14	VYDAJ	VYBER	3480	27504	\N	\N	\N
1153671	3946	1998-11-29	VYDAJ	VYBER	2400	27689	\N	\N	\N
1153672	3946	1998-07-30	VYDAJ	VYBER	2640	14074	\N	\N	\N
1153673	3946	1998-06-20	VYDAJ	VYBER	3600	19297	\N	\N	\N
1153674	3946	1998-06-12	VYDAJ	VYBER	1680	30984	\N	\N	\N
1153687	3946	1996-12-31	VYDAJ	VYBER	15	29025	SLUZBY	\N	\N
1153688	3946	1997-01-31	VYDAJ	VYBER	15	26457	SLUZBY	\N	\N
1153689	3946	1997-02-28	VYDAJ	VYBER	15	23159	SLUZBY	\N	\N
1153690	3946	1997-03-31	VYDAJ	VYBER	15	19866	SLUZBY	\N	\N
1153691	3946	1997-04-30	VYDAJ	VYBER	15	15760	SLUZBY	\N	\N
1153692	3946	1997-05-31	VYDAJ	VYBER	15	20155	SLUZBY	\N	\N
1153693	3946	1997-06-30	VYDAJ	VYBER	15	24272	SLUZBY	\N	\N
1153694	3946	1997-07-31	VYDAJ	VYBER	15	29003	SLUZBY	\N	\N
1153695	3946	1997-08-31	VYDAJ	VYBER	15	29040	SLUZBY	\N	\N
1153696	3946	1997-09-30	VYDAJ	VYBER	15	27833	SLUZBY	\N	\N
1153697	3946	1997-10-31	VYDAJ	VYBER	15	30773	SLUZBY	\N	\N
1153698	3946	1997-11-30	VYDAJ	VYBER	15	30213	SLUZBY	\N	\N
1153699	3946	1997-12-31	VYDAJ	VYBER	15	23616	SLUZBY	\N	\N
1153700	3946	1998-01-31	VYDAJ	VYBER	15	29451	SLUZBY	\N	\N
1153701	3946	1998-02-28	VYDAJ	VYBER	15	28886	SLUZBY	\N	\N
1153702	3946	1998-03-31	VYDAJ	VYBER	15	30825	SLUZBY	\N	\N
1153703	3946	1998-04-30	VYDAJ	VYBER	15	28067	SLUZBY	\N	\N
1153704	3946	1998-05-31	VYDAJ	VYBER	15	28703	SLUZBY	\N	\N
1153705	3946	1998-06-30	VYDAJ	VYBER	15	19391	SLUZBY	\N	\N
1153706	3946	1998-07-31	VYDAJ	VYBER	15	14135	SLUZBY	\N	\N
1153707	3946	1998-08-31	VYDAJ	VYBER	15	22235	SLUZBY	\N	\N
1153708	3946	1998-09-30	VYDAJ	VYBER	15	24047	SLUZBY	\N	\N
1153709	3946	1998-10-31	VYDAJ	VYBER	15	25666	SLUZBY	\N	\N
1153710	3946	1998-11-30	VYDAJ	VYBER	15	27801	SLUZBY	\N	\N
1153711	3946	1996-08-15	VYDAJ	VYBER	500	18062	\N	\N	\N
1153712	3946	1996-09-14	VYDAJ	VYBER	8400	27365	\N	\N	\N
1153713	3946	1996-10-14	VYDAJ	VYBER	13000	32125	\N	\N	\N
1153714	3946	1996-11-13	VYDAJ	VYBER	14400	35512	\N	\N	\N
1153715	3946	1996-12-13	VYDAJ	VYBER	17300	35095	\N	\N	\N
1153716	3946	1997-01-12	VYDAJ	VYBER	10900	30955	\N	\N	\N
1153717	3946	1997-02-11	VYDAJ	VYBER	10300	28987	\N	\N	\N
1153718	3946	1997-03-13	VYDAJ	VYBER	11600	24389	\N	\N	\N
1153719	3946	1997-04-12	VYDAJ	VYBER	8800	23896	\N	\N	\N
1153720	3946	1997-05-12	VYDAJ	VYBER	3900	24690	\N	\N	\N
1153721	3946	1997-06-11	VYDAJ	VYBER	9200	32616	\N	\N	\N
1153722	3946	1997-07-11	VYDAJ	VYBER	3600	33502	\N	\N	\N
1153723	3946	1997-08-10	VYDAJ	VYBER	8300	33533	\N	\N	\N
1153724	3946	1997-09-09	VYDAJ	VYBER	6900	32330	\N	\N	\N
1153725	3946	1997-10-09	VYDAJ	VYBER	5400	35263	\N	\N	\N
1153726	3946	1997-11-08	VYDAJ	VYBER	8900	34703	\N	\N	\N
1153727	3946	1997-12-08	VYDAJ	VYBER	15400	36474	\N	\N	\N
1153728	3946	1998-01-07	VYDAJ	VYBER	2500	38778	\N	\N	\N
1153729	3946	1998-02-06	VYDAJ	VYBER	8900	38213	\N	\N	\N
1153730	3946	1998-03-08	VYDAJ	VYBER	6400	35316	\N	\N	\N
1153731	3946	1998-04-07	VYDAJ	VYBER	11100	32555	\N	\N	\N
1153732	3946	1998-05-07	VYDAJ	VYBER	7700	38029	\N	\N	\N
1153733	3946	1998-06-06	VYDAJ	VYBER	17700	37496	\N	\N	\N
1153734	3946	1998-07-06	VYDAJ	VYBER	10900	26153	\N	\N	\N
1153735	3946	1998-08-05	VYDAJ	VYBER	200	13935	\N	\N	\N
1153736	3946	1998-09-04	VYDAJ	VYBER	6500	15735	\N	\N	\N
1153737	3946	1998-10-04	VYDAJ	VYBER	6700	17347	\N	\N	\N
1153738	3946	1998-11-03	VYDAJ	VYBER	3800	21866	\N	\N	\N
1153739	3946	1998-12-03	VYDAJ	VYBER	5600	22201	\N	\N	\N
1153769	3947	1996-01-23	PRIJEM	VKLAD	400	400	\N	\N	\N
1153771	3947	1996-02-08	PRIJEM	VKLAD	20443	20843	\N	\N	\N
1153772	3947	1996-03-08	PRIJEM	VKLAD	20443	42211	\N	\N	\N
1153773	3947	1996-04-08	PRIJEM	VKLAD	20443	56762	\N	\N	\N
1153774	3947	1996-05-08	PRIJEM	VKLAD	20443	61762	\N	\N	\N
1153775	3947	1996-06-08	PRIJEM	VKLAD	30665	75803	\N	\N	\N
1153776	3947	1996-07-08	PRIJEM	VKLAD	20443	69187	\N	\N	\N
1153777	3947	1996-08-08	PRIJEM	VKLAD	20443	65890	\N	\N	\N
1153778	3947	1996-09-08	PRIJEM	VKLAD	20443	66952	\N	\N	\N
1153779	3947	1996-10-08	PRIJEM	VKLAD	20443	66050	\N	\N	\N
1153780	3947	1996-11-08	PRIJEM	VKLAD	20443	70313	\N	\N	\N
1153781	3947	1996-12-08	PRIJEM	VKLAD	30665	80307	\N	\N	\N
1153782	3947	1997-01-08	PRIJEM	VKLAD	20443	74299	\N	\N	\N
1153783	3947	1997-02-08	PRIJEM	VKLAD	20443	54306	\N	\N	\N
1153784	3947	1997-03-08	PRIJEM	VKLAD	20443	59220	\N	\N	\N
1153785	3947	1997-04-08	PRIJEM	VKLAD	20443	65319	\N	\N	\N
1153786	3947	1997-05-08	PRIJEM	VKLAD	20443	62238	\N	\N	\N
1153787	3947	1997-06-08	PRIJEM	VKLAD	30665	71896	\N	\N	\N
1153788	3947	1997-07-08	PRIJEM	VKLAD	20443	59841	\N	\N	\N
1153789	3947	1997-08-08	PRIJEM	VKLAD	20443	58661	\N	\N	\N
1153790	3947	1997-09-08	PRIJEM	VKLAD	20443	56975	\N	\N	\N
1153791	3947	1997-10-08	PRIJEM	VKLAD	20443	58323	\N	\N	\N
1153792	3947	1997-11-08	PRIJEM	VKLAD	20443	58838	\N	\N	\N
1153793	3947	1997-12-08	PRIJEM	VKLAD	30665	69474	\N	\N	\N
1153794	3947	1998-01-08	PRIJEM	VKLAD	20443	58083	\N	\N	\N
1153795	3947	1998-02-08	PRIJEM	VKLAD	20443	47589	\N	\N	\N
1153796	3947	1998-03-08	PRIJEM	VKLAD	20443	53966	\N	\N	\N
1153797	3947	1998-04-08	PRIJEM	VKLAD	20443	56363	\N	\N	\N
1153798	3947	1998-05-08	PRIJEM	VKLAD	20443	60072	\N	\N	\N
1153799	3947	1998-06-08	PRIJEM	VKLAD	30665	65037	\N	\N	\N
1153800	3947	1998-07-08	PRIJEM	VKLAD	20443	43681	\N	\N	\N
1153801	3947	1998-08-08	PRIJEM	VKLAD	20443	49442	\N	\N	\N
1153802	3947	1998-09-08	PRIJEM	VKLAD	20443	42854	\N	\N	\N
1153803	3947	1998-10-08	PRIJEM	VKLAD	20443	49309	\N	\N	\N
1153804	3947	1998-11-08	PRIJEM	VKLAD	20443	51879	\N	\N	\N
1153805	3947	1998-12-08	PRIJEM	VKLAD	30665	55139	\N	\N	\N
1153811	3947	1996-06-08	VYDAJ	PREVOD NA UCET	2469	73334	SIPO	CD	13642275
1153812	3947	1996-07-08	VYDAJ	PREVOD NA UCET	2469	66718	SIPO	CD	13642275
1153813	3947	1996-08-08	VYDAJ	PREVOD NA UCET	2469	63421	SIPO	CD	13642275
1153814	3947	1996-09-08	VYDAJ	PREVOD NA UCET	2469	64483	SIPO	CD	13642275
1153815	3947	1996-10-08	VYDAJ	PREVOD NA UCET	2469	63581	SIPO	CD	13642275
1153816	3947	1996-11-08	VYDAJ	PREVOD NA UCET	2469	67844	SIPO	CD	13642275
1153817	3947	1996-12-08	VYDAJ	PREVOD NA UCET	2469	77838	SIPO	CD	13642275
1153818	3947	1997-01-08	VYDAJ	PREVOD NA UCET	2469	71830	SIPO	CD	13642275
1153819	3947	1997-02-08	VYDAJ	PREVOD NA UCET	2469	51837	SIPO	CD	13642275
1153820	3947	1997-03-08	VYDAJ	PREVOD NA UCET	2469	56751	SIPO	CD	13642275
1153821	3947	1997-04-08	VYDAJ	PREVOD NA UCET	2469	62850	SIPO	CD	13642275
1153822	3947	1997-05-08	VYDAJ	PREVOD NA UCET	2469	59769	SIPO	CD	13642275
1153823	3947	1997-06-08	VYDAJ	PREVOD NA UCET	2469	69427	SIPO	CD	13642275
1153824	3947	1997-07-08	VYDAJ	PREVOD NA UCET	2469	57372	SIPO	CD	13642275
1153825	3947	1997-08-08	VYDAJ	PREVOD NA UCET	2469	56192	SIPO	CD	13642275
1153826	3947	1997-09-08	VYDAJ	PREVOD NA UCET	2469	54506	SIPO	CD	13642275
1153827	3947	1997-10-08	VYDAJ	PREVOD NA UCET	2469	55854	SIPO	CD	13642275
1153828	3947	1997-11-08	VYDAJ	PREVOD NA UCET	2469	56369	SIPO	CD	13642275
1153829	3947	1997-12-08	VYDAJ	PREVOD NA UCET	2469	67005	SIPO	CD	13642275
1153830	3947	1998-01-08	VYDAJ	PREVOD NA UCET	2469	55614	SIPO	CD	13642275
1153831	3947	1998-02-08	VYDAJ	PREVOD NA UCET	2469	45120	SIPO	CD	13642275
1153832	3947	1998-03-08	VYDAJ	PREVOD NA UCET	2469	51497	SIPO	CD	13642275
1153833	3947	1998-04-08	VYDAJ	PREVOD NA UCET	2469	53894	SIPO	CD	13642275
1153834	3947	1998-05-08	VYDAJ	PREVOD NA UCET	2469	57603	SIPO	CD	13642275
1153835	3947	1998-06-08	VYDAJ	PREVOD NA UCET	2469	62568	SIPO	CD	13642275
1153836	3947	1998-07-08	VYDAJ	PREVOD NA UCET	2469	41212	SIPO	CD	13642275
1153837	3947	1998-08-08	VYDAJ	PREVOD NA UCET	2469	46973	SIPO	CD	13642275
1153838	3947	1998-09-08	VYDAJ	PREVOD NA UCET	2469	40385	SIPO	CD	13642275
1153839	3947	1998-10-08	VYDAJ	PREVOD NA UCET	2469	46840	SIPO	CD	13642275
1153840	3947	1998-11-08	VYDAJ	PREVOD NA UCET	2469	29610	SIPO	CD	13642275
1153841	3947	1998-12-08	VYDAJ	PREVOD NA UCET	2469	52670	SIPO	CD	13642275
1153847	3947	1996-06-14	VYDAJ	PREVOD NA UCET	619	72715	 	YZ	94871657
1153848	3947	1996-07-14	VYDAJ	PREVOD NA UCET	619	60939	 	YZ	94871657
1153849	3947	1996-08-14	VYDAJ	PREVOD NA UCET	619	62802	 	YZ	94871657
1153850	3947	1996-09-14	VYDAJ	PREVOD NA UCET	619	63864	 	YZ	94871657
1153851	3947	1996-10-14	VYDAJ	PREVOD NA UCET	619	62962	 	YZ	94871657
1153852	3947	1996-11-14	VYDAJ	PREVOD NA UCET	619	67225	 	YZ	94871657
1153853	3947	1996-12-14	VYDAJ	PREVOD NA UCET	619	76419	 	YZ	94871657
1153854	3947	1997-01-14	VYDAJ	PREVOD NA UCET	619	68211	 	YZ	94871657
1153855	3947	1997-02-14	VYDAJ	PREVOD NA UCET	619	51218	 	YZ	94871657
1153856	3947	1997-03-14	VYDAJ	PREVOD NA UCET	619	56132	 	YZ	94871657
1153857	3947	1997-04-14	VYDAJ	PREVOD NA UCET	619	57311	 	YZ	94871657
1153858	3947	1997-05-14	VYDAJ	PREVOD NA UCET	619	59150	 	YZ	94871657
1153859	3947	1997-06-14	VYDAJ	PREVOD NA UCET	619	68808	 	YZ	94871657
1153860	3947	1997-07-14	VYDAJ	PREVOD NA UCET	619	56753	 	YZ	94871657
1153861	3947	1997-08-14	VYDAJ	PREVOD NA UCET	619	55573	 	YZ	94871657
1153862	3947	1997-09-14	VYDAJ	PREVOD NA UCET	619	53887	 	YZ	94871657
1153863	3947	1997-10-14	VYDAJ	PREVOD NA UCET	619	55235	 	YZ	94871657
1153864	3947	1997-11-14	VYDAJ	PREVOD NA UCET	619	38650	 	YZ	94871657
1153865	3947	1997-12-14	VYDAJ	PREVOD NA UCET	619	43986	 	YZ	94871657
1153866	3947	1998-01-14	VYDAJ	PREVOD NA UCET	619	33615	 	YZ	94871657
1153867	3947	1998-02-14	VYDAJ	PREVOD NA UCET	619	33401	 	YZ	94871657
1153868	3947	1998-03-14	VYDAJ	PREVOD NA UCET	619	35778	 	YZ	94871657
1153869	3947	1998-04-14	VYDAJ	PREVOD NA UCET	619	39475	 	YZ	94871657
1153870	3947	1998-05-14	VYDAJ	PREVOD NA UCET	619	35784	 	YZ	94871657
1153871	3947	1998-06-14	VYDAJ	PREVOD NA UCET	619	23129	 	YZ	94871657
1153872	3947	1998-07-14	VYDAJ	PREVOD NA UCET	619	28893	 	YZ	94871657
1153873	3947	1998-08-14	VYDAJ	PREVOD NA UCET	619	27354	 	YZ	94871657
1153874	3947	1998-09-14	VYDAJ	PREVOD NA UCET	619	28766	 	YZ	94871657
1153875	3947	1998-10-14	VYDAJ	PREVOD NA UCET	619	31321	 	YZ	94871657
1153876	3947	1998-11-14	VYDAJ	PREVOD NA UCET	619	28991	 	YZ	94871657
1153877	3947	1998-12-14	VYDAJ	PREVOD NA UCET	619	28051	 	YZ	94871657
1153880	3947	1998-06-11	VYDAJ	VYBER	33120	23748	\N	\N	\N
1153882	3947	1997-01-15	VYDAJ	VYBER	15360	52851	\N	\N	\N
1153884	3947	1996-12-13	VYDAJ	VYBER	800	77038	\N	\N	\N
1153885	3947	1997-12-19	VYDAJ	VYBER	3520	40466	\N	\N	\N
1153886	3947	1998-12-02	VYDAJ	VYBER	3680	24475	\N	\N	\N
1153893	3947	1997-01-22	VYDAJ	VYBER	1200	37871	\N	\N	\N
1153894	3947	1997-01-12	VYDAJ	VYBER	3000	68830	\N	\N	\N
1153895	3947	1997-01-30	VYDAJ	VYBER	840	33671	\N	\N	\N
1153896	3947	1997-01-17	VYDAJ	VYBER	2280	39071	\N	\N	\N
1153897	3947	1997-01-24	VYDAJ	VYBER	1680	36191	\N	\N	\N
1153898	3947	1997-01-25	VYDAJ	VYBER	1680	34511	\N	\N	\N
1153899	3947	1998-01-01	VYDAJ	VYBER	3000	37640	\N	\N	\N
1153900	3947	1998-01-18	VYDAJ	VYBER	1320	30375	\N	\N	\N
1153901	3947	1998-01-17	VYDAJ	VYBER	1920	31695	\N	\N	\N
1153902	3947	1998-01-13	VYDAJ	VYBER	2280	34234	\N	\N	\N
1153903	3947	1998-01-19	VYDAJ	VYBER	3360	27015	\N	\N	\N
1153904	3947	1998-01-08	VYDAJ	VYBER	1200	54414	\N	\N	\N
1153905	3947	1996-09-17	VYDAJ	VYBER	5160	58704	\N	\N	\N
1153906	3947	1996-07-13	VYDAJ	VYBER	5160	61558	\N	\N	\N
1153910	3947	1997-06-21	VYDAJ	VYBER	5400	39208	\N	\N	\N
1153911	3947	1997-04-11	VYDAJ	VYBER	4920	57930	\N	\N	\N
1153912	3947	1997-03-21	VYDAJ	VYBER	840	44692	\N	\N	\N
1153913	3947	1998-05-31	VYDAJ	VYBER	1560	34373	\N	\N	\N
1153914	3947	1998-11-17	VYDAJ	VYBER	960	28031	\N	\N	\N
1153915	3947	1998-08-20	VYDAJ	VYBER	5040	22314	\N	\N	\N
1153922	3947	1996-06-30	VYDAJ	VYBER	15	48744	SLUZBY	\N	\N
1153923	3947	1996-07-31	VYDAJ	VYBER	15	45447	SLUZBY	\N	\N
1153924	3947	1996-08-31	VYDAJ	VYBER	15	46509	SLUZBY	\N	\N
1153925	3947	1996-09-30	VYDAJ	VYBER	15	45607	SLUZBY	\N	\N
1153926	3947	1996-10-31	VYDAJ	VYBER	15	49870	SLUZBY	\N	\N
1153927	3947	1996-11-30	VYDAJ	VYBER	15	49642	SLUZBY	\N	\N
1153928	3947	1996-12-31	VYDAJ	VYBER	15	53856	SLUZBY	\N	\N
1153929	3947	1997-01-31	VYDAJ	VYBER	15	33863	SLUZBY	\N	\N
1153930	3947	1997-02-28	VYDAJ	VYBER	15	38777	SLUZBY	\N	\N
1153931	3947	1997-03-31	VYDAJ	VYBER	15	44876	SLUZBY	\N	\N
1153932	3947	1997-04-30	VYDAJ	VYBER	15	41795	SLUZBY	\N	\N
1153933	3947	1997-05-31	VYDAJ	VYBER	15	41232	SLUZBY	\N	\N
1153934	3947	1997-06-30	VYDAJ	VYBER	15	39398	SLUZBY	\N	\N
1153935	3947	1997-07-31	VYDAJ	VYBER	15	38218	SLUZBY	\N	\N
1153936	3947	1997-08-31	VYDAJ	VYBER	15	36532	SLUZBY	\N	\N
1153937	3947	1997-09-30	VYDAJ	VYBER	15	37880	SLUZBY	\N	\N
1153938	3947	1997-10-31	VYDAJ	VYBER	15	38395	SLUZBY	\N	\N
1153939	3947	1997-11-30	VYDAJ	VYBER	15	38809	SLUZBY	\N	\N
1153940	3947	1997-12-31	VYDAJ	VYBER	15	40640	SLUZBY	\N	\N
1153941	3947	1998-01-31	VYDAJ	VYBER	15	27146	SLUZBY	\N	\N
1153942	3947	1998-02-28	VYDAJ	VYBER	15	33523	SLUZBY	\N	\N
1153943	3947	1998-03-31	VYDAJ	VYBER	15	35920	SLUZBY	\N	\N
1153944	3947	1998-04-30	VYDAJ	VYBER	15	39629	SLUZBY	\N	\N
1153945	3947	1998-05-31	VYDAJ	VYBER	15	35933	SLUZBY	\N	\N
1153946	3947	1998-06-30	VYDAJ	VYBER	15	23238	SLUZBY	\N	\N
1153947	3947	1998-07-31	VYDAJ	VYBER	15	28999	SLUZBY	\N	\N
1153948	3947	1998-08-31	VYDAJ	VYBER	15	22411	SLUZBY	\N	\N
1153949	3947	1998-09-30	VYDAJ	VYBER	15	28866	SLUZBY	\N	\N
1153950	3947	1998-10-31	VYDAJ	VYBER	15	31436	SLUZBY	\N	\N
1153951	3947	1998-11-30	VYDAJ	VYBER	15	28155	SLUZBY	\N	\N
1153952	3947	1996-02-22	PRIJEM	VKLAD	900	21743	\N	\N	\N
1153953	3947	1996-03-23	VYDAJ	VYBER	6000	36211	\N	\N	\N
1153954	3947	1996-04-22	VYDAJ	VYBER	15600	41162	\N	\N	\N
1153955	3947	1996-05-22	VYDAJ	VYBER	16800	44962	\N	\N	\N
1153956	3947	1996-06-21	VYDAJ	VYBER	24200	48515	\N	\N	\N
1153957	3947	1996-07-21	VYDAJ	VYBER	15700	45239	\N	\N	\N
1153958	3947	1996-08-20	VYDAJ	VYBER	16500	46302	\N	\N	\N
1153959	3947	1996-09-19	VYDAJ	VYBER	13300	45404	\N	\N	\N
1153960	3947	1996-10-19	VYDAJ	VYBER	13300	49662	\N	\N	\N
1153961	3947	1996-11-18	VYDAJ	VYBER	17800	49425	\N	\N	\N
1153962	3947	1996-12-18	VYDAJ	VYBER	22800	53619	\N	\N	\N
1153963	3947	1997-01-17	VYDAJ	VYBER	11500	41351	\N	\N	\N
1153964	3947	1997-02-16	VYDAJ	VYBER	12600	38618	\N	\N	\N
1153965	3947	1997-03-18	VYDAJ	VYBER	10600	45532	\N	\N	\N
1153966	3947	1997-04-17	VYDAJ	VYBER	15700	41611	\N	\N	\N
1153967	3947	1997-05-17	VYDAJ	VYBER	18100	41050	\N	\N	\N
1153968	3947	1997-06-16	VYDAJ	VYBER	24200	44608	\N	\N	\N
1153969	3947	1997-07-16	VYDAJ	VYBER	18700	38053	\N	\N	\N
1153970	3947	1997-08-15	VYDAJ	VYBER	19200	36373	\N	\N	\N
1153971	3947	1997-09-14	VYDAJ	VYBER	16200	37687	\N	\N	\N
1153972	3947	1997-10-14	VYDAJ	VYBER	17000	38235	\N	\N	\N
1153973	3947	1997-11-13	VYDAJ	VYBER	17100	39269	\N	\N	\N
1153974	3947	1997-12-13	VYDAJ	VYBER	22400	44605	\N	\N	\N
1153975	3947	1998-01-12	VYDAJ	VYBER	17900	36514	\N	\N	\N
1153976	3947	1998-02-11	VYDAJ	VYBER	11100	34020	\N	\N	\N
1153977	3947	1998-03-13	VYDAJ	VYBER	15100	36397	\N	\N	\N
1153978	3947	1998-04-12	VYDAJ	VYBER	13800	40094	\N	\N	\N
1153979	3947	1998-05-12	VYDAJ	VYBER	21200	36403	\N	\N	\N
1153980	3947	1998-06-11	VYDAJ	VYBER	5700	56868	\N	\N	\N
1153981	3947	1998-07-11	VYDAJ	VYBER	11700	29512	\N	\N	\N
1153982	3947	1998-08-10	VYDAJ	VYBER	19000	27973	\N	\N	\N
1153983	3947	1998-09-09	VYDAJ	VYBER	11000	29385	\N	\N	\N
1153984	3947	1998-10-09	VYDAJ	VYBER	14900	31940	\N	\N	\N
1153985	3947	1998-11-08	VYDAJ	VYBER	19800	32079	\N	\N	\N
1153986	3947	1998-12-08	VYDAJ	VYBER	24000	28670	\N	\N	\N
1154022	3948	1993-11-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1154034	3948	1993-12-09	PRIJEM	VKLAD	22635	23735	\N	\N	\N
1154035	3948	1994-01-09	PRIJEM	VKLAD	15090	40798	\N	\N	\N
1154036	3948	1994-02-09	PRIJEM	VKLAD	15090	45640	\N	\N	\N
1154037	3948	1994-03-09	PRIJEM	VKLAD	15090	60914	\N	\N	\N
1154038	3948	1994-04-09	PRIJEM	VKLAD	15090	47442	\N	\N	\N
1154039	3948	1994-05-09	PRIJEM	VKLAD	15090	44300	\N	\N	\N
1154040	3948	1994-06-09	PRIJEM	VKLAD	22635	46301	\N	\N	\N
1154041	3948	1994-07-09	PRIJEM	VKLAD	15090	46178	\N	\N	\N
1154042	3948	1994-08-09	PRIJEM	VKLAD	15090	47361	\N	\N	\N
1154043	3948	1994-09-09	PRIJEM	VKLAD	15090	47347	\N	\N	\N
1154044	3948	1994-10-09	PRIJEM	VKLAD	15090	46633	\N	\N	\N
1154045	3948	1994-11-09	PRIJEM	VKLAD	15090	45618	\N	\N	\N
1154046	3948	1994-12-09	PRIJEM	VKLAD	22635	49442	\N	\N	\N
1154047	3948	1995-01-09	PRIJEM	VKLAD	15090	48832	\N	\N	\N
1154048	3948	1995-02-09	PRIJEM	VKLAD	15090	35721	\N	\N	\N
1154049	3948	1995-03-09	PRIJEM	VKLAD	15090	40346	\N	\N	\N
1154050	3948	1995-04-09	PRIJEM	VKLAD	15090	42300	\N	\N	\N
1154051	3948	1995-05-09	PRIJEM	VKLAD	15090	46264	\N	\N	\N
1154052	3948	1995-06-09	PRIJEM	VKLAD	22635	50509	\N	\N	\N
1154053	3948	1995-07-09	PRIJEM	VKLAD	15090	46900	\N	\N	\N
1154054	3948	1995-08-09	PRIJEM	VKLAD	15090	46886	\N	\N	\N
1154055	3948	1995-09-09	PRIJEM	VKLAD	15090	47170	\N	\N	\N
1154056	3948	1995-10-09	PRIJEM	VKLAD	15090	47848	\N	\N	\N
1154057	3948	1995-11-09	PRIJEM	VKLAD	15090	45628	\N	\N	\N
1154058	3948	1995-12-09	PRIJEM	VKLAD	22635	51842	\N	\N	\N
1154059	3948	1996-01-09	PRIJEM	VKLAD	15090	46529	\N	\N	\N
1154060	3948	1996-02-09	PRIJEM	VKLAD	15090	28135	\N	\N	\N
1154061	3948	1996-03-09	PRIJEM	VKLAD	15090	36126	\N	\N	\N
1154062	3948	1996-04-09	PRIJEM	VKLAD	15090	41057	\N	\N	\N
1154063	3948	1996-05-09	PRIJEM	VKLAD	15090	38747	\N	\N	\N
1154064	3948	1996-06-09	PRIJEM	VKLAD	22635	52437	\N	\N	\N
1154065	3948	1996-07-09	PRIJEM	VKLAD	15090	42277	\N	\N	\N
1154066	3948	1996-08-09	PRIJEM	VKLAD	15090	46732	\N	\N	\N
1154067	3948	1996-09-09	PRIJEM	VKLAD	15090	42151	\N	\N	\N
1154068	3948	1996-10-09	PRIJEM	VKLAD	15090	48606	\N	\N	\N
1154069	3948	1996-11-09	PRIJEM	VKLAD	15090	47579	\N	\N	\N
1154070	3948	1996-12-09	PRIJEM	VKLAD	22635	54096	\N	\N	\N
1154071	3948	1997-01-09	PRIJEM	VKLAD	15090	53285	\N	\N	\N
1154072	3948	1997-02-09	PRIJEM	VKLAD	15090	39553	\N	\N	\N
1154073	3948	1997-03-09	PRIJEM	VKLAD	15090	38796	\N	\N	\N
1154074	3948	1997-04-09	PRIJEM	VKLAD	15090	46140	\N	\N	\N
1154075	3948	1997-05-09	PRIJEM	VKLAD	15090	52610	\N	\N	\N
1154076	3948	1997-06-09	PRIJEM	VKLAD	22635	62647	\N	\N	\N
1154077	3948	1997-07-09	PRIJEM	VKLAD	15090	56841	\N	\N	\N
1154078	3948	1997-08-09	PRIJEM	VKLAD	15090	54842	\N	\N	\N
1154079	3948	1997-09-09	PRIJEM	VKLAD	15090	53935	\N	\N	\N
1154080	3948	1997-10-09	PRIJEM	VKLAD	15090	51821	\N	\N	\N
1154081	3948	1997-11-09	PRIJEM	VKLAD	15090	47442	\N	\N	\N
1154082	3948	1997-12-09	PRIJEM	VKLAD	22635	60662	\N	\N	\N
1154083	3948	1998-01-09	PRIJEM	VKLAD	15090	57659	\N	\N	\N
1154084	3948	1998-02-09	PRIJEM	VKLAD	15090	46640	\N	\N	\N
1154085	3948	1998-03-09	PRIJEM	VKLAD	15090	55211	\N	\N	\N
1154086	3948	1998-04-09	PRIJEM	VKLAD	15090	63418	\N	\N	\N
1154087	3948	1998-05-09	PRIJEM	VKLAD	15090	66547	\N	\N	\N
1154088	3948	1998-06-09	PRIJEM	VKLAD	22635	80041	\N	\N	\N
1154089	3948	1998-07-09	PRIJEM	VKLAD	15090	63968	\N	\N	\N
1154090	3948	1998-08-09	PRIJEM	VKLAD	15090	71411	\N	\N	\N
1154091	3948	1998-09-09	PRIJEM	VKLAD	15090	78482	\N	\N	\N
1154092	3948	1998-10-09	PRIJEM	VKLAD	15090	81472	\N	\N	\N
1154093	3948	1998-11-09	PRIJEM	VKLAD	15090	87682	\N	\N	\N
1154094	3948	1998-12-09	PRIJEM	VKLAD	22635	92060	\N	\N	\N
1154111	3948	1994-05-06	VYDAJ	PREVOD NA UCET	314	40690	SIPO	YZ	3428841
1154112	3948	1994-06-06	VYDAJ	PREVOD NA UCET	314	32446	SIPO	YZ	3428841
1154113	3948	1994-07-06	VYDAJ	PREVOD NA UCET	314	43968	SIPO	YZ	3428841
1154114	3948	1994-08-06	VYDAJ	PREVOD NA UCET	314	40451	SIPO	YZ	3428841
1154115	3948	1994-09-06	VYDAJ	PREVOD NA UCET	314	35037	SIPO	YZ	3428841
1154116	3948	1994-10-06	VYDAJ	PREVOD NA UCET	314	34323	SIPO	YZ	3428841
1154117	3948	1994-11-06	VYDAJ	PREVOD NA UCET	314	33308	SIPO	YZ	3428841
1154118	3948	1994-12-06	VYDAJ	PREVOD NA UCET	314	32487	SIPO	YZ	3428841
1154119	3948	1995-01-06	VYDAJ	PREVOD NA UCET	314	36522	SIPO	YZ	3428841
1154120	3948	1995-02-06	VYDAJ	PREVOD NA UCET	314	23411	SIPO	YZ	3428841
1154121	3948	1995-03-06	VYDAJ	PREVOD NA UCET	314	28036	SIPO	YZ	3428841
1154122	3948	1995-04-06	VYDAJ	PREVOD NA UCET	314	29990	SIPO	YZ	3428841
1154123	3948	1995-05-06	VYDAJ	PREVOD NA UCET	314	33954	SIPO	YZ	3428841
1154124	3948	1995-06-06	VYDAJ	PREVOD NA UCET	314	30654	SIPO	YZ	3428841
1154125	3948	1995-07-06	VYDAJ	PREVOD NA UCET	314	34590	SIPO	YZ	3428841
1154126	3948	1995-08-06	VYDAJ	PREVOD NA UCET	314	34576	SIPO	YZ	3428841
1154127	3948	1995-09-06	VYDAJ	PREVOD NA UCET	314	34860	SIPO	YZ	3428841
1154128	3948	1995-10-06	VYDAJ	PREVOD NA UCET	314	35538	SIPO	YZ	3428841
1154129	3948	1995-11-06	VYDAJ	PREVOD NA UCET	314	33318	SIPO	YZ	3428841
1154130	3948	1995-12-06	VYDAJ	PREVOD NA UCET	314	31987	SIPO	YZ	3428841
1154131	3948	1996-01-06	VYDAJ	PREVOD NA UCET	314	34219	SIPO	YZ	3428841
1154132	3948	1996-02-06	VYDAJ	PREVOD NA UCET	314	15825	SIPO	YZ	3428841
1154133	3948	1996-03-06	VYDAJ	PREVOD NA UCET	314	23816	SIPO	YZ	3428841
1154134	3948	1996-04-06	VYDAJ	PREVOD NA UCET	314	28747	SIPO	YZ	3428841
1154135	3948	1996-05-06	VYDAJ	PREVOD NA UCET	314	26437	SIPO	YZ	3428841
1154136	3948	1996-06-06	VYDAJ	PREVOD NA UCET	314	32582	SIPO	YZ	3428841
1154137	3948	1996-07-06	VYDAJ	PREVOD NA UCET	314	29967	SIPO	YZ	3428841
1154138	3948	1996-08-06	VYDAJ	PREVOD NA UCET	314	34422	SIPO	YZ	3428841
1154139	3948	1996-09-06	VYDAJ	PREVOD NA UCET	314	29841	SIPO	YZ	3428841
1154140	3948	1996-10-06	VYDAJ	PREVOD NA UCET	314	36296	SIPO	YZ	3428841
1154141	3948	1996-11-06	VYDAJ	PREVOD NA UCET	314	35269	SIPO	YZ	3428841
1154142	3948	1996-12-06	VYDAJ	PREVOD NA UCET	314	34241	SIPO	YZ	3428841
1154143	3948	1997-01-06	VYDAJ	PREVOD NA UCET	314	40975	SIPO	YZ	3428841
1154144	3948	1997-02-06	VYDAJ	PREVOD NA UCET	314	27243	SIPO	YZ	3428841
1154145	3948	1997-03-06	VYDAJ	PREVOD NA UCET	314	26486	SIPO	YZ	3428841
1154146	3948	1997-04-06	VYDAJ	PREVOD NA UCET	314	33830	SIPO	YZ	3428841
1154147	3948	1997-05-06	VYDAJ	PREVOD NA UCET	314	40300	SIPO	YZ	3428841
1154148	3948	1997-06-06	VYDAJ	PREVOD NA UCET	314	42792	SIPO	YZ	3428841
1154149	3948	1997-07-06	VYDAJ	PREVOD NA UCET	314	44531	SIPO	YZ	3428841
1154150	3948	1997-08-06	VYDAJ	PREVOD NA UCET	314	42532	SIPO	YZ	3428841
1154151	3948	1997-09-06	VYDAJ	PREVOD NA UCET	314	41625	SIPO	YZ	3428841
1154152	3948	1997-10-06	VYDAJ	PREVOD NA UCET	314	39511	SIPO	YZ	3428841
1154153	3948	1997-11-06	VYDAJ	PREVOD NA UCET	314	35132	SIPO	YZ	3428841
1154154	3948	1997-12-06	VYDAJ	PREVOD NA UCET	314	40807	SIPO	YZ	3428841
1154155	3948	1998-01-06	VYDAJ	PREVOD NA UCET	314	45349	SIPO	YZ	3428841
1154156	3948	1998-02-06	VYDAJ	PREVOD NA UCET	314	34330	SIPO	YZ	3428841
1154157	3948	1998-03-06	VYDAJ	PREVOD NA UCET	314	42901	SIPO	YZ	3428841
1154158	3948	1998-04-06	VYDAJ	PREVOD NA UCET	314	51108	SIPO	YZ	3428841
1154159	3948	1998-05-06	VYDAJ	PREVOD NA UCET	314	54237	SIPO	YZ	3428841
1154160	3948	1998-06-06	VYDAJ	PREVOD NA UCET	314	60186	SIPO	YZ	3428841
1154161	3948	1998-07-06	VYDAJ	PREVOD NA UCET	314	51658	SIPO	YZ	3428841
1154162	3948	1998-08-06	VYDAJ	PREVOD NA UCET	314	59101	SIPO	YZ	3428841
1154163	3948	1998-09-06	VYDAJ	PREVOD NA UCET	314	66172	SIPO	YZ	3428841
1154164	3948	1998-10-06	VYDAJ	PREVOD NA UCET	314	69162	SIPO	YZ	3428841
1154165	3948	1998-11-06	VYDAJ	PREVOD NA UCET	314	75372	SIPO	YZ	3428841
1154166	3948	1998-12-06	VYDAJ	PREVOD NA UCET	314	72205	SIPO	YZ	3428841
1154183	3948	1994-05-08	VYDAJ	PREVOD NA UCET	2780	29210	 	EF	58645462
1154184	3948	1994-06-08	VYDAJ	PREVOD NA UCET	2780	23666	 	EF	58645462
1154185	3948	1994-07-08	VYDAJ	PREVOD NA UCET	2780	31088	 	EF	58645462
1154186	3948	1994-08-08	VYDAJ	PREVOD NA UCET	2780	32271	 	EF	58645462
1154187	3948	1994-09-08	VYDAJ	PREVOD NA UCET	2780	32257	 	EF	58645462
1154188	3948	1994-10-08	VYDAJ	PREVOD NA UCET	2780	31543	 	EF	58645462
1154189	3948	1994-11-08	VYDAJ	PREVOD NA UCET	2780	30528	 	EF	58645462
1154190	3948	1994-12-08	VYDAJ	PREVOD NA UCET	2780	26807	 	EF	58645462
1154191	3948	1995-01-08	VYDAJ	PREVOD NA UCET	2780	33742	 	EF	58645462
1154192	3948	1995-02-08	VYDAJ	PREVOD NA UCET	2780	20631	 	EF	58645462
1154193	3948	1995-03-08	VYDAJ	PREVOD NA UCET	2780	25256	 	EF	58645462
1154194	3948	1995-04-08	VYDAJ	PREVOD NA UCET	2780	27210	 	EF	58645462
1154195	3948	1995-05-08	VYDAJ	PREVOD NA UCET	2780	31174	 	EF	58645462
1154196	3948	1995-06-08	VYDAJ	PREVOD NA UCET	2780	27874	 	EF	58645462
1154197	3948	1995-07-08	VYDAJ	PREVOD NA UCET	2780	31810	 	EF	58645462
1154198	3948	1995-08-08	VYDAJ	PREVOD NA UCET	2780	31796	 	EF	58645462
1154199	3948	1995-09-08	VYDAJ	PREVOD NA UCET	2780	32080	 	EF	58645462
1154200	3948	1995-10-08	VYDAJ	PREVOD NA UCET	2780	32758	 	EF	58645462
1154201	3948	1995-11-08	VYDAJ	PREVOD NA UCET	2780	30538	 	EF	58645462
1154202	3948	1995-12-08	VYDAJ	PREVOD NA UCET	2780	29207	 	EF	58645462
1154203	3948	1996-01-08	VYDAJ	PREVOD NA UCET	2780	31439	 	EF	58645462
1154204	3948	1996-02-08	VYDAJ	PREVOD NA UCET	2780	13045	 	EF	58645462
1154205	3948	1996-03-08	VYDAJ	PREVOD NA UCET	2780	21036	 	EF	58645462
1154206	3948	1996-04-08	VYDAJ	PREVOD NA UCET	2780	25967	 	EF	58645462
1154207	3948	1996-05-08	VYDAJ	PREVOD NA UCET	2780	23657	 	EF	58645462
1154208	3948	1996-06-08	VYDAJ	PREVOD NA UCET	2780	29802	 	EF	58645462
1154209	3948	1996-07-08	VYDAJ	PREVOD NA UCET	2780	27187	 	EF	58645462
1154210	3948	1996-08-08	VYDAJ	PREVOD NA UCET	2780	31642	 	EF	58645462
1154211	3948	1996-09-08	VYDAJ	PREVOD NA UCET	2780	27061	 	EF	58645462
1154212	3948	1996-10-08	VYDAJ	PREVOD NA UCET	2780	33516	 	EF	58645462
1154213	3948	1996-11-08	VYDAJ	PREVOD NA UCET	2780	32489	 	EF	58645462
1154214	3948	1996-12-08	VYDAJ	PREVOD NA UCET	2780	31461	 	EF	58645462
1154215	3948	1997-01-08	VYDAJ	PREVOD NA UCET	2780	38195	 	EF	58645462
1154216	3948	1997-02-08	VYDAJ	PREVOD NA UCET	2780	24463	 	EF	58645462
1154217	3948	1997-03-08	VYDAJ	PREVOD NA UCET	2780	23706	 	EF	58645462
1154218	3948	1997-04-08	VYDAJ	PREVOD NA UCET	2780	31050	 	EF	58645462
1154219	3948	1997-05-08	VYDAJ	PREVOD NA UCET	2780	37520	 	EF	58645462
1154220	3948	1997-06-08	VYDAJ	PREVOD NA UCET	2780	40012	 	EF	58645462
1154221	3948	1997-07-08	VYDAJ	PREVOD NA UCET	2780	41751	 	EF	58645462
1154222	3948	1997-08-08	VYDAJ	PREVOD NA UCET	2780	39752	 	EF	58645462
1154223	3948	1997-09-08	VYDAJ	PREVOD NA UCET	2780	38845	 	EF	58645462
1154224	3948	1997-10-08	VYDAJ	PREVOD NA UCET	2780	36731	 	EF	58645462
1154225	3948	1997-11-08	VYDAJ	PREVOD NA UCET	2780	32352	 	EF	58645462
1154226	3948	1997-12-08	VYDAJ	PREVOD NA UCET	2780	38027	 	EF	58645462
1154227	3948	1998-01-08	VYDAJ	PREVOD NA UCET	2780	42569	 	EF	58645462
1154228	3948	1998-02-08	VYDAJ	PREVOD NA UCET	2780	31550	 	EF	58645462
1154229	3948	1998-03-08	VYDAJ	PREVOD NA UCET	2780	40121	 	EF	58645462
1154230	3948	1998-04-08	VYDAJ	PREVOD NA UCET	2780	48328	 	EF	58645462
1154231	3948	1998-05-08	VYDAJ	PREVOD NA UCET	2780	51457	 	EF	58645462
1154232	3948	1998-06-08	VYDAJ	PREVOD NA UCET	2780	57406	 	EF	58645462
1154233	3948	1998-07-08	VYDAJ	PREVOD NA UCET	2780	48878	 	EF	58645462
1154234	3948	1998-08-08	VYDAJ	PREVOD NA UCET	2780	56321	 	EF	58645462
1154235	3948	1998-09-08	VYDAJ	PREVOD NA UCET	2780	63392	 	EF	58645462
1154236	3948	1998-10-08	VYDAJ	PREVOD NA UCET	2780	66382	 	EF	58645462
1154237	3948	1998-11-08	VYDAJ	PREVOD NA UCET	2780	72592	 	EF	58645462
1154238	3948	1998-12-08	VYDAJ	PREVOD NA UCET	2780	69425	 	EF	58645462
1154254	3948	1994-04-13	VYDAJ	PREVOD NA UCET	1969	41033	POJISTNE	YZ	3555155
1154255	3948	1994-05-13	VYDAJ	PREVOD NA UCET	1969	42331	POJISTNE	YZ	3555155
1154256	3948	1994-06-13	VYDAJ	PREVOD NA UCET	1969	44332	POJISTNE	YZ	3555155
1154257	3948	1994-07-13	VYDAJ	PREVOD NA UCET	1969	44209	POJISTNE	YZ	3555155
1154258	3948	1994-08-13	VYDAJ	PREVOD NA UCET	1969	45392	POJISTNE	YZ	3555155
1154259	3948	1994-09-13	VYDAJ	PREVOD NA UCET	1969	45378	POJISTNE	YZ	3555155
1154260	3948	1994-10-13	VYDAJ	PREVOD NA UCET	1969	44664	POJISTNE	YZ	3555155
1154261	3948	1994-11-13	VYDAJ	PREVOD NA UCET	1969	43649	POJISTNE	YZ	3555155
1154262	3948	1994-12-13	VYDAJ	PREVOD NA UCET	1969	47473	POJISTNE	YZ	3555155
1154263	3948	1995-01-13	VYDAJ	PREVOD NA UCET	1969	34703	POJISTNE	YZ	3555155
1154264	3948	1995-02-13	VYDAJ	PREVOD NA UCET	1969	31252	POJISTNE	YZ	3555155
1154265	3948	1995-03-13	VYDAJ	PREVOD NA UCET	1969	38377	POJISTNE	YZ	3555155
1154266	3948	1995-04-13	VYDAJ	PREVOD NA UCET	1969	40331	POJISTNE	YZ	3555155
1154267	3948	1995-05-13	VYDAJ	PREVOD NA UCET	1969	44295	POJISTNE	YZ	3555155
1154268	3948	1995-06-13	VYDAJ	PREVOD NA UCET	1969	48540	POJISTNE	YZ	3555155
1154269	3948	1995-07-13	VYDAJ	PREVOD NA UCET	1969	44931	POJISTNE	YZ	3555155
1154270	3948	1995-08-13	VYDAJ	PREVOD NA UCET	1969	44917	POJISTNE	YZ	3555155
1154271	3948	1995-09-13	VYDAJ	PREVOD NA UCET	1969	45201	POJISTNE	YZ	3555155
1154272	3948	1995-10-13	VYDAJ	PREVOD NA UCET	1969	45879	POJISTNE	YZ	3555155
1154273	3948	1995-11-13	VYDAJ	PREVOD NA UCET	1969	43659	POJISTNE	YZ	3555155
1154274	3948	1995-12-13	VYDAJ	PREVOD NA UCET	1969	49873	POJISTNE	YZ	3555155
1154275	3948	1996-01-13	VYDAJ	PREVOD NA UCET	1969	39260	POJISTNE	YZ	3555155
1154276	3948	1996-02-13	VYDAJ	PREVOD NA UCET	1969	22466	POJISTNE	YZ	3555155
1154277	3948	1996-03-13	VYDAJ	PREVOD NA UCET	1969	34157	POJISTNE	YZ	3555155
1154278	3948	1996-04-13	VYDAJ	PREVOD NA UCET	1969	39088	POJISTNE	YZ	3555155
1154279	3948	1996-05-13	VYDAJ	PREVOD NA UCET	1969	36778	POJISTNE	YZ	3555155
1154280	3948	1996-06-13	VYDAJ	PREVOD NA UCET	1969	32068	POJISTNE	YZ	3555155
1154281	3948	1996-07-13	VYDAJ	PREVOD NA UCET	1969	40308	POJISTNE	YZ	3555155
1154282	3948	1996-08-13	VYDAJ	PREVOD NA UCET	1969	44763	POJISTNE	YZ	3555155
1154283	3948	1996-09-13	VYDAJ	PREVOD NA UCET	1969	40182	POJISTNE	YZ	3555155
1154284	3948	1996-10-13	VYDAJ	PREVOD NA UCET	1969	46637	POJISTNE	YZ	3555155
1154285	3948	1996-11-13	VYDAJ	PREVOD NA UCET	1969	45610	POJISTNE	YZ	3555155
1154286	3948	1996-12-13	VYDAJ	PREVOD NA UCET	1969	52127	POJISTNE	YZ	3555155
1154287	3948	1997-01-13	VYDAJ	PREVOD NA UCET	1969	48816	POJISTNE	YZ	3555155
1154288	3948	1997-02-13	VYDAJ	PREVOD NA UCET	1969	37584	POJISTNE	YZ	3555155
1154289	3948	1997-03-13	VYDAJ	PREVOD NA UCET	1969	36827	POJISTNE	YZ	3555155
1154290	3948	1997-04-13	VYDAJ	PREVOD NA UCET	1969	44171	POJISTNE	YZ	3555155
1154291	3948	1997-05-13	VYDAJ	PREVOD NA UCET	1969	50641	POJISTNE	YZ	3555155
1154292	3948	1997-06-13	VYDAJ	PREVOD NA UCET	1969	59878	POJISTNE	YZ	3555155
1154293	3948	1997-07-13	VYDAJ	PREVOD NA UCET	1969	54872	POJISTNE	YZ	3555155
1154294	3948	1997-08-13	VYDAJ	PREVOD NA UCET	1969	52873	POJISTNE	YZ	3555155
1154295	3948	1997-09-13	VYDAJ	PREVOD NA UCET	1969	51966	POJISTNE	YZ	3555155
1154296	3948	1997-10-13	VYDAJ	PREVOD NA UCET	1969	49852	POJISTNE	YZ	3555155
1154297	3948	1997-11-13	VYDAJ	PREVOD NA UCET	1969	45473	POJISTNE	YZ	3555155
1154298	3948	1997-12-13	VYDAJ	PREVOD NA UCET	1969	54693	POJISTNE	YZ	3555155
1154299	3948	1998-01-13	VYDAJ	PREVOD NA UCET	1969	49590	POJISTNE	YZ	3555155
1154300	3948	1998-02-13	VYDAJ	PREVOD NA UCET	1969	44671	POJISTNE	YZ	3555155
1154301	3948	1998-03-13	VYDAJ	PREVOD NA UCET	1969	53242	POJISTNE	YZ	3555155
1154302	3948	1998-04-13	VYDAJ	PREVOD NA UCET	1969	58049	POJISTNE	YZ	3555155
1154303	3948	1998-05-13	VYDAJ	PREVOD NA UCET	1969	64578	POJISTNE	YZ	3555155
1154304	3948	1998-06-13	VYDAJ	PREVOD NA UCET	1969	78072	POJISTNE	YZ	3555155
1154305	3948	1998-07-13	VYDAJ	PREVOD NA UCET	1969	61999	POJISTNE	YZ	3555155
1154306	3948	1998-08-13	VYDAJ	PREVOD NA UCET	1969	69442	POJISTNE	YZ	3555155
1154307	3948	1998-09-13	VYDAJ	PREVOD NA UCET	1969	76513	POJISTNE	YZ	3555155
1154308	3948	1998-10-13	VYDAJ	PREVOD NA UCET	1969	79503	POJISTNE	YZ	3555155
1154309	3948	1998-11-13	VYDAJ	PREVOD NA UCET	1969	78313	POJISTNE	YZ	3555155
1154310	3948	1998-12-13	VYDAJ	PREVOD NA UCET	1969	75891	POJISTNE	YZ	3555155
1154327	3948	1994-05-05	VYDAJ	PREVOD NA UCET	210	41004	 	EF	3710729
1154328	3948	1994-06-05	VYDAJ	PREVOD NA UCET	210	32760	 	EF	3710729
1154329	3948	1994-07-05	VYDAJ	PREVOD NA UCET	210	44282	 	EF	3710729
1154330	3948	1994-08-05	VYDAJ	PREVOD NA UCET	210	40765	 	EF	3710729
1154331	3948	1994-09-05	VYDAJ	PREVOD NA UCET	210	35351	 	EF	3710729
1154332	3948	1994-10-05	VYDAJ	PREVOD NA UCET	210	34637	 	EF	3710729
1154333	3948	1994-11-05	VYDAJ	PREVOD NA UCET	210	33622	 	EF	3710729
1154334	3948	1994-12-05	VYDAJ	PREVOD NA UCET	210	32801	 	EF	3710729
1154335	3948	1995-01-05	VYDAJ	PREVOD NA UCET	210	36836	 	EF	3710729
1154336	3948	1995-02-05	VYDAJ	PREVOD NA UCET	210	23725	 	EF	3710729
1154337	3948	1995-03-05	VYDAJ	PREVOD NA UCET	210	28350	 	EF	3710729
1154338	3948	1995-04-05	VYDAJ	PREVOD NA UCET	210	30304	 	EF	3710729
1154339	3948	1995-05-05	VYDAJ	PREVOD NA UCET	210	34268	 	EF	3710729
1154340	3948	1995-06-05	VYDAJ	PREVOD NA UCET	210	30968	 	EF	3710729
1154341	3948	1995-07-05	VYDAJ	PREVOD NA UCET	210	34904	 	EF	3710729
1154342	3948	1995-08-05	VYDAJ	PREVOD NA UCET	210	34890	 	EF	3710729
1154343	3948	1995-09-05	VYDAJ	PREVOD NA UCET	210	35174	 	EF	3710729
1154344	3948	1995-10-05	VYDAJ	PREVOD NA UCET	210	35852	 	EF	3710729
1154345	3948	1995-11-05	VYDAJ	PREVOD NA UCET	210	33632	 	EF	3710729
1154346	3948	1995-12-05	VYDAJ	PREVOD NA UCET	210	32301	 	EF	3710729
1154347	3948	1996-01-05	VYDAJ	PREVOD NA UCET	210	34533	 	EF	3710729
1154348	3948	1996-02-05	VYDAJ	PREVOD NA UCET	210	16139	 	EF	3710729
1154349	3948	1996-03-05	VYDAJ	PREVOD NA UCET	210	24130	 	EF	3710729
1154350	3948	1996-04-05	VYDAJ	PREVOD NA UCET	210	29061	 	EF	3710729
1154351	3948	1996-05-05	VYDAJ	PREVOD NA UCET	210	26751	 	EF	3710729
1154352	3948	1996-06-05	VYDAJ	PREVOD NA UCET	210	32896	 	EF	3710729
1154353	3948	1996-07-05	VYDAJ	PREVOD NA UCET	210	30281	 	EF	3710729
1154354	3948	1996-08-05	VYDAJ	PREVOD NA UCET	210	34736	 	EF	3710729
1154355	3948	1996-09-05	VYDAJ	PREVOD NA UCET	210	30155	 	EF	3710729
1154356	3948	1996-10-05	VYDAJ	PREVOD NA UCET	210	36610	 	EF	3710729
1154357	3948	1996-11-05	VYDAJ	PREVOD NA UCET	210	35583	 	EF	3710729
1154358	3948	1996-12-05	VYDAJ	PREVOD NA UCET	210	34555	 	EF	3710729
1154359	3948	1997-01-05	VYDAJ	PREVOD NA UCET	210	41289	 	EF	3710729
1154360	3948	1997-02-05	VYDAJ	PREVOD NA UCET	210	27557	 	EF	3710729
1154361	3948	1997-03-05	VYDAJ	PREVOD NA UCET	210	26800	 	EF	3710729
1154362	3948	1997-04-05	VYDAJ	PREVOD NA UCET	210	34144	 	EF	3710729
1154363	3948	1997-05-05	VYDAJ	PREVOD NA UCET	210	40614	 	EF	3710729
1154364	3948	1997-06-05	VYDAJ	PREVOD NA UCET	210	43106	 	EF	3710729
1154365	3948	1997-07-05	VYDAJ	PREVOD NA UCET	210	44845	 	EF	3710729
1154366	3948	1997-08-05	VYDAJ	PREVOD NA UCET	210	42846	 	EF	3710729
1154367	3948	1997-09-05	VYDAJ	PREVOD NA UCET	210	41939	 	EF	3710729
1154368	3948	1997-10-05	VYDAJ	PREVOD NA UCET	210	39825	 	EF	3710729
1154369	3948	1997-11-05	VYDAJ	PREVOD NA UCET	210	35446	 	EF	3710729
1154370	3948	1997-12-05	VYDAJ	PREVOD NA UCET	210	41121	 	EF	3710729
1154371	3948	1998-01-05	VYDAJ	PREVOD NA UCET	210	45663	 	EF	3710729
1154372	3948	1998-02-05	VYDAJ	PREVOD NA UCET	210	34644	 	EF	3710729
1154373	3948	1998-03-05	VYDAJ	PREVOD NA UCET	210	43215	 	EF	3710729
1154374	3948	1998-04-05	VYDAJ	PREVOD NA UCET	210	51422	 	EF	3710729
1154375	3948	1998-05-05	VYDAJ	PREVOD NA UCET	210	54551	 	EF	3710729
1154376	3948	1998-06-05	VYDAJ	PREVOD NA UCET	210	60500	 	EF	3710729
1154377	3948	1998-07-05	VYDAJ	PREVOD NA UCET	210	51972	 	EF	3710729
1154378	3948	1998-08-05	VYDAJ	PREVOD NA UCET	210	59415	 	EF	3710729
1154379	3948	1998-09-05	VYDAJ	PREVOD NA UCET	210	66486	 	EF	3710729
1154380	3948	1998-10-05	VYDAJ	PREVOD NA UCET	210	69476	 	EF	3710729
1154381	3948	1998-11-05	VYDAJ	PREVOD NA UCET	210	75686	 	EF	3710729
1154382	3948	1998-12-05	VYDAJ	PREVOD NA UCET	210	72519	 	EF	3710729
1154384	3948	1994-06-04	VYDAJ	VYBER	8800	32970	\N	\N	\N
1154385	3948	1995-06-04	VYDAJ	VYBER	5280	31178	\N	\N	\N
1154386	3948	1996-06-11	VYDAJ	VYBER	18400	34037	\N	\N	\N
1154388	3948	1998-06-23	VYDAJ	VYBER	16640	51932	\N	\N	\N
1154391	3948	1995-01-09	VYDAJ	VYBER	8960	38672	\N	\N	\N
1154392	3948	1996-01-29	VYDAJ	VYBER	10240	16220	\N	\N	\N
1154393	3948	1997-01-15	VYDAJ	VYBER	6720	40096	\N	\N	\N
1154394	3948	1998-01-10	VYDAJ	VYBER KARTOU	3500	54159	\N	\N	0
1154396	3948	1994-12-07	VYDAJ	VYBER KARTOU	2900	29587	\N	\N	0
1154397	3948	1995-12-02	VYDAJ	VYBER KARTOU	2400	32511	\N	\N	0
1154398	3948	1996-12-03	VYDAJ	VYBER KARTOU	3200	34765	\N	\N	0
1154399	3948	1997-12-10	VYDAJ	VYBER KARTOU	4000	56662	\N	\N	0
1154400	3948	1998-12-20	VYDAJ	VYBER KARTOU	800	75091	\N	\N	0
1154413	3948	1995-01-09	VYDAJ	VYBER KARTOU	1200	47632	\N	\N	0
1154414	3948	1995-01-20	VYDAJ	VYBER KARTOU	2400	32303	\N	\N	0
1154415	3948	1995-01-11	VYDAJ	VYBER KARTOU	2000	36672	\N	\N	0
1154416	3948	1995-01-28	VYDAJ	VYBER KARTOU	1200	26503	\N	\N	0
1154417	3948	1995-01-25	VYDAJ	VYBER KARTOU	2800	27703	\N	\N	0
1154418	3948	1995-01-21	VYDAJ	VYBER KARTOU	1800	30503	\N	\N	0
1154419	3948	1996-01-23	VYDAJ	VYBER KARTOU	2400	34460	\N	\N	0
1154420	3948	1996-01-10	VYDAJ	VYBER KARTOU	3400	41229	\N	\N	0
1154421	3948	1996-01-10	VYDAJ	VYBER KARTOU	1900	44629	\N	\N	0
1154422	3948	1996-01-03	VYDAJ	VYBER KARTOU	1100	34743	\N	\N	0
1154423	3948	1996-01-16	VYDAJ	VYBER KARTOU	2400	36860	\N	\N	0
1154424	3948	1996-01-25	VYDAJ	VYBER KARTOU	2900	31560	\N	\N	0
1154425	3948	1997-01-15	VYDAJ	VYBER KARTOU	700	46816	\N	\N	0
1154426	3948	1997-01-14	VYDAJ	VYBER KARTOU	1300	47516	\N	\N	0
1154427	3948	1997-01-20	VYDAJ	VYBER KARTOU	1600	38496	\N	\N	0
1154428	3948	1997-01-29	VYDAJ	VYBER KARTOU	1000	32896	\N	\N	0
1154429	3948	1997-01-12	VYDAJ	VYBER KARTOU	2500	50785	\N	\N	0
1154430	3948	1997-01-21	VYDAJ	VYBER KARTOU	1100	37396	\N	\N	0
1154431	3948	1998-01-23	VYDAJ	VYBER KARTOU	1700	37690	\N	\N	0
1154432	3948	1998-01-23	VYDAJ	VYBER KARTOU	3000	34690	\N	\N	0
1154433	3948	1998-01-22	VYDAJ	VYBER KARTOU	2000	39390	\N	\N	0
1154434	3948	1998-01-20	VYDAJ	VYBER KARTOU	800	41390	\N	\N	0
1154435	3948	1998-01-11	VYDAJ	VYBER KARTOU	2600	51559	\N	\N	0
1154436	3948	1998-01-13	VYDAJ	VYBER KARTOU	2200	47390	\N	\N	0
1154441	3948	1994-10-03	VYDAJ	VYBER KARTOU	2200	43347	\N	\N	0
1154444	3948	1994-07-28	VYDAJ	VYBER KARTOU	3400	40809	\N	\N	0
1154445	3948	1994-06-03	VYDAJ	VYBER	720	41770	\N	\N	\N
1154446	3948	1994-04-11	VYDAJ	VYBER	4440	43002	\N	\N	\N
1154448	3948	1995-02-10	VYDAJ	VYBER KARTOU	2500	33221	\N	\N	0
1154449	3948	1995-11-25	VYDAJ	VYBER KARTOU	3000	40659	\N	\N	0
1154450	3948	1995-02-02	VYDAJ	VYBER KARTOU	2900	23935	\N	\N	0
1154451	3948	1996-08-20	VYDAJ	VYBER	5760	39003	\N	\N	\N
1154452	3948	1996-06-19	VYDAJ	VYBER KARTOU	700	31368	\N	\N	0
1154453	3948	1996-02-11	VYDAJ	VYBER KARTOU	3700	24435	\N	\N	0
1154454	3948	1996-08-24	VYDAJ	VYBER	4680	34323	\N	\N	\N
1154455	3948	1996-05-04	VYDAJ	VYBER	5160	26961	\N	\N	\N
1154456	3948	1997-06-26	VYDAJ	VYBER	4320	44858	\N	\N	\N
1154457	3948	1997-03-03	VYDAJ	VYBER	5400	27010	\N	\N	\N
1154458	3948	1997-10-31	VYDAJ	VYBER	5160	35656	\N	\N	\N
1154459	3948	1997-02-03	VYDAJ	VYBER	5280	27767	\N	\N	\N
1154460	3948	1997-06-09	VYDAJ	VYBER KARTOU	800	61847	\N	\N	0
1154461	3948	1998-04-11	VYDAJ	VYBER KARTOU	3400	60018	\N	\N	0
1154462	3948	1998-07-23	VYDAJ	VYBER KARTOU	2400	59399	\N	\N	0
1154463	3948	1998-11-15	VYDAJ	VYBER	5880	72433	\N	\N	\N
1154480	3948	1994-04-30	VYDAJ	VYBER	15	41214	SLUZBY	\N	\N
1154481	3948	1994-05-31	VYDAJ	VYBER	15	42490	SLUZBY	\N	\N
1154482	3948	1994-06-30	VYDAJ	VYBER	15	44492	SLUZBY	\N	\N
1154483	3948	1994-07-31	VYDAJ	VYBER	15	40975	SLUZBY	\N	\N
1154484	3948	1994-08-31	VYDAJ	VYBER	15	45561	SLUZBY	\N	\N
1154485	3948	1994-09-30	VYDAJ	VYBER	15	45547	SLUZBY	\N	\N
1154486	3948	1994-10-31	VYDAJ	VYBER	15	44832	SLUZBY	\N	\N
1154487	3948	1994-11-30	VYDAJ	VYBER	15	43811	SLUZBY	\N	\N
1154488	3948	1994-12-31	VYDAJ	VYBER	15	47646	SLUZBY	\N	\N
1154489	3948	1995-01-31	VYDAJ	VYBER	15	26635	SLUZBY	\N	\N
1154490	3948	1995-02-28	VYDAJ	VYBER	15	31360	SLUZBY	\N	\N
1154491	3948	1995-03-31	VYDAJ	VYBER	15	38514	SLUZBY	\N	\N
1154492	3948	1995-04-30	VYDAJ	VYBER	15	40478	SLUZBY	\N	\N
1154493	3948	1995-05-31	VYDAJ	VYBER	15	44458	SLUZBY	\N	\N
1154494	3948	1995-06-30	VYDAJ	VYBER	15	48714	SLUZBY	\N	\N
1154495	3948	1995-07-31	VYDAJ	VYBER	15	45100	SLUZBY	\N	\N
1154496	3948	1995-08-31	VYDAJ	VYBER	15	45084	SLUZBY	\N	\N
1154497	3948	1995-09-30	VYDAJ	VYBER	15	45362	SLUZBY	\N	\N
1154498	3948	1995-10-31	VYDAJ	VYBER	15	33842	SLUZBY	\N	\N
1154499	3948	1995-11-30	VYDAJ	VYBER	15	34911	SLUZBY	\N	\N
1154500	3948	1995-12-31	VYDAJ	VYBER	15	35843	SLUZBY	\N	\N
1154501	3948	1996-01-31	VYDAJ	VYBER	15	16349	SLUZBY	\N	\N
1154502	3948	1996-02-29	VYDAJ	VYBER	15	24340	SLUZBY	\N	\N
1154503	3948	1996-03-31	VYDAJ	VYBER	15	29271	SLUZBY	\N	\N
1154504	3948	1996-04-30	VYDAJ	VYBER	15	32121	SLUZBY	\N	\N
1154505	3948	1996-05-31	VYDAJ	VYBER	15	33106	SLUZBY	\N	\N
1154506	3948	1996-06-30	VYDAJ	VYBER	15	30491	SLUZBY	\N	\N
1154507	3948	1996-07-31	VYDAJ	VYBER	15	34946	SLUZBY	\N	\N
1154508	3948	1996-08-31	VYDAJ	VYBER	15	30365	SLUZBY	\N	\N
1154509	3948	1996-09-30	VYDAJ	VYBER	15	36820	SLUZBY	\N	\N
1154510	3948	1996-10-31	VYDAJ	VYBER	15	35793	SLUZBY	\N	\N
1154511	3948	1996-11-30	VYDAJ	VYBER	15	37965	SLUZBY	\N	\N
1154512	3948	1996-12-31	VYDAJ	VYBER	15	41499	SLUZBY	\N	\N
1154513	3948	1997-01-31	VYDAJ	VYBER	15	33047	SLUZBY	\N	\N
1154514	3948	1997-02-28	VYDAJ	VYBER	15	32410	SLUZBY	\N	\N
1154515	3948	1997-03-31	VYDAJ	VYBER	15	34354	SLUZBY	\N	\N
1154516	3948	1997-04-30	VYDAJ	VYBER	15	40824	SLUZBY	\N	\N
1154517	3948	1997-05-31	VYDAJ	VYBER	15	43316	SLUZBY	\N	\N
1154518	3948	1997-06-30	VYDAJ	VYBER	15	45055	SLUZBY	\N	\N
1154519	3948	1997-07-31	VYDAJ	VYBER	15	43056	SLUZBY	\N	\N
1154520	3948	1997-08-31	VYDAJ	VYBER	15	42149	SLUZBY	\N	\N
1154521	3948	1997-09-30	VYDAJ	VYBER	15	40035	SLUZBY	\N	\N
1154522	3948	1997-10-31	VYDAJ	VYBER	15	40816	SLUZBY	\N	\N
1154523	3948	1997-11-30	VYDAJ	VYBER	15	41331	SLUZBY	\N	\N
1154524	3948	1997-12-31	VYDAJ	VYBER	15	45873	SLUZBY	\N	\N
1154525	3948	1998-01-31	VYDAJ	VYBER	15	34854	SLUZBY	\N	\N
1154526	3948	1998-02-28	VYDAJ	VYBER	15	43425	SLUZBY	\N	\N
1154527	3948	1998-03-31	VYDAJ	VYBER	15	51632	SLUZBY	\N	\N
1154528	3948	1998-04-30	VYDAJ	VYBER	15	54761	SLUZBY	\N	\N
1154529	3948	1998-05-31	VYDAJ	VYBER	15	60710	SLUZBY	\N	\N
1154530	3948	1998-06-30	VYDAJ	VYBER	15	52182	SLUZBY	\N	\N
1154531	3948	1998-07-31	VYDAJ	VYBER	15	59625	SLUZBY	\N	\N
1154532	3948	1998-08-31	VYDAJ	VYBER	15	66696	SLUZBY	\N	\N
1154533	3948	1998-09-30	VYDAJ	VYBER	15	69686	SLUZBY	\N	\N
1154534	3948	1998-10-31	VYDAJ	VYBER	15	75896	SLUZBY	\N	\N
1154535	3948	1998-11-30	VYDAJ	VYBER	15	72729	SLUZBY	\N	\N
1154536	3948	1993-12-09	PRIJEM	VKLAD	1600	25335	\N	\N	\N
1154537	3948	1994-01-08	PRIJEM	VKLAD	300	25708	\N	\N	\N
1154538	3948	1994-02-07	VYDAJ	VYBER	10400	30550	\N	\N	\N
1154539	3948	1994-03-09	VYDAJ	VYBER	17400	43514	\N	\N	\N
1154540	3948	1994-04-08	VYDAJ	VYBER	11400	32352	\N	\N	\N
1154541	3948	1994-05-08	VYDAJ	VYBER	8700	31990	\N	\N	\N
1154542	3948	1994-06-07	VYDAJ	VYBER	6000	26446	\N	\N	\N
1154543	3948	1994-07-07	VYDAJ	VYBER	10100	33868	\N	\N	\N
1154544	3948	1994-08-06	VYDAJ	VYBER	5400	35051	\N	\N	\N
1154545	3948	1994-09-05	VYDAJ	VYBER	10000	35561	\N	\N	\N
1154546	3948	1994-10-05	VYDAJ	VYBER	8500	34847	\N	\N	\N
1154547	3948	1994-11-04	VYDAJ	VYBER	11000	33832	\N	\N	\N
1154548	3948	1994-12-04	VYDAJ	VYBER	10800	33011	\N	\N	\N
1154549	3948	1995-01-03	VYDAJ	VYBER	10600	37046	\N	\N	\N
1154550	3948	1995-02-02	PRIJEM	VKLAD	200	26835	\N	\N	\N
1154551	3948	1995-03-04	VYDAJ	VYBER KARTOU	2800	28560	\N	\N	0
1154552	3948	1995-04-03	VYDAJ	VYBER	8000	30514	\N	\N	\N
1154553	3948	1995-05-03	VYDAJ	VYBER	6000	34478	\N	\N	\N
1154554	3948	1995-06-02	VYDAJ	VYBER	8000	36458	\N	\N	\N
1154555	3948	1995-07-02	VYDAJ	VYBER	13600	35114	\N	\N	\N
1154556	3948	1995-08-01	VYDAJ	VYBER	10000	35100	\N	\N	\N
1154557	3948	1995-08-31	VYDAJ	VYBER	9700	35384	\N	\N	\N
1154558	3948	1995-09-30	VYDAJ	VYBER	9300	36062	\N	\N	\N
1154559	3948	1995-10-30	VYDAJ	VYBER	12200	33679	\N	\N	\N
1154560	3948	1995-11-29	VYDAJ	VYBER	5900	34759	\N	\N	\N
1154561	3948	1995-12-29	VYDAJ	VYBER	14200	35673	\N	\N	\N
1154562	3948	1996-01-28	VYDAJ	VYBER	5100	26460	\N	\N	\N
1154563	3948	1996-02-27	PRIJEM	VKLAD	1800	24266	\N	\N	\N
1154564	3948	1996-03-28	VYDAJ	VYBER	5000	29157	\N	\N	\N
1154565	3948	1996-04-27	VYDAJ	VYBER	7100	31988	\N	\N	\N
1154566	3948	1996-05-27	VYDAJ	VYBER KARTOU	3800	32978	\N	\N	0
1154567	3948	1996-06-26	VYDAJ	VYBER KARTOU	1000	30368	\N	\N	0
1154568	3948	1996-07-26	VYDAJ	VYBER	5500	34808	\N	\N	\N
1154569	3948	1996-08-25	VYDAJ	VYBER	4100	30223	\N	\N	\N
1154570	3948	1996-09-24	VYDAJ	VYBER KARTOU	3500	36682	\N	\N	0
1154571	3948	1996-10-24	VYDAJ	VYBER	11000	35637	\N	\N	\N
1154572	3948	1996-11-23	VYDAJ	VYBER	7800	37810	\N	\N	\N
1154573	3948	1996-12-23	VYDAJ	VYBER	10800	41327	\N	\N	\N
1154574	3948	1997-01-22	VYDAJ	VYBER KARTOU	3500	33896	\N	\N	0
1154575	3948	1997-02-21	VYDAJ	VYBER	5300	32284	\N	\N	\N
1154576	3948	1997-03-23	VYDAJ	VYBER KARTOU	2600	34227	\N	\N	0
1154577	3948	1997-04-22	VYDAJ	VYBER KARTOU	3500	40671	\N	\N	0
1154578	3948	1997-05-22	VYDAJ	VYBER	7500	43141	\N	\N	\N
1154579	3948	1997-06-21	VYDAJ	VYBER	10700	49178	\N	\N	\N
1154580	3948	1997-07-21	VYDAJ	VYBER	12000	42872	\N	\N	\N
1154581	3948	1997-08-20	VYDAJ	VYBER	10900	41973	\N	\N	\N
1154582	3948	1997-09-19	VYDAJ	VYBER	12100	39866	\N	\N	\N
1154583	3948	1997-10-19	VYDAJ	VYBER	9200	40652	\N	\N	\N
1154584	3948	1997-11-18	VYDAJ	VYBER	4300	41173	\N	\N	\N
1154585	3948	1997-12-18	VYDAJ	VYBER	9000	45693	\N	\N	\N
1154586	3948	1998-01-17	VYDAJ	VYBER	5200	42190	\N	\N	\N
1154587	3948	1998-02-16	VYDAJ	VYBER KARTOU	1400	43271	\N	\N	0
1154588	3948	1998-03-18	VYDAJ	VYBER KARTOU	1800	51442	\N	\N	0
1154589	3948	1998-04-17	VYDAJ	VYBER KARTOU	3500	54549	\N	\N	0
1154590	3948	1998-05-17	VYDAJ	VYBER	4100	60478	\N	\N	\N
1154591	3948	1998-06-16	VYDAJ	VYBER	9500	68572	\N	\N	\N
1154592	3948	1998-07-16	VYDAJ	VYBER KARTOU	200	61799	\N	\N	0
1154593	3948	1998-08-15	VYDAJ	VYBER KARTOU	3000	66442	\N	\N	0
1154594	3948	1998-09-14	VYDAJ	VYBER	7100	69413	\N	\N	\N
1154595	3948	1998-10-14	VYDAJ	VYBER KARTOU	3900	75603	\N	\N	0
1154596	3948	1998-11-13	VYDAJ	VYBER	7400	80282	\N	\N	\N
1154597	3948	1998-12-13	VYDAJ	VYBER	14200	77860	\N	\N	\N
1154659	3949	1996-01-11	PRIJEM	VKLAD	300	300	\N	\N	\N
1154660	3949	1996-11-10	PRIJEM	VKLAD	9592	45873	\N	\N	\N
1154661	3949	1996-02-15	PRIJEM	VKLAD	18155	32755	\N	\N	\N
1154662	3949	1997-04-22	PRIJEM	VKLAD	38749	80661	\N	\N	\N
1154663	3949	1997-09-20	PRIJEM	VKLAD	27839	61079	\N	\N	\N
1154664	3949	1998-12-21	PRIJEM	VKLAD	11361	27213	\N	\N	\N
1154665	3949	1998-05-21	PRIJEM	VKLAD	46499	70955	\N	\N	\N
1154671	3949	1998-06-18	VYDAJ	VYBER	24300	23241	\N	\N	\N
1154674	3949	1998-12-05	VYDAJ	VYBER KARTOU	600	15852	\N	\N	0
1154686	3949	1998-11-27	VYDAJ	VYBER KARTOU	1500	16393	\N	\N	0
1154687	3949	1998-07-21	VYDAJ	VYBER KARTOU	700	24717	\N	\N	0
1154689	3949	1998-08-19	VYDAJ	VYBER KARTOU	1800	21707	\N	\N	0
1154719	3949	1998-05-31	VYDAJ	VYBER	15	47541	SLUZBY	\N	\N
1154720	3949	1998-06-30	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
1154721	3949	1998-07-31	VYDAJ	VYBER	15	23507	SLUZBY	\N	\N
1154722	3949	1998-08-31	VYDAJ	VYBER	15	15485	SLUZBY	\N	\N
1154723	3949	1998-09-30	VYDAJ	VYBER	15	17535	SLUZBY	\N	\N
1154724	3949	1998-10-31	VYDAJ	VYBER	15	17893	SLUZBY	\N	\N
1154725	3949	1998-11-30	VYDAJ	VYBER	15	16452	SLUZBY	\N	\N
1154726	3949	1996-02-10	PRIJEM	VKLAD	14300	14600	\N	\N	\N
1154727	3949	1996-03-11	PRIJEM	VKLAD	800	33626	\N	\N	\N
1154728	3949	1996-04-10	VYDAJ	VYBER	3500	30262	\N	\N	\N
1154729	3949	1996-05-10	VYDAJ	VYBER	1200	29199	\N	\N	\N
1154730	3949	1996-06-09	VYDAJ	VYBER	1200	28135	\N	\N	\N
1154731	3949	1996-07-09	PRIJEM	VKLAD	2300	30572	\N	\N	\N
1154732	3949	1996-08-08	VYDAJ	VYBER	700	30008	\N	\N	\N
1154733	3949	1996-10-07	PRIJEM	VKLAD	2600	32744	\N	\N	\N
1154734	3949	1996-11-06	PRIJEM	VKLAD	3400	36281	\N	\N	\N
1154735	3949	1996-12-06	VYDAJ	VYBER	4900	41148	\N	\N	\N
1154736	3949	1997-01-05	VYDAJ	VYBER	700	40639	\N	\N	\N
1154737	3949	1997-02-04	PRIJEM	VKLAD	1300	42130	\N	\N	\N
1154738	3949	1997-03-06	PRIJEM	VKLAD	1100	43421	\N	\N	\N
1154739	3949	1997-04-05	VYDAJ	VYBER	1700	41912	\N	\N	\N
1154740	3949	1997-05-05	VYDAJ	VYBER	20900	59996	\N	\N	\N
1154741	3949	1997-06-04	VYDAJ	VYBER	14800	45532	\N	\N	\N
1154742	3949	1997-07-04	VYDAJ	VYBER	9400	36468	\N	\N	\N
1154743	3949	1997-08-03	VYDAJ	VYBER KARTOU	2600	34204	\N	\N	0
1154744	3949	1997-09-02	VYDAJ	VYBER KARTOU	1300	33240	\N	\N	0
1154745	3949	1997-10-02	VYDAJ	VYBER	18200	43185	\N	\N	\N
1154746	3949	1997-11-01	VYDAJ	VYBER	9500	33939	\N	\N	\N
1154747	3949	1997-12-01	VYDAJ	VYBER	4700	29493	\N	\N	\N
1154748	3949	1997-12-31	VYDAJ	VYBER	4600	25143	\N	\N	\N
1154749	3949	1998-01-30	VYDAJ	VYBER KARTOU	3000	22143	\N	\N	0
1154750	3949	1998-03-01	VYDAJ	VYBER KARTOU	1600	20658	\N	\N	0
1154751	3949	1998-03-31	PRIJEM	VKLAD	2000	22658	\N	\N	\N
1154752	3949	1998-04-30	PRIJEM	VKLAD	1600	24362	\N	\N	\N
1154753	3949	1998-05-30	VYDAJ	VYBER	23500	47455	\N	\N	\N
1154754	3949	1998-06-29	PRIJEM	VKLAD	2000	25241	\N	\N	\N
1154755	3949	1998-07-29	VYDAJ	VYBER KARTOU	1300	23417	\N	\N	0
1154756	3949	1998-08-28	VYDAJ	VYBER	6300	15407	\N	\N	\N
1154757	3949	1998-09-27	PRIJEM	VKLAD	2000	17485	\N	\N	\N
1154758	3949	1998-10-27	PRIJEM	VKLAD	300	17835	\N	\N	\N
1154792	3950	1997-09-01	PRIJEM	VKLAD	400	400	\N	\N	\N
1154801	3950	1997-09-09	PRIJEM	VKLAD	24104	24504	\N	\N	\N
1154802	3950	1997-10-09	PRIJEM	VKLAD	24104	47083	\N	\N	\N
1154803	3950	1997-11-09	PRIJEM	VKLAD	24104	60557	\N	\N	\N
1154804	3950	1997-12-09	PRIJEM	VKLAD	36156	75766	\N	\N	\N
1154805	3950	1998-01-09	PRIJEM	VKLAD	24104	71137	\N	\N	\N
1154806	3950	1998-02-09	PRIJEM	VKLAD	24104	52608	\N	\N	\N
1154807	3950	1998-03-09	PRIJEM	VKLAD	24104	51838	\N	\N	\N
1154808	3950	1998-04-09	PRIJEM	VKLAD	24104	51166	\N	\N	\N
1154809	3950	1998-05-09	PRIJEM	VKLAD	24104	51791	\N	\N	\N
1154810	3950	1998-06-09	PRIJEM	VKLAD	36156	71162	\N	\N	\N
1154811	3950	1998-07-09	PRIJEM	VKLAD	24104	56796	\N	\N	\N
1154812	3950	1998-08-09	PRIJEM	VKLAD	24104	64343	\N	\N	\N
1154813	3950	1998-09-09	PRIJEM	VKLAD	24104	69019	\N	\N	\N
1154814	3950	1998-10-09	PRIJEM	VKLAD	24104	68109	\N	\N	\N
1154815	3950	1998-11-09	PRIJEM	VKLAD	24104	62690	\N	\N	\N
1154816	3950	1998-12-09	PRIJEM	VKLAD	36156	74603	\N	\N	\N
1154830	3950	1998-02-05	VYDAJ	PREVOD NA UCET	6955	28504	SIPO	EF	8577830
1154831	3950	1998-03-05	VYDAJ	PREVOD NA UCET	6955	27734	SIPO	EF	8577830
1154832	3950	1998-04-05	VYDAJ	PREVOD NA UCET	6955	27062	SIPO	EF	8577830
1154833	3950	1998-05-05	VYDAJ	PREVOD NA UCET	6955	27687	SIPO	EF	8577830
1154834	3950	1998-06-05	VYDAJ	PREVOD NA UCET	6955	35006	SIPO	EF	8577830
1154835	3950	1998-07-05	VYDAJ	PREVOD NA UCET	6955	32692	SIPO	EF	8577830
1154836	3950	1998-08-05	VYDAJ	PREVOD NA UCET	6955	40239	SIPO	EF	8577830
1154837	3950	1998-09-05	VYDAJ	PREVOD NA UCET	6955	44915	SIPO	EF	8577830
1154838	3950	1998-10-05	VYDAJ	PREVOD NA UCET	6955	44005	SIPO	EF	8577830
1154839	3950	1998-11-05	VYDAJ	PREVOD NA UCET	6955	38586	SIPO	EF	8577830
1154840	3950	1998-12-05	VYDAJ	PREVOD NA UCET	6955	38447	SIPO	EF	8577830
1154866	3950	1998-06-15	VYDAJ	VYBER	28500	42662	\N	\N	\N
1154868	3950	1998-01-19	VYDAJ	VYBER	8200	60037	\N	\N	\N
1154870	3950	1998-12-20	VYDAJ	VYBER KARTOU	2100	72503	\N	\N	0
1154878	3950	1998-01-29	VYDAJ	VYBER	2700	55437	\N	\N	\N
1154879	3950	1998-01-11	VYDAJ	VYBER	2100	69037	\N	\N	\N
1154880	3950	1998-01-26	VYDAJ	VYBER	1900	58137	\N	\N	\N
1154881	3950	1998-01-18	VYDAJ	VYBER	800	68237	\N	\N	\N
1154882	3950	1998-01-29	VYDAJ	VYBER	600	35237	\N	\N	\N
1154887	3950	1998-04-16	VYDAJ	VYBER	2000	49166	\N	\N	\N
1154888	3950	1998-05-01	VYDAJ	VYBER	3100	34642	\N	\N	\N
1154889	3950	1998-05-13	VYDAJ	VYBER KARTOU	2700	49091	\N	\N	0
1154890	3950	1998-03-31	VYDAJ	VYBER	3000	34017	\N	\N	\N
1154904	3950	1998-01-31	VYDAJ	VYBER	15	35459	SLUZBY	\N	\N
1154905	3950	1998-02-28	VYDAJ	VYBER	15	52789	SLUZBY	\N	\N
1154906	3950	1998-03-31	VYDAJ	VYBER	15	37017	SLUZBY	\N	\N
1154907	3950	1998-04-30	VYDAJ	VYBER	15	37742	SLUZBY	\N	\N
1154908	3950	1998-05-31	VYDAJ	VYBER	15	41961	SLUZBY	\N	\N
1154909	3950	1998-06-30	VYDAJ	VYBER	15	39647	SLUZBY	\N	\N
1154910	3950	1998-07-31	VYDAJ	VYBER	15	47194	SLUZBY	\N	\N
1154911	3950	1998-08-31	VYDAJ	VYBER	15	51870	SLUZBY	\N	\N
1154912	3950	1998-09-30	VYDAJ	VYBER	15	50960	SLUZBY	\N	\N
1154913	3950	1998-10-31	VYDAJ	VYBER	15	45541	SLUZBY	\N	\N
1154914	3950	1998-11-30	VYDAJ	VYBER	15	45402	SLUZBY	\N	\N
1154915	3950	1997-10-01	VYDAJ	VYBER	1600	22979	\N	\N	\N
1154916	3950	1997-10-31	VYDAJ	VYBER	10800	36453	\N	\N	\N
1154917	3950	1997-11-30	VYDAJ	VYBER	21100	39610	\N	\N	\N
1154918	3950	1997-12-30	VYDAJ	VYBER	28900	46866	\N	\N	\N
1154919	3950	1998-01-29	VYDAJ	VYBER	19600	35837	\N	\N	\N
1154920	3950	1998-02-28	VYDAJ	VYBER	18100	34689	\N	\N	\N
1154921	3950	1998-03-30	VYDAJ	VYBER	15000	36838	\N	\N	\N
1154922	3950	1998-04-29	VYDAJ	VYBER	11600	37566	\N	\N	\N
1154923	3950	1998-05-29	VYDAJ	VYBER	7300	41791	\N	\N	\N
1154924	3950	1998-06-28	VYDAJ	VYBER KARTOU	3200	39462	\N	\N	0
1154925	3950	1998-07-28	VYDAJ	VYBER	9800	46996	\N	\N	\N
1154926	3950	1998-08-27	VYDAJ	VYBER	12700	51643	\N	\N	\N
1154927	3950	1998-09-26	VYDAJ	VYBER	18300	50719	\N	\N	\N
1154928	3950	1998-10-26	VYDAJ	VYBER	22800	45309	\N	\N	\N
1154929	3950	1998-11-25	VYDAJ	VYBER	17500	45190	\N	\N	\N
1154946	3951	1997-06-02	PRIJEM	VKLAD	600	600	\N	\N	\N
1154952	3951	1997-06-11	PRIJEM	VKLAD	8302	8902	\N	\N	\N
1154953	3951	1997-07-11	PRIJEM	VKLAD	5535	20762	\N	\N	\N
1154954	3951	1997-08-11	PRIJEM	VKLAD	5535	25367	\N	\N	\N
1154955	3951	1997-09-11	PRIJEM	VKLAD	5535	27601	\N	\N	\N
1154956	3951	1997-10-11	PRIJEM	VKLAD	5535	28128	\N	\N	\N
1154957	3951	1997-11-11	PRIJEM	VKLAD	5535	19541	\N	\N	\N
1154958	3951	1997-12-11	PRIJEM	VKLAD	8302	26516	\N	\N	\N
1154959	3951	1998-01-11	PRIJEM	VKLAD	5535	19029	\N	\N	\N
1154960	3951	1998-02-11	PRIJEM	VKLAD	5535	13709	\N	\N	\N
1154961	3951	1998-03-11	PRIJEM	VKLAD	5535	12566	\N	\N	\N
1154962	3951	1998-04-11	PRIJEM	VKLAD	5535	18141	\N	\N	\N
1154963	3951	1998-05-11	PRIJEM	VKLAD	5535	10312	\N	\N	\N
1154964	3951	1998-06-11	PRIJEM	VKLAD	8302	12239	\N	\N	\N
1154965	3951	1998-07-11	PRIJEM	VKLAD	5535	17777	\N	\N	\N
1154966	3951	1998-08-11	PRIJEM	VKLAD	5535	10342	\N	\N	\N
1154967	3951	1998-09-11	PRIJEM	VKLAD	5535	15883	\N	\N	\N
1154968	3951	1998-10-11	PRIJEM	VKLAD	5535	16147	\N	\N	\N
1154969	3951	1998-11-11	PRIJEM	VKLAD	5535	21711	\N	\N	\N
1154970	3951	1998-12-11	PRIJEM	VKLAD	8302	17366	\N	\N	\N
1154980	3951	1997-10-14	VYDAJ	VYBER	6400	21728	\N	\N	0
1154981	3951	1997-11-09	VYDAJ	VYBER	9800	14006	\N	\N	0
1154982	3951	1997-12-16	VYDAJ	VYBER	6100	20416	\N	\N	0
1154983	3951	1998-01-16	VYDAJ	VYBER	5000	14029	\N	\N	0
1154984	3951	1998-01-28	VYDAJ	VYBER	5600	8429	\N	\N	0
1154985	3951	1998-03-07	VYDAJ	VYBER	7300	7031	\N	\N	0
1154986	3951	1998-04-21	VYDAJ	VYBER	6700	11441	\N	\N	0
1154987	3951	1998-05-06	VYDAJ	VYBER	6700	4777	\N	\N	0
1154988	3951	1998-05-27	VYDAJ	VYBER	6400	3912	\N	\N	0
1154989	3951	1998-07-11	VYDAJ	VYBER	6600	11177	\N	\N	0
1154990	3951	1998-07-28	VYDAJ	VYBER	6400	4777	\N	\N	0
1154991	3951	1998-09-14	VYDAJ	VYBER	5300	10583	\N	\N	0
1154993	3951	1998-11-24	VYDAJ	VYBER	4900	16811	\N	\N	0
1154994	3951	1998-12-10	VYDAJ	VYBER	7800	9064	\N	\N	0
1154999	3951	1997-12-17	VYDAJ	VYBER	3520	16896	\N	\N	\N
1155008	3951	1998-01-09	VYDAJ	VYBER	1560	13494	\N	\N	\N
1155032	3951	1997-10-31	VYDAJ	VYBER	15	23806	SLUZBY	\N	\N
1155033	3951	1997-11-30	VYDAJ	VYBER	15	18214	SLUZBY	\N	\N
1155034	3951	1997-12-31	VYDAJ	VYBER	15	15054	SLUZBY	\N	\N
1155035	3951	1998-01-31	VYDAJ	VYBER	15	8174	SLUZBY	\N	\N
1155036	3951	1998-02-28	VYDAJ	VYBER	15	14331	SLUZBY	\N	\N
1155037	3951	1998-03-31	VYDAJ	VYBER	15	12606	SLUZBY	\N	\N
1155038	3951	1998-04-30	VYDAJ	VYBER	15	11477	SLUZBY	\N	\N
1155039	3951	1998-05-31	VYDAJ	VYBER	15	3937	SLUZBY	\N	\N
1155040	3951	1998-06-30	VYDAJ	VYBER	15	12242	SLUZBY	\N	\N
1155041	3951	1998-07-31	VYDAJ	VYBER	15	4807	SLUZBY	\N	\N
1155042	3951	1998-08-31	VYDAJ	VYBER	15	10348	SLUZBY	\N	\N
1155043	3951	1998-09-30	VYDAJ	VYBER	15	10612	SLUZBY	\N	\N
1155044	3951	1998-10-31	VYDAJ	VYBER	15	16176	SLUZBY	\N	\N
1155045	3951	1998-11-30	VYDAJ	VYBER	15	16864	SLUZBY	\N	\N
1155046	3951	1997-07-02	PRIJEM	VKLAD	6300	15227	\N	\N	\N
1155047	3951	1997-08-01	VYDAJ	VYBER	1000	19832	\N	\N	\N
1155048	3951	1997-08-31	VYDAJ	VYBER	3400	22066	\N	\N	\N
1155049	3951	1997-09-30	VYDAJ	VYBER	5100	22593	\N	\N	\N
1155050	3951	1997-10-30	PRIJEM	VKLAD	2000	23728	\N	\N	\N
1155051	3951	1997-11-29	VYDAJ	VYBER	1400	18141	\N	\N	\N
1155052	3951	1997-12-29	VYDAJ	VYBER	1900	14996	\N	\N	\N
1155053	3951	1998-01-28	VYDAJ	VYBER	300	8129	\N	\N	\N
1155054	3951	1998-02-27	PRIJEM	VKLAD	600	14309	\N	\N	\N
1155074	3952	1996-03-08	PRIJEM	VKLAD	500	500	\N	\N	\N
1155078	3952	1996-04-06	PRIJEM	PREVOD Z UCTU	6610	7110	DUCHOD	GH	55330866
1155079	3952	1996-05-06	PRIJEM	PREVOD Z UCTU	6610	13720	DUCHOD	GH	55330866
1155080	3952	1996-06-06	PRIJEM	PREVOD Z UCTU	6610	20330	DUCHOD	GH	55330866
1155081	3952	1996-07-06	PRIJEM	PREVOD Z UCTU	6610	24703	DUCHOD	GH	55330866
1155082	3952	1996-08-06	PRIJEM	PREVOD Z UCTU	6610	22693	DUCHOD	GH	55330866
1155083	3952	1996-09-06	PRIJEM	PREVOD Z UCTU	6610	23172	DUCHOD	GH	55330866
1155084	3952	1996-10-06	PRIJEM	PREVOD Z UCTU	6610	20092	DUCHOD	GH	55330866
1155085	3952	1996-11-06	PRIJEM	PREVOD Z UCTU	6610	18929	DUCHOD	GH	55330866
1155086	3952	1996-12-06	PRIJEM	PREVOD Z UCTU	6610	17246	DUCHOD	GH	55330866
1155087	3952	1997-01-06	PRIJEM	PREVOD Z UCTU	6610	19350	DUCHOD	GH	55330866
1155088	3952	1997-02-06	PRIJEM	PREVOD Z UCTU	6610	18155	DUCHOD	GH	55330866
1155089	3952	1997-03-06	PRIJEM	PREVOD Z UCTU	6610	19551	DUCHOD	GH	55330866
1155090	3952	1997-04-06	PRIJEM	PREVOD Z UCTU	6610	24713	DUCHOD	GH	55330866
1155091	3952	1997-05-06	PRIJEM	PREVOD Z UCTU	6610	29094	DUCHOD	GH	55330866
1155092	3952	1997-06-06	PRIJEM	PREVOD Z UCTU	6610	34296	DUCHOD	GH	55330866
1155093	3952	1997-07-06	PRIJEM	PREVOD Z UCTU	6610	32208	DUCHOD	GH	55330866
1155094	3952	1997-08-06	PRIJEM	PREVOD Z UCTU	6610	37423	DUCHOD	GH	55330866
1155095	3952	1997-09-06	PRIJEM	PREVOD Z UCTU	6610	42660	DUCHOD	GH	55330866
1155096	3952	1997-10-06	PRIJEM	PREVOD Z UCTU	6610	17910	DUCHOD	GH	55330866
1155097	3952	1997-11-06	PRIJEM	PREVOD Z UCTU	6610	23065	DUCHOD	GH	55330866
1155098	3952	1997-12-06	PRIJEM	PREVOD Z UCTU	6610	24552	DUCHOD	GH	55330866
1155099	3952	1998-01-06	PRIJEM	PREVOD Z UCTU	6610	27497	DUCHOD	GH	55330866
1155100	3952	1998-02-06	PRIJEM	PREVOD Z UCTU	6610	22682	DUCHOD	GH	55330866
1155101	3952	1998-03-06	PRIJEM	PREVOD Z UCTU	6610	25856	DUCHOD	GH	55330866
1155102	3952	1998-04-06	PRIJEM	PREVOD Z UCTU	6610	31044	DUCHOD	GH	55330866
1155103	3952	1998-05-06	PRIJEM	PREVOD Z UCTU	6610	32252	DUCHOD	GH	55330866
1155104	3952	1998-06-06	PRIJEM	PREVOD Z UCTU	6610	36747	DUCHOD	GH	55330866
1155105	3952	1998-07-06	PRIJEM	PREVOD Z UCTU	6610	35866	DUCHOD	GH	55330866
1155106	3952	1998-08-06	PRIJEM	PREVOD Z UCTU	6610	41096	DUCHOD	GH	55330866
1155107	3952	1998-09-06	PRIJEM	PREVOD Z UCTU	6610	46348	DUCHOD	GH	55330866
1155108	3952	1998-10-06	PRIJEM	PREVOD Z UCTU	6610	51621	DUCHOD	GH	55330866
1155109	3952	1998-11-06	PRIJEM	PREVOD Z UCTU	6610	53789	DUCHOD	GH	55330866
1155110	3952	1998-12-06	PRIJEM	PREVOD Z UCTU	6610	21852	DUCHOD	GH	55330866
1155118	3952	1996-08-07	VYDAJ	PREVOD NA UCET	367	22326	SIPO	GH	72330528
1155119	3952	1996-09-07	VYDAJ	PREVOD NA UCET	367	22805	SIPO	GH	72330528
1155120	3952	1996-10-07	VYDAJ	PREVOD NA UCET	367	17325	SIPO	GH	72330528
1155121	3952	1996-11-07	VYDAJ	PREVOD NA UCET	367	18562	SIPO	GH	72330528
1155122	3952	1996-12-07	VYDAJ	PREVOD NA UCET	367	16879	SIPO	GH	72330528
1155123	3952	1997-01-07	VYDAJ	PREVOD NA UCET	367	18983	SIPO	GH	72330528
1155124	3952	1997-02-07	VYDAJ	PREVOD NA UCET	367	17788	SIPO	GH	72330528
1155125	3952	1997-03-07	VYDAJ	PREVOD NA UCET	367	19184	SIPO	GH	72330528
1155126	3952	1997-04-07	VYDAJ	PREVOD NA UCET	367	24346	SIPO	GH	72330528
1155127	3952	1997-05-07	VYDAJ	PREVOD NA UCET	367	28727	SIPO	GH	72330528
1155128	3952	1997-06-07	VYDAJ	PREVOD NA UCET	367	33929	SIPO	GH	72330528
1155129	3952	1997-07-07	VYDAJ	PREVOD NA UCET	367	31841	SIPO	GH	72330528
1155130	3952	1997-08-07	VYDAJ	PREVOD NA UCET	367	37056	SIPO	GH	72330528
1155131	3952	1997-09-07	VYDAJ	PREVOD NA UCET	367	42293	SIPO	GH	72330528
1155132	3952	1997-10-07	VYDAJ	PREVOD NA UCET	367	17543	SIPO	GH	72330528
1155133	3952	1997-11-07	VYDAJ	PREVOD NA UCET	367	22698	SIPO	GH	72330528
1155134	3952	1997-12-07	VYDAJ	PREVOD NA UCET	367	24185	SIPO	GH	72330528
1155135	3952	1998-01-07	VYDAJ	PREVOD NA UCET	367	27130	SIPO	GH	72330528
1155136	3952	1998-02-07	VYDAJ	PREVOD NA UCET	367	22315	SIPO	GH	72330528
1155137	3952	1998-03-07	VYDAJ	PREVOD NA UCET	367	25489	SIPO	GH	72330528
1155138	3952	1998-04-07	VYDAJ	PREVOD NA UCET	367	30677	SIPO	GH	72330528
1155139	3952	1998-05-07	VYDAJ	PREVOD NA UCET	367	31885	SIPO	GH	72330528
1155140	3952	1998-06-07	VYDAJ	PREVOD NA UCET	367	36380	SIPO	GH	72330528
1155141	3952	1998-07-07	VYDAJ	PREVOD NA UCET	367	35499	SIPO	GH	72330528
1155142	3952	1998-08-07	VYDAJ	PREVOD NA UCET	367	40729	SIPO	GH	72330528
1155143	3952	1998-09-07	VYDAJ	PREVOD NA UCET	367	45981	SIPO	GH	72330528
1155144	3952	1998-10-07	VYDAJ	PREVOD NA UCET	367	51254	SIPO	GH	72330528
1155145	3952	1998-11-07	VYDAJ	PREVOD NA UCET	367	53422	SIPO	GH	72330528
1155146	3952	1998-12-07	VYDAJ	PREVOD NA UCET	367	21485	SIPO	GH	72330528
1155154	3952	1996-08-13	VYDAJ	PREVOD NA UCET	1138	21188	 	GH	22428715
1155155	3952	1996-09-13	VYDAJ	PREVOD NA UCET	1138	21667	 	GH	22428715
1155156	3952	1996-10-13	VYDAJ	PREVOD NA UCET	1138	16187	 	GH	22428715
1155157	3952	1996-11-13	VYDAJ	PREVOD NA UCET	1138	17424	 	GH	22428715
1155158	3952	1996-12-13	VYDAJ	PREVOD NA UCET	1138	15741	 	GH	22428715
1155159	3952	1997-01-13	VYDAJ	PREVOD NA UCET	1138	11505	 	GH	22428715
1155160	3952	1997-02-13	VYDAJ	PREVOD NA UCET	1138	16650	 	GH	22428715
1155161	3952	1997-03-13	VYDAJ	PREVOD NA UCET	1138	18046	 	GH	22428715
1155162	3952	1997-04-13	VYDAJ	PREVOD NA UCET	1138	22408	 	GH	22428715
1155163	3952	1997-05-13	VYDAJ	PREVOD NA UCET	1138	27589	 	GH	22428715
1155164	3952	1997-06-13	VYDAJ	PREVOD NA UCET	1138	32791	 	GH	22428715
1155165	3952	1997-07-13	VYDAJ	PREVOD NA UCET	1138	30703	 	GH	22428715
1155166	3952	1997-08-13	VYDAJ	PREVOD NA UCET	1138	35918	 	GH	22428715
1155167	3952	1997-09-13	VYDAJ	PREVOD NA UCET	1138	41155	 	GH	22428715
1155168	3952	1997-10-13	VYDAJ	PREVOD NA UCET	1138	16405	 	GH	22428715
1155169	3952	1997-11-13	VYDAJ	PREVOD NA UCET	1138	21560	 	GH	22428715
1155170	3952	1997-12-13	VYDAJ	PREVOD NA UCET	1138	23047	 	GH	22428715
1155171	3952	1998-01-13	VYDAJ	PREVOD NA UCET	1138	22322	 	GH	22428715
1155172	3952	1998-02-13	VYDAJ	PREVOD NA UCET	1138	21177	 	GH	22428715
1155173	3952	1998-03-13	VYDAJ	PREVOD NA UCET	1138	24351	 	GH	22428715
1155174	3952	1998-04-13	VYDAJ	PREVOD NA UCET	1138	29539	 	GH	22428715
1155175	3952	1998-05-13	VYDAJ	PREVOD NA UCET	1138	30747	 	GH	22428715
1155176	3952	1998-06-13	VYDAJ	PREVOD NA UCET	1138	29142	 	GH	22428715
1155177	3952	1998-07-13	VYDAJ	PREVOD NA UCET	1138	34361	 	GH	22428715
1155178	3952	1998-08-13	VYDAJ	PREVOD NA UCET	1138	39591	 	GH	22428715
1155179	3952	1998-09-13	VYDAJ	PREVOD NA UCET	1138	44843	 	GH	22428715
1155180	3952	1998-10-13	VYDAJ	PREVOD NA UCET	1138	46996	 	GH	22428715
1155181	3952	1998-11-13	VYDAJ	PREVOD NA UCET	1138	52284	 	GH	22428715
1155182	3952	1998-12-13	VYDAJ	PREVOD NA UCET	1138	20347	 	GH	22428715
1155184	3952	1997-06-19	VYDAJ	VYBER	7300	25491	\N	\N	\N
1155185	3952	1998-06-07	VYDAJ	VYBER	6100	30280	\N	\N	\N
1155187	3952	1997-01-12	VYDAJ	VYBER	2900	16083	\N	\N	\N
1155188	3952	1998-01-07	VYDAJ	VYBER	1350	25780	\N	\N	\N
1155189	3952	1996-12-23	VYDAJ	VYBER	650	15091	\N	\N	\N
1155190	3952	1997-12-04	VYDAJ	VYBER	1050	17942	\N	\N	\N
1155191	3952	1998-12-15	VYDAJ	VYBER	300	20047	\N	\N	\N
1155199	3952	1997-01-13	VYDAJ	VYBER	1840	12643	\N	\N	\N
1155200	3952	1997-01-13	VYDAJ	VYBER	1600	14483	\N	\N	\N
1155204	3952	1998-01-20	VYDAJ	VYBER	1280	18162	\N	\N	\N
1155205	3952	1998-01-13	VYDAJ	VYBER	1600	23460	\N	\N	\N
1155206	3952	1998-01-14	VYDAJ	VYBER	1920	20402	\N	\N	\N
1155207	3952	1998-01-16	VYDAJ	VYBER	960	19442	\N	\N	\N
1155208	3952	1998-01-08	VYDAJ	VYBER	720	25060	\N	\N	\N
1155209	3952	1998-01-22	VYDAJ	VYBER	2160	16002	\N	\N	\N
1155210	3952	1996-11-21	VYDAJ	VYBER	1840	15584	\N	\N	\N
1155211	3952	1996-09-28	VYDAJ	VYBER	3360	18307	\N	\N	\N
1155212	3952	1996-10-27	VYDAJ	VYBER	2960	12267	\N	\N	\N
1155214	3952	1996-10-06	VYDAJ	VYBER	2400	17692	\N	\N	\N
1155215	3952	1996-12-27	VYDAJ	VYBER	2400	12691	\N	\N	\N
1155217	3952	1996-10-15	VYDAJ	VYBER	960	15227	\N	\N	\N
1155218	3952	1997-04-09	VYDAJ	VYBER	800	23546	\N	\N	\N
1155219	3952	1997-12-03	VYDAJ	VYBER	2640	18992	\N	\N	\N
1155220	3952	1997-02-27	VYDAJ	VYBER	3760	12890	\N	\N	\N
1155221	3952	1998-04-28	VYDAJ	VYBER	2320	25539	\N	\N	\N
1155222	3952	1998-02-25	VYDAJ	VYBER	2000	19177	\N	\N	\N
1155223	3952	1998-01-04	VYDAJ	VYBER	2240	20887	\N	\N	\N
1155224	3952	1998-06-02	VYDAJ	VYBER	720	30137	\N	\N	\N
1155225	3952	1998-04-25	VYDAJ	VYBER	1680	27859	\N	\N	\N
1155227	3952	1998-10-12	VYDAJ	VYBER	3120	48134	\N	\N	\N
1155236	3952	1996-08-31	VYDAJ	VYBER	15	21262	SLUZBY	\N	\N
1155237	3952	1996-09-30	VYDAJ	VYBER	15	18382	SLUZBY	\N	\N
1155238	3952	1996-10-31	VYDAJ	VYBER	15	12319	SLUZBY	\N	\N
1155239	3952	1996-11-30	VYDAJ	VYBER	15	15636	SLUZBY	\N	\N
1155240	3952	1996-12-31	VYDAJ	VYBER	15	12740	SLUZBY	\N	\N
1155241	3952	1997-01-31	VYDAJ	VYBER	15	11545	SLUZBY	\N	\N
1155242	3952	1997-02-28	VYDAJ	VYBER	15	12941	SLUZBY	\N	\N
1155243	3952	1997-03-31	VYDAJ	VYBER	15	18103	SLUZBY	\N	\N
1155244	3952	1997-04-30	VYDAJ	VYBER	15	22484	SLUZBY	\N	\N
1155245	3952	1997-05-31	VYDAJ	VYBER	15	27686	SLUZBY	\N	\N
1155246	3952	1997-06-30	VYDAJ	VYBER	15	25598	SLUZBY	\N	\N
1155247	3952	1997-07-31	VYDAJ	VYBER	15	30813	SLUZBY	\N	\N
1155248	3952	1997-08-31	VYDAJ	VYBER	15	36050	SLUZBY	\N	\N
1155249	3952	1997-09-30	VYDAJ	VYBER	15	11300	SLUZBY	\N	\N
1155250	3952	1997-10-31	VYDAJ	VYBER	15	16455	SLUZBY	\N	\N
1155251	3952	1997-11-30	VYDAJ	VYBER	15	21632	SLUZBY	\N	\N
1155252	3952	1997-12-31	VYDAJ	VYBER	15	23127	SLUZBY	\N	\N
1155253	3952	1998-01-31	VYDAJ	VYBER	15	16072	SLUZBY	\N	\N
1155254	3952	1998-02-28	VYDAJ	VYBER	15	19246	SLUZBY	\N	\N
1155255	3952	1998-03-31	VYDAJ	VYBER	15	24434	SLUZBY	\N	\N
1155256	3952	1998-04-30	VYDAJ	VYBER	15	25642	SLUZBY	\N	\N
1155257	3952	1998-05-31	VYDAJ	VYBER	15	30857	SLUZBY	\N	\N
1155258	3952	1998-06-30	VYDAJ	VYBER	15	29256	SLUZBY	\N	\N
1155259	3952	1998-07-31	VYDAJ	VYBER	15	34486	SLUZBY	\N	\N
1155260	3952	1998-08-31	VYDAJ	VYBER	15	39738	SLUZBY	\N	\N
1155261	3952	1998-09-30	VYDAJ	VYBER	15	45011	SLUZBY	\N	\N
1155262	3952	1998-10-31	VYDAJ	VYBER	15	47179	SLUZBY	\N	\N
1155263	3952	1998-11-30	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
1155264	3952	1996-06-06	VYDAJ	VYBER	2300	18030	\N	\N	\N
1155265	3952	1996-07-06	VYDAJ	VYBER	5100	19603	\N	\N	\N
1155266	3952	1996-08-05	VYDAJ	VYBER	3600	16083	\N	\N	\N
1155267	3952	1996-09-04	VYDAJ	VYBER	4700	16562	\N	\N	\N
1155268	3952	1996-10-04	VYDAJ	VYBER	4900	13482	\N	\N	\N
1155269	3952	1996-12-03	VYDAJ	VYBER	5000	10636	\N	\N	\N
1155270	3952	1997-09-29	VYDAJ	VYBER	30000	11155	\N	\N	\N
1155271	3952	1998-11-23	VYDAJ	VYBER	37200	15084	\N	\N	\N
1155303	3953	1997-06-16	PRIJEM	VKLAD	500	500	\N	\N	\N
1155310	3953	1997-07-12	PRIJEM	PREVOD Z UCTU	31786	32286	\N	WX	98710947
1155311	3953	1997-08-12	PRIJEM	PREVOD Z UCTU	31786	65014	\N	WX	98710947
1155312	3953	1997-09-12	PRIJEM	PREVOD Z UCTU	31786	83761	\N	WX	98710947
1155313	3953	1997-10-12	PRIJEM	PREVOD Z UCTU	31786	95028	\N	WX	98710947
1155314	3953	1997-11-12	PRIJEM	PREVOD Z UCTU	31786	98853	\N	WX	98710947
1155315	3953	1997-12-12	PRIJEM	PREVOD Z UCTU	47679	109399	\N	WX	98710947
1155316	3953	1998-01-12	PRIJEM	PREVOD Z UCTU	31786	67321	\N	WX	98710947
1155317	3953	1998-02-12	PRIJEM	PREVOD Z UCTU	31786	53385	\N	WX	98710947
1155318	3953	1998-03-12	PRIJEM	PREVOD Z UCTU	31786	75855	\N	WX	98710947
1155319	3953	1998-04-12	PRIJEM	PREVOD Z UCTU	31786	70110	\N	WX	98710947
1155320	3953	1998-05-12	PRIJEM	PREVOD Z UCTU	31786	84189	\N	WX	98710947
1155321	3953	1998-06-12	PRIJEM	PREVOD Z UCTU	47679	96999	\N	WX	98710947
1155322	3953	1998-07-12	PRIJEM	PREVOD Z UCTU	31786	52994	\N	WX	98710947
1155323	3953	1998-08-12	PRIJEM	PREVOD Z UCTU	31786	74008	\N	WX	98710947
1155324	3953	1998-09-12	PRIJEM	PREVOD Z UCTU	31786	86782	\N	WX	98710947
1155325	3953	1998-10-12	PRIJEM	PREVOD Z UCTU	31786	91998	\N	WX	98710947
1155326	3953	1998-11-12	PRIJEM	PREVOD Z UCTU	31786	90667	\N	WX	98710947
1155327	3953	1998-12-12	PRIJEM	PREVOD Z UCTU	47679	105935	\N	WX	98710947
1155338	3953	1997-11-21	VYDAJ	VYBER	4700	72253	\N	\N	0
1155339	3953	1997-11-27	VYDAJ	VYBER	5700	66553	\N	\N	0
1155340	3953	1998-01-12	VYDAJ	PREVOD NA UCET	5298	52723	UVER	AB	85838764
1155341	3953	1998-02-12	VYDAJ	PREVOD NA UCET	5298	48087	UVER	AB	85838764
1155342	3953	1998-03-12	VYDAJ	PREVOD NA UCET	5298	70558	UVER	AB	85838764
1155343	3953	1998-04-12	VYDAJ	PREVOD NA UCET	5298	64812	UVER	AB	85838764
1155344	3953	1998-05-12	VYDAJ	PREVOD NA UCET	5298	78891	UVER	AB	85838764
1155345	3953	1998-06-12	VYDAJ	PREVOD NA UCET	5298	91701	UVER	AB	85838764
1155346	3953	1998-07-12	VYDAJ	VYBER	5300	47694	\N	\N	0
1155347	3953	1998-08-12	VYDAJ	VYBER	5300	68708	\N	\N	0
1155348	3953	1998-09-12	VYDAJ	VYBER	5300	81482	\N	\N	0
1155349	3953	1998-10-12	VYDAJ	PREVOD NA UCET	5298	86700	UVER	AB	85838764
1155350	3953	1998-11-12	VYDAJ	PREVOD NA UCET	5298	85370	UVER	AB	85838764
1155351	3953	1998-12-12	VYDAJ	PREVOD NA UCET	5298	86969	UVER	AB	85838764
1155364	3953	1998-12-12	VYBER	VYBER	12169	93766	\N	\N	\N
1155366	3953	1998-01-16	VYBER	VYBER	6720	42103	\N	\N	\N
1155367	3953	1998-12-26	VYBER	VYBER	15410	71559	\N	\N	\N
1155368	3953	1998-04-05	VYBER	VYBER	5270	38324	\N	\N	\N
1155369	3953	1998-03-09	VYBER	VYBER	4304	44069	\N	\N	\N
1155370	3953	1998-04-02	VYBER	VYBER	14795	43594	\N	\N	\N
1155371	3953	1998-02-01	VYBER	VYBER	17405	3699	\N	\N	\N
1155373	3953	1998-06-18	VYDAJ	VYBER	78000	12201	\N	\N	\N
1155375	3953	1998-01-22	VYDAJ	VYBER	12900	29203	\N	\N	\N
1155376	3953	1997-12-03	VYDAJ	VYBER	5400	61720	\N	\N	\N
1155377	3953	1998-12-29	VYDAJ	VYBER	1800	69759	\N	\N	\N
1155384	3953	1998-01-11	VYDAJ	VYBER	3300	40335	\N	\N	\N
1155385	3953	1998-01-26	VYDAJ	VYBER	6600	22603	\N	\N	\N
1155386	3953	1998-01-29	VYDAJ	VYBER	1800	20803	\N	\N	\N
1155387	3953	1998-01-03	VYDAJ	VYBER	3600	43635	\N	\N	\N
1155388	3953	1998-01-11	VYDAJ	VYBER	4800	35535	\N	\N	\N
1155389	3953	1998-01-14	VYDAJ	VYBER	3900	48823	\N	\N	\N
1155394	3953	1998-06-15	VYDAJ	VYBER	1500	90201	\N	\N	\N
1155395	3953	1998-05-27	VYDAJ	VYBER	5400	56991	\N	\N	\N
1155396	3953	1998-04-15	VYDAJ	VYBER	5100	52012	\N	\N	\N
1155397	3953	1998-12-12	VYDAJ	VYBER	1500	92266	\N	\N	\N
1155398	3953	1998-06-23	VYDAJ	VYBER	12000	201	\N	\N	\N
1155410	3953	1997-11-30	VYDAJ	VYBER	15	67120	SLUZBY	\N	\N
1155411	3953	1997-12-31	VYDAJ	VYBER	15	47235	SLUZBY	\N	\N
1155412	3953	1998-01-31	VYDAJ	VYBER	15	21104	SLUZBY	\N	\N
1155413	3953	1998-02-28	VYDAJ	VYBER	15	48373	SLUZBY	\N	\N
1155414	3953	1998-03-31	VYDAJ	VYBER	15	58389	SLUZBY	\N	\N
1155415	3953	1998-04-30	VYDAJ	VYBER	15	52403	SLUZBY	\N	\N
1155416	3953	1998-05-31	VYDAJ	VYBER	15	57520	SLUZBY	\N	\N
1155417	3953	1998-06-30	VYDAJ	VYBER	15	519	SLUZBY	\N	\N
1155418	3953	1998-07-31	VYDAJ	VYBER	15	47922	SLUZBY	\N	\N
1155419	3953	1998-08-31	VYDAJ	VYBER	15	69196	SLUZBY	\N	\N
1155420	3953	1998-09-30	VYDAJ	VYBER	15	82112	SLUZBY	\N	\N
1155421	3953	1998-10-31	VYDAJ	VYBER	15	87381	SLUZBY	\N	\N
1155422	3953	1998-11-30	VYDAJ	VYBER	15	86056	SLUZBY	\N	\N
1155423	3953	1997-07-16	PRIJEM	VKLAD	800	33086	\N	\N	\N
1155424	3953	1997-08-15	VYDAJ	VYBER	13400	51614	\N	\N	\N
1155425	3953	1997-09-14	VYDAJ	VYBER	21000	62761	\N	\N	\N
1155426	3953	1997-10-14	VYDAJ	VYBER	28500	66528	\N	\N	\N
1155427	3953	1997-11-13	VYDAJ	VYBER	21900	76953	\N	\N	\N
1155428	3953	1997-12-12	VYDAJ	VYBER	56900	52499	\N	\N	\N
1155429	3953	1997-12-13	VYDAJ	VYBER	5700	46799	\N	\N	\N
1155430	3953	1998-01-12	VYDAJ	VYBER	9300	58021	\N	\N	\N
1155431	3953	1998-02-11	PRIJEM	VKLAD	17900	21599	\N	\N	\N
1155432	3953	1998-03-13	VYDAJ	VYBER	12600	57958	\N	\N	\N
1155433	3953	1998-04-12	VYDAJ	VYBER	7700	57112	\N	\N	\N
1155434	3953	1998-05-12	VYDAJ	VYBER	16500	62391	\N	\N	\N
1155435	3953	1998-06-11	VYDAJ	VYBER	8200	49320	\N	\N	\N
1155436	3953	1998-07-11	PRIJEM	VKLAD	20700	21208	\N	\N	\N
1155437	3953	1998-08-10	VYDAJ	VYBER	5700	42222	\N	\N	\N
1155438	3953	1998-09-09	VYDAJ	VYBER	14200	54996	\N	\N	\N
1155439	3953	1998-10-09	VYDAJ	VYBER	21900	60212	\N	\N	\N
1155440	3953	1998-11-08	VYDAJ	VYBER	28500	58881	\N	\N	\N
1155441	3953	1998-12-08	VYDAJ	VYBER	27800	58256	\N	\N	\N
1155462	3954	1993-06-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1155469	3954	1993-07-11	PRIJEM	PREVOD Z UCTU	6109	7109	DUCHOD	GH	60466706
1155470	3954	1993-08-11	PRIJEM	PREVOD Z UCTU	6109	13218	DUCHOD	GH	60466706
1155471	3954	1993-09-11	PRIJEM	PREVOD Z UCTU	6109	19327	DUCHOD	GH	60466706
1155472	3954	1993-10-11	PRIJEM	PREVOD Z UCTU	6109	25436	DUCHOD	GH	60466706
1155473	3954	1993-11-11	PRIJEM	PREVOD Z UCTU	6109	30875	DUCHOD	GH	60466706
1155474	3954	1993-12-11	PRIJEM	PREVOD Z UCTU	6109	29559	DUCHOD	GH	60466706
1155475	3954	1994-01-11	PRIJEM	PREVOD Z UCTU	6109	23270	DUCHOD	GH	60466706
1155476	3954	1994-02-11	PRIJEM	PREVOD Z UCTU	6109	20711	DUCHOD	GH	60466706
1155477	3954	1994-03-11	PRIJEM	PREVOD Z UCTU	6109	22071	DUCHOD	GH	60466706
1155478	3954	1994-04-11	PRIJEM	PREVOD Z UCTU	6109	21358	DUCHOD	GH	60466706
1155479	3954	1994-05-11	PRIJEM	PREVOD Z UCTU	6109	25525	DUCHOD	GH	60466706
1155480	3954	1994-06-11	PRIJEM	PREVOD Z UCTU	6109	29706	DUCHOD	GH	60466706
1155481	3954	1994-07-11	PRIJEM	PREVOD Z UCTU	6109	26790	DUCHOD	GH	60466706
1155482	3954	1994-08-11	PRIJEM	PREVOD Z UCTU	6109	27735	DUCHOD	GH	60466706
1155483	3954	1994-09-11	PRIJEM	PREVOD Z UCTU	6109	31926	DUCHOD	GH	60466706
1155484	3954	1994-10-11	PRIJEM	PREVOD Z UCTU	6109	34330	DUCHOD	GH	60466706
1155485	3954	1994-11-11	PRIJEM	PREVOD Z UCTU	6109	33180	DUCHOD	GH	60466706
1155486	3954	1994-12-11	PRIJEM	PREVOD Z UCTU	6109	31282	DUCHOD	GH	60466706
1155487	3954	1995-01-11	PRIJEM	PREVOD Z UCTU	6109	28680	DUCHOD	GH	60466706
1155488	3954	1995-02-11	PRIJEM	PREVOD Z UCTU	6109	22877	DUCHOD	GH	60466706
1155489	3954	1995-03-11	PRIJEM	PREVOD Z UCTU	6109	27051	DUCHOD	GH	60466706
1155490	3954	1995-04-11	PRIJEM	PREVOD Z UCTU	6109	31238	DUCHOD	GH	60466706
1155491	3954	1995-05-11	PRIJEM	PREVOD Z UCTU	6109	27052	DUCHOD	GH	60466706
1155492	3954	1995-06-11	PRIJEM	PREVOD Z UCTU	6109	27393	DUCHOD	GH	60466706
1155493	3954	1995-07-11	PRIJEM	PREVOD Z UCTU	6109	21281	DUCHOD	GH	60466706
1155494	3954	1995-08-11	PRIJEM	PREVOD Z UCTU	6109	24164	DUCHOD	GH	60466706
1155495	3954	1995-09-11	PRIJEM	PREVOD Z UCTU	6109	28339	DUCHOD	GH	60466706
1155496	3954	1995-10-11	PRIJEM	PREVOD Z UCTU	6109	32331	DUCHOD	GH	60466706
1155497	3954	1995-11-11	PRIJEM	PREVOD Z UCTU	6109	36540	DUCHOD	GH	60466706
1155498	3954	1995-12-11	PRIJEM	PREVOD Z UCTU	6109	33701	DUCHOD	GH	60466706
1155499	3954	1996-01-11	PRIJEM	PREVOD Z UCTU	6109	33836	DUCHOD	GH	60466706
1155500	3954	1996-02-11	PRIJEM	PREVOD Z UCTU	6109	24075	DUCHOD	GH	60466706
1155501	3954	1996-03-11	PRIJEM	PREVOD Z UCTU	6109	28250	DUCHOD	GH	60466706
1155502	3954	1996-04-11	PRIJEM	PREVOD Z UCTU	6109	31561	DUCHOD	GH	60466706
1155503	3954	1996-05-11	PRIJEM	PREVOD Z UCTU	6109	35766	DUCHOD	GH	60466706
1155504	3954	1996-06-11	PRIJEM	PREVOD Z UCTU	6109	38149	DUCHOD	GH	60466706
1155505	3954	1996-07-11	PRIJEM	PREVOD Z UCTU	6109	28914	DUCHOD	GH	60466706
1155506	3954	1996-08-11	PRIJEM	PREVOD Z UCTU	6109	29268	DUCHOD	GH	60466706
1155507	3954	1996-09-11	PRIJEM	PREVOD Z UCTU	6109	33468	DUCHOD	GH	60466706
1155508	3954	1996-10-11	PRIJEM	PREVOD Z UCTU	6109	35758	DUCHOD	GH	60466706
1155509	3954	1996-11-11	PRIJEM	PREVOD Z UCTU	6109	35721	DUCHOD	GH	60466706
1155510	3954	1996-12-11	PRIJEM	PREVOD Z UCTU	6109	38245	DUCHOD	GH	60466706
1155511	3954	1997-01-11	PRIJEM	PREVOD Z UCTU	6109	32639	DUCHOD	GH	60466706
1155512	3954	1997-02-11	PRIJEM	PREVOD Z UCTU	6109	31032	DUCHOD	GH	60466706
1155513	3954	1997-03-11	PRIJEM	PREVOD Z UCTU	6109	31736	DUCHOD	GH	60466706
1155514	3954	1997-04-11	PRIJEM	PREVOD Z UCTU	6109	29445	DUCHOD	GH	60466706
1155515	3954	1997-05-11	PRIJEM	PREVOD Z UCTU	6109	27348	DUCHOD	GH	60466706
1155516	3954	1997-06-11	PRIJEM	PREVOD Z UCTU	6109	30642	DUCHOD	GH	60466706
1155517	3954	1997-07-11	PRIJEM	PREVOD Z UCTU	6109	30992	DUCHOD	GH	60466706
1155518	3954	1997-08-11	PRIJEM	PREVOD Z UCTU	6109	31614	DUCHOD	GH	60466706
1155519	3954	1997-09-11	PRIJEM	PREVOD Z UCTU	6109	33821	DUCHOD	GH	60466706
1155520	3954	1997-10-11	PRIJEM	PREVOD Z UCTU	6109	33414	DUCHOD	GH	60466706
1155521	3954	1997-11-11	PRIJEM	PREVOD Z UCTU	6109	29846	DUCHOD	GH	60466706
1155522	3954	1997-12-11	PRIJEM	PREVOD Z UCTU	6109	29349	DUCHOD	GH	60466706
1155523	3954	1998-01-11	PRIJEM	PREVOD Z UCTU	6109	23397	DUCHOD	GH	60466706
1155524	3954	1998-02-11	PRIJEM	PREVOD Z UCTU	6109	19368	DUCHOD	GH	60466706
1155525	3954	1998-03-11	PRIJEM	PREVOD Z UCTU	6109	23520	DUCHOD	GH	60466706
1155526	3954	1998-04-11	PRIJEM	PREVOD Z UCTU	6109	19807	DUCHOD	GH	60466706
1155527	3954	1998-05-11	PRIJEM	PREVOD Z UCTU	6109	20662	DUCHOD	GH	60466706
1155528	3954	1998-06-11	PRIJEM	PREVOD Z UCTU	6109	23942	DUCHOD	GH	60466706
1155529	3954	1998-07-11	PRIJEM	PREVOD Z UCTU	6109	22054	DUCHOD	GH	60466706
1155530	3954	1998-08-11	PRIJEM	PREVOD Z UCTU	6109	19315	DUCHOD	GH	60466706
1155531	3954	1998-09-11	PRIJEM	PREVOD Z UCTU	6109	23467	DUCHOD	GH	60466706
1155532	3954	1998-10-11	PRIJEM	PREVOD Z UCTU	6109	20433	DUCHOD	GH	60466706
1155533	3954	1998-11-11	PRIJEM	PREVOD Z UCTU	6109	19186	DUCHOD	GH	60466706
1155534	3954	1998-12-11	PRIJEM	PREVOD Z UCTU	6109	19735	DUCHOD	GH	60466706
1155546	3954	1993-12-09	VYDAJ	PREVOD NA UCET	2014	23450	SIPO	MN	77104884
1155547	3954	1994-01-09	VYDAJ	PREVOD NA UCET	2014	17161	SIPO	MN	77104884
1155548	3954	1994-02-09	VYDAJ	PREVOD NA UCET	2014	14602	SIPO	MN	77104884
1155549	3954	1994-03-09	VYDAJ	PREVOD NA UCET	2014	15962	SIPO	MN	77104884
1155550	3954	1994-04-09	VYDAJ	PREVOD NA UCET	2014	15249	SIPO	MN	77104884
1155551	3954	1994-05-09	VYDAJ	PREVOD NA UCET	2014	19416	SIPO	MN	77104884
1155552	3954	1994-06-09	VYDAJ	PREVOD NA UCET	2014	23597	SIPO	MN	77104884
1155553	3954	1994-07-09	VYDAJ	PREVOD NA UCET	2014	20681	SIPO	MN	77104884
1155554	3954	1994-08-09	VYDAJ	PREVOD NA UCET	2014	21626	SIPO	MN	77104884
1155555	3954	1994-09-09	VYDAJ	PREVOD NA UCET	2014	25817	SIPO	MN	77104884
1155556	3954	1994-10-09	VYDAJ	PREVOD NA UCET	2014	28221	SIPO	MN	77104884
1155557	3954	1994-11-09	VYDAJ	PREVOD NA UCET	2014	27071	SIPO	MN	77104884
1155558	3954	1994-12-09	VYDAJ	PREVOD NA UCET	2014	25173	SIPO	MN	77104884
1155559	3954	1995-01-09	VYDAJ	PREVOD NA UCET	2014	24091	SIPO	MN	77104884
1155560	3954	1995-02-09	VYDAJ	PREVOD NA UCET	2014	19808	SIPO	MN	77104884
1155561	3954	1995-03-09	VYDAJ	PREVOD NA UCET	2014	20942	SIPO	MN	77104884
1155562	3954	1995-04-09	VYDAJ	PREVOD NA UCET	2014	25129	SIPO	MN	77104884
1155563	3954	1995-05-09	VYDAJ	PREVOD NA UCET	2014	20943	SIPO	MN	77104884
1155564	3954	1995-06-09	VYDAJ	PREVOD NA UCET	2014	21284	SIPO	MN	77104884
1155565	3954	1995-07-09	VYDAJ	PREVOD NA UCET	2014	15172	SIPO	MN	77104884
1155566	3954	1995-08-09	VYDAJ	PREVOD NA UCET	2014	18055	SIPO	MN	77104884
1155567	3954	1995-09-09	VYDAJ	PREVOD NA UCET	2014	22230	SIPO	MN	77104884
1155568	3954	1995-10-09	VYDAJ	PREVOD NA UCET	2014	26222	SIPO	MN	77104884
1155569	3954	1995-11-09	VYDAJ	PREVOD NA UCET	2014	30431	SIPO	MN	77104884
1155570	3954	1995-12-09	VYDAJ	PREVOD NA UCET	2014	27592	SIPO	MN	77104884
1155571	3954	1996-01-09	VYDAJ	PREVOD NA UCET	2014	29087	SIPO	MN	77104884
1155572	3954	1996-02-09	VYDAJ	PREVOD NA UCET	2014	17966	SIPO	MN	77104884
1155573	3954	1996-03-09	VYDAJ	PREVOD NA UCET	2014	22141	SIPO	MN	77104884
1155574	3954	1996-04-09	VYDAJ	PREVOD NA UCET	2014	25452	SIPO	MN	77104884
1155575	3954	1996-05-09	VYDAJ	PREVOD NA UCET	2014	29657	SIPO	MN	77104884
1155576	3954	1996-06-09	VYDAJ	PREVOD NA UCET	2014	33880	SIPO	MN	77104884
1155577	3954	1996-07-09	VYDAJ	PREVOD NA UCET	2014	22805	SIPO	MN	77104884
1155578	3954	1996-08-09	VYDAJ	PREVOD NA UCET	2014	23159	SIPO	MN	77104884
1155579	3954	1996-09-09	VYDAJ	PREVOD NA UCET	2014	27359	SIPO	MN	77104884
1155580	3954	1996-10-09	VYDAJ	PREVOD NA UCET	2014	29649	SIPO	MN	77104884
1155581	3954	1996-11-09	VYDAJ	PREVOD NA UCET	2014	29612	SIPO	MN	77104884
1155582	3954	1996-12-09	VYDAJ	PREVOD NA UCET	2014	32136	SIPO	MN	77104884
1155583	3954	1997-01-09	VYDAJ	PREVOD NA UCET	2014	27730	SIPO	MN	77104884
1155584	3954	1997-02-09	VYDAJ	PREVOD NA UCET	2014	24923	SIPO	MN	77104884
1155585	3954	1997-03-09	VYDAJ	PREVOD NA UCET	2014	25627	SIPO	MN	77104884
1155586	3954	1997-04-09	VYDAJ	PREVOD NA UCET	2014	23336	SIPO	MN	77104884
1155587	3954	1997-05-09	VYDAJ	PREVOD NA UCET	2014	21239	SIPO	MN	77104884
1155588	3954	1997-06-09	VYDAJ	PREVOD NA UCET	2014	24533	SIPO	MN	77104884
1155589	3954	1997-07-09	VYDAJ	PREVOD NA UCET	2014	24883	SIPO	MN	77104884
1155590	3954	1997-08-09	VYDAJ	PREVOD NA UCET	2014	25505	SIPO	MN	77104884
1155591	3954	1997-09-09	VYDAJ	PREVOD NA UCET	2014	27712	SIPO	MN	77104884
1155592	3954	1997-10-09	VYDAJ	PREVOD NA UCET	2014	27305	SIPO	MN	77104884
1155593	3954	1997-11-09	VYDAJ	PREVOD NA UCET	2014	23737	SIPO	MN	77104884
1155594	3954	1997-12-09	VYDAJ	PREVOD NA UCET	2014	23240	SIPO	MN	77104884
1155595	3954	1998-01-09	VYDAJ	PREVOD NA UCET	2014	17928	SIPO	MN	77104884
1155596	3954	1998-02-09	VYDAJ	PREVOD NA UCET	2014	13259	SIPO	MN	77104884
1155597	3954	1998-03-09	VYDAJ	PREVOD NA UCET	2014	17411	SIPO	MN	77104884
1155598	3954	1998-04-09	VYDAJ	PREVOD NA UCET	2014	13698	SIPO	MN	77104884
1155599	3954	1998-05-09	VYDAJ	PREVOD NA UCET	2014	14553	SIPO	MN	77104884
1155600	3954	1998-06-09	VYDAJ	PREVOD NA UCET	2014	17833	SIPO	MN	77104884
1155601	3954	1998-07-09	VYDAJ	PREVOD NA UCET	2014	15945	SIPO	MN	77104884
1155602	3954	1998-08-09	VYDAJ	PREVOD NA UCET	2014	13206	SIPO	MN	77104884
1155603	3954	1998-09-09	VYDAJ	PREVOD NA UCET	2014	17358	SIPO	MN	77104884
1155604	3954	1998-10-09	VYDAJ	PREVOD NA UCET	2014	14324	SIPO	MN	77104884
1155605	3954	1998-11-09	VYDAJ	PREVOD NA UCET	2014	13077	SIPO	MN	77104884
1155606	3954	1998-12-09	VYDAJ	PREVOD NA UCET	2014	13626	SIPO	MN	77104884
1155608	3954	1994-06-16	VYDAJ	VYBER	7100	22606	\N	\N	\N
1155609	3954	1995-06-22	VYDAJ	VYBER	8450	18943	\N	\N	\N
1155610	3954	1996-06-20	VYDAJ	VYBER	13450	24699	\N	\N	\N
1155612	3954	1998-06-13	VYDAJ	VYBER	4050	19892	\N	\N	\N
1155614	3954	1994-01-29	VYDAJ	VYBER	2650	18380	\N	\N	\N
1155615	3954	1995-01-23	VYDAJ	VYBER	1350	23410	\N	\N	\N
1155616	3954	1996-01-12	VYDAJ	VYBER	3000	30836	\N	\N	\N
1155617	3954	1997-01-09	VYDAJ	VYBER	1200	26530	\N	\N	\N
1155619	3954	1993-12-23	VYDAJ	VYBER	400	24039	\N	\N	\N
1155620	3954	1994-12-06	VYDAJ	VYBER	400	27187	\N	\N	\N
1155621	3954	1995-12-02	VYDAJ	VYBER	1050	29606	\N	\N	\N
1155622	3954	1996-12-29	VYDAJ	VYBER	400	37845	\N	\N	\N
1155623	3954	1997-12-22	VYDAJ	VYBER	750	28599	\N	\N	\N
1155631	3954	1994-01-26	VYDAJ	VYBER	800	21030	\N	\N	\N
1155632	3954	1994-01-07	VYDAJ	VYBER	960	20855	\N	\N	\N
1155633	3954	1994-01-02	VYDAJ	VYBER	2320	21815	\N	\N	\N
1155634	3954	1994-01-30	VYDAJ	VYBER	1840	16540	\N	\N	\N
1155635	3954	1994-01-08	VYDAJ	VYBER	1680	19175	\N	\N	\N
1155636	3954	1994-01-23	VYDAJ	VYBER	1440	21830	\N	\N	\N
1155637	3954	1995-01-15	VYDAJ	VYBER	720	26680	\N	\N	\N
1155638	3954	1995-01-03	VYDAJ	VYBER	2080	26105	\N	\N	\N
1155639	3954	1995-01-25	VYDAJ	VYBER	1680	21730	\N	\N	\N
1155640	3954	1995-01-23	VYDAJ	VYBER	1920	24760	\N	\N	\N
1155641	3954	1995-01-10	VYDAJ	VYBER	1520	22571	\N	\N	\N
1155642	3954	1995-01-11	VYDAJ	VYBER	1280	27400	\N	\N	\N
1155643	3954	1996-01-06	VYDAJ	VYBER	640	33181	\N	\N	\N
1155644	3954	1996-01-30	VYDAJ	VYBER	1520	19876	\N	\N	\N
1155645	3954	1996-01-10	VYDAJ	VYBER	1360	27727	\N	\N	\N
1155646	3954	1996-01-20	VYDAJ	VYBER	1920	26596	\N	\N	\N
1155647	3954	1996-01-28	VYDAJ	VYBER	1920	21396	\N	\N	\N
1155648	3954	1996-01-07	VYDAJ	VYBER	2080	31101	\N	\N	\N
1155649	3954	1997-01-14	VYDAJ	VYBER	480	32159	\N	\N	\N
1155650	3954	1997-01-08	VYDAJ	VYBER	1520	29744	\N	\N	\N
1155651	3954	1997-01-28	VYDAJ	VYBER	1280	29759	\N	\N	\N
1155652	3954	1997-01-23	VYDAJ	VYBER	1120	31039	\N	\N	\N
1155653	3954	1997-01-07	VYDAJ	VYBER	2160	31264	\N	\N	\N
1155654	3954	1997-01-05	VYDAJ	VYBER	1760	33424	\N	\N	\N
1155655	3954	1998-01-30	VYDAJ	VYBER	1760	17797	\N	\N	\N
1155656	3954	1998-01-25	VYDAJ	VYBER	720	19557	\N	\N	\N
1155657	3954	1998-01-11	VYDAJ	VYBER	1680	21717	\N	\N	\N
1155658	3954	1998-01-16	VYDAJ	VYBER	1440	20277	\N	\N	\N
1155660	3954	1998-01-09	VYDAJ	VYBER	640	17288	\N	\N	\N
1155663	3954	1993-12-18	VYDAJ	VYBER	720	28839	\N	\N	\N
1155669	3954	1994-02-28	VYDAJ	VYBER	2800	17976	\N	\N	\N
1155670	3954	1994-04-03	VYDAJ	VYBER	3920	17263	\N	\N	\N
1155671	3954	1994-07-31	VYDAJ	VYBER	2640	23640	\N	\N	\N
1155672	3954	1994-03-29	VYDAJ	VYBER	960	21111	\N	\N	\N
1155673	3954	1994-10-23	VYDAJ	VYBER	3360	28970	\N	\N	\N
1155674	3954	1995-04-23	VYDAJ	VYBER	3840	24698	\N	\N	\N
1155675	3954	1995-05-21	VYDAJ	VYBER	3840	23212	\N	\N	\N
1155676	3954	1995-04-26	VYDAJ	VYBER	1840	22858	\N	\N	\N
1155677	3954	1995-07-07	VYDAJ	VYBER	1840	17186	\N	\N	\N
1155678	3954	1995-02-10	VYDAJ	VYBER	3040	16768	\N	\N	\N
1155679	3954	1995-07-22	VYDAJ	VYBER	1280	20001	\N	\N	\N
1155680	3954	1996-08-04	VYDAJ	VYBER	3840	25173	\N	\N	\N
1155681	3954	1996-09-22	VYDAJ	VYBER	1920	31548	\N	\N	\N
1155682	3954	1996-06-10	VYDAJ	VYBER	1840	32040	\N	\N	\N
1155683	3954	1996-01-18	VYDAJ	VYBER	2320	28516	\N	\N	\N
1155684	3954	1996-01-26	VYDAJ	VYBER	3280	23316	\N	\N	\N
1155685	3954	1996-10-30	VYDAJ	VYBER	2160	33598	\N	\N	\N
1155686	3954	1996-03-24	VYDAJ	VYBER	880	27370	\N	\N	\N
1155687	3954	1997-10-25	VYDAJ	VYBER	2480	30934	\N	\N	\N
1155688	3954	1997-06-11	VYDAJ	VYBER	3840	26802	\N	\N	\N
1155689	3954	1997-08-06	VYDAJ	VYBER	1680	27519	\N	\N	\N
1155690	3954	1997-09-16	VYDAJ	VYBER	1520	32301	\N	\N	\N
1155691	3954	1997-01-30	VYDAJ	VYBER	640	29119	\N	\N	\N
1155692	3954	1998-01-03	VYDAJ	VYBER	960	19942	\N	\N	\N
1155693	3954	1998-05-15	VYDAJ	VYBER	880	19782	\N	\N	\N
1155694	3954	1998-06-30	VYDAJ	VYBER	2000	17959	\N	\N	\N
1155696	3954	1998-03-21	VYDAJ	VYBER	2080	21440	\N	\N	\N
1155708	3954	1993-11-30	VYDAJ	VYBER	15	25464	SLUZBY	\N	\N
1155709	3954	1993-12-31	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
1155710	3954	1994-01-31	VYDAJ	VYBER	15	16616	SLUZBY	\N	\N
1155711	3954	1994-02-28	VYDAJ	VYBER	15	20776	SLUZBY	\N	\N
1155712	3954	1994-03-31	VYDAJ	VYBER	15	21183	SLUZBY	\N	\N
1155713	3954	1994-04-30	VYDAJ	VYBER	15	21430	SLUZBY	\N	\N
1155714	3954	1994-05-31	VYDAJ	VYBER	15	25611	SLUZBY	\N	\N
1155715	3954	1994-06-30	VYDAJ	VYBER	15	22695	SLUZBY	\N	\N
1155716	3954	1994-07-31	VYDAJ	VYBER	15	26280	SLUZBY	\N	\N
1155717	3954	1994-08-31	VYDAJ	VYBER	15	27831	SLUZBY	\N	\N
1155718	3954	1994-09-30	VYDAJ	VYBER	15	30235	SLUZBY	\N	\N
1155719	3954	1994-10-31	VYDAJ	VYBER	15	29085	SLUZBY	\N	\N
1155720	3954	1994-11-30	VYDAJ	VYBER	15	27587	SLUZBY	\N	\N
1155721	3954	1994-12-31	VYDAJ	VYBER	15	28185	SLUZBY	\N	\N
1155722	3954	1995-01-31	VYDAJ	VYBER	15	21822	SLUZBY	\N	\N
1155723	3954	1995-02-28	VYDAJ	VYBER	15	22956	SLUZBY	\N	\N
1155724	3954	1995-03-31	VYDAJ	VYBER	15	27143	SLUZBY	\N	\N
1155725	3954	1995-04-30	VYDAJ	VYBER	15	22957	SLUZBY	\N	\N
1155726	3954	1995-05-31	VYDAJ	VYBER	15	23298	SLUZBY	\N	\N
1155727	3954	1995-06-30	VYDAJ	VYBER	15	19026	SLUZBY	\N	\N
1155728	3954	1995-07-31	VYDAJ	VYBER	15	20069	SLUZBY	\N	\N
1155729	3954	1995-08-31	VYDAJ	VYBER	15	24244	SLUZBY	\N	\N
1155730	3954	1995-09-30	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
1155731	3954	1995-10-31	VYDAJ	VYBER	15	32445	SLUZBY	\N	\N
1155732	3954	1995-11-30	VYDAJ	VYBER	15	30656	SLUZBY	\N	\N
1155733	3954	1995-12-31	VYDAJ	VYBER	15	33821	SLUZBY	\N	\N
1155734	3954	1996-01-31	VYDAJ	VYBER	15	19980	SLUZBY	\N	\N
1155735	3954	1996-02-29	VYDAJ	VYBER	15	24155	SLUZBY	\N	\N
1155736	3954	1996-03-31	VYDAJ	VYBER	15	27466	SLUZBY	\N	\N
1155737	3954	1996-04-30	VYDAJ	VYBER	15	31671	SLUZBY	\N	\N
1155738	3954	1996-05-31	VYDAJ	VYBER	15	35894	SLUZBY	\N	\N
1155739	3954	1996-06-30	VYDAJ	VYBER	15	24819	SLUZBY	\N	\N
1155740	3954	1996-07-31	VYDAJ	VYBER	15	29013	SLUZBY	\N	\N
1155741	3954	1996-08-31	VYDAJ	VYBER	15	29373	SLUZBY	\N	\N
1155742	3954	1996-09-30	VYDAJ	VYBER	15	31663	SLUZBY	\N	\N
1155743	3954	1996-10-31	VYDAJ	VYBER	15	33726	SLUZBY	\N	\N
1155744	3954	1996-11-30	VYDAJ	VYBER	15	35850	SLUZBY	\N	\N
1155745	3954	1996-12-31	VYDAJ	VYBER	15	37984	SLUZBY	\N	\N
1155746	3954	1997-01-31	VYDAJ	VYBER	15	29237	SLUZBY	\N	\N
1155747	3954	1997-02-28	VYDAJ	VYBER	15	31141	SLUZBY	\N	\N
1155748	3954	1997-03-31	VYDAJ	VYBER	15	31850	SLUZBY	\N	\N
1155749	3954	1997-04-30	VYDAJ	VYBER	15	29553	SLUZBY	\N	\N
1155750	3954	1997-05-31	VYDAJ	VYBER	15	27447	SLUZBY	\N	\N
1155751	3954	1997-06-30	VYDAJ	VYBER	15	26897	SLUZBY	\N	\N
1155752	3954	1997-07-31	VYDAJ	VYBER	15	31099	SLUZBY	\N	\N
1155753	3954	1997-08-31	VYDAJ	VYBER	15	31726	SLUZBY	\N	\N
1155754	3954	1997-09-30	VYDAJ	VYBER	15	32419	SLUZBY	\N	\N
1155755	3954	1997-10-31	VYDAJ	VYBER	15	31051	SLUZBY	\N	\N
1155756	3954	1997-11-30	VYDAJ	VYBER	15	29954	SLUZBY	\N	\N
1155757	3954	1997-12-31	VYDAJ	VYBER	15	28702	SLUZBY	\N	\N
1155758	3954	1998-01-31	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
1155759	3954	1998-02-28	VYDAJ	VYBER	15	19425	SLUZBY	\N	\N
1155760	3954	1998-03-31	VYDAJ	VYBER	15	15712	SLUZBY	\N	\N
1155761	3954	1998-04-30	VYDAJ	VYBER	15	19867	SLUZBY	\N	\N
1155762	3954	1998-05-31	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
1155763	3954	1998-06-30	VYDAJ	VYBER	15	19959	SLUZBY	\N	\N
1155764	3954	1998-07-31	VYDAJ	VYBER	15	15220	SLUZBY	\N	\N
1155765	3954	1998-08-31	VYDAJ	VYBER	15	19372	SLUZBY	\N	\N
1155766	3954	1998-09-30	VYDAJ	VYBER	15	16338	SLUZBY	\N	\N
1155767	3954	1998-10-31	VYDAJ	VYBER	15	15091	SLUZBY	\N	\N
1155768	3954	1998-11-30	VYDAJ	VYBER	15	15640	SLUZBY	\N	\N
1155769	3954	1993-10-23	VYDAJ	VYBER	700	24736	\N	\N	\N
1155770	3954	1993-11-22	VYDAJ	VYBER	5500	25375	\N	\N	\N
1155771	3954	1993-12-22	VYDAJ	VYBER	4400	24439	\N	\N	\N
1155772	3954	1994-07-20	VYDAJ	VYBER	600	26190	\N	\N	\N
1155773	3954	1994-09-18	VYDAJ	VYBER	1800	30126	\N	\N	\N
1155774	3954	1994-10-18	VYDAJ	VYBER	2000	32330	\N	\N	\N
1155775	3954	1994-11-17	VYDAJ	VYBER	5700	27480	\N	\N	\N
1155776	3954	1994-12-17	VYDAJ	VYBER	3200	28082	\N	\N	\N
1155777	3954	1995-04-16	VYDAJ	VYBER	2700	28538	\N	\N	\N
1155778	3954	1995-09-13	VYDAJ	VYBER	200	28139	\N	\N	\N
1155779	3954	1995-11-12	VYDAJ	VYBER	6000	30540	\N	\N	\N
1155780	3954	1996-11-06	VYDAJ	VYBER	2100	31626	\N	\N	\N
1155781	3954	1996-12-06	VYDAJ	VYBER	1700	34150	\N	\N	\N
1155782	3954	1997-01-05	VYDAJ	VYBER	2800	35184	\N	\N	\N
1155783	3954	1997-02-04	VYDAJ	VYBER	2300	26937	\N	\N	\N
1155784	3954	1997-03-06	VYDAJ	VYBER	3500	27641	\N	\N	\N
1155785	3954	1997-04-05	VYDAJ	VYBER	6500	25350	\N	\N	\N
1155786	3954	1997-05-05	VYDAJ	VYBER	6300	23253	\N	\N	\N
1155787	3954	1997-06-04	VYDAJ	VYBER	900	26547	\N	\N	\N
1155788	3954	1997-08-03	VYDAJ	VYBER	1900	29199	\N	\N	\N
1155789	3954	1997-09-02	VYDAJ	VYBER	2000	29726	\N	\N	\N
1155790	3954	1997-10-02	VYDAJ	VYBER	3100	29319	\N	\N	\N
1155791	3954	1997-11-01	VYDAJ	VYBER	5300	25751	\N	\N	\N
1155792	3954	1997-12-01	VYDAJ	VYBER	4700	25254	\N	\N	\N
1155793	3954	1997-12-31	VYDAJ	VYBER	7800	20902	\N	\N	\N
1155794	3954	1998-01-30	VYDAJ	VYBER	2600	15197	\N	\N	\N
1155795	3954	1998-03-31	VYDAJ	VYBER	5800	15726	\N	\N	\N
1155796	3954	1998-04-30	VYDAJ	VYBER	3300	16567	\N	\N	\N
1155797	3954	1998-07-29	VYDAJ	VYBER	6900	15154	\N	\N	\N
1155798	3954	1998-09-27	VYDAJ	VYBER	7200	16267	\N	\N	\N
1155799	3954	1998-10-27	VYDAJ	VYBER	5400	15033	\N	\N	\N
1155800	3954	1998-11-26	VYDAJ	VYBER	3600	15586	\N	\N	\N
1155864	3955	1993-07-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1155872	3955	1993-08-07	PRIJEM	VKLAD	7689	8689	\N	\N	\N
1155873	3955	1993-09-07	PRIJEM	VKLAD	7689	24521	\N	\N	\N
1155874	3955	1993-10-07	PRIJEM	VKLAD	7689	30496	\N	\N	\N
1155875	3955	1993-11-07	PRIJEM	VKLAD	7689	36495	\N	\N	\N
1155876	3955	1993-12-07	PRIJEM	VKLAD	11534	42856	\N	\N	\N
1155877	3955	1994-01-07	PRIJEM	VKLAD	7689	32448	\N	\N	\N
1155878	3955	1994-02-07	PRIJEM	VKLAD	7689	24254	\N	\N	\N
1155879	3955	1994-03-07	PRIJEM	VKLAD	7689	24043	\N	\N	\N
1155880	3955	1994-04-07	PRIJEM	VKLAD	7689	26675	\N	\N	\N
1155881	3955	1994-05-07	PRIJEM	VKLAD	7689	27213	\N	\N	\N
1155882	3955	1994-06-07	PRIJEM	VKLAD	11534	30624	\N	\N	\N
1155883	3955	1994-07-07	PRIJEM	VKLAD	7689	28067	\N	\N	\N
1155884	3955	1994-08-07	PRIJEM	VKLAD	7689	29713	\N	\N	\N
1155885	3955	1994-09-07	PRIJEM	VKLAD	7689	31366	\N	\N	\N
1155886	3955	1994-10-07	PRIJEM	VKLAD	7689	28340	\N	\N	\N
1155887	3955	1994-11-07	PRIJEM	VKLAD	7689	30279	\N	\N	\N
1155888	3955	1994-12-07	PRIJEM	VKLAD	11534	38079	\N	\N	\N
1155889	3955	1995-01-07	PRIJEM	VKLAD	7689	34105	\N	\N	\N
1155890	3955	1995-02-07	PRIJEM	VKLAD	7689	26879	\N	\N	\N
1155891	3955	1995-03-07	PRIJEM	VKLAD	7689	30222	\N	\N	\N
1155892	3955	1995-04-07	PRIJEM	VKLAD	7689	33680	\N	\N	\N
1155893	3955	1995-05-07	PRIJEM	VKLAD	7689	37252	\N	\N	\N
1155894	3955	1995-06-07	PRIJEM	VKLAD	11534	39783	\N	\N	\N
1155895	3955	1995-07-07	PRIJEM	VKLAD	7689	40736	\N	\N	\N
1155896	3955	1995-08-07	PRIJEM	VKLAD	7689	37660	\N	\N	\N
1155897	3955	1995-09-07	PRIJEM	VKLAD	7689	38748	\N	\N	\N
1155898	3955	1995-10-07	PRIJEM	VKLAD	7689	35562	\N	\N	\N
1155899	3955	1995-11-07	PRIJEM	VKLAD	7689	35342	\N	\N	\N
1155900	3955	1995-12-07	PRIJEM	VKLAD	11534	44566	\N	\N	\N
1155901	3955	1996-01-07	PRIJEM	VKLAD	7689	40492	\N	\N	\N
1155902	3955	1996-02-07	PRIJEM	VKLAD	7689	37193	\N	\N	\N
1155903	3955	1996-03-07	PRIJEM	VKLAD	7689	39280	\N	\N	\N
1155904	3955	1996-04-07	PRIJEM	VKLAD	7689	40475	\N	\N	\N
1155905	3955	1996-05-07	PRIJEM	VKLAD	7689	43375	\N	\N	\N
1155906	3955	1996-06-07	PRIJEM	VKLAD	11534	48632	\N	\N	\N
1155907	3955	1996-07-07	PRIJEM	VKLAD	7689	38393	\N	\N	\N
1155908	3955	1996-08-07	PRIJEM	VKLAD	7689	39884	\N	\N	\N
1155909	3955	1996-09-07	PRIJEM	VKLAD	7689	43182	\N	\N	\N
1155910	3955	1996-10-07	PRIJEM	VKLAD	7689	41632	\N	\N	\N
1155911	3955	1996-11-07	PRIJEM	VKLAD	7689	44839	\N	\N	\N
1155912	3955	1996-12-07	PRIJEM	VKLAD	11534	49563	\N	\N	\N
1155913	3955	1997-01-07	PRIJEM	VKLAD	7689	46570	\N	\N	\N
1155914	3955	1997-02-07	PRIJEM	VKLAD	7689	39884	\N	\N	\N
1155915	3955	1997-03-07	PRIJEM	VKLAD	7689	43081	\N	\N	\N
1155916	3955	1997-04-07	PRIJEM	VKLAD	7689	48224	\N	\N	\N
1155917	3955	1997-05-07	PRIJEM	VKLAD	7689	48030	\N	\N	\N
1155918	3955	1997-06-07	PRIJEM	VKLAD	11534	50785	\N	\N	\N
1155919	3955	1997-07-07	PRIJEM	VKLAD	7689	36635	\N	\N	\N
1155920	3955	1997-08-07	PRIJEM	VKLAD	7689	46030	\N	\N	\N
1155921	3955	1997-09-07	PRIJEM	VKLAD	7689	47677	\N	\N	\N
1155922	3955	1997-10-07	PRIJEM	VKLAD	7689	54915	\N	\N	\N
1155923	3955	1997-11-07	PRIJEM	VKLAD	7689	54669	\N	\N	\N
1155924	3955	1997-12-07	PRIJEM	VKLAD	11534	58840	\N	\N	\N
1155925	3955	1998-01-07	PRIJEM	VKLAD	7689	56604	\N	\N	\N
1155926	3955	1998-02-07	PRIJEM	VKLAD	7689	49081	\N	\N	\N
1155927	3955	1998-03-07	PRIJEM	VKLAD	7689	54119	\N	\N	\N
1155928	3955	1998-04-07	PRIJEM	VKLAD	7689	54971	\N	\N	\N
1155929	3955	1998-05-07	PRIJEM	VKLAD	7689	53669	\N	\N	\N
1155930	3955	1998-06-07	PRIJEM	VKLAD	11534	62372	\N	\N	\N
1155931	3955	1998-07-07	PRIJEM	VKLAD	7689	53314	\N	\N	\N
1155932	3955	1998-08-07	PRIJEM	VKLAD	7689	59372	\N	\N	\N
1155933	3955	1998-09-07	PRIJEM	VKLAD	7689	64152	\N	\N	\N
1155934	3955	1998-10-07	PRIJEM	VKLAD	7689	67650	\N	\N	\N
1155935	3955	1998-11-07	PRIJEM	VKLAD	7689	71062	\N	\N	\N
1155936	3955	1998-12-07	PRIJEM	VKLAD	11534	68596	\N	\N	\N
1155948	3955	1993-12-13	VYDAJ	PREVOD NA UCET	4129	31727	SIPO	EF	9654927
1155949	3955	1994-01-13	VYDAJ	PREVOD NA UCET	4129	21679	SIPO	EF	9654927
1155950	3955	1994-02-13	VYDAJ	PREVOD NA UCET	4129	18125	SIPO	EF	9654927
1155951	3955	1994-03-13	VYDAJ	PREVOD NA UCET	4129	19914	SIPO	EF	9654927
1155952	3955	1994-04-13	VYDAJ	PREVOD NA UCET	4129	20446	SIPO	EF	9654927
1155953	3955	1994-05-13	VYDAJ	PREVOD NA UCET	4129	24084	SIPO	EF	9654927
1155954	3955	1994-06-13	VYDAJ	PREVOD NA UCET	4129	24295	SIPO	EF	9654927
1155955	3955	1994-07-13	VYDAJ	PREVOD NA UCET	4129	22938	SIPO	EF	9654927
1155956	3955	1994-08-13	VYDAJ	PREVOD NA UCET	4129	24584	SIPO	EF	9654927
1155957	3955	1994-09-13	VYDAJ	PREVOD NA UCET	4129	25037	SIPO	EF	9654927
1155958	3955	1994-10-13	VYDAJ	PREVOD NA UCET	4129	19811	SIPO	EF	9654927
1155959	3955	1994-11-13	VYDAJ	PREVOD NA UCET	4129	26150	SIPO	EF	9654927
1155960	3955	1994-12-13	VYDAJ	PREVOD NA UCET	4129	33950	SIPO	EF	9654927
1155961	3955	1995-01-13	VYDAJ	PREVOD NA UCET	4129	26736	SIPO	EF	9654927
1155962	3955	1995-02-13	VYDAJ	PREVOD NA UCET	4129	22750	SIPO	EF	9654927
1155963	3955	1995-03-13	VYDAJ	PREVOD NA UCET	4129	26093	SIPO	EF	9654927
1155964	3955	1995-04-13	VYDAJ	PREVOD NA UCET	4129	29551	SIPO	EF	9654927
1155965	3955	1995-05-13	VYDAJ	PREVOD NA UCET	4129	33123	SIPO	EF	9654927
1155966	3955	1995-06-13	VYDAJ	PREVOD NA UCET	4129	34214	SIPO	EF	9654927
1155967	3955	1995-07-13	VYDAJ	PREVOD NA UCET	4129	32287	SIPO	EF	9654927
1155968	3955	1995-08-13	VYDAJ	PREVOD NA UCET	4129	33531	SIPO	EF	9654927
1155969	3955	1995-09-13	VYDAJ	PREVOD NA UCET	4129	34619	SIPO	EF	9654927
1155970	3955	1995-10-13	VYDAJ	PREVOD NA UCET	4129	31433	SIPO	EF	9654927
1155971	3955	1995-11-13	VYDAJ	PREVOD NA UCET	4129	31213	SIPO	EF	9654927
1155972	3955	1995-12-13	VYDAJ	PREVOD NA UCET	4129	40437	SIPO	EF	9654927
1155973	3955	1996-01-13	VYDAJ	PREVOD NA UCET	4129	32523	SIPO	EF	9654927
1155974	3955	1996-02-13	VYDAJ	PREVOD NA UCET	4129	33064	SIPO	EF	9654927
1155975	3955	1996-03-13	VYDAJ	PREVOD NA UCET	4129	35151	SIPO	EF	9654927
1155976	3955	1996-04-13	VYDAJ	PREVOD NA UCET	4129	36346	SIPO	EF	9654927
1155977	3955	1996-05-13	VYDAJ	PREVOD NA UCET	4129	39246	SIPO	EF	9654927
1155978	3955	1996-06-13	VYDAJ	PREVOD NA UCET	4129	44503	SIPO	EF	9654927
1155979	3955	1996-07-13	VYDAJ	PREVOD NA UCET	4129	34264	SIPO	EF	9654927
1155980	3955	1996-08-13	VYDAJ	PREVOD NA UCET	4129	35755	SIPO	EF	9654927
1155981	3955	1996-09-13	VYDAJ	PREVOD NA UCET	4129	39053	SIPO	EF	9654927
1155982	3955	1996-10-13	VYDAJ	PREVOD NA UCET	4129	37503	SIPO	EF	9654927
1155983	3955	1996-11-13	VYDAJ	PREVOD NA UCET	4129	40710	SIPO	EF	9654927
1155984	3955	1996-12-13	VYDAJ	PREVOD NA UCET	4129	45434	SIPO	EF	9654927
1155985	3955	1997-01-13	VYDAJ	PREVOD NA UCET	4129	40401	SIPO	EF	9654927
1155986	3955	1997-02-13	VYDAJ	PREVOD NA UCET	4129	35755	SIPO	EF	9654927
1155987	3955	1997-03-13	VYDAJ	PREVOD NA UCET	4129	33192	SIPO	EF	9654927
1155988	3955	1997-04-13	VYDAJ	PREVOD NA UCET	4129	44095	SIPO	EF	9654927
1155989	3955	1997-05-13	VYDAJ	PREVOD NA UCET	4129	43901	SIPO	EF	9654927
1155990	3955	1997-06-13	VYDAJ	PREVOD NA UCET	4129	46656	SIPO	EF	9654927
1155991	3955	1997-07-13	VYDAJ	PREVOD NA UCET	4129	32506	SIPO	EF	9654927
1155992	3955	1997-08-13	VYDAJ	PREVOD NA UCET	4129	41901	SIPO	EF	9654927
1155993	3955	1997-09-13	VYDAJ	PREVOD NA UCET	4129	43548	SIPO	EF	9654927
1155994	3955	1997-10-13	VYDAJ	PREVOD NA UCET	4129	50786	SIPO	EF	9654927
1155995	3955	1997-11-13	VYDAJ	PREVOD NA UCET	4129	46220	SIPO	EF	9654927
1155996	3955	1997-12-13	VYDAJ	PREVOD NA UCET	4129	54711	SIPO	EF	9654927
1155997	3955	1998-01-13	VYDAJ	PREVOD NA UCET	4129	52475	SIPO	EF	9654927
1155998	3955	1998-02-13	VYDAJ	PREVOD NA UCET	4129	44952	SIPO	EF	9654927
1155999	3955	1998-03-13	VYDAJ	PREVOD NA UCET	4129	49990	SIPO	EF	9654927
1156000	3955	1998-04-13	VYDAJ	PREVOD NA UCET	4129	50842	SIPO	EF	9654927
1156001	3955	1998-05-13	VYDAJ	PREVOD NA UCET	4129	49540	SIPO	EF	9654927
1156002	3955	1998-06-13	VYDAJ	PREVOD NA UCET	4129	58243	SIPO	EF	9654927
1156003	3955	1998-07-13	VYDAJ	PREVOD NA UCET	4129	49185	SIPO	EF	9654927
1156004	3955	1998-08-13	VYDAJ	PREVOD NA UCET	4129	55243	SIPO	EF	9654927
1156005	3955	1998-09-13	VYDAJ	PREVOD NA UCET	4129	60023	SIPO	EF	9654927
1156006	3955	1998-10-13	VYDAJ	PREVOD NA UCET	4129	63521	SIPO	EF	9654927
1156007	3955	1998-11-13	VYDAJ	PREVOD NA UCET	4129	66933	SIPO	EF	9654927
1156008	3955	1998-12-13	VYDAJ	PREVOD NA UCET	4129	64467	SIPO	EF	9654927
1156021	3955	1994-01-05	VYDAJ	PREVOD NA UCET	997	24759	 	GH	24978786
1156022	3955	1994-02-05	VYDAJ	PREVOD NA UCET	997	18605	 	GH	24978786
1156023	3955	1994-03-05	VYDAJ	PREVOD NA UCET	997	16354	 	GH	24978786
1156024	3955	1994-04-05	VYDAJ	PREVOD NA UCET	997	18986	 	GH	24978786
1156025	3955	1994-05-05	VYDAJ	PREVOD NA UCET	997	19524	 	GH	24978786
1156026	3955	1994-06-05	VYDAJ	PREVOD NA UCET	997	19090	 	GH	24978786
1156027	3955	1994-07-05	VYDAJ	PREVOD NA UCET	997	20378	 	GH	24978786
1156028	3955	1994-08-05	VYDAJ	PREVOD NA UCET	997	22024	 	GH	24978786
1156029	3955	1994-09-05	VYDAJ	PREVOD NA UCET	997	23677	 	GH	24978786
1156030	3955	1994-10-05	VYDAJ	PREVOD NA UCET	997	20651	 	GH	24978786
1156031	3955	1994-11-05	VYDAJ	PREVOD NA UCET	997	18890	 	GH	24978786
1156032	3955	1994-12-05	VYDAJ	PREVOD NA UCET	997	25245	 	GH	24978786
1156033	3955	1995-01-05	VYDAJ	PREVOD NA UCET	997	28316	 	GH	24978786
1156034	3955	1995-02-05	VYDAJ	PREVOD NA UCET	997	19190	 	GH	24978786
1156035	3955	1995-03-05	VYDAJ	PREVOD NA UCET	997	21833	 	GH	24978786
1156036	3955	1995-04-05	VYDAJ	PREVOD NA UCET	997	25991	 	GH	24978786
1156037	3955	1995-05-05	VYDAJ	PREVOD NA UCET	997	29563	 	GH	24978786
1156038	3955	1995-06-05	VYDAJ	PREVOD NA UCET	997	28249	 	GH	24978786
1156039	3955	1995-07-05	VYDAJ	PREVOD NA UCET	997	33047	 	GH	24978786
1156040	3955	1995-08-05	VYDAJ	PREVOD NA UCET	997	29971	 	GH	24978786
1156041	3955	1995-09-05	VYDAJ	PREVOD NA UCET	997	31059	 	GH	24978786
1156042	3955	1995-10-05	VYDAJ	PREVOD NA UCET	997	27873	 	GH	24978786
1156043	3955	1995-11-05	VYDAJ	PREVOD NA UCET	997	27653	 	GH	24978786
1156044	3955	1995-12-05	VYDAJ	PREVOD NA UCET	997	33032	 	GH	24978786
1156045	3955	1996-01-05	VYDAJ	PREVOD NA UCET	997	32803	 	GH	24978786
1156046	3955	1996-02-05	VYDAJ	PREVOD NA UCET	997	29504	 	GH	24978786
1156047	3955	1996-03-05	VYDAJ	PREVOD NA UCET	997	31591	 	GH	24978786
1156048	3955	1996-04-05	VYDAJ	PREVOD NA UCET	997	32786	 	GH	24978786
1156049	3955	1996-05-05	VYDAJ	PREVOD NA UCET	997	35686	 	GH	24978786
1156050	3955	1996-06-05	VYDAJ	PREVOD NA UCET	997	37098	 	GH	24978786
1156051	3955	1996-07-05	VYDAJ	PREVOD NA UCET	997	30704	 	GH	24978786
1156052	3955	1996-08-05	VYDAJ	PREVOD NA UCET	997	32195	 	GH	24978786
1156053	3955	1996-09-05	VYDAJ	PREVOD NA UCET	997	35493	 	GH	24978786
1156054	3955	1996-10-05	VYDAJ	PREVOD NA UCET	997	33943	 	GH	24978786
1156055	3955	1996-11-05	VYDAJ	PREVOD NA UCET	997	37150	 	GH	24978786
1156056	3955	1996-12-05	VYDAJ	PREVOD NA UCET	997	38029	 	GH	24978786
1156057	3955	1997-01-05	VYDAJ	PREVOD NA UCET	997	40561	 	GH	24978786
1156058	3955	1997-02-05	VYDAJ	PREVOD NA UCET	997	32195	 	GH	24978786
1156059	3955	1997-03-05	VYDAJ	PREVOD NA UCET	997	35392	 	GH	24978786
1156060	3955	1997-04-05	VYDAJ	PREVOD NA UCET	997	40535	 	GH	24978786
1156061	3955	1997-05-05	VYDAJ	PREVOD NA UCET	997	40341	 	GH	24978786
1156062	3955	1997-06-05	VYDAJ	PREVOD NA UCET	997	42371	 	GH	24978786
1156063	3955	1997-07-05	VYDAJ	PREVOD NA UCET	997	34106	 	GH	24978786
1156064	3955	1997-08-05	VYDAJ	PREVOD NA UCET	997	38341	 	GH	24978786
1156065	3955	1997-09-05	VYDAJ	PREVOD NA UCET	997	39988	 	GH	24978786
1156066	3955	1997-10-05	VYDAJ	PREVOD NA UCET	997	47226	 	GH	24978786
1156067	3955	1997-11-05	VYDAJ	PREVOD NA UCET	997	46980	 	GH	24978786
1156068	3955	1997-12-05	VYDAJ	PREVOD NA UCET	997	47306	 	GH	24978786
1156069	3955	1998-01-05	VYDAJ	PREVOD NA UCET	997	48915	 	GH	24978786
1156070	3955	1998-02-05	VYDAJ	PREVOD NA UCET	997	41392	 	GH	24978786
1156071	3955	1998-03-05	VYDAJ	PREVOD NA UCET	997	46430	 	GH	24978786
1156072	3955	1998-04-05	VYDAJ	PREVOD NA UCET	997	47282	 	GH	24978786
1156073	3955	1998-05-05	VYDAJ	PREVOD NA UCET	997	45980	 	GH	24978786
1156074	3955	1998-06-05	VYDAJ	PREVOD NA UCET	997	50838	 	GH	24978786
1156075	3955	1998-07-05	VYDAJ	PREVOD NA UCET	997	45625	 	GH	24978786
1156076	3955	1998-08-05	VYDAJ	PREVOD NA UCET	997	51683	 	GH	24978786
1156077	3955	1998-09-05	VYDAJ	PREVOD NA UCET	997	56463	 	GH	24978786
1156078	3955	1998-10-05	VYDAJ	PREVOD NA UCET	997	59961	 	GH	24978786
1156079	3955	1998-11-05	VYDAJ	PREVOD NA UCET	997	63373	 	GH	24978786
1156080	3955	1998-12-05	VYDAJ	PREVOD NA UCET	997	58982	 	GH	24978786
1156084	3955	1996-06-14	VYDAJ	VYBER	12640	31863	\N	\N	\N
1156085	3955	1997-06-24	VYDAJ	VYBER	14720	34936	\N	\N	\N
1156086	3955	1998-06-29	VYDAJ	VYBER	11840	46403	\N	\N	\N
1156087	3955	1993-12-15	VYDAJ	VYBER	3680	28047	\N	\N	\N
1156088	3955	1994-12-25	VYDAJ	VYBER	1280	32670	\N	\N	\N
1156089	3955	1995-12-18	VYDAJ	VYBER	3200	37237	\N	\N	\N
1156090	3955	1996-12-14	VYDAJ	VYBER	3840	41594	\N	\N	\N
1156091	3955	1997-12-20	VYDAJ	VYBER	1600	53111	\N	\N	\N
1156092	3955	1998-12-05	VYDAJ	VYBER	1920	57062	\N	\N	\N
1156099	3955	1994-01-09	VYDAJ	VYBER	2400	30048	\N	\N	\N
1156100	3955	1994-01-23	VYDAJ	VYBER	960	19519	\N	\N	\N
1156101	3955	1994-01-02	VYDAJ	VYBER	1320	26836	\N	\N	\N
1156102	3955	1994-01-22	VYDAJ	VYBER	1200	20479	\N	\N	\N
1156103	3955	1994-01-04	VYDAJ	VYBER	1080	25756	\N	\N	\N
1156104	3955	1994-01-11	VYDAJ	VYBER	3240	25808	\N	\N	\N
1156105	3955	1995-01-14	VYDAJ	VYBER	1680	22416	\N	\N	\N
1156106	3955	1995-01-02	VYDAJ	VYBER	3480	29313	\N	\N	\N
1156107	3955	1995-01-09	VYDAJ	VYBER	3240	30865	\N	\N	\N
1156108	3955	1995-01-14	VYDAJ	VYBER	2640	24096	\N	\N	\N
1156109	3955	1995-01-29	VYDAJ	VYBER	1320	18096	\N	\N	\N
1156110	3955	1995-01-28	VYDAJ	VYBER	3000	19416	\N	\N	\N
1156111	3955	1996-01-12	VYDAJ	VYBER	2040	36652	\N	\N	\N
1156112	3955	1996-01-22	VYDAJ	VYBER	1920	26883	\N	\N	\N
1156113	3955	1996-01-16	VYDAJ	VYBER	1440	28803	\N	\N	\N
1156114	3955	1996-01-01	VYDAJ	VYBER	1680	33800	\N	\N	\N
1156115	3955	1996-01-12	VYDAJ	VYBER	1800	38692	\N	\N	\N
1156116	3955	1996-01-15	VYDAJ	VYBER	2280	30243	\N	\N	\N
1156117	3955	1997-01-27	VYDAJ	VYBER	1080	36401	\N	\N	\N
1156118	3955	1997-01-28	VYDAJ	VYBER	3360	33041	\N	\N	\N
1156119	3955	1997-01-11	VYDAJ	VYBER	2040	44530	\N	\N	\N
1156120	3955	1997-01-06	VYDAJ	VYBER	1680	38881	\N	\N	\N
1156121	3955	1997-01-01	VYDAJ	VYBER	600	41558	\N	\N	\N
1156122	3955	1997-01-17	VYDAJ	VYBER	600	39801	\N	\N	\N
1156123	3955	1998-01-27	VYDAJ	VYBER	1680	46635	\N	\N	\N
1156124	3955	1998-01-28	VYDAJ	VYBER	2760	42195	\N	\N	\N
1156125	3955	1998-01-22	VYDAJ	VYBER	720	51435	\N	\N	\N
1156126	3955	1998-01-23	VYDAJ	VYBER	3120	48315	\N	\N	\N
1156127	3955	1998-01-16	VYDAJ	VYBER	720	51755	\N	\N	\N
1156128	3955	1998-01-27	VYDAJ	VYBER	1680	44955	\N	\N	\N
1156135	3955	1994-02-22	VYDAJ	VYBER	840	17285	\N	\N	\N
1156136	3955	1994-06-15	VYDAJ	VYBER	3000	21295	\N	\N	\N
1156137	3955	1994-09-22	VYDAJ	VYBER	3480	21557	\N	\N	\N
1156138	3955	1994-02-06	VYDAJ	VYBER	2040	16565	\N	\N	\N
1156139	3955	1994-05-27	VYDAJ	VYBER	4080	20004	\N	\N	\N
1156140	3955	1995-07-18	VYDAJ	VYBER	2640	29647	\N	\N	\N
1156141	3955	1995-07-10	VYDAJ	VYBER	4320	36416	\N	\N	\N
1156142	3955	1995-06-10	VYDAJ	VYBER	1440	38343	\N	\N	\N
1156143	3955	1995-10-04	VYDAJ	VYBER	4680	28870	\N	\N	\N
1156144	3955	1995-10-27	VYDAJ	VYBER	3000	28433	\N	\N	\N
1156145	3955	1996-12-05	VYDAJ	VYBER	3240	39026	\N	\N	\N
1156146	3955	1996-10-04	VYDAJ	VYBER	3360	34940	\N	\N	\N
1156147	3955	1997-04-17	VYDAJ	VYBER	3120	40975	\N	\N	\N
1156148	3955	1997-09-02	VYDAJ	VYBER	4680	40985	\N	\N	\N
1156149	3955	1997-09-20	VYDAJ	VYBER	600	42948	\N	\N	\N
1156150	3955	1997-03-12	VYDAJ	VYBER	5760	37321	\N	\N	\N
1156151	3955	1997-11-07	VYDAJ	VYBER	4320	50349	\N	\N	\N
1156152	3955	1997-01-23	VYDAJ	VYBER	4320	35481	\N	\N	\N
1156153	3955	1997-07-05	VYDAJ	VYBER	5160	28946	\N	\N	\N
1156154	3955	1997-06-06	VYDAJ	VYBER	3120	39251	\N	\N	\N
1156155	3955	1998-05-02	VYDAJ	VYBER	3360	46977	\N	\N	\N
1156168	3955	1993-12-31	VYDAJ	VYBER	15	28156	SLUZBY	\N	\N
1156169	3955	1994-01-31	VYDAJ	VYBER	15	19602	SLUZBY	\N	\N
1156170	3955	1994-02-28	VYDAJ	VYBER	15	17351	SLUZBY	\N	\N
1156171	3955	1994-03-31	VYDAJ	VYBER	15	19983	SLUZBY	\N	\N
1156172	3955	1994-04-30	VYDAJ	VYBER	15	20521	SLUZBY	\N	\N
1156173	3955	1994-05-31	VYDAJ	VYBER	15	20087	SLUZBY	\N	\N
1156174	3955	1994-06-30	VYDAJ	VYBER	15	21375	SLUZBY	\N	\N
1156175	3955	1994-07-31	VYDAJ	VYBER	15	23021	SLUZBY	\N	\N
1156176	3955	1994-08-31	VYDAJ	VYBER	15	24674	SLUZBY	\N	\N
1156177	3955	1994-09-30	VYDAJ	VYBER	15	21648	SLUZBY	\N	\N
1156178	3955	1994-10-31	VYDAJ	VYBER	15	19887	SLUZBY	\N	\N
1156179	3955	1994-11-30	VYDAJ	VYBER	15	26242	SLUZBY	\N	\N
1156180	3955	1994-12-31	VYDAJ	VYBER	15	32793	SLUZBY	\N	\N
1156181	3955	1995-01-31	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
1156182	3955	1995-02-28	VYDAJ	VYBER	15	22830	SLUZBY	\N	\N
1156183	3955	1995-03-31	VYDAJ	VYBER	15	26188	SLUZBY	\N	\N
1156184	3955	1995-04-30	VYDAJ	VYBER	15	29660	SLUZBY	\N	\N
1156185	3955	1995-05-31	VYDAJ	VYBER	15	33246	SLUZBY	\N	\N
1156186	3955	1995-06-30	VYDAJ	VYBER	15	34344	SLUZBY	\N	\N
1156187	3955	1995-07-31	VYDAJ	VYBER	15	29768	SLUZBY	\N	\N
1156188	3955	1995-08-31	VYDAJ	VYBER	15	33656	SLUZBY	\N	\N
1156189	3955	1995-09-30	VYDAJ	VYBER	15	34750	SLUZBY	\N	\N
1156190	3955	1995-10-31	VYDAJ	VYBER	15	28550	SLUZBY	\N	\N
1156191	3955	1995-11-30	VYDAJ	VYBER	15	31329	SLUZBY	\N	\N
1156192	3955	1995-12-31	VYDAJ	VYBER	15	35480	SLUZBY	\N	\N
1156193	3955	1996-01-31	VYDAJ	VYBER	15	30501	SLUZBY	\N	\N
1156194	3955	1996-02-29	VYDAJ	VYBER	15	32588	SLUZBY	\N	\N
1156195	3955	1996-03-31	VYDAJ	VYBER	15	33783	SLUZBY	\N	\N
1156196	3955	1996-04-30	VYDAJ	VYBER	15	36683	SLUZBY	\N	\N
1156197	3955	1996-05-31	VYDAJ	VYBER	15	38095	SLUZBY	\N	\N
1156198	3955	1996-06-30	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
1156199	3955	1996-07-31	VYDAJ	VYBER	15	33192	SLUZBY	\N	\N
1156200	3955	1996-08-31	VYDAJ	VYBER	15	36490	SLUZBY	\N	\N
1156201	3955	1996-09-30	VYDAJ	VYBER	15	38300	SLUZBY	\N	\N
1156202	3955	1996-10-31	VYDAJ	VYBER	15	38147	SLUZBY	\N	\N
1156203	3955	1996-11-30	VYDAJ	VYBER	15	42266	SLUZBY	\N	\N
1156204	3955	1996-12-31	VYDAJ	VYBER	15	42158	SLUZBY	\N	\N
1156205	3955	1997-01-31	VYDAJ	VYBER	15	33192	SLUZBY	\N	\N
1156206	3955	1997-02-28	VYDAJ	VYBER	15	36389	SLUZBY	\N	\N
1156207	3955	1997-03-31	VYDAJ	VYBER	15	41532	SLUZBY	\N	\N
1156208	3955	1997-04-30	VYDAJ	VYBER	15	41338	SLUZBY	\N	\N
1156209	3955	1997-05-31	VYDAJ	VYBER	15	43368	SLUZBY	\N	\N
1156210	3955	1997-06-30	VYDAJ	VYBER	15	35103	SLUZBY	\N	\N
1156211	3955	1997-07-31	VYDAJ	VYBER	15	39338	SLUZBY	\N	\N
1156212	3955	1997-08-31	VYDAJ	VYBER	15	45665	SLUZBY	\N	\N
1156213	3955	1997-09-30	VYDAJ	VYBER	15	48223	SLUZBY	\N	\N
1156214	3955	1997-10-31	VYDAJ	VYBER	15	47977	SLUZBY	\N	\N
1156215	3955	1997-11-30	VYDAJ	VYBER	15	48303	SLUZBY	\N	\N
1156216	3955	1997-12-31	VYDAJ	VYBER	15	49912	SLUZBY	\N	\N
1156217	3955	1998-01-31	VYDAJ	VYBER	15	42389	SLUZBY	\N	\N
1156218	3955	1998-02-28	VYDAJ	VYBER	15	47427	SLUZBY	\N	\N
1156219	3955	1998-03-31	VYDAJ	VYBER	15	48279	SLUZBY	\N	\N
1156220	3955	1998-04-30	VYDAJ	VYBER	15	50337	SLUZBY	\N	\N
1156221	3955	1998-05-31	VYDAJ	VYBER	15	51835	SLUZBY	\N	\N
1156222	3955	1998-06-30	VYDAJ	VYBER	15	46622	SLUZBY	\N	\N
1156223	3955	1998-07-31	VYDAJ	VYBER	15	52680	SLUZBY	\N	\N
1156224	3955	1998-08-31	VYDAJ	VYBER	15	57460	SLUZBY	\N	\N
1156225	3955	1998-09-30	VYDAJ	VYBER	15	60958	SLUZBY	\N	\N
1156226	3955	1998-10-31	VYDAJ	VYBER	15	64370	SLUZBY	\N	\N
1156227	3955	1998-11-30	VYDAJ	VYBER	15	59979	SLUZBY	\N	\N
1156228	3955	1993-08-13	PRIJEM	VKLAD	8100	16789	\N	\N	\N
1156229	3955	1993-09-12	VYDAJ	VYBER	1800	22721	\N	\N	\N
1156230	3955	1993-10-12	VYDAJ	VYBER	1800	28696	\N	\N	\N
1156231	3955	1993-11-11	VYDAJ	VYBER	5300	31195	\N	\N	\N
1156232	3955	1993-12-11	VYDAJ	VYBER	7000	35856	\N	\N	\N
1156233	3955	1994-01-10	VYDAJ	VYBER	1000	29048	\N	\N	\N
1156234	3955	1994-02-09	VYDAJ	VYBER	2000	22254	\N	\N	\N
1156235	3955	1994-04-10	VYDAJ	VYBER	2100	24575	\N	\N	\N
1156236	3955	1994-05-10	PRIJEM	VKLAD	1000	28213	\N	\N	\N
1156237	3955	1994-06-09	VYDAJ	VYBER	2200	28424	\N	\N	\N
1156238	3955	1994-07-09	VYDAJ	VYBER	1000	27067	\N	\N	\N
1156239	3955	1994-08-08	VYDAJ	VYBER	1000	28713	\N	\N	\N
1156240	3955	1994-09-07	VYDAJ	VYBER	2200	29166	\N	\N	\N
1156241	3955	1994-10-07	VYDAJ	VYBER	4400	23940	\N	\N	\N
1156242	3955	1994-11-06	PRIJEM	VKLAD	3700	22590	\N	\N	\N
1156243	3955	1994-12-06	PRIJEM	VKLAD	1300	26545	\N	\N	\N
1156244	3955	1995-01-05	VYDAJ	VYBER	1900	26416	\N	\N	\N
1156245	3955	1995-02-04	PRIJEM	VKLAD	2000	20187	\N	\N	\N
1156246	3955	1995-03-06	PRIJEM	VKLAD	700	22533	\N	\N	\N
1156247	3955	1995-04-05	PRIJEM	VKLAD	800	26988	\N	\N	\N
1156248	3955	1995-05-05	PRIJEM	VKLAD	900	30560	\N	\N	\N
1156249	3955	1995-06-04	VYDAJ	VYBER	4000	29246	\N	\N	\N
1156250	3955	1995-07-04	VYDAJ	VYBER	300	34044	\N	\N	\N
1156251	3955	1995-08-03	PRIJEM	VKLAD	1200	30968	\N	\N	\N
1156252	3955	1995-09-02	VYDAJ	VYBER	1600	32056	\N	\N	\N
1156253	3955	1995-10-02	VYDAJ	VYBER	1200	33550	\N	\N	\N
1156254	3955	1995-11-01	PRIJEM	VKLAD	100	28650	\N	\N	\N
1156255	3955	1995-12-01	PRIJEM	VKLAD	2700	34029	\N	\N	\N
1156256	3955	1995-12-31	VYDAJ	VYBER	1900	35495	\N	\N	\N
1156257	3955	1996-01-30	PRIJEM	VKLAD	3500	30383	\N	\N	\N
1156258	3955	1996-02-29	VYDAJ	VYBER	600	32602	\N	\N	\N
1156259	3955	1996-03-30	VYDAJ	VYBER	1500	33651	\N	\N	\N
1156260	3955	1996-04-29	PRIJEM	VKLAD	200	36546	\N	\N	\N
1156261	3955	1996-05-29	VYDAJ	VYBER	1300	37946	\N	\N	\N
1156262	3955	1996-06-28	VYDAJ	VYBER	300	31563	\N	\N	\N
1156263	3955	1996-07-28	VYDAJ	VYBER	1200	33064	\N	\N	\N
1156264	3955	1996-08-27	PRIJEM	VKLAD	600	36355	\N	\N	\N
1156265	3955	1996-09-26	VYDAJ	VYBER	900	38153	\N	\N	\N
1156266	3955	1996-10-26	PRIJEM	VKLAD	500	38003	\N	\N	\N
1156267	3955	1996-11-25	PRIJEM	VKLAD	1400	42110	\N	\N	\N
1156268	3955	1996-12-25	PRIJEM	VKLAD	400	41994	\N	\N	\N
1156269	3955	1997-01-24	PRIJEM	VKLAD	2000	37481	\N	\N	\N
1156270	3955	1997-02-23	PRIJEM	VKLAD	500	36255	\N	\N	\N
1156271	3955	1997-03-25	PRIJEM	VKLAD	8200	41392	\N	\N	\N
1156272	3955	1997-04-24	PRIJEM	VKLAD	200	41175	\N	\N	\N
1156273	3955	1997-05-24	VYDAJ	VYBER	700	43201	\N	\N	\N
1156274	3955	1997-06-23	PRIJEM	VKLAD	3000	49656	\N	\N	\N
1156275	3955	1997-07-23	PRIJEM	VKLAD	6700	39206	\N	\N	\N
1156276	3955	1997-08-22	PRIJEM	VKLAD	3600	45501	\N	\N	\N
1156277	3955	1997-09-21	PRIJEM	VKLAD	5100	48048	\N	\N	\N
1156278	3955	1997-10-21	VYDAJ	VYBER	3000	47786	\N	\N	\N
1156279	3955	1997-11-20	PRIJEM	VKLAD	1900	48120	\N	\N	\N
1156280	3955	1997-12-20	VYDAJ	VYBER	3400	49711	\N	\N	\N
1156281	3955	1998-01-19	PRIJEM	VKLAD	400	52155	\N	\N	\N
1156282	3955	1998-02-18	PRIJEM	VKLAD	2300	47252	\N	\N	\N
1156283	3955	1998-03-20	VYDAJ	VYBER	1900	48090	\N	\N	\N
1156284	3955	1998-04-19	VYDAJ	VYBER	700	50142	\N	\N	\N
1156285	3955	1998-05-19	PRIJEM	VKLAD	2100	51640	\N	\N	\N
1156286	3955	1998-07-18	PRIJEM	VKLAD	3300	52485	\N	\N	\N
1156287	3955	1998-08-17	PRIJEM	VKLAD	2000	57243	\N	\N	\N
1156288	3955	1998-09-16	PRIJEM	VKLAD	700	60723	\N	\N	\N
1156289	3955	1998-10-16	PRIJEM	VKLAD	600	64121	\N	\N	\N
1156290	3955	1998-11-15	VYDAJ	VYBER	7200	59733	\N	\N	\N
1156356	3956	1996-10-28	PRIJEM	VKLAD	500	500	\N	\N	\N
1156367	3956	1996-11-08	PRIJEM	VKLAD	10391	10891	\N	\N	\N
1156368	3956	1996-12-08	PRIJEM	VKLAD	15586	34888	\N	\N	\N
1156369	3956	1997-01-08	PRIJEM	VKLAD	10391	43268	\N	\N	\N
1156370	3956	1997-02-08	PRIJEM	VKLAD	10391	49201	\N	\N	\N
1156371	3956	1997-03-08	PRIJEM	VKLAD	10391	52855	\N	\N	\N
1156372	3956	1997-04-08	PRIJEM	VKLAD	10391	51286	\N	\N	\N
1156373	3956	1997-05-08	PRIJEM	VKLAD	10391	48353	\N	\N	\N
1156374	3956	1997-06-08	PRIJEM	VKLAD	15586	53572	\N	\N	\N
1156375	3956	1997-07-08	PRIJEM	VKLAD	10391	41993	\N	\N	\N
1156376	3956	1997-08-08	PRIJEM	VKLAD	10391	48986	\N	\N	\N
1156377	3956	1997-09-08	PRIJEM	VKLAD	10391	57911	\N	\N	\N
1156378	3956	1997-10-08	PRIJEM	VKLAD	10391	53421	\N	\N	\N
1156379	3956	1997-11-08	PRIJEM	VKLAD	10391	58070	\N	\N	\N
1156380	3956	1997-12-08	PRIJEM	VKLAD	15586	65220	\N	\N	\N
1156381	3956	1998-01-08	PRIJEM	VKLAD	10391	53391	\N	\N	\N
1156382	3956	1998-02-08	PRIJEM	VKLAD	10391	50976	\N	\N	\N
1156383	3956	1998-03-08	PRIJEM	VKLAD	10391	53902	\N	\N	\N
1156384	3956	1998-04-08	PRIJEM	VKLAD	10391	56540	\N	\N	\N
1156385	3956	1998-05-08	PRIJEM	VKLAD	10391	58031	\N	\N	\N
1156386	3956	1998-06-08	PRIJEM	VKLAD	15586	65390	\N	\N	\N
1156387	3956	1998-07-08	PRIJEM	VKLAD	10391	60670	\N	\N	\N
1156388	3956	1998-08-08	PRIJEM	VKLAD	10391	62137	\N	\N	\N
1156389	3956	1998-09-08	PRIJEM	VKLAD	10391	67914	\N	\N	\N
1156390	3956	1998-10-08	PRIJEM	VKLAD	10391	74116	\N	\N	\N
1156391	3956	1998-11-08	PRIJEM	VKLAD	10391	71244	\N	\N	\N
1156392	3956	1998-12-08	PRIJEM	VKLAD	15586	80551	\N	\N	\N
1156407	3956	1997-03-13	VYDAJ	PREVOD NA UCET	6035	46820	SIPO	ST	20439923
1156408	3956	1997-04-13	VYDAJ	PREVOD NA UCET	6035	45251	SIPO	ST	20439923
1156409	3956	1997-05-13	VYDAJ	PREVOD NA UCET	6035	42318	SIPO	ST	20439923
1156410	3956	1997-06-13	VYDAJ	PREVOD NA UCET	6035	47537	SIPO	ST	20439923
1156411	3956	1997-07-13	VYDAJ	PREVOD NA UCET	6035	35958	SIPO	ST	20439923
1156412	3956	1997-08-13	VYDAJ	PREVOD NA UCET	6035	42951	SIPO	ST	20439923
1156413	3956	1997-09-13	VYDAJ	PREVOD NA UCET	6035	51876	SIPO	ST	20439923
1156414	3956	1997-10-13	VYDAJ	PREVOD NA UCET	6035	47386	SIPO	ST	20439923
1156415	3956	1997-11-13	VYDAJ	PREVOD NA UCET	6035	52035	SIPO	ST	20439923
1156416	3956	1997-12-13	VYDAJ	PREVOD NA UCET	6035	59185	SIPO	ST	20439923
1156417	3956	1998-01-13	VYDAJ	PREVOD NA UCET	6035	47356	SIPO	ST	20439923
1156418	3956	1998-02-13	VYDAJ	PREVOD NA UCET	6035	44941	SIPO	ST	20439923
1156419	3956	1998-03-13	VYDAJ	PREVOD NA UCET	6035	47867	SIPO	ST	20439923
1156420	3956	1998-04-13	VYDAJ	PREVOD NA UCET	6035	50505	SIPO	ST	20439923
1156421	3956	1998-05-13	VYDAJ	PREVOD NA UCET	6035	51996	SIPO	ST	20439923
1156422	3956	1998-06-13	VYDAJ	PREVOD NA UCET	6035	50875	SIPO	ST	20439923
1156423	3956	1998-07-13	VYDAJ	PREVOD NA UCET	6035	53675	SIPO	ST	20439923
1156424	3956	1998-08-13	VYDAJ	PREVOD NA UCET	6035	56102	SIPO	ST	20439923
1156425	3956	1998-09-13	VYDAJ	PREVOD NA UCET	6035	61879	SIPO	ST	20439923
1156426	3956	1998-10-13	VYDAJ	PREVOD NA UCET	6035	62201	SIPO	ST	20439923
1156427	3956	1998-11-13	VYDAJ	PREVOD NA UCET	6035	65209	SIPO	ST	20439923
1156428	3956	1998-12-13	VYDAJ	PREVOD NA UCET	6035	69476	SIPO	ST	20439923
1156443	3956	1997-03-14	VYDAJ	PREVOD NA UCET	892	45928	 	IJ	23786348
1156444	3956	1997-04-14	VYDAJ	PREVOD NA UCET	892	44359	 	IJ	23786348
1156445	3956	1997-05-14	VYDAJ	PREVOD NA UCET	892	41426	 	IJ	23786348
1156446	3956	1997-06-14	VYDAJ	PREVOD NA UCET	892	46645	 	IJ	23786348
1156447	3956	1997-07-14	VYDAJ	PREVOD NA UCET	892	35066	 	IJ	23786348
1156448	3956	1997-08-14	VYDAJ	PREVOD NA UCET	892	42059	 	IJ	23786348
1156449	3956	1997-09-14	VYDAJ	PREVOD NA UCET	892	50984	 	IJ	23786348
1156450	3956	1997-10-14	VYDAJ	PREVOD NA UCET	892	46494	 	IJ	23786348
1156451	3956	1997-11-14	VYDAJ	PREVOD NA UCET	892	51143	 	IJ	23786348
1156452	3956	1997-12-14	VYDAJ	PREVOD NA UCET	892	58293	 	IJ	23786348
1156453	3956	1998-01-14	VYDAJ	PREVOD NA UCET	892	46464	 	IJ	23786348
1156454	3956	1998-02-14	VYDAJ	PREVOD NA UCET	892	44049	 	IJ	23786348
1156455	3956	1998-03-14	VYDAJ	PREVOD NA UCET	892	46975	 	IJ	23786348
1156456	3956	1998-04-14	VYDAJ	PREVOD NA UCET	892	49613	 	IJ	23786348
1156457	3956	1998-05-14	VYDAJ	PREVOD NA UCET	892	51104	 	IJ	23786348
1156458	3956	1998-06-14	VYDAJ	PREVOD NA UCET	892	49983	 	IJ	23786348
1156459	3956	1998-07-14	VYDAJ	PREVOD NA UCET	892	52783	 	IJ	23786348
1156460	3956	1998-08-14	VYDAJ	PREVOD NA UCET	892	55210	 	IJ	23786348
1156461	3956	1998-09-14	VYDAJ	PREVOD NA UCET	892	60987	 	IJ	23786348
1156462	3956	1998-10-14	VYDAJ	PREVOD NA UCET	892	61309	 	IJ	23786348
1156463	3956	1998-11-14	VYDAJ	PREVOD NA UCET	892	64317	 	IJ	23786348
1156464	3956	1998-12-14	VYDAJ	PREVOD NA UCET	892	68584	 	IJ	23786348
1156466	3956	1997-06-15	VYDAJ	VYBER	24320	22325	\N	\N	\N
1156467	3956	1998-06-10	VYDAJ	VYBER	8480	56910	\N	\N	\N
1156470	3956	1998-01-03	VYDAJ	VYBER	3200	47680	\N	\N	\N
1156472	3956	1997-12-29	VYDAJ	VYBER	3520	50673	\N	\N	\N
1156473	3956	1998-12-11	VYDAJ	VYBER	1920	75511	\N	\N	\N
1156486	3956	1998-01-25	VYDAJ	VYBER	1920	44244	\N	\N	\N
1156487	3956	1998-01-05	VYDAJ	VYBER	1320	46360	\N	\N	\N
1156488	3956	1998-01-07	VYDAJ	VYBER	3360	43000	\N	\N	\N
1156489	3956	1998-01-28	VYDAJ	VYBER	2760	40404	\N	\N	\N
1156490	3956	1998-01-28	VYDAJ	VYBER	1080	43164	\N	\N	\N
1156491	3956	1998-01-16	VYDAJ	VYBER	1800	44664	\N	\N	\N
1156497	3956	1997-10-02	VYDAJ	VYBER	3240	43030	\N	\N	\N
1156498	3956	1997-05-03	VYDAJ	VYBER	3360	37962	\N	\N	\N
1156499	3956	1997-06-20	VYDAJ	VYBER	2640	19685	\N	\N	\N
1156501	3956	1998-12-08	VYDAJ	VYBER	3120	77431	\N	\N	\N
1156502	3956	1998-10-11	VYDAJ	VYBER	5880	68236	\N	\N	\N
1156503	3956	1998-05-03	VYDAJ	VYBER	2760	47640	\N	\N	\N
1156504	3956	1998-07-09	VYDAJ	VYBER	960	59710	\N	\N	\N
1156505	3956	1998-07-17	VYDAJ	VYBER	2640	50143	\N	\N	\N
1156521	3956	1997-03-31	VYDAJ	VYBER	15	40895	SLUZBY	\N	\N
1156522	3956	1997-04-30	VYDAJ	VYBER	15	41322	SLUZBY	\N	\N
1156523	3956	1997-05-31	VYDAJ	VYBER	15	37986	SLUZBY	\N	\N
1156524	3956	1997-06-30	VYDAJ	VYBER	15	31602	SLUZBY	\N	\N
1156525	3956	1997-07-31	VYDAJ	VYBER	15	38595	SLUZBY	\N	\N
1156526	3956	1997-08-31	VYDAJ	VYBER	15	47520	SLUZBY	\N	\N
1156527	3956	1997-09-30	VYDAJ	VYBER	15	46270	SLUZBY	\N	\N
1156528	3956	1997-10-31	VYDAJ	VYBER	15	47679	SLUZBY	\N	\N
1156529	3956	1997-11-30	VYDAJ	VYBER	15	49634	SLUZBY	\N	\N
1156530	3956	1997-12-31	VYDAJ	VYBER	15	50880	SLUZBY	\N	\N
1156531	3956	1998-01-31	VYDAJ	VYBER	15	40585	SLUZBY	\N	\N
1156532	3956	1998-02-28	VYDAJ	VYBER	15	43511	SLUZBY	\N	\N
1156533	3956	1998-03-31	VYDAJ	VYBER	15	46149	SLUZBY	\N	\N
1156534	3956	1998-04-30	VYDAJ	VYBER	15	50400	SLUZBY	\N	\N
1156535	3956	1998-05-31	VYDAJ	VYBER	15	49804	SLUZBY	\N	\N
1156536	3956	1998-06-30	VYDAJ	VYBER	15	50279	SLUZBY	\N	\N
1156537	3956	1998-07-31	VYDAJ	VYBER	15	51746	SLUZBY	\N	\N
1156538	3956	1998-08-31	VYDAJ	VYBER	15	57523	SLUZBY	\N	\N
1156539	3956	1998-09-30	VYDAJ	VYBER	15	63725	SLUZBY	\N	\N
1156540	3956	1998-10-31	VYDAJ	VYBER	15	60853	SLUZBY	\N	\N
1156541	3956	1998-11-30	VYDAJ	VYBER	15	64965	SLUZBY	\N	\N
1156542	3956	1996-11-27	PRIJEM	VKLAD	8400	19291	\N	\N	\N
1156543	3956	1996-12-27	VYDAJ	VYBER	2100	32788	\N	\N	\N
1156544	3956	1997-01-26	VYDAJ	VYBER	4600	38668	\N	\N	\N
1156545	3956	1997-02-25	VYDAJ	VYBER	6900	42301	\N	\N	\N
1156546	3956	1997-03-27	VYDAJ	VYBER	5200	40728	\N	\N	\N
1156547	3956	1997-04-26	VYDAJ	VYBER	3200	41159	\N	\N	\N
1156548	3956	1997-05-26	VYDAJ	VYBER	3600	37826	\N	\N	\N
1156549	3956	1997-06-25	PRIJEM	VKLAD	11800	31485	\N	\N	\N
1156550	3956	1997-07-25	PRIJEM	VKLAD	3400	38466	\N	\N	\N
1156551	3956	1997-08-24	PRIJEM	VKLAD	5300	47359	\N	\N	\N
1156552	3956	1997-09-23	VYDAJ	VYBER	4900	46084	\N	\N	\N
1156553	3956	1997-10-23	PRIJEM	VKLAD	1000	47494	\N	\N	\N
1156554	3956	1997-11-22	VYDAJ	VYBER	1700	49443	\N	\N	\N
1156555	3956	1997-12-22	VYDAJ	VYBER	4100	54193	\N	\N	\N
1156556	3956	1998-01-21	PRIJEM	VKLAD	1500	46164	\N	\N	\N
1156557	3956	1998-02-20	VYDAJ	VYBER	700	43349	\N	\N	\N
1156558	3956	1998-03-22	VYDAJ	VYBER	1000	45975	\N	\N	\N
1156559	3956	1998-04-21	PRIJEM	VKLAD	600	50213	\N	\N	\N
1156560	3956	1998-05-21	VYDAJ	VYBER	1500	49604	\N	\N	\N
1156561	3956	1998-06-20	PRIJEM	VKLAD	100	50083	\N	\N	\N
1156562	3956	1998-07-20	PRIJEM	VKLAD	1400	51543	\N	\N	\N
1156563	3956	1998-08-19	PRIJEM	VKLAD	2100	57310	\N	\N	\N
1156564	3956	1998-09-18	PRIJEM	VKLAD	2500	63487	\N	\N	\N
1156565	3956	1998-10-18	VYDAJ	VYBER	700	60609	\N	\N	\N
1156566	3956	1998-11-17	PRIJEM	VKLAD	400	64717	\N	\N	\N
1156593	3957	1996-06-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1156600	3957	1996-07-09	PRIJEM	PREVOD Z UCTU	30463	31163	\N	WX	15323031
1156601	3957	1996-08-09	PRIJEM	PREVOD Z UCTU	30463	58698	\N	WX	15323031
1156602	3957	1996-09-09	PRIJEM	PREVOD Z UCTU	30463	76125	\N	WX	15323031
1156603	3957	1996-10-09	PRIJEM	PREVOD Z UCTU	30463	84601	\N	WX	15323031
1156604	3957	1996-11-09	PRIJEM	PREVOD Z UCTU	30463	84990	\N	WX	15323031
1156605	3957	1996-12-09	PRIJEM	PREVOD Z UCTU	45694	95687	\N	WX	15323031
1156606	3957	1997-01-09	PRIJEM	PREVOD Z UCTU	30463	77770	\N	WX	15323031
1156607	3957	1997-02-09	PRIJEM	PREVOD Z UCTU	30463	59221	\N	WX	15323031
1156608	3957	1997-03-09	PRIJEM	PREVOD Z UCTU	30463	64772	\N	WX	15323031
1156609	3957	1997-04-09	PRIJEM	PREVOD Z UCTU	30463	70264	\N	WX	15323031
1156610	3957	1997-05-09	PRIJEM	PREVOD Z UCTU	30463	73152	\N	WX	15323031
1156611	3957	1997-06-09	PRIJEM	PREVOD Z UCTU	45694	79202	\N	WX	15323031
1156612	3957	1997-07-09	PRIJEM	PREVOD Z UCTU	30463	56943	\N	WX	15323031
1156613	3957	1997-08-09	PRIJEM	PREVOD Z UCTU	30463	52581	\N	WX	15323031
1156614	3957	1997-09-09	PRIJEM	PREVOD Z UCTU	30463	56192	\N	WX	15323031
1156615	3957	1997-10-09	PRIJEM	PREVOD Z UCTU	30463	55758	\N	WX	15323031
1156616	3957	1997-11-09	PRIJEM	PREVOD Z UCTU	30463	66998	\N	WX	15323031
1156617	3957	1997-12-09	PRIJEM	PREVOD Z UCTU	45694	64680	\N	WX	15323031
1156618	3957	1998-01-09	PRIJEM	PREVOD Z UCTU	30463	64238	\N	WX	15323031
1156619	3957	1998-02-09	PRIJEM	PREVOD Z UCTU	30463	56704	\N	WX	15323031
1156620	3957	1998-03-09	PRIJEM	PREVOD Z UCTU	30463	68247	\N	WX	15323031
1156621	3957	1998-04-09	PRIJEM	PREVOD Z UCTU	30463	75452	\N	WX	15323031
1156622	3957	1998-05-09	PRIJEM	PREVOD Z UCTU	30463	78591	\N	WX	15323031
1156623	3957	1998-06-09	PRIJEM	PREVOD Z UCTU	45694	92343	\N	WX	15323031
1156624	3957	1998-07-09	PRIJEM	PREVOD Z UCTU	30463	73836	\N	WX	15323031
1156625	3957	1998-08-09	PRIJEM	PREVOD Z UCTU	30463	75479	\N	WX	15323031
1156626	3957	1998-09-09	PRIJEM	PREVOD Z UCTU	30463	71821	\N	WX	15323031
1156627	3957	1998-10-09	PRIJEM	PREVOD Z UCTU	30463	70532	\N	WX	15323031
1156628	3957	1998-11-09	PRIJEM	PREVOD Z UCTU	30463	71959	\N	WX	15323031
1156629	3957	1998-12-09	PRIJEM	PREVOD Z UCTU	45694	80813	\N	WX	15323031
1156633	3957	1997-06-17	VYBER	VYBER	10108	69094	\N	\N	\N
1156634	3957	1997-11-30	VYBER	VYBER	2300	23616	\N	\N	\N
1156636	3957	1997-11-19	VYBER	VYBER	19920	25741	\N	\N	\N
1156637	3957	1997-08-11	VYBER	VYBER	13179	39402	\N	\N	\N
1156638	3957	1997-09-11	VYBER	VYBER	11359	44833	\N	\N	\N
1156639	3957	1997-02-20	VYBER	VYBER	7159	34163	\N	\N	\N
1156640	3957	1997-07-23	VYBER	VYBER	21472	29471	\N	\N	\N
1156642	3957	1997-11-15	VYBER	VYBER	9337	45661	\N	\N	\N
1156643	3957	1997-09-14	VYBER	VYBER	12257	32576	\N	\N	\N
1156646	3957	1997-02-15	VYBER	VYBER	17899	41322	\N	\N	\N
1156647	3957	1998-05-26	VYBER	VYBER	3833	74758	\N	\N	\N
1156649	3957	1997-06-19	VYDAJ	VYBER	32700	36394	\N	\N	\N
1156650	3957	1998-06-29	VYDAJ	VYBER	15900	76443	\N	\N	\N
1156651	3957	1996-12-04	VYDAJ	VYBER	3600	49993	\N	\N	\N
1156653	3957	1998-12-10	VYDAJ	VYBER	6000	74813	\N	\N	\N
1156660	3957	1997-01-27	VYDAJ	VYBER	2100	47570	\N	\N	\N
1156661	3957	1997-01-30	VYDAJ	VYBER	7200	40370	\N	\N	\N
1156662	3957	1997-01-07	VYDAJ	VYBER	6000	47307	\N	\N	\N
1156663	3957	1997-01-03	VYDAJ	VYBER	3900	57507	\N	\N	\N
1156664	3957	1997-01-05	VYDAJ	VYBER	4200	53307	\N	\N	\N
1156665	3957	1997-01-11	VYDAJ	VYBER	1800	49670	\N	\N	\N
1156666	3957	1998-01-22	VYDAJ	VYBER	4200	51938	\N	\N	\N
1156667	3957	1998-01-19	VYDAJ	VYBER	8100	56138	\N	\N	\N
1156668	3957	1998-01-27	VYDAJ	VYBER	6300	41738	\N	\N	\N
1156669	3957	1998-01-28	VYDAJ	VYBER	6300	35438	\N	\N	\N
1156670	3957	1998-01-08	VYDAJ	VYBER	4200	33775	\N	\N	\N
1156671	3957	1998-01-24	VYDAJ	VYBER	3900	48038	\N	\N	\N
1156676	3957	1996-12-02	VYDAJ	VYBER	3300	53593	\N	\N	\N
1156678	3957	1997-07-19	VYDAJ	VYBER	6000	50943	\N	\N	\N
1156679	3957	1997-02-01	VYDAJ	VYBER	4200	36358	\N	\N	\N
1156681	3957	1997-09-03	VYDAJ	VYBER	8100	31429	\N	\N	\N
1156683	3957	1997-06-23	VYDAJ	VYBER	2400	33994	\N	\N	\N
1156684	3957	1997-11-09	VYDAJ	VYBER	12000	54998	\N	\N	\N
1156685	3957	1998-09-04	VYDAJ	VYBER	4800	41358	\N	\N	\N
1156686	3957	1998-11-30	VYDAJ	VYBER	6300	35149	\N	\N	\N
1156687	3957	1998-08-23	VYDAJ	VYBER	2400	73079	\N	\N	\N
1156688	3957	1998-12-29	VYDAJ	VYBER	6300	68513	\N	\N	\N
1156700	3957	1996-11-30	VYDAJ	VYBER	30	56893	SLUZBY	\N	\N
1156701	3957	1996-12-31	VYDAJ	VYBER	30	61407	SLUZBY	\N	\N
1156702	3957	1997-01-31	VYDAJ	VYBER	30	40558	SLUZBY	\N	\N
1156703	3957	1997-02-28	VYDAJ	VYBER	30	34309	SLUZBY	\N	\N
1156704	3957	1997-03-31	VYDAJ	VYBER	30	39801	SLUZBY	\N	\N
1156705	3957	1997-04-30	VYDAJ	VYBER	30	42689	SLUZBY	\N	\N
1156706	3957	1997-05-31	VYDAJ	VYBER	30	45908	SLUZBY	\N	\N
1156707	3957	1997-06-30	VYDAJ	VYBER	30	34180	SLUZBY	\N	\N
1156708	3957	1997-07-31	VYDAJ	VYBER	30	29618	SLUZBY	\N	\N
1156709	3957	1997-08-31	VYDAJ	VYBER	30	39529	SLUZBY	\N	\N
1156710	3957	1997-09-30	VYDAJ	VYBER	30	32695	SLUZBY	\N	\N
1156711	3957	1997-10-31	VYDAJ	VYBER	30	55935	SLUZBY	\N	\N
1156712	3957	1997-11-30	VYDAJ	VYBER	30	23586	SLUZBY	\N	\N
1156713	3957	1997-12-31	VYDAJ	VYBER	30	64875	SLUZBY	\N	\N
1156714	3957	1998-01-31	VYDAJ	VYBER	30	35641	SLUZBY	\N	\N
1156715	3957	1998-02-28	VYDAJ	VYBER	30	56884	SLUZBY	\N	\N
1156716	3957	1998-03-31	VYDAJ	VYBER	30	68489	SLUZBY	\N	\N
1156717	3957	1998-04-30	VYDAJ	VYBER	30	75728	SLUZBY	\N	\N
1156718	3957	1998-05-31	VYDAJ	VYBER	30	75049	SLUZBY	\N	\N
1156719	3957	1998-06-30	VYDAJ	VYBER	30	76773	SLUZBY	\N	\N
1156720	3957	1998-07-31	VYDAJ	VYBER	30	74116	SLUZBY	\N	\N
1156721	3957	1998-08-31	VYDAJ	VYBER	30	73358	SLUZBY	\N	\N
1156722	3957	1998-09-30	VYDAJ	VYBER	30	72069	SLUZBY	\N	\N
1156723	3957	1998-10-31	VYDAJ	VYBER	30	70796	SLUZBY	\N	\N
1156724	3957	1998-11-30	VYDAJ	VYBER	30	35119	SLUZBY	\N	\N
1156725	3957	1996-07-13	VYDAJ	VYBER	3000	28163	\N	\N	\N
1156726	3957	1996-08-12	VYDAJ	VYBER	13200	45498	\N	\N	\N
1156727	3957	1996-09-11	VYDAJ	VYBER	22200	53925	\N	\N	\N
1156728	3957	1996-10-11	VYDAJ	VYBER	30300	54301	\N	\N	\N
1156729	3957	1996-11-10	VYDAJ	VYBER	28300	56690	\N	\N	\N
1156730	3957	1996-12-10	VYDAJ	VYBER	34500	61187	\N	\N	\N
1156731	3957	1997-01-09	VYDAJ	VYBER	26300	51470	\N	\N	\N
1156732	3957	1997-02-08	VYDAJ	VYBER	7600	28758	\N	\N	\N
1156733	3957	1997-03-10	VYDAJ	VYBER	25100	39672	\N	\N	\N
1156734	3957	1997-04-09	VYDAJ	VYBER	27800	42464	\N	\N	\N
1156735	3957	1997-05-09	VYDAJ	VYBER	27400	45752	\N	\N	\N
1156736	3957	1997-06-08	VYDAJ	VYBER	12400	33508	\N	\N	\N
1156737	3957	1997-07-08	VYDAJ	VYBER	7700	26480	\N	\N	\N
1156738	3957	1997-08-07	VYDAJ	VYBER	7500	22118	\N	\N	\N
1156739	3957	1997-09-06	VYDAJ	VYBER	5700	25729	\N	\N	\N
1156740	3957	1997-10-06	VYDAJ	VYBER	7400	25295	\N	\N	\N
1156741	3957	1997-11-05	VYDAJ	VYBER	19400	36535	\N	\N	\N
1156742	3957	1997-12-05	VYDAJ	VYBER	4600	18986	\N	\N	\N
1156743	3957	1998-01-04	VYDAJ	VYBER	26900	37975	\N	\N	\N
1156744	3957	1998-02-03	VYDAJ	VYBER	9400	26241	\N	\N	\N
1156745	3957	1998-03-05	VYDAJ	VYBER	19100	37784	\N	\N	\N
1156746	3957	1998-04-04	VYDAJ	VYBER	23500	44989	\N	\N	\N
1156747	3957	1998-05-04	VYDAJ	VYBER	27600	48128	\N	\N	\N
1156748	3957	1998-06-03	VYDAJ	VYBER	28400	46649	\N	\N	\N
1156749	3957	1998-07-03	VYDAJ	VYBER	33400	43373	\N	\N	\N
1156750	3957	1998-08-02	VYDAJ	VYBER	29100	45016	\N	\N	\N
1156751	3957	1998-09-01	VYDAJ	VYBER	27200	46158	\N	\N	\N
1156752	3957	1998-10-01	VYDAJ	VYBER	32000	40069	\N	\N	\N
1156753	3957	1998-10-31	VYDAJ	VYBER	29300	41496	\N	\N	\N
1156754	3957	1998-11-30	VYDAJ	VYBER	30800	41449	\N	\N	\N
1156785	3958	1997-12-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1156798	3958	1998-01-05	PRIJEM	VKLAD	23017	24017	\N	\N	\N
1156799	3958	1998-02-05	PRIJEM	VKLAD	23017	49952	\N	\N	\N
1156800	3958	1998-03-05	PRIJEM	VKLAD	23017	58085	\N	\N	\N
1156801	3958	1998-04-05	PRIJEM	VKLAD	23017	62550	\N	\N	\N
1156802	3958	1998-05-05	PRIJEM	VKLAD	23017	63431	\N	\N	\N
1156803	3958	1998-06-05	PRIJEM	VKLAD	34526	77512	\N	\N	\N
1156804	3958	1998-07-05	PRIJEM	VKLAD	23017	65733	\N	\N	\N
1156805	3958	1998-08-05	PRIJEM	VKLAD	23017	63463	\N	\N	\N
1156806	3958	1998-09-05	PRIJEM	VKLAD	23017	60231	\N	\N	\N
1156807	3958	1998-10-05	PRIJEM	VKLAD	23017	55784	\N	\N	\N
1156808	3958	1998-11-05	PRIJEM	VKLAD	23017	48014	\N	\N	\N
1156809	3958	1998-12-05	PRIJEM	VKLAD	34526	54824	\N	\N	\N
1156811	3958	1998-06-11	VYDAJ	VYBER	14560	62952	\N	\N	\N
1156813	3958	1998-12-22	VYDAJ	VYBER	2560	52264	\N	\N	\N
1156829	3958	1998-06-22	VYDAJ	VYBER	2040	60912	\N	\N	\N
1156830	3958	1998-07-08	VYDAJ	VYBER	1800	63933	\N	\N	\N
1156851	3958	1998-05-31	VYDAJ	VYBER	15	42986	SLUZBY	\N	\N
1156852	3958	1998-06-30	VYDAJ	VYBER	15	42716	SLUZBY	\N	\N
1156853	3958	1998-07-31	VYDAJ	VYBER	15	40446	SLUZBY	\N	\N
1156854	3958	1998-08-31	VYDAJ	VYBER	15	37214	SLUZBY	\N	\N
1156855	3958	1998-09-30	VYDAJ	VYBER	15	32767	SLUZBY	\N	\N
1156856	3958	1998-10-31	VYDAJ	VYBER	15	24997	SLUZBY	\N	\N
1156857	3958	1998-11-30	VYDAJ	VYBER	15	20298	SLUZBY	\N	\N
1156858	3958	1998-01-27	PRIJEM	VKLAD	2900	26917	\N	\N	\N
1156859	3958	1998-02-26	VYDAJ	VYBER	15000	34952	\N	\N	\N
1156860	3958	1998-03-28	VYDAJ	VYBER	18700	39385	\N	\N	\N
1156861	3958	1998-04-27	VYDAJ	VYBER	22300	40250	\N	\N	\N
1156862	3958	1998-05-27	VYDAJ	VYBER	20600	42831	\N	\N	\N
1156863	3958	1998-06-26	VYDAJ	VYBER	18400	42512	\N	\N	\N
1156864	3958	1998-07-26	VYDAJ	VYBER	23700	40233	\N	\N	\N
1156865	3958	1998-08-25	VYDAJ	VYBER	26400	37063	\N	\N	\N
1156866	3958	1998-09-24	VYDAJ	VYBER	27600	32631	\N	\N	\N
1156867	3958	1998-10-24	VYDAJ	VYBER	30900	24884	\N	\N	\N
1156868	3958	1998-11-23	VYDAJ	VYBER	27800	20214	\N	\N	\N
1156881	3959	1997-02-15	PRIJEM	VKLAD	300	300	\N	\N	\N
1156884	3959	1997-03-11	PRIJEM	PREVOD Z UCTU	16806	17106	\N	OP	78200745
1156885	3959	1997-04-11	PRIJEM	PREVOD Z UCTU	16806	36852	\N	OP	78200745
1156886	3959	1997-05-11	PRIJEM	PREVOD Z UCTU	16806	48967	\N	OP	78200745
1156887	3959	1997-06-11	PRIJEM	PREVOD Z UCTU	25209	61618	\N	OP	78200745
1156888	3959	1997-07-11	PRIJEM	PREVOD Z UCTU	16806	56984	\N	OP	78200745
1156889	3959	1997-08-11	PRIJEM	PREVOD Z UCTU	16806	58931	\N	OP	78200745
1156890	3959	1997-09-11	PRIJEM	PREVOD Z UCTU	16806	61188	\N	OP	78200745
1156891	3959	1997-10-11	PRIJEM	PREVOD Z UCTU	16806	59945	\N	OP	78200745
1156892	3959	1997-11-11	PRIJEM	PREVOD Z UCTU	16806	48504	\N	OP	78200745
1156893	3959	1997-12-11	PRIJEM	PREVOD Z UCTU	25209	61046	\N	OP	78200745
1156894	3959	1998-01-11	PRIJEM	PREVOD Z UCTU	16806	23079	\N	OP	78200745
1156895	3959	1998-02-11	PRIJEM	PREVOD Z UCTU	16806	34695	\N	OP	78200745
1156896	3959	1998-03-11	PRIJEM	PREVOD Z UCTU	16806	31466	\N	OP	78200745
1156897	3959	1998-04-11	PRIJEM	PREVOD Z UCTU	16806	33633	\N	OP	78200745
1156898	3959	1998-05-11	PRIJEM	PREVOD Z UCTU	16806	29157	\N	OP	78200745
1156899	3959	1998-06-11	PRIJEM	PREVOD Z UCTU	25209	37573	\N	OP	78200745
1156900	3959	1998-07-11	PRIJEM	PREVOD Z UCTU	16806	41633	\N	OP	78200745
1156901	3959	1998-08-11	PRIJEM	PREVOD Z UCTU	16806	44275	\N	OP	78200745
1156902	3959	1998-09-11	PRIJEM	PREVOD Z UCTU	16806	44430	\N	OP	78200745
1156903	3959	1998-10-11	PRIJEM	PREVOD Z UCTU	16806	28935	\N	OP	78200745
1156904	3959	1998-11-11	PRIJEM	PREVOD Z UCTU	16806	26956	\N	OP	78200745
1156905	3959	1998-12-11	PRIJEM	PREVOD Z UCTU	25209	40231	\N	OP	78200745
1156932	3959	1998-11-05	VYBER	VYBER	23440	50	\N	\N	\N
1156933	3959	1998-10-07	VYBER	VYBER	22766	12429	\N	\N	\N
1156934	3959	1998-12-05	VYBER	VYBER	19603	7422	\N	\N	\N
1156935	3959	1998-09-19	VYBER	VYBER	5770	35060	\N	\N	\N
1156936	3959	1998-05-21	VYBER	VYBER	24419	2638	\N	\N	\N
1156937	3959	1998-02-11	VYBER	VYBER	20101	14594	\N	\N	\N
1156938	3959	1998-07-08	VYBER	VYBER	7324	30327	\N	\N	\N
1156939	3959	1998-04-11	VYBER	VYBER	23573	17060	\N	\N	\N
1156940	3959	1998-10-13	VYBER	VYBER	5520	23415	\N	\N	\N
1156944	3959	1998-01-06	VYDAJ	VYBER	28800	-727	\N	\N	\N
1156945	3959	1997-12-26	VYDAJ	VYBER	7200	33046	\N	\N	\N
1156946	3959	1998-12-21	VYDAJ	VYBER	7800	32431	\N	\N	\N
1156953	3959	1998-01-19	VYDAJ	VYBER	7800	9579	\N	\N	\N
1156954	3959	1998-01-22	VYDAJ	VYBER	2400	7179	\N	\N	\N
1156955	3959	1998-01-01	VYDAJ	VYBER	5100	28073	\N	\N	\N
1156956	3959	1998-01-18	VYDAJ	VYBER	3600	19479	\N	\N	\N
1156957	3959	1998-01-19	VYDAJ	VYBER	2100	17379	\N	\N	\N
1156958	3959	1998-01-24	VYDAJ	VYBER	3000	4179	\N	\N	\N
1156961	3959	1997-11-02	VYDAJ	VYBER	12900	31698	\N	\N	\N
1156964	3959	1997-12-15	VYDAJ	VYBER	4500	40246	\N	\N	\N
1156966	3959	1998-08-10	VYDAJ	VYBER	3300	27469	\N	\N	\N
1156967	3959	1998-04-24	VYDAJ	VYBER	4800	12260	\N	\N	\N
1156968	3959	1998-04-06	VYDAJ	VYBER	9000	16827	\N	\N	\N
1156969	3959	1998-09-11	VYDAJ	VYBER	3600	40830	\N	\N	\N
1156977	3959	1997-07-31	VYDAJ	VYBER	30	42125	SLUZBY	\N	\N
1156978	3959	1997-08-31	VYDAJ	VYBER	30	44382	SLUZBY	\N	\N
1156979	3959	1997-09-30	VYDAJ	VYBER	30	43139	SLUZBY	\N	\N
1156980	3959	1997-10-31	VYDAJ	VYBER	30	44598	SLUZBY	\N	\N
1156981	3959	1997-11-30	VYDAJ	VYBER	30	35837	SLUZBY	\N	\N
1156982	3959	1997-12-31	VYDAJ	VYBER	30	33173	SLUZBY	\N	\N
1156983	3959	1998-01-31	VYDAJ	VYBER	30	4190	SLUZBY	\N	\N
1156984	3959	1998-02-28	VYDAJ	VYBER	30	14660	SLUZBY	\N	\N
1156985	3959	1998-03-31	VYDAJ	VYBER	30	25827	SLUZBY	\N	\N
1156986	3959	1998-04-30	VYDAJ	VYBER	30	12351	SLUZBY	\N	\N
1156987	3959	1998-05-31	VYDAJ	VYBER	30	2664	SLUZBY	\N	\N
1156988	3959	1998-06-30	VYDAJ	VYBER	30	37651	SLUZBY	\N	\N
1156989	3959	1998-07-31	VYDAJ	VYBER	30	41769	SLUZBY	\N	\N
1156990	3959	1998-08-31	VYDAJ	VYBER	30	44424	SLUZBY	\N	\N
1156991	3959	1998-09-30	VYDAJ	VYBER	30	35195	SLUZBY	\N	\N
1156992	3959	1998-10-31	VYDAJ	VYBER	30	23490	SLUZBY	\N	\N
1156993	3959	1998-11-30	VYDAJ	VYBER	30	27025	SLUZBY	\N	\N
1156994	3959	1997-03-17	PRIJEM	VKLAD	2900	20006	\N	\N	\N
1156995	3959	1997-04-16	VYDAJ	VYBER	4800	32052	\N	\N	\N
1156996	3959	1997-05-16	VYDAJ	VYBER	12700	36267	\N	\N	\N
1156997	3959	1997-06-15	VYDAJ	VYBER	21600	40018	\N	\N	\N
1156998	3959	1997-07-15	VYDAJ	VYBER	15000	41984	\N	\N	\N
1156999	3959	1997-08-14	VYDAJ	VYBER	14700	44231	\N	\N	\N
1157000	3959	1997-09-13	VYDAJ	VYBER	18200	42988	\N	\N	\N
1157001	3959	1997-10-13	VYDAJ	VYBER	15500	44445	\N	\N	\N
1157002	3959	1997-11-12	VYDAJ	VYBER	12800	35704	\N	\N	\N
1157003	3959	1997-12-12	VYDAJ	VYBER	16300	44746	\N	\N	\N
1157004	3959	1998-01-11	PRIJEM	VKLAD	7000	6273	\N	\N	\N
1157005	3959	1998-02-10	PRIJEM	VKLAD	13700	17889	\N	\N	\N
1157006	3959	1998-03-12	VYDAJ	VYBER	5700	25766	\N	\N	\N
1157007	3959	1998-04-11	PRIJEM	VKLAD	7000	40633	\N	\N	\N
1157008	3959	1998-05-11	VYDAJ	VYBER	2100	27057	\N	\N	\N
1157009	3959	1998-06-10	PRIJEM	VKLAD	9700	12364	\N	\N	\N
1157010	3959	1998-07-10	VYDAJ	VYBER	5500	24827	\N	\N	\N
1157011	3959	1998-08-09	VYDAJ	VYBER	11000	30769	\N	\N	\N
1157012	3959	1998-09-08	VYDAJ	VYBER	16800	27624	\N	\N	\N
1157013	3959	1998-10-08	VYDAJ	VYBER	300	12129	\N	\N	\N
1157014	3959	1998-11-07	PRIJEM	VKLAD	10100	10150	\N	\N	\N
1157015	3959	1998-12-07	PRIJEM	VKLAD	7600	15022	\N	\N	\N
1157039	3960	1993-02-06	PRIJEM	VKLAD	500	500	\N	\N	\N
1157042	3960	1993-03-05	PRIJEM	PREVOD Z UCTU	4807	5307	DUCHOD	OP	33740347
1157043	3960	1993-04-05	PRIJEM	PREVOD Z UCTU	4807	10114	DUCHOD	OP	33740347
1157044	3960	1993-05-05	PRIJEM	PREVOD Z UCTU	4807	14921	DUCHOD	OP	33740347
1157045	3960	1993-06-05	PRIJEM	PREVOD Z UCTU	4807	19728	DUCHOD	OP	33740347
1157046	3960	1993-07-05	PRIJEM	PREVOD Z UCTU	4807	24535	DUCHOD	OP	33740347
1157047	3960	1993-08-05	PRIJEM	PREVOD Z UCTU	4807	24195	DUCHOD	OP	33740347
1157048	3960	1993-09-05	PRIJEM	PREVOD Z UCTU	4807	24768	DUCHOD	OP	33740347
1157049	3960	1993-10-05	PRIJEM	PREVOD Z UCTU	4807	26445	DUCHOD	OP	33740347
1157050	3960	1993-11-05	PRIJEM	PREVOD Z UCTU	4807	28129	DUCHOD	OP	33740347
1157051	3960	1993-12-05	PRIJEM	PREVOD Z UCTU	4807	28536	DUCHOD	OP	33740347
1157052	3960	1994-01-05	PRIJEM	PREVOD Z UCTU	4807	23505	DUCHOD	OP	33740347
1157053	3960	1994-02-05	PRIJEM	PREVOD Z UCTU	4807	19005	DUCHOD	OP	33740347
1157054	3960	1994-03-05	PRIJEM	PREVOD Z UCTU	4807	20658	DUCHOD	OP	33740347
1157055	3960	1994-04-05	PRIJEM	PREVOD Z UCTU	4807	22318	DUCHOD	OP	33740347
1157056	3960	1994-05-05	PRIJEM	PREVOD Z UCTU	4807	20775	DUCHOD	OP	33740347
1157057	3960	1994-06-05	PRIJEM	PREVOD Z UCTU	4807	22436	DUCHOD	OP	33740347
1157058	3960	1994-07-05	PRIJEM	PREVOD Z UCTU	4807	24103	DUCHOD	OP	33740347
1157059	3960	1994-08-05	PRIJEM	PREVOD Z UCTU	4807	25777	DUCHOD	OP	33740347
1157060	3960	1994-09-05	PRIJEM	PREVOD Z UCTU	4807	26358	DUCHOD	OP	33740347
1157061	3960	1994-10-05	PRIJEM	PREVOD Z UCTU	4807	28041	DUCHOD	OP	33740347
1157062	3960	1994-11-05	PRIJEM	PREVOD Z UCTU	4807	29731	DUCHOD	OP	33740347
1157063	3960	1994-12-05	PRIJEM	PREVOD Z UCTU	4807	27342	DUCHOD	OP	33740347
1157064	3960	1995-01-05	PRIJEM	PREVOD Z UCTU	4807	23611	DUCHOD	OP	33740347
1157065	3960	1995-02-05	PRIJEM	PREVOD Z UCTU	4807	19191	DUCHOD	OP	33740347
1157066	3960	1995-03-05	PRIJEM	PREVOD Z UCTU	4807	20844	DUCHOD	OP	33740347
1157067	3960	1995-04-05	PRIJEM	PREVOD Z UCTU	4807	22504	DUCHOD	OP	33740347
1157068	3960	1995-05-05	PRIJEM	PREVOD Z UCTU	4807	24172	DUCHOD	OP	33740347
1157069	3960	1995-06-05	PRIJEM	PREVOD Z UCTU	4807	25125	DUCHOD	OP	33740347
1157070	3960	1995-07-05	PRIJEM	PREVOD Z UCTU	4807	26803	DUCHOD	OP	33740347
1157071	3960	1995-08-05	PRIJEM	PREVOD Z UCTU	4807	28488	DUCHOD	OP	33740347
1157072	3960	1995-09-05	PRIJEM	PREVOD Z UCTU	4807	30180	DUCHOD	OP	33740347
1157073	3960	1995-10-05	PRIJEM	PREVOD Z UCTU	4807	31879	DUCHOD	OP	33740347
1157074	3960	1995-11-05	PRIJEM	PREVOD Z UCTU	4807	30261	DUCHOD	OP	33740347
1157075	3960	1995-12-05	PRIJEM	PREVOD Z UCTU	4807	31960	DUCHOD	OP	33740347
1157076	3960	1996-01-05	PRIJEM	PREVOD Z UCTU	4807	29424	DUCHOD	OP	33740347
1157077	3960	1996-02-05	PRIJEM	PREVOD Z UCTU	4807	25353	DUCHOD	OP	33740347
1157078	3960	1996-03-05	PRIJEM	PREVOD Z UCTU	4807	27032	DUCHOD	OP	33740347
1157079	3960	1996-04-05	PRIJEM	PREVOD Z UCTU	4807	28717	DUCHOD	OP	33740347
1157080	3960	1996-05-05	PRIJEM	PREVOD Z UCTU	4807	28885	DUCHOD	OP	33740347
1157081	3960	1996-06-05	PRIJEM	PREVOD Z UCTU	4807	30178	DUCHOD	OP	33740347
1157082	3960	1996-07-05	PRIJEM	PREVOD Z UCTU	4807	30615	DUCHOD	OP	33740347
1157083	3960	1996-08-05	PRIJEM	PREVOD Z UCTU	4807	32316	DUCHOD	OP	33740347
1157084	3960	1996-09-05	PRIJEM	PREVOD Z UCTU	4807	34023	DUCHOD	OP	33740347
1157085	3960	1996-10-05	PRIJEM	PREVOD Z UCTU	4807	34836	DUCHOD	OP	33740347
1157086	3960	1996-11-05	PRIJEM	PREVOD Z UCTU	4807	33648	DUCHOD	OP	33740347
1157087	3960	1996-12-05	PRIJEM	PREVOD Z UCTU	4807	33858	DUCHOD	OP	33740347
1157088	3960	1997-01-05	PRIJEM	PREVOD Z UCTU	4807	27323	DUCHOD	OP	33740347
1157089	3960	1997-02-05	PRIJEM	PREVOD Z UCTU	4807	24922	DUCHOD	OP	33740347
1157090	3960	1997-03-05	PRIJEM	PREVOD Z UCTU	4807	25717	DUCHOD	OP	33740347
1157091	3960	1997-04-05	PRIJEM	PREVOD Z UCTU	4807	20670	DUCHOD	OP	33740347
1157092	3960	1997-05-05	PRIJEM	PREVOD Z UCTU	4807	22328	DUCHOD	OP	33740347
1157093	3960	1997-06-05	PRIJEM	PREVOD Z UCTU	4807	23993	DUCHOD	OP	33740347
1157094	3960	1997-07-05	PRIJEM	PREVOD Z UCTU	4807	21893	DUCHOD	OP	33740347
1157095	3960	1997-08-05	PRIJEM	PREVOD Z UCTU	4807	23556	DUCHOD	OP	33740347
1157096	3960	1997-09-05	PRIJEM	PREVOD Z UCTU	4807	22580	DUCHOD	OP	33740347
1157097	3960	1997-10-05	PRIJEM	PREVOD Z UCTU	4807	22802	DUCHOD	OP	33740347
1157098	3960	1997-11-05	PRIJEM	PREVOD Z UCTU	4807	24469	DUCHOD	OP	33740347
1157099	3960	1997-12-05	PRIJEM	PREVOD Z UCTU	4807	25743	DUCHOD	OP	33740347
1157100	3960	1998-01-05	PRIJEM	PREVOD Z UCTU	4807	23689	DUCHOD	OP	33740347
1157101	3960	1998-02-05	PRIJEM	PREVOD Z UCTU	4807	21989	DUCHOD	OP	33740347
1157102	3960	1998-03-05	PRIJEM	PREVOD Z UCTU	4807	22450	DUCHOD	OP	33740347
1157103	3960	1998-04-05	PRIJEM	PREVOD Z UCTU	4807	22270	DUCHOD	OP	33740347
1157104	3960	1998-05-05	PRIJEM	PREVOD Z UCTU	4807	23934	DUCHOD	OP	33740347
1157105	3960	1998-06-05	PRIJEM	PREVOD Z UCTU	4807	23281	DUCHOD	OP	33740347
1157106	3960	1998-07-05	PRIJEM	PREVOD Z UCTU	4807	24949	DUCHOD	OP	33740347
1157107	3960	1998-08-05	PRIJEM	PREVOD Z UCTU	4807	26624	DUCHOD	OP	33740347
1157108	3960	1998-09-05	PRIJEM	PREVOD Z UCTU	4807	28306	DUCHOD	OP	33740347
1157109	3960	1998-10-05	PRIJEM	PREVOD Z UCTU	4807	26555	DUCHOD	OP	33740347
1157110	3960	1998-11-05	PRIJEM	PREVOD Z UCTU	4807	28240	DUCHOD	OP	33740347
1157111	3960	1998-12-05	PRIJEM	PREVOD Z UCTU	4807	28528	DUCHOD	OP	33740347
1157118	3960	1993-07-07	VYDAJ	PREVOD NA UCET	3204	21331	SIPO	CD	74252974
1157119	3960	1993-08-07	VYDAJ	PREVOD NA UCET	3204	19891	SIPO	CD	74252974
1157120	3960	1993-09-07	VYDAJ	PREVOD NA UCET	3204	21564	SIPO	CD	74252974
1157121	3960	1993-10-07	VYDAJ	PREVOD NA UCET	3204	23241	SIPO	CD	74252974
1157122	3960	1993-11-07	VYDAJ	PREVOD NA UCET	3204	24925	SIPO	CD	74252974
1157123	3960	1993-12-07	VYDAJ	PREVOD NA UCET	3204	25332	SIPO	CD	74252974
1157124	3960	1994-01-07	VYDAJ	PREVOD NA UCET	3204	18861	SIPO	CD	74252974
1157213	3960	1996-01-05	VYDAJ	VYBER	400	29024	\N	\N	\N
1157125	3960	1994-02-07	VYDAJ	PREVOD NA UCET	3204	15801	SIPO	CD	74252974
1157126	3960	1994-03-07	VYDAJ	PREVOD NA UCET	3204	17454	SIPO	CD	74252974
1157127	3960	1994-04-07	VYDAJ	PREVOD NA UCET	3204	15914	SIPO	CD	74252974
1157128	3960	1994-05-07	VYDAJ	PREVOD NA UCET	3204	17571	SIPO	CD	74252974
1157129	3960	1994-06-07	VYDAJ	PREVOD NA UCET	3204	19232	SIPO	CD	74252974
1157130	3960	1994-07-07	VYDAJ	PREVOD NA UCET	3204	20899	SIPO	CD	74252974
1157131	3960	1994-08-07	VYDAJ	PREVOD NA UCET	3204	22573	SIPO	CD	74252974
1157132	3960	1994-09-07	VYDAJ	PREVOD NA UCET	3204	23154	SIPO	CD	74252974
1157133	3960	1994-10-07	VYDAJ	PREVOD NA UCET	3204	24837	SIPO	CD	74252974
1157134	3960	1994-11-07	VYDAJ	PREVOD NA UCET	3204	26527	SIPO	CD	74252974
1157135	3960	1994-12-07	VYDAJ	PREVOD NA UCET	3204	24138	SIPO	CD	74252974
1157136	3960	1995-01-07	VYDAJ	PREVOD NA UCET	3204	16807	SIPO	CD	74252974
1157137	3960	1995-02-07	VYDAJ	PREVOD NA UCET	3204	15987	SIPO	CD	74252974
1157138	3960	1995-03-07	VYDAJ	PREVOD NA UCET	3204	17640	SIPO	CD	74252974
1157139	3960	1995-04-07	VYDAJ	PREVOD NA UCET	3204	19300	SIPO	CD	74252974
1157140	3960	1995-05-07	VYDAJ	PREVOD NA UCET	3204	20968	SIPO	CD	74252974
1157141	3960	1995-06-07	VYDAJ	PREVOD NA UCET	3204	21921	SIPO	CD	74252974
1157142	3960	1995-07-07	VYDAJ	PREVOD NA UCET	3204	23599	SIPO	CD	74252974
1157143	3960	1995-08-07	VYDAJ	PREVOD NA UCET	3204	25284	SIPO	CD	74252974
1157144	3960	1995-09-07	VYDAJ	PREVOD NA UCET	3204	26976	SIPO	CD	74252974
1157145	3960	1995-10-07	VYDAJ	PREVOD NA UCET	3204	28675	SIPO	CD	74252974
1157146	3960	1995-11-07	VYDAJ	PREVOD NA UCET	3204	27057	SIPO	CD	74252974
1157147	3960	1995-12-07	VYDAJ	PREVOD NA UCET	3204	28756	SIPO	CD	74252974
1157148	3960	1996-01-07	VYDAJ	PREVOD NA UCET	3204	25180	SIPO	CD	74252974
1157149	3960	1996-02-07	VYDAJ	PREVOD NA UCET	3204	22149	SIPO	CD	74252974
1157150	3960	1996-03-07	VYDAJ	PREVOD NA UCET	3204	23828	SIPO	CD	74252974
1157151	3960	1996-04-07	VYDAJ	PREVOD NA UCET	3204	25513	SIPO	CD	74252974
1157152	3960	1996-05-07	VYDAJ	PREVOD NA UCET	3204	25681	SIPO	CD	74252974
1157153	3960	1996-06-07	VYDAJ	PREVOD NA UCET	3204	26974	SIPO	CD	74252974
1157154	3960	1996-07-07	VYDAJ	PREVOD NA UCET	3204	27411	SIPO	CD	74252974
1157155	3960	1996-08-07	VYDAJ	PREVOD NA UCET	3204	29112	SIPO	CD	74252974
1157156	3960	1996-09-07	VYDAJ	PREVOD NA UCET	3204	30819	SIPO	CD	74252974
1157157	3960	1996-10-07	VYDAJ	PREVOD NA UCET	3204	31632	SIPO	CD	74252974
1157158	3960	1996-11-07	VYDAJ	PREVOD NA UCET	3204	30444	SIPO	CD	74252974
1157159	3960	1996-12-07	VYDAJ	PREVOD NA UCET	3204	30654	SIPO	CD	74252974
1157160	3960	1997-01-07	VYDAJ	PREVOD NA UCET	3204	24119	SIPO	CD	74252974
1157161	3960	1997-02-07	VYDAJ	PREVOD NA UCET	3204	21718	SIPO	CD	74252974
1157162	3960	1997-03-07	VYDAJ	PREVOD NA UCET	3204	22513	SIPO	CD	74252974
1157163	3960	1997-04-07	VYDAJ	PREVOD NA UCET	3204	17466	SIPO	CD	74252974
1157164	3960	1997-05-07	VYDAJ	PREVOD NA UCET	3204	19124	SIPO	CD	74252974
1157165	3960	1997-06-07	VYDAJ	PREVOD NA UCET	3204	17029	SIPO	CD	74252974
1157166	3960	1997-07-07	VYDAJ	PREVOD NA UCET	3204	18689	SIPO	CD	74252974
1157167	3960	1997-08-07	VYDAJ	PREVOD NA UCET	3204	20352	SIPO	CD	74252974
1157168	3960	1997-09-07	VYDAJ	PREVOD NA UCET	3204	19376	SIPO	CD	74252974
1157169	3960	1997-10-07	VYDAJ	PREVOD NA UCET	3204	19598	SIPO	CD	74252974
1157170	3960	1997-11-07	VYDAJ	PREVOD NA UCET	3204	21265	SIPO	CD	74252974
1157171	3960	1997-12-07	VYDAJ	PREVOD NA UCET	3204	21289	SIPO	CD	74252974
1157172	3960	1998-01-07	VYDAJ	PREVOD NA UCET	3204	17125	SIPO	CD	74252974
1157173	3960	1998-02-07	VYDAJ	PREVOD NA UCET	3204	18785	SIPO	CD	74252974
1157174	3960	1998-03-07	VYDAJ	PREVOD NA UCET	3204	19246	SIPO	CD	74252974
1157175	3960	1998-04-07	VYDAJ	PREVOD NA UCET	3204	19066	SIPO	CD	74252974
1157176	3960	1998-05-07	VYDAJ	PREVOD NA UCET	3204	20730	SIPO	CD	74252974
1157177	3960	1998-06-07	VYDAJ	PREVOD NA UCET	3204	20077	SIPO	CD	74252974
1157178	3960	1998-07-07	VYDAJ	PREVOD NA UCET	3204	21745	SIPO	CD	74252974
1157179	3960	1998-08-07	VYDAJ	PREVOD NA UCET	3204	23420	SIPO	CD	74252974
1157180	3960	1998-09-07	VYDAJ	PREVOD NA UCET	3204	25102	SIPO	CD	74252974
1157181	3960	1998-10-07	VYDAJ	PREVOD NA UCET	3204	23351	SIPO	CD	74252974
1157182	3960	1998-11-07	VYDAJ	PREVOD NA UCET	3204	25036	SIPO	CD	74252974
1157183	3960	1998-12-07	VYDAJ	PREVOD NA UCET	3204	25324	SIPO	CD	74252974
1157184	3960	1993-12-08	VYDAJ	VYBER	1300	24032	\N	\N	\N
1157185	3960	1994-12-21	VYDAJ	VYBER	1250	20168	\N	\N	\N
1157186	3960	1995-12-27	VYDAJ	VYBER	400	26756	\N	\N	\N
1157187	3960	1996-12-14	VYDAJ	VYBER	1400	29254	\N	\N	\N
1157188	3960	1997-12-06	VYDAJ	VYBER	1250	24493	\N	\N	\N
1157189	3960	1998-12-01	VYDAJ	VYBER	1400	23721	\N	\N	\N
1157196	3960	1994-01-05	VYDAJ	VYBER	1440	22065	\N	\N	\N
1157197	3960	1994-01-04	VYDAJ	VYBER	1280	18698	\N	\N	\N
1157198	3960	1994-01-13	VYDAJ	VYBER	1520	15981	\N	\N	\N
1157199	3960	1994-01-03	VYDAJ	VYBER	2240	19978	\N	\N	\N
1157200	3960	1994-01-28	VYDAJ	VYBER	1840	14141	\N	\N	\N
1157201	3960	1994-01-08	VYDAJ	VYBER	1360	17501	\N	\N	\N
1157202	3960	1995-01-14	VYDAJ	VYBER	1840	14967	\N	\N	\N
1157203	3960	1995-01-07	VYDAJ	VYBER	1200	20011	\N	\N	\N
1157205	3960	1995-01-29	VYDAJ	VYBER	640	14327	\N	\N	\N
1157206	3960	1995-01-03	VYDAJ	VYBER	1440	18804	\N	\N	\N
1157208	3960	1996-01-22	VYDAJ	VYBER	1760	21420	\N	\N	\N
1157209	3960	1996-01-06	VYDAJ	VYBER	640	28384	\N	\N	\N
1157210	3960	1996-01-22	VYDAJ	VYBER	960	20460	\N	\N	\N
1157211	3960	1996-01-01	VYDAJ	VYBER	2240	24617	\N	\N	\N
1157212	3960	1996-01-20	VYDAJ	VYBER	2000	23180	\N	\N	\N
1157214	3960	1997-01-13	VYDAJ	VYBER	720	22599	\N	\N	\N
1157215	3960	1997-01-01	VYDAJ	VYBER	1280	23476	\N	\N	\N
1157216	3960	1997-01-04	VYDAJ	VYBER	960	22516	\N	\N	\N
1157217	3960	1997-01-16	VYDAJ	VYBER	1120	20039	\N	\N	\N
1157218	3960	1997-01-14	VYDAJ	VYBER	1440	21159	\N	\N	\N
1157219	3960	1997-01-12	VYDAJ	VYBER	800	23319	\N	\N	\N
1157220	3960	1998-01-06	VYDAJ	VYBER	1600	20329	\N	\N	\N
1157221	3960	1998-01-01	VYDAJ	VYBER	1120	20242	\N	\N	\N
1157223	3960	1998-01-05	VYDAJ	VYBER	1760	21929	\N	\N	\N
1157225	3960	1998-01-03	VYDAJ	VYBER	1360	18882	\N	\N	\N
1157226	3960	1993-11-12	VYDAJ	VYBER	1280	23645	\N	\N	\N
1157228	3960	1993-08-01	VYDAJ	VYBER	2000	19388	\N	\N	\N
1157232	3960	1994-12-13	VYDAJ	VYBER	2720	21418	\N	\N	\N
1157233	3960	1994-04-05	VYDAJ	VYBER	3200	19118	\N	\N	\N
1157234	3960	1994-11-08	VYDAJ	VYBER	1680	24847	\N	\N	\N
1157235	3960	1995-10-27	VYDAJ	VYBER	1520	25355	\N	\N	\N
1157236	3960	1995-10-16	VYDAJ	VYBER	1200	27475	\N	\N	\N
1157237	3960	1995-01-05	VYDAJ	VYBER	2400	21211	\N	\N	\N
1157238	3960	1995-05-21	VYDAJ	VYBER	720	20248	\N	\N	\N
1157239	3960	1996-04-10	VYDAJ	VYBER	1520	23993	\N	\N	\N
1157240	3960	1996-09-16	VYDAJ	VYBER	800	30019	\N	\N	\N
1157241	3960	1996-12-29	VYDAJ	VYBER	2400	24654	\N	\N	\N
1157242	3960	1996-06-25	VYDAJ	VYBER	960	25714	\N	\N	\N
1157243	3960	1997-12-02	VYDAJ	VYBER	400	20936	\N	\N	\N
1157244	3960	1997-09-12	VYDAJ	VYBER	1440	17936	\N	\N	\N
1157245	3960	1997-08-14	VYDAJ	VYBER	2640	17712	\N	\N	\N
1157246	3960	1997-02-21	VYDAJ	VYBER	880	20838	\N	\N	\N
1157247	3960	1997-03-25	VYDAJ	VYBER	3920	15793	\N	\N	\N
1157248	3960	1997-06-07	VYDAJ	VYBER	3760	20233	\N	\N	\N
1157249	3960	1997-03-24	VYDAJ	VYBER	2800	19713	\N	\N	\N
1157250	3960	1998-02-16	VYDAJ	VYBER	1200	17585	\N	\N	\N
1157251	3960	1998-05-18	VYDAJ	VYBER	2320	18410	\N	\N	\N
1157253	3960	1998-03-10	VYDAJ	VYBER	1840	17406	\N	\N	\N
1157254	3960	1998-10-03	VYDAJ	VYBER	3440	21748	\N	\N	\N
1157262	3960	1993-07-31	VYDAJ	VYBER	15	21388	SLUZBY	\N	\N
1157263	3960	1993-08-31	VYDAJ	VYBER	15	19961	SLUZBY	\N	\N
1157264	3960	1993-09-30	VYDAJ	VYBER	15	21638	SLUZBY	\N	\N
1157265	3960	1993-10-31	VYDAJ	VYBER	15	23322	SLUZBY	\N	\N
1157266	3960	1993-11-30	VYDAJ	VYBER	15	23729	SLUZBY	\N	\N
1157267	3960	1993-12-31	VYDAJ	VYBER	15	24118	SLUZBY	\N	\N
1157268	3960	1994-01-31	VYDAJ	VYBER	15	14198	SLUZBY	\N	\N
1157269	3960	1994-02-28	VYDAJ	VYBER	15	15851	SLUZBY	\N	\N
1157270	3960	1994-03-31	VYDAJ	VYBER	15	17511	SLUZBY	\N	\N
1157271	3960	1994-04-30	VYDAJ	VYBER	15	15968	SLUZBY	\N	\N
1157272	3960	1994-05-31	VYDAJ	VYBER	15	17629	SLUZBY	\N	\N
1157273	3960	1994-06-30	VYDAJ	VYBER	15	19296	SLUZBY	\N	\N
1157274	3960	1994-07-31	VYDAJ	VYBER	15	20970	SLUZBY	\N	\N
1157275	3960	1994-08-31	VYDAJ	VYBER	15	21551	SLUZBY	\N	\N
1157276	3960	1994-09-30	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
1157277	3960	1994-10-31	VYDAJ	VYBER	15	24924	SLUZBY	\N	\N
1157278	3960	1994-11-30	VYDAJ	VYBER	15	22535	SLUZBY	\N	\N
1157279	3960	1994-12-31	VYDAJ	VYBER	15	20244	SLUZBY	\N	\N
1157280	3960	1995-01-31	VYDAJ	VYBER	15	14384	SLUZBY	\N	\N
1157281	3960	1995-02-28	VYDAJ	VYBER	15	16037	SLUZBY	\N	\N
1157282	3960	1995-03-31	VYDAJ	VYBER	15	17697	SLUZBY	\N	\N
1157283	3960	1995-04-30	VYDAJ	VYBER	15	19365	SLUZBY	\N	\N
1157284	3960	1995-05-31	VYDAJ	VYBER	15	20318	SLUZBY	\N	\N
1157285	3960	1995-06-30	VYDAJ	VYBER	15	21996	SLUZBY	\N	\N
1157286	3960	1995-07-31	VYDAJ	VYBER	15	23681	SLUZBY	\N	\N
1157287	3960	1995-08-31	VYDAJ	VYBER	15	25373	SLUZBY	\N	\N
1157288	3960	1995-09-30	VYDAJ	VYBER	15	27072	SLUZBY	\N	\N
1157289	3960	1995-10-31	VYDAJ	VYBER	15	25454	SLUZBY	\N	\N
1157290	3960	1995-11-30	VYDAJ	VYBER	15	27153	SLUZBY	\N	\N
1157291	3960	1995-12-31	VYDAJ	VYBER	15	26857	SLUZBY	\N	\N
1157292	3960	1996-01-31	VYDAJ	VYBER	15	20546	SLUZBY	\N	\N
1157293	3960	1996-02-29	VYDAJ	VYBER	15	22225	SLUZBY	\N	\N
1157294	3960	1996-03-31	VYDAJ	VYBER	15	23910	SLUZBY	\N	\N
1157295	3960	1996-04-30	VYDAJ	VYBER	15	24078	SLUZBY	\N	\N
1157296	3960	1996-05-31	VYDAJ	VYBER	15	25371	SLUZBY	\N	\N
1157297	3960	1996-06-30	VYDAJ	VYBER	15	25808	SLUZBY	\N	\N
1157298	3960	1996-07-31	VYDAJ	VYBER	15	27509	SLUZBY	\N	\N
1157299	3960	1996-08-31	VYDAJ	VYBER	15	29216	SLUZBY	\N	\N
1157300	3960	1996-09-30	VYDAJ	VYBER	15	30029	SLUZBY	\N	\N
1157301	3960	1996-10-31	VYDAJ	VYBER	15	28841	SLUZBY	\N	\N
1157302	3960	1996-11-30	VYDAJ	VYBER	15	29051	SLUZBY	\N	\N
1157303	3960	1996-12-31	VYDAJ	VYBER	15	24756	SLUZBY	\N	\N
1157304	3960	1997-01-31	VYDAJ	VYBER	15	20115	SLUZBY	\N	\N
1157305	3960	1997-02-28	VYDAJ	VYBER	15	20910	SLUZBY	\N	\N
1157306	3960	1997-03-31	VYDAJ	VYBER	15	15863	SLUZBY	\N	\N
1157307	3960	1997-04-30	VYDAJ	VYBER	15	17521	SLUZBY	\N	\N
1157308	3960	1997-05-31	VYDAJ	VYBER	15	19186	SLUZBY	\N	\N
1157309	3960	1997-06-30	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
1157310	3960	1997-07-31	VYDAJ	VYBER	15	18749	SLUZBY	\N	\N
1157311	3960	1997-08-31	VYDAJ	VYBER	15	17773	SLUZBY	\N	\N
1157312	3960	1997-09-30	VYDAJ	VYBER	15	17995	SLUZBY	\N	\N
1157313	3960	1997-10-31	VYDAJ	VYBER	15	19662	SLUZBY	\N	\N
1157314	3960	1997-11-30	VYDAJ	VYBER	15	21336	SLUZBY	\N	\N
1157315	3960	1997-12-31	VYDAJ	VYBER	15	21362	SLUZBY	\N	\N
1157316	3960	1998-01-31	VYDAJ	VYBER	15	17182	SLUZBY	\N	\N
1157317	3960	1998-02-28	VYDAJ	VYBER	15	17643	SLUZBY	\N	\N
1157318	3960	1998-03-31	VYDAJ	VYBER	15	17463	SLUZBY	\N	\N
1157319	3960	1998-04-30	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
1157320	3960	1998-05-31	VYDAJ	VYBER	15	18474	SLUZBY	\N	\N
1157321	3960	1998-06-30	VYDAJ	VYBER	15	20142	SLUZBY	\N	\N
1157322	3960	1998-07-31	VYDAJ	VYBER	15	21817	SLUZBY	\N	\N
1157323	3960	1998-08-31	VYDAJ	VYBER	15	23499	SLUZBY	\N	\N
1157324	3960	1998-09-30	VYDAJ	VYBER	15	25188	SLUZBY	\N	\N
1157325	3960	1998-10-31	VYDAJ	VYBER	15	23433	SLUZBY	\N	\N
1157326	3960	1998-11-30	VYDAJ	VYBER	15	25121	SLUZBY	\N	\N
1157327	3960	1993-08-05	VYDAJ	VYBER	1100	23095	\N	\N	\N
1157328	3960	1994-01-02	VYDAJ	VYBER	1900	22218	\N	\N	\N
1157329	3960	1994-08-30	VYDAJ	VYBER	1100	21473	\N	\N	\N
1157330	3960	1994-11-28	VYDAJ	VYBER	2400	22447	\N	\N	\N
1157331	3960	1995-10-24	VYDAJ	VYBER	600	26875	\N	\N	\N
1157332	3960	1995-12-23	VYDAJ	VYBER	1600	27156	\N	\N	\N
1157333	3960	1996-05-21	VYDAJ	VYBER	400	25281	\N	\N	\N
1157334	3960	1996-06-20	VYDAJ	VYBER	300	26674	\N	\N	\N
1157335	3960	1996-09-18	VYDAJ	VYBER	100	29919	\N	\N	\N
1157336	3960	1996-10-18	VYDAJ	VYBER	2900	28732	\N	\N	\N
1157337	3960	1996-11-17	VYDAJ	VYBER	1500	28944	\N	\N	\N
1157338	3960	1996-12-17	VYDAJ	VYBER	2200	27054	\N	\N	\N
1157405	3961	1997-01-24	PRIJEM	VKLAD	700	700	\N	\N	\N
1157407	3961	1997-02-05	PRIJEM	PREVOD Z UCTU	3464	4164	\N	OP	12514132
1157408	3961	1997-03-05	PRIJEM	PREVOD Z UCTU	3464	7628	\N	OP	12514132
1157409	3961	1997-04-05	PRIJEM	PREVOD Z UCTU	3464	11092	\N	OP	12514132
1157410	3961	1997-05-05	PRIJEM	PREVOD Z UCTU	3464	14556	\N	OP	12514132
1157411	3961	1997-06-05	PRIJEM	PREVOD Z UCTU	3464	18020	\N	OP	12514132
1157412	3961	1997-07-05	PRIJEM	PREVOD Z UCTU	3464	15634	\N	OP	12514132
1157413	3961	1997-08-05	PRIJEM	PREVOD Z UCTU	3464	16828	\N	OP	12514132
1157414	3961	1997-09-05	PRIJEM	PREVOD Z UCTU	3464	18028	\N	OP	12514132
1157415	3961	1997-10-05	PRIJEM	PREVOD Z UCTU	3464	18390	\N	OP	12514132
1157416	3961	1997-11-05	PRIJEM	PREVOD Z UCTU	3464	18335	\N	OP	12514132
1157417	3961	1997-12-05	PRIJEM	PREVOD Z UCTU	3464	19541	\N	OP	12514132
1157418	3961	1998-01-05	PRIJEM	PREVOD Z UCTU	3464	18681	\N	OP	12514132
1157419	3961	1998-02-05	PRIJEM	PREVOD Z UCTU	3464	16365	\N	OP	12514132
1157420	3961	1998-03-05	PRIJEM	PREVOD Z UCTU	3464	17353	\N	OP	12514132
1157421	3961	1998-04-05	PRIJEM	PREVOD Z UCTU	3464	18226	\N	OP	12514132
1157422	3961	1998-05-05	PRIJEM	PREVOD Z UCTU	3464	19431	\N	OP	12514132
1157423	3961	1998-06-05	PRIJEM	PREVOD Z UCTU	3464	18638	\N	OP	12514132
1157424	3961	1998-07-05	PRIJEM	PREVOD Z UCTU	3464	16239	\N	OP	12514132
1157425	3961	1998-08-05	PRIJEM	PREVOD Z UCTU	3464	16746	\N	OP	12514132
1157426	3961	1998-09-05	PRIJEM	PREVOD Z UCTU	3464	16645	\N	OP	12514132
1157427	3961	1998-10-05	PRIJEM	PREVOD Z UCTU	3464	17844	\N	OP	12514132
1157428	3961	1998-11-05	PRIJEM	PREVOD Z UCTU	3464	15440	\N	OP	12514132
1157429	3961	1998-12-05	PRIJEM	PREVOD Z UCTU	3464	15130	\N	OP	12514132
1157435	3961	1997-06-09	VYDAJ	PREVOD NA UCET	2309	12141	\N	AB	38375651
1157436	3961	1997-07-09	VYDAJ	PREVOD NA UCET	2309	13325	\N	AB	38375651
1157437	3961	1997-08-09	VYDAJ	PREVOD NA UCET	2309	14519	\N	AB	38375651
1157438	3961	1997-09-09	VYDAJ	PREVOD NA UCET	2309	14879	\N	AB	38375651
1157439	3961	1997-10-09	VYDAJ	PREVOD NA UCET	2309	16081	\N	AB	38375651
1157440	3961	1997-11-09	VYDAJ	PREVOD NA UCET	2309	16026	\N	AB	38375651
1157441	3961	1997-12-09	VYDAJ	PREVOD NA UCET	2309	17232	\N	AB	38375651
1157442	3961	1998-01-09	VYDAJ	PREVOD NA UCET	2309	16372	\N	AB	38375651
1157443	3961	1998-02-09	VYDAJ	PREVOD NA UCET	2309	14056	\N	AB	38375651
1157444	3961	1998-03-09	VYDAJ	PREVOD NA UCET	2309	15044	\N	AB	38375651
1157445	3961	1998-04-09	VYDAJ	PREVOD NA UCET	2309	15917	\N	AB	38375651
1157446	3961	1998-05-09	VYDAJ	PREVOD NA UCET	2309	17122	\N	AB	38375651
1157447	3961	1998-06-09	VYDAJ	PREVOD NA UCET	2309	16329	\N	AB	38375651
1157448	3961	1998-07-09	VYDAJ	PREVOD NA UCET	2309	13930	\N	AB	38375651
1157449	3961	1998-08-09	VYDAJ	PREVOD NA UCET	2309	14437	\N	AB	38375651
1157450	3961	1998-09-09	VYDAJ	PREVOD NA UCET	2309	14336	\N	AB	38375651
1157451	3961	1998-10-09	VYDAJ	PREVOD NA UCET	2309	15535	\N	AB	38375651
1157452	3961	1998-11-09	VYDAJ	PREVOD NA UCET	2309	13131	\N	AB	38375651
1157453	3961	1998-12-09	VYDAJ	PREVOD NA UCET	2309	12821	\N	AB	38375651
1157454	3961	1997-06-06	VYDAJ	VYBER	3570	14450	\N	\N	\N
1157457	3961	1998-01-17	VYDAJ	VYBER	2100	14272	\N	\N	\N
1157458	3961	1997-12-24	VYDAJ	VYBER	750	16482	\N	\N	\N
1157466	3961	1998-01-28	VYDAJ	VYBER	660	13002	\N	\N	\N
1157467	3961	1998-01-04	VYDAJ	VYBER	360	15217	\N	\N	\N
1157468	3961	1998-01-03	VYDAJ	VYBER	240	15577	\N	\N	\N
1157469	3961	1998-01-01	VYDAJ	VYBER	720	15817	\N	\N	\N
1157470	3961	1998-01-26	VYDAJ	VYBER	510	13662	\N	\N	\N
1157471	3961	1998-01-29	VYDAJ	VYBER	150	12852	\N	\N	\N
1157472	3961	1997-09-09	VYDAJ	VYBER	840	17188	\N	\N	\N
1157474	3961	1997-10-20	VYDAJ	VYBER	240	15841	\N	\N	\N
1157475	3961	1997-10-26	VYDAJ	VYBER	1020	14821	\N	\N	\N
1157479	3961	1998-03-03	VYDAJ	VYBER	210	13889	\N	\N	\N
1157480	3961	1998-08-03	VYDAJ	VYBER	690	13282	\N	\N	\N
1157481	3961	1998-03-15	VYDAJ	VYBER	330	14714	\N	\N	\N
1157489	3961	1997-06-30	VYDAJ	VYBER	15	12170	SLUZBY	\N	\N
1157490	3961	1997-07-31	VYDAJ	VYBER	15	13364	SLUZBY	\N	\N
1157491	3961	1997-08-31	VYDAJ	VYBER	15	14564	SLUZBY	\N	\N
1157492	3961	1997-09-30	VYDAJ	VYBER	15	14926	SLUZBY	\N	\N
1157493	3961	1997-10-31	VYDAJ	VYBER	15	14871	SLUZBY	\N	\N
1157494	3961	1997-11-30	VYDAJ	VYBER	15	16077	SLUZBY	\N	\N
1157495	3961	1997-12-31	VYDAJ	VYBER	15	16537	SLUZBY	\N	\N
1157496	3961	1998-01-31	VYDAJ	VYBER	15	12901	SLUZBY	\N	\N
1157497	3961	1998-02-28	VYDAJ	VYBER	15	14099	SLUZBY	\N	\N
1157498	3961	1998-03-31	VYDAJ	VYBER	15	14762	SLUZBY	\N	\N
1157499	3961	1998-04-30	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
1157500	3961	1998-05-31	VYDAJ	VYBER	15	15174	SLUZBY	\N	\N
1157501	3961	1998-06-30	VYDAJ	VYBER	15	12775	SLUZBY	\N	\N
1157502	3961	1998-07-31	VYDAJ	VYBER	15	13972	SLUZBY	\N	\N
1157503	3961	1998-08-31	VYDAJ	VYBER	15	13181	SLUZBY	\N	\N
1157504	3961	1998-09-30	VYDAJ	VYBER	15	14380	SLUZBY	\N	\N
1157505	3961	1998-10-31	VYDAJ	VYBER	15	11976	SLUZBY	\N	\N
1157506	3961	1998-11-30	VYDAJ	VYBER	15	11666	SLUZBY	\N	\N
1157507	3961	1998-01-19	VYDAJ	VYBER	100	14172	\N	\N	\N
1157508	3961	1998-05-19	VYDAJ	VYBER	2000	15122	\N	\N	\N
1157509	3961	1998-06-18	VYDAJ	VYBER	3600	12729	\N	\N	\N
1157510	3961	1998-08-17	VYDAJ	VYBER	1300	13137	\N	\N	\N
1157511	3961	1998-10-16	VYDAJ	VYBER	3600	11935	\N	\N	\N
1157512	3961	1998-11-15	VYDAJ	VYBER	1500	11631	\N	\N	\N
1157513	3961	1998-12-15	VYDAJ	VYBER	1300	11521	\N	\N	\N
1157533	3962	1996-12-13	PRIJEM	VKLAD	800	800	\N	\N	\N
1157611	3962	1997-01-12	PRIJEM	VKLAD	12000	12800	\N	\N	\N
1157612	3962	1997-02-11	PRIJEM	VKLAD	4600	17400	\N	\N	\N
1157613	3962	1997-03-13	PRIJEM	VKLAD	6100	23500	\N	\N	\N
1157614	3962	1997-04-12	PRIJEM	VKLAD	2600	26100	\N	\N	\N
1157615	3962	1997-05-12	VYDAJ	VYBER	3500	22600	\N	\N	\N
1157616	3962	1997-06-11	VYDAJ	VYBER	3500	19100	\N	\N	\N
1157617	3962	1997-07-11	VYDAJ	VYBER	5400	13700	\N	\N	\N
1157618	3962	1997-08-10	VYDAJ	VYBER	300	13400	\N	\N	\N
1157619	3962	1997-09-09	PRIJEM	VKLAD	2100	15500	\N	\N	\N
1157620	3962	1997-10-09	VYDAJ	VYBER	300	15200	\N	\N	\N
1157621	3962	1997-11-08	PRIJEM	VKLAD	3000	18200	\N	\N	\N
1157622	3962	1997-12-08	PRIJEM	VKLAD	2300	20500	\N	\N	\N
1157623	3962	1998-01-07	PRIJEM	VKLAD	100	20600	\N	\N	\N
1157624	3962	1998-02-06	VYDAJ	VYBER	2000	18600	\N	\N	\N
1157625	3962	1998-03-08	VYDAJ	VYBER	6400	12200	\N	\N	\N
1157626	3962	1998-04-07	VYDAJ	VYBER	2300	9900	\N	\N	\N
1157627	3962	1998-05-07	VYDAJ	VYBER	1800	8100	\N	\N	\N
1157628	3962	1998-06-06	VYDAJ	VYBER	4700	3400	\N	\N	\N
1157629	3962	1998-07-06	VYDAJ	VYBER	1200	2200	\N	\N	\N
1157630	3962	1998-08-05	VYDAJ	VYBER	1300	900	\N	\N	\N
1157631	3962	1998-09-04	VYDAJ	VYBER	1400	-500	\N	\N	\N
1157632	3962	1998-10-04	PRIJEM	VKLAD	2200	1700	\N	\N	\N
1157633	3962	1998-11-03	VYDAJ	VYBER	3000	-1300	\N	\N	\N
1157634	3962	1998-12-03	PRIJEM	VKLAD	3300	2000	\N	\N	\N
1157635	3963	1997-10-27	PRIJEM	VKLAD	600	600	\N	\N	\N
1157646	3963	1997-11-06	PRIJEM	VKLAD	12864	13464	\N	\N	\N
1157647	3963	1997-12-06	PRIJEM	VKLAD	19296	41876	\N	\N	\N
1157648	3963	1998-01-06	PRIJEM	VKLAD	12864	44441	\N	\N	\N
1157649	3963	1998-02-06	PRIJEM	VKLAD	12864	49341	\N	\N	\N
1157650	3963	1998-03-06	PRIJEM	VKLAD	12864	49256	\N	\N	\N
1157651	3963	1998-04-06	PRIJEM	VKLAD	12864	41726	\N	\N	\N
1157652	3963	1998-05-06	PRIJEM	VKLAD	12864	42481	\N	\N	\N
1157653	3963	1998-06-06	PRIJEM	VKLAD	19296	37474	\N	\N	\N
1157654	3963	1998-07-06	PRIJEM	VKLAD	12864	43218	\N	\N	\N
1157655	3963	1998-08-06	PRIJEM	VKLAD	12864	46874	\N	\N	\N
1157656	3963	1998-09-06	PRIJEM	VKLAD	12864	50452	\N	\N	\N
1157657	3963	1998-10-06	PRIJEM	VKLAD	12864	47430	\N	\N	\N
1157658	3963	1998-11-06	PRIJEM	VKLAD	12864	48899	\N	\N	\N
1157659	3963	1998-12-06	PRIJEM	VKLAD	19296	52599	\N	\N	\N
1157674	3963	1998-03-10	VYDAJ	PREVOD NA UCET	3477	45614	SIPO	IJ	27212840
1157675	3963	1998-04-10	VYDAJ	PREVOD NA UCET	3477	38179	SIPO	IJ	27212840
1157676	3963	1998-05-10	VYDAJ	PREVOD NA UCET	3477	38839	SIPO	IJ	27212840
1157677	3963	1998-06-10	VYDAJ	PREVOD NA UCET	3477	33997	SIPO	IJ	27212840
1157678	3963	1998-07-10	VYDAJ	PREVOD NA UCET	3477	39741	SIPO	IJ	27212840
1157679	3963	1998-08-10	VYDAJ	PREVOD NA UCET	3477	43397	SIPO	IJ	27212840
1157680	3963	1998-09-10	VYDAJ	PREVOD NA UCET	3477	46880	SIPO	IJ	27212840
1157681	3963	1998-10-10	VYDAJ	PREVOD NA UCET	3477	43858	SIPO	IJ	27212840
1157682	3963	1998-11-10	VYDAJ	PREVOD NA UCET	3477	45422	SIPO	IJ	27212840
1157683	3963	1998-12-10	VYDAJ	PREVOD NA UCET	3477	49122	SIPO	IJ	27212840
1157698	3963	1998-03-10	VYDAJ	PREVOD NA UCET	95	49161	 	WX	88884788
1157699	3963	1998-04-10	VYDAJ	PREVOD NA UCET	95	38084	 	WX	88884788
1157700	3963	1998-05-10	VYDAJ	PREVOD NA UCET	95	42386	 	WX	88884788
1157701	3963	1998-06-10	VYDAJ	PREVOD NA UCET	95	33832	 	WX	88884788
1157702	3963	1998-07-10	VYDAJ	PREVOD NA UCET	95	39576	 	WX	88884788
1157703	3963	1998-08-10	VYDAJ	PREVOD NA UCET	95	43232	 	WX	88884788
1157704	3963	1998-09-10	VYDAJ	PREVOD NA UCET	95	50357	 	WX	88884788
1157705	3963	1998-10-10	VYDAJ	PREVOD NA UCET	95	47335	 	WX	88884788
1157706	3963	1998-11-10	VYDAJ	PREVOD NA UCET	95	45327	 	WX	88884788
1157707	3963	1998-12-10	VYDAJ	PREVOD NA UCET	95	49027	 	WX	88884788
1157722	3963	1998-03-10	VYDAJ	PREVOD NA UCET	70	49091	POJISTNE	EF	42651188
1157723	3963	1998-04-10	VYDAJ	PREVOD NA UCET	70	41656	POJISTNE	EF	42651188
1157724	3963	1998-05-10	VYDAJ	PREVOD NA UCET	70	42316	POJISTNE	EF	42651188
1157725	3963	1998-06-10	VYDAJ	PREVOD NA UCET	70	33927	POJISTNE	EF	42651188
1157726	3963	1998-07-10	VYDAJ	PREVOD NA UCET	70	39671	POJISTNE	EF	42651188
1157727	3963	1998-08-10	VYDAJ	PREVOD NA UCET	70	43327	POJISTNE	EF	42651188
1157728	3963	1998-09-10	VYDAJ	PREVOD NA UCET	70	46810	POJISTNE	EF	42651188
1157729	3963	1998-10-10	VYDAJ	PREVOD NA UCET	70	43788	POJISTNE	EF	42651188
1157730	3963	1998-11-10	VYDAJ	PREVOD NA UCET	70	45257	POJISTNE	EF	42651188
1157731	3963	1998-12-10	VYDAJ	PREVOD NA UCET	70	48957	POJISTNE	EF	42651188
1157733	3963	1998-06-04	VYDAJ	VYBER	16400	18178	\N	\N	\N
1157737	3963	1998-12-17	VYDAJ	VYBER	900	48057	\N	\N	\N
1157756	3963	1998-03-17	VYDAJ	VYBER	4400	41214	\N	\N	\N
1157757	3963	1998-10-31	VYDAJ	VYBER	500	36035	\N	\N	\N
1157758	3963	1998-06-14	VYDAJ	VYBER	2700	31132	\N	\N	\N
1157759	3963	1998-09-27	VYDAJ	VYBER	4500	34410	\N	\N	\N
1157760	3963	1998-08-01	VYDAJ	VYBER	1200	34010	\N	\N	\N
1157776	3963	1998-03-31	VYDAJ	VYBER	15	28862	SLUZBY	\N	\N
1157777	3963	1998-04-30	VYDAJ	VYBER	15	29617	SLUZBY	\N	\N
1157778	3963	1998-05-31	VYDAJ	VYBER	15	34578	SLUZBY	\N	\N
1157779	3963	1998-06-30	VYDAJ	VYBER	15	30354	SLUZBY	\N	\N
1157780	3963	1998-07-31	VYDAJ	VYBER	15	35210	SLUZBY	\N	\N
1157781	3963	1998-08-31	VYDAJ	VYBER	15	37588	SLUZBY	\N	\N
1157782	3963	1998-09-30	VYDAJ	VYBER	15	34566	SLUZBY	\N	\N
1157783	3963	1998-10-31	VYDAJ	VYBER	15	36535	SLUZBY	\N	\N
1157784	3963	1998-11-30	VYDAJ	VYBER	15	33303	SLUZBY	\N	\N
1157785	3963	1997-11-26	PRIJEM	VKLAD	9100	22564	\N	\N	\N
1157786	3963	1997-12-26	VYDAJ	VYBER	10400	31476	\N	\N	\N
1157787	3963	1998-01-25	VYDAJ	VYBER	8100	36341	\N	\N	\N
1157788	3963	1998-02-24	VYDAJ	VYBER	13100	36241	\N	\N	\N
1157789	3963	1998-03-26	VYDAJ	VYBER	12500	28714	\N	\N	\N
1157790	3963	1998-04-25	VYDAJ	VYBER	8600	29484	\N	\N	\N
1157791	3963	1998-05-25	VYDAJ	VYBER	4400	34439	\N	\N	\N
1157792	3963	1998-06-24	VYDAJ	VYBER	900	30232	\N	\N	\N
1157793	3963	1998-07-24	VYDAJ	VYBER	4500	35076	\N	\N	\N
1157794	3963	1998-08-23	VYDAJ	VYBER	5800	37432	\N	\N	\N
1157795	3963	1998-09-22	VYDAJ	VYBER	7900	38910	\N	\N	\N
1157796	3963	1998-10-22	VYDAJ	VYBER	7400	36388	\N	\N	\N
1157797	3963	1998-11-21	VYDAJ	VYBER	12100	33157	\N	\N	\N
1157812	3964	1997-01-25	PRIJEM	VKLAD	800	800	\N	\N	\N
1157814	3964	1997-02-11	PRIJEM	PREVOD Z UCTU	3219	4019	\N	MN	22064405
1157815	3964	1997-03-11	PRIJEM	PREVOD Z UCTU	3219	7238	\N	MN	22064405
1157816	3964	1997-04-11	PRIJEM	PREVOD Z UCTU	3219	10457	\N	MN	22064405
1157817	3964	1997-05-11	PRIJEM	PREVOD Z UCTU	3219	13676	\N	MN	22064405
1157818	3964	1997-06-11	PRIJEM	PREVOD Z UCTU	3219	16895	\N	MN	22064405
1157819	3964	1997-07-11	PRIJEM	PREVOD Z UCTU	3219	13299	\N	MN	22064405
1157820	3964	1997-08-11	PRIJEM	PREVOD Z UCTU	3219	14411	\N	MN	22064405
1157821	3964	1997-09-11	PRIJEM	PREVOD Z UCTU	3219	15528	\N	MN	22064405
1157822	3964	1997-10-11	PRIJEM	PREVOD Z UCTU	3219	15348	\N	MN	22064405
1157823	3964	1997-11-11	PRIJEM	PREVOD Z UCTU	3219	15067	\N	MN	22064405
1157824	3964	1997-12-11	PRIJEM	PREVOD Z UCTU	3219	14926	\N	MN	22064405
1157825	3964	1998-01-11	PRIJEM	PREVOD Z UCTU	3219	14842	\N	MN	22064405
1157826	3964	1998-02-11	PRIJEM	PREVOD Z UCTU	3219	15961	\N	MN	22064405
1157827	3964	1998-03-11	PRIJEM	PREVOD Z UCTU	3219	16064	\N	MN	22064405
1157828	3964	1998-04-11	PRIJEM	PREVOD Z UCTU	3219	15838	\N	MN	22064405
1157829	3964	1998-05-11	PRIJEM	PREVOD Z UCTU	3219	16960	\N	MN	22064405
1157830	3964	1998-06-11	PRIJEM	PREVOD Z UCTU	3219	13681	\N	MN	22064405
1157831	3964	1998-07-11	PRIJEM	PREVOD Z UCTU	3219	14795	\N	MN	22064405
1157832	3964	1998-08-11	PRIJEM	PREVOD Z UCTU	3219	15913	\N	MN	22064405
1157833	3964	1998-09-11	PRIJEM	PREVOD Z UCTU	3219	17036	\N	MN	22064405
1157834	3964	1998-10-11	PRIJEM	PREVOD Z UCTU	3219	18164	\N	MN	22064405
1157835	3964	1998-11-11	PRIJEM	PREVOD Z UCTU	3219	19297	\N	MN	22064405
1157836	3964	1998-12-11	PRIJEM	PREVOD Z UCTU	3219	19714	\N	MN	22064405
1157843	3964	1997-07-08	VYDAJ	PREVOD NA UCET	2146	10080	\N	UV	49043488
1157844	3964	1997-08-08	VYDAJ	PREVOD NA UCET	2146	11192	\N	UV	49043488
1157845	3964	1997-09-08	VYDAJ	PREVOD NA UCET	2146	12309	\N	UV	49043488
1157846	3964	1997-10-08	VYDAJ	PREVOD NA UCET	2146	12129	\N	UV	49043488
1157847	3964	1997-11-08	VYDAJ	PREVOD NA UCET	2146	11848	\N	UV	49043488
1157848	3964	1997-12-08	VYDAJ	PREVOD NA UCET	2146	11707	\N	UV	49043488
1157849	3964	1998-01-08	VYDAJ	PREVOD NA UCET	2146	11623	\N	UV	49043488
1157850	3964	1998-02-08	VYDAJ	PREVOD NA UCET	2146	12742	\N	UV	49043488
1157851	3964	1998-03-08	VYDAJ	PREVOD NA UCET	2146	13865	\N	UV	49043488
1157852	3964	1998-04-08	VYDAJ	PREVOD NA UCET	2146	12769	\N	UV	49043488
1157853	3964	1998-05-08	VYDAJ	PREVOD NA UCET	2146	13741	\N	UV	49043488
1157854	3964	1998-06-08	VYDAJ	PREVOD NA UCET	2146	10462	\N	UV	49043488
1157855	3964	1998-07-08	VYDAJ	PREVOD NA UCET	2146	11576	\N	UV	49043488
1157856	3964	1998-08-08	VYDAJ	PREVOD NA UCET	2146	12694	\N	UV	49043488
1157857	3964	1998-09-08	VYDAJ	PREVOD NA UCET	2146	13817	\N	UV	49043488
1157858	3964	1998-10-08	VYDAJ	PREVOD NA UCET	2146	14945	\N	UV	49043488
1157859	3964	1998-11-08	VYDAJ	PREVOD NA UCET	2146	16078	\N	UV	49043488
1158089	3965	1994-08-22	VYDAJ	VYBER	6600	5766	\N	\N	\N
1157860	3964	1998-12-08	VYDAJ	PREVOD NA UCET	2146	17215	\N	UV	49043488
1157861	3964	1997-06-16	VYDAJ	VYBER	4680	12215	\N	\N	\N
1157865	3964	1997-12-08	VYDAJ	VYBER	540	13853	\N	\N	\N
1157866	3964	1998-12-15	VYDAJ	VYBER	690	19024	\N	\N	\N
1157867	3964	1997-11-17	VYDAJ	VYBER	720	14347	\N	\N	\N
1157869	3964	1997-12-20	VYDAJ	VYBER	1200	13726	\N	\N	\N
1157871	3964	1998-03-10	VYDAJ	VYBER	1020	12845	\N	\N	\N
1157872	3964	1998-04-08	VYDAJ	VYBER	150	12619	\N	\N	\N
1157873	3964	1998-03-26	VYDAJ	VYBER	720	14864	\N	\N	\N
1157874	3964	1998-03-25	VYDAJ	VYBER	480	15584	\N	\N	\N
1157875	3964	1998-12-09	VYDAJ	VYBER	720	16495	\N	\N	\N
1157882	3964	1997-06-30	VYDAJ	VYBER	15	12226	SLUZBY	\N	\N
1157883	3964	1997-07-31	VYDAJ	VYBER	15	13338	SLUZBY	\N	\N
1157884	3964	1997-08-31	VYDAJ	VYBER	15	14455	SLUZBY	\N	\N
1157885	3964	1997-09-30	VYDAJ	VYBER	15	14275	SLUZBY	\N	\N
1157886	3964	1997-10-31	VYDAJ	VYBER	15	13994	SLUZBY	\N	\N
1157887	3964	1997-11-30	VYDAJ	VYBER	15	14393	SLUZBY	\N	\N
1157888	3964	1997-12-31	VYDAJ	VYBER	15	13769	SLUZBY	\N	\N
1157889	3964	1998-01-31	VYDAJ	VYBER	15	14888	SLUZBY	\N	\N
1157890	3964	1998-02-28	VYDAJ	VYBER	15	16011	SLUZBY	\N	\N
1157891	3964	1998-03-31	VYDAJ	VYBER	15	14915	SLUZBY	\N	\N
1157892	3964	1998-04-30	VYDAJ	VYBER	15	15887	SLUZBY	\N	\N
1157893	3964	1998-05-31	VYDAJ	VYBER	15	12608	SLUZBY	\N	\N
1157894	3964	1998-06-30	VYDAJ	VYBER	15	13722	SLUZBY	\N	\N
1157895	3964	1998-07-31	VYDAJ	VYBER	15	14840	SLUZBY	\N	\N
1157896	3964	1998-08-31	VYDAJ	VYBER	15	15963	SLUZBY	\N	\N
1157897	3964	1998-09-30	VYDAJ	VYBER	15	17091	SLUZBY	\N	\N
1157898	3964	1998-10-31	VYDAJ	VYBER	15	18224	SLUZBY	\N	\N
1157899	3964	1998-11-30	VYDAJ	VYBER	15	19361	SLUZBY	\N	\N
1157900	3964	1997-09-22	VYDAJ	VYBER	1300	14228	\N	\N	\N
1157901	3964	1997-10-22	VYDAJ	VYBER	1400	13948	\N	\N	\N
1157902	3964	1998-05-20	VYDAJ	VYBER	4400	12560	\N	\N	\N
1157903	3964	1998-12-16	VYDAJ	VYBER	5900	13124	\N	\N	\N
1157923	3965	1993-05-04	PRIJEM	VKLAD	600	600	\N	\N	\N
1157928	3965	1993-05-07	PRIJEM	PREVOD Z UCTU	14097	14697	\N	OP	66315013
1157929	3965	1993-06-07	PRIJEM	PREVOD Z UCTU	21146	40792	\N	OP	66315013
1157930	3965	1993-07-07	PRIJEM	PREVOD Z UCTU	14097	47338	\N	OP	66315013
1157931	3965	1993-08-07	PRIJEM	PREVOD Z UCTU	14097	48427	\N	OP	66315013
1157932	3965	1993-09-07	PRIJEM	PREVOD Z UCTU	14097	49624	\N	OP	66315013
1157933	3965	1993-10-07	PRIJEM	PREVOD Z UCTU	14097	36566	\N	OP	66315013
1157934	3965	1993-11-07	PRIJEM	PREVOD Z UCTU	14097	46796	\N	OP	66315013
1157935	3965	1993-12-07	PRIJEM	PREVOD Z UCTU	21146	48379	\N	OP	66315013
1157936	3965	1994-01-07	PRIJEM	PREVOD Z UCTU	14097	16091	\N	OP	66315013
1157937	3965	1994-02-07	PRIJEM	PREVOD Z UCTU	14097	27526	\N	OP	66315013
1157938	3965	1994-03-07	PRIJEM	PREVOD Z UCTU	14097	41566	\N	OP	66315013
1157939	3965	1994-04-07	PRIJEM	PREVOD Z UCTU	14097	48965	\N	OP	66315013
1157940	3965	1994-05-07	PRIJEM	PREVOD Z UCTU	14097	52393	\N	OP	66315013
1157941	3965	1994-06-07	PRIJEM	PREVOD Z UCTU	21146	57983	\N	OP	66315013
1157942	3965	1994-07-07	PRIJEM	PREVOD Z UCTU	14097	46863	\N	OP	66315013
1157943	3965	1994-08-07	PRIJEM	PREVOD Z UCTU	14097	32333	\N	OP	66315013
1157944	3965	1994-09-07	PRIJEM	PREVOD Z UCTU	14097	28033	\N	OP	66315013
1157945	3965	1994-10-07	PRIJEM	PREVOD Z UCTU	14097	21403	\N	OP	66315013
1157946	3965	1994-11-07	PRIJEM	PREVOD Z UCTU	14097	37575	\N	OP	66315013
1157947	3965	1994-12-07	PRIJEM	PREVOD Z UCTU	21146	40007	\N	OP	66315013
1157948	3965	1995-01-07	PRIJEM	PREVOD Z UCTU	14097	43539	\N	OP	66315013
1157949	3965	1995-02-07	PRIJEM	PREVOD Z UCTU	14097	13737	\N	OP	66315013
1157950	3965	1995-03-07	PRIJEM	PREVOD Z UCTU	14097	30230	\N	OP	66315013
1157951	3965	1995-04-07	PRIJEM	PREVOD Z UCTU	14097	37986	\N	OP	66315013
1157952	3965	1995-05-07	PRIJEM	PREVOD Z UCTU	14097	38432	\N	OP	66315013
1157953	3965	1995-06-07	PRIJEM	PREVOD Z UCTU	21146	42358	\N	OP	66315013
1157954	3965	1995-07-07	PRIJEM	PREVOD Z UCTU	14097	34426	\N	OP	66315013
1157955	3965	1995-08-07	PRIJEM	PREVOD Z UCTU	14097	42603	\N	OP	66315013
1157956	3965	1995-09-07	PRIJEM	PREVOD Z UCTU	14097	46308	\N	OP	66315013
1157957	3965	1995-10-07	PRIJEM	PREVOD Z UCTU	14097	24402	\N	OP	66315013
1157958	3965	1995-11-07	PRIJEM	PREVOD Z UCTU	14097	30208	\N	OP	66315013
1157959	3965	1995-12-07	PRIJEM	PREVOD Z UCTU	21146	21249	\N	OP	66315013
1157960	3965	1996-01-07	PRIJEM	PREVOD Z UCTU	14097	20256	\N	OP	66315013
1157961	3965	1996-02-07	PRIJEM	PREVOD Z UCTU	14097	12259	\N	OP	66315013
1157962	3965	1996-03-07	PRIJEM	PREVOD Z UCTU	14097	24053	\N	OP	66315013
1157963	3965	1996-04-07	PRIJEM	PREVOD Z UCTU	14097	36923	\N	OP	66315013
1157964	3965	1996-05-07	PRIJEM	PREVOD Z UCTU	14097	45515	\N	OP	66315013
1157965	3965	1996-06-07	PRIJEM	PREVOD Z UCTU	21146	58086	\N	OP	66315013
1157966	3965	1996-07-07	PRIJEM	PREVOD Z UCTU	14097	52623	\N	OP	66315013
1157967	3965	1996-08-07	PRIJEM	PREVOD Z UCTU	14097	24325	\N	OP	66315013
1157968	3965	1996-09-07	PRIJEM	PREVOD Z UCTU	14097	42888	\N	OP	66315013
1157969	3965	1996-10-07	PRIJEM	PREVOD Z UCTU	14097	29929	\N	OP	66315013
1157970	3965	1996-11-07	PRIJEM	PREVOD Z UCTU	14097	32142	\N	OP	66315013
1157971	3965	1996-12-07	PRIJEM	PREVOD Z UCTU	21146	26852	\N	OP	66315013
1157972	3965	1997-01-07	PRIJEM	PREVOD Z UCTU	14097	22620	\N	OP	66315013
1157973	3965	1997-02-07	PRIJEM	PREVOD Z UCTU	14097	19957	\N	OP	66315013
1157974	3965	1997-03-07	PRIJEM	PREVOD Z UCTU	14097	45025	\N	OP	66315013
1157975	3965	1997-04-07	PRIJEM	PREVOD Z UCTU	14097	55459	\N	OP	66315013
1157976	3965	1997-05-07	PRIJEM	PREVOD Z UCTU	14097	43762	\N	OP	66315013
1157977	3965	1997-06-07	PRIJEM	PREVOD Z UCTU	21146	48235	\N	OP	66315013
1157978	3965	1997-07-07	PRIJEM	PREVOD Z UCTU	14097	15713	\N	OP	66315013
1157979	3965	1997-08-07	PRIJEM	PREVOD Z UCTU	14097	23232	\N	OP	66315013
1157980	3965	1997-09-07	PRIJEM	PREVOD Z UCTU	14097	47429	\N	OP	66315013
1157981	3965	1997-10-07	PRIJEM	PREVOD Z UCTU	14097	56478	\N	OP	66315013
1157982	3965	1997-11-07	PRIJEM	PREVOD Z UCTU	14097	56745	\N	OP	66315013
1157983	3965	1997-12-07	PRIJEM	PREVOD Z UCTU	21146	60774	\N	OP	66315013
1157984	3965	1998-01-07	PRIJEM	PREVOD Z UCTU	14097	59659	\N	OP	66315013
1157985	3965	1998-02-07	PRIJEM	PREVOD Z UCTU	14097	43390	\N	OP	66315013
1157986	3965	1998-03-07	PRIJEM	PREVOD Z UCTU	14097	57583	\N	OP	66315013
1157987	3965	1998-04-07	PRIJEM	PREVOD Z UCTU	14097	64865	\N	OP	66315013
1157988	3965	1998-05-07	PRIJEM	PREVOD Z UCTU	14097	56557	\N	OP	66315013
1157989	3965	1998-06-07	PRIJEM	PREVOD Z UCTU	21146	66872	\N	OP	66315013
1157990	3965	1998-07-07	PRIJEM	PREVOD Z UCTU	14097	70877	\N	OP	66315013
1157991	3965	1998-08-07	PRIJEM	PREVOD Z UCTU	14097	69838	\N	OP	66315013
1157992	3965	1998-09-07	PRIJEM	PREVOD Z UCTU	14097	71298	\N	OP	66315013
1157993	3965	1998-10-07	PRIJEM	PREVOD Z UCTU	14097	72969	\N	OP	66315013
1157994	3965	1998-11-07	PRIJEM	PREVOD Z UCTU	14097	69649	\N	OP	66315013
1157995	3965	1998-12-07	PRIJEM	PREVOD Z UCTU	21146	80266	\N	OP	66315013
1158002	3965	1993-09-24	VYBER	VYBER	19028	30596	\N	\N	\N
1158004	3965	1993-12-16	VYBER	VYBER	10634	32945	\N	\N	\N
1158007	3965	1993-12-27	VYBER	VYBER	12781	20164	\N	\N	\N
1158009	3965	1994-08-14	VYBER	VYBER	11867	20466	\N	\N	\N
1158010	3965	1994-06-12	VYBER	VYBER	20356	37627	\N	\N	\N
1158011	3965	1994-08-04	VYBER	VYBER	16650	18236	\N	\N	\N
1158012	3965	1994-09-12	VYBER	VYBER	9782	18251	\N	\N	\N
1158013	3965	1995-05-22	VYBER	VYBER	9106	24226	\N	\N	\N
1158014	3965	1995-04-09	VYBER	VYBER	6751	31235	\N	\N	\N
1158016	3965	1995-11-12	VYBER	VYBER	21224	584	\N	\N	\N
1158017	3965	1995-10-10	VYBER	VYBER	12729	11673	\N	\N	\N
1158018	3965	1995-09-24	VYBER	VYBER	24201	10207	\N	\N	\N
1158019	3965	1995-11-21	VYBER	VYBER	10201	83	\N	\N	\N
1158023	3965	1996-11-27	VYBER	VYBER	9403	14304	\N	\N	\N
1158024	3965	1996-07-25	VYBER	VYBER	22908	10115	\N	\N	\N
1158025	3965	1996-11-14	VYBER	VYBER	20635	23707	\N	\N	\N
1158026	3965	1996-10-05	VYBER	VYBER	24284	15832	\N	\N	\N
1158027	3965	1997-06-21	VYBER	VYBER	7052	41383	\N	\N	\N
1158028	3965	1997-04-22	VYBER	VYBER	22448	29511	\N	\N	\N
1158029	3965	1997-05-19	VYBER	VYBER	12996	32066	\N	\N	\N
1158030	3965	1997-07-17	VYBER	VYBER	10317	17496	\N	\N	\N
1158033	3965	1995-06-18	VYDAJ	VYBER	21900	20458	\N	\N	\N
1158035	3965	1997-06-26	VYDAJ	VYBER	39900	1483	\N	\N	\N
1158038	3965	1994-01-01	VYDAJ	VYBER	3600	16394	\N	\N	\N
1158039	3965	1995-01-27	VYDAJ	VYBER	27300	-461	\N	\N	\N
1158040	3965	1996-01-10	VYDAJ	VYBER	13200	7056	\N	\N	\N
1158041	3965	1997-01-28	VYDAJ	VYBER	6900	5820	\N	\N	\N
1158042	3965	1998-01-12	VYDAJ	VYBER	7500	33759	\N	\N	\N
1158043	3965	1993-12-11	VYDAJ	VYBER	4800	43579	\N	\N	\N
1158044	3965	1994-12-02	VYDAJ	VYBER	8700	18861	\N	\N	\N
1158045	3965	1995-12-25	VYDAJ	VYBER	1800	15149	\N	\N	\N
1158046	3965	1996-12-30	VYDAJ	VYBER	7200	25852	\N	\N	\N
1158047	3965	1997-12-11	VYDAJ	VYBER	4800	49874	\N	\N	\N
1158048	3965	1998-12-18	VYDAJ	VYBER	3300	76966	\N	\N	\N
1158055	3965	1994-01-03	VYDAJ	VYBER	5100	11294	\N	\N	\N
1158056	3965	1994-01-24	VYDAJ	VYBER	5400	7091	\N	\N	\N
1158057	3965	1994-01-06	VYDAJ	VYBER	5700	1994	\N	\N	\N
1158058	3965	1994-01-29	VYDAJ	VYBER	3900	13391	\N	\N	\N
1158059	3965	1994-01-15	VYDAJ	VYBER	3600	12491	\N	\N	\N
1158060	3965	1994-01-04	VYDAJ	VYBER	3600	7694	\N	\N	\N
1158061	3965	1995-01-01	VYDAJ	VYBER	3000	29442	\N	\N	\N
1158062	3965	1995-01-13	VYDAJ	VYBER	3600	33939	\N	\N	\N
1158063	3965	1995-01-09	VYDAJ	VYBER	6000	37539	\N	\N	\N
1158066	3965	1995-01-21	VYDAJ	VYBER	5400	28539	\N	\N	\N
1158067	3965	1996-01-12	VYDAJ	VYBER	3000	4056	\N	\N	\N
1158068	3965	1996-01-22	VYDAJ	VYBER	4800	-1844	\N	\N	\N
1158069	3965	1996-01-21	VYDAJ	VYBER	1500	2956	\N	\N	\N
1158071	3965	1996-01-20	VYDAJ	VYBER	6900	4456	\N	\N	\N
1158073	3965	1997-01-24	VYDAJ	VYBER	4800	12720	\N	\N	\N
1158074	3965	1997-01-01	VYDAJ	VYBER	7500	18423	\N	\N	\N
1158075	3965	1997-01-08	VYDAJ	VYBER	8400	14220	\N	\N	\N
1158076	3965	1997-01-12	VYDAJ	VYBER	8100	-780	\N	\N	\N
1158077	3965	1997-01-19	VYDAJ	VYBER	2700	17520	\N	\N	\N
1158078	3965	1997-01-09	VYDAJ	VYBER	6900	7320	\N	\N	\N
1158079	3965	1998-01-09	VYDAJ	VYBER	3300	52059	\N	\N	\N
1158080	3965	1998-01-30	VYDAJ	VYBER	3900	17859	\N	\N	\N
1158081	3965	1998-01-21	VYDAJ	VYBER	3000	30759	\N	\N	\N
1158082	3965	1998-01-29	VYDAJ	VYBER	7500	21759	\N	\N	\N
1158083	3965	1998-01-08	VYDAJ	VYBER	4200	55459	\N	\N	\N
1158084	3965	1998-01-22	VYDAJ	VYBER	1500	29259	\N	\N	\N
1158085	3965	1993-12-27	VYDAJ	VYBER	3000	17164	\N	\N	\N
1158086	3965	1993-12-06	VYDAJ	VYBER	6600	27233	\N	\N	\N
1158087	3965	1993-10-01	VYDAJ	VYBER	7500	22469	\N	\N	\N
1158088	3965	1994-10-03	VYDAJ	VYBER	12900	7306	\N	\N	\N
1158090	3965	1994-08-14	VYDAJ	VYBER	8100	12366	\N	\N	\N
1158091	3965	1995-11-07	VYDAJ	VYBER	8400	21808	\N	\N	\N
1158092	3965	1995-05-19	VYDAJ	VYBER	5100	33332	\N	\N	\N
1158093	3965	1996-03-02	VYDAJ	VYBER	3900	9956	\N	\N	\N
1158094	3965	1996-11-29	VYDAJ	VYBER	8700	5604	\N	\N	\N
1158095	3965	1996-10-30	VYDAJ	VYBER	13200	17929	\N	\N	\N
1158097	3965	1996-01-01	VYDAJ	VYBER	9000	6159	\N	\N	\N
1158098	3965	1996-07-18	VYDAJ	VYBER	7200	33023	\N	\N	\N
1158099	3965	1997-01-03	VYDAJ	VYBER	9900	8523	\N	\N	\N
1158100	3965	1997-06-01	VYDAJ	VYBER	5100	27089	\N	\N	\N
1158101	3965	1997-07-31	VYDAJ	VYBER	8400	9150	\N	\N	\N
1158102	3965	1997-10-17	VYDAJ	VYBER	4200	42478	\N	\N	\N
1158103	3965	1997-12-22	VYDAJ	VYBER	4500	45374	\N	\N	\N
1158104	3965	1997-10-01	VYDAJ	VYBER	1500	42381	\N	\N	\N
1158105	3965	1997-12-02	VYDAJ	VYBER	10500	39628	\N	\N	\N
1158106	3965	1998-04-23	VYDAJ	VYBER	13800	42265	\N	\N	\N
1158107	3965	1998-10-30	VYDAJ	VYBER	4500	68469	\N	\N	\N
1158108	3965	1998-01-12	VYDAJ	VYBER	10800	41259	\N	\N	\N
1158109	3965	1998-09-01	VYDAJ	VYBER	5400	64701	\N	\N	\N
1158119	3965	1993-09-30	VYDAJ	VYBER	15	30769	SLUZBY	\N	\N
1158120	3965	1993-10-31	VYDAJ	VYBER	15	32699	SLUZBY	\N	\N
1158121	3965	1993-11-30	VYDAJ	VYBER	15	33833	SLUZBY	\N	\N
1158122	3965	1993-12-31	VYDAJ	VYBER	15	19994	SLUZBY	\N	\N
1158123	3965	1994-01-31	VYDAJ	VYBER	15	13429	SLUZBY	\N	\N
1158124	3965	1994-02-28	VYDAJ	VYBER	15	27569	SLUZBY	\N	\N
1158125	3965	1994-03-31	VYDAJ	VYBER	15	34868	SLUZBY	\N	\N
1158126	3965	1994-04-30	VYDAJ	VYBER	15	38296	SLUZBY	\N	\N
1158127	3965	1994-05-31	VYDAJ	VYBER	15	36837	SLUZBY	\N	\N
1158128	3965	1994-06-30	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
1158129	3965	1994-07-31	VYDAJ	VYBER	15	34886	SLUZBY	\N	\N
1158130	3965	1994-08-31	VYDAJ	VYBER	15	13936	SLUZBY	\N	\N
1158131	3965	1994-09-30	VYDAJ	VYBER	15	20206	SLUZBY	\N	\N
1158132	3965	1994-10-31	VYDAJ	VYBER	15	23478	SLUZBY	\N	\N
1158133	3965	1994-11-30	VYDAJ	VYBER	15	27561	SLUZBY	\N	\N
1158134	3965	1994-12-31	VYDAJ	VYBER	15	32442	SLUZBY	\N	\N
1158135	3965	1995-01-31	VYDAJ	VYBER	15	-360	SLUZBY	\N	\N
1158136	3965	1995-02-28	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
1158137	3965	1995-03-31	VYDAJ	VYBER	15	23889	SLUZBY	\N	\N
1158138	3965	1995-04-30	VYDAJ	VYBER	15	24335	SLUZBY	\N	\N
1158139	3965	1995-05-31	VYDAJ	VYBER	15	21212	SLUZBY	\N	\N
1158140	3965	1995-06-30	VYDAJ	VYBER	15	20329	SLUZBY	\N	\N
1158141	3965	1995-07-31	VYDAJ	VYBER	15	28506	SLUZBY	\N	\N
1158142	3965	1995-08-31	VYDAJ	VYBER	15	32211	SLUZBY	\N	\N
1158143	3965	1995-09-30	VYDAJ	VYBER	15	10305	SLUZBY	\N	\N
1158144	3965	1995-10-31	VYDAJ	VYBER	15	16111	SLUZBY	\N	\N
1158145	3965	1995-11-30	VYDAJ	VYBER	15	104	SLUZBY	\N	\N
1158146	3965	1995-12-31	VYDAJ	VYBER	15	15159	SLUZBY	\N	\N
1158147	3965	1996-01-31	VYDAJ	VYBER	15	-1838	SLUZBY	\N	\N
1158148	3965	1996-02-29	VYDAJ	VYBER	15	13856	SLUZBY	\N	\N
1158149	3965	1996-03-31	VYDAJ	VYBER	15	22826	SLUZBY	\N	\N
1158150	3965	1996-04-30	VYDAJ	VYBER	15	31418	SLUZBY	\N	\N
1158151	3965	1996-05-31	VYDAJ	VYBER	15	36940	SLUZBY	\N	\N
1158152	3965	1996-06-30	VYDAJ	VYBER	15	38526	SLUZBY	\N	\N
1158153	3965	1996-07-31	VYDAJ	VYBER	15	10228	SLUZBY	\N	\N
1158154	3965	1996-08-31	VYDAJ	VYBER	15	28791	SLUZBY	\N	\N
1158155	3965	1996-09-30	VYDAJ	VYBER	15	40116	SLUZBY	\N	\N
1158156	3965	1996-10-31	VYDAJ	VYBER	15	18045	SLUZBY	\N	\N
1158157	3965	1996-11-30	VYDAJ	VYBER	15	5706	SLUZBY	\N	\N
1158158	3965	1996-12-31	VYDAJ	VYBER	15	25923	SLUZBY	\N	\N
1158159	3965	1997-01-31	VYDAJ	VYBER	15	5860	SLUZBY	\N	\N
1158160	3965	1997-02-28	VYDAJ	VYBER	15	30928	SLUZBY	\N	\N
1158161	3965	1997-03-31	VYDAJ	VYBER	15	41362	SLUZBY	\N	\N
1158162	3965	1997-04-30	VYDAJ	VYBER	15	29665	SLUZBY	\N	\N
1158163	3965	1997-05-31	VYDAJ	VYBER	15	32189	SLUZBY	\N	\N
1158164	3965	1997-06-30	VYDAJ	VYBER	15	1616	SLUZBY	\N	\N
1158165	3965	1997-07-31	VYDAJ	VYBER	15	9135	SLUZBY	\N	\N
1158166	3965	1997-08-31	VYDAJ	VYBER	15	33332	SLUZBY	\N	\N
1158167	3965	1997-09-30	VYDAJ	VYBER	15	43881	SLUZBY	\N	\N
1158168	3965	1997-10-31	VYDAJ	VYBER	15	42648	SLUZBY	\N	\N
1158169	3965	1997-11-30	VYDAJ	VYBER	15	50128	SLUZBY	\N	\N
1158170	3965	1997-12-31	VYDAJ	VYBER	15	45562	SLUZBY	\N	\N
1158171	3965	1998-01-31	VYDAJ	VYBER	15	17993	SLUZBY	\N	\N
1158172	3965	1998-02-28	VYDAJ	VYBER	15	43486	SLUZBY	\N	\N
1158173	3965	1998-03-31	VYDAJ	VYBER	15	50768	SLUZBY	\N	\N
1158174	3965	1998-04-30	VYDAJ	VYBER	15	42460	SLUZBY	\N	\N
1158175	3965	1998-05-31	VYDAJ	VYBER	15	45726	SLUZBY	\N	\N
1158176	3965	1998-06-30	VYDAJ	VYBER	15	56780	SLUZBY	\N	\N
1158177	3965	1998-07-31	VYDAJ	VYBER	15	56841	SLUZBY	\N	\N
1158178	3965	1998-08-31	VYDAJ	VYBER	15	70101	SLUZBY	\N	\N
1158179	3965	1998-09-30	VYDAJ	VYBER	15	71572	SLUZBY	\N	\N
1158180	3965	1998-10-31	VYDAJ	VYBER	15	68752	SLUZBY	\N	\N
1158181	3965	1998-11-30	VYDAJ	VYBER	15	69920	SLUZBY	\N	\N
1158182	3965	1993-06-03	PRIJEM	VKLAD	4900	19646	\N	\N	\N
1158183	3965	1993-07-03	VYDAJ	VYBER	7700	33241	\N	\N	\N
1158184	3965	1993-08-02	VYDAJ	VYBER	13200	34330	\N	\N	\N
1158185	3965	1993-09-01	VYDAJ	VYBER	13100	35527	\N	\N	\N
1158186	3965	1993-10-01	VYDAJ	VYBER	800	29969	\N	\N	\N
1158187	3965	1993-10-31	VYDAJ	VYBER	4000	32713	\N	\N	\N
1158188	3965	1993-11-30	VYDAJ	VYBER	13100	33848	\N	\N	\N
1158189	3965	1993-12-30	PRIJEM	VKLAD	2700	19864	\N	\N	\N
1158190	3965	1994-01-29	PRIJEM	VKLAD	10200	17291	\N	\N	\N
1158191	3965	1994-02-28	VYDAJ	VYBER	100	27469	\N	\N	\N
1158192	3965	1994-03-30	VYDAJ	VYBER	6800	34766	\N	\N	\N
1158193	3965	1994-04-29	VYDAJ	VYBER	10800	38165	\N	\N	\N
1158194	3965	1994-05-29	VYDAJ	VYBER	15700	36693	\N	\N	\N
1158195	3965	1994-06-28	VYDAJ	VYBER	5000	32627	\N	\N	\N
1158196	3965	1994-07-28	VYDAJ	VYBER	12100	34763	\N	\N	\N
1158197	3965	1994-08-27	PRIJEM	VKLAD	8100	13866	\N	\N	\N
1158198	3965	1994-09-26	PRIJEM	VKLAD	1900	20151	\N	\N	\N
1158199	3965	1994-10-26	PRIJEM	VKLAD	2000	23403	\N	\N	\N
1158200	3965	1994-11-25	VYDAJ	VYBER	10100	27475	\N	\N	\N
1158201	3965	1994-12-25	VYDAJ	VYBER	7700	32307	\N	\N	\N
1158202	3965	1995-01-24	VYDAJ	VYBER	1700	26839	\N	\N	\N
1158203	3965	1995-02-23	PRIJEM	VKLAD	2400	16137	\N	\N	\N
1158204	3965	1995-03-25	VYDAJ	VYBER	6400	23830	\N	\N	\N
1158205	3965	1995-04-24	VYDAJ	VYBER	7000	24235	\N	\N	\N
1158206	3965	1995-05-24	VYDAJ	VYBER	3100	21126	\N	\N	\N
1158207	3965	1995-06-23	VYDAJ	VYBER	200	20258	\N	\N	\N
1158208	3965	1995-07-23	VYDAJ	VYBER	6000	28426	\N	\N	\N
1158209	3965	1995-08-22	VYDAJ	VYBER	10500	32103	\N	\N	\N
1158210	3965	1995-09-21	VYDAJ	VYBER	11900	34408	\N	\N	\N
1158211	3965	1995-10-21	PRIJEM	VKLAD	4400	16073	\N	\N	\N
1158212	3965	1995-11-20	PRIJEM	VKLAD	9700	10284	\N	\N	\N
1158213	3965	1995-12-20	VYDAJ	VYBER	4300	16949	\N	\N	\N
1158214	3965	1996-01-19	PRIJEM	VKLAD	7300	11356	\N	\N	\N
1158215	3965	1996-02-18	PRIJEM	VKLAD	1600	13859	\N	\N	\N
1158216	3965	1996-03-19	VYDAJ	VYBER	1300	22753	\N	\N	\N
1158217	3965	1996-04-18	VYDAJ	VYBER	5600	31323	\N	\N	\N
1158218	3965	1996-05-18	VYDAJ	VYBER	8700	36815	\N	\N	\N
1158219	3965	1996-06-17	VYDAJ	VYBER	19700	38386	\N	\N	\N
1158220	3965	1996-07-17	VYDAJ	VYBER	12400	40223	\N	\N	\N
1158221	3965	1996-08-16	PRIJEM	VKLAD	4400	28725	\N	\N	\N
1158222	3965	1996-09-15	VYDAJ	VYBER	2900	39988	\N	\N	\N
1158223	3965	1996-10-15	PRIJEM	VKLAD	1200	31129	\N	\N	\N
1158224	3965	1996-11-14	PRIJEM	VKLAD	12200	44342	\N	\N	\N
1158225	3965	1996-12-14	PRIJEM	VKLAD	6200	33052	\N	\N	\N
1158226	3965	1997-01-13	PRIJEM	VKLAD	21000	20220	\N	\N	\N
1158227	3965	1997-02-12	PRIJEM	VKLAD	10900	30857	\N	\N	\N
1158228	3965	1997-03-14	VYDAJ	VYBER	3800	41225	\N	\N	\N
1158229	3965	1997-04-13	VYDAJ	VYBER	3500	51959	\N	\N	\N
1158230	3965	1997-05-13	PRIJEM	VKLAD	1300	45062	\N	\N	\N
1158231	3965	1997-06-12	PRIJEM	VKLAD	200	48435	\N	\N	\N
1158232	3965	1997-07-12	PRIJEM	VKLAD	12100	27813	\N	\N	\N
1158233	3965	1997-08-11	PRIJEM	VKLAD	10000	33232	\N	\N	\N
1158234	3965	1997-09-10	VYDAJ	VYBER	3700	43729	\N	\N	\N
1158235	3965	1997-10-10	VYDAJ	VYBER	9800	46678	\N	\N	\N
1158236	3965	1997-11-09	VYDAJ	VYBER	6800	49945	\N	\N	\N
1158237	3965	1997-12-09	VYDAJ	VYBER	6100	54674	\N	\N	\N
1158238	3965	1998-01-08	VYDAJ	VYBER	100	55359	\N	\N	\N
1158239	3965	1998-02-07	PRIJEM	VKLAD	11300	29293	\N	\N	\N
1158240	3965	1998-03-09	VYDAJ	VYBER	7000	50583	\N	\N	\N
1158241	3965	1998-04-08	VYDAJ	VYBER	8800	56065	\N	\N	\N
1158242	3965	1998-05-08	VYDAJ	VYBER	11000	45557	\N	\N	\N
1158243	3965	1998-06-07	VYDAJ	VYBER	10300	56572	\N	\N	\N
1158244	3965	1998-07-07	VYDAJ	VYBER	14300	56577	\N	\N	\N
1158245	3965	1998-08-06	VYDAJ	VYBER	1100	55741	\N	\N	\N
1158246	3965	1998-09-05	VYDAJ	VYBER	7500	57201	\N	\N	\N
1158247	3965	1998-10-05	VYDAJ	VYBER	12700	58872	\N	\N	\N
1158248	3965	1998-11-04	VYDAJ	VYBER	13200	55552	\N	\N	\N
1158249	3965	1998-12-04	VYDAJ	VYBER	10800	59120	\N	\N	\N
1158327	3966	1996-01-09	PRIJEM	VKLAD	800	800	\N	\N	\N
1158328	3966	1996-01-14	PRIJEM	PREVOD Z UCTU	4334	5134	DUCHOD	GH	95109897
1158329	3966	1996-02-14	PRIJEM	PREVOD Z UCTU	4334	9480	DUCHOD	GH	95109897
1158330	3966	1996-03-14	PRIJEM	PREVOD Z UCTU	4334	13836	DUCHOD	GH	95109897
1158331	3966	1996-04-14	PRIJEM	PREVOD Z UCTU	4334	18191	DUCHOD	GH	95109897
1158332	3966	1996-05-14	PRIJEM	PREVOD Z UCTU	4334	22547	DUCHOD	GH	95109897
1158333	3966	1996-06-14	PRIJEM	PREVOD Z UCTU	4334	25136	DUCHOD	GH	95109897
1158334	3966	1996-07-14	PRIJEM	PREVOD Z UCTU	4334	27801	DUCHOD	GH	95109897
1158335	3966	1996-08-14	PRIJEM	PREVOD Z UCTU	4334	26758	DUCHOD	GH	95109897
1158336	3966	1996-09-14	PRIJEM	PREVOD Z UCTU	4334	29131	DUCHOD	GH	95109897
1158337	3966	1996-10-14	PRIJEM	PREVOD Z UCTU	4334	24412	DUCHOD	GH	95109897
1158338	3966	1996-11-14	PRIJEM	PREVOD Z UCTU	4334	16516	DUCHOD	GH	95109897
1158339	3966	1996-12-14	PRIJEM	PREVOD Z UCTU	4334	18898	DUCHOD	GH	95109897
1158340	3966	1997-01-14	PRIJEM	PREVOD Z UCTU	4334	18837	DUCHOD	GH	95109897
1158341	3966	1997-02-14	PRIJEM	PREVOD Z UCTU	4334	15710	DUCHOD	GH	95109897
1158342	3966	1997-03-14	PRIJEM	PREVOD Z UCTU	4334	16336	DUCHOD	GH	95109897
1158343	3966	1997-04-14	PRIJEM	PREVOD Z UCTU	4334	18065	DUCHOD	GH	95109897
1158344	3966	1997-05-14	PRIJEM	PREVOD Z UCTU	4334	17741	DUCHOD	GH	95109897
1158345	3966	1997-06-14	PRIJEM	PREVOD Z UCTU	4334	20377	DUCHOD	GH	95109897
1158346	3966	1997-07-14	PRIJEM	PREVOD Z UCTU	4334	22522	DUCHOD	GH	95109897
1158347	3966	1997-08-14	PRIJEM	PREVOD Z UCTU	4334	24054	DUCHOD	GH	95109897
1158348	3966	1997-09-14	PRIJEM	PREVOD Z UCTU	4334	23173	DUCHOD	GH	95109897
1158349	3966	1997-10-14	PRIJEM	PREVOD Z UCTU	4334	22784	DUCHOD	GH	95109897
1158350	3966	1997-11-14	PRIJEM	PREVOD Z UCTU	4334	25439	DUCHOD	GH	95109897
1158351	3966	1997-12-14	PRIJEM	PREVOD Z UCTU	4334	21404	DUCHOD	GH	95109897
1158352	3966	1998-01-14	PRIJEM	PREVOD Z UCTU	4334	19772	DUCHOD	GH	95109897
1158353	3966	1998-02-14	PRIJEM	PREVOD Z UCTU	4334	17529	DUCHOD	GH	95109897
1158354	3966	1998-03-14	PRIJEM	PREVOD Z UCTU	4334	17522	DUCHOD	GH	95109897
1158355	3966	1998-04-14	PRIJEM	PREVOD Z UCTU	4334	20157	DUCHOD	GH	95109897
1158356	3966	1998-05-14	PRIJEM	PREVOD Z UCTU	4334	22801	DUCHOD	GH	95109897
1158357	3966	1998-06-14	PRIJEM	PREVOD Z UCTU	4334	21857	DUCHOD	GH	95109897
1158358	3966	1998-07-14	PRIJEM	PREVOD Z UCTU	4334	20509	DUCHOD	GH	95109897
1158359	3966	1998-08-14	PRIJEM	PREVOD Z UCTU	4334	23155	DUCHOD	GH	95109897
1158360	3966	1998-09-14	PRIJEM	PREVOD Z UCTU	4334	25812	DUCHOD	GH	95109897
1158361	3966	1998-10-14	PRIJEM	PREVOD Z UCTU	4334	28480	DUCHOD	GH	95109897
1158362	3966	1998-11-14	PRIJEM	PREVOD Z UCTU	4334	26858	DUCHOD	GH	95109897
1158363	3966	1998-12-14	PRIJEM	PREVOD Z UCTU	4334	27634	DUCHOD	GH	95109897
1158369	3966	1996-06-08	VYDAJ	PREVOD NA UCET	1754	20802	SIPO	IJ	59096312
1158370	3966	1996-07-08	VYDAJ	PREVOD NA UCET	1754	23467	SIPO	IJ	59096312
1158371	3966	1996-08-08	VYDAJ	PREVOD NA UCET	1754	22424	SIPO	IJ	59096312
1158372	3966	1996-09-08	VYDAJ	PREVOD NA UCET	1754	24797	SIPO	IJ	59096312
1158373	3966	1996-10-08	VYDAJ	PREVOD NA UCET	1754	20078	SIPO	IJ	59096312
1158374	3966	1996-11-08	VYDAJ	PREVOD NA UCET	1754	12182	SIPO	IJ	59096312
1158375	3966	1996-12-08	VYDAJ	PREVOD NA UCET	1754	14564	SIPO	IJ	59096312
1158376	3966	1997-01-08	VYDAJ	PREVOD NA UCET	1754	16103	SIPO	IJ	59096312
1158377	3966	1997-02-08	VYDAJ	PREVOD NA UCET	1754	11376	SIPO	IJ	59096312
1158378	3966	1997-03-08	VYDAJ	PREVOD NA UCET	1754	12002	SIPO	IJ	59096312
1158379	3966	1997-04-08	VYDAJ	PREVOD NA UCET	1754	13731	SIPO	IJ	59096312
1158380	3966	1997-05-08	VYDAJ	PREVOD NA UCET	1754	13407	SIPO	IJ	59096312
1158381	3966	1997-06-08	VYDAJ	PREVOD NA UCET	1754	16043	SIPO	IJ	59096312
1158382	3966	1997-07-08	VYDAJ	PREVOD NA UCET	1754	18188	SIPO	IJ	59096312
1158383	3966	1997-08-08	VYDAJ	PREVOD NA UCET	1754	19720	SIPO	IJ	59096312
1158384	3966	1997-09-08	VYDAJ	PREVOD NA UCET	1754	18839	SIPO	IJ	59096312
1158385	3966	1997-10-08	VYDAJ	PREVOD NA UCET	1754	18450	SIPO	IJ	59096312
1158386	3966	1997-11-08	VYDAJ	PREVOD NA UCET	1754	21105	SIPO	IJ	59096312
1158387	3966	1997-12-08	VYDAJ	PREVOD NA UCET	1754	17070	SIPO	IJ	59096312
1158388	3966	1998-01-08	VYDAJ	PREVOD NA UCET	1754	17518	SIPO	IJ	59096312
1158389	3966	1998-02-08	VYDAJ	PREVOD NA UCET	1754	13195	SIPO	IJ	59096312
1158390	3966	1998-03-08	VYDAJ	PREVOD NA UCET	1754	13188	SIPO	IJ	59096312
1158391	3966	1998-04-08	VYDAJ	PREVOD NA UCET	1754	15823	SIPO	IJ	59096312
1158392	3966	1998-05-08	VYDAJ	PREVOD NA UCET	1754	18467	SIPO	IJ	59096312
1158393	3966	1998-06-08	VYDAJ	PREVOD NA UCET	1754	21123	SIPO	IJ	59096312
1158394	3966	1998-07-08	VYDAJ	PREVOD NA UCET	1754	16175	SIPO	IJ	59096312
1158395	3966	1998-08-08	VYDAJ	PREVOD NA UCET	1754	18821	SIPO	IJ	59096312
1158396	3966	1998-09-08	VYDAJ	PREVOD NA UCET	1754	21478	SIPO	IJ	59096312
1158397	3966	1998-10-08	VYDAJ	PREVOD NA UCET	1754	24146	SIPO	IJ	59096312
1158398	3966	1998-11-08	VYDAJ	PREVOD NA UCET	1754	22524	SIPO	IJ	59096312
1158399	3966	1998-12-08	VYDAJ	PREVOD NA UCET	1754	23300	SIPO	IJ	59096312
1158400	3966	1996-12-06	VYDAJ	VYBER	250	16318	\N	\N	\N
1158401	3966	1997-12-26	VYDAJ	VYBER	1200	20204	\N	\N	\N
1158402	3966	1998-12-27	VYDAJ	VYBER	550	26084	\N	\N	\N
1158410	3966	1997-01-19	VYDAJ	VYBER	1680	14997	\N	\N	\N
1158411	3966	1997-01-19	VYDAJ	VYBER	1920	13077	\N	\N	\N
1158412	3966	1997-01-16	VYDAJ	VYBER	2160	16677	\N	\N	\N
1158414	3966	1997-01-13	VYDAJ	VYBER	1600	14503	\N	\N	\N
1158415	3966	1998-01-11	VYDAJ	VYBER	2080	15438	\N	\N	\N
1158416	3966	1998-01-14	VYDAJ	VYBER	800	18972	\N	\N	\N
1158417	3966	1998-01-16	VYDAJ	VYBER	1040	17932	\N	\N	\N
1158418	3966	1998-01-24	VYDAJ	VYBER	640	14892	\N	\N	\N
1158419	3966	1998-01-23	VYDAJ	VYBER	1360	15532	\N	\N	\N
1158420	3966	1998-01-21	VYDAJ	VYBER	1040	16892	\N	\N	\N
1158421	3966	1996-08-02	VYDAJ	VYBER	1920	25978	\N	\N	\N
1158424	3966	1996-11-07	VYDAJ	VYBER	2000	13936	\N	\N	\N
1158425	3966	1996-10-19	VYDAJ	VYBER	2640	21772	\N	\N	\N
1158426	3966	1996-11-01	VYDAJ	VYBER	2720	19136	\N	\N	\N
1158428	3966	1997-03-02	VYDAJ	VYBER	2000	13756	\N	\N	\N
1158429	3966	1997-07-22	VYDAJ	VYBER	1120	21402	\N	\N	\N
1158430	3966	1997-05-07	VYDAJ	VYBER	2960	15161	\N	\N	\N
1158431	3966	1997-08-26	VYDAJ	VYBER	640	22214	\N	\N	\N
1158432	3966	1997-09-16	VYDAJ	VYBER	3040	20133	\N	\N	\N
1158433	3966	1997-08-21	VYDAJ	VYBER	1200	22854	\N	\N	\N
1158434	3966	1998-06-09	VYDAJ	VYBER	3600	17523	\N	\N	\N
1158435	3966	1998-06-28	VYDAJ	VYBER	3520	18337	\N	\N	\N
1158436	3966	1998-06-30	VYDAJ	VYBER	480	17944	\N	\N	\N
1158437	3966	1998-10-31	VYDAJ	VYBER	3200	24278	\N	\N	\N
1158438	3966	1998-03-05	VYDAJ	VYBER	2640	14942	\N	\N	\N
1158444	3966	1996-05-31	VYDAJ	VYBER	15	22556	SLUZBY	\N	\N
1158445	3966	1996-06-30	VYDAJ	VYBER	15	25221	SLUZBY	\N	\N
1158446	3966	1996-07-31	VYDAJ	VYBER	15	27898	SLUZBY	\N	\N
1158447	3966	1996-08-31	VYDAJ	VYBER	15	26851	SLUZBY	\N	\N
1158448	3966	1996-09-30	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
1158449	3966	1996-10-31	VYDAJ	VYBER	15	21856	SLUZBY	\N	\N
1158450	3966	1996-11-30	VYDAJ	VYBER	15	16568	SLUZBY	\N	\N
1158451	3966	1996-12-31	VYDAJ	VYBER	15	18957	SLUZBY	\N	\N
1158452	3966	1997-01-31	VYDAJ	VYBER	15	13130	SLUZBY	\N	\N
1158453	3966	1997-02-28	VYDAJ	VYBER	15	15756	SLUZBY	\N	\N
1158454	3966	1997-03-31	VYDAJ	VYBER	15	16385	SLUZBY	\N	\N
1158455	3966	1997-04-30	VYDAJ	VYBER	15	18121	SLUZBY	\N	\N
1158456	3966	1997-05-31	VYDAJ	VYBER	15	17797	SLUZBY	\N	\N
1158457	3966	1997-06-30	VYDAJ	VYBER	15	20442	SLUZBY	\N	\N
1158458	3966	1997-07-31	VYDAJ	VYBER	15	21474	SLUZBY	\N	\N
1158459	3966	1997-08-31	VYDAJ	VYBER	15	20593	SLUZBY	\N	\N
1158460	3966	1997-09-30	VYDAJ	VYBER	15	20204	SLUZBY	\N	\N
1158461	3966	1997-10-31	VYDAJ	VYBER	15	22859	SLUZBY	\N	\N
1158462	3966	1997-11-30	VYDAJ	VYBER	15	18824	SLUZBY	\N	\N
1158463	3966	1997-12-31	VYDAJ	VYBER	15	19272	SLUZBY	\N	\N
1158464	3966	1998-01-31	VYDAJ	VYBER	15	14949	SLUZBY	\N	\N
1158465	3966	1998-02-28	VYDAJ	VYBER	15	17582	SLUZBY	\N	\N
1158466	3966	1998-03-31	VYDAJ	VYBER	15	17577	SLUZBY	\N	\N
1158467	3966	1998-04-30	VYDAJ	VYBER	15	20221	SLUZBY	\N	\N
1158468	3966	1998-05-31	VYDAJ	VYBER	15	22877	SLUZBY	\N	\N
1158469	3966	1998-06-30	VYDAJ	VYBER	15	17929	SLUZBY	\N	\N
1158470	3966	1998-07-31	VYDAJ	VYBER	15	20575	SLUZBY	\N	\N
1158471	3966	1998-08-31	VYDAJ	VYBER	15	23232	SLUZBY	\N	\N
1158472	3966	1998-09-30	VYDAJ	VYBER	15	25900	SLUZBY	\N	\N
1158473	3966	1998-10-31	VYDAJ	VYBER	15	27478	SLUZBY	\N	\N
1158474	3966	1998-11-30	VYDAJ	VYBER	15	25054	SLUZBY	\N	\N
1158475	3966	1996-08-06	VYDAJ	VYBER	1800	24178	\N	\N	\N
1158476	3966	1996-09-05	VYDAJ	VYBER	300	26551	\N	\N	\N
1158477	3966	1996-10-05	VYDAJ	VYBER	7400	21832	\N	\N	\N
1158478	3966	1996-11-04	VYDAJ	VYBER	3200	15936	\N	\N	\N
1158479	3966	1997-01-03	VYDAJ	VYBER	1100	17857	\N	\N	\N
1158480	3966	1997-04-03	VYDAJ	VYBER	900	15485	\N	\N	\N
1158481	3966	1997-07-02	VYDAJ	VYBER	500	19942	\N	\N	\N
1158482	3966	1997-08-31	VYDAJ	VYBER	1700	20607	\N	\N	\N
1158483	3966	1997-11-29	VYDAJ	VYBER	6700	18739	\N	\N	\N
1158484	3966	1997-12-29	VYDAJ	VYBER	1000	19204	\N	\N	\N
1158485	3966	1998-10-25	VYDAJ	VYBER	1100	27380	\N	\N	\N
1158486	3966	1998-11-24	VYDAJ	VYBER	1900	24958	\N	\N	\N
1158487	3966	1998-12-24	VYDAJ	VYBER	1000	26634	\N	\N	\N
1158524	3967	1996-09-22	PRIJEM	VKLAD	900	900	\N	\N	\N
1158530	3967	1996-11-19	PRIJEM	VKLAD	17153	58500	\N	\N	\N
1158531	3967	1996-11-24	PRIJEM	VKLAD	18992	58092	\N	\N	\N
1158532	3967	1996-10-28	PRIJEM	VKLAD	27125	41325	\N	\N	\N
1158533	3967	1996-12-19	PRIJEM	VKLAD	46979	105259	\N	\N	\N
1158534	3967	1996-12-30	PRIJEM	VKLAD	38119	82478	\N	\N	\N
1158536	3967	1997-12-23	PRIJEM	VKLAD	26226	61670	\N	\N	\N
1158537	3967	1997-05-10	PRIJEM	VKLAD	21966	30285	\N	\N	\N
1158538	3967	1997-04-09	PRIJEM	VKLAD	9428	17390	\N	\N	\N
1158539	3967	1997-10-02	PRIJEM	VKLAD	16355	37686	\N	\N	\N
1158540	3967	1997-12-30	PRIJEM	VKLAD	9054	70724	\N	\N	\N
1158541	3967	1997-09-29	PRIJEM	VKLAD	14063	21280	\N	\N	\N
1158542	3967	1997-10-12	PRIJEM	VKLAD	43113	80799	\N	\N	\N
1158543	3967	1997-06-18	PRIJEM	VKLAD	47798	81269	\N	\N	\N
1158544	3967	1997-06-05	PRIJEM	VKLAD	6610	35820	\N	\N	\N
1158545	3967	1997-11-04	PRIJEM	VKLAD	33242	84996	\N	\N	\N
1158546	3967	1998-09-16	PRIJEM	VKLAD	48364	99974	\N	\N	\N
1158547	3967	1998-12-04	PRIJEM	VKLAD	39221	133514	\N	\N	\N
1158548	3967	1998-03-26	PRIJEM	VKLAD	45629	100956	\N	\N	\N
1158549	3967	1998-07-02	PRIJEM	VKLAD	24030	114263	\N	\N	\N
1158550	3967	1998-03-28	PRIJEM	VKLAD	38747	139703	\N	\N	\N
1158551	3967	1998-02-25	PRIJEM	VKLAD	5622	69192	\N	\N	\N
1158552	3967	1998-06-25	PRIJEM	VKLAD	39828	141977	\N	\N	\N
1158553	3967	1998-10-20	PRIJEM	VKLAD	31110	106440	\N	\N	\N
1158554	3967	1998-05-21	PRIJEM	VKLAD	6007	51458	\N	\N	\N
1158555	3967	1998-05-12	PRIJEM	VKLAD	12825	64600	\N	\N	\N
1158556	3967	1998-03-28	PRIJEM	VKLAD	31395	171098	\N	\N	\N
1158557	3967	1998-07-18	PRIJEM	VKLAD	15897	63410	\N	\N	\N
1158558	3967	1998-08-23	PRIJEM	VKLAD	10284	99317	\N	\N	\N
1158559	3967	1998-12-19	PRIJEM	VKLAD	17081	90145	\N	\N	\N
1158560	3967	1998-03-30	PRIJEM	VKLAD	31600	125598	\N	\N	\N
1158561	3967	1998-06-18	PRIJEM	VKLAD	34838	102149	\N	\N	\N
1158562	3967	1998-08-23	PRIJEM	VKLAD	19606	89033	\N	\N	\N
1158563	3967	1998-08-28	PRIJEM	VKLAD	45659	144976	\N	\N	\N
1158564	3967	1998-08-22	PRIJEM	VKLAD	15856	69427	\N	\N	\N
1158565	3967	1998-10-22	PRIJEM	VKLAD	46647	153087	\N	\N	\N
1158566	3967	1998-08-28	PRIJEM	VKLAD	22396	167372	\N	\N	\N
1158567	3967	1998-11-15	PRIJEM	VKLAD	39342	101768	\N	\N	\N
1158568	3967	1998-06-17	PRIJEM	VKLAD	36217	67311	\N	\N	\N
1158569	3967	1998-11-06	PRIJEM	VKLAD	24803	81476	\N	\N	\N
1158570	3967	1998-02-05	PRIJEM	VKLAD	49963	69043	\N	\N	\N
1158571	3967	1998-05-03	PRIJEM	VKLAD	9930	51775	\N	\N	\N
1158572	3967	1998-02-13	PRIJEM	VKLAD	18877	85570	\N	\N	\N
1158585	3967	1997-01-09	VYDAJ	VYBER	2600	75599	\N	\N	0
1158586	3967	1997-02-16	VYDAJ	VYBER	1800	6588	\N	\N	0
1158587	3967	1997-03-10	VYDAJ	VYBER	2600	10916	\N	\N	0
1158589	3967	1997-05-12	VYDAJ	PREVOD NA UCET	2350	27935	UVER	AB	28307140
1158590	3967	1997-06-12	VYDAJ	PREVOD NA UCET	2350	33471	UVER	AB	28307140
1158591	3967	1997-07-12	VYDAJ	PREVOD NA UCET	2350	16219	UVER	AB	28307140
1158592	3967	1997-08-12	VYDAJ	PREVOD NA UCET	2350	6939	UVER	AB	28307140
1158593	3967	1997-09-12	VYDAJ	PREVOD NA UCET	2350	16549	UVER	AB	28307140
1158594	3967	1997-10-12	VYDAJ	PREVOD NA UCET	2350	78450	UVER	AB	28307140
1158595	3967	1997-11-12	VYDAJ	PREVOD NA UCET	2350	64281	UVER	AB	28307140
1158596	3967	1997-12-12	VYDAJ	PREVOD NA UCET	2350	29044	UVER	AB	28307140
1158597	3967	1998-01-12	VYDAJ	PREVOD NA UCET	2350	37938	UVER	AB	28307140
1158598	3967	1998-02-12	VYDAJ	PREVOD NA UCET	2350	66693	UVER	AB	28307140
1158599	3967	1998-03-12	VYDAJ	PREVOD NA UCET	2350	67027	UVER	AB	28307140
1158600	3967	1998-04-12	VYDAJ	PREVOD NA UCET	2350	42744	UVER	AB	28307140
1158601	3967	1998-05-12	VYDAJ	PREVOD NA UCET	2350	62251	UVER	AB	28307140
1158602	3967	1998-06-12	VYDAJ	PREVOD NA UCET	2350	26794	UVER	AB	28307140
1158603	3967	1998-07-12	VYDAJ	PREVOD NA UCET	2350	53213	UVER	AB	28307140
1158604	3967	1998-08-12	VYDAJ	PREVOD NA UCET	2350	61371	UVER	AB	28307140
1158605	3967	1998-09-12	VYDAJ	PREVOD NA UCET	2350	51610	UVER	AB	28307140
1158606	3967	1998-10-12	VYDAJ	PREVOD NA UCET	2350	75330	UVER	AB	28307140
1158607	3967	1998-11-12	VYDAJ	PREVOD NA UCET	2350	62426	UVER	AB	28307140
1158608	3967	1998-12-12	VYDAJ	PREVOD NA UCET	2350	73064	UVER	AB	28307140
1158611	3967	1997-01-10	VYBER	VYBER	15813	59786	\N	\N	\N
1158612	3967	1997-11-22	VYBER	VYBER	15212	34769	\N	\N	\N
1158613	3967	1997-11-11	VYBER	VYBER	18365	66631	\N	\N	\N
1158614	3967	1997-04-09	VYBER	VYBER	20310	-2920	\N	\N	\N
1158615	3967	1997-09-19	VYBER	VYBER	18432	7217	\N	\N	\N
1158617	3967	1997-11-03	VYBER	VYBER	8789	51754	\N	\N	\N
1158618	3967	1998-04-04	VYBER	VYBER	17996	51093	\N	\N	\N
1158619	3967	1998-12-27	VYBER	VYBER	5139	85006	\N	\N	\N
1158621	3967	1997-06-19	VYDAJ	VYBER	77400	18469	\N	\N	\N
1158622	3967	1998-06-05	VYDAJ	VYBER	17400	34243	\N	\N	\N
1158624	3967	1997-01-29	VYDAJ	VYBER	16800	15086	\N	\N	\N
1158625	3967	1998-01-05	VYDAJ	VYBER	19500	51387	\N	\N	\N
1158627	3967	1997-12-10	VYDAJ	VYBER	3600	31393	\N	\N	\N
1158628	3967	1998-12-03	VYDAJ	VYBER	5700	94293	\N	\N	\N
1158635	3967	1997-01-03	VYDAJ	VYBER	4500	78199	\N	\N	\N
1158636	3967	1997-01-17	VYDAJ	VYBER	2100	51686	\N	\N	\N
1158637	3967	1997-01-13	VYDAJ	VYBER	2700	53786	\N	\N	\N
1158638	3967	1997-01-30	VYDAJ	VYBER	6900	8186	\N	\N	\N
1158639	3967	1997-01-12	VYDAJ	VYBER	3300	56486	\N	\N	\N
1158640	3967	1997-01-24	VYDAJ	VYBER	2700	31886	\N	\N	\N
1158641	3967	1998-01-05	VYDAJ	VYBER	7200	44187	\N	\N	\N
1158642	3967	1998-01-20	VYDAJ	VYBER	2100	27638	\N	\N	\N
1158643	3967	1998-01-08	VYDAJ	VYBER	3900	40287	\N	\N	\N
1158644	3967	1998-01-16	VYDAJ	VYBER	7800	35738	\N	\N	\N
1158645	3967	1998-01-20	VYDAJ	VYBER	6600	21038	\N	\N	\N
1158646	3967	1998-01-18	VYDAJ	VYBER	6000	29738	\N	\N	\N
1158653	3967	1997-04-05	VYDAJ	VYBER	5400	7962	\N	\N	\N
1158654	3967	1997-08-02	VYDAJ	VYBER	12900	9289	\N	\N	\N
1158655	3967	1997-04-04	VYDAJ	VYBER	3600	13362	\N	\N	\N
1158656	3967	1998-06-08	VYDAJ	VYBER	5100	29143	\N	\N	\N
1158657	3967	1998-12-01	VYDAJ	VYBER	2100	99993	\N	\N	\N
1158658	3967	1998-01-28	VYDAJ	VYBER	2100	18938	\N	\N	\N
1158659	3967	1998-04-12	VYDAJ	VYBER	6000	45093	\N	\N	\N
1158672	3967	1996-12-31	VYDAJ	VYBER	15	82699	SLUZBY	\N	\N
1158673	3967	1997-01-31	VYDAJ	VYBER	15	8388	SLUZBY	\N	\N
1158674	3967	1997-02-28	VYDAJ	VYBER	15	13516	SLUZBY	\N	\N
1158675	3967	1997-03-31	VYDAJ	VYBER	15	16962	SLUZBY	\N	\N
1158676	3967	1997-04-30	VYDAJ	VYBER	15	8319	SLUZBY	\N	\N
1158677	3967	1997-05-31	VYDAJ	VYBER	15	29210	SLUZBY	\N	\N
1158678	3967	1997-06-30	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
1158679	3967	1997-07-31	VYDAJ	VYBER	15	22189	SLUZBY	\N	\N
1158680	3967	1997-08-31	VYDAJ	VYBER	15	18899	SLUZBY	\N	\N
1158681	3967	1997-09-30	VYDAJ	VYBER	15	21331	SLUZBY	\N	\N
1158682	3967	1997-10-31	VYDAJ	VYBER	15	60543	SLUZBY	\N	\N
1158683	3967	1997-11-30	VYDAJ	VYBER	15	34993	SLUZBY	\N	\N
1158684	3967	1997-12-31	VYDAJ	VYBER	15	70887	SLUZBY	\N	\N
1158685	3967	1998-01-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
1158686	3967	1998-02-28	VYDAJ	VYBER	15	69377	SLUZBY	\N	\N
1158687	3967	1998-03-31	VYDAJ	VYBER	15	69089	SLUZBY	\N	\N
1158688	3967	1998-04-30	VYDAJ	VYBER	15	41845	SLUZBY	\N	\N
1158689	3967	1998-05-31	VYDAJ	VYBER	15	51643	SLUZBY	\N	\N
1158690	3967	1998-06-30	VYDAJ	VYBER	15	90233	SLUZBY	\N	\N
1158691	3967	1998-07-31	VYDAJ	VYBER	15	63720	SLUZBY	\N	\N
1158692	3967	1998-08-31	VYDAJ	VYBER	15	53859	SLUZBY	\N	\N
1158693	3967	1998-09-30	VYDAJ	VYBER	15	100280	SLUZBY	\N	\N
1158694	3967	1998-10-31	VYDAJ	VYBER	15	109973	SLUZBY	\N	\N
1158695	3967	1998-11-30	VYDAJ	VYBER	15	102093	SLUZBY	\N	\N
1158696	3967	1996-10-22	PRIJEM	VKLAD	13300	14200	\N	\N	\N
1158697	3967	1996-11-21	VYDAJ	VYBER	19400	39100	\N	\N	\N
1158698	3967	1996-12-19	VYDAJ	VYBER	35000	70259	\N	\N	\N
1158699	3967	1996-12-21	VYDAJ	VYBER	25900	44359	\N	\N	\N
1158700	3967	1997-01-20	VYDAJ	VYBER	17100	34586	\N	\N	\N
1158701	3967	1997-02-19	PRIJEM	VKLAD	6900	13488	\N	\N	\N
1158702	3967	1997-03-21	PRIJEM	VKLAD	6000	16916	\N	\N	\N
1158703	3967	1997-04-20	PRIJEM	VKLAD	11200	8280	\N	\N	\N
1158704	3967	1997-05-20	PRIJEM	VKLAD	1200	29135	\N	\N	\N
1158705	3967	1997-06-19	PRIJEM	VKLAD	14600	95869	\N	\N	\N
1158706	3967	1997-07-19	PRIJEM	VKLAD	5900	22119	\N	\N	\N
1158707	3967	1997-08-18	PRIJEM	VKLAD	11900	18839	\N	\N	\N
1158708	3967	1997-09-17	PRIJEM	VKLAD	9100	25649	\N	\N	\N
1158709	3967	1997-10-17	VYDAJ	VYBER	18100	60350	\N	\N	\N
1158710	3967	1997-11-16	VYDAJ	VYBER	14300	49981	\N	\N	\N
1158711	3967	1997-12-16	PRIJEM	VKLAD	6400	35444	\N	\N	\N
1158712	3967	1998-01-15	PRIJEM	VKLAD	5600	43538	\N	\N	\N
1158713	3967	1998-02-14	VYDAJ	VYBER	22000	63570	\N	\N	\N
1158714	3967	1998-03-16	VYDAJ	VYBER	11700	55327	\N	\N	\N
1158715	3967	1998-03-28	VYDAJ	VYBER	25800	93998	\N	\N	\N
1158716	3967	1998-03-28	VYDAJ	VYBER	51300	119798	\N	\N	\N
1158717	3967	1998-03-30	VYDAJ	VYBER	56800	68798	\N	\N	\N
1158718	3967	1998-04-15	VYDAJ	VYBER	1100	41644	\N	\N	\N
1158719	3967	1998-05-15	VYDAJ	VYBER	16800	45451	\N	\N	\N
1158720	3967	1998-06-14	PRIJEM	VKLAD	4300	31094	\N	\N	\N
1158721	3967	1998-06-25	VYDAJ	VYBER	52000	89977	\N	\N	\N
1158722	3967	1998-07-02	VYDAJ	VYBER	58700	55563	\N	\N	\N
1158723	3967	1998-07-14	VYDAJ	VYBER	5700	47513	\N	\N	\N
1158724	3967	1998-08-13	VYDAJ	VYBER	7800	53571	\N	\N	\N
1158725	3967	1998-08-28	VYDAJ	VYBER	22700	108772	\N	\N	\N
1158726	3967	1998-08-28	VYDAJ	VYBER	35900	131472	\N	\N	\N
1158727	3967	1998-08-31	VYDAJ	VYBER	55200	53874	\N	\N	\N
1158728	3967	1998-09-12	PRIJEM	VKLAD	100	53959	\N	\N	\N
1158729	3967	1998-10-12	VYDAJ	VYBER	22600	77680	\N	\N	\N
1158730	3967	1998-10-22	VYDAJ	VYBER	43500	109587	\N	\N	\N
1158731	3967	1998-10-31	VYDAJ	VYBER	53300	56673	\N	\N	\N
1158732	3967	1998-11-11	VYDAJ	VYBER	16700	64776	\N	\N	\N
1158733	3967	1998-12-04	VYDAJ	VYBER	31100	102414	\N	\N	\N
1158734	3967	1998-12-11	VYDAJ	VYBER	27000	75414	\N	\N	\N
1158762	3968	1996-01-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1158763	3968	1996-01-10	PRIJEM	VKLAD	17528	18628	\N	\N	\N
1158764	3968	1996-02-10	PRIJEM	VKLAD	17528	36211	\N	\N	\N
1158765	3968	1996-03-10	PRIJEM	VKLAD	17528	48117	\N	\N	\N
1158766	3968	1996-04-10	PRIJEM	VKLAD	17528	53108	\N	\N	\N
1158767	3968	1996-05-10	PRIJEM	VKLAD	17528	53684	\N	\N	\N
1158768	3968	1996-06-10	PRIJEM	VKLAD	26292	63728	\N	\N	\N
1158769	3968	1996-07-10	PRIJEM	VKLAD	17528	52816	\N	\N	\N
1158770	3968	1996-08-10	PRIJEM	VKLAD	17528	46077	\N	\N	\N
1158771	3968	1996-09-10	PRIJEM	VKLAD	17528	51063	\N	\N	\N
1158772	3968	1996-10-10	PRIJEM	VKLAD	17528	56019	\N	\N	\N
1158773	3968	1996-11-10	PRIJEM	VKLAD	17528	54691	\N	\N	\N
1158774	3968	1996-12-10	PRIJEM	VKLAD	26292	66743	\N	\N	\N
1158775	3968	1997-01-10	PRIJEM	VKLAD	17528	60731	\N	\N	\N
1158776	3968	1997-02-10	PRIJEM	VKLAD	17528	56453	\N	\N	\N
1158777	3968	1997-03-10	PRIJEM	VKLAD	17528	61132	\N	\N	\N
1158778	3968	1997-04-10	PRIJEM	VKLAD	17528	63029	\N	\N	\N
1158779	3968	1997-05-10	PRIJEM	VKLAD	17528	61233	\N	\N	\N
1158780	3968	1997-06-10	PRIJEM	VKLAD	26292	69231	\N	\N	\N
1158781	3968	1997-07-10	PRIJEM	VKLAD	17528	67084	\N	\N	\N
1158782	3968	1997-08-10	PRIJEM	VKLAD	17528	66225	\N	\N	\N
1158783	3968	1997-09-10	PRIJEM	VKLAD	17528	67041	\N	\N	\N
1158784	3968	1997-10-10	PRIJEM	VKLAD	17528	69363	\N	\N	\N
1158785	3968	1997-11-10	PRIJEM	VKLAD	17528	76602	\N	\N	\N
1158786	3968	1997-12-10	PRIJEM	VKLAD	26292	89530	\N	\N	\N
1158787	3968	1998-01-10	PRIJEM	VKLAD	17528	83516	\N	\N	\N
1158788	3968	1998-02-10	PRIJEM	VKLAD	17528	84530	\N	\N	\N
1158789	3968	1998-03-10	PRIJEM	VKLAD	17528	87229	\N	\N	\N
1158790	3968	1998-04-10	PRIJEM	VKLAD	17528	93069	\N	\N	\N
1158791	3968	1998-05-10	PRIJEM	VKLAD	17528	95305	\N	\N	\N
1158792	3968	1998-06-10	PRIJEM	VKLAD	26292	107611	\N	\N	\N
1158793	3968	1998-07-10	PRIJEM	VKLAD	17528	81533	\N	\N	\N
1158794	3968	1998-08-10	PRIJEM	VKLAD	17528	94233	\N	\N	\N
1158795	3968	1998-09-10	PRIJEM	VKLAD	17528	99574	\N	\N	\N
1158796	3968	1998-10-10	PRIJEM	VKLAD	17528	102834	\N	\N	\N
1158797	3968	1998-11-10	PRIJEM	VKLAD	17528	102600	\N	\N	\N
1158798	3968	1998-12-10	PRIJEM	VKLAD	26292	107321	\N	\N	\N
1158799	3968	1996-06-18	VYDAJ	VYBER	13600	50128	\N	\N	\N
1158800	3968	1997-06-04	VYDAJ	VYBER	3400	42939	\N	\N	\N
1158801	3968	1998-06-18	VYDAJ	VYBER	14500	66511	\N	\N	\N
1158802	3968	1996-12-28	VYDAJ	VYBER	2700	46843	\N	\N	\N
1158803	3968	1997-12-26	VYDAJ	VYBER	2700	68830	\N	\N	\N
1158804	3968	1998-12-14	VYDAJ	VYBER	2400	104921	\N	\N	\N
1158811	3968	1997-01-28	VYDAJ	VYBER	1900	38731	\N	\N	\N
1158812	3968	1997-01-18	VYDAJ	VYBER	800	57031	\N	\N	\N
1158813	3968	1997-01-08	VYDAJ	VYBER	800	43203	\N	\N	\N
1158814	3968	1997-01-12	VYDAJ	VYBER	1400	59331	\N	\N	\N
1158815	3968	1997-01-14	VYDAJ	VYBER	1500	57831	\N	\N	\N
1158816	3968	1997-01-22	VYDAJ	VYBER	2300	54731	\N	\N	\N
1158817	3968	1998-01-03	VYDAJ	VYBER	1800	67288	\N	\N	\N
1158818	3968	1998-01-06	VYDAJ	VYBER	700	66588	\N	\N	\N
1158819	3968	1998-01-18	VYDAJ	VYBER	2000	80116	\N	\N	\N
1158820	3968	1998-01-19	VYDAJ	VYBER	2100	78016	\N	\N	\N
1158821	3968	1998-01-18	VYDAJ	VYBER	1400	82116	\N	\N	\N
1158822	3968	1998-01-08	VYDAJ	VYBER	600	65988	\N	\N	\N
1158823	3968	1996-08-08	VYDAJ	VYBER	4800	28549	\N	\N	\N
1158824	3968	1996-08-07	VYDAJ	VYBER	4300	33349	\N	\N	\N
1158826	3968	1996-05-24	VYDAJ	VYBER	1100	51984	\N	\N	\N
1158828	3968	1996-11-17	VYDAJ	VYBER	3500	51191	\N	\N	\N
1158829	3968	1996-05-23	VYDAJ	VYBER	600	53084	\N	\N	\N
1158830	3968	1997-04-29	VYDAJ	VYBER	4300	44329	\N	\N	\N
1158831	3968	1997-07-10	VYDAJ	VYBER	4400	62684	\N	\N	\N
1158832	3968	1997-07-20	VYDAJ	VYBER	4800	57884	\N	\N	\N
1158833	3968	1997-05-09	VYDAJ	VYBER	800	43705	\N	\N	\N
1158834	3968	1997-01-05	VYDAJ	VYBER	3000	44003	\N	\N	\N
1158835	3968	1998-11-16	VYDAJ	VYBER	4700	80700	\N	\N	\N
1158836	3968	1998-04-17	VYDAJ	VYBER	3900	89169	\N	\N	\N
1158837	3968	1998-03-04	VYDAJ	VYBER	2500	69701	\N	\N	\N
1158838	3968	1998-06-28	VYDAJ	VYBER	1900	63711	\N	\N	\N
1158844	3968	1996-05-31	VYDAJ	VYBER	15	37436	SLUZBY	\N	\N
1158845	3968	1996-06-30	VYDAJ	VYBER	15	35288	SLUZBY	\N	\N
1158846	3968	1996-07-31	VYDAJ	VYBER	15	37649	SLUZBY	\N	\N
1158847	3968	1996-08-31	VYDAJ	VYBER	15	33535	SLUZBY	\N	\N
1158848	3968	1996-09-30	VYDAJ	VYBER	15	38491	SLUZBY	\N	\N
1158849	3968	1996-10-31	VYDAJ	VYBER	15	37163	SLUZBY	\N	\N
1158850	3968	1996-11-30	VYDAJ	VYBER	15	40451	SLUZBY	\N	\N
1158851	3968	1996-12-31	VYDAJ	VYBER	15	47003	SLUZBY	\N	\N
1158852	3968	1997-01-31	VYDAJ	VYBER	15	38925	SLUZBY	\N	\N
1158853	3968	1997-02-28	VYDAJ	VYBER	15	43604	SLUZBY	\N	\N
1158854	3968	1997-03-31	VYDAJ	VYBER	15	45501	SLUZBY	\N	\N
1158855	3968	1997-04-30	VYDAJ	VYBER	15	44505	SLUZBY	\N	\N
1158856	3968	1997-05-31	VYDAJ	VYBER	15	46339	SLUZBY	\N	\N
1158857	3968	1997-06-30	VYDAJ	VYBER	15	49556	SLUZBY	\N	\N
1158858	3968	1997-07-31	VYDAJ	VYBER	15	48697	SLUZBY	\N	\N
1158859	3968	1997-08-31	VYDAJ	VYBER	15	49513	SLUZBY	\N	\N
1158860	3968	1997-09-30	VYDAJ	VYBER	15	51835	SLUZBY	\N	\N
1158861	3968	1997-10-31	VYDAJ	VYBER	15	59074	SLUZBY	\N	\N
1158862	3968	1997-11-30	VYDAJ	VYBER	15	63238	SLUZBY	\N	\N
1158863	3968	1997-12-31	VYDAJ	VYBER	15	69088	SLUZBY	\N	\N
1158864	3968	1998-01-31	VYDAJ	VYBER	15	67002	SLUZBY	\N	\N
1158865	3968	1998-02-28	VYDAJ	VYBER	15	72201	SLUZBY	\N	\N
1158866	3968	1998-03-31	VYDAJ	VYBER	15	75541	SLUZBY	\N	\N
1158867	3968	1998-04-30	VYDAJ	VYBER	15	77777	SLUZBY	\N	\N
1158868	3968	1998-05-31	VYDAJ	VYBER	15	81319	SLUZBY	\N	\N
1158869	3968	1998-06-30	VYDAJ	VYBER	15	64005	SLUZBY	\N	\N
1158870	3968	1998-07-31	VYDAJ	VYBER	15	76705	SLUZBY	\N	\N
1158871	3968	1998-08-31	VYDAJ	VYBER	15	82046	SLUZBY	\N	\N
1158872	3968	1998-09-30	VYDAJ	VYBER	15	85306	SLUZBY	\N	\N
1158873	3968	1998-10-31	VYDAJ	VYBER	15	85072	SLUZBY	\N	\N
1158874	3968	1998-11-30	VYDAJ	VYBER	15	81029	SLUZBY	\N	\N
1158875	3968	1996-03-01	VYDAJ	VYBER	5700	30589	\N	\N	\N
1158876	3968	1996-03-31	VYDAJ	VYBER	12700	35580	\N	\N	\N
1158877	3968	1996-04-30	VYDAJ	VYBER	17100	36156	\N	\N	\N
1158878	3968	1996-05-30	VYDAJ	VYBER	14700	37284	\N	\N	\N
1158879	3968	1996-06-29	VYDAJ	VYBER	15000	35128	\N	\N	\N
1158880	3968	1996-07-29	VYDAJ	VYBER	15300	37516	\N	\N	\N
1158881	3968	1996-08-28	VYDAJ	VYBER	12700	33377	\N	\N	\N
1158882	3968	1996-09-27	VYDAJ	VYBER	12700	38363	\N	\N	\N
1158883	3968	1996-10-27	VYDAJ	VYBER	19000	37019	\N	\N	\N
1158884	3968	1996-11-26	VYDAJ	VYBER	10900	40291	\N	\N	\N
1158885	3968	1996-12-26	VYDAJ	VYBER	17200	49543	\N	\N	\N
1158886	3968	1997-01-25	VYDAJ	VYBER	14100	40631	\N	\N	\N
1158887	3968	1997-02-24	VYDAJ	VYBER	13000	43453	\N	\N	\N
1158888	3968	1997-03-26	VYDAJ	VYBER	15800	45332	\N	\N	\N
1158889	3968	1997-04-25	VYDAJ	VYBER	14400	48629	\N	\N	\N
1158890	3968	1997-05-25	VYDAJ	VYBER	15100	46133	\N	\N	\N
1158891	3968	1997-06-24	VYDAJ	VYBER	19900	49331	\N	\N	\N
1158892	3968	1997-07-24	VYDAJ	VYBER	9400	48484	\N	\N	\N
1158893	3968	1997-08-23	VYDAJ	VYBER	16900	49325	\N	\N	\N
1158894	3968	1997-09-22	VYDAJ	VYBER	15400	51641	\N	\N	\N
1158895	3968	1997-10-22	VYDAJ	VYBER	10500	58863	\N	\N	\N
1158896	3968	1997-11-21	VYDAJ	VYBER	13600	63002	\N	\N	\N
1158897	3968	1997-12-21	VYDAJ	VYBER	18000	71530	\N	\N	\N
1158898	3968	1998-01-20	VYDAJ	VYBER	11300	66716	\N	\N	\N
1158899	3968	1998-02-19	VYDAJ	VYBER	12600	71930	\N	\N	\N
1158900	3968	1998-03-21	VYDAJ	VYBER	12000	75229	\N	\N	\N
1158901	3968	1998-04-20	VYDAJ	VYBER	11700	77469	\N	\N	\N
1158902	3968	1998-05-20	VYDAJ	VYBER	14300	81005	\N	\N	\N
1158903	3968	1998-06-10	VYDAJ	VYBER	26600	81011	\N	\N	\N
1158904	3968	1998-06-19	VYDAJ	VYBER	900	65611	\N	\N	\N
1158905	3968	1998-07-19	VYDAJ	VYBER	5100	76433	\N	\N	\N
1158906	3968	1998-08-18	VYDAJ	VYBER	12500	81733	\N	\N	\N
1158907	3968	1998-09-17	VYDAJ	VYBER	14600	84974	\N	\N	\N
1158908	3968	1998-10-17	VYDAJ	VYBER	18100	84734	\N	\N	\N
1158909	3968	1998-11-16	VYDAJ	VYBER	17200	85400	\N	\N	\N
1158946	3969	1993-06-20	PRIJEM	VKLAD	600	600	\N	\N	\N
1158953	3969	1993-07-12	PRIJEM	VKLAD	17516	18116	\N	\N	\N
1158954	3969	1993-08-12	PRIJEM	VKLAD	17516	40870	\N	\N	\N
1158955	3969	1993-09-12	PRIJEM	VKLAD	17516	49097	\N	\N	\N
1158956	3969	1993-10-12	PRIJEM	VKLAD	17516	52550	\N	\N	\N
1158957	3969	1993-11-12	PRIJEM	VKLAD	17516	55016	\N	\N	\N
1158958	3969	1993-12-12	PRIJEM	VKLAD	26274	59239	\N	\N	\N
1158959	3969	1994-01-12	PRIJEM	VKLAD	17516	53402	\N	\N	\N
1158960	3969	1994-02-12	PRIJEM	VKLAD	17516	47530	\N	\N	\N
1158961	3969	1994-03-12	PRIJEM	VKLAD	17516	50487	\N	\N	\N
1158962	3969	1994-04-12	PRIJEM	VKLAD	17516	48733	\N	\N	\N
1158963	3969	1994-05-12	PRIJEM	VKLAD	17516	47169	\N	\N	\N
1158964	3969	1994-06-12	PRIJEM	VKLAD	26274	52742	\N	\N	\N
1158965	3969	1994-07-12	PRIJEM	VKLAD	17516	54713	\N	\N	\N
1158966	3969	1994-08-12	PRIJEM	VKLAD	17516	51385	\N	\N	\N
1158967	3969	1994-09-12	PRIJEM	VKLAD	17516	53856	\N	\N	\N
1158968	3969	1994-10-12	PRIJEM	VKLAD	17516	47426	\N	\N	\N
1158969	3969	1994-11-12	PRIJEM	VKLAD	17516	50683	\N	\N	\N
1158970	3969	1994-12-12	PRIJEM	VKLAD	26274	59900	\N	\N	\N
1158971	3969	1995-01-12	PRIJEM	VKLAD	17516	50300	\N	\N	\N
1158972	3969	1995-02-12	PRIJEM	VKLAD	17516	47089	\N	\N	\N
1158973	3969	1995-03-12	PRIJEM	VKLAD	17516	60475	\N	\N	\N
1158974	3969	1995-04-12	PRIJEM	VKLAD	17516	49568	\N	\N	\N
1158975	3969	1995-05-12	PRIJEM	VKLAD	17516	54269	\N	\N	\N
1158976	3969	1995-06-12	PRIJEM	VKLAD	26274	43981	\N	\N	\N
1158977	3969	1995-07-12	PRIJEM	VKLAD	17516	49565	\N	\N	\N
1158978	3969	1995-08-12	PRIJEM	VKLAD	17516	49723	\N	\N	\N
1158979	3969	1995-09-12	PRIJEM	VKLAD	17516	48626	\N	\N	\N
1158980	3969	1995-10-12	PRIJEM	VKLAD	17516	44808	\N	\N	\N
1158981	3969	1995-11-12	PRIJEM	VKLAD	17516	44494	\N	\N	\N
1158982	3969	1995-12-12	PRIJEM	VKLAD	26274	55337	\N	\N	\N
1158983	3969	1996-01-12	PRIJEM	VKLAD	17516	31701	\N	\N	\N
1158984	3969	1996-02-12	PRIJEM	VKLAD	17516	37961	\N	\N	\N
1158985	3969	1996-03-12	PRIJEM	VKLAD	17516	39607	\N	\N	\N
1158986	3969	1996-04-12	PRIJEM	VKLAD	17516	39669	\N	\N	\N
1158987	3969	1996-05-12	PRIJEM	VKLAD	17516	41511	\N	\N	\N
1158988	3969	1996-06-12	PRIJEM	VKLAD	26274	55036	\N	\N	\N
1158989	3969	1996-07-12	PRIJEM	VKLAD	17516	47971	\N	\N	\N
1158990	3969	1996-08-12	PRIJEM	VKLAD	17516	48064	\N	\N	\N
1158991	3969	1996-09-12	PRIJEM	VKLAD	17516	44762	\N	\N	\N
1158992	3969	1996-10-12	PRIJEM	VKLAD	17516	45814	\N	\N	\N
1158993	3969	1996-11-12	PRIJEM	VKLAD	17516	46100	\N	\N	\N
1158994	3969	1996-12-12	PRIJEM	VKLAD	26274	54247	\N	\N	\N
1158995	3969	1997-01-12	PRIJEM	VKLAD	17516	50714	\N	\N	\N
1158996	3969	1997-02-12	PRIJEM	VKLAD	17516	39538	\N	\N	\N
1158997	3969	1997-03-12	PRIJEM	VKLAD	17516	41881	\N	\N	\N
1158998	3969	1997-04-12	PRIJEM	VKLAD	17516	43050	\N	\N	\N
1158999	3969	1997-05-12	PRIJEM	VKLAD	17516	35987	\N	\N	\N
1159000	3969	1997-06-12	PRIJEM	VKLAD	26274	42019	\N	\N	\N
1159001	3969	1997-07-12	PRIJEM	VKLAD	17516	39061	\N	\N	\N
1159002	3969	1997-08-12	PRIJEM	VKLAD	17516	34597	\N	\N	\N
1159003	3969	1997-09-12	PRIJEM	VKLAD	17516	33813	\N	\N	\N
1159004	3969	1997-10-12	PRIJEM	VKLAD	17516	35926	\N	\N	\N
1159005	3969	1997-11-12	PRIJEM	VKLAD	17516	38748	\N	\N	\N
1159006	3969	1997-12-12	PRIJEM	VKLAD	26274	51940	\N	\N	\N
1159007	3969	1998-01-12	PRIJEM	VKLAD	17516	42585	\N	\N	\N
1159008	3969	1998-02-12	PRIJEM	VKLAD	17516	31462	\N	\N	\N
1159009	3969	1998-03-12	PRIJEM	VKLAD	17516	44770	\N	\N	\N
1159010	3969	1998-04-12	PRIJEM	VKLAD	17516	39420	\N	\N	\N
1159011	3969	1998-05-12	PRIJEM	VKLAD	17516	31844	\N	\N	\N
1159012	3969	1998-06-12	PRIJEM	VKLAD	26274	53913	\N	\N	\N
1159013	3969	1998-07-12	PRIJEM	VKLAD	17516	36072	\N	\N	\N
1159014	3969	1998-08-12	PRIJEM	VKLAD	17516	31381	\N	\N	\N
1159015	3969	1998-09-12	PRIJEM	VKLAD	17516	44689	\N	\N	\N
1159016	3969	1998-10-12	PRIJEM	VKLAD	17516	30919	\N	\N	\N
1159017	3969	1998-11-12	PRIJEM	VKLAD	17516	44225	\N	\N	\N
1159018	3969	1998-12-12	PRIJEM	VKLAD	26274	64304	\N	\N	\N
1159030	3969	1993-12-11	VYDAJ	PREVOD NA UCET	4299	32965	SIPO	QR	24362379
1159031	3969	1994-01-11	VYDAJ	PREVOD NA UCET	4299	35886	SIPO	QR	24362379
1159032	3969	1994-02-11	VYDAJ	PREVOD NA UCET	4299	30014	SIPO	QR	24362379
1159033	3969	1994-03-11	VYDAJ	PREVOD NA UCET	4299	32971	SIPO	QR	24362379
1159034	3969	1994-04-11	VYDAJ	PREVOD NA UCET	4299	31217	SIPO	QR	24362379
1159035	3969	1994-05-11	VYDAJ	PREVOD NA UCET	4299	29653	SIPO	QR	24362379
1159036	3969	1994-06-11	VYDAJ	PREVOD NA UCET	4299	26468	SIPO	QR	24362379
1159037	3969	1994-07-11	VYDAJ	PREVOD NA UCET	4299	37197	SIPO	QR	24362379
1159038	3969	1994-08-11	VYDAJ	PREVOD NA UCET	4299	33869	SIPO	QR	24362379
1159039	3969	1994-09-11	VYDAJ	PREVOD NA UCET	4299	36340	SIPO	QR	24362379
1159040	3969	1994-10-11	VYDAJ	PREVOD NA UCET	4299	29910	SIPO	QR	24362379
1159041	3969	1994-11-11	VYDAJ	PREVOD NA UCET	4299	33167	SIPO	QR	24362379
1159042	3969	1994-12-11	VYDAJ	PREVOD NA UCET	4299	33626	SIPO	QR	24362379
1159043	3969	1995-01-11	VYDAJ	PREVOD NA UCET	4299	35384	SIPO	QR	24362379
1159044	3969	1995-02-11	VYDAJ	PREVOD NA UCET	4299	29573	SIPO	QR	24362379
1159045	3969	1995-03-11	VYDAJ	PREVOD NA UCET	4299	42959	SIPO	QR	24362379
1159046	3969	1995-04-11	VYDAJ	PREVOD NA UCET	4299	40752	SIPO	QR	24362379
1159047	3969	1995-05-11	VYDAJ	PREVOD NA UCET	4299	45453	SIPO	QR	24362379
1159048	3969	1995-06-11	VYDAJ	PREVOD NA UCET	4299	17707	SIPO	QR	24362379
1159049	3969	1995-07-11	VYDAJ	PREVOD NA UCET	4299	32049	SIPO	QR	24362379
1159050	3969	1995-08-11	VYDAJ	PREVOD NA UCET	4299	32207	SIPO	QR	24362379
1159051	3969	1995-09-11	VYDAJ	PREVOD NA UCET	4299	31110	SIPO	QR	24362379
1159052	3969	1995-10-11	VYDAJ	PREVOD NA UCET	4299	27292	SIPO	QR	24362379
1159053	3969	1995-11-11	VYDAJ	PREVOD NA UCET	4299	26978	SIPO	QR	24362379
1159054	3969	1995-12-11	VYDAJ	PREVOD NA UCET	4299	29063	SIPO	QR	24362379
1159055	3969	1996-01-11	VYDAJ	PREVOD NA UCET	4299	14185	SIPO	QR	24362379
1159056	3969	1996-02-11	VYDAJ	PREVOD NA UCET	4299	20445	SIPO	QR	24362379
1159057	3969	1996-03-11	VYDAJ	PREVOD NA UCET	4299	22091	SIPO	QR	24362379
1159058	3969	1996-04-11	VYDAJ	PREVOD NA UCET	4299	22153	SIPO	QR	24362379
1159059	3969	1996-05-11	VYDAJ	PREVOD NA UCET	4299	23995	SIPO	QR	24362379
1159060	3969	1996-06-11	VYDAJ	PREVOD NA UCET	4299	28762	SIPO	QR	24362379
1159061	3969	1996-07-11	VYDAJ	PREVOD NA UCET	4299	30455	SIPO	QR	24362379
1159062	3969	1996-08-11	VYDAJ	PREVOD NA UCET	4299	30548	SIPO	QR	24362379
1159063	3969	1996-09-11	VYDAJ	PREVOD NA UCET	4299	27246	SIPO	QR	24362379
1159064	3969	1996-10-11	VYDAJ	PREVOD NA UCET	4299	28298	SIPO	QR	24362379
1159065	3969	1996-11-11	VYDAJ	PREVOD NA UCET	4299	28584	SIPO	QR	24362379
1159066	3969	1996-12-11	VYDAJ	PREVOD NA UCET	4299	27973	SIPO	QR	24362379
1159067	3969	1997-01-11	VYDAJ	PREVOD NA UCET	4299	33198	SIPO	QR	24362379
1159068	3969	1997-02-11	VYDAJ	PREVOD NA UCET	4299	22022	SIPO	QR	24362379
1159069	3969	1997-03-11	VYDAJ	PREVOD NA UCET	4299	24365	SIPO	QR	24362379
1159070	3969	1997-04-11	VYDAJ	PREVOD NA UCET	4299	25534	SIPO	QR	24362379
1159071	3969	1997-05-11	VYDAJ	PREVOD NA UCET	4299	18471	SIPO	QR	24362379
1159072	3969	1997-06-11	VYDAJ	PREVOD NA UCET	4299	15745	SIPO	QR	24362379
1159073	3969	1997-07-11	VYDAJ	PREVOD NA UCET	4299	21545	SIPO	QR	24362379
1159185	3969	1996-11-30	VYDAJ	VYBER	15	46272	SLUZBY	\N	\N
1159074	3969	1997-08-11	VYDAJ	PREVOD NA UCET	4299	17081	SIPO	QR	24362379
1159075	3969	1997-09-11	VYDAJ	PREVOD NA UCET	4299	16297	SIPO	QR	24362379
1159076	3969	1997-10-11	VYDAJ	PREVOD NA UCET	4299	18410	SIPO	QR	24362379
1159077	3969	1997-11-11	VYDAJ	PREVOD NA UCET	4299	21232	SIPO	QR	24362379
1159078	3969	1997-12-11	VYDAJ	PREVOD NA UCET	4299	25666	SIPO	QR	24362379
1159079	3969	1998-01-11	VYDAJ	PREVOD NA UCET	4299	25069	SIPO	QR	24362379
1159080	3969	1998-02-11	VYDAJ	PREVOD NA UCET	4299	13946	SIPO	QR	24362379
1159081	3969	1998-03-11	VYDAJ	PREVOD NA UCET	4299	27254	SIPO	QR	24362379
1159082	3969	1998-04-11	VYDAJ	PREVOD NA UCET	4299	21904	SIPO	QR	24362379
1159083	3969	1998-05-11	VYDAJ	PREVOD NA UCET	4299	14328	SIPO	QR	24362379
1159084	3969	1998-06-11	VYDAJ	PREVOD NA UCET	4299	27639	SIPO	QR	24362379
1159085	3969	1998-07-11	VYDAJ	PREVOD NA UCET	4299	18556	SIPO	QR	24362379
1159086	3969	1998-08-11	VYDAJ	PREVOD NA UCET	4299	13865	SIPO	QR	24362379
1159087	3969	1998-09-11	VYDAJ	PREVOD NA UCET	4299	27173	SIPO	QR	24362379
1159088	3969	1998-10-11	VYDAJ	PREVOD NA UCET	4299	13403	SIPO	QR	24362379
1159089	3969	1998-11-11	VYDAJ	PREVOD NA UCET	4299	26709	SIPO	QR	24362379
1159090	3969	1998-12-11	VYDAJ	PREVOD NA UCET	4299	38030	SIPO	QR	24362379
1159093	3969	1995-06-05	VYDAJ	VYBER	26080	22506	\N	\N	\N
1159094	3969	1996-06-22	VYDAJ	VYBER	8640	46396	\N	\N	\N
1159098	3969	1994-01-24	VYDAJ	VYBER	2080	34162	\N	\N	\N
1159099	3969	1995-01-27	VYDAJ	VYBER	9600	40700	\N	\N	\N
1159100	3969	1996-01-08	VYDAJ	VYBER	14080	18484	\N	\N	\N
1159101	3969	1997-01-29	VYDAJ	VYBER	9760	40954	\N	\N	\N
1159102	3969	1998-01-13	VYDAJ	VYBER	10240	32345	\N	\N	\N
1159103	3969	1993-12-07	VYDAJ	VYBER	1600	37264	\N	\N	\N
1159104	3969	1994-12-25	VYDAJ	VYBER	2400	39500	\N	\N	\N
1159105	3969	1995-12-24	VYDAJ	VYBER	2560	47377	\N	\N	\N
1159106	3969	1996-12-13	VYDAJ	VYBER	1440	52807	\N	\N	\N
1159107	3969	1997-12-28	VYDAJ	VYBER	4320	29220	\N	\N	\N
1159108	3969	1998-12-22	VYDAJ	VYBER	4000	22704	\N	\N	\N
1159111	3969	1993-12-23	VYDAJ	VYBER	3720	40019	\N	\N	\N
1159112	3969	1993-12-01	VYDAJ	VYBER	1800	38864	\N	\N	\N
1159113	3969	1994-06-10	VYDAJ	VYBER	5640	30767	\N	\N	\N
1159114	3969	1994-01-23	VYDAJ	VYBER	2160	36242	\N	\N	\N
1159115	3969	1994-04-21	VYDAJ	VYBER	2520	33813	\N	\N	\N
1159116	3969	1994-10-06	VYDAJ	VYBER	2280	34209	\N	\N	\N
1159117	3969	1994-09-23	VYDAJ	VYBER	5520	36336	\N	\N	\N
1159118	3969	1994-03-22	VYDAJ	VYBER	4320	35367	\N	\N	\N
1159119	3969	1995-07-31	VYDAJ	VYBER	2640	47121	\N	\N	\N
1159120	3969	1995-09-28	VYDAJ	VYBER	3720	44906	\N	\N	\N
1159121	3969	1995-05-28	VYDAJ	VYBER	2760	48389	\N	\N	\N
1159122	3969	1995-12-22	VYDAJ	VYBER	5400	49937	\N	\N	\N
1159123	3969	1995-05-22	VYDAJ	VYBER	3120	51149	\N	\N	\N
1159124	3969	1996-01-26	VYDAJ	VYBER	1080	30621	\N	\N	\N
1159125	3969	1996-09-27	VYDAJ	VYBER	1920	42842	\N	\N	\N
1159126	3969	1996-06-22	VYDAJ	VYBER	1800	44596	\N	\N	\N
1159127	3969	1996-09-04	VYDAJ	VYBER	4800	31545	\N	\N	\N
1159128	3969	1996-04-23	VYDAJ	VYBER	1920	37749	\N	\N	\N
1159129	3969	1996-06-22	VYDAJ	VYBER	720	43876	\N	\N	\N
1159131	3969	1997-05-06	VYDAJ	VYBER	3240	22770	\N	\N	\N
1159132	3969	1997-06-05	VYDAJ	VYBER	4680	20044	\N	\N	\N
1159137	3969	1998-11-29	VYDAJ	VYBER	2040	42185	\N	\N	\N
1159149	3969	1993-11-30	VYDAJ	VYBER	15	40664	SLUZBY	\N	\N
1159150	3969	1993-12-31	VYDAJ	VYBER	15	40185	SLUZBY	\N	\N
1159151	3969	1994-01-31	VYDAJ	VYBER	15	34313	SLUZBY	\N	\N
1159152	3969	1994-02-28	VYDAJ	VYBER	15	37270	SLUZBY	\N	\N
1159153	3969	1994-03-31	VYDAJ	VYBER	15	35516	SLUZBY	\N	\N
1159154	3969	1994-04-30	VYDAJ	VYBER	15	33952	SLUZBY	\N	\N
1159155	3969	1994-05-31	VYDAJ	VYBER	15	36407	SLUZBY	\N	\N
1159156	3969	1994-06-30	VYDAJ	VYBER	15	41496	SLUZBY	\N	\N
1159157	3969	1994-07-31	VYDAJ	VYBER	15	38168	SLUZBY	\N	\N
1159158	3969	1994-08-31	VYDAJ	VYBER	15	40639	SLUZBY	\N	\N
1159159	3969	1994-09-30	VYDAJ	VYBER	15	36489	SLUZBY	\N	\N
1159160	3969	1994-10-31	VYDAJ	VYBER	15	37466	SLUZBY	\N	\N
1159161	3969	1994-11-30	VYDAJ	VYBER	15	37925	SLUZBY	\N	\N
1159162	3969	1994-12-31	VYDAJ	VYBER	15	39683	SLUZBY	\N	\N
1159163	3969	1995-01-31	VYDAJ	VYBER	15	40872	SLUZBY	\N	\N
1159164	3969	1995-02-28	VYDAJ	VYBER	15	47258	SLUZBY	\N	\N
1159165	3969	1995-03-31	VYDAJ	VYBER	15	45051	SLUZBY	\N	\N
1159166	3969	1995-04-30	VYDAJ	VYBER	15	49752	SLUZBY	\N	\N
1159167	3969	1995-05-31	VYDAJ	VYBER	15	48586	SLUZBY	\N	\N
1159168	3969	1995-06-30	VYDAJ	VYBER	15	44148	SLUZBY	\N	\N
1159169	3969	1995-07-31	VYDAJ	VYBER	15	47106	SLUZBY	\N	\N
1159170	3969	1995-08-31	VYDAJ	VYBER	15	49909	SLUZBY	\N	\N
1159171	3969	1995-09-30	VYDAJ	VYBER	15	45091	SLUZBY	\N	\N
1159172	3969	1995-10-31	VYDAJ	VYBER	15	44977	SLUZBY	\N	\N
1159173	3969	1995-11-30	VYDAJ	VYBER	15	44662	SLUZBY	\N	\N
1159174	3969	1995-12-31	VYDAJ	VYBER	15	47564	SLUZBY	\N	\N
1159175	3969	1996-01-31	VYDAJ	VYBER	15	30744	SLUZBY	\N	\N
1159176	3969	1996-02-29	VYDAJ	VYBER	15	38090	SLUZBY	\N	\N
1159177	3969	1996-03-31	VYDAJ	VYBER	15	39752	SLUZBY	\N	\N
1159178	3969	1996-04-30	VYDAJ	VYBER	15	37894	SLUZBY	\N	\N
1159179	3969	1996-05-31	VYDAJ	VYBER	15	41661	SLUZBY	\N	\N
1159180	3969	1996-06-30	VYDAJ	VYBER	15	44054	SLUZBY	\N	\N
1159181	3969	1996-07-31	VYDAJ	VYBER	15	48147	SLUZBY	\N	\N
1159182	3969	1996-08-31	VYDAJ	VYBER	15	48245	SLUZBY	\N	\N
1159183	3969	1996-09-30	VYDAJ	VYBER	15	42997	SLUZBY	\N	\N
1159184	3969	1996-10-31	VYDAJ	VYBER	15	45983	SLUZBY	\N	\N
1159186	3969	1996-12-31	VYDAJ	VYBER	15	37497	SLUZBY	\N	\N
1159187	3969	1997-01-31	VYDAJ	VYBER	15	26321	SLUZBY	\N	\N
1159188	3969	1997-02-28	VYDAJ	VYBER	15	39664	SLUZBY	\N	\N
1159189	3969	1997-03-31	VYDAJ	VYBER	15	42033	SLUZBY	\N	\N
1159190	3969	1997-04-30	VYDAJ	VYBER	15	43210	SLUZBY	\N	\N
1159191	3969	1997-05-31	VYDAJ	VYBER	15	24724	SLUZBY	\N	\N
1159192	3969	1997-06-30	VYDAJ	VYBER	15	25844	SLUZBY	\N	\N
1159193	3969	1997-07-31	VYDAJ	VYBER	15	21380	SLUZBY	\N	\N
1159194	3969	1997-08-31	VYDAJ	VYBER	15	20596	SLUZBY	\N	\N
1159195	3969	1997-09-30	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
1159196	3969	1997-10-31	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
1159197	3969	1997-11-30	VYDAJ	VYBER	15	29965	SLUZBY	\N	\N
1159198	3969	1997-12-31	VYDAJ	VYBER	15	29368	SLUZBY	\N	\N
1159199	3969	1998-01-31	VYDAJ	VYBER	15	18245	SLUZBY	\N	\N
1159200	3969	1998-02-28	VYDAJ	VYBER	15	31553	SLUZBY	\N	\N
1159201	3969	1998-03-31	VYDAJ	VYBER	15	26203	SLUZBY	\N	\N
1159202	3969	1998-04-30	VYDAJ	VYBER	15	18627	SLUZBY	\N	\N
1159203	3969	1998-05-31	VYDAJ	VYBER	15	31938	SLUZBY	\N	\N
1159204	3969	1998-06-30	VYDAJ	VYBER	15	22855	SLUZBY	\N	\N
1159205	3969	1998-07-31	VYDAJ	VYBER	15	18164	SLUZBY	\N	\N
1159206	3969	1998-08-31	VYDAJ	VYBER	15	31472	SLUZBY	\N	\N
1159207	3969	1998-09-30	VYDAJ	VYBER	15	17702	SLUZBY	\N	\N
1159208	3969	1998-10-31	VYDAJ	VYBER	15	31008	SLUZBY	\N	\N
1159209	3969	1998-11-30	VYDAJ	VYBER	15	42329	SLUZBY	\N	\N
1159210	3969	1993-07-20	PRIJEM	VKLAD	5200	23316	\N	\N	\N
1159211	3969	1993-08-19	VYDAJ	VYBER	9400	31470	\N	\N	\N
1159212	3969	1993-09-18	VYDAJ	VYBER	14200	34897	\N	\N	\N
1159213	3969	1993-10-18	VYDAJ	VYBER	15200	37350	\N	\N	\N
1159214	3969	1993-11-17	VYDAJ	VYBER	14500	40516	\N	\N	\N
1159215	3969	1993-12-17	VYDAJ	VYBER	15500	43739	\N	\N	\N
1159216	3969	1994-01-16	VYDAJ	VYBER	15000	38402	\N	\N	\N
1159217	3969	1994-02-15	VYDAJ	VYBER	10400	37130	\N	\N	\N
1159218	3969	1994-03-17	VYDAJ	VYBER	10800	39687	\N	\N	\N
1159219	3969	1994-04-16	VYDAJ	VYBER	12400	36333	\N	\N	\N
1159220	3969	1994-05-16	VYDAJ	VYBER	10900	36269	\N	\N	\N
1159221	3969	1994-06-15	VYDAJ	VYBER	11400	41342	\N	\N	\N
1159222	3969	1994-07-15	VYDAJ	VYBER	16700	38013	\N	\N	\N
1159223	3969	1994-08-14	VYDAJ	VYBER	10900	40485	\N	\N	\N
1159224	3969	1994-09-13	VYDAJ	VYBER	12000	41856	\N	\N	\N
1159225	3969	1994-10-13	VYDAJ	VYBER	10100	37326	\N	\N	\N
1159226	3969	1994-11-12	VYDAJ	VYBER	12900	37783	\N	\N	\N
1159227	3969	1994-12-12	VYDAJ	VYBER	18000	41900	\N	\N	\N
1159228	3969	1995-01-11	VYDAJ	VYBER	2600	32784	\N	\N	\N
1159229	3969	1995-02-10	VYDAJ	VYBER	7000	33872	\N	\N	\N
1159230	3969	1995-03-12	VYDAJ	VYBER	15600	44875	\N	\N	\N
1159231	3969	1995-04-11	VYDAJ	VYBER	8700	32052	\N	\N	\N
1159232	3969	1995-05-11	VYDAJ	VYBER	8700	36753	\N	\N	\N
1159233	3969	1995-06-10	VYDAJ	VYBER	500	22006	\N	\N	\N
1159234	3969	1995-07-10	VYDAJ	VYBER	7800	36348	\N	\N	\N
1159235	3969	1995-08-09	VYDAJ	VYBER	10600	36506	\N	\N	\N
1159236	3969	1995-09-08	VYDAJ	VYBER	14500	35409	\N	\N	\N
1159237	3969	1995-10-08	VYDAJ	VYBER	13500	31591	\N	\N	\N
1159238	3969	1995-11-07	VYDAJ	VYBER	13700	31277	\N	\N	\N
1159239	3969	1995-12-07	VYDAJ	VYBER	11300	33362	\N	\N	\N
1159240	3969	1996-01-06	VYDAJ	VYBER	15000	32564	\N	\N	\N
1159241	3969	1996-02-05	VYDAJ	VYBER	6000	24744	\N	\N	\N
1159242	3969	1996-03-06	VYDAJ	VYBER	11700	26390	\N	\N	\N
1159243	3969	1996-04-05	VYDAJ	VYBER	13300	26452	\N	\N	\N
1159244	3969	1996-05-05	VYDAJ	VYBER	9600	28294	\N	\N	\N
1159245	3969	1996-06-04	VYDAJ	VYBER	8600	33061	\N	\N	\N
1159246	3969	1996-07-04	VYDAJ	VYBER	9300	34754	\N	\N	\N
1159247	3969	1996-08-03	VYDAJ	VYBER	13300	34847	\N	\N	\N
1159248	3969	1996-09-02	VYDAJ	VYBER	11900	36345	\N	\N	\N
1159249	3969	1996-10-02	VYDAJ	VYBER	10400	32597	\N	\N	\N
1159250	3969	1996-11-01	VYDAJ	VYBER	13100	32883	\N	\N	\N
1159251	3969	1996-12-01	VYDAJ	VYBER	14000	32272	\N	\N	\N
1159252	3969	1996-12-31	VYDAJ	VYBER	15500	37511	\N	\N	\N
1159253	3969	1997-01-30	VYDAJ	VYBER	14800	26154	\N	\N	\N
1159254	3969	1997-03-01	VYDAJ	VYBER	11000	28664	\N	\N	\N
1159255	3969	1997-03-31	VYDAJ	VYBER	12200	29833	\N	\N	\N
1159256	3969	1997-04-30	VYDAJ	VYBER	17200	26010	\N	\N	\N
1159257	3969	1997-05-30	VYDAJ	VYBER	11400	24587	\N	\N	\N
1159258	3969	1997-06-29	VYDAJ	VYBER	16300	25719	\N	\N	\N
1159259	3969	1997-07-29	VYDAJ	VYBER	17800	21261	\N	\N	\N
1159260	3969	1997-08-28	VYDAJ	VYBER	14100	20497	\N	\N	\N
1159261	3969	1997-09-27	VYDAJ	VYBER	11200	22613	\N	\N	\N
1159262	3969	1997-10-27	VYDAJ	VYBER	10500	25426	\N	\N	\N
1159263	3969	1997-11-26	VYDAJ	VYBER	8900	29848	\N	\N	\N
1159264	3969	1997-12-26	VYDAJ	VYBER	18400	33540	\N	\N	\N
1159265	3969	1998-01-25	VYDAJ	VYBER	14200	18145	\N	\N	\N
1159266	3969	1998-03-26	VYDAJ	VYBER	18700	26070	\N	\N	\N
1159267	3969	1998-04-25	VYDAJ	VYBER	20900	18520	\N	\N	\N
1159268	3969	1998-06-24	VYDAJ	VYBER	31200	22713	\N	\N	\N
1159269	3969	1998-07-24	VYDAJ	VYBER	18000	18072	\N	\N	\N
1159270	3969	1998-09-22	VYDAJ	VYBER	27100	17589	\N	\N	\N
1159271	3969	1998-12-21	VYDAJ	VYBER	37600	26704	\N	\N	\N
1159338	3970	1995-11-28	PRIJEM	VKLAD	200	200	\N	\N	\N
1159350	3970	1995-12-11	PRIJEM	PREVOD Z UCTU	57232	57432	\N	MN	16941190
1159351	3970	1996-01-11	PRIJEM	PREVOD Z UCTU	38155	82711	\N	MN	16941190
1159352	3970	1996-02-11	PRIJEM	PREVOD Z UCTU	38155	94559	\N	MN	16941190
1159353	3970	1996-03-11	PRIJEM	PREVOD Z UCTU	38155	96750	\N	MN	16941190
1159354	3970	1996-04-11	PRIJEM	PREVOD Z UCTU	38155	100150	\N	MN	16941190
1159355	3970	1996-05-11	PRIJEM	PREVOD Z UCTU	38155	95094	\N	MN	16941190
1159356	3970	1996-06-11	PRIJEM	PREVOD Z UCTU	57232	67456	\N	MN	16941190
1159357	3970	1996-07-11	PRIJEM	PREVOD Z UCTU	38155	76136	\N	MN	16941190
1159358	3970	1996-08-11	PRIJEM	PREVOD Z UCTU	38155	57499	\N	MN	16941190
1159359	3970	1996-09-11	PRIJEM	PREVOD Z UCTU	38155	50056	\N	MN	16941190
1159360	3970	1996-10-11	PRIJEM	PREVOD Z UCTU	38155	52362	\N	MN	16941190
1159361	3970	1996-11-11	PRIJEM	PREVOD Z UCTU	38155	63783	\N	MN	16941190
1159362	3970	1996-12-11	PRIJEM	PREVOD Z UCTU	57232	87145	\N	MN	16941190
1159363	3970	1997-01-11	PRIJEM	PREVOD Z UCTU	38155	87886	\N	MN	16941190
1159364	3970	1997-02-11	PRIJEM	PREVOD Z UCTU	38155	58049	\N	MN	16941190
1159365	3970	1997-03-11	PRIJEM	PREVOD Z UCTU	38155	74413	\N	MN	16941190
1159366	3970	1997-04-11	PRIJEM	PREVOD Z UCTU	38155	64820	\N	MN	16941190
1159367	3970	1997-05-11	PRIJEM	PREVOD Z UCTU	38155	78018	\N	MN	16941190
1159368	3970	1997-06-11	PRIJEM	PREVOD Z UCTU	57232	83148	\N	MN	16941190
1159369	3970	1997-07-11	PRIJEM	PREVOD Z UCTU	38155	77004	\N	MN	16941190
1159370	3970	1997-08-11	PRIJEM	PREVOD Z UCTU	38155	88538	\N	MN	16941190
1159371	3970	1997-09-11	PRIJEM	PREVOD Z UCTU	38155	91004	\N	MN	16941190
1159372	3970	1997-10-11	PRIJEM	PREVOD Z UCTU	38155	85473	\N	MN	16941190
1159373	3970	1997-11-11	PRIJEM	PREVOD Z UCTU	38155	91136	\N	MN	16941190
1159374	3970	1997-12-11	PRIJEM	PREVOD Z UCTU	57232	97089	\N	MN	16941190
1159375	3970	1998-01-11	PRIJEM	PREVOD Z UCTU	38155	88531	\N	MN	16941190
1159376	3970	1998-02-11	PRIJEM	PREVOD Z UCTU	38155	53898	\N	MN	16941190
1159377	3970	1998-03-11	PRIJEM	PREVOD Z UCTU	38155	73340	\N	MN	16941190
1159378	3970	1998-04-11	PRIJEM	PREVOD Z UCTU	38155	78402	\N	MN	16941190
1159379	3970	1998-05-11	PRIJEM	PREVOD Z UCTU	38155	68918	\N	MN	16941190
1159380	3970	1998-06-11	PRIJEM	PREVOD Z UCTU	57232	87251	\N	MN	16941190
1159381	3970	1998-07-11	PRIJEM	PREVOD Z UCTU	38155	84072	\N	MN	16941190
1159382	3970	1998-08-11	PRIJEM	PREVOD Z UCTU	38155	79125	\N	MN	16941190
1159383	3970	1998-09-11	PRIJEM	PREVOD Z UCTU	38155	69562	\N	MN	16941190
1159384	3970	1998-10-11	PRIJEM	PREVOD Z UCTU	38155	53364	\N	MN	16941190
1159385	3970	1998-11-11	PRIJEM	PREVOD Z UCTU	38155	67173	\N	MN	16941190
1159386	3970	1998-12-11	PRIJEM	PREVOD Z UCTU	57232	102736	\N	MN	16941190
1159403	3970	1996-05-06	VYDAJ	PREVOD NA UCET	8957	56939	SIPO	ST	15046972
1159404	3970	1996-06-06	VYDAJ	PREVOD NA UCET	8957	10224	SIPO	ST	15046972
1159405	3970	1996-07-06	VYDAJ	PREVOD NA UCET	8957	37981	SIPO	ST	15046972
1159406	3970	1996-08-06	VYDAJ	PREVOD NA UCET	8957	19344	SIPO	ST	15046972
1159407	3970	1996-09-06	VYDAJ	PREVOD NA UCET	8957	11901	SIPO	ST	15046972
1159408	3970	1996-10-06	VYDAJ	PREVOD NA UCET	8957	14207	SIPO	ST	15046972
1159409	3970	1996-11-06	VYDAJ	PREVOD NA UCET	8957	25628	SIPO	ST	15046972
1159410	3970	1996-12-06	VYDAJ	PREVOD NA UCET	8957	29913	SIPO	ST	15046972
1159411	3970	1997-01-06	VYDAJ	PREVOD NA UCET	8957	49731	SIPO	ST	15046972
1159412	3970	1997-02-06	VYDAJ	PREVOD NA UCET	8957	19894	SIPO	ST	15046972
1159413	3970	1997-03-06	VYDAJ	PREVOD NA UCET	8957	36258	SIPO	ST	15046972
1159414	3970	1997-04-06	VYDAJ	PREVOD NA UCET	8957	36865	SIPO	ST	15046972
1159415	3970	1997-05-06	VYDAJ	PREVOD NA UCET	8957	39863	SIPO	ST	15046972
1159416	3970	1997-06-06	VYDAJ	PREVOD NA UCET	8957	44295	SIPO	ST	15046972
1159417	3970	1997-07-06	VYDAJ	PREVOD NA UCET	8957	38849	SIPO	ST	15046972
1159418	3970	1997-08-06	VYDAJ	PREVOD NA UCET	8957	50383	SIPO	ST	15046972
1159419	3970	1997-09-06	VYDAJ	PREVOD NA UCET	8957	52849	SIPO	ST	15046972
1159420	3970	1997-10-06	VYDAJ	PREVOD NA UCET	8957	47318	SIPO	ST	15046972
1159421	3970	1997-11-06	VYDAJ	PREVOD NA UCET	8957	52981	SIPO	ST	15046972
1159422	3970	1997-12-06	VYDAJ	PREVOD NA UCET	8957	41957	SIPO	ST	15046972
1159423	3970	1998-01-06	VYDAJ	PREVOD NA UCET	8957	50376	SIPO	ST	15046972
1159424	3970	1998-02-06	VYDAJ	PREVOD NA UCET	8957	15743	SIPO	ST	15046972
1159425	3970	1998-03-06	VYDAJ	PREVOD NA UCET	8957	35185	SIPO	ST	15046972
1159426	3970	1998-04-06	VYDAJ	PREVOD NA UCET	8957	40247	SIPO	ST	15046972
1159427	3970	1998-05-06	VYDAJ	PREVOD NA UCET	8957	47768	SIPO	ST	15046972
1159428	3970	1998-06-06	VYDAJ	PREVOD NA UCET	8957	30019	SIPO	ST	15046972
1159429	3970	1998-07-06	VYDAJ	PREVOD NA UCET	8957	45917	SIPO	ST	15046972
1159430	3970	1998-08-06	VYDAJ	PREVOD NA UCET	8957	40970	SIPO	ST	15046972
1159431	3970	1998-09-06	VYDAJ	PREVOD NA UCET	8957	31407	SIPO	ST	15046972
1159432	3970	1998-10-06	VYDAJ	PREVOD NA UCET	8957	15209	SIPO	ST	15046972
1159433	3970	1998-11-06	VYDAJ	PREVOD NA UCET	8957	29018	SIPO	ST	15046972
1159434	3970	1998-12-06	VYDAJ	PREVOD NA UCET	8957	45504	SIPO	ST	15046972
1159445	3970	1996-09-25	VYBER	VYBER	17420	23036	\N	\N	\N
1159446	3970	1996-07-30	VYBER	VYBER	23569	28067	\N	\N	\N
1159447	3970	1996-08-30	VYBER	VYBER	15697	20702	\N	\N	\N
1159448	3970	1996-06-02	VYBER	VYBER	8351	23188	\N	\N	\N
1159449	3970	1996-05-30	VYBER	VYBER	19258	31236	\N	\N	\N
1159451	3970	1996-06-04	VYBER	VYBER	4007	19181	\N	\N	\N
1159453	3970	1996-10-29	VYBER	VYBER	2117	34445	\N	\N	\N
1159454	3970	1997-01-19	VYBER	VYBER	6715	33865	\N	\N	\N
1159455	3970	1997-06-13	VYBER	VYBER	8571	74577	\N	\N	\N
1159456	3970	1997-11-16	VYBER	VYBER	20564	70572	\N	\N	\N
1159457	3970	1997-01-12	VYBER	VYBER	5606	75080	\N	\N	\N
1159458	3970	1997-06-10	VYBER	VYBER	18379	25916	\N	\N	\N
1159459	3970	1998-07-15	VYBER	VYBER	21385	62687	\N	\N	\N
1159460	3970	1998-08-22	VYBER	VYBER	12466	47959	\N	\N	\N
1159461	3970	1998-05-28	VYBER	VYBER	12144	38774	\N	\N	\N
1159462	3970	1998-03-15	VYBER	VYBER	4237	69103	\N	\N	\N
1159463	3970	1998-12-24	VYBER	VYBER	14547	55389	\N	\N	\N
1159465	3970	1998-09-16	VYBER	VYBER	16034	34228	\N	\N	\N
1159466	3970	1998-01-13	VYBER	VYBER	7822	80709	\N	\N	\N
1159467	3970	1998-05-09	VYBER	VYBER	17005	30763	\N	\N	\N
1159468	3970	1998-06-15	VYBER	VYBER	7948	79303	\N	\N	\N
1159470	3970	1998-07-05	VYBER	VYBER	2743	54874	\N	\N	\N
1159471	3970	1998-10-26	VYBER	VYBER	8331	37833	\N	\N	\N
1159478	3970	1997-01-18	VYDAJ	VYBER	18000	40580	\N	\N	\N
1159479	3970	1998-01-21	VYDAJ	VYBER	15000	36509	\N	\N	\N
1159481	3970	1996-12-16	VYDAJ	VYBER KARTOU	3000	84145	\N	\N	0
1159482	3970	1997-12-07	VYDAJ	VYBER KARTOU	2100	39857	\N	\N	0
1159483	3970	1998-12-15	VYDAJ	VYBER KARTOU	2400	69936	\N	\N	0
1159496	3970	1997-01-11	VYDAJ	VYBER	7200	80686	\N	\N	\N
1159497	3970	1997-01-23	VYDAJ	VYBER	6600	28665	\N	\N	\N
1159498	3970	1997-01-16	VYDAJ	VYBER	6300	58580	\N	\N	\N
1159499	3970	1997-01-19	VYDAJ	VYBER KARTOU	2700	31165	\N	\N	0
1159500	3970	1997-01-14	VYDAJ	VYBER	6000	64880	\N	\N	\N
1159501	3970	1997-01-13	VYDAJ	VYBER	4200	70880	\N	\N	\N
1159502	3970	1998-01-04	VYDAJ	VYBER KARTOU	2400	59333	\N	\N	0
1159503	3970	1998-01-23	VYDAJ	VYBER	5100	31409	\N	\N	\N
1159504	3970	1998-01-26	VYDAJ	VYBER	4500	24509	\N	\N	\N
1159505	3970	1998-01-24	VYDAJ	VYBER KARTOU	2400	29009	\N	\N	0
1159506	3970	1998-01-13	VYDAJ	VYBER	6000	74709	\N	\N	\N
1159507	3970	1998-01-14	VYDAJ	VYBER KARTOU	1500	73209	\N	\N	0
1159513	3970	1996-11-29	VYDAJ	VYBER	8100	38683	\N	\N	\N
1159514	3970	1996-08-22	VYDAJ	VYBER	8700	48799	\N	\N	\N
1159515	3970	1996-10-20	VYDAJ	VYBER	10200	42162	\N	\N	\N
1159516	3970	1996-05-23	VYDAJ	VYBER	4800	90294	\N	\N	\N
1159517	3970	1996-05-29	VYDAJ	VYBER	11100	50494	\N	\N	\N
1159518	3970	1997-03-17	VYDAJ	VYBER	12600	61813	\N	\N	\N
1159519	3970	1997-07-05	VYDAJ	VYBER	6300	47806	\N	\N	\N
1159520	3970	1997-02-19	VYDAJ	VYBER KARTOU	1800	56249	\N	\N	0
1159521	3970	1997-06-15	VYDAJ	VYBER	4500	70077	\N	\N	\N
1159522	3970	1997-12-12	VYDAJ	VYBER	7500	89589	\N	\N	\N
1159523	3970	1997-09-30	VYDAJ	VYBER	6300	56275	\N	\N	\N
1159524	3970	1997-04-06	VYDAJ	VYBER	10200	26665	\N	\N	\N
1159527	3970	1998-09-22	VYDAJ	VYBER	10200	24028	\N	\N	\N
1159528	3970	1998-04-13	VYDAJ	VYBER KARTOU	3600	74802	\N	\N	0
1159529	3970	1998-08-25	VYDAJ	VYBER	7800	40159	\N	\N	\N
1159546	3970	1996-04-30	VYDAJ	VYBER	15	65896	SLUZBY	\N	\N
1159547	3970	1996-05-31	VYDAJ	VYBER	15	31539	SLUZBY	\N	\N
1159548	3970	1996-06-30	VYDAJ	VYBER	15	46938	SLUZBY	\N	\N
1159549	3970	1996-07-31	VYDAJ	VYBER	15	28301	SLUZBY	\N	\N
1159550	3970	1996-08-31	VYDAJ	VYBER	15	20858	SLUZBY	\N	\N
1159551	3970	1996-09-30	VYDAJ	VYBER	15	23164	SLUZBY	\N	\N
1159552	3970	1996-10-31	VYDAJ	VYBER	15	34585	SLUZBY	\N	\N
1159553	3970	1996-11-30	VYDAJ	VYBER	15	38870	SLUZBY	\N	\N
1159554	3970	1996-12-31	VYDAJ	VYBER	15	58688	SLUZBY	\N	\N
1159555	3970	1997-01-31	VYDAJ	VYBER	15	28851	SLUZBY	\N	\N
1159556	3970	1997-02-28	VYDAJ	VYBER	15	45215	SLUZBY	\N	\N
1159557	3970	1997-03-31	VYDAJ	VYBER	15	45822	SLUZBY	\N	\N
1159558	3970	1997-04-30	VYDAJ	VYBER	15	48820	SLUZBY	\N	\N
1159559	3970	1997-05-31	VYDAJ	VYBER	15	53252	SLUZBY	\N	\N
1159560	3970	1997-06-30	VYDAJ	VYBER	15	54106	SLUZBY	\N	\N
1159561	3970	1997-07-31	VYDAJ	VYBER	15	59340	SLUZBY	\N	\N
1159562	3970	1997-08-31	VYDAJ	VYBER	15	61806	SLUZBY	\N	\N
1159563	3970	1997-09-30	VYDAJ	VYBER	15	62575	SLUZBY	\N	\N
1159564	3970	1997-10-31	VYDAJ	VYBER	15	61938	SLUZBY	\N	\N
1159565	3970	1997-11-30	VYDAJ	VYBER	15	50914	SLUZBY	\N	\N
1159566	3970	1997-12-31	VYDAJ	VYBER	15	61733	SLUZBY	\N	\N
1159567	3970	1998-01-31	VYDAJ	VYBER	15	24700	SLUZBY	\N	\N
1159568	3970	1998-02-28	VYDAJ	VYBER	15	44142	SLUZBY	\N	\N
1159569	3970	1998-03-31	VYDAJ	VYBER	15	49204	SLUZBY	\N	\N
1159570	3970	1998-04-30	VYDAJ	VYBER	15	56725	SLUZBY	\N	\N
1159571	3970	1998-05-31	VYDAJ	VYBER	15	38976	SLUZBY	\N	\N
1159572	3970	1998-06-30	VYDAJ	VYBER	15	57617	SLUZBY	\N	\N
1159573	3970	1998-07-31	VYDAJ	VYBER	15	49927	SLUZBY	\N	\N
1159574	3970	1998-08-31	VYDAJ	VYBER	15	40364	SLUZBY	\N	\N
1159575	3970	1998-09-30	VYDAJ	VYBER	15	24166	SLUZBY	\N	\N
1159576	3970	1998-10-31	VYDAJ	VYBER	15	37975	SLUZBY	\N	\N
1159577	3970	1998-11-30	VYDAJ	VYBER	15	54461	SLUZBY	\N	\N
1159578	3970	1995-12-28	VYDAJ	VYBER	12900	44532	\N	\N	\N
1159579	3970	1996-01-27	VYDAJ	VYBER	26500	56211	\N	\N	\N
1159580	3970	1996-02-26	VYDAJ	VYBER	36200	58359	\N	\N	\N
1159581	3970	1996-03-27	VYDAJ	VYBER	35000	61750	\N	\N	\N
1159582	3970	1996-04-26	VYDAJ	VYBER	34500	65650	\N	\N	\N
1159583	3970	1996-05-26	VYDAJ	VYBER	28700	61594	\N	\N	\N
1159584	3970	1996-06-25	VYDAJ	VYBER	20700	46756	\N	\N	\N
1159585	3970	1996-07-25	VYDAJ	VYBER	24500	51636	\N	\N	\N
1159586	3970	1996-08-24	VYDAJ	VYBER	12400	36399	\N	\N	\N
1159587	3970	1996-09-23	VYDAJ	VYBER	9600	40456	\N	\N	\N
1159588	3970	1996-10-23	VYDAJ	VYBER	5600	36562	\N	\N	\N
1159589	3970	1996-11-22	VYDAJ	VYBER	17000	46783	\N	\N	\N
1159590	3970	1996-12-22	VYDAJ	VYBER	25700	58445	\N	\N	\N
1159591	3970	1997-01-21	PRIJEM	VKLAD	4100	35265	\N	\N	\N
1159592	3970	1997-02-20	VYDAJ	VYBER	11200	45049	\N	\N	\N
1159593	3970	1997-03-22	VYDAJ	VYBER	16200	45613	\N	\N	\N
1159594	3970	1997-04-21	VYDAJ	VYBER	16200	48620	\N	\N	\N
1159595	3970	1997-05-21	VYDAJ	VYBER	25000	53018	\N	\N	\N
1159596	3970	1997-06-20	VYDAJ	VYBER	16200	53877	\N	\N	\N
1159597	3970	1997-07-20	VYDAJ	VYBER	17900	59104	\N	\N	\N
1159598	3970	1997-08-19	VYDAJ	VYBER	27000	61538	\N	\N	\N
1159599	3970	1997-09-18	VYDAJ	VYBER	28700	62304	\N	\N	\N
1159600	3970	1997-10-18	VYDAJ	VYBER	23800	61673	\N	\N	\N
1159601	3970	1997-11-17	VYDAJ	VYBER	19900	50672	\N	\N	\N
1159602	3970	1997-12-17	VYDAJ	VYBER	28100	61489	\N	\N	\N
1159603	3970	1998-01-16	VYDAJ	VYBER	21700	51509	\N	\N	\N
1159604	3970	1998-02-15	VYDAJ	VYBER	9900	43998	\N	\N	\N
1159605	3970	1998-03-17	VYDAJ	VYBER	20100	49003	\N	\N	\N
1159606	3970	1998-04-16	VYDAJ	VYBER	18300	56502	\N	\N	\N
1159607	3970	1998-05-16	VYDAJ	VYBER	18000	50918	\N	\N	\N
1159608	3970	1998-06-15	VYDAJ	VYBER	21900	57403	\N	\N	\N
1159609	3970	1998-07-15	VYDAJ	VYBER	13000	49687	\N	\N	\N
1159610	3970	1998-08-14	VYDAJ	VYBER	18700	60425	\N	\N	\N
1159611	3970	1998-09-13	VYDAJ	VYBER	19300	50262	\N	\N	\N
1159612	3970	1998-10-13	VYDAJ	VYBER	7200	46164	\N	\N	\N
1159613	3970	1998-11-12	VYDAJ	VYBER	12900	54273	\N	\N	\N
1159614	3970	1998-12-12	VYDAJ	VYBER	30400	72336	\N	\N	\N
1159652	3971	1997-03-13	PRIJEM	VKLAD	200	200	\N	\N	\N
1159654	3971	1997-07-29	PRIJEM	VKLAD	15468	69689	\N	\N	\N
1159655	3971	1997-03-14	PRIJEM	VKLAD	39712	39912	\N	\N	\N
1159656	3971	1997-06-23	PRIJEM	VKLAD	41534	107935	\N	\N	\N
1159657	3971	1997-07-23	PRIJEM	VKLAD	23050	54221	\N	\N	\N
1159658	3971	1997-12-23	PRIJEM	VKLAD	15264	77411	\N	\N	\N
1159659	3971	1997-05-19	PRIJEM	VKLAD	44773	87564	\N	\N	\N
1159660	3971	1997-12-23	PRIJEM	VKLAD	14179	62147	\N	\N	\N
1159661	3971	1997-11-01	PRIJEM	VKLAD	20706	33933	\N	\N	\N
1159663	3971	1997-04-13	PRIJEM	VKLAD	28964	60773	\N	\N	\N
1159664	3971	1997-11-12	PRIJEM	VKLAD	25395	42245	\N	\N	\N
1159665	3971	1997-09-15	PRIJEM	VKLAD	18156	37933	\N	\N	\N
1159667	3971	1997-06-08	PRIJEM	VKLAD	21837	109701	\N	\N	\N
1159668	3971	1997-11-25	PRIJEM	VKLAD	26160	58493	\N	\N	\N
1159670	3971	1997-12-16	PRIJEM	VKLAD	21450	47968	\N	\N	\N
1159671	3971	1998-12-28	PRIJEM	VKLAD	38984	52331	\N	\N	\N
1159672	3971	1998-05-27	PRIJEM	VKLAD	21662	25418	\N	\N	\N
1159673	3971	1998-07-02	PRIJEM	VKLAD	28062	34844	\N	\N	\N
1159674	3971	1998-10-11	PRIJEM	VKLAD	38874	58202	\N	\N	\N
1159675	3971	1998-02-03	PRIJEM	VKLAD	7566	28616	\N	\N	\N
1159676	3971	1998-10-25	PRIJEM	VKLAD	30737	74729	\N	\N	\N
1159677	3971	1998-02-24	PRIJEM	VKLAD	36308	44229	\N	\N	\N
1159678	3971	1998-09-02	PRIJEM	VKLAD	37189	42836	\N	\N	\N
1159685	3971	1997-07-14	VYDAJ	PREVOD NA UCET	9510	31171	SIPO	KL	30010575
1159686	3971	1997-08-14	VYDAJ	PREVOD NA UCET	9510	37885	SIPO	KL	30010575
1159687	3971	1997-09-14	VYDAJ	PREVOD NA UCET	9510	19777	SIPO	KL	30010575
1159688	3971	1997-10-14	VYDAJ	PREVOD NA UCET	9510	13164	SIPO	KL	30010575
1159689	3971	1997-11-14	VYDAJ	PREVOD NA UCET	9510	32333	SIPO	KL	30010575
1159690	3971	1997-12-14	VYDAJ	PREVOD NA UCET	9510	26518	SIPO	KL	30010575
1159691	3971	1998-01-14	VYDAJ	PREVOD NA UCET	9510	20916	SIPO	KL	30010575
1159692	3971	1998-02-14	VYDAJ	PREVOD NA UCET	9510	7921	SIPO	KL	30010575
1159693	3971	1998-03-14	VYDAJ	PREVOD NA UCET	9510	20001	SIPO	KL	30010575
1159694	3971	1998-04-14	VYDAJ	PREVOD NA UCET	9510	6008	SIPO	KL	30010575
1159696	3971	1998-06-14	VYDAJ	PREVOD NA UCET	9510	6741	SIPO	KL	30010575
1159697	3971	1998-07-14	VYDAJ	PREVOD NA UCET	9510	18149	SIPO	KL	30010575
1159698	3971	1998-08-14	VYDAJ	PREVOD NA UCET	9510	5618	SIPO	KL	30010575
1159699	3971	1998-09-14	VYDAJ	PREVOD NA UCET	9510	17941	SIPO	KL	30010575
1159700	3971	1998-10-14	VYDAJ	PREVOD NA UCET	9510	48290	SIPO	KL	30010575
1159701	3971	1998-11-14	VYDAJ	PREVOD NA UCET	9510	34800	SIPO	KL	30010575
1159702	3971	1998-12-14	VYDAJ	PREVOD NA UCET	9510	13347	SIPO	KL	30010575
1159709	3971	1997-07-09	VYDAJ	PREVOD NA UCET	1026	58240	 	UV	54464662
1159710	3971	1997-08-09	VYDAJ	PREVOD NA UCET	1026	68854	 	UV	54464662
1159711	3971	1997-09-09	VYDAJ	PREVOD NA UCET	1026	30546	 	UV	54464662
1159712	3971	1997-10-09	VYDAJ	PREVOD NA UCET	1026	23933	 	UV	54464662
1159713	3971	1997-11-09	VYDAJ	PREVOD NA UCET	1026	17707	 	UV	54464662
1159714	3971	1997-12-09	VYDAJ	PREVOD NA UCET	1026	37287	 	UV	54464662
1159715	3971	1998-01-09	VYDAJ	PREVOD NA UCET	1026	41285	 	UV	54464662
1159716	3971	1998-02-09	VYDAJ	PREVOD NA UCET	1026	18690	 	UV	54464662
1159717	3971	1998-03-09	VYDAJ	PREVOD NA UCET	1026	30770	 	UV	54464662
1159718	3971	1998-04-09	VYDAJ	PREVOD NA UCET	1026	16777	 	UV	54464662
1159719	3971	1998-05-09	VYDAJ	PREVOD NA UCET	1026	5015	 	UV	54464662
1159720	3971	1998-06-09	VYDAJ	PREVOD NA UCET	1026	17510	 	UV	54464662
1159721	3971	1998-07-09	VYDAJ	PREVOD NA UCET	1026	28918	 	UV	54464662
1159722	3971	1998-08-09	VYDAJ	PREVOD NA UCET	1026	16387	 	UV	54464662
1159723	3971	1998-09-09	VYDAJ	PREVOD NA UCET	1026	28710	 	UV	54464662
1159724	3971	1998-10-09	VYDAJ	PREVOD NA UCET	1026	20185	 	UV	54464662
1159725	3971	1998-11-09	VYDAJ	PREVOD NA UCET	1026	45569	 	UV	54464662
1159726	3971	1998-12-09	VYDAJ	PREVOD NA UCET	1026	24116	 	UV	54464662
1159733	3971	1997-07-10	VYDAJ	PREVOD NA UCET	857	57383	POJISTNE	WX	30132991
1159734	3971	1997-08-10	VYDAJ	PREVOD NA UCET	857	67997	POJISTNE	WX	30132991
1159735	3971	1997-09-10	VYDAJ	PREVOD NA UCET	857	29689	POJISTNE	WX	30132991
1159736	3971	1997-10-10	VYDAJ	PREVOD NA UCET	857	23076	POJISTNE	WX	30132991
1159737	3971	1997-11-10	VYDAJ	PREVOD NA UCET	857	16850	POJISTNE	WX	30132991
1159738	3971	1997-12-10	VYDAJ	PREVOD NA UCET	857	36430	POJISTNE	WX	30132991
1159739	3971	1998-01-10	VYDAJ	PREVOD NA UCET	857	40428	POJISTNE	WX	30132991
1159740	3971	1998-02-10	VYDAJ	PREVOD NA UCET	857	17833	POJISTNE	WX	30132991
1159741	3971	1998-03-10	VYDAJ	PREVOD NA UCET	857	29913	POJISTNE	WX	30132991
1159742	3971	1998-04-10	VYDAJ	PREVOD NA UCET	857	15920	POJISTNE	WX	30132991
1159743	3971	1998-05-10	VYDAJ	PREVOD NA UCET	857	4158	POJISTNE	WX	30132991
1159744	3971	1998-06-10	VYDAJ	PREVOD NA UCET	857	16653	POJISTNE	WX	30132991
1159745	3971	1998-07-10	VYDAJ	PREVOD NA UCET	857	28061	POJISTNE	WX	30132991
1159746	3971	1998-08-10	VYDAJ	PREVOD NA UCET	857	15530	POJISTNE	WX	30132991
1159747	3971	1998-09-10	VYDAJ	PREVOD NA UCET	857	27853	POJISTNE	WX	30132991
1159748	3971	1998-10-10	VYDAJ	PREVOD NA UCET	857	19328	POJISTNE	WX	30132991
1159749	3971	1998-11-10	VYDAJ	PREVOD NA UCET	857	44712	POJISTNE	WX	30132991
1159750	3971	1998-12-10	VYDAJ	PREVOD NA UCET	857	23259	POJISTNE	WX	30132991
1159757	3971	1997-07-13	VYDAJ	PREVOD NA UCET	402	40681	 	MN	55104500
1159758	3971	1997-08-13	VYDAJ	PREVOD NA UCET	402	47395	 	MN	55104500
1159759	3971	1997-09-13	VYDAJ	PREVOD NA UCET	402	29287	 	MN	55104500
1159760	3971	1997-10-13	VYDAJ	PREVOD NA UCET	402	22674	 	MN	55104500
1159761	3971	1997-11-13	VYDAJ	PREVOD NA UCET	402	41843	 	MN	55104500
1159762	3971	1997-12-13	VYDAJ	PREVOD NA UCET	402	36028	 	MN	55104500
1159763	3971	1998-01-13	VYDAJ	PREVOD NA UCET	402	30426	 	MN	55104500
1159764	3971	1998-02-13	VYDAJ	PREVOD NA UCET	402	17431	 	MN	55104500
1159765	3971	1998-03-13	VYDAJ	PREVOD NA UCET	402	29511	 	MN	55104500
1159766	3971	1998-04-13	VYDAJ	PREVOD NA UCET	402	15518	 	MN	55104500
1159767	3971	1998-05-13	VYDAJ	PREVOD NA UCET	402	3756	 	MN	55104500
1159768	3971	1998-06-13	VYDAJ	PREVOD NA UCET	402	16251	 	MN	55104500
1159769	3971	1998-07-13	VYDAJ	PREVOD NA UCET	402	27659	 	MN	55104500
1159770	3971	1998-08-13	VYDAJ	PREVOD NA UCET	402	15128	 	MN	55104500
1159771	3971	1998-09-13	VYDAJ	PREVOD NA UCET	402	27451	 	MN	55104500
1159772	3971	1998-10-13	VYDAJ	PREVOD NA UCET	402	57800	 	MN	55104500
1159773	3971	1998-11-13	VYDAJ	PREVOD NA UCET	402	44310	 	MN	55104500
1159774	3971	1998-12-13	VYDAJ	PREVOD NA UCET	402	22857	 	MN	55104500
1159776	3971	1997-09-28	VYBER	VYBER	9106	28827	\N	\N	\N
1159782	3971	1998-10-20	VYBER	VYBER	4298	43992	\N	\N	\N
1159783	3971	1997-12-02	VYDAJ	VYBER	2400	56213	\N	\N	\N
1159792	3971	1998-01-03	VYDAJ	VYBER	5400	72211	\N	\N	\N
1159795	3971	1998-01-11	VYDAJ	VYBER	6600	30828	\N	\N	\N
1159796	3971	1998-01-08	VYDAJ	VYBER	3900	42311	\N	\N	\N
1159800	3971	1997-11-06	VYDAJ	VYBER	13500	20433	\N	\N	\N
1159804	3971	1998-02-06	VYDAJ	VYBER	8100	19716	\N	\N	\N
1159809	3971	1998-11-17	VYDAJ	VYBER	13500	21300	\N	\N	\N
1159810	3971	1998-10-28	VYDAJ	VYBER	11400	63329	\N	\N	\N
1159811	3971	1998-01-11	VYDAJ	VYBER	3000	37428	\N	\N	\N
1159819	3971	1997-06-30	VYDAJ	VYBER	15	59266	SLUZBY	\N	\N
1159820	3971	1997-07-31	VYDAJ	VYBER	15	69880	SLUZBY	\N	\N
1159821	3971	1997-08-31	VYDAJ	VYBER	15	38072	SLUZBY	\N	\N
1159822	3971	1997-09-30	VYDAJ	VYBER	15	28959	SLUZBY	\N	\N
1159823	3971	1997-10-31	VYDAJ	VYBER	15	13227	SLUZBY	\N	\N
1159824	3971	1997-11-30	VYDAJ	VYBER	15	58613	SLUZBY	\N	\N
1159825	3971	1997-12-31	VYDAJ	VYBER	15	77611	SLUZBY	\N	\N
1159826	3971	1998-01-31	VYDAJ	VYBER	15	21050	SLUZBY	\N	\N
1159827	3971	1998-02-28	VYDAJ	VYBER	15	44296	SLUZBY	\N	\N
1159828	3971	1998-03-31	VYDAJ	VYBER	15	20103	SLUZBY	\N	\N
1159829	3971	1998-04-30	VYDAJ	VYBER	15	6041	SLUZBY	\N	\N
1159830	3971	1998-05-31	VYDAJ	VYBER	15	25436	SLUZBY	\N	\N
1159831	3971	1998-06-30	VYDAJ	VYBER	15	6782	SLUZBY	\N	\N
1159832	3971	1998-07-31	VYDAJ	VYBER	15	18213	SLUZBY	\N	\N
1159833	3971	1998-08-31	VYDAJ	VYBER	15	5647	SLUZBY	\N	\N
1159834	3971	1998-09-30	VYDAJ	VYBER	15	18011	SLUZBY	\N	\N
1159835	3971	1998-10-31	VYDAJ	VYBER	15	63495	SLUZBY	\N	\N
1159836	3971	1998-11-30	VYDAJ	VYBER	15	21442	SLUZBY	\N	\N
1159837	3971	1997-04-12	VYDAJ	VYBER	8200	31809	\N	\N	\N
1159838	3971	1997-05-12	VYDAJ	VYBER	18200	42791	\N	\N	\N
1159839	3971	1997-06-11	VYDAJ	VYBER	43300	66401	\N	\N	\N
1159840	3971	1997-06-23	VYDAJ	VYBER	49000	58935	\N	\N	\N
1159841	3971	1997-07-11	VYDAJ	VYBER	16300	41083	\N	\N	\N
1159842	3971	1997-08-10	VYDAJ	VYBER	20200	47797	\N	\N	\N
1159843	3971	1997-09-09	VYDAJ	VYBER	6500	31572	\N	\N	\N
1159844	3971	1997-10-09	VYDAJ	VYBER	4000	24959	\N	\N	\N
1159845	3971	1997-11-08	VYDAJ	VYBER	1700	18733	\N	\N	\N
1159846	3971	1997-12-08	VYDAJ	VYBER	17900	38313	\N	\N	\N
1159847	3971	1998-01-07	VYDAJ	VYBER	26000	46211	\N	\N	\N
1159848	3971	1998-02-06	VYDAJ	VYBER	800	27816	\N	\N	\N
1159849	3971	1998-03-08	VYDAJ	VYBER	12500	31796	\N	\N	\N
1159850	3971	1998-04-07	VYDAJ	VYBER	2300	17803	\N	\N	\N
1159851	3971	1998-06-06	VYDAJ	VYBER	6900	18536	\N	\N	\N
1159852	3971	1998-07-06	VYDAJ	VYBER	4900	29944	\N	\N	\N
1159853	3971	1998-08-05	VYDAJ	VYBER	800	17413	\N	\N	\N
1159854	3971	1998-09-04	VYDAJ	VYBER	13100	29736	\N	\N	\N
1159855	3971	1998-10-04	PRIJEM	VKLAD	3200	21211	\N	\N	\N
1159856	3971	1998-11-03	VYDAJ	VYBER	16900	46595	\N	\N	\N
1159857	3971	1998-12-03	PRIJEM	VKLAD	3700	25142	\N	\N	\N
1159880	3972	1993-10-11	PRIJEM	VKLAD	900	900	\N	\N	\N
1159891	3972	1993-11-07	PRIJEM	VKLAD	17268	18168	\N	\N	\N
1159892	3972	1993-12-07	PRIJEM	VKLAD	25902	46430	\N	\N	\N
1159893	3972	1994-01-07	PRIJEM	VKLAD	17268	54532	\N	\N	\N
1159894	3972	1994-02-07	PRIJEM	VKLAD	17268	56661	\N	\N	\N
1159895	3972	1994-03-07	PRIJEM	VKLAD	17268	55790	\N	\N	\N
1159896	3972	1994-04-07	PRIJEM	VKLAD	17268	47186	\N	\N	\N
1159897	3972	1994-05-07	PRIJEM	VKLAD	17268	40956	\N	\N	\N
1159898	3972	1994-06-07	PRIJEM	VKLAD	25902	41262	\N	\N	\N
1159899	3972	1994-07-07	PRIJEM	VKLAD	17268	41822	\N	\N	\N
1159900	3972	1994-08-07	PRIJEM	VKLAD	17268	41282	\N	\N	\N
1159901	3972	1994-09-07	PRIJEM	VKLAD	17268	44649	\N	\N	\N
1159902	3972	1994-10-07	PRIJEM	VKLAD	17268	47049	\N	\N	\N
1159903	3972	1994-11-07	PRIJEM	VKLAD	17268	45963	\N	\N	\N
1159904	3972	1994-12-07	PRIJEM	VKLAD	25902	52105	\N	\N	\N
1159905	3972	1995-01-07	PRIJEM	VKLAD	17268	48432	\N	\N	\N
1159906	3972	1995-02-07	PRIJEM	VKLAD	17268	44230	\N	\N	\N
1159907	3972	1995-03-07	PRIJEM	VKLAD	17268	48828	\N	\N	\N
1159908	3972	1995-04-07	PRIJEM	VKLAD	17268	47239	\N	\N	\N
1159909	3972	1995-05-07	PRIJEM	VKLAD	17268	50250	\N	\N	\N
1159910	3972	1995-06-07	PRIJEM	VKLAD	25902	58610	\N	\N	\N
1159911	3972	1995-07-07	PRIJEM	VKLAD	17268	56756	\N	\N	\N
1159912	3972	1995-08-07	PRIJEM	VKLAD	17268	55610	\N	\N	\N
1159913	3972	1995-09-07	PRIJEM	VKLAD	17268	57461	\N	\N	\N
1159914	3972	1995-10-07	PRIJEM	VKLAD	17268	54718	\N	\N	\N
1159915	3972	1995-11-07	PRIJEM	VKLAD	17268	54864	\N	\N	\N
1159916	3972	1995-12-07	PRIJEM	VKLAD	25902	62134	\N	\N	\N
1159917	3972	1996-01-07	PRIJEM	VKLAD	17268	52591	\N	\N	\N
1159918	3972	1996-02-07	PRIJEM	VKLAD	17268	41478	\N	\N	\N
1159919	3972	1996-03-07	PRIJEM	VKLAD	17268	47264	\N	\N	\N
1159920	3972	1996-04-07	PRIJEM	VKLAD	17268	48071	\N	\N	\N
1159921	3972	1996-05-07	PRIJEM	VKLAD	17268	50682	\N	\N	\N
1159922	3972	1996-06-07	PRIJEM	VKLAD	25902	61137	\N	\N	\N
1159923	3972	1996-07-07	PRIJEM	VKLAD	17268	43370	\N	\N	\N
1159924	3972	1996-08-07	PRIJEM	VKLAD	17268	47961	\N	\N	\N
1159925	3972	1996-09-07	PRIJEM	VKLAD	17268	52572	\N	\N	\N
1159926	3972	1996-10-07	PRIJEM	VKLAD	17268	59603	\N	\N	\N
1159927	3972	1996-11-07	PRIJEM	VKLAD	17268	60055	\N	\N	\N
1159928	3972	1996-12-07	PRIJEM	VKLAD	25902	65943	\N	\N	\N
1159929	3972	1997-01-07	PRIJEM	VKLAD	17268	61111	\N	\N	\N
1159930	3972	1997-02-07	PRIJEM	VKLAD	17268	52054	\N	\N	\N
1159931	3972	1997-03-07	PRIJEM	VKLAD	17268	55478	\N	\N	\N
1159932	3972	1997-04-07	PRIJEM	VKLAD	17268	57815	\N	\N	\N
1159933	3972	1997-05-07	PRIJEM	VKLAD	17268	58560	\N	\N	\N
1159934	3972	1997-06-07	PRIJEM	VKLAD	25902	70945	\N	\N	\N
1159935	3972	1997-07-07	PRIJEM	VKLAD	17268	52369	\N	\N	\N
1159936	3972	1997-08-07	PRIJEM	VKLAD	17268	58996	\N	\N	\N
1159937	3972	1997-09-07	PRIJEM	VKLAD	17268	61345	\N	\N	\N
1159938	3972	1997-10-07	PRIJEM	VKLAD	17268	64504	\N	\N	\N
1159939	3972	1997-11-07	PRIJEM	VKLAD	17268	61473	\N	\N	\N
1159940	3972	1997-12-07	PRIJEM	VKLAD	25902	73167	\N	\N	\N
1159941	3972	1998-01-07	PRIJEM	VKLAD	17268	66553	\N	\N	\N
1159942	3972	1998-02-07	PRIJEM	VKLAD	17268	61114	\N	\N	\N
1159943	3972	1998-03-07	PRIJEM	VKLAD	17268	66674	\N	\N	\N
1159944	3972	1998-04-07	PRIJEM	VKLAD	17268	66047	\N	\N	\N
1159945	3972	1998-05-07	PRIJEM	VKLAD	17268	66919	\N	\N	\N
1159946	3972	1998-06-07	PRIJEM	VKLAD	25902	73726	\N	\N	\N
1159947	3972	1998-07-07	PRIJEM	VKLAD	17268	47189	\N	\N	\N
1159948	3972	1998-08-07	PRIJEM	VKLAD	17268	56499	\N	\N	\N
1159949	3972	1998-09-07	PRIJEM	VKLAD	17268	65646	\N	\N	\N
1159950	3972	1998-10-07	PRIJEM	VKLAD	17268	70421	\N	\N	\N
1159951	3972	1998-11-07	PRIJEM	VKLAD	17268	73713	\N	\N	\N
1159952	3972	1998-12-07	PRIJEM	VKLAD	25902	86253	\N	\N	\N
1159968	3972	1994-04-06	VYDAJ	PREVOD NA UCET	7012	29918	SIPO	GH	4039895
1159969	3972	1994-05-06	VYDAJ	PREVOD NA UCET	7012	23688	SIPO	GH	4039895
1159970	3972	1994-06-06	VYDAJ	PREVOD NA UCET	7012	15360	SIPO	GH	4039895
1159971	3972	1994-07-06	VYDAJ	PREVOD NA UCET	7012	24554	SIPO	GH	4039895
1159972	3972	1994-08-06	VYDAJ	PREVOD NA UCET	7012	24014	SIPO	GH	4039895
1159973	3972	1994-09-06	VYDAJ	PREVOD NA UCET	7012	27381	SIPO	GH	4039895
1159974	3972	1994-10-06	VYDAJ	PREVOD NA UCET	7012	29781	SIPO	GH	4039895
1159975	3972	1994-11-06	VYDAJ	PREVOD NA UCET	7012	28695	SIPO	GH	4039895
1159976	3972	1994-12-06	VYDAJ	PREVOD NA UCET	7012	26203	SIPO	GH	4039895
1159977	3972	1995-01-06	VYDAJ	PREVOD NA UCET	7012	31164	SIPO	GH	4039895
1159978	3972	1995-02-06	VYDAJ	PREVOD NA UCET	7012	26962	SIPO	GH	4039895
1159979	3972	1995-03-06	VYDAJ	PREVOD NA UCET	7012	31560	SIPO	GH	4039895
1159980	3972	1995-04-06	VYDAJ	PREVOD NA UCET	7012	29971	SIPO	GH	4039895
1159981	3972	1995-05-06	VYDAJ	PREVOD NA UCET	7012	32982	SIPO	GH	4039895
1159982	3972	1995-06-06	VYDAJ	PREVOD NA UCET	7012	32708	SIPO	GH	4039895
1159983	3972	1995-07-06	VYDAJ	PREVOD NA UCET	7012	39488	SIPO	GH	4039895
1159984	3972	1995-08-06	VYDAJ	PREVOD NA UCET	7012	38342	SIPO	GH	4039895
1159985	3972	1995-09-06	VYDAJ	PREVOD NA UCET	7012	40193	SIPO	GH	4039895
1159986	3972	1995-10-06	VYDAJ	PREVOD NA UCET	7012	37450	SIPO	GH	4039895
1159987	3972	1995-11-06	VYDAJ	PREVOD NA UCET	7012	37596	SIPO	GH	4039895
1159988	3972	1995-12-06	VYDAJ	PREVOD NA UCET	7012	36232	SIPO	GH	4039895
1159989	3972	1996-01-06	VYDAJ	PREVOD NA UCET	7012	35323	SIPO	GH	4039895
1159990	3972	1996-02-06	VYDAJ	PREVOD NA UCET	7012	24210	SIPO	GH	4039895
1159991	3972	1996-03-06	VYDAJ	PREVOD NA UCET	7012	29996	SIPO	GH	4039895
1159992	3972	1996-04-06	VYDAJ	PREVOD NA UCET	7012	30803	SIPO	GH	4039895
1159993	3972	1996-05-06	VYDAJ	PREVOD NA UCET	7012	33414	SIPO	GH	4039895
1159994	3972	1996-06-06	VYDAJ	PREVOD NA UCET	7012	35235	SIPO	GH	4039895
1159995	3972	1996-07-06	VYDAJ	PREVOD NA UCET	7012	26102	SIPO	GH	4039895
1159996	3972	1996-08-06	VYDAJ	PREVOD NA UCET	7012	30693	SIPO	GH	4039895
1159997	3972	1996-09-06	VYDAJ	PREVOD NA UCET	7012	35304	SIPO	GH	4039895
1159998	3972	1996-10-06	VYDAJ	PREVOD NA UCET	7012	42335	SIPO	GH	4039895
1159999	3972	1996-11-06	VYDAJ	PREVOD NA UCET	7012	42787	SIPO	GH	4039895
1160000	3972	1996-12-06	VYDAJ	PREVOD NA UCET	7012	40041	SIPO	GH	4039895
1160001	3972	1997-01-06	VYDAJ	PREVOD NA UCET	7012	43843	SIPO	GH	4039895
1160002	3972	1997-02-06	VYDAJ	PREVOD NA UCET	7012	34786	SIPO	GH	4039895
1160003	3972	1997-03-06	VYDAJ	PREVOD NA UCET	7012	38210	SIPO	GH	4039895
1160004	3972	1997-04-06	VYDAJ	PREVOD NA UCET	7012	40547	SIPO	GH	4039895
1160005	3972	1997-05-06	VYDAJ	PREVOD NA UCET	7012	41292	SIPO	GH	4039895
1160006	3972	1997-06-06	VYDAJ	PREVOD NA UCET	7012	45043	SIPO	GH	4039895
1160007	3972	1997-07-06	VYDAJ	PREVOD NA UCET	7012	35101	SIPO	GH	4039895
1160008	3972	1997-08-06	VYDAJ	PREVOD NA UCET	7012	41728	SIPO	GH	4039895
1160009	3972	1997-09-06	VYDAJ	PREVOD NA UCET	7012	44077	SIPO	GH	4039895
1160010	3972	1997-10-06	VYDAJ	PREVOD NA UCET	7012	47236	SIPO	GH	4039895
1160011	3972	1997-11-06	VYDAJ	PREVOD NA UCET	7012	47405	SIPO	GH	4039895
1160012	3972	1997-12-06	VYDAJ	PREVOD NA UCET	7012	47265	SIPO	GH	4039895
1160013	3972	1998-01-06	VYDAJ	PREVOD NA UCET	7012	49285	SIPO	GH	4039895
1160014	3972	1998-02-06	VYDAJ	PREVOD NA UCET	7012	43846	SIPO	GH	4039895
1160015	3972	1998-03-06	VYDAJ	PREVOD NA UCET	7012	49406	SIPO	GH	4039895
1160016	3972	1998-04-06	VYDAJ	PREVOD NA UCET	7012	48779	SIPO	GH	4039895
1160017	3972	1998-05-06	VYDAJ	PREVOD NA UCET	7012	49651	SIPO	GH	4039895
1160018	3972	1998-06-06	VYDAJ	PREVOD NA UCET	7012	47824	SIPO	GH	4039895
1160019	3972	1998-07-06	VYDAJ	PREVOD NA UCET	7012	29921	SIPO	GH	4039895
1160020	3972	1998-08-06	VYDAJ	PREVOD NA UCET	7012	40931	SIPO	GH	4039895
1160021	3972	1998-09-06	VYDAJ	PREVOD NA UCET	7012	48378	SIPO	GH	4039895
1160022	3972	1998-10-06	VYDAJ	PREVOD NA UCET	7012	53153	SIPO	GH	4039895
1160023	3972	1998-11-06	VYDAJ	PREVOD NA UCET	7012	56445	SIPO	GH	4039895
1160024	3972	1998-12-06	VYDAJ	PREVOD NA UCET	7012	60351	SIPO	GH	4039895
1160039	3972	1994-03-09	VYDAJ	PREVOD NA UCET	2012	53778	 	AB	33554858
1160040	3972	1994-04-09	VYDAJ	PREVOD NA UCET	2012	32774	 	AB	33554858
1160041	3972	1994-05-09	VYDAJ	PREVOD NA UCET	2012	38944	 	AB	33554858
1160042	3972	1994-06-09	VYDAJ	PREVOD NA UCET	2012	31450	 	AB	33554858
1160043	3972	1994-07-09	VYDAJ	PREVOD NA UCET	2012	30910	 	AB	33554858
1160044	3972	1994-08-09	VYDAJ	PREVOD NA UCET	2012	32870	 	AB	33554858
1160045	3972	1994-09-09	VYDAJ	PREVOD NA UCET	2012	42637	 	AB	33554858
1160046	3972	1994-10-09	VYDAJ	PREVOD NA UCET	2012	45037	 	AB	33554858
1160047	3972	1994-11-09	VYDAJ	PREVOD NA UCET	2012	43951	 	AB	33554858
1160048	3972	1994-12-09	VYDAJ	PREVOD NA UCET	2012	50093	 	AB	33554858
1160049	3972	1995-01-09	VYDAJ	PREVOD NA UCET	2012	44920	 	AB	33554858
1160050	3972	1995-02-09	VYDAJ	PREVOD NA UCET	2012	42218	 	AB	33554858
1160051	3972	1995-03-09	VYDAJ	PREVOD NA UCET	2012	46816	 	AB	33554858
1160052	3972	1995-04-09	VYDAJ	PREVOD NA UCET	2012	45227	 	AB	33554858
1160053	3972	1995-05-09	VYDAJ	PREVOD NA UCET	2012	48238	 	AB	33554858
1160054	3972	1995-06-09	VYDAJ	PREVOD NA UCET	2012	56598	 	AB	33554858
1160055	3972	1995-07-09	VYDAJ	PREVOD NA UCET	2012	54744	 	AB	33554858
1160056	3972	1995-08-09	VYDAJ	PREVOD NA UCET	2012	53598	 	AB	33554858
1160057	3972	1995-09-09	VYDAJ	PREVOD NA UCET	2012	55449	 	AB	33554858
1160058	3972	1995-10-09	VYDAJ	PREVOD NA UCET	2012	52706	 	AB	33554858
1160059	3972	1995-11-09	VYDAJ	PREVOD NA UCET	2012	52852	 	AB	33554858
1160060	3972	1995-12-09	VYDAJ	PREVOD NA UCET	2012	60122	 	AB	33554858
1160061	3972	1996-01-09	VYDAJ	PREVOD NA UCET	2012	50579	 	AB	33554858
1160062	3972	1996-02-09	VYDAJ	PREVOD NA UCET	2012	39466	 	AB	33554858
1160063	3972	1996-03-09	VYDAJ	PREVOD NA UCET	2012	45252	 	AB	33554858
1160064	3972	1996-04-09	VYDAJ	PREVOD NA UCET	2012	46059	 	AB	33554858
1160065	3972	1996-05-09	VYDAJ	PREVOD NA UCET	2012	48670	 	AB	33554858
1160066	3972	1996-06-09	VYDAJ	PREVOD NA UCET	2012	59125	 	AB	33554858
1160067	3972	1996-07-09	VYDAJ	PREVOD NA UCET	2012	41358	 	AB	33554858
1160068	3972	1996-08-09	VYDAJ	PREVOD NA UCET	2012	45949	 	AB	33554858
1160069	3972	1996-09-09	VYDAJ	PREVOD NA UCET	2012	50560	 	AB	33554858
1160070	3972	1996-10-09	VYDAJ	PREVOD NA UCET	2012	57591	 	AB	33554858
1160071	3972	1996-11-09	VYDAJ	PREVOD NA UCET	2012	58043	 	AB	33554858
1160072	3972	1996-12-09	VYDAJ	PREVOD NA UCET	2012	63931	 	AB	33554858
1160073	3972	1997-01-09	VYDAJ	PREVOD NA UCET	2012	59099	 	AB	33554858
1160074	3972	1997-02-09	VYDAJ	PREVOD NA UCET	2012	50042	 	AB	33554858
1160075	3972	1997-03-09	VYDAJ	PREVOD NA UCET	2012	53466	 	AB	33554858
1160076	3972	1997-04-09	VYDAJ	PREVOD NA UCET	2012	55803	 	AB	33554858
1160077	3972	1997-05-09	VYDAJ	PREVOD NA UCET	2012	56548	 	AB	33554858
1160078	3972	1997-06-09	VYDAJ	PREVOD NA UCET	2012	68933	 	AB	33554858
1160079	3972	1997-07-09	VYDAJ	PREVOD NA UCET	2012	50357	 	AB	33554858
1160080	3972	1997-08-09	VYDAJ	PREVOD NA UCET	2012	56984	 	AB	33554858
1160081	3972	1997-09-09	VYDAJ	PREVOD NA UCET	2012	59333	 	AB	33554858
1160082	3972	1997-10-09	VYDAJ	PREVOD NA UCET	2012	62492	 	AB	33554858
1160083	3972	1997-11-09	VYDAJ	PREVOD NA UCET	2012	59461	 	AB	33554858
1160084	3972	1997-12-09	VYDAJ	PREVOD NA UCET	2012	71155	 	AB	33554858
1160085	3972	1998-01-09	VYDAJ	PREVOD NA UCET	2012	64541	 	AB	33554858
1160086	3972	1998-02-09	VYDAJ	PREVOD NA UCET	2012	59102	 	AB	33554858
1160087	3972	1998-03-09	VYDAJ	PREVOD NA UCET	2012	64662	 	AB	33554858
1160088	3972	1998-04-09	VYDAJ	PREVOD NA UCET	2012	64035	 	AB	33554858
1160089	3972	1998-05-09	VYDAJ	PREVOD NA UCET	2012	64907	 	AB	33554858
1160090	3972	1998-06-09	VYDAJ	PREVOD NA UCET	2012	71714	 	AB	33554858
1160091	3972	1998-07-09	VYDAJ	PREVOD NA UCET	2012	45177	 	AB	33554858
1160092	3972	1998-08-09	VYDAJ	PREVOD NA UCET	2012	54487	 	AB	33554858
1160093	3972	1998-09-09	VYDAJ	PREVOD NA UCET	2012	63634	 	AB	33554858
1160094	3972	1998-10-09	VYDAJ	PREVOD NA UCET	2012	68409	 	AB	33554858
1160095	3972	1998-11-09	VYDAJ	PREVOD NA UCET	2012	71701	 	AB	33554858
1160096	3972	1998-12-09	VYDAJ	PREVOD NA UCET	2012	84241	 	AB	33554858
1160098	3972	1994-06-03	VYDAJ	VYBER	8400	22372	\N	\N	\N
1160099	3972	1995-06-14	VYDAJ	VYBER	4300	52298	\N	\N	\N
1160100	3972	1996-06-23	VYDAJ	VYBER	24300	34825	\N	\N	\N
1160101	3972	1997-06-11	VYDAJ	VYBER	27800	41133	\N	\N	\N
1160102	3972	1998-06-23	VYDAJ	VYBER	25200	36714	\N	\N	\N
1160105	3972	1995-01-03	VYDAJ	VYBER	2600	46976	\N	\N	\N
1160106	3972	1996-01-10	VYDAJ	VYBER	7800	42779	\N	\N	\N
1160107	3972	1997-01-21	VYDAJ	VYBER	7000	48499	\N	\N	\N
1160108	3972	1998-01-13	VYDAJ	VYBER	8700	55841	\N	\N	\N
1160110	3972	1994-12-22	VYDAJ	VYBER	700	49393	\N	\N	\N
1160111	3972	1995-12-14	VYDAJ	VYBER KARTOU	2300	57822	\N	\N	0
1160112	3972	1996-12-03	VYDAJ	VYBER KARTOU	2100	47053	\N	\N	0
1160113	3972	1997-12-15	VYDAJ	VYBER KARTOU	2700	68455	\N	\N	0
1160114	3972	1998-12-26	VYDAJ	VYBER KARTOU	1400	72441	\N	\N	0
1160127	3972	1995-01-23	VYDAJ	VYBER	1500	37020	\N	\N	\N
1160128	3972	1995-01-26	VYDAJ	VYBER	2900	34120	\N	\N	\N
1160129	3972	1995-01-16	VYDAJ	VYBER	2700	39920	\N	\N	\N
1160130	3972	1995-01-21	VYDAJ	VYBER	1400	38520	\N	\N	\N
1160131	3972	1995-01-07	VYDAJ	VYBER	1500	46932	\N	\N	\N
1160132	3972	1995-01-15	VYDAJ	VYBER	2300	42620	\N	\N	\N
1160133	3972	1996-01-04	VYDAJ	VYBER KARTOU	2300	42335	\N	\N	0
1160134	3972	1996-01-17	VYDAJ	VYBER KARTOU	1900	34479	\N	\N	0
1160135	3972	1996-01-21	VYDAJ	VYBER KARTOU	2700	31779	\N	\N	0
1160136	3972	1996-01-15	VYDAJ	VYBER KARTOU	2400	37479	\N	\N	0
1160137	3972	1996-01-13	VYDAJ	VYBER KARTOU	2900	39879	\N	\N	0
1160138	3972	1996-01-15	VYDAJ	VYBER KARTOU	1100	36379	\N	\N	0
1160139	3972	1997-01-20	VYDAJ	VYBER KARTOU	2900	55499	\N	\N	0
1160140	3972	1997-01-02	VYDAJ	VYBER KARTOU	900	51355	\N	\N	0
1160141	3972	1997-01-26	VYDAJ	VYBER KARTOU	1100	41599	\N	\N	0
1160142	3972	1997-01-24	VYDAJ	VYBER KARTOU	1500	42699	\N	\N	0
1160143	3972	1997-01-05	VYDAJ	VYBER KARTOU	500	50855	\N	\N	0
1160144	3972	1997-01-10	VYDAJ	VYBER KARTOU	700	58399	\N	\N	0
1160145	3972	1998-01-26	VYDAJ	VYBER KARTOU	2900	50641	\N	\N	0
1160146	3972	1998-01-25	VYDAJ	VYBER KARTOU	1700	53541	\N	\N	0
1160147	3972	1998-01-16	VYDAJ	VYBER KARTOU	1600	52041	\N	\N	0
1160148	3972	1998-01-16	VYDAJ	VYBER KARTOU	1200	50841	\N	\N	0
1160149	3972	1998-01-05	VYDAJ	VYBER KARTOU	2200	56297	\N	\N	0
1160150	3972	1998-01-15	VYDAJ	VYBER KARTOU	2200	53641	\N	\N	0
1160157	3972	1994-05-31	VYDAJ	VYBER	900	30772	\N	\N	\N
1160158	3972	1994-05-19	VYDAJ	VYBER	2200	31544	\N	\N	\N
1160159	3972	1994-12-02	VYDAJ	VYBER	3900	36415	\N	\N	\N
1160160	3972	1994-11-25	VYDAJ	VYBER	3800	40151	\N	\N	\N
1160161	3972	1994-03-25	VYDAJ	VYBER	4700	36778	\N	\N	\N
1160162	3972	1994-04-14	VYDAJ	VYBER	2200	30574	\N	\N	\N
1160163	3972	1995-03-18	VYDAJ	VYBER	1600	45216	\N	\N	\N
1160164	3972	1995-03-20	VYDAJ	VYBER	3300	41916	\N	\N	\N
1160165	3972	1995-11-13	VYDAJ	VYBER KARTOU	1800	51052	\N	\N	0
1160166	3972	1995-10-22	VYDAJ	VYBER KARTOU	1800	50906	\N	\N	0
1160167	3972	1995-04-19	VYDAJ	VYBER KARTOU	1600	43627	\N	\N	0
1160168	3972	1995-11-27	VYDAJ	VYBER KARTOU	2900	48152	\N	\N	0
1160169	3972	1996-02-27	VYDAJ	VYBER KARTOU	1600	37866	\N	\N	0
1160170	3972	1996-11-03	VYDAJ	VYBER KARTOU	1200	49799	\N	\N	0
1160171	3972	1996-10-10	VYDAJ	VYBER KARTOU	1600	55991	\N	\N	0
1160172	3972	1996-11-24	VYDAJ	VYBER KARTOU	3100	54943	\N	\N	0
1160173	3972	1996-05-26	VYDAJ	VYBER KARTOU	3900	44770	\N	\N	0
1160174	3972	1996-04-05	VYDAJ	VYBER KARTOU	600	37815	\N	\N	0
1160175	3972	1997-11-06	VYDAJ	VYBER KARTOU	3200	44205	\N	\N	0
1160176	3972	1997-07-20	VYDAJ	VYBER	4900	45457	\N	\N	\N
1160177	3972	1997-10-20	VYDAJ	VYBER KARTOU	1300	54192	\N	\N	0
1160178	3972	1997-03-03	VYDAJ	VYBER KARTOU	500	45222	\N	\N	0
1160179	3972	1998-07-16	VYDAJ	VYBER KARTOU	1600	40177	\N	\N	0
1160180	3972	1998-05-27	VYDAJ	VYBER KARTOU	2200	54607	\N	\N	0
1160181	3972	1998-07-11	VYDAJ	VYBER KARTOU	3400	41777	\N	\N	0
1160182	3972	1998-08-06	VYDAJ	VYBER KARTOU	1700	39231	\N	\N	0
1160198	3972	1994-03-31	VYDAJ	VYBER	15	36930	SLUZBY	\N	\N
1160199	3972	1994-04-30	VYDAJ	VYBER	15	30700	SLUZBY	\N	\N
1160200	3972	1994-05-31	VYDAJ	VYBER	15	31672	SLUZBY	\N	\N
1160201	3972	1994-06-30	VYDAJ	VYBER	15	31566	SLUZBY	\N	\N
1160202	3972	1994-07-31	VYDAJ	VYBER	15	31026	SLUZBY	\N	\N
1160203	3972	1994-08-31	VYDAJ	VYBER	15	32993	SLUZBY	\N	\N
1160204	3972	1994-09-30	VYDAJ	VYBER	15	42793	SLUZBY	\N	\N
1160205	3972	1994-10-31	VYDAJ	VYBER	15	45207	SLUZBY	\N	\N
1160206	3972	1994-11-30	VYDAJ	VYBER	15	40315	SLUZBY	\N	\N
1160207	3972	1994-12-31	VYDAJ	VYBER	15	49576	SLUZBY	\N	\N
1160208	3972	1995-01-31	VYDAJ	VYBER	15	34274	SLUZBY	\N	\N
1160209	3972	1995-02-28	VYDAJ	VYBER	15	42372	SLUZBY	\N	\N
1160210	3972	1995-03-31	VYDAJ	VYBER	15	42083	SLUZBY	\N	\N
1160211	3972	1995-04-30	VYDAJ	VYBER	15	43794	SLUZBY	\N	\N
1160212	3972	1995-05-31	VYDAJ	VYBER	15	48420	SLUZBY	\N	\N
1160213	3972	1995-06-30	VYDAJ	VYBER	15	52500	SLUZBY	\N	\N
1160214	3972	1995-07-31	VYDAJ	VYBER	15	54954	SLUZBY	\N	\N
1160215	3972	1995-08-31	VYDAJ	VYBER	15	53805	SLUZBY	\N	\N
1160216	3972	1995-09-30	VYDAJ	VYBER	15	55662	SLUZBY	\N	\N
1160217	3972	1995-10-31	VYDAJ	VYBER	15	51108	SLUZBY	\N	\N
1160218	3972	1995-11-30	VYDAJ	VYBER	15	48344	SLUZBY	\N	\N
1160219	3972	1995-12-31	VYDAJ	VYBER	15	44635	SLUZBY	\N	\N
1160220	3972	1996-01-31	VYDAJ	VYBER	15	31222	SLUZBY	\N	\N
1160221	3972	1996-02-29	VYDAJ	VYBER	15	37008	SLUZBY	\N	\N
1160222	3972	1996-03-31	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
1160223	3972	1996-04-30	VYDAJ	VYBER	15	40426	SLUZBY	\N	\N
1160224	3972	1996-05-31	VYDAJ	VYBER	15	42247	SLUZBY	\N	\N
1160225	3972	1996-06-30	VYDAJ	VYBER	15	33114	SLUZBY	\N	\N
1160226	3972	1996-07-31	VYDAJ	VYBER	15	37705	SLUZBY	\N	\N
1160227	3972	1996-08-31	VYDAJ	VYBER	15	42316	SLUZBY	\N	\N
1160228	3972	1996-09-30	VYDAJ	VYBER	15	49347	SLUZBY	\N	\N
1160229	3972	1996-10-31	VYDAJ	VYBER	15	50999	SLUZBY	\N	\N
1160230	3972	1996-11-30	VYDAJ	VYBER	15	49153	SLUZBY	\N	\N
1160231	3972	1996-12-31	VYDAJ	VYBER	15	52255	SLUZBY	\N	\N
1160232	3972	1997-01-31	VYDAJ	VYBER	15	41798	SLUZBY	\N	\N
1160233	3972	1997-02-28	VYDAJ	VYBER	15	45722	SLUZBY	\N	\N
1160234	3972	1997-03-31	VYDAJ	VYBER	15	47559	SLUZBY	\N	\N
1160235	3972	1997-04-30	VYDAJ	VYBER	15	48304	SLUZBY	\N	\N
1160236	3972	1997-05-31	VYDAJ	VYBER	15	52055	SLUZBY	\N	\N
1160237	3972	1997-06-30	VYDAJ	VYBER	15	42113	SLUZBY	\N	\N
1160238	3972	1997-07-31	VYDAJ	VYBER	15	48740	SLUZBY	\N	\N
1160239	3972	1997-08-31	VYDAJ	VYBER	15	51089	SLUZBY	\N	\N
1160240	3972	1997-09-30	VYDAJ	VYBER	15	54248	SLUZBY	\N	\N
1160241	3972	1997-10-31	VYDAJ	VYBER	15	54417	SLUZBY	\N	\N
1160242	3972	1997-11-30	VYDAJ	VYBER	15	54277	SLUZBY	\N	\N
1160243	3972	1997-12-31	VYDAJ	VYBER	15	58497	SLUZBY	\N	\N
1160244	3972	1998-01-31	VYDAJ	VYBER	15	50858	SLUZBY	\N	\N
1160245	3972	1998-02-28	VYDAJ	VYBER	15	56418	SLUZBY	\N	\N
1160246	3972	1998-03-31	VYDAJ	VYBER	15	55791	SLUZBY	\N	\N
1160247	3972	1998-04-30	VYDAJ	VYBER	15	56663	SLUZBY	\N	\N
1160248	3972	1998-05-31	VYDAJ	VYBER	15	54836	SLUZBY	\N	\N
1160249	3972	1998-06-30	VYDAJ	VYBER	15	36933	SLUZBY	\N	\N
1160250	3972	1998-07-31	VYDAJ	VYBER	15	47943	SLUZBY	\N	\N
1160251	3972	1998-08-31	VYDAJ	VYBER	15	55390	SLUZBY	\N	\N
1160252	3972	1998-09-30	VYDAJ	VYBER	15	60165	SLUZBY	\N	\N
1160253	3972	1998-10-31	VYDAJ	VYBER	15	63457	SLUZBY	\N	\N
1160254	3972	1998-11-30	VYDAJ	VYBER	15	67363	SLUZBY	\N	\N
1160255	3972	1993-11-10	PRIJEM	VKLAD	2300	20468	\N	\N	\N
1160256	3972	1993-12-10	VYDAJ	VYBER	9300	37130	\N	\N	\N
1160257	3972	1994-01-09	VYDAJ	VYBER	15300	39232	\N	\N	\N
1160258	3972	1994-02-08	VYDAJ	VYBER	18300	38361	\N	\N	\N
1160259	3972	1994-03-10	VYDAJ	VYBER	12300	41478	\N	\N	\N
1160260	3972	1994-04-09	VYDAJ	VYBER	12400	34786	\N	\N	\N
1160261	3972	1994-05-09	VYDAJ	VYBER	5200	33744	\N	\N	\N
1160262	3972	1994-06-08	VYDAJ	VYBER	7800	33462	\N	\N	\N
1160263	3972	1994-07-08	VYDAJ	VYBER	8900	32922	\N	\N	\N
1160264	3972	1994-08-07	VYDAJ	VYBER	6400	34882	\N	\N	\N
1160265	3972	1994-09-06	PRIJEM	VKLAD	1400	34393	\N	\N	\N
1160266	3972	1994-10-06	VYDAJ	VYBER	6000	36793	\N	\N	\N
1160267	3972	1994-11-05	VYDAJ	VYBER	9500	35707	\N	\N	\N
1160268	3972	1994-12-05	VYDAJ	VYBER	3200	33215	\N	\N	\N
1160269	3972	1995-01-04	VYDAJ	VYBER	8800	38176	\N	\N	\N
1160270	3972	1995-02-03	VYDAJ	VYBER	300	33974	\N	\N	\N
1160271	3972	1995-03-05	VYDAJ	VYBER	3800	38572	\N	\N	\N
1160272	3972	1995-04-04	VYDAJ	VYBER	5100	36983	\N	\N	\N
1160273	3972	1995-05-04	VYDAJ	VYBER KARTOU	3800	39994	\N	\N	0
1160274	3972	1995-06-03	VYDAJ	VYBER	8700	39720	\N	\N	\N
1160275	3972	1995-07-03	VYDAJ	VYBER	6000	46500	\N	\N	\N
1160276	3972	1995-08-02	VYDAJ	VYBER	9600	45354	\N	\N	\N
1160277	3972	1995-09-01	VYDAJ	VYBER	6600	47205	\N	\N	\N
1160278	3972	1995-10-01	VYDAJ	VYBER	11200	44462	\N	\N	\N
1160279	3972	1995-10-31	VYDAJ	VYBER	6500	44608	\N	\N	\N
1160280	3972	1995-11-30	VYDAJ	VYBER	5100	43244	\N	\N	\N
1160281	3972	1995-12-30	VYDAJ	VYBER	13400	44422	\N	\N	\N
1160282	3972	1996-01-29	VYDAJ	VYBER KARTOU	700	31079	\N	\N	0
1160283	3972	1996-02-28	VYDAJ	VYBER KARTOU	1000	36866	\N	\N	0
1160284	3972	1996-03-29	VYDAJ	VYBER	7000	38252	\N	\N	\N
1160285	3972	1996-04-28	VYDAJ	VYBER	5800	40259	\N	\N	\N
1160286	3972	1996-05-28	VYDAJ	VYBER KARTOU	2700	42070	\N	\N	0
1160287	3972	1996-06-27	VYDAJ	VYBER KARTOU	1900	32925	\N	\N	0
1160288	3972	1996-07-27	VYDAJ	VYBER KARTOU	3800	37558	\N	\N	0
1160289	3972	1996-08-26	VYDAJ	VYBER KARTOU	3800	42149	\N	\N	0
1160290	3972	1996-09-25	VYDAJ	VYBER KARTOU	1400	49160	\N	\N	0
1160291	3972	1996-10-25	VYDAJ	VYBER	5200	50791	\N	\N	\N
1160292	3972	1996-11-24	VYDAJ	VYBER	6000	48943	\N	\N	\N
1160293	3972	1996-12-24	VYDAJ	VYBER	11900	52031	\N	\N	\N
1160294	3972	1997-01-23	VYDAJ	VYBER	4300	44199	\N	\N	\N
1160295	3972	1997-02-22	VYDAJ	VYBER	4500	45542	\N	\N	\N
1160296	3972	1997-03-24	VYDAJ	VYBER	6100	47366	\N	\N	\N
1160297	3972	1997-04-23	VYDAJ	VYBER	7700	48103	\N	\N	\N
1160298	3972	1997-05-23	VYDAJ	VYBER	4700	51848	\N	\N	\N
1160299	3972	1997-06-22	PRIJEM	VKLAD	800	41933	\N	\N	\N
1160300	3972	1997-07-22	PRIJEM	VKLAD	3100	48557	\N	\N	\N
1160301	3972	1997-08-21	VYDAJ	VYBER	6100	50884	\N	\N	\N
1160302	3972	1997-09-20	VYDAJ	VYBER	5300	54033	\N	\N	\N
1160303	3972	1997-10-20	VYDAJ	VYBER	7000	55492	\N	\N	\N
1160304	3972	1997-11-19	VYDAJ	VYBER	5400	54061	\N	\N	\N
1160305	3972	1997-12-19	VYDAJ	VYBER	10200	58255	\N	\N	\N
1160306	3972	1998-01-18	PRIJEM	VKLAD	4400	55241	\N	\N	\N
1160307	3972	1998-02-17	VYDAJ	VYBER KARTOU	2900	56202	\N	\N	0
1160308	3972	1998-03-19	VYDAJ	VYBER	9100	55562	\N	\N	\N
1160309	3972	1998-04-18	VYDAJ	VYBER	7600	56435	\N	\N	\N
1160310	3972	1998-05-18	VYDAJ	VYBER	8100	56807	\N	\N	\N
1160311	3972	1998-06-17	VYDAJ	VYBER	9800	61914	\N	\N	\N
1160312	3972	1998-07-17	PRIJEM	VKLAD	7600	47777	\N	\N	\N
1160313	3972	1998-08-16	PRIJEM	VKLAD	700	55187	\N	\N	\N
1160314	3972	1998-09-15	VYDAJ	VYBER KARTOU	3700	59934	\N	\N	0
1160315	3972	1998-10-15	VYDAJ	VYBER	5200	63209	\N	\N	\N
1160316	3972	1998-11-14	VYDAJ	VYBER	4600	67101	\N	\N	\N
1160317	3972	1998-12-14	VYDAJ	VYBER	10400	73841	\N	\N	\N
1160380	3973	1995-11-27	PRIJEM	VKLAD	200	200	\N	\N	\N
1160392	3973	1995-12-12	PRIJEM	VKLAD	15618	15818	\N	\N	\N
1160393	3973	1996-01-12	PRIJEM	VKLAD	10412	28742	\N	\N	\N
1160394	3973	1996-02-12	PRIJEM	VKLAD	10412	37438	\N	\N	\N
1160395	3973	1996-03-12	PRIJEM	VKLAD	10412	41265	\N	\N	\N
1160396	3973	1996-04-12	PRIJEM	VKLAD	10412	39703	\N	\N	\N
1160397	3973	1996-05-12	PRIJEM	VKLAD	10412	32542	\N	\N	\N
1160398	3973	1996-06-12	PRIJEM	VKLAD	15618	35428	\N	\N	\N
1160399	3973	1996-07-12	PRIJEM	VKLAD	10412	30111	\N	\N	\N
1160400	3973	1996-08-12	PRIJEM	VKLAD	10412	31385	\N	\N	\N
1160401	3973	1996-09-12	PRIJEM	VKLAD	10412	29260	\N	\N	\N
1160402	3973	1996-10-12	PRIJEM	VKLAD	10412	25223	\N	\N	\N
1160403	3973	1996-11-12	PRIJEM	VKLAD	10412	17531	\N	\N	\N
1160404	3973	1996-12-12	PRIJEM	VKLAD	15618	21558	\N	\N	\N
1160405	3973	1997-01-12	PRIJEM	VKLAD	10412	19599	\N	\N	\N
1160406	3973	1997-02-12	PRIJEM	VKLAD	10412	19126	\N	\N	\N
1160407	3973	1997-03-12	PRIJEM	VKLAD	10412	19251	\N	\N	\N
1160408	3973	1997-04-12	PRIJEM	VKLAD	10412	22582	\N	\N	\N
1160409	3973	1997-05-12	PRIJEM	VKLAD	10412	23623	\N	\N	\N
1160410	3973	1997-06-12	PRIJEM	VKLAD	15618	27012	\N	\N	\N
1160411	3973	1997-07-12	PRIJEM	VKLAD	10412	25860	\N	\N	\N
1160412	3973	1997-08-12	PRIJEM	VKLAD	10412	28417	\N	\N	\N
1160413	3973	1997-09-12	PRIJEM	VKLAD	10412	33589	\N	\N	\N
1160414	3973	1997-10-12	PRIJEM	VKLAD	10412	30891	\N	\N	\N
1160415	3973	1997-11-12	PRIJEM	VKLAD	10412	34295	\N	\N	\N
1160416	3973	1997-12-12	PRIJEM	VKLAD	15618	39287	\N	\N	\N
1160417	3973	1998-01-12	PRIJEM	VKLAD	10412	26378	\N	\N	\N
1160418	3973	1998-02-12	PRIJEM	VKLAD	10412	33951	\N	\N	\N
1160419	3973	1998-03-12	PRIJEM	VKLAD	10412	38445	\N	\N	\N
1160420	3973	1998-04-12	PRIJEM	VKLAD	10412	39350	\N	\N	\N
1160421	3973	1998-05-12	PRIJEM	VKLAD	10412	31149	\N	\N	\N
1160422	3973	1998-06-12	PRIJEM	VKLAD	15618	30678	\N	\N	\N
1160423	3973	1998-07-12	PRIJEM	VKLAD	10412	25711	\N	\N	\N
1160424	3973	1998-08-12	PRIJEM	VKLAD	10412	24557	\N	\N	\N
1160425	3973	1998-09-12	PRIJEM	VKLAD	10412	25904	\N	\N	\N
1160426	3973	1998-10-12	PRIJEM	VKLAD	10412	24349	\N	\N	\N
1160427	3973	1998-11-12	PRIJEM	VKLAD	10412	26300	\N	\N	\N
1160428	3973	1998-12-12	PRIJEM	VKLAD	15618	34156	\N	\N	\N
1160445	3973	1996-05-09	VYDAJ	PREVOD NA UCET	6941	22130	SIPO	IJ	58564495
1160446	3973	1996-06-09	VYDAJ	PREVOD NA UCET	6941	19810	SIPO	IJ	58564495
1160447	3973	1996-07-09	VYDAJ	PREVOD NA UCET	6941	19699	SIPO	IJ	58564495
1160448	3973	1996-08-09	VYDAJ	PREVOD NA UCET	6941	20973	SIPO	IJ	58564495
1160449	3973	1996-09-09	VYDAJ	PREVOD NA UCET	6941	18848	SIPO	IJ	58564495
1160450	3973	1996-10-09	VYDAJ	PREVOD NA UCET	6941	14811	SIPO	IJ	58564495
1160451	3973	1996-11-09	VYDAJ	PREVOD NA UCET	6941	7119	SIPO	IJ	58564495
1160452	3973	1996-12-09	VYDAJ	PREVOD NA UCET	6941	5940	SIPO	IJ	58564495
1160453	3973	1997-01-09	VYDAJ	PREVOD NA UCET	6941	9187	SIPO	IJ	58564495
1160454	3973	1997-02-09	VYDAJ	PREVOD NA UCET	6941	8714	SIPO	IJ	58564495
1160455	3973	1997-03-09	VYDAJ	PREVOD NA UCET	6941	8839	SIPO	IJ	58564495
1160456	3973	1997-04-09	VYDAJ	PREVOD NA UCET	6941	12170	SIPO	IJ	58564495
1160457	3973	1997-05-09	VYDAJ	PREVOD NA UCET	6941	13211	SIPO	IJ	58564495
1160458	3973	1997-06-09	VYDAJ	PREVOD NA UCET	6941	11394	SIPO	IJ	58564495
1160459	3973	1997-07-09	VYDAJ	PREVOD NA UCET	6941	15448	SIPO	IJ	58564495
1160460	3973	1997-08-09	VYDAJ	PREVOD NA UCET	6941	18005	SIPO	IJ	58564495
1160461	3973	1997-09-09	VYDAJ	PREVOD NA UCET	6941	23177	SIPO	IJ	58564495
1160462	3973	1997-10-09	VYDAJ	PREVOD NA UCET	6941	20479	SIPO	IJ	58564495
1160463	3973	1997-11-09	VYDAJ	PREVOD NA UCET	6941	23883	SIPO	IJ	58564495
1160464	3973	1997-12-09	VYDAJ	PREVOD NA UCET	6941	23669	SIPO	IJ	58564495
1160465	3973	1998-01-09	VYDAJ	PREVOD NA UCET	6941	15966	SIPO	IJ	58564495
1160466	3973	1998-02-09	VYDAJ	PREVOD NA UCET	6941	23539	SIPO	IJ	58564495
1160467	3973	1998-03-09	VYDAJ	PREVOD NA UCET	6941	28033	SIPO	IJ	58564495
1160468	3973	1998-04-09	VYDAJ	PREVOD NA UCET	6941	28938	SIPO	IJ	58564495
1160469	3973	1998-05-09	VYDAJ	PREVOD NA UCET	6941	20737	SIPO	IJ	58564495
1160470	3973	1998-06-09	VYDAJ	PREVOD NA UCET	6941	15060	SIPO	IJ	58564495
1160471	3973	1998-07-09	VYDAJ	PREVOD NA UCET	6941	15299	SIPO	IJ	58564495
1160472	3973	1998-08-09	VYDAJ	PREVOD NA UCET	6941	14145	SIPO	IJ	58564495
1160473	3973	1998-09-09	VYDAJ	PREVOD NA UCET	6941	15492	SIPO	IJ	58564495
1160474	3973	1998-10-09	VYDAJ	PREVOD NA UCET	6941	13937	SIPO	IJ	58564495
1160475	3973	1998-11-09	VYDAJ	PREVOD NA UCET	6941	10188	SIPO	IJ	58564495
1160476	3973	1998-12-09	VYDAJ	PREVOD NA UCET	6941	19438	SIPO	IJ	58564495
1160478	3973	1996-12-12	VYDAJ	VYBER	2880	18678	\N	\N	\N
1160479	3973	1997-12-19	VYDAJ	VYBER	2720	32267	\N	\N	\N
1160480	3973	1998-12-15	VYDAJ	VYBER	2080	32076	\N	\N	\N
1160486	3973	1996-05-08	VYDAJ	VYBER	1440	29071	\N	\N	\N
1160487	3973	1996-11-04	VYDAJ	VYBER	5040	14060	\N	\N	\N
1160489	3973	1997-05-26	VYDAJ	VYBER	2760	18263	\N	\N	\N
1160490	3973	1997-12-29	VYDAJ	VYBER	3600	28667	\N	\N	\N
1160491	3973	1997-11-02	VYDAJ	VYBER	2280	30824	\N	\N	\N
1160492	3973	1997-09-20	VYDAJ	VYBER	2880	29709	\N	\N	\N
1160493	3973	1997-09-25	VYDAJ	VYBER	2400	27309	\N	\N	\N
1160495	3973	1998-05-19	VYDAJ	VYBER	1440	21909	\N	\N	\N
1160496	3973	1998-01-04	VYDAJ	VYBER	5880	22907	\N	\N	\N
1160497	3973	1998-06-25	VYDAJ	VYBER	1920	22158	\N	\N	\N
1160498	3973	1998-05-02	VYDAJ	VYBER	4800	27678	\N	\N	\N
1160515	3973	1996-04-30	VYDAJ	VYBER	15	30511	SLUZBY	\N	\N
1160516	3973	1996-05-31	VYDAJ	VYBER	15	26751	SLUZBY	\N	\N
1160517	3973	1996-06-30	VYDAJ	VYBER	15	26640	SLUZBY	\N	\N
1160518	3973	1996-07-31	VYDAJ	VYBER	15	27914	SLUZBY	\N	\N
1160519	3973	1996-08-31	VYDAJ	VYBER	15	25789	SLUZBY	\N	\N
1160520	3973	1996-09-30	VYDAJ	VYBER	15	21752	SLUZBY	\N	\N
1160521	3973	1996-10-31	VYDAJ	VYBER	15	19100	SLUZBY	\N	\N
1160522	3973	1996-11-30	VYDAJ	VYBER	15	12881	SLUZBY	\N	\N
1160523	3973	1996-12-31	VYDAJ	VYBER	15	16128	SLUZBY	\N	\N
1160524	3973	1997-01-31	VYDAJ	VYBER	15	15655	SLUZBY	\N	\N
1160525	3973	1997-02-28	VYDAJ	VYBER	15	15780	SLUZBY	\N	\N
1160526	3973	1997-03-31	VYDAJ	VYBER	15	19111	SLUZBY	\N	\N
1160527	3973	1997-04-30	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
1160528	3973	1997-05-31	VYDAJ	VYBER	15	18335	SLUZBY	\N	\N
1160529	3973	1997-06-30	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
1160530	3973	1997-07-31	VYDAJ	VYBER	15	24946	SLUZBY	\N	\N
1160531	3973	1997-08-31	VYDAJ	VYBER	15	30118	SLUZBY	\N	\N
1160532	3973	1997-09-30	VYDAJ	VYBER	15	27420	SLUZBY	\N	\N
1160533	3973	1997-10-31	VYDAJ	VYBER	15	33104	SLUZBY	\N	\N
1160534	3973	1997-11-30	VYDAJ	VYBER	15	30610	SLUZBY	\N	\N
1160535	3973	1997-12-31	VYDAJ	VYBER	15	28787	SLUZBY	\N	\N
1160536	3973	1998-01-31	VYDAJ	VYBER	15	30480	SLUZBY	\N	\N
1160537	3973	1998-02-28	VYDAJ	VYBER	15	34974	SLUZBY	\N	\N
1160538	3973	1998-03-31	VYDAJ	VYBER	15	35879	SLUZBY	\N	\N
1160539	3973	1998-04-30	VYDAJ	VYBER	15	32478	SLUZBY	\N	\N
1160540	3973	1998-05-31	VYDAJ	VYBER	15	22001	SLUZBY	\N	\N
1160541	3973	1998-06-30	VYDAJ	VYBER	15	22240	SLUZBY	\N	\N
1160542	3973	1998-07-31	VYDAJ	VYBER	15	21086	SLUZBY	\N	\N
1160543	3973	1998-08-31	VYDAJ	VYBER	15	22433	SLUZBY	\N	\N
1160544	3973	1998-09-30	VYDAJ	VYBER	15	20878	SLUZBY	\N	\N
1160545	3973	1998-10-31	VYDAJ	VYBER	15	17129	SLUZBY	\N	\N
1160546	3973	1998-11-30	VYDAJ	VYBER	15	26379	SLUZBY	\N	\N
1160547	3973	1995-12-27	PRIJEM	VKLAD	2500	18318	\N	\N	\N
1160548	3973	1996-01-26	VYDAJ	VYBER	1800	26942	\N	\N	\N
1160549	3973	1996-02-25	VYDAJ	VYBER	6700	30738	\N	\N	\N
1160550	3973	1996-03-26	VYDAJ	VYBER	12100	29165	\N	\N	\N
1160551	3973	1996-04-25	VYDAJ	VYBER	9300	30403	\N	\N	\N
1160552	3973	1996-05-25	VYDAJ	VYBER	5900	26642	\N	\N	\N
1160553	3973	1996-06-24	VYDAJ	VYBER	8900	26528	\N	\N	\N
1160554	3973	1996-07-24	VYDAJ	VYBER	2300	27811	\N	\N	\N
1160555	3973	1996-08-23	VYDAJ	VYBER	5700	25685	\N	\N	\N
1160556	3973	1996-09-22	VYDAJ	VYBER	7600	21660	\N	\N	\N
1160557	3973	1996-10-22	VYDAJ	VYBER	6200	19023	\N	\N	\N
1160558	3973	1996-11-21	VYDAJ	VYBER	4700	12831	\N	\N	\N
1160559	3973	1996-12-21	VYDAJ	VYBER	2600	16078	\N	\N	\N
1160560	3973	1997-01-20	VYDAJ	VYBER	4000	15599	\N	\N	\N
1160561	3973	1997-02-19	VYDAJ	VYBER	3400	15726	\N	\N	\N
1160562	3973	1997-03-21	VYDAJ	VYBER	200	19051	\N	\N	\N
1160563	3973	1997-04-20	VYDAJ	VYBER	2500	20082	\N	\N	\N
1160564	3973	1997-05-20	VYDAJ	VYBER	2600	21023	\N	\N	\N
1160565	3973	1997-06-19	VYDAJ	VYBER	4700	22312	\N	\N	\N
1160566	3973	1997-07-19	VYDAJ	VYBER	1000	24860	\N	\N	\N
1160567	3973	1997-08-18	PRIJEM	VKLAD	1600	30017	\N	\N	\N
1160568	3973	1997-09-17	VYDAJ	VYBER	1000	32589	\N	\N	\N
1160569	3973	1997-10-17	PRIJEM	VKLAD	2100	32991	\N	\N	\N
1160570	3973	1997-11-16	VYDAJ	VYBER	3800	30495	\N	\N	\N
1160571	3973	1997-12-16	VYDAJ	VYBER	4300	34987	\N	\N	\N
1160572	3973	1998-01-15	PRIJEM	VKLAD	4000	30378	\N	\N	\N
1160573	3973	1998-02-14	PRIJEM	VKLAD	900	34851	\N	\N	\N
1160574	3973	1998-03-16	VYDAJ	VYBER	2700	35745	\N	\N	\N
1160575	3973	1998-04-15	VYDAJ	VYBER	7000	32350	\N	\N	\N
1160576	3973	1998-05-15	VYDAJ	VYBER	7800	23349	\N	\N	\N
1160577	3973	1998-06-14	VYDAJ	VYBER	6600	24078	\N	\N	\N
1160578	3973	1998-07-14	VYDAJ	VYBER	4700	21011	\N	\N	\N
1160579	3973	1998-08-13	VYDAJ	VYBER	2200	22357	\N	\N	\N
1160580	3973	1998-09-12	VYDAJ	VYBER	5100	20804	\N	\N	\N
1160581	3973	1998-10-12	VYDAJ	VYBER	7300	17049	\N	\N	\N
1160582	3973	1998-11-11	PRIJEM	VKLAD	5700	15888	\N	\N	\N
1160583	3973	1998-12-11	VYDAJ	VYBER	900	18538	\N	\N	\N
1160621	3974	1996-03-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1160624	3974	1996-03-13	PRIJEM	VKLAD	15211	16111	\N	\N	\N
1160625	3974	1996-04-13	PRIJEM	VKLAD	15211	33963	\N	\N	\N
1160626	3974	1996-05-13	PRIJEM	VKLAD	15211	43586	\N	\N	\N
1160627	3974	1996-06-13	PRIJEM	VKLAD	22816	55868	\N	\N	\N
1160628	3974	1996-07-13	PRIJEM	VKLAD	15211	51591	\N	\N	\N
1160629	3974	1996-08-13	PRIJEM	VKLAD	15211	45040	\N	\N	\N
1160630	3974	1996-09-13	PRIJEM	VKLAD	15211	37444	\N	\N	\N
1160631	3974	1996-10-13	PRIJEM	VKLAD	15211	38117	\N	\N	\N
1160632	3974	1996-11-13	PRIJEM	VKLAD	15211	41688	\N	\N	\N
1160633	3974	1996-12-13	PRIJEM	VKLAD	22816	49170	\N	\N	\N
1160634	3974	1997-01-13	PRIJEM	VKLAD	15211	43470	\N	\N	\N
1160635	3974	1997-02-13	PRIJEM	VKLAD	15211	39961	\N	\N	\N
1160636	3974	1997-03-13	PRIJEM	VKLAD	15211	41636	\N	\N	\N
1160637	3974	1997-04-13	PRIJEM	VKLAD	15211	45121	\N	\N	\N
1160638	3974	1997-05-13	PRIJEM	VKLAD	15211	43018	\N	\N	\N
1160639	3974	1997-06-13	PRIJEM	VKLAD	22816	52115	\N	\N	\N
1160640	3974	1997-07-13	PRIJEM	VKLAD	15211	48630	\N	\N	\N
1160641	3974	1997-08-13	PRIJEM	VKLAD	15211	47345	\N	\N	\N
1160642	3974	1997-09-13	PRIJEM	VKLAD	15211	42542	\N	\N	\N
1160643	3974	1997-10-13	PRIJEM	VKLAD	15211	45622	\N	\N	\N
1160644	3974	1997-11-13	PRIJEM	VKLAD	15211	46517	\N	\N	\N
1160645	3974	1997-12-13	PRIJEM	VKLAD	22816	53220	\N	\N	\N
1160646	3974	1998-01-13	PRIJEM	VKLAD	15211	44229	\N	\N	\N
1160647	3974	1998-02-13	PRIJEM	VKLAD	15211	41012	\N	\N	\N
1160648	3974	1998-03-13	PRIJEM	VKLAD	15211	42586	\N	\N	\N
1160649	3974	1998-04-13	PRIJEM	VKLAD	15211	43867	\N	\N	\N
1160650	3974	1998-05-13	PRIJEM	VKLAD	15211	42852	\N	\N	\N
1160651	3974	1998-06-13	PRIJEM	VKLAD	22816	50136	\N	\N	\N
1160652	3974	1998-07-13	PRIJEM	VKLAD	15211	47831	\N	\N	\N
1160653	3974	1998-08-13	PRIJEM	VKLAD	15211	46329	\N	\N	\N
1160654	3974	1998-09-13	PRIJEM	VKLAD	15211	35911	\N	\N	\N
1160655	3974	1998-10-13	PRIJEM	VKLAD	15211	37360	\N	\N	\N
1160656	3974	1998-11-13	PRIJEM	VKLAD	15211	35710	\N	\N	\N
1160657	3974	1998-12-13	PRIJEM	VKLAD	22816	33953	\N	\N	\N
1160665	3974	1996-08-06	VYDAJ	PREVOD NA UCET	4670	31229	SIPO	QR	35360241
1160666	3974	1996-09-06	VYDAJ	PREVOD NA UCET	4670	22233	SIPO	QR	35360241
1160667	3974	1996-10-06	VYDAJ	PREVOD NA UCET	4670	22906	SIPO	QR	35360241
1160668	3974	1996-11-06	VYDAJ	PREVOD NA UCET	4670	26477	SIPO	QR	35360241
1160669	3974	1996-12-06	VYDAJ	PREVOD NA UCET	4670	26354	SIPO	QR	35360241
1160670	3974	1997-01-06	VYDAJ	PREVOD NA UCET	4670	28759	SIPO	QR	35360241
1160671	3974	1997-02-06	VYDAJ	PREVOD NA UCET	4670	24750	SIPO	QR	35360241
1160672	3974	1997-03-06	VYDAJ	PREVOD NA UCET	4670	26425	SIPO	QR	35360241
1160673	3974	1997-04-06	VYDAJ	PREVOD NA UCET	4670	29910	SIPO	QR	35360241
1160674	3974	1997-05-06	VYDAJ	PREVOD NA UCET	4670	27807	SIPO	QR	35360241
1160675	3974	1997-06-06	VYDAJ	PREVOD NA UCET	4670	29299	SIPO	QR	35360241
1160676	3974	1997-07-06	VYDAJ	PREVOD NA UCET	4670	33419	SIPO	QR	35360241
1160677	3974	1997-08-06	VYDAJ	PREVOD NA UCET	4670	32134	SIPO	QR	35360241
1160678	3974	1997-09-06	VYDAJ	PREVOD NA UCET	4670	27331	SIPO	QR	35360241
1160679	3974	1997-10-06	VYDAJ	PREVOD NA UCET	4670	30411	SIPO	QR	35360241
1160680	3974	1997-11-06	VYDAJ	PREVOD NA UCET	4670	31306	SIPO	QR	35360241
1160681	3974	1997-12-06	VYDAJ	PREVOD NA UCET	4670	30404	SIPO	QR	35360241
1160682	3974	1998-01-06	VYDAJ	PREVOD NA UCET	4670	31818	SIPO	QR	35360241
1160683	3974	1998-02-06	VYDAJ	PREVOD NA UCET	4670	25801	SIPO	QR	35360241
1160684	3974	1998-03-06	VYDAJ	PREVOD NA UCET	4670	27375	SIPO	QR	35360241
1160685	3974	1998-04-06	VYDAJ	PREVOD NA UCET	4670	28656	SIPO	QR	35360241
1160686	3974	1998-05-06	VYDAJ	PREVOD NA UCET	4670	27641	SIPO	QR	35360241
1160687	3974	1998-06-06	VYDAJ	PREVOD NA UCET	4670	27320	SIPO	QR	35360241
1160688	3974	1998-07-06	VYDAJ	PREVOD NA UCET	4670	32620	SIPO	QR	35360241
1160689	3974	1998-08-06	VYDAJ	PREVOD NA UCET	4670	31118	SIPO	QR	35360241
1160690	3974	1998-09-06	VYDAJ	PREVOD NA UCET	4670	20700	SIPO	QR	35360241
1160691	3974	1998-10-06	VYDAJ	PREVOD NA UCET	4670	22149	SIPO	QR	35360241
1160692	3974	1998-11-06	VYDAJ	PREVOD NA UCET	4670	20499	SIPO	QR	35360241
1160693	3974	1998-12-06	VYDAJ	PREVOD NA UCET	4670	11137	SIPO	QR	35360241
1160694	3974	1996-12-24	VYDAJ	VYBER	2400	46770	\N	\N	\N
1160695	3974	1997-12-17	VYDAJ	VYBER	800	52420	\N	\N	\N
1160696	3974	1998-12-04	VYDAJ	VYBER	2400	15807	\N	\N	\N
1160703	3974	1997-01-06	VYDAJ	VYBER	1200	33429	\N	\N	\N
1160704	3974	1997-01-15	VYDAJ	VYBER	2100	41370	\N	\N	\N
1160705	3974	1997-01-12	VYDAJ	VYBER	500	28259	\N	\N	\N
1160706	3974	1997-01-05	VYDAJ	VYBER	1600	34629	\N	\N	\N
1160707	3974	1997-01-27	VYDAJ	VYBER	2900	38470	\N	\N	\N
1160708	3974	1997-01-29	VYDAJ	VYBER	700	37770	\N	\N	\N
1160709	3974	1998-01-10	VYDAJ	VYBER	2300	29018	\N	\N	\N
1160710	3974	1998-01-24	VYDAJ	VYBER	2600	40929	\N	\N	\N
1160711	3974	1998-01-19	VYDAJ	VYBER	700	43529	\N	\N	\N
1160712	3974	1998-01-28	VYDAJ	VYBER	2700	30329	\N	\N	\N
1160713	3974	1998-01-08	VYDAJ	VYBER	500	31318	\N	\N	\N
1160714	3974	1998-01-01	VYDAJ	VYBER	2900	36488	\N	\N	\N
1160715	3974	1996-09-06	VYDAJ	VYBER	4800	26903	\N	\N	\N
1160717	3974	1996-08-08	VYDAJ	VYBER	1400	29829	\N	\N	\N
1160718	3974	1996-11-16	VYDAJ	VYBER	2900	38788	\N	\N	\N
1160719	3974	1997-07-30	VYDAJ	VYBER	800	47830	\N	\N	\N
1160720	3974	1997-09-03	VYDAJ	VYBER	1600	32001	\N	\N	\N
1160721	3974	1997-08-21	VYDAJ	VYBER	4800	42545	\N	\N	\N
1160723	3974	1998-08-28	VYDAJ	VYBER	2000	25229	\N	\N	\N
1160724	3974	1998-09-22	VYDAJ	VYBER	600	35311	\N	\N	\N
1160725	3974	1998-11-26	VYDAJ	VYBER	3100	18110	\N	\N	\N
1160733	3974	1996-07-31	VYDAJ	VYBER	15	51799	SLUZBY	\N	\N
1160734	3974	1996-08-31	VYDAJ	VYBER	15	45203	SLUZBY	\N	\N
1160735	3974	1996-09-30	VYDAJ	VYBER	15	37576	SLUZBY	\N	\N
1160736	3974	1996-10-31	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
1160737	3974	1996-11-30	VYDAJ	VYBER	15	38924	SLUZBY	\N	\N
1160738	3974	1996-12-31	VYDAJ	VYBER	15	46929	SLUZBY	\N	\N
1160739	3974	1997-01-31	VYDAJ	VYBER	15	37920	SLUZBY	\N	\N
1160740	3974	1997-02-28	VYDAJ	VYBER	15	40095	SLUZBY	\N	\N
1160741	3974	1997-03-31	VYDAJ	VYBER	15	41780	SLUZBY	\N	\N
1160742	3974	1997-04-30	VYDAJ	VYBER	15	45277	SLUZBY	\N	\N
1160743	3974	1997-05-31	VYDAJ	VYBER	15	43169	SLUZBY	\N	\N
1160744	3974	1997-06-30	VYDAJ	VYBER	15	52289	SLUZBY	\N	\N
1160745	3974	1997-07-31	VYDAJ	VYBER	15	48004	SLUZBY	\N	\N
1160746	3974	1997-08-31	VYDAJ	VYBER	15	33601	SLUZBY	\N	\N
1160747	3974	1997-09-30	VYDAJ	VYBER	15	35081	SLUZBY	\N	\N
1160748	3974	1997-10-31	VYDAJ	VYBER	15	35976	SLUZBY	\N	\N
1160749	3974	1997-11-30	VYDAJ	VYBER	15	35074	SLUZBY	\N	\N
1160750	3974	1997-12-31	VYDAJ	VYBER	15	39388	SLUZBY	\N	\N
1160751	3974	1998-01-31	VYDAJ	VYBER	15	30471	SLUZBY	\N	\N
1160752	3974	1998-02-28	VYDAJ	VYBER	15	32045	SLUZBY	\N	\N
1160753	3974	1998-03-31	VYDAJ	VYBER	15	33326	SLUZBY	\N	\N
1160754	3974	1998-04-30	VYDAJ	VYBER	15	32311	SLUZBY	\N	\N
1160755	3974	1998-05-31	VYDAJ	VYBER	15	31990	SLUZBY	\N	\N
1160756	3974	1998-06-30	VYDAJ	VYBER	15	37290	SLUZBY	\N	\N
1160757	3974	1998-07-31	VYDAJ	VYBER	15	35788	SLUZBY	\N	\N
1160758	3974	1998-08-31	VYDAJ	VYBER	15	25370	SLUZBY	\N	\N
1160759	3974	1998-09-30	VYDAJ	VYBER	15	26819	SLUZBY	\N	\N
1160760	3974	1998-10-31	VYDAJ	VYBER	15	25169	SLUZBY	\N	\N
1160761	3974	1998-11-30	VYDAJ	VYBER	15	18207	SLUZBY	\N	\N
1160762	3974	1996-04-07	PRIJEM	VKLAD	2600	18752	\N	\N	\N
1160763	3974	1996-05-07	VYDAJ	VYBER	5700	28375	\N	\N	\N
1160764	3974	1996-06-06	VYDAJ	VYBER	10700	33052	\N	\N	\N
1160765	3974	1996-07-06	VYDAJ	VYBER	19700	36380	\N	\N	\N
1160766	3974	1996-08-05	VYDAJ	VYBER	15900	35899	\N	\N	\N
1160767	3974	1996-09-04	VYDAJ	VYBER	13500	31703	\N	\N	\N
1160768	3974	1996-10-04	VYDAJ	VYBER	10000	27576	\N	\N	\N
1160769	3974	1996-11-03	VYDAJ	VYBER	7100	31147	\N	\N	\N
1160770	3974	1996-12-03	VYDAJ	VYBER	7900	31024	\N	\N	\N
1160771	3974	1997-01-02	VYDAJ	VYBER	10700	36229	\N	\N	\N
1160772	3974	1997-02-01	VYDAJ	VYBER	8500	29420	\N	\N	\N
1160773	3974	1997-03-03	VYDAJ	VYBER	9000	31095	\N	\N	\N
1160774	3974	1997-04-02	VYDAJ	VYBER	7200	34580	\N	\N	\N
1160775	3974	1997-05-02	VYDAJ	VYBER	12800	32477	\N	\N	\N
1160776	3974	1997-06-01	VYDAJ	VYBER	9200	33969	\N	\N	\N
1160777	3974	1997-07-01	VYDAJ	VYBER	14200	38089	\N	\N	\N
1160778	3974	1997-07-31	VYDAJ	VYBER	11200	36804	\N	\N	\N
1160779	3974	1997-08-30	VYDAJ	VYBER	9100	33445	\N	\N	\N
1160780	3974	1997-09-29	VYDAJ	VYBER	7600	34942	\N	\N	\N
1160781	3974	1997-10-29	VYDAJ	VYBER	9800	35822	\N	\N	\N
1160782	3974	1997-11-28	VYDAJ	VYBER	11600	34917	\N	\N	\N
1160783	3974	1997-12-28	VYDAJ	VYBER	13200	39220	\N	\N	\N
1160784	3974	1998-01-27	VYDAJ	VYBER	7900	33029	\N	\N	\N
1160785	3974	1998-02-26	VYDAJ	VYBER	9100	31912	\N	\N	\N
1160786	3974	1998-03-28	VYDAJ	VYBER	9400	33186	\N	\N	\N
1160787	3974	1998-04-27	VYDAJ	VYBER	11700	32167	\N	\N	\N
1160788	3974	1998-05-27	VYDAJ	VYBER	11000	31852	\N	\N	\N
1160789	3974	1998-06-26	VYDAJ	VYBER	13000	37136	\N	\N	\N
1160790	3974	1998-07-26	VYDAJ	VYBER	12200	35631	\N	\N	\N
1160791	3974	1998-08-25	VYDAJ	VYBER	19100	27229	\N	\N	\N
1160792	3974	1998-09-24	VYDAJ	VYBER	8600	26711	\N	\N	\N
1160793	3974	1998-10-24	VYDAJ	VYBER	12300	25060	\N	\N	\N
1160794	3974	1998-11-23	VYDAJ	VYBER	14500	21210	\N	\N	\N
1160829	3975	1994-10-02	PRIJEM	VKLAD	400	400	\N	\N	\N
1160839	3975	1994-10-05	PRIJEM	PREVOD Z UCTU	3404	3804	\N	IJ	7500261
1160840	3975	1994-11-05	PRIJEM	PREVOD Z UCTU	3404	7222	\N	IJ	7500261
1160841	3975	1994-12-05	PRIJEM	PREVOD Z UCTU	3404	10642	\N	IJ	7500261
1160842	3975	1995-01-05	PRIJEM	PREVOD Z UCTU	3404	14062	\N	IJ	7500261
1160843	3975	1995-02-05	PRIJEM	PREVOD Z UCTU	3404	17481	\N	IJ	7500261
1160844	3975	1995-03-05	PRIJEM	PREVOD Z UCTU	3404	18653	\N	IJ	7500261
1160845	3975	1995-04-05	PRIJEM	PREVOD Z UCTU	3404	18517	\N	IJ	7500261
1160846	3975	1995-05-05	PRIJEM	PREVOD Z UCTU	3404	18531	\N	IJ	7500261
1160847	3975	1995-06-05	PRIJEM	PREVOD Z UCTU	3404	16538	\N	IJ	7500261
1160848	3975	1995-07-05	PRIJEM	PREVOD Z UCTU	3404	17720	\N	IJ	7500261
1160849	3975	1995-08-05	PRIJEM	PREVOD Z UCTU	3404	18903	\N	IJ	7500261
1160850	3975	1995-09-05	PRIJEM	PREVOD Z UCTU	3404	20092	\N	IJ	7500261
1160851	3975	1995-10-05	PRIJEM	PREVOD Z UCTU	3404	21286	\N	IJ	7500261
1160852	3975	1995-11-05	PRIJEM	PREVOD Z UCTU	3404	22484	\N	IJ	7500261
1160853	3975	1995-12-05	PRIJEM	PREVOD Z UCTU	3404	23417	\N	IJ	7500261
1160854	3975	1996-01-05	PRIJEM	PREVOD Z UCTU	3404	23782	\N	IJ	7500261
1160855	3975	1996-02-05	PRIJEM	PREVOD Z UCTU	3404	20334	\N	IJ	7500261
1160856	3975	1996-03-05	PRIJEM	PREVOD Z UCTU	3404	19968	\N	IJ	7500261
1160857	3975	1996-04-05	PRIJEM	PREVOD Z UCTU	3404	21161	\N	IJ	7500261
1160858	3975	1996-05-05	PRIJEM	PREVOD Z UCTU	3404	22359	\N	IJ	7500261
1160859	3975	1996-06-05	PRIJEM	PREVOD Z UCTU	3404	23562	\N	IJ	7500261
1160860	3975	1996-07-05	PRIJEM	PREVOD Z UCTU	3404	18012	\N	IJ	7500261
1160861	3975	1996-08-05	PRIJEM	PREVOD Z UCTU	3404	18475	\N	IJ	7500261
1160862	3975	1996-09-05	PRIJEM	PREVOD Z UCTU	3404	18882	\N	IJ	7500261
1160863	3975	1996-10-05	PRIJEM	PREVOD Z UCTU	3404	18600	\N	IJ	7500261
1160864	3975	1996-11-05	PRIJEM	PREVOD Z UCTU	3404	19788	\N	IJ	7500261
1160865	3975	1996-12-05	PRIJEM	PREVOD Z UCTU	3404	20590	\N	IJ	7500261
1160866	3975	1997-01-05	PRIJEM	PREVOD Z UCTU	3404	20977	\N	IJ	7500261
1160867	3975	1997-02-05	PRIJEM	PREVOD Z UCTU	3404	18029	\N	IJ	7500261
1160868	3975	1997-03-05	PRIJEM	PREVOD Z UCTU	3404	17953	\N	IJ	7500261
1160869	3975	1997-04-05	PRIJEM	PREVOD Z UCTU	3404	19137	\N	IJ	7500261
1160870	3975	1997-05-05	PRIJEM	PREVOD Z UCTU	3404	18226	\N	IJ	7500261
1160871	3975	1997-06-05	PRIJEM	PREVOD Z UCTU	3404	19411	\N	IJ	7500261
1160872	3975	1997-07-05	PRIJEM	PREVOD Z UCTU	3404	20391	\N	IJ	7500261
1160873	3975	1997-08-05	PRIJEM	PREVOD Z UCTU	3404	21585	\N	IJ	7500261
1160874	3975	1997-09-05	PRIJEM	PREVOD Z UCTU	3404	22784	\N	IJ	7500261
1160875	3975	1997-10-05	PRIJEM	PREVOD Z UCTU	3404	23989	\N	IJ	7500261
1160876	3975	1997-11-05	PRIJEM	PREVOD Z UCTU	3404	25198	\N	IJ	7500261
1160877	3975	1997-12-05	PRIJEM	PREVOD Z UCTU	3404	26412	\N	IJ	7500261
1160878	3975	1998-01-05	PRIJEM	PREVOD Z UCTU	3404	26549	\N	IJ	7500261
1160879	3975	1998-02-05	PRIJEM	PREVOD Z UCTU	3404	21940	\N	IJ	7500261
1160880	3975	1998-03-05	PRIJEM	PREVOD Z UCTU	3404	21280	\N	IJ	7500261
1160881	3975	1998-04-05	PRIJEM	PREVOD Z UCTU	3404	22119	\N	IJ	7500261
1160882	3975	1998-05-05	PRIJEM	PREVOD Z UCTU	3404	22539	\N	IJ	7500261
1160883	3975	1998-06-05	PRIJEM	PREVOD Z UCTU	3404	23741	\N	IJ	7500261
1160884	3975	1998-07-05	PRIJEM	PREVOD Z UCTU	3404	23416	\N	IJ	7500261
1160885	3975	1998-08-05	PRIJEM	PREVOD Z UCTU	3404	23331	\N	IJ	7500261
1160886	3975	1998-09-05	PRIJEM	PREVOD Z UCTU	3404	24537	\N	IJ	7500261
1160887	3975	1998-10-05	PRIJEM	PREVOD Z UCTU	3404	24996	\N	IJ	7500261
1160888	3975	1998-11-05	PRIJEM	PREVOD Z UCTU	3404	24739	\N	IJ	7500261
1160889	3975	1998-12-05	PRIJEM	PREVOD Z UCTU	3404	25471	\N	IJ	7500261
1160903	3975	1995-02-08	VYDAJ	PREVOD NA UCET	2269	15212	SIPO	YZ	22444594
1160904	3975	1995-03-08	VYDAJ	PREVOD NA UCET	2269	16384	SIPO	YZ	22444594
1160905	3975	1995-04-08	VYDAJ	PREVOD NA UCET	2269	16248	SIPO	YZ	22444594
1160906	3975	1995-05-08	VYDAJ	PREVOD NA UCET	2269	16262	SIPO	YZ	22444594
1160907	3975	1995-06-08	VYDAJ	PREVOD NA UCET	2269	14269	SIPO	YZ	22444594
1160908	3975	1995-07-08	VYDAJ	PREVOD NA UCET	2269	15451	SIPO	YZ	22444594
1160909	3975	1995-08-08	VYDAJ	PREVOD NA UCET	2269	16634	SIPO	YZ	22444594
1160910	3975	1995-09-08	VYDAJ	PREVOD NA UCET	2269	17823	SIPO	YZ	22444594
1160911	3975	1995-10-08	VYDAJ	PREVOD NA UCET	2269	19017	SIPO	YZ	22444594
1160912	3975	1995-11-08	VYDAJ	PREVOD NA UCET	2269	20215	SIPO	YZ	22444594
1160913	3975	1995-12-08	VYDAJ	PREVOD NA UCET	2269	21148	SIPO	YZ	22444594
1160914	3975	1996-01-08	VYDAJ	PREVOD NA UCET	2269	21513	SIPO	YZ	22444594
1160915	3975	1996-02-08	VYDAJ	PREVOD NA UCET	2269	17735	SIPO	YZ	22444594
1160916	3975	1996-03-08	VYDAJ	PREVOD NA UCET	2269	17699	SIPO	YZ	22444594
1160917	3975	1996-04-08	VYDAJ	PREVOD NA UCET	2269	18892	SIPO	YZ	22444594
1160918	3975	1996-05-08	VYDAJ	PREVOD NA UCET	2269	20090	SIPO	YZ	22444594
1160919	3975	1996-06-08	VYDAJ	PREVOD NA UCET	2269	21293	SIPO	YZ	22444594
1160920	3975	1996-07-08	VYDAJ	PREVOD NA UCET	2269	15023	SIPO	YZ	22444594
1160921	3975	1996-08-08	VYDAJ	PREVOD NA UCET	2269	16206	SIPO	YZ	22444594
1160922	3975	1996-09-08	VYDAJ	PREVOD NA UCET	2269	16613	SIPO	YZ	22444594
1160923	3975	1996-10-08	VYDAJ	PREVOD NA UCET	2269	16331	SIPO	YZ	22444594
1160924	3975	1996-11-08	VYDAJ	PREVOD NA UCET	2269	17519	SIPO	YZ	22444594
1160925	3975	1996-12-08	VYDAJ	PREVOD NA UCET	2269	18321	SIPO	YZ	22444594
1160926	3975	1997-01-08	VYDAJ	PREVOD NA UCET	2269	17898	SIPO	YZ	22444594
1160927	3975	1997-02-08	VYDAJ	PREVOD NA UCET	2269	15760	SIPO	YZ	22444594
1160928	3975	1997-03-08	VYDAJ	PREVOD NA UCET	2269	15684	SIPO	YZ	22444594
1160929	3975	1997-04-08	VYDAJ	PREVOD NA UCET	2269	16868	SIPO	YZ	22444594
1160930	3975	1997-05-08	VYDAJ	PREVOD NA UCET	2269	15957	SIPO	YZ	22444594
1160931	3975	1997-06-08	VYDAJ	PREVOD NA UCET	2269	17142	SIPO	YZ	22444594
1160932	3975	1997-07-08	VYDAJ	PREVOD NA UCET	2269	18122	SIPO	YZ	22444594
1160933	3975	1997-08-08	VYDAJ	PREVOD NA UCET	2269	19316	SIPO	YZ	22444594
1160934	3975	1997-09-08	VYDAJ	PREVOD NA UCET	2269	20515	SIPO	YZ	22444594
1160935	3975	1997-10-08	VYDAJ	PREVOD NA UCET	2269	21720	SIPO	YZ	22444594
1160936	3975	1997-11-08	VYDAJ	PREVOD NA UCET	2269	22929	SIPO	YZ	22444594
1160937	3975	1997-12-08	VYDAJ	PREVOD NA UCET	2269	24143	SIPO	YZ	22444594
1160938	3975	1998-01-08	VYDAJ	PREVOD NA UCET	2269	23980	SIPO	YZ	22444594
1160939	3975	1998-02-08	VYDAJ	PREVOD NA UCET	2269	19041	SIPO	YZ	22444594
1160940	3975	1998-03-08	VYDAJ	PREVOD NA UCET	2269	19011	SIPO	YZ	22444594
1160941	3975	1998-04-08	VYDAJ	PREVOD NA UCET	2269	19850	SIPO	YZ	22444594
1160942	3975	1998-05-08	VYDAJ	PREVOD NA UCET	2269	20270	SIPO	YZ	22444594
1160943	3975	1998-06-08	VYDAJ	PREVOD NA UCET	2269	21472	SIPO	YZ	22444594
1160944	3975	1998-07-08	VYDAJ	PREVOD NA UCET	2269	21147	SIPO	YZ	22444594
1160945	3975	1998-08-08	VYDAJ	PREVOD NA UCET	2269	21062	SIPO	YZ	22444594
1160946	3975	1998-09-08	VYDAJ	PREVOD NA UCET	2269	22268	SIPO	YZ	22444594
1160947	3975	1998-10-08	VYDAJ	PREVOD NA UCET	2269	22727	SIPO	YZ	22444594
1160948	3975	1998-11-08	VYDAJ	PREVOD NA UCET	2269	22470	SIPO	YZ	22444594
1160949	3975	1998-12-08	VYDAJ	PREVOD NA UCET	2269	23202	SIPO	YZ	22444594
1160951	3975	1995-06-02	VYDAJ	VYBER	3180	13134	\N	\N	\N
1160952	3975	1996-06-23	VYDAJ	VYBER	6750	14543	\N	\N	\N
1160954	3975	1998-06-15	VYDAJ	VYBER	1530	19942	\N	\N	\N
1160957	3975	1996-01-23	VYDAJ	VYBER	420	18483	\N	\N	\N
1160958	3975	1997-01-27	VYDAJ	VYBER	930	14568	\N	\N	\N
1160959	3975	1998-01-16	VYDAJ	VYBER	2670	21070	\N	\N	\N
1160961	3975	1995-12-09	VYDAJ	VYBER	840	20308	\N	\N	\N
1160962	3975	1996-12-03	VYDAJ	VYBER	390	17186	\N	\N	\N
1160963	3975	1997-12-14	VYDAJ	VYBER	630	23513	\N	\N	\N
1160964	3975	1998-12-17	VYDAJ	VYBER	450	22752	\N	\N	\N
1160977	3975	1996-01-10	VYDAJ	VYBER	180	21333	\N	\N	\N
1160978	3975	1996-01-21	VYDAJ	VYBER	630	19173	\N	\N	\N
1160979	3975	1996-01-23	VYDAJ	VYBER	870	17613	\N	\N	\N
1160980	3975	1996-01-20	VYDAJ	VYBER	660	19803	\N	\N	\N
1160981	3975	1996-01-14	VYDAJ	VYBER	870	20463	\N	\N	\N
1160982	3975	1996-01-27	VYDAJ	VYBER	750	16863	\N	\N	\N
1160983	3975	1997-01-02	VYDAJ	VYBER	810	17573	\N	\N	\N
1160984	3975	1997-01-20	VYDAJ	VYBER	240	16848	\N	\N	\N
1160985	3975	1997-01-14	VYDAJ	VYBER	570	17328	\N	\N	\N
1160986	3975	1997-01-15	VYDAJ	VYBER	240	17088	\N	\N	\N
1160987	3975	1997-01-05	VYDAJ	VYBER	810	20167	\N	\N	\N
1160988	3975	1997-01-23	VYDAJ	VYBER	330	15498	\N	\N	\N
1160989	3975	1998-01-29	VYDAJ	VYBER	420	18460	\N	\N	\N
1160990	3975	1998-01-12	VYDAJ	VYBER	240	23740	\N	\N	\N
1160991	3975	1998-01-26	VYDAJ	VYBER	750	19690	\N	\N	\N
1160992	3975	1998-01-27	VYDAJ	VYBER	810	18880	\N	\N	\N
1160993	3975	1998-01-06	VYDAJ	VYBER	300	26249	\N	\N	\N
1160994	3975	1998-01-20	VYDAJ	VYBER	630	20440	\N	\N	\N
1161001	3975	1995-03-09	VYDAJ	VYBER	1320	15064	\N	\N	\N
1161002	3975	1995-04-12	VYDAJ	VYBER	1170	15078	\N	\N	\N
1161003	3975	1995-11-21	VYDAJ	VYBER	270	19945	\N	\N	\N
1161004	3975	1996-02-27	VYDAJ	VYBER	1230	16505	\N	\N	\N
1161005	3975	1996-08-08	VYDAJ	VYBER	780	15426	\N	\N	\N
1161006	3975	1996-09-30	VYDAJ	VYBER	1470	15196	\N	\N	\N
1161007	3975	1996-07-07	VYDAJ	VYBER	720	17292	\N	\N	\N
1161008	3975	1996-02-06	VYDAJ	VYBER	330	20004	\N	\N	\N
1161009	3975	1996-01-21	VYDAJ	VYBER	270	18903	\N	\N	\N
1161010	3975	1997-06-17	VYDAJ	VYBER	210	16932	\N	\N	\N
1161011	3975	1997-12-23	VYDAJ	VYBER	450	23063	\N	\N	\N
1161012	3975	1997-01-23	VYDAJ	VYBER	1020	15828	\N	\N	\N
1161013	3975	1997-02-27	VYDAJ	VYBER	1260	14500	\N	\N	\N
1161014	3975	1997-04-28	VYDAJ	VYBER	1380	15488	\N	\N	\N
1161015	3975	1997-04-29	VYDAJ	VYBER	720	14768	\N	\N	\N
1161016	3975	1998-10-30	VYDAJ	VYBER	1470	21257	\N	\N	\N
1161017	3975	1998-03-19	VYDAJ	VYBER	360	18651	\N	\N	\N
1161018	3975	1998-03-02	VYDAJ	VYBER	1230	17876	\N	\N	\N
1161019	3975	1998-12-04	VYDAJ	VYBER	480	22067	\N	\N	\N
1161020	3975	1998-07-24	VYDAJ	VYBER	1290	19857	\N	\N	\N
1161021	3975	1998-04-17	VYDAJ	VYBER	780	19070	\N	\N	\N
1161022	3975	1998-02-05	VYDAJ	VYBER	630	21310	\N	\N	\N
1161023	3975	1998-09-16	VYDAJ	VYBER	750	21518	\N	\N	\N
1161038	3975	1995-02-28	VYDAJ	VYBER	15	15249	SLUZBY	\N	\N
1161039	3975	1995-03-31	VYDAJ	VYBER	15	15113	SLUZBY	\N	\N
1161040	3975	1995-04-30	VYDAJ	VYBER	15	15127	SLUZBY	\N	\N
1161041	3975	1995-05-31	VYDAJ	VYBER	15	16314	SLUZBY	\N	\N
1161042	3975	1995-06-30	VYDAJ	VYBER	15	14316	SLUZBY	\N	\N
1161043	3975	1995-07-31	VYDAJ	VYBER	15	15499	SLUZBY	\N	\N
1161044	3975	1995-08-31	VYDAJ	VYBER	15	16688	SLUZBY	\N	\N
1161045	3975	1995-09-30	VYDAJ	VYBER	15	17882	SLUZBY	\N	\N
1161046	3975	1995-10-31	VYDAJ	VYBER	15	19080	SLUZBY	\N	\N
1161047	3975	1995-11-30	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
1161048	3975	1995-12-31	VYDAJ	VYBER	15	20378	SLUZBY	\N	\N
1161049	3975	1996-01-31	VYDAJ	VYBER	15	16930	SLUZBY	\N	\N
1161050	3975	1996-02-29	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
1161051	3975	1996-03-31	VYDAJ	VYBER	15	17757	SLUZBY	\N	\N
1161052	3975	1996-04-30	VYDAJ	VYBER	15	18955	SLUZBY	\N	\N
1161053	3975	1996-05-31	VYDAJ	VYBER	15	20158	SLUZBY	\N	\N
1161054	3975	1996-06-30	VYDAJ	VYBER	15	14608	SLUZBY	\N	\N
1161055	3975	1996-07-31	VYDAJ	VYBER	15	15071	SLUZBY	\N	\N
1161056	3975	1996-08-31	VYDAJ	VYBER	15	15478	SLUZBY	\N	\N
1161057	3975	1996-09-30	VYDAJ	VYBER	15	16666	SLUZBY	\N	\N
1161058	3975	1996-10-31	VYDAJ	VYBER	15	16384	SLUZBY	\N	\N
1161059	3975	1996-11-30	VYDAJ	VYBER	15	17576	SLUZBY	\N	\N
1161060	3975	1996-12-31	VYDAJ	VYBER	15	18383	SLUZBY	\N	\N
1161061	3975	1997-01-31	VYDAJ	VYBER	15	14625	SLUZBY	\N	\N
1161062	3975	1997-02-28	VYDAJ	VYBER	15	14549	SLUZBY	\N	\N
1161063	3975	1997-03-31	VYDAJ	VYBER	15	15733	SLUZBY	\N	\N
1161064	3975	1997-04-30	VYDAJ	VYBER	15	14822	SLUZBY	\N	\N
1161065	3975	1997-05-31	VYDAJ	VYBER	15	16007	SLUZBY	\N	\N
1161066	3975	1997-06-30	VYDAJ	VYBER	15	16987	SLUZBY	\N	\N
1161067	3975	1997-07-31	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
1161068	3975	1997-08-31	VYDAJ	VYBER	15	19380	SLUZBY	\N	\N
1161069	3975	1997-09-30	VYDAJ	VYBER	15	20585	SLUZBY	\N	\N
1161070	3975	1997-10-31	VYDAJ	VYBER	15	21794	SLUZBY	\N	\N
1161071	3975	1997-11-30	VYDAJ	VYBER	15	23008	SLUZBY	\N	\N
1161072	3975	1997-12-31	VYDAJ	VYBER	15	23145	SLUZBY	\N	\N
1161073	3975	1998-01-31	VYDAJ	VYBER	15	18536	SLUZBY	\N	\N
1161074	3975	1998-02-28	VYDAJ	VYBER	15	19106	SLUZBY	\N	\N
1161075	3975	1998-03-31	VYDAJ	VYBER	15	18715	SLUZBY	\N	\N
1161076	3975	1998-04-30	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
1161077	3975	1998-05-31	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
1161078	3975	1998-06-30	VYDAJ	VYBER	15	20012	SLUZBY	\N	\N
1161079	3975	1998-07-31	VYDAJ	VYBER	15	19927	SLUZBY	\N	\N
1161080	3975	1998-08-31	VYDAJ	VYBER	15	21133	SLUZBY	\N	\N
1161081	3975	1998-09-30	VYDAJ	VYBER	15	21592	SLUZBY	\N	\N
1161082	3975	1998-10-31	VYDAJ	VYBER	15	21335	SLUZBY	\N	\N
1161083	3975	1998-11-30	VYDAJ	VYBER	15	22547	SLUZBY	\N	\N
1161135	3976	1996-04-15	PRIJEM	VKLAD	600	600	\N	\N	\N
1161140	3976	1996-05-06	PRIJEM	PREVOD Z UCTU	6453	7053	DUCHOD	QR	14451557
1161141	3976	1996-06-06	PRIJEM	PREVOD Z UCTU	6453	13506	DUCHOD	QR	14451557
1161142	3976	1996-07-06	PRIJEM	PREVOD Z UCTU	6453	19959	DUCHOD	QR	14451557
1161143	3976	1996-08-06	PRIJEM	PREVOD Z UCTU	6453	26412	DUCHOD	QR	14451557
1161144	3976	1996-09-06	PRIJEM	PREVOD Z UCTU	6453	29123	DUCHOD	QR	14451557
1161145	3976	1996-10-06	PRIJEM	PREVOD Z UCTU	6453	31150	DUCHOD	QR	14451557
1161146	3976	1996-11-06	PRIJEM	PREVOD Z UCTU	6453	29275	DUCHOD	QR	14451557
1161147	3976	1996-12-06	PRIJEM	PREVOD Z UCTU	6453	29197	DUCHOD	QR	14451557
1161148	3976	1997-01-06	PRIJEM	PREVOD Z UCTU	6453	18914	DUCHOD	QR	14451557
1161149	3976	1997-02-06	PRIJEM	PREVOD Z UCTU	6453	20765	DUCHOD	QR	14451557
1161150	3976	1997-03-06	PRIJEM	PREVOD Z UCTU	6453	22220	DUCHOD	QR	14451557
1161151	3976	1997-04-06	PRIJEM	PREVOD Z UCTU	6453	25221	DUCHOD	QR	14451557
1161152	3976	1997-05-06	PRIJEM	PREVOD Z UCTU	6453	28636	DUCHOD	QR	14451557
1161153	3976	1997-06-06	PRIJEM	PREVOD Z UCTU	6453	28654	DUCHOD	QR	14451557
1161154	3976	1997-07-06	PRIJEM	PREVOD Z UCTU	6453	25864	DUCHOD	QR	14451557
1161155	3976	1997-08-06	PRIJEM	PREVOD Z UCTU	6453	25496	DUCHOD	QR	14451557
1161156	3976	1997-09-06	PRIJEM	PREVOD Z UCTU	6453	28008	DUCHOD	QR	14451557
1161157	3976	1997-10-06	PRIJEM	PREVOD Z UCTU	6453	26518	DUCHOD	QR	14451557
1161158	3976	1997-11-06	PRIJEM	PREVOD Z UCTU	6453	19891	DUCHOD	QR	14451557
1161159	3976	1997-12-06	PRIJEM	PREVOD Z UCTU	6453	16660	DUCHOD	QR	14451557
1161160	3976	1998-01-06	PRIJEM	PREVOD Z UCTU	6453	15424	DUCHOD	QR	14451557
1161161	3976	1998-02-06	PRIJEM	PREVOD Z UCTU	6453	18296	DUCHOD	QR	14451557
1161162	3976	1998-03-06	PRIJEM	PREVOD Z UCTU	6453	18853	DUCHOD	QR	14451557
1161163	3976	1998-04-06	PRIJEM	PREVOD Z UCTU	6453	15820	DUCHOD	QR	14451557
1161164	3976	1998-05-06	PRIJEM	PREVOD Z UCTU	6453	19897	DUCHOD	QR	14451557
1161165	3976	1998-06-06	PRIJEM	PREVOD Z UCTU	6453	23992	DUCHOD	QR	14451557
1161166	3976	1998-07-06	PRIJEM	PREVOD Z UCTU	6453	25599	DUCHOD	QR	14451557
1161167	3976	1998-08-06	PRIJEM	PREVOD Z UCTU	6453	28595	DUCHOD	QR	14451557
1161168	3976	1998-09-06	PRIJEM	PREVOD Z UCTU	6453	30625	DUCHOD	QR	14451557
1161169	3976	1998-10-06	PRIJEM	PREVOD Z UCTU	6453	33366	DUCHOD	QR	14451557
1161170	3976	1998-11-06	PRIJEM	PREVOD Z UCTU	6453	34398	DUCHOD	QR	14451557
1161171	3976	1998-12-06	PRIJEM	PREVOD Z UCTU	6453	38556	DUCHOD	QR	14451557
1161180	3976	1996-09-07	VYDAJ	PREVOD NA UCET	967	28156	SIPO	ST	59522145
1161181	3976	1996-10-07	VYDAJ	PREVOD NA UCET	967	30183	SIPO	ST	59522145
1161182	3976	1996-11-07	VYDAJ	PREVOD NA UCET	967	28308	SIPO	ST	59522145
1161183	3976	1996-12-07	VYDAJ	PREVOD NA UCET	967	28230	SIPO	ST	59522145
1161184	3976	1997-01-07	VYDAJ	PREVOD NA UCET	967	17947	SIPO	ST	59522145
1161185	3976	1997-02-07	VYDAJ	PREVOD NA UCET	967	19798	SIPO	ST	59522145
1161186	3976	1997-03-07	VYDAJ	PREVOD NA UCET	967	21253	SIPO	ST	59522145
1161187	3976	1997-04-07	VYDAJ	PREVOD NA UCET	967	24254	SIPO	ST	59522145
1161188	3976	1997-05-07	VYDAJ	PREVOD NA UCET	967	27669	SIPO	ST	59522145
1161189	3976	1997-06-07	VYDAJ	PREVOD NA UCET	967	27687	SIPO	ST	59522145
1161190	3976	1997-07-07	VYDAJ	PREVOD NA UCET	967	24897	SIPO	ST	59522145
1161191	3976	1997-08-07	VYDAJ	PREVOD NA UCET	967	24529	SIPO	ST	59522145
1161192	3976	1997-09-07	VYDAJ	PREVOD NA UCET	967	27041	SIPO	ST	59522145
1161193	3976	1997-10-07	VYDAJ	PREVOD NA UCET	967	25551	SIPO	ST	59522145
1161194	3976	1997-11-07	VYDAJ	PREVOD NA UCET	967	11624	SIPO	ST	59522145
1161195	3976	1997-12-07	VYDAJ	PREVOD NA UCET	967	10393	SIPO	ST	59522145
1161196	3976	1998-01-07	VYDAJ	PREVOD NA UCET	967	14457	SIPO	ST	59522145
1161197	3976	1998-02-07	VYDAJ	PREVOD NA UCET	967	17329	SIPO	ST	59522145
1161198	3976	1998-03-07	VYDAJ	PREVOD NA UCET	967	10786	SIPO	ST	59522145
1161199	3976	1998-04-07	VYDAJ	PREVOD NA UCET	967	14853	SIPO	ST	59522145
1161200	3976	1998-05-07	VYDAJ	PREVOD NA UCET	967	18930	SIPO	ST	59522145
1161201	3976	1998-06-07	VYDAJ	PREVOD NA UCET	967	23025	SIPO	ST	59522145
1161202	3976	1998-07-07	VYDAJ	PREVOD NA UCET	967	24632	SIPO	ST	59522145
1161203	3976	1998-08-07	VYDAJ	PREVOD NA UCET	967	27628	SIPO	ST	59522145
1161204	3976	1998-09-07	VYDAJ	PREVOD NA UCET	967	29658	SIPO	ST	59522145
1161205	3976	1998-10-07	VYDAJ	PREVOD NA UCET	967	32399	SIPO	ST	59522145
1161206	3976	1998-11-07	VYDAJ	PREVOD NA UCET	967	33431	SIPO	ST	59522145
1161207	3976	1998-12-07	VYDAJ	PREVOD NA UCET	967	37589	SIPO	ST	59522145
1161216	3976	1996-09-10	VYDAJ	PREVOD NA UCET	1447	26709	 	ST	8696937
1161217	3976	1996-10-10	VYDAJ	PREVOD NA UCET	1447	28736	 	ST	8696937
1161218	3976	1996-11-10	VYDAJ	PREVOD NA UCET	1447	26861	 	ST	8696937
1161219	3976	1996-12-10	VYDAJ	PREVOD NA UCET	1447	26783	 	ST	8696937
1161220	3976	1997-01-10	VYDAJ	PREVOD NA UCET	1447	16500	 	ST	8696937
1161221	3976	1997-02-10	VYDAJ	PREVOD NA UCET	1447	17551	 	ST	8696937
1161222	3976	1997-03-10	VYDAJ	PREVOD NA UCET	1447	19806	 	ST	8696937
1161223	3976	1997-04-10	VYDAJ	PREVOD NA UCET	1447	22807	 	ST	8696937
1161224	3976	1997-05-10	VYDAJ	PREVOD NA UCET	1447	26222	 	ST	8696937
1161225	3976	1997-06-10	VYDAJ	PREVOD NA UCET	1447	19340	 	ST	8696937
1161226	3976	1997-07-10	VYDAJ	PREVOD NA UCET	1447	22250	 	ST	8696937
1161227	3976	1997-08-10	VYDAJ	PREVOD NA UCET	1447	21482	 	ST	8696937
1161228	3976	1997-09-10	VYDAJ	PREVOD NA UCET	1447	19994	 	ST	8696937
1161229	3976	1997-10-10	VYDAJ	PREVOD NA UCET	1447	16504	 	ST	8696937
1161230	3976	1997-11-10	VYDAJ	PREVOD NA UCET	1447	10177	 	ST	8696937
1161231	3976	1997-12-10	VYDAJ	PREVOD NA UCET	1447	8946	 	ST	8696937
1161232	3976	1998-01-10	VYDAJ	PREVOD NA UCET	1447	11810	 	ST	8696937
1161233	3976	1998-02-10	VYDAJ	PREVOD NA UCET	1447	12362	 	ST	8696937
1161234	3976	1998-03-10	VYDAJ	PREVOD NA UCET	1447	9339	 	ST	8696937
1161235	3976	1998-04-10	VYDAJ	PREVOD NA UCET	1447	13406	 	ST	8696937
1161236	3976	1998-05-10	VYDAJ	PREVOD NA UCET	1447	17483	 	ST	8696937
1161237	3976	1998-06-10	VYDAJ	PREVOD NA UCET	1447	21578	 	ST	8696937
1161238	3976	1998-07-10	VYDAJ	PREVOD NA UCET	1447	23185	 	ST	8696937
1161239	3976	1998-08-10	VYDAJ	PREVOD NA UCET	1447	26181	 	ST	8696937
1161240	3976	1998-09-10	VYDAJ	PREVOD NA UCET	1447	28211	 	ST	8696937
1161241	3976	1998-10-10	VYDAJ	PREVOD NA UCET	1447	30952	 	ST	8696937
1161242	3976	1998-11-10	VYDAJ	PREVOD NA UCET	1447	31984	 	ST	8696937
1161243	3976	1998-12-10	VYDAJ	PREVOD NA UCET	1447	36142	 	ST	8696937
1161246	3976	1998-06-15	VYDAJ	VYBER	1900	19678	\N	\N	\N
1161248	3976	1997-01-03	VYDAJ	VYBER	4850	13421	\N	\N	\N
1161250	3976	1996-12-29	VYDAJ	VYBER	1050	20033	\N	\N	\N
1161252	3976	1998-12-13	VYDAJ	VYBER	1250	34892	\N	\N	\N
1161259	3976	1997-01-25	VYDAJ	VYBER	400	14260	\N	\N	\N
1161260	3976	1997-01-04	VYDAJ	VYBER	960	12461	\N	\N	\N
1161261	3976	1997-01-23	VYDAJ	VYBER	720	14660	\N	\N	\N
1161262	3976	1997-01-16	VYDAJ	VYBER	1120	15380	\N	\N	\N
1161263	3976	1997-01-03	VYDAJ	VYBER	800	18271	\N	\N	\N
1161266	3976	1998-01-08	VYDAJ	VYBER	1200	13257	\N	\N	\N
1161277	3976	1997-02-28	VYDAJ	VYBER	1840	15767	\N	\N	\N
1161278	3976	1997-10-16	VYDAJ	VYBER	3120	13384	\N	\N	\N
1161279	3976	1997-01-03	VYDAJ	VYBER	1040	19071	\N	\N	\N
1161282	3976	1997-07-22	VYDAJ	VYBER	3280	18970	\N	\N	\N
1161284	3976	1998-11-03	VYDAJ	VYBER	3120	27945	\N	\N	\N
1161285	3976	1998-07-11	VYDAJ	VYBER	1120	22065	\N	\N	\N
1161286	3976	1998-12-28	VYDAJ	VYBER	3360	31532	\N	\N	\N
1161287	3976	1998-02-07	VYDAJ	VYBER	3520	13809	\N	\N	\N
1161297	3976	1996-09-30	VYDAJ	VYBER	15	24697	SLUZBY	\N	\N
1161298	3976	1996-10-31	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
1161299	3976	1996-11-30	VYDAJ	VYBER	15	22744	SLUZBY	\N	\N
1161300	3976	1996-12-31	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
1161301	3976	1997-01-31	VYDAJ	VYBER	15	14312	SLUZBY	\N	\N
1161302	3976	1997-02-28	VYDAJ	VYBER	15	17607	SLUZBY	\N	\N
1161303	3976	1997-03-31	VYDAJ	VYBER	15	18768	SLUZBY	\N	\N
1161304	3976	1997-04-30	VYDAJ	VYBER	15	22183	SLUZBY	\N	\N
1161305	3976	1997-05-31	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
1161306	3976	1997-06-30	VYDAJ	VYBER	15	19411	SLUZBY	\N	\N
1161307	3976	1997-07-31	VYDAJ	VYBER	15	19043	SLUZBY	\N	\N
1161308	3976	1997-08-31	VYDAJ	VYBER	15	21555	SLUZBY	\N	\N
1161309	3976	1997-09-30	VYDAJ	VYBER	15	20065	SLUZBY	\N	\N
1161310	3976	1997-10-31	VYDAJ	VYBER	15	13438	SLUZBY	\N	\N
1161311	3976	1997-11-30	VYDAJ	VYBER	15	10207	SLUZBY	\N	\N
1161312	3976	1997-12-31	VYDAJ	VYBER	15	8971	SLUZBY	\N	\N
1161313	3976	1998-01-31	VYDAJ	VYBER	15	11843	SLUZBY	\N	\N
1161314	3976	1998-02-28	VYDAJ	VYBER	15	12400	SLUZBY	\N	\N
1161315	3976	1998-03-31	VYDAJ	VYBER	15	9367	SLUZBY	\N	\N
1161316	3976	1998-04-30	VYDAJ	VYBER	15	13444	SLUZBY	\N	\N
1161317	3976	1998-05-31	VYDAJ	VYBER	15	17539	SLUZBY	\N	\N
1161318	3976	1998-06-30	VYDAJ	VYBER	15	19746	SLUZBY	\N	\N
1161319	3976	1998-07-31	VYDAJ	VYBER	15	22142	SLUZBY	\N	\N
1161320	3976	1998-08-31	VYDAJ	VYBER	15	26272	SLUZBY	\N	\N
1161321	3976	1998-09-30	VYDAJ	VYBER	15	28313	SLUZBY	\N	\N
1161322	3976	1998-10-31	VYDAJ	VYBER	15	31065	SLUZBY	\N	\N
1161323	3976	1998-11-30	VYDAJ	VYBER	15	32103	SLUZBY	\N	\N
1161324	3976	1996-08-13	VYDAJ	VYBER	3800	22612	\N	\N	\N
1161325	3976	1996-09-12	VYDAJ	VYBER	2100	24609	\N	\N	\N
1161326	3976	1996-10-12	VYDAJ	VYBER	6000	22736	\N	\N	\N
1161327	3976	1996-11-11	VYDAJ	VYBER	4200	22661	\N	\N	\N
1161328	3976	1996-12-11	VYDAJ	VYBER	5700	21083	\N	\N	\N
1161329	3976	1997-02-09	VYDAJ	VYBER	800	18998	\N	\N	\N
1161330	3976	1997-03-11	VYDAJ	VYBER	1100	18706	\N	\N	\N
1161331	3976	1997-04-10	VYDAJ	VYBER	700	22107	\N	\N	\N
1161332	3976	1997-05-10	VYDAJ	VYBER	4100	22122	\N	\N	\N
1161333	3976	1997-06-09	VYDAJ	VYBER	6900	20787	\N	\N	\N
1161334	3976	1997-07-09	VYDAJ	VYBER	1200	23697	\N	\N	\N
1161335	3976	1997-08-08	VYDAJ	VYBER	1600	22929	\N	\N	\N
1161336	3976	1997-09-07	VYDAJ	VYBER	5600	21441	\N	\N	\N
1161337	3976	1997-10-07	VYDAJ	VYBER	7600	17951	\N	\N	\N
1161338	3976	1997-11-06	VYDAJ	VYBER	7300	12591	\N	\N	\N
1161339	3976	1997-12-06	VYDAJ	VYBER	5300	11360	\N	\N	\N
1161340	3976	1998-03-06	VYDAJ	VYBER	7100	11753	\N	\N	\N
1161341	3976	1998-07-04	VYDAJ	VYBER	600	19146	\N	\N	\N
1161342	3976	1998-09-02	VYDAJ	VYBER	2100	24172	\N	\N	\N
1161343	3976	1998-10-02	VYDAJ	VYBER	1400	26913	\N	\N	\N
1161373	3977	1993-09-25	PRIJEM	VKLAD	800	800	\N	\N	\N
1161383	3977	1993-10-05	PRIJEM	PREVOD Z UCTU	4636	5436	DUCHOD	UV	15336639
1161384	3977	1993-11-05	PRIJEM	PREVOD Z UCTU	4636	10072	DUCHOD	UV	15336639
1161385	3977	1993-12-05	PRIJEM	PREVOD Z UCTU	4636	14708	DUCHOD	UV	15336639
1161386	3977	1994-01-05	PRIJEM	PREVOD Z UCTU	4636	19344	DUCHOD	UV	15336639
1161387	3977	1994-02-05	PRIJEM	PREVOD Z UCTU	4636	23980	DUCHOD	UV	15336639
1161388	3977	1994-03-05	PRIJEM	PREVOD Z UCTU	4636	25610	DUCHOD	UV	15336639
1161389	3977	1994-04-05	PRIJEM	PREVOD Z UCTU	4636	24311	DUCHOD	UV	15336639
1161390	3977	1994-05-05	PRIJEM	PREVOD Z UCTU	4636	22922	DUCHOD	UV	15336639
1161391	3977	1994-06-05	PRIJEM	PREVOD Z UCTU	4636	24662	DUCHOD	UV	15336639
1161392	3977	1994-07-05	PRIJEM	PREVOD Z UCTU	4636	17421	DUCHOD	UV	15336639
1161393	3977	1994-08-05	PRIJEM	PREVOD Z UCTU	4636	19138	DUCHOD	UV	15336639
1161394	3977	1994-09-05	PRIJEM	PREVOD Z UCTU	4636	20852	DUCHOD	UV	15336639
1161395	3977	1994-10-05	PRIJEM	PREVOD Z UCTU	4636	21780	DUCHOD	UV	15336639
1161396	3977	1994-11-05	PRIJEM	PREVOD Z UCTU	4636	20630	DUCHOD	UV	15336639
1161397	3977	1994-12-05	PRIJEM	PREVOD Z UCTU	4636	19059	DUCHOD	UV	15336639
1161398	3977	1995-01-05	PRIJEM	PREVOD Z UCTU	4636	18126	DUCHOD	UV	15336639
1161399	3977	1995-02-05	PRIJEM	PREVOD Z UCTU	4636	19837	DUCHOD	UV	15336639
1161400	3977	1995-03-05	PRIJEM	PREVOD Z UCTU	4636	21553	DUCHOD	UV	15336639
1161401	3977	1995-04-05	PRIJEM	PREVOD Z UCTU	4636	19748	DUCHOD	UV	15336639
1161402	3977	1995-05-05	PRIJEM	PREVOD Z UCTU	4636	21475	DUCHOD	UV	15336639
1161403	3977	1995-06-05	PRIJEM	PREVOD Z UCTU	4636	20471	DUCHOD	UV	15336639
1161404	3977	1995-07-05	PRIJEM	PREVOD Z UCTU	4636	22200	DUCHOD	UV	15336639
1161405	3977	1995-08-05	PRIJEM	PREVOD Z UCTU	4636	23937	DUCHOD	UV	15336639
1161406	3977	1995-09-05	PRIJEM	PREVOD Z UCTU	4636	21744	DUCHOD	UV	15336639
1161407	3977	1995-10-05	PRIJEM	PREVOD Z UCTU	4636	18180	DUCHOD	UV	15336639
1161408	3977	1995-11-05	PRIJEM	PREVOD Z UCTU	4636	19889	DUCHOD	UV	15336639
1161409	3977	1995-12-05	PRIJEM	PREVOD Z UCTU	4636	20756	DUCHOD	UV	15336639
1161410	3977	1996-01-05	PRIJEM	PREVOD Z UCTU	4636	22487	DUCHOD	UV	15336639
1161411	3977	1996-02-05	PRIJEM	PREVOD Z UCTU	4636	22862	DUCHOD	UV	15336639
1161412	3977	1996-03-05	PRIJEM	PREVOD Z UCTU	4636	24601	DUCHOD	UV	15336639
1161413	3977	1996-04-05	PRIJEM	PREVOD Z UCTU	4636	26348	DUCHOD	UV	15336639
1161414	3977	1996-05-05	PRIJEM	PREVOD Z UCTU	4636	28091	DUCHOD	UV	15336639
1161415	3977	1996-06-05	PRIJEM	PREVOD Z UCTU	4636	26701	DUCHOD	UV	15336639
1161416	3977	1996-07-05	PRIJEM	PREVOD Z UCTU	4636	24689	DUCHOD	UV	15336639
1161417	3977	1996-08-05	PRIJEM	PREVOD Z UCTU	4636	22436	DUCHOD	UV	15336639
1161418	3977	1996-09-05	PRIJEM	PREVOD Z UCTU	4636	24164	DUCHOD	UV	15336639
1161419	3977	1996-10-05	PRIJEM	PREVOD Z UCTU	4636	25898	DUCHOD	UV	15336639
1161420	3977	1996-11-05	PRIJEM	PREVOD Z UCTU	4636	26538	DUCHOD	UV	15336639
1161421	3977	1996-12-05	PRIJEM	PREVOD Z UCTU	4636	28292	DUCHOD	UV	15336639
1161422	3977	1997-01-05	PRIJEM	PREVOD Z UCTU	4636	29202	DUCHOD	UV	15336639
1161423	3977	1997-02-05	PRIJEM	PREVOD Z UCTU	4636	28706	DUCHOD	UV	15336639
1161424	3977	1997-03-05	PRIJEM	PREVOD Z UCTU	4636	30469	DUCHOD	UV	15336639
1161425	3977	1997-04-05	PRIJEM	PREVOD Z UCTU	4636	30826	DUCHOD	UV	15336639
1161426	3977	1997-05-05	PRIJEM	PREVOD Z UCTU	4636	26368	DUCHOD	UV	15336639
1161427	3977	1997-06-05	PRIJEM	PREVOD Z UCTU	4636	20105	DUCHOD	UV	15336639
1161428	3977	1997-07-05	PRIJEM	PREVOD Z UCTU	4636	20118	DUCHOD	UV	15336639
1161429	3977	1997-08-05	PRIJEM	PREVOD Z UCTU	4636	20531	DUCHOD	UV	15336639
1161430	3977	1997-09-05	PRIJEM	PREVOD Z UCTU	4636	21660	DUCHOD	UV	15336639
1161431	3977	1997-10-05	PRIJEM	PREVOD Z UCTU	4636	22783	DUCHOD	UV	15336639
1161432	3977	1997-11-05	PRIJEM	PREVOD Z UCTU	4636	20586	DUCHOD	UV	15336639
1161433	3977	1997-12-05	PRIJEM	PREVOD Z UCTU	4636	20473	DUCHOD	UV	15336639
1161434	3977	1998-01-05	PRIJEM	PREVOD Z UCTU	4636	21840	DUCHOD	UV	15336639
1161435	3977	1998-02-05	PRIJEM	PREVOD Z UCTU	4636	22313	DUCHOD	UV	15336639
1161436	3977	1998-03-05	PRIJEM	PREVOD Z UCTU	4636	24049	DUCHOD	UV	15336639
1161437	3977	1998-04-05	PRIJEM	PREVOD Z UCTU	4636	25782	DUCHOD	UV	15336639
1161438	3977	1998-05-05	PRIJEM	PREVOD Z UCTU	4636	27522	DUCHOD	UV	15336639
1161439	3977	1998-06-05	PRIJEM	PREVOD Z UCTU	4636	29279	DUCHOD	UV	15336639
1161440	3977	1998-07-05	PRIJEM	PREVOD Z UCTU	4636	29600	DUCHOD	UV	15336639
1161441	3977	1998-08-05	PRIJEM	PREVOD Z UCTU	4636	23365	DUCHOD	UV	15336639
1161442	3977	1998-09-05	PRIJEM	PREVOD Z UCTU	4636	23089	DUCHOD	UV	15336639
1161443	3977	1998-10-05	PRIJEM	PREVOD Z UCTU	4636	20895	DUCHOD	UV	15336639
1161444	3977	1998-11-05	PRIJEM	PREVOD Z UCTU	4636	22624	DUCHOD	UV	15336639
1161445	3977	1998-12-05	PRIJEM	PREVOD Z UCTU	4636	24350	DUCHOD	UV	15336639
1161459	3977	1994-02-05	VYDAJ	PREVOD NA UCET	2974	21006	SIPO	ST	51005125
1161460	3977	1994-03-05	VYDAJ	PREVOD NA UCET	2974	22636	SIPO	ST	51005125
1161461	3977	1994-04-05	VYDAJ	PREVOD NA UCET	2974	21337	SIPO	ST	51005125
1161462	3977	1994-05-05	VYDAJ	PREVOD NA UCET	2974	19948	SIPO	ST	51005125
1161463	3977	1994-06-05	VYDAJ	PREVOD NA UCET	2974	21688	SIPO	ST	51005125
1161464	3977	1994-07-05	VYDAJ	PREVOD NA UCET	2974	14447	SIPO	ST	51005125
1161465	3977	1994-08-05	VYDAJ	PREVOD NA UCET	2974	16164	SIPO	ST	51005125
1161466	3977	1994-09-05	VYDAJ	PREVOD NA UCET	2974	17878	SIPO	ST	51005125
1161467	3977	1994-10-05	VYDAJ	PREVOD NA UCET	2974	18806	SIPO	ST	51005125
1161468	3977	1994-11-05	VYDAJ	PREVOD NA UCET	2974	17656	SIPO	ST	51005125
1161469	3977	1994-12-05	VYDAJ	PREVOD NA UCET	2974	16085	SIPO	ST	51005125
1161470	3977	1995-01-05	VYDAJ	PREVOD NA UCET	2974	15152	SIPO	ST	51005125
1161471	3977	1995-02-05	VYDAJ	PREVOD NA UCET	2974	16863	SIPO	ST	51005125
1161472	3977	1995-03-05	VYDAJ	PREVOD NA UCET	2974	18579	SIPO	ST	51005125
1161473	3977	1995-04-05	VYDAJ	PREVOD NA UCET	2974	16774	SIPO	ST	51005125
1161474	3977	1995-05-05	VYDAJ	PREVOD NA UCET	2974	18501	SIPO	ST	51005125
1161475	3977	1995-06-05	VYDAJ	PREVOD NA UCET	2974	17497	SIPO	ST	51005125
1161476	3977	1995-07-05	VYDAJ	PREVOD NA UCET	2974	19226	SIPO	ST	51005125
1161477	3977	1995-08-05	VYDAJ	PREVOD NA UCET	2974	20963	SIPO	ST	51005125
1161478	3977	1995-09-05	VYDAJ	PREVOD NA UCET	2974	18770	SIPO	ST	51005125
1161479	3977	1995-10-05	VYDAJ	PREVOD NA UCET	2974	15206	SIPO	ST	51005125
1161480	3977	1995-11-05	VYDAJ	PREVOD NA UCET	2974	16915	SIPO	ST	51005125
1161481	3977	1995-12-05	VYDAJ	PREVOD NA UCET	2974	17782	SIPO	ST	51005125
1161482	3977	1996-01-05	VYDAJ	PREVOD NA UCET	2974	19513	SIPO	ST	51005125
1161483	3977	1996-02-05	VYDAJ	PREVOD NA UCET	2974	19888	SIPO	ST	51005125
1161484	3977	1996-03-05	VYDAJ	PREVOD NA UCET	2974	21627	SIPO	ST	51005125
1161485	3977	1996-04-05	VYDAJ	PREVOD NA UCET	2974	23374	SIPO	ST	51005125
1161486	3977	1996-05-05	VYDAJ	PREVOD NA UCET	2974	25117	SIPO	ST	51005125
1161487	3977	1996-06-05	VYDAJ	PREVOD NA UCET	2974	23727	SIPO	ST	51005125
1161488	3977	1996-07-05	VYDAJ	PREVOD NA UCET	2974	21715	SIPO	ST	51005125
1161489	3977	1996-08-05	VYDAJ	PREVOD NA UCET	2974	19462	SIPO	ST	51005125
1161490	3977	1996-09-05	VYDAJ	PREVOD NA UCET	2974	21190	SIPO	ST	51005125
1161491	3977	1996-10-05	VYDAJ	PREVOD NA UCET	2974	22924	SIPO	ST	51005125
1161492	3977	1996-11-05	VYDAJ	PREVOD NA UCET	2974	23564	SIPO	ST	51005125
1161493	3977	1996-12-05	VYDAJ	PREVOD NA UCET	2974	25318	SIPO	ST	51005125
1161494	3977	1997-01-05	VYDAJ	PREVOD NA UCET	2974	26228	SIPO	ST	51005125
1161495	3977	1997-02-05	VYDAJ	PREVOD NA UCET	2974	25732	SIPO	ST	51005125
1161496	3977	1997-03-05	VYDAJ	PREVOD NA UCET	2974	27495	SIPO	ST	51005125
1161497	3977	1997-04-05	VYDAJ	PREVOD NA UCET	2974	27852	SIPO	ST	51005125
1161498	3977	1997-05-05	VYDAJ	PREVOD NA UCET	2974	23394	SIPO	ST	51005125
1161499	3977	1997-06-05	VYDAJ	PREVOD NA UCET	2974	17131	SIPO	ST	51005125
1161500	3977	1997-07-05	VYDAJ	PREVOD NA UCET	2974	17144	SIPO	ST	51005125
1161501	3977	1997-08-05	VYDAJ	PREVOD NA UCET	2974	17557	SIPO	ST	51005125
1161502	3977	1997-09-05	VYDAJ	PREVOD NA UCET	2974	18686	SIPO	ST	51005125
1161503	3977	1997-10-05	VYDAJ	PREVOD NA UCET	2974	19809	SIPO	ST	51005125
1161504	3977	1997-11-05	VYDAJ	PREVOD NA UCET	2974	17612	SIPO	ST	51005125
1161505	3977	1997-12-05	VYDAJ	PREVOD NA UCET	2974	17499	SIPO	ST	51005125
1161506	3977	1998-01-05	VYDAJ	PREVOD NA UCET	2974	18866	SIPO	ST	51005125
1161507	3977	1998-02-05	VYDAJ	PREVOD NA UCET	2974	19339	SIPO	ST	51005125
1161508	3977	1998-03-05	VYDAJ	PREVOD NA UCET	2974	21075	SIPO	ST	51005125
1161509	3977	1998-04-05	VYDAJ	PREVOD NA UCET	2974	22808	SIPO	ST	51005125
1161510	3977	1998-05-05	VYDAJ	PREVOD NA UCET	2974	24548	SIPO	ST	51005125
1161511	3977	1998-06-05	VYDAJ	PREVOD NA UCET	2974	26305	SIPO	ST	51005125
1161512	3977	1998-07-05	VYDAJ	PREVOD NA UCET	2974	26626	SIPO	ST	51005125
1161513	3977	1998-08-05	VYDAJ	PREVOD NA UCET	2974	20391	SIPO	ST	51005125
1161514	3977	1998-09-05	VYDAJ	PREVOD NA UCET	2974	20115	SIPO	ST	51005125
1161515	3977	1998-10-05	VYDAJ	PREVOD NA UCET	2974	17921	SIPO	ST	51005125
1161516	3977	1998-11-05	VYDAJ	PREVOD NA UCET	2974	19650	SIPO	ST	51005125
1161517	3977	1998-12-05	VYDAJ	PREVOD NA UCET	2974	21376	SIPO	ST	51005125
1161519	3977	1994-06-08	VYDAJ	VYBER	8950	12738	\N	\N	\N
1161521	3977	1996-06-23	VYDAJ	VYBER	2150	19977	\N	\N	\N
1161526	3977	1995-01-04	VYDAJ	VYBER	2400	13490	\N	\N	\N
1161527	3977	1996-01-14	VYDAJ	VYBER	1350	18163	\N	\N	\N
1161528	3977	1997-01-27	VYDAJ	VYBER	2250	23978	\N	\N	\N
1161529	3977	1998-01-29	VYDAJ	VYBER	1250	17616	\N	\N	\N
1161531	3977	1994-12-15	VYDAJ	VYBER	250	15835	\N	\N	\N
1161532	3977	1995-12-03	VYDAJ	VYBER	850	16120	\N	\N	\N
1161533	3977	1996-12-28	VYDAJ	VYBER	850	24468	\N	\N	\N
1161534	3977	1997-12-24	VYDAJ	VYBER	350	17149	\N	\N	\N
1161535	3977	1998-12-19	VYDAJ	VYBER	1300	20076	\N	\N	\N
1161541	3977	1994-04-17	VYDAJ	VYBER	3120	18217	\N	\N	\N
1161542	3977	1994-04-01	VYDAJ	VYBER	3040	19675	\N	\N	\N
1161544	3977	1994-10-24	VYDAJ	VYBER	2880	15926	\N	\N	\N
1161545	3977	1994-09-24	VYDAJ	VYBER	800	17078	\N	\N	\N
1161546	3977	1994-11-07	VYDAJ	VYBER	3280	14376	\N	\N	\N
1161547	3977	1995-03-09	VYDAJ	VYBER	3520	15059	\N	\N	\N
1161549	3977	1995-09-18	VYDAJ	VYBER	3760	15010	\N	\N	\N
1161550	3977	1995-08-18	VYDAJ	VYBER	3920	17043	\N	\N	\N
1161551	3977	1995-09-23	VYDAJ	VYBER	1520	13490	\N	\N	\N
1161552	3977	1995-05-11	VYDAJ	VYBER	2720	15781	\N	\N	\N
1161553	3977	1996-05-23	VYDAJ	VYBER	1280	22937	\N	\N	\N
1161554	3977	1996-08-01	VYDAJ	VYBER	1680	17800	\N	\N	\N
1161555	3977	1996-07-05	VYDAJ	VYBER	2320	19395	\N	\N	\N
1161556	3977	1996-06-02	VYDAJ	VYBER	960	22065	\N	\N	\N
1161559	3977	1997-05-13	VYDAJ	VYBER	1680	15414	\N	\N	\N
1161560	3977	1997-10-15	VYDAJ	VYBER	3920	15889	\N	\N	\N
1161562	3977	1997-11-27	VYDAJ	VYBER	1840	15772	\N	\N	\N
1161563	3977	1997-07-07	VYDAJ	VYBER	800	15844	\N	\N	\N
1161564	3977	1997-06-25	VYDAJ	VYBER	800	15431	\N	\N	\N
1161565	3977	1998-09-17	VYDAJ	VYBER	3920	16195	\N	\N	\N
1161567	3977	1998-12-24	VYDAJ	VYBER	2800	17276	\N	\N	\N
1161568	3977	1998-06-23	VYDAJ	VYBER	1440	24865	\N	\N	\N
1161570	3977	1998-08-08	VYDAJ	VYBER	2000	18391	\N	\N	\N
1161585	3977	1994-02-28	VYDAJ	VYBER	15	20974	SLUZBY	\N	\N
1161586	3977	1994-03-31	VYDAJ	VYBER	15	22715	SLUZBY	\N	\N
1161587	3977	1994-04-30	VYDAJ	VYBER	15	18286	SLUZBY	\N	\N
1161588	3977	1994-05-31	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
1161589	3977	1994-06-30	VYDAJ	VYBER	15	12785	SLUZBY	\N	\N
1161590	3977	1994-07-31	VYDAJ	VYBER	15	14502	SLUZBY	\N	\N
1161591	3977	1994-08-31	VYDAJ	VYBER	15	16216	SLUZBY	\N	\N
1161592	3977	1994-09-30	VYDAJ	VYBER	15	17144	SLUZBY	\N	\N
1161593	3977	1994-10-31	VYDAJ	VYBER	15	15994	SLUZBY	\N	\N
1161594	3977	1994-11-30	VYDAJ	VYBER	15	14423	SLUZBY	\N	\N
1161595	3977	1994-12-31	VYDAJ	VYBER	15	15890	SLUZBY	\N	\N
1161596	3977	1995-01-31	VYDAJ	VYBER	15	15201	SLUZBY	\N	\N
1161597	3977	1995-02-28	VYDAJ	VYBER	15	16917	SLUZBY	\N	\N
1161598	3977	1995-03-31	VYDAJ	VYBER	15	15112	SLUZBY	\N	\N
1161599	3977	1995-04-30	VYDAJ	VYBER	15	16839	SLUZBY	\N	\N
1161600	3977	1995-05-31	VYDAJ	VYBER	15	15835	SLUZBY	\N	\N
1161601	3977	1995-06-30	VYDAJ	VYBER	15	17564	SLUZBY	\N	\N
1161602	3977	1995-07-31	VYDAJ	VYBER	15	19301	SLUZBY	\N	\N
1161603	3977	1995-08-31	VYDAJ	VYBER	15	17108	SLUZBY	\N	\N
1161604	3977	1995-09-30	VYDAJ	VYBER	15	13544	SLUZBY	\N	\N
1161605	3977	1995-10-31	VYDAJ	VYBER	15	15253	SLUZBY	\N	\N
1161606	3977	1995-11-30	VYDAJ	VYBER	15	16970	SLUZBY	\N	\N
1161607	3977	1995-12-31	VYDAJ	VYBER	15	17851	SLUZBY	\N	\N
1161608	3977	1996-01-31	VYDAJ	VYBER	15	18226	SLUZBY	\N	\N
1161609	3977	1996-02-29	VYDAJ	VYBER	15	19965	SLUZBY	\N	\N
1161610	3977	1996-03-31	VYDAJ	VYBER	15	21712	SLUZBY	\N	\N
1161611	3977	1996-04-30	VYDAJ	VYBER	15	23455	SLUZBY	\N	\N
1161612	3977	1996-05-31	VYDAJ	VYBER	15	23025	SLUZBY	\N	\N
1161613	3977	1996-06-30	VYDAJ	VYBER	15	20053	SLUZBY	\N	\N
1161614	3977	1996-07-31	VYDAJ	VYBER	15	19480	SLUZBY	\N	\N
1161615	3977	1996-08-31	VYDAJ	VYBER	15	19528	SLUZBY	\N	\N
1161616	3977	1996-09-30	VYDAJ	VYBER	15	21262	SLUZBY	\N	\N
1161617	3977	1996-10-31	VYDAJ	VYBER	15	21902	SLUZBY	\N	\N
1161618	3977	1996-11-30	VYDAJ	VYBER	15	23656	SLUZBY	\N	\N
1161619	3977	1996-12-31	VYDAJ	VYBER	15	24566	SLUZBY	\N	\N
1161620	3977	1997-01-31	VYDAJ	VYBER	15	24070	SLUZBY	\N	\N
1161621	3977	1997-02-28	VYDAJ	VYBER	15	25833	SLUZBY	\N	\N
1161622	3977	1997-03-31	VYDAJ	VYBER	15	26190	SLUZBY	\N	\N
1161623	3977	1997-04-30	VYDAJ	VYBER	15	21732	SLUZBY	\N	\N
1161624	3977	1997-05-31	VYDAJ	VYBER	15	15469	SLUZBY	\N	\N
1161625	3977	1997-06-30	VYDAJ	VYBER	15	15482	SLUZBY	\N	\N
1161626	3977	1997-07-31	VYDAJ	VYBER	15	15895	SLUZBY	\N	\N
1161627	3977	1997-08-31	VYDAJ	VYBER	15	17024	SLUZBY	\N	\N
1161628	3977	1997-09-30	VYDAJ	VYBER	15	18747	SLUZBY	\N	\N
1161629	3977	1997-10-31	VYDAJ	VYBER	15	15950	SLUZBY	\N	\N
1161630	3977	1997-11-30	VYDAJ	VYBER	15	15837	SLUZBY	\N	\N
1161631	3977	1997-12-31	VYDAJ	VYBER	15	17204	SLUZBY	\N	\N
1161632	3977	1998-01-31	VYDAJ	VYBER	15	17677	SLUZBY	\N	\N
1161633	3977	1998-02-28	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
1161634	3977	1998-03-31	VYDAJ	VYBER	15	21146	SLUZBY	\N	\N
1161635	3977	1998-04-30	VYDAJ	VYBER	15	22886	SLUZBY	\N	\N
1161636	3977	1998-05-31	VYDAJ	VYBER	15	24643	SLUZBY	\N	\N
1161637	3977	1998-06-30	VYDAJ	VYBER	15	24964	SLUZBY	\N	\N
1161638	3977	1998-07-31	VYDAJ	VYBER	15	18729	SLUZBY	\N	\N
1161639	3977	1998-08-31	VYDAJ	VYBER	15	18453	SLUZBY	\N	\N
1161640	3977	1998-09-30	VYDAJ	VYBER	15	16259	SLUZBY	\N	\N
1161641	3977	1998-10-31	VYDAJ	VYBER	15	17988	SLUZBY	\N	\N
1161642	3977	1998-11-30	VYDAJ	VYBER	15	19714	SLUZBY	\N	\N
1161643	3977	1994-02-22	VYDAJ	VYBER	100	20906	\N	\N	\N
1161644	3977	1996-05-12	VYDAJ	VYBER	900	24217	\N	\N	\N
1161645	3977	1996-06-11	VYDAJ	VYBER	1600	22127	\N	\N	\N
1161646	3977	1996-10-09	VYDAJ	VYBER	1100	21824	\N	\N	\N
1161647	3977	1997-03-08	VYDAJ	VYBER	1400	26095	\N	\N	\N
1161648	3977	1997-04-07	VYDAJ	VYBER	6200	21652	\N	\N	\N
1161649	3977	1997-05-07	VYDAJ	VYBER	6300	17094	\N	\N	\N
1161650	3977	1997-06-06	VYDAJ	VYBER	900	16231	\N	\N	\N
1161651	3977	1997-07-06	VYDAJ	VYBER	500	16644	\N	\N	\N
1161652	3977	1997-08-05	VYDAJ	VYBER	600	16957	\N	\N	\N
1161653	3977	1997-10-04	VYDAJ	VYBER	600	18147	\N	\N	\N
1161654	3977	1998-07-31	VYDAJ	VYBER	8000	18743	\N	\N	\N
1161714	3978	1995-02-18	PRIJEM	VKLAD	700	700	\N	\N	\N
1161717	3978	1995-03-14	PRIJEM	VKLAD	22218	22918	\N	\N	\N
1161718	3978	1995-04-14	PRIJEM	VKLAD	22218	47176	\N	\N	\N
1161719	3978	1995-05-14	PRIJEM	VKLAD	22218	58517	\N	\N	\N
1161720	3978	1995-06-14	PRIJEM	VKLAD	33327	73902	\N	\N	\N
1161721	3978	1995-07-14	PRIJEM	VKLAD	22218	71805	\N	\N	\N
1161722	3978	1995-08-14	PRIJEM	VKLAD	22218	62405	\N	\N	\N
1161723	3978	1995-09-14	PRIJEM	VKLAD	22218	59892	\N	\N	\N
1161724	3978	1995-10-14	PRIJEM	VKLAD	22218	50462	\N	\N	\N
1161725	3978	1995-11-14	PRIJEM	VKLAD	22218	45002	\N	\N	\N
1161726	3978	1995-12-14	PRIJEM	VKLAD	33327	57730	\N	\N	\N
1161727	3978	1996-01-14	PRIJEM	VKLAD	22218	45269	\N	\N	\N
1161728	3978	1996-02-14	PRIJEM	VKLAD	22218	39882	\N	\N	\N
1161729	3978	1996-03-14	PRIJEM	VKLAD	22218	55902	\N	\N	\N
1161730	3978	1996-04-14	PRIJEM	VKLAD	22218	51157	\N	\N	\N
1161731	3978	1996-05-14	PRIJEM	VKLAD	22218	55340	\N	\N	\N
1161732	3978	1996-06-14	PRIJEM	VKLAD	33327	66764	\N	\N	\N
1161733	3978	1996-07-14	PRIJEM	VKLAD	22218	62909	\N	\N	\N
1161734	3978	1996-08-14	PRIJEM	VKLAD	22218	55366	\N	\N	\N
1161735	3978	1996-09-14	PRIJEM	VKLAD	22218	55399	\N	\N	\N
1161736	3978	1996-10-14	PRIJEM	VKLAD	22218	57112	\N	\N	\N
1161737	3978	1996-11-14	PRIJEM	VKLAD	22218	59132	\N	\N	\N
1161738	3978	1996-12-14	PRIJEM	VKLAD	33327	72266	\N	\N	\N
1161739	3978	1997-01-14	PRIJEM	VKLAD	22218	62521	\N	\N	\N
1161740	3978	1997-02-14	PRIJEM	VKLAD	22218	55053	\N	\N	\N
1161741	3978	1997-03-14	PRIJEM	VKLAD	22218	58144	\N	\N	\N
1161742	3978	1997-04-14	PRIJEM	VKLAD	22218	57059	\N	\N	\N
1161743	3978	1997-05-14	PRIJEM	VKLAD	22218	56972	\N	\N	\N
1161744	3978	1997-06-14	PRIJEM	VKLAD	33327	53695	\N	\N	\N
1161745	3978	1997-07-14	PRIJEM	VKLAD	22218	55578	\N	\N	\N
1161746	3978	1997-08-14	PRIJEM	VKLAD	22218	53000	\N	\N	\N
1161747	3978	1997-09-14	PRIJEM	VKLAD	22218	50792	\N	\N	\N
1161748	3978	1997-10-14	PRIJEM	VKLAD	22218	51875	\N	\N	\N
1161749	3978	1997-11-14	PRIJEM	VKLAD	22218	49461	\N	\N	\N
1161750	3978	1997-12-14	PRIJEM	VKLAD	33327	57450	\N	\N	\N
1161751	3978	1998-01-14	PRIJEM	VKLAD	22218	39242	\N	\N	\N
1161752	3978	1998-02-14	PRIJEM	VKLAD	22218	35783	\N	\N	\N
1161753	3978	1998-03-14	PRIJEM	VKLAD	22218	35798	\N	\N	\N
1161754	3978	1998-04-14	PRIJEM	VKLAD	22218	33119	\N	\N	\N
1161755	3978	1998-05-14	PRIJEM	VKLAD	22218	47228	\N	\N	\N
1161756	3978	1998-06-14	PRIJEM	VKLAD	33327	51600	\N	\N	\N
1161757	3978	1998-07-14	PRIJEM	VKLAD	22218	40555	\N	\N	\N
1161758	3978	1998-08-14	PRIJEM	VKLAD	22218	35197	\N	\N	\N
1161759	3978	1998-09-14	PRIJEM	VKLAD	22218	33414	\N	\N	\N
1161760	3978	1998-10-14	PRIJEM	VKLAD	22218	44715	\N	\N	\N
1161761	3978	1998-11-14	PRIJEM	VKLAD	22218	33460	\N	\N	\N
1161762	3978	1998-12-14	PRIJEM	VKLAD	33327	42865	\N	\N	\N
1161770	3978	1995-08-05	VYDAJ	PREVOD NA UCET	3616	42876	SIPO	WX	59417921
1161771	3978	1995-09-05	VYDAJ	PREVOD NA UCET	3616	40363	SIPO	WX	59417921
1161772	3978	1995-10-05	VYDAJ	PREVOD NA UCET	3616	35533	SIPO	WX	59417921
1161773	3978	1995-11-05	VYDAJ	PREVOD NA UCET	3616	25473	SIPO	WX	59417921
1161774	3978	1995-12-05	VYDAJ	PREVOD NA UCET	3616	27092	SIPO	WX	59417921
1161775	3978	1996-01-05	VYDAJ	PREVOD NA UCET	3616	27540	SIPO	WX	59417921
1161776	3978	1996-02-05	VYDAJ	PREVOD NA UCET	3616	14953	SIPO	WX	59417921
1161777	3978	1996-03-05	VYDAJ	PREVOD NA UCET	3616	36373	SIPO	WX	59417921
1161778	3978	1996-04-05	VYDAJ	PREVOD NA UCET	3616	34728	SIPO	WX	59417921
1161779	3978	1996-05-05	VYDAJ	PREVOD NA UCET	3616	47711	SIPO	WX	59417921
1161780	3978	1996-06-05	VYDAJ	PREVOD NA UCET	3616	51926	SIPO	WX	59417921
1161781	3978	1996-07-05	VYDAJ	PREVOD NA UCET	3616	63380	SIPO	WX	59417921
1161782	3978	1996-08-05	VYDAJ	PREVOD NA UCET	3616	59537	SIPO	WX	59417921
1161783	3978	1996-09-05	VYDAJ	PREVOD NA UCET	3616	50970	SIPO	WX	59417921
1161784	3978	1996-10-05	VYDAJ	PREVOD NA UCET	3616	51983	SIPO	WX	59417921
1161785	3978	1996-11-05	VYDAJ	PREVOD NA UCET	3616	53703	SIPO	WX	59417921
1161786	3978	1996-12-05	VYDAJ	PREVOD NA UCET	3616	55728	SIPO	WX	59417921
1161787	3978	1997-01-05	VYDAJ	PREVOD NA UCET	3616	55892	SIPO	WX	59417921
1161788	3978	1997-02-05	VYDAJ	PREVOD NA UCET	3616	44924	SIPO	WX	59417921
1161789	3978	1997-03-05	VYDAJ	PREVOD NA UCET	3616	47315	SIPO	WX	59417921
1161790	3978	1997-04-05	VYDAJ	PREVOD NA UCET	3616	50330	SIPO	WX	59417921
1161791	3978	1997-05-05	VYDAJ	PREVOD NA UCET	3616	53643	SIPO	WX	59417921
1161792	3978	1997-06-05	VYDAJ	PREVOD NA UCET	3616	23857	SIPO	WX	59417921
1161793	3978	1997-07-05	VYDAJ	PREVOD NA UCET	3616	50249	SIPO	WX	59417921
1161794	3978	1997-08-05	VYDAJ	PREVOD NA UCET	3616	52171	SIPO	WX	59417921
1161795	3978	1997-09-05	VYDAJ	PREVOD NA UCET	3616	31263	SIPO	WX	59417921
1161796	3978	1997-10-05	VYDAJ	PREVOD NA UCET	3616	32346	SIPO	WX	59417921
1161797	3978	1997-11-05	VYDAJ	PREVOD NA UCET	3616	29932	SIPO	WX	59417921
1161798	3978	1997-12-05	VYDAJ	PREVOD NA UCET	3616	26812	SIPO	WX	59417921
1161799	3978	1998-01-05	VYDAJ	PREVOD NA UCET	3616	26913	SIPO	WX	59417921
1161800	3978	1998-02-05	VYDAJ	PREVOD NA UCET	3616	16254	SIPO	WX	59417921
1161801	3978	1998-03-05	VYDAJ	PREVOD NA UCET	3616	16269	SIPO	WX	59417921
1161802	3978	1998-04-05	VYDAJ	PREVOD NA UCET	3616	13590	SIPO	WX	59417921
1161803	3978	1998-05-05	VYDAJ	PREVOD NA UCET	3616	29599	SIPO	WX	59417921
1161804	3978	1998-06-05	VYDAJ	PREVOD NA UCET	3616	20962	SIPO	WX	59417921
1161805	3978	1998-07-05	VYDAJ	PREVOD NA UCET	3616	21026	SIPO	WX	59417921
1161806	3978	1998-08-05	VYDAJ	PREVOD NA UCET	3616	15668	SIPO	WX	59417921
1161807	3978	1998-09-05	VYDAJ	PREVOD NA UCET	3616	13885	SIPO	WX	59417921
1161808	3978	1998-10-05	VYDAJ	PREVOD NA UCET	3616	29886	SIPO	WX	59417921
1161809	3978	1998-11-05	VYDAJ	PREVOD NA UCET	3616	13931	SIPO	WX	59417921
1161810	3978	1998-12-05	VYDAJ	PREVOD NA UCET	3616	12227	SIPO	WX	59417921
1161818	3978	1995-08-07	VYDAJ	PREVOD NA UCET	692	40187	 	UV	2867442
1161819	3978	1995-09-07	VYDAJ	PREVOD NA UCET	692	39671	 	UV	2867442
1161820	3978	1995-10-07	VYDAJ	PREVOD NA UCET	692	34841	 	UV	2867442
1161821	3978	1995-11-07	VYDAJ	PREVOD NA UCET	692	24781	 	UV	2867442
1161822	3978	1995-12-07	VYDAJ	PREVOD NA UCET	692	24403	 	UV	2867442
1161823	3978	1996-01-07	VYDAJ	PREVOD NA UCET	692	25948	 	UV	2867442
1161824	3978	1996-02-07	VYDAJ	PREVOD NA UCET	692	12264	 	UV	2867442
1161825	3978	1996-03-07	VYDAJ	PREVOD NA UCET	692	35681	 	UV	2867442
1161826	3978	1996-04-07	VYDAJ	PREVOD NA UCET	692	34036	 	UV	2867442
1161827	3978	1996-05-07	VYDAJ	PREVOD NA UCET	692	45022	 	UV	2867442
1161828	3978	1996-06-07	VYDAJ	PREVOD NA UCET	692	49237	 	UV	2867442
1161829	3978	1996-07-07	VYDAJ	PREVOD NA UCET	692	60691	 	UV	2867442
1161830	3978	1996-08-07	VYDAJ	PREVOD NA UCET	692	56848	 	UV	2867442
1161831	3978	1996-09-07	VYDAJ	PREVOD NA UCET	692	48281	 	UV	2867442
1161832	3978	1996-10-07	VYDAJ	PREVOD NA UCET	692	49294	 	UV	2867442
1161833	3978	1996-11-07	VYDAJ	PREVOD NA UCET	692	51014	 	UV	2867442
1161834	3978	1996-12-07	VYDAJ	PREVOD NA UCET	692	55036	 	UV	2867442
1161835	3978	1997-01-07	VYDAJ	PREVOD NA UCET	692	53203	 	UV	2867442
1161836	3978	1997-02-07	VYDAJ	PREVOD NA UCET	692	42235	 	UV	2867442
1161837	3978	1997-03-07	VYDAJ	PREVOD NA UCET	692	46623	 	UV	2867442
1161838	3978	1997-04-07	VYDAJ	PREVOD NA UCET	692	47641	 	UV	2867442
1161839	3978	1997-05-07	VYDAJ	PREVOD NA UCET	692	50954	 	UV	2867442
1161840	3978	1997-06-07	VYDAJ	PREVOD NA UCET	692	23165	 	UV	2867442
1161841	3978	1997-07-07	VYDAJ	PREVOD NA UCET	692	49557	 	UV	2867442
1161842	3978	1997-08-07	VYDAJ	PREVOD NA UCET	692	30782	 	UV	2867442
1161843	3978	1997-09-07	VYDAJ	PREVOD NA UCET	692	30571	 	UV	2867442
1161844	3978	1997-10-07	VYDAJ	PREVOD NA UCET	692	31654	 	UV	2867442
1161845	3978	1997-11-07	VYDAJ	PREVOD NA UCET	692	29240	 	UV	2867442
1161846	3978	1997-12-07	VYDAJ	PREVOD NA UCET	692	26120	 	UV	2867442
1161847	3978	1998-01-07	VYDAJ	PREVOD NA UCET	692	23724	 	UV	2867442
1161848	3978	1998-02-07	VYDAJ	PREVOD NA UCET	692	15562	 	UV	2867442
1161849	3978	1998-03-07	VYDAJ	PREVOD NA UCET	692	13580	 	UV	2867442
1161850	3978	1998-04-07	VYDAJ	PREVOD NA UCET	692	10901	 	UV	2867442
1161851	3978	1998-05-07	VYDAJ	PREVOD NA UCET	692	26910	 	UV	2867442
1161852	3978	1998-06-07	VYDAJ	PREVOD NA UCET	692	20270	 	UV	2867442
1161853	3978	1998-07-07	VYDAJ	PREVOD NA UCET	692	18337	 	UV	2867442
1161854	3978	1998-08-07	VYDAJ	PREVOD NA UCET	692	14976	 	UV	2867442
1161855	3978	1998-09-07	VYDAJ	PREVOD NA UCET	692	13193	 	UV	2867442
1161856	3978	1998-10-07	VYDAJ	PREVOD NA UCET	692	27197	 	UV	2867442
1161857	3978	1998-11-07	VYDAJ	PREVOD NA UCET	692	11242	 	UV	2867442
1161858	3978	1998-12-07	VYDAJ	PREVOD NA UCET	692	11535	 	UV	2867442
1161866	3978	1995-08-07	VYDAJ	PREVOD NA UCET	1997	40879	POJISTNE	QR	18854892
1161867	3978	1995-09-07	VYDAJ	PREVOD NA UCET	1997	37674	POJISTNE	QR	18854892
1161868	3978	1995-10-07	VYDAJ	PREVOD NA UCET	1997	32844	POJISTNE	QR	18854892
1161869	3978	1995-11-07	VYDAJ	PREVOD NA UCET	1997	22784	POJISTNE	QR	18854892
1161870	3978	1995-12-07	VYDAJ	PREVOD NA UCET	1997	25095	POJISTNE	QR	18854892
1161871	3978	1996-01-07	VYDAJ	PREVOD NA UCET	1997	23951	POJISTNE	QR	18854892
1161872	3978	1996-02-07	VYDAJ	PREVOD NA UCET	1997	12956	POJISTNE	QR	18854892
1161873	3978	1996-03-07	VYDAJ	PREVOD NA UCET	1997	33684	POJISTNE	QR	18854892
1161874	3978	1996-04-07	VYDAJ	PREVOD NA UCET	1997	32039	POJISTNE	QR	18854892
1161875	3978	1996-05-07	VYDAJ	PREVOD NA UCET	1997	45714	POJISTNE	QR	18854892
1161876	3978	1996-06-07	VYDAJ	PREVOD NA UCET	1997	49929	POJISTNE	QR	18854892
1161877	3978	1996-07-07	VYDAJ	PREVOD NA UCET	1997	61383	POJISTNE	QR	18854892
1161878	3978	1996-08-07	VYDAJ	PREVOD NA UCET	1997	57540	POJISTNE	QR	18854892
1161879	3978	1996-09-07	VYDAJ	PREVOD NA UCET	1997	48973	POJISTNE	QR	18854892
1161880	3978	1996-10-07	VYDAJ	PREVOD NA UCET	1997	49986	POJISTNE	QR	18854892
1161881	3978	1996-11-07	VYDAJ	PREVOD NA UCET	1997	51706	POJISTNE	QR	18854892
1161882	3978	1996-12-07	VYDAJ	PREVOD NA UCET	1997	53039	POJISTNE	QR	18854892
1161883	3978	1997-01-07	VYDAJ	PREVOD NA UCET	1997	53895	POJISTNE	QR	18854892
1161884	3978	1997-02-07	VYDAJ	PREVOD NA UCET	1997	42927	POJISTNE	QR	18854892
1161885	3978	1997-03-07	VYDAJ	PREVOD NA UCET	1997	44626	POJISTNE	QR	18854892
1161886	3978	1997-04-07	VYDAJ	PREVOD NA UCET	1997	48333	POJISTNE	QR	18854892
1161887	3978	1997-05-07	VYDAJ	PREVOD NA UCET	1997	51646	POJISTNE	QR	18854892
1161888	3978	1997-06-07	VYDAJ	PREVOD NA UCET	1997	21168	POJISTNE	QR	18854892
1161889	3978	1997-07-07	VYDAJ	PREVOD NA UCET	1997	33360	POJISTNE	QR	18854892
1161890	3978	1997-08-07	VYDAJ	PREVOD NA UCET	1997	31474	POJISTNE	QR	18854892
1161891	3978	1997-09-07	VYDAJ	PREVOD NA UCET	1997	28574	POJISTNE	QR	18854892
1161892	3978	1997-10-07	VYDAJ	PREVOD NA UCET	1997	29657	POJISTNE	QR	18854892
1161893	3978	1997-11-07	VYDAJ	PREVOD NA UCET	1997	27243	POJISTNE	QR	18854892
1161894	3978	1997-12-07	VYDAJ	PREVOD NA UCET	1997	24123	POJISTNE	QR	18854892
1161895	3978	1998-01-07	VYDAJ	PREVOD NA UCET	1997	24416	POJISTNE	QR	18854892
1161896	3978	1998-02-07	VYDAJ	PREVOD NA UCET	1997	13565	POJISTNE	QR	18854892
1161897	3978	1998-03-07	VYDAJ	PREVOD NA UCET	1997	14272	POJISTNE	QR	18854892
1161898	3978	1998-04-07	VYDAJ	PREVOD NA UCET	1997	11593	POJISTNE	QR	18854892
1161899	3978	1998-05-07	VYDAJ	PREVOD NA UCET	1997	27602	POJISTNE	QR	18854892
1161900	3978	1998-06-07	VYDAJ	PREVOD NA UCET	1997	18273	POJISTNE	QR	18854892
1161901	3978	1998-07-07	VYDAJ	PREVOD NA UCET	1997	19029	POJISTNE	QR	18854892
1161902	3978	1998-08-07	VYDAJ	PREVOD NA UCET	1997	12979	POJISTNE	QR	18854892
1161903	3978	1998-09-07	VYDAJ	PREVOD NA UCET	1997	11196	POJISTNE	QR	18854892
1161904	3978	1998-10-07	VYDAJ	PREVOD NA UCET	1997	27889	POJISTNE	QR	18854892
1161905	3978	1998-11-07	VYDAJ	PREVOD NA UCET	1997	11934	POJISTNE	QR	18854892
1161906	3978	1998-12-07	VYDAJ	PREVOD NA UCET	1997	9538	POJISTNE	QR	18854892
1161908	3978	1996-06-12	VYDAJ	VYBER	4600	33437	\N	\N	\N
1161909	3978	1997-06-02	VYDAJ	VYBER	28400	27473	\N	\N	\N
1161910	3978	1998-06-17	VYDAJ	VYBER	6500	45100	\N	\N	\N
1161912	3978	1996-01-28	VYDAJ	VYBER	7900	18469	\N	\N	\N
1161913	3978	1997-01-30	VYDAJ	VYBER	9300	48321	\N	\N	\N
1161914	3978	1998-01-21	VYDAJ	VYBER	3900	35342	\N	\N	\N
1161915	3978	1995-12-29	VYDAJ	VYBER	2700	35030	\N	\N	\N
1161916	3978	1996-12-20	VYDAJ	VYBER	2400	69866	\N	\N	\N
1161917	3978	1997-12-25	VYDAJ	VYBER	1900	55550	\N	\N	\N
1161918	3978	1998-12-24	VYDAJ	VYBER	500	42365	\N	\N	\N
1161925	3978	1996-01-12	VYDAJ	VYBER	900	23051	\N	\N	\N
1161926	3978	1996-01-06	VYDAJ	VYBER	900	26640	\N	\N	\N
1161927	3978	1996-01-16	VYDAJ	VYBER	2100	28369	\N	\N	\N
1161928	3978	1996-01-04	VYDAJ	VYBER	1300	31156	\N	\N	\N
1161929	3978	1996-01-01	VYDAJ	VYBER	2700	32456	\N	\N	\N
1161930	3978	1996-01-19	VYDAJ	VYBER	1400	26969	\N	\N	\N
1161931	3978	1997-01-26	VYDAJ	VYBER	2200	58221	\N	\N	\N
1161932	3978	1997-01-04	VYDAJ	VYBER	1500	59508	\N	\N	\N
1161933	3978	1997-01-04	VYDAJ	VYBER	1600	61008	\N	\N	\N
1161934	3978	1997-01-09	VYDAJ	VYBER	1000	40303	\N	\N	\N
1161935	3978	1997-01-22	VYDAJ	VYBER	2100	60421	\N	\N	\N
1161936	3978	1997-01-27	VYDAJ	VYBER	600	57621	\N	\N	\N
1161937	3978	1998-01-08	VYDAJ	VYBER	1800	21924	\N	\N	\N
1161938	3978	1998-01-25	VYDAJ	VYBER	1200	34142	\N	\N	\N
1161939	3978	1998-01-05	VYDAJ	VYBER	500	26413	\N	\N	\N
1161940	3978	1998-01-09	VYDAJ	VYBER	2500	19424	\N	\N	\N
1161941	3978	1998-01-29	VYDAJ	VYBER	600	33542	\N	\N	\N
1161942	3978	1998-01-12	VYDAJ	VYBER	2400	17024	\N	\N	\N
1161943	3978	1995-10-24	VYDAJ	VYBER	4700	28962	\N	\N	\N
1161944	3978	1995-10-12	VYDAJ	VYBER	4600	28244	\N	\N	\N
1161946	3978	1995-07-27	VYDAJ	VYBER	1600	46305	\N	\N	\N
1161947	3978	1996-12-26	VYDAJ	VYBER	3300	66566	\N	\N	\N
1161948	3978	1996-08-18	VYDAJ	VYBER	1000	54366	\N	\N	\N
1161949	3978	1996-01-22	VYDAJ	VYBER	600	26369	\N	\N	\N
1161950	3978	1996-08-11	VYDAJ	VYBER	4800	52048	\N	\N	\N
1161951	3978	1997-05-20	VYDAJ	VYBER	1300	55672	\N	\N	\N
1161952	3978	1997-08-25	VYDAJ	VYBER	4500	48500	\N	\N	\N
1161953	3978	1997-01-01	VYDAJ	VYBER	4200	62608	\N	\N	\N
1161954	3978	1997-02-19	VYDAJ	VYBER	4300	50753	\N	\N	\N
1161955	3978	1997-09-22	VYDAJ	VYBER	700	50092	\N	\N	\N
1161956	3978	1997-03-30	VYDAJ	VYBER	4400	53744	\N	\N	\N
1161959	3978	1998-08-01	VYDAJ	VYBER	3100	37584	\N	\N	\N
1161960	3978	1998-10-08	VYDAJ	VYBER	4700	22497	\N	\N	\N
1161961	3978	1998-05-13	VYDAJ	VYBER	1900	25010	\N	\N	\N
1161969	3978	1995-07-31	VYDAJ	VYBER	15	46492	SLUZBY	\N	\N
1161970	3978	1995-08-31	VYDAJ	VYBER	15	43979	SLUZBY	\N	\N
1161971	3978	1995-09-30	VYDAJ	VYBER	15	39149	SLUZBY	\N	\N
1161972	3978	1995-10-31	VYDAJ	VYBER	15	29089	SLUZBY	\N	\N
1161973	3978	1995-11-30	VYDAJ	VYBER	15	30708	SLUZBY	\N	\N
1161974	3978	1995-12-31	VYDAJ	VYBER	15	35156	SLUZBY	\N	\N
1161975	3978	1996-01-31	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
1161976	3978	1996-02-29	VYDAJ	VYBER	15	39989	SLUZBY	\N	\N
1161977	3978	1996-03-31	VYDAJ	VYBER	15	38344	SLUZBY	\N	\N
1161978	3978	1996-04-30	VYDAJ	VYBER	15	51327	SLUZBY	\N	\N
1161979	3978	1996-05-31	VYDAJ	VYBER	15	55542	SLUZBY	\N	\N
1161980	3978	1996-06-30	VYDAJ	VYBER	15	66996	SLUZBY	\N	\N
1161981	3978	1996-07-31	VYDAJ	VYBER	15	63153	SLUZBY	\N	\N
1161982	3978	1996-08-31	VYDAJ	VYBER	15	54586	SLUZBY	\N	\N
1161983	3978	1996-09-30	VYDAJ	VYBER	15	55599	SLUZBY	\N	\N
1161984	3978	1996-10-31	VYDAJ	VYBER	15	57319	SLUZBY	\N	\N
1161985	3978	1996-11-30	VYDAJ	VYBER	15	59344	SLUZBY	\N	\N
1161986	3978	1996-12-31	VYDAJ	VYBER	15	66808	SLUZBY	\N	\N
1161987	3978	1997-01-31	VYDAJ	VYBER	15	48540	SLUZBY	\N	\N
1161988	3978	1997-02-28	VYDAJ	VYBER	15	50931	SLUZBY	\N	\N
1161989	3978	1997-03-31	VYDAJ	VYBER	15	53946	SLUZBY	\N	\N
1161990	3978	1997-04-30	VYDAJ	VYBER	15	57259	SLUZBY	\N	\N
1161991	3978	1997-05-31	VYDAJ	VYBER	15	55873	SLUZBY	\N	\N
1161992	3978	1997-06-30	VYDAJ	VYBER	15	53865	SLUZBY	\N	\N
1161993	3978	1997-07-31	VYDAJ	VYBER	15	55787	SLUZBY	\N	\N
1161994	3978	1997-08-31	VYDAJ	VYBER	15	48679	SLUZBY	\N	\N
1161995	3978	1997-09-30	VYDAJ	VYBER	15	50262	SLUZBY	\N	\N
1161996	3978	1997-10-31	VYDAJ	VYBER	15	52048	SLUZBY	\N	\N
1161997	3978	1997-11-30	VYDAJ	VYBER	15	49628	SLUZBY	\N	\N
1161998	3978	1997-12-31	VYDAJ	VYBER	15	55729	SLUZBY	\N	\N
1161999	3978	1998-01-31	VYDAJ	VYBER	15	33670	SLUZBY	\N	\N
1162000	3978	1998-02-28	VYDAJ	VYBER	15	35885	SLUZBY	\N	\N
1162001	3978	1998-03-31	VYDAJ	VYBER	15	35906	SLUZBY	\N	\N
1162002	3978	1998-04-30	VYDAJ	VYBER	15	33215	SLUZBY	\N	\N
1162003	3978	1998-05-31	VYDAJ	VYBER	15	47378	SLUZBY	\N	\N
1162004	3978	1998-06-30	VYDAJ	VYBER	15	45242	SLUZBY	\N	\N
1162005	3978	1998-07-31	VYDAJ	VYBER	15	40684	SLUZBY	\N	\N
1162006	3978	1998-08-31	VYDAJ	VYBER	15	17501	SLUZBY	\N	\N
1162007	3978	1998-09-30	VYDAJ	VYBER	15	33502	SLUZBY	\N	\N
1162008	3978	1998-10-31	VYDAJ	VYBER	15	17547	SLUZBY	\N	\N
1162009	3978	1998-11-30	VYDAJ	VYBER	15	15843	SLUZBY	\N	\N
1162010	3978	1995-03-20	PRIJEM	VKLAD	2000	24918	\N	\N	\N
1162011	3978	1995-04-19	VYDAJ	VYBER	11000	36176	\N	\N	\N
1162012	3978	1995-05-19	VYDAJ	VYBER	18100	40417	\N	\N	\N
1162013	3978	1995-06-18	VYDAJ	VYBER	24500	49402	\N	\N	\N
1162014	3978	1995-07-18	VYDAJ	VYBER	23900	47905	\N	\N	\N
1162015	3978	1995-08-17	VYDAJ	VYBER	18600	43805	\N	\N	\N
1162016	3978	1995-09-16	VYDAJ	VYBER	20900	38992	\N	\N	\N
1162017	3978	1995-10-16	VYDAJ	VYBER	16800	33662	\N	\N	\N
1162018	3978	1995-11-15	VYDAJ	VYBER	14400	30602	\N	\N	\N
1162019	3978	1995-12-15	VYDAJ	VYBER	20000	37730	\N	\N	\N
1162020	3978	1996-01-14	VYDAJ	VYBER	14800	30469	\N	\N	\N
1162021	3978	1996-02-13	PRIJEM	VKLAD	5400	17664	\N	\N	\N
1162022	3978	1996-03-14	VYDAJ	VYBER	17700	38202	\N	\N	\N
1162023	3978	1996-04-13	VYDAJ	VYBER	3100	28939	\N	\N	\N
1162024	3978	1996-05-13	VYDAJ	VYBER	11900	33122	\N	\N	\N
1162025	3978	1996-06-12	VYDAJ	VYBER	11200	38037	\N	\N	\N
1162026	3978	1996-07-12	VYDAJ	VYBER	20000	40691	\N	\N	\N
1162027	3978	1996-08-11	VYDAJ	VYBER	18900	33148	\N	\N	\N
1162028	3978	1996-09-10	VYDAJ	VYBER	15100	33181	\N	\N	\N
1162029	3978	1996-10-10	VYDAJ	VYBER	14400	34894	\N	\N	\N
1162030	3978	1996-11-09	VYDAJ	VYBER	14100	36914	\N	\N	\N
1162031	3978	1996-12-09	VYDAJ	VYBER	14100	38939	\N	\N	\N
1162032	3978	1997-01-08	VYDAJ	VYBER	11900	41303	\N	\N	\N
1162033	3978	1997-02-07	VYDAJ	VYBER	9400	32835	\N	\N	\N
1162034	3978	1997-03-09	VYDAJ	VYBER	8700	35926	\N	\N	\N
1162035	3978	1997-04-08	VYDAJ	VYBER	12800	34841	\N	\N	\N
1162036	3978	1997-05-08	VYDAJ	VYBER	16200	34754	\N	\N	\N
1162037	3978	1997-06-07	VYDAJ	VYBER	800	20368	\N	\N	\N
1162038	3978	1997-07-07	VYDAJ	VYBER	14200	35357	\N	\N	\N
1162039	3978	1997-08-06	VYDAJ	VYBER	18700	33471	\N	\N	\N
1162040	3978	1997-09-05	VYDAJ	VYBER	13800	34879	\N	\N	\N
1162041	3978	1997-10-05	VYDAJ	VYBER	14300	35962	\N	\N	\N
1162042	3978	1997-11-04	VYDAJ	VYBER	18500	33548	\N	\N	\N
1162043	3978	1997-12-04	VYDAJ	VYBER	19200	30428	\N	\N	\N
1162044	3978	1998-01-03	VYDAJ	VYBER	25200	30529	\N	\N	\N
1162045	3978	1998-02-02	VYDAJ	VYBER	13800	19870	\N	\N	\N
1162046	3978	1998-03-04	VYDAJ	VYBER	16000	19885	\N	\N	\N
1162047	3978	1998-04-03	VYDAJ	VYBER	18700	17206	\N	\N	\N
1162048	3978	1998-06-02	VYDAJ	VYBER	22800	24578	\N	\N	\N
1162049	3978	1998-07-02	VYDAJ	VYBER	20600	24642	\N	\N	\N
1162050	3978	1998-08-01	VYDAJ	VYBER	18300	19284	\N	\N	\N
1162051	3978	1998-08-31	VYDAJ	VYBER	17800	17516	\N	\N	\N
1162052	3978	1998-10-30	VYDAJ	VYBER	27300	17415	\N	\N	\N
1162053	3978	1998-11-29	VYDAJ	VYBER	17700	15760	\N	\N	\N
1162100	3979	1996-02-14	PRIJEM	VKLAD	700	700	\N	\N	\N
1162103	3979	1996-03-11	PRIJEM	VKLAD	10531	11231	\N	\N	\N
1162104	3979	1996-04-11	PRIJEM	VKLAD	10531	26298	\N	\N	\N
1162105	3979	1996-05-11	PRIJEM	VKLAD	10531	34514	\N	\N	\N
1162106	3979	1996-06-11	PRIJEM	VKLAD	15797	44221	\N	\N	\N
1162107	3979	1996-07-11	PRIJEM	VKLAD	10531	44082	\N	\N	\N
1162108	3979	1996-08-11	PRIJEM	VKLAD	10531	41061	\N	\N	\N
1162109	3979	1996-09-11	PRIJEM	VKLAD	10531	43555	\N	\N	\N
1162110	3979	1996-10-11	PRIJEM	VKLAD	10531	39042	\N	\N	\N
1162111	3979	1996-11-11	PRIJEM	VKLAD	10531	39728	\N	\N	\N
1162112	3979	1996-12-11	PRIJEM	VKLAD	15797	50370	\N	\N	\N
1162113	3979	1997-01-11	PRIJEM	VKLAD	10531	45518	\N	\N	\N
1162114	3979	1997-02-11	PRIJEM	VKLAD	10531	45635	\N	\N	\N
1162115	3979	1997-03-11	PRIJEM	VKLAD	10531	43925	\N	\N	\N
1162116	3979	1997-04-11	PRIJEM	VKLAD	10531	47145	\N	\N	\N
1162117	3979	1997-05-11	PRIJEM	VKLAD	10531	48272	\N	\N	\N
1162118	3979	1997-06-11	PRIJEM	VKLAD	15797	50773	\N	\N	\N
1162119	3979	1997-07-11	PRIJEM	VKLAD	10531	45756	\N	\N	\N
1162120	3979	1997-08-11	PRIJEM	VKLAD	10531	37689	\N	\N	\N
1162121	3979	1997-09-11	PRIJEM	VKLAD	10531	36292	\N	\N	\N
1162122	3979	1997-10-11	PRIJEM	VKLAD	10531	37135	\N	\N	\N
1162123	3979	1997-11-11	PRIJEM	VKLAD	10531	35219	\N	\N	\N
1162124	3979	1997-12-11	PRIJEM	VKLAD	15797	36489	\N	\N	\N
1162125	3979	1998-01-11	PRIJEM	VKLAD	10531	36067	\N	\N	\N
1162126	3979	1998-02-11	PRIJEM	VKLAD	10531	26370	\N	\N	\N
1162127	3979	1998-03-11	PRIJEM	VKLAD	10531	27111	\N	\N	\N
1162128	3979	1998-04-11	PRIJEM	VKLAD	10531	24158	\N	\N	\N
1162129	3979	1998-05-11	PRIJEM	VKLAD	10531	24725	\N	\N	\N
1162130	3979	1998-06-11	PRIJEM	VKLAD	15797	29424	\N	\N	\N
1162131	3979	1998-07-11	PRIJEM	VKLAD	10531	27454	\N	\N	\N
1162132	3979	1998-08-11	PRIJEM	VKLAD	10531	31804	\N	\N	\N
1162133	3979	1998-09-11	PRIJEM	VKLAD	10531	36164	\N	\N	\N
1162134	3979	1998-10-11	PRIJEM	VKLAD	10531	24541	\N	\N	\N
1162135	3979	1998-11-11	PRIJEM	VKLAD	10531	28893	\N	\N	\N
1162136	3979	1998-12-11	PRIJEM	VKLAD	15797	38506	\N	\N	\N
1162143	3979	1996-07-12	VYDAJ	PREVOD NA UCET	6256	37826	SIPO	WX	51212304
1162144	3979	1996-08-12	VYDAJ	PREVOD NA UCET	6256	32905	SIPO	WX	51212304
1162145	3979	1996-09-12	VYDAJ	PREVOD NA UCET	6256	28399	SIPO	WX	51212304
1162146	3979	1996-10-12	VYDAJ	PREVOD NA UCET	6256	30486	SIPO	WX	51212304
1162147	3979	1996-11-12	VYDAJ	PREVOD NA UCET	6256	33472	SIPO	WX	51212304
1162148	3979	1996-12-12	VYDAJ	PREVOD NA UCET	6256	44114	SIPO	WX	51212304
1162149	3979	1997-01-12	VYDAJ	PREVOD NA UCET	6256	39262	SIPO	WX	51212304
1162150	3979	1997-02-12	VYDAJ	PREVOD NA UCET	6256	39379	SIPO	WX	51212304
1162151	3979	1997-03-12	VYDAJ	PREVOD NA UCET	6256	37669	SIPO	WX	51212304
1162152	3979	1997-04-12	VYDAJ	PREVOD NA UCET	6256	40889	SIPO	WX	51212304
1162153	3979	1997-05-12	VYDAJ	PREVOD NA UCET	6256	42016	SIPO	WX	51212304
1162154	3979	1997-06-12	VYDAJ	PREVOD NA UCET	6256	44517	SIPO	WX	51212304
1162155	3979	1997-07-12	VYDAJ	PREVOD NA UCET	6256	39500	SIPO	WX	51212304
1162156	3979	1997-08-12	VYDAJ	PREVOD NA UCET	6256	31433	SIPO	WX	51212304
1162157	3979	1997-09-12	VYDAJ	PREVOD NA UCET	6256	30036	SIPO	WX	51212304
1162158	3979	1997-10-12	VYDAJ	PREVOD NA UCET	6256	30879	SIPO	WX	51212304
1162159	3979	1997-11-12	VYDAJ	PREVOD NA UCET	6256	28963	SIPO	WX	51212304
1162160	3979	1997-12-12	VYDAJ	PREVOD NA UCET	6256	30233	SIPO	WX	51212304
1162161	3979	1998-01-12	VYDAJ	PREVOD NA UCET	6256	28491	SIPO	WX	51212304
1162162	3979	1998-02-12	VYDAJ	PREVOD NA UCET	6256	20114	SIPO	WX	51212304
1162163	3979	1998-03-12	VYDAJ	PREVOD NA UCET	6256	20855	SIPO	WX	51212304
1162164	3979	1998-04-12	VYDAJ	PREVOD NA UCET	6256	15022	SIPO	WX	51212304
1162165	3979	1998-05-12	VYDAJ	PREVOD NA UCET	6256	18469	SIPO	WX	51212304
1162166	3979	1998-06-12	VYDAJ	PREVOD NA UCET	6256	23168	SIPO	WX	51212304
1162167	3979	1998-07-12	VYDAJ	PREVOD NA UCET	6256	21198	SIPO	WX	51212304
1162168	3979	1998-08-12	VYDAJ	PREVOD NA UCET	6256	25548	SIPO	WX	51212304
1162169	3979	1998-09-12	VYDAJ	PREVOD NA UCET	6256	29908	SIPO	WX	51212304
1162170	3979	1998-10-12	VYDAJ	PREVOD NA UCET	6256	18285	SIPO	WX	51212304
1162171	3979	1998-11-12	VYDAJ	PREVOD NA UCET	6256	22637	SIPO	WX	51212304
1162172	3979	1998-12-12	VYDAJ	PREVOD NA UCET	6256	32250	SIPO	WX	51212304
1162177	3979	1997-01-04	VYDAJ	VYBER	3840	38987	\N	\N	\N
1162179	3979	1996-12-18	VYDAJ	VYBER	1440	42674	\N	\N	\N
1162180	3979	1997-12-03	VYDAJ	VYBER	4480	24592	\N	\N	\N
1162181	3979	1998-12-27	VYDAJ	VYBER	1280	29170	\N	\N	\N
1162188	3979	1997-01-29	VYDAJ	VYBER	2400	29062	\N	\N	\N
1162189	3979	1997-01-17	VYDAJ	VYBER	1200	38062	\N	\N	\N
1162190	3979	1997-01-28	VYDAJ	VYBER	840	31462	\N	\N	\N
1162191	3979	1997-01-19	VYDAJ	VYBER	1800	36262	\N	\N	\N
1162192	3979	1997-01-26	VYDAJ	VYBER	3240	32302	\N	\N	\N
1162193	3979	1997-01-23	VYDAJ	VYBER	720	35542	\N	\N	\N
1162194	3979	1998-01-16	VYDAJ	VYBER	1800	24051	\N	\N	\N
1162195	3979	1998-01-18	VYDAJ	VYBER	1920	22131	\N	\N	\N
1162196	3979	1998-01-11	VYDAJ	VYBER	1320	34747	\N	\N	\N
1162197	3979	1998-01-23	VYDAJ	VYBER	1200	20211	\N	\N	\N
1162198	3979	1998-01-12	VYDAJ	VYBER	2640	25851	\N	\N	\N
1162199	3979	1998-01-20	VYDAJ	VYBER	720	21411	\N	\N	\N
1162200	3979	1996-07-27	VYDAJ	VYBER	3120	30406	\N	\N	\N
1162203	3979	1996-12-05	VYDAJ	VYBER	720	32874	\N	\N	\N
1162204	3979	1997-06-30	VYDAJ	VYBER	1560	43125	\N	\N	\N
1162205	3979	1997-03-04	VYDAJ	VYBER	3120	36394	\N	\N	\N
1162206	3979	1997-09-20	VYDAJ	VYBER	3240	26796	\N	\N	\N
1162207	3979	1998-12-13	VYDAJ	VYBER	1800	30450	\N	\N	\N
1162208	3979	1998-01-23	VYDAJ	VYBER	2760	17451	\N	\N	\N
1162209	3979	1998-06-29	VYDAJ	VYBER	720	22448	\N	\N	\N
1162211	3979	1998-04-12	VYDAJ	VYBER	2880	21278	\N	\N	\N
1162219	3979	1996-07-31	VYDAJ	VYBER	15	30530	SLUZBY	\N	\N
1162220	3979	1996-08-31	VYDAJ	VYBER	15	33024	SLUZBY	\N	\N
1162221	3979	1996-09-30	VYDAJ	VYBER	15	28511	SLUZBY	\N	\N
1162222	3979	1996-10-31	VYDAJ	VYBER	15	30597	SLUZBY	\N	\N
1162223	3979	1996-11-30	VYDAJ	VYBER	15	33594	SLUZBY	\N	\N
1162224	3979	1996-12-31	VYDAJ	VYBER	15	42827	SLUZBY	\N	\N
1162225	3979	1997-01-31	VYDAJ	VYBER	15	29204	SLUZBY	\N	\N
1162226	3979	1997-02-28	VYDAJ	VYBER	15	39514	SLUZBY	\N	\N
1162227	3979	1997-03-31	VYDAJ	VYBER	15	37814	SLUZBY	\N	\N
1162228	3979	1997-04-30	VYDAJ	VYBER	15	41041	SLUZBY	\N	\N
1162229	3979	1997-05-31	VYDAJ	VYBER	15	42176	SLUZBY	\N	\N
1162230	3979	1997-06-30	VYDAJ	VYBER	15	44685	SLUZBY	\N	\N
1162231	3979	1997-07-31	VYDAJ	VYBER	15	39658	SLUZBY	\N	\N
1162232	3979	1997-08-31	VYDAJ	VYBER	15	31561	SLUZBY	\N	\N
1162233	3979	1997-09-30	VYDAJ	VYBER	15	26904	SLUZBY	\N	\N
1162234	3979	1997-10-31	VYDAJ	VYBER	15	30988	SLUZBY	\N	\N
1162235	3979	1997-11-30	VYDAJ	VYBER	15	29072	SLUZBY	\N	\N
1162236	3979	1997-12-31	VYDAJ	VYBER	15	30336	SLUZBY	\N	\N
1162237	3979	1998-01-31	VYDAJ	VYBER	15	17539	SLUZBY	\N	\N
1162238	3979	1998-02-28	VYDAJ	VYBER	15	20180	SLUZBY	\N	\N
1162239	3979	1998-03-31	VYDAJ	VYBER	15	20927	SLUZBY	\N	\N
1162240	3979	1998-04-30	VYDAJ	VYBER	15	15094	SLUZBY	\N	\N
1162241	3979	1998-05-31	VYDAJ	VYBER	15	18527	SLUZBY	\N	\N
1162242	3979	1998-06-30	VYDAJ	VYBER	15	22523	SLUZBY	\N	\N
1162243	3979	1998-07-31	VYDAJ	VYBER	15	21273	SLUZBY	\N	\N
1162244	3979	1998-08-31	VYDAJ	VYBER	15	25633	SLUZBY	\N	\N
1162245	3979	1998-09-30	VYDAJ	VYBER	15	30010	SLUZBY	\N	\N
1162246	3979	1998-10-31	VYDAJ	VYBER	15	18362	SLUZBY	\N	\N
1162247	3979	1998-11-30	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
1162248	3979	1996-03-15	PRIJEM	VKLAD	4500	15731	\N	\N	\N
1162249	3979	1996-04-14	VYDAJ	VYBER	2400	23898	\N	\N	\N
1162250	3979	1996-05-14	VYDAJ	VYBER	6200	28314	\N	\N	\N
1162251	3979	1996-06-13	VYDAJ	VYBER	10800	33421	\N	\N	\N
1162252	3979	1996-07-13	VYDAJ	VYBER	4300	33526	\N	\N	\N
1162253	3979	1996-08-12	VYDAJ	VYBER	1900	39161	\N	\N	\N
1162254	3979	1996-09-11	VYDAJ	VYBER	8900	34655	\N	\N	\N
1162255	3979	1996-10-11	VYDAJ	VYBER	2300	36742	\N	\N	\N
1162256	3979	1996-11-10	VYDAJ	VYBER	1400	29197	\N	\N	\N
1162257	3979	1996-12-10	PRIJEM	VKLAD	1700	34574	\N	\N	\N
1162258	3979	1997-01-09	VYDAJ	VYBER	4000	34987	\N	\N	\N
1162259	3979	1997-02-08	PRIJEM	VKLAD	5900	35104	\N	\N	\N
1162260	3979	1997-03-10	VYDAJ	VYBER	3000	33394	\N	\N	\N
1162261	3979	1997-04-09	VYDAJ	VYBER	1200	36614	\N	\N	\N
1162262	3979	1997-05-09	VYDAJ	VYBER	3300	37741	\N	\N	\N
1162263	3979	1997-06-08	VYDAJ	VYBER	7200	34976	\N	\N	\N
1162264	3979	1997-07-08	VYDAJ	VYBER	7900	35225	\N	\N	\N
1162265	3979	1997-08-07	VYDAJ	VYBER	12500	27158	\N	\N	\N
1162266	3979	1997-09-06	VYDAJ	VYBER	5800	25761	\N	\N	\N
1162267	3979	1997-10-06	VYDAJ	VYBER	300	26604	\N	\N	\N
1162268	3979	1997-11-05	VYDAJ	VYBER	6300	24688	\N	\N	\N
1162269	3979	1997-12-05	VYDAJ	VYBER	3900	20692	\N	\N	\N
1162270	3979	1998-01-04	VYDAJ	VYBER	4800	25536	\N	\N	\N
1162271	3979	1998-02-03	VYDAJ	VYBER	1700	15839	\N	\N	\N
1162272	3979	1998-03-05	VYDAJ	VYBER	3600	16580	\N	\N	\N
1162273	3979	1998-04-04	VYDAJ	VYBER	7300	13627	\N	\N	\N
1162274	3979	1998-05-04	VYDAJ	VYBER	900	14194	\N	\N	\N
1162275	3979	1998-06-03	VYDAJ	VYBER	4900	13627	\N	\N	\N
1162276	3979	1998-07-03	VYDAJ	VYBER	5600	16923	\N	\N	\N
1162277	3979	1998-10-01	VYDAJ	VYBER	16000	14010	\N	\N	\N
1162312	3980	1993-04-03	PRIJEM	VKLAD	800	800	\N	\N	\N
1162316	3980	1993-04-09	PRIJEM	VKLAD	8555	9355	\N	\N	\N
1162317	3980	1993-05-09	PRIJEM	VKLAD	8555	24639	\N	\N	\N
1162318	3980	1993-06-09	PRIJEM	VKLAD	12833	36757	\N	\N	\N
1162319	3980	1993-07-09	PRIJEM	VKLAD	8555	40952	\N	\N	\N
1162320	3980	1993-08-09	PRIJEM	VKLAD	8555	40873	\N	\N	\N
1162321	3980	1993-09-09	PRIJEM	VKLAD	8555	34648	\N	\N	\N
1162322	3980	1993-10-09	PRIJEM	VKLAD	8555	29309	\N	\N	\N
1162323	3980	1993-11-09	PRIJEM	VKLAD	8555	33734	\N	\N	\N
1162324	3980	1993-12-09	PRIJEM	VKLAD	12833	32452	\N	\N	\N
1162325	3980	1994-01-09	PRIJEM	VKLAD	8555	34527	\N	\N	\N
1162326	3980	1994-02-09	PRIJEM	VKLAD	8555	26259	\N	\N	\N
1162327	3980	1994-03-09	PRIJEM	VKLAD	8555	32371	\N	\N	\N
1162328	3980	1994-04-09	PRIJEM	VKLAD	8555	32007	\N	\N	\N
1162329	3980	1994-05-09	PRIJEM	VKLAD	8555	33842	\N	\N	\N
1162330	3980	1994-06-09	PRIJEM	VKLAD	12833	36042	\N	\N	\N
1162331	3980	1994-07-09	PRIJEM	VKLAD	8555	26028	\N	\N	\N
1162332	3980	1994-08-09	PRIJEM	VKLAD	8555	33241	\N	\N	\N
1162333	3980	1994-09-09	PRIJEM	VKLAD	8555	32878	\N	\N	\N
1162334	3980	1994-10-09	PRIJEM	VKLAD	8555	33414	\N	\N	\N
1162335	3980	1994-11-09	PRIJEM	VKLAD	8555	36354	\N	\N	\N
1162336	3980	1994-12-09	PRIJEM	VKLAD	12833	35841	\N	\N	\N
1162337	3980	1995-01-09	PRIJEM	VKLAD	8555	35890	\N	\N	\N
1162338	3980	1995-02-09	PRIJEM	VKLAD	8555	26144	\N	\N	\N
1162339	3980	1995-03-09	PRIJEM	VKLAD	8555	35059	\N	\N	\N
1162340	3980	1995-04-09	PRIJEM	VKLAD	8555	38403	\N	\N	\N
1162341	3980	1995-05-09	PRIJEM	VKLAD	8555	38581	\N	\N	\N
1162342	3980	1995-06-09	PRIJEM	VKLAD	12833	41512	\N	\N	\N
1162343	3980	1995-07-09	PRIJEM	VKLAD	8555	30658	\N	\N	\N
1162344	3980	1995-08-09	PRIJEM	VKLAD	8555	39894	\N	\N	\N
1162345	3980	1995-09-09	PRIJEM	VKLAD	8555	44362	\N	\N	\N
1162346	3980	1995-10-09	PRIJEM	VKLAD	8555	42780	\N	\N	\N
1162347	3980	1995-11-09	PRIJEM	VKLAD	8555	46759	\N	\N	\N
1162348	3980	1995-12-09	PRIJEM	VKLAD	12833	51024	\N	\N	\N
1162349	3980	1996-01-09	PRIJEM	VKLAD	8555	41662	\N	\N	\N
1162350	3980	1996-02-09	PRIJEM	VKLAD	8555	30656	\N	\N	\N
1162351	3980	1996-03-09	PRIJEM	VKLAD	8555	36729	\N	\N	\N
1162352	3980	1996-04-09	PRIJEM	VKLAD	8555	45090	\N	\N	\N
1162353	3980	1996-05-09	PRIJEM	VKLAD	8555	46372	\N	\N	\N
1162354	3980	1996-06-09	PRIJEM	VKLAD	12833	27615	\N	\N	\N
1162355	3980	1996-07-09	PRIJEM	VKLAD	8555	34689	\N	\N	\N
1162356	3980	1996-08-09	PRIJEM	VKLAD	8555	35936	\N	\N	\N
1162357	3980	1996-09-09	PRIJEM	VKLAD	8555	40990	\N	\N	\N
1162358	3980	1996-10-09	PRIJEM	VKLAD	8555	43657	\N	\N	\N
1162359	3980	1996-11-09	PRIJEM	VKLAD	8555	45131	\N	\N	\N
1162360	3980	1996-12-09	PRIJEM	VKLAD	12833	53395	\N	\N	\N
1162361	3980	1997-01-09	PRIJEM	VKLAD	8555	42029	\N	\N	\N
1162362	3980	1997-02-09	PRIJEM	VKLAD	8555	33937	\N	\N	\N
1162363	3980	1997-03-09	PRIJEM	VKLAD	8555	44995	\N	\N	\N
1162364	3980	1997-04-09	PRIJEM	VKLAD	8555	48500	\N	\N	\N
1162365	3980	1997-05-09	PRIJEM	VKLAD	8555	56776	\N	\N	\N
1162366	3980	1997-06-09	PRIJEM	VKLAD	12833	64830	\N	\N	\N
1162367	3980	1997-07-09	PRIJEM	VKLAD	8555	64983	\N	\N	\N
1162368	3980	1997-08-09	PRIJEM	VKLAD	8555	67446	\N	\N	\N
1162369	3980	1997-09-09	PRIJEM	VKLAD	8555	69919	\N	\N	\N
1162370	3980	1997-10-09	PRIJEM	VKLAD	8555	68032	\N	\N	\N
1162371	3980	1997-11-09	PRIJEM	VKLAD	8555	68015	\N	\N	\N
1162372	3980	1997-12-09	PRIJEM	VKLAD	12833	69874	\N	\N	\N
1162373	3980	1998-01-09	PRIJEM	VKLAD	8555	63640	\N	\N	\N
1162374	3980	1998-02-09	PRIJEM	VKLAD	8555	64222	\N	\N	\N
1162375	3980	1998-03-09	PRIJEM	VKLAD	8555	70305	\N	\N	\N
1162376	3980	1998-04-09	PRIJEM	VKLAD	8555	75470	\N	\N	\N
1162377	3980	1998-05-09	PRIJEM	VKLAD	8555	79980	\N	\N	\N
1162378	3980	1998-06-09	PRIJEM	VKLAD	12833	71451	\N	\N	\N
1162379	3980	1998-07-09	PRIJEM	VKLAD	8555	73854	\N	\N	\N
1162380	3980	1998-08-09	PRIJEM	VKLAD	8555	71862	\N	\N	\N
1162381	3980	1998-09-09	PRIJEM	VKLAD	8555	72565	\N	\N	\N
1162382	3980	1998-10-09	PRIJEM	VKLAD	8555	71468	\N	\N	\N
1162383	3980	1998-11-09	PRIJEM	VKLAD	8555	65488	\N	\N	\N
1162384	3980	1998-12-09	PRIJEM	VKLAD	12833	69742	\N	\N	\N
1162393	3980	1993-09-06	VYDAJ	PREVOD NA UCET	1367	28357	SIPO	ST	74249100
1162394	3980	1993-10-06	VYDAJ	PREVOD NA UCET	1367	23018	SIPO	ST	74249100
1162395	3980	1993-11-06	VYDAJ	PREVOD NA UCET	1367	27443	SIPO	ST	74249100
1162396	3980	1993-12-06	VYDAJ	PREVOD NA UCET	1367	21884	SIPO	ST	74249100
1162397	3980	1994-01-06	VYDAJ	PREVOD NA UCET	1367	29196	SIPO	ST	74249100
1162398	3980	1994-02-06	VYDAJ	PREVOD NA UCET	1367	19968	SIPO	ST	74249100
1162399	3980	1994-03-06	VYDAJ	PREVOD NA UCET	1367	26080	SIPO	ST	74249100
1162400	3980	1994-04-06	VYDAJ	PREVOD NA UCET	1367	25716	SIPO	ST	74249100
1162401	3980	1994-05-06	VYDAJ	PREVOD NA UCET	1367	28751	SIPO	ST	74249100
1162402	3980	1994-06-06	VYDAJ	PREVOD NA UCET	1367	25474	SIPO	ST	74249100
1162403	3980	1994-07-06	VYDAJ	PREVOD NA UCET	1367	19737	SIPO	ST	74249100
1162404	3980	1994-08-06	VYDAJ	PREVOD NA UCET	1367	26950	SIPO	ST	74249100
1162405	3980	1994-09-06	VYDAJ	PREVOD NA UCET	1367	26587	SIPO	ST	74249100
1162406	3980	1994-10-06	VYDAJ	PREVOD NA UCET	1367	27123	SIPO	ST	74249100
1162407	3980	1994-11-06	VYDAJ	PREVOD NA UCET	1367	30063	SIPO	ST	74249100
1162408	3980	1994-12-06	VYDAJ	PREVOD NA UCET	1367	25272	SIPO	ST	74249100
1162409	3980	1995-01-06	VYDAJ	PREVOD NA UCET	1367	29599	SIPO	ST	74249100
1162410	3980	1995-02-06	VYDAJ	PREVOD NA UCET	1367	19853	SIPO	ST	74249100
1162411	3980	1995-03-06	VYDAJ	PREVOD NA UCET	1367	28768	SIPO	ST	74249100
1162412	3980	1995-04-06	VYDAJ	PREVOD NA UCET	1367	32112	SIPO	ST	74249100
1162413	3980	1995-05-06	VYDAJ	PREVOD NA UCET	1367	32290	SIPO	ST	74249100
1162414	3980	1995-06-06	VYDAJ	PREVOD NA UCET	1367	30943	SIPO	ST	74249100
1162415	3980	1995-07-06	VYDAJ	PREVOD NA UCET	1367	24367	SIPO	ST	74249100
1162416	3980	1995-08-06	VYDAJ	PREVOD NA UCET	1367	33603	SIPO	ST	74249100
1162417	3980	1995-09-06	VYDAJ	PREVOD NA UCET	1367	38071	SIPO	ST	74249100
1162418	3980	1995-10-06	VYDAJ	PREVOD NA UCET	1367	36489	SIPO	ST	74249100
1162419	3980	1995-11-06	VYDAJ	PREVOD NA UCET	1367	40468	SIPO	ST	74249100
1162420	3980	1995-12-06	VYDAJ	PREVOD NA UCET	1367	40456	SIPO	ST	74249100
1162421	3980	1996-01-06	VYDAJ	PREVOD NA UCET	1367	37891	SIPO	ST	74249100
1162422	3980	1996-02-06	VYDAJ	PREVOD NA UCET	1367	24365	SIPO	ST	74249100
1162423	3980	1996-03-06	VYDAJ	PREVOD NA UCET	1367	30438	SIPO	ST	74249100
1162424	3980	1996-04-06	VYDAJ	PREVOD NA UCET	1367	38799	SIPO	ST	74249100
1162425	3980	1996-05-06	VYDAJ	PREVOD NA UCET	1367	40081	SIPO	ST	74249100
1162426	3980	1996-06-06	VYDAJ	PREVOD NA UCET	1367	17047	SIPO	ST	74249100
1162427	3980	1996-07-06	VYDAJ	PREVOD NA UCET	1367	28398	SIPO	ST	74249100
1162428	3980	1996-08-06	VYDAJ	PREVOD NA UCET	1367	29645	SIPO	ST	74249100
1162429	3980	1996-09-06	VYDAJ	PREVOD NA UCET	1367	34699	SIPO	ST	74249100
1162430	3980	1996-10-06	VYDAJ	PREVOD NA UCET	1367	37366	SIPO	ST	74249100
1162431	3980	1996-11-06	VYDAJ	PREVOD NA UCET	1367	38840	SIPO	ST	74249100
1162432	3980	1996-12-06	VYDAJ	PREVOD NA UCET	1367	42826	SIPO	ST	74249100
1162433	3980	1997-01-06	VYDAJ	PREVOD NA UCET	1367	39218	SIPO	ST	74249100
1162434	3980	1997-02-06	VYDAJ	PREVOD NA UCET	1367	27646	SIPO	ST	74249100
1162435	3980	1997-03-06	VYDAJ	PREVOD NA UCET	1367	38704	SIPO	ST	74249100
1162436	3980	1997-04-06	VYDAJ	PREVOD NA UCET	1367	42209	SIPO	ST	74249100
1162437	3980	1997-05-06	VYDAJ	PREVOD NA UCET	1367	50485	SIPO	ST	74249100
1162438	3980	1997-06-06	VYDAJ	PREVOD NA UCET	1367	54261	SIPO	ST	74249100
1162439	3980	1997-07-06	VYDAJ	PREVOD NA UCET	1367	58692	SIPO	ST	74249100
1162440	3980	1997-08-06	VYDAJ	PREVOD NA UCET	1367	61155	SIPO	ST	74249100
1162441	3980	1997-09-06	VYDAJ	PREVOD NA UCET	1367	63628	SIPO	ST	74249100
1162442	3980	1997-10-06	VYDAJ	PREVOD NA UCET	1367	61741	SIPO	ST	74249100
1162443	3980	1997-11-06	VYDAJ	PREVOD NA UCET	1367	62824	SIPO	ST	74249100
1162444	3980	1997-12-06	VYDAJ	PREVOD NA UCET	1367	63305	SIPO	ST	74249100
1162445	3980	1998-01-06	VYDAJ	PREVOD NA UCET	1367	53249	SIPO	ST	74249100
1162446	3980	1998-02-06	VYDAJ	PREVOD NA UCET	1367	57931	SIPO	ST	74249100
1162447	3980	1998-03-06	VYDAJ	PREVOD NA UCET	1367	60214	SIPO	ST	74249100
1162448	3980	1998-04-06	VYDAJ	PREVOD NA UCET	1367	64279	SIPO	ST	74249100
1162449	3980	1998-05-06	VYDAJ	PREVOD NA UCET	1367	74389	SIPO	ST	74249100
1162450	3980	1998-06-06	VYDAJ	PREVOD NA UCET	1367	60882	SIPO	ST	74249100
1162451	3980	1998-07-06	VYDAJ	PREVOD NA UCET	1367	70363	SIPO	ST	74249100
1162452	3980	1998-08-06	VYDAJ	PREVOD NA UCET	1367	65571	SIPO	ST	74249100
1162453	3980	1998-09-06	VYDAJ	PREVOD NA UCET	1367	66274	SIPO	ST	74249100
1162454	3980	1998-10-06	VYDAJ	PREVOD NA UCET	1367	65177	SIPO	ST	74249100
1162455	3980	1998-11-06	VYDAJ	PREVOD NA UCET	1367	59197	SIPO	ST	74249100
1162456	3980	1998-12-06	VYDAJ	PREVOD NA UCET	1367	59173	SIPO	ST	74249100
1162465	3980	1993-09-07	VYDAJ	PREVOD NA UCET	2264	26093	 	QR	32205635
1162466	3980	1993-10-07	VYDAJ	PREVOD NA UCET	2264	20754	 	QR	32205635
1162467	3980	1993-11-07	VYDAJ	PREVOD NA UCET	2264	25179	 	QR	32205635
1162468	3980	1993-12-07	VYDAJ	PREVOD NA UCET	2264	19620	 	QR	32205635
1162469	3980	1994-01-07	VYDAJ	PREVOD NA UCET	2264	26932	 	QR	32205635
1162470	3980	1994-02-07	VYDAJ	PREVOD NA UCET	2264	17704	 	QR	32205635
1162471	3980	1994-03-07	VYDAJ	PREVOD NA UCET	2264	23816	 	QR	32205635
1162472	3980	1994-04-07	VYDAJ	PREVOD NA UCET	2264	23452	 	QR	32205635
1162473	3980	1994-05-07	VYDAJ	PREVOD NA UCET	2264	25287	 	QR	32205635
1162474	3980	1994-06-07	VYDAJ	PREVOD NA UCET	2264	23210	 	QR	32205635
1162475	3980	1994-07-07	VYDAJ	PREVOD NA UCET	2264	17473	 	QR	32205635
1162476	3980	1994-08-07	VYDAJ	PREVOD NA UCET	2264	24686	 	QR	32205635
1162477	3980	1994-09-07	VYDAJ	PREVOD NA UCET	2264	24323	 	QR	32205635
1162478	3980	1994-10-07	VYDAJ	PREVOD NA UCET	2264	24859	 	QR	32205635
1162479	3980	1994-11-07	VYDAJ	PREVOD NA UCET	2264	27799	 	QR	32205635
1162480	3980	1994-12-07	VYDAJ	PREVOD NA UCET	2264	23008	 	QR	32205635
1162481	3980	1995-01-07	VYDAJ	PREVOD NA UCET	2264	27335	 	QR	32205635
1162482	3980	1995-02-07	VYDAJ	PREVOD NA UCET	2264	17589	 	QR	32205635
1162483	3980	1995-03-07	VYDAJ	PREVOD NA UCET	2264	26504	 	QR	32205635
1162484	3980	1995-04-07	VYDAJ	PREVOD NA UCET	2264	29848	 	QR	32205635
1162485	3980	1995-05-07	VYDAJ	PREVOD NA UCET	2264	30026	 	QR	32205635
1162486	3980	1995-06-07	VYDAJ	PREVOD NA UCET	2264	28679	 	QR	32205635
1162487	3980	1995-07-07	VYDAJ	PREVOD NA UCET	2264	22103	 	QR	32205635
1162488	3980	1995-08-07	VYDAJ	PREVOD NA UCET	2264	31339	 	QR	32205635
1162489	3980	1995-09-07	VYDAJ	PREVOD NA UCET	2264	35807	 	QR	32205635
1162490	3980	1995-10-07	VYDAJ	PREVOD NA UCET	2264	34225	 	QR	32205635
1162491	3980	1995-11-07	VYDAJ	PREVOD NA UCET	2264	38204	 	QR	32205635
1162492	3980	1995-12-07	VYDAJ	PREVOD NA UCET	2264	38192	 	QR	32205635
1162493	3980	1996-01-07	VYDAJ	PREVOD NA UCET	2264	35627	 	QR	32205635
1162494	3980	1996-02-07	VYDAJ	PREVOD NA UCET	2264	22101	 	QR	32205635
1162495	3980	1996-03-07	VYDAJ	PREVOD NA UCET	2264	28174	 	QR	32205635
1162496	3980	1996-04-07	VYDAJ	PREVOD NA UCET	2264	36535	 	QR	32205635
1162497	3980	1996-05-07	VYDAJ	PREVOD NA UCET	2264	37817	 	QR	32205635
1162498	3980	1996-06-07	VYDAJ	PREVOD NA UCET	2264	14783	 	QR	32205635
1162499	3980	1996-07-07	VYDAJ	PREVOD NA UCET	2264	26134	 	QR	32205635
1162500	3980	1996-08-07	VYDAJ	PREVOD NA UCET	2264	27381	 	QR	32205635
1162501	3980	1996-09-07	VYDAJ	PREVOD NA UCET	2264	32435	 	QR	32205635
1162502	3980	1996-10-07	VYDAJ	PREVOD NA UCET	2264	35102	 	QR	32205635
1162503	3980	1996-11-07	VYDAJ	PREVOD NA UCET	2264	36576	 	QR	32205635
1162504	3980	1996-12-07	VYDAJ	PREVOD NA UCET	2264	40562	 	QR	32205635
1162505	3980	1997-01-07	VYDAJ	PREVOD NA UCET	2264	33474	 	QR	32205635
1162506	3980	1997-02-07	VYDAJ	PREVOD NA UCET	2264	25382	 	QR	32205635
1162507	3980	1997-03-07	VYDAJ	PREVOD NA UCET	2264	36440	 	QR	32205635
1162508	3980	1997-04-07	VYDAJ	PREVOD NA UCET	2264	39945	 	QR	32205635
1162509	3980	1997-05-07	VYDAJ	PREVOD NA UCET	2264	48221	 	QR	32205635
1162510	3980	1997-06-07	VYDAJ	PREVOD NA UCET	2264	51997	 	QR	32205635
1162511	3980	1997-07-07	VYDAJ	PREVOD NA UCET	2264	56428	 	QR	32205635
1162512	3980	1997-08-07	VYDAJ	PREVOD NA UCET	2264	58891	 	QR	32205635
1162513	3980	1997-09-07	VYDAJ	PREVOD NA UCET	2264	61364	 	QR	32205635
1162514	3980	1997-10-07	VYDAJ	PREVOD NA UCET	2264	59477	 	QR	32205635
1162515	3980	1997-11-07	VYDAJ	PREVOD NA UCET	2264	60560	 	QR	32205635
1162516	3980	1997-12-07	VYDAJ	PREVOD NA UCET	2264	61041	 	QR	32205635
1162517	3980	1998-01-07	VYDAJ	PREVOD NA UCET	2264	55085	 	QR	32205635
1162518	3980	1998-02-07	VYDAJ	PREVOD NA UCET	2264	55667	 	QR	32205635
1162519	3980	1998-03-07	VYDAJ	PREVOD NA UCET	2264	57950	 	QR	32205635
1162520	3980	1998-04-07	VYDAJ	PREVOD NA UCET	2264	66915	 	QR	32205635
1162521	3980	1998-05-07	VYDAJ	PREVOD NA UCET	2264	72125	 	QR	32205635
1162522	3980	1998-06-07	VYDAJ	PREVOD NA UCET	2264	58618	 	QR	32205635
1162523	3980	1998-07-07	VYDAJ	PREVOD NA UCET	2264	65299	 	QR	32205635
1162524	3980	1998-08-07	VYDAJ	PREVOD NA UCET	2264	63307	 	QR	32205635
1162525	3980	1998-09-07	VYDAJ	PREVOD NA UCET	2264	64010	 	QR	32205635
1162526	3980	1998-10-07	VYDAJ	PREVOD NA UCET	2264	62913	 	QR	32205635
1162527	3980	1998-11-07	VYDAJ	PREVOD NA UCET	2264	56933	 	QR	32205635
1162528	3980	1998-12-07	VYDAJ	PREVOD NA UCET	2264	56909	 	QR	32205635
1162530	3980	1994-06-20	VYDAJ	VYBER	15040	21002	\N	\N	\N
1162531	3980	1995-06-15	VYDAJ	VYBER	7520	33992	\N	\N	\N
1162532	3980	1996-06-04	VYDAJ	VYBER	23520	18414	\N	\N	\N
1162534	3980	1998-06-02	VYDAJ	VYBER	30240	50049	\N	\N	\N
1162536	3980	1994-01-15	VYDAJ	VYBER	2240	30727	\N	\N	\N
1162537	3980	1995-01-11	VYDAJ	VYBER	11040	21250	\N	\N	\N
1162538	3980	1996-01-09	VYDAJ	VYBER	9440	32222	\N	\N	\N
1162539	3980	1997-01-26	VYDAJ	VYBER	10080	29949	\N	\N	\N
1162540	3980	1998-01-01	VYDAJ	VYBER	10080	57016	\N	\N	\N
1162541	3980	1993-12-03	VYDAJ	VYBER	2880	23251	\N	\N	\N
1162542	3980	1994-12-01	VYDAJ	VYBER	4640	26639	\N	\N	\N
1162543	3980	1995-12-09	VYDAJ	VYBER	2720	48304	\N	\N	\N
1162544	3980	1996-12-29	VYDAJ	VYBER	3200	42335	\N	\N	\N
1162545	3980	1997-12-24	VYDAJ	VYBER	3040	66834	\N	\N	\N
1162546	3980	1998-12-11	VYDAJ	VYBER	800	68942	\N	\N	\N
1162553	3980	1994-01-26	VYDAJ	VYBER	2160	25327	\N	\N	\N
1162554	3980	1994-01-14	VYDAJ	VYBER	1560	32967	\N	\N	\N
1162555	3980	1994-01-27	VYDAJ	VYBER	1680	23647	\N	\N	\N
1162556	3980	1994-01-25	VYDAJ	VYBER	3240	27487	\N	\N	\N
1162557	3980	1994-01-08	VYDAJ	VYBER	960	25972	\N	\N	\N
1162558	3980	1994-01-29	VYDAJ	VYBER	1320	21227	\N	\N	\N
1162559	3980	1995-01-27	VYDAJ	VYBER	2040	22210	\N	\N	\N
1162560	3980	1995-01-27	VYDAJ	VYBER	1080	21130	\N	\N	\N
1162561	3980	1995-01-03	VYDAJ	VYBER	2880	30966	\N	\N	\N
1162562	3980	1995-01-10	VYDAJ	VYBER	2520	32290	\N	\N	\N
1162563	3980	1995-01-09	VYDAJ	VYBER	1080	34810	\N	\N	\N
1162564	3980	1995-01-02	VYDAJ	VYBER	1320	33846	\N	\N	\N
1162565	3980	1996-01-03	VYDAJ	VYBER	1920	39258	\N	\N	\N
1162566	3980	1996-01-24	VYDAJ	VYBER	3480	26562	\N	\N	\N
1162567	3980	1996-01-20	VYDAJ	VYBER	3480	30042	\N	\N	\N
1162568	3980	1996-01-29	VYDAJ	VYBER	960	25602	\N	\N	\N
1162569	3980	1996-01-08	VYDAJ	VYBER	2520	33107	\N	\N	\N
1162570	3980	1996-01-01	VYDAJ	VYBER	3000	41178	\N	\N	\N
1162571	3980	1997-01-01	VYDAJ	VYBER	1920	40585	\N	\N	\N
1162572	3980	1997-01-28	VYDAJ	VYBER	1080	28869	\N	\N	\N
1162573	3980	1997-01-07	VYDAJ	VYBER	3480	35738	\N	\N	\N
1162574	3980	1997-01-19	VYDAJ	VYBER	1920	40029	\N	\N	\N
1162575	3980	1997-01-13	VYDAJ	VYBER	1800	41949	\N	\N	\N
1162576	3980	1997-01-11	VYDAJ	VYBER	2880	39149	\N	\N	\N
1162577	3980	1998-01-03	VYDAJ	VYBER	2400	54616	\N	\N	\N
1162578	3980	1998-01-16	VYDAJ	VYBER	1920	54280	\N	\N	\N
1162579	3980	1998-01-13	VYDAJ	VYBER	2040	58960	\N	\N	\N
1162580	3980	1998-01-12	VYDAJ	VYBER	2640	61000	\N	\N	\N
1162581	3980	1998-01-16	VYDAJ	VYBER	2760	56200	\N	\N	\N
1162582	3980	1998-01-18	VYDAJ	VYBER	600	53680	\N	\N	\N
1162583	3980	1993-08-10	VYDAJ	VYBER	1800	39073	\N	\N	\N
1162584	3980	1993-09-15	VYDAJ	VYBER	5880	28768	\N	\N	\N
1162585	3980	1993-11-27	VYDAJ	VYBER	1920	31814	\N	\N	\N
1162586	3980	1994-05-07	VYDAJ	VYBER	1200	27551	\N	\N	\N
1162587	3980	1994-06-05	VYDAJ	VYBER	1920	26841	\N	\N	\N
1162588	3980	1995-04-28	VYDAJ	VYBER	1080	33523	\N	\N	\N
1162589	3980	1995-06-26	VYDAJ	VYBER	5880	25612	\N	\N	\N
1162590	3980	1995-09-27	VYDAJ	VYBER	1560	37702	\N	\N	\N
1162591	3980	1995-05-12	VYDAJ	VYBER	1200	37381	\N	\N	\N
1162592	3980	1995-03-14	VYDAJ	VYBER	1080	33259	\N	\N	\N
1162593	3980	1995-03-12	VYDAJ	VYBER	720	34339	\N	\N	\N
1162594	3980	1995-05-23	VYDAJ	VYBER	4200	33181	\N	\N	\N
1162595	3980	1996-12-10	VYDAJ	VYBER	1320	47635	\N	\N	\N
1162596	3980	1996-02-19	VYDAJ	VYBER	5760	31696	\N	\N	\N
1162597	3980	1996-06-23	VYDAJ	VYBER	1560	29655	\N	\N	\N
1162598	3980	1996-12-09	VYDAJ	VYBER	4440	48955	\N	\N	\N
1162599	3980	1996-07-31	VYDAJ	VYBER	4200	31012	\N	\N	\N
1162600	3980	1997-06-03	VYDAJ	VYBER	960	55628	\N	\N	\N
1162601	3980	1997-11-26	VYDAJ	VYBER	3600	64415	\N	\N	\N
1162602	3980	1997-09-29	VYDAJ	VYBER	960	62859	\N	\N	\N
1162603	3980	1997-04-26	VYDAJ	VYBER	2640	51660	\N	\N	\N
1162604	3980	1997-03-15	VYDAJ	VYBER	5880	43415	\N	\N	\N
1162605	3980	1997-06-13	VYDAJ	VYBER	1800	59830	\N	\N	\N
1162606	3980	1998-12-23	VYDAJ	VYBER	1680	67262	\N	\N	\N
1162607	3980	1998-03-25	VYDAJ	VYBER	4920	65385	\N	\N	\N
1162608	3980	1998-10-09	VYDAJ	VYBER	2880	68588	\N	\N	\N
1162609	3980	1998-03-03	VYDAJ	VYBER	2880	61581	\N	\N	\N
1162618	3980	1993-08-31	VYDAJ	VYBER	15	39224	SLUZBY	\N	\N
1162619	3980	1993-09-30	VYDAJ	VYBER	15	24385	SLUZBY	\N	\N
1162620	3980	1993-10-31	VYDAJ	VYBER	15	28810	SLUZBY	\N	\N
1162621	3980	1993-11-30	VYDAJ	VYBER	15	26131	SLUZBY	\N	\N
1162622	3980	1993-12-31	VYDAJ	VYBER	15	30563	SLUZBY	\N	\N
1162623	3980	1994-01-31	VYDAJ	VYBER	15	21335	SLUZBY	\N	\N
1162624	3980	1994-02-28	VYDAJ	VYBER	15	27447	SLUZBY	\N	\N
1162625	3980	1994-03-31	VYDAJ	VYBER	15	27083	SLUZBY	\N	\N
1162626	3980	1994-04-30	VYDAJ	VYBER	15	30118	SLUZBY	\N	\N
1162627	3980	1994-05-31	VYDAJ	VYBER	15	28761	SLUZBY	\N	\N
1162628	3980	1994-06-30	VYDAJ	VYBER	15	21104	SLUZBY	\N	\N
1162629	3980	1994-07-31	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
1162630	3980	1994-08-31	VYDAJ	VYBER	15	27954	SLUZBY	\N	\N
1162631	3980	1994-09-30	VYDAJ	VYBER	15	28490	SLUZBY	\N	\N
1162632	3980	1994-10-31	VYDAJ	VYBER	15	31430	SLUZBY	\N	\N
1162633	3980	1994-11-30	VYDAJ	VYBER	15	31279	SLUZBY	\N	\N
1162634	3980	1994-12-31	VYDAJ	VYBER	15	35166	SLUZBY	\N	\N
1162635	3980	1995-01-31	VYDAJ	VYBER	15	21220	SLUZBY	\N	\N
1162636	3980	1995-02-28	VYDAJ	VYBER	15	30135	SLUZBY	\N	\N
1162637	3980	1995-03-31	VYDAJ	VYBER	15	33479	SLUZBY	\N	\N
1162638	3980	1995-04-30	VYDAJ	VYBER	15	33657	SLUZBY	\N	\N
1162639	3980	1995-05-31	VYDAJ	VYBER	15	32310	SLUZBY	\N	\N
1162640	3980	1995-06-30	VYDAJ	VYBER	15	25734	SLUZBY	\N	\N
1162641	3980	1995-07-31	VYDAJ	VYBER	15	34970	SLUZBY	\N	\N
1162642	3980	1995-08-31	VYDAJ	VYBER	15	39438	SLUZBY	\N	\N
1162643	3980	1995-09-30	VYDAJ	VYBER	15	37856	SLUZBY	\N	\N
1162644	3980	1995-10-31	VYDAJ	VYBER	15	41835	SLUZBY	\N	\N
1162645	3980	1995-11-30	VYDAJ	VYBER	15	41823	SLUZBY	\N	\N
1162646	3980	1995-12-31	VYDAJ	VYBER	15	44178	SLUZBY	\N	\N
1162647	3980	1996-01-31	VYDAJ	VYBER	15	25732	SLUZBY	\N	\N
1162648	3980	1996-02-29	VYDAJ	VYBER	15	31805	SLUZBY	\N	\N
1162649	3980	1996-03-31	VYDAJ	VYBER	15	40166	SLUZBY	\N	\N
1162650	3980	1996-04-30	VYDAJ	VYBER	15	41448	SLUZBY	\N	\N
1162651	3980	1996-05-31	VYDAJ	VYBER	15	41934	SLUZBY	\N	\N
1162652	3980	1996-06-30	VYDAJ	VYBER	15	29765	SLUZBY	\N	\N
1162653	3980	1996-07-31	VYDAJ	VYBER	15	35212	SLUZBY	\N	\N
1162654	3980	1996-08-31	VYDAJ	VYBER	15	36066	SLUZBY	\N	\N
1162655	3980	1996-09-30	VYDAJ	VYBER	15	38733	SLUZBY	\N	\N
1162656	3980	1996-10-31	VYDAJ	VYBER	15	40207	SLUZBY	\N	\N
1162657	3980	1996-11-30	VYDAJ	VYBER	15	44193	SLUZBY	\N	\N
1162658	3980	1996-12-31	VYDAJ	VYBER	15	42505	SLUZBY	\N	\N
1162659	3980	1997-01-31	VYDAJ	VYBER	15	29013	SLUZBY	\N	\N
1162660	3980	1997-02-28	VYDAJ	VYBER	15	40071	SLUZBY	\N	\N
1162661	3980	1997-03-31	VYDAJ	VYBER	15	43576	SLUZBY	\N	\N
1162662	3980	1997-04-30	VYDAJ	VYBER	15	51852	SLUZBY	\N	\N
1162663	3980	1997-05-31	VYDAJ	VYBER	15	56588	SLUZBY	\N	\N
1162664	3980	1997-06-30	VYDAJ	VYBER	15	60059	SLUZBY	\N	\N
1162665	3980	1997-07-31	VYDAJ	VYBER	15	62522	SLUZBY	\N	\N
1162666	3980	1997-08-31	VYDAJ	VYBER	15	64995	SLUZBY	\N	\N
1162667	3980	1997-09-30	VYDAJ	VYBER	15	63108	SLUZBY	\N	\N
1162668	3980	1997-10-31	VYDAJ	VYBER	15	64191	SLUZBY	\N	\N
1162669	3980	1997-11-30	VYDAJ	VYBER	15	64672	SLUZBY	\N	\N
1162670	3980	1997-12-31	VYDAJ	VYBER	15	67096	SLUZBY	\N	\N
1162671	3980	1998-01-31	VYDAJ	VYBER	15	53898	SLUZBY	\N	\N
1162672	3980	1998-02-28	VYDAJ	VYBER	15	64461	SLUZBY	\N	\N
1162673	3980	1998-03-31	VYDAJ	VYBER	15	65646	SLUZBY	\N	\N
1162674	3980	1998-04-30	VYDAJ	VYBER	15	75756	SLUZBY	\N	\N
1162675	3980	1998-05-31	VYDAJ	VYBER	15	80289	SLUZBY	\N	\N
1162676	3980	1998-06-30	VYDAJ	VYBER	15	71730	SLUZBY	\N	\N
1162677	3980	1998-07-31	VYDAJ	VYBER	15	74138	SLUZBY	\N	\N
1162678	3980	1998-08-31	VYDAJ	VYBER	15	72141	SLUZBY	\N	\N
1162679	3980	1998-09-30	VYDAJ	VYBER	15	72844	SLUZBY	\N	\N
1162680	3980	1998-10-31	VYDAJ	VYBER	15	68864	SLUZBY	\N	\N
1162681	3980	1998-11-30	VYDAJ	VYBER	15	65740	SLUZBY	\N	\N
1162682	3980	1993-05-03	PRIJEM	VKLAD	6700	16084	\N	\N	\N
1162683	3980	1993-06-02	VYDAJ	VYBER	800	23925	\N	\N	\N
1162684	3980	1993-07-02	VYDAJ	VYBER	4500	32397	\N	\N	\N
1162685	3980	1993-08-01	VYDAJ	VYBER	8800	32318	\N	\N	\N
1162686	3980	1993-08-31	VYDAJ	VYBER	9500	29724	\N	\N	\N
1162687	3980	1993-09-30	VYDAJ	VYBER	4500	24400	\N	\N	\N
1162688	3980	1993-10-30	VYDAJ	VYBER	600	28709	\N	\N	\N
1162689	3980	1993-11-29	VYDAJ	VYBER	5800	26014	\N	\N	\N
1162690	3980	1993-12-29	VYDAJ	VYBER	2000	30452	\N	\N	\N
1162691	3980	1994-01-28	VYDAJ	VYBER	1100	22547	\N	\N	\N
1162692	3980	1994-02-27	PRIJEM	VKLAD	1100	27359	\N	\N	\N
1162693	3980	1994-03-29	VYDAJ	VYBER	5400	26971	\N	\N	\N
1162694	3980	1994-04-28	VYDAJ	VYBER	2000	30007	\N	\N	\N
1162695	3980	1994-05-28	VYDAJ	VYBER	5200	28642	\N	\N	\N
1162696	3980	1994-07-27	PRIJEM	VKLAD	2200	28228	\N	\N	\N
1162697	3980	1994-08-26	VYDAJ	VYBER	5400	27841	\N	\N	\N
1162698	3980	1994-09-25	VYDAJ	VYBER	4500	28378	\N	\N	\N
1162699	3980	1994-10-25	VYDAJ	VYBER	2100	31314	\N	\N	\N
1162700	3980	1994-11-24	VYDAJ	VYBER	5200	31154	\N	\N	\N
1162701	3980	1994-12-24	VYDAJ	VYBER	800	35041	\N	\N	\N
1162702	3980	1995-01-23	PRIJEM	VKLAD	3000	24250	\N	\N	\N
1162703	3980	1995-02-22	PRIJEM	VKLAD	3900	30044	\N	\N	\N
1162704	3980	1995-03-24	PRIJEM	VKLAD	100	33359	\N	\N	\N
1162705	3980	1995-04-23	VYDAJ	VYBER	3800	34603	\N	\N	\N
1162706	3980	1995-05-23	VYDAJ	VYBER	1000	32181	\N	\N	\N
1162707	3980	1995-06-22	VYDAJ	VYBER	2500	31492	\N	\N	\N
1162708	3980	1995-07-22	PRIJEM	VKLAD	4200	34858	\N	\N	\N
1162709	3980	1995-08-21	VYDAJ	VYBER	600	39294	\N	\N	\N
1162710	3980	1995-09-20	VYDAJ	VYBER	5100	39262	\N	\N	\N
1162711	3980	1995-10-20	VYDAJ	VYBER	1100	41680	\N	\N	\N
1162712	3980	1995-11-19	VYDAJ	VYBER	5100	41659	\N	\N	\N
1162713	3980	1995-12-19	VYDAJ	VYBER	4300	44004	\N	\N	\N
1162714	3980	1996-01-18	PRIJEM	VKLAD	1300	33522	\N	\N	\N
1162715	3980	1996-02-17	PRIJEM	VKLAD	6800	37456	\N	\N	\N
1162716	3980	1996-03-18	PRIJEM	VKLAD	3300	40029	\N	\N	\N
1162717	3980	1996-04-17	VYDAJ	VYBER	3800	41290	\N	\N	\N
1162718	3980	1996-05-17	VYDAJ	VYBER	4600	41772	\N	\N	\N
1162719	3980	1996-06-16	PRIJEM	VKLAD	3600	31215	\N	\N	\N
1162720	3980	1996-07-16	PRIJEM	VKLAD	400	35089	\N	\N	\N
1162721	3980	1996-09-14	VYDAJ	VYBER	2400	38590	\N	\N	\N
1162722	3980	1996-10-14	VYDAJ	VYBER	3600	40057	\N	\N	\N
1162723	3980	1996-11-13	VYDAJ	VYBER	1100	44031	\N	\N	\N
1162724	3980	1996-12-13	VYDAJ	VYBER	2100	45535	\N	\N	\N
1162725	3980	1997-01-12	PRIJEM	VKLAD	4600	43749	\N	\N	\N
1162726	3980	1997-02-11	PRIJEM	VKLAD	6000	39937	\N	\N	\N
1162727	3980	1997-03-13	PRIJEM	VKLAD	4300	49295	\N	\N	\N
1162728	3980	1997-04-12	PRIJEM	VKLAD	5800	54300	\N	\N	\N
1162729	3980	1997-05-12	VYDAJ	VYBER	400	56376	\N	\N	\N
1162730	3980	1997-06-11	VYDAJ	VYBER	3200	61630	\N	\N	\N
1162731	3980	1997-07-11	VYDAJ	VYBER	2700	62283	\N	\N	\N
1162732	3980	1997-08-10	VYDAJ	VYBER	2700	64746	\N	\N	\N
1162733	3980	1997-09-09	VYDAJ	VYBER	6100	63819	\N	\N	\N
1162734	3980	1997-10-09	VYDAJ	VYBER	4100	63932	\N	\N	\N
1162735	3980	1997-11-08	VYDAJ	VYBER	1100	59460	\N	\N	\N
1162736	3980	1997-12-08	VYDAJ	VYBER	4000	57041	\N	\N	\N
1162737	3980	1998-01-07	PRIJEM	VKLAD	4100	57349	\N	\N	\N
1162738	3980	1998-02-06	PRIJEM	VKLAD	5400	59298	\N	\N	\N
1162739	3980	1998-03-08	PRIJEM	VKLAD	3800	61750	\N	\N	\N
1162740	3980	1998-04-07	PRIJEM	VKLAD	4900	69179	\N	\N	\N
1162741	3980	1998-05-07	VYDAJ	VYBER	700	71425	\N	\N	\N
1162742	3980	1998-06-06	PRIJEM	VKLAD	12200	62249	\N	\N	\N
1162743	3980	1998-07-06	VYDAJ	VYBER	2800	67563	\N	\N	\N
1162744	3980	1998-08-05	VYDAJ	VYBER	7200	66938	\N	\N	\N
1162745	3980	1998-09-04	VYDAJ	VYBER	4500	67641	\N	\N	\N
1162746	3980	1998-10-04	VYDAJ	VYBER	6300	66544	\N	\N	\N
1162747	3980	1998-11-03	VYDAJ	VYBER	8300	60564	\N	\N	\N
1162748	3980	1998-12-03	VYDAJ	VYBER	5200	60540	\N	\N	\N
1162818	3981	1995-01-15	PRIJEM	VKLAD	500	500	\N	\N	\N
1162820	3981	1995-02-14	PRIJEM	PREVOD Z UCTU	3397	3897	\N	KL	68626534
1162821	3981	1995-03-14	PRIJEM	PREVOD Z UCTU	3397	7294	\N	KL	68626534
1162822	3981	1995-04-14	PRIJEM	PREVOD Z UCTU	3397	10691	\N	KL	68626534
1162823	3981	1995-05-14	PRIJEM	PREVOD Z UCTU	3397	14088	\N	KL	68626534
1162824	3981	1995-06-14	PRIJEM	PREVOD Z UCTU	3397	17485	\N	KL	68626534
1162825	3981	1995-07-14	PRIJEM	PREVOD Z UCTU	3397	17720	\N	KL	68626534
1162826	3981	1995-08-14	PRIJEM	PREVOD Z UCTU	3397	16959	\N	KL	68626534
1162827	3981	1995-09-14	PRIJEM	PREVOD Z UCTU	3397	18147	\N	KL	68626534
1162828	3981	1995-10-14	PRIJEM	PREVOD Z UCTU	3397	19338	\N	KL	68626534
1162829	3981	1995-11-14	PRIJEM	PREVOD Z UCTU	3397	20535	\N	KL	68626534
1162830	3981	1995-12-14	PRIJEM	PREVOD Z UCTU	3397	21736	\N	KL	68626534
1162831	3981	1996-01-14	PRIJEM	PREVOD Z UCTU	3397	19672	\N	KL	68626534
1162832	3981	1996-02-14	PRIJEM	PREVOD Z UCTU	3397	19108	\N	KL	68626534
1162833	3981	1996-03-14	PRIJEM	PREVOD Z UCTU	3397	20304	\N	KL	68626534
1162834	3981	1996-04-14	PRIJEM	PREVOD Z UCTU	3397	21504	\N	KL	68626534
1162835	3981	1996-05-14	PRIJEM	PREVOD Z UCTU	3397	21509	\N	KL	68626534
1162836	3981	1996-06-14	PRIJEM	PREVOD Z UCTU	3397	22716	\N	KL	68626534
1162837	3981	1996-07-14	PRIJEM	PREVOD Z UCTU	3397	15299	\N	KL	68626534
1162838	3981	1996-08-14	PRIJEM	PREVOD Z UCTU	3397	16479	\N	KL	68626534
1162839	3981	1996-09-14	PRIJEM	PREVOD Z UCTU	3397	15380	\N	KL	68626534
1162840	3981	1996-10-14	PRIJEM	PREVOD Z UCTU	3397	16560	\N	KL	68626534
1162841	3981	1996-11-14	PRIJEM	PREVOD Z UCTU	3397	15745	\N	KL	68626534
1162842	3981	1996-12-14	PRIJEM	PREVOD Z UCTU	3397	16928	\N	KL	68626534
1162843	3981	1997-01-14	PRIJEM	PREVOD Z UCTU	3397	15144	\N	KL	68626534
1162844	3981	1997-02-14	PRIJEM	PREVOD Z UCTU	3397	14610	\N	KL	68626534
1162845	3981	1997-03-14	PRIJEM	PREVOD Z UCTU	3397	15786	\N	KL	68626534
1162846	3981	1997-04-14	PRIJEM	PREVOD Z UCTU	3397	16337	\N	KL	68626534
1162847	3981	1997-05-14	PRIJEM	PREVOD Z UCTU	3397	17520	\N	KL	68626534
1162848	3981	1997-06-14	PRIJEM	PREVOD Z UCTU	3397	18709	\N	KL	68626534
1162849	3981	1997-07-14	PRIJEM	PREVOD Z UCTU	3397	17682	\N	KL	68626534
1162850	3981	1997-08-14	PRIJEM	PREVOD Z UCTU	3397	18872	\N	KL	68626534
1162851	3981	1997-09-14	PRIJEM	PREVOD Z UCTU	3397	20066	\N	KL	68626534
1162852	3981	1997-10-14	PRIJEM	PREVOD Z UCTU	3397	21264	\N	KL	68626534
1162853	3981	1997-11-14	PRIJEM	PREVOD Z UCTU	3397	22018	\N	KL	68626534
1162854	3981	1997-12-14	PRIJEM	PREVOD Z UCTU	3397	22055	\N	KL	68626534
1162855	3981	1998-01-14	PRIJEM	PREVOD Z UCTU	3397	19361	\N	KL	68626534
1162856	3981	1998-02-14	PRIJEM	PREVOD Z UCTU	3397	19449	\N	KL	68626534
1162857	3981	1998-03-14	PRIJEM	PREVOD Z UCTU	3397	20645	\N	KL	68626534
1162858	3981	1998-04-14	PRIJEM	PREVOD Z UCTU	3397	21846	\N	KL	68626534
1162859	3981	1998-05-14	PRIJEM	PREVOD Z UCTU	3397	20551	\N	KL	68626534
1162860	3981	1998-06-14	PRIJEM	PREVOD Z UCTU	3397	18251	\N	KL	68626534
1162861	3981	1998-07-14	PRIJEM	PREVOD Z UCTU	3397	16831	\N	KL	68626534
1162862	3981	1998-08-14	PRIJEM	PREVOD Z UCTU	3397	14814	\N	KL	68626534
1162863	3981	1998-09-14	PRIJEM	PREVOD Z UCTU	3397	15991	\N	KL	68626534
1162864	3981	1998-10-14	PRIJEM	PREVOD Z UCTU	3397	14370	\N	KL	68626534
1162865	3981	1998-11-14	PRIJEM	PREVOD Z UCTU	3397	15545	\N	KL	68626534
1162866	3981	1998-12-14	PRIJEM	PREVOD Z UCTU	3397	13722	\N	KL	68626534
1162873	3981	1995-07-13	VYDAJ	PREVOD NA UCET	1383	14323	\N	AB	83879112
1162874	3981	1995-08-13	VYDAJ	PREVOD NA UCET	1383	13562	\N	AB	83879112
1162875	3981	1995-09-13	VYDAJ	PREVOD NA UCET	1383	14750	\N	AB	83879112
1162876	3981	1995-10-13	VYDAJ	PREVOD NA UCET	1383	15941	\N	AB	83879112
1162877	3981	1995-11-13	VYDAJ	PREVOD NA UCET	1383	17138	\N	AB	83879112
1162878	3981	1995-12-13	VYDAJ	PREVOD NA UCET	1383	18339	\N	AB	83879112
1162879	3981	1996-01-13	VYDAJ	PREVOD NA UCET	1383	16275	\N	AB	83879112
1162880	3981	1996-02-13	VYDAJ	PREVOD NA UCET	1383	15711	\N	AB	83879112
1162881	3981	1996-03-13	VYDAJ	PREVOD NA UCET	1383	16907	\N	AB	83879112
1162882	3981	1996-04-13	VYDAJ	PREVOD NA UCET	1383	18107	\N	AB	83879112
1162883	3981	1996-05-13	VYDAJ	PREVOD NA UCET	1383	18112	\N	AB	83879112
1162884	3981	1996-06-13	VYDAJ	PREVOD NA UCET	1383	19319	\N	AB	83879112
1162885	3981	1996-07-13	VYDAJ	PREVOD NA UCET	1383	11902	\N	AB	83879112
1162886	3981	1996-08-13	VYDAJ	PREVOD NA UCET	1383	13082	\N	AB	83879112
1162887	3981	1996-09-13	VYDAJ	PREVOD NA UCET	1383	11983	\N	AB	83879112
1162888	3981	1996-10-13	VYDAJ	PREVOD NA UCET	1383	13163	\N	AB	83879112
1162889	3981	1996-11-13	VYDAJ	PREVOD NA UCET	1383	12348	\N	AB	83879112
1162890	3981	1996-12-13	VYDAJ	PREVOD NA UCET	1383	13531	\N	AB	83879112
1162891	3981	1997-01-13	VYDAJ	PREVOD NA UCET	1383	11747	\N	AB	83879112
1162892	3981	1997-02-13	VYDAJ	PREVOD NA UCET	1383	11213	\N	AB	83879112
1162893	3981	1997-03-13	VYDAJ	PREVOD NA UCET	1383	12389	\N	AB	83879112
1162894	3981	1997-04-13	VYDAJ	PREVOD NA UCET	1383	12940	\N	AB	83879112
1162895	3981	1997-05-13	VYDAJ	PREVOD NA UCET	1383	14123	\N	AB	83879112
1162896	3981	1997-06-13	VYDAJ	PREVOD NA UCET	1383	15312	\N	AB	83879112
1162897	3981	1997-07-13	VYDAJ	PREVOD NA UCET	1383	14285	\N	AB	83879112
1162898	3981	1997-08-13	VYDAJ	PREVOD NA UCET	1383	15475	\N	AB	83879112
1162899	3981	1997-09-13	VYDAJ	PREVOD NA UCET	1383	16669	\N	AB	83879112
1162900	3981	1997-10-13	VYDAJ	PREVOD NA UCET	1383	17867	\N	AB	83879112
1162901	3981	1997-11-13	VYDAJ	PREVOD NA UCET	1383	18621	\N	AB	83879112
1162902	3981	1997-12-13	VYDAJ	PREVOD NA UCET	1383	18658	\N	AB	83879112
1162903	3981	1998-01-13	VYDAJ	PREVOD NA UCET	1383	16444	\N	AB	83879112
1162904	3981	1998-02-13	VYDAJ	PREVOD NA UCET	1383	16052	\N	AB	83879112
1162905	3981	1998-03-13	VYDAJ	PREVOD NA UCET	1383	17248	\N	AB	83879112
1162906	3981	1998-04-13	VYDAJ	PREVOD NA UCET	1383	18449	\N	AB	83879112
1162907	3981	1998-05-13	VYDAJ	PREVOD NA UCET	1383	17154	\N	AB	83879112
1162908	3981	1998-06-13	VYDAJ	PREVOD NA UCET	1383	14854	\N	AB	83879112
1162909	3981	1998-07-13	VYDAJ	PREVOD NA UCET	1383	13434	\N	AB	83879112
1162910	3981	1998-08-13	VYDAJ	PREVOD NA UCET	1383	11417	\N	AB	83879112
1162911	3981	1998-09-13	VYDAJ	PREVOD NA UCET	1383	12594	\N	AB	83879112
1162912	3981	1998-10-13	VYDAJ	PREVOD NA UCET	1383	10973	\N	AB	83879112
1162913	3981	1998-11-13	VYDAJ	PREVOD NA UCET	1383	12148	\N	AB	83879112
1162914	3981	1998-12-13	VYDAJ	PREVOD NA UCET	1383	10325	\N	AB	83879112
1162921	3981	1995-07-10	VYDAJ	PREVOD NA UCET	336	15706	\N	EF	20137071
1162922	3981	1995-08-10	VYDAJ	PREVOD NA UCET	336	14945	\N	EF	20137071
1162923	3981	1995-09-10	VYDAJ	PREVOD NA UCET	336	16133	\N	EF	20137071
1162924	3981	1995-10-10	VYDAJ	PREVOD NA UCET	336	17324	\N	EF	20137071
1162925	3981	1995-11-10	VYDAJ	PREVOD NA UCET	336	18521	\N	EF	20137071
1162926	3981	1995-12-10	VYDAJ	PREVOD NA UCET	336	19722	\N	EF	20137071
1162927	3981	1996-01-10	VYDAJ	PREVOD NA UCET	336	17868	\N	EF	20137071
1162928	3981	1996-02-10	VYDAJ	PREVOD NA UCET	336	17094	\N	EF	20137071
1162929	3981	1996-03-10	VYDAJ	PREVOD NA UCET	336	18290	\N	EF	20137071
1162930	3981	1996-04-10	VYDAJ	PREVOD NA UCET	336	19490	\N	EF	20137071
1162931	3981	1996-05-10	VYDAJ	PREVOD NA UCET	336	19495	\N	EF	20137071
1162932	3981	1996-06-10	VYDAJ	PREVOD NA UCET	336	20702	\N	EF	20137071
1162933	3981	1996-07-10	VYDAJ	PREVOD NA UCET	336	13285	\N	EF	20137071
1162934	3981	1996-08-10	VYDAJ	PREVOD NA UCET	336	14465	\N	EF	20137071
1162935	3981	1996-09-10	VYDAJ	PREVOD NA UCET	336	13366	\N	EF	20137071
1162936	3981	1996-10-10	VYDAJ	PREVOD NA UCET	336	14546	\N	EF	20137071
1162937	3981	1996-11-10	VYDAJ	PREVOD NA UCET	336	13731	\N	EF	20137071
1162938	3981	1996-12-10	VYDAJ	PREVOD NA UCET	336	14914	\N	EF	20137071
1162939	3981	1997-01-10	VYDAJ	PREVOD NA UCET	336	13130	\N	EF	20137071
1162940	3981	1997-02-10	VYDAJ	PREVOD NA UCET	336	12596	\N	EF	20137071
1162941	3981	1997-03-10	VYDAJ	PREVOD NA UCET	336	13772	\N	EF	20137071
1162942	3981	1997-04-10	VYDAJ	PREVOD NA UCET	336	14323	\N	EF	20137071
1162943	3981	1997-05-10	VYDAJ	PREVOD NA UCET	336	15506	\N	EF	20137071
1162944	3981	1997-06-10	VYDAJ	PREVOD NA UCET	336	16695	\N	EF	20137071
1162945	3981	1997-07-10	VYDAJ	PREVOD NA UCET	336	15668	\N	EF	20137071
1162946	3981	1997-08-10	VYDAJ	PREVOD NA UCET	336	16858	\N	EF	20137071
1162947	3981	1997-09-10	VYDAJ	PREVOD NA UCET	336	18052	\N	EF	20137071
1162948	3981	1997-10-10	VYDAJ	PREVOD NA UCET	336	19250	\N	EF	20137071
1162949	3981	1997-11-10	VYDAJ	PREVOD NA UCET	336	20004	\N	EF	20137071
1162950	3981	1997-12-10	VYDAJ	PREVOD NA UCET	336	20041	\N	EF	20137071
1162951	3981	1998-01-10	VYDAJ	PREVOD NA UCET	336	18937	\N	EF	20137071
1162952	3981	1998-02-10	VYDAJ	PREVOD NA UCET	336	17435	\N	EF	20137071
1162953	3981	1998-03-10	VYDAJ	PREVOD NA UCET	336	18631	\N	EF	20137071
1162954	3981	1998-04-10	VYDAJ	PREVOD NA UCET	336	19832	\N	EF	20137071
1162955	3981	1998-05-10	VYDAJ	PREVOD NA UCET	336	18537	\N	EF	20137071
1162956	3981	1998-06-10	VYDAJ	PREVOD NA UCET	336	16237	\N	EF	20137071
1162957	3981	1998-07-10	VYDAJ	PREVOD NA UCET	336	14817	\N	EF	20137071
1162958	3981	1998-08-10	VYDAJ	PREVOD NA UCET	336	12800	\N	EF	20137071
1162959	3981	1998-09-10	VYDAJ	PREVOD NA UCET	336	13977	\N	EF	20137071
1162960	3981	1998-10-10	VYDAJ	PREVOD NA UCET	336	12356	\N	EF	20137071
1162961	3981	1998-11-10	VYDAJ	PREVOD NA UCET	336	13531	\N	EF	20137071
1162962	3981	1998-12-10	VYDAJ	PREVOD NA UCET	336	11708	\N	EF	20137071
1162969	3981	1995-07-08	VYDAJ	PREVOD NA UCET	545	16042	\N	MN	9709912
1162970	3981	1995-08-08	VYDAJ	PREVOD NA UCET	545	15281	\N	MN	9709912
1162971	3981	1995-09-08	VYDAJ	PREVOD NA UCET	545	16469	\N	MN	9709912
1162972	3981	1995-10-08	VYDAJ	PREVOD NA UCET	545	17660	\N	MN	9709912
1162973	3981	1995-11-08	VYDAJ	PREVOD NA UCET	545	18857	\N	MN	9709912
1162974	3981	1995-12-08	VYDAJ	PREVOD NA UCET	545	20058	\N	MN	9709912
1162975	3981	1996-01-08	VYDAJ	PREVOD NA UCET	545	18204	\N	MN	9709912
1162976	3981	1996-02-08	VYDAJ	PREVOD NA UCET	545	17630	\N	MN	9709912
1162977	3981	1996-03-08	VYDAJ	PREVOD NA UCET	545	18626	\N	MN	9709912
1162978	3981	1996-04-08	VYDAJ	PREVOD NA UCET	545	19826	\N	MN	9709912
1162979	3981	1996-05-08	VYDAJ	PREVOD NA UCET	545	21031	\N	MN	9709912
1162980	3981	1996-06-08	VYDAJ	PREVOD NA UCET	545	21038	\N	MN	9709912
1162981	3981	1996-07-08	VYDAJ	PREVOD NA UCET	545	13621	\N	MN	9709912
1162982	3981	1996-08-08	VYDAJ	PREVOD NA UCET	545	14801	\N	MN	9709912
1162983	3981	1996-09-08	VYDAJ	PREVOD NA UCET	545	13702	\N	MN	9709912
1162984	3981	1996-10-08	VYDAJ	PREVOD NA UCET	545	14882	\N	MN	9709912
1162985	3981	1996-11-08	VYDAJ	PREVOD NA UCET	545	14067	\N	MN	9709912
1162986	3981	1996-12-08	VYDAJ	PREVOD NA UCET	545	15250	\N	MN	9709912
1162987	3981	1997-01-08	VYDAJ	PREVOD NA UCET	545	13466	\N	MN	9709912
1162988	3981	1997-02-08	VYDAJ	PREVOD NA UCET	545	12932	\N	MN	9709912
1162989	3981	1997-03-08	VYDAJ	PREVOD NA UCET	545	14108	\N	MN	9709912
1162990	3981	1997-04-08	VYDAJ	PREVOD NA UCET	545	14659	\N	MN	9709912
1162991	3981	1997-05-08	VYDAJ	PREVOD NA UCET	545	15842	\N	MN	9709912
1162992	3981	1997-06-08	VYDAJ	PREVOD NA UCET	545	17031	\N	MN	9709912
1162993	3981	1997-07-08	VYDAJ	PREVOD NA UCET	545	16004	\N	MN	9709912
1162994	3981	1997-08-08	VYDAJ	PREVOD NA UCET	545	17194	\N	MN	9709912
1162995	3981	1997-09-08	VYDAJ	PREVOD NA UCET	545	18388	\N	MN	9709912
1162996	3981	1997-10-08	VYDAJ	PREVOD NA UCET	545	19586	\N	MN	9709912
1162997	3981	1997-11-08	VYDAJ	PREVOD NA UCET	545	20340	\N	MN	9709912
1162998	3981	1997-12-08	VYDAJ	PREVOD NA UCET	545	20377	\N	MN	9709912
1162999	3981	1998-01-08	VYDAJ	PREVOD NA UCET	545	20383	\N	MN	9709912
1163000	3981	1998-02-08	VYDAJ	PREVOD NA UCET	545	17771	\N	MN	9709912
1163001	3981	1998-03-08	VYDAJ	PREVOD NA UCET	545	18967	\N	MN	9709912
1163002	3981	1998-04-08	VYDAJ	PREVOD NA UCET	545	20168	\N	MN	9709912
1163003	3981	1998-05-08	VYDAJ	PREVOD NA UCET	545	18873	\N	MN	9709912
1163004	3981	1998-06-08	VYDAJ	PREVOD NA UCET	545	16573	\N	MN	9709912
1163005	3981	1998-07-08	VYDAJ	PREVOD NA UCET	545	15153	\N	MN	9709912
1163006	3981	1998-08-08	VYDAJ	PREVOD NA UCET	545	13136	\N	MN	9709912
1163007	3981	1998-09-08	VYDAJ	PREVOD NA UCET	545	14313	\N	MN	9709912
1163008	3981	1998-10-08	VYDAJ	PREVOD NA UCET	545	12692	\N	MN	9709912
1163009	3981	1998-11-08	VYDAJ	PREVOD NA UCET	545	13867	\N	MN	9709912
1163010	3981	1998-12-08	VYDAJ	PREVOD NA UCET	545	12044	\N	MN	9709912
1163012	3981	1996-06-17	VYDAJ	VYBER	8610	14106	\N	\N	\N
1163013	3981	1997-06-29	VYDAJ	VYBER	1080	17629	\N	\N	\N
1163016	3981	1996-01-23	VYDAJ	VYBER	990	18112	\N	\N	\N
1163017	3981	1997-01-06	VYDAJ	VYBER	2010	14011	\N	\N	\N
1163018	3981	1998-01-12	VYDAJ	VYBER	1110	17827	\N	\N	\N
1163019	3981	1995-12-28	VYDAJ	VYBER	570	21166	\N	\N	\N
1163020	3981	1996-12-15	VYDAJ	VYBER	270	16658	\N	\N	\N
1163021	3981	1997-12-17	VYDAJ	VYBER	600	21455	\N	\N	\N
1163029	3981	1996-01-05	VYDAJ	VYBER	690	18749	\N	\N	\N
1163030	3981	1996-01-05	VYDAJ	VYBER	480	19439	\N	\N	\N
1163031	3981	1996-01-16	VYDAJ	VYBER	570	19102	\N	\N	\N
1163032	3981	1996-01-13	VYDAJ	VYBER	210	17658	\N	\N	\N
1163033	3981	1996-01-01	VYDAJ	VYBER	600	20639	\N	\N	\N
1163034	3981	1996-01-02	VYDAJ	VYBER	720	19919	\N	\N	\N
1163036	3981	1997-01-14	VYDAJ	VYBER	660	14484	\N	\N	\N
1163038	3981	1997-01-03	VYDAJ	VYBER	690	16021	\N	\N	\N
1163039	3981	1997-01-14	VYDAJ	VYBER	690	13794	\N	\N	\N
1163040	3981	1997-01-24	VYDAJ	VYBER	360	13434	\N	\N	\N
1163041	3981	1998-01-25	VYDAJ	VYBER	480	18251	\N	\N	\N
1163042	3981	1998-01-09	VYDAJ	VYBER	540	19273	\N	\N	\N
1163043	3981	1998-01-18	VYDAJ	VYBER	630	18731	\N	\N	\N
1163044	3981	1998-01-02	VYDAJ	VYBER	600	20928	\N	\N	\N
1163045	3981	1998-01-08	VYDAJ	VYBER	570	19813	\N	\N	\N
1163046	3981	1998-01-13	VYDAJ	VYBER	480	15964	\N	\N	\N
1163047	3981	1995-08-03	VYDAJ	VYBER	1080	16696	\N	\N	\N
1163048	3981	1995-06-26	VYDAJ	VYBER	540	16585	\N	\N	\N
1163049	3981	1995-06-24	VYDAJ	VYBER	360	17125	\N	\N	\N
1163050	3981	1995-08-06	VYDAJ	VYBER	870	15826	\N	\N	\N
1163051	3981	1996-08-20	VYDAJ	VYBER	450	15159	\N	\N	\N
1163052	3981	1996-08-14	VYDAJ	VYBER	870	15609	\N	\N	\N
1163053	3981	1996-09-07	VYDAJ	VYBER	960	14247	\N	\N	\N
1163055	3981	1997-03-20	VYDAJ	VYBER	630	15156	\N	\N	\N
1163056	3981	1997-07-01	VYDAJ	VYBER	1140	16549	\N	\N	\N
1163057	3981	1997-11-26	VYDAJ	VYBER	1170	20848	\N	\N	\N
1163058	3981	1997-11-04	VYDAJ	VYBER	450	20885	\N	\N	\N
1163060	3981	1998-06-29	VYDAJ	VYBER	810	15641	\N	\N	\N
1163069	3981	1995-06-30	VYDAJ	VYBER	15	16587	SLUZBY	\N	\N
1163070	3981	1995-07-31	VYDAJ	VYBER	15	17776	SLUZBY	\N	\N
1163071	3981	1995-08-31	VYDAJ	VYBER	15	17014	SLUZBY	\N	\N
1163072	3981	1995-09-30	VYDAJ	VYBER	15	18205	SLUZBY	\N	\N
1163073	3981	1995-10-31	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
1163074	3981	1995-11-30	VYDAJ	VYBER	15	20603	SLUZBY	\N	\N
1163075	3981	1995-12-31	VYDAJ	VYBER	15	21239	SLUZBY	\N	\N
1163076	3981	1996-01-31	VYDAJ	VYBER	15	18175	SLUZBY	\N	\N
1163077	3981	1996-02-29	VYDAJ	VYBER	15	19171	SLUZBY	\N	\N
1163078	3981	1996-03-31	VYDAJ	VYBER	15	20371	SLUZBY	\N	\N
1163079	3981	1996-04-30	VYDAJ	VYBER	15	21576	SLUZBY	\N	\N
1163080	3981	1996-05-31	VYDAJ	VYBER	15	21583	SLUZBY	\N	\N
1163081	3981	1996-06-30	VYDAJ	VYBER	15	14166	SLUZBY	\N	\N
1163082	3981	1996-07-31	VYDAJ	VYBER	15	15346	SLUZBY	\N	\N
1163083	3981	1996-08-31	VYDAJ	VYBER	15	15207	SLUZBY	\N	\N
1163084	3981	1996-09-30	VYDAJ	VYBER	15	15427	SLUZBY	\N	\N
1163085	3981	1996-10-31	VYDAJ	VYBER	15	16612	SLUZBY	\N	\N
1163086	3981	1996-11-30	VYDAJ	VYBER	15	15795	SLUZBY	\N	\N
1163087	3981	1996-12-31	VYDAJ	VYBER	15	16711	SLUZBY	\N	\N
1163088	3981	1997-01-31	VYDAJ	VYBER	15	13477	SLUZBY	\N	\N
1163089	3981	1997-02-28	VYDAJ	VYBER	15	14653	SLUZBY	\N	\N
1163090	3981	1997-03-31	VYDAJ	VYBER	15	15204	SLUZBY	\N	\N
1163091	3981	1997-04-30	VYDAJ	VYBER	15	16387	SLUZBY	\N	\N
1163092	3981	1997-05-31	VYDAJ	VYBER	15	17576	SLUZBY	\N	\N
1163093	3981	1997-06-30	VYDAJ	VYBER	15	17689	SLUZBY	\N	\N
1163094	3981	1997-07-31	VYDAJ	VYBER	15	17739	SLUZBY	\N	\N
1163095	3981	1997-08-31	VYDAJ	VYBER	15	18933	SLUZBY	\N	\N
1163096	3981	1997-09-30	VYDAJ	VYBER	15	20131	SLUZBY	\N	\N
1163097	3981	1997-10-31	VYDAJ	VYBER	15	21335	SLUZBY	\N	\N
1163098	3981	1997-11-30	VYDAJ	VYBER	15	20922	SLUZBY	\N	\N
1163099	3981	1997-12-31	VYDAJ	VYBER	15	21528	SLUZBY	\N	\N
1163100	3981	1998-01-31	VYDAJ	VYBER	15	18316	SLUZBY	\N	\N
1163101	3981	1998-02-28	VYDAJ	VYBER	15	19512	SLUZBY	\N	\N
1163102	3981	1998-03-31	VYDAJ	VYBER	15	20713	SLUZBY	\N	\N
1163103	3981	1998-04-30	VYDAJ	VYBER	15	19418	SLUZBY	\N	\N
1163104	3981	1998-05-31	VYDAJ	VYBER	15	17118	SLUZBY	\N	\N
1163105	3981	1998-06-30	VYDAJ	VYBER	15	15698	SLUZBY	\N	\N
1163106	3981	1998-07-31	VYDAJ	VYBER	15	13681	SLUZBY	\N	\N
1163107	3981	1998-08-31	VYDAJ	VYBER	15	14858	SLUZBY	\N	\N
1163108	3981	1998-09-30	VYDAJ	VYBER	15	13237	SLUZBY	\N	\N
1163109	3981	1998-10-31	VYDAJ	VYBER	15	14412	SLUZBY	\N	\N
1163110	3981	1998-11-30	VYDAJ	VYBER	15	12589	SLUZBY	\N	\N
1163111	3981	1996-02-09	VYDAJ	VYBER	200	17430	\N	\N	\N
1163112	3981	1996-05-09	VYDAJ	VYBER	1200	19831	\N	\N	\N
1163113	3981	1996-11-05	VYDAJ	VYBER	2000	14612	\N	\N	\N
1163114	3981	1998-04-29	VYDAJ	VYBER	2500	19346	\N	\N	\N
1163115	3981	1998-05-29	VYDAJ	VYBER	3500	17051	\N	\N	\N
1163116	3981	1998-06-28	VYDAJ	VYBER	1800	16451	\N	\N	\N
1163117	3981	1998-07-28	VYDAJ	VYBER	3200	13631	\N	\N	\N
1163118	3981	1998-09-26	VYDAJ	VYBER	2800	13191	\N	\N	\N
1163119	3981	1998-11-25	VYDAJ	VYBER	3000	12545	\N	\N	\N
1163163	3982	1993-07-27	PRIJEM	VKLAD	700	700	\N	\N	\N
1163171	3982	1993-08-08	PRIJEM	PREVOD Z UCTU	3230	3930	\N	GH	65810519
1163172	3982	1993-09-08	PRIJEM	PREVOD Z UCTU	3230	7160	\N	GH	65810519
1163173	3982	1993-10-08	PRIJEM	PREVOD Z UCTU	3230	10390	\N	GH	65810519
1163174	3982	1993-11-08	PRIJEM	PREVOD Z UCTU	3230	13620	\N	GH	65810519
1163175	3982	1993-12-08	PRIJEM	PREVOD Z UCTU	3230	16850	\N	GH	65810519
1163176	3982	1994-01-08	PRIJEM	PREVOD Z UCTU	3230	16852	\N	GH	65810519
1163177	3982	1994-02-08	PRIJEM	PREVOD Z UCTU	3230	15569	\N	GH	65810519
1163178	3982	1994-03-08	PRIJEM	PREVOD Z UCTU	3230	16693	\N	GH	65810519
1163179	3982	1994-04-08	PRIJEM	PREVOD Z UCTU	3230	17338	\N	GH	65810519
1163180	3982	1994-05-08	PRIJEM	PREVOD Z UCTU	3230	18469	\N	GH	65810519
1163181	3982	1994-06-08	PRIJEM	PREVOD Z UCTU	3230	18184	\N	GH	65810519
1163182	3982	1994-07-08	PRIJEM	PREVOD Z UCTU	3230	19312	\N	GH	65810519
1163183	3982	1994-08-08	PRIJEM	PREVOD Z UCTU	3230	20451	\N	GH	65810519
1163184	3982	1994-09-08	PRIJEM	PREVOD Z UCTU	3230	20569	\N	GH	65810519
1163185	3982	1994-10-08	PRIJEM	PREVOD Z UCTU	3230	21168	\N	GH	65810519
1163186	3982	1994-11-08	PRIJEM	PREVOD Z UCTU	3230	21468	\N	GH	65810519
1163187	3982	1994-12-08	PRIJEM	PREVOD Z UCTU	3230	20716	\N	GH	65810519
1163188	3982	1995-01-08	PRIJEM	PREVOD Z UCTU	3230	20418	\N	GH	65810519
1163189	3982	1995-02-08	PRIJEM	PREVOD Z UCTU	3230	18732	\N	GH	65810519
1163190	3982	1995-03-08	PRIJEM	PREVOD Z UCTU	3230	19862	\N	GH	65810519
1163191	3982	1995-04-08	PRIJEM	PREVOD Z UCTU	3230	21004	\N	GH	65810519
1163192	3982	1995-05-08	PRIJEM	PREVOD Z UCTU	3230	22143	\N	GH	65810519
1163193	3982	1995-06-08	PRIJEM	PREVOD Z UCTU	3230	21974	\N	GH	65810519
1163194	3982	1995-07-08	PRIJEM	PREVOD Z UCTU	3230	22818	\N	GH	65810519
1163195	3982	1995-08-08	PRIJEM	PREVOD Z UCTU	3230	23701	\N	GH	65810519
1163196	3982	1995-09-08	PRIJEM	PREVOD Z UCTU	3230	24858	\N	GH	65810519
1163197	3982	1995-10-08	PRIJEM	PREVOD Z UCTU	3230	26014	\N	GH	65810519
1163198	3982	1995-11-08	PRIJEM	PREVOD Z UCTU	3230	26784	\N	GH	65810519
1163199	3982	1995-12-08	PRIJEM	PREVOD Z UCTU	3230	27947	\N	GH	65810519
1163200	3982	1996-01-08	PRIJEM	PREVOD Z UCTU	3230	27588	\N	GH	65810519
1163201	3982	1996-02-08	PRIJEM	PREVOD Z UCTU	3230	26053	\N	GH	65810519
1163202	3982	1996-03-08	PRIJEM	PREVOD Z UCTU	3230	27220	\N	GH	65810519
1163203	3982	1996-04-08	PRIJEM	PREVOD Z UCTU	3230	28392	\N	GH	65810519
1163204	3982	1996-05-08	PRIJEM	PREVOD Z UCTU	3230	29568	\N	GH	65810519
1163205	3982	1996-06-08	PRIJEM	PREVOD Z UCTU	3230	30750	\N	GH	65810519
1163206	3982	1996-07-08	PRIJEM	PREVOD Z UCTU	3230	31329	\N	GH	65810519
1163207	3982	1996-08-08	PRIJEM	PREVOD Z UCTU	3230	32518	\N	GH	65810519
1163208	3982	1996-09-08	PRIJEM	PREVOD Z UCTU	3230	33374	\N	GH	65810519
1163209	3982	1996-10-08	PRIJEM	PREVOD Z UCTU	3230	34572	\N	GH	65810519
1163210	3982	1996-11-08	PRIJEM	PREVOD Z UCTU	3230	32339	\N	GH	65810519
1163211	3982	1996-12-08	PRIJEM	PREVOD Z UCTU	3230	33526	\N	GH	65810519
1163212	3982	1997-01-08	PRIJEM	PREVOD Z UCTU	3230	32796	\N	GH	65810519
1163213	3982	1997-02-08	PRIJEM	PREVOD Z UCTU	3230	32033	\N	GH	65810519
1163214	3982	1997-03-08	PRIJEM	PREVOD Z UCTU	3230	33218	\N	GH	65810519
1163215	3982	1997-04-08	PRIJEM	PREVOD Z UCTU	3230	34408	\N	GH	65810519
1163216	3982	1997-05-08	PRIJEM	PREVOD Z UCTU	3230	35603	\N	GH	65810519
1163217	3982	1997-06-08	PRIJEM	PREVOD Z UCTU	3230	36802	\N	GH	65810519
1163218	3982	1997-07-08	PRIJEM	PREVOD Z UCTU	3230	37470	\N	GH	65810519
1163219	3982	1997-08-08	PRIJEM	PREVOD Z UCTU	3230	38677	\N	GH	65810519
1163220	3982	1997-09-08	PRIJEM	PREVOD Z UCTU	3230	39469	\N	GH	65810519
1163221	3982	1997-10-08	PRIJEM	PREVOD Z UCTU	3230	40691	\N	GH	65810519
1163222	3982	1997-11-08	PRIJEM	PREVOD Z UCTU	3230	41768	\N	GH	65810519
1163223	3982	1997-12-08	PRIJEM	PREVOD Z UCTU	3230	42693	\N	GH	65810519
1163224	3982	1998-01-08	PRIJEM	PREVOD Z UCTU	3230	41907	\N	GH	65810519
1163225	3982	1998-02-08	PRIJEM	PREVOD Z UCTU	3230	41270	\N	GH	65810519
1163226	3982	1998-03-08	PRIJEM	PREVOD Z UCTU	3230	42398	\N	GH	65810519
1163227	3982	1998-04-08	PRIJEM	PREVOD Z UCTU	3230	43626	\N	GH	65810519
1163228	3982	1998-05-08	PRIJEM	PREVOD Z UCTU	3230	44865	\N	GH	65810519
1163229	3982	1998-06-08	PRIJEM	PREVOD Z UCTU	3230	45809	\N	GH	65810519
1163230	3982	1998-07-08	PRIJEM	PREVOD Z UCTU	3230	46517	\N	GH	65810519
1163231	3982	1998-08-08	PRIJEM	PREVOD Z UCTU	3230	46837	\N	GH	65810519
1163232	3982	1998-09-08	PRIJEM	PREVOD Z UCTU	3230	48090	\N	GH	65810519
1163233	3982	1998-10-08	PRIJEM	PREVOD Z UCTU	3230	48980	\N	GH	65810519
1163234	3982	1998-11-08	PRIJEM	PREVOD Z UCTU	3230	48975	\N	GH	65810519
1163235	3982	1998-12-08	PRIJEM	PREVOD Z UCTU	3230	50229	\N	GH	65810519
1163247	3982	1993-12-08	VYDAJ	PREVOD NA UCET	2153	14697	SIPO	OP	15246630
1163248	3982	1994-01-08	VYDAJ	PREVOD NA UCET	2153	14699	SIPO	OP	15246630
1163249	3982	1994-02-08	VYDAJ	PREVOD NA UCET	2153	13416	SIPO	OP	15246630
1163250	3982	1994-03-08	VYDAJ	PREVOD NA UCET	2153	14540	SIPO	OP	15246630
1163251	3982	1994-04-08	VYDAJ	PREVOD NA UCET	2153	15185	SIPO	OP	15246630
1163252	3982	1994-05-08	VYDAJ	PREVOD NA UCET	2153	16316	SIPO	OP	15246630
1163253	3982	1994-06-08	VYDAJ	PREVOD NA UCET	2153	16031	SIPO	OP	15246630
1163254	3982	1994-07-08	VYDAJ	PREVOD NA UCET	2153	17159	SIPO	OP	15246630
1163255	3982	1994-08-08	VYDAJ	PREVOD NA UCET	2153	18298	SIPO	OP	15246630
1163256	3982	1994-09-08	VYDAJ	PREVOD NA UCET	2153	18416	SIPO	OP	15246630
1163257	3982	1994-10-08	VYDAJ	PREVOD NA UCET	2153	19015	SIPO	OP	15246630
1163258	3982	1994-11-08	VYDAJ	PREVOD NA UCET	2153	19315	SIPO	OP	15246630
1163259	3982	1994-12-08	VYDAJ	PREVOD NA UCET	2153	18563	SIPO	OP	15246630
1163260	3982	1995-01-08	VYDAJ	PREVOD NA UCET	2153	18265	SIPO	OP	15246630
1163261	3982	1995-02-08	VYDAJ	PREVOD NA UCET	2153	16579	SIPO	OP	15246630
1163262	3982	1995-03-08	VYDAJ	PREVOD NA UCET	2153	17709	SIPO	OP	15246630
1163263	3982	1995-04-08	VYDAJ	PREVOD NA UCET	2153	18851	SIPO	OP	15246630
1163264	3982	1995-05-08	VYDAJ	PREVOD NA UCET	2153	19990	SIPO	OP	15246630
1163265	3982	1995-06-08	VYDAJ	PREVOD NA UCET	2153	19821	SIPO	OP	15246630
1163266	3982	1995-07-08	VYDAJ	PREVOD NA UCET	2153	20395	SIPO	OP	15246630
1163267	3982	1995-08-08	VYDAJ	PREVOD NA UCET	2153	21548	SIPO	OP	15246630
1163268	3982	1995-09-08	VYDAJ	PREVOD NA UCET	2153	22705	SIPO	OP	15246630
1163269	3982	1995-10-08	VYDAJ	PREVOD NA UCET	2153	23861	SIPO	OP	15246630
1163270	3982	1995-11-08	VYDAJ	PREVOD NA UCET	2153	24631	SIPO	OP	15246630
1163271	3982	1995-12-08	VYDAJ	PREVOD NA UCET	2153	25794	SIPO	OP	15246630
1163272	3982	1996-01-08	VYDAJ	PREVOD NA UCET	2153	25435	SIPO	OP	15246630
1163273	3982	1996-02-08	VYDAJ	PREVOD NA UCET	2153	23900	SIPO	OP	15246630
1163274	3982	1996-03-08	VYDAJ	PREVOD NA UCET	2153	25067	SIPO	OP	15246630
1163275	3982	1996-04-08	VYDAJ	PREVOD NA UCET	2153	26239	SIPO	OP	15246630
1163276	3982	1996-05-08	VYDAJ	PREVOD NA UCET	2153	27415	SIPO	OP	15246630
1163277	3982	1996-06-08	VYDAJ	PREVOD NA UCET	2153	28597	SIPO	OP	15246630
1163278	3982	1996-07-08	VYDAJ	PREVOD NA UCET	2153	29176	SIPO	OP	15246630
1163279	3982	1996-08-08	VYDAJ	PREVOD NA UCET	2153	30365	SIPO	OP	15246630
1163280	3982	1996-09-08	VYDAJ	PREVOD NA UCET	2153	31221	SIPO	OP	15246630
1163281	3982	1996-10-08	VYDAJ	PREVOD NA UCET	2153	32419	SIPO	OP	15246630
1163282	3982	1996-11-08	VYDAJ	PREVOD NA UCET	2153	30186	SIPO	OP	15246630
1163283	3982	1996-12-08	VYDAJ	PREVOD NA UCET	2153	31373	SIPO	OP	15246630
1163284	3982	1997-01-08	VYDAJ	PREVOD NA UCET	2153	30643	SIPO	OP	15246630
1163285	3982	1997-02-08	VYDAJ	PREVOD NA UCET	2153	29880	SIPO	OP	15246630
1163286	3982	1997-03-08	VYDAJ	PREVOD NA UCET	2153	31065	SIPO	OP	15246630
1163287	3982	1997-04-08	VYDAJ	PREVOD NA UCET	2153	32255	SIPO	OP	15246630
1163288	3982	1997-05-08	VYDAJ	PREVOD NA UCET	2153	33450	SIPO	OP	15246630
1163289	3982	1997-06-08	VYDAJ	PREVOD NA UCET	2153	34649	SIPO	OP	15246630
1163290	3982	1997-07-08	VYDAJ	PREVOD NA UCET	2153	35317	SIPO	OP	15246630
1163291	3982	1997-08-08	VYDAJ	PREVOD NA UCET	2153	36524	SIPO	OP	15246630
1163292	3982	1997-09-08	VYDAJ	PREVOD NA UCET	2153	37316	SIPO	OP	15246630
1163293	3982	1997-10-08	VYDAJ	PREVOD NA UCET	2153	38538	SIPO	OP	15246630
1163294	3982	1997-11-08	VYDAJ	PREVOD NA UCET	2153	39615	SIPO	OP	15246630
1163295	3982	1997-12-08	VYDAJ	PREVOD NA UCET	2153	40540	SIPO	OP	15246630
1163296	3982	1998-01-08	VYDAJ	PREVOD NA UCET	2153	39574	SIPO	OP	15246630
1163297	3982	1998-02-08	VYDAJ	PREVOD NA UCET	2153	39117	SIPO	OP	15246630
1163298	3982	1998-03-08	VYDAJ	PREVOD NA UCET	2153	40245	SIPO	OP	15246630
1163299	3982	1998-04-08	VYDAJ	PREVOD NA UCET	2153	41473	SIPO	OP	15246630
1163300	3982	1998-05-08	VYDAJ	PREVOD NA UCET	2153	42712	SIPO	OP	15246630
1163301	3982	1998-06-08	VYDAJ	PREVOD NA UCET	2153	43656	SIPO	OP	15246630
1163302	3982	1998-07-08	VYDAJ	PREVOD NA UCET	2153	44364	SIPO	OP	15246630
1163303	3982	1998-08-08	VYDAJ	PREVOD NA UCET	2153	44684	SIPO	OP	15246630
1163304	3982	1998-09-08	VYDAJ	PREVOD NA UCET	2153	45937	SIPO	OP	15246630
1163305	3982	1998-10-08	VYDAJ	PREVOD NA UCET	2153	46827	SIPO	OP	15246630
1163306	3982	1998-11-08	VYDAJ	PREVOD NA UCET	2153	46822	SIPO	OP	15246630
1163307	3982	1998-12-08	VYDAJ	PREVOD NA UCET	2153	48076	SIPO	OP	15246630
1163309	3982	1994-12-19	VYDAJ	VYBER	510	18053	\N	\N	\N
1163310	3982	1995-12-21	VYDAJ	VYBER	870	24924	\N	\N	\N
1163311	3982	1996-12-09	VYDAJ	VYBER	210	31163	\N	\N	\N
1163312	3982	1997-12-08	VYDAJ	VYBER	840	39700	\N	\N	\N
1163313	3982	1998-12-20	VYDAJ	VYBER	450	47626	\N	\N	\N
1163320	3982	1994-01-09	VYDAJ	VYBER	360	14339	\N	\N	\N
1163321	3982	1994-01-14	VYDAJ	VYBER	240	13439	\N	\N	\N
1163323	3982	1994-01-17	VYDAJ	VYBER	870	12569	\N	\N	\N
1163324	3982	1994-01-12	VYDAJ	VYBER	660	13679	\N	\N	\N
1163325	3982	1994-01-23	VYDAJ	VYBER	270	12299	\N	\N	\N
1163326	3982	1995-01-23	VYDAJ	VYBER	660	16195	\N	\N	\N
1163327	3982	1995-01-25	VYDAJ	VYBER	270	15925	\N	\N	\N
1163328	3982	1995-01-15	VYDAJ	VYBER	810	17245	\N	\N	\N
1163329	3982	1995-01-26	VYDAJ	VYBER	480	15445	\N	\N	\N
1163330	3982	1995-01-17	VYDAJ	VYBER	390	16855	\N	\N	\N
1163331	3982	1995-01-14	VYDAJ	VYBER	210	18055	\N	\N	\N
1163332	3982	1996-01-18	VYDAJ	VYBER	870	23905	\N	\N	\N
1163333	3982	1996-01-25	VYDAJ	VYBER	420	22735	\N	\N	\N
1163334	3982	1996-01-07	VYDAJ	VYBER	660	24358	\N	\N	\N
1163335	3982	1996-01-12	VYDAJ	VYBER	390	25045	\N	\N	\N
1163336	3982	1996-01-24	VYDAJ	VYBER	750	23155	\N	\N	\N
1163337	3982	1996-01-15	VYDAJ	VYBER	270	24775	\N	\N	\N
1163338	3982	1997-01-04	VYDAJ	VYBER	750	29566	\N	\N	\N
1163339	3982	1997-01-14	VYDAJ	VYBER	450	29923	\N	\N	\N
1163340	3982	1997-01-24	VYDAJ	VYBER	360	29563	\N	\N	\N
1163341	3982	1997-01-26	VYDAJ	VYBER	450	29113	\N	\N	\N
1163342	3982	1997-01-12	VYDAJ	VYBER	270	30373	\N	\N	\N
1163343	3982	1997-01-29	VYDAJ	VYBER	420	28693	\N	\N	\N
1163344	3982	1998-01-08	VYDAJ	VYBER	180	41727	\N	\N	\N
1163345	3982	1998-01-19	VYDAJ	VYBER	360	38314	\N	\N	\N
1163346	3982	1998-01-14	VYDAJ	VYBER	180	39394	\N	\N	\N
1163347	3982	1998-01-05	VYDAJ	VYBER	390	38677	\N	\N	\N
1163348	3982	1998-01-18	VYDAJ	VYBER	720	38674	\N	\N	\N
1163349	3982	1998-01-23	VYDAJ	VYBER	420	37894	\N	\N	\N
1163353	3982	1993-12-21	VYDAJ	VYBER	1110	13587	\N	\N	\N
1163356	3982	1994-05-10	VYDAJ	VYBER	1410	14906	\N	\N	\N
1163357	3982	1994-10-21	VYDAJ	VYBER	840	18175	\N	\N	\N
1163358	3982	1994-03-21	VYDAJ	VYBER	480	14060	\N	\N	\N
1163359	3982	1994-09-07	VYDAJ	VYBER	1020	17339	\N	\N	\N
1163360	3982	1994-09-13	VYDAJ	VYBER	390	18026	\N	\N	\N
1163361	3982	1994-09-25	VYDAJ	VYBER	150	17876	\N	\N	\N
1163362	3982	1994-11-11	VYDAJ	VYBER	1080	18235	\N	\N	\N
1163363	3982	1994-12-06	VYDAJ	VYBER	810	17486	\N	\N	\N
1163364	3982	1995-07-08	VYDAJ	VYBER	270	22548	\N	\N	\N
1163365	3982	1995-05-08	VYDAJ	VYBER	1320	18670	\N	\N	\N
1163366	3982	1995-01-05	VYDAJ	VYBER	930	17188	\N	\N	\N
1163367	3982	1995-10-20	VYDAJ	VYBER	390	23471	\N	\N	\N
1163368	3982	1995-06-28	VYDAJ	VYBER	300	19521	\N	\N	\N
1163369	3982	1996-08-09	VYDAJ	VYBER	330	30035	\N	\N	\N
1163370	3982	1996-12-09	VYDAJ	VYBER	960	30203	\N	\N	\N
1163371	3982	1996-11-07	VYDAJ	VYBER	330	29109	\N	\N	\N
1163372	3982	1996-10-16	VYDAJ	VYBER	990	29329	\N	\N	\N
1163373	3982	1997-08-27	VYDAJ	VYBER	420	36104	\N	\N	\N
1163374	3982	1997-06-22	VYDAJ	VYBER	540	34109	\N	\N	\N
1163375	3982	1997-10-29	VYDAJ	VYBER	150	38388	\N	\N	\N
1163376	3982	1997-12-19	VYDAJ	VYBER	780	38920	\N	\N	\N
1163377	3982	1998-10-19	VYDAJ	VYBER	1260	45567	\N	\N	\N
1163378	3982	1998-07-02	VYDAJ	VYBER	240	43287	\N	\N	\N
1163379	3982	1998-09-27	VYDAJ	VYBER	360	45577	\N	\N	\N
1163380	3982	1998-08-03	VYDAJ	VYBER	930	43607	\N	\N	\N
1163393	3982	1993-12-31	VYDAJ	VYBER	15	13622	SLUZBY	\N	\N
1163394	3982	1994-01-31	VYDAJ	VYBER	15	12339	SLUZBY	\N	\N
1163395	3982	1994-02-28	VYDAJ	VYBER	15	13463	SLUZBY	\N	\N
1163396	3982	1994-03-31	VYDAJ	VYBER	15	14108	SLUZBY	\N	\N
1163397	3982	1994-04-30	VYDAJ	VYBER	15	15239	SLUZBY	\N	\N
1163398	3982	1994-05-31	VYDAJ	VYBER	15	14954	SLUZBY	\N	\N
1163399	3982	1994-06-30	VYDAJ	VYBER	15	16082	SLUZBY	\N	\N
1163400	3982	1994-07-31	VYDAJ	VYBER	15	17221	SLUZBY	\N	\N
1163401	3982	1994-08-31	VYDAJ	VYBER	15	18359	SLUZBY	\N	\N
1163402	3982	1994-09-30	VYDAJ	VYBER	15	17938	SLUZBY	\N	\N
1163403	3982	1994-10-31	VYDAJ	VYBER	15	18238	SLUZBY	\N	\N
1163404	3982	1994-11-30	VYDAJ	VYBER	15	18296	SLUZBY	\N	\N
1163405	3982	1994-12-31	VYDAJ	VYBER	15	18118	SLUZBY	\N	\N
1163406	3982	1995-01-31	VYDAJ	VYBER	15	15502	SLUZBY	\N	\N
1163407	3982	1995-02-28	VYDAJ	VYBER	15	16632	SLUZBY	\N	\N
1163408	3982	1995-03-31	VYDAJ	VYBER	15	17774	SLUZBY	\N	\N
1163409	3982	1995-04-30	VYDAJ	VYBER	15	18913	SLUZBY	\N	\N
1163410	3982	1995-05-31	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
1163411	3982	1995-06-30	VYDAJ	VYBER	15	19588	SLUZBY	\N	\N
1163412	3982	1995-07-31	VYDAJ	VYBER	15	20471	SLUZBY	\N	\N
1163413	3982	1995-08-31	VYDAJ	VYBER	15	21628	SLUZBY	\N	\N
1163414	3982	1995-09-30	VYDAJ	VYBER	15	22784	SLUZBY	\N	\N
1163415	3982	1995-10-31	VYDAJ	VYBER	15	23554	SLUZBY	\N	\N
1163416	3982	1995-11-30	VYDAJ	VYBER	15	24717	SLUZBY	\N	\N
1163417	3982	1995-12-31	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
1163418	3982	1996-01-31	VYDAJ	VYBER	15	22823	SLUZBY	\N	\N
1163419	3982	1996-02-29	VYDAJ	VYBER	15	23990	SLUZBY	\N	\N
1163420	3982	1996-03-31	VYDAJ	VYBER	15	25162	SLUZBY	\N	\N
1163421	3982	1996-04-30	VYDAJ	VYBER	15	26338	SLUZBY	\N	\N
1163422	3982	1996-05-31	VYDAJ	VYBER	15	27520	SLUZBY	\N	\N
1163423	3982	1996-06-30	VYDAJ	VYBER	15	28099	SLUZBY	\N	\N
1163424	3982	1996-07-31	VYDAJ	VYBER	15	29288	SLUZBY	\N	\N
1163425	3982	1996-08-31	VYDAJ	VYBER	15	30144	SLUZBY	\N	\N
1163426	3982	1996-09-30	VYDAJ	VYBER	15	31342	SLUZBY	\N	\N
1163427	3982	1996-10-31	VYDAJ	VYBER	15	29439	SLUZBY	\N	\N
1163428	3982	1996-11-30	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
1163429	3982	1996-12-31	VYDAJ	VYBER	15	30316	SLUZBY	\N	\N
1163430	3982	1997-01-31	VYDAJ	VYBER	15	28803	SLUZBY	\N	\N
1163431	3982	1997-02-28	VYDAJ	VYBER	15	29988	SLUZBY	\N	\N
1163432	3982	1997-03-31	VYDAJ	VYBER	15	31178	SLUZBY	\N	\N
1163433	3982	1997-04-30	VYDAJ	VYBER	15	32373	SLUZBY	\N	\N
1163434	3982	1997-05-31	VYDAJ	VYBER	15	33572	SLUZBY	\N	\N
1163435	3982	1997-06-30	VYDAJ	VYBER	15	34240	SLUZBY	\N	\N
1163436	3982	1997-07-31	VYDAJ	VYBER	15	35447	SLUZBY	\N	\N
1163437	3982	1997-08-31	VYDAJ	VYBER	15	36239	SLUZBY	\N	\N
1163438	3982	1997-09-30	VYDAJ	VYBER	15	37461	SLUZBY	\N	\N
1163439	3982	1997-10-31	VYDAJ	VYBER	15	38538	SLUZBY	\N	\N
1163440	3982	1997-11-30	VYDAJ	VYBER	15	39763	SLUZBY	\N	\N
1163441	3982	1997-12-31	VYDAJ	VYBER	15	39067	SLUZBY	\N	\N
1163442	3982	1998-01-31	VYDAJ	VYBER	15	38040	SLUZBY	\N	\N
1163443	3982	1998-02-28	VYDAJ	VYBER	15	39268	SLUZBY	\N	\N
1163444	3982	1998-03-31	VYDAJ	VYBER	15	40396	SLUZBY	\N	\N
1163445	3982	1998-04-30	VYDAJ	VYBER	15	41635	SLUZBY	\N	\N
1163446	3982	1998-05-31	VYDAJ	VYBER	15	42879	SLUZBY	\N	\N
1163447	3982	1998-06-30	VYDAJ	VYBER	15	43827	SLUZBY	\N	\N
1163448	3982	1998-07-31	VYDAJ	VYBER	15	44537	SLUZBY	\N	\N
1163449	3982	1998-08-31	VYDAJ	VYBER	15	44860	SLUZBY	\N	\N
1163450	3982	1998-09-30	VYDAJ	VYBER	15	45750	SLUZBY	\N	\N
1163451	3982	1998-10-31	VYDAJ	VYBER	15	45745	SLUZBY	\N	\N
1163452	3982	1998-11-30	VYDAJ	VYBER	15	46999	SLUZBY	\N	\N
1163453	3982	1996-06-11	VYDAJ	VYBER	600	27997	\N	\N	\N
1163454	3982	1996-10-09	VYDAJ	VYBER	2100	30319	\N	\N	\N
1163455	3982	1997-12-03	VYDAJ	VYBER	300	39463	\N	\N	\N
1163456	3982	1998-03-03	VYDAJ	VYBER	100	39168	\N	\N	\N
1163457	3982	1998-06-01	VYDAJ	VYBER	300	42579	\N	\N	\N
1163458	3982	1998-07-01	VYDAJ	VYBER	300	43527	\N	\N	\N
1163520	3983	1993-02-04	PRIJEM	VKLAD	900	900	\N	\N	\N
1163522	3983	1993-02-06	PRIJEM	VKLAD	14626	15526	\N	\N	\N
1163523	3983	1993-03-06	PRIJEM	VKLAD	14626	30205	\N	\N	\N
1163524	3983	1993-04-06	PRIJEM	VKLAD	14626	43746	\N	\N	\N
1163525	3983	1993-05-06	PRIJEM	VKLAD	14626	48545	\N	\N	\N
1163526	3983	1993-06-06	PRIJEM	VKLAD	21939	58583	\N	\N	\N
1163527	3983	1993-07-06	PRIJEM	VKLAD	14626	48389	\N	\N	\N
1163528	3983	1993-08-06	PRIJEM	VKLAD	14626	50187	\N	\N	\N
1163529	3983	1993-09-06	PRIJEM	VKLAD	14626	52003	\N	\N	\N
1163530	3983	1993-10-06	PRIJEM	VKLAD	14626	53630	\N	\N	\N
1163531	3983	1993-11-06	PRIJEM	VKLAD	14626	55564	\N	\N	\N
1163532	3983	1993-12-06	PRIJEM	VKLAD	21939	62018	\N	\N	\N
1163533	3983	1994-01-06	PRIJEM	VKLAD	14626	54179	\N	\N	\N
1163534	3983	1994-02-06	PRIJEM	VKLAD	14626	54615	\N	\N	\N
1163535	3983	1994-03-06	PRIJEM	VKLAD	14626	51119	\N	\N	\N
1163536	3983	1994-04-06	PRIJEM	VKLAD	14626	51543	\N	\N	\N
1163537	3983	1994-05-06	PRIJEM	VKLAD	14626	54866	\N	\N	\N
1163538	3983	1994-06-06	PRIJEM	VKLAD	21939	60990	\N	\N	\N
1163539	3983	1994-07-06	PRIJEM	VKLAD	14626	44271	\N	\N	\N
1163540	3983	1994-08-06	PRIJEM	VKLAD	14626	51756	\N	\N	\N
1163541	3983	1994-09-06	PRIJEM	VKLAD	14626	53222	\N	\N	\N
1163542	3983	1994-10-06	PRIJEM	VKLAD	14626	51392	\N	\N	\N
1163543	3983	1994-11-06	PRIJEM	VKLAD	14626	53257	\N	\N	\N
1163544	3983	1994-12-06	PRIJEM	VKLAD	21939	57348	\N	\N	\N
1163545	3983	1995-01-06	PRIJEM	VKLAD	14626	50854	\N	\N	\N
1163546	3983	1995-02-06	PRIJEM	VKLAD	14626	53658	\N	\N	\N
1163547	3983	1995-03-06	PRIJEM	VKLAD	14626	52130	\N	\N	\N
1163548	3983	1995-04-06	PRIJEM	VKLAD	14626	51796	\N	\N	\N
1163549	3983	1995-05-06	PRIJEM	VKLAD	14626	53162	\N	\N	\N
1163550	3983	1995-06-06	PRIJEM	VKLAD	21939	56141	\N	\N	\N
1163551	3983	1995-07-06	PRIJEM	VKLAD	14626	23685	\N	\N	\N
1163552	3983	1995-08-06	PRIJEM	VKLAD	14626	32141	\N	\N	\N
1163553	3983	1995-09-06	PRIJEM	VKLAD	14626	40034	\N	\N	\N
1163554	3983	1995-10-06	PRIJEM	VKLAD	14626	38748	\N	\N	\N
1163555	3983	1995-11-06	PRIJEM	VKLAD	14626	37957	\N	\N	\N
1163556	3983	1995-12-06	PRIJEM	VKLAD	21939	47880	\N	\N	\N
1163557	3983	1996-01-06	PRIJEM	VKLAD	14626	45410	\N	\N	\N
1163558	3983	1996-02-06	PRIJEM	VKLAD	14626	43344	\N	\N	\N
1163559	3983	1996-03-06	PRIJEM	VKLAD	14626	44675	\N	\N	\N
1163560	3983	1996-04-06	PRIJEM	VKLAD	14626	43007	\N	\N	\N
1163561	3983	1996-05-06	PRIJEM	VKLAD	14626	46640	\N	\N	\N
1163562	3983	1996-06-06	PRIJEM	VKLAD	21939	44093	\N	\N	\N
1163563	3983	1996-07-06	PRIJEM	VKLAD	14626	40446	\N	\N	\N
1163564	3983	1996-08-06	PRIJEM	VKLAD	14626	43769	\N	\N	\N
1163565	3983	1996-09-06	PRIJEM	VKLAD	14626	48008	\N	\N	\N
1163566	3983	1996-10-06	PRIJEM	VKLAD	14626	45650	\N	\N	\N
1163567	3983	1996-11-06	PRIJEM	VKLAD	14626	49095	\N	\N	\N
1163568	3983	1996-12-06	PRIJEM	VKLAD	21939	58765	\N	\N	\N
1163569	3983	1997-01-06	PRIJEM	VKLAD	14626	54556	\N	\N	\N
1163570	3983	1997-02-06	PRIJEM	VKLAD	14626	55332	\N	\N	\N
1163571	3983	1997-03-06	PRIJEM	VKLAD	14626	50397	\N	\N	\N
1163572	3983	1997-04-06	PRIJEM	VKLAD	14626	51757	\N	\N	\N
1163573	3983	1997-05-06	PRIJEM	VKLAD	14626	49614	\N	\N	\N
1163574	3983	1997-06-06	PRIJEM	VKLAD	21939	61692	\N	\N	\N
1163575	3983	1997-07-06	PRIJEM	VKLAD	14626	39731	\N	\N	\N
1163576	3983	1997-08-06	PRIJEM	VKLAD	14626	44060	\N	\N	\N
1163577	3983	1997-09-06	PRIJEM	VKLAD	14626	44496	\N	\N	\N
1163578	3983	1997-10-06	PRIJEM	VKLAD	14626	45530	\N	\N	\N
1163579	3983	1997-11-06	PRIJEM	VKLAD	14626	44864	\N	\N	\N
1163580	3983	1997-12-06	PRIJEM	VKLAD	21939	50805	\N	\N	\N
1163581	3983	1998-01-06	PRIJEM	VKLAD	14626	48449	\N	\N	\N
1163582	3983	1998-02-06	PRIJEM	VKLAD	14626	48498	\N	\N	\N
1163583	3983	1998-03-06	PRIJEM	VKLAD	14626	53661	\N	\N	\N
1163584	3983	1998-04-06	PRIJEM	VKLAD	14626	49518	\N	\N	\N
1163585	3983	1998-05-06	PRIJEM	VKLAD	14626	51174	\N	\N	\N
1163586	3983	1998-06-06	PRIJEM	VKLAD	21939	60451	\N	\N	\N
1163587	3983	1998-07-06	PRIJEM	VKLAD	14626	38676	\N	\N	\N
1163588	3983	1998-08-06	PRIJEM	VKLAD	14626	43097	\N	\N	\N
1163589	3983	1998-09-06	PRIJEM	VKLAD	14626	48138	\N	\N	\N
1163590	3983	1998-10-06	PRIJEM	VKLAD	14626	48088	\N	\N	\N
1163591	3983	1998-11-06	PRIJEM	VKLAD	14626	37639	\N	\N	\N
1163592	3983	1998-12-06	PRIJEM	VKLAD	21939	47810	\N	\N	\N
1163593	3983	1993-06-12	VYDAJ	VYBER	14600	43983	\N	\N	\N
1163594	3983	1994-06-15	VYDAJ	VYBER	15900	45090	\N	\N	\N
1163595	3983	1995-06-28	VYDAJ	VYBER	27300	8941	\N	\N	\N
1163596	3983	1996-06-02	VYDAJ	VYBER	5000	25554	\N	\N	\N
1163597	3983	1997-06-14	VYDAJ	VYBER	17700	24992	\N	\N	\N
1163598	3983	1998-06-09	VYDAJ	VYBER	16000	23951	\N	\N	\N
1163599	3983	1993-12-15	VYDAJ	VYBER	700	61318	\N	\N	\N
1163600	3983	1994-12-09	VYDAJ	VYBER	2800	54548	\N	\N	\N
1163601	3983	1995-12-19	VYDAJ	VYBER	2300	45580	\N	\N	\N
1163602	3983	1996-12-26	VYDAJ	VYBER	1200	39765	\N	\N	\N
1163603	3983	1997-12-23	VYDAJ	VYBER	1200	33705	\N	\N	\N
1163604	3983	1998-12-08	VYDAJ	VYBER	700	47110	\N	\N	\N
1163605	3983	1993-12-21	VYDAJ	VYBER	2300	59018	\N	\N	\N
1163607	3983	1993-06-22	VYDAJ	VYBER	3600	40383	\N	\N	\N
1163608	3983	1993-07-12	VYDAJ	VYBER	3500	44889	\N	\N	\N
1163609	3983	1993-08-05	VYDAJ	VYBER	1700	35561	\N	\N	\N
1163610	3983	1994-02-12	VYDAJ	VYBER	4500	50115	\N	\N	\N
1163611	3983	1994-07-01	VYDAJ	VYBER	2900	29645	\N	\N	\N
1163612	3983	1994-05-06	VYDAJ	VYBER	4300	50566	\N	\N	\N
1163613	3983	1994-01-03	VYDAJ	VYBER	4300	39553	\N	\N	\N
1163614	3983	1994-11-26	VYDAJ	VYBER	1300	35257	\N	\N	\N
1163615	3983	1994-11-21	VYDAJ	VYBER	900	52357	\N	\N	\N
1163616	3983	1994-11-24	VYDAJ	VYBER	3600	48757	\N	\N	\N
1163617	3983	1994-06-25	VYDAJ	VYBER	4800	40290	\N	\N	\N
1163618	3983	1995-01-03	VYDAJ	VYBER	4200	36228	\N	\N	\N
1163619	3983	1996-06-05	VYDAJ	VYBER	3400	22154	\N	\N	\N
1163620	3983	1996-06-29	VYDAJ	VYBER	3100	25693	\N	\N	\N
1163621	3983	1996-12-07	VYDAJ	VYBER	3300	55465	\N	\N	\N
1163622	3983	1996-09-16	VYDAJ	VYBER	3400	30908	\N	\N	\N
1163623	3983	1997-08-23	VYDAJ	VYBER	3300	29760	\N	\N	\N
1163624	3983	1997-07-09	VYDAJ	VYBER	3800	35931	\N	\N	\N
1163625	3983	1998-01-15	VYDAJ	VYBER	1600	33749	\N	\N	\N
1163626	3983	1998-11-07	VYDAJ	VYBER	1000	36639	\N	\N	\N
1163627	3983	1998-07-09	VYDAJ	VYBER	4200	28376	\N	\N	\N
1163628	3983	1998-09-17	VYDAJ	VYBER	3500	33338	\N	\N	\N
1163629	3983	1998-06-08	VYDAJ	VYBER	3600	39951	\N	\N	\N
1163630	3983	1998-06-07	VYDAJ	VYBER	3600	56851	\N	\N	\N
1163631	3983	1998-03-11	VYDAJ	VYBER	2600	34761	\N	\N	\N
1163638	3983	1993-06-30	VYDAJ	VYBER	15	40563	SLUZBY	\N	\N
1163639	3983	1993-07-31	VYDAJ	VYBER	15	45061	SLUZBY	\N	\N
1163640	3983	1993-08-31	VYDAJ	VYBER	15	50377	SLUZBY	\N	\N
1163641	3983	1993-09-30	VYDAJ	VYBER	15	52204	SLUZBY	\N	\N
1163642	3983	1993-10-31	VYDAJ	VYBER	15	53838	SLUZBY	\N	\N
1163643	3983	1993-11-30	VYDAJ	VYBER	15	55779	SLUZBY	\N	\N
1163644	3983	1993-12-31	VYDAJ	VYBER	15	59253	SLUZBY	\N	\N
1163645	3983	1994-01-31	VYDAJ	VYBER	15	39989	SLUZBY	\N	\N
1163646	3983	1994-02-28	VYDAJ	VYBER	15	50293	SLUZBY	\N	\N
1163647	3983	1994-03-31	VYDAJ	VYBER	15	51317	SLUZBY	\N	\N
1163648	3983	1994-04-30	VYDAJ	VYBER	15	51740	SLUZBY	\N	\N
1163649	3983	1994-05-31	VYDAJ	VYBER	15	39051	SLUZBY	\N	\N
1163650	3983	1994-06-30	VYDAJ	VYBER	15	32545	SLUZBY	\N	\N
1163651	3983	1994-07-31	VYDAJ	VYBER	15	37130	SLUZBY	\N	\N
1163652	3983	1994-08-31	VYDAJ	VYBER	15	38596	SLUZBY	\N	\N
1163653	3983	1994-09-30	VYDAJ	VYBER	15	36766	SLUZBY	\N	\N
1163654	3983	1994-10-31	VYDAJ	VYBER	15	38631	SLUZBY	\N	\N
1163655	3983	1994-11-30	VYDAJ	VYBER	15	35409	SLUZBY	\N	\N
1163656	3983	1994-12-31	VYDAJ	VYBER	15	40428	SLUZBY	\N	\N
1163657	3983	1995-01-31	VYDAJ	VYBER	15	39032	SLUZBY	\N	\N
1163658	3983	1995-02-28	VYDAJ	VYBER	15	37504	SLUZBY	\N	\N
1163659	3983	1995-03-31	VYDAJ	VYBER	15	37170	SLUZBY	\N	\N
1163660	3983	1995-04-30	VYDAJ	VYBER	15	38536	SLUZBY	\N	\N
1163661	3983	1995-05-31	VYDAJ	VYBER	15	34202	SLUZBY	\N	\N
1163662	3983	1995-06-30	VYDAJ	VYBER	15	9059	SLUZBY	\N	\N
1163663	3983	1995-07-31	VYDAJ	VYBER	15	17515	SLUZBY	\N	\N
1163664	3983	1995-08-31	VYDAJ	VYBER	15	25408	SLUZBY	\N	\N
1163665	3983	1995-09-30	VYDAJ	VYBER	15	24122	SLUZBY	\N	\N
1163666	3983	1995-10-31	VYDAJ	VYBER	15	23331	SLUZBY	\N	\N
1163667	3983	1995-11-30	VYDAJ	VYBER	15	25941	SLUZBY	\N	\N
1163668	3983	1995-12-31	VYDAJ	VYBER	15	30784	SLUZBY	\N	\N
1163669	3983	1996-01-31	VYDAJ	VYBER	15	28718	SLUZBY	\N	\N
1163670	3983	1996-02-29	VYDAJ	VYBER	15	30049	SLUZBY	\N	\N
1163671	3983	1996-03-31	VYDAJ	VYBER	15	28381	SLUZBY	\N	\N
1163672	3983	1996-04-30	VYDAJ	VYBER	15	32014	SLUZBY	\N	\N
1163673	3983	1996-05-31	VYDAJ	VYBER	15	30554	SLUZBY	\N	\N
1163674	3983	1996-06-30	VYDAJ	VYBER	15	25820	SLUZBY	\N	\N
1163675	3983	1996-07-31	VYDAJ	VYBER	15	29143	SLUZBY	\N	\N
1163676	3983	1996-08-31	VYDAJ	VYBER	15	33382	SLUZBY	\N	\N
1163677	3983	1996-09-30	VYDAJ	VYBER	15	31024	SLUZBY	\N	\N
1163678	3983	1996-10-31	VYDAJ	VYBER	15	34469	SLUZBY	\N	\N
1163679	3983	1996-11-30	VYDAJ	VYBER	15	36826	SLUZBY	\N	\N
1163680	3983	1996-12-31	VYDAJ	VYBER	15	39930	SLUZBY	\N	\N
1163681	3983	1997-01-31	VYDAJ	VYBER	15	40706	SLUZBY	\N	\N
1163682	3983	1997-02-28	VYDAJ	VYBER	15	35771	SLUZBY	\N	\N
1163683	3983	1997-03-31	VYDAJ	VYBER	15	37131	SLUZBY	\N	\N
1163684	3983	1997-04-30	VYDAJ	VYBER	15	34988	SLUZBY	\N	\N
1163685	3983	1997-05-31	VYDAJ	VYBER	15	39753	SLUZBY	\N	\N
1163686	3983	1997-06-30	VYDAJ	VYBER	15	25105	SLUZBY	\N	\N
1163687	3983	1997-07-31	VYDAJ	VYBER	15	29434	SLUZBY	\N	\N
1163688	3983	1997-08-31	VYDAJ	VYBER	15	29870	SLUZBY	\N	\N
1163689	3983	1997-09-30	VYDAJ	VYBER	15	30904	SLUZBY	\N	\N
1163690	3983	1997-10-31	VYDAJ	VYBER	15	30238	SLUZBY	\N	\N
1163691	3983	1997-11-30	VYDAJ	VYBER	15	28866	SLUZBY	\N	\N
1163692	3983	1997-12-31	VYDAJ	VYBER	15	33823	SLUZBY	\N	\N
1163693	3983	1998-01-31	VYDAJ	VYBER	15	33872	SLUZBY	\N	\N
1163694	3983	1998-02-28	VYDAJ	VYBER	15	39035	SLUZBY	\N	\N
1163695	3983	1998-03-31	VYDAJ	VYBER	15	34892	SLUZBY	\N	\N
1163696	3983	1998-04-30	VYDAJ	VYBER	15	36548	SLUZBY	\N	\N
1163697	3983	1998-05-31	VYDAJ	VYBER	15	38512	SLUZBY	\N	\N
1163698	3983	1998-06-30	VYDAJ	VYBER	15	24050	SLUZBY	\N	\N
1163699	3983	1998-07-31	VYDAJ	VYBER	15	28471	SLUZBY	\N	\N
1163700	3983	1998-08-31	VYDAJ	VYBER	15	33512	SLUZBY	\N	\N
1163701	3983	1998-09-30	VYDAJ	VYBER	15	33462	SLUZBY	\N	\N
1163702	3983	1998-10-31	VYDAJ	VYBER	15	35413	SLUZBY	\N	\N
1163703	3983	1998-11-30	VYDAJ	VYBER	15	36771	SLUZBY	\N	\N
1163704	3983	1993-03-06	VYDAJ	VYBER	200	30005	\N	\N	\N
1163705	3983	1993-04-05	VYDAJ	VYBER	1000	29120	\N	\N	\N
1163706	3983	1993-05-05	VYDAJ	VYBER	10000	33919	\N	\N	\N
1163707	3983	1993-06-04	VYDAJ	VYBER	12100	36644	\N	\N	\N
1163708	3983	1993-07-04	VYDAJ	VYBER	6800	33763	\N	\N	\N
1163709	3983	1993-08-03	VYDAJ	VYBER	7800	37261	\N	\N	\N
1163710	3983	1993-09-02	VYDAJ	VYBER	13000	37377	\N	\N	\N
1163711	3983	1993-10-02	VYDAJ	VYBER	13200	39004	\N	\N	\N
1163712	3983	1993-11-01	VYDAJ	VYBER	12900	40938	\N	\N	\N
1163713	3983	1993-12-01	VYDAJ	VYBER	15700	40079	\N	\N	\N
1163714	3983	1993-12-31	VYDAJ	VYBER	15400	43853	\N	\N	\N
1163715	3983	1994-01-30	VYDAJ	VYBER	14400	39779	\N	\N	\N
1163716	3983	1994-03-01	VYDAJ	VYBER	13800	36493	\N	\N	\N
1163717	3983	1994-03-31	VYDAJ	VYBER	14400	36917	\N	\N	\N
1163718	3983	1994-04-30	VYDAJ	VYBER	11500	40240	\N	\N	\N
1163719	3983	1994-05-30	VYDAJ	VYBER	11700	38866	\N	\N	\N
1163720	3983	1994-06-29	VYDAJ	VYBER	7900	32390	\N	\N	\N
1163721	3983	1994-07-29	VYDAJ	VYBER	7300	36971	\N	\N	\N
1163722	3983	1994-08-28	VYDAJ	VYBER	13300	38456	\N	\N	\N
1163723	3983	1994-09-27	VYDAJ	VYBER	16600	36622	\N	\N	\N
1163724	3983	1994-10-27	VYDAJ	VYBER	12900	38492	\N	\N	\N
1163725	3983	1994-11-26	VYDAJ	VYBER	12200	36557	\N	\N	\N
1163726	3983	1994-12-26	VYDAJ	VYBER	14300	40248	\N	\N	\N
1163727	3983	1995-01-25	VYDAJ	VYBER	12000	38854	\N	\N	\N
1163728	3983	1995-02-24	VYDAJ	VYBER	16300	37358	\N	\N	\N
1163729	3983	1995-03-26	VYDAJ	VYBER	15100	37030	\N	\N	\N
1163730	3983	1995-04-25	VYDAJ	VYBER	13400	38396	\N	\N	\N
1163731	3983	1995-05-25	VYDAJ	VYBER	19100	34062	\N	\N	\N
1163732	3983	1995-06-24	VYDAJ	VYBER	19900	36241	\N	\N	\N
1163733	3983	1995-07-24	VYDAJ	VYBER	6200	17485	\N	\N	\N
1163734	3983	1995-08-23	VYDAJ	VYBER	6800	25341	\N	\N	\N
1163735	3983	1995-09-22	VYDAJ	VYBER	16000	24034	\N	\N	\N
1163736	3983	1995-10-22	VYDAJ	VYBER	15500	23248	\N	\N	\N
1163737	3983	1995-11-21	VYDAJ	VYBER	12100	25857	\N	\N	\N
1163738	3983	1995-12-21	VYDAJ	VYBER	14900	30680	\N	\N	\N
1163739	3983	1996-01-20	VYDAJ	VYBER	16800	28610	\N	\N	\N
1163740	3983	1996-02-19	VYDAJ	VYBER	13400	29944	\N	\N	\N
1163741	3983	1996-03-20	VYDAJ	VYBER	16400	28275	\N	\N	\N
1163742	3983	1996-04-19	VYDAJ	VYBER	11100	31907	\N	\N	\N
1163743	3983	1996-05-19	VYDAJ	VYBER	16200	30440	\N	\N	\N
1163744	3983	1996-06-18	VYDAJ	VYBER	15300	28793	\N	\N	\N
1163745	3983	1996-07-18	VYDAJ	VYBER	11400	29046	\N	\N	\N
1163746	3983	1996-08-17	VYDAJ	VYBER	10500	33269	\N	\N	\N
1163747	3983	1996-09-16	VYDAJ	VYBER	13700	34308	\N	\N	\N
1163748	3983	1996-10-16	VYDAJ	VYBER	11300	34350	\N	\N	\N
1163749	3983	1996-11-15	VYDAJ	VYBER	12400	36695	\N	\N	\N
1163750	3983	1996-12-15	VYDAJ	VYBER	14500	40965	\N	\N	\N
1163751	3983	1997-01-14	VYDAJ	VYBER	14000	40556	\N	\N	\N
1163752	3983	1997-02-13	VYDAJ	VYBER	19700	35632	\N	\N	\N
1163753	3983	1997-03-15	VYDAJ	VYBER	13400	36997	\N	\N	\N
1163754	3983	1997-04-14	VYDAJ	VYBER	16900	34857	\N	\N	\N
1163755	3983	1997-05-14	VYDAJ	VYBER	10000	39614	\N	\N	\N
1163756	3983	1997-06-13	VYDAJ	VYBER	19000	42692	\N	\N	\N
1163757	3983	1997-07-13	VYDAJ	VYBER	6600	29331	\N	\N	\N
1163758	3983	1997-08-12	VYDAJ	VYBER	11000	33060	\N	\N	\N
1163759	3983	1997-09-11	VYDAJ	VYBER	13700	30796	\N	\N	\N
1163760	3983	1997-10-11	VYDAJ	VYBER	15400	30130	\N	\N	\N
1163761	3983	1997-11-10	VYDAJ	VYBER	16100	28764	\N	\N	\N
1163762	3983	1997-12-10	VYDAJ	VYBER	15900	34905	\N	\N	\N
1163763	3983	1998-01-09	VYDAJ	VYBER	13100	35349	\N	\N	\N
1163764	3983	1998-02-08	VYDAJ	VYBER	9600	38898	\N	\N	\N
1163765	3983	1998-03-10	VYDAJ	VYBER	16300	37361	\N	\N	\N
1163766	3983	1998-04-09	VYDAJ	VYBER	13100	36418	\N	\N	\N
1163767	3983	1998-05-09	VYDAJ	VYBER	12800	38374	\N	\N	\N
1163768	3983	1998-06-08	VYDAJ	VYBER	13300	43551	\N	\N	\N
1163769	3983	1998-07-08	VYDAJ	VYBER	6100	32576	\N	\N	\N
1163770	3983	1998-08-07	VYDAJ	VYBER	9700	33397	\N	\N	\N
1163771	3983	1998-09-06	VYDAJ	VYBER	11300	36838	\N	\N	\N
1163772	3983	1998-10-06	VYDAJ	VYBER	12800	35288	\N	\N	\N
1163773	3983	1998-11-05	VYDAJ	VYBER	12400	23013	\N	\N	\N
1163774	3983	1998-12-05	VYDAJ	VYBER	10900	25871	\N	\N	\N
1163846	3984	1996-12-14	PRIJEM	VKLAD	500	500	\N	\N	\N
1163859	3984	1997-01-14	PRIJEM	PREVOD Z UCTU	4041	4541	DUCHOD	CD	22091067
1163860	3984	1997-02-14	PRIJEM	PREVOD Z UCTU	4041	8582	DUCHOD	CD	22091067
1163861	3984	1997-03-14	PRIJEM	PREVOD Z UCTU	4041	12623	DUCHOD	CD	22091067
1163862	3984	1997-04-14	PRIJEM	PREVOD Z UCTU	4041	16664	DUCHOD	CD	22091067
1163863	3984	1997-05-14	PRIJEM	PREVOD Z UCTU	4041	20705	DUCHOD	CD	22091067
1163864	3984	1997-06-14	PRIJEM	PREVOD Z UCTU	4041	22931	DUCHOD	CD	22091067
1163865	3984	1997-07-14	PRIJEM	PREVOD Z UCTU	4041	14845	DUCHOD	CD	22091067
1163866	3984	1997-08-14	PRIJEM	PREVOD Z UCTU	4041	17126	DUCHOD	CD	22091067
1163867	3984	1997-09-14	PRIJEM	PREVOD Z UCTU	4041	19417	DUCHOD	CD	22091067
1163868	3984	1997-10-14	PRIJEM	PREVOD Z UCTU	4041	21717	DUCHOD	CD	22091067
1163869	3984	1997-11-14	PRIJEM	PREVOD Z UCTU	4041	20185	DUCHOD	CD	22091067
1163870	3984	1997-12-14	PRIJEM	PREVOD Z UCTU	4041	19148	DUCHOD	CD	22091067
1163871	3984	1998-01-14	PRIJEM	PREVOD Z UCTU	4041	20971	DUCHOD	CD	22091067
1163872	3984	1998-02-14	PRIJEM	PREVOD Z UCTU	4041	15744	DUCHOD	CD	22091067
1163873	3984	1998-03-14	PRIJEM	PREVOD Z UCTU	4041	18028	DUCHOD	CD	22091067
1163874	3984	1998-04-14	PRIJEM	PREVOD Z UCTU	4041	20323	DUCHOD	CD	22091067
1163875	3984	1998-05-14	PRIJEM	PREVOD Z UCTU	4041	22627	DUCHOD	CD	22091067
1163876	3984	1998-06-14	PRIJEM	PREVOD Z UCTU	4041	19540	DUCHOD	CD	22091067
1163877	3984	1998-07-14	PRIJEM	PREVOD Z UCTU	4041	15787	DUCHOD	CD	22091067
1163878	3984	1998-08-14	PRIJEM	PREVOD Z UCTU	4041	15516	DUCHOD	CD	22091067
1163879	3984	1998-09-14	PRIJEM	PREVOD Z UCTU	4041	17800	DUCHOD	CD	22091067
1163880	3984	1998-10-14	PRIJEM	PREVOD Z UCTU	4041	14929	DUCHOD	CD	22091067
1163881	3984	1998-11-14	PRIJEM	PREVOD Z UCTU	4041	16012	DUCHOD	CD	22091067
1163882	3984	1998-12-14	PRIJEM	PREVOD Z UCTU	4041	16798	DUCHOD	CD	22091067
1163900	3984	1997-06-10	VYDAJ	PREVOD NA UCET	1803	18890	SIPO	AB	94890266
1163901	3984	1997-07-10	VYDAJ	PREVOD NA UCET	1803	10804	SIPO	AB	94890266
1163902	3984	1997-08-10	VYDAJ	PREVOD NA UCET	1803	13085	SIPO	AB	94890266
1163903	3984	1997-09-10	VYDAJ	PREVOD NA UCET	1803	15376	SIPO	AB	94890266
1163904	3984	1997-10-10	VYDAJ	PREVOD NA UCET	1803	17676	SIPO	AB	94890266
1163905	3984	1997-11-10	VYDAJ	PREVOD NA UCET	1803	16144	SIPO	AB	94890266
1163906	3984	1997-12-10	VYDAJ	PREVOD NA UCET	1803	17347	SIPO	AB	94890266
1163907	3984	1998-01-10	VYDAJ	PREVOD NA UCET	1803	16930	SIPO	AB	94890266
1163908	3984	1998-02-10	VYDAJ	PREVOD NA UCET	1803	11703	SIPO	AB	94890266
1163909	3984	1998-03-10	VYDAJ	PREVOD NA UCET	1803	13987	SIPO	AB	94890266
1163910	3984	1998-04-10	VYDAJ	PREVOD NA UCET	1803	16282	SIPO	AB	94890266
1163911	3984	1998-05-10	VYDAJ	PREVOD NA UCET	1803	18586	SIPO	AB	94890266
1163912	3984	1998-06-10	VYDAJ	PREVOD NA UCET	1803	15499	SIPO	AB	94890266
1163913	3984	1998-07-10	VYDAJ	PREVOD NA UCET	1803	11746	SIPO	AB	94890266
1163914	3984	1998-08-10	VYDAJ	PREVOD NA UCET	1803	11475	SIPO	AB	94890266
1163915	3984	1998-09-10	VYDAJ	PREVOD NA UCET	1803	13759	SIPO	AB	94890266
1163916	3984	1998-10-10	VYDAJ	PREVOD NA UCET	1803	10888	SIPO	AB	94890266
1163917	3984	1998-11-10	VYDAJ	PREVOD NA UCET	1803	11971	SIPO	AB	94890266
1163918	3984	1998-12-10	VYDAJ	PREVOD NA UCET	1803	12757	SIPO	AB	94890266
1163920	3984	1997-06-14	VYDAJ	VYBER	10400	12531	\N	\N	\N
1163926	3984	1997-12-07	VYDAJ	VYBER	1100	19150	\N	\N	\N
1163927	3984	1998-12-28	VYDAJ	VYBER	500	16298	\N	\N	\N
1163941	3984	1998-01-18	VYDAJ	VYBER	2320	17531	\N	\N	\N
1163942	3984	1998-01-01	VYDAJ	VYBER	480	18733	\N	\N	\N
1163943	3984	1998-01-14	VYDAJ	VYBER	1120	19851	\N	\N	\N
1163945	3984	1998-01-19	VYDAJ	VYBER	1600	15931	\N	\N	\N
1163951	3984	1997-12-12	VYDAJ	VYBER	2240	15107	\N	\N	\N
1163952	3984	1997-10-28	VYDAJ	VYBER	3840	17877	\N	\N	\N
1163954	3984	1998-09-20	VYDAJ	VYBER	2960	14840	\N	\N	\N
1163956	3984	1998-07-04	VYDAJ	VYBER	3360	16249	\N	\N	\N
1163957	3984	1998-01-21	VYDAJ	VYBER	2480	13451	\N	\N	\N
1163958	3984	1998-08-02	VYDAJ	VYBER	1760	14078	\N	\N	\N
1163976	3984	1997-05-31	VYDAJ	VYBER	15	20693	SLUZBY	\N	\N
1163977	3984	1997-06-30	VYDAJ	VYBER	15	12607	SLUZBY	\N	\N
1163978	3984	1997-07-31	VYDAJ	VYBER	15	14888	SLUZBY	\N	\N
1163979	3984	1997-08-31	VYDAJ	VYBER	15	17179	SLUZBY	\N	\N
1163980	3984	1997-09-30	VYDAJ	VYBER	15	19479	SLUZBY	\N	\N
1163981	3984	1997-10-31	VYDAJ	VYBER	15	17947	SLUZBY	\N	\N
1163982	3984	1997-11-30	VYDAJ	VYBER	15	20250	SLUZBY	\N	\N
1163983	3984	1997-12-31	VYDAJ	VYBER	15	19213	SLUZBY	\N	\N
1163984	3984	1998-01-31	VYDAJ	VYBER	15	13506	SLUZBY	\N	\N
1163985	3984	1998-02-28	VYDAJ	VYBER	15	15790	SLUZBY	\N	\N
1163986	3984	1998-03-31	VYDAJ	VYBER	15	18085	SLUZBY	\N	\N
1163987	3984	1998-04-30	VYDAJ	VYBER	15	20389	SLUZBY	\N	\N
1163988	3984	1998-05-31	VYDAJ	VYBER	15	22702	SLUZBY	\N	\N
1163989	3984	1998-06-30	VYDAJ	VYBER	15	19609	SLUZBY	\N	\N
1163990	3984	1998-07-31	VYDAJ	VYBER	15	15838	SLUZBY	\N	\N
1163991	3984	1998-08-31	VYDAJ	VYBER	15	15562	SLUZBY	\N	\N
1163992	3984	1998-09-30	VYDAJ	VYBER	15	14891	SLUZBY	\N	\N
1163993	3984	1998-10-31	VYDAJ	VYBER	15	14974	SLUZBY	\N	\N
1163994	3984	1998-11-30	VYDAJ	VYBER	15	16060	SLUZBY	\N	\N
1163995	3984	1998-06-07	VYDAJ	VYBER	5400	17302	\N	\N	\N
1163996	3984	1998-07-07	VYDAJ	VYBER	2700	13549	\N	\N	\N
1163997	3984	1998-08-06	VYDAJ	VYBER	800	13278	\N	\N	\N
1163998	3984	1998-10-05	VYDAJ	VYBER	2200	12691	\N	\N	\N
1163999	3984	1998-11-04	VYDAJ	VYBER	1200	13774	\N	\N	\N
1164000	3984	1998-12-04	VYDAJ	VYBER	1500	14560	\N	\N	\N
1164021	3985	1997-07-13	PRIJEM	VKLAD	900	900	\N	\N	\N
1164029	3985	1997-08-06	PRIJEM	PREVOD Z UCTU	4077	4977	DUCHOD	GH	66838490
1164030	3985	1997-09-06	PRIJEM	PREVOD Z UCTU	4077	9054	DUCHOD	GH	66838490
1164031	3985	1997-10-06	PRIJEM	PREVOD Z UCTU	4077	13131	DUCHOD	GH	66838490
1164032	3985	1997-11-06	PRIJEM	PREVOD Z UCTU	4077	17208	DUCHOD	GH	66838490
1164033	3985	1997-12-06	PRIJEM	PREVOD Z UCTU	4077	18928	DUCHOD	GH	66838490
1164034	3985	1998-01-06	PRIJEM	PREVOD Z UCTU	4077	15739	DUCHOD	GH	66838490
1164035	3985	1998-02-06	PRIJEM	PREVOD Z UCTU	4077	14240	DUCHOD	GH	66838490
1164036	3985	1998-03-06	PRIJEM	PREVOD Z UCTU	4077	14741	DUCHOD	GH	66838490
1164037	3985	1998-04-06	PRIJEM	PREVOD Z UCTU	4077	12435	DUCHOD	GH	66838490
1164038	3985	1998-05-06	PRIJEM	PREVOD Z UCTU	4077	13831	DUCHOD	GH	66838490
1164039	3985	1998-06-06	PRIJEM	PREVOD Z UCTU	4077	15932	DUCHOD	GH	66838490
1164040	3985	1998-07-06	PRIJEM	PREVOD Z UCTU	4077	14835	DUCHOD	GH	66838490
1164041	3985	1998-08-06	PRIJEM	PREVOD Z UCTU	4077	14455	DUCHOD	GH	66838490
1164042	3985	1998-09-06	PRIJEM	PREVOD Z UCTU	4077	14957	DUCHOD	GH	66838490
1164043	3985	1998-10-06	PRIJEM	PREVOD Z UCTU	4077	15363	DUCHOD	GH	66838490
1164044	3985	1998-11-06	PRIJEM	PREVOD Z UCTU	4077	17471	DUCHOD	GH	66838490
1164045	3985	1998-12-06	PRIJEM	PREVOD Z UCTU	4077	19587	DUCHOD	GH	66838490
1164057	3985	1997-12-14	VYDAJ	PREVOD NA UCET	2007	11621	SIPO	GH	17921477
1164058	3985	1998-01-14	VYDAJ	PREVOD NA UCET	2007	10132	SIPO	GH	17921477
1164059	3985	1998-02-14	VYDAJ	PREVOD NA UCET	2007	10633	SIPO	GH	17921477
1164060	3985	1998-03-14	VYDAJ	PREVOD NA UCET	2007	8334	SIPO	GH	17921477
1164061	3985	1998-04-14	VYDAJ	PREVOD NA UCET	2007	9728	SIPO	GH	17921477
1164062	3985	1998-05-14	VYDAJ	PREVOD NA UCET	2007	11824	SIPO	GH	17921477
1164063	3985	1998-06-14	VYDAJ	PREVOD NA UCET	2007	10725	SIPO	GH	17921477
1164064	3985	1998-07-14	VYDAJ	PREVOD NA UCET	2007	10348	SIPO	GH	17921477
1164065	3985	1998-08-14	VYDAJ	PREVOD NA UCET	2007	10848	SIPO	GH	17921477
1164066	3985	1998-09-14	VYDAJ	PREVOD NA UCET	2007	11250	SIPO	GH	17921477
1164067	3985	1998-10-14	VYDAJ	PREVOD NA UCET	2007	13356	SIPO	GH	17921477
1164068	3985	1998-11-14	VYDAJ	PREVOD NA UCET	2007	15464	SIPO	GH	17921477
1164069	3985	1998-12-14	VYDAJ	PREVOD NA UCET	2007	17580	SIPO	GH	17921477
1164074	3985	1997-12-06	VYDAJ	VYBER	700	18228	\N	\N	\N
1164075	3985	1998-12-29	VYDAJ	VYBER	750	16830	\N	\N	\N
1164081	3985	1998-01-06	VYDAJ	VYBER	2800	12939	\N	\N	\N
1164082	3985	1998-07-08	VYDAJ	VYBER	2480	12355	\N	\N	\N
1164097	3985	1997-12-31	VYDAJ	VYBER	15	11662	SLUZBY	\N	\N
1164098	3985	1998-01-31	VYDAJ	VYBER	15	10163	SLUZBY	\N	\N
1164099	3985	1998-02-28	VYDAJ	VYBER	15	10664	SLUZBY	\N	\N
1164100	3985	1998-03-31	VYDAJ	VYBER	15	8358	SLUZBY	\N	\N
1164101	3985	1998-04-30	VYDAJ	VYBER	15	9754	SLUZBY	\N	\N
1164102	3985	1998-05-31	VYDAJ	VYBER	15	11855	SLUZBY	\N	\N
1164103	3985	1998-06-30	VYDAJ	VYBER	15	10758	SLUZBY	\N	\N
1164104	3985	1998-07-31	VYDAJ	VYBER	15	10378	SLUZBY	\N	\N
1164105	3985	1998-08-31	VYDAJ	VYBER	15	10880	SLUZBY	\N	\N
1164106	3985	1998-09-30	VYDAJ	VYBER	15	11286	SLUZBY	\N	\N
1164107	3985	1998-10-31	VYDAJ	VYBER	15	13394	SLUZBY	\N	\N
1164108	3985	1998-11-30	VYDAJ	VYBER	15	15510	SLUZBY	\N	\N
1164109	3985	1997-11-10	VYDAJ	VYBER	2400	14808	\N	\N	\N
1164110	3985	1997-12-10	VYDAJ	VYBER	4600	13628	\N	\N	\N
1164111	3985	1998-01-09	VYDAJ	VYBER	800	12139	\N	\N	\N
1164112	3985	1998-02-08	VYDAJ	VYBER	1600	12640	\N	\N	\N
1164113	3985	1998-03-10	VYDAJ	VYBER	4400	10341	\N	\N	\N
1164114	3985	1998-04-09	VYDAJ	VYBER	700	11735	\N	\N	\N
1164115	3985	1998-06-08	VYDAJ	VYBER	3200	12732	\N	\N	\N
1164116	3985	1998-08-07	VYDAJ	VYBER	1600	12855	\N	\N	\N
1164117	3985	1998-09-06	VYDAJ	VYBER	1700	13257	\N	\N	\N
1164132	3986	1997-06-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1164139	3986	1997-07-06	PRIJEM	VKLAD	10171	11271	\N	\N	\N
1164140	3986	1997-08-06	PRIJEM	VKLAD	10171	27971	\N	\N	\N
1164141	3986	1997-09-06	PRIJEM	VKLAD	10171	32323	\N	\N	\N
1164142	3986	1997-10-06	PRIJEM	VKLAD	10171	37796	\N	\N	\N
1164143	3986	1997-11-06	PRIJEM	VKLAD	10171	38383	\N	\N	\N
1164144	3986	1997-12-06	PRIJEM	VKLAD	15256	41340	\N	\N	\N
1164145	3986	1998-01-06	PRIJEM	VKLAD	10171	36917	\N	\N	\N
1164146	3986	1998-02-06	PRIJEM	VKLAD	10171	25570	\N	\N	\N
1164147	3986	1998-03-06	PRIJEM	VKLAD	10171	33904	\N	\N	\N
1164148	3986	1998-04-06	PRIJEM	VKLAD	10171	41269	\N	\N	\N
1164149	3986	1998-05-06	PRIJEM	VKLAD	10171	40046	\N	\N	\N
1164150	3986	1998-06-06	PRIJEM	VKLAD	15256	35117	\N	\N	\N
1164151	3986	1998-07-06	PRIJEM	VKLAD	10171	37890	\N	\N	\N
1164152	3986	1998-08-06	PRIJEM	VKLAD	10171	34051	\N	\N	\N
1164153	3986	1998-09-06	PRIJEM	VKLAD	10171	36909	\N	\N	\N
1164154	3986	1998-10-06	PRIJEM	VKLAD	10171	39676	\N	\N	\N
1164155	3986	1998-11-06	PRIJEM	VKLAD	10171	34941	\N	\N	\N
1164156	3986	1998-12-06	PRIJEM	VKLAD	15256	42188	\N	\N	\N
1164167	3986	1997-11-10	VYDAJ	PREVOD NA UCET	3960	34423	SIPO	AB	78493797
1164168	3986	1997-12-10	VYDAJ	PREVOD NA UCET	3960	37380	SIPO	AB	78493797
1164169	3986	1998-01-10	VYDAJ	PREVOD NA UCET	3960	32957	SIPO	AB	78493797
1164170	3986	1998-02-10	VYDAJ	PREVOD NA UCET	3960	19410	SIPO	AB	78493797
1164171	3986	1998-03-10	VYDAJ	PREVOD NA UCET	3960	29944	SIPO	AB	78493797
1164172	3986	1998-04-10	VYDAJ	PREVOD NA UCET	3960	37309	SIPO	AB	78493797
1164173	3986	1998-05-10	VYDAJ	PREVOD NA UCET	3960	33486	SIPO	AB	78493797
1164174	3986	1998-06-10	VYDAJ	PREVOD NA UCET	3960	31157	SIPO	AB	78493797
1164175	3986	1998-07-10	VYDAJ	PREVOD NA UCET	3960	33930	SIPO	AB	78493797
1164176	3986	1998-08-10	VYDAJ	PREVOD NA UCET	3960	30091	SIPO	AB	78493797
1164177	3986	1998-09-10	VYDAJ	PREVOD NA UCET	3960	32949	SIPO	AB	78493797
1164178	3986	1998-10-10	VYDAJ	PREVOD NA UCET	3960	35716	SIPO	AB	78493797
1164179	3986	1998-11-10	VYDAJ	PREVOD NA UCET	3960	30981	SIPO	AB	78493797
1164180	3986	1998-12-10	VYDAJ	PREVOD NA UCET	3960	38228	SIPO	AB	78493797
1164191	3986	1997-11-11	VYDAJ	PREVOD NA UCET	2649	31774	 	WX	87679379
1164192	3986	1997-12-11	VYDAJ	PREVOD NA UCET	2649	34731	 	WX	87679379
1164193	3986	1998-01-11	VYDAJ	PREVOD NA UCET	2649	30308	 	WX	87679379
1164194	3986	1998-02-11	VYDAJ	PREVOD NA UCET	2649	16761	 	WX	87679379
1164195	3986	1998-03-11	VYDAJ	PREVOD NA UCET	2649	27295	 	WX	87679379
1164196	3986	1998-04-11	VYDAJ	PREVOD NA UCET	2649	34660	 	WX	87679379
1164197	3986	1998-05-11	VYDAJ	PREVOD NA UCET	2649	30837	 	WX	87679379
1164198	3986	1998-06-11	VYDAJ	PREVOD NA UCET	2649	28508	 	WX	87679379
1164199	3986	1998-07-11	VYDAJ	PREVOD NA UCET	2649	31281	 	WX	87679379
1164200	3986	1998-08-11	VYDAJ	PREVOD NA UCET	2649	27442	 	WX	87679379
1164201	3986	1998-09-11	VYDAJ	PREVOD NA UCET	2649	30300	 	WX	87679379
1164202	3986	1998-10-11	VYDAJ	PREVOD NA UCET	2649	33067	 	WX	87679379
1164203	3986	1998-11-11	VYDAJ	PREVOD NA UCET	2649	28332	 	WX	87679379
1164204	3986	1998-12-11	VYDAJ	PREVOD NA UCET	2649	35579	 	WX	87679379
1164206	3986	1998-06-04	VYDAJ	VYBER	14900	19861	\N	\N	\N
1164207	3986	1997-12-04	VYDAJ	VYBER	800	26084	\N	\N	\N
1164208	3986	1998-12-01	VYDAJ	VYBER	1800	26932	\N	\N	\N
1164215	3986	1998-01-19	VYDAJ	VYBER	2700	21808	\N	\N	\N
1164216	3986	1998-01-17	VYDAJ	VYBER	1900	24508	\N	\N	\N
1164217	3986	1998-01-26	VYDAJ	VYBER	2100	17808	\N	\N	\N
1164218	3986	1998-01-22	VYDAJ	VYBER	1900	19908	\N	\N	\N
1164219	3986	1998-01-26	VYDAJ	VYBER	2500	15308	\N	\N	\N
1164220	3986	1998-01-02	VYDAJ	VYBER	1800	26746	\N	\N	\N
1164221	3986	1997-12-03	VYDAJ	VYBER	3200	26884	\N	\N	\N
1164223	3986	1997-12-13	VYDAJ	VYBER	3700	31031	\N	\N	\N
1164228	3986	1998-02-07	VYDAJ	VYBER	2200	23370	\N	\N	\N
1164229	3986	1998-04-16	VYDAJ	VYBER	3000	29760	\N	\N	\N
1164230	3986	1998-08-31	VYDAJ	VYBER	1100	26752	\N	\N	\N
1164231	3986	1998-07-25	VYDAJ	VYBER	3200	23781	\N	\N	\N
1164232	3986	1998-05-07	VYDAJ	VYBER	2600	37446	\N	\N	\N
1164233	3986	1998-10-19	VYDAJ	VYBER	4800	24667	\N	\N	\N
1164234	3986	1998-10-13	VYDAJ	VYBER	1700	31367	\N	\N	\N
1164246	3986	1997-11-30	VYDAJ	VYBER	15	30084	SLUZBY	\N	\N
1164247	3986	1997-12-31	VYDAJ	VYBER	15	28546	SLUZBY	\N	\N
1164248	3986	1998-01-31	VYDAJ	VYBER	15	15399	SLUZBY	\N	\N
1164249	3986	1998-02-28	VYDAJ	VYBER	15	23733	SLUZBY	\N	\N
1164250	3986	1998-03-31	VYDAJ	VYBER	15	31098	SLUZBY	\N	\N
1164251	3986	1998-04-30	VYDAJ	VYBER	15	29875	SLUZBY	\N	\N
1164252	3986	1998-05-31	VYDAJ	VYBER	15	34761	SLUZBY	\N	\N
1164253	3986	1998-06-30	VYDAJ	VYBER	15	27719	SLUZBY	\N	\N
1164254	3986	1998-07-31	VYDAJ	VYBER	15	23880	SLUZBY	\N	\N
1164255	3986	1998-08-31	VYDAJ	VYBER	15	26738	SLUZBY	\N	\N
1164256	3986	1998-09-30	VYDAJ	VYBER	15	29505	SLUZBY	\N	\N
1164257	3986	1998-10-31	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
1164258	3986	1998-11-30	VYDAJ	VYBER	15	28732	SLUZBY	\N	\N
1164259	3986	1997-07-20	PRIJEM	VKLAD	6500	17771	\N	\N	\N
1164260	3986	1997-08-19	VYDAJ	VYBER	5900	22071	\N	\N	\N
1164261	3986	1997-09-18	VYDAJ	VYBER	4800	27523	\N	\N	\N
1164262	3986	1997-10-18	VYDAJ	VYBER	9700	28096	\N	\N	\N
1164263	3986	1997-11-17	VYDAJ	VYBER	1800	29974	\N	\N	\N
1164264	3986	1997-12-17	VYDAJ	VYBER	2600	28431	\N	\N	\N
1164265	3986	1998-01-16	VYDAJ	VYBER	3900	26408	\N	\N	\N
1164266	3986	1998-02-15	PRIJEM	VKLAD	6900	23661	\N	\N	\N
1164267	3986	1998-03-17	PRIJEM	VKLAD	3700	30995	\N	\N	\N
1164268	3986	1998-04-16	VYDAJ	VYBER	1900	32760	\N	\N	\N
1164269	3986	1998-05-16	PRIJEM	VKLAD	3800	34637	\N	\N	\N
1164270	3986	1998-06-15	VYDAJ	VYBER	900	27608	\N	\N	\N
1164271	3986	1998-07-15	VYDAJ	VYBER	4300	26981	\N	\N	\N
1164272	3986	1998-08-14	PRIJEM	VKLAD	300	27742	\N	\N	\N
1164273	3986	1998-09-13	VYDAJ	VYBER	900	29400	\N	\N	\N
1164274	3986	1998-10-13	VYDAJ	VYBER	1900	29467	\N	\N	\N
1164275	3986	1998-11-12	PRIJEM	VKLAD	300	28632	\N	\N	\N
1164294	3987	1997-09-14	PRIJEM	VKLAD	800	800	\N	\N	\N
1164304	3987	1997-10-05	PRIJEM	VKLAD	10405	11205	\N	\N	\N
1164305	3987	1997-11-05	PRIJEM	VKLAD	10405	30158	\N	\N	\N
1164306	3987	1997-12-05	PRIJEM	VKLAD	15608	46575	\N	\N	\N
1164307	3987	1998-01-05	PRIJEM	VKLAD	10405	48026	\N	\N	\N
1164308	3987	1998-02-05	PRIJEM	VKLAD	10405	49591	\N	\N	\N
1164309	3987	1998-03-05	PRIJEM	VKLAD	10405	45740	\N	\N	\N
1164310	3987	1998-04-05	PRIJEM	VKLAD	10405	46195	\N	\N	\N
1164311	3987	1998-05-05	PRIJEM	VKLAD	10405	44853	\N	\N	\N
1164312	3987	1998-06-05	PRIJEM	VKLAD	15608	49204	\N	\N	\N
1164313	3987	1998-07-05	PRIJEM	VKLAD	10405	36521	\N	\N	\N
1164314	3987	1998-08-05	PRIJEM	VKLAD	10405	36615	\N	\N	\N
1164315	3987	1998-09-05	PRIJEM	VKLAD	10405	35382	\N	\N	\N
1164316	3987	1998-10-05	PRIJEM	VKLAD	10405	28387	\N	\N	\N
1164317	3987	1998-11-05	PRIJEM	VKLAD	10405	29257	\N	\N	\N
1164318	3987	1998-12-05	PRIJEM	VKLAD	15608	34497	\N	\N	\N
1164332	3987	1998-02-07	VYDAJ	PREVOD NA UCET	4992	44599	SIPO	WX	32697832
1164333	3987	1998-03-07	VYDAJ	PREVOD NA UCET	4992	40748	SIPO	WX	32697832
1164334	3987	1998-04-07	VYDAJ	PREVOD NA UCET	4992	41203	SIPO	WX	32697832
1164335	3987	1998-05-07	VYDAJ	PREVOD NA UCET	4992	39861	SIPO	WX	32697832
1164336	3987	1998-06-07	VYDAJ	PREVOD NA UCET	4992	31412	SIPO	WX	32697832
1164337	3987	1998-07-07	VYDAJ	PREVOD NA UCET	4992	31529	SIPO	WX	32697832
1164338	3987	1998-08-07	VYDAJ	PREVOD NA UCET	4992	31623	SIPO	WX	32697832
1164339	3987	1998-09-07	VYDAJ	PREVOD NA UCET	4992	30390	SIPO	WX	32697832
1164340	3987	1998-10-07	VYDAJ	PREVOD NA UCET	4992	23395	SIPO	WX	32697832
1164341	3987	1998-11-07	VYDAJ	PREVOD NA UCET	4992	18625	SIPO	WX	32697832
1164342	3987	1998-12-07	VYDAJ	PREVOD NA UCET	4992	29505	SIPO	WX	32697832
1164368	3987	1998-06-05	VYDAJ	VYBER	12800	36404	\N	\N	\N
1164372	3987	1998-12-28	VYDAJ	VYBER	4160	17845	\N	\N	\N
1164389	3987	1998-05-02	VYDAJ	VYBER	4200	34448	\N	\N	\N
1164390	3987	1998-02-28	VYDAJ	VYBER	5520	35335	\N	\N	\N
1164391	3987	1998-09-26	VYDAJ	VYBER	4200	22090	\N	\N	\N
1164392	3987	1998-10-04	VYDAJ	VYBER	4200	17982	\N	\N	\N
1164393	3987	1998-08-14	VYDAJ	VYBER	2040	24883	\N	\N	\N
1164394	3987	1998-07-25	VYDAJ	VYBER	2520	26109	\N	\N	\N
1164395	3987	1998-10-22	VYDAJ	VYBER	4320	18775	\N	\N	\N
1164396	3987	1998-11-05	VYDAJ	VYBER	5640	23617	\N	\N	\N
1164411	3987	1998-02-28	VYDAJ	VYBER	15	40855	SLUZBY	\N	\N
1164412	3987	1998-03-31	VYDAJ	VYBER	15	35790	SLUZBY	\N	\N
1164413	3987	1998-04-30	VYDAJ	VYBER	15	38648	SLUZBY	\N	\N
1164414	3987	1998-05-31	VYDAJ	VYBER	15	33596	SLUZBY	\N	\N
1164415	3987	1998-06-30	VYDAJ	VYBER	15	26116	SLUZBY	\N	\N
1164416	3987	1998-07-31	VYDAJ	VYBER	15	26210	SLUZBY	\N	\N
1164417	3987	1998-08-31	VYDAJ	VYBER	15	24977	SLUZBY	\N	\N
1164418	3987	1998-09-30	VYDAJ	VYBER	15	22182	SLUZBY	\N	\N
1164419	3987	1998-10-31	VYDAJ	VYBER	15	18852	SLUZBY	\N	\N
1164420	3987	1998-11-30	VYDAJ	VYBER	15	18890	SLUZBY	\N	\N
1164421	3987	1997-10-14	PRIJEM	VKLAD	8500	19705	\N	\N	\N
1164422	3987	1997-11-13	PRIJEM	VKLAD	700	30858	\N	\N	\N
1164423	3987	1997-12-13	VYDAJ	VYBER	9100	37475	\N	\N	\N
1164424	3987	1998-01-12	VYDAJ	VYBER	9000	39026	\N	\N	\N
1164425	3987	1998-02-11	VYDAJ	VYBER	3900	40699	\N	\N	\N
1164426	3987	1998-03-13	VYDAJ	VYBER	5100	35648	\N	\N	\N
1164427	3987	1998-04-12	VYDAJ	VYBER	2700	38503	\N	\N	\N
1164428	3987	1998-05-12	VYDAJ	VYBER	6400	33461	\N	\N	\N
1164429	3987	1998-06-11	VYDAJ	VYBER	5400	26012	\N	\N	\N
1164430	3987	1998-07-11	VYDAJ	VYBER	2900	28629	\N	\N	\N
1164431	3987	1998-08-10	VYDAJ	VYBER	4700	26923	\N	\N	\N
1164432	3987	1998-09-09	VYDAJ	VYBER	4100	26290	\N	\N	\N
1164433	3987	1998-10-09	VYDAJ	VYBER	300	23095	\N	\N	\N
1164434	3987	1998-11-08	PRIJEM	VKLAD	200	18825	\N	\N	\N
1164435	3987	1998-12-08	VYDAJ	VYBER	7500	22005	\N	\N	\N
1164451	3988	1997-05-04	PRIJEM	VKLAD	700	700	\N	\N	\N
1164452	3988	1997-07-02	PRIJEM	VKLAD	12487	27952	\N	\N	\N
1164453	3988	1997-05-16	PRIJEM	VKLAD	10492	11392	\N	\N	\N
1164454	3988	1998-05-26	PRIJEM	VKLAD	26346	58568	\N	\N	\N
1164455	3988	1998-10-15	PRIJEM	VKLAD	17307	53494	\N	\N	\N
1164460	3988	1997-05-14	PRIJEM	VKLAD	200	900	\N	\N	\N
1164461	3988	1997-06-16	PRIJEM	VKLAD	200	19819	\N	\N	\N
1164462	3988	1997-07-13	PRIJEM	VKLAD	200	28252	\N	\N	\N
1164463	3988	1997-08-15	PRIJEM	VKLAD	200	31354	\N	\N	\N
1164464	3988	1997-09-17	PRIJEM	VKLAD	200	36868	\N	\N	\N
1164465	3988	1997-10-15	PRIJEM	VKLAD	200	35399	\N	\N	\N
1164466	3988	1997-11-16	PRIJEM	VKLAD	200	35789	\N	\N	\N
1164467	3988	1997-12-17	PRIJEM	VKLAD	200	34079	\N	\N	\N
1164468	3988	1998-01-14	PRIJEM	VKLAD	200	23562	\N	\N	\N
1164469	3988	1998-02-13	PRIJEM	VKLAD	200	25303	\N	\N	\N
1164470	3988	1998-03-14	PRIJEM	VKLAD	200	30295	\N	\N	\N
1164471	3988	1998-04-16	PRIJEM	VKLAD	200	30808	\N	\N	\N
1164472	3988	1998-05-16	PRIJEM	VKLAD	200	31222	\N	\N	\N
1164473	3988	1998-06-16	PRIJEM	VKLAD	200	23500	\N	\N	\N
1164474	3988	1998-07-17	PRIJEM	VKLAD	200	21064	\N	\N	\N
1164475	3988	1998-08-16	PRIJEM	VKLAD	200	29146	\N	\N	\N
1164476	3988	1998-09-17	PRIJEM	VKLAD	200	33357	\N	\N	\N
1164477	3988	1998-10-16	PRIJEM	VKLAD	200	53694	\N	\N	\N
1164478	3988	1998-11-13	PRIJEM	VKLAD	200	43660	\N	\N	\N
1164479	3988	1998-12-14	PRIJEM	VKLAD	200	36624	\N	\N	\N
1164484	3988	1997-05-18	PRIJEM	VKLAD	1000	12392	\N	\N	\N
1164485	3988	1997-06-18	PRIJEM	VKLAD	1000	20819	\N	\N	\N
1164486	3988	1997-07-18	PRIJEM	VKLAD	1000	29252	\N	\N	\N
1164487	3988	1997-08-18	PRIJEM	VKLAD	1000	32354	\N	\N	\N
1164488	3988	1997-09-18	PRIJEM	VKLAD	1000	37868	\N	\N	\N
1164489	3988	1997-10-18	PRIJEM	VKLAD	1000	36399	\N	\N	\N
1164490	3988	1997-11-18	PRIJEM	VKLAD	1000	36789	\N	\N	\N
1164491	3988	1997-12-18	PRIJEM	VKLAD	1000	35079	\N	\N	\N
1164492	3988	1998-01-18	PRIJEM	VKLAD	1000	23112	\N	\N	\N
1164493	3988	1998-02-18	PRIJEM	VKLAD	1000	26303	\N	\N	\N
1164494	3988	1998-03-18	PRIJEM	VKLAD	1000	31295	\N	\N	\N
1164495	3988	1998-04-18	PRIJEM	VKLAD	1000	31808	\N	\N	\N
1164496	3988	1998-05-18	PRIJEM	VKLAD	1000	32222	\N	\N	\N
1164497	3988	1998-06-18	PRIJEM	VKLAD	1000	24500	\N	\N	\N
1164498	3988	1998-07-18	PRIJEM	VKLAD	1000	22064	\N	\N	\N
1164499	3988	1998-08-18	PRIJEM	VKLAD	1000	30146	\N	\N	\N
1164500	3988	1998-09-18	PRIJEM	VKLAD	1000	34357	\N	\N	\N
1164501	3988	1998-10-18	PRIJEM	VKLAD	1000	54694	\N	\N	\N
1164502	3988	1998-11-18	PRIJEM	VKLAD	1000	44660	\N	\N	\N
1164503	3988	1998-12-18	PRIJEM	VKLAD	1000	37624	\N	\N	\N
1164504	3988	1997-06-21	VYDAJ	VYBER	5400	15419	\N	\N	\N
1164505	3988	1998-06-11	VYDAJ	VYBER	20300	23300	\N	\N	\N
1164507	3988	1998-01-13	VYDAJ	VYBER	6300	23362	\N	\N	\N
1164509	3988	1998-06-20	VYDAJ	VYBER	10700	13800	\N	\N	\N
1164511	3988	1998-01-19	VYDAJ	VYBER	1900	20512	\N	\N	\N
1164512	3988	1997-12-19	VYDAJ	VYBER	1100	33979	\N	\N	\N
1164513	3988	1998-12-05	VYDAJ	VYBER KARTOU	2800	36424	\N	\N	0
1164520	3988	1998-01-01	VYDAJ	VYBER	800	30212	\N	\N	\N
1164521	3988	1998-01-12	VYDAJ	VYBER	300	29662	\N	\N	\N
1164522	3988	1998-01-17	VYDAJ	VYBER	250	22112	\N	\N	\N
1164523	3988	1998-01-09	VYDAJ	VYBER	250	29962	\N	\N	\N
1164524	3988	1998-01-18	VYDAJ	VYBER	700	22412	\N	\N	\N
1164525	3988	1998-01-14	VYDAJ	VYBER	1200	22362	\N	\N	\N
1164528	3988	1997-11-13	VYDAJ	VYBER	2250	35589	\N	\N	\N
1164529	3988	1997-12-02	VYDAJ	VYBER	1350	33879	\N	\N	\N
1164530	3988	1998-06-30	VYDAJ	VYBER	1750	20864	\N	\N	\N
1164531	3988	1998-03-29	VYDAJ	VYBER	2400	28895	\N	\N	\N
1164532	3988	1998-09-04	VYDAJ	VYBER KARTOU	1300	33157	\N	\N	0
1164533	3988	1998-05-28	VYDAJ	VYBER	900	57668	\N	\N	\N
1164540	3988	1997-06-30	VYDAJ	VYBER	15	15465	SLUZBY	\N	\N
1164541	3988	1997-07-31	VYDAJ	VYBER	15	29354	SLUZBY	\N	\N
1164542	3988	1997-08-31	VYDAJ	VYBER	15	32468	SLUZBY	\N	\N
1164543	3988	1997-09-30	VYDAJ	VYBER	15	37999	SLUZBY	\N	\N
1164544	3988	1997-10-31	VYDAJ	VYBER	15	37839	SLUZBY	\N	\N
1164545	3988	1997-11-30	VYDAJ	VYBER	15	36929	SLUZBY	\N	\N
1164546	3988	1997-12-31	VYDAJ	VYBER	15	31012	SLUZBY	\N	\N
1164547	3988	1998-01-31	VYDAJ	VYBER	15	25103	SLUZBY	\N	\N
1164548	3988	1998-02-28	VYDAJ	VYBER	15	30095	SLUZBY	\N	\N
1164549	3988	1998-03-31	VYDAJ	VYBER	15	30608	SLUZBY	\N	\N
1164550	3988	1998-04-30	VYDAJ	VYBER	15	31022	SLUZBY	\N	\N
1164551	3988	1998-05-31	VYDAJ	VYBER	15	43600	SLUZBY	\N	\N
1164552	3988	1998-06-30	VYDAJ	VYBER	15	22614	SLUZBY	\N	\N
1164553	3988	1998-07-31	VYDAJ	VYBER	15	28946	SLUZBY	\N	\N
1164554	3988	1998-08-31	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
1164555	3988	1998-09-30	VYDAJ	VYBER	15	36187	SLUZBY	\N	\N
1164556	3988	1998-10-31	VYDAJ	VYBER	15	43460	SLUZBY	\N	\N
1164557	3988	1998-11-30	VYDAJ	VYBER	15	39224	SLUZBY	\N	\N
1164558	3988	1997-06-03	PRIJEM	VKLAD	7200	19619	\N	\N	\N
1164559	3988	1997-07-03	PRIJEM	VKLAD	100	28052	\N	\N	\N
1164560	3988	1997-08-02	PRIJEM	VKLAD	1800	31154	\N	\N	\N
1164561	3988	1997-09-01	PRIJEM	VKLAD	4200	36668	\N	\N	\N
1164562	3988	1997-10-01	VYDAJ	VYBER	2800	35199	\N	\N	\N
1164563	3988	1997-10-31	PRIJEM	VKLAD	1300	37699	\N	\N	\N
1164564	3988	1997-11-30	VYDAJ	VYBER	1700	35229	\N	\N	\N
1164565	3988	1997-12-30	VYDAJ	VYBER	3100	30879	\N	\N	\N
1164566	3988	1998-01-29	PRIJEM	VKLAD	4500	25012	\N	\N	\N
1164567	3988	1998-02-28	PRIJEM	VKLAD	3700	30110	\N	\N	\N
1164568	3988	1998-03-30	PRIJEM	VKLAD	1600	30495	\N	\N	\N
1164569	3988	1998-04-29	VYDAJ	VYBER	900	30908	\N	\N	\N
1164570	3988	1998-05-29	VYDAJ	VYBER	14200	43468	\N	\N	\N
1164571	3988	1998-06-28	PRIJEM	VKLAD	8700	22500	\N	\N	\N
1164572	3988	1998-07-28	PRIJEM	VKLAD	6800	28864	\N	\N	\N
1164573	3988	1998-08-27	PRIJEM	VKLAD	4200	34346	\N	\N	\N
1164574	3988	1998-09-26	PRIJEM	VKLAD	1700	36057	\N	\N	\N
1164575	3988	1998-10-26	VYDAJ	VYBER	11400	43294	\N	\N	\N
1164576	3988	1998-11-25	VYDAJ	VYBER	5600	39060	\N	\N	\N
1164597	3989	1995-03-11	PRIJEM	VKLAD	900	900	\N	\N	\N
1164601	3989	1995-04-05	PRIJEM	PREVOD Z UCTU	4016	4916	DUCHOD	CD	73123591
1164602	3989	1995-05-05	PRIJEM	PREVOD Z UCTU	4016	8932	DUCHOD	CD	73123591
1164603	3989	1995-06-05	PRIJEM	PREVOD Z UCTU	4016	12948	DUCHOD	CD	73123591
1164604	3989	1995-07-05	PRIJEM	PREVOD Z UCTU	4016	16964	DUCHOD	CD	73123591
1164605	3989	1995-08-05	PRIJEM	PREVOD Z UCTU	4016	20980	DUCHOD	CD	73123591
1164606	3989	1995-09-05	PRIJEM	PREVOD Z UCTU	4016	22935	DUCHOD	CD	73123591
1164607	3989	1995-10-05	PRIJEM	PREVOD Z UCTU	4016	24924	DUCHOD	CD	73123591
1164608	3989	1995-11-05	PRIJEM	PREVOD Z UCTU	4016	26920	DUCHOD	CD	73123591
1164609	3989	1995-12-05	PRIJEM	PREVOD Z UCTU	4016	27022	DUCHOD	CD	73123591
1164610	3989	1996-01-05	PRIJEM	PREVOD Z UCTU	4016	25329	DUCHOD	CD	73123591
1164611	3989	1996-02-05	PRIJEM	PREVOD Z UCTU	4016	26277	DUCHOD	CD	73123591
1164612	3989	1996-03-05	PRIJEM	PREVOD Z UCTU	4016	28279	DUCHOD	CD	73123591
1164613	3989	1996-04-05	PRIJEM	PREVOD Z UCTU	4016	30290	DUCHOD	CD	73123591
1164614	3989	1996-05-05	PRIJEM	PREVOD Z UCTU	4016	32309	DUCHOD	CD	73123591
1164615	3989	1996-06-05	PRIJEM	PREVOD Z UCTU	4016	34336	DUCHOD	CD	73123591
1164616	3989	1996-07-05	PRIJEM	PREVOD Z UCTU	4016	24559	DUCHOD	CD	73123591
1164617	3989	1996-08-05	PRIJEM	PREVOD Z UCTU	4016	26554	DUCHOD	CD	73123591
1164618	3989	1996-09-05	PRIJEM	PREVOD Z UCTU	4016	28557	DUCHOD	CD	73123591
1164619	3989	1996-10-05	PRIJEM	PREVOD Z UCTU	4016	23602	DUCHOD	CD	73123591
1164620	3989	1996-11-05	PRIJEM	PREVOD Z UCTU	4016	25599	DUCHOD	CD	73123591
1164621	3989	1996-12-05	PRIJEM	PREVOD Z UCTU	4016	27598	DUCHOD	CD	73123591
1164622	3989	1997-01-05	PRIJEM	PREVOD Z UCTU	4016	29058	DUCHOD	CD	73123591
1164623	3989	1997-02-05	PRIJEM	PREVOD Z UCTU	4016	26210	DUCHOD	CD	73123591
1164624	3989	1997-03-05	PRIJEM	PREVOD Z UCTU	4016	28212	DUCHOD	CD	73123591
1164625	3989	1997-04-05	PRIJEM	PREVOD Z UCTU	4016	25493	DUCHOD	CD	73123591
1164626	3989	1997-05-05	PRIJEM	PREVOD Z UCTU	4016	23811	DUCHOD	CD	73123591
1164627	3989	1997-06-05	PRIJEM	PREVOD Z UCTU	4016	25809	DUCHOD	CD	73123591
1164628	3989	1997-07-05	PRIJEM	PREVOD Z UCTU	4016	20186	DUCHOD	CD	73123591
1164629	3989	1997-08-05	PRIJEM	PREVOD Z UCTU	4016	22163	DUCHOD	CD	73123591
1164630	3989	1997-09-05	PRIJEM	PREVOD Z UCTU	4016	24148	DUCHOD	CD	73123591
1164631	3989	1997-10-05	PRIJEM	PREVOD Z UCTU	4016	26140	DUCHOD	CD	73123591
1164632	3989	1997-11-05	PRIJEM	PREVOD Z UCTU	4016	28142	DUCHOD	CD	73123591
1164633	3989	1997-12-05	PRIJEM	PREVOD Z UCTU	4016	28388	DUCHOD	CD	73123591
1164634	3989	1998-01-05	PRIJEM	PREVOD Z UCTU	4016	29247	DUCHOD	CD	73123591
1164635	3989	1998-02-05	PRIJEM	PREVOD Z UCTU	4016	30560	DUCHOD	CD	73123591
1164636	3989	1998-03-05	PRIJEM	PREVOD Z UCTU	4016	32579	DUCHOD	CD	73123591
1164637	3989	1998-04-05	PRIJEM	PREVOD Z UCTU	4016	34607	DUCHOD	CD	73123591
1164638	3989	1998-05-05	PRIJEM	PREVOD Z UCTU	4016	36643	DUCHOD	CD	73123591
1164639	3989	1998-06-05	PRIJEM	PREVOD Z UCTU	4016	25088	DUCHOD	CD	73123591
1164640	3989	1998-07-05	PRIJEM	PREVOD Z UCTU	4016	23323	DUCHOD	CD	73123591
1164641	3989	1998-08-05	PRIJEM	PREVOD Z UCTU	4016	25312	DUCHOD	CD	73123591
1164642	3989	1998-09-05	PRIJEM	PREVOD Z UCTU	4016	25066	DUCHOD	CD	73123591
1164643	3989	1998-10-05	PRIJEM	PREVOD Z UCTU	4016	27062	DUCHOD	CD	73123591
1164644	3989	1998-11-05	PRIJEM	PREVOD Z UCTU	4016	29066	DUCHOD	CD	73123591
1164645	3989	1998-12-05	PRIJEM	PREVOD Z UCTU	4016	25393	DUCHOD	CD	73123591
1164653	3989	1995-08-12	VYDAJ	PREVOD NA UCET	2097	18883	SIPO	CD	242722
1164654	3989	1995-09-12	VYDAJ	PREVOD NA UCET	2097	20838	SIPO	CD	242722
1164655	3989	1995-10-12	VYDAJ	PREVOD NA UCET	2097	22827	SIPO	CD	242722
1164656	3989	1995-11-12	VYDAJ	PREVOD NA UCET	2097	22923	SIPO	CD	242722
1164657	3989	1995-12-12	VYDAJ	PREVOD NA UCET	2097	24925	SIPO	CD	242722
1164658	3989	1996-01-12	VYDAJ	PREVOD NA UCET	2097	23232	SIPO	CD	242722
1164659	3989	1996-02-12	VYDAJ	PREVOD NA UCET	2097	24180	SIPO	CD	242722
1164660	3989	1996-03-12	VYDAJ	PREVOD NA UCET	2097	26182	SIPO	CD	242722
1164661	3989	1996-04-12	VYDAJ	PREVOD NA UCET	2097	28193	SIPO	CD	242722
1164662	3989	1996-05-12	VYDAJ	PREVOD NA UCET	2097	30212	SIPO	CD	242722
1164663	3989	1996-06-12	VYDAJ	PREVOD NA UCET	2097	32239	SIPO	CD	242722
1164664	3989	1996-07-12	VYDAJ	PREVOD NA UCET	2097	22462	SIPO	CD	242722
1164665	3989	1996-08-12	VYDAJ	PREVOD NA UCET	2097	24457	SIPO	CD	242722
1164666	3989	1996-09-12	VYDAJ	PREVOD NA UCET	2097	26460	SIPO	CD	242722
1164667	3989	1996-10-12	VYDAJ	PREVOD NA UCET	2097	21505	SIPO	CD	242722
1164668	3989	1996-11-12	VYDAJ	PREVOD NA UCET	2097	23502	SIPO	CD	242722
1164669	3989	1996-12-12	VYDAJ	PREVOD NA UCET	2097	24951	SIPO	CD	242722
1164670	3989	1997-01-12	VYDAJ	PREVOD NA UCET	2097	26961	SIPO	CD	242722
1164671	3989	1997-02-12	VYDAJ	PREVOD NA UCET	2097	24113	SIPO	CD	242722
1164672	3989	1997-03-12	VYDAJ	PREVOD NA UCET	2097	23235	SIPO	CD	242722
1164673	3989	1997-04-12	VYDAJ	PREVOD NA UCET	2097	23396	SIPO	CD	242722
1164674	3989	1997-05-12	VYDAJ	PREVOD NA UCET	2097	21714	SIPO	CD	242722
1164675	3989	1997-06-12	VYDAJ	PREVOD NA UCET	2097	16112	SIPO	CD	242722
1164676	3989	1997-07-12	VYDAJ	PREVOD NA UCET	2097	18089	SIPO	CD	242722
1164677	3989	1997-08-12	VYDAJ	PREVOD NA UCET	2097	20066	SIPO	CD	242722
1164678	3989	1997-09-12	VYDAJ	PREVOD NA UCET	2097	22051	SIPO	CD	242722
1164679	3989	1997-10-12	VYDAJ	PREVOD NA UCET	2097	24043	SIPO	CD	242722
1164680	3989	1997-11-12	VYDAJ	PREVOD NA UCET	2097	26045	SIPO	CD	242722
1164681	3989	1997-12-12	VYDAJ	PREVOD NA UCET	2097	25141	SIPO	CD	242722
1164682	3989	1998-01-12	VYDAJ	PREVOD NA UCET	2097	27150	SIPO	CD	242722
1164683	3989	1998-02-12	VYDAJ	PREVOD NA UCET	2097	28463	SIPO	CD	242722
1164684	3989	1998-03-12	VYDAJ	PREVOD NA UCET	2097	30482	SIPO	CD	242722
1164685	3989	1998-04-12	VYDAJ	PREVOD NA UCET	2097	32510	SIPO	CD	242722
1164686	3989	1998-05-12	VYDAJ	PREVOD NA UCET	2097	34546	SIPO	CD	242722
1164687	3989	1998-06-12	VYDAJ	PREVOD NA UCET	2097	19231	SIPO	CD	242722
1164688	3989	1998-07-12	VYDAJ	PREVOD NA UCET	2097	21226	SIPO	CD	242722
1164689	3989	1998-08-12	VYDAJ	PREVOD NA UCET	2097	23215	SIPO	CD	242722
1164690	3989	1998-09-12	VYDAJ	PREVOD NA UCET	2097	22969	SIPO	CD	242722
1164691	3989	1998-10-12	VYDAJ	PREVOD NA UCET	2097	24965	SIPO	CD	242722
1164692	3989	1998-11-12	VYDAJ	PREVOD NA UCET	2097	24569	SIPO	CD	242722
1164693	3989	1998-12-12	VYDAJ	PREVOD NA UCET	2097	23296	SIPO	CD	242722
1164695	3989	1996-06-23	VYDAJ	VYBER	11800	20439	\N	\N	\N
1164696	3989	1997-06-07	VYDAJ	VYBER	7600	18209	\N	\N	\N
1164697	3989	1998-06-01	VYDAJ	VYBER	12000	21072	\N	\N	\N
1164699	3989	1996-01-28	VYDAJ	VYBER	1050	22182	\N	\N	\N
1164700	3989	1997-01-15	VYDAJ	VYBER	4850	22111	\N	\N	\N
1164701	3989	1998-01-16	VYDAJ	VYBER	700	26450	\N	\N	\N
1164702	3989	1995-12-12	VYDAJ	VYBER	1450	23475	\N	\N	\N
1164703	3989	1996-12-05	VYDAJ	VYBER	550	27048	\N	\N	\N
1164704	3989	1997-12-08	VYDAJ	VYBER	1150	27238	\N	\N	\N
1164705	3989	1998-12-20	VYDAJ	VYBER	700	22596	\N	\N	\N
1164709	3989	1995-12-19	VYDAJ	VYBER	2240	21235	\N	\N	\N
1164711	3989	1996-09-16	VYDAJ	VYBER	3360	23100	\N	\N	\N
1164712	3989	1996-10-02	VYDAJ	VYBER	3600	19586	\N	\N	\N
1164713	3989	1997-03-09	VYDAJ	VYBER	2880	25332	\N	\N	\N
1164714	3989	1997-05-03	VYDAJ	VYBER	3680	19795	\N	\N	\N
1164715	3989	1997-11-20	VYDAJ	VYBER	1760	24285	\N	\N	\N
1164716	3989	1997-03-24	VYDAJ	VYBER	1840	21395	\N	\N	\N
1164717	3989	1998-12-03	VYDAJ	VYBER	3280	21377	\N	\N	\N
1164718	3989	1998-06-01	VYDAJ	VYBER	1600	33072	\N	\N	\N
1164719	3989	1998-11-11	VYDAJ	VYBER	2400	26666	\N	\N	\N
1164720	3989	1998-08-19	VYDAJ	VYBER	2240	20975	\N	\N	\N
1164721	3989	1998-06-12	VYDAJ	VYBER	3760	21328	\N	\N	\N
1164730	3989	1995-08-31	VYDAJ	VYBER	15	18919	SLUZBY	\N	\N
1164731	3989	1995-09-30	VYDAJ	VYBER	15	20908	SLUZBY	\N	\N
1164732	3989	1995-10-31	VYDAJ	VYBER	15	22904	SLUZBY	\N	\N
1164733	3989	1995-11-30	VYDAJ	VYBER	15	23006	SLUZBY	\N	\N
1164734	3989	1995-12-31	VYDAJ	VYBER	15	21313	SLUZBY	\N	\N
1164735	3989	1996-01-31	VYDAJ	VYBER	15	22261	SLUZBY	\N	\N
1164736	3989	1996-02-29	VYDAJ	VYBER	15	24263	SLUZBY	\N	\N
1164737	3989	1996-03-31	VYDAJ	VYBER	15	26274	SLUZBY	\N	\N
1164738	3989	1996-04-30	VYDAJ	VYBER	15	28293	SLUZBY	\N	\N
1164739	3989	1996-05-31	VYDAJ	VYBER	15	30320	SLUZBY	\N	\N
1164740	3989	1996-06-30	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
1164741	3989	1996-07-31	VYDAJ	VYBER	15	22538	SLUZBY	\N	\N
1164742	3989	1996-08-31	VYDAJ	VYBER	15	24541	SLUZBY	\N	\N
1164743	3989	1996-09-30	VYDAJ	VYBER	15	23186	SLUZBY	\N	\N
1164744	3989	1996-10-31	VYDAJ	VYBER	15	21583	SLUZBY	\N	\N
1164745	3989	1996-11-30	VYDAJ	VYBER	15	23582	SLUZBY	\N	\N
1164746	3989	1996-12-31	VYDAJ	VYBER	15	25042	SLUZBY	\N	\N
1164747	3989	1997-01-31	VYDAJ	VYBER	15	22194	SLUZBY	\N	\N
1164748	3989	1997-02-28	VYDAJ	VYBER	15	24196	SLUZBY	\N	\N
1164749	3989	1997-03-31	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
1164750	3989	1997-04-30	VYDAJ	VYBER	15	23475	SLUZBY	\N	\N
1164751	3989	1997-05-31	VYDAJ	VYBER	15	21793	SLUZBY	\N	\N
1164752	3989	1997-06-30	VYDAJ	VYBER	15	16170	SLUZBY	\N	\N
1164753	3989	1997-07-31	VYDAJ	VYBER	15	18147	SLUZBY	\N	\N
1164754	3989	1997-08-31	VYDAJ	VYBER	15	20132	SLUZBY	\N	\N
1164755	3989	1997-09-30	VYDAJ	VYBER	15	22124	SLUZBY	\N	\N
1164756	3989	1997-10-31	VYDAJ	VYBER	15	24126	SLUZBY	\N	\N
1164757	3989	1997-11-30	VYDAJ	VYBER	15	24372	SLUZBY	\N	\N
1164758	3989	1997-12-31	VYDAJ	VYBER	15	25231	SLUZBY	\N	\N
1164759	3989	1998-01-31	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
1164760	3989	1998-02-28	VYDAJ	VYBER	15	28563	SLUZBY	\N	\N
1164761	3989	1998-03-31	VYDAJ	VYBER	15	30591	SLUZBY	\N	\N
1164762	3989	1998-04-30	VYDAJ	VYBER	15	32627	SLUZBY	\N	\N
1164763	3989	1998-05-31	VYDAJ	VYBER	15	34672	SLUZBY	\N	\N
1164764	3989	1998-06-30	VYDAJ	VYBER	15	19307	SLUZBY	\N	\N
1164765	3989	1998-07-31	VYDAJ	VYBER	15	21296	SLUZBY	\N	\N
1164766	3989	1998-08-31	VYDAJ	VYBER	15	21050	SLUZBY	\N	\N
1164767	3989	1998-09-30	VYDAJ	VYBER	15	23046	SLUZBY	\N	\N
1164768	3989	1998-10-31	VYDAJ	VYBER	15	25050	SLUZBY	\N	\N
1164769	3989	1998-11-30	VYDAJ	VYBER	15	24657	SLUZBY	\N	\N
1164770	3989	1995-11-06	VYDAJ	VYBER	1900	25020	\N	\N	\N
1164812	3990	1997-02-04	PRIJEM	VKLAD	300	300	\N	\N	\N
1164813	3990	1997-04-26	PRIJEM	VKLAD	41712	107101	\N	\N	\N
1164814	3990	1997-02-08	PRIJEM	VKLAD	36246	36546	\N	\N	\N
1164815	3990	1997-03-12	PRIJEM	VKLAD	35839	128488	\N	\N	\N
1164816	3990	1997-06-19	PRIJEM	VKLAD	43785	70530	\N	\N	\N
1164817	3990	1997-09-06	PRIJEM	VKLAD	17318	47520	\N	\N	\N
1164818	3990	1997-03-10	PRIJEM	VKLAD	44727	102954	\N	\N	\N
1164819	3990	1997-02-15	PRIJEM	VKLAD	49456	125881	\N	\N	\N
1164820	3990	1997-06-25	PRIJEM	VKLAD	6949	77479	\N	\N	\N
1164821	3990	1997-06-26	PRIJEM	VKLAD	6286	83765	\N	\N	\N
1164822	3990	1997-02-11	PRIJEM	VKLAD	39879	76425	\N	\N	\N
1164823	3990	1997-10-15	PRIJEM	VKLAD	45773	64077	\N	\N	\N
1164824	3990	1997-06-28	PRIJEM	VKLAD	18319	102084	\N	\N	\N
1164825	3990	1997-11-05	PRIJEM	VKLAD	14264	39991	\N	\N	\N
1164826	3990	1997-12-28	PRIJEM	VKLAD	27526	82023	\N	\N	\N
1164827	3990	1997-03-11	PRIJEM	VKLAD	32195	135149	\N	\N	\N
1164828	3990	1997-07-18	PRIJEM	VKLAD	9538	64996	\N	\N	\N
1164829	3990	1997-04-15	PRIJEM	VKLAD	11039	65389	\N	\N	\N
1164830	3990	1997-06-14	PRIJEM	VKLAD	5755	26745	\N	\N	\N
1164831	3990	1997-12-23	PRIJEM	VKLAD	36516	54497	\N	\N	\N
1164835	3990	1997-04-08	VYDAJ	PREVOD NA UCET	10312	54350	SIPO	YZ	18163431
1164836	3990	1997-05-08	VYDAJ	PREVOD NA UCET	10312	29476	SIPO	YZ	18163431
1164837	3990	1997-06-08	VYDAJ	PREVOD NA UCET	10312	20990	SIPO	YZ	18163431
1164838	3990	1997-07-08	VYDAJ	PREVOD NA UCET	10312	55458	SIPO	YZ	18163431
1164839	3990	1997-08-08	VYDAJ	PREVOD NA UCET	10312	35050	SIPO	YZ	18163431
1164840	3990	1997-09-08	VYDAJ	PREVOD NA UCET	10312	37208	SIPO	YZ	18163431
1164841	3990	1997-10-08	VYDAJ	PREVOD NA UCET	10312	18304	SIPO	YZ	18163431
1164842	3990	1997-11-08	VYDAJ	PREVOD NA UCET	10312	29679	SIPO	YZ	18163431
1164843	3990	1997-12-08	VYDAJ	PREVOD NA UCET	10312	17981	SIPO	YZ	18163431
1164844	3990	1998-01-08	VYDAJ	PREVOD NA UCET	10312	35236	SIPO	YZ	18163431
1164845	3990	1998-02-08	VYDAJ	PREVOD NA UCET	10312	21590	SIPO	YZ	18163431
1164846	3990	1998-03-08	VYDAJ	PREVOD NA UCET	10312	12495	SIPO	YZ	18163431
1164847	3990	1998-04-08	VYDAJ	PREVOD NA UCET	10312	6730	SIPO	YZ	18163431
1164848	3990	1998-05-08	VYDAJ	PREVOD NA UCET	10312	6674	SIPO	YZ	18163431
1164849	3990	1998-06-08	VYDAJ	PREVOD NA UCET	10312	11419	SIPO	YZ	18163431
1164850	3990	1998-07-08	VYDAJ	PREVOD NA UCET	10312	15684	SIPO	YZ	18163431
1164851	3990	1998-08-08	VYDAJ	PREVOD NA UCET	10312	19766	SIPO	YZ	18163431
1164852	3990	1998-09-08	VYDAJ	PREVOD NA UCET	10312	23767	SIPO	YZ	18163431
1164853	3990	1998-10-08	VYDAJ	PREVOD NA UCET	10312	11877	SIPO	YZ	18163431
1164854	3990	1998-11-08	VYDAJ	PREVOD NA UCET	10312	21749	SIPO	YZ	18163431
1164855	3990	1998-12-08	VYDAJ	PREVOD NA UCET	10312	17556	SIPO	YZ	18163431
1164857	3990	1997-10-27	VYBER	VYBER	6663	29297	\N	\N	\N
1164858	3990	1997-10-22	VYBER	VYBER	13435	35960	\N	\N	\N
1164859	3990	1997-04-05	VYBER	VYBER	3027	95862	\N	\N	\N
1164860	3990	1997-10-21	VYBER	VYBER	14682	49395	\N	\N	\N
1164875	3990	1997-12-28	VYDAJ	VYBER	2100	79923	\N	\N	\N
1164876	3990	1998-12-05	VYDAJ	VYBER	5400	27868	\N	\N	\N
1164879	3990	1997-07-21	VYDAJ	VYBER	8700	56296	\N	\N	\N
1164880	3990	1997-12-29	VYDAJ	VYBER	10200	69723	\N	\N	\N
1164881	3990	1997-09-09	VYDAJ	VYBER	11100	26108	\N	\N	\N
1164882	3990	1997-03-15	VYDAJ	VYBER	4800	98488	\N	\N	\N
1164885	3990	1998-09-28	VYDAJ	VYBER	14100	22067	\N	\N	\N
1164891	3990	1997-03-31	VYDAJ	VYBER	15	98889	SLUZBY	\N	\N
1164892	3990	1997-04-30	VYDAJ	VYBER	15	107388	SLUZBY	\N	\N
1164893	3990	1997-05-31	VYDAJ	VYBER	15	29602	SLUZBY	\N	\N
1164894	3990	1997-06-30	VYDAJ	VYBER	15	102270	SLUZBY	\N	\N
1164895	3990	1997-07-31	VYDAJ	VYBER	15	56562	SLUZBY	\N	\N
1164896	3990	1997-08-31	VYDAJ	VYBER	15	35202	SLUZBY	\N	\N
1164897	3990	1997-09-30	VYDAJ	VYBER	15	26216	SLUZBY	\N	\N
1164898	3990	1997-10-31	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
1164899	3990	1997-11-30	VYDAJ	VYBER	15	29793	SLUZBY	\N	\N
1164900	3990	1997-12-31	VYDAJ	VYBER	15	69848	SLUZBY	\N	\N
1164901	3990	1998-01-31	VYDAJ	VYBER	15	31902	SLUZBY	\N	\N
1164902	3990	1998-02-28	VYDAJ	VYBER	15	21707	SLUZBY	\N	\N
1164903	3990	1998-03-31	VYDAJ	VYBER	15	17042	SLUZBY	\N	\N
1164904	3990	1998-04-30	VYDAJ	VYBER	15	16986	SLUZBY	\N	\N
1164905	3990	1998-05-31	VYDAJ	VYBER	15	21731	SLUZBY	\N	\N
1164906	3990	1998-06-30	VYDAJ	VYBER	15	25996	SLUZBY	\N	\N
1164907	3990	1998-07-31	VYDAJ	VYBER	15	30078	SLUZBY	\N	\N
1164908	3990	1998-08-31	VYDAJ	VYBER	15	34079	SLUZBY	\N	\N
1164909	3990	1998-09-30	VYDAJ	VYBER	15	22189	SLUZBY	\N	\N
1164910	3990	1998-10-31	VYDAJ	VYBER	15	32061	SLUZBY	\N	\N
1164911	3990	1998-11-30	VYDAJ	VYBER	15	33268	SLUZBY	\N	\N
1164912	3990	1997-02-15	VYDAJ	VYBER	37600	88281	\N	\N	\N
1164913	3990	1997-03-06	VYDAJ	VYBER	30300	58227	\N	\N	\N
1164914	3990	1997-03-11	VYDAJ	VYBER	42500	92649	\N	\N	\N
1164915	3990	1997-03-12	VYDAJ	VYBER	25200	103288	\N	\N	\N
1164916	3990	1997-04-05	VYDAJ	VYBER	31200	64662	\N	\N	\N
1164917	3990	1997-04-30	VYDAJ	VYBER	59700	47688	\N	\N	\N
1164918	3990	1997-05-05	VYDAJ	VYBER	7900	39788	\N	\N	\N
1164919	3990	1997-06-04	PRIJEM	VKLAD	1700	31302	\N	\N	\N
1164920	3990	1997-07-04	VYDAJ	VYBER	36500	65770	\N	\N	\N
1164921	3990	1997-08-03	VYDAJ	VYBER	11200	45362	\N	\N	\N
1164922	3990	1997-09-02	VYDAJ	VYBER	5000	30202	\N	\N	\N
1164923	3990	1997-10-02	PRIJEM	VKLAD	2400	28616	\N	\N	\N
1164924	3990	1997-11-01	VYDAJ	VYBER	3700	25727	\N	\N	\N
1164925	3990	1997-12-01	VYDAJ	VYBER	1500	28293	\N	\N	\N
1164926	3990	1997-12-31	VYDAJ	VYBER	24300	45548	\N	\N	\N
1164927	3990	1998-01-30	VYDAJ	VYBER	3600	31636	\N	\N	\N
1164928	3990	1998-03-01	PRIJEM	VKLAD	1100	22807	\N	\N	\N
1164929	3990	1998-03-31	PRIJEM	VKLAD	4500	17056	\N	\N	\N
1164930	3990	1998-04-30	PRIJEM	VKLAD	10200	17000	\N	\N	\N
1164931	3990	1998-05-30	PRIJEM	VKLAD	15000	21674	\N	\N	\N
1164932	3990	1998-06-29	PRIJEM	VKLAD	14500	25919	\N	\N	\N
1164933	3990	1998-07-29	PRIJEM	VKLAD	14300	29984	\N	\N	\N
1164934	3990	1998-08-28	PRIJEM	VKLAD	14200	33966	\N	\N	\N
1164935	3990	1998-09-27	PRIJEM	VKLAD	12400	36167	\N	\N	\N
1164936	3990	1998-10-27	PRIJEM	VKLAD	20100	31977	\N	\N	\N
1164937	3990	1998-11-26	PRIJEM	VKLAD	11400	33149	\N	\N	\N
1164961	3991	1996-12-28	PRIJEM	VKLAD	300	300	\N	\N	\N
1164974	3991	1997-01-12	PRIJEM	PREVOD Z UCTU	6943	7243	DUCHOD	AB	86791544
1164975	3991	1997-02-12	PRIJEM	PREVOD Z UCTU	6943	14186	DUCHOD	AB	86791544
1164976	3991	1997-03-12	PRIJEM	PREVOD Z UCTU	6943	21129	DUCHOD	AB	86791544
1164977	3991	1997-04-12	PRIJEM	PREVOD Z UCTU	6943	28072	DUCHOD	AB	86791544
1164978	3991	1997-05-12	PRIJEM	PREVOD Z UCTU	6943	31529	DUCHOD	AB	86791544
1164979	3991	1997-06-12	PRIJEM	PREVOD Z UCTU	6943	33025	DUCHOD	AB	86791544
1164980	3991	1997-07-12	PRIJEM	PREVOD Z UCTU	6943	23117	DUCHOD	AB	86791544
1164981	3991	1997-08-12	PRIJEM	PREVOD Z UCTU	6943	21791	DUCHOD	AB	86791544
1164982	3991	1997-09-12	PRIJEM	PREVOD Z UCTU	6943	25765	DUCHOD	AB	86791544
1164983	3991	1997-10-12	PRIJEM	PREVOD Z UCTU	6943	25651	DUCHOD	AB	86791544
1164984	3991	1997-11-12	PRIJEM	PREVOD Z UCTU	6943	25036	DUCHOD	AB	86791544
1164985	3991	1997-12-12	PRIJEM	PREVOD Z UCTU	6943	24518	DUCHOD	AB	86791544
1164986	3991	1998-01-12	PRIJEM	PREVOD Z UCTU	6943	25521	DUCHOD	AB	86791544
1164987	3991	1998-02-12	PRIJEM	PREVOD Z UCTU	6943	17506	DUCHOD	AB	86791544
1164988	3991	1998-03-12	PRIJEM	PREVOD Z UCTU	6943	22562	DUCHOD	AB	86791544
1164989	3991	1998-04-12	PRIJEM	PREVOD Z UCTU	6943	24595	DUCHOD	AB	86791544
1165168	3992	1998-04-05	PRIJEM	VKLAD	19829	51999	\N	\N	\N
1164990	3991	1998-05-12	PRIJEM	PREVOD Z UCTU	6943	29681	DUCHOD	AB	86791544
1164991	3991	1998-06-12	PRIJEM	PREVOD Z UCTU	6943	21131	DUCHOD	AB	86791544
1164992	3991	1998-07-12	PRIJEM	PREVOD Z UCTU	6943	26211	DUCHOD	AB	86791544
1164993	3991	1998-08-12	PRIJEM	PREVOD Z UCTU	6943	31304	DUCHOD	AB	86791544
1164994	3991	1998-09-12	PRIJEM	PREVOD Z UCTU	6943	33595	DUCHOD	AB	86791544
1164995	3991	1998-10-12	PRIJEM	PREVOD Z UCTU	6943	34111	DUCHOD	AB	86791544
1164996	3991	1998-11-12	PRIJEM	PREVOD Z UCTU	6943	34328	DUCHOD	AB	86791544
1164997	3991	1998-12-12	PRIJEM	PREVOD Z UCTU	6943	35528	DUCHOD	AB	86791544
1165015	3991	1997-06-09	VYDAJ	PREVOD NA UCET	1937	26082	SIPO	IJ	95958947
1165016	3991	1997-07-09	VYDAJ	PREVOD NA UCET	1937	16174	SIPO	IJ	95958947
1165017	3991	1997-08-09	VYDAJ	PREVOD NA UCET	1937	14848	SIPO	IJ	95958947
1165018	3991	1997-09-09	VYDAJ	PREVOD NA UCET	1937	18822	SIPO	IJ	95958947
1165019	3991	1997-10-09	VYDAJ	PREVOD NA UCET	1937	18708	SIPO	IJ	95958947
1165020	3991	1997-11-09	VYDAJ	PREVOD NA UCET	1937	18093	SIPO	IJ	95958947
1165021	3991	1997-12-09	VYDAJ	PREVOD NA UCET	1937	17575	SIPO	IJ	95958947
1165022	3991	1998-01-09	VYDAJ	PREVOD NA UCET	1937	18578	SIPO	IJ	95958947
1165023	3991	1998-02-09	VYDAJ	PREVOD NA UCET	1937	10563	SIPO	IJ	95958947
1165024	3991	1998-03-09	VYDAJ	PREVOD NA UCET	1937	15619	SIPO	IJ	95958947
1165025	3991	1998-04-09	VYDAJ	PREVOD NA UCET	1937	17652	SIPO	IJ	95958947
1165026	3991	1998-05-09	VYDAJ	PREVOD NA UCET	1937	22738	SIPO	IJ	95958947
1165027	3991	1998-06-09	VYDAJ	PREVOD NA UCET	1937	14188	SIPO	IJ	95958947
1165028	3991	1998-07-09	VYDAJ	PREVOD NA UCET	1937	19268	SIPO	IJ	95958947
1165029	3991	1998-08-09	VYDAJ	PREVOD NA UCET	1937	24361	SIPO	IJ	95958947
1165030	3991	1998-09-09	VYDAJ	PREVOD NA UCET	1937	26652	SIPO	IJ	95958947
1165031	3991	1998-10-09	VYDAJ	PREVOD NA UCET	1937	27168	SIPO	IJ	95958947
1165032	3991	1998-11-09	VYDAJ	PREVOD NA UCET	1937	27385	SIPO	IJ	95958947
1165033	3991	1998-12-09	VYDAJ	PREVOD NA UCET	1937	28585	SIPO	IJ	95958947
1165035	3991	1997-06-26	VYDAJ	VYBER	10500	21525	\N	\N	\N
1165036	3991	1998-06-08	VYDAJ	VYBER	8250	16125	\N	\N	\N
1165039	3991	1998-01-18	VYDAJ	VYBER	3800	16921	\N	\N	\N
1165041	3991	1997-12-26	VYDAJ	VYBER	300	22118	\N	\N	\N
1165042	3991	1998-12-24	VYDAJ	VYBER	900	31908	\N	\N	\N
1165056	3991	1998-01-12	VYDAJ	VYBER	1360	24161	\N	\N	\N
1165057	3991	1998-01-13	VYDAJ	VYBER	1760	22401	\N	\N	\N
1165058	3991	1998-01-15	VYDAJ	VYBER	560	21841	\N	\N	\N
1165059	3991	1998-01-23	VYDAJ	VYBER	400	12441	\N	\N	\N
1165060	3991	1998-01-19	VYDAJ	VYBER	1280	15641	\N	\N	\N
1165068	3991	1997-07-29	VYDAJ	VYBER	3200	16717	\N	\N	\N
1165069	3991	1997-06-28	VYDAJ	VYBER	3520	18005	\N	\N	\N
1165070	3991	1997-12-30	VYDAJ	VYBER	1680	20438	\N	\N	\N
1165071	3991	1997-07-22	VYDAJ	VYBER	3200	19917	\N	\N	\N
1165073	3991	1998-03-18	VYDAJ	VYBER	640	21922	\N	\N	\N
1165074	3991	1998-12-22	VYDAJ	VYBER	1120	32808	\N	\N	\N
1165075	3991	1998-01-16	VYDAJ	VYBER	1120	20721	\N	\N	\N
1165076	3991	1998-12-25	VYDAJ	VYBER	2000	29908	\N	\N	\N
1165077	3991	1998-11-12	VYDAJ	VYBER	3120	31208	\N	\N	\N
1165078	3991	1998-03-21	VYDAJ	VYBER	2400	19522	\N	\N	\N
1165079	3991	1998-08-26	VYDAJ	VYBER	1120	28484	\N	\N	\N
1165097	3991	1997-05-31	VYDAJ	VYBER	15	28019	SLUZBY	\N	\N
1165098	3991	1997-06-30	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
1165099	3991	1997-07-31	VYDAJ	VYBER	15	16785	SLUZBY	\N	\N
1165100	3991	1997-08-31	VYDAJ	VYBER	15	20759	SLUZBY	\N	\N
1165101	3991	1997-09-30	VYDAJ	VYBER	15	20645	SLUZBY	\N	\N
1165102	3991	1997-10-31	VYDAJ	VYBER	15	20030	SLUZBY	\N	\N
1165103	3991	1997-11-30	VYDAJ	VYBER	15	19512	SLUZBY	\N	\N
1165104	3991	1997-12-31	VYDAJ	VYBER	15	20515	SLUZBY	\N	\N
1165105	3991	1998-01-31	VYDAJ	VYBER	15	12500	SLUZBY	\N	\N
1165106	3991	1998-02-28	VYDAJ	VYBER	15	17556	SLUZBY	\N	\N
1165107	3991	1998-03-31	VYDAJ	VYBER	15	19589	SLUZBY	\N	\N
1165108	3991	1998-04-30	VYDAJ	VYBER	15	24675	SLUZBY	\N	\N
1165109	3991	1998-05-31	VYDAJ	VYBER	15	24375	SLUZBY	\N	\N
1165110	3991	1998-06-30	VYDAJ	VYBER	15	21205	SLUZBY	\N	\N
1165111	3991	1998-07-31	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
1165112	3991	1998-08-31	VYDAJ	VYBER	15	28589	SLUZBY	\N	\N
1165113	3991	1998-09-30	VYDAJ	VYBER	15	29105	SLUZBY	\N	\N
1165114	3991	1998-10-31	VYDAJ	VYBER	15	29322	SLUZBY	\N	\N
1165115	3991	1998-11-30	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
1165116	3991	1997-04-27	VYDAJ	VYBER	3500	24572	\N	\N	\N
1165117	3991	1997-05-27	VYDAJ	VYBER	3600	27929	\N	\N	\N
1165118	3991	1997-06-26	VYDAJ	VYBER	1000	32025	\N	\N	\N
1165119	3991	1997-08-25	VYDAJ	VYBER	1100	20691	\N	\N	\N
1165120	3991	1997-09-24	VYDAJ	VYBER	5200	20565	\N	\N	\N
1165121	3991	1997-10-24	VYDAJ	VYBER	5700	19951	\N	\N	\N
1165122	3991	1997-11-23	VYDAJ	VYBER	5600	19436	\N	\N	\N
1165123	3991	1997-12-23	VYDAJ	VYBER	2100	22418	\N	\N	\N
1165124	3991	1998-01-22	VYDAJ	VYBER	2800	12841	\N	\N	\N
1165125	3991	1998-05-22	VYDAJ	VYBER	5400	24281	\N	\N	\N
1165126	3991	1998-08-20	VYDAJ	VYBER	1700	29604	\N	\N	\N
1165127	3991	1998-09-19	VYDAJ	VYBER	4600	28995	\N	\N	\N
1165128	3991	1998-10-19	VYDAJ	VYBER	4900	29211	\N	\N	\N
1165129	3991	1998-11-18	VYDAJ	VYBER	800	30408	\N	\N	\N
1165130	3991	1998-12-18	VYDAJ	VYBER	1600	33928	\N	\N	\N
1165152	3992	1997-12-16	PRIJEM	VKLAD	200	200	\N	\N	\N
1165165	3992	1998-01-05	PRIJEM	VKLAD	19829	20029	\N	\N	\N
1165166	3992	1998-02-05	PRIJEM	VKLAD	19829	41708	\N	\N	\N
1165167	3992	1998-03-05	PRIJEM	VKLAD	19829	48643	\N	\N	\N
1165169	3992	1998-05-05	PRIJEM	VKLAD	19829	53665	\N	\N	\N
1165170	3992	1998-06-05	PRIJEM	VKLAD	29744	59095	\N	\N	\N
1165171	3992	1998-07-05	PRIJEM	VKLAD	19829	51712	\N	\N	\N
1165172	3992	1998-08-05	PRIJEM	VKLAD	19829	44791	\N	\N	\N
1165173	3992	1998-09-05	PRIJEM	VKLAD	19829	47082	\N	\N	\N
1165174	3992	1998-10-05	PRIJEM	VKLAD	19829	43165	\N	\N	\N
1165175	3992	1998-11-05	PRIJEM	VKLAD	19829	37268	\N	\N	\N
1165176	3992	1998-12-05	PRIJEM	VKLAD	29744	45428	\N	\N	\N
1165193	3992	1998-05-10	VYDAJ	PREVOD NA UCET	6738	46927	SIPO	ST	15884882
1165194	3992	1998-06-10	VYDAJ	PREVOD NA UCET	6738	52357	SIPO	ST	15884882
1165195	3992	1998-07-10	VYDAJ	PREVOD NA UCET	6738	44974	SIPO	ST	15884882
1165196	3992	1998-08-10	VYDAJ	PREVOD NA UCET	6738	38053	SIPO	ST	15884882
1165197	3992	1998-09-10	VYDAJ	PREVOD NA UCET	6738	40344	SIPO	ST	15884882
1165198	3992	1998-10-10	VYDAJ	PREVOD NA UCET	6738	36427	SIPO	ST	15884882
1165199	3992	1998-11-10	VYDAJ	PREVOD NA UCET	6738	30530	SIPO	ST	15884882
1165200	3992	1998-12-10	VYDAJ	PREVOD NA UCET	6738	38690	SIPO	ST	15884882
1165221	3992	1998-07-13	VYDAJ	VYBER	4920	40054	\N	\N	\N
1165222	3992	1998-10-21	VYDAJ	VYBER	1560	17367	\N	\N	\N
1165240	3992	1998-05-31	VYDAJ	VYBER	15	29352	SLUZBY	\N	\N
1165241	3992	1998-06-30	VYDAJ	VYBER	15	31883	SLUZBY	\N	\N
1165242	3992	1998-07-31	VYDAJ	VYBER	15	24962	SLUZBY	\N	\N
1165243	3992	1998-08-31	VYDAJ	VYBER	15	27253	SLUZBY	\N	\N
1165244	3992	1998-09-30	VYDAJ	VYBER	15	23336	SLUZBY	\N	\N
1165245	3992	1998-10-31	VYDAJ	VYBER	15	17439	SLUZBY	\N	\N
1165246	3992	1998-11-30	VYDAJ	VYBER	15	15685	SLUZBY	\N	\N
1165247	3992	1998-01-15	PRIJEM	VKLAD	1800	21829	\N	\N	\N
1165248	3992	1998-02-14	VYDAJ	VYBER	13000	28708	\N	\N	\N
1165249	3992	1998-03-16	VYDAJ	VYBER	16600	32043	\N	\N	\N
1165250	3992	1998-04-15	VYDAJ	VYBER	18300	33699	\N	\N	\N
1165251	3992	1998-05-15	VYDAJ	VYBER	17700	29227	\N	\N	\N
1165252	3992	1998-06-14	VYDAJ	VYBER	20600	31757	\N	\N	\N
1165253	3992	1998-07-14	VYDAJ	VYBER	15200	24854	\N	\N	\N
1165254	3992	1998-08-13	VYDAJ	VYBER	10900	27153	\N	\N	\N
1165255	3992	1998-09-12	VYDAJ	VYBER	17100	23244	\N	\N	\N
1165256	3992	1998-10-12	VYDAJ	VYBER	17500	18927	\N	\N	\N
1165257	3992	1998-11-11	VYDAJ	VYBER	14900	15630	\N	\N	\N
1165270	3993	1996-01-24	PRIJEM	VKLAD	400	400	\N	\N	\N
1165272	3993	1996-02-14	PRIJEM	VKLAD	20015	20415	\N	\N	\N
1165273	3993	1996-03-14	PRIJEM	VKLAD	20015	42152	\N	\N	\N
1165274	3993	1996-04-14	PRIJEM	VKLAD	20015	50068	\N	\N	\N
1165275	3993	1996-05-14	PRIJEM	VKLAD	20015	52410	\N	\N	\N
1165276	3993	1996-06-14	PRIJEM	VKLAD	30022	69075	\N	\N	\N
1165277	3993	1996-07-14	PRIJEM	VKLAD	20015	63151	\N	\N	\N
1165278	3993	1996-08-14	PRIJEM	VKLAD	20015	59474	\N	\N	\N
1165279	3993	1996-09-14	PRIJEM	VKLAD	20015	59544	\N	\N	\N
1165280	3993	1996-10-14	PRIJEM	VKLAD	20015	59109	\N	\N	\N
1165281	3993	1996-11-14	PRIJEM	VKLAD	20015	60474	\N	\N	\N
1165282	3993	1996-12-14	PRIJEM	VKLAD	30022	70342	\N	\N	\N
1165283	3993	1997-01-14	PRIJEM	VKLAD	20015	59977	\N	\N	\N
1165284	3993	1997-02-14	PRIJEM	VKLAD	20015	57259	\N	\N	\N
1165285	3993	1997-03-14	PRIJEM	VKLAD	20015	60813	\N	\N	\N
1165286	3993	1997-04-14	PRIJEM	VKLAD	20015	57420	\N	\N	\N
1165287	3993	1997-05-14	PRIJEM	VKLAD	20015	58667	\N	\N	\N
1165288	3993	1997-06-14	PRIJEM	VKLAD	30022	74841	\N	\N	\N
1165289	3993	1997-07-14	PRIJEM	VKLAD	20015	71033	\N	\N	\N
1165290	3993	1997-08-14	PRIJEM	VKLAD	20015	73840	\N	\N	\N
1165291	3993	1997-09-14	PRIJEM	VKLAD	20015	73072	\N	\N	\N
1165292	3993	1997-10-14	PRIJEM	VKLAD	20015	74783	\N	\N	\N
1165293	3993	1997-11-14	PRIJEM	VKLAD	20015	79909	\N	\N	\N
1165294	3993	1997-12-14	PRIJEM	VKLAD	30022	91753	\N	\N	\N
1165295	3993	1998-01-14	PRIJEM	VKLAD	20015	79586	\N	\N	\N
1165296	3993	1998-02-14	PRIJEM	VKLAD	20015	80003	\N	\N	\N
1165297	3993	1998-03-14	PRIJEM	VKLAD	20015	87051	\N	\N	\N
1165298	3993	1998-04-14	PRIJEM	VKLAD	20015	81470	\N	\N	\N
1165299	3993	1998-05-14	PRIJEM	VKLAD	20015	84840	\N	\N	\N
1165300	3993	1998-06-14	PRIJEM	VKLAD	30022	96144	\N	\N	\N
1165301	3993	1998-07-14	PRIJEM	VKLAD	20015	87893	\N	\N	\N
1165302	3993	1998-08-14	PRIJEM	VKLAD	20015	84263	\N	\N	\N
1165303	3993	1998-09-14	PRIJEM	VKLAD	20015	84481	\N	\N	\N
1165304	3993	1998-10-14	PRIJEM	VKLAD	20015	86784	\N	\N	\N
1165305	3993	1998-11-14	PRIJEM	VKLAD	20015	86293	\N	\N	\N
1165306	3993	1998-12-14	PRIJEM	VKLAD	30022	89432	\N	\N	\N
1165312	3993	1996-06-14	VYDAJ	PREVOD NA UCET	7616	61459	SIPO	ST	54010170
1165313	3993	1996-07-14	VYDAJ	PREVOD NA UCET	7616	55535	SIPO	ST	54010170
1165314	3993	1996-08-14	VYDAJ	PREVOD NA UCET	7616	51858	SIPO	ST	54010170
1165315	3993	1996-09-14	VYDAJ	PREVOD NA UCET	7616	51928	SIPO	ST	54010170
1165316	3993	1996-10-14	VYDAJ	PREVOD NA UCET	7616	51493	SIPO	ST	54010170
1165317	3993	1996-11-14	VYDAJ	PREVOD NA UCET	7616	52858	SIPO	ST	54010170
1165318	3993	1996-12-14	VYDAJ	PREVOD NA UCET	7616	62726	SIPO	ST	54010170
1165319	3993	1997-01-14	VYDAJ	PREVOD NA UCET	7616	51641	SIPO	ST	54010170
1165320	3993	1997-02-14	VYDAJ	PREVOD NA UCET	7616	49643	SIPO	ST	54010170
1165321	3993	1997-03-14	VYDAJ	PREVOD NA UCET	7616	53197	SIPO	ST	54010170
1165322	3993	1997-04-14	VYDAJ	PREVOD NA UCET	7616	49804	SIPO	ST	54010170
1165323	3993	1997-05-14	VYDAJ	PREVOD NA UCET	7616	51051	SIPO	ST	54010170
1165324	3993	1997-06-14	VYDAJ	PREVOD NA UCET	7616	67225	SIPO	ST	54010170
1165325	3993	1997-07-14	VYDAJ	PREVOD NA UCET	7616	63417	SIPO	ST	54010170
1165326	3993	1997-08-14	VYDAJ	PREVOD NA UCET	7616	66224	SIPO	ST	54010170
1165327	3993	1997-09-14	VYDAJ	PREVOD NA UCET	7616	65456	SIPO	ST	54010170
1165328	3993	1997-10-14	VYDAJ	PREVOD NA UCET	7616	67167	SIPO	ST	54010170
1165329	3993	1997-11-14	VYDAJ	PREVOD NA UCET	7616	61493	SIPO	ST	54010170
1165330	3993	1997-12-14	VYDAJ	PREVOD NA UCET	7616	84137	SIPO	ST	54010170
1165331	3993	1998-01-14	VYDAJ	PREVOD NA UCET	7616	71970	SIPO	ST	54010170
1165332	3993	1998-02-14	VYDAJ	PREVOD NA UCET	7616	72387	SIPO	ST	54010170
1165333	3993	1998-03-14	VYDAJ	PREVOD NA UCET	7616	65835	SIPO	ST	54010170
1165334	3993	1998-04-14	VYDAJ	PREVOD NA UCET	7616	73854	SIPO	ST	54010170
1165335	3993	1998-05-14	VYDAJ	PREVOD NA UCET	7616	77224	SIPO	ST	54010170
1165336	3993	1998-06-14	VYDAJ	PREVOD NA UCET	7616	88528	SIPO	ST	54010170
1165337	3993	1998-07-14	VYDAJ	PREVOD NA UCET	7616	80277	SIPO	ST	54010170
1165338	3993	1998-08-14	VYDAJ	PREVOD NA UCET	7616	76647	SIPO	ST	54010170
1165339	3993	1998-09-14	VYDAJ	PREVOD NA UCET	7616	76865	SIPO	ST	54010170
1165340	3993	1998-10-14	VYDAJ	PREVOD NA UCET	7616	79168	SIPO	ST	54010170
1165341	3993	1998-11-14	VYDAJ	PREVOD NA UCET	7616	78677	SIPO	ST	54010170
1165342	3993	1998-12-14	VYDAJ	PREVOD NA UCET	7616	81816	SIPO	ST	54010170
1165343	3993	1996-12-15	VYDAJ	VYBER	4480	58246	\N	\N	\N
1165344	3993	1997-12-16	VYDAJ	VYBER	3360	66477	\N	\N	\N
1165345	3993	1998-12-01	VYDAJ	VYBER	4480	74510	\N	\N	\N
1165352	3993	1997-01-20	VYDAJ	VYBER	2400	37921	\N	\N	\N
1165353	3993	1997-01-22	VYDAJ	VYBER	840	37081	\N	\N	\N
1165354	3993	1997-01-16	VYDAJ	VYBER	720	50921	\N	\N	\N
1165355	3993	1997-01-14	VYDAJ	VYBER	720	59257	\N	\N	\N
1165356	3993	1997-01-10	VYDAJ	VYBER	1080	39962	\N	\N	\N
1165357	3993	1997-01-09	VYDAJ	VYBER	1800	41042	\N	\N	\N
1165358	3993	1998-01-22	VYDAJ	VYBER	840	65730	\N	\N	\N
1165359	3993	1998-01-11	VYDAJ	VYBER	600	63131	\N	\N	\N
1165360	3993	1998-01-14	VYDAJ	VYBER	2280	69690	\N	\N	\N
1165361	3993	1998-01-13	VYDAJ	VYBER	1920	59571	\N	\N	\N
1165362	3993	1998-01-13	VYDAJ	VYBER	2640	61491	\N	\N	\N
1165363	3993	1998-01-15	VYDAJ	VYBER	3120	66570	\N	\N	\N
1165366	3993	1996-08-04	VYDAJ	VYBER	1560	39459	\N	\N	\N
1165371	3993	1997-04-15	VYDAJ	VYBER	5400	44404	\N	\N	\N
1165372	3993	1997-01-04	VYDAJ	VYBER	3480	42842	\N	\N	\N
1165373	3993	1997-03-30	VYDAJ	VYBER	1560	37237	\N	\N	\N
1165374	3993	1997-08-27	VYDAJ	VYBER	1680	52844	\N	\N	\N
1165375	3993	1997-12-21	VYDAJ	VYBER	3000	63477	\N	\N	\N
1165376	3993	1997-03-26	VYDAJ	VYBER	3600	38797	\N	\N	\N
1165377	3993	1998-08-12	VYDAJ	VYBER	1920	64248	\N	\N	\N
1165378	3993	1998-12-13	VYDAJ	VYBER	3000	59410	\N	\N	\N
1165379	3993	1998-08-04	VYDAJ	VYBER	4440	74368	\N	\N	\N
1165380	3993	1998-03-08	VYDAJ	VYBER	5640	67036	\N	\N	\N
1165381	3993	1998-07-18	VYDAJ	VYBER	1800	78477	\N	\N	\N
1165382	3993	1998-04-27	VYDAJ	VYBER	1320	72534	\N	\N	\N
1165389	3993	1996-06-30	VYDAJ	VYBER	15	43136	SLUZBY	\N	\N
1165390	3993	1996-07-31	VYDAJ	VYBER	15	41019	SLUZBY	\N	\N
1165391	3993	1996-08-31	VYDAJ	VYBER	15	39529	SLUZBY	\N	\N
1165392	3993	1996-09-30	VYDAJ	VYBER	15	39094	SLUZBY	\N	\N
1165393	3993	1996-10-31	VYDAJ	VYBER	15	40459	SLUZBY	\N	\N
1165394	3993	1996-11-30	VYDAJ	VYBER	15	40320	SLUZBY	\N	\N
1165395	3993	1996-12-31	VYDAJ	VYBER	15	46322	SLUZBY	\N	\N
1165396	3993	1997-01-31	VYDAJ	VYBER	15	37244	SLUZBY	\N	\N
1165397	3993	1997-02-28	VYDAJ	VYBER	15	40798	SLUZBY	\N	\N
1165398	3993	1997-03-31	VYDAJ	VYBER	15	37405	SLUZBY	\N	\N
1165399	3993	1997-04-30	VYDAJ	VYBER	15	38652	SLUZBY	\N	\N
1165400	3993	1997-05-31	VYDAJ	VYBER	15	44819	SLUZBY	\N	\N
1165401	3993	1997-06-30	VYDAJ	VYBER	15	51018	SLUZBY	\N	\N
1165402	3993	1997-07-31	VYDAJ	VYBER	15	53825	SLUZBY	\N	\N
1165403	3993	1997-08-31	VYDAJ	VYBER	15	53057	SLUZBY	\N	\N
1165404	3993	1997-09-30	VYDAJ	VYBER	15	54768	SLUZBY	\N	\N
1165405	3993	1997-10-31	VYDAJ	VYBER	15	59894	SLUZBY	\N	\N
1165406	3993	1997-11-30	VYDAJ	VYBER	15	61731	SLUZBY	\N	\N
1165407	3993	1997-12-31	VYDAJ	VYBER	15	63731	SLUZBY	\N	\N
1165408	3993	1998-01-31	VYDAJ	VYBER	15	65988	SLUZBY	\N	\N
1165409	3993	1998-02-28	VYDAJ	VYBER	15	72676	SLUZBY	\N	\N
1165410	3993	1998-03-31	VYDAJ	VYBER	15	66155	SLUZBY	\N	\N
1165411	3993	1998-04-30	VYDAJ	VYBER	15	72825	SLUZBY	\N	\N
1165412	3993	1998-05-31	VYDAJ	VYBER	15	77522	SLUZBY	\N	\N
1165413	3993	1998-06-30	VYDAJ	VYBER	15	88878	SLUZBY	\N	\N
1165414	3993	1998-07-31	VYDAJ	VYBER	15	78808	SLUZBY	\N	\N
1165415	3993	1998-08-31	VYDAJ	VYBER	15	76966	SLUZBY	\N	\N
1165416	3993	1998-09-30	VYDAJ	VYBER	15	77169	SLUZBY	\N	\N
1165417	3993	1998-10-31	VYDAJ	VYBER	15	79478	SLUZBY	\N	\N
1165418	3993	1998-11-30	VYDAJ	VYBER	15	78990	SLUZBY	\N	\N
1165419	3993	1996-02-23	PRIJEM	VKLAD	1700	22115	\N	\N	\N
1165420	3993	1996-03-24	VYDAJ	VYBER	12200	29952	\N	\N	\N
1165421	3993	1996-04-23	VYDAJ	VYBER	17800	32268	\N	\N	\N
1165422	3993	1996-05-23	VYDAJ	VYBER	13500	38910	\N	\N	\N
1165423	3993	1996-06-22	VYDAJ	VYBER	18500	42959	\N	\N	\N
1165424	3993	1996-07-22	VYDAJ	VYBER	14700	40835	\N	\N	\N
1165425	3993	1996-08-21	VYDAJ	VYBER	12500	39358	\N	\N	\N
1165426	3993	1996-09-20	VYDAJ	VYBER	13000	38928	\N	\N	\N
1165427	3993	1996-10-20	VYDAJ	VYBER	11200	40293	\N	\N	\N
1165428	3993	1996-11-19	VYDAJ	VYBER	12700	40158	\N	\N	\N
1165429	3993	1996-12-19	VYDAJ	VYBER	12100	46146	\N	\N	\N
1165430	3993	1997-01-18	VYDAJ	VYBER	10600	40321	\N	\N	\N
1165431	3993	1997-02-17	VYDAJ	VYBER	9000	40643	\N	\N	\N
1165432	3993	1997-03-19	VYDAJ	VYBER	10800	42397	\N	\N	\N
1165433	3993	1997-04-18	VYDAJ	VYBER	5900	38504	\N	\N	\N
1165434	3993	1997-05-18	VYDAJ	VYBER	6400	44651	\N	\N	\N
1165435	3993	1997-06-17	VYDAJ	VYBER	16400	50825	\N	\N	\N
1165436	3993	1997-07-17	VYDAJ	VYBER	9800	53617	\N	\N	\N
1165437	3993	1997-08-16	VYDAJ	VYBER	11700	54524	\N	\N	\N
1165438	3993	1997-09-15	VYDAJ	VYBER	10900	54556	\N	\N	\N
1165439	3993	1997-10-15	VYDAJ	VYBER	7500	59667	\N	\N	\N
1165440	3993	1997-11-14	VYDAJ	VYBER	10800	69109	\N	\N	\N
1165441	3993	1997-12-14	VYDAJ	VYBER	14300	69837	\N	\N	\N
1165442	3993	1998-01-13	PRIJEM	VKLAD	1000	64131	\N	\N	\N
1165443	3993	1998-02-12	VYDAJ	VYBER	6000	59988	\N	\N	\N
1165444	3993	1998-03-14	VYDAJ	VYBER	13600	73451	\N	\N	\N
1165445	3993	1998-04-13	VYDAJ	VYBER	4700	61455	\N	\N	\N
1165446	3993	1998-05-13	VYDAJ	VYBER	8000	64825	\N	\N	\N
1165447	3993	1998-06-12	VYDAJ	VYBER	11400	66122	\N	\N	\N
1165448	3993	1998-07-12	VYDAJ	VYBER	21000	67878	\N	\N	\N
1165449	3993	1998-08-11	VYDAJ	VYBER	8200	66168	\N	\N	\N
1165450	3993	1998-09-10	VYDAJ	VYBER	12500	64466	\N	\N	\N
1165451	3993	1998-10-10	VYDAJ	VYBER	10400	66769	\N	\N	\N
1165452	3993	1998-11-09	VYDAJ	VYBER	13200	66278	\N	\N	\N
1165453	3993	1998-12-09	VYDAJ	VYBER	12100	62410	\N	\N	\N
1165489	3994	1996-03-14	PRIJEM	VKLAD	200	200	\N	\N	\N
1165490	3994	1997-06-05	PRIJEM	VKLAD	11889	86744	\N	\N	\N
1165491	3994	1997-10-20	PRIJEM	VKLAD	47611	63188	\N	\N	\N
1165492	3994	1997-09-25	PRIJEM	VKLAD	34822	65632	\N	\N	\N
1165493	3994	1997-06-13	PRIJEM	VKLAD	38691	96156	\N	\N	\N
1165494	3994	1997-03-30	PRIJEM	VKLAD	41750	67553	\N	\N	\N
1165495	3994	1997-03-07	PRIJEM	VKLAD	30928	88148	\N	\N	\N
1165496	3994	1997-05-18	PRIJEM	VKLAD	15856	87138	\N	\N	\N
1165497	3994	1997-07-09	PRIJEM	VKLAD	13593	90492	\N	\N	\N
1165498	3994	1997-07-08	PRIJEM	VKLAD	46188	54065	\N	\N	\N
1165499	3994	1997-06-25	PRIJEM	VKLAD	28732	116788	\N	\N	\N
1165500	3994	1997-05-17	PRIJEM	VKLAD	21797	71282	\N	\N	\N
1165501	3994	1997-01-25	PRIJEM	VKLAD	28437	66195	\N	\N	\N
1165502	3994	1997-08-17	PRIJEM	VKLAD	12131	58447	\N	\N	\N
1165503	3994	1997-01-19	PRIJEM	VKLAD	13358	37758	\N	\N	\N
1165504	3994	1997-10-28	PRIJEM	VKLAD	28673	91861	\N	\N	\N
1165505	3994	1997-12-22	PRIJEM	VKLAD	47473	70791	\N	\N	\N
1165506	3994	1997-07-08	PRIJEM	VKLAD	22834	76899	\N	\N	\N
1165507	3994	1997-06-09	PRIJEM	VKLAD	14097	64141	\N	\N	\N
1165508	3994	1997-08-27	PRIJEM	VKLAD	30090	88537	\N	\N	\N
1165509	3994	1997-08-01	PRIJEM	VKLAD	13154	85216	\N	\N	\N
1165510	3994	1997-03-21	PRIJEM	VKLAD	10377	63425	\N	\N	\N
1165511	3994	1997-11-21	PRIJEM	VKLAD	49690	118333	\N	\N	\N
1165512	3994	1997-02-13	PRIJEM	VKLAD	14730	61318	\N	\N	\N
1165513	3994	1997-03-06	PRIJEM	VKLAD	48638	110220	\N	\N	\N
1165514	3994	1997-05-02	PRIJEM	VKLAD	48173	122185	\N	\N	\N
1165515	3994	1997-11-12	PRIJEM	VKLAD	15834	68643	\N	\N	\N
1165516	3994	1997-04-19	PRIJEM	VKLAD	33858	73734	\N	\N	\N
1165517	3994	1998-03-10	PRIJEM	VKLAD	27576	73731	\N	\N	\N
1165518	3994	1998-05-23	PRIJEM	VKLAD	29713	66443	\N	\N	\N
1165519	3994	1998-11-10	PRIJEM	VKLAD	28302	30783	\N	\N	\N
1165520	3994	1998-03-24	PRIJEM	VKLAD	32312	122338	\N	\N	\N
1165521	3994	1998-03-21	PRIJEM	VKLAD	16295	90026	\N	\N	\N
1165522	3994	1998-03-01	PRIJEM	VKLAD	10672	76855	\N	\N	\N
1165523	3994	1998-04-20	PRIJEM	VKLAD	14301	90439	\N	\N	\N
1165524	3994	1998-09-29	PRIJEM	VKLAD	17618	36819	\N	\N	\N
1165525	3994	1998-02-07	PRIJEM	VKLAD	30869	65931	\N	\N	\N
1165526	3994	1998-01-11	PRIJEM	VKLAD	23225	54704	\N	\N	\N
1165527	3994	1998-04-07	PRIJEM	VKLAD	49808	76138	\N	\N	\N
1165528	3994	1998-12-01	PRIJEM	VKLAD	44900	53780	\N	\N	\N
1165529	3994	1998-01-13	PRIJEM	VKLAD	30889	85593	\N	\N	\N
1165530	3994	1998-09-26	PRIJEM	VKLAD	18704	19201	\N	\N	\N
1165531	3994	1998-06-17	PRIJEM	VKLAD	11798	33751	\N	\N	\N
1165532	3994	1998-01-23	PRIJEM	VKLAD	41935	117328	\N	\N	\N
1165544	3994	1997-03-28	VYBER	VYBER	21938	25803	\N	\N	\N
1165545	3994	1997-09-04	VYBER	VYBER	18568	70210	\N	\N	\N
1165547	3994	1997-07-22	VYBER	VYBER	18682	71810	\N	\N	\N
1165548	3994	1997-10-09	VYBER	VYBER	23959	15577	\N	\N	\N
1165549	3994	1997-06-10	VYBER	VYBER	6676	57465	\N	\N	\N
1165550	3994	1997-03-22	VYBER	VYBER	15684	47741	\N	\N	\N
1165551	3994	1997-10-28	VYBER	VYBER	2248	89613	\N	\N	\N
1165553	3994	1998-04-02	VYBER	VYBER	22478	48230	\N	\N	\N
1165557	3994	1997-06-27	VYDAJ	VYBER	66600	9088	\N	\N	\N
1165561	3994	1998-01-21	VYDAJ	VYBER	7200	75393	\N	\N	\N
1165563	3994	1997-12-18	VYDAJ	VYBER	2700	23318	\N	\N	\N
1165564	3994	1998-12-22	VYDAJ	VYBER	6600	47180	\N	\N	\N
1165577	3994	1998-01-23	VYDAJ	VYBER	5400	111928	\N	\N	\N
1165578	3994	1998-01-02	VYDAJ	VYBER	3300	53279	\N	\N	\N
1165579	3994	1998-01-27	VYDAJ	VYBER	6600	56128	\N	\N	\N
1165580	3994	1998-01-13	VYDAJ	VYBER	3000	82593	\N	\N	\N
1165581	3994	1998-01-06	VYDAJ	VYBER	3900	31479	\N	\N	\N
1165582	3994	1998-01-27	VYDAJ	VYBER	3300	62728	\N	\N	\N
1165588	3994	1997-05-26	VYDAJ	VYBER	12600	74538	\N	\N	\N
1165589	3994	1997-09-24	VYDAJ	VYBER	11100	30810	\N	\N	\N
1165590	3994	1997-12-13	VYDAJ	VYBER	10200	26018	\N	\N	\N
1165591	3994	1997-06-22	VYDAJ	VYBER	8100	88056	\N	\N	\N
1165592	3994	1997-12-26	VYDAJ	VYBER	14400	56391	\N	\N	\N
1165593	3994	1998-09-30	VYDAJ	VYBER	3900	32936	\N	\N	\N
1165594	3994	1998-08-30	VYDAJ	VYBER	7200	2559	\N	\N	\N
1165595	3994	1998-06-03	VYDAJ	VYBER	11100	21953	\N	\N	\N
1165596	3994	1998-04-02	VYDAJ	VYBER	5100	43130	\N	\N	\N
1165597	3994	1998-05-06	VYDAJ	VYBER	12900	36730	\N	\N	\N
1165598	3994	1998-06-27	VYDAJ	VYBER	6000	27751	\N	\N	\N
1165614	3994	1997-03-31	VYDAJ	VYBER	15	67776	SLUZBY	\N	\N
1165615	3994	1997-04-30	VYDAJ	VYBER	15	74012	SLUZBY	\N	\N
1165616	3994	1997-05-31	VYDAJ	VYBER	15	74855	SLUZBY	\N	\N
1165617	3994	1997-06-30	VYDAJ	VYBER	15	9377	SLUZBY	\N	\N
1165618	3994	1997-07-31	VYDAJ	VYBER	15	72062	SLUZBY	\N	\N
1165619	3994	1997-08-31	VYDAJ	VYBER	15	88778	SLUZBY	\N	\N
1165620	3994	1997-09-30	VYDAJ	VYBER	15	65836	SLUZBY	\N	\N
1165621	3994	1997-10-31	VYDAJ	VYBER	15	89809	SLUZBY	\N	\N
1165622	3994	1997-11-30	VYDAJ	VYBER	15	55318	SLUZBY	\N	\N
1165623	3994	1997-12-31	VYDAJ	VYBER	15	56579	SLUZBY	\N	\N
1165624	3994	1998-01-31	VYDAJ	VYBER	15	56362	SLUZBY	\N	\N
1165625	3994	1998-02-28	VYDAJ	VYBER	15	66183	SLUZBY	\N	\N
1165626	3994	1998-03-31	VYDAJ	VYBER	15	70708	SLUZBY	\N	\N
1165627	3994	1998-04-30	VYDAJ	VYBER	15	90730	SLUZBY	\N	\N
1165628	3994	1998-05-31	VYDAJ	VYBER	15	66653	SLUZBY	\N	\N
1165629	3994	1998-06-30	VYDAJ	VYBER	15	27860	SLUZBY	\N	\N
1165630	3994	1998-07-31	VYDAJ	VYBER	15	13459	SLUZBY	\N	\N
1165631	3994	1998-08-31	VYDAJ	VYBER	15	497	SLUZBY	\N	\N
1165632	3994	1998-09-30	VYDAJ	VYBER	15	14721	SLUZBY	\N	\N
1165633	3994	1998-10-31	VYDAJ	VYBER	15	2481	SLUZBY	\N	\N
1165634	3994	1998-11-30	VYDAJ	VYBER	15	8880	SLUZBY	\N	\N
1165635	3994	1996-04-13	PRIJEM	VKLAD	13200	13400	\N	\N	\N
1165636	3994	1996-05-13	PRIJEM	VKLAD	2800	16200	\N	\N	\N
1165637	3994	1996-06-12	PRIJEM	VKLAD	2000	18200	\N	\N	\N
1165638	3994	1996-07-12	PRIJEM	VKLAD	5400	23600	\N	\N	\N
1165639	3994	1996-08-11	PRIJEM	VKLAD	4300	27900	\N	\N	\N
1165640	3994	1996-09-10	PRIJEM	VKLAD	700	28600	\N	\N	\N
1165641	3994	1996-10-10	VYDAJ	VYBER	600	28000	\N	\N	\N
1165642	3994	1996-11-09	VYDAJ	VYBER	1800	26200	\N	\N	\N
1165643	3994	1996-12-09	VYDAJ	VYBER	3100	23100	\N	\N	\N
1165644	3994	1997-01-08	PRIJEM	VKLAD	1300	24400	\N	\N	\N
1165645	3994	1997-02-07	VYDAJ	VYBER	19700	46588	\N	\N	\N
1165646	3994	1997-03-06	VYDAJ	VYBER	53000	57220	\N	\N	\N
1165647	3994	1997-03-09	VYDAJ	VYBER	35100	53048	\N	\N	\N
1165648	3994	1997-04-08	VYDAJ	VYBER	27900	39876	\N	\N	\N
1165649	3994	1997-05-02	VYDAJ	VYBER	31900	90285	\N	\N	\N
1165650	3994	1997-05-08	VYDAJ	VYBER	40800	49485	\N	\N	\N
1165651	3994	1997-06-07	VYDAJ	VYBER	36700	50044	\N	\N	\N
1165652	3994	1997-06-25	VYDAJ	VYBER	41100	75688	\N	\N	\N
1165653	3994	1997-07-07	VYDAJ	VYBER	1500	7877	\N	\N	\N
1165654	3994	1997-08-06	VYDAJ	VYBER	38900	46316	\N	\N	\N
1165655	3994	1997-09-05	VYDAJ	VYBER	28300	41910	\N	\N	\N
1165656	3994	1997-10-05	VYDAJ	VYBER	26300	39536	\N	\N	\N
1165657	3994	1997-11-04	VYDAJ	VYBER	37000	52809	\N	\N	\N
1165658	3994	1997-11-21	VYDAJ	VYBER	63300	55033	\N	\N	\N
1165659	3994	1997-12-04	VYDAJ	VYBER	19100	36218	\N	\N	\N
1165660	3994	1998-01-03	VYDAJ	VYBER	17900	35379	\N	\N	\N
1165661	3994	1998-01-23	VYDAJ	VYBER	45900	66028	\N	\N	\N
1165662	3994	1998-02-02	VYDAJ	VYBER	21300	35062	\N	\N	\N
1165663	3994	1998-03-04	VYDAJ	VYBER	30700	46155	\N	\N	\N
1165664	3994	1998-03-24	VYDAJ	VYBER	51900	70438	\N	\N	\N
1165665	3994	1998-04-03	VYDAJ	VYBER	16800	26330	\N	\N	\N
1165666	3994	1998-05-03	VYDAJ	VYBER	41100	49630	\N	\N	\N
1165667	3994	1998-06-02	VYDAJ	VYBER	33600	33053	\N	\N	\N
1165668	3994	1998-07-02	VYDAJ	VYBER	14500	13360	\N	\N	\N
1165669	3994	1998-08-01	VYDAJ	VYBER	3700	9759	\N	\N	\N
1165670	3994	1998-08-31	VYDAJ	VYBER	2100	511	\N	\N	\N
1165671	3994	1998-09-30	VYDAJ	VYBER	18200	14736	\N	\N	\N
1165672	3994	1998-10-30	VYDAJ	VYBER	12300	2421	\N	\N	\N
1165673	3994	1998-11-29	VYDAJ	VYBER	21900	8883	\N	\N	\N
1165702	3995	1995-08-27	PRIJEM	VKLAD	200	200	\N	\N	\N
1165711	3995	1995-09-14	PRIJEM	VKLAD	9807	10007	\N	\N	\N
1165712	3995	1995-10-14	PRIJEM	VKLAD	9807	27526	\N	\N	\N
1165713	3995	1995-11-14	PRIJEM	VKLAD	9807	31610	\N	\N	\N
1165714	3995	1995-12-14	PRIJEM	VKLAD	14710	39714	\N	\N	\N
1165715	3995	1996-01-14	PRIJEM	VKLAD	9807	39329	\N	\N	\N
1165716	3995	1996-02-14	PRIJEM	VKLAD	9807	29627	\N	\N	\N
1165717	3995	1996-03-14	PRIJEM	VKLAD	9807	28265	\N	\N	\N
1165718	3995	1996-04-14	PRIJEM	VKLAD	9807	31962	\N	\N	\N
1165719	3995	1996-05-14	PRIJEM	VKLAD	9807	32386	\N	\N	\N
1165720	3995	1996-06-14	PRIJEM	VKLAD	14710	36193	\N	\N	\N
1165721	3995	1996-07-14	PRIJEM	VKLAD	9807	22431	\N	\N	\N
1165722	3995	1996-08-14	PRIJEM	VKLAD	9807	27103	\N	\N	\N
1165723	3995	1996-09-14	PRIJEM	VKLAD	9807	28188	\N	\N	\N
1165724	3995	1996-10-14	PRIJEM	VKLAD	9807	26539	\N	\N	\N
1165725	3995	1996-11-14	PRIJEM	VKLAD	9807	30831	\N	\N	\N
1165726	3995	1996-12-14	PRIJEM	VKLAD	14710	38336	\N	\N	\N
1165727	3995	1997-01-14	PRIJEM	VKLAD	9807	28970	\N	\N	\N
1165728	3995	1997-02-14	PRIJEM	VKLAD	9807	25558	\N	\N	\N
1165729	3995	1997-03-14	PRIJEM	VKLAD	9807	25631	\N	\N	\N
1165730	3995	1997-04-14	PRIJEM	VKLAD	9807	26431	\N	\N	\N
1165731	3995	1997-05-14	PRIJEM	VKLAD	9807	29114	\N	\N	\N
1165732	3995	1997-06-14	PRIJEM	VKLAD	14710	27970	\N	\N	\N
1165733	3995	1997-07-14	PRIJEM	VKLAD	9807	30431	\N	\N	\N
1165734	3995	1997-08-14	PRIJEM	VKLAD	9807	34235	\N	\N	\N
1165735	3995	1997-09-14	PRIJEM	VKLAD	9807	36248	\N	\N	\N
1165736	3995	1997-10-14	PRIJEM	VKLAD	9807	37668	\N	\N	\N
1165737	3995	1997-11-14	PRIJEM	VKLAD	9807	42301	\N	\N	\N
1165738	3995	1997-12-14	PRIJEM	VKLAD	14710	45158	\N	\N	\N
1165739	3995	1998-01-14	PRIJEM	VKLAD	9807	45150	\N	\N	\N
1165740	3995	1998-02-14	PRIJEM	VKLAD	9807	42258	\N	\N	\N
1165741	3995	1998-03-14	PRIJEM	VKLAD	9807	47213	\N	\N	\N
1165742	3995	1998-04-14	PRIJEM	VKLAD	9807	41327	\N	\N	\N
1165743	3995	1998-05-14	PRIJEM	VKLAD	9807	41452	\N	\N	\N
1165744	3995	1998-06-14	PRIJEM	VKLAD	14710	50087	\N	\N	\N
1165745	3995	1998-07-14	PRIJEM	VKLAD	9807	48762	\N	\N	\N
1165746	3995	1998-08-14	PRIJEM	VKLAD	9807	47851	\N	\N	\N
1165747	3995	1998-09-14	PRIJEM	VKLAD	9807	52135	\N	\N	\N
1165748	3995	1998-10-14	PRIJEM	VKLAD	9807	52387	\N	\N	\N
1165749	3995	1998-11-14	PRIJEM	VKLAD	9807	59587	\N	\N	\N
1165750	3995	1998-12-14	PRIJEM	VKLAD	14710	65514	\N	\N	\N
1165764	3995	1996-02-07	VYDAJ	PREVOD NA UCET	3601	19820	SIPO	KL	10419178
1165765	3995	1996-03-07	VYDAJ	PREVOD NA UCET	3601	21818	SIPO	KL	10419178
1165766	3995	1996-04-07	VYDAJ	PREVOD NA UCET	3601	22155	SIPO	KL	10419178
1165767	3995	1996-05-07	VYDAJ	PREVOD NA UCET	3601	22579	SIPO	KL	10419178
1165768	3995	1996-06-07	VYDAJ	PREVOD NA UCET	3601	21483	SIPO	KL	10419178
1165769	3995	1996-07-07	VYDAJ	PREVOD NA UCET	3601	12624	SIPO	KL	10419178
1165770	3995	1996-08-07	VYDAJ	PREVOD NA UCET	3601	17296	SIPO	KL	10419178
1165771	3995	1996-09-07	VYDAJ	PREVOD NA UCET	3601	18381	SIPO	KL	10419178
1165772	3995	1996-10-07	VYDAJ	PREVOD NA UCET	3601	20452	SIPO	KL	10419178
1165773	3995	1996-11-07	VYDAJ	PREVOD NA UCET	3601	21024	SIPO	KL	10419178
1165774	3995	1996-12-07	VYDAJ	PREVOD NA UCET	3601	23626	SIPO	KL	10419178
1165775	3995	1997-01-07	VYDAJ	PREVOD NA UCET	3601	21083	SIPO	KL	10419178
1165776	3995	1997-02-07	VYDAJ	PREVOD NA UCET	3601	15751	SIPO	KL	10419178
1165777	3995	1997-03-07	VYDAJ	PREVOD NA UCET	3601	15824	SIPO	KL	10419178
1165778	3995	1997-04-07	VYDAJ	PREVOD NA UCET	3601	16624	SIPO	KL	10419178
1165779	3995	1997-05-07	VYDAJ	PREVOD NA UCET	3601	19307	SIPO	KL	10419178
1165780	3995	1997-06-07	VYDAJ	PREVOD NA UCET	3601	21100	SIPO	KL	10419178
1165781	3995	1997-07-07	VYDAJ	PREVOD NA UCET	3601	20624	SIPO	KL	10419178
1165782	3995	1997-08-07	VYDAJ	PREVOD NA UCET	3601	24428	SIPO	KL	10419178
1165783	3995	1997-09-07	VYDAJ	PREVOD NA UCET	3601	26441	SIPO	KL	10419178
1165784	3995	1997-10-07	VYDAJ	PREVOD NA UCET	3601	27861	SIPO	KL	10419178
1165785	3995	1997-11-07	VYDAJ	PREVOD NA UCET	3601	32494	SIPO	KL	10419178
1165786	3995	1997-12-07	VYDAJ	PREVOD NA UCET	3601	30448	SIPO	KL	10419178
1165787	3995	1998-01-07	VYDAJ	PREVOD NA UCET	3601	30043	SIPO	KL	10419178
1165788	3995	1998-02-07	VYDAJ	PREVOD NA UCET	3601	34651	SIPO	KL	10419178
1165789	3995	1998-03-07	VYDAJ	PREVOD NA UCET	3601	37406	SIPO	KL	10419178
1165790	3995	1998-04-07	VYDAJ	PREVOD NA UCET	3601	28120	SIPO	KL	10419178
1165791	3995	1998-05-07	VYDAJ	PREVOD NA UCET	3601	35145	SIPO	KL	10419178
1165792	3995	1998-06-07	VYDAJ	PREVOD NA UCET	3601	34077	SIPO	KL	10419178
1165793	3995	1998-07-07	VYDAJ	PREVOD NA UCET	3601	45255	SIPO	KL	10419178
1165794	3995	1998-08-07	VYDAJ	PREVOD NA UCET	3601	43944	SIPO	KL	10419178
1165795	3995	1998-09-07	VYDAJ	PREVOD NA UCET	3601	43028	SIPO	KL	10419178
1165796	3995	1998-10-07	VYDAJ	PREVOD NA UCET	3601	45880	SIPO	KL	10419178
1165797	3995	1998-11-07	VYDAJ	PREVOD NA UCET	3601	47580	SIPO	KL	10419178
1165798	3995	1998-12-07	VYDAJ	PREVOD NA UCET	3601	54804	SIPO	KL	10419178
1165812	3995	1996-02-05	VYDAJ	PREVOD NA UCET	415	23421	 	UV	18222165
1165813	3995	1996-03-05	VYDAJ	PREVOD NA UCET	415	25419	 	UV	18222165
1165814	3995	1996-04-05	VYDAJ	PREVOD NA UCET	415	25756	 	UV	18222165
1165815	3995	1996-05-05	VYDAJ	PREVOD NA UCET	415	26180	 	UV	18222165
1165816	3995	1996-06-05	VYDAJ	PREVOD NA UCET	415	25084	 	UV	18222165
1165817	3995	1996-07-05	VYDAJ	PREVOD NA UCET	415	16225	 	UV	18222165
1165818	3995	1996-08-05	VYDAJ	PREVOD NA UCET	415	20897	 	UV	18222165
1165819	3995	1996-09-05	VYDAJ	PREVOD NA UCET	415	21982	 	UV	18222165
1165820	3995	1996-10-05	VYDAJ	PREVOD NA UCET	415	24053	 	UV	18222165
1165821	3995	1996-11-05	VYDAJ	PREVOD NA UCET	415	24625	 	UV	18222165
1165822	3995	1996-12-05	VYDAJ	PREVOD NA UCET	415	27227	 	UV	18222165
1165823	3995	1997-01-05	VYDAJ	PREVOD NA UCET	415	24684	 	UV	18222165
1165824	3995	1997-02-05	VYDAJ	PREVOD NA UCET	415	19352	 	UV	18222165
1165825	3995	1997-03-05	VYDAJ	PREVOD NA UCET	415	19425	 	UV	18222165
1165826	3995	1997-04-05	VYDAJ	PREVOD NA UCET	415	20225	 	UV	18222165
1165827	3995	1997-05-05	VYDAJ	PREVOD NA UCET	415	22908	 	UV	18222165
1165828	3995	1997-06-05	VYDAJ	PREVOD NA UCET	415	24701	 	UV	18222165
1165829	3995	1997-07-05	VYDAJ	PREVOD NA UCET	415	24225	 	UV	18222165
1165830	3995	1997-08-05	VYDAJ	PREVOD NA UCET	415	28029	 	UV	18222165
1165831	3995	1997-09-05	VYDAJ	PREVOD NA UCET	415	30042	 	UV	18222165
1165832	3995	1997-10-05	VYDAJ	PREVOD NA UCET	415	31462	 	UV	18222165
1165833	3995	1997-11-05	VYDAJ	PREVOD NA UCET	415	36095	 	UV	18222165
1165834	3995	1997-12-05	VYDAJ	PREVOD NA UCET	415	34049	 	UV	18222165
1165835	3995	1998-01-05	VYDAJ	PREVOD NA UCET	415	33644	 	UV	18222165
1165836	3995	1998-02-05	VYDAJ	PREVOD NA UCET	415	38252	 	UV	18222165
1165837	3995	1998-03-05	VYDAJ	PREVOD NA UCET	415	41007	 	UV	18222165
1165838	3995	1998-04-05	VYDAJ	PREVOD NA UCET	415	31721	 	UV	18222165
1165839	3995	1998-05-05	VYDAJ	PREVOD NA UCET	415	38746	 	UV	18222165
1165840	3995	1998-06-05	VYDAJ	PREVOD NA UCET	415	37678	 	UV	18222165
1165841	3995	1998-07-05	VYDAJ	PREVOD NA UCET	415	48856	 	UV	18222165
1165842	3995	1998-08-05	VYDAJ	PREVOD NA UCET	415	47545	 	UV	18222165
1165843	3995	1998-09-05	VYDAJ	PREVOD NA UCET	415	46629	 	UV	18222165
1165844	3995	1998-10-05	VYDAJ	PREVOD NA UCET	415	49481	 	UV	18222165
1165845	3995	1998-11-05	VYDAJ	PREVOD NA UCET	415	51181	 	UV	18222165
1165846	3995	1998-12-05	VYDAJ	PREVOD NA UCET	415	58405	 	UV	18222165
1165859	3995	1996-01-14	VYDAJ	PREVOD NA UCET	983	38346	POJISTNE	YZ	70030551
1165860	3995	1996-02-14	VYDAJ	PREVOD NA UCET	983	28644	POJISTNE	YZ	70030551
1165861	3995	1996-03-14	VYDAJ	PREVOD NA UCET	983	27282	POJISTNE	YZ	70030551
1165862	3995	1996-04-14	VYDAJ	PREVOD NA UCET	983	30979	POJISTNE	YZ	70030551
1165863	3995	1996-05-14	VYDAJ	PREVOD NA UCET	983	31403	POJISTNE	YZ	70030551
1165864	3995	1996-06-14	VYDAJ	PREVOD NA UCET	983	18570	POJISTNE	YZ	70030551
1165865	3995	1996-07-14	VYDAJ	PREVOD NA UCET	983	21448	POJISTNE	YZ	70030551
1165866	3995	1996-08-14	VYDAJ	PREVOD NA UCET	983	26120	POJISTNE	YZ	70030551
1165867	3995	1996-09-14	VYDAJ	PREVOD NA UCET	983	27205	POJISTNE	YZ	70030551
1165868	3995	1996-10-14	VYDAJ	PREVOD NA UCET	983	25556	POJISTNE	YZ	70030551
1165869	3995	1996-11-14	VYDAJ	PREVOD NA UCET	983	29848	POJISTNE	YZ	70030551
1165870	3995	1996-12-14	VYDAJ	PREVOD NA UCET	983	37353	POJISTNE	YZ	70030551
1165871	3995	1997-01-14	VYDAJ	PREVOD NA UCET	983	27987	POJISTNE	YZ	70030551
1165872	3995	1997-02-14	VYDAJ	PREVOD NA UCET	983	24575	POJISTNE	YZ	70030551
1165873	3995	1997-03-14	VYDAJ	PREVOD NA UCET	983	24648	POJISTNE	YZ	70030551
1165874	3995	1997-04-14	VYDAJ	PREVOD NA UCET	983	25448	POJISTNE	YZ	70030551
1165875	3995	1997-05-14	VYDAJ	PREVOD NA UCET	983	28131	POJISTNE	YZ	70030551
1165876	3995	1997-06-14	VYDAJ	PREVOD NA UCET	983	26987	POJISTNE	YZ	70030551
1165877	3995	1997-07-14	VYDAJ	PREVOD NA UCET	983	29448	POJISTNE	YZ	70030551
1165878	3995	1997-08-14	VYDAJ	PREVOD NA UCET	983	33252	POJISTNE	YZ	70030551
1165879	3995	1997-09-14	VYDAJ	PREVOD NA UCET	983	35265	POJISTNE	YZ	70030551
1165880	3995	1997-10-14	VYDAJ	PREVOD NA UCET	983	36685	POJISTNE	YZ	70030551
1165881	3995	1997-11-14	VYDAJ	PREVOD NA UCET	983	41318	POJISTNE	YZ	70030551
1165882	3995	1997-12-14	VYDAJ	PREVOD NA UCET	983	44175	POJISTNE	YZ	70030551
1165883	3995	1998-01-14	VYDAJ	PREVOD NA UCET	983	44167	POJISTNE	YZ	70030551
1165884	3995	1998-02-14	VYDAJ	PREVOD NA UCET	983	41275	POJISTNE	YZ	70030551
1165885	3995	1998-03-14	VYDAJ	PREVOD NA UCET	983	46230	POJISTNE	YZ	70030551
1165886	3995	1998-04-14	VYDAJ	PREVOD NA UCET	983	40344	POJISTNE	YZ	70030551
1165887	3995	1998-05-14	VYDAJ	PREVOD NA UCET	983	40469	POJISTNE	YZ	70030551
1165888	3995	1998-06-14	VYDAJ	PREVOD NA UCET	983	49104	POJISTNE	YZ	70030551
1165889	3995	1998-07-14	VYDAJ	PREVOD NA UCET	983	47779	POJISTNE	YZ	70030551
1165890	3995	1998-08-14	VYDAJ	PREVOD NA UCET	983	46868	POJISTNE	YZ	70030551
1165891	3995	1998-09-14	VYDAJ	PREVOD NA UCET	983	51152	POJISTNE	YZ	70030551
1165892	3995	1998-10-14	VYDAJ	PREVOD NA UCET	983	51404	POJISTNE	YZ	70030551
1165893	3995	1998-11-14	VYDAJ	PREVOD NA UCET	983	58604	POJISTNE	YZ	70030551
1165894	3995	1998-12-14	VYDAJ	PREVOD NA UCET	983	64531	POJISTNE	YZ	70030551
1165896	3995	1996-06-14	VYDAJ	VYBER	16640	19553	\N	\N	\N
1165897	3995	1997-06-13	VYDAJ	VYBER	7840	13260	\N	\N	\N
1165900	3995	1996-12-25	VYDAJ	VYBER	1280	27873	\N	\N	\N
1165901	3995	1997-12-26	VYDAJ	VYBER	1440	40035	\N	\N	\N
1165902	3995	1998-12-16	VYDAJ	VYBER	4000	60531	\N	\N	\N
1165909	3995	1996-01-23	VYDAJ	VYBER	840	32106	\N	\N	\N
1165910	3995	1996-01-16	VYDAJ	VYBER	2280	36066	\N	\N	\N
1165911	3995	1996-01-29	VYDAJ	VYBER	1680	24926	\N	\N	\N
1165912	3995	1996-01-30	VYDAJ	VYBER	1200	23726	\N	\N	\N
1165914	3995	1996-01-24	VYDAJ	VYBER	1800	26606	\N	\N	\N
1165915	3995	1997-01-11	VYDAJ	VYBER	1920	19163	\N	\N	\N
1165916	3995	1997-01-21	VYDAJ	VYBER	1920	23167	\N	\N	\N
1165917	3995	1997-01-23	VYDAJ	VYBER	1440	19687	\N	\N	\N
1165918	3995	1997-01-01	VYDAJ	VYBER	600	27379	\N	\N	\N
1165919	3995	1997-01-23	VYDAJ	VYBER	2040	21127	\N	\N	\N
1165920	3995	1997-01-01	VYDAJ	VYBER	2280	25099	\N	\N	\N
1165921	3995	1998-01-01	VYDAJ	VYBER	3120	37059	\N	\N	\N
1165922	3995	1998-01-02	VYDAJ	VYBER	3000	34059	\N	\N	\N
1165923	3995	1998-01-19	VYDAJ	VYBER	1680	40327	\N	\N	\N
1165924	3995	1998-01-17	VYDAJ	VYBER	2160	42007	\N	\N	\N
1165925	3995	1998-01-08	VYDAJ	VYBER	1200	28843	\N	\N	\N
1165926	3995	1998-01-25	VYDAJ	VYBER	1800	38527	\N	\N	\N
1165931	3995	1996-01-17	VYDAJ	VYBER	2400	33666	\N	\N	\N
1165932	3995	1996-04-19	VYDAJ	VYBER	4080	26899	\N	\N	\N
1165933	3995	1996-01-21	VYDAJ	VYBER	720	32946	\N	\N	\N
1165934	3995	1996-09-24	VYDAJ	VYBER	720	24385	\N	\N	\N
1165935	3995	1996-10-13	VYDAJ	VYBER	3720	16732	\N	\N	\N
1165936	3995	1996-03-08	VYDAJ	VYBER	3360	18458	\N	\N	\N
1165937	3995	1997-07-01	VYDAJ	VYBER	4440	24640	\N	\N	\N
1165938	3995	1997-03-23	VYDAJ	VYBER	5280	20568	\N	\N	\N
1165939	3995	1998-05-02	VYDAJ	VYBER	1320	39161	\N	\N	\N
1165940	3995	1998-05-19	VYDAJ	VYBER	2520	37949	\N	\N	\N
1165941	3995	1998-03-28	VYDAJ	VYBER	3600	31990	\N	\N	\N
1165942	3995	1998-09-24	VYDAJ	VYBER	1440	49712	\N	\N	\N
1165943	3995	1998-03-20	VYDAJ	VYBER	5640	35590	\N	\N	\N
1165957	3995	1996-01-31	VYDAJ	VYBER	15	23836	SLUZBY	\N	\N
1165958	3995	1996-02-29	VYDAJ	VYBER	15	25834	SLUZBY	\N	\N
1165959	3995	1996-03-31	VYDAJ	VYBER	15	26171	SLUZBY	\N	\N
1165960	3995	1996-04-30	VYDAJ	VYBER	15	26595	SLUZBY	\N	\N
1165961	3995	1996-05-31	VYDAJ	VYBER	15	25499	SLUZBY	\N	\N
1165962	3995	1996-06-30	VYDAJ	VYBER	15	16640	SLUZBY	\N	\N
1165963	3995	1996-07-31	VYDAJ	VYBER	15	21312	SLUZBY	\N	\N
1165964	3995	1996-08-31	VYDAJ	VYBER	15	22397	SLUZBY	\N	\N
1165965	3995	1996-09-30	VYDAJ	VYBER	15	24468	SLUZBY	\N	\N
1165966	3995	1996-10-31	VYDAJ	VYBER	15	25040	SLUZBY	\N	\N
1165967	3995	1996-11-30	VYDAJ	VYBER	15	27642	SLUZBY	\N	\N
1165968	3995	1996-12-31	VYDAJ	VYBER	15	27979	SLUZBY	\N	\N
1165969	3995	1997-01-31	VYDAJ	VYBER	15	19767	SLUZBY	\N	\N
1165970	3995	1997-02-28	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
1165971	3995	1997-03-31	VYDAJ	VYBER	15	20640	SLUZBY	\N	\N
1165972	3995	1997-04-30	VYDAJ	VYBER	15	23323	SLUZBY	\N	\N
1165973	3995	1997-05-31	VYDAJ	VYBER	15	25116	SLUZBY	\N	\N
1165974	3995	1997-06-30	VYDAJ	VYBER	15	29080	SLUZBY	\N	\N
1165975	3995	1997-07-31	VYDAJ	VYBER	15	28444	SLUZBY	\N	\N
1165976	3995	1997-08-31	VYDAJ	VYBER	15	30457	SLUZBY	\N	\N
1165977	3995	1997-09-30	VYDAJ	VYBER	15	31877	SLUZBY	\N	\N
1165978	3995	1997-10-31	VYDAJ	VYBER	15	36510	SLUZBY	\N	\N
1165979	3995	1997-11-30	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
1165980	3995	1997-12-31	VYDAJ	VYBER	15	40179	SLUZBY	\N	\N
1165981	3995	1998-01-31	VYDAJ	VYBER	15	38667	SLUZBY	\N	\N
1165982	3995	1998-02-28	VYDAJ	VYBER	15	41422	SLUZBY	\N	\N
1165983	3995	1998-03-31	VYDAJ	VYBER	15	32136	SLUZBY	\N	\N
1165984	3995	1998-04-30	VYDAJ	VYBER	15	40481	SLUZBY	\N	\N
1165985	3995	1998-05-31	VYDAJ	VYBER	15	38093	SLUZBY	\N	\N
1165986	3995	1998-06-30	VYDAJ	VYBER	15	49271	SLUZBY	\N	\N
1165987	3995	1998-07-31	VYDAJ	VYBER	15	47960	SLUZBY	\N	\N
1165988	3995	1998-08-31	VYDAJ	VYBER	15	47044	SLUZBY	\N	\N
1165989	3995	1998-09-30	VYDAJ	VYBER	15	49896	SLUZBY	\N	\N
1165990	3995	1998-10-31	VYDAJ	VYBER	15	51596	SLUZBY	\N	\N
1165991	3995	1998-11-30	VYDAJ	VYBER	15	58820	SLUZBY	\N	\N
1165992	3995	1995-09-26	PRIJEM	VKLAD	7700	17707	\N	\N	\N
1165993	3995	1995-10-26	VYDAJ	VYBER	5800	21726	\N	\N	\N
1165994	3995	1995-11-25	VYDAJ	VYBER	6700	24910	\N	\N	\N
1165995	3995	1995-12-25	VYDAJ	VYBER	10300	29414	\N	\N	\N
1165996	3995	1996-01-24	VYDAJ	VYBER	3700	28406	\N	\N	\N
1165997	3995	1996-02-23	VYDAJ	VYBER	2900	25744	\N	\N	\N
1165998	3995	1996-03-24	VYDAJ	VYBER	1200	26082	\N	\N	\N
1165999	3995	1996-04-23	VYDAJ	VYBER	400	26499	\N	\N	\N
1166000	3995	1996-05-23	VYDAJ	VYBER	6000	25403	\N	\N	\N
1166001	3995	1996-06-22	VYDAJ	VYBER	2000	16570	\N	\N	\N
1166002	3995	1996-07-22	VYDAJ	VYBER	200	21248	\N	\N	\N
1166003	3995	1996-08-21	VYDAJ	VYBER	3800	22320	\N	\N	\N
1166004	3995	1996-09-20	VYDAJ	VYBER	2100	25105	\N	\N	\N
1166005	3995	1996-10-20	VYDAJ	VYBER	600	24956	\N	\N	\N
1166006	3995	1996-11-19	VYDAJ	VYBER	2300	27548	\N	\N	\N
1166007	3995	1996-12-19	VYDAJ	VYBER	8200	29153	\N	\N	\N
1166008	3995	1997-01-18	VYDAJ	VYBER	2900	25087	\N	\N	\N
1166009	3995	1997-02-17	VYDAJ	VYBER	4800	19775	\N	\N	\N
1166010	3995	1997-03-19	PRIJEM	VKLAD	1200	25848	\N	\N	\N
1166011	3995	1997-04-18	VYDAJ	VYBER	2200	23248	\N	\N	\N
1166012	3995	1997-05-18	VYDAJ	VYBER	3100	25031	\N	\N	\N
1166013	3995	1997-06-17	PRIJEM	VKLAD	2000	28987	\N	\N	\N
1166014	3995	1997-07-17	VYDAJ	VYBER	1100	28348	\N	\N	\N
1166015	3995	1997-08-16	VYDAJ	VYBER	2900	30352	\N	\N	\N
1166016	3995	1997-09-15	VYDAJ	VYBER	3500	31765	\N	\N	\N
1166017	3995	1997-10-15	VYDAJ	VYBER	300	36385	\N	\N	\N
1166018	3995	1997-11-14	VYDAJ	VYBER	7000	34318	\N	\N	\N
1166019	3995	1997-12-14	VYDAJ	VYBER	2700	41475	\N	\N	\N
1166020	3995	1998-01-13	PRIJEM	VKLAD	6500	35343	\N	\N	\N
1166021	3995	1998-02-12	VYDAJ	VYBER	2200	32451	\N	\N	\N
1166022	3995	1998-03-14	VYDAJ	VYBER	5000	41230	\N	\N	\N
1166023	3995	1998-04-13	PRIJEM	VKLAD	3400	31520	\N	\N	\N
1166024	3995	1998-05-13	VYDAJ	VYBER	3500	31645	\N	\N	\N
1166025	3995	1998-06-12	PRIJEM	VKLAD	1300	35377	\N	\N	\N
1166026	3995	1998-07-12	VYDAJ	VYBER	6300	38955	\N	\N	\N
1166027	3995	1998-08-11	VYDAJ	VYBER	5900	38044	\N	\N	\N
1166028	3995	1998-09-10	VYDAJ	VYBER	700	42328	\N	\N	\N
1166029	3995	1998-10-10	VYDAJ	VYBER	3300	42580	\N	\N	\N
1166030	3995	1998-11-09	PRIJEM	VKLAD	2200	49780	\N	\N	\N
1166031	3995	1998-12-09	VYDAJ	VYBER	4000	50804	\N	\N	\N
1166072	3996	1997-06-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1166079	3996	1997-07-09	PRIJEM	PREVOD Z UCTU	6646	7746	DUCHOD	KL	67791449
1166080	3996	1997-08-09	PRIJEM	PREVOD Z UCTU	6646	14392	DUCHOD	KL	67791449
1166081	3996	1997-09-09	PRIJEM	PREVOD Z UCTU	6646	21038	DUCHOD	KL	67791449
1166082	3996	1997-10-09	PRIJEM	PREVOD Z UCTU	6646	26715	DUCHOD	KL	67791449
1166083	3996	1997-11-09	PRIJEM	PREVOD Z UCTU	6646	29549	DUCHOD	KL	67791449
1166084	3996	1997-12-09	PRIJEM	PREVOD Z UCTU	6646	34376	DUCHOD	KL	67791449
1166085	3996	1998-01-09	PRIJEM	PREVOD Z UCTU	6646	28841	DUCHOD	KL	67791449
1166086	3996	1998-02-09	PRIJEM	PREVOD Z UCTU	6646	23256	DUCHOD	KL	67791449
1166087	3996	1998-03-09	PRIJEM	PREVOD Z UCTU	6646	25533	DUCHOD	KL	67791449
1166088	3996	1998-04-09	PRIJEM	PREVOD Z UCTU	6646	26137	DUCHOD	KL	67791449
1166089	3996	1998-05-09	PRIJEM	PREVOD Z UCTU	6646	22336	DUCHOD	KL	67791449
1166090	3996	1998-06-09	PRIJEM	PREVOD Z UCTU	6646	22625	DUCHOD	KL	67791449
1166091	3996	1998-07-09	PRIJEM	PREVOD Z UCTU	6646	24705	DUCHOD	KL	67791449
1166092	3996	1998-08-09	PRIJEM	PREVOD Z UCTU	6646	26195	DUCHOD	KL	67791449
1166093	3996	1998-09-09	PRIJEM	PREVOD Z UCTU	6646	31410	DUCHOD	KL	67791449
1166094	3996	1998-10-09	PRIJEM	PREVOD Z UCTU	6646	34341	DUCHOD	KL	67791449
1166095	3996	1998-11-09	PRIJEM	PREVOD Z UCTU	6646	39030	DUCHOD	KL	67791449
1166096	3996	1998-12-09	PRIJEM	PREVOD Z UCTU	6646	43796	DUCHOD	KL	67791449
1166107	3996	1997-11-13	VYDAJ	PREVOD NA UCET	1511	28038	SIPO	YZ	29565316
1166108	3996	1997-12-13	VYDAJ	PREVOD NA UCET	1511	31415	SIPO	YZ	29565316
1166109	3996	1998-01-13	VYDAJ	PREVOD NA UCET	1511	26290	SIPO	YZ	29565316
1166110	3996	1998-02-13	VYDAJ	PREVOD NA UCET	1511	21745	SIPO	YZ	29565316
1166111	3996	1998-03-13	VYDAJ	PREVOD NA UCET	1511	24022	SIPO	YZ	29565316
1166112	3996	1998-04-13	VYDAJ	PREVOD NA UCET	1511	24626	SIPO	YZ	29565316
1166113	3996	1998-05-13	VYDAJ	PREVOD NA UCET	1511	20825	SIPO	YZ	29565316
1166114	3996	1998-06-13	VYDAJ	PREVOD NA UCET	1511	21114	SIPO	YZ	29565316
1166115	3996	1998-07-13	VYDAJ	PREVOD NA UCET	1511	22554	SIPO	YZ	29565316
1166116	3996	1998-08-13	VYDAJ	PREVOD NA UCET	1511	24684	SIPO	YZ	29565316
1166117	3996	1998-09-13	VYDAJ	PREVOD NA UCET	1511	29899	SIPO	YZ	29565316
1166118	3996	1998-10-13	VYDAJ	PREVOD NA UCET	1511	32270	SIPO	YZ	29565316
1166119	3996	1998-11-13	VYDAJ	PREVOD NA UCET	1511	37519	SIPO	YZ	29565316
1166120	3996	1998-12-13	VYDAJ	PREVOD NA UCET	1511	42285	SIPO	YZ	29565316
1166124	3996	1998-01-14	VYDAJ	VYBER	2400	23890	\N	\N	\N
1166125	3996	1997-12-10	VYDAJ	VYBER	1450	32926	\N	\N	\N
1166126	3996	1998-12-27	VYDAJ	VYBER	1200	35785	\N	\N	\N
1166133	3996	1998-01-18	VYDAJ	VYBER	1600	20130	\N	\N	\N
1166134	3996	1998-01-18	VYDAJ	VYBER	1280	16530	\N	\N	\N
1166135	3996	1998-01-13	VYDAJ	VYBER	1040	27801	\N	\N	\N
1166136	3996	1998-01-16	VYDAJ	VYBER	2160	21730	\N	\N	\N
1166137	3996	1998-01-18	VYDAJ	VYBER	2320	17810	\N	\N	\N
1166138	3996	1998-01-08	VYDAJ	VYBER	1920	22195	\N	\N	\N
1166143	3996	1998-02-20	VYDAJ	VYBER	1520	18825	\N	\N	\N
1166144	3996	1998-07-01	VYDAJ	VYBER	3120	18059	\N	\N	\N
1166145	3996	1998-07-27	VYDAJ	VYBER	2080	19474	\N	\N	\N
1166146	3996	1998-10-12	VYDAJ	VYBER	560	33781	\N	\N	\N
1166147	3996	1998-02-14	VYDAJ	VYBER	400	21345	\N	\N	\N
1166148	3996	1998-07-11	VYDAJ	VYBER	640	24065	\N	\N	\N
1166160	3996	1997-11-30	VYDAJ	VYBER	15	27730	SLUZBY	\N	\N
1166161	3996	1997-12-31	VYDAJ	VYBER	15	24115	SLUZBY	\N	\N
1166162	3996	1998-01-31	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
1166163	3996	1998-02-28	VYDAJ	VYBER	15	18887	SLUZBY	\N	\N
1166164	3996	1998-03-31	VYDAJ	VYBER	15	19491	SLUZBY	\N	\N
1166165	3996	1998-04-30	VYDAJ	VYBER	15	15690	SLUZBY	\N	\N
1166166	3996	1998-05-31	VYDAJ	VYBER	15	15979	SLUZBY	\N	\N
1166167	3996	1998-06-30	VYDAJ	VYBER	15	21179	SLUZBY	\N	\N
1166168	3996	1998-07-31	VYDAJ	VYBER	15	19549	SLUZBY	\N	\N
1166169	3996	1998-08-31	VYDAJ	VYBER	15	24764	SLUZBY	\N	\N
1166170	3996	1998-09-30	VYDAJ	VYBER	15	27695	SLUZBY	\N	\N
1166171	3996	1998-10-31	VYDAJ	VYBER	15	32384	SLUZBY	\N	\N
1166172	3996	1998-11-30	VYDAJ	VYBER	15	37150	SLUZBY	\N	\N
1166173	3996	1997-09-20	VYDAJ	VYBER	1000	20038	\N	\N	\N
1166174	3996	1997-10-20	VYDAJ	VYBER	3900	22815	\N	\N	\N
1166175	3996	1997-11-19	VYDAJ	VYBER	400	27638	\N	\N	\N
1166176	3996	1997-12-19	VYDAJ	VYBER	7400	24015	\N	\N	\N
1166177	3996	1998-02-17	VYDAJ	VYBER	1000	20345	\N	\N	\N
1166178	3996	1998-03-19	VYDAJ	VYBER	4600	19422	\N	\N	\N
1166179	3996	1998-04-18	VYDAJ	VYBER	9000	15626	\N	\N	\N
1166180	3996	1998-05-18	VYDAJ	VYBER	4900	15925	\N	\N	\N
1166181	3996	1998-07-17	VYDAJ	VYBER	1000	21554	\N	\N	\N
1166182	3996	1998-09-15	VYDAJ	VYBER	2300	27599	\N	\N	\N
1166183	3996	1998-11-14	VYDAJ	VYBER	500	37019	\N	\N	\N
1166184	3996	1998-12-14	VYDAJ	VYBER	5300	36985	\N	\N	\N
1166201	3997	1994-01-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1166203	3997	1994-02-11	PRIJEM	VKLAD	8018	9018	\N	\N	\N
1166204	3997	1994-03-11	PRIJEM	VKLAD	8018	25079	\N	\N	\N
1166205	3997	1994-04-11	PRIJEM	VKLAD	8018	34190	\N	\N	\N
1166206	3997	1994-05-11	PRIJEM	VKLAD	8018	39831	\N	\N	\N
1166207	3997	1994-06-11	PRIJEM	VKLAD	12027	44090	\N	\N	\N
1166208	3997	1994-07-11	PRIJEM	VKLAD	8018	43736	\N	\N	\N
1166209	3997	1994-08-11	PRIJEM	VKLAD	8018	40485	\N	\N	\N
1166210	3997	1994-09-11	PRIJEM	VKLAD	8018	37522	\N	\N	\N
1166211	3997	1994-10-11	PRIJEM	VKLAD	8018	39774	\N	\N	\N
1166212	3997	1994-11-11	PRIJEM	VKLAD	8018	39941	\N	\N	\N
1166213	3997	1994-12-11	PRIJEM	VKLAD	12027	44719	\N	\N	\N
1166214	3997	1995-01-11	PRIJEM	VKLAD	8018	41700	\N	\N	\N
1166215	3997	1995-02-11	PRIJEM	VKLAD	8018	32969	\N	\N	\N
1166216	3997	1995-03-11	PRIJEM	VKLAD	8018	36104	\N	\N	\N
1166217	3997	1995-04-11	PRIJEM	VKLAD	8018	36253	\N	\N	\N
1166218	3997	1995-05-11	PRIJEM	VKLAD	8018	35705	\N	\N	\N
1166219	3997	1995-06-11	PRIJEM	VKLAD	12027	40861	\N	\N	\N
1166220	3997	1995-07-11	PRIJEM	VKLAD	8018	28416	\N	\N	\N
1166221	3997	1995-08-11	PRIJEM	VKLAD	8018	29136	\N	\N	\N
1166222	3997	1995-09-11	PRIJEM	VKLAD	8018	29954	\N	\N	\N
1166223	3997	1995-10-11	PRIJEM	VKLAD	8018	31975	\N	\N	\N
1166224	3997	1995-11-11	PRIJEM	VKLAD	8018	31409	\N	\N	\N
1166225	3997	1995-12-11	PRIJEM	VKLAD	12027	37048	\N	\N	\N
1166226	3997	1996-01-11	PRIJEM	VKLAD	8018	28091	\N	\N	\N
1166227	3997	1996-02-11	PRIJEM	VKLAD	8018	28993	\N	\N	\N
1166228	3997	1996-03-11	PRIJEM	VKLAD	8018	28104	\N	\N	\N
1166229	3997	1996-04-11	PRIJEM	VKLAD	8018	24816	\N	\N	\N
1166230	3997	1996-05-11	PRIJEM	VKLAD	8018	29520	\N	\N	\N
1166231	3997	1996-06-11	PRIJEM	VKLAD	12027	34945	\N	\N	\N
1166232	3997	1996-07-11	PRIJEM	VKLAD	8018	30086	\N	\N	\N
1166233	3997	1996-08-11	PRIJEM	VKLAD	8018	30908	\N	\N	\N
1166234	3997	1996-09-11	PRIJEM	VKLAD	8018	29511	\N	\N	\N
1166235	3997	1996-10-11	PRIJEM	VKLAD	8018	29303	\N	\N	\N
1166236	3997	1996-11-11	PRIJEM	VKLAD	8018	31295	\N	\N	\N
1166237	3997	1996-12-11	PRIJEM	VKLAD	12027	32102	\N	\N	\N
1166238	3997	1997-01-11	PRIJEM	VKLAD	8018	24919	\N	\N	\N
1166239	3997	1997-02-11	PRIJEM	VKLAD	8018	23107	\N	\N	\N
1166240	3997	1997-03-11	PRIJEM	VKLAD	8018	31173	\N	\N	\N
1166241	3997	1997-04-11	PRIJEM	VKLAD	8018	22967	\N	\N	\N
1166242	3997	1997-05-11	PRIJEM	VKLAD	8018	27745	\N	\N	\N
1166243	3997	1997-06-11	PRIJEM	VKLAD	12027	31747	\N	\N	\N
1166244	3997	1997-07-11	PRIJEM	VKLAD	8018	36267	\N	\N	\N
1166245	3997	1997-08-11	PRIJEM	VKLAD	8018	42403	\N	\N	\N
1166246	3997	1997-09-11	PRIJEM	VKLAD	8018	23029	\N	\N	\N
1166247	3997	1997-10-11	PRIJEM	VKLAD	8018	31094	\N	\N	\N
1166248	3997	1997-11-11	PRIJEM	VKLAD	8018	37194	\N	\N	\N
1166249	3997	1997-12-11	PRIJEM	VKLAD	12027	25308	\N	\N	\N
1166250	3997	1998-01-11	PRIJEM	VKLAD	8018	24287	\N	\N	\N
1166251	3997	1998-02-11	PRIJEM	VKLAD	8018	24665	\N	\N	\N
1166252	3997	1998-03-11	PRIJEM	VKLAD	8018	29836	\N	\N	\N
1166253	3997	1998-04-11	PRIJEM	VKLAD	8018	34043	\N	\N	\N
1166254	3997	1998-05-11	PRIJEM	VKLAD	8018	41672	\N	\N	\N
1166255	3997	1998-06-11	PRIJEM	VKLAD	12027	29701	\N	\N	\N
1166256	3997	1998-07-11	PRIJEM	VKLAD	8018	22371	\N	\N	\N
1166257	3997	1998-08-11	PRIJEM	VKLAD	8018	30432	\N	\N	\N
1166258	3997	1998-09-11	PRIJEM	VKLAD	8018	34336	\N	\N	\N
1166259	3997	1998-10-11	PRIJEM	VKLAD	8018	22731	\N	\N	\N
1166260	3997	1998-11-11	PRIJEM	VKLAD	8018	30794	\N	\N	\N
1166261	3997	1998-12-11	PRIJEM	VKLAD	12027	42899	\N	\N	\N
1166263	3997	1995-06-24	VYDAJ	VYBER	11200	29661	\N	\N	\N
1166265	3997	1997-06-09	VYDAJ	VYBER	5600	19720	\N	\N	\N
1166268	3997	1995-01-21	VYDAJ	VYBER	1700	38500	\N	\N	\N
1166269	3997	1996-01-02	VYDAJ	VYBER	8800	26273	\N	\N	\N
1166270	3997	1997-01-01	VYDAJ	VYBER	4400	17801	\N	\N	\N
1166271	3997	1998-01-13	VYDAJ	VYBER	5800	18487	\N	\N	\N
1166272	3997	1994-12-22	VYDAJ	VYBER	700	44019	\N	\N	\N
1166273	3997	1995-12-03	VYDAJ	VYBER	2700	28821	\N	\N	\N
1166274	3997	1996-12-07	VYDAJ	VYBER	1900	20075	\N	\N	\N
1166275	3997	1997-12-15	VYDAJ	VYBER	2000	23308	\N	\N	\N
1166276	3997	1998-12-12	VYDAJ	VYBER	500	42399	\N	\N	\N
1166283	3997	1995-01-10	VYDAJ	VYBER	2500	33682	\N	\N	\N
1166284	3997	1995-01-28	VYDAJ	VYBER	1600	32300	\N	\N	\N
1166285	3997	1995-01-26	VYDAJ	VYBER	2800	35700	\N	\N	\N
1166286	3997	1995-01-27	VYDAJ	VYBER	1800	33900	\N	\N	\N
1166287	3997	1995-01-17	VYDAJ	VYBER	1500	40200	\N	\N	\N
1166288	3997	1995-01-30	VYDAJ	VYBER	1300	31000	\N	\N	\N
1166289	3997	1996-01-30	VYDAJ	VYBER	600	20691	\N	\N	\N
1166290	3997	1996-01-22	VYDAJ	VYBER	800	25391	\N	\N	\N
1166291	3997	1996-01-01	VYDAJ	VYBER	2100	35073	\N	\N	\N
1166292	3997	1996-01-23	VYDAJ	VYBER	2800	21291	\N	\N	\N
1166293	3997	1996-01-14	VYDAJ	VYBER	1900	26191	\N	\N	\N
1166294	3997	1996-01-22	VYDAJ	VYBER	1300	24091	\N	\N	\N
1166295	3997	1997-01-10	VYDAJ	VYBER	900	16901	\N	\N	\N
1166296	3997	1997-01-17	VYDAJ	VYBER	2800	22119	\N	\N	\N
1166298	3997	1997-01-25	VYDAJ	VYBER	2300	15019	\N	\N	\N
1166299	3997	1997-01-23	VYDAJ	VYBER	2200	17319	\N	\N	\N
1166300	3997	1997-01-17	VYDAJ	VYBER	2600	19519	\N	\N	\N
1166301	3997	1998-01-01	VYDAJ	VYBER	1600	21769	\N	\N	\N
1166302	3997	1998-01-02	VYDAJ	VYBER	2300	17569	\N	\N	\N
1166303	3997	1998-01-30	VYDAJ	VYBER	1900	16587	\N	\N	\N
1166305	3997	1998-01-01	VYDAJ	VYBER	1900	19869	\N	\N	\N
1166306	3997	1998-01-05	VYDAJ	VYBER	1300	16269	\N	\N	\N
1166307	3997	1994-07-29	VYDAJ	VYBER	2300	32336	\N	\N	\N
1166313	3997	1994-11-11	VYDAJ	VYBER	1200	38741	\N	\N	\N
1166314	3997	1995-02-09	VYDAJ	VYBER	3000	24951	\N	\N	\N
1166315	3997	1995-05-02	VYDAJ	VYBER	2300	32187	\N	\N	\N
1166316	3997	1995-11-07	VYDAJ	VYBER	2000	23391	\N	\N	\N
1166317	3997	1995-06-29	VYDAJ	VYBER	2900	26761	\N	\N	\N
1166318	3997	1995-04-20	VYDAJ	VYBER	1900	34353	\N	\N	\N
1166319	3997	1995-08-01	VYDAJ	VYBER	1500	27018	\N	\N	\N
1166320	3997	1995-02-05	VYDAJ	VYBER	2600	28551	\N	\N	\N
1166321	3997	1995-09-01	VYDAJ	VYBER	700	28536	\N	\N	\N
1166322	3997	1996-07-12	VYDAJ	VYBER	3600	26486	\N	\N	\N
1166323	3997	1996-03-14	VYDAJ	VYBER	4100	24004	\N	\N	\N
1166324	3997	1996-04-28	VYDAJ	VYBER	2300	22516	\N	\N	\N
1166325	3997	1996-08-17	VYDAJ	VYBER	1900	29008	\N	\N	\N
1166326	3997	1996-07-10	VYDAJ	VYBER	4500	22068	\N	\N	\N
1166327	3997	1996-08-19	VYDAJ	VYBER	3600	25408	\N	\N	\N
1166328	3997	1997-07-12	VYDAJ	VYBER	2000	34267	\N	\N	\N
1166329	3997	1997-10-30	VYDAJ	VYBER	2000	29094	\N	\N	\N
1166330	3997	1997-05-20	VYDAJ	VYBER	2500	25245	\N	\N	\N
1166331	3997	1997-04-11	VYDAJ	VYBER	3300	19667	\N	\N	\N
1166332	3997	1997-06-22	VYDAJ	VYBER	3600	28147	\N	\N	\N
1166333	3997	1998-02-28	VYDAJ	VYBER	2900	21818	\N	\N	\N
1166335	3997	1998-03-14	VYDAJ	VYBER	3900	25936	\N	\N	\N
1166336	3997	1998-08-13	VYDAJ	VYBER	4200	26232	\N	\N	\N
1166337	3997	1998-09-12	VYDAJ	VYBER	3300	31036	\N	\N	\N
1166338	3997	1998-04-12	VYDAJ	VYBER	500	33543	\N	\N	\N
1166346	3997	1994-06-30	VYDAJ	VYBER	15	35718	SLUZBY	\N	\N
1166347	3997	1994-07-31	VYDAJ	VYBER	15	32467	SLUZBY	\N	\N
1166348	3997	1994-08-31	VYDAJ	VYBER	15	32104	SLUZBY	\N	\N
1166349	3997	1994-09-30	VYDAJ	VYBER	15	37656	SLUZBY	\N	\N
1166350	3997	1994-10-31	VYDAJ	VYBER	15	39923	SLUZBY	\N	\N
1166351	3997	1994-11-30	VYDAJ	VYBER	15	38892	SLUZBY	\N	\N
1166352	3997	1994-12-31	VYDAJ	VYBER	15	44182	SLUZBY	\N	\N
1166353	3997	1995-01-31	VYDAJ	VYBER	15	31151	SLUZBY	\N	\N
1166354	3997	1995-02-28	VYDAJ	VYBER	15	33086	SLUZBY	\N	\N
1166355	3997	1995-03-31	VYDAJ	VYBER	15	36235	SLUZBY	\N	\N
1166356	3997	1995-04-30	VYDAJ	VYBER	15	34487	SLUZBY	\N	\N
1166357	3997	1995-05-31	VYDAJ	VYBER	15	35834	SLUZBY	\N	\N
1166358	3997	1995-06-30	VYDAJ	VYBER	15	26898	SLUZBY	\N	\N
1166359	3997	1995-07-31	VYDAJ	VYBER	15	28518	SLUZBY	\N	\N
1166360	3997	1995-08-31	VYDAJ	VYBER	15	29236	SLUZBY	\N	\N
1166361	3997	1995-09-30	VYDAJ	VYBER	15	30057	SLUZBY	\N	\N
1166362	3997	1995-10-31	VYDAJ	VYBER	15	32091	SLUZBY	\N	\N
1166363	3997	1995-11-30	VYDAJ	VYBER	15	31521	SLUZBY	\N	\N
1166364	3997	1995-12-31	VYDAJ	VYBER	15	37173	SLUZBY	\N	\N
1166365	3997	1996-01-31	VYDAJ	VYBER	15	20775	SLUZBY	\N	\N
1166366	3997	1996-02-29	VYDAJ	VYBER	15	29086	SLUZBY	\N	\N
1166367	3997	1996-03-31	VYDAJ	VYBER	15	24098	SLUZBY	\N	\N
1166368	3997	1996-04-30	VYDAJ	VYBER	15	22602	SLUZBY	\N	\N
1166369	3997	1996-05-31	VYDAJ	VYBER	15	29618	SLUZBY	\N	\N
1166370	3997	1996-06-30	VYDAJ	VYBER	15	35068	SLUZBY	\N	\N
1166371	3997	1996-07-31	VYDAJ	VYBER	15	26590	SLUZBY	\N	\N
1166372	3997	1996-08-31	VYDAJ	VYBER	15	21493	SLUZBY	\N	\N
1166373	3997	1996-09-30	VYDAJ	VYBER	15	21285	SLUZBY	\N	\N
1166374	3997	1996-10-31	VYDAJ	VYBER	15	23277	SLUZBY	\N	\N
1166375	3997	1996-11-30	VYDAJ	VYBER	15	21975	SLUZBY	\N	\N
1166376	3997	1996-12-31	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
1166377	3997	1997-01-31	VYDAJ	VYBER	15	15089	SLUZBY	\N	\N
1166378	3997	1997-02-28	VYDAJ	VYBER	15	23155	SLUZBY	\N	\N
1166379	3997	1997-03-31	VYDAJ	VYBER	15	14949	SLUZBY	\N	\N
1166380	3997	1997-04-30	VYDAJ	VYBER	15	19727	SLUZBY	\N	\N
1166381	3997	1997-05-31	VYDAJ	VYBER	15	25320	SLUZBY	\N	\N
1166382	3997	1997-06-30	VYDAJ	VYBER	15	28249	SLUZBY	\N	\N
1166383	3997	1997-07-31	VYDAJ	VYBER	15	34385	SLUZBY	\N	\N
1166384	3997	1997-08-31	VYDAJ	VYBER	15	15011	SLUZBY	\N	\N
1166385	3997	1997-09-30	VYDAJ	VYBER	15	23076	SLUZBY	\N	\N
1166386	3997	1997-10-31	VYDAJ	VYBER	15	29176	SLUZBY	\N	\N
1166387	3997	1997-11-30	VYDAJ	VYBER	15	13281	SLUZBY	\N	\N
1166388	3997	1997-12-31	VYDAJ	VYBER	15	23369	SLUZBY	\N	\N
1166389	3997	1998-01-31	VYDAJ	VYBER	15	16647	SLUZBY	\N	\N
1166390	3997	1998-02-28	VYDAJ	VYBER	15	24718	SLUZBY	\N	\N
1166391	3997	1998-03-31	VYDAJ	VYBER	15	26025	SLUZBY	\N	\N
1166392	3997	1998-04-30	VYDAJ	VYBER	15	33654	SLUZBY	\N	\N
1166393	3997	1998-05-31	VYDAJ	VYBER	15	17674	SLUZBY	\N	\N
1166394	3997	1998-06-30	VYDAJ	VYBER	15	14353	SLUZBY	\N	\N
1166395	3997	1998-07-31	VYDAJ	VYBER	15	22414	SLUZBY	\N	\N
1166396	3997	1998-08-31	VYDAJ	VYBER	15	26318	SLUZBY	\N	\N
1166397	3997	1998-09-30	VYDAJ	VYBER	15	14713	SLUZBY	\N	\N
1166398	3997	1998-10-31	VYDAJ	VYBER	15	22776	SLUZBY	\N	\N
1166399	3997	1998-11-30	VYDAJ	VYBER	15	30872	SLUZBY	\N	\N
1166400	3997	1994-02-12	PRIJEM	VKLAD	8000	17018	\N	\N	\N
1166401	3997	1994-03-14	PRIJEM	VKLAD	1000	26079	\N	\N	\N
1166402	3997	1994-04-13	VYDAJ	VYBER	2500	31690	\N	\N	\N
1166403	3997	1994-05-13	VYDAJ	VYBER	7900	31931	\N	\N	\N
1166404	3997	1994-06-12	VYDAJ	VYBER	8500	35590	\N	\N	\N
1166405	3997	1994-07-12	VYDAJ	VYBER	9100	34636	\N	\N	\N
1166406	3997	1994-08-11	VYDAJ	VYBER	8500	31985	\N	\N	\N
1166407	3997	1994-09-10	VYDAJ	VYBER	2600	29504	\N	\N	\N
1166408	3997	1994-10-10	VYDAJ	VYBER	5900	31756	\N	\N	\N
1166409	3997	1994-11-09	VYDAJ	VYBER	8000	31923	\N	\N	\N
1166410	3997	1994-12-09	VYDAJ	VYBER	6200	32692	\N	\N	\N
1166411	3997	1995-01-08	VYDAJ	VYBER	8000	36182	\N	\N	\N
1166412	3997	1995-02-07	VYDAJ	VYBER	600	27951	\N	\N	\N
1166413	3997	1995-03-09	VYDAJ	VYBER	5000	28086	\N	\N	\N
1166414	3997	1995-04-08	VYDAJ	VYBER	8000	28235	\N	\N	\N
1166415	3997	1995-05-08	VYDAJ	VYBER	4500	27687	\N	\N	\N
1166416	3997	1995-06-07	VYDAJ	VYBER	7000	28834	\N	\N	\N
1166417	3997	1995-07-07	VYDAJ	VYBER	6500	20398	\N	\N	\N
1166418	3997	1995-08-06	VYDAJ	VYBER	5900	21118	\N	\N	\N
1166419	3997	1995-09-05	VYDAJ	VYBER	6600	21936	\N	\N	\N
1166420	3997	1995-10-05	VYDAJ	VYBER	6100	23957	\N	\N	\N
1166421	3997	1995-11-04	VYDAJ	VYBER	6700	25391	\N	\N	\N
1166422	3997	1995-12-04	VYDAJ	VYBER	3800	25021	\N	\N	\N
1166423	3997	1996-01-03	VYDAJ	VYBER	6200	20073	\N	\N	\N
1166424	3997	1996-02-02	PRIJEM	VKLAD	200	20975	\N	\N	\N
1166425	3997	1996-03-03	VYDAJ	VYBER	9000	20086	\N	\N	\N
1166426	3997	1996-04-02	VYDAJ	VYBER	7300	16798	\N	\N	\N
1166427	3997	1996-05-02	VYDAJ	VYBER	1100	21502	\N	\N	\N
1166428	3997	1996-06-01	VYDAJ	VYBER	6700	22918	\N	\N	\N
1166429	3997	1996-07-01	VYDAJ	VYBER	8500	26568	\N	\N	\N
1166430	3997	1996-07-31	VYDAJ	VYBER	3700	22890	\N	\N	\N
1166431	3997	1996-08-30	VYDAJ	VYBER	4000	21408	\N	\N	\N
1166432	3997	1996-09-29	VYDAJ	VYBER	8300	21211	\N	\N	\N
1166433	3997	1996-10-29	VYDAJ	VYBER	6100	23203	\N	\N	\N
1166434	3997	1996-11-28	VYDAJ	VYBER	9400	21895	\N	\N	\N
1166435	3997	1996-12-28	VYDAJ	VYBER	10000	22102	\N	\N	\N
1166436	3997	1997-03-28	VYDAJ	VYBER	16300	14873	\N	\N	\N
1166437	3997	1997-08-25	VYDAJ	VYBER	27500	14903	\N	\N	\N
1166438	3997	1997-11-23	VYDAJ	VYBER	24000	13194	\N	\N	\N
1166439	3997	1998-05-22	VYDAJ	VYBER	24100	17572	\N	\N	\N
1166440	3997	1998-06-21	VYDAJ	VYBER	15400	14301	\N	\N	\N
1166441	3997	1998-09-19	VYDAJ	VYBER	16400	14636	\N	\N	\N
1166501	3998	1996-04-20	PRIJEM	VKLAD	400	400	\N	\N	\N
1166506	3998	1996-05-08	PRIJEM	VKLAD	16706	17106	\N	\N	\N
1166507	3998	1996-06-08	PRIJEM	VKLAD	25059	47702	\N	\N	\N
1166508	3998	1996-07-08	PRIJEM	VKLAD	16706	54026	\N	\N	\N
1166509	3998	1996-08-08	PRIJEM	VKLAD	16706	56591	\N	\N	\N
1166510	3998	1996-09-08	PRIJEM	VKLAD	16706	60069	\N	\N	\N
1166511	3998	1996-10-08	PRIJEM	VKLAD	16706	54982	\N	\N	\N
1166512	3998	1996-11-08	PRIJEM	VKLAD	16706	58168	\N	\N	\N
1166513	3998	1996-12-08	PRIJEM	VKLAD	25059	68214	\N	\N	\N
1166514	3998	1997-01-08	PRIJEM	VKLAD	16706	59827	\N	\N	\N
1166515	3998	1997-02-08	PRIJEM	VKLAD	16706	51214	\N	\N	\N
1166516	3998	1997-03-08	PRIJEM	VKLAD	16706	54780	\N	\N	\N
1166517	3998	1997-04-08	PRIJEM	VKLAD	16706	51449	\N	\N	\N
1166518	3998	1997-05-08	PRIJEM	VKLAD	16706	52110	\N	\N	\N
1166519	3998	1997-06-08	PRIJEM	VKLAD	25059	62330	\N	\N	\N
1166520	3998	1997-07-08	PRIJEM	VKLAD	16706	39032	\N	\N	\N
1166521	3998	1997-08-08	PRIJEM	VKLAD	16706	42646	\N	\N	\N
1166522	3998	1997-09-08	PRIJEM	VKLAD	16706	45173	\N	\N	\N
1166523	3998	1997-10-08	PRIJEM	VKLAD	16706	45092	\N	\N	\N
1166524	3998	1997-11-08	PRIJEM	VKLAD	16706	41564	\N	\N	\N
1166525	3998	1997-12-08	PRIJEM	VKLAD	25059	50344	\N	\N	\N
1166526	3998	1998-01-08	PRIJEM	VKLAD	16706	43138	\N	\N	\N
1166527	3998	1998-02-08	PRIJEM	VKLAD	16706	33078	\N	\N	\N
1166528	3998	1998-03-08	PRIJEM	VKLAD	16706	39177	\N	\N	\N
1166529	3998	1998-04-08	PRIJEM	VKLAD	16706	39576	\N	\N	\N
1166530	3998	1998-05-08	PRIJEM	VKLAD	16706	41095	\N	\N	\N
1166531	3998	1998-06-08	PRIJEM	VKLAD	25059	48755	\N	\N	\N
1166532	3998	1998-07-08	PRIJEM	VKLAD	16706	41465	\N	\N	\N
1166533	3998	1998-08-08	PRIJEM	VKLAD	16706	40380	\N	\N	\N
1166534	3998	1998-09-08	PRIJEM	VKLAD	16706	35627	\N	\N	\N
1166535	3998	1998-10-08	PRIJEM	VKLAD	16706	42469	\N	\N	\N
1166536	3998	1998-11-08	PRIJEM	VKLAD	16706	44232	\N	\N	\N
1166537	3998	1998-12-08	PRIJEM	VKLAD	25059	61251	\N	\N	\N
1166546	3998	1996-09-11	VYDAJ	PREVOD NA UCET	2364	57705	SIPO	QR	26202184
1166547	3998	1996-10-11	VYDAJ	PREVOD NA UCET	2364	51099	SIPO	QR	26202184
1166548	3998	1996-11-11	VYDAJ	PREVOD NA UCET	2364	55804	SIPO	QR	26202184
1166549	3998	1996-12-11	VYDAJ	PREVOD NA UCET	2364	65850	SIPO	QR	26202184
1166550	3998	1997-01-11	VYDAJ	PREVOD NA UCET	2364	54504	SIPO	QR	26202184
1166551	3998	1997-02-11	VYDAJ	PREVOD NA UCET	2364	48850	SIPO	QR	26202184
1166552	3998	1997-03-11	VYDAJ	PREVOD NA UCET	2364	52416	SIPO	QR	26202184
1166553	3998	1997-04-11	VYDAJ	PREVOD NA UCET	2364	47566	SIPO	QR	26202184
1166554	3998	1997-05-11	VYDAJ	PREVOD NA UCET	2364	49746	SIPO	QR	26202184
1166555	3998	1997-06-11	VYDAJ	PREVOD NA UCET	2364	22127	SIPO	QR	26202184
1166556	3998	1997-07-11	VYDAJ	PREVOD NA UCET	2364	36668	SIPO	QR	26202184
1166557	3998	1997-08-11	VYDAJ	PREVOD NA UCET	2364	40282	SIPO	QR	26202184
1166558	3998	1997-09-11	VYDAJ	PREVOD NA UCET	2364	42809	SIPO	QR	26202184
1166559	3998	1997-10-11	VYDAJ	PREVOD NA UCET	2364	41209	SIPO	QR	26202184
1166560	3998	1997-11-11	VYDAJ	PREVOD NA UCET	2364	25181	SIPO	QR	26202184
1166561	3998	1997-12-11	VYDAJ	PREVOD NA UCET	2364	45220	SIPO	QR	26202184
1166562	3998	1998-01-11	VYDAJ	PREVOD NA UCET	2364	28374	SIPO	QR	26202184
1166563	3998	1998-02-11	VYDAJ	PREVOD NA UCET	2364	23914	SIPO	QR	26202184
1166564	3998	1998-03-11	VYDAJ	PREVOD NA UCET	2364	25294	SIPO	QR	26202184
1166565	3998	1998-04-11	VYDAJ	PREVOD NA UCET	2364	25812	SIPO	QR	26202184
1166566	3998	1998-05-11	VYDAJ	PREVOD NA UCET	2364	25131	SIPO	QR	26202184
1166567	3998	1998-06-11	VYDAJ	PREVOD NA UCET	2364	26191	SIPO	QR	26202184
1166568	3998	1998-07-11	VYDAJ	PREVOD NA UCET	2364	23582	SIPO	QR	26202184
1166569	3998	1998-08-11	VYDAJ	PREVOD NA UCET	2364	26697	SIPO	QR	26202184
1166570	3998	1998-09-11	VYDAJ	PREVOD NA UCET	2364	31744	SIPO	QR	26202184
1166571	3998	1998-10-11	VYDAJ	PREVOD NA UCET	2364	40105	SIPO	QR	26202184
1166572	3998	1998-11-11	VYDAJ	PREVOD NA UCET	2364	41868	SIPO	QR	26202184
1166573	3998	1998-12-11	VYDAJ	PREVOD NA UCET	2364	57368	SIPO	QR	26202184
1166582	3998	1996-09-11	VYDAJ	PREVOD NA UCET	1519	56186	 	KL	25096166
1166583	3998	1996-10-11	VYDAJ	PREVOD NA UCET	1519	53463	 	KL	25096166
1166584	3998	1996-11-11	VYDAJ	PREVOD NA UCET	1519	54285	 	KL	25096166
1166585	3998	1996-12-11	VYDAJ	PREVOD NA UCET	1519	64331	 	KL	25096166
1166586	3998	1997-01-11	VYDAJ	PREVOD NA UCET	1519	56868	 	KL	25096166
1166587	3998	1997-02-11	VYDAJ	PREVOD NA UCET	1519	47331	 	KL	25096166
1166588	3998	1997-03-11	VYDAJ	PREVOD NA UCET	1519	50897	 	KL	25096166
1166589	3998	1997-04-11	VYDAJ	PREVOD NA UCET	1519	49930	 	KL	25096166
1166590	3998	1997-05-11	VYDAJ	PREVOD NA UCET	1519	48227	 	KL	25096166
1166591	3998	1997-06-11	VYDAJ	PREVOD NA UCET	1519	24491	 	KL	25096166
1166592	3998	1997-07-11	VYDAJ	PREVOD NA UCET	1519	35149	 	KL	25096166
1166593	3998	1997-08-11	VYDAJ	PREVOD NA UCET	1519	38763	 	KL	25096166
1166594	3998	1997-09-11	VYDAJ	PREVOD NA UCET	1519	41290	 	KL	25096166
1166595	3998	1997-10-11	VYDAJ	PREVOD NA UCET	1519	43573	 	KL	25096166
1166596	3998	1997-11-11	VYDAJ	PREVOD NA UCET	1519	40045	 	KL	25096166
1166597	3998	1997-12-11	VYDAJ	PREVOD NA UCET	1519	43701	 	KL	25096166
1166598	3998	1998-01-11	VYDAJ	PREVOD NA UCET	1519	23855	 	KL	25096166
1166599	3998	1998-02-11	VYDAJ	PREVOD NA UCET	1519	22395	 	KL	25096166
1166600	3998	1998-03-11	VYDAJ	PREVOD NA UCET	1519	27658	 	KL	25096166
1166601	3998	1998-04-11	VYDAJ	PREVOD NA UCET	1519	24293	 	KL	25096166
1166602	3998	1998-05-11	VYDAJ	PREVOD NA UCET	1519	23612	 	KL	25096166
1166603	3998	1998-06-11	VYDAJ	PREVOD NA UCET	1519	24672	 	KL	25096166
1166604	3998	1998-07-11	VYDAJ	PREVOD NA UCET	1519	25946	 	KL	25096166
1166605	3998	1998-08-11	VYDAJ	PREVOD NA UCET	1519	29061	 	KL	25096166
1166606	3998	1998-09-11	VYDAJ	PREVOD NA UCET	1519	34108	 	KL	25096166
1166607	3998	1998-10-11	VYDAJ	PREVOD NA UCET	1519	38586	 	KL	25096166
1166608	3998	1998-11-11	VYDAJ	PREVOD NA UCET	1519	40349	 	KL	25096166
1166609	3998	1998-12-11	VYDAJ	PREVOD NA UCET	1519	59732	 	KL	25096166
1166611	3998	1997-06-10	VYDAJ	VYBER	36320	26010	\N	\N	\N
1166613	3998	1996-12-22	VYDAJ	VYBER	2720	46411	\N	\N	\N
1166614	3998	1997-12-26	VYDAJ	VYBER	2400	26301	\N	\N	\N
1166615	3998	1998-12-20	VYDAJ	VYBER	3840	53528	\N	\N	\N
1166622	3998	1997-01-10	VYDAJ	VYBER	1440	58387	\N	\N	\N
1166623	3998	1997-01-07	VYDAJ	VYBER	1560	43121	\N	\N	\N
1166624	3998	1997-01-05	VYDAJ	VYBER	1920	44681	\N	\N	\N
1166625	3998	1997-01-25	VYDAJ	VYBER	720	34344	\N	\N	\N
1166626	3998	1997-01-18	VYDAJ	VYBER	3240	38064	\N	\N	\N
1166627	3998	1997-01-19	VYDAJ	VYBER	3000	35064	\N	\N	\N
1166628	3998	1998-01-18	VYDAJ	VYBER	1680	19055	\N	\N	\N
1166630	3998	1998-01-18	VYDAJ	VYBER	3120	20735	\N	\N	\N
1166631	3998	1998-01-11	VYDAJ	VYBER	3000	25374	\N	\N	\N
1166633	3998	1998-01-25	VYDAJ	VYBER	2760	16295	\N	\N	\N
1166634	3998	1996-09-11	VYDAJ	VYBER	4560	51626	\N	\N	\N
1166637	3998	1996-09-28	VYDAJ	VYBER	1920	38106	\N	\N	\N
1166639	3998	1997-12-10	VYDAJ	VYBER	2760	47584	\N	\N	\N
1166640	3998	1997-04-17	VYDAJ	VYBER	600	35266	\N	\N	\N
1166641	3998	1997-10-06	VYDAJ	VYBER	2760	29946	\N	\N	\N
1166642	3998	1997-11-06	VYDAJ	VYBER	1440	24858	\N	\N	\N
1166643	3998	1997-10-12	VYDAJ	VYBER	1320	26189	\N	\N	\N
1166644	3998	1997-10-06	VYDAJ	VYBER	1560	28386	\N	\N	\N
1166645	3998	1998-09-05	VYDAJ	VYBER	3480	23321	\N	\N	\N
1166646	3998	1998-10-16	VYDAJ	VYBER	5880	32706	\N	\N	\N
1166647	3998	1998-10-17	VYDAJ	VYBER	3600	29106	\N	\N	\N
1166648	3998	1998-04-07	VYDAJ	VYBER	2520	22870	\N	\N	\N
1166658	3998	1996-09-30	VYDAJ	VYBER	15	38276	SLUZBY	\N	\N
1166659	3998	1996-10-31	VYDAJ	VYBER	15	41462	SLUZBY	\N	\N
1166660	3998	1996-11-30	VYDAJ	VYBER	15	43155	SLUZBY	\N	\N
1166661	3998	1996-12-31	VYDAJ	VYBER	15	46601	SLUZBY	\N	\N
1166662	3998	1997-01-31	VYDAJ	VYBER	15	34508	SLUZBY	\N	\N
1166663	3998	1997-02-28	VYDAJ	VYBER	15	38074	SLUZBY	\N	\N
1166664	3998	1997-03-31	VYDAJ	VYBER	15	34743	SLUZBY	\N	\N
1166665	3998	1997-04-30	VYDAJ	VYBER	15	35404	SLUZBY	\N	\N
1166666	3998	1997-05-31	VYDAJ	VYBER	15	37271	SLUZBY	\N	\N
1166667	3998	1997-06-30	VYDAJ	VYBER	15	22326	SLUZBY	\N	\N
1166668	3998	1997-07-31	VYDAJ	VYBER	15	25940	SLUZBY	\N	\N
1166669	3998	1997-08-31	VYDAJ	VYBER	15	28467	SLUZBY	\N	\N
1166670	3998	1997-09-30	VYDAJ	VYBER	15	32706	SLUZBY	\N	\N
1166671	3998	1997-10-31	VYDAJ	VYBER	15	26298	SLUZBY	\N	\N
1166672	3998	1997-11-30	VYDAJ	VYBER	15	25285	SLUZBY	\N	\N
1166673	3998	1997-12-31	VYDAJ	VYBER	15	26432	SLUZBY	\N	\N
1166674	3998	1998-01-31	VYDAJ	VYBER	15	16372	SLUZBY	\N	\N
1166675	3998	1998-02-28	VYDAJ	VYBER	15	22471	SLUZBY	\N	\N
1166676	3998	1998-03-31	VYDAJ	VYBER	15	25390	SLUZBY	\N	\N
1166677	3998	1998-04-30	VYDAJ	VYBER	15	24389	SLUZBY	\N	\N
1166678	3998	1998-05-31	VYDAJ	VYBER	15	23696	SLUZBY	\N	\N
1166679	3998	1998-06-30	VYDAJ	VYBER	15	24759	SLUZBY	\N	\N
1166680	3998	1998-07-31	VYDAJ	VYBER	15	23674	SLUZBY	\N	\N
1166681	3998	1998-08-31	VYDAJ	VYBER	15	26801	SLUZBY	\N	\N
1166682	3998	1998-09-30	VYDAJ	VYBER	15	31863	SLUZBY	\N	\N
1166683	3998	1998-10-31	VYDAJ	VYBER	15	29226	SLUZBY	\N	\N
1166684	3998	1998-11-30	VYDAJ	VYBER	15	40492	SLUZBY	\N	\N
1166685	3998	1996-05-20	PRIJEM	VKLAD	5500	22606	\N	\N	\N
1166686	3998	1996-06-19	VYDAJ	VYBER	10500	37202	\N	\N	\N
1166687	3998	1996-07-19	VYDAJ	VYBER	14300	39726	\N	\N	\N
1166688	3998	1996-08-18	VYDAJ	VYBER	13400	43191	\N	\N	\N
1166689	3998	1996-09-17	VYDAJ	VYBER	11600	40026	\N	\N	\N
1166690	3998	1996-10-17	VYDAJ	VYBER	9800	41299	\N	\N	\N
1166691	3998	1996-11-16	VYDAJ	VYBER	11300	42985	\N	\N	\N
1166692	3998	1996-12-16	VYDAJ	VYBER	15200	49131	\N	\N	\N
1166693	3998	1997-01-15	VYDAJ	VYBER	13200	41304	\N	\N	\N
1166694	3998	1997-02-14	VYDAJ	VYBER	9400	37931	\N	\N	\N
1166695	3998	1997-03-16	VYDAJ	VYBER	16300	34597	\N	\N	\N
1166696	3998	1997-04-15	VYDAJ	VYBER	11700	35866	\N	\N	\N
1166697	3998	1997-05-15	VYDAJ	VYBER	11100	37127	\N	\N	\N
1166698	3998	1997-06-14	PRIJEM	VKLAD	100	22227	\N	\N	\N
1166699	3998	1997-07-14	VYDAJ	VYBER	9300	25849	\N	\N	\N
1166700	3998	1997-08-13	VYDAJ	VYBER	10400	28363	\N	\N	\N
1166701	3998	1997-09-12	VYDAJ	VYBER	8700	32590	\N	\N	\N
1166702	3998	1997-10-12	VYDAJ	VYBER	13700	27509	\N	\N	\N
1166703	3998	1997-11-11	VYDAJ	VYBER	12500	27545	\N	\N	\N
1166704	3998	1997-12-11	VYDAJ	VYBER	15000	28701	\N	\N	\N
1166705	3998	1998-01-10	VYDAJ	VYBER	12400	30738	\N	\N	\N
1166706	3998	1998-02-09	VYDAJ	VYBER	6800	26278	\N	\N	\N
1166707	3998	1998-03-11	VYDAJ	VYBER	10000	29177	\N	\N	\N
1166708	3998	1998-04-10	VYDAJ	VYBER	11400	28176	\N	\N	\N
1166709	3998	1998-05-10	VYDAJ	VYBER	13600	27495	\N	\N	\N
1166710	3998	1998-06-09	VYDAJ	VYBER	20200	28555	\N	\N	\N
1166711	3998	1998-07-09	VYDAJ	VYBER	14000	27465	\N	\N	\N
1166712	3998	1998-08-08	VYDAJ	VYBER	9800	30580	\N	\N	\N
1166713	3998	1998-09-07	VYDAJ	VYBER	4400	18921	\N	\N	\N
1166714	3998	1998-10-07	VYDAJ	VYBER	6100	25763	\N	\N	\N
1166715	3998	1998-11-06	VYDAJ	VYBER	1700	27526	\N	\N	\N
1166716	3998	1998-12-06	VYDAJ	VYBER	4300	36192	\N	\N	\N
1166749	3999	1993-05-06	PRIJEM	VKLAD	400	400	\N	\N	\N
1166754	3999	1993-05-14	PRIJEM	VKLAD	12245	12645	\N	\N	\N
1166755	3999	1993-06-14	PRIJEM	VKLAD	18368	36143	\N	\N	\N
1166756	3999	1993-07-14	PRIJEM	VKLAD	12245	42296	\N	\N	\N
1166757	3999	1993-08-14	PRIJEM	VKLAD	12245	44707	\N	\N	\N
1166758	3999	1993-09-14	PRIJEM	VKLAD	12245	45934	\N	\N	\N
1166759	3999	1993-10-14	PRIJEM	VKLAD	12245	41952	\N	\N	\N
1166760	3999	1993-11-14	PRIJEM	VKLAD	12245	37646	\N	\N	\N
1166761	3999	1993-12-14	PRIJEM	VKLAD	18368	37645	\N	\N	\N
1166762	3999	1994-01-14	PRIJEM	VKLAD	12245	34207	\N	\N	\N
1166763	3999	1994-02-14	PRIJEM	VKLAD	12245	32417	\N	\N	\N
1166764	3999	1994-03-14	PRIJEM	VKLAD	12245	36268	\N	\N	\N
1166765	3999	1994-04-14	PRIJEM	VKLAD	12245	36834	\N	\N	\N
1166766	3999	1994-05-14	PRIJEM	VKLAD	12245	36204	\N	\N	\N
1166767	3999	1994-06-14	PRIJEM	VKLAD	18368	41293	\N	\N	\N
1166768	3999	1994-07-14	PRIJEM	VKLAD	12245	39568	\N	\N	\N
1166769	3999	1994-08-14	PRIJEM	VKLAD	12245	34227	\N	\N	\N
1166770	3999	1994-09-14	PRIJEM	VKLAD	12245	35185	\N	\N	\N
1166771	3999	1994-10-14	PRIJEM	VKLAD	12245	38446	\N	\N	\N
1166772	3999	1994-11-14	PRIJEM	VKLAD	12245	38819	\N	\N	\N
1166773	3999	1994-12-14	PRIJEM	VKLAD	18368	45415	\N	\N	\N
1166774	3999	1995-01-14	PRIJEM	VKLAD	12245	34542	\N	\N	\N
1166775	3999	1995-02-14	PRIJEM	VKLAD	12245	21087	\N	\N	\N
1166776	3999	1995-03-14	PRIJEM	VKLAD	12245	34193	\N	\N	\N
1166777	3999	1995-04-14	PRIJEM	VKLAD	12245	39251	\N	\N	\N
1166778	3999	1995-05-14	PRIJEM	VKLAD	12245	38625	\N	\N	\N
1166779	3999	1995-06-14	PRIJEM	VKLAD	18368	44000	\N	\N	\N
1166780	3999	1995-07-14	PRIJEM	VKLAD	12245	46687	\N	\N	\N
1166781	3999	1995-08-14	PRIJEM	VKLAD	12245	49294	\N	\N	\N
1166782	3999	1995-09-14	PRIJEM	VKLAD	12245	50310	\N	\N	\N
1166783	3999	1995-10-14	PRIJEM	VKLAD	12245	49327	\N	\N	\N
1166784	3999	1995-11-14	PRIJEM	VKLAD	12245	52322	\N	\N	\N
1166785	3999	1995-12-14	PRIJEM	VKLAD	18368	60774	\N	\N	\N
1166786	3999	1996-01-14	PRIJEM	VKLAD	12245	56339	\N	\N	\N
1166787	3999	1996-02-14	PRIJEM	VKLAD	12245	43215	\N	\N	\N
1166788	3999	1996-03-14	PRIJEM	VKLAD	12245	56821	\N	\N	\N
1166789	3999	1996-04-14	PRIJEM	VKLAD	12245	61272	\N	\N	\N
1166790	3999	1996-05-14	PRIJEM	VKLAD	12245	64639	\N	\N	\N
1166791	3999	1996-06-14	PRIJEM	VKLAD	18368	65698	\N	\N	\N
1166792	3999	1996-07-14	PRIJEM	VKLAD	12245	46347	\N	\N	\N
1166793	3999	1996-08-14	PRIJEM	VKLAD	12245	57595	\N	\N	\N
1166794	3999	1996-09-14	PRIJEM	VKLAD	12245	64520	\N	\N	\N
1166795	3999	1996-10-14	PRIJEM	VKLAD	12245	74111	\N	\N	\N
1166796	3999	1996-11-14	PRIJEM	VKLAD	12245	78232	\N	\N	\N
1166797	3999	1996-12-14	PRIJEM	VKLAD	18368	84049	\N	\N	\N
1166798	3999	1997-01-14	PRIJEM	VKLAD	12245	83879	\N	\N	\N
1166799	3999	1997-02-14	PRIJEM	VKLAD	12245	76429	\N	\N	\N
1166800	3999	1997-03-14	PRIJEM	VKLAD	12245	73980	\N	\N	\N
1166801	3999	1997-04-14	PRIJEM	VKLAD	12245	83010	\N	\N	\N
1166802	3999	1997-05-14	PRIJEM	VKLAD	12245	84461	\N	\N	\N
1166803	3999	1997-06-14	PRIJEM	VKLAD	18368	62753	\N	\N	\N
1166804	3999	1997-07-14	PRIJEM	VKLAD	12245	67524	\N	\N	\N
1166805	3999	1997-08-14	PRIJEM	VKLAD	12245	77918	\N	\N	\N
1166806	3999	1997-09-14	PRIJEM	VKLAD	12245	79680	\N	\N	\N
1166807	3999	1997-10-14	PRIJEM	VKLAD	12245	79363	\N	\N	\N
1166808	3999	1997-11-14	PRIJEM	VKLAD	12245	81909	\N	\N	\N
1166809	3999	1997-12-14	PRIJEM	VKLAD	18368	89988	\N	\N	\N
1166810	3999	1998-01-14	PRIJEM	VKLAD	12245	88666	\N	\N	\N
1166811	3999	1998-02-14	PRIJEM	VKLAD	12245	87416	\N	\N	\N
1166812	3999	1998-03-14	PRIJEM	VKLAD	12245	94088	\N	\N	\N
1166813	3999	1998-04-14	PRIJEM	VKLAD	12245	95885	\N	\N	\N
1166814	3999	1998-05-14	PRIJEM	VKLAD	12245	103500	\N	\N	\N
1166815	3999	1998-06-14	PRIJEM	VKLAD	18368	94642	\N	\N	\N
1166816	3999	1998-07-14	PRIJEM	VKLAD	12245	109331	\N	\N	\N
1166817	3999	1998-08-14	PRIJEM	VKLAD	12245	120586	\N	\N	\N
1166818	3999	1998-09-14	PRIJEM	VKLAD	12245	93284	\N	\N	\N
1166819	3999	1998-10-14	PRIJEM	VKLAD	12245	109059	\N	\N	\N
1166820	3999	1998-11-14	PRIJEM	VKLAD	12245	116340	\N	\N	\N
1166821	3999	1998-12-14	PRIJEM	VKLAD	18368	106756	\N	\N	\N
1166831	3999	1993-10-08	VYDAJ	PREVOD NA UCET	4806	30270	SIPO	IJ	35235697
1166832	3999	1993-11-08	VYDAJ	PREVOD NA UCET	4806	25964	SIPO	IJ	35235697
1166833	3999	1993-12-08	VYDAJ	PREVOD NA UCET	4806	19840	SIPO	IJ	35235697
1166834	3999	1994-01-08	VYDAJ	PREVOD NA UCET	4806	22525	SIPO	IJ	35235697
1166835	3999	1994-02-08	VYDAJ	PREVOD NA UCET	4806	20735	SIPO	IJ	35235697
1166836	3999	1994-03-08	VYDAJ	PREVOD NA UCET	4806	24586	SIPO	IJ	35235697
1166837	3999	1994-04-08	VYDAJ	PREVOD NA UCET	4806	25152	SIPO	IJ	35235697
1166838	3999	1994-05-08	VYDAJ	PREVOD NA UCET	4806	24522	SIPO	IJ	35235697
1166839	3999	1994-06-08	VYDAJ	PREVOD NA UCET	4806	23489	SIPO	IJ	35235697
1166840	3999	1994-07-08	VYDAJ	PREVOD NA UCET	4806	27886	SIPO	IJ	35235697
1166841	3999	1994-08-08	VYDAJ	PREVOD NA UCET	4806	22545	SIPO	IJ	35235697
1166842	3999	1994-09-08	VYDAJ	PREVOD NA UCET	4806	23503	SIPO	IJ	35235697
1166843	3999	1994-10-08	VYDAJ	PREVOD NA UCET	4806	26764	SIPO	IJ	35235697
1166844	3999	1994-11-08	VYDAJ	PREVOD NA UCET	4806	27137	SIPO	IJ	35235697
1166845	3999	1994-12-08	VYDAJ	PREVOD NA UCET	4806	27611	SIPO	IJ	35235697
1166846	3999	1995-01-08	VYDAJ	PREVOD NA UCET	4806	27300	SIPO	IJ	35235697
1166847	3999	1995-02-08	VYDAJ	PREVOD NA UCET	4806	9405	SIPO	IJ	35235697
1166848	3999	1995-03-08	VYDAJ	PREVOD NA UCET	4806	22511	SIPO	IJ	35235697
1166849	3999	1995-04-08	VYDAJ	PREVOD NA UCET	4806	27569	SIPO	IJ	35235697
1166850	3999	1995-05-08	VYDAJ	PREVOD NA UCET	4806	26943	SIPO	IJ	35235697
1166851	3999	1995-06-08	VYDAJ	PREVOD NA UCET	4806	26196	SIPO	IJ	35235697
1166852	3999	1995-07-08	VYDAJ	PREVOD NA UCET	4806	35005	SIPO	IJ	35235697
1166853	3999	1995-08-08	VYDAJ	PREVOD NA UCET	4806	37612	SIPO	IJ	35235697
1166854	3999	1995-09-08	VYDAJ	PREVOD NA UCET	4806	38628	SIPO	IJ	35235697
1166855	3999	1995-10-08	VYDAJ	PREVOD NA UCET	4806	37645	SIPO	IJ	35235697
1166856	3999	1995-11-08	VYDAJ	PREVOD NA UCET	4806	40640	SIPO	IJ	35235697
1166857	3999	1995-12-08	VYDAJ	PREVOD NA UCET	4806	42969	SIPO	IJ	35235697
1166858	3999	1996-01-08	VYDAJ	PREVOD NA UCET	4806	44657	SIPO	IJ	35235697
1166859	3999	1996-02-08	VYDAJ	PREVOD NA UCET	4806	31533	SIPO	IJ	35235697
1166860	3999	1996-03-08	VYDAJ	PREVOD NA UCET	4806	45139	SIPO	IJ	35235697
1166861	3999	1996-04-08	VYDAJ	PREVOD NA UCET	4806	49590	SIPO	IJ	35235697
1166862	3999	1996-05-08	VYDAJ	PREVOD NA UCET	4806	52957	SIPO	IJ	35235697
1166863	3999	1996-06-08	VYDAJ	PREVOD NA UCET	4806	52213	SIPO	IJ	35235697
1166864	3999	1996-07-08	VYDAJ	PREVOD NA UCET	4806	34665	SIPO	IJ	35235697
1166865	3999	1996-08-08	VYDAJ	PREVOD NA UCET	4806	51193	SIPO	IJ	35235697
1166866	3999	1996-09-08	VYDAJ	PREVOD NA UCET	4806	52838	SIPO	IJ	35235697
1166867	3999	1996-10-08	VYDAJ	PREVOD NA UCET	4806	62429	SIPO	IJ	35235697
1166868	3999	1996-11-08	VYDAJ	PREVOD NA UCET	4806	66550	SIPO	IJ	35235697
1166869	3999	1996-12-08	VYDAJ	PREVOD NA UCET	4806	69285	SIPO	IJ	35235697
1166870	3999	1997-01-08	VYDAJ	PREVOD NA UCET	4806	72197	SIPO	IJ	35235697
1166871	3999	1997-02-08	VYDAJ	PREVOD NA UCET	4806	64747	SIPO	IJ	35235697
1166872	3999	1997-03-08	VYDAJ	PREVOD NA UCET	4806	62298	SIPO	IJ	35235697
1166873	3999	1997-04-08	VYDAJ	PREVOD NA UCET	4806	71328	SIPO	IJ	35235697
1166874	3999	1997-05-08	VYDAJ	PREVOD NA UCET	4806	72779	SIPO	IJ	35235697
1166875	3999	1997-06-08	VYDAJ	PREVOD NA UCET	4806	36449	SIPO	IJ	35235697
1166876	3999	1997-07-08	VYDAJ	PREVOD NA UCET	4806	55842	SIPO	IJ	35235697
1166877	3999	1997-08-08	VYDAJ	PREVOD NA UCET	4806	62736	SIPO	IJ	35235697
1166878	3999	1997-09-08	VYDAJ	PREVOD NA UCET	4806	67098	SIPO	IJ	35235697
1166879	3999	1997-10-08	VYDAJ	PREVOD NA UCET	4806	70081	SIPO	IJ	35235697
1166880	3999	1997-11-08	VYDAJ	PREVOD NA UCET	4806	72527	SIPO	IJ	35235697
1166881	3999	1997-12-08	VYDAJ	PREVOD NA UCET	4806	75083	SIPO	IJ	35235697
1166882	3999	1998-01-08	VYDAJ	PREVOD NA UCET	4806	81784	SIPO	IJ	35235697
1166883	3999	1998-02-08	VYDAJ	PREVOD NA UCET	4806	74334	SIPO	IJ	35235697
1166884	3999	1998-03-08	VYDAJ	PREVOD NA UCET	4806	76406	SIPO	IJ	35235697
1166885	3999	1998-04-08	VYDAJ	PREVOD NA UCET	4806	87303	SIPO	IJ	35235697
1166886	3999	1998-05-08	VYDAJ	PREVOD NA UCET	4806	89118	SIPO	IJ	35235697
1166887	3999	1998-06-08	VYDAJ	PREVOD NA UCET	4806	52437	SIPO	IJ	35235697
1166888	3999	1998-07-08	VYDAJ	PREVOD NA UCET	4806	87849	SIPO	IJ	35235697
1166889	3999	1998-08-08	VYDAJ	PREVOD NA UCET	4806	108904	SIPO	IJ	35235697
1166890	3999	1998-09-08	VYDAJ	PREVOD NA UCET	4806	81602	SIPO	IJ	35235697
1166891	3999	1998-10-08	VYDAJ	PREVOD NA UCET	4806	97377	SIPO	IJ	35235697
1166892	3999	1998-11-08	VYDAJ	PREVOD NA UCET	4806	104658	SIPO	IJ	35235697
1166893	3999	1998-12-08	VYDAJ	PREVOD NA UCET	4806	88951	SIPO	IJ	35235697
1166903	3999	1993-10-05	VYDAJ	PREVOD NA UCET	2332	35076	 	AB	48404151
1166904	3999	1993-11-05	VYDAJ	PREVOD NA UCET	2332	30770	 	AB	48404151
1166905	3999	1993-12-05	VYDAJ	PREVOD NA UCET	2332	24646	 	AB	48404151
1166906	3999	1994-01-05	VYDAJ	PREVOD NA UCET	2332	27331	 	AB	48404151
1166907	3999	1994-02-05	VYDAJ	PREVOD NA UCET	2332	25541	 	AB	48404151
1166908	3999	1994-03-05	VYDAJ	PREVOD NA UCET	2332	29392	 	AB	48404151
1166909	3999	1994-04-05	VYDAJ	PREVOD NA UCET	2332	29958	 	AB	48404151
1166910	3999	1994-05-05	VYDAJ	PREVOD NA UCET	2332	29328	 	AB	48404151
1166911	3999	1994-06-05	VYDAJ	PREVOD NA UCET	2332	28295	 	AB	48404151
1166912	3999	1994-07-05	VYDAJ	PREVOD NA UCET	2332	32692	 	AB	48404151
1166913	3999	1994-08-05	VYDAJ	PREVOD NA UCET	2332	27351	 	AB	48404151
1166914	3999	1994-09-05	VYDAJ	PREVOD NA UCET	2332	28309	 	AB	48404151
1166915	3999	1994-10-05	VYDAJ	PREVOD NA UCET	2332	31570	 	AB	48404151
1166916	3999	1994-11-05	VYDAJ	PREVOD NA UCET	2332	31943	 	AB	48404151
1166917	3999	1994-12-05	VYDAJ	PREVOD NA UCET	2332	32417	 	AB	48404151
1166918	3999	1995-01-05	VYDAJ	PREVOD NA UCET	2332	32106	 	AB	48404151
1166919	3999	1995-02-05	VYDAJ	PREVOD NA UCET	2332	14211	 	AB	48404151
1166920	3999	1995-03-05	VYDAJ	PREVOD NA UCET	2332	27317	 	AB	48404151
1166921	3999	1995-04-05	VYDAJ	PREVOD NA UCET	2332	32375	 	AB	48404151
1166922	3999	1995-05-05	VYDAJ	PREVOD NA UCET	2332	31749	 	AB	48404151
1166923	3999	1995-06-05	VYDAJ	PREVOD NA UCET	2332	32922	 	AB	48404151
1166924	3999	1995-07-05	VYDAJ	PREVOD NA UCET	2332	39811	 	AB	48404151
1166925	3999	1995-08-05	VYDAJ	PREVOD NA UCET	2332	42418	 	AB	48404151
1166926	3999	1995-09-05	VYDAJ	PREVOD NA UCET	2332	43434	 	AB	48404151
1166927	3999	1995-10-05	VYDAJ	PREVOD NA UCET	2332	42451	 	AB	48404151
1166928	3999	1995-11-05	VYDAJ	PREVOD NA UCET	2332	45446	 	AB	48404151
1166929	3999	1995-12-05	VYDAJ	PREVOD NA UCET	2332	47775	 	AB	48404151
1166930	3999	1996-01-05	VYDAJ	PREVOD NA UCET	2332	49463	 	AB	48404151
1166931	3999	1996-02-05	VYDAJ	PREVOD NA UCET	2332	36339	 	AB	48404151
1166932	3999	1996-03-05	VYDAJ	PREVOD NA UCET	2332	49945	 	AB	48404151
1166933	3999	1996-04-05	VYDAJ	PREVOD NA UCET	2332	54396	 	AB	48404151
1166934	3999	1996-05-05	VYDAJ	PREVOD NA UCET	2332	57763	 	AB	48404151
1166935	3999	1996-06-05	VYDAJ	PREVOD NA UCET	2332	57019	 	AB	48404151
1166936	3999	1996-07-05	VYDAJ	PREVOD NA UCET	2332	39471	 	AB	48404151
1166937	3999	1996-08-05	VYDAJ	PREVOD NA UCET	2332	55999	 	AB	48404151
1166938	3999	1996-09-05	VYDAJ	PREVOD NA UCET	2332	57644	 	AB	48404151
1166939	3999	1996-10-05	VYDAJ	PREVOD NA UCET	2332	67235	 	AB	48404151
1166940	3999	1996-11-05	VYDAJ	PREVOD NA UCET	2332	71356	 	AB	48404151
1166941	3999	1996-12-05	VYDAJ	PREVOD NA UCET	2332	74091	 	AB	48404151
1166942	3999	1997-01-05	VYDAJ	PREVOD NA UCET	2332	77003	 	AB	48404151
1166943	3999	1997-02-05	VYDAJ	PREVOD NA UCET	2332	74113	 	AB	48404151
1166944	3999	1997-03-05	VYDAJ	PREVOD NA UCET	2332	67104	 	AB	48404151
1166945	3999	1997-04-05	VYDAJ	PREVOD NA UCET	2332	76134	 	AB	48404151
1166946	3999	1997-05-05	VYDAJ	PREVOD NA UCET	2332	77585	 	AB	48404151
1166947	3999	1997-06-05	VYDAJ	PREVOD NA UCET	2332	76135	 	AB	48404151
1166948	3999	1997-07-05	VYDAJ	PREVOD NA UCET	2332	60648	 	AB	48404151
1166949	3999	1997-08-05	VYDAJ	PREVOD NA UCET	2332	67542	 	AB	48404151
1166950	3999	1997-09-05	VYDAJ	PREVOD NA UCET	2332	71904	 	AB	48404151
1166951	3999	1997-10-05	VYDAJ	PREVOD NA UCET	2332	74887	 	AB	48404151
1166952	3999	1997-11-05	VYDAJ	PREVOD NA UCET	2332	77333	 	AB	48404151
1166953	3999	1997-12-05	VYDAJ	PREVOD NA UCET	2332	79889	 	AB	48404151
1166954	3999	1998-01-05	VYDAJ	PREVOD NA UCET	2332	86590	 	AB	48404151
1166955	3999	1998-02-05	VYDAJ	PREVOD NA UCET	2332	79140	 	AB	48404151
1166956	3999	1998-03-05	VYDAJ	PREVOD NA UCET	2332	85412	 	AB	48404151
1166957	3999	1998-04-05	VYDAJ	PREVOD NA UCET	2332	92109	 	AB	48404151
1166958	3999	1998-05-05	VYDAJ	PREVOD NA UCET	2332	93924	 	AB	48404151
1166959	3999	1998-06-05	VYDAJ	PREVOD NA UCET	2332	57243	 	AB	48404151
1166960	3999	1998-07-05	VYDAJ	PREVOD NA UCET	2332	92655	 	AB	48404151
1166961	3999	1998-08-05	VYDAJ	PREVOD NA UCET	2332	107410	 	AB	48404151
1166962	3999	1998-09-05	VYDAJ	PREVOD NA UCET	2332	60008	 	AB	48404151
1166963	3999	1998-10-05	VYDAJ	PREVOD NA UCET	2332	88883	 	AB	48404151
1166964	3999	1998-11-05	VYDAJ	PREVOD NA UCET	2332	101364	 	AB	48404151
1166965	3999	1998-12-05	VYDAJ	PREVOD NA UCET	2332	75057	 	AB	48404151
1166975	3999	1993-10-10	VYDAJ	PREVOD NA UCET	563	29707	POJISTNE	KL	77352034
1166976	3999	1993-11-10	VYDAJ	PREVOD NA UCET	563	25401	POJISTNE	KL	77352034
1166977	3999	1993-12-10	VYDAJ	PREVOD NA UCET	563	19277	POJISTNE	KL	77352034
1166978	3999	1994-01-10	VYDAJ	PREVOD NA UCET	563	21962	POJISTNE	KL	77352034
1166979	3999	1994-02-10	VYDAJ	PREVOD NA UCET	563	20172	POJISTNE	KL	77352034
1166980	3999	1994-03-10	VYDAJ	PREVOD NA UCET	563	24023	POJISTNE	KL	77352034
1166981	3999	1994-04-10	VYDAJ	PREVOD NA UCET	563	24589	POJISTNE	KL	77352034
1166982	3999	1994-05-10	VYDAJ	PREVOD NA UCET	563	23959	POJISTNE	KL	77352034
1166983	3999	1994-06-10	VYDAJ	PREVOD NA UCET	563	22926	POJISTNE	KL	77352034
1166984	3999	1994-07-10	VYDAJ	PREVOD NA UCET	563	27323	POJISTNE	KL	77352034
1166985	3999	1994-08-10	VYDAJ	PREVOD NA UCET	563	21982	POJISTNE	KL	77352034
1166986	3999	1994-09-10	VYDAJ	PREVOD NA UCET	563	22940	POJISTNE	KL	77352034
1166987	3999	1994-10-10	VYDAJ	PREVOD NA UCET	563	26201	POJISTNE	KL	77352034
1166988	3999	1994-11-10	VYDAJ	PREVOD NA UCET	563	26574	POJISTNE	KL	77352034
1166989	3999	1994-12-10	VYDAJ	PREVOD NA UCET	563	27048	POJISTNE	KL	77352034
1166990	3999	1995-01-10	VYDAJ	PREVOD NA UCET	563	26737	POJISTNE	KL	77352034
1166991	3999	1995-02-10	VYDAJ	PREVOD NA UCET	563	8842	POJISTNE	KL	77352034
1166992	3999	1995-03-10	VYDAJ	PREVOD NA UCET	563	21948	POJISTNE	KL	77352034
1166993	3999	1995-04-10	VYDAJ	PREVOD NA UCET	563	27006	POJISTNE	KL	77352034
1166994	3999	1995-05-10	VYDAJ	PREVOD NA UCET	563	26380	POJISTNE	KL	77352034
1166995	3999	1995-06-10	VYDAJ	PREVOD NA UCET	563	25633	POJISTNE	KL	77352034
1166996	3999	1995-07-10	VYDAJ	PREVOD NA UCET	563	34442	POJISTNE	KL	77352034
1166997	3999	1995-08-10	VYDAJ	PREVOD NA UCET	563	37049	POJISTNE	KL	77352034
1166998	3999	1995-09-10	VYDAJ	PREVOD NA UCET	563	38065	POJISTNE	KL	77352034
1166999	3999	1995-10-10	VYDAJ	PREVOD NA UCET	563	37082	POJISTNE	KL	77352034
1167000	3999	1995-11-10	VYDAJ	PREVOD NA UCET	563	40077	POJISTNE	KL	77352034
1167001	3999	1995-12-10	VYDAJ	PREVOD NA UCET	563	42406	POJISTNE	KL	77352034
1167002	3999	1996-01-10	VYDAJ	PREVOD NA UCET	563	44094	POJISTNE	KL	77352034
1167003	3999	1996-02-10	VYDAJ	PREVOD NA UCET	563	30970	POJISTNE	KL	77352034
1167004	3999	1996-03-10	VYDAJ	PREVOD NA UCET	563	44576	POJISTNE	KL	77352034
1167005	3999	1996-04-10	VYDAJ	PREVOD NA UCET	563	49027	POJISTNE	KL	77352034
1167006	3999	1996-05-10	VYDAJ	PREVOD NA UCET	563	52394	POJISTNE	KL	77352034
1167007	3999	1996-06-10	VYDAJ	PREVOD NA UCET	563	51650	POJISTNE	KL	77352034
1167008	3999	1996-07-10	VYDAJ	PREVOD NA UCET	563	34102	POJISTNE	KL	77352034
1167009	3999	1996-08-10	VYDAJ	PREVOD NA UCET	563	45350	POJISTNE	KL	77352034
1167010	3999	1996-09-10	VYDAJ	PREVOD NA UCET	563	52275	POJISTNE	KL	77352034
1167011	3999	1996-10-10	VYDAJ	PREVOD NA UCET	563	61866	POJISTNE	KL	77352034
1167012	3999	1996-11-10	VYDAJ	PREVOD NA UCET	563	65987	POJISTNE	KL	77352034
1167013	3999	1996-12-10	VYDAJ	PREVOD NA UCET	563	68722	POJISTNE	KL	77352034
1167014	3999	1997-01-10	VYDAJ	PREVOD NA UCET	563	71634	POJISTNE	KL	77352034
1167015	3999	1997-02-10	VYDAJ	PREVOD NA UCET	563	64184	POJISTNE	KL	77352034
1167016	3999	1997-03-10	VYDAJ	PREVOD NA UCET	563	61735	POJISTNE	KL	77352034
1167017	3999	1997-04-10	VYDAJ	PREVOD NA UCET	563	70765	POJISTNE	KL	77352034
1167018	3999	1997-05-10	VYDAJ	PREVOD NA UCET	563	72216	POJISTNE	KL	77352034
1167019	3999	1997-06-10	VYDAJ	PREVOD NA UCET	563	35886	POJISTNE	KL	77352034
1167020	3999	1997-07-10	VYDAJ	PREVOD NA UCET	563	55279	POJISTNE	KL	77352034
1167021	3999	1997-08-10	VYDAJ	PREVOD NA UCET	563	62173	POJISTNE	KL	77352034
1167022	3999	1997-09-10	VYDAJ	PREVOD NA UCET	563	66535	POJISTNE	KL	77352034
1167023	3999	1997-10-10	VYDAJ	PREVOD NA UCET	563	69518	POJISTNE	KL	77352034
1167024	3999	1997-11-10	VYDAJ	PREVOD NA UCET	563	71964	POJISTNE	KL	77352034
1167025	3999	1997-12-10	VYDAJ	PREVOD NA UCET	563	74520	POJISTNE	KL	77352034
1167026	3999	1998-01-10	VYDAJ	PREVOD NA UCET	563	76421	POJISTNE	KL	77352034
1167027	3999	1998-02-10	VYDAJ	PREVOD NA UCET	563	75171	POJISTNE	KL	77352034
1167028	3999	1998-03-10	VYDAJ	PREVOD NA UCET	563	75843	POJISTNE	KL	77352034
1167029	3999	1998-04-10	VYDAJ	PREVOD NA UCET	563	86740	POJISTNE	KL	77352034
1167030	3999	1998-05-10	VYDAJ	PREVOD NA UCET	563	91255	POJISTNE	KL	77352034
1167031	3999	1998-06-10	VYDAJ	PREVOD NA UCET	563	76274	POJISTNE	KL	77352034
1167032	3999	1998-07-10	VYDAJ	PREVOD NA UCET	563	97086	POJISTNE	KL	77352034
1167033	3999	1998-08-10	VYDAJ	PREVOD NA UCET	563	108341	POJISTNE	KL	77352034
1167034	3999	1998-09-10	VYDAJ	PREVOD NA UCET	563	81039	POJISTNE	KL	77352034
1167035	3999	1998-10-10	VYDAJ	PREVOD NA UCET	563	96814	POJISTNE	KL	77352034
1167036	3999	1998-11-10	VYDAJ	PREVOD NA UCET	563	104095	POJISTNE	KL	77352034
1167037	3999	1998-12-10	VYDAJ	PREVOD NA UCET	563	88388	POJISTNE	KL	77352034
1167041	3999	1996-06-17	VYDAJ	VYBER	47680	18018	\N	\N	\N
1167042	3999	1997-06-06	VYDAJ	VYBER	34880	41255	\N	\N	\N
1167043	3999	1998-06-04	VYDAJ	VYBER	44320	59575	\N	\N	\N
1167045	3999	1994-01-15	VYDAJ	VYBER	4640	29567	\N	\N	\N
1167046	3999	1995-01-28	VYDAJ	VYBER	13120	16442	\N	\N	\N
1167047	3999	1996-01-28	VYDAJ	VYBER	14560	38479	\N	\N	\N
1167048	3999	1997-01-24	VYDAJ	VYBER	4640	76139	\N	\N	\N
1167049	3999	1998-01-15	VYDAJ	VYBER	7520	81146	\N	\N	\N
1167050	3999	1993-12-02	VYDAJ	VYBER	4000	26978	\N	\N	\N
1167051	3999	1994-12-28	VYDAJ	VYBER	2720	34295	\N	\N	\N
1167052	3999	1995-12-23	VYDAJ	VYBER	4480	51594	\N	\N	\N
1167053	3999	1996-12-13	VYDAJ	VYBER	3040	65682	\N	\N	\N
1167054	3999	1997-12-28	VYDAJ	VYBER KARTOU	1400	88588	\N	\N	0
1167055	3999	1998-12-08	VYDAJ	VYBER KARTOU	3700	93757	\N	\N	0
1167058	3999	1994-08-01	VYDAJ	VYBER	4920	29683	\N	\N	\N
1167059	3999	1995-01-16	VYDAJ	VYBER	4920	29622	\N	\N	\N
1167060	3999	1995-10-15	VYDAJ	VYBER	2520	46807	\N	\N	\N
1167061	3999	1995-01-12	VYDAJ	VYBER	4440	22297	\N	\N	\N
1167062	3999	1995-06-07	VYDAJ	VYBER	1920	31002	\N	\N	\N
1167063	3999	1995-01-19	VYDAJ	VYBER	2760	26862	\N	\N	\N
1167064	3999	1996-08-22	VYDAJ	VYBER	2040	59755	\N	\N	\N
1167065	3999	1996-06-12	VYDAJ	VYBER	4320	47330	\N	\N	\N
1167066	3999	1996-08-10	VYDAJ	VYBER	5280	45913	\N	\N	\N
1167067	3999	1996-05-26	VYDAJ	VYBER	3120	59119	\N	\N	\N
1167068	3999	1997-10-02	VYDAJ	VYBER	2760	77219	\N	\N	\N
1167069	3999	1997-08-16	VYDAJ	VYBER	3960	73958	\N	\N	\N
1167070	3999	1997-02-05	VYDAJ	VYBER	4560	69553	\N	\N	\N
1167071	3999	1997-01-01	VYDAJ	VYBER	1320	79335	\N	\N	\N
1167072	3999	1997-02-26	VYDAJ	VYBER	4680	69149	\N	\N	\N
1167073	3999	1998-07-08	VYDAJ	VYBER KARTOU	1900	85949	\N	\N	0
1167074	3999	1998-03-06	VYDAJ	VYBER	4200	81212	\N	\N	\N
1167075	3999	1998-10-16	VYDAJ	VYBER	5760	103299	\N	\N	\N
1167076	3999	1998-12-23	VYDAJ	VYBER KARTOU	2000	104756	\N	\N	0
1167077	3999	1998-10-03	VYDAJ	VYBER KARTOU	2400	91215	\N	\N	0
1167087	3999	1993-09-30	VYDAJ	VYBER	15	46108	SLUZBY	\N	\N
1167088	3999	1993-10-31	VYDAJ	VYBER	15	42102	SLUZBY	\N	\N
1167089	3999	1993-11-30	VYDAJ	VYBER	15	37778	SLUZBY	\N	\N
1167090	3999	1993-12-31	VYDAJ	VYBER	15	37763	SLUZBY	\N	\N
1167091	3999	1994-01-31	VYDAJ	VYBER	15	29673	SLUZBY	\N	\N
1167092	3999	1994-02-28	VYDAJ	VYBER	15	32524	SLUZBY	\N	\N
1167093	3999	1994-03-31	VYDAJ	VYBER	15	36390	SLUZBY	\N	\N
1167094	3999	1994-04-30	VYDAJ	VYBER	15	36960	SLUZBY	\N	\N
1167095	3999	1994-05-31	VYDAJ	VYBER	15	30627	SLUZBY	\N	\N
1167096	3999	1994-06-30	VYDAJ	VYBER	15	35024	SLUZBY	\N	\N
1167097	3999	1994-07-31	VYDAJ	VYBER	15	34603	SLUZBY	\N	\N
1167098	3999	1994-08-31	VYDAJ	VYBER	15	30641	SLUZBY	\N	\N
1167099	3999	1994-09-30	VYDAJ	VYBER	15	33902	SLUZBY	\N	\N
1167100	3999	1994-10-31	VYDAJ	VYBER	15	34275	SLUZBY	\N	\N
1167101	3999	1994-11-30	VYDAJ	VYBER	15	34749	SLUZBY	\N	\N
1167102	3999	1994-12-31	VYDAJ	VYBER	15	34438	SLUZBY	\N	\N
1167103	3999	1995-01-31	VYDAJ	VYBER	15	16543	SLUZBY	\N	\N
1167104	3999	1995-02-28	VYDAJ	VYBER	15	29649	SLUZBY	\N	\N
1167105	3999	1995-03-31	VYDAJ	VYBER	15	34707	SLUZBY	\N	\N
1167106	3999	1995-04-30	VYDAJ	VYBER	15	34081	SLUZBY	\N	\N
1167107	3999	1995-05-31	VYDAJ	VYBER	15	35254	SLUZBY	\N	\N
1167108	3999	1995-06-30	VYDAJ	VYBER	15	42143	SLUZBY	\N	\N
1167109	3999	1995-07-31	VYDAJ	VYBER	15	44750	SLUZBY	\N	\N
1167110	3999	1995-08-31	VYDAJ	VYBER	15	45766	SLUZBY	\N	\N
1167111	3999	1995-09-30	VYDAJ	VYBER	15	44783	SLUZBY	\N	\N
1167112	3999	1995-10-31	VYDAJ	VYBER	15	47778	SLUZBY	\N	\N
1167113	3999	1995-11-30	VYDAJ	VYBER	15	50107	SLUZBY	\N	\N
1167114	3999	1995-12-31	VYDAJ	VYBER	15	51795	SLUZBY	\N	\N
1167115	3999	1996-01-31	VYDAJ	VYBER	15	38671	SLUZBY	\N	\N
1167116	3999	1996-02-29	VYDAJ	VYBER	15	52277	SLUZBY	\N	\N
1167117	3999	1996-03-31	VYDAJ	VYBER	15	56728	SLUZBY	\N	\N
1167118	3999	1996-04-30	VYDAJ	VYBER	15	60095	SLUZBY	\N	\N
1167119	3999	1996-05-31	VYDAJ	VYBER	15	59351	SLUZBY	\N	\N
1167120	3999	1996-06-30	VYDAJ	VYBER	15	41803	SLUZBY	\N	\N
1167121	3999	1996-07-31	VYDAJ	VYBER	15	58331	SLUZBY	\N	\N
1167122	3999	1996-08-31	VYDAJ	VYBER	15	59976	SLUZBY	\N	\N
1167123	3999	1996-09-30	VYDAJ	VYBER	15	69567	SLUZBY	\N	\N
1167124	3999	1996-10-31	VYDAJ	VYBER	15	73688	SLUZBY	\N	\N
1167125	3999	1996-11-30	VYDAJ	VYBER	15	76423	SLUZBY	\N	\N
1167126	3999	1996-12-31	VYDAJ	VYBER	15	80655	SLUZBY	\N	\N
1167127	3999	1997-01-31	VYDAJ	VYBER	15	76445	SLUZBY	\N	\N
1167128	3999	1997-02-28	VYDAJ	VYBER	15	69436	SLUZBY	\N	\N
1167129	3999	1997-03-31	VYDAJ	VYBER	15	78466	SLUZBY	\N	\N
1167130	3999	1997-04-30	VYDAJ	VYBER	15	79917	SLUZBY	\N	\N
1167131	3999	1997-05-31	VYDAJ	VYBER	15	78467	SLUZBY	\N	\N
1167132	3999	1997-06-30	VYDAJ	VYBER	15	62980	SLUZBY	\N	\N
1167133	3999	1997-07-31	VYDAJ	VYBER	15	69874	SLUZBY	\N	\N
1167134	3999	1997-08-31	VYDAJ	VYBER	15	74236	SLUZBY	\N	\N
1167135	3999	1997-09-30	VYDAJ	VYBER	15	79979	SLUZBY	\N	\N
1167136	3999	1997-10-31	VYDAJ	VYBER	15	79665	SLUZBY	\N	\N
1167137	3999	1997-11-30	VYDAJ	VYBER	15	82221	SLUZBY	\N	\N
1167138	3999	1997-12-31	VYDAJ	VYBER	15	88922	SLUZBY	\N	\N
1167139	3999	1998-01-31	VYDAJ	VYBER	15	81472	SLUZBY	\N	\N
1167140	3999	1998-02-28	VYDAJ	VYBER	15	87744	SLUZBY	\N	\N
1167141	3999	1998-03-31	VYDAJ	VYBER	15	94441	SLUZBY	\N	\N
1167142	3999	1998-04-30	VYDAJ	VYBER	15	96256	SLUZBY	\N	\N
1167143	3999	1998-05-31	VYDAJ	VYBER	15	103895	SLUZBY	\N	\N
1167144	3999	1998-06-30	VYDAJ	VYBER	15	94987	SLUZBY	\N	\N
1167145	3999	1998-07-31	VYDAJ	VYBER	15	109742	SLUZBY	\N	\N
1167146	3999	1998-08-31	VYDAJ	VYBER	15	62340	SLUZBY	\N	\N
1167147	3999	1998-09-30	VYDAJ	VYBER	15	93615	SLUZBY	\N	\N
1167148	3999	1998-10-31	VYDAJ	VYBER	15	103696	SLUZBY	\N	\N
1167149	3999	1998-11-30	VYDAJ	VYBER	15	77389	SLUZBY	\N	\N
1167150	3999	1993-06-05	PRIJEM	VKLAD	5100	17776	\N	\N	\N
1167151	3999	1993-07-05	VYDAJ	VYBER	6200	30051	\N	\N	\N
1167152	3999	1993-08-04	VYDAJ	VYBER	10000	32462	\N	\N	\N
1167153	3999	1993-09-03	VYDAJ	VYBER	11200	33689	\N	\N	\N
1167154	3999	1993-10-03	VYDAJ	VYBER	8700	37408	\N	\N	\N
1167155	3999	1993-11-02	VYDAJ	VYBER	9000	33102	\N	\N	\N
1167156	3999	1993-12-02	VYDAJ	VYBER	6800	30978	\N	\N	\N
1167157	3999	1994-01-01	VYDAJ	VYBER	8100	29663	\N	\N	\N
1167158	3999	1994-01-31	VYDAJ	VYBER	1800	27873	\N	\N	\N
1167159	3999	1994-03-02	VYDAJ	VYBER	800	31724	\N	\N	\N
1167160	3999	1994-04-01	VYDAJ	VYBER	4100	32290	\N	\N	\N
1167161	3999	1994-05-01	VYDAJ	VYBER	5300	31660	\N	\N	\N
1167162	3999	1994-05-31	VYDAJ	VYBER	5700	30642	\N	\N	\N
1167163	3999	1994-06-30	VYDAJ	VYBER	6400	35039	\N	\N	\N
1167164	3999	1994-07-30	VYDAJ	VYBER	5100	34468	\N	\N	\N
1167165	3999	1994-08-29	VYDAJ	VYBER	3700	30527	\N	\N	\N
1167166	3999	1994-09-28	VYDAJ	VYBER	1400	33785	\N	\N	\N
1167167	3999	1994-10-28	VYDAJ	VYBER	4300	34146	\N	\N	\N
1167168	3999	1994-11-27	VYDAJ	VYBER	4200	34619	\N	\N	\N
1167169	3999	1994-12-27	VYDAJ	VYBER	8400	37015	\N	\N	\N
1167170	3999	1995-01-26	PRIJEM	VKLAD	2700	29562	\N	\N	\N
1167171	3999	1995-02-25	PRIJEM	VKLAD	8500	29587	\N	\N	\N
1167172	3999	1995-03-27	PRIJEM	VKLAD	400	34593	\N	\N	\N
1167173	3999	1995-04-26	VYDAJ	VYBER	5300	33951	\N	\N	\N
1167174	3999	1995-05-26	VYDAJ	VYBER	3500	35125	\N	\N	\N
1167175	3999	1995-06-25	VYDAJ	VYBER	2000	42000	\N	\N	\N
1167176	3999	1995-07-25	VYDAJ	VYBER	2100	44587	\N	\N	\N
1167177	3999	1995-08-24	VYDAJ	VYBER	3700	45594	\N	\N	\N
1167178	3999	1995-09-23	VYDAJ	VYBER	5700	44610	\N	\N	\N
1167179	3999	1995-10-23	PRIJEM	VKLAD	800	47607	\N	\N	\N
1167180	3999	1995-11-22	VYDAJ	VYBER	2400	49922	\N	\N	\N
1167181	3999	1995-12-22	VYDAJ	VYBER	4700	56074	\N	\N	\N
1167182	3999	1996-01-21	VYDAJ	VYBER	3300	53039	\N	\N	\N
1167183	3999	1996-02-20	PRIJEM	VKLAD	8900	52115	\N	\N	\N
1167184	3999	1996-03-21	VYDAJ	VYBER	300	56521	\N	\N	\N
1167185	3999	1996-04-20	VYDAJ	VYBER	1400	59872	\N	\N	\N
1167186	3999	1996-05-20	VYDAJ	VYBER	2400	62239	\N	\N	\N
1167187	3999	1996-06-19	PRIJEM	VKLAD	23600	41618	\N	\N	\N
1167188	3999	1996-07-19	PRIJEM	VKLAD	11800	58147	\N	\N	\N
1167189	3999	1996-08-18	PRIJEM	VKLAD	4200	61795	\N	\N	\N
1167190	3999	1996-09-17	PRIJEM	VKLAD	4800	69320	\N	\N	\N
1167191	3999	1996-10-17	VYDAJ	VYBER	700	73411	\N	\N	\N
1167192	3999	1996-11-16	VYDAJ	VYBER	2100	76132	\N	\N	\N
1167193	3999	1996-12-16	VYDAJ	VYBER	3700	80349	\N	\N	\N
1167194	3999	1997-01-15	VYDAJ	VYBER	3100	80779	\N	\N	\N
1167195	3999	1997-02-14	VYDAJ	VYBER	2600	73829	\N	\N	\N
1167196	3999	1997-03-16	PRIJEM	VKLAD	4200	78180	\N	\N	\N
1167197	3999	1997-04-15	VYDAJ	VYBER	3400	79610	\N	\N	\N
1167198	3999	1997-05-15	VYDAJ	VYBER	6300	78161	\N	\N	\N
1167199	3999	1997-06-14	PRIJEM	VKLAD	8500	44386	\N	\N	\N
1167200	3999	1997-07-14	PRIJEM	VKLAD	2100	69624	\N	\N	\N
1167201	3999	1997-08-13	PRIJEM	VKLAD	3500	65673	\N	\N	\N
1167202	3999	1997-09-12	PRIJEM	VKLAD	900	67435	\N	\N	\N
1167203	3999	1997-10-12	VYDAJ	VYBER	2400	67118	\N	\N	\N
1167204	3999	1997-11-11	VYDAJ	VYBER	2300	69664	\N	\N	\N
1167205	3999	1997-12-11	VYDAJ	VYBER KARTOU	2900	71620	\N	\N	0
1167206	3999	1998-01-10	VYDAJ	VYBER	4800	76984	\N	\N	\N
1167207	3999	1998-02-09	PRIJEM	VKLAD	1400	75734	\N	\N	\N
1167208	3999	1998-03-11	PRIJEM	VKLAD	6000	81843	\N	\N	\N
1167209	3999	1998-04-10	VYDAJ	VYBER KARTOU	3100	83640	\N	\N	0
1167210	3999	1998-05-10	PRIJEM	VKLAD	2700	91818	\N	\N	\N
1167211	3999	1998-06-09	PRIJEM	VKLAD	24400	76837	\N	\N	\N
1167212	3999	1998-07-09	PRIJEM	VKLAD	11700	97649	\N	\N	\N
1167213	3999	1998-08-08	PRIJEM	VKLAD	6300	113710	\N	\N	\N
1167214	3999	1998-08-14	VYDAJ	VYBER	58700	61886	\N	\N	\N
1167215	3999	1998-09-07	PRIJEM	VKLAD	26400	86408	\N	\N	\N
1167216	3999	1998-10-07	PRIJEM	VKLAD	13300	102183	\N	\N	\N
1167217	3999	1998-11-06	PRIJEM	VKLAD	8100	109464	\N	\N	\N
1167218	3999	1998-11-14	VYDAJ	VYBER	39300	77040	\N	\N	\N
1167219	3999	1998-12-06	PRIJEM	VKLAD	22400	97457	\N	\N	\N
1167288	4000	1993-08-02	PRIJEM	VKLAD	700	700	\N	\N	\N
1167290	4000	1993-12-28	PRIJEM	VKLAD	10256	34960	\N	\N	\N
1167291	4000	1994-04-12	PRIJEM	VKLAD	48404	81363	\N	\N	\N
1167292	4000	1994-01-23	PRIJEM	VKLAD	37465	57715	\N	\N	\N
1167293	4000	1995-07-03	PRIJEM	VKLAD	38594	65949	\N	\N	\N
1167294	4000	1995-07-05	PRIJEM	VKLAD	8918	74867	\N	\N	\N
1167295	4000	1996-04-18	PRIJEM	VKLAD	31347	68973	\N	\N	\N
1167296	4000	1996-07-14	PRIJEM	VKLAD	30812	65652	\N	\N	\N
1167297	4000	1997-07-31	PRIJEM	VKLAD	4447	51782	\N	\N	\N
1167298	4000	1997-08-03	PRIJEM	VKLAD	29205	78690	\N	\N	\N
1167299	4000	1998-07-17	PRIJEM	VKLAD	42413	124096	\N	\N	\N
1167300	4000	1998-06-15	PRIJEM	VKLAD	26764	117570	\N	\N	\N
1167308	4000	1993-08-14	PRIJEM	VKLAD	700	1400	\N	\N	\N
1167309	4000	1993-09-14	PRIJEM	VKLAD	700	14906	\N	\N	\N
1167310	4000	1993-10-16	PRIJEM	VKLAD	700	21550	\N	\N	\N
1167311	4000	1993-11-16	PRIJEM	VKLAD	700	23918	\N	\N	\N
1167312	4000	1993-12-16	PRIJEM	VKLAD	700	24104	\N	\N	\N
1167313	4000	1994-01-15	PRIJEM	VKLAD	700	21500	\N	\N	\N
1167314	4000	1994-02-15	PRIJEM	VKLAD	700	39076	\N	\N	\N
1167315	4000	1994-03-13	PRIJEM	VKLAD	700	34728	\N	\N	\N
1167316	4000	1994-04-14	PRIJEM	VKLAD	700	82063	\N	\N	\N
1167317	4000	1994-05-15	PRIJEM	VKLAD	700	51891	\N	\N	\N
1167318	4000	1994-06-15	PRIJEM	VKLAD	700	22089	\N	\N	\N
1167319	4000	1994-07-16	PRIJEM	VKLAD	700	26485	\N	\N	\N
1167320	4000	1994-08-17	PRIJEM	VKLAD	700	23830	\N	\N	\N
1167321	4000	1994-09-14	PRIJEM	VKLAD	700	26721	\N	\N	\N
1167322	4000	1994-10-13	PRIJEM	VKLAD	700	28919	\N	\N	\N
1167323	4000	1994-11-16	PRIJEM	VKLAD	700	27723	\N	\N	\N
1167324	4000	1994-12-16	PRIJEM	VKLAD	700	26023	\N	\N	\N
1167325	4000	1995-01-17	PRIJEM	VKLAD	700	23223	\N	\N	\N
1167326	4000	1995-02-13	PRIJEM	VKLAD	700	24760	\N	\N	\N
1167327	4000	1995-03-14	PRIJEM	VKLAD	700	26949	\N	\N	\N
1167328	4000	1995-04-13	PRIJEM	VKLAD	700	29247	\N	\N	\N
1167329	4000	1995-05-16	PRIJEM	VKLAD	700	29353	\N	\N	\N
1167330	4000	1995-06-15	PRIJEM	VKLAD	700	17361	\N	\N	\N
1167331	4000	1995-07-14	PRIJEM	VKLAD	700	75567	\N	\N	\N
1167332	4000	1995-08-13	PRIJEM	VKLAD	700	56216	\N	\N	\N
1167333	4000	1995-09-16	PRIJEM	VKLAD	700	45520	\N	\N	\N
1167334	4000	1995-10-15	PRIJEM	VKLAD	700	41287	\N	\N	\N
1167335	4000	1995-11-15	PRIJEM	VKLAD	700	37736	\N	\N	\N
1167336	4000	1995-12-16	PRIJEM	VKLAD	700	33324	\N	\N	\N
1167337	4000	1996-01-17	PRIJEM	VKLAD	700	34608	\N	\N	\N
1167338	4000	1996-02-17	PRIJEM	VKLAD	700	37001	\N	\N	\N
1167339	4000	1996-03-17	PRIJEM	VKLAD	700	37040	\N	\N	\N
1167340	4000	1996-04-17	PRIJEM	VKLAD	700	36026	\N	\N	\N
1167341	4000	1996-05-13	PRIJEM	VKLAD	700	56613	\N	\N	\N
1167342	4000	1996-06-15	PRIJEM	VKLAD	700	28733	\N	\N	\N
1167343	4000	1996-07-14	PRIJEM	VKLAD	700	66352	\N	\N	\N
1167344	4000	1996-08-16	PRIJEM	VKLAD	700	55434	\N	\N	\N
1167345	4000	1996-09-17	PRIJEM	VKLAD	700	47939	\N	\N	\N
1167346	4000	1996-10-16	PRIJEM	VKLAD	700	47033	\N	\N	\N
1167347	4000	1996-11-17	PRIJEM	VKLAD	700	47622	\N	\N	\N
1167348	4000	1996-12-17	PRIJEM	VKLAD	700	48207	\N	\N	\N
1167349	4000	1997-01-15	PRIJEM	VKLAD	700	46696	\N	\N	\N
1167350	4000	1997-02-14	PRIJEM	VKLAD	700	46222	\N	\N	\N
1167351	4000	1997-03-13	PRIJEM	VKLAD	700	48699	\N	\N	\N
1167352	4000	1997-04-16	PRIJEM	VKLAD	700	54595	\N	\N	\N
1167353	4000	1997-05-13	PRIJEM	VKLAD	700	57107	\N	\N	\N
1167354	4000	1997-06-13	PRIJEM	VKLAD	700	52076	\N	\N	\N
1167355	4000	1997-07-15	PRIJEM	VKLAD	700	47885	\N	\N	\N
1167356	4000	1997-08-13	PRIJEM	VKLAD	700	75290	\N	\N	\N
1167357	4000	1997-09-14	PRIJEM	VKLAD	700	76986	\N	\N	\N
1167358	4000	1997-10-15	PRIJEM	VKLAD	700	80493	\N	\N	\N
1167359	4000	1997-11-16	PRIJEM	VKLAD	700	81610	\N	\N	\N
1167360	4000	1997-12-17	PRIJEM	VKLAD	700	80736	\N	\N	\N
1167361	4000	1998-01-17	PRIJEM	VKLAD	700	83063	\N	\N	\N
1167362	4000	1998-02-14	PRIJEM	VKLAD	700	83487	\N	\N	\N
1167363	4000	1998-03-17	PRIJEM	VKLAD	700	89214	\N	\N	\N
1167364	4000	1998-04-17	PRIJEM	VKLAD	700	92462	\N	\N	\N
1167365	4000	1998-05-17	PRIJEM	VKLAD	700	93729	\N	\N	\N
1167366	4000	1998-06-16	PRIJEM	VKLAD	700	69970	\N	\N	\N
1167367	4000	1998-07-17	PRIJEM	VKLAD	700	124796	\N	\N	\N
1167368	4000	1998-08-16	PRIJEM	VKLAD	700	95602	\N	\N	\N
1167369	4000	1998-09-13	PRIJEM	VKLAD	700	99083	\N	\N	\N
1167370	4000	1998-10-15	PRIJEM	VKLAD	700	98975	\N	\N	\N
1167371	4000	1998-11-14	PRIJEM	VKLAD	700	103975	\N	\N	\N
1167372	4000	1998-12-17	PRIJEM	VKLAD	700	104386	\N	\N	\N
1167380	4000	1993-08-18	PRIJEM	VKLAD	1600	3000	\N	\N	\N
1167381	4000	1993-09-18	PRIJEM	VKLAD	1600	16506	\N	\N	\N
1167382	4000	1993-10-18	PRIJEM	VKLAD	1600	23150	\N	\N	\N
1167383	4000	1993-11-18	PRIJEM	VKLAD	1600	25518	\N	\N	\N
1167384	4000	1993-12-18	PRIJEM	VKLAD	1600	25704	\N	\N	\N
1167385	4000	1994-01-18	PRIJEM	VKLAD	1600	21650	\N	\N	\N
1167386	4000	1994-02-18	PRIJEM	VKLAD	1600	40676	\N	\N	\N
1167387	4000	1994-03-18	PRIJEM	VKLAD	1600	36328	\N	\N	\N
1167388	4000	1994-04-18	PRIJEM	VKLAD	1600	82413	\N	\N	\N
1167389	4000	1994-05-18	PRIJEM	VKLAD	1600	53491	\N	\N	\N
1167390	4000	1994-06-18	PRIJEM	VKLAD	1600	23689	\N	\N	\N
1167391	4000	1994-07-18	PRIJEM	VKLAD	1600	28085	\N	\N	\N
1167392	4000	1994-08-18	PRIJEM	VKLAD	1600	25430	\N	\N	\N
1167393	4000	1994-09-18	PRIJEM	VKLAD	1600	28321	\N	\N	\N
1167394	4000	1994-10-18	PRIJEM	VKLAD	1600	30519	\N	\N	\N
1167395	4000	1994-11-18	PRIJEM	VKLAD	1600	29323	\N	\N	\N
1167396	4000	1994-12-18	PRIJEM	VKLAD	1600	27623	\N	\N	\N
1167397	4000	1995-01-18	PRIJEM	VKLAD	1600	23373	\N	\N	\N
1167398	4000	1995-02-18	PRIJEM	VKLAD	1600	26360	\N	\N	\N
1167399	4000	1995-03-18	PRIJEM	VKLAD	1600	28549	\N	\N	\N
1167400	4000	1995-04-18	PRIJEM	VKLAD	1600	30847	\N	\N	\N
1167401	4000	1995-05-18	PRIJEM	VKLAD	1600	30953	\N	\N	\N
1167402	4000	1995-06-18	PRIJEM	VKLAD	1600	18961	\N	\N	\N
1167403	4000	1995-07-18	PRIJEM	VKLAD	1600	77167	\N	\N	\N
1167404	4000	1995-08-18	PRIJEM	VKLAD	1600	57816	\N	\N	\N
1167405	4000	1995-09-18	PRIJEM	VKLAD	1600	47120	\N	\N	\N
1167406	4000	1995-10-18	PRIJEM	VKLAD	1600	42887	\N	\N	\N
1167407	4000	1995-11-18	PRIJEM	VKLAD	1600	39336	\N	\N	\N
1167408	4000	1995-12-18	PRIJEM	VKLAD	1600	34924	\N	\N	\N
1167409	4000	1996-01-18	PRIJEM	VKLAD	1600	35808	\N	\N	\N
1167410	4000	1996-02-18	PRIJEM	VKLAD	1600	38601	\N	\N	\N
1167411	4000	1996-03-18	PRIJEM	VKLAD	1600	38640	\N	\N	\N
1167412	4000	1996-04-18	PRIJEM	VKLAD	1600	37626	\N	\N	\N
1167413	4000	1996-05-18	PRIJEM	VKLAD	1600	58213	\N	\N	\N
1167414	4000	1996-06-18	PRIJEM	VKLAD	1600	35833	\N	\N	\N
1167415	4000	1996-07-18	PRIJEM	VKLAD	1600	54552	\N	\N	\N
1167416	4000	1996-08-18	PRIJEM	VKLAD	1600	51134	\N	\N	\N
1167417	4000	1996-09-18	PRIJEM	VKLAD	1600	49539	\N	\N	\N
1167418	4000	1996-10-18	PRIJEM	VKLAD	1600	48633	\N	\N	\N
1167419	4000	1996-11-18	PRIJEM	VKLAD	1600	49222	\N	\N	\N
1167420	4000	1996-12-18	PRIJEM	VKLAD	1600	49807	\N	\N	\N
1167421	4000	1997-01-18	PRIJEM	VKLAD	1600	48296	\N	\N	\N
1167422	4000	1997-02-18	PRIJEM	VKLAD	1600	47822	\N	\N	\N
1167423	4000	1997-03-18	PRIJEM	VKLAD	1600	53499	\N	\N	\N
1167424	4000	1997-04-18	PRIJEM	VKLAD	1600	56195	\N	\N	\N
1167425	4000	1997-05-18	PRIJEM	VKLAD	1600	57407	\N	\N	\N
1167426	4000	1997-06-18	PRIJEM	VKLAD	1600	53676	\N	\N	\N
1167427	4000	1997-07-18	PRIJEM	VKLAD	1600	49485	\N	\N	\N
1167428	4000	1997-08-18	PRIJEM	VKLAD	1600	76890	\N	\N	\N
1167429	4000	1997-09-18	PRIJEM	VKLAD	1600	78586	\N	\N	\N
1167430	4000	1997-10-18	PRIJEM	VKLAD	1600	82093	\N	\N	\N
1167431	4000	1997-11-18	PRIJEM	VKLAD	1600	83210	\N	\N	\N
1167432	4000	1997-12-18	PRIJEM	VKLAD	1600	82336	\N	\N	\N
1167433	4000	1998-01-18	PRIJEM	VKLAD	1600	84663	\N	\N	\N
1167434	4000	1998-02-18	PRIJEM	VKLAD	1600	85087	\N	\N	\N
1167435	4000	1998-03-18	PRIJEM	VKLAD	1600	90814	\N	\N	\N
1167436	4000	1998-04-18	PRIJEM	VKLAD	1600	94062	\N	\N	\N
1167437	4000	1998-05-18	PRIJEM	VKLAD	1600	95329	\N	\N	\N
1167438	4000	1998-06-18	PRIJEM	VKLAD	1600	71570	\N	\N	\N
1167439	4000	1998-07-18	PRIJEM	VKLAD	1600	94196	\N	\N	\N
1167440	4000	1998-08-18	PRIJEM	VKLAD	1600	97202	\N	\N	\N
1167441	4000	1998-09-18	PRIJEM	VKLAD	1600	100683	\N	\N	\N
1167442	4000	1998-10-18	PRIJEM	VKLAD	1600	100575	\N	\N	\N
1167443	4000	1998-11-18	PRIJEM	VKLAD	1600	105575	\N	\N	\N
1167444	4000	1998-12-18	PRIJEM	VKLAD	1600	105986	\N	\N	\N
1167447	4000	1995-06-11	VYDAJ	VYBER	13200	16661	\N	\N	\N
1167448	4000	1996-06-01	VYDAJ	VYBER	22000	28033	\N	\N	\N
1167449	4000	1997-06-12	VYDAJ	VYBER	11200	51376	\N	\N	\N
1167450	4000	1998-06-19	VYDAJ	VYBER	8700	62870	\N	\N	\N
1167452	4000	1994-06-02	VYDAJ	VYBER	17300	22689	\N	\N	\N
1167455	4000	1997-06-18	VYDAJ	VYBER	23000	30676	\N	\N	\N
1167456	4000	1998-06-08	VYDAJ	VYBER	3300	90806	\N	\N	\N
1167458	4000	1994-01-02	VYDAJ	VYBER	4300	22100	\N	\N	\N
1167459	4000	1995-01-11	VYDAJ	VYBER	2300	22873	\N	\N	\N
1167460	4000	1996-01-13	VYDAJ	VYBER	5200	34358	\N	\N	\N
1167461	4000	1997-01-05	VYDAJ	VYBER	4100	45146	\N	\N	\N
1167462	4000	1998-01-29	VYDAJ	VYBER	1300	80063	\N	\N	\N
1167463	4000	1993-12-20	VYDAJ	VYBER	1000	24704	\N	\N	\N
1167464	4000	1994-12-02	VYDAJ	VYBER	2300	25323	\N	\N	\N
1167465	4000	1995-12-01	VYDAJ	VYBER	1400	34874	\N	\N	\N
1167466	4000	1996-12-09	VYDAJ	VYBER	1800	47607	\N	\N	\N
1167467	4000	1997-12-19	VYDAJ	VYBER	700	81636	\N	\N	\N
1167468	4000	1998-12-07	VYDAJ	VYBER KARTOU	2200	103686	\N	\N	0
1167475	4000	1994-01-06	VYDAJ	VYBER	500	21600	\N	\N	\N
1167476	4000	1994-01-15	VYDAJ	VYBER	1450	20050	\N	\N	\N
1167477	4000	1994-01-01	VYDAJ	VYBER	700	28850	\N	\N	\N
1167478	4000	1994-01-01	VYDAJ	VYBER	1250	26400	\N	\N	\N
1167479	4000	1994-01-01	VYDAJ	VYBER	1200	27650	\N	\N	\N
1167480	4000	1994-01-11	VYDAJ	VYBER	800	20800	\N	\N	\N
1167481	4000	1995-01-20	VYDAJ	VYBER	500	22873	\N	\N	\N
1167482	4000	1995-01-04	VYDAJ	VYBER	400	27023	\N	\N	\N
1167483	4000	1995-01-07	VYDAJ	VYBER	1250	25773	\N	\N	\N
1167484	4000	1995-01-08	VYDAJ	VYBER	600	25173	\N	\N	\N
1167485	4000	1995-01-17	VYDAJ	VYBER	1450	21773	\N	\N	\N
1167486	4000	1995-01-16	VYDAJ	VYBER	350	22523	\N	\N	\N
1167487	4000	1996-01-20	VYDAJ	VYBER	550	38108	\N	\N	\N
1167488	4000	1996-01-17	VYDAJ	VYBER	400	34208	\N	\N	\N
1167489	4000	1996-01-23	VYDAJ	VYBER	1300	36808	\N	\N	\N
1167490	4000	1996-01-29	VYDAJ	VYBER	650	36158	\N	\N	\N
1167491	4000	1996-01-16	VYDAJ	VYBER	450	33908	\N	\N	\N
1167492	4000	1996-01-18	VYDAJ	VYBER	350	35458	\N	\N	\N
1167493	4000	1997-01-20	VYDAJ	VYBER	950	46496	\N	\N	\N
1167494	4000	1997-01-11	VYDAJ	VYBER	1450	43696	\N	\N	\N
1167495	4000	1997-01-20	VYDAJ	VYBER	850	47446	\N	\N	\N
1167496	4000	1997-01-29	VYDAJ	VYBER	400	44846	\N	\N	\N
1167497	4000	1997-01-21	VYDAJ	VYBER	1250	45246	\N	\N	\N
1167498	4000	1997-01-04	VYDAJ	VYBER	750	49246	\N	\N	\N
1167499	4000	1998-01-02	VYDAJ	VYBER	650	81313	\N	\N	\N
1167500	4000	1998-01-02	VYDAJ	VYBER	950	80363	\N	\N	\N
1167501	4000	1998-01-19	VYDAJ	VYBER	1200	82363	\N	\N	\N
1167502	4000	1998-01-26	VYDAJ	VYBER	1000	81363	\N	\N	\N
1167503	4000	1998-01-16	VYDAJ	VYBER	1000	82363	\N	\N	\N
1167504	4000	1998-01-19	VYDAJ	VYBER	1100	83563	\N	\N	\N
1167509	4000	1994-04-27	VYDAJ	VYBER	1150	80063	\N	\N	\N
1167510	4000	1994-06-10	VYDAJ	VYBER	900	21389	\N	\N	\N
1167511	4000	1994-02-13	VYDAJ	VYBER	1550	38376	\N	\N	\N
1167512	4000	1994-01-19	VYDAJ	VYBER	1400	20250	\N	\N	\N
1167513	4000	1994-04-16	VYDAJ	VYBER	1250	80813	\N	\N	\N
1167514	4000	1994-06-07	VYDAJ	VYBER	400	22289	\N	\N	\N
1167515	4000	1994-04-22	VYDAJ	VYBER	1200	81213	\N	\N	\N
1167516	4000	1994-08-07	VYDAJ	VYBER	1950	23130	\N	\N	\N
1167517	4000	1995-01-24	VYDAJ	VYBER	1800	23973	\N	\N	\N
1167518	4000	1995-12-03	VYDAJ	VYBER	2250	32624	\N	\N	\N
1167519	4000	1995-08-25	VYDAJ	VYBER	2000	44616	\N	\N	\N
1167520	4000	1996-11-06	VYDAJ	VYBER	1650	47172	\N	\N	\N
1167521	4000	1996-06-18	VYDAJ	VYBER	1150	34683	\N	\N	\N
1167522	4000	1996-04-09	VYDAJ	VYBER	650	35326	\N	\N	\N
1167523	4000	1996-11-08	VYDAJ	VYBER	450	46722	\N	\N	\N
1167524	4000	1997-10-25	VYDAJ	VYBER	600	81493	\N	\N	\N
1167525	4000	1997-08-02	VYDAJ	VYBER	250	49485	\N	\N	\N
1167526	4000	1997-07-25	VYDAJ	VYBER	350	49135	\N	\N	\N
1167527	4000	1997-07-30	VYDAJ	VYBER	1800	47335	\N	\N	\N
1167528	4000	1997-07-31	VYDAJ	VYBER	2200	49735	\N	\N	\N
1167529	4000	1997-06-07	VYDAJ	VYBER	2250	55376	\N	\N	\N
1167530	4000	1998-08-08	VYDAJ	VYBER KARTOU	1200	94902	\N	\N	0
1167531	4000	1998-08-30	VYDAJ	VYBER KARTOU	1100	96102	\N	\N	0
1167532	4000	1998-12-22	VYDAJ	VYBER KARTOU	300	105686	\N	\N	0
1167543	4000	1993-10-31	VYDAJ	VYBER	15	23218	SLUZBY	\N	\N
1167544	4000	1993-11-30	VYDAJ	VYBER	15	23404	SLUZBY	\N	\N
1167545	4000	1993-12-31	VYDAJ	VYBER	15	29550	SLUZBY	\N	\N
1167546	4000	1994-01-31	VYDAJ	VYBER	15	39926	SLUZBY	\N	\N
1167547	4000	1994-02-28	VYDAJ	VYBER	15	34028	SLUZBY	\N	\N
1167548	4000	1994-03-31	VYDAJ	VYBER	15	32959	SLUZBY	\N	\N
1167549	4000	1994-04-30	VYDAJ	VYBER	15	51191	SLUZBY	\N	\N
1167550	4000	1994-05-31	VYDAJ	VYBER	15	39989	SLUZBY	\N	\N
1167551	4000	1994-06-30	VYDAJ	VYBER	15	25785	SLUZBY	\N	\N
1167552	4000	1994-07-31	VYDAJ	VYBER	15	25080	SLUZBY	\N	\N
1167553	4000	1994-08-31	VYDAJ	VYBER	15	26021	SLUZBY	\N	\N
1167554	4000	1994-09-30	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
1167555	4000	1994-10-31	VYDAJ	VYBER	15	27023	SLUZBY	\N	\N
1167556	4000	1994-11-30	VYDAJ	VYBER	15	27623	SLUZBY	\N	\N
1167557	4000	1994-12-31	VYDAJ	VYBER	15	27423	SLUZBY	\N	\N
1167558	4000	1995-01-31	VYDAJ	VYBER	15	24060	SLUZBY	\N	\N
1167559	4000	1995-02-28	VYDAJ	VYBER	15	26249	SLUZBY	\N	\N
1167560	4000	1995-03-31	VYDAJ	VYBER	15	28547	SLUZBY	\N	\N
1167561	4000	1995-04-30	VYDAJ	VYBER	15	28653	SLUZBY	\N	\N
1167562	4000	1995-05-31	VYDAJ	VYBER	15	29861	SLUZBY	\N	\N
1167563	4000	1995-06-30	VYDAJ	VYBER	15	27355	SLUZBY	\N	\N
1167564	4000	1995-07-31	VYDAJ	VYBER	15	55516	SLUZBY	\N	\N
1167565	4000	1995-08-31	VYDAJ	VYBER	15	44820	SLUZBY	\N	\N
1167566	4000	1995-09-30	VYDAJ	VYBER	15	40587	SLUZBY	\N	\N
1167567	4000	1995-10-31	VYDAJ	VYBER	15	37036	SLUZBY	\N	\N
1167568	4000	1995-11-30	VYDAJ	VYBER	15	36274	SLUZBY	\N	\N
1167569	4000	1995-12-31	VYDAJ	VYBER	15	39558	SLUZBY	\N	\N
1167570	4000	1996-01-31	VYDAJ	VYBER	15	36301	SLUZBY	\N	\N
1167571	4000	1996-02-29	VYDAJ	VYBER	15	36340	SLUZBY	\N	\N
1167572	4000	1996-03-31	VYDAJ	VYBER	15	35976	SLUZBY	\N	\N
1167573	4000	1996-04-30	VYDAJ	VYBER	15	55913	SLUZBY	\N	\N
1167574	4000	1996-05-31	VYDAJ	VYBER	15	50033	SLUZBY	\N	\N
1167575	4000	1996-06-30	VYDAJ	VYBER	15	34840	SLUZBY	\N	\N
1167576	4000	1996-07-31	VYDAJ	VYBER	15	54734	SLUZBY	\N	\N
1167577	4000	1996-08-31	VYDAJ	VYBER	15	51339	SLUZBY	\N	\N
1167578	4000	1996-09-30	VYDAJ	VYBER	15	49733	SLUZBY	\N	\N
1167579	4000	1996-10-31	VYDAJ	VYBER	15	48822	SLUZBY	\N	\N
1167580	4000	1996-11-30	VYDAJ	VYBER	15	49407	SLUZBY	\N	\N
1167581	4000	1996-12-31	VYDAJ	VYBER	15	49996	SLUZBY	\N	\N
1167582	4000	1997-01-31	VYDAJ	VYBER	15	45022	SLUZBY	\N	\N
1167583	4000	1997-02-28	VYDAJ	VYBER	15	47999	SLUZBY	\N	\N
1167584	4000	1997-03-31	VYDAJ	VYBER	15	53695	SLUZBY	\N	\N
1167585	4000	1997-04-30	VYDAJ	VYBER	15	56407	SLUZBY	\N	\N
1167586	4000	1997-05-31	VYDAJ	VYBER	15	57626	SLUZBY	\N	\N
1167587	4000	1997-06-30	VYDAJ	VYBER	15	30885	SLUZBY	\N	\N
1167588	4000	1997-07-31	VYDAJ	VYBER	15	51935	SLUZBY	\N	\N
1167589	4000	1997-08-31	VYDAJ	VYBER	15	77186	SLUZBY	\N	\N
1167590	4000	1997-09-30	VYDAJ	VYBER	15	78893	SLUZBY	\N	\N
1167591	4000	1997-10-31	VYDAJ	VYBER	15	81810	SLUZBY	\N	\N
1167592	4000	1997-11-30	VYDAJ	VYBER	15	83536	SLUZBY	\N	\N
1167593	4000	1997-12-31	VYDAJ	VYBER	15	81963	SLUZBY	\N	\N
1167594	4000	1998-01-31	VYDAJ	VYBER	15	80387	SLUZBY	\N	\N
1167595	4000	1998-02-28	VYDAJ	VYBER	15	85414	SLUZBY	\N	\N
1167596	4000	1998-03-31	VYDAJ	VYBER	15	91162	SLUZBY	\N	\N
1167597	4000	1998-04-30	VYDAJ	VYBER	15	94429	SLUZBY	\N	\N
1167598	4000	1998-05-31	VYDAJ	VYBER	15	95706	SLUZBY	\N	\N
1167599	4000	1998-06-30	VYDAJ	VYBER	15	63183	SLUZBY	\N	\N
1167600	4000	1998-07-31	VYDAJ	VYBER	15	94502	SLUZBY	\N	\N
1167601	4000	1998-08-31	VYDAJ	VYBER	15	96483	SLUZBY	\N	\N
1167602	4000	1998-09-30	VYDAJ	VYBER	15	101075	SLUZBY	\N	\N
1167603	4000	1998-10-31	VYDAJ	VYBER	15	100975	SLUZBY	\N	\N
1167604	4000	1998-11-30	VYDAJ	VYBER	15	105986	SLUZBY	\N	\N
1167605	4000	1993-09-01	PRIJEM	VKLAD	11200	14206	\N	\N	\N
1167606	4000	1993-10-01	PRIJEM	VKLAD	4300	20850	\N	\N	\N
1167607	4000	1993-11-30	VYDAJ	VYBER	2200	23419	\N	\N	\N
1167608	4000	1993-12-30	VYDAJ	VYBER	5500	29460	\N	\N	\N
1167609	4000	1994-01-29	VYDAJ	VYBER	17900	39815	\N	\N	\N
1167610	4000	1994-02-28	VYDAJ	VYBER	6800	34043	\N	\N	\N
1167611	4000	1994-03-30	VYDAJ	VYBER	3500	32828	\N	\N	\N
1167612	4000	1994-04-29	VYDAJ	VYBER	29100	50963	\N	\N	\N
1167613	4000	1994-05-29	VYDAJ	VYBER	13700	39791	\N	\N	\N
1167614	4000	1994-06-28	PRIJEM	VKLAD	2000	25689	\N	\N	\N
1167615	4000	1994-07-28	VYDAJ	VYBER	3100	24985	\N	\N	\N
1167616	4000	1994-08-27	PRIJEM	VKLAD	500	25930	\N	\N	\N
1167617	4000	1994-09-26	VYDAJ	VYBER	200	28121	\N	\N	\N
1167618	4000	1994-10-26	VYDAJ	VYBER	3600	26919	\N	\N	\N
1167619	4000	1994-11-25	VYDAJ	VYBER	1800	27523	\N	\N	\N
1167620	4000	1994-12-25	VYDAJ	VYBER	300	27323	\N	\N	\N
1167621	4000	1995-01-24	PRIJEM	VKLAD	2900	25773	\N	\N	\N
1167622	4000	1995-02-23	VYDAJ	VYBER	200	26160	\N	\N	\N
1167623	4000	1995-03-25	VYDAJ	VYBER	100	28449	\N	\N	\N
1167624	4000	1995-04-24	VYDAJ	VYBER	2300	28547	\N	\N	\N
1167625	4000	1995-05-24	VYDAJ	VYBER	1200	29753	\N	\N	\N
1167626	4000	1995-06-23	PRIJEM	VKLAD	8300	27261	\N	\N	\N
1167627	4000	1995-07-23	VYDAJ	VYBER	21900	55267	\N	\N	\N
1167628	4000	1995-08-22	VYDAJ	VYBER	11200	46616	\N	\N	\N
1167629	4000	1995-09-21	VYDAJ	VYBER	6700	40420	\N	\N	\N
1167630	4000	1995-10-21	VYDAJ	VYBER	6000	36887	\N	\N	\N
1167631	4000	1995-11-20	VYDAJ	VYBER	3200	36136	\N	\N	\N
1167632	4000	1995-12-20	PRIJEM	VKLAD	4500	39424	\N	\N	\N
1167633	4000	1996-01-19	PRIJEM	VKLAD	3200	38658	\N	\N	\N
1167634	4000	1996-02-18	VYDAJ	VYBER	2400	36201	\N	\N	\N
1167635	4000	1996-03-19	VYDAJ	VYBER	2800	35840	\N	\N	\N
1167636	4000	1996-04-18	VYDAJ	VYBER	13200	55773	\N	\N	\N
1167637	4000	1996-05-18	VYDAJ	VYBER	8400	49813	\N	\N	\N
1167638	4000	1996-06-17	PRIJEM	VKLAD	5500	34233	\N	\N	\N
1167639	4000	1996-07-17	VYDAJ	VYBER	13400	52952	\N	\N	\N
1167640	4000	1996-08-16	VYDAJ	VYBER	5900	49534	\N	\N	\N
1167641	4000	1996-09-15	VYDAJ	VYBER	4100	47239	\N	\N	\N
1167642	4000	1996-10-15	VYDAJ	VYBER	3400	46333	\N	\N	\N
1167643	4000	1996-11-14	PRIJEM	VKLAD	200	46922	\N	\N	\N
1167644	4000	1996-12-14	VYDAJ	VYBER	100	47507	\N	\N	\N
1167645	4000	1997-01-13	PRIJEM	VKLAD	2300	45996	\N	\N	\N
1167646	4000	1997-02-12	PRIJEM	VKLAD	500	45522	\N	\N	\N
1167647	4000	1997-03-14	PRIJEM	VKLAD	3200	51899	\N	\N	\N
1167648	4000	1997-04-13	PRIJEM	VKLAD	200	53895	\N	\N	\N
1167649	4000	1997-05-13	VYDAJ	VYBER	1300	55807	\N	\N	\N
1167650	4000	1997-06-12	PRIJEM	VKLAD	7200	62576	\N	\N	\N
1167651	4000	1997-07-12	PRIJEM	VKLAD	16300	47185	\N	\N	\N
1167652	4000	1997-08-11	VYDAJ	VYBER	4100	74590	\N	\N	\N
1167653	4000	1997-09-10	VYDAJ	VYBER	900	76286	\N	\N	\N
1167654	4000	1997-10-10	PRIJEM	VKLAD	900	79793	\N	\N	\N
1167655	4000	1997-11-09	VYDAJ	VYBER	900	80910	\N	\N	\N
1167656	4000	1997-12-09	VYDAJ	VYBER	3500	80036	\N	\N	\N
1167657	4000	1998-01-08	PRIJEM	VKLAD	3000	83363	\N	\N	\N
1167658	4000	1998-02-07	PRIJEM	VKLAD	2400	82787	\N	\N	\N
1167659	4000	1998-03-09	PRIJEM	VKLAD	3100	88514	\N	\N	\N
1167660	4000	1998-04-08	PRIJEM	VKLAD	600	91762	\N	\N	\N
1167661	4000	1998-05-08	VYDAJ	VYBER	1400	93029	\N	\N	\N
1167662	4000	1998-06-07	VYDAJ	VYBER	1600	94106	\N	\N	\N
1167663	4000	1998-06-15	VYDAJ	VYBER	48300	69270	\N	\N	\N
1167664	4000	1998-07-07	PRIJEM	VKLAD	18500	81683	\N	\N	\N
1167665	4000	1998-07-17	VYDAJ	VYBER	32200	92596	\N	\N	\N
1167666	4000	1998-08-06	PRIJEM	VKLAD	1600	96102	\N	\N	\N
1167667	4000	1998-09-05	PRIJEM	VKLAD	1900	98383	\N	\N	\N
1167668	4000	1998-10-05	VYDAJ	VYBER KARTOU	2800	98275	\N	\N	0
1167669	4000	1998-11-04	PRIJEM	VKLAD	2300	103275	\N	\N	\N
1167670	4000	1998-12-04	VYDAJ	VYBER KARTOU	100	105886	\N	\N	0
1167736	4001	1995-02-04	PRIJEM	VKLAD	400	400	\N	\N	\N
1167813	4001	1995-03-06	PRIJEM	VKLAD	12800	13200	\N	\N	\N
1167814	4001	1995-04-05	PRIJEM	VKLAD	4100	17300	\N	\N	\N
1167815	4001	1995-05-05	PRIJEM	VKLAD	4800	22100	\N	\N	\N
1167816	4001	1995-06-04	PRIJEM	VKLAD	2500	24600	\N	\N	\N
1167817	4001	1995-07-04	VYDAJ	VYBER	3900	20700	\N	\N	\N
1167818	4001	1995-08-03	VYDAJ	VYBER	1700	19000	\N	\N	\N
1167819	4001	1995-09-02	PRIJEM	VKLAD	600	19600	\N	\N	\N
1167820	4001	1995-10-02	VYDAJ	VYBER	4200	15400	\N	\N	\N
1167821	4001	1995-11-01	PRIJEM	VKLAD	2300	17700	\N	\N	\N
1167822	4001	1995-12-01	VYDAJ	VYBER	1900	15800	\N	\N	\N
1167823	4001	1995-12-31	VYDAJ	VYBER	300	15502	\N	\N	\N
1167824	4001	1996-01-30	VYDAJ	VYBER	1700	13802	\N	\N	\N
1167825	4001	1996-02-29	PRIJEM	VKLAD	1400	15202	\N	\N	\N
1167826	4001	1996-03-30	VYDAJ	VYBER	2200	13136	\N	\N	\N
1167827	4001	1996-04-29	PRIJEM	VKLAD	2500	15700	\N	\N	\N
1167828	4001	1996-05-29	PRIJEM	VKLAD	1800	17565	\N	\N	\N
1167829	4001	1996-06-28	PRIJEM	VKLAD	4100	21730	\N	\N	\N
1167830	4001	1996-07-28	VYDAJ	VYBER	4300	17494	\N	\N	\N
1167831	4001	1996-08-27	PRIJEM	VKLAD	100	17659	\N	\N	\N
1167832	4001	1996-09-26	PRIJEM	VKLAD	600	18323	\N	\N	\N
1167833	4001	1996-10-26	VYDAJ	VYBER	900	17488	\N	\N	\N
1167834	4001	1996-11-25	VYDAJ	VYBER	3100	14452	\N	\N	\N
1167835	4001	1996-12-25	PRIJEM	VKLAD	1600	16117	\N	\N	\N
1167836	4001	1997-01-24	VYDAJ	VYBER	3400	12782	\N	\N	\N
1167837	4001	1997-02-23	PRIJEM	VKLAD	1900	14746	\N	\N	\N
1167838	4001	1997-03-25	PRIJEM	VKLAD	2300	17111	\N	\N	\N
1167839	4001	1997-04-24	PRIJEM	VKLAD	3700	20875	\N	\N	\N
1167840	4001	1997-05-24	PRIJEM	VKLAD	600	21540	\N	\N	\N
1167841	4001	1997-06-23	PRIJEM	VKLAD	2200	23805	\N	\N	\N
1167842	4001	1997-07-23	PRIJEM	VKLAD	1900	25769	\N	\N	\N
1167843	4001	1997-08-22	PRIJEM	VKLAD	600	26434	\N	\N	\N
1167844	4001	1997-09-21	VYDAJ	VYBER	900	25598	\N	\N	\N
1167845	4001	1997-10-21	VYDAJ	VYBER	3400	22263	\N	\N	\N
1167846	4001	1997-11-20	VYDAJ	VYBER	1400	20928	\N	\N	\N
1167847	4001	1997-12-20	PRIJEM	VKLAD	600	21592	\N	\N	\N
1167848	4001	1998-01-19	PRIJEM	VKLAD	300	21957	\N	\N	\N
1167849	4001	1998-02-18	VYDAJ	VYBER	500	21521	\N	\N	\N
1167850	4001	1998-03-20	VYDAJ	VYBER	1500	20086	\N	\N	\N
1167851	4001	1998-04-19	VYDAJ	VYBER	1600	18551	\N	\N	\N
1167852	4001	1998-05-19	VYDAJ	VYBER	1700	16915	\N	\N	\N
1167853	4001	1998-06-18	PRIJEM	VKLAD	300	17280	\N	\N	\N
1167854	4001	1998-07-18	VYDAJ	VYBER	500	16844	\N	\N	\N
1167855	4001	1998-08-17	VYDAJ	VYBER	2000	14909	\N	\N	\N
1167856	4001	1998-09-16	PRIJEM	VKLAD	700	15673	\N	\N	\N
1167857	4001	1998-10-16	VYDAJ	VYBER	1200	14538	\N	\N	\N
1167858	4001	1998-11-15	PRIJEM	VKLAD	1800	16403	\N	\N	\N
1167859	4001	1998-12-15	VYDAJ	VYBER	2700	13767	\N	\N	\N
1168067	4003	1997-08-22	PRIJEM	VKLAD	400	400	\N	\N	\N
1168077	4003	1997-10-07	PRIJEM	VKLAD	41008	99431	\N	\N	\N
1168083	4003	1997-12-21	PRIJEM	VKLAD	37572	98868	\N	\N	\N
1168084	4003	1997-09-21	PRIJEM	VKLAD	37010	90982	\N	\N	\N
1168085	4003	1997-09-13	PRIJEM	VKLAD	47425	53972	\N	\N	\N
1168086	4003	1997-12-15	PRIJEM	VKLAD	32984	104612	\N	\N	\N
1168087	4003	1997-12-03	PRIJEM	VKLAD	31866	87602	\N	\N	\N
1168089	4003	1997-09-08	PRIJEM	VKLAD	6147	6547	\N	\N	\N
1168091	4003	1997-12-11	PRIJEM	VKLAD	46912	130728	\N	\N	\N
1168094	4003	1997-12-19	PRIJEM	VKLAD	41184	126796	\N	\N	\N
1168096	4003	1997-10-27	PRIJEM	VKLAD	22737	87068	\N	\N	\N
1168097	4003	1998-03-01	PRIJEM	VKLAD	36827	57302	\N	\N	\N
1168098	4003	1998-01-07	PRIJEM	VKLAD	12164	63373	\N	\N	\N
1168099	4003	1998-05-02	PRIJEM	VKLAD	9369	82550	\N	\N	\N
1168100	4003	1998-06-13	PRIJEM	VKLAD	44206	107820	\N	\N	\N
1168101	4003	1998-03-28	PRIJEM	VKLAD	20208	87073	\N	\N	\N
1168102	4003	1998-08-09	PRIJEM	VKLAD	28930	46521	\N	\N	\N
1168103	4003	1998-10-28	PRIJEM	VKLAD	37256	121175	\N	\N	\N
1168104	4003	1998-09-02	PRIJEM	VKLAD	43166	68506	\N	\N	\N
1168105	4003	1998-06-08	PRIJEM	VKLAD	37609	63614	\N	\N	\N
1168106	4003	1998-04-30	PRIJEM	VKLAD	21405	73196	\N	\N	\N
1168107	4003	1998-10-23	PRIJEM	VKLAD	22314	78210	\N	\N	\N
1168108	4003	1998-11-19	PRIJEM	VKLAD	23691	88999	\N	\N	\N
1168109	4003	1998-05-14	PRIJEM	VKLAD	42382	135079	\N	\N	\N
1168110	4003	1998-09-03	PRIJEM	VKLAD	19759	88265	\N	\N	\N
1168111	4003	1998-09-10	PRIJEM	VKLAD	11058	95764	\N	\N	\N
1168112	4003	1998-09-07	PRIJEM	VKLAD	44427	128906	\N	\N	\N
1168113	4003	1998-05-05	PRIJEM	VKLAD	22333	104883	\N	\N	\N
1168114	4003	1998-06-17	PRIJEM	VKLAD	49238	123158	\N	\N	\N
1168115	4003	1998-10-27	PRIJEM	VKLAD	5709	83919	\N	\N	\N
1168116	4003	1998-03-28	PRIJEM	VKLAD	35347	66865	\N	\N	\N
1168117	4003	1998-11-17	PRIJEM	VKLAD	22218	65308	\N	\N	\N
1168152	4003	1997-11-06	VYDAJ	PREVOD NA UCET	3786	83535	SIPO	YZ	76160329
1168153	4003	1997-12-06	VYDAJ	PREVOD NA UCET	3786	83816	SIPO	YZ	76160329
1168154	4003	1998-01-06	VYDAJ	PREVOD NA UCET	3786	51209	SIPO	YZ	76160329
1168155	4003	1998-02-06	VYDAJ	PREVOD NA UCET	3786	17003	SIPO	YZ	76160329
1168156	4003	1998-03-06	VYDAJ	PREVOD NA UCET	3786	53516	SIPO	YZ	76160329
1168157	4003	1998-04-06	VYDAJ	PREVOD NA UCET	3786	83462	SIPO	YZ	76160329
1168158	4003	1998-05-06	VYDAJ	PREVOD NA UCET	3786	101097	SIPO	YZ	76160329
1168159	4003	1998-06-06	VYDAJ	PREVOD NA UCET	3786	26005	SIPO	YZ	76160329
1168160	4003	1998-07-06	VYDAJ	PREVOD NA UCET	3786	71142	SIPO	YZ	76160329
1168161	4003	1998-08-06	VYDAJ	PREVOD NA UCET	3786	17591	SIPO	YZ	76160329
1168162	4003	1998-09-06	VYDAJ	PREVOD NA UCET	3786	84479	SIPO	YZ	76160329
1168163	4003	1998-10-06	VYDAJ	PREVOD NA UCET	3786	65396	SIPO	YZ	76160329
1168164	4003	1998-11-06	VYDAJ	PREVOD NA UCET	3786	52190	SIPO	YZ	76160329
1168165	4003	1998-12-06	VYDAJ	PREVOD NA UCET	3786	85497	SIPO	YZ	76160329
1168166	4003	1998-01-21	VYBER	VYBER	15065	27508	\N	\N	\N
1168167	4003	1998-01-03	VYBER	VYBER	17504	73595	\N	\N	\N
1168168	4003	1998-04-10	VYBER	VYBER	5252	69810	\N	\N	\N
1168169	4003	1998-07-27	VYBER	VYBER	12665	24068	\N	\N	\N
1168170	4003	1998-11-02	VYBER	VYBER	22990	55976	\N	\N	\N
1168171	4003	1998-03-17	VYBER	VYBER	10874	42642	\N	\N	\N
1168172	4003	1998-08-02	VYBER	VYBER	2926	21377	\N	\N	\N
1168174	4003	1998-07-26	VYBER	VYBER	16109	36733	\N	\N	\N
1168175	4003	1998-03-18	VYBER	VYBER	6824	35818	\N	\N	\N
1168177	4003	1998-06-03	VYDAJ	VYBER	30900	29791	\N	\N	\N
1168179	4003	1998-01-04	VYDAJ	VYBER	18600	54995	\N	\N	\N
1168180	4003	1997-12-12	VYDAJ	VYBER	7500	71628	\N	\N	\N
1168181	4003	1998-12-26	VYDAJ	VYBER	2100	59297	\N	\N	\N
1168188	4003	1998-01-29	VYDAJ	VYBER	4200	20608	\N	\N	\N
1168189	4003	1998-01-07	VYDAJ	VYBER	2100	61273	\N	\N	\N
1168190	4003	1998-01-12	VYDAJ	VYBER	4800	50773	\N	\N	\N
1168191	4003	1998-01-12	VYDAJ	VYBER	5700	55573	\N	\N	\N
1168192	4003	1998-01-25	VYDAJ	VYBER	2700	24808	\N	\N	\N
1168193	4003	1998-01-02	VYDAJ	VYBER	8100	91099	\N	\N	\N
1168198	4003	1998-04-07	VYDAJ	VYBER	8400	75062	\N	\N	\N
1168199	4003	1998-08-23	VYDAJ	VYBER	12600	25221	\N	\N	\N
1168201	4003	1998-05-11	VYDAJ	VYBER	8400	92697	\N	\N	\N
1168202	4003	1998-08-16	VYDAJ	VYBER	12600	33921	\N	\N	\N
1168213	4003	1997-10-31	VYDAJ	VYBER	15	87321	SLUZBY	\N	\N
1168214	4003	1997-11-30	VYDAJ	VYBER	15	55736	SLUZBY	\N	\N
1168215	4003	1997-12-31	VYDAJ	VYBER	15	99199	SLUZBY	\N	\N
1168216	4003	1998-01-31	VYDAJ	VYBER	15	20789	SLUZBY	\N	\N
1168217	4003	1998-02-28	VYDAJ	VYBER	15	20475	SLUZBY	\N	\N
1168218	4003	1998-03-31	VYDAJ	VYBER	15	87248	SLUZBY	\N	\N
1168219	4003	1998-04-30	VYDAJ	VYBER	15	73181	SLUZBY	\N	\N
1168220	4003	1998-05-31	VYDAJ	VYBER	15	60691	SLUZBY	\N	\N
1168221	4003	1998-06-30	VYDAJ	VYBER	15	74928	SLUZBY	\N	\N
1168222	4003	1998-07-31	VYDAJ	VYBER	15	24303	SLUZBY	\N	\N
1168223	4003	1998-08-31	VYDAJ	VYBER	15	25340	SLUZBY	\N	\N
1168224	4003	1998-09-30	VYDAJ	VYBER	15	69182	SLUZBY	\N	\N
1168225	4003	1998-10-31	VYDAJ	VYBER	15	78966	SLUZBY	\N	\N
1168226	4003	1998-11-30	VYDAJ	VYBER	15	89283	SLUZBY	\N	\N
1168227	4003	1997-09-21	VYDAJ	VYBER	32700	58282	\N	\N	\N
1168228	4003	1997-10-21	VYDAJ	VYBER	35100	64331	\N	\N	\N
1168229	4003	1997-11-20	VYDAJ	VYBER	28100	55435	\N	\N	\N
1168230	4003	1997-12-11	VYDAJ	VYBER	51600	79128	\N	\N	\N
1168231	4003	1997-12-15	VYDAJ	VYBER	19000	85612	\N	\N	\N
1168232	4003	1997-12-19	VYDAJ	VYBER	36900	89896	\N	\N	\N
1168233	4003	1997-12-20	VYDAJ	VYBER	28600	61296	\N	\N	\N
1168234	4003	1998-01-19	VYDAJ	VYBER	8200	42573	\N	\N	\N
1168235	4003	1998-02-18	PRIJEM	VKLAD	3400	20403	\N	\N	\N
1168236	4003	1998-03-20	VYDAJ	VYBER	4300	31518	\N	\N	\N
1168237	4003	1998-04-19	VYDAJ	VYBER	18300	51510	\N	\N	\N
1168238	4003	1998-05-14	VYDAJ	VYBER	44100	90979	\N	\N	\N
1168239	4003	1998-05-19	VYDAJ	VYBER	30600	60379	\N	\N	\N
1168240	4003	1998-06-13	VYDAJ	VYBER	33900	73920	\N	\N	\N
1168241	4003	1998-06-17	VYDAJ	VYBER	16900	106258	\N	\N	\N
1168242	4003	1998-06-18	VYDAJ	VYBER	31600	74658	\N	\N	\N
1168243	4003	1998-07-18	VYDAJ	VYBER	18300	52842	\N	\N	\N
1168244	4003	1998-08-17	PRIJEM	VKLAD	3900	37821	\N	\N	\N
1168245	4003	1998-09-07	VYDAJ	VYBER	44200	84706	\N	\N	\N
1168246	4003	1998-09-16	VYDAJ	VYBER	26900	68864	\N	\N	\N
1168247	4003	1998-10-16	VYDAJ	VYBER	9500	55896	\N	\N	\N
1168248	4003	1998-10-28	VYDAJ	VYBER	42500	78675	\N	\N	\N
1168249	4003	1998-11-15	VYDAJ	VYBER	9100	43090	\N	\N	\N
1168250	4003	1998-12-15	VYDAJ	VYBER	24100	61397	\N	\N	\N
1169015	4008	1996-03-23	PRIJEM	VKLAD	900	900	\N	\N	\N
1169076	4008	1996-04-22	PRIJEM	VKLAD	9700	10600	\N	\N	\N
1169077	4008	1996-05-22	PRIJEM	VKLAD	7500	18100	\N	\N	\N
1169078	4008	1996-06-21	PRIJEM	VKLAD	5100	23200	\N	\N	\N
1169079	4008	1996-07-21	PRIJEM	VKLAD	5600	28800	\N	\N	\N
1169080	4008	1996-09-19	VYDAJ	VYBER	2300	26500	\N	\N	\N
1169081	4008	1996-10-19	PRIJEM	VKLAD	4400	30900	\N	\N	\N
1169082	4008	1996-11-18	PRIJEM	VKLAD	2700	33600	\N	\N	\N
1169083	4008	1996-12-18	PRIJEM	VKLAD	400	34000	\N	\N	\N
1169084	4008	1997-01-17	PRIJEM	VKLAD	800	34800	\N	\N	\N
1169085	4008	1997-02-16	VYDAJ	VYBER	500	34300	\N	\N	\N
1169086	4008	1997-03-18	VYDAJ	VYBER	800	33500	\N	\N	\N
1169087	4008	1997-04-17	VYDAJ	VYBER	1200	32300	\N	\N	\N
1169088	4008	1997-05-17	PRIJEM	VKLAD	1900	34200	\N	\N	\N
1169089	4008	1997-06-16	VYDAJ	VYBER	1400	32800	\N	\N	\N
1169090	4008	1997-07-16	VYDAJ	VYBER	1600	31200	\N	\N	\N
1169091	4008	1997-08-15	PRIJEM	VKLAD	1400	32600	\N	\N	\N
1169092	4008	1997-09-14	VYDAJ	VYBER	600	32000	\N	\N	\N
1169093	4008	1997-10-14	PRIJEM	VKLAD	2400	34400	\N	\N	\N
1169094	4008	1997-11-13	PRIJEM	VKLAD	2300	36700	\N	\N	\N
1169095	4008	1997-12-13	PRIJEM	VKLAD	1400	38100	\N	\N	\N
1169096	4008	1998-01-12	PRIJEM	VKLAD	300	38400	\N	\N	\N
1169097	4008	1998-02-11	VYDAJ	VYBER	2500	35900	\N	\N	\N
1169098	4008	1998-03-13	PRIJEM	VKLAD	500	36400	\N	\N	\N
1169099	4008	1998-04-12	PRIJEM	VKLAD	2300	38700	\N	\N	\N
1169100	4008	1998-05-12	PRIJEM	VKLAD	3000	41700	\N	\N	\N
1169101	4008	1998-06-11	PRIJEM	VKLAD	4700	46400	\N	\N	\N
1169102	4008	1998-07-11	PRIJEM	VKLAD	3100	49500	\N	\N	\N
1169103	4008	1998-08-10	PRIJEM	VKLAD	900	50400	\N	\N	\N
1169104	4008	1998-09-09	PRIJEM	VKLAD	5100	55500	\N	\N	\N
1169105	4008	1998-10-09	PRIJEM	VKLAD	3600	59100	\N	\N	\N
1169106	4008	1998-11-08	PRIJEM	VKLAD	2500	61600	\N	\N	\N
1169107	4008	1998-12-08	PRIJEM	VKLAD	5900	67500	\N	\N	\N
1169108	4009	1994-02-20	PRIJEM	VKLAD	900	900	\N	\N	\N
1169111	4009	1994-03-06	PRIJEM	VKLAD	24753	25653	\N	\N	\N
1169112	4009	1994-04-06	PRIJEM	VKLAD	24753	50040	\N	\N	\N
1169113	4009	1994-05-06	PRIJEM	VKLAD	24753	63016	\N	\N	\N
1169114	4009	1994-06-06	PRIJEM	VKLAD	37130	79311	\N	\N	\N
1169115	4009	1994-07-06	PRIJEM	VKLAD	24753	76353	\N	\N	\N
1169116	4009	1994-08-06	PRIJEM	VKLAD	24753	77908	\N	\N	\N
1169117	4009	1994-09-06	PRIJEM	VKLAD	24753	77768	\N	\N	\N
1169118	4009	1994-10-06	PRIJEM	VKLAD	24753	77426	\N	\N	\N
1169119	4009	1994-11-06	PRIJEM	VKLAD	24753	76303	\N	\N	\N
1169120	4009	1994-12-06	PRIJEM	VKLAD	37130	85623	\N	\N	\N
1169121	4009	1995-01-06	PRIJEM	VKLAD	24753	78794	\N	\N	\N
1169122	4009	1995-02-06	PRIJEM	VKLAD	24753	59822	\N	\N	\N
1169123	4009	1995-03-06	PRIJEM	VKLAD	24753	67522	\N	\N	\N
1169124	4009	1995-04-06	PRIJEM	VKLAD	24753	72949	\N	\N	\N
1169125	4009	1995-05-06	PRIJEM	VKLAD	24753	64916	\N	\N	\N
1169126	4009	1995-06-06	PRIJEM	VKLAD	37130	82243	\N	\N	\N
1169127	4009	1995-07-06	PRIJEM	VKLAD	24753	63827	\N	\N	\N
1169128	4009	1995-08-06	PRIJEM	VKLAD	24753	66534	\N	\N	\N
1169129	4009	1995-09-06	PRIJEM	VKLAD	24753	71658	\N	\N	\N
1169130	4009	1995-10-06	PRIJEM	VKLAD	24753	69697	\N	\N	\N
1169131	4009	1995-11-06	PRIJEM	VKLAD	24753	70667	\N	\N	\N
1169132	4009	1995-12-06	PRIJEM	VKLAD	37130	84179	\N	\N	\N
1169133	4009	1996-01-06	PRIJEM	VKLAD	24753	77070	\N	\N	\N
1169134	4009	1996-02-06	PRIJEM	VKLAD	24753	57992	\N	\N	\N
1169135	4009	1996-03-06	PRIJEM	VKLAD	24753	68799	\N	\N	\N
1169136	4009	1996-04-06	PRIJEM	VKLAD	24753	76140	\N	\N	\N
1169137	4009	1996-05-06	PRIJEM	VKLAD	24753	79400	\N	\N	\N
1169138	4009	1996-06-06	PRIJEM	VKLAD	37130	89334	\N	\N	\N
1169139	4009	1996-07-06	PRIJEM	VKLAD	24753	76288	\N	\N	\N
1169140	4009	1996-08-06	PRIJEM	VKLAD	24753	76038	\N	\N	\N
1169141	4009	1996-09-06	PRIJEM	VKLAD	24753	72966	\N	\N	\N
1169142	4009	1996-10-06	PRIJEM	VKLAD	24753	68900	\N	\N	\N
1169143	4009	1996-11-06	PRIJEM	VKLAD	24753	62449	\N	\N	\N
1169144	4009	1996-12-06	PRIJEM	VKLAD	37130	83149	\N	\N	\N
1169145	4009	1997-01-06	PRIJEM	VKLAD	24753	58055	\N	\N	\N
1169146	4009	1997-02-06	PRIJEM	VKLAD	24753	59497	\N	\N	\N
1169147	4009	1997-03-06	PRIJEM	VKLAD	24753	76940	\N	\N	\N
1169148	4009	1997-04-06	PRIJEM	VKLAD	24753	64677	\N	\N	\N
1169149	4009	1997-05-06	PRIJEM	VKLAD	24753	70575	\N	\N	\N
1169150	4009	1997-06-06	PRIJEM	VKLAD	37130	86779	\N	\N	\N
1169151	4009	1997-07-06	PRIJEM	VKLAD	24753	75575	\N	\N	\N
1169152	4009	1997-08-06	PRIJEM	VKLAD	24753	72463	\N	\N	\N
1169153	4009	1997-09-06	PRIJEM	VKLAD	24753	76398	\N	\N	\N
1169154	4009	1997-10-06	PRIJEM	VKLAD	24753	78149	\N	\N	\N
1169155	4009	1997-11-06	PRIJEM	VKLAD	24753	80009	\N	\N	\N
1169156	4009	1997-12-06	PRIJEM	VKLAD	37130	94554	\N	\N	\N
1169157	4009	1998-01-06	PRIJEM	VKLAD	24753	79643	\N	\N	\N
1169158	4009	1998-02-06	PRIJEM	VKLAD	24753	77977	\N	\N	\N
1169159	4009	1998-03-06	PRIJEM	VKLAD	24753	80637	\N	\N	\N
1169160	4009	1998-04-06	PRIJEM	VKLAD	24753	83004	\N	\N	\N
1169161	4009	1998-05-06	PRIJEM	VKLAD	24753	85765	\N	\N	\N
1169162	4009	1998-06-06	PRIJEM	VKLAD	37130	85413	\N	\N	\N
1169163	4009	1998-07-06	PRIJEM	VKLAD	24753	86683	\N	\N	\N
1169164	4009	1998-08-06	PRIJEM	VKLAD	24753	84195	\N	\N	\N
1169165	4009	1998-09-06	PRIJEM	VKLAD	24753	81838	\N	\N	\N
1169166	4009	1998-10-06	PRIJEM	VKLAD	24753	83110	\N	\N	\N
1169167	4009	1998-11-06	PRIJEM	VKLAD	24753	81387	\N	\N	\N
1169168	4009	1998-12-06	PRIJEM	VKLAD	37130	91703	\N	\N	\N
1169170	4009	1995-06-15	VYDAJ	VYBER	27040	55203	\N	\N	\N
1169171	4009	1996-06-10	VYDAJ	VYBER	7200	51334	\N	\N	\N
1169172	4009	1997-06-14	VYDAJ	VYBER	12960	73819	\N	\N	\N
1169173	4009	1998-06-03	VYDAJ	VYBER	18720	48283	\N	\N	\N
1169175	4009	1995-01-23	VYDAJ	VYBER	11040	38114	\N	\N	\N
1169176	4009	1996-01-20	VYDAJ	VYBER	13120	35570	\N	\N	\N
1169177	4009	1997-01-24	VYDAJ	VYBER KARTOU	4000	45355	\N	\N	0
1169178	4009	1998-01-03	VYDAJ	VYBER	4480	57390	\N	\N	\N
1169179	4009	1994-12-08	VYDAJ	VYBER	4320	81303	\N	\N	\N
1169180	4009	1995-12-03	VYDAJ	VYBER	960	47049	\N	\N	\N
1169181	4009	1996-12-09	VYDAJ	VYBER KARTOU	1300	50749	\N	\N	0
1169182	4009	1997-12-21	VYDAJ	VYBER	4640	89914	\N	\N	\N
1169183	4009	1998-12-23	VYDAJ	VYBER KARTOU	2900	88803	\N	\N	0
1169190	4009	1995-01-24	VYDAJ	VYBER	1800	34874	\N	\N	\N
1169191	4009	1995-01-18	VYDAJ	VYBER	2760	52514	\N	\N	\N
1169192	4009	1995-01-18	VYDAJ	VYBER	1080	51434	\N	\N	\N
1169193	4009	1995-01-13	VYDAJ	VYBER	1320	77474	\N	\N	\N
1169194	4009	1995-01-21	VYDAJ	VYBER	2280	49154	\N	\N	\N
1169195	4009	1995-01-23	VYDAJ	VYBER	1440	36674	\N	\N	\N
1169196	4009	1996-01-01	VYDAJ	VYBER	2400	54717	\N	\N	\N
1169197	4009	1996-01-04	VYDAJ	VYBER	1800	52917	\N	\N	\N
1169198	4009	1996-01-22	VYDAJ	VYBER	1920	33650	\N	\N	\N
1169199	4009	1996-01-22	VYDAJ	VYBER	600	33050	\N	\N	\N
1169200	4009	1996-01-18	VYDAJ	VYBER	2880	48690	\N	\N	\N
1169201	4009	1996-01-04	VYDAJ	VYBER	600	52317	\N	\N	\N
1169202	4009	1997-01-13	VYDAJ	VYBER KARTOU	3400	51755	\N	\N	0
1169203	4009	1997-01-12	VYDAJ	VYBER KARTOU	2900	55155	\N	\N	0
1169204	4009	1997-01-30	VYDAJ	VYBER KARTOU	2400	40555	\N	\N	0
1169205	4009	1997-01-21	VYDAJ	VYBER KARTOU	1700	49355	\N	\N	0
1169206	4009	1997-01-24	VYDAJ	VYBER KARTOU	2400	42955	\N	\N	0
1169207	4009	1997-01-20	VYDAJ	VYBER KARTOU	700	51055	\N	\N	0
1169208	4009	1998-01-20	VYDAJ	VYBER KARTOU	3100	73443	\N	\N	0
1169209	4009	1998-01-16	VYDAJ	VYBER KARTOU	3100	76543	\N	\N	0
1169210	4009	1998-01-25	VYDAJ	VYBER KARTOU	3400	70043	\N	\N	0
1169211	4009	1998-01-02	VYDAJ	VYBER KARTOU	2300	61870	\N	\N	0
1169212	4009	1998-01-05	VYDAJ	VYBER KARTOU	1800	54890	\N	\N	0
1169213	4009	1998-01-04	VYDAJ	VYBER KARTOU	700	56690	\N	\N	0
1169214	4009	1994-11-05	VYDAJ	VYBER	1080	51550	\N	\N	\N
1169217	4009	1994-11-12	VYDAJ	VYBER	3840	72463	\N	\N	\N
1169218	4009	1995-06-29	VYDAJ	VYBER	2520	38883	\N	\N	\N
1169219	4009	1995-11-18	VYDAJ	VYBER	1440	47827	\N	\N	\N
1169220	4009	1995-04-17	VYDAJ	VYBER	5520	42029	\N	\N	\N
1169221	4009	1995-09-09	VYDAJ	VYBER	3600	68058	\N	\N	\N
1169222	4009	1995-10-23	VYDAJ	VYBER	1560	45737	\N	\N	\N
1169223	4009	1995-05-03	VYDAJ	VYBER	2040	40163	\N	\N	\N
1169224	4009	1996-12-18	VYDAJ	VYBER	5640	45109	\N	\N	\N
1169225	4009	1996-12-28	VYDAJ	VYBER KARTOU	3600	41509	\N	\N	0
1169226	4009	1996-11-01	VYDAJ	VYBER	5280	41296	\N	\N	\N
1169227	4009	1996-11-02	VYDAJ	VYBER KARTOU	3600	37696	\N	\N	0
1169228	4009	1996-02-11	VYDAJ	VYBER	1200	43892	\N	\N	\N
1169229	4009	1996-09-24	VYDAJ	VYBER KARTOU	2200	43966	\N	\N	0
1169230	4009	1996-09-02	VYDAJ	VYBER	2520	48213	\N	\N	\N
1169231	4009	1997-02-20	VYDAJ	VYBER KARTOU	2000	57497	\N	\N	0
1169232	4009	1997-06-30	VYDAJ	VYBER KARTOU	700	73422	\N	\N	0
1169233	4009	1997-07-30	VYDAJ	VYBER KARTOU	2600	72975	\N	\N	0
1169234	4009	1997-07-30	VYDAJ	VYBER	5160	67815	\N	\N	\N
1169235	4009	1997-02-22	VYDAJ	VYBER	5520	51977	\N	\N	\N
1169236	4009	1998-07-29	VYDAJ	VYBER	4080	59203	\N	\N	\N
1169237	4009	1998-08-07	VYDAJ	VYBER KARTOU	2000	82195	\N	\N	0
1169238	4009	1998-11-02	VYDAJ	VYBER KARTOU	3000	56634	\N	\N	0
1169239	4009	1998-04-05	VYDAJ	VYBER KARTOU	1600	58251	\N	\N	0
1169240	4009	1998-08-14	VYDAJ	VYBER KARTOU	700	81495	\N	\N	0
1169241	4009	1998-03-06	VYDAJ	VYBER KARTOU	3400	77237	\N	\N	0
1169249	4009	1994-07-31	VYDAJ	VYBER	15	53155	SLUZBY	\N	\N
1169250	4009	1994-08-31	VYDAJ	VYBER	15	53015	SLUZBY	\N	\N
1169251	4009	1994-09-30	VYDAJ	VYBER	15	52673	SLUZBY	\N	\N
1169252	4009	1994-10-31	VYDAJ	VYBER	15	52630	SLUZBY	\N	\N
1169253	4009	1994-11-30	VYDAJ	VYBER	15	48493	SLUZBY	\N	\N
1169254	4009	1994-12-31	VYDAJ	VYBER	15	54041	SLUZBY	\N	\N
1169255	4009	1995-01-31	VYDAJ	VYBER	15	35069	SLUZBY	\N	\N
1169256	4009	1995-02-28	VYDAJ	VYBER	15	42769	SLUZBY	\N	\N
1169257	4009	1995-03-31	VYDAJ	VYBER	15	48196	SLUZBY	\N	\N
1169258	4009	1995-04-30	VYDAJ	VYBER	15	42203	SLUZBY	\N	\N
1169259	4009	1995-05-31	VYDAJ	VYBER	15	45113	SLUZBY	\N	\N
1169260	4009	1995-06-30	VYDAJ	VYBER	15	39074	SLUZBY	\N	\N
1169261	4009	1995-07-31	VYDAJ	VYBER	15	41781	SLUZBY	\N	\N
1169262	4009	1995-08-31	VYDAJ	VYBER	15	46905	SLUZBY	\N	\N
1169263	4009	1995-09-30	VYDAJ	VYBER	15	44944	SLUZBY	\N	\N
1169264	4009	1995-10-31	VYDAJ	VYBER	15	45914	SLUZBY	\N	\N
1169265	4009	1995-11-30	VYDAJ	VYBER	15	48009	SLUZBY	\N	\N
1169266	4009	1995-12-31	VYDAJ	VYBER	15	57117	SLUZBY	\N	\N
1169267	4009	1996-01-31	VYDAJ	VYBER	15	33239	SLUZBY	\N	\N
1169268	4009	1996-02-29	VYDAJ	VYBER	15	44046	SLUZBY	\N	\N
1169269	4009	1996-03-31	VYDAJ	VYBER	15	51387	SLUZBY	\N	\N
1169270	4009	1996-04-30	VYDAJ	VYBER	15	54647	SLUZBY	\N	\N
1169271	4009	1996-05-31	VYDAJ	VYBER	15	52204	SLUZBY	\N	\N
1169272	4009	1996-06-30	VYDAJ	VYBER	15	51535	SLUZBY	\N	\N
1169273	4009	1996-07-31	VYDAJ	VYBER	15	51285	SLUZBY	\N	\N
1169274	4009	1996-08-31	VYDAJ	VYBER	15	50733	SLUZBY	\N	\N
1169275	4009	1996-09-30	VYDAJ	VYBER	15	44147	SLUZBY	\N	\N
1169276	4009	1996-10-31	VYDAJ	VYBER	15	46576	SLUZBY	\N	\N
1169277	4009	1996-11-30	VYDAJ	VYBER	15	46019	SLUZBY	\N	\N
1169278	4009	1996-12-31	VYDAJ	VYBER	15	41702	SLUZBY	\N	\N
1169279	4009	1997-01-31	VYDAJ	VYBER	15	40744	SLUZBY	\N	\N
1169280	4009	1997-02-28	VYDAJ	VYBER	15	52187	SLUZBY	\N	\N
1169281	4009	1997-03-31	VYDAJ	VYBER	15	53124	SLUZBY	\N	\N
1169282	4009	1997-04-30	VYDAJ	VYBER	15	64922	SLUZBY	\N	\N
1169283	4009	1997-05-31	VYDAJ	VYBER	15	70849	SLUZBY	\N	\N
1169284	4009	1997-06-30	VYDAJ	VYBER	15	74122	SLUZBY	\N	\N
1169285	4009	1997-07-31	VYDAJ	VYBER	15	68110	SLUZBY	\N	\N
1169286	4009	1997-08-31	VYDAJ	VYBER	15	72745	SLUZBY	\N	\N
1169287	4009	1997-09-30	VYDAJ	VYBER	15	76696	SLUZBY	\N	\N
1169288	4009	1997-10-31	VYDAJ	VYBER	15	78456	SLUZBY	\N	\N
1169289	4009	1997-11-30	VYDAJ	VYBER	15	80324	SLUZBY	\N	\N
1169290	4009	1997-12-31	VYDAJ	VYBER	15	90270	SLUZBY	\N	\N
1169291	4009	1998-01-31	VYDAJ	VYBER	15	53224	SLUZBY	\N	\N
1169292	4009	1998-02-28	VYDAJ	VYBER	15	78184	SLUZBY	\N	\N
1169293	4009	1998-03-31	VYDAJ	VYBER	15	77551	SLUZBY	\N	\N
1169294	4009	1998-04-30	VYDAJ	VYBER	15	61012	SLUZBY	\N	\N
1169295	4009	1998-05-31	VYDAJ	VYBER	15	67003	SLUZBY	\N	\N
1169296	4009	1998-06-30	VYDAJ	VYBER	15	61930	SLUZBY	\N	\N
1169297	4009	1998-07-31	VYDAJ	VYBER	15	59442	SLUZBY	\N	\N
1169298	4009	1998-08-31	VYDAJ	VYBER	15	57085	SLUZBY	\N	\N
1169299	4009	1998-09-30	VYDAJ	VYBER	15	58357	SLUZBY	\N	\N
1169300	4009	1998-10-31	VYDAJ	VYBER	15	59634	SLUZBY	\N	\N
1169301	4009	1998-11-30	VYDAJ	VYBER	15	54573	SLUZBY	\N	\N
1169302	4009	1994-03-22	VYDAJ	VYBER	400	25253	\N	\N	\N
1169303	4009	1994-04-21	VYDAJ	VYBER	11900	38140	\N	\N	\N
1169304	4009	1994-05-21	VYDAJ	VYBER	21000	42016	\N	\N	\N
1169305	4009	1994-06-20	VYDAJ	VYBER	27900	51411	\N	\N	\N
1169306	4009	1994-07-20	VYDAJ	VYBER	23400	52953	\N	\N	\N
1169307	4009	1994-08-19	VYDAJ	VYBER	25100	52808	\N	\N	\N
1169308	4009	1994-09-18	VYDAJ	VYBER	25300	52468	\N	\N	\N
1169309	4009	1994-10-18	VYDAJ	VYBER	25000	52426	\N	\N	\N
1169310	4009	1994-11-17	VYDAJ	VYBER	24200	48263	\N	\N	\N
1169311	4009	1994-12-17	VYDAJ	VYBER	27500	53803	\N	\N	\N
1169312	4009	1995-01-16	VYDAJ	VYBER	22200	55274	\N	\N	\N
1169313	4009	1995-02-15	VYDAJ	VYBER	17200	42622	\N	\N	\N
1169314	4009	1995-03-17	VYDAJ	VYBER	19500	48022	\N	\N	\N
1169315	4009	1995-04-16	VYDAJ	VYBER	25400	47549	\N	\N	\N
1169316	4009	1995-05-16	VYDAJ	VYBER	20000	44916	\N	\N	\N
1169317	4009	1995-06-15	VYDAJ	VYBER	13800	41403	\N	\N	\N
1169318	4009	1995-07-15	VYDAJ	VYBER	22200	41627	\N	\N	\N
1169319	4009	1995-08-14	VYDAJ	VYBER	19800	46734	\N	\N	\N
1169320	4009	1995-09-13	VYDAJ	VYBER	23300	44758	\N	\N	\N
1169321	4009	1995-10-13	VYDAJ	VYBER	22400	47297	\N	\N	\N
1169322	4009	1995-11-12	VYDAJ	VYBER	21400	49267	\N	\N	\N
1169323	4009	1995-12-12	VYDAJ	VYBER	27300	56879	\N	\N	\N
1169324	4009	1996-01-11	VYDAJ	VYBER	25500	51570	\N	\N	\N
1169325	4009	1996-02-10	VYDAJ	VYBER	12900	45092	\N	\N	\N
1169326	4009	1996-03-11	VYDAJ	VYBER	17600	51199	\N	\N	\N
1169327	4009	1996-04-10	VYDAJ	VYBER	21700	54440	\N	\N	\N
1169328	4009	1996-05-10	VYDAJ	VYBER	27400	52000	\N	\N	\N
1169329	4009	1996-06-09	VYDAJ	VYBER	30800	58534	\N	\N	\N
1169330	4009	1996-07-09	VYDAJ	VYBER	25200	51088	\N	\N	\N
1169331	4009	1996-08-08	VYDAJ	VYBER	25500	50538	\N	\N	\N
1169332	4009	1996-09-07	VYDAJ	VYBER	26800	46166	\N	\N	\N
1169333	4009	1996-10-07	VYDAJ	VYBER	22500	46400	\N	\N	\N
1169334	4009	1996-11-06	VYDAJ	VYBER	16600	45849	\N	\N	\N
1169335	4009	1996-12-06	VYDAJ	VYBER	31100	52049	\N	\N	\N
1169336	4009	1997-01-05	VYDAJ	VYBER	8400	33302	\N	\N	\N
1169337	4009	1997-02-04	VYDAJ	VYBER	6000	34744	\N	\N	\N
1169338	4009	1997-03-06	VYDAJ	VYBER	24100	52840	\N	\N	\N
1169339	4009	1997-04-05	VYDAJ	VYBER	13200	39924	\N	\N	\N
1169340	4009	1997-05-05	VYDAJ	VYBER	19100	45822	\N	\N	\N
1169341	4009	1997-06-04	VYDAJ	VYBER	21200	49649	\N	\N	\N
1169342	4009	1997-07-04	VYDAJ	VYBER	22600	50822	\N	\N	\N
1169343	4009	1997-08-03	VYDAJ	VYBER	20400	47710	\N	\N	\N
1169344	4009	1997-09-02	VYDAJ	VYBER	21100	51645	\N	\N	\N
1169345	4009	1997-10-02	VYDAJ	VYBER	23300	53396	\N	\N	\N
1169346	4009	1997-11-01	VYDAJ	VYBER	23200	55256	\N	\N	\N
1169347	4009	1997-12-01	VYDAJ	VYBER	22900	57424	\N	\N	\N
1169348	4009	1997-12-31	VYDAJ	VYBER	26100	64170	\N	\N	\N
1169349	4009	1998-01-30	VYDAJ	VYBER	17100	52943	\N	\N	\N
1169350	4009	1998-03-01	VYDAJ	VYBER	22300	55884	\N	\N	\N
1169351	4009	1998-03-31	VYDAJ	VYBER	17700	59851	\N	\N	\N
1169352	4009	1998-04-30	VYDAJ	VYBER	22300	61027	\N	\N	\N
1169353	4009	1998-05-30	VYDAJ	VYBER	19000	66765	\N	\N	\N
1169354	4009	1998-06-29	VYDAJ	VYBER	23800	61613	\N	\N	\N
1169355	4009	1998-07-29	VYDAJ	VYBER	23400	63283	\N	\N	\N
1169356	4009	1998-08-28	VYDAJ	VYBER	24700	56795	\N	\N	\N
1169357	4009	1998-09-27	VYDAJ	VYBER	23700	58138	\N	\N	\N
1169358	4009	1998-10-27	VYDAJ	VYBER	23700	59410	\N	\N	\N
1169359	4009	1998-11-26	VYDAJ	VYBER	27100	54287	\N	\N	\N
1169418	4010	1996-08-19	PRIJEM	VKLAD	900	900	\N	\N	\N
1169427	4010	1996-09-14	PRIJEM	VKLAD	14168	15068	\N	\N	\N
1169428	4010	1996-10-14	PRIJEM	VKLAD	14168	30866	\N	\N	\N
1169429	4010	1996-11-14	PRIJEM	VKLAD	14168	40722	\N	\N	\N
1169430	4010	1996-12-14	PRIJEM	VKLAD	21252	54096	\N	\N	\N
1169431	4010	1997-01-14	PRIJEM	VKLAD	14168	52512	\N	\N	\N
1169432	4010	1997-02-14	PRIJEM	VKLAD	14168	39682	\N	\N	\N
1169433	4010	1997-03-14	PRIJEM	VKLAD	14168	40521	\N	\N	\N
1169434	4010	1997-04-14	PRIJEM	VKLAD	14168	38761	\N	\N	\N
1169435	4010	1997-05-14	PRIJEM	VKLAD	14168	36992	\N	\N	\N
1169436	4010	1997-06-14	PRIJEM	VKLAD	21252	45806	\N	\N	\N
1169437	4010	1997-07-14	PRIJEM	VKLAD	14168	39346	\N	\N	\N
1169438	4010	1997-08-14	PRIJEM	VKLAD	14168	35784	\N	\N	\N
1169439	4010	1997-09-14	PRIJEM	VKLAD	14168	35908	\N	\N	\N
1169440	4010	1997-10-14	PRIJEM	VKLAD	14168	42647	\N	\N	\N
1169441	4010	1997-11-14	PRIJEM	VKLAD	14168	42418	\N	\N	\N
1169442	4010	1997-12-14	PRIJEM	VKLAD	21252	48880	\N	\N	\N
1169443	4010	1998-01-14	PRIJEM	VKLAD	14168	43270	\N	\N	\N
1169444	4010	1998-02-14	PRIJEM	VKLAD	14168	36041	\N	\N	\N
1169445	4010	1998-03-14	PRIJEM	VKLAD	14168	33372	\N	\N	\N
1169446	4010	1998-04-14	PRIJEM	VKLAD	14168	41603	\N	\N	\N
1169447	4010	1998-05-14	PRIJEM	VKLAD	14168	46764	\N	\N	\N
1169448	4010	1998-06-14	PRIJEM	VKLAD	21252	54535	\N	\N	\N
1169449	4010	1998-07-14	PRIJEM	VKLAD	14168	58647	\N	\N	\N
1169450	4010	1998-08-14	PRIJEM	VKLAD	14168	59783	\N	\N	\N
1169451	4010	1998-09-14	PRIJEM	VKLAD	14168	60924	\N	\N	\N
1169452	4010	1998-10-14	PRIJEM	VKLAD	14168	56766	\N	\N	\N
1169453	4010	1998-11-14	PRIJEM	VKLAD	14168	59398	\N	\N	\N
1169454	4010	1998-12-14	PRIJEM	VKLAD	21252	69218	\N	\N	\N
1169468	4010	1997-02-06	VYDAJ	PREVOD NA UCET	5948	25514	SIPO	ST	6746900
1169469	4010	1997-03-06	VYDAJ	PREVOD NA UCET	5948	26353	SIPO	ST	6746900
1169470	4010	1997-04-06	VYDAJ	PREVOD NA UCET	5948	24593	SIPO	ST	6746900
1169471	4010	1997-05-06	VYDAJ	PREVOD NA UCET	5948	22824	SIPO	ST	6746900
1169472	4010	1997-06-06	VYDAJ	PREVOD NA UCET	5948	24554	SIPO	ST	6746900
1169473	4010	1997-07-06	VYDAJ	PREVOD NA UCET	5948	25178	SIPO	ST	6746900
1169474	4010	1997-08-06	VYDAJ	PREVOD NA UCET	5948	21616	SIPO	ST	6746900
1169475	4010	1997-09-06	VYDAJ	PREVOD NA UCET	5948	21940	SIPO	ST	6746900
1169476	4010	1997-10-06	VYDAJ	PREVOD NA UCET	5948	30079	SIPO	ST	6746900
1169477	4010	1997-11-06	VYDAJ	PREVOD NA UCET	5948	36850	SIPO	ST	6746900
1169478	4010	1997-12-06	VYDAJ	PREVOD NA UCET	5948	36628	SIPO	ST	6746900
1169479	4010	1998-01-06	VYDAJ	PREVOD NA UCET	5948	41202	SIPO	ST	6746900
1169480	4010	1998-02-06	VYDAJ	PREVOD NA UCET	5948	22073	SIPO	ST	6746900
1169481	4010	1998-03-06	VYDAJ	PREVOD NA UCET	5948	21204	SIPO	ST	6746900
1169482	4010	1998-04-06	VYDAJ	PREVOD NA UCET	5948	27535	SIPO	ST	6746900
1169483	4010	1998-05-06	VYDAJ	PREVOD NA UCET	5948	35796	SIPO	ST	6746900
1169484	4010	1998-06-06	VYDAJ	PREVOD NA UCET	5948	40983	SIPO	ST	6746900
1169485	4010	1998-07-06	VYDAJ	PREVOD NA UCET	5948	48779	SIPO	ST	6746900
1169486	4010	1998-08-06	VYDAJ	PREVOD NA UCET	5948	50115	SIPO	ST	6746900
1169487	4010	1998-09-06	VYDAJ	PREVOD NA UCET	5948	54056	SIPO	ST	6746900
1169488	4010	1998-10-06	VYDAJ	PREVOD NA UCET	5948	52198	SIPO	ST	6746900
1169489	4010	1998-11-06	VYDAJ	PREVOD NA UCET	5948	51030	SIPO	ST	6746900
1169490	4010	1998-12-06	VYDAJ	PREVOD NA UCET	5948	53666	SIPO	ST	6746900
1169528	4010	1997-06-22	VYDAJ	VYBER	4400	31006	\N	\N	\N
1169529	4010	1998-06-10	VYDAJ	VYBER	6300	34683	\N	\N	\N
1169532	4010	1998-01-09	VYDAJ	VYBER	6500	34702	\N	\N	\N
1169534	4010	1997-12-15	VYDAJ	VYBER	1400	47480	\N	\N	\N
1169535	4010	1998-12-28	VYDAJ	VYBER KARTOU	500	68718	\N	\N	0
1169542	4010	1997-01-30	VYDAJ	VYBER	2200	31312	\N	\N	\N
1169544	4010	1997-01-29	VYDAJ	VYBER	2400	33512	\N	\N	\N
1169546	4010	1997-01-16	VYDAJ	VYBER	1700	50812	\N	\N	\N
1169547	4010	1997-01-22	VYDAJ	VYBER	1200	35912	\N	\N	\N
1169548	4010	1998-01-20	VYDAJ	VYBER	2100	39270	\N	\N	\N
1169549	4010	1998-01-13	VYDAJ	VYBER	900	29102	\N	\N	\N
1169550	4010	1998-01-27	VYDAJ	VYBER	2100	37170	\N	\N	\N
1169551	4010	1998-01-17	VYDAJ	VYBER	900	41370	\N	\N	\N
1169552	4010	1998-01-14	VYDAJ	VYBER	1000	42270	\N	\N	\N
1169553	4010	1998-01-28	VYDAJ	VYBER	2900	34270	\N	\N	\N
1169558	4010	1997-08-22	VYDAJ	VYBER	3700	27784	\N	\N	\N
1169559	4010	1997-12-20	VYDAJ	VYBER	500	46980	\N	\N	\N
1169560	4010	1997-08-03	VYDAJ	VYBER	2200	27564	\N	\N	\N
1169561	4010	1997-07-23	VYDAJ	VYBER	4300	29646	\N	\N	\N
1169563	4010	1998-09-21	VYDAJ	VYBER	3000	57924	\N	\N	\N
1169564	4010	1998-02-04	VYDAJ	VYBER	2600	31821	\N	\N	\N
1169565	4010	1998-02-21	VYDAJ	VYBER	4100	31941	\N	\N	\N
1169566	4010	1998-02-06	VYDAJ	VYBER	3800	28021	\N	\N	\N
1169567	4010	1998-07-31	VYDAJ	VYBER	2800	56078	\N	\N	\N
1169568	4010	1998-10-10	VYDAJ	VYBER	2800	42598	\N	\N	\N
1169569	4010	1998-02-26	VYDAJ	VYBER	4900	27041	\N	\N	\N
1169583	4010	1997-01-31	VYDAJ	VYBER	15	31462	SLUZBY	\N	\N
1169584	4010	1997-02-28	VYDAJ	VYBER	15	32301	SLUZBY	\N	\N
1169585	4010	1997-03-31	VYDAJ	VYBER	15	30541	SLUZBY	\N	\N
1169586	4010	1997-04-30	VYDAJ	VYBER	15	28772	SLUZBY	\N	\N
1169587	4010	1997-05-31	VYDAJ	VYBER	15	30502	SLUZBY	\N	\N
1169588	4010	1997-06-30	VYDAJ	VYBER	15	31126	SLUZBY	\N	\N
1169589	4010	1997-07-31	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
1169590	4010	1997-08-31	VYDAJ	VYBER	15	27888	SLUZBY	\N	\N
1169591	4010	1997-09-30	VYDAJ	VYBER	15	36027	SLUZBY	\N	\N
1169592	4010	1997-10-31	VYDAJ	VYBER	15	42798	SLUZBY	\N	\N
1169593	4010	1997-11-30	VYDAJ	VYBER	15	42576	SLUZBY	\N	\N
1169594	4010	1997-12-31	VYDAJ	VYBER	15	47150	SLUZBY	\N	\N
1169595	4010	1998-01-31	VYDAJ	VYBER	15	34421	SLUZBY	\N	\N
1169596	4010	1998-02-28	VYDAJ	VYBER	15	27152	SLUZBY	\N	\N
1169597	4010	1998-03-31	VYDAJ	VYBER	15	33483	SLUZBY	\N	\N
1169598	4010	1998-04-30	VYDAJ	VYBER	15	41744	SLUZBY	\N	\N
1169599	4010	1998-05-31	VYDAJ	VYBER	15	46931	SLUZBY	\N	\N
1169600	4010	1998-06-30	VYDAJ	VYBER	15	54727	SLUZBY	\N	\N
1169601	4010	1998-07-31	VYDAJ	VYBER	15	56063	SLUZBY	\N	\N
1169602	4010	1998-08-31	VYDAJ	VYBER	15	60004	SLUZBY	\N	\N
1169603	4010	1998-09-30	VYDAJ	VYBER	15	58146	SLUZBY	\N	\N
1169604	4010	1998-10-31	VYDAJ	VYBER	15	56978	SLUZBY	\N	\N
1169605	4010	1998-11-30	VYDAJ	VYBER	15	59614	SLUZBY	\N	\N
1169606	4010	1996-09-18	PRIJEM	VKLAD	1600	16668	\N	\N	\N
1169607	4010	1996-10-18	VYDAJ	VYBER	4400	26466	\N	\N	\N
1169608	4010	1996-11-17	VYDAJ	VYBER	8000	32722	\N	\N	\N
1169609	4010	1996-12-17	VYDAJ	VYBER	15900	38196	\N	\N	\N
1169610	4010	1997-01-16	VYDAJ	VYBER	13700	37112	\N	\N	\N
1169611	4010	1997-02-15	VYDAJ	VYBER	7500	32182	\N	\N	\N
1169612	4010	1997-03-17	VYDAJ	VYBER	10100	30421	\N	\N	\N
1169613	4010	1997-04-16	VYDAJ	VYBER	10100	28661	\N	\N	\N
1169614	4010	1997-05-16	VYDAJ	VYBER	6600	30392	\N	\N	\N
1169615	4010	1997-06-15	VYDAJ	VYBER	10400	35406	\N	\N	\N
1169616	4010	1997-07-15	VYDAJ	VYBER	5400	33946	\N	\N	\N
1169617	4010	1997-08-14	VYDAJ	VYBER	4300	31484	\N	\N	\N
1169618	4010	1997-09-13	VYDAJ	VYBER	200	21740	\N	\N	\N
1169619	4010	1997-10-13	VYDAJ	VYBER	1600	28479	\N	\N	\N
1169620	4010	1997-11-12	VYDAJ	VYBER	8600	28250	\N	\N	\N
1169621	4010	1997-12-12	VYDAJ	VYBER	9000	27628	\N	\N	\N
1169622	4010	1998-01-11	VYDAJ	VYBER	4700	30002	\N	\N	\N
1169623	4010	1998-02-10	VYDAJ	VYBER	200	21873	\N	\N	\N
1169624	4010	1998-03-12	VYDAJ	VYBER	2000	19204	\N	\N	\N
1169625	4010	1998-04-11	VYDAJ	VYBER	100	27435	\N	\N	\N
1169626	4010	1998-05-11	VYDAJ	VYBER	3200	32596	\N	\N	\N
1169627	4010	1998-06-10	VYDAJ	VYBER	1400	33283	\N	\N	\N
1169628	4010	1998-07-10	VYDAJ	VYBER	4300	44479	\N	\N	\N
1169629	4010	1998-08-09	VYDAJ	VYBER	4500	45615	\N	\N	\N
1169630	4010	1998-09-08	VYDAJ	VYBER	7300	46756	\N	\N	\N
1169631	4010	1998-10-08	VYDAJ	VYBER	6800	45398	\N	\N	\N
1169632	4010	1998-11-07	VYDAJ	VYBER	5800	45230	\N	\N	\N
1169633	4010	1998-12-07	VYDAJ	VYBER	5700	47966	\N	\N	\N
1170074	4013	1993-10-08	PRIJEM	VKLAD	600	600	\N	\N	\N
1170085	4013	1993-11-07	PRIJEM	PREVOD Z UCTU	10030	17830	\N	AB	9568757
1170086	4013	1993-12-07	PRIJEM	PREVOD Z UCTU	15045	32901	\N	AB	9568757
1170087	4013	1994-01-07	PRIJEM	PREVOD Z UCTU	10030	36528	\N	AB	9568757
1170088	4013	1994-02-07	PRIJEM	PREVOD Z UCTU	10030	41502	\N	AB	9568757
1170089	4013	1994-03-07	PRIJEM	PREVOD Z UCTU	10030	51701	\N	AB	9568757
1170090	4013	1994-04-07	PRIJEM	PREVOD Z UCTU	10030	29254	\N	AB	9568757
1170091	4013	1994-05-07	PRIJEM	PREVOD Z UCTU	10030	34189	\N	AB	9568757
1170092	4013	1994-06-07	PRIJEM	PREVOD Z UCTU	15045	40853	\N	AB	9568757
1170093	4013	1994-07-07	PRIJEM	PREVOD Z UCTU	10030	38331	\N	AB	9568757
1170094	4013	1994-08-07	PRIJEM	PREVOD Z UCTU	10030	37510	\N	AB	9568757
1170095	4013	1994-09-07	PRIJEM	PREVOD Z UCTU	10030	38385	\N	AB	9568757
1170096	4013	1994-10-07	PRIJEM	PREVOD Z UCTU	10030	39659	\N	AB	9568757
1170097	4013	1994-11-07	PRIJEM	PREVOD Z UCTU	10030	32921	\N	AB	9568757
1170098	4013	1994-12-07	PRIJEM	PREVOD Z UCTU	15045	37290	\N	AB	9568757
1170099	4013	1995-01-07	PRIJEM	PREVOD Z UCTU	10030	33457	\N	AB	9568757
1170100	4013	1995-02-07	PRIJEM	PREVOD Z UCTU	10030	31296	\N	AB	9568757
1170101	4013	1995-03-07	PRIJEM	PREVOD Z UCTU	10030	31223	\N	AB	9568757
1170102	4013	1995-04-07	PRIJEM	PREVOD Z UCTU	10030	35267	\N	AB	9568757
1170103	4013	1995-05-07	PRIJEM	PREVOD Z UCTU	10030	35928	\N	AB	9568757
1170104	4013	1995-06-07	PRIJEM	PREVOD Z UCTU	15045	42909	\N	AB	9568757
1170105	4013	1995-07-07	PRIJEM	PREVOD Z UCTU	10030	39282	\N	AB	9568757
1170106	4013	1995-08-07	PRIJEM	PREVOD Z UCTU	10030	38857	\N	AB	9568757
1170107	4013	1995-09-07	PRIJEM	PREVOD Z UCTU	10030	37031	\N	AB	9568757
1170108	4013	1995-10-07	PRIJEM	PREVOD Z UCTU	10030	39602	\N	AB	9568757
1170109	4013	1995-11-07	PRIJEM	PREVOD Z UCTU	10030	35152	\N	AB	9568757
1170110	4013	1995-12-07	PRIJEM	PREVOD Z UCTU	15045	39826	\N	AB	9568757
1170111	4013	1996-01-07	PRIJEM	PREVOD Z UCTU	10030	33692	\N	AB	9568757
1170112	4013	1996-02-07	PRIJEM	PREVOD Z UCTU	10030	35742	\N	AB	9568757
1170113	4013	1996-03-07	PRIJEM	PREVOD Z UCTU	10030	41017	\N	AB	9568757
1170114	4013	1996-04-07	PRIJEM	PREVOD Z UCTU	10030	40276	\N	AB	9568757
1170115	4013	1996-05-07	PRIJEM	PREVOD Z UCTU	10030	38901	\N	AB	9568757
1170116	4013	1996-06-07	PRIJEM	PREVOD Z UCTU	15045	49377	\N	AB	9568757
1170117	4013	1996-07-07	PRIJEM	PREVOD Z UCTU	10030	38279	\N	AB	9568757
1170118	4013	1996-08-07	PRIJEM	PREVOD Z UCTU	10030	36138	\N	AB	9568757
1170119	4013	1996-09-07	PRIJEM	PREVOD Z UCTU	10030	39700	\N	AB	9568757
1170120	4013	1996-10-07	PRIJEM	PREVOD Z UCTU	10030	42148	\N	AB	9568757
1170121	4013	1996-11-07	PRIJEM	PREVOD Z UCTU	10030	38141	\N	AB	9568757
1170122	4013	1996-12-07	PRIJEM	PREVOD Z UCTU	15045	47640	\N	AB	9568757
1170123	4013	1997-01-07	PRIJEM	PREVOD Z UCTU	10030	44968	\N	AB	9568757
1170124	4013	1997-02-07	PRIJEM	PREVOD Z UCTU	10030	31438	\N	AB	9568757
1170125	4013	1997-03-07	PRIJEM	PREVOD Z UCTU	10030	43994	\N	AB	9568757
1170126	4013	1997-04-07	PRIJEM	PREVOD Z UCTU	10030	49868	\N	AB	9568757
1170127	4013	1997-05-07	PRIJEM	PREVOD Z UCTU	10030	42426	\N	AB	9568757
1170128	4013	1997-06-07	PRIJEM	PREVOD Z UCTU	15045	36046	\N	AB	9568757
1170129	4013	1997-07-07	PRIJEM	PREVOD Z UCTU	10030	35501	\N	AB	9568757
1170130	4013	1997-08-07	PRIJEM	PREVOD Z UCTU	10030	51582	\N	AB	9568757
1170131	4013	1997-09-07	PRIJEM	PREVOD Z UCTU	10030	33939	\N	AB	9568757
1170132	4013	1997-10-07	PRIJEM	PREVOD Z UCTU	10030	51340	\N	AB	9568757
1170133	4013	1997-11-07	PRIJEM	PREVOD Z UCTU	10030	57270	\N	AB	9568757
1170134	4013	1997-12-07	PRIJEM	PREVOD Z UCTU	15045	63730	\N	AB	9568757
1170135	4013	1998-01-07	PRIJEM	PREVOD Z UCTU	10030	41579	\N	AB	9568757
1170136	4013	1998-02-07	PRIJEM	PREVOD Z UCTU	10030	32643	\N	AB	9568757
1170137	4013	1998-03-07	PRIJEM	PREVOD Z UCTU	10030	45210	\N	AB	9568757
1170138	4013	1998-04-07	PRIJEM	PREVOD Z UCTU	10030	49210	\N	AB	9568757
1170139	4013	1998-05-07	PRIJEM	PREVOD Z UCTU	10030	41687	\N	AB	9568757
1170140	4013	1998-06-07	PRIJEM	PREVOD Z UCTU	15045	58505	\N	AB	9568757
1170141	4013	1998-07-07	PRIJEM	PREVOD Z UCTU	10030	54357	\N	AB	9568757
1170142	4013	1998-08-07	PRIJEM	PREVOD Z UCTU	10030	43974	\N	AB	9568757
1170143	4013	1998-09-07	PRIJEM	PREVOD Z UCTU	10030	39536	\N	AB	9568757
1170144	4013	1998-10-07	PRIJEM	PREVOD Z UCTU	10030	59671	\N	AB	9568757
1170145	4013	1998-11-07	PRIJEM	PREVOD Z UCTU	10030	52780	\N	AB	9568757
1170146	4013	1998-12-07	PRIJEM	PREVOD Z UCTU	15045	73859	\N	AB	9568757
1170233	4013	1994-03-08	VYDAJ	PREVOD NA UCET	6686	29815	SIPO	EF	83890586
1170234	4013	1994-04-08	VYDAJ	PREVOD NA UCET	6686	22568	SIPO	EF	83890586
1170235	4013	1994-05-08	VYDAJ	PREVOD NA UCET	6686	27503	SIPO	EF	83890586
1170236	4013	1994-06-08	VYDAJ	PREVOD NA UCET	6686	34167	SIPO	EF	83890586
1170237	4013	1994-07-08	VYDAJ	PREVOD NA UCET	6686	31645	SIPO	EF	83890586
1170238	4013	1994-08-08	VYDAJ	PREVOD NA UCET	6686	30824	SIPO	EF	83890586
1170239	4013	1994-09-08	VYDAJ	PREVOD NA UCET	6686	31699	SIPO	EF	83890586
1170240	4013	1994-10-08	VYDAJ	PREVOD NA UCET	6686	32973	SIPO	EF	83890586
1170241	4013	1994-11-08	VYDAJ	PREVOD NA UCET	6686	26235	SIPO	EF	83890586
1170242	4013	1994-12-08	VYDAJ	PREVOD NA UCET	6686	30604	SIPO	EF	83890586
1170243	4013	1995-01-08	VYDAJ	PREVOD NA UCET	6686	26771	SIPO	EF	83890586
1170244	4013	1995-02-08	VYDAJ	PREVOD NA UCET	6686	24610	SIPO	EF	83890586
1170245	4013	1995-03-08	VYDAJ	PREVOD NA UCET	6686	24537	SIPO	EF	83890586
1170246	4013	1995-04-08	VYDAJ	PREVOD NA UCET	6686	28581	SIPO	EF	83890586
1170247	4013	1995-05-08	VYDAJ	PREVOD NA UCET	6686	29242	SIPO	EF	83890586
1170248	4013	1995-06-08	VYDAJ	PREVOD NA UCET	6686	36223	SIPO	EF	83890586
1170249	4013	1995-07-08	VYDAJ	PREVOD NA UCET	6686	32596	SIPO	EF	83890586
1170250	4013	1995-08-08	VYDAJ	PREVOD NA UCET	6686	32171	SIPO	EF	83890586
1170251	4013	1995-09-08	VYDAJ	PREVOD NA UCET	6686	30345	SIPO	EF	83890586
1170252	4013	1995-10-08	VYDAJ	PREVOD NA UCET	6686	32916	SIPO	EF	83890586
1170253	4013	1995-11-08	VYDAJ	PREVOD NA UCET	6686	28466	SIPO	EF	83890586
1170254	4013	1995-12-08	VYDAJ	PREVOD NA UCET	6686	33140	SIPO	EF	83890586
1170255	4013	1996-01-08	VYDAJ	PREVOD NA UCET	6686	27006	SIPO	EF	83890586
1170256	4013	1996-02-08	VYDAJ	PREVOD NA UCET	6686	29056	SIPO	EF	83890586
1170257	4013	1996-03-08	VYDAJ	PREVOD NA UCET	6686	34331	SIPO	EF	83890586
1170258	4013	1996-04-08	VYDAJ	PREVOD NA UCET	6686	33590	SIPO	EF	83890586
1170259	4013	1996-05-08	VYDAJ	PREVOD NA UCET	6686	32215	SIPO	EF	83890586
1170260	4013	1996-06-08	VYDAJ	PREVOD NA UCET	6686	42691	SIPO	EF	83890586
1170261	4013	1996-07-08	VYDAJ	PREVOD NA UCET	6686	31593	SIPO	EF	83890586
1170262	4013	1996-08-08	VYDAJ	PREVOD NA UCET	6686	29452	SIPO	EF	83890586
1170263	4013	1996-09-08	VYDAJ	PREVOD NA UCET	6686	33014	SIPO	EF	83890586
1170264	4013	1996-10-08	VYDAJ	PREVOD NA UCET	6686	35462	SIPO	EF	83890586
1170265	4013	1996-11-08	VYDAJ	PREVOD NA UCET	6686	31455	SIPO	EF	83890586
1170266	4013	1996-12-08	VYDAJ	PREVOD NA UCET	6686	29506	SIPO	EF	83890586
1170267	4013	1997-01-08	VYDAJ	PREVOD NA UCET	6686	38282	SIPO	EF	83890586
1170268	4013	1997-02-08	VYDAJ	PREVOD NA UCET	6686	24752	SIPO	EF	83890586
1170269	4013	1997-03-08	VYDAJ	PREVOD NA UCET	6686	37308	SIPO	EF	83890586
1170270	4013	1997-04-08	VYDAJ	PREVOD NA UCET	6686	43182	SIPO	EF	83890586
1170271	4013	1997-05-08	VYDAJ	PREVOD NA UCET	6686	35740	SIPO	EF	83890586
1170272	4013	1997-06-08	VYDAJ	PREVOD NA UCET	6686	29360	SIPO	EF	83890586
1170273	4013	1997-07-08	VYDAJ	PREVOD NA UCET	6686	28815	SIPO	EF	83890586
1170274	4013	1997-08-08	VYDAJ	PREVOD NA UCET	6686	44896	SIPO	EF	83890586
1170275	4013	1997-09-08	VYDAJ	PREVOD NA UCET	6686	27253	SIPO	EF	83890586
1170276	4013	1997-10-08	VYDAJ	PREVOD NA UCET	6686	44654	SIPO	EF	83890586
1170277	4013	1997-11-08	VYDAJ	PREVOD NA UCET	6686	50584	SIPO	EF	83890586
1170278	4013	1997-12-08	VYDAJ	PREVOD NA UCET	6686	57044	SIPO	EF	83890586
1170279	4013	1998-01-08	VYDAJ	PREVOD NA UCET	6686	34893	SIPO	EF	83890586
1170280	4013	1998-02-08	VYDAJ	PREVOD NA UCET	6686	25957	SIPO	EF	83890586
1170281	4013	1998-03-08	VYDAJ	PREVOD NA UCET	6686	38524	SIPO	EF	83890586
1170282	4013	1998-04-08	VYDAJ	PREVOD NA UCET	6686	23327	SIPO	EF	83890586
1170283	4013	1998-05-08	VYDAJ	PREVOD NA UCET	6686	35001	SIPO	EF	83890586
1170284	4013	1998-06-08	VYDAJ	PREVOD NA UCET	6686	51819	SIPO	EF	83890586
1170285	4013	1998-07-08	VYDAJ	PREVOD NA UCET	6686	47671	SIPO	EF	83890586
1170286	4013	1998-08-08	VYDAJ	PREVOD NA UCET	6686	37288	SIPO	EF	83890586
1170287	4013	1998-09-08	VYDAJ	PREVOD NA UCET	6686	32850	SIPO	EF	83890586
1170288	4013	1998-10-08	VYDAJ	PREVOD NA UCET	6686	52985	SIPO	EF	83890586
1170289	4013	1998-11-08	VYDAJ	PREVOD NA UCET	6686	46094	SIPO	EF	83890586
1170290	4013	1998-12-08	VYDAJ	PREVOD NA UCET	6686	60867	SIPO	EF	83890586
1170294	4013	1995-02-18	VYBER	VYBER	3011	21599	\N	\N	\N
1170295	4013	1995-10-23	VYBER	VYBER	10616	22300	\N	\N	\N
1170298	4013	1996-02-24	VYBER	VYBER	2888	26168	\N	\N	\N
1170301	4013	1996-08-24	VYBER	VYBER	5313	29639	\N	\N	\N
1170304	4013	1996-05-22	VYBER	VYBER	7013	25202	\N	\N	\N
1170305	4013	1996-09-27	VYBER	VYBER	6533	32081	\N	\N	\N
1170306	4013	1996-12-07	VYBER	VYBER	11448	36192	\N	\N	\N
1170307	4013	1996-08-02	VYBER	VYBER	12320	26108	\N	\N	\N
1170309	4013	1996-04-11	VYBER	VYBER	12127	21463	\N	\N	\N
1170310	4013	1997-03-14	VYBER	VYBER	4420	32888	\N	\N	\N
1170311	4013	1997-04-19	VYBER	VYBER	3094	21166	\N	\N	\N
1170313	4013	1997-04-09	VYBER	VYBER	18922	24260	\N	\N	\N
1170314	4013	1997-05-24	VYBER	VYBER	20870	20970	\N	\N	\N
1170315	4013	1997-09-04	VYBER	VYBER	23674	23909	\N	\N	\N
1170317	4013	1998-10-16	VYBER	VYBER	9935	52550	\N	\N	\N
1170318	4013	1998-09-03	VYBER	VYBER	11169	39000	\N	\N	\N
1170319	4013	1998-04-07	VYBER	VYBER	19197	30013	\N	\N	\N
1170320	4013	1998-12-07	VYBER	VYBER	6306	67553	\N	\N	\N
1170321	4013	1998-09-06	VYBER	VYBER	9494	29506	\N	\N	\N
1170333	4013	1997-01-08	VYDAJ	VYBER	11700	26582	\N	\N	\N
1170336	4013	1994-12-04	VYDAJ	VYBER	2100	22245	\N	\N	\N
1170337	4013	1995-12-14	VYDAJ	VYBER	3000	30140	\N	\N	\N
1170338	4013	1996-12-16	VYDAJ	VYBER	3600	25906	\N	\N	\N
1170339	4013	1997-12-09	VYDAJ	VYBER	3900	53144	\N	\N	\N
1170340	4013	1998-12-29	VYDAJ	VYBER	3900	58067	\N	\N	\N
1170357	4013	1995-01-04	VYDAJ	VYBER	5100	23427	\N	\N	\N
1170358	4013	1995-01-11	VYDAJ	VYBER	6600	20171	\N	\N	\N
1170362	4013	1996-01-14	VYDAJ	VYBER	5100	21906	\N	\N	\N
1170363	4013	1996-01-03	VYDAJ	VYBER	6600	23662	\N	\N	\N
1170365	4013	1997-01-25	VYDAJ	VYBER	1500	21382	\N	\N	\N
1170368	4013	1997-01-15	VYDAJ	VYBER	2100	24482	\N	\N	\N
1170369	4013	1997-01-23	VYDAJ	VYBER	7500	27082	\N	\N	\N
1170370	4013	1997-01-25	VYDAJ	VYBER	4200	22882	\N	\N	\N
1170371	4013	1998-01-12	VYDAJ	VYBER	5700	29193	\N	\N	\N
1170374	4013	1998-01-13	VYDAJ	VYBER	6600	22593	\N	\N	\N
1170375	4013	1998-01-02	VYDAJ	VYBER	7500	31549	\N	\N	\N
1170376	4013	1998-01-19	VYDAJ	VYBER	4500	22593	\N	\N	\N
1170385	4013	1994-05-21	VYDAJ	VYBER	4500	23003	\N	\N	\N
1170386	4013	1994-10-13	VYDAJ	VYBER	7200	25773	\N	\N	\N
1170387	4013	1994-09-24	VYDAJ	VYBER	1500	30199	\N	\N	\N
1170388	4013	1994-03-17	VYDAJ	VYBER	7500	18415	\N	\N	\N
1170389	4013	1994-03-11	VYDAJ	VYBER	3900	25915	\N	\N	\N
1170391	4013	1995-11-29	VYDAJ	VYBER	6000	24766	\N	\N	\N
1170392	4013	1995-09-05	VYDAJ	VYBER	3000	27001	\N	\N	\N
1170393	4013	1995-06-13	VYDAJ	VYBER	6000	30223	\N	\N	\N
1170394	4013	1996-11-23	VYDAJ	VYBER	4500	32555	\N	\N	\N
1170396	4013	1996-11-02	VYDAJ	VYBER	11400	28111	\N	\N	\N
1170397	4013	1996-03-14	VYDAJ	VYBER	12900	21431	\N	\N	\N
1170399	4013	1996-06-26	VYDAJ	VYBER	11700	28191	\N	\N	\N
1170400	4013	1997-12-30	VYDAJ	VYBER	10200	38944	\N	\N	\N
1170401	4013	1997-06-22	VYDAJ	VYBER	11100	25460	\N	\N	\N
1170402	4013	1997-12-17	VYDAJ	VYBER	2100	49144	\N	\N	\N
1170403	4013	1998-10-18	VYDAJ	VYBER	9900	42650	\N	\N	\N
1170404	4013	1998-01-19	VYDAJ	VYBER	4200	27093	\N	\N	\N
1170405	4013	1998-06-29	VYDAJ	VYBER	9900	44219	\N	\N	\N
1170406	4013	1998-07-21	VYDAJ	VYBER	4500	33871	\N	\N	\N
1170408	4013	1998-07-20	VYDAJ	VYBER	12000	38371	\N	\N	\N
1170424	4013	1994-03-31	VYDAJ	VYBER	100	18424	SLUZBY	\N	\N
1170425	4013	1994-04-30	VYDAJ	VYBER	100	22559	SLUZBY	\N	\N
1170426	4013	1994-05-31	VYDAJ	VYBER	100	23008	SLUZBY	\N	\N
1170427	4013	1994-06-30	VYDAJ	VYBER	100	34201	SLUZBY	\N	\N
1170428	4013	1994-07-31	VYDAJ	VYBER	100	31680	SLUZBY	\N	\N
1170429	4013	1994-08-31	VYDAJ	VYBER	100	30855	SLUZBY	\N	\N
1170430	4013	1994-09-30	VYDAJ	VYBER	100	30229	SLUZBY	\N	\N
1170431	4013	1994-10-31	VYDAJ	VYBER	100	25791	SLUZBY	\N	\N
1170432	4013	1994-11-30	VYDAJ	VYBER	100	26245	SLUZBY	\N	\N
1170433	4013	1994-12-31	VYDAJ	VYBER	100	30627	SLUZBY	\N	\N
1170434	4013	1995-01-31	VYDAJ	VYBER	100	21266	SLUZBY	\N	\N
1170435	4013	1995-02-28	VYDAJ	VYBER	100	21593	SLUZBY	\N	\N
1170436	4013	1995-03-31	VYDAJ	VYBER	100	24537	SLUZBY	\N	\N
1170437	4013	1995-04-30	VYDAJ	VYBER	100	28598	SLUZBY	\N	\N
1170438	4013	1995-05-31	VYDAJ	VYBER	100	29264	SLUZBY	\N	\N
1170439	4013	1995-06-30	VYDAJ	VYBER	100	29252	SLUZBY	\N	\N
1170440	4013	1995-07-31	VYDAJ	VYBER	100	28827	SLUZBY	\N	\N
1170441	4013	1995-08-31	VYDAJ	VYBER	100	30001	SLUZBY	\N	\N
1170442	4013	1995-09-30	VYDAJ	VYBER	100	29572	SLUZBY	\N	\N
1170443	4013	1995-10-31	VYDAJ	VYBER	100	25122	SLUZBY	\N	\N
1170444	4013	1995-11-30	VYDAJ	VYBER	100	24781	SLUZBY	\N	\N
1170445	4013	1995-12-31	VYDAJ	VYBER	100	30262	SLUZBY	\N	\N
1170446	4013	1996-01-31	VYDAJ	VYBER	100	25712	SLUZBY	\N	\N
1170447	4013	1996-02-29	VYDAJ	VYBER	100	30987	SLUZBY	\N	\N
1170448	4013	1996-03-31	VYDAJ	VYBER	100	30246	SLUZBY	\N	\N
1170449	4013	1996-04-30	VYDAJ	VYBER	100	28871	SLUZBY	\N	\N
1170450	4013	1996-05-31	VYDAJ	VYBER	100	34332	SLUZBY	\N	\N
1170451	4013	1996-06-30	VYDAJ	VYBER	100	28249	SLUZBY	\N	\N
1170452	4013	1996-07-31	VYDAJ	VYBER	100	38428	SLUZBY	\N	\N
1170453	4013	1996-08-31	VYDAJ	VYBER	100	29670	SLUZBY	\N	\N
1170454	4013	1996-09-30	VYDAJ	VYBER	100	32118	SLUZBY	\N	\N
1170455	4013	1996-10-31	VYDAJ	VYBER	100	39511	SLUZBY	\N	\N
1170456	4013	1996-11-30	VYDAJ	VYBER	100	32595	SLUZBY	\N	\N
1170457	4013	1996-12-31	VYDAJ	VYBER	100	34938	SLUZBY	\N	\N
1170458	4013	1997-01-31	VYDAJ	VYBER	100	21408	SLUZBY	\N	\N
1170459	4013	1997-02-28	VYDAJ	VYBER	100	33964	SLUZBY	\N	\N
1170460	4013	1997-03-31	VYDAJ	VYBER	100	39838	SLUZBY	\N	\N
1170461	4013	1997-04-30	VYDAJ	VYBER	100	32396	SLUZBY	\N	\N
1170462	4013	1997-05-31	VYDAJ	VYBER	100	21001	SLUZBY	\N	\N
1170463	4013	1997-06-30	VYDAJ	VYBER	100	25471	SLUZBY	\N	\N
1170464	4013	1997-07-31	VYDAJ	VYBER	100	41552	SLUZBY	\N	\N
1170465	4013	1997-08-31	VYDAJ	VYBER	100	47583	SLUZBY	\N	\N
1170466	4013	1997-09-30	VYDAJ	VYBER	100	41310	SLUZBY	\N	\N
1170467	4013	1997-10-31	VYDAJ	VYBER	100	47240	SLUZBY	\N	\N
1170468	4013	1997-11-30	VYDAJ	VYBER	100	48685	SLUZBY	\N	\N
1170469	4013	1997-12-31	VYDAJ	VYBER	100	39049	SLUZBY	\N	\N
1170470	4013	1998-01-31	VYDAJ	VYBER	100	22613	SLUZBY	\N	\N
1170471	4013	1998-02-28	VYDAJ	VYBER	100	35180	SLUZBY	\N	\N
1170472	4013	1998-03-31	VYDAJ	VYBER	100	39180	SLUZBY	\N	\N
1170473	4013	1998-04-30	VYDAJ	VYBER	100	31657	SLUZBY	\N	\N
1170474	4013	1998-05-31	VYDAJ	VYBER	100	43460	SLUZBY	\N	\N
1170475	4013	1998-06-30	VYDAJ	VYBER	100	44327	SLUZBY	\N	\N
1170476	4013	1998-07-31	VYDAJ	VYBER	100	33944	SLUZBY	\N	\N
1170477	4013	1998-08-31	VYDAJ	VYBER	100	50169	SLUZBY	\N	\N
1170478	4013	1998-09-30	VYDAJ	VYBER	100	49641	SLUZBY	\N	\N
1170479	4013	1998-10-31	VYDAJ	VYBER	100	42750	SLUZBY	\N	\N
1170480	4013	1998-11-30	VYDAJ	VYBER	100	58814	SLUZBY	\N	\N
1170481	4013	1993-11-07	PRIJEM	VKLAD	7200	7800	\N	\N	\N
1170482	4013	1993-12-07	VYDAJ	VYBER	6000	26901	\N	\N	\N
1170483	4013	1994-01-06	VYDAJ	VYBER	500	26498	\N	\N	\N
1170484	4013	1994-02-05	VYDAJ	VYBER	5200	31472	\N	\N	\N
1170485	4013	1994-03-07	VYDAJ	VYBER	15200	36501	\N	\N	\N
1170486	4013	1994-04-06	PRIJEM	VKLAD	800	19224	\N	\N	\N
1170487	4013	1994-05-06	PRIJEM	VKLAD	1600	24159	\N	\N	\N
1170488	4013	1994-06-05	PRIJEM	VKLAD	2800	25808	\N	\N	\N
1170489	4013	1994-07-05	VYDAJ	VYBER	5900	28301	\N	\N	\N
1170490	4013	1994-08-04	VYDAJ	VYBER	4200	27480	\N	\N	\N
1170491	4013	1994-09-03	VYDAJ	VYBER	2500	28355	\N	\N	\N
1170492	4013	1994-10-03	VYDAJ	VYBER	600	29629	\N	\N	\N
1170493	4013	1994-11-02	VYDAJ	VYBER	2900	22891	\N	\N	\N
1170494	4013	1994-12-02	VYDAJ	VYBER	1900	24345	\N	\N	\N
1170495	4013	1995-01-01	VYDAJ	VYBER	2100	28527	\N	\N	\N
1170496	4013	1995-01-31	PRIJEM	VKLAD	1100	21366	\N	\N	\N
1170497	4013	1995-03-02	VYDAJ	VYBER	400	21193	\N	\N	\N
1170498	4013	1995-04-01	PRIJEM	VKLAD	700	25237	\N	\N	\N
1170499	4013	1995-05-01	VYDAJ	VYBER	2700	25898	\N	\N	\N
1170500	4013	1995-05-31	VYDAJ	VYBER	1400	27864	\N	\N	\N
1170501	4013	1995-06-30	VYDAJ	VYBER	1000	29352	\N	\N	\N
1170502	4013	1995-07-30	VYDAJ	VYBER	3800	28796	\N	\N	\N
1170503	4013	1995-08-29	VYDAJ	VYBER	2200	29971	\N	\N	\N
1170504	4013	1995-09-28	VYDAJ	VYBER	800	29545	\N	\N	\N
1170505	4013	1995-10-28	PRIJEM	VKLAD	2800	25100	\N	\N	\N
1170506	4013	1995-11-27	PRIJEM	VKLAD	2300	30766	\N	\N	\N
1170507	4013	1995-12-27	PRIJEM	VKLAD	100	30240	\N	\N	\N
1170508	4013	1996-01-26	PRIJEM	VKLAD	3800	25706	\N	\N	\N
1170509	4013	1996-02-25	PRIJEM	VKLAD	4800	30968	\N	\N	\N
1170510	4013	1996-03-26	PRIJEM	VKLAD	8800	30231	\N	\N	\N
1170511	4013	1996-04-25	PRIJEM	VKLAD	7400	28863	\N	\N	\N
1170512	4013	1996-05-25	PRIJEM	VKLAD	9100	34302	\N	\N	\N
1170513	4013	1996-06-24	VYDAJ	VYBER	2800	39891	\N	\N	\N
1170514	4013	1996-07-24	PRIJEM	VKLAD	6800	38393	\N	\N	\N
1170515	4013	1996-08-23	PRIJEM	VKLAD	5500	34952	\N	\N	\N
1170516	4013	1996-09-22	PRIJEM	VKLAD	5600	38614	\N	\N	\N
1170517	4013	1996-10-22	PRIJEM	VKLAD	4000	39462	\N	\N	\N
1170518	4013	1996-11-21	PRIJEM	VKLAD	5600	37055	\N	\N	\N
1170519	4013	1996-12-21	PRIJEM	VKLAD	9000	34906	\N	\N	\N
1170520	4013	1997-01-20	PRIJEM	VKLAD	10100	34582	\N	\N	\N
1170521	4013	1997-02-19	PRIJEM	VKLAD	9200	33952	\N	\N	\N
1170522	4013	1997-03-21	PRIJEM	VKLAD	6900	39788	\N	\N	\N
1170523	4013	1997-04-20	PRIJEM	VKLAD	11200	32366	\N	\N	\N
1170524	4013	1997-05-20	PRIJEM	VKLAD	6100	41840	\N	\N	\N
1170525	4013	1997-06-19	PRIJEM	VKLAD	7200	36560	\N	\N	\N
1170526	4013	1997-07-19	PRIJEM	VKLAD	12700	41515	\N	\N	\N
1170527	4013	1997-08-18	PRIJEM	VKLAD	2600	47496	\N	\N	\N
1170528	4013	1997-09-17	PRIJEM	VKLAD	14000	41253	\N	\N	\N
1170529	4013	1997-10-17	PRIJEM	VKLAD	2500	47154	\N	\N	\N
1170530	4013	1997-11-16	VYDAJ	VYBER	2000	48584	\N	\N	\N
1170531	4013	1997-12-16	VYDAJ	VYBER	1900	51244	\N	\N	\N
1170532	4013	1998-01-15	PRIJEM	VKLAD	8700	31293	\N	\N	\N
1170533	4013	1998-02-14	PRIJEM	VKLAD	9200	35157	\N	\N	\N
1170534	4013	1998-03-16	PRIJEM	VKLAD	600	39124	\N	\N	\N
1170535	4013	1998-04-15	PRIJEM	VKLAD	8300	31627	\N	\N	\N
1170536	4013	1998-05-15	PRIJEM	VKLAD	8400	43401	\N	\N	\N
1170537	4013	1998-06-14	PRIJEM	VKLAD	2300	54119	\N	\N	\N
1170538	4013	1998-07-14	PRIJEM	VKLAD	2700	50371	\N	\N	\N
1170539	4013	1998-08-13	PRIJEM	VKLAD	12800	50088	\N	\N	\N
1170540	4013	1998-09-12	PRIJEM	VKLAD	16700	49550	\N	\N	\N
1170541	4013	1998-10-12	PRIJEM	VKLAD	9500	62485	\N	\N	\N
1170542	4013	1998-11-11	PRIJEM	VKLAD	12600	58694	\N	\N	\N
1170543	4013	1998-12-11	PRIJEM	VKLAD	1100	61967	\N	\N	\N
1170606	4014	1995-05-15	PRIJEM	VKLAD	600	600	\N	\N	\N
1170609	4014	1995-11-10	PRIJEM	VKLAD	31314	127777	\N	\N	\N
1170610	4014	1995-10-10	PRIJEM	VKLAD	30534	117709	\N	\N	\N
1170611	4014	1995-05-18	PRIJEM	VKLAD	21551	22151	\N	\N	\N
1170612	4014	1995-09-22	PRIJEM	VKLAD	35499	111005	\N	\N	\N
1170613	4014	1995-09-21	PRIJEM	VKLAD	46739	75506	\N	\N	\N
1170616	4014	1995-12-13	PRIJEM	VKLAD	35087	65763	\N	\N	\N
1170617	4014	1995-10-22	PRIJEM	VKLAD	12139	63975	\N	\N	\N
1170619	4014	1995-11-05	PRIJEM	VKLAD	32270	96463	\N	\N	\N
1170621	4014	1995-08-04	PRIJEM	VKLAD	17974	42051	\N	\N	\N
1170622	4014	1995-12-10	PRIJEM	VKLAD	21348	105183	\N	\N	\N
1170624	4014	1995-10-12	PRIJEM	VKLAD	18027	81336	\N	\N	\N
1170625	4014	1995-09-27	PRIJEM	VKLAD	31660	122865	\N	\N	\N
1170626	4014	1995-11-16	PRIJEM	VKLAD	15541	83618	\N	\N	\N
1170627	4014	1996-07-05	PRIJEM	VKLAD	12589	48710	\N	\N	\N
1170628	4014	1996-02-11	PRIJEM	VKLAD	32555	50954	\N	\N	\N
1170629	4014	1996-09-14	PRIJEM	VKLAD	33403	80922	\N	\N	\N
1170630	4014	1996-02-04	PRIJEM	VKLAD	28913	26099	\N	\N	\N
1170631	4014	1996-08-19	PRIJEM	VKLAD	36946	93150	\N	\N	\N
1170632	4014	1996-02-26	PRIJEM	VKLAD	27696	78650	\N	\N	\N
1170633	4014	1996-07-16	PRIJEM	VKLAD	42977	76387	\N	\N	\N
1170634	4014	1996-08-16	PRIJEM	VKLAD	9834	63104	\N	\N	\N
1170635	4014	1996-07-21	PRIJEM	VKLAD	42993	119380	\N	\N	\N
1170636	4014	1996-10-17	PRIJEM	VKLAD	16946	63771	\N	\N	\N
1170637	4014	1996-05-23	PRIJEM	VKLAD	34691	86455	\N	\N	\N
1170638	4014	1996-03-25	PRIJEM	VKLAD	11418	107959	\N	\N	\N
1170639	4014	1996-04-24	PRIJEM	VKLAD	22665	97421	\N	\N	\N
1170640	4014	1996-05-14	PRIJEM	VKLAD	17730	65550	\N	\N	\N
1170641	4014	1996-04-23	PRIJEM	VKLAD	30364	74756	\N	\N	\N
1170642	4014	1996-04-27	PRIJEM	VKLAD	5035	124276	\N	\N	\N
1170643	4014	1996-08-01	PRIJEM	VKLAD	33289	88670	\N	\N	\N
1170644	4014	1996-12-23	PRIJEM	VKLAD	5987	6796	\N	\N	\N
1170645	4014	1996-03-24	PRIJEM	VKLAD	38454	96541	\N	\N	\N
1170646	4014	1996-04-27	PRIJEM	VKLAD	21820	119241	\N	\N	\N
1170647	4014	1996-03-10	PRIJEM	VKLAD	40082	118787	\N	\N	\N
1170648	4014	1996-12-30	PRIJEM	VKLAD	28674	35470	\N	\N	\N
1170649	4014	1997-10-12	PRIJEM	VKLAD	26361	40225	\N	\N	\N
1170650	4014	1997-07-11	PRIJEM	VKLAD	12551	59940	\N	\N	\N
1170651	4014	1997-11-30	PRIJEM	VKLAD	31586	97344	\N	\N	\N
1170652	4014	1997-03-14	PRIJEM	VKLAD	30251	66396	\N	\N	\N
1170653	4014	1997-01-27	PRIJEM	VKLAD	16878	17575	\N	\N	\N
1170654	4014	1997-07-01	PRIJEM	VKLAD	41860	83289	\N	\N	\N
1170655	4014	1997-11-22	PRIJEM	VKLAD	22239	65758	\N	\N	\N
1170656	4014	1997-11-11	PRIJEM	VKLAD	8039	43519	\N	\N	\N
1170657	4014	1997-12-02	PRIJEM	VKLAD	14240	58888	\N	\N	\N
1170658	4014	1997-10-15	PRIJEM	VKLAD	38555	58016	\N	\N	\N
1170659	4014	1997-03-27	PRIJEM	VKLAD	41412	44240	\N	\N	\N
1170660	4014	1997-08-04	PRIJEM	VKLAD	35799	96240	\N	\N	\N
1170661	4014	1997-05-03	PRIJEM	VKLAD	40882	64293	\N	\N	\N
1170662	4014	1997-06-07	PRIJEM	VKLAD	24546	48681	\N	\N	\N
1170663	4014	1997-04-19	PRIJEM	VKLAD	16267	47302	\N	\N	\N
1170664	4014	1997-07-31	PRIJEM	VKLAD	42976	98716	\N	\N	\N
1170665	4014	1997-02-23	PRIJEM	VKLAD	46815	60535	\N	\N	\N
1170666	4014	1998-09-23	PRIJEM	VKLAD	46535	145368	\N	\N	\N
1170667	4014	1998-09-28	PRIJEM	VKLAD	28081	107649	\N	\N	\N
1170668	4014	1998-05-19	PRIJEM	VKLAD	38225	123665	\N	\N	\N
1170669	4014	1998-02-14	PRIJEM	VKLAD	28104	95702	\N	\N	\N
1170670	4014	1998-05-29	PRIJEM	VKLAD	36782	123989	\N	\N	\N
1170671	4014	1998-11-05	PRIJEM	VKLAD	45284	125193	\N	\N	\N
1170672	4014	1998-04-28	PRIJEM	VKLAD	12919	91165	\N	\N	\N
1170673	4014	1998-09-03	PRIJEM	VKLAD	24165	64133	\N	\N	\N
1170674	4014	1998-02-01	PRIJEM	VKLAD	35656	53559	\N	\N	\N
1170675	4014	1998-05-20	PRIJEM	VKLAD	29042	112907	\N	\N	\N
1170676	4014	1998-10-24	PRIJEM	VKLAD	36769	130763	\N	\N	\N
1170677	4014	1998-02-03	PRIJEM	VKLAD	14039	67598	\N	\N	\N
1170678	4014	1998-09-18	PRIJEM	VKLAD	36500	98833	\N	\N	\N
1170679	4014	1998-11-05	PRIJEM	VKLAD	9437	79909	\N	\N	\N
1170680	4014	1998-04-23	PRIJEM	VKLAD	20501	78246	\N	\N	\N
1170681	4014	1998-06-10	PRIJEM	VKLAD	49252	103785	\N	\N	\N
1170682	4014	1998-11-15	PRIJEM	VKLAD	8047	109875	\N	\N	\N
1170683	4014	1998-07-01	PRIJEM	VKLAD	20064	50944	\N	\N	\N
1170684	4014	1998-02-24	PRIJEM	VKLAD	41480	137182	\N	\N	\N
1170685	4014	1998-10-19	PRIJEM	VKLAD	16094	93994	\N	\N	\N
1170686	4014	1998-04-16	PRIJEM	VKLAD	6920	57745	\N	\N	\N
1170687	4014	1998-11-11	PRIJEM	VKLAD	30535	120628	\N	\N	\N
1170688	4014	1998-01-25	PRIJEM	VKLAD	6213	10442	\N	\N	\N
1170689	4014	1998-10-07	PRIJEM	VKLAD	18124	77900	\N	\N	\N
1170690	4014	1998-04-30	PRIJEM	VKLAD	20134	85299	\N	\N	\N
1170691	4014	1998-03-27	PRIJEM	VKLAD	13977	74080	\N	\N	\N
1170695	4014	1995-12-27	VYBER	VYBER	13178	31285	\N	\N	\N
1170697	4014	1995-12-11	VYBER	VYBER	24607	42676	\N	\N	\N
1170701	4014	1996-11-06	VYBER	VYBER	23837	16336	\N	\N	\N
1170702	4014	1996-09-04	VYBER	VYBER	8927	77819	\N	\N	\N
1170703	4014	1996-06-07	VYBER	VYBER	20068	66596	\N	\N	\N
1170704	4014	1996-05-22	VYBER	VYBER	13786	51764	\N	\N	\N
1170706	4014	1997-03-16	VYBER	VYBER	17445	36050	\N	\N	\N
1170707	4014	1997-12-01	VYBER	VYBER	13284	44648	\N	\N	\N
1170708	4014	1997-04-28	VYBER	VYBER	23970	23332	\N	\N	\N
1170709	4014	1997-03-14	VYBER	VYBER	12901	53495	\N	\N	\N
1170710	4014	1997-09-21	VYBER	VYBER	17575	13320	\N	\N	\N
1170711	4014	1997-10-12	VYBER	VYBER	20764	19461	\N	\N	\N
1170712	4014	1997-09-04	VYBER	VYBER	10093	40935	\N	\N	\N
1170713	4014	1997-09-18	VYBER	VYBER	8240	30895	\N	\N	\N
1170714	4014	1997-03-26	VYBER	VYBER	22722	2828	\N	\N	\N
1170716	4014	1997-06-22	VYBER	VYBER	7326	41355	\N	\N	\N
1170719	4014	1996-06-28	VYDAJ	VYBER	9600	35996	\N	\N	\N
1170721	4014	1998-06-15	VYDAJ	VYBER	81900	21885	\N	\N	\N
1170723	4014	1996-01-18	VYDAJ	VYBER	12900	135	\N	\N	\N
1170724	4014	1997-01-05	VYDAJ	VYBER	4800	14797	\N	\N	\N
1170725	4014	1998-01-09	VYDAJ	VYBER	21000	9629	\N	\N	\N
1170726	4014	1995-12-23	VYDAJ	VYBER	8700	44463	\N	\N	\N
1170727	4014	1996-12-14	VYDAJ	VYBER	5400	809	\N	\N	\N
1170728	4014	1997-12-20	VYDAJ	VYBER	1500	57388	\N	\N	\N
1170729	4014	1998-12-05	VYDAJ	VYBER	2400	69946	\N	\N	\N
1170736	4014	1996-01-17	VYDAJ	VYBER	3600	13035	\N	\N	\N
1170737	4014	1996-01-08	VYDAJ	VYBER	7200	24235	\N	\N	\N
1170739	4014	1996-01-21	VYDAJ	VYBER	3000	-2865	\N	\N	\N
1170741	4014	1996-01-16	VYDAJ	VYBER	6300	16635	\N	\N	\N
1170742	4014	1997-01-02	VYDAJ	VYBER	4200	26397	\N	\N	\N
1170744	4014	1997-01-10	VYDAJ	VYBER	4200	10597	\N	\N	\N
1170745	4014	1997-01-18	VYDAJ	VYBER	5400	697	\N	\N	\N
1170746	4014	1997-01-14	VYDAJ	VYBER	4500	6097	\N	\N	\N
1170747	4014	1997-01-01	VYDAJ	VYBER	4800	30597	\N	\N	\N
1170748	4014	1998-01-07	VYDAJ	VYBER	8100	30629	\N	\N	\N
1170749	4014	1998-01-05	VYDAJ	VYBER	1500	38729	\N	\N	\N
1170750	4014	1998-01-27	VYDAJ	VYBER	3300	7142	\N	\N	\N
1170752	4014	1998-01-11	VYDAJ	VYBER	5400	4229	\N	\N	\N
1170757	4014	1995-12-17	VYDAJ	VYBER	12600	53163	\N	\N	\N
1170758	4014	1996-08-18	VYDAJ	VYBER	6900	56204	\N	\N	\N
1170759	4014	1996-11-12	VYDAJ	VYBER	10200	6136	\N	\N	\N
1170760	4014	1996-02-08	VYDAJ	VYBER	11400	14699	\N	\N	\N
1170763	4014	1996-09-01	VYDAJ	VYBER	6600	86746	\N	\N	\N
1170764	4014	1997-07-13	VYDAJ	VYBER	4200	55740	\N	\N	\N
1170765	4014	1997-05-23	VYDAJ	VYBER	8700	30193	\N	\N	\N
1170766	4014	1997-03-25	VYDAJ	VYBER	10500	25550	\N	\N	\N
1170767	4014	1997-09-13	VYDAJ	VYBER	1800	39135	\N	\N	\N
1170768	4014	1997-08-23	VYDAJ	VYBER	9600	86640	\N	\N	\N
1170769	4014	1997-05-27	VYDAJ	VYBER	2700	27493	\N	\N	\N
1170770	4014	1998-06-08	VYDAJ	VYBER	3900	54533	\N	\N	\N
1170771	4014	1998-09-05	VYDAJ	VYBER	1800	62333	\N	\N	\N
1170772	4014	1998-12-09	VYDAJ	VYBER	1800	68146	\N	\N	\N
1170773	4014	1998-08-31	VYDAJ	VYBER	3000	40068	\N	\N	\N
1170783	4014	1995-09-30	VYDAJ	VYBER	100	87175	SLUZBY	\N	\N
1170784	4014	1995-10-31	VYDAJ	VYBER	100	64193	SLUZBY	\N	\N
1170785	4014	1995-11-30	VYDAJ	VYBER	100	83835	SLUZBY	\N	\N
1170786	4014	1995-12-31	VYDAJ	VYBER	100	31435	SLUZBY	\N	\N
1170788	4014	1996-02-29	VYDAJ	VYBER	100	78712	SLUZBY	\N	\N
1170789	4014	1996-03-31	VYDAJ	VYBER	100	67092	SLUZBY	\N	\N
1170790	4014	1996-04-30	VYDAJ	VYBER	100	73520	SLUZBY	\N	\N
1170791	4014	1996-05-31	VYDAJ	VYBER	100	86664	SLUZBY	\N	\N
1170792	4014	1996-06-30	VYDAJ	VYBER	100	36121	SLUZBY	\N	\N
1170793	4014	1996-07-31	VYDAJ	VYBER	100	55381	SLUZBY	\N	\N
1170794	4014	1996-08-31	VYDAJ	VYBER	100	93346	SLUZBY	\N	\N
1170795	4014	1996-09-30	VYDAJ	VYBER	100	81125	SLUZBY	\N	\N
1170796	4014	1996-10-31	VYDAJ	VYBER	100	63973	SLUZBY	\N	\N
1170797	4014	1996-11-30	VYDAJ	VYBER	100	6109	SLUZBY	\N	\N
1170798	4014	1996-12-31	VYDAJ	VYBER	100	35397	SLUZBY	\N	\N
1170799	4014	1997-01-31	VYDAJ	VYBER	100	17520	SLUZBY	\N	\N
1170800	4014	1997-02-28	VYDAJ	VYBER	100	60545	SLUZBY	\N	\N
1170801	4014	1997-03-31	VYDAJ	VYBER	100	44335	SLUZBY	\N	\N
1170802	4014	1997-04-30	VYDAJ	VYBER	100	23411	SLUZBY	\N	\N
1170803	4014	1997-05-31	VYDAJ	VYBER	100	27535	SLUZBY	\N	\N
1170804	4014	1997-06-30	VYDAJ	VYBER	100	41429	SLUZBY	\N	\N
1170805	4014	1997-07-31	VYDAJ	VYBER	100	98841	SLUZBY	\N	\N
1170806	4014	1997-08-31	VYDAJ	VYBER	100	86928	SLUZBY	\N	\N
1170807	4014	1997-09-30	VYDAJ	VYBER	100	13364	SLUZBY	\N	\N
1170808	4014	1997-10-31	VYDAJ	VYBER	100	58080	SLUZBY	\N	\N
1170809	4014	1997-11-30	VYDAJ	VYBER	100	57932	SLUZBY	\N	\N
1170810	4014	1997-12-31	VYDAJ	VYBER	100	40229	SLUZBY	\N	\N
1170811	4014	1998-01-31	VYDAJ	VYBER	100	17903	SLUZBY	\N	\N
1170812	4014	1998-02-28	VYDAJ	VYBER	100	94503	SLUZBY	\N	\N
1170813	4014	1998-03-31	VYDAJ	VYBER	100	50825	SLUZBY	\N	\N
1170814	4014	1998-04-30	VYDAJ	VYBER	100	85440	SLUZBY	\N	\N
1170815	4014	1998-05-31	VYDAJ	VYBER	100	58433	SLUZBY	\N	\N
1170816	4014	1998-06-30	VYDAJ	VYBER	100	30880	SLUZBY	\N	\N
1170817	4014	1998-07-31	VYDAJ	VYBER	100	46578	SLUZBY	\N	\N
1170818	4014	1998-08-31	VYDAJ	VYBER	100	39968	SLUZBY	\N	\N
1170819	4014	1998-09-30	VYDAJ	VYBER	100	59776	SLUZBY	\N	\N
1170820	4014	1998-10-31	VYDAJ	VYBER	100	70472	SLUZBY	\N	\N
1170821	4014	1998-11-30	VYDAJ	VYBER	100	72346	SLUZBY	\N	\N
1170822	4014	1995-06-14	PRIJEM	VKLAD	2500	24693	\N	\N	\N
1170823	4014	1995-07-14	VYDAJ	VYBER	800	23985	\N	\N	\N
1170824	4014	1995-08-13	VYDAJ	VYBER	10600	31451	\N	\N	\N
1170825	4014	1995-09-12	VYDAJ	VYBER	2800	28767	\N	\N	\N
1170826	4014	1995-09-22	VYDAJ	VYBER	19800	91205	\N	\N	\N
1170827	4014	1995-09-27	VYDAJ	VYBER	35800	87065	\N	\N	\N
1170828	4014	1995-10-10	VYDAJ	VYBER	54400	63309	\N	\N	\N
1170829	4014	1995-10-12	VYDAJ	VYBER	29500	51836	\N	\N	\N
1170830	4014	1995-11-10	VYDAJ	VYBER	15900	111877	\N	\N	\N
1170831	4014	1995-11-11	VYDAJ	VYBER	43800	68077	\N	\N	\N
1170832	4014	1995-12-10	VYDAJ	VYBER	37900	67283	\N	\N	\N
1170833	4014	1995-12-11	VYDAJ	VYBER	12000	30676	\N	\N	\N
1170834	4014	1996-01-10	VYDAJ	VYBER	1300	22935	\N	\N	\N
1170835	4014	1996-02-09	PRIJEM	VKLAD	3700	18399	\N	\N	\N
1170836	4014	1996-03-10	VYDAJ	VYBER	24100	94687	\N	\N	\N
1170837	4014	1996-03-10	VYDAJ	VYBER	36600	58087	\N	\N	\N
1170838	4014	1996-03-31	VYDAJ	VYBER	41200	67192	\N	\N	\N
1170839	4014	1996-04-09	VYDAJ	VYBER	22700	44392	\N	\N	\N
1170840	4014	1996-04-27	VYDAJ	VYBER	51100	73176	\N	\N	\N
1170841	4014	1996-05-09	VYDAJ	VYBER	25700	47820	\N	\N	\N
1170842	4014	1996-06-08	VYDAJ	VYBER	21000	45596	\N	\N	\N
1170843	4014	1996-07-08	VYDAJ	VYBER	15300	33410	\N	\N	\N
1170844	4014	1996-07-21	VYDAJ	VYBER	64100	55280	\N	\N	\N
1170845	4014	1996-08-07	VYDAJ	VYBER	35400	53270	\N	\N	\N
1170846	4014	1996-09-06	VYDAJ	VYBER	30300	47519	\N	\N	\N
1170847	4014	1996-10-06	VYDAJ	VYBER	34300	46825	\N	\N	\N
1170848	4014	1996-11-05	VYDAJ	VYBER	23800	40173	\N	\N	\N
1170849	4014	1996-12-05	PRIJEM	VKLAD	100	6209	\N	\N	\N
1170850	4014	1997-01-04	VYDAJ	VYBER	6800	19597	\N	\N	\N
1170851	4014	1997-02-03	VYDAJ	VYBER	3800	13720	\N	\N	\N
1170852	4014	1997-03-05	VYDAJ	VYBER	24400	36145	\N	\N	\N
1170853	4014	1997-04-04	VYDAJ	VYBER	13300	31035	\N	\N	\N
1170854	4014	1997-05-04	VYDAJ	VYBER	25400	38893	\N	\N	\N
1170855	4014	1997-06-03	VYDAJ	VYBER	3400	24135	\N	\N	\N
1170856	4014	1997-07-03	VYDAJ	VYBER	35900	47389	\N	\N	\N
1170857	4014	1997-08-02	VYDAJ	VYBER	38400	60441	\N	\N	\N
1170858	4014	1997-09-01	VYDAJ	VYBER	35900	51028	\N	\N	\N
1170859	4014	1997-10-01	PRIJEM	VKLAD	500	13864	\N	\N	\N
1170860	4014	1997-10-31	VYDAJ	VYBER	22600	35480	\N	\N	\N
1170861	4014	1997-11-30	VYDAJ	VYBER	39500	58032	\N	\N	\N
1170862	4014	1997-12-30	VYDAJ	VYBER	17300	40088	\N	\N	\N
1170863	4014	1998-01-29	PRIJEM	VKLAD	10800	17942	\N	\N	\N
1170864	4014	1998-02-24	VYDAJ	VYBER	42900	94282	\N	\N	\N
1170865	4014	1998-02-28	VYDAJ	VYBER	34400	60103	\N	\N	\N
1170866	4014	1998-03-30	VYDAJ	VYBER	23400	50680	\N	\N	\N
1170867	4014	1998-04-29	VYDAJ	VYBER	26000	65165	\N	\N	\N
1170868	4014	1998-05-19	VYDAJ	VYBER	39800	83865	\N	\N	\N
1170869	4014	1998-05-20	VYDAJ	VYBER	25700	87207	\N	\N	\N
1170870	4014	1998-05-29	VYDAJ	VYBER	38100	85889	\N	\N	\N
1170871	4014	1998-05-29	VYDAJ	VYBER	27700	58189	\N	\N	\N
1170872	4014	1998-06-28	PRIJEM	VKLAD	8900	30785	\N	\N	\N
1170873	4014	1998-07-28	VYDAJ	VYBER	4400	46544	\N	\N	\N
1170874	4014	1998-08-27	VYDAJ	VYBER	3700	42878	\N	\N	\N
1170875	4014	1998-09-23	VYDAJ	VYBER	23100	122268	\N	\N	\N
1170876	4014	1998-09-26	VYDAJ	VYBER	42700	79568	\N	\N	\N
1170877	4014	1998-09-30	VYDAJ	VYBER	48100	59876	\N	\N	\N
1170878	4014	1998-10-24	VYDAJ	VYBER	16100	114663	\N	\N	\N
1170879	4014	1998-10-26	VYDAJ	VYBER	44500	70163	\N	\N	\N
1170880	4014	1998-11-05	VYDAJ	VYBER	35100	90093	\N	\N	\N
1170881	4014	1998-11-11	VYDAJ	VYBER	18800	101828	\N	\N	\N
1170882	4014	1998-11-25	VYDAJ	VYBER	37800	72075	\N	\N	\N
1174168	4026	1997-02-06	PRIJEM	VKLAD	700	700	\N	\N	\N
1174170	4026	1997-02-08	PRIJEM	PREVOD Z UCTU	26204	26904	\N	IJ	85192459
1174171	4026	1997-03-08	PRIJEM	PREVOD Z UCTU	26204	53192	\N	IJ	85192459
1174172	4026	1997-04-08	PRIJEM	PREVOD Z UCTU	26204	56138	\N	IJ	85192459
1174173	4026	1997-05-08	PRIJEM	PREVOD Z UCTU	26204	65157	\N	IJ	85192459
1174174	4026	1997-06-08	PRIJEM	PREVOD Z UCTU	39306	86326	\N	IJ	85192459
1174175	4026	1997-07-08	PRIJEM	PREVOD Z UCTU	26204	74611	\N	IJ	85192459
1174176	4026	1997-08-08	PRIJEM	PREVOD Z UCTU	26204	62836	\N	IJ	85192459
1174177	4026	1997-09-08	PRIJEM	PREVOD Z UCTU	26204	62846	\N	IJ	85192459
1174178	4026	1997-10-08	PRIJEM	PREVOD Z UCTU	26204	61451	\N	IJ	85192459
1174179	4026	1997-11-08	PRIJEM	PREVOD Z UCTU	26204	65152	\N	IJ	85192459
1174180	4026	1997-12-08	PRIJEM	PREVOD Z UCTU	39306	78166	\N	IJ	85192459
1174181	4026	1998-01-08	PRIJEM	PREVOD Z UCTU	26204	50814	\N	IJ	85192459
1174182	4026	1998-02-08	PRIJEM	PREVOD Z UCTU	26204	46496	\N	IJ	85192459
1174183	4026	1998-03-08	PRIJEM	PREVOD Z UCTU	26204	48535	\N	IJ	85192459
1174184	4026	1998-04-08	PRIJEM	PREVOD Z UCTU	26204	50689	\N	IJ	85192459
1174185	4026	1998-05-08	PRIJEM	PREVOD Z UCTU	26204	52712	\N	IJ	85192459
1174186	4026	1998-06-08	PRIJEM	PREVOD Z UCTU	39306	61492	\N	IJ	85192459
1174187	4026	1998-07-08	PRIJEM	PREVOD Z UCTU	26204	66865	\N	IJ	85192459
1174188	4026	1998-08-08	PRIJEM	PREVOD Z UCTU	26204	53849	\N	IJ	85192459
1174189	4026	1998-09-08	PRIJEM	PREVOD Z UCTU	26204	58507	\N	IJ	85192459
1174190	4026	1998-10-08	PRIJEM	PREVOD Z UCTU	26204	52223	\N	IJ	85192459
1174191	4026	1998-11-08	PRIJEM	PREVOD Z UCTU	26204	48281	\N	IJ	85192459
1174192	4026	1998-12-08	PRIJEM	PREVOD Z UCTU	39306	65924	\N	IJ	85192459
1174222	4026	1997-06-09	VYDAJ	PREVOD NA UCET	2618	83708	SIPO	IJ	95854043
1174223	4026	1997-07-09	VYDAJ	PREVOD NA UCET	2618	71993	SIPO	IJ	95854043
1174224	4026	1997-08-09	VYDAJ	PREVOD NA UCET	2618	60218	SIPO	IJ	95854043
1174225	4026	1997-09-09	VYDAJ	PREVOD NA UCET	2618	60228	SIPO	IJ	95854043
1174226	4026	1997-10-09	VYDAJ	PREVOD NA UCET	2618	58833	SIPO	IJ	95854043
1174227	4026	1997-11-09	VYDAJ	PREVOD NA UCET	2618	62534	SIPO	IJ	95854043
1174228	4026	1997-12-09	VYDAJ	PREVOD NA UCET	2618	75548	SIPO	IJ	95854043
1174229	4026	1998-01-09	VYDAJ	PREVOD NA UCET	2618	48196	SIPO	IJ	95854043
1174230	4026	1998-02-09	VYDAJ	PREVOD NA UCET	2618	43878	SIPO	IJ	95854043
1174231	4026	1998-03-09	VYDAJ	PREVOD NA UCET	2618	45917	SIPO	IJ	95854043
1174232	4026	1998-04-09	VYDAJ	PREVOD NA UCET	2618	48071	SIPO	IJ	95854043
1174233	4026	1998-05-09	VYDAJ	PREVOD NA UCET	2618	50094	SIPO	IJ	95854043
1174234	4026	1998-06-09	VYDAJ	PREVOD NA UCET	2618	58874	SIPO	IJ	95854043
1174235	4026	1998-07-09	VYDAJ	PREVOD NA UCET	2618	64247	SIPO	IJ	95854043
1174236	4026	1998-08-09	VYDAJ	PREVOD NA UCET	2618	51231	SIPO	IJ	95854043
1174237	4026	1998-09-09	VYDAJ	PREVOD NA UCET	2618	55889	SIPO	IJ	95854043
1174238	4026	1998-10-09	VYDAJ	PREVOD NA UCET	2618	49605	SIPO	IJ	95854043
1174239	4026	1998-11-09	VYDAJ	PREVOD NA UCET	2618	45663	SIPO	IJ	95854043
1174240	4026	1998-12-09	VYDAJ	PREVOD NA UCET	2618	63306	SIPO	IJ	95854043
1174247	4026	1997-07-06	VYDAJ	PREVOD NA UCET	9711	48407	 	QR	60125994
1174248	4026	1997-08-06	VYDAJ	PREVOD NA UCET	9711	36632	 	QR	60125994
1174249	4026	1997-09-06	VYDAJ	PREVOD NA UCET	9711	36642	 	QR	60125994
1174250	4026	1997-10-06	VYDAJ	PREVOD NA UCET	9711	35247	 	QR	60125994
1174251	4026	1997-11-06	VYDAJ	PREVOD NA UCET	9711	38948	 	QR	60125994
1174252	4026	1997-12-06	VYDAJ	PREVOD NA UCET	9711	38860	 	QR	60125994
1174253	4026	1998-01-06	VYDAJ	PREVOD NA UCET	9711	24610	 	QR	60125994
1174254	4026	1998-02-06	VYDAJ	PREVOD NA UCET	9711	20292	 	QR	60125994
1174255	4026	1998-03-06	VYDAJ	PREVOD NA UCET	9711	22331	 	QR	60125994
1174256	4026	1998-04-06	VYDAJ	PREVOD NA UCET	9711	24485	 	QR	60125994
1174257	4026	1998-05-06	VYDAJ	PREVOD NA UCET	9711	26508	 	QR	60125994
1174258	4026	1998-06-06	VYDAJ	PREVOD NA UCET	9711	22186	 	QR	60125994
1174259	4026	1998-07-06	VYDAJ	PREVOD NA UCET	9711	40661	 	QR	60125994
1174260	4026	1998-08-06	VYDAJ	PREVOD NA UCET	9711	27645	 	QR	60125994
1174261	4026	1998-09-06	VYDAJ	PREVOD NA UCET	9711	32303	 	QR	60125994
1174262	4026	1998-10-06	VYDAJ	PREVOD NA UCET	9711	26019	 	QR	60125994
1174263	4026	1998-11-06	VYDAJ	PREVOD NA UCET	9711	34977	 	QR	60125994
1174264	4026	1998-12-06	VYDAJ	PREVOD NA UCET	9711	26618	 	QR	60125994
1174266	4026	1997-12-11	VYBER	VYBER	14448	61100	\N	\N	\N
1174267	4026	1997-08-03	VYBER	VYBER	15233	57043	\N	\N	\N
1174268	4026	1998-07-25	VYBER	VYBER	17303	46944	\N	\N	\N
1174269	4026	1998-10-02	VYBER	VYBER	12261	35730	\N	\N	\N
1174270	4026	1998-05-29	VYBER	VYBER	22866	27228	\N	\N	\N
1174271	4026	1998-04-29	VYBER	VYBER	12617	35454	\N	\N	\N
1174273	4026	1998-02-14	VYBER	VYBER	14250	29628	\N	\N	\N
1174274	4026	1998-07-26	VYBER	VYBER	11406	35538	\N	\N	\N
1174275	4026	1998-03-22	VYBER	VYBER	13263	32654	\N	\N	\N
1174279	4026	1998-01-10	VYDAJ	VYBER	4200	37396	\N	\N	\N
1174280	4026	1997-12-15	VYDAJ	VYBER	7500	53600	\N	\N	\N
1174281	4026	1998-12-03	VYDAJ	VYBER	6000	36329	\N	\N	\N
1174288	4026	1998-01-03	VYDAJ	VYBER	7200	34321	\N	\N	\N
1174289	4026	1998-01-16	VYDAJ	VYBER	6600	22996	\N	\N	\N
1174290	4026	1998-01-12	VYDAJ	VYBER	7800	29596	\N	\N	\N
1174291	4026	1998-01-01	VYDAJ	VYBER	3300	47821	\N	\N	\N
1174293	4026	1998-01-09	VYDAJ	VYBER	6600	41596	\N	\N	\N
1174296	4026	1997-12-24	VYDAJ	VYBER	2700	50900	\N	\N	\N
1174298	4026	1997-06-25	VYDAJ	VYBER	7200	76508	\N	\N	\N
1174299	4026	1998-11-06	VYDAJ	VYBER	12900	22077	\N	\N	\N
1174307	4026	1997-06-30	VYDAJ	VYBER	15	76818	SLUZBY	\N	\N
1174308	4026	1997-07-31	VYDAJ	VYBER	15	72276	SLUZBY	\N	\N
1174309	4026	1997-08-31	VYDAJ	VYBER	15	60453	SLUZBY	\N	\N
1174310	4026	1997-09-30	VYDAJ	VYBER	15	60458	SLUZBY	\N	\N
1174311	4026	1997-10-31	VYDAJ	VYBER	15	59059	SLUZBY	\N	\N
1174312	4026	1997-11-30	VYDAJ	VYBER	15	62771	SLUZBY	\N	\N
1174313	4026	1997-12-31	VYDAJ	VYBER	15	51121	SLUZBY	\N	\N
1174314	4026	1998-01-31	VYDAJ	VYBER	15	23103	SLUZBY	\N	\N
1174315	4026	1998-02-28	VYDAJ	VYBER	15	29742	SLUZBY	\N	\N
1174316	4026	1998-03-31	VYDAJ	VYBER	15	32796	SLUZBY	\N	\N
1174317	4026	1998-04-30	VYDAJ	VYBER	15	35619	SLUZBY	\N	\N
1174318	4026	1998-05-31	VYDAJ	VYBER	15	27397	SLUZBY	\N	\N
1174319	4026	1998-06-30	VYDAJ	VYBER	15	59072	SLUZBY	\N	\N
1174320	4026	1998-07-31	VYDAJ	VYBER	15	37356	SLUZBY	\N	\N
1174321	4026	1998-08-31	VYDAJ	VYBER	15	42014	SLUZBY	\N	\N
1174322	4026	1998-09-30	VYDAJ	VYBER	15	47991	SLUZBY	\N	\N
1174323	4026	1998-10-31	VYDAJ	VYBER	15	44688	SLUZBY	\N	\N
1174324	4026	1998-11-30	VYDAJ	VYBER	15	42329	SLUZBY	\N	\N
1174325	4026	1997-03-08	VYDAJ	VYBER	17000	36192	\N	\N	\N
1174326	4026	1997-04-07	VYDAJ	VYBER	6400	29934	\N	\N	\N
1174327	4026	1997-05-07	VYDAJ	VYBER	17400	38953	\N	\N	\N
1174328	4026	1997-06-06	VYDAJ	VYBER	18400	47020	\N	\N	\N
1174329	4026	1997-07-06	VYDAJ	VYBER	18700	58118	\N	\N	\N
1174330	4026	1997-08-05	VYDAJ	VYBER	10700	46343	\N	\N	\N
1174331	4026	1997-09-04	VYDAJ	VYBER	14100	46353	\N	\N	\N
1174332	4026	1997-10-04	VYDAJ	VYBER	15500	44958	\N	\N	\N
1174333	4026	1997-11-03	VYDAJ	VYBER	10400	48659	\N	\N	\N
1174334	4026	1997-12-03	VYDAJ	VYBER	14200	48571	\N	\N	\N
1174335	4026	1998-01-02	VYDAJ	VYBER	6300	41521	\N	\N	\N
1174336	4026	1998-02-01	PRIJEM	VKLAD	6900	30003	\N	\N	\N
1174337	4026	1998-03-03	PRIJEM	VKLAD	2300	32042	\N	\N	\N
1174338	4026	1998-04-02	PRIJEM	VKLAD	1400	34196	\N	\N	\N
1174339	4026	1998-05-02	PRIJEM	VKLAD	600	36219	\N	\N	\N
1174340	4026	1998-06-01	PRIJEM	VKLAD	4500	31897	\N	\N	\N
1174341	4026	1998-07-01	VYDAJ	VYBER	8700	50372	\N	\N	\N
1174342	4026	1998-07-31	PRIJEM	VKLAD	1600	37138	\N	\N	\N
1174343	4026	1998-08-30	VYDAJ	VYBER	9400	41831	\N	\N	\N
1174344	4026	1998-09-29	VYDAJ	VYBER	8100	47789	\N	\N	\N
1174345	4026	1998-10-29	VYDAJ	VYBER	5100	44505	\N	\N	\N
1174346	4026	1998-11-28	VYDAJ	VYBER	3500	42163	\N	\N	\N
1176135	4033	1996-11-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1176147	4033	1996-12-12	PRIJEM	VKLAD	18368	19368	\N	\N	\N
1176148	4033	1997-01-12	PRIJEM	VKLAD	12245	32949	\N	\N	\N
1176149	4033	1997-02-12	PRIJEM	VKLAD	12245	42899	\N	\N	\N
1176150	4033	1997-03-12	PRIJEM	VKLAD	12245	48782	\N	\N	\N
1176151	4033	1997-04-12	PRIJEM	VKLAD	12245	49780	\N	\N	\N
1176152	4033	1997-05-12	PRIJEM	VKLAD	12245	47615	\N	\N	\N
1176153	4033	1997-06-12	PRIJEM	VKLAD	18368	34143	\N	\N	\N
1176154	4033	1997-07-12	PRIJEM	VKLAD	12245	34530	\N	\N	\N
1176155	4033	1997-08-12	PRIJEM	VKLAD	12245	35507	\N	\N	\N
1176156	4033	1997-09-12	PRIJEM	VKLAD	12245	26514	\N	\N	\N
1176157	4033	1997-10-12	PRIJEM	VKLAD	12245	33471	\N	\N	\N
1176158	4033	1997-11-12	PRIJEM	VKLAD	12245	37850	\N	\N	\N
1176159	4033	1997-12-12	PRIJEM	VKLAD	18368	45854	\N	\N	\N
1176160	4033	1998-01-12	PRIJEM	VKLAD	12245	44266	\N	\N	\N
1176161	4033	1998-02-12	PRIJEM	VKLAD	12245	35301	\N	\N	\N
1176162	4033	1998-03-12	PRIJEM	VKLAD	12245	37695	\N	\N	\N
1176163	4033	1998-04-12	PRIJEM	VKLAD	12245	42492	\N	\N	\N
1176164	4033	1998-05-12	PRIJEM	VKLAD	12245	46608	\N	\N	\N
1176165	4033	1998-06-12	PRIJEM	VKLAD	18368	51550	\N	\N	\N
1176166	4033	1998-07-12	PRIJEM	VKLAD	12245	44869	\N	\N	\N
1176167	4033	1998-08-12	PRIJEM	VKLAD	12245	38589	\N	\N	\N
1176168	4033	1998-09-12	PRIJEM	VKLAD	12245	43613	\N	\N	\N
1176169	4033	1998-10-12	PRIJEM	VKLAD	12245	44671	\N	\N	\N
1176170	4033	1998-11-12	PRIJEM	VKLAD	12245	47712	\N	\N	\N
1176171	4033	1998-12-12	PRIJEM	VKLAD	18368	46880	\N	\N	\N
1176188	4033	1997-05-10	VYDAJ	PREVOD NA UCET	1494	35370	SIPO	MN	70536905
1176189	4033	1997-06-10	VYDAJ	PREVOD NA UCET	1494	15775	SIPO	MN	70536905
1176190	4033	1997-07-10	VYDAJ	PREVOD NA UCET	1494	22285	SIPO	MN	70536905
1176191	4033	1997-08-10	VYDAJ	PREVOD NA UCET	1494	23262	SIPO	MN	70536905
1176192	4033	1997-09-10	VYDAJ	PREVOD NA UCET	1494	14269	SIPO	MN	70536905
1176193	4033	1997-10-10	VYDAJ	PREVOD NA UCET	1494	21226	SIPO	MN	70536905
1176194	4033	1997-11-10	VYDAJ	PREVOD NA UCET	1494	25605	SIPO	MN	70536905
1176195	4033	1997-12-10	VYDAJ	PREVOD NA UCET	1494	27486	SIPO	MN	70536905
1176196	4033	1998-01-10	VYDAJ	PREVOD NA UCET	1494	32021	SIPO	MN	70536905
1176197	4033	1998-02-10	VYDAJ	PREVOD NA UCET	1494	23056	SIPO	MN	70536905
1176198	4033	1998-03-10	VYDAJ	PREVOD NA UCET	1494	25450	SIPO	MN	70536905
1176199	4033	1998-04-10	VYDAJ	PREVOD NA UCET	1494	30247	SIPO	MN	70536905
1176200	4033	1998-05-10	VYDAJ	PREVOD NA UCET	1494	34363	SIPO	MN	70536905
1176201	4033	1998-06-10	VYDAJ	PREVOD NA UCET	1494	33182	SIPO	MN	70536905
1176202	4033	1998-07-10	VYDAJ	PREVOD NA UCET	1494	32624	SIPO	MN	70536905
1176203	4033	1998-08-10	VYDAJ	PREVOD NA UCET	1494	32244	SIPO	MN	70536905
1176204	4033	1998-09-10	VYDAJ	PREVOD NA UCET	1494	31368	SIPO	MN	70536905
1176205	4033	1998-10-10	VYDAJ	PREVOD NA UCET	1494	32426	SIPO	MN	70536905
1176206	4033	1998-11-10	VYDAJ	PREVOD NA UCET	1494	35467	SIPO	MN	70536905
1176207	4033	1998-12-10	VYDAJ	PREVOD NA UCET	1494	28512	SIPO	MN	70536905
1176223	4033	1997-04-12	VYDAJ	PREVOD NA UCET	2808	46972	 	OP	86237394
1176224	4033	1997-05-12	VYDAJ	PREVOD NA UCET	2808	44807	 	OP	86237394
1176225	4033	1997-06-12	VYDAJ	PREVOD NA UCET	2808	29579	 	OP	86237394
1176226	4033	1997-07-12	VYDAJ	PREVOD NA UCET	2808	29966	 	OP	86237394
1176227	4033	1997-08-12	VYDAJ	PREVOD NA UCET	2808	32699	 	OP	86237394
1176228	4033	1997-09-12	VYDAJ	PREVOD NA UCET	2808	21950	 	OP	86237394
1176229	4033	1997-10-12	VYDAJ	PREVOD NA UCET	2808	30663	 	OP	86237394
1176230	4033	1997-11-12	VYDAJ	PREVOD NA UCET	2808	35042	 	OP	86237394
1176231	4033	1997-12-12	VYDAJ	PREVOD NA UCET	2808	41290	 	OP	86237394
1176232	4033	1998-01-12	VYDAJ	PREVOD NA UCET	2808	41458	 	OP	86237394
1176233	4033	1998-02-12	VYDAJ	PREVOD NA UCET	2808	32493	 	OP	86237394
1176234	4033	1998-03-12	VYDAJ	PREVOD NA UCET	2808	34887	 	OP	86237394
1176235	4033	1998-04-12	VYDAJ	PREVOD NA UCET	2808	37928	 	OP	86237394
1176236	4033	1998-05-12	VYDAJ	PREVOD NA UCET	2808	42044	 	OP	86237394
1176237	4033	1998-06-12	VYDAJ	PREVOD NA UCET	2808	35742	 	OP	86237394
1176238	4033	1998-07-12	VYDAJ	PREVOD NA UCET	2808	33605	 	OP	86237394
1176239	4033	1998-08-12	VYDAJ	PREVOD NA UCET	2808	34025	 	OP	86237394
1176240	4033	1998-09-12	VYDAJ	PREVOD NA UCET	2808	39049	 	OP	86237394
1176241	4033	1998-10-12	VYDAJ	PREVOD NA UCET	2808	40107	 	OP	86237394
1176242	4033	1998-11-12	VYDAJ	PREVOD NA UCET	2808	44904	 	OP	86237394
1176243	4033	1998-12-12	VYDAJ	PREVOD NA UCET	2808	44072	 	OP	86237394
1176259	4033	1997-04-12	VYDAJ	PREVOD NA UCET	1756	45216	UVER	OP	46252030
1176260	4033	1997-05-12	VYDAJ	PREVOD NA UCET	1756	43051	UVER	OP	46252030
1176261	4033	1997-06-12	VYDAJ	PREVOD NA UCET	1756	32387	UVER	OP	46252030
1176262	4033	1997-07-12	VYDAJ	PREVOD NA UCET	1756	32774	UVER	OP	46252030
1176263	4033	1997-08-12	VYDAJ	PREVOD NA UCET	1756	30943	UVER	OP	46252030
1176264	4033	1997-09-12	VYDAJ	PREVOD NA UCET	1756	24758	UVER	OP	46252030
1176265	4033	1997-10-12	VYDAJ	PREVOD NA UCET	1756	28907	UVER	OP	46252030
1176266	4033	1997-11-12	VYDAJ	PREVOD NA UCET	1756	33286	UVER	OP	46252030
1176267	4033	1997-12-12	VYDAJ	PREVOD NA UCET	1756	44098	UVER	OP	46252030
1176268	4033	1998-01-12	VYDAJ	PREVOD NA UCET	1756	39702	UVER	OP	46252030
1176269	4033	1998-02-12	VYDAJ	PREVOD NA UCET	1756	30737	UVER	OP	46252030
1176270	4033	1998-03-12	VYDAJ	PREVOD NA UCET	1756	33131	UVER	OP	46252030
1176271	4033	1998-04-12	VYDAJ	PREVOD NA UCET	1756	40736	UVER	OP	46252030
1176272	4033	1998-05-12	VYDAJ	PREVOD NA UCET	1756	44852	UVER	OP	46252030
1176273	4033	1998-06-12	VYDAJ	PREVOD NA UCET	1756	33986	UVER	OP	46252030
1176274	4033	1998-07-12	VYDAJ	PREVOD NA UCET	1756	43113	UVER	OP	46252030
1176275	4033	1998-08-12	VYDAJ	PREVOD NA UCET	1756	36833	UVER	OP	46252030
1176276	4033	1998-09-12	VYDAJ	PREVOD NA UCET	1756	41857	UVER	OP	46252030
1176277	4033	1998-10-12	VYDAJ	PREVOD NA UCET	1756	42915	UVER	OP	46252030
1176278	4033	1998-11-12	VYDAJ	PREVOD NA UCET	1756	43148	UVER	OP	46252030
1176279	4033	1998-12-12	VYDAJ	PREVOD NA UCET	1756	42316	UVER	OP	46252030
1176281	4033	1997-06-05	VYDAJ	VYBER	14720	17269	\N	\N	\N
1176285	4033	1998-01-23	VYDAJ	VYBER	4160	24442	\N	\N	\N
1176287	4033	1997-12-05	VYDAJ	VYBER	3520	28980	\N	\N	\N
1176288	4033	1998-12-08	VYDAJ	VYBER	2880	34906	\N	\N	\N
1176293	4033	1997-08-25	VYDAJ	VYBER	4080	15683	\N	\N	\N
1176295	4033	1997-08-20	VYDAJ	VYBER	5280	19763	\N	\N	\N
1176296	4033	1998-11-22	VYDAJ	VYBER	5520	37628	\N	\N	\N
1176297	4033	1998-12-14	VYDAJ	VYBER	4200	38116	\N	\N	\N
1176298	4033	1998-09-18	VYDAJ	VYBER	5760	33289	\N	\N	\N
1176315	4033	1997-04-30	VYDAJ	VYBER	15	36864	SLUZBY	\N	\N
1176316	4033	1997-05-31	VYDAJ	VYBER	15	31989	SLUZBY	\N	\N
1176317	4033	1997-06-30	VYDAJ	VYBER	15	23779	SLUZBY	\N	\N
1176318	4033	1997-07-31	VYDAJ	VYBER	15	24756	SLUZBY	\N	\N
1176319	4033	1997-08-31	VYDAJ	VYBER	15	15763	SLUZBY	\N	\N
1176320	4033	1997-09-30	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
1176321	4033	1997-10-31	VYDAJ	VYBER	15	27099	SLUZBY	\N	\N
1176322	4033	1997-11-30	VYDAJ	VYBER	15	32500	SLUZBY	\N	\N
1176323	4033	1997-12-31	VYDAJ	VYBER	15	33515	SLUZBY	\N	\N
1176324	4033	1998-01-31	VYDAJ	VYBER	15	24550	SLUZBY	\N	\N
1176325	4033	1998-02-28	VYDAJ	VYBER	15	26944	SLUZBY	\N	\N
1176326	4033	1998-03-31	VYDAJ	VYBER	15	31741	SLUZBY	\N	\N
1176327	4033	1998-04-30	VYDAJ	VYBER	15	35857	SLUZBY	\N	\N
1176328	4033	1998-05-31	VYDAJ	VYBER	15	34676	SLUZBY	\N	\N
1176329	4033	1998-06-30	VYDAJ	VYBER	15	34118	SLUZBY	\N	\N
1176330	4033	1998-07-31	VYDAJ	VYBER	15	33738	SLUZBY	\N	\N
1176331	4033	1998-08-31	VYDAJ	VYBER	15	34162	SLUZBY	\N	\N
1176332	4033	1998-09-30	VYDAJ	VYBER	15	33420	SLUZBY	\N	\N
1176333	4033	1998-10-31	VYDAJ	VYBER	15	40261	SLUZBY	\N	\N
1176334	4033	1998-11-30	VYDAJ	VYBER	15	37786	SLUZBY	\N	\N
1176335	4033	1996-12-19	PRIJEM	VKLAD	1300	20668	\N	\N	\N
1176336	4033	1997-01-18	VYDAJ	VYBER	2400	30549	\N	\N	\N
1176337	4033	1997-02-17	VYDAJ	VYBER	6500	36399	\N	\N	\N
1176338	4033	1997-03-19	VYDAJ	VYBER	11400	37382	\N	\N	\N
1176339	4033	1997-04-18	VYDAJ	VYBER	8500	36716	\N	\N	\N
1176340	4033	1997-05-18	VYDAJ	VYBER	11200	31851	\N	\N	\N
1176341	4033	1997-06-17	VYDAJ	VYBER	5900	23679	\N	\N	\N
1176342	4033	1997-07-17	VYDAJ	VYBER	5300	24666	\N	\N	\N
1176343	4033	1997-08-16	VYDAJ	VYBER	5900	25043	\N	\N	\N
1176344	4033	1997-09-15	PRIJEM	VKLAD	700	22650	\N	\N	\N
1176345	4033	1997-10-15	VYDAJ	VYBER	1900	27007	\N	\N	\N
1176346	4033	1997-11-14	VYDAJ	VYBER	900	32386	\N	\N	\N
1176347	4033	1997-12-14	VYDAJ	VYBER	7900	33390	\N	\N	\N
1176348	4033	1998-01-13	VYDAJ	VYBER	11100	28602	\N	\N	\N
1176349	4033	1998-02-12	VYDAJ	VYBER	3900	26837	\N	\N	\N
1176350	4033	1998-03-14	VYDAJ	VYBER	1500	31631	\N	\N	\N
1176351	4033	1998-04-13	VYDAJ	VYBER	2200	35728	\N	\N	\N
1176352	4033	1998-05-13	VYDAJ	VYBER	7500	34544	\N	\N	\N
1176353	4033	1998-06-12	VYDAJ	VYBER	13000	38550	\N	\N	\N
1176354	4033	1998-07-12	VYDAJ	VYBER	6700	36413	\N	\N	\N
1176355	4033	1998-08-11	VYDAJ	VYBER	5900	26344	\N	\N	\N
1176356	4033	1998-09-10	VYDAJ	VYBER	1300	32862	\N	\N	\N
1176357	4033	1998-10-10	PRIJEM	VKLAD	500	33920	\N	\N	\N
1176358	4033	1998-11-09	VYDAJ	VYBER	3300	36961	\N	\N	\N
1176359	4033	1998-12-09	VYDAJ	VYBER	4900	30006	\N	\N	\N
1176385	4034	1993-01-18	PRIJEM	VKLAD	200	200	\N	\N	\N
1176387	4034	1993-02-07	PRIJEM	VKLAD	5080	5280	\N	\N	\N
1176388	4034	1993-03-07	PRIJEM	VKLAD	5080	18384	\N	\N	\N
1176389	4034	1993-04-07	PRIJEM	VKLAD	5080	27034	\N	\N	\N
1176390	4034	1993-05-07	PRIJEM	VKLAD	5080	32114	\N	\N	\N
1176391	4034	1993-06-07	PRIJEM	VKLAD	7620	34045	\N	\N	\N
1176392	4034	1993-07-07	PRIJEM	VKLAD	5080	2170	\N	\N	\N
1176393	4034	1993-08-07	PRIJEM	VKLAD	5080	19249	\N	\N	\N
1176394	4034	1993-09-07	PRIJEM	VKLAD	5080	26489	\N	\N	\N
1176395	4034	1993-10-07	PRIJEM	VKLAD	5080	29350	\N	\N	\N
1176396	4034	1993-11-07	PRIJEM	VKLAD	5080	33407	\N	\N	\N
1176397	4034	1993-12-07	PRIJEM	VKLAD	7620	32523	\N	\N	\N
1176398	4034	1994-01-07	PRIJEM	VKLAD	5080	30105	\N	\N	\N
1176399	4034	1994-02-07	PRIJEM	VKLAD	5080	13548	\N	\N	\N
1176400	4034	1994-03-07	PRIJEM	VKLAD	5080	21700	\N	\N	\N
1176401	4034	1994-04-07	PRIJEM	VKLAD	5080	30062	\N	\N	\N
1176402	4034	1994-05-07	PRIJEM	VKLAD	5080	33741	\N	\N	\N
1176403	4034	1994-06-07	PRIJEM	VKLAD	7620	36265	\N	\N	\N
1176404	4034	1994-07-07	PRIJEM	VKLAD	5080	14980	\N	\N	\N
1176405	4034	1994-08-07	PRIJEM	VKLAD	5080	19602	\N	\N	\N
1176406	4034	1994-09-07	PRIJEM	VKLAD	5080	26046	\N	\N	\N
1176407	4034	1994-10-07	PRIJEM	VKLAD	5080	24563	\N	\N	\N
1176408	4034	1994-11-07	PRIJEM	VKLAD	5080	30526	\N	\N	\N
1176409	4034	1994-12-07	PRIJEM	VKLAD	7620	38855	\N	\N	\N
1176410	4034	1995-01-07	PRIJEM	VKLAD	5080	26313	\N	\N	\N
1176411	4034	1995-02-07	PRIJEM	VKLAD	5080	28688	\N	\N	\N
1176412	4034	1995-03-07	PRIJEM	VKLAD	5080	33066	\N	\N	\N
1176413	4034	1995-04-07	PRIJEM	VKLAD	5080	34050	\N	\N	\N
1176414	4034	1995-05-07	PRIJEM	VKLAD	5080	36904	\N	\N	\N
1176415	4034	1995-06-07	PRIJEM	VKLAD	7620	43956	\N	\N	\N
1176416	4034	1995-07-07	PRIJEM	VKLAD	5080	34918	\N	\N	\N
1176417	4034	1995-08-07	PRIJEM	VKLAD	5080	39724	\N	\N	\N
1176418	4034	1995-09-07	PRIJEM	VKLAD	5080	42250	\N	\N	\N
1176419	4034	1995-10-07	PRIJEM	VKLAD	5080	38056	\N	\N	\N
1176420	4034	1995-11-07	PRIJEM	VKLAD	5080	38438	\N	\N	\N
1176421	4034	1995-12-07	PRIJEM	VKLAD	7620	43700	\N	\N	\N
1176422	4034	1996-01-07	PRIJEM	VKLAD	5080	38612	\N	\N	\N
1176423	4034	1996-02-07	PRIJEM	VKLAD	5080	31421	\N	\N	\N
1176424	4034	1996-03-07	PRIJEM	VKLAD	5080	37408	\N	\N	\N
1176425	4034	1996-04-07	PRIJEM	VKLAD	5080	42523	\N	\N	\N
1176426	4034	1996-05-07	PRIJEM	VKLAD	5080	47160	\N	\N	\N
1176427	4034	1996-06-07	PRIJEM	VKLAD	7620	50758	\N	\N	\N
1176428	4034	1996-07-07	PRIJEM	VKLAD	5080	29544	\N	\N	\N
1176429	4034	1996-08-07	PRIJEM	VKLAD	5080	40714	\N	\N	\N
1176430	4034	1996-09-07	PRIJEM	VKLAD	5080	47145	\N	\N	\N
1176431	4034	1996-10-07	PRIJEM	VKLAD	5080	43168	\N	\N	\N
1176432	4034	1996-11-07	PRIJEM	VKLAD	5080	49512	\N	\N	\N
1176433	4034	1996-12-07	PRIJEM	VKLAD	7620	55302	\N	\N	\N
1176434	4034	1997-01-07	PRIJEM	VKLAD	5080	50105	\N	\N	\N
1176435	4034	1997-02-07	PRIJEM	VKLAD	5080	47665	\N	\N	\N
1176436	4034	1997-03-07	PRIJEM	VKLAD	5080	52811	\N	\N	\N
1176437	4034	1997-04-07	PRIJEM	VKLAD	5080	53053	\N	\N	\N
1176438	4034	1997-05-07	PRIJEM	VKLAD	5080	52130	\N	\N	\N
1176439	4034	1997-06-07	PRIJEM	VKLAD	7620	58832	\N	\N	\N
1176440	4034	1997-07-07	PRIJEM	VKLAD	5080	46910	\N	\N	\N
1176441	4034	1997-08-07	PRIJEM	VKLAD	5080	48932	\N	\N	\N
1176442	4034	1997-09-07	PRIJEM	VKLAD	5080	53743	\N	\N	\N
1176443	4034	1997-10-07	PRIJEM	VKLAD	5080	54810	\N	\N	\N
1176444	4034	1997-11-07	PRIJEM	VKLAD	5080	53001	\N	\N	\N
1176445	4034	1997-12-07	PRIJEM	VKLAD	7620	61009	\N	\N	\N
1176446	4034	1998-01-07	PRIJEM	VKLAD	5080	60263	\N	\N	\N
1176447	4034	1998-02-07	PRIJEM	VKLAD	5080	54804	\N	\N	\N
1176448	4034	1998-03-07	PRIJEM	VKLAD	5080	64986	\N	\N	\N
1176449	4034	1998-04-07	PRIJEM	VKLAD	5080	68141	\N	\N	\N
1176450	4034	1998-05-07	PRIJEM	VKLAD	5080	67630	\N	\N	\N
1176451	4034	1998-06-07	PRIJEM	VKLAD	7620	78216	\N	\N	\N
1176452	4034	1998-07-07	PRIJEM	VKLAD	5080	71545	\N	\N	\N
1176453	4034	1998-08-07	PRIJEM	VKLAD	5080	72785	\N	\N	\N
1176454	4034	1998-09-07	PRIJEM	VKLAD	5080	78129	\N	\N	\N
1176455	4034	1998-10-07	PRIJEM	VKLAD	5080	79697	\N	\N	\N
1176456	4034	1998-11-07	PRIJEM	VKLAD	5080	80169	\N	\N	\N
1176457	4034	1998-12-07	PRIJEM	VKLAD	7620	79082	\N	\N	\N
1176458	4034	1993-06-28	VYDAJ	VYBER	31840	-2995	\N	\N	\N
1176459	4034	1994-06-12	VYDAJ	VYBER	37920	9845	\N	\N	\N
1176460	4034	1995-06-16	VYDAJ	VYBER	6240	29716	\N	\N	\N
1176461	4034	1996-06-20	VYDAJ	VYBER	43520	7238	\N	\N	\N
1176462	4034	1997-06-21	VYDAJ	VYBER	25280	33552	\N	\N	\N
1176463	4034	1998-06-20	VYDAJ	VYBER	13120	65096	\N	\N	\N
1176465	4034	1994-01-11	VYDAJ	VYBER	10240	19865	\N	\N	\N
1176466	4034	1995-01-03	VYDAJ	VYBER	8000	21233	\N	\N	\N
1176467	4034	1996-01-30	VYDAJ	VYBER	10880	21012	\N	\N	\N
1176468	4034	1997-01-14	VYDAJ	VYBER	8320	39625	\N	\N	\N
1176469	4034	1998-01-28	VYDAJ	VYBER	8480	49503	\N	\N	\N
1176470	4034	1993-12-08	VYDAJ	VYBER	1600	30923	\N	\N	\N
1176471	4034	1994-12-10	VYDAJ	VYBER	2880	31755	\N	\N	\N
1176472	4034	1995-12-19	VYDAJ	VYBER	4320	39380	\N	\N	\N
1176473	4034	1996-12-20	VYDAJ	VYBER	3360	46302	\N	\N	\N
1176474	4034	1997-12-19	VYDAJ	VYBER	1120	59889	\N	\N	\N
1176475	4034	1998-12-08	VYDAJ	VYBER KARTOU	4500	74582	\N	\N	0
1176482	4034	1994-01-28	VYDAJ	VYBER	2760	8405	\N	\N	\N
1176483	4034	1994-01-06	VYDAJ	VYBER	840	25025	\N	\N	\N
1176484	4034	1994-01-26	VYDAJ	VYBER	1800	11165	\N	\N	\N
1176485	4034	1994-01-19	VYDAJ	VYBER	2520	14045	\N	\N	\N
1176486	4034	1994-01-17	VYDAJ	VYBER	3000	16565	\N	\N	\N
1176487	4034	1994-01-14	VYDAJ	VYBER	600	19565	\N	\N	\N
1176488	4034	1995-01-07	VYDAJ	VYBER	3120	23193	\N	\N	\N
1176489	4034	1995-01-02	VYDAJ	VYBER	1080	29233	\N	\N	\N
1176490	4034	1995-01-01	VYDAJ	VYBER	1560	30313	\N	\N	\N
1176491	4034	1995-01-24	VYDAJ	VYBER	600	26393	\N	\N	\N
1176492	4034	1995-01-29	VYDAJ	VYBER	1320	23513	\N	\N	\N
1176493	4034	1995-01-28	VYDAJ	VYBER	1560	24833	\N	\N	\N
1176494	4034	1996-01-22	VYDAJ	VYBER	600	31892	\N	\N	\N
1176495	4034	1996-01-20	VYDAJ	VYBER	1920	32492	\N	\N	\N
1176496	4034	1996-01-03	VYDAJ	VYBER	3120	33532	\N	\N	\N
1176497	4034	1996-01-20	VYDAJ	VYBER	2280	34412	\N	\N	\N
1176498	4034	1996-01-14	VYDAJ	VYBER	600	38012	\N	\N	\N
1176499	4034	1996-01-18	VYDAJ	VYBER	1320	36692	\N	\N	\N
1176500	4034	1997-01-13	VYDAJ	VYBER	2160	47945	\N	\N	\N
1176501	4034	1997-01-01	VYDAJ	VYBER	840	47545	\N	\N	\N
1176502	4034	1997-01-02	VYDAJ	VYBER	2520	45025	\N	\N	\N
1176503	4034	1997-01-19	VYDAJ	VYBER	2400	34945	\N	\N	\N
1176504	4034	1997-01-27	VYDAJ	VYBER	1920	42425	\N	\N	\N
1176505	4034	1997-01-17	VYDAJ	VYBER	2280	37345	\N	\N	\N
1176506	4034	1998-01-22	VYDAJ	VYBER	2400	57983	\N	\N	\N
1176507	4034	1998-01-01	VYDAJ	VYBER	1440	57463	\N	\N	\N
1176508	4034	1998-01-04	VYDAJ	VYBER	2280	55183	\N	\N	\N
1176509	4034	1998-01-07	VYDAJ	VYBER	2040	58223	\N	\N	\N
1176510	4034	1998-01-21	VYDAJ	VYBER	2760	54383	\N	\N	\N
1176511	4034	1998-01-16	VYDAJ	VYBER	1080	57143	\N	\N	\N
1176512	4034	1993-10-29	VYDAJ	VYBER	720	28230	\N	\N	\N
1176513	4034	1993-11-09	VYDAJ	VYBER	3600	29807	\N	\N	\N
1176515	4034	1993-12-30	VYDAJ	VYBER	2760	25763	\N	\N	\N
1176517	4034	1994-12-09	VYDAJ	VYBER	720	38135	\N	\N	\N
1176518	4034	1994-09-23	VYDAJ	VYBER	5040	19406	\N	\N	\N
1176519	4034	1994-03-01	VYDAJ	VYBER	4080	16620	\N	\N	\N
1176520	4034	1994-01-24	VYDAJ	VYBER	1080	12965	\N	\N	\N
1176521	4034	1994-07-17	VYDAJ	VYBER	4800	14480	\N	\N	\N
1176522	4034	1995-10-31	VYDAJ	VYBER	3240	34973	\N	\N	\N
1176523	4034	1995-12-27	VYDAJ	VYBER	840	35300	\N	\N	\N
1176524	4034	1995-09-09	VYDAJ	VYBER	4320	37930	\N	\N	\N
1176525	4034	1995-12-26	VYDAJ	VYBER	3240	36140	\N	\N	\N
1176526	4034	1995-04-08	VYDAJ	VYBER	1440	31710	\N	\N	\N
1176527	4034	1995-01-23	VYDAJ	VYBER	1200	26993	\N	\N	\N
1176528	4034	1996-08-01	VYDAJ	VYBER	1200	35634	\N	\N	\N
1176529	4034	1996-10-03	VYDAJ	VYBER	5160	38088	\N	\N	\N
1176530	4034	1996-12-15	VYDAJ	VYBER	5640	49662	\N	\N	\N
1176531	4034	1996-09-15	VYDAJ	VYBER	3360	43785	\N	\N	\N
1176532	4034	1997-03-22	VYDAJ	VYBER	5520	47291	\N	\N	\N
1176533	4034	1997-08-21	VYDAJ	VYBER	2640	46292	\N	\N	\N
1176534	4034	1997-10-13	VYDAJ	VYBER	2880	51930	\N	\N	\N
1176535	4034	1997-04-07	VYDAJ	VYBER	4800	48253	\N	\N	\N
1176536	4034	1997-02-16	VYDAJ	VYBER	3000	44665	\N	\N	\N
1176537	4034	1997-07-18	VYDAJ	VYBER	1920	44990	\N	\N	\N
1176538	4034	1998-05-01	VYDAJ	VYBER	3840	62550	\N	\N	\N
1176539	4034	1998-02-20	VYDAJ	VYBER	1200	53604	\N	\N	\N
1176540	4034	1998-03-21	VYDAJ	VYBER	5160	59826	\N	\N	\N
1176541	4034	1998-11-16	VYDAJ	VYBER KARTOU	2000	78169	\N	\N	0
1176542	4034	1998-03-28	VYDAJ	VYBER	600	62826	\N	\N	\N
1176543	4034	1998-12-03	VYDAJ	VYBER KARTOU	3200	71462	\N	\N	0
1176550	4034	1993-06-30	VYDAJ	VYBER	15	-2907	SLUZBY	\N	\N
1176551	4034	1993-07-31	VYDAJ	VYBER	15	14169	SLUZBY	\N	\N
1176552	4034	1993-08-31	VYDAJ	VYBER	15	21409	SLUZBY	\N	\N
1176553	4034	1993-09-30	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
1176554	4034	1993-10-31	VYDAJ	VYBER	15	28327	SLUZBY	\N	\N
1176555	4034	1993-11-30	VYDAJ	VYBER	15	24903	SLUZBY	\N	\N
1176556	4034	1993-12-31	VYDAJ	VYBER	15	25865	SLUZBY	\N	\N
1176557	4034	1994-01-31	VYDAJ	VYBER	15	8468	SLUZBY	\N	\N
1176558	4034	1994-02-28	VYDAJ	VYBER	15	20700	SLUZBY	\N	\N
1176559	4034	1994-03-31	VYDAJ	VYBER	15	24982	SLUZBY	\N	\N
1176560	4034	1994-04-30	VYDAJ	VYBER	15	28661	SLUZBY	\N	\N
1176561	4034	1994-05-31	VYDAJ	VYBER	15	28645	SLUZBY	\N	\N
1176562	4034	1994-06-30	VYDAJ	VYBER	15	9900	SLUZBY	\N	\N
1176563	4034	1994-07-31	VYDAJ	VYBER	15	14522	SLUZBY	\N	\N
1176564	4034	1994-08-31	VYDAJ	VYBER	15	20966	SLUZBY	\N	\N
1176565	4034	1994-09-30	VYDAJ	VYBER	15	19483	SLUZBY	\N	\N
1176566	4034	1994-10-31	VYDAJ	VYBER	15	25446	SLUZBY	\N	\N
1176567	4034	1994-11-30	VYDAJ	VYBER	15	31235	SLUZBY	\N	\N
1176568	4034	1994-12-31	VYDAJ	VYBER	15	31873	SLUZBY	\N	\N
1176569	4034	1995-01-31	VYDAJ	VYBER	15	23608	SLUZBY	\N	\N
1176570	4034	1995-02-28	VYDAJ	VYBER	15	27986	SLUZBY	\N	\N
1176571	4034	1995-03-31	VYDAJ	VYBER	15	28970	SLUZBY	\N	\N
1176572	4034	1995-04-30	VYDAJ	VYBER	15	31824	SLUZBY	\N	\N
1176573	4034	1995-05-31	VYDAJ	VYBER	15	36336	SLUZBY	\N	\N
1176574	4034	1995-06-30	VYDAJ	VYBER	15	29838	SLUZBY	\N	\N
1176575	4034	1995-07-31	VYDAJ	VYBER	15	34244	SLUZBY	\N	\N
1176576	4034	1995-08-31	VYDAJ	VYBER	15	39870	SLUZBY	\N	\N
1176577	4034	1995-09-30	VYDAJ	VYBER	15	38076	SLUZBY	\N	\N
1176578	4034	1995-10-31	VYDAJ	VYBER	15	34958	SLUZBY	\N	\N
1176579	4034	1995-11-30	VYDAJ	VYBER	15	38580	SLUZBY	\N	\N
1176580	4034	1995-12-31	VYDAJ	VYBER	15	35452	SLUZBY	\N	\N
1176581	4034	1996-01-31	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
1176582	4034	1996-02-29	VYDAJ	VYBER	15	31528	SLUZBY	\N	\N
1176583	4034	1996-03-31	VYDAJ	VYBER	15	37543	SLUZBY	\N	\N
1176584	4034	1996-04-30	VYDAJ	VYBER	15	42680	SLUZBY	\N	\N
1176585	4034	1996-05-31	VYDAJ	VYBER	15	47338	SLUZBY	\N	\N
1176586	4034	1996-06-30	VYDAJ	VYBER	15	7364	SLUZBY	\N	\N
1176587	4034	1996-07-31	VYDAJ	VYBER	15	36834	SLUZBY	\N	\N
1176588	4034	1996-08-31	VYDAJ	VYBER	15	42065	SLUZBY	\N	\N
1176589	4034	1996-09-30	VYDAJ	VYBER	15	43248	SLUZBY	\N	\N
1176590	4034	1996-10-31	VYDAJ	VYBER	15	44432	SLUZBY	\N	\N
1176591	4034	1996-11-30	VYDAJ	VYBER	15	47682	SLUZBY	\N	\N
1176592	4034	1996-12-31	VYDAJ	VYBER	15	48385	SLUZBY	\N	\N
1176593	4034	1997-01-31	VYDAJ	VYBER	15	42585	SLUZBY	\N	\N
1176594	4034	1997-02-28	VYDAJ	VYBER	15	47731	SLUZBY	\N	\N
1176595	4034	1997-03-31	VYDAJ	VYBER	15	47973	SLUZBY	\N	\N
1176596	4034	1997-04-30	VYDAJ	VYBER	15	47050	SLUZBY	\N	\N
1176597	4034	1997-05-31	VYDAJ	VYBER	15	51212	SLUZBY	\N	\N
1176598	4034	1997-06-30	VYDAJ	VYBER	15	41830	SLUZBY	\N	\N
1176599	4034	1997-07-31	VYDAJ	VYBER	15	43852	SLUZBY	\N	\N
1176600	4034	1997-08-31	VYDAJ	VYBER	15	48663	SLUZBY	\N	\N
1176601	4034	1997-09-30	VYDAJ	VYBER	15	49730	SLUZBY	\N	\N
1176602	4034	1997-10-31	VYDAJ	VYBER	15	47921	SLUZBY	\N	\N
1176603	4034	1997-11-30	VYDAJ	VYBER	15	53389	SLUZBY	\N	\N
1176604	4034	1997-12-31	VYDAJ	VYBER	15	58903	SLUZBY	\N	\N
1176605	4034	1998-01-31	VYDAJ	VYBER	15	49724	SLUZBY	\N	\N
1176606	4034	1998-02-28	VYDAJ	VYBER	15	59906	SLUZBY	\N	\N
1176607	4034	1998-03-31	VYDAJ	VYBER	15	63061	SLUZBY	\N	\N
1176608	4034	1998-04-30	VYDAJ	VYBER	15	66390	SLUZBY	\N	\N
1176609	4034	1998-05-31	VYDAJ	VYBER	15	70596	SLUZBY	\N	\N
1176610	4034	1998-06-30	VYDAJ	VYBER	15	66465	SLUZBY	\N	\N
1176611	4034	1998-07-31	VYDAJ	VYBER	15	67705	SLUZBY	\N	\N
1176612	4034	1998-08-31	VYDAJ	VYBER	15	73049	SLUZBY	\N	\N
1176613	4034	1998-09-30	VYDAJ	VYBER	15	74617	SLUZBY	\N	\N
1176614	4034	1998-10-31	VYDAJ	VYBER	15	75089	SLUZBY	\N	\N
1176615	4034	1998-11-30	VYDAJ	VYBER	15	74662	SLUZBY	\N	\N
1176616	4034	1993-02-17	PRIJEM	VKLAD	8000	13280	\N	\N	\N
1176617	4034	1993-03-19	PRIJEM	VKLAD	3500	21884	\N	\N	\N
1176618	4034	1993-04-18	VYDAJ	VYBER	100	26934	\N	\N	\N
1176619	4034	1993-05-18	VYDAJ	VYBER	5800	26314	\N	\N	\N
1176620	4034	1993-06-17	VYDAJ	VYBER	5200	28845	\N	\N	\N
1176621	4034	1993-07-17	PRIJEM	VKLAD	12000	14170	\N	\N	\N
1176622	4034	1993-08-16	PRIJEM	VKLAD	2100	21349	\N	\N	\N
1176623	4034	1993-09-15	VYDAJ	VYBER	2300	24189	\N	\N	\N
1176624	4034	1993-10-15	VYDAJ	VYBER	400	28950	\N	\N	\N
1176625	4034	1993-11-14	VYDAJ	VYBER	5000	24807	\N	\N	\N
1176626	4034	1993-12-14	VYDAJ	VYBER	2400	28523	\N	\N	\N
1176627	4034	1994-01-13	PRIJEM	VKLAD	300	20165	\N	\N	\N
1176628	4034	1994-02-12	PRIJEM	VKLAD	7100	20648	\N	\N	\N
1176629	4034	1994-03-14	PRIJEM	VKLAD	3200	24900	\N	\N	\N
1176630	4034	1994-04-13	VYDAJ	VYBER	1500	28562	\N	\N	\N
1176631	4034	1994-05-13	VYDAJ	VYBER	5200	28541	\N	\N	\N
1176632	4034	1994-06-12	PRIJEM	VKLAD	11500	47765	\N	\N	\N
1176633	4034	1994-07-12	PRIJEM	VKLAD	4300	19280	\N	\N	\N
1176634	4034	1994-08-11	PRIJEM	VKLAD	1300	20902	\N	\N	\N
1176635	4034	1994-09-10	VYDAJ	VYBER	1600	24446	\N	\N	\N
1176636	4034	1994-10-10	PRIJEM	VKLAD	800	25363	\N	\N	\N
1176637	4034	1994-11-09	PRIJEM	VKLAD	600	31126	\N	\N	\N
1176638	4034	1994-12-09	VYDAJ	VYBER	3500	34635	\N	\N	\N
1176639	4034	1995-01-08	PRIJEM	VKLAD	5000	28193	\N	\N	\N
1176640	4034	1995-02-07	VYDAJ	VYBER	800	27888	\N	\N	\N
1176641	4034	1995-03-09	VYDAJ	VYBER	4200	28866	\N	\N	\N
1176642	4034	1995-04-08	VYDAJ	VYBER	900	33150	\N	\N	\N
1176643	4034	1995-05-08	VYDAJ	VYBER	700	36204	\N	\N	\N
1176644	4034	1995-06-07	VYDAJ	VYBER	8000	35956	\N	\N	\N
1176645	4034	1995-07-07	VYDAJ	VYBER	800	34118	\N	\N	\N
1176646	4034	1995-08-06	PRIJEM	VKLAD	400	34644	\N	\N	\N
1176647	4034	1995-09-05	VYDAJ	VYBER	2700	37170	\N	\N	\N
1176648	4034	1995-10-05	VYDAJ	VYBER	5100	32976	\N	\N	\N
1176649	4034	1995-11-04	VYDAJ	VYBER	1600	33358	\N	\N	\N
1176650	4034	1995-12-04	VYDAJ	VYBER	2500	36080	\N	\N	\N
1176651	4034	1996-01-03	PRIJEM	VKLAD	1200	36652	\N	\N	\N
1176652	4034	1996-02-02	PRIJEM	VKLAD	5200	26341	\N	\N	\N
1176653	4034	1996-03-03	PRIJEM	VKLAD	800	32328	\N	\N	\N
1176654	4034	1996-04-02	VYDAJ	VYBER	100	37443	\N	\N	\N
1176655	4034	1996-05-02	VYDAJ	VYBER	600	42080	\N	\N	\N
1176656	4034	1996-06-01	VYDAJ	VYBER	4200	43138	\N	\N	\N
1176657	4034	1996-07-01	PRIJEM	VKLAD	17100	24464	\N	\N	\N
1176658	4034	1996-07-31	PRIJEM	VKLAD	7200	36744	\N	\N	\N
1176659	4034	1996-08-30	PRIJEM	VKLAD	1200	41914	\N	\N	\N
1176660	4034	1996-09-29	VYDAJ	VYBER	700	43085	\N	\N	\N
1176661	4034	1996-10-29	PRIJEM	VKLAD	1100	44268	\N	\N	\N
1176662	4034	1996-11-28	VYDAJ	VYBER	2000	47512	\N	\N	\N
1176663	4034	1996-12-28	PRIJEM	VKLAD	1900	48202	\N	\N	\N
1176664	4034	1997-01-27	PRIJEM	VKLAD	9400	44345	\N	\N	\N
1176665	4034	1997-02-26	PRIJEM	VKLAD	2900	47565	\N	\N	\N
1176666	4034	1997-03-28	PRIJEM	VKLAD	500	47791	\N	\N	\N
1176667	4034	1997-04-27	VYDAJ	VYBER	1400	46853	\N	\N	\N
1176668	4034	1997-05-27	VYDAJ	VYBER	1100	51030	\N	\N	\N
1176669	4034	1997-06-26	PRIJEM	VKLAD	8100	41652	\N	\N	\N
1176670	4034	1997-07-26	VYDAJ	VYBER	1300	43690	\N	\N	\N
1176671	4034	1997-08-25	PRIJEM	VKLAD	2200	48492	\N	\N	\N
1176672	4034	1997-09-24	VYDAJ	VYBER	4200	49543	\N	\N	\N
1176673	4034	1997-10-24	VYDAJ	VYBER	4200	47730	\N	\N	\N
1176674	4034	1997-11-23	PRIJEM	VKLAD	200	53201	\N	\N	\N
1176675	4034	1997-12-23	VYDAJ	VYBER	1200	58689	\N	\N	\N
1176676	4034	1998-01-22	PRIJEM	VKLAD	6000	60383	\N	\N	\N
1176677	4034	1998-02-21	PRIJEM	VKLAD	6100	59704	\N	\N	\N
1176678	4034	1998-03-23	PRIJEM	VKLAD	3600	63426	\N	\N	\N
1176679	4034	1998-04-22	VYDAJ	VYBER	2000	66141	\N	\N	\N
1176680	4034	1998-05-22	PRIJEM	VKLAD	2700	70330	\N	\N	\N
1176681	4034	1998-06-21	PRIJEM	VKLAD	1100	66196	\N	\N	\N
1176682	4034	1998-07-21	VYDAJ	VYBER	4100	67445	\N	\N	\N
1176683	4034	1998-09-19	VYDAJ	VYBER	3800	74329	\N	\N	\N
1176684	4034	1998-10-19	VYDAJ	VYBER KARTOU	4900	74797	\N	\N	0
1176685	4034	1998-11-18	VYDAJ	VYBER KARTOU	3800	74369	\N	\N	0
1176759	4035	1993-07-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1176767	4035	1993-08-06	PRIJEM	PREVOD Z UCTU	29880	30980	\N	YZ	86406272
1176768	4035	1993-09-06	PRIJEM	PREVOD Z UCTU	29880	57390	\N	YZ	86406272
1176769	4035	1993-10-06	PRIJEM	PREVOD Z UCTU	29880	69197	\N	YZ	86406272
1176770	4035	1993-11-06	PRIJEM	PREVOD Z UCTU	29880	77150	\N	YZ	86406272
1176771	4035	1993-12-06	PRIJEM	PREVOD Z UCTU	44820	94169	\N	YZ	86406272
1176772	4035	1994-01-06	PRIJEM	PREVOD Z UCTU	29880	69411	\N	YZ	86406272
1176773	4035	1994-02-06	PRIJEM	PREVOD Z UCTU	29880	64579	\N	YZ	86406272
1176774	4035	1994-03-06	PRIJEM	PREVOD Z UCTU	29880	65409	\N	YZ	86406272
1176775	4035	1994-04-06	PRIJEM	PREVOD Z UCTU	29880	39807	\N	YZ	86406272
1176776	4035	1994-05-06	PRIJEM	PREVOD Z UCTU	29880	29383	\N	YZ	86406272
1176777	4035	1994-06-06	PRIJEM	PREVOD Z UCTU	44820	70200	\N	YZ	86406272
1176778	4035	1994-07-06	PRIJEM	PREVOD Z UCTU	29880	58219	\N	YZ	86406272
1176779	4035	1994-08-06	PRIJEM	PREVOD Z UCTU	29880	55515	\N	YZ	86406272
1176780	4035	1994-09-06	PRIJEM	PREVOD Z UCTU	29880	67429	\N	YZ	86406272
1176781	4035	1994-10-06	PRIJEM	PREVOD Z UCTU	29880	76704	\N	YZ	86406272
1176782	4035	1994-11-06	PRIJEM	PREVOD Z UCTU	29880	68652	\N	YZ	86406272
1176783	4035	1994-12-06	PRIJEM	PREVOD Z UCTU	44820	92736	\N	YZ	86406272
1176784	4035	1995-01-06	PRIJEM	PREVOD Z UCTU	29880	50955	\N	YZ	86406272
1176785	4035	1995-02-06	PRIJEM	PREVOD Z UCTU	29880	27728	\N	YZ	86406272
1176786	4035	1995-03-06	PRIJEM	PREVOD Z UCTU	29880	50725	\N	YZ	86406272
1176787	4035	1995-04-06	PRIJEM	PREVOD Z UCTU	29880	70016	\N	YZ	86406272
1176788	4035	1995-05-06	PRIJEM	PREVOD Z UCTU	29880	66954	\N	YZ	86406272
1176789	4035	1995-06-06	PRIJEM	PREVOD Z UCTU	44820	50736	\N	YZ	86406272
1176790	4035	1995-07-06	PRIJEM	PREVOD Z UCTU	29880	71991	\N	YZ	86406272
1176791	4035	1995-08-06	PRIJEM	PREVOD Z UCTU	29880	71122	\N	YZ	86406272
1176792	4035	1995-09-06	PRIJEM	PREVOD Z UCTU	29880	77710	\N	YZ	86406272
1176793	4035	1995-10-06	PRIJEM	PREVOD Z UCTU	29880	74801	\N	YZ	86406272
1176794	4035	1995-11-06	PRIJEM	PREVOD Z UCTU	29880	78269	\N	YZ	86406272
1176795	4035	1995-12-06	PRIJEM	PREVOD Z UCTU	44820	93603	\N	YZ	86406272
1176796	4035	1996-01-06	PRIJEM	PREVOD Z UCTU	29880	90804	\N	YZ	86406272
1176797	4035	1996-02-06	PRIJEM	PREVOD Z UCTU	29880	45063	\N	YZ	86406272
1176798	4035	1996-03-06	PRIJEM	PREVOD Z UCTU	29880	68759	\N	YZ	86406272
1176799	4035	1996-04-06	PRIJEM	PREVOD Z UCTU	29880	73204	\N	YZ	86406272
1176800	4035	1996-05-06	PRIJEM	PREVOD Z UCTU	29880	54621	\N	YZ	86406272
1176801	4035	1996-06-06	PRIJEM	PREVOD Z UCTU	44820	79862	\N	YZ	86406272
1176802	4035	1996-07-06	PRIJEM	PREVOD Z UCTU	29880	40619	\N	YZ	86406272
1176803	4035	1996-08-06	PRIJEM	PREVOD Z UCTU	29880	42115	\N	YZ	86406272
1176804	4035	1996-09-06	PRIJEM	PREVOD Z UCTU	29880	64802	\N	YZ	86406272
1176805	4035	1996-10-06	PRIJEM	PREVOD Z UCTU	29880	68859	\N	YZ	86406272
1176806	4035	1996-11-06	PRIJEM	PREVOD Z UCTU	29880	38059	\N	YZ	86406272
1176807	4035	1996-12-06	PRIJEM	PREVOD Z UCTU	44820	60817	\N	YZ	86406272
1176808	4035	1997-01-06	PRIJEM	PREVOD Z UCTU	29880	65376	\N	YZ	86406272
1176809	4035	1997-02-06	PRIJEM	PREVOD Z UCTU	29880	52835	\N	YZ	86406272
1176810	4035	1997-03-06	PRIJEM	PREVOD Z UCTU	29880	82886	\N	YZ	86406272
1176811	4035	1997-04-06	PRIJEM	PREVOD Z UCTU	29880	81071	\N	YZ	86406272
1176812	4035	1997-05-06	PRIJEM	PREVOD Z UCTU	29880	89858	\N	YZ	86406272
1176813	4035	1997-06-06	PRIJEM	PREVOD Z UCTU	44820	88729	\N	YZ	86406272
1176814	4035	1997-07-06	PRIJEM	PREVOD Z UCTU	29880	98150	\N	YZ	86406272
1176815	4035	1997-08-06	PRIJEM	PREVOD Z UCTU	29880	101999	\N	YZ	86406272
1176816	4035	1997-09-06	PRIJEM	PREVOD Z UCTU	29880	111476	\N	YZ	86406272
1176817	4035	1997-10-06	PRIJEM	PREVOD Z UCTU	29880	81789	\N	YZ	86406272
1176818	4035	1997-11-06	PRIJEM	PREVOD Z UCTU	29880	99373	\N	YZ	86406272
1176819	4035	1997-12-06	PRIJEM	PREVOD Z UCTU	44820	121976	\N	YZ	86406272
1176820	4035	1998-01-06	PRIJEM	PREVOD Z UCTU	29880	42979	\N	YZ	86406272
1176821	4035	1998-02-06	PRIJEM	PREVOD Z UCTU	29880	53675	\N	YZ	86406272
1176822	4035	1998-03-06	PRIJEM	PREVOD Z UCTU	29880	86140	\N	YZ	86406272
1176823	4035	1998-04-06	PRIJEM	PREVOD Z UCTU	29880	100536	\N	YZ	86406272
1176824	4035	1998-05-06	PRIJEM	PREVOD Z UCTU	29880	91639	\N	YZ	86406272
1176825	4035	1998-06-06	PRIJEM	PREVOD Z UCTU	44820	122101	\N	YZ	86406272
1176826	4035	1998-07-06	PRIJEM	PREVOD Z UCTU	29880	78482	\N	YZ	86406272
1176827	4035	1998-08-06	PRIJEM	PREVOD Z UCTU	29880	100153	\N	YZ	86406272
1176828	4035	1998-09-06	PRIJEM	PREVOD Z UCTU	29880	99907	\N	YZ	86406272
1176829	4035	1998-10-06	PRIJEM	PREVOD Z UCTU	29880	113563	\N	YZ	86406272
1176830	4035	1998-11-06	PRIJEM	PREVOD Z UCTU	29880	121477	\N	YZ	86406272
1176831	4035	1998-12-06	PRIJEM	PREVOD Z UCTU	44820	114183	\N	YZ	86406272
1176834	4035	1994-04-04	VYBER	VYBER	7891	9927	\N	\N	\N
1176835	4035	1994-07-29	VYBER	VYBER	8415	27604	\N	\N	\N
1176836	4035	1994-04-03	VYBER	VYBER	8756	17818	\N	\N	\N
1176837	4035	1994-03-30	VYBER	VYBER	6963	26390	\N	\N	\N
1176838	4035	1994-08-10	VYBER	VYBER	4509	51006	\N	\N	\N
1176839	4035	1994-07-30	VYBER	VYBER	2084	25520	\N	\N	\N
1176840	4035	1994-12-29	VYBER	VYBER	7690	49546	\N	\N	\N
1176841	4035	1994-04-20	VYBER	VYBER	17515	22292	\N	\N	\N
1176842	4035	1994-06-29	VYBER	VYBER	4806	28194	\N	\N	\N
1176843	4035	1994-09-07	VYBER	VYBER	3703	63726	\N	\N	\N
1176844	4035	1994-03-16	VYBER	VYBER	12756	52653	\N	\N	\N
1176845	4035	1994-05-02	VYBER	VYBER	23601	-497	\N	\N	\N
1176846	4035	1994-03-03	VYBER	VYBER	2998	35529	\N	\N	\N
1176847	4035	1995-08-02	VYBER	VYBER	6321	41242	\N	\N	\N
1176848	4035	1995-09-09	VYBER	VYBER	13174	64536	\N	\N	\N
1176849	4035	1995-01-05	VYBER	VYBER	20273	21075	\N	\N	\N
1176851	4035	1996-07-09	VYBER	VYBER	22103	23916	\N	\N	\N
1176852	4035	1996-11-01	VYBER	VYBER	10738	6979	\N	\N	\N
1176853	4035	1996-07-19	VYBER	VYBER	3353	16663	\N	\N	\N
1176854	4035	1996-04-17	VYBER	VYBER	20516	33288	\N	\N	\N
1176856	4035	1996-10-27	VYBER	VYBER	18495	17564	\N	\N	\N
1176857	4035	1996-11-25	VYBER	VYBER	15870	15889	\N	\N	\N
1176858	4035	1996-09-28	VYBER	VYBER	8490	38812	\N	\N	\N
1176859	4035	1996-12-27	VYBER	VYBER	7778	38839	\N	\N	\N
1176860	4035	1997-12-15	VYBER	VYBER	20806	37900	\N	\N	\N
1176861	4035	1997-12-11	VYBER	VYBER	9970	58706	\N	\N	\N
1176862	4035	1998-09-05	VYBER	VYBER	15507	70027	\N	\N	\N
1176863	4035	1998-01-31	VYBER	VYBER	13973	23810	\N	\N	\N
1176864	4035	1998-04-10	VYBER	VYBER	20854	79682	\N	\N	\N
1176865	4035	1998-06-12	VYBER	VYBER	4513	81488	\N	\N	\N
1176868	4035	1995-06-04	VYDAJ	VYBER	42000	5916	\N	\N	\N
1176869	4035	1996-06-07	VYDAJ	VYBER	70800	9062	\N	\N	\N
1176870	4035	1997-06-04	VYDAJ	VYBER	45600	44609	\N	\N	\N
1176871	4035	1998-06-25	VYDAJ	VYBER	50400	31088	\N	\N	\N
1176873	4035	1994-01-04	VYDAJ	VYBER	8100	45231	\N	\N	\N
1176874	4035	1995-01-22	VYDAJ	VYBER	23400	1355	\N	\N	\N
1176875	4035	1996-01-26	VYDAJ	VYBER	22500	15004	\N	\N	\N
1176876	4035	1997-01-30	VYDAJ	VYBER	25200	8976	\N	\N	\N
1176877	4035	1998-01-01	VYDAJ	VYBER	20100	27499	\N	\N	\N
1176878	4035	1993-12-10	VYDAJ	VYBER	7200	86969	\N	\N	\N
1176879	4035	1994-12-22	VYDAJ	VYBER	2100	57236	\N	\N	\N
1176880	4035	1995-12-15	VYDAJ	VYBER	2100	60703	\N	\N	\N
1176881	4035	1996-12-27	VYDAJ	VYBER	3900	34939	\N	\N	\N
1176882	4035	1997-12-01	VYDAJ	VYBER	8400	91356	\N	\N	\N
1176883	4035	1998-12-29	VYDAJ	VYBER	6600	77783	\N	\N	\N
1176890	4035	1994-01-04	VYDAJ	VYBER	5700	39531	\N	\N	\N
1176891	4035	1994-01-01	VYDAJ	VYBER	4500	53331	\N	\N	\N
1176892	4035	1994-01-25	VYDAJ	VYBER	3600	34511	\N	\N	\N
1176893	4035	1994-01-20	VYDAJ	VYBER	2400	50811	\N	\N	\N
1176894	4035	1994-01-07	VYDAJ	VYBER	8700	60711	\N	\N	\N
1176895	4035	1994-01-13	VYDAJ	VYBER	7500	53211	\N	\N	\N
1176896	4035	1995-01-02	VYDAJ	VYBER	8400	41348	\N	\N	\N
1176897	4035	1995-01-21	VYDAJ	VYBER	5400	24755	\N	\N	\N
1176898	4035	1995-01-06	VYDAJ	VYBER	6600	44355	\N	\N	\N
1176899	4035	1995-01-25	VYDAJ	VYBER	1500	-2245	\N	\N	\N
1176900	4035	1995-01-24	VYDAJ	VYBER	2100	-745	\N	\N	\N
1176901	4035	1995-01-20	VYDAJ	VYBER	3000	30155	\N	\N	\N
1176902	4035	1996-01-06	VYDAJ	VYBER	5100	81204	\N	\N	\N
1176903	4035	1996-01-08	VYDAJ	VYBER	2700	70104	\N	\N	\N
1176904	4035	1996-01-23	VYDAJ	VYBER	4200	37504	\N	\N	\N
1176905	4035	1996-01-06	VYDAJ	VYBER	4500	86304	\N	\N	\N
1176906	4035	1996-01-07	VYDAJ	VYBER	8400	72804	\N	\N	\N
1176907	4035	1996-01-21	VYDAJ	VYBER	7800	41704	\N	\N	\N
1176908	4035	1997-01-26	VYDAJ	VYBER	3600	34176	\N	\N	\N
1176909	4035	1997-01-09	VYDAJ	VYBER	1500	63876	\N	\N	\N
1176910	4035	1997-01-19	VYDAJ	VYBER	6300	37776	\N	\N	\N
1176911	4035	1997-01-19	VYDAJ	VYBER	3900	44076	\N	\N	\N
1176912	4035	1997-01-18	VYDAJ	VYBER	7800	56076	\N	\N	\N
1176913	4035	1997-01-18	VYDAJ	VYBER	8100	47976	\N	\N	\N
1176914	4035	1998-01-21	VYDAJ	VYBER	2100	18979	\N	\N	\N
1176915	4035	1998-01-17	VYDAJ	VYBER	3600	25579	\N	\N	\N
1176916	4035	1998-01-20	VYDAJ	VYBER	1500	21079	\N	\N	\N
1176917	4035	1998-01-02	VYDAJ	VYBER	6300	21199	\N	\N	\N
1176918	4035	1998-01-04	VYDAJ	VYBER	8100	13099	\N	\N	\N
1176919	4035	1998-01-17	VYDAJ	VYBER	3000	22579	\N	\N	\N
1176924	4035	1994-10-20	VYDAJ	VYBER	12000	38604	\N	\N	\N
1176925	4035	1994-02-15	VYDAJ	VYBER	12300	52279	\N	\N	\N
1176926	4035	1994-06-12	VYDAJ	VYBER	8700	61500	\N	\N	\N
1176927	4035	1994-06-22	VYDAJ	VYBER	11700	33000	\N	\N	\N
1176928	4035	1994-03-16	VYDAJ	VYBER	10200	42453	\N	\N	\N
1176929	4035	1994-07-23	VYDAJ	VYBER	7800	36019	\N	\N	\N
1176930	4035	1995-04-27	VYDAJ	VYBER	5100	36916	\N	\N	\N
1176931	4035	1995-11-02	VYDAJ	VYBER	3000	48389	\N	\N	\N
1176932	4035	1995-11-13	VYDAJ	VYBER	4500	48569	\N	\N	\N
1176933	4035	1995-04-22	VYDAJ	VYBER	5700	42016	\N	\N	\N
1176934	4035	1995-02-15	VYDAJ	VYBER	8700	20828	\N	\N	\N
1176935	4035	1995-01-10	VYDAJ	VYBER	1800	42555	\N	\N	\N
1176936	4035	1996-04-29	VYDAJ	VYBER	8700	24588	\N	\N	\N
1176937	4035	1996-11-24	VYDAJ	VYBER	6300	31759	\N	\N	\N
1176938	4035	1996-03-22	VYDAJ	VYBER	4800	43159	\N	\N	\N
1176939	4035	1996-07-04	VYDAJ	VYBER	9300	10739	\N	\N	\N
1176940	4035	1996-12-16	VYDAJ	VYBER	3900	46617	\N	\N	\N
1176941	4035	1996-05-15	VYDAJ	VYBER	6600	34921	\N	\N	\N
1176942	4035	1996-10-22	VYDAJ	VYBER	14400	36059	\N	\N	\N
1176943	4035	1996-07-28	VYDAJ	VYBER	4500	12163	\N	\N	\N
1176944	4035	1996-07-18	VYDAJ	VYBER	3900	20016	\N	\N	\N
1176945	4035	1997-10-03	VYDAJ	VYBER	8700	51909	\N	\N	\N
1176946	4035	1997-07-22	VYDAJ	VYBER	12000	86150	\N	\N	\N
1176948	4035	1998-01-09	VYDAJ	VYBER	13800	29179	\N	\N	\N
1176949	4035	1998-12-04	VYDAJ	VYBER	13800	69363	\N	\N	\N
1176950	4035	1998-04-18	VYDAJ	VYBER	12600	67082	\N	\N	\N
1176963	4035	1993-12-31	VYDAJ	VYBER	15	57831	SLUZBY	\N	\N
1176964	4035	1994-01-31	VYDAJ	VYBER	15	34699	SLUZBY	\N	\N
1176965	4035	1994-02-28	VYDAJ	VYBER	15	38527	SLUZBY	\N	\N
1176966	4035	1994-03-31	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
1176967	4035	1994-04-30	VYDAJ	VYBER	15	23104	SLUZBY	\N	\N
1176968	4035	1994-05-31	VYDAJ	VYBER	15	25380	SLUZBY	\N	\N
1176969	4035	1994-06-30	VYDAJ	VYBER	15	28339	SLUZBY	\N	\N
1176970	4035	1994-07-31	VYDAJ	VYBER	15	25635	SLUZBY	\N	\N
1176971	4035	1994-08-31	VYDAJ	VYBER	15	37549	SLUZBY	\N	\N
1176972	4035	1994-09-30	VYDAJ	VYBER	15	46824	SLUZBY	\N	\N
1176973	4035	1994-10-31	VYDAJ	VYBER	15	38772	SLUZBY	\N	\N
1176974	4035	1994-11-30	VYDAJ	VYBER	15	47916	SLUZBY	\N	\N
1176975	4035	1994-12-31	VYDAJ	VYBER	15	49748	SLUZBY	\N	\N
1176976	4035	1995-01-31	VYDAJ	VYBER	15	-2146	SLUZBY	\N	\N
1176977	4035	1995-02-28	VYDAJ	VYBER	15	20857	SLUZBY	\N	\N
1176978	4035	1995-03-31	VYDAJ	VYBER	15	40136	SLUZBY	\N	\N
1176979	4035	1995-04-30	VYDAJ	VYBER	15	37074	SLUZBY	\N	\N
1176980	4035	1995-05-31	VYDAJ	VYBER	15	47916	SLUZBY	\N	\N
1176981	4035	1995-06-30	VYDAJ	VYBER	15	42111	SLUZBY	\N	\N
1176982	4035	1995-07-31	VYDAJ	VYBER	15	47563	SLUZBY	\N	\N
1176983	4035	1995-08-31	VYDAJ	VYBER	15	47830	SLUZBY	\N	\N
1176984	4035	1995-09-30	VYDAJ	VYBER	15	44921	SLUZBY	\N	\N
1176985	4035	1995-10-31	VYDAJ	VYBER	15	51389	SLUZBY	\N	\N
1176986	4035	1995-11-30	VYDAJ	VYBER	15	48783	SLUZBY	\N	\N
1176987	4035	1995-12-31	VYDAJ	VYBER	15	60924	SLUZBY	\N	\N
1176988	4035	1996-01-31	VYDAJ	VYBER	15	15183	SLUZBY	\N	\N
1176989	4035	1996-02-29	VYDAJ	VYBER	15	38879	SLUZBY	\N	\N
1176990	4035	1996-03-31	VYDAJ	VYBER	15	43324	SLUZBY	\N	\N
1176991	4035	1996-04-30	VYDAJ	VYBER	15	24741	SLUZBY	\N	\N
1176992	4035	1996-05-31	VYDAJ	VYBER	15	35042	SLUZBY	\N	\N
1176993	4035	1996-06-30	VYDAJ	VYBER	15	20039	SLUZBY	\N	\N
1176994	4035	1996-07-31	VYDAJ	VYBER	15	12235	SLUZBY	\N	\N
1176995	4035	1996-08-31	VYDAJ	VYBER	15	34922	SLUZBY	\N	\N
1176996	4035	1996-09-30	VYDAJ	VYBER	15	38979	SLUZBY	\N	\N
1176997	4035	1996-10-31	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
1176998	4035	1996-11-30	VYDAJ	VYBER	15	15997	SLUZBY	\N	\N
1176999	4035	1996-12-31	VYDAJ	VYBER	15	35096	SLUZBY	\N	\N
1177000	4035	1997-01-31	VYDAJ	VYBER	15	9155	SLUZBY	\N	\N
1177001	4035	1997-02-28	VYDAJ	VYBER	15	53006	SLUZBY	\N	\N
1177002	4035	1997-03-31	VYDAJ	VYBER	15	61091	SLUZBY	\N	\N
1177003	4035	1997-04-30	VYDAJ	VYBER	15	81378	SLUZBY	\N	\N
1177004	4035	1997-05-31	VYDAJ	VYBER	15	90209	SLUZBY	\N	\N
1177005	4035	1997-06-30	VYDAJ	VYBER	15	89070	SLUZBY	\N	\N
1177006	4035	1997-07-31	VYDAJ	VYBER	15	86519	SLUZBY	\N	\N
1177007	4035	1997-08-31	VYDAJ	VYBER	15	102396	SLUZBY	\N	\N
1177008	4035	1997-09-30	VYDAJ	VYBER	15	57909	SLUZBY	\N	\N
1177009	4035	1997-10-31	VYDAJ	VYBER	15	82093	SLUZBY	\N	\N
1177010	4035	1997-11-30	VYDAJ	VYBER	15	99756	SLUZBY	\N	\N
1177011	4035	1997-12-31	VYDAJ	VYBER	15	47599	SLUZBY	\N	\N
1177012	4035	1998-01-31	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
1177013	4035	1998-02-28	VYDAJ	VYBER	15	53760	SLUZBY	\N	\N
1177014	4035	1998-03-31	VYDAJ	VYBER	15	70656	SLUZBY	\N	\N
1177015	4035	1998-04-30	VYDAJ	VYBER	15	67359	SLUZBY	\N	\N
1177016	4035	1998-05-31	VYDAJ	VYBER	15	77281	SLUZBY	\N	\N
1177017	4035	1998-06-30	VYDAJ	VYBER	15	48602	SLUZBY	\N	\N
1177018	4035	1998-07-31	VYDAJ	VYBER	15	70273	SLUZBY	\N	\N
1177019	4035	1998-08-31	VYDAJ	VYBER	15	85534	SLUZBY	\N	\N
1177020	4035	1998-09-30	VYDAJ	VYBER	15	83683	SLUZBY	\N	\N
1177021	4035	1998-10-31	VYDAJ	VYBER	15	91597	SLUZBY	\N	\N
1177022	4035	1998-11-30	VYDAJ	VYBER	15	83163	SLUZBY	\N	\N
1177023	4035	1993-08-24	VYDAJ	VYBER	3500	27480	\N	\N	\N
1177024	4035	1993-09-23	VYDAJ	VYBER	18200	39190	\N	\N	\N
1177025	4035	1993-10-23	VYDAJ	VYBER	22100	47097	\N	\N	\N
1177026	4035	1993-11-22	VYDAJ	VYBER	28000	49150	\N	\N	\N
1177027	4035	1993-12-22	VYDAJ	VYBER	29400	57569	\N	\N	\N
1177028	4035	1994-01-21	VYDAJ	VYBER	12700	38111	\N	\N	\N
1177029	4035	1994-02-20	VYDAJ	VYBER	13900	38379	\N	\N	\N
1177030	4035	1994-03-22	VYDAJ	VYBER	9100	33353	\N	\N	\N
1177031	4035	1994-04-21	PRIJEM	VKLAD	700	22992	\N	\N	\N
1177032	4035	1994-05-21	VYDAJ	VYBER	4100	25283	\N	\N	\N
1177033	4035	1994-06-20	VYDAJ	VYBER	16800	44700	\N	\N	\N
1177034	4035	1994-07-20	VYDAJ	VYBER	14400	43819	\N	\N	\N
1177035	4035	1994-08-19	VYDAJ	VYBER	13600	37406	\N	\N	\N
1177036	4035	1994-09-18	VYDAJ	VYBER	17100	46626	\N	\N	\N
1177037	4035	1994-10-18	VYDAJ	VYBER	26100	50604	\N	\N	\N
1177038	4035	1994-11-17	VYDAJ	VYBER	20900	47752	\N	\N	\N
1177039	4035	1994-12-17	VYDAJ	VYBER	33400	59336	\N	\N	\N
1177040	4035	1995-01-16	VYDAJ	VYBER	9400	33155	\N	\N	\N
1177041	4035	1995-02-15	PRIJEM	VKLAD	1800	29528	\N	\N	\N
1177042	4035	1995-03-17	VYDAJ	VYBER	10700	40025	\N	\N	\N
1177043	4035	1995-04-16	VYDAJ	VYBER	22300	47716	\N	\N	\N
1177044	4035	1995-05-16	VYDAJ	VYBER	19200	47754	\N	\N	\N
1177045	4035	1995-06-15	VYDAJ	VYBER	8800	41936	\N	\N	\N
1177046	4035	1995-07-15	VYDAJ	VYBER	24600	47391	\N	\N	\N
1177047	4035	1995-08-14	VYDAJ	VYBER	23500	47622	\N	\N	\N
1177048	4035	1995-09-13	VYDAJ	VYBER	19800	44736	\N	\N	\N
1177049	4035	1995-10-13	VYDAJ	VYBER	23600	51201	\N	\N	\N
1177050	4035	1995-11-12	VYDAJ	VYBER	25200	53069	\N	\N	\N
1177051	4035	1995-12-12	VYDAJ	VYBER	30800	62803	\N	\N	\N
1177052	4035	1996-01-11	VYDAJ	VYBER	20600	49504	\N	\N	\N
1177053	4035	1996-02-10	VYDAJ	VYBER	6300	38763	\N	\N	\N
1177054	4035	1996-03-11	VYDAJ	VYBER	20800	47959	\N	\N	\N
1177055	4035	1996-04-10	VYDAJ	VYBER	19400	53804	\N	\N	\N
1177056	4035	1996-05-10	VYDAJ	VYBER	13100	41521	\N	\N	\N
1177057	4035	1996-06-09	PRIJEM	VKLAD	10900	19962	\N	\N	\N
1177058	4035	1996-07-09	PRIJEM	VKLAD	5400	46019	\N	\N	\N
1177059	4035	1996-08-08	VYDAJ	VYBER	7300	34815	\N	\N	\N
1177060	4035	1996-09-07	VYDAJ	VYBER	17500	47302	\N	\N	\N
1177061	4035	1996-10-07	VYDAJ	VYBER	18400	50459	\N	\N	\N
1177062	4035	1996-11-06	PRIJEM	VKLAD	1200	8179	\N	\N	\N
1177063	4035	1996-12-06	VYDAJ	VYBER	10300	50517	\N	\N	\N
1177064	4035	1997-01-05	PRIJEM	VKLAD	400	35496	\N	\N	\N
1177065	4035	1997-02-04	PRIJEM	VKLAD	13800	22955	\N	\N	\N
1177066	4035	1997-03-06	VYDAJ	VYBER	22100	60786	\N	\N	\N
1177067	4035	1997-04-05	VYDAJ	VYBER	9900	51191	\N	\N	\N
1177068	4035	1997-05-05	VYDAJ	VYBER	21400	59978	\N	\N	\N
1177069	4035	1997-06-04	VYDAJ	VYBER	700	43909	\N	\N	\N
1177070	4035	1997-07-04	VYDAJ	VYBER	20800	68270	\N	\N	\N
1177071	4035	1997-08-03	VYDAJ	VYBER	14400	72119	\N	\N	\N
1177072	4035	1997-09-02	VYDAJ	VYBER	20800	81596	\N	\N	\N
1177073	4035	1997-09-06	VYDAJ	VYBER	54000	57476	\N	\N	\N
1177074	4035	1997-10-02	PRIJEM	VKLAD	2700	60609	\N	\N	\N
1177075	4035	1997-11-01	VYDAJ	VYBER	12600	69493	\N	\N	\N
1177076	4035	1997-12-01	VYDAJ	VYBER	14200	77156	\N	\N	\N
1177077	4035	1997-12-06	VYDAJ	VYBER	53300	68676	\N	\N	\N
1177078	4035	1997-12-31	PRIJEM	VKLAD	9500	47613	\N	\N	\N
1177079	4035	1998-01-30	PRIJEM	VKLAD	18700	37679	\N	\N	\N
1177080	4035	1998-03-01	PRIJEM	VKLAD	2500	56260	\N	\N	\N
1177081	4035	1998-03-31	VYDAJ	VYBER	15800	70670	\N	\N	\N
1177082	4035	1998-04-30	VYDAJ	VYBER	5600	61759	\N	\N	\N
1177083	4035	1998-05-30	VYDAJ	VYBER	14600	77039	\N	\N	\N
1177084	4035	1998-06-06	VYDAJ	VYBER	36100	86001	\N	\N	\N
1177085	4035	1998-06-29	PRIJEM	VKLAD	17200	48288	\N	\N	\N
1177086	4035	1998-07-29	VYDAJ	VYBER	8400	70082	\N	\N	\N
1177087	4035	1998-08-28	VYDAJ	VYBER	14900	85253	\N	\N	\N
1177088	4035	1998-09-27	VYDAJ	VYBER	16600	83307	\N	\N	\N
1177089	4035	1998-10-27	VYDAJ	VYBER	22300	91263	\N	\N	\N
1177090	4035	1998-11-06	VYDAJ	VYBER	18500	102977	\N	\N	\N
1177091	4035	1998-11-26	VYDAJ	VYBER	20200	82777	\N	\N	\N
1177092	4035	1998-12-06	VYDAJ	VYBER	19300	94883	\N	\N	\N
1177093	4035	1998-12-26	VYDAJ	VYBER	10500	84383	\N	\N	\N
1180347	4047	1995-09-29	PRIJEM	VKLAD	200	200	\N	\N	\N
1180348	4047	1995-11-30	PRIJEM	VKLAD	12056	33061	\N	\N	\N
1180353	4047	1996-06-07	PRIJEM	VKLAD	8440	27814	\N	\N	\N
1180354	4047	1996-06-30	PRIJEM	VKLAD	48456	120306	\N	\N	\N
1180355	4047	1996-02-01	PRIJEM	VKLAD	36969	91749	\N	\N	\N
1180356	4047	1996-02-20	PRIJEM	VKLAD	31378	123127	\N	\N	\N
1180357	4047	1996-09-01	PRIJEM	VKLAD	28658	77156	\N	\N	\N
1180358	4047	1996-08-23	PRIJEM	VKLAD	5112	87254	\N	\N	\N
1180359	4047	1996-08-14	PRIJEM	VKLAD	49107	113342	\N	\N	\N
1180360	4047	1996-08-05	PRIJEM	VKLAD	25704	64235	\N	\N	\N
1180361	4047	1996-09-30	PRIJEM	VKLAD	23339	85954	\N	\N	\N
1180362	4047	1996-11-30	PRIJEM	VKLAD	8967	47207	\N	\N	\N
1180363	4047	1996-01-03	PRIJEM	VKLAD	9308	37606	\N	\N	\N
1180364	4047	1996-10-06	PRIJEM	VKLAD	32126	118355	\N	\N	\N
1180365	4047	1996-06-29	PRIJEM	VKLAD	32671	71850	\N	\N	\N
1180366	4047	1996-09-08	PRIJEM	VKLAD	16711	93867	\N	\N	\N
1180367	4047	1996-09-23	PRIJEM	VKLAD	22799	92315	\N	\N	\N
1180368	4047	1996-01-03	PRIJEM	VKLAD	7689	45295	\N	\N	\N
1180369	4047	1996-03-04	PRIJEM	VKLAD	30045	79924	\N	\N	\N
1180370	4047	1996-06-08	PRIJEM	VKLAD	13865	41679	\N	\N	\N
1180371	4047	1996-12-24	PRIJEM	VKLAD	49260	83405	\N	\N	\N
1180372	4047	1996-01-05	PRIJEM	VKLAD	39514	84809	\N	\N	\N
1180373	4047	1996-01-08	PRIJEM	VKLAD	34556	119365	\N	\N	\N
1180374	4047	1996-03-13	PRIJEM	VKLAD	37277	117201	\N	\N	\N
1180375	4047	1996-02-24	PRIJEM	VKLAD	15324	117451	\N	\N	\N
1180376	4047	1996-04-20	PRIJEM	VKLAD	7299	35323	\N	\N	\N
1180377	4047	1996-09-17	PRIJEM	VKLAD	43500	137367	\N	\N	\N
1180378	4047	1997-04-08	PRIJEM	VKLAD	9401	47647	\N	\N	\N
1180379	4047	1997-02-17	PRIJEM	VKLAD	19698	77386	\N	\N	\N
1180380	4047	1997-02-09	PRIJEM	VKLAD	37674	67888	\N	\N	\N
1180381	4047	1997-06-27	PRIJEM	VKLAD	44692	60660	\N	\N	\N
1180382	4047	1997-07-02	PRIJEM	VKLAD	42477	103185	\N	\N	\N
1180383	4047	1997-08-10	PRIJEM	VKLAD	41620	90049	\N	\N	\N
1180384	4047	1997-11-19	PRIJEM	VKLAD	48158	82373	\N	\N	\N
1180385	4047	1997-07-30	PRIJEM	VKLAD	32742	70314	\N	\N	\N
1180386	4047	1998-08-11	PRIJEM	VKLAD	9267	47096	\N	\N	\N
1180387	4047	1998-01-03	PRIJEM	VKLAD	49594	80270	\N	\N	\N
1180388	4047	1998-12-14	PRIJEM	VKLAD	35455	71180	\N	\N	\N
1180389	4047	1998-07-02	PRIJEM	VKLAD	46952	89033	\N	\N	\N
1180390	4047	1998-12-01	PRIJEM	VKLAD	26640	31625	\N	\N	\N
1180441	4047	1996-05-19	VYBER	VYBER	22831	8981	\N	\N	\N
1180442	4047	1996-09-20	VYBER	VYBER	13351	77016	\N	\N	\N
1180444	4047	1996-03-14	VYBER	VYBER	2277	73933	\N	\N	\N
1180445	4047	1996-08-30	VYBER	VYBER	13639	48215	\N	\N	\N
1180446	4047	1996-03-29	VYBER	VYBER	22730	27803	\N	\N	\N
1180447	4047	1996-07-21	VYBER	VYBER	13591	70250	\N	\N	\N
1180448	4047	1996-11-21	VYBER	VYBER	21186	44102	\N	\N	\N
1180449	4047	1996-03-13	VYBER	VYBER	12691	104510	\N	\N	\N
1180450	4047	1996-12-09	VYBER	VYBER	15032	32145	\N	\N	\N
1180451	4047	1997-07-30	VYBER	VYBER	22168	48146	\N	\N	\N
1180452	4047	1997-07-02	VYBER	VYBER	2431	100754	\N	\N	\N
1180453	4047	1997-12-17	VYBER	VYBER	9542	72999	\N	\N	\N
1180454	4047	1997-12-26	VYBER	VYBER	22763	32236	\N	\N	\N
1180455	4047	1997-07-26	VYBER	VYBER	18247	42072	\N	\N	\N
1180456	4047	1997-07-15	VYBER	VYBER	4535	85719	\N	\N	\N
1180457	4047	1997-05-23	VYBER	VYBER	20056	16827	\N	\N	\N
1180458	4047	1997-09-22	VYBER	VYBER	18584	27264	\N	\N	\N
1180459	4047	1997-03-17	VYBER	VYBER	11383	35674	\N	\N	\N
1180460	4047	1997-03-14	VYBER	VYBER	12505	47057	\N	\N	\N
1180461	4047	1997-06-24	VYBER	VYBER	6453	15968	\N	\N	\N
1180462	4047	1997-09-12	VYBER	VYBER	2195	59648	\N	\N	\N
1180463	4047	1998-08-13	VYBER	VYBER	13010	34086	\N	\N	\N
1180464	4047	1998-07-26	VYBER	VYBER	9277	37645	\N	\N	\N
1180465	4047	1998-11-21	VYBER	VYBER	17821	9459	\N	\N	\N
1180466	4047	1998-02-04	VYBER	VYBER	2494	26694	\N	\N	\N
1180468	4047	1998-10-23	VYBER	VYBER	11629	32768	\N	\N	\N
1180469	4047	1998-07-07	VYBER	VYBER	20411	68622	\N	\N	\N
1180475	4047	1996-12-30	VYDAJ	VYBER	3000	80405	\N	\N	\N
1180476	4047	1997-12-19	VYDAJ	VYBER	5400	54999	\N	\N	\N
1180477	4047	1998-12-20	VYDAJ	VYBER	5700	65480	\N	\N	\N
1180484	4047	1996-01-23	VYDAJ	VYBER	7500	89165	\N	\N	\N
1180486	4047	1996-01-17	VYDAJ	VYBER	3600	96665	\N	\N	\N
1180487	4047	1996-01-12	VYDAJ	VYBER	2100	100265	\N	\N	\N
1180489	4047	1996-01-25	VYDAJ	VYBER	6600	82565	\N	\N	\N
1180490	4047	1997-01-04	VYDAJ	VYBER	1800	72806	\N	\N	\N
1180491	4047	1997-01-25	VYDAJ	VYBER	4800	30006	\N	\N	\N
1180492	4047	1997-01-05	VYDAJ	VYBER	7200	65606	\N	\N	\N
1180493	4047	1997-01-25	VYDAJ	VYBER	8100	34806	\N	\N	\N
1180494	4047	1997-01-02	VYDAJ	VYBER	6000	74606	\N	\N	\N
1180495	4047	1997-01-25	VYDAJ	VYBER	8400	42906	\N	\N	\N
1180496	4047	1998-01-27	VYDAJ	VYBER	8100	33770	\N	\N	\N
1180497	4047	1998-01-25	VYDAJ	VYBER	8100	41870	\N	\N	\N
1180498	4047	1998-01-18	VYDAJ	VYBER	5100	55670	\N	\N	\N
1180499	4047	1998-01-25	VYDAJ	VYBER	5700	49970	\N	\N	\N
1180500	4047	1998-01-29	VYDAJ	VYBER	4800	28970	\N	\N	\N
1180501	4047	1998-01-01	VYDAJ	VYBER	1800	30676	\N	\N	\N
1180510	4047	1996-08-01	VYDAJ	VYBER	6600	38531	\N	\N	\N
1180511	4047	1996-10-22	VYDAJ	VYBER	2700	96755	\N	\N	\N
1180512	4047	1996-09-21	VYDAJ	VYBER	7500	69516	\N	\N	\N
1180513	4047	1996-07-31	VYDAJ	VYBER	3000	45161	\N	\N	\N
1180514	4047	1996-07-22	VYDAJ	VYBER	4200	66050	\N	\N	\N
1180515	4047	1997-10-14	VYDAJ	VYBER	12000	15438	\N	\N	\N
1180516	4047	1997-04-30	VYDAJ	VYBER	8100	36713	\N	\N	\N
1180517	4047	1997-07-29	VYDAJ	VYBER	4500	37572	\N	\N	\N
1180518	4047	1997-07-06	VYDAJ	VYBER	7500	93254	\N	\N	\N
1180519	4047	1997-07-08	VYDAJ	VYBER	3000	90254	\N	\N	\N
1180520	4047	1997-05-25	VYDAJ	VYBER	4500	12327	\N	\N	\N
1180521	4047	1997-02-12	VYDAJ	VYBER	10200	57688	\N	\N	\N
1180522	4047	1998-11-22	VYDAJ	VYBER	4500	4959	\N	\N	\N
1180523	4047	1998-03-22	VYDAJ	VYBER	9000	24987	\N	\N	\N
1180524	4047	1998-08-13	VYDAJ	VYBER	11700	22386	\N	\N	\N
1180525	4047	1998-10-25	VYDAJ	VYBER	14400	18368	\N	\N	\N
1180526	4047	1998-07-21	VYDAJ	VYBER	11700	46922	\N	\N	\N
1180540	4047	1996-01-31	VYDAJ	VYBER	30	54780	SLUZBY	\N	\N
1180541	4047	1996-02-29	VYDAJ	VYBER	30	49879	SLUZBY	\N	\N
1180542	4047	1996-03-31	VYDAJ	VYBER	30	28024	SLUZBY	\N	\N
1180543	4047	1996-04-30	VYDAJ	VYBER	30	31812	SLUZBY	\N	\N
1180544	4047	1996-05-31	VYDAJ	VYBER	30	19374	SLUZBY	\N	\N
1180545	4047	1996-06-30	VYDAJ	VYBER	30	120441	SLUZBY	\N	\N
1180546	4047	1996-07-31	VYDAJ	VYBER	30	45131	SLUZBY	\N	\N
1180547	4047	1996-08-31	VYDAJ	VYBER	30	48498	SLUZBY	\N	\N
1180548	4047	1996-09-30	VYDAJ	VYBER	30	86229	SLUZBY	\N	\N
1180549	4047	1996-10-31	VYDAJ	VYBER	30	65288	SLUZBY	\N	\N
1180550	4047	1996-11-30	VYDAJ	VYBER	30	47177	SLUZBY	\N	\N
1180551	4047	1996-12-31	VYDAJ	VYBER	30	80606	SLUZBY	\N	\N
1180552	4047	1997-01-31	VYDAJ	VYBER	30	30214	SLUZBY	\N	\N
1180553	4047	1997-02-28	VYDAJ	VYBER	30	59562	SLUZBY	\N	\N
1180554	4047	1997-03-31	VYDAJ	VYBER	30	38246	SLUZBY	\N	\N
1180555	4047	1997-04-30	VYDAJ	VYBER	30	36683	SLUZBY	\N	\N
1180556	4047	1997-05-31	VYDAJ	VYBER	30	12421	SLUZBY	\N	\N
1180557	4047	1997-06-30	VYDAJ	VYBER	30	60708	SLUZBY	\N	\N
1180558	4047	1997-07-31	VYDAJ	VYBER	30	48429	SLUZBY	\N	\N
1180559	4047	1997-08-31	VYDAJ	VYBER	30	61843	SLUZBY	\N	\N
1180560	4047	1997-09-30	VYDAJ	VYBER	30	27438	SLUZBY	\N	\N
1180561	4047	1997-10-31	VYDAJ	VYBER	30	24615	SLUZBY	\N	\N
1180562	4047	1997-11-30	VYDAJ	VYBER	30	82541	SLUZBY	\N	\N
1180563	4047	1997-12-31	VYDAJ	VYBER	30	32476	SLUZBY	\N	\N
1180564	4047	1998-01-31	VYDAJ	VYBER	30	29188	SLUZBY	\N	\N
1180565	4047	1998-02-28	VYDAJ	VYBER	30	30987	SLUZBY	\N	\N
1180566	4047	1998-03-31	VYDAJ	VYBER	30	25076	SLUZBY	\N	\N
1180567	4047	1998-04-30	VYDAJ	VYBER	30	32550	SLUZBY	\N	\N
1180568	4047	1998-05-31	VYDAJ	VYBER	30	37854	SLUZBY	\N	\N
1180569	4047	1998-06-30	VYDAJ	VYBER	30	42081	SLUZBY	\N	\N
1180570	4047	1998-07-31	VYDAJ	VYBER	30	37829	SLUZBY	\N	\N
1180571	4047	1998-08-31	VYDAJ	VYBER	30	31895	SLUZBY	\N	\N
1180572	4047	1998-09-30	VYDAJ	VYBER	30	40197	SLUZBY	\N	\N
1180573	4047	1998-10-31	VYDAJ	VYBER	30	18480	SLUZBY	\N	\N
1180574	4047	1998-11-30	VYDAJ	VYBER	30	4985	SLUZBY	\N	\N
1180575	4047	1995-10-29	PRIJEM	VKLAD	11700	11900	\N	\N	\N
1180576	4047	1995-11-28	PRIJEM	VKLAD	9100	21000	\N	\N	\N
1180577	4047	1995-12-28	VYDAJ	VYBER	4900	28161	\N	\N	\N
1180578	4047	1996-01-08	VYDAJ	VYBER	17000	102365	\N	\N	\N
1180579	4047	1996-01-27	VYDAJ	VYBER	28100	54465	\N	\N	\N
1180580	4047	1996-02-20	VYDAJ	VYBER	21000	102127	\N	\N	\N
1180581	4047	1996-02-24	VYDAJ	VYBER	43900	73551	\N	\N	\N
1180582	4047	1996-02-26	VYDAJ	VYBER	23900	49651	\N	\N	\N
1180583	4047	1996-03-13	VYDAJ	VYBER	28300	76210	\N	\N	\N
1180584	4047	1996-03-27	VYDAJ	VYBER	23400	50533	\N	\N	\N
1180585	4047	1996-04-26	VYDAJ	VYBER	3600	31723	\N	\N	\N
1180586	4047	1996-05-26	PRIJEM	VKLAD	10300	19281	\N	\N	\N
1180587	4047	1996-06-25	VYDAJ	VYBER	2500	39179	\N	\N	\N
1180588	4047	1996-06-30	VYDAJ	VYBER	36600	83841	\N	\N	\N
1180589	4047	1996-07-25	VYDAJ	VYBER	18300	47750	\N	\N	\N
1180590	4047	1996-08-14	VYDAJ	VYBER	31200	82142	\N	\N	\N
1180591	4047	1996-08-24	VYDAJ	VYBER	25400	61854	\N	\N	\N
1180592	4047	1996-09-17	VYDAJ	VYBER	47000	90367	\N	\N	\N
1180593	4047	1996-09-23	VYDAJ	VYBER	29700	62615	\N	\N	\N
1180594	4047	1996-10-06	VYDAJ	VYBER	18900	99455	\N	\N	\N
1180595	4047	1996-10-23	VYDAJ	VYBER	31800	64955	\N	\N	\N
1180596	4047	1996-11-22	VYDAJ	VYBER	6100	38002	\N	\N	\N
1180597	4047	1996-12-22	PRIJEM	VKLAD	2000	34145	\N	\N	\N
1180598	4047	1997-01-21	VYDAJ	VYBER	14300	51306	\N	\N	\N
1180599	4047	1997-02-20	VYDAJ	VYBER	18000	59386	\N	\N	\N
1180600	4047	1997-03-22	PRIJEM	VKLAD	2400	38074	\N	\N	\N
1180601	4047	1997-04-21	VYDAJ	VYBER	3000	44647	\N	\N	\N
1180602	4047	1997-05-21	PRIJEM	VKLAD	200	36883	\N	\N	\N
1180603	4047	1997-06-20	PRIJEM	VKLAD	10000	22421	\N	\N	\N
1180604	4047	1997-07-20	VYDAJ	VYBER	25400	60319	\N	\N	\N
1180605	4047	1997-08-19	VYDAJ	VYBER	28400	61649	\N	\N	\N
1180606	4047	1997-09-18	VYDAJ	VYBER	13800	45848	\N	\N	\N
1180607	4047	1997-10-18	PRIJEM	VKLAD	9100	24538	\N	\N	\N
1180608	4047	1997-11-17	PRIJEM	VKLAD	9600	34215	\N	\N	\N
1180609	4047	1997-12-17	VYDAJ	VYBER	12600	60399	\N	\N	\N
1180610	4047	1998-01-16	VYDAJ	VYBER	19500	60770	\N	\N	\N
1180611	4047	1998-02-15	PRIJEM	VKLAD	4200	30894	\N	\N	\N
1180612	4047	1998-03-17	PRIJEM	VKLAD	3000	33987	\N	\N	\N
1180613	4047	1998-04-16	PRIJEM	VKLAD	7400	32476	\N	\N	\N
1180614	4047	1998-05-16	PRIJEM	VKLAD	5200	37750	\N	\N	\N
1180615	4047	1998-06-15	PRIJEM	VKLAD	4100	41954	\N	\N	\N
1180616	4047	1998-07-15	VYDAJ	VYBER	10000	58622	\N	\N	\N
1180617	4047	1998-08-14	PRIJEM	VKLAD	9400	31786	\N	\N	\N
1180618	4047	1998-09-13	PRIJEM	VKLAD	8200	40095	\N	\N	\N
1180619	4047	1998-10-13	PRIJEM	VKLAD	4200	44397	\N	\N	\N
1180620	4047	1998-11-12	PRIJEM	VKLAD	8800	27280	\N	\N	\N
1180621	4047	1998-12-12	PRIJEM	VKLAD	4100	35725	\N	\N	\N
1182595	4052	1997-01-25	PRIJEM	VKLAD	900	900	\N	\N	\N
1182597	4052	1997-02-06	PRIJEM	PREVOD Z UCTU	18981	19881	\N	UV	46107834
1182598	4052	1997-03-06	PRIJEM	PREVOD Z UCTU	18981	40778	\N	UV	46107834
1182599	4052	1997-04-06	PRIJEM	PREVOD Z UCTU	18981	54861	\N	UV	46107834
1182600	4052	1997-05-06	PRIJEM	PREVOD Z UCTU	18981	61797	\N	UV	46107834
1182601	4052	1997-06-06	PRIJEM	PREVOD Z UCTU	28472	76251	\N	UV	46107834
1182602	4052	1997-07-06	PRIJEM	PREVOD Z UCTU	18981	36893	\N	UV	46107834
1182603	4052	1997-08-06	PRIJEM	PREVOD Z UCTU	18981	41262	\N	UV	46107834
1182604	4052	1997-09-06	PRIJEM	PREVOD Z UCTU	18981	42158	\N	UV	46107834
1182605	4052	1997-10-06	PRIJEM	PREVOD Z UCTU	18981	49350	\N	UV	46107834
1182606	4052	1997-11-06	PRIJEM	PREVOD Z UCTU	18981	57943	\N	UV	46107834
1182607	4052	1997-12-06	PRIJEM	PREVOD Z UCTU	28472	72395	\N	UV	46107834
1182608	4052	1998-01-06	PRIJEM	PREVOD Z UCTU	18981	68766	\N	UV	46107834
1182609	4052	1998-02-06	PRIJEM	PREVOD Z UCTU	18981	31927	\N	UV	46107834
1182610	4052	1998-03-06	PRIJEM	PREVOD Z UCTU	18981	46232	\N	UV	46107834
1182611	4052	1998-04-06	PRIJEM	PREVOD Z UCTU	18981	53406	\N	UV	46107834
1182612	4052	1998-05-06	PRIJEM	PREVOD Z UCTU	18981	63361	\N	UV	46107834
1182613	4052	1998-06-06	PRIJEM	PREVOD Z UCTU	28472	76371	\N	UV	46107834
1182614	4052	1998-07-06	PRIJEM	PREVOD Z UCTU	18981	64939	\N	UV	46107834
1182615	4052	1998-08-06	PRIJEM	PREVOD Z UCTU	18981	38277	\N	UV	46107834
1182616	4052	1998-09-06	PRIJEM	PREVOD Z UCTU	18981	39359	\N	UV	46107834
1182617	4052	1998-10-06	PRIJEM	PREVOD Z UCTU	18981	62902	\N	UV	46107834
1182618	4052	1998-11-06	PRIJEM	PREVOD Z UCTU	18981	75022	\N	UV	46107834
1182619	4052	1998-12-06	PRIJEM	PREVOD Z UCTU	28472	86533	\N	UV	46107834
1182625	4052	1997-06-09	VYDAJ	VYBER	2700	3969	\N	\N	0
1182626	4052	1997-07-13	VYDAJ	VYBER	2600	34293	\N	\N	0
1182627	4052	1997-08-06	VYDAJ	VYBER	2200	39062	\N	\N	0
1182628	4052	1997-08-25	VYDAJ	VYBER	3000	29962	\N	\N	0
1182629	4052	1997-10-25	VYDAJ	VYBER	2400	41150	\N	\N	0
1182630	4052	1997-11-05	VYDAJ	VYBER	2300	38962	\N	\N	0
1182631	4052	1997-11-22	VYDAJ	VYBER	2600	43743	\N	\N	0
1182632	4052	1998-01-12	VYDAJ	PREVOD NA UCET	2948	55618	UVER	IJ	25790983
1182633	4052	1998-02-12	VYDAJ	PREVOD NA UCET	2948	19079	UVER	IJ	25790983
1182634	4052	1998-03-12	VYDAJ	PREVOD NA UCET	2948	43284	UVER	IJ	25790983
1182635	4052	1998-04-12	VYDAJ	PREVOD NA UCET	2948	46035	UVER	IJ	25790983
1182636	4052	1998-05-12	VYDAJ	PREVOD NA UCET	2948	60413	UVER	IJ	25790983
1182637	4052	1998-06-12	VYDAJ	PREVOD NA UCET	2948	73423	UVER	IJ	25790983
1182638	4052	1998-07-12	VYDAJ	PREVOD NA UCET	2948	61991	UVER	IJ	25790983
1182639	4052	1998-08-12	VYDAJ	PREVOD NA UCET	2948	35329	UVER	IJ	25790983
1182640	4052	1998-09-12	VYDAJ	PREVOD NA UCET	2948	36411	UVER	IJ	25790983
1182641	4052	1998-10-12	VYDAJ	PREVOD NA UCET	2948	59954	UVER	IJ	25790983
1182642	4052	1998-11-12	VYDAJ	PREVOD NA UCET	2948	67096	UVER	IJ	25790983
1182643	4052	1998-12-12	VYDAJ	PREVOD NA UCET	2948	83585	UVER	IJ	25790983
1182644	4052	1997-07-29	VYBER	VYBER	11093	22200	\N	\N	\N
1182646	4052	1997-06-09	VYBER	VYBER	18882	6669	\N	\N	\N
1182647	4052	1997-09-19	VYBER	VYBER	11268	30890	\N	\N	\N
1182649	4052	1998-12-27	VYBER	VYBER	18607	36561	\N	\N	\N
1182650	4052	1998-03-28	VYBER	VYBER	13385	34299	\N	\N	\N
1182651	4052	1998-12-20	VYBER	VYBER	17917	55168	\N	\N	\N
1182652	4052	1998-11-06	VYBER	VYBER	4978	70044	\N	\N	\N
1182653	4052	1998-07-28	VYBER	VYBER	14546	19145	\N	\N	\N
1182654	4052	1998-11-20	VYBER	VYBER	4261	57835	\N	\N	\N
1182655	4052	1998-08-22	VYBER	VYBER	21627	20302	\N	\N	\N
1182656	4052	1998-02-14	VYBER	VYBER	5778	13301	\N	\N	\N
1182657	4052	1998-04-10	VYBER	VYBER	4423	48983	\N	\N	\N
1182658	4052	1997-06-07	VYDAJ	VYBER	50700	25551	\N	\N	\N
1182659	4052	1998-06-19	VYDAJ	VYBER	29400	45723	\N	\N	\N
1182661	4052	1998-01-22	VYDAJ	VYBER	23700	15218	\N	\N	\N
1182662	4052	1997-12-12	VYDAJ	VYBER	7200	65195	\N	\N	\N
1182663	4052	1998-12-16	VYDAJ	VYBER	3900	73085	\N	\N	\N
1182670	4052	1998-01-14	VYDAJ	VYBER	2400	44818	\N	\N	\N
1182671	4052	1998-01-16	VYDAJ	VYBER	7200	37618	\N	\N	\N
1182672	4052	1998-01-08	VYDAJ	VYBER	7800	60966	\N	\N	\N
1182673	4052	1998-01-05	VYDAJ	VYBER	1500	49785	\N	\N	\N
1182674	4052	1998-01-27	VYDAJ	VYBER	2400	12818	\N	\N	\N
1182675	4052	1998-01-12	VYDAJ	VYBER	8400	47218	\N	\N	\N
1182678	4052	1997-08-31	VYDAJ	VYBER	6900	23207	\N	\N	\N
1182680	4052	1998-05-28	VYDAJ	VYBER	8100	47713	\N	\N	\N
1182681	4052	1998-02-10	VYDAJ	VYBER	8100	23827	\N	\N	\N
1182682	4052	1998-07-25	VYDAJ	VYBER	14100	33691	\N	\N	\N
1182683	4052	1998-01-09	VYDAJ	VYBER	2400	58566	\N	\N	\N
1182684	4052	1998-07-15	VYDAJ	VYBER	12600	49391	\N	\N	\N
1182685	4052	1998-02-10	VYDAJ	VYBER	1800	22027	\N	\N	\N
1182692	4052	1997-06-30	VYDAJ	VYBER	30	17912	SLUZBY	\N	\N
1182693	4052	1997-07-31	VYDAJ	VYBER	30	22281	SLUZBY	\N	\N
1182694	4052	1997-08-31	VYDAJ	VYBER	30	23177	SLUZBY	\N	\N
1182695	4052	1997-09-30	VYDAJ	VYBER	30	30369	SLUZBY	\N	\N
1182696	4052	1997-10-31	VYDAJ	VYBER	30	41262	SLUZBY	\N	\N
1182697	4052	1997-11-30	VYDAJ	VYBER	30	43923	SLUZBY	\N	\N
1182698	4052	1997-12-31	VYDAJ	VYBER	30	51285	SLUZBY	\N	\N
1182699	4052	1998-01-31	VYDAJ	VYBER	30	12946	SLUZBY	\N	\N
1182700	4052	1998-02-28	VYDAJ	VYBER	30	27251	SLUZBY	\N	\N
1182701	4052	1998-03-31	VYDAJ	VYBER	30	34425	SLUZBY	\N	\N
1182702	4052	1998-04-30	VYDAJ	VYBER	30	44380	SLUZBY	\N	\N
1182703	4052	1998-05-31	VYDAJ	VYBER	30	47899	SLUZBY	\N	\N
1182704	4052	1998-06-30	VYDAJ	VYBER	30	45958	SLUZBY	\N	\N
1182705	4052	1998-07-31	VYDAJ	VYBER	30	19296	SLUZBY	\N	\N
1182706	4052	1998-08-31	VYDAJ	VYBER	30	20378	SLUZBY	\N	\N
1182707	4052	1998-09-30	VYDAJ	VYBER	30	43921	SLUZBY	\N	\N
1182708	4052	1998-10-31	VYDAJ	VYBER	30	56041	SLUZBY	\N	\N
1182709	4052	1998-11-30	VYDAJ	VYBER	30	58061	SLUZBY	\N	\N
1182710	4052	1997-02-24	PRIJEM	VKLAD	1900	21781	\N	\N	\N
1182711	4052	1997-03-26	VYDAJ	VYBER	5000	35778	\N	\N	\N
1182712	4052	1997-04-25	VYDAJ	VYBER	12200	42661	\N	\N	\N
1182713	4052	1997-05-25	VYDAJ	VYBER	14200	47597	\N	\N	\N
1182714	4052	1997-06-24	PRIJEM	VKLAD	13900	17869	\N	\N	\N
1182715	4052	1997-07-24	VYDAJ	VYBER	1000	33293	\N	\N	\N
1182716	4052	1997-08-23	VYDAJ	VYBER	6100	32962	\N	\N	\N
1182717	4052	1997-09-22	VYDAJ	VYBER	600	30290	\N	\N	\N
1182718	4052	1997-10-22	VYDAJ	VYBER	5800	43550	\N	\N	\N
1182719	4052	1997-11-21	VYDAJ	VYBER	11600	46343	\N	\N	\N
1182720	4052	1997-12-21	VYDAJ	VYBER	14100	51095	\N	\N	\N
1182721	4052	1998-01-20	PRIJEM	VKLAD	1300	38918	\N	\N	\N
1182722	4052	1998-02-19	PRIJEM	VKLAD	13900	27201	\N	\N	\N
1182723	4052	1998-03-21	PRIJEM	VKLAD	4400	47684	\N	\N	\N
1182724	4052	1998-04-20	VYDAJ	VYBER	1800	44235	\N	\N	\N
1182725	4052	1998-05-20	VYDAJ	VYBER	4600	55813	\N	\N	\N
1182726	4052	1998-06-19	PRIJEM	VKLAD	1700	75123	\N	\N	\N
1182727	4052	1998-07-19	VYDAJ	VYBER	1600	47791	\N	\N	\N
1182728	4052	1998-08-18	PRIJEM	VKLAD	6600	41929	\N	\N	\N
1182729	4052	1998-09-17	PRIJEM	VKLAD	7400	43811	\N	\N	\N
1182730	4052	1998-10-17	VYDAJ	VYBER	4100	55854	\N	\N	\N
1182731	4052	1998-11-16	VYDAJ	VYBER	5000	62096	\N	\N	\N
1182732	4052	1998-12-16	VYDAJ	VYBER	6600	76985	\N	\N	\N
1183176	4055	1993-01-24	PRIJEM	VKLAD	200	200	\N	\N	\N
1183178	4055	1993-02-12	PRIJEM	VKLAD	20281	20481	\N	\N	\N
1183179	4055	1993-03-12	PRIJEM	VKLAD	20281	43883	\N	\N	\N
1183180	4055	1993-04-12	PRIJEM	VKLAD	20281	56574	\N	\N	\N
1183181	4055	1993-05-12	PRIJEM	VKLAD	20281	60610	\N	\N	\N
1183182	4055	1993-06-12	PRIJEM	VKLAD	30422	74002	\N	\N	\N
1183183	4055	1993-07-12	PRIJEM	VKLAD	20281	68955	\N	\N	\N
1183184	4055	1993-08-12	PRIJEM	VKLAD	20281	61461	\N	\N	\N
1183185	4055	1993-09-12	PRIJEM	VKLAD	20281	65039	\N	\N	\N
1183186	4055	1993-10-12	PRIJEM	VKLAD	20281	63189	\N	\N	\N
1183187	4055	1993-11-12	PRIJEM	VKLAD	20281	64981	\N	\N	\N
1183188	4055	1993-12-12	PRIJEM	VKLAD	30422	75074	\N	\N	\N
1183189	4055	1994-01-12	PRIJEM	VKLAD	20281	65278	\N	\N	\N
1183190	4055	1994-02-12	PRIJEM	VKLAD	20281	47991	\N	\N	\N
1183191	4055	1994-03-12	PRIJEM	VKLAD	20281	57989	\N	\N	\N
1183192	4055	1994-04-12	PRIJEM	VKLAD	20281	58155	\N	\N	\N
1183193	4055	1994-05-12	PRIJEM	VKLAD	20281	61784	\N	\N	\N
1183194	4055	1994-06-12	PRIJEM	VKLAD	30422	72042	\N	\N	\N
1183195	4055	1994-07-12	PRIJEM	VKLAD	20281	57397	\N	\N	\N
1183196	4055	1994-08-12	PRIJEM	VKLAD	20281	61826	\N	\N	\N
1183197	4055	1994-09-12	PRIJEM	VKLAD	20281	61564	\N	\N	\N
1183198	4055	1994-10-12	PRIJEM	VKLAD	20281	64107	\N	\N	\N
1183199	4055	1994-11-12	PRIJEM	VKLAD	20281	65659	\N	\N	\N
1183200	4055	1994-12-12	PRIJEM	VKLAD	30422	69804	\N	\N	\N
1183201	4055	1995-01-12	PRIJEM	VKLAD	20281	59761	\N	\N	\N
1183202	4055	1995-02-12	PRIJEM	VKLAD	20281	42964	\N	\N	\N
1183203	4055	1995-03-12	PRIJEM	VKLAD	20281	50943	\N	\N	\N
1183204	4055	1995-04-12	PRIJEM	VKLAD	20281	43884	\N	\N	\N
1183205	4055	1995-05-12	PRIJEM	VKLAD	20281	51081	\N	\N	\N
1183206	4055	1995-06-12	PRIJEM	VKLAD	30422	58940	\N	\N	\N
1183207	4055	1995-07-12	PRIJEM	VKLAD	20281	52143	\N	\N	\N
1183208	4055	1995-08-12	PRIJEM	VKLAD	20281	53965	\N	\N	\N
1183209	4055	1995-09-12	PRIJEM	VKLAD	20281	43979	\N	\N	\N
1183210	4055	1995-10-12	PRIJEM	VKLAD	20281	46405	\N	\N	\N
1183211	4055	1995-11-12	PRIJEM	VKLAD	20281	51060	\N	\N	\N
1183212	4055	1995-12-12	PRIJEM	VKLAD	30422	62472	\N	\N	\N
1183213	4055	1996-01-12	PRIJEM	VKLAD	20281	55037	\N	\N	\N
1183214	4055	1996-02-12	PRIJEM	VKLAD	20281	46462	\N	\N	\N
1183215	4055	1996-03-12	PRIJEM	VKLAD	20281	50405	\N	\N	\N
1183216	4055	1996-04-12	PRIJEM	VKLAD	20281	48707	\N	\N	\N
1183217	4055	1996-05-12	PRIJEM	VKLAD	20281	49469	\N	\N	\N
1183218	4055	1996-06-12	PRIJEM	VKLAD	30422	57879	\N	\N	\N
1183219	4055	1996-07-12	PRIJEM	VKLAD	20281	42170	\N	\N	\N
1183220	4055	1996-08-12	PRIJEM	VKLAD	20281	41597	\N	\N	\N
1183221	4055	1996-09-12	PRIJEM	VKLAD	20281	41736	\N	\N	\N
1183222	4055	1996-10-12	PRIJEM	VKLAD	20281	40774	\N	\N	\N
1183223	4055	1996-11-12	PRIJEM	VKLAD	20281	43509	\N	\N	\N
1183224	4055	1996-12-12	PRIJEM	VKLAD	30422	53191	\N	\N	\N
1183225	4055	1997-01-12	PRIJEM	VKLAD	20281	47339	\N	\N	\N
1183226	4055	1997-02-12	PRIJEM	VKLAD	20281	33723	\N	\N	\N
1183227	4055	1997-03-12	PRIJEM	VKLAD	20281	38017	\N	\N	\N
1183228	4055	1997-04-12	PRIJEM	VKLAD	20281	39592	\N	\N	\N
1183229	4055	1997-05-12	PRIJEM	VKLAD	20281	33932	\N	\N	\N
1183230	4055	1997-06-12	PRIJEM	VKLAD	30422	42712	\N	\N	\N
1183231	4055	1997-07-12	PRIJEM	VKLAD	20281	32080	\N	\N	\N
1183232	4055	1997-08-12	PRIJEM	VKLAD	20281	35774	\N	\N	\N
1183233	4055	1997-09-12	PRIJEM	VKLAD	20281	38580	\N	\N	\N
1183234	4055	1997-10-12	PRIJEM	VKLAD	20281	39792	\N	\N	\N
1183235	4055	1997-11-12	PRIJEM	VKLAD	20281	45412	\N	\N	\N
1183236	4055	1997-12-12	PRIJEM	VKLAD	30422	56819	\N	\N	\N
1183237	4055	1998-01-12	PRIJEM	VKLAD	20281	48998	\N	\N	\N
1183238	4055	1998-02-12	PRIJEM	VKLAD	20281	37160	\N	\N	\N
1183239	4055	1998-03-12	PRIJEM	VKLAD	20281	40844	\N	\N	\N
1183240	4055	1998-04-12	PRIJEM	VKLAD	20281	40691	\N	\N	\N
1183241	4055	1998-05-12	PRIJEM	VKLAD	20281	36835	\N	\N	\N
1183242	4055	1998-06-12	PRIJEM	VKLAD	30422	42243	\N	\N	\N
1183243	4055	1998-07-12	PRIJEM	VKLAD	20281	26564	\N	\N	\N
1183244	4055	1998-08-12	PRIJEM	VKLAD	20281	29052	\N	\N	\N
1183245	4055	1998-09-12	PRIJEM	VKLAD	20281	33452	\N	\N	\N
1183246	4055	1998-10-12	PRIJEM	VKLAD	20281	37070	\N	\N	\N
1183247	4055	1998-11-12	PRIJEM	VKLAD	20281	37500	\N	\N	\N
1183248	4055	1998-12-12	PRIJEM	VKLAD	30422	48873	\N	\N	\N
1183250	4055	1994-06-18	VYDAJ	VYBER	24160	36962	\N	\N	\N
1183251	4055	1995-06-23	VYDAJ	VYBER	8000	31740	\N	\N	\N
1183252	4055	1996-06-13	VYDAJ	VYBER	24640	33239	\N	\N	\N
1183253	4055	1997-06-25	VYDAJ	VYBER	12640	30072	\N	\N	\N
1183254	4055	1998-06-22	VYDAJ	VYBER	19840	22403	\N	\N	\N
1183256	4055	1994-01-21	VYDAJ	VYBER	11200	33298	\N	\N	\N
1183257	4055	1995-01-28	VYDAJ	VYBER	7360	26261	\N	\N	\N
1183258	4055	1996-01-24	VYDAJ	VYBER	8800	39157	\N	\N	\N
1183259	4055	1997-01-16	VYDAJ	VYBER	8960	37659	\N	\N	\N
1183260	4055	1998-01-09	VYDAJ	VYBER	2240	28717	\N	\N	\N
1183261	4055	1993-12-14	VYDAJ	VYBER	2240	72834	\N	\N	\N
1183262	4055	1994-12-21	VYDAJ	VYBER	3200	41124	\N	\N	\N
1183263	4055	1995-12-25	VYDAJ	VYBER	3680	58792	\N	\N	\N
1183264	4055	1996-12-16	VYDAJ	VYBER	1120	52071	\N	\N	\N
1183265	4055	1997-12-22	VYDAJ	VYBER	2880	53939	\N	\N	\N
1183266	4055	1998-12-30	VYDAJ	VYBER	960	26913	\N	\N	\N
1183273	4055	1994-01-02	VYDAJ	VYBER	2160	48477	\N	\N	\N
1183274	4055	1994-01-19	VYDAJ	VYBER	2400	44498	\N	\N	\N
1183275	4055	1994-01-23	VYDAJ	VYBER	3120	30178	\N	\N	\N
1183276	4055	1994-01-25	VYDAJ	VYBER	2640	27538	\N	\N	\N
1183277	4055	1994-01-17	VYDAJ	VYBER	2880	62398	\N	\N	\N
1183278	4055	1994-01-06	VYDAJ	VYBER	3480	44997	\N	\N	\N
1183279	4055	1995-01-30	VYDAJ	VYBER	1560	22541	\N	\N	\N
1183280	4055	1995-01-02	VYDAJ	VYBER	1800	39480	\N	\N	\N
1183281	4055	1995-01-20	VYDAJ	VYBER	2520	33621	\N	\N	\N
1183282	4055	1995-01-16	VYDAJ	VYBER	2640	37821	\N	\N	\N
1183283	4055	1995-01-16	VYDAJ	VYBER	1680	36141	\N	\N	\N
1183284	4055	1995-01-29	VYDAJ	VYBER	2160	24101	\N	\N	\N
1183285	4055	1996-01-14	VYDAJ	VYBER	1800	51317	\N	\N	\N
1183286	4055	1996-01-19	VYDAJ	VYBER	3360	47957	\N	\N	\N
1183287	4055	1996-01-27	VYDAJ	VYBER	1320	37837	\N	\N	\N
1183288	4055	1996-01-12	VYDAJ	VYBER	600	53117	\N	\N	\N
1183289	4055	1996-01-30	VYDAJ	VYBER	840	36997	\N	\N	\N
1183290	4055	1996-01-04	VYDAJ	VYBER	3360	55656	\N	\N	\N
1183291	4055	1997-01-25	VYDAJ	VYBER	2280	30339	\N	\N	\N
1183292	4055	1997-01-28	VYDAJ	VYBER	960	27579	\N	\N	\N
1183293	4055	1997-01-25	VYDAJ	VYBER	1800	28539	\N	\N	\N
1183294	4055	1997-01-24	VYDAJ	VYBER	2520	32619	\N	\N	\N
1183295	4055	1997-01-22	VYDAJ	VYBER	2520	35139	\N	\N	\N
1183296	4055	1997-01-16	VYDAJ	VYBER	720	46619	\N	\N	\N
1183297	4055	1998-01-13	VYDAJ	VYBER	600	48398	\N	\N	\N
1183298	4055	1998-01-27	VYDAJ	VYBER	1080	45518	\N	\N	\N
1183299	4055	1998-01-09	VYDAJ	VYBER	1200	30957	\N	\N	\N
1183300	4055	1998-01-28	VYDAJ	VYBER	1680	43838	\N	\N	\N
1183301	4055	1998-01-22	VYDAJ	VYBER	840	47558	\N	\N	\N
1183302	4055	1998-01-23	VYDAJ	VYBER	960	46598	\N	\N	\N
1183303	4055	1993-08-10	VYDAJ	VYBER	5160	41180	\N	\N	\N
1183306	4055	1993-10-19	VYDAJ	VYBER	3960	59229	\N	\N	\N
1183307	4055	1994-03-27	VYDAJ	VYBER	2760	37729	\N	\N	\N
1183308	4055	1994-11-13	VYDAJ	VYBER	5640	60019	\N	\N	\N
1183309	4055	1994-05-12	VYDAJ	VYBER	840	60944	\N	\N	\N
1183310	4055	1994-06-17	VYDAJ	VYBER	2520	69522	\N	\N	\N
1183311	4055	1994-12-15	VYDAJ	VYBER	2880	66924	\N	\N	\N
1183312	4055	1995-04-09	VYDAJ	VYBER	4080	23603	\N	\N	\N
1183313	4055	1995-04-08	VYDAJ	VYBER	1560	27683	\N	\N	\N
1183314	4055	1995-07-13	VYDAJ	VYBER	4680	47463	\N	\N	\N
1183315	4055	1995-04-07	VYDAJ	VYBER	4920	29243	\N	\N	\N
1183316	4055	1995-08-18	VYDAJ	VYBER	2400	29265	\N	\N	\N
1183317	4055	1995-05-27	VYDAJ	VYBER	5880	28401	\N	\N	\N
1183318	4055	1996-01-12	VYDAJ	VYBER	1320	53717	\N	\N	\N
1183319	4055	1996-03-15	VYDAJ	VYBER	1680	48725	\N	\N	\N
1183320	4055	1996-03-26	VYDAJ	VYBER	4080	44645	\N	\N	\N
1183321	4055	1997-03-26	VYDAJ	VYBER	840	37177	\N	\N	\N
1183322	4055	1997-04-25	VYDAJ	VYBER	5280	34312	\N	\N	\N
1183323	4055	1997-05-24	VYDAJ	VYBER	5760	28172	\N	\N	\N
1183324	4055	1998-02-04	VYDAJ	VYBER	4200	16879	\N	\N	\N
1183325	4055	1998-06-04	VYDAJ	VYBER	2640	11822	\N	\N	\N
1183326	4055	1998-05-20	VYDAJ	VYBER	2040	34795	\N	\N	\N
1183333	4055	1993-06-30	VYDAJ	VYBER	15	48674	SLUZBY	\N	\N
1183334	4055	1993-07-31	VYDAJ	VYBER	15	46340	SLUZBY	\N	\N
1183335	4055	1993-08-31	VYDAJ	VYBER	15	44758	SLUZBY	\N	\N
1183336	4055	1993-09-30	VYDAJ	VYBER	15	42908	SLUZBY	\N	\N
1183337	4055	1993-10-31	VYDAJ	VYBER	15	44700	SLUZBY	\N	\N
1183338	4055	1993-11-30	VYDAJ	VYBER	15	44652	SLUZBY	\N	\N
1183339	4055	1993-12-31	VYDAJ	VYBER	15	50637	SLUZBY	\N	\N
1183340	4055	1994-01-31	VYDAJ	VYBER	15	27710	SLUZBY	\N	\N
1183341	4055	1994-02-28	VYDAJ	VYBER	15	37708	SLUZBY	\N	\N
1183342	4055	1994-03-31	VYDAJ	VYBER	15	37874	SLUZBY	\N	\N
1183343	4055	1994-04-30	VYDAJ	VYBER	15	41503	SLUZBY	\N	\N
1183344	4055	1994-05-31	VYDAJ	VYBER	15	41621	SLUZBY	\N	\N
1183345	4055	1994-06-30	VYDAJ	VYBER	15	37116	SLUZBY	\N	\N
1183346	4055	1994-07-31	VYDAJ	VYBER	15	41545	SLUZBY	\N	\N
1183347	4055	1994-08-31	VYDAJ	VYBER	15	41283	SLUZBY	\N	\N
1183348	4055	1994-09-30	VYDAJ	VYBER	15	43826	SLUZBY	\N	\N
1183349	4055	1994-10-31	VYDAJ	VYBER	15	45378	SLUZBY	\N	\N
1183350	4055	1994-11-30	VYDAJ	VYBER	15	39383	SLUZBY	\N	\N
1183351	4055	1994-12-31	VYDAJ	VYBER	15	41280	SLUZBY	\N	\N
1183352	4055	1995-01-31	VYDAJ	VYBER	15	22683	SLUZBY	\N	\N
1183353	4055	1995-02-28	VYDAJ	VYBER	15	30662	SLUZBY	\N	\N
1183354	4055	1995-03-31	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
1183355	4055	1995-04-30	VYDAJ	VYBER	15	30800	SLUZBY	\N	\N
1183356	4055	1995-05-31	VYDAJ	VYBER	15	28518	SLUZBY	\N	\N
1183357	4055	1995-06-30	VYDAJ	VYBER	15	31862	SLUZBY	\N	\N
1183358	4055	1995-07-31	VYDAJ	VYBER	15	33684	SLUZBY	\N	\N
1183359	4055	1995-08-31	VYDAJ	VYBER	15	29398	SLUZBY	\N	\N
1183360	4055	1995-09-30	VYDAJ	VYBER	15	44124	SLUZBY	\N	\N
1183361	4055	1995-10-31	VYDAJ	VYBER	15	46579	SLUZBY	\N	\N
1183362	4055	1995-11-30	VYDAJ	VYBER	15	51250	SLUZBY	\N	\N
1183363	4055	1995-12-31	VYDAJ	VYBER	15	59016	SLUZBY	\N	\N
1183364	4055	1996-01-31	VYDAJ	VYBER	15	37181	SLUZBY	\N	\N
1183365	4055	1996-02-29	VYDAJ	VYBER	15	46624	SLUZBY	\N	\N
1183366	4055	1996-03-31	VYDAJ	VYBER	15	44826	SLUZBY	\N	\N
1183367	4055	1996-04-30	VYDAJ	VYBER	15	48888	SLUZBY	\N	\N
1183368	4055	1996-05-31	VYDAJ	VYBER	15	49657	SLUZBY	\N	\N
1183369	4055	1996-06-30	VYDAJ	VYBER	15	33389	SLUZBY	\N	\N
1183370	4055	1996-07-31	VYDAJ	VYBER	15	42316	SLUZBY	\N	\N
1183371	4055	1996-08-31	VYDAJ	VYBER	15	41755	SLUZBY	\N	\N
1183372	4055	1996-09-30	VYDAJ	VYBER	15	41893	SLUZBY	\N	\N
1183373	4055	1996-10-31	VYDAJ	VYBER	15	40928	SLUZBY	\N	\N
1183374	4055	1996-11-30	VYDAJ	VYBER	15	43669	SLUZBY	\N	\N
1183375	4055	1996-12-31	VYDAJ	VYBER	15	52258	SLUZBY	\N	\N
1183376	4055	1997-01-31	VYDAJ	VYBER	15	27742	SLUZBY	\N	\N
1183377	4055	1997-02-28	VYDAJ	VYBER	15	33836	SLUZBY	\N	\N
1183378	4055	1997-03-31	VYDAJ	VYBER	15	37311	SLUZBY	\N	\N
1183379	4055	1997-04-30	VYDAJ	VYBER	15	34451	SLUZBY	\N	\N
1183380	4055	1997-05-31	VYDAJ	VYBER	15	28290	SLUZBY	\N	\N
1183381	4055	1997-06-30	VYDAJ	VYBER	15	30199	SLUZBY	\N	\N
1183382	4055	1997-07-31	VYDAJ	VYBER	15	32193	SLUZBY	\N	\N
1183383	4055	1997-08-31	VYDAJ	VYBER	15	35899	SLUZBY	\N	\N
1183384	4055	1997-09-30	VYDAJ	VYBER	15	19511	SLUZBY	\N	\N
1183385	4055	1997-10-31	VYDAJ	VYBER	15	25131	SLUZBY	\N	\N
1183386	4055	1997-11-30	VYDAJ	VYBER	15	26397	SLUZBY	\N	\N
1183387	4055	1997-12-31	VYDAJ	VYBER	15	32157	SLUZBY	\N	\N
1183388	4055	1998-01-31	VYDAJ	VYBER	15	21079	SLUZBY	\N	\N
1183389	4055	1998-02-28	VYDAJ	VYBER	15	20563	SLUZBY	\N	\N
1183390	4055	1998-03-31	VYDAJ	VYBER	15	20410	SLUZBY	\N	\N
1183391	4055	1998-04-30	VYDAJ	VYBER	15	16554	SLUZBY	\N	\N
1183392	4055	1998-05-31	VYDAJ	VYBER	15	14462	SLUZBY	\N	\N
1183393	4055	1998-06-30	VYDAJ	VYBER	15	6283	SLUZBY	\N	\N
1183394	4055	1998-07-31	VYDAJ	VYBER	15	8771	SLUZBY	\N	\N
1183395	4055	1998-08-31	VYDAJ	VYBER	15	13171	SLUZBY	\N	\N
1183396	4055	1998-09-30	VYDAJ	VYBER	15	16789	SLUZBY	\N	\N
1183397	4055	1998-10-31	VYDAJ	VYBER	15	17219	SLUZBY	\N	\N
1183398	4055	1998-11-30	VYDAJ	VYBER	15	18451	SLUZBY	\N	\N
1183399	4055	1993-02-23	PRIJEM	VKLAD	3100	23581	\N	\N	\N
1183400	4055	1993-03-25	VYDAJ	VYBER	7700	36183	\N	\N	\N
1183401	4055	1993-04-24	VYDAJ	VYBER	16400	40174	\N	\N	\N
1183402	4055	1993-05-24	VYDAJ	VYBER	17200	43410	\N	\N	\N
1183403	4055	1993-06-23	VYDAJ	VYBER	25500	48502	\N	\N	\N
1183404	4055	1993-07-23	VYDAJ	VYBER	22800	46155	\N	\N	\N
1183405	4055	1993-08-22	VYDAJ	VYBER	16900	44561	\N	\N	\N
1183406	4055	1993-09-21	VYDAJ	VYBER	22300	42739	\N	\N	\N
1183407	4055	1993-10-21	VYDAJ	VYBER	14700	44529	\N	\N	\N
1183408	4055	1993-11-20	VYDAJ	VYBER	20500	44481	\N	\N	\N
1183409	4055	1993-12-20	VYDAJ	VYBER	22400	50434	\N	\N	\N
1183410	4055	1994-01-19	VYDAJ	VYBER	15500	46898	\N	\N	\N
1183411	4055	1994-02-18	VYDAJ	VYBER	10400	37591	\N	\N	\N
1183412	4055	1994-03-20	VYDAJ	VYBER	17500	40489	\N	\N	\N
1183413	4055	1994-04-19	VYDAJ	VYBER	16800	41355	\N	\N	\N
1183414	4055	1994-05-19	VYDAJ	VYBER	19500	41444	\N	\N	\N
1183415	4055	1994-06-18	VYDAJ	VYBER	8400	61122	\N	\N	\N
1183416	4055	1994-07-18	VYDAJ	VYBER	16000	41397	\N	\N	\N
1183417	4055	1994-08-17	VYDAJ	VYBER	20700	41126	\N	\N	\N
1183418	4055	1994-09-16	VYDAJ	VYBER	17900	43664	\N	\N	\N
1183419	4055	1994-10-16	VYDAJ	VYBER	18900	45207	\N	\N	\N
1183420	4055	1994-11-15	VYDAJ	VYBER	20800	39219	\N	\N	\N
1183421	4055	1994-12-15	VYDAJ	VYBER	22600	44324	\N	\N	\N
1183422	4055	1995-01-14	VYDAJ	VYBER	19300	40461	\N	\N	\N
1183423	4055	1995-02-13	VYDAJ	VYBER	12400	30564	\N	\N	\N
1183424	4055	1995-03-15	VYDAJ	VYBER	16900	34043	\N	\N	\N
1183425	4055	1995-04-14	VYDAJ	VYBER	13200	30684	\N	\N	\N
1183426	4055	1995-05-14	VYDAJ	VYBER	16800	34281	\N	\N	\N
1183427	4055	1995-06-13	VYDAJ	VYBER	19200	39740	\N	\N	\N
1183428	4055	1995-07-13	VYDAJ	VYBER	13900	33563	\N	\N	\N
1183429	4055	1995-08-12	VYDAJ	VYBER	22300	31665	\N	\N	\N
1183430	4055	1995-09-11	VYDAJ	VYBER	5700	23698	\N	\N	\N
1183431	4055	1995-10-11	VYDAJ	VYBER	18000	26124	\N	\N	\N
1183432	4055	1995-11-10	VYDAJ	VYBER	15800	30779	\N	\N	\N
1183433	4055	1995-12-10	VYDAJ	VYBER	19200	32050	\N	\N	\N
1183434	4055	1996-01-09	VYDAJ	VYBER	20900	34756	\N	\N	\N
1183435	4055	1996-02-08	VYDAJ	VYBER	11000	26181	\N	\N	\N
1183436	4055	1996-03-09	VYDAJ	VYBER	16500	30124	\N	\N	\N
1183437	4055	1996-04-08	VYDAJ	VYBER	16400	28426	\N	\N	\N
1183438	4055	1996-05-08	VYDAJ	VYBER	19700	29188	\N	\N	\N
1183439	4055	1996-06-07	VYDAJ	VYBER	22200	27457	\N	\N	\N
1183440	4055	1996-07-07	VYDAJ	VYBER	11500	21889	\N	\N	\N
1183441	4055	1996-08-06	VYDAJ	VYBER	21000	21316	\N	\N	\N
1183442	4055	1996-09-05	VYDAJ	VYBER	20300	21455	\N	\N	\N
1183443	4055	1996-10-05	VYDAJ	VYBER	21400	20493	\N	\N	\N
1183444	4055	1996-11-04	VYDAJ	VYBER	17700	23228	\N	\N	\N
1183445	4055	1996-12-04	VYDAJ	VYBER	20900	22769	\N	\N	\N
1183446	4055	1997-01-03	VYDAJ	VYBER	25200	27058	\N	\N	\N
1183447	4055	1997-02-02	VYDAJ	VYBER	14300	13442	\N	\N	\N
1183448	4055	1997-03-04	VYDAJ	VYBER	16100	17736	\N	\N	\N
1183449	4055	1997-04-03	VYDAJ	VYBER	18000	19311	\N	\N	\N
1183450	4055	1997-05-03	VYDAJ	VYBER	20800	13651	\N	\N	\N
1183451	4055	1997-06-02	VYDAJ	VYBER	16000	12290	\N	\N	\N
1183452	4055	1997-07-02	VYDAJ	VYBER	18400	11799	\N	\N	\N
1183453	4055	1997-08-01	VYDAJ	VYBER	16700	15493	\N	\N	\N
1183454	4055	1997-08-31	VYDAJ	VYBER	17600	18299	\N	\N	\N
1183455	4055	1997-09-30	VYDAJ	VYBER	19200	19526	\N	\N	\N
1183456	4055	1997-10-30	VYDAJ	VYBER	14800	24992	\N	\N	\N
1183457	4055	1997-11-29	VYDAJ	VYBER	19100	26312	\N	\N	\N
1183458	4055	1997-12-29	VYDAJ	VYBER	21900	32039	\N	\N	\N
1183459	4055	1998-01-28	VYDAJ	VYBER	22900	20938	\N	\N	\N
1183460	4055	1998-02-27	VYDAJ	VYBER	16700	20460	\N	\N	\N
1183461	4055	1998-03-29	VYDAJ	VYBER	20500	20344	\N	\N	\N
1183462	4055	1998-04-28	VYDAJ	VYBER	24200	16491	\N	\N	\N
1183463	4055	1998-05-28	VYDAJ	VYBER	20400	14395	\N	\N	\N
1183464	4055	1998-06-27	VYDAJ	VYBER	16200	6203	\N	\N	\N
1183465	4055	1998-07-27	VYDAJ	VYBER	17800	8764	\N	\N	\N
1183466	4055	1998-08-26	VYDAJ	VYBER	15900	13152	\N	\N	\N
1183467	4055	1998-09-25	VYDAJ	VYBER	16700	16752	\N	\N	\N
1183468	4055	1998-10-25	VYDAJ	VYBER	19900	17170	\N	\N	\N
1183469	4055	1998-11-24	VYDAJ	VYBER	19100	18400	\N	\N	\N
1183470	4055	1998-12-24	VYDAJ	VYBER	21000	27873	\N	\N	\N
1184619	4059	1993-10-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1184843	4059	1993-11-07	PRIJEM	VKLAD	10900	11800	\N	\N	\N
1184844	4059	1993-12-07	PRIJEM	VKLAD	8000	19800	\N	\N	\N
1184845	4059	1994-01-06	PRIJEM	VKLAD	3500	23300	\N	\N	\N
1184846	4059	1994-02-05	PRIJEM	VKLAD	2200	25500	\N	\N	\N
1184847	4059	1994-03-07	VYDAJ	VYBER	1600	23900	\N	\N	\N
1184848	4059	1994-04-06	PRIJEM	VKLAD	700	24600	\N	\N	\N
1184849	4059	1994-05-06	PRIJEM	VKLAD	1200	25800	\N	\N	\N
1184850	4059	1994-06-05	VYDAJ	VYBER	1300	24500	\N	\N	\N
1184851	4059	1994-07-05	PRIJEM	VKLAD	1000	25500	\N	\N	\N
1184852	4059	1994-08-04	VYDAJ	VYBER	1800	23700	\N	\N	\N
1184853	4059	1994-09-03	PRIJEM	VKLAD	200	23900	\N	\N	\N
1184854	4059	1994-10-03	VYDAJ	VYBER	1100	22800	\N	\N	\N
1184855	4059	1994-11-02	PRIJEM	VKLAD	800	23600	\N	\N	\N
1184856	4059	1994-12-02	PRIJEM	VKLAD	600	24200	\N	\N	\N
1184857	4059	1995-01-01	PRIJEM	VKLAD	300	24500	\N	\N	\N
1184858	4059	1995-01-31	VYDAJ	VYBER	2900	21603	\N	\N	\N
1184859	4059	1995-03-02	VYDAJ	VYBER	2600	19003	\N	\N	\N
1184860	4059	1995-04-01	PRIJEM	VKLAD	1400	20493	\N	\N	\N
1184861	4059	1995-05-01	PRIJEM	VKLAD	3300	23883	\N	\N	\N
1184862	4059	1995-05-31	VYDAJ	VYBER	2400	21573	\N	\N	\N
1184863	4059	1995-07-30	VYDAJ	VYBER	2100	19473	\N	\N	\N
1184864	4059	1995-08-29	PRIJEM	VKLAD	500	20063	\N	\N	\N
1184865	4059	1995-09-28	VYDAJ	VYBER	1700	18453	\N	\N	\N
1184866	4059	1995-11-27	VYDAJ	VYBER	2200	16343	\N	\N	\N
1184867	4059	1995-12-27	PRIJEM	VKLAD	4700	21132	\N	\N	\N
1184868	4059	1996-01-26	VYDAJ	VYBER	2100	19122	\N	\N	\N
1184869	4059	1996-02-25	PRIJEM	VKLAD	600	19812	\N	\N	\N
1184870	4059	1996-03-26	VYDAJ	VYBER	100	19802	\N	\N	\N
1184871	4059	1996-04-25	VYDAJ	VYBER	2300	17592	\N	\N	\N
1184872	4059	1996-05-25	PRIJEM	VKLAD	4000	21682	\N	\N	\N
1184873	4059	1996-06-24	PRIJEM	VKLAD	700	22472	\N	\N	\N
1184874	4059	1996-07-24	VYDAJ	VYBER	300	22262	\N	\N	\N
1184875	4059	1996-08-23	VYDAJ	VYBER	1600	20752	\N	\N	\N
1184876	4059	1996-09-22	VYDAJ	VYBER	1400	19441	\N	\N	\N
1184877	4059	1996-10-22	VYDAJ	VYBER	2000	17531	\N	\N	\N
1184878	4059	1996-11-21	VYDAJ	VYBER	3200	14421	\N	\N	\N
1184879	4059	1996-12-21	VYDAJ	VYBER	1800	12711	\N	\N	\N
1184880	4059	1997-01-20	VYDAJ	VYBER	3100	9701	\N	\N	\N
1184881	4059	1997-02-19	VYDAJ	VYBER	900	8891	\N	\N	\N
1184882	4059	1997-03-21	VYDAJ	VYBER	1500	7481	\N	\N	\N
1184883	4059	1997-04-20	PRIJEM	VKLAD	600	8171	\N	\N	\N
1184884	4059	1997-05-20	VYDAJ	VYBER	3800	4460	\N	\N	\N
1184885	4059	1997-06-19	VYDAJ	VYBER	5300	-750	\N	\N	\N
1184886	4059	1997-07-19	VYDAJ	VYBER	1300	-1960	\N	\N	\N
1184887	4059	1997-08-18	PRIJEM	VKLAD	4500	2630	\N	\N	\N
1184888	4059	1997-09-17	VYDAJ	VYBER	2100	620	\N	\N	\N
1184889	4059	1997-10-17	VYDAJ	VYBER	700	10	\N	\N	\N
1184890	4059	1997-11-16	PRIJEM	VKLAD	800	900	\N	\N	\N
1184891	4059	1997-12-16	PRIJEM	VKLAD	3600	4590	\N	\N	\N
1184892	4059	1998-01-15	PRIJEM	VKLAD	900	5579	\N	\N	\N
1184893	4059	1998-02-14	PRIJEM	VKLAD	100	5769	\N	\N	\N
1184894	4059	1998-03-16	VYDAJ	VYBER	1200	4659	\N	\N	\N
1184895	4059	1998-04-15	VYDAJ	VYBER	3700	1049	\N	\N	\N
1184896	4059	1998-05-15	VYDAJ	VYBER	5600	-4461	\N	\N	\N
1184897	4059	1998-06-14	VYDAJ	VYBER	4300	-8671	\N	\N	\N
1184898	4059	1998-07-14	VYDAJ	VYBER	300	-8881	\N	\N	\N
1184899	4059	1998-08-13	PRIJEM	VKLAD	300	-8491	\N	\N	\N
1184900	4059	1998-09-12	VYDAJ	VYBER	2600	-11002	\N	\N	\N
1184901	4059	1998-10-12	VYDAJ	VYBER	1300	-12212	\N	\N	\N
1184902	4059	1998-11-11	VYDAJ	VYBER	100	-12222	\N	\N	\N
1184903	4059	1998-12-11	VYDAJ	VYBER	3300	-15432	\N	\N	\N
1187072	4066	1994-05-24	PRIJEM	VKLAD	400	400	\N	\N	\N
1187078	4066	1994-06-10	PRIJEM	PREVOD Z UCTU	48368	48768	\N	CD	81652229
1187079	4066	1994-07-10	PRIJEM	PREVOD Z UCTU	32245	67953	\N	CD	81652229
1187080	4066	1994-08-10	PRIJEM	PREVOD Z UCTU	32245	80361	\N	CD	81652229
1187081	4066	1994-09-10	PRIJEM	PREVOD Z UCTU	32245	87015	\N	CD	81652229
1187082	4066	1994-10-10	PRIJEM	PREVOD Z UCTU	32245	88289	\N	CD	81652229
1187083	4066	1994-11-10	PRIJEM	PREVOD Z UCTU	32245	80041	\N	CD	81652229
1187084	4066	1994-12-10	PRIJEM	PREVOD Z UCTU	48368	94408	\N	CD	81652229
1187085	4066	1995-01-10	PRIJEM	PREVOD Z UCTU	32245	60560	\N	CD	81652229
1187086	4066	1995-02-10	PRIJEM	PREVOD Z UCTU	32245	45804	\N	CD	81652229
1187087	4066	1995-03-10	PRIJEM	PREVOD Z UCTU	32245	60428	\N	CD	81652229
1187088	4066	1995-04-10	PRIJEM	PREVOD Z UCTU	32245	50595	\N	CD	81652229
1187089	4066	1995-05-10	PRIJEM	PREVOD Z UCTU	32245	55000	\N	CD	81652229
1187090	4066	1995-06-10	PRIJEM	PREVOD Z UCTU	48368	76858	\N	CD	81652229
1187091	4066	1995-07-10	PRIJEM	PREVOD Z UCTU	32245	73660	\N	CD	81652229
1187092	4066	1995-08-10	PRIJEM	PREVOD Z UCTU	32245	69444	\N	CD	81652229
1187093	4066	1995-09-10	PRIJEM	PREVOD Z UCTU	32245	70840	\N	CD	81652229
1187094	4066	1995-10-10	PRIJEM	PREVOD Z UCTU	32245	71840	\N	CD	81652229
1187095	4066	1995-11-10	PRIJEM	PREVOD Z UCTU	32245	56421	\N	CD	81652229
1187096	4066	1995-12-10	PRIJEM	PREVOD Z UCTU	48368	74200	\N	CD	81652229
1187097	4066	1996-01-10	PRIJEM	PREVOD Z UCTU	32245	67195	\N	CD	81652229
1187098	4066	1996-02-10	PRIJEM	PREVOD Z UCTU	32245	51952	\N	CD	81652229
1187099	4066	1996-03-10	PRIJEM	PREVOD Z UCTU	32245	59983	\N	CD	81652229
1187100	4066	1996-04-10	PRIJEM	PREVOD Z UCTU	32245	52729	\N	CD	81652229
1187101	4066	1996-05-10	PRIJEM	PREVOD Z UCTU	32245	53338	\N	CD	81652229
1187102	4066	1996-06-10	PRIJEM	PREVOD Z UCTU	48368	69617	\N	CD	81652229
1187103	4066	1996-07-10	PRIJEM	PREVOD Z UCTU	32245	71024	\N	CD	81652229
1187104	4066	1996-08-10	PRIJEM	PREVOD Z UCTU	32245	58174	\N	CD	81652229
1187105	4066	1996-09-10	PRIJEM	PREVOD Z UCTU	32245	47404	\N	CD	81652229
1187106	4066	1996-10-10	PRIJEM	PREVOD Z UCTU	32245	51700	\N	CD	81652229
1187107	4066	1996-11-10	PRIJEM	PREVOD Z UCTU	32245	47079	\N	CD	81652229
1187108	4066	1996-12-10	PRIJEM	PREVOD Z UCTU	48368	74031	\N	CD	81652229
1187109	4066	1997-01-10	PRIJEM	PREVOD Z UCTU	32245	49780	\N	CD	81652229
1187110	4066	1997-02-10	PRIJEM	PREVOD Z UCTU	32245	44114	\N	CD	81652229
1187111	4066	1997-03-10	PRIJEM	PREVOD Z UCTU	32245	51939	\N	CD	81652229
1187112	4066	1997-04-10	PRIJEM	PREVOD Z UCTU	32245	52207	\N	CD	81652229
1187113	4066	1997-05-10	PRIJEM	PREVOD Z UCTU	32245	51682	\N	CD	81652229
1187114	4066	1997-06-10	PRIJEM	PREVOD Z UCTU	48368	64576	\N	CD	81652229
1187115	4066	1997-07-10	PRIJEM	PREVOD Z UCTU	32245	44001	\N	CD	81652229
1187116	4066	1997-08-10	PRIJEM	PREVOD Z UCTU	32245	49528	\N	CD	81652229
1187117	4066	1997-09-10	PRIJEM	PREVOD Z UCTU	32245	43074	\N	CD	81652229
1187118	4066	1997-10-10	PRIJEM	PREVOD Z UCTU	32245	54398	\N	CD	81652229
1187119	4066	1997-11-10	PRIJEM	PREVOD Z UCTU	32245	56670	\N	CD	81652229
1187120	4066	1997-12-10	PRIJEM	PREVOD Z UCTU	48368	62771	\N	CD	81652229
1187121	4066	1998-01-10	PRIJEM	PREVOD Z UCTU	32245	45826	\N	CD	81652229
1187122	4066	1998-02-10	PRIJEM	PREVOD Z UCTU	32245	48731	\N	CD	81652229
1187123	4066	1998-03-10	PRIJEM	PREVOD Z UCTU	32245	48170	\N	CD	81652229
1187124	4066	1998-04-10	PRIJEM	PREVOD Z UCTU	32245	47828	\N	CD	81652229
1187125	4066	1998-05-10	PRIJEM	PREVOD Z UCTU	32245	42675	\N	CD	81652229
1187126	4066	1998-06-10	PRIJEM	PREVOD Z UCTU	48368	58942	\N	CD	81652229
1187127	4066	1998-07-10	PRIJEM	PREVOD Z UCTU	32245	50116	\N	CD	81652229
1187128	4066	1998-08-10	PRIJEM	PREVOD Z UCTU	32245	56079	\N	CD	81652229
1187129	4066	1998-09-10	PRIJEM	PREVOD Z UCTU	32245	54262	\N	CD	81652229
1187130	4066	1998-10-10	PRIJEM	PREVOD Z UCTU	32245	59623	\N	CD	81652229
1187131	4066	1998-11-10	PRIJEM	PREVOD Z UCTU	32245	57996	\N	CD	81652229
1187132	4066	1998-12-10	PRIJEM	PREVOD Z UCTU	48368	74892	\N	CD	81652229
1187203	4066	1994-11-09	VYDAJ	PREVOD NA UCET	6893	47796	SIPO	CD	35107851
1187204	4066	1994-12-09	VYDAJ	PREVOD NA UCET	6893	46040	SIPO	CD	35107851
1187205	4066	1995-01-09	VYDAJ	PREVOD NA UCET	6893	28315	SIPO	CD	35107851
1187206	4066	1995-02-09	VYDAJ	PREVOD NA UCET	6893	13559	SIPO	CD	35107851
1187207	4066	1995-03-09	VYDAJ	PREVOD NA UCET	6893	28183	SIPO	CD	35107851
1187208	4066	1995-04-09	VYDAJ	PREVOD NA UCET	6893	18350	SIPO	CD	35107851
1187209	4066	1995-05-09	VYDAJ	PREVOD NA UCET	6893	22755	SIPO	CD	35107851
1187210	4066	1995-06-09	VYDAJ	PREVOD NA UCET	6893	28490	SIPO	CD	35107851
1187211	4066	1995-07-09	VYDAJ	PREVOD NA UCET	6893	41415	SIPO	CD	35107851
1187212	4066	1995-08-09	VYDAJ	PREVOD NA UCET	6893	37199	SIPO	CD	35107851
1187213	4066	1995-09-09	VYDAJ	PREVOD NA UCET	6893	38595	SIPO	CD	35107851
1187214	4066	1995-10-09	VYDAJ	PREVOD NA UCET	6893	39595	SIPO	CD	35107851
1187215	4066	1995-11-09	VYDAJ	PREVOD NA UCET	6893	24176	SIPO	CD	35107851
1187216	4066	1995-12-09	VYDAJ	PREVOD NA UCET	6893	25832	SIPO	CD	35107851
1187217	4066	1996-01-09	VYDAJ	PREVOD NA UCET	6893	34950	SIPO	CD	35107851
1187218	4066	1996-02-09	VYDAJ	PREVOD NA UCET	6893	19707	SIPO	CD	35107851
1187219	4066	1996-03-09	VYDAJ	PREVOD NA UCET	6893	27738	SIPO	CD	35107851
1187220	4066	1996-04-09	VYDAJ	PREVOD NA UCET	6893	20484	SIPO	CD	35107851
1187221	4066	1996-05-09	VYDAJ	PREVOD NA UCET	6893	21093	SIPO	CD	35107851
1187222	4066	1996-06-09	VYDAJ	PREVOD NA UCET	6893	21249	SIPO	CD	35107851
1187223	4066	1996-07-09	VYDAJ	PREVOD NA UCET	6893	38779	SIPO	CD	35107851
1187224	4066	1996-08-09	VYDAJ	PREVOD NA UCET	6893	25929	SIPO	CD	35107851
1187225	4066	1996-09-09	VYDAJ	PREVOD NA UCET	6893	15159	SIPO	CD	35107851
1187226	4066	1996-10-09	VYDAJ	PREVOD NA UCET	6893	19455	SIPO	CD	35107851
1187227	4066	1996-11-09	VYDAJ	PREVOD NA UCET	6893	14834	SIPO	CD	35107851
1187228	4066	1996-12-09	VYDAJ	PREVOD NA UCET	6893	25663	SIPO	CD	35107851
1187229	4066	1997-01-09	VYDAJ	PREVOD NA UCET	6893	25035	SIPO	CD	35107851
1187230	4066	1997-02-09	VYDAJ	PREVOD NA UCET	6893	11869	SIPO	CD	35107851
1187231	4066	1997-03-09	VYDAJ	PREVOD NA UCET	6893	30094	SIPO	CD	35107851
1187232	4066	1997-04-09	VYDAJ	PREVOD NA UCET	6893	19962	SIPO	CD	35107851
1187233	4066	1997-05-09	VYDAJ	PREVOD NA UCET	6893	19437	SIPO	CD	35107851
1187234	4066	1997-06-09	VYDAJ	PREVOD NA UCET	6893	16208	SIPO	CD	35107851
1187235	4066	1997-07-09	VYDAJ	PREVOD NA UCET	6893	11756	SIPO	CD	35107851
1187236	4066	1997-08-09	VYDAJ	PREVOD NA UCET	6893	17283	SIPO	CD	35107851
1187237	4066	1997-09-09	VYDAJ	PREVOD NA UCET	6893	10829	SIPO	CD	35107851
1187238	4066	1997-10-09	VYDAJ	PREVOD NA UCET	6893	22153	SIPO	CD	35107851
1187239	4066	1997-11-09	VYDAJ	PREVOD NA UCET	6893	24425	SIPO	CD	35107851
1187240	4066	1997-12-09	VYDAJ	PREVOD NA UCET	6893	14403	SIPO	CD	35107851
1187241	4066	1998-01-09	VYDAJ	PREVOD NA UCET	6893	13581	SIPO	CD	35107851
1187242	4066	1998-02-09	VYDAJ	PREVOD NA UCET	6893	16486	SIPO	CD	35107851
1187243	4066	1998-03-09	VYDAJ	PREVOD NA UCET	6893	15925	SIPO	CD	35107851
1187244	4066	1998-04-09	VYDAJ	PREVOD NA UCET	6893	15583	SIPO	CD	35107851
1187245	4066	1998-05-09	VYDAJ	PREVOD NA UCET	6893	10430	SIPO	CD	35107851
1187246	4066	1998-06-09	VYDAJ	PREVOD NA UCET	6893	10574	SIPO	CD	35107851
1187247	4066	1998-07-09	VYDAJ	PREVOD NA UCET	6893	17871	SIPO	CD	35107851
1187248	4066	1998-08-09	VYDAJ	PREVOD NA UCET	6893	23834	SIPO	CD	35107851
1187249	4066	1998-09-09	VYDAJ	PREVOD NA UCET	6893	22017	SIPO	CD	35107851
1187250	4066	1998-10-09	VYDAJ	PREVOD NA UCET	6893	27378	SIPO	CD	35107851
1187251	4066	1998-11-09	VYDAJ	PREVOD NA UCET	6893	25751	SIPO	CD	35107851
1187252	4066	1998-12-09	VYDAJ	PREVOD NA UCET	6893	26524	SIPO	CD	35107851
1187262	4066	1994-10-12	VYDAJ	PREVOD NA UCET	7246	81043	 	WX	20153117
1187263	4066	1994-11-12	VYDAJ	PREVOD NA UCET	7246	72795	 	WX	20153117
1187264	4066	1994-12-12	VYDAJ	PREVOD NA UCET	7246	87162	 	WX	20153117
1187265	4066	1995-01-12	VYDAJ	PREVOD NA UCET	7246	53314	 	WX	20153117
1187266	4066	1995-02-12	VYDAJ	PREVOD NA UCET	7246	38558	 	WX	20153117
1187267	4066	1995-03-12	VYDAJ	PREVOD NA UCET	7246	53182	 	WX	20153117
1187268	4066	1995-04-12	VYDAJ	PREVOD NA UCET	7246	43349	 	WX	20153117
1187269	4066	1995-05-12	VYDAJ	PREVOD NA UCET	7246	47754	 	WX	20153117
1187270	4066	1995-06-12	VYDAJ	PREVOD NA UCET	7246	69612	 	WX	20153117
1187271	4066	1995-07-12	VYDAJ	PREVOD NA UCET	7246	66414	 	WX	20153117
1187272	4066	1995-08-12	VYDAJ	PREVOD NA UCET	7246	62198	 	WX	20153117
1187273	4066	1995-09-12	VYDAJ	PREVOD NA UCET	7246	63594	 	WX	20153117
1187274	4066	1995-10-12	VYDAJ	PREVOD NA UCET	7246	64594	 	WX	20153117
1187275	4066	1995-11-12	VYDAJ	PREVOD NA UCET	7246	49175	 	WX	20153117
1187276	4066	1995-12-12	VYDAJ	PREVOD NA UCET	7246	66954	 	WX	20153117
1187277	4066	1996-01-12	VYDAJ	PREVOD NA UCET	7246	59949	 	WX	20153117
1187278	4066	1996-02-12	VYDAJ	PREVOD NA UCET	7246	44706	 	WX	20153117
1187279	4066	1996-03-12	VYDAJ	PREVOD NA UCET	7246	52737	 	WX	20153117
1187280	4066	1996-04-12	VYDAJ	PREVOD NA UCET	7246	31083	 	WX	20153117
1187281	4066	1996-05-12	VYDAJ	PREVOD NA UCET	7246	46092	 	WX	20153117
1187282	4066	1996-06-12	VYDAJ	PREVOD NA UCET	7246	62371	 	WX	20153117
1187283	4066	1996-07-12	VYDAJ	PREVOD NA UCET	7246	32637	 	WX	20153117
1187284	4066	1996-08-12	VYDAJ	PREVOD NA UCET	7246	34528	 	WX	20153117
1187285	4066	1996-09-12	VYDAJ	PREVOD NA UCET	7246	26258	 	WX	20153117
1187286	4066	1996-10-12	VYDAJ	PREVOD NA UCET	7246	16559	 	WX	20153117
1187287	4066	1996-11-12	VYDAJ	PREVOD NA UCET	7246	39833	 	WX	20153117
1187288	4066	1996-12-12	VYDAJ	PREVOD NA UCET	7246	66785	 	WX	20153117
1187289	4066	1997-01-12	VYDAJ	PREVOD NA UCET	7246	33734	 	WX	20153117
1187290	4066	1997-02-12	VYDAJ	PREVOD NA UCET	7246	36868	 	WX	20153117
1187291	4066	1997-03-12	VYDAJ	PREVOD NA UCET	7246	44693	 	WX	20153117
1187292	4066	1997-04-12	VYDAJ	PREVOD NA UCET	7246	44961	 	WX	20153117
1187293	4066	1997-05-12	VYDAJ	PREVOD NA UCET	7246	44436	 	WX	20153117
1187294	4066	1997-06-12	VYDAJ	PREVOD NA UCET	7246	57330	 	WX	20153117
1187295	4066	1997-07-12	VYDAJ	PREVOD NA UCET	7246	36755	 	WX	20153117
1187296	4066	1997-08-12	VYDAJ	PREVOD NA UCET	7246	42282	 	WX	20153117
1187297	4066	1997-09-12	VYDAJ	PREVOD NA UCET	7246	35828	 	WX	20153117
1187298	4066	1997-10-12	VYDAJ	PREVOD NA UCET	7246	47152	 	WX	20153117
1187299	4066	1997-11-12	VYDAJ	PREVOD NA UCET	7246	49424	 	WX	20153117
1187300	4066	1997-12-12	VYDAJ	PREVOD NA UCET	7246	47517	 	WX	20153117
1187301	4066	1998-01-12	VYDAJ	PREVOD NA UCET	7246	38580	 	WX	20153117
1187302	4066	1998-02-12	VYDAJ	PREVOD NA UCET	7246	41485	 	WX	20153117
1187303	4066	1998-03-12	VYDAJ	PREVOD NA UCET	7246	40924	 	WX	20153117
1187304	4066	1998-04-12	VYDAJ	PREVOD NA UCET	7246	33013	 	WX	20153117
1187305	4066	1998-05-12	VYDAJ	PREVOD NA UCET	7246	35429	 	WX	20153117
1187306	4066	1998-06-12	VYDAJ	PREVOD NA UCET	7246	51696	 	WX	20153117
1187307	4066	1998-07-12	VYDAJ	PREVOD NA UCET	7246	42870	 	WX	20153117
1187308	4066	1998-08-12	VYDAJ	PREVOD NA UCET	7246	48833	 	WX	20153117
1187309	4066	1998-09-12	VYDAJ	PREVOD NA UCET	7246	47016	 	WX	20153117
1187310	4066	1998-10-12	VYDAJ	PREVOD NA UCET	7246	52377	 	WX	20153117
1187311	4066	1998-11-12	VYDAJ	PREVOD NA UCET	7246	50750	 	WX	20153117
1187312	4066	1998-12-12	VYDAJ	PREVOD NA UCET	7246	67646	 	WX	20153117
1187316	4066	1995-05-19	VYBER	VYBER	3411	39543	\N	\N	\N
1187318	4066	1995-07-17	VYBER	VYBER	10120	56294	\N	\N	\N
1187320	4066	1995-04-18	VYBER	VYBER	12222	31127	\N	\N	\N
1187325	4066	1996-10-11	VYBER	VYBER	12295	23805	\N	\N	\N
1187326	4066	1996-07-12	VYBER	VYBER	23141	47883	\N	\N	\N
1187329	4066	1996-05-30	VYBER	VYBER	9984	28008	\N	\N	\N
1187333	4066	1997-12-11	VYBER	VYBER	8008	54763	\N	\N	\N
1187334	4066	1997-01-04	VYBER	VYBER	2876	59628	\N	\N	\N
1187335	4066	1997-01-10	VYBER	VYBER	8800	40980	\N	\N	\N
1187343	4066	1998-04-10	VYBER	VYBER	7569	40259	\N	\N	\N
1187344	4066	1998-05-22	VYBER	VYBER	6170	29259	\N	\N	\N
1187346	4066	1998-06-17	VYBER	VYBER	10281	41415	\N	\N	\N
1187349	4066	1998-08-22	VYBER	VYBER	2795	46038	\N	\N	\N
1187354	4066	1997-06-13	VYDAJ	VYBER	33000	24330	\N	\N	\N
1187359	4066	1997-01-05	VYDAJ	VYBER	5400	54228	\N	\N	\N
1187360	4066	1998-01-19	VYDAJ	VYBER	7800	23280	\N	\N	\N
1187361	4066	1994-12-19	VYDAJ	VYBER	8700	78462	\N	\N	\N
1187362	4066	1995-12-03	VYDAJ	VYBER	7800	32725	\N	\N	\N
1187363	4066	1996-12-13	VYDAJ	VYBER	4500	62285	\N	\N	\N
1187364	4066	1997-12-15	VYDAJ	VYBER	4800	42717	\N	\N	\N
1187365	4066	1998-12-30	VYDAJ	VYBER	6900	37146	\N	\N	\N
1187372	4066	1995-01-26	VYDAJ	VYBER	6600	20314	\N	\N	\N
1187373	4066	1995-01-15	VYDAJ	VYBER	3300	50014	\N	\N	\N
1187374	4066	1995-01-21	VYDAJ	VYBER	7500	26914	\N	\N	\N
1187375	4066	1995-01-16	VYDAJ	VYBER	5700	44314	\N	\N	\N
1187376	4066	1995-01-07	VYDAJ	VYBER	4500	35208	\N	\N	\N
1187377	4066	1995-01-17	VYDAJ	VYBER	2400	41914	\N	\N	\N
1187378	4066	1996-01-15	VYDAJ	VYBER	4200	36049	\N	\N	\N
1187379	4066	1996-01-27	VYDAJ	VYBER	3000	26449	\N	\N	\N
1187380	4066	1996-01-12	VYDAJ	VYBER	5400	54549	\N	\N	\N
1187381	4066	1996-01-04	VYDAJ	VYBER	4200	41843	\N	\N	\N
1187382	4066	1996-01-01	VYDAJ	VYBER	2400	46043	\N	\N	\N
1187383	4066	1996-01-26	VYDAJ	VYBER	6600	29449	\N	\N	\N
1187386	4066	1997-01-05	VYDAJ	VYBER	8700	45528	\N	\N	\N
1187387	4066	1997-01-09	VYDAJ	VYBER	7500	17535	\N	\N	\N
1187388	4066	1997-01-22	VYDAJ	VYBER	8400	22634	\N	\N	\N
1187389	4066	1997-01-14	VYDAJ	VYBER	2700	31034	\N	\N	\N
1187391	4066	1998-01-16	VYDAJ	VYBER	3900	34680	\N	\N	\N
1187392	4066	1998-01-01	VYDAJ	VYBER	4500	38374	\N	\N	\N
1187393	4066	1998-01-17	VYDAJ	VYBER	3600	31080	\N	\N	\N
1187396	4066	1994-12-29	VYDAJ	VYBER	12900	39462	\N	\N	\N
1187401	4066	1995-04-06	VYDAJ	VYBER	1800	25243	\N	\N	\N
1187402	4066	1995-03-31	VYDAJ	VYBER	6300	27057	\N	\N	\N
1187404	4066	1995-05-15	VYDAJ	VYBER	4800	42954	\N	\N	\N
1187405	4066	1995-10-23	VYDAJ	VYBER	14700	30894	\N	\N	\N
1187406	4066	1995-03-29	VYDAJ	VYBER	6000	33182	\N	\N	\N
1187407	4066	1996-04-10	VYDAJ	VYBER	14400	38329	\N	\N	\N
1187408	4066	1996-03-25	VYDAJ	VYBER	11700	27237	\N	\N	\N
1187409	4066	1996-08-28	VYDAJ	VYBER	12600	21928	\N	\N	\N
1187412	4066	1997-08-24	VYDAJ	VYBER	11100	31182	\N	\N	\N
1187413	4066	1997-05-27	VYDAJ	VYBER	3300	41136	\N	\N	\N
1187414	4066	1997-11-24	VYDAJ	VYBER	13200	36224	\N	\N	\N
1187415	4066	1997-09-01	VYDAJ	VYBER	8100	23222	\N	\N	\N
1187417	4066	1998-04-14	VYDAJ	VYBER	8700	24313	\N	\N	\N
1187418	4066	1998-10-25	VYDAJ	VYBER	11100	41277	\N	\N	\N
1187434	4066	1994-10-31	VYDAJ	VYBER	15	54689	SLUZBY	\N	\N
1187435	4066	1994-11-30	VYDAJ	VYBER	15	52933	SLUZBY	\N	\N
1187436	4066	1994-12-31	VYDAJ	VYBER	15	39708	SLUZBY	\N	\N
1187437	4066	1995-01-31	VYDAJ	VYBER	15	20452	SLUZBY	\N	\N
1187438	4066	1995-02-28	VYDAJ	VYBER	15	35076	SLUZBY	\N	\N
1187439	4066	1995-03-31	VYDAJ	VYBER	15	27043	SLUZBY	\N	\N
1187440	4066	1995-04-30	VYDAJ	VYBER	15	29648	SLUZBY	\N	\N
1187441	4066	1995-05-31	VYDAJ	VYBER	15	35383	SLUZBY	\N	\N
1187442	4066	1995-06-30	VYDAJ	VYBER	15	48308	SLUZBY	\N	\N
1187443	4066	1995-07-31	VYDAJ	VYBER	15	44092	SLUZBY	\N	\N
1187444	4066	1995-08-31	VYDAJ	VYBER	15	45488	SLUZBY	\N	\N
1187445	4066	1995-09-30	VYDAJ	VYBER	15	46488	SLUZBY	\N	\N
1187446	4066	1995-10-31	VYDAJ	VYBER	15	31069	SLUZBY	\N	\N
1187447	4066	1995-11-30	VYDAJ	VYBER	15	40525	SLUZBY	\N	\N
1187448	4066	1995-12-31	VYDAJ	VYBER	15	48443	SLUZBY	\N	\N
1187449	4066	1996-01-31	VYDAJ	VYBER	15	26600	SLUZBY	\N	\N
1187450	4066	1996-02-29	VYDAJ	VYBER	15	34631	SLUZBY	\N	\N
1187451	4066	1996-03-31	VYDAJ	VYBER	15	27377	SLUZBY	\N	\N
1187452	4066	1996-04-30	VYDAJ	VYBER	15	27986	SLUZBY	\N	\N
1187453	4066	1996-05-31	VYDAJ	VYBER	15	28142	SLUZBY	\N	\N
1187454	4066	1996-06-30	VYDAJ	VYBER	15	45672	SLUZBY	\N	\N
1187455	4066	1996-07-31	VYDAJ	VYBER	15	32822	SLUZBY	\N	\N
1187456	4066	1996-08-31	VYDAJ	VYBER	15	22052	SLUZBY	\N	\N
1187457	4066	1996-09-30	VYDAJ	VYBER	15	26348	SLUZBY	\N	\N
1187458	4066	1996-10-31	VYDAJ	VYBER	15	16627	SLUZBY	\N	\N
1187459	4066	1996-11-30	VYDAJ	VYBER	15	39956	SLUZBY	\N	\N
1187460	4066	1996-12-31	VYDAJ	VYBER	15	62504	SLUZBY	\N	\N
1187461	4066	1997-01-31	VYDAJ	VYBER	15	22762	SLUZBY	\N	\N
1187462	4066	1997-02-28	VYDAJ	VYBER	15	36987	SLUZBY	\N	\N
1187463	4066	1997-03-31	VYDAJ	VYBER	15	44855	SLUZBY	\N	\N
1187464	4066	1997-04-30	VYDAJ	VYBER	15	45130	SLUZBY	\N	\N
1187465	4066	1997-05-31	VYDAJ	VYBER	15	41301	SLUZBY	\N	\N
1187466	4066	1997-06-30	VYDAJ	VYBER	15	24449	SLUZBY	\N	\N
1187467	4066	1997-07-31	VYDAJ	VYBER	15	36876	SLUZBY	\N	\N
1187468	4066	1997-08-31	VYDAJ	VYBER	15	31322	SLUZBY	\N	\N
1187469	4066	1997-09-30	VYDAJ	VYBER	15	35946	SLUZBY	\N	\N
1187470	4066	1997-10-31	VYDAJ	VYBER	15	47318	SLUZBY	\N	\N
1187471	4066	1997-11-30	VYDAJ	VYBER	15	36396	SLUZBY	\N	\N
1187472	4066	1997-12-31	VYDAJ	VYBER	15	42874	SLUZBY	\N	\N
1187473	4066	1998-01-31	VYDAJ	VYBER	15	23379	SLUZBY	\N	\N
1187474	4066	1998-02-28	VYDAJ	VYBER	15	41618	SLUZBY	\N	\N
1187475	4066	1998-03-31	VYDAJ	VYBER	15	41076	SLUZBY	\N	\N
1187476	4066	1998-04-30	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
1187477	4066	1998-05-31	VYDAJ	VYBER	15	29367	SLUZBY	\N	\N
1187478	4066	1998-06-30	VYDAJ	VYBER	15	41564	SLUZBY	\N	\N
1187479	4066	1998-07-31	VYDAJ	VYBER	15	43027	SLUZBY	\N	\N
1187480	4066	1998-08-31	VYDAJ	VYBER	15	28910	SLUZBY	\N	\N
1187481	4066	1998-09-30	VYDAJ	VYBER	15	34271	SLUZBY	\N	\N
1187482	4066	1998-10-31	VYDAJ	VYBER	15	32644	SLUZBY	\N	\N
1187483	4066	1998-11-30	VYDAJ	VYBER	15	33417	SLUZBY	\N	\N
1187484	4066	1994-06-23	VYDAJ	VYBER	13100	35668	\N	\N	\N
1187485	4066	1994-07-23	VYDAJ	VYBER	20000	47953	\N	\N	\N
1187486	4066	1994-08-22	VYDAJ	VYBER	25800	54561	\N	\N	\N
1187487	4066	1994-09-21	VYDAJ	VYBER	31200	55815	\N	\N	\N
1187488	4066	1994-10-21	VYDAJ	VYBER	26600	54443	\N	\N	\N
1187489	4066	1994-11-20	VYDAJ	VYBER	20100	52695	\N	\N	\N
1187490	4066	1994-12-20	VYDAJ	VYBER	26100	52362	\N	\N	\N
1187491	4066	1995-01-19	VYDAJ	VYBER	7500	34414	\N	\N	\N
1187492	4066	1995-02-18	VYDAJ	VYBER	3600	34958	\N	\N	\N
1187493	4066	1995-03-20	VYDAJ	VYBER	14000	39182	\N	\N	\N
1187494	4066	1995-04-19	VYDAJ	VYBER	1600	29527	\N	\N	\N
1187495	4066	1995-05-19	VYDAJ	VYBER	4300	35243	\N	\N	\N
1187496	4066	1995-06-18	VYDAJ	VYBER	21500	48112	\N	\N	\N
1187497	4066	1995-07-18	VYDAJ	VYBER	12400	43894	\N	\N	\N
1187498	4066	1995-08-17	VYDAJ	VYBER	16900	45298	\N	\N	\N
1187499	4066	1995-09-16	VYDAJ	VYBER	17300	46294	\N	\N	\N
1187500	4066	1995-10-16	VYDAJ	VYBER	19000	45594	\N	\N	\N
1187501	4066	1995-11-15	VYDAJ	VYBER	8800	40375	\N	\N	\N
1187502	4066	1995-12-15	VYDAJ	VYBER	18700	48254	\N	\N	\N
1187503	4066	1996-01-14	VYDAJ	VYBER	14300	40249	\N	\N	\N
1187504	4066	1996-02-13	VYDAJ	VYBER	10200	34506	\N	\N	\N
1187505	4066	1996-03-14	VYDAJ	VYBER	13800	38937	\N	\N	\N
1187506	4066	1996-04-13	VYDAJ	VYBER	3200	27883	\N	\N	\N
1187507	4066	1996-05-13	VYDAJ	VYBER	8100	37992	\N	\N	\N
1187508	4066	1996-06-12	VYDAJ	VYBER	16900	45471	\N	\N	\N
1187509	4066	1996-07-12	VYDAJ	VYBER	8000	39883	\N	\N	\N
1187510	4066	1996-08-11	VYDAJ	VYBER	16400	41774	\N	\N	\N
1187511	4066	1996-09-10	VYDAJ	VYBER	13900	33504	\N	\N	\N
1187512	4066	1996-10-10	VYDAJ	VYBER	15600	36100	\N	\N	\N
1187513	4066	1996-11-09	PRIJEM	VKLAD	5100	21727	\N	\N	\N
1187514	4066	1996-12-09	VYDAJ	VYBER	7400	32556	\N	\N	\N
1187515	4066	1997-01-08	VYDAJ	VYBER	13600	31928	\N	\N	\N
1187516	4066	1997-02-07	VYDAJ	VYBER	4000	18762	\N	\N	\N
1187517	4066	1997-03-09	VYDAJ	VYBER	10400	19694	\N	\N	\N
1187518	4066	1997-04-08	VYDAJ	VYBER	18000	26855	\N	\N	\N
1187519	4066	1997-05-08	VYDAJ	VYBER	18800	26330	\N	\N	\N
1187520	4066	1997-06-07	VYDAJ	VYBER	18200	23101	\N	\N	\N
1187521	4066	1997-07-07	VYDAJ	VYBER	5800	18649	\N	\N	\N
1187522	4066	1997-08-06	VYDAJ	VYBER	12700	24176	\N	\N	\N
1187523	4066	1997-09-05	VYDAJ	VYBER	5500	17722	\N	\N	\N
1187524	4066	1997-10-05	VYDAJ	VYBER	6900	29046	\N	\N	\N
1187525	4066	1997-11-04	VYDAJ	VYBER	16000	31318	\N	\N	\N
1187526	4066	1997-12-04	VYDAJ	VYBER	15100	21296	\N	\N	\N
1187527	4066	1998-01-03	VYDAJ	VYBER	17900	20474	\N	\N	\N
1187528	4066	1998-03-04	VYDAJ	VYBER	18800	22818	\N	\N	\N
1187529	4066	1998-04-03	VYDAJ	VYBER	18600	22476	\N	\N	\N
1187530	4066	1998-05-03	VYDAJ	VYBER	7100	17323	\N	\N	\N
1187531	4066	1998-06-02	VYDAJ	VYBER	11900	17467	\N	\N	\N
1187532	4066	1998-07-02	VYDAJ	VYBER	16800	24764	\N	\N	\N
1187533	4066	1998-08-01	VYDAJ	VYBER	12300	30727	\N	\N	\N
1187534	4066	1998-08-31	VYDAJ	VYBER	17300	28924	\N	\N	\N
1187535	4066	1998-09-30	VYDAJ	VYBER	12900	34285	\N	\N	\N
1187536	4066	1998-10-30	VYDAJ	VYBER	8800	32477	\N	\N	\N
1187537	4066	1998-11-29	VYDAJ	VYBER	17500	33250	\N	\N	\N
1187538	4066	1998-12-29	VYDAJ	VYBER	23600	44046	\N	\N	\N
1188230	4069	1996-11-17	PRIJEM	VKLAD	700	700	\N	\N	\N
1188242	4069	1996-12-12	PRIJEM	VKLAD	6324	7024	\N	\N	\N
1188243	4069	1997-01-12	PRIJEM	VKLAD	4216	20272	\N	\N	\N
1188244	4069	1997-02-12	PRIJEM	VKLAD	4216	24364	\N	\N	\N
1188245	4069	1997-03-12	PRIJEM	VKLAD	4216	31979	\N	\N	\N
1188246	4069	1997-04-12	PRIJEM	VKLAD	4216	36720	\N	\N	\N
1188247	4069	1997-05-12	PRIJEM	VKLAD	4216	38566	\N	\N	\N
1188248	4069	1997-06-12	PRIJEM	VKLAD	6324	43023	\N	\N	\N
1188249	4069	1997-07-12	PRIJEM	VKLAD	4216	31279	\N	\N	\N
1188250	4069	1997-08-12	PRIJEM	VKLAD	4216	33813	\N	\N	\N
1188251	4069	1997-09-12	PRIJEM	VKLAD	4216	36144	\N	\N	\N
1188252	4069	1997-10-12	PRIJEM	VKLAD	4216	39687	\N	\N	\N
1188253	4069	1997-11-12	PRIJEM	VKLAD	4216	45751	\N	\N	\N
1188254	4069	1997-12-12	PRIJEM	VKLAD	6324	51045	\N	\N	\N
1188255	4069	1998-01-12	PRIJEM	VKLAD	4216	35642	\N	\N	\N
1188256	4069	1998-02-12	PRIJEM	VKLAD	4216	39398	\N	\N	\N
1188257	4069	1998-03-12	PRIJEM	VKLAD	4216	45354	\N	\N	\N
1188258	4069	1998-04-12	PRIJEM	VKLAD	4216	48136	\N	\N	\N
1188259	4069	1998-05-12	PRIJEM	VKLAD	4216	50133	\N	\N	\N
1188260	4069	1998-06-12	PRIJEM	VKLAD	6324	55749	\N	\N	\N
1188261	4069	1998-07-12	PRIJEM	VKLAD	4216	51765	\N	\N	\N
1188262	4069	1998-08-12	PRIJEM	VKLAD	4216	56760	\N	\N	\N
1188263	4069	1998-09-12	PRIJEM	VKLAD	4216	62290	\N	\N	\N
1188264	4069	1998-10-12	PRIJEM	VKLAD	4216	69442	\N	\N	\N
1188265	4069	1998-11-12	PRIJEM	VKLAD	4216	74221	\N	\N	\N
1188266	4069	1998-12-12	PRIJEM	VKLAD	6324	77732	\N	\N	\N
1188268	4069	1997-06-24	VYDAJ	VYBER	6300	34123	\N	\N	\N
1188269	4069	1998-06-29	VYDAJ	VYBER	14500	37249	\N	\N	\N
1188272	4069	1998-01-11	VYDAJ	VYBER	8500	32626	\N	\N	\N
1188274	4069	1997-12-27	VYDAJ	VYBER	2500	40945	\N	\N	\N
1188275	4069	1998-12-29	VYDAJ	VYBER	2300	75432	\N	\N	\N
1188281	4069	1997-04-27	VYDAJ	VYBER	3500	34220	\N	\N	\N
1188282	4069	1997-07-09	VYDAJ	VYBER	4700	27063	\N	\N	\N
1188283	4069	1997-08-16	VYDAJ	VYBER	3900	31813	\N	\N	\N
1188284	4069	1997-07-07	VYDAJ	VYBER	2500	31763	\N	\N	\N
1188285	4069	1997-07-26	VYDAJ	VYBER	2000	29479	\N	\N	\N
1188286	4069	1997-07-20	VYDAJ	VYBER	2500	31479	\N	\N	\N
1188287	4069	1998-08-16	VYDAJ	VYBER	500	56260	\N	\N	\N
1188288	4069	1998-06-03	VYDAJ	VYBER	2100	48225	\N	\N	\N
1188289	4069	1998-09-27	VYDAJ	VYBER	600	61690	\N	\N	\N
1188290	4069	1998-02-11	VYDAJ	VYBER	2900	35182	\N	\N	\N
1188291	4069	1998-01-28	VYDAJ	VYBER	2000	33642	\N	\N	\N
1188292	4069	1998-09-01	VYDAJ	VYBER	3200	53274	\N	\N	\N
1188293	4069	1998-06-23	VYDAJ	VYBER	4000	51749	\N	\N	\N
1188310	4069	1997-04-30	VYDAJ	VYBER	15	34350	SLUZBY	\N	\N
1188311	4069	1997-05-31	VYDAJ	VYBER	15	36699	SLUZBY	\N	\N
1188312	4069	1997-06-30	VYDAJ	VYBER	15	34263	SLUZBY	\N	\N
1188313	4069	1997-07-31	VYDAJ	VYBER	15	29597	SLUZBY	\N	\N
1188314	4069	1997-08-31	VYDAJ	VYBER	15	31928	SLUZBY	\N	\N
1188315	4069	1997-09-30	VYDAJ	VYBER	15	35471	SLUZBY	\N	\N
1188316	4069	1997-10-31	VYDAJ	VYBER	15	41535	SLUZBY	\N	\N
1188317	4069	1997-11-30	VYDAJ	VYBER	15	44721	SLUZBY	\N	\N
1188318	4069	1997-12-31	VYDAJ	VYBER	15	41126	SLUZBY	\N	\N
1188319	4069	1998-01-31	VYDAJ	VYBER	15	33782	SLUZBY	\N	\N
1188320	4069	1998-02-28	VYDAJ	VYBER	15	39538	SLUZBY	\N	\N
1188321	4069	1998-03-31	VYDAJ	VYBER	15	45520	SLUZBY	\N	\N
1188322	4069	1998-04-30	VYDAJ	VYBER	15	48317	SLUZBY	\N	\N
1188323	4069	1998-05-31	VYDAJ	VYBER	15	50325	SLUZBY	\N	\N
1188324	4069	1998-06-30	VYDAJ	VYBER	15	37449	SLUZBY	\N	\N
1188325	4069	1998-07-31	VYDAJ	VYBER	15	51944	SLUZBY	\N	\N
1188326	4069	1998-08-31	VYDAJ	VYBER	15	56474	SLUZBY	\N	\N
1188327	4069	1998-09-30	VYDAJ	VYBER	15	61926	SLUZBY	\N	\N
1188328	4069	1998-10-31	VYDAJ	VYBER	15	69705	SLUZBY	\N	\N
1188329	4069	1998-11-30	VYDAJ	VYBER	15	74508	SLUZBY	\N	\N
1188330	4069	1996-12-17	PRIJEM	VKLAD	9000	16024	\N	\N	\N
1188331	4069	1997-01-16	VYDAJ	VYBER	200	20072	\N	\N	\N
1188332	4069	1997-02-15	PRIJEM	VKLAD	3300	27664	\N	\N	\N
1188333	4069	1997-03-17	PRIJEM	VKLAD	400	32379	\N	\N	\N
1188334	4069	1997-04-16	PRIJEM	VKLAD	1000	37720	\N	\N	\N
1188335	4069	1997-05-16	VYDAJ	VYBER	2000	36566	\N	\N	\N
1188336	4069	1997-06-15	VYDAJ	VYBER	2600	40423	\N	\N	\N
1188337	4069	1997-07-15	PRIJEM	VKLAD	2700	33979	\N	\N	\N
1188338	4069	1997-08-14	PRIJEM	VKLAD	1900	35713	\N	\N	\N
1188339	4069	1997-09-13	VYDAJ	VYBER	800	35344	\N	\N	\N
1188340	4069	1997-10-13	PRIJEM	VKLAD	1700	41387	\N	\N	\N
1188341	4069	1997-11-12	VYDAJ	VYBER	1200	44551	\N	\N	\N
1188342	4069	1997-12-12	VYDAJ	VYBER	7600	43445	\N	\N	\N
1188343	4069	1998-01-11	VYDAJ	VYBER	1200	31426	\N	\N	\N
1188344	4069	1998-02-10	PRIJEM	VKLAD	4300	38082	\N	\N	\N
1188345	4069	1998-03-12	PRIJEM	VKLAD	1600	41138	\N	\N	\N
1188346	4069	1998-04-11	VYDAJ	VYBER	1600	43920	\N	\N	\N
1188347	4069	1998-05-11	VYDAJ	VYBER	2400	45917	\N	\N	\N
1188348	4069	1998-06-10	PRIJEM	VKLAD	1200	49425	\N	\N	\N
1188349	4069	1998-07-10	PRIJEM	VKLAD	10100	47549	\N	\N	\N
1188350	4069	1998-08-09	PRIJEM	VKLAD	600	52544	\N	\N	\N
1188351	4069	1998-09-08	PRIJEM	VKLAD	4800	58074	\N	\N	\N
1188352	4069	1998-10-08	PRIJEM	VKLAD	3300	65226	\N	\N	\N
1188353	4069	1998-11-07	PRIJEM	VKLAD	300	70005	\N	\N	\N
1188354	4069	1998-12-07	VYDAJ	VYBER	3100	71408	\N	\N	\N
1188842	4071	1996-08-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1188850	4071	1996-08-11	PRIJEM	PREVOD Z UCTU	19872	20972	\N	AB	86277645
1188851	4071	1996-09-11	PRIJEM	PREVOD Z UCTU	19872	43603	\N	AB	86277645
1188852	4071	1996-10-11	PRIJEM	PREVOD Z UCTU	19872	57325	\N	AB	86277645
1188853	4071	1996-11-11	PRIJEM	PREVOD Z UCTU	19872	66318	\N	AB	86277645
1188854	4071	1996-12-11	PRIJEM	PREVOD Z UCTU	29808	74890	\N	AB	86277645
1188855	4071	1997-01-11	PRIJEM	PREVOD Z UCTU	19872	38961	\N	AB	86277645
1188856	4071	1997-02-11	PRIJEM	PREVOD Z UCTU	19872	45779	\N	AB	86277645
1188857	4071	1997-03-11	PRIJEM	PREVOD Z UCTU	19872	50397	\N	AB	86277645
1188858	4071	1997-04-11	PRIJEM	PREVOD Z UCTU	19872	44440	\N	AB	86277645
1188859	4071	1997-05-11	PRIJEM	PREVOD Z UCTU	19872	47368	\N	AB	86277645
1188860	4071	1997-06-11	PRIJEM	PREVOD Z UCTU	29808	50752	\N	AB	86277645
1188861	4071	1997-07-11	PRIJEM	PREVOD Z UCTU	19872	40984	\N	AB	86277645
1188862	4071	1997-08-11	PRIJEM	PREVOD Z UCTU	19872	43090	\N	AB	86277645
1188863	4071	1997-09-11	PRIJEM	PREVOD Z UCTU	19872	42117	\N	AB	86277645
1188864	4071	1997-10-11	PRIJEM	PREVOD Z UCTU	19872	34848	\N	AB	86277645
1188865	4071	1997-11-11	PRIJEM	PREVOD Z UCTU	19872	32290	\N	AB	86277645
1188866	4071	1997-12-11	PRIJEM	PREVOD Z UCTU	29808	47587	\N	AB	86277645
1188867	4071	1998-01-11	PRIJEM	PREVOD Z UCTU	19872	40791	\N	AB	86277645
1188868	4071	1998-02-11	PRIJEM	PREVOD Z UCTU	19872	36637	\N	AB	86277645
1188869	4071	1998-03-11	PRIJEM	PREVOD Z UCTU	19872	41114	\N	AB	86277645
1188870	4071	1998-04-11	PRIJEM	PREVOD Z UCTU	19872	36324	\N	AB	86277645
1188871	4071	1998-05-11	PRIJEM	PREVOD Z UCTU	19872	35515	\N	AB	86277645
1188872	4071	1998-06-11	PRIJEM	PREVOD Z UCTU	29808	44038	\N	AB	86277645
1188873	4071	1998-07-11	PRIJEM	PREVOD Z UCTU	19872	41843	\N	AB	86277645
1188874	4071	1998-08-11	PRIJEM	PREVOD Z UCTU	19872	41035	\N	AB	86277645
1188875	4071	1998-09-11	PRIJEM	PREVOD Z UCTU	19872	35145	\N	AB	86277645
1188876	4071	1998-10-11	PRIJEM	PREVOD Z UCTU	19872	41732	\N	AB	86277645
1188877	4071	1998-11-11	PRIJEM	PREVOD Z UCTU	19872	42022	\N	AB	86277645
1188878	4071	1998-12-11	PRIJEM	PREVOD Z UCTU	29808	52550	\N	AB	86277645
1188926	4071	1996-12-11	VYDAJ	PREVOD NA UCET	10272	63118	SIPO	WX	88639789
1188927	4071	1997-01-11	VYDAJ	PREVOD NA UCET	10272	28689	SIPO	WX	88639789
1188928	4071	1997-02-11	VYDAJ	PREVOD NA UCET	10272	35507	SIPO	WX	88639789
1188929	4071	1997-03-11	VYDAJ	PREVOD NA UCET	10272	40125	SIPO	WX	88639789
1188930	4071	1997-04-11	VYDAJ	PREVOD NA UCET	10272	34168	SIPO	WX	88639789
1188931	4071	1997-05-11	VYDAJ	PREVOD NA UCET	10272	37096	SIPO	WX	88639789
1188932	4071	1997-06-11	VYDAJ	PREVOD NA UCET	10272	40480	SIPO	WX	88639789
1188933	4071	1997-07-11	VYDAJ	PREVOD NA UCET	10272	30712	SIPO	WX	88639789
1188934	4071	1997-08-11	VYDAJ	PREVOD NA UCET	10272	32818	SIPO	WX	88639789
1188935	4071	1997-09-11	VYDAJ	PREVOD NA UCET	10272	15518	SIPO	WX	88639789
1188936	4071	1997-10-11	VYDAJ	PREVOD NA UCET	10272	14373	SIPO	WX	88639789
1188937	4071	1997-11-11	VYDAJ	PREVOD NA UCET	10272	22018	SIPO	WX	88639789
1188938	4071	1997-12-11	VYDAJ	PREVOD NA UCET	10272	37315	SIPO	WX	88639789
1188939	4071	1998-01-11	VYDAJ	PREVOD NA UCET	10272	30519	SIPO	WX	88639789
1188940	4071	1998-02-11	VYDAJ	PREVOD NA UCET	10272	26365	SIPO	WX	88639789
1188941	4071	1998-03-11	VYDAJ	PREVOD NA UCET	10272	30842	SIPO	WX	88639789
1188942	4071	1998-04-11	VYDAJ	PREVOD NA UCET	10272	26052	SIPO	WX	88639789
1188943	4071	1998-05-11	VYDAJ	PREVOD NA UCET	10272	25243	SIPO	WX	88639789
1188944	4071	1998-06-11	VYDAJ	PREVOD NA UCET	10272	33766	SIPO	WX	88639789
1188945	4071	1998-07-11	VYDAJ	PREVOD NA UCET	10272	31571	SIPO	WX	88639789
1188946	4071	1998-08-11	VYDAJ	PREVOD NA UCET	10272	30763	SIPO	WX	88639789
1188947	4071	1998-09-11	VYDAJ	PREVOD NA UCET	10272	24873	SIPO	WX	88639789
1188948	4071	1998-10-11	VYDAJ	PREVOD NA UCET	10272	31460	SIPO	WX	88639789
1188949	4071	1998-11-11	VYDAJ	PREVOD NA UCET	10272	31750	SIPO	WX	88639789
1188950	4071	1998-12-11	VYDAJ	PREVOD NA UCET	10272	42278	SIPO	WX	88639789
1188958	4071	1996-12-26	VYBER	VYBER	22676	35342	\N	\N	\N
1188965	4071	1997-10-11	VYBER	VYBER	10203	24645	\N	\N	\N
1188966	4071	1997-09-11	VYBER	VYBER	16327	25790	\N	\N	\N
1188973	4071	1998-08-16	VYBER	VYBER	9063	21700	\N	\N	\N
1188977	4071	1998-01-13	VYBER	VYBER	10028	20491	\N	\N	\N
1188980	4071	1998-12-17	VYBER	VYBER	7737	34541	\N	\N	\N
1188982	4071	1996-12-11	VYDAJ	VYBER	1500	73390	\N	\N	\N
1188983	4071	1997-12-30	VYDAJ	VYBER	6300	20815	\N	\N	\N
1188991	4071	1997-01-04	VYDAJ	VYBER	3900	24789	\N	\N	\N
1188992	4071	1997-01-26	VYDAJ	VYBER	2700	25989	\N	\N	\N
1188993	4071	1997-01-02	VYDAJ	VYBER	3900	28689	\N	\N	\N
1188996	4071	1997-01-05	VYDAJ	VYBER	5700	19089	\N	\N	\N
1189005	4071	1996-12-23	VYDAJ	VYBER	5100	58018	\N	\N	\N
1189009	4071	1997-02-24	VYDAJ	VYBER	1500	34007	\N	\N	\N
1189010	4071	1997-07-03	VYDAJ	VYBER	6600	21112	\N	\N	\N
1189011	4071	1997-06-07	VYDAJ	VYBER	6300	20944	\N	\N	\N
1189015	4071	1997-04-05	VYDAJ	VYBER	10200	24568	\N	\N	\N
1189016	4071	1997-05-29	VYDAJ	VYBER	5400	31696	\N	\N	\N
1189034	4071	1996-12-31	VYDAJ	VYBER	15	35589	SLUZBY	\N	\N
1189035	4071	1997-01-31	VYDAJ	VYBER	15	25907	SLUZBY	\N	\N
1189036	4071	1997-02-28	VYDAJ	VYBER	15	34125	SLUZBY	\N	\N
1189037	4071	1997-03-31	VYDAJ	VYBER	15	40268	SLUZBY	\N	\N
1189038	4071	1997-04-30	VYDAJ	VYBER	15	27496	SLUZBY	\N	\N
1189039	4071	1997-05-31	VYDAJ	VYBER	15	27244	SLUZBY	\N	\N
1189040	4071	1997-06-30	VYDAJ	VYBER	15	27712	SLUZBY	\N	\N
1189041	4071	1997-07-31	VYDAJ	VYBER	15	23218	SLUZBY	\N	\N
1189042	4071	1997-08-31	VYDAJ	VYBER	15	22245	SLUZBY	\N	\N
1189043	4071	1997-09-30	VYDAJ	VYBER	15	14976	SLUZBY	\N	\N
1189044	4071	1997-10-31	VYDAJ	VYBER	15	12418	SLUZBY	\N	\N
1189045	4071	1997-11-30	VYDAJ	VYBER	15	17779	SLUZBY	\N	\N
1189046	4071	1997-12-31	VYDAJ	VYBER	15	20919	SLUZBY	\N	\N
1189047	4071	1998-01-31	VYDAJ	VYBER	15	16765	SLUZBY	\N	\N
1189048	4071	1998-02-28	VYDAJ	VYBER	15	21242	SLUZBY	\N	\N
1189049	4071	1998-03-31	VYDAJ	VYBER	15	16452	SLUZBY	\N	\N
1189050	4071	1998-04-30	VYDAJ	VYBER	15	15643	SLUZBY	\N	\N
1189051	4071	1998-05-31	VYDAJ	VYBER	15	14230	SLUZBY	\N	\N
1189052	4071	1998-06-30	VYDAJ	VYBER	15	21971	SLUZBY	\N	\N
1189053	4071	1998-07-31	VYDAJ	VYBER	15	21163	SLUZBY	\N	\N
1189054	4071	1998-08-31	VYDAJ	VYBER	15	15273	SLUZBY	\N	\N
1189055	4071	1998-09-30	VYDAJ	VYBER	15	21860	SLUZBY	\N	\N
1189056	4071	1998-10-31	VYDAJ	VYBER	15	22150	SLUZBY	\N	\N
1189057	4071	1998-11-30	VYDAJ	VYBER	15	22742	SLUZBY	\N	\N
1189058	4071	1996-09-02	PRIJEM	VKLAD	2700	23731	\N	\N	\N
1189059	4071	1996-10-02	VYDAJ	VYBER	6300	37453	\N	\N	\N
1189060	4071	1996-11-01	VYDAJ	VYBER	11100	46446	\N	\N	\N
1189061	4071	1996-12-01	VYDAJ	VYBER	21500	45082	\N	\N	\N
1189062	4071	1996-12-31	VYDAJ	VYBER	3000	32589	\N	\N	\N
1189063	4071	1997-01-30	VYDAJ	VYBER	200	25789	\N	\N	\N
1189064	4071	1997-03-01	VYDAJ	VYBER	3600	30525	\N	\N	\N
1189065	4071	1997-03-31	VYDAJ	VYBER	5500	34768	\N	\N	\N
1189066	4071	1997-04-30	VYDAJ	VYBER	6800	27510	\N	\N	\N
1189067	4071	1997-05-30	VYDAJ	VYBER	4600	27096	\N	\N	\N
1189068	4071	1997-06-29	VYDAJ	VYBER	12900	27580	\N	\N	\N
1189069	4071	1997-07-29	VYDAJ	VYBER	7600	23112	\N	\N	\N
1189070	4071	1997-08-28	VYDAJ	VYBER	10700	22118	\N	\N	\N
1189071	4071	1997-09-27	VYDAJ	VYBER	600	14918	\N	\N	\N
1189072	4071	1997-10-27	VYDAJ	VYBER	2000	12373	\N	\N	\N
1189073	4071	1997-11-26	VYDAJ	VYBER	4300	17718	\N	\N	\N
1189074	4071	1997-12-26	VYDAJ	VYBER	10200	27115	\N	\N	\N
1189075	4071	1998-01-25	VYDAJ	VYBER	3800	16691	\N	\N	\N
1189076	4071	1998-02-24	VYDAJ	VYBER	5200	21165	\N	\N	\N
1189077	4071	1998-03-26	VYDAJ	VYBER	14500	16342	\N	\N	\N
1189078	4071	1998-04-25	VYDAJ	VYBER	10500	15552	\N	\N	\N
1189079	4071	1998-05-25	VYDAJ	VYBER	11100	14143	\N	\N	\N
1189080	4071	1998-06-24	VYDAJ	VYBER	11900	21866	\N	\N	\N
1189081	4071	1998-07-24	VYDAJ	VYBER	10500	21071	\N	\N	\N
1189082	4071	1998-08-23	VYDAJ	VYBER	6500	15200	\N	\N	\N
1189083	4071	1998-09-22	VYDAJ	VYBER	3100	21773	\N	\N	\N
1189084	4071	1998-10-22	VYDAJ	VYBER	9400	22060	\N	\N	\N
1189085	4071	1998-11-21	VYDAJ	VYBER	9100	22650	\N	\N	\N
1190752	4078	1993-01-30	PRIJEM	VKLAD	300	300	\N	\N	\N
1190754	4078	1993-02-11	PRIJEM	VKLAD	23736	24036	\N	\N	\N
1190755	4078	1993-03-11	PRIJEM	VKLAD	23736	50272	\N	\N	\N
1190756	4078	1993-04-11	PRIJEM	VKLAD	23736	61448	\N	\N	\N
1190757	4078	1993-05-11	PRIJEM	VKLAD	23736	64542	\N	\N	\N
1190758	4078	1993-06-11	PRIJEM	VKLAD	35604	81017	\N	\N	\N
1190759	4078	1993-07-11	PRIJEM	VKLAD	23736	78229	\N	\N	\N
1190760	4078	1993-08-11	PRIJEM	VKLAD	23736	75977	\N	\N	\N
1190761	4078	1993-09-11	PRIJEM	VKLAD	23736	74215	\N	\N	\N
1190762	4078	1993-10-11	PRIJEM	VKLAD	23736	74847	\N	\N	\N
1190763	4078	1993-11-11	PRIJEM	VKLAD	23736	68202	\N	\N	\N
1190764	4078	1993-12-11	PRIJEM	VKLAD	35604	81177	\N	\N	\N
1190765	4078	1994-01-11	PRIJEM	VKLAD	23736	69395	\N	\N	\N
1190766	4078	1994-02-11	PRIJEM	VKLAD	23736	70263	\N	\N	\N
1190767	4078	1994-03-11	PRIJEM	VKLAD	23736	74281	\N	\N	\N
1190768	4078	1994-04-11	PRIJEM	VKLAD	23736	74513	\N	\N	\N
1190769	4078	1994-05-11	PRIJEM	VKLAD	23736	73245	\N	\N	\N
1190770	4078	1994-06-11	PRIJEM	VKLAD	35604	86889	\N	\N	\N
1190771	4078	1994-07-11	PRIJEM	VKLAD	23736	54733	\N	\N	\N
1190772	4078	1994-08-11	PRIJEM	VKLAD	23736	64838	\N	\N	\N
1190773	4078	1994-09-11	PRIJEM	VKLAD	23736	68034	\N	\N	\N
1190774	4078	1994-10-11	PRIJEM	VKLAD	23736	68841	\N	\N	\N
1190775	4078	1994-11-11	PRIJEM	VKLAD	23736	70251	\N	\N	\N
1190776	4078	1994-12-11	PRIJEM	VKLAD	35604	84036	\N	\N	\N
1190777	4078	1995-01-11	PRIJEM	VKLAD	23736	71083	\N	\N	\N
1190778	4078	1995-02-11	PRIJEM	VKLAD	23736	64295	\N	\N	\N
1190779	4078	1995-03-11	PRIJEM	VKLAD	23736	68422	\N	\N	\N
1190780	4078	1995-04-11	PRIJEM	VKLAD	23736	72134	\N	\N	\N
1190781	4078	1995-05-11	PRIJEM	VKLAD	23736	71255	\N	\N	\N
1190782	4078	1995-06-11	PRIJEM	VKLAD	35604	72138	\N	\N	\N
1190783	4078	1995-07-11	PRIJEM	VKLAD	23736	73280	\N	\N	\N
1190784	4078	1995-08-11	PRIJEM	VKLAD	23736	74308	\N	\N	\N
1190785	4078	1995-09-11	PRIJEM	VKLAD	23736	76150	\N	\N	\N
1190786	4078	1995-10-11	PRIJEM	VKLAD	23736	78393	\N	\N	\N
1190787	4078	1995-11-11	PRIJEM	VKLAD	23736	72229	\N	\N	\N
1190788	4078	1995-12-11	PRIJEM	VKLAD	35604	87726	\N	\N	\N
1190789	4078	1996-01-11	PRIJEM	VKLAD	23736	79382	\N	\N	\N
1190790	4078	1996-02-11	PRIJEM	VKLAD	23736	70215	\N	\N	\N
1190791	4078	1996-03-11	PRIJEM	VKLAD	23736	71230	\N	\N	\N
1190792	4078	1996-04-11	PRIJEM	VKLAD	23736	71748	\N	\N	\N
1190793	4078	1996-05-11	PRIJEM	VKLAD	23736	71967	\N	\N	\N
1190794	4078	1996-06-11	PRIJEM	VKLAD	35604	87566	\N	\N	\N
1190795	4078	1996-07-11	PRIJEM	VKLAD	23736	63105	\N	\N	\N
1190796	4078	1996-08-11	PRIJEM	VKLAD	23736	70619	\N	\N	\N
1190797	4078	1996-09-11	PRIJEM	VKLAD	23736	73954	\N	\N	\N
1190798	4078	1996-10-11	PRIJEM	VKLAD	23736	74588	\N	\N	\N
1190799	4078	1996-11-11	PRIJEM	VKLAD	23736	61755	\N	\N	\N
1190800	4078	1996-12-11	PRIJEM	VKLAD	35604	83281	\N	\N	\N
1190801	4078	1997-01-11	PRIJEM	VKLAD	23736	78116	\N	\N	\N
1190802	4078	1997-02-11	PRIJEM	VKLAD	23736	75858	\N	\N	\N
1190803	4078	1997-03-11	PRIJEM	VKLAD	23736	78288	\N	\N	\N
1190804	4078	1997-04-11	PRIJEM	VKLAD	23736	80729	\N	\N	\N
1190805	4078	1997-05-11	PRIJEM	VKLAD	23736	80174	\N	\N	\N
1190806	4078	1997-06-11	PRIJEM	VKLAD	35604	92995	\N	\N	\N
1190807	4078	1997-07-11	PRIJEM	VKLAD	23736	75039	\N	\N	\N
1190808	4078	1997-08-11	PRIJEM	VKLAD	23736	82658	\N	\N	\N
1190809	4078	1997-09-11	PRIJEM	VKLAD	23736	87202	\N	\N	\N
1190810	4078	1997-10-11	PRIJEM	VKLAD	23736	90272	\N	\N	\N
1190811	4078	1997-11-11	PRIJEM	VKLAD	23736	92661	\N	\N	\N
1190812	4078	1997-12-11	PRIJEM	VKLAD	35604	106725	\N	\N	\N
1190813	4078	1998-01-11	PRIJEM	VKLAD	23736	87260	\N	\N	\N
1190814	4078	1998-02-11	PRIJEM	VKLAD	23736	94953	\N	\N	\N
1190815	4078	1998-03-11	PRIJEM	VKLAD	23736	97549	\N	\N	\N
1190816	4078	1998-04-11	PRIJEM	VKLAD	23736	97966	\N	\N	\N
1190817	4078	1998-05-11	PRIJEM	VKLAD	23736	95189	\N	\N	\N
1190818	4078	1998-06-11	PRIJEM	VKLAD	35604	112673	\N	\N	\N
1190819	4078	1998-07-11	PRIJEM	VKLAD	23736	95921	\N	\N	\N
1190820	4078	1998-08-11	PRIJEM	VKLAD	23736	100635	\N	\N	\N
1190821	4078	1998-09-11	PRIJEM	VKLAD	23736	106563	\N	\N	\N
1190822	4078	1998-10-11	PRIJEM	VKLAD	23736	108505	\N	\N	\N
1190823	4078	1998-11-11	PRIJEM	VKLAD	23736	107161	\N	\N	\N
1190824	4078	1998-12-11	PRIJEM	VKLAD	35604	117994	\N	\N	\N
1190826	4078	1994-06-27	VYDAJ	VYBER	20000	33389	\N	\N	\N
1190827	4078	1995-06-09	VYDAJ	VYBER	6300	36534	\N	\N	\N
1190828	4078	1996-06-22	VYDAJ	VYBER	19000	39166	\N	\N	\N
1190829	4078	1997-06-20	VYDAJ	VYBER	21300	66895	\N	\N	\N
1190830	4078	1998-06-26	VYDAJ	VYBER	17500	95173	\N	\N	\N
1190832	4078	1994-01-02	VYDAJ	VYBER	8200	45659	\N	\N	\N
1190833	4078	1995-01-22	VYDAJ	VYBER	5100	42583	\N	\N	\N
1190834	4078	1996-01-19	VYDAJ	VYBER	6000	46282	\N	\N	\N
1190835	4078	1997-01-22	VYDAJ	VYBER	5200	72916	\N	\N	\N
1190836	4078	1998-01-09	VYDAJ	VYBER	8500	68424	\N	\N	\N
1190837	4078	1993-12-28	VYDAJ	VYBER	900	53677	\N	\N	\N
1190838	4078	1994-12-16	VYDAJ	VYBER KARTOU	2900	81136	\N	\N	0
1190839	4078	1995-12-27	VYDAJ	VYBER KARTOU	2300	55426	\N	\N	0
1190840	4078	1996-12-25	VYDAJ	VYBER KARTOU	1400	81881	\N	\N	0
1190841	4078	1997-12-12	VYDAJ	VYBER KARTOU	1900	104825	\N	\N	0
1190842	4078	1998-12-19	VYDAJ	VYBER KARTOU	900	117094	\N	\N	0
1190843	4078	1993-10-22	VYDAJ	VYBER	3000	68347	\N	\N	\N
1190844	4078	1993-10-17	VYDAJ	VYBER	3500	71347	\N	\N	\N
1190849	4078	1994-12-29	VYDAJ	VYBER KARTOU	1200	47136	\N	\N	0
1190850	4078	1994-05-10	VYDAJ	VYBER KARTOU	1600	49509	\N	\N	0
1190851	4078	1994-07-07	VYDAJ	VYBER KARTOU	2600	30997	\N	\N	0
1190852	4078	1994-06-20	VYDAJ	VYBER KARTOU	3700	83189	\N	\N	0
1190853	4078	1994-12-28	VYDAJ	VYBER KARTOU	3400	48336	\N	\N	0
1190854	4078	1995-05-28	VYDAJ	VYBER	4200	42655	\N	\N	\N
1190855	4078	1995-04-23	VYDAJ	VYBER KARTOU	2200	47334	\N	\N	0
1190856	4078	1995-12-14	VYDAJ	VYBER KARTOU	3800	83926	\N	\N	0
1190857	4078	1995-10-20	VYDAJ	VYBER KARTOU	4000	48293	\N	\N	0
1190858	4078	1995-02-01	VYDAJ	VYBER KARTOU	2200	40559	\N	\N	0
1190859	4078	1995-08-15	VYDAJ	VYBER KARTOU	3400	70908	\N	\N	0
1190860	4078	1996-10-23	VYDAJ	VYBER KARTOU	2000	49188	\N	\N	0
1190861	4078	1996-08-04	VYDAJ	VYBER	4900	46883	\N	\N	\N
1190862	4078	1996-06-03	VYDAJ	VYBER KARTOU	900	51962	\N	\N	0
1190863	4078	1996-09-20	VYDAJ	VYBER KARTOU	4000	50654	\N	\N	0
1190864	4078	1996-08-25	VYDAJ	VYBER KARTOU	1800	50019	\N	\N	0
1190865	4078	1997-11-14	VYDAJ	VYBER KARTOU	1500	91161	\N	\N	0
1190866	4078	1997-08-17	VYDAJ	VYBER KARTOU	3600	79058	\N	\N	0
1190867	4078	1997-06-15	VYDAJ	VYBER	4800	88195	\N	\N	\N
1190868	4078	1997-04-07	VYDAJ	VYBER KARTOU	2200	76393	\N	\N	0
1190869	4078	1998-01-10	VYDAJ	VYBER	4900	63524	\N	\N	\N
1190870	4078	1998-02-16	VYDAJ	VYBER KARTOU	2000	92953	\N	\N	0
1190871	4078	1998-12-01	VYDAJ	VYBER KARTOU	3500	82390	\N	\N	0
1190872	4078	1998-09-14	VYDAJ	VYBER KARTOU	3200	103363	\N	\N	0
1190879	4078	1993-06-30	VYDAJ	VYBER	15	54493	SLUZBY	\N	\N
1190880	4078	1993-07-31	VYDAJ	VYBER	15	52241	SLUZBY	\N	\N
1190881	4078	1993-08-31	VYDAJ	VYBER	15	50479	SLUZBY	\N	\N
1190882	4078	1993-09-30	VYDAJ	VYBER	15	51111	SLUZBY	\N	\N
1190883	4078	1993-10-31	VYDAJ	VYBER	15	44466	SLUZBY	\N	\N
1190884	4078	1993-11-30	VYDAJ	VYBER	15	45573	SLUZBY	\N	\N
1190885	4078	1993-12-31	VYDAJ	VYBER	15	53859	SLUZBY	\N	\N
1190886	4078	1994-01-31	VYDAJ	VYBER	15	46527	SLUZBY	\N	\N
1190887	4078	1994-02-28	VYDAJ	VYBER	15	50545	SLUZBY	\N	\N
1190888	4078	1994-03-31	VYDAJ	VYBER	15	50777	SLUZBY	\N	\N
1190889	4078	1994-04-30	VYDAJ	VYBER	15	51109	SLUZBY	\N	\N
1190890	4078	1994-05-31	VYDAJ	VYBER	15	51285	SLUZBY	\N	\N
1190891	4078	1994-06-30	VYDAJ	VYBER	15	33597	SLUZBY	\N	\N
1190892	4078	1994-07-31	VYDAJ	VYBER	15	41102	SLUZBY	\N	\N
1190893	4078	1994-08-31	VYDAJ	VYBER	15	44298	SLUZBY	\N	\N
1190894	4078	1994-09-30	VYDAJ	VYBER	15	45105	SLUZBY	\N	\N
1190895	4078	1994-10-31	VYDAJ	VYBER	15	46515	SLUZBY	\N	\N
1190896	4078	1994-11-30	VYDAJ	VYBER	15	48432	SLUZBY	\N	\N
1190897	4078	1994-12-31	VYDAJ	VYBER	15	47347	SLUZBY	\N	\N
1190898	4078	1995-01-31	VYDAJ	VYBER	15	42759	SLUZBY	\N	\N
1190899	4078	1995-02-28	VYDAJ	VYBER	15	44686	SLUZBY	\N	\N
1190900	4078	1995-03-31	VYDAJ	VYBER	15	48398	SLUZBY	\N	\N
1190901	4078	1995-04-30	VYDAJ	VYBER	15	47519	SLUZBY	\N	\N
1190902	4078	1995-05-31	VYDAJ	VYBER	15	42834	SLUZBY	\N	\N
1190903	4078	1995-06-30	VYDAJ	VYBER	15	49544	SLUZBY	\N	\N
1190904	4078	1995-07-31	VYDAJ	VYBER	15	50572	SLUZBY	\N	\N
1190905	4078	1995-08-31	VYDAJ	VYBER	15	52414	SLUZBY	\N	\N
1190906	4078	1995-09-30	VYDAJ	VYBER	15	54657	SLUZBY	\N	\N
1190907	4078	1995-10-31	VYDAJ	VYBER	15	48493	SLUZBY	\N	\N
1190908	4078	1995-11-30	VYDAJ	VYBER	15	52122	SLUZBY	\N	\N
1190909	4078	1995-12-31	VYDAJ	VYBER	15	55646	SLUZBY	\N	\N
1190910	4078	1996-01-31	VYDAJ	VYBER	15	46479	SLUZBY	\N	\N
1190911	4078	1996-02-29	VYDAJ	VYBER	15	47494	SLUZBY	\N	\N
1190912	4078	1996-03-31	VYDAJ	VYBER	15	48012	SLUZBY	\N	\N
1190913	4078	1996-04-30	VYDAJ	VYBER	15	48231	SLUZBY	\N	\N
1190914	4078	1996-05-31	VYDAJ	VYBER	15	52862	SLUZBY	\N	\N
1190915	4078	1996-06-30	VYDAJ	VYBER	15	39369	SLUZBY	\N	\N
1190916	4078	1996-07-31	VYDAJ	VYBER	15	51783	SLUZBY	\N	\N
1190917	4078	1996-08-31	VYDAJ	VYBER	15	50218	SLUZBY	\N	\N
1190918	4078	1996-09-30	VYDAJ	VYBER	15	50852	SLUZBY	\N	\N
1190919	4078	1996-10-31	VYDAJ	VYBER	15	49419	SLUZBY	\N	\N
1190920	4078	1996-11-30	VYDAJ	VYBER	15	61977	SLUZBY	\N	\N
1190921	4078	1996-12-31	VYDAJ	VYBER	15	82180	SLUZBY	\N	\N
1190922	4078	1997-01-31	VYDAJ	VYBER	15	73222	SLUZBY	\N	\N
1190923	4078	1997-02-28	VYDAJ	VYBER	15	76152	SLUZBY	\N	\N
1190924	4078	1997-03-31	VYDAJ	VYBER	15	78593	SLUZBY	\N	\N
1190925	4078	1997-04-30	VYDAJ	VYBER	15	81038	SLUZBY	\N	\N
1190926	4078	1997-05-31	VYDAJ	VYBER	15	80491	SLUZBY	\N	\N
1190927	4078	1997-06-30	VYDAJ	VYBER	15	67203	SLUZBY	\N	\N
1190928	4078	1997-07-31	VYDAJ	VYBER	15	75322	SLUZBY	\N	\N
1190929	4078	1997-08-31	VYDAJ	VYBER	15	79366	SLUZBY	\N	\N
1190930	4078	1997-09-30	VYDAJ	VYBER	15	87536	SLUZBY	\N	\N
1190931	4078	1997-10-31	VYDAJ	VYBER	15	90625	SLUZBY	\N	\N
1190932	4078	1997-11-30	VYDAJ	VYBER	15	91521	SLUZBY	\N	\N
1190933	4078	1997-12-31	VYDAJ	VYBER	15	105224	SLUZBY	\N	\N
1190934	4078	1998-01-31	VYDAJ	VYBER	15	87617	SLUZBY	\N	\N
1190935	4078	1998-02-28	VYDAJ	VYBER	15	93313	SLUZBY	\N	\N
1190936	4078	1998-03-31	VYDAJ	VYBER	15	97930	SLUZBY	\N	\N
1190937	4078	1998-04-30	VYDAJ	VYBER	15	98353	SLUZBY	\N	\N
1190938	4078	1998-05-31	VYDAJ	VYBER	15	95569	SLUZBY	\N	\N
1190939	4078	1998-06-30	VYDAJ	VYBER	15	95585	SLUZBY	\N	\N
1190940	4078	1998-07-31	VYDAJ	VYBER	15	96299	SLUZBY	\N	\N
1190941	4078	1998-08-31	VYDAJ	VYBER	15	101027	SLUZBY	\N	\N
1190942	4078	1998-09-30	VYDAJ	VYBER	15	103769	SLUZBY	\N	\N
1190943	4078	1998-10-31	VYDAJ	VYBER	15	108925	SLUZBY	\N	\N
1190944	4078	1998-11-30	VYDAJ	VYBER	15	107490	SLUZBY	\N	\N
1190945	4078	1993-03-01	PRIJEM	VKLAD	2500	26536	\N	\N	\N
1190946	4078	1993-03-31	VYDAJ	VYBER	12700	37712	\N	\N	\N
1190947	4078	1993-04-30	VYDAJ	VYBER	20800	40806	\N	\N	\N
1190948	4078	1993-05-30	VYDAJ	VYBER	19300	45242	\N	\N	\N
1190949	4078	1993-06-29	VYDAJ	VYBER	26700	54317	\N	\N	\N
1190950	4078	1993-07-29	VYDAJ	VYBER	26200	52029	\N	\N	\N
1190951	4078	1993-08-28	VYDAJ	VYBER	25700	50277	\N	\N	\N
1190952	4078	1993-09-27	VYDAJ	VYBER	23300	50915	\N	\N	\N
1190953	4078	1993-10-27	VYDAJ	VYBER	24100	44247	\N	\N	\N
1190954	4078	1993-11-26	VYDAJ	VYBER	22800	45402	\N	\N	\N
1190955	4078	1993-12-26	VYDAJ	VYBER	26600	54577	\N	\N	\N
1190956	4078	1994-01-25	VYDAJ	VYBER	23100	46295	\N	\N	\N
1190957	4078	1994-02-24	VYDAJ	VYBER	19900	50363	\N	\N	\N
1190958	4078	1994-03-26	VYDAJ	VYBER	23700	50581	\N	\N	\N
1190959	4078	1994-04-25	VYDAJ	VYBER	23600	50913	\N	\N	\N
1190960	4078	1994-05-25	VYDAJ	VYBER	22200	51045	\N	\N	\N
1190961	4078	1994-06-24	VYDAJ	VYBER	29800	53389	\N	\N	\N
1190962	4078	1994-07-24	VYDAJ	VYBER	13800	40933	\N	\N	\N
1190963	4078	1994-08-23	VYDAJ	VYBER	20700	44138	\N	\N	\N
1190964	4078	1994-09-22	VYDAJ	VYBER	23100	44934	\N	\N	\N
1190965	4078	1994-10-22	VYDAJ	VYBER	22500	46341	\N	\N	\N
1190966	4078	1994-11-21	VYDAJ	VYBER	22000	48251	\N	\N	\N
1190967	4078	1994-12-21	VYDAJ	VYBER	29400	51736	\N	\N	\N
1190968	4078	1995-01-20	VYDAJ	VYBER	23400	47683	\N	\N	\N
1190969	4078	1995-02-19	VYDAJ	VYBER	19800	44495	\N	\N	\N
1190970	4078	1995-03-21	VYDAJ	VYBER	20200	48222	\N	\N	\N
1190971	4078	1995-04-20	VYDAJ	VYBER	22600	49534	\N	\N	\N
1190972	4078	1995-05-20	VYDAJ	VYBER	24400	46855	\N	\N	\N
1190973	4078	1995-06-19	VYDAJ	VYBER	22800	49338	\N	\N	\N
1190974	4078	1995-07-19	VYDAJ	VYBER	22900	50380	\N	\N	\N
1190975	4078	1995-08-18	VYDAJ	VYBER	18700	52208	\N	\N	\N
1190976	4078	1995-09-17	VYDAJ	VYBER	21700	54450	\N	\N	\N
1190977	4078	1995-10-17	VYDAJ	VYBER	26100	52293	\N	\N	\N
1190978	4078	1995-11-16	VYDAJ	VYBER	20300	51929	\N	\N	\N
1190979	4078	1995-12-16	VYDAJ	VYBER	26200	57726	\N	\N	\N
1190980	4078	1996-01-15	VYDAJ	VYBER	27100	52282	\N	\N	\N
1190981	4078	1996-02-14	VYDAJ	VYBER	22900	47315	\N	\N	\N
1190982	4078	1996-03-15	VYDAJ	VYBER	23400	47830	\N	\N	\N
1190983	4078	1996-04-14	VYDAJ	VYBER	23700	48048	\N	\N	\N
1190984	4078	1996-05-14	VYDAJ	VYBER	19300	52667	\N	\N	\N
1190985	4078	1996-06-13	VYDAJ	VYBER	29400	58166	\N	\N	\N
1190986	4078	1996-07-13	VYDAJ	VYBER	11500	51605	\N	\N	\N
1190987	4078	1996-08-12	VYDAJ	VYBER	18800	51819	\N	\N	\N
1190988	4078	1996-09-11	VYDAJ	VYBER	19300	54654	\N	\N	\N
1190989	4078	1996-10-11	VYDAJ	VYBER	23400	51188	\N	\N	\N
1190990	4078	1996-11-10	VYDAJ	VYBER	11400	38019	\N	\N	\N
1190991	4078	1996-12-10	VYDAJ	VYBER	14300	47677	\N	\N	\N
1190992	4078	1997-01-09	VYDAJ	VYBER	27800	54380	\N	\N	\N
1190993	4078	1997-02-08	VYDAJ	VYBER	21100	52122	\N	\N	\N
1190994	4078	1997-03-10	VYDAJ	VYBER	21600	54552	\N	\N	\N
1190995	4078	1997-04-09	VYDAJ	VYBER	19400	56993	\N	\N	\N
1190996	4078	1997-05-09	VYDAJ	VYBER	24600	56438	\N	\N	\N
1190997	4078	1997-06-08	VYDAJ	VYBER	23100	57391	\N	\N	\N
1190998	4078	1997-07-08	VYDAJ	VYBER	15900	51303	\N	\N	\N
1190999	4078	1997-08-07	VYDAJ	VYBER	16400	58922	\N	\N	\N
1191000	4078	1997-09-06	VYDAJ	VYBER	15900	63466	\N	\N	\N
1191001	4078	1997-10-06	VYDAJ	VYBER	21000	66536	\N	\N	\N
1191002	4078	1997-11-05	VYDAJ	VYBER	21700	68925	\N	\N	\N
1191003	4078	1997-12-05	VYDAJ	VYBER	20400	71121	\N	\N	\N
1191004	4078	1998-01-04	VYDAJ	VYBER	28300	76924	\N	\N	\N
1191005	4078	1998-02-03	VYDAJ	VYBER	16400	71217	\N	\N	\N
1191006	4078	1998-03-05	VYDAJ	VYBER	19500	73813	\N	\N	\N
1191007	4078	1998-04-04	VYDAJ	VYBER	23700	74230	\N	\N	\N
1191008	4078	1998-05-04	VYDAJ	VYBER	26900	71453	\N	\N	\N
1191009	4078	1998-06-03	VYDAJ	VYBER	18500	77069	\N	\N	\N
1191010	4078	1998-07-03	VYDAJ	VYBER	23400	72185	\N	\N	\N
1191011	4078	1998-08-02	VYDAJ	VYBER	19400	76899	\N	\N	\N
1191012	4078	1998-09-01	VYDAJ	VYBER	18200	82827	\N	\N	\N
1191013	4078	1998-10-01	VYDAJ	VYBER	19000	84769	\N	\N	\N
1191014	4078	1998-10-31	VYDAJ	VYBER	25500	83425	\N	\N	\N
1191015	4078	1998-11-30	VYDAJ	VYBER	21600	85890	\N	\N	\N
1191086	4079	1993-11-03	PRIJEM	VKLAD	600	600	\N	\N	\N
1191088	4079	1993-12-21	PRIJEM	VKLAD	9590	41902	\N	\N	\N
1191095	4079	1993-12-22	PRIJEM	VKLAD	12609	54511	\N	\N	\N
1191097	4079	1993-12-10	PRIJEM	VKLAD	21112	32312	\N	\N	\N
1191105	4079	1993-12-24	PRIJEM	VKLAD	13276	67787	\N	\N	\N
1191112	4079	1994-03-14	PRIJEM	VKLAD	29596	66444	\N	\N	\N
1191113	4079	1994-06-05	PRIJEM	VKLAD	16991	61903	\N	\N	\N
1191114	4079	1994-05-03	PRIJEM	VKLAD	29464	65038	\N	\N	\N
1191115	4079	1994-09-18	PRIJEM	VKLAD	37447	101944	\N	\N	\N
1191116	4079	1994-06-16	PRIJEM	VKLAD	48358	130293	\N	\N	\N
1191117	4079	1994-06-12	PRIJEM	VKLAD	25580	82474	\N	\N	\N
1191118	4079	1994-09-03	PRIJEM	VKLAD	14352	41685	\N	\N	\N
1191119	4079	1994-03-18	PRIJEM	VKLAD	14693	76537	\N	\N	\N
1191120	4079	1994-12-08	PRIJEM	VKLAD	7794	38779	\N	\N	\N
1191121	4079	1994-03-27	PRIJEM	VKLAD	13522	90059	\N	\N	\N
1191122	4079	1994-12-11	PRIJEM	VKLAD	22939	59218	\N	\N	\N
1191123	4079	1994-05-28	PRIJEM	VKLAD	21004	72994	\N	\N	\N
1191124	4079	1994-04-11	PRIJEM	VKLAD	10847	67750	\N	\N	\N
1191125	4079	1994-07-10	PRIJEM	VKLAD	7292	54062	\N	\N	\N
1191126	4079	1994-10-08	PRIJEM	VKLAD	23518	111210	\N	\N	\N
1191127	4079	1994-10-28	PRIJEM	VKLAD	41021	73967	\N	\N	\N
1191128	4079	1994-03-10	PRIJEM	VKLAD	9286	42396	\N	\N	\N
1191129	4079	1994-10-01	PRIJEM	VKLAD	22822	87692	\N	\N	\N
1191130	4079	1994-02-01	PRIJEM	VKLAD	24460	67660	\N	\N	\N
1191131	4079	1994-12-13	PRIJEM	VKLAD	15088	68976	\N	\N	\N
1191132	4079	1994-12-18	PRIJEM	VKLAD	6210	74968	\N	\N	\N
1191133	4079	1994-07-24	PRIJEM	VKLAD	42994	91508	\N	\N	\N
1191134	4079	1994-08-29	PRIJEM	VKLAD	6715	38097	\N	\N	\N
1191135	4079	1994-09-17	PRIJEM	VKLAD	41754	64497	\N	\N	\N
1191136	4079	1994-12-24	PRIJEM	VKLAD	33545	106413	\N	\N	\N
1191137	4079	1995-09-11	PRIJEM	VKLAD	18351	44030	\N	\N	\N
1191138	4079	1995-10-13	PRIJEM	VKLAD	31881	129773	\N	\N	\N
1191139	4079	1995-10-07	PRIJEM	VKLAD	49503	134434	\N	\N	\N
1191140	4079	1995-11-08	PRIJEM	VKLAD	13354	113363	\N	\N	\N
1191141	4079	1995-04-06	PRIJEM	VKLAD	27716	46595	\N	\N	\N
1191142	4079	1995-11-05	PRIJEM	VKLAD	41848	100009	\N	\N	\N
1191143	4079	1995-12-01	PRIJEM	VKLAD	10406	112667	\N	\N	\N
1191144	4079	1995-06-27	PRIJEM	VKLAD	32244	66169	\N	\N	\N
1191145	4079	1995-06-28	PRIJEM	VKLAD	24625	90794	\N	\N	\N
1191146	4079	1995-09-27	PRIJEM	VKLAD	31126	84741	\N	\N	\N
1191147	4079	1995-09-18	PRIJEM	VKLAD	22761	57931	\N	\N	\N
1191148	4079	1995-05-11	PRIJEM	VKLAD	43112	68858	\N	\N	\N
1191149	4079	1995-07-06	PRIJEM	VKLAD	29492	120531	\N	\N	\N
1191150	4079	1995-09-20	PRIJEM	VKLAD	48428	106359	\N	\N	\N
1191151	4079	1995-06-07	PRIJEM	VKLAD	29989	83534	\N	\N	\N
1191152	4079	1995-11-29	PRIJEM	VKLAD	31741	62358	\N	\N	\N
1191153	4079	1995-05-13	PRIJEM	VKLAD	49369	109585	\N	\N	\N
1191154	4079	1995-01-20	PRIJEM	VKLAD	22233	37542	\N	\N	\N
1191155	4079	1995-06-26	PRIJEM	VKLAD	18400	42325	\N	\N	\N
1191156	4079	1995-11-13	PRIJEM	VKLAD	9932	59653	\N	\N	\N
1191157	4079	1995-06-18	PRIJEM	VKLAD	10451	85125	\N	\N	\N
1191158	4079	1995-07-10	PRIJEM	VKLAD	8286	113817	\N	\N	\N
1191159	4079	1995-12-01	PRIJEM	VKLAD	39698	102261	\N	\N	\N
1191160	4079	1996-01-05	PRIJEM	VKLAD	36538	100411	\N	\N	\N
1191161	4079	1996-08-07	PRIJEM	VKLAD	10442	36128	\N	\N	\N
1191162	4079	1996-01-29	PRIJEM	VKLAD	46781	94840	\N	\N	\N
1191163	4079	1996-05-20	PRIJEM	VKLAD	47105	108687	\N	\N	\N
1191164	4079	1996-12-04	PRIJEM	VKLAD	12023	50811	\N	\N	\N
1191165	4079	1996-05-13	PRIJEM	VKLAD	6765	61800	\N	\N	\N
1191166	4079	1996-10-08	PRIJEM	VKLAD	31308	50182	\N	\N	\N
1191167	4079	1996-01-22	PRIJEM	VKLAD	21447	79359	\N	\N	\N
1191168	4079	1996-10-30	PRIJEM	VKLAD	38490	92546	\N	\N	\N
1191169	4079	1996-02-01	PRIJEM	VKLAD	41464	136551	\N	\N	\N
1191170	4079	1996-05-12	PRIJEM	VKLAD	41999	109368	\N	\N	\N
1191171	4079	1996-04-30	PRIJEM	VKLAD	13302	72204	\N	\N	\N
1191172	4079	1996-11-25	PRIJEM	VKLAD	15855	54014	\N	\N	\N
1191173	4079	1996-04-24	PRIJEM	VKLAD	23769	58902	\N	\N	\N
1191174	4079	1996-10-22	PRIJEM	VKLAD	26934	54056	\N	\N	\N
1191175	4079	1996-11-07	PRIJEM	VKLAD	5378	98067	\N	\N	\N
1191176	4079	1996-01-05	PRIJEM	VKLAD	13485	63873	\N	\N	\N
1191177	4079	1996-12-06	PRIJEM	VKLAD	37991	88802	\N	\N	\N
1191178	4079	1996-01-12	PRIJEM	VKLAD	24894	70163	\N	\N	\N
1191179	4079	1996-11-08	PRIJEM	VKLAD	31709	129776	\N	\N	\N
1191180	4079	1996-03-28	PRIJEM	VKLAD	22701	45869	\N	\N	\N
1191181	4079	1998-05-23	PRIJEM	VKLAD	7864	101466	\N	\N	\N
1191182	4079	1998-08-26	PRIJEM	VKLAD	20161	59742	\N	\N	\N
1191183	4079	1998-05-15	PRIJEM	VKLAD	24276	82663	\N	\N	\N
1191184	4079	1998-06-27	PRIJEM	VKLAD	24809	90277	\N	\N	\N
1191185	4079	1998-03-19	PRIJEM	VKLAD	38532	80935	\N	\N	\N
1191186	4079	1998-02-16	PRIJEM	VKLAD	39924	65207	\N	\N	\N
1191187	4079	1998-05-19	PRIJEM	VKLAD	10939	93602	\N	\N	\N
1191188	4079	1998-04-29	PRIJEM	VKLAD	28914	103926	\N	\N	\N
1191189	4079	1998-04-08	PRIJEM	VKLAD	22788	94261	\N	\N	\N
1191190	4079	1998-03-31	PRIJEM	VKLAD	9019	90228	\N	\N	\N
1191191	4079	1998-12-18	PRIJEM	VKLAD	9868	34109	\N	\N	\N
1191192	4079	1998-05-08	PRIJEM	VKLAD	37953	137121	\N	\N	\N
1191193	4079	1998-04-14	PRIJEM	VKLAD	47228	102629	\N	\N	\N
1191194	4079	1998-07-19	PRIJEM	VKLAD	31794	85864	\N	\N	\N
1191195	4079	1998-01-06	PRIJEM	VKLAD	15197	39709	\N	\N	\N
1191196	4079	1998-07-31	PRIJEM	VKLAD	44125	129989	\N	\N	\N
1191197	4079	1998-06-12	PRIJEM	VKLAD	41648	101472	\N	\N	\N
1191198	4079	1998-08-29	PRIJEM	VKLAD	16425	76167	\N	\N	\N
1191199	4079	1998-02-15	PRIJEM	VKLAD	10513	25283	\N	\N	\N
1191213	4079	1994-01-29	VYDAJ	VYBER	3000	42928	\N	\N	0
1191214	4079	1994-03-17	VYDAJ	VYBER	4600	61844	\N	\N	0
1191215	4079	1994-04-22	VYDAJ	VYBER	2900	46409	\N	\N	0
1191216	4079	1994-05-02	VYDAJ	VYBER	2400	35574	\N	\N	0
1191217	4079	1994-06-25	VYDAJ	VYBER	3400	69593	\N	\N	0
1191218	4079	1994-07-09	VYDAJ	VYBER	3400	46770	\N	\N	0
1191219	4079	1994-08-08	VYDAJ	VYBER	3600	36930	\N	\N	0
1191220	4079	1994-08-29	VYDAJ	VYBER	2500	35597	\N	\N	0
1191221	4079	1994-10-14	VYDAJ	VYBER	2400	63578	\N	\N	0
1191222	4079	1994-10-30	VYDAJ	VYBER	4100	45967	\N	\N	0
1191223	4079	1994-12-08	VYDAJ	VYBER	2500	36279	\N	\N	0
1191224	4079	1995-01-10	VYDAJ	VYBER	3700	20857	\N	\N	0
1191225	4079	1995-02-06	VYDAJ	VYBER	3000	25148	\N	\N	0
1191226	4079	1995-03-17	VYDAJ	VYBER	4600	12820	\N	\N	0
1191227	4079	1995-04-12	VYDAJ	PREVOD NA UCET	3312	38274	UVER	WX	16481298
1191228	4079	1995-05-12	VYDAJ	PREVOD NA UCET	3312	60216	UVER	WX	16481298
1191229	4079	1995-06-12	VYDAJ	PREVOD NA UCET	3312	74892	UVER	WX	16481298
1191230	4079	1995-07-12	VYDAJ	PREVOD NA UCET	3312	58696	UVER	WX	16481298
1191231	4079	1995-08-12	VYDAJ	PREVOD NA UCET	3312	22907	UVER	WX	16481298
1191232	4079	1995-09-12	VYDAJ	PREVOD NA UCET	3312	35388	UVER	WX	16481298
1191233	4079	1995-10-12	VYDAJ	PREVOD NA UCET	3312	98213	UVER	WX	16481298
1191234	4079	1995-11-12	VYDAJ	PREVOD NA UCET	3312	50042	UVER	WX	16481298
1191235	4079	1995-12-12	VYDAJ	PREVOD NA UCET	3312	74546	UVER	WX	16481298
1191236	4079	1996-01-12	VYDAJ	PREVOD NA UCET	3312	58451	UVER	WX	16481298
1191237	4079	1996-02-12	VYDAJ	PREVOD NA UCET	3312	62041	UVER	WX	16481298
1191238	4079	1996-03-12	VYDAJ	PREVOD NA UCET	3312	22086	UVER	WX	16481298
1191239	4079	1996-04-12	VYDAJ	PREVOD NA UCET	3312	37351	UVER	WX	16481298
1191240	4079	1996-05-12	VYDAJ	PREVOD NA UCET	3312	105735	UVER	WX	16481298
1191241	4079	1996-06-12	VYDAJ	PREVOD NA UCET	3312	31639	UVER	WX	16481298
1191242	4079	1996-07-12	VYDAJ	PREVOD NA UCET	3312	22510	UVER	WX	16481298
1191243	4079	1996-08-12	VYDAJ	PREVOD NA UCET	3312	27807	UVER	WX	16481298
1191244	4079	1996-09-12	VYDAJ	PREVOD NA UCET	3312	18120	UVER	WX	16481298
1191245	4079	1996-10-12	VYDAJ	PREVOD NA UCET	3312	41861	UVER	WX	16481298
1191246	4079	1996-11-12	VYDAJ	PREVOD NA UCET	3312	101934	UVER	WX	16481298
1191247	4079	1996-12-12	VYDAJ	PREVOD NA UCET	3312	80481	UVER	WX	16481298
1191248	4079	1997-01-12	VYDAJ	PREVOD NA UCET	3312	20300	UVER	WX	16481298
1191249	4079	1997-02-12	VYDAJ	PREVOD NA UCET	3312	16831	UVER	WX	16481298
1191250	4079	1997-03-12	VYDAJ	PREVOD NA UCET	3312	16432	UVER	WX	16481298
1191251	4079	1997-04-12	VYDAJ	PREVOD NA UCET	3312	19560	UVER	WX	16481298
1191252	4079	1997-05-12	VYDAJ	PREVOD NA UCET	3312	22220	UVER	WX	16481298
1191253	4079	1997-06-12	VYDAJ	PREVOD NA UCET	3312	20740	UVER	WX	16481298
1191254	4079	1997-07-12	VYDAJ	PREVOD NA UCET	3312	19899	UVER	WX	16481298
1191255	4079	1997-08-12	VYDAJ	PREVOD NA UCET	3312	21518	UVER	WX	16481298
1191256	4079	1997-09-12	VYDAJ	PREVOD NA UCET	3312	16476	UVER	WX	16481298
1191257	4079	1997-10-12	VYDAJ	PREVOD NA UCET	3312	17925	UVER	WX	16481298
1191258	4079	1997-11-12	VYDAJ	PREVOD NA UCET	3312	25845	UVER	WX	16481298
1191259	4079	1997-12-12	VYDAJ	PREVOD NA UCET	3312	24967	UVER	WX	16481298
1191260	4079	1998-01-12	VYDAJ	PREVOD NA UCET	3312	23567	UVER	WX	16481298
1191261	4079	1998-02-12	VYDAJ	PREVOD NA UCET	3312	14988	UVER	WX	16481298
1191262	4079	1998-03-12	VYDAJ	PREVOD NA UCET	3312	57042	UVER	WX	16481298
1191263	4079	1998-04-12	VYDAJ	PREVOD NA UCET	3312	55619	UVER	WX	16481298
1191264	4079	1998-05-12	VYDAJ	PREVOD NA UCET	3312	58926	UVER	WX	16481298
1191265	4079	1998-06-12	VYDAJ	PREVOD NA UCET	3312	98160	UVER	WX	16481298
1191266	4079	1998-07-12	VYDAJ	PREVOD NA UCET	3312	54288	UVER	WX	16481298
1191267	4079	1998-08-12	VYDAJ	PREVOD NA UCET	3312	60884	UVER	WX	16481298
1191268	4079	1998-09-12	VYDAJ	PREVOD NA UCET	3312	48623	UVER	WX	16481298
1191269	4079	1998-10-12	VYDAJ	PREVOD NA UCET	3312	23132	UVER	WX	16481298
1191270	4079	1998-11-12	VYDAJ	PREVOD NA UCET	3312	19974	UVER	WX	16481298
1191271	4079	1998-12-12	VYDAJ	PREVOD NA UCET	3312	24780	UVER	WX	16481298
1191285	4079	1994-02-11	VYDAJ	PREVOD NA UCET	5009	41951	SIPO	AB	19063937
1191286	4079	1994-03-11	VYDAJ	PREVOD NA UCET	5009	37387	SIPO	AB	19063937
1191287	4079	1994-04-11	VYDAJ	PREVOD NA UCET	5009	62741	SIPO	AB	19063937
1191288	4079	1994-05-11	VYDAJ	PREVOD NA UCET	5009	60029	SIPO	AB	19063937
1191289	4079	1994-06-11	VYDAJ	PREVOD NA UCET	5009	56894	SIPO	AB	19063937
1191290	4079	1994-07-11	VYDAJ	PREVOD NA UCET	5009	49053	SIPO	AB	19063937
1191291	4079	1994-08-11	VYDAJ	PREVOD NA UCET	5009	31921	SIPO	AB	19063937
1191292	4079	1994-09-11	VYDAJ	PREVOD NA UCET	5009	23282	SIPO	AB	19063937
1191293	4079	1994-10-11	VYDAJ	PREVOD NA UCET	5009	89201	SIPO	AB	19063937
1191294	4079	1994-11-11	VYDAJ	PREVOD NA UCET	5009	41175	SIPO	AB	19063937
1191295	4079	1994-12-11	VYDAJ	PREVOD NA UCET	5009	54209	SIPO	AB	19063937
1191296	4079	1995-01-11	VYDAJ	PREVOD NA UCET	5009	15848	SIPO	AB	19063937
1191297	4079	1995-02-11	VYDAJ	PREVOD NA UCET	5009	15939	SIPO	AB	19063937
1191298	4079	1995-03-11	VYDAJ	PREVOD NA UCET	5009	17959	SIPO	AB	19063937
1191299	4079	1995-04-11	VYDAJ	PREVOD NA UCET	5009	41586	SIPO	AB	19063937
1191300	4079	1995-05-11	VYDAJ	PREVOD NA UCET	5009	63849	SIPO	AB	19063937
1191301	4079	1995-06-11	VYDAJ	PREVOD NA UCET	5009	78525	SIPO	AB	19063937
1191302	4079	1995-07-11	VYDAJ	PREVOD NA UCET	5009	62008	SIPO	AB	19063937
1191303	4079	1995-08-11	VYDAJ	PREVOD NA UCET	5009	26219	SIPO	AB	19063937
1191304	4079	1995-09-11	VYDAJ	PREVOD NA UCET	5009	39021	SIPO	AB	19063937
1191305	4079	1995-10-11	VYDAJ	PREVOD NA UCET	5009	101525	SIPO	AB	19063937
1191306	4079	1995-11-11	VYDAJ	PREVOD NA UCET	5009	53354	SIPO	AB	19063937
1191307	4079	1995-12-11	VYDAJ	PREVOD NA UCET	5009	77858	SIPO	AB	19063937
1191308	4079	1996-01-11	VYDAJ	PREVOD NA UCET	5009	45269	SIPO	AB	19063937
1191309	4079	1996-02-11	VYDAJ	PREVOD NA UCET	5009	65674	SIPO	AB	19063937
1191310	4079	1996-03-11	VYDAJ	PREVOD NA UCET	5009	25719	SIPO	AB	19063937
1191311	4079	1996-04-11	VYDAJ	PREVOD NA UCET	5009	40984	SIPO	AB	19063937
1191312	4079	1996-05-11	VYDAJ	PREVOD NA UCET	5009	67369	SIPO	AB	19063937
1191313	4079	1996-06-11	VYDAJ	PREVOD NA UCET	5009	34951	SIPO	AB	19063937
1191314	4079	1996-07-11	VYDAJ	PREVOD NA UCET	5009	26143	SIPO	AB	19063937
1191315	4079	1996-08-11	VYDAJ	PREVOD NA UCET	5009	31119	SIPO	AB	19063937
1191316	4079	1996-09-11	VYDAJ	PREVOD NA UCET	5009	21753	SIPO	AB	19063937
1191317	4079	1996-10-11	VYDAJ	PREVOD NA UCET	5009	45173	SIPO	AB	19063937
1191318	4079	1996-11-11	VYDAJ	PREVOD NA UCET	5009	105567	SIPO	AB	19063937
1191319	4079	1996-12-11	VYDAJ	PREVOD NA UCET	5009	83793	SIPO	AB	19063937
1191320	4079	1997-01-11	VYDAJ	PREVOD NA UCET	5009	23612	SIPO	AB	19063937
1191321	4079	1997-02-11	VYDAJ	PREVOD NA UCET	5009	20143	SIPO	AB	19063937
1191322	4079	1997-03-11	VYDAJ	PREVOD NA UCET	5009	20065	SIPO	AB	19063937
1191323	4079	1997-04-11	VYDAJ	PREVOD NA UCET	5009	23193	SIPO	AB	19063937
1191324	4079	1997-05-11	VYDAJ	PREVOD NA UCET	5009	25532	SIPO	AB	19063937
1191325	4079	1997-06-11	VYDAJ	PREVOD NA UCET	5009	24373	SIPO	AB	19063937
1191326	4079	1997-07-11	VYDAJ	PREVOD NA UCET	5009	23211	SIPO	AB	19063937
1191327	4079	1997-08-11	VYDAJ	PREVOD NA UCET	5009	25151	SIPO	AB	19063937
1191328	4079	1997-09-11	VYDAJ	PREVOD NA UCET	5009	20109	SIPO	AB	19063937
1191329	4079	1997-10-11	VYDAJ	PREVOD NA UCET	5009	21237	SIPO	AB	19063937
1191330	4079	1997-11-11	VYDAJ	PREVOD NA UCET	5009	17557	SIPO	AB	19063937
1191331	4079	1997-12-11	VYDAJ	PREVOD NA UCET	5009	20379	SIPO	AB	19063937
1191332	4079	1998-01-11	VYDAJ	PREVOD NA UCET	5009	27200	SIPO	AB	19063937
1191333	4079	1998-02-11	VYDAJ	PREVOD NA UCET	5009	18621	SIPO	AB	19063937
1191334	4079	1998-03-11	VYDAJ	PREVOD NA UCET	5009	60354	SIPO	AB	19063937
1191335	4079	1998-04-11	VYDAJ	PREVOD NA UCET	5009	59252	SIPO	AB	19063937
1191336	4079	1998-05-11	VYDAJ	PREVOD NA UCET	5009	62238	SIPO	AB	19063937
1191337	4079	1998-06-11	VYDAJ	PREVOD NA UCET	5009	59824	SIPO	AB	19063937
1191338	4079	1998-07-11	VYDAJ	PREVOD NA UCET	5009	57921	SIPO	AB	19063937
1191339	4079	1998-08-11	VYDAJ	PREVOD NA UCET	5009	64196	SIPO	AB	19063937
1191340	4079	1998-09-11	VYDAJ	PREVOD NA UCET	5009	52256	SIPO	AB	19063937
1191341	4079	1998-10-11	VYDAJ	PREVOD NA UCET	5009	26765	SIPO	AB	19063937
1191342	4079	1998-11-11	VYDAJ	PREVOD NA UCET	5009	23286	SIPO	AB	19063937
1191343	4079	1998-12-11	VYDAJ	PREVOD NA UCET	5009	28092	SIPO	AB	19063937
1191357	4079	1994-02-13	VYDAJ	PREVOD NA UCET	218	41412	 	QR	7362539
1191358	4079	1994-03-13	VYDAJ	PREVOD NA UCET	218	36848	 	QR	7362539
1191359	4079	1994-04-13	VYDAJ	PREVOD NA UCET	218	62202	 	QR	7362539
1191360	4079	1994-05-13	VYDAJ	PREVOD NA UCET	218	59490	 	QR	7362539
1191361	4079	1994-06-13	VYDAJ	PREVOD NA UCET	218	81935	 	QR	7362539
1191362	4079	1994-07-13	VYDAJ	PREVOD NA UCET	218	48514	 	QR	7362539
1191363	4079	1994-08-13	VYDAJ	PREVOD NA UCET	218	31382	 	QR	7362539
1191364	4079	1994-09-13	VYDAJ	PREVOD NA UCET	218	22743	 	QR	7362539
1191365	4079	1994-10-13	VYDAJ	PREVOD NA UCET	218	65978	 	QR	7362539
1191366	4079	1994-11-13	VYDAJ	PREVOD NA UCET	218	40636	 	QR	7362539
1191367	4079	1994-12-13	VYDAJ	PREVOD NA UCET	218	68758	 	QR	7362539
1191368	4079	1995-01-13	VYDAJ	PREVOD NA UCET	218	15309	 	QR	7362539
1191369	4079	1995-02-13	VYDAJ	PREVOD NA UCET	218	15400	 	QR	7362539
1191370	4079	1995-03-13	VYDAJ	PREVOD NA UCET	218	17420	 	QR	7362539
1191371	4079	1995-04-13	VYDAJ	PREVOD NA UCET	218	37735	 	QR	7362539
1191372	4079	1995-05-13	VYDAJ	PREVOD NA UCET	218	109367	 	QR	7362539
1191373	4079	1995-06-13	VYDAJ	PREVOD NA UCET	218	74674	 	QR	7362539
1191374	4079	1995-07-13	VYDAJ	PREVOD NA UCET	218	58157	 	QR	7362539
1191375	4079	1995-08-13	VYDAJ	PREVOD NA UCET	218	22368	 	QR	7362539
1191376	4079	1995-09-13	VYDAJ	PREVOD NA UCET	218	35170	 	QR	7362539
1191377	4079	1995-10-13	VYDAJ	PREVOD NA UCET	218	87055	 	QR	7362539
1191378	4079	1995-11-13	VYDAJ	PREVOD NA UCET	218	59435	 	QR	7362539
1191379	4079	1995-12-13	VYDAJ	PREVOD NA UCET	218	74007	 	QR	7362539
1191380	4079	1996-01-13	VYDAJ	PREVOD NA UCET	218	57912	 	QR	7362539
1191381	4079	1996-02-13	VYDAJ	PREVOD NA UCET	218	61823	 	QR	7362539
1191382	4079	1996-03-13	VYDAJ	PREVOD NA UCET	218	21868	 	QR	7362539
1191383	4079	1996-04-13	VYDAJ	PREVOD NA UCET	218	37133	 	QR	7362539
1191384	4079	1996-05-13	VYDAJ	PREVOD NA UCET	218	61582	 	QR	7362539
1191385	4079	1996-06-13	VYDAJ	PREVOD NA UCET	218	31100	 	QR	7362539
1191386	4079	1996-07-13	VYDAJ	PREVOD NA UCET	218	22292	 	QR	7362539
1191387	4079	1996-08-13	VYDAJ	PREVOD NA UCET	218	27268	 	QR	7362539
1191388	4079	1996-09-13	VYDAJ	PREVOD NA UCET	218	17902	 	QR	7362539
1191389	4079	1996-10-13	VYDAJ	PREVOD NA UCET	218	41322	 	QR	7362539
1191390	4079	1996-11-13	VYDAJ	PREVOD NA UCET	218	101716	 	QR	7362539
1191391	4079	1996-12-13	VYDAJ	PREVOD NA UCET	218	79942	 	QR	7362539
1191392	4079	1997-01-13	VYDAJ	PREVOD NA UCET	218	19761	 	QR	7362539
1191393	4079	1997-02-13	VYDAJ	PREVOD NA UCET	218	16292	 	QR	7362539
1191394	4079	1997-03-13	VYDAJ	PREVOD NA UCET	218	16214	 	QR	7362539
1191395	4079	1997-04-13	VYDAJ	PREVOD NA UCET	218	19342	 	QR	7362539
1191396	4079	1997-05-13	VYDAJ	PREVOD NA UCET	218	21681	 	QR	7362539
1191397	4079	1997-06-13	VYDAJ	PREVOD NA UCET	218	20522	 	QR	7362539
1191398	4079	1997-07-13	VYDAJ	PREVOD NA UCET	218	19360	 	QR	7362539
1191399	4079	1997-08-13	VYDAJ	PREVOD NA UCET	218	21300	 	QR	7362539
1191400	4079	1997-09-13	VYDAJ	PREVOD NA UCET	218	26158	 	QR	7362539
1191401	4079	1997-10-13	VYDAJ	PREVOD NA UCET	218	22486	 	QR	7362539
1191402	4079	1997-11-13	VYDAJ	PREVOD NA UCET	218	25306	 	QR	7362539
1191403	4079	1997-12-13	VYDAJ	PREVOD NA UCET	218	24428	 	QR	7362539
1191404	4079	1998-01-13	VYDAJ	PREVOD NA UCET	218	23349	 	QR	7362539
1191405	4079	1998-02-13	VYDAJ	PREVOD NA UCET	218	14770	 	QR	7362539
1191406	4079	1998-03-13	VYDAJ	PREVOD NA UCET	218	42403	 	QR	7362539
1191407	4079	1998-04-13	VYDAJ	PREVOD NA UCET	218	55401	 	QR	7362539
1191408	4079	1998-05-13	VYDAJ	PREVOD NA UCET	218	58387	 	QR	7362539
1191409	4079	1998-06-13	VYDAJ	PREVOD NA UCET	218	97621	 	QR	7362539
1191410	4079	1998-07-13	VYDAJ	PREVOD NA UCET	218	54070	 	QR	7362539
1191411	4079	1998-08-13	VYDAJ	PREVOD NA UCET	218	60345	 	QR	7362539
1191412	4079	1998-09-13	VYDAJ	PREVOD NA UCET	218	36405	 	QR	7362539
1191413	4079	1998-10-13	VYDAJ	PREVOD NA UCET	218	22914	 	QR	7362539
1191414	4079	1998-11-13	VYDAJ	PREVOD NA UCET	218	19435	 	QR	7362539
1191415	4079	1998-12-13	VYDAJ	PREVOD NA UCET	218	24241	 	QR	7362539
1191429	4079	1994-02-12	VYDAJ	PREVOD NA UCET	321	41630	POJISTNE	ST	81205659
1191430	4079	1994-03-12	VYDAJ	PREVOD NA UCET	321	37066	POJISTNE	ST	81205659
1191431	4079	1994-04-12	VYDAJ	PREVOD NA UCET	321	62420	POJISTNE	ST	81205659
1191432	4079	1994-05-12	VYDAJ	PREVOD NA UCET	321	59708	POJISTNE	ST	81205659
1191433	4079	1994-06-12	VYDAJ	PREVOD NA UCET	321	82153	POJISTNE	ST	81205659
1191434	4079	1994-07-12	VYDAJ	PREVOD NA UCET	321	48732	POJISTNE	ST	81205659
1191435	4079	1994-08-12	VYDAJ	PREVOD NA UCET	321	31600	POJISTNE	ST	81205659
1191436	4079	1994-09-12	VYDAJ	PREVOD NA UCET	321	22961	POJISTNE	ST	81205659
1191437	4079	1994-10-12	VYDAJ	PREVOD NA UCET	321	66196	POJISTNE	ST	81205659
1191438	4079	1994-11-12	VYDAJ	PREVOD NA UCET	321	40854	POJISTNE	ST	81205659
1191439	4079	1994-12-12	VYDAJ	PREVOD NA UCET	321	53888	POJISTNE	ST	81205659
1191440	4079	1995-01-12	VYDAJ	PREVOD NA UCET	321	15527	POJISTNE	ST	81205659
1191441	4079	1995-02-12	VYDAJ	PREVOD NA UCET	321	15618	POJISTNE	ST	81205659
1191442	4079	1995-03-12	VYDAJ	PREVOD NA UCET	321	17638	POJISTNE	ST	81205659
1191443	4079	1995-04-12	VYDAJ	PREVOD NA UCET	321	37953	POJISTNE	ST	81205659
1191444	4079	1995-05-12	VYDAJ	PREVOD NA UCET	321	63528	POJISTNE	ST	81205659
1191445	4079	1995-06-12	VYDAJ	PREVOD NA UCET	321	78204	POJISTNE	ST	81205659
1191446	4079	1995-07-12	VYDAJ	PREVOD NA UCET	321	58375	POJISTNE	ST	81205659
1191447	4079	1995-08-12	VYDAJ	PREVOD NA UCET	321	22586	POJISTNE	ST	81205659
1191448	4079	1995-09-12	VYDAJ	PREVOD NA UCET	321	38700	POJISTNE	ST	81205659
1191449	4079	1995-10-12	VYDAJ	PREVOD NA UCET	321	97892	POJISTNE	ST	81205659
1191450	4079	1995-11-12	VYDAJ	PREVOD NA UCET	321	49721	POJISTNE	ST	81205659
1191451	4079	1995-12-12	VYDAJ	PREVOD NA UCET	321	74225	POJISTNE	ST	81205659
1191452	4079	1996-01-12	VYDAJ	PREVOD NA UCET	321	58130	POJISTNE	ST	81205659
1191453	4079	1996-02-12	VYDAJ	PREVOD NA UCET	321	65353	POJISTNE	ST	81205659
1191454	4079	1996-03-12	VYDAJ	PREVOD NA UCET	321	25398	POJISTNE	ST	81205659
1191455	4079	1996-04-12	VYDAJ	PREVOD NA UCET	321	40663	POJISTNE	ST	81205659
1191456	4079	1996-05-12	VYDAJ	PREVOD NA UCET	321	109047	POJISTNE	ST	81205659
1191457	4079	1996-06-12	VYDAJ	PREVOD NA UCET	321	31318	POJISTNE	ST	81205659
1191458	4079	1996-07-12	VYDAJ	PREVOD NA UCET	321	25822	POJISTNE	ST	81205659
1191459	4079	1996-08-12	VYDAJ	PREVOD NA UCET	321	27486	POJISTNE	ST	81205659
1191460	4079	1996-09-12	VYDAJ	PREVOD NA UCET	321	21432	POJISTNE	ST	81205659
1191461	4079	1996-10-12	VYDAJ	PREVOD NA UCET	321	41540	POJISTNE	ST	81205659
1191462	4079	1996-11-12	VYDAJ	PREVOD NA UCET	321	105246	POJISTNE	ST	81205659
1191463	4079	1996-12-12	VYDAJ	PREVOD NA UCET	321	80160	POJISTNE	ST	81205659
1191464	4079	1997-01-12	VYDAJ	PREVOD NA UCET	321	19979	POJISTNE	ST	81205659
1191465	4079	1997-02-12	VYDAJ	PREVOD NA UCET	321	16510	POJISTNE	ST	81205659
1191466	4079	1997-03-12	VYDAJ	PREVOD NA UCET	321	19744	POJISTNE	ST	81205659
1191467	4079	1997-04-12	VYDAJ	PREVOD NA UCET	321	22872	POJISTNE	ST	81205659
1191468	4079	1997-05-12	VYDAJ	PREVOD NA UCET	321	21899	POJISTNE	ST	81205659
1191469	4079	1997-06-12	VYDAJ	PREVOD NA UCET	321	24052	POJISTNE	ST	81205659
1191470	4079	1997-07-12	VYDAJ	PREVOD NA UCET	321	19578	POJISTNE	ST	81205659
1191471	4079	1997-08-12	VYDAJ	PREVOD NA UCET	321	24830	POJISTNE	ST	81205659
1191472	4079	1997-09-12	VYDAJ	PREVOD NA UCET	321	19788	POJISTNE	ST	81205659
1191473	4079	1997-10-12	VYDAJ	PREVOD NA UCET	321	17604	POJISTNE	ST	81205659
1191474	4079	1997-11-12	VYDAJ	PREVOD NA UCET	321	25524	POJISTNE	ST	81205659
1191475	4079	1997-12-12	VYDAJ	PREVOD NA UCET	321	24646	POJISTNE	ST	81205659
1191476	4079	1998-01-12	VYDAJ	PREVOD NA UCET	321	26879	POJISTNE	ST	81205659
1191477	4079	1998-02-12	VYDAJ	PREVOD NA UCET	321	18300	POJISTNE	ST	81205659
1191478	4079	1998-03-12	VYDAJ	PREVOD NA UCET	321	42621	POJISTNE	ST	81205659
1191479	4079	1998-04-12	VYDAJ	PREVOD NA UCET	321	58931	POJISTNE	ST	81205659
1191480	4079	1998-05-12	VYDAJ	PREVOD NA UCET	321	58605	POJISTNE	ST	81205659
1191481	4079	1998-06-12	VYDAJ	PREVOD NA UCET	321	97839	POJISTNE	ST	81205659
1191482	4079	1998-07-12	VYDAJ	PREVOD NA UCET	321	57600	POJISTNE	ST	81205659
1191483	4079	1998-08-12	VYDAJ	PREVOD NA UCET	321	60563	POJISTNE	ST	81205659
1191484	4079	1998-09-12	VYDAJ	PREVOD NA UCET	321	51935	POJISTNE	ST	81205659
1191485	4079	1998-10-12	VYDAJ	PREVOD NA UCET	321	26444	POJISTNE	ST	81205659
1191486	4079	1998-11-12	VYDAJ	PREVOD NA UCET	321	19653	POJISTNE	ST	81205659
1191487	4079	1998-12-12	VYDAJ	PREVOD NA UCET	321	24459	POJISTNE	ST	81205659
1191503	4079	1994-07-24	VYBER	VYBER	19911	71597	\N	\N	\N
1191504	4079	1994-12-24	VYBER	VYBER	19390	87023	\N	\N	\N
1191506	4079	1994-06-02	VYBER	VYBER	5814	44912	\N	\N	\N
1191507	4079	1994-09-10	VYBER	VYBER	13394	28291	\N	\N	\N
1191508	4079	1994-10-16	VYBER	VYBER	2085	61493	\N	\N	\N
1191509	4079	1994-10-17	VYBER	VYBER	24047	32946	\N	\N	\N
1191510	4079	1994-04-22	VYBER	VYBER	12893	49309	\N	\N	\N
1191511	4079	1994-10-12	VYBER	VYBER	22684	66517	\N	\N	\N
1191513	4079	1995-01-08	VYBER	VYBER	21997	24557	\N	\N	\N
1191515	4079	1995-11-19	VYBER	VYBER	23918	28317	\N	\N	\N
1191516	4079	1995-09-22	VYBER	VYBER	6044	84815	\N	\N	\N
1191518	4079	1996-03-01	VYBER	VYBER	17035	30728	\N	\N	\N
1191520	4079	1996-12-24	VYBER	VYBER	19034	30208	\N	\N	\N
1191521	4079	1996-01-09	VYBER	VYBER	21033	56278	\N	\N	\N
1191523	4079	1996-02-07	VYBER	VYBER	4468	70683	\N	\N	\N
1191525	4079	1996-11-18	VYBER	VYBER	24957	38159	\N	\N	\N
1191527	4079	1996-11-30	VYBER	VYBER	15519	38803	\N	\N	\N
1191532	4079	1997-08-23	VYBER	VYBER	4780	25020	\N	\N	\N
1191535	4079	1998-06-15	VYBER	VYBER	13553	84068	\N	\N	\N
1191536	4079	1998-12-20	VYBER	VYBER	4856	29253	\N	\N	\N
1191537	4079	1998-04-25	VYBER	VYBER	15017	75012	\N	\N	\N
1191538	4079	1998-05-09	VYBER	VYBER	16874	94547	\N	\N	\N
1191539	4079	1998-08-14	VYBER	VYBER	20764	39581	\N	\N	\N
1191541	4079	1998-04-03	VYBER	VYBER	18740	71473	\N	\N	\N
1191543	4079	1994-06-19	VYDAJ	VYBER	20100	72993	\N	\N	\N
1191544	4079	1995-06-22	VYDAJ	VYBER	61200	23925	\N	\N	\N
1191545	4079	1996-06-04	VYDAJ	VYBER	18900	39960	\N	\N	\N
1191547	4079	1998-06-24	VYDAJ	VYBER	18600	65468	\N	\N	\N
1191551	4079	1996-01-07	VYDAJ	VYBER	23100	77311	\N	\N	\N
1191553	4079	1998-01-09	VYDAJ	VYBER	11400	28309	\N	\N	\N
1191555	4079	1994-12-19	VYDAJ	VYBER	2100	72868	\N	\N	\N
1191556	4079	1995-12-09	VYDAJ	VYBER	3900	82867	\N	\N	\N
1191557	4079	1996-12-18	VYDAJ	VYBER	4500	49242	\N	\N	\N
1191574	4079	1995-01-23	VYDAJ	VYBER	3300	25542	\N	\N	\N
1191575	4079	1995-01-21	VYDAJ	VYBER	8700	28842	\N	\N	\N
1191576	4079	1995-01-02	VYDAJ	VYBER	4500	46554	\N	\N	\N
1191578	4079	1996-01-27	VYDAJ	VYBER	2400	48059	\N	\N	\N
1191579	4079	1996-01-04	VYDAJ	VYBER	1500	50388	\N	\N	\N
1191580	4079	1996-01-25	VYDAJ	VYBER	3000	53159	\N	\N	\N
1191581	4079	1996-01-09	VYDAJ	VYBER	6000	50278	\N	\N	\N
1191582	4079	1996-01-12	VYDAJ	VYBER	8400	61763	\N	\N	\N
1191583	4079	1996-01-26	VYDAJ	VYBER	2700	50459	\N	\N	\N
1191585	4079	1997-01-10	VYDAJ	VYBER	1800	28621	\N	\N	\N
1191604	4079	1994-12-27	VYDAJ	VYBER	9900	77123	\N	\N	\N
1191605	4079	1994-05-19	VYDAJ	VYBER	7500	51990	\N	\N	\N
1191606	4079	1994-08-03	VYDAJ	VYBER	10200	40530	\N	\N	\N
1191607	4079	1994-10-16	VYDAJ	VYBER	4500	56993	\N	\N	\N
1191608	4079	1994-11-22	VYDAJ	VYBER	11400	29236	\N	\N	\N
1191609	4079	1995-08-03	VYDAJ	VYBER	13200	31228	\N	\N	\N
1191610	4079	1995-11-14	VYDAJ	VYBER	7200	52235	\N	\N	\N
1191611	4079	1995-04-28	VYDAJ	VYBER	5700	25635	\N	\N	\N
1191613	4079	1995-02-07	VYDAJ	VYBER	4200	20948	\N	\N	\N
1191615	4079	1996-05-27	VYDAJ	VYBER	12000	58587	\N	\N	\N
1191616	4079	1996-10-16	VYDAJ	VYBER	7500	33822	\N	\N	\N
1191624	4079	1998-04-16	VYDAJ	VYBER	12600	90029	\N	\N	\N
1191625	4079	1998-09-14	VYDAJ	VYBER	9300	27105	\N	\N	\N
1191626	4079	1998-09-12	VYDAJ	VYBER	12000	36623	\N	\N	\N
1191627	4079	1998-04-29	VYDAJ	VYBER	5100	98826	\N	\N	\N
1191642	4079	1994-02-28	VYDAJ	VYBER	15	41610	SLUZBY	\N	\N
1191643	4079	1994-03-31	VYDAJ	VYBER	15	90303	SLUZBY	\N	\N
1191644	4079	1994-04-30	VYDAJ	VYBER	15	46674	SLUZBY	\N	\N
1191645	4079	1994-05-31	VYDAJ	VYBER	15	73226	SLUZBY	\N	\N
1191646	4079	1994-06-30	VYDAJ	VYBER	15	69870	SLUZBY	\N	\N
1191647	4079	1994-07-31	VYDAJ	VYBER	15	71830	SLUZBY	\N	\N
1191648	4079	1994-08-31	VYDAJ	VYBER	15	27333	SLUZBY	\N	\N
1191649	4079	1994-09-30	VYDAJ	VYBER	15	64870	SLUZBY	\N	\N
1191650	4079	1994-10-31	VYDAJ	VYBER	15	46184	SLUZBY	\N	\N
1191651	4079	1994-11-30	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
1191652	4079	1994-12-31	VYDAJ	VYBER	15	51054	SLUZBY	\N	\N
1191653	4079	1995-01-31	VYDAJ	VYBER	15	28148	SLUZBY	\N	\N
1191654	4079	1995-02-28	VYDAJ	VYBER	15	22968	SLUZBY	\N	\N
1191655	4079	1995-03-31	VYDAJ	VYBER	15	18879	SLUZBY	\N	\N
1191656	4079	1995-04-30	VYDAJ	VYBER	15	25746	SLUZBY	\N	\N
1191657	4079	1995-05-31	VYDAJ	VYBER	15	53545	SLUZBY	\N	\N
1191658	4079	1995-06-30	VYDAJ	VYBER	15	91039	SLUZBY	\N	\N
1191659	4079	1995-07-31	VYDAJ	VYBER	15	44428	SLUZBY	\N	\N
1191660	4079	1995-08-31	VYDAJ	VYBER	15	25679	SLUZBY	\N	\N
1191661	4079	1995-09-30	VYDAJ	VYBER	15	84931	SLUZBY	\N	\N
1191662	4079	1995-10-31	VYDAJ	VYBER	15	58161	SLUZBY	\N	\N
1191663	4079	1995-11-30	VYDAJ	VYBER	15	62563	SLUZBY	\N	\N
1191664	4079	1995-12-31	VYDAJ	VYBER	15	51888	SLUZBY	\N	\N
1191665	4079	1996-01-31	VYDAJ	VYBER	15	95087	SLUZBY	\N	\N
1191666	4079	1996-02-29	VYDAJ	VYBER	15	47763	SLUZBY	\N	\N
1191667	4079	1996-03-31	VYDAJ	VYBER	15	45993	SLUZBY	\N	\N
1191668	4079	1996-04-30	VYDAJ	VYBER	15	72378	SLUZBY	\N	\N
1191669	4079	1996-05-31	VYDAJ	VYBER	15	58860	SLUZBY	\N	\N
1191670	4079	1996-06-30	VYDAJ	VYBER	15	31152	SLUZBY	\N	\N
1191671	4079	1996-07-31	VYDAJ	VYBER	15	25686	SLUZBY	\N	\N
1191672	4079	1996-08-31	VYDAJ	VYBER	15	26762	SLUZBY	\N	\N
1191673	4079	1996-09-30	VYDAJ	VYBER	15	18874	SLUZBY	\N	\N
1191674	4079	1996-10-31	VYDAJ	VYBER	15	92689	SLUZBY	\N	\N
1191675	4079	1996-11-30	VYDAJ	VYBER	15	38788	SLUZBY	\N	\N
1191676	4079	1996-12-31	VYDAJ	VYBER	15	30421	SLUZBY	\N	\N
1191677	4079	1997-01-31	VYDAJ	VYBER	15	25152	SLUZBY	\N	\N
1191678	4079	1997-02-28	VYDAJ	VYBER	15	25074	SLUZBY	\N	\N
1191679	4079	1997-03-31	VYDAJ	VYBER	15	28202	SLUZBY	\N	\N
1191680	4079	1997-04-30	VYDAJ	VYBER	15	30541	SLUZBY	\N	\N
1191681	4079	1997-05-31	VYDAJ	VYBER	15	29382	SLUZBY	\N	\N
1191682	4079	1997-06-30	VYDAJ	VYBER	15	28220	SLUZBY	\N	\N
1191683	4079	1997-07-31	VYDAJ	VYBER	15	30160	SLUZBY	\N	\N
1191684	4079	1997-08-31	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
1191685	4079	1997-09-30	VYDAJ	VYBER	15	26246	SLUZBY	\N	\N
1191686	4079	1997-10-31	VYDAJ	VYBER	15	22566	SLUZBY	\N	\N
1191687	4079	1997-11-30	VYDAJ	VYBER	15	25388	SLUZBY	\N	\N
1191688	4079	1997-12-31	VYDAJ	VYBER	15	24512	SLUZBY	\N	\N
1191689	4079	1998-01-31	VYDAJ	VYBER	15	23430	SLUZBY	\N	\N
1191690	4079	1998-02-28	VYDAJ	VYBER	15	65363	SLUZBY	\N	\N
1191691	4079	1998-03-31	VYDAJ	VYBER	15	90213	SLUZBY	\N	\N
1191692	4079	1998-04-30	VYDAJ	VYBER	15	99168	SLUZBY	\N	\N
1191693	4079	1998-05-31	VYDAJ	VYBER	15	101833	SLUZBY	\N	\N
1191694	4079	1998-06-30	VYDAJ	VYBER	15	90630	SLUZBY	\N	\N
1191695	4079	1998-07-31	VYDAJ	VYBER	15	130305	SLUZBY	\N	\N
1191696	4079	1998-08-31	VYDAJ	VYBER	15	76465	SLUZBY	\N	\N
1191697	4079	1998-09-30	VYDAJ	VYBER	15	27274	SLUZBY	\N	\N
1191698	4079	1998-10-31	VYDAJ	VYBER	15	22995	SLUZBY	\N	\N
1191699	4079	1998-11-30	VYDAJ	VYBER	15	19501	SLUZBY	\N	\N
1191700	4079	1993-12-03	PRIJEM	VKLAD	10600	11200	\N	\N	\N
1191701	4079	1994-01-02	VYDAJ	VYBER	22000	45928	\N	\N	\N
1191702	4079	1994-02-01	VYDAJ	VYBER	20700	46960	\N	\N	\N
1191703	4079	1994-03-03	VYDAJ	VYBER	8500	33110	\N	\N	\N
1191704	4079	1994-04-02	VYDAJ	VYBER	33400	56903	\N	\N	\N
1191705	4079	1994-05-02	VYDAJ	VYBER	8700	37974	\N	\N	\N
1191706	4079	1994-06-01	VYDAJ	VYBER	22500	50726	\N	\N	\N
1191707	4079	1994-06-16	VYDAJ	VYBER	37200	93093	\N	\N	\N
1191708	4079	1994-07-01	VYDAJ	VYBER	19700	50170	\N	\N	\N
1191709	4079	1994-07-31	VYDAJ	VYBER	21100	50730	\N	\N	\N
1191710	4079	1994-08-30	VYDAJ	VYBER	8400	27197	\N	\N	\N
1191711	4079	1994-09-29	VYDAJ	VYBER	37300	64644	\N	\N	\N
1191712	4079	1994-10-08	VYDAJ	VYBER	17000	94210	\N	\N	\N
1191713	4079	1994-10-29	VYDAJ	VYBER	23900	50067	\N	\N	\N
1191714	4079	1994-11-28	PRIJEM	VKLAD	1600	30836	\N	\N	\N
1191715	4079	1994-12-28	VYDAJ	VYBER	26300	50823	\N	\N	\N
1191716	4079	1995-01-27	PRIJEM	VKLAD	2500	28042	\N	\N	\N
1191717	4079	1995-02-26	PRIJEM	VKLAD	7500	22900	\N	\N	\N
1191718	4079	1995-03-28	PRIJEM	VKLAD	6000	18820	\N	\N	\N
1191719	4079	1995-04-27	VYDAJ	VYBER	6400	31335	\N	\N	\N
1191720	4079	1995-05-13	VYDAJ	VYBER	34900	74467	\N	\N	\N
1191721	4079	1995-05-27	VYDAJ	VYBER	21200	53267	\N	\N	\N
1191722	4079	1995-06-26	VYDAJ	VYBER	8400	33925	\N	\N	\N
1191723	4079	1995-07-06	VYDAJ	VYBER	15000	105531	\N	\N	\N
1191724	4079	1995-07-10	VYDAJ	VYBER	46800	67017	\N	\N	\N
1191725	4079	1995-07-26	VYDAJ	VYBER	14000	44157	\N	\N	\N
1191726	4079	1995-08-25	PRIJEM	VKLAD	3200	25568	\N	\N	\N
1191727	4079	1995-09-20	VYDAJ	VYBER	15500	90859	\N	\N	\N
1191728	4079	1995-09-24	VYDAJ	VYBER	31200	53615	\N	\N	\N
1191729	4079	1995-10-07	VYDAJ	VYBER	27900	106534	\N	\N	\N
1191730	4079	1995-10-13	VYDAJ	VYBER	16700	113073	\N	\N	\N
1191731	4079	1995-10-13	VYDAJ	VYBER	25800	87273	\N	\N	\N
1191732	4079	1995-10-24	VYDAJ	VYBER	29300	57755	\N	\N	\N
1191733	4079	1995-11-08	VYDAJ	VYBER	55000	58363	\N	\N	\N
1191734	4079	1995-11-23	PRIJEM	VKLAD	2300	30617	\N	\N	\N
1191735	4079	1995-12-01	VYDAJ	VYBER	25900	86767	\N	\N	\N
1191736	4079	1995-12-23	VYDAJ	VYBER	22400	51607	\N	\N	\N
1191737	4079	1996-01-22	VYDAJ	VYBER	23200	56159	\N	\N	\N
1191738	4079	1996-02-01	VYDAJ	VYBER	61400	75151	\N	\N	\N
1191739	4079	1996-02-21	VYDAJ	VYBER	14300	47523	\N	\N	\N
1191740	4079	1996-03-22	PRIJEM	VKLAD	1300	23168	\N	\N	\N
1191741	4079	1996-04-21	VYDAJ	VYBER	2000	35133	\N	\N	\N
1191742	4079	1996-05-12	VYDAJ	VYBER	50700	55035	\N	\N	\N
1191743	4079	1996-05-21	VYDAJ	VYBER	38100	70587	\N	\N	\N
1191744	4079	1996-06-20	VYDAJ	VYBER	100	31000	\N	\N	\N
1191745	4079	1996-07-20	PRIJEM	VKLAD	3300	25592	\N	\N	\N
1191746	4079	1996-08-19	VYDAJ	VYBER	600	26668	\N	\N	\N
1191747	4079	1996-09-18	PRIJEM	VKLAD	900	18802	\N	\N	\N
1191748	4079	1996-10-18	VYDAJ	VYBER	6700	27122	\N	\N	\N
1191749	4079	1996-11-08	VYDAJ	VYBER	19200	110576	\N	\N	\N
1191750	4079	1996-11-17	VYDAJ	VYBER	38600	63116	\N	\N	\N
1191751	4079	1996-12-17	VYDAJ	VYBER	26200	53742	\N	\N	\N
1191752	4079	1997-01-16	PRIJEM	VKLAD	5300	25061	\N	\N	\N
1191753	4079	1997-02-15	PRIJEM	VKLAD	8700	24992	\N	\N	\N
1191754	4079	1997-03-17	PRIJEM	VKLAD	11900	28114	\N	\N	\N
1191755	4079	1997-04-16	PRIJEM	VKLAD	11100	30442	\N	\N	\N
1191756	4079	1997-05-16	PRIJEM	VKLAD	7600	29281	\N	\N	\N
1191757	4079	1997-06-15	PRIJEM	VKLAD	7600	28122	\N	\N	\N
1191758	4079	1997-07-15	PRIJEM	VKLAD	10700	30060	\N	\N	\N
1191759	4079	1997-08-14	PRIJEM	VKLAD	8500	29800	\N	\N	\N
1191760	4079	1997-09-13	PRIJEM	VKLAD	9900	26376	\N	\N	\N
1191761	4079	1997-10-13	PRIJEM	VKLAD	5100	22704	\N	\N	\N
1191762	4079	1997-11-12	PRIJEM	VKLAD	11600	29157	\N	\N	\N
1191763	4079	1997-12-12	PRIJEM	VKLAD	7900	28279	\N	\N	\N
1191764	4079	1998-01-11	PRIJEM	VKLAD	3900	32209	\N	\N	\N
1191765	4079	1998-02-10	PRIJEM	VKLAD	200	23630	\N	\N	\N
1191766	4079	1998-03-12	VYDAJ	VYBER	14100	42942	\N	\N	\N
1191767	4079	1998-04-11	VYDAJ	VYBER	30000	64261	\N	\N	\N
1191768	4079	1998-05-08	VYDAJ	VYBER	25700	111421	\N	\N	\N
1191769	4079	1998-05-11	VYDAJ	VYBER	27300	67247	\N	\N	\N
1191770	4079	1998-06-10	VYDAJ	VYBER	37000	64833	\N	\N	\N
1191771	4079	1998-07-10	VYDAJ	VYBER	27700	62930	\N	\N	\N
1191772	4079	1998-07-31	VYDAJ	VYBER	28800	101505	\N	\N	\N
1191773	4079	1998-08-09	VYDAJ	VYBER	32300	69205	\N	\N	\N
1191774	4079	1998-09-08	VYDAJ	VYBER	19200	57265	\N	\N	\N
1191775	4079	1998-10-08	PRIJEM	VKLAD	4500	31774	\N	\N	\N
1191776	4079	1998-11-07	PRIJEM	VKLAD	5300	28295	\N	\N	\N
1191777	4079	1998-12-07	PRIJEM	VKLAD	13600	33101	\N	\N	\N
1192286	4081	1995-07-22	PRIJEM	VKLAD	600	600	\N	\N	\N
1192294	4081	1995-08-13	PRIJEM	VKLAD	11878	12478	\N	\N	\N
1192295	4081	1995-09-13	PRIJEM	VKLAD	11878	31785	\N	\N	\N
1192296	4081	1995-10-13	PRIJEM	VKLAD	11878	40259	\N	\N	\N
1192297	4081	1995-11-13	PRIJEM	VKLAD	11878	43260	\N	\N	\N
1192298	4081	1995-12-13	PRIJEM	VKLAD	17817	53113	\N	\N	\N
1192299	4081	1996-01-13	PRIJEM	VKLAD	11878	37784	\N	\N	\N
1192300	4081	1996-02-13	PRIJEM	VKLAD	11878	25242	\N	\N	\N
1192301	4081	1996-03-13	PRIJEM	VKLAD	11878	22261	\N	\N	\N
1192302	4081	1996-04-13	PRIJEM	VKLAD	11878	16561	\N	\N	\N
1192303	4081	1996-05-13	PRIJEM	VKLAD	11878	14952	\N	\N	\N
1192304	4081	1996-06-13	PRIJEM	VKLAD	17817	19578	\N	\N	\N
1192305	4081	1996-07-13	PRIJEM	VKLAD	11878	14963	\N	\N	\N
1192306	4081	1996-08-13	PRIJEM	VKLAD	11878	21344	\N	\N	\N
1192307	4081	1996-09-13	PRIJEM	VKLAD	11878	14503	\N	\N	\N
1192308	4081	1996-10-13	PRIJEM	VKLAD	11878	13096	\N	\N	\N
1192309	4081	1996-11-13	PRIJEM	VKLAD	11878	12501	\N	\N	\N
1192310	4081	1996-12-13	PRIJEM	VKLAD	17817	15104	\N	\N	\N
1192311	4081	1997-01-13	PRIJEM	VKLAD	11878	11205	\N	\N	\N
1192312	4081	1997-02-13	PRIJEM	VKLAD	11878	10462	\N	\N	\N
1192313	4081	1997-03-13	PRIJEM	VKLAD	11878	9313	\N	\N	\N
1192314	4081	1997-04-13	PRIJEM	VKLAD	11878	21215	\N	\N	\N
1192315	4081	1997-05-13	PRIJEM	VKLAD	11878	18978	\N	\N	\N
1192316	4081	1997-06-13	PRIJEM	VKLAD	17817	15689	\N	\N	\N
1192317	4081	1997-07-13	PRIJEM	VKLAD	11878	15165	\N	\N	\N
1192318	4081	1997-08-13	PRIJEM	VKLAD	11878	11945	\N	\N	\N
1192319	4081	1997-09-13	PRIJEM	VKLAD	11878	10316	\N	\N	\N
1192320	4081	1997-10-13	PRIJEM	VKLAD	11878	8978	\N	\N	\N
1192321	4081	1997-11-13	PRIJEM	VKLAD	11878	11080	\N	\N	\N
1192322	4081	1997-12-13	PRIJEM	VKLAD	17817	13219	\N	\N	\N
1192323	4081	1998-01-13	PRIJEM	VKLAD	11878	5881	\N	\N	\N
1192324	4081	1998-02-13	PRIJEM	VKLAD	11878	13295	\N	\N	\N
1192325	4081	1998-03-13	PRIJEM	VKLAD	11878	3379	\N	\N	\N
1192326	4081	1998-04-13	PRIJEM	VKLAD	11878	5750	\N	\N	\N
1192327	4081	1998-05-13	PRIJEM	VKLAD	11878	4919	\N	\N	\N
1192328	4081	1998-06-13	PRIJEM	VKLAD	17817	9309	\N	\N	\N
1192329	4081	1998-07-13	PRIJEM	VKLAD	11878	7598	\N	\N	\N
1192330	4081	1998-08-13	PRIJEM	VKLAD	11878	19491	\N	\N	\N
1192331	4081	1998-09-13	PRIJEM	VKLAD	11878	15985	\N	\N	\N
1192332	4081	1998-10-13	PRIJEM	VKLAD	11878	6967	\N	\N	\N
1192333	4081	1998-11-13	PRIJEM	VKLAD	11878	-2259	\N	\N	\N
1192334	4081	1998-12-13	PRIJEM	VKLAD	17817	8800	\N	\N	\N
1192347	4081	1996-01-04	VYDAJ	VYBER	7600	31652	SIPO	\N	0
1192348	4081	1996-02-11	VYDAJ	VYBER	9200	19110	SIPO	\N	0
1192349	4081	1996-03-07	VYDAJ	VYBER	6000	16129	SIPO	\N	0
1192350	4081	1996-04-02	VYDAJ	VYBER	7400	10429	SIPO	\N	0
1192351	4081	1996-05-05	VYDAJ	VYBER	9800	8820	SIPO	\N	0
1192352	4081	1996-06-06	VYDAJ	VYBER	9200	7507	SIPO	\N	0
1192353	4081	1996-07-01	VYDAJ	VYBER	7800	8831	SIPO	\N	0
1192354	4081	1996-08-14	VYDAJ	VYBER	7100	14244	SIPO	\N	0
1192355	4081	1996-08-30	VYDAJ	VYBER	9500	2584	SIPO	\N	0
1192356	4081	1996-10-03	VYDAJ	VYBER	9500	1218	SIPO	\N	0
1192357	4081	1996-11-06	VYDAJ	VYBER	8800	623	SIPO	\N	0
1192358	4081	1996-12-06	VYDAJ	VYBER	8900	3033	SIPO	\N	0
1192359	4081	1997-01-05	VYDAJ	VYBER	8900	-673	SIPO	\N	0
1192360	4081	1997-01-29	VYDAJ	VYBER	6900	4305	SIPO	\N	0
1192361	4081	1997-03-02	VYDAJ	VYBER	7300	3181	SIPO	\N	0
1192362	4081	1997-04-17	VYDAJ	VYBER	8400	12815	SIPO	\N	0
1192363	4081	1997-05-15	VYDAJ	VYBER	6700	12278	SIPO	\N	0
1192364	4081	1997-06-01	VYDAJ	VYBER	8700	3618	SIPO	\N	0
1192365	4081	1997-07-07	VYDAJ	VYBER	6700	9033	SIPO	\N	0
1192366	4081	1997-08-02	VYDAJ	VYBER	9400	5813	SIPO	\N	0
1192367	4081	1997-09-05	VYDAJ	VYBER	7800	4184	SIPO	\N	0
1192368	4081	1997-10-09	VYDAJ	VYBER	7500	2846	SIPO	\N	0
1192369	4081	1997-11-05	VYDAJ	VYBER	9800	-798	SIPO	\N	0
1192370	4081	1997-12-10	VYDAJ	VYBER	9300	-4598	SIPO	\N	0
1192371	4081	1998-01-02	VYDAJ	VYBER	9500	-5997	SIPO	\N	0
1192372	4081	1998-02-13	VYDAJ	VYBER	6200	7095	SIPO	\N	0
1192373	4081	1998-03-01	VYDAJ	VYBER	8800	-1699	SIPO	\N	0
1192374	4081	1998-04-09	VYDAJ	VYBER	9500	-6128	SIPO	\N	0
1192375	4081	1998-04-28	VYDAJ	VYBER	7200	-6950	SIPO	\N	0
1192376	4081	1998-06-09	VYDAJ	VYBER	8700	-8508	SIPO	\N	0
1192377	4081	1998-07-05	VYDAJ	VYBER	7200	2120	SIPO	\N	0
1192378	4081	1998-08-17	VYDAJ	VYBER	9000	4091	SIPO	\N	0
1192379	4081	1998-09-16	VYDAJ	VYBER	8900	1185	SIPO	\N	0
1192380	4081	1998-10-11	VYDAJ	VYBER	6100	-4911	SIPO	\N	0
1192381	4081	1998-11-05	VYDAJ	VYBER	9700	-14137	SIPO	\N	0
1192382	4081	1998-12-12	VYDAJ	VYBER	6700	-9017	SIPO	\N	0
1192395	4081	1996-01-12	VYDAJ	PREVOD NA UCET	5746	25906	UVER	YZ	22211885
1192396	4081	1996-02-12	VYDAJ	PREVOD NA UCET	5746	13364	UVER	YZ	22211885
1192397	4081	1996-03-12	VYDAJ	PREVOD NA UCET	5746	10383	UVER	YZ	22211885
1192398	4081	1996-04-12	VYDAJ	PREVOD NA UCET	5746	4683	UVER	YZ	22211885
1192399	4081	1996-05-12	VYDAJ	PREVOD NA UCET	5746	3074	UVER	YZ	22211885
1192400	4081	1996-06-12	VYDAJ	PREVOD NA UCET	5746	1761	UVER	YZ	22211885
1192401	4081	1996-07-12	VYDAJ	PREVOD NA UCET	5746	3085	UVER	YZ	22211885
1192402	4081	1996-08-12	VYDAJ	PREVOD NA UCET	5746	9466	UVER	YZ	22211885
1192406	4081	1996-12-12	VYDAJ	PREVOD NA UCET	5746	-2713	UVER	YZ	22211885
1192408	4081	1997-02-12	VYDAJ	PREVOD NA UCET	5746	-1416	UVER	YZ	22211885
1192409	4081	1997-03-12	VYDAJ	PREVOD NA UCET	5746	-2566	UVER	YZ	22211885
1192411	4081	1997-05-12	VYDAJ	PREVOD NA UCET	5746	7100	UVER	YZ	22211885
1192412	4081	1997-06-12	VYDAJ	PREVOD NA UCET	5746	-2128	UVER	YZ	22211885
1192413	4081	1997-07-12	VYDAJ	PREVOD NA UCET	5746	3287	UVER	YZ	22211885
1192414	4081	1997-08-12	VYDAJ	PREVOD NA UCET	5746	67	UVER	YZ	22211885
1192415	4081	1997-09-12	VYDAJ	PREVOD NA UCET	5746	-1562	UVER	YZ	22211885
1192416	4081	1997-10-12	VYDAJ	PREVOD NA UCET	5746	-2900	UVER	YZ	22211885
1192418	4081	1997-11-23	VYDAJ	VYBER	6400	4680	\N	\N	0
1192419	4081	1998-01-01	VYDAJ	VYBER	7500	3503	\N	\N	0
1192421	4081	1998-03-09	VYDAJ	VYBER	6800	-8499	\N	\N	0
1192422	4081	1998-04-18	VYDAJ	VYBER	5500	250	\N	\N	0
1192425	4081	1998-07-10	VYDAJ	VYBER	6400	-4280	\N	\N	0
1192426	4081	1998-08-13	VYDAJ	VYBER	6400	13091	\N	\N	0
1192427	4081	1998-09-13	VYDAJ	VYBER	5900	10085	\N	\N	0
1192428	4081	1998-10-14	VYDAJ	VYBER	5200	1767	\N	\N	0
1192429	4081	1998-11-01	VYDAJ	VYBER	6200	-4437	\N	\N	0
1192437	4081	1997-12-20	VYDAJ	VYBER	2240	10979	\N	\N	\N
1192438	4081	1998-12-18	VYDAJ	VYBER	1760	7040	\N	\N	\N
1192444	4081	1996-11-25	VYDAJ	VYBER	600	11901	\N	\N	\N
1192446	4081	1996-08-19	VYDAJ	VYBER	1560	12084	\N	\N	\N
1192450	4081	1998-01-22	VYDAJ	VYBER	4440	1441	\N	\N	\N
1192451	4081	1998-05-17	VYDAJ	VYBER	4680	239	\N	\N	\N
1192464	4081	1995-12-31	VYDAJ	VYBER	15	39252	SLUZBY	\N	\N
1192465	4081	1996-01-31	VYDAJ	VYBER	15	28310	SLUZBY	\N	\N
1192466	4081	1996-02-29	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
1192467	4081	1996-03-31	VYDAJ	VYBER	15	17829	SLUZBY	\N	\N
1192468	4081	1996-04-30	VYDAJ	VYBER	15	18620	SLUZBY	\N	\N
1192469	4081	1996-05-31	VYDAJ	VYBER	15	16707	SLUZBY	\N	\N
1192470	4081	1996-06-30	VYDAJ	VYBER	15	16631	SLUZBY	\N	\N
1192471	4081	1996-07-31	VYDAJ	VYBER	15	15212	SLUZBY	\N	\N
1192472	4081	1996-08-31	VYDAJ	VYBER	15	2625	SLUZBY	\N	\N
1192473	4081	1996-09-30	VYDAJ	VYBER	15	10718	SLUZBY	\N	\N
1192474	4081	1996-10-31	VYDAJ	VYBER	15	9423	SLUZBY	\N	\N
1192475	4081	1996-11-30	VYDAJ	VYBER	15	11933	SLUZBY	\N	\N
1192476	4081	1996-12-31	VYDAJ	VYBER	15	8227	SLUZBY	\N	\N
1192477	4081	1997-01-31	VYDAJ	VYBER	15	4330	SLUZBY	\N	\N
1192478	4081	1997-02-28	VYDAJ	VYBER	15	10481	SLUZBY	\N	\N
1192479	4081	1997-03-31	VYDAJ	VYBER	15	9337	SLUZBY	\N	\N
1192480	4081	1997-04-30	VYDAJ	VYBER	15	12846	SLUZBY	\N	\N
1192481	4081	1997-05-31	VYDAJ	VYBER	15	12318	SLUZBY	\N	\N
1192482	4081	1997-06-30	VYDAJ	VYBER	15	15733	SLUZBY	\N	\N
1192483	4081	1997-07-31	VYDAJ	VYBER	15	15213	SLUZBY	\N	\N
1192484	4081	1997-08-31	VYDAJ	VYBER	15	11984	SLUZBY	\N	\N
1192485	4081	1997-09-30	VYDAJ	VYBER	15	10347	SLUZBY	\N	\N
1192486	4081	1997-10-31	VYDAJ	VYBER	15	9002	SLUZBY	\N	\N
1192487	4081	1997-11-30	VYDAJ	VYBER	15	4702	SLUZBY	\N	\N
1192488	4081	1997-12-31	VYDAJ	VYBER	15	11003	SLUZBY	\N	\N
1192489	4081	1998-01-31	VYDAJ	VYBER	15	1417	SLUZBY	\N	\N
1192490	4081	1998-02-28	VYDAJ	VYBER	15	7101	SLUZBY	\N	\N
1192491	4081	1998-03-31	VYDAJ	VYBER	15	3372	SLUZBY	\N	\N
1192492	4081	1998-04-30	VYDAJ	VYBER	15	-6953	SLUZBY	\N	\N
1192493	4081	1998-05-31	VYDAJ	VYBER	15	192	SLUZBY	\N	\N
1192494	4081	1998-06-30	VYDAJ	VYBER	15	9320	SLUZBY	\N	\N
1192495	4081	1998-07-31	VYDAJ	VYBER	15	7613	SLUZBY	\N	\N
1192496	4081	1998-08-31	VYDAJ	VYBER	15	4107	SLUZBY	\N	\N
1192497	4081	1998-09-30	VYDAJ	VYBER	15	1189	SLUZBY	\N	\N
1192498	4081	1998-10-31	VYDAJ	VYBER	15	1763	SLUZBY	\N	\N
1192499	4081	1998-11-30	VYDAJ	VYBER	15	-2272	SLUZBY	\N	\N
1192500	4081	1995-08-21	PRIJEM	VKLAD	7400	19878	\N	\N	\N
1192501	4081	1995-09-20	VYDAJ	VYBER	3500	28285	\N	\N	\N
1192502	4081	1995-10-20	VYDAJ	VYBER	9000	31259	\N	\N	\N
1192503	4081	1995-11-19	VYDAJ	VYBER	8100	35160	\N	\N	\N
1192504	4081	1995-12-19	VYDAJ	VYBER	14000	39113	\N	\N	\N
1192505	4081	1996-01-18	VYDAJ	VYBER	9600	28184	\N	\N	\N
1192506	4081	1996-02-17	VYDAJ	VYBER	3200	22042	\N	\N	\N
1192507	4081	1996-03-18	VYDAJ	VYBER	4500	17761	\N	\N	\N
1192508	4081	1996-04-17	PRIJEM	VKLAD	2000	18561	\N	\N	\N
1192509	4081	1996-05-17	PRIJEM	VKLAD	1700	16652	\N	\N	\N
1192510	4081	1996-06-16	VYDAJ	VYBER	3000	16578	\N	\N	\N
1192511	4081	1996-07-16	PRIJEM	VKLAD	200	15163	\N	\N	\N
1192512	4081	1996-08-15	VYDAJ	VYBER	600	13644	\N	\N	\N
1192513	4081	1996-09-14	VYDAJ	VYBER	3800	10703	\N	\N	\N
1192514	4081	1996-10-14	VYDAJ	VYBER	3700	9396	\N	\N	\N
1192515	4081	1996-12-13	VYDAJ	VYBER	6900	8204	\N	\N	\N
1192557	4082	1994-11-08	PRIJEM	VKLAD	500	500	\N	\N	\N
1192559	4082	1994-11-30	PRIJEM	VKLAD	10694	24825	\N	\N	\N
1192565	4082	1994-11-12	PRIJEM	VKLAD	13631	14131	\N	\N	\N
1192569	4082	1994-12-14	PRIJEM	VKLAD	26882	53246	\N	\N	\N
1192571	4082	1995-12-08	PRIJEM	VKLAD	11698	37988	\N	\N	\N
1192572	4082	1995-06-19	PRIJEM	VKLAD	20721	45448	\N	\N	\N
1192573	4082	1995-12-03	PRIJEM	VKLAD	5086	31290	\N	\N	\N
1192574	4082	1997-11-30	PRIJEM	VKLAD	37567	82862	\N	\N	\N
1192575	4082	1997-06-10	PRIJEM	VKLAD	41067	138618	\N	\N	\N
1192576	4082	1997-03-12	PRIJEM	VKLAD	30919	52819	\N	\N	\N
1192577	4082	1997-09-14	PRIJEM	VKLAD	37243	140858	\N	\N	\N
1192578	4082	1997-06-16	PRIJEM	VKLAD	5580	121098	\N	\N	\N
1192579	4082	1997-02-12	PRIJEM	VKLAD	25864	56188	\N	\N	\N
1192580	4082	1997-08-26	PRIJEM	VKLAD	8222	57059	\N	\N	\N
1192581	4082	1997-05-11	PRIJEM	VKLAD	5110	53932	\N	\N	\N
1192582	4082	1997-01-25	PRIJEM	VKLAD	5583	4195	\N	\N	\N
1192583	4082	1997-01-30	PRIJEM	VKLAD	18729	30324	\N	\N	\N
1192584	4082	1997-08-18	PRIJEM	VKLAD	14539	86937	\N	\N	\N
1192585	4082	1997-11-03	PRIJEM	VKLAD	21748	67752	\N	\N	\N
1192586	4082	1997-07-09	PRIJEM	VKLAD	18438	62471	\N	\N	\N
1192587	4082	1997-04-26	PRIJEM	VKLAD	27418	76020	\N	\N	\N
1192588	4082	1997-12-21	PRIJEM	VKLAD	29675	100169	\N	\N	\N
1192589	4082	1997-10-06	PRIJEM	VKLAD	40422	95690	\N	\N	\N
1192590	4082	1997-05-14	PRIJEM	VKLAD	28522	82454	\N	\N	\N
1192591	4082	1997-09-13	PRIJEM	VKLAD	46327	103615	\N	\N	\N
1192592	4082	1997-07-18	PRIJEM	VKLAD	48204	110675	\N	\N	\N
1192593	4082	1997-11-19	PRIJEM	VKLAD	12287	105638	\N	\N	\N
1192594	4082	1997-05-28	PRIJEM	VKLAD	46229	97283	\N	\N	\N
1192595	4082	1997-07-01	PRIJEM	VKLAD	33995	55433	\N	\N	\N
1192596	4082	1997-09-19	PRIJEM	VKLAD	11965	131423	\N	\N	\N
1192597	4082	1997-08-09	PRIJEM	VKLAD	43888	85298	\N	\N	\N
1192598	4082	1997-03-18	PRIJEM	VKLAD	40467	93286	\N	\N	\N
1192599	4082	1997-11-09	PRIJEM	VKLAD	25599	93351	\N	\N	\N
1192600	4082	1997-11-21	PRIJEM	VKLAD	12560	118198	\N	\N	\N
1192601	4082	1998-01-10	PRIJEM	VKLAD	25507	55098	\N	\N	\N
1192602	4082	1998-05-06	PRIJEM	VKLAD	33062	50148	\N	\N	\N
1192603	4082	1998-11-11	PRIJEM	VKLAD	19902	58565	\N	\N	\N
1192604	4082	1998-12-26	PRIJEM	VKLAD	48559	68887	\N	\N	\N
1192605	4082	1998-08-05	PRIJEM	VKLAD	32835	55564	\N	\N	\N
1192606	4082	1998-12-27	PRIJEM	VKLAD	16083	84970	\N	\N	\N
1192621	4082	1995-12-27	VYBER	VYBER	21492	16496	\N	\N	\N
1192624	4082	1997-12-03	VYBER	VYBER	9354	73494	\N	\N	\N
1192625	4082	1998-09-08	VYBER	VYBER	21776	28413	\N	\N	\N
1192627	4082	1998-06-30	VYBER	VYBER	8911	8922	\N	\N	\N
1192628	4082	1998-12-24	VYBER	VYBER	10828	20328	\N	\N	\N
1192629	4082	1998-01-02	VYBER	VYBER	9758	48791	\N	\N	\N
1192630	4082	1998-06-18	VYBER	VYBER	7723	4568	\N	\N	\N
1192631	4082	1998-05-30	VYBER	VYBER	23284	16964	\N	\N	\N
1192632	4082	1998-12-05	VYBER	VYBER	19720	13456	\N	\N	\N
1192633	4082	1998-12-04	VYBER	VYBER	17662	36476	\N	\N	\N
1192634	4082	1998-06-07	VYBER	VYBER	4763	12291	\N	\N	\N
1192635	4082	1998-02-11	VYBER	VYBER	19759	6703	\N	\N	\N
1192640	4082	1997-06-21	VYDAJ	VYBER	60600	29198	\N	\N	\N
1192646	4082	1998-01-08	VYDAJ	VYBER	13500	35291	\N	\N	\N
1192649	4082	1996-12-21	VYDAJ	VYBER	3300	7582	\N	\N	\N
1192650	4082	1997-12-10	VYDAJ	VYBER	3000	70494	\N	\N	\N
1192651	4082	1998-12-04	VYDAJ	VYBER	3300	33176	\N	\N	\N
1192664	4082	1996-01-14	VYDAJ	VYBER	3000	7723	\N	\N	\N
1192666	4082	1996-01-17	VYDAJ	VYBER	2400	5323	\N	\N	\N
1192667	4082	1996-01-10	VYDAJ	VYBER	1800	10723	\N	\N	\N
1192668	4082	1996-01-04	VYDAJ	VYBER	3000	12523	\N	\N	\N
1192669	4082	1996-01-03	VYDAJ	VYBER	5100	15523	\N	\N	\N
1192670	4082	1997-01-10	VYDAJ	VYBER	3300	-1388	\N	\N	\N
1192672	4082	1997-01-05	VYDAJ	VYBER	3000	1912	\N	\N	\N
1192675	4082	1997-01-05	VYDAJ	VYBER	6000	4912	\N	\N	\N
1192676	4082	1998-01-19	VYDAJ	VYBER	4200	41598	\N	\N	\N
1192677	4082	1998-01-10	VYDAJ	VYBER	1500	53598	\N	\N	\N
1192678	4082	1998-01-12	VYDAJ	VYBER	1800	51798	\N	\N	\N
1192679	4082	1998-01-27	VYDAJ	VYBER	5100	26298	\N	\N	\N
1192680	4082	1998-01-08	VYDAJ	VYBER	5700	29591	\N	\N	\N
1192681	4082	1998-01-15	VYDAJ	VYBER	6000	45798	\N	\N	\N
1192691	4082	1996-07-13	VYDAJ	VYBER	14100	744	\N	\N	\N
1192693	4082	1996-10-02	VYDAJ	VYBER	3300	9732	\N	\N	\N
1192694	4082	1996-03-21	VYDAJ	VYBER	1800	13053	\N	\N	\N
1192695	4082	1997-07-06	VYDAJ	VYBER	11400	44033	\N	\N	\N
1192696	4082	1997-10-31	VYDAJ	VYBER	9900	46004	\N	\N	\N
1192697	4082	1997-08-13	VYDAJ	VYBER	12900	72398	\N	\N	\N
1192698	4082	1997-03-09	VYDAJ	VYBER	11700	21900	\N	\N	\N
1192699	4082	1997-09-23	VYDAJ	VYBER	1800	99023	\N	\N	\N
1192700	4082	1997-03-23	VYDAJ	VYBER	12900	80386	\N	\N	\N
1192701	4082	1998-04-10	VYDAJ	VYBER	11100	8026	\N	\N	\N
1192702	4082	1998-05-19	VYDAJ	VYBER	3900	46248	\N	\N	\N
1192703	4082	1998-09-25	VYDAJ	VYBER	13800	25213	\N	\N	\N
1192728	4082	1995-12-31	VYDAJ	VYBER	15	16623	SLUZBY	\N	\N
1192729	4082	1996-01-31	VYDAJ	VYBER	15	5344	SLUZBY	\N	\N
1192730	4082	1996-02-29	VYDAJ	VYBER	15	15453	SLUZBY	\N	\N
1192731	4082	1996-03-31	VYDAJ	VYBER	15	13099	SLUZBY	\N	\N
1192732	4082	1996-04-30	VYDAJ	VYBER	15	15639	SLUZBY	\N	\N
1192733	4082	1996-05-31	VYDAJ	VYBER	15	16789	SLUZBY	\N	\N
1192734	4082	1996-06-30	VYDAJ	VYBER	15	15744	SLUZBY	\N	\N
1192735	4082	1996-07-31	VYDAJ	VYBER	15	7589	SLUZBY	\N	\N
1192736	4082	1996-08-31	VYDAJ	VYBER	15	9805	SLUZBY	\N	\N
1192737	4082	1996-09-30	VYDAJ	VYBER	15	13032	SLUZBY	\N	\N
1192738	4082	1996-10-31	VYDAJ	VYBER	15	7067	SLUZBY	\N	\N
1192739	4082	1996-11-30	VYDAJ	VYBER	15	10882	SLUZBY	\N	\N
1192740	4082	1996-12-31	VYDAJ	VYBER	15	10912	SLUZBY	\N	\N
1192741	4082	1997-01-31	VYDAJ	VYBER	15	30324	SLUZBY	\N	\N
1192742	4082	1997-02-28	VYDAJ	VYBER	15	33600	SLUZBY	\N	\N
1192743	4082	1997-03-31	VYDAJ	VYBER	15	48602	SLUZBY	\N	\N
1192744	4082	1997-04-30	VYDAJ	VYBER	15	48822	SLUZBY	\N	\N
1192745	4082	1997-05-31	VYDAJ	VYBER	15	97551	SLUZBY	\N	\N
1192746	4082	1997-06-30	VYDAJ	VYBER	15	21438	SLUZBY	\N	\N
1192747	4082	1997-07-31	VYDAJ	VYBER	15	41410	SLUZBY	\N	\N
1192748	4082	1997-08-31	VYDAJ	VYBER	15	57288	SLUZBY	\N	\N
1192749	4082	1997-09-30	VYDAJ	VYBER	15	55268	SLUZBY	\N	\N
1192750	4082	1997-10-31	VYDAJ	VYBER	15	55904	SLUZBY	\N	\N
1192751	4082	1997-11-30	VYDAJ	VYBER	15	82848	SLUZBY	\N	\N
1192752	4082	1997-12-31	VYDAJ	VYBER	15	58549	SLUZBY	\N	\N
1192753	4082	1998-01-31	VYDAJ	VYBER	15	26462	SLUZBY	\N	\N
1192754	4082	1998-02-28	VYDAJ	VYBER	15	14781	SLUZBY	\N	\N
1192755	4082	1998-03-31	VYDAJ	VYBER	15	19126	SLUZBY	\N	\N
1192756	4082	1998-04-30	VYDAJ	VYBER	15	17086	SLUZBY	\N	\N
1192757	4082	1998-05-31	VYDAJ	VYBER	15	17054	SLUZBY	\N	\N
1192758	4082	1998-06-30	VYDAJ	VYBER	15	8907	SLUZBY	\N	\N
1192759	4082	1998-07-31	VYDAJ	VYBER	15	22729	SLUZBY	\N	\N
1192760	4082	1998-08-31	VYDAJ	VYBER	15	50189	SLUZBY	\N	\N
1192761	4082	1998-09-30	VYDAJ	VYBER	15	25373	SLUZBY	\N	\N
1192762	4082	1998-10-31	VYDAJ	VYBER	15	38663	SLUZBY	\N	\N
1192763	4082	1998-11-30	VYDAJ	VYBER	15	54138	SLUZBY	\N	\N
1192764	4082	1994-12-08	PRIJEM	VKLAD	1500	26364	\N	\N	\N
1192765	4082	1995-01-07	VYDAJ	VYBER	12500	40918	\N	\N	\N
1192766	4082	1995-02-06	VYDAJ	VYBER	10900	30240	\N	\N	\N
1192767	4082	1995-03-08	VYDAJ	VYBER	3700	26762	\N	\N	\N
1192768	4082	1995-04-07	VYDAJ	VYBER	4000	22984	\N	\N	\N
1192769	4082	1995-05-07	VYDAJ	VYBER	1200	22005	\N	\N	\N
1192770	4082	1995-06-06	PRIJEM	VKLAD	2500	24727	\N	\N	\N
1192771	4082	1995-07-06	VYDAJ	VYBER	12300	33357	\N	\N	\N
1192772	4082	1995-08-05	VYDAJ	VYBER	2900	30646	\N	\N	\N
1192773	4082	1995-09-04	VYDAJ	VYBER	1000	29836	\N	\N	\N
1192774	4082	1995-10-04	VYDAJ	VYBER	4300	25725	\N	\N	\N
1192775	4082	1995-11-03	PRIJEM	VKLAD	100	26015	\N	\N	\N
1192776	4082	1995-12-03	VYDAJ	VYBER	5000	26290	\N	\N	\N
1192777	4082	1996-01-02	PRIJEM	VKLAD	4000	20623	\N	\N	\N
1192778	4082	1996-02-01	PRIJEM	VKLAD	10100	15444	\N	\N	\N
1192779	4082	1996-03-02	VYDAJ	VYBER	600	14853	\N	\N	\N
1192780	4082	1996-04-01	PRIJEM	VKLAD	2500	15599	\N	\N	\N
1192781	4082	1996-05-01	PRIJEM	VKLAD	1100	16739	\N	\N	\N
1192782	4082	1996-05-31	VYDAJ	VYBER	1100	15689	\N	\N	\N
1192783	4082	1996-06-30	VYDAJ	VYBER	900	14844	\N	\N	\N
1192784	4082	1996-07-30	PRIJEM	VKLAD	6800	7544	\N	\N	\N
1192785	4082	1996-08-29	PRIJEM	VKLAD	2200	9789	\N	\N	\N
1192786	4082	1996-09-28	PRIJEM	VKLAD	3200	13005	\N	\N	\N
1192787	4082	1996-10-28	VYDAJ	VYBER	2700	7032	\N	\N	\N
1192788	4082	1996-11-27	PRIJEM	VKLAD	3800	10867	\N	\N	\N
1192789	4082	1996-12-27	PRIJEM	VKLAD	3300	10882	\N	\N	\N
1192790	4082	1997-01-26	PRIJEM	VKLAD	7400	11595	\N	\N	\N
1192791	4082	1997-02-25	VYDAJ	VYBER	22700	33488	\N	\N	\N
1192792	4082	1997-03-27	VYDAJ	VYBER	32000	48386	\N	\N	\N
1192793	4082	1997-04-26	VYDAJ	VYBER	27400	48620	\N	\N	\N
1192794	4082	1997-05-26	VYDAJ	VYBER	31400	51054	\N	\N	\N
1192795	4082	1997-06-10	VYDAJ	VYBER	23100	115518	\N	\N	\N
1192796	4082	1997-06-16	VYDAJ	VYBER	31300	89798	\N	\N	\N
1192797	4082	1997-06-25	VYDAJ	VYBER	8100	21098	\N	\N	\N
1192798	4082	1997-07-18	VYDAJ	VYBER	34600	76075	\N	\N	\N
1192799	4082	1997-07-25	VYDAJ	VYBER	34900	41175	\N	\N	\N
1192800	4082	1997-08-24	VYDAJ	VYBER	38100	48837	\N	\N	\N
1192801	4082	1997-09-14	VYDAJ	VYBER	21400	119458	\N	\N	\N
1192802	4082	1997-09-19	VYDAJ	VYBER	30600	100823	\N	\N	\N
1192803	4082	1997-09-23	VYDAJ	VYBER	44100	54923	\N	\N	\N
1192804	4082	1997-10-23	VYDAJ	VYBER	40000	55690	\N	\N	\N
1192805	4082	1997-11-21	VYDAJ	VYBER	47200	70998	\N	\N	\N
1192806	4082	1997-11-22	VYDAJ	VYBER	26000	44998	\N	\N	\N
1192807	4082	1997-12-22	VYDAJ	VYBER	41900	58269	\N	\N	\N
1192808	4082	1998-01-21	VYDAJ	VYBER	10200	31398	\N	\N	\N
1192809	4082	1998-02-20	PRIJEM	VKLAD	8000	14703	\N	\N	\N
1192810	4082	1998-03-22	PRIJEM	VKLAD	4300	19081	\N	\N	\N
1192811	4082	1998-04-21	PRIJEM	VKLAD	9000	17026	\N	\N	\N
1192812	4082	1998-05-21	VYDAJ	VYBER	6000	40248	\N	\N	\N
1192813	4082	1998-06-20	PRIJEM	VKLAD	13200	17768	\N	\N	\N
1192814	4082	1998-07-20	PRIJEM	VKLAD	13800	22707	\N	\N	\N
1192815	4082	1998-08-19	VYDAJ	VYBER	5500	50064	\N	\N	\N
1192816	4082	1998-09-18	PRIJEM	VKLAD	10600	39013	\N	\N	\N
1192817	4082	1998-10-18	PRIJEM	VKLAD	13200	38573	\N	\N	\N
1192818	4082	1998-11-17	VYDAJ	VYBER	4600	53965	\N	\N	\N
1192819	4082	1998-12-17	PRIJEM	VKLAD	17700	31156	\N	\N	\N
1193752	4086	1996-07-17	PRIJEM	VKLAD	700	700	\N	\N	\N
1193760	4086	1996-08-06	PRIJEM	PREVOD Z UCTU	42357	43057	\N	IJ	74141978
1193761	4086	1996-09-06	PRIJEM	PREVOD Z UCTU	42357	77489	\N	IJ	74141978
1193762	4086	1996-10-06	PRIJEM	PREVOD Z UCTU	42357	92726	\N	IJ	74141978
1193763	4086	1996-11-06	PRIJEM	PREVOD Z UCTU	42357	102414	\N	IJ	74141978
1193764	4086	1996-12-06	PRIJEM	PREVOD Z UCTU	63536	125103	\N	IJ	74141978
1193765	4086	1997-01-06	PRIJEM	PREVOD Z UCTU	42357	63596	\N	IJ	74141978
1193766	4086	1997-02-06	PRIJEM	PREVOD Z UCTU	42357	68076	\N	IJ	74141978
1193767	4086	1997-03-06	PRIJEM	PREVOD Z UCTU	42357	89216	\N	IJ	74141978
1193768	4086	1997-04-06	PRIJEM	PREVOD Z UCTU	42357	81147	\N	IJ	74141978
1193769	4086	1997-05-06	PRIJEM	PREVOD Z UCTU	42357	94433	\N	IJ	74141978
1193770	4086	1997-06-06	PRIJEM	PREVOD Z UCTU	63536	104385	\N	IJ	74141978
1193771	4086	1997-07-06	PRIJEM	PREVOD Z UCTU	42357	74206	\N	IJ	74141978
1193772	4086	1997-08-06	PRIJEM	PREVOD Z UCTU	42357	77896	\N	IJ	74141978
1193773	4086	1997-09-06	PRIJEM	PREVOD Z UCTU	42357	79210	\N	IJ	74141978
1193774	4086	1997-10-06	PRIJEM	PREVOD Z UCTU	42357	84219	\N	IJ	74141978
1193775	4086	1997-11-06	PRIJEM	PREVOD Z UCTU	42357	76623	\N	IJ	74141978
1193776	4086	1997-12-06	PRIJEM	PREVOD Z UCTU	63536	104707	\N	IJ	74141978
1193777	4086	1998-01-06	PRIJEM	PREVOD Z UCTU	42357	68840	\N	IJ	74141978
1193778	4086	1998-02-06	PRIJEM	PREVOD Z UCTU	42357	67102	\N	IJ	74141978
1193779	4086	1998-03-06	PRIJEM	PREVOD Z UCTU	42357	70463	\N	IJ	74141978
1193780	4086	1998-04-06	PRIJEM	PREVOD Z UCTU	42357	68087	\N	IJ	74141978
1193781	4086	1998-05-06	PRIJEM	PREVOD Z UCTU	42357	75799	\N	IJ	74141978
1193782	4086	1998-06-06	PRIJEM	PREVOD Z UCTU	63536	98663	\N	IJ	74141978
1193783	4086	1998-07-06	PRIJEM	PREVOD Z UCTU	42357	82169	\N	IJ	74141978
1193784	4086	1998-08-06	PRIJEM	PREVOD Z UCTU	42357	71656	\N	IJ	74141978
1193785	4086	1998-09-06	PRIJEM	PREVOD Z UCTU	42357	59062	\N	IJ	74141978
1193786	4086	1998-10-06	PRIJEM	PREVOD Z UCTU	42357	68116	\N	IJ	74141978
1193787	4086	1998-11-06	PRIJEM	PREVOD Z UCTU	42357	76228	\N	IJ	74141978
1193788	4086	1998-12-06	PRIJEM	PREVOD Z UCTU	63536	98194	\N	IJ	74141978
1193791	4086	1996-12-22	VYBER	VYBER	20698	21005	\N	\N	\N
1193793	4086	1997-07-20	VYBER	VYBER	7507	35399	\N	\N	\N
1193794	4086	1997-04-01	VYBER	VYBER	13251	38790	\N	\N	\N
1193795	4086	1997-12-10	VYBER	VYBER	17655	37752	\N	\N	\N
1193796	4086	1997-06-30	VYBER	VYBER	11116	31864	\N	\N	\N
1193797	4086	1997-06-01	VYBER	VYBER	8194	47149	\N	\N	\N
1193798	4086	1997-10-16	VYBER	VYBER	13801	34118	\N	\N	\N
1193799	4086	1997-06-23	VYBER	VYBER	17859	42726	\N	\N	\N
1193802	4086	1998-03-09	VYBER	VYBER	22493	47970	\N	\N	\N
1193803	4086	1998-09-30	VYBER	VYBER	5014	54274	\N	\N	\N
1193805	4086	1998-04-24	VYBER	VYBER	3970	33317	\N	\N	\N
1193807	4086	1998-12-23	VYBER	VYBER	2134	82260	\N	\N	\N
1193808	4086	1998-10-13	VYBER	VYBER	23932	44184	\N	\N	\N
1193813	4086	1997-12-21	VYDAJ	VYBER KARTOU	2400	26352	\N	\N	0
1193814	4086	1998-12-14	VYDAJ	VYBER	5400	92794	\N	\N	\N
1193821	4086	1997-01-20	VYDAJ	VYBER	8700	30996	\N	\N	\N
1193822	4086	1997-01-08	VYDAJ	VYBER	2400	61196	\N	\N	\N
1193823	4086	1997-01-11	VYDAJ	VYBER	5700	53396	\N	\N	\N
1193824	4086	1997-01-21	VYDAJ	VYBER	5400	25596	\N	\N	\N
1193826	4086	1997-01-09	VYDAJ	VYBER	2100	59096	\N	\N	\N
1193827	4086	1998-01-13	VYDAJ	VYBER KARTOU	2100	33040	\N	\N	0
1193828	4086	1998-01-08	VYDAJ	VYBER KARTOU	2100	61340	\N	\N	0
1193829	4086	1998-01-07	VYDAJ	VYBER	5400	63440	\N	\N	\N
1193831	4086	1998-01-17	VYDAJ	VYBER KARTOU	3900	24640	\N	\N	0
1193832	4086	1998-01-15	VYDAJ	VYBER	4500	28540	\N	\N	\N
1193838	4086	1997-06-01	VYDAJ	VYBER	6300	40849	\N	\N	\N
1193839	4086	1997-03-07	VYDAJ	VYBER	7800	81416	\N	\N	\N
1193840	4086	1997-08-31	VYDAJ	VYBER	5100	36867	\N	\N	\N
1193841	4086	1997-02-06	VYDAJ	VYBER	2100	65976	\N	\N	\N
1193842	4086	1997-12-10	VYDAJ	VYBER	9000	28752	\N	\N	\N
1193843	4086	1997-03-13	VYDAJ	VYBER	3600	77816	\N	\N	\N
1193844	4086	1997-07-11	VYDAJ	VYBER KARTOU	3300	70906	\N	\N	0
1193845	4086	1997-08-28	VYDAJ	VYBER KARTOU	2700	41796	\N	\N	0
1193846	4086	1998-06-09	VYDAJ	VYBER	11400	39663	\N	\N	\N
1193847	4086	1998-02-11	VYDAJ	VYBER	10200	28002	\N	\N	\N
1193848	4086	1998-12-18	VYDAJ	VYBER	8400	84394	\N	\N	\N
1193849	4086	1998-10-25	VYDAJ	VYBER	10500	33684	\N	\N	\N
1193850	4086	1998-07-17	VYDAJ	VYBER	11700	29169	\N	\N	\N
1193864	4086	1996-12-31	VYDAJ	VYBER	15	21239	SLUZBY	\N	\N
1193865	4086	1997-01-31	VYDAJ	VYBER	15	25719	SLUZBY	\N	\N
1193866	4086	1997-02-28	VYDAJ	VYBER	15	46859	SLUZBY	\N	\N
1193867	4086	1997-03-31	VYDAJ	VYBER	15	52041	SLUZBY	\N	\N
1193868	4086	1997-04-30	VYDAJ	VYBER	15	52076	SLUZBY	\N	\N
1193869	4086	1997-05-31	VYDAJ	VYBER	15	55343	SLUZBY	\N	\N
1193870	4086	1997-06-30	VYDAJ	VYBER	15	31849	SLUZBY	\N	\N
1193871	4086	1997-07-31	VYDAJ	VYBER	15	35539	SLUZBY	\N	\N
1193872	4086	1997-08-31	VYDAJ	VYBER	15	36853	SLUZBY	\N	\N
1193873	4086	1997-09-30	VYDAJ	VYBER	15	41862	SLUZBY	\N	\N
1193874	4086	1997-10-31	VYDAJ	VYBER	15	34266	SLUZBY	\N	\N
1193875	4086	1997-11-30	VYDAJ	VYBER	15	41171	SLUZBY	\N	\N
1193876	4086	1997-12-31	VYDAJ	VYBER	15	26483	SLUZBY	\N	\N
1193877	4086	1998-01-31	VYDAJ	VYBER	15	24745	SLUZBY	\N	\N
1193878	4086	1998-02-28	VYDAJ	VYBER	15	28106	SLUZBY	\N	\N
1193879	4086	1998-03-31	VYDAJ	VYBER	15	25730	SLUZBY	\N	\N
1193880	4086	1998-04-30	VYDAJ	VYBER	15	33442	SLUZBY	\N	\N
1193881	4086	1998-05-31	VYDAJ	VYBER	15	35127	SLUZBY	\N	\N
1193882	4086	1998-06-30	VYDAJ	VYBER	15	39812	SLUZBY	\N	\N
1193883	4086	1998-07-31	VYDAJ	VYBER	15	29299	SLUZBY	\N	\N
1193884	4086	1998-08-31	VYDAJ	VYBER	15	33705	SLUZBY	\N	\N
1193885	4086	1998-09-30	VYDAJ	VYBER	15	54259	SLUZBY	\N	\N
1193886	4086	1998-10-31	VYDAJ	VYBER	15	33871	SLUZBY	\N	\N
1193887	4086	1998-11-30	VYDAJ	VYBER	15	76358	SLUZBY	\N	\N
1193888	4086	1996-08-16	VYDAJ	VYBER	8000	35057	\N	\N	\N
1193889	4086	1996-09-15	VYDAJ	VYBER	27300	50189	\N	\N	\N
1193890	4086	1996-10-15	VYDAJ	VYBER	32900	59826	\N	\N	\N
1193891	4086	1996-11-14	VYDAJ	VYBER	41100	61314	\N	\N	\N
1193892	4086	1996-12-06	VYDAJ	VYBER	63900	61203	\N	\N	\N
1193893	4086	1996-12-14	VYDAJ	VYBER	19500	41703	\N	\N	\N
1193894	4086	1997-01-13	VYDAJ	VYBER	13700	39696	\N	\N	\N
1193895	4086	1997-02-12	VYDAJ	VYBER	19300	46676	\N	\N	\N
1193896	4086	1997-03-14	VYDAJ	VYBER	26000	51816	\N	\N	\N
1193897	4086	1997-04-13	VYDAJ	VYBER	29300	51847	\N	\N	\N
1193898	4086	1997-05-13	VYDAJ	VYBER	39300	55133	\N	\N	\N
1193899	4086	1997-06-12	VYDAJ	VYBER	43800	60585	\N	\N	\N
1193900	4086	1997-07-12	VYDAJ	VYBER	28000	42906	\N	\N	\N
1193901	4086	1997-08-11	VYDAJ	VYBER	33400	44496	\N	\N	\N
1193902	4086	1997-09-10	VYDAJ	VYBER	37500	41710	\N	\N	\N
1193903	4086	1997-10-10	VYDAJ	VYBER	36300	47919	\N	\N	\N
1193904	4086	1997-11-09	VYDAJ	VYBER	35600	41023	\N	\N	\N
1193905	4086	1997-12-09	VYDAJ	VYBER	49300	55407	\N	\N	\N
1193906	4086	1998-01-08	VYDAJ	VYBER	26200	35140	\N	\N	\N
1193907	4086	1998-02-07	VYDAJ	VYBER	28900	38202	\N	\N	\N
1193908	4086	1998-03-09	VYDAJ	VYBER	22400	25570	\N	\N	\N
1193909	4086	1998-04-08	VYDAJ	VYBER	30800	37287	\N	\N	\N
1193910	4086	1998-05-08	VYDAJ	VYBER	40800	34999	\N	\N	\N
1193911	4086	1998-06-07	VYDAJ	VYBER	47600	51063	\N	\N	\N
1193912	4086	1998-07-07	VYDAJ	VYBER	41300	40869	\N	\N	\N
1193913	4086	1998-08-06	VYDAJ	VYBER	38200	33456	\N	\N	\N
1193914	4086	1998-09-05	VYDAJ	VYBER	17000	16705	\N	\N	\N
1193915	4086	1998-10-05	VYDAJ	VYBER	28500	25759	\N	\N	\N
1193916	4086	1998-12-04	VYDAJ	VYBER	41700	34658	\N	\N	\N
1194323	4088	1996-03-01	PRIJEM	VKLAD	700	700	\N	\N	\N
1194325	4088	1996-11-24	PRIJEM	VKLAD	20122	38795	\N	\N	\N
1194326	4088	1996-03-23	PRIJEM	VKLAD	36821	37521	\N	\N	\N
1194327	4088	1996-12-22	PRIJEM	VKLAD	28794	47915	\N	\N	\N
1194328	4088	1996-06-21	PRIJEM	VKLAD	39131	75801	\N	\N	\N
1194330	4088	1996-05-12	PRIJEM	VKLAD	16354	44444	\N	\N	\N
1194331	4088	1996-08-07	PRIJEM	VKLAD	18659	51815	\N	\N	\N
1194332	4088	1996-08-22	PRIJEM	VKLAD	29524	81339	\N	\N	\N
1194333	4088	1996-09-12	PRIJEM	VKLAD	15920	37673	\N	\N	\N
1194334	4088	1997-10-01	PRIJEM	VKLAD	41086	69854	\N	\N	\N
1194335	4088	1997-10-13	PRIJEM	VKLAD	26324	93589	\N	\N	\N
1194336	4088	1997-05-18	PRIJEM	VKLAD	42978	110535	\N	\N	\N
1194337	4088	1997-10-05	PRIJEM	VKLAD	30979	100833	\N	\N	\N
1194338	4088	1997-02-04	PRIJEM	VKLAD	18536	50122	\N	\N	\N
1194339	4088	1997-07-03	PRIJEM	VKLAD	23985	106161	\N	\N	\N
1194340	4088	1997-06-25	PRIJEM	VKLAD	27420	104458	\N	\N	\N
1194341	4088	1997-05-27	PRIJEM	VKLAD	30394	83329	\N	\N	\N
1194342	4088	1997-03-14	PRIJEM	VKLAD	8217	29369	\N	\N	\N
1194343	4088	1997-06-29	PRIJEM	VKLAD	20633	125091	\N	\N	\N
1194344	4088	1997-09-04	PRIJEM	VKLAD	37902	62208	\N	\N	\N
1194345	4088	1997-10-11	PRIJEM	VKLAD	40584	141417	\N	\N	\N
1194346	4088	1997-01-28	PRIJEM	VKLAD	17535	37806	\N	\N	\N
1194347	4088	1997-10-23	PRIJEM	VKLAD	37911	96797	\N	\N	\N
1194348	4088	1997-06-25	PRIJEM	VKLAD	44214	77038	\N	\N	\N
1194349	4088	1997-07-08	PRIJEM	VKLAD	14639	120800	\N	\N	\N
1194350	4088	1997-05-14	PRIJEM	VKLAD	29283	67560	\N	\N	\N
1194351	4088	1997-04-12	PRIJEM	VKLAD	10979	40934	\N	\N	\N
1194352	4088	1997-04-18	PRIJEM	VKLAD	47782	88376	\N	\N	\N
1194353	4088	1997-04-05	PRIJEM	VKLAD	10411	33270	\N	\N	\N
1194354	4088	1997-11-10	PRIJEM	VKLAD	24150	121290	\N	\N	\N
1194355	4088	1997-12-25	PRIJEM	VKLAD	36010	57181	\N	\N	\N
1194356	4088	1998-08-15	PRIJEM	VKLAD	46133	116770	\N	\N	\N
1194357	4088	1998-12-16	PRIJEM	VKLAD	12522	20073	\N	\N	\N
1194358	4088	1998-08-13	PRIJEM	VKLAD	49512	70640	\N	\N	\N
1194359	4088	1998-07-27	PRIJEM	VKLAD	40322	42879	\N	\N	\N
1194360	4088	1998-03-01	PRIJEM	VKLAD	6183	31944	\N	\N	\N
1194361	4088	1998-02-13	PRIJEM	VKLAD	23569	39069	\N	\N	\N
1194406	4088	1996-09-11	VYDAJ	PREVOD NA UCET	3315	21753	SIPO	YZ	76793396
1194407	4088	1996-10-11	VYDAJ	PREVOD NA UCET	3315	19395	SIPO	YZ	76793396
1194408	4088	1996-11-11	VYDAJ	PREVOD NA UCET	3315	19013	SIPO	YZ	76793396
1194409	4088	1996-12-11	VYDAJ	PREVOD NA UCET	3315	23061	SIPO	YZ	76793396
1194410	4088	1997-01-11	VYDAJ	PREVOD NA UCET	3315	18311	SIPO	YZ	76793396
1194411	4088	1997-02-11	VYDAJ	PREVOD NA UCET	3315	29536	SIPO	YZ	76793396
1194412	4088	1997-03-11	VYDAJ	PREVOD NA UCET	3315	21489	SIPO	YZ	76793396
1194413	4088	1997-04-11	VYDAJ	PREVOD NA UCET	3315	29955	SIPO	YZ	76793396
1194414	4088	1997-05-11	VYDAJ	PREVOD NA UCET	3315	38614	SIPO	YZ	76793396
1194415	4088	1997-06-11	VYDAJ	PREVOD NA UCET	3315	80264	SIPO	YZ	76793396
1194416	4088	1997-07-11	VYDAJ	PREVOD NA UCET	3315	68185	SIPO	YZ	76793396
1194417	4088	1997-08-11	VYDAJ	PREVOD NA UCET	3315	21741	SIPO	YZ	76793396
1194418	4088	1997-09-11	VYDAJ	PREVOD NA UCET	3315	58893	SIPO	YZ	76793396
1194419	4088	1997-10-11	VYDAJ	PREVOD NA UCET	3315	67602	SIPO	YZ	76793396
1194420	4088	1997-11-11	VYDAJ	PREVOD NA UCET	3315	71875	SIPO	YZ	76793396
1194421	4088	1997-12-11	VYDAJ	PREVOD NA UCET	3315	31811	SIPO	YZ	76793396
1194422	4088	1998-01-11	VYDAJ	PREVOD NA UCET	3315	21308	SIPO	YZ	76793396
1194423	4088	1998-02-11	VYDAJ	PREVOD NA UCET	3315	15837	SIPO	YZ	76793396
1194424	4088	1998-03-11	VYDAJ	PREVOD NA UCET	3315	28629	SIPO	YZ	76793396
1194425	4088	1998-04-11	VYDAJ	PREVOD NA UCET	3315	16861	SIPO	YZ	76793396
1194426	4088	1998-05-11	VYDAJ	PREVOD NA UCET	3315	10160	SIPO	YZ	76793396
1194427	4088	1998-06-11	VYDAJ	PREVOD NA UCET	3315	6536	SIPO	YZ	76793396
1194428	4088	1998-07-11	VYDAJ	PREVOD NA UCET	3315	2897	SIPO	YZ	76793396
1194429	4088	1998-08-11	VYDAJ	PREVOD NA UCET	3315	21465	SIPO	YZ	76793396
1194430	4088	1998-09-11	VYDAJ	PREVOD NA UCET	3315	27384	SIPO	YZ	76793396
1194431	4088	1998-10-11	VYDAJ	PREVOD NA UCET	3315	15114	SIPO	YZ	76793396
1194432	4088	1998-11-11	VYDAJ	PREVOD NA UCET	3315	11510	SIPO	YZ	76793396
1194433	4088	1998-12-11	VYDAJ	PREVOD NA UCET	3315	7891	SIPO	YZ	76793396
1194442	4088	1996-09-12	VYDAJ	PREVOD NA UCET	337	37336	 	KL	26589399
1194443	4088	1996-10-12	VYDAJ	PREVOD NA UCET	337	19058	 	KL	26589399
1194444	4088	1996-11-12	VYDAJ	PREVOD NA UCET	337	18676	 	KL	26589399
1194445	4088	1996-12-12	VYDAJ	PREVOD NA UCET	337	22724	 	KL	26589399
1194446	4088	1997-01-12	VYDAJ	PREVOD NA UCET	337	17974	 	KL	26589399
1194447	4088	1997-02-12	VYDAJ	PREVOD NA UCET	337	29199	 	KL	26589399
1194448	4088	1997-03-12	VYDAJ	PREVOD NA UCET	337	21152	 	KL	26589399
1194449	4088	1997-04-12	VYDAJ	PREVOD NA UCET	337	40597	 	KL	26589399
1194450	4088	1997-05-12	VYDAJ	PREVOD NA UCET	337	38277	 	KL	26589399
1194451	4088	1997-06-12	VYDAJ	PREVOD NA UCET	337	79927	 	KL	26589399
1194452	4088	1997-07-12	VYDAJ	PREVOD NA UCET	337	67848	 	KL	26589399
1194453	4088	1997-08-12	VYDAJ	PREVOD NA UCET	337	21404	 	KL	26589399
1194454	4088	1997-09-12	VYDAJ	PREVOD NA UCET	337	58556	 	KL	26589399
1194455	4088	1997-10-12	VYDAJ	PREVOD NA UCET	337	67265	 	KL	26589399
1194456	4088	1997-11-12	VYDAJ	PREVOD NA UCET	337	71538	 	KL	26589399
1194457	4088	1997-12-12	VYDAJ	PREVOD NA UCET	337	31474	 	KL	26589399
1194458	4088	1998-01-12	VYDAJ	PREVOD NA UCET	337	20971	 	KL	26589399
1194459	4088	1998-02-12	VYDAJ	PREVOD NA UCET	337	15500	 	KL	26589399
1194460	4088	1998-03-12	VYDAJ	PREVOD NA UCET	337	28292	 	KL	26589399
1194461	4088	1998-04-12	VYDAJ	PREVOD NA UCET	337	16524	 	KL	26589399
1194462	4088	1998-05-12	VYDAJ	PREVOD NA UCET	337	9823	 	KL	26589399
1194463	4088	1998-06-12	VYDAJ	PREVOD NA UCET	337	6199	 	KL	26589399
1194464	4088	1998-07-12	VYDAJ	PREVOD NA UCET	337	2560	 	KL	26589399
1194465	4088	1998-08-12	VYDAJ	PREVOD NA UCET	337	21128	 	KL	26589399
1194466	4088	1998-09-12	VYDAJ	PREVOD NA UCET	337	27047	 	KL	26589399
1194467	4088	1998-10-12	VYDAJ	PREVOD NA UCET	337	14777	 	KL	26589399
1194468	4088	1998-11-12	VYDAJ	PREVOD NA UCET	337	11173	 	KL	26589399
1194469	4088	1998-12-12	VYDAJ	PREVOD NA UCET	337	7554	 	KL	26589399
1194478	4088	1996-09-14	VYDAJ	PREVOD NA UCET	3	37333	POJISTNE	WX	65632182
1194479	4088	1996-10-14	VYDAJ	PREVOD NA UCET	3	19055	POJISTNE	WX	65632182
1194480	4088	1996-11-14	VYDAJ	PREVOD NA UCET	3	18673	POJISTNE	WX	65632182
1194481	4088	1996-12-14	VYDAJ	PREVOD NA UCET	3	22721	POJISTNE	WX	65632182
1194482	4088	1997-01-14	VYDAJ	PREVOD NA UCET	3	17971	POJISTNE	WX	65632182
1194483	4088	1997-02-14	VYDAJ	PREVOD NA UCET	3	29196	POJISTNE	WX	65632182
1194484	4088	1997-03-14	VYDAJ	PREVOD NA UCET	3	29366	POJISTNE	WX	65632182
1194485	4088	1997-04-14	VYDAJ	PREVOD NA UCET	3	40594	POJISTNE	WX	65632182
1194486	4088	1997-05-14	VYDAJ	PREVOD NA UCET	3	67557	POJISTNE	WX	65632182
1194487	4088	1997-06-14	VYDAJ	PREVOD NA UCET	3	79924	POJISTNE	WX	65632182
1194488	4088	1997-07-14	VYDAJ	PREVOD NA UCET	3	67845	POJISTNE	WX	65632182
1194489	4088	1997-08-14	VYDAJ	PREVOD NA UCET	3	21401	POJISTNE	WX	65632182
1194490	4088	1997-09-14	VYDAJ	PREVOD NA UCET	3	45011	POJISTNE	WX	65632182
1194491	4088	1997-10-14	VYDAJ	PREVOD NA UCET	3	93586	POJISTNE	WX	65632182
1194492	4088	1997-11-14	VYDAJ	PREVOD NA UCET	3	71535	POJISTNE	WX	65632182
1194493	4088	1997-12-14	VYDAJ	PREVOD NA UCET	3	31471	POJISTNE	WX	65632182
1194494	4088	1998-01-14	VYDAJ	PREVOD NA UCET	3	20968	POJISTNE	WX	65632182
1194495	4088	1998-02-14	VYDAJ	PREVOD NA UCET	3	32374	POJISTNE	WX	65632182
1194496	4088	1998-03-14	VYDAJ	PREVOD NA UCET	3	28289	POJISTNE	WX	65632182
1194497	4088	1998-04-14	VYDAJ	PREVOD NA UCET	3	16521	POJISTNE	WX	65632182
1194498	4088	1998-05-14	VYDAJ	PREVOD NA UCET	3	9820	POJISTNE	WX	65632182
1194499	4088	1998-06-14	VYDAJ	PREVOD NA UCET	3	6196	POJISTNE	WX	65632182
1194500	4088	1998-07-14	VYDAJ	PREVOD NA UCET	3	2557	POJISTNE	WX	65632182
1194646	4088	1997-12-21	VYDAJ	VYBER	6400	21171	\N	\N	\N
1194501	4088	1998-08-14	VYDAJ	PREVOD NA UCET	3	70637	POJISTNE	WX	65632182
1194502	4088	1998-09-14	VYDAJ	PREVOD NA UCET	3	27044	POJISTNE	WX	65632182
1194503	4088	1998-10-14	VYDAJ	PREVOD NA UCET	3	14774	POJISTNE	WX	65632182
1194504	4088	1998-11-14	VYDAJ	PREVOD NA UCET	3	11170	POJISTNE	WX	65632182
1194505	4088	1998-12-14	VYDAJ	PREVOD NA UCET	3	7551	POJISTNE	WX	65632182
1194510	4088	1996-08-29	VYBER	VYBER	20478	32161	\N	\N	\N
1194513	4088	1996-09-19	VYBER	VYBER	7192	21205	\N	\N	\N
1194515	4088	1996-09-04	VYBER	VYBER	7299	25068	\N	\N	\N
1194516	4088	1996-09-19	VYBER	VYBER	8936	28397	\N	\N	\N
1194518	4088	1997-09-14	VYBER	VYBER	13542	45014	\N	\N	\N
1194520	4088	1997-12-29	VYBER	VYBER	14111	43070	\N	\N	\N
1194522	4088	1997-02-09	VYBER	VYBER	17271	32851	\N	\N	\N
1194524	4088	1997-09-16	VYBER	VYBER	16458	28553	\N	\N	\N
1194525	4088	1997-04-22	VYBER	VYBER	21114	67262	\N	\N	\N
1194527	4088	1997-08-02	VYBER	VYBER	19290	26556	\N	\N	\N
1194529	4088	1997-06-19	VYBER	VYBER	8123	71801	\N	\N	\N
1194530	4088	1997-06-19	VYBER	VYBER	6477	65324	\N	\N	\N
1194531	4088	1997-07-02	VYBER	VYBER	24031	82176	\N	\N	\N
1194536	4088	1998-02-14	VYBER	VYBER	6692	32377	\N	\N	\N
1194541	4088	1998-08-23	VYBER	VYBER	13442	30528	\N	\N	\N
1194544	4088	1998-08-08	VYBER	VYBER	11226	24780	\N	\N	\N
1194547	4088	1997-06-20	VYDAJ	VYBER	22800	42524	\N	\N	\N
1194552	4088	1996-12-20	VYDAJ	VYBER	3600	19121	\N	\N	\N
1194553	4088	1997-12-20	VYDAJ	VYBER	3900	27571	\N	\N	\N
1194561	4088	1997-01-01	VYDAJ	VYBER	6900	27326	\N	\N	\N
1194563	4088	1997-01-28	VYDAJ	VYBER	6300	31506	\N	\N	\N
1194565	4088	1997-01-05	VYDAJ	VYBER	5700	21626	\N	\N	\N
1194567	4088	1998-01-08	VYDAJ	VYBER	4500	27323	\N	\N	\N
1194568	4088	1998-01-02	VYDAJ	VYBER	1800	38123	\N	\N	\N
1194569	4088	1998-01-03	VYDAJ	VYBER	6300	31823	\N	\N	\N
1194570	4088	1998-01-10	VYDAJ	VYBER	2700	24623	\N	\N	\N
1194571	4088	1998-01-02	VYDAJ	VYBER	3300	39923	\N	\N	\N
1194575	4088	1996-12-09	VYDAJ	VYBER	3000	26376	\N	\N	\N
1194576	4088	1997-12-10	VYDAJ	VYBER	14700	35126	\N	\N	\N
1194577	4088	1997-05-23	VYDAJ	VYBER	4500	88235	\N	\N	\N
1194578	4088	1997-08-09	VYDAJ	VYBER	1500	25056	\N	\N	\N
1194579	4088	1998-07-27	VYDAJ	VYBER	6900	35979	\N	\N	\N
1194591	4088	1996-08-31	VYDAJ	VYBER	15	32367	SLUZBY	\N	\N
1194592	4088	1996-09-30	VYDAJ	VYBER	15	22710	SLUZBY	\N	\N
1194593	4088	1996-10-31	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
1194594	4088	1996-11-30	VYDAJ	VYBER	15	29376	SLUZBY	\N	\N
1194595	4088	1996-12-31	VYDAJ	VYBER	15	34226	SLUZBY	\N	\N
1194596	4088	1997-01-31	VYDAJ	VYBER	15	31586	SLUZBY	\N	\N
1194597	4088	1997-02-28	VYDAJ	VYBER	15	24804	SLUZBY	\N	\N
1194598	4088	1997-03-31	VYDAJ	VYBER	15	22859	SLUZBY	\N	\N
1194599	4088	1997-04-30	VYDAJ	VYBER	15	41929	SLUZBY	\N	\N
1194600	4088	1997-05-31	VYDAJ	VYBER	15	83579	SLUZBY	\N	\N
1194601	4088	1997-06-30	VYDAJ	VYBER	15	106207	SLUZBY	\N	\N
1194602	4088	1997-07-31	VYDAJ	VYBER	15	45846	SLUZBY	\N	\N
1194603	4088	1997-08-31	VYDAJ	VYBER	15	24306	SLUZBY	\N	\N
1194604	4088	1997-09-30	VYDAJ	VYBER	15	28768	SLUZBY	\N	\N
1194605	4088	1997-10-31	VYDAJ	VYBER	15	97140	SLUZBY	\N	\N
1194606	4088	1997-11-30	VYDAJ	VYBER	15	49826	SLUZBY	\N	\N
1194607	4088	1997-12-31	VYDAJ	VYBER	15	43223	SLUZBY	\N	\N
1194608	4088	1998-01-31	VYDAJ	VYBER	15	19152	SLUZBY	\N	\N
1194609	4088	1998-02-28	VYDAJ	VYBER	15	25761	SLUZBY	\N	\N
1194610	4088	1998-03-31	VYDAJ	VYBER	15	20176	SLUZBY	\N	\N
1194611	4088	1998-04-30	VYDAJ	VYBER	15	13475	SLUZBY	\N	\N
1194612	4088	1998-05-31	VYDAJ	VYBER	15	9851	SLUZBY	\N	\N
1194613	4088	1998-06-30	VYDAJ	VYBER	15	6212	SLUZBY	\N	\N
1194614	4088	1998-07-31	VYDAJ	VYBER	15	36006	SLUZBY	\N	\N
1194615	4088	1998-08-31	VYDAJ	VYBER	15	30699	SLUZBY	\N	\N
1194616	4088	1998-09-30	VYDAJ	VYBER	15	18429	SLUZBY	\N	\N
1194617	4088	1998-10-31	VYDAJ	VYBER	15	14825	SLUZBY	\N	\N
1194618	4088	1998-11-30	VYDAJ	VYBER	15	11206	SLUZBY	\N	\N
1194619	4088	1996-03-31	VYDAJ	VYBER	7700	29865	\N	\N	\N
1194620	4088	1996-04-30	VYDAJ	VYBER	1900	28090	\N	\N	\N
1194621	4088	1996-05-30	VYDAJ	VYBER	7900	36544	\N	\N	\N
1194622	4088	1996-06-29	VYDAJ	VYBER	28000	47801	\N	\N	\N
1194623	4088	1996-07-29	VYDAJ	VYBER	15000	32956	\N	\N	\N
1194624	4088	1996-08-28	VYDAJ	VYBER	28700	52639	\N	\N	\N
1194625	4088	1996-09-27	PRIJEM	VKLAD	1400	22605	\N	\N	\N
1194626	4088	1996-10-27	PRIJEM	VKLAD	3200	22255	\N	\N	\N
1194627	4088	1996-11-26	VYDAJ	VYBER	9500	29295	\N	\N	\N
1194628	4088	1996-12-26	VYDAJ	VYBER	13800	34115	\N	\N	\N
1194629	4088	1997-01-25	PRIJEM	VKLAD	2300	20271	\N	\N	\N
1194630	4088	1997-02-24	VYDAJ	VYBER	4500	24696	\N	\N	\N
1194631	4088	1997-03-26	VYDAJ	VYBER	6600	22766	\N	\N	\N
1194632	4088	1997-04-25	VYDAJ	VYBER	25500	41762	\N	\N	\N
1194633	4088	1997-05-18	VYDAJ	VYBER	17800	92735	\N	\N	\N
1194634	4088	1997-05-25	VYDAJ	VYBER	35300	52935	\N	\N	\N
1194635	4088	1997-06-24	VYDAJ	VYBER	9700	32824	\N	\N	\N
1194636	4088	1997-06-29	VYDAJ	VYBER	19200	105891	\N	\N	\N
1194637	4088	1997-07-08	VYDAJ	VYBER	49300	71500	\N	\N	\N
1194638	4088	1997-07-24	VYDAJ	VYBER	22300	45545	\N	\N	\N
1194639	4088	1997-08-23	PRIJEM	VKLAD	2800	24201	\N	\N	\N
1194640	4088	1997-09-22	PRIJEM	VKLAD	100	28653	\N	\N	\N
1194641	4088	1997-10-11	VYDAJ	VYBER	27900	70917	\N	\N	\N
1194642	4088	1997-10-11	VYDAJ	VYBER	42600	98817	\N	\N	\N
1194643	4088	1997-10-22	VYDAJ	VYBER	34700	58886	\N	\N	\N
1194644	4088	1997-11-10	VYDAJ	VYBER	46100	75190	\N	\N	\N
1194645	4088	1997-11-21	VYDAJ	VYBER	22000	49535	\N	\N	\N
1194647	4088	1998-01-20	VYDAJ	VYBER	1900	19068	\N	\N	\N
1194648	4088	1998-02-19	VYDAJ	VYBER	6700	25674	\N	\N	\N
1194649	4088	1998-03-21	VYDAJ	VYBER	8200	20089	\N	\N	\N
1194650	4088	1998-04-20	VYDAJ	VYBER	3100	13421	\N	\N	\N
1194651	4088	1998-08-15	VYDAJ	VYBER	45800	70970	\N	\N	\N
1194652	4088	1998-08-18	VYDAJ	VYBER	27000	43970	\N	\N	\N
1194653	4088	1998-09-17	VYDAJ	VYBER	8700	18344	\N	\N	\N
1194654	4088	1998-12-16	VYDAJ	VYBER	5200	14873	\N	\N	\N
1194832	4090	1996-10-11	PRIJEM	VKLAD	200	200	\N	\N	\N
1194907	4090	1996-11-10	PRIJEM	VKLAD	13300	13500	\N	\N	\N
1194908	4090	1996-12-10	PRIJEM	VKLAD	5400	18900	\N	\N	\N
1194909	4090	1997-01-09	PRIJEM	VKLAD	3800	22700	\N	\N	\N
1194910	4090	1997-02-08	VYDAJ	VYBER	2500	20200	\N	\N	\N
1194911	4090	1997-03-10	PRIJEM	VKLAD	3300	23500	\N	\N	\N
1194912	4090	1997-04-09	VYDAJ	VYBER	3600	19900	\N	\N	\N
1194913	4090	1997-05-09	PRIJEM	VKLAD	1500	21400	\N	\N	\N
1194914	4090	1997-06-08	VYDAJ	VYBER	4500	16900	\N	\N	\N
1194915	4090	1997-07-08	VYDAJ	VYBER	2500	14400	\N	\N	\N
1194916	4090	1997-08-07	VYDAJ	VYBER	300	14100	\N	\N	\N
1194917	4090	1997-09-06	VYDAJ	VYBER	1600	12500	\N	\N	\N
1194918	4090	1997-10-06	VYDAJ	VYBER	900	11600	\N	\N	\N
1194919	4090	1997-11-05	VYDAJ	VYBER	1100	10500	\N	\N	\N
1194920	4090	1997-12-05	PRIJEM	VKLAD	3600	14100	\N	\N	\N
1194921	4090	1998-01-04	PRIJEM	VKLAD	1000	15100	\N	\N	\N
1194922	4090	1998-02-03	PRIJEM	VKLAD	5600	20700	\N	\N	\N
1194923	4090	1998-03-05	VYDAJ	VYBER	100	20600	\N	\N	\N
1194924	4090	1998-04-04	PRIJEM	VKLAD	4200	24800	\N	\N	\N
1194925	4090	1998-05-04	PRIJEM	VKLAD	1100	25900	\N	\N	\N
1194926	4090	1998-06-03	PRIJEM	VKLAD	200	26100	\N	\N	\N
1194927	4090	1998-07-03	VYDAJ	VYBER	2600	23500	\N	\N	\N
1194928	4090	1998-08-02	VYDAJ	VYBER	500	23000	\N	\N	\N
1194929	4090	1998-09-01	VYDAJ	VYBER	1700	21300	\N	\N	\N
1194930	4090	1998-10-01	VYDAJ	VYBER	800	20500	\N	\N	\N
1194931	4090	1998-10-31	VYDAJ	VYBER	1000	19503	\N	\N	\N
1194932	4090	1998-11-30	PRIJEM	VKLAD	4500	24003	\N	\N	\N
1194934	4091	1997-08-04	PRIJEM	VKLAD	400	400	\N	\N	\N
1194942	4091	1997-08-09	PRIJEM	VKLAD	14387	14787	\N	\N	\N
1194943	4091	1997-09-09	PRIJEM	VKLAD	14387	36120	\N	\N	\N
1194944	4091	1997-10-09	PRIJEM	VKLAD	14387	43334	\N	\N	\N
1194945	4091	1997-11-09	PRIJEM	VKLAD	14387	48693	\N	\N	\N
1194946	4091	1997-12-09	PRIJEM	VKLAD	21580	57570	\N	\N	\N
1194947	4091	1998-01-09	PRIJEM	VKLAD	14387	50274	\N	\N	\N
1194948	4091	1998-02-09	PRIJEM	VKLAD	14387	47840	\N	\N	\N
1194949	4091	1998-03-09	PRIJEM	VKLAD	14387	55346	\N	\N	\N
1194950	4091	1998-04-09	PRIJEM	VKLAD	14387	51958	\N	\N	\N
1194951	4091	1998-05-09	PRIJEM	VKLAD	14387	53091	\N	\N	\N
1194952	4091	1998-06-09	PRIJEM	VKLAD	21580	58917	\N	\N	\N
1194953	4091	1998-07-09	PRIJEM	VKLAD	14387	41286	\N	\N	\N
1194954	4091	1998-08-09	PRIJEM	VKLAD	14387	48582	\N	\N	\N
1194955	4091	1998-09-09	PRIJEM	VKLAD	14387	50790	\N	\N	\N
1194956	4091	1998-10-09	PRIJEM	VKLAD	14387	51215	\N	\N	\N
1194957	4091	1998-11-09	PRIJEM	VKLAD	14387	48409	\N	\N	\N
1194958	4091	1998-12-09	PRIJEM	VKLAD	21580	54605	\N	\N	\N
1194970	4091	1997-12-11	VYDAJ	PREVOD NA UCET	4247	53138	SIPO	YZ	45072424
1194971	4091	1998-01-11	VYDAJ	PREVOD NA UCET	4247	45842	SIPO	YZ	45072424
1194972	4091	1998-02-11	VYDAJ	PREVOD NA UCET	4247	43408	SIPO	YZ	45072424
1194973	4091	1998-03-11	VYDAJ	PREVOD NA UCET	4247	50914	SIPO	YZ	45072424
1194974	4091	1998-04-11	VYDAJ	PREVOD NA UCET	4247	47526	SIPO	YZ	45072424
1194975	4091	1998-05-11	VYDAJ	PREVOD NA UCET	4247	45844	SIPO	YZ	45072424
1194976	4091	1998-06-11	VYDAJ	PREVOD NA UCET	4247	54485	SIPO	YZ	45072424
1194977	4091	1998-07-11	VYDAJ	PREVOD NA UCET	4247	37039	SIPO	YZ	45072424
1194978	4091	1998-08-11	VYDAJ	PREVOD NA UCET	4247	44150	SIPO	YZ	45072424
1194979	4091	1998-09-11	VYDAJ	PREVOD NA UCET	4247	46358	SIPO	YZ	45072424
1194980	4091	1998-10-11	VYDAJ	PREVOD NA UCET	4247	46968	SIPO	YZ	45072424
1194981	4091	1998-11-11	VYDAJ	PREVOD NA UCET	4247	44162	SIPO	YZ	45072424
1194982	4091	1998-12-11	VYDAJ	PREVOD NA UCET	4247	46518	SIPO	YZ	45072424
1194994	4091	1997-12-11	VYDAJ	PREVOD NA UCET	185	57385	 	ST	12956852
1194995	4091	1998-01-11	VYDAJ	PREVOD NA UCET	185	50089	 	ST	12956852
1194996	4091	1998-02-11	VYDAJ	PREVOD NA UCET	185	47655	 	ST	12956852
1194997	4091	1998-03-11	VYDAJ	PREVOD NA UCET	185	55161	 	ST	12956852
1194998	4091	1998-04-11	VYDAJ	PREVOD NA UCET	185	51773	 	ST	12956852
1194999	4091	1998-05-11	VYDAJ	PREVOD NA UCET	185	45659	 	ST	12956852
1195000	4091	1998-06-11	VYDAJ	PREVOD NA UCET	185	58732	 	ST	12956852
1195001	4091	1998-07-11	VYDAJ	PREVOD NA UCET	185	36854	 	ST	12956852
1195002	4091	1998-08-11	VYDAJ	PREVOD NA UCET	185	48397	 	ST	12956852
1195003	4091	1998-09-11	VYDAJ	PREVOD NA UCET	185	50605	 	ST	12956852
1195004	4091	1998-10-11	VYDAJ	PREVOD NA UCET	185	46783	 	ST	12956852
1195005	4091	1998-11-11	VYDAJ	PREVOD NA UCET	185	43977	 	ST	12956852
1195006	4091	1998-12-11	VYDAJ	PREVOD NA UCET	185	46333	 	ST	12956852
1195032	4091	1998-06-18	VYDAJ	VYBER	33120	21365	\N	\N	\N
1195033	4091	1997-12-22	VYDAJ	VYBER	800	52338	\N	\N	\N
1195034	4091	1998-12-09	VYDAJ	VYBER	3840	50765	\N	\N	\N
1195041	4091	1998-01-03	VYDAJ	VYBER	3240	38407	\N	\N	\N
1195042	4091	1998-01-17	VYDAJ	VYBER	2280	40442	\N	\N	\N
1195043	4091	1998-01-14	VYDAJ	VYBER	600	45242	\N	\N	\N
1195044	4091	1998-01-25	VYDAJ	VYBER	2520	32402	\N	\N	\N
1195045	4091	1998-01-07	VYDAJ	VYBER	2520	35887	\N	\N	\N
1195046	4091	1998-01-14	VYDAJ	VYBER	2520	42722	\N	\N	\N
1195052	4091	1998-01-19	VYDAJ	VYBER	5520	34922	\N	\N	\N
1195053	4091	1998-03-16	VYDAJ	VYBER	4320	46594	\N	\N	\N
1195054	4091	1998-07-26	VYDAJ	VYBER	4560	31574	\N	\N	\N
1195055	4091	1998-07-20	VYDAJ	VYBER	720	36134	\N	\N	\N
1195056	4091	1998-03-24	VYDAJ	VYBER	4800	41794	\N	\N	\N
1195057	4091	1998-05-10	VYDAJ	VYBER	3000	50091	\N	\N	\N
1195058	4091	1998-10-12	VYDAJ	VYBER	720	46063	\N	\N	\N
1195071	4091	1997-12-31	VYDAJ	VYBER	15	52547	SLUZBY	\N	\N
1195072	4091	1998-01-31	VYDAJ	VYBER	15	33453	SLUZBY	\N	\N
1195073	4091	1998-02-28	VYDAJ	VYBER	15	43559	SLUZBY	\N	\N
1195074	4091	1998-03-31	VYDAJ	VYBER	15	41971	SLUZBY	\N	\N
1195075	4091	1998-04-30	VYDAJ	VYBER	15	47704	SLUZBY	\N	\N
1195076	4091	1998-05-31	VYDAJ	VYBER	15	37337	SLUZBY	\N	\N
1195077	4091	1998-06-30	VYDAJ	VYBER	15	26899	SLUZBY	\N	\N
1195078	4091	1998-07-31	VYDAJ	VYBER	15	34195	SLUZBY	\N	\N
1195079	4091	1998-08-31	VYDAJ	VYBER	15	36403	SLUZBY	\N	\N
1195080	4091	1998-09-30	VYDAJ	VYBER	15	36828	SLUZBY	\N	\N
1195081	4091	1998-10-31	VYDAJ	VYBER	15	34022	SLUZBY	\N	\N
1195082	4091	1998-11-30	VYDAJ	VYBER	15	33025	SLUZBY	\N	\N
1195083	4091	1997-09-03	PRIJEM	VKLAD	6900	21733	\N	\N	\N
1195084	4091	1997-10-03	VYDAJ	VYBER	7300	28947	\N	\N	\N
1195085	4091	1997-11-02	VYDAJ	VYBER	9200	34306	\N	\N	\N
1195086	4091	1997-12-02	VYDAJ	VYBER	12900	35990	\N	\N	\N
1195087	4091	1998-01-01	VYDAJ	VYBER	10900	41647	\N	\N	\N
1195088	4091	1998-01-31	PRIJEM	VKLAD	900	33302	\N	\N	\N
1195089	4091	1998-03-02	VYDAJ	VYBER	2600	40959	\N	\N	\N
1195090	4091	1998-04-01	VYDAJ	VYBER	4400	37571	\N	\N	\N
1195091	4091	1998-05-01	VYDAJ	VYBER	9000	38704	\N	\N	\N
1195092	4091	1998-05-31	VYDAJ	VYBER	8500	37352	\N	\N	\N
1195093	4091	1998-06-30	PRIJEM	VKLAD	5400	26914	\N	\N	\N
1195094	4091	1998-07-30	PRIJEM	VKLAD	2500	34074	\N	\N	\N
1195095	4091	1998-08-29	VYDAJ	VYBER	7900	36250	\N	\N	\N
1195096	4091	1998-09-28	VYDAJ	VYBER	9700	36658	\N	\N	\N
1195097	4091	1998-10-28	VYDAJ	VYBER	12200	33863	\N	\N	\N
1195098	4091	1998-11-27	VYDAJ	VYBER	11100	32877	\N	\N	\N
1195116	4092	1996-03-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1195120	4092	1996-04-05	PRIJEM	VKLAD	11592	12292	\N	\N	\N
1195121	4092	1996-05-05	PRIJEM	VKLAD	11592	30534	\N	\N	\N
1195122	4092	1996-06-05	PRIJEM	VKLAD	17388	45826	\N	\N	\N
1195123	4092	1996-07-05	PRIJEM	VKLAD	11592	50164	\N	\N	\N
1195124	4092	1996-08-05	PRIJEM	VKLAD	11592	48110	\N	\N	\N
1195125	4092	1996-09-05	PRIJEM	VKLAD	11592	45933	\N	\N	\N
1195126	4092	1996-10-05	PRIJEM	VKLAD	11592	46856	\N	\N	\N
1195127	4092	1996-11-05	PRIJEM	VKLAD	11592	46479	\N	\N	\N
1195128	4092	1996-12-05	PRIJEM	VKLAD	17388	50190	\N	\N	\N
1195129	4092	1997-01-05	PRIJEM	VKLAD	11592	44028	\N	\N	\N
1195130	4092	1997-02-05	PRIJEM	VKLAD	11592	41196	\N	\N	\N
1195131	4092	1997-03-05	PRIJEM	VKLAD	11592	44608	\N	\N	\N
1195132	4092	1997-04-05	PRIJEM	VKLAD	11592	50442	\N	\N	\N
1195133	4092	1997-05-05	PRIJEM	VKLAD	11592	49276	\N	\N	\N
1195134	4092	1997-06-05	PRIJEM	VKLAD	17388	38800	\N	\N	\N
1195135	4092	1997-07-05	PRIJEM	VKLAD	11592	45771	\N	\N	\N
1195136	4092	1997-08-05	PRIJEM	VKLAD	11592	52413	\N	\N	\N
1195137	4092	1997-09-05	PRIJEM	VKLAD	11592	54774	\N	\N	\N
1195138	4092	1997-10-05	PRIJEM	VKLAD	11592	58213	\N	\N	\N
1195139	4092	1997-11-05	PRIJEM	VKLAD	11592	58929	\N	\N	\N
1195140	4092	1997-12-05	PRIJEM	VKLAD	17388	65895	\N	\N	\N
1195141	4092	1998-01-05	PRIJEM	VKLAD	11592	65874	\N	\N	\N
1195142	4092	1998-02-05	PRIJEM	VKLAD	11592	64135	\N	\N	\N
1195143	4092	1998-03-05	PRIJEM	VKLAD	11592	69172	\N	\N	\N
1195144	4092	1998-04-05	PRIJEM	VKLAD	11592	76134	\N	\N	\N
1195145	4092	1998-05-05	PRIJEM	VKLAD	11592	76025	\N	\N	\N
1195146	4092	1998-06-05	PRIJEM	VKLAD	17388	62434	\N	\N	\N
1195147	4092	1998-07-05	PRIJEM	VKLAD	11592	67514	\N	\N	\N
1195148	4092	1998-08-05	PRIJEM	VKLAD	11592	76867	\N	\N	\N
1195149	4092	1998-09-05	PRIJEM	VKLAD	11592	79726	\N	\N	\N
1195150	4092	1998-10-05	PRIJEM	VKLAD	11592	82487	\N	\N	\N
1195151	4092	1998-11-05	PRIJEM	VKLAD	11592	82159	\N	\N	\N
1195152	4092	1998-12-05	PRIJEM	VKLAD	17388	82489	\N	\N	\N
1195154	4092	1997-06-03	VYDAJ	VYBER	13440	21412	\N	\N	\N
1195155	4092	1998-06-01	VYDAJ	VYBER	38880	45046	\N	\N	\N
1195157	4092	1997-01-21	VYDAJ	VYBER	3040	29488	\N	\N	\N
1195158	4092	1998-01-10	VYDAJ	VYBER	8800	57074	\N	\N	\N
1195159	4092	1996-12-22	VYDAJ	VYBER	2880	32310	\N	\N	\N
1195160	4092	1997-12-18	VYDAJ	VYBER	3360	62535	\N	\N	\N
1195161	4092	1998-12-03	VYDAJ	VYBER	4640	65101	\N	\N	\N
1195166	4092	1997-06-29	VYDAJ	VYBER	3360	34040	\N	\N	\N
1195167	4092	1997-05-12	VYDAJ	VYBER	5160	34716	\N	\N	\N
1195168	4092	1997-09-28	VYDAJ	VYBER	3360	51414	\N	\N	\N
1195169	4092	1997-11-11	VYDAJ	VYBER	4440	54489	\N	\N	\N
1195170	4092	1998-11-21	VYDAJ	VYBER KARTOU	3000	74839	\N	\N	0
1195171	4092	1998-06-05	VYDAJ	VYBER	720	61714	\N	\N	\N
1195172	4092	1998-11-08	VYDAJ	VYBER	4320	77839	\N	\N	\N
1195173	4092	1998-11-03	VYDAJ	VYBER KARTOU	3000	70567	\N	\N	0
1195174	4092	1998-06-19	VYDAJ	VYBER	3720	57994	\N	\N	\N
1195175	4092	1998-01-27	VYDAJ	VYBER	4560	52514	\N	\N	\N
1195184	4092	1996-08-31	VYDAJ	VYBER	15	34341	SLUZBY	\N	\N
1195185	4092	1996-09-30	VYDAJ	VYBER	15	35264	SLUZBY	\N	\N
1195186	4092	1996-10-31	VYDAJ	VYBER	15	34887	SLUZBY	\N	\N
1195187	4092	1996-11-30	VYDAJ	VYBER	15	32802	SLUZBY	\N	\N
1195188	4092	1996-12-31	VYDAJ	VYBER	15	32436	SLUZBY	\N	\N
1195189	4092	1997-01-31	VYDAJ	VYBER	15	29604	SLUZBY	\N	\N
1195190	4092	1997-02-28	VYDAJ	VYBER	15	33016	SLUZBY	\N	\N
1195191	4092	1997-03-31	VYDAJ	VYBER	15	38850	SLUZBY	\N	\N
1195192	4092	1997-04-30	VYDAJ	VYBER	15	37684	SLUZBY	\N	\N
1195193	4092	1997-05-31	VYDAJ	VYBER	15	34852	SLUZBY	\N	\N
1195194	4092	1997-06-30	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
1195195	4092	1997-07-31	VYDAJ	VYBER	15	40821	SLUZBY	\N	\N
1195196	4092	1997-08-31	VYDAJ	VYBER	15	44782	SLUZBY	\N	\N
1195197	4092	1997-09-30	VYDAJ	VYBER	15	51621	SLUZBY	\N	\N
1195198	4092	1997-10-31	VYDAJ	VYBER	15	58437	SLUZBY	\N	\N
1195199	4092	1997-11-30	VYDAJ	VYBER	15	54707	SLUZBY	\N	\N
1195200	4092	1997-12-31	VYDAJ	VYBER	15	62782	SLUZBY	\N	\N
1195201	4092	1998-01-31	VYDAJ	VYBER	15	52743	SLUZBY	\N	\N
1195202	4092	1998-02-28	VYDAJ	VYBER	15	64380	SLUZBY	\N	\N
1195203	4092	1998-03-31	VYDAJ	VYBER	15	69442	SLUZBY	\N	\N
1195204	4092	1998-04-30	VYDAJ	VYBER	15	76433	SLUZBY	\N	\N
1195205	4092	1998-05-31	VYDAJ	VYBER	15	76326	SLUZBY	\N	\N
1195206	4092	1998-06-30	VYDAJ	VYBER	15	58222	SLUZBY	\N	\N
1195207	4092	1998-07-31	VYDAJ	VYBER	15	67775	SLUZBY	\N	\N
1195208	4092	1998-08-31	VYDAJ	VYBER	15	68134	SLUZBY	\N	\N
1195209	4092	1998-09-30	VYDAJ	VYBER	15	70895	SLUZBY	\N	\N
1195210	4092	1998-10-31	VYDAJ	VYBER	15	73567	SLUZBY	\N	\N
1195211	4092	1998-11-30	VYDAJ	VYBER	15	69741	SLUZBY	\N	\N
1195212	4092	1996-04-12	PRIJEM	VKLAD	6600	18892	\N	\N	\N
1195213	4092	1996-05-12	VYDAJ	VYBER	2200	28334	\N	\N	\N
1195214	4092	1996-06-11	VYDAJ	VYBER	7400	38426	\N	\N	\N
1195215	4092	1996-07-11	VYDAJ	VYBER	13800	36364	\N	\N	\N
1195216	4092	1996-08-10	VYDAJ	VYBER	13900	34210	\N	\N	\N
1195217	4092	1996-09-09	VYDAJ	VYBER	10800	35133	\N	\N	\N
1195218	4092	1996-10-09	VYDAJ	VYBER	12100	34756	\N	\N	\N
1195219	4092	1996-11-08	VYDAJ	VYBER	13800	32679	\N	\N	\N
1195220	4092	1996-12-08	VYDAJ	VYBER	15000	35190	\N	\N	\N
1195221	4092	1997-01-07	VYDAJ	VYBER	11500	32528	\N	\N	\N
1195222	4092	1997-02-06	VYDAJ	VYBER	8300	32896	\N	\N	\N
1195223	4092	1997-03-08	VYDAJ	VYBER	5900	38708	\N	\N	\N
1195224	4092	1997-04-07	VYDAJ	VYBER	12900	37542	\N	\N	\N
1195225	4092	1997-05-07	VYDAJ	VYBER	9400	39876	\N	\N	\N
1195226	4092	1997-06-06	VYDAJ	VYBER	1400	37400	\N	\N	\N
1195227	4092	1997-07-06	VYDAJ	VYBER	5100	40671	\N	\N	\N
1195228	4092	1997-08-05	VYDAJ	VYBER	7800	44613	\N	\N	\N
1195229	4092	1997-09-04	VYDAJ	VYBER	1600	43182	\N	\N	\N
1195230	4092	1997-10-04	VYDAJ	VYBER	5000	46621	\N	\N	\N
1195231	4092	1997-11-03	VYDAJ	VYBER	11100	47337	\N	\N	\N
1195232	4092	1997-12-03	VYDAJ	VYBER	6200	48507	\N	\N	\N
1195233	4092	1998-01-02	VYDAJ	VYBER	8500	54282	\N	\N	\N
1195234	4092	1998-02-01	VYDAJ	VYBER	200	52543	\N	\N	\N
1195235	4092	1998-03-03	VYDAJ	VYBER	6800	57580	\N	\N	\N
1195236	4092	1998-04-02	VYDAJ	VYBER	4900	64542	\N	\N	\N
1195237	4092	1998-05-02	VYDAJ	VYBER	12000	64433	\N	\N	\N
1195238	4092	1998-06-01	PRIJEM	VKLAD	7600	83926	\N	\N	\N
1195239	4092	1998-07-01	VYDAJ	VYBER	2300	55922	\N	\N	\N
1195240	4092	1998-07-31	VYDAJ	VYBER	2500	65275	\N	\N	\N
1195241	4092	1998-08-30	VYDAJ	VYBER	9000	67867	\N	\N	\N
1195242	4092	1998-09-29	VYDAJ	VYBER	9100	70626	\N	\N	\N
1195243	4092	1998-10-29	VYDAJ	VYBER	9200	73287	\N	\N	\N
1195244	4092	1998-11-28	VYDAJ	VYBER	5400	69439	\N	\N	\N
1195278	4093	1993-03-25	PRIJEM	VKLAD	400	400	\N	\N	\N
1195279	4093	1993-10-04	PRIJEM	VKLAD	20773	48209	\N	\N	\N
1195280	4093	1993-04-28	PRIJEM	VKLAD	49614	61314	\N	\N	\N
1195281	4093	1994-10-12	PRIJEM	VKLAD	23345	49320	\N	\N	\N
1195282	4093	1994-01-17	PRIJEM	VKLAD	22439	36849	\N	\N	\N
1195283	4093	1995-12-04	PRIJEM	VKLAD	45889	61628	\N	\N	\N
1195284	4093	1995-03-01	PRIJEM	VKLAD	37392	55990	\N	\N	\N
1195285	4093	1996-03-29	PRIJEM	VKLAD	24964	73574	\N	\N	\N
1195286	4093	1996-03-15	PRIJEM	VKLAD	33493	48610	\N	\N	\N
1195287	4093	1997-08-06	PRIJEM	VKLAD	17735	34359	\N	\N	\N
1195288	4093	1997-02-28	PRIJEM	VKLAD	27243	43223	\N	\N	\N
1195289	4093	1998-01-10	PRIJEM	VKLAD	10731	26214	\N	\N	\N
1195290	4093	1998-06-08	PRIJEM	VKLAD	23381	41261	\N	\N	\N
1195294	4093	1993-04-14	PRIJEM	VKLAD	700	1100	\N	\N	\N
1195295	4093	1993-05-16	PRIJEM	VKLAD	700	62046	\N	\N	\N
1195296	4093	1993-06-17	PRIJEM	VKLAD	700	42380	\N	\N	\N
1195297	4093	1993-07-17	PRIJEM	VKLAD	700	32742	\N	\N	\N
1195298	4093	1993-08-16	PRIJEM	VKLAD	700	23452	\N	\N	\N
1195299	4093	1993-09-16	PRIJEM	VKLAD	700	26541	\N	\N	\N
1195300	4093	1993-10-15	PRIJEM	VKLAD	700	48909	\N	\N	\N
1195301	4093	1993-11-14	PRIJEM	VKLAD	700	36138	\N	\N	\N
1195302	4093	1993-12-13	PRIJEM	VKLAD	700	29460	\N	\N	\N
1195303	4093	1994-01-16	PRIJEM	VKLAD	700	14410	\N	\N	\N
1195304	4093	1994-02-14	PRIJEM	VKLAD	700	29236	\N	\N	\N
1195305	4093	1994-03-13	PRIJEM	VKLAD	700	30342	\N	\N	\N
1195306	4093	1994-04-17	PRIJEM	VKLAD	700	25445	\N	\N	\N
1195307	4093	1994-05-17	PRIJEM	VKLAD	700	25537	\N	\N	\N
1195308	4093	1994-06-16	PRIJEM	VKLAD	700	26227	\N	\N	\N
1195309	4093	1994-07-16	PRIJEM	VKLAD	700	25818	\N	\N	\N
1195310	4093	1994-08-13	PRIJEM	VKLAD	700	24106	\N	\N	\N
1195311	4093	1994-09-14	PRIJEM	VKLAD	700	23788	\N	\N	\N
1195312	4093	1994-10-16	PRIJEM	VKLAD	700	50020	\N	\N	\N
1195313	4093	1994-11-15	PRIJEM	VKLAD	700	39164	\N	\N	\N
1195314	4093	1994-12-16	PRIJEM	VKLAD	700	30598	\N	\N	\N
1195315	4093	1995-01-13	PRIJEM	VKLAD	700	21162	\N	\N	\N
1195316	4093	1995-02-14	PRIJEM	VKLAD	700	18536	\N	\N	\N
1195317	4093	1995-03-17	PRIJEM	VKLAD	700	40190	\N	\N	\N
1195318	4093	1995-04-15	PRIJEM	VKLAD	700	30201	\N	\N	\N
1195319	4093	1995-05-16	PRIJEM	VKLAD	700	25881	\N	\N	\N
1195320	4093	1995-06-15	PRIJEM	VKLAD	700	21682	\N	\N	\N
1195321	4093	1995-07-13	PRIJEM	VKLAD	700	20263	\N	\N	\N
1195322	4093	1995-08-17	PRIJEM	VKLAD	700	19735	\N	\N	\N
1195323	4093	1995-09-17	PRIJEM	VKLAD	700	20005	\N	\N	\N
1195324	4093	1995-10-13	PRIJEM	VKLAD	700	18372	\N	\N	\N
1195325	4093	1995-11-14	PRIJEM	VKLAD	700	15686	\N	\N	\N
1195326	4093	1995-12-14	PRIJEM	VKLAD	700	37928	\N	\N	\N
1195327	4093	1996-01-15	PRIJEM	VKLAD	700	21090	\N	\N	\N
1195328	4093	1996-02-13	PRIJEM	VKLAD	700	16966	\N	\N	\N
1195329	4093	1996-03-14	PRIJEM	VKLAD	700	15117	\N	\N	\N
1195330	4093	1996-04-17	PRIJEM	VKLAD	700	44111	\N	\N	\N
1195331	4093	1996-05-16	PRIJEM	VKLAD	700	23744	\N	\N	\N
1195332	4093	1996-06-13	PRIJEM	VKLAD	700	17065	\N	\N	\N
1195333	4093	1996-07-17	PRIJEM	VKLAD	700	16130	\N	\N	\N
1195334	4093	1996-08-17	PRIJEM	VKLAD	700	13782	\N	\N	\N
1195335	4093	1996-09-17	PRIJEM	VKLAD	700	14529	\N	\N	\N
1195336	4093	1996-10-15	PRIJEM	VKLAD	700	15270	\N	\N	\N
1195337	4093	1996-11-13	PRIJEM	VKLAD	700	16015	\N	\N	\N
1195338	4093	1996-12-13	PRIJEM	VKLAD	700	16762	\N	\N	\N
1195339	4093	1997-01-16	PRIJEM	VKLAD	700	17513	\N	\N	\N
1195340	4093	1997-02-16	PRIJEM	VKLAD	700	15914	\N	\N	\N
1195341	4093	1997-03-13	PRIJEM	VKLAD	700	21908	\N	\N	\N
1195342	4093	1997-04-14	PRIJEM	VKLAD	700	15117	\N	\N	\N
1195343	4093	1997-05-14	PRIJEM	VKLAD	700	15876	\N	\N	\N
1195344	4093	1997-06-15	PRIJEM	VKLAD	700	16623	\N	\N	\N
1195345	4093	1997-07-16	PRIJEM	VKLAD	700	16572	\N	\N	\N
1195346	4093	1997-08-13	PRIJEM	VKLAD	700	35059	\N	\N	\N
1195347	4093	1997-09-17	PRIJEM	VKLAD	700	22457	\N	\N	\N
1195348	4093	1997-10-14	PRIJEM	VKLAD	700	21430	\N	\N	\N
1195349	4093	1997-11-15	PRIJEM	VKLAD	700	14697	\N	\N	\N
1195350	4093	1997-12-14	PRIJEM	VKLAD	700	15439	\N	\N	\N
1195351	4093	1998-01-15	PRIJEM	VKLAD	700	26914	\N	\N	\N
1195352	4093	1998-02-17	PRIJEM	VKLAD	700	16473	\N	\N	\N
1195353	4093	1998-03-14	PRIJEM	VKLAD	700	17221	\N	\N	\N
1195354	4093	1998-04-15	PRIJEM	VKLAD	700	17973	\N	\N	\N
1195355	4093	1998-05-16	PRIJEM	VKLAD	700	17827	\N	\N	\N
1195356	4093	1998-06-17	PRIJEM	VKLAD	700	41961	\N	\N	\N
1195357	4093	1998-07-15	PRIJEM	VKLAD	700	20027	\N	\N	\N
1195358	4093	1998-08-17	PRIJEM	VKLAD	700	20789	\N	\N	\N
1195359	4093	1998-09-15	PRIJEM	VKLAD	700	21555	\N	\N	\N
1195360	4093	1998-10-16	PRIJEM	VKLAD	700	22324	\N	\N	\N
1195361	4093	1998-11-13	PRIJEM	VKLAD	700	23096	\N	\N	\N
1195362	4093	1998-12-15	PRIJEM	VKLAD	700	22321	\N	\N	\N
1195368	4093	1998-06-17	VYDAJ	VYBER	7900	34061	\N	\N	\N
1195374	4093	1998-01-20	VYDAJ	VYBER	6900	19464	\N	\N	\N
1195380	4093	1998-06-19	VYDAJ	VYBER	14800	19261	\N	\N	\N
1195382	4093	1994-01-04	VYDAJ	VYBER	9900	14960	\N	\N	\N
1195383	4093	1995-01-07	VYDAJ	VYBER	4000	20462	\N	\N	\N
1195384	4093	1996-01-16	VYDAJ	VYBER	3800	17290	\N	\N	\N
1195386	4093	1998-01-28	VYDAJ	VYBER	3000	16464	\N	\N	\N
1195387	4093	1993-12-19	VYDAJ	VYBER	2600	26860	\N	\N	\N
1195388	4093	1994-12-27	VYDAJ	VYBER	1000	28248	\N	\N	\N
1195389	4093	1995-12-20	VYDAJ	VYBER	2000	35928	\N	\N	\N
1195392	4093	1998-12-17	VYDAJ	VYBER	1300	21021	\N	\N	\N
1195400	4093	1994-01-13	VYDAJ	VYBER	250	13710	\N	\N	\N
1195401	4093	1994-01-25	VYDAJ	VYBER	650	28449	\N	\N	\N
1195402	4093	1994-01-03	VYDAJ	VYBER	900	24860	\N	\N	\N
1195403	4093	1994-01-12	VYDAJ	VYBER	1000	13960	\N	\N	\N
1195404	4093	1994-01-19	VYDAJ	VYBER	1450	35399	\N	\N	\N
1195405	4093	1995-01-15	VYDAJ	VYBER	1250	20862	\N	\N	\N
1195406	4093	1995-01-29	VYDAJ	VYBER	1050	18362	\N	\N	\N
1195407	4093	1995-01-18	VYDAJ	VYBER	250	20612	\N	\N	\N
1195408	4093	1995-01-23	VYDAJ	VYBER	700	19912	\N	\N	\N
1195409	4093	1995-01-05	VYDAJ	VYBER	1350	24462	\N	\N	\N
1195410	4093	1995-01-26	VYDAJ	VYBER	500	19412	\N	\N	\N
1195411	4093	1996-01-13	VYDAJ	VYBER	1400	20390	\N	\N	\N
1195412	4093	1996-01-21	VYDAJ	VYBER	1150	15290	\N	\N	\N
1195413	4093	1996-01-21	VYDAJ	VYBER	850	16440	\N	\N	\N
1195414	4093	1996-01-08	VYDAJ	VYBER	550	34390	\N	\N	\N
1195415	4093	1996-01-24	VYDAJ	VYBER	900	14390	\N	\N	\N
1195416	4093	1996-01-03	VYDAJ	VYBER	1100	34940	\N	\N	\N
1195418	4093	1997-01-19	VYDAJ	VYBER	450	15913	\N	\N	\N
1195420	4093	1997-01-24	VYDAJ	VYBER	750	15163	\N	\N	\N
1195421	4093	1997-01-17	VYDAJ	VYBER	1150	16363	\N	\N	\N
1195424	4093	1998-01-15	VYDAJ	VYBER	550	26364	\N	\N	\N
1195427	4093	1998-01-30	VYDAJ	VYBER	750	15714	\N	\N	\N
1195429	4093	1993-08-05	VYDAJ	VYBER	1950	22752	\N	\N	\N
1195430	4093	1993-07-26	VYDAJ	VYBER	1350	24592	\N	\N	\N
1195436	4093	1994-12-28	VYDAJ	VYBER	2300	25948	\N	\N	\N
1195437	4093	1994-12-21	VYDAJ	VYBER	1350	29248	\N	\N	\N
1195439	4093	1994-07-24	VYDAJ	VYBER	2300	23318	\N	\N	\N
1195440	4093	1994-06-22	VYDAJ	VYBER	1600	25027	\N	\N	\N
1195441	4093	1994-04-05	VYDAJ	VYBER	1600	24745	\N	\N	\N
1195442	4093	1995-06-24	VYDAJ	VYBER	2200	19482	\N	\N	\N
1195443	4093	1995-01-13	VYDAJ	VYBER	1650	19512	\N	\N	\N
1195444	4093	1995-11-02	VYDAJ	VYBER	850	17586	\N	\N	\N
1195445	4093	1995-04-16	VYDAJ	VYBER	350	29851	\N	\N	\N
1195446	4093	1995-01-01	VYDAJ	VYBER	250	25812	\N	\N	\N
1195447	4093	1995-11-10	VYDAJ	VYBER	2000	14986	\N	\N	\N
1195448	4093	1995-08-10	VYDAJ	VYBER	600	21235	\N	\N	\N
1195449	4093	1996-04-27	VYDAJ	VYBER	1800	42311	\N	\N	\N
1195452	4093	1996-06-17	VYDAJ	VYBER	600	16465	\N	\N	\N
1195454	4093	1997-07-05	VYDAJ	VYBER	800	15872	\N	\N	\N
1195455	4093	1997-09-28	VYDAJ	VYBER	1800	20657	\N	\N	\N
1195457	4093	1998-12-19	VYDAJ	VYBER	2250	18771	\N	\N	\N
1195458	4093	1998-04-18	VYDAJ	VYBER	900	17073	\N	\N	\N
1195460	4093	1998-12-07	VYDAJ	VYBER	650	21621	\N	\N	\N
1195461	4093	1998-11-20	VYDAJ	VYBER	900	22196	\N	\N	\N
1195469	4093	1993-07-31	VYDAJ	VYBER	15	24702	SLUZBY	\N	\N
1195470	4093	1993-08-31	VYDAJ	VYBER	15	25841	SLUZBY	\N	\N
1195471	4093	1993-09-30	VYDAJ	VYBER	15	27436	SLUZBY	\N	\N
1195472	4093	1993-10-31	VYDAJ	VYBER	15	35438	SLUZBY	\N	\N
1195473	4093	1993-11-30	VYDAJ	VYBER	15	28760	SLUZBY	\N	\N
1195474	4093	1993-12-31	VYDAJ	VYBER	15	25760	SLUZBY	\N	\N
1195475	4093	1994-01-31	VYDAJ	VYBER	15	28536	SLUZBY	\N	\N
1195476	4093	1994-02-28	VYDAJ	VYBER	15	29642	SLUZBY	\N	\N
1195477	4093	1994-03-31	VYDAJ	VYBER	15	26345	SLUZBY	\N	\N
1195478	4093	1994-04-30	VYDAJ	VYBER	15	24837	SLUZBY	\N	\N
1195479	4093	1994-05-31	VYDAJ	VYBER	15	25527	SLUZBY	\N	\N
1195480	4093	1994-06-30	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
1195481	4093	1994-07-31	VYDAJ	VYBER	15	23406	SLUZBY	\N	\N
1195482	4093	1994-08-31	VYDAJ	VYBER	15	23088	SLUZBY	\N	\N
1195483	4093	1994-09-30	VYDAJ	VYBER	15	25975	SLUZBY	\N	\N
1195484	4093	1994-10-31	VYDAJ	VYBER	15	38464	SLUZBY	\N	\N
1195485	4093	1994-11-30	VYDAJ	VYBER	15	33498	SLUZBY	\N	\N
1195486	4093	1994-12-31	VYDAJ	VYBER	15	26062	SLUZBY	\N	\N
1195487	4093	1995-01-31	VYDAJ	VYBER	15	18436	SLUZBY	\N	\N
1195488	4093	1995-02-28	VYDAJ	VYBER	15	18598	SLUZBY	\N	\N
1195489	4093	1995-03-31	VYDAJ	VYBER	15	40301	SLUZBY	\N	\N
1195490	4093	1995-04-30	VYDAJ	VYBER	15	29981	SLUZBY	\N	\N
1195491	4093	1995-05-31	VYDAJ	VYBER	15	25982	SLUZBY	\N	\N
1195492	4093	1995-06-30	VYDAJ	VYBER	15	19563	SLUZBY	\N	\N
1195493	4093	1995-07-31	VYDAJ	VYBER	15	21835	SLUZBY	\N	\N
1195494	4093	1995-08-31	VYDAJ	VYBER	15	19805	SLUZBY	\N	\N
1195495	4093	1995-09-30	VYDAJ	VYBER	15	20072	SLUZBY	\N	\N
1195496	4093	1995-10-31	VYDAJ	VYBER	15	18436	SLUZBY	\N	\N
1195497	4093	1995-11-30	VYDAJ	VYBER	15	15739	SLUZBY	\N	\N
1195498	4093	1995-12-31	VYDAJ	VYBER	15	36040	SLUZBY	\N	\N
1195499	4093	1996-01-31	VYDAJ	VYBER	15	14466	SLUZBY	\N	\N
1195500	4093	1996-02-29	VYDAJ	VYBER	15	17017	SLUZBY	\N	\N
1195501	4093	1996-03-31	VYDAJ	VYBER	15	73711	SLUZBY	\N	\N
1195502	4093	1996-04-30	VYDAJ	VYBER	15	42544	SLUZBY	\N	\N
1195503	4093	1996-05-31	VYDAJ	VYBER	15	23865	SLUZBY	\N	\N
1195504	4093	1996-06-30	VYDAJ	VYBER	15	16530	SLUZBY	\N	\N
1195505	4093	1996-07-31	VYDAJ	VYBER	15	16182	SLUZBY	\N	\N
1195506	4093	1996-08-31	VYDAJ	VYBER	15	13829	SLUZBY	\N	\N
1195507	4093	1996-09-30	VYDAJ	VYBER	15	14570	SLUZBY	\N	\N
1195508	4093	1996-10-31	VYDAJ	VYBER	15	15315	SLUZBY	\N	\N
1195509	4093	1996-11-30	VYDAJ	VYBER	15	16062	SLUZBY	\N	\N
1195510	4093	1996-12-31	VYDAJ	VYBER	15	16813	SLUZBY	\N	\N
1195511	4093	1997-01-31	VYDAJ	VYBER	15	15214	SLUZBY	\N	\N
1195512	4093	1997-02-28	VYDAJ	VYBER	15	43208	SLUZBY	\N	\N
1195513	4093	1997-03-31	VYDAJ	VYBER	15	22017	SLUZBY	\N	\N
1195514	4093	1997-04-30	VYDAJ	VYBER	15	15176	SLUZBY	\N	\N
1195515	4093	1997-05-31	VYDAJ	VYBER	15	15923	SLUZBY	\N	\N
1195516	4093	1997-06-30	VYDAJ	VYBER	15	16672	SLUZBY	\N	\N
1195517	4093	1997-07-31	VYDAJ	VYBER	15	16624	SLUZBY	\N	\N
1195518	4093	1997-08-31	VYDAJ	VYBER	15	21757	SLUZBY	\N	\N
1195519	4093	1997-09-30	VYDAJ	VYBER	15	20730	SLUZBY	\N	\N
1195520	4093	1997-10-31	VYDAJ	VYBER	15	13997	SLUZBY	\N	\N
1195521	4093	1997-11-30	VYDAJ	VYBER	15	14739	SLUZBY	\N	\N
1195522	4093	1997-12-31	VYDAJ	VYBER	15	15483	SLUZBY	\N	\N
1195523	4093	1998-01-31	VYDAJ	VYBER	15	15773	SLUZBY	\N	\N
1195524	4093	1998-02-28	VYDAJ	VYBER	15	16521	SLUZBY	\N	\N
1195525	4093	1998-03-31	VYDAJ	VYBER	15	17273	SLUZBY	\N	\N
1195526	4093	1998-04-30	VYDAJ	VYBER	15	17127	SLUZBY	\N	\N
1195527	4093	1998-05-31	VYDAJ	VYBER	15	17880	SLUZBY	\N	\N
1195528	4093	1998-06-30	VYDAJ	VYBER	15	19327	SLUZBY	\N	\N
1195529	4093	1998-07-31	VYDAJ	VYBER	15	20089	SLUZBY	\N	\N
1195530	4093	1998-08-31	VYDAJ	VYBER	15	20855	SLUZBY	\N	\N
1195531	4093	1998-09-30	VYDAJ	VYBER	15	21624	SLUZBY	\N	\N
1195532	4093	1998-10-31	VYDAJ	VYBER	15	22396	SLUZBY	\N	\N
1195533	4093	1998-11-30	VYDAJ	VYBER	15	22271	SLUZBY	\N	\N
1195534	4093	1993-04-24	PRIJEM	VKLAD	10600	11700	\N	\N	\N
1195535	4093	1993-05-24	VYDAJ	VYBER	20600	41446	\N	\N	\N
1195536	4093	1993-06-23	VYDAJ	VYBER	10500	31880	\N	\N	\N
1195537	4093	1993-07-23	VYDAJ	VYBER	6800	25942	\N	\N	\N
1195538	4093	1993-08-22	PRIJEM	VKLAD	2300	25752	\N	\N	\N
1195539	4093	1993-09-21	PRIJEM	VKLAD	800	27341	\N	\N	\N
1195540	4093	1993-10-21	VYDAJ	VYBER	13600	35309	\N	\N	\N
1195541	4093	1993-11-20	VYDAJ	VYBER	7500	28638	\N	\N	\N
1195542	4093	1993-12-20	VYDAJ	VYBER	1200	25660	\N	\N	\N
1195543	4093	1994-01-19	VYDAJ	VYBER	6300	29099	\N	\N	\N
1195544	4093	1994-02-18	PRIJEM	VKLAD	300	29536	\N	\N	\N
1195545	4093	1994-03-20	VYDAJ	VYBER	4100	26242	\N	\N	\N
1195546	4093	1994-04-19	VYDAJ	VYBER	700	24745	\N	\N	\N
1195547	4093	1994-05-19	VYDAJ	VYBER	100	25437	\N	\N	\N
1195548	4093	1994-06-18	PRIJEM	VKLAD	400	26627	\N	\N	\N
1195549	4093	1994-07-18	VYDAJ	VYBER	200	25618	\N	\N	\N
1195550	4093	1994-08-17	VYDAJ	VYBER	1100	23006	\N	\N	\N
1195551	4093	1994-09-16	PRIJEM	VKLAD	2100	25888	\N	\N	\N
1195552	4093	1994-10-16	VYDAJ	VYBER	11700	38320	\N	\N	\N
1195553	4093	1994-11-15	VYDAJ	VYBER	5800	33364	\N	\N	\N
1195554	4093	1994-12-15	VYDAJ	VYBER	3600	29898	\N	\N	\N
1195555	4093	1995-01-14	PRIJEM	VKLAD	2600	22112	\N	\N	\N
1195556	4093	1995-02-13	VYDAJ	VYBER	600	17836	\N	\N	\N
1195557	4093	1995-03-15	VYDAJ	VYBER	16500	39490	\N	\N	\N
1195558	4093	1995-04-14	VYDAJ	VYBER	10800	29501	\N	\N	\N
1195559	4093	1995-05-14	VYDAJ	VYBER	4800	25181	\N	\N	\N
1195560	4093	1995-06-13	VYDAJ	VYBER	5000	20982	\N	\N	\N
1195561	4093	1995-07-13	PRIJEM	VKLAD	1500	21763	\N	\N	\N
1195562	4093	1995-08-12	VYDAJ	VYBER	2200	19035	\N	\N	\N
1195563	4093	1995-09-11	VYDAJ	VYBER	500	19305	\N	\N	\N
1195564	4093	1995-10-11	VYDAJ	VYBER	2400	17672	\N	\N	\N
1195565	4093	1995-11-10	VYDAJ	VYBER	600	16986	\N	\N	\N
1195566	4093	1995-12-10	VYDAJ	VYBER	24400	37228	\N	\N	\N
1195567	4093	1996-01-09	VYDAJ	VYBER	12600	21790	\N	\N	\N
1195568	4093	1996-02-08	PRIJEM	VKLAD	1800	16266	\N	\N	\N
1195569	4093	1996-03-09	VYDAJ	VYBER	2600	14417	\N	\N	\N
1195570	4093	1996-04-08	VYDAJ	VYBER	30300	43411	\N	\N	\N
1195571	4093	1996-05-08	VYDAJ	VYBER	19500	23044	\N	\N	\N
1195572	4093	1996-06-07	VYDAJ	VYBER	7500	16365	\N	\N	\N
1195573	4093	1996-07-07	VYDAJ	VYBER	1100	15430	\N	\N	\N
1195574	4093	1996-08-06	VYDAJ	VYBER	3100	13082	\N	\N	\N
1195575	4093	1997-03-04	VYDAJ	VYBER	22000	21208	\N	\N	\N
1195576	4093	1997-04-03	VYDAJ	VYBER	7600	14417	\N	\N	\N
1195577	4093	1997-08-31	VYDAJ	VYBER	13400	21772	\N	\N	\N
1195578	4093	1997-10-30	VYDAJ	VYBER	7500	13930	\N	\N	\N
1197325	4099	1996-05-26	PRIJEM	VKLAD	800	800	\N	\N	\N
1197331	4099	1996-06-10	PRIJEM	VKLAD	27216	28016	\N	\N	\N
1197332	4099	1996-07-10	PRIJEM	VKLAD	18144	44582	\N	\N	\N
1197333	4099	1996-08-10	PRIJEM	VKLAD	18144	50942	\N	\N	\N
1197334	4099	1996-09-10	PRIJEM	VKLAD	18144	54025	\N	\N	\N
1197335	4099	1996-10-10	PRIJEM	VKLAD	18144	55621	\N	\N	\N
1197336	4099	1996-11-10	PRIJEM	VKLAD	18144	50227	\N	\N	\N
1197337	4099	1996-12-10	PRIJEM	VKLAD	27216	54332	\N	\N	\N
1197338	4099	1997-01-10	PRIJEM	VKLAD	18144	46200	\N	\N	\N
1197339	4099	1997-02-10	PRIJEM	VKLAD	18144	42363	\N	\N	\N
1197340	4099	1997-03-10	PRIJEM	VKLAD	18144	45896	\N	\N	\N
1197341	4099	1997-04-10	PRIJEM	VKLAD	18144	46841	\N	\N	\N
1197342	4099	1997-05-10	PRIJEM	VKLAD	18144	46802	\N	\N	\N
1197343	4099	1997-06-10	PRIJEM	VKLAD	27216	56921	\N	\N	\N
1197344	4099	1997-07-10	PRIJEM	VKLAD	18144	55296	\N	\N	\N
1197345	4099	1997-08-10	PRIJEM	VKLAD	18144	55375	\N	\N	\N
1197346	4099	1997-09-10	PRIJEM	VKLAD	18144	54473	\N	\N	\N
1197347	4099	1997-10-10	PRIJEM	VKLAD	18144	50359	\N	\N	\N
1197348	4099	1997-11-10	PRIJEM	VKLAD	18144	45845	\N	\N	\N
1197349	4099	1997-12-10	PRIJEM	VKLAD	27216	54271	\N	\N	\N
1197350	4099	1998-01-10	PRIJEM	VKLAD	18144	41999	\N	\N	\N
1197351	4099	1998-02-10	PRIJEM	VKLAD	18144	34282	\N	\N	\N
1197352	4099	1998-03-10	PRIJEM	VKLAD	18144	47413	\N	\N	\N
1197353	4099	1998-04-10	PRIJEM	VKLAD	18144	54789	\N	\N	\N
1197354	4099	1998-05-10	PRIJEM	VKLAD	18144	56082	\N	\N	\N
1197355	4099	1998-06-10	PRIJEM	VKLAD	27216	68297	\N	\N	\N
1197356	4099	1998-07-10	PRIJEM	VKLAD	18144	51295	\N	\N	\N
1197357	4099	1998-08-10	PRIJEM	VKLAD	18144	58794	\N	\N	\N
1197358	4099	1998-09-10	PRIJEM	VKLAD	18144	59603	\N	\N	\N
1197359	4099	1998-10-10	PRIJEM	VKLAD	18144	60914	\N	\N	\N
1197360	4099	1998-11-10	PRIJEM	VKLAD	18144	62028	\N	\N	\N
1197361	4099	1998-12-10	PRIJEM	VKLAD	27216	73519	\N	\N	\N
1197371	4099	1996-10-14	VYDAJ	PREVOD NA UCET	1926	51994	SIPO	AB	31954735
1197372	4099	1996-11-14	VYDAJ	PREVOD NA UCET	1926	47003	SIPO	AB	31954735
1197373	4099	1996-12-14	VYDAJ	PREVOD NA UCET	1926	51108	SIPO	AB	31954735
1197374	4099	1997-01-14	VYDAJ	PREVOD NA UCET	1926	42976	SIPO	AB	31954735
1197375	4099	1997-02-14	VYDAJ	PREVOD NA UCET	1926	38736	SIPO	AB	31954735
1197376	4099	1997-03-14	VYDAJ	PREVOD NA UCET	1926	42672	SIPO	AB	31954735
1197377	4099	1997-04-14	VYDAJ	PREVOD NA UCET	1926	43214	SIPO	AB	31954735
1197378	4099	1997-05-14	VYDAJ	PREVOD NA UCET	1926	42575	SIPO	AB	31954735
1197379	4099	1997-06-14	VYDAJ	PREVOD NA UCET	1926	53294	SIPO	AB	31954735
1197380	4099	1997-07-14	VYDAJ	PREVOD NA UCET	1926	52072	SIPO	AB	31954735
1197381	4099	1997-08-14	VYDAJ	PREVOD NA UCET	1926	50876	SIPO	AB	31954735
1197382	4099	1997-09-14	VYDAJ	PREVOD NA UCET	1926	49974	SIPO	AB	31954735
1197383	4099	1997-10-14	VYDAJ	PREVOD NA UCET	1926	43580	SIPO	AB	31954735
1197384	4099	1997-11-14	VYDAJ	PREVOD NA UCET	1926	41749	SIPO	AB	31954735
1197385	4099	1997-12-14	VYDAJ	PREVOD NA UCET	1926	50175	SIPO	AB	31954735
1197386	4099	1998-01-14	VYDAJ	PREVOD NA UCET	1926	25820	SIPO	AB	31954735
1197387	4099	1998-02-14	VYDAJ	PREVOD NA UCET	1926	30186	SIPO	AB	31954735
1197388	4099	1998-03-14	VYDAJ	PREVOD NA UCET	1926	43317	SIPO	AB	31954735
1197389	4099	1998-04-14	VYDAJ	PREVOD NA UCET	1926	50290	SIPO	AB	31954735
1197390	4099	1998-05-14	VYDAJ	PREVOD NA UCET	1926	51583	SIPO	AB	31954735
1197391	4099	1998-06-14	VYDAJ	PREVOD NA UCET	1926	63798	SIPO	AB	31954735
1197392	4099	1998-07-14	VYDAJ	PREVOD NA UCET	1926	47199	SIPO	AB	31954735
1197393	4099	1998-08-14	VYDAJ	PREVOD NA UCET	1926	43498	SIPO	AB	31954735
1197394	4099	1998-09-14	VYDAJ	PREVOD NA UCET	1926	42604	SIPO	AB	31954735
1197395	4099	1998-10-14	VYDAJ	PREVOD NA UCET	1926	44315	SIPO	AB	31954735
1197396	4099	1998-11-14	VYDAJ	PREVOD NA UCET	1926	46532	SIPO	AB	31954735
1197397	4099	1998-12-14	VYDAJ	PREVOD NA UCET	1926	53420	SIPO	AB	31954735
1197407	4099	1996-10-14	VYDAJ	PREVOD NA UCET	403	53920	 	IJ	40898221
1197408	4099	1996-11-14	VYDAJ	PREVOD NA UCET	403	46600	 	IJ	40898221
1197409	4099	1996-12-14	VYDAJ	PREVOD NA UCET	403	50705	 	IJ	40898221
1197410	4099	1997-01-14	VYDAJ	PREVOD NA UCET	403	42573	 	IJ	40898221
1197411	4099	1997-02-14	VYDAJ	PREVOD NA UCET	403	40662	 	IJ	40898221
1197412	4099	1997-03-14	VYDAJ	PREVOD NA UCET	403	42269	 	IJ	40898221
1197413	4099	1997-04-14	VYDAJ	PREVOD NA UCET	403	45140	 	IJ	40898221
1197414	4099	1997-05-14	VYDAJ	PREVOD NA UCET	403	44501	 	IJ	40898221
1197415	4099	1997-06-14	VYDAJ	PREVOD NA UCET	403	55220	 	IJ	40898221
1197416	4099	1997-07-14	VYDAJ	PREVOD NA UCET	403	51669	 	IJ	40898221
1197417	4099	1997-08-14	VYDAJ	PREVOD NA UCET	403	52802	 	IJ	40898221
1197418	4099	1997-09-14	VYDAJ	PREVOD NA UCET	403	51900	 	IJ	40898221
1197419	4099	1997-10-14	VYDAJ	PREVOD NA UCET	403	45506	 	IJ	40898221
1197420	4099	1997-11-14	VYDAJ	PREVOD NA UCET	403	41346	 	IJ	40898221
1197421	4099	1997-12-14	VYDAJ	PREVOD NA UCET	403	49772	 	IJ	40898221
1197422	4099	1998-01-14	VYDAJ	PREVOD NA UCET	403	27746	 	IJ	40898221
1197423	4099	1998-02-14	VYDAJ	PREVOD NA UCET	403	29783	 	IJ	40898221
1197424	4099	1998-03-14	VYDAJ	PREVOD NA UCET	403	42914	 	IJ	40898221
1197425	4099	1998-04-14	VYDAJ	PREVOD NA UCET	403	52216	 	IJ	40898221
1197426	4099	1998-05-14	VYDAJ	PREVOD NA UCET	403	53509	 	IJ	40898221
1197427	4099	1998-06-14	VYDAJ	PREVOD NA UCET	403	65724	 	IJ	40898221
1197428	4099	1998-07-14	VYDAJ	PREVOD NA UCET	403	46796	 	IJ	40898221
1197429	4099	1998-08-14	VYDAJ	PREVOD NA UCET	403	43095	 	IJ	40898221
1197430	4099	1998-09-14	VYDAJ	PREVOD NA UCET	403	44530	 	IJ	40898221
1197431	4099	1998-10-14	VYDAJ	PREVOD NA UCET	403	46241	 	IJ	40898221
1197432	4099	1998-11-14	VYDAJ	PREVOD NA UCET	403	46129	 	IJ	40898221
1197433	4099	1998-12-14	VYDAJ	PREVOD NA UCET	403	55346	 	IJ	40898221
1197443	4099	1996-10-12	VYDAJ	PREVOD NA UCET	1298	54323	POJISTNE	QR	6660080
1197444	4099	1996-11-12	VYDAJ	PREVOD NA UCET	1298	48929	POJISTNE	QR	6660080
1197445	4099	1996-12-12	VYDAJ	PREVOD NA UCET	1298	53034	POJISTNE	QR	6660080
1197446	4099	1997-01-12	VYDAJ	PREVOD NA UCET	1298	44902	POJISTNE	QR	6660080
1197447	4099	1997-02-12	VYDAJ	PREVOD NA UCET	1298	41065	POJISTNE	QR	6660080
1197448	4099	1997-03-12	VYDAJ	PREVOD NA UCET	1298	44598	POJISTNE	QR	6660080
1197449	4099	1997-04-12	VYDAJ	PREVOD NA UCET	1298	45543	POJISTNE	QR	6660080
1197450	4099	1997-05-12	VYDAJ	PREVOD NA UCET	1298	44904	POJISTNE	QR	6660080
1197451	4099	1997-06-12	VYDAJ	PREVOD NA UCET	1298	55623	POJISTNE	QR	6660080
1197452	4099	1997-07-12	VYDAJ	PREVOD NA UCET	1298	53998	POJISTNE	QR	6660080
1197453	4099	1997-08-12	VYDAJ	PREVOD NA UCET	1298	54077	POJISTNE	QR	6660080
1197454	4099	1997-09-12	VYDAJ	PREVOD NA UCET	1298	53175	POJISTNE	QR	6660080
1197455	4099	1997-10-12	VYDAJ	PREVOD NA UCET	1298	45909	POJISTNE	QR	6660080
1197456	4099	1997-11-12	VYDAJ	PREVOD NA UCET	1298	44547	POJISTNE	QR	6660080
1197457	4099	1997-12-12	VYDAJ	PREVOD NA UCET	1298	52973	POJISTNE	QR	6660080
1197458	4099	1998-01-12	VYDAJ	PREVOD NA UCET	1298	29021	POJISTNE	QR	6660080
1197459	4099	1998-02-12	VYDAJ	PREVOD NA UCET	1298	32112	POJISTNE	QR	6660080
1197460	4099	1998-03-12	VYDAJ	PREVOD NA UCET	1298	46115	POJISTNE	QR	6660080
1197461	4099	1998-04-12	VYDAJ	PREVOD NA UCET	1298	53491	POJISTNE	QR	6660080
1197462	4099	1998-05-12	VYDAJ	PREVOD NA UCET	1298	54784	POJISTNE	QR	6660080
1197463	4099	1998-06-12	VYDAJ	PREVOD NA UCET	1298	66999	POJISTNE	QR	6660080
1197464	4099	1998-07-12	VYDAJ	PREVOD NA UCET	1298	49997	POJISTNE	QR	6660080
1197465	4099	1998-08-12	VYDAJ	PREVOD NA UCET	1298	57496	POJISTNE	QR	6660080
1197466	4099	1998-09-12	VYDAJ	PREVOD NA UCET	1298	58305	POJISTNE	QR	6660080
1197467	4099	1998-10-12	VYDAJ	PREVOD NA UCET	1298	59616	POJISTNE	QR	6660080
1197468	4099	1998-11-12	VYDAJ	PREVOD NA UCET	1298	60730	POJISTNE	QR	6660080
1197469	4099	1998-12-12	VYDAJ	PREVOD NA UCET	1298	55749	POJISTNE	QR	6660080
1197479	4099	1996-10-04	VYDAJ	VYBER	800	37477	\N	\N	0
1197480	4099	1996-11-18	VYDAJ	VYBER	900	45700	\N	\N	0
1197481	4099	1996-12-04	VYDAJ	VYBER	500	28236	\N	\N	0
1197482	4099	1997-01-03	VYDAJ	VYBER	500	30936	\N	\N	0
1197483	4099	1997-02-01	VYDAJ	VYBER	900	24219	\N	\N	0
1197484	4099	1997-03-04	VYDAJ	VYBER	600	27752	\N	\N	0
1197485	4099	1997-04-18	VYDAJ	VYBER	900	40634	\N	\N	0
1197486	4099	1997-05-11	VYDAJ	VYBER	600	46202	\N	\N	0
1197487	4099	1997-06-05	VYDAJ	VYBER	800	29705	\N	\N	0
1197488	4099	1997-07-04	VYDAJ	VYBER	700	37152	\N	\N	0
1197489	4099	1997-08-12	VYDAJ	PREVOD NA UCET	872	53205	UVER	GH	75250422
1197490	4099	1997-09-12	VYDAJ	PREVOD NA UCET	872	52303	UVER	GH	75250422
1197491	4099	1997-10-12	VYDAJ	PREVOD NA UCET	872	49487	UVER	GH	75250422
1197492	4099	1997-11-12	VYDAJ	PREVOD NA UCET	872	43675	UVER	GH	75250422
1197493	4099	1997-12-12	VYDAJ	PREVOD NA UCET	872	52101	UVER	GH	75250422
1197494	4099	1998-01-12	VYDAJ	PREVOD NA UCET	872	28149	UVER	GH	75250422
1197495	4099	1998-02-12	VYDAJ	PREVOD NA UCET	872	33410	UVER	GH	75250422
1197496	4099	1998-03-12	VYDAJ	PREVOD NA UCET	872	45243	UVER	GH	75250422
1197497	4099	1998-04-12	VYDAJ	PREVOD NA UCET	872	52619	UVER	GH	75250422
1197498	4099	1998-05-12	VYDAJ	PREVOD NA UCET	872	53912	UVER	GH	75250422
1197499	4099	1998-06-12	VYDAJ	PREVOD NA UCET	872	66127	UVER	GH	75250422
1197500	4099	1998-07-12	VYDAJ	PREVOD NA UCET	872	49125	UVER	GH	75250422
1197501	4099	1998-08-12	VYDAJ	PREVOD NA UCET	872	56624	UVER	GH	75250422
1197502	4099	1998-09-12	VYDAJ	PREVOD NA UCET	872	57433	UVER	GH	75250422
1197503	4099	1998-10-12	VYDAJ	PREVOD NA UCET	872	58744	UVER	GH	75250422
1197504	4099	1998-11-12	VYDAJ	PREVOD NA UCET	872	48458	UVER	GH	75250422
1197505	4099	1998-12-12	VYDAJ	PREVOD NA UCET	872	57047	UVER	GH	75250422
1197508	4099	1998-06-27	VYDAJ	VYBER	9920	36578	\N	\N	\N
1197510	4099	1997-01-26	VYDAJ	VYBER	2720	24993	\N	\N	\N
1197511	4099	1998-01-10	VYDAJ	VYBER	11680	30319	\N	\N	\N
1197512	4099	1996-12-08	VYDAJ	VYBER	1120	27116	\N	\N	\N
1197513	4099	1997-12-21	VYDAJ	VYBER	1760	31412	\N	\N	\N
1197514	4099	1998-12-28	VYDAJ	VYBER KARTOU	2100	51320	\N	\N	0
1197521	4099	1997-01-02	VYDAJ	VYBER	2760	32996	\N	\N	\N
1197522	4099	1997-01-25	VYDAJ	VYBER	840	27713	\N	\N	\N
1197523	4099	1997-01-07	VYDAJ	VYBER	720	30216	\N	\N	\N
1197524	4099	1997-01-02	VYDAJ	VYBER	1560	31436	\N	\N	\N
1197525	4099	1997-01-08	VYDAJ	VYBER	2160	28056	\N	\N	\N
1197526	4099	1997-01-17	VYDAJ	VYBER	720	41853	\N	\N	\N
1197528	4099	1998-01-09	VYDAJ	VYBER	3000	23855	\N	\N	\N
1197529	4099	1998-01-02	VYDAJ	VYBER	1440	26855	\N	\N	\N
1197530	4099	1998-01-22	VYDAJ	VYBER	3360	16060	\N	\N	\N
1197531	4099	1998-01-01	VYDAJ	VYBER	3240	28295	\N	\N	\N
1197532	4099	1998-01-20	VYDAJ	VYBER	600	19420	\N	\N	\N
1197533	4099	1996-10-28	VYDAJ	VYBER	5280	31914	\N	\N	\N
1197534	4099	1996-11-24	VYDAJ	VYBER	3600	28600	\N	\N	\N
1197537	4099	1997-04-14	VYDAJ	VYBER	1680	41534	\N	\N	\N
1197538	4099	1997-05-01	VYDAJ	VYBER	600	28658	\N	\N	\N
1197539	4099	1997-10-12	VYDAJ	VYBER	2280	47207	\N	\N	\N
1197540	4099	1998-10-31	VYDAJ	VYBER KARTOU	600	43884	\N	\N	0
1197541	4099	1998-07-08	VYDAJ	VYBER	3600	33151	\N	\N	\N
1197542	4099	1998-08-29	VYDAJ	VYBER	1080	41295	\N	\N	\N
1197543	4099	1998-08-26	VYDAJ	VYBER	720	42375	\N	\N	\N
1197545	4099	1998-05-20	VYDAJ	VYBER	1560	40923	\N	\N	\N
1197556	4099	1996-10-31	VYDAJ	VYBER	15	32083	SLUZBY	\N	\N
1197557	4099	1996-11-30	VYDAJ	VYBER	15	28736	SLUZBY	\N	\N
1197558	4099	1996-12-31	VYDAJ	VYBER	15	35756	SLUZBY	\N	\N
1197559	4099	1997-01-31	VYDAJ	VYBER	15	25119	SLUZBY	\N	\N
1197560	4099	1997-02-28	VYDAJ	VYBER	15	28352	SLUZBY	\N	\N
1197561	4099	1997-03-31	VYDAJ	VYBER	15	28697	SLUZBY	\N	\N
1197562	4099	1997-04-30	VYDAJ	VYBER	15	29258	SLUZBY	\N	\N
1197563	4099	1997-05-31	VYDAJ	VYBER	15	30505	SLUZBY	\N	\N
1197564	4099	1997-06-30	VYDAJ	VYBER	15	37852	SLUZBY	\N	\N
1197565	4099	1997-07-31	VYDAJ	VYBER	15	37231	SLUZBY	\N	\N
1197566	4099	1997-08-31	VYDAJ	VYBER	15	36329	SLUZBY	\N	\N
1197567	4099	1997-09-30	VYDAJ	VYBER	15	32215	SLUZBY	\N	\N
1197568	4099	1997-10-31	VYDAJ	VYBER	15	27701	SLUZBY	\N	\N
1197569	4099	1997-11-30	VYDAJ	VYBER	15	27055	SLUZBY	\N	\N
1197570	4099	1997-12-31	VYDAJ	VYBER	15	31535	SLUZBY	\N	\N
1197571	4099	1998-01-31	VYDAJ	VYBER	15	16138	SLUZBY	\N	\N
1197572	4099	1998-02-28	VYDAJ	VYBER	15	29269	SLUZBY	\N	\N
1197573	4099	1998-03-31	VYDAJ	VYBER	15	36645	SLUZBY	\N	\N
1197574	4099	1998-04-30	VYDAJ	VYBER	15	37938	SLUZBY	\N	\N
1197575	4099	1998-05-31	VYDAJ	VYBER	15	41081	SLUZBY	\N	\N
1197576	4099	1998-06-30	VYDAJ	VYBER	15	36751	SLUZBY	\N	\N
1197577	4099	1998-07-31	VYDAJ	VYBER	15	40650	SLUZBY	\N	\N
1197578	4099	1998-08-31	VYDAJ	VYBER	15	41459	SLUZBY	\N	\N
1197579	4099	1998-09-30	VYDAJ	VYBER	15	42770	SLUZBY	\N	\N
1197580	4099	1998-10-31	VYDAJ	VYBER	15	44484	SLUZBY	\N	\N
1197581	4099	1998-11-30	VYDAJ	VYBER	15	46303	SLUZBY	\N	\N
1197582	4099	1996-06-25	VYDAJ	VYBER	1600	26416	\N	\N	\N
1197583	4099	1996-07-25	VYDAJ	VYBER	11900	32682	\N	\N	\N
1197584	4099	1996-08-24	VYDAJ	VYBER	15200	35742	\N	\N	\N
1197585	4099	1996-09-23	VYDAJ	VYBER	15900	38125	\N	\N	\N
1197586	4099	1996-10-23	VYDAJ	VYBER	14800	37194	\N	\N	\N
1197587	4099	1996-11-22	VYDAJ	VYBER	13500	32200	\N	\N	\N
1197588	4099	1996-12-22	VYDAJ	VYBER	15100	35605	\N	\N	\N
1197589	4099	1997-01-21	VYDAJ	VYBER	13300	28553	\N	\N	\N
1197590	4099	1997-02-20	VYDAJ	VYBER	10500	28236	\N	\N	\N
1197591	4099	1997-03-22	VYDAJ	VYBER	13700	28569	\N	\N	\N
1197592	4099	1997-04-21	VYDAJ	VYBER	11500	29134	\N	\N	\N
1197593	4099	1997-05-21	VYDAJ	VYBER	12200	30375	\N	\N	\N
1197594	4099	1997-06-20	VYDAJ	VYBER	15600	37694	\N	\N	\N
1197595	4099	1997-07-20	VYDAJ	VYBER	14600	37069	\N	\N	\N
1197596	4099	1997-08-19	VYDAJ	VYBER	14700	36176	\N	\N	\N
1197597	4099	1997-09-18	VYDAJ	VYBER	17900	32074	\N	\N	\N
1197598	4099	1997-10-18	VYDAJ	VYBER	16000	27580	\N	\N	\N
1197599	4099	1997-11-17	VYDAJ	VYBER	14400	26946	\N	\N	\N
1197600	4099	1997-12-17	VYDAJ	VYBER	16600	33172	\N	\N	\N
1197601	4099	1998-01-16	VYDAJ	VYBER	5800	20020	\N	\N	\N
1197602	4099	1998-02-15	VYDAJ	VYBER	600	29183	\N	\N	\N
1197603	4099	1998-03-17	VYDAJ	VYBER	6400	36514	\N	\N	\N
1197604	4099	1998-04-16	VYDAJ	VYBER	12500	37790	\N	\N	\N
1197605	4099	1998-05-16	VYDAJ	VYBER	9100	42483	\N	\N	\N
1197606	4099	1998-06-15	VYDAJ	VYBER	17300	46498	\N	\N	\N
1197607	4099	1998-07-15	VYDAJ	VYBER	6300	40496	\N	\N	\N
1197608	4099	1998-08-14	VYDAJ	VYBER	11200	45424	\N	\N	\N
1197609	4099	1998-09-13	VYDAJ	VYBER	12500	44933	\N	\N	\N
1197610	4099	1998-10-13	VYDAJ	VYBER	12100	46644	\N	\N	\N
1197611	4099	1998-11-12	VYDAJ	VYBER	11400	49330	\N	\N	\N
1197612	4099	1998-12-12	VYDAJ	VYBER	15600	57919	\N	\N	\N
1198362	4102	1996-11-13	PRIJEM	VKLAD	700	700	\N	\N	\N
1198365	4102	1997-12-17	PRIJEM	VKLAD	48788	78631	\N	\N	\N
1198366	4102	1997-08-11	PRIJEM	VKLAD	8176	30476	\N	\N	\N
1198367	4102	1998-12-25	PRIJEM	VKLAD	8313	51881	\N	\N	\N
1198368	4102	1998-09-26	PRIJEM	VKLAD	12274	49350	\N	\N	\N
1198454	4102	1997-01-12	PRIJEM	VKLAD	10900	11600	\N	\N	\N
1198455	4102	1997-02-11	PRIJEM	VKLAD	8400	20000	\N	\N	\N
1198456	4102	1997-03-13	PRIJEM	VKLAD	3600	23600	\N	\N	\N
1198457	4102	1997-04-12	PRIJEM	VKLAD	3700	27300	\N	\N	\N
1198458	4102	1997-05-12	VYDAJ	VYBER	2200	25100	\N	\N	\N
1198459	4102	1997-06-11	VYDAJ	VYBER	3500	21600	\N	\N	\N
1198460	4102	1997-07-11	VYDAJ	VYBER	1800	19800	\N	\N	\N
1198461	4102	1997-08-10	PRIJEM	VKLAD	2500	22300	\N	\N	\N
1198462	4102	1997-09-09	VYDAJ	VYBER	2700	27862	\N	\N	\N
1198463	4102	1997-10-09	VYDAJ	VYBER	200	27789	\N	\N	\N
1198464	4102	1997-11-08	VYDAJ	VYBER	1300	26616	\N	\N	\N
1198465	4102	1997-12-08	PRIJEM	VKLAD	3100	29843	\N	\N	\N
1198466	4102	1998-01-07	VYDAJ	VYBER	26700	52155	\N	\N	\N
1198467	4102	1998-02-06	VYDAJ	VYBER	12800	39683	\N	\N	\N
1198468	4102	1998-03-08	VYDAJ	VYBER	3700	36310	\N	\N	\N
1198469	4102	1998-04-07	VYDAJ	VYBER	300	36338	\N	\N	\N
1198470	4102	1998-05-07	VYDAJ	VYBER	1900	34766	\N	\N	\N
1198471	4102	1998-06-06	VYDAJ	VYBER	300	34793	\N	\N	\N
1198472	4102	1998-07-06	VYDAJ	VYBER	1000	34121	\N	\N	\N
1198473	4102	1998-08-05	VYDAJ	VYBER	600	33848	\N	\N	\N
1198474	4102	1998-09-04	PRIJEM	VKLAD	2900	37076	\N	\N	\N
1198475	4102	1998-10-04	VYDAJ	VYBER	4400	45257	\N	\N	\N
1198476	4102	1998-11-03	VYDAJ	VYBER KARTOU	1200	44263	\N	\N	0
1198477	4102	1998-12-03	VYDAJ	VYBER KARTOU	900	43568	\N	\N	0
1198495	4103	1995-01-25	PRIJEM	VKLAD	300	300	\N	\N	\N
1198496	4103	1995-11-12	PRIJEM	VKLAD	41542	146729	\N	\N	\N
1198497	4103	1995-10-13	PRIJEM	VKLAD	44267	153058	\N	\N	\N
1198498	4103	1995-09-09	PRIJEM	VKLAD	47754	145971	\N	\N	\N
1198499	4103	1995-03-22	PRIJEM	VKLAD	47288	106031	\N	\N	\N
1198500	4103	1995-11-07	PRIJEM	VKLAD	48943	129087	\N	\N	\N
1198501	4103	1995-10-10	PRIJEM	VKLAD	49043	135291	\N	\N	\N
1198502	4103	1995-09-20	PRIJEM	VKLAD	29258	159229	\N	\N	\N
1198503	4103	1995-05-26	PRIJEM	VKLAD	47505	72138	\N	\N	\N
1198504	4103	1995-06-15	PRIJEM	VKLAD	21056	23144	\N	\N	\N
1198505	4103	1995-02-11	PRIJEM	VKLAD	24514	93663	\N	\N	\N
1198506	4103	1995-11-19	PRIJEM	VKLAD	46545	154941	\N	\N	\N
1198508	4103	1995-08-28	PRIJEM	VKLAD	25668	92004	\N	\N	\N
1198509	4103	1995-08-15	PRIJEM	VKLAD	40750	91184	\N	\N	\N
1198510	4103	1995-08-20	PRIJEM	VKLAD	10252	101436	\N	\N	\N
1198511	4103	1995-03-26	PRIJEM	VKLAD	17162	123193	\N	\N	\N
1198512	4103	1995-07-09	PRIJEM	VKLAD	24392	82796	\N	\N	\N
1198513	4103	1995-11-01	PRIJEM	VKLAD	22275	80144	\N	\N	\N
1198514	4103	1995-10-03	PRIJEM	VKLAD	6095	86248	\N	\N	\N
1198515	4103	1995-01-27	PRIJEM	VKLAD	43776	44076	\N	\N	\N
1198516	4103	1995-09-04	PRIJEM	VKLAD	30169	98217	\N	\N	\N
1198517	4103	1995-06-28	PRIJEM	VKLAD	40567	58211	\N	\N	\N
1198518	4103	1995-11-13	PRIJEM	VKLAD	47367	164896	\N	\N	\N
1198519	4103	1995-01-29	PRIJEM	VKLAD	25033	69109	\N	\N	\N
1198520	4103	1996-05-14	PRIJEM	VKLAD	42933	148074	\N	\N	\N
1198521	4103	1996-01-20	PRIJEM	VKLAD	6046	27564	\N	\N	\N
1198522	4103	1996-09-10	PRIJEM	VKLAD	45852	118058	\N	\N	\N
1198523	4103	1996-02-21	PRIJEM	VKLAD	37695	81336	\N	\N	\N
1198524	4103	1996-09-25	PRIJEM	VKLAD	19137	68495	\N	\N	\N
1198525	4103	1996-12-08	PRIJEM	VKLAD	8307	95572	\N	\N	\N
1198526	4103	1996-10-19	PRIJEM	VKLAD	34070	80667	\N	\N	\N
1198527	4103	1996-05-15	PRIJEM	VKLAD	47545	170119	\N	\N	\N
1198528	4103	1996-04-12	PRIJEM	VKLAD	25748	112916	\N	\N	\N
1198529	4103	1996-01-24	PRIJEM	VKLAD	49396	75560	\N	\N	\N
1198530	4103	1996-12-19	PRIJEM	VKLAD	13157	72929	\N	\N	\N
1198531	4103	1996-04-24	PRIJEM	VKLAD	32867	94719	\N	\N	\N
1198532	4103	1996-08-25	PRIJEM	VKLAD	15504	79283	\N	\N	\N
1198533	4103	1996-04-14	PRIJEM	VKLAD	18946	103462	\N	\N	\N
1198534	4103	1996-12-02	PRIJEM	VKLAD	24794	87265	\N	\N	\N
1198535	4103	1996-06-17	PRIJEM	VKLAD	8799	55536	\N	\N	\N
1198536	4103	1996-04-06	PRIJEM	VKLAD	34658	87168	\N	\N	\N
1198537	4103	1996-05-08	PRIJEM	VKLAD	18228	105141	\N	\N	\N
1198538	4103	1996-05-23	PRIJEM	VKLAD	35430	122249	\N	\N	\N
1198539	4103	1996-06-11	PRIJEM	VKLAD	33371	89841	\N	\N	\N
1198540	4103	1996-10-20	PRIJEM	VKLAD	20477	101144	\N	\N	\N
1198541	4103	1996-05-28	PRIJEM	VKLAD	22656	80705	\N	\N	\N
1198542	4103	1996-08-19	PRIJEM	VKLAD	48777	63779	\N	\N	\N
1198543	4103	1998-09-19	PRIJEM	VKLAD	48745	61792	\N	\N	\N
1198544	4103	1998-06-22	PRIJEM	VKLAD	39281	67079	\N	\N	\N
1198545	4103	1998-12-01	PRIJEM	VKLAD	38314	81911	\N	\N	\N
1198546	4103	1998-02-23	PRIJEM	VKLAD	45007	60396	\N	\N	\N
1198547	4103	1998-09-19	PRIJEM	VKLAD	41262	103054	\N	\N	\N
1198548	4103	1998-12-22	PRIJEM	VKLAD	39299	89199	\N	\N	\N
1198549	4103	1998-01-10	PRIJEM	VKLAD	14787	23343	\N	\N	\N
1198550	4103	1998-05-01	PRIJEM	VKLAD	25083	119518	\N	\N	\N
1198551	4103	1998-04-13	PRIJEM	VKLAD	13342	54291	\N	\N	\N
1198552	4103	1998-03-24	PRIJEM	VKLAD	25543	64143	\N	\N	\N
1198553	4103	1998-10-04	PRIJEM	VKLAD	48706	151888	\N	\N	\N
1198554	4103	1998-04-14	PRIJEM	VKLAD	39825	94116	\N	\N	\N
1198555	4103	1998-02-27	PRIJEM	VKLAD	6316	66712	\N	\N	\N
1198556	4103	1998-12-03	PRIJEM	VKLAD	9989	91900	\N	\N	\N
1198557	4103	1998-06-05	PRIJEM	VKLAD	22845	73298	\N	\N	\N
1198558	4103	1998-11-01	PRIJEM	VKLAD	24215	72631	\N	\N	\N
1198559	4103	1995-11-29	VYBER	VYBER	10448	55493	\N	\N	\N
1198560	4103	1995-09-03	VYBER	VYBER	24205	68048	\N	\N	\N
1198561	4103	1995-05-19	VYBER	VYBER	5329	26933	\N	\N	\N
1198562	4103	1996-06-02	VYBER	VYBER	24601	56470	\N	\N	\N
1198563	4103	1996-04-14	VYBER	VYBER	6510	96952	\N	\N	\N
1198564	4103	1996-07-28	VYBER	VYBER	18172	4583	\N	\N	\N
1198565	4103	1996-01-30	VYBER	VYBER	2969	62091	\N	\N	\N
1198566	4103	1996-06-14	VYBER	VYBER	15204	74637	\N	\N	\N
1198567	4103	1996-07-22	VYBER	VYBER	6325	22755	\N	\N	\N
1198571	4103	1997-10-29	VYBER	VYBER	6013	3531	\N	\N	\N
1198573	4103	1997-05-23	VYBER	VYBER	2796	16360	\N	\N	\N
1198576	4103	1997-09-10	VYBER	VYBER	4073	4034	\N	\N	\N
1198577	4103	1995-06-11	VYDAJ	VYBER	70200	2088	\N	\N	\N
1198578	4103	1996-06-15	VYDAJ	VYBER	27900	46737	\N	\N	\N
1198580	4103	1998-06-08	VYDAJ	VYBER	35100	38198	\N	\N	\N
1198582	4103	1996-01-15	VYDAJ	VYBER	7500	21518	\N	\N	\N
1198583	4103	1997-01-27	VYDAJ	VYBER	12000	20616	\N	\N	\N
1198585	4103	1995-12-14	VYDAJ	VYBER	5400	50424	\N	\N	\N
1198586	4103	1996-12-26	VYDAJ	VYBER	6900	66029	\N	\N	\N
1198587	4103	1997-12-30	VYDAJ	VYBER	2400	6834	\N	\N	\N
1198588	4103	1998-12-12	VYDAJ	VYBER	1800	49900	\N	\N	\N
1198595	4103	1996-01-25	VYDAJ	VYBER	3900	71660	\N	\N	\N
1198596	4103	1996-01-29	VYDAJ	VYBER	4800	65060	\N	\N	\N
1198597	4103	1996-01-25	VYDAJ	VYBER	1800	69860	\N	\N	\N
1198598	4103	1996-01-30	VYDAJ	VYBER	4800	57291	\N	\N	\N
1198599	4103	1996-01-02	VYDAJ	VYBER	7800	31418	\N	\N	\N
1198600	4103	1996-01-08	VYDAJ	VYBER	2400	29018	\N	\N	\N
1198601	4103	1997-01-11	VYDAJ	VYBER	5700	60616	\N	\N	\N
1198602	4103	1997-01-23	VYDAJ	VYBER	1500	40116	\N	\N	\N
1198603	4103	1997-01-29	VYDAJ	VYBER	8400	12216	\N	\N	\N
1198604	4103	1997-01-25	VYDAJ	VYBER	3300	36816	\N	\N	\N
1198605	4103	1997-01-27	VYDAJ	VYBER	4200	32616	\N	\N	\N
1198606	4103	1997-01-17	VYDAJ	VYBER	2400	41616	\N	\N	\N
1198607	4103	1998-01-01	VYDAJ	VYBER	3900	2956	\N	\N	\N
1198610	4103	1998-01-20	VYDAJ	VYBER	6300	15243	\N	\N	\N
1198612	4103	1998-01-12	VYDAJ	VYBER	1800	21543	\N	\N	\N
1198613	4103	1995-07-11	VYDAJ	VYBER	14100	68696	\N	\N	\N
1198614	4103	1995-06-27	VYDAJ	VYBER	7800	17644	\N	\N	\N
1198615	4103	1995-04-26	VYDAJ	VYBER	9900	32065	\N	\N	\N
1198617	4103	1996-07-17	VYDAJ	VYBER	13200	29680	\N	\N	\N
1198619	4103	1996-09-08	VYDAJ	VYBER	7200	72206	\N	\N	\N
1198620	4103	1996-02-18	VYDAJ	VYBER	3600	53841	\N	\N	\N
1198621	4103	1996-04-24	VYDAJ	VYBER	8100	86619	\N	\N	\N
1198622	4103	1997-09-30	VYDAJ	VYBER	2100	3258	\N	\N	\N
1198623	4103	1997-06-27	VYDAJ	VYBER	5700	9319	\N	\N	\N
1198625	4103	1997-07-16	VYDAJ	VYBER	3600	8467	\N	\N	\N
1198627	4103	1997-08-21	VYDAJ	VYBER	1500	8088	\N	\N	\N
1198628	4103	1998-10-13	VYDAJ	VYBER	8700	48188	\N	\N	\N
1198629	4103	1998-08-28	VYDAJ	VYBER	4200	19227	\N	\N	\N
1198630	4103	1998-03-06	VYDAJ	VYBER	9000	57800	\N	\N	\N
1198631	4103	1998-05-07	VYDAJ	VYBER	2100	88418	\N	\N	\N
1198632	4103	1998-09-02	VYDAJ	VYBER	5100	14247	\N	\N	\N
1198636	4103	1995-03-31	VYDAJ	VYBER	15	54465	SLUZBY	\N	\N
1198637	4103	1995-04-30	VYDAJ	VYBER	15	32262	SLUZBY	\N	\N
1198638	4103	1995-05-31	VYDAJ	VYBER	15	72288	SLUZBY	\N	\N
1198639	4103	1995-06-30	VYDAJ	VYBER	15	58404	SLUZBY	\N	\N
1198640	4103	1995-07-31	VYDAJ	VYBER	15	50434	SLUZBY	\N	\N
1198641	4103	1995-08-31	VYDAJ	VYBER	15	92253	SLUZBY	\N	\N
1198642	4103	1995-09-30	VYDAJ	VYBER	15	80153	SLUZBY	\N	\N
1198643	4103	1995-10-31	VYDAJ	VYBER	15	57869	SLUZBY	\N	\N
1198644	4103	1995-11-30	VYDAJ	VYBER	15	55824	SLUZBY	\N	\N
1198645	4103	1995-12-31	VYDAJ	VYBER	15	39218	SLUZBY	\N	\N
1198646	4103	1996-01-31	VYDAJ	VYBER	15	57441	SLUZBY	\N	\N
1198647	4103	1996-02-29	VYDAJ	VYBER	15	81588	SLUZBY	\N	\N
1198648	4103	1996-03-31	VYDAJ	VYBER	15	52510	SLUZBY	\N	\N
1198649	4103	1996-04-30	VYDAJ	VYBER	15	86913	SLUZBY	\N	\N
1198650	4103	1996-05-31	VYDAJ	VYBER	15	81071	SLUZBY	\N	\N
1198651	4103	1996-06-30	VYDAJ	VYBER	15	42880	SLUZBY	\N	\N
1198652	4103	1996-07-31	VYDAJ	VYBER	15	4702	SLUZBY	\N	\N
1198653	4103	1996-08-31	VYDAJ	VYBER	15	79406	SLUZBY	\N	\N
1198654	4103	1996-09-30	VYDAJ	VYBER	15	68797	SLUZBY	\N	\N
1198655	4103	1996-10-31	VYDAJ	VYBER	15	101469	SLUZBY	\N	\N
1198656	4103	1996-11-30	VYDAJ	VYBER	15	62471	SLUZBY	\N	\N
1198657	4103	1996-12-31	VYDAJ	VYBER	15	66316	SLUZBY	\N	\N
1198658	4103	1997-01-31	VYDAJ	VYBER	15	12399	SLUZBY	\N	\N
1198659	4103	1997-02-28	VYDAJ	VYBER	15	16536	SLUZBY	\N	\N
1198660	4103	1997-03-31	VYDAJ	VYBER	15	19790	SLUZBY	\N	\N
1198661	4103	1997-04-30	VYDAJ	VYBER	15	18456	SLUZBY	\N	\N
1198662	4103	1997-05-31	VYDAJ	VYBER	15	16419	SLUZBY	\N	\N
1198663	4103	1997-06-30	VYDAJ	VYBER	15	9367	SLUZBY	\N	\N
1198664	4103	1997-07-31	VYDAJ	VYBER	15	8488	SLUZBY	\N	\N
1198665	4103	1997-08-31	VYDAJ	VYBER	15	8107	SLUZBY	\N	\N
1198666	4103	1997-09-30	VYDAJ	VYBER	15	3244	SLUZBY	\N	\N
1198667	4103	1997-10-31	VYDAJ	VYBER	15	3536	SLUZBY	\N	\N
1198668	4103	1997-11-30	VYDAJ	VYBER	15	9434	SLUZBY	\N	\N
1198669	4103	1997-12-31	VYDAJ	VYBER	15	6856	SLUZBY	\N	\N
1198670	4103	1998-01-31	VYDAJ	VYBER	15	15289	SLUZBY	\N	\N
1198671	4103	1998-02-28	VYDAJ	VYBER	15	66800	SLUZBY	\N	\N
1198672	4103	1998-03-31	VYDAJ	VYBER	15	64349	SLUZBY	\N	\N
1198673	4103	1998-04-30	VYDAJ	VYBER	15	94435	SLUZBY	\N	\N
1198674	4103	1998-05-31	VYDAJ	VYBER	15	50453	SLUZBY	\N	\N
1198675	4103	1998-06-30	VYDAJ	VYBER	15	67269	SLUZBY	\N	\N
1198676	4103	1998-07-31	VYDAJ	VYBER	15	35327	SLUZBY	\N	\N
1198677	4103	1998-08-31	VYDAJ	VYBER	15	19347	SLUZBY	\N	\N
1198678	4103	1998-09-30	VYDAJ	VYBER	15	103182	SLUZBY	\N	\N
1198679	4103	1998-10-31	VYDAJ	VYBER	15	48416	SLUZBY	\N	\N
1198680	4103	1998-11-30	VYDAJ	VYBER	15	43597	SLUZBY	\N	\N
1198681	4103	1995-02-24	VYDAJ	VYBER	35200	58463	\N	\N	\N
1198682	4103	1995-03-26	VYDAJ	VYBER	35300	54193	\N	\N	\N
1198683	4103	1995-03-26	VYDAJ	VYBER	33700	89493	\N	\N	\N
1198684	4103	1995-04-25	VYDAJ	VYBER	12500	41965	\N	\N	\N
1198685	4103	1995-05-25	VYDAJ	VYBER	2300	24633	\N	\N	\N
1198686	4103	1995-06-24	PRIJEM	VKLAD	2300	25444	\N	\N	\N
1198687	4103	1995-07-24	VYDAJ	VYBER	18500	50196	\N	\N	\N
1198688	4103	1995-08-23	VYDAJ	VYBER	35100	66336	\N	\N	\N
1198689	4103	1995-09-09	VYDAJ	VYBER	16000	129971	\N	\N	\N
1198690	4103	1995-09-20	VYDAJ	VYBER	35200	124029	\N	\N	\N
1198691	4103	1995-09-22	VYDAJ	VYBER	44300	79729	\N	\N	\N
1198692	4103	1995-10-10	VYDAJ	VYBER	26500	108791	\N	\N	\N
1198693	4103	1995-10-13	VYDAJ	VYBER	64900	88158	\N	\N	\N
1198694	4103	1995-10-22	VYDAJ	VYBER	30600	57558	\N	\N	\N
1198695	4103	1995-11-07	VYDAJ	VYBER	23900	105187	\N	\N	\N
1198696	4103	1995-11-12	VYDAJ	VYBER	29200	117529	\N	\N	\N
1198697	4103	1995-11-13	VYDAJ	VYBER	56500	108396	\N	\N	\N
1198698	4103	1995-11-19	VYDAJ	VYBER	49200	105741	\N	\N	\N
1198699	4103	1995-11-21	VYDAJ	VYBER	39800	65941	\N	\N	\N
1198700	4103	1995-12-21	VYDAJ	VYBER	11400	39024	\N	\N	\N
1198701	4103	1996-01-20	VYDAJ	VYBER	1400	26164	\N	\N	\N
1198702	4103	1996-02-19	VYDAJ	VYBER	10200	43641	\N	\N	\N
1198703	4103	1996-03-20	VYDAJ	VYBER	29400	52188	\N	\N	\N
1198704	4103	1996-04-12	VYDAJ	VYBER	28400	84516	\N	\N	\N
1198705	4103	1996-04-19	VYDAJ	VYBER	35100	61852	\N	\N	\N
1198706	4103	1996-05-14	VYDAJ	VYBER	25500	122574	\N	\N	\N
1198707	4103	1996-05-15	VYDAJ	VYBER	15900	154219	\N	\N	\N
1198708	4103	1996-05-19	VYDAJ	VYBER	67400	86819	\N	\N	\N
1198709	4103	1996-05-23	VYDAJ	VYBER	64200	58049	\N	\N	\N
1198710	4103	1996-06-18	VYDAJ	VYBER	12900	42636	\N	\N	\N
1198711	4103	1996-07-18	VYDAJ	VYBER	600	29080	\N	\N	\N
1198712	4103	1996-08-17	PRIJEM	VKLAD	10300	15002	\N	\N	\N
1198713	4103	1996-09-10	VYDAJ	VYBER	47500	70558	\N	\N	\N
1198714	4103	1996-09-16	VYDAJ	VYBER	21200	49358	\N	\N	\N
1198715	4103	1996-10-16	VYDAJ	VYBER	22200	46597	\N	\N	\N
1198716	4103	1996-11-15	VYDAJ	VYBER	39400	62069	\N	\N	\N
1198717	4103	1996-12-15	VYDAJ	VYBER	35800	59772	\N	\N	\N
1198718	4103	1997-01-14	VYDAJ	VYBER	16600	44016	\N	\N	\N
1198719	4103	1997-02-13	PRIJEM	VKLAD	4100	16499	\N	\N	\N
1198720	4103	1997-03-15	PRIJEM	VKLAD	3200	19736	\N	\N	\N
1198721	4103	1997-04-14	VYDAJ	VYBER	1400	18390	\N	\N	\N
1198722	4103	1997-05-14	PRIJEM	VKLAD	700	19156	\N	\N	\N
1198723	4103	1997-06-13	VYDAJ	VYBER	1400	15019	\N	\N	\N
1198724	4103	1997-07-13	PRIJEM	VKLAD	2700	12067	\N	\N	\N
1198725	4103	1997-08-12	PRIJEM	VKLAD	1100	9588	\N	\N	\N
1198726	4103	1997-09-11	PRIJEM	VKLAD	1300	5334	\N	\N	\N
1198727	4103	1997-10-11	PRIJEM	VKLAD	6300	9544	\N	\N	\N
1198728	4103	1997-11-10	PRIJEM	VKLAD	5900	9436	\N	\N	\N
1198729	4103	1997-12-10	VYDAJ	VYBER	200	9234	\N	\N	\N
1198730	4103	1998-01-09	PRIJEM	VKLAD	5600	8556	\N	\N	\N
1198731	4103	1998-02-08	PRIJEM	VKLAD	100	15389	\N	\N	\N
1198732	4103	1998-03-10	VYDAJ	VYBER	19200	38600	\N	\N	\N
1198733	4103	1998-04-09	VYDAJ	VYBER	23400	40949	\N	\N	\N
1198734	4103	1998-05-01	VYDAJ	VYBER	29000	90518	\N	\N	\N
1198735	4103	1998-05-09	VYDAJ	VYBER	38200	50218	\N	\N	\N
1198736	4103	1998-06-08	VYDAJ	VYBER	10400	27798	\N	\N	\N
1198737	4103	1998-07-08	VYDAJ	VYBER	32200	35069	\N	\N	\N
1198738	4103	1998-08-07	VYDAJ	VYBER	11900	23427	\N	\N	\N
1198739	4103	1998-09-06	VYDAJ	VYBER	1200	13047	\N	\N	\N
1198740	4103	1998-10-04	VYDAJ	VYBER	47700	104188	\N	\N	\N
1198741	4103	1998-10-06	VYDAJ	VYBER	47300	56888	\N	\N	\N
1198742	4103	1998-11-05	VYDAJ	VYBER	29200	43431	\N	\N	\N
1198743	4103	1998-12-05	VYDAJ	VYBER	40200	51700	\N	\N	\N
1199443	4105	1995-05-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1199444	4105	1995-10-02	PRIJEM	VKLAD	48207	76673	\N	\N	\N
1199446	4105	1996-05-16	PRIJEM	VKLAD	27183	54506	\N	\N	\N
1199447	4105	1996-06-07	PRIJEM	VKLAD	40732	77395	\N	\N	\N
1199448	4105	1997-10-27	PRIJEM	VKLAD	4299	33427	\N	\N	\N
1199449	4105	1997-06-27	PRIJEM	VKLAD	2987	27139	\N	\N	\N
1199450	4105	1998-04-20	PRIJEM	VKLAD	26491	67293	\N	\N	\N
1199451	4105	1998-08-31	PRIJEM	VKLAD	3804	46530	\N	\N	\N
1199456	4105	1995-05-14	PRIJEM	VKLAD	1700	2500	\N	\N	\N
1199457	4105	1995-06-17	PRIJEM	VKLAD	1700	15708	\N	\N	\N
1199458	4105	1995-07-15	PRIJEM	VKLAD	1700	22948	\N	\N	\N
1199459	4105	1995-08-16	PRIJEM	VKLAD	1700	28718	\N	\N	\N
1199460	4105	1995-09-13	PRIJEM	VKLAD	1700	27465	\N	\N	\N
1199461	4105	1995-10-13	PRIJEM	VKLAD	1700	49573	\N	\N	\N
1199462	4105	1995-11-13	PRIJEM	VKLAD	1700	36054	\N	\N	\N
1199463	4105	1995-12-17	PRIJEM	VKLAD	1700	29965	\N	\N	\N
1199464	4105	1996-01-17	PRIJEM	VKLAD	1700	23837	\N	\N	\N
1199465	4105	1996-02-17	PRIJEM	VKLAD	1700	18467	\N	\N	\N
1199466	4105	1996-03-16	PRIJEM	VKLAD	1700	20723	\N	\N	\N
1199467	4105	1996-04-14	PRIJEM	VKLAD	1700	24941	\N	\N	\N
1199468	4105	1996-05-13	PRIJEM	VKLAD	1700	28423	\N	\N	\N
1199469	4105	1996-06-16	PRIJEM	VKLAD	1700	79095	\N	\N	\N
1199470	4105	1996-07-14	PRIJEM	VKLAD	1700	56823	\N	\N	\N
1199471	4105	1996-08-17	PRIJEM	VKLAD	1700	46584	\N	\N	\N
1199472	4105	1996-09-15	PRIJEM	VKLAD	1700	39758	\N	\N	\N
1199473	4105	1996-10-16	PRIJEM	VKLAD	1700	33004	\N	\N	\N
1199474	4105	1996-11-14	PRIJEM	VKLAD	1700	29722	\N	\N	\N
1199475	4105	1996-12-14	PRIJEM	VKLAD	1700	26077	\N	\N	\N
1199476	4105	1997-01-17	PRIJEM	VKLAD	1700	19068	\N	\N	\N
1199477	4105	1997-02-16	PRIJEM	VKLAD	1700	17682	\N	\N	\N
1199478	4105	1997-03-17	PRIJEM	VKLAD	1700	20440	\N	\N	\N
1199479	4105	1997-04-17	PRIJEM	VKLAD	1700	21607	\N	\N	\N
1199480	4105	1997-05-16	PRIJEM	VKLAD	1700	22079	\N	\N	\N
1199481	4105	1997-06-16	PRIJEM	VKLAD	1700	22752	\N	\N	\N
1199482	4105	1997-07-15	PRIJEM	VKLAD	1700	28918	\N	\N	\N
1199483	4105	1997-08-15	PRIJEM	VKLAD	1700	29619	\N	\N	\N
1199484	4105	1997-09-15	PRIJEM	VKLAD	1700	30423	\N	\N	\N
1199485	4105	1997-10-14	PRIJEM	VKLAD	1700	28028	\N	\N	\N
1199486	4105	1997-11-16	PRIJEM	VKLAD	1700	35229	\N	\N	\N
1199487	4105	1997-12-15	PRIJEM	VKLAD	1700	33556	\N	\N	\N
1199488	4105	1998-01-14	PRIJEM	VKLAD	1700	28786	\N	\N	\N
1199489	4105	1998-02-17	PRIJEM	VKLAD	1700	30440	\N	\N	\N
1199490	4105	1998-03-14	PRIJEM	VKLAD	1700	40256	\N	\N	\N
1199491	4105	1998-04-16	PRIJEM	VKLAD	1700	39902	\N	\N	\N
1199492	4105	1998-05-14	PRIJEM	VKLAD	1700	55365	\N	\N	\N
1199493	4105	1998-06-13	PRIJEM	VKLAD	1700	35469	\N	\N	\N
1199494	4105	1998-07-14	PRIJEM	VKLAD	1700	43134	\N	\N	\N
1199495	4105	1998-08-14	PRIJEM	VKLAD	1700	43896	\N	\N	\N
1199496	4105	1998-09-16	PRIJEM	VKLAD	1700	48215	\N	\N	\N
1199497	4105	1998-10-16	PRIJEM	VKLAD	1700	51398	\N	\N	\N
1199498	4105	1998-11-15	PRIJEM	VKLAD	1700	51589	\N	\N	\N
1199499	4105	1998-12-17	PRIJEM	VKLAD	1700	50385	\N	\N	\N
1199504	4105	1995-05-18	PRIJEM	VKLAD	900	3400	\N	\N	\N
1199505	4105	1995-06-18	PRIJEM	VKLAD	900	16608	\N	\N	\N
1199506	4105	1995-07-18	PRIJEM	VKLAD	900	23848	\N	\N	\N
1199507	4105	1995-08-18	PRIJEM	VKLAD	900	29618	\N	\N	\N
1199508	4105	1995-09-18	PRIJEM	VKLAD	900	28365	\N	\N	\N
1199509	4105	1995-10-18	PRIJEM	VKLAD	900	50473	\N	\N	\N
1199510	4105	1995-11-18	PRIJEM	VKLAD	900	36954	\N	\N	\N
1199511	4105	1995-12-18	PRIJEM	VKLAD	900	30865	\N	\N	\N
1199512	4105	1996-01-18	PRIJEM	VKLAD	900	24737	\N	\N	\N
1199513	4105	1996-02-18	PRIJEM	VKLAD	900	19367	\N	\N	\N
1199514	4105	1996-03-18	PRIJEM	VKLAD	900	21623	\N	\N	\N
1199515	4105	1996-04-18	PRIJEM	VKLAD	900	25841	\N	\N	\N
1199516	4105	1996-05-18	PRIJEM	VKLAD	900	55406	\N	\N	\N
1199517	4105	1996-06-18	PRIJEM	VKLAD	900	79995	\N	\N	\N
1199518	4105	1996-07-18	PRIJEM	VKLAD	900	57723	\N	\N	\N
1199519	4105	1996-08-18	PRIJEM	VKLAD	900	47484	\N	\N	\N
1199520	4105	1996-09-18	PRIJEM	VKLAD	900	40658	\N	\N	\N
1199521	4105	1996-10-18	PRIJEM	VKLAD	900	33904	\N	\N	\N
1199522	4105	1996-11-18	PRIJEM	VKLAD	900	30622	\N	\N	\N
1199523	4105	1996-12-18	PRIJEM	VKLAD	900	26977	\N	\N	\N
1199524	4105	1997-01-18	PRIJEM	VKLAD	900	19968	\N	\N	\N
1199525	4105	1997-02-18	PRIJEM	VKLAD	900	18582	\N	\N	\N
1199526	4105	1997-03-18	PRIJEM	VKLAD	900	21340	\N	\N	\N
1199527	4105	1997-04-18	PRIJEM	VKLAD	900	22507	\N	\N	\N
1199528	4105	1997-05-18	PRIJEM	VKLAD	900	22979	\N	\N	\N
1199529	4105	1997-06-18	PRIJEM	VKLAD	900	23652	\N	\N	\N
1199530	4105	1997-07-18	PRIJEM	VKLAD	900	29818	\N	\N	\N
1199531	4105	1997-08-18	PRIJEM	VKLAD	900	30519	\N	\N	\N
1199532	4105	1997-09-18	PRIJEM	VKLAD	900	31323	\N	\N	\N
1199533	4105	1997-10-18	PRIJEM	VKLAD	900	28928	\N	\N	\N
1199534	4105	1997-11-18	PRIJEM	VKLAD	900	36129	\N	\N	\N
1199535	4105	1997-12-18	PRIJEM	VKLAD	900	34456	\N	\N	\N
1199536	4105	1998-01-18	PRIJEM	VKLAD	900	28286	\N	\N	\N
1199537	4105	1998-02-18	PRIJEM	VKLAD	900	31340	\N	\N	\N
1199538	4105	1998-03-18	PRIJEM	VKLAD	900	41156	\N	\N	\N
1199539	4105	1998-04-18	PRIJEM	VKLAD	900	40802	\N	\N	\N
1199540	4105	1998-05-18	PRIJEM	VKLAD	900	56265	\N	\N	\N
1199541	4105	1998-06-18	PRIJEM	VKLAD	900	36369	\N	\N	\N
1199542	4105	1998-07-18	PRIJEM	VKLAD	900	44034	\N	\N	\N
1199543	4105	1998-08-18	PRIJEM	VKLAD	900	42446	\N	\N	\N
1199544	4105	1998-09-18	PRIJEM	VKLAD	900	49115	\N	\N	\N
1199545	4105	1998-10-18	PRIJEM	VKLAD	900	52298	\N	\N	\N
1199546	4105	1998-11-18	PRIJEM	VKLAD	900	52489	\N	\N	\N
1199547	4105	1998-12-18	PRIJEM	VKLAD	900	51285	\N	\N	\N
1199549	4105	1996-06-01	VYDAJ	VYBER	14400	41163	\N	\N	\N
1199551	4105	1998-06-04	VYDAJ	VYBER	16700	33769	\N	\N	\N
1199553	4105	1996-01-23	VYDAJ	VYBER	6500	16637	\N	\N	\N
1199554	4105	1997-01-15	VYDAJ	VYBER	1500	17368	\N	\N	\N
1199555	4105	1998-01-02	VYDAJ	VYBER	8100	28136	\N	\N	\N
1199556	4105	1995-12-30	VYDAJ	VYBER	800	30065	\N	\N	\N
1199557	4105	1996-12-11	VYDAJ	VYBER	1200	24377	\N	\N	\N
1199558	4105	1997-12-12	VYDAJ	VYBER	2600	31856	\N	\N	\N
1199559	4105	1998-12-03	VYDAJ	VYBER KARTOU	2500	48685	\N	\N	0
1199566	4105	1996-01-18	VYDAJ	VYBER	1150	23587	\N	\N	\N
1199567	4105	1996-01-22	VYDAJ	VYBER	450	23137	\N	\N	\N
1199568	4105	1996-01-30	VYDAJ	VYBER	1450	14887	\N	\N	\N
1199569	4105	1996-01-08	VYDAJ	VYBER	250	22937	\N	\N	\N
1199570	4105	1996-01-14	VYDAJ	VYBER	800	22137	\N	\N	\N
1199571	4105	1996-01-29	VYDAJ	VYBER	300	16337	\N	\N	\N
1199572	4105	1997-01-10	VYDAJ	VYBER	350	18868	\N	\N	\N
1199573	4105	1997-01-20	VYDAJ	VYBER	500	19468	\N	\N	\N
1199574	4105	1997-01-25	VYDAJ	VYBER	1350	18118	\N	\N	\N
1199575	4105	1997-01-29	VYDAJ	VYBER	800	16868	\N	\N	\N
1199576	4105	1997-01-02	VYDAJ	VYBER	350	19218	\N	\N	\N
1199577	4105	1997-01-26	VYDAJ	VYBER	650	17468	\N	\N	\N
1199578	4105	1998-01-01	VYDAJ	VYBER	350	36236	\N	\N	\N
1199579	4105	1998-01-12	VYDAJ	VYBER	1050	27086	\N	\N	\N
1199580	4105	1998-01-28	VYDAJ	VYBER	500	28636	\N	\N	\N
1199581	4105	1998-01-16	VYDAJ	VYBER	1050	27386	\N	\N	\N
1199582	4105	1998-01-24	VYDAJ	VYBER	1150	29136	\N	\N	\N
1199583	4105	1998-01-14	VYDAJ	VYBER	350	28436	\N	\N	\N
1199584	4105	1995-11-28	VYDAJ	VYBER	700	36254	\N	\N	\N
1199585	4105	1995-11-30	VYDAJ	VYBER	1450	34965	\N	\N	\N
1199589	4105	1995-09-04	VYDAJ	VYBER	450	29265	\N	\N	\N
1199590	4105	1996-03-08	VYDAJ	VYBER	700	19023	\N	\N	\N
1199591	4105	1996-05-13	VYDAJ	VYBER	1100	27323	\N	\N	\N
1199592	4105	1996-03-23	VYDAJ	VYBER	1100	20523	\N	\N	\N
1199593	4105	1996-03-01	VYDAJ	VYBER	1100	18323	\N	\N	\N
1199594	4105	1996-12-04	VYDAJ	VYBER	950	25577	\N	\N	\N
1199595	4105	1996-06-27	VYDAJ	VYBER	1450	78545	\N	\N	\N
1199596	4105	1996-03-27	VYDAJ	VYBER	950	19573	\N	\N	\N
1199597	4105	1997-02-05	VYDAJ	VYBER	950	15982	\N	\N	\N
1199598	4105	1997-07-24	VYDAJ	VYBER	1600	28218	\N	\N	\N
1199599	4105	1998-06-20	VYDAJ	VYBER	1600	34769	\N	\N	\N
1199600	4105	1998-08-08	VYDAJ	VYBER	2100	42196	\N	\N	\N
1199601	4105	1998-08-16	VYDAJ	VYBER	2350	41546	\N	\N	\N
1199602	4105	1998-12-24	VYDAJ	VYBER KARTOU	1200	48385	\N	\N	0
1199603	4105	1998-08-20	VYDAJ	VYBER	300	42546	\N	\N	\N
1199604	4105	1998-01-21	VYDAJ	VYBER	2000	26286	\N	\N	\N
1199612	4105	1995-07-31	VYDAJ	VYBER	15	23918	SLUZBY	\N	\N
1199613	4105	1995-08-31	VYDAJ	VYBER	15	29715	SLUZBY	\N	\N
1199614	4105	1995-09-30	VYDAJ	VYBER	15	28466	SLUZBY	\N	\N
1199615	4105	1995-10-31	VYDAJ	VYBER	15	50654	SLUZBY	\N	\N
1199616	4105	1995-11-30	VYDAJ	VYBER	15	36415	SLUZBY	\N	\N
1199617	4105	1995-12-31	VYDAJ	VYBER	15	30187	SLUZBY	\N	\N
1199618	4105	1996-01-31	VYDAJ	VYBER	15	14967	SLUZBY	\N	\N
1199619	4105	1996-02-29	VYDAJ	VYBER	15	19423	SLUZBY	\N	\N
1199620	4105	1996-03-31	VYDAJ	VYBER	15	19641	SLUZBY	\N	\N
1199621	4105	1996-04-30	VYDAJ	VYBER	15	25923	SLUZBY	\N	\N
1199622	4105	1996-05-31	VYDAJ	VYBER	15	55563	SLUZBY	\N	\N
1199623	4105	1996-06-30	VYDAJ	VYBER	15	78823	SLUZBY	\N	\N
1199624	4105	1996-07-31	VYDAJ	VYBER	15	44884	SLUZBY	\N	\N
1199625	4105	1996-08-31	VYDAJ	VYBER	15	38058	SLUZBY	\N	\N
1199626	4105	1996-09-30	VYDAJ	VYBER	15	31304	SLUZBY	\N	\N
1199627	4105	1996-10-31	VYDAJ	VYBER	15	28022	SLUZBY	\N	\N
1199628	4105	1996-11-30	VYDAJ	VYBER	15	26527	SLUZBY	\N	\N
1199629	4105	1996-12-31	VYDAJ	VYBER	15	19568	SLUZBY	\N	\N
1199630	4105	1997-01-31	VYDAJ	VYBER	15	16932	SLUZBY	\N	\N
1199631	4105	1997-02-28	VYDAJ	VYBER	15	18740	SLUZBY	\N	\N
1199632	4105	1997-03-31	VYDAJ	VYBER	15	19907	SLUZBY	\N	\N
1199633	4105	1997-04-30	VYDAJ	VYBER	15	20379	SLUZBY	\N	\N
1199634	4105	1997-05-31	VYDAJ	VYBER	15	21052	SLUZBY	\N	\N
1199635	4105	1997-06-30	VYDAJ	VYBER	15	27218	SLUZBY	\N	\N
1199636	4105	1997-07-31	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
1199637	4105	1997-08-31	VYDAJ	VYBER	15	28723	SLUZBY	\N	\N
1199638	4105	1997-09-30	VYDAJ	VYBER	15	26328	SLUZBY	\N	\N
1199639	4105	1997-10-31	VYDAJ	VYBER	15	33529	SLUZBY	\N	\N
1199640	4105	1997-11-30	VYDAJ	VYBER	15	34456	SLUZBY	\N	\N
1199641	4105	1997-12-31	VYDAJ	VYBER	15	36586	SLUZBY	\N	\N
1199642	4105	1998-01-31	VYDAJ	VYBER	15	28740	SLUZBY	\N	\N
1199643	4105	1998-02-28	VYDAJ	VYBER	15	38556	SLUZBY	\N	\N
1199644	4105	1998-03-31	VYDAJ	VYBER	15	38202	SLUZBY	\N	\N
1199645	4105	1998-04-30	VYDAJ	VYBER	15	53665	SLUZBY	\N	\N
1199646	4105	1998-05-31	VYDAJ	VYBER	15	50469	SLUZBY	\N	\N
1199647	4105	1998-06-30	VYDAJ	VYBER	15	41434	SLUZBY	\N	\N
1199648	4105	1998-07-31	VYDAJ	VYBER	15	44296	SLUZBY	\N	\N
1199649	4105	1998-08-31	VYDAJ	VYBER	15	46515	SLUZBY	\N	\N
1199650	4105	1998-09-30	VYDAJ	VYBER	15	49698	SLUZBY	\N	\N
1199651	4105	1998-10-31	VYDAJ	VYBER	15	49889	SLUZBY	\N	\N
1199652	4105	1998-11-30	VYDAJ	VYBER	15	51185	SLUZBY	\N	\N
1199653	4105	1995-06-07	PRIJEM	VKLAD	10600	14008	\N	\N	\N
1199654	4105	1995-07-07	PRIJEM	VKLAD	4600	21248	\N	\N	\N
1199655	4105	1995-08-06	PRIJEM	VKLAD	3100	27018	\N	\N	\N
1199656	4105	1995-09-05	VYDAJ	VYBER	3500	25765	\N	\N	\N
1199657	4105	1995-10-05	VYDAJ	VYBER	28800	47873	\N	\N	\N
1199658	4105	1995-11-04	VYDAJ	VYBER	16300	34354	\N	\N	\N
1199659	4105	1995-12-04	VYDAJ	VYBER	6700	28265	\N	\N	\N
1199660	4105	1996-01-03	VYDAJ	VYBER	7000	23187	\N	\N	\N
1199661	4105	1996-02-02	PRIJEM	VKLAD	1800	16767	\N	\N	\N
1199662	4105	1996-03-03	PRIJEM	VKLAD	1400	19723	\N	\N	\N
1199663	4105	1996-04-02	PRIJEM	VKLAD	3600	23241	\N	\N	\N
1199664	4105	1996-05-02	PRIJEM	VKLAD	800	26723	\N	\N	\N
1199665	4105	1996-06-01	VYDAJ	VYBER	4500	36663	\N	\N	\N
1199666	4105	1996-07-01	VYDAJ	VYBER	23700	55123	\N	\N	\N
1199667	4105	1996-07-31	VYDAJ	VYBER	13100	44898	\N	\N	\N
1199668	4105	1996-08-30	VYDAJ	VYBER	9600	37884	\N	\N	\N
1199669	4105	1996-09-29	VYDAJ	VYBER	9500	31158	\N	\N	\N
1199670	4105	1996-10-29	VYDAJ	VYBER	6000	27904	\N	\N	\N
1199671	4105	1996-11-28	VYDAJ	VYBER	4200	26422	\N	\N	\N
1199672	4105	1996-12-28	VYDAJ	VYBER	7500	19477	\N	\N	\N
1199673	4105	1997-01-27	PRIJEM	VKLAD	200	17668	\N	\N	\N
1199674	4105	1997-02-26	PRIJEM	VKLAD	100	18682	\N	\N	\N
1199675	4105	1997-03-28	VYDAJ	VYBER	1500	19840	\N	\N	\N
1199676	4105	1997-04-27	VYDAJ	VYBER	2200	20307	\N	\N	\N
1199677	4105	1997-05-27	VYDAJ	VYBER	2000	20979	\N	\N	\N
1199678	4105	1997-06-26	PRIJEM	VKLAD	500	24152	\N	\N	\N
1199679	4105	1997-07-26	VYDAJ	VYBER	400	27818	\N	\N	\N
1199680	4105	1997-08-25	VYDAJ	VYBER	1900	28619	\N	\N	\N
1199681	4105	1997-09-24	VYDAJ	VYBER	5100	26223	\N	\N	\N
1199682	4105	1997-10-24	PRIJEM	VKLAD	200	29128	\N	\N	\N
1199683	4105	1997-11-23	VYDAJ	VYBER	1800	34329	\N	\N	\N
1199684	4105	1997-12-23	PRIJEM	VKLAD	2000	36456	\N	\N	\N
1199685	4105	1998-01-22	PRIJEM	VKLAD	4000	30286	\N	\N	\N
1199686	4105	1998-02-21	PRIJEM	VKLAD	7100	38440	\N	\N	\N
1199687	4105	1998-03-23	VYDAJ	VYBER	3100	38056	\N	\N	\N
1199688	4105	1998-04-22	VYDAJ	VYBER	13800	53493	\N	\N	\N
1199689	4105	1998-05-22	VYDAJ	VYBER	6000	50265	\N	\N	\N
1199690	4105	1998-06-21	PRIJEM	VKLAD	6500	41269	\N	\N	\N
1199691	4105	1998-07-21	PRIJEM	VKLAD	100	44134	\N	\N	\N
1199692	4105	1998-08-20	PRIJEM	VKLAD	400	42846	\N	\N	\N
1199693	4105	1998-09-19	PRIJEM	VKLAD	400	49515	\N	\N	\N
1199694	4105	1998-10-19	VYDAJ	VYBER KARTOU	2600	49698	\N	\N	0
1199695	4105	1998-11-18	VYDAJ	VYBER KARTOU	1500	50989	\N	\N	0
1199696	4105	1998-12-18	VYDAJ	VYBER KARTOU	1700	49585	\N	\N	0
1200900	4109	1995-02-09	PRIJEM	VKLAD	900	900	\N	\N	\N
1200903	4109	1996-12-30	PRIJEM	VKLAD	3998	47097	\N	\N	\N
1200904	4109	1996-04-30	PRIJEM	VKLAD	44941	76762	\N	\N	\N
1200905	4109	1997-11-05	PRIJEM	VKLAD	14013	64722	\N	\N	\N
1200906	4109	1997-09-12	PRIJEM	VKLAD	4971	54395	\N	\N	\N
1200907	4109	1998-10-13	PRIJEM	VKLAD	19371	54376	\N	\N	\N
1200908	4109	1998-10-29	PRIJEM	VKLAD	26967	66643	\N	\N	\N
1200910	4109	1995-02-13	PRIJEM	VKLAD	300	1200	\N	\N	\N
1200911	4109	1995-03-17	PRIJEM	VKLAD	300	15703	\N	\N	\N
1200912	4109	1995-04-15	PRIJEM	VKLAD	300	19637	\N	\N	\N
1200913	4109	1995-05-14	PRIJEM	VKLAD	300	22111	\N	\N	\N
1200914	4109	1995-06-15	PRIJEM	VKLAD	300	22499	\N	\N	\N
1200915	4109	1995-07-16	PRIJEM	VKLAD	300	21269	\N	\N	\N
1200916	4109	1995-08-13	PRIJEM	VKLAD	300	26430	\N	\N	\N
1200917	4109	1995-09-16	PRIJEM	VKLAD	300	29421	\N	\N	\N
1200918	4109	1995-10-15	PRIJEM	VKLAD	300	30130	\N	\N	\N
1200919	4109	1995-11-17	PRIJEM	VKLAD	300	30145	\N	\N	\N
1200920	4109	1995-12-16	PRIJEM	VKLAD	300	28557	\N	\N	\N
1200921	4109	1996-01-14	PRIJEM	VKLAD	300	21069	\N	\N	\N
1200922	4109	1996-02-16	PRIJEM	VKLAD	300	24205	\N	\N	\N
1200923	4109	1996-03-16	PRIJEM	VKLAD	300	30280	\N	\N	\N
1200924	4109	1996-04-16	PRIJEM	VKLAD	300	30484	\N	\N	\N
1200925	4109	1996-05-15	PRIJEM	VKLAD	300	58647	\N	\N	\N
1200926	4109	1996-06-16	PRIJEM	VKLAD	300	49514	\N	\N	\N
1200927	4109	1996-07-14	PRIJEM	VKLAD	300	32687	\N	\N	\N
1200928	4109	1996-08-15	PRIJEM	VKLAD	300	42139	\N	\N	\N
1200929	4109	1996-09-13	PRIJEM	VKLAD	300	43387	\N	\N	\N
1200930	4109	1996-10-16	PRIJEM	VKLAD	300	41657	\N	\N	\N
1200931	4109	1996-11-13	PRIJEM	VKLAD	300	45822	\N	\N	\N
1200932	4109	1996-12-14	PRIJEM	VKLAD	300	43199	\N	\N	\N
1200933	4109	1997-01-16	PRIJEM	VKLAD	300	48562	\N	\N	\N
1200934	4109	1997-02-14	PRIJEM	VKLAD	300	33430	\N	\N	\N
1200935	4109	1997-03-17	PRIJEM	VKLAD	300	39254	\N	\N	\N
1200936	4109	1997-04-15	PRIJEM	VKLAD	300	46003	\N	\N	\N
1200937	4109	1997-05-15	PRIJEM	VKLAD	300	49379	\N	\N	\N
1200938	4109	1997-06-14	PRIJEM	VKLAD	300	21668	\N	\N	\N
1200939	4109	1997-07-17	PRIJEM	VKLAD	300	34378	\N	\N	\N
1200940	4109	1997-08-13	PRIJEM	VKLAD	300	41660	\N	\N	\N
1200941	4109	1997-09-13	PRIJEM	VKLAD	300	54695	\N	\N	\N
1200942	4109	1997-10-13	PRIJEM	VKLAD	300	54300	\N	\N	\N
1200943	4109	1997-11-16	PRIJEM	VKLAD	300	65022	\N	\N	\N
1200944	4109	1997-12-17	PRIJEM	VKLAD	300	51640	\N	\N	\N
1200945	4109	1998-01-17	PRIJEM	VKLAD	300	40845	\N	\N	\N
1200946	4109	1998-02-13	PRIJEM	VKLAD	300	42921	\N	\N	\N
1200947	4109	1998-03-14	PRIJEM	VKLAD	300	47086	\N	\N	\N
1200948	4109	1998-04-17	PRIJEM	VKLAD	300	45916	\N	\N	\N
1200949	4109	1998-05-16	PRIJEM	VKLAD	300	49198	\N	\N	\N
1200950	4109	1998-06-14	PRIJEM	VKLAD	300	39490	\N	\N	\N
1200951	4109	1998-07-16	PRIJEM	VKLAD	300	43165	\N	\N	\N
1200952	4109	1998-08-15	PRIJEM	VKLAD	300	45430	\N	\N	\N
1200953	4109	1998-09-13	PRIJEM	VKLAD	300	44400	\N	\N	\N
1200954	4109	1998-10-15	PRIJEM	VKLAD	300	54676	\N	\N	\N
1200955	4109	1998-11-14	PRIJEM	VKLAD	300	67106	\N	\N	\N
1200956	4109	1998-12-15	PRIJEM	VKLAD	300	48190	\N	\N	\N
1200957	4109	1995-07-18	PRIJEM	VKLAD	1600	22869	\N	\N	\N
1200958	4109	1995-08-18	PRIJEM	VKLAD	1600	28030	\N	\N	\N
1200959	4109	1995-09-18	PRIJEM	VKLAD	1600	31021	\N	\N	\N
1200960	4109	1995-10-18	PRIJEM	VKLAD	1600	31730	\N	\N	\N
1200961	4109	1995-11-18	PRIJEM	VKLAD	1600	31745	\N	\N	\N
1200962	4109	1995-12-18	PRIJEM	VKLAD	1600	30157	\N	\N	\N
1200963	4109	1996-01-18	PRIJEM	VKLAD	1600	22669	\N	\N	\N
1200964	4109	1996-02-18	PRIJEM	VKLAD	1600	25805	\N	\N	\N
1200965	4109	1996-03-18	PRIJEM	VKLAD	1600	31880	\N	\N	\N
1200966	4109	1996-04-18	PRIJEM	VKLAD	1600	32084	\N	\N	\N
1200967	4109	1996-05-18	PRIJEM	VKLAD	1600	60247	\N	\N	\N
1200968	4109	1996-06-18	PRIJEM	VKLAD	1600	51114	\N	\N	\N
1200969	4109	1996-07-18	PRIJEM	VKLAD	1600	34287	\N	\N	\N
1200970	4109	1996-08-18	PRIJEM	VKLAD	1600	43739	\N	\N	\N
1200971	4109	1996-09-18	PRIJEM	VKLAD	1600	44987	\N	\N	\N
1200972	4109	1996-10-18	PRIJEM	VKLAD	1600	43257	\N	\N	\N
1200973	4109	1996-11-18	PRIJEM	VKLAD	1600	47422	\N	\N	\N
1200974	4109	1996-12-18	PRIJEM	VKLAD	1600	43099	\N	\N	\N
1200975	4109	1997-07-18	PRIJEM	VKLAD	1600	35978	\N	\N	\N
1200976	4109	1997-08-18	PRIJEM	VKLAD	1600	43260	\N	\N	\N
1200977	4109	1997-09-18	PRIJEM	VKLAD	1600	56295	\N	\N	\N
1200978	4109	1997-10-18	PRIJEM	VKLAD	1600	55900	\N	\N	\N
1200979	4109	1997-11-18	PRIJEM	VKLAD	1600	66622	\N	\N	\N
1200980	4109	1997-12-18	PRIJEM	VKLAD	1600	53240	\N	\N	\N
1200982	4109	1996-06-21	VYDAJ	VYBER	20600	20014	\N	\N	\N
1200983	4109	1997-06-06	VYDAJ	VYBER	22000	26268	\N	\N	\N
1200984	4109	1998-06-10	VYDAJ	VYBER	13200	39190	\N	\N	\N
1200986	4109	1996-01-12	VYDAJ	VYBER	9900	20769	\N	\N	\N
1200987	4109	1997-01-30	VYDAJ	VYBER	9500	32962	\N	\N	\N
1200988	4109	1998-01-14	VYDAJ	VYBER	9200	40545	\N	\N	\N
1200989	4109	1995-06-24	VYDAJ	VYBER	8500	13999	\N	\N	\N
1200990	4109	1996-06-20	VYDAJ	VYBER	10500	40614	\N	\N	\N
1200991	4109	1997-06-09	VYDAJ	VYBER	4900	21368	\N	\N	\N
1200994	4109	1996-01-18	VYDAJ	VYBER	6700	15969	\N	\N	\N
1200995	4109	1997-01-18	VYDAJ	VYBER	9100	39462	\N	\N	\N
1200996	4109	1998-01-26	VYDAJ	VYBER	1300	42445	\N	\N	\N
1200997	4109	1995-12-21	VYDAJ	VYBER	1900	28257	\N	\N	\N
1200998	4109	1996-12-17	VYDAJ	VYBER	1700	41499	\N	\N	\N
1200999	4109	1997-12-02	VYDAJ	VYBER	1000	53740	\N	\N	\N
1201000	4109	1998-12-25	VYDAJ	VYBER	1900	32790	\N	\N	\N
1201003	4109	1995-07-24	VYDAJ	VYBER	1000	21869	\N	\N	\N
1201005	4109	1995-10-30	VYDAJ	VYBER	2300	29430	\N	\N	\N
1201007	4109	1996-10-08	VYDAJ	VYBER	2200	41357	\N	\N	\N
1201008	4109	1996-07-29	VYDAJ	VYBER	550	33737	\N	\N	\N
1201009	4109	1996-04-26	VYDAJ	VYBER	400	31684	\N	\N	\N
1201010	4109	1996-02-12	VYDAJ	VYBER	950	23905	\N	\N	\N
1201011	4109	1996-03-22	VYDAJ	VYBER	1200	30680	\N	\N	\N
1201012	4109	1997-07-25	VYDAJ	VYBER	1950	34028	\N	\N	\N
1201013	4109	1997-03-26	VYDAJ	VYBER	800	38454	\N	\N	\N
1201014	4109	1997-12-15	VYDAJ	VYBER	2400	51340	\N	\N	\N
1201015	4109	1998-04-16	VYDAJ	VYBER	1550	45616	\N	\N	\N
1201016	4109	1998-04-06	VYDAJ	VYBER	900	47166	\N	\N	\N
1201017	4109	1998-12-04	VYDAJ	VYBER	950	47890	\N	\N	\N
1201018	4109	1998-09-29	VYDAJ	VYBER	1250	34850	\N	\N	\N
1201019	4109	1998-09-19	VYDAJ	VYBER	1700	42700	\N	\N	\N
1201026	4109	1995-06-30	VYDAJ	VYBER	15	14069	SLUZBY	\N	\N
1201027	4109	1995-07-31	VYDAJ	VYBER	15	21930	SLUZBY	\N	\N
1201028	4109	1995-08-31	VYDAJ	VYBER	15	28121	SLUZBY	\N	\N
1201029	4109	1995-09-30	VYDAJ	VYBER	15	31130	SLUZBY	\N	\N
1201030	4109	1995-10-31	VYDAJ	VYBER	15	29545	SLUZBY	\N	\N
1201031	4109	1995-11-30	VYDAJ	VYBER	15	31857	SLUZBY	\N	\N
1201032	4109	1995-12-31	VYDAJ	VYBER	15	28369	SLUZBY	\N	\N
1201033	4109	1996-01-31	VYDAJ	VYBER	15	16055	SLUZBY	\N	\N
1201034	4109	1996-02-29	VYDAJ	VYBER	15	25880	SLUZBY	\N	\N
1201035	4109	1996-03-31	VYDAJ	VYBER	15	30784	SLUZBY	\N	\N
1201036	4109	1996-04-30	VYDAJ	VYBER	15	76747	SLUZBY	\N	\N
1201037	4109	1996-05-31	VYDAJ	VYBER	15	60514	SLUZBY	\N	\N
1201038	4109	1996-06-30	VYDAJ	VYBER	15	20187	SLUZBY	\N	\N
1201039	4109	1996-07-31	VYDAJ	VYBER	15	33839	SLUZBY	\N	\N
1201040	4109	1996-08-31	VYDAJ	VYBER	15	43887	SLUZBY	\N	\N
1201041	4109	1996-09-30	VYDAJ	VYBER	15	45157	SLUZBY	\N	\N
1201042	4109	1996-10-31	VYDAJ	VYBER	15	45522	SLUZBY	\N	\N
1201043	4109	1996-11-30	VYDAJ	VYBER	15	42899	SLUZBY	\N	\N
1201044	4109	1996-12-31	VYDAJ	VYBER	15	48262	SLUZBY	\N	\N
1201045	4109	1997-01-31	VYDAJ	VYBER	15	33130	SLUZBY	\N	\N
1201046	4109	1997-02-28	VYDAJ	VYBER	15	38954	SLUZBY	\N	\N
1201047	4109	1997-03-31	VYDAJ	VYBER	15	45703	SLUZBY	\N	\N
1201048	4109	1997-04-30	VYDAJ	VYBER	15	49079	SLUZBY	\N	\N
1201049	4109	1997-05-31	VYDAJ	VYBER	15	48268	SLUZBY	\N	\N
1201050	4109	1997-06-30	VYDAJ	VYBER	15	34078	SLUZBY	\N	\N
1201051	4109	1997-07-31	VYDAJ	VYBER	15	41360	SLUZBY	\N	\N
1201052	4109	1997-08-31	VYDAJ	VYBER	15	49424	SLUZBY	\N	\N
1201053	4109	1997-09-30	VYDAJ	VYBER	15	54000	SLUZBY	\N	\N
1201054	4109	1997-10-31	VYDAJ	VYBER	15	50709	SLUZBY	\N	\N
1201055	4109	1997-11-30	VYDAJ	VYBER	15	54740	SLUZBY	\N	\N
1201056	4109	1997-12-31	VYDAJ	VYBER	15	49745	SLUZBY	\N	\N
1201057	4109	1998-01-31	VYDAJ	VYBER	15	42621	SLUZBY	\N	\N
1201058	4109	1998-02-28	VYDAJ	VYBER	15	46786	SLUZBY	\N	\N
1201059	4109	1998-03-31	VYDAJ	VYBER	15	48066	SLUZBY	\N	\N
1201060	4109	1998-04-30	VYDAJ	VYBER	15	48898	SLUZBY	\N	\N
1201061	4109	1998-05-31	VYDAJ	VYBER	15	52390	SLUZBY	\N	\N
1201062	4109	1998-06-30	VYDAJ	VYBER	15	42865	SLUZBY	\N	\N
1201063	4109	1998-07-31	VYDAJ	VYBER	15	45130	SLUZBY	\N	\N
1201064	4109	1998-08-31	VYDAJ	VYBER	15	44100	SLUZBY	\N	\N
1201065	4109	1998-09-30	VYDAJ	VYBER	15	35005	SLUZBY	\N	\N
1201066	4109	1998-10-31	VYDAJ	VYBER	15	66806	SLUZBY	\N	\N
1201067	4109	1998-11-30	VYDAJ	VYBER	15	48840	SLUZBY	\N	\N
1201068	4109	1995-03-11	PRIJEM	VKLAD	14200	15403	\N	\N	\N
1201069	4109	1995-04-10	PRIJEM	VKLAD	3600	19337	\N	\N	\N
1201070	4109	1995-05-10	PRIJEM	VKLAD	2100	21811	\N	\N	\N
1201071	4109	1995-07-09	PRIJEM	VKLAD	6900	20969	\N	\N	\N
1201072	4109	1995-08-08	PRIJEM	VKLAD	4200	26130	\N	\N	\N
1201073	4109	1995-09-07	PRIJEM	VKLAD	1000	29121	\N	\N	\N
1201074	4109	1995-10-07	VYDAJ	VYBER	1300	29830	\N	\N	\N
1201075	4109	1995-11-06	PRIJEM	VKLAD	300	29845	\N	\N	\N
1201076	4109	1995-12-06	VYDAJ	VYBER	3600	28257	\N	\N	\N
1201077	4109	1996-01-05	PRIJEM	VKLAD	2300	30669	\N	\N	\N
1201078	4109	1996-02-04	PRIJEM	VKLAD	8800	24855	\N	\N	\N
1201079	4109	1996-03-05	PRIJEM	VKLAD	4100	29980	\N	\N	\N
1201080	4109	1996-04-04	VYDAJ	VYBER	600	30184	\N	\N	\N
1201081	4109	1996-05-04	VYDAJ	VYBER	18400	58347	\N	\N	\N
1201082	4109	1996-06-03	VYDAJ	VYBER	11300	49214	\N	\N	\N
1201083	4109	1996-07-03	PRIJEM	VKLAD	12200	32387	\N	\N	\N
1201084	4109	1996-08-02	PRIJEM	VKLAD	8000	41839	\N	\N	\N
1201085	4109	1996-09-01	VYDAJ	VYBER	800	43087	\N	\N	\N
1201086	4109	1996-10-01	VYDAJ	VYBER	1600	43557	\N	\N	\N
1201087	4109	1996-10-31	PRIJEM	VKLAD	2100	45357	\N	\N	\N
1201088	4109	1996-11-30	VYDAJ	VYBER	4700	42914	\N	\N	\N
1201089	4109	1996-12-30	PRIJEM	VKLAD	1000	48097	\N	\N	\N
1201090	4109	1997-01-29	PRIJEM	VKLAD	3000	42462	\N	\N	\N
1201091	4109	1997-02-28	PRIJEM	VKLAD	5400	38830	\N	\N	\N
1201092	4109	1997-03-30	PRIJEM	VKLAD	7100	45554	\N	\N	\N
1201093	4109	1997-04-29	PRIJEM	VKLAD	2900	48903	\N	\N	\N
1201094	4109	1997-05-29	VYDAJ	VYBER	1300	48079	\N	\N	\N
1201095	4109	1997-06-28	PRIJEM	VKLAD	12300	33968	\N	\N	\N
1201096	4109	1997-07-28	PRIJEM	VKLAD	7200	41228	\N	\N	\N
1201097	4109	1997-08-27	PRIJEM	VKLAD	6000	49260	\N	\N	\N
1201098	4109	1997-09-26	VYDAJ	VYBER	2500	53795	\N	\N	\N
1201099	4109	1997-10-26	VYDAJ	VYBER	5400	50500	\N	\N	\N
1201100	4109	1997-11-25	VYDAJ	VYBER	12100	54522	\N	\N	\N
1201101	4109	1997-12-25	VYDAJ	VYBER	3700	49540	\N	\N	\N
1201102	4109	1998-01-24	PRIJEM	VKLAD	2900	43745	\N	\N	\N
1201103	4109	1998-02-23	PRIJEM	VKLAD	3700	46621	\N	\N	\N
1201104	4109	1998-03-25	PRIJEM	VKLAD	800	47886	\N	\N	\N
1201105	4109	1998-04-24	PRIJEM	VKLAD	2800	48716	\N	\N	\N
1201106	4109	1998-05-24	PRIJEM	VKLAD	3000	52198	\N	\N	\N
1201107	4109	1998-06-23	PRIJEM	VKLAD	3200	42690	\N	\N	\N
1201108	4109	1998-07-23	PRIJEM	VKLAD	1800	44965	\N	\N	\N
1201109	4109	1998-08-22	VYDAJ	VYBER	1500	43930	\N	\N	\N
1201110	4109	1998-09-21	VYDAJ	VYBER	6600	36100	\N	\N	\N
1201111	4109	1998-10-21	VYDAJ	VYBER	15000	39676	\N	\N	\N
1201112	4109	1998-11-20	VYDAJ	VYBER	18500	48606	\N	\N	\N
1201113	4109	1998-12-20	VYDAJ	VYBER	13500	34690	\N	\N	\N
1202919	4116	1997-10-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1202924	4116	1997-10-09	PRIJEM	VKLAD	40013	41013	\N	\N	\N
1202926	4116	1998-08-28	PRIJEM	VKLAD	9142	45863	\N	\N	\N
1202927	4116	1998-06-07	PRIJEM	VKLAD	26210	85337	\N	\N	\N
1202928	4116	1998-08-23	PRIJEM	VKLAD	29675	36721	\N	\N	\N
1202929	4116	1998-05-21	PRIJEM	VKLAD	37012	110723	\N	\N	\N
1202930	4116	1998-02-20	PRIJEM	VKLAD	45876	101426	\N	\N	\N
1202931	4116	1998-12-13	PRIJEM	VKLAD	38703	93148	\N	\N	\N
1202932	4116	1998-03-16	PRIJEM	VKLAD	24031	91634	\N	\N	\N
1202933	4116	1998-04-18	PRIJEM	VKLAD	48480	110663	\N	\N	\N
1202934	4116	1998-12-17	PRIJEM	VKLAD	34530	127678	\N	\N	\N
1202935	4116	1998-02-13	PRIJEM	VKLAD	30498	55550	\N	\N	\N
1202936	4116	1998-05-11	PRIJEM	VKLAD	30389	73711	\N	\N	\N
1202937	4116	1998-07-20	PRIJEM	VKLAD	17510	30704	\N	\N	\N
1202938	4116	1998-03-05	PRIJEM	VKLAD	42010	109803	\N	\N	\N
1202939	4116	1998-04-15	PRIJEM	VKLAD	18757	62183	\N	\N	\N
1202940	4116	1998-04-22	PRIJEM	VKLAD	23197	91060	\N	\N	\N
1202941	4116	1998-12-24	PRIJEM	VKLAD	29112	93090	\N	\N	\N
1202942	4116	1998-04-06	PRIJEM	VKLAD	23425	81994	\N	\N	\N
1202943	4116	1998-11-21	PRIJEM	VKLAD	49467	73530	\N	\N	\N
1202944	4116	1998-12-13	PRIJEM	VKLAD	11353	54445	\N	\N	\N
1202945	4116	1998-10-02	PRIJEM	VKLAD	28377	48892	\N	\N	\N
1202946	4116	1998-09-04	PRIJEM	VKLAD	24589	54326	\N	\N	\N
1202947	4116	1998-12-09	PRIJEM	VKLAD	39946	47292	\N	\N	\N
1202948	4116	1998-05-30	PRIJEM	VKLAD	15708	89731	\N	\N	\N
1202949	4116	1998-11-06	PRIJEM	VKLAD	22973	42711	\N	\N	\N
1202965	4116	1998-03-27	VYDAJ	VYBER	4100	87534	\N	\N	0
1202966	4116	1998-05-08	VYDAJ	VYBER	3600	43322	\N	\N	0
1202967	4116	1998-06-12	VYDAJ	PREVOD NA UCET	4200	66689	UVER	MN	92376952
1202968	4116	1998-07-12	VYDAJ	PREVOD NA UCET	4200	13194	UVER	MN	92376952
1202969	4116	1998-08-12	VYDAJ	PREVOD NA UCET	4200	7046	UVER	MN	92376952
1202970	4116	1998-09-12	VYDAJ	PREVOD NA UCET	4200	35678	UVER	MN	92376952
1202971	4116	1998-10-12	VYDAJ	PREVOD NA UCET	4200	30244	UVER	MN	92376952
1202972	4116	1998-11-12	VYDAJ	PREVOD NA UCET	4200	24063	UVER	MN	92376952
1202973	4116	1998-12-12	VYDAJ	PREVOD NA UCET	4200	43092	UVER	MN	92376952
1202989	4116	1998-04-07	VYDAJ	PREVOD NA UCET	14448	67546	SIPO	IJ	69320016
1202990	4116	1998-05-07	VYDAJ	PREVOD NA UCET	14448	46922	SIPO	IJ	69320016
1202991	4116	1998-06-07	VYDAJ	PREVOD NA UCET	14448	70889	SIPO	IJ	69320016
1202992	4116	1998-07-07	VYDAJ	PREVOD NA UCET	14448	17394	SIPO	IJ	69320016
1202993	4116	1998-08-07	VYDAJ	PREVOD NA UCET	14448	11246	SIPO	IJ	69320016
1202994	4116	1998-09-07	VYDAJ	PREVOD NA UCET	14448	39878	SIPO	IJ	69320016
1202995	4116	1998-10-07	VYDAJ	PREVOD NA UCET	14448	34444	SIPO	IJ	69320016
1202996	4116	1998-11-07	VYDAJ	PREVOD NA UCET	14448	28263	SIPO	IJ	69320016
1202997	4116	1998-12-07	VYDAJ	PREVOD NA UCET	14448	7346	SIPO	IJ	69320016
1203005	4116	1998-04-08	VYBER	VYBER	24120	43426	\N	\N	\N
1203008	4116	1998-12-03	VYBER	VYBER	23481	21794	\N	\N	\N
1203015	4116	1998-06-21	VYDAJ	VYBER	30600	36089	\N	\N	\N
1203017	4116	1998-12-21	VYDAJ	VYBER	7200	75378	\N	\N	\N
1203024	4116	1998-12-23	VYDAJ	VYBER	11400	63978	\N	\N	\N
1203025	4116	1998-09-24	VYDAJ	VYBER	7800	27878	\N	\N	\N
1203028	4116	1998-08-03	VYDAJ	VYBER	2100	25694	\N	\N	\N
1203029	4116	1998-10-22	VYDAJ	VYBER	8400	21844	\N	\N	\N
1203045	4116	1998-03-31	VYDAJ	VYBER	15	87869	SLUZBY	\N	\N
1203046	4116	1998-04-30	VYDAJ	VYBER	15	91370	SLUZBY	\N	\N
1203047	4116	1998-05-31	VYDAJ	VYBER	15	90027	SLUZBY	\N	\N
1203048	4116	1998-06-30	VYDAJ	VYBER	15	36342	SLUZBY	\N	\N
1203049	4116	1998-07-31	VYDAJ	VYBER	15	30794	SLUZBY	\N	\N
1203050	4116	1998-08-31	VYDAJ	VYBER	15	45937	SLUZBY	\N	\N
1203051	4116	1998-09-30	VYDAJ	VYBER	15	20515	SLUZBY	\N	\N
1203052	4116	1998-10-31	VYDAJ	VYBER	15	19738	SLUZBY	\N	\N
1203053	4116	1998-11-30	VYDAJ	VYBER	15	45275	SLUZBY	\N	\N
1203054	4116	1997-11-04	VYDAJ	VYBER	10900	30240	\N	\N	\N
1203055	4116	1997-12-04	PRIJEM	VKLAD	1300	31711	\N	\N	\N
1203056	4116	1998-01-03	VYDAJ	VYBER	3200	28682	\N	\N	\N
1203057	4116	1998-02-02	VYDAJ	VYBER	3800	25052	\N	\N	\N
1203058	4116	1998-03-04	VYDAJ	VYBER	33900	67793	\N	\N	\N
1203059	4116	1998-03-05	VYDAJ	VYBER	42200	67603	\N	\N	\N
1203060	4116	1998-04-03	VYDAJ	VYBER	29300	58569	\N	\N	\N
1203061	4116	1998-04-18	VYDAJ	VYBER	42800	67863	\N	\N	\N
1203062	4116	1998-05-03	VYDAJ	VYBER	30000	61370	\N	\N	\N
1203063	4116	1998-05-21	VYDAJ	VYBER	36700	74023	\N	\N	\N
1203064	4116	1998-06-02	VYDAJ	VYBER	30900	59127	\N	\N	\N
1203065	4116	1998-07-02	VYDAJ	VYBER	4500	31842	\N	\N	\N
1203066	4116	1998-08-01	VYDAJ	VYBER	3000	27794	\N	\N	\N
1203067	4116	1998-08-31	VYDAJ	VYBER	16200	29737	\N	\N	\N
1203068	4116	1998-09-30	VYDAJ	VYBER	7500	20529	\N	\N	\N
1203069	4116	1998-10-30	VYDAJ	VYBER	2200	19644	\N	\N	\N
1203070	4116	1998-11-29	VYDAJ	VYBER	28400	45130	\N	\N	\N
1203071	4116	1998-12-17	VYDAJ	VYBER	45100	82578	\N	\N	\N
1203674	4119	1993-10-18	PRIJEM	VKLAD	400	400	\N	\N	\N
1203677	4119	1994-12-10	PRIJEM	VKLAD	9326	41842	\N	\N	\N
1203678	4119	1994-10-15	PRIJEM	VKLAD	14480	35979	\N	\N	\N
1203679	4119	1995-02-20	PRIJEM	VKLAD	18176	40585	\N	\N	\N
1203680	4119	1995-03-06	PRIJEM	VKLAD	27221	67901	\N	\N	\N
1203681	4119	1996-04-22	PRIJEM	VKLAD	10618	46398	\N	\N	\N
1203682	4119	1996-11-04	PRIJEM	VKLAD	11156	43410	\N	\N	\N
1203683	4119	1997-07-24	PRIJEM	VKLAD	45681	84856	\N	\N	\N
1203684	4119	1997-06-01	PRIJEM	VKLAD	23557	59205	\N	\N	\N
1203685	4119	1998-02-19	PRIJEM	VKLAD	20817	64736	\N	\N	\N
1203686	4119	1998-08-10	PRIJEM	VKLAD	11495	58443	\N	\N	\N
1203697	4119	1993-11-15	PRIJEM	VKLAD	400	800	\N	\N	\N
1203698	4119	1993-12-15	PRIJEM	VKLAD	400	14227	\N	\N	\N
1203699	4119	1994-01-14	PRIJEM	VKLAD	400	17992	\N	\N	\N
1203700	4119	1994-02-16	PRIJEM	VKLAD	400	21272	\N	\N	\N
1203701	4119	1994-03-17	PRIJEM	VKLAD	400	21860	\N	\N	\N
1203702	4119	1994-04-13	PRIJEM	VKLAD	400	22335	\N	\N	\N
1203703	4119	1994-05-16	PRIJEM	VKLAD	400	24011	\N	\N	\N
1203704	4119	1994-06-16	PRIJEM	VKLAD	400	23139	\N	\N	\N
1203705	4119	1994-07-16	PRIJEM	VKLAD	400	18115	\N	\N	\N
1203706	4119	1994-08-17	PRIJEM	VKLAD	400	19268	\N	\N	\N
1203707	4119	1994-09-13	PRIJEM	VKLAD	400	19731	\N	\N	\N
1203708	4119	1994-10-14	PRIJEM	VKLAD	400	21499	\N	\N	\N
1203709	4119	1994-11-17	PRIJEM	VKLAD	400	32387	\N	\N	\N
1203710	4119	1994-12-15	PRIJEM	VKLAD	400	33742	\N	\N	\N
1203711	4119	1995-01-14	PRIJEM	VKLAD	400	28214	\N	\N	\N
1203712	4119	1995-02-14	PRIJEM	VKLAD	400	22409	\N	\N	\N
1203713	4119	1995-03-15	PRIJEM	VKLAD	400	47501	\N	\N	\N
1203714	4119	1995-04-13	PRIJEM	VKLAD	400	34374	\N	\N	\N
1203715	4119	1995-05-13	PRIJEM	VKLAD	400	30824	\N	\N	\N
1203716	4119	1995-06-17	PRIJEM	VKLAD	400	27944	\N	\N	\N
1203717	4119	1995-07-14	PRIJEM	VKLAD	400	24152	\N	\N	\N
1203718	4119	1995-08-13	PRIJEM	VKLAD	400	22742	\N	\N	\N
1203719	4119	1995-09-14	PRIJEM	VKLAD	400	23866	\N	\N	\N
1203720	4119	1995-10-15	PRIJEM	VKLAD	400	28545	\N	\N	\N
1203721	4119	1995-11-13	PRIJEM	VKLAD	400	31040	\N	\N	\N
1203722	4119	1995-12-15	PRIJEM	VKLAD	400	31051	\N	\N	\N
1203723	4119	1996-01-17	PRIJEM	VKLAD	400	24110	\N	\N	\N
1203724	4119	1996-02-13	PRIJEM	VKLAD	400	24797	\N	\N	\N
1203725	4119	1996-03-17	PRIJEM	VKLAD	400	31778	\N	\N	\N
1203726	4119	1996-04-14	PRIJEM	VKLAD	400	35780	\N	\N	\N
1203727	4119	1996-05-15	PRIJEM	VKLAD	400	41087	\N	\N	\N
1203728	4119	1996-06-13	PRIJEM	VKLAD	400	32250	\N	\N	\N
1203729	4119	1996-07-13	PRIJEM	VKLAD	400	35675	\N	\N	\N
1203730	4119	1996-08-15	PRIJEM	VKLAD	400	36553	\N	\N	\N
1203731	4119	1996-09-15	PRIJEM	VKLAD	400	35937	\N	\N	\N
1203732	4119	1996-10-16	PRIJEM	VKLAD	400	37519	\N	\N	\N
1203733	4119	1996-11-16	PRIJEM	VKLAD	400	43810	\N	\N	\N
1203734	4119	1996-12-15	PRIJEM	VKLAD	400	37074	\N	\N	\N
1203735	4119	1997-01-15	PRIJEM	VKLAD	400	23420	\N	\N	\N
1203736	4119	1997-02-17	PRIJEM	VKLAD	400	24545	\N	\N	\N
1203737	4119	1997-03-14	PRIJEM	VKLAD	400	27829	\N	\N	\N
1203738	4119	1997-04-15	PRIJEM	VKLAD	400	31023	\N	\N	\N
1203739	4119	1997-05-15	PRIJEM	VKLAD	400	31633	\N	\N	\N
1203740	4119	1997-06-14	PRIJEM	VKLAD	400	54505	\N	\N	\N
1203741	4119	1997-07-14	PRIJEM	VKLAD	400	39175	\N	\N	\N
1203742	4119	1997-08-14	PRIJEM	VKLAD	400	58740	\N	\N	\N
1203743	4119	1997-09-16	PRIJEM	VKLAD	400	52213	\N	\N	\N
1203744	4119	1997-10-16	PRIJEM	VKLAD	400	48112	\N	\N	\N
1203745	4119	1997-11-15	PRIJEM	VKLAD	400	49645	\N	\N	\N
1203746	4119	1997-12-17	PRIJEM	VKLAD	400	45982	\N	\N	\N
1203747	4119	1998-01-13	PRIJEM	VKLAD	400	39911	\N	\N	\N
1203748	4119	1998-02-17	PRIJEM	VKLAD	400	43919	\N	\N	\N
1203749	4119	1998-03-16	PRIJEM	VKLAD	400	61829	\N	\N	\N
1203750	4119	1998-04-15	PRIJEM	VKLAD	400	57865	\N	\N	\N
1203751	4119	1998-05-13	PRIJEM	VKLAD	400	53734	\N	\N	\N
1203752	4119	1998-06-13	PRIJEM	VKLAD	400	52638	\N	\N	\N
1203753	4119	1998-07-14	PRIJEM	VKLAD	400	47219	\N	\N	\N
1203754	4119	1998-08-16	PRIJEM	VKLAD	400	58843	\N	\N	\N
1203755	4119	1998-09-14	PRIJEM	VKLAD	400	55102	\N	\N	\N
1203756	4119	1998-10-13	PRIJEM	VKLAD	400	53612	\N	\N	\N
1203757	4119	1998-11-15	PRIJEM	VKLAD	400	49912	\N	\N	\N
1203758	4119	1998-12-14	PRIJEM	VKLAD	400	48600	\N	\N	\N
1203762	4119	1996-06-06	VYDAJ	VYBER	6400	31850	\N	\N	\N
1203763	4119	1997-06-10	VYDAJ	VYBER	5100	54105	\N	\N	\N
1203764	4119	1998-06-16	VYDAJ	VYBER	13100	39538	\N	\N	\N
1203767	4119	1995-01-26	VYDAJ	VYBER	6400	18114	\N	\N	\N
1203768	4119	1996-01-27	VYDAJ	VYBER	2200	20510	\N	\N	\N
1203769	4119	1997-01-09	VYDAJ	VYBER	7400	24520	\N	\N	\N
1203770	4119	1998-01-04	VYDAJ	VYBER	6500	39761	\N	\N	\N
1203772	4119	1994-06-29	VYDAJ	VYBER	9000	14139	\N	\N	\N
1203775	4119	1997-06-24	VYDAJ	VYBER	19400	35105	\N	\N	\N
1203780	4119	1996-01-12	VYDAJ	VYBER	1900	24360	\N	\N	\N
1203781	4119	1997-01-15	VYDAJ	VYBER	7700	15720	\N	\N	\N
1203782	4119	1998-01-21	VYDAJ	VYBER	3600	34961	\N	\N	\N
1203784	4119	1994-12-19	VYDAJ	VYBER	1100	32642	\N	\N	\N
1203785	4119	1995-12-16	VYDAJ	VYBER	2300	28751	\N	\N	\N
1203786	4119	1996-12-15	VYDAJ	VYBER	2400	34674	\N	\N	\N
1203787	4119	1997-12-23	VYDAJ	VYBER	1200	44782	\N	\N	\N
1203788	4119	1998-12-10	VYDAJ	VYBER	1600	48200	\N	\N	\N
1203801	4119	1995-01-22	VYDAJ	VYBER	900	24514	\N	\N	\N
1203802	4119	1995-01-14	VYDAJ	VYBER	900	27314	\N	\N	\N
1203803	4119	1995-01-18	VYDAJ	VYBER	450	25414	\N	\N	\N
1203804	4119	1995-01-10	VYDAJ	VYBER	1450	29914	\N	\N	\N
1203805	4119	1995-01-04	VYDAJ	VYBER	650	31364	\N	\N	\N
1203806	4119	1995-01-01	VYDAJ	VYBER	750	32014	\N	\N	\N
1203807	4119	1996-01-19	VYDAJ	VYBER	700	23410	\N	\N	\N
1203808	4119	1996-01-23	VYDAJ	VYBER	300	22710	\N	\N	\N
1203809	4119	1996-01-02	VYDAJ	VYBER	800	28060	\N	\N	\N
1203810	4119	1996-01-21	VYDAJ	VYBER	400	23010	\N	\N	\N
1203811	4119	1996-01-06	VYDAJ	VYBER	700	27360	\N	\N	\N
1203812	4119	1996-01-15	VYDAJ	VYBER	650	23710	\N	\N	\N
1203813	4119	1997-01-01	VYDAJ	VYBER	1400	32320	\N	\N	\N
1203814	4119	1997-01-18	VYDAJ	VYBER	1250	14470	\N	\N	\N
1203815	4119	1997-01-10	VYDAJ	VYBER	550	23970	\N	\N	\N
1203816	4119	1997-01-04	VYDAJ	VYBER	400	31920	\N	\N	\N
1203819	4119	1998-01-20	VYDAJ	VYBER	650	38561	\N	\N	\N
1203820	4119	1998-01-10	VYDAJ	VYBER	250	39511	\N	\N	\N
1203821	4119	1998-01-25	VYDAJ	VYBER	1350	44711	\N	\N	\N
1203822	4119	1998-01-25	VYDAJ	VYBER	500	44211	\N	\N	\N
1203823	4119	1998-01-27	VYDAJ	VYBER	850	43361	\N	\N	\N
1203824	4119	1998-01-17	VYDAJ	VYBER	700	39211	\N	\N	\N
1203831	4119	1994-05-27	VYDAJ	VYBER	1350	21261	\N	\N	\N
1203833	4119	1994-09-26	VYDAJ	VYBER	2300	21531	\N	\N	\N
1203834	4119	1994-05-21	VYDAJ	VYBER	1400	22611	\N	\N	\N
1203835	4119	1995-07-22	VYDAJ	VYBER	2000	22152	\N	\N	\N
1203836	4119	1995-08-14	VYDAJ	VYBER	2150	20592	\N	\N	\N
1203837	4119	1995-01-17	VYDAJ	VYBER	1450	25864	\N	\N	\N
1203838	4119	1996-04-23	VYDAJ	VYBER	1350	45048	\N	\N	\N
1203839	4119	1996-08-28	VYDAJ	VYBER	750	35803	\N	\N	\N
1203840	4119	1996-07-28	VYDAJ	VYBER	650	35025	\N	\N	\N
1203841	4119	1996-09-16	VYDAJ	VYBER	1150	34787	\N	\N	\N
1203842	4119	1997-01-13	VYDAJ	VYBER	950	23020	\N	\N	\N
1203843	4119	1997-12-09	VYDAJ	VYBER	2350	45582	\N	\N	\N
1203844	4119	1997-09-01	VYDAJ	VYBER	250	51813	\N	\N	\N
1203845	4119	1997-05-30	VYDAJ	VYBER	1300	35533	\N	\N	\N
1203846	4119	1997-10-18	VYDAJ	VYBER	350	47762	\N	\N	\N
1203847	4119	1997-02-25	VYDAJ	VYBER	700	23845	\N	\N	\N
1203848	4119	1997-04-22	VYDAJ	VYBER	1700	29323	\N	\N	\N
1203849	4119	1998-10-19	VYDAJ	VYBER	1900	51712	\N	\N	\N
1203850	4119	1998-10-07	VYDAJ	VYBER	1250	53212	\N	\N	\N
1203851	4119	1998-08-06	VYDAJ	VYBER	950	46948	\N	\N	\N
1203852	4119	1998-02-22	VYDAJ	VYBER	2100	62636	\N	\N	\N
1203853	4119	1998-09-19	VYDAJ	VYBER	750	54352	\N	\N	\N
1203854	4119	1998-04-30	VYDAJ	VYBER	1250	53349	\N	\N	\N
1203855	4119	1998-08-28	VYDAJ	VYBER	850	54493	\N	\N	\N
1203871	4119	1994-03-31	VYDAJ	VYBER	15	21935	SLUZBY	\N	\N
1203872	4119	1994-04-30	VYDAJ	VYBER	15	21711	SLUZBY	\N	\N
1203873	4119	1994-05-31	VYDAJ	VYBER	15	21339	SLUZBY	\N	\N
1203874	4119	1994-06-30	VYDAJ	VYBER	15	14215	SLUZBY	\N	\N
1203875	4119	1994-07-31	VYDAJ	VYBER	15	18168	SLUZBY	\N	\N
1203876	4119	1994-08-31	VYDAJ	VYBER	15	19331	SLUZBY	\N	\N
1203877	4119	1994-09-30	VYDAJ	VYBER	15	21599	SLUZBY	\N	\N
1203878	4119	1994-10-31	VYDAJ	VYBER	15	36087	SLUZBY	\N	\N
1203879	4119	1994-11-30	VYDAJ	VYBER	15	32516	SLUZBY	\N	\N
1203880	4119	1994-12-31	VYDAJ	VYBER	15	32764	SLUZBY	\N	\N
1203881	4119	1995-01-31	VYDAJ	VYBER	15	18209	SLUZBY	\N	\N
1203882	4119	1995-02-28	VYDAJ	VYBER	15	40680	SLUZBY	\N	\N
1203883	4119	1995-03-31	VYDAJ	VYBER	15	47674	SLUZBY	\N	\N
1203884	4119	1995-04-30	VYDAJ	VYBER	15	34524	SLUZBY	\N	\N
1203885	4119	1995-05-31	VYDAJ	VYBER	15	30944	SLUZBY	\N	\N
1203886	4119	1995-06-30	VYDAJ	VYBER	15	28052	SLUZBY	\N	\N
1203887	4119	1995-07-31	VYDAJ	VYBER	15	22242	SLUZBY	\N	\N
1203888	4119	1995-08-31	VYDAJ	VYBER	15	20666	SLUZBY	\N	\N
1203889	4119	1995-09-30	VYDAJ	VYBER	15	23945	SLUZBY	\N	\N
1203890	4119	1995-10-31	VYDAJ	VYBER	15	28640	SLUZBY	\N	\N
1203891	4119	1995-11-30	VYDAJ	VYBER	15	31151	SLUZBY	\N	\N
1203892	4119	1995-12-31	VYDAJ	VYBER	15	28860	SLUZBY	\N	\N
1203893	4119	1996-01-31	VYDAJ	VYBER	15	20597	SLUZBY	\N	\N
1203894	4119	1996-02-29	VYDAJ	VYBER	15	24878	SLUZBY	\N	\N
1203895	4119	1996-03-31	VYDAJ	VYBER	15	31880	SLUZBY	\N	\N
1203896	4119	1996-04-30	VYDAJ	VYBER	15	45187	SLUZBY	\N	\N
1203897	4119	1996-05-31	VYDAJ	VYBER	15	41250	SLUZBY	\N	\N
1203898	4119	1996-06-30	VYDAJ	VYBER	15	32375	SLUZBY	\N	\N
1203899	4119	1996-07-31	VYDAJ	VYBER	15	35153	SLUZBY	\N	\N
1203900	4119	1996-08-31	VYDAJ	VYBER	15	35937	SLUZBY	\N	\N
1203901	4119	1996-09-30	VYDAJ	VYBER	15	34919	SLUZBY	\N	\N
1203902	4119	1996-10-31	VYDAJ	VYBER	15	37654	SLUZBY	\N	\N
1203903	4119	1996-11-30	VYDAJ	VYBER	15	43974	SLUZBY	\N	\N
1203904	4119	1996-12-31	VYDAJ	VYBER	15	34820	SLUZBY	\N	\N
1203905	4119	1997-01-31	VYDAJ	VYBER	15	24145	SLUZBY	\N	\N
1203906	4119	1997-02-28	VYDAJ	VYBER	15	23929	SLUZBY	\N	\N
1203907	4119	1997-03-31	VYDAJ	VYBER	15	30623	SLUZBY	\N	\N
1203908	4119	1997-04-30	VYDAJ	VYBER	15	31233	SLUZBY	\N	\N
1203909	4119	1997-05-31	VYDAJ	VYBER	15	35648	SLUZBY	\N	\N
1203910	4119	1997-06-30	VYDAJ	VYBER	15	38775	SLUZBY	\N	\N
1203911	4119	1997-07-31	VYDAJ	VYBER	15	58340	SLUZBY	\N	\N
1203912	4119	1997-08-31	VYDAJ	VYBER	15	52063	SLUZBY	\N	\N
1203913	4119	1997-09-30	VYDAJ	VYBER	15	47712	SLUZBY	\N	\N
1203914	4119	1997-10-31	VYDAJ	VYBER	15	49245	SLUZBY	\N	\N
1203915	4119	1997-11-30	VYDAJ	VYBER	15	47932	SLUZBY	\N	\N
1203916	4119	1997-12-31	VYDAJ	VYBER	15	46261	SLUZBY	\N	\N
1203917	4119	1998-01-31	VYDAJ	VYBER	15	43519	SLUZBY	\N	\N
1203918	4119	1998-02-28	VYDAJ	VYBER	15	61429	SLUZBY	\N	\N
1203919	4119	1998-03-31	VYDAJ	VYBER	15	57465	SLUZBY	\N	\N
1203920	4119	1998-04-30	VYDAJ	VYBER	15	53334	SLUZBY	\N	\N
1203921	4119	1998-05-31	VYDAJ	VYBER	15	52238	SLUZBY	\N	\N
1203922	4119	1998-06-30	VYDAJ	VYBER	15	46819	SLUZBY	\N	\N
1203923	4119	1998-07-31	VYDAJ	VYBER	15	47898	SLUZBY	\N	\N
1203924	4119	1998-08-31	VYDAJ	VYBER	15	54702	SLUZBY	\N	\N
1203925	4119	1998-09-30	VYDAJ	VYBER	15	54462	SLUZBY	\N	\N
1203926	4119	1998-10-31	VYDAJ	VYBER	15	49512	SLUZBY	\N	\N
1203927	4119	1998-11-30	VYDAJ	VYBER	15	49800	SLUZBY	\N	\N
1203928	4119	1993-11-17	PRIJEM	VKLAD	13000	13800	\N	\N	\N
1203929	4119	1993-12-17	PRIJEM	VKLAD	3300	17527	\N	\N	\N
1203930	4119	1994-01-16	PRIJEM	VKLAD	2900	20892	\N	\N	\N
1203931	4119	1994-02-15	VYDAJ	VYBER	100	20872	\N	\N	\N
1203932	4119	1994-03-17	PRIJEM	VKLAD	100	21460	\N	\N	\N
1203933	4119	1994-04-16	VYDAJ	VYBER	700	21635	\N	\N	\N
1203934	4119	1994-05-16	PRIJEM	VKLAD	1900	23611	\N	\N	\N
1203935	4119	1994-06-15	PRIJEM	VKLAD	1400	22739	\N	\N	\N
1203936	4119	1994-07-15	PRIJEM	VKLAD	3500	17715	\N	\N	\N
1203937	4119	1994-08-14	PRIJEM	VKLAD	700	18868	\N	\N	\N
1203938	4119	1994-09-13	PRIJEM	VKLAD	4100	23831	\N	\N	\N
1203939	4119	1994-10-13	VYDAJ	VYBER	500	21099	\N	\N	\N
1203940	4119	1994-11-12	VYDAJ	VYBER	4100	31987	\N	\N	\N
1203941	4119	1994-12-12	VYDAJ	VYBER	8500	33342	\N	\N	\N
1203942	4119	1995-01-11	VYDAJ	VYBER	2100	27814	\N	\N	\N
1203943	4119	1995-02-10	PRIJEM	VKLAD	3800	22009	\N	\N	\N
1203944	4119	1995-03-12	VYDAJ	VYBER	20800	47101	\N	\N	\N
1203945	4119	1995-04-11	VYDAJ	VYBER	13700	33974	\N	\N	\N
1203946	4119	1995-05-11	VYDAJ	VYBER	4100	30424	\N	\N	\N
1203947	4119	1995-06-10	VYDAJ	VYBER	3400	27544	\N	\N	\N
1203948	4119	1995-07-10	VYDAJ	VYBER	4300	23752	\N	\N	\N
1203949	4119	1995-08-09	PRIJEM	VKLAD	100	22342	\N	\N	\N
1203950	4119	1995-09-08	PRIJEM	VKLAD	2800	23466	\N	\N	\N
1203951	4119	1995-10-08	PRIJEM	VKLAD	4200	28145	\N	\N	\N
1203952	4119	1995-11-07	PRIJEM	VKLAD	2000	30640	\N	\N	\N
1203953	4119	1995-12-07	VYDAJ	VYBER	500	30651	\N	\N	\N
1203954	4119	1996-01-06	VYDAJ	VYBER	1100	26260	\N	\N	\N
1203955	4119	1996-02-05	PRIJEM	VKLAD	3800	24397	\N	\N	\N
1203956	4119	1996-03-06	PRIJEM	VKLAD	6500	31378	\N	\N	\N
1203957	4119	1996-04-05	PRIJEM	VKLAD	3500	35380	\N	\N	\N
1203958	4119	1996-05-05	VYDAJ	VYBER	4500	40687	\N	\N	\N
1203959	4119	1996-06-04	VYDAJ	VYBER	3000	38250	\N	\N	\N
1203960	4119	1996-07-04	PRIJEM	VKLAD	2900	35275	\N	\N	\N
1203961	4119	1996-08-03	PRIJEM	VKLAD	1000	36153	\N	\N	\N
1203962	4119	1996-09-02	VYDAJ	VYBER	400	35537	\N	\N	\N
1203963	4119	1996-10-02	PRIJEM	VKLAD	2200	37119	\N	\N	\N
1203964	4119	1996-11-01	VYDAJ	VYBER	5400	32254	\N	\N	\N
1203965	4119	1996-12-01	VYDAJ	VYBER	7300	36674	\N	\N	\N
1203966	4119	1996-12-31	VYDAJ	VYBER	1100	33720	\N	\N	\N
1203967	4119	1997-01-30	PRIJEM	VKLAD	9600	24070	\N	\N	\N
1203968	4119	1997-03-01	PRIJEM	VKLAD	3500	27429	\N	\N	\N
1203969	4119	1997-03-31	PRIJEM	VKLAD	2700	30637	\N	\N	\N
1203970	4119	1997-04-30	PRIJEM	VKLAD	1800	31123	\N	\N	\N
1203971	4119	1997-05-30	PRIJEM	VKLAD	5200	36833	\N	\N	\N
1203972	4119	1997-06-29	PRIJEM	VKLAD	3500	38605	\N	\N	\N
1203973	4119	1997-07-29	VYDAJ	VYBER	26700	58156	\N	\N	\N
1203974	4119	1997-08-28	VYDAJ	VYBER	6900	51840	\N	\N	\N
1203975	4119	1997-09-27	VYDAJ	VYBER	4700	47513	\N	\N	\N
1203976	4119	1997-10-27	PRIJEM	VKLAD	1300	49062	\N	\N	\N
1203977	4119	1997-11-26	VYDAJ	VYBER	1900	47745	\N	\N	\N
1203978	4119	1997-12-26	PRIJEM	VKLAD	1300	46082	\N	\N	\N
1203979	4119	1998-01-25	PRIJEM	VKLAD	11100	46061	\N	\N	\N
1203980	4119	1998-02-24	VYDAJ	VYBER	1400	61236	\N	\N	\N
1203981	4119	1998-03-26	VYDAJ	VYBER	4600	57229	\N	\N	\N
1203982	4119	1998-04-25	VYDAJ	VYBER	3500	54365	\N	\N	\N
1203983	4119	1998-05-25	VYDAJ	VYBER	1700	52034	\N	\N	\N
1203984	4119	1998-06-24	PRIJEM	VKLAD	7100	46638	\N	\N	\N
1203985	4119	1998-07-24	PRIJEM	VKLAD	500	47719	\N	\N	\N
1203986	4119	1998-08-23	VYDAJ	VYBER	3500	55343	\N	\N	\N
1203987	4119	1998-09-22	VYDAJ	VYBER	100	54252	\N	\N	\N
1203988	4119	1998-10-22	VYDAJ	VYBER	2400	49312	\N	\N	\N
1203989	4119	1998-11-21	VYDAJ	VYBER	300	49612	\N	\N	\N
1204426	4121	1995-06-08	PRIJEM	VKLAD	300	300	\N	\N	\N
1204428	4121	1995-07-25	PRIJEM	VKLAD	36860	54664	\N	\N	\N
1204429	4121	1996-04-25	PRIJEM	VKLAD	14605	39493	\N	\N	\N
1204430	4121	1996-06-18	PRIJEM	VKLAD	10164	41777	\N	\N	\N
1204431	4121	1997-10-22	PRIJEM	VKLAD	28898	52032	\N	\N	\N
1204432	4121	1997-06-28	PRIJEM	VKLAD	29799	55159	\N	\N	\N
1204433	4121	1998-05-13	PRIJEM	VKLAD	40546	75880	\N	\N	\N
1204434	4121	1998-04-18	PRIJEM	VKLAD	40995	58383	\N	\N	\N
1204440	4121	1995-06-17	PRIJEM	VKLAD	1900	2200	\N	\N	\N
1204441	4121	1995-07-16	PRIJEM	VKLAD	1900	17804	\N	\N	\N
1204442	4121	1995-08-13	PRIJEM	VKLAD	1900	41942	\N	\N	\N
1204443	4121	1995-09-14	PRIJEM	VKLAD	1900	35537	\N	\N	\N
1204444	4121	1995-10-14	PRIJEM	VKLAD	1900	29382	\N	\N	\N
1204445	4121	1995-11-16	PRIJEM	VKLAD	1900	26001	\N	\N	\N
1204446	4121	1995-12-13	PRIJEM	VKLAD	1900	23802	\N	\N	\N
1204447	4121	1996-01-16	PRIJEM	VKLAD	1900	18186	\N	\N	\N
1204448	4121	1996-02-16	PRIJEM	VKLAD	1900	23001	\N	\N	\N
1204449	4121	1996-03-16	PRIJEM	VKLAD	1900	21216	\N	\N	\N
1204450	4121	1996-04-17	PRIJEM	VKLAD	1900	24888	\N	\N	\N
1204451	4121	1996-05-13	PRIJEM	VKLAD	1900	31883	\N	\N	\N
1204452	4121	1996-06-16	PRIJEM	VKLAD	1900	31613	\N	\N	\N
1204453	4121	1996-07-13	PRIJEM	VKLAD	1900	19680	\N	\N	\N
1204454	4121	1996-08-14	PRIJEM	VKLAD	1900	24639	\N	\N	\N
1204455	4121	1996-09-16	PRIJEM	VKLAD	1900	22818	\N	\N	\N
1204456	4121	1996-10-16	PRIJEM	VKLAD	1900	25491	\N	\N	\N
1204457	4121	1996-11-14	PRIJEM	VKLAD	1900	24574	\N	\N	\N
1204458	4121	1996-12-16	PRIJEM	VKLAD	1900	23804	\N	\N	\N
1204459	4121	1997-01-16	PRIJEM	VKLAD	1900	19640	\N	\N	\N
1204460	4121	1997-02-17	PRIJEM	VKLAD	1900	23811	\N	\N	\N
1204461	4121	1997-03-13	PRIJEM	VKLAD	1900	29089	\N	\N	\N
1204462	4121	1997-04-15	PRIJEM	VKLAD	1900	30093	\N	\N	\N
1204463	4121	1997-05-14	PRIJEM	VKLAD	1900	32597	\N	\N	\N
1204464	4121	1997-06-16	PRIJEM	VKLAD	1900	30660	\N	\N	\N
1204465	4121	1997-07-16	PRIJEM	VKLAD	1900	30367	\N	\N	\N
1204466	4121	1997-08-13	PRIJEM	VKLAD	1900	32572	\N	\N	\N
1204467	4121	1997-09-14	PRIJEM	VKLAD	1900	31283	\N	\N	\N
1204468	4121	1997-10-15	PRIJEM	VKLAD	1900	23134	\N	\N	\N
1204469	4121	1997-11-17	PRIJEM	VKLAD	1900	34328	\N	\N	\N
1204470	4121	1997-12-14	PRIJEM	VKLAD	1900	23838	\N	\N	\N
1204471	4121	1998-01-15	PRIJEM	VKLAD	1900	15909	\N	\N	\N
1204472	4121	1998-02-13	PRIJEM	VKLAD	1900	14105	\N	\N	\N
1204473	4121	1998-03-13	PRIJEM	VKLAD	1900	16342	\N	\N	\N
1204474	4121	1998-04-17	PRIJEM	VKLAD	1900	17388	\N	\N	\N
1204475	4121	1998-05-16	PRIJEM	VKLAD	1900	77780	\N	\N	\N
1204476	4121	1998-06-17	PRIJEM	VKLAD	1900	49469	\N	\N	\N
1204477	4121	1998-07-14	PRIJEM	VKLAD	1900	27126	\N	\N	\N
1204478	4121	1998-08-14	PRIJEM	VKLAD	1900	21507	\N	\N	\N
1204479	4121	1998-09-14	PRIJEM	VKLAD	1900	20572	\N	\N	\N
1204480	4121	1998-10-14	PRIJEM	VKLAD	1900	20133	\N	\N	\N
1204481	4121	1998-11-13	PRIJEM	VKLAD	1900	20794	\N	\N	\N
1204482	4121	1998-12-13	PRIJEM	VKLAD	1900	19655	\N	\N	\N
1204485	4121	1997-06-29	VYDAJ	VYBER	26800	28359	\N	\N	\N
1204486	4121	1998-06-19	VYDAJ	VYBER	10100	39369	\N	\N	\N
1204488	4121	1996-01-27	VYDAJ	VYBER	1100	16136	\N	\N	\N
1204489	4121	1997-01-23	VYDAJ	VYBER	1400	14340	\N	\N	\N
1204492	4121	1996-06-22	VYDAJ	VYBER	27100	14677	\N	\N	\N
1204496	4121	1996-01-12	VYDAJ	VYBER	4100	17386	\N	\N	\N
1204497	4121	1997-01-14	VYDAJ	VYBER	4900	18990	\N	\N	\N
1204499	4121	1995-12-06	VYDAJ	VYBER	1100	21902	\N	\N	\N
1204500	4121	1996-12-08	VYDAJ	VYBER	1900	22654	\N	\N	\N
1204501	4121	1997-12-14	VYDAJ	VYBER	1000	22838	\N	\N	\N
1204502	4121	1998-12-17	VYDAJ	VYBER	2200	17455	\N	\N	\N
1204509	4121	1996-01-03	VYDAJ	VYBER	300	23586	\N	\N	\N
1204510	4121	1996-01-28	VYDAJ	VYBER	800	15336	\N	\N	\N
1204511	4121	1996-01-20	VYDAJ	VYBER	950	17236	\N	\N	\N
1204512	4121	1996-01-14	VYDAJ	VYBER	1100	16286	\N	\N	\N
1204513	4121	1996-01-10	VYDAJ	VYBER	900	21486	\N	\N	\N
1204514	4121	1996-01-06	VYDAJ	VYBER	800	22386	\N	\N	\N
1204515	4121	1997-01-15	VYDAJ	VYBER	800	17740	\N	\N	\N
1204516	4121	1997-01-15	VYDAJ	VYBER	450	18540	\N	\N	\N
1204517	4121	1997-01-04	VYDAJ	VYBER	750	23890	\N	\N	\N
1204518	4121	1997-01-23	VYDAJ	VYBER	1350	15740	\N	\N	\N
1204519	4121	1997-01-20	VYDAJ	VYBER	1050	17090	\N	\N	\N
1204520	4121	1997-01-01	VYDAJ	VYBER	350	24640	\N	\N	\N
1204521	4121	1998-01-10	VYDAJ	VYBER	700	14009	\N	\N	\N
1204524	4121	1998-01-22	VYDAJ	VYBER	1150	14759	\N	\N	\N
1204525	4121	1998-01-07	VYDAJ	VYBER	1150	15459	\N	\N	\N
1204531	4121	1996-03-09	VYDAJ	VYBER	1250	19316	\N	\N	\N
1204532	4121	1996-03-24	VYDAJ	VYBER	700	19916	\N	\N	\N
1204533	4121	1996-11-15	VYDAJ	VYBER	1350	23224	\N	\N	\N
1204534	4121	1996-12-15	VYDAJ	VYBER	750	21904	\N	\N	\N
1204535	4121	1996-03-17	VYDAJ	VYBER	600	20616	\N	\N	\N
1204536	4121	1996-11-21	VYDAJ	VYBER	750	22474	\N	\N	\N
1204537	4121	1997-01-17	VYDAJ	VYBER	1500	18140	\N	\N	\N
1204538	4121	1997-09-28	VYDAJ	VYBER	1450	21133	\N	\N	\N
1204539	4121	1997-03-05	VYDAJ	VYBER	1000	27189	\N	\N	\N
1204540	4121	1997-05-19	VYDAJ	VYBER	450	32147	\N	\N	\N
1204541	4121	1998-06-03	VYDAJ	VYBER	1900	47569	\N	\N	\N
1204542	4121	1998-04-25	VYDAJ	VYBER	1350	35233	\N	\N	\N
1204543	4121	1998-06-27	VYDAJ	VYBER	1950	25069	\N	\N	\N
1204544	4121	1998-01-08	VYDAJ	VYBER	750	14709	\N	\N	\N
1204545	4121	1998-06-21	VYDAJ	VYBER	1350	38019	\N	\N	\N
1204555	4121	1995-09-30	VYDAJ	VYBER	15	35682	SLUZBY	\N	\N
1204556	4121	1995-10-31	VYDAJ	VYBER	15	29501	SLUZBY	\N	\N
1204557	4121	1995-11-30	VYDAJ	VYBER	15	26102	SLUZBY	\N	\N
1204558	4121	1995-12-31	VYDAJ	VYBER	15	23886	SLUZBY	\N	\N
1204559	4121	1996-01-31	VYDAJ	VYBER	15	15401	SLUZBY	\N	\N
1204560	4121	1996-02-29	VYDAJ	VYBER	15	23066	SLUZBY	\N	\N
1204561	4121	1996-03-31	VYDAJ	VYBER	15	19988	SLUZBY	\N	\N
1204562	4121	1996-04-30	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
1204563	4121	1996-05-31	VYDAJ	VYBER	15	32013	SLUZBY	\N	\N
1204564	4121	1996-06-30	VYDAJ	VYBER	15	14780	SLUZBY	\N	\N
1204565	4121	1996-07-31	VYDAJ	VYBER	15	19739	SLUZBY	\N	\N
1204566	4121	1996-08-31	VYDAJ	VYBER	15	20918	SLUZBY	\N	\N
1204567	4121	1996-09-30	VYDAJ	VYBER	15	23591	SLUZBY	\N	\N
1204568	4121	1996-10-31	VYDAJ	VYBER	15	22674	SLUZBY	\N	\N
1204569	4121	1996-11-30	VYDAJ	VYBER	15	24554	SLUZBY	\N	\N
1204570	4121	1996-12-31	VYDAJ	VYBER	15	24990	SLUZBY	\N	\N
1204571	4121	1997-01-31	VYDAJ	VYBER	15	21911	SLUZBY	\N	\N
1204572	4121	1997-02-28	VYDAJ	VYBER	15	28189	SLUZBY	\N	\N
1204573	4121	1997-03-31	VYDAJ	VYBER	15	28193	SLUZBY	\N	\N
1204574	4121	1997-04-30	VYDAJ	VYBER	15	30697	SLUZBY	\N	\N
1204575	4121	1997-05-31	VYDAJ	VYBER	15	28760	SLUZBY	\N	\N
1204576	4121	1997-06-30	VYDAJ	VYBER	15	28467	SLUZBY	\N	\N
1204577	4121	1997-07-31	VYDAJ	VYBER	15	30672	SLUZBY	\N	\N
1204578	4121	1997-08-31	VYDAJ	VYBER	15	29383	SLUZBY	\N	\N
1204579	4121	1997-09-30	VYDAJ	VYBER	15	21234	SLUZBY	\N	\N
1204580	4121	1997-10-31	VYDAJ	VYBER	15	32428	SLUZBY	\N	\N
1204581	4121	1997-11-30	VYDAJ	VYBER	15	21938	SLUZBY	\N	\N
1204582	4121	1997-12-31	VYDAJ	VYBER	15	16609	SLUZBY	\N	\N
1204583	4121	1998-01-31	VYDAJ	VYBER	15	12205	SLUZBY	\N	\N
1204584	4121	1998-02-28	VYDAJ	VYBER	15	14442	SLUZBY	\N	\N
1204585	4121	1998-03-31	VYDAJ	VYBER	15	15488	SLUZBY	\N	\N
1204586	4121	1998-04-30	VYDAJ	VYBER	15	35334	SLUZBY	\N	\N
1204587	4121	1998-05-31	VYDAJ	VYBER	15	49469	SLUZBY	\N	\N
1204588	4121	1998-06-30	VYDAJ	VYBER	15	25226	SLUZBY	\N	\N
1204589	4121	1998-07-31	VYDAJ	VYBER	15	19607	SLUZBY	\N	\N
1204590	4121	1998-08-31	VYDAJ	VYBER	15	18672	SLUZBY	\N	\N
1204591	4121	1998-09-30	VYDAJ	VYBER	15	18233	SLUZBY	\N	\N
1204592	4121	1998-10-31	VYDAJ	VYBER	15	18894	SLUZBY	\N	\N
1204593	4121	1998-11-30	VYDAJ	VYBER	15	17755	SLUZBY	\N	\N
1204594	4121	1995-07-08	PRIJEM	VKLAD	13700	15904	\N	\N	\N
1204595	4121	1995-08-07	VYDAJ	VYBER	14700	40042	\N	\N	\N
1204596	4121	1995-09-06	VYDAJ	VYBER	8500	33637	\N	\N	\N
1204597	4121	1995-10-06	VYDAJ	VYBER	8200	27482	\N	\N	\N
1204598	4121	1995-11-05	VYDAJ	VYBER	5400	24101	\N	\N	\N
1204599	4121	1995-12-05	VYDAJ	VYBER	3100	23002	\N	\N	\N
1204600	4121	1996-01-04	VYDAJ	VYBER	400	23186	\N	\N	\N
1204601	4121	1996-02-03	PRIJEM	VKLAD	5700	21101	\N	\N	\N
1204602	4121	1996-03-04	VYDAJ	VYBER	2500	20566	\N	\N	\N
1204603	4121	1996-04-03	PRIJEM	VKLAD	3000	22988	\N	\N	\N
1204604	4121	1996-05-03	VYDAJ	VYBER	9600	29983	\N	\N	\N
1204605	4121	1996-06-02	VYDAJ	VYBER	2300	29713	\N	\N	\N
1204606	4121	1996-07-02	PRIJEM	VKLAD	3000	17780	\N	\N	\N
1204607	4121	1996-08-01	PRIJEM	VKLAD	3000	22739	\N	\N	\N
1204608	4121	1996-08-31	VYDAJ	VYBER	3800	20933	\N	\N	\N
1204609	4121	1996-09-30	PRIJEM	VKLAD	700	23518	\N	\N	\N
1204610	4121	1996-10-30	VYDAJ	VYBER	2900	22591	\N	\N	\N
1204611	4121	1996-11-29	PRIJEM	VKLAD	2000	24474	\N	\N	\N
1204612	4121	1996-12-29	PRIJEM	VKLAD	1100	24904	\N	\N	\N
1204613	4121	1997-01-28	PRIJEM	VKLAD	7500	21840	\N	\N	\N
1204614	4121	1997-02-27	PRIJEM	VKLAD	4300	28111	\N	\N	\N
1204615	4121	1997-03-29	VYDAJ	VYBER	1000	28089	\N	\N	\N
1204616	4121	1997-04-28	PRIJEM	VKLAD	500	30593	\N	\N	\N
1204617	4121	1997-05-28	VYDAJ	VYBER	3500	28647	\N	\N	\N
1204618	4121	1997-06-27	VYDAJ	VYBER	5300	25360	\N	\N	\N
1204619	4121	1997-07-27	PRIJEM	VKLAD	200	30567	\N	\N	\N
1204620	4121	1997-08-26	VYDAJ	VYBER	3300	29272	\N	\N	\N
1204621	4121	1997-09-25	VYDAJ	VYBER	8700	22583	\N	\N	\N
1204622	4121	1997-10-25	VYDAJ	VYBER	19700	32332	\N	\N	\N
1204623	4121	1997-11-24	VYDAJ	VYBER	12500	21828	\N	\N	\N
1204624	4121	1997-12-24	VYDAJ	VYBER	6300	16538	\N	\N	\N
1204625	4121	1998-01-23	VYDAJ	VYBER	2600	12159	\N	\N	\N
1204626	4121	1998-02-22	PRIJEM	VKLAD	300	14405	\N	\N	\N
1204627	4121	1998-03-24	VYDAJ	VYBER	900	15442	\N	\N	\N
1204628	4121	1998-04-23	VYDAJ	VYBER	21800	36583	\N	\N	\N
1204629	4121	1998-05-23	VYDAJ	VYBER	28500	49280	\N	\N	\N
1204630	4121	1998-06-22	VYDAJ	VYBER	11000	27019	\N	\N	\N
1204631	4121	1998-07-22	VYDAJ	VYBER	7600	19526	\N	\N	\N
1204632	4121	1998-08-21	VYDAJ	VYBER	2900	18607	\N	\N	\N
1204633	4121	1998-09-20	VYDAJ	VYBER	2400	18172	\N	\N	\N
1204634	4121	1998-10-20	VYDAJ	VYBER	1300	18833	\N	\N	\N
1204635	4121	1998-11-19	VYDAJ	VYBER	3100	17694	\N	\N	\N
1206263	4127	1996-05-03	PRIJEM	VKLAD	900	900	\N	\N	\N
1206264	4127	1996-09-07	PRIJEM	VKLAD	36571	53373	\N	\N	\N
1206265	4127	1996-11-15	PRIJEM	VKLAD	28114	61150	\N	\N	\N
1206267	4127	1996-12-04	PRIJEM	VKLAD	29491	70381	\N	\N	\N
1206269	4127	1996-10-30	PRIJEM	VKLAD	9439	45985	\N	\N	\N
1206271	4127	1997-01-25	PRIJEM	VKLAD	45402	92355	\N	\N	\N
1206272	4127	1997-03-24	PRIJEM	VKLAD	28304	48334	\N	\N	\N
1206273	4127	1998-03-06	PRIJEM	VKLAD	42681	54594	\N	\N	\N
1206274	4127	1998-04-02	PRIJEM	VKLAD	31452	56703	\N	\N	\N
1206275	4127	1998-02-08	PRIJEM	VKLAD	6076	3146	\N	\N	\N
1206289	4127	1997-02-23	VYDAJ	VYBER	4600	38444	\N	\N	0
1206290	4127	1997-03-24	VYDAJ	VYBER	3100	45234	\N	\N	0
1206291	4127	1997-04-03	VYDAJ	VYBER	4700	26468	\N	\N	0
1206292	4127	1997-05-21	VYDAJ	VYBER	3800	-663	\N	\N	0
1206302	4127	1998-03-12	VYDAJ	PREVOD NA UCET	4200	50104	UVER	CD	6366193
1206303	4127	1998-04-12	VYDAJ	PREVOD NA UCET	4200	52213	UVER	CD	6366193
1206304	4127	1998-05-12	VYDAJ	PREVOD NA UCET	4200	13773	UVER	CD	6366193
1206325	4127	1997-02-14	VYDAJ	PREVOD NA UCET	11105	43044	SIPO	QR	34589725
1206326	4127	1997-03-14	VYDAJ	PREVOD NA UCET	11105	20030	SIPO	QR	34589725
1206327	4127	1997-04-14	VYDAJ	PREVOD NA UCET	11105	10873	SIPO	QR	34589725
1206328	4127	1997-05-14	VYDAJ	PREVOD NA UCET	11105	3137	SIPO	QR	34589725
1206338	4127	1998-03-14	VYDAJ	PREVOD NA UCET	11105	38999	SIPO	QR	34589725
1206339	4127	1998-04-14	VYDAJ	PREVOD NA UCET	11105	21439	SIPO	QR	34589725
1206340	4127	1998-05-14	VYDAJ	PREVOD NA UCET	11105	2447	SIPO	QR	34589725
1206361	4127	1997-02-12	VYDAJ	PREVOD NA UCET	221	54149	 	GH	77216887
1206362	4127	1997-03-12	VYDAJ	PREVOD NA UCET	221	31135	 	GH	77216887
1206363	4127	1997-04-12	VYDAJ	PREVOD NA UCET	221	21978	 	GH	77216887
1206364	4127	1997-05-12	VYDAJ	PREVOD NA UCET	221	14242	 	GH	77216887
1206365	4127	1997-06-12	VYDAJ	PREVOD NA UCET	221	-941	 	GH	77216887
1206366	4127	1997-07-12	VYDAJ	PREVOD NA UCET	221	-1255	 	GH	77216887
1206367	4127	1997-08-12	VYDAJ	PREVOD NA UCET	221	-1572	 	GH	77216887
1206368	4127	1997-09-12	VYDAJ	PREVOD NA UCET	221	-1892	 	GH	77216887
1206369	4127	1997-10-12	VYDAJ	PREVOD NA UCET	221	-2215	 	GH	77216887
1206370	4127	1997-11-12	VYDAJ	PREVOD NA UCET	221	-2542	 	GH	77216887
1206371	4127	1997-12-12	VYDAJ	PREVOD NA UCET	221	-2872	 	GH	77216887
1206373	4127	1998-02-12	VYDAJ	PREVOD NA UCET	221	2856	 	GH	77216887
1206374	4127	1998-03-12	VYDAJ	PREVOD NA UCET	221	54304	 	GH	77216887
1206375	4127	1998-04-12	VYDAJ	PREVOD NA UCET	221	56413	 	GH	77216887
1206376	4127	1998-05-12	VYDAJ	PREVOD NA UCET	221	13552	 	GH	77216887
1206377	4127	1998-06-12	VYDAJ	PREVOD NA UCET	221	2178	 	GH	77216887
1206378	4127	1998-07-12	VYDAJ	PREVOD NA UCET	221	1882	 	GH	77216887
1206379	4127	1998-08-12	VYDAJ	PREVOD NA UCET	221	1585	 	GH	77216887
1206380	4127	1998-09-12	VYDAJ	PREVOD NA UCET	221	1287	 	GH	77216887
1206381	4127	1998-10-12	VYDAJ	PREVOD NA UCET	221	987	 	GH	77216887
1206382	4127	1998-11-12	VYDAJ	PREVOD NA UCET	221	686	 	GH	77216887
1206383	4127	1998-12-12	VYDAJ	PREVOD NA UCET	221	383	 	GH	77216887
1206397	4127	1997-02-11	VYDAJ	PREVOD NA UCET	69	54370	POJISTNE	QR	28738975
1206398	4127	1997-03-11	VYDAJ	PREVOD NA UCET	69	31356	POJISTNE	QR	28738975
1206399	4127	1997-04-11	VYDAJ	PREVOD NA UCET	69	22199	POJISTNE	QR	28738975
1206400	4127	1997-05-11	VYDAJ	PREVOD NA UCET	69	14463	POJISTNE	QR	28738975
1206401	4127	1997-06-11	VYDAJ	PREVOD NA UCET	69	-720	POJISTNE	QR	28738975
1206402	4127	1997-07-11	VYDAJ	PREVOD NA UCET	69	-1034	POJISTNE	QR	28738975
1206403	4127	1997-08-11	VYDAJ	PREVOD NA UCET	69	-1351	POJISTNE	QR	28738975
1206404	4127	1997-09-11	VYDAJ	PREVOD NA UCET	69	-1671	POJISTNE	QR	28738975
1206405	4127	1997-10-11	VYDAJ	PREVOD NA UCET	69	-1994	POJISTNE	QR	28738975
1206406	4127	1997-11-11	VYDAJ	PREVOD NA UCET	69	-2321	POJISTNE	QR	28738975
1206407	4127	1997-12-11	VYDAJ	PREVOD NA UCET	69	-2651	POJISTNE	QR	28738975
1206409	4127	1998-02-11	VYDAJ	PREVOD NA UCET	69	3077	POJISTNE	QR	28738975
1206410	4127	1998-03-11	VYDAJ	PREVOD NA UCET	69	54525	POJISTNE	QR	28738975
1206411	4127	1998-04-11	VYDAJ	PREVOD NA UCET	69	56634	POJISTNE	QR	28738975
1206412	4127	1998-05-11	VYDAJ	PREVOD NA UCET	69	17973	POJISTNE	QR	28738975
1206413	4127	1998-06-11	VYDAJ	PREVOD NA UCET	69	2399	POJISTNE	QR	28738975
1206414	4127	1998-07-11	VYDAJ	PREVOD NA UCET	69	2103	POJISTNE	QR	28738975
1206415	4127	1998-08-11	VYDAJ	PREVOD NA UCET	69	1806	POJISTNE	QR	28738975
1206416	4127	1998-09-11	VYDAJ	PREVOD NA UCET	69	1508	POJISTNE	QR	28738975
1206417	4127	1998-10-11	VYDAJ	PREVOD NA UCET	69	1208	POJISTNE	QR	28738975
1206418	4127	1998-11-11	VYDAJ	PREVOD NA UCET	69	907	POJISTNE	QR	28738975
1206419	4127	1998-12-11	VYDAJ	PREVOD NA UCET	69	604	POJISTNE	QR	28738975
1206430	4127	1997-04-02	VYBER	VYBER	2477	31168	\N	\N	\N
1206440	4127	1998-04-14	VYBER	VYBER	19669	32544	\N	\N	\N
1206441	4127	1998-03-16	VYBER	VYBER	7941	31058	\N	\N	\N
1206463	4127	1997-01-28	VYDAJ	VYBER	3600	54255	\N	\N	\N
1206481	4127	1997-04-10	VYDAJ	VYBER	4200	22268	\N	\N	\N
1206501	4127	1997-01-31	VYDAJ	VYBER	15	54439	SLUZBY	\N	\N
1206502	4127	1997-02-28	VYDAJ	VYBER	15	31425	SLUZBY	\N	\N
1206503	4127	1997-03-31	VYDAJ	VYBER	15	33645	SLUZBY	\N	\N
1206504	4127	1997-04-30	VYDAJ	VYBER	15	14532	SLUZBY	\N	\N
1206505	4127	1997-05-31	VYDAJ	VYBER	15	-649	SLUZBY	\N	\N
1206506	4127	1997-06-30	VYDAJ	VYBER	15	-965	SLUZBY	\N	\N
1206507	4127	1997-07-31	VYDAJ	VYBER	15	-1269	SLUZBY	\N	\N
1206508	4127	1997-08-31	VYDAJ	VYBER	15	-1586	SLUZBY	\N	\N
1206509	4127	1997-09-30	VYDAJ	VYBER	15	-1906	SLUZBY	\N	\N
1206510	4127	1997-10-31	VYDAJ	VYBER	15	-2229	SLUZBY	\N	\N
1206511	4127	1997-11-30	VYDAJ	VYBER	15	-2556	SLUZBY	\N	\N
1206512	4127	1997-12-31	VYDAJ	VYBER	15	-2886	SLUZBY	\N	\N
1206513	4127	1998-01-31	VYDAJ	VYBER	15	-2930	SLUZBY	\N	\N
1206514	4127	1998-02-28	VYDAJ	VYBER	15	11913	SLUZBY	\N	\N
1206515	4127	1998-03-31	VYDAJ	VYBER	15	25251	SLUZBY	\N	\N
1206516	4127	1998-04-30	VYDAJ	VYBER	15	18042	SLUZBY	\N	\N
1206517	4127	1998-05-31	VYDAJ	VYBER	15	2468	SLUZBY	\N	\N
1206518	4127	1998-06-30	VYDAJ	VYBER	15	2172	SLUZBY	\N	\N
1206519	4127	1998-07-31	VYDAJ	VYBER	15	1875	SLUZBY	\N	\N
1206520	4127	1998-08-31	VYDAJ	VYBER	15	1577	SLUZBY	\N	\N
1206521	4127	1998-09-30	VYDAJ	VYBER	15	1277	SLUZBY	\N	\N
1206522	4127	1998-10-31	VYDAJ	VYBER	15	976	SLUZBY	\N	\N
1206523	4127	1998-11-30	VYDAJ	VYBER	15	673	SLUZBY	\N	\N
1206524	4127	1996-06-02	PRIJEM	VKLAD	10300	11200	\N	\N	\N
1206525	4127	1996-07-02	PRIJEM	VKLAD	2900	14100	\N	\N	\N
1206526	4127	1996-08-01	PRIJEM	VKLAD	700	14800	\N	\N	\N
1206527	4127	1996-08-31	PRIJEM	VKLAD	2000	16802	\N	\N	\N
1206528	4127	1996-09-30	VYDAJ	VYBER	16900	36546	\N	\N	\N
1206529	4127	1996-10-30	VYDAJ	VYBER	13100	32885	\N	\N	\N
1206530	4127	1996-11-29	VYDAJ	VYBER	20400	40750	\N	\N	\N
1206531	4127	1996-12-29	VYDAJ	VYBER	23600	46781	\N	\N	\N
1206532	4127	1997-01-28	VYDAJ	VYBER	34500	57855	\N	\N	\N
1206533	4127	1997-02-27	VYDAJ	VYBER	7200	31244	\N	\N	\N
1206534	4127	1997-03-29	VYDAJ	VYBER	11700	33534	\N	\N	\N
1206535	4127	1997-04-28	PRIJEM	VKLAD	3600	14473	\N	\N	\N
1206536	4127	1998-02-22	PRIJEM	VKLAD	9100	11956	\N	\N	\N
1206537	4127	1998-03-24	VYDAJ	VYBER	5900	25158	\N	\N	\N
1206538	4127	1998-04-23	VYDAJ	VYBER	3500	17939	\N	\N	\N
1206571	4128	1997-09-26	PRIJEM	VKLAD	700	700	\N	\N	\N
1206574	4128	1997-10-29	PRIJEM	VKLAD	29062	42162	\N	\N	\N
1206576	4128	1997-12-05	PRIJEM	VKLAD	49319	94944	\N	\N	\N
1206578	4128	1997-11-11	PRIJEM	VKLAD	13768	55947	\N	\N	\N
1206582	4128	1998-01-15	PRIJEM	VKLAD	46569	139002	\N	\N	\N
1206583	4128	1998-11-13	PRIJEM	VKLAD	25363	30907	\N	\N	\N
1206584	4128	1998-09-14	PRIJEM	VKLAD	42774	30279	\N	\N	\N
1206585	4128	1998-01-02	PRIJEM	VKLAD	26380	92433	\N	\N	\N
1206586	4128	1998-04-23	PRIJEM	VKLAD	8528	15426	\N	\N	\N
1206587	4128	1998-12-24	PRIJEM	VKLAD	47606	66747	\N	\N	\N
1206588	4128	1998-12-14	PRIJEM	VKLAD	14489	38841	\N	\N	\N
1206589	4128	1998-05-08	PRIJEM	VKLAD	10569	15565	\N	\N	\N
1206590	4128	1998-03-02	PRIJEM	VKLAD	35027	59468	\N	\N	\N
1206591	4128	1998-06-02	PRIJEM	VKLAD	5239	38083	\N	\N	\N
1206592	4128	1998-05-24	PRIJEM	VKLAD	30496	46061	\N	\N	\N
1206593	4128	1998-11-30	PRIJEM	VKLAD	40419	50766	\N	\N	\N
1206607	4128	1998-02-06	VYDAJ	VYBER	14800	24243	SIPO	\N	0
1206608	4128	1998-03-19	VYDAJ	VYBER	16200	36968	SIPO	\N	0
1206609	4128	1998-04-03	VYDAJ	VYBER	14300	6898	SIPO	\N	0
1206610	4128	1998-05-07	VYDAJ	VYBER	12400	4996	SIPO	\N	0
1206611	4128	1998-06-20	VYDAJ	VYBER	15500	22583	SIPO	\N	0
1206612	4128	1998-07-18	VYDAJ	VYBER	16400	-1219	SIPO	\N	0
1206613	4128	1998-08-03	VYDAJ	VYBER	14800	-12486	SIPO	\N	0
1206615	4128	1998-10-03	VYDAJ	VYBER	12600	4105	SIPO	\N	0
1206616	4128	1998-11-22	VYDAJ	VYBER	11900	10307	SIPO	\N	0
1206617	4128	1998-12-09	VYDAJ	VYBER	16200	26752	SIPO	\N	0
1206626	4128	1998-01-20	VYBER	VYBER	17034	81668	\N	\N	\N
1206635	4128	1998-12-05	VYDAJ	VYBER	7800	42952	\N	\N	\N
1206645	4128	1998-01-24	VYDAJ	VYBER	3000	54668	\N	\N	\N
1206646	4128	1998-01-29	VYDAJ	VYBER	8400	46268	\N	\N	\N
1206647	4128	1998-01-30	VYDAJ	VYBER	7500	38768	\N	\N	\N
1206652	4128	1998-03-20	VYDAJ	VYBER	8700	28268	\N	\N	\N
1206653	4128	1998-02-10	VYDAJ	VYBER	4500	19743	\N	\N	\N
1206655	4128	1998-03-08	VYDAJ	VYBER	6300	53168	\N	\N	\N
1206656	4128	1998-12-12	VYDAJ	VYBER	2400	24352	\N	\N	\N
1206671	4128	1998-01-31	VYDAJ	VYBER	15	39043	SLUZBY	\N	\N
1206672	4128	1998-02-28	VYDAJ	VYBER	15	24441	SLUZBY	\N	\N
1206673	4128	1998-03-31	VYDAJ	VYBER	15	21198	SLUZBY	\N	\N
1206674	4128	1998-04-30	VYDAJ	VYBER	15	17396	SLUZBY	\N	\N
1206675	4128	1998-05-31	VYDAJ	VYBER	15	32844	SLUZBY	\N	\N
1206676	4128	1998-06-30	VYDAJ	VYBER	15	15181	SLUZBY	\N	\N
1206677	4128	1998-07-31	VYDAJ	VYBER	15	2314	SLUZBY	\N	\N
1206678	4128	1998-08-31	VYDAJ	VYBER	15	-12491	SLUZBY	\N	\N
1206679	4128	1998-09-30	VYDAJ	VYBER	15	16788	SLUZBY	\N	\N
1206680	4128	1998-10-31	VYDAJ	VYBER	15	5544	SLUZBY	\N	\N
1206681	4128	1998-11-30	VYDAJ	VYBER	15	50752	SLUZBY	\N	\N
1206682	4128	1997-10-26	PRIJEM	VKLAD	12400	13100	\N	\N	\N
1206683	4128	1997-11-25	VYDAJ	VYBER	10500	45447	\N	\N	\N
1206684	4128	1997-12-25	VYDAJ	VYBER	29100	65844	\N	\N	\N
1206685	4128	1998-01-15	VYDAJ	VYBER	40300	98702	\N	\N	\N
1206686	4128	1998-01-24	VYDAJ	VYBER	24000	57668	\N	\N	\N
1206687	4128	1998-02-23	PRIJEM	VKLAD	4600	24343	\N	\N	\N
1206688	4128	1998-03-25	VYDAJ	VYBER	7200	21068	\N	\N	\N
1206689	4128	1998-04-24	PRIJEM	VKLAD	1900	17326	\N	\N	\N
1206690	4128	1998-05-24	VYDAJ	VYBER	13300	32761	\N	\N	\N
1206691	4128	1998-06-23	VYDAJ	VYBER	7500	15083	\N	\N	\N
1206692	4128	1998-07-23	PRIJEM	VKLAD	3500	2281	\N	\N	\N
1206693	4128	1998-09-21	VYDAJ	VYBER	13500	16779	\N	\N	\N
1206694	4128	1998-10-21	PRIJEM	VKLAD	1400	5505	\N	\N	\N
1206695	4128	1998-11-20	VYDAJ	VYBER	8700	22207	\N	\N	\N
1206696	4128	1998-12-20	VYDAJ	VYBER	19700	19141	\N	\N	\N
1207162	4130	1997-06-01	PRIJEM	VKLAD	300	300	\N	\N	\N
1207164	4130	1998-03-21	PRIJEM	VKLAD	12658	59218	\N	\N	\N
1207165	4130	1998-03-04	PRIJEM	VKLAD	26548	46560	\N	\N	\N
1207166	4130	1998-12-16	PRIJEM	VKLAD	32216	45596	\N	\N	\N
1207167	4130	1998-05-28	PRIJEM	VKLAD	21626	90689	\N	\N	\N
1207168	4130	1998-02-19	PRIJEM	VKLAD	24420	35562	\N	\N	\N
1207169	4130	1998-08-11	PRIJEM	VKLAD	9936	10441	\N	\N	\N
1207170	4130	1998-05-28	PRIJEM	VKLAD	40426	69063	\N	\N	\N
1207171	4130	1998-10-12	PRIJEM	VKLAD	29996	91945	\N	\N	\N
1207172	4130	1998-11-01	PRIJEM	VKLAD	5045	72249	\N	\N	\N
1207173	4130	1998-09-19	PRIJEM	VKLAD	18244	16637	\N	\N	\N
1207174	4130	1998-10-03	PRIJEM	VKLAD	49326	61949	\N	\N	\N
1207175	4130	1998-06-24	PRIJEM	VKLAD	12233	17285	\N	\N	\N
1207176	4130	1998-10-27	PRIJEM	VKLAD	44380	86929	\N	\N	\N
1207177	4130	1998-01-31	PRIJEM	VKLAD	5088	11142	\N	\N	\N
1207178	4130	1998-05-07	PRIJEM	VKLAD	46458	65837	\N	\N	\N
1207186	4130	1998-07-08	VYBER	VYBER	2053	-2280	\N	\N	\N
1207189	4130	1998-08-31	VYBER	VYBER	3930	-1586	\N	\N	\N
1207192	4130	1998-10-24	VYBER	VYBER	16396	75549	\N	\N	\N
1207194	4130	1998-11-14	VYBER	VYBER	14137	37514	\N	\N	\N
1207196	4130	1998-10-31	VYBER	VYBER	19950	67218	\N	\N	\N
1207197	4130	1998-11-11	VYBER	VYBER	5898	51651	\N	\N	\N
1207200	4130	1998-06-19	VYDAJ	VYBER	85800	5052	\N	\N	\N
1207202	4130	1998-12-06	VYDAJ	VYBER	7500	13380	\N	\N	\N
1207219	4130	1998-07-06	VYDAJ	VYBER	12600	-227	\N	\N	\N
1207220	4130	1998-11-08	VYDAJ	VYBER	14700	57549	\N	\N	\N
1207222	4130	1998-08-19	VYDAJ	VYBER	13200	-2759	\N	\N	\N
1207224	4130	1998-05-20	VYDAJ	VYBER	11100	54737	\N	\N	\N
1207244	4130	1998-05-31	VYDAJ	VYBER	15	90852	SLUZBY	\N	\N
1207245	4130	1998-06-30	VYDAJ	VYBER	15	12374	SLUZBY	\N	\N
1207246	4130	1998-07-31	VYDAJ	VYBER	15	505	SLUZBY	\N	\N
1207247	4130	1998-08-31	VYDAJ	VYBER	15	-1601	SLUZBY	\N	\N
1207248	4130	1998-09-30	VYDAJ	VYBER	15	12635	SLUZBY	\N	\N
1207249	4130	1998-10-31	VYDAJ	VYBER	15	67204	SLUZBY	\N	\N
1207250	4130	1998-11-30	VYDAJ	VYBER	15	20880	SLUZBY	\N	\N
1207251	4130	1997-07-01	PRIJEM	VKLAD	11400	11700	\N	\N	\N
1207252	4130	1997-07-31	PRIJEM	VKLAD	2400	14100	\N	\N	\N
1207253	4130	1997-08-30	PRIJEM	VKLAD	1300	15402	\N	\N	\N
1207254	4130	1997-09-29	PRIJEM	VKLAD	2700	18161	\N	\N	\N
1207255	4130	1997-10-29	VYDAJ	VYBER	1000	17219	\N	\N	\N
1207256	4130	1997-11-28	VYDAJ	VYBER	3700	13578	\N	\N	\N
1207257	4130	1997-12-28	VYDAJ	VYBER	4900	8737	\N	\N	\N
1207258	4130	1998-01-27	VYDAJ	VYBER	2800	5996	\N	\N	\N
1207259	4130	1998-02-26	VYDAJ	VYBER	15600	19962	\N	\N	\N
1207260	4130	1998-03-28	VYDAJ	VYBER	27100	32118	\N	\N	\N
1207261	4130	1998-04-27	VYDAJ	VYBER	13000	19245	\N	\N	\N
1207262	4130	1998-05-27	VYDAJ	VYBER	26100	28637	\N	\N	\N
1207263	4130	1998-06-26	VYDAJ	VYBER	5200	12085	\N	\N	\N
1207264	4130	1998-07-26	PRIJEM	VKLAD	2800	521	\N	\N	\N
1207265	4130	1998-08-25	PRIJEM	VKLAD	5100	2341	\N	\N	\N
1207266	4130	1998-09-24	VYDAJ	VYBER	4000	12637	\N	\N	\N
1207267	4130	1998-10-24	VYDAJ	VYBER	33000	42549	\N	\N	\N
1207268	4130	1998-11-23	VYDAJ	VYBER	16800	20714	\N	\N	\N
1207290	4131	1994-08-19	PRIJEM	VKLAD	700	700	\N	\N	\N
1207291	4131	1994-10-31	PRIJEM	VKLAD	7017	77234	\N	\N	\N
1207292	4131	1994-09-12	PRIJEM	VKLAD	37794	38494	\N	\N	\N
1207293	4131	1994-11-13	PRIJEM	VKLAD	27797	83430	\N	\N	\N
1207295	4131	1994-09-20	PRIJEM	VKLAD	46703	89460	\N	\N	\N
1207296	4131	1994-10-17	PRIJEM	VKLAD	48376	119127	\N	\N	\N
1207297	4131	1994-09-15	PRIJEM	VKLAD	18663	57157	\N	\N	\N
1207299	4131	1994-10-15	PRIJEM	VKLAD	38919	128551	\N	\N	\N
1207300	4131	1994-10-18	PRIJEM	VKLAD	32498	131325	\N	\N	\N
1207306	4131	1994-12-05	PRIJEM	VKLAD	21508	77599	\N	\N	\N
1207307	4131	1994-10-23	PRIJEM	VKLAD	10750	69875	\N	\N	\N
1207310	4131	1995-02-04	PRIJEM	VKLAD	6845	26664	\N	\N	\N
1207311	4131	1995-09-20	PRIJEM	VKLAD	27990	88980	\N	\N	\N
1207312	4131	1995-05-26	PRIJEM	VKLAD	11496	64127	\N	\N	\N
1207313	4131	1995-05-08	PRIJEM	VKLAD	49397	151505	\N	\N	\N
1207314	4131	1995-11-03	PRIJEM	VKLAD	20052	92546	\N	\N	\N
1207315	4131	1995-04-16	PRIJEM	VKLAD	44414	144308	\N	\N	\N
1207316	4131	1995-12-27	PRIJEM	VKLAD	47389	121736	\N	\N	\N
1207317	4131	1995-10-19	PRIJEM	VKLAD	40071	87932	\N	\N	\N
1207318	4131	1995-04-24	PRIJEM	VKLAD	49895	111803	\N	\N	\N
1207319	4131	1995-03-28	PRIJEM	VKLAD	31976	99741	\N	\N	\N
1207320	4131	1995-02-17	PRIJEM	VKLAD	16169	38563	\N	\N	\N
1207321	4131	1995-08-17	PRIJEM	VKLAD	35643	84582	\N	\N	\N
1207322	4131	1995-10-28	PRIJEM	VKLAD	23976	98108	\N	\N	\N
1207323	4131	1995-07-02	PRIJEM	VKLAD	14075	46088	\N	\N	\N
1207324	4131	1995-04-13	PRIJEM	VKLAD	38446	132794	\N	\N	\N
1207325	4131	1995-12-18	PRIJEM	VKLAD	41584	80647	\N	\N	\N
1207326	4131	1995-08-07	PRIJEM	VKLAD	36533	84113	\N	\N	\N
1207327	4131	1995-01-15	PRIJEM	VKLAD	28878	48896	\N	\N	\N
1207328	4131	1995-01-17	PRIJEM	VKLAD	7716	39412	\N	\N	\N
1207329	4131	1995-03-21	PRIJEM	VKLAD	44382	67765	\N	\N	\N
1207330	4131	1995-04-01	PRIJEM	VKLAD	10950	110870	\N	\N	\N
1207331	4131	1995-04-27	PRIJEM	VKLAD	16818	106321	\N	\N	\N
1207332	4131	1995-08-30	PRIJEM	VKLAD	17871	102453	\N	\N	\N
1207333	4131	1995-07-19	PRIJEM	VKLAD	34037	68635	\N	\N	\N
1207334	4131	1995-04-07	PRIJEM	VKLAD	37248	119822	\N	\N	\N
1207335	4131	1995-10-30	PRIJEM	VKLAD	23092	121200	\N	\N	\N
1207336	4131	1995-07-06	PRIJEM	VKLAD	25688	71776	\N	\N	\N
1207337	4131	1996-08-28	PRIJEM	VKLAD	22595	100281	\N	\N	\N
1207338	4131	1996-10-12	PRIJEM	VKLAD	29323	72141	\N	\N	\N
1207339	4131	1996-01-28	PRIJEM	VKLAD	30953	53296	\N	\N	\N
1207340	4131	1996-10-23	PRIJEM	VKLAD	32848	104015	\N	\N	\N
1207341	4131	1996-11-10	PRIJEM	VKLAD	47401	104511	\N	\N	\N
1207342	4131	1996-07-23	PRIJEM	VKLAD	43442	67125	\N	\N	\N
1207343	4131	1996-07-28	PRIJEM	VKLAD	30799	97924	\N	\N	\N
1207344	4131	1996-08-26	PRIJEM	VKLAD	11461	77686	\N	\N	\N
1207345	4131	1996-06-09	PRIJEM	VKLAD	34970	60091	\N	\N	\N
1207346	4131	1996-09-23	PRIJEM	VKLAD	21954	57855	\N	\N	\N
1207347	4131	1996-11-10	PRIJEM	VKLAD	20971	125482	\N	\N	\N
1207348	4131	1996-02-05	PRIJEM	VKLAD	45052	97002	\N	\N	\N
1207349	4131	1996-03-14	PRIJEM	VKLAD	40606	65896	\N	\N	\N
1207350	4131	1996-08-09	PRIJEM	VKLAD	12607	67199	\N	\N	\N
1207351	4131	1997-10-19	PRIJEM	VKLAD	40360	67756	\N	\N	\N
1207352	4131	1997-10-23	PRIJEM	VKLAD	41367	109123	\N	\N	\N
1207353	4131	1997-09-06	PRIJEM	VKLAD	12562	74492	\N	\N	\N
1207354	4131	1997-12-25	PRIJEM	VKLAD	19988	80561	\N	\N	\N
1207355	4131	1997-06-18	PRIJEM	VKLAD	34363	55025	\N	\N	\N
1207356	4131	1997-12-27	PRIJEM	VKLAD	29099	109660	\N	\N	\N
1207357	4131	1997-04-05	PRIJEM	VKLAD	7482	26833	\N	\N	\N
1207358	4131	1997-12-24	PRIJEM	VKLAD	22295	60573	\N	\N	\N
1207359	4131	1997-08-07	PRIJEM	VKLAD	37411	86083	\N	\N	\N
1207360	4131	1997-11-06	PRIJEM	VKLAD	32143	77339	\N	\N	\N
1207361	4131	1997-08-19	PRIJEM	VKLAD	40373	125482	\N	\N	\N
1207362	4131	1997-01-20	PRIJEM	VKLAD	7757	29266	\N	\N	\N
1207363	4131	1997-07-30	PRIJEM	VKLAD	36519	74405	\N	\N	\N
1207364	4131	1997-09-07	PRIJEM	VKLAD	23628	82624	\N	\N	\N
1207365	4131	1998-12-28	PRIJEM	VKLAD	24292	84661	\N	\N	\N
1207366	4131	1998-04-04	PRIJEM	VKLAD	41526	96904	\N	\N	\N
1207367	4131	1998-12-12	PRIJEM	VKLAD	45691	98726	\N	\N	\N
1207368	4131	1998-06-26	PRIJEM	VKLAD	7203	96812	\N	\N	\N
1207369	4131	1998-08-21	PRIJEM	VKLAD	34581	126326	\N	\N	\N
1207370	4131	1998-07-05	PRIJEM	VKLAD	22375	96695	\N	\N	\N
1207371	4131	1998-04-08	PRIJEM	VKLAD	37559	129767	\N	\N	\N
1207372	4131	1998-10-23	PRIJEM	VKLAD	17029	70946	\N	\N	\N
1207373	4131	1998-10-12	PRIJEM	VKLAD	15131	62250	\N	\N	\N
1207374	4131	1998-07-11	PRIJEM	VKLAD	46352	138351	\N	\N	\N
1207375	4131	1998-01-02	PRIJEM	VKLAD	19606	89500	\N	\N	\N
1207376	4131	1998-09-14	PRIJEM	VKLAD	46747	107964	\N	\N	\N
1207377	4131	1998-01-13	PRIJEM	VKLAD	24235	92997	\N	\N	\N
1207378	4131	1998-10-31	PRIJEM	VKLAD	8098	62679	\N	\N	\N
1207379	4131	1998-11-17	PRIJEM	VKLAD	33602	73396	\N	\N	\N
1207380	4131	1998-08-07	PRIJEM	VKLAD	22286	92719	\N	\N	\N
1207381	4131	1998-05-06	PRIJEM	VKLAD	25265	99331	\N	\N	\N
1207382	4131	1998-11-26	PRIJEM	VKLAD	27956	99224	\N	\N	\N
1207383	4131	1998-03-08	PRIJEM	VKLAD	37645	78375	\N	\N	\N
1207384	4131	1998-02-20	PRIJEM	VKLAD	16530	62199	\N	\N	\N
1207385	4131	1998-06-23	PRIJEM	VKLAD	44170	119309	\N	\N	\N
1207386	4131	1998-09-04	PRIJEM	VKLAD	24475	66887	\N	\N	\N
1207387	4131	1998-04-15	PRIJEM	VKLAD	18661	129854	\N	\N	\N
1207388	4131	1998-08-30	PRIJEM	VKLAD	46816	114742	\N	\N	\N
1207389	4131	1998-07-13	PRIJEM	VKLAD	11978	103755	\N	\N	\N
1207390	4131	1998-01-10	PRIJEM	VKLAD	6904	69736	\N	\N	\N
1207391	4131	1998-02-21	PRIJEM	VKLAD	14906	77105	\N	\N	\N
1207392	4131	1998-09-22	PRIJEM	VKLAD	7432	106726	\N	\N	\N
1207393	4131	1998-06-08	PRIJEM	VKLAD	12296	76113	\N	\N	\N
1207464	4131	1994-11-12	VYDAJ	PREVOD NA UCET	974	55633	SIPO	OP	66005611
1207465	4131	1994-12-12	VYDAJ	PREVOD NA UCET	974	71929	SIPO	OP	66005611
1207466	4131	1995-01-12	VYDAJ	PREVOD NA UCET	974	29276	SIPO	OP	66005611
1207467	4131	1995-02-12	VYDAJ	PREVOD NA UCET	974	20994	SIPO	OP	66005611
1207468	4131	1995-03-12	VYDAJ	PREVOD NA UCET	974	25783	SIPO	OP	66005611
1207469	4131	1995-04-12	VYDAJ	PREVOD NA UCET	974	94348	SIPO	OP	66005611
1207470	4131	1995-05-12	VYDAJ	PREVOD NA UCET	974	123131	SIPO	OP	66005611
1207471	4131	1995-06-12	VYDAJ	PREVOD NA UCET	974	53976	SIPO	OP	66005611
1207472	4131	1995-07-12	VYDAJ	PREVOD NA UCET	974	66106	SIPO	OP	66005611
1207473	4131	1995-08-12	VYDAJ	PREVOD NA UCET	974	70839	SIPO	OP	66005611
1207474	4131	1995-09-12	VYDAJ	PREVOD NA UCET	974	97090	SIPO	OP	66005611
1207475	4131	1995-10-12	VYDAJ	PREVOD NA UCET	974	71661	SIPO	OP	66005611
1207476	4131	1995-11-12	VYDAJ	PREVOD NA UCET	974	86876	SIPO	OP	66005611
1207477	4131	1995-12-12	VYDAJ	PREVOD NA UCET	974	50863	SIPO	OP	66005611
1207478	4131	1996-01-12	VYDAJ	PREVOD NA UCET	974	38543	SIPO	OP	66005611
1207479	4131	1996-02-12	VYDAJ	PREVOD NA UCET	974	57432	SIPO	OP	66005611
1207480	4131	1996-03-12	VYDAJ	PREVOD NA UCET	974	25290	SIPO	OP	66005611
1207481	4131	1996-04-12	VYDAJ	PREVOD NA UCET	974	37604	SIPO	OP	66005611
1207482	4131	1996-05-12	VYDAJ	PREVOD NA UCET	974	29699	SIPO	OP	66005611
1207483	4131	1996-06-12	VYDAJ	PREVOD NA UCET	974	37017	SIPO	OP	66005611
1207484	4131	1996-07-12	VYDAJ	PREVOD NA UCET	974	23683	SIPO	OP	66005611
1207485	4131	1996-08-12	VYDAJ	PREVOD NA UCET	974	66225	SIPO	OP	66005611
1207486	4131	1996-09-12	VYDAJ	PREVOD NA UCET	974	58315	SIPO	OP	66005611
1207487	4131	1996-10-12	VYDAJ	PREVOD NA UCET	974	71167	SIPO	OP	66005611
1207488	4131	1996-11-12	VYDAJ	PREVOD NA UCET	974	85308	SIPO	OP	66005611
1207489	4131	1996-12-12	VYDAJ	PREVOD NA UCET	974	55180	SIPO	OP	66005611
1207490	4131	1997-01-12	VYDAJ	PREVOD NA UCET	974	21509	SIPO	OP	66005611
1207491	4131	1997-02-12	VYDAJ	PREVOD NA UCET	974	16197	SIPO	OP	66005611
1207492	4131	1997-03-12	VYDAJ	PREVOD NA UCET	974	19285	SIPO	OP	66005611
1207493	4131	1997-04-12	VYDAJ	PREVOD NA UCET	974	20963	SIPO	OP	66005611
1207494	4131	1997-05-12	VYDAJ	PREVOD NA UCET	974	19964	SIPO	OP	66005611
1207495	4131	1997-06-12	VYDAJ	PREVOD NA UCET	974	20662	SIPO	OP	66005611
1207496	4131	1997-07-12	VYDAJ	PREVOD NA UCET	974	37886	SIPO	OP	66005611
1207497	4131	1997-08-12	VYDAJ	PREVOD NA UCET	974	85109	SIPO	OP	66005611
1207498	4131	1997-09-12	VYDAJ	PREVOD NA UCET	974	81650	SIPO	OP	66005611
1207499	4131	1997-10-12	VYDAJ	PREVOD NA UCET	974	49812	SIPO	OP	66005611
1207500	4131	1997-11-12	VYDAJ	PREVOD NA UCET	974	71669	SIPO	OP	66005611
1207501	4131	1997-12-12	VYDAJ	PREVOD NA UCET	974	44578	SIPO	OP	66005611
1207502	4131	1998-01-12	VYDAJ	PREVOD NA UCET	974	68762	SIPO	OP	66005611
1207503	4131	1998-02-12	VYDAJ	PREVOD NA UCET	974	45669	SIPO	OP	66005611
1207504	4131	1998-03-12	VYDAJ	PREVOD NA UCET	974	77401	SIPO	OP	66005611
1207505	4131	1998-04-12	VYDAJ	PREVOD NA UCET	974	111193	SIPO	OP	66005611
1207506	4131	1998-05-12	VYDAJ	PREVOD NA UCET	974	93661	SIPO	OP	66005611
1207507	4131	1998-06-12	VYDAJ	PREVOD NA UCET	974	75139	SIPO	OP	66005611
1207508	4131	1998-07-12	VYDAJ	PREVOD NA UCET	974	91777	SIPO	OP	66005611
1207509	4131	1998-08-12	VYDAJ	PREVOD NA UCET	974	91745	SIPO	OP	66005611
1207510	4131	1998-09-12	VYDAJ	PREVOD NA UCET	974	61217	SIPO	OP	66005611
1207511	4131	1998-10-12	VYDAJ	PREVOD NA UCET	974	61276	SIPO	OP	66005611
1207512	4131	1998-11-12	VYDAJ	PREVOD NA UCET	974	39794	SIPO	OP	66005611
1207513	4131	1998-12-12	VYDAJ	PREVOD NA UCET	974	97752	SIPO	OP	66005611
1207524	4131	1994-11-06	VYDAJ	PREVOD NA UCET	4696	72523	 	UV	18379521
1207525	4131	1994-12-06	VYDAJ	PREVOD NA UCET	4696	72903	 	UV	18379521
1207526	4131	1995-01-06	VYDAJ	PREVOD NA UCET	4696	37450	 	UV	18379521
1207527	4131	1995-02-06	VYDAJ	PREVOD NA UCET	4696	21968	 	UV	18379521
1207528	4131	1995-03-06	VYDAJ	PREVOD NA UCET	4696	26757	 	UV	18379521
1207529	4131	1995-04-06	VYDAJ	PREVOD NA UCET	4696	82574	 	UV	18379521
1207530	4131	1995-05-06	VYDAJ	PREVOD NA UCET	4696	102108	 	UV	18379521
1207531	4131	1995-06-06	VYDAJ	PREVOD NA UCET	4696	59750	 	UV	18379521
1207532	4131	1995-07-06	VYDAJ	PREVOD NA UCET	4696	67080	 	UV	18379521
1207533	4131	1995-08-06	VYDAJ	PREVOD NA UCET	4696	47580	 	UV	18379521
1207534	4131	1995-09-06	VYDAJ	PREVOD NA UCET	4696	98064	 	UV	18379521
1207535	4131	1995-10-06	VYDAJ	PREVOD NA UCET	4696	72635	 	UV	18379521
1207536	4131	1995-11-06	VYDAJ	PREVOD NA UCET	4696	87850	 	UV	18379521
1207537	4131	1995-12-06	VYDAJ	PREVOD NA UCET	4696	51837	 	UV	18379521
1207538	4131	1996-01-06	VYDAJ	PREVOD NA UCET	4696	59917	 	UV	18379521
1207539	4131	1996-02-06	VYDAJ	PREVOD NA UCET	4696	92306	 	UV	18379521
1207540	4131	1996-03-06	VYDAJ	PREVOD NA UCET	4696	39164	 	UV	18379521
1207541	4131	1996-04-06	VYDAJ	PREVOD NA UCET	4696	52178	 	UV	18379521
1207542	4131	1996-05-06	VYDAJ	PREVOD NA UCET	4696	33073	 	UV	18379521
1207543	4131	1996-06-06	VYDAJ	PREVOD NA UCET	4696	25121	 	UV	18379521
1207544	4131	1996-07-06	VYDAJ	PREVOD NA UCET	4696	30357	 	UV	18379521
1207545	4131	1996-08-06	VYDAJ	PREVOD NA UCET	4696	86792	 	UV	18379521
1207546	4131	1996-09-06	VYDAJ	PREVOD NA UCET	4696	95889	 	UV	18379521
1207547	4131	1996-10-06	VYDAJ	PREVOD NA UCET	4696	53418	 	UV	18379521
1207548	4131	1996-11-06	VYDAJ	PREVOD NA UCET	4696	57110	 	UV	18379521
1207549	4131	1996-12-06	VYDAJ	PREVOD NA UCET	4696	80954	 	UV	18379521
1207550	4131	1997-01-06	VYDAJ	PREVOD NA UCET	4696	22483	 	UV	18379521
1207551	4131	1997-02-06	VYDAJ	PREVOD NA UCET	4696	17171	 	UV	18379521
1207552	4131	1997-03-06	VYDAJ	PREVOD NA UCET	4696	20259	 	UV	18379521
1207553	4131	1997-04-06	VYDAJ	PREVOD NA UCET	4696	21937	 	UV	18379521
1207554	4131	1997-05-06	VYDAJ	PREVOD NA UCET	4696	20938	 	UV	18379521
1207555	4131	1997-06-06	VYDAJ	PREVOD NA UCET	4696	21636	 	UV	18379521
1207556	4131	1997-07-06	VYDAJ	PREVOD NA UCET	4696	38860	 	UV	18379521
1207557	4131	1997-08-06	VYDAJ	PREVOD NA UCET	4696	48672	 	UV	18379521
1207558	4131	1997-09-06	VYDAJ	PREVOD NA UCET	4696	58996	 	UV	18379521
1207559	4131	1997-10-06	VYDAJ	PREVOD NA UCET	4696	50786	 	UV	18379521
1207560	4131	1997-11-06	VYDAJ	PREVOD NA UCET	4696	72643	 	UV	18379521
1207561	4131	1997-12-06	VYDAJ	PREVOD NA UCET	4696	45552	 	UV	18379521
1207562	4131	1998-01-06	VYDAJ	PREVOD NA UCET	4696	71232	 	UV	18379521
1207563	4131	1998-02-06	VYDAJ	PREVOD NA UCET	4696	46643	 	UV	18379521
1207564	4131	1998-03-06	VYDAJ	PREVOD NA UCET	4696	44630	 	UV	18379521
1207565	4131	1998-04-06	VYDAJ	PREVOD NA UCET	4696	92208	 	UV	18379521
1207566	4131	1998-05-06	VYDAJ	PREVOD NA UCET	4696	94635	 	UV	18379521
1207567	4131	1998-06-06	VYDAJ	PREVOD NA UCET	4696	63817	 	UV	18379521
1207568	4131	1998-07-06	VYDAJ	PREVOD NA UCET	4696	91999	 	UV	18379521
1207569	4131	1998-08-06	VYDAJ	PREVOD NA UCET	4696	70433	 	UV	18379521
1207570	4131	1998-09-06	VYDAJ	PREVOD NA UCET	4696	62191	 	UV	18379521
1207571	4131	1998-10-06	VYDAJ	PREVOD NA UCET	4696	47119	 	UV	18379521
1207572	4131	1998-11-06	VYDAJ	PREVOD NA UCET	4696	40768	 	UV	18379521
1207573	4131	1998-12-06	VYDAJ	PREVOD NA UCET	4696	53035	 	UV	18379521
1207584	4131	1994-11-10	VYBER	VYBER	15916	56607	\N	\N	\N
1207588	4131	1995-01-19	VYBER	VYBER	3468	35944	\N	\N	\N
1207589	4131	1995-01-13	VYBER	VYBER	9258	20018	\N	\N	\N
1207590	4131	1995-07-14	VYBER	VYBER	19908	46198	\N	\N	\N
1207591	4131	1995-06-21	VYBER	VYBER	7142	31834	\N	\N	\N
1207592	4131	1995-02-25	VYBER	VYBER	7210	31353	\N	\N	\N
1207594	4131	1995-01-30	VYBER	VYBER	6649	19695	\N	\N	\N
1207595	4131	1995-08-04	VYBER	VYBER	16585	52276	\N	\N	\N
1207596	4131	1996-12-21	VYBER	VYBER	3660	46420	\N	\N	\N
1207597	4131	1996-09-22	VYBER	VYBER	22414	35901	\N	\N	\N
1207598	4131	1996-12-29	VYBER	VYBER	5437	40983	\N	\N	\N
1207599	4131	1996-03-23	VYBER	VYBER	9221	56675	\N	\N	\N
1207602	4131	1997-01-06	VYBER	VYBER	2322	27179	\N	\N	\N
1207604	4131	1997-10-14	VYBER	VYBER	22416	27396	\N	\N	\N
1207608	4131	1998-09-19	VYBER	VYBER	8670	99294	\N	\N	\N
1207609	4131	1998-12-29	VYBER	VYBER	3808	80853	\N	\N	\N
1207610	4131	1998-12-06	VYBER	VYBER	12233	57731	\N	\N	\N
1207611	4131	1998-11-03	VYBER	VYBER	17201	45464	\N	\N	\N
1207612	4131	1998-12-20	VYBER	VYBER	10683	84369	\N	\N	\N
1207613	4131	1998-01-06	VYBER	VYBER	8472	75928	\N	\N	\N
1207614	4131	1998-11-23	VYBER	VYBER	2128	71268	\N	\N	\N
1207615	4131	1998-09-02	VYBER	VYBER	9480	42412	\N	\N	\N
1207616	4131	1998-09-30	VYBER	VYBER	23155	51830	\N	\N	\N
1207617	4131	1998-10-20	VYBER	VYBER	7359	53917	\N	\N	\N
1207618	4131	1998-01-24	VYBER	VYBER	6868	74729	\N	\N	\N
1207619	4131	1994-12-20	VYDAJ	VYBER	5400	41929	\N	\N	\N
1207620	4131	1995-12-22	VYDAJ	VYBER	6300	74347	\N	\N	\N
1207621	4131	1996-12-18	VYDAJ	VYBER	5100	50080	\N	\N	\N
1207622	4131	1997-12-20	VYDAJ	VYBER	6300	38278	\N	\N	\N
1207623	4131	1998-12-14	VYDAJ	VYBER	2700	95052	\N	\N	\N
1207630	4131	1995-01-10	VYDAJ	VYBER	5700	31750	\N	\N	\N
1207631	4131	1995-01-22	VYDAJ	VYBER	1800	34144	\N	\N	\N
1207632	4131	1995-01-11	VYDAJ	VYBER	1500	30250	\N	\N	\N
1207633	4131	1995-01-22	VYDAJ	VYBER	3300	30844	\N	\N	\N
1207634	4131	1995-01-15	VYDAJ	VYBER	5400	35096	\N	\N	\N
1207635	4131	1995-01-15	VYDAJ	VYBER	8400	40496	\N	\N	\N
1207636	4131	1996-01-13	VYDAJ	VYBER	8400	30143	\N	\N	\N
1207637	4131	1996-01-30	VYDAJ	VYBER	1500	51796	\N	\N	\N
1207639	4131	1996-01-06	VYDAJ	VYBER	8700	51217	\N	\N	\N
1207640	4131	1996-01-19	VYDAJ	VYBER	2400	22343	\N	\N	\N
1207641	4131	1996-01-14	VYDAJ	VYBER	5400	24743	\N	\N	\N
1207646	4131	1997-01-20	VYDAJ	VYBER	3600	25666	\N	\N	\N
1207648	4131	1998-01-02	VYDAJ	VYBER	5100	84400	\N	\N	\N
1207649	4131	1998-01-08	VYDAJ	VYBER	8400	62832	\N	\N	\N
1207650	4131	1998-01-23	VYDAJ	VYBER	3000	86997	\N	\N	\N
1207651	4131	1998-01-23	VYDAJ	VYBER	5400	81597	\N	\N	\N
1207652	4131	1998-01-14	VYDAJ	VYBER	3000	89997	\N	\N	\N
1207653	4131	1998-01-29	VYDAJ	VYBER	3600	71129	\N	\N	\N
1207661	4131	1995-10-23	VYDAJ	VYBER	13800	74132	\N	\N	\N
1207662	4131	1995-07-15	VYDAJ	VYBER	4500	34598	\N	\N	\N
1207663	4131	1995-06-09	VYDAJ	VYBER	4800	54950	\N	\N	\N
1207664	4131	1995-10-03	VYDAJ	VYBER	12000	77331	\N	\N	\N
1207665	4131	1995-01-24	VYDAJ	VYBER	4500	26344	\N	\N	\N
1207666	4131	1995-08-11	VYDAJ	VYBER	12300	71813	\N	\N	\N
1207667	4131	1996-02-24	VYDAJ	VYBER	13800	43632	\N	\N	\N
1207668	4131	1996-03-06	VYDAJ	VYBER	13800	25364	\N	\N	\N
1207669	4131	1996-10-31	VYDAJ	VYBER	9000	95306	\N	\N	\N
1207670	4131	1996-06-19	VYDAJ	VYBER	2100	34917	\N	\N	\N
1207671	4131	1996-07-31	VYDAJ	VYBER	6600	91502	\N	\N	\N
1207672	4131	1997-09-06	VYDAJ	VYBER	10800	63692	\N	\N	\N
1207675	4131	1997-01-01	VYDAJ	VYBER	13200	28001	\N	\N	\N
1207676	4131	1998-06-24	VYDAJ	VYBER	5100	89609	\N	\N	\N
1207677	4131	1998-03-01	VYDAJ	VYBER	14700	62626	\N	\N	\N
1207678	4131	1998-03-07	VYDAJ	VYBER	3900	40730	\N	\N	\N
1207689	4131	1994-10-31	VYDAJ	VYBER	15	77219	SLUZBY	\N	\N
1207690	4131	1994-11-30	VYDAJ	VYBER	15	56091	SLUZBY	\N	\N
1207691	4131	1994-12-31	VYDAJ	VYBER	15	42146	SLUZBY	\N	\N
1207692	4131	1995-01-31	VYDAJ	VYBER	15	19819	SLUZBY	\N	\N
1207693	4131	1995-02-28	VYDAJ	VYBER	15	31453	SLUZBY	\N	\N
1207694	4131	1995-03-31	VYDAJ	VYBER	15	99920	SLUZBY	\N	\N
1207695	4131	1995-04-30	VYDAJ	VYBER	15	106804	SLUZBY	\N	\N
1207696	4131	1995-05-31	VYDAJ	VYBER	15	64446	SLUZBY	\N	\N
1207697	4131	1995-06-30	VYDAJ	VYBER	15	32013	SLUZBY	\N	\N
1207698	4131	1995-07-31	VYDAJ	VYBER	15	68861	SLUZBY	\N	\N
1207699	4131	1995-08-31	VYDAJ	VYBER	15	102760	SLUZBY	\N	\N
1207700	4131	1995-09-30	VYDAJ	VYBER	15	89331	SLUZBY	\N	\N
1207701	4131	1995-10-31	VYDAJ	VYBER	15	72494	SLUZBY	\N	\N
1207702	4131	1995-11-30	VYDAJ	VYBER	15	56533	SLUZBY	\N	\N
1207703	4131	1995-12-31	VYDAJ	VYBER	15	64613	SLUZBY	\N	\N
1207704	4131	1996-01-31	VYDAJ	VYBER	15	51950	SLUZBY	\N	\N
1207705	4131	1996-02-29	VYDAJ	VYBER	15	43860	SLUZBY	\N	\N
1207706	4131	1996-03-31	VYDAJ	VYBER	15	56874	SLUZBY	\N	\N
1207707	4131	1996-04-30	VYDAJ	VYBER	15	37769	SLUZBY	\N	\N
1207708	4131	1996-05-31	VYDAJ	VYBER	15	29817	SLUZBY	\N	\N
1207709	4131	1996-06-30	VYDAJ	VYBER	15	35053	SLUZBY	\N	\N
1207710	4131	1996-07-31	VYDAJ	VYBER	15	91488	SLUZBY	\N	\N
1207711	4131	1996-08-31	VYDAJ	VYBER	15	100585	SLUZBY	\N	\N
1207712	4131	1996-09-30	VYDAJ	VYBER	15	58114	SLUZBY	\N	\N
1207713	4131	1996-10-31	VYDAJ	VYBER	15	104306	SLUZBY	\N	\N
1207714	4131	1996-11-30	VYDAJ	VYBER	15	85650	SLUZBY	\N	\N
1207715	4131	1996-12-31	VYDAJ	VYBER	15	41201	SLUZBY	\N	\N
1207716	4131	1997-01-31	VYDAJ	VYBER	15	25767	SLUZBY	\N	\N
1207717	4131	1997-02-28	VYDAJ	VYBER	15	16255	SLUZBY	\N	\N
1207718	4131	1997-03-31	VYDAJ	VYBER	15	19351	SLUZBY	\N	\N
1207719	4131	1997-04-30	VYDAJ	VYBER	15	21034	SLUZBY	\N	\N
1207720	4131	1997-05-31	VYDAJ	VYBER	15	20032	SLUZBY	\N	\N
1207721	4131	1997-06-30	VYDAJ	VYBER	15	55156	SLUZBY	\N	\N
1207722	4131	1997-07-31	VYDAJ	VYBER	15	74568	SLUZBY	\N	\N
1207723	4131	1997-08-31	VYDAJ	VYBER	15	98330	SLUZBY	\N	\N
1207724	4131	1997-09-30	VYDAJ	VYBER	15	81982	SLUZBY	\N	\N
1207725	4131	1997-10-31	VYDAJ	VYBER	15	62596	SLUZBY	\N	\N
1207726	4131	1997-11-30	VYDAJ	VYBER	15	71948	SLUZBY	\N	\N
1207727	4131	1997-12-31	VYDAJ	VYBER	15	69894	SLUZBY	\N	\N
1207728	4131	1998-01-31	VYDAJ	VYBER	15	51339	SLUZBY	\N	\N
1207729	4131	1998-02-28	VYDAJ	VYBER	15	77326	SLUZBY	\N	\N
1207730	4131	1998-03-31	VYDAJ	VYBER	15	77678	SLUZBY	\N	\N
1207731	4131	1998-04-30	VYDAJ	VYBER	15	74066	SLUZBY	\N	\N
1207732	4131	1998-05-31	VYDAJ	VYBER	15	68513	SLUZBY	\N	\N
1207733	4131	1998-06-30	VYDAJ	VYBER	15	74320	SLUZBY	\N	\N
1207734	4131	1998-07-31	VYDAJ	VYBER	15	75129	SLUZBY	\N	\N
1207735	4131	1998-08-31	VYDAJ	VYBER	15	115092	SLUZBY	\N	\N
1207736	4131	1998-09-30	VYDAJ	VYBER	15	51815	SLUZBY	\N	\N
1207737	4131	1998-10-31	VYDAJ	VYBER	15	62665	SLUZBY	\N	\N
1207738	4131	1998-11-30	VYDAJ	VYBER	15	69964	SLUZBY	\N	\N
1207739	4131	1994-09-18	VYDAJ	VYBER	14400	42757	\N	\N	\N
1207740	4131	1994-10-15	VYDAJ	VYBER	57800	70751	\N	\N	\N
1207741	4131	1994-10-17	VYDAJ	VYBER	20300	98827	\N	\N	\N
1207742	4131	1994-10-18	VYDAJ	VYBER	39700	91625	\N	\N	\N
1207743	4131	1994-10-18	VYDAJ	VYBER	32500	59125	\N	\N	\N
1207744	4131	1994-11-17	VYDAJ	VYBER	27600	55830	\N	\N	\N
1207745	4131	1994-12-17	VYDAJ	VYBER	24600	47329	\N	\N	\N
1207746	4131	1995-01-16	VYDAJ	VYBER	3400	31696	\N	\N	\N
1207747	4131	1995-02-15	PRIJEM	VKLAD	1400	22394	\N	\N	\N
1207748	4131	1995-03-17	VYDAJ	VYBER	2400	23383	\N	\N	\N
1207749	4131	1995-04-01	VYDAJ	VYBER	23600	87270	\N	\N	\N
1207750	4131	1995-04-07	VYDAJ	VYBER	24500	95322	\N	\N	\N
1207751	4131	1995-04-13	VYDAJ	VYBER	32900	99894	\N	\N	\N
1207752	4131	1995-04-16	VYDAJ	VYBER	48100	61908	\N	\N	\N
1207753	4131	1995-04-16	VYDAJ	VYBER	34300	110008	\N	\N	\N
1207754	4131	1995-04-24	VYDAJ	VYBER	22300	89503	\N	\N	\N
1207755	4131	1995-05-08	VYDAJ	VYBER	27400	124105	\N	\N	\N
1207756	4131	1995-05-12	VYDAJ	VYBER	40300	82831	\N	\N	\N
1207757	4131	1995-05-16	VYDAJ	VYBER	30200	52631	\N	\N	\N
1207758	4131	1995-06-15	VYDAJ	VYBER	15000	38976	\N	\N	\N
1207759	4131	1995-07-15	VYDAJ	VYBER	7100	39098	\N	\N	\N
1207760	4131	1995-08-14	VYDAJ	VYBER	21900	48939	\N	\N	\N
1207761	4131	1995-09-13	VYDAJ	VYBER	36100	60990	\N	\N	\N
1207762	4131	1995-10-13	VYDAJ	VYBER	23800	47861	\N	\N	\N
1207763	4131	1995-10-30	VYDAJ	VYBER	49000	72200	\N	\N	\N
1207764	4131	1995-11-12	VYDAJ	VYBER	30600	56276	\N	\N	\N
1207765	4131	1995-12-12	VYDAJ	VYBER	11800	39063	\N	\N	\N
1207766	4131	1995-12-27	VYDAJ	VYBER	57400	64336	\N	\N	\N
1207767	4131	1996-01-11	VYDAJ	VYBER	11700	39517	\N	\N	\N
1207768	4131	1996-02-10	VYDAJ	VYBER	33900	58406	\N	\N	\N
1207769	4131	1996-03-11	PRIJEM	VKLAD	900	26264	\N	\N	\N
1207770	4131	1996-04-10	VYDAJ	VYBER	13600	38578	\N	\N	\N
1207771	4131	1996-05-10	VYDAJ	VYBER	2400	30673	\N	\N	\N
1207772	4131	1996-06-09	VYDAJ	VYBER	22100	37991	\N	\N	\N
1207773	4131	1996-07-09	VYDAJ	VYBER	5700	24657	\N	\N	\N
1207774	4131	1996-08-08	VYDAJ	VYBER	32200	54592	\N	\N	\N
1207775	4131	1996-09-07	VYDAJ	VYBER	36600	59289	\N	\N	\N
1207776	4131	1996-10-07	VYDAJ	VYBER	10600	42818	\N	\N	\N
1207777	4131	1996-11-06	VYDAJ	VYBER	33500	61806	\N	\N	\N
1207778	4131	1996-11-10	VYDAJ	VYBER	39200	86282	\N	\N	\N
1207779	4131	1996-12-06	VYDAJ	VYBER	24800	56154	\N	\N	\N
1207780	4131	1997-01-05	PRIJEM	VKLAD	1500	29501	\N	\N	\N
1207781	4131	1997-02-04	VYDAJ	VYBER	3900	21867	\N	\N	\N
1207782	4131	1997-03-06	PRIJEM	VKLAD	8700	24955	\N	\N	\N
1207783	4131	1997-04-05	VYDAJ	VYBER	200	26633	\N	\N	\N
1207784	4131	1997-05-05	PRIJEM	VKLAD	4600	25634	\N	\N	\N
1207785	4131	1997-06-04	PRIJEM	VKLAD	6300	26332	\N	\N	\N
1207786	4131	1997-07-04	VYDAJ	VYBER	11600	43556	\N	\N	\N
1207787	4131	1997-08-03	VYDAJ	VYBER	21200	53368	\N	\N	\N
1207788	4131	1997-08-19	VYDAJ	VYBER	27500	97982	\N	\N	\N
1207789	4131	1997-09-02	VYDAJ	VYBER	36400	61930	\N	\N	\N
1207790	4131	1997-10-02	VYDAJ	VYBER	26500	55482	\N	\N	\N
1207791	4131	1997-10-31	VYDAJ	VYBER	46800	62610	\N	\N	\N
1207792	4131	1997-11-01	VYDAJ	VYBER	17400	45196	\N	\N	\N
1207793	4131	1997-12-01	VYDAJ	VYBER	21700	50248	\N	\N	\N
1207794	4131	1997-12-31	VYDAJ	VYBER	40000	69908	\N	\N	\N
1207795	4131	1998-01-30	VYDAJ	VYBER	20100	51029	\N	\N	\N
1207796	4131	1998-03-01	VYDAJ	VYBER	13300	49326	\N	\N	\N
1207797	4131	1998-03-31	VYDAJ	VYBER	22300	55378	\N	\N	\N
1207798	4131	1998-04-08	VYDAJ	VYBER	17600	112167	\N	\N	\N
1207799	4131	1998-04-15	VYDAJ	VYBER	18300	111554	\N	\N	\N
1207800	4131	1998-04-30	VYDAJ	VYBER	37900	74081	\N	\N	\N
1207801	4131	1998-05-30	VYDAJ	VYBER	25500	68161	\N	\N	\N
1207802	4131	1998-06-23	VYDAJ	VYBER	24600	94709	\N	\N	\N
1207803	4131	1998-06-29	VYDAJ	VYBER	22800	74012	\N	\N	\N
1207804	4131	1998-07-11	VYDAJ	VYBER	16500	121851	\N	\N	\N
1207805	4131	1998-07-12	VYDAJ	VYBER	29100	92751	\N	\N	\N
1207806	4131	1998-07-29	VYDAJ	VYBER	29000	74755	\N	\N	\N
1207807	4131	1998-08-21	VYDAJ	VYBER	35500	90826	\N	\N	\N
1207808	4131	1998-08-28	VYDAJ	VYBER	22900	67926	\N	\N	\N
1207809	4131	1998-08-31	VYDAJ	VYBER	63200	51892	\N	\N	\N
1207810	4131	1998-09-27	VYDAJ	VYBER	32100	74626	\N	\N	\N
1207811	4131	1998-10-27	VYDAJ	VYBER	16600	54346	\N	\N	\N
1207812	4131	1998-11-26	VYDAJ	VYBER	29500	69724	\N	\N	\N
1207813	4131	1998-12-26	VYDAJ	VYBER	24000	60369	\N	\N	\N
1207866	4132	1997-10-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1207869	4132	1998-10-15	PRIJEM	VKLAD	3700	36545	\N	\N	\N
1207870	4132	1998-11-16	PRIJEM	VKLAD	40348	79530	\N	\N	\N
1207929	4132	1997-11-01	PRIJEM	VKLAD	10200	11200	\N	\N	\N
1207930	4132	1997-12-01	PRIJEM	VKLAD	9900	21100	\N	\N	\N
1207931	4132	1997-12-31	PRIJEM	VKLAD	6700	27804	\N	\N	\N
1207932	4132	1998-01-30	PRIJEM	VKLAD	1500	29304	\N	\N	\N
1207933	4132	1998-03-01	VYDAJ	VYBER	200	29232	\N	\N	\N
1207934	4132	1998-03-31	PRIJEM	VKLAD	2500	31848	\N	\N	\N
1207935	4132	1998-04-30	PRIJEM	VKLAD	1700	33681	\N	\N	\N
1207936	4132	1998-05-30	PRIJEM	VKLAD	1300	34981	\N	\N	\N
1207937	4132	1998-06-29	VYDAJ	VYBER	1400	33714	\N	\N	\N
1207938	4132	1998-07-29	VYDAJ	VYBER	1000	32847	\N	\N	\N
1207939	4132	1998-08-28	VYDAJ	VYBER	1800	31179	\N	\N	\N
1207940	4132	1998-09-27	PRIJEM	VKLAD	1400	32712	\N	\N	\N
1207941	4132	1998-10-27	PRIJEM	VKLAD	2500	39045	\N	\N	\N
1207942	4132	1998-11-26	VYDAJ	VYBER	24300	55230	\N	\N	\N
1207943	4132	1998-12-26	VYDAJ	VYBER	12700	42704	\N	\N	\N
1208386	4134	1993-03-03	PRIJEM	VKLAD	500	500	\N	\N	\N
1208387	4134	1993-03-18	PRIJEM	VKLAD	40872	50928	\N	\N	\N
1208388	4134	1993-10-24	PRIJEM	VKLAD	44753	149382	\N	\N	\N
1208389	4134	1993-03-09	PRIJEM	VKLAD	9556	10056	\N	\N	\N
1208390	4134	1993-05-10	PRIJEM	VKLAD	29157	78141	\N	\N	\N
1208391	4134	1993-10-19	PRIJEM	VKLAD	15377	104629	\N	\N	\N
1208392	4134	1993-09-02	PRIJEM	VKLAD	47199	76436	\N	\N	\N
1208393	4134	1993-10-04	PRIJEM	VKLAD	48668	74143	\N	\N	\N
1208394	4134	1993-04-02	PRIJEM	VKLAD	40018	98313	\N	\N	\N
1208395	4134	1993-07-26	PRIJEM	VKLAD	12798	53952	\N	\N	\N
1208396	4134	1993-10-06	PRIJEM	VKLAD	21041	95184	\N	\N	\N
1208397	4134	1993-05-09	PRIJEM	VKLAD	11742	54916	\N	\N	\N
1208398	4134	1993-07-04	PRIJEM	VKLAD	9189	34105	\N	\N	\N
1208399	4134	1993-12-15	PRIJEM	VKLAD	18917	32635	\N	\N	\N
1208401	4134	1993-03-29	PRIJEM	VKLAD	7256	58184	\N	\N	\N
1208402	4134	1993-07-13	PRIJEM	VKLAD	12981	41154	\N	\N	\N
1208403	4134	1994-02-12	PRIJEM	VKLAD	35700	51532	\N	\N	\N
1208404	4134	1994-11-28	PRIJEM	VKLAD	12349	68202	\N	\N	\N
1208405	4134	1994-03-07	PRIJEM	VKLAD	13972	52550	\N	\N	\N
1208406	4134	1994-04-15	PRIJEM	VKLAD	22136	104864	\N	\N	\N
1208407	4134	1994-11-17	PRIJEM	VKLAD	15068	56514	\N	\N	\N
1208408	4134	1994-04-18	PRIJEM	VKLAD	14087	118951	\N	\N	\N
1208409	4134	1994-03-15	PRIJEM	VKLAD	6458	97793	\N	\N	\N
1208410	4134	1994-05-22	PRIJEM	VKLAD	16077	89268	\N	\N	\N
1208411	4134	1994-11-08	PRIJEM	VKLAD	19644	47378	\N	\N	\N
1208412	4134	1994-08-09	PRIJEM	VKLAD	47236	79171	\N	\N	\N
1208413	4134	1994-10-19	PRIJEM	VKLAD	7421	33718	\N	\N	\N
1208414	4134	1994-03-15	PRIJEM	VKLAD	48339	91335	\N	\N	\N
1208415	4134	1994-01-04	PRIJEM	VKLAD	27391	56030	\N	\N	\N
1208416	4134	1994-07-22	PRIJEM	VKLAD	48448	129989	\N	\N	\N
1208417	4134	1994-06-25	PRIJEM	VKLAD	31735	57125	\N	\N	\N
1208418	4134	1994-04-20	PRIJEM	VKLAD	27802	109086	\N	\N	\N
1208419	4134	1994-07-07	PRIJEM	VKLAD	28223	70486	\N	\N	\N
1208420	4134	1994-09-15	PRIJEM	VKLAD	16955	39490	\N	\N	\N
1208421	4134	1994-03-18	PRIJEM	VKLAD	27481	125274	\N	\N	\N
1208422	4134	1994-05-03	PRIJEM	VKLAD	27172	79123	\N	\N	\N
1208423	4134	1994-04-01	PRIJEM	VKLAD	46507	92500	\N	\N	\N
1208424	4134	1994-12-05	PRIJEM	VKLAD	37065	127068	\N	\N	\N
1208425	4134	1994-11-23	PRIJEM	VKLAD	33439	89953	\N	\N	\N
1208426	4134	1994-07-17	PRIJEM	VKLAD	35486	81541	\N	\N	\N
1208427	4134	1994-04-15	PRIJEM	VKLAD	28565	82728	\N	\N	\N
1208428	4134	1994-12-08	PRIJEM	VKLAD	30666	110434	\N	\N	\N
1208429	4134	1994-11-29	PRIJEM	VKLAD	21594	89796	\N	\N	\N
1208430	4134	1995-11-21	PRIJEM	VKLAD	15243	40808	\N	\N	\N
1208431	4134	1995-12-28	PRIJEM	VKLAD	23578	47479	\N	\N	\N
1208432	4134	1995-02-07	PRIJEM	VKLAD	39367	62877	\N	\N	\N
1208433	4134	1995-05-16	PRIJEM	VKLAD	30921	94173	\N	\N	\N
1208434	4134	1995-11-12	PRIJEM	VKLAD	17499	40965	\N	\N	\N
1208435	4134	1995-07-12	PRIJEM	VKLAD	32500	87060	\N	\N	\N
1208436	4134	1995-09-28	PRIJEM	VKLAD	17229	46418	\N	\N	\N
1208437	4134	1995-08-06	PRIJEM	VKLAD	34755	78352	\N	\N	\N
1208438	4134	1995-01-20	PRIJEM	VKLAD	34650	51222	\N	\N	\N
1208439	4134	1995-08-11	PRIJEM	VKLAD	30637	103057	\N	\N	\N
1208440	4134	1995-03-19	PRIJEM	VKLAD	34432	69709	\N	\N	\N
1208441	4134	1995-06-14	PRIJEM	VKLAD	45306	97822	\N	\N	\N
1208442	4134	1995-04-26	PRIJEM	VKLAD	46152	74404	\N	\N	\N
1208443	4134	1996-12-05	PRIJEM	VKLAD	7955	34063	\N	\N	\N
1208444	4134	1996-06-16	PRIJEM	VKLAD	47995	81428	\N	\N	\N
1208445	4134	1996-08-31	PRIJEM	VKLAD	45426	70721	\N	\N	\N
1208446	4134	1996-01-13	PRIJEM	VKLAD	18399	42066	\N	\N	\N
1208447	4134	1996-06-13	PRIJEM	VKLAD	32552	46033	\N	\N	\N
1208448	4134	1997-01-13	PRIJEM	VKLAD	26877	51963	\N	\N	\N
1208449	4134	1997-11-22	PRIJEM	VKLAD	10110	69407	\N	\N	\N
1208450	4134	1997-05-11	PRIJEM	VKLAD	47041	87522	\N	\N	\N
1208451	4134	1997-08-02	PRIJEM	VKLAD	22416	66325	\N	\N	\N
1208452	4134	1997-08-07	PRIJEM	VKLAD	30286	96611	\N	\N	\N
1208453	4134	1997-10-08	PRIJEM	VKLAD	29055	56949	\N	\N	\N
1208454	4134	1997-04-20	PRIJEM	VKLAD	21945	51674	\N	\N	\N
1208455	4134	1997-06-08	PRIJEM	VKLAD	16144	72899	\N	\N	\N
1208456	4134	1997-06-24	PRIJEM	VKLAD	15186	69925	\N	\N	\N
1208457	4134	1997-11-11	PRIJEM	VKLAD	40330	59297	\N	\N	\N
1208458	4134	1997-10-30	PRIJEM	VKLAD	7970	38487	\N	\N	\N
1208459	4134	1997-06-21	PRIJEM	VKLAD	21372	68839	\N	\N	\N
1208460	4134	1998-10-18	PRIJEM	VKLAD	13575	19446	\N	\N	\N
1208461	4134	1998-05-30	PRIJEM	VKLAD	44109	82883	\N	\N	\N
1208462	4134	1998-05-25	PRIJEM	VKLAD	15216	38774	\N	\N	\N
1208463	4134	1998-03-31	PRIJEM	VKLAD	14422	41632	\N	\N	\N
1208464	4134	1998-02-02	PRIJEM	VKLAD	22973	43458	\N	\N	\N
1208465	4134	1998-01-06	PRIJEM	VKLAD	38731	69003	\N	\N	\N
1208466	4134	1998-10-31	PRIJEM	VKLAD	12207	31653	\N	\N	\N
1208467	4134	1998-12-10	PRIJEM	VKLAD	35905	58075	\N	\N	\N
1208468	4134	1998-03-31	PRIJEM	VKLAD	23362	64994	\N	\N	\N
1208469	4134	1998-03-14	PRIJEM	VKLAD	15561	27114	\N	\N	\N
1208470	4134	1998-06-29	PRIJEM	VKLAD	13605	69744	\N	\N	\N
1208471	4134	1998-12-02	PRIJEM	VKLAD	47826	73702	\N	\N	\N
1208472	4134	1998-06-08	PRIJEM	VKLAD	34717	62813	\N	\N	\N
1208473	4134	1998-06-23	PRIJEM	VKLAD	19358	56139	\N	\N	\N
1208550	4134	1993-05-09	VYDAJ	PREVOD NA UCET	5932	48984	SIPO	WX	37454885
1208551	4134	1993-06-09	VYDAJ	PREVOD NA UCET	5932	38266	SIPO	WX	37454885
1208552	4134	1993-07-09	VYDAJ	PREVOD NA UCET	5932	28173	SIPO	WX	37454885
1208553	4134	1993-08-09	VYDAJ	PREVOD NA UCET	5932	30998	SIPO	WX	37454885
1208554	4134	1993-09-09	VYDAJ	PREVOD NA UCET	5932	55348	SIPO	WX	37454885
1208555	4134	1993-10-09	VYDAJ	PREVOD NA UCET	5932	89252	SIPO	WX	37454885
1208556	4134	1993-11-09	VYDAJ	PREVOD NA UCET	5932	65783	SIPO	WX	37454885
1208557	4134	1993-12-09	VYDAJ	PREVOD NA UCET	5932	13718	SIPO	WX	37454885
1208558	4134	1994-01-09	VYDAJ	PREVOD NA UCET	5932	22069	SIPO	WX	37454885
1208559	4134	1994-02-09	VYDAJ	PREVOD NA UCET	5932	15832	SIPO	WX	37454885
1208560	4134	1994-03-09	VYDAJ	PREVOD NA UCET	5932	46618	SIPO	WX	37454885
1208561	4134	1994-04-09	VYDAJ	PREVOD NA UCET	5932	86568	SIPO	WX	37454885
1208562	4134	1994-05-09	VYDAJ	PREVOD NA UCET	5932	73191	SIPO	WX	37454885
1208563	4134	1994-06-09	VYDAJ	PREVOD NA UCET	5932	25390	SIPO	WX	37454885
1208564	4134	1994-07-09	VYDAJ	PREVOD NA UCET	5932	64554	SIPO	WX	37454885
1208565	4134	1994-08-09	VYDAJ	PREVOD NA UCET	5932	73239	SIPO	WX	37454885
1208566	4134	1994-09-09	VYDAJ	PREVOD NA UCET	5932	22535	SIPO	WX	37454885
1208567	4134	1994-10-09	VYDAJ	PREVOD NA UCET	5932	26297	SIPO	WX	37454885
1208568	4134	1994-11-09	VYDAJ	PREVOD NA UCET	5932	41446	SIPO	WX	37454885
1208569	4134	1994-12-09	VYDAJ	PREVOD NA UCET	5932	46402	SIPO	WX	37454885
1208570	4134	1995-01-09	VYDAJ	PREVOD NA UCET	5932	16572	SIPO	WX	37454885
1208571	4134	1995-02-09	VYDAJ	PREVOD NA UCET	5932	56945	SIPO	WX	37454885
1208572	4134	1995-03-09	VYDAJ	PREVOD NA UCET	5932	35277	SIPO	WX	37454885
1208573	4134	1995-04-09	VYDAJ	PREVOD NA UCET	5932	37652	SIPO	WX	37454885
1208574	4134	1995-05-09	VYDAJ	PREVOD NA UCET	5932	63252	SIPO	WX	37454885
1208575	4134	1995-06-09	VYDAJ	PREVOD NA UCET	5932	52516	SIPO	WX	37454885
1208576	4134	1995-07-09	VYDAJ	PREVOD NA UCET	5932	54560	SIPO	WX	37454885
1208577	4134	1995-08-09	VYDAJ	PREVOD NA UCET	5932	72420	SIPO	WX	37454885
1208578	4134	1995-09-09	VYDAJ	PREVOD NA UCET	5932	49589	SIPO	WX	37454885
1208579	4134	1995-10-09	VYDAJ	PREVOD NA UCET	5932	40649	SIPO	WX	37454885
1208580	4134	1995-11-09	VYDAJ	PREVOD NA UCET	5932	23466	SIPO	WX	37454885
1208581	4134	1995-12-09	VYDAJ	PREVOD NA UCET	5932	30801	SIPO	WX	37454885
1208582	4134	1996-01-09	VYDAJ	PREVOD NA UCET	5932	23667	SIPO	WX	37454885
1208583	4134	1996-02-09	VYDAJ	PREVOD NA UCET	5932	19141	SIPO	WX	37454885
1208584	4134	1996-03-09	VYDAJ	PREVOD NA UCET	5932	16292	SIPO	WX	37454885
1208585	4134	1996-04-09	VYDAJ	PREVOD NA UCET	5932	11226	SIPO	WX	37454885
1208586	4134	1996-05-09	VYDAJ	PREVOD NA UCET	5932	12052	SIPO	WX	37454885
1208587	4134	1996-06-09	VYDAJ	PREVOD NA UCET	5932	13481	SIPO	WX	37454885
1208588	4134	1996-07-09	VYDAJ	PREVOD NA UCET	5932	54515	SIPO	WX	37454885
1208589	4134	1996-08-09	VYDAJ	PREVOD NA UCET	5932	34390	SIPO	WX	37454885
1208590	4134	1996-09-09	VYDAJ	PREVOD NA UCET	5932	44998	SIPO	WX	37454885
1208591	4134	1996-10-09	VYDAJ	PREVOD NA UCET	5932	20644	SIPO	WX	37454885
1208592	4134	1996-11-09	VYDAJ	PREVOD NA UCET	5932	22912	SIPO	WX	37454885
1208593	4134	1996-12-09	VYDAJ	PREVOD NA UCET	5932	22131	SIPO	WX	37454885
1208594	4134	1997-01-09	VYDAJ	PREVOD NA UCET	5932	19186	SIPO	WX	37454885
1208595	4134	1997-02-09	VYDAJ	PREVOD NA UCET	5932	28462	SIPO	WX	37454885
1208596	4134	1997-03-09	VYDAJ	PREVOD NA UCET	5932	27052	SIPO	WX	37454885
1208597	4134	1997-04-09	VYDAJ	PREVOD NA UCET	5932	23229	SIPO	WX	37454885
1208598	4134	1997-05-09	VYDAJ	PREVOD NA UCET	5932	40481	SIPO	WX	37454885
1208599	4134	1997-06-09	VYDAJ	PREVOD NA UCET	5932	66967	SIPO	WX	37454885
1208600	4134	1997-07-09	VYDAJ	PREVOD NA UCET	5932	64213	SIPO	WX	37454885
1208601	4134	1997-08-09	VYDAJ	PREVOD NA UCET	5932	52179	SIPO	WX	37454885
1208602	4134	1997-09-09	VYDAJ	PREVOD NA UCET	5932	27769	SIPO	WX	37454885
1208603	4134	1997-10-09	VYDAJ	PREVOD NA UCET	5932	30517	SIPO	WX	37454885
1208604	4134	1997-11-09	VYDAJ	PREVOD NA UCET	5932	18967	SIPO	WX	37454885
1208605	4134	1997-12-09	VYDAJ	PREVOD NA UCET	5932	32224	SIPO	WX	37454885
1208606	4134	1998-01-09	VYDAJ	PREVOD NA UCET	5932	20407	SIPO	WX	37454885
1208607	4134	1998-02-09	VYDAJ	PREVOD NA UCET	5932	17426	SIPO	WX	37454885
1208608	4134	1998-03-09	VYDAJ	PREVOD NA UCET	5932	11553	SIPO	WX	37454885
1208609	4134	1998-04-09	VYDAJ	PREVOD NA UCET	5932	29347	SIPO	WX	37454885
1208610	4134	1998-05-09	VYDAJ	PREVOD NA UCET	5932	23558	SIPO	WX	37454885
1208611	4134	1998-06-09	VYDAJ	PREVOD NA UCET	5932	56881	SIPO	WX	37454885
1208612	4134	1998-07-09	VYDAJ	PREVOD NA UCET	5932	23410	SIPO	WX	37454885
1208613	4134	1998-08-09	VYDAJ	PREVOD NA UCET	5932	17605	SIPO	WX	37454885
1208614	4134	1998-09-09	VYDAJ	PREVOD NA UCET	5932	11750	SIPO	WX	37454885
1208615	4134	1998-10-09	VYDAJ	PREVOD NA UCET	5932	5871	SIPO	WX	37454885
1208616	4134	1998-11-09	VYDAJ	PREVOD NA UCET	5932	25766	SIPO	WX	37454885
1208617	4134	1998-12-09	VYDAJ	PREVOD NA UCET	5932	22170	SIPO	WX	37454885
1208619	4134	1993-09-12	VYBER	VYBER	11032	44316	\N	\N	\N
1208620	4134	1993-12-04	VYBER	VYBER	21310	22350	\N	\N	\N
1208621	4134	1993-08-06	VYBER	VYBER	3674	36930	\N	\N	\N
1208622	4134	1993-09-08	VYBER	VYBER	15156	61280	\N	\N	\N
1208623	4134	1993-06-02	VYBER	VYBER	5931	44198	\N	\N	\N
1208624	4134	1993-11-26	VYBER	VYBER	2286	63497	\N	\N	\N
1208625	4134	1993-11-02	VYBER	VYBER	5430	71715	\N	\N	\N
1208626	4134	1994-09-04	VYBER	VYBER	20290	28467	\N	\N	\N
1208627	4134	1994-01-08	VYBER	VYBER	22893	30437	\N	\N	\N
1208628	4134	1994-04-10	VYBER	VYBER	23974	62594	\N	\N	\N
1208629	4134	1994-07-15	VYBER	VYBER	5118	46055	\N	\N	\N
1208630	4134	1994-03-13	VYBER	VYBER	3622	42996	\N	\N	\N
1208631	4134	1994-06-08	VYBER	VYBER	20605	31322	\N	\N	\N
1208635	4134	1994-04-12	VYBER	VYBER	8431	54163	\N	\N	\N
1208636	4134	1994-04-19	VYBER	VYBER	3467	81284	\N	\N	\N
1208637	4134	1994-01-09	VYBER	VYBER	2436	28001	\N	\N	\N
1208639	4134	1994-07-13	VYBER	VYBER	13381	51173	\N	\N	\N
1208640	4134	1995-07-30	VYBER	VYBER	6715	43345	\N	\N	\N
1208642	4134	1996-08-13	VYBER	VYBER	5324	24495	\N	\N	\N
1208645	4134	1996-08-12	VYBER	VYBER	4571	29819	\N	\N	\N
1208647	4134	1996-08-31	VYBER	VYBER	19909	50944	\N	\N	\N
1208654	4134	1996-07-03	VYBER	VYBER	21185	60447	\N	\N	\N
1208657	4134	1997-12-06	VYBER	VYBER	4957	64656	\N	\N	\N
1208660	4134	1998-06-02	VYBER	VYBER	19811	63196	\N	\N	\N
1208662	4134	1998-01-06	VYBER	VYBER	2464	66539	\N	\N	\N
1208669	4134	1998-12-20	VYBER	VYBER	4153	37122	\N	\N	\N
1208675	4134	1998-06-14	VYDAJ	VYBER	20100	36781	\N	\N	\N
1208681	4134	1998-01-08	VYDAJ	VYBER	7500	26339	\N	\N	\N
1208682	4134	1993-12-05	VYDAJ	VYBER	2700	19650	\N	\N	\N
1208683	4134	1994-12-26	VYDAJ	VYBER	7800	25302	\N	\N	\N
1208684	4134	1995-12-29	VYDAJ	VYBER	8400	39079	\N	\N	\N
1208685	4134	1996-12-08	VYDAJ	VYBER	6000	28063	\N	\N	\N
1208687	4134	1998-12-30	VYDAJ	VYBER	7500	29622	\N	\N	\N
1208694	4134	1994-01-05	VYDAJ	VYBER	2700	53330	\N	\N	\N
1208696	4134	1994-01-28	VYDAJ	VYBER	2100	21669	\N	\N	\N
1208700	4134	1995-01-24	VYDAJ	VYBER	5100	30022	\N	\N	\N
1208702	4134	1995-01-26	VYDAJ	VYBER	6600	23422	\N	\N	\N
1208704	4134	1995-01-07	VYDAJ	VYBER	3000	22504	\N	\N	\N
1208705	4134	1995-01-20	VYDAJ	VYBER	7500	43722	\N	\N	\N
1208706	4134	1996-01-17	VYDAJ	VYBER	6600	35466	\N	\N	\N
1208709	4134	1996-01-04	VYDAJ	VYBER	4800	34399	\N	\N	\N
1208710	4134	1996-01-05	VYDAJ	VYBER	4800	29599	\N	\N	\N
1208712	4134	1997-01-22	VYDAJ	VYBER	6900	36063	\N	\N	\N
1208713	4134	1997-01-14	VYDAJ	VYBER	3000	48963	\N	\N	\N
1208715	4134	1997-01-29	VYDAJ	VYBER	1800	34263	\N	\N	\N
1208716	4134	1997-01-14	VYDAJ	VYBER	6000	42963	\N	\N	\N
1208721	4134	1998-01-06	VYDAJ	VYBER	6000	33839	\N	\N	\N
1208723	4134	1998-01-02	VYDAJ	VYBER	2100	30272	\N	\N	\N
1208725	4134	1993-06-15	VYDAJ	VYBER	2400	35866	\N	\N	\N
1208726	4134	1993-09-30	VYDAJ	VYBER	9300	25490	\N	\N	\N
1208728	4134	1993-07-02	VYDAJ	VYBER	6000	24916	\N	\N	\N
1208729	4134	1993-05-27	VYDAJ	VYBER	6900	71241	\N	\N	\N
1208731	4134	1994-08-16	VYDAJ	VYBER	4500	68739	\N	\N	\N
1208732	4134	1994-07-28	VYDAJ	VYBER	13200	31689	\N	\N	\N
1208733	4134	1994-05-23	VYDAJ	VYBER	10500	78768	\N	\N	\N
1208734	4134	1995-08-19	VYDAJ	VYBER	7200	95857	\N	\N	\N
1208735	4134	1995-12-04	VYDAJ	VYBER	4200	36733	\N	\N	\N
1208736	4134	1995-11-14	VYDAJ	VYBER	11400	29565	\N	\N	\N
1208737	4134	1995-09-10	VYDAJ	VYBER	7200	42389	\N	\N	\N
1208738	4134	1995-05-03	VYDAJ	VYBER	2700	71884	\N	\N	\N
1208739	4134	1995-05-04	VYDAJ	VYBER	2700	69184	\N	\N	\N
1208745	4134	1996-09-21	VYDAJ	VYBER	10200	26398	\N	\N	\N
1208749	4134	1997-06-22	VYDAJ	VYBER	14100	54739	\N	\N	\N
1208752	4134	1997-05-17	VYDAJ	VYBER	2100	56522	\N	\N	\N
1208753	4134	1997-05-03	VYDAJ	VYBER	5400	46413	\N	\N	\N
1208754	4134	1998-12-19	VYDAJ	VYBER	8700	41275	\N	\N	\N
1208757	4134	1998-12-14	VYDAJ	VYBER	8100	49975	\N	\N	\N
1208763	4134	1993-05-31	VYDAJ	VYBER	15	71529	SLUZBY	\N	\N
1208764	4134	1993-06-30	VYDAJ	VYBER	15	36016	SLUZBY	\N	\N
1208765	4134	1993-07-31	VYDAJ	VYBER	15	54104	SLUZBY	\N	\N
1208766	4134	1993-08-31	VYDAJ	VYBER	15	29237	SLUZBY	\N	\N
1208767	4134	1993-09-30	VYDAJ	VYBER	15	25475	SLUZBY	\N	\N
1208768	4134	1993-10-31	VYDAJ	VYBER	15	77145	SLUZBY	\N	\N
1208769	4134	1993-11-30	VYDAJ	VYBER	15	43660	SLUZBY	\N	\N
1208770	4134	1993-12-31	VYDAJ	VYBER	15	28639	SLUZBY	\N	\N
1208771	4134	1994-01-31	VYDAJ	VYBER	15	21764	SLUZBY	\N	\N
1208772	4134	1994-02-28	VYDAJ	VYBER	15	38578	SLUZBY	\N	\N
1208773	4134	1994-03-31	VYDAJ	VYBER	15	45993	SLUZBY	\N	\N
1208774	4134	1994-04-30	VYDAJ	VYBER	15	51951	SLUZBY	\N	\N
1208775	4134	1994-05-31	VYDAJ	VYBER	15	51927	SLUZBY	\N	\N
1208776	4134	1994-06-30	VYDAJ	VYBER	15	42263	SLUZBY	\N	\N
1208777	4134	1994-07-31	VYDAJ	VYBER	15	31935	SLUZBY	\N	\N
1208778	4134	1994-08-31	VYDAJ	VYBER	15	48757	SLUZBY	\N	\N
1208779	4134	1994-09-30	VYDAJ	VYBER	15	32229	SLUZBY	\N	\N
1208780	4134	1994-10-31	VYDAJ	VYBER	15	27734	SLUZBY	\N	\N
1208781	4134	1994-11-30	VYDAJ	VYBER	15	90003	SLUZBY	\N	\N
1208782	4134	1994-12-31	VYDAJ	VYBER	15	25504	SLUZBY	\N	\N
1208783	4134	1995-01-31	VYDAJ	VYBER	15	23510	SLUZBY	\N	\N
1208784	4134	1995-02-28	VYDAJ	VYBER	15	41209	SLUZBY	\N	\N
1208785	4134	1995-03-31	VYDAJ	VYBER	15	43584	SLUZBY	\N	\N
1208786	4134	1995-04-30	VYDAJ	VYBER	15	74584	SLUZBY	\N	\N
1208787	4134	1995-05-31	VYDAJ	VYBER	15	58448	SLUZBY	\N	\N
1208788	4134	1995-06-30	VYDAJ	VYBER	15	60492	SLUZBY	\N	\N
1208789	4134	1995-07-31	VYDAJ	VYBER	15	43597	SLUZBY	\N	\N
1208790	4134	1995-08-31	VYDAJ	VYBER	15	55521	SLUZBY	\N	\N
1208791	4134	1995-09-30	VYDAJ	VYBER	15	46581	SLUZBY	\N	\N
1208792	4134	1995-10-31	VYDAJ	VYBER	15	29398	SLUZBY	\N	\N
1208793	4134	1995-11-30	VYDAJ	VYBER	15	40933	SLUZBY	\N	\N
1208794	4134	1995-12-31	VYDAJ	VYBER	15	39199	SLUZBY	\N	\N
1208795	4134	1996-01-31	VYDAJ	VYBER	15	25073	SLUZBY	\N	\N
1208796	4134	1996-02-29	VYDAJ	VYBER	15	22224	SLUZBY	\N	\N
1208797	4134	1996-03-31	VYDAJ	VYBER	15	17158	SLUZBY	\N	\N
1208798	4134	1996-04-30	VYDAJ	VYBER	15	17984	SLUZBY	\N	\N
1208799	4134	1996-05-31	VYDAJ	VYBER	15	19413	SLUZBY	\N	\N
1208800	4134	1996-06-30	VYDAJ	VYBER	15	81632	SLUZBY	\N	\N
1208801	4134	1996-07-31	VYDAJ	VYBER	15	40322	SLUZBY	\N	\N
1208802	4134	1996-08-31	VYDAJ	VYBER	15	50930	SLUZBY	\N	\N
1208803	4134	1996-09-30	VYDAJ	VYBER	15	26576	SLUZBY	\N	\N
1208804	4134	1996-10-31	VYDAJ	VYBER	15	28844	SLUZBY	\N	\N
1208805	4134	1996-11-30	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
1208806	4134	1996-12-31	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
1208807	4134	1997-01-31	VYDAJ	VYBER	15	34394	SLUZBY	\N	\N
1208808	4134	1997-02-28	VYDAJ	VYBER	15	32984	SLUZBY	\N	\N
1208809	4134	1997-03-31	VYDAJ	VYBER	15	29161	SLUZBY	\N	\N
1208810	4134	1997-04-30	VYDAJ	VYBER	15	51813	SLUZBY	\N	\N
1208811	4134	1997-05-31	VYDAJ	VYBER	15	56755	SLUZBY	\N	\N
1208812	4134	1997-06-30	VYDAJ	VYBER	15	70145	SLUZBY	\N	\N
1208813	4134	1997-07-31	VYDAJ	VYBER	15	43909	SLUZBY	\N	\N
1208814	4134	1997-08-31	VYDAJ	VYBER	15	52401	SLUZBY	\N	\N
1208815	4134	1997-09-30	VYDAJ	VYBER	15	27894	SLUZBY	\N	\N
1208816	4134	1997-10-31	VYDAJ	VYBER	15	38599	SLUZBY	\N	\N
1208817	4134	1997-11-30	VYDAJ	VYBER	15	69613	SLUZBY	\N	\N
1208818	4134	1997-12-31	VYDAJ	VYBER	15	32372	SLUZBY	\N	\N
1208819	4134	1998-01-31	VYDAJ	VYBER	15	20485	SLUZBY	\N	\N
1208820	4134	1998-02-28	VYDAJ	VYBER	15	17485	SLUZBY	\N	\N
1208821	4134	1998-03-31	VYDAJ	VYBER	15	64979	SLUZBY	\N	\N
1208822	4134	1998-04-30	VYDAJ	VYBER	15	29490	SLUZBY	\N	\N
1208823	4134	1998-05-31	VYDAJ	VYBER	15	83007	SLUZBY	\N	\N
1208824	4134	1998-06-30	VYDAJ	VYBER	15	69942	SLUZBY	\N	\N
1208825	4134	1998-07-31	VYDAJ	VYBER	15	23537	SLUZBY	\N	\N
1208826	4134	1998-08-31	VYDAJ	VYBER	15	17682	SLUZBY	\N	\N
1208827	4134	1998-09-30	VYDAJ	VYBER	15	11803	SLUZBY	\N	\N
1208828	4134	1998-10-31	VYDAJ	VYBER	15	31698	SLUZBY	\N	\N
1208829	4134	1998-11-30	VYDAJ	VYBER	15	25876	SLUZBY	\N	\N
1208830	4134	1993-04-02	VYDAJ	VYBER	35400	62913	\N	\N	\N
1208831	4134	1993-05-02	VYDAJ	VYBER	20000	43174	\N	\N	\N
1208832	4134	1993-06-01	VYDAJ	VYBER	21400	50129	\N	\N	\N
1208833	4134	1993-07-01	VYDAJ	VYBER	5100	30916	\N	\N	\N
1208834	4134	1993-07-31	VYDAJ	VYBER	13500	40604	\N	\N	\N
1208835	4134	1993-08-30	VYDAJ	VYBER	1900	29098	\N	\N	\N
1208836	4134	1993-09-29	VYDAJ	VYBER	9700	34616	\N	\N	\N
1208837	4134	1993-10-24	VYDAJ	VYBER	22000	127382	\N	\N	\N
1208838	4134	1993-10-29	VYDAJ	VYBER	50600	76782	\N	\N	\N
1208839	4134	1993-11-28	VYDAJ	VYBER	20100	43397	\N	\N	\N
1208840	4134	1993-12-28	VYDAJ	VYBER	4100	28535	\N	\N	\N
1208841	4134	1994-01-27	PRIJEM	VKLAD	1700	23769	\N	\N	\N
1208842	4134	1994-02-26	VYDAJ	VYBER	13100	38432	\N	\N	\N
1208843	4134	1994-03-18	VYDAJ	VYBER	57700	67574	\N	\N	\N
1208844	4134	1994-03-28	VYDAJ	VYBER	21800	45774	\N	\N	\N
1208845	4134	1994-04-18	VYDAJ	VYBER	34200	84751	\N	\N	\N
1208846	4134	1994-04-20	VYDAJ	VYBER	30400	78686	\N	\N	\N
1208847	4134	1994-04-27	VYDAJ	VYBER	27000	51686	\N	\N	\N
1208848	4134	1994-05-27	VYDAJ	VYBER	27100	51668	\N	\N	\N
1208849	4134	1994-06-26	VYDAJ	VYBER	15000	42125	\N	\N	\N
1208850	4134	1994-07-22	VYDAJ	VYBER	64200	65789	\N	\N	\N
1208851	4134	1994-07-26	VYDAJ	VYBER	20900	44889	\N	\N	\N
1208852	4134	1994-08-25	VYDAJ	VYBER	20200	48539	\N	\N	\N
1208853	4134	1994-09-24	VYDAJ	VYBER	7400	32090	\N	\N	\N
1208854	4134	1994-10-24	VYDAJ	VYBER	6100	27618	\N	\N	\N
1208855	4134	1994-11-23	VYDAJ	VYBER	34100	55853	\N	\N	\N
1208856	4134	1994-12-05	VYDAJ	VYBER	47300	79768	\N	\N	\N
1208857	4134	1994-12-09	VYDAJ	VYBER	58100	52334	\N	\N	\N
1208858	4134	1994-12-23	VYDAJ	VYBER	13300	33102	\N	\N	\N
1208859	4134	1995-01-22	VYDAJ	VYBER	8600	35122	\N	\N	\N
1208860	4134	1995-02-21	VYDAJ	VYBER	15900	41045	\N	\N	\N
1208861	4134	1995-03-23	VYDAJ	VYBER	26300	43409	\N	\N	\N
1208862	4134	1995-04-22	VYDAJ	VYBER	9400	28252	\N	\N	\N
1208863	4134	1995-05-22	VYDAJ	VYBER	36000	58173	\N	\N	\N
1208864	4134	1995-06-21	VYDAJ	VYBER	37600	60222	\N	\N	\N
1208865	4134	1995-07-21	VYDAJ	VYBER	37000	50060	\N	\N	\N
1208866	4134	1995-08-20	VYDAJ	VYBER	40600	55257	\N	\N	\N
1208867	4134	1995-09-19	VYDAJ	VYBER	13200	29189	\N	\N	\N
1208868	4134	1995-10-19	VYDAJ	VYBER	11400	29249	\N	\N	\N
1208869	4134	1995-11-18	VYDAJ	VYBER	4000	25565	\N	\N	\N
1208870	4134	1995-12-18	VYDAJ	VYBER	6900	23901	\N	\N	\N
1208871	4134	1996-01-17	VYDAJ	VYBER	10500	24966	\N	\N	\N
1208872	4134	1996-02-16	PRIJEM	VKLAD	3000	22141	\N	\N	\N
1208873	4134	1996-03-17	PRIJEM	VKLAD	800	17092	\N	\N	\N
1208874	4134	1996-04-16	PRIJEM	VKLAD	6700	17926	\N	\N	\N
1208875	4134	1996-05-16	PRIJEM	VKLAD	7300	19352	\N	\N	\N
1208876	4134	1996-06-15	VYDAJ	VYBER	12600	33433	\N	\N	\N
1208877	4134	1996-07-15	VYDAJ	VYBER	14400	40115	\N	\N	\N
1208878	4134	1996-08-14	PRIJEM	VKLAD	800	25295	\N	\N	\N
1208879	4134	1996-09-13	VYDAJ	VYBER	8400	36598	\N	\N	\N
1208880	4134	1996-10-13	PRIJEM	VKLAD	8100	28744	\N	\N	\N
1208881	4134	1996-11-12	PRIJEM	VKLAD	3100	26012	\N	\N	\N
1208882	4134	1996-12-12	PRIJEM	VKLAD	2900	25031	\N	\N	\N
1208883	4134	1997-01-11	PRIJEM	VKLAD	5900	25086	\N	\N	\N
1208884	4134	1997-02-10	PRIJEM	VKLAD	4400	32862	\N	\N	\N
1208885	4134	1997-03-12	PRIJEM	VKLAD	2000	29052	\N	\N	\N
1208886	4134	1997-04-11	PRIJEM	VKLAD	6500	29729	\N	\N	\N
1208887	4134	1997-05-11	VYDAJ	VYBER	28900	58622	\N	\N	\N
1208888	4134	1997-06-10	VYDAJ	VYBER	19500	47467	\N	\N	\N
1208889	4134	1997-07-10	VYDAJ	VYBER	20500	43713	\N	\N	\N
1208890	4134	1997-08-09	VYDAJ	VYBER	38500	58111	\N	\N	\N
1208891	4134	1997-09-08	VYDAJ	VYBER	18700	33701	\N	\N	\N
1208892	4134	1997-10-08	VYDAJ	VYBER	20500	36449	\N	\N	\N
1208893	4134	1997-11-07	VYDAJ	VYBER	13700	24899	\N	\N	\N
1208894	4134	1997-12-07	VYDAJ	VYBER	26500	38156	\N	\N	\N
1208895	4134	1998-01-06	VYDAJ	VYBER	26700	39839	\N	\N	\N
1208896	4134	1998-02-05	VYDAJ	VYBER	20100	23358	\N	\N	\N
1208897	4134	1998-04-06	VYDAJ	VYBER	29700	35279	\N	\N	\N
1208898	4134	1998-06-05	VYDAJ	VYBER	35100	28096	\N	\N	\N
1208899	4134	1998-07-05	VYDAJ	VYBER	40600	29342	\N	\N	\N
1208900	4134	1998-12-02	VYDAJ	VYBER	45600	28102	\N	\N	\N
1210352	4140	1997-12-05	PRIJEM	VKLAD	800	800	\N	\N	\N
1210364	4140	1997-12-08	PRIJEM	VKLAD	31589	32389	\N	\N	\N
1210365	4140	1998-01-08	PRIJEM	VKLAD	21059	46652	\N	\N	\N
1210366	4140	1998-02-08	PRIJEM	VKLAD	21059	54592	\N	\N	\N
1210367	4140	1998-03-08	PRIJEM	VKLAD	21059	55870	\N	\N	\N
1210368	4140	1998-04-08	PRIJEM	VKLAD	21059	55961	\N	\N	\N
1210369	4140	1998-05-08	PRIJEM	VKLAD	21059	53338	\N	\N	\N
1210370	4140	1998-06-08	PRIJEM	VKLAD	31589	57337	\N	\N	\N
1210371	4140	1998-07-08	PRIJEM	VKLAD	21059	27533	\N	\N	\N
1210372	4140	1998-08-08	PRIJEM	VKLAD	21059	35851	\N	\N	\N
1210373	4140	1998-09-08	PRIJEM	VKLAD	21059	44470	\N	\N	\N
1210374	4140	1998-10-08	PRIJEM	VKLAD	21059	47090	\N	\N	\N
1210375	4140	1998-11-08	PRIJEM	VKLAD	21059	44038	\N	\N	\N
1210376	4140	1998-12-08	PRIJEM	VKLAD	31589	48847	\N	\N	\N
1210378	4140	1998-06-25	VYDAJ	VYBER	47840	9497	\N	\N	\N
1210380	4140	1998-12-04	VYDAJ	VYBER	960	17258	\N	\N	\N
1210400	4140	1998-10-29	VYDAJ	VYBER	840	41210	\N	\N	\N
1210401	4140	1998-07-09	VYDAJ	VYBER	1080	26453	\N	\N	\N
1210402	4140	1998-06-07	VYDAJ	VYBER	1200	25749	\N	\N	\N
1210404	4140	1998-08-31	VYDAJ	VYBER	2160	33826	\N	\N	\N
1210405	4140	1998-10-22	VYDAJ	VYBER	5040	42050	\N	\N	\N
1210406	4140	1998-07-09	VYDAJ	VYBER	5640	20813	\N	\N	\N
1210423	4140	1998-04-30	VYDAJ	VYBER	15	56179	SLUZBY	\N	\N
1210424	4140	1998-05-31	VYDAJ	VYBER	15	53549	SLUZBY	\N	\N
1210425	4140	1998-06-30	VYDAJ	VYBER	15	9674	SLUZBY	\N	\N
1210426	4140	1998-07-31	VYDAJ	VYBER	15	20892	SLUZBY	\N	\N
1210427	4140	1998-08-31	VYDAJ	VYBER	15	33811	SLUZBY	\N	\N
1210428	4140	1998-09-30	VYDAJ	VYBER	15	44631	SLUZBY	\N	\N
1210429	4140	1998-10-31	VYDAJ	VYBER	15	22979	SLUZBY	\N	\N
1210430	4140	1998-11-30	VYDAJ	VYBER	15	44118	SLUZBY	\N	\N
1210431	4140	1998-01-04	VYDAJ	VYBER	6900	25593	\N	\N	\N
1210432	4140	1998-02-03	VYDAJ	VYBER	13300	33533	\N	\N	\N
1210433	4140	1998-03-05	VYDAJ	VYBER	20000	34811	\N	\N	\N
1210434	4140	1998-04-04	VYDAJ	VYBER	21200	34902	\N	\N	\N
1210435	4140	1998-05-04	VYDAJ	VYBER	23900	32279	\N	\N	\N
1210436	4140	1998-06-03	VYDAJ	VYBER	26600	26949	\N	\N	\N
1210437	4140	1998-07-03	VYDAJ	VYBER	3200	6474	\N	\N	\N
1210438	4140	1998-08-02	VYDAJ	VYBER	6100	14792	\N	\N	\N
1210439	4140	1998-09-01	VYDAJ	VYBER	10400	23411	\N	\N	\N
1210440	4140	1998-10-01	VYDAJ	VYBER	18600	26031	\N	\N	\N
1210441	4140	1998-10-31	VYDAJ	VYBER	18400	22994	\N	\N	\N
1210442	4140	1998-11-30	VYDAJ	VYBER	25900	18218	\N	\N	\N
1210934	4143	1997-10-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1210944	4143	1997-10-09	PRIJEM	VKLAD	21529	22529	\N	\N	\N
1210945	4143	1997-11-09	PRIJEM	VKLAD	21529	45428	\N	\N	\N
1210946	4143	1997-12-09	PRIJEM	VKLAD	32294	69386	\N	\N	\N
1210947	4143	1998-01-09	PRIJEM	VKLAD	21529	68978	\N	\N	\N
1210948	4143	1998-02-09	PRIJEM	VKLAD	21529	67895	\N	\N	\N
1210949	4143	1998-03-09	PRIJEM	VKLAD	21529	70190	\N	\N	\N
1210950	4143	1998-04-09	PRIJEM	VKLAD	21529	75294	\N	\N	\N
1210951	4143	1998-05-09	PRIJEM	VKLAD	21529	72815	\N	\N	\N
1210952	4143	1998-06-09	PRIJEM	VKLAD	32294	82496	\N	\N	\N
1210953	4143	1998-07-09	PRIJEM	VKLAD	21529	75342	\N	\N	\N
1210954	4143	1998-08-09	PRIJEM	VKLAD	21529	64168	\N	\N	\N
1210955	4143	1998-09-09	PRIJEM	VKLAD	21529	62159	\N	\N	\N
1210956	4143	1998-10-09	PRIJEM	VKLAD	21529	65035	\N	\N	\N
1210957	4143	1998-11-09	PRIJEM	VKLAD	21529	67812	\N	\N	\N
1210958	4143	1998-12-09	PRIJEM	VKLAD	32294	78066	\N	\N	\N
1210984	4143	1998-12-03	VYDAJ	VYBER	1500	45772	\N	\N	\N
1211004	4143	1998-10-23	VYDAJ	VYBER	4300	60735	\N	\N	\N
1211005	4143	1998-02-10	VYDAJ	VYBER	1000	66895	\N	\N	\N
1211006	4143	1998-05-24	VYDAJ	VYBER	1100	71715	\N	\N	\N
1211007	4143	1998-07-10	VYDAJ	VYBER	3300	72042	\N	\N	\N
1211008	4143	1998-04-27	VYDAJ	VYBER	3600	71694	\N	\N	\N
1211024	4143	1998-02-28	VYDAJ	VYBER	15	67161	SLUZBY	\N	\N
1211025	4143	1998-03-31	VYDAJ	VYBER	15	70465	SLUZBY	\N	\N
1211026	4143	1998-04-30	VYDAJ	VYBER	15	71986	SLUZBY	\N	\N
1211027	4143	1998-05-31	VYDAJ	VYBER	15	72002	SLUZBY	\N	\N
1211028	4143	1998-06-30	VYDAJ	VYBER	15	82813	SLUZBY	\N	\N
1211029	4143	1998-07-31	VYDAJ	VYBER	15	72339	SLUZBY	\N	\N
1211030	4143	1998-08-31	VYDAJ	VYBER	15	64430	SLUZBY	\N	\N
1211031	4143	1998-09-30	VYDAJ	VYBER	15	62406	SLUZBY	\N	\N
1211032	4143	1998-10-31	VYDAJ	VYBER	15	60983	SLUZBY	\N	\N
1211033	4143	1998-11-30	VYDAJ	VYBER	15	68072	SLUZBY	\N	\N
1211034	4143	1997-11-06	PRIJEM	VKLAD	1300	23899	\N	\N	\N
1211035	4143	1997-12-06	VYDAJ	VYBER	8500	37092	\N	\N	\N
1211036	4143	1998-01-05	VYDAJ	VYBER	22200	47449	\N	\N	\N
1211037	4143	1998-02-04	VYDAJ	VYBER	22900	46366	\N	\N	\N
1211038	4143	1998-03-06	VYDAJ	VYBER	18500	48661	\N	\N	\N
1211039	4143	1998-04-05	VYDAJ	VYBER	16700	53765	\N	\N	\N
1211040	4143	1998-05-05	VYDAJ	VYBER	20700	51286	\N	\N	\N
1211041	4143	1998-06-04	VYDAJ	VYBER	21800	50202	\N	\N	\N
1211042	4143	1998-07-04	VYDAJ	VYBER	29000	53813	\N	\N	\N
1211043	4143	1998-08-03	VYDAJ	VYBER	29700	42639	\N	\N	\N
1211044	4143	1998-09-02	VYDAJ	VYBER	23800	40630	\N	\N	\N
1211045	4143	1998-10-02	VYDAJ	VYBER	18900	43506	\N	\N	\N
1211046	4143	1998-11-01	VYDAJ	VYBER	14700	46283	\N	\N	\N
1211047	4143	1998-12-01	VYDAJ	VYBER	20800	47272	\N	\N	\N
1211063	4144	1996-08-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1211064	4144	1996-10-04	PRIJEM	VKLAD	41316	67010	\N	\N	\N
1211065	4144	1996-09-29	PRIJEM	VKLAD	24594	25694	\N	\N	\N
1211072	4144	1996-10-04	PRIJEM	VKLAD	40334	107344	\N	\N	\N
1211074	4144	1996-12-22	PRIJEM	VKLAD	17994	54345	\N	\N	\N
1211076	4144	1996-11-12	PRIJEM	VKLAD	48889	81079	\N	\N	\N
1211077	4144	1997-06-09	PRIJEM	VKLAD	16101	63896	\N	\N	\N
1211078	4144	1997-04-15	PRIJEM	VKLAD	25722	73843	\N	\N	\N
1211079	4144	1997-02-02	PRIJEM	VKLAD	8439	66721	\N	\N	\N
1211080	4144	1997-05-21	PRIJEM	VKLAD	20509	69519	\N	\N	\N
1211081	4144	1997-03-23	PRIJEM	VKLAD	40198	105286	\N	\N	\N
1211082	4144	1997-11-20	PRIJEM	VKLAD	24499	71555	\N	\N	\N
1211083	4144	1997-05-13	PRIJEM	VKLAD	14526	84410	\N	\N	\N
1211084	4144	1997-08-06	PRIJEM	VKLAD	49145	107756	\N	\N	\N
1211085	4144	1997-10-28	PRIJEM	VKLAD	17602	48623	\N	\N	\N
1211086	4144	1997-06-28	PRIJEM	VKLAD	43187	73030	\N	\N	\N
1211087	4144	1997-07-20	PRIJEM	VKLAD	21216	58363	\N	\N	\N
1211088	4144	1997-03-08	PRIJEM	VKLAD	5858	43098	\N	\N	\N
1211089	4144	1997-03-10	PRIJEM	VKLAD	46595	89693	\N	\N	\N
1211090	4144	1997-08-15	PRIJEM	VKLAD	21338	51141	\N	\N	\N
1211091	4144	1997-06-02	PRIJEM	VKLAD	24486	94259	\N	\N	\N
1211092	4144	1997-01-20	PRIJEM	VKLAD	34458	51959	\N	\N	\N
1211093	4144	1997-07-13	PRIJEM	VKLAD	26478	82847	\N	\N	\N
1211094	4144	1997-03-17	PRIJEM	VKLAD	42648	119288	\N	\N	\N
1211095	4144	1997-04-02	PRIJEM	VKLAD	12582	56874	\N	\N	\N
1211096	4144	1997-10-06	PRIJEM	VKLAD	29146	49074	\N	\N	\N
1211097	4144	1997-10-29	PRIJEM	VKLAD	40064	88687	\N	\N	\N
1211098	4144	1997-01-20	PRIJEM	VKLAD	42449	94408	\N	\N	\N
1211099	4144	1997-05-08	PRIJEM	VKLAD	33515	78637	\N	\N	\N
1211100	4144	1998-04-01	PRIJEM	VKLAD	5305	37578	\N	\N	\N
1211101	4144	1998-02-12	PRIJEM	VKLAD	19733	35001	\N	\N	\N
1211102	4144	1998-09-21	PRIJEM	VKLAD	21314	53328	\N	\N	\N
1211103	4144	1998-11-24	PRIJEM	VKLAD	28658	48959	\N	\N	\N
1211104	4144	1998-05-20	PRIJEM	VKLAD	10256	33056	\N	\N	\N
1211105	4144	1998-02-27	PRIJEM	VKLAD	6672	41673	\N	\N	\N
1211106	4144	1998-08-29	PRIJEM	VKLAD	15254	43965	\N	\N	\N
1211107	4144	1998-06-12	PRIJEM	VKLAD	32516	53222	\N	\N	\N
1211120	4144	1997-01-11	VYDAJ	VYBER	5100	22054	\N	\N	0
1211121	4144	1997-02-01	VYDAJ	VYBER	6600	58282	\N	\N	0
1211122	4144	1997-03-14	VYDAJ	VYBER	4300	76640	\N	\N	0
1211123	4144	1997-04-18	VYDAJ	VYBER	6000	44943	\N	\N	0
1211124	4144	1997-05-16	VYDAJ	VYBER	6800	77610	\N	\N	0
1211125	4144	1997-06-23	VYDAJ	VYBER	3900	29843	\N	\N	0
1211126	4144	1997-07-16	VYDAJ	VYBER	6700	50047	\N	\N	0
1211127	4144	1997-08-19	VYDAJ	VYBER	5800	45341	\N	\N	0
1211128	4144	1997-09-06	VYDAJ	VYBER	5800	21006	\N	\N	0
1211129	4144	1997-10-12	VYDAJ	VYBER	4000	36321	\N	\N	0
1211130	4144	1997-11-09	VYDAJ	VYBER	5400	72609	\N	\N	0
1211131	4144	1997-12-03	VYDAJ	VYBER	4100	67719	\N	\N	0
1211132	4144	1998-01-18	VYDAJ	VYBER	6600	24016	\N	\N	0
1211133	4144	1998-02-02	VYDAJ	VYBER	6300	17821	\N	\N	0
1211134	4144	1998-03-12	VYDAJ	VYBER	3400	32132	\N	\N	0
1211135	4144	1998-04-06	VYDAJ	VYBER	5700	31878	\N	\N	0
1211136	4144	1998-05-19	VYDAJ	VYBER	5300	22800	\N	\N	0
1211137	4144	1998-06-05	VYDAJ	VYBER	6300	23259	\N	\N	0
1211138	4144	1998-07-12	VYDAJ	PREVOD NA UCET	5916	37521	UVER	QR	13202494
1211139	4144	1998-08-12	VYDAJ	PREVOD NA UCET	5916	28711	UVER	QR	13202494
1211140	4144	1998-09-12	VYDAJ	PREVOD NA UCET	5916	32014	UVER	QR	13202494
1211141	4144	1998-10-12	VYDAJ	PREVOD NA UCET	5916	33922	UVER	QR	13202494
1211142	4144	1998-11-12	VYDAJ	PREVOD NA UCET	5916	20301	UVER	QR	13202494
1211143	4144	1998-12-12	VYDAJ	PREVOD NA UCET	5916	32900	UVER	QR	13202494
1211156	4144	1997-01-11	VYDAJ	PREVOD NA UCET	8753	13301	SIPO	WX	44854801
1211157	4144	1997-02-11	VYDAJ	PREVOD NA UCET	8753	51355	SIPO	WX	44854801
1211158	4144	1997-03-11	VYDAJ	PREVOD NA UCET	8753	80940	SIPO	WX	44854801
1211159	4144	1997-04-11	VYDAJ	PREVOD NA UCET	8753	48121	SIPO	WX	44854801
1211160	4144	1997-05-11	VYDAJ	PREVOD NA UCET	8753	69884	SIPO	WX	44854801
1211161	4144	1997-06-11	VYDAJ	PREVOD NA UCET	8753	55143	SIPO	WX	44854801
1211162	4144	1997-07-11	VYDAJ	PREVOD NA UCET	8753	56369	SIPO	WX	44854801
1211163	4144	1997-08-11	VYDAJ	PREVOD NA UCET	8753	37803	SIPO	WX	44854801
1211164	4144	1997-09-11	VYDAJ	PREVOD NA UCET	8753	12253	SIPO	WX	44854801
1211165	4144	1997-10-11	VYDAJ	PREVOD NA UCET	8753	40321	SIPO	WX	44854801
1211166	4144	1997-11-11	VYDAJ	PREVOD NA UCET	8753	63856	SIPO	WX	44854801
1211167	4144	1997-12-11	VYDAJ	PREVOD NA UCET	8753	41106	SIPO	WX	44854801
1211168	4144	1998-01-11	VYDAJ	PREVOD NA UCET	8753	30616	SIPO	WX	44854801
1211169	4144	1998-02-11	VYDAJ	PREVOD NA UCET	8753	15268	SIPO	WX	44854801
1211170	4144	1998-03-11	VYDAJ	PREVOD NA UCET	8753	33032	SIPO	WX	44854801
1211171	4144	1998-04-11	VYDAJ	PREVOD NA UCET	8753	27525	SIPO	WX	44854801
1211172	4144	1998-05-11	VYDAJ	PREVOD NA UCET	8753	28100	SIPO	WX	44854801
1211173	4144	1998-06-11	VYDAJ	PREVOD NA UCET	8753	20706	SIPO	WX	44854801
1211174	4144	1998-07-11	VYDAJ	PREVOD NA UCET	8753	43437	SIPO	WX	44854801
1211175	4144	1998-08-11	VYDAJ	PREVOD NA UCET	8753	34627	SIPO	WX	44854801
1211176	4144	1998-09-11	VYDAJ	PREVOD NA UCET	8753	37929	SIPO	WX	44854801
1211177	4144	1998-10-11	VYDAJ	PREVOD NA UCET	8753	39838	SIPO	WX	44854801
1211178	4144	1998-11-11	VYDAJ	PREVOD NA UCET	8753	26217	SIPO	WX	44854801
1211179	4144	1998-12-11	VYDAJ	PREVOD NA UCET	8753	38815	SIPO	WX	44854801
1211185	4144	1996-12-26	VYBER	VYBER	7096	47249	\N	\N	\N
1211194	4144	1997-12-06	VYBER	VYBER	13060	49859	\N	\N	\N
1211195	4144	1997-06-07	VYBER	VYBER	18264	47795	\N	\N	\N
1211196	4144	1997-01-10	VYBER	VYBER	20295	27154	\N	\N	\N
1211199	4144	1997-08-28	VYBER	VYBER	18748	26593	\N	\N	\N
1211201	4144	1997-02-03	VYBER	VYBER	6613	60108	\N	\N	\N
1211207	4144	1998-07-17	VYBER	VYBER	3496	34025	\N	\N	\N
1211218	4144	1997-06-05	VYDAJ	VYBER	28200	66059	\N	\N	\N
1211221	4144	1997-01-22	VYDAJ	VYBER	29700	64708	\N	\N	\N
1211224	4144	1997-12-03	VYDAJ	VYBER	4800	62919	\N	\N	\N
1211230	4144	1997-12-29	VYDAJ	VYBER	9000	27706	\N	\N	\N
1211231	4144	1997-10-29	VYDAJ	VYBER	10800	77887	\N	\N	\N
1211232	4144	1997-07-19	VYDAJ	VYBER	12900	37147	\N	\N	\N
1211234	4144	1997-07-08	VYDAJ	VYBER	8100	65122	\N	\N	\N
1211235	4144	1997-06-15	VYDAJ	VYBER	12000	33743	\N	\N	\N
1211237	4144	1997-12-15	VYDAJ	VYBER	1800	36706	\N	\N	\N
1211238	4144	1998-05-23	VYDAJ	VYBER	3600	29456	\N	\N	\N
1211240	4144	1998-10-25	VYDAJ	VYBER	3900	30022	\N	\N	\N
1211253	4144	1996-12-31	VYDAJ	VYBER	15	47449	SLUZBY	\N	\N
1211254	4144	1997-01-31	VYDAJ	VYBER	15	64882	SLUZBY	\N	\N
1211255	4144	1997-02-28	VYDAJ	VYBER	15	37240	SLUZBY	\N	\N
1211256	4144	1997-03-31	VYDAJ	VYBER	15	105592	SLUZBY	\N	\N
1211257	4144	1997-04-30	VYDAJ	VYBER	15	45122	SLUZBY	\N	\N
1211258	4144	1997-05-31	VYDAJ	VYBER	15	69773	SLUZBY	\N	\N
1211259	4144	1997-06-30	VYDAJ	VYBER	15	73222	SLUZBY	\N	\N
1211260	4144	1997-07-31	VYDAJ	VYBER	15	58611	SLUZBY	\N	\N
1211261	4144	1997-08-31	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
1211262	4144	1997-09-30	VYDAJ	VYBER	15	19928	SLUZBY	\N	\N
1211263	4144	1997-10-31	VYDAJ	VYBER	15	78009	SLUZBY	\N	\N
1211264	4144	1997-11-30	VYDAJ	VYBER	15	71819	SLUZBY	\N	\N
1211265	4144	1997-12-31	VYDAJ	VYBER	15	27869	SLUZBY	\N	\N
1211266	4144	1998-01-31	VYDAJ	VYBER	15	24121	SLUZBY	\N	\N
1211267	4144	1998-02-28	VYDAJ	VYBER	15	41785	SLUZBY	\N	\N
1211268	4144	1998-03-31	VYDAJ	VYBER	15	32273	SLUZBY	\N	\N
1211269	4144	1998-04-30	VYDAJ	VYBER	15	27653	SLUZBY	\N	\N
1211270	4144	1998-05-31	VYDAJ	VYBER	15	29559	SLUZBY	\N	\N
1211271	4144	1998-06-30	VYDAJ	VYBER	15	53390	SLUZBY	\N	\N
1211272	4144	1998-07-31	VYDAJ	VYBER	15	34180	SLUZBY	\N	\N
1211273	4144	1998-08-31	VYDAJ	VYBER	15	44082	SLUZBY	\N	\N
1211274	4144	1998-09-30	VYDAJ	VYBER	15	53491	SLUZBY	\N	\N
1211275	4144	1998-10-31	VYDAJ	VYBER	15	30170	SLUZBY	\N	\N
1211276	4144	1998-11-30	VYDAJ	VYBER	15	49068	SLUZBY	\N	\N
1211277	4144	1996-10-04	VYDAJ	VYBER	61900	45444	\N	\N	\N
1211278	4144	1996-10-18	VYDAJ	VYBER	13400	32044	\N	\N	\N
1211279	4144	1996-11-17	VYDAJ	VYBER	29000	52079	\N	\N	\N
1211280	4144	1996-12-17	VYDAJ	VYBER	15900	36351	\N	\N	\N
1211281	4144	1997-01-16	PRIJEM	VKLAD	4200	17501	\N	\N	\N
1211282	4144	1997-02-15	VYDAJ	VYBER	14300	37055	\N	\N	\N
1211283	4144	1997-03-17	VYDAJ	VYBER	18600	100688	\N	\N	\N
1211284	4144	1997-03-17	VYDAJ	VYBER	35600	65088	\N	\N	\N
1211285	4144	1997-03-31	VYDAJ	VYBER	61300	44292	\N	\N	\N
1211286	4144	1997-04-16	VYDAJ	VYBER	22900	50943	\N	\N	\N
1211287	4144	1997-05-16	VYDAJ	VYBER	28600	49010	\N	\N	\N
1211288	4144	1997-06-15	VYDAJ	VYBER	9400	45743	\N	\N	\N
1211289	4144	1997-07-15	VYDAJ	VYBER	26100	56747	\N	\N	\N
1211290	4144	1997-08-06	VYDAJ	VYBER	61200	46556	\N	\N	\N
1211291	4144	1997-08-14	VYDAJ	VYBER	8000	29803	\N	\N	\N
1211292	4144	1997-09-13	PRIJEM	VKLAD	7600	19853	\N	\N	\N
1211293	4144	1997-10-13	VYDAJ	VYBER	5300	31021	\N	\N	\N
1211294	4144	1997-11-12	VYDAJ	VYBER	16800	47056	\N	\N	\N
1211295	4144	1997-12-12	VYDAJ	VYBER	2600	38506	\N	\N	\N
1211296	4144	1998-01-11	PRIJEM	VKLAD	11500	39369	\N	\N	\N
1211297	4144	1998-02-10	PRIJEM	VKLAD	6200	24021	\N	\N	\N
1211298	4144	1998-03-12	PRIJEM	VKLAD	2500	35532	\N	\N	\N
1211299	4144	1998-04-11	PRIJEM	VKLAD	4400	36278	\N	\N	\N
1211300	4144	1998-05-11	PRIJEM	VKLAD	9200	36853	\N	\N	\N
1211301	4144	1998-06-10	PRIJEM	VKLAD	6200	29459	\N	\N	\N
1211302	4144	1998-07-10	VYDAJ	VYBER	1200	52190	\N	\N	\N
1211303	4144	1998-08-09	PRIJEM	VKLAD	9200	43380	\N	\N	\N
1211304	4144	1998-09-08	PRIJEM	VKLAD	2600	46682	\N	\N	\N
1211305	4144	1998-10-08	VYDAJ	VYBER	4900	48591	\N	\N	\N
1211306	4144	1998-11-07	PRIJEM	VKLAD	4800	34970	\N	\N	\N
1211307	4144	1998-12-07	VYDAJ	VYBER	1500	47568	\N	\N	\N
1212614	4150	1997-07-05	PRIJEM	VKLAD	600	600	\N	\N	\N
1212621	4150	1997-07-10	PRIJEM	VKLAD	17351	17951	\N	\N	\N
1212622	4150	1997-08-10	PRIJEM	VKLAD	17351	39855	\N	\N	\N
1212623	4150	1997-09-10	PRIJEM	VKLAD	17351	49846	\N	\N	\N
1212624	4150	1997-10-10	PRIJEM	VKLAD	17351	59592	\N	\N	\N
1212625	4150	1997-11-10	PRIJEM	VKLAD	17351	64579	\N	\N	\N
1212626	4150	1997-12-10	PRIJEM	VKLAD	26026	68604	\N	\N	\N
1212627	4150	1998-01-10	PRIJEM	VKLAD	17351	52855	\N	\N	\N
1212628	4150	1998-02-10	PRIJEM	VKLAD	17351	49050	\N	\N	\N
1212629	4150	1998-03-10	PRIJEM	VKLAD	17351	44920	\N	\N	\N
1212630	4150	1998-04-10	PRIJEM	VKLAD	17351	45583	\N	\N	\N
1212631	4150	1998-05-10	PRIJEM	VKLAD	17351	44048	\N	\N	\N
1212632	4150	1998-06-10	PRIJEM	VKLAD	26026	61083	\N	\N	\N
1212633	4150	1998-07-10	PRIJEM	VKLAD	17351	48478	\N	\N	\N
1212634	4150	1998-08-10	PRIJEM	VKLAD	17351	56247	\N	\N	\N
1212635	4150	1998-09-10	PRIJEM	VKLAD	17351	57345	\N	\N	\N
1212636	4150	1998-10-10	PRIJEM	VKLAD	17351	57546	\N	\N	\N
1212637	4150	1998-11-10	PRIJEM	VKLAD	17351	61549	\N	\N	\N
1212638	4150	1998-12-10	PRIJEM	VKLAD	26026	70540	\N	\N	\N
1212650	4150	1997-12-05	VYDAJ	PREVOD NA UCET	3006	42653	SIPO	ST	41463971
1212651	4150	1998-01-05	VYDAJ	PREVOD NA UCET	3006	42179	SIPO	ST	41463971
1212652	4150	1998-02-05	VYDAJ	PREVOD NA UCET	3006	33443	SIPO	ST	41463971
1212653	4150	1998-03-05	VYDAJ	PREVOD NA UCET	3006	29313	SIPO	ST	41463971
1212654	4150	1998-04-05	VYDAJ	PREVOD NA UCET	3006	28307	SIPO	ST	41463971
1212655	4150	1998-05-05	VYDAJ	PREVOD NA UCET	3006	32841	SIPO	ST	41463971
1212656	4150	1998-06-05	VYDAJ	PREVOD NA UCET	3006	35132	SIPO	ST	41463971
1212657	4150	1998-07-05	VYDAJ	PREVOD NA UCET	3006	31202	SIPO	ST	41463971
1212658	4150	1998-08-05	VYDAJ	PREVOD NA UCET	3006	40640	SIPO	ST	41463971
1212659	4150	1998-09-05	VYDAJ	PREVOD NA UCET	3006	41738	SIPO	ST	41463971
1212660	4150	1998-10-05	VYDAJ	PREVOD NA UCET	3006	41939	SIPO	ST	41463971
1212661	4150	1998-11-05	VYDAJ	PREVOD NA UCET	3006	45942	SIPO	ST	41463971
1212662	4150	1998-12-05	VYDAJ	PREVOD NA UCET	3006	46258	SIPO	ST	41463971
1212674	4150	1997-12-05	VYDAJ	PREVOD NA UCET	1669	45659	 	WX	91151189
1212675	4150	1998-01-05	VYDAJ	PREVOD NA UCET	1669	45185	 	WX	91151189
1212676	4150	1998-02-05	VYDAJ	PREVOD NA UCET	1669	31774	 	WX	91151189
1212677	4150	1998-03-05	VYDAJ	PREVOD NA UCET	1669	27644	 	WX	91151189
1212678	4150	1998-04-05	VYDAJ	PREVOD NA UCET	1669	31313	 	WX	91151189
1212679	4150	1998-05-05	VYDAJ	PREVOD NA UCET	1669	31172	 	WX	91151189
1212680	4150	1998-06-05	VYDAJ	PREVOD NA UCET	1669	38138	 	WX	91151189
1212681	4150	1998-07-05	VYDAJ	PREVOD NA UCET	1669	34208	 	WX	91151189
1212682	4150	1998-08-05	VYDAJ	PREVOD NA UCET	1669	38971	 	WX	91151189
1212683	4150	1998-09-05	VYDAJ	PREVOD NA UCET	1669	40069	 	WX	91151189
1212684	4150	1998-10-05	VYDAJ	PREVOD NA UCET	1669	40270	 	WX	91151189
1212685	4150	1998-11-05	VYDAJ	PREVOD NA UCET	1669	44273	 	WX	91151189
1212686	4150	1998-12-05	VYDAJ	PREVOD NA UCET	1669	44589	 	WX	91151189
1212698	4150	1997-12-07	VYDAJ	PREVOD NA UCET	75	42578	POJISTNE	QR	82856064
1212699	4150	1998-01-07	VYDAJ	PREVOD NA UCET	75	37504	POJISTNE	QR	82856064
1212700	4150	1998-02-07	VYDAJ	PREVOD NA UCET	75	31699	POJISTNE	QR	82856064
1212701	4150	1998-03-07	VYDAJ	PREVOD NA UCET	75	27569	POJISTNE	QR	82856064
1212702	4150	1998-04-07	VYDAJ	PREVOD NA UCET	75	28232	POJISTNE	QR	82856064
1212703	4150	1998-05-07	VYDAJ	PREVOD NA UCET	75	31097	POJISTNE	QR	82856064
1212704	4150	1998-06-07	VYDAJ	PREVOD NA UCET	75	35057	POJISTNE	QR	82856064
1212705	4150	1998-07-07	VYDAJ	PREVOD NA UCET	75	31127	POJISTNE	QR	82856064
1212706	4150	1998-08-07	VYDAJ	PREVOD NA UCET	75	38896	POJISTNE	QR	82856064
1212707	4150	1998-09-07	VYDAJ	PREVOD NA UCET	75	39994	POJISTNE	QR	82856064
1212708	4150	1998-10-07	VYDAJ	PREVOD NA UCET	75	40195	POJISTNE	QR	82856064
1212709	4150	1998-11-07	VYDAJ	PREVOD NA UCET	75	44198	POJISTNE	QR	82856064
1212710	4150	1998-12-07	VYDAJ	PREVOD NA UCET	75	44514	POJISTNE	QR	82856064
1212736	4150	1998-06-25	VYDAJ	VYBER	18300	42783	\N	\N	\N
1212738	4150	1998-01-06	VYDAJ	VYBER	2600	39579	\N	\N	\N
1212739	4150	1997-12-26	VYDAJ	VYBER	2300	66304	\N	\N	\N
1212740	4150	1998-12-22	VYDAJ	VYBER KARTOU	2000	64740	\N	\N	0
1212747	4150	1998-01-24	VYDAJ	VYBER	1500	49355	\N	\N	\N
1212748	4150	1998-01-08	VYDAJ	VYBER	2000	35504	\N	\N	\N
1212749	4150	1998-01-25	VYDAJ	VYBER	700	48655	\N	\N	\N
1212750	4150	1998-01-06	VYDAJ	VYBER	2000	37579	\N	\N	\N
1212751	4150	1998-01-12	VYDAJ	VYBER	2000	50855	\N	\N	\N
1212752	4150	1998-01-29	VYDAJ	VYBER	1700	46955	\N	\N	\N
1212759	4150	1998-02-28	VYDAJ	VYBER	2500	46733	\N	\N	\N
1212760	4150	1998-12-11	VYDAJ	VYBER KARTOU	3800	66740	\N	\N	0
1212761	4150	1998-05-07	VYDAJ	VYBER	4400	26697	\N	\N	\N
1212773	4150	1997-11-30	VYDAJ	VYBER	15	64828	SLUZBY	\N	\N
1212774	4150	1997-12-31	VYDAJ	VYBER	15	66554	SLUZBY	\N	\N
1212775	4150	1998-01-31	VYDAJ	VYBER	15	36449	SLUZBY	\N	\N
1212776	4150	1998-02-28	VYDAJ	VYBER	15	46719	SLUZBY	\N	\N
1212777	4150	1998-03-31	VYDAJ	VYBER	15	45082	SLUZBY	\N	\N
1212778	4150	1998-04-30	VYDAJ	VYBER	15	45747	SLUZBY	\N	\N
1212779	4150	1998-05-31	VYDAJ	VYBER	15	39807	SLUZBY	\N	\N
1212780	4150	1998-06-30	VYDAJ	VYBER	15	35877	SLUZBY	\N	\N
1212781	4150	1998-07-31	VYDAJ	VYBER	15	43646	SLUZBY	\N	\N
1212782	4150	1998-08-31	VYDAJ	VYBER	15	44744	SLUZBY	\N	\N
1212783	4150	1998-09-30	VYDAJ	VYBER	15	44945	SLUZBY	\N	\N
1212784	4150	1998-10-31	VYDAJ	VYBER	15	48948	SLUZBY	\N	\N
1212785	4150	1998-11-30	VYDAJ	VYBER	15	49264	SLUZBY	\N	\N
1212786	4150	1997-08-04	PRIJEM	VKLAD	4500	22504	\N	\N	\N
1212787	4150	1997-09-03	VYDAJ	VYBER	7500	32495	\N	\N	\N
1212788	4150	1997-10-03	VYDAJ	VYBER	7800	42241	\N	\N	\N
1212789	4150	1997-11-02	VYDAJ	VYBER	12600	47228	\N	\N	\N
1212790	4150	1997-12-02	VYDAJ	VYBER	17500	47328	\N	\N	\N
1212791	4150	1998-01-01	VYDAJ	VYBER	19700	46854	\N	\N	\N
1212792	4150	1998-01-31	VYDAJ	VYBER	10700	36463	\N	\N	\N
1212793	4150	1998-03-02	VYDAJ	VYBER	14400	32319	\N	\N	\N
1212794	4150	1998-04-01	VYDAJ	VYBER	12100	32982	\N	\N	\N
1212795	4150	1998-05-01	VYDAJ	VYBER	9900	35847	\N	\N	\N
1212796	4150	1998-05-31	VYDAJ	VYBER	4400	39821	\N	\N	\N
1212797	4150	1998-06-30	VYDAJ	VYBER	7100	35892	\N	\N	\N
1212798	4150	1998-07-30	VYDAJ	VYBER	5000	43478	\N	\N	\N
1212799	4150	1998-08-29	VYDAJ	VYBER	11700	44547	\N	\N	\N
1212800	4150	1998-09-28	VYDAJ	VYBER	12600	44745	\N	\N	\N
1212801	4150	1998-10-28	VYDAJ	VYBER	8800	48746	\N	\N	\N
1212802	4150	1998-11-27	VYDAJ	VYBER	12500	49049	\N	\N	\N
1214489	4156	1997-06-27	PRIJEM	VKLAD	200	200	\N	\N	\N
1214492	4156	1997-07-10	PRIJEM	VKLAD	17033	17233	\N	\N	\N
1214495	4156	1997-08-03	PRIJEM	VKLAD	8893	82187	\N	\N	\N
1214498	4156	1997-07-14	PRIJEM	VKLAD	46618	63851	\N	\N	\N
1214501	4156	1997-08-01	PRIJEM	VKLAD	12301	73294	\N	\N	\N
1214504	4156	1997-09-15	PRIJEM	VKLAD	21576	79597	\N	\N	\N
1214507	4156	1997-07-24	PRIJEM	VKLAD	41973	105824	\N	\N	\N
1214508	4156	1997-10-09	PRIJEM	VKLAD	24111	53994	\N	\N	\N
1214510	4156	1997-11-05	PRIJEM	VKLAD	45122	70706	\N	\N	\N
1214513	4156	1997-08-25	PRIJEM	VKLAD	38900	108287	\N	\N	\N
1214514	4156	1997-09-20	PRIJEM	VKLAD	16648	96245	\N	\N	\N
1214516	4156	1997-09-01	PRIJEM	VKLAD	11862	58021	\N	\N	\N
1214517	4156	1997-11-12	PRIJEM	VKLAD	24702	95408	\N	\N	\N
1214519	4156	1998-12-15	PRIJEM	VKLAD	20186	20762	\N	\N	\N
1214520	4156	1998-02-13	PRIJEM	VKLAD	9338	17228	\N	\N	\N
1214521	4156	1998-05-06	PRIJEM	VKLAD	23916	42939	\N	\N	\N
1214522	4156	1998-10-20	PRIJEM	VKLAD	17444	18171	\N	\N	\N
1214523	4156	1998-04-11	PRIJEM	VKLAD	47666	53555	\N	\N	\N
1214555	4156	1997-08-07	VYDAJ	VYBER	12800	69387	SIPO	\N	0
1214556	4156	1997-08-29	VYDAJ	VYBER	16300	45887	SIPO	\N	0
1214557	4156	1997-10-03	VYDAJ	VYBER	12800	38583	SIPO	\N	0
1214558	4156	1997-11-01	VYDAJ	VYBER	12800	25584	SIPO	\N	0
1214559	4156	1997-12-07	VYDAJ	VYBER	10900	38932	SIPO	\N	0
1214560	4156	1998-01-03	VYDAJ	VYBER	12700	12700	SIPO	\N	0
1214561	4156	1998-02-12	VYDAJ	VYBER	16800	7890	SIPO	\N	0
1214562	4156	1998-03-03	VYDAJ	VYBER	16800	8407	SIPO	\N	0
1214563	4156	1998-04-04	VYDAJ	VYBER	11900	5889	SIPO	\N	0
1214564	4156	1998-05-02	VYDAJ	VYBER	16000	19023	SIPO	\N	0
1214565	4156	1998-06-13	VYDAJ	VYBER	16700	18776	SIPO	\N	0
1214566	4156	1998-07-05	VYDAJ	VYBER	10800	9790	SIPO	\N	0
1214567	4156	1998-08-04	VYDAJ	VYBER	13400	1654	SIPO	\N	0
1214568	4156	1998-09-06	VYDAJ	VYBER	11800	-404	SIPO	\N	0
1214570	4156	1998-10-31	VYDAJ	VYBER	16200	1981	SIPO	\N	0
1214571	4156	1998-12-04	VYDAJ	VYBER	13000	576	SIPO	\N	0
1214572	4156	1997-12-21	VYBER	VYBER	15388	23544	\N	\N	\N
1214574	4156	1997-11-21	VYBER	VYBER	19551	75857	\N	\N	\N
1214578	4156	1998-04-13	VYBER	VYBER	18541	35014	\N	\N	\N
1214582	4156	1998-04-20	VYBER	VYBER	7300	27714	\N	\N	\N
1214603	4156	1997-10-08	VYDAJ	VYBER	8700	29883	\N	\N	\N
1214607	4156	1997-09-24	VYDAJ	VYBER	13800	82445	\N	\N	\N
1214608	4156	1998-05-10	VYDAJ	VYBER	7500	35439	\N	\N	\N
1214619	4156	1997-08-31	VYDAJ	VYBER	15	46159	SLUZBY	\N	\N
1214620	4156	1997-09-30	VYDAJ	VYBER	15	51383	SLUZBY	\N	\N
1214621	4156	1997-10-31	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
1214622	4156	1997-11-30	VYDAJ	VYBER	15	49832	SLUZBY	\N	\N
1214623	4156	1997-12-31	VYDAJ	VYBER	15	25400	SLUZBY	\N	\N
1214624	4156	1998-01-31	VYDAJ	VYBER	15	24690	SLUZBY	\N	\N
1214625	4156	1998-02-28	VYDAJ	VYBER	15	25207	SLUZBY	\N	\N
1214626	4156	1998-03-31	VYDAJ	VYBER	15	17789	SLUZBY	\N	\N
1214627	4156	1998-04-30	VYDAJ	VYBER	15	35023	SLUZBY	\N	\N
1214628	4156	1998-05-31	VYDAJ	VYBER	15	35476	SLUZBY	\N	\N
1214629	4156	1998-06-30	VYDAJ	VYBER	15	20590	SLUZBY	\N	\N
1214630	4156	1998-07-31	VYDAJ	VYBER	15	15054	SLUZBY	\N	\N
1214631	4156	1998-08-31	VYDAJ	VYBER	15	11396	SLUZBY	\N	\N
1214632	4156	1998-09-30	VYDAJ	VYBER	15	-373	SLUZBY	\N	\N
1214633	4156	1998-10-31	VYDAJ	VYBER	15	18183	SLUZBY	\N	\N
1214634	4156	1998-11-30	VYDAJ	VYBER	15	13576	SLUZBY	\N	\N
1214635	4156	1997-07-27	VYDAJ	VYBER	45000	60824	\N	\N	\N
1214636	4156	1997-08-26	VYDAJ	VYBER	46100	62187	\N	\N	\N
1214637	4156	1997-09-25	VYDAJ	VYBER	31300	51145	\N	\N	\N
1214638	4156	1997-10-25	VYDAJ	VYBER	15800	38194	\N	\N	\N
1214639	4156	1997-11-24	VYDAJ	VYBER	26300	49557	\N	\N	\N
1214640	4156	1997-12-24	PRIJEM	VKLAD	1700	25244	\N	\N	\N
1214641	4156	1998-01-23	PRIJEM	VKLAD	11900	24600	\N	\N	\N
1214642	4156	1998-02-22	PRIJEM	VKLAD	7900	25128	\N	\N	\N
1214643	4156	1998-03-24	PRIJEM	VKLAD	9300	17707	\N	\N	\N
1214644	4156	1998-04-23	PRIJEM	VKLAD	7200	34914	\N	\N	\N
1214645	4156	1998-05-23	VYDAJ	VYBER	100	35339	\N	\N	\N
1214646	4156	1998-06-22	PRIJEM	VKLAD	1700	20476	\N	\N	\N
1214647	4156	1998-07-22	PRIJEM	VKLAD	5200	14990	\N	\N	\N
1214648	4156	1998-08-21	PRIJEM	VKLAD	9700	11354	\N	\N	\N
1214649	4156	1998-10-20	PRIJEM	VKLAD	1100	727	\N	\N	\N
1214650	4156	1998-11-19	PRIJEM	VKLAD	11600	13581	\N	\N	\N
1214651	4156	1998-12-19	PRIJEM	VKLAD	5200	25962	\N	\N	\N
1214812	4158	1997-09-04	PRIJEM	VKLAD	900	900	\N	\N	\N
1214821	4158	1997-09-12	PRIJEM	PREVOD Z UCTU	26118	27018	\N	IJ	20883047
1214822	4158	1997-10-12	PRIJEM	PREVOD Z UCTU	26118	53807	\N	IJ	20883047
1214823	4158	1997-11-12	PRIJEM	PREVOD Z UCTU	26118	66510	\N	IJ	20883047
1214824	4158	1997-12-12	PRIJEM	PREVOD Z UCTU	39177	86245	\N	IJ	20883047
1214825	4158	1998-01-12	PRIJEM	PREVOD Z UCTU	26118	81093	\N	IJ	20883047
1214826	4158	1998-02-12	PRIJEM	PREVOD Z UCTU	26118	74042	\N	IJ	20883047
1214827	4158	1998-03-12	PRIJEM	PREVOD Z UCTU	26118	66566	\N	IJ	20883047
1214828	4158	1998-04-12	PRIJEM	PREVOD Z UCTU	26118	57980	\N	IJ	20883047
1214829	4158	1998-05-12	PRIJEM	PREVOD Z UCTU	26118	60158	\N	IJ	20883047
1214830	4158	1998-06-12	PRIJEM	PREVOD Z UCTU	39177	67055	\N	IJ	20883047
1214831	4158	1998-07-12	PRIJEM	PREVOD Z UCTU	26118	62530	\N	IJ	20883047
1214832	4158	1998-08-12	PRIJEM	PREVOD Z UCTU	26118	36456	\N	IJ	20883047
1214833	4158	1998-09-12	PRIJEM	PREVOD Z UCTU	26118	47069	\N	IJ	20883047
1214834	4158	1998-10-12	PRIJEM	PREVOD Z UCTU	26118	34159	\N	IJ	20883047
1214835	4158	1998-11-12	PRIJEM	PREVOD Z UCTU	26118	47253	\N	IJ	20883047
1214836	4158	1998-12-12	PRIJEM	PREVOD Z UCTU	39177	55705	\N	IJ	20883047
1214842	4158	1998-08-11	VYBER	VYBER	22405	20838	\N	\N	\N
1214843	4158	1998-08-14	VYBER	VYBER	14513	21943	\N	\N	\N
1214844	4158	1998-09-20	VYBER	VYBER	6606	40463	\N	\N	\N
1214845	4158	1998-04-18	VYBER	VYBER	9029	48951	\N	\N	\N
1214846	4158	1998-10-22	VYBER	VYBER	14627	19532	\N	\N	\N
1214847	4158	1998-03-22	VYBER	VYBER	22607	43959	\N	\N	\N
1214848	4158	1998-06-14	VYBER	VYBER	23324	43731	\N	\N	\N
1214849	4158	1998-10-03	VYBER	VYBER	22321	8041	\N	\N	\N
1214851	4158	1998-06-08	VYDAJ	VYBER	15900	27878	\N	\N	\N
1214855	4158	1998-12-09	VYDAJ	VYBER	5700	16528	\N	\N	\N
1214862	4158	1998-07-29	VYDAJ	VYBER	5700	54430	\N	\N	\N
1214863	4158	1998-08-11	VYDAJ	VYBER	10500	10338	\N	\N	\N
1214864	4158	1998-07-28	VYDAJ	VYBER KARTOU	2400	60130	\N	\N	0
1214865	4158	1998-11-29	VYDAJ	VYBER	11700	22153	\N	\N	\N
1214866	4158	1998-03-02	VYDAJ	VYBER	5400	68948	\N	\N	\N
1214880	4158	1998-01-31	VYDAJ	VYBER	15	81424	SLUZBY	\N	\N
1214881	4158	1998-02-28	VYDAJ	VYBER	15	74348	SLUZBY	\N	\N
1214882	4158	1998-03-31	VYDAJ	VYBER	15	44162	SLUZBY	\N	\N
1214883	4158	1998-04-30	VYDAJ	VYBER	15	49140	SLUZBY	\N	\N
1214884	4158	1998-05-31	VYDAJ	VYBER	15	60378	SLUZBY	\N	\N
1214885	4158	1998-06-30	VYDAJ	VYBER	15	43912	SLUZBY	\N	\N
1214886	4158	1998-07-31	VYDAJ	VYBER	15	43243	SLUZBY	\N	\N
1214887	4158	1998-08-31	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
1214888	4158	1998-09-30	VYDAJ	VYBER	15	30362	SLUZBY	\N	\N
1214889	4158	1998-10-31	VYDAJ	VYBER	15	21135	SLUZBY	\N	\N
1214890	4158	1998-11-30	VYDAJ	VYBER	15	22228	SLUZBY	\N	\N
1214891	4158	1997-10-04	PRIJEM	VKLAD	600	27689	\N	\N	\N
1214892	4158	1997-11-03	VYDAJ	VYBER	13600	40392	\N	\N	\N
1214893	4158	1997-12-03	VYDAJ	VYBER	19700	47068	\N	\N	\N
1214894	4158	1998-01-02	VYDAJ	VYBER	31600	54975	\N	\N	\N
1214895	4158	1998-02-01	VYDAJ	VYBER	33500	47924	\N	\N	\N
1214896	4158	1998-03-03	VYDAJ	VYBER	28500	40448	\N	\N	\N
1214897	4158	1998-04-02	VYDAJ	VYBER	12300	31862	\N	\N	\N
1214898	4158	1998-05-02	VYDAJ	VYBER	15100	34040	\N	\N	\N
1214899	4158	1998-06-01	VYDAJ	VYBER	16600	43778	\N	\N	\N
1214900	4158	1998-07-01	VYDAJ	VYBER	7500	36412	\N	\N	\N
1214901	4158	1998-07-31	VYDAJ	VYBER	11400	43258	\N	\N	\N
1214902	4158	1998-08-30	VYDAJ	VYBER KARTOU	1100	20843	\N	\N	0
1214903	4158	1998-09-29	VYDAJ	VYBER	10200	30263	\N	\N	\N
1214904	4158	1998-10-29	PRIJEM	VKLAD	1500	21032	\N	\N	\N
1214905	4158	1998-11-28	VYDAJ	VYBER	13400	33853	\N	\N	\N
1214922	4159	1993-07-09	PRIJEM	VKLAD	200	200	\N	\N	\N
1214923	4159	1993-12-05	PRIJEM	VKLAD	27143	45989	\N	\N	\N
1214925	4159	1994-05-04	PRIJEM	VKLAD	26315	52611	\N	\N	\N
1214926	4159	1994-11-03	PRIJEM	VKLAD	26832	49788	\N	\N	\N
1214927	4159	1995-11-18	PRIJEM	VKLAD	16351	55666	\N	\N	\N
1214928	4159	1995-06-13	PRIJEM	VKLAD	49859	74218	\N	\N	\N
1214929	4159	1996-10-17	PRIJEM	VKLAD	37997	90343	\N	\N	\N
1214930	4159	1996-10-08	PRIJEM	VKLAD	14266	51946	\N	\N	\N
1214931	4159	1997-08-06	PRIJEM	VKLAD	43926	87290	\N	\N	\N
1214932	4159	1997-01-29	PRIJEM	VKLAD	28088	66924	\N	\N	\N
1214933	4159	1998-05-06	PRIJEM	VKLAD	4481	60251	\N	\N	\N
1214934	4159	1998-07-16	PRIJEM	VKLAD	22413	64849	\N	\N	\N
1214941	4159	1993-07-15	PRIJEM	VKLAD	400	600	\N	\N	\N
1214942	4159	1993-08-14	PRIJEM	VKLAD	400	13101	\N	\N	\N
1214943	4159	1993-09-15	PRIJEM	VKLAD	400	16734	\N	\N	\N
1214944	4159	1993-10-17	PRIJEM	VKLAD	400	20497	\N	\N	\N
1214945	4159	1993-11-16	PRIJEM	VKLAD	400	20874	\N	\N	\N
1214946	4159	1993-12-13	PRIJEM	VKLAD	400	33289	\N	\N	\N
1214947	4159	1994-01-16	PRIJEM	VKLAD	400	27758	\N	\N	\N
1214948	4159	1994-02-15	PRIJEM	VKLAD	400	21956	\N	\N	\N
1214949	4159	1994-03-15	PRIJEM	VKLAD	400	23327	\N	\N	\N
1214950	4159	1994-04-15	PRIJEM	VKLAD	400	26207	\N	\N	\N
1214951	4159	1994-05-17	PRIJEM	VKLAD	400	37811	\N	\N	\N
1214952	4159	1994-06-16	PRIJEM	VKLAD	400	16849	\N	\N	\N
1214953	4159	1994-07-16	PRIJEM	VKLAD	400	19715	\N	\N	\N
1214954	4159	1994-08-17	PRIJEM	VKLAD	400	22677	\N	\N	\N
1214955	4159	1994-09-14	PRIJEM	VKLAD	400	23197	\N	\N	\N
1214956	4159	1994-10-15	PRIJEM	VKLAD	400	25073	\N	\N	\N
1214957	4159	1994-11-15	PRIJEM	VKLAD	400	50188	\N	\N	\N
1214958	4159	1994-12-17	PRIJEM	VKLAD	400	35574	\N	\N	\N
1214959	4159	1995-01-17	PRIJEM	VKLAD	400	21719	\N	\N	\N
1214960	4159	1995-02-15	PRIJEM	VKLAD	400	23756	\N	\N	\N
1214961	4159	1995-03-17	PRIJEM	VKLAD	400	24139	\N	\N	\N
1214962	4159	1995-04-15	PRIJEM	VKLAD	400	23424	\N	\N	\N
1214963	4159	1995-05-14	PRIJEM	VKLAD	400	25461	\N	\N	\N
1214964	4159	1995-06-15	PRIJEM	VKLAD	400	60418	\N	\N	\N
1214965	4159	1995-07-13	PRIJEM	VKLAD	400	48301	\N	\N	\N
1214966	4159	1995-08-15	PRIJEM	VKLAD	400	40683	\N	\N	\N
1214967	4159	1995-09-15	PRIJEM	VKLAD	400	38134	\N	\N	\N
1214968	4159	1995-10-14	PRIJEM	VKLAD	400	38274	\N	\N	\N
1214969	4159	1995-11-13	PRIJEM	VKLAD	400	39315	\N	\N	\N
1214970	4159	1995-12-17	PRIJEM	VKLAD	400	47038	\N	\N	\N
1214971	4159	1996-01-17	PRIJEM	VKLAD	400	29715	\N	\N	\N
1214972	4159	1996-02-14	PRIJEM	VKLAD	400	30425	\N	\N	\N
1214973	4159	1996-03-16	PRIJEM	VKLAD	400	38842	\N	\N	\N
1214974	4159	1996-04-16	PRIJEM	VKLAD	400	37687	\N	\N	\N
1214975	4159	1996-05-15	PRIJEM	VKLAD	400	39032	\N	\N	\N
1214976	4159	1996-06-14	PRIJEM	VKLAD	400	37876	\N	\N	\N
1214977	4159	1996-07-16	PRIJEM	VKLAD	400	16001	\N	\N	\N
1214978	4159	1996-08-14	PRIJEM	VKLAD	400	24563	\N	\N	\N
1214979	4159	1996-09-16	PRIJEM	VKLAD	400	30858	\N	\N	\N
1214980	4159	1996-10-17	PRIJEM	VKLAD	400	52346	\N	\N	\N
1214981	4159	1996-11-13	PRIJEM	VKLAD	400	64698	\N	\N	\N
1214982	4159	1996-12-16	PRIJEM	VKLAD	400	52934	\N	\N	\N
1214983	4159	1997-01-16	PRIJEM	VKLAD	400	37536	\N	\N	\N
1214984	4159	1997-02-13	PRIJEM	VKLAD	400	67498	\N	\N	\N
1214985	4159	1997-03-14	PRIJEM	VKLAD	400	55661	\N	\N	\N
1214986	4159	1997-04-16	PRIJEM	VKLAD	400	48213	\N	\N	\N
1214987	4159	1997-05-13	PRIJEM	VKLAD	400	44391	\N	\N	\N
1214988	4159	1997-06-17	PRIJEM	VKLAD	400	33967	\N	\N	\N
1214989	4159	1997-07-15	PRIJEM	VKLAD	400	30830	\N	\N	\N
1214990	4159	1997-08-17	PRIJEM	VKLAD	400	86040	\N	\N	\N
1214991	4159	1997-09-14	PRIJEM	VKLAD	400	73333	\N	\N	\N
1214992	4159	1997-10-17	PRIJEM	VKLAD	400	60004	\N	\N	\N
1214993	4159	1997-11-16	PRIJEM	VKLAD	400	58547	\N	\N	\N
1214994	4159	1997-12-14	PRIJEM	VKLAD	400	56275	\N	\N	\N
1214995	4159	1998-01-15	PRIJEM	VKLAD	400	47386	\N	\N	\N
1214996	4159	1998-02-16	PRIJEM	VKLAD	400	47907	\N	\N	\N
1214997	4159	1998-03-17	PRIJEM	VKLAD	400	51475	\N	\N	\N
1214998	4159	1998-04-13	PRIJEM	VKLAD	400	52064	\N	\N	\N
1214999	4159	1998-05-17	PRIJEM	VKLAD	400	60051	\N	\N	\N
1215000	4159	1998-06-15	PRIJEM	VKLAD	400	53374	\N	\N	\N
1215001	4159	1998-07-14	PRIJEM	VKLAD	400	42436	\N	\N	\N
1215002	4159	1998-08-15	PRIJEM	VKLAD	400	58130	\N	\N	\N
1215003	4159	1998-09-15	PRIJEM	VKLAD	400	55069	\N	\N	\N
1215004	4159	1998-10-16	PRIJEM	VKLAD	400	53689	\N	\N	\N
1215005	4159	1998-11-13	PRIJEM	VKLAD	400	54900	\N	\N	\N
1215006	4159	1998-12-16	PRIJEM	VKLAD	400	54511	\N	\N	\N
1215013	4159	1996-07-18	PRIJEM	VKLAD	700	16701	\N	\N	\N
1215014	4159	1996-08-18	PRIJEM	VKLAD	700	25263	\N	\N	\N
1215015	4159	1996-09-18	PRIJEM	VKLAD	700	31558	\N	\N	\N
1215016	4159	1996-10-18	PRIJEM	VKLAD	700	91043	\N	\N	\N
1215017	4159	1996-11-18	PRIJEM	VKLAD	700	65398	\N	\N	\N
1215018	4159	1996-12-18	PRIJEM	VKLAD	700	53634	\N	\N	\N
1215019	4159	1997-01-18	PRIJEM	VKLAD	700	36986	\N	\N	\N
1215020	4159	1997-02-18	PRIJEM	VKLAD	700	68198	\N	\N	\N
1215021	4159	1997-03-18	PRIJEM	VKLAD	700	56361	\N	\N	\N
1215022	4159	1997-04-18	PRIJEM	VKLAD	700	48913	\N	\N	\N
1215023	4159	1997-05-18	PRIJEM	VKLAD	700	45091	\N	\N	\N
1215024	4159	1997-06-18	PRIJEM	VKLAD	700	45767	\N	\N	\N
1215025	4159	1998-07-18	PRIJEM	VKLAD	700	65549	\N	\N	\N
1215026	4159	1998-08-18	PRIJEM	VKLAD	700	58830	\N	\N	\N
1215027	4159	1998-09-18	PRIJEM	VKLAD	700	55769	\N	\N	\N
1215028	4159	1998-10-18	PRIJEM	VKLAD	700	54389	\N	\N	\N
1215029	4159	1998-11-18	PRIJEM	VKLAD	700	55600	\N	\N	\N
1215030	4159	1998-12-18	PRIJEM	VKLAD	700	55211	\N	\N	\N
1215032	4159	1994-06-05	VYDAJ	VYBER	16600	16449	\N	\N	\N
1215033	4159	1995-06-13	VYDAJ	VYBER	14200	60018	\N	\N	\N
1215034	4159	1996-06-26	VYDAJ	VYBER	22100	15476	\N	\N	\N
1215035	4159	1997-06-25	VYDAJ	VYBER	15500	30267	\N	\N	\N
1215036	4159	1998-06-09	VYDAJ	VYBER	4700	54074	\N	\N	\N
1215039	4159	1995-01-13	VYDAJ	VYBER	7500	21319	\N	\N	\N
1215040	4159	1996-01-09	VYDAJ	VYBER	6200	29615	\N	\N	\N
1215041	4159	1997-01-13	VYDAJ	VYBER	9000	37136	\N	\N	\N
1215042	4159	1998-01-07	VYDAJ	VYBER	5600	41886	\N	\N	\N
1215045	4159	1995-06-08	VYDAJ	VYBER	5800	24359	\N	\N	\N
1215047	4159	1997-06-15	VYDAJ	VYBER	13900	33567	\N	\N	\N
1215048	4159	1998-06-18	VYDAJ	VYBER	28300	25074	\N	\N	\N
1215050	4159	1994-01-27	VYDAJ	VYBER	8200	19558	\N	\N	\N
1215051	4159	1995-01-08	VYDAJ	VYBER	1000	29619	\N	\N	\N
1215052	4159	1996-01-18	VYDAJ	VYBER	6100	23615	\N	\N	\N
1215053	4159	1997-01-08	VYDAJ	VYBER	2600	46536	\N	\N	\N
1215054	4159	1998-01-19	VYDAJ	VYBER	3500	43886	\N	\N	\N
1215055	4159	1993-12-02	VYDAJ	VYBER	2100	18846	\N	\N	\N
1215056	4159	1994-12-08	VYDAJ	VYBER	2400	35474	\N	\N	\N
1215057	4159	1995-12-12	VYDAJ	VYBER	1400	46638	\N	\N	\N
1215058	4159	1996-12-12	VYDAJ	VYBER	1600	52534	\N	\N	\N
1215059	4159	1997-12-01	VYDAJ	VYBER	2900	55875	\N	\N	\N
1215060	4159	1998-12-21	VYDAJ	VYBER KARTOU	2200	53011	\N	\N	0
1215067	4159	1994-01-05	VYDAJ	VYBER	950	30258	\N	\N	\N
1215068	4159	1994-01-08	VYDAJ	VYBER	1000	28208	\N	\N	\N
1215069	4159	1994-01-06	VYDAJ	VYBER	450	29808	\N	\N	\N
1215070	4159	1994-01-08	VYDAJ	VYBER	600	29208	\N	\N	\N
1215071	4159	1994-01-29	VYDAJ	VYBER	800	18758	\N	\N	\N
1215072	4159	1994-01-09	VYDAJ	VYBER	850	27358	\N	\N	\N
1215073	4159	1995-01-21	VYDAJ	VYBER	1050	20669	\N	\N	\N
1215074	4159	1995-01-09	VYDAJ	VYBER	800	28819	\N	\N	\N
1215075	4159	1995-01-27	VYDAJ	VYBER	650	18769	\N	\N	\N
1215076	4159	1995-01-05	VYDAJ	VYBER	700	30619	\N	\N	\N
1215077	4159	1995-01-23	VYDAJ	VYBER	350	19419	\N	\N	\N
1215078	4159	1995-01-21	VYDAJ	VYBER	900	19769	\N	\N	\N
1215079	4159	1996-01-22	VYDAJ	VYBER	1250	22365	\N	\N	\N
1215080	4159	1996-01-26	VYDAJ	VYBER	750	29915	\N	\N	\N
1215081	4159	1996-01-09	VYDAJ	VYBER	300	29315	\N	\N	\N
1215082	4159	1996-01-04	VYDAJ	VYBER	800	36665	\N	\N	\N
1215083	4159	1996-01-01	VYDAJ	VYBER	950	37465	\N	\N	\N
1215084	4159	1996-01-08	VYDAJ	VYBER	850	35815	\N	\N	\N
1215085	4159	1997-01-03	VYDAJ	VYBER	700	49136	\N	\N	\N
1215086	4159	1997-01-09	VYDAJ	VYBER	400	46136	\N	\N	\N
1215087	4159	1997-01-18	VYDAJ	VYBER	1200	35786	\N	\N	\N
1215088	4159	1997-01-19	VYDAJ	VYBER	1100	38836	\N	\N	\N
1215089	4159	1997-01-17	VYDAJ	VYBER	1250	36286	\N	\N	\N
1215090	4159	1997-01-19	VYDAJ	VYBER	1450	39936	\N	\N	\N
1215091	4159	1998-01-29	VYDAJ	VYBER	1250	42086	\N	\N	\N
1215092	4159	1998-01-05	VYDAJ	VYBER	1250	49736	\N	\N	\N
1215093	4159	1998-01-02	VYDAJ	VYBER	700	50986	\N	\N	\N
1215094	4159	1998-01-20	VYDAJ	VYBER	550	43336	\N	\N	\N
1215095	4159	1998-01-30	VYDAJ	VYBER	850	41236	\N	\N	\N
1215096	4159	1998-01-10	VYDAJ	VYBER	1200	40686	\N	\N	\N
1215099	4159	1994-08-18	VYDAJ	VYBER	2150	20527	\N	\N	\N
1215100	4159	1994-09-26	VYDAJ	VYBER	1200	21997	\N	\N	\N
1215101	4159	1994-10-18	VYDAJ	VYBER	600	24473	\N	\N	\N
1215102	4159	1994-12-08	VYDAJ	VYBER	300	35174	\N	\N	\N
1215103	4159	1994-05-16	VYDAJ	VYBER	1100	37411	\N	\N	\N
1215104	4159	1994-11-28	VYDAJ	VYBER	1500	48688	\N	\N	\N
1215105	4159	1995-10-15	VYDAJ	VYBER	1700	36574	\N	\N	\N
1215106	4159	1995-04-14	VYDAJ	VYBER	1850	23024	\N	\N	\N
1215107	4159	1995-12-30	VYDAJ	VYBER	1900	38238	\N	\N	\N
1215108	4159	1995-09-19	VYDAJ	VYBER	2200	35934	\N	\N	\N
1215109	4159	1995-04-10	VYDAJ	VYBER	350	24874	\N	\N	\N
1215110	4159	1995-04-30	VYDAJ	VYBER	2050	25075	\N	\N	\N
1215111	4159	1995-03-10	VYDAJ	VYBER	1900	23739	\N	\N	\N
1215112	4159	1996-07-30	VYDAJ	VYBER	550	24951	\N	\N	\N
1215113	4159	1996-10-29	VYDAJ	VYBER	950	64093	\N	\N	\N
1215114	4159	1996-04-05	VYDAJ	VYBER	1700	37287	\N	\N	\N
1215115	4159	1996-08-10	VYDAJ	VYBER	850	24163	\N	\N	\N
1215116	4159	1997-05-12	VYDAJ	VYBER	1400	43991	\N	\N	\N
1215117	4159	1997-12-14	VYDAJ	VYBER	650	55625	\N	\N	\N
1215118	4159	1997-03-19	VYDAJ	VYBER	950	55411	\N	\N	\N
1215119	4159	1997-12-15	VYDAJ	VYBER	1250	51475	\N	\N	\N
1215120	4159	1997-10-26	VYDAJ	VYBER	1000	59004	\N	\N	\N
1215121	4159	1997-08-09	VYDAJ	VYBER	1650	85640	\N	\N	\N
1215122	4159	1998-11-10	VYDAJ	VYBER KARTOU	1100	54500	\N	\N	0
1215123	4159	1998-01-07	VYDAJ	VYBER	2250	47486	\N	\N	\N
1215124	4159	1998-05-23	VYDAJ	VYBER KARTOU	1500	58551	\N	\N	0
1215125	4159	1998-07-09	VYDAJ	VYBER KARTOU	1600	23636	\N	\N	0
1215137	4159	1993-11-30	VYDAJ	VYBER	15	20946	SLUZBY	\N	\N
1215138	4159	1993-12-31	VYDAJ	VYBER	15	33408	SLUZBY	\N	\N
1215139	4159	1994-01-31	VYDAJ	VYBER	15	18856	SLUZBY	\N	\N
1215140	4159	1994-02-28	VYDAJ	VYBER	15	22027	SLUZBY	\N	\N
1215141	4159	1994-03-31	VYDAJ	VYBER	15	23407	SLUZBY	\N	\N
1215142	4159	1994-04-30	VYDAJ	VYBER	15	26296	SLUZBY	\N	\N
1215143	4159	1994-05-31	VYDAJ	VYBER	15	37949	SLUZBY	\N	\N
1215144	4159	1994-06-30	VYDAJ	VYBER	15	16915	SLUZBY	\N	\N
1215145	4159	1994-07-31	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
1215146	4159	1994-08-31	VYDAJ	VYBER	15	20597	SLUZBY	\N	\N
1215147	4159	1994-09-30	VYDAJ	VYBER	15	22073	SLUZBY	\N	\N
1215148	4159	1994-10-31	VYDAJ	VYBER	15	24556	SLUZBY	\N	\N
1215149	4159	1994-11-30	VYDAJ	VYBER	15	48874	SLUZBY	\N	\N
1215150	4159	1994-12-31	VYDAJ	VYBER	15	31319	SLUZBY	\N	\N
1215151	4159	1995-01-31	VYDAJ	VYBER	15	23356	SLUZBY	\N	\N
1215152	4159	1995-02-28	VYDAJ	VYBER	15	23839	SLUZBY	\N	\N
1215153	4159	1995-03-31	VYDAJ	VYBER	15	25224	SLUZBY	\N	\N
1215154	4159	1995-04-30	VYDAJ	VYBER	15	25061	SLUZBY	\N	\N
1215155	4159	1995-05-31	VYDAJ	VYBER	15	30159	SLUZBY	\N	\N
1215156	4159	1995-06-30	VYDAJ	VYBER	15	47901	SLUZBY	\N	\N
1215157	4159	1995-07-31	VYDAJ	VYBER	15	40283	SLUZBY	\N	\N
1215158	4159	1995-08-31	VYDAJ	VYBER	15	37734	SLUZBY	\N	\N
1215159	4159	1995-09-30	VYDAJ	VYBER	15	37874	SLUZBY	\N	\N
1215160	4159	1995-10-31	VYDAJ	VYBER	15	38915	SLUZBY	\N	\N
1215161	4159	1995-11-30	VYDAJ	VYBER	15	48038	SLUZBY	\N	\N
1215162	4159	1995-12-31	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
1215163	4159	1996-01-31	VYDAJ	VYBER	15	30025	SLUZBY	\N	\N
1215164	4159	1996-02-29	VYDAJ	VYBER	15	38442	SLUZBY	\N	\N
1215165	4159	1996-03-31	VYDAJ	VYBER	15	38987	SLUZBY	\N	\N
1215166	4159	1996-04-30	VYDAJ	VYBER	15	38632	SLUZBY	\N	\N
1215167	4159	1996-05-31	VYDAJ	VYBER	15	37476	SLUZBY	\N	\N
1215168	4159	1996-06-30	VYDAJ	VYBER	15	15601	SLUZBY	\N	\N
1215169	4159	1996-07-31	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
1215170	4159	1996-08-31	VYDAJ	VYBER	15	30458	SLUZBY	\N	\N
1215171	4159	1996-09-30	VYDAJ	VYBER	15	37680	SLUZBY	\N	\N
1215172	4159	1996-10-31	VYDAJ	VYBER	15	64298	SLUZBY	\N	\N
1215173	4159	1996-11-30	VYDAJ	VYBER	15	54134	SLUZBY	\N	\N
1215174	4159	1996-12-31	VYDAJ	VYBER	15	49836	SLUZBY	\N	\N
1215175	4159	1997-01-31	VYDAJ	VYBER	15	67098	SLUZBY	\N	\N
1215176	4159	1997-02-28	VYDAJ	VYBER	15	55261	SLUZBY	\N	\N
1215177	4159	1997-03-31	VYDAJ	VYBER	15	47813	SLUZBY	\N	\N
1215178	4159	1997-04-30	VYDAJ	VYBER	15	45391	SLUZBY	\N	\N
1215179	4159	1997-05-31	VYDAJ	VYBER	15	47467	SLUZBY	\N	\N
1215180	4159	1997-06-30	VYDAJ	VYBER	15	30430	SLUZBY	\N	\N
1215181	4159	1997-07-31	VYDAJ	VYBER	15	43364	SLUZBY	\N	\N
1215182	4159	1997-08-31	VYDAJ	VYBER	15	72933	SLUZBY	\N	\N
1215183	4159	1997-09-30	VYDAJ	VYBER	15	65304	SLUZBY	\N	\N
1215184	4159	1997-10-31	VYDAJ	VYBER	15	59247	SLUZBY	\N	\N
1215185	4159	1997-11-30	VYDAJ	VYBER	15	58775	SLUZBY	\N	\N
1215186	4159	1997-12-31	VYDAJ	VYBER	15	51686	SLUZBY	\N	\N
1215187	4159	1998-01-31	VYDAJ	VYBER	15	41407	SLUZBY	\N	\N
1215188	4159	1998-02-28	VYDAJ	VYBER	15	48075	SLUZBY	\N	\N
1215189	4159	1998-03-31	VYDAJ	VYBER	15	51664	SLUZBY	\N	\N
1215190	4159	1998-04-30	VYDAJ	VYBER	15	55770	SLUZBY	\N	\N
1215191	4159	1998-05-31	VYDAJ	VYBER	15	58774	SLUZBY	\N	\N
1215192	4159	1998-06-30	VYDAJ	VYBER	15	25236	SLUZBY	\N	\N
1215193	4159	1998-07-31	VYDAJ	VYBER	15	65730	SLUZBY	\N	\N
1215194	4159	1998-08-31	VYDAJ	VYBER	15	59069	SLUZBY	\N	\N
1215195	4159	1998-09-30	VYDAJ	VYBER	15	55989	SLUZBY	\N	\N
1215196	4159	1998-10-31	VYDAJ	VYBER	15	54600	SLUZBY	\N	\N
1215197	4159	1998-11-30	VYDAJ	VYBER	15	55811	SLUZBY	\N	\N
1215198	4159	1993-08-08	PRIJEM	VKLAD	12100	12701	\N	\N	\N
1215199	4159	1993-09-07	PRIJEM	VKLAD	3200	16334	\N	\N	\N
1215200	4159	1993-10-07	PRIJEM	VKLAD	3300	20097	\N	\N	\N
1215201	4159	1993-11-06	VYDAJ	VYBER	100	20474	\N	\N	\N
1215202	4159	1993-12-06	VYDAJ	VYBER	13100	32889	\N	\N	\N
1215203	4159	1994-01-05	VYDAJ	VYBER	2200	31208	\N	\N	\N
1215204	4159	1994-02-04	PRIJEM	VKLAD	2700	21556	\N	\N	\N
1215205	4159	1994-03-06	PRIJEM	VKLAD	900	22927	\N	\N	\N
1215206	4159	1994-04-05	PRIJEM	VKLAD	2400	25807	\N	\N	\N
1215207	4159	1994-05-05	VYDAJ	VYBER	14100	38511	\N	\N	\N
1215208	4159	1994-06-04	VYDAJ	VYBER	4900	33049	\N	\N	\N
1215209	4159	1994-07-04	PRIJEM	VKLAD	2400	19315	\N	\N	\N
1215210	4159	1994-08-03	PRIJEM	VKLAD	2500	22277	\N	\N	\N
1215211	4159	1994-09-02	PRIJEM	VKLAD	2200	22797	\N	\N	\N
1215212	4159	1994-10-02	PRIJEM	VKLAD	2600	24673	\N	\N	\N
1215213	4159	1994-11-01	VYDAJ	VYBER	1600	22956	\N	\N	\N
1215214	4159	1994-12-01	VYDAJ	VYBER	11000	37874	\N	\N	\N
1215215	4159	1994-12-31	VYDAJ	VYBER	4400	31334	\N	\N	\N
1215216	4159	1995-01-30	PRIJEM	VKLAD	4500	23269	\N	\N	\N
1215217	4159	1995-03-01	PRIJEM	VKLAD	1800	25639	\N	\N	\N
1215218	4159	1995-03-31	PRIJEM	VKLAD	1000	25139	\N	\N	\N
1215219	4159	1995-04-30	PRIJEM	VKLAD	3600	27125	\N	\N	\N
1215220	4159	1995-05-30	PRIJEM	VKLAD	4600	30061	\N	\N	\N
1215221	4159	1995-06-29	VYDAJ	VYBER	12700	47718	\N	\N	\N
1215222	4159	1995-07-29	VYDAJ	VYBER	8200	40101	\N	\N	\N
1215223	4159	1995-08-28	VYDAJ	VYBER	3100	37583	\N	\N	\N
1215224	4159	1995-09-27	PRIJEM	VKLAD	1800	37734	\N	\N	\N
1215225	4159	1995-10-27	PRIJEM	VKLAD	2200	38774	\N	\N	\N
1215226	4159	1995-11-26	VYDAJ	VYBER	7800	47866	\N	\N	\N
1215227	4159	1995-12-26	VYDAJ	VYBER	6900	40138	\N	\N	\N
1215228	4159	1996-01-25	PRIJEM	VKLAD	8300	30665	\N	\N	\N
1215229	4159	1996-02-24	PRIJEM	VKLAD	7900	38325	\N	\N	\N
1215230	4159	1996-04-24	PRIJEM	VKLAD	800	38487	\N	\N	\N
1215231	4159	1996-05-24	VYDAJ	VYBER	1700	37332	\N	\N	\N
1215232	4159	1996-06-23	VYDAJ	VYBER	300	37576	\N	\N	\N
1215233	4159	1996-07-23	PRIJEM	VKLAD	8800	25501	\N	\N	\N
1215234	4159	1996-08-22	PRIJEM	VKLAD	5100	30363	\N	\N	\N
1215235	4159	1996-09-21	PRIJEM	VKLAD	6000	37558	\N	\N	\N
1215236	4159	1996-10-21	VYDAJ	VYBER	26000	65043	\N	\N	\N
1215237	4159	1996-11-20	VYDAJ	VYBER	11500	53898	\N	\N	\N
1215238	4159	1996-12-20	VYDAJ	VYBER	4000	49634	\N	\N	\N
1215239	4159	1997-01-19	PRIJEM	VKLAD	5600	41386	\N	\N	\N
1215240	4159	1997-02-18	VYDAJ	VYBER	13200	54998	\N	\N	\N
1215241	4159	1997-03-20	VYDAJ	VYBER	7800	47611	\N	\N	\N
1215242	4159	1997-04-19	VYDAJ	VYBER	3700	45213	\N	\N	\N
1215243	4159	1997-05-19	PRIJEM	VKLAD	2200	47291	\N	\N	\N
1215244	4159	1997-06-18	PRIJEM	VKLAD	11100	45067	\N	\N	\N
1215245	4159	1997-07-18	PRIJEM	VKLAD	12400	43230	\N	\N	\N
1215246	4159	1997-08-17	VYDAJ	VYBER	13400	72640	\N	\N	\N
1215247	4159	1997-09-16	VYDAJ	VYBER	8300	65033	\N	\N	\N
1215248	4159	1997-10-16	VYDAJ	VYBER	5700	59604	\N	\N	\N
1215249	4159	1997-11-15	VYDAJ	VYBER	1100	58147	\N	\N	\N
1215250	4159	1997-12-15	VYDAJ	VYBER	2900	52725	\N	\N	\N
1215251	4159	1998-01-14	PRIJEM	VKLAD	6300	46986	\N	\N	\N
1215252	4159	1998-02-13	PRIJEM	VKLAD	6100	47507	\N	\N	\N
1215253	4159	1998-03-15	PRIJEM	VKLAD	3000	51075	\N	\N	\N
1215254	4159	1998-04-14	PRIJEM	VKLAD	3500	55564	\N	\N	\N
1215255	4159	1998-05-14	VYDAJ	VYBER	600	59651	\N	\N	\N
1215256	4159	1998-06-13	VYDAJ	VYBER KARTOU	1100	52974	\N	\N	0
1215257	4159	1998-07-13	PRIJEM	VKLAD	18400	42036	\N	\N	\N
1215258	4159	1998-08-12	VYDAJ	VYBER	8000	57730	\N	\N	\N
1215259	4159	1998-09-11	VYDAJ	VYBER	4400	54669	\N	\N	\N
1215260	4159	1998-10-11	VYDAJ	VYBER KARTOU	2700	53289	\N	\N	0
1215261	4159	1998-11-10	PRIJEM	VKLAD	1000	55600	\N	\N	\N
1215262	4159	1998-12-10	VYDAJ	VYBER KARTOU	1700	54111	\N	\N	0
1215511	4161	1995-02-23	PRIJEM	VKLAD	500	500	\N	\N	\N
1215514	4161	1995-03-13	PRIJEM	VKLAD	11171	11671	\N	\N	\N
1215515	4161	1995-04-13	PRIJEM	VKLAD	11171	29559	\N	\N	\N
1215516	4161	1995-05-13	PRIJEM	VKLAD	11171	39216	\N	\N	\N
1215517	4161	1995-06-13	PRIJEM	VKLAD	16756	50595	\N	\N	\N
1215518	4161	1995-07-13	PRIJEM	VKLAD	11171	49011	\N	\N	\N
1215519	4161	1995-08-13	PRIJEM	VKLAD	11171	45921	\N	\N	\N
1215520	4161	1995-09-13	PRIJEM	VKLAD	11171	43618	\N	\N	\N
1215521	4161	1995-10-13	PRIJEM	VKLAD	11171	46914	\N	\N	\N
1215522	4161	1995-11-13	PRIJEM	VKLAD	11171	45618	\N	\N	\N
1215523	4161	1995-12-13	PRIJEM	VKLAD	16756	52304	\N	\N	\N
1215524	4161	1996-01-13	PRIJEM	VKLAD	11171	42110	\N	\N	\N
1215525	4161	1996-02-13	PRIJEM	VKLAD	11171	34603	\N	\N	\N
1215526	4161	1996-03-13	PRIJEM	VKLAD	11171	38475	\N	\N	\N
1215527	4161	1996-04-13	PRIJEM	VKLAD	11171	37044	\N	\N	\N
1215528	4161	1996-05-13	PRIJEM	VKLAD	11171	37410	\N	\N	\N
1215529	4161	1996-06-13	PRIJEM	VKLAD	16756	32475	\N	\N	\N
1215530	4161	1996-07-13	PRIJEM	VKLAD	11171	41664	\N	\N	\N
1215531	4161	1996-08-13	PRIJEM	VKLAD	11171	41647	\N	\N	\N
1215532	4161	1996-09-13	PRIJEM	VKLAD	11171	43234	\N	\N	\N
1215533	4161	1996-10-13	PRIJEM	VKLAD	11171	47933	\N	\N	\N
1215534	4161	1996-11-13	PRIJEM	VKLAD	11171	49045	\N	\N	\N
1215535	4161	1996-12-13	PRIJEM	VKLAD	16756	54042	\N	\N	\N
1215536	4161	1997-01-13	PRIJEM	VKLAD	11171	46065	\N	\N	\N
1215537	4161	1997-02-13	PRIJEM	VKLAD	11171	41990	\N	\N	\N
1215538	4161	1997-03-13	PRIJEM	VKLAD	11171	53298	\N	\N	\N
1215539	4161	1997-04-13	PRIJEM	VKLAD	11171	52931	\N	\N	\N
1215540	4161	1997-05-13	PRIJEM	VKLAD	11171	52059	\N	\N	\N
1215541	4161	1997-06-13	PRIJEM	VKLAD	16756	54398	\N	\N	\N
1215542	4161	1997-07-13	PRIJEM	VKLAD	11171	38193	\N	\N	\N
1215543	4161	1997-08-13	PRIJEM	VKLAD	11171	48086	\N	\N	\N
1215544	4161	1997-09-13	PRIJEM	VKLAD	11171	48427	\N	\N	\N
1215545	4161	1997-10-13	PRIJEM	VKLAD	11171	50179	\N	\N	\N
1215546	4161	1997-11-13	PRIJEM	VKLAD	11171	52037	\N	\N	\N
1215547	4161	1997-12-13	PRIJEM	VKLAD	16756	59791	\N	\N	\N
1215548	4161	1998-01-13	PRIJEM	VKLAD	11171	52783	\N	\N	\N
1215549	4161	1998-02-13	PRIJEM	VKLAD	11171	50346	\N	\N	\N
1215550	4161	1998-03-13	PRIJEM	VKLAD	11171	52205	\N	\N	\N
1215551	4161	1998-04-13	PRIJEM	VKLAD	11171	55075	\N	\N	\N
1215552	4161	1998-05-13	PRIJEM	VKLAD	11171	56555	\N	\N	\N
1215553	4161	1998-06-13	PRIJEM	VKLAD	16756	65923	\N	\N	\N
1215554	4161	1998-07-13	PRIJEM	VKLAD	11171	58511	\N	\N	\N
1215555	4161	1998-08-13	PRIJEM	VKLAD	11171	59902	\N	\N	\N
1215556	4161	1998-09-13	PRIJEM	VKLAD	11171	67197	\N	\N	\N
1215557	4161	1998-10-13	PRIJEM	VKLAD	11171	70919	\N	\N	\N
1215558	4161	1998-11-13	PRIJEM	VKLAD	11171	70963	\N	\N	\N
1215559	4161	1998-12-13	PRIJEM	VKLAD	16756	81692	\N	\N	\N
1215561	4161	1996-06-01	VYDAJ	VYBER	18100	15719	\N	\N	\N
1215562	4161	1997-06-14	VYDAJ	VYBER	27100	27298	\N	\N	\N
1215563	4161	1998-06-17	VYDAJ	VYBER	11200	54723	\N	\N	\N
1215564	4161	1995-12-21	VYDAJ	VYBER	2200	36104	\N	\N	\N
1215565	4161	1996-12-29	VYDAJ	VYBER	1500	40742	\N	\N	\N
1215566	4161	1997-12-27	VYDAJ	VYBER	1000	58791	\N	\N	\N
1215567	4161	1998-12-14	VYDAJ	VYBER KARTOU	2200	79492	\N	\N	0
1215574	4161	1996-01-16	VYDAJ	VYBER	900	41210	\N	\N	\N
1215575	4161	1996-01-20	VYDAJ	VYBER	2700	26610	\N	\N	\N
1215576	4161	1996-01-19	VYDAJ	VYBER	2500	38710	\N	\N	\N
1215577	4161	1996-01-01	VYDAJ	VYBER	2700	33539	\N	\N	\N
1215578	4161	1996-01-12	VYDAJ	VYBER	2600	30939	\N	\N	\N
1215579	4161	1996-01-24	VYDAJ	VYBER	1300	25310	\N	\N	\N
1215580	4161	1997-01-01	VYDAJ	VYBER	2500	38394	\N	\N	\N
1215581	4161	1997-01-01	VYDAJ	VYBER	1000	37394	\N	\N	\N
1215582	4161	1997-01-30	VYDAJ	VYBER	1600	29565	\N	\N	\N
1215583	4161	1997-01-29	VYDAJ	VYBER	2100	31165	\N	\N	\N
1215584	4161	1997-01-13	VYDAJ	VYBER	1500	33265	\N	\N	\N
1215585	4161	1997-01-04	VYDAJ	VYBER	2500	34894	\N	\N	\N
1215586	4161	1998-01-17	VYDAJ	VYBER	2500	48383	\N	\N	\N
1215587	4161	1998-01-10	VYDAJ	VYBER	2100	41612	\N	\N	\N
1215588	4161	1998-01-15	VYDAJ	VYBER	1900	50883	\N	\N	\N
1215589	4161	1998-01-07	VYDAJ	VYBER	1200	57812	\N	\N	\N
1215590	4161	1998-01-09	VYDAJ	VYBER	2100	43712	\N	\N	\N
1215591	4161	1998-01-20	VYDAJ	VYBER	1100	47283	\N	\N	\N
1215596	4161	1996-04-23	VYDAJ	VYBER	2300	26144	\N	\N	\N
1215597	4161	1996-02-07	VYDAJ	VYBER	2000	23432	\N	\N	\N
1215598	4161	1996-03-22	VYDAJ	VYBER	4300	25775	\N	\N	\N
1215599	4161	1997-03-24	VYDAJ	VYBER	1600	41598	\N	\N	\N
1215600	4161	1997-04-21	VYDAJ	VYBER	900	40731	\N	\N	\N
1215601	4161	1997-10-05	VYDAJ	VYBER	3500	45108	\N	\N	\N
1215602	4161	1997-04-18	VYDAJ	VYBER	600	41631	\N	\N	\N
1215603	4161	1997-09-05	VYDAJ	VYBER	2000	46256	\N	\N	\N
1215604	4161	1997-06-15	VYDAJ	VYBER	2300	24998	\N	\N	\N
1215605	4161	1998-10-31	VYDAJ	VYBER KARTOU	3700	67507	\N	\N	0
1215606	4161	1998-07-29	VYDAJ	VYBER	4300	54211	\N	\N	\N
1215607	4161	1998-05-18	VYDAJ	VYBER	2800	53755	\N	\N	\N
1215608	4161	1998-12-30	VYDAJ	VYBER	4500	74992	\N	\N	\N
1215616	4161	1995-07-31	VYDAJ	VYBER	15	34750	SLUZBY	\N	\N
1215617	4161	1995-08-31	VYDAJ	VYBER	15	32447	SLUZBY	\N	\N
1215618	4161	1995-09-30	VYDAJ	VYBER	15	35743	SLUZBY	\N	\N
1215619	4161	1995-10-31	VYDAJ	VYBER	15	34447	SLUZBY	\N	\N
1215620	4161	1995-11-30	VYDAJ	VYBER	15	35548	SLUZBY	\N	\N
1215621	4161	1995-12-31	VYDAJ	VYBER	15	36239	SLUZBY	\N	\N
1215622	4161	1996-01-31	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
1215623	4161	1996-02-29	VYDAJ	VYBER	15	27304	SLUZBY	\N	\N
1215624	4161	1996-03-31	VYDAJ	VYBER	15	25873	SLUZBY	\N	\N
1215625	4161	1996-04-30	VYDAJ	VYBER	15	26239	SLUZBY	\N	\N
1215626	4161	1996-05-31	VYDAJ	VYBER	15	33819	SLUZBY	\N	\N
1215627	4161	1996-06-30	VYDAJ	VYBER	15	30493	SLUZBY	\N	\N
1215628	4161	1996-07-31	VYDAJ	VYBER	15	30476	SLUZBY	\N	\N
1215629	4161	1996-08-31	VYDAJ	VYBER	15	32063	SLUZBY	\N	\N
1215630	4161	1996-09-30	VYDAJ	VYBER	15	36762	SLUZBY	\N	\N
1215631	4161	1996-10-31	VYDAJ	VYBER	15	37874	SLUZBY	\N	\N
1215632	4161	1996-11-30	VYDAJ	VYBER	15	37286	SLUZBY	\N	\N
1215633	4161	1996-12-31	VYDAJ	VYBER	15	40894	SLUZBY	\N	\N
1215634	4161	1997-01-31	VYDAJ	VYBER	15	29719	SLUZBY	\N	\N
1215635	4161	1997-02-28	VYDAJ	VYBER	15	42127	SLUZBY	\N	\N
1215636	4161	1997-03-31	VYDAJ	VYBER	15	41760	SLUZBY	\N	\N
1215637	4161	1997-04-30	VYDAJ	VYBER	15	40888	SLUZBY	\N	\N
1215638	4161	1997-05-31	VYDAJ	VYBER	15	43542	SLUZBY	\N	\N
1215639	4161	1997-06-30	VYDAJ	VYBER	15	25122	SLUZBY	\N	\N
1215640	4161	1997-07-31	VYDAJ	VYBER	15	38315	SLUZBY	\N	\N
1215641	4161	1997-08-31	VYDAJ	VYBER	15	48256	SLUZBY	\N	\N
1215642	4161	1997-09-30	VYDAJ	VYBER	15	48608	SLUZBY	\N	\N
1215643	4161	1997-10-31	VYDAJ	VYBER	15	50366	SLUZBY	\N	\N
1215644	4161	1997-11-30	VYDAJ	VYBER	15	52235	SLUZBY	\N	\N
1215645	4161	1997-12-31	VYDAJ	VYBER	15	59012	SLUZBY	\N	\N
1215646	4161	1998-01-31	VYDAJ	VYBER	15	47475	SLUZBY	\N	\N
1215647	4161	1998-02-28	VYDAJ	VYBER	15	50534	SLUZBY	\N	\N
1215648	4161	1998-03-31	VYDAJ	VYBER	15	52404	SLUZBY	\N	\N
1215649	4161	1998-04-30	VYDAJ	VYBER	15	55284	SLUZBY	\N	\N
1215650	4161	1998-05-31	VYDAJ	VYBER	15	53967	SLUZBY	\N	\N
1215651	4161	1998-06-30	VYDAJ	VYBER	15	54940	SLUZBY	\N	\N
1215652	4161	1998-07-31	VYDAJ	VYBER	15	54431	SLUZBY	\N	\N
1215653	4161	1998-08-31	VYDAJ	VYBER	15	60126	SLUZBY	\N	\N
1215654	4161	1998-09-30	VYDAJ	VYBER	15	67448	SLUZBY	\N	\N
1215655	4161	1998-10-31	VYDAJ	VYBER	15	67492	SLUZBY	\N	\N
1215656	4161	1998-11-30	VYDAJ	VYBER	15	71236	SLUZBY	\N	\N
1215657	4161	1995-03-25	PRIJEM	VKLAD	6700	18371	\N	\N	\N
1215658	4161	1995-04-24	VYDAJ	VYBER	1600	27959	\N	\N	\N
1215659	4161	1995-05-24	VYDAJ	VYBER	5500	33716	\N	\N	\N
1215660	4161	1995-06-23	VYDAJ	VYBER	12900	37695	\N	\N	\N
1215661	4161	1995-07-23	VYDAJ	VYBER	14400	34611	\N	\N	\N
1215662	4161	1995-08-22	VYDAJ	VYBER	13600	32321	\N	\N	\N
1215663	4161	1995-09-21	VYDAJ	VYBER	8000	35618	\N	\N	\N
1215664	4161	1995-10-21	VYDAJ	VYBER	12600	34314	\N	\N	\N
1215665	4161	1995-11-20	VYDAJ	VYBER	10200	35418	\N	\N	\N
1215666	4161	1995-12-20	VYDAJ	VYBER	14000	38304	\N	\N	\N
1215667	4161	1996-01-19	VYDAJ	VYBER	9400	29310	\N	\N	\N
1215668	4161	1996-02-18	VYDAJ	VYBER	7400	27203	\N	\N	\N
1215669	4161	1996-03-19	VYDAJ	VYBER	8400	30075	\N	\N	\N
1215670	4161	1996-04-18	VYDAJ	VYBER	8600	28444	\N	\N	\N
1215671	4161	1996-05-18	VYDAJ	VYBER	3700	33710	\N	\N	\N
1215672	4161	1996-06-17	VYDAJ	VYBER	2100	30375	\N	\N	\N
1215673	4161	1996-07-17	VYDAJ	VYBER	11300	30364	\N	\N	\N
1215674	4161	1996-08-16	VYDAJ	VYBER	9700	31947	\N	\N	\N
1215675	4161	1996-09-15	VYDAJ	VYBER	6600	36634	\N	\N	\N
1215676	4161	1996-10-15	VYDAJ	VYBER	10200	37733	\N	\N	\N
1215677	4161	1996-11-14	VYDAJ	VYBER	11900	37145	\N	\N	\N
1215678	4161	1996-12-14	VYDAJ	VYBER	11800	42242	\N	\N	\N
1215679	4161	1997-01-13	VYDAJ	VYBER	11300	34765	\N	\N	\N
1215680	4161	1997-02-12	PRIJEM	VKLAD	1100	30819	\N	\N	\N
1215681	4161	1997-03-14	VYDAJ	VYBER	10100	43198	\N	\N	\N
1215682	4161	1997-04-13	VYDAJ	VYBER	10700	42231	\N	\N	\N
1215683	4161	1997-05-13	VYDAJ	VYBER	8700	43359	\N	\N	\N
1215684	4161	1997-06-12	VYDAJ	VYBER	5900	37642	\N	\N	\N
1215685	4161	1997-07-12	PRIJEM	VKLAD	1900	27022	\N	\N	\N
1215686	4161	1997-08-11	VYDAJ	VYBER	1400	36915	\N	\N	\N
1215687	4161	1997-09-10	VYDAJ	VYBER	9000	37256	\N	\N	\N
1215688	4161	1997-10-10	VYDAJ	VYBER	6100	39008	\N	\N	\N
1215689	4161	1997-11-09	VYDAJ	VYBER	9500	40866	\N	\N	\N
1215690	4161	1997-12-09	VYDAJ	VYBER	9200	43035	\N	\N	\N
1215691	4161	1998-01-08	VYDAJ	VYBER	12000	45812	\N	\N	\N
1215692	4161	1998-02-07	VYDAJ	VYBER	8300	39175	\N	\N	\N
1215693	4161	1998-03-09	VYDAJ	VYBER	9500	41034	\N	\N	\N
1215694	4161	1998-04-08	VYDAJ	VYBER	8500	43904	\N	\N	\N
1215695	4161	1998-05-08	VYDAJ	VYBER	9900	45384	\N	\N	\N
1215696	4161	1998-06-07	VYDAJ	VYBER	4800	49167	\N	\N	\N
1215697	4161	1998-07-07	VYDAJ	VYBER	7600	47340	\N	\N	\N
1215698	4161	1998-08-06	VYDAJ	VYBER	5700	48731	\N	\N	\N
1215699	4161	1998-09-05	VYDAJ	VYBER	4100	56026	\N	\N	\N
1215700	4161	1998-10-05	VYDAJ	VYBER	7700	59748	\N	\N	\N
1215701	4161	1998-11-04	VYDAJ	VYBER	7700	59792	\N	\N	\N
1215702	4161	1998-12-04	VYDAJ	VYBER	6300	64936	\N	\N	\N
1218413	4171	1993-06-12	PRIJEM	VKLAD	700	700	\N	\N	\N
1218415	4171	1993-09-30	PRIJEM	VKLAD	19700	46054	\N	\N	\N
1218417	4171	1993-09-04	PRIJEM	VKLAD	10554	27554	\N	\N	\N
1218419	4171	1994-05-04	PRIJEM	VKLAD	49827	122119	\N	\N	\N
1218420	4171	1994-10-15	PRIJEM	VKLAD	30627	73130	\N	\N	\N
1218421	4171	1994-04-16	PRIJEM	VKLAD	19907	75186	\N	\N	\N
1218422	4171	1994-04-14	PRIJEM	VKLAD	9660	55279	\N	\N	\N
1218423	4171	1994-04-06	PRIJEM	VKLAD	41024	80155	\N	\N	\N
1218424	4171	1994-08-27	PRIJEM	VKLAD	18061	87073	\N	\N	\N
1218425	4171	1994-01-30	PRIJEM	VKLAD	11798	39507	\N	\N	\N
1218426	4171	1994-05-31	PRIJEM	VKLAD	26542	50808	\N	\N	\N
1218427	4171	1994-07-02	PRIJEM	VKLAD	11773	51058	\N	\N	\N
1218428	4171	1994-07-10	PRIJEM	VKLAD	14122	36544	\N	\N	\N
1218429	4171	1994-04-21	PRIJEM	VKLAD	15243	90429	\N	\N	\N
1218430	4171	1994-02-04	PRIJEM	VKLAD	47580	87277	\N	\N	\N
1218431	4171	1994-08-09	PRIJEM	VKLAD	21334	37778	\N	\N	\N
1218432	4171	1994-05-04	PRIJEM	VKLAD	12154	134273	\N	\N	\N
1218433	4171	1994-06-15	PRIJEM	VKLAD	15326	39140	\N	\N	\N
1218434	4171	1994-10-10	PRIJEM	VKLAD	28499	60568	\N	\N	\N
1218435	4171	1994-08-22	PRIJEM	VKLAD	31234	69012	\N	\N	\N
1218436	4171	1994-09-07	PRIJEM	VKLAD	25889	82155	\N	\N	\N
1218437	4171	1994-10-16	PRIJEM	VKLAD	45640	118770	\N	\N	\N
1218438	4171	1995-04-14	PRIJEM	VKLAD	41191	53280	\N	\N	\N
1218439	4171	1995-05-18	PRIJEM	VKLAD	36034	78456	\N	\N	\N
1218440	4171	1995-07-28	PRIJEM	VKLAD	17968	66080	\N	\N	\N
1218441	4171	1995-01-30	PRIJEM	VKLAD	43085	48437	\N	\N	\N
1218442	4171	1995-10-06	PRIJEM	VKLAD	45942	81254	\N	\N	\N
1218443	4171	1995-08-10	PRIJEM	VKLAD	20474	73263	\N	\N	\N
1218444	4171	1995-08-23	PRIJEM	VKLAD	28095	123031	\N	\N	\N
1218445	4171	1995-08-10	PRIJEM	VKLAD	45669	118932	\N	\N	\N
1218446	4171	1995-08-29	PRIJEM	VKLAD	37257	118258	\N	\N	\N
1218447	4171	1995-10-27	PRIJEM	VKLAD	14776	93157	\N	\N	\N
1218448	4171	1995-02-03	PRIJEM	VKLAD	44000	83163	\N	\N	\N
1218449	4171	1995-05-05	PRIJEM	VKLAD	28551	56758	\N	\N	\N
1218450	4171	1995-06-03	PRIJEM	VKLAD	15774	104336	\N	\N	\N
1218451	4171	1995-02-20	PRIJEM	VKLAD	24673	93500	\N	\N	\N
1218452	4171	1995-12-24	PRIJEM	VKLAD	27299	81494	\N	\N	\N
1218453	4171	1995-10-23	PRIJEM	VKLAD	6253	78381	\N	\N	\N
1218454	4171	1995-11-02	PRIJEM	VKLAD	22207	84439	\N	\N	\N
1218455	4171	1995-08-16	PRIJEM	VKLAD	11604	94936	\N	\N	\N
1218456	4171	1995-12-12	PRIJEM	VKLAD	35933	61695	\N	\N	\N
1218457	4171	1995-10-01	PRIJEM	VKLAD	5253	49555	\N	\N	\N
1218458	4171	1995-07-11	PRIJEM	VKLAD	24851	35843	\N	\N	\N
1218459	4171	1995-10-21	PRIJEM	VKLAD	5210	72128	\N	\N	\N
1218460	4171	1995-09-14	PRIJEM	VKLAD	21672	58088	\N	\N	\N
1218461	4171	1995-08-07	PRIJEM	VKLAD	41481	67125	\N	\N	\N
1218462	4171	1995-06-03	PRIJEM	VKLAD	32077	88562	\N	\N	\N
1218463	4171	1995-03-01	PRIJEM	VKLAD	35835	120137	\N	\N	\N
1218464	4171	1995-07-19	PRIJEM	VKLAD	32615	68458	\N	\N	\N
1218465	4171	1996-06-09	PRIJEM	VKLAD	5001	8917	\N	\N	\N
1218466	4171	1997-08-14	PRIJEM	VKLAD	22026	72049	\N	\N	\N
1218467	4171	1997-11-06	PRIJEM	VKLAD	10687	46431	\N	\N	\N
1218468	4171	1997-04-17	PRIJEM	VKLAD	11606	67250	\N	\N	\N
1218469	4171	1997-04-02	PRIJEM	VKLAD	24152	69980	\N	\N	\N
1218470	4171	1997-01-24	PRIJEM	VKLAD	18035	61746	\N	\N	\N
1218471	4171	1997-07-22	PRIJEM	VKLAD	39143	78263	\N	\N	\N
1218472	4171	1997-01-11	PRIJEM	VKLAD	37129	47211	\N	\N	\N
1218473	4171	1997-03-18	PRIJEM	VKLAD	23635	53847	\N	\N	\N
1218474	4171	1998-01-01	PRIJEM	VKLAD	42430	78933	\N	\N	\N
1218475	4171	1998-03-07	PRIJEM	VKLAD	36395	105458	\N	\N	\N
1218476	4171	1998-02-26	PRIJEM	VKLAD	25426	68891	\N	\N	\N
1218477	4171	1998-08-31	PRIJEM	VKLAD	24269	74133	\N	\N	\N
1218565	4171	1994-04-08	VYDAJ	PREVOD NA UCET	14336	65819	SIPO	GH	90027188
1218566	4171	1994-05-08	VYDAJ	PREVOD NA UCET	14336	76837	SIPO	GH	90027188
1218567	4171	1994-06-08	VYDAJ	PREVOD NA UCET	14336	23814	SIPO	GH	90027188
1218568	4171	1994-07-08	VYDAJ	PREVOD NA UCET	14336	22422	SIPO	GH	90027188
1218569	4171	1994-08-08	VYDAJ	PREVOD NA UCET	14336	16444	SIPO	GH	90027188
1218570	4171	1994-09-08	VYDAJ	PREVOD NA UCET	14336	67819	SIPO	GH	90027188
1218571	4171	1994-10-08	VYDAJ	PREVOD NA UCET	14336	32069	SIPO	GH	90027188
1218572	4171	1994-11-08	VYDAJ	PREVOD NA UCET	14336	28658	SIPO	GH	90027188
1218573	4171	1994-12-08	VYDAJ	PREVOD NA UCET	14336	12739	SIPO	GH	90027188
1218574	4171	1995-01-08	VYDAJ	PREVOD NA UCET	14336	5352	SIPO	GH	90027188
1218575	4171	1995-02-08	VYDAJ	PREVOD NA UCET	14336	68827	SIPO	GH	90027188
1218576	4171	1995-03-08	VYDAJ	PREVOD NA UCET	14336	23912	SIPO	GH	90027188
1218577	4171	1995-04-08	VYDAJ	PREVOD NA UCET	14336	12089	SIPO	GH	90027188
1218578	4171	1995-05-08	VYDAJ	PREVOD NA UCET	14336	42422	SIPO	GH	90027188
1218579	4171	1995-06-08	VYDAJ	PREVOD NA UCET	14336	90000	SIPO	GH	90027188
1218580	4171	1995-07-08	VYDAJ	PREVOD NA UCET	14336	10992	SIPO	GH	90027188
1218581	4171	1995-08-08	VYDAJ	PREVOD NA UCET	14336	52789	SIPO	GH	90027188
1218582	4171	1995-09-08	VYDAJ	PREVOD NA UCET	14336	36416	SIPO	GH	90027188
1218735	4171	1998-10-22	VYDAJ	VYBER	6300	47084	\N	\N	\N
1218583	4171	1995-10-08	VYDAJ	PREVOD NA UCET	14336	66918	SIPO	GH	90027188
1218584	4171	1995-11-08	VYDAJ	PREVOD NA UCET	14336	70103	SIPO	GH	90027188
1218585	4171	1995-12-08	VYDAJ	PREVOD NA UCET	14336	25762	SIPO	GH	90027188
1218586	4171	1996-01-08	VYDAJ	PREVOD NA UCET	14336	21379	SIPO	GH	90027188
1218587	4171	1996-02-08	VYDAJ	PREVOD NA UCET	14336	11838	SIPO	GH	90027188
1218588	4171	1996-03-08	VYDAJ	PREVOD NA UCET	14336	4092	SIPO	GH	90027188
1218589	4171	1996-04-08	VYDAJ	PREVOD NA UCET	14336	1115	SIPO	GH	90027188
1218591	4171	1996-06-08	VYDAJ	PREVOD NA UCET	14336	3916	SIPO	GH	90027188
1218592	4171	1996-07-08	VYDAJ	PREVOD NA UCET	14336	7721	SIPO	GH	90027188
1218593	4171	1996-08-08	VYDAJ	PREVOD NA UCET	14336	5059	SIPO	GH	90027188
1218594	4171	1996-09-08	VYDAJ	PREVOD NA UCET	14336	5788	SIPO	GH	90027188
1218595	4171	1996-10-08	VYDAJ	PREVOD NA UCET	14336	9522	SIPO	GH	90027188
1218596	4171	1996-11-08	VYDAJ	PREVOD NA UCET	14336	9969	SIPO	GH	90027188
1218597	4171	1996-12-08	VYDAJ	PREVOD NA UCET	14336	12120	SIPO	GH	90027188
1218598	4171	1997-01-08	VYDAJ	PREVOD NA UCET	14336	10082	SIPO	GH	90027188
1218599	4171	1997-02-08	VYDAJ	PREVOD NA UCET	14336	38555	SIPO	GH	90027188
1218600	4171	1997-03-08	VYDAJ	PREVOD NA UCET	14336	30212	SIPO	GH	90027188
1218601	4171	1997-04-08	VYDAJ	PREVOD NA UCET	14336	55644	SIPO	GH	90027188
1218602	4171	1997-05-08	VYDAJ	PREVOD NA UCET	14336	45532	SIPO	GH	90027188
1218603	4171	1997-06-08	VYDAJ	PREVOD NA UCET	14336	25124	SIPO	GH	90027188
1218604	4171	1997-07-08	VYDAJ	PREVOD NA UCET	14336	25220	SIPO	GH	90027188
1218605	4171	1997-08-08	VYDAJ	PREVOD NA UCET	14336	50023	SIPO	GH	90027188
1218606	4171	1997-09-08	VYDAJ	PREVOD NA UCET	14336	28695	SIPO	GH	90027188
1218607	4171	1997-10-08	VYDAJ	PREVOD NA UCET	14336	24905	SIPO	GH	90027188
1218608	4171	1997-11-08	VYDAJ	PREVOD NA UCET	14336	32095	SIPO	GH	90027188
1218609	4171	1997-12-08	VYDAJ	PREVOD NA UCET	14336	21992	SIPO	GH	90027188
1218610	4171	1998-01-08	VYDAJ	PREVOD NA UCET	14336	56197	SIPO	GH	90027188
1218611	4171	1998-02-08	VYDAJ	PREVOD NA UCET	14336	28265	SIPO	GH	90027188
1218612	4171	1998-03-08	VYDAJ	PREVOD NA UCET	14336	91122	SIPO	GH	90027188
1218613	4171	1998-04-08	VYDAJ	PREVOD NA UCET	14336	61897	SIPO	GH	90027188
1218614	4171	1998-05-08	VYDAJ	PREVOD NA UCET	14336	46029	SIPO	GH	90027188
1218615	4171	1998-06-08	VYDAJ	PREVOD NA UCET	14336	45223	SIPO	GH	90027188
1218616	4171	1998-07-08	VYDAJ	PREVOD NA UCET	14336	44213	SIPO	GH	90027188
1218617	4171	1998-08-08	VYDAJ	PREVOD NA UCET	14336	36465	SIPO	GH	90027188
1218618	4171	1998-09-08	VYDAJ	PREVOD NA UCET	14336	59782	SIPO	GH	90027188
1218619	4171	1998-10-08	VYDAJ	PREVOD NA UCET	14336	40884	SIPO	GH	90027188
1218620	4171	1998-11-08	VYDAJ	PREVOD NA UCET	14336	14622	SIPO	GH	90027188
1218621	4171	1998-12-08	VYDAJ	PREVOD NA UCET	14336	21403	SIPO	GH	90027188
1218626	4171	1994-04-24	VYBER	VYBER	18403	72026	\N	\N	\N
1218628	4171	1994-10-12	VYBER	VYBER	18065	42503	\N	\N	\N
1218629	4171	1994-10-26	VYBER	VYBER	12614	55956	\N	\N	\N
1218630	4171	1994-05-22	VYBER	VYBER	24971	24266	\N	\N	\N
1218633	4171	1995-02-21	VYBER	VYBER	9496	84004	\N	\N	\N
1218635	4171	1995-03-02	VYBER	VYBER	17289	52548	\N	\N	\N
1218636	4171	1995-10-05	VYBER	VYBER	14243	35312	\N	\N	\N
1218637	4171	1995-08-25	VYBER	VYBER	7930	89101	\N	\N	\N
1218638	4171	1995-08-06	VYBER	VYBER	14483	25644	\N	\N	\N
1218639	4171	1995-07-06	VYBER	VYBER	11267	25328	\N	\N	\N
1218640	4171	1995-06-24	VYBER	VYBER	9130	80870	\N	\N	\N
1218641	4171	1995-06-25	VYBER	VYBER	12606	68264	\N	\N	\N
1218642	4171	1995-08-04	VYBER	VYBER	6816	40127	\N	\N	\N
1218643	4171	1995-11-12	VYBER	VYBER	23510	46593	\N	\N	\N
1218644	4171	1995-04-21	VYBER	VYBER	22486	30794	\N	\N	\N
1218645	4171	1995-07-22	VYBER	VYBER	20346	48112	\N	\N	\N
1218649	4171	1997-12-28	VYBER	VYBER	2108	36384	\N	\N	\N
1218650	4171	1997-08-14	VYBER	VYBER	10653	61396	\N	\N	\N
1218651	4171	1997-06-05	VYBER	VYBER	11391	39460	\N	\N	\N
1218653	4171	1998-09-11	VYBER	VYBER	15694	44088	\N	\N	\N
1218654	4171	1998-01-17	VYBER	VYBER	19998	46899	\N	\N	\N
1218656	4171	1998-08-07	VYBER	VYBER	5933	50801	\N	\N	\N
1218659	4171	1995-06-27	VYDAJ	VYBER	29700	38564	\N	\N	\N
1218666	4171	1996-01-03	VYDAJ	VYBER	12900	35715	\N	\N	\N
1218671	4171	1995-12-12	VYDAJ	VYBER	7500	54195	\N	\N	\N
1218673	4171	1997-12-06	VYDAJ	VYBER	2100	36328	\N	\N	\N
1218674	4171	1998-12-26	VYDAJ	VYBER	5400	32003	\N	\N	\N
1218693	4171	1996-01-01	VYDAJ	VYBER	8100	48615	\N	\N	\N
1218699	4171	1997-01-26	VYDAJ	VYBER	1800	59946	\N	\N	\N
1218701	4171	1997-01-15	VYDAJ	VYBER	3300	36111	\N	\N	\N
1218702	4171	1997-01-02	VYDAJ	VYBER	6300	24418	\N	\N	\N
1218703	4171	1997-01-28	VYDAJ	VYBER	7200	52746	\N	\N	\N
1218704	4171	1997-01-12	VYDAJ	VYBER	7800	39411	\N	\N	\N
1218705	4171	1998-01-12	VYDAJ	VYBER	3300	49897	\N	\N	\N
1218706	4171	1998-01-04	VYDAJ	VYBER	2100	70533	\N	\N	\N
1218707	4171	1998-01-30	VYDAJ	VYBER	2100	42399	\N	\N	\N
1218708	4171	1998-01-21	VYDAJ	VYBER	2400	44499	\N	\N	\N
1218709	4171	1998-01-01	VYDAJ	VYBER	6300	72633	\N	\N	\N
1218710	4171	1998-01-10	VYDAJ	VYBER	3000	53197	\N	\N	\N
1218713	4171	1994-11-11	VYDAJ	VYBER	5100	23558	\N	\N	\N
1218720	4171	1995-08-01	VYDAJ	VYBER	5100	61143	\N	\N	\N
1218721	4171	1995-08-26	VYDAJ	VYBER	8100	81001	\N	\N	\N
1218726	4171	1997-07-30	VYDAJ	VYBER	14100	64163	\N	\N	\N
1218727	4171	1997-11-26	VYDAJ	VYBER	2400	38295	\N	\N	\N
1218729	4171	1997-03-27	VYDAJ	VYBER	8400	45647	\N	\N	\N
1218730	4171	1997-09-03	VYDAJ	VYBER	13800	43031	\N	\N	\N
1218731	4171	1998-10-22	VYDAJ	VYBER	7500	39584	\N	\N	\N
1218733	4171	1998-10-23	VYDAJ	VYBER	10800	28784	\N	\N	\N
1218752	4171	1994-04-30	VYDAJ	VYBER	15	72292	SLUZBY	\N	\N
1218753	4171	1994-05-31	VYDAJ	VYBER	15	51050	SLUZBY	\N	\N
1218754	4171	1994-06-30	VYDAJ	VYBER	15	39285	SLUZBY	\N	\N
1218755	4171	1994-07-31	VYDAJ	VYBER	15	36680	SLUZBY	\N	\N
1218756	4171	1994-08-31	VYDAJ	VYBER	15	87266	SLUZBY	\N	\N
1218757	4171	1994-09-30	VYDAJ	VYBER	15	68105	SLUZBY	\N	\N
1218758	4171	1994-10-31	VYDAJ	VYBER	15	56194	SLUZBY	\N	\N
1218759	4171	1994-11-30	VYDAJ	VYBER	15	23675	SLUZBY	\N	\N
1218760	4171	1994-12-31	VYDAJ	VYBER	15	12788	SLUZBY	\N	\N
1218761	4171	1995-01-31	VYDAJ	VYBER	15	48463	SLUZBY	\N	\N
1218762	4171	1995-02-28	VYDAJ	VYBER	15	84302	SLUZBY	\N	\N
1218763	4171	1995-03-31	VYDAJ	VYBER	15	24025	SLUZBY	\N	\N
1218764	4171	1995-04-30	VYDAJ	VYBER	15	30907	SLUZBY	\N	\N
1218765	4171	1995-05-31	VYDAJ	VYBER	15	78685	SLUZBY	\N	\N
1218766	4171	1995-06-30	VYDAJ	VYBER	15	38895	SLUZBY	\N	\N
1218767	4171	1995-07-31	VYDAJ	VYBER	15	66243	SLUZBY	\N	\N
1218768	4171	1995-08-31	VYDAJ	VYBER	15	50752	SLUZBY	\N	\N
1218769	4171	1995-09-30	VYDAJ	VYBER	15	44302	SLUZBY	\N	\N
1218770	4171	1995-10-31	VYDAJ	VYBER	15	62232	SLUZBY	\N	\N
1218771	4171	1995-11-30	VYDAJ	VYBER	15	40098	SLUZBY	\N	\N
1218772	4171	1995-12-31	VYDAJ	VYBER	15	56715	SLUZBY	\N	\N
1218773	4171	1996-01-31	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
1218774	4171	1996-02-29	VYDAJ	VYBER	15	18428	SLUZBY	\N	\N
1218775	4171	1996-03-31	VYDAJ	VYBER	15	15451	SLUZBY	\N	\N
1218776	4171	1996-04-30	VYDAJ	VYBER	15	1161	SLUZBY	\N	\N
1218777	4171	1996-05-31	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
1218778	4171	1996-06-30	VYDAJ	VYBER	15	22057	SLUZBY	\N	\N
1218779	4171	1996-07-31	VYDAJ	VYBER	15	19395	SLUZBY	\N	\N
1218780	4171	1996-08-31	VYDAJ	VYBER	15	20124	SLUZBY	\N	\N
1218781	4171	1996-09-30	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
1218782	4171	1996-10-31	VYDAJ	VYBER	15	24305	SLUZBY	\N	\N
1218783	4171	1996-11-30	VYDAJ	VYBER	15	26456	SLUZBY	\N	\N
1218784	4171	1996-12-31	VYDAJ	VYBER	15	30718	SLUZBY	\N	\N
1218785	4171	1997-01-31	VYDAJ	VYBER	15	52891	SLUZBY	\N	\N
1218786	4171	1997-02-28	VYDAJ	VYBER	15	44548	SLUZBY	\N	\N
1218787	4171	1997-03-31	VYDAJ	VYBER	15	45828	SLUZBY	\N	\N
1218788	4171	1997-04-30	VYDAJ	VYBER	15	59868	SLUZBY	\N	\N
1218789	4171	1997-05-31	VYDAJ	VYBER	15	50851	SLUZBY	\N	\N
1218790	4171	1997-06-30	VYDAJ	VYBER	15	39556	SLUZBY	\N	\N
1218791	4171	1997-07-31	VYDAJ	VYBER	15	64359	SLUZBY	\N	\N
1218792	4171	1997-08-31	VYDAJ	VYBER	15	56831	SLUZBY	\N	\N
1218793	4171	1997-09-30	VYDAJ	VYBER	15	39241	SLUZBY	\N	\N
1218794	4171	1997-10-31	VYDAJ	VYBER	15	35744	SLUZBY	\N	\N
1218795	4171	1997-11-30	VYDAJ	VYBER	15	38428	SLUZBY	\N	\N
1218796	4171	1997-12-31	VYDAJ	VYBER	15	36503	SLUZBY	\N	\N
1218797	4171	1998-01-31	VYDAJ	VYBER	15	42601	SLUZBY	\N	\N
1218798	4171	1998-02-28	VYDAJ	VYBER	15	69063	SLUZBY	\N	\N
1218799	4171	1998-03-31	VYDAJ	VYBER	15	76233	SLUZBY	\N	\N
1218800	4171	1998-04-30	VYDAJ	VYBER	15	60365	SLUZBY	\N	\N
1218801	4171	1998-05-31	VYDAJ	VYBER	15	59559	SLUZBY	\N	\N
1218802	4171	1998-06-30	VYDAJ	VYBER	15	58549	SLUZBY	\N	\N
1218803	4171	1998-07-31	VYDAJ	VYBER	15	56734	SLUZBY	\N	\N
1218804	4171	1998-08-31	VYDAJ	VYBER	15	74118	SLUZBY	\N	\N
1218805	4171	1998-09-30	VYDAJ	VYBER	15	55220	SLUZBY	\N	\N
1218806	4171	1998-10-31	VYDAJ	VYBER	15	28958	SLUZBY	\N	\N
1218807	4171	1998-11-30	VYDAJ	VYBER	15	35739	SLUZBY	\N	\N
1218808	4171	1993-07-12	PRIJEM	VKLAD	12300	13000	\N	\N	\N
1218809	4171	1993-08-11	PRIJEM	VKLAD	4000	17000	\N	\N	\N
1218810	4171	1993-09-10	VYDAJ	VYBER	1200	26354	\N	\N	\N
1218811	4171	1993-10-10	VYDAJ	VYBER	11100	35034	\N	\N	\N
1218812	4171	1993-11-09	VYDAJ	VYBER	4600	30626	\N	\N	\N
1218813	4171	1993-12-09	VYDAJ	VYBER	3800	27017	\N	\N	\N
1218814	4171	1994-01-08	PRIJEM	VKLAD	500	27709	\N	\N	\N
1218815	4171	1994-02-07	VYDAJ	VYBER	31000	56277	\N	\N	\N
1218816	4171	1994-03-09	VYDAJ	VYBER	17600	38897	\N	\N	\N
1218817	4171	1994-04-08	VYDAJ	VYBER	20200	45619	\N	\N	\N
1218818	4171	1994-05-04	VYDAJ	VYBER	43100	91173	\N	\N	\N
1218819	4171	1994-05-08	VYDAJ	VYBER	27600	49237	\N	\N	\N
1218820	4171	1994-06-07	VYDAJ	VYBER	12900	38150	\N	\N	\N
1218821	4171	1994-07-07	VYDAJ	VYBER	14300	36758	\N	\N	\N
1218822	4171	1994-08-06	VYDAJ	VYBER	5900	30780	\N	\N	\N
1218823	4171	1994-09-05	VYDAJ	VYBER	31000	56266	\N	\N	\N
1218824	4171	1994-10-05	VYDAJ	VYBER	21700	46405	\N	\N	\N
1218825	4171	1994-10-16	VYDAJ	VYBER	50200	68570	\N	\N	\N
1218826	4171	1994-11-04	VYDAJ	VYBER	13200	42994	\N	\N	\N
1218827	4171	1994-12-04	PRIJEM	VKLAD	3400	27075	\N	\N	\N
1218828	4171	1995-01-03	PRIJEM	VKLAD	6900	19688	\N	\N	\N
1218829	4171	1995-02-02	VYDAJ	VYBER	9300	39163	\N	\N	\N
1218830	4171	1995-03-01	VYDAJ	VYBER	50300	69837	\N	\N	\N
1218831	4171	1995-03-04	VYDAJ	VYBER	14300	38248	\N	\N	\N
1218832	4171	1995-04-03	PRIJEM	VKLAD	2400	26425	\N	\N	\N
1218833	4171	1995-05-03	VYDAJ	VYBER	2700	28207	\N	\N	\N
1218834	4171	1995-06-02	VYDAJ	VYBER	22200	56485	\N	\N	\N
1218835	4171	1995-07-02	VYDAJ	VYBER	2300	36595	\N	\N	\N
1218836	4171	1995-08-01	VYDAJ	VYBER	14200	46943	\N	\N	\N
1218837	4171	1995-08-10	VYDAJ	VYBER	35600	83332	\N	\N	\N
1218838	4171	1995-08-23	VYDAJ	VYBER	26000	97031	\N	\N	\N
1218839	4171	1995-08-29	VYDAJ	VYBER	48900	69358	\N	\N	\N
1218840	4171	1995-08-31	VYDAJ	VYBER	18900	50767	\N	\N	\N
1218841	4171	1995-09-30	VYDAJ	VYBER	14000	44316	\N	\N	\N
1218842	4171	1995-10-30	VYDAJ	VYBER	31200	61957	\N	\N	\N
1218843	4171	1995-11-29	VYDAJ	VYBER	6700	39893	\N	\N	\N
1218844	4171	1995-12-29	VYDAJ	VYBER	25000	56494	\N	\N	\N
1218845	4171	1996-01-28	PRIJEM	VKLAD	4700	26079	\N	\N	\N
1218846	4171	1996-02-27	PRIJEM	VKLAD	6500	18338	\N	\N	\N
1218847	4171	1996-03-28	PRIJEM	VKLAD	11300	15392	\N	\N	\N
1218848	4171	1996-05-27	PRIJEM	VKLAD	17100	18261	\N	\N	\N
1218849	4171	1996-06-26	PRIJEM	VKLAD	13100	22017	\N	\N	\N
1218850	4171	1996-07-26	PRIJEM	VKLAD	11600	19321	\N	\N	\N
1218851	4171	1996-08-25	PRIJEM	VKLAD	15000	20059	\N	\N	\N
1218852	4171	1996-09-24	PRIJEM	VKLAD	18000	23788	\N	\N	\N
1218853	4171	1996-10-24	PRIJEM	VKLAD	14700	24222	\N	\N	\N
1218854	4171	1996-11-23	PRIJEM	VKLAD	16400	26369	\N	\N	\N
1218855	4171	1996-12-23	PRIJEM	VKLAD	18500	30620	\N	\N	\N
1218856	4171	1997-01-22	PRIJEM	VKLAD	7600	43711	\N	\N	\N
1218857	4171	1997-02-21	PRIJEM	VKLAD	5800	44355	\N	\N	\N
1218858	4171	1997-03-23	PRIJEM	VKLAD	200	54047	\N	\N	\N
1218859	4171	1997-04-22	VYDAJ	VYBER	7600	59650	\N	\N	\N
1218860	4171	1997-05-22	PRIJEM	VKLAD	5100	50632	\N	\N	\N
1218861	4171	1997-06-21	PRIJEM	VKLAD	14300	39424	\N	\N	\N
1218862	4171	1997-07-21	PRIJEM	VKLAD	13900	39120	\N	\N	\N
1218863	4171	1997-08-20	VYDAJ	VYBER	4800	56596	\N	\N	\N
1218864	4171	1997-09-19	PRIJEM	VKLAD	10400	39095	\N	\N	\N
1218865	4171	1997-10-19	PRIJEM	VKLAD	10700	35605	\N	\N	\N
1218866	4171	1997-11-18	PRIJEM	VKLAD	8600	40695	\N	\N	\N
1218867	4171	1997-12-18	PRIJEM	VKLAD	16500	38492	\N	\N	\N
1218868	4171	1998-01-17	PRIJEM	VKLAD	17000	66897	\N	\N	\N
1218869	4171	1998-02-16	PRIJEM	VKLAD	15200	43465	\N	\N	\N
1218870	4171	1998-03-18	VYDAJ	VYBER	15200	75922	\N	\N	\N
1218871	4171	1998-04-17	VYDAJ	VYBER	1800	60097	\N	\N	\N
1218872	4171	1998-05-17	PRIJEM	VKLAD	13300	59329	\N	\N	\N
1218873	4171	1998-06-16	PRIJEM	VKLAD	13100	58323	\N	\N	\N
1218874	4171	1998-07-16	PRIJEM	VKLAD	12300	56513	\N	\N	\N
1218875	4171	1998-08-15	PRIJEM	VKLAD	13200	49665	\N	\N	\N
1218876	4171	1998-09-14	PRIJEM	VKLAD	10900	54988	\N	\N	\N
1218877	4171	1998-10-14	PRIJEM	VKLAD	12500	53384	\N	\N	\N
1218878	4171	1998-11-13	PRIJEM	VKLAD	21000	35622	\N	\N	\N
1218879	4171	1998-12-13	PRIJEM	VKLAD	16000	37403	\N	\N	\N
1219126	4173	1993-11-08	PRIJEM	VKLAD	700	700	\N	\N	\N
1219127	4173	1993-12-07	PRIJEM	VKLAD	20215	20915	\N	\N	\N
1219129	4173	1994-08-26	PRIJEM	VKLAD	39330	66600	\N	\N	\N
1219130	4173	1994-06-18	PRIJEM	VKLAD	9575	35805	\N	\N	\N
1219131	4173	1995-01-02	PRIJEM	VKLAD	7580	31664	\N	\N	\N
1219132	4173	1995-07-06	PRIJEM	VKLAD	5756	25315	\N	\N	\N
1219133	4173	1996-04-22	PRIJEM	VKLAD	14570	29358	\N	\N	\N
1219134	4173	1996-02-27	PRIJEM	VKLAD	8973	23102	\N	\N	\N
1219135	4173	1997-05-07	PRIJEM	VKLAD	34264	56174	\N	\N	\N
1219136	4173	1997-08-03	PRIJEM	VKLAD	6901	28466	\N	\N	\N
1219137	4173	1998-12-15	PRIJEM	VKLAD	33736	49810	\N	\N	\N
1219138	4173	1998-06-07	PRIJEM	VKLAD	21200	41691	\N	\N	\N
1219143	4173	1997-06-10	VYDAJ	VYBER	20900	17574	\N	\N	\N
1219150	4173	1998-06-22	VYDAJ	VYBER	9500	25391	\N	\N	\N
1219156	4173	1998-01-26	VYDAJ	VYBER	4700	18420	\N	\N	\N
1219161	4173	1997-12-03	VYDAJ	VYBER	1700	27417	\N	\N	\N
1219162	4173	1998-12-18	VYDAJ	VYBER	1600	48210	\N	\N	\N
1219191	4173	1997-01-24	VYDAJ	VYBER	650	14418	\N	\N	\N
1219193	4173	1998-01-24	VYDAJ	VYBER	450	23120	\N	\N	\N
1219194	4173	1998-01-01	VYDAJ	VYBER	1300	27420	\N	\N	\N
1219195	4173	1998-01-15	VYDAJ	VYBER	650	26020	\N	\N	\N
1219196	4173	1998-01-15	VYDAJ	VYBER	750	26670	\N	\N	\N
1219197	4173	1998-01-17	VYDAJ	VYBER	1300	24420	\N	\N	\N
1219198	4173	1998-01-21	VYDAJ	VYBER	850	23570	\N	\N	\N
1219211	4173	1995-08-12	VYDAJ	VYBER	2300	18209	\N	\N	\N
1219213	4173	1995-12-11	VYDAJ	VYBER	450	14000	\N	\N	\N
1219214	4173	1995-08-30	VYDAJ	VYBER	2000	16809	\N	\N	\N
1219215	4173	1996-04-21	VYDAJ	VYBER	1100	14788	\N	\N	\N
1219218	4173	1996-06-06	VYDAJ	VYBER	2450	17455	\N	\N	\N
1219220	4173	1996-06-21	VYDAJ	VYBER	850	16605	\N	\N	\N
1219221	4173	1997-07-23	VYDAJ	VYBER	900	21491	\N	\N	\N
1219222	4173	1997-08-11	VYDAJ	VYBER	400	28066	\N	\N	\N
1219223	4173	1998-08-22	VYDAJ	VYBER	1450	21062	\N	\N	\N
1219224	4173	1998-08-09	VYDAJ	VYBER	2400	24812	\N	\N	\N
1219225	4173	1998-04-23	VYDAJ	VYBER	2350	20999	\N	\N	\N
1219226	4173	1998-04-29	VYDAJ	VYBER	1350	19649	\N	\N	\N
1219227	4173	1998-06-26	VYDAJ	VYBER	1350	24041	\N	\N	\N
1219228	4173	1998-05-02	VYDAJ	VYBER	500	19225	\N	\N	\N
1219260	4173	1995-07-31	VYDAJ	VYBER	15	20509	SLUZBY	\N	\N
1219261	4173	1995-08-31	VYDAJ	VYBER	15	16879	SLUZBY	\N	\N
1219262	4173	1995-09-30	VYDAJ	VYBER	15	17334	SLUZBY	\N	\N
1219263	4173	1995-10-31	VYDAJ	VYBER	15	17319	SLUZBY	\N	\N
1219264	4173	1995-11-30	VYDAJ	VYBER	15	14450	SLUZBY	\N	\N
1219265	4173	1995-12-31	VYDAJ	VYBER	15	13744	SLUZBY	\N	\N
1219266	4173	1996-01-31	VYDAJ	VYBER	15	13729	SLUZBY	\N	\N
1219267	4173	1996-02-29	VYDAJ	VYBER	15	23208	SLUZBY	\N	\N
1219268	4173	1996-03-31	VYDAJ	VYBER	15	15888	SLUZBY	\N	\N
1219269	4173	1996-04-30	VYDAJ	VYBER	15	19919	SLUZBY	\N	\N
1219270	4173	1996-05-31	VYDAJ	VYBER	15	19905	SLUZBY	\N	\N
1219271	4173	1996-06-30	VYDAJ	VYBER	15	12148	SLUZBY	\N	\N
1219272	4173	1996-07-31	VYDAJ	VYBER	15	12183	SLUZBY	\N	\N
1219273	4173	1996-08-31	VYDAJ	VYBER	15	12168	SLUZBY	\N	\N
1219274	4173	1996-09-30	VYDAJ	VYBER	15	12254	SLUZBY	\N	\N
1219275	4173	1996-10-31	VYDAJ	VYBER	15	13689	SLUZBY	\N	\N
1219276	4173	1996-11-30	VYDAJ	VYBER	15	13030	SLUZBY	\N	\N
1219277	4173	1996-12-31	VYDAJ	VYBER	15	13468	SLUZBY	\N	\N
1219278	4173	1997-01-31	VYDAJ	VYBER	15	14459	SLUZBY	\N	\N
1219279	4173	1997-02-28	VYDAJ	VYBER	15	16903	SLUZBY	\N	\N
1219280	4173	1997-03-31	VYDAJ	VYBER	15	16557	SLUZBY	\N	\N
1219281	4173	1997-04-30	VYDAJ	VYBER	15	21910	SLUZBY	\N	\N
1219282	4173	1997-05-31	VYDAJ	VYBER	15	38474	SLUZBY	\N	\N
1219283	4173	1997-06-30	VYDAJ	VYBER	15	21691	SLUZBY	\N	\N
1219284	4173	1997-07-31	VYDAJ	VYBER	15	21565	SLUZBY	\N	\N
1219285	4173	1997-08-31	VYDAJ	VYBER	15	23349	SLUZBY	\N	\N
1219286	4173	1997-09-30	VYDAJ	VYBER	15	24830	SLUZBY	\N	\N
1219287	4173	1997-10-31	VYDAJ	VYBER	15	28017	SLUZBY	\N	\N
1219288	4173	1997-11-30	VYDAJ	VYBER	15	29117	SLUZBY	\N	\N
1219289	4173	1997-12-31	VYDAJ	VYBER	15	28720	SLUZBY	\N	\N
1219290	4173	1998-01-31	VYDAJ	VYBER	15	18508	SLUZBY	\N	\N
1219291	4173	1998-02-28	VYDAJ	VYBER	15	23568	SLUZBY	\N	\N
1219292	4173	1998-03-31	VYDAJ	VYBER	15	22849	SLUZBY	\N	\N
1219293	4173	1998-04-30	VYDAJ	VYBER	15	19725	SLUZBY	\N	\N
1219294	4173	1998-05-31	VYDAJ	VYBER	15	20491	SLUZBY	\N	\N
1219295	4173	1998-06-30	VYDAJ	VYBER	15	24128	SLUZBY	\N	\N
1219296	4173	1998-07-31	VYDAJ	VYBER	15	27212	SLUZBY	\N	\N
1219297	4173	1998-08-31	VYDAJ	VYBER	15	21144	SLUZBY	\N	\N
1219298	4173	1998-09-30	VYDAJ	VYBER	15	24415	SLUZBY	\N	\N
1219299	4173	1998-10-31	VYDAJ	VYBER	15	22498	SLUZBY	\N	\N
1219300	4173	1998-11-30	VYDAJ	VYBER	15	19974	SLUZBY	\N	\N
1219301	4173	1993-12-08	PRIJEM	VKLAD	500	21415	\N	\N	\N
1219302	4173	1994-01-07	PRIJEM	VKLAD	2700	24184	\N	\N	\N
1219303	4173	1994-02-06	PRIJEM	VKLAD	800	25073	\N	\N	\N
1219304	4173	1994-03-08	VYDAJ	VYBER	2100	23063	\N	\N	\N
1219305	4173	1994-04-07	VYDAJ	VYBER	1100	22052	\N	\N	\N
1219306	4173	1994-05-07	PRIJEM	VKLAD	3200	25341	\N	\N	\N
1219307	4173	1994-06-06	PRIJEM	VKLAD	800	26230	\N	\N	\N
1219308	4173	1994-07-06	VYDAJ	VYBER	8700	27220	\N	\N	\N
1219309	4173	1994-08-05	VYDAJ	VYBER	100	27270	\N	\N	\N
1219310	4173	1994-09-04	VYDAJ	VYBER	22900	43874	\N	\N	\N
1219311	4173	1994-10-04	VYDAJ	VYBER	10600	33551	\N	\N	\N
1219312	4173	1994-11-03	VYDAJ	VYBER	5100	28729	\N	\N	\N
1219313	4173	1994-12-03	VYDAJ	VYBER	5200	23806	\N	\N	\N
1219314	4173	1995-01-02	VYDAJ	VYBER	3100	28564	\N	\N	\N
1219315	4173	1995-02-01	VYDAJ	VYBER	2600	26100	\N	\N	\N
1219316	4173	1995-03-03	PRIJEM	VKLAD	900	27132	\N	\N	\N
1219317	4173	1995-04-02	VYDAJ	VYBER	3200	24064	\N	\N	\N
1219318	4173	1995-05-02	VYDAJ	VYBER	400	23796	\N	\N	\N
1219319	4173	1995-06-01	VYDAJ	VYBER	2900	21028	\N	\N	\N
1219320	4173	1995-07-01	VYDAJ	VYBER	1600	19559	\N	\N	\N
1219321	4173	1995-07-31	VYDAJ	VYBER	4900	20524	\N	\N	\N
1219322	4173	1995-08-30	PRIJEM	VKLAD	600	18809	\N	\N	\N
1219323	4173	1995-09-29	PRIJEM	VKLAD	400	17279	\N	\N	\N
1219324	4173	1995-11-28	VYDAJ	VYBER	3000	14319	\N	\N	\N
1219325	4173	1995-12-28	VYDAJ	VYBER	300	13700	\N	\N	\N
1219326	4173	1996-02-26	PRIJEM	VKLAD	400	14129	\N	\N	\N
1219327	4173	1996-03-27	VYDAJ	VYBER	7400	15808	\N	\N	\N
1219328	4173	1996-04-26	VYDAJ	VYBER	9500	19858	\N	\N	\N
1219329	4173	1996-06-25	VYDAJ	VYBER	4600	12005	\N	\N	\N
1219330	4173	1996-10-23	PRIJEM	VKLAD	1400	13654	\N	\N	\N
1219331	4173	1996-11-22	VYDAJ	VYBER	700	12989	\N	\N	\N
1219332	4173	1996-12-22	PRIJEM	VKLAD	400	13430	\N	\N	\N
1219333	4173	1997-01-21	PRIJEM	VKLAD	1600	15068	\N	\N	\N
1219334	4173	1997-02-20	PRIJEM	VKLAD	2400	16859	\N	\N	\N
1219335	4173	1997-03-22	VYDAJ	VYBER	400	16503	\N	\N	\N
1219336	4173	1997-04-21	PRIJEM	VKLAD	5300	21857	\N	\N	\N
1219337	4173	1997-05-21	VYDAJ	VYBER	17800	38374	\N	\N	\N
1219338	4173	1997-06-20	PRIJEM	VKLAD	4000	21574	\N	\N	\N
1219339	4173	1997-07-20	PRIJEM	VKLAD	700	22391	\N	\N	\N
1219340	4173	1997-08-19	VYDAJ	VYBER	4800	23266	\N	\N	\N
1219341	4173	1997-09-18	PRIJEM	VKLAD	1400	24749	\N	\N	\N
1219342	4173	1997-10-18	PRIJEM	VKLAD	3100	27930	\N	\N	\N
1219343	4173	1997-11-17	PRIJEM	VKLAD	1000	29017	\N	\N	\N
1219344	4173	1997-12-17	PRIJEM	VKLAD	1200	28617	\N	\N	\N
1219345	4173	1998-01-16	VYDAJ	VYBER	300	25720	\N	\N	\N
1219346	4173	1998-02-15	PRIJEM	VKLAD	5000	23508	\N	\N	\N
1219347	4173	1998-03-17	VYDAJ	VYBER	800	22768	\N	\N	\N
1219348	4173	1998-04-16	PRIJEM	VKLAD	500	23349	\N	\N	\N
1219349	4173	1998-05-16	PRIJEM	VKLAD	1200	20425	\N	\N	\N
1219350	4173	1998-06-15	VYDAJ	VYBER	6800	34891	\N	\N	\N
1219351	4173	1998-07-15	PRIJEM	VKLAD	3000	27128	\N	\N	\N
1219352	4173	1998-08-14	VYDAJ	VYBER	2300	22512	\N	\N	\N
1219353	4173	1998-09-13	PRIJEM	VKLAD	3200	24344	\N	\N	\N
1219354	4173	1998-10-13	VYDAJ	VYBER	2000	22415	\N	\N	\N
1219355	4173	1998-11-12	VYDAJ	VYBER	2600	19898	\N	\N	\N
1219356	4173	1998-12-12	VYDAJ	VYBER	3900	16074	\N	\N	\N
1222551	4186	1996-08-25	PRIJEM	VKLAD	900	900	\N	\N	\N
1222560	4186	1996-09-13	PRIJEM	VKLAD	20729	21629	\N	\N	\N
1222561	4186	1996-10-13	PRIJEM	VKLAD	20729	43780	\N	\N	\N
1222562	4186	1996-11-13	PRIJEM	VKLAD	20729	54617	\N	\N	\N
1222563	4186	1996-12-13	PRIJEM	VKLAD	31094	71459	\N	\N	\N
1222564	4186	1997-01-13	PRIJEM	VKLAD	20729	69165	\N	\N	\N
1222565	4186	1997-02-13	PRIJEM	VKLAD	20729	53308	\N	\N	\N
1222566	4186	1997-03-13	PRIJEM	VKLAD	20729	51458	\N	\N	\N
1222567	4186	1997-04-13	PRIJEM	VKLAD	20729	54927	\N	\N	\N
1222568	4186	1997-05-13	PRIJEM	VKLAD	20729	51598	\N	\N	\N
1222569	4186	1997-06-13	PRIJEM	VKLAD	31094	47782	\N	\N	\N
1222570	4186	1997-07-13	PRIJEM	VKLAD	20729	49928	\N	\N	\N
1222571	4186	1997-08-13	PRIJEM	VKLAD	20729	48461	\N	\N	\N
1222572	4186	1997-09-13	PRIJEM	VKLAD	20729	46301	\N	\N	\N
1222573	4186	1997-10-13	PRIJEM	VKLAD	20729	38370	\N	\N	\N
1222574	4186	1997-11-13	PRIJEM	VKLAD	20729	43183	\N	\N	\N
1222575	4186	1997-12-13	PRIJEM	VKLAD	31094	52966	\N	\N	\N
1222576	4186	1998-01-13	PRIJEM	VKLAD	20729	34493	\N	\N	\N
1222577	4186	1998-02-13	PRIJEM	VKLAD	20729	35885	\N	\N	\N
1222578	4186	1998-03-13	PRIJEM	VKLAD	20729	34066	\N	\N	\N
1222579	4186	1998-04-13	PRIJEM	VKLAD	20729	32611	\N	\N	\N
1222580	4186	1998-05-13	PRIJEM	VKLAD	20729	33014	\N	\N	\N
1222581	4186	1998-06-13	PRIJEM	VKLAD	31094	43981	\N	\N	\N
1222582	4186	1998-07-13	PRIJEM	VKLAD	20729	30569	\N	\N	\N
1222583	4186	1998-08-13	PRIJEM	VKLAD	20729	28727	\N	\N	\N
1222584	4186	1998-09-13	PRIJEM	VKLAD	20729	28879	\N	\N	\N
1222585	4186	1998-10-13	PRIJEM	VKLAD	20729	28930	\N	\N	\N
1222586	4186	1998-11-13	PRIJEM	VKLAD	20729	28480	\N	\N	\N
1222587	4186	1998-12-13	PRIJEM	VKLAD	31094	38717	\N	\N	\N
1222601	4186	1997-02-11	VYDAJ	PREVOD NA UCET	7028	32579	SIPO	EF	54694455
1222602	4186	1997-03-11	VYDAJ	PREVOD NA UCET	7028	30729	SIPO	EF	54694455
1222603	4186	1997-04-11	VYDAJ	PREVOD NA UCET	7028	34198	SIPO	EF	54694455
1222604	4186	1997-05-11	VYDAJ	PREVOD NA UCET	7028	30869	SIPO	EF	54694455
1222605	4186	1997-06-11	VYDAJ	PREVOD NA UCET	7028	16688	SIPO	EF	54694455
1222606	4186	1997-07-11	VYDAJ	PREVOD NA UCET	7028	29199	SIPO	EF	54694455
1222607	4186	1997-08-11	VYDAJ	PREVOD NA UCET	7028	27732	SIPO	EF	54694455
1222608	4186	1997-09-11	VYDAJ	PREVOD NA UCET	7028	25572	SIPO	EF	54694455
1222609	4186	1997-10-11	VYDAJ	PREVOD NA UCET	7028	18361	SIPO	EF	54694455
1222610	4186	1997-11-11	VYDAJ	PREVOD NA UCET	7028	22454	SIPO	EF	54694455
1222611	4186	1997-12-11	VYDAJ	PREVOD NA UCET	7028	21872	SIPO	EF	54694455
1222612	4186	1998-01-11	VYDAJ	PREVOD NA UCET	7028	13764	SIPO	EF	54694455
1222613	4186	1998-02-11	VYDAJ	PREVOD NA UCET	7028	15156	SIPO	EF	54694455
1222614	4186	1998-03-11	VYDAJ	PREVOD NA UCET	7028	13337	SIPO	EF	54694455
1222615	4186	1998-04-11	VYDAJ	PREVOD NA UCET	7028	11882	SIPO	EF	54694455
1222616	4186	1998-05-11	VYDAJ	PREVOD NA UCET	7028	12285	SIPO	EF	54694455
1222617	4186	1998-06-11	VYDAJ	PREVOD NA UCET	7028	12887	SIPO	EF	54694455
1222618	4186	1998-07-11	VYDAJ	PREVOD NA UCET	7028	9840	SIPO	EF	54694455
1222619	4186	1998-08-11	VYDAJ	PREVOD NA UCET	7028	7998	SIPO	EF	54694455
1222620	4186	1998-09-11	VYDAJ	PREVOD NA UCET	7028	8150	SIPO	EF	54694455
1222621	4186	1998-10-11	VYDAJ	PREVOD NA UCET	7028	8201	SIPO	EF	54694455
1222622	4186	1998-11-11	VYDAJ	PREVOD NA UCET	7028	7751	SIPO	EF	54694455
1222623	4186	1998-12-11	VYDAJ	PREVOD NA UCET	7028	7623	SIPO	EF	54694455
1222661	4186	1997-06-09	VYDAJ	VYBER	13440	23716	\N	\N	\N
1222662	4186	1998-06-27	VYDAJ	VYBER	8800	16781	\N	\N	\N
1222665	4186	1998-01-09	VYDAJ	VYBER	2720	20792	\N	\N	\N
1222667	4186	1997-12-18	VYDAJ	VYBER	4640	48326	\N	\N	\N
1222668	4186	1998-12-07	VYDAJ	VYBER	2080	14651	\N	\N	\N
1222675	4186	1997-01-25	VYDAJ	VYBER	2640	42525	\N	\N	\N
1222676	4186	1997-01-28	VYDAJ	VYBER	2160	39405	\N	\N	\N
1222677	4186	1997-01-13	VYDAJ	VYBER	1320	67845	\N	\N	\N
1222679	4186	1997-01-15	VYDAJ	VYBER	1920	65925	\N	\N	\N
1222680	4186	1997-01-26	VYDAJ	VYBER	960	41565	\N	\N	\N
1222681	4186	1998-01-05	VYDAJ	VYBER	2880	28072	\N	\N	\N
1222682	4186	1998-01-26	VYDAJ	VYBER	960	22093	\N	\N	\N
1222683	4186	1998-01-03	VYDAJ	VYBER	600	30952	\N	\N	\N
1222684	4186	1998-01-08	VYDAJ	VYBER	2760	23512	\N	\N	\N
1222685	4186	1998-01-07	VYDAJ	VYBER	1800	26272	\N	\N	\N
1222686	4186	1998-01-20	VYDAJ	VYBER	2040	23053	\N	\N	\N
1222694	4186	1997-03-04	VYDAJ	VYBER	3720	37757	\N	\N	\N
1222695	4186	1997-10-12	VYDAJ	VYBER	720	17641	\N	\N	\N
1222696	4186	1997-08-04	VYDAJ	VYBER	1800	34760	\N	\N	\N
1222697	4186	1997-07-22	VYDAJ	VYBER	720	36408	\N	\N	\N
1222698	4186	1997-10-04	VYDAJ	VYBER	4440	25389	\N	\N	\N
1222699	4186	1997-01-22	VYDAJ	VYBER	3960	45165	\N	\N	\N
1222700	4186	1998-04-30	VYDAJ	VYBER	2880	19327	\N	\N	\N
1222702	4186	1998-06-07	VYDAJ	VYBER	3480	19915	\N	\N	\N
1222704	4186	1998-04-10	VYDAJ	VYBER	4440	18910	\N	\N	\N
1222718	4186	1997-01-31	VYDAJ	VYBER	15	39607	SLUZBY	\N	\N
1222719	4186	1997-02-28	VYDAJ	VYBER	15	41477	SLUZBY	\N	\N
1222720	4186	1997-03-31	VYDAJ	VYBER	15	41226	SLUZBY	\N	\N
1222721	4186	1997-04-30	VYDAJ	VYBER	15	37897	SLUZBY	\N	\N
1222722	4186	1997-05-31	VYDAJ	VYBER	15	37156	SLUZBY	\N	\N
1222723	4186	1997-06-30	VYDAJ	VYBER	15	36227	SLUZBY	\N	\N
1222724	4186	1997-07-31	VYDAJ	VYBER	15	36560	SLUZBY	\N	\N
1222725	4186	1997-08-31	VYDAJ	VYBER	15	32600	SLUZBY	\N	\N
1222726	4186	1997-09-30	VYDAJ	VYBER	15	29829	SLUZBY	\N	\N
1222727	4186	1997-10-31	VYDAJ	VYBER	15	29482	SLUZBY	\N	\N
1222728	4186	1997-11-30	VYDAJ	VYBER	15	28900	SLUZBY	\N	\N
1222729	4186	1997-12-31	VYDAJ	VYBER	15	31552	SLUZBY	\N	\N
1222730	4186	1998-01-31	VYDAJ	VYBER	15	22184	SLUZBY	\N	\N
1222731	4186	1998-02-28	VYDAJ	VYBER	15	20365	SLUZBY	\N	\N
1222732	4186	1998-03-31	VYDAJ	VYBER	15	23350	SLUZBY	\N	\N
1222733	4186	1998-04-30	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
1222734	4186	1998-05-31	VYDAJ	VYBER	15	23395	SLUZBY	\N	\N
1222735	4186	1998-06-30	VYDAJ	VYBER	15	16868	SLUZBY	\N	\N
1222736	4186	1998-07-31	VYDAJ	VYBER	15	15026	SLUZBY	\N	\N
1222737	4186	1998-08-31	VYDAJ	VYBER	15	15178	SLUZBY	\N	\N
1222738	4186	1998-09-30	VYDAJ	VYBER	15	15229	SLUZBY	\N	\N
1222739	4186	1998-10-31	VYDAJ	VYBER	15	14779	SLUZBY	\N	\N
1222740	4186	1998-11-30	VYDAJ	VYBER	15	16731	SLUZBY	\N	\N
1222741	4186	1996-09-24	PRIJEM	VKLAD	1400	23029	\N	\N	\N
1222742	4186	1996-10-24	VYDAJ	VYBER	10000	33780	\N	\N	\N
1222743	4186	1996-11-23	VYDAJ	VYBER	14400	40217	\N	\N	\N
1222744	4186	1996-12-23	VYDAJ	VYBER	23200	48259	\N	\N	\N
1222745	4186	1997-01-22	VYDAJ	VYBER	16800	49125	\N	\N	\N
1222746	4186	1997-02-21	VYDAJ	VYBER	12000	41308	\N	\N	\N
1222747	4186	1997-03-23	VYDAJ	VYBER	10400	41058	\N	\N	\N
1222748	4186	1997-04-22	VYDAJ	VYBER	17200	37727	\N	\N	\N
1222749	4186	1997-05-22	VYDAJ	VYBER	14600	36998	\N	\N	\N
1222750	4186	1997-06-21	VYDAJ	VYBER	11700	36082	\N	\N	\N
1222751	4186	1997-07-21	VYDAJ	VYBER	12800	37128	\N	\N	\N
1222752	4186	1997-08-20	VYDAJ	VYBER	16000	32461	\N	\N	\N
1222753	4186	1997-09-19	VYDAJ	VYBER	16600	29701	\N	\N	\N
1222754	4186	1997-10-19	VYDAJ	VYBER	9000	29370	\N	\N	\N
1222755	4186	1997-11-18	VYDAJ	VYBER	14400	28783	\N	\N	\N
1222756	4186	1997-12-18	VYDAJ	VYBER	16900	31426	\N	\N	\N
1222757	4186	1998-01-17	VYDAJ	VYBER	9400	25093	\N	\N	\N
1222758	4186	1998-02-16	VYDAJ	VYBER	15600	20285	\N	\N	\N
1222759	4186	1998-03-18	VYDAJ	VYBER	10800	23266	\N	\N	\N
1222760	4186	1998-04-17	VYDAJ	VYBER	10500	22111	\N	\N	\N
1222761	4186	1998-05-17	VYDAJ	VYBER	9700	23314	\N	\N	\N
1222762	4186	1998-06-16	VYDAJ	VYBER	18400	25581	\N	\N	\N
1222763	4186	1998-07-16	VYDAJ	VYBER	15600	14969	\N	\N	\N
1222764	4186	1998-08-15	VYDAJ	VYBER	13600	15127	\N	\N	\N
1222765	4186	1998-09-14	VYDAJ	VYBER	13700	15179	\N	\N	\N
1222766	4186	1998-10-14	VYDAJ	VYBER	14200	14730	\N	\N	\N
1222767	4186	1998-11-13	VYDAJ	VYBER	11800	16680	\N	\N	\N
1223525	4190	1995-10-04	PRIJEM	VKLAD	700	700	\N	\N	\N
1223535	4190	1995-10-12	PRIJEM	VKLAD	11038	11738	\N	\N	\N
1223536	4190	1995-11-12	PRIJEM	VKLAD	11038	28208	\N	\N	\N
1223537	4190	1995-12-12	PRIJEM	VKLAD	16557	41957	\N	\N	\N
1223538	4190	1996-01-12	PRIJEM	VKLAD	11038	43049	\N	\N	\N
1223539	4190	1996-02-12	PRIJEM	VKLAD	11038	38565	\N	\N	\N
1223540	4190	1996-03-12	PRIJEM	VKLAD	11038	40535	\N	\N	\N
1223541	4190	1996-04-12	PRIJEM	VKLAD	11038	38453	\N	\N	\N
1223542	4190	1996-05-12	PRIJEM	VKLAD	11038	39357	\N	\N	\N
1223543	4190	1996-06-12	PRIJEM	VKLAD	16557	41281	\N	\N	\N
1223544	4190	1996-07-12	PRIJEM	VKLAD	11038	42306	\N	\N	\N
1223545	4190	1996-08-12	PRIJEM	VKLAD	11038	40307	\N	\N	\N
1223546	4190	1996-09-12	PRIJEM	VKLAD	11038	39622	\N	\N	\N
1223547	4190	1996-10-12	PRIJEM	VKLAD	11038	41036	\N	\N	\N
1223548	4190	1996-11-12	PRIJEM	VKLAD	11038	40660	\N	\N	\N
1223549	4190	1996-12-12	PRIJEM	VKLAD	16557	48647	\N	\N	\N
1223550	4190	1997-01-12	PRIJEM	VKLAD	11038	39737	\N	\N	\N
1223551	4190	1997-02-12	PRIJEM	VKLAD	11038	25394	\N	\N	\N
1223552	4190	1997-03-12	PRIJEM	VKLAD	11038	35169	\N	\N	\N
1223553	4190	1997-04-12	PRIJEM	VKLAD	11038	40408	\N	\N	\N
1223554	4190	1997-05-12	PRIJEM	VKLAD	11038	35118	\N	\N	\N
1223555	4190	1997-06-12	PRIJEM	VKLAD	16557	51008	\N	\N	\N
1223556	4190	1997-07-12	PRIJEM	VKLAD	11038	42550	\N	\N	\N
1223557	4190	1997-08-12	PRIJEM	VKLAD	11038	49193	\N	\N	\N
1223558	4190	1997-09-12	PRIJEM	VKLAD	11038	51481	\N	\N	\N
1223559	4190	1997-10-12	PRIJEM	VKLAD	11038	52371	\N	\N	\N
1223560	4190	1997-11-12	PRIJEM	VKLAD	11038	49662	\N	\N	\N
1223561	4190	1997-12-12	PRIJEM	VKLAD	16557	54225	\N	\N	\N
1223562	4190	1998-01-12	PRIJEM	VKLAD	11038	31023	\N	\N	\N
1223563	4190	1998-02-12	PRIJEM	VKLAD	11038	29119	\N	\N	\N
1223564	4190	1998-03-12	PRIJEM	VKLAD	11038	31116	\N	\N	\N
1223565	4190	1998-04-12	PRIJEM	VKLAD	11038	31721	\N	\N	\N
1223566	4190	1998-05-12	PRIJEM	VKLAD	11038	33028	\N	\N	\N
1223567	4190	1998-06-12	PRIJEM	VKLAD	16557	34493	\N	\N	\N
1223568	4190	1998-07-12	PRIJEM	VKLAD	11038	37911	\N	\N	\N
1223569	4190	1998-08-12	PRIJEM	VKLAD	11038	36340	\N	\N	\N
1223570	4190	1998-09-12	PRIJEM	VKLAD	11038	37267	\N	\N	\N
1223571	4190	1998-10-12	PRIJEM	VKLAD	11038	30869	\N	\N	\N
1223572	4190	1998-11-12	PRIJEM	VKLAD	11038	32181	\N	\N	\N
1223573	4190	1998-12-12	PRIJEM	VKLAD	16557	36906	\N	\N	\N
1223587	4190	1996-02-13	VYDAJ	PREVOD NA UCET	2901	35664	SIPO	QR	51522499
1223588	4190	1996-03-13	VYDAJ	PREVOD NA UCET	2901	37634	SIPO	QR	51522499
1223589	4190	1996-04-13	VYDAJ	PREVOD NA UCET	2901	34452	SIPO	QR	51522499
1223590	4190	1996-05-13	VYDAJ	PREVOD NA UCET	2901	35356	SIPO	QR	51522499
1223591	4190	1996-06-13	VYDAJ	PREVOD NA UCET	2901	37280	SIPO	QR	51522499
1223592	4190	1996-07-13	VYDAJ	PREVOD NA UCET	2901	38305	SIPO	QR	51522499
1223593	4190	1996-08-13	VYDAJ	PREVOD NA UCET	2901	37406	SIPO	QR	51522499
1223594	4190	1996-09-13	VYDAJ	PREVOD NA UCET	2901	35621	SIPO	QR	51522499
1223595	4190	1996-10-13	VYDAJ	PREVOD NA UCET	2901	38135	SIPO	QR	51522499
1223596	4190	1996-11-13	VYDAJ	PREVOD NA UCET	2901	37759	SIPO	QR	51522499
1223597	4190	1996-12-13	VYDAJ	PREVOD NA UCET	2901	45746	SIPO	QR	51522499
1223598	4190	1997-01-13	VYDAJ	PREVOD NA UCET	2901	36836	SIPO	QR	51522499
1223599	4190	1997-02-13	VYDAJ	PREVOD NA UCET	2901	22493	SIPO	QR	51522499
1223600	4190	1997-03-13	VYDAJ	PREVOD NA UCET	2901	31168	SIPO	QR	51522499
1223601	4190	1997-04-13	VYDAJ	PREVOD NA UCET	2901	36407	SIPO	QR	51522499
1223602	4190	1997-05-13	VYDAJ	PREVOD NA UCET	2901	31117	SIPO	QR	51522499
1223603	4190	1997-06-13	VYDAJ	PREVOD NA UCET	2901	48107	SIPO	QR	51522499
1223604	4190	1997-07-13	VYDAJ	PREVOD NA UCET	2901	38549	SIPO	QR	51522499
1223605	4190	1997-08-13	VYDAJ	PREVOD NA UCET	2901	45192	SIPO	QR	51522499
1223606	4190	1997-09-13	VYDAJ	PREVOD NA UCET	2901	40717	SIPO	QR	51522499
1223607	4190	1997-10-13	VYDAJ	PREVOD NA UCET	2901	42707	SIPO	QR	51522499
1223608	4190	1997-11-13	VYDAJ	PREVOD NA UCET	2901	39998	SIPO	QR	51522499
1223609	4190	1997-12-13	VYDAJ	PREVOD NA UCET	2901	44561	SIPO	QR	51522499
1223610	4190	1998-01-13	VYDAJ	PREVOD NA UCET	2901	19199	SIPO	QR	51522499
1223611	4190	1998-02-13	VYDAJ	PREVOD NA UCET	2901	19455	SIPO	QR	51522499
1223612	4190	1998-03-13	VYDAJ	PREVOD NA UCET	2901	20352	SIPO	QR	51522499
1223613	4190	1998-04-13	VYDAJ	PREVOD NA UCET	2901	22057	SIPO	QR	51522499
1223614	4190	1998-05-13	VYDAJ	PREVOD NA UCET	2901	23364	SIPO	QR	51522499
1223615	4190	1998-06-13	VYDAJ	PREVOD NA UCET	2901	23729	SIPO	QR	51522499
1223616	4190	1998-07-13	VYDAJ	PREVOD NA UCET	2901	27147	SIPO	QR	51522499
1223617	4190	1998-08-13	VYDAJ	PREVOD NA UCET	2901	26676	SIPO	QR	51522499
1223618	4190	1998-09-13	VYDAJ	PREVOD NA UCET	2901	26503	SIPO	QR	51522499
1223619	4190	1998-10-13	VYDAJ	PREVOD NA UCET	2901	20105	SIPO	QR	51522499
1223620	4190	1998-11-13	VYDAJ	PREVOD NA UCET	2901	21417	SIPO	QR	51522499
1223621	4190	1998-12-13	VYDAJ	PREVOD NA UCET	2901	26142	SIPO	QR	51522499
1223635	4190	1996-02-13	VYDAJ	PREVOD NA UCET	1100	34564	 	MN	24471074
1223636	4190	1996-03-13	VYDAJ	PREVOD NA UCET	1100	36534	 	MN	24471074
1223637	4190	1996-04-13	VYDAJ	PREVOD NA UCET	1100	37353	 	MN	24471074
1223638	4190	1996-05-13	VYDAJ	PREVOD NA UCET	1100	38257	 	MN	24471074
1223639	4190	1996-06-13	VYDAJ	PREVOD NA UCET	1100	40181	 	MN	24471074
1223640	4190	1996-07-13	VYDAJ	PREVOD NA UCET	1100	41206	 	MN	24471074
1223641	4190	1996-08-13	VYDAJ	PREVOD NA UCET	1100	36306	 	MN	24471074
1223642	4190	1996-09-13	VYDAJ	PREVOD NA UCET	1100	38522	 	MN	24471074
1223643	4190	1996-10-13	VYDAJ	PREVOD NA UCET	1100	37035	 	MN	24471074
1223644	4190	1996-11-13	VYDAJ	PREVOD NA UCET	1100	36659	 	MN	24471074
1223645	4190	1996-12-13	VYDAJ	PREVOD NA UCET	1100	44646	 	MN	24471074
1223646	4190	1997-01-13	VYDAJ	PREVOD NA UCET	1100	35736	 	MN	24471074
1223647	4190	1997-02-13	VYDAJ	PREVOD NA UCET	1100	21393	 	MN	24471074
1223648	4190	1997-03-13	VYDAJ	PREVOD NA UCET	1100	34069	 	MN	24471074
1223649	4190	1997-04-13	VYDAJ	PREVOD NA UCET	1100	39308	 	MN	24471074
1223650	4190	1997-05-13	VYDAJ	PREVOD NA UCET	1100	34018	 	MN	24471074
1223651	4190	1997-06-13	VYDAJ	PREVOD NA UCET	1100	47007	 	MN	24471074
1223652	4190	1997-07-13	VYDAJ	PREVOD NA UCET	1100	41450	 	MN	24471074
1223653	4190	1997-08-13	VYDAJ	PREVOD NA UCET	1100	48093	 	MN	24471074
1223654	4190	1997-09-13	VYDAJ	PREVOD NA UCET	1100	43618	 	MN	24471074
1223655	4190	1997-10-13	VYDAJ	PREVOD NA UCET	1100	41607	 	MN	24471074
1223656	4190	1997-11-13	VYDAJ	PREVOD NA UCET	1100	38898	 	MN	24471074
1223657	4190	1997-12-13	VYDAJ	PREVOD NA UCET	1100	43461	 	MN	24471074
1223658	4190	1998-01-13	VYDAJ	PREVOD NA UCET	1100	18099	 	MN	24471074
1223659	4190	1998-02-13	VYDAJ	PREVOD NA UCET	1100	18355	 	MN	24471074
1223660	4190	1998-03-13	VYDAJ	PREVOD NA UCET	1100	23253	 	MN	24471074
1223661	4190	1998-04-13	VYDAJ	PREVOD NA UCET	1100	20957	 	MN	24471074
1223662	4190	1998-05-13	VYDAJ	PREVOD NA UCET	1100	22264	 	MN	24471074
1223663	4190	1998-06-13	VYDAJ	PREVOD NA UCET	1100	26630	 	MN	24471074
1223664	4190	1998-07-13	VYDAJ	PREVOD NA UCET	1100	30048	 	MN	24471074
1223665	4190	1998-08-13	VYDAJ	PREVOD NA UCET	1100	25576	 	MN	24471074
1223666	4190	1998-09-13	VYDAJ	PREVOD NA UCET	1100	29404	 	MN	24471074
1223667	4190	1998-10-13	VYDAJ	PREVOD NA UCET	1100	23006	 	MN	24471074
1223668	4190	1998-11-13	VYDAJ	PREVOD NA UCET	1100	24318	 	MN	24471074
1223669	4190	1998-12-13	VYDAJ	PREVOD NA UCET	1100	29043	 	MN	24471074
1223684	4190	1996-03-07	VYDAJ	PREVOD NA UCET	1242	29497	POJISTNE	IJ	72617375
1223685	4190	1996-04-07	VYDAJ	PREVOD NA UCET	1242	27415	POJISTNE	IJ	72617375
1223686	4190	1996-05-07	VYDAJ	PREVOD NA UCET	1242	28319	POJISTNE	IJ	72617375
1223687	4190	1996-06-07	VYDAJ	PREVOD NA UCET	1242	29224	POJISTNE	IJ	72617375
1223688	4190	1996-07-07	VYDAJ	PREVOD NA UCET	1242	37068	POJISTNE	IJ	72617375
1223689	4190	1996-08-07	VYDAJ	PREVOD NA UCET	1242	35149	POJISTNE	IJ	72617375
1223690	4190	1996-09-07	VYDAJ	PREVOD NA UCET	1242	28584	POJISTNE	IJ	72617375
1223691	4190	1996-10-07	VYDAJ	PREVOD NA UCET	1242	29998	POJISTNE	IJ	72617375
1223692	4190	1996-11-07	VYDAJ	PREVOD NA UCET	1242	29622	POJISTNE	IJ	72617375
1223693	4190	1996-12-07	VYDAJ	PREVOD NA UCET	1242	32090	POJISTNE	IJ	72617375
1223694	4190	1997-01-07	VYDAJ	PREVOD NA UCET	1242	31339	POJISTNE	IJ	72617375
1223695	4190	1997-02-07	VYDAJ	PREVOD NA UCET	1242	20156	POJISTNE	IJ	72617375
1223696	4190	1997-03-07	VYDAJ	PREVOD NA UCET	1242	33131	POJISTNE	IJ	72617375
1223697	4190	1997-04-07	VYDAJ	PREVOD NA UCET	1242	29370	POJISTNE	IJ	72617375
1223698	4190	1997-05-07	VYDAJ	PREVOD NA UCET	1242	24080	POJISTNE	IJ	72617375
1223699	4190	1997-06-07	VYDAJ	PREVOD NA UCET	1242	34451	POJISTNE	IJ	72617375
1223700	4190	1997-07-07	VYDAJ	PREVOD NA UCET	1242	38312	POJISTNE	IJ	72617375
1223701	4190	1997-08-07	VYDAJ	PREVOD NA UCET	1242	38155	POJISTNE	IJ	72617375
1223702	4190	1997-09-07	VYDAJ	PREVOD NA UCET	1242	40443	POJISTNE	IJ	72617375
1223703	4190	1997-10-07	VYDAJ	PREVOD NA UCET	1242	41333	POJISTNE	IJ	72617375
1223704	4190	1997-11-07	VYDAJ	PREVOD NA UCET	1242	38624	POJISTNE	IJ	72617375
1223705	4190	1997-12-07	VYDAJ	PREVOD NA UCET	1242	40308	POJISTNE	IJ	72617375
1223706	4190	1998-01-07	VYDAJ	PREVOD NA UCET	1242	33665	POJISTNE	IJ	72617375
1223707	4190	1998-02-07	VYDAJ	PREVOD NA UCET	1242	18081	POJISTNE	IJ	72617375
1223708	4190	1998-03-07	VYDAJ	PREVOD NA UCET	1242	20078	POJISTNE	IJ	72617375
1223709	4190	1998-04-07	VYDAJ	PREVOD NA UCET	1242	20683	POJISTNE	IJ	72617375
1223710	4190	1998-05-07	VYDAJ	PREVOD NA UCET	1242	21990	POJISTNE	IJ	72617375
1223711	4190	1998-06-07	VYDAJ	PREVOD NA UCET	1242	17936	POJISTNE	IJ	72617375
1223712	4190	1998-07-07	VYDAJ	PREVOD NA UCET	1242	26873	POJISTNE	IJ	72617375
1223713	4190	1998-08-07	VYDAJ	PREVOD NA UCET	1242	25302	POJISTNE	IJ	72617375
1223714	4190	1998-09-07	VYDAJ	PREVOD NA UCET	1242	26229	POJISTNE	IJ	72617375
1223715	4190	1998-10-07	VYDAJ	PREVOD NA UCET	1242	24271	POJISTNE	IJ	72617375
1223716	4190	1998-11-07	VYDAJ	PREVOD NA UCET	1242	21143	POJISTNE	IJ	72617375
1223717	4190	1998-12-07	VYDAJ	PREVOD NA UCET	1242	20349	POJISTNE	IJ	72617375
1223731	4190	1996-02-07	VYDAJ	VYBER	7800	27527	\N	\N	0
1223732	4190	1996-03-17	VYDAJ	VYBER	6300	30234	\N	\N	0
1223733	4190	1996-04-20	VYDAJ	VYBER	8000	26452	\N	\N	0
1223734	4190	1996-05-15	VYDAJ	VYBER	5000	30356	\N	\N	0
1223735	4190	1996-06-11	VYDAJ	VYBER	4500	24724	\N	\N	0
1223736	4190	1996-07-11	VYDAJ	VYBER	5800	31268	\N	\N	0
1223737	4190	1996-08-15	VYDAJ	VYBER	6300	30006	\N	\N	0
1223738	4190	1996-09-23	VYDAJ	VYBER	6500	29121	\N	\N	0
1223739	4190	1996-10-27	VYDAJ	VYBER	7100	29935	\N	\N	0
1223740	4190	1996-11-28	VYDAJ	VYBER	5300	37359	\N	\N	0
1223741	4190	1996-12-14	VYDAJ	VYBER	6300	38346	\N	\N	0
1223742	4190	1996-12-27	VYDAJ	VYBER	7000	33406	\N	\N	0
1223743	4190	1997-02-10	VYDAJ	VYBER	5800	14356	\N	\N	0
1223744	4190	1997-03-10	VYDAJ	VYBER	9000	24131	\N	\N	0
1223745	4190	1997-04-14	VYDAJ	VYBER	7300	29107	\N	\N	0
1223746	4190	1997-05-07	VYDAJ	VYBER	7000	25322	\N	\N	0
1223747	4190	1997-06-14	VYDAJ	VYBER	6500	40507	\N	\N	0
1223748	4190	1997-07-08	VYDAJ	VYBER	6800	31512	\N	\N	0
1223749	4190	1997-08-15	VYDAJ	VYBER	6000	39192	\N	\N	0
1223750	4190	1997-09-12	VYDAJ	PREVOD NA UCET	6763	44718	UVER	QR	57476657
1223751	4190	1997-10-12	VYDAJ	PREVOD NA UCET	6763	45608	UVER	QR	57476657
1223752	4190	1997-11-12	VYDAJ	PREVOD NA UCET	6763	42899	UVER	QR	57476657
1223753	4190	1997-12-12	VYDAJ	PREVOD NA UCET	6763	47462	UVER	QR	57476657
1223754	4190	1998-01-12	VYDAJ	PREVOD NA UCET	6763	22100	UVER	QR	57476657
1223755	4190	1998-02-12	VYDAJ	PREVOD NA UCET	6763	22356	UVER	QR	57476657
1223756	4190	1998-03-12	VYDAJ	PREVOD NA UCET	6763	24353	UVER	QR	57476657
1223757	4190	1998-04-12	VYDAJ	PREVOD NA UCET	6763	24958	UVER	QR	57476657
1223758	4190	1998-05-12	VYDAJ	PREVOD NA UCET	6763	26265	UVER	QR	57476657
1223759	4190	1998-06-12	VYDAJ	PREVOD NA UCET	6763	27730	UVER	QR	57476657
1223760	4190	1998-07-12	VYDAJ	PREVOD NA UCET	6763	31148	UVER	QR	57476657
1223761	4190	1998-08-12	VYDAJ	PREVOD NA UCET	6763	29577	UVER	QR	57476657
1223762	4190	1998-09-12	VYDAJ	PREVOD NA UCET	6763	30504	UVER	QR	57476657
1223763	4190	1998-10-12	VYDAJ	PREVOD NA UCET	6763	24106	UVER	QR	57476657
1223764	4190	1998-11-12	VYDAJ	PREVOD NA UCET	6763	25418	UVER	QR	57476657
1223765	4190	1998-12-12	VYDAJ	PREVOD NA UCET	6763	30143	UVER	QR	57476657
1223772	4190	1997-01-30	VYDAJ	VYBER	15680	21276	\N	\N	\N
1223773	4190	1998-01-09	VYDAJ	VYBER	10560	23105	\N	\N	\N
1223775	4190	1996-12-06	VYDAJ	VYBER	4160	33332	\N	\N	\N
1223776	4190	1997-12-15	VYDAJ	VYBER	4480	38981	\N	\N	\N
1223777	4190	1998-12-17	VYDAJ	VYBER	4160	21982	\N	\N	\N
1223790	4190	1997-01-17	VYDAJ	VYBER	2400	33336	\N	\N	\N
1223791	4190	1997-01-02	VYDAJ	VYBER	960	32581	\N	\N	\N
1223792	4190	1997-01-23	VYDAJ	VYBER	1680	31656	\N	\N	\N
1223793	4190	1997-01-25	VYDAJ	VYBER	1200	29256	\N	\N	\N
1223794	4190	1997-01-23	VYDAJ	VYBER	1200	30456	\N	\N	\N
1223795	4190	1997-01-07	VYDAJ	VYBER	2640	28699	\N	\N	\N
1223796	4190	1998-01-28	VYDAJ	VYBER	2520	19239	\N	\N	\N
1223797	4190	1998-01-22	VYDAJ	VYBER	3240	21759	\N	\N	\N
1223800	4190	1998-01-11	VYDAJ	VYBER	3120	19985	\N	\N	\N
1223801	4190	1998-01-06	VYDAJ	VYBER	720	34907	\N	\N	\N
1223809	4190	1996-07-24	VYDAJ	VYBER	1560	36745	\N	\N	\N
1223811	4190	1996-07-24	VYDAJ	VYBER	1800	34945	\N	\N	\N
1223812	4190	1996-12-15	VYDAJ	VYBER	4440	33906	\N	\N	\N
1223813	4190	1996-02-29	VYDAJ	VYBER	3960	30739	\N	\N	\N
1223814	4190	1996-08-09	VYDAJ	VYBER	5880	29269	\N	\N	\N
1223815	4190	1997-12-10	VYDAJ	VYBER	2640	37668	\N	\N	\N
1223816	4190	1997-08-21	VYDAJ	VYBER	2760	36432	\N	\N	\N
1223817	4190	1997-06-04	VYDAJ	VYBER	1440	35693	\N	\N	\N
1223818	4190	1997-04-03	VYDAJ	VYBER	3480	30612	\N	\N	\N
1223819	4190	1998-05-23	VYDAJ	VYBER	3360	19104	\N	\N	\N
1223820	4190	1998-10-11	VYDAJ	VYBER	4440	19831	\N	\N	\N
1223822	4190	1998-01-12	VYDAJ	VYBER	2160	28863	\N	\N	\N
1223823	4190	1998-09-14	VYDAJ	VYBER	4080	22423	\N	\N	\N
1223839	4190	1996-02-29	VYDAJ	VYBER	15	34699	SLUZBY	\N	\N
1223840	4190	1996-03-31	VYDAJ	VYBER	15	30357	SLUZBY	\N	\N
1223841	4190	1996-04-30	VYDAJ	VYBER	15	26561	SLUZBY	\N	\N
1223842	4190	1996-05-31	VYDAJ	VYBER	15	30466	SLUZBY	\N	\N
1223843	4190	1996-06-30	VYDAJ	VYBER	15	38310	SLUZBY	\N	\N
1223844	4190	1996-07-31	VYDAJ	VYBER	15	36391	SLUZBY	\N	\N
1223845	4190	1996-08-31	VYDAJ	VYBER	15	29826	SLUZBY	\N	\N
1223846	4190	1996-09-30	VYDAJ	VYBER	15	31240	SLUZBY	\N	\N
1223847	4190	1996-10-31	VYDAJ	VYBER	15	30864	SLUZBY	\N	\N
1223848	4190	1996-11-30	VYDAJ	VYBER	15	37492	SLUZBY	\N	\N
1223849	4190	1996-12-31	VYDAJ	VYBER	15	33541	SLUZBY	\N	\N
1223850	4190	1997-01-31	VYDAJ	VYBER	15	21398	SLUZBY	\N	\N
1223851	4190	1997-02-28	VYDAJ	VYBER	15	34373	SLUZBY	\N	\N
1223852	4190	1997-03-31	VYDAJ	VYBER	15	34092	SLUZBY	\N	\N
1223853	4190	1997-04-30	VYDAJ	VYBER	15	32322	SLUZBY	\N	\N
1223854	4190	1997-05-31	VYDAJ	VYBER	15	37133	SLUZBY	\N	\N
1223855	4190	1997-06-30	VYDAJ	VYBER	15	39554	SLUZBY	\N	\N
1223856	4190	1997-07-31	VYDAJ	VYBER	15	39397	SLUZBY	\N	\N
1223857	4190	1997-08-31	VYDAJ	VYBER	15	41685	SLUZBY	\N	\N
1223858	4190	1997-09-30	VYDAJ	VYBER	15	42575	SLUZBY	\N	\N
1223859	4190	1997-10-31	VYDAJ	VYBER	15	39866	SLUZBY	\N	\N
1223860	4190	1997-11-30	VYDAJ	VYBER	15	41550	SLUZBY	\N	\N
1223861	4190	1997-12-31	VYDAJ	VYBER	15	35627	SLUZBY	\N	\N
1223862	4190	1998-01-31	VYDAJ	VYBER	15	19323	SLUZBY	\N	\N
1223863	4190	1998-02-28	VYDAJ	VYBER	15	21320	SLUZBY	\N	\N
1223864	4190	1998-03-31	VYDAJ	VYBER	15	21925	SLUZBY	\N	\N
1223865	4190	1998-04-30	VYDAJ	VYBER	15	23232	SLUZBY	\N	\N
1223866	4190	1998-05-31	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
1223867	4190	1998-06-30	VYDAJ	VYBER	15	28115	SLUZBY	\N	\N
1223868	4190	1998-07-31	VYDAJ	VYBER	15	26544	SLUZBY	\N	\N
1223869	4190	1998-08-31	VYDAJ	VYBER	15	27471	SLUZBY	\N	\N
1223870	4190	1998-09-30	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
1223871	4190	1998-10-31	VYDAJ	VYBER	15	22385	SLUZBY	\N	\N
1223872	4190	1998-11-30	VYDAJ	VYBER	15	21591	SLUZBY	\N	\N
1223873	4190	1995-11-03	PRIJEM	VKLAD	5400	17170	\N	\N	\N
1223874	4190	1995-12-03	VYDAJ	VYBER	2900	25400	\N	\N	\N
1223875	4190	1996-01-02	VYDAJ	VYBER	10100	32011	\N	\N	\N
1223876	4190	1996-02-01	VYDAJ	VYBER	7900	35327	\N	\N	\N
1223877	4190	1996-04-01	VYDAJ	VYBER	1700	28657	\N	\N	\N
1223878	4190	1996-05-01	PRIJEM	VKLAD	3000	29561	\N	\N	\N
1223879	4190	1996-06-30	PRIJEM	VKLAD	900	38180	\N	\N	\N
1223880	4190	1996-07-30	PRIJEM	VKLAD	1300	36245	\N	\N	\N
1223881	4190	1996-08-29	VYDAJ	VYBER	300	29706	\N	\N	\N
1223882	4190	1996-09-28	PRIJEM	VKLAD	2000	31121	\N	\N	\N
1223883	4190	1996-10-28	PRIJEM	VKLAD	800	30735	\N	\N	\N
1223884	4190	1996-11-27	PRIJEM	VKLAD	6000	42659	\N	\N	\N
1223885	4190	1996-12-27	PRIJEM	VKLAD	6500	40406	\N	\N	\N
1223886	4190	1997-01-26	PRIJEM	VKLAD	7700	36956	\N	\N	\N
1223887	4190	1997-02-25	PRIJEM	VKLAD	12900	34293	\N	\N	\N
1223888	4190	1997-03-27	PRIJEM	VKLAD	2800	33968	\N	\N	\N
1223889	4190	1997-04-26	PRIJEM	VKLAD	3100	32207	\N	\N	\N
1223890	4190	1997-05-26	PRIJEM	VKLAD	5900	37017	\N	\N	\N
1223891	4190	1997-06-25	VYDAJ	VYBER	1100	39407	\N	\N	\N
1223892	4190	1997-07-25	PRIJEM	VKLAD	700	39249	\N	\N	\N
1223893	4190	1997-08-24	PRIJEM	VKLAD	5100	41532	\N	\N	\N
1223894	4190	1997-09-23	PRIJEM	VKLAD	1700	42417	\N	\N	\N
1223895	4190	1997-10-23	VYDAJ	VYBER	1900	39707	\N	\N	\N
1223896	4190	1997-11-22	PRIJEM	VKLAD	2500	41398	\N	\N	\N
1223897	4190	1997-12-22	VYDAJ	VYBER	3500	35481	\N	\N	\N
1223898	4190	1998-01-21	PRIJEM	VKLAD	6900	24999	\N	\N	\N
1223899	4190	1998-02-20	PRIJEM	VKLAD	2900	21255	\N	\N	\N
1223900	4190	1998-03-22	PRIJEM	VKLAD	1500	21852	\N	\N	\N
1223901	4190	1998-04-21	PRIJEM	VKLAD	2200	23157	\N	\N	\N
1223902	4190	1998-05-21	PRIJEM	VKLAD	200	22464	\N	\N	\N
1223903	4190	1998-06-20	PRIJEM	VKLAD	4300	28029	\N	\N	\N
1223904	4190	1998-07-20	VYDAJ	VYBER	700	26447	\N	\N	\N
1223905	4190	1998-08-19	PRIJEM	VKLAD	1800	27376	\N	\N	\N
1223906	4190	1998-09-18	PRIJEM	VKLAD	3000	25423	\N	\N	\N
1223907	4190	1998-10-18	PRIJEM	VKLAD	2200	22305	\N	\N	\N
1223908	4190	1998-11-17	PRIJEM	VKLAD	100	21517	\N	\N	\N
1225229	4195	1994-05-21	PRIJEM	VKLAD	700	700	\N	\N	\N
1225230	4195	1994-12-02	PRIJEM	VKLAD	43803	88519	\N	\N	\N
1225231	4195	1994-05-27	PRIJEM	VKLAD	12041	12741	\N	\N	\N
1225232	4195	1994-09-08	PRIJEM	VKLAD	15794	64898	\N	\N	\N
1225234	4195	1994-05-28	PRIJEM	VKLAD	16935	29676	\N	\N	\N
1225235	4195	1994-09-14	PRIJEM	VKLAD	10912	101194	\N	\N	\N
1225236	4195	1994-12-29	PRIJEM	VKLAD	11831	66750	\N	\N	\N
1225238	4195	1994-05-28	PRIJEM	VKLAD	24720	54396	\N	\N	\N
1225239	4195	1994-07-29	PRIJEM	VKLAD	8079	94350	\N	\N	\N
1225240	4195	1994-07-23	PRIJEM	VKLAD	5179	66198	\N	\N	\N
1225242	4195	1994-07-24	PRIJEM	VKLAD	20073	86271	\N	\N	\N
1225243	4195	1994-10-05	PRIJEM	VKLAD	29753	70700	\N	\N	\N
1225245	4195	1994-06-28	PRIJEM	VKLAD	46278	102964	\N	\N	\N
1225246	4195	1994-05-29	PRIJEM	VKLAD	32546	86942	\N	\N	\N
1225248	4195	1994-09-09	PRIJEM	VKLAD	25384	90282	\N	\N	\N
1225249	4195	1994-10-25	PRIJEM	VKLAD	26380	67980	\N	\N	\N
1225250	4195	1994-11-09	PRIJEM	VKLAD	10833	64923	\N	\N	\N
1225251	4195	1995-11-22	PRIJEM	VKLAD	35831	90663	\N	\N	\N
1225252	4195	1995-10-23	PRIJEM	VKLAD	37464	97139	\N	\N	\N
1225253	4195	1995-06-13	PRIJEM	VKLAD	5363	64079	\N	\N	\N
1225254	4195	1995-01-04	PRIJEM	VKLAD	37841	99448	\N	\N	\N
1225255	4195	1995-12-18	PRIJEM	VKLAD	5092	55240	\N	\N	\N
1225256	4195	1995-05-08	PRIJEM	VKLAD	47379	100464	\N	\N	\N
1225257	4195	1995-05-04	PRIJEM	VKLAD	18707	53085	\N	\N	\N
1225258	4195	1995-07-23	PRIJEM	VKLAD	14894	67285	\N	\N	\N
1225259	4195	1995-09-20	PRIJEM	VKLAD	41189	67790	\N	\N	\N
1225260	4195	1995-07-31	PRIJEM	VKLAD	35850	89255	\N	\N	\N
1225261	4195	1995-04-09	PRIJEM	VKLAD	37331	76409	\N	\N	\N
1225262	4195	1995-06-26	PRIJEM	VKLAD	23995	67974	\N	\N	\N
1225263	4195	1995-03-04	PRIJEM	VKLAD	46498	71216	\N	\N	\N
1225264	4195	1995-08-01	PRIJEM	VKLAD	24255	113496	\N	\N	\N
1225265	4195	1995-11-27	PRIJEM	VKLAD	28648	119311	\N	\N	\N
1225266	4195	1995-11-03	PRIJEM	VKLAD	41874	139294	\N	\N	\N
1225267	4195	1995-10-10	PRIJEM	VKLAD	36596	97775	\N	\N	\N
1225268	4195	1995-07-05	PRIJEM	VKLAD	17803	83591	\N	\N	\N
1225269	4195	1996-10-13	PRIJEM	VKLAD	33604	88142	\N	\N	\N
1225270	4195	1996-07-03	PRIJEM	VKLAD	5417	56699	\N	\N	\N
1225271	4195	1996-07-05	PRIJEM	VKLAD	47673	104372	\N	\N	\N
1225272	4195	1996-10-01	PRIJEM	VKLAD	8924	103520	\N	\N	\N
1225273	4195	1996-01-31	PRIJEM	VKLAD	6221	37420	\N	\N	\N
1225274	4195	1996-03-18	PRIJEM	VKLAD	13716	60987	\N	\N	\N
1225275	4195	1996-01-03	PRIJEM	VKLAD	30121	81435	\N	\N	\N
1225276	4195	1996-07-19	PRIJEM	VKLAD	10787	109823	\N	\N	\N
1225277	4195	1996-05-15	PRIJEM	VKLAD	21446	41525	\N	\N	\N
1225278	4195	1996-09-16	PRIJEM	VKLAD	46897	111520	\N	\N	\N
1225279	4195	1996-10-21	PRIJEM	VKLAD	24164	109306	\N	\N	\N
1225280	4195	1996-07-01	PRIJEM	VKLAD	5902	51282	\N	\N	\N
1225281	4195	1996-09-08	PRIJEM	VKLAD	11098	49414	\N	\N	\N
1225282	4195	1996-05-30	PRIJEM	VKLAD	31329	72854	\N	\N	\N
1225283	4195	1996-08-03	PRIJEM	VKLAD	42126	136182	\N	\N	\N
1225284	4195	1996-09-15	PRIJEM	VKLAD	15209	64623	\N	\N	\N
1225285	4195	1996-12-22	PRIJEM	VKLAD	28637	53488	\N	\N	\N
1225286	4195	1996-09-28	PRIJEM	VKLAD	43149	94369	\N	\N	\N
1225287	4195	1996-03-05	PRIJEM	VKLAD	49227	74371	\N	\N	\N
1225288	4195	1996-07-17	PRIJEM	VKLAD	40664	99036	\N	\N	\N
1225289	4195	1996-07-24	PRIJEM	VKLAD	46662	134685	\N	\N	\N
1225290	4195	1996-08-21	PRIJEM	VKLAD	15756	63538	\N	\N	\N
1225291	4195	1996-01-09	PRIJEM	VKLAD	31074	106209	\N	\N	\N
1225292	4195	1997-06-07	PRIJEM	VKLAD	11287	44216	\N	\N	\N
1225293	4195	1997-08-09	PRIJEM	VKLAD	34641	92432	\N	\N	\N
1225294	4195	1997-04-01	PRIJEM	VKLAD	7669	54573	\N	\N	\N
1225295	4195	1997-01-24	PRIJEM	VKLAD	37959	101403	\N	\N	\N
1225296	4195	1997-05-04	PRIJEM	VKLAD	45457	114352	\N	\N	\N
1225297	4195	1997-08-17	PRIJEM	VKLAD	44440	136872	\N	\N	\N
1225298	4195	1997-01-28	PRIJEM	VKLAD	26293	98596	\N	\N	\N
1225299	4195	1997-04-01	PRIJEM	VKLAD	29490	84063	\N	\N	\N
1225300	4195	1997-08-25	PRIJEM	VKLAD	49442	128314	\N	\N	\N
1225301	4195	1997-04-22	PRIJEM	VKLAD	37112	124177	\N	\N	\N
1225302	4195	1997-02-06	PRIJEM	VKLAD	21556	73865	\N	\N	\N
1225303	4195	1997-09-29	PRIJEM	VKLAD	42798	84381	\N	\N	\N
1225304	4195	1997-07-26	PRIJEM	VKLAD	42689	150494	\N	\N	\N
1225305	4195	1997-06-22	PRIJEM	VKLAD	7669	51885	\N	\N	\N
1225306	4195	1997-10-25	PRIJEM	VKLAD	38567	85032	\N	\N	\N
1225307	4195	1997-12-28	PRIJEM	VKLAD	33869	69811	\N	\N	\N
1225308	4195	1997-12-30	PRIJEM	VKLAD	34097	103908	\N	\N	\N
1225309	4195	1997-04-18	PRIJEM	VKLAD	36202	87065	\N	\N	\N
1225310	4195	1997-09-01	PRIJEM	VKLAD	33139	120437	\N	\N	\N
1225311	4195	1997-12-30	PRIJEM	VKLAD	10022	113930	\N	\N	\N
1225312	4195	1997-01-20	PRIJEM	VKLAD	44517	68844	\N	\N	\N
1225313	4195	1997-10-01	PRIJEM	VKLAD	40378	124965	\N	\N	\N
1225314	4195	1997-07-22	PRIJEM	VKLAD	29288	107805	\N	\N	\N
1225315	4195	1997-11-08	PRIJEM	VKLAD	7401	51248	\N	\N	\N
1225316	4195	1997-07-17	PRIJEM	VKLAD	39255	78517	\N	\N	\N
1225317	4195	1998-01-15	PRIJEM	VKLAD	12516	44446	\N	\N	\N
1225318	4195	1998-05-30	PRIJEM	VKLAD	19980	66409	\N	\N	\N
1225319	4195	1998-10-15	PRIJEM	VKLAD	15451	65681	\N	\N	\N
1225320	4195	1998-12-24	PRIJEM	VKLAD	26812	87260	\N	\N	\N
1225321	4195	1998-03-09	PRIJEM	VKLAD	35732	64721	\N	\N	\N
1225322	4195	1998-10-07	PRIJEM	VKLAD	18554	50230	\N	\N	\N
1225323	4195	1998-03-24	PRIJEM	VKLAD	44315	109036	\N	\N	\N
1225324	4195	1998-11-17	PRIJEM	VKLAD	31926	95899	\N	\N	\N
1225325	4195	1998-01-24	PRIJEM	VKLAD	39796	71642	\N	\N	\N
1225326	4195	1998-11-06	PRIJEM	VKLAD	37422	78373	\N	\N	\N
1225327	4195	1998-08-05	PRIJEM	VKLAD	9742	43529	\N	\N	\N
1225329	4195	1994-09-24	VYBER	VYBER	6266	49085	\N	\N	\N
1225331	4195	1994-09-16	VYBER	VYBER	11443	89751	\N	\N	\N
1225332	4195	1995-07-23	VYBER	VYBER	14169	53116	\N	\N	\N
1225333	4195	1995-09-26	VYBER	VYBER	6769	61021	\N	\N	\N
1225334	4195	1995-08-13	VYBER	VYBER	16812	76784	\N	\N	\N
1225335	4195	1995-04-23	VYBER	VYBER	3479	44730	\N	\N	\N
1225336	4195	1995-01-13	VYBER	VYBER	19507	41544	\N	\N	\N
1225337	4195	1995-08-17	VYBER	VYBER	19520	27864	\N	\N	\N
1225338	4195	1995-01-13	VYBER	VYBER	20997	61051	\N	\N	\N
1225339	4195	1995-11-08	VYBER	VYBER	11962	93132	\N	\N	\N
1225340	4195	1995-03-15	VYBER	VYBER	17263	53953	\N	\N	\N
1225341	4195	1995-05-26	VYBER	VYBER	5006	58458	\N	\N	\N
1225342	4195	1995-04-26	VYBER	VYBER	10507	34223	\N	\N	\N
1225344	4195	1996-10-01	VYBER	VYBER	11582	91938	\N	\N	\N
1225345	4195	1996-03-20	VYBER	VYBER	7579	53408	\N	\N	\N
1225346	4195	1996-04-07	VYBER	VYBER	5226	46845	\N	\N	\N
1225348	4195	1997-09-24	VYBER	VYBER	8145	41583	\N	\N	\N
1225349	4195	1997-09-11	VYBER	VYBER	5209	49728	\N	\N	\N
1225350	4195	1997-03-03	VYBER	VYBER	5156	69007	\N	\N	\N
1225358	4195	1995-01-19	VYDAJ	VYBER	3000	28044	\N	\N	\N
1225359	4195	1996-01-07	VYDAJ	VYBER	6300	75135	\N	\N	\N
1225360	4195	1997-01-27	VYDAJ	VYBER	29100	72303	\N	\N	\N
1225361	4195	1998-01-19	VYDAJ	VYBER	3600	37246	\N	\N	\N
1225362	4195	1994-12-06	VYDAJ	VYBER	2700	85819	\N	\N	\N
1225363	4195	1995-12-29	VYDAJ	VYBER	4200	51040	\N	\N	\N
1225364	4195	1996-12-17	VYDAJ	VYBER	1800	24851	\N	\N	\N
1225365	4195	1997-12-21	VYDAJ	VYBER	3300	37442	\N	\N	\N
1225366	4195	1998-12-28	VYDAJ	VYBER	8700	49260	\N	\N	\N
1225374	4195	1995-01-23	VYDAJ	VYBER	4500	23544	\N	\N	\N
1225375	4195	1995-01-09	VYDAJ	VYBER	3300	84148	\N	\N	\N
1225376	4195	1995-01-27	VYDAJ	VYBER	1500	22044	\N	\N	\N
1225377	4195	1995-01-10	VYDAJ	VYBER	2100	82048	\N	\N	\N
1225378	4195	1995-01-02	VYDAJ	VYBER	5400	61607	\N	\N	\N
1225379	4195	1996-01-13	VYDAJ	VYBER	7800	45709	\N	\N	\N
1225380	4195	1996-01-15	VYDAJ	VYBER	3900	41809	\N	\N	\N
1225381	4195	1996-01-12	VYDAJ	VYBER	3300	53509	\N	\N	\N
1225382	4195	1996-01-09	VYDAJ	VYBER	8400	97809	\N	\N	\N
1225383	4195	1996-01-21	VYDAJ	VYBER	3000	31009	\N	\N	\N
1225384	4195	1996-01-16	VYDAJ	VYBER	7800	34009	\N	\N	\N
1225385	4195	1997-01-29	VYDAJ	VYBER	7800	82396	\N	\N	\N
1225386	4195	1997-01-12	VYDAJ	VYBER	7800	24327	\N	\N	\N
1225387	4195	1997-01-28	VYDAJ	VYBER	8400	90196	\N	\N	\N
1225388	4195	1997-01-20	VYDAJ	VYBER	5400	63444	\N	\N	\N
1225390	4195	1997-01-09	VYDAJ	VYBER	2100	32127	\N	\N	\N
1225391	4195	1998-01-02	VYDAJ	VYBER	7500	45430	\N	\N	\N
1225392	4195	1998-01-18	VYDAJ	VYBER	3600	40846	\N	\N	\N
1225393	4195	1998-01-28	VYDAJ	VYBER	4800	54842	\N	\N	\N
1225394	4195	1998-01-07	VYDAJ	VYBER	7200	38230	\N	\N	\N
1225395	4195	1998-01-12	VYDAJ	VYBER	6300	31930	\N	\N	\N
1225396	4195	1998-01-23	VYDAJ	VYBER	5400	31846	\N	\N	\N
1225397	4195	1994-09-04	VYDAJ	VYBER	10500	49104	\N	\N	\N
1225399	4195	1994-10-08	VYDAJ	VYBER	10800	59900	\N	\N	\N
1225400	4195	1994-10-25	VYDAJ	VYBER	14100	53880	\N	\N	\N
1225401	4195	1994-07-16	VYDAJ	VYBER	8400	94919	\N	\N	\N
1225402	4195	1994-10-04	VYDAJ	VYBER	8400	40947	\N	\N	\N
1225403	4195	1995-07-03	VYDAJ	VYBER	2400	65788	\N	\N	\N
1225404	4195	1995-08-07	VYDAJ	VYBER	2700	93596	\N	\N	\N
1225406	4195	1995-01-04	VYDAJ	VYBER	12000	87448	\N	\N	\N
1225407	4195	1996-12-02	VYDAJ	VYBER	2700	36451	\N	\N	\N
1225408	4195	1996-04-12	VYDAJ	VYBER	1800	28745	\N	\N	\N
1225409	4195	1996-11-18	VYDAJ	VYBER	3300	38920	\N	\N	\N
1225410	4195	1996-10-15	VYDAJ	VYBER	3000	85142	\N	\N	\N
1225411	4195	1996-03-20	VYDAJ	VYBER	1500	51908	\N	\N	\N
1225412	4195	1997-12-25	VYDAJ	VYBER	1500	35942	\N	\N	\N
1225413	4195	1997-08-03	VYDAJ	VYBER	5700	57791	\N	\N	\N
1225414	4195	1997-04-06	VYDAJ	VYBER	4200	50863	\N	\N	\N
1225415	4195	1997-11-02	VYDAJ	VYBER	12600	43847	\N	\N	\N
1225416	4195	1997-07-03	VYDAJ	VYBER	1800	50262	\N	\N	\N
1225417	4195	1998-10-23	VYDAJ	VYBER	1800	63881	\N	\N	\N
1225418	4195	1998-01-24	VYDAJ	VYBER	12000	59642	\N	\N	\N
1225419	4195	1998-11-12	VYDAJ	VYBER	14400	63973	\N	\N	\N
1225420	4195	1998-02-01	VYDAJ	VYBER	7500	32442	\N	\N	\N
1225421	4195	1998-10-26	VYDAJ	VYBER	12600	51281	\N	\N	\N
1225422	4195	1998-08-15	VYDAJ	VYBER	5700	37829	\N	\N	\N
1225429	4195	1994-06-30	VYDAJ	VYBER	15	103319	SLUZBY	\N	\N
1225430	4195	1994-07-31	VYDAJ	VYBER	15	94728	SLUZBY	\N	\N
1225431	4195	1994-08-31	VYDAJ	VYBER	15	59604	SLUZBY	\N	\N
1225432	4195	1994-09-30	VYDAJ	VYBER	15	49347	SLUZBY	\N	\N
1225433	4195	1994-10-31	VYDAJ	VYBER	15	54090	SLUZBY	\N	\N
1225434	4195	1994-11-30	VYDAJ	VYBER	15	44716	SLUZBY	\N	\N
1225435	4195	1994-12-31	VYDAJ	VYBER	15	67007	SLUZBY	\N	\N
1225436	4195	1995-01-31	VYDAJ	VYBER	15	22240	SLUZBY	\N	\N
1225437	4195	1995-02-28	VYDAJ	VYBER	15	24718	SLUZBY	\N	\N
1225438	4195	1995-03-31	VYDAJ	VYBER	15	39078	SLUZBY	\N	\N
1225439	4195	1995-04-30	VYDAJ	VYBER	15	34378	SLUZBY	\N	\N
1225440	4195	1995-05-31	VYDAJ	VYBER	15	58716	SLUZBY	\N	\N
1225441	4195	1995-06-30	VYDAJ	VYBER	15	68188	SLUZBY	\N	\N
1225442	4195	1995-07-31	VYDAJ	VYBER	15	89241	SLUZBY	\N	\N
1225443	4195	1995-08-31	VYDAJ	VYBER	15	28101	SLUZBY	\N	\N
1225444	4195	1995-09-30	VYDAJ	VYBER	15	61179	SLUZBY	\N	\N
1225445	4195	1995-10-31	VYDAJ	VYBER	15	97420	SLUZBY	\N	\N
1225446	4195	1995-11-30	VYDAJ	VYBER	15	82048	SLUZBY	\N	\N
1225447	4195	1995-12-31	VYDAJ	VYBER	15	51314	SLUZBY	\N	\N
1225448	4195	1996-01-31	VYDAJ	VYBER	15	37405	SLUZBY	\N	\N
1225449	4195	1996-02-29	VYDAJ	VYBER	15	25144	SLUZBY	\N	\N
1225450	4195	1996-03-31	VYDAJ	VYBER	15	52071	SLUZBY	\N	\N
1225451	4195	1996-04-30	VYDAJ	VYBER	15	28879	SLUZBY	\N	\N
1225452	4195	1996-05-31	VYDAJ	VYBER	15	72996	SLUZBY	\N	\N
1225453	4195	1996-06-30	VYDAJ	VYBER	15	45380	SLUZBY	\N	\N
1225454	4195	1996-07-31	VYDAJ	VYBER	15	94056	SLUZBY	\N	\N
1225455	4195	1996-08-31	VYDAJ	VYBER	15	63816	SLUZBY	\N	\N
1225456	4195	1996-09-30	VYDAJ	VYBER	15	94596	SLUZBY	\N	\N
1225457	4195	1996-10-31	VYDAJ	VYBER	15	74820	SLUZBY	\N	\N
1225458	4195	1996-11-30	VYDAJ	VYBER	15	39151	SLUZBY	\N	\N
1225459	4195	1996-12-31	VYDAJ	VYBER	15	53627	SLUZBY	\N	\N
1225460	4195	1997-01-31	VYDAJ	VYBER	15	82609	SLUZBY	\N	\N
1225461	4195	1997-02-28	VYDAJ	VYBER	15	74163	SLUZBY	\N	\N
1225462	4195	1997-03-31	VYDAJ	VYBER	15	46904	SLUZBY	\N	\N
1225463	4195	1997-04-30	VYDAJ	VYBER	15	68895	SLUZBY	\N	\N
1225464	4195	1997-05-31	VYDAJ	VYBER	15	43429	SLUZBY	\N	\N
1225465	4195	1997-06-30	VYDAJ	VYBER	15	52062	SLUZBY	\N	\N
1225466	4195	1997-07-31	VYDAJ	VYBER	15	97591	SLUZBY	\N	\N
1225467	4195	1997-08-31	VYDAJ	VYBER	15	87298	SLUZBY	\N	\N
1225468	4195	1997-09-30	VYDAJ	VYBER	15	84587	SLUZBY	\N	\N
1225469	4195	1997-10-31	VYDAJ	VYBER	15	85247	SLUZBY	\N	\N
1225470	4195	1997-11-30	VYDAJ	VYBER	15	51442	SLUZBY	\N	\N
1225471	4195	1997-12-31	VYDAJ	VYBER	15	84230	SLUZBY	\N	\N
1225472	4195	1998-01-31	VYDAJ	VYBER	15	39942	SLUZBY	\N	\N
1225473	4195	1998-02-28	VYDAJ	VYBER	15	32589	SLUZBY	\N	\N
1225474	4195	1998-03-31	VYDAJ	VYBER	15	109301	SLUZBY	\N	\N
1225475	4195	1998-04-30	VYDAJ	VYBER	15	46429	SLUZBY	\N	\N
1225476	4195	1998-05-31	VYDAJ	VYBER	15	45183	SLUZBY	\N	\N
1225477	4195	1998-06-30	VYDAJ	VYBER	15	37750	SLUZBY	\N	\N
1225478	4195	1998-07-31	VYDAJ	VYBER	15	33787	SLUZBY	\N	\N
1225479	4195	1998-08-31	VYDAJ	VYBER	15	33557	SLUZBY	\N	\N
1225480	4195	1998-09-30	VYDAJ	VYBER	15	31676	SLUZBY	\N	\N
1225481	4195	1998-10-31	VYDAJ	VYBER	15	40951	SLUZBY	\N	\N
1225482	4195	1998-11-30	VYDAJ	VYBER	15	60448	SLUZBY	\N	\N
1225483	4195	1994-06-20	VYDAJ	VYBER	30300	56686	\N	\N	\N
1225484	4195	1994-07-20	VYDAJ	VYBER	33900	61019	\N	\N	\N
1225485	4195	1994-08-19	VYDAJ	VYBER	35500	59228	\N	\N	\N
1225486	4195	1994-09-18	VYDAJ	VYBER	34400	55351	\N	\N	\N
1225487	4195	1994-10-18	VYDAJ	VYBER	18300	41600	\N	\N	\N
1225488	4195	1994-11-17	VYDAJ	VYBER	20400	44523	\N	\N	\N
1225489	4195	1994-12-17	VYDAJ	VYBER	30900	54919	\N	\N	\N
1225490	4195	1995-01-16	VYDAJ	VYBER	10500	31044	\N	\N	\N
1225491	4195	1995-02-15	PRIJEM	VKLAD	2400	24640	\N	\N	\N
1225492	4195	1995-03-17	VYDAJ	VYBER	15000	38953	\N	\N	\N
1225493	4195	1995-04-16	VYDAJ	VYBER	28200	48209	\N	\N	\N
1225494	4195	1995-05-16	VYDAJ	VYBER	37000	63464	\N	\N	\N
1225495	4195	1995-06-15	VYDAJ	VYBER	20100	43979	\N	\N	\N
1225496	4195	1995-07-15	VYDAJ	VYBER	31200	52391	\N	\N	\N
1225497	4195	1995-08-01	VYDAJ	VYBER	17200	96296	\N	\N	\N
1225498	4195	1995-08-14	VYDAJ	VYBER	29400	47384	\N	\N	\N
1225499	4195	1995-09-13	VYDAJ	VYBER	1500	26601	\N	\N	\N
1225500	4195	1995-10-13	VYDAJ	VYBER	38100	59675	\N	\N	\N
1225501	4195	1995-11-03	VYDAJ	VYBER	34200	105094	\N	\N	\N
1225502	4195	1995-11-12	VYDAJ	VYBER	38300	54832	\N	\N	\N
1225503	4195	1995-11-27	VYDAJ	VYBER	37600	81711	\N	\N	\N
1225504	4195	1995-12-12	VYDAJ	VYBER	31900	50148	\N	\N	\N
1225505	4195	1996-01-11	VYDAJ	VYBER	41000	56809	\N	\N	\N
1225506	4195	1996-02-10	VYDAJ	VYBER	12400	25005	\N	\N	\N
1225507	4195	1996-03-11	VYDAJ	VYBER	27100	47271	\N	\N	\N
1225508	4195	1996-04-10	VYDAJ	VYBER	16300	30545	\N	\N	\N
1225509	4195	1996-05-10	VYDAJ	VYBER	8800	20079	\N	\N	\N
1225510	4195	1996-06-09	VYDAJ	VYBER	27900	45096	\N	\N	\N
1225511	4195	1996-07-09	VYDAJ	VYBER	46000	58372	\N	\N	\N
1225512	4195	1996-07-19	VYDAJ	VYBER	21800	88023	\N	\N	\N
1225513	4195	1996-07-24	VYDAJ	VYBER	41000	93685	\N	\N	\N
1225514	4195	1996-08-03	VYDAJ	VYBER	55300	80882	\N	\N	\N
1225515	4195	1996-08-08	VYDAJ	VYBER	33100	47782	\N	\N	\N
1225516	4195	1996-09-07	VYDAJ	VYBER	25500	38316	\N	\N	\N
1225517	4195	1996-09-16	VYDAJ	VYBER	60300	51220	\N	\N	\N
1225518	4195	1996-10-07	VYDAJ	VYBER	37400	54538	\N	\N	\N
1225519	4195	1996-10-21	VYDAJ	VYBER	34800	74506	\N	\N	\N
1225520	4195	1996-11-06	VYDAJ	VYBER	32600	42220	\N	\N	\N
1225521	4195	1996-12-06	VYDAJ	VYBER	9800	26651	\N	\N	\N
1225522	4195	1997-01-05	VYDAJ	VYBER	19400	34227	\N	\N	\N
1225523	4195	1997-02-04	VYDAJ	VYBER	30300	52309	\N	\N	\N
1225524	4195	1997-03-06	VYDAJ	VYBER	22300	46707	\N	\N	\N
1225525	4195	1997-04-05	VYDAJ	VYBER	29000	55063	\N	\N	\N
1225526	4195	1997-04-22	VYDAJ	VYBER	55600	68577	\N	\N	\N
1225527	4195	1997-05-04	VYDAJ	VYBER	48300	66052	\N	\N	\N
1225528	4195	1997-05-05	VYDAJ	VYBER	22800	43252	\N	\N	\N
1225529	4195	1997-06-04	VYDAJ	VYBER	10500	32929	\N	\N	\N
1225530	4195	1997-07-04	VYDAJ	VYBER	11000	39262	\N	\N	\N
1225531	4195	1997-07-26	VYDAJ	VYBER	53200	97294	\N	\N	\N
1225532	4195	1997-08-03	VYDAJ	VYBER	34100	63491	\N	\N	\N
1225533	4195	1997-08-17	VYDAJ	VYBER	58000	78872	\N	\N	\N
1225534	4195	1997-08-25	VYDAJ	VYBER	41400	86914	\N	\N	\N
1225535	4195	1997-09-01	VYDAJ	VYBER	35300	85137	\N	\N	\N
1225536	4195	1997-09-02	VYDAJ	VYBER	30200	54937	\N	\N	\N
1225537	4195	1997-10-01	VYDAJ	VYBER	61800	63165	\N	\N	\N
1225538	4195	1997-10-02	VYDAJ	VYBER	16700	46465	\N	\N	\N
1225539	4195	1997-11-01	VYDAJ	VYBER	28800	56447	\N	\N	\N
1225540	4195	1997-12-01	VYDAJ	VYBER	10700	40742	\N	\N	\N
1225541	4195	1997-12-31	VYDAJ	VYBER	29900	84244	\N	\N	\N
1225542	4195	1997-12-31	VYDAJ	VYBER	31300	52930	\N	\N	\N
1225543	4195	1998-01-30	VYDAJ	VYBER	15100	39742	\N	\N	\N
1225544	4195	1998-03-01	VYDAJ	VYBER	3600	28989	\N	\N	\N
1225545	4195	1998-03-31	VYDAJ	VYBER	40300	69001	\N	\N	\N
1225546	4195	1998-04-30	VYDAJ	VYBER	23000	46443	\N	\N	\N
1225547	4195	1998-05-30	VYDAJ	VYBER	21400	45009	\N	\N	\N
1225548	4195	1998-06-29	VYDAJ	VYBER	7600	37583	\N	\N	\N
1225549	4195	1998-07-29	VYDAJ	VYBER	4100	33650	\N	\N	\N
1225550	4195	1998-08-28	VYDAJ	VYBER	4400	33429	\N	\N	\N
1225551	4195	1998-09-27	VYDAJ	VYBER	2000	31557	\N	\N	\N
1225552	4195	1998-10-27	VYDAJ	VYBER	10500	40781	\N	\N	\N
1225553	4195	1998-11-26	VYDAJ	VYBER	35700	60199	\N	\N	\N
1225554	4195	1998-12-26	VYDAJ	VYBER	29300	57960	\N	\N	\N
1228369	4204	1996-01-29	PRIJEM	VKLAD	600	600	\N	\N	\N
1228370	4204	1996-02-24	PRIJEM	VKLAD	36085	36685	\N	\N	\N
1228371	4204	1996-05-29	PRIJEM	VKLAD	6346	33813	\N	\N	\N
1228372	4204	1997-11-22	PRIJEM	VKLAD	20236	32076	\N	\N	\N
1228373	4204	1997-11-30	PRIJEM	VKLAD	15128	47204	\N	\N	\N
1228374	4204	1998-06-28	PRIJEM	VKLAD	22138	34178	\N	\N	\N
1228375	4204	1998-08-01	PRIJEM	VKLAD	10052	28136	\N	\N	\N
1228452	4204	1998-06-30	VYDAJ	VYBER	15	34358	SLUZBY	\N	\N
1228453	4204	1998-07-31	VYDAJ	VYBER	15	18084	SLUZBY	\N	\N
1228454	4204	1998-08-31	VYDAJ	VYBER	15	14589	SLUZBY	\N	\N
1228455	4204	1998-09-30	VYDAJ	VYBER	15	14635	SLUZBY	\N	\N
1228456	4204	1998-10-31	VYDAJ	VYBER	15	14621	SLUZBY	\N	\N
1228457	4204	1998-11-30	VYDAJ	VYBER	15	14669	SLUZBY	\N	\N
1228458	4204	1996-02-28	VYDAJ	VYBER	4000	32685	\N	\N	\N
1228459	4204	1996-03-29	VYDAJ	VYBER	2300	30394	\N	\N	\N
1228460	4204	1996-04-28	VYDAJ	VYBER	1500	29031	\N	\N	\N
1228461	4204	1996-05-28	VYDAJ	VYBER	1700	27467	\N	\N	\N
1228462	4204	1996-06-27	VYDAJ	VYBER	2600	31349	\N	\N	\N
1228463	4204	1996-07-27	VYDAJ	VYBER	3000	28490	\N	\N	\N
1228464	4204	1996-08-26	VYDAJ	VYBER	4700	23931	\N	\N	\N
1228465	4204	1996-09-25	VYDAJ	VYBER	4500	19572	\N	\N	\N
1228466	4204	1996-10-25	PRIJEM	VKLAD	800	20513	\N	\N	\N
1228467	4204	1996-11-24	VYDAJ	VYBER	4600	16054	\N	\N	\N
1228468	4204	1996-12-24	VYDAJ	VYBER	2100	14095	\N	\N	\N
1228469	4204	1997-01-23	PRIJEM	VKLAD	2700	16936	\N	\N	\N
1228470	4204	1997-02-22	VYDAJ	VYBER	500	16576	\N	\N	\N
1228471	4204	1997-03-24	VYDAJ	VYBER	3600	13117	\N	\N	\N
1228472	4204	1997-04-23	VYDAJ	VYBER	300	12958	\N	\N	\N
1228473	4204	1997-05-23	VYDAJ	VYBER	1400	11699	\N	\N	\N
1228474	4204	1997-12-19	VYDAJ	VYBER	24500	22847	\N	\N	\N
1228475	4204	1998-01-18	VYDAJ	VYBER	11200	11843	\N	\N	\N
1228476	4204	1998-07-17	VYDAJ	VYBER	16400	17958	\N	\N	\N
1228477	4204	1998-08-16	VYDAJ	VYBER	13600	14536	\N	\N	\N
1229481	4208	1997-04-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1229482	4208	1997-09-28	PRIJEM	VKLAD	14807	43017	\N	\N	\N
1229483	4208	1997-04-15	PRIJEM	VKLAD	8250	9050	\N	\N	\N
1229484	4208	1998-10-28	PRIJEM	VKLAD	14077	35540	\N	\N	\N
1229485	4208	1998-11-14	PRIJEM	VKLAD	2085	29606	\N	\N	\N
1229489	4208	1997-04-17	PRIJEM	VKLAD	1200	10250	\N	\N	\N
1229490	4208	1997-05-14	PRIJEM	VKLAD	1200	17072	\N	\N	\N
1229491	4208	1997-06-17	PRIJEM	VKLAD	1200	23432	\N	\N	\N
1229492	4208	1997-07-17	PRIJEM	VKLAD	1200	27315	\N	\N	\N
1229493	4208	1997-08-16	PRIJEM	VKLAD	1200	29506	\N	\N	\N
1229494	4208	1997-09-15	PRIJEM	VKLAD	1200	28210	\N	\N	\N
1229495	4208	1997-10-17	PRIJEM	VKLAD	1200	34629	\N	\N	\N
1229496	4208	1997-11-16	PRIJEM	VKLAD	1200	32277	\N	\N	\N
1229497	4208	1997-12-13	PRIJEM	VKLAD	1200	24102	\N	\N	\N
1229498	4208	1998-01-14	PRIJEM	VKLAD	1200	22449	\N	\N	\N
1229499	4208	1998-02-17	PRIJEM	VKLAD	1200	20824	\N	\N	\N
1229500	4208	1998-03-15	PRIJEM	VKLAD	1200	19892	\N	\N	\N
1229501	4208	1998-04-15	PRIJEM	VKLAD	1200	19158	\N	\N	\N
1229502	4208	1998-05-16	PRIJEM	VKLAD	1200	19771	\N	\N	\N
1229503	4208	1998-06-13	PRIJEM	VKLAD	1200	22633	\N	\N	\N
1229504	4208	1998-07-17	PRIJEM	VKLAD	1200	17308	\N	\N	\N
1229505	4208	1998-08-14	PRIJEM	VKLAD	1200	17977	\N	\N	\N
1229506	4208	1998-09-13	PRIJEM	VKLAD	1200	23037	\N	\N	\N
1229507	4208	1998-10-17	PRIJEM	VKLAD	1200	21463	\N	\N	\N
1229508	4208	1998-11-15	PRIJEM	VKLAD	1200	30806	\N	\N	\N
1229509	4208	1998-12-16	PRIJEM	VKLAD	1200	26364	\N	\N	\N
1229512	4208	1997-12-12	VYDAJ	VYBER	1800	22902	\N	\N	\N
1229513	4208	1998-12-05	VYDAJ	VYBER	2600	27214	\N	\N	\N
1229520	4208	1998-01-27	VYDAJ	VYBER	950	19649	\N	\N	\N
1229521	4208	1998-01-01	VYDAJ	VYBER	400	21749	\N	\N	\N
1229522	4208	1998-01-07	VYDAJ	VYBER	1050	22399	\N	\N	\N
1229523	4208	1998-01-18	VYDAJ	VYBER	900	21549	\N	\N	\N
1229524	4208	1998-01-22	VYDAJ	VYBER	950	20599	\N	\N	\N
1229525	4208	1998-01-10	VYDAJ	VYBER	1150	21249	\N	\N	\N
1229526	4208	1997-12-29	VYDAJ	VYBER	2050	22052	\N	\N	\N
1229532	4208	1998-03-06	VYDAJ	VYBER	2250	18692	\N	\N	\N
1229533	4208	1998-04-19	VYDAJ	VYBER	2250	16908	\N	\N	\N
1229534	4208	1998-11-03	VYDAJ	VYBER	500	27521	\N	\N	\N
1229535	4208	1998-09-16	VYDAJ	VYBER	1350	21687	\N	\N	\N
1229536	4208	1998-12-13	VYDAJ	VYBER	2050	25164	\N	\N	\N
1229537	4208	1998-02-24	VYDAJ	VYBER	1950	18874	\N	\N	\N
1229545	4208	1997-07-31	VYDAJ	VYBER	15	27406	SLUZBY	\N	\N
1229546	4208	1997-08-31	VYDAJ	VYBER	15	29610	SLUZBY	\N	\N
1229547	4208	1997-09-30	VYDAJ	VYBER	15	43129	SLUZBY	\N	\N
1229548	4208	1997-10-31	VYDAJ	VYBER	15	34777	SLUZBY	\N	\N
1229549	4208	1997-11-30	VYDAJ	VYBER	15	32402	SLUZBY	\N	\N
1229550	4208	1997-12-31	VYDAJ	VYBER	15	22149	SLUZBY	\N	\N
1229551	4208	1998-01-31	VYDAJ	VYBER	15	19724	SLUZBY	\N	\N
1229552	4208	1998-02-28	VYDAJ	VYBER	15	18942	SLUZBY	\N	\N
1229553	4208	1998-03-31	VYDAJ	VYBER	15	19958	SLUZBY	\N	\N
1229554	4208	1998-04-30	VYDAJ	VYBER	15	16971	SLUZBY	\N	\N
1229555	4208	1998-05-31	VYDAJ	VYBER	15	19833	SLUZBY	\N	\N
1229556	4208	1998-06-30	VYDAJ	VYBER	15	22708	SLUZBY	\N	\N
1229557	4208	1998-07-31	VYDAJ	VYBER	15	17377	SLUZBY	\N	\N
1229558	4208	1998-08-31	VYDAJ	VYBER	15	21837	SLUZBY	\N	\N
1229559	4208	1998-09-30	VYDAJ	VYBER	15	21763	SLUZBY	\N	\N
1229560	4208	1998-10-31	VYDAJ	VYBER	15	28021	SLUZBY	\N	\N
1229561	4208	1998-11-30	VYDAJ	VYBER	15	29814	SLUZBY	\N	\N
1229562	4208	1997-05-08	PRIJEM	VKLAD	5600	15872	\N	\N	\N
1229563	4208	1997-06-07	PRIJEM	VKLAD	5100	22232	\N	\N	\N
1229564	4208	1997-07-07	PRIJEM	VKLAD	2600	26115	\N	\N	\N
1229565	4208	1997-08-06	PRIJEM	VKLAD	900	28306	\N	\N	\N
1229566	4208	1997-09-05	VYDAJ	VYBER	2600	27010	\N	\N	\N
1229567	4208	1997-10-05	VYDAJ	VYBER	9700	33429	\N	\N	\N
1229568	4208	1997-11-04	VYDAJ	VYBER	3700	31077	\N	\N	\N
1229569	4208	1997-12-04	VYDAJ	VYBER	7700	24702	\N	\N	\N
1229570	4208	1998-01-03	PRIJEM	VKLAD	1700	23449	\N	\N	\N
1229571	4208	1998-02-02	VYDAJ	VYBER	100	19624	\N	\N	\N
1229572	4208	1998-03-04	PRIJEM	VKLAD	2000	20942	\N	\N	\N
1229573	4208	1998-04-03	VYDAJ	VYBER	2000	17958	\N	\N	\N
1229574	4208	1998-05-03	PRIJEM	VKLAD	1600	18571	\N	\N	\N
1229575	4208	1998-06-02	PRIJEM	VKLAD	1600	21433	\N	\N	\N
1229576	4208	1998-07-02	VYDAJ	VYBER	6600	16108	\N	\N	\N
1229577	4208	1998-08-01	VYDAJ	VYBER	600	16777	\N	\N	\N
1229578	4208	1998-08-31	PRIJEM	VKLAD	3800	21851	\N	\N	\N
1229579	4208	1998-09-30	VYDAJ	VYBER	1500	20263	\N	\N	\N
1229580	4208	1998-10-30	VYDAJ	VYBER	7600	27940	\N	\N	\N
1229581	4208	1998-11-29	VYDAJ	VYBER	1100	29706	\N	\N	\N
1230931	4214	1996-03-21	PRIJEM	VKLAD	700	700	\N	\N	\N
1230933	4214	1996-07-26	PRIJEM	VKLAD	38856	58175	\N	\N	\N
1230934	4214	1996-12-09	PRIJEM	VKLAD	16824	84207	\N	\N	\N
1230935	4214	1996-12-09	PRIJEM	VKLAD	7601	91808	\N	\N	\N
1230936	4214	1996-04-03	PRIJEM	VKLAD	28664	47490	\N	\N	\N
1230937	4214	1996-05-21	PRIJEM	VKLAD	7397	41183	\N	\N	\N
1230938	4214	1996-11-03	PRIJEM	VKLAD	10940	56341	\N	\N	\N
1230939	4214	1996-09-11	PRIJEM	VKLAD	19899	100869	\N	\N	\N
1230940	4214	1996-11-22	PRIJEM	VKLAD	6676	78137	\N	\N	\N
1230941	4214	1996-09-25	PRIJEM	VKLAD	10460	72729	\N	\N	\N
1230942	4214	1996-05-21	PRIJEM	VKLAD	47164	88347	\N	\N	\N
1230943	4214	1996-06-02	PRIJEM	VKLAD	18830	86292	\N	\N	\N
1230944	4214	1996-08-29	PRIJEM	VKLAD	23291	80751	\N	\N	\N
1230945	4214	1996-11-26	PRIJEM	VKLAD	36114	114251	\N	\N	\N
1230946	4214	1996-03-28	PRIJEM	VKLAD	18116	18816	\N	\N	\N
1230948	4214	1996-11-29	PRIJEM	VKLAD	20700	109351	\N	\N	\N
1230951	4214	1996-08-17	PRIJEM	VKLAD	23789	82014	\N	\N	\N
1230952	4214	1996-04-07	PRIJEM	VKLAD	12108	59598	\N	\N	\N
1230953	4214	1996-11-03	PRIJEM	VKLAD	18175	45401	\N	\N	\N
1230955	4214	1996-11-21	PRIJEM	VKLAD	48141	71461	\N	\N	\N
1230957	4214	1996-08-28	PRIJEM	VKLAD	18923	57460	\N	\N	\N
1230958	4214	1997-01-07	PRIJEM	VKLAD	24842	103474	\N	\N	\N
1230959	4214	1997-06-10	PRIJEM	VKLAD	35722	85100	\N	\N	\N
1230960	4214	1997-10-18	PRIJEM	VKLAD	9154	54829	\N	\N	\N
1230961	4214	1997-06-19	PRIJEM	VKLAD	22170	93092	\N	\N	\N
1230962	4214	1997-12-05	PRIJEM	VKLAD	45938	154142	\N	\N	\N
1230963	4214	1997-11-21	PRIJEM	VKLAD	27001	76102	\N	\N	\N
1230964	4214	1997-01-05	PRIJEM	VKLAD	33366	83732	\N	\N	\N
1230965	4214	1997-10-03	PRIJEM	VKLAD	39374	117275	\N	\N	\N
1230966	4214	1997-12-25	PRIJEM	VKLAD	14493	76808	\N	\N	\N
1230967	4214	1997-03-01	PRIJEM	VKLAD	47438	105585	\N	\N	\N
1230968	4214	1997-05-26	PRIJEM	VKLAD	23284	58209	\N	\N	\N
1230969	4214	1997-09-03	PRIJEM	VKLAD	47472	148787	\N	\N	\N
1230970	4214	1997-12-04	PRIJEM	VKLAD	31867	108204	\N	\N	\N
1230971	4214	1997-12-10	PRIJEM	VKLAD	19273	87415	\N	\N	\N
1230972	4214	1997-02-15	PRIJEM	VKLAD	44058	58051	\N	\N	\N
1230973	4214	1997-08-15	PRIJEM	VKLAD	47802	100969	\N	\N	\N
1230974	4214	1997-06-14	PRIJEM	VKLAD	20122	105222	\N	\N	\N
1230975	4214	1997-06-28	PRIJEM	VKLAD	6072	99164	\N	\N	\N
1230976	4214	1997-07-16	PRIJEM	VKLAD	37790	105759	\N	\N	\N
1230977	4214	1997-11-04	PRIJEM	VKLAD	14285	69401	\N	\N	\N
1230978	4214	1997-09-14	PRIJEM	VKLAD	14524	77541	\N	\N	\N
1230979	4214	1998-06-20	PRIJEM	VKLAD	11499	29289	\N	\N	\N
1230980	4214	1998-01-08	PRIJEM	VKLAD	37081	76952	\N	\N	\N
1230981	4214	1998-01-09	PRIJEM	VKLAD	45676	122628	\N	\N	\N
1230986	4214	1996-06-13	VYBER	VYBER	2511	60870	\N	\N	\N
1230987	4214	1996-08-21	VYBER	VYBER	18777	38537	\N	\N	\N
1230988	4214	1996-10-31	VYBER	VYBER	10039	42585	\N	\N	\N
1230989	4214	1996-06-12	VYBER	VYBER	18711	63381	\N	\N	\N
1230991	4214	1996-11-13	VYBER	VYBER	20421	33820	\N	\N	\N
1230992	4214	1996-05-21	VYBER	VYBER	21083	67264	\N	\N	\N
1230993	4214	1996-11-01	VYBER	VYBER	15344	27226	\N	\N	\N
1230995	4214	1997-01-26	VYBER	VYBER	22038	-2264	\N	\N	\N
1230996	4214	1997-09-09	VYBER	VYBER	11770	118117	\N	\N	\N
1230997	4214	1998-08-08	VYBER	VYBER	18174	30715	\N	\N	\N
1230998	4214	1998-01-05	VYBER	VYBER	6361	39871	\N	\N	\N
1230999	4214	1998-04-02	VYBER	VYBER	12826	12148	\N	\N	\N
1231000	4214	1998-10-03	VYBER	VYBER	16547	13897	\N	\N	\N
1231001	4214	1998-12-22	VYBER	VYBER	8373	27661	\N	\N	\N
1231002	4214	1996-06-17	VYDAJ	VYBER	58800	2070	\N	\N	\N
1231004	4214	1998-06-16	VYDAJ	VYBER	12900	17790	\N	\N	\N
1231006	4214	1997-01-17	VYDAJ	VYBER	15000	32374	\N	\N	\N
1231007	4214	1998-01-04	VYDAJ	VYBER	27300	46232	\N	\N	\N
1231008	4214	1996-12-28	VYDAJ	VYBER	8100	50108	\N	\N	\N
1231009	4214	1997-12-08	VYDAJ	VYBER	3600	129842	\N	\N	\N
1231010	4214	1998-12-08	VYDAJ	VYBER	6600	36034	\N	\N	\N
1231017	4214	1997-01-18	VYDAJ	VYBER	4500	27874	\N	\N	\N
1231018	4214	1997-01-13	VYDAJ	VYBER	5400	66874	\N	\N	\N
1231019	4214	1997-01-25	VYDAJ	VYBER	8100	19774	\N	\N	\N
1231020	4214	1997-01-14	VYDAJ	VYBER	1500	65374	\N	\N	\N
1231021	4214	1997-01-05	VYDAJ	VYBER	5100	78632	\N	\N	\N
1231022	4214	1997-01-08	VYDAJ	VYBER	8700	72274	\N	\N	\N
1231023	4214	1998-01-09	VYDAJ	VYBER	5100	61928	\N	\N	\N
1231024	4214	1998-01-02	VYDAJ	VYBER	3600	73532	\N	\N	\N
1231025	4214	1998-01-18	VYDAJ	VYBER	8700	30628	\N	\N	\N
1231026	4214	1998-01-11	VYDAJ	VYBER	5400	42928	\N	\N	\N
1231027	4214	1998-01-28	VYDAJ	VYBER	2400	25528	\N	\N	\N
1231028	4214	1998-01-27	VYDAJ	VYBER	2700	27928	\N	\N	\N
1231029	4214	1996-06-08	VYDAJ	VYBER	4200	82092	\N	\N	\N
1231032	4214	1996-06-20	VYDAJ	VYBER	7500	5170	\N	\N	\N
1231033	4214	1996-11-08	VYDAJ	VYBER	2100	54241	\N	\N	\N
1231034	4214	1996-11-18	VYDAJ	VYBER	8700	23320	\N	\N	\N
1231035	4214	1996-11-30	VYDAJ	VYBER	2100	67383	\N	\N	\N
1231037	4214	1997-05-02	VYDAJ	VYBER	9000	37825	\N	\N	\N
1231038	4214	1997-03-08	VYDAJ	VYBER	4800	100785	\N	\N	\N
1231039	4214	1997-05-30	VYDAJ	VYBER	9000	49209	\N	\N	\N
1231040	4214	1998-10-07	VYDAJ	VYBER	6000	27897	\N	\N	\N
1231041	4214	1998-01-11	VYDAJ	VYBER	3600	39328	\N	\N	\N
1231042	4214	1998-11-17	VYDAJ	VYBER	3300	36518	\N	\N	\N
1231043	4214	1998-09-14	VYDAJ	VYBER	8400	30333	\N	\N	\N
1231049	4214	1996-05-31	VYDAJ	VYBER	15	67462	SLUZBY	\N	\N
1231050	4214	1996-06-30	VYDAJ	VYBER	15	5319	SLUZBY	\N	\N
1231051	4214	1996-07-31	VYDAJ	VYBER	15	58225	SLUZBY	\N	\N
1231052	4214	1996-08-31	VYDAJ	VYBER	15	80970	SLUZBY	\N	\N
1231053	4214	1996-09-30	VYDAJ	VYBER	15	73024	SLUZBY	\N	\N
1231054	4214	1996-10-31	VYDAJ	VYBER	15	42570	SLUZBY	\N	\N
1231055	4214	1996-11-30	VYDAJ	VYBER	15	69483	SLUZBY	\N	\N
1231056	4214	1996-12-31	VYDAJ	VYBER	15	50366	SLUZBY	\N	\N
1231057	4214	1997-01-31	VYDAJ	VYBER	15	-2103	SLUZBY	\N	\N
1231058	4214	1997-02-28	VYDAJ	VYBER	15	58157	SLUZBY	\N	\N
1231059	4214	1997-03-31	VYDAJ	VYBER	15	64872	SLUZBY	\N	\N
1231060	4214	1997-04-30	VYDAJ	VYBER	15	46825	SLUZBY	\N	\N
1231061	4214	1997-05-31	VYDAJ	VYBER	15	49378	SLUZBY	\N	\N
1231062	4214	1997-06-30	VYDAJ	VYBER	15	99469	SLUZBY	\N	\N
1231063	4214	1997-07-31	VYDAJ	VYBER	15	68967	SLUZBY	\N	\N
1231064	4214	1997-08-31	VYDAJ	VYBER	15	101315	SLUZBY	\N	\N
1231065	4214	1997-09-30	VYDAJ	VYBER	15	77901	SLUZBY	\N	\N
1231066	4214	1997-10-31	VYDAJ	VYBER	15	55116	SLUZBY	\N	\N
1231067	4214	1997-11-30	VYDAJ	VYBER	15	76337	SLUZBY	\N	\N
1231068	4214	1997-12-31	VYDAJ	VYBER	15	77132	SLUZBY	\N	\N
1231069	4214	1998-01-31	VYDAJ	VYBER	15	25686	SLUZBY	\N	\N
1231070	4214	1998-02-28	VYDAJ	VYBER	15	27078	SLUZBY	\N	\N
1231071	4214	1998-03-31	VYDAJ	VYBER	15	24974	SLUZBY	\N	\N
1231072	4214	1998-04-30	VYDAJ	VYBER	15	20122	SLUZBY	\N	\N
1231073	4214	1998-05-31	VYDAJ	VYBER	15	25990	SLUZBY	\N	\N
1231074	4214	1998-06-30	VYDAJ	VYBER	15	29382	SLUZBY	\N	\N
1231075	4214	1998-07-31	VYDAJ	VYBER	15	36789	SLUZBY	\N	\N
1231076	4214	1998-08-31	VYDAJ	VYBER	15	30833	SLUZBY	\N	\N
1231077	4214	1998-09-30	VYDAJ	VYBER	15	30444	SLUZBY	\N	\N
1231078	4214	1998-10-31	VYDAJ	VYBER	15	28018	SLUZBY	\N	\N
1231079	4214	1998-11-30	VYDAJ	VYBER	15	36634	SLUZBY	\N	\N
1231080	4214	1996-04-20	VYDAJ	VYBER	17500	42098	\N	\N	\N
1231081	4214	1996-05-20	VYDAJ	VYBER	8500	33786	\N	\N	\N
1231082	4214	1996-06-19	PRIJEM	VKLAD	10600	12670	\N	\N	\N
1231083	4214	1996-07-19	PRIJEM	VKLAD	14000	19319	\N	\N	\N
1231084	4214	1996-08-18	VYDAJ	VYBER	24700	57314	\N	\N	\N
1231085	4214	1996-09-17	VYDAJ	VYBER	38600	62269	\N	\N	\N
1231086	4214	1996-10-17	VYDAJ	VYBER	20700	52324	\N	\N	\N
1231087	4214	1996-11-16	VYDAJ	VYBER	1800	32020	\N	\N	\N
1231088	4214	1996-11-26	VYDAJ	VYBER	25600	88651	\N	\N	\N
1231089	4214	1996-11-29	VYDAJ	VYBER	40100	69251	\N	\N	\N
1231090	4214	1996-12-16	VYDAJ	VYBER	33600	58208	\N	\N	\N
1231091	4214	1997-01-07	VYDAJ	VYBER	22500	80974	\N	\N	\N
1231092	4214	1997-01-15	VYDAJ	VYBER	18000	47374	\N	\N	\N
1231093	4214	1997-02-14	PRIJEM	VKLAD	16100	13993	\N	\N	\N
1231094	4214	1997-03-16	VYDAJ	VYBER	36200	64585	\N	\N	\N
1231095	4214	1997-04-15	VYDAJ	VYBER	18300	46572	\N	\N	\N
1231096	4214	1997-05-15	VYDAJ	VYBER	2900	34925	\N	\N	\N
1231097	4214	1997-06-14	VYDAJ	VYBER	34300	70922	\N	\N	\N
1231098	4214	1997-07-14	VYDAJ	VYBER	31500	67969	\N	\N	\N
1231099	4214	1997-07-16	VYDAJ	VYBER	37200	68559	\N	\N	\N
1231100	4214	1997-08-13	VYDAJ	VYBER	15800	53167	\N	\N	\N
1231101	4214	1997-09-03	VYDAJ	VYBER	18900	129887	\N	\N	\N
1231102	4214	1997-09-09	VYDAJ	VYBER	27100	91017	\N	\N	\N
1231103	4214	1997-09-12	VYDAJ	VYBER	28000	63017	\N	\N	\N
1231104	4214	1997-10-03	VYDAJ	VYBER	58600	58675	\N	\N	\N
1231105	4214	1997-10-12	VYDAJ	VYBER	13000	45675	\N	\N	\N
1231106	4214	1997-11-11	VYDAJ	VYBER	20300	49101	\N	\N	\N
1231107	4214	1997-12-05	VYDAJ	VYBER	20700	133442	\N	\N	\N
1231108	4214	1997-12-08	VYDAJ	VYBER	61700	68142	\N	\N	\N
1231109	4214	1997-12-11	VYDAJ	VYBER	25100	62315	\N	\N	\N
1231110	4214	1998-01-09	VYDAJ	VYBER	55600	67028	\N	\N	\N
1231111	4214	1998-01-10	VYDAJ	VYBER	13600	48328	\N	\N	\N
1231112	4214	1998-02-09	PRIJEM	VKLAD	1300	26986	\N	\N	\N
1231113	4214	1998-03-11	VYDAJ	VYBER	2200	24878	\N	\N	\N
1231114	4214	1998-04-10	PRIJEM	VKLAD	7900	20048	\N	\N	\N
1231115	4214	1998-05-10	PRIJEM	VKLAD	5800	25922	\N	\N	\N
1231116	4214	1998-06-09	PRIJEM	VKLAD	4700	30690	\N	\N	\N
1231117	4214	1998-07-09	PRIJEM	VKLAD	7300	36682	\N	\N	\N
1231118	4214	1998-08-08	PRIJEM	VKLAD	12100	48889	\N	\N	\N
1231119	4214	1998-09-07	PRIJEM	VKLAD	7900	38733	\N	\N	\N
1231120	4214	1998-10-07	PRIJEM	VKLAD	20000	33897	\N	\N	\N
1231121	4214	1998-11-06	PRIJEM	VKLAD	11800	39818	\N	\N	\N
1231122	4214	1998-12-06	PRIJEM	VKLAD	6000	42634	\N	\N	\N
1234405	4225	1993-05-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1234411	4225	1993-06-07	PRIJEM	VKLAD	33178	34278	\N	\N	\N
1234412	4225	1993-07-07	PRIJEM	VKLAD	22119	51955	\N	\N	\N
1234413	4225	1993-08-07	PRIJEM	VKLAD	22119	61417	\N	\N	\N
1234414	4225	1993-09-07	PRIJEM	VKLAD	22119	67011	\N	\N	\N
1234415	4225	1993-10-07	PRIJEM	VKLAD	22119	66816	\N	\N	\N
1234416	4225	1993-11-07	PRIJEM	VKLAD	22119	66706	\N	\N	\N
1234417	4225	1993-12-07	PRIJEM	VKLAD	33178	80862	\N	\N	\N
1234418	4225	1994-01-07	PRIJEM	VKLAD	22119	70085	\N	\N	\N
1234419	4225	1994-02-07	PRIJEM	VKLAD	22119	63996	\N	\N	\N
1234420	4225	1994-03-07	PRIJEM	VKLAD	22119	67183	\N	\N	\N
1234421	4225	1994-04-07	PRIJEM	VKLAD	22119	70382	\N	\N	\N
1234422	4225	1994-05-07	PRIJEM	VKLAD	22119	67381	\N	\N	\N
1234423	4225	1994-06-07	PRIJEM	VKLAD	33178	76229	\N	\N	\N
1234424	4225	1994-07-07	PRIJEM	VKLAD	22119	71429	\N	\N	\N
1234425	4225	1994-08-07	PRIJEM	VKLAD	22119	68530	\N	\N	\N
1234426	4225	1994-09-07	PRIJEM	VKLAD	22119	71937	\N	\N	\N
1234427	4225	1994-10-07	PRIJEM	VKLAD	22119	64837	\N	\N	\N
1234428	4225	1994-11-07	PRIJEM	VKLAD	22119	68730	\N	\N	\N
1234429	4225	1994-12-07	PRIJEM	VKLAD	33178	80088	\N	\N	\N
1234430	4225	1995-01-07	PRIJEM	VKLAD	22119	71906	\N	\N	\N
1234431	4225	1995-02-07	PRIJEM	VKLAD	22119	63001	\N	\N	\N
1234432	4225	1995-03-07	PRIJEM	VKLAD	22119	66445	\N	\N	\N
1234433	4225	1995-04-07	PRIJEM	VKLAD	22119	64527	\N	\N	\N
1234434	4225	1995-05-07	PRIJEM	VKLAD	22119	63202	\N	\N	\N
1234435	4225	1995-06-07	PRIJEM	VKLAD	33178	77546	\N	\N	\N
1234436	4225	1995-07-07	PRIJEM	VKLAD	22119	72754	\N	\N	\N
1234437	4225	1995-08-07	PRIJEM	VKLAD	22119	56995	\N	\N	\N
1234438	4225	1995-09-07	PRIJEM	VKLAD	22119	61928	\N	\N	\N
1234439	4225	1995-10-07	PRIJEM	VKLAD	22119	63085	\N	\N	\N
1234440	4225	1995-11-07	PRIJEM	VKLAD	22119	62748	\N	\N	\N
1234441	4225	1995-12-07	PRIJEM	VKLAD	33178	75757	\N	\N	\N
1234442	4225	1996-01-07	PRIJEM	VKLAD	22119	70353	\N	\N	\N
1234443	4225	1996-02-07	PRIJEM	VKLAD	22119	66729	\N	\N	\N
1234444	4225	1996-03-07	PRIJEM	VKLAD	22119	69307	\N	\N	\N
1234445	4225	1996-04-07	PRIJEM	VKLAD	22119	71394	\N	\N	\N
1234446	4225	1996-05-07	PRIJEM	VKLAD	22119	71888	\N	\N	\N
1234447	4225	1996-06-07	PRIJEM	VKLAD	33178	85249	\N	\N	\N
1234448	4225	1996-07-07	PRIJEM	VKLAD	22119	81495	\N	\N	\N
1234449	4225	1996-08-07	PRIJEM	VKLAD	22119	76136	\N	\N	\N
1234450	4225	1996-09-07	PRIJEM	VKLAD	22119	71662	\N	\N	\N
1234451	4225	1996-10-07	PRIJEM	VKLAD	22119	71470	\N	\N	\N
1234452	4225	1996-11-07	PRIJEM	VKLAD	22119	70177	\N	\N	\N
1234453	4225	1996-12-07	PRIJEM	VKLAD	33178	77575	\N	\N	\N
1234454	4225	1997-01-07	PRIJEM	VKLAD	22119	67436	\N	\N	\N
1234455	4225	1997-02-07	PRIJEM	VKLAD	22119	62972	\N	\N	\N
1234456	4225	1997-03-07	PRIJEM	VKLAD	22119	66245	\N	\N	\N
1234457	4225	1997-04-07	PRIJEM	VKLAD	22119	70232	\N	\N	\N
1234458	4225	1997-05-07	PRIJEM	VKLAD	22119	73034	\N	\N	\N
1234459	4225	1997-06-07	PRIJEM	VKLAD	33178	87608	\N	\N	\N
1234460	4225	1997-07-07	PRIJEM	VKLAD	22119	81839	\N	\N	\N
1234461	4225	1997-08-07	PRIJEM	VKLAD	22119	76483	\N	\N	\N
1234462	4225	1997-09-07	PRIJEM	VKLAD	22119	77911	\N	\N	\N
1234463	4225	1997-10-07	PRIJEM	VKLAD	22119	72440	\N	\N	\N
1234464	4225	1997-11-07	PRIJEM	VKLAD	22119	76955	\N	\N	\N
1234465	4225	1997-12-07	PRIJEM	VKLAD	33178	88041	\N	\N	\N
1234466	4225	1998-01-07	PRIJEM	VKLAD	22119	82479	\N	\N	\N
1234467	4225	1998-02-07	PRIJEM	VKLAD	22119	79668	\N	\N	\N
1234468	4225	1998-03-07	PRIJEM	VKLAD	22119	84913	\N	\N	\N
1234469	4225	1998-04-07	PRIJEM	VKLAD	22119	82684	\N	\N	\N
1234470	4225	1998-05-07	PRIJEM	VKLAD	22119	85338	\N	\N	\N
1234471	4225	1998-06-07	PRIJEM	VKLAD	33178	92656	\N	\N	\N
1234472	4225	1998-07-07	PRIJEM	VKLAD	22119	91616	\N	\N	\N
1234473	4225	1998-08-07	PRIJEM	VKLAD	22119	88203	\N	\N	\N
1234474	4225	1998-09-07	PRIJEM	VKLAD	22119	97130	\N	\N	\N
1234475	4225	1998-10-07	PRIJEM	VKLAD	22119	97541	\N	\N	\N
1234476	4225	1998-11-07	PRIJEM	VKLAD	22119	99155	\N	\N	\N
1234477	4225	1998-12-07	PRIJEM	VKLAD	33178	110231	\N	\N	\N
1234478	4225	1993-12-12	VYDAJ	VYBER	700	80162	\N	\N	\N
1234479	4225	1994-12-16	VYDAJ	VYBER	1500	52688	\N	\N	\N
1234480	4225	1995-12-22	VYDAJ	VYBER	2300	71257	\N	\N	\N
1234481	4225	1996-12-11	VYDAJ	VYBER	900	76675	\N	\N	\N
1234482	4225	1997-12-29	VYDAJ	VYBER	800	62041	\N	\N	\N
1234483	4225	1998-12-21	VYDAJ	VYBER	1600	78431	\N	\N	\N
1234490	4225	1994-01-08	VYDAJ	VYBER	1400	68685	\N	\N	\N
1234491	4225	1994-01-16	VYDAJ	VYBER	600	44385	\N	\N	\N
1234492	4225	1994-01-03	VYDAJ	VYBER	2100	47966	\N	\N	\N
1234493	4225	1994-01-29	VYDAJ	VYBER	2700	41685	\N	\N	\N
1234494	4225	1994-01-12	VYDAJ	VYBER	1600	64285	\N	\N	\N
1234495	4225	1994-01-11	VYDAJ	VYBER	2800	65885	\N	\N	\N
1234496	4225	1995-01-04	VYDAJ	VYBER	800	49787	\N	\N	\N
1234497	4225	1995-01-04	VYDAJ	VYBER	2300	50587	\N	\N	\N
1234498	4225	1995-01-30	VYDAJ	VYBER	1400	40706	\N	\N	\N
1234499	4225	1995-01-11	VYDAJ	VYBER	2400	42706	\N	\N	\N
1234500	4225	1995-01-30	VYDAJ	VYBER	600	42106	\N	\N	\N
1234501	4225	1995-01-08	VYDAJ	VYBER	2200	45106	\N	\N	\N
1234502	4225	1996-01-01	VYDAJ	VYBER	1900	69634	\N	\N	\N
1234503	4225	1996-01-08	VYDAJ	VYBER	800	69553	\N	\N	\N
1234504	4225	1996-01-05	VYDAJ	VYBER	2400	48234	\N	\N	\N
1234505	4225	1996-01-28	VYDAJ	VYBER	2200	64053	\N	\N	\N
1234506	4225	1996-01-21	VYDAJ	VYBER	2700	66253	\N	\N	\N
1234507	4225	1996-01-18	VYDAJ	VYBER	600	68953	\N	\N	\N
1234508	4225	1997-01-20	VYDAJ	VYBER	700	62736	\N	\N	\N
1234509	4225	1997-01-24	VYDAJ	VYBER	1500	58736	\N	\N	\N
1234510	4225	1997-01-24	VYDAJ	VYBER	2500	60236	\N	\N	\N
1234511	4225	1997-01-08	VYDAJ	VYBER	1300	66136	\N	\N	\N
1234512	4225	1997-01-11	VYDAJ	VYBER	2700	63436	\N	\N	\N
1234513	4225	1997-01-02	VYDAJ	VYBER	1900	45317	\N	\N	\N
1234514	4225	1998-01-14	VYDAJ	VYBER	1000	81479	\N	\N	\N
1234515	4225	1998-01-29	VYDAJ	VYBER	1200	57279	\N	\N	\N
1234516	4225	1998-01-19	VYDAJ	VYBER	1800	77679	\N	\N	\N
1234517	4225	1998-01-03	VYDAJ	VYBER	1900	60360	\N	\N	\N
1234518	4225	1998-01-14	VYDAJ	VYBER	2000	79479	\N	\N	\N
1234519	4225	1998-01-22	VYDAJ	VYBER	700	76979	\N	\N	\N
1234520	4225	1993-12-25	VYDAJ	VYBER	4000	49862	\N	\N	\N
1234523	4225	1994-05-19	VYDAJ	VYBER	3500	42881	\N	\N	\N
1234524	4225	1994-09-11	VYDAJ	VYBER	1800	45737	\N	\N	\N
1234525	4225	1994-09-07	VYDAJ	VYBER	1700	70237	\N	\N	\N
1234526	4225	1994-09-12	VYDAJ	VYBER	3200	42537	\N	\N	\N
1234527	4225	1994-04-21	VYDAJ	VYBER	700	45082	\N	\N	\N
1234528	4225	1995-10-30	VYDAJ	VYBER	4800	58285	\N	\N	\N
1234529	4225	1995-07-18	VYDAJ	VYBER	2000	47454	\N	\N	\N
1234530	4225	1995-09-25	VYDAJ	VYBER	500	61428	\N	\N	\N
1234531	4225	1995-11-13	VYDAJ	VYBER	4300	58448	\N	\N	\N
1234532	4225	1995-12-12	VYDAJ	VYBER	2200	73557	\N	\N	\N
1234533	4225	1996-03-14	VYDAJ	VYBER	1100	68207	\N	\N	\N
1234534	4225	1996-11-12	VYDAJ	VYBER	4600	65577	\N	\N	\N
1234535	4225	1996-04-06	VYDAJ	VYBER	800	49275	\N	\N	\N
1234536	4225	1997-10-30	VYDAJ	VYBER	900	54640	\N	\N	\N
1234537	4225	1997-09-27	VYDAJ	VYBER	4900	50111	\N	\N	\N
1234538	4225	1998-08-06	VYDAJ	VYBER	1700	66084	\N	\N	\N
1234539	4225	1998-03-18	VYDAJ	VYBER	2500	82413	\N	\N	\N
1234540	4225	1998-12-07	VYDAJ	VYBER	1300	108931	\N	\N	\N
1234541	4225	1998-08-01	VYDAJ	VYBER	1500	67784	\N	\N	\N
1234542	4225	1998-05-27	VYDAJ	VYBER	4600	59238	\N	\N	\N
1234553	4225	1993-10-31	VYDAJ	VYBER	15	44587	SLUZBY	\N	\N
1234554	4225	1993-11-30	VYDAJ	VYBER	15	47684	SLUZBY	\N	\N
1234555	4225	1993-12-31	VYDAJ	VYBER	15	50066	SLUZBY	\N	\N
1234556	4225	1994-01-31	VYDAJ	VYBER	15	41877	SLUZBY	\N	\N
1234557	4225	1994-02-28	VYDAJ	VYBER	15	45064	SLUZBY	\N	\N
1234558	4225	1994-03-31	VYDAJ	VYBER	15	48263	SLUZBY	\N	\N
1234559	4225	1994-04-30	VYDAJ	VYBER	15	45262	SLUZBY	\N	\N
1234560	4225	1994-05-31	VYDAJ	VYBER	15	43051	SLUZBY	\N	\N
1234561	4225	1994-06-30	VYDAJ	VYBER	15	49310	SLUZBY	\N	\N
1234562	4225	1994-07-31	VYDAJ	VYBER	15	46411	SLUZBY	\N	\N
1234563	4225	1994-08-31	VYDAJ	VYBER	15	49818	SLUZBY	\N	\N
1234564	4225	1994-09-30	VYDAJ	VYBER	15	42718	SLUZBY	\N	\N
1234565	4225	1994-10-31	VYDAJ	VYBER	15	46611	SLUZBY	\N	\N
1234566	4225	1994-11-30	VYDAJ	VYBER	15	46910	SLUZBY	\N	\N
1234567	4225	1994-12-31	VYDAJ	VYBER	15	52887	SLUZBY	\N	\N
1234568	4225	1995-01-31	VYDAJ	VYBER	15	40882	SLUZBY	\N	\N
1234569	4225	1995-02-28	VYDAJ	VYBER	15	44326	SLUZBY	\N	\N
1234570	4225	1995-03-31	VYDAJ	VYBER	15	42408	SLUZBY	\N	\N
1234571	4225	1995-04-30	VYDAJ	VYBER	15	41083	SLUZBY	\N	\N
1234572	4225	1995-05-31	VYDAJ	VYBER	15	44368	SLUZBY	\N	\N
1234573	4225	1995-06-30	VYDAJ	VYBER	15	50635	SLUZBY	\N	\N
1234574	4225	1995-07-31	VYDAJ	VYBER	15	47676	SLUZBY	\N	\N
1234575	4225	1995-08-31	VYDAJ	VYBER	15	57209	SLUZBY	\N	\N
1234576	4225	1995-09-30	VYDAJ	VYBER	15	61666	SLUZBY	\N	\N
1234577	4225	1995-10-31	VYDAJ	VYBER	15	58529	SLUZBY	\N	\N
1234578	4225	1995-11-30	VYDAJ	VYBER	15	58679	SLUZBY	\N	\N
1234579	4225	1995-12-31	VYDAJ	VYBER	15	71534	SLUZBY	\N	\N
1234580	4225	1996-01-31	VYDAJ	VYBER	15	64310	SLUZBY	\N	\N
1234581	4225	1996-02-29	VYDAJ	VYBER	15	66988	SLUZBY	\N	\N
1234582	4225	1996-03-31	VYDAJ	VYBER	15	68475	SLUZBY	\N	\N
1234583	4225	1996-04-30	VYDAJ	VYBER	15	71669	SLUZBY	\N	\N
1234584	4225	1996-05-31	VYDAJ	VYBER	15	72171	SLUZBY	\N	\N
1234585	4225	1996-06-30	VYDAJ	VYBER	15	85576	SLUZBY	\N	\N
1234586	4225	1996-07-31	VYDAJ	VYBER	15	81817	SLUZBY	\N	\N
1234587	4225	1996-08-31	VYDAJ	VYBER	15	49543	SLUZBY	\N	\N
1234588	4225	1996-09-30	VYDAJ	VYBER	15	49351	SLUZBY	\N	\N
1234589	4225	1996-10-31	VYDAJ	VYBER	15	48058	SLUZBY	\N	\N
1234590	4225	1996-11-30	VYDAJ	VYBER	15	44397	SLUZBY	\N	\N
1234591	4225	1996-12-31	VYDAJ	VYBER	15	47217	SLUZBY	\N	\N
1234592	4225	1997-01-31	VYDAJ	VYBER	15	40853	SLUZBY	\N	\N
1234593	4225	1997-02-28	VYDAJ	VYBER	15	44126	SLUZBY	\N	\N
1234594	4225	1997-03-31	VYDAJ	VYBER	15	48113	SLUZBY	\N	\N
1234595	4225	1997-04-30	VYDAJ	VYBER	15	50915	SLUZBY	\N	\N
1234596	4225	1997-05-31	VYDAJ	VYBER	15	54430	SLUZBY	\N	\N
1234597	4225	1997-06-30	VYDAJ	VYBER	15	59720	SLUZBY	\N	\N
1234598	4225	1997-07-31	VYDAJ	VYBER	15	54364	SLUZBY	\N	\N
1234599	4225	1997-08-31	VYDAJ	VYBER	15	55792	SLUZBY	\N	\N
1234600	4225	1997-09-30	VYDAJ	VYBER	15	50321	SLUZBY	\N	\N
1234601	4225	1997-10-31	VYDAJ	VYBER	15	54836	SLUZBY	\N	\N
1234602	4225	1997-11-30	VYDAJ	VYBER	15	54863	SLUZBY	\N	\N
1234603	4225	1997-12-31	VYDAJ	VYBER	15	62260	SLUZBY	\N	\N
1234604	4225	1998-01-31	VYDAJ	VYBER	15	57549	SLUZBY	\N	\N
1234605	4225	1998-02-28	VYDAJ	VYBER	15	62794	SLUZBY	\N	\N
1234606	4225	1998-03-31	VYDAJ	VYBER	15	60565	SLUZBY	\N	\N
1234607	4225	1998-04-30	VYDAJ	VYBER	15	63219	SLUZBY	\N	\N
1234608	4225	1998-05-31	VYDAJ	VYBER	15	59478	SLUZBY	\N	\N
1234609	4225	1998-06-30	VYDAJ	VYBER	15	69497	SLUZBY	\N	\N
1234610	4225	1998-07-31	VYDAJ	VYBER	15	69284	SLUZBY	\N	\N
1234611	4225	1998-08-31	VYDAJ	VYBER	15	75011	SLUZBY	\N	\N
1234612	4225	1998-09-30	VYDAJ	VYBER	15	75422	SLUZBY	\N	\N
1234613	4225	1998-10-31	VYDAJ	VYBER	15	77036	SLUZBY	\N	\N
1234614	4225	1998-11-30	VYDAJ	VYBER	15	77053	SLUZBY	\N	\N
1234615	4225	1993-06-17	VYDAJ	VYBER	4500	29778	\N	\N	\N
1234616	4225	1993-07-17	VYDAJ	VYBER	12800	39155	\N	\N	\N
1234617	4225	1993-08-16	VYDAJ	VYBER	16700	44717	\N	\N	\N
1234618	4225	1993-09-15	VYDAJ	VYBER	22500	44511	\N	\N	\N
1234619	4225	1993-10-15	VYDAJ	VYBER	22400	44416	\N	\N	\N
1234620	4225	1993-11-14	VYDAJ	VYBER	19200	47506	\N	\N	\N
1234621	4225	1993-12-14	VYDAJ	VYBER	26300	53862	\N	\N	\N
1234622	4225	1994-01-13	VYDAJ	VYBER	19300	44985	\N	\N	\N
1234623	4225	1994-02-12	VYDAJ	VYBER	19100	44896	\N	\N	\N
1234624	4225	1994-03-14	VYDAJ	VYBER	19100	48083	\N	\N	\N
1234625	4225	1994-04-13	VYDAJ	VYBER	24600	45782	\N	\N	\N
1234626	4225	1994-05-13	VYDAJ	VYBER	21000	46381	\N	\N	\N
1234627	4225	1994-06-12	VYDAJ	VYBER	27100	49129	\N	\N	\N
1234628	4225	1994-07-12	VYDAJ	VYBER	25200	46229	\N	\N	\N
1234629	4225	1994-08-11	VYDAJ	VYBER	18900	49630	\N	\N	\N
1234630	4225	1994-09-10	VYDAJ	VYBER	22700	47537	\N	\N	\N
1234631	4225	1994-10-10	VYDAJ	VYBER	18400	46437	\N	\N	\N
1234632	4225	1994-11-09	VYDAJ	VYBER	22000	46730	\N	\N	\N
1234633	4225	1994-12-09	VYDAJ	VYBER	25900	54188	\N	\N	\N
1234634	4225	1995-01-08	VYDAJ	VYBER	24600	47306	\N	\N	\N
1234635	4225	1995-02-07	VYDAJ	VYBER	18900	44101	\N	\N	\N
1234636	4225	1995-03-09	VYDAJ	VYBER	24200	42245	\N	\N	\N
1234637	4225	1995-04-08	VYDAJ	VYBER	23600	40927	\N	\N	\N
1234638	4225	1995-05-08	VYDAJ	VYBER	19000	44202	\N	\N	\N
1234639	4225	1995-06-07	VYDAJ	VYBER	27100	50446	\N	\N	\N
1234640	4225	1995-07-07	VYDAJ	VYBER	23300	49454	\N	\N	\N
1234641	4225	1995-08-06	VYDAJ	VYBER	12800	34876	\N	\N	\N
1234642	4225	1995-09-05	VYDAJ	VYBER	17400	39809	\N	\N	\N
1234643	4225	1995-10-05	VYDAJ	VYBER	20700	40966	\N	\N	\N
1234644	4225	1995-11-04	VYDAJ	VYBER	17900	40629	\N	\N	\N
1234645	4225	1995-12-04	VYDAJ	VYBER	16100	42579	\N	\N	\N
1234646	4225	1996-01-03	VYDAJ	VYBER	19000	50634	\N	\N	\N
1234647	4225	1996-02-02	VYDAJ	VYBER	19700	44610	\N	\N	\N
1234648	4225	1996-03-03	VYDAJ	VYBER	19800	47188	\N	\N	\N
1234649	4225	1996-04-02	VYDAJ	VYBER	18400	50075	\N	\N	\N
1234650	4225	1996-05-02	VYDAJ	VYBER	21900	49769	\N	\N	\N
1234651	4225	1996-06-01	VYDAJ	VYBER	20100	52071	\N	\N	\N
1234652	4225	1996-07-01	VYDAJ	VYBER	26200	59376	\N	\N	\N
1234653	4225	1996-07-31	VYDAJ	VYBER	27800	54017	\N	\N	\N
1234654	4225	1996-08-30	VYDAJ	VYBER	26800	49336	\N	\N	\N
1234655	4225	1996-09-29	VYDAJ	VYBER	22500	49162	\N	\N	\N
1234656	4225	1996-10-29	VYDAJ	VYBER	23600	47870	\N	\N	\N
1234657	4225	1996-11-28	VYDAJ	VYBER	21400	44177	\N	\N	\N
1234658	4225	1996-12-28	VYDAJ	VYBER	29700	46975	\N	\N	\N
1234659	4225	1997-01-27	VYDAJ	VYBER	18100	40636	\N	\N	\N
1234660	4225	1997-02-26	VYDAJ	VYBER	19000	43972	\N	\N	\N
1234661	4225	1997-03-28	VYDAJ	VYBER	18300	47945	\N	\N	\N
1234662	4225	1997-04-27	VYDAJ	VYBER	19500	50732	\N	\N	\N
1234663	4225	1997-05-27	VYDAJ	VYBER	18800	54234	\N	\N	\N
1234664	4225	1997-06-26	VYDAJ	VYBER	28100	59508	\N	\N	\N
1234665	4225	1997-07-26	VYDAJ	VYBER	27700	54139	\N	\N	\N
1234666	4225	1997-08-25	VYDAJ	VYBER	20900	55583	\N	\N	\N
1234667	4225	1997-09-24	VYDAJ	VYBER	22900	55011	\N	\N	\N
1234668	4225	1997-10-24	VYDAJ	VYBER	16900	55540	\N	\N	\N
1234669	4225	1997-11-23	VYDAJ	VYBER	22300	54655	\N	\N	\N
1234670	4225	1997-12-23	VYDAJ	VYBER	25200	62841	\N	\N	\N
1234671	4225	1998-01-22	VYDAJ	VYBER	18500	58479	\N	\N	\N
1234672	4225	1998-02-21	VYDAJ	VYBER	17100	62568	\N	\N	\N
1234673	4225	1998-03-23	VYDAJ	VYBER	22100	60313	\N	\N	\N
1234674	4225	1998-04-22	VYDAJ	VYBER	19700	62984	\N	\N	\N
1234675	4225	1998-05-22	VYDAJ	VYBER	21500	63838	\N	\N	\N
1234676	4225	1998-06-21	VYDAJ	VYBER	23400	69256	\N	\N	\N
1234677	4225	1998-07-21	VYDAJ	VYBER	22600	69016	\N	\N	\N
1234678	4225	1998-08-20	VYDAJ	VYBER	13500	74703	\N	\N	\N
1234679	4225	1998-09-19	VYDAJ	VYBER	22000	75130	\N	\N	\N
1234680	4225	1998-10-19	VYDAJ	VYBER	20800	76741	\N	\N	\N
1234681	4225	1998-11-18	VYDAJ	VYBER	22400	76755	\N	\N	\N
1234682	4225	1998-12-18	VYDAJ	VYBER	28900	80031	\N	\N	\N
1237846	4237	1993-11-29	PRIJEM	VKLAD	600	600	\N	\N	\N
1237855	4237	1993-12-25	PRIJEM	VKLAD	35584	36184	\N	\N	\N
1237864	4237	1994-01-31	PRIJEM	VKLAD	19513	46037	\N	\N	\N
1237865	4237	1994-06-20	PRIJEM	VKLAD	37587	84242	\N	\N	\N
1237866	4237	1994-05-27	PRIJEM	VKLAD	46851	71063	\N	\N	\N
1237867	4237	1995-07-12	PRIJEM	VKLAD	31670	110961	\N	\N	\N
1237868	4237	1995-04-02	PRIJEM	VKLAD	47155	85247	\N	\N	\N
1237869	4237	1995-09-25	PRIJEM	VKLAD	10665	52736	\N	\N	\N
1237870	4237	1995-05-03	PRIJEM	VKLAD	12035	35722	\N	\N	\N
1237871	4237	1995-08-27	PRIJEM	VKLAD	44849	81954	\N	\N	\N
1237872	4237	1995-12-17	PRIJEM	VKLAD	7082	36266	\N	\N	\N
1237873	4237	1995-05-06	PRIJEM	VKLAD	21833	72901	\N	\N	\N
1237874	4237	1995-09-30	PRIJEM	VKLAD	38937	88067	\N	\N	\N
1237875	4237	1995-07-05	PRIJEM	VKLAD	29489	79291	\N	\N	\N
1237876	4237	1995-02-27	PRIJEM	VKLAD	26565	74362	\N	\N	\N
1237877	4237	1995-06-16	PRIJEM	VKLAD	41651	72499	\N	\N	\N
1237878	4237	1995-01-29	PRIJEM	VKLAD	32592	55593	\N	\N	\N
1237879	4237	1995-04-20	PRIJEM	VKLAD	20066	120376	\N	\N	\N
1237880	4237	1995-08-24	PRIJEM	VKLAD	10878	37105	\N	\N	\N
1237881	4237	1995-05-29	PRIJEM	VKLAD	27601	64799	\N	\N	\N
1237882	4237	1995-05-03	PRIJEM	VKLAD	15346	51068	\N	\N	\N
1237883	4237	1995-02-11	PRIJEM	VKLAD	37694	85697	\N	\N	\N
1237884	4237	1995-04-08	PRIJEM	VKLAD	15063	100310	\N	\N	\N
1237885	4237	1996-09-04	PRIJEM	VKLAD	35013	53135	\N	\N	\N
1237886	4237	1996-05-23	PRIJEM	VKLAD	41098	76420	\N	\N	\N
1237887	4237	1996-10-22	PRIJEM	VKLAD	24551	70286	\N	\N	\N
1237888	4237	1996-02-08	PRIJEM	VKLAD	21317	44867	\N	\N	\N
1237889	4237	1996-02-11	PRIJEM	VKLAD	20915	65782	\N	\N	\N
1237890	4237	1996-09-14	PRIJEM	VKLAD	28160	128498	\N	\N	\N
1237891	4237	1996-04-07	PRIJEM	VKLAD	33653	131303	\N	\N	\N
1237892	4237	1996-11-23	PRIJEM	VKLAD	18200	55364	\N	\N	\N
1237893	4237	1996-04-06	PRIJEM	VKLAD	37556	97650	\N	\N	\N
1237894	4237	1996-03-31	PRIJEM	VKLAD	40166	59967	\N	\N	\N
1237895	4237	1996-10-21	PRIJEM	VKLAD	26793	45735	\N	\N	\N
1237896	4237	1996-09-08	PRIJEM	VKLAD	47203	100338	\N	\N	\N
1237897	4237	1996-12-09	PRIJEM	VKLAD	35302	85526	\N	\N	\N
1237898	4237	1997-08-19	PRIJEM	VKLAD	18460	57772	\N	\N	\N
1237899	4237	1997-03-10	PRIJEM	VKLAD	48152	130028	\N	\N	\N
1237900	4237	1997-03-29	PRIJEM	VKLAD	18585	65713	\N	\N	\N
1237901	4237	1997-07-14	PRIJEM	VKLAD	28822	78667	\N	\N	\N
1237902	4237	1997-02-15	PRIJEM	VKLAD	20505	36489	\N	\N	\N
1237903	4237	1997-06-15	PRIJEM	VKLAD	9118	27961	\N	\N	\N
1237904	4237	1997-02-08	PRIJEM	VKLAD	5347	29084	\N	\N	\N
1237905	4237	1997-06-18	PRIJEM	VKLAD	27319	55280	\N	\N	\N
1237906	4237	1997-11-24	PRIJEM	VKLAD	30749	67109	\N	\N	\N
1237907	4237	1997-03-01	PRIJEM	VKLAD	45283	81876	\N	\N	\N
1237908	4237	1997-01-31	PRIJEM	VKLAD	6559	23751	\N	\N	\N
1237909	4237	1997-10-30	PRIJEM	VKLAD	44776	75322	\N	\N	\N
1237910	4237	1997-04-13	PRIJEM	VKLAD	21792	71793	\N	\N	\N
1237911	4237	1997-04-01	PRIJEM	VKLAD	45048	102801	\N	\N	\N
1237912	4237	1997-08-20	PRIJEM	VKLAD	7830	65602	\N	\N	\N
1237913	4237	1997-10-09	PRIJEM	VKLAD	41664	73273	\N	\N	\N
1237914	4237	1997-06-28	PRIJEM	VKLAD	42875	98155	\N	\N	\N
1237915	4237	1997-09-02	PRIJEM	VKLAD	46580	97015	\N	\N	\N
1237916	4237	1997-05-12	PRIJEM	VKLAD	37657	97687	\N	\N	\N
1237917	4237	1997-09-09	PRIJEM	VKLAD	49471	146486	\N	\N	\N
1237918	4237	1998-09-03	PRIJEM	VKLAD	10946	78574	\N	\N	\N
1237919	4237	1998-02-09	PRIJEM	VKLAD	45467	65371	\N	\N	\N
1237920	4237	1998-03-08	PRIJEM	VKLAD	27680	130041	\N	\N	\N
1237921	4237	1998-09-03	PRIJEM	VKLAD	38777	67628	\N	\N	\N
1237922	4237	1998-02-22	PRIJEM	VKLAD	36752	102123	\N	\N	\N
1237923	4237	1998-04-03	PRIJEM	VKLAD	23943	105527	\N	\N	\N
1237924	4237	1998-10-01	PRIJEM	VKLAD	24904	53298	\N	\N	\N
1237925	4237	1998-03-30	PRIJEM	VKLAD	22269	81310	\N	\N	\N
1238015	4237	1995-03-12	VYBER	VYBER	22741	51836	\N	\N	\N
1238016	4237	1995-11-11	VYBER	VYBER	18591	38109	\N	\N	\N
1238018	4237	1995-08-04	VYBER	VYBER	22104	24327	\N	\N	\N
1238019	4237	1995-09-16	VYBER	VYBER	24174	57971	\N	\N	\N
1238022	4237	1995-05-13	VYBER	VYBER	20103	52798	\N	\N	\N
1238023	4237	1995-05-02	VYBER	VYBER	16256	23687	\N	\N	\N
1238024	4237	1995-05-31	VYBER	VYBER	11662	53363	\N	\N	\N
1238027	4237	1996-03-02	VYBER	VYBER	15838	27901	\N	\N	\N
1238029	4237	1997-10-29	VYBER	VYBER	3627	30546	\N	\N	\N
1238030	4237	1997-03-31	VYBER	VYBER	8166	57768	\N	\N	\N
1238031	4237	1997-01-12	VYBER	VYBER	4667	28364	\N	\N	\N
1238032	4237	1997-12-05	VYBER	VYBER	22485	43111	\N	\N	\N
1238034	4237	1997-09-14	VYBER	VYBER	6670	45716	\N	\N	\N
1238035	4237	1997-06-03	VYBER	VYBER	12246	36243	\N	\N	\N
1238036	4237	1997-09-21	VYBER	VYBER	4110	31406	\N	\N	\N
1238037	4237	1997-08-31	VYBER	VYBER	15452	50450	\N	\N	\N
1238040	4237	1998-07-25	VYBER	VYBER	2619	28755	\N	\N	\N
1238045	4237	1998-09-06	VYBER	VYBER	14308	28166	\N	\N	\N
1238052	4237	1995-06-11	VYDAJ	VYBER	9600	30848	\N	\N	\N
1238064	4237	1995-12-22	VYDAJ	VYBER	1500	24266	\N	\N	\N
1238065	4237	1996-12-04	VYDAJ	VYBER	3600	50224	\N	\N	\N
1238080	4237	1995-01-30	VYDAJ	VYBER	3900	47793	\N	\N	\N
1238083	4237	1995-01-29	VYDAJ	VYBER	3900	51693	\N	\N	\N
1238094	4237	1997-01-02	VYDAJ	VYBER	8400	38731	\N	\N	\N
1238095	4237	1997-01-04	VYDAJ	VYBER	5700	33031	\N	\N	\N
1238114	4237	1995-04-27	VYDAJ	VYBER	7800	39676	\N	\N	\N
1238116	4237	1995-06-08	VYDAJ	VYBER	12900	40448	\N	\N	\N
1238117	4237	1995-02-17	VYDAJ	VYBER	8400	70697	\N	\N	\N
1238118	4237	1995-09-25	VYDAJ	VYBER	3900	48836	\N	\N	\N
1238119	4237	1995-02-16	VYDAJ	VYBER	6600	79097	\N	\N	\N
1238120	4237	1996-06-28	VYDAJ	VYBER	14100	27754	\N	\N	\N
1238121	4237	1996-09-15	VYDAJ	VYBER	2400	34798	\N	\N	\N
1238122	4237	1996-12-04	VYDAJ	VYBER	1800	53824	\N	\N	\N
1238126	4237	1997-11-25	VYDAJ	VYBER	1800	65309	\N	\N	\N
1238127	4237	1997-04-19	VYDAJ	VYBER	12000	59793	\N	\N	\N
1238128	4237	1997-09-14	VYDAJ	VYBER	10200	35516	\N	\N	\N
1238131	4237	1998-05-25	VYDAJ	VYBER	8700	31117	\N	\N	\N
1238132	4237	1998-04-12	VYDAJ	VYBER	13800	39627	\N	\N	\N
1238160	4237	1995-01-31	VYDAJ	VYBER	15	48003	SLUZBY	\N	\N
1238161	4237	1995-02-28	VYDAJ	VYBER	15	74577	SLUZBY	\N	\N
1238162	4237	1995-03-31	VYDAJ	VYBER	15	38092	SLUZBY	\N	\N
1238163	4237	1995-04-30	VYDAJ	VYBER	15	39943	SLUZBY	\N	\N
1238164	4237	1995-05-31	VYDAJ	VYBER	15	53348	SLUZBY	\N	\N
1238165	4237	1995-06-30	VYDAJ	VYBER	15	49802	SLUZBY	\N	\N
1238166	4237	1995-07-31	VYDAJ	VYBER	15	46431	SLUZBY	\N	\N
1238167	4237	1995-08-31	VYDAJ	VYBER	15	82145	SLUZBY	\N	\N
1238168	4237	1995-09-30	VYDAJ	VYBER	15	88052	SLUZBY	\N	\N
1238169	4237	1995-10-31	VYDAJ	VYBER	15	56700	SLUZBY	\N	\N
1238170	4237	1995-11-30	VYDAJ	VYBER	15	29184	SLUZBY	\N	\N
1238171	4237	1995-12-31	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
1238172	4237	1996-01-31	VYDAJ	VYBER	15	23550	SLUZBY	\N	\N
1238173	4237	1996-02-29	VYDAJ	VYBER	15	43739	SLUZBY	\N	\N
1238174	4237	1996-03-31	VYDAJ	VYBER	15	60094	SLUZBY	\N	\N
1238175	4237	1996-04-30	VYDAJ	VYBER	15	53222	SLUZBY	\N	\N
1238176	4237	1996-05-31	VYDAJ	VYBER	15	76654	SLUZBY	\N	\N
1238177	4237	1996-06-30	VYDAJ	VYBER	15	28037	SLUZBY	\N	\N
1238178	4237	1996-07-31	VYDAJ	VYBER	15	18136	SLUZBY	\N	\N
1238179	4237	1996-08-31	VYDAJ	VYBER	15	18122	SLUZBY	\N	\N
1238180	4237	1996-09-30	VYDAJ	VYBER	15	35042	SLUZBY	\N	\N
1238181	4237	1996-10-31	VYDAJ	VYBER	15	70464	SLUZBY	\N	\N
1238182	4237	1996-11-30	VYDAJ	VYBER	15	55624	SLUZBY	\N	\N
1238183	4237	1996-12-31	VYDAJ	VYBER	15	47131	SLUZBY	\N	\N
1238184	4237	1997-01-31	VYDAJ	VYBER	15	23737	SLUZBY	\N	\N
1238185	4237	1997-02-28	VYDAJ	VYBER	15	36593	SLUZBY	\N	\N
1238186	4237	1997-03-31	VYDAJ	VYBER	15	57753	SLUZBY	\N	\N
1238187	4237	1997-04-30	VYDAJ	VYBER	15	60030	SLUZBY	\N	\N
1238188	4237	1997-05-31	VYDAJ	VYBER	15	48489	SLUZBY	\N	\N
1238189	4237	1997-06-30	VYDAJ	VYBER	15	98345	SLUZBY	\N	\N
1238190	4237	1997-07-31	VYDAJ	VYBER	15	79012	SLUZBY	\N	\N
1238191	4237	1997-08-31	VYDAJ	VYBER	15	50435	SLUZBY	\N	\N
1238192	4237	1997-09-30	VYDAJ	VYBER	15	31609	SLUZBY	\N	\N
1238193	4237	1997-10-31	VYDAJ	VYBER	15	75560	SLUZBY	\N	\N
1238194	4237	1997-11-30	VYDAJ	VYBER	15	65596	SLUZBY	\N	\N
1238195	4237	1997-12-31	VYDAJ	VYBER	15	19918	SLUZBY	\N	\N
1238196	4237	1998-01-31	VYDAJ	VYBER	15	19904	SLUZBY	\N	\N
1238197	4237	1998-02-28	VYDAJ	VYBER	15	102361	SLUZBY	\N	\N
1238198	4237	1998-03-31	VYDAJ	VYBER	15	81584	SLUZBY	\N	\N
1238199	4237	1998-04-30	VYDAJ	VYBER	15	39817	SLUZBY	\N	\N
1238200	4237	1998-05-31	VYDAJ	VYBER	15	31263	SLUZBY	\N	\N
1238201	4237	1998-06-30	VYDAJ	VYBER	15	31374	SLUZBY	\N	\N
1238202	4237	1998-07-31	VYDAJ	VYBER	15	28866	SLUZBY	\N	\N
1238203	4237	1998-08-31	VYDAJ	VYBER	15	28851	SLUZBY	\N	\N
1238204	4237	1998-09-30	VYDAJ	VYBER	15	28394	SLUZBY	\N	\N
1238205	4237	1998-10-31	VYDAJ	VYBER	15	29098	SLUZBY	\N	\N
1238206	4237	1998-11-30	VYDAJ	VYBER	15	29084	SLUZBY	\N	\N
1238207	4237	1993-12-29	VYDAJ	VYBER	6100	30084	\N	\N	\N
1238208	4237	1994-01-28	VYDAJ	VYBER	3700	26396	\N	\N	\N
1238209	4237	1994-02-27	VYDAJ	VYBER	11300	34737	\N	\N	\N
1238210	4237	1994-03-29	VYDAJ	VYBER	6300	28628	\N	\N	\N
1238211	4237	1994-04-28	VYDAJ	VYBER	4800	24020	\N	\N	\N
1238212	4237	1994-05-28	VYDAJ	VYBER	24600	46463	\N	\N	\N
1238213	4237	1994-06-27	VYDAJ	VYBER	29800	54442	\N	\N	\N
1238214	4237	1994-07-27	VYDAJ	VYBER	14000	40640	\N	\N	\N
1238215	4237	1994-08-26	VYDAJ	VYBER	7400	33467	\N	\N	\N
1238216	4237	1994-09-25	VYDAJ	VYBER	2700	30994	\N	\N	\N
1238217	4237	1994-10-25	VYDAJ	VYBER	6500	24721	\N	\N	\N
1238218	4237	1994-11-24	VYDAJ	VYBER	100	24847	\N	\N	\N
1238219	4237	1994-12-24	PRIJEM	VKLAD	1300	26374	\N	\N	\N
1238220	4237	1995-01-23	VYDAJ	VYBER	3600	23001	\N	\N	\N
1238221	4237	1995-02-22	VYDAJ	VYBER	22900	47797	\N	\N	\N
1238222	4237	1995-03-24	VYDAJ	VYBER	14000	37836	\N	\N	\N
1238223	4237	1995-04-20	VYDAJ	VYBER	50000	70376	\N	\N	\N
1238224	4237	1995-04-23	VYDAJ	VYBER	22900	47476	\N	\N	\N
1238225	4237	1995-05-23	VYDAJ	VYBER	15600	37198	\N	\N	\N
1238226	4237	1995-06-22	VYDAJ	VYBER	22900	49599	\N	\N	\N
1238227	4237	1995-07-12	VYDAJ	VYBER	37400	73561	\N	\N	\N
1238228	4237	1995-07-22	VYDAJ	VYBER	27400	46161	\N	\N	\N
1238229	4237	1995-08-21	PRIJEM	VKLAD	1900	26227	\N	\N	\N
1238230	4237	1995-09-20	VYDAJ	VYBER	15900	42071	\N	\N	\N
1238231	4237	1995-10-20	VYDAJ	VYBER	31700	56352	\N	\N	\N
1238232	4237	1995-11-19	VYDAJ	VYBER	9100	29009	\N	\N	\N
1238233	4237	1995-12-19	VYDAJ	VYBER	10500	25766	\N	\N	\N
1238234	4237	1996-01-18	VYDAJ	VYBER	900	23464	\N	\N	\N
1238235	4237	1996-02-17	VYDAJ	VYBER	22200	43582	\N	\N	\N
1238236	4237	1996-03-18	VYDAJ	VYBER	8100	19801	\N	\N	\N
1238237	4237	1996-04-07	VYDAJ	VYBER	38800	92503	\N	\N	\N
1238238	4237	1996-04-17	VYDAJ	VYBER	39600	52903	\N	\N	\N
1238239	4237	1996-05-17	VYDAJ	VYBER	17900	35322	\N	\N	\N
1238240	4237	1996-06-16	VYDAJ	VYBER	34800	41854	\N	\N	\N
1238241	4237	1996-07-16	VYDAJ	VYBER	10000	18037	\N	\N	\N
1238242	4237	1996-09-14	VYDAJ	VYBER	62500	37198	\N	\N	\N
1238243	4237	1996-09-14	VYDAJ	VYBER	28800	99698	\N	\N	\N
1238244	4237	1996-10-14	VYDAJ	VYBER	16100	18942	\N	\N	\N
1238245	4237	1996-11-13	VYDAJ	VYBER	33300	37164	\N	\N	\N
1238246	4237	1996-12-13	VYDAJ	VYBER	38600	46926	\N	\N	\N
1238247	4237	1997-01-12	VYDAJ	VYBER	11300	17064	\N	\N	\N
1238248	4237	1997-02-11	VYDAJ	VYBER	13100	15984	\N	\N	\N
1238249	4237	1997-03-10	VYDAJ	VYBER	37600	92428	\N	\N	\N
1238250	4237	1997-03-13	VYDAJ	VYBER	45300	47128	\N	\N	\N
1238251	4237	1997-04-12	VYDAJ	VYBER	52800	50001	\N	\N	\N
1238252	4237	1997-05-12	VYDAJ	VYBER	49400	48287	\N	\N	\N
1238253	4237	1997-06-11	VYDAJ	VYBER	17400	18843	\N	\N	\N
1238254	4237	1997-07-11	VYDAJ	VYBER	48500	49845	\N	\N	\N
1238255	4237	1997-08-10	VYDAJ	VYBER	39700	39312	\N	\N	\N
1238256	4237	1997-09-09	VYDAJ	VYBER	36700	109786	\N	\N	\N
1238257	4237	1997-09-09	VYDAJ	VYBER	57400	52386	\N	\N	\N
1238258	4237	1997-10-09	VYDAJ	VYBER	39100	34173	\N	\N	\N
1238259	4237	1997-11-08	VYDAJ	VYBER	39200	36360	\N	\N	\N
1238260	4237	1997-12-08	VYDAJ	VYBER	23300	19811	\N	\N	\N
1238261	4237	1998-03-08	VYDAJ	VYBER	15600	59041	\N	\N	\N
1238262	4237	1998-03-08	VYDAJ	VYBER	55400	74641	\N	\N	\N
1238263	4237	1998-04-07	VYDAJ	VYBER	52100	53427	\N	\N	\N
1238264	4237	1998-09-04	VYDAJ	VYBER	36100	42474	\N	\N	\N
1238265	4237	1998-10-04	VYDAJ	VYBER	24300	28998	\N	\N	\N
1238917	4240	1993-02-08	PRIJEM	VKLAD	500	28166	\N	\N	\N
1238919	4240	1993-02-08	PRIJEM	PREVOD Z UCTU	27666	27666	\N	EF	17497700
1238920	4240	1993-03-08	PRIJEM	PREVOD Z UCTU	27666	55920	\N	EF	17497700
1238921	4240	1993-04-08	PRIJEM	PREVOD Z UCTU	27666	69443	\N	EF	17497700
1238922	4240	1993-05-08	PRIJEM	PREVOD Z UCTU	27666	74999	\N	EF	17497700
1238923	4240	1993-06-08	PRIJEM	PREVOD Z UCTU	41499	89397	\N	EF	17497700
1238924	4240	1993-07-08	PRIJEM	PREVOD Z UCTU	27666	81170	\N	EF	17497700
1238998	4240	1995-10-20	VYBER	VYBER	22555	29436	\N	\N	\N
1238925	4240	1993-08-08	PRIJEM	PREVOD Z UCTU	27666	59371	\N	EF	17497700
1238926	4240	1993-09-08	PRIJEM	PREVOD Z UCTU	27666	68948	\N	EF	17497700
1238927	4240	1993-10-08	PRIJEM	PREVOD Z UCTU	27666	68062	\N	EF	17497700
1238928	4240	1993-11-08	PRIJEM	PREVOD Z UCTU	27666	73588	\N	EF	17497700
1238929	4240	1993-12-08	PRIJEM	PREVOD Z UCTU	41499	92474	\N	EF	17497700
1238930	4240	1994-01-08	PRIJEM	PREVOD Z UCTU	27666	82893	\N	EF	17497700
1238931	4240	1994-02-08	PRIJEM	PREVOD Z UCTU	27666	59995	\N	EF	17497700
1238932	4240	1994-03-08	PRIJEM	PREVOD Z UCTU	27666	72578	\N	EF	17497700
1238933	4240	1994-04-08	PRIJEM	PREVOD Z UCTU	27666	66161	\N	EF	17497700
1238934	4240	1994-05-08	PRIJEM	PREVOD Z UCTU	27666	76475	\N	EF	17497700
1238935	4240	1994-06-08	PRIJEM	PREVOD Z UCTU	41499	71668	\N	EF	17497700
1238936	4240	1994-07-08	PRIJEM	PREVOD Z UCTU	27666	78103	\N	EF	17497700
1238937	4240	1994-08-08	PRIJEM	PREVOD Z UCTU	27666	83174	\N	EF	17497700
1238938	4240	1994-09-08	PRIJEM	PREVOD Z UCTU	27666	75345	\N	EF	17497700
1238939	4240	1994-10-08	PRIJEM	PREVOD Z UCTU	27666	70172	\N	EF	17497700
1238940	4240	1994-11-08	PRIJEM	PREVOD Z UCTU	27666	78404	\N	EF	17497700
1238941	4240	1994-12-08	PRIJEM	PREVOD Z UCTU	41499	84729	\N	EF	17497700
1238942	4240	1995-01-08	PRIJEM	PREVOD Z UCTU	27666	53563	\N	EF	17497700
1238943	4240	1995-02-08	PRIJEM	PREVOD Z UCTU	27666	32896	\N	EF	17497700
1238944	4240	1995-03-08	PRIJEM	PREVOD Z UCTU	27666	58072	\N	EF	17497700
1238945	4240	1995-04-08	PRIJEM	PREVOD Z UCTU	27666	59779	\N	EF	17497700
1238946	4240	1995-05-08	PRIJEM	PREVOD Z UCTU	27666	68865	\N	EF	17497700
1238947	4240	1995-06-08	PRIJEM	PREVOD Z UCTU	41499	87522	\N	EF	17497700
1238948	4240	1995-07-08	PRIJEM	PREVOD Z UCTU	27666	46268	\N	EF	17497700
1238949	4240	1995-08-08	PRIJEM	PREVOD Z UCTU	27666	63504	\N	EF	17497700
1238950	4240	1995-09-08	PRIJEM	PREVOD Z UCTU	27666	66392	\N	EF	17497700
1238951	4240	1995-10-08	PRIJEM	PREVOD Z UCTU	27666	70182	\N	EF	17497700
1238952	4240	1995-11-08	PRIJEM	PREVOD Z UCTU	27666	52139	\N	EF	17497700
1238953	4240	1995-12-08	PRIJEM	PREVOD Z UCTU	41499	77698	\N	EF	17497700
1238954	4240	1996-01-08	PRIJEM	PREVOD Z UCTU	27666	57708	\N	EF	17497700
1238955	4240	1996-02-08	PRIJEM	PREVOD Z UCTU	27666	43576	\N	EF	17497700
1238956	4240	1996-03-08	PRIJEM	PREVOD Z UCTU	27666	47643	\N	EF	17497700
1238957	4240	1996-04-08	PRIJEM	PREVOD Z UCTU	27666	40518	\N	EF	17497700
1238958	4240	1996-05-08	PRIJEM	PREVOD Z UCTU	27666	57139	\N	EF	17497700
1238959	4240	1996-06-08	PRIJEM	PREVOD Z UCTU	41499	63448	\N	EF	17497700
1238960	4240	1996-07-08	PRIJEM	PREVOD Z UCTU	27666	67109	\N	EF	17497700
1238961	4240	1996-08-08	PRIJEM	PREVOD Z UCTU	27666	64654	\N	EF	17497700
1238962	4240	1996-09-08	PRIJEM	PREVOD Z UCTU	27666	44114	\N	EF	17497700
1238963	4240	1996-10-08	PRIJEM	PREVOD Z UCTU	27666	41692	\N	EF	17497700
1238964	4240	1996-11-08	PRIJEM	PREVOD Z UCTU	27666	46967	\N	EF	17497700
1238965	4240	1996-12-08	PRIJEM	PREVOD Z UCTU	41499	59377	\N	EF	17497700
1238966	4240	1997-01-08	PRIJEM	PREVOD Z UCTU	27666	47555	\N	EF	17497700
1238967	4240	1997-02-08	PRIJEM	PREVOD Z UCTU	27666	30603	\N	EF	17497700
1238968	4240	1997-03-08	PRIJEM	PREVOD Z UCTU	27666	36238	\N	EF	17497700
1238969	4240	1997-04-08	PRIJEM	PREVOD Z UCTU	27666	44677	\N	EF	17497700
1238970	4240	1997-05-08	PRIJEM	PREVOD Z UCTU	27666	52416	\N	EF	17497700
1238971	4240	1997-06-08	PRIJEM	PREVOD Z UCTU	41499	62698	\N	EF	17497700
1238972	4240	1997-07-08	PRIJEM	PREVOD Z UCTU	27666	50901	\N	EF	17497700
1238973	4240	1997-08-08	PRIJEM	PREVOD Z UCTU	27666	53951	\N	EF	17497700
1238974	4240	1997-09-08	PRIJEM	PREVOD Z UCTU	27666	52330	\N	EF	17497700
1238975	4240	1997-10-08	PRIJEM	PREVOD Z UCTU	27666	56789	\N	EF	17497700
1238976	4240	1997-11-08	PRIJEM	PREVOD Z UCTU	27666	38411	\N	EF	17497700
1238977	4240	1997-12-08	PRIJEM	PREVOD Z UCTU	41499	48004	\N	EF	17497700
1238978	4240	1998-01-08	PRIJEM	PREVOD Z UCTU	27666	36485	\N	EF	17497700
1238979	4240	1998-02-08	PRIJEM	PREVOD Z UCTU	27666	33887	\N	EF	17497700
1238980	4240	1998-03-08	PRIJEM	PREVOD Z UCTU	27666	34175	\N	EF	17497700
1238981	4240	1998-04-08	PRIJEM	PREVOD Z UCTU	27666	46577	\N	EF	17497700
1238982	4240	1998-05-08	PRIJEM	PREVOD Z UCTU	27666	49308	\N	EF	17497700
1238983	4240	1998-06-08	PRIJEM	PREVOD Z UCTU	41499	65081	\N	EF	17497700
1238984	4240	1998-07-08	PRIJEM	PREVOD Z UCTU	27666	59847	\N	EF	17497700
1238985	4240	1998-08-08	PRIJEM	PREVOD Z UCTU	27666	48160	\N	EF	17497700
1238986	4240	1998-09-08	PRIJEM	PREVOD Z UCTU	27666	32750	\N	EF	17497700
1238987	4240	1998-10-08	PRIJEM	PREVOD Z UCTU	27666	31713	\N	EF	17497700
1238988	4240	1998-11-08	PRIJEM	PREVOD Z UCTU	27666	30886	\N	EF	17497700
1238989	4240	1998-12-08	PRIJEM	PREVOD Z UCTU	41499	45077	\N	EF	17497700
1238990	4240	1993-07-28	VYBER	VYBER	4892	36222	\N	\N	\N
1238991	4240	1993-09-30	VYBER	VYBER	10515	58710	\N	\N	\N
1238993	4240	1993-07-20	VYBER	VYBER	7856	44114	\N	\N	\N
1238994	4240	1994-03-21	VYBER	VYBER	6547	66031	\N	\N	\N
1238995	4240	1994-11-11	VYBER	VYBER	14404	64000	\N	\N	\N
1238996	4240	1994-08-19	VYBER	VYBER	18390	64784	\N	\N	\N
1238997	4240	1995-03-21	VYBER	VYBER	16666	41406	\N	\N	\N
1238999	4240	1995-10-19	VYBER	VYBER	18191	51991	\N	\N	\N
1239000	4240	1995-11-11	VYBER	VYBER	3182	48957	\N	\N	\N
1239001	4240	1995-09-11	VYBER	VYBER	5969	60423	\N	\N	\N
1239003	4240	1995-03-30	VYBER	VYBER	4719	36687	\N	\N	\N
1239004	4240	1995-08-25	VYBER	VYBER	6031	53573	\N	\N	\N
1239005	4240	1995-01-31	VYBER	VYBER	21485	5245	\N	\N	\N
1239006	4240	1996-05-30	VYBER	VYBER	12625	21827	\N	\N	\N
1239008	4240	1996-05-18	VYBER	VYBER	8387	48752	\N	\N	\N
1239009	4240	1996-09-08	VYBER	VYBER	18581	25533	\N	\N	\N
1239010	4240	1996-11-04	VYBER	VYBER	2047	19301	\N	\N	\N
1239011	4240	1996-02-09	VYBER	VYBER	17234	26342	\N	\N	\N
1239012	4240	1996-09-10	VYBER	VYBER	8357	17176	\N	\N	\N
1239013	4240	1996-08-15	VYBER	VYBER	9891	54763	\N	\N	\N
1239014	4240	1996-02-16	VYBER	VYBER	9031	17311	\N	\N	\N
1239015	4240	1996-08-22	VYBER	VYBER	18838	16325	\N	\N	\N
1239017	4240	1996-03-31	VYBER	VYBER	15177	12867	\N	\N	\N
1239019	4240	1997-10-24	VYBER	VYBER	9805	10664	\N	\N	\N
1239020	4240	1997-06-04	VYBER	VYBER	10614	21199	\N	\N	\N
1239021	4240	1997-03-02	VYBER	VYBER	2542	8572	\N	\N	\N
1239022	4240	1997-08-15	VYBER	VYBER	10176	43775	\N	\N	\N
1239023	4240	1997-03-27	VYBER	VYBER	7910	16928	\N	\N	\N
1239024	4240	1997-10-20	VYBER	VYBER	4274	20469	\N	\N	\N
1239026	4240	1997-11-16	VYBER	VYBER	13224	6487	\N	\N	\N
1239027	4240	1997-10-13	VYBER	VYBER	2746	54043	\N	\N	\N
1239028	4240	1997-01-02	VYBER	VYBER	9480	29189	\N	\N	\N
1239029	4240	1997-02-16	VYBER	VYBER	24898	5705	\N	\N	\N
1239030	4240	1997-01-12	VYBER	VYBER	21489	26066	\N	\N	\N
1239034	4240	1998-08-06	VYBER	VYBER	5448	20494	\N	\N	\N
1239037	4240	1998-08-10	VYBER	VYBER	13912	34248	\N	\N	\N
1239040	4240	1994-06-05	VYDAJ	VYBER	19800	30169	\N	\N	\N
1239041	4240	1995-06-08	VYDAJ	VYBER	75600	11922	\N	\N	\N
1239043	4240	1997-06-18	VYDAJ	VYBER	13500	23098	\N	\N	\N
1239046	4240	1994-01-20	VYDAJ	VYBER	17700	42093	\N	\N	\N
1239047	4240	1995-01-01	VYDAJ	VYBER	27900	28597	\N	\N	\N
1239048	4240	1996-01-16	VYDAJ	VYBER	29700	11208	\N	\N	\N
1239049	4240	1997-01-18	VYDAJ	VYBER	5700	20366	\N	\N	\N
1239057	4240	1994-01-04	VYDAJ	VYBER	4200	55227	\N	\N	\N
1239058	4240	1994-01-17	VYDAJ	VYBER	4500	64293	\N	\N	\N
1239059	4240	1994-01-11	VYDAJ	VYBER	7200	75693	\N	\N	\N
1239060	4240	1994-01-11	VYDAJ	VYBER	3600	72093	\N	\N	\N
1239061	4240	1994-01-19	VYDAJ	VYBER	4500	59793	\N	\N	\N
1239062	4240	1994-01-13	VYDAJ	VYBER	3300	68793	\N	\N	\N
1239063	4240	1995-01-14	VYDAJ	VYBER	7200	46363	\N	\N	\N
1239064	4240	1995-01-17	VYDAJ	VYBER	5400	38863	\N	\N	\N
1239065	4240	1995-01-23	VYDAJ	VYBER	5100	33763	\N	\N	\N
1239066	4240	1995-01-16	VYDAJ	VYBER	2100	44263	\N	\N	\N
1239067	4240	1995-01-24	VYDAJ	VYBER	8700	25063	\N	\N	\N
1239068	4240	1995-01-06	VYDAJ	VYBER	2700	25897	\N	\N	\N
1239069	4240	1996-01-02	VYDAJ	VYBER	6000	40542	\N	\N	\N
1239070	4240	1996-01-14	VYDAJ	VYBER	8400	40908	\N	\N	\N
1239071	4240	1996-01-22	VYDAJ	VYBER	2400	8808	\N	\N	\N
1239072	4240	1996-01-06	VYDAJ	VYBER	6600	33942	\N	\N	\N
1239073	4240	1996-01-07	VYDAJ	VYBER	3900	30042	\N	\N	\N
1239074	4240	1996-01-08	VYDAJ	VYBER	8400	49308	\N	\N	\N
1239075	4240	1997-01-02	VYDAJ	VYBER	7200	21989	\N	\N	\N
1239076	4240	1997-01-06	VYDAJ	VYBER	2100	19889	\N	\N	\N
1239077	4240	1997-01-26	VYDAJ	VYBER	3600	5866	\N	\N	\N
1239078	4240	1997-01-23	VYDAJ	VYBER	1500	9466	\N	\N	\N
1239079	4240	1997-01-22	VYDAJ	VYBER	7800	10966	\N	\N	\N
1239080	4240	1997-01-29	VYDAJ	VYBER	3000	2866	\N	\N	\N
1239082	4240	1998-01-08	VYDAJ	VYBER	2700	33785	\N	\N	\N
1239085	4240	1998-01-15	VYDAJ	VYBER	8700	9185	\N	\N	\N
1239086	4240	1998-01-26	VYDAJ	VYBER	3000	6185	\N	\N	\N
1239088	4240	1993-07-20	VYDAJ	VYBER	3000	41114	\N	\N	\N
1239089	4240	1993-06-09	VYDAJ	VYBER	1800	53297	\N	\N	\N
1239090	4240	1994-03-31	VYDAJ	VYBER	14100	52195	\N	\N	\N
1239091	4240	1994-09-10	VYDAJ	VYBER	6000	69345	\N	\N	\N
1239092	4240	1994-09-23	VYDAJ	VYBER	9000	60345	\N	\N	\N
1239093	4240	1995-08-21	VYDAJ	VYBER	3900	59604	\N	\N	\N
1239094	4240	1996-11-23	VYDAJ	VYBER	12000	17767	\N	\N	\N
1239095	4240	1996-11-01	VYDAJ	VYBER	2100	21348	\N	\N	\N
1239096	4240	1996-03-18	VYDAJ	VYBER	10500	37143	\N	\N	\N
1239097	4240	1996-07-11	VYDAJ	VYBER	3900	63209	\N	\N	\N
1239098	4240	1997-12-15	VYDAJ	VYBER	12900	8804	\N	\N	\N
1239099	4240	1997-04-16	VYDAJ	VYBER	2400	42277	\N	\N	\N
1239103	4240	1998-08-12	VYDAJ	VYBER	6300	5048	\N	\N	\N
1239104	4240	1998-02-24	VYDAJ	VYBER	8700	6487	\N	\N	\N
1239111	4240	1993-06-30	VYDAJ	VYBER	15	53504	SLUZBY	\N	\N
1239112	4240	1993-07-31	VYDAJ	VYBER	15	36405	SLUZBY	\N	\N
1239113	4240	1993-08-31	VYDAJ	VYBER	15	59582	SLUZBY	\N	\N
1239114	4240	1993-09-30	VYDAJ	VYBER	15	58696	SLUZBY	\N	\N
1239115	4240	1993-10-31	VYDAJ	VYBER	15	68322	SLUZBY	\N	\N
1239116	4240	1993-11-30	VYDAJ	VYBER	15	73875	SLUZBY	\N	\N
1239117	4240	1993-12-31	VYDAJ	VYBER	15	92827	SLUZBY	\N	\N
1239118	4240	1994-01-31	VYDAJ	VYBER	15	42329	SLUZBY	\N	\N
1239119	4240	1994-02-28	VYDAJ	VYBER	15	60212	SLUZBY	\N	\N
1239120	4240	1994-03-31	VYDAJ	VYBER	15	66295	SLUZBY	\N	\N
1239121	4240	1994-04-30	VYDAJ	VYBER	15	66409	SLUZBY	\N	\N
1239122	4240	1994-05-31	VYDAJ	VYBER	15	76769	SLUZBY	\N	\N
1239123	4240	1994-06-30	VYDAJ	VYBER	15	71937	SLUZBY	\N	\N
1239124	4240	1994-07-31	VYDAJ	VYBER	15	78408	SLUZBY	\N	\N
1239125	4240	1994-08-31	VYDAJ	VYBER	15	65079	SLUZBY	\N	\N
1239126	4240	1994-09-30	VYDAJ	VYBER	15	60606	SLUZBY	\N	\N
1239127	4240	1994-10-31	VYDAJ	VYBER	15	50738	SLUZBY	\N	\N
1239128	4240	1994-11-30	VYDAJ	VYBER	15	43230	SLUZBY	\N	\N
1239129	4240	1994-12-31	VYDAJ	VYBER	15	56497	SLUZBY	\N	\N
1239130	4240	1995-01-31	VYDAJ	VYBER	15	5230	SLUZBY	\N	\N
1239131	4240	1995-02-28	VYDAJ	VYBER	15	30406	SLUZBY	\N	\N
1239132	4240	1995-03-31	VYDAJ	VYBER	15	32113	SLUZBY	\N	\N
1239133	4240	1995-04-30	VYDAJ	VYBER	15	41199	SLUZBY	\N	\N
1239134	4240	1995-05-31	VYDAJ	VYBER	15	46023	SLUZBY	\N	\N
1239135	4240	1995-06-30	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
1239136	4240	1995-07-31	VYDAJ	VYBER	15	35838	SLUZBY	\N	\N
1239137	4240	1995-08-31	VYDAJ	VYBER	15	38726	SLUZBY	\N	\N
1239138	4240	1995-09-30	VYDAJ	VYBER	15	42516	SLUZBY	\N	\N
1239139	4240	1995-10-31	VYDAJ	VYBER	15	24473	SLUZBY	\N	\N
1239140	4240	1995-11-30	VYDAJ	VYBER	15	36199	SLUZBY	\N	\N
1239141	4240	1995-12-31	VYDAJ	VYBER	15	46542	SLUZBY	\N	\N
1239142	4240	1996-01-31	VYDAJ	VYBER	15	15910	SLUZBY	\N	\N
1239143	4240	1996-02-29	VYDAJ	VYBER	15	19977	SLUZBY	\N	\N
1239144	4240	1996-03-31	VYDAJ	VYBER	15	12852	SLUZBY	\N	\N
1239145	4240	1996-04-30	VYDAJ	VYBER	15	29473	SLUZBY	\N	\N
1239146	4240	1996-05-31	VYDAJ	VYBER	15	21949	SLUZBY	\N	\N
1239147	4240	1996-06-30	VYDAJ	VYBER	15	39443	SLUZBY	\N	\N
1239148	4240	1996-07-31	VYDAJ	VYBER	15	36988	SLUZBY	\N	\N
1239149	4240	1996-08-31	VYDAJ	VYBER	15	16448	SLUZBY	\N	\N
1239150	4240	1996-09-30	VYDAJ	VYBER	15	14026	SLUZBY	\N	\N
1239151	4240	1996-10-31	VYDAJ	VYBER	15	23448	SLUZBY	\N	\N
1239152	4240	1996-11-30	VYDAJ	VYBER	15	17878	SLUZBY	\N	\N
1239153	4240	1996-12-31	VYDAJ	VYBER	15	38669	SLUZBY	\N	\N
1239154	4240	1997-01-31	VYDAJ	VYBER	15	2937	SLUZBY	\N	\N
1239155	4240	1997-02-28	VYDAJ	VYBER	15	11114	SLUZBY	\N	\N
1239156	4240	1997-03-31	VYDAJ	VYBER	15	17011	SLUZBY	\N	\N
1239157	4240	1997-04-30	VYDAJ	VYBER	15	24750	SLUZBY	\N	\N
1239158	4240	1997-05-31	VYDAJ	VYBER	15	31813	SLUZBY	\N	\N
1239159	4240	1997-06-30	VYDAJ	VYBER	15	23235	SLUZBY	\N	\N
1239160	4240	1997-07-31	VYDAJ	VYBER	15	26285	SLUZBY	\N	\N
1239161	4240	1997-08-31	VYDAJ	VYBER	15	24664	SLUZBY	\N	\N
1239162	4240	1997-09-30	VYDAJ	VYBER	15	29123	SLUZBY	\N	\N
1239163	4240	1997-10-31	VYDAJ	VYBER	15	10745	SLUZBY	\N	\N
1239164	4240	1997-11-30	VYDAJ	VYBER	15	6505	SLUZBY	\N	\N
1239165	4240	1997-12-31	VYDAJ	VYBER	15	8819	SLUZBY	\N	\N
1239166	4240	1998-01-31	VYDAJ	VYBER	15	6221	SLUZBY	\N	\N
1239167	4240	1998-02-28	VYDAJ	VYBER	15	6509	SLUZBY	\N	\N
1239168	4240	1998-03-31	VYDAJ	VYBER	15	18911	SLUZBY	\N	\N
1239169	4240	1998-04-30	VYDAJ	VYBER	15	21642	SLUZBY	\N	\N
1239170	4240	1998-05-31	VYDAJ	VYBER	15	23582	SLUZBY	\N	\N
1239171	4240	1998-06-30	VYDAJ	VYBER	15	32181	SLUZBY	\N	\N
1239172	4240	1998-07-31	VYDAJ	VYBER	15	25942	SLUZBY	\N	\N
1239173	4240	1998-08-31	VYDAJ	VYBER	15	5084	SLUZBY	\N	\N
1239174	4240	1998-09-30	VYDAJ	VYBER	15	4047	SLUZBY	\N	\N
1239176	4240	1998-11-30	VYDAJ	VYBER	15	3578	SLUZBY	\N	\N
1239177	4240	1993-03-10	VYDAJ	VYBER	14300	41620	\N	\N	\N
1239178	4240	1993-04-09	VYDAJ	VYBER	22300	47143	\N	\N	\N
1239179	4240	1993-05-09	VYDAJ	VYBER	27300	47699	\N	\N	\N
1239180	4240	1993-06-08	VYDAJ	VYBER	34300	55097	\N	\N	\N
1239181	4240	1993-07-08	VYDAJ	VYBER	29200	51970	\N	\N	\N
1239182	4240	1993-08-07	VYDAJ	VYBER	4700	31705	\N	\N	\N
1239183	4240	1993-09-06	VYDAJ	VYBER	18300	41282	\N	\N	\N
1239184	4240	1993-10-06	VYDAJ	VYBER	18300	40396	\N	\N	\N
1239185	4240	1993-11-05	VYDAJ	VYBER	22400	45922	\N	\N	\N
1239186	4240	1993-12-05	VYDAJ	VYBER	22900	50975	\N	\N	\N
1239187	4240	1994-01-04	VYDAJ	VYBER	33400	59427	\N	\N	\N
1239188	4240	1994-02-03	VYDAJ	VYBER	10000	32329	\N	\N	\N
1239189	4240	1994-03-05	VYDAJ	VYBER	15300	44912	\N	\N	\N
1239190	4240	1994-04-04	VYDAJ	VYBER	13700	38495	\N	\N	\N
1239191	4240	1994-05-04	VYDAJ	VYBER	17600	48809	\N	\N	\N
1239192	4240	1994-06-03	VYDAJ	VYBER	26800	49969	\N	\N	\N
1239193	4240	1994-07-03	VYDAJ	VYBER	21500	50437	\N	\N	\N
1239194	4240	1994-08-02	VYDAJ	VYBER	22900	55508	\N	\N	\N
1239195	4240	1994-09-01	VYDAJ	VYBER	17400	47679	\N	\N	\N
1239196	4240	1994-10-01	VYDAJ	VYBER	18100	42506	\N	\N	\N
1239197	4240	1994-10-31	VYDAJ	VYBER	19700	50753	\N	\N	\N
1239198	4240	1994-11-30	VYDAJ	VYBER	21000	43245	\N	\N	\N
1239199	4240	1994-12-30	VYDAJ	VYBER	28400	56329	\N	\N	\N
1239200	4240	1995-01-29	PRIJEM	VKLAD	1500	26563	\N	\N	\N
1239201	4240	1995-02-28	VYDAJ	VYBER	2500	30421	\N	\N	\N
1239202	4240	1995-03-30	VYDAJ	VYBER	4700	31987	\N	\N	\N
1239203	4240	1995-04-29	VYDAJ	VYBER	18700	41079	\N	\N	\N
1239204	4240	1995-05-29	VYDAJ	VYBER	23000	45865	\N	\N	\N
1239205	4240	1995-06-28	PRIJEM	VKLAD	6400	18322	\N	\N	\N
1239206	4240	1995-07-28	VYDAJ	VYBER	10500	35768	\N	\N	\N
1239207	4240	1995-08-27	VYDAJ	VYBER	15000	38573	\N	\N	\N
1239208	4240	1995-09-26	VYDAJ	VYBER	18100	42323	\N	\N	\N
1239209	4240	1995-10-26	VYDAJ	VYBER	5100	24336	\N	\N	\N
1239210	4240	1995-11-25	VYDAJ	VYBER	12900	36057	\N	\N	\N
1239211	4240	1995-12-25	VYDAJ	VYBER	31300	46398	\N	\N	\N
1239212	4240	1996-01-24	PRIJEM	VKLAD	7000	15808	\N	\N	\N
1239213	4240	1996-02-23	PRIJEM	VKLAD	2600	19911	\N	\N	\N
1239214	4240	1996-03-24	VYDAJ	VYBER	9200	27943	\N	\N	\N
1239215	4240	1996-04-23	VYDAJ	VYBER	11100	29418	\N	\N	\N
1239216	4240	1996-05-23	VYDAJ	VYBER	14300	34452	\N	\N	\N
1239217	4240	1996-06-22	VYDAJ	VYBER	24100	39348	\N	\N	\N
1239218	4240	1996-07-22	VYDAJ	VYBER	26400	36809	\N	\N	\N
1239219	4240	1996-08-21	VYDAJ	VYBER	19600	35163	\N	\N	\N
1239220	4240	1996-09-20	VYDAJ	VYBER	3200	13976	\N	\N	\N
1239221	4240	1996-10-20	VYDAJ	VYBER	18300	23392	\N	\N	\N
1239222	4240	1996-11-19	VYDAJ	VYBER	17200	29767	\N	\N	\N
1239223	4240	1996-12-19	VYDAJ	VYBER	20800	38577	\N	\N	\N
1239224	4240	1997-01-18	VYDAJ	VYBER	1600	18766	\N	\N	\N
1239225	4240	1997-02-17	PRIJEM	VKLAD	5400	11105	\N	\N	\N
1239226	4240	1997-03-19	VYDAJ	VYBER	11400	24838	\N	\N	\N
1239227	4240	1997-04-18	VYDAJ	VYBER	17600	24677	\N	\N	\N
1239228	4240	1997-05-18	VYDAJ	VYBER	20700	31716	\N	\N	\N
1239229	4240	1997-06-17	VYDAJ	VYBER	26100	36598	\N	\N	\N
1239230	4240	1997-07-17	VYDAJ	VYBER	24700	26201	\N	\N	\N
1239231	4240	1997-08-16	VYDAJ	VYBER	19200	24575	\N	\N	\N
1239232	4240	1997-09-15	VYDAJ	VYBER	23300	29030	\N	\N	\N
1239233	4240	1997-10-15	VYDAJ	VYBER	29300	24743	\N	\N	\N
1239234	4240	1997-11-14	VYDAJ	VYBER	18700	19711	\N	\N	\N
1239235	4240	1997-12-14	VYDAJ	VYBER	26300	21704	\N	\N	\N
1239236	4240	1998-01-13	VYDAJ	VYBER	15900	17885	\N	\N	\N
1239237	4240	1998-02-12	VYDAJ	VYBER	18700	15187	\N	\N	\N
1239238	4240	1998-03-14	VYDAJ	VYBER	15300	18875	\N	\N	\N
1239239	4240	1998-04-13	VYDAJ	VYBER	25000	21577	\N	\N	\N
1239240	4240	1998-05-13	VYDAJ	VYBER	25800	23508	\N	\N	\N
1239241	4240	1998-06-12	VYDAJ	VYBER	33000	32081	\N	\N	\N
1239242	4240	1998-07-12	VYDAJ	VYBER	34000	25847	\N	\N	\N
1239243	4240	1998-08-11	VYDAJ	VYBER	22900	11348	\N	\N	\N
1239244	4240	1998-09-10	VYDAJ	VYBER	28700	4050	\N	\N	\N
1239245	4240	1998-10-10	VYDAJ	VYBER	28500	3213	\N	\N	\N
1239246	4240	1998-11-09	VYDAJ	VYBER	27300	3586	\N	\N	\N
1240782	4245	1994-05-02	PRIJEM	VKLAD	500	500	\N	\N	\N
1240787	4245	1994-05-07	PRIJEM	VKLAD	15237	15737	\N	\N	\N
1240788	4245	1994-06-07	PRIJEM	VKLAD	22856	41846	\N	\N	\N
1240789	4245	1994-07-07	PRIJEM	VKLAD	15237	48436	\N	\N	\N
1240790	4245	1994-08-07	PRIJEM	VKLAD	15237	50667	\N	\N	\N
1240791	4245	1994-09-07	PRIJEM	VKLAD	15237	55053	\N	\N	\N
1240792	4245	1994-10-07	PRIJEM	VKLAD	15237	56037	\N	\N	\N
1240793	4245	1994-11-07	PRIJEM	VKLAD	15237	54824	\N	\N	\N
1240794	4245	1994-12-07	PRIJEM	VKLAD	22856	62424	\N	\N	\N
1240795	4245	1995-01-07	PRIJEM	VKLAD	15237	54763	\N	\N	\N
1240796	4245	1995-02-07	PRIJEM	VKLAD	15237	48409	\N	\N	\N
1240797	4245	1995-03-07	PRIJEM	VKLAD	15237	52164	\N	\N	\N
1240798	4245	1995-04-07	PRIJEM	VKLAD	15237	52034	\N	\N	\N
1240799	4245	1995-05-07	PRIJEM	VKLAD	15237	51602	\N	\N	\N
1240800	4245	1995-06-07	PRIJEM	VKLAD	22856	62388	\N	\N	\N
1240801	4245	1995-07-07	PRIJEM	VKLAD	15237	38717	\N	\N	\N
1240802	4245	1995-08-07	PRIJEM	VKLAD	15237	48735	\N	\N	\N
1240803	4245	1995-09-07	PRIJEM	VKLAD	15237	49401	\N	\N	\N
1240804	4245	1995-10-07	PRIJEM	VKLAD	15237	53357	\N	\N	\N
1240805	4245	1995-11-07	PRIJEM	VKLAD	15237	51724	\N	\N	\N
1240806	4245	1995-12-07	PRIJEM	VKLAD	22856	59606	\N	\N	\N
1240807	4245	1996-01-07	PRIJEM	VKLAD	15237	55940	\N	\N	\N
1240808	4245	1996-02-07	PRIJEM	VKLAD	15237	60823	\N	\N	\N
1240809	4245	1996-03-07	PRIJEM	VKLAD	15237	61520	\N	\N	\N
1240810	4245	1996-04-07	PRIJEM	VKLAD	15237	63321	\N	\N	\N
1240811	4245	1996-05-07	PRIJEM	VKLAD	15237	64528	\N	\N	\N
1240812	4245	1996-06-07	PRIJEM	VKLAD	22856	70554	\N	\N	\N
1240813	4245	1996-07-07	PRIJEM	VKLAD	15237	55231	\N	\N	\N
1240814	4245	1996-08-07	PRIJEM	VKLAD	15237	59816	\N	\N	\N
1240815	4245	1996-09-07	PRIJEM	VKLAD	15237	66715	\N	\N	\N
1240816	4245	1996-10-07	PRIJEM	VKLAD	15237	69034	\N	\N	\N
1240817	4245	1996-11-07	PRIJEM	VKLAD	15237	70662	\N	\N	\N
1240818	4245	1996-12-07	PRIJEM	VKLAD	22856	74832	\N	\N	\N
1240819	4245	1997-01-07	PRIJEM	VKLAD	15237	75782	\N	\N	\N
1240820	4245	1997-02-07	PRIJEM	VKLAD	15237	69716	\N	\N	\N
1240821	4245	1997-03-07	PRIJEM	VKLAD	15237	67635	\N	\N	\N
1240822	4245	1997-04-07	PRIJEM	VKLAD	15237	70758	\N	\N	\N
1240823	4245	1997-05-07	PRIJEM	VKLAD	15237	73191	\N	\N	\N
1240824	4245	1997-06-07	PRIJEM	VKLAD	22856	41453	\N	\N	\N
1240825	4245	1997-07-07	PRIJEM	VKLAD	15237	54820	\N	\N	\N
1240826	4245	1997-08-07	PRIJEM	VKLAD	15237	58789	\N	\N	\N
1240827	4245	1997-09-07	PRIJEM	VKLAD	15237	61470	\N	\N	\N
1240828	4245	1997-10-07	PRIJEM	VKLAD	15237	61159	\N	\N	\N
1240829	4245	1997-11-07	PRIJEM	VKLAD	15237	66255	\N	\N	\N
1240830	4245	1997-12-07	PRIJEM	VKLAD	22856	76083	\N	\N	\N
1240831	4245	1998-01-07	PRIJEM	VKLAD	15237	71215	\N	\N	\N
1240832	4245	1998-02-07	PRIJEM	VKLAD	15237	75449	\N	\N	\N
1240833	4245	1998-03-07	PRIJEM	VKLAD	15237	75387	\N	\N	\N
1240834	4245	1998-04-07	PRIJEM	VKLAD	15237	74127	\N	\N	\N
1240835	4245	1998-05-07	PRIJEM	VKLAD	15237	69447	\N	\N	\N
1240836	4245	1998-06-07	PRIJEM	VKLAD	22856	79387	\N	\N	\N
1240837	4245	1998-07-07	PRIJEM	VKLAD	15237	48881	\N	\N	\N
1240838	4245	1998-08-07	PRIJEM	VKLAD	15237	58736	\N	\N	\N
1240839	4245	1998-09-07	PRIJEM	VKLAD	15237	66025	\N	\N	\N
1240840	4245	1998-10-07	PRIJEM	VKLAD	15237	68730	\N	\N	\N
1240841	4245	1998-11-07	PRIJEM	VKLAD	15237	70644	\N	\N	\N
1240842	4245	1998-12-07	PRIJEM	VKLAD	22856	72813	\N	\N	\N
1240851	4245	1994-09-09	VYDAJ	PREVOD NA UCET	4534	50519	SIPO	CD	5514008
1240852	4245	1994-10-09	VYDAJ	PREVOD NA UCET	4534	51503	SIPO	CD	5514008
1240853	4245	1994-11-09	VYDAJ	PREVOD NA UCET	4534	50290	SIPO	CD	5514008
1240854	4245	1994-12-09	VYDAJ	PREVOD NA UCET	4534	57890	SIPO	CD	5514008
1240855	4245	1995-01-09	VYDAJ	PREVOD NA UCET	4534	50229	SIPO	CD	5514008
1240856	4245	1995-02-09	VYDAJ	PREVOD NA UCET	4534	43875	SIPO	CD	5514008
1240857	4245	1995-03-09	VYDAJ	PREVOD NA UCET	4534	47630	SIPO	CD	5514008
1240858	4245	1995-04-09	VYDAJ	PREVOD NA UCET	4534	47500	SIPO	CD	5514008
1240859	4245	1995-05-09	VYDAJ	PREVOD NA UCET	4534	47068	SIPO	CD	5514008
1240860	4245	1995-06-09	VYDAJ	PREVOD NA UCET	4534	57854	SIPO	CD	5514008
1240861	4245	1995-07-09	VYDAJ	PREVOD NA UCET	4534	34183	SIPO	CD	5514008
1240862	4245	1995-08-09	VYDAJ	PREVOD NA UCET	4534	40121	SIPO	CD	5514008
1240863	4245	1995-09-09	VYDAJ	PREVOD NA UCET	4534	44867	SIPO	CD	5514008
1240864	4245	1995-10-09	VYDAJ	PREVOD NA UCET	4534	48823	SIPO	CD	5514008
1240865	4245	1995-11-09	VYDAJ	PREVOD NA UCET	4534	47190	SIPO	CD	5514008
1240866	4245	1995-12-09	VYDAJ	PREVOD NA UCET	4534	50432	SIPO	CD	5514008
1240867	4245	1996-01-09	VYDAJ	PREVOD NA UCET	4534	51406	SIPO	CD	5514008
1240868	4245	1996-02-09	VYDAJ	PREVOD NA UCET	4534	56289	SIPO	CD	5514008
1240869	4245	1996-03-09	VYDAJ	PREVOD NA UCET	4534	56986	SIPO	CD	5514008
1240870	4245	1996-04-09	VYDAJ	PREVOD NA UCET	4534	58787	SIPO	CD	5514008
1240871	4245	1996-05-09	VYDAJ	PREVOD NA UCET	4534	59994	SIPO	CD	5514008
1240872	4245	1996-06-09	VYDAJ	PREVOD NA UCET	4534	66020	SIPO	CD	5514008
1240873	4245	1996-07-09	VYDAJ	PREVOD NA UCET	4534	50697	SIPO	CD	5514008
1240874	4245	1996-08-09	VYDAJ	PREVOD NA UCET	4534	55282	SIPO	CD	5514008
1240875	4245	1996-09-09	VYDAJ	PREVOD NA UCET	4534	62181	SIPO	CD	5514008
1240876	4245	1996-10-09	VYDAJ	PREVOD NA UCET	4534	64500	SIPO	CD	5514008
1240877	4245	1996-11-09	VYDAJ	PREVOD NA UCET	4534	66128	SIPO	CD	5514008
1240878	4245	1996-12-09	VYDAJ	PREVOD NA UCET	4534	70298	SIPO	CD	5514008
1240879	4245	1997-01-09	VYDAJ	PREVOD NA UCET	4534	67248	SIPO	CD	5514008
1240880	4245	1997-02-09	VYDAJ	PREVOD NA UCET	4534	65182	SIPO	CD	5514008
1240881	4245	1997-03-09	VYDAJ	PREVOD NA UCET	4534	63101	SIPO	CD	5514008
1240882	4245	1997-04-09	VYDAJ	PREVOD NA UCET	4534	66224	SIPO	CD	5514008
1240883	4245	1997-05-09	VYDAJ	PREVOD NA UCET	4534	68657	SIPO	CD	5514008
1240884	4245	1997-06-09	VYDAJ	PREVOD NA UCET	4534	36919	SIPO	CD	5514008
1240885	4245	1997-07-09	VYDAJ	PREVOD NA UCET	4534	50286	SIPO	CD	5514008
1240886	4245	1997-08-09	VYDAJ	PREVOD NA UCET	4534	54255	SIPO	CD	5514008
1240887	4245	1997-09-09	VYDAJ	PREVOD NA UCET	4534	56936	SIPO	CD	5514008
1240888	4245	1997-10-09	VYDAJ	PREVOD NA UCET	4534	56625	SIPO	CD	5514008
1240889	4245	1997-11-09	VYDAJ	PREVOD NA UCET	4534	61721	SIPO	CD	5514008
1240890	4245	1997-12-09	VYDAJ	PREVOD NA UCET	4534	68149	SIPO	CD	5514008
1240891	4245	1998-01-09	VYDAJ	PREVOD NA UCET	4534	66681	SIPO	CD	5514008
1240892	4245	1998-02-09	VYDAJ	PREVOD NA UCET	4534	70915	SIPO	CD	5514008
1240893	4245	1998-03-09	VYDAJ	PREVOD NA UCET	4534	70853	SIPO	CD	5514008
1240894	4245	1998-04-09	VYDAJ	PREVOD NA UCET	4534	69593	SIPO	CD	5514008
1240895	4245	1998-05-09	VYDAJ	PREVOD NA UCET	4534	64913	SIPO	CD	5514008
1240896	4245	1998-06-09	VYDAJ	PREVOD NA UCET	4534	74853	SIPO	CD	5514008
1240897	4245	1998-07-09	VYDAJ	PREVOD NA UCET	4534	44347	SIPO	CD	5514008
1240898	4245	1998-08-09	VYDAJ	PREVOD NA UCET	4534	50602	SIPO	CD	5514008
1240899	4245	1998-09-09	VYDAJ	PREVOD NA UCET	4534	53291	SIPO	CD	5514008
1240900	4245	1998-10-09	VYDAJ	PREVOD NA UCET	4534	55196	SIPO	CD	5514008
1240901	4245	1998-11-09	VYDAJ	PREVOD NA UCET	4534	55910	SIPO	CD	5514008
1240902	4245	1998-12-09	VYDAJ	PREVOD NA UCET	4534	57479	SIPO	CD	5514008
1240964	4245	1995-06-10	VYDAJ	VYBER	33280	24574	\N	\N	\N
1240965	4245	1996-06-15	VYDAJ	VYBER	16320	49700	\N	\N	\N
1240966	4245	1997-06-02	VYDAJ	VYBER	41600	18597	\N	\N	\N
1240967	4245	1998-06-25	VYDAJ	VYBER	27520	33433	\N	\N	\N
1240968	4245	1994-12-26	VYDAJ	VYBER	4160	53730	\N	\N	\N
1240969	4245	1995-12-08	VYDAJ	VYBER	4640	54966	\N	\N	\N
1240970	4245	1996-12-04	VYDAJ	VYBER	4480	51976	\N	\N	\N
1240971	4245	1997-12-07	VYDAJ	VYBER KARTOU	3400	72683	\N	\N	0
1240972	4245	1998-12-23	VYDAJ	VYBER KARTOU	2400	55079	\N	\N	0
1240978	4245	1995-06-22	VYDAJ	VYBER	4200	20374	\N	\N	\N
1240979	4245	1995-08-07	VYDAJ	VYBER	4080	44655	\N	\N	\N
1240980	4245	1995-01-14	VYDAJ	VYBER	4920	45309	\N	\N	\N
1240981	4245	1995-11-29	VYDAJ	VYBER KARTOU	2900	36590	\N	\N	0
1240982	4245	1996-04-16	VYDAJ	VYBER KARTOU	1300	57487	\N	\N	0
1240983	4245	1996-07-01	VYDAJ	VYBER KARTOU	4000	39994	\N	\N	0
1240984	4245	1997-01-08	VYDAJ	VYBER KARTOU	4000	71782	\N	\N	0
1240985	4245	1997-09-25	VYDAJ	VYBER KARTOU	2800	45736	\N	\N	0
1240986	4245	1997-12-25	VYDAJ	VYBER KARTOU	2800	55749	\N	\N	0
1240987	4245	1997-10-16	VYDAJ	VYBER KARTOU	1200	50825	\N	\N	0
1240988	4245	1998-07-09	VYDAJ	VYBER	5400	38947	\N	\N	\N
1240989	4245	1998-11-27	VYDAJ	VYBER KARTOU	1000	49750	\N	\N	0
1240990	4245	1998-11-16	VYDAJ	VYBER	5160	50750	\N	\N	\N
1240991	4245	1998-03-24	VYDAJ	VYBER KARTOU	1900	58653	\N	\N	0
1241001	4245	1994-09-30	VYDAJ	VYBER	15	40800	SLUZBY	\N	\N
1241002	4245	1994-10-31	VYDAJ	VYBER	15	39587	SLUZBY	\N	\N
1241003	4245	1994-11-30	VYDAJ	VYBER	15	39568	SLUZBY	\N	\N
1241004	4245	1994-12-31	VYDAJ	VYBER	15	39526	SLUZBY	\N	\N
1241005	4245	1995-01-31	VYDAJ	VYBER	15	33172	SLUZBY	\N	\N
1241006	4245	1995-02-28	VYDAJ	VYBER	15	36927	SLUZBY	\N	\N
1241007	4245	1995-03-31	VYDAJ	VYBER	15	36797	SLUZBY	\N	\N
1241008	4245	1995-04-30	VYDAJ	VYBER	15	36365	SLUZBY	\N	\N
1241009	4245	1995-05-31	VYDAJ	VYBER	15	39532	SLUZBY	\N	\N
1241010	4245	1995-06-30	VYDAJ	VYBER	15	23480	SLUZBY	\N	\N
1241011	4245	1995-07-31	VYDAJ	VYBER	15	33498	SLUZBY	\N	\N
1241012	4245	1995-08-31	VYDAJ	VYBER	15	34164	SLUZBY	\N	\N
1241013	4245	1995-09-30	VYDAJ	VYBER	15	38120	SLUZBY	\N	\N
1241014	4245	1995-10-31	VYDAJ	VYBER	15	36487	SLUZBY	\N	\N
1241015	4245	1995-11-30	VYDAJ	VYBER	15	36750	SLUZBY	\N	\N
1241016	4245	1995-12-31	VYDAJ	VYBER	15	40703	SLUZBY	\N	\N
1241017	4245	1996-01-31	VYDAJ	VYBER	15	45586	SLUZBY	\N	\N
1241018	4245	1996-02-29	VYDAJ	VYBER	15	46283	SLUZBY	\N	\N
1241019	4245	1996-03-31	VYDAJ	VYBER	15	48084	SLUZBY	\N	\N
1241020	4245	1996-04-30	VYDAJ	VYBER	15	49291	SLUZBY	\N	\N
1241021	4245	1996-05-31	VYDAJ	VYBER	15	47698	SLUZBY	\N	\N
1241022	4245	1996-06-30	VYDAJ	VYBER	15	43994	SLUZBY	\N	\N
1241023	4245	1996-07-31	VYDAJ	VYBER	15	44579	SLUZBY	\N	\N
1241024	4245	1996-08-31	VYDAJ	VYBER	15	51478	SLUZBY	\N	\N
1241025	4245	1996-09-30	VYDAJ	VYBER	15	53797	SLUZBY	\N	\N
1241026	4245	1996-10-31	VYDAJ	VYBER	15	55425	SLUZBY	\N	\N
1241027	4245	1996-11-30	VYDAJ	VYBER	15	56456	SLUZBY	\N	\N
1241028	4245	1996-12-31	VYDAJ	VYBER	15	60545	SLUZBY	\N	\N
1241029	4245	1997-01-31	VYDAJ	VYBER	15	54479	SLUZBY	\N	\N
1241030	4245	1997-02-28	VYDAJ	VYBER	15	52398	SLUZBY	\N	\N
1241031	4245	1997-03-31	VYDAJ	VYBER	15	55521	SLUZBY	\N	\N
1241032	4245	1997-04-30	VYDAJ	VYBER	15	57954	SLUZBY	\N	\N
1241033	4245	1997-05-31	VYDAJ	VYBER	15	60197	SLUZBY	\N	\N
1241034	4245	1997-06-30	VYDAJ	VYBER	15	39583	SLUZBY	\N	\N
1241035	4245	1997-07-31	VYDAJ	VYBER	15	43552	SLUZBY	\N	\N
1241036	4245	1997-08-31	VYDAJ	VYBER	15	46233	SLUZBY	\N	\N
1241037	4245	1997-09-30	VYDAJ	VYBER	15	45922	SLUZBY	\N	\N
1241038	4245	1997-10-31	VYDAJ	VYBER	15	51018	SLUZBY	\N	\N
1241039	4245	1997-11-30	VYDAJ	VYBER	15	53227	SLUZBY	\N	\N
1241040	4245	1997-12-31	VYDAJ	VYBER	15	55978	SLUZBY	\N	\N
1241041	4245	1998-01-31	VYDAJ	VYBER	15	60212	SLUZBY	\N	\N
1241042	4245	1998-02-28	VYDAJ	VYBER	15	60150	SLUZBY	\N	\N
1241043	4245	1998-03-31	VYDAJ	VYBER	15	58890	SLUZBY	\N	\N
1241044	4245	1998-04-30	VYDAJ	VYBER	15	54210	SLUZBY	\N	\N
1241045	4245	1998-05-31	VYDAJ	VYBER	15	56531	SLUZBY	\N	\N
1241046	4245	1998-06-30	VYDAJ	VYBER	15	33644	SLUZBY	\N	\N
1241047	4245	1998-07-31	VYDAJ	VYBER	15	43499	SLUZBY	\N	\N
1241048	4245	1998-08-31	VYDAJ	VYBER	15	50788	SLUZBY	\N	\N
1241049	4245	1998-09-30	VYDAJ	VYBER	15	53493	SLUZBY	\N	\N
1241050	4245	1998-10-31	VYDAJ	VYBER	15	55407	SLUZBY	\N	\N
1241051	4245	1998-11-30	VYDAJ	VYBER	15	49957	SLUZBY	\N	\N
1241052	4245	1994-06-01	PRIJEM	VKLAD	3200	18990	\N	\N	\N
1241053	4245	1994-07-01	VYDAJ	VYBER	8800	33199	\N	\N	\N
1241054	4245	1994-07-31	VYDAJ	VYBER	13200	35430	\N	\N	\N
1241055	4245	1994-08-30	VYDAJ	VYBER	11000	39667	\N	\N	\N
1241056	4245	1994-09-29	VYDAJ	VYBER	9900	40619	\N	\N	\N
1241057	4245	1994-10-29	VYDAJ	VYBER	12100	39403	\N	\N	\N
1241058	4245	1994-11-28	VYDAJ	VYBER	10900	39390	\N	\N	\N
1241059	4245	1994-12-28	VYDAJ	VYBER	14400	39330	\N	\N	\N
1241060	4245	1995-01-27	VYDAJ	VYBER	12300	33009	\N	\N	\N
1241061	4245	1995-02-26	VYDAJ	VYBER	7100	36775	\N	\N	\N
1241062	4245	1995-03-28	VYDAJ	VYBER	11000	36630	\N	\N	\N
1241063	4245	1995-04-27	VYDAJ	VYBER	11300	36200	\N	\N	\N
1241064	4245	1995-05-27	VYDAJ	VYBER	7700	39368	\N	\N	\N
1241065	4245	1995-06-26	PRIJEM	VKLAD	3000	23374	\N	\N	\N
1241066	4245	1995-07-26	VYDAJ	VYBER KARTOU	800	33383	\N	\N	0
1241067	4245	1995-08-25	VYDAJ	VYBER	6100	34021	\N	\N	\N
1241068	4245	1995-09-24	VYDAJ	VYBER	6900	37967	\N	\N	\N
1241069	4245	1995-10-24	VYDAJ	VYBER	12500	36323	\N	\N	\N
1241070	4245	1995-11-23	VYDAJ	VYBER	7700	39490	\N	\N	\N
1241071	4245	1995-12-23	VYDAJ	VYBER	9900	40532	\N	\N	\N
1241072	4245	1996-01-22	VYDAJ	VYBER	6000	45406	\N	\N	\N
1241073	4245	1996-02-21	VYDAJ	VYBER	10200	46089	\N	\N	\N
1241074	4245	1996-03-22	VYDAJ	VYBER	9100	47886	\N	\N	\N
1241075	4245	1996-04-21	VYDAJ	VYBER	8400	49087	\N	\N	\N
1241076	4245	1996-05-21	VYDAJ	VYBER	12500	47494	\N	\N	\N
1241077	4245	1996-06-20	VYDAJ	VYBER	5900	43800	\N	\N	\N
1241078	4245	1996-07-20	VYDAJ	VYBER	6300	44397	\N	\N	\N
1241079	4245	1996-08-19	VYDAJ	VYBER KARTOU	4000	51282	\N	\N	0
1241080	4245	1996-09-18	VYDAJ	VYBER	8600	53581	\N	\N	\N
1241081	4245	1996-10-18	VYDAJ	VYBER	9300	55200	\N	\N	\N
1241082	4245	1996-11-17	VYDAJ	VYBER	9900	56228	\N	\N	\N
1241083	4245	1996-12-17	VYDAJ	VYBER	10000	60298	\N	\N	\N
1241084	4245	1997-01-16	VYDAJ	VYBER	13000	54248	\N	\N	\N
1241085	4245	1997-02-15	VYDAJ	VYBER	13000	52182	\N	\N	\N
1241086	4245	1997-03-17	VYDAJ	VYBER	7800	55301	\N	\N	\N
1241087	4245	1997-04-16	VYDAJ	VYBER	8500	57724	\N	\N	\N
1241088	4245	1997-05-16	VYDAJ	VYBER	8700	59957	\N	\N	\N
1241089	4245	1997-06-15	PRIJEM	VKLAD	2500	39419	\N	\N	\N
1241090	4245	1997-07-15	VYDAJ	VYBER	6900	43386	\N	\N	\N
1241091	4245	1997-08-14	VYDAJ	VYBER	8200	46055	\N	\N	\N
1241092	4245	1997-09-13	VYDAJ	VYBER	8400	48536	\N	\N	\N
1241093	4245	1997-10-13	VYDAJ	VYBER	4600	52025	\N	\N	\N
1241094	4245	1997-11-12	VYDAJ	VYBER	8700	53021	\N	\N	\N
1241095	4245	1997-12-12	VYDAJ	VYBER	9600	58549	\N	\N	\N
1241096	4245	1998-01-11	VYDAJ	VYBER	6700	59981	\N	\N	\N
1241097	4245	1998-02-10	VYDAJ	VYBER	11000	59915	\N	\N	\N
1241098	4245	1998-03-12	VYDAJ	VYBER	10300	60553	\N	\N	\N
1241099	4245	1998-04-11	VYDAJ	VYBER	15600	53993	\N	\N	\N
1241100	4245	1998-05-11	VYDAJ	VYBER	8600	56313	\N	\N	\N
1241101	4245	1998-06-10	VYDAJ	VYBER	13900	60953	\N	\N	\N
1241102	4245	1998-07-10	PRIJEM	VKLAD	4400	43347	\N	\N	\N
1241103	4245	1998-08-09	VYDAJ	VYBER KARTOU	3600	55136	\N	\N	0
1241104	4245	1998-09-08	VYDAJ	VYBER	8200	57825	\N	\N	\N
1241105	4245	1998-10-08	VYDAJ	VYBER	9000	59730	\N	\N	\N
1241106	4245	1998-11-07	VYDAJ	VYBER	10200	60444	\N	\N	\N
1241107	4245	1998-12-07	VYDAJ	VYBER	10800	62013	\N	\N	\N
1243178	4253	1996-01-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1243180	4253	1996-02-05	PRIJEM	PREVOD Z UCTU	41252	42252	\N	QR	53430867
1243181	4253	1996-03-05	PRIJEM	PREVOD Z UCTU	41252	73574	\N	QR	53430867
1243182	4253	1996-04-05	PRIJEM	PREVOD Z UCTU	41252	92901	\N	QR	53430867
1243183	4253	1996-05-05	PRIJEM	PREVOD Z UCTU	41252	100785	\N	QR	53430867
1243184	4253	1996-06-05	PRIJEM	PREVOD Z UCTU	61878	125820	\N	QR	53430867
1243185	4253	1996-07-05	PRIJEM	PREVOD Z UCTU	41252	94881	\N	QR	53430867
1243186	4253	1996-08-05	PRIJEM	PREVOD Z UCTU	41252	97230	\N	QR	53430867
1243187	4253	1996-09-05	PRIJEM	PREVOD Z UCTU	41252	92574	\N	QR	53430867
1243188	4253	1996-10-05	PRIJEM	PREVOD Z UCTU	41252	96811	\N	QR	53430867
1243189	4253	1996-11-05	PRIJEM	PREVOD Z UCTU	41252	102268	\N	QR	53430867
1243190	4253	1996-12-05	PRIJEM	PREVOD Z UCTU	61878	109183	\N	QR	53430867
1243191	4253	1997-01-05	PRIJEM	PREVOD Z UCTU	41252	87706	\N	QR	53430867
1243192	4253	1997-02-05	PRIJEM	PREVOD Z UCTU	41252	66523	\N	QR	53430867
1243193	4253	1997-03-05	PRIJEM	PREVOD Z UCTU	41252	92303	\N	QR	53430867
1243194	4253	1997-04-05	PRIJEM	PREVOD Z UCTU	41252	103654	\N	QR	53430867
1243195	4253	1997-05-05	PRIJEM	PREVOD Z UCTU	41252	65143	\N	QR	53430867
1243196	4253	1997-06-05	PRIJEM	PREVOD Z UCTU	61878	113251	\N	QR	53430867
1243197	4253	1997-07-05	PRIJEM	PREVOD Z UCTU	41252	89150	\N	QR	53430867
1243198	4253	1997-08-05	PRIJEM	PREVOD Z UCTU	41252	82951	\N	QR	53430867
1243199	4253	1997-09-05	PRIJEM	PREVOD Z UCTU	41252	92294	\N	QR	53430867
1243200	4253	1997-10-05	PRIJEM	PREVOD Z UCTU	41252	102048	\N	QR	53430867
1243201	4253	1997-11-05	PRIJEM	PREVOD Z UCTU	41252	106610	\N	QR	53430867
1243202	4253	1997-12-05	PRIJEM	PREVOD Z UCTU	61878	91883	\N	QR	53430867
1243203	4253	1998-01-05	PRIJEM	PREVOD Z UCTU	41252	77114	\N	QR	53430867
1243204	4253	1998-02-05	PRIJEM	PREVOD Z UCTU	41252	67854	\N	QR	53430867
1243205	4253	1998-03-05	PRIJEM	PREVOD Z UCTU	41252	90572	\N	QR	53430867
1243206	4253	1998-04-05	PRIJEM	PREVOD Z UCTU	41252	88474	\N	QR	53430867
1243207	4253	1998-05-05	PRIJEM	PREVOD Z UCTU	41252	95602	\N	QR	53430867
1243208	4253	1998-06-05	PRIJEM	PREVOD Z UCTU	61878	100360	\N	QR	53430867
1243209	4253	1998-07-05	PRIJEM	PREVOD Z UCTU	41252	98352	\N	QR	53430867
1243210	4253	1998-08-05	PRIJEM	PREVOD Z UCTU	41252	102423	\N	QR	53430867
1243211	4253	1998-09-05	PRIJEM	PREVOD Z UCTU	41252	101504	\N	QR	53430867
1243212	4253	1998-10-05	PRIJEM	PREVOD Z UCTU	41252	107886	\N	QR	53430867
1243213	4253	1998-11-05	PRIJEM	PREVOD Z UCTU	41252	104596	\N	QR	53430867
1243214	4253	1998-12-05	PRIJEM	PREVOD Z UCTU	61878	121024	\N	QR	53430867
1243256	4253	1996-06-08	VYDAJ	PREVOD NA UCET	7344	88076	SIPO	WX	66295969
1243257	4253	1996-07-08	VYDAJ	PREVOD NA UCET	7344	87537	SIPO	WX	66295969
1243258	4253	1996-08-08	VYDAJ	PREVOD NA UCET	7344	89886	SIPO	WX	66295969
1243259	4253	1996-09-08	VYDAJ	PREVOD NA UCET	7344	85230	SIPO	WX	66295969
1243260	4253	1996-10-08	VYDAJ	PREVOD NA UCET	7344	89467	SIPO	WX	66295969
1243261	4253	1996-11-08	VYDAJ	PREVOD NA UCET	7344	94924	SIPO	WX	66295969
1243262	4253	1996-12-08	VYDAJ	PREVOD NA UCET	7344	70839	SIPO	WX	66295969
1243263	4253	1997-01-08	VYDAJ	PREVOD NA UCET	7344	78562	SIPO	WX	66295969
1243264	4253	1997-02-08	VYDAJ	PREVOD NA UCET	7344	59179	SIPO	WX	66295969
1243265	4253	1997-03-08	VYDAJ	PREVOD NA UCET	7344	84959	SIPO	WX	66295969
1243266	4253	1997-04-08	VYDAJ	PREVOD NA UCET	7344	96310	SIPO	WX	66295969
1243267	4253	1997-05-08	VYDAJ	PREVOD NA UCET	7344	57799	SIPO	WX	66295969
1243268	4253	1997-06-08	VYDAJ	PREVOD NA UCET	7344	50607	SIPO	WX	66295969
1243269	4253	1997-07-08	VYDAJ	PREVOD NA UCET	7344	81806	SIPO	WX	66295969
1243270	4253	1997-08-08	VYDAJ	PREVOD NA UCET	7344	58607	SIPO	WX	66295969
1243271	4253	1997-09-08	VYDAJ	PREVOD NA UCET	7344	60550	SIPO	WX	66295969
1243272	4253	1997-10-08	VYDAJ	PREVOD NA UCET	7344	65104	SIPO	WX	66295969
1243273	4253	1997-11-08	VYDAJ	PREVOD NA UCET	7344	41166	SIPO	WX	66295969
1243274	4253	1997-12-08	VYDAJ	PREVOD NA UCET	7344	59439	SIPO	WX	66295969
1243275	4253	1998-01-08	VYDAJ	PREVOD NA UCET	7344	48270	SIPO	WX	66295969
1243276	4253	1998-02-08	VYDAJ	PREVOD NA UCET	7344	60510	SIPO	WX	66295969
1243277	4253	1998-03-08	VYDAJ	PREVOD NA UCET	7344	52428	SIPO	WX	66295969
1243278	4253	1998-04-08	VYDAJ	PREVOD NA UCET	7344	54130	SIPO	WX	66295969
1243279	4253	1998-05-08	VYDAJ	PREVOD NA UCET	7344	53358	SIPO	WX	66295969
1243280	4253	1998-06-08	VYDAJ	PREVOD NA UCET	7344	93016	SIPO	WX	66295969
1243281	4253	1998-07-08	VYDAJ	PREVOD NA UCET	7344	91008	SIPO	WX	66295969
1243282	4253	1998-08-08	VYDAJ	PREVOD NA UCET	7344	95079	SIPO	WX	66295969
1243283	4253	1998-09-08	VYDAJ	PREVOD NA UCET	7344	94160	SIPO	WX	66295969
1243284	4253	1998-10-08	VYDAJ	PREVOD NA UCET	7344	100542	SIPO	WX	66295969
1243285	4253	1998-11-08	VYDAJ	PREVOD NA UCET	7344	97252	SIPO	WX	66295969
1243286	4253	1998-12-08	VYDAJ	PREVOD NA UCET	7344	61480	SIPO	WX	66295969
1243287	4253	1996-11-27	VYBER	VYBER	11069	47055	\N	\N	\N
1243290	4253	1997-11-16	VYBER	VYBER	11318	29848	\N	\N	\N
1243291	4253	1997-04-18	VYBER	VYBER	19963	23722	\N	\N	\N
1243292	4253	1997-04-12	VYBER	VYBER	13725	43685	\N	\N	\N
1243293	4253	1997-07-12	VYBER	VYBER	17688	46918	\N	\N	\N
1243294	4253	1997-12-18	VYBER	VYBER	7857	51582	\N	\N	\N
1243295	4253	1998-07-02	VYBER	VYBER	3469	89900	\N	\N	\N
1243296	4253	1996-12-12	VYDAJ	VYBER	7200	46239	\N	\N	\N
1243297	4253	1997-12-18	VYDAJ	VYBER	3300	48282	\N	\N	\N
1243298	4253	1998-12-19	VYDAJ	VYBER KARTOU	2100	59380	\N	\N	0
1243305	4253	1997-01-26	VYDAJ	VYBER	6300	45762	\N	\N	\N
1243306	4253	1997-01-30	VYDAJ	VYBER	4500	25062	\N	\N	\N
1243307	4253	1997-01-18	VYDAJ	VYBER	3300	52062	\N	\N	\N
1243308	4253	1997-01-30	VYDAJ	VYBER	6600	29562	\N	\N	\N
1243309	4253	1997-01-06	VYDAJ	VYBER	1800	85906	\N	\N	\N
1243310	4253	1997-01-17	VYDAJ	VYBER	3000	55362	\N	\N	\N
1243311	4253	1998-01-20	VYDAJ	VYBER KARTOU	3900	23070	\N	\N	0
1243312	4253	1998-01-13	VYDAJ	VYBER	8100	30870	\N	\N	\N
1243313	4253	1998-01-02	VYDAJ	VYBER	2700	35862	\N	\N	\N
1243314	4253	1998-01-12	VYDAJ	VYBER	3900	38970	\N	\N	\N
1243315	4253	1998-01-12	VYDAJ	VYBER	5400	42870	\N	\N	\N
1243316	4253	1998-01-20	VYDAJ	VYBER KARTOU	3900	26970	\N	\N	0
1243317	4253	1996-08-18	VYDAJ	VYBER	10500	51086	\N	\N	\N
1243318	4253	1996-11-25	VYDAJ	VYBER	5400	58124	\N	\N	\N
1243321	4253	1996-06-10	VYDAJ	VYBER	13500	74576	\N	\N	\N
1243322	4253	1997-04-11	VYDAJ	VYBER	7500	57410	\N	\N	\N
1243323	4253	1997-07-15	VYDAJ	VYBER	5400	41518	\N	\N	\N
1243324	4253	1997-12-21	VYDAJ	VYBER	9900	38382	\N	\N	\N
1243325	4253	1997-09-04	VYDAJ	VYBER	7800	51042	\N	\N	\N
1243326	4253	1997-01-29	VYDAJ	VYBER	9600	36162	\N	\N	\N
1243327	4253	1998-08-26	VYDAJ	VYBER	9600	85479	\N	\N	\N
1243328	4253	1998-02-25	VYDAJ	VYBER	11400	49110	\N	\N	\N
1243329	4253	1998-03-20	VYDAJ	VYBER	5400	47028	\N	\N	\N
1243336	4253	1996-06-30	VYDAJ	VYBER	15	53629	SLUZBY	\N	\N
1243337	4253	1996-07-31	VYDAJ	VYBER	15	55978	SLUZBY	\N	\N
1243338	4253	1996-08-31	VYDAJ	VYBER	15	51322	SLUZBY	\N	\N
1243339	4253	1996-09-30	VYDAJ	VYBER	15	55559	SLUZBY	\N	\N
1243340	4253	1996-10-31	VYDAJ	VYBER	15	61016	SLUZBY	\N	\N
1243341	4253	1996-11-30	VYDAJ	VYBER	15	47305	SLUZBY	\N	\N
1243342	4253	1996-12-31	VYDAJ	VYBER	15	46454	SLUZBY	\N	\N
1243343	4253	1997-01-31	VYDAJ	VYBER	15	25271	SLUZBY	\N	\N
1243344	4253	1997-02-28	VYDAJ	VYBER	15	51051	SLUZBY	\N	\N
1243345	4253	1997-03-31	VYDAJ	VYBER	15	62402	SLUZBY	\N	\N
1243346	4253	1997-04-30	VYDAJ	VYBER	15	23891	SLUZBY	\N	\N
1243347	4253	1997-05-31	VYDAJ	VYBER	15	51373	SLUZBY	\N	\N
1243348	4253	1997-06-30	VYDAJ	VYBER	15	47898	SLUZBY	\N	\N
1243349	4253	1997-07-31	VYDAJ	VYBER	15	41699	SLUZBY	\N	\N
1243350	4253	1997-08-31	VYDAJ	VYBER	15	58842	SLUZBY	\N	\N
1243351	4253	1997-09-30	VYDAJ	VYBER	15	60796	SLUZBY	\N	\N
1243352	4253	1997-10-31	VYDAJ	VYBER	15	65358	SLUZBY	\N	\N
1243353	4253	1997-11-30	VYDAJ	VYBER	15	30005	SLUZBY	\N	\N
1243354	4253	1997-12-31	VYDAJ	VYBER	15	38562	SLUZBY	\N	\N
1243355	4253	1998-01-31	VYDAJ	VYBER	15	23202	SLUZBY	\N	\N
1243356	4253	1998-02-28	VYDAJ	VYBER	15	49320	SLUZBY	\N	\N
1243357	4253	1998-03-31	VYDAJ	VYBER	15	47222	SLUZBY	\N	\N
1243358	4253	1998-04-30	VYDAJ	VYBER	15	54350	SLUZBY	\N	\N
1243359	4253	1998-05-31	VYDAJ	VYBER	15	53582	SLUZBY	\N	\N
1243360	4253	1998-06-30	VYDAJ	VYBER	15	93369	SLUZBY	\N	\N
1243361	4253	1998-07-31	VYDAJ	VYBER	15	91371	SLUZBY	\N	\N
1243362	4253	1998-08-31	VYDAJ	VYBER	15	85852	SLUZBY	\N	\N
1243363	4253	1998-09-30	VYDAJ	VYBER	15	94534	SLUZBY	\N	\N
1243364	4253	1998-10-31	VYDAJ	VYBER	15	100944	SLUZBY	\N	\N
1243365	4253	1998-11-30	VYDAJ	VYBER	15	97646	SLUZBY	\N	\N
1243366	4253	1996-02-15	VYDAJ	VYBER	10000	32252	\N	\N	\N
1243367	4253	1996-03-16	VYDAJ	VYBER	22100	51474	\N	\N	\N
1243368	4253	1996-04-15	VYDAJ	VYBER	33600	59301	\N	\N	\N
1243369	4253	1996-05-15	VYDAJ	VYBER	37100	63685	\N	\N	\N
1243370	4253	1996-06-05	VYDAJ	VYBER	30400	95420	\N	\N	\N
1243371	4253	1996-06-14	VYDAJ	VYBER	21200	53376	\N	\N	\N
1243372	4253	1996-07-14	VYDAJ	VYBER	31800	55737	\N	\N	\N
1243373	4253	1996-08-13	VYDAJ	VYBER	28300	61586	\N	\N	\N
1243374	4253	1996-09-12	VYDAJ	VYBER	29900	55330	\N	\N	\N
1243375	4253	1996-10-12	VYDAJ	VYBER	28700	60767	\N	\N	\N
1243376	4253	1996-11-11	VYDAJ	VYBER	31400	63524	\N	\N	\N
1243377	4253	1996-12-05	VYDAJ	VYBER	31000	78183	\N	\N	\N
1243378	4253	1996-12-11	VYDAJ	VYBER	17400	53439	\N	\N	\N
1243379	4253	1997-01-10	VYDAJ	VYBER	20200	58362	\N	\N	\N
1243380	4253	1997-02-09	VYDAJ	VYBER	8300	50879	\N	\N	\N
1243381	4253	1997-03-11	VYDAJ	VYBER	22800	62159	\N	\N	\N
1243382	4253	1997-04-10	VYDAJ	VYBER	31400	64910	\N	\N	\N
1243383	4253	1997-05-10	VYDAJ	VYBER	6600	51199	\N	\N	\N
1243384	4253	1997-06-05	VYDAJ	VYBER	55300	57951	\N	\N	\N
1243385	4253	1997-06-09	VYDAJ	VYBER	2900	47707	\N	\N	\N
1243386	4253	1997-07-09	VYDAJ	VYBER	17200	64606	\N	\N	\N
1243387	4253	1997-08-08	VYDAJ	VYBER	17000	65951	\N	\N	\N
1243388	4253	1997-09-07	VYDAJ	VYBER	24400	67894	\N	\N	\N
1243389	4253	1997-10-07	VYDAJ	VYBER	29600	72448	\N	\N	\N
1243390	4253	1997-11-05	VYDAJ	VYBER	52000	54610	\N	\N	\N
1243391	4253	1997-11-06	VYDAJ	VYBER	6100	48510	\N	\N	\N
1243392	4253	1997-12-06	VYDAJ	VYBER	25100	66783	\N	\N	\N
1243393	4253	1998-01-05	VYDAJ	VYBER	21500	55614	\N	\N	\N
1243394	4253	1998-02-04	PRIJEM	VKLAD	3400	26602	\N	\N	\N
1243395	4253	1998-03-06	VYDAJ	VYBER	30800	59772	\N	\N	\N
1243396	4253	1998-04-05	VYDAJ	VYBER	27000	61474	\N	\N	\N
1243397	4253	1998-05-05	VYDAJ	VYBER	34900	60702	\N	\N	\N
1243398	4253	1998-06-04	VYDAJ	VYBER	15100	38482	\N	\N	\N
1243399	4253	1998-07-04	VYDAJ	VYBER	32800	57100	\N	\N	\N
1243400	4253	1998-08-03	VYDAJ	VYBER	30200	61171	\N	\N	\N
1243401	4253	1998-09-02	VYDAJ	VYBER	25600	60252	\N	\N	\N
1243402	4253	1998-10-02	VYDAJ	VYBER	27900	66634	\N	\N	\N
1243403	4253	1998-11-01	VYDAJ	VYBER	37600	63344	\N	\N	\N
1243404	4253	1998-12-01	VYDAJ	VYBER	38500	59146	\N	\N	\N
1243405	4253	1998-12-05	VYDAJ	VYBER	52200	68824	\N	\N	\N
1243441	4254	1993-05-04	PRIJEM	VKLAD	500	500	\N	\N	\N
1243442	4254	1993-11-17	PRIJEM	VKLAD	37788	79196	\N	\N	\N
1243443	4254	1993-11-11	PRIJEM	VKLAD	16162	39508	\N	\N	\N
1243444	4254	1994-10-29	PRIJEM	VKLAD	11007	36916	\N	\N	\N
1243445	4254	1994-11-30	PRIJEM	VKLAD	13938	46259	\N	\N	\N
1243446	4254	1995-11-17	PRIJEM	VKLAD	28231	51742	\N	\N	\N
1243447	4254	1995-07-20	PRIJEM	VKLAD	24132	51279	\N	\N	\N
1243448	4254	1996-02-22	PRIJEM	VKLAD	16595	36717	\N	\N	\N
1243449	4254	1996-11-19	PRIJEM	VKLAD	44966	62644	\N	\N	\N
1243450	4254	1997-10-16	PRIJEM	VKLAD	38095	59220	\N	\N	\N
1243451	4254	1997-08-08	PRIJEM	VKLAD	40396	57952	\N	\N	\N
1243452	4254	1998-02-22	PRIJEM	VKLAD	38336	55793	\N	\N	\N
1243453	4254	1998-09-02	PRIJEM	VKLAD	30863	51232	\N	\N	\N
1243458	4254	1993-05-17	PRIJEM	VKLAD	1900	2400	\N	\N	\N
1243459	4254	1993-06-17	PRIJEM	VKLAD	1900	14905	\N	\N	\N
1243460	4254	1993-07-15	PRIJEM	VKLAD	1900	23339	\N	\N	\N
1243461	4254	1993-08-16	PRIJEM	VKLAD	1900	25421	\N	\N	\N
1243462	4254	1993-09-15	PRIJEM	VKLAD	1900	25722	\N	\N	\N
1243463	4254	1993-10-15	PRIJEM	VKLAD	1900	24360	\N	\N	\N
1243464	4254	1993-11-13	PRIJEM	VKLAD	1900	41408	\N	\N	\N
1243465	4254	1993-12-17	PRIJEM	VKLAD	1900	50593	\N	\N	\N
1243466	4254	1994-01-14	PRIJEM	VKLAD	1900	22586	\N	\N	\N
1243467	4254	1994-02-14	PRIJEM	VKLAD	1900	26377	\N	\N	\N
1243468	4254	1994-03-16	PRIJEM	VKLAD	1900	26264	\N	\N	\N
1243469	4254	1994-04-14	PRIJEM	VKLAD	1900	26051	\N	\N	\N
1243470	4254	1994-05-14	PRIJEM	VKLAD	1900	23336	\N	\N	\N
1243471	4254	1994-06-16	PRIJEM	VKLAD	1900	25719	\N	\N	\N
1243472	4254	1994-07-17	PRIJEM	VKLAD	1900	24453	\N	\N	\N
1243473	4254	1994-08-14	PRIJEM	VKLAD	1900	23938	\N	\N	\N
1243474	4254	1994-09-13	PRIJEM	VKLAD	1900	27018	\N	\N	\N
1243475	4254	1994-10-15	PRIJEM	VKLAD	1900	29359	\N	\N	\N
1243476	4254	1994-11-16	PRIJEM	VKLAD	1900	37221	\N	\N	\N
1243477	4254	1994-12-15	PRIJEM	VKLAD	1900	45297	\N	\N	\N
1243478	4254	1995-01-14	PRIJEM	VKLAD	1900	33064	\N	\N	\N
1243479	4254	1995-02-17	PRIJEM	VKLAD	1900	28586	\N	\N	\N
1243480	4254	1995-03-14	PRIJEM	VKLAD	1900	29683	\N	\N	\N
1243481	4254	1995-04-14	PRIJEM	VKLAD	1900	27332	\N	\N	\N
1243482	4254	1995-05-17	PRIJEM	VKLAD	1900	26422	\N	\N	\N
1243483	4254	1995-06-14	PRIJEM	VKLAD	1900	22461	\N	\N	\N
1243484	4254	1995-07-17	PRIJEM	VKLAD	1900	27147	\N	\N	\N
1243485	4254	1995-08-16	PRIJEM	VKLAD	1900	37292	\N	\N	\N
1243486	4254	1995-09-14	PRIJEM	VKLAD	1900	31817	\N	\N	\N
1243487	4254	1995-10-16	PRIJEM	VKLAD	1900	26922	\N	\N	\N
1243488	4254	1995-11-13	PRIJEM	VKLAD	1900	23511	\N	\N	\N
1243489	4254	1995-12-15	PRIJEM	VKLAD	1900	38753	\N	\N	\N
1243490	4254	1996-01-15	PRIJEM	VKLAD	1900	23682	\N	\N	\N
1243491	4254	1996-02-16	PRIJEM	VKLAD	1900	22422	\N	\N	\N
1243492	4254	1996-03-16	PRIJEM	VKLAD	1900	38706	\N	\N	\N
1243493	4254	1996-04-14	PRIJEM	VKLAD	1900	26221	\N	\N	\N
1243494	4254	1996-05-15	PRIJEM	VKLAD	1900	21450	\N	\N	\N
1243495	4254	1996-06-14	PRIJEM	VKLAD	1900	19263	\N	\N	\N
1243496	4254	1996-07-13	PRIJEM	VKLAD	1900	17415	\N	\N	\N
1243497	4254	1996-08-16	PRIJEM	VKLAD	1900	16562	\N	\N	\N
1243498	4254	1996-09-17	PRIJEM	VKLAD	1900	18515	\N	\N	\N
1243499	4254	1996-10-14	PRIJEM	VKLAD	1900	20475	\N	\N	\N
1243500	4254	1996-11-14	PRIJEM	VKLAD	1900	16878	\N	\N	\N
1243501	4254	1996-12-17	PRIJEM	VKLAD	1900	39871	\N	\N	\N
1243502	4254	1997-01-15	PRIJEM	VKLAD	1900	30210	\N	\N	\N
1243503	4254	1997-02-15	PRIJEM	VKLAD	1900	21820	\N	\N	\N
1243504	4254	1997-03-16	PRIJEM	VKLAD	1900	19587	\N	\N	\N
1243505	4254	1997-04-15	PRIJEM	VKLAD	1900	23154	\N	\N	\N
1243506	4254	1997-05-15	PRIJEM	VKLAD	1900	20427	\N	\N	\N
1243507	4254	1997-06-15	PRIJEM	VKLAD	1900	16801	\N	\N	\N
1243508	4254	1997-07-13	PRIJEM	VKLAD	1900	17508	\N	\N	\N
1243509	4254	1997-08-14	PRIJEM	VKLAD	1900	30152	\N	\N	\N
1243510	4254	1997-09-13	PRIJEM	VKLAD	1900	19143	\N	\N	\N
1243511	4254	1997-10-15	PRIJEM	VKLAD	1900	21125	\N	\N	\N
1243512	4254	1997-11-13	PRIJEM	VKLAD	1900	32169	\N	\N	\N
1243513	4254	1997-12-15	PRIJEM	VKLAD	1900	15431	\N	\N	\N
1243514	4254	1998-01-15	PRIJEM	VKLAD	1900	17410	\N	\N	\N
1243515	4254	1998-02-17	PRIJEM	VKLAD	1900	17457	\N	\N	\N
1243516	4254	1998-03-16	PRIJEM	VKLAD	1900	28089	\N	\N	\N
1243517	4254	1998-04-13	PRIJEM	VKLAD	1900	26340	\N	\N	\N
1243518	4254	1998-05-14	PRIJEM	VKLAD	1900	16524	\N	\N	\N
1243519	4254	1998-06-17	PRIJEM	VKLAD	1900	18493	\N	\N	\N
1243520	4254	1998-07-17	PRIJEM	VKLAD	1900	19896	\N	\N	\N
1243521	4254	1998-08-16	PRIJEM	VKLAD	1900	21853	\N	\N	\N
1243522	4254	1998-09-15	PRIJEM	VKLAD	1900	24032	\N	\N	\N
1243523	4254	1998-10-15	PRIJEM	VKLAD	1900	24259	\N	\N	\N
1243524	4254	1998-11-17	PRIJEM	VKLAD	1900	26242	\N	\N	\N
1243525	4254	1998-12-13	PRIJEM	VKLAD	1900	27426	\N	\N	\N
1243530	4254	1997-06-11	VYDAJ	VYBER	5100	14901	\N	\N	\N
1243533	4254	1994-01-08	VYDAJ	VYBER	7500	20686	\N	\N	\N
1243534	4254	1995-01-19	VYDAJ	VYBER	2900	30164	\N	\N	\N
1243536	4254	1997-01-22	VYDAJ	VYBER	6600	18910	\N	\N	\N
1243540	4254	1995-06-12	VYDAJ	VYBER	3800	20561	\N	\N	\N
1243545	4254	1994-01-03	VYDAJ	VYBER	7400	28186	\N	\N	\N
1243546	4254	1995-01-11	VYDAJ	VYBER	6400	31164	\N	\N	\N
1243547	4254	1996-01-01	VYDAJ	VYBER	8400	21782	\N	\N	\N
1243548	4254	1997-01-15	VYDAJ	VYBER	4700	25510	\N	\N	\N
1243550	4254	1993-12-15	VYDAJ	VYBER	2200	48693	\N	\N	\N
1243551	4254	1994-12-13	VYDAJ	VYBER	1600	43397	\N	\N	\N
1243552	4254	1995-12-05	VYDAJ	VYBER	500	36853	\N	\N	\N
1243553	4254	1996-12-04	VYDAJ	VYBER	2200	60571	\N	\N	\N
1243555	4254	1998-12-20	VYDAJ	VYBER	2500	24926	\N	\N	\N
1243556	4254	1993-09-16	VYDAJ	VYBER	2050	23672	\N	\N	\N
1243561	4254	1994-10-08	VYDAJ	VYBER	450	27459	\N	\N	\N
1243562	4254	1994-05-03	VYDAJ	VYBER	1700	21436	\N	\N	\N
1243563	4254	1994-10-19	VYDAJ	VYBER	1550	27809	\N	\N	\N
1243564	4254	1994-07-11	VYDAJ	VYBER	1550	22553	\N	\N	\N
1243565	4254	1994-12-07	VYDAJ	VYBER	1400	44997	\N	\N	\N
1243566	4254	1994-11-04	VYDAJ	VYBER	1700	35321	\N	\N	\N
1243567	4254	1995-06-01	VYDAJ	VYBER	1750	24361	\N	\N	\N
1243568	4254	1995-03-26	VYDAJ	VYBER	2450	25333	\N	\N	\N
1243569	4254	1995-10-14	VYDAJ	VYBER	1800	25022	\N	\N	\N
1243570	4254	1995-07-29	VYDAJ	VYBER	400	35279	\N	\N	\N
1243571	4254	1996-05-15	VYDAJ	VYBER	850	20600	\N	\N	\N
1243572	4254	1996-10-15	VYDAJ	VYBER	1350	14925	\N	\N	\N
1243573	4254	1996-05-12	VYDAJ	VYBER	550	19550	\N	\N	\N
1243574	4254	1996-01-22	VYDAJ	VYBER	750	20432	\N	\N	\N
1243575	4254	1996-04-20	VYDAJ	VYBER	1000	20021	\N	\N	\N
1243576	4254	1997-01-08	VYDAJ	VYBER	550	39510	\N	\N	\N
1243577	4254	1997-06-08	VYDAJ	VYBER	500	20001	\N	\N	\N
1243578	4254	1997-02-25	VYDAJ	VYBER	1600	20220	\N	\N	\N
1243579	4254	1997-06-27	VYDAJ	VYBER	1250	15551	\N	\N	\N
1243580	4254	1998-02-11	VYDAJ	VYBER	1900	15557	\N	\N	\N
1243581	4254	1998-11-20	VYDAJ	VYBER	800	25442	\N	\N	\N
1243582	4254	1998-12-28	VYDAJ	VYBER	2250	22676	\N	\N	\N
1243583	4254	1998-03-29	VYDAJ	VYBER	1850	24289	\N	\N	\N
1243584	4254	1998-03-18	VYDAJ	VYBER	1950	26139	\N	\N	\N
1243585	4254	1998-06-21	VYDAJ	VYBER	550	17943	\N	\N	\N
1243586	4254	1998-10-05	VYDAJ	VYBER	1750	22359	\N	\N	\N
1243587	4254	1998-08-30	VYDAJ	VYBER	1550	20303	\N	\N	\N
1243597	4254	1993-09-30	VYDAJ	VYBER	15	23760	SLUZBY	\N	\N
1243598	4254	1993-10-31	VYDAJ	VYBER	15	24446	SLUZBY	\N	\N
1243599	4254	1993-11-30	VYDAJ	VYBER	15	50893	SLUZBY	\N	\N
1243600	4254	1993-12-31	VYDAJ	VYBER	15	35586	SLUZBY	\N	\N
1243601	4254	1994-01-31	VYDAJ	VYBER	15	24477	SLUZBY	\N	\N
1243602	4254	1994-02-28	VYDAJ	VYBER	15	24364	SLUZBY	\N	\N
1243603	4254	1994-03-31	VYDAJ	VYBER	15	24151	SLUZBY	\N	\N
1243604	4254	1994-04-30	VYDAJ	VYBER	15	23136	SLUZBY	\N	\N
1243605	4254	1994-05-31	VYDAJ	VYBER	15	23819	SLUZBY	\N	\N
1243606	4254	1994-06-30	VYDAJ	VYBER	15	24103	SLUZBY	\N	\N
1243607	4254	1994-07-31	VYDAJ	VYBER	15	22038	SLUZBY	\N	\N
1243608	4254	1994-08-31	VYDAJ	VYBER	15	25118	SLUZBY	\N	\N
1243609	4254	1994-09-30	VYDAJ	VYBER	15	27909	SLUZBY	\N	\N
1243610	4254	1994-10-31	VYDAJ	VYBER	15	37021	SLUZBY	\N	\N
1243611	4254	1994-11-30	VYDAJ	VYBER	15	46397	SLUZBY	\N	\N
1243612	4254	1994-12-31	VYDAJ	VYBER	15	37564	SLUZBY	\N	\N
1243613	4254	1995-01-31	VYDAJ	VYBER	15	26686	SLUZBY	\N	\N
1243614	4254	1995-02-28	VYDAJ	VYBER	15	27783	SLUZBY	\N	\N
1243615	4254	1995-03-31	VYDAJ	VYBER	15	25432	SLUZBY	\N	\N
1243616	4254	1995-04-30	VYDAJ	VYBER	15	24522	SLUZBY	\N	\N
1243617	4254	1995-05-31	VYDAJ	VYBER	15	26111	SLUZBY	\N	\N
1243618	4254	1995-06-30	VYDAJ	VYBER	15	25247	SLUZBY	\N	\N
1243619	4254	1995-07-31	VYDAJ	VYBER	15	35392	SLUZBY	\N	\N
1243620	4254	1995-08-31	VYDAJ	VYBER	15	29917	SLUZBY	\N	\N
1243621	4254	1995-09-30	VYDAJ	VYBER	15	26822	SLUZBY	\N	\N
1243622	4254	1995-10-31	VYDAJ	VYBER	15	21611	SLUZBY	\N	\N
1243623	4254	1995-11-30	VYDAJ	VYBER	15	37353	SLUZBY	\N	\N
1243624	4254	1995-12-31	VYDAJ	VYBER	15	30182	SLUZBY	\N	\N
1243625	4254	1996-01-31	VYDAJ	VYBER	15	20522	SLUZBY	\N	\N
1243626	4254	1996-02-29	VYDAJ	VYBER	15	36806	SLUZBY	\N	\N
1243627	4254	1996-03-31	VYDAJ	VYBER	15	24321	SLUZBY	\N	\N
1243628	4254	1996-04-30	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
1243629	4254	1996-05-31	VYDAJ	VYBER	15	17363	SLUZBY	\N	\N
1243630	4254	1996-06-30	VYDAJ	VYBER	15	15515	SLUZBY	\N	\N
1243631	4254	1996-07-31	VYDAJ	VYBER	15	14662	SLUZBY	\N	\N
1243632	4254	1996-08-31	VYDAJ	VYBER	15	18015	SLUZBY	\N	\N
1243633	4254	1996-09-30	VYDAJ	VYBER	15	18575	SLUZBY	\N	\N
1243634	4254	1996-10-31	VYDAJ	VYBER	15	14978	SLUZBY	\N	\N
1243635	4254	1996-11-30	VYDAJ	VYBER	15	62771	SLUZBY	\N	\N
1243636	4254	1996-12-31	VYDAJ	VYBER	15	40060	SLUZBY	\N	\N
1243637	4254	1997-01-31	VYDAJ	VYBER	15	19020	SLUZBY	\N	\N
1243638	4254	1997-02-28	VYDAJ	VYBER	15	20287	SLUZBY	\N	\N
1243639	4254	1997-03-31	VYDAJ	VYBER	15	19654	SLUZBY	\N	\N
1243640	4254	1997-04-30	VYDAJ	VYBER	15	23227	SLUZBY	\N	\N
1243641	4254	1997-05-31	VYDAJ	VYBER	15	20501	SLUZBY	\N	\N
1243642	4254	1997-06-30	VYDAJ	VYBER	15	15608	SLUZBY	\N	\N
1243643	4254	1997-07-31	VYDAJ	VYBER	15	17556	SLUZBY	\N	\N
1243644	4254	1997-08-31	VYDAJ	VYBER	15	30243	SLUZBY	\N	\N
1243645	4254	1997-09-30	VYDAJ	VYBER	15	19225	SLUZBY	\N	\N
1243646	4254	1997-10-31	VYDAJ	VYBER	15	59369	SLUZBY	\N	\N
1243647	4254	1997-11-30	VYDAJ	VYBER	15	32331	SLUZBY	\N	\N
1243648	4254	1997-12-31	VYDAJ	VYBER	15	15510	SLUZBY	\N	\N
1243649	4254	1998-01-31	VYDAJ	VYBER	15	17457	SLUZBY	\N	\N
1243650	4254	1998-02-28	VYDAJ	VYBER	15	55889	SLUZBY	\N	\N
1243651	4254	1998-03-31	VYDAJ	VYBER	15	24440	SLUZBY	\N	\N
1243652	4254	1998-04-30	VYDAJ	VYBER	15	26424	SLUZBY	\N	\N
1243653	4254	1998-05-31	VYDAJ	VYBER	15	16593	SLUZBY	\N	\N
1243654	4254	1998-06-30	VYDAJ	VYBER	15	17996	SLUZBY	\N	\N
1243655	4254	1998-07-31	VYDAJ	VYBER	15	19953	SLUZBY	\N	\N
1243656	4254	1998-08-31	VYDAJ	VYBER	15	20369	SLUZBY	\N	\N
1243657	4254	1998-09-30	VYDAJ	VYBER	15	24109	SLUZBY	\N	\N
1243658	4254	1998-10-31	VYDAJ	VYBER	15	24342	SLUZBY	\N	\N
1243659	4254	1998-11-30	VYDAJ	VYBER	15	25526	SLUZBY	\N	\N
1243660	4254	1993-06-03	PRIJEM	VKLAD	10600	13005	\N	\N	\N
1243661	4254	1993-07-03	PRIJEM	VKLAD	6500	21439	\N	\N	\N
1243662	4254	1993-08-02	PRIJEM	VKLAD	100	23521	\N	\N	\N
1243663	4254	1993-09-01	VYDAJ	VYBER	1700	23822	\N	\N	\N
1243664	4254	1993-10-01	VYDAJ	VYBER	1300	22460	\N	\N	\N
1243665	4254	1993-10-31	VYDAJ	VYBER	1100	23346	\N	\N	\N
1243666	4254	1993-11-30	VYDAJ	VYBER	28500	50908	\N	\N	\N
1243667	4254	1993-12-30	VYDAJ	VYBER	15200	35393	\N	\N	\N
1243668	4254	1994-01-29	PRIJEM	VKLAD	1800	24386	\N	\N	\N
1243669	4254	1994-02-28	VYDAJ	VYBER	2100	24379	\N	\N	\N
1243670	4254	1994-03-30	VYDAJ	VYBER	2200	24064	\N	\N	\N
1243671	4254	1994-04-29	VYDAJ	VYBER	3000	23051	\N	\N	\N
1243672	4254	1994-05-29	PRIJEM	VKLAD	400	23736	\N	\N	\N
1243673	4254	1994-06-28	VYDAJ	VYBER	1700	24019	\N	\N	\N
1243674	4254	1994-07-28	VYDAJ	VYBER	2500	21953	\N	\N	\N
1243675	4254	1994-08-27	PRIJEM	VKLAD	1100	25038	\N	\N	\N
1243676	4254	1994-09-26	PRIJEM	VKLAD	800	27818	\N	\N	\N
1243677	4254	1994-10-26	VYDAJ	VYBER	1900	25909	\N	\N	\N
1243678	4254	1994-11-25	VYDAJ	VYBER	4900	32321	\N	\N	\N
1243679	4254	1994-12-25	VYDAJ	VYBER	7900	37397	\N	\N	\N
1243680	4254	1995-01-24	VYDAJ	VYBER	3600	26564	\N	\N	\N
1243681	4254	1995-02-23	VYDAJ	VYBER	900	27686	\N	\N	\N
1243682	4254	1995-03-25	VYDAJ	VYBER	1900	27783	\N	\N	\N
1243683	4254	1995-04-24	VYDAJ	VYBER	2900	24432	\N	\N	\N
1243684	4254	1995-05-24	VYDAJ	VYBER	400	26022	\N	\N	\N
1243685	4254	1995-06-23	PRIJEM	VKLAD	2700	25161	\N	\N	\N
1243686	4254	1995-07-23	VYDAJ	VYBER	15600	35679	\N	\N	\N
1243687	4254	1995-08-22	VYDAJ	VYBER	7500	29792	\N	\N	\N
1243688	4254	1995-09-21	VYDAJ	VYBER	5100	26717	\N	\N	\N
1243689	4254	1995-10-21	VYDAJ	VYBER	5400	21522	\N	\N	\N
1243690	4254	1995-11-20	VYDAJ	VYBER	14500	37242	\N	\N	\N
1243691	4254	1995-12-20	VYDAJ	VYBER	8700	30053	\N	\N	\N
1243692	4254	1996-01-19	VYDAJ	VYBER	2500	21182	\N	\N	\N
1243693	4254	1996-02-18	VYDAJ	VYBER	2300	20122	\N	\N	\N
1243694	4254	1996-03-19	VYDAJ	VYBER	14500	24206	\N	\N	\N
1243695	4254	1996-04-18	VYDAJ	VYBER	5200	21021	\N	\N	\N
1243696	4254	1996-05-18	VYDAJ	VYBER	3300	17300	\N	\N	\N
1243697	4254	1996-06-17	VYDAJ	VYBER	3800	15463	\N	\N	\N
1243698	4254	1996-07-17	VYDAJ	VYBER	2800	14615	\N	\N	\N
1243699	4254	1996-08-16	PRIJEM	VKLAD	1400	17962	\N	\N	\N
1243700	4254	1996-09-15	VYDAJ	VYBER	1400	16615	\N	\N	\N
1243701	4254	1996-10-15	VYDAJ	VYBER	4200	16275	\N	\N	\N
1243702	4254	1996-11-14	PRIJEM	VKLAD	800	17678	\N	\N	\N
1243703	4254	1996-12-14	VYDAJ	VYBER	22600	37971	\N	\N	\N
1243704	4254	1997-01-13	VYDAJ	VYBER	11200	28310	\N	\N	\N
1243705	4254	1997-02-12	PRIJEM	VKLAD	900	19920	\N	\N	\N
1243706	4254	1997-03-14	VYDAJ	VYBER	2600	17687	\N	\N	\N
1243707	4254	1997-04-13	PRIJEM	VKLAD	1600	21254	\N	\N	\N
1243708	4254	1997-05-13	VYDAJ	VYBER	4700	18527	\N	\N	\N
1243709	4254	1997-08-11	VYDAJ	VYBER	29700	28252	\N	\N	\N
1243710	4254	1997-09-10	VYDAJ	VYBER	13000	17243	\N	\N	\N
1243711	4254	1997-11-09	VYDAJ	VYBER	29100	30269	\N	\N	\N
1243712	4254	1997-12-09	VYDAJ	VYBER	18800	13531	\N	\N	\N
1243713	4254	1998-03-09	VYDAJ	VYBER	29700	26189	\N	\N	\N
1243714	4254	1998-05-08	VYDAJ	VYBER	11800	14624	\N	\N	\N
1243715	4254	1998-09-05	VYDAJ	VYBER	29100	22132	\N	\N	\N
1243784	4255	1993-11-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1243795	4255	1993-11-14	PRIJEM	PREVOD Z UCTU	34430	35330	\N	OP	60737144
1243796	4255	1993-12-14	PRIJEM	PREVOD Z UCTU	51645	80758	\N	OP	60737144
1243797	4255	1994-01-14	PRIJEM	PREVOD Z UCTU	34430	89046	\N	OP	60737144
1243798	4255	1994-02-14	PRIJEM	PREVOD Z UCTU	34430	93432	\N	OP	60737144
1243799	4255	1994-03-14	PRIJEM	PREVOD Z UCTU	34430	92343	\N	OP	60737144
1243800	4255	1994-04-14	PRIJEM	PREVOD Z UCTU	34430	87776	\N	OP	60737144
1243801	4255	1994-05-14	PRIJEM	PREVOD Z UCTU	34430	81030	\N	OP	60737144
1243802	4255	1994-06-14	PRIJEM	PREVOD Z UCTU	51645	94462	\N	OP	60737144
1243803	4255	1994-07-14	PRIJEM	PREVOD Z UCTU	34430	94185	\N	OP	60737144
1243804	4255	1994-08-14	PRIJEM	PREVOD Z UCTU	34430	87062	\N	OP	60737144
1243805	4255	1994-09-14	PRIJEM	PREVOD Z UCTU	34430	89513	\N	OP	60737144
1243806	4255	1994-10-14	PRIJEM	PREVOD Z UCTU	34430	77526	\N	OP	60737144
1243807	4255	1994-11-14	PRIJEM	PREVOD Z UCTU	34430	80138	\N	OP	60737144
1243808	4255	1994-12-14	PRIJEM	PREVOD Z UCTU	51645	109146	\N	OP	60737144
1243809	4255	1995-01-14	PRIJEM	PREVOD Z UCTU	34430	92838	\N	OP	60737144
1243810	4255	1995-02-14	PRIJEM	PREVOD Z UCTU	34430	84347	\N	OP	60737144
1243811	4255	1995-03-14	PRIJEM	PREVOD Z UCTU	34430	91261	\N	OP	60737144
1243812	4255	1995-04-14	PRIJEM	PREVOD Z UCTU	34430	92918	\N	OP	60737144
1243813	4255	1995-05-14	PRIJEM	PREVOD Z UCTU	34430	97193	\N	OP	60737144
1243814	4255	1995-06-14	PRIJEM	PREVOD Z UCTU	51645	120306	\N	OP	60737144
1243815	4255	1995-07-14	PRIJEM	PREVOD Z UCTU	34430	79400	\N	OP	60737144
1243816	4255	1995-08-14	PRIJEM	PREVOD Z UCTU	34430	81876	\N	OP	60737144
1243817	4255	1995-09-14	PRIJEM	PREVOD Z UCTU	34430	85261	\N	OP	60737144
1243818	4255	1995-10-14	PRIJEM	PREVOD Z UCTU	34430	83658	\N	OP	60737144
1243819	4255	1995-11-14	PRIJEM	PREVOD Z UCTU	34430	84985	\N	OP	60737144
1243820	4255	1995-12-14	PRIJEM	PREVOD Z UCTU	51645	78816	\N	OP	60737144
1243821	4255	1996-01-14	PRIJEM	PREVOD Z UCTU	34430	61955	\N	OP	60737144
1243822	4255	1996-02-14	PRIJEM	PREVOD Z UCTU	34430	71456	\N	OP	60737144
1243823	4255	1996-03-14	PRIJEM	PREVOD Z UCTU	34430	91019	\N	OP	60737144
1243824	4255	1996-04-14	PRIJEM	PREVOD Z UCTU	34430	95863	\N	OP	60737144
1243825	4255	1996-05-14	PRIJEM	PREVOD Z UCTU	34430	101639	\N	OP	60737144
1243826	4255	1996-06-14	PRIJEM	PREVOD Z UCTU	51645	126339	\N	OP	60737144
1243827	4255	1996-07-14	PRIJEM	PREVOD Z UCTU	34430	79812	\N	OP	60737144
1243828	4255	1996-08-14	PRIJEM	PREVOD Z UCTU	34430	82068	\N	OP	60737144
1243829	4255	1996-09-14	PRIJEM	PREVOD Z UCTU	34430	98982	\N	OP	60737144
1243830	4255	1996-10-14	PRIJEM	PREVOD Z UCTU	34430	101902	\N	OP	60737144
1243831	4255	1996-11-14	PRIJEM	PREVOD Z UCTU	34430	110846	\N	OP	60737144
1243832	4255	1996-12-14	PRIJEM	PREVOD Z UCTU	51645	128338	\N	OP	60737144
1243833	4255	1997-01-14	PRIJEM	PREVOD Z UCTU	34430	62864	\N	OP	60737144
1243834	4255	1997-02-14	PRIJEM	PREVOD Z UCTU	34430	79845	\N	OP	60737144
1243835	4255	1997-03-14	PRIJEM	PREVOD Z UCTU	34430	99256	\N	OP	60737144
1243836	4255	1997-04-14	PRIJEM	PREVOD Z UCTU	34430	108034	\N	OP	60737144
1243837	4255	1997-05-14	PRIJEM	PREVOD Z UCTU	34430	112843	\N	OP	60737144
1243838	4255	1997-06-14	PRIJEM	PREVOD Z UCTU	51645	80984	\N	OP	60737144
1243839	4255	1997-07-14	PRIJEM	PREVOD Z UCTU	34430	98597	\N	OP	60737144
1243840	4255	1997-08-14	PRIJEM	PREVOD Z UCTU	34430	103733	\N	OP	60737144
1243841	4255	1997-09-14	PRIJEM	PREVOD Z UCTU	34430	114763	\N	OP	60737144
1243842	4255	1997-10-14	PRIJEM	PREVOD Z UCTU	34430	99596	\N	OP	60737144
1243843	4255	1997-11-14	PRIJEM	PREVOD Z UCTU	34430	118898	\N	OP	60737144
1243844	4255	1997-12-14	PRIJEM	PREVOD Z UCTU	51645	144560	\N	OP	60737144
1243845	4255	1998-01-14	PRIJEM	PREVOD Z UCTU	34430	90918	\N	OP	60737144
1243846	4255	1998-02-14	PRIJEM	PREVOD Z UCTU	34430	107763	\N	OP	60737144
1243847	4255	1998-03-14	PRIJEM	PREVOD Z UCTU	34430	108854	\N	OP	60737144
1243848	4255	1998-04-14	PRIJEM	PREVOD Z UCTU	34430	104872	\N	OP	60737144
1243849	4255	1998-05-14	PRIJEM	PREVOD Z UCTU	34430	123238	\N	OP	60737144
1243850	4255	1998-06-14	PRIJEM	PREVOD Z UCTU	51645	94080	\N	OP	60737144
1243851	4255	1998-07-14	PRIJEM	PREVOD Z UCTU	34430	95356	\N	OP	60737144
1243852	4255	1998-08-14	PRIJEM	PREVOD Z UCTU	34430	100418	\N	OP	60737144
1243853	4255	1998-09-14	PRIJEM	PREVOD Z UCTU	34430	112446	\N	OP	60737144
1243854	4255	1998-10-14	PRIJEM	PREVOD Z UCTU	34430	128467	\N	OP	60737144
1243855	4255	1998-11-14	PRIJEM	PREVOD Z UCTU	34430	107860	\N	OP	60737144
1243856	4255	1998-12-14	PRIJEM	PREVOD Z UCTU	51645	118231	\N	OP	60737144
1243861	4255	1994-09-21	VYBER	VYBER	23914	59299	\N	\N	\N
1243862	4255	1994-05-10	VYBER	VYBER	5376	46600	\N	\N	\N
1243863	4255	1994-04-04	VYBER	VYBER	7454	85246	\N	\N	\N
1243864	4255	1994-10-27	VYBER	VYBER	16863	57363	\N	\N	\N
1243865	4255	1994-07-31	VYBER	VYBER	6398	80662	\N	\N	\N
1243866	4255	1995-11-26	VYBER	VYBER	21079	63906	\N	\N	\N
1243867	4255	1995-09-26	VYBER	VYBER	13290	71971	\N	\N	\N
1243868	4255	1995-10-29	VYBER	VYBER	17250	66408	\N	\N	\N
1243869	4255	1995-06-16	VYBER	VYBER	17927	79479	\N	\N	\N
1243870	4255	1995-12-02	VYBER	VYBER	19816	27171	\N	\N	\N
1243871	4255	1996-12-25	VYBER	VYBER	19886	36552	\N	\N	\N
1243873	4255	1996-12-06	VYBER	VYBER	2080	76693	\N	\N	\N
1243874	4255	1996-07-26	VYBER	VYBER	15135	47477	\N	\N	\N
1243875	4255	1996-10-12	VYBER	VYBER	8159	67472	\N	\N	\N
1243876	4255	1997-07-17	VYBER	VYBER	15568	83029	\N	\N	\N
1243877	4255	1997-09-14	VYBER	VYBER	6185	108578	\N	\N	\N
1243878	4255	1997-11-28	VYBER	VYBER	2219	92579	\N	\N	\N
1243880	4255	1998-01-18	VYBER	VYBER	3654	80264	\N	\N	\N
1243881	4255	1998-05-24	VYBER	VYBER	7971	60733	\N	\N	\N
1243882	4255	1998-04-07	VYBER	VYBER	4646	70442	\N	\N	\N
1243883	4255	1998-05-17	VYBER	VYBER	20634	68704	\N	\N	\N
1243884	4255	1998-03-11	VYBER	VYBER	14268	74424	\N	\N	\N
1243885	4255	1998-09-07	VYBER	VYBER	19156	72816	\N	\N	\N
1243886	4255	1998-11-24	VYBER	VYBER	13241	94619	\N	\N	\N
1243887	4255	1998-02-25	VYBER	VYBER	5380	88383	\N	\N	\N
1243888	4255	1998-11-30	VYBER	VYBER	9526	75516	\N	\N	\N
1243889	4255	1998-08-12	VYBER	VYBER	19356	65988	\N	\N	\N
1243890	4255	1998-11-28	VYBER	VYBER	9944	84675	\N	\N	\N
1243891	4255	1998-04-02	VYBER	VYBER	21823	75088	\N	\N	\N
1243893	4255	1994-06-06	VYDAJ	VYBER	22800	56417	\N	\N	\N
1243894	4255	1995-06-18	VYDAJ	VYBER	29400	50079	\N	\N	\N
1243895	4255	1996-06-23	VYDAJ	VYBER	27600	42539	\N	\N	\N
1243896	4255	1997-06-03	VYDAJ	VYBER	51300	29339	\N	\N	\N
1243897	4255	1998-06-08	VYDAJ	VYBER	18600	42435	\N	\N	\N
1243899	4255	1994-12-22	VYDAJ	VYBER	8700	100446	\N	\N	\N
1243900	4255	1995-12-15	VYDAJ	VYBER	5100	73716	\N	\N	\N
1243901	4255	1996-12-21	VYDAJ	VYBER	8700	60138	\N	\N	\N
1243902	4255	1997-12-21	VYDAJ	VYBER	7800	79260	\N	\N	\N
1243903	4255	1998-12-04	VYDAJ	VYBER KARTOU	6300	61686	\N	\N	0
1243916	4255	1995-01-25	VYDAJ	VYBER	8400	76338	\N	\N	\N
1243917	4255	1995-01-30	VYDAJ	VYBER	7200	69138	\N	\N	\N
1243918	4255	1995-01-02	VYDAJ	VYBER	3600	97208	\N	\N	\N
1243919	4255	1995-01-08	VYDAJ	VYBER	4500	58408	\N	\N	\N
1243920	4255	1995-01-06	VYDAJ	VYBER	1800	62908	\N	\N	\N
1243921	4255	1995-01-16	VYDAJ	VYBER	8100	84738	\N	\N	\N
1243922	4255	1996-01-02	VYDAJ	VYBER	5700	43125	\N	\N	\N
1243923	4255	1996-01-28	VYDAJ	VYBER	3000	40755	\N	\N	\N
1243924	4255	1996-01-30	VYDAJ	VYBER	3900	36855	\N	\N	\N
1243925	4255	1996-01-01	VYDAJ	VYBER	1500	48825	\N	\N	\N
1243926	4255	1996-01-09	VYDAJ	VYBER	7800	35325	\N	\N	\N
1243927	4255	1996-01-10	VYDAJ	VYBER	7800	27525	\N	\N	\N
1243928	4255	1997-01-03	VYDAJ	VYBER	6300	30534	\N	\N	\N
1243929	4255	1997-01-05	VYDAJ	VYBER	2100	28434	\N	\N	\N
1243931	4255	1997-01-27	VYDAJ	VYBER	6900	45264	\N	\N	\N
1243932	4255	1997-01-15	VYDAJ	VYBER	2700	60164	\N	\N	\N
1243934	4255	1998-01-16	VYDAJ	VYBER	6000	84918	\N	\N	\N
1243935	4255	1998-01-04	VYDAJ	VYBER	6900	63988	\N	\N	\N
1243936	4255	1998-01-30	VYDAJ	VYBER	7200	73064	\N	\N	\N
1243937	4255	1998-01-06	VYDAJ	VYBER	5400	56488	\N	\N	\N
1243938	4255	1998-01-03	VYDAJ	VYBER	5700	70888	\N	\N	\N
1243939	4255	1998-01-06	VYDAJ	VYBER	2100	61888	\N	\N	\N
1243942	4255	1994-05-14	VYDAJ	VYBER	2100	78930	\N	\N	\N
1243943	4255	1994-04-26	VYDAJ	VYBER	8400	79376	\N	\N	\N
1243944	4255	1994-06-19	VYDAJ	VYBER	1800	92662	\N	\N	\N
1243945	4255	1994-07-18	VYDAJ	VYBER	7500	86685	\N	\N	\N
1243948	4255	1994-09-14	VYDAJ	VYBER	6300	83213	\N	\N	\N
1243949	4255	1994-10-19	VYDAJ	VYBER	3300	74226	\N	\N	\N
1243951	4255	1995-03-28	VYDAJ	VYBER	4800	86461	\N	\N	\N
1243952	4255	1995-09-03	VYDAJ	VYBER	5400	50831	\N	\N	\N
1243953	4255	1995-10-06	VYDAJ	VYBER	2100	49228	\N	\N	\N
1243954	4255	1995-12-21	VYDAJ	VYBER	8700	65016	\N	\N	\N
1243955	4255	1995-02-17	VYDAJ	VYBER	4800	79547	\N	\N	\N
1243956	4255	1995-08-23	VYDAJ	VYBER	3600	78276	\N	\N	\N
1243957	4255	1995-08-12	VYDAJ	VYBER	9000	47446	\N	\N	\N
1243958	4255	1996-04-21	VYDAJ	VYBER	9300	86563	\N	\N	\N
1243959	4255	1996-03-25	VYDAJ	VYBER	8100	82919	\N	\N	\N
1243960	4255	1996-06-06	VYDAJ	VYBER	2100	74694	\N	\N	\N
1243961	4255	1996-11-14	VYDAJ	VYBER	10800	100046	\N	\N	\N
1243962	4255	1996-01-27	VYDAJ	VYBER	14100	47855	\N	\N	\N
1243963	4255	1996-12-20	VYDAJ	VYBER	9900	68838	\N	\N	\N
1243964	4255	1997-12-22	VYDAJ	VYBER	3000	76260	\N	\N	\N
1243965	4255	1997-08-02	VYDAJ	VYBER	2700	69303	\N	\N	\N
1243966	4255	1997-07-12	VYDAJ	VYBER	4200	64167	\N	\N	\N
1243967	4255	1998-07-05	VYDAJ	VYBER KARTOU	6900	60926	\N	\N	0
1243968	4255	1998-12-03	VYDAJ	VYBER KARTOU	7500	67986	\N	\N	0
1243969	4255	1998-05-06	VYDAJ	VYBER KARTOU	4800	88808	\N	\N	0
1243970	4255	1998-06-19	VYDAJ	VYBER	10800	72380	\N	\N	\N
1243971	4255	1998-12-25	VYDAJ	VYBER	13500	104731	\N	\N	\N
1243972	4255	1998-06-20	VYDAJ	VYBER KARTOU	4800	67580	\N	\N	0
1243988	4255	1994-03-31	VYDAJ	VYBER	30	92700	SLUZBY	\N	\N
1243989	4255	1994-04-30	VYDAJ	VYBER	30	79676	SLUZBY	\N	\N
1243990	4255	1994-05-31	VYDAJ	VYBER	30	79217	SLUZBY	\N	\N
1243991	4255	1994-06-30	VYDAJ	VYBER	30	92955	SLUZBY	\N	\N
1243992	4255	1994-07-31	VYDAJ	VYBER	30	80632	SLUZBY	\N	\N
1243993	4255	1994-08-31	VYDAJ	VYBER	30	87383	SLUZBY	\N	\N
1243994	4255	1994-09-30	VYDAJ	VYBER	30	59596	SLUZBY	\N	\N
1243995	4255	1994-10-31	VYDAJ	VYBER	30	57608	SLUZBY	\N	\N
1243996	4255	1994-11-30	VYDAJ	VYBER	30	80401	SLUZBY	\N	\N
1243997	4255	1994-12-31	VYDAJ	VYBER	30	100808	SLUZBY	\N	\N
1243998	4255	1995-01-31	VYDAJ	VYBER	30	69417	SLUZBY	\N	\N
1243999	4255	1995-02-28	VYDAJ	VYBER	30	79831	SLUZBY	\N	\N
1244000	4255	1995-03-31	VYDAJ	VYBER	30	86788	SLUZBY	\N	\N
1244001	4255	1995-04-30	VYDAJ	VYBER	30	93263	SLUZBY	\N	\N
1244002	4255	1995-05-31	VYDAJ	VYBER	30	97561	SLUZBY	\N	\N
1244003	4255	1995-06-30	VYDAJ	VYBER	30	50370	SLUZBY	\N	\N
1244004	4255	1995-07-31	VYDAJ	VYBER	30	56446	SLUZBY	\N	\N
1244005	4255	1995-08-31	VYDAJ	VYBER	30	56231	SLUZBY	\N	\N
1244006	4255	1995-09-30	VYDAJ	VYBER	30	51328	SLUZBY	\N	\N
1244007	4255	1995-10-31	VYDAJ	VYBER	30	50555	SLUZBY	\N	\N
1244008	4255	1995-11-30	VYDAJ	VYBER	30	46987	SLUZBY	\N	\N
1244009	4255	1995-12-31	VYDAJ	VYBER	30	50325	SLUZBY	\N	\N
1244010	4255	1996-01-31	VYDAJ	VYBER	30	37026	SLUZBY	\N	\N
1244011	4255	1996-02-29	VYDAJ	VYBER	30	56589	SLUZBY	\N	\N
1244012	4255	1996-03-31	VYDAJ	VYBER	30	61433	SLUZBY	\N	\N
1244013	4255	1996-04-30	VYDAJ	VYBER	30	67209	SLUZBY	\N	\N
1244014	4255	1996-05-31	VYDAJ	VYBER	30	76794	SLUZBY	\N	\N
1244015	4255	1996-06-30	VYDAJ	VYBER	30	45382	SLUZBY	\N	\N
1244016	4255	1996-07-31	VYDAJ	VYBER	30	47638	SLUZBY	\N	\N
1244017	4255	1996-08-31	VYDAJ	VYBER	30	64552	SLUZBY	\N	\N
1244018	4255	1996-09-30	VYDAJ	VYBER	30	75631	SLUZBY	\N	\N
1244019	4255	1996-10-31	VYDAJ	VYBER	30	76416	SLUZBY	\N	\N
1244020	4255	1996-11-30	VYDAJ	VYBER	30	78773	SLUZBY	\N	\N
1244021	4255	1996-12-31	VYDAJ	VYBER	30	36834	SLUZBY	\N	\N
1244022	4255	1997-01-31	VYDAJ	VYBER	30	45415	SLUZBY	\N	\N
1244023	4255	1997-02-28	VYDAJ	VYBER	30	64826	SLUZBY	\N	\N
1244024	4255	1997-03-31	VYDAJ	VYBER	30	73604	SLUZBY	\N	\N
1244025	4255	1997-04-30	VYDAJ	VYBER	30	78413	SLUZBY	\N	\N
1244026	4255	1997-05-31	VYDAJ	VYBER	30	80639	SLUZBY	\N	\N
1244027	4255	1997-06-30	VYDAJ	VYBER	30	68367	SLUZBY	\N	\N
1244028	4255	1997-07-31	VYDAJ	VYBER	30	72003	SLUZBY	\N	\N
1244029	4255	1997-08-31	VYDAJ	VYBER	30	80333	SLUZBY	\N	\N
1244030	4255	1997-09-30	VYDAJ	VYBER	30	65166	SLUZBY	\N	\N
1244031	4255	1997-10-31	VYDAJ	VYBER	30	84468	SLUZBY	\N	\N
1244032	4255	1997-11-30	VYDAJ	VYBER	30	92915	SLUZBY	\N	\N
1244033	4255	1997-12-31	VYDAJ	VYBER	30	76588	SLUZBY	\N	\N
1244034	4255	1998-01-31	VYDAJ	VYBER	30	73333	SLUZBY	\N	\N
1244035	4255	1998-02-28	VYDAJ	VYBER	30	88692	SLUZBY	\N	\N
1244036	4255	1998-03-31	VYDAJ	VYBER	30	96911	SLUZBY	\N	\N
1244037	4255	1998-04-30	VYDAJ	VYBER	30	93608	SLUZBY	\N	\N
1244038	4255	1998-05-31	VYDAJ	VYBER	30	61035	SLUZBY	\N	\N
1244039	4255	1998-06-30	VYDAJ	VYBER	30	67826	SLUZBY	\N	\N
1244040	4255	1998-07-31	VYDAJ	VYBER	30	85344	SLUZBY	\N	\N
1244041	4255	1998-08-31	VYDAJ	VYBER	30	91972	SLUZBY	\N	\N
1244042	4255	1998-09-30	VYDAJ	VYBER	30	112837	SLUZBY	\N	\N
1244043	4255	1998-10-31	VYDAJ	VYBER	30	77530	SLUZBY	\N	\N
1244044	4255	1998-11-30	VYDAJ	VYBER	30	75486	SLUZBY	\N	\N
1244045	4255	1993-12-08	VYDAJ	VYBER	6300	29113	\N	\N	\N
1244046	4255	1994-01-07	VYDAJ	VYBER	26400	54616	\N	\N	\N
1244047	4255	1994-02-06	VYDAJ	VYBER	30400	59002	\N	\N	\N
1244048	4255	1994-03-08	VYDAJ	VYBER	35900	57913	\N	\N	\N
1244049	4255	1994-04-07	VYDAJ	VYBER	31900	53346	\N	\N	\N
1244050	4255	1994-05-07	VYDAJ	VYBER	27700	51976	\N	\N	\N
1244051	4255	1994-06-06	VYDAJ	VYBER	13600	42817	\N	\N	\N
1244052	4255	1994-07-06	VYDAJ	VYBER	33200	59755	\N	\N	\N
1244053	4255	1994-08-05	VYDAJ	VYBER	28000	52632	\N	\N	\N
1244054	4255	1994-09-04	VYDAJ	VYBER	32300	55083	\N	\N	\N
1244055	4255	1994-10-04	VYDAJ	VYBER	16500	43096	\N	\N	\N
1244056	4255	1994-11-03	VYDAJ	VYBER	11900	45708	\N	\N	\N
1244057	4255	1994-12-03	VYDAJ	VYBER	22900	57501	\N	\N	\N
1244058	4255	1995-01-02	VYDAJ	VYBER	32500	64708	\N	\N	\N
1244059	4255	1995-02-01	VYDAJ	VYBER	19500	49917	\N	\N	\N
1244060	4255	1995-03-03	VYDAJ	VYBER	23000	56831	\N	\N	\N
1244061	4255	1995-04-02	VYDAJ	VYBER	28300	58488	\N	\N	\N
1244062	4255	1995-05-02	VYDAJ	VYBER	30500	62763	\N	\N	\N
1244063	4255	1995-06-01	VYDAJ	VYBER	28900	68661	\N	\N	\N
1244064	4255	1995-06-14	VYDAJ	VYBER	22900	97406	\N	\N	\N
1244065	4255	1995-07-01	VYDAJ	VYBER	5400	44970	\N	\N	\N
1244066	4255	1995-07-31	VYDAJ	VYBER	23200	56476	\N	\N	\N
1244067	4255	1995-08-30	VYDAJ	VYBER	22300	55976	\N	\N	\N
1244068	4255	1995-09-29	VYDAJ	VYBER	20900	51071	\N	\N	\N
1244069	4255	1995-10-29	VYDAJ	VYBER	16100	50308	\N	\N	\N
1244070	4255	1995-11-28	VYDAJ	VYBER	17100	46806	\N	\N	\N
1244071	4255	1995-12-28	VYDAJ	VYBER	14900	50116	\N	\N	\N
1244072	4255	1996-01-27	VYDAJ	VYBER	4100	43755	\N	\N	\N
1244073	4255	1996-02-26	VYDAJ	VYBER	15000	56456	\N	\N	\N
1244074	4255	1996-03-27	VYDAJ	VYBER	21700	61219	\N	\N	\N
1244075	4255	1996-04-26	VYDAJ	VYBER	19600	66963	\N	\N	\N
1244076	4255	1996-05-26	VYDAJ	VYBER	25100	76539	\N	\N	\N
1244077	4255	1996-06-14	VYDAJ	VYBER	56200	70139	\N	\N	\N
1244078	4255	1996-06-25	PRIJEM	VKLAD	2600	45139	\N	\N	\N
1244079	4255	1996-07-25	VYDAJ	VYBER	17200	62612	\N	\N	\N
1244080	4255	1996-08-24	VYDAJ	VYBER	17700	64368	\N	\N	\N
1244081	4255	1996-09-23	VYDAJ	VYBER	23600	75382	\N	\N	\N
1244082	4255	1996-10-23	VYDAJ	VYBER	25800	76102	\N	\N	\N
1244083	4255	1996-11-22	VYDAJ	VYBER	21600	78446	\N	\N	\N
1244084	4255	1996-12-14	VYDAJ	VYBER	49600	78738	\N	\N	\N
1244085	4255	1996-12-22	VYDAJ	VYBER	3700	56438	\N	\N	\N
1244086	4255	1997-01-21	VYDAJ	VYBER	8000	52164	\N	\N	\N
1244087	4255	1997-02-20	VYDAJ	VYBER	15200	64645	\N	\N	\N
1244088	4255	1997-03-22	VYDAJ	VYBER	25900	73356	\N	\N	\N
1244089	4255	1997-04-21	VYDAJ	VYBER	29900	78134	\N	\N	\N
1244090	4255	1997-05-21	VYDAJ	VYBER	32500	80343	\N	\N	\N
1244091	4255	1997-06-20	VYDAJ	VYBER	12900	68084	\N	\N	\N
1244092	4255	1997-07-20	VYDAJ	VYBER	11300	71729	\N	\N	\N
1244093	4255	1997-08-19	VYDAJ	VYBER	23700	80033	\N	\N	\N
1244094	4255	1997-09-14	VYDAJ	VYBER	43400	65178	\N	\N	\N
1244095	4255	1997-09-18	VYDAJ	VYBER	300	64878	\N	\N	\N
1244096	4255	1997-10-18	VYDAJ	VYBER	15400	84196	\N	\N	\N
1244097	4255	1997-11-17	VYDAJ	VYBER	24100	94798	\N	\N	\N
1244098	4255	1997-12-14	VYDAJ	VYBER	42900	101660	\N	\N	\N
1244099	4255	1997-12-17	VYDAJ	VYBER	14600	87060	\N	\N	\N
1244100	4255	1998-01-16	VYDAJ	VYBER	1000	83918	\N	\N	\N
1244101	4255	1998-02-15	VYDAJ	VYBER	14000	93763	\N	\N	\N
1244102	4255	1998-03-17	VYDAJ	VYBER	12300	96554	\N	\N	\N
1244103	4255	1998-04-16	VYDAJ	VYBER	11600	93272	\N	\N	\N
1244104	4255	1998-05-14	VYDAJ	VYBER	18100	105138	\N	\N	\N
1244105	4255	1998-05-16	VYDAJ	VYBER	15800	89338	\N	\N	\N
1244106	4255	1998-06-15	VYDAJ	VYBER	10900	83180	\N	\N	\N
1244107	4255	1998-07-15	VYDAJ	VYBER	10300	85056	\N	\N	\N
1244108	4255	1998-08-14	VYDAJ	VYBER	8800	91618	\N	\N	\N
1244109	4255	1998-09-13	PRIJEM	VKLAD	5200	78016	\N	\N	\N
1244110	4255	1998-10-13	VYDAJ	VYBER	18800	94037	\N	\N	\N
1244111	4255	1998-10-14	VYDAJ	VYBER	51400	77067	\N	\N	\N
1244112	4255	1998-11-12	VYDAJ	VYBER KARTOU	4100	73430	\N	\N	0
1244113	4255	1998-12-12	PRIJEM	VKLAD	4900	66586	\N	\N	\N
1244510	4258	1995-08-26	PRIJEM	VKLAD	300	300	\N	\N	\N
1244514	4258	1995-11-11	PRIJEM	VKLAD	37601	92032	\N	\N	\N
1244516	4258	1995-09-08	PRIJEM	VKLAD	34179	72608	\N	\N	\N
1244520	4258	1995-12-29	PRIJEM	VKLAD	11477	91843	\N	\N	\N
1244523	4258	1995-12-28	PRIJEM	VKLAD	45834	80366	\N	\N	\N
1244524	4258	1995-11-05	PRIJEM	VKLAD	38989	110931	\N	\N	\N
1244528	4258	1995-09-28	PRIJEM	VKLAD	11708	60816	\N	\N	\N
1244531	4258	1995-10-26	PRIJEM	VKLAD	33490	71680	\N	\N	\N
1244535	4258	1995-08-30	PRIJEM	VKLAD	38119	38419	\N	\N	\N
1244538	4258	1996-10-31	PRIJEM	VKLAD	46993	121041	\N	\N	\N
1244539	4258	1996-09-02	PRIJEM	VKLAD	17653	81310	\N	\N	\N
1244540	4258	1996-06-23	PRIJEM	VKLAD	38456	85782	\N	\N	\N
1244541	4258	1996-07-22	PRIJEM	VKLAD	21967	68633	\N	\N	\N
1244542	4258	1996-03-26	PRIJEM	VKLAD	42593	109210	\N	\N	\N
1244543	4258	1996-09-03	PRIJEM	VKLAD	16946	98256	\N	\N	\N
1244544	4258	1996-02-25	PRIJEM	VKLAD	22118	62148	\N	\N	\N
1244545	4258	1996-08-02	PRIJEM	VKLAD	10149	86578	\N	\N	\N
1244546	4258	1996-05-17	PRIJEM	VKLAD	28210	107932	\N	\N	\N
1244547	4258	1996-10-09	PRIJEM	VKLAD	40297	99875	\N	\N	\N
1244548	4258	1996-05-15	PRIJEM	VKLAD	32459	137605	\N	\N	\N
1244549	4258	1996-06-20	PRIJEM	VKLAD	14842	76476	\N	\N	\N
1244550	4258	1996-05-07	PRIJEM	VKLAD	40077	105146	\N	\N	\N
1244551	4258	1996-09-24	PRIJEM	VKLAD	8802	59258	\N	\N	\N
1244552	4258	1996-12-25	PRIJEM	VKLAD	34344	76575	\N	\N	\N
1244553	4258	1996-10-13	PRIJEM	VKLAD	34836	134711	\N	\N	\N
1244554	4258	1996-05-16	PRIJEM	VKLAD	22317	126822	\N	\N	\N
1244555	4258	1996-07-30	PRIJEM	VKLAD	49573	118206	\N	\N	\N
1244556	4258	1996-03-22	PRIJEM	VKLAD	46779	139517	\N	\N	\N
1244557	4258	1996-08-18	PRIJEM	VKLAD	16190	102768	\N	\N	\N
1244558	4258	1996-04-25	PRIJEM	VKLAD	29444	64869	\N	\N	\N
1244559	4258	1996-02-06	PRIJEM	VKLAD	23238	51105	\N	\N	\N
1244560	4258	1996-03-17	PRIJEM	VKLAD	30411	92738	\N	\N	\N
1244561	4258	1996-02-12	PRIJEM	VKLAD	9725	60830	\N	\N	\N
1244562	4258	1997-10-22	PRIJEM	VKLAD	13323	61530	\N	\N	\N
1244563	4258	1997-11-20	PRIJEM	VKLAD	21049	54155	\N	\N	\N
1244564	4258	1997-03-11	PRIJEM	VKLAD	25603	47509	\N	\N	\N
1244565	4258	1997-08-18	PRIJEM	VKLAD	44230	71870	\N	\N	\N
1244566	4258	1997-10-05	PRIJEM	VKLAD	33162	103697	\N	\N	\N
1244567	4258	1997-12-07	PRIJEM	VKLAD	12616	54657	\N	\N	\N
1244568	4258	1997-10-14	PRIJEM	VKLAD	21819	125516	\N	\N	\N
1244569	4258	1997-09-30	PRIJEM	VKLAD	29206	70550	\N	\N	\N
1244570	4258	1997-05-27	PRIJEM	VKLAD	24196	49730	\N	\N	\N
1244571	4258	1997-12-07	PRIJEM	VKLAD	33215	87872	\N	\N	\N
1244572	4258	1997-01-06	PRIJEM	VKLAD	38856	111477	\N	\N	\N
1244573	4258	1997-10-17	PRIJEM	VKLAD	17341	70957	\N	\N	\N
1244577	4258	1995-12-10	VYBER	VYBER	2742	48732	\N	\N	\N
1244578	4258	1996-06-21	VYBER	VYBER	2950	73526	\N	\N	\N
1244579	4258	1996-03-28	VYBER	VYBER	24537	48073	\N	\N	\N
1244581	4258	1997-01-20	VYBER	VYBER	18692	28885	\N	\N	\N
1244582	4258	1997-10-18	VYBER	VYBER	22750	48207	\N	\N	\N
1244584	4258	1997-06-15	VYBER	VYBER	12887	36953	\N	\N	\N
1244585	4258	1997-08-15	VYBER	VYBER	5273	27640	\N	\N	\N
1244587	4258	1997-09-13	VYBER	VYBER	8443	63614	\N	\N	\N
1244596	4258	1998-01-03	VYBER	VYBER	16568	31119	\N	\N	\N
1244604	4258	1996-01-25	VYDAJ	VYBER	29400	27559	\N	\N	\N
1244605	4258	1997-01-03	VYDAJ	VYBER	4200	72621	\N	\N	\N
1244606	4258	1998-01-12	VYDAJ	VYBER	4200	19519	\N	\N	\N
1244607	4258	1995-12-03	VYDAJ	VYBER	8400	51474	\N	\N	\N
1244608	4258	1996-12-16	VYDAJ	VYBER	6300	59231	\N	\N	\N
1244609	4258	1997-12-28	VYDAJ	VYBER KARTOU	2400	47472	\N	\N	0
1244615	4258	1996-06-15	VYDAJ	VYBER	3300	64934	\N	\N	\N
1244616	4258	1996-09-23	VYDAJ	VYBER	11400	50456	\N	\N	\N
1244617	4258	1996-07-02	VYDAJ	VYBER	14100	71966	\N	\N	\N
1244618	4258	1996-06-19	VYDAJ	VYBER	3300	61634	\N	\N	\N
1244619	4258	1997-11-05	VYDAJ	VYBER	12300	49506	\N	\N	\N
1244620	4258	1997-03-18	VYDAJ	VYBER	10800	31009	\N	\N	\N
1244621	4258	1997-11-22	VYDAJ	VYBER	12300	41855	\N	\N	\N
1244638	4258	1995-11-30	VYDAJ	VYBER	15	59874	SLUZBY	\N	\N
1244639	4258	1995-12-31	VYDAJ	VYBER	15	92059	SLUZBY	\N	\N
1244640	4258	1996-01-31	VYDAJ	VYBER	15	27867	SLUZBY	\N	\N
1244641	4258	1996-02-29	VYDAJ	VYBER	15	62327	SLUZBY	\N	\N
1244642	4258	1996-03-31	VYDAJ	VYBER	15	48325	SLUZBY	\N	\N
1244643	4258	1996-04-30	VYDAJ	VYBER	15	65069	SLUZBY	\N	\N
1244644	4258	1996-05-31	VYDAJ	VYBER	15	68234	SLUZBY	\N	\N
1244645	4258	1996-06-30	VYDAJ	VYBER	15	86066	SLUZBY	\N	\N
1244646	4258	1996-07-31	VYDAJ	VYBER	15	76429	SLUZBY	\N	\N
1244647	4258	1996-08-31	VYDAJ	VYBER	15	63657	SLUZBY	\N	\N
1244648	4258	1996-09-30	VYDAJ	VYBER	15	59578	SLUZBY	\N	\N
1244649	4258	1996-10-31	VYDAJ	VYBER	15	101926	SLUZBY	\N	\N
1244650	4258	1996-11-30	VYDAJ	VYBER	15	65531	SLUZBY	\N	\N
1244651	4258	1996-12-31	VYDAJ	VYBER	15	76821	SLUZBY	\N	\N
1244652	4258	1997-01-31	VYDAJ	VYBER	15	29101	SLUZBY	\N	\N
1244653	4258	1997-02-28	VYDAJ	VYBER	15	21906	SLUZBY	\N	\N
1244654	4258	1997-03-31	VYDAJ	VYBER	15	31121	SLUZBY	\N	\N
1244655	4258	1997-04-30	VYDAJ	VYBER	15	26434	SLUZBY	\N	\N
1244656	4258	1997-05-31	VYDAJ	VYBER	15	49840	SLUZBY	\N	\N
1244657	4258	1997-06-30	VYDAJ	VYBER	15	30104	SLUZBY	\N	\N
1244658	4258	1997-07-31	VYDAJ	VYBER	15	29913	SLUZBY	\N	\N
1244659	4258	1997-08-31	VYDAJ	VYBER	15	72057	SLUZBY	\N	\N
1244660	4258	1997-09-30	VYDAJ	VYBER	15	70535	SLUZBY	\N	\N
1244661	4258	1997-10-31	VYDAJ	VYBER	15	61806	SLUZBY	\N	\N
1244662	4258	1997-11-30	VYDAJ	VYBER	15	42041	SLUZBY	\N	\N
1244663	4258	1997-12-31	VYDAJ	VYBER	15	47687	SLUZBY	\N	\N
1244664	4258	1998-01-31	VYDAJ	VYBER	15	19625	SLUZBY	\N	\N
1244665	4258	1998-02-28	VYDAJ	VYBER	15	17490	SLUZBY	\N	\N
1244666	4258	1998-03-31	VYDAJ	VYBER	15	17475	SLUZBY	\N	\N
1244667	4258	1998-04-30	VYDAJ	VYBER	15	17904	SLUZBY	\N	\N
1244668	4258	1998-05-31	VYDAJ	VYBER	15	17890	SLUZBY	\N	\N
1244669	4258	1998-06-30	VYDAJ	VYBER	15	17322	SLUZBY	\N	\N
1244670	4258	1998-07-31	VYDAJ	VYBER	15	17377	SLUZBY	\N	\N
1244671	4258	1998-08-31	VYDAJ	VYBER	15	17732	SLUZBY	\N	\N
1244672	4258	1998-09-30	VYDAJ	VYBER	15	20088	SLUZBY	\N	\N
1244673	4258	1998-10-31	VYDAJ	VYBER	15	18354	SLUZBY	\N	\N
1244674	4258	1998-11-30	VYDAJ	VYBER	15	19313	SLUZBY	\N	\N
1244675	4258	1995-09-25	VYDAJ	VYBER	23500	49108	\N	\N	\N
1244676	4258	1995-10-25	VYDAJ	VYBER	22800	38190	\N	\N	\N
1244677	4258	1995-11-05	VYDAJ	VYBER	56500	54431	\N	\N	\N
1244678	4258	1995-11-24	VYDAJ	VYBER	32500	59532	\N	\N	\N
1244679	4258	1995-12-24	VYDAJ	VYBER	14200	34532	\N	\N	\N
1244680	4258	1996-01-23	VYDAJ	VYBER	35100	56959	\N	\N	\N
1244681	4258	1996-02-22	VYDAJ	VYBER	20800	40030	\N	\N	\N
1244682	4258	1996-03-22	VYDAJ	VYBER	31000	108517	\N	\N	\N
1244683	4258	1996-03-23	VYDAJ	VYBER	41900	66617	\N	\N	\N
1244684	4258	1996-03-26	VYDAJ	VYBER	36600	72610	\N	\N	\N
1244685	4258	1996-04-22	VYDAJ	VYBER	12900	35425	\N	\N	\N
1244686	4258	1996-05-15	VYDAJ	VYBER	33100	104505	\N	\N	\N
1244687	4258	1996-05-16	VYDAJ	VYBER	47100	79722	\N	\N	\N
1244688	4258	1996-05-22	VYDAJ	VYBER	40000	67932	\N	\N	\N
1244689	4258	1996-06-21	VYDAJ	VYBER	26200	47326	\N	\N	\N
1244690	4258	1996-07-21	VYDAJ	VYBER	25300	46666	\N	\N	\N
1244691	4258	1996-07-30	VYDAJ	VYBER	42100	76106	\N	\N	\N
1244692	4258	1996-08-20	VYDAJ	VYBER	39400	63368	\N	\N	\N
1244693	4258	1996-09-19	VYDAJ	VYBER	36400	61856	\N	\N	\N
1244694	4258	1996-10-13	VYDAJ	VYBER	16500	118211	\N	\N	\N
1244695	4258	1996-10-19	VYDAJ	VYBER	44500	73711	\N	\N	\N
1244696	4258	1996-10-31	VYDAJ	VYBER	19100	101941	\N	\N	\N
1244697	4258	1996-11-18	VYDAJ	VYBER	36800	65126	\N	\N	\N
1244698	4258	1996-12-18	VYDAJ	VYBER	17000	42231	\N	\N	\N
1244699	4258	1997-01-06	VYDAJ	VYBER	34400	77077	\N	\N	\N
1244700	4258	1997-01-17	VYDAJ	VYBER	29500	47577	\N	\N	\N
1244701	4258	1997-02-16	VYDAJ	VYBER	7300	21801	\N	\N	\N
1244702	4258	1997-03-18	VYDAJ	VYBER	5700	41809	\N	\N	\N
1244703	4258	1997-04-17	VYDAJ	VYBER	4800	26321	\N	\N	\N
1244704	4258	1997-05-17	VYDAJ	VYBER	900	25534	\N	\N	\N
1244705	4258	1997-06-16	VYDAJ	VYBER	7000	29953	\N	\N	\N
1244706	4258	1997-07-16	VYDAJ	VYBER	300	29804	\N	\N	\N
1244707	4258	1997-08-15	PRIJEM	VKLAD	3000	32913	\N	\N	\N
1244708	4258	1997-09-14	VYDAJ	VYBER	22500	41114	\N	\N	\N
1244709	4258	1997-10-14	VYDAJ	VYBER	38100	87416	\N	\N	\N
1244710	4258	1997-10-14	VYDAJ	VYBER	33800	53616	\N	\N	\N
1244711	4258	1997-11-13	VYDAJ	VYBER	16400	33106	\N	\N	\N
1244712	4258	1997-12-13	VYDAJ	VYBER	38000	49872	\N	\N	\N
1244713	4258	1998-01-12	VYDAJ	VYBER	7400	23719	\N	\N	\N
1244714	4258	1998-02-11	VYDAJ	VYBER KARTOU	2200	17425	\N	\N	0
1244715	4258	1998-04-12	PRIJEM	VKLAD	300	17775	\N	\N	\N
1244716	4258	1998-06-11	VYDAJ	VYBER KARTOU	700	17190	\N	\N	0
1244717	4258	1998-08-10	PRIJEM	VKLAD	300	17677	\N	\N	\N
1244718	4258	1998-09-09	PRIJEM	VKLAD	2300	20032	\N	\N	\N
1244719	4258	1998-10-09	VYDAJ	VYBER KARTOU	1800	18288	\N	\N	0
1244720	4258	1998-11-08	PRIJEM	VKLAD	900	19254	\N	\N	\N
1244761	4259	1994-04-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1244765	4259	1994-04-13	PRIJEM	PREVOD Z UCTU	44110	45010	\N	CD	3822422
1244766	4259	1994-05-13	PRIJEM	PREVOD Z UCTU	44110	79633	\N	CD	3822422
1244767	4259	1994-06-13	PRIJEM	PREVOD Z UCTU	66165	119374	\N	CD	3822422
1244768	4259	1994-07-13	PRIJEM	PREVOD Z UCTU	44110	82154	\N	CD	3822422
1244769	4259	1994-08-13	PRIJEM	PREVOD Z UCTU	44110	99263	\N	CD	3822422
1244770	4259	1994-09-13	PRIJEM	PREVOD Z UCTU	44110	94754	\N	CD	3822422
1244771	4259	1994-10-13	PRIJEM	PREVOD Z UCTU	44110	92491	\N	CD	3822422
1244772	4259	1994-11-13	PRIJEM	PREVOD Z UCTU	44110	88607	\N	CD	3822422
1244773	4259	1994-12-13	PRIJEM	PREVOD Z UCTU	66165	91001	\N	CD	3822422
1244774	4259	1995-01-13	PRIJEM	PREVOD Z UCTU	44110	76780	\N	CD	3822422
1244775	4259	1995-02-13	PRIJEM	PREVOD Z UCTU	44110	74080	\N	CD	3822422
1244776	4259	1995-03-13	PRIJEM	PREVOD Z UCTU	44110	83196	\N	CD	3822422
1244777	4259	1995-04-13	PRIJEM	PREVOD Z UCTU	44110	83667	\N	CD	3822422
1244778	4259	1995-05-13	PRIJEM	PREVOD Z UCTU	44110	87244	\N	CD	3822422
1244779	4259	1995-06-13	PRIJEM	PREVOD Z UCTU	66165	114297	\N	CD	3822422
1244780	4259	1995-07-13	PRIJEM	PREVOD Z UCTU	44110	67904	\N	CD	3822422
1244781	4259	1995-08-13	PRIJEM	PREVOD Z UCTU	44110	82004	\N	CD	3822422
1244782	4259	1995-09-13	PRIJEM	PREVOD Z UCTU	44110	73994	\N	CD	3822422
1244783	4259	1995-10-13	PRIJEM	PREVOD Z UCTU	44110	83324	\N	CD	3822422
1244784	4259	1995-11-13	PRIJEM	PREVOD Z UCTU	44110	75306	\N	CD	3822422
1244785	4259	1995-12-13	PRIJEM	PREVOD Z UCTU	66165	109508	\N	CD	3822422
1244786	4259	1996-01-13	PRIJEM	PREVOD Z UCTU	44110	68497	\N	CD	3822422
1244787	4259	1996-02-13	PRIJEM	PREVOD Z UCTU	44110	68469	\N	CD	3822422
1244788	4259	1996-03-13	PRIJEM	PREVOD Z UCTU	44110	78681	\N	CD	3822422
1244789	4259	1996-04-13	PRIJEM	PREVOD Z UCTU	44110	85815	\N	CD	3822422
1244790	4259	1996-05-13	PRIJEM	PREVOD Z UCTU	44110	87574	\N	CD	3822422
1244791	4259	1996-06-13	PRIJEM	PREVOD Z UCTU	66165	108704	\N	CD	3822422
1244792	4259	1996-07-13	PRIJEM	PREVOD Z UCTU	44110	75908	\N	CD	3822422
1244793	4259	1996-08-13	PRIJEM	PREVOD Z UCTU	44110	64934	\N	CD	3822422
1244794	4259	1996-09-13	PRIJEM	PREVOD Z UCTU	44110	66480	\N	CD	3822422
1244795	4259	1996-10-13	PRIJEM	PREVOD Z UCTU	44110	77994	\N	CD	3822422
1244796	4259	1996-11-13	PRIJEM	PREVOD Z UCTU	44110	84531	\N	CD	3822422
1244797	4259	1996-12-13	PRIJEM	PREVOD Z UCTU	66165	115454	\N	CD	3822422
1244798	4259	1997-01-13	PRIJEM	PREVOD Z UCTU	44110	68497	\N	CD	3822422
1244799	4259	1997-02-13	PRIJEM	PREVOD Z UCTU	44110	68675	\N	CD	3822422
1244800	4259	1997-03-13	PRIJEM	PREVOD Z UCTU	44110	76773	\N	CD	3822422
1244801	4259	1997-04-13	PRIJEM	PREVOD Z UCTU	44110	66463	\N	CD	3822422
1244802	4259	1997-05-13	PRIJEM	PREVOD Z UCTU	44110	70432	\N	CD	3822422
1244803	4259	1997-06-13	PRIJEM	PREVOD Z UCTU	66165	98374	\N	CD	3822422
1244804	4259	1997-07-13	PRIJEM	PREVOD Z UCTU	44110	94528	\N	CD	3822422
1244805	4259	1997-08-13	PRIJEM	PREVOD Z UCTU	44110	70822	\N	CD	3822422
1244806	4259	1997-09-13	PRIJEM	PREVOD Z UCTU	44110	74025	\N	CD	3822422
1244807	4259	1997-10-13	PRIJEM	PREVOD Z UCTU	44110	85630	\N	CD	3822422
1244808	4259	1997-11-13	PRIJEM	PREVOD Z UCTU	44110	90074	\N	CD	3822422
1244809	4259	1997-12-13	PRIJEM	PREVOD Z UCTU	66165	123107	\N	CD	3822422
1244810	4259	1998-01-13	PRIJEM	PREVOD Z UCTU	44110	70968	\N	CD	3822422
1244811	4259	1998-02-13	PRIJEM	PREVOD Z UCTU	44110	73763	\N	CD	3822422
1244812	4259	1998-03-13	PRIJEM	PREVOD Z UCTU	44110	89543	\N	CD	3822422
1244813	4259	1998-04-13	PRIJEM	PREVOD Z UCTU	44110	95062	\N	CD	3822422
1244814	4259	1998-05-13	PRIJEM	PREVOD Z UCTU	44110	105346	\N	CD	3822422
1244815	4259	1998-06-13	PRIJEM	PREVOD Z UCTU	66165	101042	\N	CD	3822422
1244816	4259	1998-07-13	PRIJEM	PREVOD Z UCTU	44110	84266	\N	CD	3822422
1244817	4259	1998-08-13	PRIJEM	PREVOD Z UCTU	44110	103835	\N	CD	3822422
1244818	4259	1998-09-13	PRIJEM	PREVOD Z UCTU	44110	93254	\N	CD	3822422
1244819	4259	1998-10-13	PRIJEM	PREVOD Z UCTU	44110	107249	\N	CD	3822422
1244820	4259	1998-11-13	PRIJEM	PREVOD Z UCTU	44110	117872	\N	CD	3822422
1244821	4259	1998-12-13	PRIJEM	PREVOD Z UCTU	66165	124466	\N	CD	3822422
1244830	4259	1994-09-12	VYDAJ	PREVOD NA UCET	3318	50644	UVER	ST	4058731
1244831	4259	1994-10-12	VYDAJ	PREVOD NA UCET	3318	48381	UVER	ST	4058731
1244832	4259	1994-11-12	VYDAJ	PREVOD NA UCET	3318	44497	UVER	ST	4058731
1244833	4259	1994-12-12	VYDAJ	PREVOD NA UCET	3318	24836	UVER	ST	4058731
1244834	4259	1995-01-12	VYDAJ	PREVOD NA UCET	3318	32670	UVER	ST	4058731
1244835	4259	1995-02-12	VYDAJ	PREVOD NA UCET	3318	29970	UVER	ST	4058731
1244836	4259	1995-03-12	VYDAJ	PREVOD NA UCET	3318	39086	UVER	ST	4058731
1244837	4259	1995-04-12	VYDAJ	PREVOD NA UCET	3318	39557	UVER	ST	4058731
1244838	4259	1995-05-12	VYDAJ	PREVOD NA UCET	3318	43134	UVER	ST	4058731
1244839	4259	1995-06-12	VYDAJ	PREVOD NA UCET	3318	48132	UVER	ST	4058731
1244840	4259	1995-07-12	VYDAJ	PREVOD NA UCET	3318	23794	UVER	ST	4058731
1244841	4259	1995-08-12	VYDAJ	PREVOD NA UCET	3318	37894	UVER	ST	4058731
1244842	4259	1995-09-12	VYDAJ	PREVOD NA UCET	3318	29884	UVER	ST	4058731
1244843	4259	1995-10-12	VYDAJ	PREVOD NA UCET	3318	39214	UVER	ST	4058731
1244844	4259	1995-11-12	VYDAJ	PREVOD NA UCET	3318	31196	UVER	ST	4058731
1244845	4259	1995-12-12	VYDAJ	PREVOD NA UCET	3318	43343	UVER	ST	4058731
1244846	4259	1996-01-12	VYDAJ	PREVOD NA UCET	3318	24387	UVER	ST	4058731
1244847	4259	1996-02-12	VYDAJ	PREVOD NA UCET	3318	24359	UVER	ST	4058731
1244848	4259	1996-03-12	VYDAJ	PREVOD NA UCET	3318	34571	UVER	ST	4058731
1244849	4259	1996-04-12	VYDAJ	PREVOD NA UCET	3318	41705	UVER	ST	4058731
1244850	4259	1996-05-12	VYDAJ	PREVOD NA UCET	3318	43464	UVER	ST	4058731
1244851	4259	1996-06-12	VYDAJ	PREVOD NA UCET	3318	42539	UVER	ST	4058731
1244852	4259	1996-07-12	VYDAJ	PREVOD NA UCET	3318	31798	UVER	ST	4058731
1244853	4259	1996-08-12	VYDAJ	PREVOD NA UCET	3318	20824	UVER	ST	4058731
1244854	4259	1996-09-09	VYDAJ	VYBER	3600	22370	\N	\N	0
1244855	4259	1996-10-22	VYDAJ	VYBER	2500	65978	\N	\N	0
1244856	4259	1996-10-31	VYDAJ	VYBER	4400	42676	\N	\N	0
1244857	4259	1996-12-25	VYDAJ	VYBER	2500	32638	\N	\N	0
1244858	4259	1997-01-09	VYDAJ	VYBER	3200	27387	\N	\N	0
1244859	4259	1997-02-13	VYDAJ	VYBER	2200	66475	\N	\N	0
1244860	4259	1997-03-05	VYDAJ	VYBER	4200	34918	\N	\N	0
1244861	4259	1997-04-14	VYDAJ	VYBER	4300	52647	\N	\N	0
1244862	4259	1997-05-13	VYDAJ	VYBER	3600	57316	\N	\N	0
1244863	4259	1997-05-29	VYDAJ	VYBER	3900	34316	\N	\N	0
1244864	4259	1997-07-12	VYDAJ	VYBER	2600	50418	\N	\N	0
1244865	4259	1997-08-02	VYDAJ	VYBER	4600	44861	\N	\N	0
1244866	4259	1997-09-04	VYDAJ	VYBER	2200	32170	\N	\N	0
1244867	4259	1997-10-04	VYDAJ	VYBER	2700	43775	\N	\N	0
1244868	4259	1997-11-10	VYDAJ	VYBER	2600	45964	\N	\N	0
1244869	4259	1997-12-03	VYDAJ	VYBER	2800	59197	\N	\N	0
1244870	4259	1998-01-01	VYDAJ	VYBER	2600	36913	\N	\N	0
1244871	4259	1998-02-17	VYDAJ	VYBER	3100	47518	\N	\N	0
1244872	4259	1998-03-13	VYDAJ	VYBER	3900	85643	\N	\N	0
1244873	4259	1998-04-02	VYDAJ	VYBER	2500	53207	\N	\N	0
1244874	4259	1998-05-17	VYDAJ	VYBER	2900	67330	\N	\N	0
1244875	4259	1998-06-08	VYDAJ	VYBER	2900	34877	\N	\N	0
1244876	4259	1998-06-30	VYDAJ	VYBER	3300	65981	\N	\N	0
1244877	4259	1998-08-19	VYDAJ	VYBER	2800	66819	\N	\N	0
1244878	4259	1998-09-05	VYDAJ	VYBER	4500	62581	\N	\N	0
1244879	4259	1998-10-08	VYDAJ	VYBER	3000	63139	\N	\N	0
1244880	4259	1998-11-17	VYDAJ	VYBER	4600	80056	\N	\N	0
1244881	4259	1998-11-29	VYDAJ	VYBER	3600	65656	\N	\N	0
1245082	4259	1995-09-08	VYDAJ	VYBER	6000	33202	\N	\N	\N
1244889	4259	1994-08-13	VYDAJ	PREVOD NA UCET	9516	89747	SIPO	CD	73520475
1244890	4259	1994-09-13	VYDAJ	PREVOD NA UCET	9516	85238	SIPO	CD	73520475
1244891	4259	1994-10-13	VYDAJ	PREVOD NA UCET	9516	82975	SIPO	CD	73520475
1244892	4259	1994-11-13	VYDAJ	PREVOD NA UCET	9516	79091	SIPO	CD	73520475
1244893	4259	1994-12-13	VYDAJ	PREVOD NA UCET	9516	81485	SIPO	CD	73520475
1244894	4259	1995-01-13	VYDAJ	PREVOD NA UCET	9516	67264	SIPO	CD	73520475
1244895	4259	1995-02-13	VYDAJ	PREVOD NA UCET	9516	64564	SIPO	CD	73520475
1244896	4259	1995-03-13	VYDAJ	PREVOD NA UCET	9516	73680	SIPO	CD	73520475
1244897	4259	1995-04-13	VYDAJ	PREVOD NA UCET	9516	74151	SIPO	CD	73520475
1244898	4259	1995-05-13	VYDAJ	PREVOD NA UCET	9516	77728	SIPO	CD	73520475
1244899	4259	1995-06-13	VYDAJ	PREVOD NA UCET	9516	47581	SIPO	CD	73520475
1244900	4259	1995-07-13	VYDAJ	PREVOD NA UCET	9516	58388	SIPO	CD	73520475
1244901	4259	1995-08-13	VYDAJ	PREVOD NA UCET	9516	72488	SIPO	CD	73520475
1244902	4259	1995-09-13	VYDAJ	PREVOD NA UCET	9516	64478	SIPO	CD	73520475
1244903	4259	1995-10-13	VYDAJ	PREVOD NA UCET	9516	73808	SIPO	CD	73520475
1244904	4259	1995-11-13	VYDAJ	PREVOD NA UCET	9516	65790	SIPO	CD	73520475
1244905	4259	1995-12-13	VYDAJ	PREVOD NA UCET	9516	99992	SIPO	CD	73520475
1244906	4259	1996-01-13	VYDAJ	PREVOD NA UCET	9516	58981	SIPO	CD	73520475
1244907	4259	1996-02-13	VYDAJ	PREVOD NA UCET	9516	58953	SIPO	CD	73520475
1244908	4259	1996-03-13	VYDAJ	PREVOD NA UCET	9516	69165	SIPO	CD	73520475
1244909	4259	1996-04-13	VYDAJ	PREVOD NA UCET	9516	76299	SIPO	CD	73520475
1244910	4259	1996-05-13	VYDAJ	PREVOD NA UCET	9516	78058	SIPO	CD	73520475
1244911	4259	1996-06-13	VYDAJ	PREVOD NA UCET	9516	99188	SIPO	CD	73520475
1244912	4259	1996-07-13	VYDAJ	PREVOD NA UCET	9516	66392	SIPO	CD	73520475
1244913	4259	1996-08-13	VYDAJ	PREVOD NA UCET	9516	55418	SIPO	CD	73520475
1244914	4259	1996-09-13	VYDAJ	PREVOD NA UCET	9516	56964	SIPO	CD	73520475
1244915	4259	1996-10-13	VYDAJ	PREVOD NA UCET	9516	68478	SIPO	CD	73520475
1244916	4259	1996-11-13	VYDAJ	PREVOD NA UCET	9516	75015	SIPO	CD	73520475
1244917	4259	1996-12-13	VYDAJ	PREVOD NA UCET	9516	105938	SIPO	CD	73520475
1244918	4259	1997-01-13	VYDAJ	PREVOD NA UCET	9516	58981	SIPO	CD	73520475
1244919	4259	1997-02-13	VYDAJ	PREVOD NA UCET	9516	56959	SIPO	CD	73520475
1244920	4259	1997-03-13	VYDAJ	PREVOD NA UCET	9516	67257	SIPO	CD	73520475
1244921	4259	1997-04-13	VYDAJ	PREVOD NA UCET	9516	56947	SIPO	CD	73520475
1244922	4259	1997-05-13	VYDAJ	PREVOD NA UCET	9516	60916	SIPO	CD	73520475
1244923	4259	1997-06-13	VYDAJ	PREVOD NA UCET	9516	88858	SIPO	CD	73520475
1244924	4259	1997-07-13	VYDAJ	PREVOD NA UCET	9516	85012	SIPO	CD	73520475
1244925	4259	1997-08-13	VYDAJ	PREVOD NA UCET	9516	61306	SIPO	CD	73520475
1244926	4259	1997-09-13	VYDAJ	PREVOD NA UCET	9516	64509	SIPO	CD	73520475
1244927	4259	1997-10-13	VYDAJ	PREVOD NA UCET	9516	76114	SIPO	CD	73520475
1244928	4259	1997-11-13	VYDAJ	PREVOD NA UCET	9516	80558	SIPO	CD	73520475
1244929	4259	1997-12-13	VYDAJ	PREVOD NA UCET	9516	72691	SIPO	CD	73520475
1244930	4259	1998-01-13	VYDAJ	PREVOD NA UCET	9516	61452	SIPO	CD	73520475
1244931	4259	1998-02-13	VYDAJ	PREVOD NA UCET	9516	64247	SIPO	CD	73520475
1244932	4259	1998-03-13	VYDAJ	PREVOD NA UCET	9516	76127	SIPO	CD	73520475
1244933	4259	1998-04-13	VYDAJ	PREVOD NA UCET	9516	85546	SIPO	CD	73520475
1244934	4259	1998-05-13	VYDAJ	PREVOD NA UCET	9516	95830	SIPO	CD	73520475
1244935	4259	1998-06-13	VYDAJ	PREVOD NA UCET	9516	91526	SIPO	CD	73520475
1244936	4259	1998-07-13	VYDAJ	PREVOD NA UCET	9516	74750	SIPO	CD	73520475
1244937	4259	1998-08-13	VYDAJ	PREVOD NA UCET	9516	94319	SIPO	CD	73520475
1244938	4259	1998-09-13	VYDAJ	PREVOD NA UCET	9516	83738	SIPO	CD	73520475
1244939	4259	1998-10-13	VYDAJ	PREVOD NA UCET	9516	97733	SIPO	CD	73520475
1244940	4259	1998-11-13	VYDAJ	PREVOD NA UCET	9516	84656	SIPO	CD	73520475
1244941	4259	1998-12-13	VYDAJ	PREVOD NA UCET	9516	72050	SIPO	CD	73520475
1244950	4259	1994-09-06	VYDAJ	PREVOD NA UCET	2255	53962	 	AB	40486842
1244951	4259	1994-10-06	VYDAJ	PREVOD NA UCET	2255	51699	 	AB	40486842
1244952	4259	1994-11-06	VYDAJ	PREVOD NA UCET	2255	47815	 	AB	40486842
1244953	4259	1994-12-06	VYDAJ	PREVOD NA UCET	2255	30234	 	AB	40486842
1244954	4259	1995-01-06	VYDAJ	PREVOD NA UCET	2255	42888	 	AB	40486842
1244955	4259	1995-02-06	VYDAJ	PREVOD NA UCET	2255	33288	 	AB	40486842
1244956	4259	1995-03-06	VYDAJ	PREVOD NA UCET	2255	42404	 	AB	40486842
1244957	4259	1995-04-06	VYDAJ	PREVOD NA UCET	2255	42875	 	AB	40486842
1244958	4259	1995-05-06	VYDAJ	PREVOD NA UCET	2255	46452	 	AB	40486842
1244959	4259	1995-06-06	VYDAJ	PREVOD NA UCET	2255	51450	 	AB	40486842
1244960	4259	1995-07-06	VYDAJ	PREVOD NA UCET	2255	27112	 	AB	40486842
1244961	4259	1995-08-06	VYDAJ	PREVOD NA UCET	2255	41212	 	AB	40486842
1244962	4259	1995-09-06	VYDAJ	PREVOD NA UCET	2255	48802	 	AB	40486842
1244963	4259	1995-10-06	VYDAJ	PREVOD NA UCET	2255	42532	 	AB	40486842
1244964	4259	1995-11-06	VYDAJ	PREVOD NA UCET	2255	48614	 	AB	40486842
1244965	4259	1995-12-06	VYDAJ	PREVOD NA UCET	2255	46661	 	AB	40486842
1244966	4259	1996-01-06	VYDAJ	PREVOD NA UCET	2255	34605	 	AB	40486842
1244967	4259	1996-02-06	VYDAJ	PREVOD NA UCET	2255	27677	 	AB	40486842
1244968	4259	1996-03-06	VYDAJ	PREVOD NA UCET	2255	37889	 	AB	40486842
1244969	4259	1996-04-06	VYDAJ	PREVOD NA UCET	2255	45023	 	AB	40486842
1244970	4259	1996-05-06	VYDAJ	PREVOD NA UCET	2255	46782	 	AB	40486842
1244971	4259	1996-06-06	VYDAJ	PREVOD NA UCET	2255	45857	 	AB	40486842
1244972	4259	1996-07-06	VYDAJ	PREVOD NA UCET	2255	35116	 	AB	40486842
1244973	4259	1996-08-06	VYDAJ	PREVOD NA UCET	2255	31042	 	AB	40486842
1244974	4259	1996-09-06	VYDAJ	PREVOD NA UCET	2255	25970	 	AB	40486842
1244975	4259	1996-10-06	VYDAJ	PREVOD NA UCET	2255	38684	 	AB	40486842
1244976	4259	1996-11-06	VYDAJ	PREVOD NA UCET	2255	40421	 	AB	40486842
1244977	4259	1996-12-06	VYDAJ	PREVOD NA UCET	2255	49289	 	AB	40486842
1244978	4259	1997-01-06	VYDAJ	PREVOD NA UCET	2255	30587	 	AB	40486842
1244979	4259	1997-02-06	VYDAJ	PREVOD NA UCET	2255	24565	 	AB	40486842
1244980	4259	1997-03-06	VYDAJ	PREVOD NA UCET	2255	32663	 	AB	40486842
1244981	4259	1997-04-06	VYDAJ	PREVOD NA UCET	2255	22353	 	AB	40486842
1244982	4259	1997-05-06	VYDAJ	PREVOD NA UCET	2255	26322	 	AB	40486842
1244983	4259	1997-06-06	VYDAJ	PREVOD NA UCET	2255	32209	 	AB	40486842
1244984	4259	1997-07-06	VYDAJ	PREVOD NA UCET	2255	53018	 	AB	40486842
1244985	4259	1997-08-06	VYDAJ	PREVOD NA UCET	2255	42606	 	AB	40486842
1244986	4259	1997-09-06	VYDAJ	PREVOD NA UCET	2255	29915	 	AB	40486842
1244987	4259	1997-10-06	VYDAJ	PREVOD NA UCET	2255	41520	 	AB	40486842
1244988	4259	1997-11-06	VYDAJ	PREVOD NA UCET	2255	48564	 	AB	40486842
1244989	4259	1997-12-06	VYDAJ	PREVOD NA UCET	2255	56942	 	AB	40486842
1244990	4259	1998-01-06	VYDAJ	PREVOD NA UCET	2255	34658	 	AB	40486842
1244991	4259	1998-02-06	VYDAJ	PREVOD NA UCET	2255	29653	 	AB	40486842
1244992	4259	1998-03-06	VYDAJ	PREVOD NA UCET	2255	45433	 	AB	40486842
1244993	4259	1998-04-06	VYDAJ	PREVOD NA UCET	2255	50952	 	AB	40486842
1244994	4259	1998-05-06	VYDAJ	PREVOD NA UCET	2255	61236	 	AB	40486842
1244995	4259	1998-06-06	VYDAJ	PREVOD NA UCET	2255	37777	 	AB	40486842
1244996	4259	1998-07-06	VYDAJ	PREVOD NA UCET	2255	40156	 	AB	40486842
1244997	4259	1998-08-06	VYDAJ	PREVOD NA UCET	2255	59725	 	AB	40486842
1244998	4259	1998-09-06	VYDAJ	PREVOD NA UCET	2255	60326	 	AB	40486842
1244999	4259	1998-10-06	VYDAJ	PREVOD NA UCET	2255	66139	 	AB	40486842
1245000	4259	1998-11-06	VYDAJ	PREVOD NA UCET	2255	73762	 	AB	40486842
1245001	4259	1998-12-06	VYDAJ	PREVOD NA UCET	2255	58301	 	AB	40486842
1245002	4259	1994-11-26	VYBER	VYBER	24552	38021	\N	\N	\N
1245006	4259	1994-12-19	VYBER	VYBER	4678	76807	\N	\N	\N
1245009	4259	1994-11-26	VYBER	VYBER	16518	62573	\N	\N	\N
1245010	4259	1994-09-28	VYBER	VYBER	3895	81343	\N	\N	\N
1245013	4259	1994-12-09	VYBER	VYBER	2080	28154	\N	\N	\N
1245014	4259	1996-07-14	VYBER	VYBER	8146	58246	\N	\N	\N
1245015	4259	1996-05-24	VYBER	VYBER	9298	68760	\N	\N	\N
1245016	4259	1996-09-02	VYBER	VYBER	9750	28225	\N	\N	\N
1245017	4259	1996-07-19	VYBER	VYBER	5021	53225	\N	\N	\N
1245018	4259	1997-03-16	VYBER	VYBER	14274	52983	\N	\N	\N
1245019	4259	1997-08-10	VYBER	VYBER	15894	26712	\N	\N	\N
1245020	4259	1997-03-23	VYBER	VYBER	17295	29955	\N	\N	\N
1245021	4259	1997-12-21	VYBER	VYBER	14788	46203	\N	\N	\N
1245022	4259	1997-03-18	VYBER	VYBER	5733	47250	\N	\N	\N
1245023	4259	1998-02-17	VYBER	VYBER	7729	50618	\N	\N	\N
1245024	4259	1998-03-23	VYBER	VYBER	5738	55489	\N	\N	\N
1245025	4259	1998-05-22	VYBER	VYBER	2425	64905	\N	\N	\N
1245026	4259	1998-07-01	VYBER	VYBER	23555	42411	\N	\N	\N
1245027	4259	1998-06-03	VYBER	VYBER	16747	40032	\N	\N	\N
1245028	4259	1998-09-12	VYBER	VYBER	11182	49144	\N	\N	\N
1245030	4259	1995-06-19	VYDAJ	VYBER	18000	29581	\N	\N	\N
1245031	4259	1996-06-14	VYDAJ	VYBER	51300	47888	\N	\N	\N
1245035	4259	1995-01-14	VYDAJ	VYBER	18300	48964	\N	\N	\N
1245036	4259	1996-01-04	VYDAJ	VYBER	3300	36860	\N	\N	\N
1245038	4259	1998-01-29	VYDAJ	VYBER	12300	31752	\N	\N	\N
1245039	4259	1994-12-30	VYDAJ	VYBER	5700	71107	\N	\N	\N
1245040	4259	1995-12-25	VYDAJ	VYBER	7200	50592	\N	\N	\N
1245041	4259	1996-12-16	VYDAJ	VYBER	4800	53538	\N	\N	\N
1245042	4259	1997-12-22	VYDAJ	VYBER	6900	39303	\N	\N	\N
1245043	4259	1998-12-02	VYDAJ	VYBER	5400	60556	\N	\N	\N
1245050	4259	1995-01-03	VYDAJ	VYBER	6900	64443	\N	\N	\N
1245051	4259	1995-01-12	VYDAJ	VYBER	5400	35988	\N	\N	\N
1245052	4259	1995-01-10	VYDAJ	VYBER	1500	41388	\N	\N	\N
1245053	4259	1995-01-24	VYDAJ	VYBER	1500	39964	\N	\N	\N
1245054	4259	1995-01-17	VYDAJ	VYBER	4500	41464	\N	\N	\N
1245055	4259	1995-01-15	VYDAJ	VYBER	3000	45964	\N	\N	\N
1245056	4259	1996-01-21	VYDAJ	VYBER	6900	44281	\N	\N	\N
1245057	4259	1996-01-12	VYDAJ	VYBER	6900	27705	\N	\N	\N
1245058	4259	1996-01-23	VYDAJ	VYBER	7200	31981	\N	\N	\N
1245059	4259	1996-01-22	VYDAJ	VYBER	5100	39181	\N	\N	\N
1245060	4259	1996-01-14	VYDAJ	VYBER	3900	55081	\N	\N	\N
1245061	4259	1996-01-17	VYDAJ	VYBER	3900	51181	\N	\N	\N
1245062	4259	1997-01-24	VYDAJ	VYBER	8400	26681	\N	\N	\N
1245063	4259	1997-01-15	VYDAJ	VYBER	4200	52381	\N	\N	\N
1245065	4259	1997-01-22	VYDAJ	VYBER	2400	35081	\N	\N	\N
1245066	4259	1997-01-13	VYDAJ	VYBER	2400	56581	\N	\N	\N
1245067	4259	1997-01-11	VYDAJ	VYBER	3000	24387	\N	\N	\N
1245068	4259	1998-01-12	VYDAJ	VYBER	1800	26858	\N	\N	\N
1245069	4259	1998-01-24	VYDAJ	VYBER	1500	44052	\N	\N	\N
1245070	4259	1998-01-14	VYDAJ	VYBER	3600	57852	\N	\N	\N
1245071	4259	1998-01-18	VYDAJ	VYBER	1500	45552	\N	\N	\N
1245072	4259	1998-01-11	VYDAJ	VYBER	6000	28658	\N	\N	\N
1245073	4259	1998-01-16	VYDAJ	VYBER	8100	49752	\N	\N	\N
1245076	4259	1994-10-25	VYDAJ	VYBER	6000	76975	\N	\N	\N
1245078	4259	1995-09-25	VYDAJ	VYBER	8400	56078	\N	\N	\N
1245079	4259	1995-11-12	VYDAJ	VYBER	14100	34514	\N	\N	\N
1245080	4259	1995-09-06	VYDAJ	VYBER	9600	39202	\N	\N	\N
1245081	4259	1995-03-30	VYDAJ	VYBER	9900	63780	\N	\N	\N
1245083	4259	1995-02-20	VYDAJ	VYBER	6000	58564	\N	\N	\N
1245084	4259	1996-08-02	VYDAJ	VYBER	3900	33297	\N	\N	\N
1245085	4259	1996-10-11	VYDAJ	VYBER	4800	33884	\N	\N	\N
1245086	4259	1996-08-07	VYDAJ	VYBER	6900	24142	\N	\N	\N
1245087	4259	1996-12-24	VYDAJ	VYBER	1800	35138	\N	\N	\N
1245088	4259	1997-10-23	VYDAJ	VYBER	5100	50614	\N	\N	\N
1245089	4259	1997-07-24	VYDAJ	VYBER	9000	49212	\N	\N	\N
1245092	4259	1997-08-21	VYDAJ	VYBER	12900	34206	\N	\N	\N
1245094	4259	1997-04-26	VYDAJ	VYBER	7500	28447	\N	\N	\N
1245095	4259	1998-12-17	VYDAJ	VYBER	12900	59150	\N	\N	\N
1245096	4259	1998-11-22	VYDAJ	VYBER	10800	69256	\N	\N	\N
1245097	4259	1998-05-31	VYDAJ	VYBER	8400	56793	\N	\N	\N
1245106	4259	1994-08-31	VYDAJ	VYBER	15	90117	SLUZBY	\N	\N
1245107	4259	1994-09-30	VYDAJ	VYBER	15	81654	SLUZBY	\N	\N
1245108	4259	1994-10-31	VYDAJ	VYBER	15	77270	SLUZBY	\N	\N
1245109	4259	1994-11-30	VYDAJ	VYBER	15	38289	SLUZBY	\N	\N
1245110	4259	1994-12-31	VYDAJ	VYBER	15	71343	SLUZBY	\N	\N
1245111	4259	1995-01-31	VYDAJ	VYBER	15	40143	SLUZBY	\N	\N
1245112	4259	1995-02-28	VYDAJ	VYBER	15	58759	SLUZBY	\N	\N
1245113	4259	1995-03-31	VYDAJ	VYBER	15	64030	SLUZBY	\N	\N
1245114	4259	1995-04-30	VYDAJ	VYBER	15	74407	SLUZBY	\N	\N
1245115	4259	1995-05-31	VYDAJ	VYBER	15	78005	SLUZBY	\N	\N
1245116	4259	1995-06-30	VYDAJ	VYBER	15	29767	SLUZBY	\N	\N
1245117	4259	1995-07-31	VYDAJ	VYBER	15	58567	SLUZBY	\N	\N
1245118	4259	1995-08-31	VYDAJ	VYBER	15	51057	SLUZBY	\N	\N
1245119	4259	1995-09-30	VYDAJ	VYBER	15	44787	SLUZBY	\N	\N
1245120	4259	1995-10-31	VYDAJ	VYBER	15	50869	SLUZBY	\N	\N
1245121	4259	1995-11-30	VYDAJ	VYBER	15	48916	SLUZBY	\N	\N
1245122	4259	1995-12-31	VYDAJ	VYBER	15	40160	SLUZBY	\N	\N
1245123	4259	1996-01-31	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
1245124	4259	1996-02-29	VYDAJ	VYBER	15	40144	SLUZBY	\N	\N
1245125	4259	1996-03-31	VYDAJ	VYBER	15	47278	SLUZBY	\N	\N
1245126	4259	1996-04-30	VYDAJ	VYBER	15	49037	SLUZBY	\N	\N
1245127	4259	1996-05-31	VYDAJ	VYBER	15	48112	SLUZBY	\N	\N
1245128	4259	1996-06-30	VYDAJ	VYBER	15	37371	SLUZBY	\N	\N
1245129	4259	1996-07-31	VYDAJ	VYBER	15	37197	SLUZBY	\N	\N
1245130	4259	1996-08-31	VYDAJ	VYBER	15	37975	SLUZBY	\N	\N
1245131	4259	1996-09-30	VYDAJ	VYBER	15	40939	SLUZBY	\N	\N
1245132	4259	1996-10-31	VYDAJ	VYBER	15	47076	SLUZBY	\N	\N
1245133	4259	1996-11-30	VYDAJ	VYBER	15	51544	SLUZBY	\N	\N
1245134	4259	1996-12-31	VYDAJ	VYBER	15	32842	SLUZBY	\N	\N
1245135	4259	1997-01-31	VYDAJ	VYBER	15	26820	SLUZBY	\N	\N
1245136	4259	1997-02-28	VYDAJ	VYBER	15	39118	SLUZBY	\N	\N
1245137	4259	1997-03-31	VYDAJ	VYBER	15	24608	SLUZBY	\N	\N
1245138	4259	1997-04-30	VYDAJ	VYBER	15	28577	SLUZBY	\N	\N
1245139	4259	1997-05-31	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
1245140	4259	1997-06-30	VYDAJ	VYBER	15	55273	SLUZBY	\N	\N
1245141	4259	1997-07-31	VYDAJ	VYBER	15	49461	SLUZBY	\N	\N
1245142	4259	1997-08-31	VYDAJ	VYBER	15	34370	SLUZBY	\N	\N
1245143	4259	1997-09-30	VYDAJ	VYBER	15	46475	SLUZBY	\N	\N
1245144	4259	1997-10-31	VYDAJ	VYBER	15	50819	SLUZBY	\N	\N
1245145	4259	1997-11-30	VYDAJ	VYBER	15	61997	SLUZBY	\N	\N
1245146	4259	1997-12-31	VYDAJ	VYBER	15	39513	SLUZBY	\N	\N
1245147	4259	1998-01-31	VYDAJ	VYBER	15	31908	SLUZBY	\N	\N
1245148	4259	1998-02-28	VYDAJ	VYBER	15	47688	SLUZBY	\N	\N
1245149	4259	1998-03-31	VYDAJ	VYBER	15	55707	SLUZBY	\N	\N
1245150	4259	1998-04-30	VYDAJ	VYBER	15	63491	SLUZBY	\N	\N
1245151	4259	1998-05-31	VYDAJ	VYBER	15	56779	SLUZBY	\N	\N
1245152	4259	1998-06-30	VYDAJ	VYBER	15	65966	SLUZBY	\N	\N
1245153	4259	1998-07-31	VYDAJ	VYBER	15	61980	SLUZBY	\N	\N
1245154	4259	1998-08-31	VYDAJ	VYBER	15	67081	SLUZBY	\N	\N
1245155	4259	1998-09-30	VYDAJ	VYBER	15	68394	SLUZBY	\N	\N
1245156	4259	1998-10-31	VYDAJ	VYBER	15	76017	SLUZBY	\N	\N
1245157	4259	1998-11-30	VYDAJ	VYBER	15	65956	SLUZBY	\N	\N
1245158	4259	1994-05-08	VYDAJ	VYBER	9600	35523	\N	\N	\N
1245159	4259	1994-06-07	VYDAJ	VYBER	26700	53209	\N	\N	\N
1245160	4259	1994-06-13	VYDAJ	VYBER	64300	55074	\N	\N	\N
1245161	4259	1994-07-07	VYDAJ	VYBER	17300	38044	\N	\N	\N
1245162	4259	1994-08-06	VYDAJ	VYBER	27300	55153	\N	\N	\N
1245163	4259	1994-09-05	VYDAJ	VYBER	33900	56217	\N	\N	\N
1245164	4259	1994-10-05	VYDAJ	VYBER	27700	53954	\N	\N	\N
1245165	4259	1994-11-04	VYDAJ	VYBER	27200	50070	\N	\N	\N
1245166	4259	1994-12-04	VYDAJ	VYBER	5800	32489	\N	\N	\N
1245167	4259	1995-01-03	VYDAJ	VYBER	19300	45143	\N	\N	\N
1245168	4259	1995-02-02	VYDAJ	VYBER	4600	35543	\N	\N	\N
1245169	4259	1995-03-04	VYDAJ	VYBER	14100	44659	\N	\N	\N
1245170	4259	1995-04-03	VYDAJ	VYBER	18900	45130	\N	\N	\N
1245171	4259	1995-05-03	VYDAJ	VYBER	25700	48707	\N	\N	\N
1245172	4259	1995-06-02	VYDAJ	VYBER	24300	53705	\N	\N	\N
1245173	4259	1995-06-13	VYDAJ	VYBER	57200	57097	\N	\N	\N
1245174	4259	1995-07-02	VYDAJ	VYBER	400	29367	\N	\N	\N
1245175	4259	1995-08-01	VYDAJ	VYBER	15100	43467	\N	\N	\N
1245176	4259	1995-08-31	VYDAJ	VYBER	21700	51071	\N	\N	\N
1245177	4259	1995-09-30	VYDAJ	VYBER	11500	44801	\N	\N	\N
1245178	4259	1995-10-30	VYDAJ	VYBER	23200	50608	\N	\N	\N
1245179	4259	1995-11-29	VYDAJ	VYBER	17100	48690	\N	\N	\N
1245180	4259	1995-12-13	VYDAJ	VYBER	42200	57792	\N	\N	\N
1245181	4259	1995-12-29	VYDAJ	VYBER	10700	39892	\N	\N	\N
1245182	4259	1996-01-28	VYDAJ	VYBER	2200	29781	\N	\N	\N
1245183	4259	1996-02-27	VYDAJ	VYBER	19000	39953	\N	\N	\N
1245184	4259	1996-03-28	VYDAJ	VYBER	22100	47065	\N	\N	\N
1245185	4259	1996-04-27	VYDAJ	VYBER	27500	48799	\N	\N	\N
1245186	4259	1996-05-27	VYDAJ	VYBER	20900	47860	\N	\N	\N
1245187	4259	1996-06-26	VYDAJ	VYBER	10700	37188	\N	\N	\N
1245188	4259	1996-07-26	VYDAJ	VYBER	16200	37025	\N	\N	\N
1245189	4259	1996-08-25	VYDAJ	VYBER	17600	37818	\N	\N	\N
1245190	4259	1996-09-24	VYDAJ	VYBER	16200	40764	\N	\N	\N
1245191	4259	1996-10-24	VYDAJ	VYBER	19100	46878	\N	\N	\N
1245192	4259	1996-11-23	VYDAJ	VYBER	23700	51315	\N	\N	\N
1245193	4259	1996-12-13	VYDAJ	VYBER	47600	58338	\N	\N	\N
1245194	4259	1996-12-23	VYDAJ	VYBER	16600	36938	\N	\N	\N
1245195	4259	1997-01-22	VYDAJ	VYBER	14900	37481	\N	\N	\N
1245196	4259	1997-02-21	VYDAJ	VYBER	18000	38959	\N	\N	\N
1245197	4259	1997-03-23	VYDAJ	VYBER	5500	24455	\N	\N	\N
1245198	4259	1997-04-22	VYDAJ	VYBER	16700	35947	\N	\N	\N
1245199	4259	1997-05-22	VYDAJ	VYBER	19100	38216	\N	\N	\N
1245200	4259	1997-06-21	VYDAJ	VYBER	33800	55058	\N	\N	\N
1245201	4259	1997-07-21	VYDAJ	VYBER	26800	58212	\N	\N	\N
1245202	4259	1997-08-20	VYDAJ	VYBER	14200	47106	\N	\N	\N
1245203	4259	1997-09-19	VYDAJ	VYBER	18200	46309	\N	\N	\N
1245204	4259	1997-10-19	VYDAJ	VYBER	20400	55714	\N	\N	\N
1245205	4259	1997-11-18	VYDAJ	VYBER	18800	61758	\N	\N	\N
1245206	4259	1997-12-13	VYDAJ	VYBER	40900	82207	\N	\N	\N
1245207	4259	1997-12-18	VYDAJ	VYBER	11700	60991	\N	\N	\N
1245208	4259	1998-01-17	VYDAJ	VYBER	2700	47052	\N	\N	\N
1245209	4259	1998-02-16	VYDAJ	VYBER	5900	58347	\N	\N	\N
1245210	4259	1998-03-18	VYDAJ	VYBER	14900	61227	\N	\N	\N
1245211	4259	1998-04-17	VYDAJ	VYBER	22300	63246	\N	\N	\N
1245212	4259	1998-05-17	VYDAJ	VYBER	25600	70230	\N	\N	\N
1245213	4259	1998-06-16	VYDAJ	VYBER	22500	69026	\N	\N	\N
1245214	4259	1998-07-16	VYDAJ	VYBER	13000	61750	\N	\N	\N
1245215	4259	1998-08-15	VYDAJ	VYBER	24700	69619	\N	\N	\N
1245216	4259	1998-09-14	VYDAJ	VYBER	15600	68138	\N	\N	\N
1245217	4259	1998-10-14	VYDAJ	VYBER	22000	75733	\N	\N	\N
1245218	4259	1998-11-13	VYDAJ	VYBER	23700	94172	\N	\N	\N
1245219	4259	1998-12-13	VYDAJ	VYBER	23300	81566	\N	\N	\N
1245220	4259	1998-12-13	VYDAJ	VYBER	19600	104866	\N	\N	\N
1245278	4260	1993-10-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1245289	4260	1993-11-06	PRIJEM	PREVOD Z UCTU	24453	25453	\N	IJ	35805535
1245290	4260	1993-12-06	PRIJEM	PREVOD Z UCTU	36680	62898	\N	IJ	35805535
1245291	4260	1994-01-06	PRIJEM	PREVOD Z UCTU	24453	70511	\N	IJ	35805535
1245292	4260	1994-02-06	PRIJEM	PREVOD Z UCTU	24453	72460	\N	IJ	35805535
1245293	4260	1994-03-06	PRIJEM	PREVOD Z UCTU	24453	72513	\N	IJ	35805535
1245294	4260	1994-04-06	PRIJEM	PREVOD Z UCTU	24453	43886	\N	IJ	35805535
1245295	4260	1994-05-06	PRIJEM	PREVOD Z UCTU	24453	53642	\N	IJ	35805535
1245296	4260	1994-06-06	PRIJEM	PREVOD Z UCTU	36680	63139	\N	IJ	35805535
1245297	4260	1994-07-06	PRIJEM	PREVOD Z UCTU	24453	45867	\N	IJ	35805535
1245298	4260	1994-08-06	PRIJEM	PREVOD Z UCTU	24453	48723	\N	IJ	35805535
1245299	4260	1994-09-06	PRIJEM	PREVOD Z UCTU	24453	52995	\N	IJ	35805535
1245300	4260	1994-10-06	PRIJEM	PREVOD Z UCTU	24453	48861	\N	IJ	35805535
1245301	4260	1994-11-06	PRIJEM	PREVOD Z UCTU	24453	40397	\N	IJ	35805535
1245302	4260	1994-12-06	PRIJEM	PREVOD Z UCTU	36680	50245	\N	IJ	35805535
1245303	4260	1995-01-06	PRIJEM	PREVOD Z UCTU	24453	42678	\N	IJ	35805535
1245304	4260	1995-02-06	PRIJEM	PREVOD Z UCTU	24453	32786	\N	IJ	35805535
1245305	4260	1995-03-06	PRIJEM	PREVOD Z UCTU	24453	37203	\N	IJ	35805535
1245306	4260	1995-04-06	PRIJEM	PREVOD Z UCTU	24453	35112	\N	IJ	35805535
1245307	4260	1995-05-06	PRIJEM	PREVOD Z UCTU	24453	37328	\N	IJ	35805535
1245308	4260	1995-06-06	PRIJEM	PREVOD Z UCTU	36680	49172	\N	IJ	35805535
1245309	4260	1995-07-06	PRIJEM	PREVOD Z UCTU	24453	43420	\N	IJ	35805535
1245310	4260	1995-08-06	PRIJEM	PREVOD Z UCTU	24453	29674	\N	IJ	35805535
1245311	4260	1995-09-06	PRIJEM	PREVOD Z UCTU	24453	35578	\N	IJ	35805535
1245312	4260	1995-10-06	PRIJEM	PREVOD Z UCTU	24453	40722	\N	IJ	35805535
1245313	4260	1995-11-06	PRIJEM	PREVOD Z UCTU	24453	39887	\N	IJ	35805535
1245314	4260	1995-12-06	PRIJEM	PREVOD Z UCTU	36680	46367	\N	IJ	35805535
1245315	4260	1996-01-06	PRIJEM	PREVOD Z UCTU	24453	41026	\N	IJ	35805535
1245316	4260	1996-02-06	PRIJEM	PREVOD Z UCTU	24453	41996	\N	IJ	35805535
1245317	4260	1996-03-06	PRIJEM	PREVOD Z UCTU	24453	42869	\N	IJ	35805535
1245318	4260	1996-04-06	PRIJEM	PREVOD Z UCTU	24453	42646	\N	IJ	35805535
1245319	4260	1996-05-06	PRIJEM	PREVOD Z UCTU	24453	40623	\N	IJ	35805535
1245320	4260	1996-06-06	PRIJEM	PREVOD Z UCTU	36680	52919	\N	IJ	35805535
1245321	4260	1996-07-06	PRIJEM	PREVOD Z UCTU	24453	40191	\N	IJ	35805535
1245322	4260	1996-08-06	PRIJEM	PREVOD Z UCTU	24453	39436	\N	IJ	35805535
1245323	4260	1996-09-06	PRIJEM	PREVOD Z UCTU	24453	47880	\N	IJ	35805535
1245324	4260	1996-10-06	PRIJEM	PREVOD Z UCTU	24453	36351	\N	IJ	35805535
1245325	4260	1996-11-06	PRIJEM	PREVOD Z UCTU	24453	44783	\N	IJ	35805535
1245326	4260	1996-12-06	PRIJEM	PREVOD Z UCTU	36680	60976	\N	IJ	35805535
1245327	4260	1997-01-06	PRIJEM	PREVOD Z UCTU	24453	45702	\N	IJ	35805535
1245328	4260	1997-02-06	PRIJEM	PREVOD Z UCTU	24453	40035	\N	IJ	35805535
1245329	4260	1997-03-06	PRIJEM	PREVOD Z UCTU	24453	48481	\N	IJ	35805535
1245330	4260	1997-04-06	PRIJEM	PREVOD Z UCTU	24453	37850	\N	IJ	35805535
1245331	4260	1997-05-06	PRIJEM	PREVOD Z UCTU	24453	46287	\N	IJ	35805535
1245332	4260	1997-06-06	PRIJEM	PREVOD Z UCTU	36680	51273	\N	IJ	35805535
1245333	4260	1997-07-06	PRIJEM	PREVOD Z UCTU	24453	37733	\N	IJ	35805535
1245334	4260	1997-08-06	PRIJEM	PREVOD Z UCTU	24453	46169	\N	IJ	35805535
1245335	4260	1997-09-06	PRIJEM	PREVOD Z UCTU	24453	54641	\N	IJ	35805535
1245336	4260	1997-10-06	PRIJEM	PREVOD Z UCTU	24453	40523	\N	IJ	35805535
1245337	4260	1997-11-06	PRIJEM	PREVOD Z UCTU	24453	48971	\N	IJ	35805535
1245338	4260	1997-12-06	PRIJEM	PREVOD Z UCTU	36680	69681	\N	IJ	35805535
1245339	4260	1998-01-06	PRIJEM	PREVOD Z UCTU	24453	59249	\N	IJ	35805535
1245340	4260	1998-02-06	PRIJEM	PREVOD Z UCTU	24453	47945	\N	IJ	35805535
1245341	4260	1998-03-06	PRIJEM	PREVOD Z UCTU	24453	56423	\N	IJ	35805535
1245342	4260	1998-04-06	PRIJEM	PREVOD Z UCTU	24453	64937	\N	IJ	35805535
1245343	4260	1998-05-06	PRIJEM	PREVOD Z UCTU	24453	42844	\N	IJ	35805535
1245344	4260	1998-06-06	PRIJEM	PREVOD Z UCTU	36680	63528	\N	IJ	35805535
1245345	4260	1998-07-06	PRIJEM	PREVOD Z UCTU	24453	42875	\N	IJ	35805535
1245346	4260	1998-08-06	PRIJEM	PREVOD Z UCTU	24453	51332	\N	IJ	35805535
1245347	4260	1998-09-06	PRIJEM	PREVOD Z UCTU	24453	59824	\N	IJ	35805535
1245348	4260	1998-10-06	PRIJEM	PREVOD Z UCTU	24453	68352	\N	IJ	35805535
1245349	4260	1998-11-06	PRIJEM	PREVOD Z UCTU	24453	67157	\N	IJ	35805535
1245350	4260	1998-12-06	PRIJEM	PREVOD Z UCTU	36680	70564	\N	IJ	35805535
1245365	4260	1994-03-08	VYDAJ	VYBER	4300	52261	\N	\N	0
1245366	4260	1994-04-03	VYDAJ	VYBER	3600	19433	\N	\N	0
1245367	4260	1994-05-14	VYDAJ	VYBER	3900	31136	\N	\N	0
1245368	4260	1994-05-30	VYDAJ	VYBER	4800	26336	\N	\N	0
1245369	4260	1994-07-12	VYDAJ	PREVOD NA UCET	4076	24186	UVER	EF	42941677
1245370	4260	1994-08-12	VYDAJ	PREVOD NA UCET	4076	28442	UVER	EF	42941677
1245371	4260	1994-09-12	VYDAJ	PREVOD NA UCET	4076	24313	UVER	EF	42941677
1245372	4260	1994-10-12	VYDAJ	PREVOD NA UCET	4076	15880	UVER	EF	42941677
1245373	4260	1994-11-12	VYDAJ	PREVOD NA UCET	4076	13515	UVER	EF	42941677
1245374	4260	1994-12-12	VYDAJ	PREVOD NA UCET	4076	18163	UVER	EF	42941677
1245375	4260	1995-01-12	VYDAJ	PREVOD NA UCET	4076	8297	UVER	EF	42941677
1245376	4260	1995-02-12	VYDAJ	PREVOD NA UCET	4076	12705	UVER	EF	42941677
1245377	4260	1995-03-12	VYDAJ	PREVOD NA UCET	4076	10622	UVER	EF	42941677
1245378	4260	1995-04-12	VYDAJ	PREVOD NA UCET	4076	12830	UVER	EF	42941677
1245379	4260	1995-05-12	VYDAJ	PREVOD NA UCET	4076	12447	UVER	EF	42941677
1245380	4260	1995-06-12	VYDAJ	PREVOD NA UCET	4076	18890	UVER	EF	42941677
1245381	4260	1995-07-12	VYDAJ	PREVOD NA UCET	4076	5189	UVER	EF	42941677
1245382	4260	1995-08-12	VYDAJ	PREVOD NA UCET	4076	13592	UVER	EF	42941677
1245383	4260	1995-09-12	VYDAJ	PREVOD NA UCET	4076	19496	UVER	EF	42941677
1245384	4260	1995-10-12	VYDAJ	PREVOD NA UCET	4076	24640	UVER	EF	42941677
1245385	4260	1995-11-12	VYDAJ	PREVOD NA UCET	4076	9630	UVER	EF	42941677
1245386	4260	1995-12-12	VYDAJ	PREVOD NA UCET	4076	30285	UVER	EF	42941677
1245387	4260	1996-01-12	VYDAJ	PREVOD NA UCET	4076	24944	UVER	EF	42941677
1245388	4260	1996-02-12	VYDAJ	PREVOD NA UCET	4076	25914	UVER	EF	42941677
1245389	4260	1996-03-12	VYDAJ	PREVOD NA UCET	4076	26787	UVER	EF	42941677
1245390	4260	1996-04-12	VYDAJ	PREVOD NA UCET	4076	26564	UVER	EF	42941677
1245391	4260	1996-05-12	VYDAJ	PREVOD NA UCET	4076	24542	UVER	EF	42941677
1245392	4260	1996-06-12	VYDAJ	PREVOD NA UCET	4076	36837	UVER	EF	42941677
1245393	4260	1996-07-12	VYDAJ	PREVOD NA UCET	4076	24109	UVER	EF	42941677
1245394	4260	1996-08-12	VYDAJ	PREVOD NA UCET	4076	23354	UVER	EF	42941677
1245395	4260	1996-09-12	VYDAJ	PREVOD NA UCET	4076	31799	UVER	EF	42941677
1245396	4260	1996-10-12	VYDAJ	PREVOD NA UCET	4076	20270	UVER	EF	42941677
1245397	4260	1996-11-12	VYDAJ	PREVOD NA UCET	4076	28701	UVER	EF	42941677
1245398	4260	1996-12-12	VYDAJ	PREVOD NA UCET	4076	44895	UVER	EF	42941677
1245399	4260	1997-01-12	VYDAJ	PREVOD NA UCET	4076	15520	UVER	EF	42941677
1245400	4260	1997-02-12	VYDAJ	PREVOD NA UCET	4076	23954	UVER	EF	42941677
1245401	4260	1997-03-12	VYDAJ	PREVOD NA UCET	4076	32399	UVER	EF	42941677
1245402	4260	1997-04-12	VYDAJ	PREVOD NA UCET	4076	21768	UVER	EF	42941677
1245403	4260	1997-05-12	VYDAJ	PREVOD NA UCET	4076	30205	UVER	EF	42941677
1245404	4260	1997-06-12	VYDAJ	PREVOD NA UCET	4076	35192	UVER	EF	42941677
1245405	4260	1997-07-12	VYDAJ	PREVOD NA UCET	4076	21651	UVER	EF	42941677
1245406	4260	1997-08-12	VYDAJ	PREVOD NA UCET	4076	30088	UVER	EF	42941677
1245407	4260	1997-09-12	VYDAJ	PREVOD NA UCET	4076	38560	UVER	EF	42941677
1245408	4260	1997-10-12	VYDAJ	PREVOD NA UCET	4076	24441	UVER	EF	42941677
1245409	4260	1997-11-12	VYDAJ	PREVOD NA UCET	4076	32890	UVER	EF	42941677
1245410	4260	1997-12-12	VYDAJ	PREVOD NA UCET	4076	53600	UVER	EF	42941677
1245411	4260	1998-01-12	VYDAJ	PREVOD NA UCET	4076	43167	UVER	EF	42941677
1245412	4260	1998-02-12	VYDAJ	PREVOD NA UCET	4076	31864	UVER	EF	42941677
1245413	4260	1998-03-12	VYDAJ	PREVOD NA UCET	4076	40341	UVER	EF	42941677
1245414	4260	1998-04-12	VYDAJ	PREVOD NA UCET	4076	48855	UVER	EF	42941677
1245415	4260	1998-05-12	VYDAJ	PREVOD NA UCET	4076	26762	UVER	EF	42941677
1245416	4260	1998-06-12	VYDAJ	PREVOD NA UCET	4076	18346	UVER	EF	42941677
1245417	4260	1998-07-12	VYDAJ	PREVOD NA UCET	4076	26793	UVER	EF	42941677
1245418	4260	1998-08-12	VYDAJ	PREVOD NA UCET	4076	35251	UVER	EF	42941677
1245419	4260	1998-09-12	VYDAJ	PREVOD NA UCET	4076	43743	UVER	EF	42941677
1245420	4260	1998-10-12	VYDAJ	PREVOD NA UCET	4076	42535	UVER	EF	42941677
1245421	4260	1998-11-12	VYDAJ	PREVOD NA UCET	4076	51076	UVER	EF	42941677
1245422	4260	1998-12-12	VYDAJ	PREVOD NA UCET	4076	54483	UVER	EF	42941677
1245437	4260	1994-03-10	VYDAJ	PREVOD NA UCET	12006	40255	SIPO	OP	18079054
1245438	4260	1994-04-10	VYDAJ	PREVOD NA UCET	12006	27680	SIPO	OP	18079054
1245439	4260	1994-05-10	VYDAJ	PREVOD NA UCET	12006	37736	SIPO	OP	18079054
1245440	4260	1994-06-10	VYDAJ	PREVOD NA UCET	12006	26533	SIPO	OP	18079054
1245441	4260	1994-07-10	VYDAJ	PREVOD NA UCET	12006	33861	SIPO	OP	18079054
1245442	4260	1994-08-10	VYDAJ	PREVOD NA UCET	12006	36717	SIPO	OP	18079054
1245443	4260	1994-09-10	VYDAJ	PREVOD NA UCET	12006	28389	SIPO	OP	18079054
1245444	4260	1994-10-10	VYDAJ	PREVOD NA UCET	12006	19955	SIPO	OP	18079054
1245445	4260	1994-11-10	VYDAJ	PREVOD NA UCET	12006	17591	SIPO	OP	18079054
1245446	4260	1994-12-10	VYDAJ	PREVOD NA UCET	12006	22239	SIPO	OP	18079054
1245447	4260	1995-01-10	VYDAJ	PREVOD NA UCET	12006	12372	SIPO	OP	18079054
1245448	4260	1995-02-10	VYDAJ	PREVOD NA UCET	12006	16780	SIPO	OP	18079054
1245449	4260	1995-03-10	VYDAJ	PREVOD NA UCET	12006	14697	SIPO	OP	18079054
1245450	4260	1995-04-10	VYDAJ	PREVOD NA UCET	12006	16906	SIPO	OP	18079054
1245451	4260	1995-05-10	VYDAJ	PREVOD NA UCET	12006	16522	SIPO	OP	18079054
1245452	4260	1995-06-10	VYDAJ	PREVOD NA UCET	12006	22966	SIPO	OP	18079054
1245453	4260	1995-07-10	VYDAJ	PREVOD NA UCET	12006	9264	SIPO	OP	18079054
1245454	4260	1995-08-10	VYDAJ	PREVOD NA UCET	12006	17668	SIPO	OP	18079054
1245455	4260	1995-09-10	VYDAJ	PREVOD NA UCET	12006	23572	SIPO	OP	18079054
1245456	4260	1995-10-10	VYDAJ	PREVOD NA UCET	12006	28716	SIPO	OP	18079054
1245457	4260	1995-11-10	VYDAJ	PREVOD NA UCET	12006	13705	SIPO	OP	18079054
1245458	4260	1995-12-10	VYDAJ	PREVOD NA UCET	12006	34361	SIPO	OP	18079054
1245459	4260	1996-01-10	VYDAJ	PREVOD NA UCET	12006	29020	SIPO	OP	18079054
1245460	4260	1996-02-10	VYDAJ	PREVOD NA UCET	12006	29990	SIPO	OP	18079054
1245461	4260	1996-03-10	VYDAJ	PREVOD NA UCET	12006	30863	SIPO	OP	18079054
1245462	4260	1996-04-10	VYDAJ	PREVOD NA UCET	12006	30640	SIPO	OP	18079054
1245463	4260	1996-05-10	VYDAJ	PREVOD NA UCET	12006	28617	SIPO	OP	18079054
1245464	4260	1996-06-10	VYDAJ	PREVOD NA UCET	12006	40913	SIPO	OP	18079054
1245465	4260	1996-07-10	VYDAJ	PREVOD NA UCET	12006	28185	SIPO	OP	18079054
1245466	4260	1996-08-10	VYDAJ	PREVOD NA UCET	12006	27430	SIPO	OP	18079054
1245467	4260	1996-09-10	VYDAJ	PREVOD NA UCET	12006	35874	SIPO	OP	18079054
1245468	4260	1996-10-10	VYDAJ	PREVOD NA UCET	12006	24345	SIPO	OP	18079054
1245469	4260	1996-11-10	VYDAJ	PREVOD NA UCET	12006	32777	SIPO	OP	18079054
1245470	4260	1996-12-10	VYDAJ	PREVOD NA UCET	12006	48970	SIPO	OP	18079054
1245471	4260	1997-01-10	VYDAJ	PREVOD NA UCET	12006	19596	SIPO	OP	18079054
1245472	4260	1997-02-10	VYDAJ	PREVOD NA UCET	12006	28029	SIPO	OP	18079054
1245473	4260	1997-03-10	VYDAJ	PREVOD NA UCET	12006	36475	SIPO	OP	18079054
1245474	4260	1997-04-10	VYDAJ	PREVOD NA UCET	12006	25844	SIPO	OP	18079054
1245475	4260	1997-05-10	VYDAJ	PREVOD NA UCET	12006	34281	SIPO	OP	18079054
1245476	4260	1997-06-10	VYDAJ	PREVOD NA UCET	12006	39267	SIPO	OP	18079054
1245477	4260	1997-07-10	VYDAJ	PREVOD NA UCET	12006	25727	SIPO	OP	18079054
1245478	4260	1997-08-10	VYDAJ	PREVOD NA UCET	12006	34163	SIPO	OP	18079054
1245479	4260	1997-09-10	VYDAJ	PREVOD NA UCET	12006	42635	SIPO	OP	18079054
1245480	4260	1997-10-10	VYDAJ	PREVOD NA UCET	12006	28517	SIPO	OP	18079054
1245481	4260	1997-11-10	VYDAJ	PREVOD NA UCET	12006	36965	SIPO	OP	18079054
1245482	4260	1997-12-10	VYDAJ	PREVOD NA UCET	12006	57675	SIPO	OP	18079054
1245483	4260	1998-01-10	VYDAJ	PREVOD NA UCET	12006	47243	SIPO	OP	18079054
1245484	4260	1998-02-10	VYDAJ	PREVOD NA UCET	12006	35939	SIPO	OP	18079054
1245485	4260	1998-03-10	VYDAJ	PREVOD NA UCET	12006	44417	SIPO	OP	18079054
1245486	4260	1998-04-10	VYDAJ	PREVOD NA UCET	12006	52931	SIPO	OP	18079054
1245487	4260	1998-05-10	VYDAJ	PREVOD NA UCET	12006	30838	SIPO	OP	18079054
1245488	4260	1998-06-10	VYDAJ	PREVOD NA UCET	12006	51522	SIPO	OP	18079054
1245489	4260	1998-07-10	VYDAJ	PREVOD NA UCET	12006	30869	SIPO	OP	18079054
1245490	4260	1998-08-10	VYDAJ	PREVOD NA UCET	12006	39326	SIPO	OP	18079054
1245491	4260	1998-09-10	VYDAJ	PREVOD NA UCET	12006	47818	SIPO	OP	18079054
1245492	4260	1998-10-10	VYDAJ	PREVOD NA UCET	12006	46611	SIPO	OP	18079054
1245493	4260	1998-11-10	VYDAJ	PREVOD NA UCET	12006	55151	SIPO	OP	18079054
1245494	4260	1998-12-10	VYDAJ	PREVOD NA UCET	12006	58558	SIPO	OP	18079054
1245511	4260	1994-06-20	VYBER	VYBER	4107	21326	\N	\N	\N
1245512	4260	1994-03-15	VYBER	VYBER	6162	28693	\N	\N	\N
1245513	4260	1994-03-07	VYBER	VYBER	15952	56561	\N	\N	\N
1245515	4260	1994-04-01	VYBER	VYBER	5796	23033	\N	\N	\N
1245517	4260	1995-11-10	VYBER	VYBER	14176	25711	\N	\N	\N
1245518	4260	1995-07-08	VYBER	VYBER	9350	21270	\N	\N	\N
1245524	4260	1997-12-20	VYBER	VYBER	14758	38842	\N	\N	\N
1245527	4260	1998-11-15	VYBER	VYBER	17339	33737	\N	\N	\N
1245529	4260	1998-10-07	VYBER	VYBER	9735	58617	\N	\N	\N
1245532	4260	1994-06-09	VYDAJ	VYBER	24600	38539	\N	\N	\N
1245536	4260	1998-06-11	VYDAJ	VYBER	29100	22422	\N	\N	\N
1245540	4260	1996-12-05	VYDAJ	VYBER	4500	24296	\N	\N	\N
1245541	4260	1997-12-24	VYDAJ	VYBER	1800	34642	\N	\N	\N
1245542	4260	1998-12-15	VYDAJ	VYBER	2700	51783	\N	\N	\N
1245555	4260	1995-01-07	VYDAJ	VYBER	4500	38178	\N	\N	\N
1245560	4260	1995-01-08	VYDAJ	VYBER	7200	24378	\N	\N	\N
1245565	4260	1996-01-20	VYDAJ	VYBER	2100	22844	\N	\N	\N
1245568	4260	1997-01-08	VYDAJ	VYBER	2100	31602	\N	\N	\N
1245573	4260	1998-01-20	VYDAJ	VYBER	6900	30867	\N	\N	\N
1245574	4260	1998-01-30	VYDAJ	VYBER	1500	23367	\N	\N	\N
1245576	4260	1998-01-16	VYDAJ	VYBER	5400	37767	\N	\N	\N
1245578	4260	1998-01-24	VYDAJ	VYBER	6000	24867	\N	\N	\N
1245581	4260	1994-10-09	VYDAJ	VYBER	12000	36861	\N	\N	\N
1245583	4260	1994-04-08	VYDAJ	VYBER	4200	39686	\N	\N	\N
1245586	4260	1994-05-07	VYDAJ	VYBER	3900	49742	\N	\N	\N
1245594	4260	1996-06-23	VYDAJ	VYBER	10500	26337	\N	\N	\N
1245598	4260	1997-01-07	VYDAJ	VYBER	12000	33702	\N	\N	\N
1245599	4260	1997-12-22	VYDAJ	VYBER	2400	36442	\N	\N	\N
1245617	4260	1994-03-31	VYDAJ	VYBER	15	28829	SLUZBY	\N	\N
1245618	4260	1994-04-30	VYDAJ	VYBER	15	29189	SLUZBY	\N	\N
1245619	4260	1994-05-31	VYDAJ	VYBER	15	26459	SLUZBY	\N	\N
1245620	4260	1994-06-30	VYDAJ	VYBER	15	21414	SLUZBY	\N	\N
1245621	4260	1994-07-31	VYDAJ	VYBER	15	24270	SLUZBY	\N	\N
1245622	4260	1994-08-31	VYDAJ	VYBER	15	28542	SLUZBY	\N	\N
1245623	4260	1994-09-30	VYDAJ	VYBER	15	24408	SLUZBY	\N	\N
1245624	4260	1994-10-31	VYDAJ	VYBER	15	15944	SLUZBY	\N	\N
1245625	4260	1994-11-30	VYDAJ	VYBER	15	13565	SLUZBY	\N	\N
1245626	4260	1994-12-31	VYDAJ	VYBER	15	18225	SLUZBY	\N	\N
1245627	4260	1995-01-31	VYDAJ	VYBER	15	8333	SLUZBY	\N	\N
1245628	4260	1995-02-28	VYDAJ	VYBER	15	12750	SLUZBY	\N	\N
1245629	4260	1995-03-31	VYDAJ	VYBER	15	10659	SLUZBY	\N	\N
1245630	4260	1995-04-30	VYDAJ	VYBER	15	12875	SLUZBY	\N	\N
1245631	4260	1995-05-31	VYDAJ	VYBER	15	12492	SLUZBY	\N	\N
1245632	4260	1995-06-30	VYDAJ	VYBER	15	18967	SLUZBY	\N	\N
1245633	4260	1995-07-31	VYDAJ	VYBER	15	5221	SLUZBY	\N	\N
1245634	4260	1995-08-31	VYDAJ	VYBER	15	13625	SLUZBY	\N	\N
1245635	4260	1995-09-30	VYDAJ	VYBER	15	19569	SLUZBY	\N	\N
1245636	4260	1995-10-31	VYDAJ	VYBER	15	24734	SLUZBY	\N	\N
1245637	4260	1995-11-30	VYDAJ	VYBER	15	9687	SLUZBY	\N	\N
1245638	4260	1995-12-31	VYDAJ	VYBER	15	30373	SLUZBY	\N	\N
1245639	4260	1996-01-31	VYDAJ	VYBER	15	22943	SLUZBY	\N	\N
1245640	4260	1996-02-29	VYDAJ	VYBER	15	26016	SLUZBY	\N	\N
1245641	4260	1996-03-31	VYDAJ	VYBER	15	26893	SLUZBY	\N	\N
1245642	4260	1996-04-30	VYDAJ	VYBER	15	26670	SLUZBY	\N	\N
1245643	4260	1996-05-31	VYDAJ	VYBER	15	16239	SLUZBY	\N	\N
1245644	4260	1996-06-30	VYDAJ	VYBER	15	15738	SLUZBY	\N	\N
1245645	4260	1996-07-31	VYDAJ	VYBER	15	14983	SLUZBY	\N	\N
1245646	4260	1996-08-31	VYDAJ	VYBER	15	23427	SLUZBY	\N	\N
1245647	4260	1996-09-30	VYDAJ	VYBER	15	11898	SLUZBY	\N	\N
1245648	4260	1996-10-31	VYDAJ	VYBER	15	20330	SLUZBY	\N	\N
1245649	4260	1996-11-30	VYDAJ	VYBER	15	28796	SLUZBY	\N	\N
1245650	4260	1996-12-31	VYDAJ	VYBER	15	21249	SLUZBY	\N	\N
1245651	4260	1997-01-31	VYDAJ	VYBER	15	15582	SLUZBY	\N	\N
1245652	4260	1997-02-28	VYDAJ	VYBER	15	24028	SLUZBY	\N	\N
1245653	4260	1997-03-31	VYDAJ	VYBER	15	13397	SLUZBY	\N	\N
1245654	4260	1997-04-30	VYDAJ	VYBER	15	21834	SLUZBY	\N	\N
1245655	4260	1997-05-31	VYDAJ	VYBER	15	14593	SLUZBY	\N	\N
1245656	4260	1997-06-30	VYDAJ	VYBER	15	13280	SLUZBY	\N	\N
1245657	4260	1997-07-31	VYDAJ	VYBER	15	21716	SLUZBY	\N	\N
1245658	4260	1997-08-31	VYDAJ	VYBER	15	30188	SLUZBY	\N	\N
1245659	4260	1997-09-30	VYDAJ	VYBER	15	16070	SLUZBY	\N	\N
1245660	4260	1997-10-31	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
1245661	4260	1997-11-30	VYDAJ	VYBER	15	33001	SLUZBY	\N	\N
1245662	4260	1997-12-31	VYDAJ	VYBER	15	34796	SLUZBY	\N	\N
1245663	4260	1998-01-31	VYDAJ	VYBER	15	23492	SLUZBY	\N	\N
1245664	4260	1998-02-28	VYDAJ	VYBER	15	31970	SLUZBY	\N	\N
1245665	4260	1998-03-31	VYDAJ	VYBER	15	40484	SLUZBY	\N	\N
1245666	4260	1998-04-30	VYDAJ	VYBER	15	18391	SLUZBY	\N	\N
1245667	4260	1998-05-31	VYDAJ	VYBER	15	26848	SLUZBY	\N	\N
1245668	4260	1998-06-30	VYDAJ	VYBER	15	18422	SLUZBY	\N	\N
1245669	4260	1998-07-31	VYDAJ	VYBER	15	26879	SLUZBY	\N	\N
1245670	4260	1998-08-31	VYDAJ	VYBER	15	35371	SLUZBY	\N	\N
1245671	4260	1998-09-30	VYDAJ	VYBER	15	43899	SLUZBY	\N	\N
1245672	4260	1998-10-31	VYDAJ	VYBER	15	42704	SLUZBY	\N	\N
1245673	4260	1998-11-30	VYDAJ	VYBER	15	33884	SLUZBY	\N	\N
1245674	4260	1993-11-13	PRIJEM	VKLAD	700	26153	\N	\N	\N
1245675	4260	1993-12-13	VYDAJ	VYBER	17000	45898	\N	\N	\N
1245676	4260	1994-01-12	VYDAJ	VYBER	22700	47811	\N	\N	\N
1245677	4260	1994-02-11	VYDAJ	VYBER	24600	47860	\N	\N	\N
1245678	4260	1994-03-13	VYDAJ	VYBER	5400	34855	\N	\N	\N
1245679	4260	1994-04-12	PRIJEM	VKLAD	1400	29080	\N	\N	\N
1245680	4260	1994-05-12	VYDAJ	VYBER	2700	35036	\N	\N	\N
1245681	4260	1994-06-11	VYDAJ	VYBER	1100	25433	\N	\N	\N
1245682	4260	1994-07-11	VYDAJ	VYBER	5600	28261	\N	\N	\N
1245683	4260	1994-08-10	VYDAJ	VYBER	4200	32517	\N	\N	\N
1245684	4260	1994-09-09	VYDAJ	VYBER	12600	40395	\N	\N	\N
1245685	4260	1994-10-09	VYDAJ	VYBER	4900	31961	\N	\N	\N
1245686	4260	1994-11-08	VYDAJ	VYBER	10800	29597	\N	\N	\N
1245687	4260	1994-12-08	VYDAJ	VYBER	16000	34245	\N	\N	\N
1245688	4260	1995-01-07	VYDAJ	VYBER	6600	31578	\N	\N	\N
1245689	4260	1995-02-06	VYDAJ	VYBER	4000	28786	\N	\N	\N
1245690	4260	1995-03-08	VYDAJ	VYBER	10500	26703	\N	\N	\N
1245691	4260	1995-04-07	VYDAJ	VYBER	6200	28912	\N	\N	\N
1245692	4260	1995-05-07	VYDAJ	VYBER	8800	28528	\N	\N	\N
1245693	4260	1995-06-06	VYDAJ	VYBER	14200	34972	\N	\N	\N
1245694	4260	1995-07-06	VYDAJ	VYBER	12800	30620	\N	\N	\N
1245695	4260	1995-09-04	VYDAJ	VYBER	2500	11125	\N	\N	\N
1245696	4260	1995-10-04	VYDAJ	VYBER	3300	16269	\N	\N	\N
1245697	4260	1995-11-03	VYDAJ	VYBER	9300	15434	\N	\N	\N
1245698	4260	1996-01-02	VYDAJ	VYBER	13800	16573	\N	\N	\N
1245699	4260	1996-02-01	VYDAJ	VYBER	5400	17543	\N	\N	\N
1245700	4260	1996-03-02	VYDAJ	VYBER	7600	18416	\N	\N	\N
1245701	4260	1996-04-01	VYDAJ	VYBER	8700	18193	\N	\N	\N
1245702	4260	1996-05-01	VYDAJ	VYBER	10500	16170	\N	\N	\N
1245703	4260	1996-05-31	VYDAJ	VYBER	8400	16253	\N	\N	\N
1245704	4260	1996-06-30	VYDAJ	VYBER	10700	15752	\N	\N	\N
1245705	4260	1996-07-30	VYDAJ	VYBER	9200	14909	\N	\N	\N
1245706	4260	1996-09-28	VYDAJ	VYBER	20000	11799	\N	\N	\N
1245707	4260	1996-12-27	VYDAJ	VYBER	23800	21095	\N	\N	\N
1245708	4260	1997-03-27	VYDAJ	VYBER	19100	13299	\N	\N	\N
1245709	4260	1997-05-26	VYDAJ	VYBER	15700	14505	\N	\N	\N
1245710	4260	1997-06-25	VYDAJ	VYBER	22000	13192	\N	\N	\N
1245711	4260	1997-09-23	VYDAJ	VYBER	22600	15960	\N	\N	\N
1245712	4260	1998-04-21	VYDAJ	VYBER	30600	18255	\N	\N	\N
1246246	4263	1995-07-17	PRIJEM	VKLAD	800	800	\N	\N	\N
1246248	4263	1995-09-28	PRIJEM	VKLAD	46711	62811	\N	\N	\N
1246249	4263	1996-06-22	PRIJEM	VKLAD	23675	46206	\N	\N	\N
1246250	4263	1996-11-18	PRIJEM	VKLAD	47454	70071	\N	\N	\N
1246251	4263	1997-05-13	PRIJEM	VKLAD	13417	39382	\N	\N	\N
1246252	4263	1997-06-06	PRIJEM	VKLAD	42626	82222	\N	\N	\N
1246253	4263	1998-04-22	PRIJEM	VKLAD	37392	86657	\N	\N	\N
1246254	4263	1998-03-14	PRIJEM	VKLAD	49269	71470	\N	\N	\N
1246257	4263	1997-06-06	VYDAJ	VYBER	4000	52922	\N	\N	\N
1246261	4263	1997-06-07	VYDAJ	VYBER	7400	45522	\N	\N	\N
1246262	4263	1998-06-12	VYDAJ	VYBER	21100	21562	\N	\N	\N
1246269	4263	1997-12-27	VYDAJ	VYBER	700	24081	\N	\N	\N
1246270	4263	1998-12-13	VYDAJ	VYBER	500	39668	\N	\N	\N
1246289	4263	1998-01-23	VYDAJ	VYBER	550	19263	\N	\N	\N
1246290	4263	1998-01-15	VYDAJ	VYBER	700	20963	\N	\N	\N
1246291	4263	1998-01-06	VYDAJ	VYBER	1400	22313	\N	\N	\N
1246292	4263	1998-01-19	VYDAJ	VYBER	1150	19813	\N	\N	\N
1246293	4263	1998-01-04	VYDAJ	VYBER	1450	23713	\N	\N	\N
1246294	4263	1998-01-06	VYDAJ	VYBER	650	21663	\N	\N	\N
1246307	4263	1997-06-26	VYDAJ	VYBER	1800	43722	\N	\N	\N
1246308	4263	1997-08-31	VYDAJ	VYBER	1450	27631	\N	\N	\N
1246309	4263	1997-08-04	VYDAJ	VYBER	1300	32459	\N	\N	\N
1246310	4263	1997-09-14	VYDAJ	VYBER	1250	23966	\N	\N	\N
1246311	4263	1997-09-29	VYDAJ	VYBER	350	23616	\N	\N	\N
1246313	4263	1998-05-28	VYDAJ	VYBER	1850	53909	\N	\N	\N
1246314	4263	1998-11-07	VYDAJ	VYBER	1200	34036	\N	\N	\N
1246315	4263	1998-05-10	VYDAJ	VYBER	1100	55759	\N	\N	\N
1246316	4263	1998-03-07	VYDAJ	VYBER	400	22201	\N	\N	\N
1246347	4263	1997-06-30	VYDAJ	VYBER	15	43892	SLUZBY	\N	\N
1246348	4263	1997-07-31	VYDAJ	VYBER	15	33759	SLUZBY	\N	\N
1246349	4263	1997-08-31	VYDAJ	VYBER	15	27616	SLUZBY	\N	\N
1246350	4263	1997-09-30	VYDAJ	VYBER	15	23707	SLUZBY	\N	\N
1246351	4263	1997-10-31	VYDAJ	VYBER	15	25491	SLUZBY	\N	\N
1246352	4263	1997-11-30	VYDAJ	VYBER	15	23281	SLUZBY	\N	\N
1246353	4263	1997-12-31	VYDAJ	VYBER	15	24163	SLUZBY	\N	\N
1246354	4263	1998-01-31	VYDAJ	VYBER	15	19336	SLUZBY	\N	\N
1246355	4263	1998-02-28	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
1246356	4263	1998-03-31	VYDAJ	VYBER	15	71665	SLUZBY	\N	\N
1246357	4263	1998-04-30	VYDAJ	VYBER	15	86959	SLUZBY	\N	\N
1246358	4263	1998-05-31	VYDAJ	VYBER	15	54162	SLUZBY	\N	\N
1246359	4263	1998-06-30	VYDAJ	VYBER	15	21685	SLUZBY	\N	\N
1246360	4263	1998-07-31	VYDAJ	VYBER	15	33460	SLUZBY	\N	\N
1246361	4263	1998-08-31	VYDAJ	VYBER	15	35183	SLUZBY	\N	\N
1246362	4263	1998-09-30	VYDAJ	VYBER	15	33513	SLUZBY	\N	\N
1246363	4263	1998-10-31	VYDAJ	VYBER	15	35236	SLUZBY	\N	\N
1246364	4263	1998-11-30	VYDAJ	VYBER	15	40168	SLUZBY	\N	\N
1246365	4263	1995-08-16	PRIJEM	VKLAD	10500	11300	\N	\N	\N
1246366	4263	1995-09-15	PRIJEM	VKLAD	4800	16100	\N	\N	\N
1246367	4263	1995-10-15	VYDAJ	VYBER	22700	40137	\N	\N	\N
1246368	4263	1995-11-14	VYDAJ	VYBER	10900	29499	\N	\N	\N
1246369	4263	1995-12-14	VYDAJ	VYBER	6500	23261	\N	\N	\N
1246370	4263	1996-01-13	VYDAJ	VYBER	800	22722	\N	\N	\N
1246371	4263	1996-02-12	PRIJEM	VKLAD	2100	25084	\N	\N	\N
1246372	4263	1996-03-13	PRIJEM	VKLAD	700	26046	\N	\N	\N
1246373	4263	1996-04-12	VYDAJ	VYBER	2200	24107	\N	\N	\N
1246374	4263	1996-05-12	VYDAJ	VYBER	2200	22169	\N	\N	\N
1246375	4263	1996-06-11	PRIJEM	VKLAD	100	22531	\N	\N	\N
1246376	4263	1996-07-11	VYDAJ	VYBER	13500	32947	\N	\N	\N
1246377	4263	1996-08-10	VYDAJ	VYBER	6000	27139	\N	\N	\N
1246378	4263	1996-09-09	VYDAJ	VYBER	5200	22132	\N	\N	\N
1246379	4263	1996-10-09	VYDAJ	VYBER	1800	20524	\N	\N	\N
1246380	4263	1996-11-08	PRIJEM	VKLAD	1900	22617	\N	\N	\N
1246381	4263	1996-12-08	VYDAJ	VYBER	23100	47206	\N	\N	\N
1246382	4263	1997-01-07	VYDAJ	VYBER	10600	36898	\N	\N	\N
1246383	4263	1997-02-06	VYDAJ	VYBER	5600	31590	\N	\N	\N
1246384	4263	1997-03-08	VYDAJ	VYBER	2100	29782	\N	\N	\N
1246385	4263	1997-04-07	VYDAJ	VYBER	1100	28974	\N	\N	\N
1246386	4263	1997-05-07	VYDAJ	VYBER	3300	25965	\N	\N	\N
1246387	4263	1997-06-06	VYDAJ	VYBER	25300	56922	\N	\N	\N
1246388	4263	1997-07-06	VYDAJ	VYBER	10300	33592	\N	\N	\N
1246389	4263	1997-08-05	VYDAJ	VYBER	3500	28959	\N	\N	\N
1246390	4263	1997-09-04	VYDAJ	VYBER	2400	25216	\N	\N	\N
1246391	4263	1997-10-04	PRIJEM	VKLAD	1700	25407	\N	\N	\N
1246392	4263	1997-11-03	VYDAJ	VYBER	2300	23191	\N	\N	\N
1246393	4263	1997-12-03	PRIJEM	VKLAD	1500	24781	\N	\N	\N
1246394	4263	1998-01-02	PRIJEM	VKLAD	1000	25163	\N	\N	\N
1246395	4263	1998-02-01	PRIJEM	VKLAD	2800	22136	\N	\N	\N
1246396	4263	1998-03-03	PRIJEM	VKLAD	400	22601	\N	\N	\N
1246397	4263	1998-04-02	VYDAJ	VYBER	22400	49265	\N	\N	\N
1246398	4263	1998-05-02	VYDAJ	VYBER	30100	56859	\N	\N	\N
1246399	4263	1998-06-01	VYDAJ	VYBER	11500	42662	\N	\N	\N
1246400	4263	1998-07-01	PRIJEM	VKLAD	7700	29385	\N	\N	\N
1246401	4263	1998-07-31	PRIJEM	VKLAD	4000	33385	\N	\N	\N
1246402	4263	1998-08-30	PRIJEM	VKLAD	1600	35060	\N	\N	\N
1246403	4263	1998-09-29	VYDAJ	VYBER	1800	33383	\N	\N	\N
1246404	4263	1998-10-29	PRIJEM	VKLAD	1600	35113	\N	\N	\N
1246405	4263	1998-11-28	PRIJEM	VKLAD	6000	40036	\N	\N	\N
1246445	4264	1993-12-07	PRIJEM	VKLAD	200	200	\N	\N	\N
1246457	4264	1993-12-08	PRIJEM	VKLAD	32250	32450	\N	\N	\N
1246458	4264	1994-01-08	PRIJEM	VKLAD	21500	49255	\N	\N	\N
1246459	4264	1994-02-08	PRIJEM	VKLAD	21500	57744	\N	\N	\N
1246460	4264	1994-03-08	PRIJEM	VKLAD	21500	60476	\N	\N	\N
1246461	4264	1994-04-08	PRIJEM	VKLAD	21500	65525	\N	\N	\N
1246462	4264	1994-05-08	PRIJEM	VKLAD	21500	65379	\N	\N	\N
1246463	4264	1994-06-08	PRIJEM	VKLAD	32250	73687	\N	\N	\N
1246464	4264	1994-07-08	PRIJEM	VKLAD	21500	70662	\N	\N	\N
1246465	4264	1994-08-08	PRIJEM	VKLAD	21500	68040	\N	\N	\N
1246466	4264	1994-09-08	PRIJEM	VKLAD	21500	67111	\N	\N	\N
1246467	4264	1994-10-08	PRIJEM	VKLAD	21500	70077	\N	\N	\N
1246468	4264	1994-11-08	PRIJEM	VKLAD	21500	69751	\N	\N	\N
1246469	4264	1994-12-08	PRIJEM	VKLAD	32250	80276	\N	\N	\N
1246470	4264	1995-01-08	PRIJEM	VKLAD	21500	68681	\N	\N	\N
1246471	4264	1995-02-08	PRIJEM	VKLAD	21500	57899	\N	\N	\N
1246472	4264	1995-03-08	PRIJEM	VKLAD	21500	61999	\N	\N	\N
1246473	4264	1995-04-08	PRIJEM	VKLAD	21500	67639	\N	\N	\N
1246474	4264	1995-05-08	PRIJEM	VKLAD	21500	64700	\N	\N	\N
1246475	4264	1995-06-08	PRIJEM	VKLAD	32250	73885	\N	\N	\N
1246476	4264	1995-07-08	PRIJEM	VKLAD	21500	62107	\N	\N	\N
1246477	4264	1995-08-08	PRIJEM	VKLAD	21500	68062	\N	\N	\N
1246478	4264	1995-09-08	PRIJEM	VKLAD	21500	72542	\N	\N	\N
1246479	4264	1995-10-08	PRIJEM	VKLAD	21500	70338	\N	\N	\N
1246480	4264	1995-11-08	PRIJEM	VKLAD	21500	70826	\N	\N	\N
1246481	4264	1995-12-08	PRIJEM	VKLAD	32250	82666	\N	\N	\N
1246482	4264	1996-01-08	PRIJEM	VKLAD	21500	69595	\N	\N	\N
1246483	4264	1996-02-08	PRIJEM	VKLAD	21500	66325	\N	\N	\N
1246484	4264	1996-03-08	PRIJEM	VKLAD	21500	73756	\N	\N	\N
1246485	4264	1996-04-08	PRIJEM	VKLAD	21500	73557	\N	\N	\N
1246486	4264	1996-05-08	PRIJEM	VKLAD	21500	72957	\N	\N	\N
1246487	4264	1996-06-08	PRIJEM	VKLAD	32250	85406	\N	\N	\N
1246488	4264	1996-07-08	PRIJEM	VKLAD	21500	79116	\N	\N	\N
1246489	4264	1996-08-08	PRIJEM	VKLAD	21500	77838	\N	\N	\N
1246490	4264	1996-09-08	PRIJEM	VKLAD	21500	74952	\N	\N	\N
1246491	4264	1996-10-08	PRIJEM	VKLAD	21500	74857	\N	\N	\N
1246492	4264	1996-11-08	PRIJEM	VKLAD	21500	70162	\N	\N	\N
1246493	4264	1996-12-08	PRIJEM	VKLAD	32250	82042	\N	\N	\N
1246494	4264	1997-01-08	PRIJEM	VKLAD	21500	73035	\N	\N	\N
1246495	4264	1997-02-08	PRIJEM	VKLAD	21500	60040	\N	\N	\N
1246496	4264	1997-03-08	PRIJEM	VKLAD	21500	62486	\N	\N	\N
1246497	4264	1997-04-08	PRIJEM	VKLAD	21500	62664	\N	\N	\N
1246498	4264	1997-05-08	PRIJEM	VKLAD	21500	64921	\N	\N	\N
1246499	4264	1997-06-08	PRIJEM	VKLAD	32250	79840	\N	\N	\N
1246500	4264	1997-07-08	PRIJEM	VKLAD	21500	61628	\N	\N	\N
1246501	4264	1997-08-08	PRIJEM	VKLAD	21500	70191	\N	\N	\N
1246502	4264	1997-09-08	PRIJEM	VKLAD	21500	74483	\N	\N	\N
1246503	4264	1997-10-08	PRIJEM	VKLAD	21500	72681	\N	\N	\N
1246504	4264	1997-11-08	PRIJEM	VKLAD	21500	70773	\N	\N	\N
1246505	4264	1997-12-08	PRIJEM	VKLAD	32250	84615	\N	\N	\N
1246506	4264	1998-01-08	PRIJEM	VKLAD	21500	74172	\N	\N	\N
1246507	4264	1998-02-08	PRIJEM	VKLAD	21500	73311	\N	\N	\N
1246508	4264	1998-03-08	PRIJEM	VKLAD	21500	81749	\N	\N	\N
1246509	4264	1998-04-08	PRIJEM	VKLAD	21500	83784	\N	\N	\N
1246510	4264	1998-05-08	PRIJEM	VKLAD	21500	85028	\N	\N	\N
1246511	4264	1998-06-08	PRIJEM	VKLAD	32250	94640	\N	\N	\N
1246512	4264	1998-07-08	PRIJEM	VKLAD	21500	69778	\N	\N	\N
1246513	4264	1998-08-08	PRIJEM	VKLAD	21500	71963	\N	\N	\N
1246514	4264	1998-09-08	PRIJEM	VKLAD	21500	68253	\N	\N	\N
1246515	4264	1998-10-08	PRIJEM	VKLAD	21500	73741	\N	\N	\N
1246516	4264	1998-11-08	PRIJEM	VKLAD	21500	76244	\N	\N	\N
1246517	4264	1998-12-08	PRIJEM	VKLAD	32250	89114	\N	\N	\N
1246519	4264	1994-06-05	VYDAJ	VYBER	9400	41437	\N	\N	\N
1246520	4264	1995-06-15	VYDAJ	VYBER	18600	55285	\N	\N	\N
1246521	4264	1996-06-26	VYDAJ	VYBER KARTOU	3400	57406	\N	\N	0
1246522	4264	1997-06-29	VYDAJ	VYBER	14900	39940	\N	\N	\N
1246523	4264	1998-06-17	VYDAJ	VYBER	17400	48040	\N	\N	\N
1246526	4264	1995-01-11	VYDAJ	VYBER	8200	55581	\N	\N	\N
1246527	4264	1996-01-01	VYDAJ	VYBER	5200	50695	\N	\N	\N
1246528	4264	1997-01-12	VYDAJ	VYBER KARTOU	3700	64935	\N	\N	0
1246529	4264	1998-01-04	VYDAJ	VYBER KARTOU	2200	58272	\N	\N	0
1246531	4264	1994-12-18	VYDAJ	VYBER	1400	77976	\N	\N	\N
1246532	4264	1995-12-22	VYDAJ	VYBER KARTOU	2800	79866	\N	\N	0
1246533	4264	1996-12-23	VYDAJ	VYBER KARTOU	500	51842	\N	\N	0
1246534	4264	1997-12-08	VYDAJ	VYBER KARTOU	1700	82915	\N	\N	0
1246535	4264	1998-12-01	VYDAJ	VYBER KARTOU	600	56864	\N	\N	0
1246548	4264	1995-01-11	VYDAJ	VYBER KARTOU	2400	63781	\N	\N	0
1246549	4264	1995-01-09	VYDAJ	VYBER KARTOU	700	67981	\N	\N	0
1246550	4264	1995-01-10	VYDAJ	VYBER KARTOU	1800	66181	\N	\N	0
1246551	4264	1995-01-13	VYDAJ	VYBER KARTOU	2100	53481	\N	\N	0
1246552	4264	1995-01-30	VYDAJ	VYBER KARTOU	2400	51081	\N	\N	0
1246553	4264	1995-01-03	VYDAJ	VYBER KARTOU	2300	47181	\N	\N	0
1246554	4264	1996-01-25	VYDAJ	VYBER KARTOU	1400	58995	\N	\N	0
1246555	4264	1996-01-07	VYDAJ	VYBER KARTOU	2600	48095	\N	\N	0
1246556	4264	1996-01-16	VYDAJ	VYBER KARTOU	2300	61695	\N	\N	0
1246557	4264	1996-01-15	VYDAJ	VYBER KARTOU	2000	63995	\N	\N	0
1246558	4264	1996-01-29	VYDAJ	VYBER KARTOU	1200	47395	\N	\N	0
1246559	4264	1996-01-21	VYDAJ	VYBER KARTOU	1300	60395	\N	\N	0
1246560	4264	1997-01-05	VYDAJ	VYBER KARTOU	500	51535	\N	\N	0
1246561	4264	1997-01-11	VYDAJ	VYBER KARTOU	2100	68635	\N	\N	0
1246562	4264	1997-01-21	VYDAJ	VYBER KARTOU	1700	43135	\N	\N	0
1246563	4264	1997-01-28	VYDAJ	VYBER KARTOU	2000	38335	\N	\N	0
1246564	4264	1997-01-09	VYDAJ	VYBER KARTOU	2300	70735	\N	\N	0
1246565	4264	1997-01-23	VYDAJ	VYBER KARTOU	2800	40335	\N	\N	0
1246566	4264	1998-01-18	VYDAJ	VYBER KARTOU	2800	58672	\N	\N	0
1246567	4264	1998-01-23	VYDAJ	VYBER KARTOU	1800	56872	\N	\N	0
1246568	4264	1998-01-07	VYDAJ	VYBER KARTOU	2700	52672	\N	\N	0
1246569	4264	1998-01-26	VYDAJ	VYBER KARTOU	1100	55772	\N	\N	0
1246570	4264	1998-01-07	VYDAJ	VYBER KARTOU	2900	55372	\N	\N	0
1246571	4264	1998-01-04	VYDAJ	VYBER KARTOU	2900	60472	\N	\N	0
1246575	4264	1994-07-09	VYDAJ	VYBER	1300	69362	\N	\N	\N
1246576	4264	1994-12-13	VYDAJ	VYBER	900	79376	\N	\N	\N
1246577	4264	1994-10-30	VYDAJ	VYBER	1500	68577	\N	\N	\N
1246578	4264	1995-05-02	VYDAJ	VYBER KARTOU	2900	43200	\N	\N	0
1246579	4264	1995-12-27	VYDAJ	VYBER KARTOU	2200	77666	\N	\N	0
1246580	4264	1995-06-06	VYDAJ	VYBER KARTOU	3600	43435	\N	\N	0
1246581	4264	1995-06-07	VYDAJ	VYBER KARTOU	1800	41635	\N	\N	0
1246582	4264	1996-02-04	VYDAJ	VYBER KARTOU	2800	44825	\N	\N	0
1246583	4264	1996-01-14	VYDAJ	VYBER KARTOU	3600	65995	\N	\N	0
1246584	4264	1996-11-03	VYDAJ	VYBER	4700	48662	\N	\N	\N
1246585	4264	1997-03-21	VYDAJ	VYBER KARTOU	3200	59286	\N	\N	0
1246586	4264	1997-10-23	VYDAJ	VYBER KARTOU	2500	49081	\N	\N	0
1246587	4264	1998-08-17	VYDAJ	VYBER	4300	50263	\N	\N	\N
1246588	4264	1998-11-08	VYDAJ	VYBER	4900	71344	\N	\N	\N
1246589	4264	1998-06-08	VYDAJ	VYBER KARTOU	3200	91440	\N	\N	0
1246590	4264	1998-05-04	VYDAJ	VYBER KARTOU	1100	63528	\N	\N	0
1246591	4264	1998-08-30	VYDAJ	VYBER KARTOU	3700	46563	\N	\N	0
1246592	4264	1998-02-01	VYDAJ	VYBER	4200	51811	\N	\N	\N
1246609	4264	1994-04-30	VYDAJ	VYBER	15	65779	SLUZBY	\N	\N
1246610	4264	1994-05-31	VYDAJ	VYBER	15	65637	SLUZBY	\N	\N
1246611	4264	1994-06-30	VYDAJ	VYBER	15	73962	SLUZBY	\N	\N
1246612	4264	1994-07-31	VYDAJ	VYBER	15	69640	SLUZBY	\N	\N
1246613	4264	1994-08-31	VYDAJ	VYBER	15	68311	SLUZBY	\N	\N
1246614	4264	1994-09-30	VYDAJ	VYBER	15	67377	SLUZBY	\N	\N
1246615	4264	1994-10-31	VYDAJ	VYBER	15	68851	SLUZBY	\N	\N
1246616	4264	1994-11-30	VYDAJ	VYBER	15	70026	SLUZBY	\N	\N
1246617	4264	1994-12-31	VYDAJ	VYBER	15	78281	SLUZBY	\N	\N
1246618	4264	1995-01-31	VYDAJ	VYBER	15	51299	SLUZBY	\N	\N
1246619	4264	1995-02-28	VYDAJ	VYBER	15	58099	SLUZBY	\N	\N
1246620	4264	1995-03-31	VYDAJ	VYBER	15	62239	SLUZBY	\N	\N
1246621	4264	1995-04-30	VYDAJ	VYBER	15	67900	SLUZBY	\N	\N
1246622	4264	1995-05-31	VYDAJ	VYBER	15	47035	SLUZBY	\N	\N
1246623	4264	1995-06-30	VYDAJ	VYBER	15	40607	SLUZBY	\N	\N
1246624	4264	1995-07-31	VYDAJ	VYBER	15	46562	SLUZBY	\N	\N
1246625	4264	1995-08-31	VYDAJ	VYBER	15	51042	SLUZBY	\N	\N
1246626	4264	1995-09-30	VYDAJ	VYBER	15	48838	SLUZBY	\N	\N
1246627	4264	1995-10-31	VYDAJ	VYBER	15	49326	SLUZBY	\N	\N
1246628	4264	1995-11-30	VYDAJ	VYBER	15	50416	SLUZBY	\N	\N
1246629	4264	1995-12-31	VYDAJ	VYBER	15	55895	SLUZBY	\N	\N
1246630	4264	1996-01-31	VYDAJ	VYBER	15	47625	SLUZBY	\N	\N
1246631	4264	1996-02-29	VYDAJ	VYBER	15	52256	SLUZBY	\N	\N
1246632	4264	1996-03-31	VYDAJ	VYBER	15	52057	SLUZBY	\N	\N
1246633	4264	1996-04-30	VYDAJ	VYBER	15	51457	SLUZBY	\N	\N
1246634	4264	1996-05-31	VYDAJ	VYBER	15	53156	SLUZBY	\N	\N
1246635	4264	1996-06-30	VYDAJ	VYBER	15	57616	SLUZBY	\N	\N
1246636	4264	1996-07-31	VYDAJ	VYBER	15	56338	SLUZBY	\N	\N
1246637	4264	1996-08-31	VYDAJ	VYBER	15	53452	SLUZBY	\N	\N
1246638	4264	1996-09-30	VYDAJ	VYBER	15	53357	SLUZBY	\N	\N
1246639	4264	1996-10-31	VYDAJ	VYBER	15	53362	SLUZBY	\N	\N
1246640	4264	1996-11-30	VYDAJ	VYBER	15	49792	SLUZBY	\N	\N
1246641	4264	1996-12-31	VYDAJ	VYBER	15	52035	SLUZBY	\N	\N
1246642	4264	1997-01-31	VYDAJ	VYBER	15	38540	SLUZBY	\N	\N
1246643	4264	1997-02-28	VYDAJ	VYBER	15	40986	SLUZBY	\N	\N
1246644	4264	1997-03-31	VYDAJ	VYBER	15	41164	SLUZBY	\N	\N
1246645	4264	1997-04-30	VYDAJ	VYBER	15	43421	SLUZBY	\N	\N
1246646	4264	1997-05-31	VYDAJ	VYBER	15	47590	SLUZBY	\N	\N
1246647	4264	1997-06-30	VYDAJ	VYBER	15	40128	SLUZBY	\N	\N
1246648	4264	1997-07-31	VYDAJ	VYBER	15	48691	SLUZBY	\N	\N
1246649	4264	1997-08-31	VYDAJ	VYBER	15	52983	SLUZBY	\N	\N
1246650	4264	1997-09-30	VYDAJ	VYBER	15	51181	SLUZBY	\N	\N
1246651	4264	1997-10-31	VYDAJ	VYBER	15	49273	SLUZBY	\N	\N
1246652	4264	1997-11-30	VYDAJ	VYBER	15	52365	SLUZBY	\N	\N
1246653	4264	1997-12-31	VYDAJ	VYBER	15	63372	SLUZBY	\N	\N
1246654	4264	1998-01-31	VYDAJ	VYBER	15	56011	SLUZBY	\N	\N
1246655	4264	1998-02-28	VYDAJ	VYBER	15	60249	SLUZBY	\N	\N
1246656	4264	1998-03-31	VYDAJ	VYBER	15	62284	SLUZBY	\N	\N
1246657	4264	1998-04-30	VYDAJ	VYBER	15	64628	SLUZBY	\N	\N
1246658	4264	1998-05-31	VYDAJ	VYBER	15	62390	SLUZBY	\N	\N
1246659	4264	1998-06-30	VYDAJ	VYBER	15	48278	SLUZBY	\N	\N
1246660	4264	1998-07-31	VYDAJ	VYBER	15	50463	SLUZBY	\N	\N
1246661	4264	1998-08-31	VYDAJ	VYBER	15	46753	SLUZBY	\N	\N
1246662	4264	1998-09-30	VYDAJ	VYBER	15	52241	SLUZBY	\N	\N
1246663	4264	1998-10-31	VYDAJ	VYBER	15	54744	SLUZBY	\N	\N
1246664	4264	1998-11-30	VYDAJ	VYBER	15	57464	SLUZBY	\N	\N
1246665	4264	1994-01-06	VYDAJ	VYBER	4800	27755	\N	\N	\N
1246666	4264	1994-02-05	VYDAJ	VYBER	13200	36244	\N	\N	\N
1246667	4264	1994-03-07	VYDAJ	VYBER	19000	38976	\N	\N	\N
1246668	4264	1994-04-06	VYDAJ	VYBER	16700	44025	\N	\N	\N
1246669	4264	1994-05-06	VYDAJ	VYBER	21900	43879	\N	\N	\N
1246670	4264	1994-06-05	VYDAJ	VYBER	14800	50837	\N	\N	\N
1246671	4264	1994-07-05	VYDAJ	VYBER	24800	49162	\N	\N	\N
1246672	4264	1994-08-04	VYDAJ	VYBER	23100	46540	\N	\N	\N
1246673	4264	1994-09-03	VYDAJ	VYBER	22700	45611	\N	\N	\N
1246674	4264	1994-10-03	VYDAJ	VYBER	18800	48577	\N	\N	\N
1246675	4264	1994-11-02	VYDAJ	VYBER	20600	48251	\N	\N	\N
1246676	4264	1994-12-02	VYDAJ	VYBER	22000	48026	\N	\N	\N
1246677	4264	1995-01-01	VYDAJ	VYBER	28800	49481	\N	\N	\N
1246678	4264	1995-01-31	VYDAJ	VYBER	14900	36399	\N	\N	\N
1246679	4264	1995-03-02	VYDAJ	VYBER	17600	40499	\N	\N	\N
1246680	4264	1995-04-01	VYDAJ	VYBER	16100	46139	\N	\N	\N
1246681	4264	1995-05-01	VYDAJ	VYBER	21800	46100	\N	\N	\N
1246682	4264	1995-05-31	VYDAJ	VYBER	17900	47049	\N	\N	\N
1246683	4264	1995-06-30	VYDAJ	VYBER	14900	40621	\N	\N	\N
1246684	4264	1995-07-30	VYDAJ	VYBER	15700	46407	\N	\N	\N
1246685	4264	1995-08-29	VYDAJ	VYBER	17200	50862	\N	\N	\N
1246686	4264	1995-09-28	VYDAJ	VYBER	23900	48642	\N	\N	\N
1246687	4264	1995-10-28	VYDAJ	VYBER	21200	49138	\N	\N	\N
1246688	4264	1995-11-27	VYDAJ	VYBER	20600	50226	\N	\N	\N
1246689	4264	1995-12-27	VYDAJ	VYBER	22000	55666	\N	\N	\N
1246690	4264	1996-01-26	VYDAJ	VYBER	10400	48595	\N	\N	\N
1246691	4264	1996-02-25	VYDAJ	VYBER	14300	52025	\N	\N	\N
1246692	4264	1996-03-26	VYDAJ	VYBER	21900	51856	\N	\N	\N
1246693	4264	1996-04-25	VYDAJ	VYBER	22300	51257	\N	\N	\N
1246694	4264	1996-05-25	VYDAJ	VYBER	20000	52957	\N	\N	\N
1246695	4264	1996-06-24	VYDAJ	VYBER	24600	60806	\N	\N	\N
1246696	4264	1996-07-24	VYDAJ	VYBER	23000	56116	\N	\N	\N
1246697	4264	1996-08-23	VYDAJ	VYBER	24600	53238	\N	\N	\N
1246698	4264	1996-09-22	VYDAJ	VYBER	21800	53152	\N	\N	\N
1246699	4264	1996-10-22	VYDAJ	VYBER	21700	53157	\N	\N	\N
1246700	4264	1996-11-21	VYDAJ	VYBER	20600	49562	\N	\N	\N
1246701	4264	1996-12-21	VYDAJ	VYBER	29700	52342	\N	\N	\N
1246702	4264	1997-01-20	VYDAJ	VYBER	20100	44835	\N	\N	\N
1246703	4264	1997-02-19	VYDAJ	VYBER	19200	40840	\N	\N	\N
1246704	4264	1997-03-21	VYDAJ	VYBER	18300	40986	\N	\N	\N
1246705	4264	1997-04-20	VYDAJ	VYBER	19400	43264	\N	\N	\N
1246706	4264	1997-05-20	VYDAJ	VYBER	17500	47421	\N	\N	\N
1246707	4264	1997-06-19	VYDAJ	VYBER	25000	54840	\N	\N	\N
1246708	4264	1997-07-19	VYDAJ	VYBER	13100	48528	\N	\N	\N
1246709	4264	1997-08-18	VYDAJ	VYBER	17400	52791	\N	\N	\N
1246710	4264	1997-09-17	VYDAJ	VYBER	23500	50983	\N	\N	\N
1246711	4264	1997-10-17	VYDAJ	VYBER	21100	51581	\N	\N	\N
1246712	4264	1997-11-16	VYDAJ	VYBER	18600	52173	\N	\N	\N
1246713	4264	1997-12-16	VYDAJ	VYBER	19800	63115	\N	\N	\N
1246714	4264	1998-01-15	VYDAJ	VYBER	12700	61472	\N	\N	\N
1246715	4264	1998-02-14	VYDAJ	VYBER	13300	60011	\N	\N	\N
1246716	4264	1998-03-16	VYDAJ	VYBER	19700	62049	\N	\N	\N
1246717	4264	1998-04-15	VYDAJ	VYBER	19400	64384	\N	\N	\N
1246718	4264	1998-05-15	VYDAJ	VYBER	22900	62128	\N	\N	\N
1246719	4264	1998-06-14	VYDAJ	VYBER	26000	65440	\N	\N	\N
1246720	4264	1998-07-14	VYDAJ	VYBER	19500	50278	\N	\N	\N
1246721	4264	1998-08-13	VYDAJ	VYBER	17400	54563	\N	\N	\N
1246722	4264	1998-09-12	VYDAJ	VYBER	16200	52053	\N	\N	\N
1246723	4264	1998-10-12	VYDAJ	VYBER	19200	54541	\N	\N	\N
1246724	4264	1998-11-11	VYDAJ	VYBER	14100	57244	\N	\N	\N
1247430	4266	1997-02-05	PRIJEM	VKLAD	300	300	\N	\N	\N
1247432	4266	1997-02-06	PRIJEM	VKLAD	16892	17192	\N	\N	\N
1247433	4266	1997-03-06	PRIJEM	VKLAD	16892	34143	\N	\N	\N
1247434	4266	1997-04-06	PRIJEM	VKLAD	16892	46347	\N	\N	\N
1247435	4266	1997-05-06	PRIJEM	VKLAD	16892	51580	\N	\N	\N
1247436	4266	1997-06-06	PRIJEM	VKLAD	25338	55766	\N	\N	\N
1247437	4266	1997-07-06	PRIJEM	VKLAD	16892	40099	\N	\N	\N
1247438	4266	1997-08-06	PRIJEM	VKLAD	16892	44609	\N	\N	\N
1247439	4266	1997-09-06	PRIJEM	VKLAD	16892	47535	\N	\N	\N
1247440	4266	1997-10-06	PRIJEM	VKLAD	16892	47476	\N	\N	\N
1247441	4266	1997-11-06	PRIJEM	VKLAD	16892	47218	\N	\N	\N
1247442	4266	1997-12-06	PRIJEM	VKLAD	25338	55205	\N	\N	\N
1247443	4266	1998-01-06	PRIJEM	VKLAD	16892	49063	\N	\N	\N
1247444	4266	1998-02-06	PRIJEM	VKLAD	16892	42388	\N	\N	\N
1247445	4266	1998-03-06	PRIJEM	VKLAD	16892	42598	\N	\N	\N
1247446	4266	1998-04-06	PRIJEM	VKLAD	16892	39420	\N	\N	\N
1247447	4266	1998-05-06	PRIJEM	VKLAD	16892	37830	\N	\N	\N
1247448	4266	1998-06-06	PRIJEM	VKLAD	25338	40577	\N	\N	\N
1247449	4266	1998-07-06	PRIJEM	VKLAD	16892	35470	\N	\N	\N
1247450	4266	1998-08-06	PRIJEM	VKLAD	16892	31649	\N	\N	\N
1247451	4266	1998-09-06	PRIJEM	VKLAD	16892	39515	\N	\N	\N
1247452	4266	1998-10-06	PRIJEM	VKLAD	16892	33808	\N	\N	\N
1247453	4266	1998-11-06	PRIJEM	VKLAD	16892	30974	\N	\N	\N
1247454	4266	1998-12-06	PRIJEM	VKLAD	25338	40279	\N	\N	\N
1247460	4266	1997-06-08	VYDAJ	PREVOD NA UCET	9098	46668	SIPO	MN	21157777
1247461	4266	1997-07-08	VYDAJ	PREVOD NA UCET	9098	31001	SIPO	MN	21157777
1247462	4266	1997-08-08	VYDAJ	PREVOD NA UCET	9098	35511	SIPO	MN	21157777
1247463	4266	1997-09-08	VYDAJ	PREVOD NA UCET	9098	38437	SIPO	MN	21157777
1247464	4266	1997-10-08	VYDAJ	PREVOD NA UCET	9098	38378	SIPO	MN	21157777
1247465	4266	1997-11-08	VYDAJ	PREVOD NA UCET	9098	38120	SIPO	MN	21157777
1247466	4266	1997-12-08	VYDAJ	PREVOD NA UCET	9098	46107	SIPO	MN	21157777
1247467	4266	1998-01-08	VYDAJ	PREVOD NA UCET	9098	34965	SIPO	MN	21157777
1247468	4266	1998-02-08	VYDAJ	PREVOD NA UCET	9098	33290	SIPO	MN	21157777
1247469	4266	1998-03-08	VYDAJ	PREVOD NA UCET	9098	33500	SIPO	MN	21157777
1247470	4266	1998-04-08	VYDAJ	PREVOD NA UCET	9098	30322	SIPO	MN	21157777
1247471	4266	1998-05-08	VYDAJ	PREVOD NA UCET	9098	28732	SIPO	MN	21157777
1247472	4266	1998-06-08	VYDAJ	PREVOD NA UCET	9098	31479	SIPO	MN	21157777
1247473	4266	1998-07-08	VYDAJ	PREVOD NA UCET	9098	26372	SIPO	MN	21157777
1247474	4266	1998-08-08	VYDAJ	PREVOD NA UCET	9098	22551	SIPO	MN	21157777
1247475	4266	1998-09-08	VYDAJ	PREVOD NA UCET	9098	30417	SIPO	MN	21157777
1247476	4266	1998-10-08	VYDAJ	PREVOD NA UCET	9098	24710	SIPO	MN	21157777
1247477	4266	1998-11-08	VYDAJ	PREVOD NA UCET	9098	21876	SIPO	MN	21157777
1247478	4266	1998-12-08	VYDAJ	PREVOD NA UCET	9098	29381	SIPO	MN	21157777
1247503	4266	1997-06-13	VYDAJ	VYBER	12100	34568	\N	\N	\N
1247511	4266	1998-01-08	VYDAJ	VYBER	500	44063	\N	\N	\N
1247512	4266	1998-01-06	VYDAJ	VYBER	1800	47263	\N	\N	\N
1247513	4266	1998-01-14	VYDAJ	VYBER	2000	32965	\N	\N	\N
1247514	4266	1998-01-26	VYDAJ	VYBER	500	31665	\N	\N	\N
1247515	4266	1998-01-07	VYDAJ	VYBER	2700	44563	\N	\N	\N
1247516	4266	1998-01-14	VYDAJ	VYBER	800	32165	\N	\N	\N
1247517	4266	1997-12-12	VYDAJ	VYBER	4100	42007	\N	\N	\N
1247518	4266	1997-07-31	VYDAJ	VYBER	1100	29417	\N	\N	\N
1247521	4266	1997-07-15	VYDAJ	VYBER	600	30401	\N	\N	\N
1247523	4266	1997-06-17	VYDAJ	VYBER	3100	31468	\N	\N	\N
1247525	4266	1998-10-16	VYDAJ	VYBER	1300	23410	\N	\N	\N
1247526	4266	1998-10-19	VYDAJ	VYBER	800	22610	\N	\N	\N
1247527	4266	1998-12-08	VYDAJ	VYBER	1800	38479	\N	\N	\N
1247534	4266	1997-06-30	VYDAJ	VYBER	15	31607	SLUZBY	\N	\N
1247535	4266	1997-07-31	VYDAJ	VYBER	15	30517	SLUZBY	\N	\N
1247536	4266	1997-08-31	VYDAJ	VYBER	15	35643	SLUZBY	\N	\N
1247537	4266	1997-09-30	VYDAJ	VYBER	15	38584	SLUZBY	\N	\N
1247538	4266	1997-10-31	VYDAJ	VYBER	15	38526	SLUZBY	\N	\N
1247539	4266	1997-11-30	VYDAJ	VYBER	15	38267	SLUZBY	\N	\N
1247540	4266	1997-12-31	VYDAJ	VYBER	15	42171	SLUZBY	\N	\N
1247541	4266	1998-01-31	VYDAJ	VYBER	15	25496	SLUZBY	\N	\N
1247542	4266	1998-02-28	VYDAJ	VYBER	15	33406	SLUZBY	\N	\N
1247543	4266	1998-03-31	VYDAJ	VYBER	15	33628	SLUZBY	\N	\N
1247544	4266	1998-04-30	VYDAJ	VYBER	15	30438	SLUZBY	\N	\N
1247545	4266	1998-05-31	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
1247546	4266	1998-06-30	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
1247547	4266	1998-07-31	VYDAJ	VYBER	15	14757	SLUZBY	\N	\N
1247548	4266	1998-08-31	VYDAJ	VYBER	15	22623	SLUZBY	\N	\N
1247549	4266	1998-09-30	VYDAJ	VYBER	15	16916	SLUZBY	\N	\N
1247550	4266	1998-10-31	VYDAJ	VYBER	15	14082	SLUZBY	\N	\N
1247551	4266	1998-11-30	VYDAJ	VYBER	15	14941	SLUZBY	\N	\N
1247552	4266	1997-03-07	VYDAJ	VYBER	4800	29343	\N	\N	\N
1247553	4266	1997-04-06	VYDAJ	VYBER	11800	34547	\N	\N	\N
1247554	4266	1997-05-06	VYDAJ	VYBER	15700	35880	\N	\N	\N
1247555	4266	1997-06-05	VYDAJ	VYBER	5600	30428	\N	\N	\N
1247556	4266	1997-07-05	VYDAJ	VYBER	8400	23207	\N	\N	\N
1247557	4266	1997-08-04	VYDAJ	VYBER	1700	27717	\N	\N	\N
1247558	4266	1997-09-03	VYDAJ	VYBER	5000	30643	\N	\N	\N
1247559	4266	1997-10-03	VYDAJ	VYBER	8000	30584	\N	\N	\N
1247560	4266	1997-11-02	VYDAJ	VYBER	8200	30326	\N	\N	\N
1247561	4266	1997-12-02	VYDAJ	VYBER	8400	29867	\N	\N	\N
1247562	4266	1998-01-01	VYDAJ	VYBER	10000	32171	\N	\N	\N
1247563	4266	1998-01-31	VYDAJ	VYBER	6300	25511	\N	\N	\N
1247564	4266	1998-03-02	VYDAJ	VYBER	7700	25706	\N	\N	\N
1247565	4266	1998-04-01	VYDAJ	VYBER	11100	22528	\N	\N	\N
1247566	4266	1998-05-01	VYDAJ	VYBER	9500	20938	\N	\N	\N
1247567	4266	1998-05-31	VYDAJ	VYBER	13600	15239	\N	\N	\N
1247568	4266	1998-06-30	VYDAJ	VYBER	13000	18578	\N	\N	\N
1247569	4266	1998-07-30	VYDAJ	VYBER	11700	14672	\N	\N	\N
1247570	4266	1998-09-28	VYDAJ	VYBER	13600	16817	\N	\N	\N
1247571	4266	1998-10-28	VYDAJ	VYBER	8600	14010	\N	\N	\N
1247572	4266	1998-11-27	VYDAJ	VYBER	7000	14876	\N	\N	\N
1247964	4268	1997-02-20	PRIJEM	VKLAD	200	200	\N	\N	\N
1247967	4268	1997-03-13	PRIJEM	VKLAD	9969	10169	\N	\N	\N
1247968	4268	1997-04-13	PRIJEM	VKLAD	9969	29164	\N	\N	\N
1247969	4268	1997-05-13	PRIJEM	VKLAD	9969	38626	\N	\N	\N
1247970	4268	1997-06-13	PRIJEM	VKLAD	14954	50108	\N	\N	\N
1247971	4268	1997-07-13	PRIJEM	VKLAD	9969	48929	\N	\N	\N
1247972	4268	1997-08-13	PRIJEM	VKLAD	9969	39585	\N	\N	\N
1247973	4268	1997-09-13	PRIJEM	VKLAD	9969	34745	\N	\N	\N
1247974	4268	1997-10-13	PRIJEM	VKLAD	9969	29623	\N	\N	\N
1247975	4268	1997-11-13	PRIJEM	VKLAD	9969	28796	\N	\N	\N
1247976	4268	1997-12-13	PRIJEM	VKLAD	14954	33993	\N	\N	\N
1247977	4268	1998-01-13	PRIJEM	VKLAD	9969	36415	\N	\N	\N
1247978	4268	1998-02-13	PRIJEM	VKLAD	9969	29788	\N	\N	\N
1247979	4268	1998-03-13	PRIJEM	VKLAD	9969	42334	\N	\N	\N
1247980	4268	1998-04-13	PRIJEM	VKLAD	9969	48521	\N	\N	\N
1247981	4268	1998-05-13	PRIJEM	VKLAD	9969	44520	\N	\N	\N
1247982	4268	1998-06-13	PRIJEM	VKLAD	14954	25730	\N	\N	\N
1247983	4268	1998-07-13	PRIJEM	VKLAD	9969	39512	\N	\N	\N
1247984	4268	1998-08-13	PRIJEM	VKLAD	9969	51209	\N	\N	\N
1247985	4268	1998-09-13	PRIJEM	VKLAD	9969	57715	\N	\N	\N
1247986	4268	1998-10-13	PRIJEM	VKLAD	9969	54631	\N	\N	\N
1247987	4268	1998-11-13	PRIJEM	VKLAD	9969	60575	\N	\N	\N
1247988	4268	1998-12-13	PRIJEM	VKLAD	14954	66016	\N	\N	\N
1247996	4268	1997-08-12	VYDAJ	PREVOD NA UCET	6646	29616	SIPO	IJ	24499589
1247997	4268	1997-09-12	VYDAJ	PREVOD NA UCET	6646	24776	SIPO	IJ	24499589
1247998	4268	1997-10-12	VYDAJ	PREVOD NA UCET	6646	19654	SIPO	IJ	24499589
1247999	4268	1997-11-12	VYDAJ	PREVOD NA UCET	6646	18827	SIPO	IJ	24499589
1248000	4268	1997-12-12	VYDAJ	PREVOD NA UCET	6646	19039	SIPO	IJ	24499589
1248001	4268	1998-01-12	VYDAJ	PREVOD NA UCET	6646	26446	SIPO	IJ	24499589
1248002	4268	1998-02-12	VYDAJ	PREVOD NA UCET	6646	19819	SIPO	IJ	24499589
1248003	4268	1998-03-12	VYDAJ	PREVOD NA UCET	6646	32365	SIPO	IJ	24499589
1248004	4268	1998-04-12	VYDAJ	PREVOD NA UCET	6646	38552	SIPO	IJ	24499589
1248005	4268	1998-05-12	VYDAJ	PREVOD NA UCET	6646	34551	SIPO	IJ	24499589
1248006	4268	1998-06-12	VYDAJ	PREVOD NA UCET	6646	10776	SIPO	IJ	24499589
1248007	4268	1998-07-12	VYDAJ	PREVOD NA UCET	6646	29543	SIPO	IJ	24499589
1248008	4268	1998-08-12	VYDAJ	PREVOD NA UCET	6646	41240	SIPO	IJ	24499589
1248009	4268	1998-09-12	VYDAJ	PREVOD NA UCET	6646	37846	SIPO	IJ	24499589
1248010	4268	1998-10-12	VYDAJ	PREVOD NA UCET	6646	48262	SIPO	IJ	24499589
1248011	4268	1998-11-12	VYDAJ	PREVOD NA UCET	6646	54105	SIPO	IJ	24499589
1248012	4268	1998-12-12	VYDAJ	PREVOD NA UCET	6646	54561	SIPO	IJ	24499589
1248020	4268	1997-08-17	VYDAJ	VYBER	3900	35685	\N	\N	0
1248021	4268	1997-08-29	VYDAJ	VYBER	3300	31285	\N	\N	0
1248022	4268	1997-10-04	VYDAJ	VYBER	2600	26300	\N	\N	0
1248023	4268	1997-10-31	VYDAJ	VYBER	2900	25473	\N	\N	0
1248024	4268	1997-11-29	VYDAJ	VYBER	3700	25576	\N	\N	0
1248025	4268	1998-01-19	VYDAJ	VYBER	4400	34495	\N	\N	0
1248026	4268	1998-02-18	VYDAJ	VYBER	2100	38888	\N	\N	0
1248027	4268	1998-03-21	VYDAJ	VYBER	3500	45034	\N	\N	0
1248028	4268	1998-04-15	VYDAJ	VYBER	3500	45021	\N	\N	0
1248029	4268	1998-05-05	VYDAJ	VYBER	3100	41197	\N	\N	0
1248030	4268	1998-06-16	VYDAJ	VYBER	3000	39430	\N	\N	0
1248031	4268	1998-07-08	VYDAJ	VYBER	3400	36189	\N	\N	0
1248032	4268	1998-08-06	VYDAJ	VYBER	3200	47886	\N	\N	0
1248033	4268	1998-09-15	VYDAJ	VYBER	3000	54715	\N	\N	0
1248034	4268	1998-10-12	VYDAJ	VYBER	3600	44662	\N	\N	0
1248035	4268	1998-11-12	VYDAJ	PREVOD NA UCET	3499	50606	UVER	AB	28338015
1248036	4268	1998-12-12	VYDAJ	PREVOD NA UCET	3499	51062	UVER	AB	28338015
1248038	4268	1998-06-01	VYDAJ	VYBER	33280	17422	\N	\N	\N
1248040	4268	1998-01-18	VYDAJ	VYBER	6720	38895	\N	\N	\N
1248041	4268	1997-12-16	VYDAJ	VYBER	1120	32873	\N	\N	\N
1248042	4268	1998-12-24	VYDAJ	VYBER	4320	61696	\N	\N	\N
1248049	4268	1998-01-12	VYDAJ	VYBER	600	33092	\N	\N	\N
1248050	4268	1998-01-06	VYDAJ	VYBER	2280	34412	\N	\N	\N
1248051	4268	1998-01-07	VYDAJ	VYBER	720	33692	\N	\N	\N
1248052	4268	1998-01-30	VYDAJ	VYBER	1800	30295	\N	\N	\N
1248053	4268	1998-01-29	VYDAJ	VYBER	1440	32095	\N	\N	\N
1248054	4268	1998-01-30	VYDAJ	VYBER	600	26335	\N	\N	\N
1248055	4268	1997-07-24	VYDAJ	VYBER	840	39109	\N	\N	\N
1248056	4268	1997-11-28	VYDAJ	VYBER	2520	29276	\N	\N	\N
1248057	4268	1997-10-28	VYDAJ	VYBER	4560	28263	\N	\N	\N
1248059	4268	1997-08-10	VYDAJ	VYBER	3000	36262	\N	\N	\N
1248060	4268	1997-09-21	VYDAJ	VYBER	3960	28785	\N	\N	\N
1248061	4268	1997-07-16	VYDAJ	VYBER	1680	47249	\N	\N	\N
1248062	4268	1998-08-17	VYDAJ	VYBER	4680	44309	\N	\N	\N
1248063	4268	1998-04-24	VYDAJ	VYBER	2640	44121	\N	\N	\N
1248064	4268	1998-08-16	VYDAJ	VYBER	2040	48989	\N	\N	\N
1248065	4268	1998-01-30	VYDAJ	VYBER	3360	26935	\N	\N	\N
1248066	4268	1998-08-14	VYDAJ	VYBER	2280	51029	\N	\N	\N
1248067	4268	1998-04-18	VYDAJ	VYBER	2760	46761	\N	\N	\N
1248068	4268	1998-01-24	VYDAJ	VYBER	960	33535	\N	\N	\N
1248076	4268	1997-07-31	VYDAJ	VYBER	15	39262	SLUZBY	\N	\N
1248077	4268	1997-08-31	VYDAJ	VYBER	15	31422	SLUZBY	\N	\N
1248078	4268	1997-09-30	VYDAJ	VYBER	15	28900	SLUZBY	\N	\N
1248079	4268	1997-10-31	VYDAJ	VYBER	15	28373	SLUZBY	\N	\N
1248080	4268	1997-11-30	VYDAJ	VYBER	15	25685	SLUZBY	\N	\N
1248081	4268	1997-12-31	VYDAJ	VYBER	15	36692	SLUZBY	\N	\N
1248082	4268	1998-01-31	VYDAJ	VYBER	15	26465	SLUZBY	\N	\N
1248083	4268	1998-02-28	VYDAJ	VYBER	15	39011	SLUZBY	\N	\N
1248084	4268	1998-03-31	VYDAJ	VYBER	15	45198	SLUZBY	\N	\N
1248085	4268	1998-04-30	VYDAJ	VYBER	15	44297	SLUZBY	\N	\N
1248086	4268	1998-05-31	VYDAJ	VYBER	15	50702	SLUZBY	\N	\N
1248087	4268	1998-06-30	VYDAJ	VYBER	15	39589	SLUZBY	\N	\N
1248088	4268	1998-07-31	VYDAJ	VYBER	15	51086	SLUZBY	\N	\N
1248089	4268	1998-08-31	VYDAJ	VYBER	15	44492	SLUZBY	\N	\N
1248090	4268	1998-09-30	VYDAJ	VYBER	15	54908	SLUZBY	\N	\N
1248091	4268	1998-10-31	VYDAJ	VYBER	15	57951	SLUZBY	\N	\N
1248092	4268	1998-11-30	VYDAJ	VYBER	15	60807	SLUZBY	\N	\N
1248093	4268	1997-03-22	PRIJEM	VKLAD	9000	19169	\N	\N	\N
1248094	4268	1997-04-21	VYDAJ	VYBER	600	28564	\N	\N	\N
1248095	4268	1997-05-21	VYDAJ	VYBER	3600	35026	\N	\N	\N
1248096	4268	1997-06-20	VYDAJ	VYBER	11300	38808	\N	\N	\N
1248097	4268	1997-07-20	VYDAJ	VYBER	7300	39949	\N	\N	\N
1248098	4268	1997-08-19	VYDAJ	VYBER	1100	34585	\N	\N	\N
1248099	4268	1997-09-18	VYDAJ	VYBER	2000	32745	\N	\N	\N
1248100	4268	1997-10-18	PRIJEM	VKLAD	3200	32823	\N	\N	\N
1248101	4268	1997-11-17	PRIJEM	VKLAD	3000	31796	\N	\N	\N
1248102	4268	1997-12-17	PRIJEM	VKLAD	3700	36573	\N	\N	\N
1248103	4268	1998-01-16	PRIJEM	VKLAD	9200	45615	\N	\N	\N
1248104	4268	1998-02-15	PRIJEM	VKLAD	11200	40988	\N	\N	\N
1248105	4268	1998-03-17	PRIJEM	VKLAD	6200	48534	\N	\N	\N
1248106	4268	1998-04-16	PRIJEM	VKLAD	4500	49521	\N	\N	\N
1248107	4268	1998-05-16	PRIJEM	VKLAD	6000	50520	\N	\N	\N
1248108	4268	1998-06-15	PRIJEM	VKLAD	16700	42430	\N	\N	\N
1248109	4268	1998-07-15	PRIJEM	VKLAD	11400	50912	\N	\N	\N
1248110	4268	1998-08-14	PRIJEM	VKLAD	2100	53309	\N	\N	\N
1248111	4268	1998-09-13	PRIJEM	VKLAD	9900	47746	\N	\N	\N
1248112	4268	1998-10-13	PRIJEM	VKLAD	3100	57731	\N	\N	\N
1248113	4268	1998-11-12	PRIJEM	VKLAD	2800	60751	\N	\N	\N
1248114	4268	1998-12-12	PRIJEM	VKLAD	400	61207	\N	\N	\N
1248137	4269	1995-12-24	PRIJEM	VKLAD	300	300	\N	\N	\N
1248164	4269	1996-03-03	PRIJEM	VKLAD	38144	125937	\N	\N	\N
1248165	4269	1996-02-07	PRIJEM	VKLAD	6830	26270	\N	\N	\N
1248166	4269	1996-01-14	PRIJEM	VKLAD	20416	20716	\N	\N	\N
1248167	4269	1996-12-13	PRIJEM	VKLAD	33896	107672	\N	\N	\N
1248168	4269	1996-03-20	PRIJEM	VKLAD	8540	96877	\N	\N	\N
1248169	4269	1996-05-19	PRIJEM	VKLAD	12724	53253	\N	\N	\N
1248170	4269	1996-02-25	PRIJEM	VKLAD	49429	73799	\N	\N	\N
1248171	4269	1996-06-05	PRIJEM	VKLAD	33668	79040	\N	\N	\N
1248172	4269	1996-04-24	PRIJEM	VKLAD	39397	80674	\N	\N	\N
1248173	4269	1996-06-28	PRIJEM	VKLAD	46676	100416	\N	\N	\N
1248174	4269	1996-06-02	PRIJEM	VKLAD	6111	45372	\N	\N	\N
1248175	4269	1996-02-29	PRIJEM	VKLAD	13870	87669	\N	\N	\N
1248176	4269	1996-11-19	PRIJEM	VKLAD	41792	73599	\N	\N	\N
1248177	4269	1996-04-16	PRIJEM	VKLAD	28374	60777	\N	\N	\N
1248178	4269	1996-07-10	PRIJEM	VKLAD	22672	57346	\N	\N	\N
1248179	4269	1996-04-30	PRIJEM	VKLAD	39390	120304	\N	\N	\N
1248180	4269	1996-07-02	PRIJEM	VKLAD	14693	34674	\N	\N	\N
1248181	4269	1997-03-26	PRIJEM	VKLAD	45348	118930	\N	\N	\N
1248182	4269	1997-08-10	PRIJEM	VKLAD	29311	69458	\N	\N	\N
1248183	4269	1997-05-22	PRIJEM	VKLAD	32781	115376	\N	\N	\N
1248184	4269	1997-06-22	PRIJEM	VKLAD	21700	45202	\N	\N	\N
1248185	4269	1997-05-22	PRIJEM	VKLAD	13693	82595	\N	\N	\N
1248186	4269	1997-04-30	PRIJEM	VKLAD	24652	110672	\N	\N	\N
1248187	4269	1997-09-19	PRIJEM	VKLAD	37996	113621	\N	\N	\N
1248188	4269	1997-02-27	PRIJEM	VKLAD	43015	137998	\N	\N	\N
1248189	4269	1997-11-27	PRIJEM	VKLAD	19946	58886	\N	\N	\N
1248190	4269	1997-05-07	PRIJEM	VKLAD	30704	122564	\N	\N	\N
1248191	4269	1997-01-16	PRIJEM	VKLAD	45404	81191	\N	\N	\N
1248192	4269	1997-04-28	PRIJEM	VKLAD	46093	126820	\N	\N	\N
1248193	4269	1997-07-16	PRIJEM	VKLAD	15351	41797	\N	\N	\N
1248194	4269	1997-06-04	PRIJEM	VKLAD	13653	94602	\N	\N	\N
1248195	4269	1997-02-25	PRIJEM	VKLAD	20660	117883	\N	\N	\N
1248196	4269	1997-01-27	PRIJEM	VKLAD	36845	86136	\N	\N	\N
1248197	4269	1997-03-29	PRIJEM	VKLAD	8104	102334	\N	\N	\N
1248198	4269	1997-02-21	PRIJEM	VKLAD	47261	97223	\N	\N	\N
1248199	4269	1997-04-15	PRIJEM	VKLAD	42626	145427	\N	\N	\N
1248200	4269	1997-08-06	PRIJEM	VKLAD	5011	40147	\N	\N	\N
1248201	4269	1997-08-31	PRIJEM	VKLAD	40853	100211	\N	\N	\N
1248202	4269	1997-05-28	PRIJEM	VKLAD	20367	80543	\N	\N	\N
1248203	4269	1998-09-14	PRIJEM	VKLAD	34090	87168	\N	\N	\N
1248204	4269	1998-08-17	PRIJEM	VKLAD	34415	80666	\N	\N	\N
1248205	4269	1998-04-27	PRIJEM	VKLAD	35336	81029	\N	\N	\N
1248208	4269	1996-09-10	VYBER	VYBER	15320	23049	\N	\N	\N
1248209	4269	1996-10-09	VYBER	VYBER	9078	20701	\N	\N	\N
1248211	4269	1996-04-06	VYBER	VYBER	2438	59363	\N	\N	\N
1248213	4269	1996-05-06	VYBER	VYBER	20861	40529	\N	\N	\N
1248214	4269	1996-04-09	VYBER	VYBER	10052	49311	\N	\N	\N
1248215	4269	1996-04-10	VYBER	VYBER	16908	32403	\N	\N	\N
1248217	4269	1997-11-08	VYBER	VYBER	14254	37538	\N	\N	\N
1248218	4269	1997-10-19	VYBER	VYBER	3669	51542	\N	\N	\N
1248219	4269	1997-05-07	VYBER	VYBER	17362	105202	\N	\N	\N
1248220	4269	1997-02-02	VYBER	VYBER	5774	56862	\N	\N	\N
1248221	4269	1997-10-16	VYBER	VYBER	10539	55211	\N	\N	\N
1248222	4269	1997-11-09	VYBER	VYBER	11398	26140	\N	\N	\N
1248224	4269	1997-09-23	VYBER	VYBER	10529	81792	\N	\N	\N
1248225	4269	1997-09-26	VYBER	VYBER	5916	75876	\N	\N	\N
1248226	4269	1997-01-10	VYBER	VYBER	3062	35787	\N	\N	\N
1248228	4269	1998-01-01	VYBER	VYBER	11782	42687	\N	\N	\N
1248229	4269	1998-08-22	VYBER	VYBER	24389	56277	\N	\N	\N
1248230	4269	1998-10-28	VYBER	VYBER	21333	47026	\N	\N	\N
1248232	4269	1998-03-17	VYBER	VYBER	15013	37729	\N	\N	\N
1248236	4269	1996-06-28	VYDAJ	VYBER	80700	19716	\N	\N	\N
1248237	4269	1997-06-06	VYDAJ	VYBER	71100	23502	\N	\N	\N
1248241	4269	1997-01-29	VYDAJ	VYBER	18300	62436	\N	\N	\N
1248242	4269	1998-01-26	VYDAJ	VYBER	12900	27787	\N	\N	\N
1248244	4269	1996-12-26	VYDAJ	VYBER	1800	52972	\N	\N	\N
1248245	4269	1997-12-14	VYDAJ	VYBER	7200	54251	\N	\N	\N
1248246	4269	1998-12-10	VYDAJ	VYBER	5700	49884	\N	\N	\N
1248259	4269	1997-01-05	VYDAJ	VYBER	3300	47549	\N	\N	\N
1248260	4269	1997-01-06	VYDAJ	VYBER	3600	43949	\N	\N	\N
1248261	4269	1997-01-22	VYDAJ	VYBER	7200	49291	\N	\N	\N
1248262	4269	1997-01-28	VYDAJ	VYBER	5400	80736	\N	\N	\N
1248263	4269	1997-01-07	VYDAJ	VYBER	5100	38849	\N	\N	\N
1248264	4269	1997-01-18	VYDAJ	VYBER	4500	56491	\N	\N	\N
1248266	4269	1998-01-11	VYDAJ	VYBER	6000	29487	\N	\N	\N
1248267	4269	1998-01-01	VYDAJ	VYBER	5700	36987	\N	\N	\N
1248268	4269	1998-01-01	VYDAJ	VYBER	1500	35487	\N	\N	\N
1248269	4269	1998-01-25	VYDAJ	VYBER	4200	40687	\N	\N	\N
1248277	4269	1996-12-30	VYDAJ	VYBER	2400	50572	\N	\N	\N
1248280	4269	1997-06-24	VYDAJ	VYBER	12000	33202	\N	\N	\N
1248281	4269	1997-07-02	VYDAJ	VYBER	6900	26446	\N	\N	\N
1248282	4269	1997-06-19	VYDAJ	VYBER	14100	23502	\N	\N	\N
1248283	4269	1997-07-29	VYDAJ	VYBER	13500	34997	\N	\N	\N
1248284	4269	1998-07-19	VYDAJ	VYBER	10800	40486	\N	\N	\N
1248285	4269	1998-06-24	VYDAJ	VYBER	12000	45858	\N	\N	\N
1248286	4269	1998-04-30	VYDAJ	VYBER	13500	67693	\N	\N	\N
1248287	4269	1998-10-06	VYDAJ	VYBER	5400	82059	\N	\N	\N
1248303	4269	1996-03-31	VYDAJ	VYBER	15	61801	SLUZBY	\N	\N
1248304	4269	1996-04-30	VYDAJ	VYBER	15	61390	SLUZBY	\N	\N
1248305	4269	1996-05-31	VYDAJ	VYBER	15	39261	SLUZBY	\N	\N
1248306	4269	1996-06-30	VYDAJ	VYBER	15	19981	SLUZBY	\N	\N
1248307	4269	1996-07-31	VYDAJ	VYBER	15	43204	SLUZBY	\N	\N
1248308	4269	1996-08-31	VYDAJ	VYBER	15	38369	SLUZBY	\N	\N
1248309	4269	1996-09-30	VYDAJ	VYBER	15	29779	SLUZBY	\N	\N
1248310	4269	1996-10-31	VYDAJ	VYBER	15	27607	SLUZBY	\N	\N
1248311	4269	1996-11-30	VYDAJ	VYBER	15	73776	SLUZBY	\N	\N
1248312	4269	1996-12-31	VYDAJ	VYBER	15	50849	SLUZBY	\N	\N
1248313	4269	1997-01-31	VYDAJ	VYBER	15	62636	SLUZBY	\N	\N
1248314	4269	1997-02-28	VYDAJ	VYBER	15	119982	SLUZBY	\N	\N
1248315	4269	1997-03-31	VYDAJ	VYBER	15	102801	SLUZBY	\N	\N
1248316	4269	1997-04-30	VYDAJ	VYBER	15	91860	SLUZBY	\N	\N
1248317	4269	1997-05-31	VYDAJ	VYBER	15	80949	SLUZBY	\N	\N
1248318	4269	1997-06-30	VYDAJ	VYBER	15	33346	SLUZBY	\N	\N
1248319	4269	1997-07-31	VYDAJ	VYBER	15	35136	SLUZBY	\N	\N
1248320	4269	1997-08-31	VYDAJ	VYBER	15	100425	SLUZBY	\N	\N
1248321	4269	1997-09-30	VYDAJ	VYBER	15	76250	SLUZBY	\N	\N
1248322	4269	1997-10-31	VYDAJ	VYBER	15	51792	SLUZBY	\N	\N
1248323	4269	1997-11-30	VYDAJ	VYBER	15	59051	SLUZBY	\N	\N
1248324	4269	1997-12-31	VYDAJ	VYBER	15	54469	SLUZBY	\N	\N
1248325	4269	1998-01-31	VYDAJ	VYBER	15	27939	SLUZBY	\N	\N
1248326	4269	1998-02-28	VYDAJ	VYBER	15	48442	SLUZBY	\N	\N
1248327	4269	1998-03-31	VYDAJ	VYBER	15	37893	SLUZBY	\N	\N
1248328	4269	1998-04-30	VYDAJ	VYBER	15	81193	SLUZBY	\N	\N
1248329	4269	1998-05-31	VYDAJ	VYBER	15	62458	SLUZBY	\N	\N
1248330	4269	1998-06-30	VYDAJ	VYBER	15	46086	SLUZBY	\N	\N
1248331	4269	1998-07-31	VYDAJ	VYBER	15	40651	SLUZBY	\N	\N
1248332	4269	1998-08-31	VYDAJ	VYBER	15	56478	SLUZBY	\N	\N
1248333	4269	1998-09-30	VYDAJ	VYBER	15	87459	SLUZBY	\N	\N
1248334	4269	1998-10-31	VYDAJ	VYBER	15	47303	SLUZBY	\N	\N
1248335	4269	1998-11-30	VYDAJ	VYBER	15	55184	SLUZBY	\N	\N
1248336	4269	1996-01-23	VYDAJ	VYBER	1300	19416	\N	\N	\N
1248337	4269	1996-02-22	VYDAJ	VYBER	1900	24370	\N	\N	\N
1248338	4269	1996-03-03	VYDAJ	VYBER	37600	88337	\N	\N	\N
1248339	4269	1996-03-23	VYDAJ	VYBER	35400	61477	\N	\N	\N
1248340	4269	1996-04-22	VYDAJ	VYBER	19500	41277	\N	\N	\N
1248341	4269	1996-04-30	VYDAJ	VYBER	58900	61404	\N	\N	\N
1248342	4269	1996-05-22	VYDAJ	VYBER	14200	39053	\N	\N	\N
1248343	4269	1996-06-21	VYDAJ	VYBER	25300	53740	\N	\N	\N
1248344	4269	1996-07-21	VYDAJ	VYBER	14300	43046	\N	\N	\N
1248345	4269	1996-08-20	VYDAJ	VYBER	5000	38204	\N	\N	\N
1248346	4269	1996-09-19	PRIJEM	VKLAD	6600	29649	\N	\N	\N
1248347	4269	1996-10-19	PRIJEM	VKLAD	6800	27501	\N	\N	\N
1248348	4269	1996-11-18	PRIJEM	VKLAD	4200	31807	\N	\N	\N
1248349	4269	1996-12-13	VYDAJ	VYBER	37300	70372	\N	\N	\N
1248350	4269	1996-12-18	VYDAJ	VYBER	15600	54772	\N	\N	\N
1248351	4269	1997-01-17	VYDAJ	VYBER	20200	60991	\N	\N	\N
1248352	4269	1997-02-16	VYDAJ	VYBER	6900	49962	\N	\N	\N
1248353	4269	1997-02-25	VYDAJ	VYBER	22900	94983	\N	\N	\N
1248354	4269	1997-02-27	VYDAJ	VYBER	18300	119698	\N	\N	\N
1248355	4269	1997-02-28	VYDAJ	VYBER	16600	103382	\N	\N	\N
1248356	4269	1997-03-18	VYDAJ	VYBER	29800	73582	\N	\N	\N
1248357	4269	1997-03-26	VYDAJ	VYBER	24700	94230	\N	\N	\N
1248358	4269	1997-04-15	VYDAJ	VYBER	30600	114827	\N	\N	\N
1248359	4269	1997-04-17	VYDAJ	VYBER	34100	80727	\N	\N	\N
1248360	4269	1997-04-28	VYDAJ	VYBER	40800	86020	\N	\N	\N
1248361	4269	1997-04-30	VYDAJ	VYBER	19200	91875	\N	\N	\N
1248362	4269	1997-05-07	VYDAJ	VYBER	16000	89202	\N	\N	\N
1248363	4269	1997-05-17	VYDAJ	VYBER	20300	68902	\N	\N	\N
1248364	4269	1997-05-22	VYDAJ	VYBER	55200	60176	\N	\N	\N
1248365	4269	1997-06-16	PRIJEM	VKLAD	14100	37602	\N	\N	\N
1248366	4269	1997-07-16	PRIJEM	VKLAD	6700	48497	\N	\N	\N
1248367	4269	1997-08-15	VYDAJ	VYBER	10100	59358	\N	\N	\N
1248368	4269	1997-09-14	VYDAJ	VYBER	24800	75625	\N	\N	\N
1248369	4269	1997-09-19	VYDAJ	VYBER	21300	92321	\N	\N	\N
1248370	4269	1997-10-14	VYDAJ	VYBER	10500	65750	\N	\N	\N
1248371	4269	1997-11-13	PRIJEM	VKLAD	12800	38940	\N	\N	\N
1248372	4269	1997-12-13	PRIJEM	VKLAD	2400	61451	\N	\N	\N
1248373	4269	1998-01-12	PRIJEM	VKLAD	15400	44887	\N	\N	\N
1248374	4269	1998-02-11	PRIJEM	VKLAD	20400	48339	\N	\N	\N
1248375	4269	1998-03-13	PRIJEM	VKLAD	4300	52742	\N	\N	\N
1248376	4269	1998-04-12	PRIJEM	VKLAD	7800	45693	\N	\N	\N
1248377	4269	1998-05-12	VYDAJ	VYBER	5500	62193	\N	\N	\N
1248378	4269	1998-06-11	VYDAJ	VYBER	4600	57858	\N	\N	\N
1248379	4269	1998-07-11	PRIJEM	VKLAD	5200	51286	\N	\N	\N
1248380	4269	1998-08-10	PRIJEM	VKLAD	5600	46251	\N	\N	\N
1248381	4269	1998-09-09	VYDAJ	VYBER	3400	53078	\N	\N	\N
1248382	4269	1998-10-09	VYDAJ	VYBER	13700	68359	\N	\N	\N
1248383	4269	1998-11-08	PRIJEM	VKLAD	7700	55003	\N	\N	\N
1248384	4269	1998-12-08	PRIJEM	VKLAD	400	55584	\N	\N	\N
1249480	4273	1996-03-11	PRIJEM	VKLAD	900	900	\N	\N	\N
1249481	4273	1996-10-12	PRIJEM	VKLAD	47067	80351	\N	\N	\N
1249482	4273	1996-06-24	PRIJEM	VKLAD	45749	69049	\N	\N	\N
1249483	4273	1996-08-27	PRIJEM	VKLAD	9420	45224	\N	\N	\N
1249484	4273	1997-06-20	PRIJEM	VKLAD	34693	86894	\N	\N	\N
1249485	4273	1997-11-13	PRIJEM	VKLAD	8173	95950	\N	\N	\N
1249486	4273	1997-04-05	PRIJEM	VKLAD	31594	65221	\N	\N	\N
1249487	4273	1997-04-03	PRIJEM	VKLAD	13787	33627	\N	\N	\N
1249488	4273	1997-02-09	PRIJEM	VKLAD	23690	53288	\N	\N	\N
1249489	4273	1997-06-14	PRIJEM	VKLAD	46826	52201	\N	\N	\N
1249490	4273	1997-11-26	PRIJEM	VKLAD	43592	114464	\N	\N	\N
1249491	4273	1997-08-04	PRIJEM	VKLAD	23907	35920	\N	\N	\N
1249492	4273	1997-11-12	PRIJEM	VKLAD	43974	60127	\N	\N	\N
1249493	4273	1997-09-30	PRIJEM	VKLAD	42217	53289	\N	\N	\N
1249494	4273	1997-11-12	PRIJEM	VKLAD	27650	87777	\N	\N	\N
1249495	4273	1997-12-04	PRIJEM	VKLAD	20220	65029	\N	\N	\N
1249496	4273	1997-01-07	PRIJEM	VKLAD	8906	36909	\N	\N	\N
1249497	4273	1998-07-30	PRIJEM	VKLAD	15814	47956	\N	\N	\N
1249498	4273	1998-05-30	PRIJEM	VKLAD	27060	67677	\N	\N	\N
1249499	4273	1998-03-25	PRIJEM	VKLAD	21978	44217	\N	\N	\N
1249500	4273	1998-02-17	PRIJEM	VKLAD	32101	39890	\N	\N	\N
1249501	4273	1998-06-19	PRIJEM	VKLAD	18500	41974	\N	\N	\N
1249502	4273	1998-01-20	PRIJEM	VKLAD	11199	36175	\N	\N	\N
1249503	4273	1998-01-11	PRIJEM	VKLAD	13922	36985	\N	\N	\N
1249504	4273	1998-06-28	PRIJEM	VKLAD	46832	88806	\N	\N	\N
1249505	4273	1998-05-15	PRIJEM	VKLAD	36161	40617	\N	\N	\N
1249506	4273	1998-02-17	PRIJEM	VKLAD	35895	75785	\N	\N	\N
1249507	4273	1998-04-15	PRIJEM	VKLAD	17908	26487	\N	\N	\N
1249508	4273	1998-10-18	PRIJEM	VKLAD	8219	12124	\N	\N	\N
1249509	4273	1998-10-28	PRIJEM	VKLAD	8263	20387	\N	\N	\N
1249559	4273	1997-02-13	VYDAJ	PREVOD NA UCET	9909	43379	SIPO	UV	91834884
1249560	4273	1997-03-13	VYDAJ	PREVOD NA UCET	9909	19734	SIPO	UV	91834884
1249561	4273	1997-04-13	VYDAJ	PREVOD NA UCET	9909	30812	SIPO	UV	91834884
1249562	4273	1997-05-13	VYDAJ	PREVOD NA UCET	9909	5341	SIPO	UV	91834884
1249564	4273	1997-07-13	VYDAJ	PREVOD NA UCET	9909	11918	SIPO	UV	91834884
1249565	4273	1997-08-13	VYDAJ	PREVOD NA UCET	9909	26011	SIPO	UV	91834884
1249566	4273	1997-09-13	VYDAJ	PREVOD NA UCET	9909	11072	SIPO	UV	91834884
1249567	4273	1997-10-13	VYDAJ	PREVOD NA UCET	9909	16842	SIPO	UV	91834884
1249568	4273	1997-11-13	VYDAJ	PREVOD NA UCET	9909	86041	SIPO	UV	91834884
1249569	4273	1997-12-13	VYDAJ	PREVOD NA UCET	9909	55120	SIPO	UV	91834884
1249570	4273	1998-01-13	VYDAJ	PREVOD NA UCET	9909	24976	SIPO	UV	91834884
1249571	4273	1998-02-13	VYDAJ	PREVOD NA UCET	9909	7789	SIPO	UV	91834884
1249572	4273	1998-03-13	VYDAJ	PREVOD NA UCET	9909	22239	SIPO	UV	91834884
1249573	4273	1998-04-13	VYDAJ	PREVOD NA UCET	9909	8579	SIPO	UV	91834884
1249574	4273	1998-05-13	VYDAJ	PREVOD NA UCET	9909	4456	SIPO	UV	91834884
1249575	4273	1998-06-13	VYDAJ	PREVOD NA UCET	9909	23474	SIPO	UV	91834884
1249576	4273	1998-07-13	VYDAJ	PREVOD NA UCET	9909	32142	SIPO	UV	91834884
1249577	4273	1998-08-13	VYDAJ	PREVOD NA UCET	9909	38208	SIPO	UV	91834884
1249578	4273	1998-09-13	VYDAJ	PREVOD NA UCET	9909	3865	SIPO	UV	91834884
1249580	4273	1998-11-13	VYDAJ	PREVOD NA UCET	9909	10488	SIPO	UV	91834884
1249581	4273	1998-12-13	VYDAJ	PREVOD NA UCET	9909	646	SIPO	UV	91834884
1249596	4273	1997-11-22	VYBER	VYBER	15169	70872	\N	\N	\N
1249597	4273	1997-07-06	VYBER	VYBER	24499	21827	\N	\N	\N
1249598	4273	1997-12-14	VYBER	VYBER	19244	35876	\N	\N	\N
1249604	4273	1998-02-22	VYBER	VYBER	6169	69616	\N	\N	\N
1249614	4273	1997-12-03	VYDAJ	VYBER	7200	44809	\N	\N	\N
1249629	4273	1998-01-30	VYDAJ	VYBER	8700	17575	\N	\N	\N
1249633	4273	1998-01-13	VYDAJ	VYBER	2100	34885	\N	\N	\N
1249645	4273	1997-10-12	VYDAJ	VYBER	4800	26751	\N	\N	\N
1249647	4273	1997-04-25	VYDAJ	VYBER	9300	21512	\N	\N	\N
1249665	4273	1997-02-28	VYDAJ	VYBER	15	43543	SLUZBY	\N	\N
1249666	4273	1997-03-31	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
1249667	4273	1997-04-30	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
1249668	4273	1997-05-31	VYDAJ	VYBER	15	5375	SLUZBY	\N	\N
1249669	4273	1997-06-30	VYDAJ	VYBER	15	87026	SLUZBY	\N	\N
1249670	4273	1997-07-31	VYDAJ	VYBER	15	12013	SLUZBY	\N	\N
1249671	4273	1997-08-31	VYDAJ	VYBER	15	26081	SLUZBY	\N	\N
1249672	4273	1997-09-30	VYDAJ	VYBER	15	53351	SLUZBY	\N	\N
1249673	4273	1997-10-31	VYDAJ	VYBER	15	16953	SLUZBY	\N	\N
1249674	4273	1997-11-30	VYDAJ	VYBER	15	86409	SLUZBY	\N	\N
1249675	4273	1997-12-31	VYDAJ	VYBER	15	23063	SLUZBY	\N	\N
1249676	4273	1998-01-31	VYDAJ	VYBER	15	17698	SLUZBY	\N	\N
1249677	4273	1998-02-28	VYDAJ	VYBER	15	69748	SLUZBY	\N	\N
1249678	4273	1998-03-31	VYDAJ	VYBER	15	44388	SLUZBY	\N	\N
1249679	4273	1998-04-30	VYDAJ	VYBER	15	26565	SLUZBY	\N	\N
1249680	4273	1998-05-31	VYDAJ	VYBER	15	33383	SLUZBY	\N	\N
1249681	4273	1998-06-30	VYDAJ	VYBER	15	42051	SLUZBY	\N	\N
1249682	4273	1998-07-31	VYDAJ	VYBER	15	48117	SLUZBY	\N	\N
1249683	4273	1998-08-31	VYDAJ	VYBER	15	13774	SLUZBY	\N	\N
1249684	4273	1998-09-30	VYDAJ	VYBER	15	3905	SLUZBY	\N	\N
1249685	4273	1998-10-31	VYDAJ	VYBER	15	20397	SLUZBY	\N	\N
1249686	4273	1998-11-30	VYDAJ	VYBER	15	10555	SLUZBY	\N	\N
1249687	4273	1996-04-10	PRIJEM	VKLAD	13600	14500	\N	\N	\N
1249688	4273	1996-05-10	PRIJEM	VKLAD	4100	18600	\N	\N	\N
1249689	4273	1996-06-09	PRIJEM	VKLAD	4700	23300	\N	\N	\N
1249690	4273	1996-07-09	VYDAJ	VYBER	20800	48316	\N	\N	\N
1249691	4273	1996-08-08	VYDAJ	VYBER	12800	35804	\N	\N	\N
1249692	4273	1996-09-07	VYDAJ	VYBER	12000	33496	\N	\N	\N
1249693	4273	1996-10-07	VYDAJ	VYBER	400	33284	\N	\N	\N
1249694	4273	1996-11-06	VYDAJ	VYBER	28500	52134	\N	\N	\N
1249695	4273	1996-12-06	VYDAJ	VYBER	15900	36569	\N	\N	\N
1249696	4273	1997-01-05	VYDAJ	VYBER	8900	28003	\N	\N	\N
1249697	4273	1997-02-04	VYDAJ	VYBER	7500	29598	\N	\N	\N
1249698	4273	1997-03-06	VYDAJ	VYBER	13900	29643	\N	\N	\N
1249699	4273	1997-04-05	VYDAJ	VYBER	24500	40721	\N	\N	\N
1249700	4273	1997-05-05	VYDAJ	VYBER	6400	15250	\N	\N	\N
1249701	4273	1997-07-04	VYDAJ	VYBER	40700	46326	\N	\N	\N
1249702	4273	1997-09-02	VYDAJ	VYBER	5100	20981	\N	\N	\N
1249703	4273	1997-10-02	VYDAJ	VYBER	21800	31551	\N	\N	\N
1249704	4273	1997-11-01	VYDAJ	VYBER	800	16153	\N	\N	\N
1249705	4273	1997-11-26	VYDAJ	VYBER	28300	86164	\N	\N	\N
1249706	4273	1997-12-01	VYDAJ	VYBER	34400	52009	\N	\N	\N
1249707	4273	1997-12-31	VYDAJ	VYBER	13000	23078	\N	\N	\N
1249708	4273	1998-01-30	VYDAJ	VYBER	9900	26275	\N	\N	\N
1249709	4273	1998-03-01	VYDAJ	VYBER	37600	32148	\N	\N	\N
1249710	4273	1998-03-31	VYDAJ	VYBER	25900	18488	\N	\N	\N
1249711	4273	1998-04-30	VYDAJ	VYBER	12200	14365	\N	\N	\N
1249712	4273	1998-05-30	VYDAJ	VYBER	34400	33277	\N	\N	\N
1249713	4273	1998-06-29	VYDAJ	VYBER	46900	41906	\N	\N	\N
1249714	4273	1998-08-28	VYDAJ	VYBER	24600	13608	\N	\N	\N
1250184	4276	1994-07-09	PRIJEM	VKLAD	900	900	\N	\N	\N
1250185	4276	1994-09-12	PRIJEM	VKLAD	49785	87603	\N	\N	\N
1250186	4276	1994-07-23	PRIJEM	VKLAD	18414	34264	\N	\N	\N
1250187	4276	1994-07-30	PRIJEM	VKLAD	6002	40266	\N	\N	\N
1250188	4276	1994-07-13	PRIJEM	VKLAD	6097	6997	\N	\N	\N
1250189	4276	1994-10-13	PRIJEM	VKLAD	45729	95320	\N	\N	\N
1250190	4276	1994-07-20	PRIJEM	VKLAD	8853	15850	\N	\N	\N
1250192	4276	1994-09-27	PRIJEM	VKLAD	40703	97929	\N	\N	\N
1250194	4276	1994-09-14	PRIJEM	VKLAD	33623	121226	\N	\N	\N
1250195	4276	1994-09-12	PRIJEM	VKLAD	10428	37818	\N	\N	\N
1250197	4276	1994-12-22	PRIJEM	VKLAD	7131	28610	\N	\N	\N
1250204	4276	1995-06-29	PRIJEM	VKLAD	37388	57045	\N	\N	\N
1250205	4276	1996-07-03	PRIJEM	VKLAD	8624	85509	\N	\N	\N
1250206	4276	1996-10-27	PRIJEM	VKLAD	41685	72902	\N	\N	\N
1250207	4276	1996-06-16	PRIJEM	VKLAD	46392	99087	\N	\N	\N
1250208	4276	1996-08-17	PRIJEM	VKLAD	40687	135022	\N	\N	\N
1250209	4276	1996-09-29	PRIJEM	VKLAD	29254	56168	\N	\N	\N
1250210	4276	1996-08-14	PRIJEM	VKLAD	38085	140686	\N	\N	\N
1250211	4276	1996-03-18	PRIJEM	VKLAD	20540	77152	\N	\N	\N
1250212	4276	1996-06-29	PRIJEM	VKLAD	46957	109623	\N	\N	\N
1250213	4276	1996-03-12	PRIJEM	VKLAD	31063	56612	\N	\N	\N
1250214	4276	1996-06-12	PRIJEM	VKLAD	12747	52695	\N	\N	\N
1250215	4276	1996-08-14	PRIJEM	VKLAD	47949	188635	\N	\N	\N
1250216	4276	1996-11-21	PRIJEM	VKLAD	27720	77773	\N	\N	\N
1250217	4276	1996-04-23	PRIJEM	VKLAD	29717	51065	\N	\N	\N
1250218	4276	1996-05-26	PRIJEM	VKLAD	16668	57966	\N	\N	\N
1250219	4276	1996-07-31	PRIJEM	VKLAD	47604	102616	\N	\N	\N
1250220	4276	1996-12-03	PRIJEM	VKLAD	18858	67295	\N	\N	\N
1250221	4276	1996-01-22	PRIJEM	VKLAD	33147	53337	\N	\N	\N
1250222	4276	1997-08-07	PRIJEM	VKLAD	15082	71050	\N	\N	\N
1250223	4276	1997-11-03	PRIJEM	VKLAD	39303	130319	\N	\N	\N
1250224	4276	1997-04-24	PRIJEM	VKLAD	31636	87516	\N	\N	\N
1250225	4276	1997-09-06	PRIJEM	VKLAD	24303	94516	\N	\N	\N
1250226	4276	1997-10-08	PRIJEM	VKLAD	40804	99633	\N	\N	\N
1250227	4276	1997-10-23	PRIJEM	VKLAD	9281	90414	\N	\N	\N
1250228	4276	1997-12-09	PRIJEM	VKLAD	17772	80148	\N	\N	\N
1250229	4276	1997-07-20	PRIJEM	VKLAD	46522	83653	\N	\N	\N
1250230	4276	1997-05-23	PRIJEM	VKLAD	33744	88586	\N	\N	\N
1250231	4276	1997-08-15	PRIJEM	VKLAD	17497	88547	\N	\N	\N
1250232	4276	1997-03-05	PRIJEM	VKLAD	17586	61104	\N	\N	\N
1250233	4276	1997-02-19	PRIJEM	VKLAD	7629	65859	\N	\N	\N
1250234	4276	1997-12-22	PRIJEM	VKLAD	23717	83914	\N	\N	\N
1250235	4276	1997-11-18	PRIJEM	VKLAD	17305	106024	\N	\N	\N
1250236	4276	1997-07-02	PRIJEM	VKLAD	16248	59545	\N	\N	\N
1250237	4276	1997-10-31	PRIJEM	VKLAD	44142	134556	\N	\N	\N
1250238	4276	1997-02-12	PRIJEM	VKLAD	24370	58230	\N	\N	\N
1250239	4276	1998-10-03	PRIJEM	VKLAD	45857	158484	\N	\N	\N
1250240	4276	1998-05-28	PRIJEM	VKLAD	38173	102470	\N	\N	\N
1250241	4276	1998-02-15	PRIJEM	VKLAD	49795	92972	\N	\N	\N
1250242	4276	1998-11-19	PRIJEM	VKLAD	48940	124925	\N	\N	\N
1250243	4276	1998-09-30	PRIJEM	VKLAD	14626	112328	\N	\N	\N
1250244	4276	1998-03-26	PRIJEM	VKLAD	28715	96466	\N	\N	\N
1250245	4276	1998-08-02	PRIJEM	VKLAD	24309	98545	\N	\N	\N
1250246	4276	1998-04-04	PRIJEM	VKLAD	41264	138071	\N	\N	\N
1250247	4276	1998-01-26	PRIJEM	VKLAD	5876	42921	\N	\N	\N
1250248	4276	1998-12-05	PRIJEM	VKLAD	42996	112635	\N	\N	\N
1250249	4276	1998-01-15	PRIJEM	VKLAD	45133	129345	\N	\N	\N
1250250	4276	1998-12-13	PRIJEM	VKLAD	24291	79026	\N	\N	\N
1250251	4276	1998-12-14	PRIJEM	VKLAD	38613	117639	\N	\N	\N
1250252	4276	1998-08-04	PRIJEM	VKLAD	27075	125620	\N	\N	\N
1250253	4276	1998-05-07	PRIJEM	VKLAD	31782	120097	\N	\N	\N
1250254	4276	1998-10-04	PRIJEM	VKLAD	38649	177533	\N	\N	\N
1250255	4276	1998-07-11	PRIJEM	VKLAD	28486	93189	\N	\N	\N
1250256	4276	1998-05-02	PRIJEM	VKLAD	31772	119715	\N	\N	\N
1250257	4276	1998-07-09	PRIJEM	VKLAD	36660	64703	\N	\N	\N
1250258	4276	1998-09-27	PRIJEM	VKLAD	15981	97702	\N	\N	\N
1250259	4276	1998-04-18	PRIJEM	VKLAD	35281	134265	\N	\N	\N
1250260	4276	1998-10-12	PRIJEM	VKLAD	10177	156710	\N	\N	\N
1250261	4276	1998-03-14	PRIJEM	VKLAD	42564	117951	\N	\N	\N
1250262	4276	1998-09-18	PRIJEM	VKLAD	26446	81721	\N	\N	\N
1250325	4276	1994-10-07	VYBER	VYBER	19882	78391	\N	\N	\N
1250327	4276	1994-11-14	VYBER	VYBER	17336	41255	\N	\N	\N
1250328	4276	1994-11-17	VYBER	VYBER	21290	19965	\N	\N	\N
1250331	4276	1995-10-19	VYBER	VYBER	7288	19768	\N	\N	\N
1250338	4276	1995-12-05	VYBER	VYBER	4923	23306	\N	\N	\N
1250341	4276	1996-07-03	VYBER	VYBER	13940	71569	\N	\N	\N
1250342	4276	1996-09-02	VYBER	VYBER	18883	21614	\N	\N	\N
1250343	4276	1996-02-13	VYBER	VYBER	11937	25510	\N	\N	\N
1250344	4276	1996-04-09	VYBER	VYBER	4058	21348	\N	\N	\N
1250345	4276	1996-04-05	VYBER	VYBER	22323	25406	\N	\N	\N
1250346	4276	1996-03-24	VYBER	VYBER	11790	62662	\N	\N	\N
1250349	4276	1996-12-02	VYBER	VYBER	7113	48437	\N	\N	\N
1250350	4276	1996-11-04	VYBER	VYBER	23075	50053	\N	\N	\N
1250351	4276	1996-08-18	VYBER	VYBER	19344	63078	\N	\N	\N
1250352	4276	1996-06-20	VYBER	VYBER	4821	94266	\N	\N	\N
1250353	4276	1996-05-28	VYBER	VYBER	11087	46879	\N	\N	\N
1250354	4276	1996-10-18	VYBER	VYBER	23729	32617	\N	\N	\N
1250355	4276	1997-02-26	VYBER	VYBER	11898	43361	\N	\N	\N
1250356	4276	1997-12-18	VYBER	VYBER	15251	64897	\N	\N	\N
1250357	4276	1997-07-30	VYBER	VYBER	14191	55762	\N	\N	\N
1250358	4276	1997-07-07	VYBER	VYBER	11014	48531	\N	\N	\N
1250359	4276	1998-04-05	VYBER	VYBER	7287	98984	\N	\N	\N
1250360	4276	1998-06-29	VYBER	VYBER	18050	27741	\N	\N	\N
1250364	4276	1997-06-17	VYDAJ	VYBER	39900	30850	\N	\N	\N
1250365	4276	1998-06-10	VYDAJ	VYBER	71400	31391	\N	\N	\N
1250366	4276	1994-12-20	VYDAJ	VYBER	1800	21479	\N	\N	\N
1250368	4276	1996-12-23	VYDAJ	VYBER	2700	55895	\N	\N	\N
1250369	4276	1997-12-08	VYDAJ	VYBER	4200	62376	\N	\N	\N
1250370	4276	1998-12-21	VYDAJ	VYBER	1800	93539	\N	\N	\N
1250380	4276	1995-01-30	VYDAJ	VYBER	2100	19590	\N	\N	\N
1250381	4276	1995-01-26	VYDAJ	VYBER	1500	21690	\N	\N	\N
1250382	4276	1995-01-01	VYDAJ	VYBER	6000	22690	\N	\N	\N
1250387	4276	1996-01-22	VYDAJ	VYBER	6300	47037	\N	\N	\N
1250388	4276	1996-01-09	VYDAJ	VYBER	3000	20190	\N	\N	\N
1250389	4276	1997-01-11	VYDAJ	VYBER	2400	39320	\N	\N	\N
1250390	4276	1997-01-13	VYDAJ	VYBER	4800	34520	\N	\N	\N
1250391	4276	1997-01-14	VYDAJ	VYBER	5100	29420	\N	\N	\N
1250392	4276	1997-01-27	VYDAJ	VYBER	2100	33720	\N	\N	\N
1250394	4276	1997-01-03	VYDAJ	VYBER	6300	41720	\N	\N	\N
1250395	4276	1998-01-15	VYDAJ	VYBER	1500	74045	\N	\N	\N
1250396	4276	1998-01-20	VYDAJ	VYBER	5100	53845	\N	\N	\N
1250397	4276	1998-01-22	VYDAJ	VYBER	3900	42145	\N	\N	\N
1250398	4276	1998-01-24	VYDAJ	VYBER	5100	37045	\N	\N	\N
1250399	4276	1998-01-17	VYDAJ	VYBER	8100	65945	\N	\N	\N
1250400	4276	1998-01-21	VYDAJ	VYBER	7800	46045	\N	\N	\N
1250407	4276	1995-07-21	VYDAJ	VYBER	7500	35222	\N	\N	\N
1250408	4276	1995-12-01	VYDAJ	VYBER	5700	28229	\N	\N	\N
1250411	4276	1996-08-31	VYDAJ	VYBER	7800	40497	\N	\N	\N
1250412	4276	1996-12-11	VYDAJ	VYBER	8700	58595	\N	\N	\N
1250413	4276	1996-03-20	VYDAJ	VYBER	2700	74452	\N	\N	\N
1250414	4276	1996-08-21	VYDAJ	VYBER	3000	60078	\N	\N	\N
1250415	4276	1996-05-17	VYDAJ	VYBER	2400	41298	\N	\N	\N
1250416	4276	1997-11-28	VYDAJ	VYBER	14400	66224	\N	\N	\N
1250417	4276	1997-07-13	VYDAJ	VYBER	11400	37131	\N	\N	\N
1250418	4276	1997-10-06	VYDAJ	VYBER	12000	58829	\N	\N	\N
1250419	4276	1997-05-11	VYDAJ	VYBER	10500	54842	\N	\N	\N
1250420	4276	1997-09-06	VYDAJ	VYBER	6600	87916	\N	\N	\N
1250421	4276	1998-05-03	VYDAJ	VYBER	14400	88315	\N	\N	\N
1250422	4276	1998-11-06	VYDAJ	VYBER	9600	80585	\N	\N	\N
1250423	4276	1998-05-23	VYDAJ	VYBER	4800	64297	\N	\N	\N
1250424	4276	1998-09-11	VYDAJ	VYBER	7200	66575	\N	\N	\N
1250425	4276	1998-08-13	VYDAJ	VYBER	2400	82120	\N	\N	\N
1250426	4276	1998-09-12	VYDAJ	VYBER	11400	55175	\N	\N	\N
1250436	4276	1994-09-30	VYDAJ	VYBER	15	98273	SLUZBY	\N	\N
1250437	4276	1994-10-31	VYDAJ	VYBER	15	95691	SLUZBY	\N	\N
1250438	4276	1994-11-30	VYDAJ	VYBER	15	20179	SLUZBY	\N	\N
1250439	4276	1994-12-31	VYDAJ	VYBER	15	28690	SLUZBY	\N	\N
1250440	4276	1995-01-31	VYDAJ	VYBER	15	19673	SLUZBY	\N	\N
1250441	4276	1995-02-28	VYDAJ	VYBER	15	22740	SLUZBY	\N	\N
1250442	4276	1995-03-31	VYDAJ	VYBER	15	19619	SLUZBY	\N	\N
1250443	4276	1995-04-30	VYDAJ	VYBER	15	20786	SLUZBY	\N	\N
1250444	4276	1995-05-31	VYDAJ	VYBER	15	19557	SLUZBY	\N	\N
1250445	4276	1995-06-30	VYDAJ	VYBER	15	57122	SLUZBY	\N	\N
1250446	4276	1995-07-31	VYDAJ	VYBER	15	35412	SLUZBY	\N	\N
1250447	4276	1995-08-31	VYDAJ	VYBER	15	30843	SLUZBY	\N	\N
1250448	4276	1995-09-30	VYDAJ	VYBER	15	30056	SLUZBY	\N	\N
1250449	4276	1995-10-31	VYDAJ	VYBER	15	19860	SLUZBY	\N	\N
1250450	4276	1995-11-30	VYDAJ	VYBER	15	27729	SLUZBY	\N	\N
1250451	4276	1995-12-31	VYDAJ	VYBER	15	23190	SLUZBY	\N	\N
1250452	4276	1996-01-31	VYDAJ	VYBER	15	37447	SLUZBY	\N	\N
1250453	4276	1996-02-29	VYDAJ	VYBER	15	25549	SLUZBY	\N	\N
1250454	4276	1996-03-31	VYDAJ	VYBER	15	47729	SLUZBY	\N	\N
1250455	4276	1996-04-30	VYDAJ	VYBER	15	43698	SLUZBY	\N	\N
1250456	4276	1996-05-31	VYDAJ	VYBER	15	39948	SLUZBY	\N	\N
1250457	4276	1996-06-30	VYDAJ	VYBER	15	76885	SLUZBY	\N	\N
1250458	4276	1996-07-31	VYDAJ	VYBER	15	102601	SLUZBY	\N	\N
1250459	4276	1996-08-31	VYDAJ	VYBER	15	48297	SLUZBY	\N	\N
1250460	4276	1996-09-30	VYDAJ	VYBER	15	56346	SLUZBY	\N	\N
1250461	4276	1996-10-31	VYDAJ	VYBER	15	73128	SLUZBY	\N	\N
1250462	4276	1996-11-30	VYDAJ	VYBER	15	55550	SLUZBY	\N	\N
1250463	4276	1996-12-31	VYDAJ	VYBER	15	48020	SLUZBY	\N	\N
1250464	4276	1997-01-31	VYDAJ	VYBER	15	33860	SLUZBY	\N	\N
1250465	4276	1997-02-28	VYDAJ	VYBER	15	43518	SLUZBY	\N	\N
1250466	4276	1997-03-31	VYDAJ	VYBER	15	55880	SLUZBY	\N	\N
1250467	4276	1997-04-30	VYDAJ	VYBER	15	65342	SLUZBY	\N	\N
1250468	4276	1997-05-31	VYDAJ	VYBER	15	70750	SLUZBY	\N	\N
1250469	4276	1997-06-30	VYDAJ	VYBER	15	43297	SLUZBY	\N	\N
1250470	4276	1997-07-31	VYDAJ	VYBER	15	55968	SLUZBY	\N	\N
1250471	4276	1997-08-31	VYDAJ	VYBER	15	70213	SLUZBY	\N	\N
1250472	4276	1997-09-30	VYDAJ	VYBER	15	70829	SLUZBY	\N	\N
1250473	4276	1997-10-31	VYDAJ	VYBER	15	91016	SLUZBY	\N	\N
1250474	4276	1997-11-30	VYDAJ	VYBER	15	66576	SLUZBY	\N	\N
1250475	4276	1997-12-31	VYDAJ	VYBER	15	84212	SLUZBY	\N	\N
1250476	4276	1998-01-31	VYDAJ	VYBER	15	43177	SLUZBY	\N	\N
1250477	4276	1998-02-28	VYDAJ	VYBER	15	75387	SLUZBY	\N	\N
1250478	4276	1998-03-31	VYDAJ	VYBER	15	96807	SLUZBY	\N	\N
1250479	4276	1998-04-30	VYDAJ	VYBER	15	87943	SLUZBY	\N	\N
1250480	4276	1998-05-31	VYDAJ	VYBER	15	102791	SLUZBY	\N	\N
1250481	4276	1998-06-30	VYDAJ	VYBER	15	28043	SLUZBY	\N	\N
1250482	4276	1998-07-31	VYDAJ	VYBER	15	74236	SLUZBY	\N	\N
1250483	4276	1998-08-31	VYDAJ	VYBER	15	73775	SLUZBY	\N	\N
1250484	4276	1998-09-30	VYDAJ	VYBER	15	112627	SLUZBY	\N	\N
1250485	4276	1998-10-31	VYDAJ	VYBER	15	90185	SLUZBY	\N	\N
1250486	4276	1998-11-30	VYDAJ	VYBER	15	69639	SLUZBY	\N	\N
1250487	4276	1994-08-08	VYDAJ	VYBER	8500	31822	\N	\N	\N
1250488	4276	1994-09-07	VYDAJ	VYBER	4600	27390	\N	\N	\N
1250489	4276	1994-09-14	VYDAJ	VYBER	64000	57226	\N	\N	\N
1250490	4276	1994-10-07	VYDAJ	VYBER	28800	49591	\N	\N	\N
1250491	4276	1994-11-06	VYDAJ	VYBER	37100	58591	\N	\N	\N
1250492	4276	1994-12-06	PRIJEM	VKLAD	3100	23279	\N	\N	\N
1250493	4276	1995-01-05	PRIJEM	VKLAD	500	23190	\N	\N	\N
1250494	4276	1995-02-04	PRIJEM	VKLAD	3000	22673	\N	\N	\N
1250495	4276	1995-03-06	VYDAJ	VYBER	3200	19540	\N	\N	\N
1250496	4276	1995-04-05	PRIJEM	VKLAD	1100	20719	\N	\N	\N
1250497	4276	1995-05-05	VYDAJ	VYBER	1300	19486	\N	\N	\N
1250498	4276	1995-06-04	PRIJEM	VKLAD	100	19657	\N	\N	\N
1250499	4276	1995-07-04	VYDAJ	VYBER	14400	42722	\N	\N	\N
1250500	4276	1995-08-03	VYDAJ	VYBER	4700	30712	\N	\N	\N
1250501	4276	1995-09-02	VYDAJ	VYBER	900	29943	\N	\N	\N
1250502	4276	1995-10-02	VYDAJ	VYBER	3000	27056	\N	\N	\N
1250503	4276	1995-11-01	PRIJEM	VKLAD	7800	27660	\N	\N	\N
1250504	4276	1995-12-01	PRIJEM	VKLAD	6200	33929	\N	\N	\N
1250505	4276	1995-12-31	VYDAJ	VYBER	200	23204	\N	\N	\N
1250506	4276	1996-01-30	VYDAJ	VYBER	9700	37337	\N	\N	\N
1250507	4276	1996-02-29	VYDAJ	VYBER	100	25564	\N	\N	\N
1250508	4276	1996-03-30	VYDAJ	VYBER	15100	47562	\N	\N	\N
1250509	4276	1996-04-29	VYDAJ	VYBER	7500	43565	\N	\N	\N
1250510	4276	1996-05-29	VYDAJ	VYBER	7100	39779	\N	\N	\N
1250511	4276	1996-06-28	VYDAJ	VYBER	31600	62666	\N	\N	\N
1250512	4276	1996-06-29	VYDAJ	VYBER	33000	76623	\N	\N	\N
1250513	4276	1996-07-28	VYDAJ	VYBER	16900	54669	\N	\N	\N
1250514	4276	1996-08-14	VYDAJ	VYBER	56700	94335	\N	\N	\N
1250515	4276	1996-08-14	VYDAJ	VYBER	37600	151035	\N	\N	\N
1250516	4276	1996-08-17	VYDAJ	VYBER	52600	82422	\N	\N	\N
1250517	4276	1996-08-27	VYDAJ	VYBER	12100	47978	\N	\N	\N
1250518	4276	1996-09-26	PRIJEM	VKLAD	5300	26914	\N	\N	\N
1250519	4276	1996-10-26	VYDAJ	VYBER	1400	31217	\N	\N	\N
1250520	4276	1996-11-25	VYDAJ	VYBER	22500	55273	\N	\N	\N
1250521	4276	1996-12-25	VYDAJ	VYBER	8100	47795	\N	\N	\N
1250522	4276	1997-01-24	PRIJEM	VKLAD	6400	35820	\N	\N	\N
1250523	4276	1997-02-23	VYDAJ	VYBER	10600	55259	\N	\N	\N
1250524	4276	1997-03-25	VYDAJ	VYBER	5400	55704	\N	\N	\N
1250525	4276	1997-04-24	VYDAJ	VYBER	22400	65116	\N	\N	\N
1250526	4276	1997-05-24	VYDAJ	VYBER	18100	70486	\N	\N	\N
1250527	4276	1997-06-23	PRIJEM	VKLAD	12200	43050	\N	\N	\N
1250528	4276	1997-07-23	VYDAJ	VYBER	13700	69953	\N	\N	\N
1250529	4276	1997-08-22	VYDAJ	VYBER	18600	69947	\N	\N	\N
1250530	4276	1997-09-21	VYDAJ	VYBER	17400	70516	\N	\N	\N
1250531	4276	1997-10-21	VYDAJ	VYBER	18500	81133	\N	\N	\N
1250532	4276	1997-10-31	VYDAJ	VYBER	43900	91031	\N	\N	\N
1250533	4276	1997-11-03	VYDAJ	VYBER	41600	88719	\N	\N	\N
1250534	4276	1997-11-20	VYDAJ	VYBER	25400	80624	\N	\N	\N
1250535	4276	1997-12-20	VYDAJ	VYBER	4700	60197	\N	\N	\N
1250536	4276	1998-01-15	VYDAJ	VYBER	53800	75545	\N	\N	\N
1250537	4276	1998-01-19	VYDAJ	VYBER	7000	58945	\N	\N	\N
1250538	4276	1998-02-18	VYDAJ	VYBER	17800	75172	\N	\N	\N
1250539	4276	1998-03-14	VYDAJ	VYBER	37000	80951	\N	\N	\N
1250540	4276	1998-03-20	VYDAJ	VYBER	13200	67751	\N	\N	\N
1250541	4276	1998-04-04	VYDAJ	VYBER	31800	106271	\N	\N	\N
1250542	4276	1998-04-18	VYDAJ	VYBER	18500	115765	\N	\N	\N
1250543	4276	1998-04-19	VYDAJ	VYBER	28200	87565	\N	\N	\N
1250544	4276	1998-05-02	VYDAJ	VYBER	17000	102715	\N	\N	\N
1250545	4276	1998-05-07	VYDAJ	VYBER	39500	80597	\N	\N	\N
1250546	4276	1998-05-19	VYDAJ	VYBER	11500	69097	\N	\N	\N
1250547	4276	1998-06-18	PRIJEM	VKLAD	14400	45791	\N	\N	\N
1250548	4276	1998-07-18	VYDAJ	VYBER	19200	73989	\N	\N	\N
1250549	4276	1998-08-04	VYDAJ	VYBER	41100	84520	\N	\N	\N
1250550	4276	1998-08-17	VYDAJ	VYBER	8700	73420	\N	\N	\N
1250551	4276	1998-09-16	PRIJEM	VKLAD	100	55275	\N	\N	\N
1250552	4276	1998-10-03	VYDAJ	VYBER	19600	138884	\N	\N	\N
1250553	4276	1998-10-04	VYDAJ	VYBER	31000	146533	\N	\N	\N
1250554	4276	1998-10-12	VYDAJ	VYBER	41700	115010	\N	\N	\N
1250555	4276	1998-10-16	VYDAJ	VYBER	25300	89710	\N	\N	\N
1250556	4276	1998-11-15	VYDAJ	VYBER	4600	75985	\N	\N	\N
1250557	4276	1998-11-19	VYDAJ	VYBER	55600	69325	\N	\N	\N
1250558	4276	1998-12-05	VYDAJ	VYBER	57900	54735	\N	\N	\N
1250559	4276	1998-12-15	VYDAJ	VYBER	22300	95339	\N	\N	\N
1252273	4283	1994-10-16	PRIJEM	VKLAD	600	600	\N	\N	\N
1252284	4283	1994-11-05	PRIJEM	VKLAD	21214	21814	\N	\N	\N
1252285	4283	1994-12-05	PRIJEM	VKLAD	31821	53884	\N	\N	\N
1252286	4283	1995-01-05	PRIJEM	VKLAD	21214	62333	\N	\N	\N
1252287	4283	1995-02-05	PRIJEM	VKLAD	21214	64323	\N	\N	\N
1252288	4283	1995-03-05	PRIJEM	VKLAD	21214	68726	\N	\N	\N
1252289	4283	1995-04-05	PRIJEM	VKLAD	21214	67720	\N	\N	\N
1252290	4283	1995-05-05	PRIJEM	VKLAD	21214	72123	\N	\N	\N
1252291	4283	1995-06-05	PRIJEM	VKLAD	31821	84445	\N	\N	\N
1252292	4283	1995-07-05	PRIJEM	VKLAD	21214	34193	\N	\N	\N
1252293	4283	1995-08-05	PRIJEM	VKLAD	21214	56227	\N	\N	\N
1252294	4283	1995-09-05	PRIJEM	VKLAD	21214	66500	\N	\N	\N
1252295	4283	1995-10-05	PRIJEM	VKLAD	21214	66854	\N	\N	\N
1252296	4283	1995-11-05	PRIJEM	VKLAD	21214	68848	\N	\N	\N
1252297	4283	1995-12-05	PRIJEM	VKLAD	31821	82671	\N	\N	\N
1252298	4283	1996-01-05	PRIJEM	VKLAD	21214	79527	\N	\N	\N
1252299	4283	1996-02-05	PRIJEM	VKLAD	21214	58084	\N	\N	\N
1252300	4283	1996-03-05	PRIJEM	VKLAD	21214	70576	\N	\N	\N
1252301	4283	1996-04-05	PRIJEM	VKLAD	21214	73810	\N	\N	\N
1252302	4283	1996-05-05	PRIJEM	VKLAD	21214	74029	\N	\N	\N
1252303	4283	1996-06-05	PRIJEM	VKLAD	31821	63219	\N	\N	\N
1252304	4283	1996-07-05	PRIJEM	VKLAD	21214	70630	\N	\N	\N
1252305	4283	1996-08-05	PRIJEM	VKLAD	21214	70936	\N	\N	\N
1252306	4283	1996-09-05	PRIJEM	VKLAD	21214	74353	\N	\N	\N
1252307	4283	1996-10-05	PRIJEM	VKLAD	21214	72847	\N	\N	\N
1252308	4283	1996-11-05	PRIJEM	VKLAD	21214	59860	\N	\N	\N
1252309	4283	1996-12-05	PRIJEM	VKLAD	31821	73406	\N	\N	\N
1252310	4283	1997-01-05	PRIJEM	VKLAD	21214	70396	\N	\N	\N
1252311	4283	1997-02-05	PRIJEM	VKLAD	21214	67661	\N	\N	\N
1252312	4283	1997-03-05	PRIJEM	VKLAD	21214	71837	\N	\N	\N
1252313	4283	1997-04-05	PRIJEM	VKLAD	21214	72933	\N	\N	\N
1252314	4283	1997-05-05	PRIJEM	VKLAD	21214	76235	\N	\N	\N
1252315	4283	1997-06-05	PRIJEM	VKLAD	31821	88156	\N	\N	\N
1252316	4283	1997-07-05	PRIJEM	VKLAD	21214	63002	\N	\N	\N
1252317	4283	1997-08-05	PRIJEM	VKLAD	21214	71255	\N	\N	\N
1252318	4283	1997-09-05	PRIJEM	VKLAD	21214	72046	\N	\N	\N
1252319	4283	1997-10-05	PRIJEM	VKLAD	21214	72539	\N	\N	\N
1252320	4283	1997-11-05	PRIJEM	VKLAD	21214	78052	\N	\N	\N
1252321	4283	1997-12-05	PRIJEM	VKLAD	31821	90694	\N	\N	\N
1252322	4283	1998-01-05	PRIJEM	VKLAD	21214	62036	\N	\N	\N
1252323	4283	1998-02-05	PRIJEM	VKLAD	21214	69371	\N	\N	\N
1252324	4283	1998-03-05	PRIJEM	VKLAD	21214	76370	\N	\N	\N
1252325	4283	1998-04-05	PRIJEM	VKLAD	21214	86400	\N	\N	\N
1252326	4283	1998-05-05	PRIJEM	VKLAD	21214	87168	\N	\N	\N
1252327	4283	1998-06-05	PRIJEM	VKLAD	31821	101348	\N	\N	\N
1252328	4283	1998-07-05	PRIJEM	VKLAD	21214	74414	\N	\N	\N
1252329	4283	1998-08-05	PRIJEM	VKLAD	21214	86903	\N	\N	\N
1252330	4283	1998-09-05	PRIJEM	VKLAD	21214	96480	\N	\N	\N
1252331	4283	1998-10-05	PRIJEM	VKLAD	21214	92088	\N	\N	\N
1252332	4283	1998-11-05	PRIJEM	VKLAD	21214	93339	\N	\N	\N
1252333	4283	1998-12-05	PRIJEM	VKLAD	31821	103241	\N	\N	\N
1252335	4283	1995-06-19	VYDAJ	VYBER	35360	22185	\N	\N	\N
1252336	4283	1996-06-03	VYDAJ	VYBER	23040	31398	\N	\N	\N
1252337	4283	1997-06-18	VYDAJ	VYBER	40640	47516	\N	\N	\N
1252338	4283	1998-06-15	VYDAJ	VYBER	38400	58148	\N	\N	\N
1252341	4283	1996-01-10	VYDAJ	VYBER	10080	42927	\N	\N	\N
1252342	4283	1997-01-15	VYDAJ	VYBER KARTOU	3200	65196	\N	\N	0
1252343	4283	1998-01-03	VYDAJ	VYBER	14880	40822	\N	\N	\N
1252345	4283	1995-12-03	VYDAJ	VYBER	3200	50850	\N	\N	\N
1252346	4283	1996-12-09	VYDAJ	VYBER KARTOU	2200	71206	\N	\N	0
1252347	4283	1997-12-14	VYDAJ	VYBER KARTOU	2700	87994	\N	\N	0
1252348	4283	1998-12-05	VYDAJ	VYBER KARTOU	3000	100241	\N	\N	0
1252361	4283	1996-01-05	VYDAJ	VYBER	1680	77847	\N	\N	\N
1252362	4283	1996-01-18	VYDAJ	VYBER	840	40887	\N	\N	\N
1252363	4283	1996-01-10	VYDAJ	VYBER	2640	53007	\N	\N	\N
1252364	4283	1996-01-22	VYDAJ	VYBER	1680	39207	\N	\N	\N
1252365	4283	1996-01-25	VYDAJ	VYBER	2520	36687	\N	\N	\N
1252366	4283	1996-01-15	VYDAJ	VYBER	1200	41727	\N	\N	\N
1252367	4283	1997-01-16	VYDAJ	VYBER KARTOU	2800	62396	\N	\N	0
1252368	4283	1997-01-28	VYDAJ	VYBER KARTOU	1400	60996	\N	\N	0
1252369	4283	1997-01-28	VYDAJ	VYBER KARTOU	2600	58396	\N	\N	0
1252370	4283	1997-01-12	VYDAJ	VYBER KARTOU	2000	68396	\N	\N	0
1252371	4283	1997-01-01	VYDAJ	VYBER KARTOU	1700	68782	\N	\N	0
1252372	4283	1997-01-01	VYDAJ	VYBER KARTOU	1000	70482	\N	\N	0
1252373	4283	1998-01-17	VYDAJ	VYBER KARTOU	700	58136	\N	\N	0
1252374	4283	1998-01-22	VYDAJ	VYBER KARTOU	1300	53736	\N	\N	0
1252375	4283	1998-01-14	VYDAJ	VYBER KARTOU	3200	58836	\N	\N	0
1252376	4283	1998-01-03	VYDAJ	VYBER KARTOU	1700	55702	\N	\N	0
1252377	4283	1998-01-18	VYDAJ	VYBER KARTOU	3100	55036	\N	\N	0
1252378	4283	1998-01-27	VYDAJ	VYBER KARTOU	1300	52436	\N	\N	0
1252384	4283	1995-09-09	VYDAJ	VYBER	840	65660	\N	\N	\N
1252386	4283	1995-06-25	VYDAJ	VYBER	5520	16665	\N	\N	\N
1252387	4283	1995-07-02	VYDAJ	VYBER	3840	12979	\N	\N	\N
1252388	4283	1996-10-23	VYDAJ	VYBER KARTOU	2800	49347	\N	\N	0
1252389	4283	1996-07-10	VYDAJ	VYBER KARTOU	2200	49530	\N	\N	0
1252390	4283	1996-03-09	VYDAJ	VYBER	2880	67696	\N	\N	\N
1252391	4283	1996-11-23	VYDAJ	VYBER KARTOU	2800	57060	\N	\N	0
1252392	4283	1998-07-02	VYDAJ	VYBER KARTOU	2000	53200	\N	\N	0
1252393	4283	1998-06-13	VYDAJ	VYBER	4800	96548	\N	\N	\N
1252394	4283	1998-10-04	VYDAJ	VYBER KARTOU	4000	70874	\N	\N	0
1252395	4283	1998-01-03	VYDAJ	VYBER	5280	57402	\N	\N	\N
1252411	4283	1995-03-31	VYDAJ	VYBER	15	46506	SLUZBY	\N	\N
1252412	4283	1995-04-30	VYDAJ	VYBER	15	50909	SLUZBY	\N	\N
1252413	4283	1995-05-31	VYDAJ	VYBER	15	52624	SLUZBY	\N	\N
1252414	4283	1995-06-30	VYDAJ	VYBER	15	16819	SLUZBY	\N	\N
1252415	4283	1995-07-31	VYDAJ	VYBER	15	35013	SLUZBY	\N	\N
1252416	4283	1995-08-31	VYDAJ	VYBER	15	45286	SLUZBY	\N	\N
1252417	4283	1995-09-30	VYDAJ	VYBER	15	45640	SLUZBY	\N	\N
1252418	4283	1995-10-31	VYDAJ	VYBER	15	47634	SLUZBY	\N	\N
1252419	4283	1995-11-30	VYDAJ	VYBER	15	54050	SLUZBY	\N	\N
1252420	4283	1995-12-31	VYDAJ	VYBER	15	58313	SLUZBY	\N	\N
1252421	4283	1996-01-31	VYDAJ	VYBER	15	36870	SLUZBY	\N	\N
1252422	4283	1996-02-29	VYDAJ	VYBER	15	49362	SLUZBY	\N	\N
1252423	4283	1996-03-31	VYDAJ	VYBER	15	52596	SLUZBY	\N	\N
1252424	4283	1996-04-30	VYDAJ	VYBER	15	52815	SLUZBY	\N	\N
1252425	4283	1996-05-31	VYDAJ	VYBER	15	54438	SLUZBY	\N	\N
1252426	4283	1996-06-30	VYDAJ	VYBER	15	49416	SLUZBY	\N	\N
1252427	4283	1996-07-31	VYDAJ	VYBER	15	49722	SLUZBY	\N	\N
1252428	4283	1996-08-31	VYDAJ	VYBER	15	53139	SLUZBY	\N	\N
1252429	4283	1996-09-30	VYDAJ	VYBER	15	51633	SLUZBY	\N	\N
1252430	4283	1996-10-31	VYDAJ	VYBER	15	49546	SLUZBY	\N	\N
1252431	4283	1996-11-30	VYDAJ	VYBER	15	57285	SLUZBY	\N	\N
1252432	4283	1996-12-31	VYDAJ	VYBER	15	71482	SLUZBY	\N	\N
1252433	4283	1997-01-31	VYDAJ	VYBER	15	58647	SLUZBY	\N	\N
1252434	4283	1997-02-28	VYDAJ	VYBER	15	67923	SLUZBY	\N	\N
1252435	4283	1997-03-31	VYDAJ	VYBER	15	72119	SLUZBY	\N	\N
1252436	4283	1997-04-30	VYDAJ	VYBER	15	73221	SLUZBY	\N	\N
1252437	4283	1997-05-31	VYDAJ	VYBER	15	76535	SLUZBY	\N	\N
1252438	4283	1997-06-30	VYDAJ	VYBER	15	47788	SLUZBY	\N	\N
1252439	4283	1997-07-31	VYDAJ	VYBER	15	63241	SLUZBY	\N	\N
1252440	4283	1997-08-31	VYDAJ	VYBER	15	71532	SLUZBY	\N	\N
1252441	4283	1997-09-30	VYDAJ	VYBER	15	51325	SLUZBY	\N	\N
1252442	4283	1997-10-31	VYDAJ	VYBER	15	56838	SLUZBY	\N	\N
1252443	4283	1997-11-30	VYDAJ	VYBER	15	58873	SLUZBY	\N	\N
1252444	4283	1997-12-31	VYDAJ	VYBER	15	62682	SLUZBY	\N	\N
1252445	4283	1998-01-31	VYDAJ	VYBER	15	48157	SLUZBY	\N	\N
1252446	4283	1998-02-28	VYDAJ	VYBER	15	55156	SLUZBY	\N	\N
1252447	4283	1998-03-31	VYDAJ	VYBER	15	65186	SLUZBY	\N	\N
1252448	4283	1998-04-30	VYDAJ	VYBER	15	65954	SLUZBY	\N	\N
1252449	4283	1998-05-31	VYDAJ	VYBER	15	69527	SLUZBY	\N	\N
1252450	4283	1998-06-30	VYDAJ	VYBER	15	55200	SLUZBY	\N	\N
1252451	4283	1998-07-31	VYDAJ	VYBER	15	65689	SLUZBY	\N	\N
1252452	4283	1998-08-31	VYDAJ	VYBER	15	75266	SLUZBY	\N	\N
1252453	4283	1998-09-30	VYDAJ	VYBER	15	74874	SLUZBY	\N	\N
1252454	4283	1998-10-31	VYDAJ	VYBER	15	72125	SLUZBY	\N	\N
1252455	4283	1998-11-30	VYDAJ	VYBER	15	71420	SLUZBY	\N	\N
1252456	4283	1994-11-15	PRIJEM	VKLAD	200	22014	\N	\N	\N
1252457	4283	1994-12-15	VYDAJ	VYBER	12900	40984	\N	\N	\N
1252458	4283	1995-01-14	VYDAJ	VYBER	19400	42933	\N	\N	\N
1252459	4283	1995-02-13	VYDAJ	VYBER	17000	47323	\N	\N	\N
1252460	4283	1995-03-15	VYDAJ	VYBER	22400	46326	\N	\N	\N
1252461	4283	1995-04-14	VYDAJ	VYBER	17000	50720	\N	\N	\N
1252462	4283	1995-05-14	VYDAJ	VYBER	19700	52423	\N	\N	\N
1252463	4283	1995-06-13	VYDAJ	VYBER	26900	57545	\N	\N	\N
1252464	4283	1995-07-13	PRIJEM	VKLAD	700	34893	\N	\N	\N
1252465	4283	1995-08-12	VYDAJ	VYBER	11100	45127	\N	\N	\N
1252466	4283	1995-09-11	VYDAJ	VYBER	20200	45460	\N	\N	\N
1252467	4283	1995-10-11	VYDAJ	VYBER	19400	47454	\N	\N	\N
1252468	4283	1995-11-10	VYDAJ	VYBER	15000	53848	\N	\N	\N
1252469	4283	1995-12-10	VYDAJ	VYBER	24600	58071	\N	\N	\N
1252470	4283	1996-01-09	VYDAJ	VYBER	22200	55647	\N	\N	\N
1252471	4283	1996-02-08	VYDAJ	VYBER	8900	49184	\N	\N	\N
1252472	4283	1996-03-09	VYDAJ	VYBER	15300	52396	\N	\N	\N
1252473	4283	1996-04-08	VYDAJ	VYBER	21200	52610	\N	\N	\N
1252474	4283	1996-05-08	VYDAJ	VYBER	19800	54229	\N	\N	\N
1252475	4283	1996-06-07	VYDAJ	VYBER	14000	49219	\N	\N	\N
1252476	4283	1996-07-07	VYDAJ	VYBER	18900	51730	\N	\N	\N
1252477	4283	1996-08-06	VYDAJ	VYBER	18000	52936	\N	\N	\N
1252478	4283	1996-09-05	VYDAJ	VYBER	23000	51353	\N	\N	\N
1252479	4283	1996-10-05	VYDAJ	VYBER	20700	52147	\N	\N	\N
1252480	4283	1996-11-04	VYDAJ	VYBER	10900	38646	\N	\N	\N
1252481	4283	1996-12-04	VYDAJ	VYBER	15700	41585	\N	\N	\N
1252482	4283	1997-01-03	VYDAJ	VYBER	19600	49182	\N	\N	\N
1252483	4283	1997-02-02	VYDAJ	VYBER	12200	46447	\N	\N	\N
1252484	4283	1997-03-04	VYDAJ	VYBER	17300	50623	\N	\N	\N
1252485	4283	1997-04-03	VYDAJ	VYBER	20400	51719	\N	\N	\N
1252486	4283	1997-05-03	VYDAJ	VYBER	18200	55021	\N	\N	\N
1252487	4283	1997-06-02	VYDAJ	VYBER	20200	56335	\N	\N	\N
1252488	4283	1997-07-02	VYDAJ	VYBER	6000	41788	\N	\N	\N
1252489	4283	1997-08-01	VYDAJ	VYBER	13200	50041	\N	\N	\N
1252490	4283	1997-08-31	VYDAJ	VYBER	20700	50832	\N	\N	\N
1252491	4283	1997-09-30	VYDAJ	VYBER	21000	51340	\N	\N	\N
1252492	4283	1997-10-30	VYDAJ	VYBER	15900	56639	\N	\N	\N
1252493	4283	1997-11-29	VYDAJ	VYBER	19400	58652	\N	\N	\N
1252494	4283	1997-12-29	VYDAJ	VYBER	25600	62394	\N	\N	\N
1252495	4283	1998-01-28	VYDAJ	VYBER	4500	47936	\N	\N	\N
1252496	4283	1998-02-27	VYDAJ	VYBER	14400	54971	\N	\N	\N
1252497	4283	1998-03-29	VYDAJ	VYBER	11400	64970	\N	\N	\N
1252498	4283	1998-04-28	VYDAJ	VYBER	20700	65700	\N	\N	\N
1252499	4283	1998-05-28	VYDAJ	VYBER	17900	69268	\N	\N	\N
1252500	4283	1998-06-27	VYDAJ	VYBER KARTOU	3200	54948	\N	\N	0
1252501	4283	1998-07-27	VYDAJ	VYBER	9000	65414	\N	\N	\N
1252502	4283	1998-08-26	VYDAJ	VYBER	11900	75003	\N	\N	\N
1252503	4283	1998-09-25	VYDAJ	VYBER	21900	74580	\N	\N	\N
1252504	4283	1998-10-25	VYDAJ	VYBER	20300	71788	\N	\N	\N
1252505	4283	1998-11-24	VYDAJ	VYBER	22200	71139	\N	\N	\N
1253409	4286	1996-11-11	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1253411	4286	1996-11-16	PRIJEM	VKLAD	41542	42642	\N	\N	\N
1253413	4286	1996-11-21	PRIJEM	VKLAD	23969	66611	\N	\N	\N
1253416	4286	1996-12-03	PRIJEM	VKLAD	40618	107351	\N	\N	\N
1253418	4286	1997-07-03	PRIJEM	VKLAD	16270	36369	\N	\N	\N
1253419	4286	1997-03-12	PRIJEM	VKLAD	31841	54479	\N	\N	\N
1253420	4286	1998-08-29	PRIJEM	VKLAD	21817	84790	\N	\N	\N
1253421	4286	1998-11-08	PRIJEM	VKLAD	15933	45236	\N	\N	\N
1253422	4286	1998-06-14	PRIJEM	VKLAD	44196	83041	\N	\N	\N
1253423	4286	1998-10-30	PRIJEM	VKLAD	17058	43062	\N	\N	\N
1253424	4286	1998-11-26	PRIJEM	VKLAD	6792	84726	\N	\N	\N
1253425	4286	1998-12-03	PRIJEM	VKLAD	17678	50582	\N	\N	\N
1253426	4286	1998-11-15	PRIJEM	VKLAD	32698	77934	\N	\N	\N
1253427	4286	1998-12-17	PRIJEM	VKLAD	28761	80840	\N	\N	\N
1253428	4286	1998-12-20	PRIJEM	VKLAD	23745	99785	\N	\N	\N
1253429	4286	1998-07-15	PRIJEM	VKLAD	49892	71600	\N	\N	\N
1253430	4286	1998-08-17	PRIJEM	VKLAD	49324	76069	\N	\N	\N
1253431	4286	1998-09-14	PRIJEM	VKLAD	13727	52484	\N	\N	\N
1253432	4286	1998-06-09	PRIJEM	VKLAD	26469	38845	\N	\N	\N
1253433	4286	1998-12-03	PRIJEM	VKLAD	11697	62279	\N	\N	\N
1253440	4286	1998-11-29	VYBER	VYBER	22064	39571	\N	\N	\N
1253443	4286	1998-11-28	VYBER	VYBER	23091	61635	\N	\N	\N
1253445	4286	1998-08-19	VYBER	VYBER	13096	62973	\N	\N	\N
1253447	4286	1998-07-03	VYBER	VYBER	13742	38308	\N	\N	\N
1253449	4286	1998-09-10	VYBER	VYBER	6920	38757	\N	\N	\N
1253450	4286	1998-12-23	VYBER	VYBER	5678	94107	\N	\N	\N
1253451	4286	1998-08-01	VYBER	VYBER	3654	53445	\N	\N	\N
1253454	4286	1998-06-21	VYDAJ	VYBER	24300	51841	\N	\N	\N
1253460	4286	1998-12-17	VYDAJ	VYBER	4800	76040	\N	\N	\N
1253487	4286	1997-07-08	VYDAJ	VYBER	9600	26769	\N	\N	\N
1253490	4286	1998-09-07	VYDAJ	VYBER	3300	45677	\N	\N	\N
1253491	4286	1998-06-17	VYDAJ	VYBER	6900	76141	\N	\N	\N
1253492	4286	1998-07-15	VYDAJ	VYBER	14700	56900	\N	\N	\N
1253493	4286	1998-08-01	VYDAJ	VYBER	7800	45645	\N	\N	\N
1253494	4286	1998-12-16	VYDAJ	VYBER	10200	52079	\N	\N	\N
1253495	4286	1998-10-13	VYDAJ	VYBER	9600	26004	\N	\N	\N
1253515	4286	1997-07-31	VYDAJ	VYBER	15	23582	SLUZBY	\N	\N
1253516	4286	1997-08-31	VYDAJ	VYBER	15	20565	SLUZBY	\N	\N
1253517	4286	1997-09-30	VYDAJ	VYBER	15	18436	SLUZBY	\N	\N
1253518	4286	1997-10-31	VYDAJ	VYBER	15	18098	SLUZBY	\N	\N
1253519	4286	1997-11-30	VYDAJ	VYBER	15	18059	SLUZBY	\N	\N
1253520	4286	1997-12-31	VYDAJ	VYBER	15	14418	SLUZBY	\N	\N
1253521	4286	1998-01-31	VYDAJ	VYBER	15	16264	SLUZBY	\N	\N
1253522	4286	1998-02-28	VYDAJ	VYBER	15	12316	SLUZBY	\N	\N
1253523	4286	1998-03-31	VYDAJ	VYBER	15	12302	SLUZBY	\N	\N
1253524	4286	1998-04-30	VYDAJ	VYBER	15	12391	SLUZBY	\N	\N
1253525	4286	1998-05-31	VYDAJ	VYBER	15	12376	SLUZBY	\N	\N
1253526	4286	1998-06-30	VYDAJ	VYBER	15	52050	SLUZBY	\N	\N
1253527	4286	1998-07-31	VYDAJ	VYBER	15	57099	SLUZBY	\N	\N
1253528	4286	1998-08-31	VYDAJ	VYBER	15	84977	SLUZBY	\N	\N
1253529	4286	1998-09-30	VYDAJ	VYBER	15	52704	SLUZBY	\N	\N
1253530	4286	1998-10-31	VYDAJ	VYBER	15	43203	SLUZBY	\N	\N
1253531	4286	1998-11-30	VYDAJ	VYBER	15	39804	SLUZBY	\N	\N
1253532	4286	1996-12-11	VYDAJ	VYBER	44800	62551	\N	\N	\N
1253533	4286	1997-01-10	VYDAJ	VYBER	21600	41217	\N	\N	\N
1253534	4286	1997-02-09	VYDAJ	VYBER	13300	28178	\N	\N	\N
1253535	4286	1997-03-11	VYDAJ	VYBER	5800	22638	\N	\N	\N
1253536	4286	1997-04-10	VYDAJ	VYBER	17800	36918	\N	\N	\N
1253537	4286	1997-05-10	VYDAJ	VYBER	10900	26245	\N	\N	\N
1253538	4286	1997-06-09	VYDAJ	VYBER	6600	19872	\N	\N	\N
1253539	4286	1997-07-09	VYDAJ	VYBER	3300	23469	\N	\N	\N
1253540	4286	1997-08-08	VYDAJ	VYBER	3100	20482	\N	\N	\N
1253541	4286	1997-09-07	VYDAJ	VYBER	2200	18365	\N	\N	\N
1253542	4286	1997-10-07	VYDAJ	VYBER	400	18036	\N	\N	\N
1253543	4286	1997-11-06	VYDAJ	VYBER	100	17998	\N	\N	\N
1253544	4286	1997-12-06	VYDAJ	VYBER	3700	14359	\N	\N	\N
1253545	4286	1998-01-05	PRIJEM	VKLAD	1800	16218	\N	\N	\N
1253546	4286	1998-02-04	VYDAJ	VYBER	4000	12264	\N	\N	\N
1253547	4286	1998-07-04	VYDAJ	VYBER	16600	21708	\N	\N	\N
1253548	4286	1998-08-03	VYDAJ	VYBER	18900	26745	\N	\N	\N
1253549	4286	1998-09-02	VYDAJ	VYBER	36000	48977	\N	\N	\N
1253550	4286	1998-10-02	VYDAJ	VYBER	17100	35604	\N	\N	\N
1253551	4286	1998-11-01	VYDAJ	VYBER	13900	29303	\N	\N	\N
1253552	4286	1998-12-01	VYDAJ	VYBER	6900	32904	\N	\N	\N
1253579	4287	1993-10-17	PRIJEM	VKLAD	500	500	\N	\N	\N
1253590	4287	1993-11-12	PRIJEM	VKLAD	6220	6720	\N	\N	\N
1253591	4287	1993-12-12	PRIJEM	VKLAD	9330	23079	\N	\N	\N
1253592	4287	1994-01-12	PRIJEM	VKLAD	6220	32282	\N	\N	\N
1253593	4287	1994-02-12	PRIJEM	VKLAD	6220	34415	\N	\N	\N
1253594	4287	1994-03-12	PRIJEM	VKLAD	6220	37459	\N	\N	\N
1253595	4287	1994-04-12	PRIJEM	VKLAD	6220	32370	\N	\N	\N
1253596	4287	1994-05-12	PRIJEM	VKLAD	6220	37002	\N	\N	\N
1253597	4287	1994-06-12	PRIJEM	VKLAD	9330	41047	\N	\N	\N
1253598	4287	1994-07-12	PRIJEM	VKLAD	6220	37832	\N	\N	\N
1253599	4287	1994-08-12	PRIJEM	VKLAD	6220	35864	\N	\N	\N
1253600	4287	1994-09-12	PRIJEM	VKLAD	6220	38599	\N	\N	\N
1253601	4287	1994-10-12	PRIJEM	VKLAD	6220	35954	\N	\N	\N
1253602	4287	1994-11-12	PRIJEM	VKLAD	6220	31982	\N	\N	\N
1253603	4287	1994-12-12	PRIJEM	VKLAD	9330	39826	\N	\N	\N
1253604	4287	1995-01-12	PRIJEM	VKLAD	6220	35678	\N	\N	\N
1253605	4287	1995-02-12	PRIJEM	VKLAD	6220	26608	\N	\N	\N
1253606	4287	1995-03-12	PRIJEM	VKLAD	6220	32320	\N	\N	\N
1253607	4287	1995-04-12	PRIJEM	VKLAD	6220	33852	\N	\N	\N
1253608	4287	1995-05-12	PRIJEM	VKLAD	6220	34595	\N	\N	\N
1253609	4287	1995-06-12	PRIJEM	VKLAD	9330	32213	\N	\N	\N
1253610	4287	1995-07-12	PRIJEM	VKLAD	6220	35593	\N	\N	\N
1253611	4287	1995-08-12	PRIJEM	VKLAD	6220	35640	\N	\N	\N
1253612	4287	1995-09-12	PRIJEM	VKLAD	6220	36994	\N	\N	\N
1253613	4287	1995-10-12	PRIJEM	VKLAD	6220	37051	\N	\N	\N
1253614	4287	1995-11-12	PRIJEM	VKLAD	6220	38646	\N	\N	\N
1253615	4287	1995-12-12	PRIJEM	VKLAD	9330	37827	\N	\N	\N
1253616	4287	1996-01-12	PRIJEM	VKLAD	6220	31073	\N	\N	\N
1253617	4287	1996-02-12	PRIJEM	VKLAD	6220	28630	\N	\N	\N
1253618	4287	1996-03-12	PRIJEM	VKLAD	6220	32541	\N	\N	\N
1253619	4287	1996-04-12	PRIJEM	VKLAD	6220	33014	\N	\N	\N
1253620	4287	1996-05-12	PRIJEM	VKLAD	6220	36953	\N	\N	\N
1253621	4287	1996-06-12	PRIJEM	VKLAD	9330	43616	\N	\N	\N
1253622	4287	1996-07-12	PRIJEM	VKLAD	6220	43292	\N	\N	\N
1253623	4287	1996-08-12	PRIJEM	VKLAD	6220	38856	\N	\N	\N
1253624	4287	1996-09-12	PRIJEM	VKLAD	6220	40325	\N	\N	\N
1253625	4287	1996-10-12	PRIJEM	VKLAD	6220	41996	\N	\N	\N
1253626	4287	1996-11-12	PRIJEM	VKLAD	6220	34952	\N	\N	\N
1253627	4287	1996-12-12	PRIJEM	VKLAD	9330	35980	\N	\N	\N
1253628	4287	1997-01-12	PRIJEM	VKLAD	6220	22404	\N	\N	\N
1253629	4287	1997-02-12	PRIJEM	VKLAD	6220	29486	\N	\N	\N
1253630	4287	1997-03-12	PRIJEM	VKLAD	6220	34888	\N	\N	\N
1253631	4287	1997-04-12	PRIJEM	VKLAD	6220	40016	\N	\N	\N
1253632	4287	1997-05-12	PRIJEM	VKLAD	6220	38360	\N	\N	\N
1253633	4287	1997-06-12	PRIJEM	VKLAD	9330	25466	\N	\N	\N
1253634	4287	1997-07-12	PRIJEM	VKLAD	6220	29581	\N	\N	\N
1253635	4287	1997-08-12	PRIJEM	VKLAD	6220	28550	\N	\N	\N
1253636	4287	1997-09-12	PRIJEM	VKLAD	6220	29646	\N	\N	\N
1253637	4287	1997-10-12	PRIJEM	VKLAD	6220	27407	\N	\N	\N
1253638	4287	1997-11-12	PRIJEM	VKLAD	6220	24911	\N	\N	\N
1253639	4287	1997-12-12	PRIJEM	VKLAD	9330	26783	\N	\N	\N
1253640	4287	1998-01-12	PRIJEM	VKLAD	6220	22665	\N	\N	\N
1253641	4287	1998-02-12	PRIJEM	VKLAD	6220	22306	\N	\N	\N
1253642	4287	1998-03-12	PRIJEM	VKLAD	6220	22976	\N	\N	\N
1253643	4287	1998-04-12	PRIJEM	VKLAD	6220	27752	\N	\N	\N
1253644	4287	1998-05-12	PRIJEM	VKLAD	6220	27244	\N	\N	\N
1253645	4287	1998-06-12	PRIJEM	VKLAD	9330	26361	\N	\N	\N
1253646	4287	1998-07-12	PRIJEM	VKLAD	6220	25437	\N	\N	\N
1253647	4287	1998-08-12	PRIJEM	VKLAD	6220	27122	\N	\N	\N
1253648	4287	1998-09-12	PRIJEM	VKLAD	6220	26844	\N	\N	\N
1253649	4287	1998-10-12	PRIJEM	VKLAD	6220	25944	\N	\N	\N
1253650	4287	1998-11-12	PRIJEM	VKLAD	6220	25827	\N	\N	\N
1253651	4287	1998-12-12	PRIJEM	VKLAD	9330	27819	\N	\N	\N
1253654	4287	1995-06-11	VYDAJ	VYBER	5280	22883	\N	\N	\N
1253656	4287	1997-06-01	VYDAJ	VYBER	13440	16136	\N	\N	\N
1253660	4287	1995-01-15	VYDAJ	VYBER	4640	31038	\N	\N	\N
1253661	4287	1996-01-15	VYDAJ	VYBER	1920	29153	\N	\N	\N
1253662	4287	1997-01-04	VYDAJ	VYBER	8480	19304	\N	\N	\N
1253665	4287	1994-12-19	VYDAJ	VYBER	1760	35546	\N	\N	\N
1253666	4287	1995-12-16	VYDAJ	VYBER	3040	34787	\N	\N	\N
1253667	4287	1996-12-07	VYDAJ	VYBER	3040	26650	\N	\N	\N
1253682	4287	1995-01-04	VYDAJ	VYBER	2160	30998	\N	\N	\N
1253683	4287	1995-01-03	VYDAJ	VYBER	2520	33158	\N	\N	\N
1253684	4287	1995-01-08	VYDAJ	VYBER	2040	28958	\N	\N	\N
1253685	4287	1995-01-23	VYDAJ	VYBER	1680	27198	\N	\N	\N
1253686	4287	1995-01-19	VYDAJ	VYBER	2160	28878	\N	\N	\N
1253687	4287	1995-01-25	VYDAJ	VYBER	1560	25638	\N	\N	\N
1253688	4287	1996-01-22	VYDAJ	VYBER	1800	25313	\N	\N	\N
1253689	4287	1996-01-01	VYDAJ	VYBER	3240	31673	\N	\N	\N
1253690	4287	1996-01-27	VYDAJ	VYBER	2040	20513	\N	\N	\N
1253691	4287	1996-01-24	VYDAJ	VYBER	2760	22553	\N	\N	\N
1253692	4287	1996-01-06	VYDAJ	VYBER	2520	24853	\N	\N	\N
1253693	4287	1996-01-22	VYDAJ	VYBER	2040	27113	\N	\N	\N
1253694	4287	1997-01-14	VYDAJ	VYBER	1800	18564	\N	\N	\N
1253695	4287	1997-01-13	VYDAJ	VYBER	2040	20364	\N	\N	\N
1253697	4287	1997-01-06	VYDAJ	VYBER	3120	16184	\N	\N	\N
1253700	4287	1998-01-13	VYDAJ	VYBER	2520	16785	\N	\N	\N
1253701	4287	1998-01-12	VYDAJ	VYBER	1080	19305	\N	\N	\N
1253702	4287	1998-01-26	VYDAJ	VYBER	1560	16025	\N	\N	\N
1253704	4287	1998-01-03	VYDAJ	VYBER	2880	21365	\N	\N	\N
1253705	4287	1998-01-12	VYDAJ	VYBER	2280	20385	\N	\N	\N
1253707	4287	1994-04-03	VYDAJ	VYBER	3120	26150	\N	\N	\N
1253708	4287	1994-06-14	VYDAJ	VYBER	3360	31487	\N	\N	\N
1253709	4287	1994-12-12	VYDAJ	VYBER	2520	37306	\N	\N	\N
1253710	4287	1995-02-08	VYDAJ	VYBER	5760	19988	\N	\N	\N
1253711	4287	1995-05-28	VYDAJ	VYBER	960	33635	\N	\N	\N
1253712	4287	1995-07-06	VYDAJ	VYBER	2160	30173	\N	\N	\N
1253713	4287	1995-12-09	VYDAJ	VYBER	2160	28497	\N	\N	\N
1253714	4287	1995-11-21	VYDAJ	VYBER	1440	37206	\N	\N	\N
1253715	4287	1995-10-21	VYDAJ	VYBER	2760	34291	\N	\N	\N
1253716	4287	1995-11-22	VYDAJ	VYBER	5280	31926	\N	\N	\N
1253717	4287	1996-03-24	VYDAJ	VYBER	1560	30981	\N	\N	\N
1253718	4287	1996-12-22	VYDAJ	VYBER	2640	27460	\N	\N	\N
1253719	4287	1996-12-13	VYDAJ	VYBER	5880	30100	\N	\N	\N
1253720	4287	1996-07-29	VYDAJ	VYBER	2520	40772	\N	\N	\N
1253721	4287	1996-11-11	VYDAJ	VYBER	1680	28732	\N	\N	\N
1253722	4287	1996-12-26	VYDAJ	VYBER	4080	23380	\N	\N	\N
1253723	4287	1996-11-02	VYDAJ	VYBER	840	30412	\N	\N	\N
1253724	4287	1997-10-02	VYDAJ	VYBER	2040	21187	\N	\N	\N
1253725	4287	1997-10-25	VYDAJ	VYBER	1200	26207	\N	\N	\N
1253726	4287	1997-01-16	VYDAJ	VYBER	3360	15204	\N	\N	\N
1253727	4287	1997-07-14	VYDAJ	VYBER	1440	28141	\N	\N	\N
1253729	4287	1997-11-20	VYDAJ	VYBER	2520	22391	\N	\N	\N
1253730	4287	1998-01-09	VYDAJ	VYBER	4920	16445	\N	\N	\N
1253731	4287	1998-08-08	VYDAJ	VYBER	600	20902	\N	\N	\N
1253732	4287	1998-05-16	VYDAJ	VYBER	4920	22324	\N	\N	\N
1253733	4287	1998-09-02	VYDAJ	VYBER	3480	20624	\N	\N	\N
1253734	4287	1998-05-26	VYDAJ	VYBER	960	16964	\N	\N	\N
1253750	4287	1994-03-31	VYDAJ	VYBER	15	29270	SLUZBY	\N	\N
1253751	4287	1994-04-30	VYDAJ	VYBER	15	30782	SLUZBY	\N	\N
1253752	4287	1994-05-31	VYDAJ	VYBER	15	31717	SLUZBY	\N	\N
1253753	4287	1994-06-30	VYDAJ	VYBER	15	31612	SLUZBY	\N	\N
1253754	4287	1994-07-31	VYDAJ	VYBER	15	29644	SLUZBY	\N	\N
1253755	4287	1994-08-31	VYDAJ	VYBER	15	32379	SLUZBY	\N	\N
1253756	4287	1994-09-30	VYDAJ	VYBER	15	29734	SLUZBY	\N	\N
1253757	4287	1994-10-31	VYDAJ	VYBER	15	29162	SLUZBY	\N	\N
1253758	4287	1994-11-30	VYDAJ	VYBER	15	32096	SLUZBY	\N	\N
1253759	4287	1994-12-31	VYDAJ	VYBER	15	35678	SLUZBY	\N	\N
1253760	4287	1995-01-31	VYDAJ	VYBER	15	25748	SLUZBY	\N	\N
1253761	4287	1995-02-28	VYDAJ	VYBER	15	26700	SLUZBY	\N	\N
1253762	4287	1995-03-31	VYDAJ	VYBER	15	32432	SLUZBY	\N	\N
1253763	4287	1995-04-30	VYDAJ	VYBER	15	33975	SLUZBY	\N	\N
1253764	4287	1995-05-31	VYDAJ	VYBER	15	33763	SLUZBY	\N	\N
1253765	4287	1995-06-30	VYDAJ	VYBER	15	32333	SLUZBY	\N	\N
1253766	4287	1995-07-31	VYDAJ	VYBER	15	35720	SLUZBY	\N	\N
1253767	4287	1995-08-31	VYDAJ	VYBER	15	35774	SLUZBY	\N	\N
1253768	4287	1995-09-30	VYDAJ	VYBER	15	37131	SLUZBY	\N	\N
1253769	4287	1995-10-31	VYDAJ	VYBER	15	34426	SLUZBY	\N	\N
1253770	4287	1995-11-30	VYDAJ	VYBER	15	32057	SLUZBY	\N	\N
1253771	4287	1995-12-31	VYDAJ	VYBER	15	34913	SLUZBY	\N	\N
1253772	4287	1996-01-31	VYDAJ	VYBER	15	20610	SLUZBY	\N	\N
1253773	4287	1996-02-29	VYDAJ	VYBER	15	28721	SLUZBY	\N	\N
1253774	4287	1996-03-31	VYDAJ	VYBER	15	31094	SLUZBY	\N	\N
1253775	4287	1996-04-30	VYDAJ	VYBER	15	33133	SLUZBY	\N	\N
1253776	4287	1996-05-31	VYDAJ	VYBER	15	37086	SLUZBY	\N	\N
1253777	4287	1996-06-30	VYDAJ	VYBER	15	43772	SLUZBY	\N	\N
1253778	4287	1996-07-31	VYDAJ	VYBER	15	40936	SLUZBY	\N	\N
1253779	4287	1996-08-31	VYDAJ	VYBER	15	39005	SLUZBY	\N	\N
1253780	4287	1996-09-30	VYDAJ	VYBER	15	40476	SLUZBY	\N	\N
1253781	4287	1996-10-31	VYDAJ	VYBER	15	42152	SLUZBY	\N	\N
1253782	4287	1996-11-30	VYDAJ	VYBER	15	29690	SLUZBY	\N	\N
1253783	4287	1996-12-31	VYDAJ	VYBER	15	27784	SLUZBY	\N	\N
1253784	4287	1997-01-31	VYDAJ	VYBER	15	23266	SLUZBY	\N	\N
1253785	4287	1997-02-28	VYDAJ	VYBER	15	29568	SLUZBY	\N	\N
1253786	4287	1997-03-31	VYDAJ	VYBER	15	33796	SLUZBY	\N	\N
1253787	4287	1997-04-30	VYDAJ	VYBER	15	32140	SLUZBY	\N	\N
1253788	4287	1997-05-31	VYDAJ	VYBER	15	29576	SLUZBY	\N	\N
1253789	4287	1997-06-30	VYDAJ	VYBER	15	23361	SLUZBY	\N	\N
1253790	4287	1997-07-31	VYDAJ	VYBER	15	22330	SLUZBY	\N	\N
1253791	4287	1997-08-31	VYDAJ	VYBER	15	23426	SLUZBY	\N	\N
1253792	4287	1997-09-30	VYDAJ	VYBER	15	23227	SLUZBY	\N	\N
1253793	4287	1997-10-31	VYDAJ	VYBER	15	18691	SLUZBY	\N	\N
1253794	4287	1997-11-30	VYDAJ	VYBER	15	17453	SLUZBY	\N	\N
1253795	4287	1997-12-31	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
1253796	4287	1998-01-31	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
1253797	4287	1998-02-28	VYDAJ	VYBER	15	16756	SLUZBY	\N	\N
1253798	4287	1998-03-31	VYDAJ	VYBER	15	21532	SLUZBY	\N	\N
1253799	4287	1998-04-30	VYDAJ	VYBER	15	21024	SLUZBY	\N	\N
1253800	4287	1998-05-31	VYDAJ	VYBER	15	17031	SLUZBY	\N	\N
1253801	4287	1998-06-30	VYDAJ	VYBER	15	19217	SLUZBY	\N	\N
1253802	4287	1998-07-31	VYDAJ	VYBER	15	21502	SLUZBY	\N	\N
1253803	4287	1998-08-31	VYDAJ	VYBER	15	24104	SLUZBY	\N	\N
1253804	4287	1998-09-30	VYDAJ	VYBER	15	19724	SLUZBY	\N	\N
1253805	4287	1998-10-31	VYDAJ	VYBER	15	19607	SLUZBY	\N	\N
1253806	4287	1998-11-30	VYDAJ	VYBER	15	18489	SLUZBY	\N	\N
1253807	4287	1993-11-16	PRIJEM	VKLAD	7000	13720	\N	\N	\N
1253808	4287	1993-12-16	PRIJEM	VKLAD	2900	25979	\N	\N	\N
1253809	4287	1994-01-15	VYDAJ	VYBER	4200	28082	\N	\N	\N
1253810	4287	1994-02-14	VYDAJ	VYBER	3300	31115	\N	\N	\N
1253811	4287	1994-03-16	VYDAJ	VYBER	8300	29159	\N	\N	\N
1253812	4287	1994-04-15	VYDAJ	VYBER	1700	30670	\N	\N	\N
1253813	4287	1994-05-15	VYDAJ	VYBER	5400	31602	\N	\N	\N
1253814	4287	1994-06-14	VYDAJ	VYBER	6200	34847	\N	\N	\N
1253815	4287	1994-07-14	VYDAJ	VYBER	8300	29532	\N	\N	\N
1253816	4287	1994-08-13	VYDAJ	VYBER	3600	32264	\N	\N	\N
1253817	4287	1994-09-12	VYDAJ	VYBER	9000	29599	\N	\N	\N
1253818	4287	1994-10-12	VYDAJ	VYBER	6900	29054	\N	\N	\N
1253819	4287	1994-11-11	VYDAJ	VYBER	3400	25762	\N	\N	\N
1253820	4287	1994-12-11	VYDAJ	VYBER	1600	30496	\N	\N	\N
1253821	4287	1995-01-10	PRIJEM	VKLAD	500	29458	\N	\N	\N
1253822	4287	1995-02-09	PRIJEM	VKLAD	400	20388	\N	\N	\N
1253823	4287	1995-03-11	VYDAJ	VYBER	600	26100	\N	\N	\N
1253824	4287	1995-04-10	VYDAJ	VYBER	4800	27632	\N	\N	\N
1253825	4287	1995-05-10	VYDAJ	VYBER	5600	28375	\N	\N	\N
1253826	4287	1995-06-09	VYDAJ	VYBER	5600	28163	\N	\N	\N
1253827	4287	1995-07-09	VYDAJ	VYBER	800	29373	\N	\N	\N
1253828	4287	1995-08-08	VYDAJ	VYBER	6300	29420	\N	\N	\N
1253829	4287	1995-09-07	VYDAJ	VYBER	5000	30774	\N	\N	\N
1253830	4287	1995-10-07	VYDAJ	VYBER	6300	30831	\N	\N	\N
1253831	4287	1995-11-06	VYDAJ	VYBER	2000	32426	\N	\N	\N
1253832	4287	1995-12-06	VYDAJ	VYBER	1400	30657	\N	\N	\N
1253833	4287	1996-01-05	VYDAJ	VYBER	4300	27373	\N	\N	\N
1253834	4287	1996-02-04	PRIJEM	VKLAD	1800	22410	\N	\N	\N
1253835	4287	1996-03-05	VYDAJ	VYBER	2400	26321	\N	\N	\N
1253836	4287	1996-04-04	VYDAJ	VYBER	4300	26794	\N	\N	\N
1253837	4287	1996-05-04	VYDAJ	VYBER	2400	30733	\N	\N	\N
1253838	4287	1996-06-03	VYDAJ	VYBER	2800	34286	\N	\N	\N
1253839	4287	1996-07-03	VYDAJ	VYBER	6700	37072	\N	\N	\N
1253840	4287	1996-08-02	VYDAJ	VYBER	8300	32636	\N	\N	\N
1253841	4287	1996-09-01	VYDAJ	VYBER	4900	34105	\N	\N	\N
1253842	4287	1996-10-01	VYDAJ	VYBER	4700	35776	\N	\N	\N
1253843	4287	1996-10-31	VYDAJ	VYBER	10900	31252	\N	\N	\N
1253844	4287	1996-11-30	VYDAJ	VYBER	5400	29705	\N	\N	\N
1253845	4287	1996-12-30	PRIJEM	VKLAD	4300	27680	\N	\N	\N
1253846	4287	1997-01-29	PRIJEM	VKLAD	8000	23204	\N	\N	\N
1253847	4287	1997-02-28	VYDAJ	VYBER	900	28668	\N	\N	\N
1253848	4287	1997-03-30	VYDAJ	VYBER	1200	33688	\N	\N	\N
1253849	4287	1997-04-29	VYDAJ	VYBER	8000	32016	\N	\N	\N
1253850	4287	1997-05-29	VYDAJ	VYBER	8900	29460	\N	\N	\N
1253851	4287	1997-06-28	VYDAJ	VYBER	2200	23266	\N	\N	\N
1253852	4287	1997-07-28	VYDAJ	VYBER	5900	22241	\N	\N	\N
1253853	4287	1997-08-27	VYDAJ	VYBER	5200	23350	\N	\N	\N
1253854	4287	1997-09-26	VYDAJ	VYBER	6500	23146	\N	\N	\N
1253855	4287	1997-10-26	VYDAJ	VYBER	7600	18607	\N	\N	\N
1253856	4287	1997-11-25	VYDAJ	VYBER	5000	17391	\N	\N	\N
1253857	4287	1997-12-25	VYDAJ	VYBER	2600	24183	\N	\N	\N
1253858	4287	1998-01-24	PRIJEM	VKLAD	800	17585	\N	\N	\N
1253859	4287	1998-02-23	VYDAJ	VYBER	5600	16706	\N	\N	\N
1253860	4287	1998-03-25	VYDAJ	VYBER	1500	21476	\N	\N	\N
1253861	4287	1998-04-24	VYDAJ	VYBER	6800	20952	\N	\N	\N
1253862	4287	1998-05-24	VYDAJ	VYBER	4400	17924	\N	\N	\N
1253863	4287	1998-06-23	VYDAJ	VYBER	7200	19161	\N	\N	\N
1253864	4287	1998-07-23	VYDAJ	VYBER	4000	21437	\N	\N	\N
1253865	4287	1998-08-22	VYDAJ	VYBER	3100	24022	\N	\N	\N
1253866	4287	1998-09-21	VYDAJ	VYBER	7200	19644	\N	\N	\N
1253867	4287	1998-10-21	VYDAJ	VYBER	6400	19544	\N	\N	\N
1253868	4287	1998-11-20	VYDAJ	VYBER	7400	18427	\N	\N	\N
1253869	4287	1998-12-20	VYDAJ	VYBER	12100	15719	\N	\N	\N
1255407	4293	1996-02-04	PRIJEM	VKLAD	500	500	\N	\N	\N
1255408	4293	1997-07-30	PRIJEM	VKLAD	7588	51668	\N	\N	\N
1255409	4293	1997-06-15	PRIJEM	VKLAD	36631	123179	\N	\N	\N
1255410	4293	1997-05-01	PRIJEM	VKLAD	16873	75634	\N	\N	\N
1255411	4293	1997-08-29	PRIJEM	VKLAD	31187	71617	\N	\N	\N
1255412	4293	1997-01-31	PRIJEM	VKLAD	21770	43843	\N	\N	\N
1255413	4293	1997-08-02	PRIJEM	VKLAD	20350	72188	\N	\N	\N
1255414	4293	1997-11-16	PRIJEM	VKLAD	15052	106757	\N	\N	\N
1255415	4293	1997-10-05	PRIJEM	VKLAD	12210	61892	\N	\N	\N
1255416	4293	1997-07-21	PRIJEM	VKLAD	7644	74680	\N	\N	\N
1255417	4293	1997-10-24	PRIJEM	VKLAD	43200	95734	\N	\N	\N
1255418	4293	1997-12-06	PRIJEM	VKLAD	40569	101543	\N	\N	\N
1255419	4293	1997-04-27	PRIJEM	VKLAD	15676	104098	\N	\N	\N
1255420	4293	1997-04-16	PRIJEM	VKLAD	28161	116759	\N	\N	\N
1255421	4293	1997-11-11	PRIJEM	VKLAD	41746	101063	\N	\N	\N
1255422	4293	1997-01-19	PRIJEM	VKLAD	17508	31173	\N	\N	\N
1255423	4293	1997-05-20	PRIJEM	VKLAD	33346	82971	\N	\N	\N
1255424	4293	1997-09-27	PRIJEM	VKLAD	9164	49545	\N	\N	\N
1255425	4293	1997-09-25	PRIJEM	VKLAD	23569	65881	\N	\N	\N
1255426	4293	1997-03-11	PRIJEM	VKLAD	14094	69662	\N	\N	\N
1255427	4293	1997-07-09	PRIJEM	VKLAD	49244	89894	\N	\N	\N
1255428	4293	1997-12-26	PRIJEM	VKLAD	31885	76620	\N	\N	\N
1255429	4293	1997-03-07	PRIJEM	VKLAD	44764	78875	\N	\N	\N
1255430	4293	1997-03-10	PRIJEM	VKLAD	40193	119068	\N	\N	\N
1255431	4293	1997-04-23	PRIJEM	VKLAD	17163	88422	\N	\N	\N
1255432	4293	1997-04-04	PRIJEM	VKLAD	40448	74085	\N	\N	\N
1255433	4293	1997-03-26	PRIJEM	VKLAD	7445	69210	\N	\N	\N
1255434	4293	1997-04-13	PRIJEM	VKLAD	24810	94098	\N	\N	\N
1255435	4293	1997-11-03	PRIJEM	VKLAD	18161	65917	\N	\N	\N
1255436	4293	1997-06-01	PRIJEM	VKLAD	44368	95906	\N	\N	\N
1255437	4293	1998-04-20	PRIJEM	VKLAD	35508	90005	\N	\N	\N
1255438	4293	1998-03-07	PRIJEM	VKLAD	31583	59881	\N	\N	\N
1255439	4293	1998-01-09	PRIJEM	VKLAD	15743	75152	\N	\N	\N
1255440	4293	1998-09-07	PRIJEM	VKLAD	25989	62665	\N	\N	\N
1255441	4293	1998-09-11	PRIJEM	VKLAD	30980	93645	\N	\N	\N
1255442	4293	1998-11-20	PRIJEM	VKLAD	33413	101117	\N	\N	\N
1255443	4293	1998-11-06	PRIJEM	VKLAD	10457	63024	\N	\N	\N
1255444	4293	1998-03-08	PRIJEM	VKLAD	7640	67521	\N	\N	\N
1255445	4293	1998-08-27	PRIJEM	VKLAD	38850	47800	\N	\N	\N
1255446	4293	1998-09-14	PRIJEM	VKLAD	41363	125650	\N	\N	\N
1255447	4293	1998-12-04	PRIJEM	VKLAD	11033	62469	\N	\N	\N
1255448	4293	1998-06-18	PRIJEM	VKLAD	49079	73099	\N	\N	\N
1255449	4293	1998-05-30	PRIJEM	VKLAD	18097	33949	\N	\N	\N
1255450	4293	1998-09-27	PRIJEM	VKLAD	46226	127752	\N	\N	\N
1255451	4293	1998-04-12	PRIJEM	VKLAD	24612	52464	\N	\N	\N
1255452	4293	1998-09-25	PRIJEM	VKLAD	34576	81526	\N	\N	\N
1255453	4293	1998-11-26	PRIJEM	VKLAD	7149	57866	\N	\N	\N
1255454	4293	1998-06-11	PRIJEM	VKLAD	33874	67878	\N	\N	\N
1255455	4293	1998-11-17	PRIJEM	VKLAD	14038	67704	\N	\N	\N
1255456	4293	1998-10-18	PRIJEM	VKLAD	34730	102870	\N	\N	\N
1255457	4293	1998-04-12	PRIJEM	VKLAD	11391	63855	\N	\N	\N
1255458	4293	1998-01-28	PRIJEM	VKLAD	7758	35573	\N	\N	\N
1255459	4293	1998-03-01	PRIJEM	VKLAD	10359	28298	\N	\N	\N
1255460	4293	1998-07-09	PRIJEM	VKLAD	13967	47831	\N	\N	\N
1255475	4293	1997-03-20	VYDAJ	VYBER	3100	61765	\N	\N	0
1255476	4293	1997-04-13	VYDAJ	VYBER	5500	88598	\N	\N	0
1255477	4293	1997-05-11	VYDAJ	VYBER	4100	59150	\N	\N	0
1255478	4293	1997-06-12	VYDAJ	PREVOD NA UCET	4561	91345	UVER	GH	89613037
1255479	4293	1997-07-12	VYDAJ	PREVOD NA UCET	4561	85333	UVER	GH	89613037
1255480	4293	1997-08-12	VYDAJ	PREVOD NA UCET	4561	67627	UVER	GH	89613037
1255481	4293	1997-09-12	VYDAJ	PREVOD NA UCET	4561	56409	UVER	GH	89613037
1255482	4293	1997-10-12	VYDAJ	PREVOD NA UCET	4561	52534	UVER	GH	89613037
1255483	4293	1997-11-12	VYDAJ	PREVOD NA UCET	4561	96502	UVER	GH	89613037
1255484	4293	1997-12-12	VYDAJ	PREVOD NA UCET	4561	74844	UVER	GH	89613037
1255485	4293	1998-01-12	VYDAJ	PREVOD NA UCET	4561	65491	UVER	GH	89613037
1255486	4293	1998-02-12	VYDAJ	PREVOD NA UCET	4561	22735	UVER	GH	89613037
1255487	4293	1998-03-12	VYDAJ	PREVOD NA UCET	4561	62960	UVER	GH	89613037
1255488	4293	1998-04-12	VYDAJ	PREVOD NA UCET	4561	54497	UVER	GH	89613037
1255489	4293	1998-05-12	VYDAJ	PREVOD NA UCET	4561	36452	UVER	GH	89613037
1255490	4293	1998-06-12	VYDAJ	PREVOD NA UCET	4561	58520	UVER	GH	89613037
1255491	4293	1998-07-12	VYDAJ	PREVOD NA UCET	4561	43270	UVER	GH	89613037
1255492	4293	1998-08-12	VYDAJ	PREVOD NA UCET	4561	13747	UVER	GH	89613037
1255493	4293	1998-09-12	VYDAJ	PREVOD NA UCET	4561	89084	UVER	GH	89613037
1255494	4293	1998-10-12	VYDAJ	PREVOD NA UCET	4561	68140	UVER	GH	89613037
1255495	4293	1998-11-12	VYDAJ	PREVOD NA UCET	4561	58463	UVER	GH	89613037
1255496	4293	1998-12-12	VYDAJ	PREVOD NA UCET	4561	50711	UVER	GH	89613037
1255511	4293	1997-03-12	VYDAJ	PREVOD NA UCET	4797	64865	SIPO	IJ	75312357
1255512	4293	1997-04-12	VYDAJ	PREVOD NA UCET	4797	69288	SIPO	IJ	75312357
1255513	4293	1997-05-12	VYDAJ	PREVOD NA UCET	4797	54353	SIPO	IJ	75312357
1255514	4293	1997-06-12	VYDAJ	PREVOD NA UCET	4797	86548	SIPO	IJ	75312357
1255515	4293	1997-07-12	VYDAJ	PREVOD NA UCET	4797	80536	SIPO	IJ	75312357
1255516	4293	1997-08-12	VYDAJ	PREVOD NA UCET	4797	62830	SIPO	IJ	75312357
1255517	4293	1997-09-12	VYDAJ	PREVOD NA UCET	4797	51612	SIPO	IJ	75312357
1255518	4293	1997-10-12	VYDAJ	PREVOD NA UCET	4797	57095	SIPO	IJ	75312357
1255519	4293	1997-11-12	VYDAJ	PREVOD NA UCET	4797	91705	SIPO	IJ	75312357
1255520	4293	1997-12-12	VYDAJ	PREVOD NA UCET	4797	79405	SIPO	IJ	75312357
1255521	4293	1998-01-12	VYDAJ	PREVOD NA UCET	4797	60694	SIPO	IJ	75312357
1255522	4293	1998-02-12	VYDAJ	PREVOD NA UCET	4797	17938	SIPO	IJ	75312357
1255523	4293	1998-03-12	VYDAJ	PREVOD NA UCET	4797	58163	SIPO	IJ	75312357
1255524	4293	1998-04-12	VYDAJ	PREVOD NA UCET	4797	59058	SIPO	IJ	75312357
1255525	4293	1998-05-12	VYDAJ	PREVOD NA UCET	4797	41013	SIPO	IJ	75312357
1255526	4293	1998-06-12	VYDAJ	PREVOD NA UCET	4797	63081	SIPO	IJ	75312357
1255527	4293	1998-07-12	VYDAJ	PREVOD NA UCET	4797	38473	SIPO	IJ	75312357
1255528	4293	1998-08-12	VYDAJ	PREVOD NA UCET	4797	8950	SIPO	IJ	75312357
1255529	4293	1998-09-12	VYDAJ	PREVOD NA UCET	4797	84287	SIPO	IJ	75312357
1255530	4293	1998-10-12	VYDAJ	PREVOD NA UCET	4797	72701	SIPO	IJ	75312357
1255531	4293	1998-11-12	VYDAJ	PREVOD NA UCET	4797	53666	SIPO	IJ	75312357
1255532	4293	1998-12-12	VYDAJ	PREVOD NA UCET	4797	55272	SIPO	IJ	75312357
1255546	4293	1997-12-11	VYBER	VYBER	17341	84202	\N	\N	\N
1255547	4293	1997-05-06	VYBER	VYBER	12384	63250	\N	\N	\N
1255548	4293	1997-05-16	VYBER	VYBER	4728	49625	\N	\N	\N
1255549	4293	1997-12-22	VYBER	VYBER	3909	70935	\N	\N	\N
1255550	4293	1997-03-27	VYBER	VYBER	22800	46410	\N	\N	\N
1255551	4293	1997-07-02	VYBER	VYBER	3681	40650	\N	\N	\N
1255552	4293	1998-01-22	VYBER	VYBER	17679	43015	\N	\N	\N
1255555	4293	1998-06-13	VYDAJ	VYBER	34500	24020	\N	\N	\N
1255557	4293	1997-12-26	VYDAJ	VYBER	6900	69720	\N	\N	\N
1255558	4293	1998-12-10	VYDAJ	VYBER	2400	60069	\N	\N	\N
1255571	4293	1998-01-28	VYDAJ	VYBER	8400	27173	\N	\N	\N
1255572	4293	1998-01-09	VYDAJ	VYBER	5100	70052	\N	\N	\N
1255573	4293	1998-01-07	VYDAJ	VYBER	3900	59409	\N	\N	\N
1255574	4293	1998-01-23	VYDAJ	VYBER	2400	40615	\N	\N	\N
1255575	4293	1998-01-05	VYDAJ	VYBER	2100	63309	\N	\N	\N
1255576	4293	1998-01-04	VYDAJ	VYBER	4500	65409	\N	\N	\N
1255583	4293	1997-07-17	VYDAJ	VYBER	13500	67036	\N	\N	\N
1255584	4293	1997-09-07	VYDAJ	VYBER	10800	60970	\N	\N	\N
1255586	4293	1997-09-19	VYDAJ	VYBER	9300	42312	\N	\N	\N
1255587	4293	1997-10-24	VYDAJ	VYBER	12000	83734	\N	\N	\N
1255588	4293	1997-11-10	VYDAJ	VYBER	6600	59317	\N	\N	\N
1255589	4293	1998-04-04	VYDAJ	VYBER	2400	27852	\N	\N	\N
1255590	4293	1998-09-05	VYDAJ	VYBER	11100	36676	\N	\N	\N
1255591	4293	1998-10-04	VYDAJ	VYBER	4500	77498	\N	\N	\N
1255592	4293	1998-11-28	VYDAJ	VYBER	6600	51266	\N	\N	\N
1255608	4293	1997-03-31	VYDAJ	VYBER	100	33637	SLUZBY	\N	\N
1255609	4293	1997-04-30	VYDAJ	VYBER	100	58761	SLUZBY	\N	\N
1255610	4293	1997-05-31	VYDAJ	VYBER	100	51538	SLUZBY	\N	\N
1255611	4293	1997-06-30	VYDAJ	VYBER	100	44331	SLUZBY	\N	\N
1255612	4293	1997-07-31	VYDAJ	VYBER	100	51838	SLUZBY	\N	\N
1255613	4293	1997-08-31	VYDAJ	VYBER	100	71770	SLUZBY	\N	\N
1255614	4293	1997-09-30	VYDAJ	VYBER	100	49682	SLUZBY	\N	\N
1255615	4293	1997-10-31	VYDAJ	VYBER	100	47756	SLUZBY	\N	\N
1255616	4293	1997-11-30	VYDAJ	VYBER	100	60974	SLUZBY	\N	\N
1255617	4293	1997-12-31	VYDAJ	VYBER	100	69909	SLUZBY	\N	\N
1255618	4293	1998-01-31	VYDAJ	VYBER	100	27296	SLUZBY	\N	\N
1255619	4293	1998-02-28	VYDAJ	VYBER	100	17939	SLUZBY	\N	\N
1255620	4293	1998-03-31	VYDAJ	VYBER	100	30252	SLUZBY	\N	\N
1255621	4293	1998-04-30	VYDAJ	VYBER	100	45810	SLUZBY	\N	\N
1255622	4293	1998-05-31	VYDAJ	VYBER	100	34004	SLUZBY	\N	\N
1255623	4293	1998-06-30	VYDAJ	VYBER	100	33864	SLUZBY	\N	\N
1255624	4293	1998-07-31	VYDAJ	VYBER	100	18308	SLUZBY	\N	\N
1255625	4293	1998-08-31	VYDAJ	VYBER	100	47776	SLUZBY	\N	\N
1255626	4293	1998-09-30	VYDAJ	VYBER	100	81998	SLUZBY	\N	\N
1255627	4293	1998-10-31	VYDAJ	VYBER	100	52567	SLUZBY	\N	\N
1255628	4293	1998-11-30	VYDAJ	VYBER	100	51436	SLUZBY	\N	\N
1255629	4293	1996-03-05	PRIJEM	VKLAD	10200	10700	\N	\N	\N
1255630	4293	1996-04-04	PRIJEM	VKLAD	6500	17200	\N	\N	\N
1255631	4293	1996-05-04	PRIJEM	VKLAD	2400	19600	\N	\N	\N
1255632	4293	1996-06-03	PRIJEM	VKLAD	2400	22000	\N	\N	\N
1255633	4293	1996-07-03	PRIJEM	VKLAD	400	22400	\N	\N	\N
1255634	4293	1996-08-02	PRIJEM	VKLAD	3400	25800	\N	\N	\N
1255635	4293	1996-09-01	VYDAJ	VYBER	1600	24200	\N	\N	\N
1255636	4293	1996-10-01	PRIJEM	VKLAD	800	25000	\N	\N	\N
1255637	4293	1996-10-31	VYDAJ	VYBER	5500	19503	\N	\N	\N
1255638	4293	1996-11-30	VYDAJ	VYBER	3300	16284	\N	\N	\N
1255639	4293	1996-12-30	VYDAJ	VYBER	2700	13584	\N	\N	\N
1255640	4293	1997-01-29	VYDAJ	VYBER	9100	22073	\N	\N	\N
1255641	4293	1997-02-28	VYDAJ	VYBER	10000	34111	\N	\N	\N
1255642	4293	1997-03-10	VYDAJ	VYBER	63500	55568	\N	\N	\N
1255643	4293	1997-03-30	VYDAJ	VYBER	12900	33510	\N	\N	\N
1255644	4293	1997-04-16	VYDAJ	VYBER	45500	71259	\N	\N	\N
1255645	4293	1997-04-29	VYDAJ	VYBER	45500	58598	\N	\N	\N
1255646	4293	1997-05-29	VYDAJ	VYBER	31600	51371	\N	\N	\N
1255647	4293	1997-06-15	VYDAJ	VYBER	57900	65279	\N	\N	\N
1255648	4293	1997-06-28	VYDAJ	VYBER	21100	44179	\N	\N	\N
1255649	4293	1997-07-28	VYDAJ	VYBER	30600	44080	\N	\N	\N
1255650	4293	1997-08-27	VYDAJ	VYBER	22400	40430	\N	\N	\N
1255651	4293	1997-09-26	VYDAJ	VYBER	25500	40381	\N	\N	\N
1255652	4293	1997-10-26	VYDAJ	VYBER	36100	47634	\N	\N	\N
1255653	4293	1997-11-25	VYDAJ	VYBER	46000	60757	\N	\N	\N
1255654	4293	1997-12-25	VYDAJ	VYBER	26200	44735	\N	\N	\N
1255655	4293	1998-01-24	VYDAJ	VYBER	12800	27815	\N	\N	\N
1255656	4293	1998-03-25	VYDAJ	VYBER	28000	30163	\N	\N	\N
1255657	4293	1998-04-24	VYDAJ	VYBER	44300	45705	\N	\N	\N
1255658	4293	1998-05-24	VYDAJ	VYBER	20600	15852	\N	\N	\N
1255659	4293	1998-06-23	VYDAJ	VYBER	39300	33799	\N	\N	\N
1255660	4293	1998-07-23	VYDAJ	VYBER	20200	18273	\N	\N	\N
1255661	4293	1998-09-14	VYDAJ	VYBER	37000	88650	\N	\N	\N
1255662	4293	1998-09-21	VYDAJ	VYBER	41700	46950	\N	\N	\N
1255663	4293	1998-09-27	VYDAJ	VYBER	46000	81752	\N	\N	\N
1255664	4293	1998-10-21	VYDAJ	VYBER	50500	52370	\N	\N	\N
1255665	4293	1998-11-20	VYDAJ	VYBER	50400	50717	\N	\N	\N
1256504	4296	1993-01-28	PRIJEM	VKLAD	200	200	\N	\N	\N
1256506	4296	1993-02-13	PRIJEM	VKLAD	18729	18929	\N	\N	\N
1256507	4296	1993-03-13	PRIJEM	VKLAD	18729	42865	\N	\N	\N
1256508	4296	1993-04-13	PRIJEM	VKLAD	18729	53999	\N	\N	\N
1256509	4296	1993-05-13	PRIJEM	VKLAD	18729	57576	\N	\N	\N
1256510	4296	1993-06-13	PRIJEM	VKLAD	28094	69232	\N	\N	\N
1256511	4296	1993-07-13	PRIJEM	VKLAD	18729	44208	\N	\N	\N
1256512	4296	1993-08-13	PRIJEM	VKLAD	18729	51274	\N	\N	\N
1256513	4296	1993-09-13	PRIJEM	VKLAD	18729	58530	\N	\N	\N
1256514	4296	1993-10-13	PRIJEM	VKLAD	18729	59811	\N	\N	\N
1256515	4296	1993-11-13	PRIJEM	VKLAD	18729	62099	\N	\N	\N
1256516	4296	1993-12-13	PRIJEM	VKLAD	28094	68921	\N	\N	\N
1256517	4296	1994-01-13	PRIJEM	VKLAD	18729	59577	\N	\N	\N
1256518	4296	1994-02-13	PRIJEM	VKLAD	18729	51829	\N	\N	\N
1256519	4296	1994-03-13	PRIJEM	VKLAD	18729	56086	\N	\N	\N
1256520	4296	1994-04-13	PRIJEM	VKLAD	18729	61168	\N	\N	\N
1256521	4296	1994-05-13	PRIJEM	VKLAD	18729	64763	\N	\N	\N
1256522	4296	1994-06-13	PRIJEM	VKLAD	28094	74734	\N	\N	\N
1256523	4296	1994-07-13	PRIJEM	VKLAD	18729	46427	\N	\N	\N
1256524	4296	1994-08-13	PRIJEM	VKLAD	18729	53930	\N	\N	\N
1256525	4296	1994-09-13	PRIJEM	VKLAD	18729	58697	\N	\N	\N
1256526	4296	1994-10-13	PRIJEM	VKLAD	18729	62884	\N	\N	\N
1256527	4296	1994-11-13	PRIJEM	VKLAD	18729	66230	\N	\N	\N
1256528	4296	1994-12-13	PRIJEM	VKLAD	28094	73962	\N	\N	\N
1256529	4296	1995-01-13	PRIJEM	VKLAD	18729	66141	\N	\N	\N
1256530	4296	1995-02-13	PRIJEM	VKLAD	18729	57529	\N	\N	\N
1256531	4296	1995-03-13	PRIJEM	VKLAD	18729	67535	\N	\N	\N
1256532	4296	1995-04-13	PRIJEM	VKLAD	18729	67648	\N	\N	\N
1256533	4296	1995-05-13	PRIJEM	VKLAD	18729	70671	\N	\N	\N
1256534	4296	1995-06-13	PRIJEM	VKLAD	28094	84574	\N	\N	\N
1256535	4296	1995-07-13	PRIJEM	VKLAD	18729	77468	\N	\N	\N
1256536	4296	1995-08-13	PRIJEM	VKLAD	18729	75268	\N	\N	\N
1256537	4296	1995-09-13	PRIJEM	VKLAD	18729	75330	\N	\N	\N
1256538	4296	1995-10-13	PRIJEM	VKLAD	18729	70770	\N	\N	\N
1256539	4296	1995-11-13	PRIJEM	VKLAD	18729	74790	\N	\N	\N
1256540	4296	1995-12-13	PRIJEM	VKLAD	28094	84104	\N	\N	\N
1256541	4296	1996-01-13	PRIJEM	VKLAD	18729	64656	\N	\N	\N
1256542	4296	1996-02-13	PRIJEM	VKLAD	18729	62023	\N	\N	\N
1256543	4296	1996-03-13	PRIJEM	VKLAD	18729	80962	\N	\N	\N
1256544	4296	1996-04-13	PRIJEM	VKLAD	18729	66825	\N	\N	\N
1256545	4296	1996-05-13	PRIJEM	VKLAD	18729	69356	\N	\N	\N
1256546	4296	1996-06-13	PRIJEM	VKLAD	28094	70009	\N	\N	\N
1256547	4296	1996-07-13	PRIJEM	VKLAD	18729	71201	\N	\N	\N
1256548	4296	1996-08-13	PRIJEM	VKLAD	18729	71348	\N	\N	\N
1256549	4296	1996-09-13	PRIJEM	VKLAD	18729	74653	\N	\N	\N
1256550	4296	1996-10-13	PRIJEM	VKLAD	18729	73491	\N	\N	\N
1256551	4296	1996-11-13	PRIJEM	VKLAD	18729	70700	\N	\N	\N
1256552	4296	1996-12-13	PRIJEM	VKLAD	28094	80161	\N	\N	\N
1256553	4296	1997-01-13	PRIJEM	VKLAD	18729	64269	\N	\N	\N
1256554	4296	1997-02-13	PRIJEM	VKLAD	18729	54612	\N	\N	\N
1256555	4296	1997-03-13	PRIJEM	VKLAD	18729	60137	\N	\N	\N
1256556	4296	1997-04-13	PRIJEM	VKLAD	18729	62790	\N	\N	\N
1256557	4296	1997-05-13	PRIJEM	VKLAD	18729	62098	\N	\N	\N
1256558	4296	1997-06-13	PRIJEM	VKLAD	28094	65036	\N	\N	\N
1256559	4296	1997-07-13	PRIJEM	VKLAD	18729	57529	\N	\N	\N
1256560	4296	1997-08-13	PRIJEM	VKLAD	18729	58070	\N	\N	\N
1256561	4296	1997-09-13	PRIJEM	VKLAD	18729	53521	\N	\N	\N
1256562	4296	1997-10-13	PRIJEM	VKLAD	18729	50462	\N	\N	\N
1256563	4296	1997-11-13	PRIJEM	VKLAD	18729	51188	\N	\N	\N
1256564	4296	1997-12-13	PRIJEM	VKLAD	28094	59554	\N	\N	\N
1256565	4296	1998-01-13	PRIJEM	VKLAD	18729	45401	\N	\N	\N
1256566	4296	1998-02-13	PRIJEM	VKLAD	18729	48092	\N	\N	\N
1256567	4296	1998-03-13	PRIJEM	VKLAD	18729	50986	\N	\N	\N
1256568	4296	1998-04-13	PRIJEM	VKLAD	18729	52877	\N	\N	\N
1256569	4296	1998-05-13	PRIJEM	VKLAD	18729	52697	\N	\N	\N
1256570	4296	1998-06-13	PRIJEM	VKLAD	28094	56961	\N	\N	\N
1256571	4296	1998-07-13	PRIJEM	VKLAD	18729	54988	\N	\N	\N
1256572	4296	1998-08-13	PRIJEM	VKLAD	18729	47464	\N	\N	\N
1256573	4296	1998-09-13	PRIJEM	VKLAD	18729	44067	\N	\N	\N
1256574	4296	1998-10-13	PRIJEM	VKLAD	18729	47263	\N	\N	\N
1256575	4296	1998-11-13	PRIJEM	VKLAD	18729	45488	\N	\N	\N
1256576	4296	1998-12-13	PRIJEM	VKLAD	28094	49268	\N	\N	\N
1256577	4296	1993-06-20	VYDAJ	VYBER	28320	40912	\N	\N	\N
1256578	4296	1994-06-16	VYDAJ	VYBER	42240	32494	\N	\N	\N
1256580	4296	1996-06-06	VYDAJ	VYBER	22240	45215	\N	\N	\N
1256581	4296	1997-06-06	VYDAJ	VYBER	15680	46643	\N	\N	\N
1256584	4296	1994-01-18	VYDAJ	VYBER	10400	45817	\N	\N	\N
1256585	4296	1995-01-25	VYDAJ	VYBER	8480	42681	\N	\N	\N
1256586	4296	1996-01-10	VYDAJ	VYBER	8800	45927	\N	\N	\N
1256587	4296	1997-01-18	VYDAJ	VYBER	8640	54189	\N	\N	\N
1256588	4296	1998-01-06	VYDAJ	VYBER	3040	28832	\N	\N	\N
1256589	4296	1993-12-21	VYDAJ	VYBER	2720	66201	\N	\N	\N
1256590	4296	1994-12-18	VYDAJ	VYBER	3840	70122	\N	\N	\N
1256591	4296	1995-12-23	VYDAJ	VYBER	1600	57504	\N	\N	\N
1256592	4296	1996-12-27	VYDAJ	VYBER	4160	76001	\N	\N	\N
1256593	4296	1997-12-02	VYDAJ	VYBER	1120	50261	\N	\N	\N
1256594	4296	1998-12-27	VYDAJ	VYBER KARTOU	2400	46868	\N	\N	0
1256601	4296	1994-01-02	VYDAJ	VYBER	840	42768	\N	\N	\N
1256602	4296	1994-01-13	VYDAJ	VYBER	2400	57177	\N	\N	\N
1256603	4296	1994-01-15	VYDAJ	VYBER	960	56217	\N	\N	\N
1256604	4296	1994-01-21	VYDAJ	VYBER	720	45097	\N	\N	\N
1256605	4296	1994-01-26	VYDAJ	VYBER	2160	32937	\N	\N	\N
1256606	4296	1994-01-10	VYDAJ	VYBER	1920	40848	\N	\N	\N
1256607	4296	1995-01-10	VYDAJ	VYBER	1680	49932	\N	\N	\N
1256608	4296	1995-01-26	VYDAJ	VYBER	1200	41481	\N	\N	\N
1256609	4296	1995-01-17	VYDAJ	VYBER	2280	63861	\N	\N	\N
1256610	4296	1995-01-26	VYDAJ	VYBER	1800	39681	\N	\N	\N
1256611	4296	1995-01-01	VYDAJ	VYBER	600	51612	\N	\N	\N
1256612	4296	1995-01-11	VYDAJ	VYBER	2520	47412	\N	\N	\N
1256613	4296	1996-01-23	VYDAJ	VYBER	1200	46376	\N	\N	\N
1256614	4296	1996-01-20	VYDAJ	VYBER	840	47576	\N	\N	\N
1256615	4296	1996-01-30	VYDAJ	VYBER	2880	43496	\N	\N	\N
1256616	4296	1996-01-10	VYDAJ	VYBER	3000	54727	\N	\N	\N
1256617	4296	1996-01-19	VYDAJ	VYBER	2160	48416	\N	\N	\N
1256618	4296	1996-01-15	VYDAJ	VYBER	1680	50576	\N	\N	\N
1256619	4296	1997-01-11	VYDAJ	VYBER	2640	45540	\N	\N	\N
1256620	4296	1997-01-11	VYDAJ	VYBER	2520	48180	\N	\N	\N
1256621	4296	1997-01-15	VYDAJ	VYBER	1440	62829	\N	\N	\N
1256622	4296	1997-01-27	VYDAJ	VYBER	3360	47829	\N	\N	\N
1256623	4296	1997-01-20	VYDAJ	VYBER	3000	51189	\N	\N	\N
1256624	4296	1997-01-29	VYDAJ	VYBER	1080	46749	\N	\N	\N
1256625	4296	1998-01-05	VYDAJ	VYBER	1560	31872	\N	\N	\N
1256626	4296	1998-01-15	VYDAJ	VYBER	2760	42641	\N	\N	\N
1256627	4296	1998-01-07	VYDAJ	VYBER	2160	26672	\N	\N	\N
1256628	4296	1998-01-04	VYDAJ	VYBER	3360	33432	\N	\N	\N
1256629	4296	1998-01-19	VYDAJ	VYBER	1320	41321	\N	\N	\N
1256630	4296	1998-01-24	VYDAJ	VYBER	1800	39521	\N	\N	\N
1256633	4296	1993-07-06	VYDAJ	VYBER	3600	25479	\N	\N	\N
1256634	4296	1993-12-08	VYDAJ	VYBER	5040	40827	\N	\N	\N
1256635	4296	1993-06-21	VYDAJ	VYBER	2880	38032	\N	\N	\N
1256637	4296	1994-06-23	VYDAJ	VYBER	840	27554	\N	\N	\N
1256638	4296	1994-11-24	VYDAJ	VYBER	1560	45670	\N	\N	\N
1256639	4296	1994-03-21	VYDAJ	VYBER	600	55486	\N	\N	\N
1256640	4296	1994-07-29	VYDAJ	VYBER	3240	35087	\N	\N	\N
1256641	4296	1994-11-12	VYDAJ	VYBER	1560	47501	\N	\N	\N
1256642	4296	1995-02-11	VYDAJ	VYBER	1080	38800	\N	\N	\N
1256643	4296	1995-09-18	VYDAJ	VYBER	3600	51830	\N	\N	\N
1256644	4296	1995-03-22	VYDAJ	VYBER	4200	48715	\N	\N	\N
1256645	4296	1995-03-13	VYDAJ	VYBER	720	66815	\N	\N	\N
1256646	4296	1995-11-09	VYDAJ	VYBER	720	56061	\N	\N	\N
1256647	4296	1995-08-04	VYDAJ	VYBER	3360	56539	\N	\N	\N
1256648	4296	1995-06-22	VYDAJ	VYBER	2760	58514	\N	\N	\N
1256649	4296	1996-08-11	VYDAJ	VYBER	3360	52619	\N	\N	\N
1256650	4296	1996-05-20	VYDAJ	VYBER	2160	67196	\N	\N	\N
1256651	4296	1996-04-19	VYDAJ	VYBER	3840	62985	\N	\N	\N
1256652	4296	1996-10-05	VYDAJ	VYBER	2880	72062	\N	\N	\N
1256653	4296	1996-11-01	VYDAJ	VYBER	1800	71971	\N	\N	\N
1256654	4296	1997-07-07	VYDAJ	VYBER	5160	38800	\N	\N	\N
1256655	4296	1997-12-18	VYDAJ	VYBER	5640	53914	\N	\N	\N
1256656	4296	1997-04-28	VYDAJ	VYBER	1320	61470	\N	\N	\N
1256657	4296	1997-05-06	VYDAJ	VYBER	1440	60269	\N	\N	\N
1256658	4296	1998-05-30	VYDAJ	VYBER	840	45977	\N	\N	\N
1256659	4296	1998-07-29	VYDAJ	VYBER	5040	48028	\N	\N	\N
1256660	4296	1998-03-20	VYDAJ	VYBER	3720	47266	\N	\N	\N
1256661	4296	1998-07-21	VYDAJ	VYBER	1920	53068	\N	\N	\N
1256662	4296	1998-05-21	VYDAJ	VYBER	5880	46817	\N	\N	\N
1256663	4296	1998-09-20	VYDAJ	VYBER	840	43227	\N	\N	\N
1256670	4296	1993-06-30	VYDAJ	VYBER	15	29079	SLUZBY	\N	\N
1256671	4296	1993-07-31	VYDAJ	VYBER	15	32545	SLUZBY	\N	\N
1256672	4296	1993-08-31	VYDAJ	VYBER	15	39801	SLUZBY	\N	\N
1256673	4296	1993-09-30	VYDAJ	VYBER	15	41082	SLUZBY	\N	\N
1256674	4296	1993-10-31	VYDAJ	VYBER	15	43370	SLUZBY	\N	\N
1256675	4296	1993-11-30	VYDAJ	VYBER	15	45867	SLUZBY	\N	\N
1256676	4296	1993-12-31	VYDAJ	VYBER	15	43608	SLUZBY	\N	\N
1256677	4296	1994-01-31	VYDAJ	VYBER	15	33100	SLUZBY	\N	\N
1256678	4296	1994-02-28	VYDAJ	VYBER	15	37357	SLUZBY	\N	\N
1256679	4296	1994-03-31	VYDAJ	VYBER	15	42439	SLUZBY	\N	\N
1256680	4296	1994-04-30	VYDAJ	VYBER	15	46034	SLUZBY	\N	\N
1256681	4296	1994-05-31	VYDAJ	VYBER	15	46641	SLUZBY	\N	\N
1256682	4296	1994-06-30	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
1256683	4296	1994-07-31	VYDAJ	VYBER	15	35201	SLUZBY	\N	\N
1256684	4296	1994-08-31	VYDAJ	VYBER	15	39968	SLUZBY	\N	\N
1256685	4296	1994-09-30	VYDAJ	VYBER	15	44155	SLUZBY	\N	\N
1256686	4296	1994-10-31	VYDAJ	VYBER	15	49061	SLUZBY	\N	\N
1256687	4296	1994-11-30	VYDAJ	VYBER	15	45869	SLUZBY	\N	\N
1256688	4296	1994-12-31	VYDAJ	VYBER	15	52212	SLUZBY	\N	\N
1256689	4296	1995-01-31	VYDAJ	VYBER	15	39880	SLUZBY	\N	\N
1256690	4296	1995-02-28	VYDAJ	VYBER	15	48806	SLUZBY	\N	\N
1256691	4296	1995-03-31	VYDAJ	VYBER	15	48919	SLUZBY	\N	\N
1256692	4296	1995-04-30	VYDAJ	VYBER	15	51942	SLUZBY	\N	\N
1256693	4296	1995-05-31	VYDAJ	VYBER	15	56480	SLUZBY	\N	\N
1256694	4296	1995-06-30	VYDAJ	VYBER	15	58739	SLUZBY	\N	\N
1256695	4296	1995-07-31	VYDAJ	VYBER	15	59899	SLUZBY	\N	\N
1256696	4296	1995-08-31	VYDAJ	VYBER	15	56601	SLUZBY	\N	\N
1256697	4296	1995-09-30	VYDAJ	VYBER	15	52041	SLUZBY	\N	\N
1256698	4296	1995-10-31	VYDAJ	VYBER	15	56781	SLUZBY	\N	\N
1256699	4296	1995-11-30	VYDAJ	VYBER	15	56011	SLUZBY	\N	\N
1256700	4296	1995-12-31	VYDAJ	VYBER	15	57727	SLUZBY	\N	\N
1256701	4296	1996-01-31	VYDAJ	VYBER	15	43694	SLUZBY	\N	\N
1256702	4296	1996-02-29	VYDAJ	VYBER	15	62233	SLUZBY	\N	\N
1256703	4296	1996-03-31	VYDAJ	VYBER	15	58796	SLUZBY	\N	\N
1256704	4296	1996-04-30	VYDAJ	VYBER	15	63227	SLUZBY	\N	\N
1256705	4296	1996-05-31	VYDAJ	VYBER	15	67455	SLUZBY	\N	\N
1256706	4296	1996-06-30	VYDAJ	VYBER	15	70272	SLUZBY	\N	\N
1256707	4296	1996-07-31	VYDAJ	VYBER	15	71479	SLUZBY	\N	\N
1256708	4296	1996-08-31	VYDAJ	VYBER	15	71624	SLUZBY	\N	\N
1256709	4296	1996-09-30	VYDAJ	VYBER	15	74942	SLUZBY	\N	\N
1256710	4296	1996-10-31	VYDAJ	VYBER	15	73771	SLUZBY	\N	\N
1256711	4296	1996-11-30	VYDAJ	VYBER	15	70967	SLUZBY	\N	\N
1256712	4296	1996-12-31	VYDAJ	VYBER	15	76300	SLUZBY	\N	\N
1256713	4296	1997-01-31	VYDAJ	VYBER	15	46983	SLUZBY	\N	\N
1256714	4296	1997-02-28	VYDAJ	VYBER	15	54808	SLUZBY	\N	\N
1256715	4296	1997-03-31	VYDAJ	VYBER	15	60361	SLUZBY	\N	\N
1256716	4296	1997-04-30	VYDAJ	VYBER	15	61709	SLUZBY	\N	\N
1256717	4296	1997-05-31	VYDAJ	VYBER	15	62323	SLUZBY	\N	\N
1256718	4296	1997-06-30	VYDAJ	VYBER	15	65260	SLUZBY	\N	\N
1256719	4296	1997-07-31	VYDAJ	VYBER	15	57741	SLUZBY	\N	\N
1256720	4296	1997-08-31	VYDAJ	VYBER	15	58292	SLUZBY	\N	\N
1256721	4296	1997-09-30	VYDAJ	VYBER	15	53733	SLUZBY	\N	\N
1256722	4296	1997-10-31	VYDAJ	VYBER	15	50659	SLUZBY	\N	\N
1256723	4296	1997-11-30	VYDAJ	VYBER	15	51381	SLUZBY	\N	\N
1256724	4296	1997-12-31	VYDAJ	VYBER	15	54092	SLUZBY	\N	\N
1256725	4296	1998-01-31	VYDAJ	VYBER	15	39663	SLUZBY	\N	\N
1256726	4296	1998-02-28	VYDAJ	VYBER	15	48257	SLUZBY	\N	\N
1256727	4296	1998-03-31	VYDAJ	VYBER	15	47448	SLUZBY	\N	\N
1256728	4296	1998-04-30	VYDAJ	VYBER	15	53068	SLUZBY	\N	\N
1256729	4296	1998-05-31	VYDAJ	VYBER	15	46167	SLUZBY	\N	\N
1256730	4296	1998-06-30	VYDAJ	VYBER	15	57159	SLUZBY	\N	\N
1256731	4296	1998-07-31	VYDAJ	VYBER	15	48235	SLUZBY	\N	\N
1256732	4296	1998-08-31	VYDAJ	VYBER	15	25338	SLUZBY	\N	\N
1256733	4296	1998-09-30	VYDAJ	VYBER	15	28534	SLUZBY	\N	\N
1256734	4296	1998-10-31	VYDAJ	VYBER	15	26759	SLUZBY	\N	\N
1256735	4296	1998-11-30	VYDAJ	VYBER	15	21175	SLUZBY	\N	\N
1256736	4296	1993-02-27	PRIJEM	VKLAD	5200	24129	\N	\N	\N
1256737	4296	1993-03-29	VYDAJ	VYBER	7700	35165	\N	\N	\N
1256738	4296	1993-04-28	VYDAJ	VYBER	15300	38699	\N	\N	\N
1256739	4296	1993-05-28	VYDAJ	VYBER	16600	40976	\N	\N	\N
1256740	4296	1993-06-27	VYDAJ	VYBER	9100	28932	\N	\N	\N
1256741	4296	1993-07-27	VYDAJ	VYBER	11800	32408	\N	\N	\N
1256742	4296	1993-08-26	VYDAJ	VYBER	11600	39674	\N	\N	\N
1256743	4296	1993-09-25	VYDAJ	VYBER	17600	40930	\N	\N	\N
1256744	4296	1993-10-25	VYDAJ	VYBER	16600	43211	\N	\N	\N
1256745	4296	1993-11-24	VYDAJ	VYBER	16400	45699	\N	\N	\N
1256746	4296	1993-12-24	VYDAJ	VYBER	22800	43401	\N	\N	\N
1256747	4296	1994-01-23	VYDAJ	VYBER	10000	35097	\N	\N	\N
1256748	4296	1994-02-22	VYDAJ	VYBER	14600	37229	\N	\N	\N
1256749	4296	1994-03-24	VYDAJ	VYBER	13200	42286	\N	\N	\N
1256750	4296	1994-04-23	VYDAJ	VYBER	15300	45868	\N	\N	\N
1256751	4296	1994-05-23	VYDAJ	VYBER	18300	46463	\N	\N	\N
1256752	4296	1994-06-22	VYDAJ	VYBER	4100	28394	\N	\N	\N
1256753	4296	1994-07-22	VYDAJ	VYBER	8100	38327	\N	\N	\N
1256754	4296	1994-08-21	VYDAJ	VYBER	14100	39830	\N	\N	\N
1256755	4296	1994-09-20	VYDAJ	VYBER	14700	43997	\N	\N	\N
1256756	4296	1994-10-20	VYDAJ	VYBER	14000	48884	\N	\N	\N
1256757	4296	1994-11-19	VYDAJ	VYBER	19000	47230	\N	\N	\N
1256758	4296	1994-12-19	VYDAJ	VYBER	18100	52022	\N	\N	\N
1256759	4296	1995-01-18	VYDAJ	VYBER	12700	51161	\N	\N	\N
1256760	4296	1995-02-17	VYDAJ	VYBER	8900	48629	\N	\N	\N
1256761	4296	1995-03-19	VYDAJ	VYBER	13900	52915	\N	\N	\N
1256762	4296	1995-04-18	VYDAJ	VYBER	15900	51748	\N	\N	\N
1256763	4296	1995-05-18	VYDAJ	VYBER	14400	56271	\N	\N	\N
1256764	4296	1995-06-17	VYDAJ	VYBER	23300	61274	\N	\N	\N
1256765	4296	1995-07-17	VYDAJ	VYBER	17800	59668	\N	\N	\N
1256766	4296	1995-08-16	VYDAJ	VYBER	18900	56368	\N	\N	\N
1256767	4296	1995-09-15	VYDAJ	VYBER	19900	55430	\N	\N	\N
1256768	4296	1995-10-15	VYDAJ	VYBER	14200	56570	\N	\N	\N
1256769	4296	1995-11-14	VYDAJ	VYBER	19000	55790	\N	\N	\N
1256770	4296	1995-12-14	VYDAJ	VYBER	25000	59104	\N	\N	\N
1256771	4296	1996-01-13	VYDAJ	VYBER	12400	52256	\N	\N	\N
1256772	4296	1996-02-12	VYDAJ	VYBER	400	43294	\N	\N	\N
1256773	4296	1996-03-13	VYDAJ	VYBER	22400	58562	\N	\N	\N
1256774	4296	1996-04-12	VYDAJ	VYBER	10700	48096	\N	\N	\N
1256775	4296	1996-05-12	VYDAJ	VYBER	12600	50627	\N	\N	\N
1256776	4296	1996-06-11	VYDAJ	VYBER	3300	41915	\N	\N	\N
1256777	4296	1996-07-11	VYDAJ	VYBER	17800	52472	\N	\N	\N
1256778	4296	1996-08-10	VYDAJ	VYBER	15500	55979	\N	\N	\N
1256779	4296	1996-09-09	VYDAJ	VYBER	15700	55924	\N	\N	\N
1256780	4296	1996-10-09	VYDAJ	VYBER	17300	54762	\N	\N	\N
1256781	4296	1996-11-08	VYDAJ	VYBER	20000	51971	\N	\N	\N
1256782	4296	1996-12-08	VYDAJ	VYBER	18900	52067	\N	\N	\N
1256783	4296	1997-01-07	VYDAJ	VYBER	25600	50700	\N	\N	\N
1256784	4296	1997-02-06	VYDAJ	VYBER	11100	35883	\N	\N	\N
1256785	4296	1997-03-08	VYDAJ	VYBER	13400	41408	\N	\N	\N
1256786	4296	1997-04-07	VYDAJ	VYBER	16300	44061	\N	\N	\N
1256787	4296	1997-05-07	VYDAJ	VYBER	16900	43369	\N	\N	\N
1256788	4296	1997-06-06	VYDAJ	VYBER	9700	36943	\N	\N	\N
1256789	4296	1997-07-06	VYDAJ	VYBER	21300	43960	\N	\N	\N
1256790	4296	1997-08-05	VYDAJ	VYBER	18400	39341	\N	\N	\N
1256791	4296	1997-09-04	VYDAJ	VYBER	23500	34792	\N	\N	\N
1256792	4296	1997-10-04	VYDAJ	VYBER	22000	31733	\N	\N	\N
1256793	4296	1997-11-03	VYDAJ	VYBER	18200	32459	\N	\N	\N
1256794	4296	1997-12-03	VYDAJ	VYBER	18800	31461	\N	\N	\N
1256795	4296	1998-01-02	VYDAJ	VYBER	17300	36792	\N	\N	\N
1256796	4296	1998-02-01	VYDAJ	VYBER	10300	29363	\N	\N	\N
1256797	4296	1998-03-03	VYDAJ	VYBER	16000	32257	\N	\N	\N
1256798	4296	1998-04-02	VYDAJ	VYBER	13300	34148	\N	\N	\N
1256799	4296	1998-05-02	VYDAJ	VYBER	19100	33968	\N	\N	\N
1256800	4296	1998-06-01	VYDAJ	VYBER	17300	28867	\N	\N	\N
1256801	4296	1998-07-01	VYDAJ	VYBER	20900	36259	\N	\N	\N
1256802	4296	1998-07-31	VYDAJ	VYBER	19500	28735	\N	\N	\N
1256803	4296	1998-08-30	VYDAJ	VYBER	22300	25164	\N	\N	\N
1256804	4296	1998-09-29	VYDAJ	VYBER	14800	28427	\N	\N	\N
1256805	4296	1998-10-29	VYDAJ	VYBER	20600	26663	\N	\N	\N
1256806	4296	1998-11-28	VYDAJ	VYBER	24400	21088	\N	\N	\N
1258063	4301	1997-06-26	PRIJEM	VKLAD	900	900	\N	\N	\N
1258070	4301	1997-07-12	PRIJEM	VKLAD	12740	13640	\N	\N	\N
1258071	4301	1997-08-12	PRIJEM	VKLAD	12740	35699	\N	\N	\N
1258072	4301	1997-09-12	PRIJEM	VKLAD	12740	48446	\N	\N	\N
1258073	4301	1997-10-12	PRIJEM	VKLAD	12740	51838	\N	\N	\N
1258074	4301	1997-11-12	PRIJEM	VKLAD	12740	53842	\N	\N	\N
1258075	4301	1997-12-12	PRIJEM	VKLAD	19110	53610	\N	\N	\N
1258076	4301	1998-01-12	PRIJEM	VKLAD	12740	48809	\N	\N	\N
1258077	4301	1998-02-12	PRIJEM	VKLAD	12740	38294	\N	\N	\N
1258078	4301	1998-03-12	PRIJEM	VKLAD	12740	43733	\N	\N	\N
1258079	4301	1998-04-12	PRIJEM	VKLAD	12740	45509	\N	\N	\N
1258080	4301	1998-05-12	PRIJEM	VKLAD	12740	45371	\N	\N	\N
1258081	4301	1998-06-12	PRIJEM	VKLAD	19110	37199	\N	\N	\N
1258082	4301	1998-07-12	PRIJEM	VKLAD	12740	38253	\N	\N	\N
1258083	4301	1998-08-12	PRIJEM	VKLAD	12740	39589	\N	\N	\N
1258084	4301	1998-09-12	PRIJEM	VKLAD	12740	28620	\N	\N	\N
1258085	4301	1998-10-12	PRIJEM	VKLAD	12740	32017	\N	\N	\N
1258086	4301	1998-11-12	PRIJEM	VKLAD	12740	28618	\N	\N	\N
1258087	4301	1998-12-12	PRIJEM	VKLAD	19110	36786	\N	\N	\N
1258089	4301	1998-06-05	VYDAJ	VYBER	12500	18089	\N	\N	\N
1258091	4301	1998-01-27	VYDAJ	VYBER	6800	26709	\N	\N	\N
1258092	4301	1997-12-13	VYDAJ	VYBER	1200	52410	\N	\N	\N
1258093	4301	1998-12-03	VYDAJ	VYBER	2000	17676	\N	\N	\N
1258100	4301	1998-01-12	VYDAJ	VYBER	2800	43509	\N	\N	\N
1258101	4301	1998-01-12	VYDAJ	VYBER	2500	46309	\N	\N	\N
1258102	4301	1998-01-29	VYDAJ	VYBER	1300	25409	\N	\N	\N
1258103	4301	1998-01-20	VYDAJ	VYBER	1600	41909	\N	\N	\N
1258104	4301	1998-01-01	VYDAJ	VYBER	2900	36069	\N	\N	\N
1258105	4301	1998-01-26	VYDAJ	VYBER	1800	33509	\N	\N	\N
1258106	4301	1997-11-15	VYDAJ	VYBER	4200	49642	\N	\N	\N
1258111	4301	1998-08-23	VYDAJ	VYBER	4700	15789	\N	\N	\N
1258112	4301	1998-08-15	VYDAJ	VYBER	3800	35789	\N	\N	\N
1258113	4301	1998-07-31	VYDAJ	VYBER	1800	26849	\N	\N	\N
1258114	4301	1998-10-22	VYDAJ	VYBER	3900	15817	\N	\N	\N
1258115	4301	1998-03-04	VYDAJ	VYBER	800	30993	\N	\N	\N
1258127	4301	1997-11-30	VYDAJ	VYBER	15	34500	SLUZBY	\N	\N
1258128	4301	1997-12-31	VYDAJ	VYBER	15	38969	SLUZBY	\N	\N
1258129	4301	1998-01-31	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
1258130	4301	1998-02-28	VYDAJ	VYBER	15	31793	SLUZBY	\N	\N
1258131	4301	1998-03-31	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
1258132	4301	1998-04-30	VYDAJ	VYBER	15	32631	SLUZBY	\N	\N
1258133	4301	1998-05-31	VYDAJ	VYBER	15	30589	SLUZBY	\N	\N
1258134	4301	1998-06-30	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
1258135	4301	1998-07-31	VYDAJ	VYBER	15	28649	SLUZBY	\N	\N
1258136	4301	1998-08-31	VYDAJ	VYBER	15	15880	SLUZBY	\N	\N
1258137	4301	1998-09-30	VYDAJ	VYBER	15	19277	SLUZBY	\N	\N
1258138	4301	1998-10-31	VYDAJ	VYBER	15	15878	SLUZBY	\N	\N
1258139	4301	1998-11-30	VYDAJ	VYBER	15	19676	SLUZBY	\N	\N
1258140	4301	1997-07-26	PRIJEM	VKLAD	9300	22940	\N	\N	\N
1258141	4301	1997-08-25	VYDAJ	VYBER	100	35599	\N	\N	\N
1258142	4301	1997-09-24	VYDAJ	VYBER	9500	38946	\N	\N	\N
1258143	4301	1997-10-24	VYDAJ	VYBER	10900	40938	\N	\N	\N
1258144	4301	1997-11-23	VYDAJ	VYBER	15300	34342	\N	\N	\N
1258145	4301	1997-12-23	VYDAJ	VYBER	13600	38810	\N	\N	\N
1258146	4301	1998-01-22	VYDAJ	VYBER	6600	35309	\N	\N	\N
1258147	4301	1998-02-21	VYDAJ	VYBER	6600	31694	\N	\N	\N
1258148	4301	1998-03-23	VYDAJ	VYBER	11100	32633	\N	\N	\N
1258149	4301	1998-04-22	VYDAJ	VYBER	13000	32509	\N	\N	\N
1258150	4301	1998-05-22	VYDAJ	VYBER	14900	30471	\N	\N	\N
1258151	4301	1998-06-21	VYDAJ	VYBER	11800	25399	\N	\N	\N
1258152	4301	1998-07-21	VYDAJ	VYBER	9700	28553	\N	\N	\N
1258153	4301	1998-08-20	VYDAJ	VYBER	15300	20489	\N	\N	\N
1258154	4301	1998-09-19	VYDAJ	VYBER	9400	19220	\N	\N	\N
1258155	4301	1998-10-19	VYDAJ	VYBER	12300	19717	\N	\N	\N
1258156	4301	1998-11-18	VYDAJ	VYBER	9000	19618	\N	\N	\N
1260316	4309	1997-06-25	PRIJEM	VKLAD	400	400	\N	\N	\N
1260317	4309	1997-07-18	PRIJEM	VKLAD	22853	23253	\N	\N	\N
1260318	4309	1997-12-02	PRIJEM	VKLAD	18074	50942	\N	\N	\N
1260422	4309	1997-07-25	PRIJEM	VKLAD	300	23553	\N	\N	\N
1260423	4309	1997-08-24	PRIJEM	VKLAD	2000	25575	\N	\N	\N
1260424	4309	1997-09-23	PRIJEM	VKLAD	1200	26873	\N	\N	\N
1260425	4309	1997-10-23	PRIJEM	VKLAD	2600	29571	\N	\N	\N
1260426	4309	1997-11-22	PRIJEM	VKLAD	3100	32770	\N	\N	\N
1260427	4309	1997-12-22	VYDAJ	VYBER	8100	42842	\N	\N	\N
1260428	4309	1998-01-21	VYDAJ	VYBER	2700	40266	\N	\N	\N
1260429	4309	1998-02-20	PRIJEM	VKLAD	500	40944	\N	\N	\N
1260430	4309	1998-03-22	PRIJEM	VKLAD	1300	42423	\N	\N	\N
1260431	4309	1998-04-21	PRIJEM	VKLAD	1800	44401	\N	\N	\N
1260432	4309	1998-05-21	PRIJEM	VKLAD	1800	46380	\N	\N	\N
1260433	4309	1998-06-20	VYDAJ	VYBER	900	45658	\N	\N	\N
1260434	4309	1998-07-20	VYDAJ	VYBER	1900	43937	\N	\N	\N
1260435	4309	1998-08-19	PRIJEM	VKLAD	600	44715	\N	\N	\N
1260436	4309	1998-09-18	PRIJEM	VKLAD	1000	45894	\N	\N	\N
1260437	4309	1998-10-18	VYDAJ	VYBER	1100	44972	\N	\N	\N
1260438	4309	1998-11-17	VYDAJ	VYBER	300	44851	\N	\N	\N
1260439	4309	1998-12-17	PRIJEM	VKLAD	2700	47729	\N	\N	\N
1262485	4318	1993-04-13	PRIJEM	VKLAD	200	200	\N	\N	\N
1262490	4318	1993-05-08	PRIJEM	PREVOD Z UCTU	46096	46296	\N	WX	20710844
1262491	4318	1993-06-08	PRIJEM	PREVOD Z UCTU	69144	106636	\N	WX	20710844
1262492	4318	1993-07-08	PRIJEM	PREVOD Z UCTU	46096	99453	\N	WX	20710844
1262493	4318	1993-08-08	PRIJEM	PREVOD Z UCTU	46096	106891	\N	WX	20710844
1262494	4318	1993-09-08	PRIJEM	PREVOD Z UCTU	46096	84773	\N	WX	20710844
1262495	4318	1993-10-08	PRIJEM	PREVOD Z UCTU	46096	90534	\N	WX	20710844
1262496	4318	1993-11-08	PRIJEM	PREVOD Z UCTU	46096	73210	\N	WX	20710844
1262497	4318	1993-12-08	PRIJEM	PREVOD Z UCTU	69144	104986	\N	WX	20710844
1262498	4318	1994-01-08	PRIJEM	PREVOD Z UCTU	46096	100178	\N	WX	20710844
1262499	4318	1994-02-08	PRIJEM	PREVOD Z UCTU	46096	81966	\N	WX	20710844
1262500	4318	1994-03-08	PRIJEM	PREVOD Z UCTU	46096	110087	\N	WX	20710844
1262501	4318	1994-04-08	PRIJEM	PREVOD Z UCTU	46096	109928	\N	WX	20710844
1262502	4318	1994-05-08	PRIJEM	PREVOD Z UCTU	46096	87501	\N	WX	20710844
1262503	4318	1994-06-08	PRIJEM	PREVOD Z UCTU	69144	104351	\N	WX	20710844
1262504	4318	1994-07-08	PRIJEM	PREVOD Z UCTU	46096	81445	\N	WX	20710844
1262505	4318	1994-08-08	PRIJEM	PREVOD Z UCTU	46096	79862	\N	WX	20710844
1262506	4318	1994-09-08	PRIJEM	PREVOD Z UCTU	46096	95800	\N	WX	20710844
1262507	4318	1994-10-08	PRIJEM	PREVOD Z UCTU	46096	101938	\N	WX	20710844
1262508	4318	1994-11-08	PRIJEM	PREVOD Z UCTU	46096	105371	\N	WX	20710844
1262509	4318	1994-12-08	PRIJEM	PREVOD Z UCTU	69144	132509	\N	WX	20710844
1262510	4318	1995-01-08	PRIJEM	PREVOD Z UCTU	46096	90909	\N	WX	20710844
1262511	4318	1995-02-08	PRIJEM	PREVOD Z UCTU	46096	70799	\N	WX	20710844
1262512	4318	1995-03-08	PRIJEM	PREVOD Z UCTU	46096	84427	\N	WX	20710844
1262513	4318	1995-04-08	PRIJEM	PREVOD Z UCTU	46096	91640	\N	WX	20710844
1262514	4318	1995-05-08	PRIJEM	PREVOD Z UCTU	46096	102493	\N	WX	20710844
1262515	4318	1995-06-08	PRIJEM	PREVOD Z UCTU	69144	120658	\N	WX	20710844
1262516	4318	1995-07-08	PRIJEM	PREVOD Z UCTU	46096	77579	\N	WX	20710844
1262517	4318	1995-08-08	PRIJEM	PREVOD Z UCTU	46096	79224	\N	WX	20710844
1262518	4318	1995-09-08	PRIJEM	PREVOD Z UCTU	46096	77490	\N	WX	20710844
1262519	4318	1995-10-08	PRIJEM	PREVOD Z UCTU	46096	90811	\N	WX	20710844
1262520	4318	1995-11-08	PRIJEM	PREVOD Z UCTU	46096	104023	\N	WX	20710844
1262521	4318	1995-12-08	PRIJEM	PREVOD Z UCTU	69144	126075	\N	WX	20710844
1262522	4318	1996-01-08	PRIJEM	PREVOD Z UCTU	46096	104342	\N	WX	20710844
1262523	4318	1996-02-08	PRIJEM	PREVOD Z UCTU	46096	96450	\N	WX	20710844
1262524	4318	1996-03-08	PRIJEM	PREVOD Z UCTU	46096	103919	\N	WX	20710844
1262525	4318	1996-04-08	PRIJEM	PREVOD Z UCTU	46096	100822	\N	WX	20710844
1262526	4318	1996-05-08	PRIJEM	PREVOD Z UCTU	46096	98640	\N	WX	20710844
1262527	4318	1996-06-08	PRIJEM	PREVOD Z UCTU	69144	129762	\N	WX	20710844
1262528	4318	1996-07-08	PRIJEM	PREVOD Z UCTU	46096	100619	\N	WX	20710844
1262529	4318	1996-08-08	PRIJEM	PREVOD Z UCTU	46096	107396	\N	WX	20710844
1262530	4318	1996-09-08	PRIJEM	PREVOD Z UCTU	46096	106262	\N	WX	20710844
1262531	4318	1996-10-08	PRIJEM	PREVOD Z UCTU	46096	112560	\N	WX	20710844
1262532	4318	1996-11-08	PRIJEM	PREVOD Z UCTU	46096	107896	\N	WX	20710844
1262533	4318	1996-12-08	PRIJEM	PREVOD Z UCTU	69144	138371	\N	WX	20710844
1262534	4318	1997-01-08	PRIJEM	PREVOD Z UCTU	46096	115688	\N	WX	20710844
1262535	4318	1997-02-08	PRIJEM	PREVOD Z UCTU	46096	83755	\N	WX	20710844
1262536	4318	1997-03-08	PRIJEM	PREVOD Z UCTU	46096	100563	\N	WX	20710844
1262537	4318	1997-04-08	PRIJEM	PREVOD Z UCTU	46096	94466	\N	WX	20710844
1262538	4318	1997-05-08	PRIJEM	PREVOD Z UCTU	46096	101428	\N	WX	20710844
1262539	4318	1997-06-08	PRIJEM	PREVOD Z UCTU	69144	112686	\N	WX	20710844
1262540	4318	1997-07-08	PRIJEM	PREVOD Z UCTU	46096	111175	\N	WX	20710844
1262541	4318	1997-08-08	PRIJEM	PREVOD Z UCTU	46096	117175	\N	WX	20710844
1262542	4318	1997-09-08	PRIJEM	PREVOD Z UCTU	46096	86037	\N	WX	20710844
1262543	4318	1997-10-08	PRIJEM	PREVOD Z UCTU	46096	95487	\N	WX	20710844
1262544	4318	1997-11-08	PRIJEM	PREVOD Z UCTU	46096	109048	\N	WX	20710844
1262545	4318	1997-12-08	PRIJEM	PREVOD Z UCTU	69144	107379	\N	WX	20710844
1262546	4318	1998-01-08	PRIJEM	PREVOD Z UCTU	46096	103474	\N	WX	20710844
1262547	4318	1998-02-08	PRIJEM	PREVOD Z UCTU	46096	106109	\N	WX	20710844
1262548	4318	1998-03-08	PRIJEM	PREVOD Z UCTU	46096	121492	\N	WX	20710844
1262549	4318	1998-04-08	PRIJEM	PREVOD Z UCTU	46096	96363	\N	WX	20710844
1262550	4318	1998-05-08	PRIJEM	PREVOD Z UCTU	46096	114639	\N	WX	20710844
1262551	4318	1998-06-08	PRIJEM	PREVOD Z UCTU	69144	143019	\N	WX	20710844
1262552	4318	1998-07-08	PRIJEM	PREVOD Z UCTU	46096	112798	\N	WX	20710844
1262553	4318	1998-08-08	PRIJEM	PREVOD Z UCTU	46096	120629	\N	WX	20710844
1262554	4318	1998-09-08	PRIJEM	PREVOD Z UCTU	46096	122386	\N	WX	20710844
1262555	4318	1998-10-08	PRIJEM	PREVOD Z UCTU	46096	104862	\N	WX	20710844
1262556	4318	1998-11-08	PRIJEM	PREVOD Z UCTU	46096	126345	\N	WX	20710844
1262557	4318	1998-12-08	PRIJEM	PREVOD Z UCTU	69144	132878	\N	WX	20710844
1262638	4318	1993-09-08	VYDAJ	PREVOD NA UCET	13396	71377	SIPO	KL	13522321
1262639	4318	1993-10-08	VYDAJ	PREVOD NA UCET	13396	77138	SIPO	KL	13522321
1262640	4318	1993-11-08	VYDAJ	PREVOD NA UCET	13396	59814	SIPO	KL	13522321
1262641	4318	1993-12-08	VYDAJ	PREVOD NA UCET	13396	91590	SIPO	KL	13522321
1262642	4318	1994-01-08	VYDAJ	PREVOD NA UCET	13396	58382	SIPO	KL	13522321
1262643	4318	1994-02-08	VYDAJ	PREVOD NA UCET	13396	68570	SIPO	KL	13522321
1262644	4318	1994-03-08	VYDAJ	PREVOD NA UCET	13396	96691	SIPO	KL	13522321
1262645	4318	1994-04-08	VYDAJ	PREVOD NA UCET	13396	41032	SIPO	KL	13522321
1262646	4318	1994-05-08	VYDAJ	PREVOD NA UCET	13396	74105	SIPO	KL	13522321
1262647	4318	1994-06-08	VYDAJ	PREVOD NA UCET	13396	90955	SIPO	KL	13522321
1262648	4318	1994-07-08	VYDAJ	PREVOD NA UCET	13396	68049	SIPO	KL	13522321
1262649	4318	1994-08-08	VYDAJ	PREVOD NA UCET	13396	66466	SIPO	KL	13522321
1262650	4318	1994-09-08	VYDAJ	PREVOD NA UCET	13396	82404	SIPO	KL	13522321
1262651	4318	1994-10-08	VYDAJ	PREVOD NA UCET	13396	88542	SIPO	KL	13522321
1262652	4318	1994-11-08	VYDAJ	PREVOD NA UCET	13396	91975	SIPO	KL	13522321
1262653	4318	1994-12-08	VYDAJ	PREVOD NA UCET	13396	119113	SIPO	KL	13522321
1262654	4318	1995-01-08	VYDAJ	PREVOD NA UCET	13396	77513	SIPO	KL	13522321
1262655	4318	1995-02-08	VYDAJ	PREVOD NA UCET	13396	57403	SIPO	KL	13522321
1262656	4318	1995-03-08	VYDAJ	PREVOD NA UCET	13396	71031	SIPO	KL	13522321
1262657	4318	1995-04-08	VYDAJ	PREVOD NA UCET	13396	78244	SIPO	KL	13522321
1262658	4318	1995-05-08	VYDAJ	PREVOD NA UCET	13396	89097	SIPO	KL	13522321
1262659	4318	1995-06-08	VYDAJ	PREVOD NA UCET	13396	107262	SIPO	KL	13522321
1262660	4318	1995-07-08	VYDAJ	PREVOD NA UCET	13396	64183	SIPO	KL	13522321
1262661	4318	1995-08-08	VYDAJ	PREVOD NA UCET	13396	65828	SIPO	KL	13522321
1262662	4318	1995-09-08	VYDAJ	PREVOD NA UCET	13396	64094	SIPO	KL	13522321
1262663	4318	1995-10-08	VYDAJ	PREVOD NA UCET	13396	77415	SIPO	KL	13522321
1262664	4318	1995-11-08	VYDAJ	PREVOD NA UCET	13396	90627	SIPO	KL	13522321
1262665	4318	1995-12-08	VYDAJ	PREVOD NA UCET	13396	112679	SIPO	KL	13522321
1262666	4318	1996-01-08	VYDAJ	PREVOD NA UCET	13396	90946	SIPO	KL	13522321
1262667	4318	1996-02-08	VYDAJ	PREVOD NA UCET	13396	83054	SIPO	KL	13522321
1262668	4318	1996-03-08	VYDAJ	PREVOD NA UCET	13396	90523	SIPO	KL	13522321
1262669	4318	1996-04-08	VYDAJ	PREVOD NA UCET	13396	87426	SIPO	KL	13522321
1262670	4318	1996-05-08	VYDAJ	PREVOD NA UCET	13396	85244	SIPO	KL	13522321
1262671	4318	1996-06-08	VYDAJ	PREVOD NA UCET	13396	89166	SIPO	KL	13522321
1262672	4318	1996-07-08	VYDAJ	PREVOD NA UCET	13396	87223	SIPO	KL	13522321
1262673	4318	1996-08-08	VYDAJ	PREVOD NA UCET	13396	94000	SIPO	KL	13522321
1262674	4318	1996-09-08	VYDAJ	PREVOD NA UCET	13396	92866	SIPO	KL	13522321
1262675	4318	1996-10-08	VYDAJ	PREVOD NA UCET	13396	99164	SIPO	KL	13522321
1262676	4318	1996-11-08	VYDAJ	PREVOD NA UCET	13396	94500	SIPO	KL	13522321
1262677	4318	1996-12-08	VYDAJ	PREVOD NA UCET	13396	102075	SIPO	KL	13522321
1262678	4318	1997-01-08	VYDAJ	PREVOD NA UCET	13396	42092	SIPO	KL	13522321
1262679	4318	1997-02-08	VYDAJ	PREVOD NA UCET	13396	70359	SIPO	KL	13522321
1262680	4318	1997-03-08	VYDAJ	PREVOD NA UCET	13396	87167	SIPO	KL	13522321
1262681	4318	1997-04-08	VYDAJ	PREVOD NA UCET	13396	81070	SIPO	KL	13522321
1262682	4318	1997-05-08	VYDAJ	PREVOD NA UCET	13396	88032	SIPO	KL	13522321
1262683	4318	1997-06-08	VYDAJ	PREVOD NA UCET	13396	99290	SIPO	KL	13522321
1262684	4318	1997-07-08	VYDAJ	PREVOD NA UCET	13396	97779	SIPO	KL	13522321
1262685	4318	1997-08-08	VYDAJ	PREVOD NA UCET	13396	103779	SIPO	KL	13522321
1262686	4318	1997-09-08	VYDAJ	PREVOD NA UCET	13396	72641	SIPO	KL	13522321
1262687	4318	1997-10-08	VYDAJ	PREVOD NA UCET	13396	82091	SIPO	KL	13522321
1262688	4318	1997-11-08	VYDAJ	PREVOD NA UCET	13396	95652	SIPO	KL	13522321
1262689	4318	1997-12-08	VYDAJ	PREVOD NA UCET	13396	93983	SIPO	KL	13522321
1262690	4318	1998-01-08	VYDAJ	PREVOD NA UCET	13396	90078	SIPO	KL	13522321
1262691	4318	1998-02-08	VYDAJ	PREVOD NA UCET	13396	92713	SIPO	KL	13522321
1262692	4318	1998-03-08	VYDAJ	PREVOD NA UCET	13396	108096	SIPO	KL	13522321
1262693	4318	1998-04-08	VYDAJ	PREVOD NA UCET	13396	82967	SIPO	KL	13522321
1262694	4318	1998-05-08	VYDAJ	PREVOD NA UCET	13396	101243	SIPO	KL	13522321
1262695	4318	1998-06-08	VYDAJ	PREVOD NA UCET	13396	86323	SIPO	KL	13522321
1262696	4318	1998-07-08	VYDAJ	PREVOD NA UCET	13396	99402	SIPO	KL	13522321
1262697	4318	1998-08-08	VYDAJ	PREVOD NA UCET	13396	107233	SIPO	KL	13522321
1262698	4318	1998-09-08	VYDAJ	PREVOD NA UCET	13396	108990	SIPO	KL	13522321
1262699	4318	1998-10-08	VYDAJ	PREVOD NA UCET	13396	91466	SIPO	KL	13522321
1262700	4318	1998-11-08	VYDAJ	PREVOD NA UCET	13396	61449	SIPO	KL	13522321
1262701	4318	1998-12-08	VYDAJ	PREVOD NA UCET	13396	67582	SIPO	KL	13522321
1262706	4318	1993-10-14	VYBER	VYBER	22252	26986	\N	\N	\N
1262707	4318	1994-06-20	VYBER	VYBER	11439	56116	\N	\N	\N
1262708	4318	1994-02-12	VYBER	VYBER	4794	63776	\N	\N	\N
1262709	4318	1995-01-11	VYBER	VYBER	21834	55679	\N	\N	\N
1262711	4318	1995-09-02	VYBER	VYBER	17985	31394	\N	\N	\N
1262713	4318	1995-02-04	VYBER	VYBER	16676	24703	\N	\N	\N
1262715	4318	1995-07-26	VYBER	VYBER	8653	55530	\N	\N	\N
1262716	4318	1995-04-25	VYBER	VYBER	3246	74998	\N	\N	\N
1262717	4318	1995-02-28	VYBER	VYBER	9214	48444	\N	\N	\N
1262718	4318	1995-05-24	VYBER	VYBER	14104	74993	\N	\N	\N
1262719	4318	1995-07-26	VYBER	VYBER	21191	34339	\N	\N	\N
1262720	4318	1995-03-13	VYBER	VYBER	17194	53837	\N	\N	\N
1262721	4318	1995-03-07	VYBER	VYBER	3683	38331	\N	\N	\N
1262722	4318	1995-06-01	VYBER	VYBER	3790	71514	\N	\N	\N
1262723	4318	1996-04-20	VYBER	VYBER	11950	75476	\N	\N	\N
1262724	4318	1996-09-04	VYBER	VYBER	3132	60166	\N	\N	\N
1262725	4318	1996-01-10	VYBER	VYBER	10362	80584	\N	\N	\N
1262726	4318	1997-06-14	VYBER	VYBER	7704	91586	\N	\N	\N
1262727	4318	1997-06-06	VYBER	VYBER	16428	43542	\N	\N	\N
1262728	4318	1997-09-09	VYBER	VYBER	24334	48307	\N	\N	\N
1262729	4318	1997-09-07	VYBER	VYBER	23475	39941	\N	\N	\N
1262730	4318	1997-12-02	VYBER	VYBER	23210	52335	\N	\N	\N
1262731	4318	1997-01-11	VYBER	VYBER	7488	34604	\N	\N	\N
1262732	4318	1997-05-28	VYBER	VYBER	10467	59665	\N	\N	\N
1262733	4318	1997-12-11	VYBER	VYBER	15042	78941	\N	\N	\N
1262734	4318	1998-03-11	VYBER	VYBER	17139	43757	\N	\N	\N
1262735	4318	1998-05-14	VYBER	VYBER	6240	76403	\N	\N	\N
1262737	4318	1994-06-15	VYDAJ	VYBER	23400	67555	\N	\N	\N
1262738	4318	1995-06-11	VYDAJ	VYBER	48900	24862	\N	\N	\N
1262739	4318	1996-06-09	VYDAJ	VYBER	12300	76866	\N	\N	\N
1262740	4318	1997-06-20	VYDAJ	VYBER	16200	75386	\N	\N	\N
1262741	4318	1998-06-23	VYDAJ	VYBER	12000	66423	\N	\N	\N
1262743	4318	1994-01-25	VYDAJ	VYBER	17700	40682	\N	\N	\N
1262744	4318	1995-01-01	VYDAJ	VYBER	3600	57713	\N	\N	\N
1262745	4318	1996-01-26	VYDAJ	VYBER	6000	74584	\N	\N	\N
1262747	4318	1998-01-11	VYDAJ	VYBER	19200	70878	\N	\N	\N
1262748	4318	1993-12-19	VYDAJ	VYBER	3000	53890	\N	\N	\N
1262749	4318	1994-12-12	VYDAJ	VYBER	6000	67313	\N	\N	\N
1262750	4318	1995-12-02	VYDAJ	VYBER	4800	56931	\N	\N	\N
1262751	4318	1996-12-20	VYDAJ	VYBER	8700	93375	\N	\N	\N
1262752	4318	1997-12-03	VYDAJ	VYBER	8100	44235	\N	\N	\N
1262753	4318	1998-12-22	VYDAJ	VYBER	8400	57782	\N	\N	\N
1262759	4318	1993-09-21	VYDAJ	VYBER	3000	44277	\N	\N	\N
1262760	4318	1993-12-07	VYDAJ	VYBER	4500	35842	\N	\N	\N
1262761	4318	1994-05-18	VYDAJ	VYBER	10500	40305	\N	\N	\N
1262762	4318	1994-06-24	VYDAJ	VYBER	10500	45616	\N	\N	\N
1262763	4318	1994-07-13	VYDAJ	VYBER	6000	62049	\N	\N	\N
1262764	4318	1994-08-07	VYDAJ	VYBER	9900	33766	\N	\N	\N
1262765	4318	1994-12-23	VYDAJ	VYBER	6300	61013	\N	\N	\N
1262766	4318	1995-01-16	VYDAJ	VYBER	2100	53579	\N	\N	\N
1262767	4318	1995-10-01	VYDAJ	VYBER KARTOU	1800	44715	\N	\N	0
1262768	4318	1996-10-24	VYDAJ	VYBER	12000	87164	\N	\N	\N
1262769	4318	1996-03-20	VYDAJ	VYBER	12000	78523	\N	\N	\N
1262770	4318	1996-01-30	VYDAJ	VYBER KARTOU	2700	50084	\N	\N	0
1262771	4318	1997-08-29	VYDAJ	VYBER	12900	63079	\N	\N	\N
1262772	4318	1997-04-07	VYDAJ	VYBER	12600	48370	\N	\N	\N
1262773	4318	1997-03-30	VYDAJ	VYBER	8700	60667	\N	\N	\N
1262774	4318	1997-03-05	VYDAJ	VYBER KARTOU	2700	54467	\N	\N	0
1262775	4318	1997-12-26	VYDAJ	VYBER	6300	57141	\N	\N	\N
1262776	4318	1997-12-06	VYDAJ	VYBER	6000	38235	\N	\N	\N
1262777	4318	1997-05-01	VYDAJ	VYBER	9300	55332	\N	\N	\N
1262778	4318	1998-03-15	VYDAJ	VYBER	4800	38957	\N	\N	\N
1262779	4318	1998-09-07	VYDAJ	VYBER	13200	76290	\N	\N	\N
1262780	4318	1998-08-06	VYDAJ	VYBER	7500	74533	\N	\N	\N
1262781	4318	1998-02-06	VYDAJ	VYBER KARTOU	2400	60013	\N	\N	0
1262782	4318	1998-04-29	VYDAJ	VYBER	7200	68267	\N	\N	\N
1262783	4318	1998-08-04	VYDAJ	VYBER	5100	82033	\N	\N	\N
1262793	4318	1993-09-30	VYDAJ	VYBER	30	44438	SLUZBY	\N	\N
1262794	4318	1993-10-31	VYDAJ	VYBER	30	27114	SLUZBY	\N	\N
1262795	4318	1993-11-30	VYDAJ	VYBER	30	40342	SLUZBY	\N	\N
1262796	4318	1993-12-31	VYDAJ	VYBER	30	54082	SLUZBY	\N	\N
1262797	4318	1994-01-31	VYDAJ	VYBER	30	40970	SLUZBY	\N	\N
1262798	4318	1994-02-28	VYDAJ	VYBER	30	63991	SLUZBY	\N	\N
1262799	4318	1994-03-31	VYDAJ	VYBER	30	63832	SLUZBY	\N	\N
1262800	4318	1994-04-30	VYDAJ	VYBER	30	41405	SLUZBY	\N	\N
1262801	4318	1994-05-31	VYDAJ	VYBER	30	40507	SLUZBY	\N	\N
1262802	4318	1994-06-30	VYDAJ	VYBER	30	45849	SLUZBY	\N	\N
1262803	4318	1994-07-31	VYDAJ	VYBER	30	62266	SLUZBY	\N	\N
1262804	4318	1994-08-31	VYDAJ	VYBER	30	66704	SLUZBY	\N	\N
1262805	4318	1994-09-30	VYDAJ	VYBER	30	82742	SLUZBY	\N	\N
1262806	4318	1994-10-31	VYDAJ	VYBER	30	88875	SLUZBY	\N	\N
1262807	4318	1994-11-30	VYDAJ	VYBER	30	92365	SLUZBY	\N	\N
1262808	4318	1994-12-31	VYDAJ	VYBER	30	61313	SLUZBY	\N	\N
1262809	4318	1995-01-31	VYDAJ	VYBER	30	53779	SLUZBY	\N	\N
1262810	4318	1995-02-28	VYDAJ	VYBER	30	48414	SLUZBY	\N	\N
1262811	4318	1995-03-31	VYDAJ	VYBER	30	54044	SLUZBY	\N	\N
1262812	4318	1995-04-30	VYDAJ	VYBER	30	75297	SLUZBY	\N	\N
1262813	4318	1995-05-31	VYDAJ	VYBER	30	75304	SLUZBY	\N	\N
1262814	4318	1995-06-30	VYDAJ	VYBER	30	24983	SLUZBY	\N	\N
1262815	4318	1995-07-31	VYDAJ	VYBER	30	34528	SLUZBY	\N	\N
1262816	4318	1995-08-31	VYDAJ	VYBER	30	49379	SLUZBY	\N	\N
1262817	4318	1995-09-30	VYDAJ	VYBER	30	64315	SLUZBY	\N	\N
1262818	4318	1995-10-31	VYDAJ	VYBER	30	57927	SLUZBY	\N	\N
1262819	4318	1995-11-30	VYDAJ	VYBER	30	61731	SLUZBY	\N	\N
1262820	4318	1995-12-31	VYDAJ	VYBER	30	58246	SLUZBY	\N	\N
1262821	4318	1996-01-31	VYDAJ	VYBER	30	50354	SLUZBY	\N	\N
1262822	4318	1996-02-29	VYDAJ	VYBER	30	57823	SLUZBY	\N	\N
1262823	4318	1996-03-31	VYDAJ	VYBER	30	54726	SLUZBY	\N	\N
1262824	4318	1996-04-30	VYDAJ	VYBER	30	52544	SLUZBY	\N	\N
1262825	4318	1996-05-31	VYDAJ	VYBER	30	60618	SLUZBY	\N	\N
1262826	4318	1996-06-30	VYDAJ	VYBER	30	54523	SLUZBY	\N	\N
1262827	4318	1996-07-31	VYDAJ	VYBER	30	61300	SLUZBY	\N	\N
1262828	4318	1996-08-31	VYDAJ	VYBER	30	63298	SLUZBY	\N	\N
1262829	4318	1996-09-30	VYDAJ	VYBER	30	66464	SLUZBY	\N	\N
1262830	4318	1996-10-31	VYDAJ	VYBER	30	61800	SLUZBY	\N	\N
1262831	4318	1996-11-30	VYDAJ	VYBER	30	69227	SLUZBY	\N	\N
1262832	4318	1996-12-31	VYDAJ	VYBER	30	69592	SLUZBY	\N	\N
1262833	4318	1997-01-31	VYDAJ	VYBER	30	37659	SLUZBY	\N	\N
1262834	4318	1997-02-28	VYDAJ	VYBER	30	57167	SLUZBY	\N	\N
1262835	4318	1997-03-31	VYDAJ	VYBER	30	60970	SLUZBY	\N	\N
1262836	4318	1997-04-30	VYDAJ	VYBER	30	64632	SLUZBY	\N	\N
1262837	4318	1997-05-31	VYDAJ	VYBER	30	59970	SLUZBY	\N	\N
1262838	4318	1997-06-30	VYDAJ	VYBER	30	65079	SLUZBY	\N	\N
1262839	4318	1997-07-31	VYDAJ	VYBER	30	71079	SLUZBY	\N	\N
1262840	4318	1997-08-31	VYDAJ	VYBER	30	63416	SLUZBY	\N	\N
1262841	4318	1997-09-30	VYDAJ	VYBER	30	49391	SLUZBY	\N	\N
1262842	4318	1997-10-31	VYDAJ	VYBER	30	62952	SLUZBY	\N	\N
1262843	4318	1997-11-30	VYDAJ	VYBER	30	75545	SLUZBY	\N	\N
1262844	4318	1997-12-31	VYDAJ	VYBER	30	57378	SLUZBY	\N	\N
1262845	4318	1998-01-31	VYDAJ	VYBER	30	62413	SLUZBY	\N	\N
1262846	4318	1998-02-28	VYDAJ	VYBER	30	75396	SLUZBY	\N	\N
1262847	4318	1998-03-31	VYDAJ	VYBER	30	50267	SLUZBY	\N	\N
1262848	4318	1998-04-30	VYDAJ	VYBER	30	68543	SLUZBY	\N	\N
1262849	4318	1998-05-31	VYDAJ	VYBER	30	73875	SLUZBY	\N	\N
1262850	4318	1998-06-30	VYDAJ	VYBER	30	66702	SLUZBY	\N	\N
1262851	4318	1998-07-31	VYDAJ	VYBER	30	87133	SLUZBY	\N	\N
1262852	4318	1998-08-31	VYDAJ	VYBER	30	89490	SLUZBY	\N	\N
1262853	4318	1998-09-30	VYDAJ	VYBER	30	58766	SLUZBY	\N	\N
1262854	4318	1998-10-31	VYDAJ	VYBER	30	80249	SLUZBY	\N	\N
1262855	4318	1998-11-30	VYDAJ	VYBER	30	63734	SLUZBY	\N	\N
1262856	4318	1993-05-13	VYDAJ	VYBER	8900	37396	\N	\N	\N
1262857	4318	1993-06-08	VYDAJ	VYBER	25300	81336	\N	\N	\N
1262858	4318	1993-06-12	VYDAJ	VYBER	28200	53136	\N	\N	\N
1262859	4318	1993-07-12	VYDAJ	VYBER	38900	60553	\N	\N	\N
1262860	4318	1993-08-08	VYDAJ	VYBER	55500	51391	\N	\N	\N
1262861	4318	1993-08-11	VYDAJ	VYBER	12900	38491	\N	\N	\N
1262862	4318	1993-09-10	VYDAJ	VYBER	24100	47277	\N	\N	\N
1262863	4318	1993-10-10	VYDAJ	VYBER	27900	49238	\N	\N	\N
1262864	4318	1993-11-09	VYDAJ	VYBER	19600	40214	\N	\N	\N
1262865	4318	1993-12-09	VYDAJ	VYBER	34700	56890	\N	\N	\N
1262866	4318	1994-01-08	VYDAJ	VYBER	28400	71778	\N	\N	\N
1262867	4318	1994-02-07	VYDAJ	VYBER	5100	35870	\N	\N	\N
1262868	4318	1994-03-09	VYDAJ	VYBER	33100	63591	\N	\N	\N
1262869	4318	1994-04-08	VYDAJ	VYBER	46300	54428	\N	\N	\N
1262870	4318	1994-04-08	VYDAJ	VYBER	9200	100728	\N	\N	\N
1262871	4318	1994-05-08	VYDAJ	VYBER	23300	50805	\N	\N	\N
1262872	4318	1994-06-07	VYDAJ	VYBER	5300	35207	\N	\N	\N
1262873	4318	1994-07-07	VYDAJ	VYBER	10500	35349	\N	\N	\N
1262874	4318	1994-08-06	VYDAJ	VYBER	18600	43666	\N	\N	\N
1262875	4318	1994-09-05	VYDAJ	VYBER	17000	49704	\N	\N	\N
1262876	4318	1994-10-05	VYDAJ	VYBER	26900	55842	\N	\N	\N
1262877	4318	1994-11-04	VYDAJ	VYBER	29600	59275	\N	\N	\N
1262878	4318	1994-12-04	VYDAJ	VYBER	29000	63365	\N	\N	\N
1262879	4318	1994-12-08	VYDAJ	VYBER	45800	73313	\N	\N	\N
1262880	4318	1995-01-03	VYDAJ	VYBER	12900	44813	\N	\N	\N
1262881	4318	1995-02-02	VYDAJ	VYBER	12400	41379	\N	\N	\N
1262882	4318	1995-03-04	VYDAJ	VYBER	6400	42014	\N	\N	\N
1262883	4318	1995-04-03	VYDAJ	VYBER	8500	45544	\N	\N	\N
1262884	4318	1995-05-03	VYDAJ	VYBER	18900	56397	\N	\N	\N
1262885	4318	1995-06-02	VYDAJ	VYBER	20000	51514	\N	\N	\N
1262886	4318	1995-06-08	VYDAJ	VYBER	33500	73762	\N	\N	\N
1262887	4318	1995-07-02	PRIJEM	VKLAD	6500	31483	\N	\N	\N
1262888	4318	1995-08-01	VYDAJ	VYBER KARTOU	1400	33128	\N	\N	0
1262889	4318	1995-08-31	VYDAJ	VYBER	16700	49409	\N	\N	\N
1262890	4318	1995-09-30	VYDAJ	VYBER	17800	46515	\N	\N	\N
1262891	4318	1995-10-30	VYDAJ	VYBER	19800	57615	\N	\N	\N
1262892	4318	1995-11-29	VYDAJ	VYBER	29200	61427	\N	\N	\N
1262893	4318	1995-12-08	VYDAJ	VYBER	27800	84879	\N	\N	\N
1262894	4318	1995-12-29	VYDAJ	VYBER	27000	57879	\N	\N	\N
1262895	4318	1996-01-28	VYDAJ	VYBER	21800	52784	\N	\N	\N
1262896	4318	1996-02-27	VYDAJ	VYBER	25500	57554	\N	\N	\N
1262897	4318	1996-03-28	VYDAJ	VYBER	24100	54423	\N	\N	\N
1262898	4318	1996-04-27	VYDAJ	VYBER	23200	52276	\N	\N	\N
1262899	4318	1996-05-27	VYDAJ	VYBER	24900	60344	\N	\N	\N
1262900	4318	1996-06-08	VYDAJ	VYBER	27200	102562	\N	\N	\N
1262901	4318	1996-06-26	VYDAJ	VYBER	22600	54266	\N	\N	\N
1262902	4318	1996-07-26	VYDAJ	VYBER	26200	61023	\N	\N	\N
1262903	4318	1996-08-25	VYDAJ	VYBER	31000	63000	\N	\N	\N
1262904	4318	1996-09-24	VYDAJ	VYBER	26700	66166	\N	\N	\N
1262905	4318	1996-10-24	VYDAJ	VYBER	25700	61464	\N	\N	\N
1262906	4318	1996-11-23	VYDAJ	VYBER	25600	68900	\N	\N	\N
1262907	4318	1996-12-08	VYDAJ	VYBER	22900	115471	\N	\N	\N
1262908	4318	1996-12-23	VYDAJ	VYBER	24100	69275	\N	\N	\N
1262909	4318	1997-01-08	VYDAJ	VYBER	60200	55488	\N	\N	\N
1262910	4318	1997-01-22	PRIJEM	VKLAD	2900	37504	\N	\N	\N
1262911	4318	1997-02-21	VYDAJ	VYBER	13400	56959	\N	\N	\N
1262912	4318	1997-03-23	VYDAJ	VYBER	17800	69367	\N	\N	\N
1262913	4318	1997-04-22	VYDAJ	VYBER	16700	64370	\N	\N	\N
1262914	4318	1997-05-22	VYDAJ	VYBER	17900	70132	\N	\N	\N
1262915	4318	1997-06-21	VYDAJ	VYBER	10600	64786	\N	\N	\N
1262916	4318	1997-07-21	VYDAJ	VYBER	27000	70779	\N	\N	\N
1262917	4318	1997-08-20	VYDAJ	VYBER	27800	75979	\N	\N	\N
1262918	4318	1997-09-19	PRIJEM	VKLAD	900	49207	\N	\N	\N
1262919	4318	1997-10-19	VYDAJ	VYBER	19400	62691	\N	\N	\N
1262920	4318	1997-11-18	VYDAJ	VYBER	20400	75252	\N	\N	\N
1262921	4318	1997-12-18	VYDAJ	VYBER	15500	63441	\N	\N	\N
1262922	4318	1998-01-17	VYDAJ	VYBER	8700	62178	\N	\N	\N
1262923	4318	1998-02-16	VYDAJ	VYBER	17600	75113	\N	\N	\N
1262924	4318	1998-03-08	VYDAJ	VYBER	47200	60896	\N	\N	\N
1262925	4318	1998-03-18	PRIJEM	VKLAD	11100	50057	\N	\N	\N
1262926	4318	1998-04-17	VYDAJ	VYBER	7500	75467	\N	\N	\N
1262927	4318	1998-05-08	VYDAJ	VYBER	18600	82643	\N	\N	\N
1262928	4318	1998-05-17	VYDAJ	VYBER KARTOU	2800	73603	\N	\N	0
1262929	4318	1998-06-08	VYDAJ	VYBER	43300	99719	\N	\N	\N
1262930	4318	1998-06-16	VYDAJ	VYBER	7900	78423	\N	\N	\N
1262931	4318	1998-07-16	VYDAJ	VYBER	12600	86802	\N	\N	\N
1262932	4318	1998-08-15	VYDAJ	VYBER	18100	89133	\N	\N	\N
1262933	4318	1998-09-08	VYDAJ	VYBER	61400	47590	\N	\N	\N
1262934	4318	1998-09-14	PRIJEM	VKLAD	10900	58490	\N	\N	\N
1262935	4318	1998-10-14	VYDAJ	VYBER	11500	79966	\N	\N	\N
1262936	4318	1998-11-08	VYDAJ	VYBER	51500	74845	\N	\N	\N
1262937	4318	1998-11-13	PRIJEM	VKLAD	2000	63449	\N	\N	\N
1262938	4318	1998-12-08	VYDAJ	VYBER	51900	80978	\N	\N	\N
1262939	4318	1998-12-13	VYDAJ	VYBER KARTOU	1400	66182	\N	\N	0
1263146	4320	1996-07-23	PRIJEM	VKLAD	600	600	\N	\N	\N
1263148	4320	1996-07-26	PRIJEM	VKLAD	46567	47167	\N	\N	\N
1263149	4320	1996-11-12	PRIJEM	VKLAD	29143	60912	\N	\N	\N
1263150	4320	1996-11-20	PRIJEM	VKLAD	21003	81915	\N	\N	\N
1263151	4320	1996-08-25	PRIJEM	VKLAD	48344	104014	\N	\N	\N
1263152	4320	1996-11-21	PRIJEM	VKLAD	7333	53348	\N	\N	\N
1263156	4320	1996-08-16	PRIJEM	VKLAD	39065	86270	\N	\N	\N
1263159	4320	1996-09-20	PRIJEM	VKLAD	31174	114642	\N	\N	\N
1263162	4320	1997-07-05	PRIJEM	VKLAD	41047	158634	\N	\N	\N
1263163	4320	1997-06-27	PRIJEM	VKLAD	35440	65499	\N	\N	\N
1263164	4320	1997-07-05	PRIJEM	VKLAD	30253	117587	\N	\N	\N
1263165	4320	1997-04-24	PRIJEM	VKLAD	8545	60242	\N	\N	\N
1263166	4320	1997-04-20	PRIJEM	VKLAD	15415	51697	\N	\N	\N
1263167	4320	1997-08-05	PRIJEM	VKLAD	29972	64530	\N	\N	\N
1263168	4320	1997-05-05	PRIJEM	VKLAD	28021	101994	\N	\N	\N
1263169	4320	1997-08-15	PRIJEM	VKLAD	6254	51804	\N	\N	\N
1263170	4320	1997-05-29	PRIJEM	VKLAD	19977	71871	\N	\N	\N
1263171	4320	1997-06-11	PRIJEM	VKLAD	27655	38857	\N	\N	\N
1263172	4320	1997-01-08	PRIJEM	VKLAD	21804	30398	\N	\N	\N
1263173	4320	1997-12-06	PRIJEM	VKLAD	37007	42196	\N	\N	\N
1263174	4320	1997-03-04	PRIJEM	VKLAD	42098	68851	\N	\N	\N
1263175	4320	1997-02-12	PRIJEM	VKLAD	49781	47239	\N	\N	\N
1263176	4320	1997-04-07	PRIJEM	VKLAD	23227	64682	\N	\N	\N
1263177	4320	1997-10-07	PRIJEM	VKLAD	25418	45770	\N	\N	\N
1263178	4320	1997-04-29	PRIJEM	VKLAD	33286	93528	\N	\N	\N
1263179	4320	1997-03-18	PRIJEM	VKLAD	19907	85558	\N	\N	\N
1263180	4320	1997-06-12	PRIJEM	VKLAD	19302	54359	\N	\N	\N
1263181	4320	1997-06-03	PRIJEM	VKLAD	34612	106802	\N	\N	\N
1263182	4320	1997-06-29	PRIJEM	VKLAD	21686	87185	\N	\N	\N
1263183	4320	1997-05-03	PRIJEM	VKLAD	11354	105073	\N	\N	\N
1263184	4320	1998-04-22	PRIJEM	VKLAD	8001	69468	\N	\N	\N
1263185	4320	1998-11-17	PRIJEM	VKLAD	25181	86550	\N	\N	\N
1263186	4320	1998-11-18	PRIJEM	VKLAD	36068	122618	\N	\N	\N
1263187	4320	1998-11-23	PRIJEM	VKLAD	32948	120337	\N	\N	\N
1263188	4320	1998-06-15	PRIJEM	VKLAD	17403	28031	\N	\N	\N
1263189	4320	1998-09-08	PRIJEM	VKLAD	12815	24940	\N	\N	\N
1263190	4320	1998-05-05	PRIJEM	VKLAD	41887	109797	\N	\N	\N
1263191	4320	1998-10-02	PRIJEM	VKLAD	14342	76756	\N	\N	\N
1263192	4320	1998-09-28	PRIJEM	VKLAD	21203	62329	\N	\N	\N
1263193	4320	1998-07-12	PRIJEM	VKLAD	13309	19248	\N	\N	\N
1263194	4320	1998-02-17	PRIJEM	VKLAD	12978	7683	\N	\N	\N
1263195	4320	1998-11-13	PRIJEM	VKLAD	38973	61369	\N	\N	\N
1263196	4320	1998-11-19	PRIJEM	VKLAD	16171	120589	\N	\N	\N
1263197	4320	1998-11-02	PRIJEM	VKLAD	42593	68096	\N	\N	\N
1263198	4320	1998-03-11	PRIJEM	VKLAD	47714	79331	\N	\N	\N
1263199	4320	1998-09-19	PRIJEM	VKLAD	47186	51026	\N	\N	\N
1263200	4320	1998-03-05	PRIJEM	VKLAD	5404	31617	\N	\N	\N
1263201	4320	1998-04-07	PRIJEM	VKLAD	38551	118603	\N	\N	\N
1263202	4320	1998-04-18	PRIJEM	VKLAD	37044	61467	\N	\N	\N
1263203	4320	1998-03-26	PRIJEM	VKLAD	47528	79879	\N	\N	\N
1263204	4320	1998-12-25	PRIJEM	VKLAD	20830	43142	\N	\N	\N
1263205	4320	1998-02-22	PRIJEM	VKLAD	18519	26202	\N	\N	\N
1263206	4320	1998-07-17	PRIJEM	VKLAD	46996	48364	\N	\N	\N
1263217	4320	1996-11-20	VYDAJ	VYBER	5900	76015	\N	\N	0
1263218	4320	1996-12-05	VYDAJ	VYBER	4700	48827	\N	\N	0
1263219	4320	1997-01-24	VYDAJ	VYBER	4200	6198	\N	\N	0
1263220	4320	1997-01-31	VYDAJ	VYBER	5800	-2527	\N	\N	0
1263221	4320	1997-03-07	VYDAJ	VYBER	3200	65651	\N	\N	0
1263222	4320	1997-03-26	VYDAJ	VYBER	3700	41258	\N	\N	0
1263223	4320	1997-05-13	VYDAJ	VYBER	3000	98994	\N	\N	0
1263224	4320	1997-06-11	VYDAJ	VYBER	3800	35057	\N	\N	0
1263225	4320	1997-07-07	VYDAJ	VYBER	3000	64134	\N	\N	0
1263226	4320	1997-08-12	VYDAJ	PREVOD NA UCET	4280	60250	UVER	GH	15082747
1263227	4320	1997-09-12	VYDAJ	PREVOD NA UCET	4280	26759	UVER	GH	15082747
1263228	4320	1997-10-12	VYDAJ	PREVOD NA UCET	4280	41490	UVER	GH	15082747
1263229	4320	1997-11-12	VYDAJ	PREVOD NA UCET	4280	6072	UVER	GH	15082747
1263230	4320	1997-12-12	VYDAJ	PREVOD NA UCET	4280	37916	UVER	GH	15082747
1263231	4320	1998-01-12	VYDAJ	PREVOD NA UCET	4280	3892	UVER	GH	15082747
1263233	4320	1998-03-12	VYDAJ	PREVOD NA UCET	4280	75051	UVER	GH	15082747
1263234	4320	1998-04-12	VYDAJ	PREVOD NA UCET	4280	55323	UVER	GH	15082747
1263235	4320	1998-05-12	VYDAJ	PREVOD NA UCET	4280	88917	UVER	GH	15082747
1263236	4320	1998-06-12	VYDAJ	PREVOD NA UCET	4280	33728	UVER	GH	15082747
1263237	4320	1998-07-12	VYDAJ	PREVOD NA UCET	4280	14968	UVER	GH	15082747
1263238	4320	1998-08-18	VYDAJ	VYBER	4700	12032	\N	\N	0
1263240	4320	1998-10-28	VYDAJ	VYBER	3000	25356	\N	\N	0
1263241	4320	1998-11-27	VYDAJ	VYBER	3500	85437	\N	\N	0
1263242	4320	1998-12-08	VYDAJ	VYBER	5900	76012	\N	\N	0
1263246	4320	1998-12-01	VYBER	VYBER	3760	81912	\N	\N	\N
1263248	4320	1998-07-11	VYBER	VYBER	22206	5939	\N	\N	\N
1263249	4320	1998-05-29	VYBER	VYBER	3657	37760	\N	\N	\N
1263250	4320	1998-08-02	VYBER	VYBER	5559	42932	\N	\N	\N
1263252	4320	1997-06-03	VYDAJ	VYBER	39300	67502	\N	\N	\N
1263255	4320	1997-01-19	VYDAJ	VYBER	20700	10398	\N	\N	\N
1263257	4320	1996-12-13	VYDAJ	VYBER	2100	46727	\N	\N	\N
1263258	4320	1997-12-27	VYDAJ	VYBER	3000	18616	\N	\N	\N
1263259	4320	1998-12-25	VYDAJ	VYBER	3300	39842	\N	\N	\N
1263266	4320	1997-01-06	VYDAJ	VYBER	8700	14594	\N	\N	\N
1263267	4320	1997-01-07	VYDAJ	VYBER	6000	8594	\N	\N	\N
1263268	4320	1997-01-10	VYDAJ	VYBER	2100	28298	\N	\N	\N
1263269	4320	1997-01-11	VYDAJ	VYBER	2400	25898	\N	\N	\N
1263270	4320	1997-01-01	VYDAJ	VYBER	8700	23294	\N	\N	\N
1263271	4320	1997-01-26	VYDAJ	VYBER	3000	3198	\N	\N	\N
1263276	4320	1998-01-07	VYDAJ	VYBER	8100	8172	\N	\N	\N
1263277	4320	1998-01-01	VYDAJ	VYBER	2400	16272	\N	\N	\N
1263285	4320	1997-10-17	VYDAJ	VYBER	11700	10290	\N	\N	\N
1263287	4320	1997-08-14	VYDAJ	VYBER	14700	45550	\N	\N	\N
1263289	4320	1998-04-25	VYDAJ	VYBER	1800	67668	\N	\N	\N
1263290	4320	1998-09-20	VYDAJ	VYBER	9900	41126	\N	\N	\N
1263302	4320	1996-11-30	VYDAJ	VYBER	15	53527	SLUZBY	\N	\N
1263303	4320	1996-12-31	VYDAJ	VYBER	15	31994	SLUZBY	\N	\N
1263304	4320	1997-01-31	VYDAJ	VYBER	15	-2542	SLUZBY	\N	\N
1263305	4320	1997-02-28	VYDAJ	VYBER	15	26753	SLUZBY	\N	\N
1263306	4320	1997-03-31	VYDAJ	VYBER	15	41455	SLUZBY	\N	\N
1263307	4320	1997-04-30	VYDAJ	VYBER	15	93719	SLUZBY	\N	\N
1263308	4320	1997-05-31	VYDAJ	VYBER	15	72190	SLUZBY	\N	\N
1263309	4320	1997-06-30	VYDAJ	VYBER	15	87334	SLUZBY	\N	\N
1263310	4320	1997-07-31	VYDAJ	VYBER	15	34558	SLUZBY	\N	\N
1263311	4320	1997-08-31	VYDAJ	VYBER	15	31039	SLUZBY	\N	\N
1263312	4320	1997-09-30	VYDAJ	VYBER	15	20352	SLUZBY	\N	\N
1263313	4320	1997-10-31	VYDAJ	VYBER	15	10352	SLUZBY	\N	\N
1263314	4320	1997-11-30	VYDAJ	VYBER	15	5189	SLUZBY	\N	\N
1263315	4320	1997-12-31	VYDAJ	VYBER	15	18672	SLUZBY	\N	\N
1263317	4320	1998-02-28	VYDAJ	VYBER	15	26221	SLUZBY	\N	\N
1263318	4320	1998-03-31	VYDAJ	VYBER	15	80052	SLUZBY	\N	\N
1263319	4320	1998-04-30	VYDAJ	VYBER	15	67910	SLUZBY	\N	\N
1263320	4320	1998-05-31	VYDAJ	VYBER	15	38008	SLUZBY	\N	\N
1263321	4320	1998-06-30	VYDAJ	VYBER	15	28145	SLUZBY	\N	\N
1263322	4320	1998-07-31	VYDAJ	VYBER	15	48491	SLUZBY	\N	\N
1263323	4320	1998-08-31	VYDAJ	VYBER	15	12125	SLUZBY	\N	\N
1263324	4320	1998-09-30	VYDAJ	VYBER	15	62414	SLUZBY	\N	\N
1263325	4320	1998-10-31	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
1263326	4320	1998-11-30	VYDAJ	VYBER	15	85672	SLUZBY	\N	\N
1263327	4320	1996-08-22	VYDAJ	VYBER	30600	55670	\N	\N	\N
1263328	4320	1996-08-25	VYDAJ	VYBER	20800	83214	\N	\N	\N
1263329	4320	1996-09-20	VYDAJ	VYBER	51700	62942	\N	\N	\N
1263330	4320	1996-09-21	VYDAJ	VYBER	20200	42742	\N	\N	\N
1263331	4320	1996-10-21	VYDAJ	VYBER	11500	31591	\N	\N	\N
1263332	4320	1996-11-20	VYDAJ	VYBER	30000	46015	\N	\N	\N
1263333	4320	1996-12-20	VYDAJ	VYBER	14900	31827	\N	\N	\N
1263334	4320	1997-01-19	PRIJEM	VKLAD	5200	31098	\N	\N	\N
1263335	4320	1997-02-18	VYDAJ	VYBER	20500	26739	\N	\N	\N
1263336	4320	1997-03-20	VYDAJ	VYBER	40600	44958	\N	\N	\N
1263337	4320	1997-04-19	VYDAJ	VYBER	28400	36282	\N	\N	\N
1263338	4320	1997-05-03	VYDAJ	VYBER	31100	73973	\N	\N	\N
1263339	4320	1997-05-19	VYDAJ	VYBER	47100	51894	\N	\N	\N
1263340	4320	1997-06-03	VYDAJ	VYBER	56300	11202	\N	\N	\N
1263341	4320	1997-06-18	VYDAJ	VYBER	24300	30059	\N	\N	\N
1263342	4320	1997-07-05	VYDAJ	VYBER	38300	67134	\N	\N	\N
1263343	4320	1997-07-05	VYDAJ	VYBER	53200	105434	\N	\N	\N
1263344	4320	1997-07-18	VYDAJ	VYBER	29800	34334	\N	\N	\N
1263345	4320	1997-08-17	VYDAJ	VYBER	20900	30904	\N	\N	\N
1263346	4320	1997-09-16	VYDAJ	VYBER	6500	20259	\N	\N	\N
1263347	4320	1997-10-16	VYDAJ	VYBER	19500	21990	\N	\N	\N
1263348	4320	1997-11-15	VYDAJ	VYBER	900	5172	\N	\N	\N
1263349	4320	1997-12-15	VYDAJ	VYBER	16300	21616	\N	\N	\N
1263350	4320	1998-01-14	VYDAJ	VYBER	5400	-1508	\N	\N	\N
1263351	4320	1998-02-13	VYDAJ	VYBER	3800	-5295	\N	\N	\N
1263352	4320	1998-03-15	VYDAJ	VYBER	42700	32351	\N	\N	\N
1263353	4320	1998-04-07	VYDAJ	VYBER	59000	59603	\N	\N	\N
1263354	4320	1998-04-14	VYDAJ	VYBER	30900	24423	\N	\N	\N
1263355	4320	1998-05-05	VYDAJ	VYBER	16600	93197	\N	\N	\N
1263356	4320	1998-05-14	VYDAJ	VYBER	47500	41417	\N	\N	\N
1263357	4320	1998-06-13	VYDAJ	VYBER	23100	10628	\N	\N	\N
1263358	4320	1998-07-13	VYDAJ	VYBER	13600	1368	\N	\N	\N
1263359	4320	1998-08-12	VYDAJ	VYBER	26200	16732	\N	\N	\N
1263360	4320	1998-09-11	VYDAJ	VYBER	21100	3840	\N	\N	\N
1263361	4320	1998-10-11	VYDAJ	VYBER	48400	28356	\N	\N	\N
1263362	4320	1998-11-10	VYDAJ	VYBER	45700	22396	\N	\N	\N
1263363	4320	1998-11-18	VYDAJ	VYBER	18200	104418	\N	\N	\N
1263364	4320	1998-11-19	VYDAJ	VYBER	33200	87389	\N	\N	\N
1263365	4320	1998-11-23	VYDAJ	VYBER	31400	88937	\N	\N	\N
1263366	4320	1998-12-10	VYDAJ	VYBER	53700	22312	\N	\N	\N
1263401	4321	1993-04-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1263402	4321	1993-09-06	PRIJEM	VKLAD	22615	114340	\N	\N	\N
1263404	4321	1993-08-22	PRIJEM	VKLAD	10962	38563	\N	\N	\N
1263405	4321	1993-11-21	PRIJEM	VKLAD	25830	105376	\N	\N	\N
1263406	4321	1993-05-02	PRIJEM	VKLAD	10369	11369	\N	\N	\N
1263407	4321	1993-08-23	PRIJEM	VKLAD	35276	73839	\N	\N	\N
1263408	4321	1993-09-24	PRIJEM	VKLAD	48468	88365	\N	\N	\N
1263409	4321	1993-11-17	PRIJEM	VKLAD	45963	79546	\N	\N	\N
1263410	4321	1993-09-05	PRIJEM	VKLAD	34812	91725	\N	\N	\N
1263411	4321	1993-10-20	PRIJEM	VKLAD	14488	60609	\N	\N	\N
1263412	4321	1993-08-27	PRIJEM	VKLAD	34388	108227	\N	\N	\N
1263413	4321	1993-05-14	PRIJEM	VKLAD	36356	47725	\N	\N	\N
1263414	4321	1993-10-16	PRIJEM	VKLAD	12382	47621	\N	\N	\N
1263415	4321	1993-05-21	PRIJEM	VKLAD	28878	67003	\N	\N	\N
1263417	4321	1993-12-18	PRIJEM	VKLAD	10304	66054	\N	\N	\N
1263420	4321	1994-05-11	PRIJEM	VKLAD	33342	136517	\N	\N	\N
1263421	4321	1994-09-10	PRIJEM	VKLAD	32761	125481	\N	\N	\N
1263422	4321	1994-05-15	PRIJEM	VKLAD	21133	77950	\N	\N	\N
1263423	4321	1994-01-18	PRIJEM	VKLAD	16330	39913	\N	\N	\N
1263424	4321	1994-12-30	PRIJEM	VKLAD	39294	78237	\N	\N	\N
1263425	4321	1994-08-01	PRIJEM	VKLAD	9203	62769	\N	\N	\N
1263426	4321	1994-08-31	PRIJEM	VKLAD	14987	61159	\N	\N	\N
1263427	4321	1994-03-11	PRIJEM	VKLAD	13976	107199	\N	\N	\N
1263428	4321	1994-07-02	PRIJEM	VKLAD	44699	78327	\N	\N	\N
1263429	4321	1994-03-01	PRIJEM	VKLAD	27137	93223	\N	\N	\N
1263430	4321	1994-04-20	PRIJEM	VKLAD	34938	102807	\N	\N	\N
1263431	4321	1994-10-13	PRIJEM	VKLAD	45393	103909	\N	\N	\N
1263432	4321	1994-09-22	PRIJEM	VKLAD	29191	90972	\N	\N	\N
1263433	4321	1994-02-24	PRIJEM	VKLAD	38247	65941	\N	\N	\N
1263434	4321	1994-10-06	PRIJEM	VKLAD	6124	78816	\N	\N	\N
1263435	4321	1994-03-31	PRIJEM	VKLAD	21831	91030	\N	\N	\N
1263436	4321	1994-06-04	PRIJEM	VKLAD	49039	124709	\N	\N	\N
1263437	4321	1994-04-12	PRIJEM	VKLAD	8980	109669	\N	\N	\N
1263438	4321	1994-09-09	PRIJEM	VKLAD	31575	92720	\N	\N	\N
1263439	4321	1994-04-04	PRIJEM	VKLAD	15561	106878	\N	\N	\N
1263440	4321	1994-09-24	PRIJEM	VKLAD	34658	125630	\N	\N	\N
1263441	4321	1995-02-08	PRIJEM	VKLAD	41395	92279	\N	\N	\N
1263442	4321	1995-03-01	PRIJEM	VKLAD	20649	113263	\N	\N	\N
1263443	4321	1995-09-25	PRIJEM	VKLAD	17067	98310	\N	\N	\N
1263444	4321	1995-10-02	PRIJEM	VKLAD	35511	134036	\N	\N	\N
1263445	4321	1995-04-06	PRIJEM	VKLAD	5128	113078	\N	\N	\N
1263446	4321	1995-06-04	PRIJEM	VKLAD	11754	109441	\N	\N	\N
1263447	4321	1995-07-26	PRIJEM	VKLAD	49559	115636	\N	\N	\N
1263448	4321	1995-09-19	PRIJEM	VKLAD	35832	81243	\N	\N	\N
1263449	4321	1995-03-20	PRIJEM	VKLAD	34072	115535	\N	\N	\N
1263450	4321	1995-05-09	PRIJEM	VKLAD	11781	66227	\N	\N	\N
1263451	4321	1995-03-21	PRIJEM	VKLAD	45626	132861	\N	\N	\N
1263452	4321	1995-02-01	PRIJEM	VKLAD	7863	69784	\N	\N	\N
1263453	4321	1995-01-23	PRIJEM	VKLAD	29194	70411	\N	\N	\N
1263454	4321	1995-11-14	PRIJEM	VKLAD	29453	85295	\N	\N	\N
1263455	4321	1995-12-14	PRIJEM	VKLAD	38777	93023	\N	\N	\N
1263456	4321	1995-04-02	PRIJEM	VKLAD	28180	107950	\N	\N	\N
1263457	4321	1995-05-11	PRIJEM	VKLAD	49669	115896	\N	\N	\N
1263458	4321	1995-12-23	PRIJEM	VKLAD	12320	105343	\N	\N	\N
1263459	4321	1996-08-18	PRIJEM	VKLAD	38587	93311	\N	\N	\N
1263460	4321	1997-08-13	PRIJEM	VKLAD	20370	102552	\N	\N	\N
1263461	4321	1997-03-31	PRIJEM	VKLAD	49263	159484	\N	\N	\N
1263462	4321	1997-10-05	PRIJEM	VKLAD	30129	116620	\N	\N	\N
1263463	4321	1997-09-08	PRIJEM	VKLAD	22860	121345	\N	\N	\N
1263464	4321	1997-10-16	PRIJEM	VKLAD	24377	102019	\N	\N	\N
1263465	4321	1997-04-29	PRIJEM	VKLAD	32989	109358	\N	\N	\N
1263466	4321	1997-11-18	PRIJEM	VKLAD	42613	152828	\N	\N	\N
1263467	4321	1997-05-23	PRIJEM	VKLAD	35763	129860	\N	\N	\N
1263468	4321	1997-10-20	PRIJEM	VKLAD	10472	109572	\N	\N	\N
1263469	4321	1997-06-13	PRIJEM	VKLAD	42534	151121	\N	\N	\N
1263470	4321	1997-03-08	PRIJEM	VKLAD	35745	81017	\N	\N	\N
1263471	4321	1997-10-02	PRIJEM	VKLAD	39032	121225	\N	\N	\N
1263472	4321	1997-01-07	PRIJEM	VKLAD	40639	98983	\N	\N	\N
1263473	4321	1997-12-03	PRIJEM	VKLAD	5761	88615	\N	\N	\N
1263474	4321	1997-06-12	PRIJEM	VKLAD	35298	132587	\N	\N	\N
1263475	4321	1997-10-23	PRIJEM	VKLAD	39632	149204	\N	\N	\N
1263476	4321	1997-10-03	PRIJEM	VKLAD	42566	142791	\N	\N	\N
1263477	4321	1997-08-23	PRIJEM	VKLAD	36862	131314	\N	\N	\N
1263478	4321	1997-08-27	PRIJEM	VKLAD	34002	124616	\N	\N	\N
1263479	4321	1997-06-04	PRIJEM	VKLAD	17106	116507	\N	\N	\N
1263480	4321	1997-10-15	PRIJEM	VKLAD	12145	77642	\N	\N	\N
1263481	4321	1997-07-26	PRIJEM	VKLAD	8857	81841	\N	\N	\N
1263482	4321	1997-07-02	PRIJEM	VKLAD	14034	90449	\N	\N	\N
1263483	4321	1997-10-14	PRIJEM	VKLAD	36077	118297	\N	\N	\N
1263484	4321	1997-11-05	PRIJEM	VKLAD	35970	138986	\N	\N	\N
1263485	4321	1997-03-29	PRIJEM	VKLAD	26095	110012	\N	\N	\N
1263486	4321	1997-11-14	PRIJEM	VKLAD	14530	128715	\N	\N	\N
1263487	4321	1997-12-01	PRIJEM	VKLAD	43743	143054	\N	\N	\N
1263488	4321	1998-10-25	PRIJEM	VKLAD	10030	101917	\N	\N	\N
1263489	4321	1998-04-24	PRIJEM	VKLAD	17877	115268	\N	\N	\N
1263490	4321	1998-07-01	PRIJEM	VKLAD	21444	92363	\N	\N	\N
1263491	4321	1998-02-20	PRIJEM	VKLAD	12608	87999	\N	\N	\N
1263492	4321	1998-03-25	PRIJEM	VKLAD	37067	141126	\N	\N	\N
1263493	4321	1998-05-28	PRIJEM	VKLAD	45569	152044	\N	\N	\N
1263494	4321	1998-09-15	PRIJEM	VKLAD	39916	125673	\N	\N	\N
1263495	4321	1998-06-27	PRIJEM	VKLAD	37044	137411	\N	\N	\N
1263496	4321	1998-06-13	PRIJEM	VKLAD	15691	132427	\N	\N	\N
1263497	4321	1998-02-25	PRIJEM	VKLAD	21447	112846	\N	\N	\N
1263498	4321	1998-06-28	PRIJEM	VKLAD	32222	105933	\N	\N	\N
1263499	4321	1998-11-22	PRIJEM	VKLAD	7393	92366	\N	\N	\N
1263500	4321	1998-05-09	PRIJEM	VKLAD	15181	130875	\N	\N	\N
1263501	4321	1998-06-29	PRIJEM	VKLAD	29030	134963	\N	\N	\N
1263502	4321	1998-03-27	PRIJEM	VKLAD	30025	126051	\N	\N	\N
1263503	4321	1998-11-10	PRIJEM	VKLAD	28617	130873	\N	\N	\N
1263504	4321	1998-06-20	PRIJEM	VKLAD	35208	136667	\N	\N	\N
1263505	4321	1998-02-13	PRIJEM	VKLAD	20351	138991	\N	\N	\N
1263506	4321	1998-03-22	PRIJEM	VKLAD	6627	112359	\N	\N	\N
1263507	4321	1998-11-28	PRIJEM	VKLAD	40446	132812	\N	\N	\N
1263508	4321	1998-06-15	PRIJEM	VKLAD	28332	121559	\N	\N	\N
1263509	4321	1998-12-29	PRIJEM	VKLAD	18460	113011	\N	\N	\N
1263510	4321	1998-02-13	PRIJEM	VKLAD	34473	118640	\N	\N	\N
1263511	4321	1998-01-26	PRIJEM	VKLAD	19874	83883	\N	\N	\N
1263512	4321	1998-08-13	PRIJEM	VKLAD	12507	75881	\N	\N	\N
1263513	4321	1993-12-19	VYBER	VYBER	11072	54982	\N	\N	\N
1263515	4321	1993-10-06	VYBER	VYBER	17680	57639	\N	\N	\N
1263517	4321	1993-09-23	VYBER	VYBER	12243	39897	\N	\N	\N
1263519	4321	1993-12-27	VYBER	VYBER	7674	44608	\N	\N	\N
1263523	4321	1993-10-28	VYBER	VYBER	15158	45451	\N	\N	\N
1263526	4321	1993-09-30	VYBER	VYBER	13361	75334	\N	\N	\N
1263527	4321	1994-02-04	VYBER	VYBER	11065	25994	\N	\N	\N
1263528	4321	1994-11-05	VYBER	VYBER	9365	94906	\N	\N	\N
1263529	4321	1994-07-01	VYBER	VYBER	4440	33628	\N	\N	\N
1263530	4321	1994-12-07	VYBER	VYBER	19061	43343	\N	\N	\N
1263531	4321	1994-06-02	VYBER	VYBER	2634	75670	\N	\N	\N
1263532	4321	1994-04-08	VYBER	VYBER	6189	100689	\N	\N	\N
1263533	4321	1995-08-29	VYBER	VYBER	23893	32465	\N	\N	\N
1263534	4321	1995-10-03	VYBER	VYBER	21635	77401	\N	\N	\N
1263535	4321	1995-12-06	VYBER	VYBER	8527	62046	\N	\N	\N
1263536	4321	1995-10-19	VYBER	VYBER	12999	51102	\N	\N	\N
1263537	4321	1996-04-16	VYBER	VYBER	16696	31160	\N	\N	\N
1263538	4321	1996-06-26	VYBER	VYBER	20748	37218	\N	\N	\N
1263539	4321	1996-08-18	VYBER	VYBER	17785	75526	\N	\N	\N
1263540	4321	1996-12-27	VYBER	VYBER	15693	48478	\N	\N	\N
1263541	4321	1996-02-08	VYBER	VYBER	22570	36173	\N	\N	\N
1263542	4321	1996-09-17	VYBER	VYBER	5270	72105	\N	\N	\N
1263543	4321	1996-11-26	VYBER	VYBER	22338	53676	\N	\N	\N
1263544	4321	1996-07-27	VYBER	VYBER	17430	31554	\N	\N	\N
1263545	4321	1996-05-29	VYBER	VYBER	7050	45348	\N	\N	\N
1263546	4321	1997-10-18	VYBER	VYBER	2919	99100	\N	\N	\N
1263547	4321	1997-06-16	VYBER	VYBER	24761	72760	\N	\N	\N
1263548	4321	1997-06-26	VYBER	VYBER	15717	76043	\N	\N	\N
1263549	4321	1997-11-13	VYBER	VYBER	4201	114185	\N	\N	\N
1263550	4321	1997-01-09	VYBER	VYBER	11992	86991	\N	\N	\N
1263551	4321	1997-05-05	VYBER	VYBER	15522	94097	\N	\N	\N
1263552	4321	1997-02-22	VYBER	VYBER	11472	67036	\N	\N	\N
1263553	4321	1997-02-27	VYBER	VYBER	9149	44971	\N	\N	\N
1263554	4321	1997-12-25	VYBER	VYBER	7853	80262	\N	\N	\N
1263555	4321	1997-02-27	VYBER	VYBER	23216	54120	\N	\N	\N
1263556	4321	1997-09-20	VYBER	VYBER	2219	74426	\N	\N	\N
1263557	4321	1997-07-02	VYBER	VYBER	24365	66084	\N	\N	\N
1263558	4321	1997-06-11	VYBER	VYBER	19218	97289	\N	\N	\N
1263559	4321	1998-07-09	VYBER	VYBER	17961	74402	\N	\N	\N
1263560	4321	1998-04-06	VYBER	VYBER	9397	96991	\N	\N	\N
1263561	4321	1998-07-22	VYBER	VYBER	21496	63106	\N	\N	\N
1263562	4321	1993-12-22	VYDAJ	VYBER	2700	52282	\N	\N	\N
1263563	4321	1994-12-04	VYDAJ	VYBER	2400	62404	\N	\N	\N
1263564	4321	1995-12-07	VYDAJ	VYBER	7800	54246	\N	\N	\N
1263565	4321	1996-12-24	VYDAJ	VYBER	5100	64171	\N	\N	\N
1263566	4321	1997-12-16	VYDAJ	VYBER	7800	80815	\N	\N	\N
1263567	4321	1998-12-24	VYDAJ	VYBER	8100	94551	\N	\N	\N
1263574	4321	1994-01-10	VYDAJ	VYBER	3300	39483	\N	\N	\N
1263575	4321	1994-01-14	VYDAJ	VYBER	6300	27783	\N	\N	\N
1263576	4321	1994-01-16	VYDAJ	VYBER	4200	23583	\N	\N	\N
1263578	4321	1994-01-27	VYDAJ	VYBER	3000	36913	\N	\N	\N
1263579	4321	1994-01-08	VYDAJ	VYBER	2100	42783	\N	\N	\N
1263580	4321	1995-01-05	VYDAJ	VYBER	1500	61617	\N	\N	\N
1263581	4321	1995-01-12	VYDAJ	VYBER	6900	41217	\N	\N	\N
1263582	4321	1995-01-07	VYDAJ	VYBER	7800	53817	\N	\N	\N
1263583	4321	1995-01-01	VYDAJ	VYBER	7800	70617	\N	\N	\N
1263584	4321	1995-01-23	VYDAJ	VYBER	8700	61711	\N	\N	\N
1263585	4321	1995-01-04	VYDAJ	VYBER	7500	63117	\N	\N	\N
1263586	4321	1996-01-17	VYDAJ	VYBER	3300	57482	\N	\N	\N
1263587	4321	1996-01-06	VYDAJ	VYBER	8700	77582	\N	\N	\N
1263588	4321	1996-01-21	VYDAJ	VYBER	6600	50882	\N	\N	\N
1263589	4321	1996-01-08	VYDAJ	VYBER	3600	73982	\N	\N	\N
1263590	4321	1996-01-16	VYDAJ	VYBER	6300	60782	\N	\N	\N
1263591	4321	1996-01-08	VYDAJ	VYBER	6900	67082	\N	\N	\N
1263592	4321	1997-01-05	VYDAJ	VYBER	8100	58344	\N	\N	\N
1263593	4321	1997-01-17	VYDAJ	VYBER	2100	84891	\N	\N	\N
1263594	4321	1997-01-01	VYDAJ	VYBER	1500	66444	\N	\N	\N
1263595	4321	1997-01-18	VYDAJ	VYBER	2700	82191	\N	\N	\N
1263596	4321	1997-01-22	VYDAJ	VYBER	3000	79191	\N	\N	\N
1263597	4321	1997-01-28	VYDAJ	VYBER	2100	81491	\N	\N	\N
1263598	4321	1998-01-12	VYDAJ	VYBER KARTOU	3900	73409	\N	\N	0
1263599	4321	1998-01-19	VYDAJ	VYBER	6900	43409	\N	\N	\N
1263600	4321	1998-01-23	VYDAJ	VYBER	7200	64009	\N	\N	\N
1263601	4321	1998-01-19	VYDAJ	VYBER	6600	50309	\N	\N	\N
1263602	4321	1998-01-03	VYDAJ	VYBER KARTOU	3300	77309	\N	\N	0
1263603	4321	1998-01-17	VYDAJ	VYBER	4500	68909	\N	\N	\N
1263605	4321	1993-10-11	VYDAJ	VYBER	9900	47739	\N	\N	\N
1263606	4321	1993-10-18	VYDAJ	VYBER	1500	46121	\N	\N	\N
1263608	4321	1994-06-15	VYDAJ	VYBER	9000	37809	\N	\N	\N
1263609	4321	1994-09-13	VYDAJ	VYBER	7200	61781	\N	\N	\N
1263610	4321	1995-04-16	VYDAJ	VYBER	4800	59978	\N	\N	\N
1263611	4321	1995-07-26	VYDAJ	VYBER	9300	71536	\N	\N	\N
1263612	4321	1995-02-04	VYDAJ	VYBER	10500	59284	\N	\N	\N
1263613	4321	1995-08-19	VYDAJ	VYBER	3900	56358	\N	\N	\N
1263614	4321	1996-04-07	VYDAJ	VYBER	5700	47856	\N	\N	\N
1263615	4321	1996-03-09	VYDAJ	VYBER	11700	36522	\N	\N	\N
1263616	4321	1996-07-06	VYDAJ	VYBER	6900	48984	\N	\N	\N
1263617	4321	1997-08-25	VYDAJ	VYBER	1800	90614	\N	\N	\N
1263618	4321	1997-09-15	VYDAJ	VYBER	11700	76645	\N	\N	\N
1263619	4321	1997-08-19	VYDAJ	VYBER	8100	94452	\N	\N	\N
1263620	4321	1997-02-16	VYDAJ	VYBER	3300	78508	\N	\N	\N
1263621	4321	1998-08-20	VYDAJ	VYBER	6600	85481	\N	\N	\N
1263622	4321	1998-11-15	VYDAJ	VYBER	6300	62773	\N	\N	\N
1263623	4321	1998-06-29	VYDAJ	VYBER	4500	130463	\N	\N	\N
1263624	4321	1998-03-16	VYDAJ	VYBER	7500	105732	\N	\N	\N
1263625	4321	1998-01-17	VYDAJ	VYBER	12000	56909	\N	\N	\N
1263634	4321	1993-08-31	VYDAJ	VYBER	15	108513	SLUZBY	\N	\N
1263635	4321	1993-09-30	VYDAJ	VYBER	15	75319	SLUZBY	\N	\N
1263636	4321	1993-10-31	VYDAJ	VYBER	15	45683	SLUZBY	\N	\N
1263637	4321	1993-11-30	VYDAJ	VYBER	15	84450	SLUZBY	\N	\N
1263638	4321	1993-12-31	VYDAJ	VYBER	15	44883	SLUZBY	\N	\N
1263639	4321	1994-01-31	VYDAJ	VYBER	15	37059	SLUZBY	\N	\N
1263640	4321	1994-02-28	VYDAJ	VYBER	15	66086	SLUZBY	\N	\N
1263641	4321	1994-03-31	VYDAJ	VYBER	15	91317	SLUZBY	\N	\N
1263642	4321	1994-04-30	VYDAJ	VYBER	15	103175	SLUZBY	\N	\N
1263643	4321	1994-05-31	VYDAJ	VYBER	15	78304	SLUZBY	\N	\N
1263644	4321	1994-06-30	VYDAJ	VYBER	15	38068	SLUZBY	\N	\N
1263645	4321	1994-07-31	VYDAJ	VYBER	15	53566	SLUZBY	\N	\N
1263646	4321	1994-08-31	VYDAJ	VYBER	15	61145	SLUZBY	\N	\N
1263647	4321	1994-09-30	VYDAJ	VYBER	15	72692	SLUZBY	\N	\N
1263648	4321	1994-10-31	VYDAJ	VYBER	15	104271	SLUZBY	\N	\N
1263649	4321	1994-11-30	VYDAJ	VYBER	15	64804	SLUZBY	\N	\N
1263650	4321	1994-12-31	VYDAJ	VYBER	15	78417	SLUZBY	\N	\N
1263651	4321	1995-01-31	VYDAJ	VYBER	15	61921	SLUZBY	\N	\N
1263652	4321	1995-02-28	VYDAJ	VYBER	15	92614	SLUZBY	\N	\N
1263653	4321	1995-03-31	VYDAJ	VYBER	15	79770	SLUZBY	\N	\N
1263654	4321	1995-04-30	VYDAJ	VYBER	15	60246	SLUZBY	\N	\N
1263655	4321	1995-05-31	VYDAJ	VYBER	15	97687	SLUZBY	\N	\N
1263656	4321	1995-06-30	VYDAJ	VYBER	15	81577	SLUZBY	\N	\N
1263657	4321	1995-07-31	VYDAJ	VYBER	15	71858	SLUZBY	\N	\N
1263658	4321	1995-08-31	VYDAJ	VYBER	15	32711	SLUZBY	\N	\N
1263659	4321	1995-09-30	VYDAJ	VYBER	15	98525	SLUZBY	\N	\N
1263660	4321	1995-10-31	VYDAJ	VYBER	15	51342	SLUZBY	\N	\N
1263661	4321	1995-11-30	VYDAJ	VYBER	15	85573	SLUZBY	\N	\N
1263662	4321	1995-12-31	VYDAJ	VYBER	15	105682	SLUZBY	\N	\N
1263663	4321	1996-01-31	VYDAJ	VYBER	15	51143	SLUZBY	\N	\N
1263664	4321	1996-02-29	VYDAJ	VYBER	15	36322	SLUZBY	\N	\N
1263665	4321	1996-03-31	VYDAJ	VYBER	15	36656	SLUZBY	\N	\N
1263666	4321	1996-04-30	VYDAJ	VYBER	15	31298	SLUZBY	\N	\N
1263667	4321	1996-05-31	VYDAJ	VYBER	15	45466	SLUZBY	\N	\N
1263668	4321	1996-06-30	VYDAJ	VYBER	15	37384	SLUZBY	\N	\N
1263669	4321	1996-07-31	VYDAJ	VYBER	15	54724	SLUZBY	\N	\N
1263670	4321	1996-08-31	VYDAJ	VYBER	15	77375	SLUZBY	\N	\N
1263671	4321	1996-09-30	VYDAJ	VYBER	15	77709	SLUZBY	\N	\N
1263672	4321	1996-10-31	VYDAJ	VYBER	15	76014	SLUZBY	\N	\N
1263673	4321	1996-11-30	VYDAJ	VYBER	15	69271	SLUZBY	\N	\N
1263674	4321	1996-12-31	VYDAJ	VYBER	15	67944	SLUZBY	\N	\N
1263675	4321	1997-01-31	VYDAJ	VYBER	15	81808	SLUZBY	\N	\N
1263676	4321	1997-02-28	VYDAJ	VYBER	15	45272	SLUZBY	\N	\N
1263677	4321	1997-03-31	VYDAJ	VYBER	15	64369	SLUZBY	\N	\N
1263678	4321	1997-04-30	VYDAJ	VYBER	15	109619	SLUZBY	\N	\N
1263679	4321	1997-05-31	VYDAJ	VYBER	15	99401	SLUZBY	\N	\N
1263680	4321	1997-06-30	VYDAJ	VYBER	15	76415	SLUZBY	\N	\N
1263681	4321	1997-07-31	VYDAJ	VYBER	15	82182	SLUZBY	\N	\N
1263682	4321	1997-08-31	VYDAJ	VYBER	15	98485	SLUZBY	\N	\N
1263683	4321	1997-09-30	VYDAJ	VYBER	15	82193	SLUZBY	\N	\N
1263684	4321	1997-10-31	VYDAJ	VYBER	15	103016	SLUZBY	\N	\N
1263685	4321	1997-11-30	VYDAJ	VYBER	15	99311	SLUZBY	\N	\N
1263686	4321	1997-12-31	VYDAJ	VYBER	15	80609	SLUZBY	\N	\N
1263687	4321	1998-01-31	VYDAJ	VYBER	15	84167	SLUZBY	\N	\N
1263688	4321	1998-02-28	VYDAJ	VYBER	15	113232	SLUZBY	\N	\N
1263689	4321	1998-03-31	VYDAJ	VYBER	15	106388	SLUZBY	\N	\N
1263690	4321	1998-04-30	VYDAJ	VYBER	15	115694	SLUZBY	\N	\N
1263691	4321	1998-05-31	VYDAJ	VYBER	15	116736	SLUZBY	\N	\N
1263692	4321	1998-06-30	VYDAJ	VYBER	15	70919	SLUZBY	\N	\N
1263693	4321	1998-07-31	VYDAJ	VYBER	15	63374	SLUZBY	\N	\N
1263694	4321	1998-08-31	VYDAJ	VYBER	15	85757	SLUZBY	\N	\N
1263695	4321	1998-09-30	VYDAJ	VYBER	15	83087	SLUZBY	\N	\N
1263696	4321	1998-10-31	VYDAJ	VYBER	15	102256	SLUZBY	\N	\N
1263697	4321	1998-11-30	VYDAJ	VYBER	15	94051	SLUZBY	\N	\N
1263698	4321	1993-05-18	VYDAJ	VYBER	9600	38125	\N	\N	\N
1263699	4321	1993-06-17	VYDAJ	VYBER	23400	43743	\N	\N	\N
1263700	4321	1993-07-17	VYDAJ	VYBER	8300	35722	\N	\N	\N
1263701	4321	1993-08-16	VYDAJ	VYBER	8400	27601	\N	\N	\N
1263702	4321	1993-08-31	VYDAJ	VYBER	51600	56913	\N	\N	\N
1263703	4321	1993-09-06	VYDAJ	VYBER	30500	83840	\N	\N	\N
1263704	4321	1993-09-15	VYDAJ	VYBER	31700	52140	\N	\N	\N
1263705	4321	1993-10-15	VYDAJ	VYBER	12500	35239	\N	\N	\N
1263706	4321	1993-11-14	VYDAJ	VYBER	12100	33583	\N	\N	\N
1263707	4321	1993-11-21	VYDAJ	VYBER	21200	84176	\N	\N	\N
1263708	4321	1993-12-14	VYDAJ	VYBER	28700	55750	\N	\N	\N
1263709	4321	1994-01-13	VYDAJ	VYBER	5400	34083	\N	\N	\N
1263710	4321	1994-02-12	PRIJEM	VKLAD	1700	27694	\N	\N	\N
1263711	4321	1994-03-14	VYDAJ	VYBER	38000	69199	\N	\N	\N
1263712	4321	1994-04-13	VYDAJ	VYBER	41800	67869	\N	\N	\N
1263713	4321	1994-05-11	VYDAJ	VYBER	47800	88717	\N	\N	\N
1263714	4321	1994-05-13	VYDAJ	VYBER	31900	56817	\N	\N	\N
1263715	4321	1994-06-04	VYDAJ	VYBER	62000	62709	\N	\N	\N
1263716	4321	1994-06-12	VYDAJ	VYBER	15900	46809	\N	\N	\N
1263717	4321	1994-07-12	VYDAJ	VYBER	25000	53327	\N	\N	\N
1263718	4321	1994-08-11	VYDAJ	VYBER	16800	45969	\N	\N	\N
1263719	4321	1994-09-10	VYDAJ	VYBER	19100	68981	\N	\N	\N
1263720	4321	1994-09-10	VYDAJ	VYBER	37400	88081	\N	\N	\N
1263721	4321	1994-09-24	VYDAJ	VYBER	53200	72430	\N	\N	\N
1263722	4321	1994-10-10	VYDAJ	VYBER	20300	58516	\N	\N	\N
1263723	4321	1994-11-09	VYDAJ	VYBER	30400	64506	\N	\N	\N
1263724	4321	1994-12-09	VYDAJ	VYBER	4400	38943	\N	\N	\N
1263725	4321	1995-01-08	VYDAJ	VYBER	5700	48117	\N	\N	\N
1263726	4321	1995-02-07	VYDAJ	VYBER	8400	50884	\N	\N	\N
1263727	4321	1995-03-09	VYDAJ	VYBER	31800	81463	\N	\N	\N
1263728	4321	1995-03-20	VYDAJ	VYBER	28300	87235	\N	\N	\N
1263729	4321	1995-03-21	VYDAJ	VYBER	53500	79361	\N	\N	\N
1263730	4321	1995-04-06	VYDAJ	VYBER	28300	84778	\N	\N	\N
1263731	4321	1995-04-08	VYDAJ	VYBER	20000	64778	\N	\N	\N
1263732	4321	1995-05-08	VYDAJ	VYBER	5800	54446	\N	\N	\N
1263733	4321	1995-05-11	VYDAJ	VYBER	18600	97296	\N	\N	\N
1263734	4321	1995-06-07	VYDAJ	VYBER	28200	81241	\N	\N	\N
1263735	4321	1995-07-07	VYDAJ	VYBER	15500	66077	\N	\N	\N
1263736	4321	1995-07-26	VYDAJ	VYBER	34800	80836	\N	\N	\N
1263737	4321	1995-08-06	VYDAJ	VYBER	11600	60258	\N	\N	\N
1263738	4321	1995-09-05	PRIJEM	VKLAD	12700	45411	\N	\N	\N
1263739	4321	1995-10-02	VYDAJ	VYBER	35000	99036	\N	\N	\N
1263740	4321	1995-10-05	VYDAJ	VYBER	13300	64101	\N	\N	\N
1263741	4321	1995-11-04	PRIJEM	VKLAD	4500	55842	\N	\N	\N
1263742	4321	1995-12-04	VYDAJ	VYBER	15000	70573	\N	\N	\N
1263743	4321	1996-01-03	VYDAJ	VYBER	19400	86282	\N	\N	\N
1263744	4321	1996-02-02	PRIJEM	VKLAD	7600	58743	\N	\N	\N
1263745	4321	1996-03-03	PRIJEM	VKLAD	11900	48222	\N	\N	\N
1263746	4321	1996-04-02	PRIJEM	VKLAD	16900	53556	\N	\N	\N
1263747	4321	1996-05-02	PRIJEM	VKLAD	21100	52398	\N	\N	\N
1263748	4321	1996-06-01	PRIJEM	VKLAD	12500	57966	\N	\N	\N
1263749	4321	1996-07-01	PRIJEM	VKLAD	18500	55884	\N	\N	\N
1263750	4321	1996-07-31	PRIJEM	VKLAD	23000	54554	\N	\N	\N
1263751	4321	1996-08-30	PRIJEM	VKLAD	1600	77126	\N	\N	\N
1263752	4321	1996-09-29	PRIJEM	VKLAD	5300	77405	\N	\N	\N
1263753	4321	1996-10-29	VYDAJ	VYBER	2000	75709	\N	\N	\N
1263754	4321	1996-11-28	PRIJEM	VKLAD	15300	68976	\N	\N	\N
1263755	4321	1996-12-28	PRIJEM	VKLAD	19200	67678	\N	\N	\N
1263756	4321	1997-01-27	PRIJEM	VKLAD	4400	83591	\N	\N	\N
1263757	4321	1997-02-26	PRIJEM	VKLAD	10300	77336	\N	\N	\N
1263758	4321	1997-03-28	PRIJEM	VKLAD	2900	83917	\N	\N	\N
1263759	4321	1997-03-31	VYDAJ	VYBER	33000	64384	\N	\N	\N
1263760	4321	1997-03-31	VYDAJ	VYBER	62100	97384	\N	\N	\N
1263761	4321	1997-04-27	PRIJEM	VKLAD	12000	76369	\N	\N	\N
1263762	4321	1997-05-23	VYDAJ	VYBER	26100	103760	\N	\N	\N
1263763	4321	1997-05-27	VYDAJ	VYBER	4800	98960	\N	\N	\N
1263764	4321	1997-06-12	VYDAJ	VYBER	24000	108587	\N	\N	\N
1263765	4321	1997-06-13	VYDAJ	VYBER	53600	97521	\N	\N	\N
1263766	4321	1997-06-26	PRIJEM	VKLAD	19000	91760	\N	\N	\N
1263767	4321	1997-07-26	PRIJEM	VKLAD	6900	72984	\N	\N	\N
1263768	4321	1997-08-23	VYDAJ	VYBER	41700	89614	\N	\N	\N
1263769	4321	1997-08-25	PRIJEM	VKLAD	2800	92414	\N	\N	\N
1263770	4321	1997-08-27	VYDAJ	VYBER	26500	98116	\N	\N	\N
1263771	4321	1997-09-08	VYDAJ	VYBER	33000	88345	\N	\N	\N
1263772	4321	1997-09-24	PRIJEM	VKLAD	7400	81826	\N	\N	\N
1263773	4321	1997-10-02	VYDAJ	VYBER	21000	100225	\N	\N	\N
1263774	4321	1997-10-03	VYDAJ	VYBER	56300	86491	\N	\N	\N
1263775	4321	1997-10-05	VYDAJ	VYBER	34400	82220	\N	\N	\N
1263776	4321	1997-10-14	VYDAJ	VYBER	52800	65497	\N	\N	\N
1263777	4321	1997-10-23	VYDAJ	VYBER	41400	107804	\N	\N	\N
1263778	4321	1997-10-24	VYDAJ	VYBER	5200	102604	\N	\N	\N
1263779	4321	1997-11-05	VYDAJ	VYBER	20600	118386	\N	\N	\N
1263780	4321	1997-11-14	VYDAJ	VYBER	18500	110215	\N	\N	\N
1263781	4321	1997-11-18	VYDAJ	VYBER	53700	99128	\N	\N	\N
1263782	4321	1997-11-23	VYDAJ	VYBER KARTOU	300	98828	\N	\N	0
1263783	4321	1997-12-01	VYDAJ	VYBER	60200	82854	\N	\N	\N
1263784	4321	1997-12-23	PRIJEM	VKLAD	7300	88115	\N	\N	\N
1263785	4321	1998-01-22	PRIJEM	VKLAD	27800	71209	\N	\N	\N
1263786	4321	1998-02-13	VYDAJ	VYBER	63600	75391	\N	\N	\N
1263787	4321	1998-02-21	PRIJEM	VKLAD	3400	91399	\N	\N	\N
1263788	4321	1998-03-23	VYDAJ	VYBER	8300	104059	\N	\N	\N
1263789	4321	1998-03-25	VYDAJ	VYBER	45100	96026	\N	\N	\N
1263790	4321	1998-03-27	VYDAJ	VYBER	20100	105951	\N	\N	\N
1263791	4321	1998-04-22	PRIJEM	VKLAD	400	97391	\N	\N	\N
1263792	4321	1998-05-09	VYDAJ	VYBER	18800	112075	\N	\N	\N
1263793	4321	1998-05-22	VYDAJ	VYBER	5600	106475	\N	\N	\N
1263794	4321	1998-05-28	VYDAJ	VYBER	35800	116244	\N	\N	\N
1263795	4321	1998-06-13	VYDAJ	VYBER	39200	93227	\N	\N	\N
1263796	4321	1998-06-15	VYDAJ	VYBER	20100	101459	\N	\N	\N
1263797	4321	1998-06-20	VYDAJ	VYBER	29800	106867	\N	\N	\N
1263798	4321	1998-06-21	VYDAJ	VYBER	6500	100367	\N	\N	\N
1263799	4321	1998-06-27	VYDAJ	VYBER	63700	73711	\N	\N	\N
1263800	4321	1998-06-29	VYDAJ	VYBER	60000	70463	\N	\N	\N
1263801	4321	1998-07-21	PRIJEM	VKLAD	10200	84602	\N	\N	\N
1263802	4321	1998-08-20	PRIJEM	VKLAD	16200	92081	\N	\N	\N
1263803	4321	1998-09-15	VYDAJ	VYBER	63500	62173	\N	\N	\N
1263804	4321	1998-09-19	PRIJEM	VKLAD	20600	82773	\N	\N	\N
1263805	4321	1998-10-19	PRIJEM	VKLAD	8800	91887	\N	\N	\N
1263806	4321	1998-11-10	VYDAJ	VYBER	61800	69073	\N	\N	\N
1263807	4321	1998-11-18	PRIJEM	VKLAD	22200	84973	\N	\N	\N
1263808	4321	1998-11-28	VYDAJ	VYBER	39100	93712	\N	\N	\N
1263809	4321	1998-12-18	PRIJEM	VKLAD	8600	102651	\N	\N	\N
1265447	4328	1994-06-17	PRIJEM	VKLAD	300	300	\N	\N	\N
1265454	4328	1994-07-08	PRIJEM	VKLAD	6412	6712	\N	\N	\N
1265455	4328	1994-08-08	PRIJEM	VKLAD	6412	21254	\N	\N	\N
1265456	4328	1994-09-08	PRIJEM	VKLAD	6412	26639	\N	\N	\N
1265457	4328	1994-10-08	PRIJEM	VKLAD	6412	28840	\N	\N	\N
1265458	4328	1994-11-08	PRIJEM	VKLAD	6412	34057	\N	\N	\N
1265459	4328	1994-12-08	PRIJEM	VKLAD	9618	33781	\N	\N	\N
1265460	4328	1995-01-08	PRIJEM	VKLAD	6412	32304	\N	\N	\N
1265461	4328	1995-02-08	PRIJEM	VKLAD	6412	25100	\N	\N	\N
1265462	4328	1995-03-08	PRIJEM	VKLAD	6412	29486	\N	\N	\N
1265463	4328	1995-04-08	PRIJEM	VKLAD	6412	28084	\N	\N	\N
1265464	4328	1995-05-08	PRIJEM	VKLAD	6412	32390	\N	\N	\N
1265465	4328	1995-06-08	PRIJEM	VKLAD	9618	25201	\N	\N	\N
1265466	4328	1995-07-08	PRIJEM	VKLAD	6412	25092	\N	\N	\N
1265467	4328	1995-08-08	PRIJEM	VKLAD	6412	29980	\N	\N	\N
1265468	4328	1995-09-08	PRIJEM	VKLAD	6412	29474	\N	\N	\N
1265469	4328	1995-10-08	PRIJEM	VKLAD	6412	30171	\N	\N	\N
1265470	4328	1995-11-08	PRIJEM	VKLAD	6412	33178	\N	\N	\N
1265471	4328	1995-12-08	PRIJEM	VKLAD	9618	37295	\N	\N	\N
1265472	4328	1996-01-08	PRIJEM	VKLAD	6412	32818	\N	\N	\N
1265473	4328	1996-02-08	PRIJEM	VKLAD	6412	29517	\N	\N	\N
1265474	4328	1996-03-08	PRIJEM	VKLAD	6412	32922	\N	\N	\N
1265475	4328	1996-04-08	PRIJEM	VKLAD	6412	34150	\N	\N	\N
1265476	4328	1996-05-08	PRIJEM	VKLAD	6412	36885	\N	\N	\N
1265477	4328	1996-06-08	PRIJEM	VKLAD	9618	41439	\N	\N	\N
1265478	4328	1996-07-08	PRIJEM	VKLAD	6412	25274	\N	\N	\N
1265479	4328	1996-08-08	PRIJEM	VKLAD	6412	29369	\N	\N	\N
1265480	4328	1996-09-08	PRIJEM	VKLAD	6412	35277	\N	\N	\N
1265481	4328	1996-10-08	PRIJEM	VKLAD	6412	34109	\N	\N	\N
1265482	4328	1996-11-08	PRIJEM	VKLAD	6412	35946	\N	\N	\N
1265483	4328	1996-12-08	PRIJEM	VKLAD	9618	42096	\N	\N	\N
1265484	4328	1997-01-08	PRIJEM	VKLAD	6412	35555	\N	\N	\N
1265485	4328	1997-02-08	PRIJEM	VKLAD	6412	32779	\N	\N	\N
1265486	4328	1997-03-08	PRIJEM	VKLAD	6412	32290	\N	\N	\N
1265487	4328	1997-04-08	PRIJEM	VKLAD	6412	33202	\N	\N	\N
1265488	4328	1997-05-08	PRIJEM	VKLAD	6412	36932	\N	\N	\N
1265489	4328	1997-06-08	PRIJEM	VKLAD	9618	43285	\N	\N	\N
1265490	4328	1997-07-08	PRIJEM	VKLAD	6412	36548	\N	\N	\N
1265491	4328	1997-08-08	PRIJEM	VKLAD	6412	35697	\N	\N	\N
1265492	4328	1997-09-08	PRIJEM	VKLAD	6412	36516	\N	\N	\N
1265493	4328	1997-10-08	PRIJEM	VKLAD	6412	35237	\N	\N	\N
1265494	4328	1997-11-08	PRIJEM	VKLAD	6412	34853	\N	\N	\N
1265495	4328	1997-12-08	PRIJEM	VKLAD	9618	35075	\N	\N	\N
1265496	4328	1998-01-08	PRIJEM	VKLAD	6412	33399	\N	\N	\N
1265497	4328	1998-02-08	PRIJEM	VKLAD	6412	20394	\N	\N	\N
1265498	4328	1998-03-08	PRIJEM	VKLAD	6412	24051	\N	\N	\N
1265499	4328	1998-04-08	PRIJEM	VKLAD	6412	26325	\N	\N	\N
1265500	4328	1998-05-08	PRIJEM	VKLAD	6412	27909	\N	\N	\N
1265501	4328	1998-06-08	PRIJEM	VKLAD	9618	35203	\N	\N	\N
1265502	4328	1998-07-08	PRIJEM	VKLAD	6412	23001	\N	\N	\N
1265503	4328	1998-08-08	PRIJEM	VKLAD	6412	22765	\N	\N	\N
1265504	4328	1998-09-08	PRIJEM	VKLAD	6412	17325	\N	\N	\N
1265505	4328	1998-10-08	PRIJEM	VKLAD	6412	13762	\N	\N	\N
1265506	4328	1998-11-08	PRIJEM	VKLAD	6412	10890	\N	\N	\N
1265507	4328	1998-12-08	PRIJEM	VKLAD	9618	12608	\N	\N	\N
1265509	4328	1995-06-05	VYDAJ	VYBER	9900	15583	\N	\N	\N
1265510	4328	1996-06-22	VYDAJ	VYBER	22200	18139	\N	\N	\N
1265511	4328	1997-06-21	VYDAJ	VYBER	5200	38085	\N	\N	\N
1265512	4328	1998-06-28	VYDAJ	VYBER	9200	16503	\N	\N	\N
1265514	4328	1995-01-08	VYDAJ	VYBER	7800	24504	\N	\N	\N
1265515	4328	1996-01-02	VYDAJ	VYBER	2800	27106	\N	\N	\N
1265516	4328	1997-01-09	VYDAJ	VYBER	4300	31255	\N	\N	\N
1265517	4328	1998-01-28	VYDAJ	VYBER	7400	13899	\N	\N	\N
1265518	4328	1994-12-01	VYDAJ	VYBER	2800	24163	\N	\N	\N
1265519	4328	1995-12-15	VYDAJ	VYBER	1500	30695	\N	\N	\N
1265520	4328	1996-12-25	VYDAJ	VYBER	2500	36896	\N	\N	\N
1265521	4328	1997-12-10	VYDAJ	VYBER	2400	32675	\N	\N	\N
1265522	4328	1998-12-11	VYDAJ	VYBER	600	12008	\N	\N	\N
1265529	4328	1995-01-02	VYDAJ	VYBER	2100	27892	\N	\N	\N
1265530	4328	1995-01-25	VYDAJ	VYBER	1300	21204	\N	\N	\N
1265531	4328	1995-01-03	VYDAJ	VYBER	2000	25892	\N	\N	\N
1265532	4328	1995-01-29	VYDAJ	VYBER	2600	18604	\N	\N	\N
1265533	4328	1995-01-11	VYDAJ	VYBER	1900	22604	\N	\N	\N
1265534	4328	1995-01-20	VYDAJ	VYBER	2100	22504	\N	\N	\N
1265535	4328	1996-01-03	VYDAJ	VYBER	700	26406	\N	\N	\N
1265536	4328	1996-01-29	VYDAJ	VYBER	2800	18918	\N	\N	\N
1265537	4328	1996-01-01	VYDAJ	VYBER	900	29906	\N	\N	\N
1265538	4328	1996-01-19	VYDAJ	VYBER	2500	21718	\N	\N	\N
1265539	4328	1996-01-18	VYDAJ	VYBER	2000	24218	\N	\N	\N
1265540	4328	1996-01-09	VYDAJ	VYBER	1700	26218	\N	\N	\N
1265541	4328	1997-01-07	VYDAJ	VYBER	1900	29143	\N	\N	\N
1265542	4328	1997-01-26	VYDAJ	VYBER	1700	26555	\N	\N	\N
1265543	4328	1997-01-21	VYDAJ	VYBER	1300	29955	\N	\N	\N
1265544	4328	1997-01-05	VYDAJ	VYBER	2900	31043	\N	\N	\N
1265545	4328	1997-01-29	VYDAJ	VYBER	1900	24655	\N	\N	\N
1265546	4328	1997-01-24	VYDAJ	VYBER	1700	28255	\N	\N	\N
1265547	4328	1998-01-09	VYDAJ	VYBER	1600	31799	\N	\N	\N
1265548	4328	1998-01-10	VYDAJ	VYBER	2800	28999	\N	\N	\N
1265549	4328	1998-01-11	VYDAJ	VYBER	1300	27699	\N	\N	\N
1265550	4328	1998-01-21	VYDAJ	VYBER	2500	17199	\N	\N	\N
1265551	4328	1998-01-27	VYDAJ	VYBER	2000	21299	\N	\N	\N
1265552	4328	1998-01-21	VYDAJ	VYBER	2000	19699	\N	\N	\N
1265554	4328	1994-11-14	VYDAJ	VYBER	3600	26857	\N	\N	\N
1265556	4328	1995-10-01	VYDAJ	VYBER	700	23759	\N	\N	\N
1265557	4328	1995-06-28	VYDAJ	VYBER	2500	18601	\N	\N	\N
1265558	4328	1995-04-06	VYDAJ	VYBER	3400	21672	\N	\N	\N
1265559	4328	1995-05-31	VYDAJ	VYBER	600	25498	\N	\N	\N
1265560	4328	1996-12-17	VYDAJ	VYBER	2700	39396	\N	\N	\N
1265561	4328	1996-08-17	VYDAJ	VYBER	2200	27169	\N	\N	\N
1265562	4328	1996-09-23	VYDAJ	VYBER	3600	31677	\N	\N	\N
1265563	4328	1996-07-08	VYDAJ	VYBER	3700	21574	\N	\N	\N
1265564	4328	1996-06-14	VYDAJ	VYBER	1100	40339	\N	\N	\N
1265565	4328	1996-02-21	VYDAJ	VYBER	3100	26417	\N	\N	\N
1265566	4328	1996-04-06	VYDAJ	VYBER	1000	28838	\N	\N	\N
1265567	4328	1997-12-02	VYDAJ	VYBER	1300	25457	\N	\N	\N
1265568	4328	1997-11-25	VYDAJ	VYBER	1800	33053	\N	\N	\N
1265569	4328	1997-02-12	VYDAJ	VYBER	4800	27979	\N	\N	\N
1265570	4328	1997-02-20	VYDAJ	VYBER	1500	26479	\N	\N	\N
1265571	4328	1997-03-09	VYDAJ	VYBER	4400	27890	\N	\N	\N
1265572	4328	1998-04-17	VYDAJ	VYBER	2700	23625	\N	\N	\N
1265573	4328	1998-10-17	VYDAJ	VYBER	800	12962	\N	\N	\N
1265574	4328	1998-02-21	VYDAJ	VYBER	4200	16194	\N	\N	\N
1265575	4328	1998-03-22	VYDAJ	VYBER	2600	21451	\N	\N	\N
1265576	4328	1998-01-19	VYDAJ	VYBER	1600	26099	\N	\N	\N
1265577	4328	1998-08-27	VYDAJ	VYBER	4700	10865	\N	\N	\N
1265578	4328	1998-01-20	VYDAJ	VYBER	4400	21699	\N	\N	\N
1265579	4328	1998-04-25	VYDAJ	VYBER	2000	21625	\N	\N	\N
1265591	4328	1994-11-30	VYDAJ	VYBER	15	26963	SLUZBY	\N	\N
1265592	4328	1994-12-31	VYDAJ	VYBER	15	29992	SLUZBY	\N	\N
1265593	4328	1995-01-31	VYDAJ	VYBER	15	18688	SLUZBY	\N	\N
1265594	4328	1995-02-28	VYDAJ	VYBER	15	23074	SLUZBY	\N	\N
1265595	4328	1995-03-31	VYDAJ	VYBER	15	25072	SLUZBY	\N	\N
1265596	4328	1995-04-30	VYDAJ	VYBER	15	25978	SLUZBY	\N	\N
1265597	4328	1995-05-31	VYDAJ	VYBER	15	25483	SLUZBY	\N	\N
1265598	4328	1995-06-30	VYDAJ	VYBER	15	18680	SLUZBY	\N	\N
1265599	4328	1995-07-31	VYDAJ	VYBER	15	23568	SLUZBY	\N	\N
1265600	4328	1995-08-31	VYDAJ	VYBER	15	23062	SLUZBY	\N	\N
1265601	4328	1995-09-30	VYDAJ	VYBER	15	24459	SLUZBY	\N	\N
1265602	4328	1995-10-31	VYDAJ	VYBER	15	26766	SLUZBY	\N	\N
1265603	4328	1995-11-30	VYDAJ	VYBER	15	27677	SLUZBY	\N	\N
1265604	4328	1995-12-31	VYDAJ	VYBER	15	30806	SLUZBY	\N	\N
1265605	4328	1996-01-31	VYDAJ	VYBER	15	19005	SLUZBY	\N	\N
1265606	4328	1996-02-29	VYDAJ	VYBER	15	26510	SLUZBY	\N	\N
1265607	4328	1996-03-31	VYDAJ	VYBER	15	29838	SLUZBY	\N	\N
1265608	4328	1996-04-30	VYDAJ	VYBER	15	34273	SLUZBY	\N	\N
1265609	4328	1996-05-31	VYDAJ	VYBER	15	37021	SLUZBY	\N	\N
1265610	4328	1996-06-30	VYDAJ	VYBER	15	18262	SLUZBY	\N	\N
1265611	4328	1996-07-31	VYDAJ	VYBER	15	21657	SLUZBY	\N	\N
1265612	4328	1996-08-31	VYDAJ	VYBER	15	27265	SLUZBY	\N	\N
1265613	4328	1996-09-30	VYDAJ	VYBER	15	31797	SLUZBY	\N	\N
1265614	4328	1996-10-31	VYDAJ	VYBER	15	34234	SLUZBY	\N	\N
1265615	4328	1996-11-30	VYDAJ	VYBER	15	36078	SLUZBY	\N	\N
1265616	4328	1996-12-31	VYDAJ	VYBER	15	37043	SLUZBY	\N	\N
1265617	4328	1997-01-31	VYDAJ	VYBER	15	24767	SLUZBY	\N	\N
1265618	4328	1997-02-28	VYDAJ	VYBER	15	26578	SLUZBY	\N	\N
1265619	4328	1997-03-31	VYDAJ	VYBER	15	27990	SLUZBY	\N	\N
1265620	4328	1997-04-30	VYDAJ	VYBER	15	33320	SLUZBY	\N	\N
1265621	4328	1997-05-31	VYDAJ	VYBER	15	37067	SLUZBY	\N	\N
1265622	4328	1997-06-30	VYDAJ	VYBER	15	38236	SLUZBY	\N	\N
1265623	4328	1997-07-31	VYDAJ	VYBER	15	29285	SLUZBY	\N	\N
1265624	4328	1997-08-31	VYDAJ	VYBER	15	30104	SLUZBY	\N	\N
1265625	4328	1997-09-30	VYDAJ	VYBER	15	28825	SLUZBY	\N	\N
1265626	4328	1997-10-31	VYDAJ	VYBER	15	28441	SLUZBY	\N	\N
1265627	4328	1997-11-30	VYDAJ	VYBER	15	26757	SLUZBY	\N	\N
1265628	4328	1997-12-31	VYDAJ	VYBER	15	26987	SLUZBY	\N	\N
1265629	4328	1998-01-31	VYDAJ	VYBER	15	13982	SLUZBY	\N	\N
1265630	4328	1998-02-28	VYDAJ	VYBER	15	17639	SLUZBY	\N	\N
1265631	4328	1998-03-31	VYDAJ	VYBER	15	19913	SLUZBY	\N	\N
1265632	4328	1998-04-30	VYDAJ	VYBER	15	21497	SLUZBY	\N	\N
1265633	4328	1998-05-31	VYDAJ	VYBER	15	25585	SLUZBY	\N	\N
1265634	4328	1998-06-30	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
1265635	4328	1998-07-31	VYDAJ	VYBER	15	16353	SLUZBY	\N	\N
1265636	4328	1998-08-31	VYDAJ	VYBER	15	10913	SLUZBY	\N	\N
1265637	4328	1998-09-30	VYDAJ	VYBER	15	7350	SLUZBY	\N	\N
1265638	4328	1998-10-31	VYDAJ	VYBER	15	4478	SLUZBY	\N	\N
1265639	4328	1998-11-30	VYDAJ	VYBER	15	2990	SLUZBY	\N	\N
1265640	4328	1994-07-17	PRIJEM	VKLAD	8100	14812	\N	\N	\N
1265641	4328	1994-08-16	VYDAJ	VYBER	1100	20154	\N	\N	\N
1265642	4328	1994-09-15	VYDAJ	VYBER	4300	22339	\N	\N	\N
1265643	4328	1994-10-15	VYDAJ	VYBER	1300	27540	\N	\N	\N
1265644	4328	1994-11-14	VYDAJ	VYBER	3600	30457	\N	\N	\N
1265645	4328	1994-12-14	VYDAJ	VYBER	3900	29881	\N	\N	\N
1265646	4328	1995-01-13	PRIJEM	VKLAD	2000	24604	\N	\N	\N
1265647	4328	1995-02-12	VYDAJ	VYBER	2100	23000	\N	\N	\N
1265648	4328	1995-03-14	VYDAJ	VYBER	4500	24986	\N	\N	\N
1265649	4328	1995-04-13	VYDAJ	VYBER	2200	25884	\N	\N	\N
1265650	4328	1995-05-13	VYDAJ	VYBER	6400	25990	\N	\N	\N
1265651	4328	1995-06-12	VYDAJ	VYBER	4100	21101	\N	\N	\N
1265652	4328	1995-07-12	VYDAJ	VYBER	1600	23492	\N	\N	\N
1265653	4328	1995-08-11	VYDAJ	VYBER	7000	22980	\N	\N	\N
1265654	4328	1995-09-10	VYDAJ	VYBER	5100	24374	\N	\N	\N
1265655	4328	1995-10-10	VYDAJ	VYBER	3500	26671	\N	\N	\N
1265656	4328	1995-11-09	VYDAJ	VYBER	5600	27578	\N	\N	\N
1265657	4328	1995-12-09	VYDAJ	VYBER	5100	32195	\N	\N	\N
1265658	4328	1996-01-08	VYDAJ	VYBER	4900	27918	\N	\N	\N
1265659	4328	1996-02-07	PRIJEM	VKLAD	4100	23105	\N	\N	\N
1265660	4328	1996-03-08	VYDAJ	VYBER	3200	29722	\N	\N	\N
1265661	4328	1996-04-07	VYDAJ	VYBER	1100	27738	\N	\N	\N
1265662	4328	1996-05-07	VYDAJ	VYBER	3800	30473	\N	\N	\N
1265663	4328	1996-06-06	VYDAJ	VYBER	5200	31821	\N	\N	\N
1265664	4328	1996-07-06	PRIJEM	VKLAD	600	18862	\N	\N	\N
1265665	4328	1996-08-05	PRIJEM	VKLAD	1300	22957	\N	\N	\N
1265666	4328	1996-09-04	PRIJEM	VKLAD	1600	28865	\N	\N	\N
1265667	4328	1996-10-04	VYDAJ	VYBER	4100	27697	\N	\N	\N
1265668	4328	1996-11-03	VYDAJ	VYBER	4700	29534	\N	\N	\N
1265669	4328	1996-12-03	VYDAJ	VYBER	3600	32478	\N	\N	\N
1265670	4328	1997-01-02	VYDAJ	VYBER	3100	33943	\N	\N	\N
1265671	4328	1997-02-01	PRIJEM	VKLAD	1600	26367	\N	\N	\N
1265672	4328	1997-03-03	VYDAJ	VYBER	700	25878	\N	\N	\N
1265673	4328	1997-04-02	VYDAJ	VYBER	1200	26790	\N	\N	\N
1265674	4328	1997-05-02	VYDAJ	VYBER	2800	30520	\N	\N	\N
1265675	4328	1997-06-01	VYDAJ	VYBER	3400	33667	\N	\N	\N
1265676	4328	1997-07-01	VYDAJ	VYBER	8100	30136	\N	\N	\N
1265677	4328	1997-07-31	VYDAJ	VYBER	7400	29300	\N	\N	\N
1265678	4328	1997-08-30	VYDAJ	VYBER	5700	29997	\N	\N	\N
1265679	4328	1997-09-29	VYDAJ	VYBER	7800	28716	\N	\N	\N
1265680	4328	1997-10-29	VYDAJ	VYBER	6900	28337	\N	\N	\N
1265681	4328	1997-11-28	VYDAJ	VYBER	6400	26653	\N	\N	\N
1265682	4328	1997-12-28	VYDAJ	VYBER	5800	26875	\N	\N	\N
1265683	4328	1998-01-27	PRIJEM	VKLAD	6100	23299	\N	\N	\N
1265684	4328	1998-02-26	PRIJEM	VKLAD	1400	17594	\N	\N	\N
1265685	4328	1998-03-28	VYDAJ	VYBER	1600	19851	\N	\N	\N
1265686	4328	1998-04-27	VYDAJ	VYBER	200	21425	\N	\N	\N
1265687	4328	1998-05-27	VYDAJ	VYBER	2400	25509	\N	\N	\N
1265688	4328	1998-06-26	VYDAJ	VYBER	9500	25703	\N	\N	\N
1265689	4328	1998-07-26	VYDAJ	VYBER	6700	16301	\N	\N	\N
1265690	4328	1998-08-25	VYDAJ	VYBER	7200	15565	\N	\N	\N
1265691	4328	1998-09-24	VYDAJ	VYBER	10000	7325	\N	\N	\N
1265692	4328	1998-10-24	VYDAJ	VYBER	8500	4462	\N	\N	\N
1265693	4328	1998-11-23	VYDAJ	VYBER	7900	2990	\N	\N	\N
1265750	4329	1994-02-17	PRIJEM	VKLAD	300	300	\N	\N	\N
1265751	4329	1994-11-15	PRIJEM	VKLAD	44510	72735	\N	\N	\N
1265752	4329	1994-12-10	PRIJEM	VKLAD	46557	119549	\N	\N	\N
1265753	4329	1995-03-08	PRIJEM	VKLAD	37613	67565	\N	\N	\N
1265754	4329	1995-04-14	PRIJEM	VKLAD	22848	56569	\N	\N	\N
1265755	4329	1996-05-04	PRIJEM	VKLAD	25541	41678	\N	\N	\N
1265756	4329	1996-08-15	PRIJEM	VKLAD	45946	60199	\N	\N	\N
1265757	4329	1997-08-27	PRIJEM	VKLAD	27095	42954	\N	\N	\N
1265758	4329	1997-11-05	PRIJEM	VKLAD	27047	45037	\N	\N	\N
1265759	4329	1998-03-28	PRIJEM	VKLAD	41058	70353	\N	\N	\N
1265760	4329	1998-02-06	PRIJEM	VKLAD	33209	48390	\N	\N	\N
1265763	4329	1994-03-14	PRIJEM	VKLAD	1000	3204	\N	\N	\N
1265764	4329	1994-04-14	PRIJEM	VKLAD	1000	15935	\N	\N	\N
1265765	4329	1994-05-17	PRIJEM	VKLAD	1000	19787	\N	\N	\N
1265766	4329	1994-06-16	PRIJEM	VKLAD	1000	22606	\N	\N	\N
1265767	4329	1994-07-17	PRIJEM	VKLAD	1000	23836	\N	\N	\N
1265768	4329	1994-08-17	PRIJEM	VKLAD	1000	24225	\N	\N	\N
1265769	4329	1994-09-13	PRIJEM	VKLAD	1000	27217	\N	\N	\N
1265770	4329	1994-10-15	PRIJEM	VKLAD	1000	29916	\N	\N	\N
1265771	4329	1994-11-14	PRIJEM	VKLAD	1000	31225	\N	\N	\N
1265772	4329	1994-12-17	PRIJEM	VKLAD	1000	57249	\N	\N	\N
1265773	4329	1995-01-16	PRIJEM	VKLAD	1000	39063	\N	\N	\N
1265774	4329	1995-02-16	PRIJEM	VKLAD	1000	27932	\N	\N	\N
1265775	4329	1995-03-13	PRIJEM	VKLAD	1000	68565	\N	\N	\N
1265776	4329	1995-04-14	PRIJEM	VKLAD	1000	57569	\N	\N	\N
1265777	4329	1995-05-14	PRIJEM	VKLAD	1000	38074	\N	\N	\N
1265778	4329	1995-06-13	PRIJEM	VKLAD	1000	31356	\N	\N	\N
1265779	4329	1995-07-14	PRIJEM	VKLAD	1000	27990	\N	\N	\N
1265780	4329	1995-08-13	PRIJEM	VKLAD	1000	24905	\N	\N	\N
1265781	4329	1995-09-13	PRIJEM	VKLAD	1000	21453	\N	\N	\N
1265782	4329	1995-10-14	PRIJEM	VKLAD	1000	21838	\N	\N	\N
1265783	4329	1995-11-17	PRIJEM	VKLAD	1000	19020	\N	\N	\N
1265784	4329	1995-12-16	PRIJEM	VKLAD	1000	19699	\N	\N	\N
1265785	4329	1996-01-13	PRIJEM	VKLAD	1000	16970	\N	\N	\N
1265786	4329	1996-02-15	PRIJEM	VKLAD	1000	14630	\N	\N	\N
1265787	4329	1996-03-14	PRIJEM	VKLAD	1000	15683	\N	\N	\N
1265788	4329	1996-04-13	PRIJEM	VKLAD	1000	14188	\N	\N	\N
1265789	4329	1996-05-17	PRIJEM	VKLAD	1000	29378	\N	\N	\N
1265790	4329	1996-06-16	PRIJEM	VKLAD	1000	22677	\N	\N	\N
1265791	4329	1996-07-17	PRIJEM	VKLAD	1000	19078	\N	\N	\N
1265792	4329	1996-08-17	PRIJEM	VKLAD	1000	61199	\N	\N	\N
1265793	4329	1996-09-13	PRIJEM	VKLAD	1000	33516	\N	\N	\N
1265794	4329	1996-10-17	PRIJEM	VKLAD	1000	22281	\N	\N	\N
1265795	4329	1996-11-15	PRIJEM	VKLAD	1000	15090	\N	\N	\N
1265796	4329	1996-12-14	PRIJEM	VKLAD	1000	18059	\N	\N	\N
1265797	4329	1997-01-15	PRIJEM	VKLAD	1000	15869	\N	\N	\N
1265798	4329	1997-02-17	PRIJEM	VKLAD	1000	13920	\N	\N	\N
1265799	4329	1997-03-17	PRIJEM	VKLAD	1000	16872	\N	\N	\N
1265800	4329	1997-04-17	PRIJEM	VKLAD	1000	16027	\N	\N	\N
1265801	4329	1997-05-15	PRIJEM	VKLAD	1000	14688	\N	\N	\N
1265802	4329	1997-06-16	PRIJEM	VKLAD	1000	15643	\N	\N	\N
1265803	4329	1997-07-13	PRIJEM	VKLAD	1000	18598	\N	\N	\N
1265804	4329	1997-08-16	PRIJEM	VKLAD	1000	13959	\N	\N	\N
1265805	4329	1997-09-16	PRIJEM	VKLAD	1000	23010	\N	\N	\N
1265806	4329	1997-10-16	PRIJEM	VKLAD	1000	16038	\N	\N	\N
1265807	4329	1997-11-13	PRIJEM	VKLAD	1000	46037	\N	\N	\N
1265808	4329	1997-12-13	PRIJEM	VKLAD	1000	21058	\N	\N	\N
1265809	4329	1998-01-13	PRIJEM	VKLAD	1000	15731	\N	\N	\N
1265810	4329	1998-02-13	PRIJEM	VKLAD	1000	49390	\N	\N	\N
1265811	4329	1998-03-13	PRIJEM	VKLAD	1000	27395	\N	\N	\N
1265812	4329	1998-04-14	PRIJEM	VKLAD	1000	39857	\N	\N	\N
1265813	4329	1998-05-16	PRIJEM	VKLAD	1000	23748	\N	\N	\N
1265814	4329	1998-06-15	PRIJEM	VKLAD	1000	20427	\N	\N	\N
1265815	4329	1998-07-15	PRIJEM	VKLAD	1000	18342	\N	\N	\N
1265816	4329	1998-08-17	PRIJEM	VKLAD	1000	15798	\N	\N	\N
1265817	4329	1998-09-17	PRIJEM	VKLAD	1000	19049	\N	\N	\N
1265818	4329	1998-10-15	PRIJEM	VKLAD	1000	23214	\N	\N	\N
1265819	4329	1998-11-13	PRIJEM	VKLAD	1000	21790	\N	\N	\N
1265820	4329	1998-12-17	PRIJEM	VKLAD	1000	22362	\N	\N	\N
1265822	4329	1994-02-18	PRIJEM	VKLAD	1900	2200	\N	\N	\N
1265823	4329	1994-03-18	PRIJEM	VKLAD	1900	5104	\N	\N	\N
1265824	4329	1994-04-18	PRIJEM	VKLAD	1900	18735	\N	\N	\N
1265825	4329	1994-05-18	PRIJEM	VKLAD	1900	21687	\N	\N	\N
1265826	4329	1994-06-18	PRIJEM	VKLAD	1900	24506	\N	\N	\N
1265827	4329	1994-07-18	PRIJEM	VKLAD	1900	24936	\N	\N	\N
1265828	4329	1994-08-18	PRIJEM	VKLAD	1900	26125	\N	\N	\N
1265829	4329	1994-09-18	PRIJEM	VKLAD	1900	28817	\N	\N	\N
1265830	4329	1994-10-18	PRIJEM	VKLAD	1900	30116	\N	\N	\N
1265831	4329	1994-11-18	PRIJEM	VKLAD	1900	74635	\N	\N	\N
1265832	4329	1994-12-18	PRIJEM	VKLAD	1900	59149	\N	\N	\N
1265833	4329	1995-01-18	PRIJEM	VKLAD	1900	40963	\N	\N	\N
1265834	4329	1995-02-18	PRIJEM	VKLAD	1900	29832	\N	\N	\N
1265835	4329	1995-03-18	PRIJEM	VKLAD	1900	47065	\N	\N	\N
1265836	4329	1995-04-18	PRIJEM	VKLAD	1900	59469	\N	\N	\N
1265837	4329	1995-05-18	PRIJEM	VKLAD	1900	39974	\N	\N	\N
1265838	4329	1995-06-18	PRIJEM	VKLAD	1900	33256	\N	\N	\N
1265839	4329	1995-07-18	PRIJEM	VKLAD	1900	29890	\N	\N	\N
1265840	4329	1995-08-18	PRIJEM	VKLAD	1900	25555	\N	\N	\N
1265841	4329	1995-09-18	PRIJEM	VKLAD	1900	23353	\N	\N	\N
1265842	4329	1995-10-18	PRIJEM	VKLAD	1900	23738	\N	\N	\N
1265843	4329	1995-11-18	PRIJEM	VKLAD	1900	20920	\N	\N	\N
1265844	4329	1995-12-18	PRIJEM	VKLAD	1900	21599	\N	\N	\N
1265845	4329	1996-01-18	PRIJEM	VKLAD	1900	18870	\N	\N	\N
1265846	4329	1996-02-18	PRIJEM	VKLAD	1900	16530	\N	\N	\N
1265847	4329	1996-03-18	PRIJEM	VKLAD	1900	17583	\N	\N	\N
1265848	4329	1996-04-18	PRIJEM	VKLAD	1900	16088	\N	\N	\N
1265849	4329	1996-05-18	PRIJEM	VKLAD	1900	31278	\N	\N	\N
1265850	4329	1996-06-18	PRIJEM	VKLAD	1900	24577	\N	\N	\N
1265851	4329	1996-07-18	PRIJEM	VKLAD	1900	20978	\N	\N	\N
1265852	4329	1996-08-18	PRIJEM	VKLAD	1900	63099	\N	\N	\N
1265853	4329	1996-09-18	PRIJEM	VKLAD	1900	35416	\N	\N	\N
1265854	4329	1996-10-18	PRIJEM	VKLAD	1900	24181	\N	\N	\N
1265855	4329	1996-11-18	PRIJEM	VKLAD	1900	16990	\N	\N	\N
1265856	4329	1996-12-18	PRIJEM	VKLAD	1900	19959	\N	\N	\N
1265857	4329	1997-01-18	PRIJEM	VKLAD	1900	16919	\N	\N	\N
1265858	4329	1997-02-18	PRIJEM	VKLAD	1900	15820	\N	\N	\N
1265859	4329	1997-03-18	PRIJEM	VKLAD	1900	18772	\N	\N	\N
1265860	4329	1997-04-18	PRIJEM	VKLAD	1900	17927	\N	\N	\N
1265861	4329	1997-05-18	PRIJEM	VKLAD	1900	16588	\N	\N	\N
1265862	4329	1997-06-18	PRIJEM	VKLAD	1900	17543	\N	\N	\N
1265863	4329	1997-07-18	PRIJEM	VKLAD	1900	20498	\N	\N	\N
1265864	4329	1997-08-18	PRIJEM	VKLAD	1900	15859	\N	\N	\N
1265865	4329	1997-09-18	PRIJEM	VKLAD	1900	24910	\N	\N	\N
1265866	4329	1997-10-18	PRIJEM	VKLAD	1900	17938	\N	\N	\N
1265867	4329	1997-11-18	PRIJEM	VKLAD	1900	47937	\N	\N	\N
1265868	4329	1997-12-18	PRIJEM	VKLAD	1900	22958	\N	\N	\N
1265869	4329	1998-01-18	PRIJEM	VKLAD	1900	17331	\N	\N	\N
1265870	4329	1998-02-18	PRIJEM	VKLAD	1900	51290	\N	\N	\N
1265871	4329	1998-03-18	PRIJEM	VKLAD	1900	29295	\N	\N	\N
1265872	4329	1998-04-18	PRIJEM	VKLAD	1900	41757	\N	\N	\N
1265873	4329	1998-05-18	PRIJEM	VKLAD	1900	25648	\N	\N	\N
1265874	4329	1998-06-18	PRIJEM	VKLAD	1900	22327	\N	\N	\N
1265875	4329	1998-07-18	PRIJEM	VKLAD	1900	20242	\N	\N	\N
1265876	4329	1998-08-18	PRIJEM	VKLAD	1900	17698	\N	\N	\N
1265877	4329	1998-09-18	PRIJEM	VKLAD	1900	20949	\N	\N	\N
1265878	4329	1998-10-18	PRIJEM	VKLAD	1900	25114	\N	\N	\N
1265879	4329	1998-11-18	PRIJEM	VKLAD	1900	23690	\N	\N	\N
1265880	4329	1998-12-18	PRIJEM	VKLAD	1900	24262	\N	\N	\N
1265887	4329	1995-01-21	VYDAJ	VYBER	2900	35763	\N	\N	\N
1265891	4329	1994-12-18	VYDAJ	VYBER	1400	57749	\N	\N	\N
1265892	4329	1995-12-04	VYDAJ	VYBER	1800	19199	\N	\N	\N
1265893	4329	1996-12-29	VYDAJ	VYBER	1500	18459	\N	\N	\N
1265894	4329	1997-12-04	VYDAJ	VYBER	2500	20058	\N	\N	\N
1265895	4329	1998-12-20	VYDAJ	VYBER	500	23762	\N	\N	\N
1265902	4329	1995-01-14	VYDAJ	VYBER	1400	38063	\N	\N	\N
1265903	4329	1995-01-25	VYDAJ	VYBER	1050	34713	\N	\N	\N
1265904	4329	1995-01-10	VYDAJ	VYBER	350	54963	\N	\N	\N
1265905	4329	1995-01-26	VYDAJ	VYBER	250	34463	\N	\N	\N
1265906	4329	1995-01-12	VYDAJ	VYBER	1200	52963	\N	\N	\N
1265907	4329	1995-01-08	VYDAJ	VYBER	300	55313	\N	\N	\N
1265908	4329	1996-01-21	VYDAJ	VYBER	400	18470	\N	\N	\N
1265909	4329	1996-01-09	VYDAJ	VYBER	400	15970	\N	\N	\N
1265910	4329	1996-01-26	VYDAJ	VYBER	1000	16370	\N	\N	\N
1265911	4329	1996-01-26	VYDAJ	VYBER	250	17370	\N	\N	\N
1265912	4329	1996-01-07	VYDAJ	VYBER	700	18470	\N	\N	\N
1265913	4329	1996-01-05	VYDAJ	VYBER	400	21270	\N	\N	\N
1265914	4329	1997-01-16	VYDAJ	VYBER	400	15469	\N	\N	\N
1265915	4329	1997-01-01	VYDAJ	VYBER	1350	17169	\N	\N	\N
1265916	4329	1997-01-17	VYDAJ	VYBER	450	15019	\N	\N	\N
1265917	4329	1997-01-03	VYDAJ	VYBER	950	16219	\N	\N	\N
1265918	4329	1997-01-04	VYDAJ	VYBER	1350	14869	\N	\N	\N
1265919	4329	1997-01-22	VYDAJ	VYBER	450	16469	\N	\N	\N
1265920	4329	1998-01-14	VYDAJ	VYBER	300	15431	\N	\N	\N
1265922	4329	1998-01-21	VYDAJ	VYBER	250	17081	\N	\N	\N
1265923	4329	1998-01-30	VYDAJ	VYBER	250	16831	\N	\N	\N
1265926	4329	1994-07-09	VYDAJ	VYBER	1750	22836	\N	\N	\N
1265927	4329	1994-12-29	VYDAJ	VYBER	2400	55349	\N	\N	\N
1265929	4329	1994-11-24	VYDAJ	VYBER	1850	72785	\N	\N	\N
1265930	4329	1994-05-29	VYDAJ	VYBER	2350	21537	\N	\N	\N
1265931	4329	1995-04-19	VYDAJ	VYBER	2300	57169	\N	\N	\N
1265932	4329	1995-01-10	VYDAJ	VYBER	800	54163	\N	\N	\N
1265933	4329	1995-08-16	VYDAJ	VYBER	1250	23655	\N	\N	\N
1265934	4329	1995-01-18	VYDAJ	VYBER	2300	38663	\N	\N	\N
1265935	4329	1996-01-05	VYDAJ	VYBER	2100	19170	\N	\N	\N
1265936	4329	1996-04-06	VYDAJ	VYBER	1350	15788	\N	\N	\N
1265937	4329	1996-06-30	VYDAJ	VYBER	2000	22692	\N	\N	\N
1265938	4329	1996-01-25	VYDAJ	VYBER	850	17620	\N	\N	\N
1265939	4329	1996-09-10	VYDAJ	VYBER	850	32516	\N	\N	\N
1265940	4329	1996-04-02	VYDAJ	VYBER	500	17138	\N	\N	\N
1265941	4329	1997-09-18	VYDAJ	VYBER	2450	22460	\N	\N	\N
1265945	4329	1998-06-25	VYDAJ	VYBER	1450	20877	\N	\N	\N
1265946	4329	1998-02-02	VYDAJ	VYBER	1700	15181	\N	\N	\N
1265947	4329	1998-02-22	VYDAJ	VYBER	250	51040	\N	\N	\N
1265948	4329	1998-04-27	VYDAJ	VYBER	1550	22607	\N	\N	\N
1265949	4329	1998-09-12	VYDAJ	VYBER	400	18049	\N	\N	\N
1265955	4329	1994-04-30	VYDAJ	VYBER	15	18787	SLUZBY	\N	\N
1265956	4329	1994-05-31	VYDAJ	VYBER	15	21606	SLUZBY	\N	\N
1265957	4329	1994-06-30	VYDAJ	VYBER	15	24586	SLUZBY	\N	\N
1265958	4329	1994-07-31	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
1265959	4329	1994-08-31	VYDAJ	VYBER	15	26217	SLUZBY	\N	\N
1265960	4329	1994-09-30	VYDAJ	VYBER	15	28916	SLUZBY	\N	\N
1265961	4329	1994-10-31	VYDAJ	VYBER	15	30225	SLUZBY	\N	\N
1265962	4329	1994-11-30	VYDAJ	VYBER	15	72992	SLUZBY	\N	\N
1265963	4329	1994-12-31	VYDAJ	VYBER	15	55613	SLUZBY	\N	\N
1265964	4329	1995-01-31	VYDAJ	VYBER	15	34632	SLUZBY	\N	\N
1265965	4329	1995-02-28	VYDAJ	VYBER	15	29952	SLUZBY	\N	\N
1265966	4329	1995-03-31	VYDAJ	VYBER	15	47221	SLUZBY	\N	\N
1265967	4329	1995-04-30	VYDAJ	VYBER	15	57374	SLUZBY	\N	\N
1265968	4329	1995-05-31	VYDAJ	VYBER	15	40156	SLUZBY	\N	\N
1265969	4329	1995-06-30	VYDAJ	VYBER	15	33390	SLUZBY	\N	\N
1265970	4329	1995-07-31	VYDAJ	VYBER	15	30005	SLUZBY	\N	\N
1265971	4329	1995-08-31	VYDAJ	VYBER	15	25653	SLUZBY	\N	\N
1265972	4329	1995-09-30	VYDAJ	VYBER	15	23438	SLUZBY	\N	\N
1265973	4329	1995-10-31	VYDAJ	VYBER	15	23820	SLUZBY	\N	\N
1265974	4329	1995-11-30	VYDAJ	VYBER	15	20999	SLUZBY	\N	\N
1265975	4329	1995-12-31	VYDAJ	VYBER	15	21670	SLUZBY	\N	\N
1265976	4329	1996-01-31	VYDAJ	VYBER	15	16430	SLUZBY	\N	\N
1265977	4329	1996-02-29	VYDAJ	VYBER	15	16583	SLUZBY	\N	\N
1265978	4329	1996-03-31	VYDAJ	VYBER	15	17638	SLUZBY	\N	\N
1265979	4329	1996-04-30	VYDAJ	VYBER	15	16137	SLUZBY	\N	\N
1265980	4329	1996-05-31	VYDAJ	VYBER	15	31377	SLUZBY	\N	\N
1265981	4329	1996-06-30	VYDAJ	VYBER	15	22678	SLUZBY	\N	\N
1265982	4329	1996-07-31	VYDAJ	VYBER	15	21053	SLUZBY	\N	\N
1265983	4329	1996-08-31	VYDAJ	VYBER	15	63266	SLUZBY	\N	\N
1265984	4329	1996-09-30	VYDAJ	VYBER	15	35581	SLUZBY	\N	\N
1265985	4329	1996-10-31	VYDAJ	VYBER	15	24290	SLUZBY	\N	\N
1265986	4329	1996-11-30	VYDAJ	VYBER	15	17059	SLUZBY	\N	\N
1265987	4329	1996-12-31	VYDAJ	VYBER	15	18519	SLUZBY	\N	\N
1265988	4329	1997-01-31	VYDAJ	VYBER	15	16520	SLUZBY	\N	\N
1265989	4329	1997-02-28	VYDAJ	VYBER	15	15872	SLUZBY	\N	\N
1265990	4329	1997-03-31	VYDAJ	VYBER	15	18827	SLUZBY	\N	\N
1265991	4329	1997-04-30	VYDAJ	VYBER	15	17988	SLUZBY	\N	\N
1265992	4329	1997-05-31	VYDAJ	VYBER	15	16643	SLUZBY	\N	\N
1265993	4329	1997-06-30	VYDAJ	VYBER	15	17598	SLUZBY	\N	\N
1265994	4329	1997-07-31	VYDAJ	VYBER	15	12959	SLUZBY	\N	\N
1265995	4329	1997-08-31	VYDAJ	VYBER	15	22010	SLUZBY	\N	\N
1265996	4329	1997-09-30	VYDAJ	VYBER	15	15038	SLUZBY	\N	\N
1265997	4329	1997-10-31	VYDAJ	VYBER	15	17990	SLUZBY	\N	\N
1265998	4329	1997-11-30	VYDAJ	VYBER	15	22558	SLUZBY	\N	\N
1265999	4329	1997-12-31	VYDAJ	VYBER	15	14731	SLUZBY	\N	\N
1266000	4329	1998-01-31	VYDAJ	VYBER	15	16881	SLUZBY	\N	\N
1266001	4329	1998-02-28	VYDAJ	VYBER	15	26395	SLUZBY	\N	\N
1266002	4329	1998-03-31	VYDAJ	VYBER	15	38857	SLUZBY	\N	\N
1266003	4329	1998-04-30	VYDAJ	VYBER	15	22748	SLUZBY	\N	\N
1266004	4329	1998-05-31	VYDAJ	VYBER	15	19427	SLUZBY	\N	\N
1266005	4329	1998-06-30	VYDAJ	VYBER	15	17342	SLUZBY	\N	\N
1266006	4329	1998-07-31	VYDAJ	VYBER	15	14798	SLUZBY	\N	\N
1266007	4329	1998-08-31	VYDAJ	VYBER	15	18449	SLUZBY	\N	\N
1266008	4329	1998-09-30	VYDAJ	VYBER	15	22214	SLUZBY	\N	\N
1266009	4329	1998-10-31	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
1266010	4329	1998-11-30	VYDAJ	VYBER	15	21362	SLUZBY	\N	\N
1266011	4329	1994-03-19	PRIJEM	VKLAD	9800	14904	\N	\N	\N
1266012	4329	1994-04-18	PRIJEM	VKLAD	900	16835	\N	\N	\N
1266013	4329	1994-05-18	PRIJEM	VKLAD	2200	23887	\N	\N	\N
1266014	4329	1994-07-17	VYDAJ	VYBER	800	23036	\N	\N	\N
1266015	4329	1994-08-16	VYDAJ	VYBER	1800	23225	\N	\N	\N
1266016	4329	1994-09-15	VYDAJ	VYBER	300	26917	\N	\N	\N
1266017	4329	1994-10-15	VYDAJ	VYBER	1700	28216	\N	\N	\N
1266018	4329	1994-11-14	VYDAJ	VYBER	3000	28225	\N	\N	\N
1266019	4329	1994-12-10	VYDAJ	VYBER	26200	93349	\N	\N	\N
1266020	4329	1994-12-14	VYDAJ	VYBER	37100	56249	\N	\N	\N
1266021	4329	1995-01-13	VYDAJ	VYBER	13500	39463	\N	\N	\N
1266022	4329	1995-02-12	VYDAJ	VYBER	7700	26932	\N	\N	\N
1266023	4329	1995-03-14	VYDAJ	VYBER	23400	45165	\N	\N	\N
1266024	4329	1995-04-13	VYDAJ	VYBER	13500	33721	\N	\N	\N
1266025	4329	1995-05-13	VYDAJ	VYBER	20300	37074	\N	\N	\N
1266026	4329	1995-06-12	VYDAJ	VYBER	9800	30356	\N	\N	\N
1266027	4329	1995-07-12	VYDAJ	VYBER	6400	26990	\N	\N	\N
1266028	4329	1995-08-11	VYDAJ	VYBER	6100	23905	\N	\N	\N
1266029	4329	1995-09-10	VYDAJ	VYBER	5200	20453	\N	\N	\N
1266030	4329	1995-10-10	VYDAJ	VYBER	2600	20838	\N	\N	\N
1266031	4329	1995-11-09	VYDAJ	VYBER	5800	18020	\N	\N	\N
1266032	4329	1995-12-09	VYDAJ	VYBER	500	18699	\N	\N	\N
1266033	4329	1996-01-08	VYDAJ	VYBER	2100	16370	\N	\N	\N
1266034	4329	1996-02-07	VYDAJ	VYBER	2800	13630	\N	\N	\N
1266035	4329	1996-03-08	VYDAJ	VYBER	1900	14683	\N	\N	\N
1266036	4329	1996-04-07	VYDAJ	VYBER	2600	13188	\N	\N	\N
1266037	4329	1996-05-07	VYDAJ	VYBER	13300	28378	\N	\N	\N
1266038	4329	1996-06-06	VYDAJ	VYBER	9700	21677	\N	\N	\N
1266039	4329	1996-07-06	VYDAJ	VYBER	4600	18078	\N	\N	\N
1266040	4329	1996-08-05	VYDAJ	VYBER	6800	14253	\N	\N	\N
1266041	4329	1996-09-04	VYDAJ	VYBER	29900	33366	\N	\N	\N
1266042	4329	1996-10-04	VYDAJ	VYBER	14300	21281	\N	\N	\N
1266043	4329	1996-11-03	VYDAJ	VYBER	10200	14090	\N	\N	\N
1266044	4329	1997-02-01	VYDAJ	VYBER	3600	12920	\N	\N	\N
1266045	4329	1997-04-02	VYDAJ	VYBER	3800	15027	\N	\N	\N
1266046	4329	1997-05-02	VYDAJ	VYBER	4300	13688	\N	\N	\N
1266047	4329	1997-06-01	VYDAJ	VYBER	2000	14643	\N	\N	\N
1266048	4329	1997-07-31	VYDAJ	VYBER	7600	12974	\N	\N	\N
1266049	4329	1997-08-30	VYDAJ	VYBER	21000	21954	\N	\N	\N
1266050	4329	1997-09-29	VYDAJ	VYBER	7500	14960	\N	\N	\N
1266051	4329	1997-11-28	VYDAJ	VYBER	25500	22437	\N	\N	\N
1266052	4329	1997-12-28	VYDAJ	VYBER	8300	14658	\N	\N	\N
1266053	4329	1998-02-26	VYDAJ	VYBER	24800	26240	\N	\N	\N
1266054	4329	1998-03-28	VYDAJ	VYBER	31600	38753	\N	\N	\N
1266055	4329	1998-04-27	VYDAJ	VYBER	17600	24157	\N	\N	\N
1266056	4329	1998-05-27	VYDAJ	VYBER	6300	19348	\N	\N	\N
1266057	4329	1998-06-26	VYDAJ	VYBER	3600	17277	\N	\N	\N
1266058	4329	1998-07-26	VYDAJ	VYBER	5500	14742	\N	\N	\N
1266059	4329	1998-08-25	PRIJEM	VKLAD	700	18398	\N	\N	\N
1266060	4329	1998-09-24	PRIJEM	VKLAD	1200	22149	\N	\N	\N
1266061	4329	1998-10-24	VYDAJ	VYBER	4400	20714	\N	\N	\N
1266062	4329	1998-11-23	VYDAJ	VYBER	2400	21290	\N	\N	\N
1266122	4330	1995-07-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1266123	4330	1995-08-11	PRIJEM	VKLAD	33359	47259	\N	\N	\N
1266126	4330	1996-02-01	PRIJEM	VKLAD	18477	34150	\N	\N	\N
1266127	4330	1996-02-16	PRIJEM	VKLAD	31944	66094	\N	\N	\N
1266128	4330	1996-10-01	PRIJEM	VKLAD	17983	37812	\N	\N	\N
1266129	4330	1996-03-18	PRIJEM	VKLAD	48354	93128	\N	\N	\N
1266130	4330	1996-07-06	PRIJEM	VKLAD	38338	72571	\N	\N	\N
1266131	4330	1996-12-21	PRIJEM	VKLAD	30566	39210	\N	\N	\N
1266132	4330	1996-06-11	PRIJEM	VKLAD	49399	62118	\N	\N	\N
1266133	4330	1996-03-07	PRIJEM	VKLAD	5414	44774	\N	\N	\N
1266134	4330	1996-08-20	PRIJEM	VKLAD	5771	50165	\N	\N	\N
1266135	4330	1996-10-04	PRIJEM	VKLAD	42486	80298	\N	\N	\N
1266136	4330	1996-07-09	PRIJEM	VKLAD	21892	94463	\N	\N	\N
1266137	4330	1997-04-19	PRIJEM	VKLAD	38215	68661	\N	\N	\N
1266138	4330	1997-11-28	PRIJEM	VKLAD	25525	48598	\N	\N	\N
1266139	4330	1997-02-06	PRIJEM	VKLAD	24928	71383	\N	\N	\N
1266140	4330	1997-05-25	PRIJEM	VKLAD	29545	49510	\N	\N	\N
1266141	4330	1997-10-28	PRIJEM	VKLAD	48471	67282	\N	\N	\N
1266142	4330	1997-01-07	PRIJEM	VKLAD	37722	103526	\N	\N	\N
1266143	4330	1997-02-18	PRIJEM	VKLAD	43686	109143	\N	\N	\N
1266144	4330	1997-04-20	PRIJEM	VKLAD	9266	77927	\N	\N	\N
1266145	4330	1997-06-06	PRIJEM	VKLAD	9092	21916	\N	\N	\N
1266146	4330	1997-07-30	PRIJEM	VKLAD	26479	53626	\N	\N	\N
1266147	4330	1997-04-11	PRIJEM	VKLAD	16027	36372	\N	\N	\N
1266148	4330	1997-06-24	PRIJEM	VKLAD	17020	33010	\N	\N	\N
1266149	4330	1997-01-05	PRIJEM	VKLAD	49035	70304	\N	\N	\N
1266150	4330	1997-09-18	PRIJEM	VKLAD	27416	81200	\N	\N	\N
1266151	4330	1997-08-28	PRIJEM	VKLAD	37510	67925	\N	\N	\N
1266152	4330	1997-02-03	PRIJEM	VKLAD	12837	46455	\N	\N	\N
1266153	4330	1998-11-05	PRIJEM	VKLAD	7369	61738	\N	\N	\N
1266154	4330	1998-10-21	PRIJEM	VKLAD	39336	115671	\N	\N	\N
1266155	4330	1998-06-11	PRIJEM	VKLAD	15737	45302	\N	\N	\N
1266156	4330	1998-09-15	PRIJEM	VKLAD	39171	41131	\N	\N	\N
1266157	4330	1998-05-06	PRIJEM	VKLAD	9968	35391	\N	\N	\N
1266158	4330	1998-11-24	PRIJEM	VKLAD	38686	144158	\N	\N	\N
1266159	4330	1998-09-19	PRIJEM	VKLAD	18541	59672	\N	\N	\N
1266160	4330	1998-12-25	PRIJEM	VKLAD	7318	77175	\N	\N	\N
1266161	4330	1998-01-31	PRIJEM	VKLAD	19530	45164	\N	\N	\N
1266162	4330	1998-10-19	PRIJEM	VKLAD	45861	76335	\N	\N	\N
1266163	4330	1998-02-26	PRIJEM	VKLAD	48182	87405	\N	\N	\N
1266164	4330	1998-11-21	PRIJEM	VKLAD	49660	105472	\N	\N	\N
1266165	4330	1998-11-29	PRIJEM	VKLAD	45745	152103	\N	\N	\N
1266166	4330	1998-03-13	PRIJEM	VKLAD	13071	92921	\N	\N	\N
1266167	4330	1998-12-06	PRIJEM	VKLAD	34546	131064	\N	\N	\N
1266168	4330	1998-01-01	PRIJEM	VKLAD	30163	55113	\N	\N	\N
1266169	4330	1998-12-15	PRIJEM	VKLAD	34319	118457	\N	\N	\N
1266170	4330	1998-02-27	PRIJEM	VKLAD	36667	124072	\N	\N	\N
1266171	4330	1998-09-26	PRIJEM	VKLAD	34784	94456	\N	\N	\N
1266235	4330	1996-04-13	VYDAJ	PREVOD NA UCET	4140	21857	SIPO	CD	5012721
1266236	4330	1996-05-13	VYDAJ	PREVOD NA UCET	4140	15551	SIPO	CD	5012721
1266237	4330	1996-06-13	VYDAJ	PREVOD NA UCET	4140	57978	SIPO	CD	5012721
1266238	4330	1996-07-13	VYDAJ	PREVOD NA UCET	4140	90323	SIPO	CD	5012721
1266239	4330	1996-08-13	VYDAJ	PREVOD NA UCET	4140	46180	SIPO	CD	5012721
1266240	4330	1996-09-13	VYDAJ	PREVOD NA UCET	4140	21531	SIPO	CD	5012721
1266241	4330	1996-10-13	VYDAJ	PREVOD NA UCET	4140	76158	SIPO	CD	5012721
1266242	4330	1996-11-13	VYDAJ	PREVOD NA UCET	4140	16287	SIPO	CD	5012721
1266243	4330	1996-12-13	VYDAJ	PREVOD NA UCET	4140	10430	SIPO	CD	5012721
1266244	4330	1997-01-13	VYDAJ	PREVOD NA UCET	4140	90686	SIPO	CD	5012721
1266245	4330	1997-02-13	VYDAJ	PREVOD NA UCET	4140	67243	SIPO	CD	5012721
1266246	4330	1997-03-13	VYDAJ	PREVOD NA UCET	4140	45672	SIPO	CD	5012721
1266247	4330	1997-04-13	VYDAJ	PREVOD NA UCET	4140	32232	SIPO	CD	5012721
1266248	4330	1997-05-13	VYDAJ	PREVOD NA UCET	4140	21751	SIPO	CD	5012721
1266249	4330	1997-06-13	VYDAJ	PREVOD NA UCET	4140	17776	SIPO	CD	5012721
1266250	4330	1997-07-13	VYDAJ	PREVOD NA UCET	4140	28933	SIPO	CD	5012721
1266251	4330	1997-08-13	VYDAJ	PREVOD NA UCET	4140	41500	SIPO	CD	5012721
1266252	4330	1997-09-13	VYDAJ	PREVOD NA UCET	4140	55570	SIPO	CD	5012721
1266253	4330	1997-10-13	VYDAJ	PREVOD NA UCET	4140	20597	SIPO	CD	5012721
1266254	4330	1997-11-13	VYDAJ	PREVOD NA UCET	4140	63259	SIPO	CD	5012721
1266255	4330	1997-12-13	VYDAJ	PREVOD NA UCET	4140	44667	SIPO	CD	5012721
1266256	4330	1998-01-13	VYDAJ	PREVOD NA UCET	4140	42873	SIPO	CD	5012721
1266257	4330	1998-02-13	VYDAJ	PREVOD NA UCET	4140	41009	SIPO	CD	5012721
1266258	4330	1998-03-13	VYDAJ	PREVOD NA UCET	4140	88781	SIPO	CD	5012721
1266259	4330	1998-04-13	VYDAJ	PREVOD NA UCET	4140	27108	SIPO	CD	5012721
1266260	4330	1998-05-13	VYDAJ	PREVOD NA UCET	4140	31251	SIPO	CD	5012721
1266261	4330	1998-06-13	VYDAJ	PREVOD NA UCET	4140	21362	SIPO	CD	5012721
1266262	4330	1998-07-13	VYDAJ	PREVOD NA UCET	4140	15520	SIPO	CD	5012721
1266263	4330	1998-08-13	VYDAJ	PREVOD NA UCET	4140	9645	SIPO	CD	5012721
1266264	4330	1998-09-13	VYDAJ	PREVOD NA UCET	4140	3746	SIPO	CD	5012721
1266265	4330	1998-10-13	VYDAJ	PREVOD NA UCET	4140	90460	SIPO	CD	5012721
1266266	4330	1998-11-13	VYDAJ	PREVOD NA UCET	4140	57598	SIPO	CD	5012721
1266267	4330	1998-12-13	VYDAJ	PREVOD NA UCET	4140	85924	SIPO	CD	5012721
1266283	4330	1996-04-14	VYDAJ	PREVOD NA UCET	1786	20071	 	OP	83009093
1266284	4330	1996-05-14	VYDAJ	PREVOD NA UCET	1786	13765	 	OP	83009093
1266285	4330	1996-06-14	VYDAJ	PREVOD NA UCET	1786	56192	 	OP	83009093
1266286	4330	1996-07-14	VYDAJ	PREVOD NA UCET	1786	88537	 	OP	83009093
1266287	4330	1996-08-14	VYDAJ	PREVOD NA UCET	1786	44394	 	OP	83009093
1266288	4330	1996-09-14	VYDAJ	PREVOD NA UCET	1786	19745	 	OP	83009093
1266289	4330	1996-10-14	VYDAJ	PREVOD NA UCET	1786	74372	 	OP	83009093
1266290	4330	1996-11-14	VYDAJ	PREVOD NA UCET	1786	14501	 	OP	83009093
1266291	4330	1996-12-14	VYDAJ	PREVOD NA UCET	1786	8644	 	OP	83009093
1266292	4330	1997-01-14	VYDAJ	PREVOD NA UCET	1786	88900	 	OP	83009093
1266293	4330	1997-02-14	VYDAJ	PREVOD NA UCET	1786	65457	 	OP	83009093
1266294	4330	1997-03-14	VYDAJ	PREVOD NA UCET	1786	43886	 	OP	83009093
1266295	4330	1997-04-14	VYDAJ	PREVOD NA UCET	1786	30446	 	OP	83009093
1266296	4330	1997-05-14	VYDAJ	PREVOD NA UCET	1786	19965	 	OP	83009093
1266297	4330	1997-06-14	VYDAJ	PREVOD NA UCET	1786	15990	 	OP	83009093
1266298	4330	1997-07-14	VYDAJ	PREVOD NA UCET	1786	27147	 	OP	83009093
1266299	4330	1997-08-14	VYDAJ	PREVOD NA UCET	1786	39714	 	OP	83009093
1266300	4330	1997-09-14	VYDAJ	PREVOD NA UCET	1786	53784	 	OP	83009093
1266301	4330	1997-10-14	VYDAJ	PREVOD NA UCET	1786	18811	 	OP	83009093
1266302	4330	1997-11-14	VYDAJ	PREVOD NA UCET	1786	61473	 	OP	83009093
1266303	4330	1997-12-14	VYDAJ	PREVOD NA UCET	1786	42881	 	OP	83009093
1266304	4330	1998-01-14	VYDAJ	PREVOD NA UCET	1786	41087	 	OP	83009093
1266305	4330	1998-02-14	VYDAJ	PREVOD NA UCET	1786	39223	 	OP	83009093
1266306	4330	1998-03-14	VYDAJ	PREVOD NA UCET	1786	86995	 	OP	83009093
1266307	4330	1998-04-14	VYDAJ	PREVOD NA UCET	1786	25322	 	OP	83009093
1266308	4330	1998-05-14	VYDAJ	PREVOD NA UCET	1786	29465	 	OP	83009093
1266309	4330	1998-06-14	VYDAJ	PREVOD NA UCET	1786	19576	 	OP	83009093
1266310	4330	1998-07-14	VYDAJ	PREVOD NA UCET	1786	13734	 	OP	83009093
1266311	4330	1998-08-14	VYDAJ	PREVOD NA UCET	1786	7859	 	OP	83009093
1266312	4330	1998-09-14	VYDAJ	PREVOD NA UCET	1786	1960	 	OP	83009093
1266313	4330	1998-10-14	VYDAJ	PREVOD NA UCET	1786	88674	 	OP	83009093
1266314	4330	1998-11-14	VYDAJ	PREVOD NA UCET	1786	55812	 	OP	83009093
1266315	4330	1998-12-14	VYDAJ	PREVOD NA UCET	1786	84138	 	OP	83009093
1266319	4330	1996-04-05	VYBER	VYBER	23782	31321	\N	\N	\N
1266321	4330	1996-09-10	VYBER	VYBER	3973	25671	\N	\N	\N
1266323	4330	1996-04-11	VYBER	VYBER	5324	25997	\N	\N	\N
1266326	4330	1996-11-02	VYBER	VYBER	12202	27027	\N	\N	\N
1266327	4330	1997-05-25	VYBER	VYBER	17157	32353	\N	\N	\N
1266329	4330	1997-09-11	VYBER	VYBER	8381	59710	\N	\N	\N
1266330	4330	1997-01-16	VYBER	VYBER	13720	75180	\N	\N	\N
1266331	4330	1997-04-20	VYBER	VYBER	24266	53661	\N	\N	\N
1266333	4330	1997-10-06	VYBER	VYBER	11188	24737	\N	\N	\N
1266334	4330	1997-12-19	VYBER	VYBER	13577	29304	\N	\N	\N
1266336	4330	1997-02-21	VYBER	VYBER	13192	95951	\N	\N	\N
1266338	4330	1997-08-20	VYBER	VYBER	9299	30415	\N	\N	\N
1266344	4330	1998-06-12	VYDAJ	VYBER	18000	25502	\N	\N	\N
1266346	4330	1996-12-23	VYDAJ	VYBER	6900	32310	\N	\N	\N
1266347	4330	1997-12-26	VYDAJ	VYBER	4500	24804	\N	\N	\N
1266348	4330	1998-12-10	VYDAJ	VYBER	8700	90064	\N	\N	\N
1266361	4330	1997-01-10	VYDAJ	VYBER	4800	94826	\N	\N	\N
1266362	4330	1997-01-06	VYDAJ	VYBER	4500	65804	\N	\N	\N
1266363	4330	1997-01-09	VYDAJ	VYBER	3900	99626	\N	\N	\N
1266364	4330	1997-01-23	VYDAJ	VYBER	2100	64380	\N	\N	\N
1266365	4330	1997-01-18	VYDAJ	VYBER	8700	66480	\N	\N	\N
1266367	4330	1998-01-19	VYDAJ	VYBER	2100	32087	\N	\N	\N
1266368	4330	1998-01-18	VYDAJ	VYBER	6900	34187	\N	\N	\N
1266369	4330	1998-01-29	VYDAJ	VYBER	6600	25487	\N	\N	\N
1266371	4330	1998-01-13	VYDAJ	VYBER	1800	47013	\N	\N	\N
1266372	4330	1998-01-07	VYDAJ	VYBER	6300	48813	\N	\N	\N
1266379	4330	1996-11-06	VYDAJ	VYBER	6600	20427	\N	\N	\N
1266382	4330	1997-07-30	VYDAJ	VYBER	8100	45526	\N	\N	\N
1266383	4330	1998-12-16	VYDAJ	VYBER	5100	69857	\N	\N	\N
1266384	4330	1998-06-11	VYDAJ	VYBER	1800	43502	\N	\N	\N
1266385	4330	1998-10-24	VYDAJ	VYBER	12900	54071	\N	\N	\N
1266401	4330	1996-03-31	VYDAJ	VYBER	15	55103	SLUZBY	\N	\N
1266402	4330	1996-04-30	VYDAJ	VYBER	15	19691	SLUZBY	\N	\N
1266403	4330	1996-05-31	VYDAJ	VYBER	15	12719	SLUZBY	\N	\N
1266404	4330	1996-06-30	VYDAJ	VYBER	15	34233	SLUZBY	\N	\N
1266405	4330	1996-07-31	VYDAJ	VYBER	15	50320	SLUZBY	\N	\N
1266406	4330	1996-08-31	VYDAJ	VYBER	15	29644	SLUZBY	\N	\N
1266407	4330	1996-09-30	VYDAJ	VYBER	15	19829	SLUZBY	\N	\N
1266408	4330	1996-10-31	VYDAJ	VYBER	15	39229	SLUZBY	\N	\N
1266409	4330	1996-11-30	VYDAJ	VYBER	15	14570	SLUZBY	\N	\N
1266410	4330	1996-12-31	VYDAJ	VYBER	15	21269	SLUZBY	\N	\N
1266411	4330	1997-01-31	VYDAJ	VYBER	15	33618	SLUZBY	\N	\N
1266412	4330	1997-02-28	VYDAJ	VYBER	15	49812	SLUZBY	\N	\N
1266413	4330	1997-03-31	VYDAJ	VYBER	15	20345	SLUZBY	\N	\N
1266414	4330	1997-04-30	VYDAJ	VYBER	15	25891	SLUZBY	\N	\N
1266415	4330	1997-05-31	VYDAJ	VYBER	15	12824	SLUZBY	\N	\N
1266416	4330	1997-06-30	VYDAJ	VYBER	15	33073	SLUZBY	\N	\N
1266417	4330	1997-07-31	VYDAJ	VYBER	15	45640	SLUZBY	\N	\N
1266418	4330	1997-08-31	VYDAJ	VYBER	15	68091	SLUZBY	\N	\N
1266419	4330	1997-09-30	VYDAJ	VYBER	15	35925	SLUZBY	\N	\N
1266420	4330	1997-10-31	VYDAJ	VYBER	15	67399	SLUZBY	\N	\N
1266421	4330	1997-11-30	VYDAJ	VYBER	15	48807	SLUZBY	\N	\N
1266422	4330	1997-12-31	VYDAJ	VYBER	15	24950	SLUZBY	\N	\N
1266423	4330	1998-01-31	VYDAJ	VYBER	15	45149	SLUZBY	\N	\N
1266424	4330	1998-02-28	VYDAJ	VYBER	15	79850	SLUZBY	\N	\N
1266425	4330	1998-03-31	VYDAJ	VYBER	15	31248	SLUZBY	\N	\N
1266426	4330	1998-04-30	VYDAJ	VYBER	15	25423	SLUZBY	\N	\N
1266427	4330	1998-05-31	VYDAJ	VYBER	15	29565	SLUZBY	\N	\N
1266428	4330	1998-06-30	VYDAJ	VYBER	15	19660	SLUZBY	\N	\N
1266429	4330	1998-07-31	VYDAJ	VYBER	15	13785	SLUZBY	\N	\N
1266430	4330	1998-08-31	VYDAJ	VYBER	15	7886	SLUZBY	\N	\N
1266431	4330	1998-09-30	VYDAJ	VYBER	15	94600	SLUZBY	\N	\N
1266432	4330	1998-10-31	VYDAJ	VYBER	15	54369	SLUZBY	\N	\N
1266433	4330	1998-11-30	VYDAJ	VYBER	15	96518	SLUZBY	\N	\N
1266434	4330	1995-08-04	PRIJEM	VKLAD	12800	13900	\N	\N	\N
1266435	4330	1995-09-03	VYDAJ	VYBER	9900	37492	\N	\N	\N
1266436	4330	1995-10-03	VYDAJ	VYBER	8600	29089	\N	\N	\N
1266437	4330	1995-11-02	VYDAJ	VYBER	2100	27186	\N	\N	\N
1266438	4330	1995-12-02	VYDAJ	VYBER	6400	20983	\N	\N	\N
1266439	4330	1996-01-01	VYDAJ	VYBER	1800	19380	\N	\N	\N
1266440	4330	1996-01-31	VYDAJ	VYBER	3900	15673	\N	\N	\N
1266441	4330	1996-03-01	VYDAJ	VYBER	26900	39360	\N	\N	\N
1266442	4330	1996-03-31	VYDAJ	VYBER	38300	55118	\N	\N	\N
1266443	4330	1996-04-30	VYDAJ	VYBER	500	19706	\N	\N	\N
1266444	4330	1996-05-30	VYDAJ	VYBER	1100	12665	\N	\N	\N
1266445	4330	1996-06-29	VYDAJ	VYBER	22100	34092	\N	\N	\N
1266446	4330	1996-07-29	VYDAJ	VYBER	38500	50037	\N	\N	\N
1266447	4330	1996-08-28	VYDAJ	VYBER	20700	29465	\N	\N	\N
1266448	4330	1996-10-27	VYDAJ	VYBER	35400	38972	\N	\N	\N
1266449	4330	1996-12-26	VYDAJ	VYBER	11100	21210	\N	\N	\N
1266450	4330	1997-01-25	VYDAJ	VYBER	31000	33380	\N	\N	\N
1266451	4330	1997-02-24	VYDAJ	VYBER	46400	49551	\N	\N	\N
1266452	4330	1997-03-26	VYDAJ	VYBER	23700	20186	\N	\N	\N
1266453	4330	1997-04-25	VYDAJ	VYBER	27900	25761	\N	\N	\N
1266454	4330	1997-05-25	VYDAJ	VYBER	19600	12753	\N	\N	\N
1266455	4330	1997-09-22	VYDAJ	VYBER	45500	35700	\N	\N	\N
1266456	4330	1997-11-21	VYDAJ	VYBER	38400	23073	\N	\N	\N
1266457	4330	1998-02-27	VYDAJ	VYBER	44400	79672	\N	\N	\N
1266458	4330	1998-03-21	VYDAJ	VYBER	56000	30995	\N	\N	\N
1266459	4330	1998-10-17	VYDAJ	VYBER	58200	30474	\N	\N	\N
1266460	4330	1998-10-21	VYDAJ	VYBER	48700	66971	\N	\N	\N
1266461	4330	1998-11-24	VYDAJ	VYBER	37800	106358	\N	\N	\N
1266462	4330	1998-11-29	VYDAJ	VYBER	55900	96203	\N	\N	\N
1266463	4330	1998-12-06	VYDAJ	VYBER	32300	98764	\N	\N	\N
1266464	4330	1998-12-15	VYDAJ	VYBER	43500	74957	\N	\N	\N
1266632	4332	1997-12-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1266639	4332	1998-10-23	PRIJEM	VKLAD	26765	51594	\N	\N	\N
1266640	4332	1998-01-13	PRIJEM	VKLAD	14616	15616	\N	\N	\N
1266641	4332	1998-10-25	PRIJEM	VKLAD	47226	98820	\N	\N	\N
1266642	4332	1998-06-05	PRIJEM	VKLAD	20807	50295	\N	\N	\N
1266643	4332	1998-08-20	PRIJEM	VKLAD	31337	53420	\N	\N	\N
1266644	4332	1998-04-14	PRIJEM	VKLAD	43323	117827	\N	\N	\N
1266645	4332	1998-07-14	PRIJEM	VKLAD	13663	28373	\N	\N	\N
1266646	4332	1998-01-19	PRIJEM	VKLAD	16381	76469	\N	\N	\N
1266647	4332	1998-08-31	PRIJEM	VKLAD	15279	62153	\N	\N	\N
1266648	4332	1998-04-10	PRIJEM	VKLAD	22777	74504	\N	\N	\N
1266649	4332	1998-01-15	PRIJEM	VKLAD	44472	60088	\N	\N	\N
1266650	4332	1998-02-28	PRIJEM	VKLAD	30213	72524	\N	\N	\N
1266691	4332	1998-05-08	VYDAJ	PREVOD NA UCET	7885	51563	SIPO	GH	21178984
1266692	4332	1998-06-08	VYDAJ	PREVOD NA UCET	7885	42410	SIPO	GH	21178984
1266693	4332	1998-07-08	VYDAJ	PREVOD NA UCET	7885	14710	SIPO	GH	21178984
1266694	4332	1998-08-08	VYDAJ	PREVOD NA UCET	7885	22083	SIPO	GH	21178984
1266695	4332	1998-09-08	VYDAJ	PREVOD NA UCET	7885	54253	SIPO	GH	21178984
1266696	4332	1998-10-08	VYDAJ	PREVOD NA UCET	7885	11629	SIPO	GH	21178984
1266697	4332	1998-11-08	VYDAJ	PREVOD NA UCET	7885	91081	SIPO	GH	21178984
1266698	4332	1998-12-08	VYDAJ	PREVOD NA UCET	7885	55228	SIPO	GH	21178984
1266707	4332	1998-06-17	VYBER	VYBER	21925	20485	\N	\N	\N
1266708	4332	1998-09-14	VYBER	VYBER	10722	43531	\N	\N	\N
1266709	4332	1998-05-15	VYBER	VYBER	23238	28325	\N	\N	\N
1266719	4332	1998-12-24	VYDAJ	VYBER	6300	37528	\N	\N	\N
1266738	4332	1998-09-26	VYDAJ	VYBER	14100	24731	\N	\N	\N
1266739	4332	1998-10-02	VYDAJ	VYBER	5400	19514	\N	\N	\N
1266740	4332	1998-04-14	VYDAJ	VYBER	7800	110027	\N	\N	\N
1266757	4332	1998-04-30	VYDAJ	VYBER	15	59448	SLUZBY	\N	\N
1266758	4332	1998-05-31	VYDAJ	VYBER	15	29488	SLUZBY	\N	\N
1266759	4332	1998-06-30	VYDAJ	VYBER	15	22595	SLUZBY	\N	\N
1266760	4332	1998-07-31	VYDAJ	VYBER	15	29968	SLUZBY	\N	\N
1266761	4332	1998-08-31	VYDAJ	VYBER	15	62138	SLUZBY	\N	\N
1266762	4332	1998-09-30	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
1266763	4332	1998-10-31	VYDAJ	VYBER	15	98966	SLUZBY	\N	\N
1266764	4332	1998-11-30	VYDAJ	VYBER	15	63113	SLUZBY	\N	\N
1266765	4332	1998-01-22	VYDAJ	VYBER	26400	50069	\N	\N	\N
1266766	4332	1998-02-21	VYDAJ	VYBER	8100	42099	\N	\N	\N
1266767	4332	1998-03-23	VYDAJ	VYBER	21100	51424	\N	\N	\N
1266768	4332	1998-04-14	VYDAJ	VYBER	19400	90627	\N	\N	\N
1266769	4332	1998-04-22	VYDAJ	VYBER	31500	59127	\N	\N	\N
1266770	4332	1998-05-22	PRIJEM	VKLAD	1000	29325	\N	\N	\N
1266771	4332	1998-06-21	PRIJEM	VKLAD	2000	22485	\N	\N	\N
1266772	4332	1998-07-21	PRIJEM	VKLAD	1500	29873	\N	\N	\N
1266773	4332	1998-08-20	VYDAJ	VYBER	6700	46720	\N	\N	\N
1266774	4332	1998-09-19	VYDAJ	VYBER	4700	38831	\N	\N	\N
1266775	4332	1998-10-19	PRIJEM	VKLAD	13200	24829	\N	\N	\N
1266776	4332	1998-11-18	VYDAJ	VYBER	28300	62781	\N	\N	\N
1266777	4332	1998-12-18	VYDAJ	VYBER	11400	43828	\N	\N	\N
1267639	4336	1997-07-08	PRIJEM	VKLAD	200	200	\N	\N	\N
1267640	4336	1997-09-24	PRIJEM	VKLAD	33216	97723	\N	\N	\N
1267641	4336	1997-08-18	PRIJEM	VKLAD	23020	45956	\N	\N	\N
1267642	4336	1997-12-18	PRIJEM	VKLAD	35936	103386	\N	\N	\N
1267643	4336	1997-12-06	PRIJEM	VKLAD	36887	78466	\N	\N	\N
1267644	4336	1997-07-28	PRIJEM	VKLAD	20225	20425	\N	\N	\N
1267647	4336	1997-10-10	PRIJEM	VKLAD	45583	112359	\N	\N	\N
1267653	4336	1997-10-31	PRIJEM	VKLAD	21971	98541	\N	\N	\N
1267654	4336	1997-09-20	PRIJEM	VKLAD	12746	46735	\N	\N	\N
1267655	4336	1997-12-22	PRIJEM	VKLAD	19375	81761	\N	\N	\N
1267657	4336	1997-09-24	PRIJEM	VKLAD	17772	64507	\N	\N	\N
1267659	4336	1997-10-22	PRIJEM	VKLAD	7366	76238	\N	\N	\N
1267660	4336	1997-10-21	PRIJEM	VKLAD	49329	106872	\N	\N	\N
1267664	4336	1997-09-27	PRIJEM	VKLAD	7021	104744	\N	\N	\N
1267666	4336	1998-03-05	PRIJEM	VKLAD	6065	95156	\N	\N	\N
1267667	4336	1998-01-20	PRIJEM	VKLAD	32630	101023	\N	\N	\N
1267668	4336	1998-07-12	PRIJEM	VKLAD	11964	61454	\N	\N	\N
1267669	4336	1998-05-22	PRIJEM	VKLAD	30726	59367	\N	\N	\N
1267670	4336	1998-01-16	PRIJEM	VKLAD	39850	71393	\N	\N	\N
1267671	4336	1998-07-06	PRIJEM	VKLAD	11896	57806	\N	\N	\N
1267672	4336	1998-07-15	PRIJEM	VKLAD	7163	68617	\N	\N	\N
1267673	4336	1998-05-26	PRIJEM	VKLAD	48730	140929	\N	\N	\N
1267674	4336	1998-05-25	PRIJEM	VKLAD	32832	92199	\N	\N	\N
1267675	4336	1998-02-15	PRIJEM	VKLAD	47221	88804	\N	\N	\N
1267676	4336	1998-12-16	PRIJEM	VKLAD	41418	59492	\N	\N	\N
1267710	4336	1997-10-11	VYDAJ	PREVOD NA UCET	8316	65943	SIPO	WX	30210501
1267711	4336	1997-11-11	VYDAJ	PREVOD NA UCET	8316	52511	SIPO	WX	30210501
1267712	4336	1997-12-11	VYDAJ	PREVOD NA UCET	8316	70150	SIPO	WX	30210501
1267713	4336	1998-01-11	VYDAJ	PREVOD NA UCET	8316	35143	SIPO	WX	30210501
1267714	4336	1998-02-11	VYDAJ	PREVOD NA UCET	8316	41583	SIPO	WX	30210501
1267715	4336	1998-03-11	VYDAJ	PREVOD NA UCET	8316	58540	SIPO	WX	30210501
1267716	4336	1998-04-11	VYDAJ	PREVOD NA UCET	8316	37300	SIPO	WX	30210501
1267717	4336	1998-05-11	VYDAJ	PREVOD NA UCET	8316	28641	SIPO	WX	30210501
1267718	4336	1998-06-11	VYDAJ	PREVOD NA UCET	8316	55735	SIPO	WX	30210501
1267719	4336	1998-07-11	VYDAJ	PREVOD NA UCET	8316	49490	SIPO	WX	30210501
1267720	4336	1998-08-11	VYDAJ	PREVOD NA UCET	8316	35651	SIPO	WX	30210501
1267721	4336	1998-09-11	VYDAJ	PREVOD NA UCET	8316	17083	SIPO	WX	30210501
1267722	4336	1998-10-11	VYDAJ	PREVOD NA UCET	8316	18347	SIPO	WX	30210501
1267723	4336	1998-11-11	VYDAJ	PREVOD NA UCET	8316	18892	SIPO	WX	30210501
1267724	4336	1998-12-11	VYDAJ	PREVOD NA UCET	8316	18074	SIPO	WX	30210501
1267734	4336	1998-01-24	VYDAJ	VYBER	26400	73123	\N	\N	\N
1267735	4336	1997-12-26	VYDAJ	VYBER	5700	76061	\N	\N	\N
1267736	4336	1998-12-20	VYDAJ	VYBER KARTOU	2400	57092	\N	\N	0
1267743	4336	1998-01-15	VYDAJ	VYBER	3600	31543	\N	\N	\N
1267744	4336	1998-01-27	VYDAJ	VYBER	5700	67423	\N	\N	\N
1267745	4336	1998-01-18	VYDAJ	VYBER	3000	68393	\N	\N	\N
1267746	4336	1998-01-23	VYDAJ	VYBER	1500	99523	\N	\N	\N
1267747	4336	1998-01-10	VYDAJ	VYBER	3900	47959	\N	\N	\N
1267748	4336	1998-01-29	VYDAJ	VYBER	5700	61723	\N	\N	\N
1267752	4336	1997-12-12	VYDAJ	VYBER	2700	67450	\N	\N	\N
1267755	4336	1997-10-14	VYDAJ	VYBER	8400	57543	\N	\N	\N
1267757	4336	1998-01-11	VYDAJ	VYBER	4500	43459	\N	\N	\N
1267758	4336	1998-09-10	VYDAJ	VYBER	13200	25399	\N	\N	\N
1267759	4336	1998-08-01	VYDAJ	VYBER	14400	54467	\N	\N	\N
1267761	4336	1998-04-03	VYDAJ	VYBER	4200	54616	\N	\N	\N
1267771	4336	1997-09-30	VYDAJ	VYBER	15	104976	SLUZBY	\N	\N
1267772	4336	1997-10-31	VYDAJ	VYBER	15	98527	SLUZBY	\N	\N
1267773	4336	1997-11-30	VYDAJ	VYBER	15	52779	SLUZBY	\N	\N
1267774	4336	1997-12-31	VYDAJ	VYBER	15	76359	SLUZBY	\N	\N
1267775	4336	1998-01-31	VYDAJ	VYBER	15	61999	SLUZBY	\N	\N
1267776	4336	1998-02-28	VYDAJ	VYBER	15	89091	SLUZBY	\N	\N
1267777	4336	1998-03-31	VYDAJ	VYBER	15	58816	SLUZBY	\N	\N
1267778	4336	1998-04-30	VYDAJ	VYBER	15	37457	SLUZBY	\N	\N
1267779	4336	1998-05-31	VYDAJ	VYBER	15	96851	SLUZBY	\N	\N
1267780	4336	1998-06-30	VYDAJ	VYBER	15	56010	SLUZBY	\N	\N
1267781	4336	1998-07-31	VYDAJ	VYBER	15	68867	SLUZBY	\N	\N
1267782	4336	1998-08-31	VYDAJ	VYBER	15	35799	SLUZBY	\N	\N
1267783	4336	1998-09-30	VYDAJ	VYBER	15	17163	SLUZBY	\N	\N
1267784	4336	1998-10-31	VYDAJ	VYBER	15	27208	SLUZBY	\N	\N
1267785	4336	1998-11-30	VYDAJ	VYBER	15	26390	SLUZBY	\N	\N
1267786	4336	1997-08-07	PRIJEM	VKLAD	2500	22936	\N	\N	\N
1267787	4336	1997-09-06	VYDAJ	VYBER	12100	33989	\N	\N	\N
1267788	4336	1997-10-06	VYDAJ	VYBER	38200	66776	\N	\N	\N
1267789	4336	1997-10-10	VYDAJ	VYBER	38100	74259	\N	\N	\N
1267790	4336	1997-10-21	VYDAJ	VYBER	38000	68872	\N	\N	\N
1267791	4336	1997-11-05	VYDAJ	VYBER	37700	60827	\N	\N	\N
1267792	4336	1997-12-05	VYDAJ	VYBER	11200	41579	\N	\N	\N
1267793	4336	1997-12-18	VYDAJ	VYBER	41000	62386	\N	\N	\N
1267794	4336	1998-01-04	VYDAJ	VYBER	24500	51859	\N	\N	\N
1267795	4336	1998-02-03	VYDAJ	VYBER	12100	49899	\N	\N	\N
1267796	4336	1998-03-05	VYDAJ	VYBER	28300	66856	\N	\N	\N
1267797	4336	1998-04-04	VYDAJ	VYBER	9000	45616	\N	\N	\N
1267798	4336	1998-05-04	VYDAJ	VYBER	500	36957	\N	\N	\N
1267799	4336	1998-05-26	VYDAJ	VYBER	44300	96629	\N	\N	\N
1267800	4336	1998-06-03	VYDAJ	VYBER	32800	64051	\N	\N	\N
1267801	4336	1998-07-03	VYDAJ	VYBER	10100	45910	\N	\N	\N
1267802	4336	1998-08-02	VYDAJ	VYBER	10500	43967	\N	\N	\N
1267803	4336	1998-09-01	PRIJEM	VKLAD	2800	38599	\N	\N	\N
1267804	4336	1998-10-01	PRIJEM	VKLAD	9500	26663	\N	\N	\N
1267805	4336	1998-10-31	PRIJEM	VKLAD	8800	27223	\N	\N	\N
1267806	4336	1998-11-30	PRIJEM	VKLAD	7400	26405	\N	\N	\N
1267825	4337	1993-11-16	PRIJEM	VKLAD	900	900	\N	\N	\N
1267830	4337	1993-12-13	PRIJEM	VKLAD	10976	11876	\N	\N	\N
1267836	4337	1994-09-24	PRIJEM	VKLAD	13730	115521	\N	\N	\N
1267837	4337	1994-06-21	PRIJEM	VKLAD	7406	42143	\N	\N	\N
1267838	4337	1994-03-04	PRIJEM	VKLAD	28285	56874	\N	\N	\N
1267839	4337	1994-07-26	PRIJEM	VKLAD	38842	86992	\N	\N	\N
1267840	4337	1994-04-15	PRIJEM	VKLAD	45181	107792	\N	\N	\N
1267841	4337	1994-09-22	PRIJEM	VKLAD	46697	101791	\N	\N	\N
1267842	4337	1994-09-25	PRIJEM	VKLAD	33021	117342	\N	\N	\N
1267843	4337	1994-12-19	PRIJEM	VKLAD	46532	73789	\N	\N	\N
1267844	4337	1994-11-12	PRIJEM	VKLAD	24966	51052	\N	\N	\N
1267845	4337	1994-08-03	PRIJEM	VKLAD	49907	137087	\N	\N	\N
1267846	4337	1994-06-07	PRIJEM	VKLAD	18183	49737	\N	\N	\N
1267847	4337	1994-06-23	PRIJEM	VKLAD	14461	56604	\N	\N	\N
1267848	4337	1994-07-15	PRIJEM	VKLAD	19553	48150	\N	\N	\N
1267849	4337	1994-09-06	PRIJEM	VKLAD	30241	85394	\N	\N	\N
1267850	4337	1994-11-02	PRIJEM	VKLAD	12621	32786	\N	\N	\N
1267851	4337	1994-04-11	PRIJEM	VKLAD	22279	62611	\N	\N	\N
1267852	4337	1994-01-03	PRIJEM	VKLAD	25801	46221	\N	\N	\N
1267853	4337	1995-08-05	PRIJEM	VKLAD	22528	76912	\N	\N	\N
1267854	4337	1995-07-17	PRIJEM	VKLAD	24011	61618	\N	\N	\N
1267855	4337	1995-09-28	PRIJEM	VKLAD	30824	60863	\N	\N	\N
1267856	4337	1995-03-24	PRIJEM	VKLAD	10810	49252	\N	\N	\N
1267857	4337	1995-02-13	PRIJEM	VKLAD	21201	62157	\N	\N	\N
1267858	4337	1995-08-11	PRIJEM	VKLAD	6838	56450	\N	\N	\N
1267859	4337	1995-07-03	PRIJEM	VKLAD	9206	79776	\N	\N	\N
1267860	4337	1995-04-22	PRIJEM	VKLAD	22656	102005	\N	\N	\N
1267861	4337	1995-12-28	PRIJEM	VKLAD	5510	82103	\N	\N	\N
1267862	4337	1995-11-04	PRIJEM	VKLAD	24922	92871	\N	\N	\N
1267863	4337	1995-01-12	PRIJEM	VKLAD	30671	78204	\N	\N	\N
1267864	4337	1995-10-31	PRIJEM	VKLAD	24285	67751	\N	\N	\N
1267865	4337	1995-09-01	PRIJEM	VKLAD	6151	46581	\N	\N	\N
1267866	4337	1995-04-30	PRIJEM	VKLAD	39523	103183	\N	\N	\N
1267867	4337	1995-01-27	PRIJEM	VKLAD	16579	68735	\N	\N	\N
1267868	4337	1995-06-28	PRIJEM	VKLAD	27936	70388	\N	\N	\N
1267869	4337	1995-04-20	PRIJEM	VKLAD	43272	79349	\N	\N	\N
1267870	4337	1995-06-20	PRIJEM	VKLAD	6983	42452	\N	\N	\N
1267871	4337	1995-04-26	PRIJEM	VKLAD	23994	125999	\N	\N	\N
1267872	4337	1995-07-16	PRIJEM	VKLAD	7176	37607	\N	\N	\N
1267873	4337	1995-04-02	PRIJEM	VKLAD	13977	63419	\N	\N	\N
1267874	4337	1995-07-04	PRIJEM	VKLAD	36219	115995	\N	\N	\N
1267875	4337	1995-12-01	PRIJEM	VKLAD	43182	95124	\N	\N	\N
1267876	4337	1995-04-29	PRIJEM	VKLAD	9400	107499	\N	\N	\N
1267877	4337	1995-08-02	PRIJEM	VKLAD	29819	113084	\N	\N	\N
1267878	4337	1995-01-03	PRIJEM	VKLAD	6229	80233	\N	\N	\N
1267879	4337	1995-12-23	PRIJEM	VKLAD	20111	76593	\N	\N	\N
1267880	4337	1995-10-04	PRIJEM	VKLAD	43331	104327	\N	\N	\N
1267881	4337	1995-07-26	PRIJEM	VKLAD	34308	95926	\N	\N	\N
1267882	4337	1996-03-13	PRIJEM	VKLAD	21601	96288	\N	\N	\N
1267883	4337	1996-02-22	PRIJEM	VKLAD	7392	85818	\N	\N	\N
1267884	4337	1996-01-04	PRIJEM	VKLAD	42999	109447	\N	\N	\N
1267885	4337	1996-06-10	PRIJEM	VKLAD	12354	61920	\N	\N	\N
1267886	4337	1996-10-07	PRIJEM	VKLAD	19040	97159	\N	\N	\N
1267887	4337	1996-12-13	PRIJEM	VKLAD	34138	86522	\N	\N	\N
1267888	4337	1996-05-26	PRIJEM	VKLAD	11821	61531	\N	\N	\N
1267889	4337	1996-02-06	PRIJEM	VKLAD	29744	80568	\N	\N	\N
1267890	4337	1996-11-21	PRIJEM	VKLAD	22487	119163	\N	\N	\N
1267891	4337	1996-11-20	PRIJEM	VKLAD	37607	96676	\N	\N	\N
1267892	4337	1996-05-14	PRIJEM	VKLAD	20060	78119	\N	\N	\N
1267893	4337	1996-08-04	PRIJEM	VKLAD	32042	63293	\N	\N	\N
1267894	4337	1996-06-05	PRIJEM	VKLAD	26515	68423	\N	\N	\N
1267895	4337	1996-09-17	PRIJEM	VKLAD	13954	45273	\N	\N	\N
1267896	4337	1996-09-18	PRIJEM	VKLAD	33109	78382	\N	\N	\N
1267897	4337	1996-03-07	PRIJEM	VKLAD	22786	76829	\N	\N	\N
1267898	4337	1996-10-02	PRIJEM	VKLAD	17960	78119	\N	\N	\N
1267899	4337	1996-10-26	PRIJEM	VKLAD	24725	119742	\N	\N	\N
1267900	4337	1996-01-08	PRIJEM	VKLAD	19876	65423	\N	\N	\N
1267901	4337	1996-01-10	PRIJEM	VKLAD	37154	102577	\N	\N	\N
1267902	4337	1996-04-08	PRIJEM	VKLAD	43429	100455	\N	\N	\N
1267903	4337	1996-09-29	PRIJEM	VKLAD	39356	117738	\N	\N	\N
1267904	4337	1997-07-17	PRIJEM	VKLAD	10373	39019	\N	\N	\N
1267905	4337	1997-01-15	PRIJEM	VKLAD	35072	120854	\N	\N	\N
1267906	4337	1997-12-12	PRIJEM	VKLAD	44459	99316	\N	\N	\N
1267907	4337	1997-08-13	PRIJEM	VKLAD	35304	93754	\N	\N	\N
1267908	4337	1997-07-27	PRIJEM	VKLAD	32681	71700	\N	\N	\N
1267909	4337	1997-01-14	PRIJEM	VKLAD	29521	85782	\N	\N	\N
1267910	4337	1997-09-20	PRIJEM	VKLAD	27590	105853	\N	\N	\N
1267911	4337	1997-09-15	PRIJEM	VKLAD	46301	139063	\N	\N	\N
1267912	4337	1997-09-07	PRIJEM	VKLAD	22014	92762	\N	\N	\N
1267913	4337	1997-11-12	PRIJEM	VKLAD	26728	91206	\N	\N	\N
1267914	4337	1998-06-09	PRIJEM	VKLAD	16625	56972	\N	\N	\N
1267915	4337	1998-01-16	PRIJEM	VKLAD	15353	73886	\N	\N	\N
1267916	4337	1998-03-14	PRIJEM	VKLAD	26852	68402	\N	\N	\N
1267917	4337	1998-07-31	PRIJEM	VKLAD	44405	87851	\N	\N	\N
1267918	4337	1998-05-04	PRIJEM	VKLAD	36367	95776	\N	\N	\N
1267919	4337	1998-07-06	PRIJEM	VKLAD	22390	72660	\N	\N	\N
1267920	4337	1998-10-20	PRIJEM	VKLAD	39436	76410	\N	\N	\N
1267921	4337	1998-06-18	PRIJEM	VKLAD	15844	77562	\N	\N	\N
1267922	4337	1998-05-10	PRIJEM	VKLAD	33008	140842	\N	\N	\N
1267923	4337	1998-06-14	PRIJEM	VKLAD	25427	63118	\N	\N	\N
1267924	4337	1998-04-16	PRIJEM	VKLAD	6166	67862	\N	\N	\N
1267925	4337	1998-03-20	PRIJEM	VKLAD	26007	94409	\N	\N	\N
1267926	4337	1998-05-16	PRIJEM	VKLAD	30828	121970	\N	\N	\N
1267927	4337	1998-10-16	PRIJEM	VKLAD	17981	36974	\N	\N	\N
1267928	4337	1998-01-20	PRIJEM	VKLAD	48704	120990	\N	\N	\N
1267929	4337	1998-05-05	PRIJEM	VKLAD	44858	140634	\N	\N	\N
1267930	4337	1998-11-28	PRIJEM	VKLAD	29497	75838	\N	\N	\N
1267947	4337	1994-05-04	VYDAJ	VYBER	2500	53588	\N	\N	0
1267948	4337	1994-06-18	VYDAJ	VYBER	2200	34737	\N	\N	0
1267949	4337	1994-07-03	VYDAJ	VYBER	2500	30597	\N	\N	0
1267950	4337	1994-08-12	VYDAJ	VYBER	2600	85087	\N	\N	0
1267951	4337	1994-09-16	VYDAJ	VYBER	1600	55094	\N	\N	0
1267952	4337	1994-09-28	VYDAJ	VYBER	2900	56742	\N	\N	0
1267953	4337	1994-11-15	VYDAJ	VYBER	2000	49052	\N	\N	0
1267954	4337	1994-12-12	VYDAJ	PREVOD NA UCET	2142	35657	UVER	IJ	15837014
1267955	4337	1995-01-12	VYDAJ	PREVOD NA UCET	2142	76062	UVER	IJ	15837014
1267956	4337	1995-02-12	VYDAJ	PREVOD NA UCET	2142	40956	UVER	IJ	15837014
1267957	4337	1995-03-12	VYDAJ	PREVOD NA UCET	2142	38442	UVER	IJ	15837014
1267958	4337	1995-04-12	VYDAJ	PREVOD NA UCET	2142	36077	UVER	IJ	15837014
1267959	4337	1995-05-12	VYDAJ	PREVOD NA UCET	2142	57226	UVER	IJ	15837014
1267960	4337	1995-06-12	VYDAJ	PREVOD NA UCET	2142	35469	UVER	IJ	15837014
1267961	4337	1995-07-12	VYDAJ	PREVOD NA UCET	2142	30431	UVER	IJ	15837014
1267962	4337	1995-08-12	VYDAJ	PREVOD NA UCET	2142	54308	UVER	IJ	15837014
1267963	4337	1995-09-12	VYDAJ	PREVOD NA UCET	2142	30039	UVER	IJ	15837014
1267964	4337	1995-10-12	VYDAJ	PREVOD NA UCET	2142	57385	UVER	IJ	15837014
1267965	4337	1995-11-12	VYDAJ	PREVOD NA UCET	2142	51729	UVER	IJ	15837014
1267966	4337	1995-12-12	VYDAJ	PREVOD NA UCET	2142	56482	UVER	IJ	15837014
1267967	4337	1996-01-12	VYDAJ	PREVOD NA UCET	2142	100435	UVER	IJ	15837014
1267968	4337	1996-02-12	VYDAJ	PREVOD NA UCET	2142	78426	UVER	IJ	15837014
1267969	4337	1996-03-12	VYDAJ	PREVOD NA UCET	2142	74687	UVER	IJ	15837014
1267970	4337	1996-04-12	VYDAJ	PREVOD NA UCET	2142	98313	UVER	IJ	15837014
1267971	4337	1996-05-12	VYDAJ	PREVOD NA UCET	2142	58059	UVER	IJ	15837014
1267972	4337	1996-06-12	VYDAJ	PREVOD NA UCET	2142	59778	UVER	IJ	15837014
1267973	4337	1996-07-12	VYDAJ	PREVOD NA UCET	2142	41367	UVER	IJ	15837014
1267974	4337	1996-08-12	VYDAJ	PREVOD NA UCET	2142	61151	UVER	IJ	15837014
1267975	4337	1996-09-12	VYDAJ	PREVOD NA UCET	2142	31319	UVER	IJ	15837014
1267976	4337	1996-10-12	VYDAJ	PREVOD NA UCET	2142	95017	UVER	IJ	15837014
1267977	4337	1996-11-12	VYDAJ	PREVOD NA UCET	2142	59069	UVER	IJ	15837014
1267978	4337	1996-12-14	VYDAJ	VYBER	1800	84722	\N	\N	0
1267979	4337	1997-01-04	VYDAJ	VYBER	1500	56261	\N	\N	0
1267980	4337	1997-02-21	VYDAJ	VYBER	1600	66104	\N	\N	0
1267981	4337	1997-03-13	VYDAJ	VYBER	1700	50267	\N	\N	0
1267982	4337	1997-04-19	VYDAJ	VYBER	1900	31271	\N	\N	0
1267983	4337	1997-05-18	VYDAJ	VYBER	2700	33824	\N	\N	0
1267984	4337	1997-06-14	VYDAJ	VYBER	1900	16760	\N	\N	0
1267985	4337	1997-07-16	VYDAJ	VYBER	1400	28646	\N	\N	0
1267986	4337	1997-08-10	VYDAJ	VYBER	1400	58450	\N	\N	0
1267987	4337	1997-09-16	VYDAJ	VYBER	2300	78263	\N	\N	0
1267988	4337	1997-10-07	VYDAJ	VYBER	2600	78372	\N	\N	0
1267989	4337	1997-11-18	VYDAJ	VYBER	1600	89606	\N	\N	0
1267990	4337	1997-12-15	VYDAJ	VYBER	2000	97316	\N	\N	0
1267991	4337	1998-01-18	VYDAJ	VYBER	1600	72286	\N	\N	0
1267992	4337	1998-02-15	VYDAJ	VYBER	1700	34196	\N	\N	0
1267993	4337	1998-03-24	VYDAJ	VYBER	3100	91309	\N	\N	0
1267994	4337	1998-04-15	VYDAJ	VYBER	2300	61696	\N	\N	0
1267995	4337	1998-05-18	VYDAJ	VYBER	1500	85970	\N	\N	0
1267996	4337	1998-06-14	VYDAJ	VYBER	1400	61718	\N	\N	0
1267997	4337	1998-07-06	VYDAJ	VYBER	1200	52375	\N	\N	0
1267998	4337	1998-08-07	VYDAJ	VYBER	2200	72126	\N	\N	0
1267999	4337	1998-09-22	VYDAJ	VYBER	2500	51867	\N	\N	0
1268000	4337	1998-10-08	VYDAJ	VYBER	2600	49464	\N	\N	0
1268001	4337	1998-11-13	VYDAJ	VYBER	3000	50041	\N	\N	0
1268002	4337	1998-12-04	VYDAJ	VYBER	1600	74452	\N	\N	0
1268014	4337	1994-10-23	VYBER	VYBER	19091	19987	\N	\N	\N
1268015	4337	1994-06-25	VYBER	VYBER	23639	32965	\N	\N	\N
1268019	4337	1995-01-22	VYBER	VYBER	11626	52156	\N	\N	\N
1268020	4337	1995-01-16	VYBER	VYBER	12280	63782	\N	\N	\N
1268021	4337	1995-07-06	VYBER	VYBER	23022	44073	\N	\N	\N
1268022	4337	1995-10-14	VYBER	VYBER	13919	43466	\N	\N	\N
1268023	4337	1995-03-08	VYBER	VYBER	3425	58984	\N	\N	\N
1268024	4337	1996-01-28	VYBER	VYBER	17163	83272	\N	\N	\N
1268025	4337	1996-08-23	VYBER	VYBER	13509	39558	\N	\N	\N
1268026	4337	1996-05-15	VYBER	VYBER	16409	61710	\N	\N	\N
1268027	4337	1996-08-21	VYBER	VYBER	8084	53067	\N	\N	\N
1268028	4337	1996-03-21	VYBER	VYBER	2820	93468	\N	\N	\N
1268029	4337	1996-06-06	VYBER	VYBER	18857	49566	\N	\N	\N
1268030	4337	1997-12-10	VYBER	VYBER	16529	54857	\N	\N	\N
1268031	4337	1997-12-16	VYBER	VYBER	18469	78847	\N	\N	\N
1268032	4337	1997-04-19	VYBER	VYBER	13294	33171	\N	\N	\N
1268033	4337	1997-08-31	VYBER	VYBER	4510	70763	\N	\N	\N
1268034	4337	1998-08-29	VYBER	VYBER	10782	51896	\N	\N	\N
1268035	4337	1998-02-06	VYBER	VYBER	21754	35896	\N	\N	\N
1268036	4337	1998-08-13	VYBER	VYBER	3148	68978	\N	\N	\N
1268037	4337	1998-10-15	VYBER	VYBER	10019	18993	\N	\N	\N
1268038	4337	1998-06-13	VYBER	VYBER	19281	37691	\N	\N	\N
1268039	4337	1998-11-03	VYBER	VYBER	8963	53041	\N	\N	\N
1268040	4337	1998-02-05	VYBER	VYBER	4485	57650	\N	\N	\N
1268041	4337	1998-05-26	VYBER	VYBER	12191	40046	\N	\N	\N
1268042	4337	1998-07-06	VYBER	VYBER	19085	53575	\N	\N	\N
1268043	4337	1998-08-02	VYBER	VYBER	13511	74326	\N	\N	\N
1268044	4337	1998-05-24	VYBER	VYBER	10227	52637	\N	\N	\N
1268045	4337	1998-05-21	VYBER	VYBER	23106	62864	\N	\N	\N
1268046	4337	1998-03-26	VYBER	VYBER	3423	63786	\N	\N	\N
1268047	4337	1998-10-13	VYBER	VYBER	20452	29012	\N	\N	\N
1268049	4337	1994-12-14	VYDAJ	VYBER	8400	27257	\N	\N	\N
1268050	4337	1995-12-29	VYDAJ	VYBER	2700	79403	\N	\N	\N
1268051	4337	1996-12-10	VYDAJ	VYBER	7500	52384	\N	\N	\N
1268052	4337	1997-12-16	VYDAJ	VYBER	3900	74947	\N	\N	\N
1268053	4337	1998-12-29	VYDAJ	VYBER	5700	53052	\N	\N	\N
1268065	4337	1994-05-19	VYDAJ	VYBER	7800	31388	\N	\N	\N
1268066	4337	1995-05-19	VYDAJ	VYBER	4200	53026	\N	\N	\N
1268067	4337	1995-08-17	VYDAJ	VYBER	11700	42608	\N	\N	\N
1268068	4337	1995-04-29	VYDAJ	VYBER	11400	63399	\N	\N	\N
1268069	4337	1995-07-26	VYDAJ	VYBER	12900	83026	\N	\N	\N
1268070	4337	1995-08-30	VYDAJ	VYBER	2400	40208	\N	\N	\N
1268071	4337	1995-01-05	VYDAJ	VYBER	2700	77533	\N	\N	\N
1268072	4337	1996-01-02	VYDAJ	VYBER	13200	66448	\N	\N	\N
1268073	4337	1996-05-18	VYDAJ	VYBER	12000	49710	\N	\N	\N
1268074	4337	1996-08-03	VYDAJ	VYBER	2400	31251	\N	\N	\N
1268075	4337	1996-04-26	VYDAJ	VYBER	4800	93513	\N	\N	\N
1268076	4337	1997-06-04	VYDAJ	VYBER	9300	32160	\N	\N	\N
1268077	4337	1997-06-08	VYDAJ	VYBER	13500	18660	\N	\N	\N
1268078	4337	1997-07-05	VYDAJ	VYBER	4500	30046	\N	\N	\N
1268079	4337	1997-12-25	VYDAJ	VYBER	11100	58247	\N	\N	\N
1268080	4337	1998-01-21	VYDAJ	VYBER	3900	70990	\N	\N	\N
1268081	4337	1998-07-30	VYDAJ	VYBER	5700	43175	\N	\N	\N
1268082	4337	1998-05-08	VYDAJ	VYBER	1500	107834	\N	\N	\N
1268083	4337	1998-06-27	VYDAJ	VYBER	10500	56962	\N	\N	\N
1268084	4337	1998-06-29	VYDAJ	VYBER	6900	50062	\N	\N	\N
1268085	4337	1998-07-23	VYDAJ	VYBER	13500	48875	\N	\N	\N
1268102	4337	1994-04-30	VYDAJ	VYBER	15	56088	SLUZBY	\N	\N
1268103	4337	1994-05-31	VYDAJ	VYBER	15	31554	SLUZBY	\N	\N
1268104	4337	1994-06-30	VYDAJ	VYBER	15	33097	SLUZBY	\N	\N
1268105	4337	1994-07-31	VYDAJ	VYBER	15	87180	SLUZBY	\N	\N
1268106	4337	1994-08-31	VYDAJ	VYBER	15	55153	SLUZBY	\N	\N
1268107	4337	1994-09-30	VYDAJ	VYBER	15	56978	SLUZBY	\N	\N
1268108	4337	1994-10-31	VYDAJ	VYBER	15	20165	SLUZBY	\N	\N
1268109	4337	1994-11-30	VYDAJ	VYBER	15	49199	SLUZBY	\N	\N
1268110	4337	1994-12-31	VYDAJ	VYBER	15	74004	SLUZBY	\N	\N
1268111	4337	1995-01-31	VYDAJ	VYBER	15	68998	SLUZBY	\N	\N
1268112	4337	1995-02-28	VYDAJ	VYBER	15	62409	SLUZBY	\N	\N
1268113	4337	1995-03-31	VYDAJ	VYBER	15	49442	SLUZBY	\N	\N
1268114	4337	1995-04-30	VYDAJ	VYBER	15	103168	SLUZBY	\N	\N
1268115	4337	1995-05-31	VYDAJ	VYBER	15	53311	SLUZBY	\N	\N
1268116	4337	1995-06-30	VYDAJ	VYBER	15	70570	SLUZBY	\N	\N
1268117	4337	1995-07-31	VYDAJ	VYBER	15	83265	SLUZBY	\N	\N
1268118	4337	1995-08-31	VYDAJ	VYBER	15	40430	SLUZBY	\N	\N
1268119	4337	1995-09-30	VYDAJ	VYBER	15	60996	SLUZBY	\N	\N
1268120	4337	1995-10-31	VYDAJ	VYBER	15	67949	SLUZBY	\N	\N
1268121	4337	1995-11-30	VYDAJ	VYBER	15	51942	SLUZBY	\N	\N
1268122	4337	1995-12-31	VYDAJ	VYBER	15	79648	SLUZBY	\N	\N
1268123	4337	1996-01-31	VYDAJ	VYBER	15	83624	SLUZBY	\N	\N
1268124	4337	1996-02-29	VYDAJ	VYBER	15	86143	SLUZBY	\N	\N
1268125	4337	1996-03-31	VYDAJ	VYBER	15	93826	SLUZBY	\N	\N
1268126	4337	1996-04-30	VYDAJ	VYBER	15	93901	SLUZBY	\N	\N
1268127	4337	1996-05-31	VYDAJ	VYBER	15	61808	SLUZBY	\N	\N
1268128	4337	1996-06-30	VYDAJ	VYBER	15	60009	SLUZBY	\N	\N
1268129	4337	1996-07-31	VYDAJ	VYBER	15	41551	SLUZBY	\N	\N
1268130	4337	1996-08-31	VYDAJ	VYBER	15	39761	SLUZBY	\N	\N
1268131	4337	1996-09-30	VYDAJ	VYBER	15	101359	SLUZBY	\N	\N
1268132	4337	1996-10-31	VYDAJ	VYBER	15	61211	SLUZBY	\N	\N
1268133	4337	1996-11-30	VYDAJ	VYBER	15	90584	SLUZBY	\N	\N
1268134	4337	1996-12-31	VYDAJ	VYBER	15	57761	SLUZBY	\N	\N
1268135	4337	1997-01-31	VYDAJ	VYBER	15	67704	SLUZBY	\N	\N
1268136	4337	1997-02-28	VYDAJ	VYBER	15	66367	SLUZBY	\N	\N
1268137	4337	1997-03-31	VYDAJ	VYBER	15	46465	SLUZBY	\N	\N
1268138	4337	1997-04-30	VYDAJ	VYBER	15	36524	SLUZBY	\N	\N
1268139	4337	1997-05-31	VYDAJ	VYBER	15	41460	SLUZBY	\N	\N
1268140	4337	1997-06-30	VYDAJ	VYBER	15	34546	SLUZBY	\N	\N
1268141	4337	1997-07-31	VYDAJ	VYBER	15	59850	SLUZBY	\N	\N
1268142	4337	1997-08-31	VYDAJ	VYBER	15	70748	SLUZBY	\N	\N
1268143	4337	1997-09-30	VYDAJ	VYBER	15	80972	SLUZBY	\N	\N
1268144	4337	1997-10-31	VYDAJ	VYBER	15	64478	SLUZBY	\N	\N
1268145	4337	1997-11-30	VYDAJ	VYBER	15	71386	SLUZBY	\N	\N
1268146	4337	1997-12-31	VYDAJ	VYBER	15	58533	SLUZBY	\N	\N
1268147	4337	1998-01-31	VYDAJ	VYBER	15	62135	SLUZBY	\N	\N
1268148	4337	1998-02-28	VYDAJ	VYBER	15	41550	SLUZBY	\N	\N
1268149	4337	1998-03-31	VYDAJ	VYBER	15	63996	SLUZBY	\N	\N
1268150	4337	1998-04-30	VYDAJ	VYBER	15	59409	SLUZBY	\N	\N
1268151	4337	1998-05-31	VYDAJ	VYBER	15	40347	SLUZBY	\N	\N
1268152	4337	1998-06-30	VYDAJ	VYBER	15	50270	SLUZBY	\N	\N
1268153	4337	1998-07-31	VYDAJ	VYBER	15	87837	SLUZBY	\N	\N
1268154	4337	1998-08-31	VYDAJ	VYBER	15	52167	SLUZBY	\N	\N
1268155	4337	1998-09-30	VYDAJ	VYBER	15	52064	SLUZBY	\N	\N
1268156	4337	1998-10-31	VYDAJ	VYBER	15	62004	SLUZBY	\N	\N
1268157	4337	1998-11-30	VYDAJ	VYBER	15	76052	SLUZBY	\N	\N
1268158	4337	1993-12-16	PRIJEM	VKLAD	8500	20376	\N	\N	\N
1268159	4337	1994-01-15	VYDAJ	VYBER	10600	35621	\N	\N	\N
1268160	4337	1994-02-14	VYDAJ	VYBER	7300	28441	\N	\N	\N
1268161	4337	1994-03-16	VYDAJ	VYBER	16700	40174	\N	\N	\N
1268162	4337	1994-04-15	VYDAJ	VYBER	18300	89492	\N	\N	\N
1268163	4337	1994-04-15	VYDAJ	VYBER	33700	55792	\N	\N	\N
1268164	4337	1994-05-15	VYDAJ	VYBER	14400	39188	\N	\N	\N
1268165	4337	1994-06-14	VYDAJ	VYBER	12800	36937	\N	\N	\N
1268166	4337	1994-07-14	VYDAJ	VYBER	2000	28597	\N	\N	\N
1268167	4337	1994-08-03	VYDAJ	VYBER	49400	87687	\N	\N	\N
1268168	4337	1994-08-13	VYDAJ	VYBER	30200	54887	\N	\N	\N
1268169	4337	1994-09-12	VYDAJ	VYBER	28700	56694	\N	\N	\N
1268170	4337	1994-09-24	VYDAJ	VYBER	31200	84321	\N	\N	\N
1268171	4337	1994-09-25	VYDAJ	VYBER	57700	59642	\N	\N	\N
1268172	4337	1994-10-12	VYDAJ	VYBER	17900	39078	\N	\N	\N
1268173	4337	1994-11-11	VYDAJ	VYBER	6700	26086	\N	\N	\N
1268174	4337	1994-12-11	VYDAJ	VYBER	11400	37799	\N	\N	\N
1268175	4337	1995-01-10	VYDAJ	VYBER	30000	47533	\N	\N	\N
1268176	4337	1995-02-09	VYDAJ	VYBER	25900	43098	\N	\N	\N
1268177	4337	1995-03-11	VYDAJ	VYBER	18400	40584	\N	\N	\N
1268178	4337	1995-04-10	VYDAJ	VYBER	25200	38219	\N	\N	\N
1268179	4337	1995-04-26	VYDAJ	VYBER	27900	98099	\N	\N	\N
1268180	4337	1995-04-29	VYDAJ	VYBER	32700	74799	\N	\N	\N
1268181	4337	1995-05-10	VYDAJ	VYBER	43800	59368	\N	\N	\N
1268182	4337	1995-06-09	VYDAJ	VYBER	15700	37611	\N	\N	\N
1268183	4337	1995-07-04	VYDAJ	VYBER	48900	67095	\N	\N	\N
1268184	4337	1995-07-09	VYDAJ	VYBER	11500	32573	\N	\N	\N
1268185	4337	1995-08-02	VYDAJ	VYBER	58700	54384	\N	\N	\N
1268186	4337	1995-08-08	VYDAJ	VYBER	27300	49612	\N	\N	\N
1268187	4337	1995-09-07	VYDAJ	VYBER	14400	32181	\N	\N	\N
1268188	4337	1995-10-07	VYDAJ	VYBER	44800	59527	\N	\N	\N
1268189	4337	1995-11-06	VYDAJ	VYBER	39000	53871	\N	\N	\N
1268190	4337	1995-12-06	VYDAJ	VYBER	36500	58624	\N	\N	\N
1268191	4337	1996-01-04	VYDAJ	VYBER	32900	76547	\N	\N	\N
1268192	4337	1996-01-05	VYDAJ	VYBER	31000	45547	\N	\N	\N
1268193	4337	1996-02-04	VYDAJ	VYBER	32800	50824	\N	\N	\N
1268194	4337	1996-03-05	VYDAJ	VYBER	32100	54043	\N	\N	\N
1268195	4337	1996-04-04	VYDAJ	VYBER	36800	57026	\N	\N	\N
1268196	4337	1996-05-04	VYDAJ	VYBER	33700	60201	\N	\N	\N
1268197	4337	1996-06-03	VYDAJ	VYBER	19900	41908	\N	\N	\N
1268198	4337	1996-07-03	VYDAJ	VYBER	16500	43509	\N	\N	\N
1268199	4337	1996-08-02	VYDAJ	VYBER	7900	33651	\N	\N	\N
1268200	4337	1996-09-01	VYDAJ	VYBER	6300	33461	\N	\N	\N
1268201	4337	1996-09-29	VYDAJ	VYBER	16600	101138	\N	\N	\N
1268202	4337	1996-10-01	VYDAJ	VYBER	41200	60159	\N	\N	\N
1268203	4337	1996-10-26	VYDAJ	VYBER	20300	99442	\N	\N	\N
1268204	4337	1996-10-31	VYDAJ	VYBER	38600	61226	\N	\N	\N
1268205	4337	1996-11-21	VYDAJ	VYBER	28900	90263	\N	\N	\N
1268206	4337	1996-11-30	VYDAJ	VYBER	30700	59884	\N	\N	\N
1268207	4337	1996-12-30	VYDAJ	VYBER	27300	57422	\N	\N	\N
1268208	4337	1997-01-15	VYDAJ	VYBER	24600	96254	\N	\N	\N
1268209	4337	1997-01-29	VYDAJ	VYBER	28900	67354	\N	\N	\N
1268210	4337	1997-02-28	VYDAJ	VYBER	14400	51967	\N	\N	\N
1268211	4337	1997-03-30	VYDAJ	VYBER	4000	46267	\N	\N	\N
1268212	4337	1997-04-29	PRIJEM	VKLAD	5100	36371	\N	\N	\N
1268213	4337	1997-05-29	PRIJEM	VKLAD	7500	41324	\N	\N	\N
1268214	4337	1997-06-28	PRIJEM	VKLAD	17700	34460	\N	\N	\N
1268215	4337	1997-07-28	VYDAJ	VYBER	12000	59700	\N	\N	\N
1268216	4337	1997-08-27	VYDAJ	VYBER	18800	74954	\N	\N	\N
1268217	4337	1997-09-15	VYDAJ	VYBER	58500	80563	\N	\N	\N
1268218	4337	1997-09-26	VYDAJ	VYBER	25200	80653	\N	\N	\N
1268219	4337	1997-10-26	VYDAJ	VYBER	14200	64172	\N	\N	\N
1268220	4337	1997-11-25	VYDAJ	VYBER	18500	71106	\N	\N	\N
1268221	4337	1997-12-25	VYDAJ	VYBER	5600	69347	\N	\N	\N
1268222	4337	1998-01-20	VYDAJ	VYBER	46100	74890	\N	\N	\N
1268223	4337	1998-01-24	VYDAJ	VYBER	9100	61890	\N	\N	\N
1268224	4337	1998-02-23	PRIJEM	VKLAD	7200	41396	\N	\N	\N
1268225	4337	1998-03-25	VYDAJ	VYBER	24100	67209	\N	\N	\N
1268226	4337	1998-04-24	VYDAJ	VYBER	8700	59162	\N	\N	\N
1268227	4337	1998-05-05	VYDAJ	VYBER	31300	109334	\N	\N	\N
1268228	4337	1998-05-10	VYDAJ	VYBER	49700	91142	\N	\N	\N
1268229	4337	1998-05-16	VYDAJ	VYBER	34500	87470	\N	\N	\N
1268230	4337	1998-05-24	VYDAJ	VYBER	400	52237	\N	\N	\N
1268231	4337	1998-06-23	VYDAJ	VYBER	10100	67462	\N	\N	\N
1268232	4337	1998-07-23	PRIJEM	VKLAD	10000	62375	\N	\N	\N
1268233	4337	1998-08-22	VYDAJ	VYBER	6300	62678	\N	\N	\N
1268234	4337	1998-09-21	PRIJEM	VKLAD	2200	54367	\N	\N	\N
1268235	4337	1998-10-21	VYDAJ	VYBER	14600	61810	\N	\N	\N
1268236	4337	1998-11-20	VYDAJ	VYBER KARTOU	3700	46341	\N	\N	0
1268237	4337	1998-12-20	VYDAJ	VYBER	15700	58752	\N	\N	\N
1269754	4342	1996-04-29	PRIJEM	VKLAD	700	700	\N	\N	\N
1269755	4342	1996-08-23	PRIJEM	VKLAD	45710	100718	\N	\N	\N
1269756	4342	1996-08-03	PRIJEM	VKLAD	7770	66043	\N	\N	\N
1269757	4342	1996-12-22	PRIJEM	VKLAD	31944	84604	\N	\N	\N
1269758	4342	1996-11-02	PRIJEM	VKLAD	7733	51053	\N	\N	\N
1269759	4342	1996-05-26	PRIJEM	VKLAD	21352	65946	\N	\N	\N
1269761	4342	1996-06-30	PRIJEM	VKLAD	21101	56757	\N	\N	\N
1269762	4342	1996-05-16	PRIJEM	VKLAD	32357	44594	\N	\N	\N
1269763	4342	1996-11-19	PRIJEM	VKLAD	37872	83005	\N	\N	\N
1269764	4342	1996-09-21	PRIJEM	VKLAD	12902	39806	\N	\N	\N
1269765	4342	1996-10-16	PRIJEM	VKLAD	39194	52390	\N	\N	\N
1269766	4342	1996-07-12	PRIJEM	VKLAD	37560	94317	\N	\N	\N
1269767	4342	1996-11-18	PRIJEM	VKLAD	16015	45133	\N	\N	\N
1269768	4342	1996-11-27	PRIJEM	VKLAD	8008	61413	\N	\N	\N
1269769	4342	1996-05-04	PRIJEM	VKLAD	11537	12237	\N	\N	\N
1269770	4342	1997-06-22	PRIJEM	VKLAD	33003	65988	\N	\N	\N
1269771	4342	1997-08-31	PRIJEM	VKLAD	13574	94739	\N	\N	\N
1269772	4342	1997-06-07	PRIJEM	VKLAD	6999	41385	\N	\N	\N
1269773	4342	1997-02-11	PRIJEM	VKLAD	44822	71047	\N	\N	\N
1269774	4342	1997-10-23	PRIJEM	VKLAD	20712	84814	\N	\N	\N
1269775	4342	1997-07-12	PRIJEM	VKLAD	10582	75456	\N	\N	\N
1269776	4342	1997-08-13	PRIJEM	VKLAD	48666	120587	\N	\N	\N
1269777	4342	1997-08-17	PRIJEM	VKLAD	47208	103995	\N	\N	\N
1269778	4342	1997-12-23	PRIJEM	VKLAD	18672	70824	\N	\N	\N
1269779	4342	1997-02-28	PRIJEM	VKLAD	5629	56576	\N	\N	\N
1269780	4342	1997-04-11	PRIJEM	VKLAD	34720	79740	\N	\N	\N
1269781	4342	1997-03-06	PRIJEM	VKLAD	17366	74143	\N	\N	\N
1269782	4342	1997-07-14	PRIJEM	VKLAD	26115	101571	\N	\N	\N
1269783	4342	1997-07-12	PRIJEM	VKLAD	36795	64874	\N	\N	\N
1269784	4342	1998-06-09	PRIJEM	VKLAD	7766	106946	\N	\N	\N
1269785	4342	1998-09-19	PRIJEM	VKLAD	33899	92131	\N	\N	\N
1269786	4342	1998-01-24	PRIJEM	VKLAD	20725	80668	\N	\N	\N
1269787	4342	1998-12-07	PRIJEM	VKLAD	29346	123264	\N	\N	\N
1269788	4342	1998-03-26	PRIJEM	VKLAD	14135	76816	\N	\N	\N
1269789	4342	1998-04-26	PRIJEM	VKLAD	9526	103749	\N	\N	\N
1269790	4342	1998-06-18	PRIJEM	VKLAD	11116	113890	\N	\N	\N
1269791	4342	1998-09-04	PRIJEM	VKLAD	30625	123105	\N	\N	\N
1269792	4342	1998-03-26	PRIJEM	VKLAD	5473	82289	\N	\N	\N
1269793	4342	1998-06-02	PRIJEM	VKLAD	20026	105315	\N	\N	\N
1269794	4342	1998-04-18	PRIJEM	VKLAD	46780	140823	\N	\N	\N
1269795	4342	1998-06-27	PRIJEM	VKLAD	47013	131789	\N	\N	\N
1269796	4342	1998-04-11	PRIJEM	VKLAD	21704	98215	\N	\N	\N
1269797	4342	1998-07-26	PRIJEM	VKLAD	19720	106375	\N	\N	\N
1269798	4342	1998-06-22	PRIJEM	VKLAD	31586	124176	\N	\N	\N
1269799	4342	1998-07-18	PRIJEM	VKLAD	23338	126255	\N	\N	\N
1269800	4342	1998-12-18	PRIJEM	VKLAD	16267	117059	\N	\N	\N
1269801	4342	1998-03-15	PRIJEM	VKLAD	39566	133099	\N	\N	\N
1269802	4342	1998-12-01	PRIJEM	VKLAD	19169	106053	\N	\N	\N
1269803	4342	1998-03-04	PRIJEM	VKLAD	37316	90221	\N	\N	\N
1269804	4342	1998-03-05	PRIJEM	VKLAD	13619	103840	\N	\N	\N
1269811	4342	1996-07-20	VYDAJ	VYBER	5000	89317	\N	\N	0
1269812	4342	1996-08-08	VYDAJ	VYBER	4900	55008	\N	\N	0
1269813	4342	1996-09-08	VYDAJ	VYBER	4300	55533	\N	\N	0
1269814	4342	1996-09-26	VYDAJ	VYBER	3600	19166	\N	\N	0
1269815	4342	1996-11-07	VYDAJ	VYBER	5300	29118	\N	\N	0
1269816	4342	1996-12-21	VYDAJ	VYBER	2800	52660	\N	\N	0
1269817	4342	1997-01-19	VYDAJ	VYBER	2600	24543	\N	\N	0
1269818	4342	1997-02-11	VYDAJ	VYBER	3800	67247	\N	\N	0
1269819	4342	1997-02-26	VYDAJ	VYBER	2800	50947	\N	\N	0
1269820	4342	1997-04-11	VYDAJ	VYBER	4000	75740	\N	\N	0
1269821	4342	1997-05-12	VYDAJ	VYBER	3100	44439	\N	\N	0
1269822	4342	1997-05-27	VYDAJ	VYBER	4600	40339	\N	\N	0
1269823	4342	1997-07-10	VYDAJ	VYBER	3800	28079	\N	\N	0
1269824	4342	1997-08-17	VYDAJ	VYBER	2900	101095	\N	\N	0
1269825	4342	1997-09-22	VYDAJ	VYBER	3600	71790	\N	\N	0
1269826	4342	1997-10-10	VYDAJ	VYBER	4200	59102	\N	\N	0
1269827	4342	1997-10-31	VYDAJ	VYBER	3500	81589	\N	\N	0
1269828	4342	1997-12-12	VYDAJ	PREVOD NA UCET	4172	50852	UVER	AB	4569364
1269829	4342	1998-01-12	VYDAJ	PREVOD NA UCET	4172	57143	UVER	AB	4569364
1269830	4342	1998-02-12	VYDAJ	PREVOD NA UCET	4172	43614	UVER	AB	4569364
1269831	4342	1998-03-12	VYDAJ	PREVOD NA UCET	4172	93533	UVER	AB	4569364
1269832	4342	1998-04-12	VYDAJ	PREVOD NA UCET	4172	94043	UVER	AB	4569364
1269833	4342	1998-05-12	VYDAJ	PREVOD NA UCET	4172	93815	UVER	AB	4569364
1269834	4342	1998-06-12	VYDAJ	PREVOD NA UCET	4172	102774	UVER	AB	4569364
1269835	4342	1998-07-12	VYDAJ	PREVOD NA UCET	4172	102917	UVER	AB	4569364
1269836	4342	1998-08-12	VYDAJ	PREVOD NA UCET	4172	96489	UVER	AB	4569364
1269837	4342	1998-09-12	VYDAJ	PREVOD NA UCET	4172	28332	UVER	AB	4569364
1269838	4342	1998-10-12	VYDAJ	PREVOD NA UCET	4172	82095	UVER	AB	4569364
1269839	4342	1998-11-12	VYDAJ	PREVOD NA UCET	4172	78641	UVER	AB	4569364
1269840	4342	1998-12-12	VYDAJ	PREVOD NA UCET	4172	101392	UVER	AB	4569364
1269848	4342	1996-08-06	VYDAJ	PREVOD NA UCET	6135	59908	SIPO	KL	52346587
1269849	4342	1996-09-06	VYDAJ	PREVOD NA UCET	6135	59833	SIPO	KL	52346587
1269850	4342	1996-10-06	VYDAJ	PREVOD NA UCET	6135	13196	SIPO	KL	52346587
1269851	4342	1996-11-06	VYDAJ	PREVOD NA UCET	6135	34418	SIPO	KL	52346587
1269852	4342	1996-12-06	VYDAJ	PREVOD NA UCET	6135	55460	SIPO	KL	52346587
1269853	4342	1997-01-06	VYDAJ	PREVOD NA UCET	6135	35243	SIPO	KL	52346587
1269854	4342	1997-02-06	VYDAJ	PREVOD NA UCET	6135	26225	SIPO	KL	52346587
1269855	4342	1997-03-06	VYDAJ	PREVOD NA UCET	6135	68008	SIPO	KL	52346587
1269856	4342	1997-04-06	VYDAJ	PREVOD NA UCET	6135	45020	SIPO	KL	52346587
1269857	4342	1997-05-06	VYDAJ	PREVOD NA UCET	6135	47539	SIPO	KL	52346587
1269858	4342	1997-06-06	VYDAJ	PREVOD NA UCET	6135	34386	SIPO	KL	52346587
1269859	4342	1997-07-06	VYDAJ	PREVOD NA UCET	6135	41179	SIPO	KL	52346587
1269860	4342	1997-08-06	VYDAJ	PREVOD NA UCET	6135	71921	SIPO	KL	52346587
1269861	4342	1997-09-06	VYDAJ	PREVOD NA UCET	6135	88590	SIPO	KL	52346587
1269862	4342	1997-10-06	VYDAJ	PREVOD NA UCET	6135	63302	SIPO	KL	52346587
1269863	4342	1997-11-06	VYDAJ	PREVOD NA UCET	6135	75454	SIPO	KL	52346587
1269864	4342	1997-12-06	VYDAJ	PREVOD NA UCET	6135	55024	SIPO	KL	52346587
1269865	4342	1998-01-06	VYDAJ	PREVOD NA UCET	6135	64915	SIPO	KL	52346587
1269866	4342	1998-02-06	VYDAJ	PREVOD NA UCET	6135	47786	SIPO	KL	52346587
1269867	4342	1998-03-06	VYDAJ	PREVOD NA UCET	6135	97705	SIPO	KL	52346587
1269868	4342	1998-04-06	VYDAJ	PREVOD NA UCET	6135	76511	SIPO	KL	52346587
1269869	4342	1998-05-06	VYDAJ	PREVOD NA UCET	6135	97987	SIPO	KL	52346587
1269870	4342	1998-06-06	VYDAJ	PREVOD NA UCET	6135	99180	SIPO	KL	52346587
1269871	4342	1998-07-06	VYDAJ	PREVOD NA UCET	6135	107089	SIPO	KL	52346587
1269872	4342	1998-08-06	VYDAJ	PREVOD NA UCET	6135	100661	SIPO	KL	52346587
1269873	4342	1998-09-06	VYDAJ	PREVOD NA UCET	6135	47204	SIPO	KL	52346587
1269874	4342	1998-10-06	VYDAJ	PREVOD NA UCET	6135	86267	SIPO	KL	52346587
1269875	4342	1998-11-06	VYDAJ	PREVOD NA UCET	6135	82813	SIPO	KL	52346587
1269876	4342	1998-12-06	VYDAJ	PREVOD NA UCET	6135	93918	SIPO	KL	52346587
1269877	4342	1996-09-14	VYBER	VYBER	23829	31704	\N	\N	\N
1269879	4342	1996-09-26	VYBER	VYBER	21340	22766	\N	\N	\N
1269880	4342	1996-12-28	VYBER	VYBER	7973	55531	\N	\N	\N
1269881	4342	1997-06-24	VYBER	VYBER	10732	49856	\N	\N	\N
1269882	4342	1998-03-25	VYBER	VYBER	11518	62681	\N	\N	\N
1269883	4342	1998-09-05	VYBER	VYBER	17166	53339	\N	\N	\N
1269887	4342	1996-12-29	VYDAJ	VYBER	1500	54031	\N	\N	\N
1269888	4342	1997-12-02	VYDAJ	VYBER	7500	61159	\N	\N	\N
1269889	4342	1998-12-29	VYDAJ	VYBER	8400	62059	\N	\N	\N
1269896	4342	1997-01-07	VYDAJ	VYBER	6000	29243	\N	\N	\N
1269897	4342	1997-01-10	VYDAJ	VYBER	2100	27143	\N	\N	\N
1269899	4342	1997-01-01	VYDAJ	VYBER	8400	45878	\N	\N	\N
1269900	4342	1997-01-22	VYDAJ	VYBER	2700	21843	\N	\N	\N
1269901	4342	1997-01-03	VYDAJ	VYBER	4500	41378	\N	\N	\N
1269902	4342	1998-01-24	VYDAJ	VYBER	7200	73468	\N	\N	\N
1269903	4342	1998-01-28	VYDAJ	VYBER	8100	62068	\N	\N	\N
1269904	4342	1998-01-19	VYDAJ	VYBER	7200	59943	\N	\N	\N
1269905	4342	1998-01-12	VYDAJ	VYBER	3600	61315	\N	\N	\N
1269906	4342	1998-01-29	VYDAJ	VYBER	8400	53668	\N	\N	\N
1269907	4342	1998-01-27	VYDAJ	VYBER	3300	70168	\N	\N	\N
1269909	4342	1996-09-14	VYDAJ	VYBER	4800	26904	\N	\N	\N
1269910	4342	1996-07-22	VYDAJ	VYBER	1800	87517	\N	\N	\N
1269912	4342	1996-11-19	VYDAJ	VYBER	14400	68605	\N	\N	\N
1269914	4342	1996-11-02	VYDAJ	VYBER	10500	40553	\N	\N	\N
1269915	4342	1997-07-06	VYDAJ	VYBER	2700	47314	\N	\N	\N
1269916	4342	1997-07-08	VYDAJ	VYBER	9300	31879	\N	\N	\N
1269917	4342	1997-09-28	VYDAJ	VYBER	2700	69090	\N	\N	\N
1269918	4342	1997-06-10	VYDAJ	VYBER	8400	32985	\N	\N	\N
1269919	4342	1997-04-17	VYDAJ	VYBER	10800	64940	\N	\N	\N
1269920	4342	1997-12-13	VYDAJ	VYBER	10500	40352	\N	\N	\N
1269921	4342	1997-03-26	VYDAJ	VYBER	9300	50908	\N	\N	\N
1269922	4342	1998-12-03	VYDAJ	VYBER	6000	100053	\N	\N	\N
1269923	4342	1998-09-06	VYDAJ	VYBER	14700	32504	\N	\N	\N
1269924	4342	1998-02-13	VYDAJ	VYBER	8400	35214	\N	\N	\N
1269932	4342	1996-07-31	VYDAJ	VYBER	15	58273	SLUZBY	\N	\N
1269933	4342	1996-08-31	VYDAJ	VYBER	15	65968	SLUZBY	\N	\N
1269934	4342	1996-09-30	VYDAJ	VYBER	15	19331	SLUZBY	\N	\N
1269935	4342	1996-10-31	VYDAJ	VYBER	15	43320	SLUZBY	\N	\N
1269936	4342	1996-11-30	VYDAJ	VYBER	15	61595	SLUZBY	\N	\N
1269937	4342	1996-12-31	VYDAJ	VYBER	15	54278	SLUZBY	\N	\N
1269938	4342	1997-01-31	VYDAJ	VYBER	15	32360	SLUZBY	\N	\N
1269939	4342	1997-02-28	VYDAJ	VYBER	15	56777	SLUZBY	\N	\N
1269940	4342	1997-03-31	VYDAJ	VYBER	15	51155	SLUZBY	\N	\N
1269941	4342	1997-04-30	VYDAJ	VYBER	15	53674	SLUZBY	\N	\N
1269942	4342	1997-05-31	VYDAJ	VYBER	15	40521	SLUZBY	\N	\N
1269943	4342	1997-06-30	VYDAJ	VYBER	15	50014	SLUZBY	\N	\N
1269944	4342	1997-07-31	VYDAJ	VYBER	15	78056	SLUZBY	\N	\N
1269945	4342	1997-08-31	VYDAJ	VYBER	15	94725	SLUZBY	\N	\N
1269946	4342	1997-09-30	VYDAJ	VYBER	15	69437	SLUZBY	\N	\N
1269947	4342	1997-10-31	VYDAJ	VYBER	15	85089	SLUZBY	\N	\N
1269948	4342	1997-11-30	VYDAJ	VYBER	15	68659	SLUZBY	\N	\N
1269949	4342	1997-12-31	VYDAJ	VYBER	15	71050	SLUZBY	\N	\N
1269950	4342	1998-01-31	VYDAJ	VYBER	15	53921	SLUZBY	\N	\N
1269951	4342	1998-02-28	VYDAJ	VYBER	15	52905	SLUZBY	\N	\N
1269952	4342	1998-03-31	VYDAJ	VYBER	15	82646	SLUZBY	\N	\N
1269953	4342	1998-04-30	VYDAJ	VYBER	15	104122	SLUZBY	\N	\N
1269954	4342	1998-05-31	VYDAJ	VYBER	15	85289	SLUZBY	\N	\N
1269955	4342	1998-06-30	VYDAJ	VYBER	15	113224	SLUZBY	\N	\N
1269956	4342	1998-07-31	VYDAJ	VYBER	15	106796	SLUZBY	\N	\N
1269957	4342	1998-08-31	VYDAJ	VYBER	15	92480	SLUZBY	\N	\N
1269958	4342	1998-09-30	VYDAJ	VYBER	15	92402	SLUZBY	\N	\N
1269959	4342	1998-10-31	VYDAJ	VYBER	15	88948	SLUZBY	\N	\N
1269960	4342	1998-11-30	VYDAJ	VYBER	15	86884	SLUZBY	\N	\N
1269961	4342	1996-05-29	VYDAJ	VYBER	17400	48546	\N	\N	\N
1269962	4342	1996-06-28	VYDAJ	VYBER	13200	35452	\N	\N	\N
1269963	4342	1996-07-28	VYDAJ	VYBER	29500	58017	\N	\N	\N
1269964	4342	1996-08-27	VYDAJ	VYBER	35000	65718	\N	\N	\N
1269965	4342	1996-09-26	PRIJEM	VKLAD	4300	44106	\N	\N	\N
1269966	4342	1996-10-26	VYDAJ	VYBER	9200	43190	\N	\N	\N
1269967	4342	1996-11-25	VYDAJ	VYBER	15200	53405	\N	\N	\N
1269968	4342	1996-12-25	VYDAJ	VYBER	21100	63504	\N	\N	\N
1269969	4342	1997-01-24	PRIJEM	VKLAD	10400	32243	\N	\N	\N
1269970	4342	1997-02-23	VYDAJ	VYBER	13500	53747	\N	\N	\N
1269971	4342	1997-03-25	VYDAJ	VYBER	7800	60208	\N	\N	\N
1269972	4342	1997-04-24	VYDAJ	VYBER	11500	53440	\N	\N	\N
1269973	4342	1997-05-24	PRIJEM	VKLAD	500	44939	\N	\N	\N
1269974	4342	1997-06-23	VYDAJ	VYBER	5400	60588	\N	\N	\N
1269975	4342	1997-07-23	VYDAJ	VYBER	23800	77771	\N	\N	\N
1269976	4342	1997-08-13	VYDAJ	VYBER	63800	56787	\N	\N	\N
1269977	4342	1997-08-22	VYDAJ	VYBER	20300	80795	\N	\N	\N
1269978	4342	1997-09-21	VYDAJ	VYBER	13200	75390	\N	\N	\N
1269979	4342	1997-10-21	PRIJEM	VKLAD	5000	64102	\N	\N	\N
1269980	4342	1997-11-20	VYDAJ	VYBER	7100	68354	\N	\N	\N
1269981	4342	1997-12-20	PRIJEM	VKLAD	11800	52152	\N	\N	\N
1269982	4342	1998-01-19	PRIJEM	VKLAD	10000	67143	\N	\N	\N
1269983	4342	1998-02-18	PRIJEM	VKLAD	17500	52714	\N	\N	\N
1269984	4342	1998-03-15	VYDAJ	VYBER	54600	78499	\N	\N	\N
1269985	4342	1998-03-20	VYDAJ	VYBER	4300	74199	\N	\N	\N
1269986	4342	1998-04-18	VYDAJ	VYBER	26400	114423	\N	\N	\N
1269987	4342	1998-04-19	VYDAJ	VYBER	20200	94223	\N	\N	\N
1269988	4342	1998-05-19	VYDAJ	VYBER	8900	84915	\N	\N	\N
1269989	4342	1998-06-18	VYDAJ	VYBER	21300	92590	\N	\N	\N
1269990	4342	1998-06-22	VYDAJ	VYBER	39400	84776	\N	\N	\N
1269991	4342	1998-06-27	VYDAJ	VYBER	19000	112789	\N	\N	\N
1269992	4342	1998-07-18	VYDAJ	VYBER	31500	94755	\N	\N	\N
1269993	4342	1998-07-18	VYDAJ	VYBER	8100	86655	\N	\N	\N
1269994	4342	1998-08-17	VYDAJ	VYBER	4400	92089	\N	\N	\N
1269995	4342	1998-09-04	VYDAJ	VYBER	52600	70505	\N	\N	\N
1269996	4342	1998-09-16	PRIJEM	VKLAD	29900	58232	\N	\N	\N
1269997	4342	1998-10-16	PRIJEM	VKLAD	6500	88595	\N	\N	\N
1269998	4342	1998-11-15	PRIJEM	VKLAD	7900	86541	\N	\N	\N
1269999	4342	1998-12-07	VYDAJ	VYBER	17700	105564	\N	\N	\N
1270000	4342	1998-12-15	VYDAJ	VYBER KARTOU	600	100792	\N	\N	0
1270001	4342	1998-12-18	VYDAJ	VYBER	46600	70459	\N	\N	\N
1270034	4343	1993-11-22	PRIJEM	VKLAD	900	900	\N	\N	\N
1270046	4343	1993-12-05	PRIJEM	VKLAD	23408	24308	\N	\N	\N
1270047	4343	1994-01-05	PRIJEM	VKLAD	15605	42249	\N	\N	\N
1270048	4343	1994-02-05	PRIJEM	VKLAD	15605	47372	\N	\N	\N
1270049	4343	1994-03-05	PRIJEM	VKLAD	15605	53517	\N	\N	\N
1270050	4343	1994-04-05	PRIJEM	VKLAD	15605	54180	\N	\N	\N
1270051	4343	1994-05-05	PRIJEM	VKLAD	15605	54331	\N	\N	\N
1270052	4343	1994-06-05	PRIJEM	VKLAD	23408	65090	\N	\N	\N
1270053	4343	1994-07-05	PRIJEM	VKLAD	15605	44651	\N	\N	\N
1270054	4343	1994-08-05	PRIJEM	VKLAD	15605	45668	\N	\N	\N
1270055	4343	1994-09-05	PRIJEM	VKLAD	15605	54399	\N	\N	\N
1270056	4343	1994-10-05	PRIJEM	VKLAD	15605	58959	\N	\N	\N
1270057	4343	1994-11-05	PRIJEM	VKLAD	15605	58731	\N	\N	\N
1270058	4343	1994-12-05	PRIJEM	VKLAD	23408	69409	\N	\N	\N
1270059	4343	1995-01-05	PRIJEM	VKLAD	15605	58898	\N	\N	\N
1270060	4343	1995-02-05	PRIJEM	VKLAD	15605	44969	\N	\N	\N
1270061	4343	1995-03-05	PRIJEM	VKLAD	15605	57708	\N	\N	\N
1270062	4343	1995-04-05	PRIJEM	VKLAD	15605	62182	\N	\N	\N
1270063	4343	1995-05-05	PRIJEM	VKLAD	15605	65373	\N	\N	\N
1270064	4343	1995-06-05	PRIJEM	VKLAD	23408	76680	\N	\N	\N
1270065	4343	1995-07-05	PRIJEM	VKLAD	15605	66301	\N	\N	\N
1270066	4343	1995-08-05	PRIJEM	VKLAD	15605	68507	\N	\N	\N
1270067	4343	1995-09-05	PRIJEM	VKLAD	15605	69620	\N	\N	\N
1270068	4343	1995-10-05	PRIJEM	VKLAD	15605	65229	\N	\N	\N
1270069	4343	1995-11-05	PRIJEM	VKLAD	15605	69135	\N	\N	\N
1270070	4343	1995-12-05	PRIJEM	VKLAD	23408	75347	\N	\N	\N
1270071	4343	1996-01-05	PRIJEM	VKLAD	15605	68075	\N	\N	\N
1270072	4343	1996-02-05	PRIJEM	VKLAD	15605	55388	\N	\N	\N
1270073	4343	1996-03-05	PRIJEM	VKLAD	15605	63573	\N	\N	\N
1270074	4343	1996-04-05	PRIJEM	VKLAD	15605	63880	\N	\N	\N
1270075	4343	1996-05-05	PRIJEM	VKLAD	15605	73498	\N	\N	\N
1270076	4343	1996-06-05	PRIJEM	VKLAD	23408	84641	\N	\N	\N
1270077	4343	1996-07-05	PRIJEM	VKLAD	15605	65549	\N	\N	\N
1270078	4343	1996-08-05	PRIJEM	VKLAD	15605	70260	\N	\N	\N
1270079	4343	1996-09-05	PRIJEM	VKLAD	15605	61272	\N	\N	\N
1270080	4343	1996-10-05	PRIJEM	VKLAD	15605	70582	\N	\N	\N
1270081	4343	1996-11-05	PRIJEM	VKLAD	15605	77924	\N	\N	\N
1270082	4343	1996-12-05	PRIJEM	VKLAD	23408	88283	\N	\N	\N
1270083	4343	1997-01-05	PRIJEM	VKLAD	15605	71340	\N	\N	\N
1270084	4343	1997-02-05	PRIJEM	VKLAD	15605	65054	\N	\N	\N
1270085	4343	1997-03-05	PRIJEM	VKLAD	15605	76893	\N	\N	\N
1270086	4343	1997-04-05	PRIJEM	VKLAD	15605	80749	\N	\N	\N
1270087	4343	1997-05-05	PRIJEM	VKLAD	15605	81663	\N	\N	\N
1270088	4343	1997-06-05	PRIJEM	VKLAD	23408	81228	\N	\N	\N
1270089	4343	1997-07-05	PRIJEM	VKLAD	15605	72603	\N	\N	\N
1270090	4343	1997-08-05	PRIJEM	VKLAD	15605	84184	\N	\N	\N
1270091	4343	1997-09-05	PRIJEM	VKLAD	15605	87517	\N	\N	\N
1270092	4343	1997-10-05	PRIJEM	VKLAD	15605	91467	\N	\N	\N
1270093	4343	1997-11-05	PRIJEM	VKLAD	15605	89731	\N	\N	\N
1270094	4343	1997-12-05	PRIJEM	VKLAD	23408	102291	\N	\N	\N
1270095	4343	1998-01-05	PRIJEM	VKLAD	15605	101993	\N	\N	\N
1270096	4343	1998-02-05	PRIJEM	VKLAD	15605	92354	\N	\N	\N
1270097	4343	1998-03-05	PRIJEM	VKLAD	15605	96762	\N	\N	\N
1270098	4343	1998-04-05	PRIJEM	VKLAD	15605	99943	\N	\N	\N
1270099	4343	1998-05-05	PRIJEM	VKLAD	15605	99529	\N	\N	\N
1270100	4343	1998-06-05	PRIJEM	VKLAD	23408	104567	\N	\N	\N
1270101	4343	1998-07-05	PRIJEM	VKLAD	15605	87885	\N	\N	\N
1270102	4343	1998-08-05	PRIJEM	VKLAD	15605	92173	\N	\N	\N
1270103	4343	1998-09-05	PRIJEM	VKLAD	15605	92077	\N	\N	\N
1270104	4343	1998-10-05	PRIJEM	VKLAD	15605	92882	\N	\N	\N
1270105	4343	1998-11-05	PRIJEM	VKLAD	15605	92090	\N	\N	\N
1270106	4343	1998-12-05	PRIJEM	VKLAD	23408	100945	\N	\N	\N
1270108	4343	1994-06-26	VYDAJ	VYBER	13000	33290	\N	\N	\N
1270109	4343	1995-06-08	VYDAJ	VYBER	7600	69080	\N	\N	\N
1270110	4343	1996-06-07	VYDAJ	VYBER	27200	57441	\N	\N	\N
1270111	4343	1997-06-18	VYDAJ	VYBER	20400	60828	\N	\N	\N
1270112	4343	1998-06-19	VYDAJ	VYBER	26400	78167	\N	\N	\N
1270115	4343	1995-01-18	VYDAJ	VYBER	8500	34598	\N	\N	\N
1270116	4343	1996-01-28	VYDAJ	VYBER	7800	39575	\N	\N	\N
1270117	4343	1997-01-03	VYDAJ	VYBER	5200	55735	\N	\N	\N
1270118	4343	1998-01-25	VYDAJ	VYBER KARTOU	3000	87293	\N	\N	0
1270120	4343	1994-12-27	VYDAJ	VYBER	2200	48109	\N	\N	\N
1270121	4343	1995-12-07	VYDAJ	VYBER	600	69947	\N	\N	\N
1270122	4343	1996-12-21	VYDAJ	VYBER KARTOU	2100	63083	\N	\N	0
1270123	4343	1997-12-10	VYDAJ	VYBER KARTOU	500	101791	\N	\N	0
1270124	4343	1998-12-04	VYDAJ	VYBER KARTOU	1600	77537	\N	\N	0
1270137	4343	1995-01-14	VYDAJ	VYBER	2400	54198	\N	\N	\N
1270138	4343	1995-01-25	VYDAJ	VYBER	500	31598	\N	\N	\N
1270139	4343	1995-01-27	VYDAJ	VYBER	2400	29198	\N	\N	\N
1270140	4343	1995-01-21	VYDAJ	VYBER	2500	32098	\N	\N	\N
1270141	4343	1995-01-13	VYDAJ	VYBER	2300	56598	\N	\N	\N
1270142	4343	1995-01-01	VYDAJ	VYBER	2900	43293	\N	\N	\N
1270143	4343	1996-01-26	VYDAJ	VYBER KARTOU	1800	47375	\N	\N	0
1270144	4343	1996-01-04	VYDAJ	VYBER	1300	52470	\N	\N	\N
1270145	4343	1996-01-24	VYDAJ	VYBER KARTOU	2300	51075	\N	\N	0
1270146	4343	1996-01-05	VYDAJ	VYBER	800	67275	\N	\N	\N
1270147	4343	1996-01-25	VYDAJ	VYBER KARTOU	1900	49175	\N	\N	0
1270148	4343	1996-01-07	VYDAJ	VYBER	2000	65275	\N	\N	\N
1270149	4343	1997-01-30	VYDAJ	VYBER KARTOU	900	48940	\N	\N	0
1270150	4343	1997-01-02	VYDAJ	VYBER KARTOU	2400	60935	\N	\N	0
1270151	4343	1997-01-10	VYDAJ	VYBER KARTOU	2700	55840	\N	\N	0
1270152	4343	1997-01-22	VYDAJ	VYBER KARTOU	1800	50840	\N	\N	0
1270153	4343	1997-01-24	VYDAJ	VYBER KARTOU	1000	49840	\N	\N	0
1270154	4343	1997-01-17	VYDAJ	VYBER KARTOU	700	52640	\N	\N	0
1270155	4343	1998-01-13	VYDAJ	VYBER KARTOU	1900	95893	\N	\N	0
1270156	4343	1998-01-17	VYDAJ	VYBER KARTOU	1300	92093	\N	\N	0
1270157	4343	1998-01-22	VYDAJ	VYBER KARTOU	1800	90293	\N	\N	0
1270158	4343	1998-01-25	VYDAJ	VYBER KARTOU	2600	84693	\N	\N	0
1270159	4343	1998-01-10	VYDAJ	VYBER KARTOU	1400	100593	\N	\N	0
1270160	4343	1998-01-12	VYDAJ	VYBER KARTOU	2800	97793	\N	\N	0
1270166	4343	1994-07-27	VYDAJ	VYBER	4700	29951	\N	\N	\N
1270167	4343	1994-06-29	VYDAJ	VYBER	4400	28890	\N	\N	\N
1270168	4343	1994-12-29	VYDAJ	VYBER	2100	46009	\N	\N	\N
1270169	4343	1994-10-25	VYDAJ	VYBER	2200	42959	\N	\N	\N
1270170	4343	1995-12-05	VYDAJ	VYBER	4800	70547	\N	\N	\N
1270171	4343	1995-09-26	VYDAJ	VYBER	3100	49420	\N	\N	\N
1270172	4343	1995-12-03	VYDAJ	VYBER	500	51939	\N	\N	\N
1270173	4343	1996-08-23	VYDAJ	VYBER	4800	49860	\N	\N	\N
1270174	4343	1996-08-27	VYDAJ	VYBER	4400	45460	\N	\N	\N
1270175	4343	1996-03-05	VYDAJ	VYBER KARTOU	3400	60173	\N	\N	0
1270176	4343	1996-08-17	VYDAJ	VYBER KARTOU	3500	54660	\N	\N	0
1270177	4343	1996-02-20	VYDAJ	VYBER	4400	47788	\N	\N	\N
1270178	4343	1996-03-20	VYDAJ	VYBER	4300	48073	\N	\N	\N
1270179	4343	1997-06-23	VYDAJ	VYBER	4300	55428	\N	\N	\N
1270180	4343	1997-06-20	VYDAJ	VYBER KARTOU	1100	59728	\N	\N	0
1270181	4343	1997-10-30	VYDAJ	VYBER KARTOU	3000	88467	\N	\N	0
1270182	4343	1997-10-30	VYDAJ	VYBER KARTOU	2300	86167	\N	\N	0
1270183	4343	1997-11-16	VYDAJ	VYBER KARTOU	1200	88531	\N	\N	0
1270184	4343	1997-10-04	VYDAJ	VYBER KARTOU	800	75862	\N	\N	0
1270185	4343	1997-02-10	VYDAJ	VYBER KARTOU	4000	61054	\N	\N	0
1270186	4343	1997-01-15	VYDAJ	VYBER KARTOU	2500	53340	\N	\N	0
1270187	4343	1998-01-16	VYDAJ	VYBER KARTOU	2500	93393	\N	\N	0
1270188	4343	1998-04-05	VYDAJ	VYBER KARTOU	1600	98343	\N	\N	0
1270189	4343	1998-03-18	VYDAJ	VYBER KARTOU	3000	93762	\N	\N	0
1270190	4343	1998-11-04	VYDAJ	VYBER KARTOU	2500	76485	\N	\N	0
1270207	4343	1994-04-30	VYDAJ	VYBER	15	38726	SLUZBY	\N	\N
1270208	4343	1994-05-31	VYDAJ	VYBER	15	41682	SLUZBY	\N	\N
1270209	4343	1994-06-30	VYDAJ	VYBER	15	29046	SLUZBY	\N	\N
1270210	4343	1994-07-31	VYDAJ	VYBER	15	30063	SLUZBY	\N	\N
1270211	4343	1994-08-31	VYDAJ	VYBER	15	38794	SLUZBY	\N	\N
1270212	4343	1994-09-30	VYDAJ	VYBER	15	43354	SLUZBY	\N	\N
1270213	4343	1994-10-31	VYDAJ	VYBER	15	43126	SLUZBY	\N	\N
1270214	4343	1994-11-30	VYDAJ	VYBER	15	46001	SLUZBY	\N	\N
1270215	4343	1994-12-31	VYDAJ	VYBER	15	46193	SLUZBY	\N	\N
1270216	4343	1995-01-31	VYDAJ	VYBER	15	29364	SLUZBY	\N	\N
1270217	4343	1995-02-28	VYDAJ	VYBER	15	42103	SLUZBY	\N	\N
1270218	4343	1995-03-31	VYDAJ	VYBER	15	46577	SLUZBY	\N	\N
1270219	4343	1995-04-30	VYDAJ	VYBER	15	49768	SLUZBY	\N	\N
1270220	4343	1995-05-31	VYDAJ	VYBER	15	53272	SLUZBY	\N	\N
1270221	4343	1995-06-30	VYDAJ	VYBER	15	50696	SLUZBY	\N	\N
1270222	4343	1995-07-31	VYDAJ	VYBER	15	52902	SLUZBY	\N	\N
1270223	4343	1995-08-31	VYDAJ	VYBER	15	54015	SLUZBY	\N	\N
1270224	4343	1995-09-30	VYDAJ	VYBER	15	49624	SLUZBY	\N	\N
1270225	4343	1995-10-31	VYDAJ	VYBER	15	53530	SLUZBY	\N	\N
1270226	4343	1995-11-30	VYDAJ	VYBER	15	52439	SLUZBY	\N	\N
1270227	4343	1995-12-31	VYDAJ	VYBER	15	53770	SLUZBY	\N	\N
1270228	4343	1996-01-31	VYDAJ	VYBER	15	39783	SLUZBY	\N	\N
1270229	4343	1996-02-29	VYDAJ	VYBER	15	47968	SLUZBY	\N	\N
1270230	4343	1996-03-31	VYDAJ	VYBER	15	48275	SLUZBY	\N	\N
1270231	4343	1996-04-30	VYDAJ	VYBER	15	57893	SLUZBY	\N	\N
1270232	4343	1996-05-31	VYDAJ	VYBER	15	61233	SLUZBY	\N	\N
1270233	4343	1996-06-30	VYDAJ	VYBER	15	49944	SLUZBY	\N	\N
1270234	4343	1996-07-31	VYDAJ	VYBER	15	54655	SLUZBY	\N	\N
1270235	4343	1996-08-31	VYDAJ	VYBER	15	45667	SLUZBY	\N	\N
1270236	4343	1996-09-30	VYDAJ	VYBER	15	54977	SLUZBY	\N	\N
1270237	4343	1996-10-31	VYDAJ	VYBER	15	62319	SLUZBY	\N	\N
1270238	4343	1996-11-30	VYDAJ	VYBER	15	64875	SLUZBY	\N	\N
1270239	4343	1996-12-31	VYDAJ	VYBER	15	63335	SLUZBY	\N	\N
1270240	4343	1997-01-31	VYDAJ	VYBER	15	49149	SLUZBY	\N	\N
1270241	4343	1997-02-28	VYDAJ	VYBER	15	61288	SLUZBY	\N	\N
1270242	4343	1997-03-31	VYDAJ	VYBER	15	65144	SLUZBY	\N	\N
1270243	4343	1997-04-30	VYDAJ	VYBER	15	66058	SLUZBY	\N	\N
1270244	4343	1997-05-31	VYDAJ	VYBER	15	66020	SLUZBY	\N	\N
1270245	4343	1997-06-30	VYDAJ	VYBER	15	55698	SLUZBY	\N	\N
1270246	4343	1997-07-31	VYDAJ	VYBER	15	72879	SLUZBY	\N	\N
1270247	4343	1997-08-31	VYDAJ	VYBER	15	84512	SLUZBY	\N	\N
1270248	4343	1997-09-30	VYDAJ	VYBER	15	87862	SLUZBY	\N	\N
1270249	4343	1997-10-31	VYDAJ	VYBER	15	86526	SLUZBY	\N	\N
1270250	4343	1997-11-30	VYDAJ	VYBER	15	88883	SLUZBY	\N	\N
1270251	4343	1997-12-31	VYDAJ	VYBER	15	86388	SLUZBY	\N	\N
1270252	4343	1998-01-31	VYDAJ	VYBER	15	76749	SLUZBY	\N	\N
1270253	4343	1998-02-28	VYDAJ	VYBER	15	92657	SLUZBY	\N	\N
1270254	4343	1998-03-31	VYDAJ	VYBER	15	84338	SLUZBY	\N	\N
1270255	4343	1998-04-30	VYDAJ	VYBER	15	98724	SLUZBY	\N	\N
1270256	4343	1998-05-31	VYDAJ	VYBER	15	81159	SLUZBY	\N	\N
1270257	4343	1998-06-30	VYDAJ	VYBER	15	72280	SLUZBY	\N	\N
1270258	4343	1998-07-31	VYDAJ	VYBER	15	76568	SLUZBY	\N	\N
1270259	4343	1998-08-31	VYDAJ	VYBER	15	76472	SLUZBY	\N	\N
1270260	4343	1998-09-30	VYDAJ	VYBER	15	77277	SLUZBY	\N	\N
1270261	4343	1998-10-31	VYDAJ	VYBER	15	78985	SLUZBY	\N	\N
1270262	4343	1998-11-30	VYDAJ	VYBER	15	79137	SLUZBY	\N	\N
1270263	4343	1993-12-22	PRIJEM	VKLAD	2300	26608	\N	\N	\N
1270264	4343	1994-01-21	VYDAJ	VYBER	10600	31649	\N	\N	\N
1270265	4343	1994-02-20	VYDAJ	VYBER	9600	37772	\N	\N	\N
1270266	4343	1994-03-22	VYDAJ	VYBER	15100	38417	\N	\N	\N
1270267	4343	1994-04-21	VYDAJ	VYBER	15600	38580	\N	\N	\N
1270268	4343	1994-05-21	VYDAJ	VYBER	12800	41531	\N	\N	\N
1270269	4343	1994-06-20	VYDAJ	VYBER	18800	46290	\N	\N	\N
1270270	4343	1994-07-20	VYDAJ	VYBER	10000	34651	\N	\N	\N
1270271	4343	1994-08-19	VYDAJ	VYBER	7000	38668	\N	\N	\N
1270272	4343	1994-09-18	VYDAJ	VYBER	11200	43199	\N	\N	\N
1270273	4343	1994-10-18	VYDAJ	VYBER	13800	45159	\N	\N	\N
1270274	4343	1994-11-17	VYDAJ	VYBER	12900	45831	\N	\N	\N
1270275	4343	1994-12-17	VYDAJ	VYBER	19100	50309	\N	\N	\N
1270276	4343	1995-01-16	VYDAJ	VYBER	11100	43098	\N	\N	\N
1270277	4343	1995-02-15	VYDAJ	VYBER	3000	41969	\N	\N	\N
1270278	4343	1995-03-17	VYDAJ	VYBER	11300	46408	\N	\N	\N
1270279	4343	1995-04-16	VYDAJ	VYBER	12600	49582	\N	\N	\N
1270280	4343	1995-05-16	VYDAJ	VYBER	12300	53073	\N	\N	\N
1270281	4343	1995-06-15	VYDAJ	VYBER	18600	50480	\N	\N	\N
1270282	4343	1995-07-15	VYDAJ	VYBER	13600	52701	\N	\N	\N
1270283	4343	1995-08-14	VYDAJ	VYBER	14700	53807	\N	\N	\N
1270284	4343	1995-09-13	VYDAJ	VYBER	17100	52520	\N	\N	\N
1270285	4343	1995-10-13	VYDAJ	VYBER	11900	53329	\N	\N	\N
1270286	4343	1995-11-12	VYDAJ	VYBER	16900	52235	\N	\N	\N
1270287	4343	1995-12-12	VYDAJ	VYBER	16400	53547	\N	\N	\N
1270288	4343	1996-01-11	VYDAJ	VYBER	11900	53375	\N	\N	\N
1270289	4343	1996-02-10	VYDAJ	VYBER KARTOU	3200	52188	\N	\N	0
1270290	4343	1996-03-11	VYDAJ	VYBER	7800	52373	\N	\N	\N
1270291	4343	1996-04-10	VYDAJ	VYBER	6200	57680	\N	\N	\N
1270292	4343	1996-05-10	VYDAJ	VYBER	12500	60998	\N	\N	\N
1270293	4343	1996-06-09	VYDAJ	VYBER	7700	49741	\N	\N	\N
1270294	4343	1996-07-09	VYDAJ	VYBER	11100	54449	\N	\N	\N
1270295	4343	1996-08-08	VYDAJ	VYBER	12100	58160	\N	\N	\N
1270296	4343	1996-09-07	VYDAJ	VYBER	6500	54772	\N	\N	\N
1270297	4343	1996-10-07	VYDAJ	VYBER	8500	62082	\N	\N	\N
1270298	4343	1996-11-06	VYDAJ	VYBER	13300	64624	\N	\N	\N
1270299	4343	1996-12-06	VYDAJ	VYBER	23100	65183	\N	\N	\N
1270300	4343	1997-01-05	VYDAJ	VYBER	12800	58540	\N	\N	\N
1270301	4343	1997-02-04	PRIJEM	VKLAD	300	49449	\N	\N	\N
1270302	4343	1997-03-06	VYDAJ	VYBER	12000	64893	\N	\N	\N
1270303	4343	1997-04-05	VYDAJ	VYBER	15000	65749	\N	\N	\N
1270304	4343	1997-05-05	VYDAJ	VYBER	15900	65763	\N	\N	\N
1270305	4343	1997-06-04	VYDAJ	VYBER	8200	57820	\N	\N	\N
1270306	4343	1997-07-04	PRIJEM	VKLAD	1300	56998	\N	\N	\N
1270307	4343	1997-08-03	VYDAJ	VYBER	4300	68579	\N	\N	\N
1270308	4343	1997-09-02	VYDAJ	VYBER	12600	71912	\N	\N	\N
1270309	4343	1997-10-02	VYDAJ	VYBER	11200	76662	\N	\N	\N
1270310	4343	1997-11-01	VYDAJ	VYBER	12400	74126	\N	\N	\N
1270311	4343	1997-12-01	VYDAJ	VYBER	10000	78883	\N	\N	\N
1270312	4343	1997-12-31	VYDAJ	VYBER	15800	86403	\N	\N	\N
1270313	4343	1998-01-30	VYDAJ	VYBER	8300	76393	\N	\N	\N
1270314	4343	1998-03-01	VYDAJ	VYBER	11500	81157	\N	\N	\N
1270315	4343	1998-03-31	VYDAJ	VYBER	9800	84352	\N	\N	\N
1270316	4343	1998-04-30	VYDAJ	VYBER	14800	83924	\N	\N	\N
1270317	4343	1998-05-30	VYDAJ	VYBER	18700	80829	\N	\N	\N
1270318	4343	1998-06-29	VYDAJ	VYBER	6200	71967	\N	\N	\N
1270319	4343	1998-07-29	VYDAJ	VYBER	11600	76285	\N	\N	\N
1270320	4343	1998-08-28	VYDAJ	VYBER	16000	76173	\N	\N	\N
1270321	4343	1998-09-27	VYDAJ	VYBER	15100	76977	\N	\N	\N
1270322	4343	1998-10-27	VYDAJ	VYBER	14200	78682	\N	\N	\N
1270323	4343	1998-11-26	VYDAJ	VYBER	13300	78790	\N	\N	\N
1270800	4346	1996-03-15	PRIJEM	VKLAD	800	800	\N	\N	\N
1270801	4346	1996-03-18	PRIJEM	VKLAD	48012	48812	\N	\N	\N
1270802	4346	1996-07-18	PRIJEM	VKLAD	19484	98204	\N	\N	\N
1270803	4346	1996-09-25	PRIJEM	VKLAD	33889	132448	\N	\N	\N
1270804	4346	1996-06-28	PRIJEM	VKLAD	16413	71358	\N	\N	\N
1270805	4346	1996-04-26	PRIJEM	VKLAD	42574	101557	\N	\N	\N
1270806	4346	1996-06-19	PRIJEM	VKLAD	16471	54945	\N	\N	\N
1270807	4346	1996-06-17	PRIJEM	VKLAD	15074	55297	\N	\N	\N
1270809	4346	1996-07-16	PRIJEM	VKLAD	44139	108320	\N	\N	\N
1270810	4346	1996-10-17	PRIJEM	VKLAD	10379	69835	\N	\N	\N
1270811	4346	1996-07-09	PRIJEM	VKLAD	48712	125081	\N	\N	\N
1270812	4346	1996-07-03	PRIJEM	VKLAD	30735	102326	\N	\N	\N
1270813	4346	1996-11-28	PRIJEM	VKLAD	44641	145071	\N	\N	\N
1270814	4346	1996-11-13	PRIJEM	VKLAD	18634	60437	\N	\N	\N
1270815	4346	1996-12-15	PRIJEM	VKLAD	21621	94244	\N	\N	\N
1270816	4346	1996-04-03	PRIJEM	VKLAD	44479	93383	\N	\N	\N
1270818	4346	1996-10-17	PRIJEM	VKLAD	17174	87009	\N	\N	\N
1270819	4346	1996-09-14	PRIJEM	VKLAD	32261	65979	\N	\N	\N
1270820	4346	1996-09-21	PRIJEM	VKLAD	39203	105182	\N	\N	\N
1270821	4346	1996-12-12	PRIJEM	VKLAD	44656	72623	\N	\N	\N
1270822	4346	1996-12-09	PRIJEM	VKLAD	7956	67971	\N	\N	\N
1270824	4346	1996-11-07	PRIJEM	VKLAD	38309	117203	\N	\N	\N
1270825	4346	1996-11-23	PRIJEM	VKLAD	39993	100430	\N	\N	\N
1270826	4346	1996-06-11	PRIJEM	VKLAD	41451	114823	\N	\N	\N
1270827	4346	1996-05-03	PRIJEM	VKLAD	43772	145586	\N	\N	\N
1270828	4346	1997-06-19	PRIJEM	VKLAD	32073	87933	\N	\N	\N
1270829	4346	1997-03-15	PRIJEM	VKLAD	29789	89329	\N	\N	\N
1270830	4346	1997-04-10	PRIJEM	VKLAD	36617	99701	\N	\N	\N
1270831	4346	1997-03-19	PRIJEM	VKLAD	7069	79617	\N	\N	\N
1270832	4346	1997-01-11	PRIJEM	VKLAD	24638	83064	\N	\N	\N
1270833	4346	1997-01-09	PRIJEM	VKLAD	11784	107826	\N	\N	\N
1270834	4346	1997-04-22	PRIJEM	VKLAD	44777	132178	\N	\N	\N
1270835	4346	1997-05-21	PRIJEM	VKLAD	37314	69111	\N	\N	\N
1270836	4346	1997-07-05	PRIJEM	VKLAD	43060	140098	\N	\N	\N
1270837	4346	1997-08-16	PRIJEM	VKLAD	8524	57608	\N	\N	\N
1270838	4346	1997-03-01	PRIJEM	VKLAD	23918	62607	\N	\N	\N
1270839	4346	1997-01-07	PRIJEM	VKLAD	15913	96042	\N	\N	\N
1270840	4346	1997-05-27	PRIJEM	VKLAD	42449	111560	\N	\N	\N
1270841	4346	1997-06-12	PRIJEM	VKLAD	20997	55860	\N	\N	\N
1270842	4346	1997-10-02	PRIJEM	VKLAD	27938	60654	\N	\N	\N
1270843	4346	1997-04-09	PRIJEM	VKLAD	22956	94384	\N	\N	\N
1270844	4346	1997-02-23	PRIJEM	VKLAD	23618	47617	\N	\N	\N
1270845	4346	1997-06-29	PRIJEM	VKLAD	11520	96753	\N	\N	\N
1270846	4346	1997-03-09	PRIJEM	VKLAD	32689	86840	\N	\N	\N
1270847	4346	1998-02-15	PRIJEM	VKLAD	10874	32511	\N	\N	\N
1270848	4346	1998-04-01	PRIJEM	VKLAD	34164	81300	\N	\N	\N
1270849	4346	1998-12-18	PRIJEM	VKLAD	43745	86658	\N	\N	\N
1270850	4346	1998-03-07	PRIJEM	VKLAD	17216	46969	\N	\N	\N
1270851	4346	1998-07-06	PRIJEM	VKLAD	46188	72913	\N	\N	\N
1270852	4346	1998-08-12	PRIJEM	VKLAD	38963	79192	\N	\N	\N
1270853	4346	1998-01-21	PRIJEM	VKLAD	14735	35305	\N	\N	\N
1270854	4346	1998-04-26	PRIJEM	VKLAD	6310	53254	\N	\N	\N
1270855	4346	1998-08-23	PRIJEM	VKLAD	39652	118844	\N	\N	\N
1270856	4346	1998-10-27	PRIJEM	VKLAD	39778	71050	\N	\N	\N
1270899	4346	1996-07-05	VYDAJ	PREVOD NA UCET	5389	93870	SIPO	KL	97406702
1270900	4346	1996-08-05	VYDAJ	PREVOD NA UCET	5389	93170	SIPO	KL	97406702
1270901	4346	1996-09-05	VYDAJ	PREVOD NA UCET	5389	44085	SIPO	KL	97406702
1270902	4346	1996-10-05	VYDAJ	PREVOD NA UCET	5389	91356	SIPO	KL	97406702
1270903	4346	1996-11-05	VYDAJ	PREVOD NA UCET	5389	78894	SIPO	KL	97406702
1270904	4346	1996-12-05	VYDAJ	PREVOD NA UCET	5389	63082	SIPO	KL	97406702
1270905	4346	1997-01-05	VYDAJ	PREVOD NA UCET	5389	80129	SIPO	KL	97406702
1270906	4346	1997-02-05	VYDAJ	PREVOD NA UCET	5389	32899	SIPO	KL	97406702
1270907	4346	1997-03-05	VYDAJ	PREVOD NA UCET	5389	57218	SIPO	KL	97406702
1270908	4346	1997-04-05	VYDAJ	PREVOD NA UCET	5389	71428	SIPO	KL	97406702
1270909	4346	1997-05-05	VYDAJ	PREVOD NA UCET	5389	69479	SIPO	KL	97406702
1270910	4346	1997-06-05	VYDAJ	PREVOD NA UCET	5389	43230	SIPO	KL	97406702
1270911	4346	1997-07-05	VYDAJ	PREVOD NA UCET	5389	134709	SIPO	KL	97406702
1270912	4346	1997-08-05	VYDAJ	PREVOD NA UCET	5389	59151	SIPO	KL	97406702
1270913	4346	1997-09-05	VYDAJ	PREVOD NA UCET	5389	49370	SIPO	KL	97406702
1270914	4346	1997-10-05	VYDAJ	PREVOD NA UCET	5389	52198	SIPO	KL	97406702
1270915	4346	1997-11-05	VYDAJ	PREVOD NA UCET	5389	28251	SIPO	KL	97406702
1270916	4346	1997-12-05	VYDAJ	PREVOD NA UCET	5389	30395	SIPO	KL	97406702
1270917	4346	1998-01-05	VYDAJ	PREVOD NA UCET	5389	23637	SIPO	KL	97406702
1270918	4346	1998-02-05	VYDAJ	PREVOD NA UCET	5389	24704	SIPO	KL	97406702
1270919	4346	1998-03-05	VYDAJ	PREVOD NA UCET	5389	29753	SIPO	KL	97406702
1270920	4346	1998-04-05	VYDAJ	PREVOD NA UCET	5389	50011	SIPO	KL	97406702
1270921	4346	1998-05-05	VYDAJ	PREVOD NA UCET	5389	38650	SIPO	KL	97406702
1270922	4346	1998-06-05	VYDAJ	PREVOD NA UCET	5389	30269	SIPO	KL	97406702
1270923	4346	1998-07-05	VYDAJ	PREVOD NA UCET	5389	29792	SIPO	KL	97406702
1270924	4346	1998-08-05	VYDAJ	PREVOD NA UCET	5389	40229	SIPO	KL	97406702
1270925	4346	1998-09-05	VYDAJ	PREVOD NA UCET	5389	51652	SIPO	KL	97406702
1270926	4346	1998-10-05	VYDAJ	PREVOD NA UCET	5389	31272	SIPO	KL	97406702
1270927	4346	1998-11-05	VYDAJ	PREVOD NA UCET	5389	55420	SIPO	KL	97406702
1270928	4346	1998-12-05	VYDAJ	PREVOD NA UCET	5389	42913	SIPO	KL	97406702
1270935	4346	1996-07-05	VYDAJ	PREVOD NA UCET	3067	99259	 	AB	19900185
1270936	4346	1996-08-05	VYDAJ	PREVOD NA UCET	3067	90103	 	AB	19900185
1270937	4346	1996-09-05	VYDAJ	PREVOD NA UCET	3067	41018	 	AB	19900185
1270938	4346	1996-10-05	VYDAJ	PREVOD NA UCET	3067	96745	 	AB	19900185
1270939	4346	1996-11-05	VYDAJ	PREVOD NA UCET	3067	84283	 	AB	19900185
1270940	4346	1996-12-05	VYDAJ	PREVOD NA UCET	3067	60015	 	AB	19900185
1270941	4346	1997-01-05	VYDAJ	PREVOD NA UCET	3067	85518	 	AB	19900185
1270942	4346	1997-02-05	VYDAJ	PREVOD NA UCET	3067	38288	 	AB	19900185
1270943	4346	1997-03-05	VYDAJ	PREVOD NA UCET	3067	54151	 	AB	19900185
1270944	4346	1997-04-05	VYDAJ	PREVOD NA UCET	3067	76817	 	AB	19900185
1270945	4346	1997-05-05	VYDAJ	PREVOD NA UCET	3067	66412	 	AB	19900185
1270946	4346	1997-06-05	VYDAJ	PREVOD NA UCET	3067	40163	 	AB	19900185
1270947	4346	1997-07-05	VYDAJ	PREVOD NA UCET	3067	131642	 	AB	19900185
1270948	4346	1997-08-05	VYDAJ	PREVOD NA UCET	3067	56084	 	AB	19900185
1270949	4346	1997-09-05	VYDAJ	PREVOD NA UCET	3067	54759	 	AB	19900185
1270950	4346	1997-10-05	VYDAJ	PREVOD NA UCET	3067	57587	 	AB	19900185
1270951	4346	1997-11-05	VYDAJ	PREVOD NA UCET	3067	33640	 	AB	19900185
1270952	4346	1997-12-05	VYDAJ	PREVOD NA UCET	3067	27328	 	AB	19900185
1270953	4346	1998-01-05	VYDAJ	PREVOD NA UCET	3067	20570	 	AB	19900185
1270954	4346	1998-02-05	VYDAJ	PREVOD NA UCET	3067	21637	 	AB	19900185
1270955	4346	1998-03-05	VYDAJ	PREVOD NA UCET	3067	35142	 	AB	19900185
1270956	4346	1998-04-05	VYDAJ	PREVOD NA UCET	3067	46944	 	AB	19900185
1270957	4346	1998-05-05	VYDAJ	PREVOD NA UCET	3067	35583	 	AB	19900185
1270958	4346	1998-06-05	VYDAJ	PREVOD NA UCET	3067	35658	 	AB	19900185
1270959	4346	1998-07-05	VYDAJ	PREVOD NA UCET	3067	26725	 	AB	19900185
1270960	4346	1998-08-05	VYDAJ	PREVOD NA UCET	3067	45618	 	AB	19900185
1270961	4346	1998-09-05	VYDAJ	PREVOD NA UCET	3067	57041	 	AB	19900185
1270962	4346	1998-10-05	VYDAJ	PREVOD NA UCET	3067	36661	 	AB	19900185
1270963	4346	1998-11-05	VYDAJ	PREVOD NA UCET	3067	52353	 	AB	19900185
1270964	4346	1998-12-05	VYDAJ	PREVOD NA UCET	3067	48302	 	AB	19900185
1270966	4346	1996-06-17	VYBER	VYBER	16823	38474	\N	\N	\N
1270968	4346	1996-09-22	VYBER	VYBER	6623	98559	\N	\N	\N
1270969	4346	1996-12-11	VYBER	VYBER	19804	27967	\N	\N	\N
1270971	4346	1996-07-06	VYBER	VYBER	17501	76369	\N	\N	\N
1270974	4346	1997-05-15	VYBER	VYBER	20815	31797	\N	\N	\N
1270975	4346	1997-02-28	VYBER	VYBER	9054	38704	\N	\N	\N
1270977	4346	1997-03-16	VYBER	VYBER	16781	72548	\N	\N	\N
1270980	4346	1997-10-19	VYBER	VYBER	3819	30679	\N	\N	\N
1270981	4346	1998-07-12	VYBER	VYBER	6859	66054	\N	\N	\N
1270986	4346	1997-01-23	VYDAJ	VYBER	23400	42864	\N	\N	\N
1270987	4346	1998-01-29	VYDAJ	VYBER	6300	22705	\N	\N	\N
1270988	4346	1996-12-22	VYDAJ	VYBER	2100	92144	\N	\N	\N
1270990	4346	1998-12-21	VYDAJ	VYBER	3600	83058	\N	\N	\N
1270997	4346	1997-01-18	VYDAJ	VYBER	4800	75264	\N	\N	\N
1270998	4346	1997-01-21	VYDAJ	VYBER	2700	72564	\N	\N	\N
1270999	4346	1997-01-21	VYDAJ	VYBER	6300	66264	\N	\N	\N
1271000	4346	1997-01-02	VYDAJ	VYBER	3900	88585	\N	\N	\N
1271001	4346	1997-01-29	VYDAJ	VYBER	1800	41064	\N	\N	\N
1271002	4346	1997-01-13	VYDAJ	VYBER	3000	80064	\N	\N	\N
1271007	4346	1998-01-02	VYDAJ	VYBER	1800	25626	\N	\N	\N
1271008	4346	1998-01-21	VYDAJ	VYBER	3600	31705	\N	\N	\N
1271009	4346	1996-08-25	VYDAJ	VYBER	7200	49203	\N	\N	\N
1271012	4346	1997-02-20	VYDAJ	VYBER	3900	23999	\N	\N	\N
1271014	4346	1997-10-11	VYDAJ	VYBER	7800	34498	\N	\N	\N
1271015	4346	1997-04-15	VYDAJ	VYBER	12300	87401	\N	\N	\N
1271016	4346	1997-09-12	VYDAJ	VYBER	11700	32570	\N	\N	\N
1271018	4346	1997-06-21	VYDAJ	VYBER	2700	85233	\N	\N	\N
1271020	4346	1998-12-28	VYDAJ	VYBER	13800	69258	\N	\N	\N
1271021	4346	1998-09-10	VYDAJ	VYBER	13200	38452	\N	\N	\N
1271022	4346	1998-01-26	VYDAJ	VYBER	2700	29005	\N	\N	\N
1271023	4346	1998-07-12	VYDAJ	VYBER	3600	62454	\N	\N	\N
1271030	4346	1996-06-30	VYDAJ	VYBER	15	71591	SLUZBY	\N	\N
1271031	4346	1996-07-31	VYDAJ	VYBER	15	98559	SLUZBY	\N	\N
1271032	4346	1996-08-31	VYDAJ	VYBER	15	49474	SLUZBY	\N	\N
1271033	4346	1996-09-30	VYDAJ	VYBER	15	99812	SLUZBY	\N	\N
1271034	4346	1996-10-31	VYDAJ	VYBER	15	87350	SLUZBY	\N	\N
1271035	4346	1996-11-30	VYDAJ	VYBER	15	115471	SLUZBY	\N	\N
1271036	4346	1996-12-31	VYDAJ	VYBER	15	92485	SLUZBY	\N	\N
1271037	4346	1997-01-31	VYDAJ	VYBER	15	41355	SLUZBY	\N	\N
1271038	4346	1997-02-28	VYDAJ	VYBER	15	38689	SLUZBY	\N	\N
1271039	4346	1997-03-31	VYDAJ	VYBER	15	79884	SLUZBY	\N	\N
1271040	4346	1997-04-30	VYDAJ	VYBER	15	74868	SLUZBY	\N	\N
1271041	4346	1997-05-31	VYDAJ	VYBER	15	111819	SLUZBY	\N	\N
1271042	4346	1997-06-30	VYDAJ	VYBER	15	97038	SLUZBY	\N	\N
1271043	4346	1997-07-31	VYDAJ	VYBER	15	64540	SLUZBY	\N	\N
1271044	4346	1997-08-31	VYDAJ	VYBER	15	57826	SLUZBY	\N	\N
1271045	4346	1997-09-30	VYDAJ	VYBER	15	32716	SLUZBY	\N	\N
1271046	4346	1997-10-31	VYDAJ	VYBER	15	30807	SLUZBY	\N	\N
1271047	4346	1997-11-30	VYDAJ	VYBER	15	28384	SLUZBY	\N	\N
1271048	4346	1997-12-31	VYDAJ	VYBER	15	27426	SLUZBY	\N	\N
1271049	4346	1998-01-31	VYDAJ	VYBER	15	22793	SLUZBY	\N	\N
1271050	4346	1998-02-28	VYDAJ	VYBER	15	32609	SLUZBY	\N	\N
1271051	4346	1998-03-31	VYDAJ	VYBER	15	47136	SLUZBY	\N	\N
1271052	4346	1998-04-30	VYDAJ	VYBER	15	53439	SLUZBY	\N	\N
1271053	4346	1998-05-31	VYDAJ	VYBER	15	35725	SLUZBY	\N	\N
1271054	4346	1998-06-30	VYDAJ	VYBER	15	30381	SLUZBY	\N	\N
1271055	4346	1998-07-31	VYDAJ	VYBER	15	62685	SLUZBY	\N	\N
1271056	4346	1998-08-31	VYDAJ	VYBER	15	72508	SLUZBY	\N	\N
1271057	4346	1998-09-30	VYDAJ	VYBER	15	38628	SLUZBY	\N	\N
1271058	4346	1998-10-31	VYDAJ	VYBER	15	60809	SLUZBY	\N	\N
1271059	4346	1998-11-30	VYDAJ	VYBER	15	51369	SLUZBY	\N	\N
1271060	4346	1996-04-14	VYDAJ	VYBER	34400	58983	\N	\N	\N
1271061	4346	1996-05-03	VYDAJ	VYBER	22500	123086	\N	\N	\N
1271062	4346	1996-05-14	VYDAJ	VYBER	50100	72986	\N	\N	\N
1271063	4346	1996-06-11	VYDAJ	VYBER	61700	53123	\N	\N	\N
1271064	4346	1996-06-13	VYDAJ	VYBER	12900	40223	\N	\N	\N
1271065	4346	1996-07-09	VYDAJ	VYBER	21600	103481	\N	\N	\N
1271066	4346	1996-07-13	VYDAJ	VYBER	39300	64181	\N	\N	\N
1271067	4346	1996-07-16	VYDAJ	VYBER	29600	78720	\N	\N	\N
1271068	4346	1996-08-12	VYDAJ	VYBER	33700	56403	\N	\N	\N
1271069	4346	1996-09-11	VYDAJ	VYBER	7300	33718	\N	\N	\N
1271070	4346	1996-09-25	VYDAJ	VYBER	32900	99548	\N	\N	\N
1271071	4346	1996-10-11	VYDAJ	VYBER	31900	59456	\N	\N	\N
1271072	4346	1996-11-07	VYDAJ	VYBER	59900	57303	\N	\N	\N
1271073	4346	1996-11-10	VYDAJ	VYBER	15500	41803	\N	\N	\N
1271074	4346	1996-11-28	VYDAJ	VYBER	29900	115171	\N	\N	\N
1271075	4346	1996-11-30	VYDAJ	VYBER	47000	68471	\N	\N	\N
1271076	4346	1996-12-10	VYDAJ	VYBER	20200	47771	\N	\N	\N
1271077	4346	1997-01-09	VYDAJ	VYBER	22400	58426	\N	\N	\N
1271078	4346	1997-01-09	VYDAJ	VYBER	27000	80826	\N	\N	\N
1271079	4346	1997-02-08	VYDAJ	VYBER	5000	27899	\N	\N	\N
1271080	4346	1997-03-10	VYDAJ	VYBER	27300	59540	\N	\N	\N
1271081	4346	1997-04-09	VYDAJ	VYBER	31300	63084	\N	\N	\N
1271082	4346	1997-04-22	VYDAJ	VYBER	57700	74478	\N	\N	\N
1271083	4346	1997-05-09	VYDAJ	VYBER	13800	52612	\N	\N	\N
1271084	4346	1997-05-31	VYDAJ	VYBER	63200	48619	\N	\N	\N
1271085	4346	1997-06-08	VYDAJ	VYBER	5300	34863	\N	\N	\N
1271086	4346	1997-07-05	VYDAJ	VYBER	39600	92042	\N	\N	\N
1271087	4346	1997-07-08	VYDAJ	VYBER	27800	64242	\N	\N	\N
1271088	4346	1997-08-07	VYDAJ	VYBER	7000	49084	\N	\N	\N
1271089	4346	1997-09-06	VYDAJ	VYBER	5100	44270	\N	\N	\N
1271090	4346	1997-10-06	VYDAJ	VYBER	9900	42298	\N	\N	\N
1271091	4346	1997-11-05	PRIJEM	VKLAD	5900	36707	\N	\N	\N
1271092	4346	1997-12-05	PRIJEM	VKLAD	7400	35784	\N	\N	\N
1271093	4346	1998-01-04	PRIJEM	VKLAD	3400	29026	\N	\N	\N
1271094	4346	1998-02-03	PRIJEM	VKLAD	7300	30093	\N	\N	\N
1271095	4346	1998-03-05	PRIJEM	VKLAD	5600	38209	\N	\N	\N
1271096	4346	1998-04-04	VYDAJ	VYBER	25900	55400	\N	\N	\N
1271097	4346	1998-05-04	VYDAJ	VYBER	9400	44039	\N	\N	\N
1271098	4346	1998-06-03	PRIJEM	VKLAD	3000	38725	\N	\N	\N
1271099	4346	1998-07-03	PRIJEM	VKLAD	4800	35181	\N	\N	\N
1271100	4346	1998-08-02	VYDAJ	VYBER	14000	48685	\N	\N	\N
1271101	4346	1998-08-23	VYDAJ	VYBER	46600	72244	\N	\N	\N
1271102	4346	1998-09-01	VYDAJ	VYBER	12400	60108	\N	\N	\N
1271103	4346	1998-10-01	PRIJEM	VKLAD	1100	39728	\N	\N	\N
1271104	4346	1998-10-31	VYDAJ	VYBER	10400	60823	\N	\N	\N
1271105	4346	1998-11-30	VYDAJ	VYBER	1200	51384	\N	\N	\N
1271140	4347	1993-03-27	PRIJEM	VKLAD	700	700	\N	\N	\N
1271141	4347	1993-05-03	PRIJEM	VKLAD	16312	29021	\N	\N	\N
1271143	4347	1994-01-07	PRIJEM	VKLAD	38717	66000	\N	\N	\N
1271144	4347	1994-05-20	PRIJEM	VKLAD	20197	47316	\N	\N	\N
1271145	4347	1995-07-10	PRIJEM	VKLAD	32402	52849	\N	\N	\N
1271146	4347	1995-11-09	PRIJEM	VKLAD	48229	65469	\N	\N	\N
1271147	4347	1996-12-29	PRIJEM	VKLAD	40494	69308	\N	\N	\N
1271148	4347	1996-11-09	PRIJEM	VKLAD	35305	52546	\N	\N	\N
1271149	4347	1997-11-09	PRIJEM	VKLAD	16357	34373	\N	\N	\N
1271150	4347	1997-05-12	PRIJEM	VKLAD	23685	37459	\N	\N	\N
1271151	4347	1998-01-13	PRIJEM	VKLAD	34336	50944	\N	\N	\N
1271152	4347	1998-10-13	PRIJEM	VKLAD	40490	61154	\N	\N	\N
1271156	4347	1993-04-15	PRIJEM	VKLAD	900	1600	\N	\N	\N
1271157	4347	1993-05-13	PRIJEM	VKLAD	900	29921	\N	\N	\N
1271158	4347	1993-06-13	PRIJEM	VKLAD	900	26514	\N	\N	\N
1271159	4347	1993-07-13	PRIJEM	VKLAD	900	28122	\N	\N	\N
1271160	4347	1993-08-16	PRIJEM	VKLAD	900	26271	\N	\N	\N
1271161	4347	1993-09-15	PRIJEM	VKLAD	900	29070	\N	\N	\N
1271162	4347	1993-10-14	PRIJEM	VKLAD	900	28873	\N	\N	\N
1271163	4347	1993-11-17	PRIJEM	VKLAD	900	29275	\N	\N	\N
1271164	4347	1993-12-13	PRIJEM	VKLAD	900	27579	\N	\N	\N
1271165	4347	1994-01-17	PRIJEM	VKLAD	900	58400	\N	\N	\N
1271166	4347	1994-02-14	PRIJEM	VKLAD	900	36672	\N	\N	\N
1271167	4347	1994-03-16	PRIJEM	VKLAD	900	33302	\N	\N	\N
1271168	4347	1994-04-15	PRIJEM	VKLAD	900	29518	\N	\N	\N
1271169	4347	1994-05-17	PRIJEM	VKLAD	900	26419	\N	\N	\N
1271170	4347	1994-06-14	PRIJEM	VKLAD	900	16126	\N	\N	\N
1271171	4347	1994-07-15	PRIJEM	VKLAD	900	21020	\N	\N	\N
1271172	4347	1994-08-17	PRIJEM	VKLAD	900	23393	\N	\N	\N
1271173	4347	1994-09-14	PRIJEM	VKLAD	900	22374	\N	\N	\N
1271174	4347	1994-10-16	PRIJEM	VKLAD	900	21356	\N	\N	\N
1271175	4347	1994-11-14	PRIJEM	VKLAD	900	20927	\N	\N	\N
1271176	4347	1994-12-13	PRIJEM	VKLAD	900	21600	\N	\N	\N
1271177	4347	1995-01-14	PRIJEM	VKLAD	900	17971	\N	\N	\N
1271178	4347	1995-02-17	PRIJEM	VKLAD	900	16779	\N	\N	\N
1271179	4347	1995-03-16	PRIJEM	VKLAD	900	18429	\N	\N	\N
1271180	4347	1995-04-13	PRIJEM	VKLAD	900	19789	\N	\N	\N
1271181	4347	1995-05-16	PRIJEM	VKLAD	900	21054	\N	\N	\N
1271182	4347	1995-06-14	PRIJEM	VKLAD	900	18725	\N	\N	\N
1271183	4347	1995-07-17	PRIJEM	VKLAD	900	37249	\N	\N	\N
1271184	4347	1995-08-13	PRIJEM	VKLAD	900	38007	\N	\N	\N
1271185	4347	1995-09-16	PRIJEM	VKLAD	900	22927	\N	\N	\N
1271186	4347	1995-10-17	PRIJEM	VKLAD	900	18420	\N	\N	\N
1271187	4347	1995-11-17	PRIJEM	VKLAD	900	38669	\N	\N	\N
1271188	4347	1995-12-17	PRIJEM	VKLAD	900	26881	\N	\N	\N
1271189	4347	1996-01-13	PRIJEM	VKLAD	900	19350	\N	\N	\N
1271190	4347	1996-02-14	PRIJEM	VKLAD	900	13816	\N	\N	\N
1271191	4347	1996-03-17	PRIJEM	VKLAD	900	14859	\N	\N	\N
1271192	4347	1996-04-14	PRIJEM	VKLAD	900	14803	\N	\N	\N
1271193	4347	1996-05-14	PRIJEM	VKLAD	900	14949	\N	\N	\N
1271194	4347	1996-06-14	PRIJEM	VKLAD	900	15896	\N	\N	\N
1271195	4347	1996-07-17	PRIJEM	VKLAD	900	13891	\N	\N	\N
1271196	4347	1996-08-16	PRIJEM	VKLAD	900	15536	\N	\N	\N
1271197	4347	1996-09-17	PRIJEM	VKLAD	900	17184	\N	\N	\N
1271198	4347	1996-10-14	PRIJEM	VKLAD	900	17087	\N	\N	\N
1271199	4347	1996-11-15	PRIJEM	VKLAD	900	53446	\N	\N	\N
1271200	4347	1996-12-15	PRIJEM	VKLAD	900	28914	\N	\N	\N
1271201	4347	1997-01-14	PRIJEM	VKLAD	900	25676	\N	\N	\N
1271202	4347	1997-02-15	PRIJEM	VKLAD	900	23642	\N	\N	\N
1271203	4347	1997-03-13	PRIJEM	VKLAD	900	24628	\N	\N	\N
1271204	4347	1997-04-16	PRIJEM	VKLAD	900	13710	\N	\N	\N
1271205	4347	1997-05-17	PRIJEM	VKLAD	900	38359	\N	\N	\N
1271206	4347	1997-06-13	PRIJEM	VKLAD	900	17549	\N	\N	\N
1271207	4347	1997-07-15	PRIJEM	VKLAD	900	18541	\N	\N	\N
1271208	4347	1997-08-14	PRIJEM	VKLAD	900	17597	\N	\N	\N
1271209	4347	1997-09-14	PRIJEM	VKLAD	900	18553	\N	\N	\N
1271210	4347	1997-10-16	PRIJEM	VKLAD	900	18310	\N	\N	\N
1271211	4347	1997-11-14	PRIJEM	VKLAD	900	35273	\N	\N	\N
1271212	4347	1997-12-13	PRIJEM	VKLAD	900	18272	\N	\N	\N
1271213	4347	1998-01-14	PRIJEM	VKLAD	900	50944	\N	\N	\N
1271214	4347	1998-02-15	PRIJEM	VKLAD	900	19523	\N	\N	\N
1271215	4347	1998-03-14	PRIJEM	VKLAD	900	18983	\N	\N	\N
1271216	4347	1998-04-15	PRIJEM	VKLAD	900	17839	\N	\N	\N
1271217	4347	1998-05-17	PRIJEM	VKLAD	900	18792	\N	\N	\N
1271218	4347	1998-06-14	PRIJEM	VKLAD	900	19750	\N	\N	\N
1271219	4347	1998-07-16	PRIJEM	VKLAD	900	20711	\N	\N	\N
1271220	4347	1998-08-16	PRIJEM	VKLAD	900	21676	\N	\N	\N
1271221	4347	1998-09-13	PRIJEM	VKLAD	900	20595	\N	\N	\N
1271222	4347	1998-10-16	PRIJEM	VKLAD	900	62054	\N	\N	\N
1271223	4347	1998-11-13	PRIJEM	VKLAD	900	27988	\N	\N	\N
1271224	4347	1998-12-15	PRIJEM	VKLAD	900	25782	\N	\N	\N
1271225	4347	1994-01-18	PRIJEM	VKLAD	700	57750	\N	\N	\N
1271226	4347	1994-02-18	PRIJEM	VKLAD	700	37372	\N	\N	\N
1271227	4347	1994-03-18	PRIJEM	VKLAD	700	34002	\N	\N	\N
1271228	4347	1994-04-18	PRIJEM	VKLAD	700	30218	\N	\N	\N
1271229	4347	1994-05-18	PRIJEM	VKLAD	700	27119	\N	\N	\N
1271230	4347	1994-06-18	PRIJEM	VKLAD	700	16826	\N	\N	\N
1271231	4347	1994-07-18	PRIJEM	VKLAD	700	21720	\N	\N	\N
1271232	4347	1994-08-18	PRIJEM	VKLAD	700	24093	\N	\N	\N
1271233	4347	1994-09-18	PRIJEM	VKLAD	700	23074	\N	\N	\N
1271234	4347	1994-10-18	PRIJEM	VKLAD	700	22056	\N	\N	\N
1271235	4347	1994-11-18	PRIJEM	VKLAD	700	22227	\N	\N	\N
1271236	4347	1994-12-18	PRIJEM	VKLAD	700	20600	\N	\N	\N
1271237	4347	1995-01-18	PRIJEM	VKLAD	700	19571	\N	\N	\N
1271238	4347	1995-02-18	PRIJEM	VKLAD	700	17479	\N	\N	\N
1271239	4347	1995-03-18	PRIJEM	VKLAD	700	18829	\N	\N	\N
1271240	4347	1995-04-18	PRIJEM	VKLAD	700	19589	\N	\N	\N
1271241	4347	1995-05-18	PRIJEM	VKLAD	700	21754	\N	\N	\N
1271242	4347	1995-06-18	PRIJEM	VKLAD	700	20375	\N	\N	\N
1271243	4347	1996-07-18	PRIJEM	VKLAD	700	14591	\N	\N	\N
1271244	4347	1996-08-18	PRIJEM	VKLAD	700	16236	\N	\N	\N
1271245	4347	1996-09-18	PRIJEM	VKLAD	700	17884	\N	\N	\N
1271246	4347	1996-10-18	PRIJEM	VKLAD	700	17787	\N	\N	\N
1271247	4347	1996-11-18	PRIJEM	VKLAD	700	54146	\N	\N	\N
1271248	4347	1996-12-18	PRIJEM	VKLAD	700	29614	\N	\N	\N
1271250	4347	1994-06-05	VYDAJ	VYBER	20600	15226	\N	\N	\N
1271253	4347	1997-06-02	VYDAJ	VYBER	21800	16649	\N	\N	\N
1271256	4347	1994-01-21	VYDAJ	VYBER	8000	36950	\N	\N	\N
1271258	4347	1996-01-25	VYDAJ	VYBER	1800	15250	\N	\N	\N
1271259	4347	1997-01-01	VYDAJ	VYBER	6600	62876	\N	\N	\N
1271260	4347	1998-01-29	VYDAJ	VYBER	2400	46594	\N	\N	\N
1271263	4347	1995-06-10	VYDAJ	VYBER	4000	17825	\N	\N	\N
1271268	4347	1994-01-08	VYDAJ	VYBER	7300	58700	\N	\N	\N
1271269	4347	1995-01-24	VYDAJ	VYBER	4100	14371	\N	\N	\N
1271271	4347	1997-01-10	VYDAJ	VYBER	4300	26326	\N	\N	\N
1271273	4347	1993-12-04	VYDAJ	VYBER	2400	26679	\N	\N	\N
1271274	4347	1994-12-06	VYDAJ	VYBER	1600	20700	\N	\N	\N
1271275	4347	1995-12-20	VYDAJ	VYBER	2000	24881	\N	\N	\N
1271276	4347	1996-12-21	VYDAJ	VYBER	800	28814	\N	\N	\N
1271278	4347	1998-12-09	VYDAJ	VYBER	1300	24882	\N	\N	\N
1271285	4347	1994-01-02	VYDAJ	VYBER	500	28083	\N	\N	\N
1271286	4347	1994-01-10	VYDAJ	VYBER	350	58350	\N	\N	\N
1271287	4347	1994-01-30	VYDAJ	VYBER	1350	35600	\N	\N	\N
1271288	4347	1994-01-17	VYDAJ	VYBER	1350	57050	\N	\N	\N
1271289	4347	1994-01-11	VYDAJ	VYBER	850	57500	\N	\N	\N
1271290	4347	1994-01-03	VYDAJ	VYBER	800	27283	\N	\N	\N
1271291	4347	1995-01-11	VYDAJ	VYBER	950	17071	\N	\N	\N
1271293	4347	1995-01-23	VYDAJ	VYBER	450	18471	\N	\N	\N
1271294	4347	1995-01-22	VYDAJ	VYBER	650	18921	\N	\N	\N
1271295	4347	1995-01-30	VYDAJ	VYBER	350	14021	\N	\N	\N
1271296	4347	1995-01-08	VYDAJ	VYBER	350	18021	\N	\N	\N
1271297	4347	1996-01-14	VYDAJ	VYBER	750	18350	\N	\N	\N
1271298	4347	1996-01-12	VYDAJ	VYBER	950	18450	\N	\N	\N
1271299	4347	1996-01-28	VYDAJ	VYBER	900	14350	\N	\N	\N
1271301	4347	1996-01-13	VYDAJ	VYBER	250	19100	\N	\N	\N
1271302	4347	1996-01-15	VYDAJ	VYBER	1300	17050	\N	\N	\N
1271303	4347	1997-01-05	VYDAJ	VYBER	300	30626	\N	\N	\N
1271304	4347	1997-01-20	VYDAJ	VYBER	350	25326	\N	\N	\N
1271305	4347	1997-01-25	VYDAJ	VYBER	350	24976	\N	\N	\N
1271306	4347	1997-01-10	VYDAJ	VYBER	500	25826	\N	\N	\N
1271307	4347	1997-01-04	VYDAJ	VYBER	750	62126	\N	\N	\N
1271308	4347	1997-01-10	VYDAJ	VYBER	1050	24776	\N	\N	\N
1271309	4347	1998-01-15	VYDAJ	VYBER	950	48994	\N	\N	\N
1271310	4347	1998-01-14	VYDAJ	VYBER	1000	49944	\N	\N	\N
1271311	4347	1998-01-05	VYDAJ	VYBER	600	17758	\N	\N	\N
1271313	4347	1998-01-13	VYDAJ	VYBER	900	50044	\N	\N	\N
1271314	4347	1998-01-10	VYDAJ	VYBER	800	16608	\N	\N	\N
1271319	4347	1993-08-08	VYDAJ	VYBER	2250	25371	\N	\N	\N
1271320	4347	1994-07-18	VYDAJ	VYBER	1400	20320	\N	\N	\N
1271321	4347	1994-10-15	VYDAJ	VYBER	700	20456	\N	\N	\N
1271322	4347	1994-12-19	VYDAJ	VYBER	850	19750	\N	\N	\N
1271323	4347	1994-09-12	VYDAJ	VYBER	2300	21474	\N	\N	\N
1271324	4347	1994-12-26	VYDAJ	VYBER	1450	18300	\N	\N	\N
1271325	4347	1995-08-01	VYDAJ	VYBER	250	37107	\N	\N	\N
1271326	4347	1995-06-14	VYDAJ	VYBER	1250	17475	\N	\N	\N
1271327	4347	1995-10-23	VYDAJ	VYBER	1250	17170	\N	\N	\N
1271328	4347	1996-09-23	VYDAJ	VYBER	1750	16134	\N	\N	\N
1271329	4347	1996-06-18	VYDAJ	VYBER	1450	14446	\N	\N	\N
1271331	4347	1996-05-04	VYDAJ	VYBER	800	14049	\N	\N	\N
1271332	4347	1996-11-01	VYDAJ	VYBER	600	17241	\N	\N	\N
1271333	4347	1997-07-20	VYDAJ	VYBER	1200	17341	\N	\N	\N
1271334	4347	1997-09-22	VYDAJ	VYBER	1200	17353	\N	\N	\N
1271335	4347	1997-10-21	VYDAJ	VYBER	350	17960	\N	\N	\N
1271336	4347	1997-08-11	VYDAJ	VYBER	700	16697	\N	\N	\N
1271338	4347	1997-02-03	VYDAJ	VYBER	2350	22742	\N	\N	\N
1271340	4347	1998-01-07	VYDAJ	VYBER	350	17408	\N	\N	\N
1271341	4347	1998-09-12	VYDAJ	VYBER	2050	19695	\N	\N	\N
1271342	4347	1998-03-23	VYDAJ	VYBER	2100	16883	\N	\N	\N
1271343	4347	1998-11-29	VYDAJ	VYBER	1900	26088	\N	\N	\N
1271344	4347	1998-02-22	VYDAJ	VYBER	1500	18023	\N	\N	\N
1271345	4347	1998-12-21	VYDAJ	VYBER	250	25532	\N	\N	\N
1271353	4347	1993-07-31	VYDAJ	VYBER	15	27621	SLUZBY	\N	\N
1271354	4347	1993-08-31	VYDAJ	VYBER	15	28170	SLUZBY	\N	\N
1271355	4347	1993-09-30	VYDAJ	VYBER	15	27973	SLUZBY	\N	\N
1271356	4347	1993-10-31	VYDAJ	VYBER	15	28375	SLUZBY	\N	\N
1271357	4347	1993-11-30	VYDAJ	VYBER	15	29079	SLUZBY	\N	\N
1271358	4347	1993-12-31	VYDAJ	VYBER	15	28583	SLUZBY	\N	\N
1271359	4347	1994-01-31	VYDAJ	VYBER	15	35772	SLUZBY	\N	\N
1271360	4347	1994-02-28	VYDAJ	VYBER	15	32402	SLUZBY	\N	\N
1271361	4347	1994-03-31	VYDAJ	VYBER	15	28618	SLUZBY	\N	\N
1271362	4347	1994-04-30	VYDAJ	VYBER	15	25519	SLUZBY	\N	\N
1271363	4347	1994-05-31	VYDAJ	VYBER	15	35826	SLUZBY	\N	\N
1271364	4347	1994-06-30	VYDAJ	VYBER	15	20120	SLUZBY	\N	\N
1271365	4347	1994-07-31	VYDAJ	VYBER	15	22493	SLUZBY	\N	\N
1271366	4347	1994-08-31	VYDAJ	VYBER	15	23774	SLUZBY	\N	\N
1271367	4347	1994-09-30	VYDAJ	VYBER	15	21156	SLUZBY	\N	\N
1271368	4347	1994-10-31	VYDAJ	VYBER	15	20027	SLUZBY	\N	\N
1271369	4347	1994-11-30	VYDAJ	VYBER	15	22300	SLUZBY	\N	\N
1271370	4347	1994-12-31	VYDAJ	VYBER	15	18371	SLUZBY	\N	\N
1271371	4347	1995-01-31	VYDAJ	VYBER	15	14079	SLUZBY	\N	\N
1271372	4347	1995-02-28	VYDAJ	VYBER	15	17529	SLUZBY	\N	\N
1271373	4347	1995-03-31	VYDAJ	VYBER	15	18889	SLUZBY	\N	\N
1271374	4347	1995-04-30	VYDAJ	VYBER	15	19654	SLUZBY	\N	\N
1271375	4347	1995-05-31	VYDAJ	VYBER	15	21825	SLUZBY	\N	\N
1271376	4347	1995-06-30	VYDAJ	VYBER	15	20447	SLUZBY	\N	\N
1271377	4347	1995-07-31	VYDAJ	VYBER	15	37357	SLUZBY	\N	\N
1271378	4347	1995-08-31	VYDAJ	VYBER	15	29027	SLUZBY	\N	\N
1271379	4347	1995-09-30	VYDAJ	VYBER	15	23020	SLUZBY	\N	\N
1271380	4347	1995-10-31	VYDAJ	VYBER	15	17240	SLUZBY	\N	\N
1271381	4347	1995-11-30	VYDAJ	VYBER	15	38781	SLUZBY	\N	\N
1271382	4347	1995-12-31	VYDAJ	VYBER	15	25000	SLUZBY	\N	\N
1271383	4347	1996-01-31	VYDAJ	VYBER	15	14416	SLUZBY	\N	\N
1271384	4347	1996-02-29	VYDAJ	VYBER	15	13859	SLUZBY	\N	\N
1271385	4347	1996-03-31	VYDAJ	VYBER	15	14903	SLUZBY	\N	\N
1271386	4347	1996-04-30	VYDAJ	VYBER	15	14849	SLUZBY	\N	\N
1271387	4347	1996-05-31	VYDAJ	VYBER	15	14996	SLUZBY	\N	\N
1271388	4347	1996-06-30	VYDAJ	VYBER	15	14491	SLUZBY	\N	\N
1271389	4347	1996-07-31	VYDAJ	VYBER	15	14636	SLUZBY	\N	\N
1271390	4347	1996-08-31	VYDAJ	VYBER	15	16284	SLUZBY	\N	\N
1271391	4347	1996-09-30	VYDAJ	VYBER	15	16187	SLUZBY	\N	\N
1271392	4347	1996-10-31	VYDAJ	VYBER	15	17841	SLUZBY	\N	\N
1271393	4347	1996-11-30	VYDAJ	VYBER	15	54314	SLUZBY	\N	\N
1271394	4347	1996-12-31	VYDAJ	VYBER	15	69476	SLUZBY	\N	\N
1271395	4347	1997-01-31	VYDAJ	VYBER	15	25092	SLUZBY	\N	\N
1271396	4347	1997-02-28	VYDAJ	VYBER	15	23728	SLUZBY	\N	\N
1271397	4347	1997-03-31	VYDAJ	VYBER	15	24710	SLUZBY	\N	\N
1271398	4347	1997-04-30	VYDAJ	VYBER	15	13774	SLUZBY	\N	\N
1271399	4347	1997-05-31	VYDAJ	VYBER	15	38449	SLUZBY	\N	\N
1271400	4347	1997-06-30	VYDAJ	VYBER	15	17641	SLUZBY	\N	\N
1271401	4347	1997-07-31	VYDAJ	VYBER	15	17397	SLUZBY	\N	\N
1271402	4347	1997-08-31	VYDAJ	VYBER	15	17653	SLUZBY	\N	\N
1271403	4347	1997-09-30	VYDAJ	VYBER	15	17410	SLUZBY	\N	\N
1271404	4347	1997-10-31	VYDAJ	VYBER	15	18016	SLUZBY	\N	\N
1271405	4347	1997-11-30	VYDAJ	VYBER	15	35372	SLUZBY	\N	\N
1271406	4347	1997-12-31	VYDAJ	VYBER	15	18358	SLUZBY	\N	\N
1271407	4347	1998-01-31	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
1271408	4347	1998-02-28	VYDAJ	VYBER	15	18083	SLUZBY	\N	\N
1271409	4347	1998-03-31	VYDAJ	VYBER	15	16939	SLUZBY	\N	\N
1271410	4347	1998-04-30	VYDAJ	VYBER	15	17892	SLUZBY	\N	\N
1271411	4347	1998-05-31	VYDAJ	VYBER	15	18850	SLUZBY	\N	\N
1271412	4347	1998-06-30	VYDAJ	VYBER	15	19811	SLUZBY	\N	\N
1271413	4347	1998-07-31	VYDAJ	VYBER	15	20776	SLUZBY	\N	\N
1271414	4347	1998-08-31	VYDAJ	VYBER	15	21745	SLUZBY	\N	\N
1271415	4347	1998-09-30	VYDAJ	VYBER	15	20664	SLUZBY	\N	\N
1271416	4347	1998-10-31	VYDAJ	VYBER	15	27088	SLUZBY	\N	\N
1271417	4347	1998-11-30	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
1271418	4347	1993-04-26	PRIJEM	VKLAD	11100	12700	\N	\N	\N
1271419	4347	1993-05-26	VYDAJ	VYBER	4400	25521	\N	\N	\N
1271420	4347	1993-06-25	PRIJEM	VKLAD	600	27114	\N	\N	\N
1271421	4347	1993-07-25	VYDAJ	VYBER	600	27522	\N	\N	\N
1271422	4347	1993-08-24	PRIJEM	VKLAD	1800	28071	\N	\N	\N
1271423	4347	1993-09-23	VYDAJ	VYBER	1200	27870	\N	\N	\N
1271424	4347	1993-10-23	VYDAJ	VYBER	600	28273	\N	\N	\N
1271425	4347	1993-11-22	VYDAJ	VYBER	300	28975	\N	\N	\N
1271426	4347	1993-12-22	PRIJEM	VKLAD	900	28479	\N	\N	\N
1271427	4347	1994-01-21	VYDAJ	VYBER	12800	44950	\N	\N	\N
1271428	4347	1994-02-20	VYDAJ	VYBER	5100	32272	\N	\N	\N
1271429	4347	1994-03-22	VYDAJ	VYBER	5500	28502	\N	\N	\N
1271430	4347	1994-04-21	VYDAJ	VYBER	4800	25418	\N	\N	\N
1271431	4347	1994-05-21	VYDAJ	VYBER	11600	35716	\N	\N	\N
1271432	4347	1994-06-20	PRIJEM	VKLAD	3200	20026	\N	\N	\N
1271433	4347	1994-07-20	PRIJEM	VKLAD	2100	22420	\N	\N	\N
1271434	4347	1994-08-19	VYDAJ	VYBER	400	23693	\N	\N	\N
1271435	4347	1994-09-18	VYDAJ	VYBER	2000	21074	\N	\N	\N
1271436	4347	1994-10-18	VYDAJ	VYBER	2100	19956	\N	\N	\N
1271437	4347	1994-11-17	PRIJEM	VKLAD	600	21527	\N	\N	\N
1271438	4347	1994-12-17	VYDAJ	VYBER	1700	19900	\N	\N	\N
1271439	4347	1995-01-16	PRIJEM	VKLAD	900	18871	\N	\N	\N
1271440	4347	1995-02-15	PRIJEM	VKLAD	1800	15879	\N	\N	\N
1271441	4347	1995-03-17	VYDAJ	VYBER	300	18129	\N	\N	\N
1271442	4347	1995-04-16	VYDAJ	VYBER	900	18889	\N	\N	\N
1271443	4347	1995-05-16	PRIJEM	VKLAD	500	20154	\N	\N	\N
1271444	4347	1995-06-15	PRIJEM	VKLAD	2200	19675	\N	\N	\N
1271445	4347	1995-07-15	VYDAJ	VYBER	16500	36349	\N	\N	\N
1271446	4347	1995-08-14	VYDAJ	VYBER	9100	28907	\N	\N	\N
1271447	4347	1995-09-13	VYDAJ	VYBER	7000	22027	\N	\N	\N
1271448	4347	1995-10-13	VYDAJ	VYBER	5500	17520	\N	\N	\N
1271449	4347	1995-11-12	VYDAJ	VYBER	27700	37769	\N	\N	\N
1271450	4347	1995-12-12	VYDAJ	VYBER	12800	25981	\N	\N	\N
1271451	4347	1996-01-11	VYDAJ	VYBER	5600	19400	\N	\N	\N
1271452	4347	1996-02-10	VYDAJ	VYBER	1500	12916	\N	\N	\N
1271453	4347	1996-03-11	PRIJEM	VKLAD	100	13959	\N	\N	\N
1271454	4347	1996-04-10	VYDAJ	VYBER	1000	13903	\N	\N	\N
1271455	4347	1996-07-09	VYDAJ	VYBER	1500	12991	\N	\N	\N
1271456	4347	1996-12-06	VYDAJ	VYBER	26300	28014	\N	\N	\N
1271457	4347	1997-01-05	VYDAJ	VYBER	31200	30926	\N	\N	\N
1271458	4347	1997-04-05	VYDAJ	VYBER	11900	12810	\N	\N	\N
1271459	4347	1997-12-01	VYDAJ	VYBER	18000	17372	\N	\N	\N
1271460	4347	1998-01-30	VYDAJ	VYBER	28100	18494	\N	\N	\N
1271461	4347	1998-10-27	VYDAJ	VYBER	35100	26954	\N	\N	\N
1271691	4349	1996-09-16	PRIJEM	VKLAD	700	700	\N	\N	\N
1271701	4349	1996-10-10	PRIJEM	PREVOD Z UCTU	32768	33468	\N	IJ	29365700
1271702	4349	1996-11-10	PRIJEM	PREVOD Z UCTU	32768	59293	\N	IJ	29365700
1271703	4349	1996-12-10	PRIJEM	PREVOD Z UCTU	49152	91290	\N	IJ	29365700
1271704	4349	1997-01-10	PRIJEM	PREVOD Z UCTU	32768	91571	\N	IJ	29365700
1271705	4349	1997-02-10	PRIJEM	PREVOD Z UCTU	32768	90079	\N	IJ	29365700
1271706	4349	1997-03-10	PRIJEM	PREVOD Z UCTU	32768	91875	\N	IJ	29365700
1271707	4349	1997-04-10	PRIJEM	PREVOD Z UCTU	32768	90070	\N	IJ	29365700
1271708	4349	1997-05-10	PRIJEM	PREVOD Z UCTU	32768	88758	\N	IJ	29365700
1271709	4349	1997-06-10	PRIJEM	PREVOD Z UCTU	49152	70134	\N	IJ	29365700
1271710	4349	1997-07-10	PRIJEM	PREVOD Z UCTU	32768	69110	\N	IJ	29365700
1271711	4349	1997-08-10	PRIJEM	PREVOD Z UCTU	32768	77564	\N	IJ	29365700
1271712	4349	1997-09-10	PRIJEM	PREVOD Z UCTU	32768	82918	\N	IJ	29365700
1271713	4349	1997-10-10	PRIJEM	PREVOD Z UCTU	32768	71354	\N	IJ	29365700
1271714	4349	1997-11-10	PRIJEM	PREVOD Z UCTU	32768	62074	\N	IJ	29365700
1271715	4349	1997-12-10	PRIJEM	PREVOD Z UCTU	49152	78789	\N	IJ	29365700
1271716	4349	1998-01-10	PRIJEM	PREVOD Z UCTU	32768	65451	\N	IJ	29365700
1271717	4349	1998-02-10	PRIJEM	PREVOD Z UCTU	32768	53573	\N	IJ	29365700
1271718	4349	1998-03-10	PRIJEM	PREVOD Z UCTU	32768	86506	\N	IJ	29365700
1271719	4349	1998-04-10	PRIJEM	PREVOD Z UCTU	32768	52387	\N	IJ	29365700
1271720	4349	1998-05-10	PRIJEM	PREVOD Z UCTU	32768	54622	\N	IJ	29365700
1271721	4349	1998-06-10	PRIJEM	PREVOD Z UCTU	49152	71824	\N	IJ	29365700
1271722	4349	1998-07-10	PRIJEM	PREVOD Z UCTU	32768	62014	\N	IJ	29365700
1271723	4349	1998-08-10	PRIJEM	PREVOD Z UCTU	32768	73407	\N	IJ	29365700
1271724	4349	1998-09-10	PRIJEM	PREVOD Z UCTU	32768	73252	\N	IJ	29365700
1271725	4349	1998-10-10	PRIJEM	PREVOD Z UCTU	32768	73907	\N	IJ	29365700
1271726	4349	1998-11-10	PRIJEM	PREVOD Z UCTU	32768	75940	\N	IJ	29365700
1271727	4349	1998-12-10	PRIJEM	PREVOD Z UCTU	49152	84959	\N	IJ	29365700
1271739	4349	1997-11-27	VYBER	VYBER	13391	29483	\N	\N	\N
1271741	4349	1998-04-18	VYBER	VYBER	19170	33217	\N	\N	\N
1271742	4349	1998-01-09	VYBER	VYBER	6576	39483	\N	\N	\N
1271743	4349	1998-06-29	VYBER	VYBER	10798	46635	\N	\N	\N
1271744	4349	1998-06-15	VYBER	VYBER	14391	57433	\N	\N	\N
1271746	4349	1998-03-17	VYBER	VYBER	20636	26870	\N	\N	\N
1271747	4349	1998-12-03	VYBER	VYBER	8615	60407	\N	\N	\N
1271748	4349	1998-06-08	VYBER	VYBER	9229	36872	\N	\N	\N
1271750	4349	1997-06-06	VYDAJ	VYBER	37200	20982	\N	\N	\N
1271754	4349	1998-01-13	VYDAJ	VYBER	17100	48351	\N	\N	\N
1271756	4349	1997-12-28	VYDAJ	VYBER	5700	45889	\N	\N	\N
1271757	4349	1998-12-03	VYDAJ	VYBER	8400	52007	\N	\N	\N
1271770	4349	1998-01-16	VYDAJ	VYBER	8400	37551	\N	\N	\N
1271771	4349	1998-01-16	VYDAJ	VYBER	2400	45951	\N	\N	\N
1271772	4349	1998-01-24	VYDAJ	VYBER	5700	24951	\N	\N	\N
1271774	4349	1998-01-25	VYDAJ	VYBER	4200	20751	\N	\N	\N
1271775	4349	1998-01-22	VYDAJ	VYBER	6900	30651	\N	\N	\N
1271779	4349	1997-07-09	VYDAJ	VYBER	12300	36342	\N	\N	\N
1271780	4349	1997-11-02	VYDAJ	VYBER	11400	29306	\N	\N	\N
1271783	4349	1997-09-15	VYDAJ	VYBER	12600	38418	\N	\N	\N
1271785	4349	1998-05-25	VYDAJ	VYBER	8700	45922	\N	\N	\N
1271786	4349	1998-09-27	VYDAJ	VYBER	6300	66952	\N	\N	\N
1271787	4349	1998-10-17	VYDAJ	VYBER	7200	66707	\N	\N	\N
1271788	4349	1998-10-19	VYDAJ	VYBER	3000	63707	\N	\N	\N
1271789	4349	1998-11-27	VYDAJ	VYBER	7200	68740	\N	\N	\N
1271804	4349	1997-02-28	VYDAJ	VYBER	15	59107	SLUZBY	\N	\N
1271805	4349	1997-03-31	VYDAJ	VYBER	15	57302	SLUZBY	\N	\N
1271806	4349	1997-04-30	VYDAJ	VYBER	15	55990	SLUZBY	\N	\N
1271807	4349	1997-05-31	VYDAJ	VYBER	15	58182	SLUZBY	\N	\N
1271808	4349	1997-06-30	VYDAJ	VYBER	15	48642	SLUZBY	\N	\N
1271809	4349	1997-07-31	VYDAJ	VYBER	15	44796	SLUZBY	\N	\N
1271810	4349	1997-08-31	VYDAJ	VYBER	15	50150	SLUZBY	\N	\N
1271811	4349	1997-09-30	VYDAJ	VYBER	15	38586	SLUZBY	\N	\N
1271812	4349	1997-10-31	VYDAJ	VYBER	15	40706	SLUZBY	\N	\N
1271813	4349	1997-11-30	VYDAJ	VYBER	15	29637	SLUZBY	\N	\N
1271814	4349	1997-12-31	VYDAJ	VYBER	15	46059	SLUZBY	\N	\N
1271815	4349	1998-01-31	VYDAJ	VYBER	15	20905	SLUZBY	\N	\N
1271816	4349	1998-02-28	VYDAJ	VYBER	15	53738	SLUZBY	\N	\N
1271817	4349	1998-03-31	VYDAJ	VYBER	15	27019	SLUZBY	\N	\N
1271818	4349	1998-04-30	VYDAJ	VYBER	15	33354	SLUZBY	\N	\N
1271819	4349	1998-05-31	VYDAJ	VYBER	15	46101	SLUZBY	\N	\N
1271820	4349	1998-06-30	VYDAJ	VYBER	15	46846	SLUZBY	\N	\N
1271821	4349	1998-07-31	VYDAJ	VYBER	15	62239	SLUZBY	\N	\N
1271822	4349	1998-08-31	VYDAJ	VYBER	15	73684	SLUZBY	\N	\N
1271823	4349	1998-09-30	VYDAJ	VYBER	15	67239	SLUZBY	\N	\N
1271824	4349	1998-10-31	VYDAJ	VYBER	15	63972	SLUZBY	\N	\N
1271825	4349	1998-11-30	VYDAJ	VYBER	15	69022	SLUZBY	\N	\N
1271826	4349	1996-10-16	VYDAJ	VYBER	7000	26468	\N	\N	\N
1271827	4349	1996-11-15	VYDAJ	VYBER	17300	41993	\N	\N	\N
1271828	4349	1996-12-15	VYDAJ	VYBER	32700	58590	\N	\N	\N
1271829	4349	1997-01-14	VYDAJ	VYBER	34500	57071	\N	\N	\N
1271830	4349	1997-02-13	VYDAJ	VYBER	31200	58879	\N	\N	\N
1271831	4349	1997-03-15	VYDAJ	VYBER	34800	57075	\N	\N	\N
1271832	4349	1997-04-14	VYDAJ	VYBER	34300	55770	\N	\N	\N
1271833	4349	1997-05-14	VYDAJ	VYBER	30800	57958	\N	\N	\N
1271834	4349	1997-06-13	VYDAJ	VYBER	21700	48434	\N	\N	\N
1271835	4349	1997-07-13	VYDAJ	VYBER	24500	44610	\N	\N	\N
1271836	4349	1997-08-12	VYDAJ	VYBER	27600	49964	\N	\N	\N
1271837	4349	1997-09-11	VYDAJ	VYBER	31900	51018	\N	\N	\N
1271838	4349	1997-10-11	VYDAJ	VYBER	30800	40554	\N	\N	\N
1271839	4349	1997-11-10	VYDAJ	VYBER	19200	42874	\N	\N	\N
1271840	4349	1997-12-10	VYDAJ	VYBER	27200	51589	\N	\N	\N
1271841	4349	1998-01-09	VYDAJ	VYBER	6800	32683	\N	\N	\N
1271842	4349	1998-02-08	VYDAJ	VYBER	100	20805	\N	\N	\N
1271843	4349	1998-03-10	VYDAJ	VYBER	39000	47506	\N	\N	\N
1271844	4349	1998-04-09	VYDAJ	VYBER	7400	19619	\N	\N	\N
1271845	4349	1998-05-09	VYDAJ	VYBER	11500	21854	\N	\N	\N
1271846	4349	1998-06-08	VYDAJ	VYBER	14200	22672	\N	\N	\N
1271847	4349	1998-07-08	VYDAJ	VYBER	17600	29246	\N	\N	\N
1271848	4349	1998-08-07	VYDAJ	VYBER	21600	40639	\N	\N	\N
1271849	4349	1998-09-06	VYDAJ	VYBER	33200	40484	\N	\N	\N
1271850	4349	1998-10-06	VYDAJ	VYBER	26100	41139	\N	\N	\N
1271851	4349	1998-11-05	VYDAJ	VYBER	20800	43172	\N	\N	\N
1271852	4349	1998-12-05	VYDAJ	VYBER	16200	35807	\N	\N	\N
1271880	4350	1993-04-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1271884	4350	1993-04-07	PRIJEM	VKLAD	17565	18565	\N	\N	\N
1271885	4350	1993-05-07	PRIJEM	VKLAD	17565	40292	\N	\N	\N
1271886	4350	1993-06-07	PRIJEM	VKLAD	26348	60290	\N	\N	\N
1271887	4350	1993-07-07	PRIJEM	VKLAD	17565	62389	\N	\N	\N
1271888	4350	1993-08-07	PRIJEM	VKLAD	17565	63513	\N	\N	\N
1271889	4350	1993-09-07	PRIJEM	VKLAD	17565	62927	\N	\N	\N
1271890	4350	1993-10-07	PRIJEM	VKLAD	17565	58794	\N	\N	\N
1271891	4350	1993-11-07	PRIJEM	VKLAD	17565	55978	\N	\N	\N
1271892	4350	1993-12-07	PRIJEM	VKLAD	26348	58111	\N	\N	\N
1271893	4350	1994-01-07	PRIJEM	VKLAD	17565	57378	\N	\N	\N
1271894	4350	1994-02-07	PRIJEM	VKLAD	17565	52441	\N	\N	\N
1271895	4350	1994-03-07	PRIJEM	VKLAD	17565	59394	\N	\N	\N
1271896	4350	1994-04-07	PRIJEM	VKLAD	17565	58839	\N	\N	\N
1271897	4350	1994-05-07	PRIJEM	VKLAD	17565	61062	\N	\N	\N
1271898	4350	1994-06-07	PRIJEM	VKLAD	26348	32353	\N	\N	\N
1271899	4350	1994-07-07	PRIJEM	VKLAD	17565	49148	\N	\N	\N
1271900	4350	1994-08-07	PRIJEM	VKLAD	17565	58734	\N	\N	\N
1271901	4350	1994-09-07	PRIJEM	VKLAD	17565	60657	\N	\N	\N
1271902	4350	1994-10-07	PRIJEM	VKLAD	17565	63489	\N	\N	\N
1271903	4350	1994-11-07	PRIJEM	VKLAD	17565	63530	\N	\N	\N
1271904	4350	1994-12-07	PRIJEM	VKLAD	26348	70092	\N	\N	\N
1271905	4350	1995-01-07	PRIJEM	VKLAD	17565	45612	\N	\N	\N
1271906	4350	1995-02-07	PRIJEM	VKLAD	17565	47759	\N	\N	\N
1271907	4350	1995-03-07	PRIJEM	VKLAD	17565	57744	\N	\N	\N
1271908	4350	1995-04-07	PRIJEM	VKLAD	17565	62365	\N	\N	\N
1271909	4350	1995-05-07	PRIJEM	VKLAD	17565	65904	\N	\N	\N
1271910	4350	1995-06-07	PRIJEM	VKLAD	26348	77140	\N	\N	\N
1271911	4350	1995-07-07	PRIJEM	VKLAD	17565	66749	\N	\N	\N
1271912	4350	1995-08-07	PRIJEM	VKLAD	17565	75314	\N	\N	\N
1271913	4350	1995-09-07	PRIJEM	VKLAD	17565	80510	\N	\N	\N
1271914	4350	1995-10-07	PRIJEM	VKLAD	17565	83926	\N	\N	\N
1271915	4350	1995-11-07	PRIJEM	VKLAD	17565	81948	\N	\N	\N
1271916	4350	1995-12-07	PRIJEM	VKLAD	26348	95455	\N	\N	\N
1271917	4350	1996-01-07	PRIJEM	VKLAD	17565	73732	\N	\N	\N
1271918	4350	1996-02-07	PRIJEM	VKLAD	17565	76466	\N	\N	\N
1271919	4350	1996-03-07	PRIJEM	VKLAD	17565	79994	\N	\N	\N
1271920	4350	1996-04-07	PRIJEM	VKLAD	17565	83357	\N	\N	\N
1271921	4350	1996-05-07	PRIJEM	VKLAD	17565	84382	\N	\N	\N
1271922	4350	1996-06-07	PRIJEM	VKLAD	26348	97399	\N	\N	\N
1271923	4350	1996-07-07	PRIJEM	VKLAD	17565	82929	\N	\N	\N
1271924	4350	1996-08-07	PRIJEM	VKLAD	17565	86923	\N	\N	\N
1271925	4350	1996-09-07	PRIJEM	VKLAD	17565	91069	\N	\N	\N
1271926	4350	1996-10-07	PRIJEM	VKLAD	17565	94974	\N	\N	\N
1271927	4350	1996-11-07	PRIJEM	VKLAD	17565	97850	\N	\N	\N
1271928	4350	1996-12-07	PRIJEM	VKLAD	26348	111487	\N	\N	\N
1271929	4350	1997-01-07	PRIJEM	VKLAD	17565	86001	\N	\N	\N
1271930	4350	1997-02-07	PRIJEM	VKLAD	17565	94579	\N	\N	\N
1271931	4350	1997-03-07	PRIJEM	VKLAD	17565	108281	\N	\N	\N
1271932	4350	1997-04-07	PRIJEM	VKLAD	17565	112314	\N	\N	\N
1271933	4350	1997-05-07	PRIJEM	VKLAD	17565	121277	\N	\N	\N
1271934	4350	1997-06-07	PRIJEM	VKLAD	26348	105689	\N	\N	\N
1271935	4350	1997-07-07	PRIJEM	VKLAD	17565	75706	\N	\N	\N
1271936	4350	1997-08-07	PRIJEM	VKLAD	17565	100563	\N	\N	\N
1271937	4350	1997-09-07	PRIJEM	VKLAD	17565	113250	\N	\N	\N
1271938	4350	1997-10-07	PRIJEM	VKLAD	17565	114883	\N	\N	\N
1271939	4350	1997-11-07	PRIJEM	VKLAD	17565	95284	\N	\N	\N
1271940	4350	1997-12-07	PRIJEM	VKLAD	26348	128593	\N	\N	\N
1271941	4350	1998-01-07	PRIJEM	VKLAD	17565	107023	\N	\N	\N
1271942	4350	1998-02-07	PRIJEM	VKLAD	17565	103549	\N	\N	\N
1271943	4350	1998-03-07	PRIJEM	VKLAD	17565	130811	\N	\N	\N
1271944	4350	1998-04-07	PRIJEM	VKLAD	17565	130821	\N	\N	\N
1271945	4350	1998-05-07	PRIJEM	VKLAD	17565	133127	\N	\N	\N
1271946	4350	1998-06-07	PRIJEM	VKLAD	26348	150170	\N	\N	\N
1271947	4350	1998-07-07	PRIJEM	VKLAD	17565	86140	\N	\N	\N
1271948	4350	1998-08-07	PRIJEM	VKLAD	17565	140046	\N	\N	\N
1271949	4350	1998-09-07	PRIJEM	VKLAD	17565	129669	\N	\N	\N
1271950	4350	1998-10-07	PRIJEM	VKLAD	17565	124109	\N	\N	\N
1271951	4350	1998-11-07	PRIJEM	VKLAD	17565	130561	\N	\N	\N
1271952	4350	1998-12-07	PRIJEM	VKLAD	26348	145436	\N	\N	\N
1271954	4350	1994-06-05	VYDAJ	VYBER	38080	6006	\N	\N	\N
1271955	4350	1995-06-11	VYDAJ	VYBER	20160	56980	\N	\N	\N
1271956	4350	1996-06-13	VYDAJ	VYBER	29600	67799	\N	\N	\N
1271957	4350	1997-06-15	VYDAJ	VYBER	40320	57869	\N	\N	\N
1271958	4350	1998-06-26	VYDAJ	VYBER	41600	68070	\N	\N	\N
1271960	4350	1994-01-29	VYDAJ	VYBER	3680	36118	\N	\N	\N
1271961	4350	1995-01-06	VYDAJ	VYBER	15680	28047	\N	\N	\N
1271962	4350	1996-01-01	VYDAJ	VYBER	11360	62767	\N	\N	\N
1271963	4350	1997-01-04	VYDAJ	VYBER	14880	68436	\N	\N	\N
1271964	4350	1998-01-06	VYDAJ	VYBER	12960	89458	\N	\N	\N
1271965	4350	1993-12-16	VYDAJ	VYBER	1920	56191	\N	\N	\N
1271966	4350	1994-12-24	VYDAJ	VYBER	2240	67852	\N	\N	\N
1271967	4350	1995-12-16	VYDAJ	VYBER	1920	93535	\N	\N	\N
1271968	4350	1996-12-07	VYDAJ	VYBER	3520	107967	\N	\N	\N
1271969	4350	1997-12-06	VYDAJ	VYBER	1120	102245	\N	\N	\N
1271970	4350	1998-12-26	VYDAJ	VYBER	4640	108496	\N	\N	\N
1271977	4350	1994-01-08	VYDAJ	VYBER	1080	56298	\N	\N	\N
1271978	4350	1994-01-03	VYDAJ	VYBER	1320	41973	\N	\N	\N
1271979	4350	1994-01-14	VYDAJ	VYBER	960	55338	\N	\N	\N
1271980	4350	1994-01-05	VYDAJ	VYBER	2160	39813	\N	\N	\N
1271981	4350	1994-01-26	VYDAJ	VYBER	2160	53178	\N	\N	\N
1271982	4350	1994-01-29	VYDAJ	VYBER	3480	39798	\N	\N	\N
1271983	4350	1995-01-21	VYDAJ	VYBER	3240	34332	\N	\N	\N
1271984	4350	1995-01-03	VYDAJ	VYBER	3360	43727	\N	\N	\N
1271985	4350	1995-01-13	VYDAJ	VYBER	2880	37572	\N	\N	\N
1271986	4350	1995-01-12	VYDAJ	VYBER	2400	40452	\N	\N	\N
1271987	4350	1995-01-25	VYDAJ	VYBER	3480	30052	\N	\N	\N
1271988	4350	1995-01-12	VYDAJ	VYBER	2760	42852	\N	\N	\N
1271989	4350	1996-01-26	VYDAJ	VYBER	1080	58652	\N	\N	\N
1271990	4350	1996-01-02	VYDAJ	VYBER	960	56167	\N	\N	\N
1271991	4350	1996-01-02	VYDAJ	VYBER	3120	57127	\N	\N	\N
1271992	4350	1996-01-20	VYDAJ	VYBER	3360	59732	\N	\N	\N
1271993	4350	1996-01-07	VYDAJ	VYBER	2040	71692	\N	\N	\N
1271994	4350	1996-01-01	VYDAJ	VYBER	2520	60247	\N	\N	\N
1271995	4350	1997-01-03	VYDAJ	VYBER	2880	83316	\N	\N	\N
1271996	4350	1997-01-02	VYDAJ	VYBER	3240	86196	\N	\N	\N
1271997	4350	1997-01-14	VYDAJ	VYBER	2280	79221	\N	\N	\N
1271998	4350	1997-01-10	VYDAJ	VYBER	600	85401	\N	\N	\N
1271999	4350	1997-01-18	VYDAJ	VYBER	1680	77541	\N	\N	\N
1272000	4350	1997-01-30	VYDAJ	VYBER	840	76701	\N	\N	\N
1272001	4350	1998-01-21	VYDAJ	VYBER	3240	89803	\N	\N	\N
1272002	4350	1998-01-07	VYDAJ	VYBER	1440	105583	\N	\N	\N
1272003	4350	1998-01-24	VYDAJ	VYBER	720	89083	\N	\N	\N
1272004	4350	1998-01-13	VYDAJ	VYBER	1440	112843	\N	\N	\N
1272005	4350	1998-01-25	VYDAJ	VYBER	3480	85603	\N	\N	\N
1272006	4350	1998-01-01	VYDAJ	VYBER	1080	102418	\N	\N	\N
1272007	4350	1993-12-02	VYDAJ	VYBER	3120	37403	\N	\N	\N
1272009	4350	1993-12-04	VYDAJ	VYBER	5640	31763	\N	\N	\N
1272010	4350	1993-10-09	VYDAJ	VYBER	3000	55794	\N	\N	\N
1272011	4350	1993-09-21	VYDAJ	VYBER	4440	58487	\N	\N	\N
1272012	4350	1994-02-05	VYDAJ	VYBER	1440	34876	\N	\N	\N
1272013	4350	1994-05-18	VYDAJ	VYBER	5760	55302	\N	\N	\N
1272014	4350	1994-11-14	VYDAJ	VYBER	4080	59450	\N	\N	\N
1272015	4350	1994-03-19	VYDAJ	VYBER	3600	55794	\N	\N	\N
1272016	4350	1995-01-03	VYDAJ	VYBER	1440	47087	\N	\N	\N
1272017	4350	1996-03-12	VYDAJ	VYBER	4080	75914	\N	\N	\N
1272018	4350	1996-11-13	VYDAJ	VYBER	3840	94010	\N	\N	\N
1272019	4350	1996-03-04	VYDAJ	VYBER	4680	62429	\N	\N	\N
1272020	4350	1996-09-23	VYDAJ	VYBER	3360	77109	\N	\N	\N
1272021	4350	1996-07-29	VYDAJ	VYBER	3840	69089	\N	\N	\N
1272022	4350	1996-04-20	VYDAJ	VYBER	5400	66557	\N	\N	\N
1272023	4350	1997-10-06	VYDAJ	VYBER	5640	97318	\N	\N	\N
1272024	4350	1997-08-12	VYDAJ	VYBER	4440	95323	\N	\N	\N
1272025	4350	1997-07-20	VYDAJ	VYBER	3000	82706	\N	\N	\N
1272026	4350	1997-10-11	VYDAJ	VYBER	5280	77403	\N	\N	\N
1272027	4350	1997-09-28	VYDAJ	VYBER	3600	102550	\N	\N	\N
1272028	4350	1998-04-17	VYDAJ	VYBER	3720	115101	\N	\N	\N
1272029	4350	1998-07-26	VYDAJ	VYBER	4200	109040	\N	\N	\N
1272030	4350	1998-05-18	VYDAJ	VYBER	4920	98907	\N	\N	\N
1272039	4350	1993-08-31	VYDAJ	VYBER	15	63762	SLUZBY	\N	\N
1272040	4350	1993-09-30	VYDAJ	VYBER	15	58729	SLUZBY	\N	\N
1272041	4350	1993-10-31	VYDAJ	VYBER	15	56013	SLUZBY	\N	\N
1272042	4350	1993-11-30	VYDAJ	VYBER	15	40523	SLUZBY	\N	\N
1272043	4350	1993-12-31	VYDAJ	VYBER	15	43293	SLUZBY	\N	\N
1272044	4350	1994-01-31	VYDAJ	VYBER	15	36316	SLUZBY	\N	\N
1272045	4350	1994-02-28	VYDAJ	VYBER	15	52629	SLUZBY	\N	\N
1272046	4350	1994-03-31	VYDAJ	VYBER	15	41274	SLUZBY	\N	\N
1272047	4350	1994-04-30	VYDAJ	VYBER	15	43497	SLUZBY	\N	\N
1272048	4350	1994-05-31	VYDAJ	VYBER	15	44086	SLUZBY	\N	\N
1272049	4350	1994-06-30	VYDAJ	VYBER	15	31583	SLUZBY	\N	\N
1272050	4350	1994-07-31	VYDAJ	VYBER	15	41169	SLUZBY	\N	\N
1272051	4350	1994-08-31	VYDAJ	VYBER	15	43092	SLUZBY	\N	\N
1272052	4350	1994-09-30	VYDAJ	VYBER	15	45924	SLUZBY	\N	\N
1272053	4350	1994-10-31	VYDAJ	VYBER	15	45965	SLUZBY	\N	\N
1272054	4350	1994-11-30	VYDAJ	VYBER	15	43745	SLUZBY	\N	\N
1272055	4350	1994-12-31	VYDAJ	VYBER	15	48527	SLUZBY	\N	\N
1272056	4350	1995-01-31	VYDAJ	VYBER	15	30194	SLUZBY	\N	\N
1272057	4350	1995-02-28	VYDAJ	VYBER	15	40179	SLUZBY	\N	\N
1272058	4350	1995-03-31	VYDAJ	VYBER	15	44800	SLUZBY	\N	\N
1272059	4350	1995-04-30	VYDAJ	VYBER	15	48339	SLUZBY	\N	\N
1272060	4350	1995-05-31	VYDAJ	VYBER	15	50793	SLUZBY	\N	\N
1272061	4350	1995-06-30	VYDAJ	VYBER	15	49184	SLUZBY	\N	\N
1272062	4350	1995-07-31	VYDAJ	VYBER	15	57749	SLUZBY	\N	\N
1272063	4350	1995-08-31	VYDAJ	VYBER	15	62945	SLUZBY	\N	\N
1272064	4350	1995-09-30	VYDAJ	VYBER	15	66361	SLUZBY	\N	\N
1272065	4350	1995-10-31	VYDAJ	VYBER	15	64383	SLUZBY	\N	\N
1272066	4350	1995-11-30	VYDAJ	VYBER	15	69107	SLUZBY	\N	\N
1272067	4350	1995-12-31	VYDAJ	VYBER	15	74127	SLUZBY	\N	\N
1272068	4350	1996-01-31	VYDAJ	VYBER	15	58901	SLUZBY	\N	\N
1272069	4350	1996-02-29	VYDAJ	VYBER	15	67109	SLUZBY	\N	\N
1272070	4350	1996-03-31	VYDAJ	VYBER	15	65792	SLUZBY	\N	\N
1272071	4350	1996-04-30	VYDAJ	VYBER	15	66817	SLUZBY	\N	\N
1272072	4350	1996-05-31	VYDAJ	VYBER	15	71051	SLUZBY	\N	\N
1272073	4350	1996-06-30	VYDAJ	VYBER	15	65364	SLUZBY	\N	\N
1272074	4350	1996-07-31	VYDAJ	VYBER	15	69358	SLUZBY	\N	\N
1272075	4350	1996-08-31	VYDAJ	VYBER	15	73504	SLUZBY	\N	\N
1272076	4350	1996-09-30	VYDAJ	VYBER	15	77409	SLUZBY	\N	\N
1272077	4350	1996-10-31	VYDAJ	VYBER	15	80285	SLUZBY	\N	\N
1272078	4350	1996-11-30	VYDAJ	VYBER	15	85140	SLUZBY	\N	\N
1272079	4350	1996-12-31	VYDAJ	VYBER	15	89436	SLUZBY	\N	\N
1272080	4350	1997-01-31	VYDAJ	VYBER	15	77014	SLUZBY	\N	\N
1272081	4350	1997-02-28	VYDAJ	VYBER	15	90716	SLUZBY	\N	\N
1272082	4350	1997-03-31	VYDAJ	VYBER	15	94749	SLUZBY	\N	\N
1272083	4350	1997-04-30	VYDAJ	VYBER	15	103712	SLUZBY	\N	\N
1272084	4350	1997-05-31	VYDAJ	VYBER	15	79342	SLUZBY	\N	\N
1272085	4350	1997-06-30	VYDAJ	VYBER	15	58141	SLUZBY	\N	\N
1272086	4350	1997-07-31	VYDAJ	VYBER	15	82998	SLUZBY	\N	\N
1272087	4350	1997-08-31	VYDAJ	VYBER	15	95685	SLUZBY	\N	\N
1272088	4350	1997-09-30	VYDAJ	VYBER	15	102958	SLUZBY	\N	\N
1272089	4350	1997-10-31	VYDAJ	VYBER	15	77719	SLUZBY	\N	\N
1272090	4350	1997-11-30	VYDAJ	VYBER	15	103365	SLUZBY	\N	\N
1272091	4350	1997-12-31	VYDAJ	VYBER	15	103498	SLUZBY	\N	\N
1272092	4350	1998-01-31	VYDAJ	VYBER	15	85984	SLUZBY	\N	\N
1272093	4350	1998-02-28	VYDAJ	VYBER	15	113246	SLUZBY	\N	\N
1272094	4350	1998-03-31	VYDAJ	VYBER	15	113256	SLUZBY	\N	\N
1272095	4350	1998-04-30	VYDAJ	VYBER	15	115562	SLUZBY	\N	\N
1272096	4350	1998-05-31	VYDAJ	VYBER	15	99322	SLUZBY	\N	\N
1272097	4350	1998-06-30	VYDAJ	VYBER	15	68575	SLUZBY	\N	\N
1272098	4350	1998-07-31	VYDAJ	VYBER	15	109381	SLUZBY	\N	\N
1272099	4350	1998-08-31	VYDAJ	VYBER	15	86904	SLUZBY	\N	\N
1272100	4350	1998-09-30	VYDAJ	VYBER	15	68644	SLUZBY	\N	\N
1272101	4350	1998-10-31	VYDAJ	VYBER	15	75896	SLUZBY	\N	\N
1272102	4350	1998-11-30	VYDAJ	VYBER	15	85688	SLUZBY	\N	\N
1272103	4350	1993-05-04	PRIJEM	VKLAD	4100	22727	\N	\N	\N
1272104	4350	1993-06-03	VYDAJ	VYBER	6500	33942	\N	\N	\N
1272105	4350	1993-07-03	VYDAJ	VYBER	15700	44824	\N	\N	\N
1272106	4350	1993-08-02	VYDAJ	VYBER	16700	45948	\N	\N	\N
1272107	4350	1993-09-01	VYDAJ	VYBER	18400	45362	\N	\N	\N
1272108	4350	1993-10-01	VYDAJ	VYBER	17500	41229	\N	\N	\N
1272109	4350	1993-10-31	VYDAJ	VYBER	17600	38413	\N	\N	\N
1272110	4350	1993-11-30	VYDAJ	VYBER	15600	40538	\N	\N	\N
1272111	4350	1993-12-30	VYDAJ	VYBER	13100	43091	\N	\N	\N
1272112	4350	1994-01-29	VYDAJ	VYBER	9900	43278	\N	\N	\N
1272113	4350	1994-02-28	VYDAJ	VYBER	10800	41829	\N	\N	\N
1272114	4350	1994-03-30	VYDAJ	VYBER	14700	41094	\N	\N	\N
1272115	4350	1994-04-29	VYDAJ	VYBER	15500	43339	\N	\N	\N
1272116	4350	1994-05-29	VYDAJ	VYBER	11400	43902	\N	\N	\N
1272117	4350	1994-06-28	VYDAJ	VYBER	900	31453	\N	\N	\N
1272118	4350	1994-07-28	VYDAJ	VYBER	8100	41048	\N	\N	\N
1272119	4350	1994-08-27	VYDAJ	VYBER	15800	42934	\N	\N	\N
1272120	4350	1994-09-26	VYDAJ	VYBER	14900	45757	\N	\N	\N
1272121	4350	1994-10-26	VYDAJ	VYBER	17700	45789	\N	\N	\N
1272122	4350	1994-11-25	VYDAJ	VYBER	15900	43550	\N	\N	\N
1272123	4350	1994-12-25	VYDAJ	VYBER	19500	48352	\N	\N	\N
1272124	4350	1995-01-24	VYDAJ	VYBER	800	33532	\N	\N	\N
1272125	4350	1995-02-23	VYDAJ	VYBER	7700	40059	\N	\N	\N
1272126	4350	1995-03-25	VYDAJ	VYBER	13100	44644	\N	\N	\N
1272127	4350	1995-04-24	VYDAJ	VYBER	14200	48165	\N	\N	\N
1272128	4350	1995-05-24	VYDAJ	VYBER	15300	50604	\N	\N	\N
1272129	4350	1995-06-23	VYDAJ	VYBER	8000	48980	\N	\N	\N
1272130	4350	1995-07-23	VYDAJ	VYBER	9200	57549	\N	\N	\N
1272131	4350	1995-08-22	VYDAJ	VYBER	12600	62714	\N	\N	\N
1272132	4350	1995-09-21	VYDAJ	VYBER	14400	66110	\N	\N	\N
1272133	4350	1995-10-21	VYDAJ	VYBER	19800	64126	\N	\N	\N
1272134	4350	1995-11-20	VYDAJ	VYBER	13100	68848	\N	\N	\N
1272135	4350	1995-12-20	VYDAJ	VYBER	19700	73835	\N	\N	\N
1272136	4350	1996-01-19	VYDAJ	VYBER	8600	63092	\N	\N	\N
1272137	4350	1996-02-18	VYDAJ	VYBER	9600	66866	\N	\N	\N
1272138	4350	1996-03-19	VYDAJ	VYBER	10400	65514	\N	\N	\N
1272139	4350	1996-04-18	VYDAJ	VYBER	11400	71957	\N	\N	\N
1272140	4350	1996-05-18	VYDAJ	VYBER	13600	70782	\N	\N	\N
1272141	4350	1996-06-17	VYDAJ	VYBER	2700	65099	\N	\N	\N
1272142	4350	1996-07-17	VYDAJ	VYBER	10000	72929	\N	\N	\N
1272143	4350	1996-08-16	VYDAJ	VYBER	13700	73223	\N	\N	\N
1272144	4350	1996-09-15	VYDAJ	VYBER	10600	80469	\N	\N	\N
1272145	4350	1996-10-15	VYDAJ	VYBER	15000	79974	\N	\N	\N
1272146	4350	1996-11-14	VYDAJ	VYBER	9200	84810	\N	\N	\N
1272147	4350	1996-12-14	VYDAJ	VYBER	18900	89067	\N	\N	\N
1272148	4350	1997-01-13	VYDAJ	VYBER	3900	81501	\N	\N	\N
1272149	4350	1997-02-12	VYDAJ	VYBER	4200	90379	\N	\N	\N
1272150	4350	1997-03-14	VYDAJ	VYBER	13900	94381	\N	\N	\N
1272151	4350	1997-04-13	VYDAJ	VYBER	9000	103314	\N	\N	\N
1272152	4350	1997-05-07	VYDAJ	VYBER	54200	67077	\N	\N	\N
1272153	4350	1997-05-13	PRIJEM	VKLAD	11900	78977	\N	\N	\N
1272154	4350	1997-06-12	VYDAJ	VYBER	7500	98189	\N	\N	\N
1272155	4350	1997-07-12	PRIJEM	VKLAD	10000	85706	\N	\N	\N
1272156	4350	1997-08-11	VYDAJ	VYBER	800	99763	\N	\N	\N
1272157	4350	1997-09-10	VYDAJ	VYBER	7100	106150	\N	\N	\N
1272158	4350	1997-10-07	VYDAJ	VYBER	58600	56283	\N	\N	\N
1272159	4350	1997-10-10	PRIJEM	VKLAD	26400	82683	\N	\N	\N
1272160	4350	1997-11-09	PRIJEM	VKLAD	7700	102984	\N	\N	\N
1272161	4350	1997-12-07	VYDAJ	VYBER	41600	86993	\N	\N	\N
1272162	4350	1997-12-09	PRIJEM	VKLAD	16100	103093	\N	\N	\N
1272163	4350	1998-01-08	PRIJEM	VKLAD	8700	114283	\N	\N	\N
1272164	4350	1998-01-13	VYDAJ	VYBER	19800	93043	\N	\N	\N
1272165	4350	1998-02-07	PRIJEM	VKLAD	9300	112849	\N	\N	\N
1272166	4350	1998-03-07	VYDAJ	VYBER	34800	96011	\N	\N	\N
1272167	4350	1998-03-09	PRIJEM	VKLAD	16800	112811	\N	\N	\N
1272168	4350	1998-04-07	VYDAJ	VYBER	21300	109521	\N	\N	\N
1272169	4350	1998-04-08	PRIJEM	VKLAD	9300	118821	\N	\N	\N
1272170	4350	1998-05-07	VYDAJ	VYBER	62200	70927	\N	\N	\N
1272171	4350	1998-05-08	PRIJEM	VKLAD	32900	103827	\N	\N	\N
1272172	4350	1998-06-07	VYDAJ	VYBER	40500	109670	\N	\N	\N
1272173	4350	1998-06-07	PRIJEM	VKLAD	24500	123822	\N	\N	\N
1272174	4350	1998-07-07	PRIJEM	VKLAD	27100	113240	\N	\N	\N
1272175	4350	1998-08-06	PRIJEM	VKLAD	13100	122481	\N	\N	\N
1272176	4350	1998-08-07	VYDAJ	VYBER	53500	86546	\N	\N	\N
1272177	4350	1998-09-05	PRIJEM	VKLAD	25200	112104	\N	\N	\N
1272178	4350	1998-09-07	VYDAJ	VYBER	61500	68169	\N	\N	\N
1272179	4350	1998-10-05	PRIJEM	VKLAD	37900	106544	\N	\N	\N
1272180	4350	1998-10-07	VYDAJ	VYBER	48500	75609	\N	\N	\N
1272181	4350	1998-11-04	PRIJEM	VKLAD	37100	112996	\N	\N	\N
1272182	4350	1998-11-07	VYDAJ	VYBER	45200	85361	\N	\N	\N
1272183	4350	1998-12-04	PRIJEM	VKLAD	33400	119088	\N	\N	\N
1272184	4350	1998-12-07	VYDAJ	VYBER	32300	113136	\N	\N	\N
1272402	4352	1993-07-05	PRIJEM	VKLAD	400	400	\N	\N	\N
1272409	4352	1993-07-11	PRIJEM	VKLAD	24269	24669	\N	\N	\N
1272410	4352	1993-08-11	PRIJEM	VKLAD	24269	50608	\N	\N	\N
1272411	4352	1993-09-11	PRIJEM	VKLAD	24269	62153	\N	\N	\N
1272412	4352	1993-10-11	PRIJEM	VKLAD	24269	70265	\N	\N	\N
1272413	4352	1993-11-11	PRIJEM	VKLAD	24269	71815	\N	\N	\N
1272414	4352	1993-12-11	PRIJEM	VKLAD	36404	80083	\N	\N	\N
1272415	4352	1994-01-11	PRIJEM	VKLAD	24269	71241	\N	\N	\N
1272416	4352	1994-02-11	PRIJEM	VKLAD	24269	68982	\N	\N	\N
1272417	4352	1994-03-11	PRIJEM	VKLAD	24269	69378	\N	\N	\N
1272418	4352	1994-04-11	PRIJEM	VKLAD	24269	65102	\N	\N	\N
1272419	4352	1994-05-11	PRIJEM	VKLAD	24269	64814	\N	\N	\N
1272420	4352	1994-06-11	PRIJEM	VKLAD	36404	68161	\N	\N	\N
1272421	4352	1994-07-11	PRIJEM	VKLAD	24269	63976	\N	\N	\N
1272422	4352	1994-08-11	PRIJEM	VKLAD	24269	65453	\N	\N	\N
1272423	4352	1994-09-11	PRIJEM	VKLAD	24269	67835	\N	\N	\N
1272424	4352	1994-10-11	PRIJEM	VKLAD	24269	67424	\N	\N	\N
1272425	4352	1994-11-11	PRIJEM	VKLAD	24269	67410	\N	\N	\N
1272426	4352	1994-12-11	PRIJEM	VKLAD	36404	79730	\N	\N	\N
1272427	4352	1995-01-11	PRIJEM	VKLAD	24269	72443	\N	\N	\N
1272428	4352	1995-02-11	PRIJEM	VKLAD	24269	67932	\N	\N	\N
1272429	4352	1995-03-11	PRIJEM	VKLAD	24269	64814	\N	\N	\N
1272430	4352	1995-04-11	PRIJEM	VKLAD	24269	67288	\N	\N	\N
1272431	4352	1995-05-11	PRIJEM	VKLAD	24269	67769	\N	\N	\N
1272432	4352	1995-06-11	PRIJEM	VKLAD	36404	78687	\N	\N	\N
1272433	4352	1995-07-11	PRIJEM	VKLAD	24269	63883	\N	\N	\N
1272434	4352	1995-08-11	PRIJEM	VKLAD	24269	65546	\N	\N	\N
1272435	4352	1995-09-11	PRIJEM	VKLAD	24269	66814	\N	\N	\N
1272436	4352	1995-10-11	PRIJEM	VKLAD	24269	64981	\N	\N	\N
1272437	4352	1995-11-11	PRIJEM	VKLAD	24269	63140	\N	\N	\N
1272438	4352	1995-12-11	PRIJEM	VKLAD	36404	79031	\N	\N	\N
1272439	4352	1996-01-11	PRIJEM	VKLAD	24269	71727	\N	\N	\N
1272440	4352	1996-02-11	PRIJEM	VKLAD	24269	67905	\N	\N	\N
1272441	4352	1996-03-11	PRIJEM	VKLAD	24269	68972	\N	\N	\N
1272442	4352	1996-04-11	PRIJEM	VKLAD	24269	66741	\N	\N	\N
1272443	4352	1996-05-11	PRIJEM	VKLAD	24269	69805	\N	\N	\N
1272444	4352	1996-06-11	PRIJEM	VKLAD	36404	61617	\N	\N	\N
1272445	4352	1996-07-11	PRIJEM	VKLAD	24269	63768	\N	\N	\N
1272446	4352	1996-08-11	PRIJEM	VKLAD	24269	65720	\N	\N	\N
1272447	4352	1996-09-11	PRIJEM	VKLAD	24269	68778	\N	\N	\N
1272448	4352	1996-10-11	PRIJEM	VKLAD	24269	69037	\N	\N	\N
1272449	4352	1996-11-11	PRIJEM	VKLAD	24269	65202	\N	\N	\N
1272450	4352	1996-12-11	PRIJEM	VKLAD	36404	83595	\N	\N	\N
1272451	4352	1997-01-11	PRIJEM	VKLAD	24269	75185	\N	\N	\N
1272452	4352	1997-02-11	PRIJEM	VKLAD	24269	74767	\N	\N	\N
1272453	4352	1997-03-11	PRIJEM	VKLAD	24269	74241	\N	\N	\N
1272454	4352	1997-04-11	PRIJEM	VKLAD	24269	67814	\N	\N	\N
1272455	4352	1997-05-11	PRIJEM	VKLAD	24269	71876	\N	\N	\N
1272456	4352	1997-06-11	PRIJEM	VKLAD	36404	78566	\N	\N	\N
1272457	4352	1997-07-11	PRIJEM	VKLAD	24269	49193	\N	\N	\N
1272458	4352	1997-08-11	PRIJEM	VKLAD	24269	54876	\N	\N	\N
1272459	4352	1997-09-11	PRIJEM	VKLAD	24269	60482	\N	\N	\N
1272460	4352	1997-10-11	PRIJEM	VKLAD	24269	59089	\N	\N	\N
1272461	4352	1997-11-11	PRIJEM	VKLAD	24269	63503	\N	\N	\N
1272462	4352	1997-12-11	PRIJEM	VKLAD	36404	79868	\N	\N	\N
1272463	4352	1998-01-11	PRIJEM	VKLAD	24269	59427	\N	\N	\N
1272464	4352	1998-02-11	PRIJEM	VKLAD	24269	65796	\N	\N	\N
1272465	4352	1998-03-11	PRIJEM	VKLAD	24269	86597	\N	\N	\N
1272466	4352	1998-04-11	PRIJEM	VKLAD	24269	62683	\N	\N	\N
1272467	4352	1998-05-11	PRIJEM	VKLAD	24269	63372	\N	\N	\N
1272468	4352	1998-06-11	PRIJEM	VKLAD	36404	68608	\N	\N	\N
1272469	4352	1998-07-11	PRIJEM	VKLAD	24269	62112	\N	\N	\N
1272470	4352	1998-08-11	PRIJEM	VKLAD	24269	58603	\N	\N	\N
1272471	4352	1998-09-11	PRIJEM	VKLAD	24269	57982	\N	\N	\N
1272472	4352	1998-10-11	PRIJEM	VKLAD	24269	56958	\N	\N	\N
1272473	4352	1998-11-11	PRIJEM	VKLAD	24269	51131	\N	\N	\N
1272474	4352	1998-12-11	PRIJEM	VKLAD	36404	65520	\N	\N	\N
1272486	4352	1993-12-10	VYDAJ	PREVOD NA UCET	3710	43679	SIPO	EF	6195903
1272487	4352	1994-01-10	VYDAJ	PREVOD NA UCET	3710	46972	SIPO	EF	6195903
1272488	4352	1994-02-10	VYDAJ	PREVOD NA UCET	3710	44713	SIPO	EF	6195903
1272489	4352	1994-03-10	VYDAJ	PREVOD NA UCET	3710	45109	SIPO	EF	6195903
1272490	4352	1994-04-10	VYDAJ	PREVOD NA UCET	3710	40833	SIPO	EF	6195903
1272491	4352	1994-05-10	VYDAJ	PREVOD NA UCET	3710	40545	SIPO	EF	6195903
1272492	4352	1994-06-10	VYDAJ	PREVOD NA UCET	3710	31757	SIPO	EF	6195903
1272493	4352	1994-07-10	VYDAJ	PREVOD NA UCET	3710	39707	SIPO	EF	6195903
1272494	4352	1994-08-10	VYDAJ	PREVOD NA UCET	3710	41184	SIPO	EF	6195903
1272495	4352	1994-09-10	VYDAJ	PREVOD NA UCET	3710	43566	SIPO	EF	6195903
1272496	4352	1994-10-10	VYDAJ	PREVOD NA UCET	3710	43155	SIPO	EF	6195903
1272497	4352	1994-11-10	VYDAJ	PREVOD NA UCET	3710	43141	SIPO	EF	6195903
1272498	4352	1994-12-10	VYDAJ	PREVOD NA UCET	3710	43326	SIPO	EF	6195903
1272499	4352	1995-01-10	VYDAJ	PREVOD NA UCET	3710	48174	SIPO	EF	6195903
1272500	4352	1995-02-10	VYDAJ	PREVOD NA UCET	3710	43663	SIPO	EF	6195903
1272501	4352	1995-03-10	VYDAJ	PREVOD NA UCET	3710	40545	SIPO	EF	6195903
1272502	4352	1995-04-10	VYDAJ	PREVOD NA UCET	3710	43019	SIPO	EF	6195903
1272503	4352	1995-05-10	VYDAJ	PREVOD NA UCET	3710	43500	SIPO	EF	6195903
1272504	4352	1995-06-10	VYDAJ	PREVOD NA UCET	3710	42283	SIPO	EF	6195903
1272505	4352	1995-07-10	VYDAJ	PREVOD NA UCET	3710	39614	SIPO	EF	6195903
1272506	4352	1995-08-10	VYDAJ	PREVOD NA UCET	3710	41277	SIPO	EF	6195903
1272507	4352	1995-09-10	VYDAJ	PREVOD NA UCET	3710	42545	SIPO	EF	6195903
1272508	4352	1995-10-10	VYDAJ	PREVOD NA UCET	3710	40712	SIPO	EF	6195903
1272509	4352	1995-11-10	VYDAJ	PREVOD NA UCET	3710	38871	SIPO	EF	6195903
1272510	4352	1995-12-10	VYDAJ	PREVOD NA UCET	3710	42627	SIPO	EF	6195903
1272511	4352	1996-01-10	VYDAJ	PREVOD NA UCET	3710	47458	SIPO	EF	6195903
1272512	4352	1996-02-10	VYDAJ	PREVOD NA UCET	3710	43636	SIPO	EF	6195903
1272513	4352	1996-03-10	VYDAJ	PREVOD NA UCET	3710	44703	SIPO	EF	6195903
1272514	4352	1996-04-10	VYDAJ	PREVOD NA UCET	3710	42472	SIPO	EF	6195903
1272515	4352	1996-05-10	VYDAJ	PREVOD NA UCET	3710	45536	SIPO	EF	6195903
1272516	4352	1996-06-10	VYDAJ	PREVOD NA UCET	3710	25213	SIPO	EF	6195903
1272517	4352	1996-07-10	VYDAJ	PREVOD NA UCET	3710	39499	SIPO	EF	6195903
1272518	4352	1996-08-10	VYDAJ	PREVOD NA UCET	3710	41451	SIPO	EF	6195903
1272519	4352	1996-09-10	VYDAJ	PREVOD NA UCET	3710	44509	SIPO	EF	6195903
1272520	4352	1996-10-10	VYDAJ	PREVOD NA UCET	3710	44768	SIPO	EF	6195903
1272521	4352	1996-11-10	VYDAJ	PREVOD NA UCET	3710	40933	SIPO	EF	6195903
1272522	4352	1996-12-10	VYDAJ	PREVOD NA UCET	3710	47191	SIPO	EF	6195903
1272523	4352	1997-01-10	VYDAJ	PREVOD NA UCET	3710	50916	SIPO	EF	6195903
1272524	4352	1997-02-10	VYDAJ	PREVOD NA UCET	3710	50498	SIPO	EF	6195903
1272525	4352	1997-03-10	VYDAJ	PREVOD NA UCET	3710	49972	SIPO	EF	6195903
1272526	4352	1997-04-10	VYDAJ	PREVOD NA UCET	3710	43545	SIPO	EF	6195903
1272527	4352	1997-05-10	VYDAJ	PREVOD NA UCET	3710	47607	SIPO	EF	6195903
1272528	4352	1997-06-10	VYDAJ	PREVOD NA UCET	3710	42162	SIPO	EF	6195903
1272529	4352	1997-07-10	VYDAJ	PREVOD NA UCET	3710	24924	SIPO	EF	6195903
1272530	4352	1997-08-10	VYDAJ	PREVOD NA UCET	3710	30607	SIPO	EF	6195903
1272531	4352	1997-09-10	VYDAJ	PREVOD NA UCET	3710	36213	SIPO	EF	6195903
1272532	4352	1997-10-10	VYDAJ	PREVOD NA UCET	3710	34820	SIPO	EF	6195903
1272533	4352	1997-11-10	VYDAJ	PREVOD NA UCET	3710	39234	SIPO	EF	6195903
1272534	4352	1997-12-10	VYDAJ	PREVOD NA UCET	3710	43464	SIPO	EF	6195903
1272535	4352	1998-01-10	VYDAJ	PREVOD NA UCET	3710	39758	SIPO	EF	6195903
1272536	4352	1998-02-10	VYDAJ	PREVOD NA UCET	3710	41527	SIPO	EF	6195903
1272537	4352	1998-03-10	VYDAJ	PREVOD NA UCET	3710	62328	SIPO	EF	6195903
1272538	4352	1998-04-10	VYDAJ	PREVOD NA UCET	3710	52914	SIPO	EF	6195903
1272539	4352	1998-05-10	VYDAJ	PREVOD NA UCET	3710	59203	SIPO	EF	6195903
1272540	4352	1998-06-10	VYDAJ	PREVOD NA UCET	3710	32204	SIPO	EF	6195903
1272541	4352	1998-07-10	VYDAJ	PREVOD NA UCET	3710	37843	SIPO	EF	6195903
1272542	4352	1998-08-10	VYDAJ	PREVOD NA UCET	3710	34334	SIPO	EF	6195903
1272543	4352	1998-09-10	VYDAJ	PREVOD NA UCET	3710	33713	SIPO	EF	6195903
1272544	4352	1998-10-10	VYDAJ	PREVOD NA UCET	3710	32689	SIPO	EF	6195903
1272545	4352	1998-11-10	VYDAJ	PREVOD NA UCET	3710	26862	SIPO	EF	6195903
1272546	4352	1998-12-10	VYDAJ	PREVOD NA UCET	3710	29116	SIPO	EF	6195903
1272620	4352	1994-06-10	VYDAJ	VYBER	11100	35467	\N	\N	\N
1272621	4352	1995-06-24	VYDAJ	VYBER	25500	53187	\N	\N	\N
1272622	4352	1996-06-02	VYDAJ	VYBER	23300	28923	\N	\N	\N
1272623	4352	1997-06-22	VYDAJ	VYBER	19700	28466	\N	\N	\N
1272624	4352	1998-06-03	VYDAJ	VYBER	13700	49914	\N	\N	\N
1272626	4352	1994-01-12	VYDAJ	VYBER	2000	69241	\N	\N	\N
1272627	4352	1995-01-19	VYDAJ	VYBER	9100	63343	\N	\N	\N
1272628	4352	1996-01-17	VYDAJ	VYBER	8900	62827	\N	\N	\N
1272629	4352	1997-01-05	VYDAJ	VYBER KARTOU	3400	54626	\N	\N	0
1272630	4352	1998-01-01	VYDAJ	VYBER	7600	48368	\N	\N	\N
1272636	4352	1993-11-18	VYDAJ	VYBER	4900	66915	\N	\N	\N
1272637	4352	1994-06-27	VYDAJ	VYBER	4300	63861	\N	\N	\N
1272638	4352	1994-12-26	VYDAJ	VYBER	2000	77730	\N	\N	\N
1272639	4352	1994-03-24	VYDAJ	VYBER	4000	65378	\N	\N	\N
1272640	4352	1994-02-13	VYDAJ	VYBER	1900	67082	\N	\N	\N
1272641	4352	1995-07-23	VYDAJ	VYBER	2300	61583	\N	\N	\N
1272642	4352	1995-06-05	VYDAJ	VYBER	3000	45993	\N	\N	\N
1272643	4352	1995-02-26	VYDAJ	VYBER	4800	44032	\N	\N	\N
1272644	4352	1996-01-03	VYDAJ	VYBER	4500	51168	\N	\N	\N
1272645	4352	1996-11-08	VYDAJ	VYBER KARTOU	3500	44643	\N	\N	0
1272646	4352	1996-10-29	VYDAJ	VYBER	3600	47937	\N	\N	\N
1272647	4352	1996-08-02	VYDAJ	VYBER	3000	45161	\N	\N	\N
1272648	4352	1997-09-15	VYDAJ	VYBER KARTOU	1600	38382	\N	\N	0
1272649	4352	1997-04-02	VYDAJ	VYBER	4200	47255	\N	\N	\N
1272650	4352	1997-07-26	VYDAJ	VYBER KARTOU	1300	34193	\N	\N	0
1272651	4352	1997-09-01	VYDAJ	VYBER KARTOU	1500	39923	\N	\N	0
1272652	4352	1997-06-10	VYDAJ	VYBER KARTOU	1500	45872	\N	\N	0
1272653	4352	1998-07-26	VYDAJ	VYBER KARTOU	1800	58512	\N	\N	0
1272654	4352	1998-06-23	VYDAJ	VYBER	4700	63908	\N	\N	\N
1272655	4352	1998-07-17	VYDAJ	VYBER KARTOU	1800	60312	\N	\N	0
1272656	4352	1998-12-29	VYDAJ	VYBER KARTOU	1300	64220	\N	\N	0
1272657	4352	1998-01-03	VYDAJ	VYBER	4900	43468	\N	\N	\N
1272669	4352	1993-11-30	VYDAJ	VYBER	15	67189	SLUZBY	\N	\N
1272670	4352	1993-12-31	VYDAJ	VYBER	15	80382	SLUZBY	\N	\N
1272671	4352	1994-01-31	VYDAJ	VYBER	15	48423	SLUZBY	\N	\N
1272672	4352	1994-02-28	VYDAJ	VYBER	15	67319	SLUZBY	\N	\N
1272673	4352	1994-03-31	VYDAJ	VYBER	15	65643	SLUZBY	\N	\N
1272674	4352	1994-04-30	VYDAJ	VYBER	15	65355	SLUZBY	\N	\N
1272675	4352	1994-05-31	VYDAJ	VYBER	15	65067	SLUZBY	\N	\N
1272676	4352	1994-06-30	VYDAJ	VYBER	15	43417	SLUZBY	\N	\N
1272677	4352	1994-07-31	VYDAJ	VYBER	15	44894	SLUZBY	\N	\N
1272678	4352	1994-08-31	VYDAJ	VYBER	15	47276	SLUZBY	\N	\N
1272679	4352	1994-09-30	VYDAJ	VYBER	15	46865	SLUZBY	\N	\N
1272680	4352	1994-10-31	VYDAJ	VYBER	15	46851	SLUZBY	\N	\N
1272681	4352	1994-11-30	VYDAJ	VYBER	15	47036	SLUZBY	\N	\N
1272682	4352	1994-12-31	VYDAJ	VYBER	15	51884	SLUZBY	\N	\N
1272683	4352	1995-01-31	VYDAJ	VYBER	15	47373	SLUZBY	\N	\N
1272684	4352	1995-02-28	VYDAJ	VYBER	15	44255	SLUZBY	\N	\N
1272685	4352	1995-03-31	VYDAJ	VYBER	15	46729	SLUZBY	\N	\N
1272686	4352	1995-04-30	VYDAJ	VYBER	15	47210	SLUZBY	\N	\N
1272687	4352	1995-05-31	VYDAJ	VYBER	15	48993	SLUZBY	\N	\N
1272688	4352	1995-06-30	VYDAJ	VYBER	15	43324	SLUZBY	\N	\N
1272689	4352	1995-07-31	VYDAJ	VYBER	15	44987	SLUZBY	\N	\N
1272690	4352	1995-08-31	VYDAJ	VYBER	15	46255	SLUZBY	\N	\N
1272691	4352	1995-09-30	VYDAJ	VYBER	15	44422	SLUZBY	\N	\N
1272692	4352	1995-10-31	VYDAJ	VYBER	15	42581	SLUZBY	\N	\N
1272693	4352	1995-11-30	VYDAJ	VYBER	15	46337	SLUZBY	\N	\N
1272694	4352	1995-12-31	VYDAJ	VYBER	15	55668	SLUZBY	\N	\N
1272695	4352	1996-01-31	VYDAJ	VYBER	15	47346	SLUZBY	\N	\N
1272696	4352	1996-02-29	VYDAJ	VYBER	15	48413	SLUZBY	\N	\N
1272697	4352	1996-03-31	VYDAJ	VYBER	15	46182	SLUZBY	\N	\N
1272698	4352	1996-04-30	VYDAJ	VYBER	15	49246	SLUZBY	\N	\N
1272699	4352	1996-05-31	VYDAJ	VYBER	15	52223	SLUZBY	\N	\N
1272700	4352	1996-06-30	VYDAJ	VYBER	15	43209	SLUZBY	\N	\N
1272701	4352	1996-07-31	VYDAJ	VYBER	15	48161	SLUZBY	\N	\N
1272702	4352	1996-08-31	VYDAJ	VYBER	15	48219	SLUZBY	\N	\N
1272703	4352	1996-09-30	VYDAJ	VYBER	15	48478	SLUZBY	\N	\N
1272704	4352	1996-10-31	VYDAJ	VYBER	15	48143	SLUZBY	\N	\N
1272705	4352	1996-11-30	VYDAJ	VYBER	15	50901	SLUZBY	\N	\N
1272706	4352	1996-12-31	VYDAJ	VYBER	15	58026	SLUZBY	\N	\N
1272707	4352	1997-01-31	VYDAJ	VYBER	15	54208	SLUZBY	\N	\N
1272708	4352	1997-02-28	VYDAJ	VYBER	15	53682	SLUZBY	\N	\N
1272709	4352	1997-03-31	VYDAJ	VYBER	15	51455	SLUZBY	\N	\N
1272710	4352	1997-04-30	VYDAJ	VYBER	15	51317	SLUZBY	\N	\N
1272711	4352	1997-05-31	VYDAJ	VYBER	15	47372	SLUZBY	\N	\N
1272712	4352	1997-06-30	VYDAJ	VYBER	15	28634	SLUZBY	\N	\N
1272713	4352	1997-07-31	VYDAJ	VYBER	15	34317	SLUZBY	\N	\N
1272714	4352	1997-08-31	VYDAJ	VYBER	15	41423	SLUZBY	\N	\N
1272715	4352	1997-09-30	VYDAJ	VYBER	15	38530	SLUZBY	\N	\N
1272716	4352	1997-10-31	VYDAJ	VYBER	15	42944	SLUZBY	\N	\N
1272717	4352	1997-11-30	VYDAJ	VYBER	15	47174	SLUZBY	\N	\N
1272718	4352	1997-12-31	VYDAJ	VYBER	15	55968	SLUZBY	\N	\N
1272719	4352	1998-01-31	VYDAJ	VYBER	15	59637	SLUZBY	\N	\N
1272720	4352	1998-02-28	VYDAJ	VYBER	15	66038	SLUZBY	\N	\N
1272721	4352	1998-03-31	VYDAJ	VYBER	15	56624	SLUZBY	\N	\N
1272722	4352	1998-04-30	VYDAJ	VYBER	15	62913	SLUZBY	\N	\N
1272723	4352	1998-05-31	VYDAJ	VYBER	15	63614	SLUZBY	\N	\N
1272724	4352	1998-06-30	VYDAJ	VYBER	15	64153	SLUZBY	\N	\N
1272725	4352	1998-07-31	VYDAJ	VYBER	15	58744	SLUZBY	\N	\N
1272726	4352	1998-08-31	VYDAJ	VYBER	15	58823	SLUZBY	\N	\N
1272727	4352	1998-09-30	VYDAJ	VYBER	15	58199	SLUZBY	\N	\N
1272728	4352	1998-10-31	VYDAJ	VYBER	15	57172	SLUZBY	\N	\N
1272729	4352	1998-11-30	VYDAJ	VYBER	15	51326	SLUZBY	\N	\N
1272730	4352	1993-08-04	PRIJEM	VKLAD	1600	26339	\N	\N	\N
1272731	4352	1993-09-03	VYDAJ	VYBER	12900	37884	\N	\N	\N
1272732	4352	1993-10-03	VYDAJ	VYBER	16400	45996	\N	\N	\N
1272733	4352	1993-11-02	VYDAJ	VYBER	23000	47546	\N	\N	\N
1272734	4352	1993-12-02	VYDAJ	VYBER	19800	47389	\N	\N	\N
1272735	4352	1994-01-01	VYDAJ	VYBER	29700	50682	\N	\N	\N
1272736	4352	1994-01-31	VYDAJ	VYBER	21100	48437	\N	\N	\N
1272737	4352	1994-03-02	VYDAJ	VYBER	18500	48819	\N	\N	\N
1272738	4352	1994-04-01	VYDAJ	VYBER	21100	44543	\N	\N	\N
1272739	4352	1994-05-01	VYDAJ	VYBER	21100	44255	\N	\N	\N
1272740	4352	1994-05-31	VYDAJ	VYBER	18500	46567	\N	\N	\N
1272741	4352	1994-06-30	VYDAJ	VYBER	20700	43431	\N	\N	\N
1272742	4352	1994-07-30	VYDAJ	VYBER	19300	44676	\N	\N	\N
1272743	4352	1994-08-29	VYDAJ	VYBER	18400	47053	\N	\N	\N
1272744	4352	1994-09-28	VYDAJ	VYBER	21200	46635	\N	\N	\N
1272745	4352	1994-10-28	VYDAJ	VYBER	20800	46624	\N	\N	\N
1272746	4352	1994-11-27	VYDAJ	VYBER	20600	46810	\N	\N	\N
1272747	4352	1994-12-27	VYDAJ	VYBER	26100	51630	\N	\N	\N
1272748	4352	1995-01-26	VYDAJ	VYBER	16200	47143	\N	\N	\N
1272749	4352	1995-02-25	VYDAJ	VYBER	19100	48832	\N	\N	\N
1272750	4352	1995-03-27	VYDAJ	VYBER	18300	46514	\N	\N	\N
1272751	4352	1995-04-26	VYDAJ	VYBER	20300	46988	\N	\N	\N
1272752	4352	1995-05-26	VYDAJ	VYBER	19000	48769	\N	\N	\N
1272753	4352	1995-06-25	VYDAJ	VYBER	10100	43087	\N	\N	\N
1272754	4352	1995-07-25	VYDAJ	VYBER	16800	44783	\N	\N	\N
1272755	4352	1995-08-24	VYDAJ	VYBER	19500	46046	\N	\N	\N
1272756	4352	1995-09-23	VYDAJ	VYBER	22600	44214	\N	\N	\N
1272757	4352	1995-10-23	VYDAJ	VYBER	22600	42381	\N	\N	\N
1272758	4352	1995-11-22	VYDAJ	VYBER	17000	46140	\N	\N	\N
1272759	4352	1995-12-22	VYDAJ	VYBER	23600	55431	\N	\N	\N
1272760	4352	1996-01-21	VYDAJ	VYBER	15700	47127	\N	\N	\N
1272761	4352	1996-02-20	VYDAJ	VYBER	19700	48205	\N	\N	\N
1272762	4352	1996-03-21	VYDAJ	VYBER	23000	45972	\N	\N	\N
1272763	4352	1996-04-20	VYDAJ	VYBER	17700	49041	\N	\N	\N
1272764	4352	1996-05-20	VYDAJ	VYBER	17800	52005	\N	\N	\N
1272765	4352	1996-06-19	VYDAJ	VYBER	18600	43017	\N	\N	\N
1272766	4352	1996-07-19	VYDAJ	VYBER	15800	47968	\N	\N	\N
1272767	4352	1996-08-18	VYDAJ	VYBER	17700	48020	\N	\N	\N
1272768	4352	1996-09-17	VYDAJ	VYBER	20500	48278	\N	\N	\N
1272769	4352	1996-10-17	VYDAJ	VYBER	17500	51537	\N	\N	\N
1272770	4352	1996-11-16	VYDAJ	VYBER	14500	50702	\N	\N	\N
1272771	4352	1996-12-16	VYDAJ	VYBER	25800	57795	\N	\N	\N
1272772	4352	1997-01-15	VYDAJ	VYBER	21200	53985	\N	\N	\N
1272773	4352	1997-02-14	VYDAJ	VYBER	21300	53467	\N	\N	\N
1272774	4352	1997-03-16	VYDAJ	VYBER	23000	51241	\N	\N	\N
1272775	4352	1997-04-15	VYDAJ	VYBER	16700	51114	\N	\N	\N
1272776	4352	1997-05-15	VYDAJ	VYBER	24700	47176	\N	\N	\N
1272777	4352	1997-06-14	VYDAJ	VYBER	30400	48166	\N	\N	\N
1272778	4352	1997-07-14	VYDAJ	VYBER	13700	35493	\N	\N	\N
1272779	4352	1997-08-13	VYDAJ	VYBER	13600	41276	\N	\N	\N
1272780	4352	1997-09-12	VYDAJ	VYBER	20500	39982	\N	\N	\N
1272781	4352	1997-10-12	VYDAJ	VYBER	16300	42789	\N	\N	\N
1272782	4352	1997-11-11	VYDAJ	VYBER	16500	47003	\N	\N	\N
1272783	4352	1997-12-11	VYDAJ	VYBER	24100	55768	\N	\N	\N
1272784	4352	1998-01-10	VYDAJ	VYBER	4600	35158	\N	\N	\N
1272785	4352	1998-02-09	VYDAJ	VYBER	14400	45237	\N	\N	\N
1272786	4352	1998-03-11	VYDAJ	VYBER	30200	56397	\N	\N	\N
1272787	4352	1998-04-10	VYDAJ	VYBER	14500	38414	\N	\N	\N
1272788	4352	1998-05-10	VYDAJ	VYBER	20100	39103	\N	\N	\N
1272789	4352	1998-06-09	VYDAJ	VYBER	14000	35914	\N	\N	\N
1272790	4352	1998-07-09	VYDAJ	VYBER	22600	41553	\N	\N	\N
1272791	4352	1998-08-08	VYDAJ	VYBER	20700	38044	\N	\N	\N
1272792	4352	1998-09-07	VYDAJ	VYBER	21400	37423	\N	\N	\N
1272793	4352	1998-10-07	VYDAJ	VYBER	21800	36399	\N	\N	\N
1272794	4352	1998-11-06	VYDAJ	VYBER	26600	30572	\N	\N	\N
1272795	4352	1998-12-06	VYDAJ	VYBER	18500	32826	\N	\N	\N
1273077	4354	1997-01-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1273078	4354	1997-07-04	PRIJEM	VKLAD	31538	79651	\N	\N	\N
1273079	4354	1997-08-29	PRIJEM	VKLAD	48291	75945	\N	\N	\N
1273080	4354	1997-04-12	PRIJEM	VKLAD	19254	64807	\N	\N	\N
1273081	4354	1997-06-21	PRIJEM	VKLAD	7100	92279	\N	\N	\N
1273082	4354	1997-06-09	PRIJEM	VKLAD	47841	97935	\N	\N	\N
1273083	4354	1997-10-24	PRIJEM	VKLAD	33165	97705	\N	\N	\N
1273084	4354	1997-10-08	PRIJEM	VKLAD	46462	77296	\N	\N	\N
1273085	4354	1997-11-19	PRIJEM	VKLAD	12078	61291	\N	\N	\N
1273086	4354	1997-02-09	PRIJEM	VKLAD	48563	61263	\N	\N	\N
1273087	4354	1997-04-20	PRIJEM	VKLAD	47969	112776	\N	\N	\N
1273088	4354	1997-03-01	PRIJEM	VKLAD	29449	90894	\N	\N	\N
1273089	4354	1997-07-26	PRIJEM	VKLAD	36713	59846	\N	\N	\N
1273090	4354	1998-03-25	PRIJEM	VKLAD	31730	37355	\N	\N	\N
1273091	4354	1998-09-19	PRIJEM	VKLAD	39859	76321	\N	\N	\N
1273092	4354	1998-07-05	PRIJEM	VKLAD	20706	92153	\N	\N	\N
1273093	4354	1998-10-10	PRIJEM	VKLAD	29959	77804	\N	\N	\N
1273094	4354	1998-12-08	PRIJEM	VKLAD	15470	56343	\N	\N	\N
1273095	4354	1998-10-22	PRIJEM	VKLAD	17663	82711	\N	\N	\N
1273096	4354	1998-11-05	PRIJEM	VKLAD	38251	87744	\N	\N	\N
1273097	4354	1998-06-02	PRIJEM	VKLAD	28651	37392	\N	\N	\N
1273098	4354	1998-04-07	PRIJEM	VKLAD	10773	44400	\N	\N	\N
1273099	4354	1998-07-05	PRIJEM	VKLAD	39073	71447	\N	\N	\N
1273100	4354	1998-12-09	PRIJEM	VKLAD	39026	95369	\N	\N	\N
1273101	4354	1998-06-04	PRIJEM	VKLAD	18445	48137	\N	\N	\N
1273102	4354	1998-08-08	PRIJEM	VKLAD	34274	76041	\N	\N	\N
1273108	4354	1997-06-21	VYDAJ	VYBER	7000	85279	\N	\N	0
1273109	4354	1997-07-09	VYDAJ	VYBER	5300	51751	\N	\N	0
1273110	4354	1997-08-20	VYDAJ	VYBER	6600	27654	\N	\N	0
1273111	4354	1997-09-20	VYDAJ	VYBER	6200	35257	\N	\N	0
1273112	4354	1997-10-01	VYDAJ	VYBER	3800	31634	\N	\N	0
1273113	4354	1997-10-31	VYDAJ	VYBER	5900	92084	\N	\N	0
1273114	4354	1997-12-04	VYDAJ	VYBER	3800	50855	\N	\N	0
1273115	4354	1998-01-15	VYDAJ	VYBER	4000	9758	\N	\N	0
1273116	4354	1998-02-01	VYDAJ	VYBER	4400	5404	\N	\N	0
1273117	4354	1998-03-08	VYDAJ	VYBER	6200	18381	\N	\N	0
1273118	4354	1998-04-11	VYDAJ	VYBER	6800	24844	\N	\N	0
1273119	4354	1998-05-08	VYDAJ	VYBER	5200	21456	\N	\N	0
1273120	4354	1998-06-02	VYDAJ	VYBER	5400	29692	\N	\N	0
1273121	4354	1998-07-10	VYDAJ	VYBER	5200	86953	\N	\N	0
1273122	4354	1998-08-02	VYDAJ	VYBER	5100	41767	\N	\N	0
1273123	4354	1998-09-19	VYDAJ	VYBER	5400	70921	\N	\N	0
1273124	4354	1998-10-07	VYDAJ	VYBER	6000	47845	\N	\N	0
1273125	4354	1998-11-12	VYDAJ	PREVOD NA UCET	5461	69526	UVER	MN	33371013
1273126	4354	1998-12-12	VYDAJ	PREVOD NA UCET	5461	77152	UVER	MN	33371013
1273132	4354	1997-06-10	VYDAJ	PREVOD NA UCET	12756	85179	SIPO	CD	23047155
1273133	4354	1997-07-10	VYDAJ	PREVOD NA UCET	12756	38995	SIPO	CD	23047155
1273134	4354	1997-08-10	VYDAJ	PREVOD NA UCET	12756	34254	SIPO	CD	23047155
1273135	4354	1997-09-10	VYDAJ	PREVOD NA UCET	12756	41457	SIPO	CD	23047155
1273136	4354	1997-10-10	VYDAJ	PREVOD NA UCET	12756	64540	SIPO	CD	23047155
1273137	4354	1997-11-10	VYDAJ	PREVOD NA UCET	12756	49213	SIPO	CD	23047155
1273138	4354	1997-12-10	VYDAJ	PREVOD NA UCET	12756	28699	SIPO	CD	23047155
1273139	4354	1998-01-10	VYDAJ	PREVOD NA UCET	12756	13758	SIPO	CD	23047155
1273140	4354	1998-02-10	VYDAJ	PREVOD NA UCET	12756	7548	SIPO	CD	23047155
1273141	4354	1998-03-10	VYDAJ	PREVOD NA UCET	12756	5625	SIPO	CD	23047155
1273142	4354	1998-04-10	VYDAJ	PREVOD NA UCET	12756	31644	SIPO	CD	23047155
1273143	4354	1998-05-10	VYDAJ	PREVOD NA UCET	12756	8700	SIPO	CD	23047155
1273144	4354	1998-06-10	VYDAJ	PREVOD NA UCET	12756	35381	SIPO	CD	23047155
1273145	4354	1998-07-10	VYDAJ	PREVOD NA UCET	12756	74197	SIPO	CD	23047155
1273146	4354	1998-08-10	VYDAJ	PREVOD NA UCET	12756	63285	SIPO	CD	23047155
1273147	4354	1998-09-10	VYDAJ	PREVOD NA UCET	12756	36462	SIPO	CD	23047155
1273148	4354	1998-10-10	VYDAJ	PREVOD NA UCET	12756	65048	SIPO	CD	23047155
1273149	4354	1998-11-10	VYDAJ	PREVOD NA UCET	12756	74988	SIPO	CD	23047155
1273150	4354	1998-12-10	VYDAJ	PREVOD NA UCET	12756	82613	SIPO	CD	23047155
1273152	4354	1997-07-19	VYBER	VYBER	15862	23133	\N	\N	\N
1273156	4354	1998-10-22	VYBER	VYBER	5026	77685	\N	\N	\N
1273158	4354	1998-12-29	VYBER	VYBER	17984	53768	\N	\N	\N
1273160	4354	1998-06-18	VYBER	VYBER	6533	28848	\N	\N	\N
1273161	4354	1998-10-23	VYBER	VYBER	18148	59537	\N	\N	\N
1273163	4354	1998-07-31	VYBER	VYBER	15746	58782	\N	\N	\N
1273165	4354	1998-04-03	VYBER	VYBER	10272	33627	\N	\N	\N
1273166	4354	1997-06-26	VYDAJ	VYBER	37500	47779	\N	\N	\N
1273170	4354	1997-12-10	VYDAJ	VYBER	6300	22399	\N	\N	\N
1273171	4354	1998-12-24	VYDAJ	VYBER	5400	71752	\N	\N	\N
1273183	4354	1998-01-07	VYDAJ	VYBER	5700	26514	\N	\N	\N
1273184	4354	1997-09-03	VYDAJ	VYBER	3000	73113	\N	\N	\N
1273185	4354	1997-11-30	VYDAJ	VYBER	6900	54669	\N	\N	\N
1273189	4354	1998-12-06	VYDAJ	VYBER	14100	40873	\N	\N	\N
1273197	4354	1997-06-30	VYDAJ	VYBER	15	48113	SLUZBY	\N	\N
1273198	4354	1997-07-31	VYDAJ	VYBER	15	60010	SLUZBY	\N	\N
1273199	4354	1997-08-31	VYDAJ	VYBER	15	76113	SLUZBY	\N	\N
1273200	4354	1997-09-30	VYDAJ	VYBER	15	35434	SLUZBY	\N	\N
1273201	4354	1997-10-31	VYDAJ	VYBER	15	92069	SLUZBY	\N	\N
1273202	4354	1997-11-30	VYDAJ	VYBER	15	54655	SLUZBY	\N	\N
1273203	4354	1997-12-31	VYDAJ	VYBER	15	22514	SLUZBY	\N	\N
1273204	4354	1998-01-31	VYDAJ	VYBER	15	9804	SLUZBY	\N	\N
1273205	4354	1998-02-28	VYDAJ	VYBER	15	7581	SLUZBY	\N	\N
1273206	4354	1998-03-31	VYDAJ	VYBER	15	37399	SLUZBY	\N	\N
1273207	4354	1998-04-30	VYDAJ	VYBER	15	24956	SLUZBY	\N	\N
1273208	4354	1998-05-31	VYDAJ	VYBER	15	8741	SLUZBY	\N	\N
1273209	4354	1998-06-30	VYDAJ	VYBER	15	28974	SLUZBY	\N	\N
1273210	4354	1998-07-31	VYDAJ	VYBER	15	58767	SLUZBY	\N	\N
1273211	4354	1998-08-31	VYDAJ	VYBER	15	49218	SLUZBY	\N	\N
1273212	4354	1998-09-30	VYDAJ	VYBER	15	53845	SLUZBY	\N	\N
1273213	4354	1998-10-31	VYDAJ	VYBER	15	49493	SLUZBY	\N	\N
1273214	4354	1998-11-30	VYDAJ	VYBER	15	54973	SLUZBY	\N	\N
1273215	4354	1997-02-07	PRIJEM	VKLAD	11700	12700	\N	\N	\N
1273216	4354	1997-03-09	VYDAJ	VYBER	28600	62294	\N	\N	\N
1273217	4354	1997-04-08	VYDAJ	VYBER	17000	45553	\N	\N	\N
1273218	4354	1997-04-20	VYDAJ	VYBER	16100	96676	\N	\N	\N
1273219	4354	1997-05-08	VYDAJ	VYBER	32800	64191	\N	\N	\N
1273220	4354	1997-06-07	VYDAJ	VYBER	14500	50094	\N	\N	\N
1273221	4354	1997-07-07	VYDAJ	VYBER	22600	57051	\N	\N	\N
1273222	4354	1997-08-06	VYDAJ	VYBER	13000	47010	\N	\N	\N
1273223	4354	1997-09-05	VYDAJ	VYBER	18900	54213	\N	\N	\N
1273224	4354	1997-10-05	VYDAJ	VYBER	800	30834	\N	\N	\N
1273225	4354	1997-11-04	VYDAJ	VYBER	30100	61969	\N	\N	\N
1273226	4354	1997-12-04	VYDAJ	VYBER	9400	41455	\N	\N	\N
1273227	4354	1998-01-03	PRIJEM	VKLAD	9700	32214	\N	\N	\N
1273228	4354	1998-02-02	PRIJEM	VKLAD	14900	20304	\N	\N	\N
1273229	4354	1998-03-04	PRIJEM	VKLAD	17000	24581	\N	\N	\N
1273230	4354	1998-04-03	PRIJEM	VKLAD	6500	43899	\N	\N	\N
1273231	4354	1998-05-03	PRIJEM	VKLAD	1700	26656	\N	\N	\N
1273232	4354	1998-06-02	VYDAJ	VYBER	2300	35092	\N	\N	\N
1273233	4354	1998-07-02	PRIJEM	VKLAD	3400	32374	\N	\N	\N
1273234	4354	1998-08-01	VYDAJ	VYBER	11900	46867	\N	\N	\N
1273235	4354	1998-08-31	VYDAJ	VYBER	14300	49232	\N	\N	\N
1273236	4354	1998-09-30	VYDAJ	VYBER	17300	53859	\N	\N	\N
1273237	4354	1998-10-30	VYDAJ	VYBER	10300	49237	\N	\N	\N
1273238	4354	1998-11-29	VYDAJ	VYBER	14800	54726	\N	\N	\N
1273262	4355	1993-02-21	PRIJEM	VKLAD	800	800	\N	\N	\N
1273263	4355	1993-08-11	PRIJEM	VKLAD	29189	54343	\N	\N	\N
1273264	4355	1993-03-30	PRIJEM	VKLAD	2793	18993	\N	\N	\N
1273265	4355	1994-12-22	PRIJEM	VKLAD	10863	38048	\N	\N	\N
1273266	4355	1994-06-25	PRIJEM	VKLAD	14226	43087	\N	\N	\N
1273267	4355	1995-08-16	PRIJEM	VKLAD	21066	76099	\N	\N	\N
1273268	4355	1995-08-13	PRIJEM	VKLAD	39793	55033	\N	\N	\N
1273269	4355	1996-06-21	PRIJEM	VKLAD	38847	55435	\N	\N	\N
1273270	4355	1996-01-06	PRIJEM	VKLAD	16942	35952	\N	\N	\N
1273271	4355	1997-12-27	PRIJEM	VKLAD	11241	33561	\N	\N	\N
1273272	4355	1997-01-20	PRIJEM	VKLAD	26980	47055	\N	\N	\N
1273273	4355	1998-08-29	PRIJEM	VKLAD	28017	57310	\N	\N	\N
1273274	4355	1998-03-06	PRIJEM	VKLAD	43825	69639	\N	\N	\N
1273277	4355	1993-03-15	PRIJEM	VKLAD	1400	2200	\N	\N	\N
1273278	4355	1993-04-13	PRIJEM	VKLAD	1400	20416	\N	\N	\N
1273279	4355	1993-05-13	PRIJEM	VKLAD	1400	24187	\N	\N	\N
1273280	4355	1993-06-17	PRIJEM	VKLAD	1400	26672	\N	\N	\N
1273281	4355	1993-07-13	PRIJEM	VKLAD	1400	25964	\N	\N	\N
1273282	4355	1993-08-17	PRIJEM	VKLAD	1400	53843	\N	\N	\N
1273283	4355	1993-09-13	PRIJEM	VKLAD	1400	42979	\N	\N	\N
1273284	4355	1993-10-15	PRIJEM	VKLAD	1400	32624	\N	\N	\N
1273285	4355	1993-11-13	PRIJEM	VKLAD	1400	27381	\N	\N	\N
1273286	4355	1993-12-17	PRIJEM	VKLAD	1400	24079	\N	\N	\N
1273287	4355	1994-01-15	PRIJEM	VKLAD	1400	25825	\N	\N	\N
1273288	4355	1994-02-14	PRIJEM	VKLAD	1400	20911	\N	\N	\N
1273289	4355	1994-03-16	PRIJEM	VKLAD	1400	23034	\N	\N	\N
1273290	4355	1994-04-16	PRIJEM	VKLAD	1400	24918	\N	\N	\N
1273291	4355	1994-05-13	PRIJEM	VKLAD	1400	27859	\N	\N	\N
1273292	4355	1994-06-13	PRIJEM	VKLAD	1400	29561	\N	\N	\N
1273293	4355	1994-07-17	PRIJEM	VKLAD	1400	21788	\N	\N	\N
1273294	4355	1994-08-15	PRIJEM	VKLAD	1400	22319	\N	\N	\N
1273295	4355	1994-09-15	PRIJEM	VKLAD	1400	24006	\N	\N	\N
1273296	4355	1994-10-16	PRIJEM	VKLAD	1400	24898	\N	\N	\N
1273297	4355	1994-11-17	PRIJEM	VKLAD	1400	24491	\N	\N	\N
1273298	4355	1994-12-17	PRIJEM	VKLAD	1400	25685	\N	\N	\N
1273299	4355	1995-01-15	PRIJEM	VKLAD	1400	28908	\N	\N	\N
1273300	4355	1995-02-16	PRIJEM	VKLAD	1400	21108	\N	\N	\N
1273301	4355	1995-03-15	PRIJEM	VKLAD	1400	20178	\N	\N	\N
1273302	4355	1995-04-13	PRIJEM	VKLAD	1400	23055	\N	\N	\N
1273303	4355	1995-05-14	PRIJEM	VKLAD	1400	20936	\N	\N	\N
1273304	4355	1995-06-14	PRIJEM	VKLAD	1400	21016	\N	\N	\N
1273305	4355	1995-07-14	PRIJEM	VKLAD	1400	16887	\N	\N	\N
1273306	4355	1995-08-17	PRIJEM	VKLAD	1400	77499	\N	\N	\N
1273307	4355	1995-09-17	PRIJEM	VKLAD	1400	46903	\N	\N	\N
1273308	4355	1995-10-16	PRIJEM	VKLAD	1400	33158	\N	\N	\N
1273309	4355	1995-11-16	PRIJEM	VKLAD	1400	25514	\N	\N	\N
1273310	4355	1995-12-17	PRIJEM	VKLAD	1400	19627	\N	\N	\N
1273311	4355	1996-01-16	PRIJEM	VKLAD	1400	26052	\N	\N	\N
1273312	4355	1996-02-17	PRIJEM	VKLAD	1400	15535	\N	\N	\N
1273313	4355	1996-03-13	PRIJEM	VKLAD	1400	14183	\N	\N	\N
1273314	4355	1996-04-17	PRIJEM	VKLAD	1400	15784	\N	\N	\N
1273315	4355	1996-05-14	PRIJEM	VKLAD	1400	15333	\N	\N	\N
1273316	4355	1996-06-15	PRIJEM	VKLAD	1400	15088	\N	\N	\N
1273317	4355	1996-07-16	PRIJEM	VKLAD	1400	37742	\N	\N	\N
1273318	4355	1996-08-14	PRIJEM	VKLAD	1400	26522	\N	\N	\N
1273319	4355	1996-09-13	PRIJEM	VKLAD	1400	21441	\N	\N	\N
1273320	4355	1996-10-15	PRIJEM	VKLAD	1400	22077	\N	\N	\N
1273321	4355	1996-11-14	PRIJEM	VKLAD	1400	25057	\N	\N	\N
1273322	4355	1996-12-13	PRIJEM	VKLAD	1400	20345	\N	\N	\N
1273323	4355	1997-01-16	PRIJEM	VKLAD	1400	19575	\N	\N	\N
1273324	4355	1997-02-13	PRIJEM	VKLAD	1400	26059	\N	\N	\N
1273325	4355	1997-03-13	PRIJEM	VKLAD	1400	16696	\N	\N	\N
1273326	4355	1997-04-15	PRIJEM	VKLAD	1400	19670	\N	\N	\N
1273327	4355	1997-05-13	PRIJEM	VKLAD	1400	22634	\N	\N	\N
1273328	4355	1997-06-17	PRIJEM	VKLAD	1400	18010	\N	\N	\N
1273329	4355	1997-07-15	PRIJEM	VKLAD	1400	17717	\N	\N	\N
1273330	4355	1997-08-14	PRIJEM	VKLAD	1400	20675	\N	\N	\N
1273331	4355	1997-09-13	PRIJEM	VKLAD	1400	23644	\N	\N	\N
1273332	4355	1997-10-14	PRIJEM	VKLAD	1400	14920	\N	\N	\N
1273333	4355	1997-11-17	PRIJEM	VKLAD	1400	17864	\N	\N	\N
1273334	4355	1997-12-15	PRIJEM	VKLAD	1400	20820	\N	\N	\N
1273335	4355	1998-01-13	PRIJEM	VKLAD	1400	31137	\N	\N	\N
1273336	4355	1998-02-17	PRIJEM	VKLAD	1400	24232	\N	\N	\N
1273337	4355	1998-03-13	PRIJEM	VKLAD	1400	71039	\N	\N	\N
1273338	4355	1998-04-15	PRIJEM	VKLAD	1400	31019	\N	\N	\N
1273339	4355	1998-05-14	PRIJEM	VKLAD	1400	32479	\N	\N	\N
1273340	4355	1998-06-16	PRIJEM	VKLAD	1400	23000	\N	\N	\N
1273341	4355	1998-07-17	PRIJEM	VKLAD	1400	26003	\N	\N	\N
1273342	4355	1998-08-14	PRIJEM	VKLAD	1400	27793	\N	\N	\N
1273343	4355	1998-09-17	PRIJEM	VKLAD	1400	58821	\N	\N	\N
1273344	4355	1998-10-15	PRIJEM	VKLAD	1400	29010	\N	\N	\N
1273345	4355	1998-11-15	PRIJEM	VKLAD	1400	32012	\N	\N	\N
1273346	4355	1998-12-17	PRIJEM	VKLAD	1400	16603	\N	\N	\N
1273349	4355	1993-03-18	PRIJEM	VKLAD	1500	3700	\N	\N	\N
1273350	4355	1993-04-18	PRIJEM	VKLAD	1500	21916	\N	\N	\N
1273351	4355	1993-05-18	PRIJEM	VKLAD	1500	25687	\N	\N	\N
1273352	4355	1993-06-18	PRIJEM	VKLAD	1500	28172	\N	\N	\N
1273353	4355	1993-07-18	PRIJEM	VKLAD	1500	27464	\N	\N	\N
1273354	4355	1993-08-18	PRIJEM	VKLAD	1500	55343	\N	\N	\N
1273355	4355	1993-09-18	PRIJEM	VKLAD	1500	44479	\N	\N	\N
1273356	4355	1993-10-18	PRIJEM	VKLAD	1500	34124	\N	\N	\N
1273357	4355	1993-11-18	PRIJEM	VKLAD	1500	28881	\N	\N	\N
1273358	4355	1993-12-18	PRIJEM	VKLAD	1500	27479	\N	\N	\N
1273359	4355	1994-01-18	PRIJEM	VKLAD	1500	28325	\N	\N	\N
1273360	4355	1994-02-18	PRIJEM	VKLAD	1500	22911	\N	\N	\N
1273361	4355	1994-03-18	PRIJEM	VKLAD	1500	24534	\N	\N	\N
1273362	4355	1994-04-18	PRIJEM	VKLAD	1500	27818	\N	\N	\N
1273363	4355	1994-05-18	PRIJEM	VKLAD	1500	28059	\N	\N	\N
1273364	4355	1994-06-18	PRIJEM	VKLAD	1500	28861	\N	\N	\N
1273365	4355	1994-07-18	PRIJEM	VKLAD	1500	23288	\N	\N	\N
1273366	4355	1994-08-18	PRIJEM	VKLAD	1500	26019	\N	\N	\N
1273367	4355	1994-09-18	PRIJEM	VKLAD	1500	25506	\N	\N	\N
1273368	4355	1994-10-18	PRIJEM	VKLAD	1500	26398	\N	\N	\N
1273369	4355	1994-11-18	PRIJEM	VKLAD	1500	25991	\N	\N	\N
1273370	4355	1994-12-18	PRIJEM	VKLAD	1500	27185	\N	\N	\N
1273371	4355	1995-01-18	PRIJEM	VKLAD	1500	21908	\N	\N	\N
1273372	4355	1995-02-18	PRIJEM	VKLAD	1500	22608	\N	\N	\N
1273373	4355	1995-03-18	PRIJEM	VKLAD	1500	21678	\N	\N	\N
1273374	4355	1995-04-18	PRIJEM	VKLAD	1500	24555	\N	\N	\N
1273375	4355	1995-05-18	PRIJEM	VKLAD	1500	22436	\N	\N	\N
1273376	4355	1995-06-18	PRIJEM	VKLAD	1500	22516	\N	\N	\N
1273377	4355	1995-07-18	PRIJEM	VKLAD	1500	18387	\N	\N	\N
1273378	4355	1995-08-18	PRIJEM	VKLAD	1500	78999	\N	\N	\N
1273379	4355	1995-09-18	PRIJEM	VKLAD	1500	48403	\N	\N	\N
1273380	4355	1995-10-18	PRIJEM	VKLAD	1500	34658	\N	\N	\N
1273381	4355	1995-11-18	PRIJEM	VKLAD	1500	27014	\N	\N	\N
1273382	4355	1995-12-18	PRIJEM	VKLAD	1500	21127	\N	\N	\N
1273383	4355	1996-01-18	PRIJEM	VKLAD	1500	27552	\N	\N	\N
1273384	4355	1996-02-18	PRIJEM	VKLAD	1500	17035	\N	\N	\N
1273385	4355	1996-03-18	PRIJEM	VKLAD	1500	15683	\N	\N	\N
1273386	4355	1996-04-18	PRIJEM	VKLAD	1500	17284	\N	\N	\N
1273387	4355	1996-05-18	PRIJEM	VKLAD	1500	16833	\N	\N	\N
1273388	4355	1996-06-18	PRIJEM	VKLAD	1500	16588	\N	\N	\N
1273389	4355	1996-07-18	PRIJEM	VKLAD	1500	39242	\N	\N	\N
1273390	4355	1996-08-18	PRIJEM	VKLAD	1500	28022	\N	\N	\N
1273391	4355	1996-09-18	PRIJEM	VKLAD	1500	22941	\N	\N	\N
1273392	4355	1996-10-18	PRIJEM	VKLAD	1500	23577	\N	\N	\N
1273393	4355	1996-11-18	PRIJEM	VKLAD	1500	26557	\N	\N	\N
1273394	4355	1996-12-18	PRIJEM	VKLAD	1500	21845	\N	\N	\N
1273395	4355	1997-01-18	PRIJEM	VKLAD	1500	21075	\N	\N	\N
1273396	4355	1997-02-18	PRIJEM	VKLAD	1500	27559	\N	\N	\N
1273397	4355	1997-03-18	PRIJEM	VKLAD	1500	18196	\N	\N	\N
1273398	4355	1997-04-18	PRIJEM	VKLAD	1500	21170	\N	\N	\N
1273399	4355	1997-05-18	PRIJEM	VKLAD	1500	24134	\N	\N	\N
1273400	4355	1997-06-18	PRIJEM	VKLAD	1500	19510	\N	\N	\N
1273401	4355	1997-07-18	PRIJEM	VKLAD	1500	19217	\N	\N	\N
1273402	4355	1997-08-18	PRIJEM	VKLAD	1500	22175	\N	\N	\N
1273403	4355	1997-09-18	PRIJEM	VKLAD	1500	25144	\N	\N	\N
1273404	4355	1997-10-18	PRIJEM	VKLAD	1500	16420	\N	\N	\N
1273405	4355	1997-11-18	PRIJEM	VKLAD	1500	19364	\N	\N	\N
1273406	4355	1997-12-18	PRIJEM	VKLAD	1500	22320	\N	\N	\N
1273407	4355	1998-01-18	PRIJEM	VKLAD	1500	27237	\N	\N	\N
1273408	4355	1998-02-18	PRIJEM	VKLAD	1500	25732	\N	\N	\N
1273409	4355	1998-03-18	PRIJEM	VKLAD	1500	72539	\N	\N	\N
1273410	4355	1998-04-18	PRIJEM	VKLAD	1500	32519	\N	\N	\N
1273411	4355	1998-05-18	PRIJEM	VKLAD	1500	33979	\N	\N	\N
1273412	4355	1998-06-18	PRIJEM	VKLAD	1500	24500	\N	\N	\N
1273413	4355	1998-07-18	PRIJEM	VKLAD	1500	27503	\N	\N	\N
1273414	4355	1998-08-18	PRIJEM	VKLAD	1500	29293	\N	\N	\N
1273415	4355	1998-09-18	PRIJEM	VKLAD	1500	60321	\N	\N	\N
1273416	4355	1998-10-18	PRIJEM	VKLAD	1500	30510	\N	\N	\N
1273417	4355	1998-11-18	PRIJEM	VKLAD	1500	33512	\N	\N	\N
1273418	4355	1998-12-18	PRIJEM	VKLAD	1500	18103	\N	\N	\N
1273419	4355	1993-06-24	VYDAJ	VYBER	4100	24472	\N	\N	\N
1273420	4355	1994-06-26	VYDAJ	VYBER	20500	22587	\N	\N	\N
1273424	4355	1998-06-14	VYDAJ	VYBER	12500	21600	\N	\N	\N
1273426	4355	1994-01-23	VYDAJ	VYBER	8000	19925	\N	\N	\N
1273427	4355	1995-01-16	VYDAJ	VYBER	8000	20408	\N	\N	\N
1273428	4355	1996-01-29	VYDAJ	VYBER	7700	14052	\N	\N	\N
1273429	4355	1997-01-27	VYDAJ	VYBER	2300	43105	\N	\N	\N
1273430	4355	1998-01-13	VYDAJ	VYBER	5400	25737	\N	\N	\N
1273433	4355	1995-06-25	VYDAJ	VYBER	8500	14016	\N	\N	\N
1273437	4355	1993-12-08	VYDAJ	VYBER	2900	23979	\N	\N	\N
1273438	4355	1994-12-06	VYDAJ	VYBER	1700	24385	\N	\N	\N
1273439	4355	1995-12-24	VYDAJ	VYBER	2200	18927	\N	\N	\N
1273440	4355	1996-12-29	VYDAJ	VYBER	2800	19045	\N	\N	\N
1273441	4355	1997-12-29	VYDAJ	VYBER	1900	31661	\N	\N	\N
1273449	4355	1994-01-27	VYDAJ	VYBER	500	19425	\N	\N	\N
1273450	4355	1994-01-16	VYDAJ	VYBER	1400	24425	\N	\N	\N
1273451	4355	1994-01-05	VYDAJ	VYBER	1000	25825	\N	\N	\N
1273452	4355	1994-01-08	VYDAJ	VYBER	1400	24425	\N	\N	\N
1273453	4355	1994-01-04	VYDAJ	VYBER	750	26825	\N	\N	\N
1273454	4355	1994-01-18	VYDAJ	VYBER	400	27925	\N	\N	\N
1273455	4355	1995-01-29	VYDAJ	VYBER	1250	18508	\N	\N	\N
1273456	4355	1995-01-23	VYDAJ	VYBER	950	20958	\N	\N	\N
1273457	4355	1995-01-15	VYDAJ	VYBER	500	28408	\N	\N	\N
1273458	4355	1995-01-01	VYDAJ	VYBER	550	37608	\N	\N	\N
1273459	4355	1995-01-25	VYDAJ	VYBER	1200	19758	\N	\N	\N
1273460	4355	1995-01-11	VYDAJ	VYBER	1000	36608	\N	\N	\N
1273461	4355	1996-01-26	VYDAJ	VYBER	1200	23552	\N	\N	\N
1273462	4355	1996-01-07	VYDAJ	VYBER	550	25702	\N	\N	\N
1273463	4355	1996-01-18	VYDAJ	VYBER	1400	26152	\N	\N	\N
1273464	4355	1996-01-24	VYDAJ	VYBER	1400	24752	\N	\N	\N
1273465	4355	1996-01-06	VYDAJ	VYBER	1100	34852	\N	\N	\N
1273466	4355	1996-01-09	VYDAJ	VYBER	1050	24652	\N	\N	\N
1273467	4355	1997-01-18	VYDAJ	VYBER	700	20075	\N	\N	\N
1273468	4355	1997-01-23	VYDAJ	VYBER	450	45405	\N	\N	\N
1273469	4355	1997-01-07	VYDAJ	VYBER	400	18175	\N	\N	\N
1273470	4355	1997-01-22	VYDAJ	VYBER	1200	45855	\N	\N	\N
1273471	4355	1997-01-03	VYDAJ	VYBER	550	18575	\N	\N	\N
1273472	4355	1997-01-18	VYDAJ	VYBER	300	20775	\N	\N	\N
1273473	4355	1998-01-27	VYDAJ	VYBER	1100	22737	\N	\N	\N
1273474	4355	1998-01-25	VYDAJ	VYBER	650	23837	\N	\N	\N
1273475	4355	1998-01-23	VYDAJ	VYBER	350	25487	\N	\N	\N
1273476	4355	1998-01-21	VYDAJ	VYBER	1400	25837	\N	\N	\N
1273477	4355	1998-01-25	VYDAJ	VYBER	1000	24487	\N	\N	\N
1273478	4355	1998-01-06	VYDAJ	VYBER	250	29737	\N	\N	\N
1273480	4355	1993-09-26	VYDAJ	VYBER	2050	32429	\N	\N	\N
1273481	4355	1993-10-21	VYDAJ	VYBER	1750	25874	\N	\N	\N
1273482	4355	1993-08-15	VYDAJ	VYBER	1900	52443	\N	\N	\N
1273483	4355	1993-12-12	VYDAJ	VYBER	1300	22679	\N	\N	\N
1273484	4355	1993-05-18	VYDAJ	VYBER	1000	24687	\N	\N	\N
1273485	4355	1993-09-27	VYDAJ	VYBER	1350	31079	\N	\N	\N
1273486	4355	1994-03-04	VYDAJ	VYBER	1350	21634	\N	\N	\N
1273487	4355	1994-08-13	VYDAJ	VYBER	2450	20919	\N	\N	\N
1273488	4355	1994-05-08	VYDAJ	VYBER	1450	26459	\N	\N	\N
1273489	4355	1995-05-11	VYDAJ	VYBER	2100	22536	\N	\N	\N
1273490	4355	1995-01-13	VYDAJ	VYBER	1650	28658	\N	\N	\N
1273491	4355	1995-01-14	VYDAJ	VYBER	1150	27508	\N	\N	\N
1273492	4355	1995-08-06	VYDAJ	VYBER	400	17440	\N	\N	\N
1273493	4355	1995-08-04	VYDAJ	VYBER	600	17840	\N	\N	\N
1273494	4355	1996-08-27	VYDAJ	VYBER	800	27222	\N	\N	\N
1273495	4355	1996-10-09	VYDAJ	VYBER	2350	20677	\N	\N	\N
1273496	4355	1996-03-18	VYDAJ	VYBER	1350	14333	\N	\N	\N
1273497	4355	1996-01-28	VYDAJ	VYBER	1800	21752	\N	\N	\N
1273500	4355	1997-07-04	VYDAJ	VYBER	1650	16317	\N	\N	\N
1273501	4355	1997-07-01	VYDAJ	VYBER	1600	17967	\N	\N	\N
1273502	4355	1997-01-28	VYDAJ	VYBER	250	42855	\N	\N	\N
1273503	4355	1998-05-09	VYDAJ	VYBER	1550	31079	\N	\N	\N
1273504	4355	1998-01-06	VYDAJ	VYBER	1750	29987	\N	\N	\N
1273505	4355	1998-08-07	VYDAJ	VYBER	1200	26393	\N	\N	\N
1273510	4355	1993-04-30	VYDAJ	VYBER	15	22787	SLUZBY	\N	\N
1273511	4355	1993-05-31	VYDAJ	VYBER	15	25272	SLUZBY	\N	\N
1273512	4355	1993-06-30	VYDAJ	VYBER	15	24564	SLUZBY	\N	\N
1273513	4355	1993-07-31	VYDAJ	VYBER	15	25154	SLUZBY	\N	\N
1273514	4355	1993-08-31	VYDAJ	VYBER	15	41579	SLUZBY	\N	\N
1273515	4355	1993-09-30	VYDAJ	VYBER	15	31224	SLUZBY	\N	\N
1273516	4355	1993-10-31	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
1273517	4355	1993-11-30	VYDAJ	VYBER	15	26879	SLUZBY	\N	\N
1273518	4355	1993-12-31	VYDAJ	VYBER	15	27575	SLUZBY	\N	\N
1273519	4355	1994-01-31	VYDAJ	VYBER	15	19511	SLUZBY	\N	\N
1273520	4355	1994-02-28	VYDAJ	VYBER	15	22984	SLUZBY	\N	\N
1273521	4355	1994-03-31	VYDAJ	VYBER	15	23518	SLUZBY	\N	\N
1273522	4355	1994-04-30	VYDAJ	VYBER	15	27909	SLUZBY	\N	\N
1273523	4355	1994-05-31	VYDAJ	VYBER	15	28161	SLUZBY	\N	\N
1273524	4355	1994-06-30	VYDAJ	VYBER	15	22688	SLUZBY	\N	\N
1273525	4355	1994-07-31	VYDAJ	VYBER	15	23369	SLUZBY	\N	\N
1273526	4355	1994-08-31	VYDAJ	VYBER	15	26106	SLUZBY	\N	\N
1273527	4355	1994-09-30	VYDAJ	VYBER	15	25598	SLUZBY	\N	\N
1273528	4355	1994-10-31	VYDAJ	VYBER	15	26491	SLUZBY	\N	\N
1273529	4355	1994-11-30	VYDAJ	VYBER	15	26085	SLUZBY	\N	\N
1273530	4355	1994-12-31	VYDAJ	VYBER	15	38158	SLUZBY	\N	\N
1273531	4355	1995-01-31	VYDAJ	VYBER	15	18608	SLUZBY	\N	\N
1273532	4355	1995-02-28	VYDAJ	VYBER	15	22678	SLUZBY	\N	\N
1273533	4355	1995-03-31	VYDAJ	VYBER	15	21755	SLUZBY	\N	\N
1273534	4355	1995-04-30	VYDAJ	VYBER	15	24636	SLUZBY	\N	\N
1273535	4355	1995-05-31	VYDAJ	VYBER	15	22516	SLUZBY	\N	\N
1273536	4355	1995-06-30	VYDAJ	VYBER	15	14087	SLUZBY	\N	\N
1273537	4355	1995-07-31	VYDAJ	VYBER	15	18440	SLUZBY	\N	\N
1273538	4355	1995-08-31	VYDAJ	VYBER	15	79203	SLUZBY	\N	\N
1273539	4355	1995-09-30	VYDAJ	VYBER	15	48658	SLUZBY	\N	\N
1273540	4355	1995-10-31	VYDAJ	VYBER	15	34814	SLUZBY	\N	\N
1273541	4355	1995-11-30	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
1273542	4355	1995-12-31	VYDAJ	VYBER	15	19010	SLUZBY	\N	\N
1273543	4355	1996-01-31	VYDAJ	VYBER	15	14135	SLUZBY	\N	\N
1273544	4355	1996-02-29	VYDAJ	VYBER	15	17083	SLUZBY	\N	\N
1273545	4355	1996-03-31	VYDAJ	VYBER	15	14384	SLUZBY	\N	\N
1273546	4355	1996-04-30	VYDAJ	VYBER	15	17333	SLUZBY	\N	\N
1273547	4355	1996-05-31	VYDAJ	VYBER	15	16888	SLUZBY	\N	\N
1273548	4355	1996-06-30	VYDAJ	VYBER	15	55542	SLUZBY	\N	\N
1273549	4355	1996-07-31	VYDAJ	VYBER	15	39422	SLUZBY	\N	\N
1273550	4355	1996-08-31	VYDAJ	VYBER	15	27341	SLUZBY	\N	\N
1273551	4355	1996-09-30	VYDAJ	VYBER	15	23027	SLUZBY	\N	\N
1273552	4355	1996-10-31	VYDAJ	VYBER	15	23657	SLUZBY	\N	\N
1273553	4355	1996-11-30	VYDAJ	VYBER	15	26645	SLUZBY	\N	\N
1273554	4355	1996-12-31	VYDAJ	VYBER	15	19125	SLUZBY	\N	\N
1273555	4355	1997-01-31	VYDAJ	VYBER	15	42959	SLUZBY	\N	\N
1273556	4355	1997-02-28	VYDAJ	VYBER	15	27696	SLUZBY	\N	\N
1273557	4355	1997-03-31	VYDAJ	VYBER	15	18270	SLUZBY	\N	\N
1273558	4355	1997-04-30	VYDAJ	VYBER	15	21234	SLUZBY	\N	\N
1273559	4355	1997-05-31	VYDAJ	VYBER	15	16610	SLUZBY	\N	\N
1273560	4355	1997-06-30	VYDAJ	VYBER	15	19567	SLUZBY	\N	\N
1273561	4355	1997-07-31	VYDAJ	VYBER	15	19275	SLUZBY	\N	\N
1273562	4355	1997-08-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
1273563	4355	1997-09-30	VYDAJ	VYBER	15	13520	SLUZBY	\N	\N
1273564	4355	1997-10-31	VYDAJ	VYBER	15	16464	SLUZBY	\N	\N
1273565	4355	1997-11-30	VYDAJ	VYBER	15	19420	SLUZBY	\N	\N
1273566	4355	1997-12-31	VYDAJ	VYBER	15	31737	SLUZBY	\N	\N
1273567	4355	1998-01-31	VYDAJ	VYBER	15	22832	SLUZBY	\N	\N
1273568	4355	1998-02-28	VYDAJ	VYBER	15	25814	SLUZBY	\N	\N
1273569	4355	1998-03-31	VYDAJ	VYBER	15	29619	SLUZBY	\N	\N
1273570	4355	1998-04-30	VYDAJ	VYBER	15	32629	SLUZBY	\N	\N
1273571	4355	1998-05-31	VYDAJ	VYBER	15	34100	SLUZBY	\N	\N
1273572	4355	1998-06-30	VYDAJ	VYBER	15	24603	SLUZBY	\N	\N
1273573	4355	1998-07-31	VYDAJ	VYBER	15	27593	SLUZBY	\N	\N
1273574	4355	1998-08-31	VYDAJ	VYBER	15	57421	SLUZBY	\N	\N
1273575	4355	1998-09-30	VYDAJ	VYBER	15	27610	SLUZBY	\N	\N
1273576	4355	1998-10-31	VYDAJ	VYBER	15	30612	SLUZBY	\N	\N
1273577	4355	1998-11-30	VYDAJ	VYBER	15	15203	SLUZBY	\N	\N
1273578	4355	1993-03-23	PRIJEM	VKLAD	12500	16200	\N	\N	\N
1273579	4355	1993-04-22	PRIJEM	VKLAD	800	22716	\N	\N	\N
1273580	4355	1993-05-22	PRIJEM	VKLAD	500	25187	\N	\N	\N
1273581	4355	1993-06-21	PRIJEM	VKLAD	400	28572	\N	\N	\N
1273582	4355	1993-07-21	VYDAJ	VYBER	2400	25064	\N	\N	\N
1273583	4355	1993-08-20	VYDAJ	VYBER	13900	41443	\N	\N	\N
1273584	4355	1993-09-19	VYDAJ	VYBER	10000	34479	\N	\N	\N
1273585	4355	1993-10-19	VYDAJ	VYBER	6500	27624	\N	\N	\N
1273586	4355	1993-11-18	VYDAJ	VYBER	2100	26781	\N	\N	\N
1273587	4355	1993-12-18	PRIJEM	VKLAD	1900	25979	\N	\N	\N
1273588	4355	1994-01-17	PRIJEM	VKLAD	2400	26825	\N	\N	\N
1273589	4355	1994-02-16	PRIJEM	VKLAD	500	21411	\N	\N	\N
1273590	4355	1994-03-18	VYDAJ	VYBER	1100	23434	\N	\N	\N
1273591	4355	1994-04-17	PRIJEM	VKLAD	1400	26318	\N	\N	\N
1273592	4355	1994-05-17	VYDAJ	VYBER	1300	26559	\N	\N	\N
1273593	4355	1994-06-16	VYDAJ	VYBER	2200	27361	\N	\N	\N
1273594	4355	1994-07-16	VYDAJ	VYBER	2300	20388	\N	\N	\N
1273595	4355	1994-08-15	PRIJEM	VKLAD	2200	24519	\N	\N	\N
1273596	4355	1994-09-14	VYDAJ	VYBER	3500	22606	\N	\N	\N
1273597	4355	1994-10-14	VYDAJ	VYBER	2100	23498	\N	\N	\N
1273598	4355	1994-11-13	VYDAJ	VYBER	3400	23091	\N	\N	\N
1273599	4355	1994-12-13	VYDAJ	VYBER	100	24285	\N	\N	\N
1273600	4355	1995-01-12	VYDAJ	VYBER	6300	30308	\N	\N	\N
1273601	4355	1995-02-11	PRIJEM	VKLAD	1100	19708	\N	\N	\N
1273602	4355	1995-03-13	VYDAJ	VYBER	3900	18778	\N	\N	\N
1273603	4355	1995-04-12	VYDAJ	VYBER	100	21655	\N	\N	\N
1273604	4355	1995-05-12	VYDAJ	VYBER	3000	19536	\N	\N	\N
1273605	4355	1995-06-11	VYDAJ	VYBER	2900	19616	\N	\N	\N
1273606	4355	1995-07-11	PRIJEM	VKLAD	1400	15487	\N	\N	\N
1273607	4355	1995-08-10	VYDAJ	VYBER	2200	15240	\N	\N	\N
1273608	4355	1995-09-09	VYDAJ	VYBER	33700	45503	\N	\N	\N
1273609	4355	1995-10-09	VYDAJ	VYBER	16900	31758	\N	\N	\N
1273610	4355	1995-11-08	VYDAJ	VYBER	10700	24114	\N	\N	\N
1273611	4355	1995-12-08	VYDAJ	VYBER	8900	18227	\N	\N	\N
1273612	4355	1996-01-07	VYDAJ	VYBER	8600	26252	\N	\N	\N
1273613	4355	1996-03-07	VYDAJ	VYBER	4300	12783	\N	\N	\N
1273614	4355	1996-05-06	VYDAJ	VYBER	3400	13933	\N	\N	\N
1273615	4355	1996-06-05	VYDAJ	VYBER	3200	13688	\N	\N	\N
1273616	4355	1996-07-05	VYDAJ	VYBER	19200	36342	\N	\N	\N
1273617	4355	1996-08-04	VYDAJ	VYBER	14300	25122	\N	\N	\N
1273618	4355	1996-09-03	VYDAJ	VYBER	7300	20041	\N	\N	\N
1273619	4355	1996-12-02	VYDAJ	VYBER	7700	18945	\N	\N	\N
1273620	4355	1997-01-31	VYDAJ	VYBER	18300	24659	\N	\N	\N
1273621	4355	1997-03-02	VYDAJ	VYBER	12400	15296	\N	\N	\N
1273622	4355	1997-05-31	VYDAJ	VYBER	7600	16625	\N	\N	\N
1273623	4355	1997-09-28	VYDAJ	VYBER	11700	13444	\N	\N	\N
1273624	4355	1998-03-27	VYDAJ	VYBER	43100	29439	\N	\N	\N
1273625	4355	1998-09-23	VYDAJ	VYBER	32900	27421	\N	\N	\N
1273626	4355	1998-11-22	VYDAJ	VYBER	18400	15112	\N	\N	\N
1273697	4356	1994-01-26	PRIJEM	VKLAD	700	700	\N	\N	\N
1273699	4356	1994-02-09	PRIJEM	VKLAD	6592	7292	\N	\N	\N
1273700	4356	1994-03-09	PRIJEM	VKLAD	6592	20692	\N	\N	\N
1273701	4356	1994-04-09	PRIJEM	VKLAD	6592	28348	\N	\N	\N
1273702	4356	1994-05-09	PRIJEM	VKLAD	6592	31633	\N	\N	\N
1273703	4356	1994-06-09	PRIJEM	VKLAD	9888	35926	\N	\N	\N
1273704	4356	1994-07-09	PRIJEM	VKLAD	6592	34312	\N	\N	\N
1273705	4356	1994-08-09	PRIJEM	VKLAD	6592	32704	\N	\N	\N
1273706	4356	1994-09-09	PRIJEM	VKLAD	6592	32490	\N	\N	\N
1273707	4356	1994-10-09	PRIJEM	VKLAD	6592	30776	\N	\N	\N
1273708	4356	1994-11-09	PRIJEM	VKLAD	6592	31855	\N	\N	\N
1273709	4356	1994-12-09	PRIJEM	VKLAD	9888	37537	\N	\N	\N
1273710	4356	1995-01-09	PRIJEM	VKLAD	6592	31437	\N	\N	\N
1273711	4356	1995-02-09	PRIJEM	VKLAD	6592	23722	\N	\N	\N
1273712	4356	1995-03-09	PRIJEM	VKLAD	6592	24783	\N	\N	\N
1273713	4356	1995-04-09	PRIJEM	VKLAD	6592	26153	\N	\N	\N
1273714	4356	1995-05-09	PRIJEM	VKLAD	6592	28214	\N	\N	\N
1273715	4356	1995-06-09	PRIJEM	VKLAD	9888	27578	\N	\N	\N
1273716	4356	1995-07-09	PRIJEM	VKLAD	6592	30858	\N	\N	\N
1273717	4356	1995-08-09	PRIJEM	VKLAD	6592	27632	\N	\N	\N
1273718	4356	1995-09-09	PRIJEM	VKLAD	6592	25101	\N	\N	\N
1273719	4356	1995-10-09	PRIJEM	VKLAD	6592	26972	\N	\N	\N
1273720	4356	1995-11-09	PRIJEM	VKLAD	6592	25331	\N	\N	\N
1273721	4356	1995-12-09	PRIJEM	VKLAD	9888	29884	\N	\N	\N
1273722	4356	1996-01-09	PRIJEM	VKLAD	6592	23843	\N	\N	\N
1273723	4356	1996-02-09	PRIJEM	VKLAD	6592	13396	\N	\N	\N
1273724	4356	1996-03-09	PRIJEM	VKLAD	6592	11817	\N	\N	\N
1273725	4356	1996-04-09	PRIJEM	VKLAD	6592	15936	\N	\N	\N
1273726	4356	1996-05-09	PRIJEM	VKLAD	6592	17655	\N	\N	\N
1273727	4356	1996-06-09	PRIJEM	VKLAD	9888	21582	\N	\N	\N
1273728	4356	1996-07-09	PRIJEM	VKLAD	6592	20023	\N	\N	\N
1273729	4356	1996-08-09	PRIJEM	VKLAD	6592	17149	\N	\N	\N
1273730	4356	1996-09-09	PRIJEM	VKLAD	6592	18473	\N	\N	\N
1273731	4356	1996-10-09	PRIJEM	VKLAD	6592	18700	\N	\N	\N
1273732	4356	1996-11-09	PRIJEM	VKLAD	6592	17223	\N	\N	\N
1273733	4356	1996-12-09	PRIJEM	VKLAD	9888	15234	\N	\N	\N
1273734	4356	1997-01-09	PRIJEM	VKLAD	6592	10738	\N	\N	\N
1273735	4356	1997-02-09	PRIJEM	VKLAD	6592	4011	\N	\N	\N
1273736	4356	1997-03-09	PRIJEM	VKLAD	6592	9291	\N	\N	\N
1273737	4356	1997-04-09	PRIJEM	VKLAD	6592	12789	\N	\N	\N
1273738	4356	1997-05-09	PRIJEM	VKLAD	6592	12590	\N	\N	\N
1273739	4356	1997-06-09	PRIJEM	VKLAD	9888	14082	\N	\N	\N
1273740	4356	1997-07-09	PRIJEM	VKLAD	6592	14405	\N	\N	\N
1273741	4356	1997-08-09	PRIJEM	VKLAD	6592	8002	\N	\N	\N
1273742	4356	1997-09-09	PRIJEM	VKLAD	6592	8307	\N	\N	\N
1273743	4356	1997-10-09	PRIJEM	VKLAD	6592	8217	\N	\N	\N
1273744	4356	1997-11-09	PRIJEM	VKLAD	6592	7928	\N	\N	\N
1273745	4356	1997-12-09	PRIJEM	VKLAD	9888	7229	\N	\N	\N
1273746	4356	1998-01-09	PRIJEM	VKLAD	6592	-2079	\N	\N	\N
1273747	4356	1998-02-09	PRIJEM	VKLAD	6592	-2938	\N	\N	\N
1273748	4356	1998-03-09	PRIJEM	VKLAD	6592	-6295	\N	\N	\N
1273749	4356	1998-04-09	PRIJEM	VKLAD	6592	-12261	\N	\N	\N
1273750	4356	1998-05-09	PRIJEM	VKLAD	6592	-12780	\N	\N	\N
1273751	4356	1998-06-09	PRIJEM	VKLAD	9888	-9123	\N	\N	\N
1273752	4356	1998-07-09	PRIJEM	VKLAD	6592	-11936	\N	\N	\N
1273753	4356	1998-08-09	PRIJEM	VKLAD	6592	-12761	\N	\N	\N
1273754	4356	1998-09-09	PRIJEM	VKLAD	6592	-16399	\N	\N	\N
1273755	4356	1998-10-09	PRIJEM	VKLAD	6592	-16467	\N	\N	\N
1273756	4356	1998-11-09	PRIJEM	VKLAD	6592	-22145	\N	\N	\N
1273757	4356	1998-12-09	PRIJEM	VKLAD	9888	-25569	\N	\N	\N
1273819	4356	1995-06-05	VYDAJ	VYBER	3900	17690	\N	\N	\N
1273820	4356	1996-06-02	VYDAJ	VYBER	3000	11694	\N	\N	\N
1273824	4356	1995-01-02	VYDAJ	VYBER	3600	26545	\N	\N	\N
1273825	4356	1996-01-22	VYDAJ	VYBER	3500	15343	\N	\N	\N
1273826	4356	1997-01-17	VYDAJ	VYBER	1000	-1862	\N	\N	\N
1273828	4356	1994-12-19	VYDAJ	VYBER	2100	35437	\N	\N	\N
1273829	4356	1995-12-18	VYDAJ	VYBER	2200	19284	\N	\N	\N
1273830	4356	1996-12-16	VYDAJ	VYBER	2200	6734	\N	\N	\N
1273831	4356	1997-12-18	VYDAJ	VYBER	1100	2429	\N	\N	\N
1273839	4356	1995-01-04	VYDAJ	VYBER	1700	24845	\N	\N	\N
1273840	4356	1995-01-02	VYDAJ	VYBER	800	30145	\N	\N	\N
1273841	4356	1995-01-30	VYDAJ	VYBER	1200	17037	\N	\N	\N
1273842	4356	1995-01-22	VYDAJ	VYBER	2800	21037	\N	\N	\N
1273843	4356	1995-01-30	VYDAJ	VYBER	1700	18237	\N	\N	\N
1273844	4356	1995-01-30	VYDAJ	VYBER	1100	19937	\N	\N	\N
1273845	4356	1996-01-13	VYDAJ	VYBER	600	23243	\N	\N	\N
1273846	4356	1996-01-27	VYDAJ	VYBER	500	12643	\N	\N	\N
1273847	4356	1996-01-15	VYDAJ	VYBER	1000	22243	\N	\N	\N
1273848	4356	1996-01-06	VYDAJ	VYBER	1500	17251	\N	\N	\N
1273849	4356	1996-01-01	VYDAJ	VYBER	600	18751	\N	\N	\N
1273850	4356	1996-01-24	VYDAJ	VYBER	2200	13143	\N	\N	\N
1273851	4356	1997-01-21	VYDAJ	VYBER	700	-2562	\N	\N	\N
1273853	4356	1997-01-07	VYDAJ	VYBER	600	5246	\N	\N	\N
1273854	4356	1997-01-07	VYDAJ	VYBER	1100	4146	\N	\N	\N
1273855	4356	1997-01-01	VYDAJ	VYBER	900	5846	\N	\N	\N
1273856	4356	1997-01-14	VYDAJ	VYBER	2300	-862	\N	\N	\N
1273858	4356	1998-01-19	VYDAJ	VYBER	1300	-3379	\N	\N	\N
1273860	4356	1998-01-03	VYDAJ	VYBER	1500	-1371	\N	\N	\N
1273865	4356	1994-09-16	VYDAJ	VYBER	3600	28890	\N	\N	\N
1273867	4356	1995-02-10	VYDAJ	VYBER	2200	21522	\N	\N	\N
1273868	4356	1995-07-23	VYDAJ	VYBER	3200	20958	\N	\N	\N
1273869	4356	1995-09-02	VYDAJ	VYBER	4800	18509	\N	\N	\N
1273870	4356	1995-02-18	VYDAJ	VYBER	1500	20022	\N	\N	\N
1273871	4356	1995-03-06	VYDAJ	VYBER	3600	18191	\N	\N	\N
1273872	4356	1995-01-10	VYDAJ	VYBER	1300	30137	\N	\N	\N
1273873	4356	1996-11-28	VYDAJ	VYBER	3700	5323	\N	\N	\N
1273874	4356	1996-02-05	VYDAJ	VYBER	2100	6804	\N	\N	\N
1273875	4356	1996-03-01	VYDAJ	VYBER	4800	5225	\N	\N	\N
1273876	4356	1996-02-04	VYDAJ	VYBER	3800	8904	\N	\N	\N
1273877	4356	1996-10-11	VYDAJ	VYBER	3300	15400	\N	\N	\N
1273878	4356	1996-06-19	VYDAJ	VYBER	1300	13382	\N	\N	\N
1273879	4356	1997-12-14	VYDAJ	VYBER	3700	3529	\N	\N	\N
1273881	4356	1997-11-23	VYDAJ	VYBER	3800	4128	\N	\N	\N
1273885	4356	1998-01-02	VYDAJ	VYBER	2300	129	\N	\N	\N
1273892	4356	1994-06-30	VYDAJ	VYBER	15	27720	SLUZBY	\N	\N
1273893	4356	1994-07-31	VYDAJ	VYBER	15	26112	SLUZBY	\N	\N
1273894	4356	1994-08-31	VYDAJ	VYBER	15	25898	SLUZBY	\N	\N
1273895	4356	1994-09-30	VYDAJ	VYBER	15	24184	SLUZBY	\N	\N
1273896	4356	1994-10-31	VYDAJ	VYBER	15	25263	SLUZBY	\N	\N
1273897	4356	1994-11-30	VYDAJ	VYBER	15	27649	SLUZBY	\N	\N
1273898	4356	1994-12-31	VYDAJ	VYBER	15	30945	SLUZBY	\N	\N
1273899	4356	1995-01-31	VYDAJ	VYBER	15	17130	SLUZBY	\N	\N
1273900	4356	1995-02-28	VYDAJ	VYBER	15	21791	SLUZBY	\N	\N
1273901	4356	1995-03-31	VYDAJ	VYBER	15	19561	SLUZBY	\N	\N
1273902	4356	1995-04-30	VYDAJ	VYBER	15	21622	SLUZBY	\N	\N
1273903	4356	1995-05-31	VYDAJ	VYBER	15	21590	SLUZBY	\N	\N
1273904	4356	1995-06-30	VYDAJ	VYBER	15	24266	SLUZBY	\N	\N
1273905	4356	1995-07-31	VYDAJ	VYBER	15	21040	SLUZBY	\N	\N
1273906	4356	1995-08-31	VYDAJ	VYBER	15	23309	SLUZBY	\N	\N
1273907	4356	1995-09-30	VYDAJ	VYBER	15	20380	SLUZBY	\N	\N
1273908	4356	1995-10-31	VYDAJ	VYBER	15	18739	SLUZBY	\N	\N
1273909	4356	1995-11-30	VYDAJ	VYBER	15	19996	SLUZBY	\N	\N
1273910	4356	1995-12-31	VYDAJ	VYBER	15	19351	SLUZBY	\N	\N
1273911	4356	1996-01-31	VYDAJ	VYBER	15	12704	SLUZBY	\N	\N
1273912	4356	1996-02-29	VYDAJ	VYBER	15	10025	SLUZBY	\N	\N
1273913	4356	1996-03-31	VYDAJ	VYBER	15	9344	SLUZBY	\N	\N
1273914	4356	1996-04-30	VYDAJ	VYBER	15	11063	SLUZBY	\N	\N
1273915	4356	1996-05-31	VYDAJ	VYBER	15	14694	SLUZBY	\N	\N
1273916	4356	1996-06-30	VYDAJ	VYBER	15	13431	SLUZBY	\N	\N
1273917	4356	1996-07-31	VYDAJ	VYBER	15	10557	SLUZBY	\N	\N
1273918	4356	1996-08-31	VYDAJ	VYBER	15	11881	SLUZBY	\N	\N
1273919	4356	1996-09-30	VYDAJ	VYBER	15	12108	SLUZBY	\N	\N
1273920	4356	1996-10-31	VYDAJ	VYBER	15	10631	SLUZBY	\N	\N
1273921	4356	1996-11-30	VYDAJ	VYBER	15	5346	SLUZBY	\N	\N
1273922	4356	1996-12-31	VYDAJ	VYBER	15	6746	SLUZBY	\N	\N
1273923	4356	1997-01-31	VYDAJ	VYBER	15	-2581	SLUZBY	\N	\N
1273924	4356	1997-02-28	VYDAJ	VYBER	15	2699	SLUZBY	\N	\N
1273925	4356	1997-03-31	VYDAJ	VYBER	15	6197	SLUZBY	\N	\N
1273926	4356	1997-04-30	VYDAJ	VYBER	15	5998	SLUZBY	\N	\N
1273927	4356	1997-05-31	VYDAJ	VYBER	15	4194	SLUZBY	\N	\N
1273928	4356	1997-06-30	VYDAJ	VYBER	15	7813	SLUZBY	\N	\N
1273929	4356	1997-07-31	VYDAJ	VYBER	15	3810	SLUZBY	\N	\N
1273930	4356	1997-08-31	VYDAJ	VYBER	15	8015	SLUZBY	\N	\N
1273931	4356	1997-09-30	VYDAJ	VYBER	15	8325	SLUZBY	\N	\N
1273932	4356	1997-10-31	VYDAJ	VYBER	15	8236	SLUZBY	\N	\N
1273933	4356	1997-11-30	VYDAJ	VYBER	15	4141	SLUZBY	\N	\N
1273934	4356	1997-12-31	VYDAJ	VYBER	15	2429	SLUZBY	\N	\N
1273935	4356	1998-01-31	VYDAJ	VYBER	15	-3394	SLUZBY	\N	\N
1273936	4356	1998-02-28	VYDAJ	VYBER	15	-2952	SLUZBY	\N	\N
1273946	4356	1994-02-25	PRIJEM	VKLAD	6800	14092	\N	\N	\N
1273947	4356	1994-03-27	PRIJEM	VKLAD	1000	21692	\N	\N	\N
1273948	4356	1994-04-26	VYDAJ	VYBER	3400	24948	\N	\N	\N
1273949	4356	1994-05-26	VYDAJ	VYBER	5700	25933	\N	\N	\N
1273950	4356	1994-06-25	VYDAJ	VYBER	8300	27626	\N	\N	\N
1273951	4356	1994-07-25	VYDAJ	VYBER	8300	26012	\N	\N	\N
1273952	4356	1994-08-24	VYDAJ	VYBER	6900	25804	\N	\N	\N
1273953	4356	1994-09-23	VYDAJ	VYBER	4800	24090	\N	\N	\N
1273954	4356	1994-10-23	VYDAJ	VYBER	5600	25176	\N	\N	\N
1273955	4356	1994-11-22	VYDAJ	VYBER	4300	27555	\N	\N	\N
1273956	4356	1994-12-22	VYDAJ	VYBER	4600	30837	\N	\N	\N
1273957	4356	1995-01-21	VYDAJ	VYBER	6300	23837	\N	\N	\N
1273958	4356	1995-02-20	PRIJEM	VKLAD	1700	21722	\N	\N	\N
1273959	4356	1995-03-22	VYDAJ	VYBER	5300	19483	\N	\N	\N
1273960	4356	1995-04-21	VYDAJ	VYBER	4600	21553	\N	\N	\N
1273961	4356	1995-05-21	VYDAJ	VYBER	6700	21514	\N	\N	\N
1273962	4356	1995-06-20	VYDAJ	VYBER	3400	24178	\N	\N	\N
1273963	4356	1995-07-20	VYDAJ	VYBER	6700	24158	\N	\N	\N
1273964	4356	1995-08-19	VYDAJ	VYBER	4400	23232	\N	\N	\N
1273965	4356	1995-09-18	VYDAJ	VYBER	4800	20301	\N	\N	\N
1273966	4356	1995-10-18	VYDAJ	VYBER	8300	18672	\N	\N	\N
1273967	4356	1995-11-17	VYDAJ	VYBER	5400	19931	\N	\N	\N
1273968	4356	1995-12-17	VYDAJ	VYBER	8400	21484	\N	\N	\N
1273969	4356	1996-01-16	VYDAJ	VYBER	3400	18843	\N	\N	\N
1273970	4356	1996-02-15	VYDAJ	VYBER	3400	9996	\N	\N	\N
1273971	4356	1996-03-16	VYDAJ	VYBER	2500	9317	\N	\N	\N
1273972	4356	1996-04-15	VYDAJ	VYBER	4900	11036	\N	\N	\N
1273973	4356	1996-05-15	VYDAJ	VYBER	3000	14655	\N	\N	\N
1273974	4356	1996-06-14	VYDAJ	VYBER	6900	14682	\N	\N	\N
1273975	4356	1996-07-14	VYDAJ	VYBER	9500	10523	\N	\N	\N
1273976	4356	1996-08-13	VYDAJ	VYBER	5300	11849	\N	\N	\N
1273977	4356	1996-09-12	VYDAJ	VYBER	6400	12073	\N	\N	\N
1273978	4356	1996-10-12	VYDAJ	VYBER	4800	10600	\N	\N	\N
1273979	4356	1996-11-11	VYDAJ	VYBER	8200	9023	\N	\N	\N
1273980	4356	1996-12-11	VYDAJ	VYBER	6300	8934	\N	\N	\N
1273981	4356	1997-01-10	VYDAJ	VYBER	9300	1438	\N	\N	\N
1273982	4356	1997-02-09	VYDAJ	VYBER	1300	2711	\N	\N	\N
1273983	4356	1997-03-11	VYDAJ	VYBER	3100	6191	\N	\N	\N
1273984	4356	1997-04-10	VYDAJ	VYBER	6800	5989	\N	\N	\N
1273985	4356	1997-05-10	VYDAJ	VYBER	8400	4190	\N	\N	\N
1273986	4356	1997-06-09	VYDAJ	VYBER	6300	7782	\N	\N	\N
1273987	4356	1997-07-09	VYDAJ	VYBER	10600	3805	\N	\N	\N
1273988	4356	1997-08-08	VYDAJ	VYBER	2400	1410	\N	\N	\N
1273989	4356	1997-09-07	VYDAJ	VYBER	6300	1715	\N	\N	\N
1273990	4356	1997-10-07	VYDAJ	VYBER	6700	1625	\N	\N	\N
1273991	4356	1997-11-06	VYDAJ	VYBER	6900	1336	\N	\N	\N
1273992	4356	1997-12-06	VYDAJ	VYBER	6800	-2659	\N	\N	\N
1273993	4356	1998-01-05	VYDAJ	VYBER	7300	-8671	\N	\N	\N
1273994	4356	1998-02-04	VYDAJ	VYBER	6100	-9530	\N	\N	\N
1273995	4356	1998-03-06	VYDAJ	VYBER	9900	-12887	\N	\N	\N
1273996	4356	1998-04-05	VYDAJ	VYBER	12500	-18853	\N	\N	\N
1273997	4356	1998-05-05	VYDAJ	VYBER	7000	-19372	\N	\N	\N
1273998	4356	1998-06-04	VYDAJ	VYBER	6100	-19011	\N	\N	\N
1273999	4356	1998-07-04	VYDAJ	VYBER	9300	-18528	\N	\N	\N
1274000	4356	1998-08-03	VYDAJ	VYBER	7300	-19353	\N	\N	\N
1274001	4356	1998-09-02	VYDAJ	VYBER	10100	-22991	\N	\N	\N
1274002	4356	1998-10-02	VYDAJ	VYBER	6500	-23059	\N	\N	\N
1274003	4356	1998-11-01	VYDAJ	VYBER	12100	-28737	\N	\N	\N
1274004	4356	1998-12-01	VYDAJ	VYBER	13100	-35457	\N	\N	\N
1274497	4358	1997-02-12	PRIJEM	VKLAD	300	300	\N	\N	\N
1274498	4358	1997-03-29	PRIJEM	VKLAD	35268	118681	\N	\N	\N
1274499	4358	1997-07-22	PRIJEM	VKLAD	13646	82252	\N	\N	\N
1274500	4358	1997-07-09	PRIJEM	VKLAD	16016	98506	\N	\N	\N
1274501	4358	1997-10-04	PRIJEM	VKLAD	32618	125782	\N	\N	\N
1274502	4358	1997-07-01	PRIJEM	VKLAD	26917	56202	\N	\N	\N
1274503	4358	1997-12-16	PRIJEM	VKLAD	42068	114468	\N	\N	\N
1274504	4358	1997-12-29	PRIJEM	VKLAD	34026	147074	\N	\N	\N
1274505	4358	1997-09-17	PRIJEM	VKLAD	34614	92855	\N	\N	\N
1274506	4358	1997-02-18	PRIJEM	VKLAD	44047	44347	\N	\N	\N
1274507	4358	1997-03-08	PRIJEM	VKLAD	8722	66088	\N	\N	\N
1274508	4358	1997-07-08	PRIJEM	VKLAD	26288	82490	\N	\N	\N
1274509	4358	1997-12-21	PRIJEM	VKLAD	31280	130148	\N	\N	\N
1274510	4358	1997-09-13	PRIJEM	VKLAD	25860	77630	\N	\N	\N
1274511	4358	1997-03-17	PRIJEM	VKLAD	41425	83413	\N	\N	\N
1274512	4358	1997-11-21	PRIJEM	VKLAD	18135	85107	\N	\N	\N
1274513	4358	1997-11-04	PRIJEM	VKLAD	25625	85972	\N	\N	\N
1274514	4358	1997-11-23	PRIJEM	VKLAD	44447	129554	\N	\N	\N
1274515	4358	1997-04-11	PRIJEM	VKLAD	24006	79063	\N	\N	\N
1274516	4358	1997-04-29	PRIJEM	VKLAD	44043	98706	\N	\N	\N
1274517	4358	1997-02-19	PRIJEM	VKLAD	12927	57274	\N	\N	\N
1274519	4358	1997-05-25	PRIJEM	VKLAD	23811	84542	\N	\N	\N
1274520	4358	1997-11-28	PRIJEM	VKLAD	35128	113682	\N	\N	\N
1274521	4358	1997-09-06	PRIJEM	VKLAD	48225	111970	\N	\N	\N
1274522	4358	1998-11-14	PRIJEM	VKLAD	34008	110479	\N	\N	\N
1274523	4358	1998-05-15	PRIJEM	VKLAD	43301	126580	\N	\N	\N
1274524	4358	1998-11-11	PRIJEM	VKLAD	10626	76471	\N	\N	\N
1274525	4358	1998-11-01	PRIJEM	VKLAD	42240	66245	\N	\N	\N
1274526	4358	1998-12-07	PRIJEM	VKLAD	40476	129106	\N	\N	\N
1274527	4358	1998-05-06	PRIJEM	VKLAD	35460	135379	\N	\N	\N
1274528	4358	1998-04-06	PRIJEM	VKLAD	20607	72565	\N	\N	\N
1274529	4358	1998-02-06	PRIJEM	VKLAD	47034	83559	\N	\N	\N
1274530	4358	1998-05-04	PRIJEM	VKLAD	38309	99919	\N	\N	\N
1274555	4358	1997-09-16	VYBER	VYBER	19389	58241	\N	\N	\N
1274557	4358	1998-10-14	VYBER	VYBER	24701	23876	\N	\N	\N
1274559	4358	1998-05-17	VYBER	VYBER	17191	75489	\N	\N	\N
1274560	4358	1998-08-13	VYBER	VYBER	10704	36037	\N	\N	\N
1274561	4358	1998-04-30	VYBER	VYBER	3898	61625	\N	\N	\N
1274562	4358	1998-12-08	VYBER	VYBER	4326	95780	\N	\N	\N
1274563	4358	1998-10-03	VYBER	VYBER	22827	28877	\N	\N	\N
1274564	4358	1997-06-07	VYDAJ	VYBER	63600	21293	\N	\N	\N
1274565	4358	1998-06-20	VYDAJ	VYBER	44100	24007	\N	\N	\N
1274567	4358	1998-01-01	VYDAJ	VYBER	20100	89895	\N	\N	\N
1274568	4358	1997-12-08	VYDAJ	VYBER	5400	93300	\N	\N	\N
1274569	4358	1998-12-29	VYDAJ	VYBER	5700	90080	\N	\N	\N
1274576	4358	1998-01-03	VYDAJ	VYBER KARTOU	3600	86295	\N	\N	0
1274577	4358	1998-01-06	VYDAJ	VYBER KARTOU	1800	84495	\N	\N	0
1274578	4358	1998-01-23	VYDAJ	VYBER	8700	38995	\N	\N	\N
1274579	4358	1998-01-11	VYDAJ	VYBER	6000	53695	\N	\N	\N
1274580	4358	1998-01-29	VYDAJ	VYBER KARTOU	2700	36295	\N	\N	0
1274581	4358	1998-01-23	VYDAJ	VYBER	6000	47695	\N	\N	\N
1274583	4358	1997-04-29	VYDAJ	VYBER	10200	88506	\N	\N	\N
1274585	4358	1998-02-16	VYDAJ	VYBER KARTOU	2700	68859	\N	\N	0
1274586	4358	1998-03-23	VYDAJ	VYBER	12600	51706	\N	\N	\N
1274587	4358	1998-01-09	VYDAJ	VYBER	7500	59695	\N	\N	\N
1274588	4358	1998-07-09	VYDAJ	VYBER	10500	32729	\N	\N	\N
1274592	4358	1997-03-31	VYDAJ	VYBER	15	55057	SLUZBY	\N	\N
1274593	4358	1997-04-30	VYDAJ	VYBER	15	88731	SLUZBY	\N	\N
1274594	4358	1997-05-31	VYDAJ	VYBER	15	84893	SLUZBY	\N	\N
1274595	4358	1997-06-30	VYDAJ	VYBER	15	29285	SLUZBY	\N	\N
1274596	4358	1997-07-31	VYDAJ	VYBER	15	82518	SLUZBY	\N	\N
1274597	4358	1997-08-31	VYDAJ	VYBER	15	63745	SLUZBY	\N	\N
1274598	4358	1997-09-30	VYDAJ	VYBER	15	93164	SLUZBY	\N	\N
1274599	4358	1997-10-31	VYDAJ	VYBER	15	60347	SLUZBY	\N	\N
1274600	4358	1997-11-30	VYDAJ	VYBER	15	98700	SLUZBY	\N	\N
1274601	4358	1997-12-31	VYDAJ	VYBER	15	109995	SLUZBY	\N	\N
1274602	4358	1998-01-31	VYDAJ	VYBER	15	36525	SLUZBY	\N	\N
1274603	4358	1998-02-28	VYDAJ	VYBER	15	69106	SLUZBY	\N	\N
1274604	4358	1998-03-31	VYDAJ	VYBER	15	51958	SLUZBY	\N	\N
1274605	4358	1998-04-30	VYDAJ	VYBER	15	61610	SLUZBY	\N	\N
1274606	4358	1998-05-31	VYDAJ	VYBER	15	75807	SLUZBY	\N	\N
1274607	4358	1998-06-30	VYDAJ	VYBER	15	24229	SLUZBY	\N	\N
1274608	4358	1998-07-31	VYDAJ	VYBER	15	32841	SLUZBY	\N	\N
1274609	4358	1998-08-31	VYDAJ	VYBER	15	36167	SLUZBY	\N	\N
1274610	4358	1998-09-30	VYDAJ	VYBER	15	51704	SLUZBY	\N	\N
1274611	4358	1998-10-31	VYDAJ	VYBER	15	24005	SLUZBY	\N	\N
1274612	4358	1998-11-30	VYDAJ	VYBER	15	110830	SLUZBY	\N	\N
1274613	4358	1997-03-14	VYDAJ	VYBER	24100	41988	\N	\N	\N
1274614	4358	1997-03-29	VYDAJ	VYBER	63900	54781	\N	\N	\N
1274615	4358	1997-04-13	VYDAJ	VYBER	24400	54663	\N	\N	\N
1274616	4358	1997-05-13	VYDAJ	VYBER	28000	60731	\N	\N	\N
1274617	4358	1997-06-12	PRIJEM	VKLAD	7800	29093	\N	\N	\N
1274618	4358	1997-07-12	VYDAJ	VYBER	29900	68606	\N	\N	\N
1274619	4358	1997-08-11	VYDAJ	VYBER	19100	63418	\N	\N	\N
1274620	4358	1997-09-06	VYDAJ	VYBER	46400	65570	\N	\N	\N
1274621	4358	1997-09-10	VYDAJ	VYBER	13800	51770	\N	\N	\N
1274622	4358	1997-10-04	VYDAJ	VYBER	46100	79682	\N	\N	\N
1274623	4358	1997-10-10	VYDAJ	VYBER	19600	60082	\N	\N	\N
1274624	4358	1997-11-09	VYDAJ	VYBER	19000	66972	\N	\N	\N
1274625	4358	1997-11-23	VYDAJ	VYBER	51000	78554	\N	\N	\N
1274626	4358	1997-11-28	VYDAJ	VYBER	15300	98382	\N	\N	\N
1274627	4358	1997-12-09	VYDAJ	VYBER	20900	72400	\N	\N	\N
1274628	4358	1997-12-16	VYDAJ	VYBER	15600	98868	\N	\N	\N
1274629	4358	1997-12-21	VYDAJ	VYBER	17100	113048	\N	\N	\N
1274630	4358	1997-12-29	VYDAJ	VYBER	37500	109574	\N	\N	\N
1274631	4358	1998-01-08	VYDAJ	VYBER	17300	67195	\N	\N	\N
1274632	4358	1998-02-07	VYDAJ	VYBER	12000	71559	\N	\N	\N
1274633	4358	1998-03-09	VYDAJ	VYBER	4800	64306	\N	\N	\N
1274634	4358	1998-04-08	VYDAJ	VYBER	7300	65265	\N	\N	\N
1274635	4358	1998-05-06	VYDAJ	VYBER	34700	100679	\N	\N	\N
1274636	4358	1998-05-08	VYDAJ	VYBER	17400	83279	\N	\N	\N
1274637	4358	1998-05-15	VYDAJ	VYBER	33900	92680	\N	\N	\N
1274638	4358	1998-06-07	VYDAJ	VYBER	7700	68107	\N	\N	\N
1274639	4358	1998-07-07	PRIJEM	VKLAD	19000	43229	\N	\N	\N
1274640	4358	1998-08-06	PRIJEM	VKLAD	13900	46741	\N	\N	\N
1274641	4358	1998-09-05	PRIJEM	VKLAD	15400	51567	\N	\N	\N
1274642	4358	1998-10-05	PRIJEM	VKLAD	19700	48577	\N	\N	\N
1274643	4358	1998-11-04	VYDAJ	VYBER KARTOU	400	65845	\N	\N	0
1274644	4358	1998-12-04	VYDAJ	VYBER	22200	88630	\N	\N	\N
1274645	4358	1998-12-07	VYDAJ	VYBER	29000	100106	\N	\N	\N
1275089	4361	1996-03-11	PRIJEM	VKLAD	700	700	\N	\N	\N
1275092	4361	1996-03-14	PRIJEM	PREVOD Z UCTU	45076	45776	\N	OP	60008954
1275093	4361	1996-04-14	PRIJEM	PREVOD Z UCTU	45076	81063	\N	OP	60008954
1275094	4361	1996-05-14	PRIJEM	PREVOD Z UCTU	45076	98313	\N	OP	60008954
1275095	4361	1996-06-14	PRIJEM	PREVOD Z UCTU	67614	126106	\N	OP	60008954
1275096	4361	1996-07-14	PRIJEM	PREVOD Z UCTU	45076	110715	\N	OP	60008954
1275097	4361	1996-08-14	PRIJEM	PREVOD Z UCTU	45076	82141	\N	OP	60008954
1275098	4361	1996-09-14	PRIJEM	PREVOD Z UCTU	45076	90088	\N	OP	60008954
1275099	4361	1996-10-14	PRIJEM	PREVOD Z UCTU	45076	99668	\N	OP	60008954
1275100	4361	1996-11-14	PRIJEM	PREVOD Z UCTU	45076	99815	\N	OP	60008954
1275101	4361	1996-12-14	PRIJEM	PREVOD Z UCTU	67614	130981	\N	OP	60008954
1275102	4361	1997-01-14	PRIJEM	PREVOD Z UCTU	45076	87539	\N	OP	60008954
1275103	4361	1997-02-14	PRIJEM	PREVOD Z UCTU	45076	96207	\N	OP	60008954
1275104	4361	1997-03-14	PRIJEM	PREVOD Z UCTU	45076	103013	\N	OP	60008954
1275105	4361	1997-04-14	PRIJEM	PREVOD Z UCTU	45076	68498	\N	OP	60008954
1275106	4361	1997-05-14	PRIJEM	PREVOD Z UCTU	45076	65466	\N	OP	60008954
1275107	4361	1997-06-14	PRIJEM	PREVOD Z UCTU	67614	103284	\N	OP	60008954
1275108	4361	1997-07-14	PRIJEM	PREVOD Z UCTU	45076	90326	\N	OP	60008954
1275109	4361	1997-08-14	PRIJEM	PREVOD Z UCTU	45076	93665	\N	OP	60008954
1275110	4361	1997-09-14	PRIJEM	PREVOD Z UCTU	45076	75107	\N	OP	60008954
1275111	4361	1997-10-14	PRIJEM	PREVOD Z UCTU	45076	98248	\N	OP	60008954
1275112	4361	1997-11-14	PRIJEM	PREVOD Z UCTU	45076	112259	\N	OP	60008954
1275113	4361	1997-12-14	PRIJEM	PREVOD Z UCTU	67614	124805	\N	OP	60008954
1275114	4361	1998-01-14	PRIJEM	PREVOD Z UCTU	45076	113066	\N	OP	60008954
1275115	4361	1998-02-14	PRIJEM	PREVOD Z UCTU	45076	98998	\N	OP	60008954
1275116	4361	1998-03-14	PRIJEM	PREVOD Z UCTU	45076	112363	\N	OP	60008954
1275117	4361	1998-04-14	PRIJEM	PREVOD Z UCTU	45076	102875	\N	OP	60008954
1275118	4361	1998-05-14	PRIJEM	PREVOD Z UCTU	45076	122394	\N	OP	60008954
1275119	4361	1998-06-14	PRIJEM	PREVOD Z UCTU	67614	121677	\N	OP	60008954
1275120	4361	1998-07-14	PRIJEM	PREVOD Z UCTU	45076	108386	\N	OP	60008954
1275121	4361	1998-08-14	PRIJEM	PREVOD Z UCTU	45076	117220	\N	OP	60008954
1275122	4361	1998-09-14	PRIJEM	PREVOD Z UCTU	45076	99032	\N	OP	60008954
1275123	4361	1998-10-14	PRIJEM	PREVOD Z UCTU	45076	114899	\N	OP	60008954
1275124	4361	1998-11-14	PRIJEM	PREVOD Z UCTU	45076	111753	\N	OP	60008954
1275125	4361	1998-12-14	PRIJEM	PREVOD Z UCTU	67614	150627	\N	OP	60008954
1275133	4361	1996-08-30	VYDAJ	VYBER	5500	76641	\N	\N	0
1275134	4361	1996-09-06	VYDAJ	VYBER	7700	69212	\N	\N	0
1275135	4361	1996-09-29	VYDAJ	VYBER	6000	84088	\N	\N	0
1275136	4361	1996-10-29	VYDAJ	VYBER	6400	93268	\N	\N	0
1275137	4361	1996-12-16	VYDAJ	VYBER	9300	90481	\N	\N	0
1275138	4361	1997-01-06	VYDAJ	VYBER	6800	42463	\N	\N	0
1275139	4361	1997-02-17	VYDAJ	VYBER	8600	87607	\N	\N	0
1275140	4361	1997-03-19	VYDAJ	VYBER	11100	84643	\N	\N	0
1275141	4361	1997-04-12	VYDAJ	PREVOD NA UCET	7513	23422	UVER	AB	55740487
1275142	4361	1997-05-12	VYDAJ	PREVOD NA UCET	7513	20390	UVER	AB	55740487
1275143	4361	1997-06-12	VYDAJ	PREVOD NA UCET	7513	35670	UVER	AB	55740487
1275144	4361	1997-07-12	VYDAJ	PREVOD NA UCET	7513	45250	UVER	AB	55740487
1275145	4361	1997-08-12	VYDAJ	PREVOD NA UCET	7513	48589	UVER	AB	55740487
1275146	4361	1997-09-12	VYDAJ	PREVOD NA UCET	7513	30031	UVER	AB	55740487
1275147	4361	1997-10-12	VYDAJ	PREVOD NA UCET	7513	53172	UVER	AB	55740487
1275148	4361	1997-11-12	VYDAJ	PREVOD NA UCET	7513	67183	UVER	AB	55740487
1275149	4361	1997-12-12	VYDAJ	PREVOD NA UCET	7513	57191	UVER	AB	55740487
1275150	4361	1998-01-12	VYDAJ	PREVOD NA UCET	7513	67990	UVER	AB	55740487
1275151	4361	1998-02-12	VYDAJ	PREVOD NA UCET	7513	53922	UVER	AB	55740487
1275152	4361	1998-03-12	VYDAJ	PREVOD NA UCET	7513	67287	UVER	AB	55740487
1275153	4361	1998-04-03	VYDAJ	VYBER	7000	67699	\N	\N	0
1275154	4361	1998-05-11	VYDAJ	VYBER	8900	77318	\N	\N	0
1275155	4361	1998-06-21	VYDAJ	VYBER	9100	91177	\N	\N	0
1275156	4361	1998-06-25	VYDAJ	VYBER	7600	83577	\N	\N	0
1275157	4361	1998-08-11	VYDAJ	VYBER	10000	72144	\N	\N	0
1275158	4361	1998-09-26	VYDAJ	VYBER	8900	86832	\N	\N	0
1275159	4361	1998-10-09	VYDAJ	VYBER	6700	69823	\N	\N	0
1275160	4361	1998-11-12	VYDAJ	VYBER	5700	66677	\N	\N	0
1275161	4361	1998-12-08	VYDAJ	VYBER	6700	83013	\N	\N	0
1275163	4361	1997-03-19	VYBER	VYBER	7270	95743	\N	\N	\N
1275164	4361	1997-07-15	VYBER	VYBER	5787	84539	\N	\N	\N
1275165	4361	1997-09-09	VYBER	VYBER	23237	37544	\N	\N	\N
1275166	4361	1997-08-28	VYBER	VYBER	8989	82542	\N	\N	\N
1275167	4361	1997-03-20	VYBER	VYBER	6523	78120	\N	\N	\N
1275168	4361	1997-05-05	VYBER	VYBER	23709	27902	\N	\N	\N
1275169	4361	1997-01-05	VYBER	VYBER	15298	73763	\N	\N	\N
1275170	4361	1997-03-30	VYBER	VYBER	24347	53773	\N	\N	\N
1275171	4361	1997-07-28	VYBER	VYBER	6050	78489	\N	\N	\N
1275172	4361	1997-05-17	VYBER	VYBER	13180	52286	\N	\N	\N
1275173	4361	1997-08-28	VYBER	VYBER	2134	91531	\N	\N	\N
1275174	4361	1997-04-05	VYBER	VYBER	19278	34835	\N	\N	\N
1275175	4361	1998-05-26	VYBER	VYBER	15384	36210	\N	\N	\N
1275176	4361	1998-09-04	VYBER	VYBER	9129	53956	\N	\N	\N
1275177	4361	1998-11-18	VYBER	VYBER	18382	93371	\N	\N	\N
1275178	4361	1998-07-16	VYBER	VYBER	13079	95307	\N	\N	\N
1275179	4361	1998-03-08	VYBER	VYBER	7622	74799	\N	\N	\N
1275180	4361	1998-01-30	VYBER	VYBER	5508	61058	\N	\N	\N
1275181	4361	1998-09-30	VYBER	VYBER	6925	76537	\N	\N	\N
1275182	4361	1998-07-10	VYBER	VYBER	8183	63310	\N	\N	\N
1275184	4361	1997-06-20	VYDAJ	VYBER	26400	76884	\N	\N	\N
1275186	4361	1996-12-25	VYDAJ	VYBER	1800	88681	\N	\N	\N
1275187	4361	1997-12-04	VYDAJ	VYBER	3000	64704	\N	\N	\N
1275188	4361	1998-12-28	VYDAJ	VYBER KARTOU	5100	102327	\N	\N	0
1275189	4361	1996-08-03	VYDAJ	VYBER	9300	52965	\N	\N	\N
1275192	4361	1996-11-07	VYDAJ	VYBER	5100	54739	\N	\N	\N
1275194	4361	1996-07-18	VYDAJ	VYBER	3900	61915	\N	\N	\N
1275195	4361	1997-04-29	VYDAJ	VYBER	9300	49598	\N	\N	\N
1275196	4361	1997-01-27	VYDAJ	VYBER	12900	74639	\N	\N	\N
1275197	4361	1997-04-29	VYDAJ	VYBER	9600	58898	\N	\N	\N
1275198	4361	1998-05-15	VYDAJ	VYBER KARTOU	7800	51594	\N	\N	0
1275199	4361	1998-04-07	VYDAJ	VYBER	9900	57799	\N	\N	\N
1275200	4361	1998-03-20	VYDAJ	VYBER	5400	81663	\N	\N	\N
1275201	4361	1998-09-18	VYDAJ	VYBER KARTOU	3300	95732	\N	\N	0
1275202	4361	1998-08-15	VYDAJ	VYBER KARTOU	3600	54820	\N	\N	0
1275210	4361	1996-07-31	VYDAJ	VYBER	15	62265	SLUZBY	\N	\N
1275211	4361	1996-08-31	VYDAJ	VYBER	15	76912	SLUZBY	\N	\N
1275212	4361	1996-09-30	VYDAJ	VYBER	15	84392	SLUZBY	\N	\N
1275213	4361	1996-10-31	VYDAJ	VYBER	15	93639	SLUZBY	\N	\N
1275214	4361	1996-11-30	VYDAJ	VYBER	15	100167	SLUZBY	\N	\N
1275215	4361	1996-12-31	VYDAJ	VYBER	15	89061	SLUZBY	\N	\N
1275216	4361	1997-01-31	VYDAJ	VYBER	15	74931	SLUZBY	\N	\N
1275217	4361	1997-02-28	VYDAJ	VYBER	15	87937	SLUZBY	\N	\N
1275218	4361	1997-03-31	VYDAJ	VYBER	15	54113	SLUZBY	\N	\N
1275219	4361	1997-04-30	VYDAJ	VYBER	15	49811	SLUZBY	\N	\N
1275220	4361	1997-05-31	VYDAJ	VYBER	15	52483	SLUZBY	\N	\N
1275221	4361	1997-06-30	VYDAJ	VYBER	15	77163	SLUZBY	\N	\N
1275222	4361	1997-07-31	VYDAJ	VYBER	15	78802	SLUZBY	\N	\N
1275223	4361	1997-08-31	VYDAJ	VYBER	15	82881	SLUZBY	\N	\N
1275224	4361	1997-09-30	VYDAJ	VYBER	15	75385	SLUZBY	\N	\N
1275225	4361	1997-10-31	VYDAJ	VYBER	15	98596	SLUZBY	\N	\N
1275226	4361	1997-11-30	VYDAJ	VYBER	15	81004	SLUZBY	\N	\N
1275227	4361	1997-12-31	VYDAJ	VYBER	15	92102	SLUZBY	\N	\N
1275228	4361	1998-01-31	VYDAJ	VYBER	15	61434	SLUZBY	\N	\N
1275229	4361	1998-02-28	VYDAJ	VYBER	15	99321	SLUZBY	\N	\N
1275230	4361	1998-03-31	VYDAJ	VYBER	15	81999	SLUZBY	\N	\N
1275231	4361	1998-04-30	VYDAJ	VYBER	15	86218	SLUZBY	\N	\N
1275232	4361	1998-05-31	VYDAJ	VYBER	15	54063	SLUZBY	\N	\N
1275233	4361	1998-06-30	VYDAJ	VYBER	15	71493	SLUZBY	\N	\N
1275234	4361	1998-07-31	VYDAJ	VYBER	15	82144	SLUZBY	\N	\N
1275235	4361	1998-08-31	VYDAJ	VYBER	15	63085	SLUZBY	\N	\N
1275236	4361	1998-09-30	VYDAJ	VYBER	15	76523	SLUZBY	\N	\N
1275237	4361	1998-10-31	VYDAJ	VYBER	15	72377	SLUZBY	\N	\N
1275238	4361	1998-11-30	VYDAJ	VYBER	15	89713	SLUZBY	\N	\N
1275239	4361	1996-04-10	VYDAJ	VYBER	9900	35987	\N	\N	\N
1275240	4361	1996-05-10	VYDAJ	VYBER	28100	53237	\N	\N	\N
1275241	4361	1996-06-09	VYDAJ	VYBER	40200	58492	\N	\N	\N
1275242	4361	1996-06-14	VYDAJ	VYBER	18200	107906	\N	\N	\N
1275243	4361	1996-07-09	VYDAJ	VYBER	42700	65639	\N	\N	\N
1275244	4361	1996-07-14	VYDAJ	VYBER	44900	65815	\N	\N	\N
1275245	4361	1996-08-08	VYDAJ	VYBER	15900	37065	\N	\N	\N
1275246	4361	1996-09-07	VYDAJ	VYBER	24200	45012	\N	\N	\N
1275247	4361	1996-10-07	VYDAJ	VYBER	29800	54592	\N	\N	\N
1275248	4361	1996-11-06	VYDAJ	VYBER	33800	59839	\N	\N	\N
1275249	4361	1996-12-06	VYDAJ	VYBER	36800	63367	\N	\N	\N
1275250	4361	1996-12-14	VYDAJ	VYBER	31200	99781	\N	\N	\N
1275251	4361	1997-01-05	VYDAJ	VYBER	24500	49263	\N	\N	\N
1275252	4361	1997-02-04	VYDAJ	VYBER	23800	51131	\N	\N	\N
1275253	4361	1997-03-06	VYDAJ	VYBER	30000	57937	\N	\N	\N
1275254	4361	1997-04-05	VYDAJ	VYBER	3900	30935	\N	\N	\N
1275255	4361	1997-05-05	PRIJEM	VKLAD	1800	51611	\N	\N	\N
1275256	4361	1997-06-04	VYDAJ	VYBER	9300	43183	\N	\N	\N
1275257	4361	1997-07-04	VYDAJ	VYBER	24400	52763	\N	\N	\N
1275258	4361	1997-08-03	VYDAJ	VYBER	22700	56102	\N	\N	\N
1275259	4361	1997-09-02	VYDAJ	VYBER	22100	60781	\N	\N	\N
1275260	4361	1997-10-02	VYDAJ	VYBER	14700	60685	\N	\N	\N
1275261	4361	1997-11-01	VYDAJ	VYBER	23900	74696	\N	\N	\N
1275262	4361	1997-11-14	VYDAJ	VYBER	31600	80659	\N	\N	\N
1275263	4361	1997-12-01	VYDAJ	VYBER	13300	67704	\N	\N	\N
1275264	4361	1997-12-14	VYDAJ	VYBER	33100	91705	\N	\N	\N
1275265	4361	1997-12-31	VYDAJ	VYBER	16600	75502	\N	\N	\N
1275266	4361	1998-01-14	VYDAJ	VYBER	48500	64566	\N	\N	\N
1275267	4361	1998-01-30	PRIJEM	VKLAD	2000	66566	\N	\N	\N
1275268	4361	1998-03-01	VYDAJ	VYBER	16900	82421	\N	\N	\N
1275269	4361	1998-03-14	VYDAJ	VYBER	25300	87063	\N	\N	\N
1275270	4361	1998-03-31	VYDAJ	VYBER	7300	74699	\N	\N	\N
1275271	4361	1998-04-30	VYDAJ	VYBER	17000	86233	\N	\N	\N
1275272	4361	1998-05-14	VYDAJ	VYBER	63000	59394	\N	\N	\N
1275273	4361	1998-05-30	PRIJEM	VKLAD	17600	53810	\N	\N	\N
1275274	4361	1998-06-14	VYDAJ	VYBER	21400	100277	\N	\N	\N
1275275	4361	1998-06-29	VYDAJ	VYBER	12400	71177	\N	\N	\N
1275276	4361	1998-07-29	VYDAJ	VYBER	13500	81807	\N	\N	\N
1275277	4361	1998-08-14	VYDAJ	VYBER	58800	58420	\N	\N	\N
1275278	4361	1998-08-28	PRIJEM	VKLAD	8000	62820	\N	\N	\N
1275279	4361	1998-09-27	VYDAJ	VYBER KARTOU	3700	83132	\N	\N	0
1275280	4361	1998-10-14	VYDAJ	VYBER	50300	64599	\N	\N	\N
1275281	4361	1998-10-27	PRIJEM	VKLAD	7500	72099	\N	\N	\N
1275282	4361	1998-11-26	VYDAJ	VYBER KARTOU	4000	89371	\N	\N	0
1275283	4361	1998-12-14	VYDAJ	VYBER	24800	125827	\N	\N	\N
1275284	4361	1998-12-26	VYDAJ	VYBER	18400	107427	\N	\N	\N
1276712	4368	1995-01-16	PRIJEM	VKLAD	500	500	\N	\N	\N
1276714	4368	1995-02-07	PRIJEM	PREVOD Z UCTU	11624	12124	\N	OP	54006659
1276715	4368	1995-03-07	PRIJEM	PREVOD Z UCTU	11624	28383	\N	OP	54006659
1276716	4368	1995-04-07	PRIJEM	PREVOD Z UCTU	11624	38497	\N	OP	54006659
1276717	4368	1995-05-07	PRIJEM	PREVOD Z UCTU	11624	41338	\N	OP	54006659
1276718	4368	1995-06-07	PRIJEM	PREVOD Z UCTU	17436	49302	\N	OP	54006659
1276719	4368	1995-07-07	PRIJEM	PREVOD Z UCTU	11624	34752	\N	OP	54006659
1276720	4368	1995-08-07	PRIJEM	PREVOD Z UCTU	11624	42297	\N	OP	54006659
1276721	4368	1995-09-07	PRIJEM	PREVOD Z UCTU	11624	44940	\N	OP	54006659
1276722	4368	1995-10-07	PRIJEM	PREVOD Z UCTU	11624	50301	\N	OP	54006659
1276723	4368	1995-11-07	PRIJEM	PREVOD Z UCTU	11624	42061	\N	OP	54006659
1276724	4368	1995-12-07	PRIJEM	PREVOD Z UCTU	17436	51719	\N	OP	54006659
1276725	4368	1996-01-07	PRIJEM	PREVOD Z UCTU	11624	53391	\N	OP	54006659
1276726	4368	1996-02-07	PRIJEM	PREVOD Z UCTU	11624	33744	\N	OP	54006659
1276727	4368	1996-03-07	PRIJEM	PREVOD Z UCTU	11624	42671	\N	OP	54006659
1276728	4368	1996-04-07	PRIJEM	PREVOD Z UCTU	11624	51334	\N	OP	54006659
1276729	4368	1996-05-07	PRIJEM	PREVOD Z UCTU	11624	53315	\N	OP	54006659
1276730	4368	1996-06-07	PRIJEM	PREVOD Z UCTU	17436	59411	\N	OP	54006659
1276731	4368	1996-07-07	PRIJEM	PREVOD Z UCTU	11624	58409	\N	OP	54006659
1276732	4368	1996-08-07	PRIJEM	PREVOD Z UCTU	11624	50073	\N	OP	54006659
1276733	4368	1996-09-07	PRIJEM	PREVOD Z UCTU	11624	55459	\N	OP	54006659
1276734	4368	1996-10-07	PRIJEM	PREVOD Z UCTU	11624	56888	\N	OP	54006659
1276735	4368	1996-11-07	PRIJEM	PREVOD Z UCTU	11624	49523	\N	OP	54006659
1276736	4368	1996-12-07	PRIJEM	PREVOD Z UCTU	17436	62545	\N	OP	54006659
1276737	4368	1997-01-07	PRIJEM	PREVOD Z UCTU	11624	59504	\N	OP	54006659
1276738	4368	1997-02-07	PRIJEM	PREVOD Z UCTU	11624	48895	\N	OP	54006659
1276739	4368	1997-03-07	PRIJEM	PREVOD Z UCTU	11624	51992	\N	OP	54006659
1276740	4368	1997-04-07	PRIJEM	PREVOD Z UCTU	11624	43560	\N	OP	54006659
1276741	4368	1997-05-07	PRIJEM	PREVOD Z UCTU	11624	38155	\N	OP	54006659
1276742	4368	1997-06-07	PRIJEM	PREVOD Z UCTU	17436	52532	\N	OP	54006659
1276743	4368	1997-07-07	PRIJEM	PREVOD Z UCTU	11624	46088	\N	OP	54006659
1276744	4368	1997-08-07	PRIJEM	PREVOD Z UCTU	11624	41530	\N	OP	54006659
1276745	4368	1997-09-07	PRIJEM	PREVOD Z UCTU	11624	47862	\N	OP	54006659
1276746	4368	1997-10-07	PRIJEM	PREVOD Z UCTU	11624	53411	\N	OP	54006659
1276747	4368	1997-11-07	PRIJEM	PREVOD Z UCTU	11624	49176	\N	OP	54006659
1276748	4368	1997-12-07	PRIJEM	PREVOD Z UCTU	17436	65585	\N	OP	54006659
1276749	4368	1998-01-07	PRIJEM	PREVOD Z UCTU	11624	61853	\N	OP	54006659
1276750	4368	1998-02-07	PRIJEM	PREVOD Z UCTU	11624	55270	\N	OP	54006659
1276751	4368	1998-03-07	PRIJEM	PREVOD Z UCTU	11624	61488	\N	OP	54006659
1276752	4368	1998-04-07	PRIJEM	PREVOD Z UCTU	11624	70243	\N	OP	54006659
1276753	4368	1998-05-07	PRIJEM	PREVOD Z UCTU	11624	62696	\N	OP	54006659
1276754	4368	1998-06-07	PRIJEM	PREVOD Z UCTU	17436	57011	\N	OP	54006659
1276755	4368	1998-07-07	PRIJEM	PREVOD Z UCTU	11624	69548	\N	OP	54006659
1276756	4368	1998-08-07	PRIJEM	PREVOD Z UCTU	11624	71108	\N	OP	54006659
1276757	4368	1998-09-07	PRIJEM	PREVOD Z UCTU	11624	73976	\N	OP	54006659
1276758	4368	1998-10-07	PRIJEM	PREVOD Z UCTU	11624	66741	\N	OP	54006659
1276759	4368	1998-11-07	PRIJEM	PREVOD Z UCTU	11624	59459	\N	OP	54006659
1276760	4368	1998-12-07	PRIJEM	PREVOD Z UCTU	17436	49113	\N	OP	54006659
1276763	4368	1996-07-09	VYBER	VYBER	11414	46995	\N	\N	\N
1276765	4368	1996-02-21	VYBER	VYBER	5007	30937	\N	\N	\N
1276766	4368	1997-06-15	VYBER	VYBER	12930	39602	\N	\N	\N
1276767	4368	1997-03-11	VYBER	VYBER	16551	23818	\N	\N	\N
1276769	4368	1997-07-25	VYBER	VYBER	18734	27354	\N	\N	\N
1276770	4368	1997-06-05	VYBER	VYBER	3689	35096	\N	\N	\N
1276772	4368	1997-03-10	VYBER	VYBER	11623	40369	\N	\N	\N
1276774	4368	1997-04-21	VYBER	VYBER	22148	21412	\N	\N	\N
1276775	4368	1997-10-07	VYBER	VYBER	23372	30039	\N	\N	\N
1276777	4368	1998-02-12	VYBER	VYBER	5487	49783	\N	\N	\N
1276778	4368	1998-10-16	VYBER	VYBER	22298	44443	\N	\N	\N
1276779	4368	1998-11-20	VYBER	VYBER	22076	37383	\N	\N	\N
1276780	4368	1998-05-22	VYBER	VYBER	24934	37762	\N	\N	\N
1276781	4368	1998-11-30	VYBER	VYBER	13877	31691	\N	\N	\N
1276782	4368	1998-08-10	VYBER	VYBER	8796	62312	\N	\N	\N
1276786	4368	1998-06-02	VYDAJ	VYBER	9300	39575	\N	\N	\N
1276793	4368	1996-01-17	VYDAJ	VYBER	6000	29791	\N	\N	\N
1276794	4368	1996-01-08	VYDAJ	VYBER	3900	49491	\N	\N	\N
1276795	4368	1996-01-10	VYDAJ	VYBER	6600	42891	\N	\N	\N
1276796	4368	1996-01-11	VYDAJ	VYBER	4200	35791	\N	\N	\N
1276797	4368	1996-01-23	VYDAJ	VYBER	2700	27091	\N	\N	\N
1276798	4368	1996-01-26	VYDAJ	VYBER	5100	21991	\N	\N	\N
1276799	4368	1997-01-09	VYDAJ	VYBER KARTOU	3300	56204	\N	\N	0
1276800	4368	1997-01-11	VYDAJ	VYBER	8700	47504	\N	\N	\N
1276801	4368	1997-01-12	VYDAJ	VYBER	8700	38804	\N	\N	\N
1276802	4368	1997-01-17	VYDAJ	VYBER KARTOU	1800	37004	\N	\N	0
1276803	4368	1997-01-06	VYDAJ	VYBER	6000	47880	\N	\N	\N
1276804	4368	1997-01-26	VYDAJ	VYBER	6000	31004	\N	\N	\N
1276805	4368	1998-01-23	VYDAJ	VYBER	6900	45053	\N	\N	\N
1276806	4368	1998-01-25	VYDAJ	VYBER KARTOU	3900	34553	\N	\N	0
1276807	4368	1998-01-03	VYDAJ	VYBER	8700	50229	\N	\N	\N
1276808	4368	1998-01-09	VYDAJ	VYBER	6000	51953	\N	\N	\N
1276809	4368	1998-01-24	VYDAJ	VYBER	6600	38453	\N	\N	\N
1276810	4368	1998-01-07	VYDAJ	VYBER KARTOU	3900	57953	\N	\N	0
1276813	4368	1995-07-03	VYDAJ	VYBER	12300	23128	\N	\N	\N
1276814	4368	1995-10-11	VYDAJ	VYBER	2700	47601	\N	\N	\N
1276815	4368	1995-10-19	VYDAJ	VYBER	9900	30301	\N	\N	\N
1276818	4368	1996-04-14	VYDAJ	VYBER	2700	41534	\N	\N	\N
1276820	4368	1997-07-03	VYDAJ	VYBER	7800	31964	\N	\N	\N
1276821	4368	1997-08-09	VYDAJ	VYBER	12300	29230	\N	\N	\N
1276822	4368	1997-09-09	VYDAJ	VYBER	14100	33762	\N	\N	\N
1276823	4368	1998-05-02	VYDAJ	VYBER	9900	51072	\N	\N	\N
1276824	4368	1998-06-26	VYDAJ	VYBER KARTOU	3000	54011	\N	\N	0
1276825	4368	1998-07-07	VYDAJ	VYBER	8100	61448	\N	\N	\N
1276826	4368	1998-09-28	VYDAJ	VYBER	9600	54876	\N	\N	\N
1276833	4368	1995-06-30	VYDAJ	VYBER	15	35428	SLUZBY	\N	\N
1276834	4368	1995-07-31	VYDAJ	VYBER	15	30673	SLUZBY	\N	\N
1276835	4368	1995-08-31	VYDAJ	VYBER	15	33316	SLUZBY	\N	\N
1276836	4368	1995-09-30	VYDAJ	VYBER	15	38677	SLUZBY	\N	\N
1276837	4368	1995-10-31	VYDAJ	VYBER	15	30437	SLUZBY	\N	\N
1276838	4368	1995-11-30	VYDAJ	VYBER	15	34283	SLUZBY	\N	\N
1276839	4368	1995-12-31	VYDAJ	VYBER	15	41767	SLUZBY	\N	\N
1276840	4368	1996-01-31	VYDAJ	VYBER	15	22120	SLUZBY	\N	\N
1276841	4368	1996-02-29	VYDAJ	VYBER	15	31047	SLUZBY	\N	\N
1276842	4368	1996-03-31	VYDAJ	VYBER	15	39710	SLUZBY	\N	\N
1276843	4368	1996-04-30	VYDAJ	VYBER	15	41691	SLUZBY	\N	\N
1276844	4368	1996-05-31	VYDAJ	VYBER	15	41975	SLUZBY	\N	\N
1276845	4368	1996-06-30	VYDAJ	VYBER	15	46785	SLUZBY	\N	\N
1276846	4368	1996-07-31	VYDAJ	VYBER	15	38449	SLUZBY	\N	\N
1276847	4368	1996-08-31	VYDAJ	VYBER	15	43835	SLUZBY	\N	\N
1276848	4368	1996-09-30	VYDAJ	VYBER	15	45264	SLUZBY	\N	\N
1276849	4368	1996-10-31	VYDAJ	VYBER	15	42799	SLUZBY	\N	\N
1276850	4368	1996-11-30	VYDAJ	VYBER	15	49709	SLUZBY	\N	\N
1276851	4368	1996-12-31	VYDAJ	VYBER	15	62780	SLUZBY	\N	\N
1276852	4368	1997-01-31	VYDAJ	VYBER	15	31171	SLUZBY	\N	\N
1276853	4368	1997-02-28	VYDAJ	VYBER	15	49068	SLUZBY	\N	\N
1276854	4368	1997-03-31	VYDAJ	VYBER	15	23936	SLUZBY	\N	\N
1276855	4368	1997-04-30	VYDAJ	VYBER	15	21531	SLUZBY	\N	\N
1276856	4368	1997-05-31	VYDAJ	VYBER	15	38285	SLUZBY	\N	\N
1276857	4368	1997-06-30	VYDAJ	VYBER	15	39764	SLUZBY	\N	\N
1276858	4368	1997-07-31	VYDAJ	VYBER	15	27506	SLUZBY	\N	\N
1276859	4368	1997-08-31	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
1276860	4368	1997-09-30	VYDAJ	VYBER	15	33887	SLUZBY	\N	\N
1276861	4368	1997-10-31	VYDAJ	VYBER	15	30152	SLUZBY	\N	\N
1276862	4368	1997-11-30	VYDAJ	VYBER	15	49349	SLUZBY	\N	\N
1276863	4368	1997-12-31	VYDAJ	VYBER	15	58929	SLUZBY	\N	\N
1276864	4368	1998-01-31	VYDAJ	VYBER	15	43646	SLUZBY	\N	\N
1276865	4368	1998-02-28	VYDAJ	VYBER	15	49964	SLUZBY	\N	\N
1276866	4368	1998-03-31	VYDAJ	VYBER	15	58619	SLUZBY	\N	\N
1276867	4368	1998-04-30	VYDAJ	VYBER	15	60972	SLUZBY	\N	\N
1276868	4368	1998-05-31	VYDAJ	VYBER	15	48875	SLUZBY	\N	\N
1276869	4368	1998-06-30	VYDAJ	VYBER	15	57924	SLUZBY	\N	\N
1276870	4368	1998-07-31	VYDAJ	VYBER	15	59484	SLUZBY	\N	\N
1276871	4368	1998-08-31	VYDAJ	VYBER	15	62352	SLUZBY	\N	\N
1276872	4368	1998-09-30	VYDAJ	VYBER	15	55117	SLUZBY	\N	\N
1276873	4368	1998-10-31	VYDAJ	VYBER	15	47835	SLUZBY	\N	\N
1276874	4368	1998-11-30	VYDAJ	VYBER	15	31677	SLUZBY	\N	\N
1276875	4368	1995-02-15	PRIJEM	VKLAD	4600	16724	\N	\N	\N
1276876	4368	1995-03-17	VYDAJ	VYBER	1600	26783	\N	\N	\N
1276877	4368	1995-04-16	VYDAJ	VYBER	8900	29597	\N	\N	\N
1276878	4368	1995-05-16	VYDAJ	VYBER	9600	31738	\N	\N	\N
1276879	4368	1995-06-15	VYDAJ	VYBER	14000	35302	\N	\N	\N
1276880	4368	1995-07-15	VYDAJ	VYBER	4200	30552	\N	\N	\N
1276881	4368	1995-08-14	VYDAJ	VYBER	9100	33197	\N	\N	\N
1276882	4368	1995-09-13	VYDAJ	VYBER	6400	38540	\N	\N	\N
1276883	4368	1995-10-13	VYDAJ	VYBER	7400	40201	\N	\N	\N
1276884	4368	1995-11-12	VYDAJ	VYBER	7900	34161	\N	\N	\N
1276885	4368	1995-12-12	VYDAJ	VYBER	10100	41619	\N	\N	\N
1276886	4368	1996-01-11	VYDAJ	VYBER	2900	39991	\N	\N	\N
1276887	4368	1996-02-10	PRIJEM	VKLAD	2200	35944	\N	\N	\N
1276888	4368	1996-03-11	VYDAJ	VYBER	3100	39571	\N	\N	\N
1276889	4368	1996-04-10	VYDAJ	VYBER	7100	44234	\N	\N	\N
1276890	4368	1996-05-10	VYDAJ	VYBER	11500	41815	\N	\N	\N
1276891	4368	1996-06-09	VYDAJ	VYBER	12800	46611	\N	\N	\N
1276892	4368	1996-07-09	VYDAJ	VYBER	8700	38295	\N	\N	\N
1276893	4368	1996-08-08	VYDAJ	VYBER	6400	43673	\N	\N	\N
1276894	4368	1996-09-07	VYDAJ	VYBER	10400	45059	\N	\N	\N
1276895	4368	1996-10-07	VYDAJ	VYBER	14300	42588	\N	\N	\N
1276896	4368	1996-11-06	VYDAJ	VYBER	4900	37899	\N	\N	\N
1276897	4368	1996-12-06	VYDAJ	VYBER	4600	45109	\N	\N	\N
1276898	4368	1997-01-05	VYDAJ	VYBER	8900	53880	\N	\N	\N
1276899	4368	1997-02-04	PRIJEM	VKLAD	6100	37271	\N	\N	\N
1276900	4368	1997-03-06	VYDAJ	VYBER	8700	40368	\N	\N	\N
1276901	4368	1997-04-05	PRIJEM	VKLAD	8000	31936	\N	\N	\N
1276902	4368	1997-05-05	PRIJEM	VKLAD	5000	26531	\N	\N	\N
1276903	4368	1997-06-04	PRIJEM	VKLAD	500	38785	\N	\N	\N
1276904	4368	1997-07-04	PRIJEM	VKLAD	2500	34464	\N	\N	\N
1276905	4368	1997-08-03	PRIJEM	VKLAD	2400	29906	\N	\N	\N
1276906	4368	1997-09-02	PRIJEM	VKLAD	6900	36238	\N	\N	\N
1276907	4368	1997-10-02	PRIJEM	VKLAD	7900	41787	\N	\N	\N
1276908	4368	1997-11-01	PRIJEM	VKLAD	7400	37552	\N	\N	\N
1276909	4368	1997-12-01	VYDAJ	VYBER KARTOU	1200	48149	\N	\N	0
1276910	4368	1997-12-31	VYDAJ	VYBER	6900	58944	\N	\N	\N
1276911	4368	1998-01-30	PRIJEM	VKLAD	8900	43453	\N	\N	\N
1276912	4368	1998-03-01	VYDAJ	VYBER KARTOU	100	49864	\N	\N	0
1276913	4368	1998-03-31	VYDAJ	VYBER KARTOU	3100	58633	\N	\N	0
1276914	4368	1998-04-30	VYDAJ	VYBER	9500	60986	\N	\N	\N
1276915	4368	1998-05-30	PRIJEM	VKLAD	10900	48662	\N	\N	\N
1276916	4368	1998-06-29	PRIJEM	VKLAD	3700	57711	\N	\N	\N
1276917	4368	1998-07-29	VYDAJ	VYBER KARTOU	2200	59248	\N	\N	0
1276918	4368	1998-08-28	VYDAJ	VYBER KARTOU	200	62112	\N	\N	0
1276919	4368	1998-09-27	VYDAJ	VYBER	9500	64476	\N	\N	\N
1276920	4368	1998-10-27	PRIJEM	VKLAD	3200	47643	\N	\N	\N
1276921	4368	1998-11-26	PRIJEM	VKLAD	8000	45383	\N	\N	\N
1278695	4375	1996-10-28	PRIJEM	VKLAD	800	800	\N	\N	\N
1278706	4375	1996-11-13	PRIJEM	PREVOD Z UCTU	47883	48683	\N	CD	89372336
1278707	4375	1996-12-13	PRIJEM	PREVOD Z UCTU	71824	108828	\N	CD	89372336
1278708	4375	1997-01-13	PRIJEM	PREVOD Z UCTU	47883	92325	\N	CD	89372336
1278709	4375	1997-02-13	PRIJEM	PREVOD Z UCTU	47883	104702	\N	CD	89372336
1278710	4375	1997-03-13	PRIJEM	PREVOD Z UCTU	47883	89798	\N	CD	89372336
1278711	4375	1997-04-13	PRIJEM	PREVOD Z UCTU	47883	71768	\N	CD	89372336
1278712	4375	1997-05-13	PRIJEM	PREVOD Z UCTU	47883	87261	\N	CD	89372336
1278713	4375	1997-06-13	PRIJEM	PREVOD Z UCTU	71824	111219	\N	CD	89372336
1278714	4375	1997-07-13	PRIJEM	PREVOD Z UCTU	47883	97191	\N	CD	89372336
1278715	4375	1997-08-13	PRIJEM	PREVOD Z UCTU	47883	101747	\N	CD	89372336
1278716	4375	1997-09-13	PRIJEM	PREVOD Z UCTU	47883	104310	\N	CD	89372336
1278717	4375	1997-10-13	PRIJEM	PREVOD Z UCTU	47883	114424	\N	CD	89372336
1278718	4375	1997-11-13	PRIJEM	PREVOD Z UCTU	47883	105024	\N	CD	89372336
1278719	4375	1997-12-13	PRIJEM	PREVOD Z UCTU	71824	135944	\N	CD	89372336
1278720	4375	1998-01-13	PRIJEM	PREVOD Z UCTU	47883	73556	\N	CD	89372336
1278721	4375	1998-02-13	PRIJEM	PREVOD Z UCTU	47883	90166	\N	CD	89372336
1278722	4375	1998-03-13	PRIJEM	PREVOD Z UCTU	47883	96595	\N	CD	89372336
1278723	4375	1998-04-13	PRIJEM	PREVOD Z UCTU	47883	109984	\N	CD	89372336
1278724	4375	1998-05-13	PRIJEM	PREVOD Z UCTU	47883	104689	\N	CD	89372336
1278725	4375	1998-06-13	PRIJEM	PREVOD Z UCTU	71824	122836	\N	CD	89372336
1278726	4375	1998-07-13	PRIJEM	PREVOD Z UCTU	47883	99606	\N	CD	89372336
1278727	4375	1998-08-13	PRIJEM	PREVOD Z UCTU	47883	94423	\N	CD	89372336
1278728	4375	1998-09-13	PRIJEM	PREVOD Z UCTU	47883	100451	\N	CD	89372336
1278729	4375	1998-10-13	PRIJEM	PREVOD Z UCTU	47883	102283	\N	CD	89372336
1278730	4375	1998-11-13	PRIJEM	PREVOD Z UCTU	47883	119354	\N	CD	89372336
1278731	4375	1998-12-13	PRIJEM	PREVOD Z UCTU	71824	107139	\N	CD	89372336
1278733	4375	1997-05-17	VYBER	VYBER	20290	66971	\N	\N	\N
1278734	4375	1997-07-13	VYBER	VYBER	14376	82815	\N	\N	\N
1278735	4375	1997-03-24	VYBER	VYBER	14477	63671	\N	\N	\N
1278736	4375	1997-08-22	VYBER	VYBER	23838	77909	\N	\N	\N
1278737	4375	1997-03-18	VYBER	VYBER	11650	78148	\N	\N	\N
1278738	4375	1997-04-11	VYBER	VYBER	11483	23885	\N	\N	\N
1278739	4375	1998-01-20	VYBER	VYBER	3150	55406	\N	\N	\N
1278740	4375	1998-02-26	VYBER	VYBER	4638	48528	\N	\N	\N
1278741	4375	1998-04-30	VYBER	VYBER	2790	64158	\N	\N	\N
1278742	4375	1998-07-13	VYBER	VYBER	21445	78161	\N	\N	\N
1278743	4375	1998-09-03	VYBER	VYBER	12471	55868	\N	\N	\N
1278744	4375	1998-05-08	VYBER	VYBER	7337	56806	\N	\N	\N
1278745	4375	1998-05-21	VYBER	VYBER	9314	95375	\N	\N	\N
1278746	4375	1998-11-27	VYBER	VYBER	12263	35091	\N	\N	\N
1278747	4375	1998-10-07	VYBER	VYBER	8732	58600	\N	\N	\N
1278748	4375	1998-07-19	VYBER	VYBER	16834	61327	\N	\N	\N
1278750	4375	1997-12-11	VYDAJ	VYBER	1800	64120	\N	\N	\N
1278751	4375	1998-12-30	VYDAJ	VYBER	7200	63539	\N	\N	\N
1278764	4375	1998-01-06	VYDAJ	VYBER	2700	37673	\N	\N	\N
1278765	4375	1998-01-17	VYDAJ	VYBER	6300	58556	\N	\N	\N
1278766	4375	1998-01-16	VYDAJ	VYBER	8700	64856	\N	\N	\N
1278767	4375	1998-01-01	VYDAJ	VYBER	8700	45773	\N	\N	\N
1278768	4375	1998-01-06	VYDAJ	VYBER	5400	40373	\N	\N	\N
1278769	4375	1998-01-22	VYDAJ	VYBER	3300	42106	\N	\N	\N
1278777	4375	1997-11-11	VYDAJ	VYBER	1800	57141	\N	\N	\N
1278779	4375	1997-05-04	VYDAJ	VYBER	6000	39378	\N	\N	\N
1278780	4375	1997-06-02	VYDAJ	VYBER	7500	39395	\N	\N	\N
1278781	4375	1997-04-06	VYDAJ	VYBER	6000	35368	\N	\N	\N
1278782	4375	1998-06-09	VYDAJ	VYBER	11400	51012	\N	\N	\N
1278783	4375	1998-09-24	VYDAJ	VYBER	3300	67051	\N	\N	\N
1278784	4375	1998-01-06	VYDAJ	VYBER	12000	25673	\N	\N	\N
1278785	4375	1998-12-16	VYDAJ	VYBER	4500	102639	\N	\N	\N
1278786	4375	1998-10-09	VYDAJ	VYBER	4200	54400	\N	\N	\N
1278787	4375	1998-02-18	VYDAJ	VYBER	12900	77266	\N	\N	\N
1278788	4375	1998-09-08	VYDAJ	VYBER	3300	52568	\N	\N	\N
1278804	4375	1997-03-31	VYDAJ	VYBER	15	41368	SLUZBY	\N	\N
1278805	4375	1997-04-30	VYDAJ	VYBER	15	45378	SLUZBY	\N	\N
1278806	4375	1997-05-31	VYDAJ	VYBER	15	46895	SLUZBY	\N	\N
1278807	4375	1997-06-30	VYDAJ	VYBER	15	49308	SLUZBY	\N	\N
1278808	4375	1997-07-31	VYDAJ	VYBER	15	53864	SLUZBY	\N	\N
1278809	4375	1997-08-31	VYDAJ	VYBER	15	56427	SLUZBY	\N	\N
1278810	4375	1997-09-30	VYDAJ	VYBER	15	66541	SLUZBY	\N	\N
1278811	4375	1997-10-31	VYDAJ	VYBER	15	58941	SLUZBY	\N	\N
1278812	4375	1997-11-30	VYDAJ	VYBER	15	65920	SLUZBY	\N	\N
1278813	4375	1997-12-31	VYDAJ	VYBER	15	54473	SLUZBY	\N	\N
1278814	4375	1998-01-31	VYDAJ	VYBER	15	42283	SLUZBY	\N	\N
1278815	4375	1998-02-28	VYDAJ	VYBER	15	48712	SLUZBY	\N	\N
1278816	4375	1998-03-31	VYDAJ	VYBER	15	62101	SLUZBY	\N	\N
1278817	4375	1998-04-30	VYDAJ	VYBER	15	64143	SLUZBY	\N	\N
1278818	4375	1998-05-31	VYDAJ	VYBER	15	62412	SLUZBY	\N	\N
1278819	4375	1998-06-30	VYDAJ	VYBER	15	51723	SLUZBY	\N	\N
1278820	4375	1998-07-31	VYDAJ	VYBER	15	46540	SLUZBY	\N	\N
1278821	4375	1998-08-31	VYDAJ	VYBER	15	68339	SLUZBY	\N	\N
1278822	4375	1998-09-30	VYDAJ	VYBER	15	67332	SLUZBY	\N	\N
1278823	4375	1998-10-31	VYDAJ	VYBER	15	71471	SLUZBY	\N	\N
1278824	4375	1998-11-30	VYDAJ	VYBER	15	35315	SLUZBY	\N	\N
1278825	4375	1996-11-27	VYDAJ	VYBER	11700	36983	\N	\N	\N
1278826	4375	1996-12-13	VYDAJ	VYBER	42400	66428	\N	\N	\N
1278827	4375	1996-12-27	VYDAJ	VYBER	22200	44228	\N	\N	\N
1278828	4375	1997-01-26	VYDAJ	VYBER	35700	56625	\N	\N	\N
1278829	4375	1997-02-13	VYDAJ	VYBER	46600	58102	\N	\N	\N
1278830	4375	1997-02-25	VYDAJ	VYBER	16500	41602	\N	\N	\N
1278831	4375	1997-03-27	VYDAJ	VYBER	22500	41171	\N	\N	\N
1278832	4375	1997-04-26	VYDAJ	VYBER	26600	45168	\N	\N	\N
1278833	4375	1997-05-26	VYDAJ	VYBER	20300	46671	\N	\N	\N
1278834	4375	1997-06-13	VYDAJ	VYBER	40400	70819	\N	\N	\N
1278835	4375	1997-06-25	VYDAJ	VYBER	21800	49019	\N	\N	\N
1278836	4375	1997-07-25	VYDAJ	VYBER	29200	53615	\N	\N	\N
1278837	4375	1997-08-24	VYDAJ	VYBER	21700	56209	\N	\N	\N
1278838	4375	1997-09-23	VYDAJ	VYBER	38000	66310	\N	\N	\N
1278839	4375	1997-10-13	VYDAJ	VYBER	25100	89324	\N	\N	\N
1278840	4375	1997-10-23	VYDAJ	VYBER	30700	58624	\N	\N	\N
1278841	4375	1997-11-22	VYDAJ	VYBER	39400	65624	\N	\N	\N
1278842	4375	1997-12-13	VYDAJ	VYBER	51900	84044	\N	\N	\N
1278843	4375	1997-12-22	VYDAJ	VYBER	29900	54144	\N	\N	\N
1278844	4375	1998-01-21	VYDAJ	VYBER	10000	45406	\N	\N	\N
1278845	4375	1998-02-20	VYDAJ	VYBER	24100	53166	\N	\N	\N
1278846	4375	1998-03-22	VYDAJ	VYBER	34700	61895	\N	\N	\N
1278847	4375	1998-04-21	VYDAJ	VYBER	43300	66684	\N	\N	\N
1278848	4375	1998-05-21	VYDAJ	VYBER	33300	62075	\N	\N	\N
1278849	4375	1998-06-13	VYDAJ	VYBER	52200	70636	\N	\N	\N
1278850	4375	1998-06-20	VYDAJ	VYBER	19200	51436	\N	\N	\N
1278851	4375	1998-07-20	VYDAJ	VYBER	15000	46327	\N	\N	\N
1278852	4375	1998-08-19	VYDAJ	VYBER	26300	68123	\N	\N	\N
1278853	4375	1998-09-18	VYDAJ	VYBER	30100	70351	\N	\N	\N
1278854	4375	1998-10-18	VYDAJ	VYBER	31100	71183	\N	\N	\N
1278855	4375	1998-11-13	VYDAJ	VYBER	55000	64354	\N	\N	\N
1278856	4375	1998-11-17	VYDAJ	VYBER	17000	47354	\N	\N	\N
1278857	4375	1998-12-17	VYDAJ	VYBER	31900	70739	\N	\N	\N
1279347	4377	1993-04-24	PRIJEM	VKLAD	500	500	\N	\N	\N
1279348	4377	1993-08-18	PRIJEM	VKLAD	30679	75010	\N	\N	\N
1279350	4377	1993-07-06	PRIJEM	VKLAD	43777	64577	\N	\N	\N
1279351	4377	1994-06-28	PRIJEM	VKLAD	20513	65987	\N	\N	\N
1279352	4377	1994-12-29	PRIJEM	VKLAD	37192	82699	\N	\N	\N
1279353	4377	1994-07-12	PRIJEM	VKLAD	26257	84101	\N	\N	\N
1279354	4377	1994-09-20	PRIJEM	VKLAD	30900	56807	\N	\N	\N
1279355	4377	1994-05-14	PRIJEM	VKLAD	32749	89284	\N	\N	\N
1279356	4377	1994-11-19	PRIJEM	VKLAD	27477	64398	\N	\N	\N
1279357	4377	1994-06-18	PRIJEM	VKLAD	30270	61874	\N	\N	\N
1279358	4377	1994-04-05	PRIJEM	VKLAD	35069	97759	\N	\N	\N
1279359	4377	1994-05-15	PRIJEM	VKLAD	7737	97021	\N	\N	\N
1279360	4377	1994-06-04	PRIJEM	VKLAD	49557	76904	\N	\N	\N
1279361	4377	1994-12-28	PRIJEM	VKLAD	23720	45507	\N	\N	\N
1279362	4377	1994-03-07	PRIJEM	VKLAD	18705	121997	\N	\N	\N
1279363	4377	1994-02-11	PRIJEM	VKLAD	18711	42295	\N	\N	\N
1279364	4377	1994-03-03	PRIJEM	VKLAD	42546	167492	\N	\N	\N
1279365	4377	1994-02-23	PRIJEM	VKLAD	43632	75127	\N	\N	\N
1279366	4377	1994-10-09	PRIJEM	VKLAD	45024	68926	\N	\N	\N
1279367	4377	1994-03-03	PRIJEM	VKLAD	49609	124946	\N	\N	\N
1279368	4377	1994-04-03	PRIJEM	VKLAD	41885	62690	\N	\N	\N
1279369	4377	1995-03-21	PRIJEM	VKLAD	12427	103175	\N	\N	\N
1279370	4377	1995-04-12	PRIJEM	VKLAD	11650	84774	\N	\N	\N
1279371	4377	1995-05-17	PRIJEM	VKLAD	30244	84181	\N	\N	\N
1279372	4377	1995-08-17	PRIJEM	VKLAD	45380	96082	\N	\N	\N
1279373	4377	1995-12-22	PRIJEM	VKLAD	49159	120600	\N	\N	\N
1279374	4377	1995-05-05	PRIJEM	VKLAD	38707	90952	\N	\N	\N
1279375	4377	1995-01-25	PRIJEM	VKLAD	16988	58859	\N	\N	\N
1279376	4377	1995-12-04	PRIJEM	VKLAD	45116	117712	\N	\N	\N
1279377	4377	1995-03-30	PRIJEM	VKLAD	38213	138988	\N	\N	\N
1279378	4377	1995-11-14	PRIJEM	VKLAD	43076	80170	\N	\N	\N
1279379	4377	1995-02-09	PRIJEM	VKLAD	37187	73756	\N	\N	\N
1279380	4377	1995-10-04	PRIJEM	VKLAD	9869	46097	\N	\N	\N
1279381	4377	1995-12-24	PRIJEM	VKLAD	17582	111682	\N	\N	\N
1279382	4377	1995-07-28	PRIJEM	VKLAD	6672	62270	\N	\N	\N
1279383	4377	1995-11-04	PRIJEM	VKLAD	18093	51617	\N	\N	\N
1279384	4377	1995-04-13	PRIJEM	VKLAD	49877	134651	\N	\N	\N
1279385	4377	1995-07-21	PRIJEM	VKLAD	34395	87589	\N	\N	\N
1279386	4377	1995-08-31	PRIJEM	VKLAD	38678	127595	\N	\N	\N
1279387	4377	1995-04-10	PRIJEM	VKLAD	42342	114224	\N	\N	\N
1279388	4377	1995-05-28	PRIJEM	VKLAD	8892	66844	\N	\N	\N
1279389	4377	1995-03-16	PRIJEM	VKLAD	32425	90748	\N	\N	\N
1279390	4377	1995-05-22	PRIJEM	VKLAD	38041	122222	\N	\N	\N
1279391	4377	1995-07-09	PRIJEM	VKLAD	10467	76694	\N	\N	\N
1279392	4377	1995-04-25	PRIJEM	VKLAD	26681	62293	\N	\N	\N
1279393	4377	1995-07-29	PRIJEM	VKLAD	9584	71854	\N	\N	\N
1279394	4377	1995-06-29	PRIJEM	VKLAD	30976	66022	\N	\N	\N
1279395	4377	1995-05-11	PRIJEM	VKLAD	23385	114337	\N	\N	\N
1279396	4377	1995-12-14	PRIJEM	VKLAD	21529	71441	\N	\N	\N
1279397	4377	1995-03-12	PRIJEM	VKLAD	40426	86023	\N	\N	\N
1279398	4377	1996-11-19	PRIJEM	VKLAD	38663	63595	\N	\N	\N
1279399	4377	1996-07-03	PRIJEM	VKLAD	36539	67933	\N	\N	\N
1279400	4377	1996-07-10	PRIJEM	VKLAD	29338	77371	\N	\N	\N
1279401	4377	1996-04-21	PRIJEM	VKLAD	49311	73729	\N	\N	\N
1279402	4377	1996-03-15	PRIJEM	VKLAD	24606	54597	\N	\N	\N
1279403	4377	1997-01-20	PRIJEM	VKLAD	38113	60786	\N	\N	\N
1279404	4377	1997-10-02	PRIJEM	VKLAD	44573	66406	\N	\N	\N
1279405	4377	1997-11-08	PRIJEM	VKLAD	49823	83103	\N	\N	\N
1279406	4377	1998-06-23	PRIJEM	VKLAD	16400	79633	\N	\N	\N
1279407	4377	1998-08-12	PRIJEM	VKLAD	38024	140596	\N	\N	\N
1279408	4377	1998-02-26	PRIJEM	VKLAD	36870	115079	\N	\N	\N
1279409	4377	1998-03-23	PRIJEM	VKLAD	42093	141877	\N	\N	\N
1279410	4377	1998-03-24	PRIJEM	VKLAD	27107	150684	\N	\N	\N
1279411	4377	1998-03-15	PRIJEM	VKLAD	31774	99784	\N	\N	\N
1279412	4377	1998-01-03	PRIJEM	VKLAD	47113	76003	\N	\N	\N
1279413	4377	1998-12-26	PRIJEM	VKLAD	12684	56842	\N	\N	\N
1279414	4377	1998-01-22	PRIJEM	VKLAD	18062	92450	\N	\N	\N
1279415	4377	1998-04-24	PRIJEM	VKLAD	46031	106094	\N	\N	\N
1279416	4377	1998-08-07	PRIJEM	VKLAD	46447	102572	\N	\N	\N
1279417	4377	1998-09-19	PRIJEM	VKLAD	15879	39879	\N	\N	\N
1279418	4377	1998-02-16	PRIJEM	VKLAD	39471	78209	\N	\N	\N
1279419	4377	1998-04-28	PRIJEM	VKLAD	37663	112287	\N	\N	\N
1279420	4377	1998-04-25	PRIJEM	VKLAD	6682	112776	\N	\N	\N
1279421	4377	1998-10-30	PRIJEM	VKLAD	22957	81606	\N	\N	\N
1279422	4377	1998-02-28	PRIJEM	VKLAD	12870	54320	\N	\N	\N
1279423	4377	1998-10-22	PRIJEM	VKLAD	20489	58649	\N	\N	\N
1279424	4377	1998-05-12	PRIJEM	VKLAD	7204	43653	\N	\N	\N
1279425	4377	1998-03-12	PRIJEM	VKLAD	28405	68010	\N	\N	\N
1279426	4377	1998-12-19	PRIJEM	VKLAD	23624	62250	\N	\N	\N
1279427	4377	1998-01-21	PRIJEM	VKLAD	42785	74388	\N	\N	\N
1279428	4377	1998-04-10	PRIJEM	VKLAD	32479	71463	\N	\N	\N
1279429	4377	1998-08-16	PRIJEM	VKLAD	27410	131206	\N	\N	\N
1279430	4377	1998-12-09	PRIJEM	VKLAD	28423	50390	\N	\N	\N
1279431	4377	1998-07-19	PRIJEM	VKLAD	29777	56032	\N	\N	\N
1279432	4377	1998-05-31	PRIJEM	VKLAD	39551	63247	\N	\N	\N
1279433	4377	1998-05-27	PRIJEM	VKLAD	38363	66829	\N	\N	\N
1279518	4377	1994-06-02	VYBER	VYBER	21617	30647	\N	\N	\N
1279519	4377	1994-05-04	VYBER	VYBER	7834	56535	\N	\N	\N
1279520	4377	1994-03-17	VYBER	VYBER	19235	47862	\N	\N	\N
1279521	4377	1994-10-04	VYBER	VYBER	18348	23902	\N	\N	\N
1279522	4377	1994-12-22	VYBER	VYBER	10420	21787	\N	\N	\N
1279524	4377	1994-04-02	VYBER	VYBER	18499	20805	\N	\N	\N
1279526	4377	1994-05-21	VYBER	VYBER	6715	55006	\N	\N	\N
1279527	4377	1994-06-28	VYBER	VYBER	8354	57633	\N	\N	\N
1279528	4377	1994-07-12	VYBER	VYBER	16591	67510	\N	\N	\N
1279529	4377	1995-06-24	VYBER	VYBER	7902	35046	\N	\N	\N
1279530	4377	1995-09-20	VYBER	VYBER	20802	35978	\N	\N	\N
1279531	4377	1995-05-26	VYBER	VYBER	12270	57952	\N	\N	\N
1279532	4377	1995-07-23	VYBER	VYBER	21310	66279	\N	\N	\N
1279533	4377	1995-01-02	VYBER	VYBER	12625	66071	\N	\N	\N
1279534	4377	1995-06-08	VYBER	VYBER	9601	57548	\N	\N	\N
1279535	4377	1995-11-11	VYBER	VYBER	3123	37094	\N	\N	\N
1279536	4377	1995-02-21	VYBER	VYBER	4955	45401	\N	\N	\N
1279538	4377	1995-07-24	VYBER	VYBER	10681	55598	\N	\N	\N
1279539	4377	1995-05-02	VYBER	VYBER	10348	52245	\N	\N	\N
1279540	4377	1995-04-20	VYBER	VYBER	24539	35612	\N	\N	\N
1279541	4377	1996-04-19	VYBER	VYBER	14938	24418	\N	\N	\N
1279544	4377	1996-08-20	VYBER	VYBER	10326	35336	\N	\N	\N
1279547	4377	1996-11-28	VYBER	VYBER	19874	43721	\N	\N	\N
1279549	4377	1996-08-06	VYBER	VYBER	12366	65262	\N	\N	\N
1279557	4377	1998-12-22	VYBER	VYBER	12322	44158	\N	\N	\N
1279558	4377	1998-12-22	VYBER	VYBER	5770	56480	\N	\N	\N
1279560	4377	1998-05-20	VYBER	VYBER	15187	28466	\N	\N	\N
1279562	4377	1998-05-08	VYBER	VYBER	12328	36449	\N	\N	\N
1279563	4377	1998-12-11	VYBER	VYBER	3064	38626	\N	\N	\N
1279564	4377	1998-08-17	VYBER	VYBER	18744	73762	\N	\N	\N
1279565	4377	1998-03-25	VYBER	VYBER	4892	101092	\N	\N	\N
1279566	4377	1998-04-26	VYBER	VYBER	14952	74624	\N	\N	\N
1279569	4377	1994-06-13	VYDAJ	VYBER	45300	31604	\N	\N	\N
1279577	4377	1996-01-14	VYDAJ	VYBER	19500	26236	\N	\N	\N
1279578	4377	1997-01-24	VYDAJ	VYBER	4500	52386	\N	\N	\N
1279579	4377	1998-01-11	VYDAJ	VYBER	4200	46303	\N	\N	\N
1279581	4377	1994-12-12	VYDAJ	VYBER	3000	61607	\N	\N	\N
1279582	4377	1995-12-23	VYDAJ	VYBER	4500	94100	\N	\N	\N
1279583	4377	1996-12-06	VYDAJ	VYBER KARTOU	1500	29359	\N	\N	0
1279584	4377	1997-12-04	VYDAJ	VYBER	5400	28768	\N	\N	\N
1279585	4377	1998-12-09	VYDAJ	VYBER	8700	41690	\N	\N	\N
1279598	4377	1995-01-26	VYDAJ	VYBER KARTOU	1800	57059	\N	\N	0
1279599	4377	1995-01-01	VYDAJ	VYBER	4200	78696	\N	\N	\N
1279600	4377	1995-01-28	VYDAJ	VYBER	6900	50159	\N	\N	\N
1279601	4377	1995-01-15	VYDAJ	VYBER KARTOU	2100	41871	\N	\N	0
1279602	4377	1995-01-29	VYDAJ	VYBER	5700	44459	\N	\N	\N
1279603	4377	1995-01-10	VYDAJ	VYBER	6000	60071	\N	\N	\N
1279606	4377	1996-01-10	VYDAJ	VYBER	6300	45736	\N	\N	\N
1279607	4377	1996-01-08	VYDAJ	VYBER KARTOU	3600	73836	\N	\N	0
1279610	4377	1997-01-26	VYDAJ	VYBER	7200	45186	\N	\N	\N
1279611	4377	1997-01-22	VYDAJ	VYBER KARTOU	3900	56886	\N	\N	0
1279613	4377	1997-01-03	VYDAJ	VYBER KARTOU	1800	27673	\N	\N	0
1279616	4377	1998-01-07	VYDAJ	VYBER	8700	67303	\N	\N	\N
1279617	4377	1998-01-13	VYDAJ	VYBER	8400	37903	\N	\N	\N
1279618	4377	1998-01-13	VYDAJ	VYBER KARTOU	3600	34303	\N	\N	0
1279619	4377	1998-01-10	VYDAJ	VYBER	4200	63103	\N	\N	\N
1279620	4377	1998-01-24	VYDAJ	VYBER	4500	87950	\N	\N	\N
1279621	4377	1998-01-16	VYDAJ	VYBER KARTOU	2700	31603	\N	\N	0
1279629	4377	1994-12-17	VYDAJ	VYBER	10200	32207	\N	\N	\N
1279630	4377	1994-05-27	VYDAJ	VYBER	3000	52006	\N	\N	\N
1279631	4377	1994-09-24	VYDAJ	VYBER	14700	42107	\N	\N	\N
1279632	4377	1994-09-09	VYDAJ	VYBER	11700	22507	\N	\N	\N
1279633	4377	1994-06-03	VYDAJ	VYBER	3300	27347	\N	\N	\N
1279634	4377	1995-02-03	VYDAJ	VYBER	8100	36569	\N	\N	\N
1279635	4377	1995-03-26	VYDAJ	VYBER KARTOU	2400	100775	\N	\N	0
1279636	4377	1995-10-11	VYDAJ	VYBER	7200	38897	\N	\N	\N
1279637	4377	1995-11-22	VYDAJ	VYBER	7800	72370	\N	\N	\N
1279638	4377	1995-08-20	VYDAJ	VYBER	7500	88582	\N	\N	\N
1279640	4377	1996-06-14	VYDAJ	VYBER	6900	31247	\N	\N	\N
1279641	4377	1996-08-27	VYDAJ	VYBER KARTOU	2700	32636	\N	\N	0
1279643	4377	1997-11-08	VYDAJ	VYBER	6000	77103	\N	\N	\N
1279646	4377	1998-01-10	VYDAJ	VYBER	12600	50503	\N	\N	\N
1279647	4377	1998-09-30	VYDAJ	VYBER KARTOU	1800	38175	\N	\N	0
1279648	4377	1998-04-18	VYDAJ	VYBER	11400	60063	\N	\N	\N
1279649	4377	1998-03-07	VYDAJ	VYBER	9900	39605	\N	\N	\N
1279650	4377	1998-03-06	VYDAJ	VYBER	4800	49505	\N	\N	\N
1279666	4377	1994-03-31	VYDAJ	VYBER	15	39304	SLUZBY	\N	\N
1279667	4377	1994-04-30	VYDAJ	VYBER	15	64369	SLUZBY	\N	\N
1279668	4377	1994-05-31	VYDAJ	VYBER	15	52264	SLUZBY	\N	\N
1279669	4377	1994-06-30	VYDAJ	VYBER	15	57844	SLUZBY	\N	\N
1279670	4377	1994-07-31	VYDAJ	VYBER	15	45334	SLUZBY	\N	\N
1279671	4377	1994-08-31	VYDAJ	VYBER	15	34207	SLUZBY	\N	\N
1279672	4377	1994-09-30	VYDAJ	VYBER	15	42250	SLUZBY	\N	\N
1279673	4377	1994-10-31	VYDAJ	VYBER	15	46621	SLUZBY	\N	\N
1279674	4377	1994-11-30	VYDAJ	VYBER	15	64607	SLUZBY	\N	\N
1279675	4377	1994-12-31	VYDAJ	VYBER	15	82896	SLUZBY	\N	\N
1279676	4377	1995-01-31	VYDAJ	VYBER	15	44669	SLUZBY	\N	\N
1279677	4377	1995-02-28	VYDAJ	VYBER	15	45597	SLUZBY	\N	\N
1279678	4377	1995-03-31	VYDAJ	VYBER	15	115582	SLUZBY	\N	\N
1279679	4377	1995-04-30	VYDAJ	VYBER	15	62593	SLUZBY	\N	\N
1279680	4377	1995-05-31	VYDAJ	VYBER	15	67149	SLUZBY	\N	\N
1279681	4377	1995-06-30	VYDAJ	VYBER	15	66227	SLUZBY	\N	\N
1279682	4377	1995-07-31	VYDAJ	VYBER	15	72102	SLUZBY	\N	\N
1279683	4377	1995-08-31	VYDAJ	VYBER	15	127580	SLUZBY	\N	\N
1279684	4377	1995-09-30	VYDAJ	VYBER	15	36228	SLUZBY	\N	\N
1279685	4377	1995-10-31	VYDAJ	VYBER	15	33524	SLUZBY	\N	\N
1279686	4377	1995-11-30	VYDAJ	VYBER	15	72596	SLUZBY	\N	\N
1279687	4377	1995-12-31	VYDAJ	VYBER	15	112036	SLUZBY	\N	\N
1279688	4377	1996-01-31	VYDAJ	VYBER	15	26398	SLUZBY	\N	\N
1279689	4377	1996-02-29	VYDAJ	VYBER	15	26591	SLUZBY	\N	\N
1279690	4377	1996-03-31	VYDAJ	VYBER	15	54756	SLUZBY	\N	\N
1279691	4377	1996-04-30	VYDAJ	VYBER	15	73958	SLUZBY	\N	\N
1279692	4377	1996-05-31	VYDAJ	VYBER	15	50147	SLUZBY	\N	\N
1279693	4377	1996-06-30	VYDAJ	VYBER	15	31394	SLUZBY	\N	\N
1279694	4377	1996-07-31	VYDAJ	VYBER	15	77628	SLUZBY	\N	\N
1279695	4377	1996-08-31	VYDAJ	VYBER	15	32812	SLUZBY	\N	\N
1279696	4377	1996-09-30	VYDAJ	VYBER	15	28431	SLUZBY	\N	\N
1279697	4377	1996-10-31	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
1279698	4377	1996-11-30	VYDAJ	VYBER	15	43859	SLUZBY	\N	\N
1279699	4377	1996-12-31	VYDAJ	VYBER	15	29473	SLUZBY	\N	\N
1279700	4377	1997-01-31	VYDAJ	VYBER	15	45322	SLUZBY	\N	\N
1279701	4377	1997-02-28	VYDAJ	VYBER	15	31391	SLUZBY	\N	\N
1279702	4377	1997-03-31	VYDAJ	VYBER	15	21402	SLUZBY	\N	\N
1279703	4377	1997-04-30	VYDAJ	VYBER	15	21473	SLUZBY	\N	\N
1279704	4377	1997-05-31	VYDAJ	VYBER	15	21458	SLUZBY	\N	\N
1279705	4377	1997-06-30	VYDAJ	VYBER	15	21618	SLUZBY	\N	\N
1279706	4377	1997-07-31	VYDAJ	VYBER	15	21689	SLUZBY	\N	\N
1279707	4377	1997-08-31	VYDAJ	VYBER	15	21674	SLUZBY	\N	\N
1279708	4377	1997-09-30	VYDAJ	VYBER	15	21833	SLUZBY	\N	\N
1279709	4377	1997-10-31	VYDAJ	VYBER	15	33280	SLUZBY	\N	\N
1279710	4377	1997-11-30	VYDAJ	VYBER	15	34168	SLUZBY	\N	\N
1279711	4377	1997-12-31	VYDAJ	VYBER	15	28890	SLUZBY	\N	\N
1279712	4377	1998-01-31	VYDAJ	VYBER	15	38738	SLUZBY	\N	\N
1279713	4377	1998-02-28	VYDAJ	VYBER	15	54305	SLUZBY	\N	\N
1279714	4377	1998-03-31	VYDAJ	VYBER	15	38984	SLUZBY	\N	\N
1279715	4377	1998-04-30	VYDAJ	VYBER	15	48777	SLUZBY	\N	\N
1279716	4377	1998-05-31	VYDAJ	VYBER	15	63233	SLUZBY	\N	\N
1279717	4377	1998-06-30	VYDAJ	VYBER	15	26255	SLUZBY	\N	\N
1279718	4377	1998-07-31	VYDAJ	VYBER	15	56125	SLUZBY	\N	\N
1279719	4377	1998-08-31	VYDAJ	VYBER	15	24000	SLUZBY	\N	\N
1279720	4377	1998-09-30	VYDAJ	VYBER	15	38160	SLUZBY	\N	\N
1279721	4377	1998-10-31	VYDAJ	VYBER	15	81756	SLUZBY	\N	\N
1279722	4377	1998-11-30	VYDAJ	VYBER	15	21967	SLUZBY	\N	\N
1279723	4377	1993-05-24	PRIJEM	VKLAD	13500	14000	\N	\N	\N
1279724	4377	1993-06-23	PRIJEM	VKLAD	6800	20800	\N	\N	\N
1279725	4377	1993-07-23	VYDAJ	VYBER	20300	44277	\N	\N	\N
1279726	4377	1993-08-22	VYDAJ	VYBER	27700	47310	\N	\N	\N
1279727	4377	1993-09-21	VYDAJ	VYBER	13400	34098	\N	\N	\N
1279728	4377	1993-10-21	VYDAJ	VYBER	4300	29995	\N	\N	\N
1279729	4377	1993-11-20	VYDAJ	VYBER	2700	27492	\N	\N	\N
1279730	4377	1993-12-20	VYDAJ	VYBER	2700	24990	\N	\N	\N
1279731	4377	1994-01-19	VYDAJ	VYBER	1800	23387	\N	\N	\N
1279732	4377	1994-02-18	VYDAJ	VYBER	10800	31495	\N	\N	\N
1279733	4377	1994-03-03	VYDAJ	VYBER	64200	103292	\N	\N	\N
1279734	4377	1994-03-07	VYDAJ	VYBER	54900	67097	\N	\N	\N
1279735	4377	1994-03-20	VYDAJ	VYBER	8900	38962	\N	\N	\N
1279736	4377	1994-04-19	VYDAJ	VYBER	33700	64059	\N	\N	\N
1279737	4377	1994-05-19	VYDAJ	VYBER	35300	61721	\N	\N	\N
1279738	4377	1994-06-18	VYDAJ	VYBER	16400	45474	\N	\N	\N
1279739	4377	1994-07-18	VYDAJ	VYBER	22400	45110	\N	\N	\N
1279740	4377	1994-08-17	VYDAJ	VYBER	11300	34034	\N	\N	\N
1279741	4377	1994-09-16	PRIJEM	VKLAD	3400	25907	\N	\N	\N
1279742	4377	1994-10-16	VYDAJ	VYBER	22500	46426	\N	\N	\N
1279743	4377	1994-11-15	VYDAJ	VYBER	9700	36921	\N	\N	\N
1279744	4377	1994-12-15	VYDAJ	VYBER	19200	42407	\N	\N	\N
1279745	4377	1995-01-14	VYDAJ	VYBER	16100	43971	\N	\N	\N
1279746	4377	1995-02-13	VYDAJ	VYBER	23400	50356	\N	\N	\N
1279747	4377	1995-03-15	VYDAJ	VYBER	27700	58323	\N	\N	\N
1279748	4377	1995-03-30	VYDAJ	VYBER	23700	115288	\N	\N	\N
1279749	4377	1995-03-31	VYDAJ	VYBER	43700	71882	\N	\N	\N
1279750	4377	1995-04-10	VYDAJ	VYBER	41100	73124	\N	\N	\N
1279751	4377	1995-04-13	VYDAJ	VYBER	44000	90651	\N	\N	\N
1279752	4377	1995-04-14	VYDAJ	VYBER	30500	60151	\N	\N	\N
1279753	4377	1995-05-11	VYDAJ	VYBER	34300	80037	\N	\N	\N
1279754	4377	1995-05-14	VYDAJ	VYBER	26100	53937	\N	\N	\N
1279755	4377	1995-05-22	VYDAJ	VYBER	52000	70222	\N	\N	\N
1279756	4377	1995-06-13	VYDAJ	VYBER	14600	42948	\N	\N	\N
1279757	4377	1995-07-13	VYDAJ	VYBER	23500	53194	\N	\N	\N
1279758	4377	1995-08-12	VYDAJ	VYBER	21400	50702	\N	\N	\N
1279759	4377	1995-08-31	VYDAJ	VYBER	47900	79680	\N	\N	\N
1279760	4377	1995-09-11	VYDAJ	VYBER	22900	56780	\N	\N	\N
1279761	4377	1995-10-11	VYDAJ	VYBER	5500	33397	\N	\N	\N
1279762	4377	1995-11-10	VYDAJ	VYBER	11400	40217	\N	\N	\N
1279763	4377	1995-12-04	VYDAJ	VYBER	50100	67612	\N	\N	\N
1279764	4377	1995-12-10	VYDAJ	VYBER	17700	49912	\N	\N	\N
1279765	4377	1995-12-22	VYDAJ	VYBER	22000	98600	\N	\N	\N
1279766	4377	1995-12-31	VYDAJ	VYBER	34600	77436	\N	\N	\N
1279767	4377	1996-01-09	VYDAJ	VYBER	21800	52036	\N	\N	\N
1279768	4377	1996-02-08	PRIJEM	VKLAD	100	26498	\N	\N	\N
1279769	4377	1996-03-09	PRIJEM	VKLAD	3400	29991	\N	\N	\N
1279770	4377	1996-04-08	VYDAJ	VYBER	15400	39356	\N	\N	\N
1279771	4377	1996-05-08	VYDAJ	VYBER	24100	49858	\N	\N	\N
1279772	4377	1996-06-07	VYDAJ	VYBER	12000	38147	\N	\N	\N
1279773	4377	1996-07-07	VYDAJ	VYBER	19900	48033	\N	\N	\N
1279774	4377	1996-08-06	VYDAJ	VYBER	19600	45662	\N	\N	\N
1279775	4377	1996-09-05	VYDAJ	VYBER	4500	28312	\N	\N	\N
1279776	4377	1996-10-05	VYDAJ	VYBER	5400	23031	\N	\N	\N
1279777	4377	1996-11-04	PRIJEM	VKLAD	1800	24932	\N	\N	\N
1279778	4377	1996-12-04	VYDAJ	VYBER	13000	30859	\N	\N	\N
1279779	4377	1997-01-03	VYDAJ	VYBER	5000	22673	\N	\N	\N
1279780	4377	1997-02-02	VYDAJ	VYBER	14100	31222	\N	\N	\N
1279781	4377	1997-03-04	VYDAJ	VYBER	10100	21291	\N	\N	\N
1279782	4377	1997-10-30	VYDAJ	VYBER	33200	33206	\N	\N	\N
1279783	4377	1997-11-29	VYDAJ	VYBER	43200	33903	\N	\N	\N
1279784	4377	1998-01-28	VYDAJ	VYBER	49400	38550	\N	\N	\N
1279785	4377	1998-02-26	VYDAJ	VYBER	16500	98579	\N	\N	\N
1279786	4377	1998-02-27	VYDAJ	VYBER	57300	41279	\N	\N	\N
1279787	4377	1998-03-23	VYDAJ	VYBER	18300	123577	\N	\N	\N
1279788	4377	1998-03-24	VYDAJ	VYBER	44700	105984	\N	\N	\N
1279789	4377	1998-03-29	VYDAJ	VYBER	62400	38692	\N	\N	\N
1279790	4377	1998-04-25	VYDAJ	VYBER	23200	89576	\N	\N	\N
1279791	4377	1998-04-28	VYDAJ	VYBER	63700	48587	\N	\N	\N
1279792	4377	1998-05-28	VYDAJ	VYBER	43300	23529	\N	\N	\N
1279793	4377	1998-06-27	VYDAJ	VYBER	53600	26033	\N	\N	\N
1279794	4377	1998-08-12	VYDAJ	VYBER	36800	103796	\N	\N	\N
1279795	4377	1998-08-16	VYDAJ	VYBER	38700	92506	\N	\N	\N
1279796	4377	1998-08-26	VYDAJ	VYBER	50000	23762	\N	\N	\N
1279797	4377	1998-11-24	VYDAJ	VYBER	60100	21656	\N	\N	\N
1280276	4379	1996-06-28	PRIJEM	VKLAD	500	500	\N	\N	\N
1280283	4379	1996-07-14	PRIJEM	VKLAD	5679	6179	\N	\N	\N
1280284	4379	1996-08-14	PRIJEM	VKLAD	5679	21066	\N	\N	\N
1280285	4379	1996-09-14	PRIJEM	VKLAD	5679	26613	\N	\N	\N
1280286	4379	1996-10-14	PRIJEM	VKLAD	5679	31983	\N	\N	\N
1280287	4379	1996-11-14	PRIJEM	VKLAD	5679	33973	\N	\N	\N
1280288	4379	1996-12-14	PRIJEM	VKLAD	8519	30732	\N	\N	\N
1280289	4379	1997-01-14	PRIJEM	VKLAD	5679	23890	\N	\N	\N
1280290	4379	1997-02-14	PRIJEM	VKLAD	5679	18560	\N	\N	\N
1280291	4379	1997-03-14	PRIJEM	VKLAD	5679	23382	\N	\N	\N
1280292	4379	1997-04-14	PRIJEM	VKLAD	5679	25522	\N	\N	\N
1280293	4379	1997-05-14	PRIJEM	VKLAD	5679	26770	\N	\N	\N
1280294	4379	1997-06-14	PRIJEM	VKLAD	8519	28060	\N	\N	\N
1280295	4379	1997-07-14	PRIJEM	VKLAD	5679	22044	\N	\N	\N
1280296	4379	1997-08-14	PRIJEM	VKLAD	5679	20474	\N	\N	\N
1280297	4379	1997-09-14	PRIJEM	VKLAD	5679	22903	\N	\N	\N
1280298	4379	1997-10-14	PRIJEM	VKLAD	5679	22038	\N	\N	\N
1280299	4379	1997-11-14	PRIJEM	VKLAD	5679	20568	\N	\N	\N
1280300	4379	1997-12-14	PRIJEM	VKLAD	8519	22096	\N	\N	\N
1280301	4379	1998-01-14	PRIJEM	VKLAD	5679	17427	\N	\N	\N
1280302	4379	1998-02-14	PRIJEM	VKLAD	5679	19205	\N	\N	\N
1280303	4379	1998-03-14	PRIJEM	VKLAD	5679	18224	\N	\N	\N
1280304	4379	1998-04-14	PRIJEM	VKLAD	5679	19442	\N	\N	\N
1280305	4379	1998-05-14	PRIJEM	VKLAD	5679	18662	\N	\N	\N
1280306	4379	1998-06-14	PRIJEM	VKLAD	8519	19917	\N	\N	\N
1280307	4379	1998-07-14	PRIJEM	VKLAD	5679	17429	\N	\N	\N
1280308	4379	1998-08-14	PRIJEM	VKLAD	5679	23143	\N	\N	\N
1280309	4379	1998-09-14	PRIJEM	VKLAD	5679	28881	\N	\N	\N
1280310	4379	1998-10-14	PRIJEM	VKLAD	5679	17017	\N	\N	\N
1280311	4379	1998-11-14	PRIJEM	VKLAD	5679	20576	\N	\N	\N
1280312	4379	1998-12-14	PRIJEM	VKLAD	8519	25142	\N	\N	\N
1280317	4379	1997-01-20	VYDAJ	VYBER	1760	20570	\N	\N	\N
1280319	4379	1996-12-06	VYDAJ	VYBER	3360	22213	\N	\N	\N
1280320	4379	1997-12-02	VYDAJ	VYBER	3680	13577	\N	\N	\N
1280321	4379	1998-12-02	VYDAJ	VYBER	4000	16624	\N	\N	\N
1280328	4379	1997-01-28	VYDAJ	VYBER	3480	12810	\N	\N	\N
1280329	4379	1997-01-06	VYDAJ	VYBER	960	23971	\N	\N	\N
1280330	4379	1997-01-04	VYDAJ	VYBER	600	24931	\N	\N	\N
1280331	4379	1997-01-26	VYDAJ	VYBER	2880	16290	\N	\N	\N
1280332	4379	1997-01-11	VYDAJ	VYBER	2640	18211	\N	\N	\N
1280333	4379	1997-01-14	VYDAJ	VYBER	1560	22330	\N	\N	\N
1280337	4379	1998-01-15	VYDAJ	VYBER	600	14787	\N	\N	\N
1280339	4379	1998-01-15	VYDAJ	VYBER	2040	15387	\N	\N	\N
1280342	4379	1997-11-25	VYDAJ	VYBER	3360	17208	\N	\N	\N
1280343	4379	1997-06-28	VYDAJ	VYBER	1560	16300	\N	\N	\N
1280346	4379	1997-01-09	VYDAJ	VYBER	3120	20851	\N	\N	\N
1280350	4379	1998-10-15	VYDAJ	VYBER	2160	14857	\N	\N	\N
1280363	4379	1996-11-30	VYDAJ	VYBER	15	25573	SLUZBY	\N	\N
1280364	4379	1996-12-31	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
1280365	4379	1997-01-31	VYDAJ	VYBER	15	12881	SLUZBY	\N	\N
1280366	4379	1997-02-28	VYDAJ	VYBER	15	17703	SLUZBY	\N	\N
1280367	4379	1997-03-31	VYDAJ	VYBER	15	19843	SLUZBY	\N	\N
1280368	4379	1997-04-30	VYDAJ	VYBER	15	21091	SLUZBY	\N	\N
1280369	4379	1997-05-31	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
1280370	4379	1997-06-30	VYDAJ	VYBER	15	16365	SLUZBY	\N	\N
1280371	4379	1997-07-31	VYDAJ	VYBER	15	14795	SLUZBY	\N	\N
1280372	4379	1997-08-31	VYDAJ	VYBER	15	17224	SLUZBY	\N	\N
1280373	4379	1997-09-30	VYDAJ	VYBER	15	16359	SLUZBY	\N	\N
1280374	4379	1997-10-31	VYDAJ	VYBER	15	14889	SLUZBY	\N	\N
1280375	4379	1997-11-30	VYDAJ	VYBER	15	17257	SLUZBY	\N	\N
1280376	4379	1997-12-31	VYDAJ	VYBER	15	11748	SLUZBY	\N	\N
1280377	4379	1998-01-31	VYDAJ	VYBER	15	13526	SLUZBY	\N	\N
1280378	4379	1998-02-28	VYDAJ	VYBER	15	12545	SLUZBY	\N	\N
1280379	4379	1998-03-31	VYDAJ	VYBER	15	13763	SLUZBY	\N	\N
1280380	4379	1998-04-30	VYDAJ	VYBER	15	12983	SLUZBY	\N	\N
1280381	4379	1998-05-31	VYDAJ	VYBER	15	11399	SLUZBY	\N	\N
1280382	4379	1998-06-30	VYDAJ	VYBER	15	11750	SLUZBY	\N	\N
1280383	4379	1998-07-31	VYDAJ	VYBER	15	17464	SLUZBY	\N	\N
1280384	4379	1998-08-31	VYDAJ	VYBER	15	23202	SLUZBY	\N	\N
1280385	4379	1998-09-30	VYDAJ	VYBER	15	11338	SLUZBY	\N	\N
1280386	4379	1998-10-31	VYDAJ	VYBER	15	14897	SLUZBY	\N	\N
1280387	4379	1998-11-30	VYDAJ	VYBER	15	20624	SLUZBY	\N	\N
1280388	4379	1996-07-28	PRIJEM	VKLAD	9200	15379	\N	\N	\N
1280389	4379	1996-08-27	VYDAJ	VYBER	200	20866	\N	\N	\N
1280390	4379	1996-09-26	VYDAJ	VYBER	400	26213	\N	\N	\N
1280391	4379	1996-10-26	VYDAJ	VYBER	3800	28183	\N	\N	\N
1280392	4379	1996-11-25	VYDAJ	VYBER	8500	25473	\N	\N	\N
1280393	4379	1996-12-25	VYDAJ	VYBER	5300	25432	\N	\N	\N
1280394	4379	1997-01-24	VYDAJ	VYBER	1400	19170	\N	\N	\N
1280395	4379	1997-02-23	VYDAJ	VYBER	900	17660	\N	\N	\N
1280396	4379	1997-03-25	VYDAJ	VYBER	3600	19782	\N	\N	\N
1280397	4379	1997-04-24	VYDAJ	VYBER	4500	21022	\N	\N	\N
1280398	4379	1997-05-24	VYDAJ	VYBER	7300	19470	\N	\N	\N
1280399	4379	1997-06-23	VYDAJ	VYBER	10200	17860	\N	\N	\N
1280400	4379	1997-07-23	VYDAJ	VYBER	7300	14744	\N	\N	\N
1280401	4379	1997-08-22	VYDAJ	VYBER	3300	17174	\N	\N	\N
1280402	4379	1997-09-21	VYDAJ	VYBER	6600	16303	\N	\N	\N
1280403	4379	1997-10-21	VYDAJ	VYBER	7200	14838	\N	\N	\N
1280404	4379	1997-12-20	VYDAJ	VYBER	10400	11696	\N	\N	\N
1280405	4379	1998-01-19	VYDAJ	VYBER	1300	13487	\N	\N	\N
1280406	4379	1998-02-18	VYDAJ	VYBER	6700	12505	\N	\N	\N
1280407	4379	1998-03-20	VYDAJ	VYBER	4500	13724	\N	\N	\N
1280408	4379	1998-04-19	VYDAJ	VYBER	6500	12942	\N	\N	\N
1280409	4379	1998-05-19	VYDAJ	VYBER	7300	11362	\N	\N	\N
1280410	4379	1998-06-18	VYDAJ	VYBER	8200	11717	\N	\N	\N
1280411	4379	1998-09-16	VYDAJ	VYBER	17600	11281	\N	\N	\N
1280412	4379	1998-12-15	VYDAJ	VYBER	12800	12342	\N	\N	\N
1281328	4383	1996-11-10	PRIJEM	VKLAD	800	800	\N	\N	\N
1281333	4383	1996-12-21	PRIJEM	VKLAD	19784	30084	\N	\N	\N
1281357	4383	1997-02-03	PRIJEM	VKLAD	29102	79423	\N	\N	\N
1281358	4383	1997-05-14	PRIJEM	VKLAD	8311	30142	\N	\N	\N
1281359	4383	1997-03-14	PRIJEM	VKLAD	14473	50311	\N	\N	\N
1281360	4383	1997-06-26	PRIJEM	VKLAD	31976	51213	\N	\N	\N
1281361	4383	1997-08-01	PRIJEM	VKLAD	5385	37235	\N	\N	\N
1281362	4383	1997-09-06	PRIJEM	VKLAD	21485	54325	\N	\N	\N
1281363	4383	1997-01-30	PRIJEM	VKLAD	12673	50179	\N	\N	\N
1281364	4383	1997-08-23	PRIJEM	VKLAD	12478	36996	\N	\N	\N
1281365	4383	1997-12-30	PRIJEM	VKLAD	25243	46379	\N	\N	\N
1281366	4383	1997-03-20	PRIJEM	VKLAD	23242	73553	\N	\N	\N
1281367	4383	1997-01-18	PRIJEM	VKLAD	10777	37506	\N	\N	\N
1281368	4383	1997-12-20	PRIJEM	VKLAD	16028	29236	\N	\N	\N
1281369	4383	1997-07-27	PRIJEM	VKLAD	17683	50875	\N	\N	\N
1281370	4383	1998-04-18	PRIJEM	VKLAD	7580	33889	\N	\N	\N
1281371	4383	1998-09-26	PRIJEM	VKLAD	48450	111128	\N	\N	\N
1281372	4383	1998-08-18	PRIJEM	VKLAD	16526	73596	\N	\N	\N
1281373	4383	1998-04-04	PRIJEM	VKLAD	23874	114726	\N	\N	\N
1281374	4383	1998-11-01	PRIJEM	VKLAD	19481	64577	\N	\N	\N
1281375	4383	1998-02-16	PRIJEM	VKLAD	42757	64016	\N	\N	\N
1281376	4383	1998-10-27	PRIJEM	VKLAD	30016	132415	\N	\N	\N
1281377	4383	1998-02-25	PRIJEM	VKLAD	7862	99437	\N	\N	\N
1281378	4383	1998-05-15	PRIJEM	VKLAD	33619	50964	\N	\N	\N
1281379	4383	1998-12-21	PRIJEM	VKLAD	19222	85291	\N	\N	\N
1281380	4383	1998-11-21	PRIJEM	VKLAD	36216	88176	\N	\N	\N
1281381	4383	1998-12-20	PRIJEM	VKLAD	45782	66069	\N	\N	\N
1281382	4383	1998-06-18	PRIJEM	VKLAD	33931	65294	\N	\N	\N
1281383	4383	1998-05-30	PRIJEM	VKLAD	13288	74000	\N	\N	\N
1281384	4383	1998-01-27	PRIJEM	VKLAD	39105	55141	\N	\N	\N
1281385	4383	1998-10-27	PRIJEM	VKLAD	38429	102399	\N	\N	\N
1281386	4383	1998-02-22	PRIJEM	VKLAD	27559	91575	\N	\N	\N
1281387	4383	1998-08-27	PRIJEM	VKLAD	44225	146652	\N	\N	\N
1281388	4383	1998-04-21	PRIJEM	VKLAD	32113	66002	\N	\N	\N
1281389	4383	1998-02-25	PRIJEM	VKLAD	16673	116110	\N	\N	\N
1281390	4383	1998-05-22	PRIJEM	VKLAD	22347	73311	\N	\N	\N
1281391	4383	1998-07-02	PRIJEM	VKLAD	47631	113119	\N	\N	\N
1281392	4383	1998-09-21	PRIJEM	VKLAD	20622	69578	\N	\N	\N
1281393	4383	1998-03-24	PRIJEM	VKLAD	28964	106231	\N	\N	\N
1281394	4383	1998-08-17	PRIJEM	VKLAD	49342	57070	\N	\N	\N
1281395	4383	1998-10-26	PRIJEM	VKLAD	32932	63970	\N	\N	\N
1281396	4383	1998-03-07	PRIJEM	VKLAD	44469	89924	\N	\N	\N
1281397	4383	1998-08-23	PRIJEM	VKLAD	28831	102427	\N	\N	\N
1281398	4383	1998-03-30	PRIJEM	VKLAD	5294	111525	\N	\N	\N
1281450	4383	1997-04-07	VYDAJ	PREVOD NA UCET	8352	57871	SIPO	AB	54309666
1281451	4383	1997-05-07	VYDAJ	PREVOD NA UCET	8352	26031	SIPO	AB	54309666
1281452	4383	1997-06-07	VYDAJ	PREVOD NA UCET	8352	17637	SIPO	AB	54309666
1281453	4383	1997-07-07	VYDAJ	PREVOD NA UCET	8352	38692	SIPO	AB	54309666
1281454	4383	1997-08-07	VYDAJ	PREVOD NA UCET	8352	24618	SIPO	AB	54309666
1281455	4383	1997-09-07	VYDAJ	PREVOD NA UCET	8352	37473	SIPO	AB	54309666
1281456	4383	1997-10-07	VYDAJ	PREVOD NA UCET	8352	21798	SIPO	AB	54309666
1281457	4383	1997-11-07	VYDAJ	PREVOD NA UCET	8352	15469	SIPO	AB	54309666
1281458	4383	1997-12-07	VYDAJ	PREVOD NA UCET	8352	13208	SIPO	AB	54309666
1281459	4383	1998-01-07	VYDAJ	PREVOD NA UCET	8352	16036	SIPO	AB	54309666
1281460	4383	1998-02-07	VYDAJ	PREVOD NA UCET	8352	21259	SIPO	AB	54309666
1281461	4383	1998-03-07	VYDAJ	PREVOD NA UCET	8352	81572	SIPO	AB	54309666
1281462	4383	1998-04-07	VYDAJ	PREVOD NA UCET	8352	26309	SIPO	AB	54309666
1281463	4383	1998-05-07	VYDAJ	PREVOD NA UCET	8352	17345	SIPO	AB	54309666
1281464	4383	1998-06-07	VYDAJ	PREVOD NA UCET	8352	31363	SIPO	AB	54309666
1281465	4383	1998-07-07	VYDAJ	PREVOD NA UCET	8352	28712	SIPO	AB	54309666
1281466	4383	1998-08-07	VYDAJ	PREVOD NA UCET	8352	7728	SIPO	AB	54309666
1281467	4383	1998-09-07	VYDAJ	PREVOD NA UCET	8352	48956	SIPO	AB	54309666
1281468	4383	1998-10-07	VYDAJ	PREVOD NA UCET	8352	35838	SIPO	AB	54309666
1281469	4383	1998-11-07	VYDAJ	PREVOD NA UCET	8352	51960	SIPO	AB	54309666
1281470	4383	1998-12-07	VYDAJ	PREVOD NA UCET	8352	20287	SIPO	AB	54309666
1281486	4383	1997-04-05	VYDAJ	PREVOD NA UCET	4265	66223	 	KL	99767720
1281487	4383	1997-05-05	VYDAJ	PREVOD NA UCET	4265	34383	 	KL	99767720
1281488	4383	1997-06-05	VYDAJ	PREVOD NA UCET	4265	25989	 	KL	99767720
1281489	4383	1997-07-05	VYDAJ	PREVOD NA UCET	4265	47044	 	KL	99767720
1281490	4383	1997-08-05	VYDAJ	PREVOD NA UCET	4265	32970	 	KL	99767720
1281491	4383	1997-09-05	VYDAJ	PREVOD NA UCET	4265	32840	 	KL	99767720
1281492	4383	1997-10-05	VYDAJ	PREVOD NA UCET	4265	33350	 	KL	99767720
1281493	4383	1997-11-05	VYDAJ	PREVOD NA UCET	4265	23821	 	KL	99767720
1281494	4383	1997-12-05	VYDAJ	PREVOD NA UCET	4265	21560	 	KL	99767720
1281495	4383	1998-01-05	VYDAJ	PREVOD NA UCET	4265	29488	 	KL	99767720
1281496	4383	1998-02-05	VYDAJ	PREVOD NA UCET	4265	36673	 	KL	99767720
1281497	4383	1998-03-05	VYDAJ	PREVOD NA UCET	4265	45455	 	KL	99767720
1281498	4383	1998-04-05	VYDAJ	PREVOD NA UCET	4265	34661	 	KL	99767720
1281499	4383	1998-05-05	VYDAJ	PREVOD NA UCET	4265	29100	 	KL	99767720
1281500	4383	1998-06-05	VYDAJ	PREVOD NA UCET	4265	39715	 	KL	99767720
1281501	4383	1998-07-05	VYDAJ	PREVOD NA UCET	4265	52654	 	KL	99767720
1281502	4383	1998-08-05	VYDAJ	PREVOD NA UCET	4265	16080	 	KL	99767720
1281503	4383	1998-09-05	VYDAJ	PREVOD NA UCET	4265	57308	 	KL	99767720
1281504	4383	1998-10-05	VYDAJ	PREVOD NA UCET	4265	44190	 	KL	99767720
1281505	4383	1998-11-05	VYDAJ	PREVOD NA UCET	4265	60312	 	KL	99767720
1281506	4383	1998-12-05	VYDAJ	PREVOD NA UCET	4265	28639	 	KL	99767720
1281514	4383	1997-07-28	VYBER	VYBER	19166	31709	\N	\N	\N
1281515	4383	1998-02-07	VYBER	VYBER	7062	29611	\N	\N	\N
1281516	4383	1998-04-22	VYBER	VYBER	17207	48795	\N	\N	\N
1281517	4383	1998-07-07	VYBER	VYBER	15590	37064	\N	\N	\N
1281518	4383	1998-03-18	VYBER	VYBER	4305	77267	\N	\N	\N
1281519	4383	1998-05-27	VYBER	VYBER	12599	60712	\N	\N	\N
1281520	4383	1998-11-24	VYBER	VYBER	6507	81669	\N	\N	\N
1281521	4383	1998-11-29	VYBER	VYBER	18502	63167	\N	\N	\N
1281522	4383	1998-05-07	VYBER	VYBER	3403	25697	\N	\N	\N
1281524	4383	1998-10-01	VYBER	VYBER	3534	79155	\N	\N	\N
1281525	4383	1998-06-01	VYBER	VYBER	8300	65880	\N	\N	\N
1281533	4383	1997-12-29	VYDAJ	VYBER	8100	21136	\N	\N	\N
1281534	4383	1998-12-28	VYDAJ	VYBER	7200	74191	\N	\N	\N
1281550	4383	1998-01-06	VYDAJ	VYBER	5100	24388	\N	\N	\N
1281560	4383	1997-03-30	VYDAJ	VYBER	3300	70253	\N	\N	\N
1281563	4383	1998-09-21	VYDAJ	VYBER	6900	62678	\N	\N	\N
1281564	4383	1998-10-31	VYDAJ	VYBER	8400	45111	\N	\N	\N
1281566	4383	1998-10-19	VYDAJ	VYBER	4800	31038	\N	\N	\N
1281567	4383	1998-12-03	VYDAJ	VYBER	12000	32904	\N	\N	\N
1281568	4383	1998-12-25	VYDAJ	VYBER	3900	81391	\N	\N	\N
1281584	4383	1997-03-31	VYDAJ	VYBER	15	70488	SLUZBY	\N	\N
1281585	4383	1997-04-30	VYDAJ	VYBER	15	38648	SLUZBY	\N	\N
1281586	4383	1997-05-31	VYDAJ	VYBER	15	30254	SLUZBY	\N	\N
1281587	4383	1997-06-30	VYDAJ	VYBER	15	51309	SLUZBY	\N	\N
1281588	4383	1997-07-31	VYDAJ	VYBER	15	31850	SLUZBY	\N	\N
1281589	4383	1997-08-31	VYDAJ	VYBER	15	37105	SLUZBY	\N	\N
1281590	4383	1997-09-30	VYDAJ	VYBER	15	37615	SLUZBY	\N	\N
1281591	4383	1997-10-31	VYDAJ	VYBER	15	21886	SLUZBY	\N	\N
1281592	4383	1997-11-30	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
1281593	4383	1997-12-31	VYDAJ	VYBER	15	46453	SLUZBY	\N	\N
1281594	4383	1998-01-31	VYDAJ	VYBER	15	55238	SLUZBY	\N	\N
1281595	4383	1998-02-28	VYDAJ	VYBER	15	67420	SLUZBY	\N	\N
1281596	4383	1998-03-31	VYDAJ	VYBER	15	90852	SLUZBY	\N	\N
1281597	4383	1998-04-30	VYDAJ	VYBER	15	48965	SLUZBY	\N	\N
1281598	4383	1998-05-31	VYDAJ	VYBER	15	74180	SLUZBY	\N	\N
1281599	4383	1998-06-30	VYDAJ	VYBER	15	65488	SLUZBY	\N	\N
1281600	4383	1998-07-31	VYDAJ	VYBER	15	28845	SLUZBY	\N	\N
1281601	4383	1998-08-31	VYDAJ	VYBER	15	107673	SLUZBY	\N	\N
1281602	4383	1998-09-30	VYDAJ	VYBER	15	82689	SLUZBY	\N	\N
1281603	4383	1998-10-31	VYDAJ	VYBER	15	45096	SLUZBY	\N	\N
1281604	4383	1998-11-30	VYDAJ	VYBER	15	44904	SLUZBY	\N	\N
1281605	4383	1996-12-10	PRIJEM	VKLAD	9500	10300	\N	\N	\N
1281606	4383	1997-01-09	VYDAJ	VYBER	3400	26729	\N	\N	\N
1281607	4383	1997-02-08	VYDAJ	VYBER	27400	52023	\N	\N	\N
1281608	4383	1997-03-10	VYDAJ	VYBER	16400	35838	\N	\N	\N
1281609	4383	1997-04-09	VYDAJ	VYBER	19400	38471	\N	\N	\N
1281610	4383	1997-05-09	VYDAJ	VYBER	4200	21831	\N	\N	\N
1281611	4383	1997-06-08	PRIJEM	VKLAD	1600	19237	\N	\N	\N
1281612	4383	1997-07-08	VYDAJ	VYBER	5500	33192	\N	\N	\N
1281613	4383	1997-08-07	VYDAJ	VYBER	100	24518	\N	\N	\N
1281614	4383	1997-09-06	VYDAJ	VYBER	8500	45825	\N	\N	\N
1281615	4383	1997-10-06	VYDAJ	VYBER	3200	30150	\N	\N	\N
1281616	4383	1997-11-05	PRIJEM	VKLAD	6200	28086	\N	\N	\N
1281617	4383	1997-12-05	PRIJEM	VKLAD	10300	25825	\N	\N	\N
1281618	4383	1998-01-04	VYDAJ	VYBER	12700	33753	\N	\N	\N
1281619	4383	1998-02-03	VYDAJ	VYBER	14300	40938	\N	\N	\N
1281620	4383	1998-02-25	VYDAJ	VYBER	48900	67210	\N	\N	\N
1281621	4383	1998-03-05	VYDAJ	VYBER	17700	49720	\N	\N	\N
1281622	4383	1998-03-30	VYDAJ	VYBER	21000	90525	\N	\N	\N
1281623	4383	1998-04-04	VYDAJ	VYBER	55800	38926	\N	\N	\N
1281624	4383	1998-04-04	VYDAJ	VYBER	20000	94726	\N	\N	\N
1281625	4383	1998-05-04	VYDAJ	VYBER	15600	33365	\N	\N	\N
1281626	4383	1998-06-03	VYDAJ	VYBER	21900	43980	\N	\N	\N
1281627	4383	1998-07-02	VYDAJ	VYBER	20400	92719	\N	\N	\N
1281628	4383	1998-07-03	VYDAJ	VYBER	35800	56919	\N	\N	\N
1281629	4383	1998-08-02	VYDAJ	VYBER	8500	20345	\N	\N	\N
1281630	4383	1998-08-27	VYDAJ	VYBER	39200	107452	\N	\N	\N
1281631	4383	1998-09-01	VYDAJ	VYBER	46100	61573	\N	\N	\N
1281632	4383	1998-09-26	VYDAJ	VYBER	28700	82428	\N	\N	\N
1281633	4383	1998-10-01	VYDAJ	VYBER	30700	48455	\N	\N	\N
1281634	4383	1998-10-27	VYDAJ	VYBER	57700	74715	\N	\N	\N
1281635	4383	1998-10-31	VYDAJ	VYBER	21400	53511	\N	\N	\N
1281636	4383	1998-11-30	VYDAJ	VYBER	18500	44918	\N	\N	\N
1281782	4385	1993-11-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1281785	4385	1994-03-10	PRIJEM	VKLAD	46896	70462	\N	\N	\N
1281786	4385	1994-12-12	PRIJEM	VKLAD	5699	34907	\N	\N	\N
1281787	4385	1995-05-16	PRIJEM	VKLAD	44905	73541	\N	\N	\N
1281788	4385	1995-10-18	PRIJEM	VKLAD	31581	63437	\N	\N	\N
1281789	4385	1996-10-04	PRIJEM	VKLAD	48082	86052	\N	\N	\N
1281790	4385	1996-02-25	PRIJEM	VKLAD	8358	33057	\N	\N	\N
1281791	4385	1997-09-14	PRIJEM	VKLAD	44689	70025	\N	\N	\N
1281792	4385	1997-04-25	PRIJEM	VKLAD	4376	35834	\N	\N	\N
1281793	4385	1998-01-01	PRIJEM	VKLAD	7846	31164	\N	\N	\N
1281794	4385	1998-07-10	PRIJEM	VKLAD	47717	66918	\N	\N	\N
1281806	4385	1993-12-17	PRIJEM	VKLAD	1900	2900	\N	\N	\N
1281807	4385	1994-01-14	PRIJEM	VKLAD	1900	14816	\N	\N	\N
1281808	4385	1994-02-17	PRIJEM	VKLAD	1900	21879	\N	\N	\N
1281809	4385	1994-03-14	PRIJEM	VKLAD	1900	72362	\N	\N	\N
1281810	4385	1994-04-13	PRIJEM	VKLAD	1900	52537	\N	\N	\N
1281811	4385	1994-05-14	PRIJEM	VKLAD	1900	42721	\N	\N	\N
1281812	4385	1994-06-14	PRIJEM	VKLAD	1900	24866	\N	\N	\N
1281813	4385	1994-07-16	PRIJEM	VKLAD	1900	24966	\N	\N	\N
1281814	4385	1994-08-14	PRIJEM	VKLAD	1900	25750	\N	\N	\N
1281815	4385	1994-09-16	PRIJEM	VKLAD	1900	26087	\N	\N	\N
1281816	4385	1994-10-16	PRIJEM	VKLAD	1900	25623	\N	\N	\N
1281817	4385	1994-11-17	PRIJEM	VKLAD	1900	27510	\N	\N	\N
1281818	4385	1994-12-13	PRIJEM	VKLAD	1900	36807	\N	\N	\N
1281819	4385	1995-01-17	PRIJEM	VKLAD	1900	25272	\N	\N	\N
1281820	4385	1995-02-14	PRIJEM	VKLAD	1900	22966	\N	\N	\N
1281821	4385	1995-03-13	PRIJEM	VKLAD	1900	26398	\N	\N	\N
1281822	4385	1995-04-16	PRIJEM	VKLAD	1900	27243	\N	\N	\N
1281823	4385	1995-05-13	PRIJEM	VKLAD	1900	28636	\N	\N	\N
1281824	4385	1995-06-17	PRIJEM	VKLAD	1900	34588	\N	\N	\N
1281825	4385	1995-07-15	PRIJEM	VKLAD	1900	27494	\N	\N	\N
1281826	4385	1995-08-16	PRIJEM	VKLAD	1900	29840	\N	\N	\N
1281827	4385	1995-09-14	PRIJEM	VKLAD	1900	31842	\N	\N	\N
1281828	4385	1995-10-13	PRIJEM	VKLAD	1900	32056	\N	\N	\N
1281829	4385	1995-11-13	PRIJEM	VKLAD	1900	61210	\N	\N	\N
1281830	4385	1995-12-14	PRIJEM	VKLAD	1900	42719	\N	\N	\N
1281831	4385	1996-01-13	PRIJEM	VKLAD	1900	33041	\N	\N	\N
1281832	4385	1996-02-15	PRIJEM	VKLAD	1900	24699	\N	\N	\N
1281833	4385	1996-03-13	PRIJEM	VKLAD	1900	35641	\N	\N	\N
1281834	4385	1996-04-17	PRIJEM	VKLAD	1900	37770	\N	\N	\N
1281835	4385	1996-05-16	PRIJEM	VKLAD	1900	37508	\N	\N	\N
1281836	4385	1996-06-16	PRIJEM	VKLAD	1900	34650	\N	\N	\N
1281837	4385	1996-07-16	PRIJEM	VKLAD	1900	34231	\N	\N	\N
1281838	4385	1996-08-16	PRIJEM	VKLAD	1900	35658	\N	\N	\N
1281839	4385	1996-09-15	PRIJEM	VKLAD	1900	37835	\N	\N	\N
1281840	4385	1996-10-13	PRIJEM	VKLAD	1900	60452	\N	\N	\N
1281841	4385	1996-11-13	PRIJEM	VKLAD	1900	44266	\N	\N	\N
1281842	4385	1996-12-13	PRIJEM	VKLAD	1900	39862	\N	\N	\N
1281843	4385	1997-01-15	PRIJEM	VKLAD	1900	28665	\N	\N	\N
1281844	4385	1997-02-17	PRIJEM	VKLAD	1900	27522	\N	\N	\N
1281845	4385	1997-03-17	PRIJEM	VKLAD	1900	32394	\N	\N	\N
1281846	4385	1997-04-15	PRIJEM	VKLAD	1900	31458	\N	\N	\N
1281847	4385	1997-05-14	PRIJEM	VKLAD	1900	31953	\N	\N	\N
1281848	4385	1997-06-14	PRIJEM	VKLAD	1900	30327	\N	\N	\N
1281849	4385	1997-07-17	PRIJEM	VKLAD	1900	28936	\N	\N	\N
1281850	4385	1997-08-17	PRIJEM	VKLAD	1900	23143	\N	\N	\N
1281851	4385	1997-09-14	PRIJEM	VKLAD	1900	71925	\N	\N	\N
1281852	4385	1997-10-13	PRIJEM	VKLAD	1900	44370	\N	\N	\N
1281853	4385	1997-11-13	PRIJEM	VKLAD	1900	32582	\N	\N	\N
1281854	4385	1997-12-17	PRIJEM	VKLAD	1900	23221	\N	\N	\N
1281855	4385	1998-01-14	PRIJEM	VKLAD	1900	21964	\N	\N	\N
1281856	4385	1998-02-16	PRIJEM	VKLAD	1900	19231	\N	\N	\N
1281857	4385	1998-03-14	PRIJEM	VKLAD	1900	16986	\N	\N	\N
1281858	4385	1998-04-14	PRIJEM	VKLAD	1900	18944	\N	\N	\N
1281859	4385	1998-05-16	PRIJEM	VKLAD	1900	17397	\N	\N	\N
1281860	4385	1998-06-17	PRIJEM	VKLAD	1900	17055	\N	\N	\N
1281861	4385	1998-07-17	PRIJEM	VKLAD	1900	68818	\N	\N	\N
1281862	4385	1998-08-16	PRIJEM	VKLAD	1900	50675	\N	\N	\N
1281863	4385	1998-09-17	PRIJEM	VKLAD	1900	37454	\N	\N	\N
1281864	4385	1998-10-14	PRIJEM	VKLAD	1900	30481	\N	\N	\N
1281865	4385	1998-11-17	PRIJEM	VKLAD	1900	28482	\N	\N	\N
1281866	4385	1998-12-15	PRIJEM	VKLAD	1900	29825	\N	\N	\N
1281868	4385	1994-06-01	VYDAJ	VYBER	8800	24266	\N	\N	\N
1281869	4385	1995-06-28	VYDAJ	VYBER	7600	26988	\N	\N	\N
1281870	4385	1996-06-05	VYDAJ	VYBER	8400	29250	\N	\N	\N
1281875	4385	1995-01-30	VYDAJ	VYBER	1200	20972	\N	\N	\N
1281876	4385	1996-01-15	VYDAJ	VYBER	1500	31541	\N	\N	\N
1281877	4385	1997-01-29	VYDAJ	VYBER	8400	17065	\N	\N	\N
1281880	4385	1994-06-21	VYDAJ	VYBER	6800	23266	\N	\N	\N
1281881	4385	1995-06-08	VYDAJ	VYBER	9200	39688	\N	\N	\N
1281887	4385	1995-01-14	VYDAJ	VYBER	4400	23172	\N	\N	\N
1281888	4385	1996-01-19	VYDAJ	VYBER	8400	21891	\N	\N	\N
1281889	4385	1997-01-08	VYDAJ	VYBER	5400	29215	\N	\N	\N
1281892	4385	1994-12-18	VYDAJ	VYBER	2100	34707	\N	\N	\N
1281893	4385	1995-12-28	VYDAJ	VYBER	2800	39919	\N	\N	\N
1281894	4385	1996-12-03	VYDAJ	VYBER	1800	42662	\N	\N	\N
1281895	4385	1997-12-02	VYDAJ	VYBER	1400	31321	\N	\N	\N
1281896	4385	1998-12-21	VYDAJ	VYBER	1100	28725	\N	\N	\N
1281909	4385	1995-01-22	VYDAJ	VYBER	300	23972	\N	\N	\N
1281910	4385	1995-01-08	VYDAJ	VYBER	1000	28822	\N	\N	\N
1281911	4385	1995-01-13	VYDAJ	VYBER	1250	27572	\N	\N	\N
1281912	4385	1995-01-29	VYDAJ	VYBER	1050	22172	\N	\N	\N
1281913	4385	1995-01-27	VYDAJ	VYBER	750	23222	\N	\N	\N
1281914	4385	1995-01-03	VYDAJ	VYBER	250	30672	\N	\N	\N
1281915	4385	1996-01-17	VYDAJ	VYBER	1250	30291	\N	\N	\N
1281916	4385	1996-01-01	VYDAJ	VYBER	900	39191	\N	\N	\N
1281917	4385	1996-01-02	VYDAJ	VYBER	1100	38091	\N	\N	\N
1281918	4385	1996-01-28	VYDAJ	VYBER	1350	19791	\N	\N	\N
1281919	4385	1996-01-28	VYDAJ	VYBER	750	21141	\N	\N	\N
1281920	4385	1996-01-10	VYDAJ	VYBER	950	37141	\N	\N	\N
1281921	4385	1997-01-30	VYDAJ	VYBER	450	16615	\N	\N	\N
1281922	4385	1997-01-28	VYDAJ	VYBER	700	25465	\N	\N	\N
1281923	4385	1997-01-27	VYDAJ	VYBER	1050	26165	\N	\N	\N
1281924	4385	1997-01-22	VYDAJ	VYBER	1450	27215	\N	\N	\N
1281925	4385	1997-01-14	VYDAJ	VYBER	1150	26765	\N	\N	\N
1281926	4385	1997-01-09	VYDAJ	VYBER	1300	27915	\N	\N	\N
1281927	4385	1998-01-02	VYDAJ	VYBER	900	21364	\N	\N	\N
1281928	4385	1998-01-10	VYDAJ	VYBER	900	20464	\N	\N	\N
1281929	4385	1998-01-15	VYDAJ	VYBER	950	21014	\N	\N	\N
1281930	4385	1998-01-20	VYDAJ	VYBER	1100	19064	\N	\N	\N
1281931	4385	1998-01-19	VYDAJ	VYBER	850	20164	\N	\N	\N
1281932	4385	1998-01-01	VYDAJ	VYBER	400	22264	\N	\N	\N
1281938	4385	1994-07-02	VYDAJ	VYBER	300	23066	\N	\N	\N
1281939	4385	1994-06-07	VYDAJ	VYBER	1300	22966	\N	\N	\N
1281940	4385	1994-08-30	VYDAJ	VYBER	750	24100	\N	\N	\N
1281941	4385	1994-09-24	VYDAJ	VYBER	950	23637	\N	\N	\N
1281943	4385	1995-07-16	VYDAJ	VYBER	450	27044	\N	\N	\N
1281944	4385	1995-03-06	VYDAJ	VYBER	1250	24498	\N	\N	\N
1281945	4385	1995-01-18	VYDAJ	VYBER	1000	24272	\N	\N	\N
1281946	4385	1995-03-28	VYDAJ	VYBER	1650	25248	\N	\N	\N
1281947	4385	1995-11-02	VYDAJ	VYBER	2200	59310	\N	\N	\N
1281948	4385	1995-01-08	VYDAJ	VYBER	850	29822	\N	\N	\N
1281949	4385	1995-07-04	VYDAJ	VYBER	1550	25594	\N	\N	\N
1281950	4385	1995-10-27	VYDAJ	VYBER	2100	61337	\N	\N	\N
1281951	4385	1996-01-11	VYDAJ	VYBER	1300	35841	\N	\N	\N
1281952	4385	1996-03-11	VYDAJ	VYBER	600	32541	\N	\N	\N
1281953	4385	1996-07-14	VYDAJ	VYBER	950	32331	\N	\N	\N
1281954	4385	1996-08-16	VYDAJ	VYBER	1550	34108	\N	\N	\N
1281955	4385	1997-04-12	VYDAJ	VYBER	250	29558	\N	\N	\N
1281956	4385	1997-03-03	VYDAJ	VYBER	700	26894	\N	\N	\N
1281957	4385	1997-06-01	VYDAJ	VYBER	2200	29877	\N	\N	\N
1281958	4385	1997-06-05	VYDAJ	VYBER	1150	28427	\N	\N	\N
1281959	4385	1997-10-03	VYDAJ	VYBER	550	71570	\N	\N	\N
1281960	4385	1997-03-16	VYDAJ	VYBER	1000	30494	\N	\N	\N
1281961	4385	1998-10-28	VYDAJ	VYBER	2000	26481	\N	\N	\N
1281962	4385	1998-01-11	VYDAJ	VYBER	400	20064	\N	\N	\N
1281963	4385	1998-12-23	VYDAJ	VYBER	950	27775	\N	\N	\N
1281964	4385	1998-11-23	VYDAJ	VYBER	2150	26332	\N	\N	\N
1281980	4385	1994-03-31	VYDAJ	VYBER	15	50637	SLUZBY	\N	\N
1281981	4385	1994-04-30	VYDAJ	VYBER	15	40821	SLUZBY	\N	\N
1281982	4385	1994-05-31	VYDAJ	VYBER	15	33066	SLUZBY	\N	\N
1281983	4385	1994-06-30	VYDAJ	VYBER	15	23366	SLUZBY	\N	\N
1281984	4385	1994-07-31	VYDAJ	VYBER	15	23850	SLUZBY	\N	\N
1281985	4385	1994-08-31	VYDAJ	VYBER	15	24187	SLUZBY	\N	\N
1281986	4385	1994-09-30	VYDAJ	VYBER	15	23723	SLUZBY	\N	\N
1281987	4385	1994-10-31	VYDAJ	VYBER	15	25610	SLUZBY	\N	\N
1281988	4385	1994-11-30	VYDAJ	VYBER	15	29208	SLUZBY	\N	\N
1281989	4385	1994-12-31	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
1281990	4385	1995-01-31	VYDAJ	VYBER	15	21066	SLUZBY	\N	\N
1281991	4385	1995-02-28	VYDAJ	VYBER	15	25748	SLUZBY	\N	\N
1281992	4385	1995-03-31	VYDAJ	VYBER	15	25343	SLUZBY	\N	\N
1281993	4385	1995-04-30	VYDAJ	VYBER	15	26736	SLUZBY	\N	\N
1281994	4385	1995-05-31	VYDAJ	VYBER	15	48888	SLUZBY	\N	\N
1281995	4385	1995-06-30	VYDAJ	VYBER	15	27144	SLUZBY	\N	\N
1281996	4385	1995-07-31	VYDAJ	VYBER	15	26340	SLUZBY	\N	\N
1281997	4385	1995-08-31	VYDAJ	VYBER	15	29942	SLUZBY	\N	\N
1281998	4385	1995-09-30	VYDAJ	VYBER	15	30156	SLUZBY	\N	\N
1281999	4385	1995-10-31	VYDAJ	VYBER	15	61510	SLUZBY	\N	\N
1282000	4385	1995-11-30	VYDAJ	VYBER	15	48719	SLUZBY	\N	\N
1282001	4385	1995-12-31	VYDAJ	VYBER	15	40091	SLUZBY	\N	\N
1282002	4385	1996-01-31	VYDAJ	VYBER	15	19899	SLUZBY	\N	\N
1282003	4385	1996-02-29	VYDAJ	VYBER	15	33141	SLUZBY	\N	\N
1282004	4385	1996-03-31	VYDAJ	VYBER	15	35770	SLUZBY	\N	\N
1282005	4385	1996-04-30	VYDAJ	VYBER	15	37908	SLUZBY	\N	\N
1282006	4385	1996-05-31	VYDAJ	VYBER	15	37650	SLUZBY	\N	\N
1282007	4385	1996-06-30	VYDAJ	VYBER	15	34781	SLUZBY	\N	\N
1282008	4385	1996-07-31	VYDAJ	VYBER	15	34358	SLUZBY	\N	\N
1282009	4385	1996-08-31	VYDAJ	VYBER	15	34235	SLUZBY	\N	\N
1282010	4385	1996-09-30	VYDAJ	VYBER	15	37970	SLUZBY	\N	\N
1282011	4385	1996-10-31	VYDAJ	VYBER	15	60666	SLUZBY	\N	\N
1282012	4385	1996-11-30	VYDAJ	VYBER	15	44462	SLUZBY	\N	\N
1282013	4385	1996-12-31	VYDAJ	VYBER	15	40015	SLUZBY	\N	\N
1282014	4385	1997-01-31	VYDAJ	VYBER	15	16722	SLUZBY	\N	\N
1282015	4385	1997-02-28	VYDAJ	VYBER	15	27594	SLUZBY	\N	\N
1282016	4385	1997-03-31	VYDAJ	VYBER	15	32508	SLUZBY	\N	\N
1282017	4385	1997-04-30	VYDAJ	VYBER	15	35953	SLUZBY	\N	\N
1282018	4385	1997-05-31	VYDAJ	VYBER	15	32077	SLUZBY	\N	\N
1282019	4385	1997-06-30	VYDAJ	VYBER	15	30436	SLUZBY	\N	\N
1282020	4385	1997-07-31	VYDAJ	VYBER	15	29043	SLUZBY	\N	\N
1282021	4385	1997-08-31	VYDAJ	VYBER	15	23236	SLUZBY	\N	\N
1282022	4385	1997-09-30	VYDAJ	VYBER	15	72120	SLUZBY	\N	\N
1282023	4385	1997-10-31	VYDAJ	VYBER	15	44582	SLUZBY	\N	\N
1282024	4385	1997-11-30	VYDAJ	VYBER	15	32721	SLUZBY	\N	\N
1282025	4385	1997-12-31	VYDAJ	VYBER	15	23318	SLUZBY	\N	\N
1282026	4385	1998-01-31	VYDAJ	VYBER	15	19131	SLUZBY	\N	\N
1282027	4385	1998-02-28	VYDAJ	VYBER	15	19286	SLUZBY	\N	\N
1282028	4385	1998-03-31	VYDAJ	VYBER	15	17044	SLUZBY	\N	\N
1282029	4385	1998-04-30	VYDAJ	VYBER	15	18997	SLUZBY	\N	\N
1282030	4385	1998-05-31	VYDAJ	VYBER	15	15155	SLUZBY	\N	\N
1282031	4385	1998-06-30	VYDAJ	VYBER	15	19201	SLUZBY	\N	\N
1282032	4385	1998-07-31	VYDAJ	VYBER	15	48775	SLUZBY	\N	\N
1282033	4385	1998-08-31	VYDAJ	VYBER	15	35554	SLUZBY	\N	\N
1282034	4385	1998-09-30	VYDAJ	VYBER	15	28581	SLUZBY	\N	\N
1282035	4385	1998-10-31	VYDAJ	VYBER	15	26582	SLUZBY	\N	\N
1282036	4385	1998-11-30	VYDAJ	VYBER	15	27925	SLUZBY	\N	\N
1282037	4385	1993-12-23	PRIJEM	VKLAD	10000	12900	\N	\N	\N
1282038	4385	1994-01-22	PRIJEM	VKLAD	5100	19916	\N	\N	\N
1282039	4385	1994-02-21	PRIJEM	VKLAD	1600	23479	\N	\N	\N
1282040	4385	1994-03-23	VYDAJ	VYBER	21900	50462	\N	\N	\N
1282041	4385	1994-04-22	VYDAJ	VYBER	11900	40637	\N	\N	\N
1282042	4385	1994-05-22	VYDAJ	VYBER	9800	32921	\N	\N	\N
1282043	4385	1994-06-21	PRIJEM	VKLAD	5200	30066	\N	\N	\N
1282044	4385	1994-07-21	VYDAJ	VYBER	1200	23766	\N	\N	\N
1282045	4385	1994-08-20	VYDAJ	VYBER	900	24850	\N	\N	\N
1282046	4385	1994-09-19	VYDAJ	VYBER	1500	24587	\N	\N	\N
1282047	4385	1994-10-19	VYDAJ	VYBER	100	25523	\N	\N	\N
1282048	4385	1994-11-18	PRIJEM	VKLAD	1600	29110	\N	\N	\N
1282049	4385	1994-12-18	VYDAJ	VYBER	3900	30807	\N	\N	\N
1282050	4385	1995-01-17	PRIJEM	VKLAD	200	23372	\N	\N	\N
1282051	4385	1995-02-16	PRIJEM	VKLAD	2700	25666	\N	\N	\N
1282052	4385	1995-03-18	PRIJEM	VKLAD	500	26898	\N	\N	\N
1282053	4385	1995-04-17	VYDAJ	VYBER	600	26643	\N	\N	\N
1282054	4385	1995-05-17	VYDAJ	VYBER	24800	48741	\N	\N	\N
1282055	4385	1995-06-16	VYDAJ	VYBER	7000	32688	\N	\N	\N
1282056	4385	1995-07-16	VYDAJ	VYBER	800	26244	\N	\N	\N
1282057	4385	1995-08-15	PRIJEM	VKLAD	1600	27940	\N	\N	\N
1282058	4385	1995-09-14	VYDAJ	VYBER	1800	30042	\N	\N	\N
1282059	4385	1995-10-14	VYDAJ	VYBER	200	31856	\N	\N	\N
1282060	4385	1995-11-13	VYDAJ	VYBER	12700	48510	\N	\N	\N
1282061	4385	1995-12-13	VYDAJ	VYBER	7900	40819	\N	\N	\N
1282062	4385	1996-01-12	VYDAJ	VYBER	4700	31141	\N	\N	\N
1282063	4385	1996-02-11	PRIJEM	VKLAD	2900	22799	\N	\N	\N
1282064	4385	1996-03-12	PRIJEM	VKLAD	1200	33741	\N	\N	\N
1282065	4385	1996-04-11	PRIJEM	VKLAD	100	35870	\N	\N	\N
1282066	4385	1996-05-11	VYDAJ	VYBER	2300	35608	\N	\N	\N
1282067	4385	1996-06-10	PRIJEM	VKLAD	3500	32750	\N	\N	\N
1282068	4385	1996-07-10	VYDAJ	VYBER	1500	33281	\N	\N	\N
1282069	4385	1996-08-09	VYDAJ	VYBER	600	33758	\N	\N	\N
1282070	4385	1996-09-08	PRIJEM	VKLAD	1700	35935	\N	\N	\N
1282071	4385	1996-10-08	VYDAJ	VYBER	27500	58552	\N	\N	\N
1282072	4385	1996-11-07	VYDAJ	VYBER	18300	42366	\N	\N	\N
1282073	4385	1996-12-07	VYDAJ	VYBER	4700	37962	\N	\N	\N
1282074	4385	1997-01-06	VYDAJ	VYBER	5400	34615	\N	\N	\N
1282075	4385	1997-02-05	PRIJEM	VKLAD	8900	25622	\N	\N	\N
1282076	4385	1997-03-07	PRIJEM	VKLAD	4600	31494	\N	\N	\N
1282077	4385	1997-04-06	VYDAJ	VYBER	2700	29808	\N	\N	\N
1282078	4385	1997-05-06	VYDAJ	VYBER	5900	30053	\N	\N	\N
1282079	4385	1997-06-05	VYDAJ	VYBER	300	29577	\N	\N	\N
1282080	4385	1997-07-05	VYDAJ	VYBER	3400	27036	\N	\N	\N
1282081	4385	1997-08-04	VYDAJ	VYBER	7800	21243	\N	\N	\N
1282082	4385	1997-09-03	PRIJEM	VKLAD	2100	25336	\N	\N	\N
1282083	4385	1997-10-03	VYDAJ	VYBER	29100	42470	\N	\N	\N
1282084	4385	1997-11-02	VYDAJ	VYBER	13900	30682	\N	\N	\N
1282085	4385	1997-12-02	VYDAJ	VYBER	10000	21321	\N	\N	\N
1282086	4385	1998-01-01	VYDAJ	VYBER	8500	22664	\N	\N	\N
1282087	4385	1998-01-31	VYDAJ	VYBER	1800	17331	\N	\N	\N
1282088	4385	1998-03-02	VYDAJ	VYBER	4200	15086	\N	\N	\N
1282089	4385	1998-05-01	VYDAJ	VYBER	3500	15497	\N	\N	\N
1282090	4385	1998-05-31	VYDAJ	VYBER	2300	15170	\N	\N	\N
1282091	4385	1998-06-30	PRIJEM	VKLAD	2100	19215	\N	\N	\N
1282092	4385	1998-07-30	VYDAJ	VYBER	20200	48618	\N	\N	\N
1282093	4385	1998-08-29	VYDAJ	VYBER	15300	35375	\N	\N	\N
1282094	4385	1998-09-28	VYDAJ	VYBER	9000	28454	\N	\N	\N
1282095	4385	1998-10-28	VYDAJ	VYBER	2000	28481	\N	\N	\N
1282096	4385	1998-11-27	PRIJEM	VKLAD	1500	27832	\N	\N	\N
1282158	4386	1997-11-29	PRIJEM	VKLAD	600	600	\N	\N	\N
1282170	4386	1997-12-03	PRIJEM	VKLAD	5688	6288	\N	\N	\N
1282173	4386	1998-01-21	PRIJEM	VKLAD	12149	23442	\N	\N	\N
1282174	4386	1998-03-15	PRIJEM	VKLAD	29706	57183	\N	\N	\N
1282175	4386	1998-08-08	PRIJEM	VKLAD	40249	62005	\N	\N	\N
1282176	4386	1998-06-09	PRIJEM	VKLAD	45412	70742	\N	\N	\N
1282177	4386	1998-07-13	PRIJEM	VKLAD	26845	52099	\N	\N	\N
1282178	4386	1998-02-18	PRIJEM	VKLAD	16994	38088	\N	\N	\N
1282179	4386	1998-12-15	PRIJEM	VKLAD	16061	53674	\N	\N	\N
1282180	4386	1998-07-03	PRIJEM	VKLAD	9693	48249	\N	\N	\N
1282181	4386	1998-12-06	PRIJEM	VKLAD	38177	49567	\N	\N	\N
1282223	4386	1998-06-14	VYDAJ	PREVOD NA UCET	11954	58788	SIPO	OP	82197737
1282224	4386	1998-07-14	VYDAJ	PREVOD NA UCET	11954	40145	SIPO	OP	82197737
1282225	4386	1998-08-14	VYDAJ	PREVOD NA UCET	11954	50051	SIPO	OP	82197737
1282226	4386	1998-09-14	VYDAJ	PREVOD NA UCET	11954	9396	SIPO	OP	82197737
1282227	4386	1998-10-14	VYDAJ	PREVOD NA UCET	11954	1895	SIPO	OP	82197737
1282228	4386	1998-11-14	VYDAJ	PREVOD NA UCET	11954	968	SIPO	OP	82197737
1282229	4386	1998-12-14	VYDAJ	PREVOD NA UCET	11954	37613	SIPO	OP	82197737
1282238	4386	1998-07-12	VYBER	VYBER	22995	25254	\N	\N	\N
1282245	4386	1998-12-24	VYBER	VYBER	23982	29692	\N	\N	\N
1282250	4386	1998-08-22	VYBER	VYBER	23194	26857	\N	\N	\N
1282257	4386	1998-12-29	VYDAJ	VYBER	2100	21692	\N	\N	\N
1282277	4386	1998-07-21	VYDAJ	VYBER	14100	26045	\N	\N	\N
1282299	4386	1998-06-30	VYDAJ	VYBER	30	38556	SLUZBY	\N	\N
1282300	4386	1998-07-31	VYDAJ	VYBER	30	21756	SLUZBY	\N	\N
1282301	4386	1998-08-31	VYDAJ	VYBER	30	21350	SLUZBY	\N	\N
1282302	4386	1998-09-30	VYDAJ	VYBER	30	13849	SLUZBY	\N	\N
1282303	4386	1998-10-31	VYDAJ	VYBER	30	12922	SLUZBY	\N	\N
1282304	4386	1998-11-30	VYDAJ	VYBER	30	11390	SLUZBY	\N	\N
1282305	4386	1997-12-29	PRIJEM	VKLAD	5000	11288	\N	\N	\N
1282306	4386	1998-01-28	VYDAJ	VYBER	2400	21042	\N	\N	\N
1282307	4386	1998-02-27	VYDAJ	VYBER	10700	27388	\N	\N	\N
1282308	4386	1998-03-29	VYDAJ	VYBER	17900	39283	\N	\N	\N
1282309	4386	1998-04-28	VYDAJ	VYBER	8300	31102	\N	\N	\N
1282310	4386	1998-05-28	VYDAJ	VYBER	6100	25166	\N	\N	\N
1282311	4386	1998-06-27	VYDAJ	VYBER	20400	38388	\N	\N	\N
1282312	4386	1998-07-27	VYDAJ	VYBER	4400	21645	\N	\N	\N
1282313	4386	1998-08-26	VYDAJ	VYBER	5600	21257	\N	\N	\N
1282314	4386	1998-09-25	PRIJEM	VKLAD	4400	13796	\N	\N	\N
1282315	4386	1998-10-25	PRIJEM	VKLAD	11000	12895	\N	\N	\N
1282316	4386	1998-11-24	PRIJEM	VKLAD	10400	11368	\N	\N	\N
1282317	4386	1998-12-24	VYDAJ	VYBER	5900	23792	\N	\N	\N
1283202	4389	1996-07-28	PRIJEM	VKLAD	400	400	\N	\N	\N
1283210	4389	1996-08-11	PRIJEM	VKLAD	14329	14729	\N	\N	\N
1283211	4389	1996-09-11	PRIJEM	VKLAD	14329	34071	\N	\N	\N
1283212	4389	1996-10-11	PRIJEM	VKLAD	14329	44089	\N	\N	\N
1283213	4389	1996-11-11	PRIJEM	VKLAD	14329	47845	\N	\N	\N
1283214	4389	1996-12-11	PRIJEM	VKLAD	21494	60583	\N	\N	\N
1283215	4389	1997-01-11	PRIJEM	VKLAD	14329	58727	\N	\N	\N
1283216	4389	1997-02-11	PRIJEM	VKLAD	14329	40475	\N	\N	\N
1283217	4389	1997-03-11	PRIJEM	VKLAD	14329	46516	\N	\N	\N
1283218	4389	1997-04-11	PRIJEM	VKLAD	14329	51401	\N	\N	\N
1283219	4389	1997-05-11	PRIJEM	VKLAD	14329	50495	\N	\N	\N
1283220	4389	1997-06-11	PRIJEM	VKLAD	21494	59059	\N	\N	\N
1283221	4389	1997-07-11	PRIJEM	VKLAD	14329	28582	\N	\N	\N
1283222	4389	1997-08-11	PRIJEM	VKLAD	14329	37791	\N	\N	\N
1283223	4389	1997-09-11	PRIJEM	VKLAD	14329	38866	\N	\N	\N
1283224	4389	1997-10-11	PRIJEM	VKLAD	14329	45892	\N	\N	\N
1283225	4389	1997-11-11	PRIJEM	VKLAD	14329	47840	\N	\N	\N
1283226	4389	1997-12-11	PRIJEM	VKLAD	21494	55760	\N	\N	\N
1283227	4389	1998-01-11	PRIJEM	VKLAD	14329	38569	\N	\N	\N
1283228	4389	1998-02-11	PRIJEM	VKLAD	14329	27987	\N	\N	\N
1283229	4389	1998-03-11	PRIJEM	VKLAD	14329	32666	\N	\N	\N
1283230	4389	1998-04-11	PRIJEM	VKLAD	14329	34065	\N	\N	\N
1283231	4389	1998-05-11	PRIJEM	VKLAD	14329	39993	\N	\N	\N
1283232	4389	1998-06-11	PRIJEM	VKLAD	21494	52989	\N	\N	\N
1283233	4389	1998-07-11	PRIJEM	VKLAD	14329	47737	\N	\N	\N
1283234	4389	1998-08-11	PRIJEM	VKLAD	14329	43482	\N	\N	\N
1283235	4389	1998-09-11	PRIJEM	VKLAD	14329	41012	\N	\N	\N
1283236	4389	1998-10-11	PRIJEM	VKLAD	14329	43041	\N	\N	\N
1283237	4389	1998-11-11	PRIJEM	VKLAD	14329	39397	\N	\N	\N
1283238	4389	1998-12-11	PRIJEM	VKLAD	21494	49984	\N	\N	\N
1283240	4389	1997-06-16	VYDAJ	VYBER	44960	14099	\N	\N	\N
1283243	4389	1997-01-28	VYDAJ	VYBER	8160	28487	\N	\N	\N
1283244	4389	1998-01-15	VYDAJ	VYBER	7520	31049	\N	\N	\N
1283246	4389	1997-12-12	VYDAJ	VYBER	4320	51440	\N	\N	\N
1283247	4389	1998-12-10	VYDAJ	VYBER	1120	28490	\N	\N	\N
1283254	4389	1997-01-14	VYDAJ	VYBER	840	53807	\N	\N	\N
1283255	4389	1997-01-05	VYDAJ	VYBER	3240	44398	\N	\N	\N
1283256	4389	1997-01-13	VYDAJ	VYBER	1080	54647	\N	\N	\N
1283257	4389	1997-01-12	VYDAJ	VYBER	3000	55727	\N	\N	\N
1283258	4389	1997-01-23	VYDAJ	VYBER	3000	49847	\N	\N	\N
1283259	4389	1997-01-20	VYDAJ	VYBER	960	52847	\N	\N	\N
1283260	4389	1998-01-03	VYDAJ	VYBER	1680	28800	\N	\N	\N
1283261	4389	1998-01-24	VYDAJ	VYBER	1440	19569	\N	\N	\N
1283262	4389	1998-01-20	VYDAJ	VYBER	1440	21009	\N	\N	\N
1283263	4389	1998-01-26	VYDAJ	VYBER	3480	15009	\N	\N	\N
1283264	4389	1998-01-07	VYDAJ	VYBER	960	24240	\N	\N	\N
1283265	4389	1998-01-24	VYDAJ	VYBER	1080	18489	\N	\N	\N
1283272	4389	1997-08-24	VYDAJ	VYBER	5640	24451	\N	\N	\N
1283273	4389	1997-02-02	VYDAJ	VYBER	2520	26146	\N	\N	\N
1283274	4389	1997-07-02	VYDAJ	VYBER	840	14253	\N	\N	\N
1283275	4389	1997-03-06	VYDAJ	VYBER	3720	32187	\N	\N	\N
1283276	4389	1997-05-01	VYDAJ	VYBER	5880	36166	\N	\N	\N
1283277	4389	1998-01-03	VYDAJ	VYBER	3600	25200	\N	\N	\N
1283278	4389	1998-01-31	VYDAJ	VYBER	1440	13673	\N	\N	\N
1283279	4389	1998-10-14	VYDAJ	VYBER	3840	39201	\N	\N	\N
1283280	4389	1998-04-02	VYDAJ	VYBER	4200	19736	\N	\N	\N
1283281	4389	1998-11-04	VYDAJ	VYBER	3840	25068	\N	\N	\N
1283294	4389	1996-12-31	VYDAJ	VYBER	15	47638	SLUZBY	\N	\N
1283295	4389	1997-01-31	VYDAJ	VYBER	15	28666	SLUZBY	\N	\N
1283296	4389	1997-02-28	VYDAJ	VYBER	15	35907	SLUZBY	\N	\N
1283297	4389	1997-03-31	VYDAJ	VYBER	15	37072	SLUZBY	\N	\N
1283298	4389	1997-04-30	VYDAJ	VYBER	15	42046	SLUZBY	\N	\N
1283299	4389	1997-05-31	VYDAJ	VYBER	15	37565	SLUZBY	\N	\N
1283300	4389	1997-06-30	VYDAJ	VYBER	15	15093	SLUZBY	\N	\N
1283301	4389	1997-07-31	VYDAJ	VYBER	15	23462	SLUZBY	\N	\N
1283302	4389	1997-08-31	VYDAJ	VYBER	15	24537	SLUZBY	\N	\N
1283303	4389	1997-09-30	VYDAJ	VYBER	15	31563	SLUZBY	\N	\N
1283304	4389	1997-10-31	VYDAJ	VYBER	15	33511	SLUZBY	\N	\N
1283305	4389	1997-11-30	VYDAJ	VYBER	15	34266	SLUZBY	\N	\N
1283306	4389	1997-12-31	VYDAJ	VYBER	15	30480	SLUZBY	\N	\N
1283307	4389	1998-01-31	VYDAJ	VYBER	15	13658	SLUZBY	\N	\N
1283308	4389	1998-02-28	VYDAJ	VYBER	15	18337	SLUZBY	\N	\N
1283309	4389	1998-03-31	VYDAJ	VYBER	15	23936	SLUZBY	\N	\N
1283310	4389	1998-04-30	VYDAJ	VYBER	15	25664	SLUZBY	\N	\N
1283311	4389	1998-05-31	VYDAJ	VYBER	15	31495	SLUZBY	\N	\N
1283312	4389	1998-06-30	VYDAJ	VYBER	15	33408	SLUZBY	\N	\N
1283313	4389	1998-07-31	VYDAJ	VYBER	15	29153	SLUZBY	\N	\N
1283314	4389	1998-08-31	VYDAJ	VYBER	15	26683	SLUZBY	\N	\N
1283315	4389	1998-09-30	VYDAJ	VYBER	15	28712	SLUZBY	\N	\N
1283316	4389	1998-10-31	VYDAJ	VYBER	15	28908	SLUZBY	\N	\N
1283317	4389	1998-11-30	VYDAJ	VYBER	15	29610	SLUZBY	\N	\N
1283318	4389	1996-08-27	PRIJEM	VKLAD	5000	19729	\N	\N	\N
1283319	4389	1996-09-26	VYDAJ	VYBER	4400	29671	\N	\N	\N
1283320	4389	1996-10-26	VYDAJ	VYBER	10700	33389	\N	\N	\N
1283321	4389	1996-11-25	VYDAJ	VYBER	8900	38945	\N	\N	\N
1283322	4389	1996-12-25	VYDAJ	VYBER	13100	47483	\N	\N	\N
1283323	4389	1997-01-24	VYDAJ	VYBER	13200	36647	\N	\N	\N
1283324	4389	1997-02-23	VYDAJ	VYBER	4700	35775	\N	\N	\N
1283325	4389	1997-03-25	VYDAJ	VYBER	9600	36916	\N	\N	\N
1283326	4389	1997-04-24	VYDAJ	VYBER	9500	41901	\N	\N	\N
1283327	4389	1997-05-24	VYDAJ	VYBER	13100	37395	\N	\N	\N
1283328	4389	1997-06-23	PRIJEM	VKLAD	900	14999	\N	\N	\N
1283329	4389	1997-07-23	VYDAJ	VYBER	5200	23382	\N	\N	\N
1283330	4389	1997-08-22	VYDAJ	VYBER	7700	30091	\N	\N	\N
1283331	4389	1997-09-21	VYDAJ	VYBER	7400	31466	\N	\N	\N
1283332	4389	1997-10-21	VYDAJ	VYBER	12500	33392	\N	\N	\N
1283333	4389	1997-11-20	VYDAJ	VYBER	13700	34140	\N	\N	\N
1283334	4389	1997-12-20	VYDAJ	VYBER	21100	30340	\N	\N	\N
1283335	4389	1998-01-19	VYDAJ	VYBER	8600	22449	\N	\N	\N
1283336	4389	1998-02-18	VYDAJ	VYBER	9700	18287	\N	\N	\N
1283337	4389	1998-03-20	VYDAJ	VYBER	8800	23866	\N	\N	\N
1283338	4389	1998-04-19	VYDAJ	VYBER	8500	25565	\N	\N	\N
1283339	4389	1998-05-19	VYDAJ	VYBER	8600	31393	\N	\N	\N
1283340	4389	1998-06-18	VYDAJ	VYBER	19700	33289	\N	\N	\N
1283341	4389	1998-07-18	VYDAJ	VYBER	18700	29037	\N	\N	\N
1283342	4389	1998-08-17	VYDAJ	VYBER	16900	26582	\N	\N	\N
1283343	4389	1998-09-16	VYDAJ	VYBER	12400	28612	\N	\N	\N
1283344	4389	1998-10-16	VYDAJ	VYBER	10400	28801	\N	\N	\N
1283345	4389	1998-11-15	VYDAJ	VYBER	9900	29497	\N	\N	\N
1287970	4405	1996-09-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1287973	4405	1996-09-13	PRIJEM	VKLAD	16311	72964	\N	\N	\N
1287974	4405	1996-10-08	PRIJEM	VKLAD	37141	128881	\N	\N	\N
1287975	4405	1996-12-22	PRIJEM	VKLAD	39431	73744	\N	\N	\N
1287976	4405	1996-09-11	PRIJEM	VKLAD	35976	37076	\N	\N	\N
1287984	4405	1996-09-12	PRIJEM	VKLAD	19577	56653	\N	\N	\N
1287985	4405	1996-09-15	PRIJEM	VKLAD	48192	121156	\N	\N	\N
1287990	4405	1996-11-11	PRIJEM	VKLAD	5294	69200	\N	\N	\N
1287992	4405	1996-10-20	PRIJEM	VKLAD	28789	97278	\N	\N	\N
1287997	4405	1996-10-09	PRIJEM	VKLAD	7208	68489	\N	\N	\N
1287998	4405	1996-10-03	PRIJEM	VKLAD	9969	91740	\N	\N	\N
1287999	4405	1997-11-24	PRIJEM	VKLAD	5034	57846	\N	\N	\N
1288000	4405	1997-08-19	PRIJEM	VKLAD	14983	47031	\N	\N	\N
1288001	4405	1997-04-10	PRIJEM	VKLAD	47805	83147	\N	\N	\N
1288002	4405	1997-10-26	PRIJEM	VKLAD	35201	74857	\N	\N	\N
1288003	4405	1997-04-09	PRIJEM	VKLAD	7246	35342	\N	\N	\N
1288004	4405	1997-10-17	PRIJEM	VKLAD	7509	39656	\N	\N	\N
1288005	4405	1997-02-24	PRIJEM	VKLAD	49130	67608	\N	\N	\N
1288006	4405	1997-07-14	PRIJEM	VKLAD	34510	41038	\N	\N	\N
1288007	4405	1998-05-29	PRIJEM	VKLAD	17879	35104	\N	\N	\N
1288008	4405	1998-11-01	PRIJEM	VKLAD	6806	49677	\N	\N	\N
1288009	4405	1998-06-27	PRIJEM	VKLAD	18965	40743	\N	\N	\N
1288010	4405	1998-01-01	PRIJEM	VKLAD	32164	39681	\N	\N	\N
1288011	4405	1998-02-16	PRIJEM	VKLAD	27390	71864	\N	\N	\N
1288012	4405	1998-02-19	PRIJEM	VKLAD	19856	91720	\N	\N	\N
1288013	4405	1998-09-14	PRIJEM	VKLAD	23425	37515	\N	\N	\N
1288014	4405	1998-10-05	PRIJEM	VKLAD	45448	69078	\N	\N	\N
1288015	4405	1998-01-27	PRIJEM	VKLAD	40294	38675	\N	\N	\N
1288016	4405	1998-08-19	PRIJEM	VKLAD	31096	50060	\N	\N	\N
1288017	4405	1998-02-13	PRIJEM	VKLAD	35506	44474	\N	\N	\N
1288020	4405	1997-03-02	VYBER	VYBER	19071	48638	\N	\N	\N
1288021	4405	1997-12-13	VYBER	VYBER	10801	14367	\N	\N	\N
1288022	4405	1997-02-02	VYBER	VYBER	14363	6978	\N	\N	\N
1288023	4405	1997-07-07	VYBER	VYBER	23827	6528	\N	\N	\N
1288024	4405	1997-08-14	VYBER	VYBER	9194	32048	\N	\N	\N
1288025	4405	1997-06-28	VYBER	VYBER	2698	16929	\N	\N	\N
1288027	4405	1997-11-27	VYBER	VYBER	12812	25611	\N	\N	\N
1288028	4405	1997-11-25	VYBER	VYBER	19423	38423	\N	\N	\N
1288029	4405	1997-08-28	VYBER	VYBER	21028	26003	\N	\N	\N
1288030	4405	1998-08-22	VYBER	VYBER	5761	44299	\N	\N	\N
1288031	4405	1998-02-05	VYBER	VYBER	17571	8968	\N	\N	\N
1288032	4405	1998-12-14	VYBER	VYBER	12520	14609	\N	\N	\N
1288034	4405	1996-12-21	VYDAJ	VYBER	5400	34313	\N	\N	\N
1288035	4405	1997-12-17	VYDAJ	VYBER	6900	7467	\N	\N	\N
1288036	4405	1998-12-19	VYDAJ	VYBER	7800	6809	\N	\N	\N
1288043	4405	1997-01-29	VYDAJ	VYBER	4500	25664	\N	\N	\N
1288044	4405	1997-01-29	VYDAJ	VYBER	4500	21164	\N	\N	\N
1288045	4405	1997-01-21	VYDAJ	VYBER	7200	38264	\N	\N	\N
1288046	4405	1997-01-07	VYDAJ	VYBER	7200	45464	\N	\N	\N
1288047	4405	1997-01-29	VYDAJ	VYBER	3000	30164	\N	\N	\N
1288048	4405	1997-01-24	VYDAJ	VYBER	5100	33164	\N	\N	\N
1288049	4405	1998-01-13	VYDAJ	VYBER	6600	19381	\N	\N	\N
1288051	4405	1998-01-15	VYDAJ	VYBER	5400	6181	\N	\N	\N
1288052	4405	1998-01-15	VYDAJ	VYBER	7800	11581	\N	\N	\N
1288053	4405	1998-01-20	VYDAJ	VYBER	7800	-1619	\N	\N	\N
1288054	4405	1998-01-02	VYDAJ	VYBER	4200	25981	\N	\N	\N
1288059	4405	1996-12-02	VYDAJ	VYBER	12900	56613	\N	\N	\N
1288060	4405	1997-06-10	VYDAJ	VYBER	14100	28627	\N	\N	\N
1288061	4405	1997-06-23	VYDAJ	VYBER	9000	19627	\N	\N	\N
1288062	4405	1997-04-29	VYDAJ	VYBER	3900	79247	\N	\N	\N
1288063	4405	1997-03-22	VYDAJ	VYBER	6600	31238	\N	\N	\N
1288064	4405	1998-09-10	VYDAJ	VYBER	12900	14090	\N	\N	\N
1288065	4405	1998-02-27	VYDAJ	VYBER	7200	84520	\N	\N	\N
1288066	4405	1998-02-28	VYDAJ	VYBER	9300	75473	\N	\N	\N
1288067	4405	1998-06-21	VYDAJ	VYBER	4500	21778	\N	\N	\N
1288068	4405	1998-03-06	VYDAJ	VYBER	11400	32259	\N	\N	\N
1288069	4405	1998-11-04	VYDAJ	VYBER	7500	42177	\N	\N	\N
1288080	4405	1996-10-31	VYDAJ	VYBER	15	97606	SLUZBY	\N	\N
1288081	4405	1996-11-30	VYDAJ	VYBER	15	69513	SLUZBY	\N	\N
1288082	4405	1996-12-31	VYDAJ	VYBER	15	73964	SLUZBY	\N	\N
1288083	4405	1997-01-31	VYDAJ	VYBER	15	21341	SLUZBY	\N	\N
1288084	4405	1997-02-28	VYDAJ	VYBER	15	67709	SLUZBY	\N	\N
1288085	4405	1997-03-31	VYDAJ	VYBER	15	31396	SLUZBY	\N	\N
1288086	4405	1997-04-30	VYDAJ	VYBER	15	79514	SLUZBY	\N	\N
1288087	4405	1997-05-31	VYDAJ	VYBER	15	54327	SLUZBY	\N	\N
1288088	4405	1997-06-30	VYDAJ	VYBER	15	17055	SLUZBY	\N	\N
1288089	4405	1997-07-31	VYDAJ	VYBER	15	41142	SLUZBY	\N	\N
1288090	4405	1997-08-31	VYDAJ	VYBER	15	26153	SLUZBY	\N	\N
1288091	4405	1997-09-30	VYDAJ	VYBER	15	28447	SLUZBY	\N	\N
1288092	4405	1997-10-31	VYDAJ	VYBER	15	75012	SLUZBY	\N	\N
1288093	4405	1997-11-30	VYDAJ	VYBER	15	25868	SLUZBY	\N	\N
1288094	4405	1997-12-31	VYDAJ	VYBER	15	7517	SLUZBY	\N	\N
1288095	4405	1998-01-31	VYDAJ	VYBER	15	38743	SLUZBY	\N	\N
1288096	4405	1998-02-28	VYDAJ	VYBER	15	75459	SLUZBY	\N	\N
1288097	4405	1998-03-31	VYDAJ	VYBER	15	32407	SLUZBY	\N	\N
1288098	4405	1998-04-30	VYDAJ	VYBER	15	20025	SLUZBY	\N	\N
1288099	4405	1998-05-31	VYDAJ	VYBER	15	35178	SLUZBY	\N	\N
1288100	4405	1998-06-30	VYDAJ	VYBER	15	25375	SLUZBY	\N	\N
1288101	4405	1998-07-31	VYDAJ	VYBER	15	18964	SLUZBY	\N	\N
1288102	4405	1998-08-31	VYDAJ	VYBER	15	26990	SLUZBY	\N	\N
1288103	4405	1998-09-30	VYDAJ	VYBER	15	23630	SLUZBY	\N	\N
1288104	4405	1998-10-31	VYDAJ	VYBER	15	42871	SLUZBY	\N	\N
1288105	4405	1998-11-30	VYDAJ	VYBER	15	27129	SLUZBY	\N	\N
1288106	4405	1996-09-15	VYDAJ	VYBER	39600	81556	\N	\N	\N
1288107	4405	1996-10-08	VYDAJ	VYBER	31200	61281	\N	\N	\N
1288108	4405	1996-10-08	VYDAJ	VYBER	36400	92481	\N	\N	\N
1288109	4405	1996-11-07	VYDAJ	VYBER	33700	63906	\N	\N	\N
1288110	4405	1996-12-07	VYDAJ	VYBER	16900	39713	\N	\N	\N
1288111	4405	1997-01-06	VYDAJ	VYBER	21300	52664	\N	\N	\N
1288112	4405	1997-02-05	PRIJEM	VKLAD	11500	18478	\N	\N	\N
1288113	4405	1997-03-07	VYDAJ	VYBER	10800	37838	\N	\N	\N
1288114	4405	1997-04-06	VYDAJ	VYBER	3300	28096	\N	\N	\N
1288115	4405	1997-05-06	VYDAJ	VYBER	25500	54014	\N	\N	\N
1288116	4405	1997-06-05	VYDAJ	VYBER	11600	42727	\N	\N	\N
1288117	4405	1997-07-05	PRIJEM	VKLAD	13300	30355	\N	\N	\N
1288118	4405	1997-08-04	PRIJEM	VKLAD	100	41242	\N	\N	\N
1288119	4405	1997-09-03	PRIJEM	VKLAD	2200	28353	\N	\N	\N
1288120	4405	1997-10-03	PRIJEM	VKLAD	3700	32147	\N	\N	\N
1288121	4405	1997-11-02	VYDAJ	VYBER	22200	52812	\N	\N	\N
1288122	4405	1997-12-02	VYDAJ	VYBER	700	25168	\N	\N	\N
1288123	4405	1998-01-01	VYDAJ	VYBER	9500	30181	\N	\N	\N
1288124	4405	1998-01-31	VYDAJ	VYBER	12200	26539	\N	\N	\N
1288125	4405	1998-03-02	VYDAJ	VYBER	31800	43659	\N	\N	\N
1288126	4405	1998-04-01	VYDAJ	VYBER	12500	19907	\N	\N	\N
1288127	4405	1998-05-01	VYDAJ	VYBER	2800	17225	\N	\N	\N
1288128	4405	1998-05-31	VYDAJ	VYBER	8900	26278	\N	\N	\N
1288129	4405	1998-06-30	VYDAJ	VYBER	15500	25390	\N	\N	\N
1288130	4405	1998-07-30	VYDAJ	VYBER	6500	18875	\N	\N	\N
1288131	4405	1998-08-29	VYDAJ	VYBER	17400	26899	\N	\N	\N
1288132	4405	1998-09-28	VYDAJ	VYBER	14000	23515	\N	\N	\N
1288133	4405	1998-10-28	VYDAJ	VYBER	26300	42778	\N	\N	\N
1288134	4405	1998-11-27	VYDAJ	VYBER	15200	26977	\N	\N	\N
1288664	4408	1994-04-11	PRIJEM	VKLAD	800	800	\N	\N	\N
1288665	4408	1994-05-22	PRIJEM	VKLAD	37133	48333	\N	\N	\N
1288666	4408	1994-07-03	PRIJEM	VKLAD	38216	74015	\N	\N	\N
1288667	4408	1994-09-27	PRIJEM	VKLAD	48458	77400	\N	\N	\N
1288668	4408	1995-04-30	PRIJEM	VKLAD	20271	54822	\N	\N	\N
1288669	4408	1995-04-08	PRIJEM	VKLAD	18426	39542	\N	\N	\N
1288670	4408	1995-10-22	PRIJEM	VKLAD	34352	91328	\N	\N	\N
1288671	4408	1995-11-29	PRIJEM	VKLAD	42964	98142	\N	\N	\N
1288672	4408	1995-06-08	PRIJEM	VKLAD	10445	64700	\N	\N	\N
1288673	4408	1995-11-28	PRIJEM	VKLAD	10020	55178	\N	\N	\N
1288674	4408	1995-07-31	PRIJEM	VKLAD	48924	70288	\N	\N	\N
1288675	4408	1995-09-21	PRIJEM	VKLAD	41084	88280	\N	\N	\N
1288676	4408	1995-07-14	PRIJEM	VKLAD	11318	45528	\N	\N	\N
1288677	4408	1995-02-13	PRIJEM	VKLAD	43059	77121	\N	\N	\N
1288678	4408	1995-05-06	PRIJEM	VKLAD	32896	87688	\N	\N	\N
1288679	4408	1995-08-16	PRIJEM	VKLAD	46469	81812	\N	\N	\N
1288680	4408	1995-11-18	PRIJEM	VKLAD	11486	55658	\N	\N	\N
1288681	4408	1995-03-27	PRIJEM	VKLAD	14907	60654	\N	\N	\N
1288682	4408	1995-03-08	PRIJEM	VKLAD	7561	61112	\N	\N	\N
1288683	4408	1995-05-07	PRIJEM	VKLAD	25742	82430	\N	\N	\N
1288684	4408	1995-01-03	PRIJEM	VKLAD	25561	59558	\N	\N	\N
1288685	4408	1995-12-27	PRIJEM	VKLAD	12071	69664	\N	\N	\N
1288686	4408	1996-02-18	PRIJEM	VKLAD	36055	97438	\N	\N	\N
1288687	4408	1996-06-24	PRIJEM	VKLAD	16452	36805	\N	\N	\N
1288688	4408	1996-04-12	PRIJEM	VKLAD	14010	51838	\N	\N	\N
1288689	4408	1996-11-03	PRIJEM	VKLAD	5443	37302	\N	\N	\N
1288690	4408	1996-08-06	PRIJEM	VKLAD	26578	82512	\N	\N	\N
1288691	4408	1996-03-13	PRIJEM	VKLAD	43344	101563	\N	\N	\N
1288692	4408	1996-06-03	PRIJEM	VKLAD	5768	49487	\N	\N	\N
1288693	4408	1996-04-12	PRIJEM	VKLAD	18853	37828	\N	\N	\N
1288694	4408	1996-12-22	PRIJEM	VKLAD	35508	59598	\N	\N	\N
1288695	4408	1996-08-31	PRIJEM	VKLAD	17941	99245	\N	\N	\N
1288696	4408	1996-02-11	PRIJEM	VKLAD	40160	61383	\N	\N	\N
1288697	4408	1996-09-06	PRIJEM	VKLAD	40491	139706	\N	\N	\N
1288698	4408	1996-05-04	PRIJEM	VKLAD	24285	64771	\N	\N	\N
1288699	4408	1996-07-11	PRIJEM	VKLAD	43187	72422	\N	\N	\N
1288700	4408	1996-02-01	PRIJEM	VKLAD	8661	41502	\N	\N	\N
1288701	4408	1996-08-31	PRIJEM	VKLAD	38653	81304	\N	\N	\N
1288702	4408	1996-03-18	PRIJEM	VKLAD	22549	108023	\N	\N	\N
1288703	4408	1997-04-09	PRIJEM	VKLAD	27040	136093	\N	\N	\N
1288704	4408	1997-05-16	PRIJEM	VKLAD	40196	101286	\N	\N	\N
1288705	4408	1997-03-28	PRIJEM	VKLAD	12886	108744	\N	\N	\N
1288706	4408	1997-03-15	PRIJEM	VKLAD	8190	80694	\N	\N	\N
1288707	4408	1997-12-20	PRIJEM	VKLAD	43278	87455	\N	\N	\N
1288708	4408	1997-03-27	PRIJEM	VKLAD	42764	95858	\N	\N	\N
1288709	4408	1997-02-27	PRIJEM	VKLAD	48873	77536	\N	\N	\N
1288710	4408	1997-10-08	PRIJEM	VKLAD	42957	113175	\N	\N	\N
1288711	4408	1997-07-25	PRIJEM	VKLAD	49142	92548	\N	\N	\N
1288712	4408	1997-10-22	PRIJEM	VKLAD	32130	140149	\N	\N	\N
1288713	4408	1997-05-12	PRIJEM	VKLAD	12447	61090	\N	\N	\N
1288714	4408	1997-01-08	PRIJEM	VKLAD	23665	67981	\N	\N	\N
1288715	4408	1997-09-14	PRIJEM	VKLAD	42370	100637	\N	\N	\N
1288716	4408	1998-09-03	PRIJEM	VKLAD	47632	159528	\N	\N	\N
1288717	4408	1998-02-14	PRIJEM	VKLAD	30411	75602	\N	\N	\N
1288718	4408	1998-06-05	PRIJEM	VKLAD	25063	109763	\N	\N	\N
1288719	4408	1998-02-21	PRIJEM	VKLAD	41239	105641	\N	\N	\N
1288720	4408	1998-10-01	PRIJEM	VKLAD	23044	89315	\N	\N	\N
1288721	4408	1998-04-02	PRIJEM	VKLAD	27838	102302	\N	\N	\N
1288722	4408	1998-05-18	PRIJEM	VKLAD	35349	97204	\N	\N	\N
1288723	4408	1998-08-15	PRIJEM	VKLAD	29795	92416	\N	\N	\N
1288724	4408	1998-06-26	PRIJEM	VKLAD	18881	83158	\N	\N	\N
1288725	4408	1998-07-20	PRIJEM	VKLAD	24865	87869	\N	\N	\N
1288726	4408	1998-05-13	PRIJEM	VKLAD	49064	113955	\N	\N	\N
1288727	4408	1998-03-21	PRIJEM	VKLAD	22488	97739	\N	\N	\N
1288728	4408	1998-04-14	PRIJEM	VKLAD	36482	133628	\N	\N	\N
1288729	4408	1998-09-17	PRIJEM	VKLAD	33554	133326	\N	\N	\N
1288730	4408	1998-08-25	PRIJEM	VKLAD	39774	111590	\N	\N	\N
1288731	4408	1998-04-15	PRIJEM	VKLAD	6420	88348	\N	\N	\N
1288732	4408	1998-05-20	PRIJEM	VKLAD	49767	146971	\N	\N	\N
1288733	4408	1998-11-19	PRIJEM	VKLAD	44172	86222	\N	\N	\N
1288808	4408	1995-03-10	VYDAJ	PREVOD NA UCET	5156	55956	SIPO	GH	93220632
1288809	4408	1995-04-10	VYDAJ	PREVOD NA UCET	5156	34386	SIPO	GH	93220632
1288810	4408	1995-05-10	VYDAJ	PREVOD NA UCET	5156	77274	SIPO	GH	93220632
1288811	4408	1995-06-10	VYDAJ	PREVOD NA UCET	5156	59544	SIPO	GH	93220632
1288812	4408	1995-07-10	VYDAJ	PREVOD NA UCET	5156	34210	SIPO	GH	93220632
1288813	4408	1995-08-10	VYDAJ	PREVOD NA UCET	5156	42423	SIPO	GH	93220632
1288814	4408	1995-09-10	VYDAJ	PREVOD NA UCET	5156	47196	SIPO	GH	93220632
1288815	4408	1995-10-10	VYDAJ	PREVOD NA UCET	5156	56976	SIPO	GH	93220632
1288816	4408	1995-11-10	VYDAJ	PREVOD NA UCET	5156	44172	SIPO	GH	93220632
1288817	4408	1995-12-10	VYDAJ	PREVOD NA UCET	5156	57593	SIPO	GH	93220632
1288818	4408	1996-01-10	VYDAJ	PREVOD NA UCET	5156	45870	SIPO	GH	93220632
1288819	4408	1996-02-10	VYDAJ	PREVOD NA UCET	5156	21223	SIPO	GH	93220632
1288820	4408	1996-03-10	VYDAJ	PREVOD NA UCET	5156	58219	SIPO	GH	93220632
1288821	4408	1996-04-10	VYDAJ	PREVOD NA UCET	5156	18975	SIPO	GH	93220632
1288822	4408	1996-05-10	VYDAJ	PREVOD NA UCET	5156	59615	SIPO	GH	93220632
1288823	4408	1996-06-10	VYDAJ	PREVOD NA UCET	5156	20353	SIPO	GH	93220632
1288824	4408	1996-07-10	VYDAJ	PREVOD NA UCET	5156	29235	SIPO	GH	93220632
1288825	4408	1996-08-10	VYDAJ	PREVOD NA UCET	5156	77356	SIPO	GH	93220632
1288826	4408	1996-09-10	VYDAJ	PREVOD NA UCET	5156	90450	SIPO	GH	93220632
1288827	4408	1996-10-10	VYDAJ	PREVOD NA UCET	5156	45025	SIPO	GH	93220632
1288828	4408	1996-11-10	VYDAJ	PREVOD NA UCET	5156	32146	SIPO	GH	93220632
1288829	4408	1996-12-10	VYDAJ	PREVOD NA UCET	5156	24090	SIPO	GH	93220632
1288830	4408	1997-01-10	VYDAJ	PREVOD NA UCET	5156	62825	SIPO	GH	93220632
1288831	4408	1997-02-10	VYDAJ	PREVOD NA UCET	5156	31863	SIPO	GH	93220632
1288832	4408	1997-03-10	VYDAJ	PREVOD NA UCET	5156	72504	SIPO	GH	93220632
1288833	4408	1997-04-10	VYDAJ	PREVOD NA UCET	5156	95337	SIPO	GH	93220632
1288834	4408	1997-05-10	VYDAJ	PREVOD NA UCET	5156	48643	SIPO	GH	93220632
1288835	4408	1997-06-10	VYDAJ	PREVOD NA UCET	5156	67215	SIPO	GH	93220632
1288836	4408	1997-07-10	VYDAJ	PREVOD NA UCET	5156	44206	SIPO	GH	93220632
1288837	4408	1997-08-10	VYDAJ	PREVOD NA UCET	5156	87605	SIPO	GH	93220632
1288838	4408	1997-09-10	VYDAJ	PREVOD NA UCET	5156	58267	SIPO	GH	93220632
1288839	4408	1997-10-10	VYDAJ	PREVOD NA UCET	5156	108019	SIPO	GH	93220632
1288840	4408	1997-11-10	VYDAJ	PREVOD NA UCET	5156	60707	SIPO	GH	93220632
1288841	4408	1997-12-10	VYDAJ	PREVOD NA UCET	5156	44177	SIPO	GH	93220632
1288842	4408	1998-01-10	VYDAJ	PREVOD NA UCET	5156	66209	SIPO	GH	93220632
1288843	4408	1998-02-10	VYDAJ	PREVOD NA UCET	5156	45191	SIPO	GH	93220632
1288844	4408	1998-03-10	VYDAJ	PREVOD NA UCET	5156	86651	SIPO	GH	93220632
1288845	4408	1998-04-10	VYDAJ	PREVOD NA UCET	5156	97146	SIPO	GH	93220632
1288846	4408	1998-05-10	VYDAJ	PREVOD NA UCET	5156	64891	SIPO	GH	93220632
1288847	4408	1998-06-10	VYDAJ	PREVOD NA UCET	5156	89907	SIPO	GH	93220632
1288848	4408	1998-07-10	VYDAJ	PREVOD NA UCET	5156	78304	SIPO	GH	93220632
1288849	4408	1998-08-10	VYDAJ	PREVOD NA UCET	5156	64902	SIPO	GH	93220632
1288850	4408	1998-09-10	VYDAJ	PREVOD NA UCET	5156	130772	SIPO	GH	93220632
1288851	4408	1998-10-10	VYDAJ	PREVOD NA UCET	5156	84159	SIPO	GH	93220632
1288852	4408	1998-11-10	VYDAJ	PREVOD NA UCET	5156	46950	SIPO	GH	93220632
1288853	4408	1998-12-10	VYDAJ	PREVOD NA UCET	5156	71071	SIPO	GH	93220632
1288856	4408	1995-10-25	VYBER	VYBER	21971	69357	\N	\N	\N
1288857	4408	1995-04-07	VYBER	VYBER	22857	21116	\N	\N	\N
1288858	4408	1995-04-06	VYBER	VYBER	2198	58673	\N	\N	\N
1288859	4408	1995-08-14	VYBER	VYBER	7080	35343	\N	\N	\N
1288860	4408	1995-08-01	VYBER	VYBER	8817	61579	\N	\N	\N
1288861	4408	1995-07-15	VYBER	VYBER	24164	21364	\N	\N	\N
1288862	4408	1995-03-19	VYBER	VYBER	10209	45747	\N	\N	\N
1288863	4408	1996-02-02	VYBER	VYBER	15123	26379	\N	\N	\N
1288864	4408	1996-03-19	VYBER	VYBER	19648	35875	\N	\N	\N
1288865	4408	1996-08-15	VYBER	VYBER	21881	55475	\N	\N	\N
1288866	4408	1996-03-20	VYBER	VYBER	6049	29826	\N	\N	\N
1288868	4408	1996-01-16	VYBER	VYBER	3798	42072	\N	\N	\N
1288869	4408	1996-03-15	VYBER	VYBER	16089	85474	\N	\N	\N
1288871	4408	1996-09-20	VYBER	VYBER	23890	66560	\N	\N	\N
1288873	4408	1996-08-19	VYBER	VYBER	4362	51113	\N	\N	\N
1288874	4408	1996-06-05	VYBER	VYBER	23978	25509	\N	\N	\N
1288875	4408	1996-04-04	VYBER	VYBER	5428	24131	\N	\N	\N
1288876	4408	1998-02-05	VYBER	VYBER	4503	50347	\N	\N	\N
1288877	4408	1998-09-30	VYBER	VYBER	16370	66301	\N	\N	\N
1288878	4408	1998-07-24	VYBER	VYBER	18109	69760	\N	\N	\N
1288879	4408	1998-12-18	VYBER	VYBER	19661	30010	\N	\N	\N
1288880	4408	1998-11-28	VYBER	VYBER	10232	75990	\N	\N	\N
1288881	4408	1998-08-14	VYBER	VYBER	2281	62621	\N	\N	\N
1288882	4408	1998-06-16	VYBER	VYBER	13430	76477	\N	\N	\N
1288884	4408	1995-06-22	VYDAJ	VYBER	11400	48144	\N	\N	\N
1288887	4408	1998-06-08	VYDAJ	VYBER	14700	95063	\N	\N	\N
1288889	4408	1995-12-09	VYDAJ	VYBER	4500	62749	\N	\N	\N
1288891	4408	1997-12-08	VYDAJ	VYBER	6000	49333	\N	\N	\N
1288898	4408	1995-11-21	VYDAJ	VYBER	10500	45158	\N	\N	\N
1288899	4408	1995-08-29	VYDAJ	VYBER	12000	69812	\N	\N	\N
1288900	4408	1996-01-23	VYDAJ	VYBER	10200	31872	\N	\N	\N
1288901	4408	1996-10-11	VYDAJ	VYBER	9300	35725	\N	\N	\N
1288902	4408	1997-02-07	VYDAJ	VYBER	11400	37019	\N	\N	\N
1288903	4408	1997-03-24	VYDAJ	VYBER	11100	69594	\N	\N	\N
1288904	4408	1997-05-02	VYDAJ	VYBER	13200	53799	\N	\N	\N
1288905	4408	1997-06-26	VYDAJ	VYBER	5400	49115	\N	\N	\N
1288906	4408	1997-02-12	VYDAJ	VYBER	6300	25563	\N	\N	\N
1288907	4408	1998-03-16	VYDAJ	VYBER	11400	75251	\N	\N	\N
1288908	4408	1998-12-13	VYDAJ	VYBER	13200	57871	\N	\N	\N
1288909	4408	1998-02-04	VYDAJ	VYBER	2700	54850	\N	\N	\N
1288910	4408	1998-03-06	VYDAJ	VYBER	14100	91807	\N	\N	\N
1288911	4408	1998-11-08	VYDAJ	VYBER	9000	52106	\N	\N	\N
1288926	4408	1995-02-28	VYDAJ	VYBER	30	77351	SLUZBY	\N	\N
1288927	4408	1995-03-31	VYDAJ	VYBER	30	60871	SLUZBY	\N	\N
1288928	4408	1995-04-30	VYDAJ	VYBER	30	54792	SLUZBY	\N	\N
1288929	4408	1995-05-31	VYDAJ	VYBER	30	77555	SLUZBY	\N	\N
1288930	4408	1995-06-30	VYDAJ	VYBER	30	48366	SLUZBY	\N	\N
1288931	4408	1995-07-31	VYDAJ	VYBER	30	70396	SLUZBY	\N	\N
1288932	4408	1995-08-31	VYDAJ	VYBER	30	70052	SLUZBY	\N	\N
1288933	4408	1995-09-30	VYDAJ	VYBER	30	88532	SLUZBY	\N	\N
1288934	4408	1995-10-31	VYDAJ	VYBER	30	69628	SLUZBY	\N	\N
1288935	4408	1995-11-30	VYDAJ	VYBER	30	98349	SLUZBY	\N	\N
1288936	4408	1995-12-31	VYDAJ	VYBER	30	69926	SLUZBY	\N	\N
1288937	4408	1996-01-31	VYDAJ	VYBER	30	32841	SLUZBY	\N	\N
1288938	4408	1996-02-29	VYDAJ	VYBER	30	97675	SLUZBY	\N	\N
1288939	4408	1996-03-31	VYDAJ	VYBER	30	29559	SLUZBY	\N	\N
1288940	4408	1996-04-30	VYDAJ	VYBER	30	51986	SLUZBY	\N	\N
1288941	4408	1996-05-31	VYDAJ	VYBER	30	43719	SLUZBY	\N	\N
1288942	4408	1996-06-30	VYDAJ	VYBER	30	34391	SLUZBY	\N	\N
1288943	4408	1996-07-31	VYDAJ	VYBER	30	55934	SLUZBY	\N	\N
1288944	4408	1996-08-31	VYDAJ	VYBER	30	99215	SLUZBY	\N	\N
1288945	4408	1996-09-30	VYDAJ	VYBER	30	50181	SLUZBY	\N	\N
1288946	4408	1996-10-31	VYDAJ	VYBER	30	31859	SLUZBY	\N	\N
1288947	4408	1996-11-30	VYDAJ	VYBER	30	29246	SLUZBY	\N	\N
1288948	4408	1996-12-31	VYDAJ	VYBER	30	44316	SLUZBY	\N	\N
1288949	4408	1997-01-31	VYDAJ	VYBER	30	48419	SLUZBY	\N	\N
1288950	4408	1997-02-28	VYDAJ	VYBER	30	77660	SLUZBY	\N	\N
1288951	4408	1997-03-31	VYDAJ	VYBER	30	109053	SLUZBY	\N	\N
1288952	4408	1997-04-30	VYDAJ	VYBER	30	66999	SLUZBY	\N	\N
1288953	4408	1997-05-31	VYDAJ	VYBER	30	72371	SLUZBY	\N	\N
1288954	4408	1997-06-30	VYDAJ	VYBER	30	49362	SLUZBY	\N	\N
1288955	4408	1997-07-31	VYDAJ	VYBER	30	92761	SLUZBY	\N	\N
1288956	4408	1997-08-31	VYDAJ	VYBER	30	63423	SLUZBY	\N	\N
1288957	4408	1997-09-30	VYDAJ	VYBER	30	70218	SLUZBY	\N	\N
1288958	4408	1997-10-31	VYDAJ	VYBER	30	65863	SLUZBY	\N	\N
1288959	4408	1997-11-30	VYDAJ	VYBER	30	55333	SLUZBY	\N	\N
1288960	4408	1997-12-31	VYDAJ	VYBER	30	71365	SLUZBY	\N	\N
1288961	4408	1998-01-31	VYDAJ	VYBER	30	57550	SLUZBY	\N	\N
1288962	4408	1998-02-28	VYDAJ	VYBER	30	105907	SLUZBY	\N	\N
1288963	4408	1998-03-31	VYDAJ	VYBER	30	74464	SLUZBY	\N	\N
1288964	4408	1998-04-30	VYDAJ	VYBER	30	70047	SLUZBY	\N	\N
1288965	4408	1998-05-31	VYDAJ	VYBER	30	84700	SLUZBY	\N	\N
1288966	4408	1998-06-30	VYDAJ	VYBER	30	83460	SLUZBY	\N	\N
1288967	4408	1998-07-31	VYDAJ	VYBER	30	70058	SLUZBY	\N	\N
1288968	4408	1998-08-31	VYDAJ	VYBER	30	111896	SLUZBY	\N	\N
1288969	4408	1998-09-30	VYDAJ	VYBER	30	66271	SLUZBY	\N	\N
1288970	4408	1998-10-31	VYDAJ	VYBER	30	61106	SLUZBY	\N	\N
1288971	4408	1998-11-30	VYDAJ	VYBER	30	76227	SLUZBY	\N	\N
1288972	4408	1994-05-11	PRIJEM	VKLAD	10400	11200	\N	\N	\N
1288973	4408	1994-06-10	VYDAJ	VYBER	12800	35598	\N	\N	\N
1288974	4408	1994-07-10	VYDAJ	VYBER	22300	51715	\N	\N	\N
1288975	4408	1994-08-09	VYDAJ	VYBER	15000	36927	\N	\N	\N
1288976	4408	1994-09-08	VYDAJ	VYBER	8200	28942	\N	\N	\N
1288977	4408	1994-10-08	VYDAJ	VYBER	25800	51830	\N	\N	\N
1288978	4408	1994-11-07	VYDAJ	VYBER	12500	39652	\N	\N	\N
1288979	4408	1994-12-07	VYDAJ	VYBER	6300	33675	\N	\N	\N
1288980	4408	1995-01-06	VYDAJ	VYBER	16300	43258	\N	\N	\N
1288981	4408	1995-02-05	VYDAJ	VYBER	9400	34062	\N	\N	\N
1288982	4408	1995-03-07	VYDAJ	VYBER	23800	53551	\N	\N	\N
1288983	4408	1995-04-06	VYDAJ	VYBER	14700	43973	\N	\N	\N
1288984	4408	1995-05-06	VYDAJ	VYBER	31000	56688	\N	\N	\N
1288985	4408	1995-06-05	VYDAJ	VYBER	23300	54255	\N	\N	\N
1288986	4408	1995-07-05	VYDAJ	VYBER	9000	39366	\N	\N	\N
1288987	4408	1995-08-04	VYDAJ	VYBER	14000	47579	\N	\N	\N
1288988	4408	1995-09-03	VYDAJ	VYBER	17700	52352	\N	\N	\N
1288989	4408	1995-10-03	VYDAJ	VYBER	26400	62132	\N	\N	\N
1288990	4408	1995-11-02	VYDAJ	VYBER	20300	49328	\N	\N	\N
1288991	4408	1995-12-02	VYDAJ	VYBER	31100	67249	\N	\N	\N
1288992	4408	1996-01-01	VYDAJ	VYBER	18900	51026	\N	\N	\N
1288993	4408	1996-01-31	PRIJEM	VKLAD	800	32672	\N	\N	\N
1288994	4408	1996-03-01	VYDAJ	VYBER	34300	63375	\N	\N	\N
1288995	4408	1996-03-18	VYDAJ	VYBER	52500	55523	\N	\N	\N
1288996	4408	1996-03-31	VYDAJ	VYBER	500	29589	\N	\N	\N
1288997	4408	1996-04-30	VYDAJ	VYBER	11500	40486	\N	\N	\N
1288998	4408	1996-05-30	VYDAJ	VYBER	16100	43515	\N	\N	\N
1288999	4408	1996-06-29	VYDAJ	VYBER	2500	34305	\N	\N	\N
1289000	4408	1996-07-29	VYDAJ	VYBER	16700	55722	\N	\N	\N
1289001	4408	1996-08-28	VYDAJ	VYBER	8700	42413	\N	\N	\N
1289002	4408	1996-09-06	VYDAJ	VYBER	44100	95606	\N	\N	\N
1289003	4408	1996-09-27	VYDAJ	VYBER	16700	49860	\N	\N	\N
1289004	4408	1996-10-27	VYDAJ	VYBER	4000	31725	\N	\N	\N
1289005	4408	1996-11-26	VYDAJ	VYBER	3000	29146	\N	\N	\N
1289006	4408	1996-12-26	VYDAJ	VYBER	15400	44198	\N	\N	\N
1289007	4408	1997-01-25	VYDAJ	VYBER	14600	48225	\N	\N	\N
1289008	4408	1997-02-24	PRIJEM	VKLAD	3100	28663	\N	\N	\N
1289009	4408	1997-03-26	VYDAJ	VYBER	16500	53094	\N	\N	\N
1289010	4408	1997-04-09	VYDAJ	VYBER	35600	100493	\N	\N	\N
1289011	4408	1997-04-25	VYDAJ	VYBER	28700	66637	\N	\N	\N
1289012	4408	1997-05-25	VYDAJ	VYBER	29200	72086	\N	\N	\N
1289013	4408	1997-06-24	VYDAJ	VYBER	12700	54515	\N	\N	\N
1289014	4408	1997-07-24	VYDAJ	VYBER	800	43406	\N	\N	\N
1289015	4408	1997-08-23	VYDAJ	VYBER	24500	63105	\N	\N	\N
1289016	4408	1997-09-22	VYDAJ	VYBER	30700	69937	\N	\N	\N
1289017	4408	1997-10-22	VYDAJ	VYBER	53800	86349	\N	\N	\N
1289018	4408	1997-10-22	VYDAJ	VYBER	20800	65549	\N	\N	\N
1289019	4408	1997-11-21	VYDAJ	VYBER	5600	55107	\N	\N	\N
1289020	4408	1997-12-21	VYDAJ	VYBER	16300	71155	\N	\N	\N
1289021	4408	1998-01-20	VYDAJ	VYBER	8900	57309	\N	\N	\N
1289022	4408	1998-02-19	VYDAJ	VYBER	11200	64402	\N	\N	\N
1289023	4408	1998-03-21	VYDAJ	VYBER	23600	74139	\N	\N	\N
1289024	4408	1998-04-14	VYDAJ	VYBER	51700	81928	\N	\N	\N
1289025	4408	1998-04-20	VYDAJ	VYBER	18600	69748	\N	\N	\N
1289026	4408	1998-05-13	VYDAJ	VYBER	52100	61855	\N	\N	\N
1289027	4408	1998-05-20	VYDAJ	VYBER	30900	116071	\N	\N	\N
1289028	4408	1998-05-20	VYDAJ	VYBER	31700	84371	\N	\N	\N
1289029	4408	1998-06-19	VYDAJ	VYBER	12200	64277	\N	\N	\N
1289030	4408	1998-07-19	VYDAJ	VYBER	15300	63004	\N	\N	\N
1289031	4408	1998-08-18	VYDAJ	VYBER	20600	71816	\N	\N	\N
1289032	4408	1998-09-03	VYDAJ	VYBER	23600	135928	\N	\N	\N
1289033	4408	1998-09-10	VYDAJ	VYBER	31000	99772	\N	\N	\N
1289034	4408	1998-09-17	VYDAJ	VYBER	17700	82226	\N	\N	\N
1289035	4408	1998-09-17	VYDAJ	VYBER	33400	99926	\N	\N	\N
1289036	4408	1998-10-17	VYDAJ	VYBER	23300	60859	\N	\N	\N
1289037	4408	1998-11-16	VYDAJ	VYBER	4900	42050	\N	\N	\N
1289038	4408	1998-12-16	VYDAJ	VYBER	8200	49671	\N	\N	\N
1290875	4413	1994-01-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1290877	4413	1994-02-10	PRIJEM	PREVOD Z UCTU	33452	34552	\N	KL	32251250
1290878	4413	1994-03-10	PRIJEM	PREVOD Z UCTU	33452	64674	\N	KL	32251250
1290879	4413	1994-04-10	PRIJEM	PREVOD Z UCTU	33452	79387	\N	KL	32251250
1290880	4413	1994-05-10	PRIJEM	PREVOD Z UCTU	33452	85242	\N	KL	32251250
1290881	4413	1994-06-10	PRIJEM	PREVOD Z UCTU	50178	106145	\N	KL	32251250
1290882	4413	1994-07-10	PRIJEM	PREVOD Z UCTU	33452	42072	\N	KL	32251250
1290883	4413	1994-08-10	PRIJEM	PREVOD Z UCTU	33452	46420	\N	KL	32251250
1290884	4413	1994-09-10	PRIJEM	PREVOD Z UCTU	33452	50560	\N	KL	32251250
1290885	4413	1994-10-10	PRIJEM	PREVOD Z UCTU	33452	51094	\N	KL	32251250
1290886	4413	1994-11-10	PRIJEM	PREVOD Z UCTU	33452	51313	\N	KL	32251250
1290887	4413	1994-12-10	PRIJEM	PREVOD Z UCTU	50178	66186	\N	KL	32251250
1290888	4413	1995-01-10	PRIJEM	PREVOD Z UCTU	33452	65465	\N	KL	32251250
1290889	4413	1995-02-10	PRIJEM	PREVOD Z UCTU	33452	55065	\N	KL	32251250
1290890	4413	1995-03-10	PRIJEM	PREVOD Z UCTU	33452	52487	\N	KL	32251250
1290891	4413	1995-04-10	PRIJEM	PREVOD Z UCTU	33452	46508	\N	KL	32251250
1290892	4413	1995-05-10	PRIJEM	PREVOD Z UCTU	33452	52928	\N	KL	32251250
1290893	4413	1995-06-10	PRIJEM	PREVOD Z UCTU	50178	67692	\N	KL	32251250
1290894	4413	1995-07-10	PRIJEM	PREVOD Z UCTU	33452	71022	\N	KL	32251250
1290895	4413	1995-08-10	PRIJEM	PREVOD Z UCTU	33452	52488	\N	KL	32251250
1290896	4413	1995-09-10	PRIJEM	PREVOD Z UCTU	33452	58691	\N	KL	32251250
1290897	4413	1995-10-10	PRIJEM	PREVOD Z UCTU	33452	54480	\N	KL	32251250
1290898	4413	1995-11-10	PRIJEM	PREVOD Z UCTU	33452	56687	\N	KL	32251250
1290899	4413	1995-12-10	PRIJEM	PREVOD Z UCTU	50178	71681	\N	KL	32251250
1290900	4413	1996-01-10	PRIJEM	PREVOD Z UCTU	33452	63943	\N	KL	32251250
1290901	4413	1996-02-10	PRIJEM	PREVOD Z UCTU	33452	52135	\N	KL	32251250
1290902	4413	1996-03-10	PRIJEM	PREVOD Z UCTU	33452	50902	\N	KL	32251250
1290903	4413	1996-04-10	PRIJEM	PREVOD Z UCTU	33452	57691	\N	KL	32251250
1290904	4413	1996-05-10	PRIJEM	PREVOD Z UCTU	33452	53453	\N	KL	32251250
1290905	4413	1996-06-10	PRIJEM	PREVOD Z UCTU	50178	74988	\N	KL	32251250
1290906	4413	1996-07-10	PRIJEM	PREVOD Z UCTU	33452	66962	\N	KL	32251250
1290907	4413	1996-08-10	PRIJEM	PREVOD Z UCTU	33452	64237	\N	KL	32251250
1290908	4413	1996-09-10	PRIJEM	PREVOD Z UCTU	33452	55486	\N	KL	32251250
1290909	4413	1996-10-10	PRIJEM	PREVOD Z UCTU	33452	49008	\N	KL	32251250
1290910	4413	1996-11-10	PRIJEM	PREVOD Z UCTU	33452	53303	\N	KL	32251250
1290911	4413	1996-12-10	PRIJEM	PREVOD Z UCTU	50178	62841	\N	KL	32251250
1290912	4413	1997-01-10	PRIJEM	PREVOD Z UCTU	33452	55741	\N	KL	32251250
1290913	4413	1997-02-10	PRIJEM	PREVOD Z UCTU	33452	52229	\N	KL	32251250
1290914	4413	1997-03-10	PRIJEM	PREVOD Z UCTU	33452	50143	\N	KL	32251250
1290915	4413	1997-04-10	PRIJEM	PREVOD Z UCTU	33452	50904	\N	KL	32251250
1290916	4413	1997-05-10	PRIJEM	PREVOD Z UCTU	33452	56075	\N	KL	32251250
1290917	4413	1997-06-10	PRIJEM	PREVOD Z UCTU	50178	69666	\N	KL	32251250
1290918	4413	1997-07-10	PRIJEM	PREVOD Z UCTU	33452	62582	\N	KL	32251250
1290919	4413	1997-08-10	PRIJEM	PREVOD Z UCTU	33452	50115	\N	KL	32251250
1290920	4413	1997-09-10	PRIJEM	PREVOD Z UCTU	33452	55477	\N	KL	32251250
1290921	4413	1997-10-10	PRIJEM	PREVOD Z UCTU	33452	46230	\N	KL	32251250
1290922	4413	1997-11-10	PRIJEM	PREVOD Z UCTU	33452	45998	\N	KL	32251250
1290923	4413	1997-12-10	PRIJEM	PREVOD Z UCTU	50178	69567	\N	KL	32251250
1290924	4413	1998-01-10	PRIJEM	PREVOD Z UCTU	33452	61573	\N	KL	32251250
1290925	4413	1998-02-10	PRIJEM	PREVOD Z UCTU	33452	47018	\N	KL	32251250
1290926	4413	1998-03-10	PRIJEM	PREVOD Z UCTU	33452	49058	\N	KL	32251250
1290927	4413	1998-04-10	PRIJEM	PREVOD Z UCTU	33452	50107	\N	KL	32251250
1290928	4413	1998-05-10	PRIJEM	PREVOD Z UCTU	33452	51659	\N	KL	32251250
1290929	4413	1998-06-10	PRIJEM	PREVOD Z UCTU	50178	64130	\N	KL	32251250
1290930	4413	1998-07-10	PRIJEM	PREVOD Z UCTU	33452	55605	\N	KL	32251250
1290931	4413	1998-08-10	PRIJEM	PREVOD Z UCTU	33452	43634	\N	KL	32251250
1290932	4413	1998-09-10	PRIJEM	PREVOD Z UCTU	33452	56583	\N	KL	32251250
1290933	4413	1998-10-10	PRIJEM	PREVOD Z UCTU	33452	48640	\N	KL	32251250
1290934	4413	1998-11-10	PRIJEM	PREVOD Z UCTU	33452	50580	\N	KL	32251250
1290935	4413	1998-12-10	PRIJEM	PREVOD Z UCTU	50178	64150	\N	KL	32251250
1290941	4413	1994-06-21	VYDAJ	VYBER	3500	21954	\N	\N	0
1290942	4413	1994-07-09	VYDAJ	VYBER	5700	8620	\N	\N	0
1290943	4413	1994-08-10	VYDAJ	VYBER	3700	42720	\N	\N	0
1290944	4413	1994-09-24	VYDAJ	VYBER	5500	33260	\N	\N	0
1290945	4413	1994-10-18	VYDAJ	VYBER	4000	36194	\N	\N	0
1290946	4413	1994-11-14	VYDAJ	VYBER	4200	32013	\N	\N	0
1290947	4413	1994-12-18	VYDAJ	VYBER	5000	39686	\N	\N	0
1290948	4413	1995-01-19	VYDAJ	VYBER	5500	31187	\N	\N	0
1290949	4413	1995-02-12	VYDAJ	PREVOD NA UCET	4610	39124	UVER	QR	63660216
1290950	4413	1995-03-12	VYDAJ	PREVOD NA UCET	4610	33977	UVER	QR	63660216
1290951	4413	1995-04-12	VYDAJ	PREVOD NA UCET	4610	27198	UVER	QR	63660216
1290952	4413	1995-05-12	VYDAJ	PREVOD NA UCET	4610	30818	UVER	QR	63660216
1290953	4413	1995-06-12	VYDAJ	PREVOD NA UCET	4610	63082	UVER	QR	63660216
1290954	4413	1995-07-12	VYDAJ	PREVOD NA UCET	4610	66412	UVER	QR	63660216
1290955	4413	1995-08-12	VYDAJ	PREVOD NA UCET	4610	47878	UVER	QR	63660216
1290956	4413	1995-09-12	VYDAJ	PREVOD NA UCET	4610	54081	UVER	QR	63660216
1290957	4413	1995-10-12	VYDAJ	PREVOD NA UCET	4610	49870	UVER	QR	63660216
1290958	4413	1995-11-12	VYDAJ	PREVOD NA UCET	4610	45248	UVER	QR	63660216
1290959	4413	1995-12-12	VYDAJ	PREVOD NA UCET	4610	67071	UVER	QR	63660216
1290960	4413	1996-01-12	VYDAJ	PREVOD NA UCET	4610	59333	UVER	QR	63660216
1290961	4413	1996-02-12	VYDAJ	PREVOD NA UCET	4610	47525	UVER	QR	63660216
1290962	4413	1996-03-12	VYDAJ	PREVOD NA UCET	4610	46292	UVER	QR	63660216
1290963	4413	1996-04-12	VYDAJ	PREVOD NA UCET	4610	53081	UVER	QR	63660216
1290964	4413	1996-05-12	VYDAJ	PREVOD NA UCET	4610	48843	UVER	QR	63660216
1290965	4413	1996-06-12	VYDAJ	PREVOD NA UCET	4610	70378	UVER	QR	63660216
1290966	4413	1996-07-12	VYDAJ	PREVOD NA UCET	4610	62352	UVER	QR	63660216
1290967	4413	1996-08-12	VYDAJ	PREVOD NA UCET	4610	59627	UVER	QR	63660216
1290968	4413	1996-09-12	VYDAJ	PREVOD NA UCET	4610	50876	UVER	QR	63660216
1290969	4413	1996-10-12	VYDAJ	PREVOD NA UCET	4610	44398	UVER	QR	63660216
1290970	4413	1996-11-12	VYDAJ	PREVOD NA UCET	4610	31167	UVER	QR	63660216
1290971	4413	1996-12-12	VYDAJ	PREVOD NA UCET	4610	53431	UVER	QR	63660216
1290972	4413	1997-01-12	VYDAJ	PREVOD NA UCET	4610	51131	UVER	QR	63660216
1290973	4413	1997-02-12	VYDAJ	PREVOD NA UCET	4610	47619	UVER	QR	63660216
1290974	4413	1997-03-12	VYDAJ	PREVOD NA UCET	4610	45533	UVER	QR	63660216
1290975	4413	1997-04-12	VYDAJ	PREVOD NA UCET	4610	46294	UVER	QR	63660216
1290976	4413	1997-05-12	VYDAJ	PREVOD NA UCET	4610	51465	UVER	QR	63660216
1290977	4413	1997-06-12	VYDAJ	PREVOD NA UCET	4610	65056	UVER	QR	63660216
1290978	4413	1997-07-12	VYDAJ	PREVOD NA UCET	4610	57972	UVER	QR	63660216
1290979	4413	1997-08-12	VYDAJ	PREVOD NA UCET	4610	45505	UVER	QR	63660216
1290980	4413	1997-09-12	VYDAJ	PREVOD NA UCET	4610	50867	UVER	QR	63660216
1290981	4413	1997-10-12	VYDAJ	PREVOD NA UCET	4610	28420	UVER	QR	63660216
1290982	4413	1997-11-12	VYDAJ	PREVOD NA UCET	4610	41388	UVER	QR	63660216
1290983	4413	1997-12-12	VYDAJ	PREVOD NA UCET	4610	64957	UVER	QR	63660216
1290984	4413	1998-01-12	VYDAJ	PREVOD NA UCET	4610	35963	UVER	QR	63660216
1290985	4413	1998-02-12	VYDAJ	PREVOD NA UCET	4610	42408	UVER	QR	63660216
1290986	4413	1998-03-12	VYDAJ	PREVOD NA UCET	4610	44448	UVER	QR	63660216
1290987	4413	1998-04-12	VYDAJ	PREVOD NA UCET	4610	45497	UVER	QR	63660216
1290988	4413	1998-05-12	VYDAJ	PREVOD NA UCET	4610	47049	UVER	QR	63660216
1290989	4413	1998-06-12	VYDAJ	PREVOD NA UCET	4610	59520	UVER	QR	63660216
1290990	4413	1998-07-12	VYDAJ	PREVOD NA UCET	4610	50995	UVER	QR	63660216
1290991	4413	1998-08-12	VYDAJ	PREVOD NA UCET	4610	39024	UVER	QR	63660216
1290992	4413	1998-09-12	VYDAJ	PREVOD NA UCET	4610	51973	UVER	QR	63660216
1290993	4413	1998-10-12	VYDAJ	PREVOD NA UCET	4610	44030	UVER	QR	63660216
1290994	4413	1998-11-12	VYDAJ	PREVOD NA UCET	4610	45970	UVER	QR	63660216
1290995	4413	1998-12-12	VYDAJ	PREVOD NA UCET	4610	59540	UVER	QR	63660216
1291002	4413	1994-07-09	VYDAJ	PREVOD NA UCET	7802	14320	SIPO	UV	8759522
1291003	4413	1994-08-09	VYDAJ	PREVOD NA UCET	7802	12968	SIPO	UV	8759522
1291004	4413	1994-09-09	VYDAJ	PREVOD NA UCET	7802	17108	SIPO	UV	8759522
1291005	4413	1994-10-09	VYDAJ	PREVOD NA UCET	7802	17642	SIPO	UV	8759522
1291006	4413	1994-11-09	VYDAJ	PREVOD NA UCET	7802	17861	SIPO	UV	8759522
1291007	4413	1994-12-09	VYDAJ	PREVOD NA UCET	7802	16008	SIPO	UV	8759522
1291008	4413	1995-01-09	VYDAJ	PREVOD NA UCET	7802	32013	SIPO	UV	8759522
1291009	4413	1995-02-09	VYDAJ	PREVOD NA UCET	7802	21613	SIPO	UV	8759522
1291125	4413	1997-03-14	VYDAJ	VYBER	3300	42233	\N	\N	\N
1291010	4413	1995-03-09	VYDAJ	PREVOD NA UCET	7802	19035	SIPO	UV	8759522
1291011	4413	1995-04-09	VYDAJ	PREVOD NA UCET	7802	13056	SIPO	UV	8759522
1291012	4413	1995-05-09	VYDAJ	PREVOD NA UCET	7802	19476	SIPO	UV	8759522
1291013	4413	1995-06-09	VYDAJ	PREVOD NA UCET	7802	21314	SIPO	UV	8759522
1291014	4413	1995-07-09	VYDAJ	PREVOD NA UCET	7802	55470	SIPO	UV	8759522
1291015	4413	1995-08-09	VYDAJ	PREVOD NA UCET	7802	19036	SIPO	UV	8759522
1291016	4413	1995-09-09	VYDAJ	PREVOD NA UCET	7802	25239	SIPO	UV	8759522
1291017	4413	1995-10-09	VYDAJ	PREVOD NA UCET	7802	21028	SIPO	UV	8759522
1291018	4413	1995-11-09	VYDAJ	PREVOD NA UCET	7802	23235	SIPO	UV	8759522
1291019	4413	1995-12-09	VYDAJ	PREVOD NA UCET	7802	21503	SIPO	UV	8759522
1291020	4413	1996-01-09	VYDAJ	PREVOD NA UCET	7802	30491	SIPO	UV	8759522
1291021	4413	1996-02-09	VYDAJ	PREVOD NA UCET	7802	18683	SIPO	UV	8759522
1291022	4413	1996-03-09	VYDAJ	PREVOD NA UCET	7802	17450	SIPO	UV	8759522
1291023	4413	1996-04-09	VYDAJ	PREVOD NA UCET	7802	24239	SIPO	UV	8759522
1291024	4413	1996-05-09	VYDAJ	PREVOD NA UCET	7802	20001	SIPO	UV	8759522
1291025	4413	1996-06-09	VYDAJ	PREVOD NA UCET	7802	24810	SIPO	UV	8759522
1291026	4413	1996-07-09	VYDAJ	PREVOD NA UCET	7802	33510	SIPO	UV	8759522
1291027	4413	1996-08-09	VYDAJ	PREVOD NA UCET	7802	30785	SIPO	UV	8759522
1291028	4413	1996-09-09	VYDAJ	PREVOD NA UCET	7802	22034	SIPO	UV	8759522
1291029	4413	1996-10-09	VYDAJ	PREVOD NA UCET	7802	15556	SIPO	UV	8759522
1291030	4413	1996-11-09	VYDAJ	PREVOD NA UCET	7802	19851	SIPO	UV	8759522
1291031	4413	1996-12-09	VYDAJ	PREVOD NA UCET	7802	12663	SIPO	UV	8759522
1291032	4413	1997-01-09	VYDAJ	PREVOD NA UCET	7802	22289	SIPO	UV	8759522
1291033	4413	1997-02-09	VYDAJ	PREVOD NA UCET	7802	18777	SIPO	UV	8759522
1291034	4413	1997-03-09	VYDAJ	PREVOD NA UCET	7802	16691	SIPO	UV	8759522
1291035	4413	1997-04-09	VYDAJ	PREVOD NA UCET	7802	17452	SIPO	UV	8759522
1291036	4413	1997-05-09	VYDAJ	PREVOD NA UCET	7802	22623	SIPO	UV	8759522
1291037	4413	1997-06-09	VYDAJ	PREVOD NA UCET	7802	19488	SIPO	UV	8759522
1291038	4413	1997-07-09	VYDAJ	PREVOD NA UCET	7802	29130	SIPO	UV	8759522
1291039	4413	1997-08-09	VYDAJ	PREVOD NA UCET	7802	16663	SIPO	UV	8759522
1291040	4413	1997-09-09	VYDAJ	PREVOD NA UCET	7802	22025	SIPO	UV	8759522
1291041	4413	1997-10-09	VYDAJ	PREVOD NA UCET	7802	12778	SIPO	UV	8759522
1291042	4413	1997-11-09	VYDAJ	PREVOD NA UCET	7802	12546	SIPO	UV	8759522
1291043	4413	1997-12-09	VYDAJ	PREVOD NA UCET	7802	19389	SIPO	UV	8759522
1291044	4413	1998-01-09	VYDAJ	PREVOD NA UCET	7802	28121	SIPO	UV	8759522
1291045	4413	1998-02-09	VYDAJ	PREVOD NA UCET	7802	13566	SIPO	UV	8759522
1291046	4413	1998-03-09	VYDAJ	PREVOD NA UCET	7802	15606	SIPO	UV	8759522
1291047	4413	1998-04-09	VYDAJ	PREVOD NA UCET	7802	16655	SIPO	UV	8759522
1291048	4413	1998-05-09	VYDAJ	PREVOD NA UCET	7802	18207	SIPO	UV	8759522
1291049	4413	1998-06-09	VYDAJ	PREVOD NA UCET	7802	13952	SIPO	UV	8759522
1291050	4413	1998-07-09	VYDAJ	PREVOD NA UCET	7802	22153	SIPO	UV	8759522
1291051	4413	1998-08-09	VYDAJ	PREVOD NA UCET	7802	10182	SIPO	UV	8759522
1291052	4413	1998-09-09	VYDAJ	PREVOD NA UCET	7802	23131	SIPO	UV	8759522
1291053	4413	1998-10-09	VYDAJ	PREVOD NA UCET	7802	15188	SIPO	UV	8759522
1291054	4413	1998-11-09	VYDAJ	PREVOD NA UCET	7802	17128	SIPO	UV	8759522
1291055	4413	1998-12-09	VYDAJ	PREVOD NA UCET	7802	13972	SIPO	UV	8759522
1291057	4413	1994-10-04	VYBER	VYBER	7928	25444	\N	\N	\N
1291061	4413	1994-06-20	VYBER	VYBER	17491	25454	\N	\N	\N
1291062	4413	1994-10-20	VYBER	VYBER	7940	28254	\N	\N	\N
1291065	4413	1994-11-17	VYBER	VYBER	2600	29413	\N	\N	\N
1291067	4413	1995-02-20	VYBER	VYBER	12394	26730	\N	\N	\N
1291069	4413	1995-07-27	VYBER	VYBER	19004	47408	\N	\N	\N
1291070	4413	1995-03-13	VYBER	VYBER	13191	20786	\N	\N	\N
1291072	4413	1995-02-11	VYBER	VYBER	11331	43734	\N	\N	\N
1291073	4413	1995-12-15	VYBER	VYBER	4480	59291	\N	\N	\N
1291074	4413	1995-01-18	VYBER	VYBER	9978	36687	\N	\N	\N
1291075	4413	1995-10-06	VYBER	VYBER	8436	45830	\N	\N	\N
1291076	4413	1995-11-10	VYBER	VYBER	6829	49858	\N	\N	\N
1291078	4413	1996-11-11	VYBER	VYBER	17526	35777	\N	\N	\N
1291079	4413	1996-04-20	VYBER	VYBER	4851	48230	\N	\N	\N
1291081	4413	1997-07-20	VYBER	VYBER	22250	35722	\N	\N	\N
1291082	4413	1997-02-15	VYBER	VYBER	12739	34880	\N	\N	\N
1291084	4413	1997-05-15	VYBER	VYBER	10504	40961	\N	\N	\N
1291085	4413	1997-10-15	VYBER	VYBER	2540	25880	\N	\N	\N
1291087	4413	1997-09-13	VYBER	VYBER	19186	31681	\N	\N	\N
1291092	4413	1998-08-20	VYBER	VYBER	8183	30841	\N	\N	\N
1291094	4413	1998-07-22	VYBER	VYBER	7424	43571	\N	\N	\N
1291095	4413	1994-06-10	VYDAJ	VYBER	20100	86045	\N	\N	\N
1291102	4413	1996-01-13	VYDAJ	VYBER	24300	35033	\N	\N	\N
1291104	4413	1998-01-11	VYDAJ	VYBER	21000	40573	\N	\N	\N
1291105	4413	1994-12-04	VYDAJ	VYBER	5700	23810	\N	\N	\N
1291106	4413	1995-12-12	VYDAJ	VYBER	3300	63771	\N	\N	\N
1291107	4413	1996-12-10	VYDAJ	VYBER	4800	58041	\N	\N	\N
1291108	4413	1997-12-28	VYDAJ	VYBER	1800	35757	\N	\N	\N
1291111	4413	1994-11-05	VYDAJ	VYBER	2700	25663	\N	\N	\N
1291112	4413	1994-08-06	VYDAJ	VYBER	12000	20770	\N	\N	\N
1291113	4413	1994-08-15	VYDAJ	VYBER	10800	24820	\N	\N	\N
1291114	4413	1995-05-25	VYDAJ	VYBER	1800	29018	\N	\N	\N
1291117	4413	1995-10-25	VYDAJ	VYBER	5700	44170	\N	\N	\N
1291118	4413	1995-08-07	VYDAJ	VYBER	5700	41938	\N	\N	\N
1291121	4413	1996-02-14	VYDAJ	VYBER	10200	37325	\N	\N	\N
1291122	4413	1996-08-22	VYDAJ	VYBER	6000	53627	\N	\N	\N
1291123	4413	1996-09-30	VYDAJ	VYBER	14700	36358	\N	\N	\N
1291124	4413	1997-10-11	VYDAJ	VYBER	13200	33030	\N	\N	\N
1291126	4413	1997-02-05	VYDAJ	VYBER	2100	26579	\N	\N	\N
1291128	4413	1997-08-26	VYDAJ	VYBER	3600	41905	\N	\N	\N
1291129	4413	1997-06-24	VYDAJ	VYBER	7800	57256	\N	\N	\N
1291130	4413	1998-05-16	VYDAJ	VYBER	5100	41949	\N	\N	\N
1291133	4413	1998-11-04	VYDAJ	VYBER	9000	24930	\N	\N	\N
1291134	4413	1998-10-14	VYDAJ	VYBER	10200	33830	\N	\N	\N
1291136	4413	1998-12-17	VYDAJ	VYBER	6300	53240	\N	\N	\N
1291143	4413	1994-06-30	VYDAJ	VYBER	30	22122	SLUZBY	\N	\N
1291144	4413	1994-07-31	VYDAJ	VYBER	30	32770	SLUZBY	\N	\N
1291145	4413	1994-08-31	VYDAJ	VYBER	30	24910	SLUZBY	\N	\N
1291146	4413	1994-09-30	VYDAJ	VYBER	30	33372	SLUZBY	\N	\N
1291147	4413	1994-10-31	VYDAJ	VYBER	30	28363	SLUZBY	\N	\N
1291148	4413	1994-11-30	VYDAJ	VYBER	30	29510	SLUZBY	\N	\N
1291149	4413	1994-12-31	VYDAJ	VYBER	30	39815	SLUZBY	\N	\N
1291150	4413	1995-01-31	VYDAJ	VYBER	30	31315	SLUZBY	\N	\N
1291151	4413	1995-02-28	VYDAJ	VYBER	30	26837	SLUZBY	\N	\N
1291152	4413	1995-03-31	VYDAJ	VYBER	30	20858	SLUZBY	\N	\N
1291153	4413	1995-04-30	VYDAJ	VYBER	30	27278	SLUZBY	\N	\N
1291154	4413	1995-05-31	VYDAJ	VYBER	30	29116	SLUZBY	\N	\N
1291155	4413	1995-06-30	VYDAJ	VYBER	30	63272	SLUZBY	\N	\N
1291156	4413	1995-07-31	VYDAJ	VYBER	30	47638	SLUZBY	\N	\N
1291157	4413	1995-08-31	VYDAJ	VYBER	30	48041	SLUZBY	\N	\N
1291158	4413	1995-09-30	VYDAJ	VYBER	30	54266	SLUZBY	\N	\N
1291159	4413	1995-10-31	VYDAJ	VYBER	30	44337	SLUZBY	\N	\N
1291160	4413	1995-11-30	VYDAJ	VYBER	30	45405	SLUZBY	\N	\N
1291161	4413	1995-12-31	VYDAJ	VYBER	30	59493	SLUZBY	\N	\N
1291162	4413	1996-01-31	VYDAJ	VYBER	30	35185	SLUZBY	\N	\N
1291163	4413	1996-02-29	VYDAJ	VYBER	30	37452	SLUZBY	\N	\N
1291164	4413	1996-03-31	VYDAJ	VYBER	30	46441	SLUZBY	\N	\N
1291165	4413	1996-04-30	VYDAJ	VYBER	30	48403	SLUZBY	\N	\N
1291166	4413	1996-05-31	VYDAJ	VYBER	30	49012	SLUZBY	\N	\N
1291167	4413	1996-06-30	VYDAJ	VYBER	30	70612	SLUZBY	\N	\N
1291168	4413	1996-07-31	VYDAJ	VYBER	30	62587	SLUZBY	\N	\N
1291169	4413	1996-08-31	VYDAJ	VYBER	30	53836	SLUZBY	\N	\N
1291170	4413	1996-09-30	VYDAJ	VYBER	30	51058	SLUZBY	\N	\N
1291171	4413	1996-10-31	VYDAJ	VYBER	30	27653	SLUZBY	\N	\N
1291172	4413	1996-11-30	VYDAJ	VYBER	30	31265	SLUZBY	\N	\N
1291173	4413	1996-12-31	VYDAJ	VYBER	30	30091	SLUZBY	\N	\N
1291174	4413	1997-01-31	VYDAJ	VYBER	30	28679	SLUZBY	\N	\N
1291175	4413	1997-02-28	VYDAJ	VYBER	30	24493	SLUZBY	\N	\N
1291176	4413	1997-03-31	VYDAJ	VYBER	30	25254	SLUZBY	\N	\N
1291177	4413	1997-04-30	VYDAJ	VYBER	30	30425	SLUZBY	\N	\N
1291178	4413	1997-05-31	VYDAJ	VYBER	30	27290	SLUZBY	\N	\N
1291179	4413	1997-06-30	VYDAJ	VYBER	30	36932	SLUZBY	\N	\N
1291180	4413	1997-07-31	VYDAJ	VYBER	30	24465	SLUZBY	\N	\N
1291181	4413	1997-08-31	VYDAJ	VYBER	30	29827	SLUZBY	\N	\N
1291182	4413	1997-09-30	VYDAJ	VYBER	30	20580	SLUZBY	\N	\N
1291183	4413	1997-10-31	VYDAJ	VYBER	30	20348	SLUZBY	\N	\N
1291184	4413	1997-11-30	VYDAJ	VYBER	30	27191	SLUZBY	\N	\N
1291185	4413	1997-12-31	VYDAJ	VYBER	30	35923	SLUZBY	\N	\N
1291186	4413	1998-01-31	VYDAJ	VYBER	30	21368	SLUZBY	\N	\N
1291187	4413	1998-02-28	VYDAJ	VYBER	30	23408	SLUZBY	\N	\N
1291188	4413	1998-03-31	VYDAJ	VYBER	30	24457	SLUZBY	\N	\N
1291189	4413	1998-04-30	VYDAJ	VYBER	30	26009	SLUZBY	\N	\N
1291190	4413	1998-05-31	VYDAJ	VYBER	30	21754	SLUZBY	\N	\N
1291191	4413	1998-06-30	VYDAJ	VYBER	30	29955	SLUZBY	\N	\N
1291192	4413	1998-07-31	VYDAJ	VYBER	30	17984	SLUZBY	\N	\N
1291193	4413	1998-08-31	VYDAJ	VYBER	30	30933	SLUZBY	\N	\N
1291194	4413	1998-09-30	VYDAJ	VYBER	30	22990	SLUZBY	\N	\N
1291195	4413	1998-10-31	VYDAJ	VYBER	30	33930	SLUZBY	\N	\N
1291196	4413	1998-11-30	VYDAJ	VYBER	30	21774	SLUZBY	\N	\N
1291197	4413	1994-02-14	VYDAJ	VYBER	3400	31152	\N	\N	\N
1291198	4413	1994-03-16	VYDAJ	VYBER	18900	45774	\N	\N	\N
1291199	4413	1994-04-15	VYDAJ	VYBER	27800	51587	\N	\N	\N
1291200	4413	1994-05-15	VYDAJ	VYBER	29500	55742	\N	\N	\N
1291201	4413	1994-06-10	VYDAJ	VYBER	32300	53745	\N	\N	\N
1291202	4413	1994-06-14	VYDAJ	VYBER	10800	42945	\N	\N	\N
1291203	4413	1994-07-14	VYDAJ	VYBER	9400	32672	\N	\N	\N
1291204	4413	1994-08-13	VYDAJ	VYBER	7100	35620	\N	\N	\N
1291205	4413	1994-09-12	VYDAJ	VYBER	11800	38760	\N	\N	\N
1291206	4413	1994-10-12	VYDAJ	VYBER	10900	40194	\N	\N	\N
1291207	4413	1994-11-11	VYDAJ	VYBER	15100	36213	\N	\N	\N
1291208	4413	1994-12-11	VYDAJ	VYBER	21500	44686	\N	\N	\N
1291209	4413	1995-01-10	VYDAJ	VYBER	18800	46665	\N	\N	\N
1291210	4413	1995-02-09	VYDAJ	VYBER	1900	29415	\N	\N	\N
1291211	4413	1995-03-11	VYDAJ	VYBER	13900	38587	\N	\N	\N
1291212	4413	1995-04-10	VYDAJ	VYBER	14700	31808	\N	\N	\N
1291213	4413	1995-05-10	VYDAJ	VYBER	17500	35428	\N	\N	\N
1291214	4413	1995-06-09	VYDAJ	VYBER	3800	17514	\N	\N	\N
1291215	4413	1995-07-09	VYDAJ	VYBER	17900	37570	\N	\N	\N
1291216	4413	1995-08-08	VYDAJ	VYBER	15100	26838	\N	\N	\N
1291217	4413	1995-09-07	VYDAJ	VYBER	15000	33041	\N	\N	\N
1291218	4413	1995-10-07	VYDAJ	VYBER	17000	28830	\N	\N	\N
1291219	4413	1995-11-06	VYDAJ	VYBER	13300	31037	\N	\N	\N
1291220	4413	1995-12-06	VYDAJ	VYBER	16100	29305	\N	\N	\N
1291221	4413	1996-01-05	VYDAJ	VYBER	21200	38293	\N	\N	\N
1291222	4413	1996-02-04	VYDAJ	VYBER	8700	26485	\N	\N	\N
1291223	4413	1996-03-05	VYDAJ	VYBER	12200	25252	\N	\N	\N
1291224	4413	1996-04-04	VYDAJ	VYBER	14400	32041	\N	\N	\N
1291225	4413	1996-05-04	VYDAJ	VYBER	20600	27803	\N	\N	\N
1291226	4413	1996-06-03	VYDAJ	VYBER	16400	32612	\N	\N	\N
1291227	4413	1996-07-03	VYDAJ	VYBER	29300	41312	\N	\N	\N
1291228	4413	1996-08-02	VYDAJ	VYBER	24000	38587	\N	\N	\N
1291229	4413	1996-09-01	VYDAJ	VYBER	24000	29836	\N	\N	\N
1291230	4413	1996-10-01	VYDAJ	VYBER	13000	23358	\N	\N	\N
1291231	4413	1996-10-31	VYDAJ	VYBER	16900	27683	\N	\N	\N
1291232	4413	1996-11-30	VYDAJ	VYBER	10800	20465	\N	\N	\N
1291233	4413	1996-12-30	VYDAJ	VYBER	23500	29931	\N	\N	\N
1291234	4413	1997-01-29	VYDAJ	VYBER	22600	28531	\N	\N	\N
1291235	4413	1997-02-28	VYDAJ	VYBER	10500	24523	\N	\N	\N
1291236	4413	1997-03-30	VYDAJ	VYBER	17100	25133	\N	\N	\N
1291237	4413	1997-04-29	VYDAJ	VYBER	16000	30294	\N	\N	\N
1291238	4413	1997-05-29	VYDAJ	VYBER	13800	27161	\N	\N	\N
1291239	4413	1997-06-28	VYDAJ	VYBER	20500	36756	\N	\N	\N
1291240	4413	1997-07-28	VYDAJ	VYBER	11400	24322	\N	\N	\N
1291241	4413	1997-08-27	VYDAJ	VYBER	12200	29705	\N	\N	\N
1291242	4413	1997-09-26	VYDAJ	VYBER	11200	20481	\N	\N	\N
1291243	4413	1997-10-26	VYDAJ	VYBER	5600	20280	\N	\N	\N
1291244	4413	1997-11-25	VYDAJ	VYBER	14300	27088	\N	\N	\N
1291245	4413	1997-12-25	VYDAJ	VYBER	27400	37557	\N	\N	\N
1291246	4413	1998-01-24	VYDAJ	VYBER	14700	21263	\N	\N	\N
1291247	4413	1998-02-23	VYDAJ	VYBER	19100	23308	\N	\N	\N
1291248	4413	1998-03-25	VYDAJ	VYBER	20100	24348	\N	\N	\N
1291249	4413	1998-04-24	VYDAJ	VYBER	19600	25897	\N	\N	\N
1291250	4413	1998-05-24	VYDAJ	VYBER	20300	21649	\N	\N	\N
1291251	4413	1998-06-23	VYDAJ	VYBER	29700	29820	\N	\N	\N
1291252	4413	1998-07-23	VYDAJ	VYBER	25700	17871	\N	\N	\N
1291253	4413	1998-09-21	VYDAJ	VYBER	29100	22873	\N	\N	\N
1291254	4413	1998-11-20	VYDAJ	VYBER	24300	21670	\N	\N	\N
1291255	4413	1998-12-20	VYDAJ	VYBER	29200	24040	\N	\N	\N
1291315	4414	1993-09-10	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1291325	4414	1993-10-05	PRIJEM	VKLAD	10838	11838	\N	\N	\N
1291326	4414	1993-11-05	PRIJEM	VKLAD	10838	29932	\N	\N	\N
1291327	4414	1993-12-05	PRIJEM	VKLAD	16257	43393	\N	\N	\N
1291328	4414	1994-01-05	PRIJEM	VKLAD	10838	42658	\N	\N	\N
1291329	4414	1994-02-05	PRIJEM	VKLAD	10838	42829	\N	\N	\N
1291330	4414	1994-03-05	PRIJEM	VKLAD	10838	29726	\N	\N	\N
1291331	4414	1994-04-05	PRIJEM	VKLAD	10838	31615	\N	\N	\N
1291332	4414	1994-05-05	PRIJEM	VKLAD	10838	25163	\N	\N	\N
1291333	4414	1994-06-05	PRIJEM	VKLAD	16257	33751	\N	\N	\N
1291334	4414	1994-07-05	PRIJEM	VKLAD	10838	27824	\N	\N	\N
1291335	4414	1994-08-05	PRIJEM	VKLAD	10838	26657	\N	\N	\N
1291336	4414	1994-09-05	PRIJEM	VKLAD	10838	23036	\N	\N	\N
1291337	4414	1994-10-05	PRIJEM	VKLAD	10838	24387	\N	\N	\N
1291338	4414	1994-11-05	PRIJEM	VKLAD	10838	28443	\N	\N	\N
1291339	4414	1994-12-05	PRIJEM	VKLAD	16257	38545	\N	\N	\N
1291340	4414	1995-01-05	PRIJEM	VKLAD	10838	36710	\N	\N	\N
1291341	4414	1995-02-05	PRIJEM	VKLAD	10838	30305	\N	\N	\N
1291342	4414	1995-03-05	PRIJEM	VKLAD	10838	35591	\N	\N	\N
1291343	4414	1995-04-05	PRIJEM	VKLAD	10838	38743	\N	\N	\N
1291344	4414	1995-05-05	PRIJEM	VKLAD	10838	40009	\N	\N	\N
1291345	4414	1995-06-05	PRIJEM	VKLAD	16257	45539	\N	\N	\N
1291346	4414	1995-07-05	PRIJEM	VKLAD	10838	38446	\N	\N	\N
1291347	4414	1995-08-05	PRIJEM	VKLAD	10838	36606	\N	\N	\N
1291348	4414	1995-09-05	PRIJEM	VKLAD	10838	39361	\N	\N	\N
1291349	4414	1995-10-05	PRIJEM	VKLAD	10838	41429	\N	\N	\N
1291350	4414	1995-11-05	PRIJEM	VKLAD	10838	43205	\N	\N	\N
1291351	4414	1995-12-05	PRIJEM	VKLAD	16257	51208	\N	\N	\N
1291352	4414	1996-01-05	PRIJEM	VKLAD	10838	47313	\N	\N	\N
1291353	4414	1996-02-05	PRIJEM	VKLAD	10838	38163	\N	\N	\N
1291354	4414	1996-03-05	PRIJEM	VKLAD	10838	37724	\N	\N	\N
1291355	4414	1996-04-05	PRIJEM	VKLAD	10838	37284	\N	\N	\N
1291356	4414	1996-05-05	PRIJEM	VKLAD	10838	38142	\N	\N	\N
1291357	4414	1996-06-05	PRIJEM	VKLAD	16257	48626	\N	\N	\N
1291358	4414	1996-07-05	PRIJEM	VKLAD	10838	45247	\N	\N	\N
1291359	4414	1996-08-05	PRIJEM	VKLAD	10838	41156	\N	\N	\N
1291360	4414	1996-09-05	PRIJEM	VKLAD	10838	44733	\N	\N	\N
1291361	4414	1996-10-05	PRIJEM	VKLAD	10838	46624	\N	\N	\N
1291362	4414	1996-11-05	PRIJEM	VKLAD	10838	49623	\N	\N	\N
1291363	4414	1996-12-05	PRIJEM	VKLAD	16257	55952	\N	\N	\N
1291364	4414	1997-01-05	PRIJEM	VKLAD	10838	51518	\N	\N	\N
1291365	4414	1997-02-05	PRIJEM	VKLAD	10838	46304	\N	\N	\N
1291366	4414	1997-03-05	PRIJEM	VKLAD	10838	51004	\N	\N	\N
1291367	4414	1997-04-05	PRIJEM	VKLAD	10838	44626	\N	\N	\N
1291368	4414	1997-05-05	PRIJEM	VKLAD	10838	47779	\N	\N	\N
1291369	4414	1997-06-05	PRIJEM	VKLAD	16257	53551	\N	\N	\N
1291370	4414	1997-07-05	PRIJEM	VKLAD	10838	47398	\N	\N	\N
1291371	4414	1997-08-05	PRIJEM	VKLAD	10838	51628	\N	\N	\N
1291372	4414	1997-09-05	PRIJEM	VKLAD	10838	52908	\N	\N	\N
1291373	4414	1997-10-05	PRIJEM	VKLAD	10838	63602	\N	\N	\N
1291374	4414	1997-11-05	PRIJEM	VKLAD	10838	66626	\N	\N	\N
1291375	4414	1997-12-05	PRIJEM	VKLAD	16257	68273	\N	\N	\N
1291376	4414	1998-01-05	PRIJEM	VKLAD	10838	60789	\N	\N	\N
1291377	4414	1998-02-05	PRIJEM	VKLAD	10838	48820	\N	\N	\N
1291378	4414	1998-03-05	PRIJEM	VKLAD	10838	51883	\N	\N	\N
1291379	4414	1998-04-05	PRIJEM	VKLAD	10838	49081	\N	\N	\N
1291380	4414	1998-05-05	PRIJEM	VKLAD	10838	50448	\N	\N	\N
1291381	4414	1998-06-05	PRIJEM	VKLAD	16257	53123	\N	\N	\N
1291382	4414	1998-07-05	PRIJEM	VKLAD	10838	48383	\N	\N	\N
1291383	4414	1998-08-05	PRIJEM	VKLAD	10838	38623	\N	\N	\N
1291384	4414	1998-09-05	PRIJEM	VKLAD	10838	32705	\N	\N	\N
1291385	4414	1998-10-05	PRIJEM	VKLAD	10838	35113	\N	\N	\N
1291386	4414	1998-11-05	PRIJEM	VKLAD	10838	34725	\N	\N	\N
1291387	4414	1998-12-05	PRIJEM	VKLAD	16257	41031	\N	\N	\N
1291401	4414	1994-02-08	VYDAJ	PREVOD NA UCET	3716	26004	SIPO	ST	75805902
1291402	4414	1994-03-08	VYDAJ	PREVOD NA UCET	3716	22501	SIPO	ST	75805902
1291403	4414	1994-04-08	VYDAJ	PREVOD NA UCET	3716	24590	SIPO	ST	75805902
1291404	4414	1994-05-08	VYDAJ	PREVOD NA UCET	3716	17438	SIPO	ST	75805902
1291405	4414	1994-06-08	VYDAJ	PREVOD NA UCET	3716	21826	SIPO	ST	75805902
1291406	4414	1994-07-08	VYDAJ	PREVOD NA UCET	3716	20199	SIPO	ST	75805902
1291407	4414	1994-08-08	VYDAJ	PREVOD NA UCET	3716	15352	SIPO	ST	75805902
1291408	4414	1994-09-08	VYDAJ	PREVOD NA UCET	3716	15811	SIPO	ST	75805902
1291409	4414	1994-10-08	VYDAJ	PREVOD NA UCET	3716	17162	SIPO	ST	75805902
1291410	4414	1994-11-08	VYDAJ	PREVOD NA UCET	3716	21218	SIPO	ST	75805902
1291411	4414	1994-12-08	VYDAJ	PREVOD NA UCET	3716	27640	SIPO	ST	75805902
1291412	4414	1995-01-08	VYDAJ	PREVOD NA UCET	3716	25685	SIPO	ST	75805902
1291413	4414	1995-02-08	VYDAJ	PREVOD NA UCET	3716	23080	SIPO	ST	75805902
1291414	4414	1995-03-08	VYDAJ	PREVOD NA UCET	3716	28366	SIPO	ST	75805902
1291415	4414	1995-04-08	VYDAJ	PREVOD NA UCET	3716	31518	SIPO	ST	75805902
1291416	4414	1995-05-08	VYDAJ	PREVOD NA UCET	3716	32784	SIPO	ST	75805902
1291417	4414	1995-06-08	VYDAJ	PREVOD NA UCET	3716	38314	SIPO	ST	75805902
1291418	4414	1995-07-08	VYDAJ	PREVOD NA UCET	3716	31221	SIPO	ST	75805902
1291419	4414	1995-08-08	VYDAJ	PREVOD NA UCET	3716	29381	SIPO	ST	75805902
1291420	4414	1995-09-08	VYDAJ	PREVOD NA UCET	3716	32136	SIPO	ST	75805902
1291421	4414	1995-10-08	VYDAJ	PREVOD NA UCET	3716	34204	SIPO	ST	75805902
1291422	4414	1995-11-08	VYDAJ	PREVOD NA UCET	3716	35980	SIPO	ST	75805902
1291423	4414	1995-12-08	VYDAJ	PREVOD NA UCET	3716	41583	SIPO	ST	75805902
1291424	4414	1996-01-08	VYDAJ	PREVOD NA UCET	3716	30168	SIPO	ST	75805902
1291425	4414	1996-02-08	VYDAJ	PREVOD NA UCET	3716	30938	SIPO	ST	75805902
1291426	4414	1996-03-08	VYDAJ	PREVOD NA UCET	3716	30499	SIPO	ST	75805902
1291427	4414	1996-04-08	VYDAJ	PREVOD NA UCET	3716	30059	SIPO	ST	75805902
1291428	4414	1996-05-08	VYDAJ	PREVOD NA UCET	3716	30917	SIPO	ST	75805902
1291429	4414	1996-06-08	VYDAJ	PREVOD NA UCET	3716	41401	SIPO	ST	75805902
1291430	4414	1996-07-08	VYDAJ	PREVOD NA UCET	3716	38022	SIPO	ST	75805902
1291431	4414	1996-08-08	VYDAJ	PREVOD NA UCET	3716	33931	SIPO	ST	75805902
1291432	4414	1996-09-08	VYDAJ	PREVOD NA UCET	3716	37508	SIPO	ST	75805902
1291433	4414	1996-10-08	VYDAJ	PREVOD NA UCET	3716	39399	SIPO	ST	75805902
1291434	4414	1996-11-08	VYDAJ	PREVOD NA UCET	3716	42398	SIPO	ST	75805902
1291435	4414	1996-12-08	VYDAJ	PREVOD NA UCET	3716	48727	SIPO	ST	75805902
1291436	4414	1997-01-08	VYDAJ	PREVOD NA UCET	3716	43213	SIPO	ST	75805902
1291437	4414	1997-02-08	VYDAJ	PREVOD NA UCET	3716	39079	SIPO	ST	75805902
1291438	4414	1997-03-08	VYDAJ	PREVOD NA UCET	3716	39679	SIPO	ST	75805902
1291439	4414	1997-04-08	VYDAJ	PREVOD NA UCET	3716	37401	SIPO	ST	75805902
1291440	4414	1997-05-08	VYDAJ	PREVOD NA UCET	3716	40554	SIPO	ST	75805902
1291441	4414	1997-06-08	VYDAJ	PREVOD NA UCET	3716	46326	SIPO	ST	75805902
1291442	4414	1997-07-08	VYDAJ	PREVOD NA UCET	3716	40173	SIPO	ST	75805902
1291443	4414	1997-08-08	VYDAJ	PREVOD NA UCET	3716	44403	SIPO	ST	75805902
1291444	4414	1997-09-08	VYDAJ	PREVOD NA UCET	3716	45683	SIPO	ST	75805902
1291445	4414	1997-10-08	VYDAJ	PREVOD NA UCET	3716	56377	SIPO	ST	75805902
1291446	4414	1997-11-08	VYDAJ	PREVOD NA UCET	3716	59401	SIPO	ST	75805902
1291447	4414	1997-12-08	VYDAJ	PREVOD NA UCET	3716	61048	SIPO	ST	75805902
1291448	4414	1998-01-08	VYDAJ	PREVOD NA UCET	3716	47564	SIPO	ST	75805902
1291449	4414	1998-02-08	VYDAJ	PREVOD NA UCET	3716	41595	SIPO	ST	75805902
1291450	4414	1998-03-08	VYDAJ	PREVOD NA UCET	3716	44658	SIPO	ST	75805902
1291451	4414	1998-04-08	VYDAJ	PREVOD NA UCET	3716	41856	SIPO	ST	75805902
1291452	4414	1998-05-08	VYDAJ	PREVOD NA UCET	3716	43223	SIPO	ST	75805902
1291453	4414	1998-06-08	VYDAJ	PREVOD NA UCET	3716	45898	SIPO	ST	75805902
1291454	4414	1998-07-08	VYDAJ	PREVOD NA UCET	3716	41158	SIPO	ST	75805902
1291455	4414	1998-08-08	VYDAJ	PREVOD NA UCET	3716	31398	SIPO	ST	75805902
1291456	4414	1998-09-08	VYDAJ	PREVOD NA UCET	3716	25480	SIPO	ST	75805902
1291457	4414	1998-10-08	VYDAJ	PREVOD NA UCET	3716	27888	SIPO	ST	75805902
1291458	4414	1998-11-08	VYDAJ	PREVOD NA UCET	3716	27500	SIPO	ST	75805902
1291459	4414	1998-12-08	VYDAJ	PREVOD NA UCET	3716	33806	SIPO	ST	75805902
1291473	4414	1994-02-07	VYDAJ	PREVOD NA UCET	3509	29720	 	ST	35362416
1291474	4414	1994-03-07	VYDAJ	PREVOD NA UCET	3509	26217	 	ST	35362416
1291475	4414	1994-04-07	VYDAJ	PREVOD NA UCET	3509	28106	 	ST	35362416
1291476	4414	1994-05-07	VYDAJ	PREVOD NA UCET	3509	21654	 	ST	35362416
1291477	4414	1994-06-07	VYDAJ	PREVOD NA UCET	3509	25542	 	ST	35362416
1291478	4414	1994-07-07	VYDAJ	PREVOD NA UCET	3509	23915	 	ST	35362416
1291479	4414	1994-08-07	VYDAJ	PREVOD NA UCET	3509	21348	 	ST	35362416
1291480	4414	1994-09-07	VYDAJ	PREVOD NA UCET	3509	19527	 	ST	35362416
1291481	4414	1994-10-07	VYDAJ	PREVOD NA UCET	3509	20878	 	ST	35362416
1291482	4414	1994-11-07	VYDAJ	PREVOD NA UCET	3509	24934	 	ST	35362416
1291483	4414	1994-12-07	VYDAJ	PREVOD NA UCET	3509	31356	 	ST	35362416
1291484	4414	1995-01-07	VYDAJ	PREVOD NA UCET	3509	33201	 	ST	35362416
1291485	4414	1995-02-07	VYDAJ	PREVOD NA UCET	3509	26796	 	ST	35362416
1291486	4414	1995-03-07	VYDAJ	PREVOD NA UCET	3509	32082	 	ST	35362416
1291487	4414	1995-04-07	VYDAJ	PREVOD NA UCET	3509	35234	 	ST	35362416
1291488	4414	1995-05-07	VYDAJ	PREVOD NA UCET	3509	36500	 	ST	35362416
1291489	4414	1995-06-07	VYDAJ	PREVOD NA UCET	3509	42030	 	ST	35362416
1291490	4414	1995-07-07	VYDAJ	PREVOD NA UCET	3509	34937	 	ST	35362416
1291491	4414	1995-08-07	VYDAJ	PREVOD NA UCET	3509	33097	 	ST	35362416
1291492	4414	1995-09-07	VYDAJ	PREVOD NA UCET	3509	35852	 	ST	35362416
1291493	4414	1995-10-07	VYDAJ	PREVOD NA UCET	3509	37920	 	ST	35362416
1291494	4414	1995-11-07	VYDAJ	PREVOD NA UCET	3509	39696	 	ST	35362416
1291495	4414	1995-12-07	VYDAJ	PREVOD NA UCET	3509	45299	 	ST	35362416
1291496	4414	1996-01-07	VYDAJ	PREVOD NA UCET	3509	33884	 	ST	35362416
1291497	4414	1996-02-07	VYDAJ	PREVOD NA UCET	3509	34654	 	ST	35362416
1291498	4414	1996-03-07	VYDAJ	PREVOD NA UCET	3509	34215	 	ST	35362416
1291499	4414	1996-04-07	VYDAJ	PREVOD NA UCET	3509	33775	 	ST	35362416
1291500	4414	1996-05-07	VYDAJ	PREVOD NA UCET	3509	34633	 	ST	35362416
1291501	4414	1996-06-07	VYDAJ	PREVOD NA UCET	3509	45117	 	ST	35362416
1291502	4414	1996-07-07	VYDAJ	PREVOD NA UCET	3509	41738	 	ST	35362416
1291503	4414	1996-08-07	VYDAJ	PREVOD NA UCET	3509	37647	 	ST	35362416
1291504	4414	1996-09-07	VYDAJ	PREVOD NA UCET	3509	41224	 	ST	35362416
1291505	4414	1996-10-07	VYDAJ	PREVOD NA UCET	3509	43115	 	ST	35362416
1291506	4414	1996-11-07	VYDAJ	PREVOD NA UCET	3509	46114	 	ST	35362416
1291507	4414	1996-12-07	VYDAJ	PREVOD NA UCET	3509	52443	 	ST	35362416
1291508	4414	1997-01-07	VYDAJ	PREVOD NA UCET	3509	46929	 	ST	35362416
1291509	4414	1997-02-07	VYDAJ	PREVOD NA UCET	3509	42795	 	ST	35362416
1291510	4414	1997-03-07	VYDAJ	PREVOD NA UCET	3509	43395	 	ST	35362416
1291511	4414	1997-04-07	VYDAJ	PREVOD NA UCET	3509	41117	 	ST	35362416
1291512	4414	1997-05-07	VYDAJ	PREVOD NA UCET	3509	44270	 	ST	35362416
1291513	4414	1997-06-07	VYDAJ	PREVOD NA UCET	3509	50042	 	ST	35362416
1291514	4414	1997-07-07	VYDAJ	PREVOD NA UCET	3509	43889	 	ST	35362416
1291515	4414	1997-08-07	VYDAJ	PREVOD NA UCET	3509	48119	 	ST	35362416
1291516	4414	1997-09-07	VYDAJ	PREVOD NA UCET	3509	49399	 	ST	35362416
1291517	4414	1997-10-07	VYDAJ	PREVOD NA UCET	3509	60093	 	ST	35362416
1291518	4414	1997-11-07	VYDAJ	PREVOD NA UCET	3509	63117	 	ST	35362416
1291519	4414	1997-12-07	VYDAJ	PREVOD NA UCET	3509	64764	 	ST	35362416
1291520	4414	1998-01-07	VYDAJ	PREVOD NA UCET	3509	51280	 	ST	35362416
1291521	4414	1998-02-07	VYDAJ	PREVOD NA UCET	3509	45311	 	ST	35362416
1291522	4414	1998-03-07	VYDAJ	PREVOD NA UCET	3509	48374	 	ST	35362416
1291523	4414	1998-04-07	VYDAJ	PREVOD NA UCET	3509	45572	 	ST	35362416
1291524	4414	1998-05-07	VYDAJ	PREVOD NA UCET	3509	46939	 	ST	35362416
1291525	4414	1998-06-07	VYDAJ	PREVOD NA UCET	3509	49614	 	ST	35362416
1291526	4414	1998-07-07	VYDAJ	PREVOD NA UCET	3509	44874	 	ST	35362416
1291527	4414	1998-08-07	VYDAJ	PREVOD NA UCET	3509	35114	 	ST	35362416
1291528	4414	1998-09-07	VYDAJ	PREVOD NA UCET	3509	29196	 	ST	35362416
1291529	4414	1998-10-07	VYDAJ	PREVOD NA UCET	3509	31604	 	ST	35362416
1291530	4414	1998-11-07	VYDAJ	PREVOD NA UCET	3509	31216	 	ST	35362416
1291531	4414	1998-12-07	VYDAJ	PREVOD NA UCET	3509	37522	 	ST	35362416
1291545	4414	1994-02-14	VYDAJ	VYBER	4800	21204	\N	\N	0
1291546	4414	1994-03-23	VYDAJ	VYBER	2700	20701	\N	\N	0
1291547	4414	1994-04-23	VYDAJ	VYBER	4800	18350	\N	\N	0
1291548	4414	1994-04-28	VYDAJ	VYBER	4100	14250	\N	\N	0
1291549	4414	1994-06-12	VYDAJ	VYBER	4900	16926	\N	\N	0
1291550	4414	1994-07-16	VYDAJ	VYBER	2400	17079	\N	\N	0
1291551	4414	1994-08-14	VYDAJ	VYBER	3200	12152	\N	\N	0
1291552	4414	1994-09-12	VYDAJ	VYBER	4300	11511	\N	\N	0
1291553	4414	1994-10-17	VYDAJ	VYBER	4100	13062	\N	\N	0
1291554	4414	1994-10-28	VYDAJ	VYBER	2700	10362	\N	\N	0
1291555	4414	1994-12-17	VYDAJ	VYBER	4100	23540	\N	\N	0
1291556	4414	1995-01-08	VYDAJ	VYBER	3800	29401	\N	\N	0
1291557	4414	1995-02-17	VYDAJ	VYBER	3600	19480	\N	\N	0
1291558	4414	1995-03-12	VYDAJ	PREVOD NA UCET	4051	24315	UVER	EF	88424551
1291559	4414	1995-04-12	VYDAJ	PREVOD NA UCET	4051	27467	UVER	EF	88424551
1291560	4414	1995-05-12	VYDAJ	PREVOD NA UCET	4051	28733	UVER	EF	88424551
1291561	4414	1995-06-12	VYDAJ	PREVOD NA UCET	4051	34263	UVER	EF	88424551
1291562	4414	1995-07-12	VYDAJ	PREVOD NA UCET	4051	27170	UVER	EF	88424551
1291563	4414	1995-08-12	VYDAJ	PREVOD NA UCET	4051	25330	UVER	EF	88424551
1291564	4414	1995-09-12	VYDAJ	PREVOD NA UCET	4051	28085	UVER	EF	88424551
1291565	4414	1995-10-12	VYDAJ	PREVOD NA UCET	4051	30153	UVER	EF	88424551
1291566	4414	1995-11-12	VYDAJ	PREVOD NA UCET	4051	31929	UVER	EF	88424551
1291567	4414	1995-12-12	VYDAJ	PREVOD NA UCET	4051	37532	UVER	EF	88424551
1291568	4414	1996-01-12	VYDAJ	PREVOD NA UCET	4051	22997	UVER	EF	88424551
1291569	4414	1996-02-12	VYDAJ	PREVOD NA UCET	4051	26887	UVER	EF	88424551
1291570	4414	1996-03-12	VYDAJ	PREVOD NA UCET	4051	26448	UVER	EF	88424551
1291571	4414	1996-04-12	VYDAJ	PREVOD NA UCET	4051	26008	UVER	EF	88424551
1291572	4414	1996-05-12	VYDAJ	PREVOD NA UCET	4051	26866	UVER	EF	88424551
1291573	4414	1996-06-12	VYDAJ	PREVOD NA UCET	4051	37350	UVER	EF	88424551
1291574	4414	1996-07-12	VYDAJ	PREVOD NA UCET	4051	33971	UVER	EF	88424551
1291575	4414	1996-08-12	VYDAJ	PREVOD NA UCET	4051	29880	UVER	EF	88424551
1291576	4414	1996-09-12	VYDAJ	PREVOD NA UCET	4051	33457	UVER	EF	88424551
1291577	4414	1996-10-12	VYDAJ	PREVOD NA UCET	4051	35348	UVER	EF	88424551
1291578	4414	1996-11-12	VYDAJ	PREVOD NA UCET	4051	38347	UVER	EF	88424551
1291579	4414	1996-12-12	VYDAJ	PREVOD NA UCET	4051	44676	UVER	EF	88424551
1291580	4414	1997-01-12	VYDAJ	PREVOD NA UCET	4051	38562	UVER	EF	88424551
1291581	4414	1997-02-12	VYDAJ	PREVOD NA UCET	4051	35028	UVER	EF	88424551
1291582	4414	1997-03-06	VYDAJ	VYBER	4100	46904	\N	\N	0
1291583	4414	1997-04-21	VYDAJ	VYBER	3900	33501	\N	\N	0
1291584	4414	1997-05-14	VYDAJ	VYBER	4800	35754	\N	\N	0
1291585	4414	1997-06-12	VYDAJ	VYBER	5900	40426	\N	\N	0
1291586	4414	1997-07-04	VYDAJ	VYBER	3200	36560	\N	\N	0
1291587	4414	1997-07-29	VYDAJ	VYBER	4100	40633	\N	\N	0
1291588	4414	1997-08-30	VYDAJ	VYBER	4700	41903	\N	\N	0
1291589	4414	1997-10-14	VYDAJ	VYBER	3400	52977	\N	\N	0
1291590	4414	1997-11-22	VYDAJ	VYBER	4300	51801	\N	\N	0
1291591	4414	1997-12-14	VYDAJ	VYBER	4900	53748	\N	\N	0
1291592	4414	1998-01-17	VYDAJ	VYBER	4400	41544	\N	\N	0
1291593	4414	1998-02-15	VYDAJ	VYBER	4700	36895	\N	\N	0
1291594	4414	1998-03-21	VYDAJ	VYBER	3300	43858	\N	\N	0
1291595	4414	1998-04-04	VYDAJ	VYBER	4100	38243	\N	\N	0
1291596	4414	1998-05-13	VYDAJ	VYBER	4800	38423	\N	\N	0
1291597	4414	1998-06-16	VYDAJ	VYBER	3500	37398	\N	\N	0
1291598	4414	1998-07-12	VYDAJ	VYBER	4800	36358	\N	\N	0
1291599	4414	1998-08-04	VYDAJ	VYBER	3900	27785	\N	\N	0
1291600	4414	1998-08-30	VYDAJ	VYBER	3600	22358	\N	\N	0
1291601	4414	1998-10-03	VYDAJ	VYBER	5500	24275	\N	\N	0
1291602	4414	1998-10-31	VYDAJ	VYBER	3900	23887	\N	\N	0
1291603	4414	1998-11-26	VYDAJ	VYBER	3400	24680	\N	\N	0
1291606	4414	1995-06-15	VYDAJ	VYBER	8960	25303	\N	\N	\N
1291607	4414	1996-06-13	VYDAJ	VYBER	9760	27590	\N	\N	\N
1291608	4414	1997-06-27	VYDAJ	VYBER	4800	39606	\N	\N	\N
1291613	4414	1996-01-06	VYDAJ	VYBER	9920	37393	\N	\N	\N
1291614	4414	1997-01-23	VYDAJ	VYBER	1920	37842	\N	\N	\N
1291615	4414	1998-01-09	VYDAJ	VYBER	5280	39644	\N	\N	\N
1291617	4414	1994-12-06	VYDAJ	VYBER	3680	34865	\N	\N	\N
1291618	4414	1995-12-06	VYDAJ	VYBER	2400	48808	\N	\N	\N
1291619	4414	1996-12-20	VYDAJ	VYBER	2080	42596	\N	\N	\N
1291620	4414	1997-12-12	VYDAJ	VYBER	2400	58648	\N	\N	\N
1291621	4414	1998-12-12	VYDAJ	VYBER	2400	31406	\N	\N	\N
1291634	4414	1995-01-22	VYDAJ	VYBER	2520	18485	\N	\N	\N
1291636	4414	1995-01-30	VYDAJ	VYBER	2400	16085	\N	\N	\N
1291638	4414	1995-01-01	VYDAJ	VYBER	3360	20272	\N	\N	\N
1291639	4414	1995-01-20	VYDAJ	VYBER	1080	21005	\N	\N	\N
1291640	4414	1996-01-11	VYDAJ	VYBER	2400	27048	\N	\N	\N
1291641	4414	1996-01-19	VYDAJ	VYBER	1200	16637	\N	\N	\N
1291642	4414	1996-01-11	VYDAJ	VYBER	720	29448	\N	\N	\N
1291643	4414	1996-01-15	VYDAJ	VYBER	1920	21077	\N	\N	\N
1291645	4414	1996-01-18	VYDAJ	VYBER	1080	17837	\N	\N	\N
1291646	4414	1997-01-11	VYDAJ	VYBER	600	42613	\N	\N	\N
1291647	4414	1997-01-14	VYDAJ	VYBER	2160	36402	\N	\N	\N
1291648	4414	1997-01-30	VYDAJ	VYBER	2520	35322	\N	\N	\N
1291649	4414	1997-01-17	VYDAJ	VYBER	960	33762	\N	\N	\N
1291650	4414	1997-01-06	VYDAJ	VYBER	1080	50438	\N	\N	\N
1291651	4414	1997-01-14	VYDAJ	VYBER	1680	34722	\N	\N	\N
1291652	4414	1998-01-09	VYDAJ	VYBER	2640	44924	\N	\N	\N
1291653	4414	1998-01-06	VYDAJ	VYBER	2520	58269	\N	\N	\N
1291654	4414	1998-01-07	VYDAJ	VYBER	3480	54789	\N	\N	\N
1291655	4414	1998-01-20	VYDAJ	VYBER	1680	39864	\N	\N	\N
1291656	4414	1998-01-27	VYDAJ	VYBER	720	37824	\N	\N	\N
1291657	4414	1998-01-21	VYDAJ	VYBER	1320	38544	\N	\N	\N
1291662	4414	1994-02-16	VYDAJ	VYBER	2400	18804	\N	\N	\N
1291663	4414	1994-07-13	VYDAJ	VYBER	720	19479	\N	\N	\N
1291664	4414	1994-08-07	VYDAJ	VYBER	2280	19068	\N	\N	\N
1291665	4414	1994-08-02	VYDAJ	VYBER	1320	15819	\N	\N	\N
1291666	4414	1994-04-13	VYDAJ	VYBER	1440	23150	\N	\N	\N
1291667	4414	1995-07-31	VYDAJ	VYBER	3120	18883	\N	\N	\N
1291668	4414	1995-05-30	VYDAJ	VYBER	3960	24773	\N	\N	\N
1291669	4414	1995-07-28	VYDAJ	VYBER	5280	21890	\N	\N	\N
1291670	4414	1995-06-25	VYDAJ	VYBER	4200	21103	\N	\N	\N
1291671	4414	1995-01-15	VYDAJ	VYBER	3600	22085	\N	\N	\N
1291672	4414	1996-07-29	VYDAJ	VYBER	4080	30191	\N	\N	\N
1291673	4414	1996-12-26	VYDAJ	VYBER	2280	40516	\N	\N	\N
1291674	4414	1996-01-16	VYDAJ	VYBER	2160	18917	\N	\N	\N
1291675	4414	1996-02-17	VYDAJ	VYBER	600	26287	\N	\N	\N
1291676	4414	1997-04-04	VYDAJ	VYBER	5640	33788	\N	\N	\N
1291677	4414	1997-07-19	VYDAJ	VYBER	840	39333	\N	\N	\N
1291678	4414	1997-03-21	VYDAJ	VYBER	3000	36679	\N	\N	\N
1291679	4414	1997-06-16	VYDAJ	VYBER	1320	39106	\N	\N	\N
1291680	4414	1998-08-28	VYDAJ	VYBER	5040	25958	\N	\N	\N
1291681	4414	1998-11-25	VYDAJ	VYBER	1320	28080	\N	\N	\N
1291682	4414	1998-03-21	VYDAJ	VYBER	1680	42178	\N	\N	\N
1291683	4414	1998-08-30	VYDAJ	VYBER	600	21758	\N	\N	\N
1291698	4414	1994-02-28	VYDAJ	VYBER	15	18888	SLUZBY	\N	\N
1291699	4414	1994-03-31	VYDAJ	VYBER	15	20777	SLUZBY	\N	\N
1291700	4414	1994-04-30	VYDAJ	VYBER	15	14325	SLUZBY	\N	\N
1291701	4414	1994-05-31	VYDAJ	VYBER	15	17494	SLUZBY	\N	\N
1291702	4414	1994-06-30	VYDAJ	VYBER	15	16986	SLUZBY	\N	\N
1291703	4414	1994-07-31	VYDAJ	VYBER	15	17139	SLUZBY	\N	\N
1291704	4414	1994-08-31	VYDAJ	VYBER	15	12198	SLUZBY	\N	\N
1291705	4414	1994-09-30	VYDAJ	VYBER	15	11549	SLUZBY	\N	\N
1291706	4414	1994-10-31	VYDAJ	VYBER	15	10405	SLUZBY	\N	\N
1291707	4414	1994-11-30	VYDAJ	VYBER	15	21288	SLUZBY	\N	\N
1291708	4414	1994-12-31	VYDAJ	VYBER	15	23632	SLUZBY	\N	\N
1291709	4414	1995-01-31	VYDAJ	VYBER	15	16167	SLUZBY	\N	\N
1291710	4414	1995-02-28	VYDAJ	VYBER	15	19553	SLUZBY	\N	\N
1291711	4414	1995-03-31	VYDAJ	VYBER	15	24405	SLUZBY	\N	\N
1291712	4414	1995-04-30	VYDAJ	VYBER	15	27571	SLUZBY	\N	\N
1291713	4414	1995-05-31	VYDAJ	VYBER	15	24882	SLUZBY	\N	\N
1291714	4414	1995-06-30	VYDAJ	VYBER	15	21208	SLUZBY	\N	\N
1291715	4414	1995-07-31	VYDAJ	VYBER	15	18868	SLUZBY	\N	\N
1291716	4414	1995-08-31	VYDAJ	VYBER	15	28523	SLUZBY	\N	\N
1291717	4414	1995-09-30	VYDAJ	VYBER	15	30591	SLUZBY	\N	\N
1291718	4414	1995-10-31	VYDAJ	VYBER	15	32367	SLUZBY	\N	\N
1291719	4414	1995-11-30	VYDAJ	VYBER	15	34951	SLUZBY	\N	\N
1291720	4414	1995-12-31	VYDAJ	VYBER	15	36475	SLUZBY	\N	\N
1291721	4414	1996-01-31	VYDAJ	VYBER	15	27325	SLUZBY	\N	\N
1291722	4414	1996-02-29	VYDAJ	VYBER	15	26886	SLUZBY	\N	\N
1291723	4414	1996-03-31	VYDAJ	VYBER	15	26446	SLUZBY	\N	\N
1291724	4414	1996-04-30	VYDAJ	VYBER	15	27304	SLUZBY	\N	\N
1291725	4414	1996-05-31	VYDAJ	VYBER	15	32369	SLUZBY	\N	\N
1291726	4414	1996-06-30	VYDAJ	VYBER	15	34409	SLUZBY	\N	\N
1291727	4414	1996-07-31	VYDAJ	VYBER	15	30318	SLUZBY	\N	\N
1291728	4414	1996-08-31	VYDAJ	VYBER	15	33895	SLUZBY	\N	\N
1291729	4414	1996-09-30	VYDAJ	VYBER	15	35786	SLUZBY	\N	\N
1291730	4414	1996-10-31	VYDAJ	VYBER	15	38785	SLUZBY	\N	\N
1291731	4414	1996-11-30	VYDAJ	VYBER	15	39695	SLUZBY	\N	\N
1291732	4414	1996-12-31	VYDAJ	VYBER	15	40680	SLUZBY	\N	\N
1291733	4414	1997-01-31	VYDAJ	VYBER	15	35466	SLUZBY	\N	\N
1291734	4414	1997-02-28	VYDAJ	VYBER	15	40166	SLUZBY	\N	\N
1291735	4414	1997-03-31	VYDAJ	VYBER	15	39428	SLUZBY	\N	\N
1291736	4414	1997-04-30	VYDAJ	VYBER	15	36941	SLUZBY	\N	\N
1291737	4414	1997-05-31	VYDAJ	VYBER	15	37294	SLUZBY	\N	\N
1291738	4414	1997-06-30	VYDAJ	VYBER	15	39760	SLUZBY	\N	\N
1291739	4414	1997-07-31	VYDAJ	VYBER	15	40790	SLUZBY	\N	\N
1291740	4414	1997-08-31	VYDAJ	VYBER	15	42070	SLUZBY	\N	\N
1291741	4414	1997-09-30	VYDAJ	VYBER	15	52764	SLUZBY	\N	\N
1291742	4414	1997-10-31	VYDAJ	VYBER	15	55788	SLUZBY	\N	\N
1291743	4414	1997-11-30	VYDAJ	VYBER	15	52016	SLUZBY	\N	\N
1291744	4414	1997-12-31	VYDAJ	VYBER	15	49951	SLUZBY	\N	\N
1291745	4414	1998-01-31	VYDAJ	VYBER	15	37982	SLUZBY	\N	\N
1291746	4414	1998-02-28	VYDAJ	VYBER	15	41045	SLUZBY	\N	\N
1291747	4414	1998-03-31	VYDAJ	VYBER	15	42343	SLUZBY	\N	\N
1291748	4414	1998-04-30	VYDAJ	VYBER	15	39610	SLUZBY	\N	\N
1291749	4414	1998-05-31	VYDAJ	VYBER	15	36866	SLUZBY	\N	\N
1291750	4414	1998-06-30	VYDAJ	VYBER	15	37545	SLUZBY	\N	\N
1291751	4414	1998-07-31	VYDAJ	VYBER	15	31685	SLUZBY	\N	\N
1291752	4414	1998-08-31	VYDAJ	VYBER	15	21867	SLUZBY	\N	\N
1291753	4414	1998-09-30	VYDAJ	VYBER	15	29775	SLUZBY	\N	\N
1291754	4414	1998-10-31	VYDAJ	VYBER	15	27787	SLUZBY	\N	\N
1291755	4414	1998-11-30	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
1291756	4414	1993-10-10	PRIJEM	VKLAD	7200	19038	\N	\N	\N
1291757	4414	1993-11-09	VYDAJ	VYBER	2900	27032	\N	\N	\N
1291758	4414	1993-12-09	VYDAJ	VYBER	11700	31693	\N	\N	\N
1291759	4414	1994-01-08	VYDAJ	VYBER	10800	31858	\N	\N	\N
1291760	4414	1994-02-07	VYDAJ	VYBER	9600	33229	\N	\N	\N
1291761	4414	1994-03-09	PRIJEM	VKLAD	900	23401	\N	\N	\N
1291762	4414	1994-04-08	PRIJEM	VKLAD	200	28306	\N	\N	\N
1291763	4414	1994-05-08	VYDAJ	VYBER	500	21154	\N	\N	\N
1291764	4414	1994-06-07	VYDAJ	VYBER	4700	29051	\N	\N	\N
1291765	4414	1994-07-07	VYDAJ	VYBER	400	27424	\N	\N	\N
1291766	4414	1994-08-06	VYDAJ	VYBER	1800	24857	\N	\N	\N
1291767	4414	1994-10-05	PRIJEM	VKLAD	2000	13549	\N	\N	\N
1291768	4414	1994-11-04	PRIJEM	VKLAD	7200	17605	\N	\N	\N
1291769	4414	1994-12-04	PRIJEM	VKLAD	1000	22288	\N	\N	\N
1291770	4414	1995-01-03	PRIJEM	VKLAD	5600	25872	\N	\N	\N
1291771	4414	1995-02-02	PRIJEM	VKLAD	3300	19467	\N	\N	\N
1291772	4414	1995-03-04	PRIJEM	VKLAD	5200	24753	\N	\N	\N
1291773	4414	1995-04-03	PRIJEM	VKLAD	3500	27905	\N	\N	\N
1291774	4414	1995-05-03	PRIJEM	VKLAD	1600	29171	\N	\N	\N
1291775	4414	1995-06-02	PRIJEM	VKLAD	4400	29282	\N	\N	\N
1291776	4414	1995-07-02	PRIJEM	VKLAD	6400	27608	\N	\N	\N
1291777	4414	1995-08-01	PRIJEM	VKLAD	6900	25768	\N	\N	\N
1291778	4414	1995-08-31	PRIJEM	VKLAD	3100	28538	\N	\N	\N
1291779	4414	1995-09-30	PRIJEM	VKLAD	2400	30606	\N	\N	\N
1291780	4414	1995-10-30	PRIJEM	VKLAD	2100	32253	\N	\N	\N
1291781	4414	1995-11-29	PRIJEM	VKLAD	2900	34829	\N	\N	\N
1291782	4414	1995-12-29	VYDAJ	VYBER	1200	36332	\N	\N	\N
1291783	4414	1996-01-28	PRIJEM	VKLAD	10600	27237	\N	\N	\N
1291784	4414	1996-02-27	PRIJEM	VKLAD	500	26787	\N	\N	\N
1291785	4414	1996-03-28	VYDAJ	VYBER	100	26348	\N	\N	\N
1291786	4414	1996-04-27	PRIJEM	VKLAD	1200	27208	\N	\N	\N
1291787	4414	1996-05-27	PRIJEM	VKLAD	5400	32266	\N	\N	\N
1291788	4414	1996-06-26	PRIJEM	VKLAD	6700	34290	\N	\N	\N
1291789	4414	1996-07-26	PRIJEM	VKLAD	300	34271	\N	\N	\N
1291790	4414	1996-08-25	PRIJEM	VKLAD	3900	33780	\N	\N	\N
1291791	4414	1996-09-24	PRIJEM	VKLAD	2200	35657	\N	\N	\N
1291792	4414	1996-10-24	PRIJEM	VKLAD	3300	38648	\N	\N	\N
1291793	4414	1996-11-23	PRIJEM	VKLAD	1200	39547	\N	\N	\N
1291794	4414	1996-12-23	PRIJEM	VKLAD	200	42796	\N	\N	\N
1291795	4414	1997-01-22	PRIJEM	VKLAD	6000	39762	\N	\N	\N
1291796	4414	1997-02-21	PRIJEM	VKLAD	5000	40028	\N	\N	\N
1291797	4414	1997-03-23	PRIJEM	VKLAD	2600	39279	\N	\N	\N
1291798	4414	1997-04-22	PRIJEM	VKLAD	3300	36801	\N	\N	\N
1291799	4414	1997-05-22	PRIJEM	VKLAD	1400	37154	\N	\N	\N
1291800	4414	1997-06-21	PRIJEM	VKLAD	5300	44406	\N	\N	\N
1291801	4414	1997-07-21	PRIJEM	VKLAD	5400	44733	\N	\N	\N
1291802	4414	1997-08-20	PRIJEM	VKLAD	2200	46603	\N	\N	\N
1291803	4414	1997-09-19	PRIJEM	VKLAD	6900	52583	\N	\N	\N
1291804	4414	1997-10-19	PRIJEM	VKLAD	2600	55577	\N	\N	\N
1291805	4414	1997-11-18	VYDAJ	VYBER	3300	56101	\N	\N	\N
1291806	4414	1997-12-18	VYDAJ	VYBER	4000	49748	\N	\N	\N
1291807	4414	1998-01-17	PRIJEM	VKLAD	6300	45944	\N	\N	\N
1291808	4414	1998-02-16	PRIJEM	VKLAD	4000	40895	\N	\N	\N
1291809	4414	1998-03-18	PRIJEM	VKLAD	2500	47158	\N	\N	\N
1291810	4414	1998-04-17	VYDAJ	VYBER	2400	39456	\N	\N	\N
1291811	4414	1998-05-17	VYDAJ	VYBER	1700	36723	\N	\N	\N
1291812	4414	1998-06-16	VYDAJ	VYBER	5000	40898	\N	\N	\N
1291813	4414	1998-07-16	VYDAJ	VYBER	4800	31558	\N	\N	\N
1291814	4414	1998-08-15	VYDAJ	VYBER	400	30998	\N	\N	\N
1291815	4414	1998-09-14	PRIJEM	VKLAD	4200	29680	\N	\N	\N
1291816	4414	1998-10-14	VYDAJ	VYBER	200	27688	\N	\N	\N
1291817	4414	1998-11-13	PRIJEM	VKLAD	1900	29400	\N	\N	\N
1291881	4415	1995-07-05	PRIJEM	VKLAD	600	600	\N	\N	\N
1291888	4415	1995-07-08	PRIJEM	VKLAD	24324	24924	\N	\N	\N
1291889	4415	1995-08-08	PRIJEM	VKLAD	24324	47428	\N	\N	\N
1291890	4415	1995-09-08	PRIJEM	VKLAD	24324	61029	\N	\N	\N
1291891	4415	1995-10-08	PRIJEM	VKLAD	24324	66794	\N	\N	\N
1291892	4415	1995-11-08	PRIJEM	VKLAD	24324	65289	\N	\N	\N
1291893	4415	1995-12-08	PRIJEM	VKLAD	36486	70929	\N	\N	\N
1291894	4415	1996-01-08	PRIJEM	VKLAD	24324	55306	\N	\N	\N
1291895	4415	1996-02-08	PRIJEM	VKLAD	24324	38739	\N	\N	\N
1291896	4415	1996-03-08	PRIJEM	VKLAD	24324	52881	\N	\N	\N
1291897	4415	1996-04-08	PRIJEM	VKLAD	24324	51367	\N	\N	\N
1291898	4415	1996-05-08	PRIJEM	VKLAD	24324	62069	\N	\N	\N
1291899	4415	1996-06-08	PRIJEM	VKLAD	36486	54888	\N	\N	\N
1291900	4415	1996-07-08	PRIJEM	VKLAD	24324	59083	\N	\N	\N
1291901	4415	1996-08-08	PRIJEM	VKLAD	24324	58882	\N	\N	\N
1291902	4415	1996-09-08	PRIJEM	VKLAD	24324	57673	\N	\N	\N
1291903	4415	1996-10-08	PRIJEM	VKLAD	24324	56870	\N	\N	\N
1291904	4415	1996-11-08	PRIJEM	VKLAD	24324	57150	\N	\N	\N
1291905	4415	1996-12-08	PRIJEM	VKLAD	36486	73209	\N	\N	\N
1291906	4415	1997-01-08	PRIJEM	VKLAD	24324	65103	\N	\N	\N
1291907	4415	1997-02-08	PRIJEM	VKLAD	24324	52637	\N	\N	\N
1291908	4415	1997-03-08	PRIJEM	VKLAD	24324	58812	\N	\N	\N
1291909	4415	1997-04-08	PRIJEM	VKLAD	24324	59634	\N	\N	\N
1291910	4415	1997-05-08	PRIJEM	VKLAD	24324	61664	\N	\N	\N
1291911	4415	1997-06-08	PRIJEM	VKLAD	36486	76371	\N	\N	\N
1291912	4415	1997-07-08	PRIJEM	VKLAD	24324	49577	\N	\N	\N
1291913	4415	1997-08-08	PRIJEM	VKLAD	24324	56309	\N	\N	\N
1291914	4415	1997-09-08	PRIJEM	VKLAD	24324	68541	\N	\N	\N
1291915	4415	1997-10-08	PRIJEM	VKLAD	24324	72203	\N	\N	\N
1291916	4415	1997-11-08	PRIJEM	VKLAD	24324	72962	\N	\N	\N
1291917	4415	1997-12-08	PRIJEM	VKLAD	36486	87902	\N	\N	\N
1291918	4415	1998-01-08	PRIJEM	VKLAD	24324	74430	\N	\N	\N
1291919	4415	1998-02-08	PRIJEM	VKLAD	24324	61159	\N	\N	\N
1291920	4415	1998-03-08	PRIJEM	VKLAD	24324	68999	\N	\N	\N
1291921	4415	1998-04-08	PRIJEM	VKLAD	24324	67569	\N	\N	\N
1291922	4415	1998-05-08	PRIJEM	VKLAD	24324	76181	\N	\N	\N
1291923	4415	1998-06-08	PRIJEM	VKLAD	36486	83015	\N	\N	\N
1291924	4415	1998-07-08	PRIJEM	VKLAD	24324	76600	\N	\N	\N
1291925	4415	1998-08-08	PRIJEM	VKLAD	24324	80078	\N	\N	\N
1291926	4415	1998-09-08	PRIJEM	VKLAD	24324	72034	\N	\N	\N
1291927	4415	1998-10-08	PRIJEM	VKLAD	24324	51122	\N	\N	\N
1291928	4415	1998-11-08	PRIJEM	VKLAD	24324	53791	\N	\N	\N
1291929	4415	1998-12-08	PRIJEM	VKLAD	36486	67930	\N	\N	\N
1291940	4415	1995-11-10	VYDAJ	PREVOD NA UCET	4601	57280	SIPO	AB	8593738
1291941	4415	1995-12-10	VYDAJ	PREVOD NA UCET	4601	62920	SIPO	AB	8593738
1291942	4415	1996-01-10	VYDAJ	PREVOD NA UCET	4601	50705	SIPO	AB	8593738
1291943	4415	1996-02-10	VYDAJ	PREVOD NA UCET	4601	30730	SIPO	AB	8593738
1291944	4415	1996-03-10	VYDAJ	PREVOD NA UCET	4601	48280	SIPO	AB	8593738
1291945	4415	1996-04-10	VYDAJ	PREVOD NA UCET	4601	43358	SIPO	AB	8593738
1291946	4415	1996-05-10	VYDAJ	PREVOD NA UCET	4601	54060	SIPO	AB	8593738
1291947	4415	1996-06-10	VYDAJ	PREVOD NA UCET	4601	46879	SIPO	AB	8593738
1291948	4415	1996-07-10	VYDAJ	PREVOD NA UCET	4601	51074	SIPO	AB	8593738
1291949	4415	1996-08-10	VYDAJ	PREVOD NA UCET	4601	45681	SIPO	AB	8593738
1291950	4415	1996-09-10	VYDAJ	PREVOD NA UCET	4601	49664	SIPO	AB	8593738
1291951	4415	1996-10-10	VYDAJ	PREVOD NA UCET	4601	52269	SIPO	AB	8593738
1291952	4415	1996-11-10	VYDAJ	PREVOD NA UCET	4601	52549	SIPO	AB	8593738
1291953	4415	1996-12-10	VYDAJ	PREVOD NA UCET	4601	68608	SIPO	AB	8593738
1291954	4415	1997-01-10	VYDAJ	PREVOD NA UCET	4601	56254	SIPO	AB	8593738
1291955	4415	1997-02-10	VYDAJ	PREVOD NA UCET	4601	48036	SIPO	AB	8593738
1291956	4415	1997-03-10	VYDAJ	PREVOD NA UCET	4601	50803	SIPO	AB	8593738
1291957	4415	1997-04-10	VYDAJ	PREVOD NA UCET	4601	55033	SIPO	AB	8593738
1291958	4415	1997-05-10	VYDAJ	PREVOD NA UCET	4601	53655	SIPO	AB	8593738
1291959	4415	1997-06-10	VYDAJ	PREVOD NA UCET	4601	63322	SIPO	AB	8593738
1291960	4415	1997-07-10	VYDAJ	PREVOD NA UCET	4601	41568	SIPO	AB	8593738
1291961	4415	1997-08-10	VYDAJ	PREVOD NA UCET	4601	51708	SIPO	AB	8593738
1291962	4415	1997-09-10	VYDAJ	PREVOD NA UCET	4601	63940	SIPO	AB	8593738
1291963	4415	1997-10-10	VYDAJ	PREVOD NA UCET	4601	64194	SIPO	AB	8593738
1291964	4415	1997-11-10	VYDAJ	PREVOD NA UCET	4601	68361	SIPO	AB	8593738
1291965	4415	1997-12-10	VYDAJ	PREVOD NA UCET	4601	79893	SIPO	AB	8593738
1291966	4415	1998-01-10	VYDAJ	PREVOD NA UCET	4601	66421	SIPO	AB	8593738
1291967	4415	1998-02-10	VYDAJ	PREVOD NA UCET	4601	53150	SIPO	AB	8593738
1291968	4415	1998-03-10	VYDAJ	PREVOD NA UCET	4601	60990	SIPO	AB	8593738
1291969	4415	1998-04-10	VYDAJ	PREVOD NA UCET	4601	62968	SIPO	AB	8593738
1291970	4415	1998-05-10	VYDAJ	PREVOD NA UCET	4601	68172	SIPO	AB	8593738
1291971	4415	1998-06-10	VYDAJ	PREVOD NA UCET	4601	75006	SIPO	AB	8593738
1291972	4415	1998-07-10	VYDAJ	PREVOD NA UCET	4601	71999	SIPO	AB	8593738
1291973	4415	1998-08-10	VYDAJ	PREVOD NA UCET	4601	75477	SIPO	AB	8593738
1291974	4415	1998-09-10	VYDAJ	PREVOD NA UCET	4601	64025	SIPO	AB	8593738
1291975	4415	1998-10-10	VYDAJ	PREVOD NA UCET	4601	43113	SIPO	AB	8593738
1291976	4415	1998-11-10	VYDAJ	PREVOD NA UCET	4601	45782	SIPO	AB	8593738
1291977	4415	1998-12-10	VYDAJ	PREVOD NA UCET	4601	54881	SIPO	AB	8593738
1291988	4415	1995-11-10	VYDAJ	PREVOD NA UCET	3408	61881	 	MN	61133015
1291989	4415	1995-12-10	VYDAJ	PREVOD NA UCET	3408	67521	 	MN	61133015
1291990	4415	1996-01-10	VYDAJ	PREVOD NA UCET	3408	47297	 	MN	61133015
1291991	4415	1996-02-10	VYDAJ	PREVOD NA UCET	3408	35331	 	MN	61133015
1291992	4415	1996-03-10	VYDAJ	PREVOD NA UCET	3408	44872	 	MN	61133015
1291993	4415	1996-04-10	VYDAJ	PREVOD NA UCET	3408	47959	 	MN	61133015
1291994	4415	1996-05-10	VYDAJ	PREVOD NA UCET	3408	58661	 	MN	61133015
1291995	4415	1996-06-10	VYDAJ	PREVOD NA UCET	3408	51480	 	MN	61133015
1291996	4415	1996-07-10	VYDAJ	PREVOD NA UCET	3408	55675	 	MN	61133015
1291997	4415	1996-08-10	VYDAJ	PREVOD NA UCET	3408	42273	 	MN	61133015
1291998	4415	1996-09-10	VYDAJ	PREVOD NA UCET	3408	54265	 	MN	61133015
1291999	4415	1996-10-10	VYDAJ	PREVOD NA UCET	3408	48861	 	MN	61133015
1292000	4415	1996-11-10	VYDAJ	PREVOD NA UCET	3408	49141	 	MN	61133015
1292001	4415	1996-12-10	VYDAJ	PREVOD NA UCET	3408	65200	 	MN	61133015
1292002	4415	1997-01-10	VYDAJ	PREVOD NA UCET	3408	60855	 	MN	61133015
1292003	4415	1997-02-10	VYDAJ	PREVOD NA UCET	3408	44628	 	MN	61133015
1292004	4415	1997-03-10	VYDAJ	PREVOD NA UCET	3408	55404	 	MN	61133015
1292005	4415	1997-04-10	VYDAJ	PREVOD NA UCET	3408	51625	 	MN	61133015
1292006	4415	1997-05-10	VYDAJ	PREVOD NA UCET	3408	58256	 	MN	61133015
1292007	4415	1997-06-10	VYDAJ	PREVOD NA UCET	3408	67923	 	MN	61133015
1292008	4415	1997-07-10	VYDAJ	PREVOD NA UCET	3408	46169	 	MN	61133015
1292009	4415	1997-08-10	VYDAJ	PREVOD NA UCET	3408	48300	 	MN	61133015
1292010	4415	1997-09-10	VYDAJ	PREVOD NA UCET	3408	60532	 	MN	61133015
1292011	4415	1997-10-10	VYDAJ	PREVOD NA UCET	3408	68795	 	MN	61133015
1292012	4415	1997-11-10	VYDAJ	PREVOD NA UCET	3408	64953	 	MN	61133015
1292013	4415	1997-12-10	VYDAJ	PREVOD NA UCET	3408	84494	 	MN	61133015
1292014	4415	1998-01-10	VYDAJ	PREVOD NA UCET	3408	71022	 	MN	61133015
1292015	4415	1998-02-10	VYDAJ	PREVOD NA UCET	3408	57751	 	MN	61133015
1292016	4415	1998-03-10	VYDAJ	PREVOD NA UCET	3408	65591	 	MN	61133015
1292017	4415	1998-04-10	VYDAJ	PREVOD NA UCET	3408	59560	 	MN	61133015
1292018	4415	1998-05-10	VYDAJ	PREVOD NA UCET	3408	72773	 	MN	61133015
1292019	4415	1998-06-10	VYDAJ	PREVOD NA UCET	3408	79607	 	MN	61133015
1292020	4415	1998-07-10	VYDAJ	PREVOD NA UCET	3408	68591	 	MN	61133015
1292021	4415	1998-08-10	VYDAJ	PREVOD NA UCET	3408	72069	 	MN	61133015
1292022	4415	1998-09-10	VYDAJ	PREVOD NA UCET	3408	68626	 	MN	61133015
1292023	4415	1998-10-10	VYDAJ	PREVOD NA UCET	3408	47714	 	MN	61133015
1292024	4415	1998-11-10	VYDAJ	PREVOD NA UCET	3408	50383	 	MN	61133015
1292025	4415	1998-12-10	VYDAJ	PREVOD NA UCET	3408	59482	 	MN	61133015
1292036	4415	1995-11-11	VYDAJ	PREVOD NA UCET	77	57203	POJISTNE	QR	19646489
1292037	4415	1995-12-11	VYDAJ	PREVOD NA UCET	77	62843	POJISTNE	QR	19646489
1292038	4415	1996-01-11	VYDAJ	PREVOD NA UCET	77	47220	POJISTNE	QR	19646489
1292039	4415	1996-02-11	VYDAJ	PREVOD NA UCET	77	30653	POJISTNE	QR	19646489
1292040	4415	1996-03-11	VYDAJ	PREVOD NA UCET	77	44795	POJISTNE	QR	19646489
1292041	4415	1996-04-11	VYDAJ	PREVOD NA UCET	77	43281	POJISTNE	QR	19646489
1292042	4415	1996-05-11	VYDAJ	PREVOD NA UCET	77	53983	POJISTNE	QR	19646489
1292043	4415	1996-06-11	VYDAJ	PREVOD NA UCET	77	46802	POJISTNE	QR	19646489
1292044	4415	1996-07-11	VYDAJ	PREVOD NA UCET	77	50997	POJISTNE	QR	19646489
1292045	4415	1996-08-11	VYDAJ	PREVOD NA UCET	77	42196	POJISTNE	QR	19646489
1292046	4415	1996-09-11	VYDAJ	PREVOD NA UCET	77	49587	POJISTNE	QR	19646489
1292047	4415	1996-10-11	VYDAJ	PREVOD NA UCET	77	40584	POJISTNE	QR	19646489
1292048	4415	1996-11-11	VYDAJ	PREVOD NA UCET	77	49064	POJISTNE	QR	19646489
1292049	4415	1996-12-11	VYDAJ	PREVOD NA UCET	77	65123	POJISTNE	QR	19646489
1292050	4415	1997-01-11	VYDAJ	PREVOD NA UCET	77	56177	POJISTNE	QR	19646489
1292051	4415	1997-02-11	VYDAJ	PREVOD NA UCET	77	44551	POJISTNE	QR	19646489
1292052	4415	1997-03-11	VYDAJ	PREVOD NA UCET	77	50726	POJISTNE	QR	19646489
1292053	4415	1997-04-11	VYDAJ	PREVOD NA UCET	77	51548	POJISTNE	QR	19646489
1292054	4415	1997-05-11	VYDAJ	PREVOD NA UCET	77	53578	POJISTNE	QR	19646489
1292055	4415	1997-06-11	VYDAJ	PREVOD NA UCET	77	63245	POJISTNE	QR	19646489
1292056	4415	1997-07-11	VYDAJ	PREVOD NA UCET	77	41491	POJISTNE	QR	19646489
1292057	4415	1997-08-11	VYDAJ	PREVOD NA UCET	77	48223	POJISTNE	QR	19646489
1292058	4415	1997-09-11	VYDAJ	PREVOD NA UCET	77	60455	POJISTNE	QR	19646489
1292059	4415	1997-10-11	VYDAJ	PREVOD NA UCET	77	64117	POJISTNE	QR	19646489
1292060	4415	1997-11-11	VYDAJ	PREVOD NA UCET	77	64876	POJISTNE	QR	19646489
1292061	4415	1997-12-11	VYDAJ	PREVOD NA UCET	77	79816	POJISTNE	QR	19646489
1292062	4415	1998-01-11	VYDAJ	PREVOD NA UCET	77	64544	POJISTNE	QR	19646489
1292063	4415	1998-02-11	VYDAJ	PREVOD NA UCET	77	53073	POJISTNE	QR	19646489
1292064	4415	1998-03-11	VYDAJ	PREVOD NA UCET	77	60913	POJISTNE	QR	19646489
1292065	4415	1998-04-11	VYDAJ	PREVOD NA UCET	77	59483	POJISTNE	QR	19646489
1292066	4415	1998-05-11	VYDAJ	PREVOD NA UCET	77	68095	POJISTNE	QR	19646489
1292067	4415	1998-06-11	VYDAJ	PREVOD NA UCET	77	74929	POJISTNE	QR	19646489
1292068	4415	1998-07-11	VYDAJ	PREVOD NA UCET	77	68514	POJISTNE	QR	19646489
1292069	4415	1998-08-11	VYDAJ	PREVOD NA UCET	77	71992	POJISTNE	QR	19646489
1292070	4415	1998-09-11	VYDAJ	PREVOD NA UCET	77	63948	POJISTNE	QR	19646489
1292071	4415	1998-10-11	VYDAJ	PREVOD NA UCET	77	43036	POJISTNE	QR	19646489
1292072	4415	1998-11-11	VYDAJ	PREVOD NA UCET	77	45705	POJISTNE	QR	19646489
1292073	4415	1998-12-11	VYDAJ	PREVOD NA UCET	77	54804	POJISTNE	QR	19646489
1292084	4415	1995-11-13	VYDAJ	PREVOD NA UCET	397	56806	 	OP	67352598
1292085	4415	1995-12-13	VYDAJ	PREVOD NA UCET	397	54046	 	OP	67352598
1292086	4415	1996-01-13	VYDAJ	PREVOD NA UCET	397	44423	 	OP	67352598
1292087	4415	1996-02-13	VYDAJ	PREVOD NA UCET	397	30256	 	OP	67352598
1292088	4415	1996-03-13	VYDAJ	PREVOD NA UCET	397	44398	 	OP	67352598
1292089	4415	1996-04-13	VYDAJ	PREVOD NA UCET	397	42884	 	OP	67352598
1292090	4415	1996-05-13	VYDAJ	PREVOD NA UCET	397	48986	 	OP	67352598
1292091	4415	1996-06-13	VYDAJ	PREVOD NA UCET	397	39705	 	OP	67352598
1292092	4415	1996-07-13	VYDAJ	PREVOD NA UCET	397	50600	 	OP	67352598
1292093	4415	1996-08-13	VYDAJ	PREVOD NA UCET	397	41799	 	OP	67352598
1292094	4415	1996-09-13	VYDAJ	PREVOD NA UCET	397	49190	 	OP	67352598
1292095	4415	1996-10-13	VYDAJ	PREVOD NA UCET	397	40187	 	OP	67352598
1292096	4415	1996-11-13	VYDAJ	PREVOD NA UCET	397	48667	 	OP	67352598
1292097	4415	1996-12-13	VYDAJ	PREVOD NA UCET	397	64726	 	OP	67352598
1292098	4415	1997-01-13	VYDAJ	PREVOD NA UCET	397	54940	 	OP	67352598
1292099	4415	1997-02-13	VYDAJ	PREVOD NA UCET	397	44154	 	OP	67352598
1292100	4415	1997-03-13	VYDAJ	PREVOD NA UCET	397	50329	 	OP	67352598
1292101	4415	1997-04-13	VYDAJ	PREVOD NA UCET	397	44981	 	OP	67352598
1292102	4415	1997-05-13	VYDAJ	PREVOD NA UCET	397	47011	 	OP	67352598
1292103	4415	1997-06-13	VYDAJ	PREVOD NA UCET	397	56678	 	OP	67352598
1292104	4415	1997-07-13	VYDAJ	PREVOD NA UCET	397	34924	 	OP	67352598
1292105	4415	1997-08-13	VYDAJ	PREVOD NA UCET	397	41656	 	OP	67352598
1292106	4415	1997-09-13	VYDAJ	PREVOD NA UCET	397	53888	 	OP	67352598
1292107	4415	1997-10-13	VYDAJ	PREVOD NA UCET	397	57550	 	OP	67352598
1292108	4415	1997-11-13	VYDAJ	PREVOD NA UCET	397	58309	 	OP	67352598
1292109	4415	1997-12-13	VYDAJ	PREVOD NA UCET	397	73249	 	OP	67352598
1292110	4415	1998-01-13	VYDAJ	PREVOD NA UCET	397	57977	 	OP	67352598
1292111	4415	1998-02-13	VYDAJ	PREVOD NA UCET	397	46506	 	OP	67352598
1292112	4415	1998-03-13	VYDAJ	PREVOD NA UCET	397	54346	 	OP	67352598
1292113	4415	1998-04-13	VYDAJ	PREVOD NA UCET	397	59086	 	OP	67352598
1292114	4415	1998-05-13	VYDAJ	PREVOD NA UCET	397	67698	 	OP	67352598
1292115	4415	1998-06-13	VYDAJ	PREVOD NA UCET	397	74532	 	OP	67352598
1292116	4415	1998-07-13	VYDAJ	PREVOD NA UCET	397	68117	 	OP	67352598
1292117	4415	1998-08-13	VYDAJ	PREVOD NA UCET	397	71595	 	OP	67352598
1292118	4415	1998-09-13	VYDAJ	PREVOD NA UCET	397	63551	 	OP	67352598
1292119	4415	1998-10-13	VYDAJ	PREVOD NA UCET	397	42639	 	OP	67352598
1292120	4415	1998-11-13	VYDAJ	PREVOD NA UCET	397	45308	 	OP	67352598
1292121	4415	1998-12-13	VYDAJ	PREVOD NA UCET	397	46307	 	OP	67352598
1292132	4415	1995-10-30	VYDAJ	VYBER	6900	59894	\N	\N	0
1292133	4415	1995-12-11	VYDAJ	VYBER	8400	54443	\N	\N	0
1292134	4415	1996-01-19	VYDAJ	VYBER	3500	24723	\N	\N	0
1292135	4415	1996-01-30	VYDAJ	VYBER	3600	15243	\N	\N	0
1292136	4415	1996-03-15	VYDAJ	VYBER	6600	37798	\N	\N	0
1292137	4415	1996-04-07	VYDAJ	VYBER	5900	27043	\N	\N	0
1292138	4415	1996-05-13	VYDAJ	VYBER	4600	49383	\N	\N	0
1292139	4415	1996-06-12	VYDAJ	VYBER	6700	40102	\N	\N	0
1292140	4415	1996-07-16	VYDAJ	VYBER	7300	43300	\N	\N	0
1292141	4415	1996-08-08	VYDAJ	VYBER	8600	50282	\N	\N	0
1292142	4415	1996-09-22	VYDAJ	VYBER	8500	40690	\N	\N	0
1292143	4415	1996-10-10	VYDAJ	VYBER	8200	40661	\N	\N	0
1292144	4415	1996-11-20	VYDAJ	VYBER	4600	44067	\N	\N	0
1292145	4415	1996-12-18	VYDAJ	VYBER	5500	56826	\N	\N	0
1292146	4415	1997-01-17	VYDAJ	VYBER	5200	49740	\N	\N	0
1292147	4415	1997-02-16	VYDAJ	VYBER	6000	38154	\N	\N	0
1292148	4415	1997-03-23	VYDAJ	VYBER	3500	46829	\N	\N	0
1292149	4415	1997-04-12	VYDAJ	PREVOD NA UCET	6170	45378	UVER	EF	42558240
1292150	4415	1997-05-12	VYDAJ	PREVOD NA UCET	6170	47408	UVER	EF	42558240
1292151	4415	1997-06-12	VYDAJ	PREVOD NA UCET	6170	57075	UVER	EF	42558240
1292152	4415	1997-07-12	VYDAJ	PREVOD NA UCET	6170	35321	UVER	EF	42558240
1292153	4415	1997-08-12	VYDAJ	PREVOD NA UCET	6170	42053	UVER	EF	42558240
1292154	4415	1997-09-12	VYDAJ	PREVOD NA UCET	6170	54285	UVER	EF	42558240
1292155	4415	1997-10-12	VYDAJ	PREVOD NA UCET	6170	57947	UVER	EF	42558240
1292156	4415	1997-11-12	VYDAJ	PREVOD NA UCET	6170	58706	UVER	EF	42558240
1292157	4415	1997-12-12	VYDAJ	PREVOD NA UCET	6170	73646	UVER	EF	42558240
1292158	4415	1998-01-12	VYDAJ	PREVOD NA UCET	6170	58374	UVER	EF	42558240
1292159	4415	1998-02-12	VYDAJ	PREVOD NA UCET	6170	46903	UVER	EF	42558240
1292160	4415	1998-03-12	VYDAJ	PREVOD NA UCET	6170	54743	UVER	EF	42558240
1292161	4415	1998-04-02	VYDAJ	VYBER	4200	43245	\N	\N	0
1292162	4415	1998-05-23	VYDAJ	VYBER	5500	51598	\N	\N	0
1292163	4415	1998-06-06	VYDAJ	VYBER	5300	46529	\N	\N	0
1292164	4415	1998-07-02	VYDAJ	VYBER	4700	52276	\N	\N	0
1292165	4415	1998-08-15	VYDAJ	VYBER	6600	64995	\N	\N	0
1292166	4415	1998-09-15	VYDAJ	VYBER	9200	54351	\N	\N	0
1292167	4415	1998-09-24	VYDAJ	VYBER	6000	30351	\N	\N	0
1292168	4415	1998-10-25	VYDAJ	VYBER	4300	29339	\N	\N	0
1292169	4415	1998-12-12	VYDAJ	VYBER	8100	46704	\N	\N	0
1292171	4415	1996-06-07	VYDAJ	VYBER	20160	18402	\N	\N	\N
1292172	4415	1997-06-19	VYDAJ	VYBER	35680	20998	\N	\N	\N
1292175	4415	1996-01-19	VYDAJ	VYBER	12480	28223	\N	\N	\N
1292176	4415	1997-01-27	VYDAJ	VYBER	6880	28140	\N	\N	\N
1292177	4415	1998-01-15	VYDAJ	VYBER	14400	43577	\N	\N	\N
1292178	4415	1995-12-18	VYDAJ	VYBER	2560	51486	\N	\N	\N
1292179	4415	1996-12-16	VYDAJ	VYBER	2400	62326	\N	\N	\N
1292180	4415	1997-12-18	VYDAJ	VYBER	4480	68769	\N	\N	\N
1292181	4415	1998-12-02	VYDAJ	VYBER	1600	31444	\N	\N	\N
1292188	4415	1996-01-25	VYDAJ	VYBER	3240	18843	\N	\N	\N
1292189	4415	1996-01-22	VYDAJ	VYBER	2640	22083	\N	\N	\N
1292190	4415	1996-01-12	VYDAJ	VYBER	2400	44820	\N	\N	\N
1292191	4415	1996-01-05	VYDAJ	VYBER	3480	30982	\N	\N	\N
1292192	4415	1996-01-05	VYDAJ	VYBER	2520	34462	\N	\N	\N
1292193	4415	1996-01-18	VYDAJ	VYBER	840	40703	\N	\N	\N
1292194	4415	1997-01-03	VYDAJ	VYBER	840	40779	\N	\N	\N
1292195	4415	1997-01-18	VYDAJ	VYBER	840	48300	\N	\N	\N
1292196	4415	1997-01-22	VYDAJ	VYBER	1680	46620	\N	\N	\N
1292197	4415	1997-01-12	VYDAJ	VYBER	840	55337	\N	\N	\N
1292198	4415	1997-01-10	VYDAJ	VYBER	840	64263	\N	\N	\N
1292199	4415	1997-01-17	VYDAJ	VYBER	600	49140	\N	\N	\N
1292200	4415	1998-01-07	VYDAJ	VYBER	3240	50106	\N	\N	\N
1292201	4415	1998-01-30	VYDAJ	VYBER	3000	36637	\N	\N	\N
1292202	4415	1998-01-10	VYDAJ	VYBER	1800	64621	\N	\N	\N
1292203	4415	1998-01-01	VYDAJ	VYBER	2160	53346	\N	\N	\N
1292204	4415	1998-01-29	VYDAJ	VYBER	3480	42997	\N	\N	\N
1292205	4415	1998-01-30	VYDAJ	VYBER	3360	39637	\N	\N	\N
1292208	4415	1995-12-01	VYDAJ	VYBER	5880	45743	\N	\N	\N
1292210	4415	1995-11-16	VYDAJ	VYBER	5400	51406	\N	\N	\N
1292211	4415	1996-01-17	VYDAJ	VYBER	2880	41543	\N	\N	\N
1292212	4415	1996-02-01	VYDAJ	VYBER	2160	14415	\N	\N	\N
1292213	4415	1997-06-08	VYDAJ	VYBER	5040	71331	\N	\N	\N
1292214	4415	1997-08-02	VYDAJ	VYBER	3960	31985	\N	\N	\N
1292215	4415	1997-03-23	VYDAJ	VYBER	4320	42509	\N	\N	\N
1292216	4415	1997-05-01	VYDAJ	VYBER	3600	37340	\N	\N	\N
1292217	4415	1997-03-29	VYDAJ	VYBER	1680	35149	\N	\N	\N
1292218	4415	1997-03-24	VYDAJ	VYBER	3480	39029	\N	\N	\N
1292219	4415	1997-10-31	VYDAJ	VYBER	4320	48652	\N	\N	\N
1292220	4415	1998-03-03	VYDAJ	VYBER	3000	44675	\N	\N	\N
1292221	4415	1998-12-08	VYDAJ	VYBER	5040	62890	\N	\N	\N
1292222	4415	1998-10-07	VYDAJ	VYBER	3720	26798	\N	\N	\N
1292223	4415	1998-05-07	VYDAJ	VYBER	840	51857	\N	\N	\N
1292224	4415	1998-11-29	VYDAJ	VYBER	5040	32908	\N	\N	\N
1292225	4415	1998-11-22	VYDAJ	VYBER	960	37948	\N	\N	\N
1292237	4415	1995-11-30	VYDAJ	VYBER	15	51623	SLUZBY	\N	\N
1292238	4415	1995-12-31	VYDAJ	VYBER	15	51682	SLUZBY	\N	\N
1292239	4415	1996-01-31	VYDAJ	VYBER	15	16575	SLUZBY	\N	\N
1292240	4415	1996-02-29	VYDAJ	VYBER	15	30357	SLUZBY	\N	\N
1292241	4415	1996-03-31	VYDAJ	VYBER	15	37943	SLUZBY	\N	\N
1292242	4415	1996-04-30	VYDAJ	VYBER	15	37745	SLUZBY	\N	\N
1292243	4415	1996-05-31	VYDAJ	VYBER	15	38562	SLUZBY	\N	\N
1292244	4415	1996-06-30	VYDAJ	VYBER	15	34759	SLUZBY	\N	\N
1292245	4415	1996-07-31	VYDAJ	VYBER	15	34558	SLUZBY	\N	\N
1292246	4415	1996-08-31	VYDAJ	VYBER	15	33349	SLUZBY	\N	\N
1292247	4415	1996-09-30	VYDAJ	VYBER	15	32546	SLUZBY	\N	\N
1292248	4415	1996-10-31	VYDAJ	VYBER	15	32826	SLUZBY	\N	\N
1292249	4415	1996-11-30	VYDAJ	VYBER	15	36723	SLUZBY	\N	\N
1292250	4415	1996-12-31	VYDAJ	VYBER	15	41619	SLUZBY	\N	\N
1292251	4415	1997-01-31	VYDAJ	VYBER	15	28313	SLUZBY	\N	\N
1292252	4415	1997-02-28	VYDAJ	VYBER	15	34488	SLUZBY	\N	\N
1292253	4415	1997-03-31	VYDAJ	VYBER	15	35310	SLUZBY	\N	\N
1292254	4415	1997-04-30	VYDAJ	VYBER	15	40940	SLUZBY	\N	\N
1292255	4415	1997-05-31	VYDAJ	VYBER	15	39885	SLUZBY	\N	\N
1292256	4415	1997-06-30	VYDAJ	VYBER	15	25253	SLUZBY	\N	\N
1292257	4415	1997-07-31	VYDAJ	VYBER	15	35945	SLUZBY	\N	\N
1292258	4415	1997-08-31	VYDAJ	VYBER	15	44217	SLUZBY	\N	\N
1292259	4415	1997-09-30	VYDAJ	VYBER	15	47879	SLUZBY	\N	\N
1292260	4415	1997-10-31	VYDAJ	VYBER	15	48638	SLUZBY	\N	\N
1292261	4415	1997-11-30	VYDAJ	VYBER	15	51416	SLUZBY	\N	\N
1292262	4415	1997-12-31	VYDAJ	VYBER	15	55506	SLUZBY	\N	\N
1292263	4415	1998-01-31	VYDAJ	VYBER	15	36835	SLUZBY	\N	\N
1292264	4415	1998-02-28	VYDAJ	VYBER	15	47675	SLUZBY	\N	\N
1292265	4415	1998-03-31	VYDAJ	VYBER	15	47445	SLUZBY	\N	\N
1292266	4415	1998-04-30	VYDAJ	VYBER	15	52697	SLUZBY	\N	\N
1292267	4415	1998-05-31	VYDAJ	VYBER	15	51829	SLUZBY	\N	\N
1292268	4415	1998-06-30	VYDAJ	VYBER	15	56976	SLUZBY	\N	\N
1292269	4415	1998-07-31	VYDAJ	VYBER	15	55754	SLUZBY	\N	\N
1292270	4415	1998-08-31	VYDAJ	VYBER	15	47710	SLUZBY	\N	\N
1292271	4415	1998-09-30	VYDAJ	VYBER	15	30518	SLUZBY	\N	\N
1292272	4415	1998-10-31	VYDAJ	VYBER	15	29467	SLUZBY	\N	\N
1292273	4415	1998-11-30	VYDAJ	VYBER	15	33044	SLUZBY	\N	\N
1292274	4415	1995-08-04	VYDAJ	VYBER	1900	23104	\N	\N	\N
1292275	4415	1995-09-03	VYDAJ	VYBER	10900	36705	\N	\N	\N
1292276	4415	1995-10-03	VYDAJ	VYBER	18800	42470	\N	\N	\N
1292277	4415	1995-11-02	VYDAJ	VYBER	19200	40965	\N	\N	\N
1292278	4415	1995-12-02	VYDAJ	VYBER	11300	34443	\N	\N	\N
1292279	4415	1996-01-01	VYDAJ	VYBER	14700	36982	\N	\N	\N
1292280	4415	1996-01-31	PRIJEM	VKLAD	1200	16590	\N	\N	\N
1292281	4415	1996-03-01	VYDAJ	VYBER	1800	28557	\N	\N	\N
1292282	4415	1996-03-31	VYDAJ	VYBER	5000	32943	\N	\N	\N
1292283	4415	1996-04-30	VYDAJ	VYBER	5300	37760	\N	\N	\N
1292284	4415	1996-05-30	VYDAJ	VYBER	10600	38386	\N	\N	\N
1292285	4415	1996-06-29	VYDAJ	VYBER	5100	34605	\N	\N	\N
1292286	4415	1996-07-29	VYDAJ	VYBER	8900	34400	\N	\N	\N
1292287	4415	1996-08-28	VYDAJ	VYBER	8600	33199	\N	\N	\N
1292288	4415	1996-09-27	VYDAJ	VYBER	8300	32390	\N	\N	\N
1292289	4415	1996-10-27	VYDAJ	VYBER	7500	32687	\N	\N	\N
1292290	4415	1996-11-26	VYDAJ	VYBER	7500	36567	\N	\N	\N
1292291	4415	1996-12-26	VYDAJ	VYBER	15400	41426	\N	\N	\N
1292292	4415	1997-01-25	VYDAJ	VYBER	11600	35020	\N	\N	\N
1292293	4415	1997-02-24	VYDAJ	VYBER	3800	34354	\N	\N	\N
1292294	4415	1997-03-26	VYDAJ	VYBER	2200	36829	\N	\N	\N
1292295	4415	1997-04-25	VYDAJ	VYBER	4200	40781	\N	\N	\N
1292296	4415	1997-05-25	VYDAJ	VYBER	7300	39711	\N	\N	\N
1292297	4415	1997-06-24	PRIJEM	VKLAD	4100	25098	\N	\N	\N
1292298	4415	1997-07-24	PRIJEM	VKLAD	900	35824	\N	\N	\N
1292299	4415	1997-08-23	PRIJEM	VKLAD	2400	44056	\N	\N	\N
1292300	4415	1997-09-22	VYDAJ	VYBER	6200	47688	\N	\N	\N
1292301	4415	1997-10-22	VYDAJ	VYBER	4800	52750	\N	\N	\N
1292302	4415	1997-11-21	VYDAJ	VYBER	7100	51209	\N	\N	\N
1292303	4415	1997-12-21	VYDAJ	VYBER	13500	55269	\N	\N	\N
1292304	4415	1998-01-20	PRIJEM	VKLAD	2900	46477	\N	\N	\N
1292305	4415	1998-02-19	PRIJEM	VKLAD	1000	47506	\N	\N	\N
1292306	4415	1998-03-21	VYDAJ	VYBER	7100	47246	\N	\N	\N
1292307	4415	1998-04-20	VYDAJ	VYBER	6600	52486	\N	\N	\N
1292308	4415	1998-05-20	VYDAJ	VYBER	10600	57098	\N	\N	\N
1292309	4415	1998-06-19	VYDAJ	VYBER	17800	56732	\N	\N	\N
1292310	4415	1998-07-19	VYDAJ	VYBER	12600	55517	\N	\N	\N
1292311	4415	1998-08-18	VYDAJ	VYBER	17500	47495	\N	\N	\N
1292312	4415	1998-09-17	VYDAJ	VYBER	18000	36351	\N	\N	\N
1292313	4415	1998-10-17	VYDAJ	VYBER	9000	33639	\N	\N	\N
1292314	4415	1998-11-16	VYDAJ	VYBER	6400	38908	\N	\N	\N
1292357	4416	1994-02-12	PRIJEM	VKLAD	800	800	\N	\N	\N
1292358	4416	1994-12-25	PRIJEM	VKLAD	2466	36336	\N	\N	\N
1292359	4416	1994-11-21	PRIJEM	VKLAD	4921	37142	\N	\N	\N
1292360	4416	1995-01-16	PRIJEM	VKLAD	41799	73667	\N	\N	\N
1292361	4416	1995-09-17	PRIJEM	VKLAD	2698	36501	\N	\N	\N
1292362	4416	1996-03-09	PRIJEM	VKLAD	31749	75088	\N	\N	\N
1292363	4416	1996-11-26	PRIJEM	VKLAD	49892	107916	\N	\N	\N
1292364	4416	1997-10-23	PRIJEM	VKLAD	15337	83146	\N	\N	\N
1292365	4416	1997-08-04	PRIJEM	VKLAD	11707	63227	\N	\N	\N
1292366	4416	1998-08-25	PRIJEM	VKLAD	33382	95009	\N	\N	\N
1292367	4416	1998-01-13	PRIJEM	VKLAD	21517	75511	\N	\N	\N
1292369	4416	1994-02-14	PRIJEM	VKLAD	1400	2200	\N	\N	\N
1292370	4416	1994-03-13	PRIJEM	VKLAD	1400	4907	\N	\N	\N
1292371	4416	1994-04-16	PRIJEM	VKLAD	1400	19350	\N	\N	\N
1292372	4416	1994-05-13	PRIJEM	VKLAD	1400	22111	\N	\N	\N
1292373	4416	1994-06-16	PRIJEM	VKLAD	1400	17749	\N	\N	\N
1292374	4416	1994-07-13	PRIJEM	VKLAD	1400	24629	\N	\N	\N
1292375	4416	1994-08-15	PRIJEM	VKLAD	1400	26608	\N	\N	\N
1292376	4416	1994-09-15	PRIJEM	VKLAD	1400	27504	\N	\N	\N
1292377	4416	1994-10-14	PRIJEM	VKLAD	1400	31407	\N	\N	\N
1292378	4416	1994-11-16	PRIJEM	VKLAD	1400	30921	\N	\N	\N
1292379	4416	1994-12-13	PRIJEM	VKLAD	1400	32570	\N	\N	\N
1292380	4416	1995-01-17	PRIJEM	VKLAD	1400	67167	\N	\N	\N
1292381	4416	1995-02-16	PRIJEM	VKLAD	1400	49764	\N	\N	\N
1292382	4416	1995-03-14	PRIJEM	VKLAD	1400	40195	\N	\N	\N
1292383	4416	1995-04-15	PRIJEM	VKLAD	1400	35668	\N	\N	\N
1292384	4416	1995-05-17	PRIJEM	VKLAD	1400	36216	\N	\N	\N
1292385	4416	1995-06-16	PRIJEM	VKLAD	1400	27556	\N	\N	\N
1292386	4416	1995-07-13	PRIJEM	VKLAD	1400	29270	\N	\N	\N
1292387	4416	1995-08-16	PRIJEM	VKLAD	1400	34379	\N	\N	\N
1292388	4416	1995-09-17	PRIJEM	VKLAD	1400	37901	\N	\N	\N
1292389	4416	1995-10-17	PRIJEM	VKLAD	1400	34041	\N	\N	\N
1292390	4416	1995-11-13	PRIJEM	VKLAD	1400	37163	\N	\N	\N
1292391	4416	1995-12-14	PRIJEM	VKLAD	1400	41495	\N	\N	\N
1292392	4416	1996-01-16	PRIJEM	VKLAD	1400	38351	\N	\N	\N
1292393	4416	1996-02-13	PRIJEM	VKLAD	1400	38296	\N	\N	\N
1292394	4416	1996-03-16	PRIJEM	VKLAD	1400	74488	\N	\N	\N
1292395	4416	1996-04-17	PRIJEM	VKLAD	1400	64349	\N	\N	\N
1292396	4416	1996-05-16	PRIJEM	VKLAD	1400	60230	\N	\N	\N
1292397	4416	1996-06-13	PRIJEM	VKLAD	1400	29282	\N	\N	\N
1292398	4416	1996-07-17	PRIJEM	VKLAD	1400	38919	\N	\N	\N
1292399	4416	1996-08-16	PRIJEM	VKLAD	1400	47053	\N	\N	\N
1292400	4416	1996-09-16	PRIJEM	VKLAD	1400	48235	\N	\N	\N
1292401	4416	1996-10-15	PRIJEM	VKLAD	1400	51522	\N	\N	\N
1292402	4416	1996-11-13	PRIJEM	VKLAD	1400	56724	\N	\N	\N
1292403	4416	1996-12-17	PRIJEM	VKLAD	1400	67546	\N	\N	\N
1292404	4416	1997-01-13	PRIJEM	VKLAD	1400	59205	\N	\N	\N
1292405	4416	1997-02-17	PRIJEM	VKLAD	1400	52329	\N	\N	\N
1292406	4416	1997-03-16	PRIJEM	VKLAD	1400	55032	\N	\N	\N
1292407	4416	1997-04-14	PRIJEM	VKLAD	1400	53445	\N	\N	\N
1292408	4416	1997-05-17	PRIJEM	VKLAD	1400	52554	\N	\N	\N
1292409	4416	1997-06-15	PRIJEM	VKLAD	1400	45260	\N	\N	\N
1292410	4416	1997-07-16	PRIJEM	VKLAD	1400	45636	\N	\N	\N
1292411	4416	1997-08-17	PRIJEM	VKLAD	1400	64627	\N	\N	\N
1292412	4416	1997-09-16	PRIJEM	VKLAD	1400	65154	\N	\N	\N
1292413	4416	1997-10-14	PRIJEM	VKLAD	1400	66509	\N	\N	\N
1292414	4416	1997-11-14	PRIJEM	VKLAD	1400	76518	\N	\N	\N
1292415	4416	1997-12-16	PRIJEM	VKLAD	1400	71215	\N	\N	\N
1292416	4416	1998-01-14	PRIJEM	VKLAD	1400	76911	\N	\N	\N
1292417	4416	1998-02-13	PRIJEM	VKLAD	1400	72580	\N	\N	\N
1292418	4416	1998-03-15	PRIJEM	VKLAD	1400	69763	\N	\N	\N
1292419	4416	1998-04-15	PRIJEM	VKLAD	1400	69035	\N	\N	\N
1292420	4416	1998-05-14	PRIJEM	VKLAD	1400	66801	\N	\N	\N
1292421	4416	1998-06-15	PRIJEM	VKLAD	1400	63159	\N	\N	\N
1292422	4416	1998-07-15	PRIJEM	VKLAD	1400	50919	\N	\N	\N
1292423	4416	1998-08-15	PRIJEM	VKLAD	1400	56527	\N	\N	\N
1292424	4416	1998-09-14	PRIJEM	VKLAD	1400	96672	\N	\N	\N
1292425	4416	1998-10-17	PRIJEM	VKLAD	1400	83432	\N	\N	\N
1292426	4416	1998-11-13	PRIJEM	VKLAD	1400	76147	\N	\N	\N
1292427	4416	1998-12-15	PRIJEM	VKLAD	1400	71640	\N	\N	\N
1292429	4416	1994-02-18	PRIJEM	VKLAD	1300	3500	\N	\N	\N
1292430	4416	1994-03-18	PRIJEM	VKLAD	1300	15707	\N	\N	\N
1292431	4416	1994-04-18	PRIJEM	VKLAD	1300	20650	\N	\N	\N
1292432	4416	1994-05-18	PRIJEM	VKLAD	1300	27211	\N	\N	\N
1292433	4416	1994-06-18	PRIJEM	VKLAD	1300	19049	\N	\N	\N
1292434	4416	1994-07-18	PRIJEM	VKLAD	1300	24829	\N	\N	\N
1292435	4416	1994-08-18	PRIJEM	VKLAD	1300	27908	\N	\N	\N
1292436	4416	1994-09-18	PRIJEM	VKLAD	1300	28804	\N	\N	\N
1292437	4416	1994-10-18	PRIJEM	VKLAD	1300	32707	\N	\N	\N
1292438	4416	1994-11-18	PRIJEM	VKLAD	1300	32221	\N	\N	\N
1292439	4416	1994-12-18	PRIJEM	VKLAD	1300	33870	\N	\N	\N
1292440	4416	1995-01-18	PRIJEM	VKLAD	1300	68467	\N	\N	\N
1292441	4416	1995-02-18	PRIJEM	VKLAD	1300	50364	\N	\N	\N
1292442	4416	1995-03-18	PRIJEM	VKLAD	1300	41495	\N	\N	\N
1292443	4416	1995-04-18	PRIJEM	VKLAD	1300	36968	\N	\N	\N
1292444	4416	1995-05-18	PRIJEM	VKLAD	1300	37516	\N	\N	\N
1292445	4416	1995-06-18	PRIJEM	VKLAD	1300	28856	\N	\N	\N
1292446	4416	1995-07-18	PRIJEM	VKLAD	1300	30570	\N	\N	\N
1292447	4416	1995-08-18	PRIJEM	VKLAD	1300	35679	\N	\N	\N
1292448	4416	1995-09-18	PRIJEM	VKLAD	1300	39201	\N	\N	\N
1292449	4416	1995-10-18	PRIJEM	VKLAD	1300	35341	\N	\N	\N
1292450	4416	1995-11-18	PRIJEM	VKLAD	1300	38463	\N	\N	\N
1292451	4416	1995-12-18	PRIJEM	VKLAD	1300	42795	\N	\N	\N
1292452	4416	1996-01-18	PRIJEM	VKLAD	1300	39651	\N	\N	\N
1292453	4416	1996-02-18	PRIJEM	VKLAD	1300	39596	\N	\N	\N
1292454	4416	1996-03-18	PRIJEM	VKLAD	1300	75788	\N	\N	\N
1292455	4416	1996-04-18	PRIJEM	VKLAD	1300	65649	\N	\N	\N
1292456	4416	1996-05-18	PRIJEM	VKLAD	1300	61530	\N	\N	\N
1292457	4416	1996-06-18	PRIJEM	VKLAD	1300	30582	\N	\N	\N
1292458	4416	1996-07-18	PRIJEM	VKLAD	1300	40219	\N	\N	\N
1292459	4416	1996-08-18	PRIJEM	VKLAD	1300	48353	\N	\N	\N
1292460	4416	1996-09-18	PRIJEM	VKLAD	1300	49535	\N	\N	\N
1292461	4416	1996-10-18	PRIJEM	VKLAD	1300	52822	\N	\N	\N
1292462	4416	1996-11-18	PRIJEM	VKLAD	1300	58024	\N	\N	\N
1292463	4416	1996-12-18	PRIJEM	VKLAD	1300	66946	\N	\N	\N
1292464	4416	1997-01-18	PRIJEM	VKLAD	1300	59105	\N	\N	\N
1292465	4416	1997-02-18	PRIJEM	VKLAD	1300	53629	\N	\N	\N
1292466	4416	1997-03-18	PRIJEM	VKLAD	1300	56332	\N	\N	\N
1292467	4416	1997-04-18	PRIJEM	VKLAD	1300	54745	\N	\N	\N
1292468	4416	1997-05-18	PRIJEM	VKLAD	1300	53854	\N	\N	\N
1292469	4416	1997-06-18	PRIJEM	VKLAD	1300	30960	\N	\N	\N
1292470	4416	1997-07-18	PRIJEM	VKLAD	1300	46936	\N	\N	\N
1292471	4416	1997-08-18	PRIJEM	VKLAD	1300	65927	\N	\N	\N
1292472	4416	1997-09-18	PRIJEM	VKLAD	1300	66454	\N	\N	\N
1292473	4416	1997-10-18	PRIJEM	VKLAD	1300	67809	\N	\N	\N
1292474	4416	1997-11-18	PRIJEM	VKLAD	1300	77818	\N	\N	\N
1292475	4416	1997-12-18	PRIJEM	VKLAD	1300	72515	\N	\N	\N
1292476	4416	1998-01-18	PRIJEM	VKLAD	1300	77011	\N	\N	\N
1292477	4416	1998-02-18	PRIJEM	VKLAD	1300	73880	\N	\N	\N
1292478	4416	1998-03-18	PRIJEM	VKLAD	1300	71063	\N	\N	\N
1292479	4416	1998-04-18	PRIJEM	VKLAD	1300	70335	\N	\N	\N
1292480	4416	1998-05-18	PRIJEM	VKLAD	1300	68101	\N	\N	\N
1292481	4416	1998-06-18	PRIJEM	VKLAD	1300	64459	\N	\N	\N
1292482	4416	1998-07-18	PRIJEM	VKLAD	1300	52219	\N	\N	\N
1292483	4416	1998-08-18	PRIJEM	VKLAD	1300	57827	\N	\N	\N
1292484	4416	1998-09-18	PRIJEM	VKLAD	1300	97972	\N	\N	\N
1292485	4416	1998-10-18	PRIJEM	VKLAD	1300	84732	\N	\N	\N
1292486	4416	1998-11-18	PRIJEM	VKLAD	1300	77447	\N	\N	\N
1292487	4416	1998-12-18	PRIJEM	VKLAD	1300	72940	\N	\N	\N
1292488	4416	1994-06-15	VYDAJ	VYBER	11300	16349	\N	\N	\N
1292491	4416	1997-06-10	VYDAJ	VYBER	11100	43860	\N	\N	\N
1292492	4416	1998-06-05	VYDAJ	VYBER KARTOU	3100	61759	\N	\N	0
1292494	4416	1995-06-10	VYDAJ	VYBER	8800	26156	\N	\N	\N
1292495	4416	1996-06-07	VYDAJ	VYBER	29500	27882	\N	\N	\N
1292496	4416	1997-06-17	VYDAJ	VYBER	15600	29660	\N	\N	\N
1292497	4416	1998-06-21	VYDAJ	VYBER	19400	51059	\N	\N	\N
1292499	4416	1995-01-16	VYDAJ	VYBER	7900	65767	\N	\N	\N
1292500	4416	1996-01-12	VYDAJ	VYBER KARTOU	2200	36951	\N	\N	0
1292501	4416	1997-01-22	VYDAJ	VYBER KARTOU	2000	56305	\N	\N	0
1292502	4416	1998-01-01	VYDAJ	VYBER	9200	59394	\N	\N	\N
1292503	4416	1994-12-12	VYDAJ	VYBER	2900	31170	\N	\N	\N
1292504	4416	1995-12-13	VYDAJ	VYBER KARTOU	500	40095	\N	\N	0
1292505	4416	1996-12-17	VYDAJ	VYBER KARTOU	1900	65646	\N	\N	0
1292506	4416	1997-12-08	VYDAJ	VYBER KARTOU	600	69815	\N	\N	0
1292507	4416	1998-12-13	VYDAJ	VYBER KARTOU	2300	70240	\N	\N	0
1292514	4416	1995-01-22	VYDAJ	VYBER	300	66267	\N	\N	\N
1292515	4416	1995-01-21	VYDAJ	VYBER	350	67467	\N	\N	\N
1292516	4416	1995-01-02	VYDAJ	VYBER	1200	35268	\N	\N	\N
1292517	4416	1995-01-04	VYDAJ	VYBER	300	34968	\N	\N	\N
1292518	4416	1995-01-22	VYDAJ	VYBER	900	66567	\N	\N	\N
1292519	4416	1995-01-19	VYDAJ	VYBER	650	67817	\N	\N	\N
1292520	4416	1996-01-30	VYDAJ	VYBER KARTOU	700	35351	\N	\N	0
1292521	4416	1996-01-10	VYDAJ	VYBER KARTOU	300	39151	\N	\N	0
1292522	4416	1996-01-19	VYDAJ	VYBER KARTOU	1300	38351	\N	\N	0
1292523	4416	1996-01-24	VYDAJ	VYBER KARTOU	1000	36051	\N	\N	0
1292524	4416	1996-01-20	VYDAJ	VYBER KARTOU	1300	37051	\N	\N	0
1292525	4416	1996-01-04	VYDAJ	VYBER KARTOU	1100	39451	\N	\N	0
1292526	4416	1997-01-04	VYDAJ	VYBER KARTOU	600	57805	\N	\N	0
1292527	4416	1997-01-14	VYDAJ	VYBER KARTOU	400	58805	\N	\N	0
1292528	4416	1997-01-01	VYDAJ	VYBER KARTOU	500	58405	\N	\N	0
1292529	4416	1997-01-17	VYDAJ	VYBER KARTOU	1000	57805	\N	\N	0
1292530	4416	1997-01-27	VYDAJ	VYBER KARTOU	800	51505	\N	\N	0
1292531	4416	1997-01-28	VYDAJ	VYBER KARTOU	800	50705	\N	\N	0
1292532	4416	1998-01-06	VYDAJ	VYBER KARTOU	1400	55994	\N	\N	0
1292533	4416	1998-01-28	VYDAJ	VYBER KARTOU	300	71711	\N	\N	0
1292534	4416	1998-01-06	VYDAJ	VYBER KARTOU	1200	57394	\N	\N	0
1292535	4416	1998-01-07	VYDAJ	VYBER KARTOU	700	55294	\N	\N	0
1292536	4416	1998-01-03	VYDAJ	VYBER KARTOU	800	58594	\N	\N	0
1292537	4416	1998-01-15	VYDAJ	VYBER KARTOU	1200	75711	\N	\N	0
1292538	4416	1994-06-11	VYDAJ	VYBER	1750	25549	\N	\N	\N
1292539	4416	1994-07-16	VYDAJ	VYBER	1100	23529	\N	\N	\N
1292540	4416	1995-10-06	VYDAJ	VYBER KARTOU	1800	32641	\N	\N	0
1292541	4416	1995-10-20	VYDAJ	VYBER KARTOU	2400	30741	\N	\N	0
1292542	4416	1995-10-19	VYDAJ	VYBER KARTOU	1300	33141	\N	\N	0
1292543	4416	1995-09-27	VYDAJ	VYBER KARTOU	1500	37701	\N	\N	0
1292544	4416	1995-12-30	VYDAJ	VYBER KARTOU	300	42495	\N	\N	0
1292545	4416	1995-10-18	VYDAJ	VYBER KARTOU	900	34441	\N	\N	0
1292546	4416	1995-02-16	VYDAJ	VYBER	700	49064	\N	\N	\N
1292547	4416	1996-03-25	VYDAJ	VYBER KARTOU	700	75088	\N	\N	0
1292548	4416	1996-08-02	VYDAJ	VYBER KARTOU	1400	45653	\N	\N	0
1292549	4416	1996-08-21	VYDAJ	VYBER KARTOU	1900	46453	\N	\N	0
1292550	4416	1996-03-10	VYDAJ	VYBER KARTOU	2000	73088	\N	\N	0
1292551	4416	1997-01-20	VYDAJ	VYBER KARTOU	800	58305	\N	\N	0
1292552	4416	1997-11-08	VYDAJ	VYBER KARTOU	800	75118	\N	\N	0
1292553	4416	1997-07-03	VYDAJ	VYBER KARTOU	2300	44236	\N	\N	0
1292554	4416	1997-04-09	VYDAJ	VYBER KARTOU	1500	52045	\N	\N	0
1292555	4416	1997-12-25	VYDAJ	VYBER KARTOU	1900	68315	\N	\N	0
1292556	4416	1998-01-12	VYDAJ	VYBER KARTOU	1300	53994	\N	\N	0
1292557	4416	1998-08-09	VYDAJ	VYBER KARTOU	1500	56827	\N	\N	0
1292558	4416	1998-12-07	VYDAJ	VYBER KARTOU	300	72540	\N	\N	0
1292559	4416	1998-06-30	VYDAJ	VYBER KARTOU	1100	50234	\N	\N	0
1292560	4416	1998-07-12	VYDAJ	VYBER KARTOU	700	49519	\N	\N	0
1292561	4416	1998-08-09	VYDAJ	VYBER KARTOU	1700	55127	\N	\N	0
1292562	4416	1998-02-11	VYDAJ	VYBER KARTOU	800	71180	\N	\N	0
1292567	4416	1994-04-30	VYDAJ	VYBER	15	20711	SLUZBY	\N	\N
1292568	4416	1994-05-31	VYDAJ	VYBER	15	27299	SLUZBY	\N	\N
1292569	4416	1994-06-30	VYDAJ	VYBER	15	19129	SLUZBY	\N	\N
1292570	4416	1994-07-31	VYDAJ	VYBER	15	24908	SLUZBY	\N	\N
1292571	4416	1994-08-31	VYDAJ	VYBER	15	28004	SLUZBY	\N	\N
1292572	4416	1994-09-30	VYDAJ	VYBER	15	28907	SLUZBY	\N	\N
1292573	4416	1994-10-31	VYDAJ	VYBER	15	32821	SLUZBY	\N	\N
1292574	4416	1994-11-30	VYDAJ	VYBER	15	37270	SLUZBY	\N	\N
1292575	4416	1994-12-31	VYDAJ	VYBER	15	36468	SLUZBY	\N	\N
1292576	4416	1995-01-31	VYDAJ	VYBER	15	66464	SLUZBY	\N	\N
1292577	4416	1995-02-28	VYDAJ	VYBER	15	50595	SLUZBY	\N	\N
1292578	4416	1995-03-31	VYDAJ	VYBER	15	41668	SLUZBY	\N	\N
1292579	4416	1995-04-30	VYDAJ	VYBER	15	37116	SLUZBY	\N	\N
1292580	4416	1995-05-31	VYDAJ	VYBER	15	37656	SLUZBY	\N	\N
1292581	4416	1995-06-30	VYDAJ	VYBER	15	28970	SLUZBY	\N	\N
1292582	4416	1995-07-31	VYDAJ	VYBER	15	30679	SLUZBY	\N	\N
1292583	4416	1995-08-31	VYDAJ	VYBER	15	35803	SLUZBY	\N	\N
1292584	4416	1995-09-30	VYDAJ	VYBER	15	37841	SLUZBY	\N	\N
1292585	4416	1995-10-31	VYDAJ	VYBER	15	30863	SLUZBY	\N	\N
1292586	4416	1995-11-30	VYDAJ	VYBER	15	38595	SLUZBY	\N	\N
1292587	4416	1995-12-31	VYDAJ	VYBER	15	42651	SLUZBY	\N	\N
1292588	4416	1996-01-31	VYDAJ	VYBER	15	35496	SLUZBY	\N	\N
1292589	4416	1996-02-29	VYDAJ	VYBER	15	39739	SLUZBY	\N	\N
1292590	4416	1996-03-31	VYDAJ	VYBER	15	75349	SLUZBY	\N	\N
1292591	4416	1996-04-30	VYDAJ	VYBER	15	65930	SLUZBY	\N	\N
1292592	4416	1996-05-31	VYDAJ	VYBER	15	61782	SLUZBY	\N	\N
1292593	4416	1996-06-30	VYDAJ	VYBER	15	30719	SLUZBY	\N	\N
1292594	4416	1996-07-31	VYDAJ	VYBER	15	47053	SLUZBY	\N	\N
1292595	4416	1996-08-31	VYDAJ	VYBER	15	46835	SLUZBY	\N	\N
1292596	4416	1996-09-30	VYDAJ	VYBER	15	50122	SLUZBY	\N	\N
1292597	4416	1996-10-31	VYDAJ	VYBER	15	55324	SLUZBY	\N	\N
1292598	4416	1996-11-30	VYDAJ	VYBER	15	66146	SLUZBY	\N	\N
1292599	4416	1996-12-31	VYDAJ	VYBER	15	58905	SLUZBY	\N	\N
1292600	4416	1997-01-31	VYDAJ	VYBER	15	50929	SLUZBY	\N	\N
1292601	4416	1997-02-28	VYDAJ	VYBER	15	53632	SLUZBY	\N	\N
1292602	4416	1997-03-31	VYDAJ	VYBER	15	53545	SLUZBY	\N	\N
1292603	4416	1997-04-30	VYDAJ	VYBER	15	51154	SLUZBY	\N	\N
1292604	4416	1997-05-31	VYDAJ	VYBER	15	54960	SLUZBY	\N	\N
1292605	4416	1997-06-30	VYDAJ	VYBER	15	46536	SLUZBY	\N	\N
1292606	4416	1997-07-31	VYDAJ	VYBER	15	51520	SLUZBY	\N	\N
1292607	4416	1997-08-31	VYDAJ	VYBER	15	63754	SLUZBY	\N	\N
1292608	4416	1997-09-30	VYDAJ	VYBER	15	65109	SLUZBY	\N	\N
1292609	4416	1997-10-31	VYDAJ	VYBER	15	75918	SLUZBY	\N	\N
1292610	4416	1997-11-30	VYDAJ	VYBER	15	70415	SLUZBY	\N	\N
1292611	4416	1997-12-31	VYDAJ	VYBER	15	68594	SLUZBY	\N	\N
1292612	4416	1998-01-31	VYDAJ	VYBER	15	71980	SLUZBY	\N	\N
1292613	4416	1998-02-28	VYDAJ	VYBER	15	68363	SLUZBY	\N	\N
1292614	4416	1998-03-31	VYDAJ	VYBER	15	67635	SLUZBY	\N	\N
1292615	4416	1998-04-30	VYDAJ	VYBER	15	65401	SLUZBY	\N	\N
1292616	4416	1998-05-31	VYDAJ	VYBER	15	64859	SLUZBY	\N	\N
1292617	4416	1998-06-30	VYDAJ	VYBER	15	50219	SLUZBY	\N	\N
1292618	4416	1998-07-31	VYDAJ	VYBER	15	58327	SLUZBY	\N	\N
1292619	4416	1998-08-31	VYDAJ	VYBER	15	95272	SLUZBY	\N	\N
1292620	4416	1998-09-30	VYDAJ	VYBER	15	82032	SLUZBY	\N	\N
1292621	4416	1998-10-31	VYDAJ	VYBER	15	74747	SLUZBY	\N	\N
1292622	4416	1998-11-30	VYDAJ	VYBER	15	72840	SLUZBY	\N	\N
1292623	4416	1994-03-14	PRIJEM	VKLAD	9500	14407	\N	\N	\N
1292624	4416	1994-04-13	PRIJEM	VKLAD	2200	17950	\N	\N	\N
1292625	4416	1994-05-13	PRIJEM	VKLAD	3800	25911	\N	\N	\N
1292626	4416	1994-06-12	PRIJEM	VKLAD	2100	27649	\N	\N	\N
1292627	4416	1994-07-12	PRIJEM	VKLAD	4100	23229	\N	\N	\N
1292628	4416	1994-08-11	PRIJEM	VKLAD	300	25208	\N	\N	\N
1292629	4416	1994-09-10	VYDAJ	VYBER	1900	26104	\N	\N	\N
1292630	4416	1994-10-10	PRIJEM	VKLAD	1100	30007	\N	\N	\N
1292631	4416	1994-11-09	VYDAJ	VYBER	3300	29521	\N	\N	\N
1292632	4416	1994-12-09	VYDAJ	VYBER	3200	34070	\N	\N	\N
1292633	4416	1995-01-08	VYDAJ	VYBER	3100	31868	\N	\N	\N
1292634	4416	1995-02-07	VYDAJ	VYBER	18100	48364	\N	\N	\N
1292635	4416	1995-03-09	VYDAJ	VYBER	11800	38795	\N	\N	\N
1292636	4416	1995-04-08	VYDAJ	VYBER	7400	34268	\N	\N	\N
1292637	4416	1995-05-08	VYDAJ	VYBER	2300	34816	\N	\N	\N
1292638	4416	1995-06-07	VYDAJ	VYBER KARTOU	2700	34956	\N	\N	0
1292639	4416	1995-07-07	VYDAJ	VYBER KARTOU	1100	27870	\N	\N	0
1292640	4416	1995-08-06	PRIJEM	VKLAD	2300	32979	\N	\N	\N
1292641	4416	1995-09-05	VYDAJ	VYBER KARTOU	2000	33803	\N	\N	0
1292642	4416	1995-10-05	VYDAJ	VYBER KARTOU	3400	34441	\N	\N	0
1292643	4416	1995-11-04	PRIJEM	VKLAD	4900	35763	\N	\N	\N
1292644	4416	1995-12-04	PRIJEM	VKLAD	2000	40595	\N	\N	\N
1292645	4416	1996-01-03	VYDAJ	VYBER KARTOU	2100	40551	\N	\N	0
1292646	4416	1996-02-02	PRIJEM	VKLAD	1400	36896	\N	\N	\N
1292647	4416	1996-03-03	PRIJEM	VKLAD	3600	43339	\N	\N	\N
1292648	4416	1996-04-02	VYDAJ	VYBER	12400	62949	\N	\N	\N
1292649	4416	1996-05-02	VYDAJ	VYBER	7100	58830	\N	\N	\N
1292650	4416	1996-06-01	VYDAJ	VYBER	4400	57382	\N	\N	\N
1292651	4416	1996-07-01	PRIJEM	VKLAD	6800	37519	\N	\N	\N
1292652	4416	1996-07-31	PRIJEM	VKLAD	6700	47067	\N	\N	\N
1292653	4416	1996-08-30	PRIJEM	VKLAD	200	46653	\N	\N	\N
1292654	4416	1996-09-29	PRIJEM	VKLAD	400	49935	\N	\N	\N
1292655	4416	1996-10-29	PRIJEM	VKLAD	2300	55122	\N	\N	\N
1292656	4416	1996-11-26	VYDAJ	VYBER	30800	77116	\N	\N	\N
1292657	4416	1996-11-28	VYDAJ	VYBER	11200	65916	\N	\N	\N
1292658	4416	1996-12-28	VYDAJ	VYBER	8300	58646	\N	\N	\N
1292659	4416	1997-01-27	VYDAJ	VYBER KARTOU	4000	52305	\N	\N	0
1292660	4416	1997-02-26	VYDAJ	VYBER KARTOU	200	53429	\N	\N	0
1292661	4416	1997-03-28	VYDAJ	VYBER KARTOU	3000	53332	\N	\N	0
1292662	4416	1997-04-27	VYDAJ	VYBER KARTOU	3800	50945	\N	\N	0
1292663	4416	1997-05-27	PRIJEM	VKLAD	900	54754	\N	\N	\N
1292664	4416	1997-06-26	PRIJEM	VKLAD	15400	46360	\N	\N	\N
1292665	4416	1997-07-26	PRIJEM	VKLAD	4400	51336	\N	\N	\N
1292666	4416	1997-08-25	VYDAJ	VYBER KARTOU	2400	63527	\N	\N	0
1292667	4416	1997-09-24	VYDAJ	VYBER KARTOU	1600	64854	\N	\N	0
1292668	4416	1997-10-24	VYDAJ	VYBER	7500	75646	\N	\N	\N
1292669	4416	1997-11-23	VYDAJ	VYBER	7700	70118	\N	\N	\N
1292670	4416	1997-12-23	VYDAJ	VYBER KARTOU	2300	70215	\N	\N	0
1292671	4416	1998-01-22	VYDAJ	VYBER	5000	72011	\N	\N	\N
1292672	4416	1998-02-21	VYDAJ	VYBER	5800	68080	\N	\N	\N
1292673	4416	1998-03-23	VYDAJ	VYBER KARTOU	3700	67363	\N	\N	0
1292674	4416	1998-04-22	VYDAJ	VYBER	5200	65135	\N	\N	\N
1292675	4416	1998-05-22	VYDAJ	VYBER KARTOU	3500	64601	\N	\N	0
1292676	4416	1998-06-21	PRIJEM	VKLAD	6000	70459	\N	\N	\N
1292677	4416	1998-07-21	PRIJEM	VKLAD	5900	58119	\N	\N	\N
1292678	4416	1998-08-20	PRIJEM	VKLAD	3800	61627	\N	\N	\N
1292679	4416	1998-09-19	VYDAJ	VYBER	16300	81672	\N	\N	\N
1292680	4416	1998-10-19	VYDAJ	VYBER	10300	74432	\N	\N	\N
1292681	4416	1998-11-18	VYDAJ	VYBER	4900	72547	\N	\N	\N
1292911	4418	1994-02-09	PRIJEM	VKLAD	200	200	\N	\N	\N
1292914	4418	1994-03-08	PRIJEM	VKLAD	13635	13835	\N	\N	\N
1292915	4418	1994-04-08	PRIJEM	VKLAD	13635	31520	\N	\N	\N
1292916	4418	1994-05-08	PRIJEM	VKLAD	13635	42060	\N	\N	\N
1292917	4418	1994-06-08	PRIJEM	VKLAD	20453	56353	\N	\N	\N
1292918	4418	1994-07-08	PRIJEM	VKLAD	13635	54652	\N	\N	\N
1292919	4418	1994-08-08	PRIJEM	VKLAD	13635	46265	\N	\N	\N
1292920	4418	1994-09-08	PRIJEM	VKLAD	13635	35819	\N	\N	\N
1292921	4418	1994-10-08	PRIJEM	VKLAD	13635	39088	\N	\N	\N
1292922	4418	1994-11-08	PRIJEM	VKLAD	13635	34747	\N	\N	\N
1292923	4418	1994-12-08	PRIJEM	VKLAD	20453	40113	\N	\N	\N
1292924	4418	1995-01-08	PRIJEM	VKLAD	13635	38315	\N	\N	\N
1292925	4418	1995-02-08	PRIJEM	VKLAD	13635	33789	\N	\N	\N
1292926	4418	1995-03-08	PRIJEM	VKLAD	13635	35290	\N	\N	\N
1292927	4418	1995-04-08	PRIJEM	VKLAD	13635	31275	\N	\N	\N
1292928	4418	1995-05-08	PRIJEM	VKLAD	13635	34647	\N	\N	\N
1292929	4418	1995-06-08	PRIJEM	VKLAD	20453	37946	\N	\N	\N
1292930	4418	1995-07-08	PRIJEM	VKLAD	13635	37040	\N	\N	\N
1292931	4418	1995-08-08	PRIJEM	VKLAD	13635	37034	\N	\N	\N
1292932	4418	1995-09-08	PRIJEM	VKLAD	13635	34428	\N	\N	\N
1292933	4418	1995-10-08	PRIJEM	VKLAD	13635	33113	\N	\N	\N
1292934	4418	1995-11-08	PRIJEM	VKLAD	13635	29970	\N	\N	\N
1292935	4418	1995-12-08	PRIJEM	VKLAD	20453	36710	\N	\N	\N
1292936	4418	1996-01-08	PRIJEM	VKLAD	13635	28464	\N	\N	\N
1292937	4418	1996-02-08	PRIJEM	VKLAD	13635	21893	\N	\N	\N
1292938	4418	1996-03-08	PRIJEM	VKLAD	13635	21220	\N	\N	\N
1292939	4418	1996-04-08	PRIJEM	VKLAD	13635	20701	\N	\N	\N
1292940	4418	1996-05-08	PRIJEM	VKLAD	13635	22522	\N	\N	\N
1292941	4418	1996-06-08	PRIJEM	VKLAD	20453	26582	\N	\N	\N
1292942	4418	1996-07-08	PRIJEM	VKLAD	13635	27520	\N	\N	\N
1292943	4418	1996-08-08	PRIJEM	VKLAD	13635	26967	\N	\N	\N
1292944	4418	1996-09-08	PRIJEM	VKLAD	13635	24349	\N	\N	\N
1292945	4418	1996-10-08	PRIJEM	VKLAD	13635	21379	\N	\N	\N
1292946	4418	1996-11-08	PRIJEM	VKLAD	13635	18997	\N	\N	\N
1292947	4418	1996-12-08	PRIJEM	VKLAD	20453	24799	\N	\N	\N
1292948	4418	1997-01-08	PRIJEM	VKLAD	13635	23496	\N	\N	\N
1292949	4418	1997-02-08	PRIJEM	VKLAD	13635	21822	\N	\N	\N
1292950	4418	1997-03-08	PRIJEM	VKLAD	13635	23144	\N	\N	\N
1292951	4418	1997-04-08	PRIJEM	VKLAD	13635	19622	\N	\N	\N
1292952	4418	1997-05-08	PRIJEM	VKLAD	13635	20635	\N	\N	\N
1292953	4418	1997-06-08	PRIJEM	VKLAD	20453	25723	\N	\N	\N
1292954	4418	1997-07-08	PRIJEM	VKLAD	13635	24751	\N	\N	\N
1292955	4418	1997-08-08	PRIJEM	VKLAD	13635	23081	\N	\N	\N
1292956	4418	1997-09-08	PRIJEM	VKLAD	13635	20302	\N	\N	\N
1292957	4418	1997-10-08	PRIJEM	VKLAD	13635	25121	\N	\N	\N
1292958	4418	1997-11-08	PRIJEM	VKLAD	13635	22148	\N	\N	\N
1292959	4418	1997-12-08	PRIJEM	VKLAD	20453	31988	\N	\N	\N
1292960	4418	1998-01-08	PRIJEM	VKLAD	13635	23067	\N	\N	\N
1292961	4418	1998-02-08	PRIJEM	VKLAD	13635	23890	\N	\N	\N
1292962	4418	1998-03-08	PRIJEM	VKLAD	13635	24616	\N	\N	\N
1292963	4418	1998-04-08	PRIJEM	VKLAD	13635	23142	\N	\N	\N
1292964	4418	1998-05-08	PRIJEM	VKLAD	13635	20559	\N	\N	\N
1292965	4418	1998-06-08	PRIJEM	VKLAD	20453	32596	\N	\N	\N
1292966	4418	1998-07-08	PRIJEM	VKLAD	13635	21931	\N	\N	\N
1292967	4418	1998-08-08	PRIJEM	VKLAD	13635	21545	\N	\N	\N
1292968	4418	1998-09-08	PRIJEM	VKLAD	13635	20857	\N	\N	\N
1292969	4418	1998-10-08	PRIJEM	VKLAD	13635	20665	\N	\N	\N
1292970	4418	1998-11-08	PRIJEM	VKLAD	13635	23359	\N	\N	\N
1292971	4418	1998-12-08	PRIJEM	VKLAD	20453	30446	\N	\N	\N
1292979	4418	1994-08-07	VYDAJ	PREVOD NA UCET	5951	32630	SIPO	ST	50905704
1292980	4418	1994-09-07	VYDAJ	PREVOD NA UCET	5951	22870	SIPO	ST	50905704
1292981	4418	1994-10-07	VYDAJ	PREVOD NA UCET	5951	26339	SIPO	ST	50905704
1292982	4418	1994-11-07	VYDAJ	PREVOD NA UCET	5951	21112	SIPO	ST	50905704
1292983	4418	1994-12-07	VYDAJ	PREVOD NA UCET	5951	19661	SIPO	ST	50905704
1292984	4418	1995-01-07	VYDAJ	PREVOD NA UCET	5951	24866	SIPO	ST	50905704
1292985	4418	1995-02-07	VYDAJ	PREVOD NA UCET	5951	20154	SIPO	ST	50905704
1292986	4418	1995-03-07	VYDAJ	PREVOD NA UCET	5951	21841	SIPO	ST	50905704
1292987	4418	1995-04-07	VYDAJ	PREVOD NA UCET	5951	17826	SIPO	ST	50905704
1292988	4418	1995-05-07	VYDAJ	PREVOD NA UCET	5951	21198	SIPO	ST	50905704
1292989	4418	1995-06-07	VYDAJ	PREVOD NA UCET	5951	17680	SIPO	ST	50905704
1292990	4418	1995-07-07	VYDAJ	PREVOD NA UCET	5951	23591	SIPO	ST	50905704
1292991	4418	1995-08-07	VYDAJ	PREVOD NA UCET	5951	23585	SIPO	ST	50905704
1292992	4418	1995-09-07	VYDAJ	PREVOD NA UCET	5951	20793	SIPO	ST	50905704
1292993	4418	1995-10-07	VYDAJ	PREVOD NA UCET	5951	19664	SIPO	ST	50905704
1292994	4418	1995-11-07	VYDAJ	PREVOD NA UCET	5951	16521	SIPO	ST	50905704
1292995	4418	1995-12-07	VYDAJ	PREVOD NA UCET	5951	16258	SIPO	ST	50905704
1292996	4418	1996-01-07	VYDAJ	PREVOD NA UCET	5951	14829	SIPO	ST	50905704
1292997	4418	1996-02-07	VYDAJ	PREVOD NA UCET	5951	8258	SIPO	ST	50905704
1292998	4418	1996-03-07	VYDAJ	PREVOD NA UCET	5951	7771	SIPO	ST	50905704
1292999	4418	1996-04-07	VYDAJ	PREVOD NA UCET	5951	7252	SIPO	ST	50905704
1293000	4418	1996-05-07	VYDAJ	PREVOD NA UCET	5951	8887	SIPO	ST	50905704
1293001	4418	1996-06-07	VYDAJ	PREVOD NA UCET	5951	6129	SIPO	ST	50905704
1293002	4418	1996-07-07	VYDAJ	PREVOD NA UCET	5951	14071	SIPO	ST	50905704
1293003	4418	1996-08-07	VYDAJ	PREVOD NA UCET	5951	13518	SIPO	ST	50905704
1293004	4418	1996-09-07	VYDAJ	PREVOD NA UCET	5951	10714	SIPO	ST	50905704
1293005	4418	1996-10-07	VYDAJ	PREVOD NA UCET	5951	7744	SIPO	ST	50905704
1293006	4418	1996-11-07	VYDAJ	PREVOD NA UCET	5951	5548	SIPO	ST	50905704
1293007	4418	1996-12-07	VYDAJ	PREVOD NA UCET	5951	4533	SIPO	ST	50905704
1293008	4418	1997-01-07	VYDAJ	PREVOD NA UCET	5951	9861	SIPO	ST	50905704
1293009	4418	1997-02-07	VYDAJ	PREVOD NA UCET	5951	8373	SIPO	ST	50905704
1293010	4418	1997-03-07	VYDAJ	PREVOD NA UCET	5951	9695	SIPO	ST	50905704
1293011	4418	1997-04-07	VYDAJ	PREVOD NA UCET	5951	6173	SIPO	ST	50905704
1293012	4418	1997-05-07	VYDAJ	PREVOD NA UCET	5951	7000	SIPO	ST	50905704
1293013	4418	1997-06-07	VYDAJ	PREVOD NA UCET	5951	5457	SIPO	ST	50905704
1293014	4418	1997-07-07	VYDAJ	PREVOD NA UCET	5951	11116	SIPO	ST	50905704
1293015	4418	1997-08-07	VYDAJ	PREVOD NA UCET	5951	9446	SIPO	ST	50905704
1293016	4418	1997-09-07	VYDAJ	PREVOD NA UCET	5951	6853	SIPO	ST	50905704
1293017	4418	1997-10-07	VYDAJ	PREVOD NA UCET	5951	11486	SIPO	ST	50905704
1293018	4418	1997-11-07	VYDAJ	PREVOD NA UCET	5951	8699	SIPO	ST	50905704
1293019	4418	1997-12-07	VYDAJ	PREVOD NA UCET	5951	11721	SIPO	ST	50905704
1293020	4418	1998-01-07	VYDAJ	PREVOD NA UCET	5951	9618	SIPO	ST	50905704
1293021	4418	1998-02-07	VYDAJ	PREVOD NA UCET	5951	10441	SIPO	ST	50905704
1293022	4418	1998-03-07	VYDAJ	PREVOD NA UCET	5951	10981	SIPO	ST	50905704
1293023	4418	1998-04-07	VYDAJ	PREVOD NA UCET	5951	9507	SIPO	ST	50905704
1293024	4418	1998-05-07	VYDAJ	PREVOD NA UCET	5951	7110	SIPO	ST	50905704
1293025	4418	1998-06-07	VYDAJ	PREVOD NA UCET	5951	12143	SIPO	ST	50905704
1293026	4418	1998-07-07	VYDAJ	PREVOD NA UCET	5951	8482	SIPO	ST	50905704
1293027	4418	1998-08-07	VYDAJ	PREVOD NA UCET	5951	7910	SIPO	ST	50905704
1293028	4418	1998-09-07	VYDAJ	PREVOD NA UCET	5951	7222	SIPO	ST	50905704
1293029	4418	1998-10-07	VYDAJ	PREVOD NA UCET	5951	7216	SIPO	ST	50905704
1293030	4418	1998-11-07	VYDAJ	PREVOD NA UCET	5951	9724	SIPO	ST	50905704
1293031	4418	1998-12-07	VYDAJ	PREVOD NA UCET	5951	14180	SIPO	ST	50905704
1293039	4418	1994-08-07	VYDAJ	PREVOD NA UCET	186	38581	 	ST	36693310
1293040	4418	1994-09-07	VYDAJ	PREVOD NA UCET	186	22684	 	ST	36693310
1293041	4418	1994-10-07	VYDAJ	PREVOD NA UCET	186	25453	 	ST	36693310
1293042	4418	1994-11-07	VYDAJ	PREVOD NA UCET	186	27063	 	ST	36693310
1293043	4418	1994-12-07	VYDAJ	PREVOD NA UCET	186	25612	 	ST	36693310
1293044	4418	1995-01-07	VYDAJ	PREVOD NA UCET	186	24680	 	ST	36693310
1293045	4418	1995-02-07	VYDAJ	PREVOD NA UCET	186	26105	 	ST	36693310
1293046	4418	1995-03-07	VYDAJ	PREVOD NA UCET	186	21655	 	ST	36693310
1293047	4418	1995-04-07	VYDAJ	PREVOD NA UCET	186	17640	 	ST	36693310
1293048	4418	1995-05-07	VYDAJ	PREVOD NA UCET	186	21012	 	ST	36693310
1293049	4418	1995-06-07	VYDAJ	PREVOD NA UCET	186	17494	 	ST	36693310
1293050	4418	1995-07-07	VYDAJ	PREVOD NA UCET	186	23405	 	ST	36693310
1293051	4418	1995-08-07	VYDAJ	PREVOD NA UCET	186	23399	 	ST	36693310
1293052	4418	1995-09-07	VYDAJ	PREVOD NA UCET	186	26744	 	ST	36693310
1293053	4418	1995-10-07	VYDAJ	PREVOD NA UCET	186	19478	 	ST	36693310
1293054	4418	1995-11-07	VYDAJ	PREVOD NA UCET	186	16335	 	ST	36693310
1293055	4418	1995-12-07	VYDAJ	PREVOD NA UCET	186	22209	 	ST	36693310
1293056	4418	1996-01-07	VYDAJ	PREVOD NA UCET	186	20780	 	ST	36693310
1293057	4418	1996-02-07	VYDAJ	PREVOD NA UCET	186	14209	 	ST	36693310
1293058	4418	1996-03-07	VYDAJ	PREVOD NA UCET	186	7585	 	ST	36693310
1293059	4418	1996-04-07	VYDAJ	PREVOD NA UCET	186	7066	 	ST	36693310
1293060	4418	1996-05-07	VYDAJ	PREVOD NA UCET	186	14838	 	ST	36693310
1293061	4418	1996-06-07	VYDAJ	PREVOD NA UCET	186	12080	 	ST	36693310
1293062	4418	1996-07-07	VYDAJ	PREVOD NA UCET	186	13885	 	ST	36693310
1293063	4418	1996-08-07	VYDAJ	PREVOD NA UCET	186	13332	 	ST	36693310
1293064	4418	1996-09-07	VYDAJ	PREVOD NA UCET	186	16665	 	ST	36693310
1293065	4418	1996-10-07	VYDAJ	PREVOD NA UCET	186	13695	 	ST	36693310
1293066	4418	1996-11-07	VYDAJ	PREVOD NA UCET	186	5362	 	ST	36693310
1293067	4418	1996-12-07	VYDAJ	PREVOD NA UCET	186	4347	 	ST	36693310
1293068	4418	1997-01-07	VYDAJ	PREVOD NA UCET	186	15812	 	ST	36693310
1293069	4418	1997-02-07	VYDAJ	PREVOD NA UCET	186	8187	 	ST	36693310
1293070	4418	1997-03-07	VYDAJ	PREVOD NA UCET	186	9509	 	ST	36693310
1293071	4418	1997-04-07	VYDAJ	PREVOD NA UCET	186	5987	 	ST	36693310
1293072	4418	1997-05-07	VYDAJ	PREVOD NA UCET	186	12951	 	ST	36693310
1293073	4418	1997-06-07	VYDAJ	PREVOD NA UCET	186	5271	 	ST	36693310
1293074	4418	1997-07-07	VYDAJ	PREVOD NA UCET	186	17067	 	ST	36693310
1293075	4418	1997-08-07	VYDAJ	PREVOD NA UCET	186	15397	 	ST	36693310
1293076	4418	1997-09-07	VYDAJ	PREVOD NA UCET	186	6667	 	ST	36693310
1293077	4418	1997-10-07	VYDAJ	PREVOD NA UCET	186	17437	 	ST	36693310
1293078	4418	1997-11-07	VYDAJ	PREVOD NA UCET	186	8513	 	ST	36693310
1293079	4418	1997-12-07	VYDAJ	PREVOD NA UCET	186	11535	 	ST	36693310
1293080	4418	1998-01-07	VYDAJ	PREVOD NA UCET	186	9432	 	ST	36693310
1293081	4418	1998-02-07	VYDAJ	PREVOD NA UCET	186	10255	 	ST	36693310
1293082	4418	1998-03-07	VYDAJ	PREVOD NA UCET	186	16932	 	ST	36693310
1293083	4418	1998-04-07	VYDAJ	PREVOD NA UCET	186	15458	 	ST	36693310
1293084	4418	1998-05-07	VYDAJ	PREVOD NA UCET	186	6924	 	ST	36693310
1293085	4418	1998-06-07	VYDAJ	PREVOD NA UCET	186	18094	 	ST	36693310
1293086	4418	1998-07-07	VYDAJ	PREVOD NA UCET	186	8296	 	ST	36693310
1293087	4418	1998-08-07	VYDAJ	PREVOD NA UCET	186	13861	 	ST	36693310
1293088	4418	1998-09-07	VYDAJ	PREVOD NA UCET	186	13173	 	ST	36693310
1293089	4418	1998-10-07	VYDAJ	PREVOD NA UCET	186	7030	 	ST	36693310
1293090	4418	1998-11-07	VYDAJ	PREVOD NA UCET	186	15675	 	ST	36693310
1293091	4418	1998-12-07	VYDAJ	PREVOD NA UCET	186	9994	 	ST	36693310
1293099	4418	1994-08-06	VYDAJ	PREVOD NA UCET	906	40202	POJISTNE	UV	51602697
1293100	4418	1994-09-06	VYDAJ	PREVOD NA UCET	906	34696	POJISTNE	UV	51602697
1293101	4418	1994-10-06	VYDAJ	PREVOD NA UCET	906	33725	POJISTNE	UV	51602697
1293102	4418	1994-11-06	VYDAJ	PREVOD NA UCET	906	36889	POJISTNE	UV	51602697
1293103	4418	1994-12-06	VYDAJ	PREVOD NA UCET	906	27233	POJISTNE	UV	51602697
1293104	4418	1995-01-06	VYDAJ	PREVOD NA UCET	906	30817	POJISTNE	UV	51602697
1293105	4418	1995-02-06	VYDAJ	PREVOD NA UCET	906	27726	POJISTNE	UV	51602697
1293106	4418	1995-03-06	VYDAJ	PREVOD NA UCET	906	27792	POJISTNE	UV	51602697
1293107	4418	1995-04-06	VYDAJ	PREVOD NA UCET	906	25212	POJISTNE	UV	51602697
1293108	4418	1995-05-06	VYDAJ	PREVOD NA UCET	906	28584	POJISTNE	UV	51602697
1293109	4418	1995-06-06	VYDAJ	PREVOD NA UCET	906	23631	POJISTNE	UV	51602697
1293110	4418	1995-07-06	VYDAJ	PREVOD NA UCET	906	30977	POJISTNE	UV	51602697
1293111	4418	1995-08-06	VYDAJ	PREVOD NA UCET	906	29536	POJISTNE	UV	51602697
1293112	4418	1995-09-06	VYDAJ	PREVOD NA UCET	906	28365	POJISTNE	UV	51602697
1293113	4418	1995-10-06	VYDAJ	PREVOD NA UCET	906	27050	POJISTNE	UV	51602697
1293114	4418	1995-11-06	VYDAJ	PREVOD NA UCET	906	22472	POJISTNE	UV	51602697
1293115	4418	1995-12-06	VYDAJ	PREVOD NA UCET	906	23830	POJISTNE	UV	51602697
1293116	4418	1996-01-06	VYDAJ	PREVOD NA UCET	906	20966	POJISTNE	UV	51602697
1293117	4418	1996-02-06	VYDAJ	PREVOD NA UCET	906	15830	POJISTNE	UV	51602697
1293118	4418	1996-03-06	VYDAJ	PREVOD NA UCET	906	13722	POJISTNE	UV	51602697
1293119	4418	1996-04-06	VYDAJ	PREVOD NA UCET	906	13203	POJISTNE	UV	51602697
1293120	4418	1996-05-06	VYDAJ	PREVOD NA UCET	906	15024	POJISTNE	UV	51602697
1293121	4418	1996-06-06	VYDAJ	PREVOD NA UCET	906	12266	POJISTNE	UV	51602697
1293122	4418	1996-07-06	VYDAJ	PREVOD NA UCET	906	20022	POJISTNE	UV	51602697
1293123	4418	1996-08-06	VYDAJ	PREVOD NA UCET	906	19469	POJISTNE	UV	51602697
1293124	4418	1996-09-06	VYDAJ	PREVOD NA UCET	906	18286	POJISTNE	UV	51602697
1293125	4418	1996-10-06	VYDAJ	PREVOD NA UCET	906	15316	POJISTNE	UV	51602697
1293126	4418	1996-11-06	VYDAJ	PREVOD NA UCET	906	12934	POJISTNE	UV	51602697
1293127	4418	1996-12-06	VYDAJ	PREVOD NA UCET	906	11919	POJISTNE	UV	51602697
1293128	4418	1997-01-06	VYDAJ	PREVOD NA UCET	906	15998	POJISTNE	UV	51602697
1293129	4418	1997-02-06	VYDAJ	PREVOD NA UCET	906	14324	POJISTNE	UV	51602697
1293130	4418	1997-03-06	VYDAJ	PREVOD NA UCET	906	17081	POJISTNE	UV	51602697
1293131	4418	1997-04-06	VYDAJ	PREVOD NA UCET	906	12124	POJISTNE	UV	51602697
1293132	4418	1997-05-06	VYDAJ	PREVOD NA UCET	906	13137	POJISTNE	UV	51602697
1293133	4418	1997-06-06	VYDAJ	PREVOD NA UCET	906	11408	POJISTNE	UV	51602697
1293134	4418	1997-07-06	VYDAJ	PREVOD NA UCET	906	17253	POJISTNE	UV	51602697
1293135	4418	1997-08-06	VYDAJ	PREVOD NA UCET	906	17018	POJISTNE	UV	51602697
1293136	4418	1997-09-06	VYDAJ	PREVOD NA UCET	906	12804	POJISTNE	UV	51602697
1293137	4418	1997-10-06	VYDAJ	PREVOD NA UCET	906	19058	POJISTNE	UV	51602697
1293138	4418	1997-11-06	VYDAJ	PREVOD NA UCET	906	14650	POJISTNE	UV	51602697
1293139	4418	1997-12-06	VYDAJ	PREVOD NA UCET	906	17672	POJISTNE	UV	51602697
1293140	4418	1998-01-06	VYDAJ	PREVOD NA UCET	906	17004	POJISTNE	UV	51602697
1293141	4418	1998-02-06	VYDAJ	PREVOD NA UCET	906	17827	POJISTNE	UV	51602697
1293142	4418	1998-03-06	VYDAJ	PREVOD NA UCET	906	17118	POJISTNE	UV	51602697
1293143	4418	1998-04-06	VYDAJ	PREVOD NA UCET	906	15644	POJISTNE	UV	51602697
1293144	4418	1998-05-06	VYDAJ	PREVOD NA UCET	906	14496	POJISTNE	UV	51602697
1293145	4418	1998-06-06	VYDAJ	PREVOD NA UCET	906	18280	POJISTNE	UV	51602697
1293146	4418	1998-07-06	VYDAJ	PREVOD NA UCET	906	14433	POJISTNE	UV	51602697
1293147	4418	1998-08-06	VYDAJ	PREVOD NA UCET	906	14047	POJISTNE	UV	51602697
1293148	4418	1998-09-06	VYDAJ	PREVOD NA UCET	906	13359	POJISTNE	UV	51602697
1293149	4418	1998-10-06	VYDAJ	PREVOD NA UCET	906	13167	POJISTNE	UV	51602697
1293150	4418	1998-11-06	VYDAJ	PREVOD NA UCET	906	15861	POJISTNE	UV	51602697
1293151	4418	1998-12-06	VYDAJ	PREVOD NA UCET	906	20131	POJISTNE	UV	51602697
1293159	4418	1994-08-06	VYDAJ	PREVOD NA UCET	1435	38767	 	ST	76446610
1293160	4418	1994-09-06	VYDAJ	PREVOD NA UCET	1435	28821	 	ST	76446610
1293161	4418	1994-10-06	VYDAJ	PREVOD NA UCET	1435	32290	 	ST	76446610
1293162	4418	1994-11-06	VYDAJ	PREVOD NA UCET	1435	37795	 	ST	76446610
1293163	4418	1994-12-06	VYDAJ	PREVOD NA UCET	1435	25798	 	ST	76446610
1293164	4418	1995-01-06	VYDAJ	PREVOD NA UCET	1435	31723	 	ST	76446610
1293165	4418	1995-02-06	VYDAJ	PREVOD NA UCET	1435	26291	 	ST	76446610
1293166	4418	1995-03-06	VYDAJ	PREVOD NA UCET	1435	34578	 	ST	76446610
1293167	4418	1995-04-06	VYDAJ	PREVOD NA UCET	1435	23777	 	ST	76446610
1293168	4418	1995-05-06	VYDAJ	PREVOD NA UCET	1435	27149	 	ST	76446610
1293169	4418	1995-06-06	VYDAJ	PREVOD NA UCET	1435	24537	 	ST	76446610
1293170	4418	1995-07-06	VYDAJ	PREVOD NA UCET	1435	29542	 	ST	76446610
1293171	4418	1995-08-06	VYDAJ	PREVOD NA UCET	1435	30442	 	ST	76446610
1293172	4418	1995-09-06	VYDAJ	PREVOD NA UCET	1435	26930	 	ST	76446610
1293173	4418	1995-10-06	VYDAJ	PREVOD NA UCET	1435	25615	 	ST	76446610
1293174	4418	1995-11-06	VYDAJ	PREVOD NA UCET	1435	23378	 	ST	76446610
1293175	4418	1995-12-06	VYDAJ	PREVOD NA UCET	1435	22395	 	ST	76446610
1293176	4418	1996-01-06	VYDAJ	PREVOD NA UCET	1435	21872	 	ST	76446610
1293177	4418	1996-02-06	VYDAJ	PREVOD NA UCET	1435	14395	 	ST	76446610
1293178	4418	1996-03-06	VYDAJ	PREVOD NA UCET	1435	14628	 	ST	76446610
1293179	4418	1996-04-06	VYDAJ	PREVOD NA UCET	1435	14109	 	ST	76446610
1293180	4418	1996-05-06	VYDAJ	PREVOD NA UCET	1435	15930	 	ST	76446610
1293181	4418	1996-06-06	VYDAJ	PREVOD NA UCET	1435	13172	 	ST	76446610
1293182	4418	1996-07-06	VYDAJ	PREVOD NA UCET	1435	20928	 	ST	76446610
1293183	4418	1996-08-06	VYDAJ	PREVOD NA UCET	1435	20375	 	ST	76446610
1293184	4418	1996-09-06	VYDAJ	PREVOD NA UCET	1435	16851	 	ST	76446610
1293185	4418	1996-10-06	VYDAJ	PREVOD NA UCET	1435	13881	 	ST	76446610
1293186	4418	1996-11-06	VYDAJ	PREVOD NA UCET	1435	11499	 	ST	76446610
1293187	4418	1996-12-06	VYDAJ	PREVOD NA UCET	1435	10484	 	ST	76446610
1293188	4418	1997-01-06	VYDAJ	PREVOD NA UCET	1435	16904	 	ST	76446610
1293189	4418	1997-02-06	VYDAJ	PREVOD NA UCET	1435	15230	 	ST	76446610
1293190	4418	1997-03-06	VYDAJ	PREVOD NA UCET	1435	15646	 	ST	76446610
1293191	4418	1997-04-06	VYDAJ	PREVOD NA UCET	1435	13030	 	ST	76446610
1293192	4418	1997-05-06	VYDAJ	PREVOD NA UCET	1435	14043	 	ST	76446610
1293193	4418	1997-06-06	VYDAJ	PREVOD NA UCET	1435	12314	 	ST	76446610
1293194	4418	1997-07-06	VYDAJ	PREVOD NA UCET	1435	18159	 	ST	76446610
1293195	4418	1997-08-06	VYDAJ	PREVOD NA UCET	1435	15583	 	ST	76446610
1293196	4418	1997-09-06	VYDAJ	PREVOD NA UCET	1435	13710	 	ST	76446610
1293197	4418	1997-10-06	VYDAJ	PREVOD NA UCET	1435	17623	 	ST	76446610
1293198	4418	1997-11-06	VYDAJ	PREVOD NA UCET	1435	15556	 	ST	76446610
1293199	4418	1997-12-06	VYDAJ	PREVOD NA UCET	1435	18578	 	ST	76446610
1293200	4418	1998-01-06	VYDAJ	PREVOD NA UCET	1435	15569	 	ST	76446610
1293201	4418	1998-02-06	VYDAJ	PREVOD NA UCET	1435	16392	 	ST	76446610
1293202	4418	1998-03-06	VYDAJ	PREVOD NA UCET	1435	18024	 	ST	76446610
1293203	4418	1998-04-06	VYDAJ	PREVOD NA UCET	1435	16550	 	ST	76446610
1293204	4418	1998-05-06	VYDAJ	PREVOD NA UCET	1435	13061	 	ST	76446610
1293205	4418	1998-06-06	VYDAJ	PREVOD NA UCET	1435	19186	 	ST	76446610
1293206	4418	1998-07-06	VYDAJ	PREVOD NA UCET	1435	15339	 	ST	76446610
1293207	4418	1998-08-06	VYDAJ	PREVOD NA UCET	1435	14953	 	ST	76446610
1293208	4418	1998-09-06	VYDAJ	PREVOD NA UCET	1435	14265	 	ST	76446610
1293209	4418	1998-10-06	VYDAJ	PREVOD NA UCET	1435	14073	 	ST	76446610
1293210	4418	1998-11-06	VYDAJ	PREVOD NA UCET	1435	16767	 	ST	76446610
1293211	4418	1998-12-06	VYDAJ	PREVOD NA UCET	1435	21037	 	ST	76446610
1293278	4418	1995-01-16	VYDAJ	VYBER	3520	34795	\N	\N	\N
1293279	4418	1996-01-16	VYDAJ	VYBER	12000	16464	\N	\N	\N
1293282	4418	1994-12-04	VYDAJ	VYBER	4640	30239	\N	\N	\N
1293283	4418	1995-12-14	VYDAJ	VYBER	3520	33190	\N	\N	\N
1293284	4418	1996-12-09	VYDAJ	VYBER	3040	21759	\N	\N	\N
1293285	4418	1997-12-24	VYDAJ	VYBER	1760	17828	\N	\N	\N
1293286	4418	1998-12-07	VYDAJ	VYBER	4000	10180	\N	\N	\N
1293287	4418	1994-09-27	VYDAJ	VYBER	1320	34499	\N	\N	\N
1293289	4418	1994-09-06	VYDAJ	VYBER	4440	30256	\N	\N	\N
1293290	4418	1994-11-06	VYDAJ	VYBER	4440	27249	\N	\N	\N
1293292	4418	1995-11-05	VYDAJ	VYBER	720	24813	\N	\N	\N
1293293	4418	1995-04-01	VYDAJ	VYBER	3000	32418	\N	\N	\N
1293294	4418	1995-10-30	VYDAJ	VYBER	4200	28913	\N	\N	\N
1293295	4418	1995-03-06	VYDAJ	VYBER	5880	28698	\N	\N	\N
1293296	4418	1995-11-08	VYDAJ	VYBER	3840	26130	\N	\N	\N
1293297	4418	1996-12-19	VYDAJ	VYBER	3480	18279	\N	\N	\N
1293298	4418	1996-05-20	VYDAJ	VYBER	2880	19642	\N	\N	\N
1293299	4418	1996-03-27	VYDAJ	VYBER	2640	18580	\N	\N	\N
1293300	4418	1996-08-22	VYDAJ	VYBER	1560	25407	\N	\N	\N
1293301	4418	1996-11-17	VYDAJ	VYBER	3720	15277	\N	\N	\N
1293302	4418	1996-10-24	VYDAJ	VYBER	4800	16579	\N	\N	\N
1293304	4418	1997-05-18	VYDAJ	VYBER	2640	17995	\N	\N	\N
1293306	4418	1997-03-24	VYDAJ	VYBER	5400	15104	\N	\N	\N
1293307	4418	1997-03-13	VYDAJ	VYBER	2640	20504	\N	\N	\N
1293310	4418	1998-11-17	VYDAJ	VYBER	960	22399	\N	\N	\N
1293312	4418	1998-10-16	VYDAJ	VYBER	2520	18145	\N	\N	\N
1293314	4418	1998-12-10	VYDAJ	VYBER	1440	29006	\N	\N	\N
1293322	4418	1994-07-31	VYDAJ	VYBER	15	41108	SLUZBY	\N	\N
1293323	4418	1994-08-31	VYDAJ	VYBER	15	35602	SLUZBY	\N	\N
1293324	4418	1994-09-30	VYDAJ	VYBER	15	34631	SLUZBY	\N	\N
1293325	4418	1994-10-31	VYDAJ	VYBER	15	39230	SLUZBY	\N	\N
1293326	4418	1994-11-30	VYDAJ	VYBER	15	34879	SLUZBY	\N	\N
1293327	4418	1994-12-31	VYDAJ	VYBER	15	40258	SLUZBY	\N	\N
1293328	4418	1995-01-31	VYDAJ	VYBER	15	34932	SLUZBY	\N	\N
1293329	4418	1995-02-28	VYDAJ	VYBER	15	33913	SLUZBY	\N	\N
1293330	4418	1995-03-31	VYDAJ	VYBER	15	35418	SLUZBY	\N	\N
1293331	4418	1995-04-30	VYDAJ	VYBER	15	31390	SLUZBY	\N	\N
1293332	4418	1995-05-31	VYDAJ	VYBER	15	34772	SLUZBY	\N	\N
1293333	4418	1995-06-30	VYDAJ	VYBER	15	38083	SLUZBY	\N	\N
1293334	4418	1995-07-31	VYDAJ	VYBER	15	37177	SLUZBY	\N	\N
1293335	4418	1995-08-31	VYDAJ	VYBER	15	37171	SLUZBY	\N	\N
1293336	4418	1995-09-30	VYDAJ	VYBER	15	34556	SLUZBY	\N	\N
1293337	4418	1995-10-31	VYDAJ	VYBER	15	29033	SLUZBY	\N	\N
1293338	4418	1995-11-30	VYDAJ	VYBER	15	26236	SLUZBY	\N	\N
1293339	4418	1995-12-31	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
1293340	4418	1996-01-31	VYDAJ	VYBER	15	16736	SLUZBY	\N	\N
1293341	4418	1996-02-29	VYDAJ	VYBER	15	16063	SLUZBY	\N	\N
1293342	4418	1996-03-31	VYDAJ	VYBER	15	15544	SLUZBY	\N	\N
1293343	4418	1996-04-30	VYDAJ	VYBER	15	17365	SLUZBY	\N	\N
1293344	4418	1996-05-31	VYDAJ	VYBER	15	14607	SLUZBY	\N	\N
1293345	4418	1996-06-30	VYDAJ	VYBER	15	22363	SLUZBY	\N	\N
1293346	4418	1996-07-31	VYDAJ	VYBER	15	21810	SLUZBY	\N	\N
1293347	4418	1996-08-31	VYDAJ	VYBER	15	19192	SLUZBY	\N	\N
1293348	4418	1996-09-30	VYDAJ	VYBER	15	16222	SLUZBY	\N	\N
1293349	4418	1996-10-31	VYDAJ	VYBER	15	13840	SLUZBY	\N	\N
1293350	4418	1996-11-30	VYDAJ	VYBER	15	12825	SLUZBY	\N	\N
1293351	4418	1996-12-31	VYDAJ	VYBER	15	18339	SLUZBY	\N	\N
1293352	4418	1997-01-31	VYDAJ	VYBER	15	16665	SLUZBY	\N	\N
1293353	4418	1997-02-28	VYDAJ	VYBER	15	17987	SLUZBY	\N	\N
1293354	4418	1997-03-31	VYDAJ	VYBER	15	14465	SLUZBY	\N	\N
1293355	4418	1997-04-30	VYDAJ	VYBER	15	15478	SLUZBY	\N	\N
1293356	4418	1997-05-31	VYDAJ	VYBER	15	13749	SLUZBY	\N	\N
1293357	4418	1997-06-30	VYDAJ	VYBER	15	19594	SLUZBY	\N	\N
1293358	4418	1997-07-31	VYDAJ	VYBER	15	17924	SLUZBY	\N	\N
1293359	4418	1997-08-31	VYDAJ	VYBER	15	15145	SLUZBY	\N	\N
1293360	4418	1997-09-30	VYDAJ	VYBER	15	19964	SLUZBY	\N	\N
1293361	4418	1997-10-31	VYDAJ	VYBER	15	16991	SLUZBY	\N	\N
1293362	4418	1997-11-30	VYDAJ	VYBER	15	20013	SLUZBY	\N	\N
1293363	4418	1997-12-31	VYDAJ	VYBER	15	17910	SLUZBY	\N	\N
1293364	4418	1998-01-31	VYDAJ	VYBER	15	18733	SLUZBY	\N	\N
1293365	4418	1998-02-28	VYDAJ	VYBER	15	19459	SLUZBY	\N	\N
1293366	4418	1998-03-31	VYDAJ	VYBER	15	17985	SLUZBY	\N	\N
1293367	4418	1998-04-30	VYDAJ	VYBER	15	15402	SLUZBY	\N	\N
1293368	4418	1998-05-31	VYDAJ	VYBER	15	20621	SLUZBY	\N	\N
1293369	4418	1998-06-30	VYDAJ	VYBER	15	16774	SLUZBY	\N	\N
1293370	4418	1998-07-31	VYDAJ	VYBER	15	16388	SLUZBY	\N	\N
1293371	4418	1998-08-31	VYDAJ	VYBER	15	15700	SLUZBY	\N	\N
1293372	4418	1998-09-30	VYDAJ	VYBER	15	15508	SLUZBY	\N	\N
1293373	4418	1998-10-31	VYDAJ	VYBER	15	18202	SLUZBY	\N	\N
1293374	4418	1998-11-30	VYDAJ	VYBER	15	22472	SLUZBY	\N	\N
1293375	4418	1994-03-11	PRIJEM	VKLAD	4000	17835	\N	\N	\N
1293376	4418	1994-04-10	VYDAJ	VYBER	3200	28320	\N	\N	\N
1293377	4418	1994-05-10	VYDAJ	VYBER	6300	35760	\N	\N	\N
1293378	4418	1994-06-09	VYDAJ	VYBER	15500	40853	\N	\N	\N
1293379	4418	1994-07-09	VYDAJ	VYBER	13700	40952	\N	\N	\N
1293380	4418	1994-08-08	VYDAJ	VYBER	10800	35465	\N	\N	\N
1293381	4418	1994-09-07	VYDAJ	VYBER	500	22184	\N	\N	\N
1293382	4418	1994-10-07	VYDAJ	VYBER	700	25639	\N	\N	\N
1293383	4418	1994-11-06	VYDAJ	VYBER	5200	31689	\N	\N	\N
1293384	4418	1994-12-06	VYDAJ	VYBER	2100	28139	\N	\N	\N
1293385	4418	1995-01-05	VYDAJ	VYBER	7100	33158	\N	\N	\N
1293386	4418	1995-02-04	VYDAJ	VYBER	6300	28632	\N	\N	\N
1293387	4418	1995-03-06	PRIJEM	VKLAD	2100	36013	\N	\N	\N
1293388	4418	1995-04-05	VYDAJ	VYBER	6300	26118	\N	\N	\N
1293389	4418	1995-05-05	VYDAJ	VYBER	1900	29490	\N	\N	\N
1293390	4418	1995-06-04	VYDAJ	VYBER	8800	25972	\N	\N	\N
1293391	4418	1995-07-04	VYDAJ	VYBER	6200	31883	\N	\N	\N
1293392	4418	1995-08-03	VYDAJ	VYBER	5300	31877	\N	\N	\N
1293393	4418	1995-09-02	VYDAJ	VYBER	7900	29271	\N	\N	\N
1293394	4418	1995-10-02	VYDAJ	VYBER	6600	27956	\N	\N	\N
1293395	4418	1995-11-01	VYDAJ	VYBER	3500	25533	\N	\N	\N
1293396	4418	1995-12-01	VYDAJ	VYBER	1500	24736	\N	\N	\N
1293397	4418	1995-12-31	VYDAJ	VYBER	10000	23322	\N	\N	\N
1293398	4418	1996-01-30	PRIJEM	VKLAD	200	16664	\N	\N	\N
1293399	4418	1996-02-29	VYDAJ	VYBER	5900	16077	\N	\N	\N
1293400	4418	1996-03-30	VYDAJ	VYBER	3100	15480	\N	\N	\N
1293401	4418	1996-04-29	VYDAJ	VYBER	3400	17301	\N	\N	\N
1293402	4418	1996-05-29	VYDAJ	VYBER	5100	14542	\N	\N	\N
1293403	4418	1996-06-28	VYDAJ	VYBER	4300	22282	\N	\N	\N
1293404	4418	1996-07-28	VYDAJ	VYBER	5800	21720	\N	\N	\N
1293405	4418	1996-08-27	VYDAJ	VYBER	6300	19107	\N	\N	\N
1293406	4418	1996-09-26	VYDAJ	VYBER	8200	16149	\N	\N	\N
1293407	4418	1996-10-26	VYDAJ	VYBER	2800	13779	\N	\N	\N
1293408	4418	1996-11-25	VYDAJ	VYBER	2500	12777	\N	\N	\N
1293409	4418	1997-01-24	VYDAJ	VYBER	6900	16596	\N	\N	\N
1293410	4418	1997-02-23	VYDAJ	VYBER	3900	17922	\N	\N	\N
1293411	4418	1997-03-25	VYDAJ	VYBER	700	14404	\N	\N	\N
1293412	4418	1997-04-24	VYDAJ	VYBER	4200	15422	\N	\N	\N
1293413	4418	1997-05-24	VYDAJ	VYBER	4300	13695	\N	\N	\N
1293414	4418	1997-06-23	VYDAJ	VYBER	6200	19523	\N	\N	\N
1293415	4418	1997-07-23	VYDAJ	VYBER	6900	17851	\N	\N	\N
1293416	4418	1997-08-22	VYDAJ	VYBER	8000	15081	\N	\N	\N
1293417	4418	1997-09-21	VYDAJ	VYBER	400	19902	\N	\N	\N
1293418	4418	1997-10-21	VYDAJ	VYBER	8200	16921	\N	\N	\N
1293419	4418	1997-11-20	VYDAJ	VYBER	2200	19948	\N	\N	\N
1293420	4418	1997-12-20	VYDAJ	VYBER	12400	19588	\N	\N	\N
1293421	4418	1998-01-19	VYDAJ	VYBER	4400	18667	\N	\N	\N
1293422	4418	1998-02-18	VYDAJ	VYBER	4500	19390	\N	\N	\N
1293423	4418	1998-03-20	VYDAJ	VYBER	6700	17916	\N	\N	\N
1293424	4418	1998-04-19	VYDAJ	VYBER	7800	15342	\N	\N	\N
1293425	4418	1998-06-18	VYDAJ	VYBER	15900	16696	\N	\N	\N
1293426	4418	1998-07-18	VYDAJ	VYBER	5600	16331	\N	\N	\N
1293427	4418	1998-08-17	VYDAJ	VYBER	5900	15645	\N	\N	\N
1293428	4418	1998-09-16	VYDAJ	VYBER	5400	15457	\N	\N	\N
1294970	4423	1995-04-26	PRIJEM	VKLAD	900	900	\N	\N	\N
1294972	4423	1995-10-15	PRIJEM	VKLAD	19430	65232	\N	\N	\N
1294974	4423	1995-05-01	PRIJEM	VKLAD	21584	22484	\N	\N	\N
1294976	4423	1995-07-19	PRIJEM	VKLAD	40393	65695	\N	\N	\N
1294978	4423	1995-10-26	PRIJEM	VKLAD	22321	67453	\N	\N	\N
1294979	4423	1995-07-30	PRIJEM	VKLAD	44281	129608	\N	\N	\N
1294982	4423	1995-11-20	PRIJEM	VKLAD	8970	83422	\N	\N	\N
1294983	4423	1995-11-25	PRIJEM	VKLAD	33494	90616	\N	\N	\N
1294984	4423	1995-07-28	PRIJEM	VKLAD	39732	85327	\N	\N	\N
1294986	4423	1995-11-14	PRIJEM	VKLAD	13982	74452	\N	\N	\N
1294987	4423	1996-05-10	PRIJEM	VKLAD	5132	22929	\N	\N	\N
1294988	4423	1996-06-11	PRIJEM	VKLAD	33746	57018	\N	\N	\N
1294989	4423	1996-06-15	PRIJEM	VKLAD	6344	60034	\N	\N	\N
1294990	4423	1996-04-09	PRIJEM	VKLAD	7844	26154	\N	\N	\N
1294991	4423	1996-06-30	PRIJEM	VKLAD	26986	70120	\N	\N	\N
1294992	4423	1996-11-15	PRIJEM	VKLAD	47490	60469	\N	\N	\N
1294993	4423	1997-03-15	PRIJEM	VKLAD	9930	24267	\N	\N	\N
1294994	4423	1997-01-16	PRIJEM	VKLAD	7465	31766	\N	\N	\N
1294995	4423	1997-08-24	PRIJEM	VKLAD	33415	42861	\N	\N	\N
1294996	4423	1997-12-11	PRIJEM	VKLAD	47640	53163	\N	\N	\N
1294997	4423	1997-12-25	PRIJEM	VKLAD	24288	53823	\N	\N	\N
1294998	4423	1998-06-24	PRIJEM	VKLAD	46717	88188	\N	\N	\N
1294999	4423	1998-01-30	PRIJEM	VKLAD	9641	73961	\N	\N	\N
1295000	4423	1998-03-13	PRIJEM	VKLAD	29119	58838	\N	\N	\N
1295001	4423	1998-02-09	PRIJEM	VKLAD	30318	119952	\N	\N	\N
1295002	4423	1998-07-07	PRIJEM	VKLAD	26707	112042	\N	\N	\N
1295003	4423	1998-08-01	PRIJEM	VKLAD	22077	67721	\N	\N	\N
1295004	4423	1998-03-19	PRIJEM	VKLAD	28760	87598	\N	\N	\N
1295005	4423	1998-08-16	PRIJEM	VKLAD	6564	43342	\N	\N	\N
1295006	4423	1998-06-27	PRIJEM	VKLAD	33216	126596	\N	\N	\N
1295007	4423	1998-02-28	PRIJEM	VKLAD	38339	62794	\N	\N	\N
1295008	4423	1998-10-16	PRIJEM	VKLAD	19247	49227	\N	\N	\N
1295009	4423	1998-05-15	PRIJEM	VKLAD	48083	80254	\N	\N	\N
1295010	4423	1998-11-27	PRIJEM	VKLAD	21090	58580	\N	\N	\N
1295011	4423	1998-05-27	PRIJEM	VKLAD	12044	81198	\N	\N	\N
1295012	4423	1998-04-08	PRIJEM	VKLAD	33122	96160	\N	\N	\N
1295013	4423	1998-04-25	PRIJEM	VKLAD	42748	117558	\N	\N	\N
1295014	4423	1998-07-19	PRIJEM	VKLAD	16191	57091	\N	\N	\N
1295015	4423	1998-04-17	PRIJEM	VKLAD	40948	94780	\N	\N	\N
1295016	4423	1998-06-25	PRIJEM	VKLAD	5192	93380	\N	\N	\N
1295017	4423	1998-01-29	PRIJEM	VKLAD	33825	87420	\N	\N	\N
1295018	4423	1998-12-12	PRIJEM	VKLAD	47897	83960	\N	\N	\N
1295019	4423	1998-09-13	PRIJEM	VKLAD	29447	54011	\N	\N	\N
1295020	4423	1998-04-19	PRIJEM	VKLAD	20030	114810	\N	\N	\N
1295021	4423	1998-06-01	PRIJEM	VKLAD	17467	96714	\N	\N	\N
1295022	4423	1998-12-02	PRIJEM	VKLAD	36600	95270	\N	\N	\N
1295023	4423	1998-11-24	PRIJEM	VKLAD	26079	37490	\N	\N	\N
1295024	4423	1998-02-03	PRIJEM	VKLAD	19474	93649	\N	\N	\N
1295025	4423	1998-09-21	PRIJEM	VKLAD	10220	64231	\N	\N	\N
1295026	4423	1998-01-14	PRIJEM	VKLAD	41209	67695	\N	\N	\N
1295037	4423	1995-11-12	VYDAJ	PREVOD NA UCET	2051	60470	UVER	GH	47825217
1295038	4423	1995-12-12	VYDAJ	PREVOD NA UCET	2051	52969	UVER	GH	47825217
1295039	4423	1996-01-12	VYDAJ	PREVOD NA UCET	2051	29070	UVER	GH	47825217
1295040	4423	1996-02-12	VYDAJ	PREVOD NA UCET	2051	13134	UVER	GH	47825217
1295041	4423	1996-03-12	VYDAJ	PREVOD NA UCET	2051	14756	UVER	GH	47825217
1295042	4423	1996-04-12	VYDAJ	PREVOD NA UCET	2051	22826	UVER	GH	47825217
1295043	4423	1996-05-12	VYDAJ	PREVOD NA UCET	2051	19601	UVER	GH	47825217
1295044	4423	1996-06-12	VYDAJ	PREVOD NA UCET	2051	53690	UVER	GH	47825217
1295045	4423	1996-07-12	VYDAJ	PREVOD NA UCET	2051	62940	UVER	GH	47825217
1295046	4423	1996-08-12	VYDAJ	PREVOD NA UCET	2051	35519	UVER	GH	47825217
1295047	4423	1996-09-12	VYDAJ	PREVOD NA UCET	2051	19510	UVER	GH	47825217
1295048	4423	1996-10-12	VYDAJ	PREVOD NA UCET	2051	22065	UVER	GH	47825217
1295049	4423	1996-11-12	VYDAJ	PREVOD NA UCET	2051	12979	UVER	GH	47825217
1295050	4423	1996-12-12	VYDAJ	PREVOD NA UCET	2051	18050	UVER	GH	47825217
1295051	4423	1997-01-12	VYDAJ	PREVOD NA UCET	2051	18001	UVER	GH	47825217
1295052	4423	1997-02-12	VYDAJ	PREVOD NA UCET	2051	14307	UVER	GH	47825217
1295053	4423	1997-03-12	VYDAJ	PREVOD NA UCET	2051	14337	UVER	GH	47825217
1295054	4423	1997-04-12	VYDAJ	PREVOD NA UCET	2051	18305	UVER	GH	47825217
1295055	4423	1997-05-12	VYDAJ	PREVOD NA UCET	2051	19453	UVER	GH	47825217
1295056	4423	1997-06-12	VYDAJ	PREVOD NA UCET	2051	15094	UVER	GH	47825217
1295057	4423	1997-07-12	VYDAJ	PREVOD NA UCET	2051	14927	UVER	GH	47825217
1295058	4423	1997-08-12	VYDAJ	PREVOD NA UCET	2051	9446	UVER	GH	47825217
1295059	4423	1997-09-12	VYDAJ	PREVOD NA UCET	2051	27789	UVER	GH	47825217
1295060	4423	1997-10-12	VYDAJ	PREVOD NA UCET	2051	16770	UVER	GH	47825217
1295061	4423	1997-11-12	VYDAJ	PREVOD NA UCET	2051	9503	UVER	GH	47825217
1295062	4423	1997-12-12	VYDAJ	PREVOD NA UCET	2051	31035	UVER	GH	47825217
1295063	4423	1998-01-12	VYDAJ	PREVOD NA UCET	2051	26486	UVER	GH	47825217
1295064	4423	1998-02-12	VYDAJ	PREVOD NA UCET	2051	39424	UVER	GH	47825217
1295065	4423	1998-03-12	VYDAJ	PREVOD NA UCET	2051	29719	UVER	GH	47825217
1295066	4423	1998-04-12	VYDAJ	PREVOD NA UCET	2051	53832	UVER	GH	47825217
1295067	4423	1998-05-12	VYDAJ	PREVOD NA UCET	2051	32171	UVER	GH	47825217
1295068	4423	1998-06-12	VYDAJ	PREVOD NA UCET	2051	41471	UVER	GH	47825217
1295069	4423	1998-07-12	VYDAJ	PREVOD NA UCET	2051	40900	UVER	GH	47825217
1295070	4423	1998-08-12	VYDAJ	PREVOD NA UCET	2051	36778	UVER	GH	47825217
1295071	4423	1998-09-12	VYDAJ	PREVOD NA UCET	2051	24564	UVER	GH	47825217
1295072	4423	1998-10-12	VYDAJ	PREVOD NA UCET	2051	29980	UVER	GH	47825217
1295073	4423	1998-10-28	VYDAJ	VYBER	2000	38638	\N	\N	0
1295074	4423	1998-12-07	VYDAJ	VYBER	2200	40955	\N	\N	0
1295085	4423	1995-11-11	VYDAJ	PREVOD NA UCET	1277	62521	SIPO	CD	4275078
1295086	4423	1995-12-11	VYDAJ	PREVOD NA UCET	1277	79915	SIPO	CD	4275078
1295087	4423	1996-01-11	VYDAJ	PREVOD NA UCET	1277	31121	SIPO	CD	4275078
1295088	4423	1996-02-11	VYDAJ	PREVOD NA UCET	1277	15185	SIPO	CD	4275078
1295089	4423	1996-03-11	VYDAJ	PREVOD NA UCET	1277	16807	SIPO	CD	4275078
1295090	4423	1996-04-11	VYDAJ	PREVOD NA UCET	1277	24877	SIPO	CD	4275078
1295091	4423	1996-05-11	VYDAJ	PREVOD NA UCET	1277	21652	SIPO	CD	4275078
1295092	4423	1996-06-11	VYDAJ	PREVOD NA UCET	1277	55741	SIPO	CD	4275078
1295093	4423	1996-07-11	VYDAJ	PREVOD NA UCET	1277	64991	SIPO	CD	4275078
1295094	4423	1996-08-11	VYDAJ	PREVOD NA UCET	1277	37570	SIPO	CD	4275078
1295095	4423	1996-09-11	VYDAJ	PREVOD NA UCET	1277	21561	SIPO	CD	4275078
1295096	4423	1996-10-11	VYDAJ	PREVOD NA UCET	1277	24116	SIPO	CD	4275078
1295097	4423	1996-11-11	VYDAJ	PREVOD NA UCET	1277	15030	SIPO	CD	4275078
1295098	4423	1996-12-11	VYDAJ	PREVOD NA UCET	1277	20101	SIPO	CD	4275078
1295099	4423	1997-01-11	VYDAJ	PREVOD NA UCET	1277	20052	SIPO	CD	4275078
1295100	4423	1997-02-11	VYDAJ	PREVOD NA UCET	1277	16358	SIPO	CD	4275078
1295101	4423	1997-03-11	VYDAJ	PREVOD NA UCET	1277	16388	SIPO	CD	4275078
1295102	4423	1997-04-11	VYDAJ	PREVOD NA UCET	1277	20356	SIPO	CD	4275078
1295103	4423	1997-05-11	VYDAJ	PREVOD NA UCET	1277	21504	SIPO	CD	4275078
1295104	4423	1997-06-11	VYDAJ	PREVOD NA UCET	1277	17145	SIPO	CD	4275078
1295105	4423	1997-07-11	VYDAJ	PREVOD NA UCET	1277	16978	SIPO	CD	4275078
1295106	4423	1997-08-11	VYDAJ	PREVOD NA UCET	1277	11497	SIPO	CD	4275078
1295107	4423	1997-09-11	VYDAJ	PREVOD NA UCET	1277	37640	SIPO	CD	4275078
1295108	4423	1997-10-11	VYDAJ	PREVOD NA UCET	1277	22621	SIPO	CD	4275078
1295109	4423	1997-11-11	VYDAJ	PREVOD NA UCET	1277	11554	SIPO	CD	4275078
1295110	4423	1997-12-11	VYDAJ	PREVOD NA UCET	1277	33086	SIPO	CD	4275078
1295111	4423	1998-01-11	VYDAJ	PREVOD NA UCET	1277	28537	SIPO	CD	4275078
1295112	4423	1998-02-11	VYDAJ	PREVOD NA UCET	1277	41475	SIPO	CD	4275078
1295113	4423	1998-03-11	VYDAJ	PREVOD NA UCET	1277	44370	SIPO	CD	4275078
1295114	4423	1998-04-11	VYDAJ	PREVOD NA UCET	1277	55883	SIPO	CD	4275078
1295115	4423	1998-05-11	VYDAJ	PREVOD NA UCET	1277	47196	SIPO	CD	4275078
1295116	4423	1998-06-11	VYDAJ	PREVOD NA UCET	1277	43522	SIPO	CD	4275078
1295117	4423	1998-07-11	VYDAJ	PREVOD NA UCET	1277	42951	SIPO	CD	4275078
1295118	4423	1998-08-11	VYDAJ	PREVOD NA UCET	1277	38829	SIPO	CD	4275078
1295119	4423	1998-09-11	VYDAJ	PREVOD NA UCET	1277	26615	SIPO	CD	4275078
1295120	4423	1998-10-11	VYDAJ	PREVOD NA UCET	1277	32031	SIPO	CD	4275078
1295121	4423	1998-11-11	VYDAJ	PREVOD NA UCET	1277	11411	SIPO	CD	4275078
1295122	4423	1998-12-11	VYDAJ	PREVOD NA UCET	1277	36063	SIPO	CD	4275078
1295133	4423	1995-11-07	VYDAJ	PREVOD NA UCET	4015	63798	 	QR	21013897
1295134	4423	1995-12-07	VYDAJ	PREVOD NA UCET	4015	81192	 	QR	21013897
1295135	4423	1996-01-07	VYDAJ	PREVOD NA UCET	4015	32398	 	QR	21013897
1295136	4423	1996-02-07	VYDAJ	PREVOD NA UCET	4015	16462	 	QR	21013897
1295137	4423	1996-03-07	VYDAJ	PREVOD NA UCET	4015	18084	 	QR	21013897
1295138	4423	1996-04-07	VYDAJ	PREVOD NA UCET	4015	18310	 	QR	21013897
1295139	4423	1996-05-07	VYDAJ	PREVOD NA UCET	4015	17797	 	QR	21013897
1295140	4423	1996-06-07	VYDAJ	PREVOD NA UCET	4015	23272	 	QR	21013897
1295141	4423	1996-07-07	VYDAJ	PREVOD NA UCET	4015	66268	 	QR	21013897
1295142	4423	1996-08-07	VYDAJ	PREVOD NA UCET	4015	38847	 	QR	21013897
1295143	4423	1996-09-07	VYDAJ	PREVOD NA UCET	4015	22838	 	QR	21013897
1295144	4423	1996-10-07	VYDAJ	PREVOD NA UCET	4015	25393	 	QR	21013897
1295145	4423	1996-11-07	VYDAJ	PREVOD NA UCET	4015	16307	 	QR	21013897
1295146	4423	1996-12-07	VYDAJ	PREVOD NA UCET	4015	23478	 	QR	21013897
1295147	4423	1997-01-07	VYDAJ	PREVOD NA UCET	4015	21329	 	QR	21013897
1295148	4423	1997-02-07	VYDAJ	PREVOD NA UCET	4015	17635	 	QR	21013897
1295149	4423	1997-03-07	VYDAJ	PREVOD NA UCET	4015	17665	 	QR	21013897
1295150	4423	1997-04-07	VYDAJ	PREVOD NA UCET	4015	21633	 	QR	21013897
1295151	4423	1997-05-07	VYDAJ	PREVOD NA UCET	4015	22781	 	QR	21013897
1295152	4423	1997-06-07	VYDAJ	PREVOD NA UCET	4015	18422	 	QR	21013897
1295153	4423	1997-07-07	VYDAJ	PREVOD NA UCET	4015	18255	 	QR	21013897
1295154	4423	1997-08-07	VYDAJ	PREVOD NA UCET	4015	12774	 	QR	21013897
1295155	4423	1997-09-07	VYDAJ	PREVOD NA UCET	4015	38917	 	QR	21013897
1295156	4423	1997-10-07	VYDAJ	PREVOD NA UCET	4015	23898	 	QR	21013897
1295157	4423	1997-11-07	VYDAJ	PREVOD NA UCET	4015	12831	 	QR	21013897
1295158	4423	1997-12-07	VYDAJ	PREVOD NA UCET	4015	5523	 	QR	21013897
1295159	4423	1998-01-07	VYDAJ	PREVOD NA UCET	4015	49914	 	QR	21013897
1295160	4423	1998-02-07	VYDAJ	PREVOD NA UCET	4015	89634	 	QR	21013897
1295161	4423	1998-03-07	VYDAJ	PREVOD NA UCET	4015	58764	 	QR	21013897
1295162	4423	1998-04-07	VYDAJ	PREVOD NA UCET	4015	63038	 	QR	21013897
1295163	4423	1998-05-07	VYDAJ	PREVOD NA UCET	4015	68173	 	QR	21013897
1295317	4423	1995-09-23	VYDAJ	VYBER	20100	45378	\N	\N	\N
1295164	4423	1998-06-07	VYDAJ	PREVOD NA UCET	4015	69299	 	QR	21013897
1295165	4423	1998-07-07	VYDAJ	PREVOD NA UCET	4015	91728	 	QR	21013897
1295166	4423	1998-08-07	VYDAJ	PREVOD NA UCET	4015	63706	 	QR	21013897
1295167	4423	1998-09-07	VYDAJ	PREVOD NA UCET	4015	27892	 	QR	21013897
1295168	4423	1998-10-07	VYDAJ	PREVOD NA UCET	4015	60408	 	QR	21013897
1295169	4423	1998-11-07	VYDAJ	PREVOD NA UCET	4015	12688	 	QR	21013897
1295170	4423	1998-12-07	VYDAJ	PREVOD NA UCET	4015	43155	 	QR	21013897
1295172	4423	1995-12-12	VYBER	VYBER	24895	55020	\N	\N	\N
1295178	4423	1996-12-07	VYBER	VYBER	3486	27493	\N	\N	\N
1295179	4423	1996-11-26	VYBER	VYBER	14916	35953	\N	\N	\N
1295180	4423	1996-10-23	VYBER	VYBER	11036	20229	\N	\N	\N
1295192	4423	1998-12-23	VYBER	VYBER	13294	70666	\N	\N	\N
1295193	4423	1998-03-29	VYBER	VYBER	9721	77877	\N	\N	\N
1295194	4423	1998-10-20	VYBER	VYBER	8589	40638	\N	\N	\N
1295195	4423	1998-03-11	VYBER	VYBER	13117	45647	\N	\N	\N
1295197	4423	1998-07-07	VYBER	VYBER	16299	95743	\N	\N	\N
1295198	4423	1998-02-16	VYBER	VYBER	15167	24257	\N	\N	\N
1295200	4423	1998-05-30	VYBER	VYBER	2229	78969	\N	\N	\N
1295201	4423	1998-12-09	VYBER	VYBER	3615	37340	\N	\N	\N
1295202	4423	1998-05-12	VYBER	VYBER	12974	34222	\N	\N	\N
1295203	4423	1998-07-19	VYBER	VYBER	11660	45431	\N	\N	\N
1295204	4423	1998-06-02	VYBER	VYBER	23400	73314	\N	\N	\N
1295205	4423	1998-04-29	VYBER	VYBER	7661	71897	\N	\N	\N
1295213	4423	1998-01-29	VYDAJ	VYBER	15300	64320	\N	\N	\N
1295214	4423	1995-12-02	VYDAJ	VYBER	5700	85207	\N	\N	\N
1295215	4423	1996-12-08	VYDAJ	VYBER	2100	21378	\N	\N	\N
1295216	4423	1997-12-18	VYDAJ	VYBER	1500	29535	\N	\N	\N
1295217	4423	1998-12-30	VYDAJ	VYBER KARTOU	2100	68566	\N	\N	0
1295224	4423	1996-01-15	VYDAJ	VYBER	5400	23670	\N	\N	\N
1295225	4423	1996-01-24	VYDAJ	VYBER	2400	24270	\N	\N	\N
1295226	4423	1996-01-27	VYDAJ	VYBER	3900	20370	\N	\N	\N
1295227	4423	1996-01-06	VYDAJ	VYBER	5100	36413	\N	\N	\N
1295229	4423	1996-01-22	VYDAJ	VYBER	1500	26670	\N	\N	\N
1295231	4423	1997-01-18	VYDAJ	VYBER	3900	27866	\N	\N	\N
1295232	4423	1997-01-20	VYDAJ	VYBER	6300	21566	\N	\N	\N
1295236	4423	1998-01-25	VYDAJ	VYBER	1800	53595	\N	\N	\N
1295237	4423	1998-01-29	VYDAJ	VYBER	7800	79620	\N	\N	\N
1295238	4423	1998-01-07	VYDAJ	VYBER	3300	46614	\N	\N	\N
1295239	4423	1998-01-16	VYDAJ	VYBER	6600	61095	\N	\N	\N
1295240	4423	1998-01-23	VYDAJ	VYBER	5700	55395	\N	\N	\N
1295241	4423	1998-01-09	VYDAJ	VYBER	2400	44214	\N	\N	\N
1295251	4423	1996-12-02	VYDAJ	VYBER	5100	30979	\N	\N	\N
1295252	4423	1996-08-23	VYDAJ	VYBER	9000	26719	\N	\N	\N
1295255	4423	1996-05-01	VYDAJ	VYBER	3900	21812	\N	\N	\N
1295257	4423	1996-07-18	VYDAJ	VYBER	9000	53940	\N	\N	\N
1295261	4423	1998-10-31	VYDAJ	VYBER KARTOU	2400	36418	\N	\N	0
1295262	4423	1998-04-02	VYDAJ	VYBER	11100	67053	\N	\N	\N
1295263	4423	1998-05-24	VYDAJ	VYBER	11100	69154	\N	\N	\N
1295274	4423	1995-10-31	VYDAJ	VYBER	15	67813	SLUZBY	\N	\N
1295275	4423	1995-11-30	VYDAJ	VYBER	15	90907	SLUZBY	\N	\N
1295276	4423	1995-12-31	VYDAJ	VYBER	15	41513	SLUZBY	\N	\N
1295277	4423	1996-01-31	VYDAJ	VYBER	15	20477	SLUZBY	\N	\N
1295278	4423	1996-02-29	VYDAJ	VYBER	15	22099	SLUZBY	\N	\N
1295279	4423	1996-03-31	VYDAJ	VYBER	15	22325	SLUZBY	\N	\N
1295280	4423	1996-04-30	VYDAJ	VYBER	15	25712	SLUZBY	\N	\N
1295281	4423	1996-05-31	VYDAJ	VYBER	15	27287	SLUZBY	\N	\N
1295282	4423	1996-06-30	VYDAJ	VYBER	15	70283	SLUZBY	\N	\N
1295283	4423	1996-07-31	VYDAJ	VYBER	15	42862	SLUZBY	\N	\N
1295284	4423	1996-08-31	VYDAJ	VYBER	15	26853	SLUZBY	\N	\N
1295285	4423	1996-09-30	VYDAJ	VYBER	15	29408	SLUZBY	\N	\N
1295286	4423	1996-10-31	VYDAJ	VYBER	15	20322	SLUZBY	\N	\N
1295287	4423	1996-11-30	VYDAJ	VYBER	15	36079	SLUZBY	\N	\N
1295288	4423	1996-12-31	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
1295289	4423	1997-01-31	VYDAJ	VYBER	15	21650	SLUZBY	\N	\N
1295290	4423	1997-02-28	VYDAJ	VYBER	15	21680	SLUZBY	\N	\N
1295291	4423	1997-03-31	VYDAJ	VYBER	15	25648	SLUZBY	\N	\N
1295292	4423	1997-04-30	VYDAJ	VYBER	15	26796	SLUZBY	\N	\N
1295293	4423	1997-05-31	VYDAJ	VYBER	15	22437	SLUZBY	\N	\N
1295294	4423	1997-06-30	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
1295295	4423	1997-07-31	VYDAJ	VYBER	15	16789	SLUZBY	\N	\N
1295296	4423	1997-08-31	VYDAJ	VYBER	15	42932	SLUZBY	\N	\N
1295297	4423	1997-09-30	VYDAJ	VYBER	15	27913	SLUZBY	\N	\N
1295298	4423	1997-10-31	VYDAJ	VYBER	15	16846	SLUZBY	\N	\N
1295299	4423	1997-11-30	VYDAJ	VYBER	15	9538	SLUZBY	\N	\N
1295300	4423	1997-12-31	VYDAJ	VYBER	15	53929	SLUZBY	\N	\N
1295301	4423	1998-01-31	VYDAJ	VYBER	15	74175	SLUZBY	\N	\N
1295302	4423	1998-02-28	VYDAJ	VYBER	15	62779	SLUZBY	\N	\N
1295303	4423	1998-03-31	VYDAJ	VYBER	15	78153	SLUZBY	\N	\N
1295304	4423	1998-04-30	VYDAJ	VYBER	15	72188	SLUZBY	\N	\N
1295305	4423	1998-05-31	VYDAJ	VYBER	15	79247	SLUZBY	\N	\N
1295306	4423	1998-06-30	VYDAJ	VYBER	15	85335	SLUZBY	\N	\N
1295307	4423	1998-07-31	VYDAJ	VYBER	15	45644	SLUZBY	\N	\N
1295308	4423	1998-08-31	VYDAJ	VYBER	15	43507	SLUZBY	\N	\N
1295309	4423	1998-09-30	VYDAJ	VYBER	15	64423	SLUZBY	\N	\N
1295310	4423	1998-10-31	VYDAJ	VYBER	15	36403	SLUZBY	\N	\N
1295311	4423	1998-11-30	VYDAJ	VYBER	15	58670	SLUZBY	\N	\N
1295312	4423	1995-05-26	PRIJEM	VKLAD	1200	23684	\N	\N	\N
1295313	4423	1995-06-25	PRIJEM	VKLAD	1500	25203	\N	\N	\N
1295314	4423	1995-07-25	VYDAJ	VYBER	20100	45595	\N	\N	\N
1295315	4423	1995-07-30	VYDAJ	VYBER	27700	101908	\N	\N	\N
1295316	4423	1995-08-24	VYDAJ	VYBER	37000	65053	\N	\N	\N
1295318	4423	1995-10-23	VYDAJ	VYBER	20100	45132	\N	\N	\N
1295319	4423	1995-11-22	VYDAJ	VYBER	26300	57122	\N	\N	\N
1295320	4423	1995-12-22	VYDAJ	VYBER	11700	41269	\N	\N	\N
1295321	4423	1996-01-21	PRIJEM	VKLAD	4500	28170	\N	\N	\N
1295322	4423	1996-02-20	PRIJEM	VKLAD	8900	22034	\N	\N	\N
1295323	4423	1996-03-21	PRIJEM	VKLAD	7500	22256	\N	\N	\N
1295324	4423	1996-04-20	PRIJEM	VKLAD	2800	25626	\N	\N	\N
1295325	4423	1996-05-20	PRIJEM	VKLAD	7600	27201	\N	\N	\N
1295326	4423	1996-06-19	VYDAJ	VYBER	16900	43134	\N	\N	\N
1295327	4423	1996-07-19	VYDAJ	VYBER	11300	42640	\N	\N	\N
1295328	4423	1996-08-18	PRIJEM	VKLAD	200	35719	\N	\N	\N
1295329	4423	1996-09-17	PRIJEM	VKLAD	9800	29310	\N	\N	\N
1295330	4423	1996-10-17	PRIJEM	VKLAD	9200	31265	\N	\N	\N
1295331	4423	1996-11-16	VYDAJ	VYBER	9600	50869	\N	\N	\N
1295332	4423	1996-12-16	PRIJEM	VKLAD	7200	25250	\N	\N	\N
1295333	4423	1997-01-15	PRIJEM	VKLAD	6300	24301	\N	\N	\N
1295334	4423	1997-02-14	PRIJEM	VKLAD	7300	21607	\N	\N	\N
1295335	4423	1997-03-16	PRIJEM	VKLAD	1300	25567	\N	\N	\N
1295336	4423	1997-04-15	PRIJEM	VKLAD	8400	26705	\N	\N	\N
1295337	4423	1997-05-15	PRIJEM	VKLAD	2900	22353	\N	\N	\N
1295338	4423	1997-06-14	PRIJEM	VKLAD	7100	22194	\N	\N	\N
1295339	4423	1997-07-14	PRIJEM	VKLAD	1800	16727	\N	\N	\N
1295340	4423	1997-09-12	VYDAJ	VYBER	7800	29840	\N	\N	\N
1295341	4423	1997-10-12	VYDAJ	VYBER	3800	18821	\N	\N	\N
1295342	4423	1997-12-11	VYDAJ	VYBER	18800	34363	\N	\N	\N
1295343	4423	1998-01-10	VYDAJ	VYBER	14400	29814	\N	\N	\N
1295344	4423	1998-02-09	VYDAJ	VYBER	42000	77952	\N	\N	\N
1295345	4423	1998-02-09	VYDAJ	VYBER	35200	42752	\N	\N	\N
1295346	4423	1998-03-11	VYDAJ	VYBER	12600	31770	\N	\N	\N
1295347	4423	1998-04-10	VYDAJ	VYBER	39000	57160	\N	\N	\N
1295348	4423	1998-04-19	VYDAJ	VYBER	40000	74810	\N	\N	\N
1295349	4423	1998-04-25	VYDAJ	VYBER	38000	79558	\N	\N	\N
1295350	4423	1998-05-10	VYDAJ	VYBER	19700	48473	\N	\N	\N
1295351	4423	1998-06-09	VYDAJ	VYBER	24500	44799	\N	\N	\N
1295352	4423	1998-06-27	VYDAJ	VYBER	41500	85096	\N	\N	\N
1295353	4423	1998-07-07	VYDAJ	VYBER	19700	72028	\N	\N	\N
1295354	4423	1998-07-09	VYDAJ	VYBER	27800	44228	\N	\N	\N
1295355	4423	1998-08-08	VYDAJ	VYBER	23600	40106	\N	\N	\N
1295356	4423	1998-09-07	VYDAJ	VYBER	11600	31907	\N	\N	\N
1295357	4423	1998-10-07	VYDAJ	VYBER	27100	33308	\N	\N	\N
1295358	4423	1998-11-06	VYDAJ	VYBER	19700	16703	\N	\N	\N
1295359	4423	1998-12-06	VYDAJ	VYBER	48100	47170	\N	\N	\N
1295404	4424	1996-01-29	PRIJEM	VKLAD	500	500	\N	\N	\N
1295406	4424	1996-02-09	PRIJEM	VKLAD	8283	8783	\N	\N	\N
1295407	4424	1996-03-09	PRIJEM	VKLAD	8283	26171	\N	\N	\N
1295408	4424	1996-04-09	PRIJEM	VKLAD	8283	32731	\N	\N	\N
1295409	4424	1996-05-09	PRIJEM	VKLAD	8283	36818	\N	\N	\N
1295410	4424	1996-06-09	PRIJEM	VKLAD	12424	42461	\N	\N	\N
1295411	4424	1996-07-09	PRIJEM	VKLAD	8283	38754	\N	\N	\N
1295412	4424	1996-08-09	PRIJEM	VKLAD	8283	39650	\N	\N	\N
1295413	4424	1996-09-09	PRIJEM	VKLAD	8283	39057	\N	\N	\N
1295414	4424	1996-10-09	PRIJEM	VKLAD	8283	42156	\N	\N	\N
1295415	4424	1996-11-09	PRIJEM	VKLAD	8283	43879	\N	\N	\N
1295416	4424	1996-12-09	PRIJEM	VKLAD	12424	47236	\N	\N	\N
1295417	4424	1997-01-09	PRIJEM	VKLAD	8283	36259	\N	\N	\N
1295418	4424	1997-02-09	PRIJEM	VKLAD	8283	39268	\N	\N	\N
1295419	4424	1997-03-09	PRIJEM	VKLAD	8283	42168	\N	\N	\N
1295420	4424	1997-04-09	PRIJEM	VKLAD	8283	41477	\N	\N	\N
1295421	4424	1997-05-09	PRIJEM	VKLAD	8283	41183	\N	\N	\N
1295422	4424	1997-06-09	PRIJEM	VKLAD	12424	44434	\N	\N	\N
1295423	4424	1997-07-09	PRIJEM	VKLAD	8283	44870	\N	\N	\N
1295424	4424	1997-08-09	PRIJEM	VKLAD	8283	41786	\N	\N	\N
1295425	4424	1997-09-09	PRIJEM	VKLAD	8283	39997	\N	\N	\N
1295426	4424	1997-10-09	PRIJEM	VKLAD	8283	42801	\N	\N	\N
1295427	4424	1997-11-09	PRIJEM	VKLAD	8283	41415	\N	\N	\N
1295428	4424	1997-12-09	PRIJEM	VKLAD	12424	48971	\N	\N	\N
1295429	4424	1998-01-09	PRIJEM	VKLAD	8283	48621	\N	\N	\N
1295430	4424	1998-02-09	PRIJEM	VKLAD	8283	50578	\N	\N	\N
1295431	4424	1998-03-09	PRIJEM	VKLAD	8283	55137	\N	\N	\N
1295432	4424	1998-04-09	PRIJEM	VKLAD	8283	59213	\N	\N	\N
1295433	4424	1998-05-09	PRIJEM	VKLAD	8283	58599	\N	\N	\N
1295434	4424	1998-06-09	PRIJEM	VKLAD	12424	63033	\N	\N	\N
1295435	4424	1998-07-09	PRIJEM	VKLAD	8283	51985	\N	\N	\N
1295436	4424	1998-08-09	PRIJEM	VKLAD	8283	58856	\N	\N	\N
1295437	4424	1998-09-09	PRIJEM	VKLAD	8283	66551	\N	\N	\N
1295438	4424	1998-10-09	PRIJEM	VKLAD	8283	71572	\N	\N	\N
1295439	4424	1998-11-09	PRIJEM	VKLAD	8283	73707	\N	\N	\N
1295440	4424	1998-12-09	PRIJEM	VKLAD	12424	79694	\N	\N	\N
1295478	4424	1997-06-05	VYDAJ	VYBER	5400	32010	\N	\N	\N
1295479	4424	1998-06-11	VYDAJ	VYBER	26900	36133	\N	\N	\N
1295481	4424	1997-01-06	VYDAJ	VYBER	7700	27976	\N	\N	\N
1295482	4424	1998-01-03	VYDAJ	VYBER	2700	40338	\N	\N	\N
1295483	4424	1996-12-18	VYDAJ	VYBER	800	46436	\N	\N	\N
1295484	4424	1997-12-06	VYDAJ	VYBER	1700	36547	\N	\N	\N
1295485	4424	1998-12-06	VYDAJ	VYBER	1100	67270	\N	\N	\N
1295486	4424	1996-10-13	VYDAJ	VYBER	1300	40856	\N	\N	\N
1295488	4424	1996-08-21	VYDAJ	VYBER	1400	34250	\N	\N	\N
1295489	4424	1996-08-09	VYDAJ	VYBER	4000	35650	\N	\N	\N
1295490	4424	1997-08-30	VYDAJ	VYBER	4600	31586	\N	\N	\N
1295491	4424	1997-10-27	VYDAJ	VYBER	4800	33001	\N	\N	\N
1295492	4424	1997-01-17	VYDAJ	VYBER	4500	31759	\N	\N	\N
1295493	4424	1997-11-21	VYDAJ	VYBER	2800	38115	\N	\N	\N
1295494	4424	1998-07-31	VYDAJ	VYBER	4200	50588	\N	\N	\N
1295495	4424	1998-02-10	VYDAJ	VYBER	1900	48678	\N	\N	\N
1295496	4424	1998-05-07	VYDAJ	VYBER	4400	50316	\N	\N	\N
1295497	4424	1998-01-29	VYDAJ	VYBER	3100	42121	\N	\N	\N
1295498	4424	1998-03-11	VYDAJ	VYBER	2300	52837	\N	\N	\N
1295505	4424	1996-06-30	VYDAJ	VYBER	15	30471	SLUZBY	\N	\N
1295506	4424	1996-07-31	VYDAJ	VYBER	15	31367	SLUZBY	\N	\N
1295507	4424	1996-08-31	VYDAJ	VYBER	15	30774	SLUZBY	\N	\N
1295508	4424	1996-09-30	VYDAJ	VYBER	15	33873	SLUZBY	\N	\N
1295509	4424	1996-10-31	VYDAJ	VYBER	15	35596	SLUZBY	\N	\N
1295510	4424	1996-11-30	VYDAJ	VYBER	15	34812	SLUZBY	\N	\N
1295511	4424	1996-12-31	VYDAJ	VYBER	15	35676	SLUZBY	\N	\N
1295512	4424	1997-01-31	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
1295513	4424	1997-02-28	VYDAJ	VYBER	15	33885	SLUZBY	\N	\N
1295514	4424	1997-03-31	VYDAJ	VYBER	15	33194	SLUZBY	\N	\N
1295515	4424	1997-04-30	VYDAJ	VYBER	15	32900	SLUZBY	\N	\N
1295516	4424	1997-05-31	VYDAJ	VYBER	15	37410	SLUZBY	\N	\N
1295517	4424	1997-06-30	VYDAJ	VYBER	15	36587	SLUZBY	\N	\N
1295518	4424	1997-07-31	VYDAJ	VYBER	15	33503	SLUZBY	\N	\N
1295519	4424	1997-08-31	VYDAJ	VYBER	15	31714	SLUZBY	\N	\N
1295520	4424	1997-09-30	VYDAJ	VYBER	15	34518	SLUZBY	\N	\N
1295521	4424	1997-10-31	VYDAJ	VYBER	15	33132	SLUZBY	\N	\N
1295522	4424	1997-11-30	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
1295523	4424	1997-12-31	VYDAJ	VYBER	15	43038	SLUZBY	\N	\N
1295524	4424	1998-01-31	VYDAJ	VYBER	15	42295	SLUZBY	\N	\N
1295525	4424	1998-02-28	VYDAJ	VYBER	15	46854	SLUZBY	\N	\N
1295526	4424	1998-03-31	VYDAJ	VYBER	15	50930	SLUZBY	\N	\N
1295527	4424	1998-04-30	VYDAJ	VYBER	15	54716	SLUZBY	\N	\N
1295528	4424	1998-05-31	VYDAJ	VYBER	15	50609	SLUZBY	\N	\N
1295529	4424	1998-06-30	VYDAJ	VYBER	15	43702	SLUZBY	\N	\N
1295530	4424	1998-07-31	VYDAJ	VYBER	15	50573	SLUZBY	\N	\N
1295531	4424	1998-08-31	VYDAJ	VYBER	15	58268	SLUZBY	\N	\N
1295532	4424	1998-09-30	VYDAJ	VYBER	15	63289	SLUZBY	\N	\N
1295533	4424	1998-10-31	VYDAJ	VYBER	15	65424	SLUZBY	\N	\N
1295534	4424	1998-11-30	VYDAJ	VYBER	15	68370	SLUZBY	\N	\N
1295535	4424	1996-02-28	PRIJEM	VKLAD	9100	17883	\N	\N	\N
1295536	4424	1996-03-29	VYDAJ	VYBER	1800	24371	\N	\N	\N
1295537	4424	1996-04-28	VYDAJ	VYBER	4300	28431	\N	\N	\N
1295538	4424	1996-05-28	VYDAJ	VYBER	6900	29918	\N	\N	\N
1295539	4424	1996-06-27	VYDAJ	VYBER	12100	30361	\N	\N	\N
1295540	4424	1996-07-27	VYDAJ	VYBER	7500	31254	\N	\N	\N
1295541	4424	1996-08-26	VYDAJ	VYBER	3600	30650	\N	\N	\N
1295542	4424	1996-09-25	VYDAJ	VYBER	5300	33757	\N	\N	\N
1295543	4424	1996-10-25	VYDAJ	VYBER	5400	35456	\N	\N	\N
1295544	4424	1996-11-24	VYDAJ	VYBER	9200	34679	\N	\N	\N
1295545	4424	1996-12-24	VYDAJ	VYBER	10900	35536	\N	\N	\N
1295546	4424	1997-01-23	VYDAJ	VYBER	900	30859	\N	\N	\N
1295547	4424	1997-02-22	VYDAJ	VYBER	5500	33768	\N	\N	\N
1295548	4424	1997-03-24	VYDAJ	VYBER	9100	33068	\N	\N	\N
1295549	4424	1997-04-23	VYDAJ	VYBER	8700	32777	\N	\N	\N
1295550	4424	1997-05-23	VYDAJ	VYBER	3900	37283	\N	\N	\N
1295551	4424	1997-06-22	VYDAJ	VYBER	8000	36434	\N	\N	\N
1295552	4424	1997-07-22	VYDAJ	VYBER	11500	33370	\N	\N	\N
1295553	4424	1997-08-21	VYDAJ	VYBER	5600	36186	\N	\N	\N
1295554	4424	1997-09-20	VYDAJ	VYBER	5600	34397	\N	\N	\N
1295555	4424	1997-10-20	VYDAJ	VYBER	5000	37801	\N	\N	\N
1295556	4424	1997-11-19	VYDAJ	VYBER	500	40915	\N	\N	\N
1295557	4424	1997-12-19	VYDAJ	VYBER	6100	42871	\N	\N	\N
1295558	4424	1998-01-18	VYDAJ	VYBER	3400	45221	\N	\N	\N
1295559	4424	1998-02-17	VYDAJ	VYBER	2000	46678	\N	\N	\N
1295560	4424	1998-03-19	VYDAJ	VYBER	2100	50737	\N	\N	\N
1295561	4424	1998-04-18	VYDAJ	VYBER	4700	54513	\N	\N	\N
1295562	4424	1998-05-18	VYDAJ	VYBER	8200	50399	\N	\N	\N
1295563	4424	1998-06-17	PRIJEM	VKLAD	7400	43533	\N	\N	\N
1295564	4424	1998-07-17	PRIJEM	VKLAD	2600	54585	\N	\N	\N
1295565	4424	1998-08-16	VYDAJ	VYBER	800	58056	\N	\N	\N
1295566	4424	1998-09-15	VYDAJ	VYBER	3500	63051	\N	\N	\N
1295567	4424	1998-10-15	VYDAJ	VYBER	6400	65172	\N	\N	\N
1295568	4424	1998-11-14	VYDAJ	VYBER	5600	68107	\N	\N	\N
1296162	4427	1993-06-07	PRIJEM	VKLAD	800	800	\N	\N	\N
1296169	4427	1993-07-05	PRIJEM	VKLAD	9924	10724	\N	\N	\N
1296170	4427	1993-08-05	PRIJEM	VKLAD	9924	26203	\N	\N	\N
1296171	4427	1993-09-05	PRIJEM	VKLAD	9924	37634	\N	\N	\N
1296172	4427	1993-10-05	PRIJEM	VKLAD	9924	40409	\N	\N	\N
1296173	4427	1993-11-05	PRIJEM	VKLAD	9924	32860	\N	\N	\N
1296174	4427	1993-12-05	PRIJEM	VKLAD	14886	43442	\N	\N	\N
1296175	4427	1994-01-05	PRIJEM	VKLAD	9924	32930	\N	\N	\N
1296176	4427	1994-02-05	PRIJEM	VKLAD	9924	33429	\N	\N	\N
1296177	4427	1994-03-05	PRIJEM	VKLAD	9924	35631	\N	\N	\N
1296178	4427	1994-04-05	PRIJEM	VKLAD	9924	38042	\N	\N	\N
1296179	4427	1994-05-05	PRIJEM	VKLAD	9924	35427	\N	\N	\N
1296180	4427	1994-06-05	PRIJEM	VKLAD	14886	37565	\N	\N	\N
1296181	4427	1994-07-05	PRIJEM	VKLAD	9924	32688	\N	\N	\N
1296182	4427	1994-08-05	PRIJEM	VKLAD	9924	32983	\N	\N	\N
1296183	4427	1994-09-05	PRIJEM	VKLAD	9924	29991	\N	\N	\N
1296184	4427	1994-10-05	PRIJEM	VKLAD	9924	28264	\N	\N	\N
1296185	4427	1994-11-05	PRIJEM	VKLAD	9924	31923	\N	\N	\N
1296186	4427	1994-12-05	PRIJEM	VKLAD	14886	34559	\N	\N	\N
1296187	4427	1995-01-05	PRIJEM	VKLAD	9924	30537	\N	\N	\N
1296188	4427	1995-02-05	PRIJEM	VKLAD	9924	28783	\N	\N	\N
1296189	4427	1995-03-05	PRIJEM	VKLAD	9924	25311	\N	\N	\N
1296190	4427	1995-04-05	PRIJEM	VKLAD	9924	23757	\N	\N	\N
1296191	4427	1995-05-05	PRIJEM	VKLAD	9924	24699	\N	\N	\N
1296192	4427	1995-06-05	PRIJEM	VKLAD	14886	27587	\N	\N	\N
1296193	4427	1995-07-05	PRIJEM	VKLAD	9924	22736	\N	\N	\N
1296194	4427	1995-08-05	PRIJEM	VKLAD	9924	22978	\N	\N	\N
1296195	4427	1995-09-05	PRIJEM	VKLAD	9924	22816	\N	\N	\N
1296196	4427	1995-10-05	PRIJEM	VKLAD	9924	24756	\N	\N	\N
1296197	4427	1995-11-05	PRIJEM	VKLAD	9924	25922	\N	\N	\N
1296198	4427	1995-12-05	PRIJEM	VKLAD	14886	30554	\N	\N	\N
1296199	4427	1996-01-05	PRIJEM	VKLAD	9924	28208	\N	\N	\N
1296200	4427	1996-02-05	PRIJEM	VKLAD	9924	27181	\N	\N	\N
1296201	4427	1996-03-05	PRIJEM	VKLAD	9924	25017	\N	\N	\N
1296202	4427	1996-04-05	PRIJEM	VKLAD	9924	26989	\N	\N	\N
1296203	4427	1996-05-05	PRIJEM	VKLAD	9924	26761	\N	\N	\N
1296204	4427	1996-06-05	PRIJEM	VKLAD	14886	20901	\N	\N	\N
1296205	4427	1996-07-05	PRIJEM	VKLAD	9924	25473	\N	\N	\N
1296206	4427	1996-08-05	PRIJEM	VKLAD	9924	27647	\N	\N	\N
1296207	4427	1996-09-05	PRIJEM	VKLAD	9924	23815	\N	\N	\N
1296208	4427	1996-10-05	PRIJEM	VKLAD	9924	24378	\N	\N	\N
1296209	4427	1996-11-05	PRIJEM	VKLAD	9924	25452	\N	\N	\N
1296210	4427	1996-12-05	PRIJEM	VKLAD	14886	29385	\N	\N	\N
1296211	4427	1997-01-05	PRIJEM	VKLAD	9924	29973	\N	\N	\N
1296212	4427	1997-02-05	PRIJEM	VKLAD	9924	18725	\N	\N	\N
1296213	4427	1997-03-05	PRIJEM	VKLAD	9924	23680	\N	\N	\N
1296214	4427	1997-04-05	PRIJEM	VKLAD	9924	28656	\N	\N	\N
1296215	4427	1997-05-05	PRIJEM	VKLAD	9924	26029	\N	\N	\N
1296216	4427	1997-06-05	PRIJEM	VKLAD	14886	19858	\N	\N	\N
1296217	4427	1997-07-05	PRIJEM	VKLAD	9924	24825	\N	\N	\N
1296218	4427	1997-08-05	PRIJEM	VKLAD	9924	12375	\N	\N	\N
1296219	4427	1997-09-05	PRIJEM	VKLAD	9924	17312	\N	\N	\N
1296220	4427	1997-10-05	PRIJEM	VKLAD	9924	17160	\N	\N	\N
1296221	4427	1997-11-05	PRIJEM	VKLAD	9924	22114	\N	\N	\N
1296222	4427	1997-12-05	PRIJEM	VKLAD	14886	23843	\N	\N	\N
1296223	4427	1998-01-05	PRIJEM	VKLAD	9924	21301	\N	\N	\N
1296224	4427	1998-02-05	PRIJEM	VKLAD	9924	20658	\N	\N	\N
1296225	4427	1998-03-05	PRIJEM	VKLAD	9924	25619	\N	\N	\N
1296226	4427	1998-04-05	PRIJEM	VKLAD	9924	23679	\N	\N	\N
1296227	4427	1998-05-05	PRIJEM	VKLAD	9924	20531	\N	\N	\N
1296228	4427	1998-06-05	PRIJEM	VKLAD	14886	30454	\N	\N	\N
1296229	4427	1998-07-05	PRIJEM	VKLAD	9924	12209	\N	\N	\N
1296230	4427	1998-08-05	PRIJEM	VKLAD	9924	17144	\N	\N	\N
1296231	4427	1998-09-05	PRIJEM	VKLAD	9924	14483	\N	\N	\N
1296232	4427	1998-10-05	PRIJEM	VKLAD	9924	19417	\N	\N	\N
1296233	4427	1998-11-05	PRIJEM	VKLAD	9924	17368	\N	\N	\N
1296234	4427	1998-12-05	PRIJEM	VKLAD	14886	19176	\N	\N	\N
1296245	4427	1993-11-08	VYDAJ	PREVOD NA UCET	5005	27855	SIPO	KL	17050731
1296246	4427	1993-12-08	VYDAJ	PREVOD NA UCET	5005	38437	SIPO	KL	17050731
1296247	4427	1994-01-08	VYDAJ	PREVOD NA UCET	5005	21225	SIPO	KL	17050731
1296248	4427	1994-02-08	VYDAJ	PREVOD NA UCET	5005	28424	SIPO	KL	17050731
1296249	4427	1994-03-08	VYDAJ	PREVOD NA UCET	5005	30626	SIPO	KL	17050731
1296250	4427	1994-04-08	VYDAJ	PREVOD NA UCET	5005	33037	SIPO	KL	17050731
1296251	4427	1994-05-08	VYDAJ	PREVOD NA UCET	5005	30422	SIPO	KL	17050731
1296252	4427	1994-06-08	VYDAJ	PREVOD NA UCET	5005	24360	SIPO	KL	17050731
1296253	4427	1994-07-08	VYDAJ	PREVOD NA UCET	5005	27683	SIPO	KL	17050731
1296254	4427	1994-08-08	VYDAJ	PREVOD NA UCET	5005	27978	SIPO	KL	17050731
1296255	4427	1994-09-08	VYDAJ	PREVOD NA UCET	5005	24986	SIPO	KL	17050731
1296256	4427	1994-10-08	VYDAJ	PREVOD NA UCET	5005	23259	SIPO	KL	17050731
1296257	4427	1994-11-08	VYDAJ	PREVOD NA UCET	5005	26918	SIPO	KL	17050731
1296258	4427	1994-12-08	VYDAJ	PREVOD NA UCET	5005	29554	SIPO	KL	17050731
1296259	4427	1995-01-08	VYDAJ	PREVOD NA UCET	5005	25532	SIPO	KL	17050731
1296260	4427	1995-02-08	VYDAJ	PREVOD NA UCET	5005	18858	SIPO	KL	17050731
1296261	4427	1995-03-08	VYDAJ	PREVOD NA UCET	5005	20306	SIPO	KL	17050731
1296262	4427	1995-04-08	VYDAJ	PREVOD NA UCET	5005	18752	SIPO	KL	17050731
1296263	4427	1995-05-08	VYDAJ	PREVOD NA UCET	5005	19694	SIPO	KL	17050731
1296264	4427	1995-06-08	VYDAJ	PREVOD NA UCET	5005	22582	SIPO	KL	17050731
1296265	4427	1995-07-08	VYDAJ	PREVOD NA UCET	5005	17731	SIPO	KL	17050731
1296266	4427	1995-08-08	VYDAJ	PREVOD NA UCET	5005	17973	SIPO	KL	17050731
1296267	4427	1995-09-08	VYDAJ	PREVOD NA UCET	5005	17811	SIPO	KL	17050731
1296268	4427	1995-10-08	VYDAJ	PREVOD NA UCET	5005	19751	SIPO	KL	17050731
1296269	4427	1995-11-08	VYDAJ	PREVOD NA UCET	5005	15517	SIPO	KL	17050731
1296270	4427	1995-12-08	VYDAJ	PREVOD NA UCET	5005	25549	SIPO	KL	17050731
1296271	4427	1996-01-08	VYDAJ	PREVOD NA UCET	5005	23203	SIPO	KL	17050731
1296272	4427	1996-02-08	VYDAJ	PREVOD NA UCET	5005	22176	SIPO	KL	17050731
1296273	4427	1996-03-08	VYDAJ	PREVOD NA UCET	5005	20012	SIPO	KL	17050731
1296274	4427	1996-04-08	VYDAJ	PREVOD NA UCET	5005	21984	SIPO	KL	17050731
1296275	4427	1996-05-08	VYDAJ	PREVOD NA UCET	5005	21756	SIPO	KL	17050731
1296276	4427	1996-06-08	VYDAJ	PREVOD NA UCET	5005	15896	SIPO	KL	17050731
1296277	4427	1996-07-08	VYDAJ	PREVOD NA UCET	5005	20468	SIPO	KL	17050731
1296278	4427	1996-08-08	VYDAJ	PREVOD NA UCET	5005	14942	SIPO	KL	17050731
1296279	4427	1996-09-08	VYDAJ	PREVOD NA UCET	5005	18810	SIPO	KL	17050731
1296280	4427	1996-10-08	VYDAJ	PREVOD NA UCET	5005	19373	SIPO	KL	17050731
1296281	4427	1996-11-08	VYDAJ	PREVOD NA UCET	5005	20447	SIPO	KL	17050731
1296282	4427	1996-12-08	VYDAJ	PREVOD NA UCET	5005	19480	SIPO	KL	17050731
1296283	4427	1997-01-08	VYDAJ	PREVOD NA UCET	5005	19848	SIPO	KL	17050731
1296284	4427	1997-02-08	VYDAJ	PREVOD NA UCET	5005	13720	SIPO	KL	17050731
1296285	4427	1997-03-08	VYDAJ	PREVOD NA UCET	5005	18675	SIPO	KL	17050731
1296286	4427	1997-04-08	VYDAJ	PREVOD NA UCET	5005	16051	SIPO	KL	17050731
1296287	4427	1997-05-08	VYDAJ	PREVOD NA UCET	5005	21024	SIPO	KL	17050731
1296288	4427	1997-06-08	VYDAJ	PREVOD NA UCET	5005	14853	SIPO	KL	17050731
1296289	4427	1997-07-08	VYDAJ	PREVOD NA UCET	5005	10620	SIPO	KL	17050731
1296290	4427	1997-08-08	VYDAJ	PREVOD NA UCET	5005	7370	SIPO	KL	17050731
1296291	4427	1997-09-08	VYDAJ	PREVOD NA UCET	5005	12307	SIPO	KL	17050731
1296292	4427	1997-10-08	VYDAJ	PREVOD NA UCET	5005	12155	SIPO	KL	17050731
1296293	4427	1997-11-08	VYDAJ	PREVOD NA UCET	5005	17109	SIPO	KL	17050731
1296294	4427	1997-12-08	VYDAJ	PREVOD NA UCET	5005	18838	SIPO	KL	17050731
1296295	4427	1998-01-08	VYDAJ	PREVOD NA UCET	5005	16296	SIPO	KL	17050731
1296296	4427	1998-02-08	VYDAJ	PREVOD NA UCET	5005	15653	SIPO	KL	17050731
1296297	4427	1998-03-08	VYDAJ	PREVOD NA UCET	5005	13714	SIPO	KL	17050731
1296298	4427	1998-04-08	VYDAJ	PREVOD NA UCET	5005	18674	SIPO	KL	17050731
1296299	4427	1998-05-08	VYDAJ	PREVOD NA UCET	5005	15526	SIPO	KL	17050731
1296300	4427	1998-06-08	VYDAJ	PREVOD NA UCET	5005	16549	SIPO	KL	17050731
1296301	4427	1998-07-08	VYDAJ	PREVOD NA UCET	5005	7204	SIPO	KL	17050731
1296302	4427	1998-08-08	VYDAJ	PREVOD NA UCET	5005	12139	SIPO	KL	17050731
1296303	4427	1998-09-08	VYDAJ	PREVOD NA UCET	5005	9478	SIPO	KL	17050731
1296304	4427	1998-10-08	VYDAJ	PREVOD NA UCET	5005	14412	SIPO	KL	17050731
1296305	4427	1998-11-08	VYDAJ	PREVOD NA UCET	5005	12363	SIPO	KL	17050731
1296306	4427	1998-12-08	VYDAJ	PREVOD NA UCET	5005	14171	SIPO	KL	17050731
1296317	4427	1993-10-29	VYDAJ	VYBER	6200	23909	\N	\N	0
1296318	4427	1993-12-20	VYDAJ	VYBER	7600	30837	\N	\N	0
1296319	4427	1994-01-07	VYDAJ	VYBER	6700	26230	\N	\N	0
1296320	4427	1994-02-11	VYDAJ	VYBER	7200	21224	\N	\N	0
1296321	4427	1994-03-11	VYDAJ	VYBER	6100	24526	\N	\N	0
1296322	4427	1994-04-09	VYDAJ	VYBER	7700	25337	\N	\N	0
1296323	4427	1994-05-10	VYDAJ	VYBER	9500	17082	\N	\N	0
1296324	4427	1994-06-06	VYDAJ	VYBER	8200	29365	\N	\N	0
1296325	4427	1994-07-14	VYDAJ	VYBER	9800	17883	\N	\N	0
1296326	4427	1994-08-12	VYDAJ	VYBER	8900	19078	\N	\N	0
1296327	4427	1994-09-25	VYDAJ	VYBER	5000	15666	\N	\N	0
1296328	4427	1994-10-12	VYDAJ	PREVOD NA UCET	7318	15941	UVER	CD	55410188
1296329	4427	1994-11-12	VYDAJ	PREVOD NA UCET	7318	19600	UVER	CD	55410188
1296330	4427	1994-12-12	VYDAJ	PREVOD NA UCET	7318	22236	UVER	CD	55410188
1296331	4427	1995-01-12	VYDAJ	PREVOD NA UCET	7318	18214	UVER	CD	55410188
1296332	4427	1995-02-12	VYDAJ	PREVOD NA UCET	7318	11540	UVER	CD	55410188
1296333	4427	1995-03-12	VYDAJ	PREVOD NA UCET	7318	12988	UVER	CD	55410188
1296334	4427	1995-04-12	VYDAJ	PREVOD NA UCET	7318	11434	UVER	CD	55410188
1296335	4427	1995-05-12	VYDAJ	PREVOD NA UCET	7318	12376	UVER	CD	55410188
1296336	4427	1995-06-12	VYDAJ	PREVOD NA UCET	7318	11304	UVER	CD	55410188
1296337	4427	1995-07-12	VYDAJ	PREVOD NA UCET	7318	10413	UVER	CD	55410188
1296338	4427	1995-08-12	VYDAJ	PREVOD NA UCET	7318	10655	UVER	CD	55410188
1296339	4427	1995-09-12	VYDAJ	PREVOD NA UCET	7318	10493	UVER	CD	55410188
1296340	4427	1995-10-11	VYDAJ	VYBER	6600	13151	\N	\N	0
1296341	4427	1995-11-06	VYDAJ	VYBER	5400	20522	\N	\N	0
1296342	4427	1995-12-11	VYDAJ	VYBER	7600	17949	\N	\N	0
1296343	4427	1996-01-10	VYDAJ	VYBER	9100	14103	\N	\N	0
1296344	4427	1996-02-12	VYDAJ	VYBER	7000	15176	\N	\N	0
1296345	4427	1996-03-09	VYDAJ	VYBER	6700	13312	\N	\N	0
1296346	4427	1996-04-09	VYDAJ	VYBER	6400	15584	\N	\N	0
1296347	4427	1996-05-18	VYDAJ	VYBER	6000	15756	\N	\N	0
1296348	4427	1996-06-01	VYDAJ	VYBER	9200	6015	\N	\N	0
1296349	4427	1996-07-15	VYDAJ	VYBER	6900	13568	\N	\N	0
1296350	4427	1996-08-06	VYDAJ	VYBER	7700	19947	\N	\N	0
1296351	4427	1996-09-10	VYDAJ	VYBER	5700	13110	\N	\N	0
1296352	4427	1996-10-21	VYDAJ	VYBER	6100	15473	\N	\N	0
1296353	4427	1996-11-15	VYDAJ	VYBER	6000	14447	\N	\N	0
1296354	4427	1996-12-05	VYDAJ	VYBER	4900	24485	\N	\N	0
1296355	4427	1997-01-12	VYDAJ	VYBER	5800	14048	\N	\N	0
1296356	4427	1997-01-29	VYDAJ	VYBER	5300	8748	\N	\N	0
1296358	4427	1997-04-08	VYDAJ	VYBER	7600	21056	\N	\N	0
1296359	4427	1997-05-10	VYDAJ	VYBER	6100	14924	\N	\N	0
1296360	4427	1997-06-03	VYDAJ	VYBER	10000	4972	\N	\N	0
1296361	4427	1997-07-05	VYDAJ	VYBER	9200	15625	\N	\N	0
1296362	4427	1997-08-03	VYDAJ	VYBER	8200	2451	\N	\N	0
1296364	4427	1997-10-01	VYDAJ	VYBER	5100	7236	\N	\N	0
1296365	4427	1997-11-08	VYDAJ	VYBER	8200	8909	\N	\N	0
1296366	4427	1997-12-19	VYDAJ	VYBER	7500	11338	\N	\N	0
1296367	4427	1998-01-23	VYDAJ	VYBER	5600	10696	\N	\N	0
1296369	4427	1998-03-06	VYDAJ	VYBER	6900	18719	\N	\N	0
1296370	4427	1998-04-12	VYDAJ	VYBER	8100	10574	\N	\N	0
1296372	4427	1998-06-06	VYDAJ	VYBER	8900	21554	\N	\N	0
1296373	4427	1998-07-03	VYDAJ	VYBER	9300	2285	\N	\N	0
1296375	4427	1998-08-26	VYDAJ	VYBER	7600	4539	\N	\N	0
1296376	4427	1998-10-27	VYDAJ	VYBER	7000	7412	\N	\N	0
1296378	4427	1998-12-01	VYDAJ	VYBER	8100	4290	\N	\N	0
1296386	4427	1994-01-01	VYDAJ	VYBER	7520	22006	\N	\N	\N
1296387	4427	1995-01-23	VYDAJ	VYBER	4320	13894	\N	\N	\N
1296389	4427	1997-01-05	VYDAJ	VYBER	5120	24853	\N	\N	\N
1296391	4427	1993-12-28	VYDAJ	VYBER	1440	29397	\N	\N	\N
1296392	4427	1994-12-15	VYDAJ	VYBER	800	21436	\N	\N	\N
1296393	4427	1995-12-11	VYDAJ	VYBER	3520	14429	\N	\N	\N
1296394	4427	1996-12-23	VYDAJ	VYBER	800	19980	\N	\N	\N
1296401	4427	1994-05-10	VYDAJ	VYBER	3840	26582	\N	\N	\N
1296402	4427	1994-10-21	VYDAJ	VYBER	600	15341	\N	\N	\N
1296403	4427	1994-08-19	VYDAJ	VYBER	3480	15598	\N	\N	\N
1296404	4427	1994-04-10	VYDAJ	VYBER	3720	21617	\N	\N	\N
1296405	4427	1994-06-19	VYDAJ	VYBER	1080	23280	\N	\N	\N
1296406	4427	1994-09-20	VYDAJ	VYBER	4320	20666	\N	\N	\N
1296407	4427	1995-02-07	VYDAJ	VYBER	4920	23863	\N	\N	\N
1296409	4427	1995-06-08	VYDAJ	VYBER	3960	18622	\N	\N	\N
1296410	4427	1995-06-02	VYDAJ	VYBER	4320	12701	\N	\N	\N
1296412	4427	1995-07-02	VYDAJ	VYBER	840	12812	\N	\N	\N
1296413	4427	1996-03-04	VYDAJ	VYBER	2040	15093	\N	\N	\N
1296434	4427	1993-11-30	VYDAJ	VYBER	15	27956	SLUZBY	\N	\N
1296435	4427	1993-12-31	VYDAJ	VYBER	15	29526	SLUZBY	\N	\N
1296436	4427	1994-01-31	VYDAJ	VYBER	15	21305	SLUZBY	\N	\N
1296437	4427	1994-02-28	VYDAJ	VYBER	15	21307	SLUZBY	\N	\N
1296438	4427	1994-03-31	VYDAJ	VYBER	15	24618	SLUZBY	\N	\N
1296439	4427	1994-04-30	VYDAJ	VYBER	15	21703	SLUZBY	\N	\N
1296440	4427	1994-05-31	VYDAJ	VYBER	15	17179	SLUZBY	\N	\N
1296441	4427	1994-06-30	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
1296442	4427	1994-07-31	VYDAJ	VYBER	15	17959	SLUZBY	\N	\N
1296443	4427	1994-08-31	VYDAJ	VYBER	15	20067	SLUZBY	\N	\N
1296444	4427	1994-09-30	VYDAJ	VYBER	15	18340	SLUZBY	\N	\N
1296445	4427	1994-10-31	VYDAJ	VYBER	15	21999	SLUZBY	\N	\N
1296446	4427	1994-11-30	VYDAJ	VYBER	15	19673	SLUZBY	\N	\N
1296447	4427	1994-12-31	VYDAJ	VYBER	15	20613	SLUZBY	\N	\N
1296448	4427	1995-01-31	VYDAJ	VYBER	15	18859	SLUZBY	\N	\N
1296449	4427	1995-02-28	VYDAJ	VYBER	15	15387	SLUZBY	\N	\N
1296450	4427	1995-03-31	VYDAJ	VYBER	15	13833	SLUZBY	\N	\N
1296451	4427	1995-04-30	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
1296452	4427	1995-05-31	VYDAJ	VYBER	15	17021	SLUZBY	\N	\N
1296453	4427	1995-06-30	VYDAJ	VYBER	15	13652	SLUZBY	\N	\N
1296454	4427	1995-07-31	VYDAJ	VYBER	15	13054	SLUZBY	\N	\N
1296455	4427	1995-08-31	VYDAJ	VYBER	15	12892	SLUZBY	\N	\N
1296456	4427	1995-09-30	VYDAJ	VYBER	15	14832	SLUZBY	\N	\N
1296457	4427	1995-10-31	VYDAJ	VYBER	15	15998	SLUZBY	\N	\N
1296458	4427	1995-11-30	VYDAJ	VYBER	15	15668	SLUZBY	\N	\N
1296459	4427	1995-12-31	VYDAJ	VYBER	15	18284	SLUZBY	\N	\N
1296460	4427	1996-01-31	VYDAJ	VYBER	15	17257	SLUZBY	\N	\N
1296461	4427	1996-02-29	VYDAJ	VYBER	15	17133	SLUZBY	\N	\N
1296462	4427	1996-03-31	VYDAJ	VYBER	15	17065	SLUZBY	\N	\N
1296463	4427	1996-04-30	VYDAJ	VYBER	15	16837	SLUZBY	\N	\N
1296464	4427	1996-05-31	VYDAJ	VYBER	15	15215	SLUZBY	\N	\N
1296465	4427	1996-06-30	VYDAJ	VYBER	15	15549	SLUZBY	\N	\N
1296466	4427	1996-07-31	VYDAJ	VYBER	15	17723	SLUZBY	\N	\N
1296467	4427	1996-08-31	VYDAJ	VYBER	15	13891	SLUZBY	\N	\N
1296468	4427	1996-09-30	VYDAJ	VYBER	15	14454	SLUZBY	\N	\N
1296469	4427	1996-10-31	VYDAJ	VYBER	15	15528	SLUZBY	\N	\N
1296470	4427	1996-11-30	VYDAJ	VYBER	15	14499	SLUZBY	\N	\N
1296471	4427	1996-12-31	VYDAJ	VYBER	15	20049	SLUZBY	\N	\N
1296472	4427	1997-01-31	VYDAJ	VYBER	15	8801	SLUZBY	\N	\N
1296473	4427	1997-02-28	VYDAJ	VYBER	15	13756	SLUZBY	\N	\N
1296474	4427	1997-03-31	VYDAJ	VYBER	15	18732	SLUZBY	\N	\N
1296475	4427	1997-04-30	VYDAJ	VYBER	15	16105	SLUZBY	\N	\N
1296476	4427	1997-05-31	VYDAJ	VYBER	15	14972	SLUZBY	\N	\N
1296477	4427	1997-06-30	VYDAJ	VYBER	15	14901	SLUZBY	\N	\N
1296478	4427	1997-07-31	VYDAJ	VYBER	15	10651	SLUZBY	\N	\N
1296479	4427	1997-08-31	VYDAJ	VYBER	15	7388	SLUZBY	\N	\N
1296480	4427	1997-09-30	VYDAJ	VYBER	15	12336	SLUZBY	\N	\N
1296481	4427	1997-10-31	VYDAJ	VYBER	15	12190	SLUZBY	\N	\N
1296482	4427	1997-11-30	VYDAJ	VYBER	15	8957	SLUZBY	\N	\N
1296483	4427	1997-12-31	VYDAJ	VYBER	15	11377	SLUZBY	\N	\N
1296484	4427	1998-01-31	VYDAJ	VYBER	15	10734	SLUZBY	\N	\N
1296485	4427	1998-02-28	VYDAJ	VYBER	15	15695	SLUZBY	\N	\N
1296486	4427	1998-03-31	VYDAJ	VYBER	15	13755	SLUZBY	\N	\N
1296487	4427	1998-04-30	VYDAJ	VYBER	15	10607	SLUZBY	\N	\N
1296488	4427	1998-05-31	VYDAJ	VYBER	15	15568	SLUZBY	\N	\N
1296489	4427	1998-06-30	VYDAJ	VYBER	15	11585	SLUZBY	\N	\N
1296490	4427	1998-07-31	VYDAJ	VYBER	15	7220	SLUZBY	\N	\N
1296491	4427	1998-08-31	VYDAJ	VYBER	15	4559	SLUZBY	\N	\N
1296492	4427	1998-09-30	VYDAJ	VYBER	15	9493	SLUZBY	\N	\N
1296493	4427	1998-10-31	VYDAJ	VYBER	15	7444	SLUZBY	\N	\N
1296494	4427	1998-11-30	VYDAJ	VYBER	15	12390	SLUZBY	\N	\N
1296495	4427	1993-07-07	PRIJEM	VKLAD	5500	16224	\N	\N	\N
1296496	4427	1993-08-06	PRIJEM	VKLAD	1400	27603	\N	\N	\N
1296497	4427	1993-09-05	VYDAJ	VYBER	7300	30334	\N	\N	\N
1296498	4427	1993-10-05	VYDAJ	VYBER	10300	30109	\N	\N	\N
1296499	4427	1993-11-04	VYDAJ	VYBER	1100	22936	\N	\N	\N
1296500	4427	1993-12-04	PRIJEM	VKLAD	600	28556	\N	\N	\N
1296501	4427	1994-01-03	PRIJEM	VKLAD	1000	23006	\N	\N	\N
1296502	4427	1994-02-02	PRIJEM	VKLAD	2200	23505	\N	\N	\N
1296503	4427	1994-03-04	PRIJEM	VKLAD	4400	25707	\N	\N	\N
1296504	4427	1994-04-03	PRIJEM	VKLAD	3500	28118	\N	\N	\N
1296505	4427	1994-05-03	PRIJEM	VKLAD	3800	25503	\N	\N	\N
1296506	4427	1994-06-02	PRIJEM	VKLAD	5500	22679	\N	\N	\N
1296507	4427	1994-07-02	VYDAJ	VYBER	600	22764	\N	\N	\N
1296508	4427	1994-08-01	PRIJEM	VKLAD	5100	23059	\N	\N	\N
1296509	4427	1994-08-31	PRIJEM	VKLAD	4400	19998	\N	\N	\N
1296510	4427	1994-09-30	PRIJEM	VKLAD	2600	18354	\N	\N	\N
1296511	4427	1994-10-30	PRIJEM	VKLAD	6600	21941	\N	\N	\N
1296512	4427	1994-12-29	VYDAJ	VYBER	900	20536	\N	\N	\N
1296513	4427	1995-01-28	PRIJEM	VKLAD	4900	18794	\N	\N	\N
1296514	4427	1995-02-27	PRIJEM	VKLAD	3800	15340	\N	\N	\N
1296515	4427	1995-03-29	PRIJEM	VKLAD	800	13788	\N	\N	\N
1296516	4427	1995-04-28	PRIJEM	VKLAD	3300	14734	\N	\N	\N
1296517	4427	1995-05-28	PRIJEM	VKLAD	4600	16976	\N	\N	\N
1296518	4427	1995-06-27	PRIJEM	VKLAD	2300	13604	\N	\N	\N
1296519	4427	1995-07-27	PRIJEM	VKLAD	2600	13013	\N	\N	\N
1296520	4427	1995-08-26	PRIJEM	VKLAD	2200	12855	\N	\N	\N
1296521	4427	1995-09-25	PRIJEM	VKLAD	4300	14793	\N	\N	\N
1296522	4427	1995-10-25	PRIJEM	VKLAD	2800	15951	\N	\N	\N
1296523	4427	1995-11-24	PRIJEM	VKLAD	100	15617	\N	\N	\N
1296524	4427	1995-12-24	PRIJEM	VKLAD	3800	18229	\N	\N	\N
1296525	4427	1996-01-23	PRIJEM	VKLAD	3100	17203	\N	\N	\N
1296526	4427	1996-02-22	PRIJEM	VKLAD	1900	17076	\N	\N	\N
1296527	4427	1996-03-23	PRIJEM	VKLAD	3700	17012	\N	\N	\N
1296528	4427	1996-04-22	PRIJEM	VKLAD	1200	16784	\N	\N	\N
1296529	4427	1996-05-22	VYDAJ	VYBER	600	15156	\N	\N	\N
1296530	4427	1996-06-21	VYDAJ	VYBER	400	15496	\N	\N	\N
1296531	4427	1996-07-21	PRIJEM	VKLAD	4100	17668	\N	\N	\N
1296532	4427	1996-08-20	VYDAJ	VYBER	1100	13842	\N	\N	\N
1296533	4427	1996-09-19	PRIJEM	VKLAD	1300	14410	\N	\N	\N
1296534	4427	1996-10-19	PRIJEM	VKLAD	2200	21573	\N	\N	\N
1296535	4427	1996-12-18	PRIJEM	VKLAD	1300	20780	\N	\N	\N
1296536	4427	1998-06-11	VYDAJ	VYBER	5000	11549	\N	\N	\N
1298584	4434	1994-12-09	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1298595	4434	1995-10-31	PRIJEM	VKLAD	14860	71403	\N	\N	\N
1298596	4434	1995-04-18	PRIJEM	VKLAD	26301	74921	\N	\N	\N
1298597	4434	1995-11-09	PRIJEM	VKLAD	6850	57239	\N	\N	\N
1298598	4434	1995-02-23	PRIJEM	VKLAD	12503	55793	\N	\N	\N
1298599	4434	1995-01-18	PRIJEM	VKLAD	47304	61256	\N	\N	\N
1298600	4434	1995-07-28	PRIJEM	VKLAD	13360	46515	\N	\N	\N
1298601	4434	1995-04-26	PRIJEM	VKLAD	25945	100866	\N	\N	\N
1298602	4434	1995-12-03	PRIJEM	VKLAD	9494	62466	\N	\N	\N
1298603	4434	1995-12-22	PRIJEM	VKLAD	21502	63073	\N	\N	\N
1298604	4434	1995-02-26	PRIJEM	VKLAD	17609	73402	\N	\N	\N
1298605	4434	1995-09-10	PRIJEM	VKLAD	32419	155602	\N	\N	\N
1298606	4434	1995-05-21	PRIJEM	VKLAD	6813	66085	\N	\N	\N
1298607	4434	1995-09-10	PRIJEM	VKLAD	33804	123183	\N	\N	\N
1298608	4434	1995-09-26	PRIJEM	VKLAD	6201	107644	\N	\N	\N
1298609	4434	1995-03-15	PRIJEM	VKLAD	45632	104649	\N	\N	\N
1298610	4434	1995-05-31	PRIJEM	VKLAD	43681	107666	\N	\N	\N
1298611	4434	1995-03-01	PRIJEM	VKLAD	32200	111181	\N	\N	\N
1298612	4434	1995-01-08	PRIJEM	VKLAD	6052	13952	\N	\N	\N
1298613	4434	1995-03-09	PRIJEM	VKLAD	37831	97812	\N	\N	\N
1298614	4434	1995-02-27	PRIJEM	VKLAD	5334	78736	\N	\N	\N
1298615	4434	1995-09-29	PRIJEM	VKLAD	18823	126467	\N	\N	\N
1298616	4434	1995-03-25	PRIJEM	VKLAD	36344	140993	\N	\N	\N
1298617	4434	1995-08-22	PRIJEM	VKLAD	46656	95045	\N	\N	\N
1298618	4434	1995-07-14	PRIJEM	VKLAD	5526	37650	\N	\N	\N
1298619	4434	1995-09-09	PRIJEM	VKLAD	27444	89379	\N	\N	\N
1298620	4434	1995-08-06	PRIJEM	VKLAD	41025	87684	\N	\N	\N
1298621	4434	1995-09-11	PRIJEM	VKLAD	17636	105938	\N	\N	\N
1298622	4434	1996-02-18	PRIJEM	VKLAD	37850	135168	\N	\N	\N
1298623	4434	1996-12-01	PRIJEM	VKLAD	33720	109755	\N	\N	\N
1298624	4434	1996-01-14	PRIJEM	VKLAD	44510	80878	\N	\N	\N
1298625	4434	1996-02-03	PRIJEM	VKLAD	10718	62990	\N	\N	\N
1298626	4434	1996-11-12	PRIJEM	VKLAD	35970	60443	\N	\N	\N
1298627	4434	1996-12-16	PRIJEM	VKLAD	10167	48627	\N	\N	\N
1298628	4434	1996-05-23	PRIJEM	VKLAD	42806	103860	\N	\N	\N
1298629	4434	1996-02-11	PRIJEM	VKLAD	42890	121313	\N	\N	\N
1298630	4434	1996-07-22	PRIJEM	VKLAD	33064	111346	\N	\N	\N
1298631	4434	1996-08-30	PRIJEM	VKLAD	6905	48417	\N	\N	\N
1298632	4434	1996-12-28	PRIJEM	VKLAD	39516	76443	\N	\N	\N
1298633	4434	1996-11-18	PRIJEM	VKLAD	22812	99149	\N	\N	\N
1298634	4434	1996-10-09	PRIJEM	VKLAD	28186	109687	\N	\N	\N
1298635	4434	1996-02-05	PRIJEM	VKLAD	15433	78423	\N	\N	\N
1298636	4434	1996-06-10	PRIJEM	VKLAD	48108	144637	\N	\N	\N
1298637	4434	1996-10-26	PRIJEM	VKLAD	26707	107754	\N	\N	\N
1298638	4434	1996-04-10	PRIJEM	VKLAD	32345	95582	\N	\N	\N
1298639	4434	1996-02-27	PRIJEM	VKLAD	44825	144693	\N	\N	\N
1298640	4434	1996-10-17	PRIJEM	VKLAD	15255	81047	\N	\N	\N
1298641	4434	1996-06-03	PRIJEM	VKLAD	24626	96529	\N	\N	\N
1298642	4434	1996-07-14	PRIJEM	VKLAD	46003	88777	\N	\N	\N
1298643	4434	1996-01-23	PRIJEM	VKLAD	9233	76248	\N	\N	\N
1298644	4434	1996-01-22	PRIJEM	VKLAD	23332	67015	\N	\N	\N
1298645	4434	1996-10-06	PRIJEM	VKLAD	37948	81501	\N	\N	\N
1298646	4434	1996-03-23	PRIJEM	VKLAD	36573	101054	\N	\N	\N
1298647	4434	1996-11-12	PRIJEM	VKLAD	20389	80832	\N	\N	\N
1298648	4434	1996-09-11	PRIJEM	VKLAD	42917	81222	\N	\N	\N
1298649	4434	1996-12-29	PRIJEM	VKLAD	26882	93425	\N	\N	\N
1298650	4434	1996-09-19	PRIJEM	VKLAD	5925	82652	\N	\N	\N
1298651	4434	1998-02-14	PRIJEM	VKLAD	45294	106350	\N	\N	\N
1298652	4434	1998-11-07	PRIJEM	VKLAD	47962	130831	\N	\N	\N
1298653	4434	1998-08-06	PRIJEM	VKLAD	12877	96161	\N	\N	\N
1298654	4434	1998-07-10	PRIJEM	VKLAD	42757	122163	\N	\N	\N
1298655	4434	1998-03-16	PRIJEM	VKLAD	24946	108506	\N	\N	\N
1298656	4434	1998-02-20	PRIJEM	VKLAD	6552	108407	\N	\N	\N
1298657	4434	1998-02-21	PRIJEM	VKLAD	15705	64312	\N	\N	\N
1298658	4434	1998-02-11	PRIJEM	VKLAD	27822	86915	\N	\N	\N
1298659	4434	1998-10-05	PRIJEM	VKLAD	22061	79274	\N	\N	\N
1298660	4434	1998-03-30	PRIJEM	VKLAD	39345	118059	\N	\N	\N
1298661	4434	1998-11-01	PRIJEM	VKLAD	29635	135469	\N	\N	\N
1298662	4434	1998-02-03	PRIJEM	VKLAD	7340	59093	\N	\N	\N
1298663	4434	1998-01-27	PRIJEM	VKLAD	10031	51627	\N	\N	\N
1298664	4434	1998-08-19	PRIJEM	VKLAD	41860	125426	\N	\N	\N
1298665	4434	1998-11-14	PRIJEM	VKLAD	14348	119879	\N	\N	\N
1298666	4434	1998-02-23	PRIJEM	VKLAD	23432	87744	\N	\N	\N
1298667	4434	1998-05-11	PRIJEM	VKLAD	7950	77826	\N	\N	\N
1298668	4434	1998-05-08	PRIJEM	VKLAD	5946	69876	\N	\N	\N
1298669	4434	1998-08-19	PRIJEM	VKLAD	31477	156903	\N	\N	\N
1298670	4434	1998-10-18	PRIJEM	VKLAD	45798	120577	\N	\N	\N
1298671	4434	1998-04-20	PRIJEM	VKLAD	13115	80832	\N	\N	\N
1298672	4434	1998-07-08	PRIJEM	VKLAD	42279	79406	\N	\N	\N
1298673	4434	1998-03-22	PRIJEM	VKLAD	42108	121014	\N	\N	\N
1298674	4434	1998-11-23	PRIJEM	VKLAD	39216	114100	\N	\N	\N
1298675	4434	1998-07-14	PRIJEM	VKLAD	23526	89889	\N	\N	\N
1298676	4434	1998-10-30	PRIJEM	VKLAD	42863	130740	\N	\N	\N
1298677	4434	1998-12-04	PRIJEM	VKLAD	19280	117864	\N	\N	\N
1298678	4434	1998-02-11	PRIJEM	VKLAD	31041	117956	\N	\N	\N
1298753	4434	1995-03-14	VYDAJ	PREVOD NA UCET	4495	59017	SIPO	OP	390536
1298754	4434	1995-04-14	VYDAJ	PREVOD NA UCET	4495	48620	SIPO	OP	390536
1298755	4434	1995-05-14	VYDAJ	PREVOD NA UCET	4495	59272	SIPO	OP	390536
1298756	4434	1995-06-14	VYDAJ	PREVOD NA UCET	4495	36059	SIPO	OP	390536
1298757	4434	1995-07-14	VYDAJ	PREVOD NA UCET	4495	33155	SIPO	OP	390536
1298758	4434	1995-08-14	VYDAJ	PREVOD NA UCET	4495	57389	SIPO	OP	390536
1298759	4434	1995-09-14	VYDAJ	PREVOD NA UCET	4495	101443	SIPO	OP	390536
1298760	4434	1995-10-14	VYDAJ	PREVOD NA UCET	4495	56262	SIPO	OP	390536
1298761	4434	1995-11-14	VYDAJ	PREVOD NA UCET	4495	52744	SIPO	OP	390536
1298762	4434	1995-12-14	VYDAJ	PREVOD NA UCET	4495	41571	SIPO	OP	390536
1298763	4434	1996-01-14	VYDAJ	PREVOD NA UCET	4495	61383	SIPO	OP	390536
1298764	4434	1996-02-14	VYDAJ	PREVOD NA UCET	4495	97318	SIPO	OP	390536
1298765	4434	1996-03-14	VYDAJ	PREVOD NA UCET	4495	64481	SIPO	OP	390536
1298766	4434	1996-04-14	VYDAJ	PREVOD NA UCET	4495	91087	SIPO	OP	390536
1298767	4434	1996-05-14	VYDAJ	PREVOD NA UCET	4495	61054	SIPO	OP	390536
1298768	4434	1996-06-14	VYDAJ	PREVOD NA UCET	4495	117242	SIPO	OP	390536
1298769	4434	1996-07-14	VYDAJ	PREVOD NA UCET	4495	84282	SIPO	OP	390536
1298770	4434	1996-08-14	VYDAJ	PREVOD NA UCET	4495	41512	SIPO	OP	390536
1298771	4434	1996-09-14	VYDAJ	PREVOD NA UCET	4495	76727	SIPO	OP	390536
1298772	4434	1996-10-14	VYDAJ	PREVOD NA UCET	4495	65792	SIPO	OP	390536
1298773	4434	1996-11-14	VYDAJ	PREVOD NA UCET	4495	76337	SIPO	OP	390536
1298774	4434	1996-12-14	VYDAJ	PREVOD NA UCET	4495	38460	SIPO	OP	390536
1298775	4434	1997-01-14	VYDAJ	PREVOD NA UCET	4495	67823	SIPO	OP	390536
1298776	4434	1997-02-14	VYDAJ	PREVOD NA UCET	4495	41968	SIPO	OP	390536
1298777	4434	1997-03-14	VYDAJ	PREVOD NA UCET	4495	42751	SIPO	OP	390536
1298778	4434	1997-04-14	VYDAJ	PREVOD NA UCET	4495	44158	SIPO	OP	390536
1298779	4434	1997-05-14	VYDAJ	PREVOD NA UCET	4495	42640	SIPO	OP	390536
1298780	4434	1997-06-14	VYDAJ	PREVOD NA UCET	4495	27523	SIPO	OP	390536
1298781	4434	1997-07-14	VYDAJ	PREVOD NA UCET	4495	38351	SIPO	OP	390536
1298782	4434	1997-08-14	VYDAJ	PREVOD NA UCET	4495	37607	SIPO	OP	390536
1298783	4434	1997-09-14	VYDAJ	PREVOD NA UCET	4495	26753	SIPO	OP	390536
1298784	4434	1997-10-14	VYDAJ	PREVOD NA UCET	4495	29742	SIPO	OP	390536
1298785	4434	1997-11-14	VYDAJ	PREVOD NA UCET	4495	40497	SIPO	OP	390536
1298786	4434	1997-12-14	VYDAJ	PREVOD NA UCET	4495	25275	SIPO	OP	390536
1298787	4434	1998-01-14	VYDAJ	PREVOD NA UCET	4495	22696	SIPO	OP	390536
1298788	4434	1998-02-14	VYDAJ	PREVOD NA UCET	4495	101855	SIPO	OP	390536
1298789	4434	1998-03-14	VYDAJ	PREVOD NA UCET	4495	83560	SIPO	OP	390536
1298790	4434	1998-04-14	VYDAJ	PREVOD NA UCET	4495	67717	SIPO	OP	390536
1298791	4434	1998-05-14	VYDAJ	PREVOD NA UCET	4495	73331	SIPO	OP	390536
1298792	4434	1998-06-14	VYDAJ	PREVOD NA UCET	4495	22427	SIPO	OP	390536
1298793	4434	1998-07-14	VYDAJ	PREVOD NA UCET	4495	85394	SIPO	OP	390536
1298794	4434	1998-08-14	VYDAJ	PREVOD NA UCET	4495	83566	SIPO	OP	390536
1298795	4434	1998-09-14	VYDAJ	PREVOD NA UCET	4495	47487	SIPO	OP	390536
1298796	4434	1998-10-14	VYDAJ	PREVOD NA UCET	4495	74779	SIPO	OP	390536
1298797	4434	1998-11-14	VYDAJ	PREVOD NA UCET	4495	115384	SIPO	OP	390536
1298798	4434	1998-12-14	VYDAJ	PREVOD NA UCET	4495	68869	SIPO	OP	390536
1298807	4434	1996-11-01	VYBER	VYBER	23903	24473	\N	\N	\N
1298808	4434	1996-04-02	VYBER	VYBER	15772	85637	\N	\N	\N
1298809	4434	1996-10-04	VYBER	VYBER	22967	43553	\N	\N	\N
1298811	4434	1997-11-15	VYBER	VYBER	14895	25602	\N	\N	\N
1298813	4434	1997-03-15	VYBER	VYBER	2169	40582	\N	\N	\N
1298814	4434	1997-09-02	VYBER	VYBER	21427	31248	\N	\N	\N
1298815	4434	1997-05-22	VYBER	VYBER	16442	26198	\N	\N	\N
1298816	4434	1997-11-28	VYBER	VYBER	11271	29631	\N	\N	\N
1298817	4434	1997-10-09	VYBER	VYBER	11475	34237	\N	\N	\N
1298818	4434	1997-05-28	VYBER	VYBER	8536	31862	\N	\N	\N
1298820	4434	1998-09-15	VYBER	VYBER	17367	30120	\N	\N	\N
1298821	4434	1998-08-23	VYBER	VYBER	17806	51697	\N	\N	\N
1298822	4434	1998-05-02	VYBER	VYBER	13993	63930	\N	\N	\N
1298825	4434	1996-06-20	VYDAJ	VYBER	52200	41042	\N	\N	\N
1298827	4434	1998-06-10	VYDAJ	VYBER	46500	26922	\N	\N	\N
1298830	4434	1996-01-14	VYDAJ	VYBER	15000	65878	\N	\N	\N
1298831	4434	1997-01-18	VYDAJ	VYBER	21900	45923	\N	\N	\N
1298834	4434	1995-12-23	VYDAJ	VYBER	1800	61273	\N	\N	\N
1298835	4434	1996-12-04	VYDAJ	VYBER	4200	42955	\N	\N	\N
1298837	4434	1998-12-21	VYDAJ	VYBER	8100	71269	\N	\N	\N
1298850	4434	1996-01-21	VYDAJ	VYBER	7200	43683	\N	\N	\N
1298851	4434	1996-01-26	VYDAJ	VYBER	8700	67548	\N	\N	\N
1298852	4434	1996-01-03	VYDAJ	VYBER	3900	57568	\N	\N	\N
1298853	4434	1996-01-15	VYDAJ	VYBER	7500	53883	\N	\N	\N
1298854	4434	1996-01-09	VYDAJ	VYBER	7800	36368	\N	\N	\N
1298855	4434	1996-01-17	VYDAJ	VYBER	3000	50883	\N	\N	\N
1298856	4434	1997-01-27	VYDAJ	VYBER	4200	46223	\N	\N	\N
1298857	4434	1997-01-22	VYDAJ	VYBER	8700	37223	\N	\N	\N
1298858	4434	1997-01-03	VYDAJ	VYBER	7500	86118	\N	\N	\N
1298859	4434	1997-01-05	VYDAJ	VYBER	2700	77118	\N	\N	\N
1298860	4434	1997-01-05	VYDAJ	VYBER	6300	79818	\N	\N	\N
1298861	4434	1997-01-07	VYDAJ	VYBER	4800	72318	\N	\N	\N
1298862	4434	1998-01-08	VYDAJ	VYBER	2400	27191	\N	\N	\N
1298863	4434	1998-01-03	VYDAJ	VYBER	7800	29591	\N	\N	\N
1298873	4434	1995-08-28	VYDAJ	VYBER	10500	84545	\N	\N	\N
1298874	4434	1995-05-22	VYDAJ	VYBER	2100	63985	\N	\N	\N
1298875	4434	1995-08-21	VYDAJ	VYBER	4800	48389	\N	\N	\N
1298876	4434	1995-05-07	VYDAJ	VYBER	2100	99067	\N	\N	\N
1298877	4434	1995-08-16	VYDAJ	VYBER	4200	53189	\N	\N	\N
1298878	4434	1996-07-26	VYDAJ	VYBER	4500	71946	\N	\N	\N
1298879	4434	1996-09-06	VYDAJ	VYBER	7500	38305	\N	\N	\N
1298880	4434	1996-12-26	VYDAJ	VYBER	11700	36927	\N	\N	\N
1298881	4434	1996-07-19	VYDAJ	VYBER	6000	78282	\N	\N	\N
1298882	4434	1996-06-19	VYDAJ	VYBER	7200	93242	\N	\N	\N
1298883	4434	1996-08-11	VYDAJ	VYBER	12600	46007	\N	\N	\N
1298884	4434	1997-12-25	VYDAJ	VYBER	5400	37275	\N	\N	\N
1298885	4434	1997-03-10	VYDAJ	VYBER	1500	47246	\N	\N	\N
1298886	4434	1997-07-21	VYDAJ	VYBER	10200	28151	\N	\N	\N
1298887	4434	1997-04-14	VYDAJ	VYBER	5400	38758	\N	\N	\N
1298889	4434	1998-07-06	VYDAJ	VYBER	9900	37127	\N	\N	\N
1298890	4434	1998-11-21	VYDAJ	VYBER	9600	74884	\N	\N	\N
1298891	4434	1998-08-08	VYDAJ	VYBER	8100	88061	\N	\N	\N
1298906	4434	1995-02-28	VYDAJ	VYBER	15	78981	SLUZBY	\N	\N
1298907	4434	1995-03-31	VYDAJ	VYBER	15	75115	SLUZBY	\N	\N
1298908	4434	1995-04-30	VYDAJ	VYBER	15	101167	SLUZBY	\N	\N
1298909	4434	1995-05-31	VYDAJ	VYBER	15	50854	SLUZBY	\N	\N
1298910	4434	1995-06-30	VYDAJ	VYBER	15	36324	SLUZBY	\N	\N
1298911	4434	1995-07-31	VYDAJ	VYBER	15	46659	SLUZBY	\N	\N
1298912	4434	1995-08-31	VYDAJ	VYBER	15	84835	SLUZBY	\N	\N
1298913	4434	1995-09-30	VYDAJ	VYBER	15	82257	SLUZBY	\N	\N
1298914	4434	1995-10-31	VYDAJ	VYBER	15	71389	SLUZBY	\N	\N
1298915	4434	1995-11-30	VYDAJ	VYBER	15	52972	SLUZBY	\N	\N
1298916	4434	1995-12-31	VYDAJ	VYBER	15	61468	SLUZBY	\N	\N
1298917	4434	1996-01-31	VYDAJ	VYBER	15	67772	SLUZBY	\N	\N
1298918	4434	1996-02-29	VYDAJ	VYBER	15	97676	SLUZBY	\N	\N
1298919	4434	1996-03-31	VYDAJ	VYBER	15	101409	SLUZBY	\N	\N
1298920	4434	1996-04-30	VYDAJ	VYBER	15	91449	SLUZBY	\N	\N
1298921	4434	1996-05-31	VYDAJ	VYBER	15	104203	SLUZBY	\N	\N
1298922	4434	1996-06-30	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
1298923	4434	1996-07-31	VYDAJ	VYBER	15	58607	SLUZBY	\N	\N
1298924	4434	1996-08-31	VYDAJ	VYBER	15	45805	SLUZBY	\N	\N
1298925	4434	1996-09-30	VYDAJ	VYBER	15	66520	SLUZBY	\N	\N
1298926	4434	1996-10-31	VYDAJ	VYBER	15	48376	SLUZBY	\N	\N
1298927	4434	1996-11-30	VYDAJ	VYBER	15	76035	SLUZBY	\N	\N
1298928	4434	1996-12-31	VYDAJ	VYBER	15	93618	SLUZBY	\N	\N
1298929	4434	1997-01-31	VYDAJ	VYBER	15	46463	SLUZBY	\N	\N
1298930	4434	1997-02-28	VYDAJ	VYBER	15	48746	SLUZBY	\N	\N
1298931	4434	1997-03-31	VYDAJ	VYBER	15	48653	SLUZBY	\N	\N
1298932	4434	1997-04-30	VYDAJ	VYBER	15	47135	SLUZBY	\N	\N
1298933	4434	1997-05-31	VYDAJ	VYBER	15	32018	SLUZBY	\N	\N
1298934	4434	1997-06-30	VYDAJ	VYBER	15	42846	SLUZBY	\N	\N
1298935	4434	1997-07-31	VYDAJ	VYBER	15	42102	SLUZBY	\N	\N
1298936	4434	1997-08-31	VYDAJ	VYBER	15	52675	SLUZBY	\N	\N
1298937	4434	1997-09-30	VYDAJ	VYBER	15	45712	SLUZBY	\N	\N
1298938	4434	1997-10-31	VYDAJ	VYBER	15	44992	SLUZBY	\N	\N
1298939	4434	1997-11-30	VYDAJ	VYBER	15	29770	SLUZBY	\N	\N
1298940	4434	1997-12-31	VYDAJ	VYBER	15	37391	SLUZBY	\N	\N
1298941	4434	1998-01-31	VYDAJ	VYBER	15	51753	SLUZBY	\N	\N
1298942	4434	1998-02-28	VYDAJ	VYBER	15	88055	SLUZBY	\N	\N
1298943	4434	1998-03-31	VYDAJ	VYBER	15	72212	SLUZBY	\N	\N
1298944	4434	1998-04-30	VYDAJ	VYBER	15	77923	SLUZBY	\N	\N
1298945	4434	1998-05-31	VYDAJ	VYBER	15	73422	SLUZBY	\N	\N
1298946	4434	1998-06-30	VYDAJ	VYBER	15	47027	SLUZBY	\N	\N
1298947	4434	1998-07-31	VYDAJ	VYBER	15	83284	SLUZBY	\N	\N
1298948	4434	1998-08-31	VYDAJ	VYBER	15	51982	SLUZBY	\N	\N
1298949	4434	1998-09-30	VYDAJ	VYBER	15	57213	SLUZBY	\N	\N
1298950	4434	1998-10-31	VYDAJ	VYBER	15	105834	SLUZBY	\N	\N
1298951	4434	1998-11-30	VYDAJ	VYBER	15	98584	SLUZBY	\N	\N
1298952	4434	1995-01-08	PRIJEM	VKLAD	6800	7900	\N	\N	\N
1298953	4434	1995-02-07	VYDAJ	VYBER	18100	43290	\N	\N	\N
1298954	4434	1995-03-01	VYDAJ	VYBER	51200	59981	\N	\N	\N
1298955	4434	1995-03-09	VYDAJ	VYBER	34300	63512	\N	\N	\N
1298956	4434	1995-03-25	VYDAJ	VYBER	26700	114293	\N	\N	\N
1298957	4434	1995-03-31	VYDAJ	VYBER	39600	75129	\N	\N	\N
1298958	4434	1995-04-08	VYDAJ	VYBER	22000	53115	\N	\N	\N
1298959	4434	1995-05-08	VYDAJ	VYBER	35300	63767	\N	\N	\N
1298960	4434	1995-05-31	VYDAJ	VYBER	57100	50869	\N	\N	\N
1298961	4434	1995-06-07	VYDAJ	VYBER	10300	40554	\N	\N	\N
1298962	4434	1995-07-07	VYDAJ	VYBER	4200	32124	\N	\N	\N
1298963	4434	1995-08-06	VYDAJ	VYBER	25800	61884	\N	\N	\N
1298964	4434	1995-09-05	VYDAJ	VYBER	22900	61935	\N	\N	\N
1298965	4434	1995-09-10	VYDAJ	VYBER	45700	88302	\N	\N	\N
1298966	4434	1995-09-10	VYDAJ	VYBER	21600	134002	\N	\N	\N
1298967	4434	1995-09-29	VYDAJ	VYBER	44600	81867	\N	\N	\N
1298968	4434	1995-10-05	VYDAJ	VYBER	21500	60757	\N	\N	\N
1298969	4434	1995-11-04	VYDAJ	VYBER	21000	50389	\N	\N	\N
1298970	4434	1995-12-04	VYDAJ	VYBER	16400	46066	\N	\N	\N
1298971	4434	1996-01-03	VYDAJ	VYBER	13400	44168	\N	\N	\N
1298972	4434	1996-02-02	VYDAJ	VYBER	15500	52272	\N	\N	\N
1298973	4434	1996-02-11	VYDAJ	VYBER	19500	101813	\N	\N	\N
1298974	4434	1996-02-18	VYDAJ	VYBER	35300	99868	\N	\N	\N
1298975	4434	1996-02-27	VYDAJ	VYBER	47400	97293	\N	\N	\N
1298976	4434	1996-03-03	VYDAJ	VYBER	28700	68976	\N	\N	\N
1298977	4434	1996-04-02	VYDAJ	VYBER	22400	63237	\N	\N	\N
1298978	4434	1996-05-02	VYDAJ	VYBER	25900	65549	\N	\N	\N
1298979	4434	1996-06-01	VYDAJ	VYBER	32300	71903	\N	\N	\N
1298980	4434	1996-06-10	VYDAJ	VYBER	22900	121737	\N	\N	\N
1298981	4434	1996-06-14	VYDAJ	VYBER	16800	100442	\N	\N	\N
1298982	4434	1996-07-01	PRIJEM	VKLAD	1400	42774	\N	\N	\N
1298983	4434	1996-07-22	VYDAJ	VYBER	34900	76446	\N	\N	\N
1298984	4434	1996-07-31	VYDAJ	VYBER	13600	58621	\N	\N	\N
1298985	4434	1996-08-30	VYDAJ	VYBER	2800	45617	\N	\N	\N
1298986	4434	1996-09-29	VYDAJ	VYBER	16400	66252	\N	\N	\N
1298987	4434	1996-10-09	VYDAJ	VYBER	39400	70287	\N	\N	\N
1298988	4434	1996-10-26	VYDAJ	VYBER	62900	44854	\N	\N	\N
1298989	4434	1996-10-29	PRIJEM	VKLAD	3200	48054	\N	\N	\N
1298990	4434	1996-11-28	VYDAJ	VYBER	23400	75749	\N	\N	\N
1298991	4434	1996-12-01	VYDAJ	VYBER	62600	47155	\N	\N	\N
1298992	4434	1996-12-28	VYDAJ	VYBER	9900	66543	\N	\N	\N
1298993	4434	1997-01-27	PRIJEM	VKLAD	13200	50423	\N	\N	\N
1298994	4434	1997-02-26	PRIJEM	VKLAD	6600	48568	\N	\N	\N
1298995	4434	1997-03-28	PRIJEM	VKLAD	7900	48482	\N	\N	\N
1298996	4434	1997-04-27	PRIJEM	VKLAD	8200	46958	\N	\N	\N
1298997	4434	1997-05-27	PRIJEM	VKLAD	14200	40398	\N	\N	\N
1298998	4434	1997-06-26	PRIJEM	VKLAD	15200	42723	\N	\N	\N
1298999	4434	1997-07-26	PRIJEM	VKLAD	13800	41951	\N	\N	\N
1299000	4434	1997-08-25	PRIJEM	VKLAD	14900	52507	\N	\N	\N
1299001	4434	1997-09-24	PRIJEM	VKLAD	18800	45553	\N	\N	\N
1299002	4434	1997-10-24	PRIJEM	VKLAD	15100	44842	\N	\N	\N
1299003	4434	1997-11-23	PRIJEM	VKLAD	15300	40902	\N	\N	\N
1299004	4434	1997-12-23	PRIJEM	VKLAD	17400	42675	\N	\N	\N
1299005	4434	1998-01-22	PRIJEM	VKLAD	18900	41596	\N	\N	\N
1299006	4434	1998-02-11	VYDAJ	VYBER	56900	61056	\N	\N	\N
1299007	4434	1998-02-20	VYDAJ	VYBER	60200	48207	\N	\N	\N
1299008	4434	1998-02-21	PRIJEM	VKLAD	400	48607	\N	\N	\N
1299009	4434	1998-03-16	VYDAJ	VYBER	29600	78906	\N	\N	\N
1299010	4434	1998-03-22	VYDAJ	VYBER	27300	93714	\N	\N	\N
1299011	4434	1998-03-23	VYDAJ	VYBER	15000	78714	\N	\N	\N
1299012	4434	1998-03-30	VYDAJ	VYBER	46200	71859	\N	\N	\N
1299013	4434	1998-04-22	VYDAJ	VYBER	3200	77632	\N	\N	\N
1299014	4434	1998-05-22	VYDAJ	VYBER	200	73131	\N	\N	\N
1299015	4434	1998-06-21	PRIJEM	VKLAD	24400	46827	\N	\N	\N
1299016	4434	1998-07-10	VYDAJ	VYBER	55800	66363	\N	\N	\N
1299017	4434	1998-07-21	VYDAJ	VYBER	2400	82994	\N	\N	\N
1299018	4434	1998-08-19	VYDAJ	VYBER	44400	112503	\N	\N	\N
1299019	4434	1998-08-19	VYDAJ	VYBER	54000	58503	\N	\N	\N
1299020	4434	1998-08-20	PRIJEM	VKLAD	11000	69503	\N	\N	\N
1299021	4434	1998-09-19	PRIJEM	VKLAD	26900	57020	\N	\N	\N
1299022	4434	1998-10-18	VYDAJ	VYBER	35600	84977	\N	\N	\N
1299023	4434	1998-10-19	PRIJEM	VKLAD	2900	87877	\N	\N	\N
1299024	4434	1998-10-30	VYDAJ	VYBER	25200	105540	\N	\N	\N
1299025	4434	1998-11-01	VYDAJ	VYBER	52600	82869	\N	\N	\N
1299026	4434	1998-11-07	VYDAJ	VYBER	25300	105531	\N	\N	\N
1299027	4434	1998-11-14	VYDAJ	VYBER	39500	75884	\N	\N	\N
1299028	4434	1998-11-18	PRIJEM	VKLAD	8600	84484	\N	\N	\N
1299029	4434	1998-11-23	VYDAJ	VYBER	15900	98200	\N	\N	\N
1299030	4434	1998-12-04	VYDAJ	VYBER	44500	73364	\N	\N	\N
1299031	4434	1998-12-18	PRIJEM	VKLAD	10500	79369	\N	\N	\N
1299510	4437	1993-09-24	PRIJEM	VKLAD	600	600	\N	\N	\N
1299513	4437	1994-04-25	PRIJEM	VKLAD	22235	49343	\N	\N	\N
1299514	4437	1994-12-14	PRIJEM	VKLAD	25210	52026	\N	\N	\N
1299515	4437	1995-06-13	PRIJEM	VKLAD	5632	29480	\N	\N	\N
1299516	4437	1995-01-22	PRIJEM	VKLAD	12298	35251	\N	\N	\N
1299517	4437	1996-05-13	PRIJEM	VKLAD	14134	34289	\N	\N	\N
1299518	4437	1996-01-03	PRIJEM	VKLAD	11216	31562	\N	\N	\N
1299519	4437	1997-03-27	PRIJEM	VKLAD	25983	49030	\N	\N	\N
1299520	4437	1997-12-18	PRIJEM	VKLAD	24135	63750	\N	\N	\N
1299521	4437	1998-03-25	PRIJEM	VKLAD	18718	54744	\N	\N	\N
1299522	4437	1998-02-26	PRIJEM	VKLAD	46899	101204	\N	\N	\N
1299532	4437	1993-10-15	PRIJEM	VKLAD	1800	2400	\N	\N	\N
1299533	4437	1993-11-17	PRIJEM	VKLAD	1800	16118	\N	\N	\N
1299534	4437	1993-12-17	PRIJEM	VKLAD	1800	24089	\N	\N	\N
1299535	4437	1994-01-16	PRIJEM	VKLAD	1800	25873	\N	\N	\N
1299536	4437	1994-02-13	PRIJEM	VKLAD	1800	18454	\N	\N	\N
1299537	4437	1994-03-13	PRIJEM	VKLAD	1800	25719	\N	\N	\N
1299538	4437	1994-04-13	PRIJEM	VKLAD	1800	27908	\N	\N	\N
1299539	4437	1994-05-15	PRIJEM	VKLAD	1800	51259	\N	\N	\N
1299540	4437	1994-06-17	PRIJEM	VKLAD	1800	15587	\N	\N	\N
1299541	4437	1994-07-16	PRIJEM	VKLAD	1800	22888	\N	\N	\N
1299542	4437	1994-08-16	PRIJEM	VKLAD	1800	24768	\N	\N	\N
1299543	4437	1994-09-16	PRIJEM	VKLAD	1800	22804	\N	\N	\N
1299544	4437	1994-10-16	PRIJEM	VKLAD	1800	24637	\N	\N	\N
1299545	4437	1994-11-16	PRIJEM	VKLAD	1800	26223	\N	\N	\N
1299546	4437	1994-12-14	PRIJEM	VKLAD	1800	26816	\N	\N	\N
1299547	4437	1995-01-13	PRIJEM	VKLAD	1800	36103	\N	\N	\N
1299548	4437	1995-02-17	PRIJEM	VKLAD	1800	30625	\N	\N	\N
1299549	4437	1995-03-13	PRIJEM	VKLAD	1800	33547	\N	\N	\N
1299550	4437	1995-04-17	PRIJEM	VKLAD	1800	29958	\N	\N	\N
1299551	4437	1995-05-14	PRIJEM	VKLAD	1800	28307	\N	\N	\N
1299552	4437	1995-06-14	PRIJEM	VKLAD	1800	31280	\N	\N	\N
1299553	4437	1995-07-17	PRIJEM	VKLAD	1800	25122	\N	\N	\N
1299554	4437	1995-08-16	PRIJEM	VKLAD	1800	21617	\N	\N	\N
1299555	4437	1995-09-16	PRIJEM	VKLAD	1800	20505	\N	\N	\N
1299556	4437	1995-10-16	PRIJEM	VKLAD	1800	20483	\N	\N	\N
1299557	4437	1995-11-17	PRIJEM	VKLAD	1800	18509	\N	\N	\N
1299558	4437	1995-12-15	PRIJEM	VKLAD	1800	18879	\N	\N	\N
1299559	4437	1996-01-17	PRIJEM	VKLAD	1800	23612	\N	\N	\N
1299560	4437	1996-02-14	PRIJEM	VKLAD	1800	14442	\N	\N	\N
1299561	4437	1996-03-15	PRIJEM	VKLAD	1800	17691	\N	\N	\N
1299562	4437	1996-04-15	PRIJEM	VKLAD	1800	18694	\N	\N	\N
1299563	4437	1996-05-17	PRIJEM	VKLAD	1800	36089	\N	\N	\N
1299564	4437	1996-06-13	PRIJEM	VKLAD	1800	19992	\N	\N	\N
1299565	4437	1996-07-13	PRIJEM	VKLAD	1800	21588	\N	\N	\N
1299566	4437	1996-08-15	PRIJEM	VKLAD	1800	24861	\N	\N	\N
1299567	4437	1996-09-16	PRIJEM	VKLAD	1800	23545	\N	\N	\N
1299568	4437	1996-10-16	PRIJEM	VKLAD	1800	26829	\N	\N	\N
1299569	4437	1996-11-16	PRIJEM	VKLAD	1800	30123	\N	\N	\N
1299570	4437	1996-12-15	PRIJEM	VKLAD	1800	30232	\N	\N	\N
1299571	4437	1997-01-13	PRIJEM	VKLAD	1800	31997	\N	\N	\N
1299572	4437	1997-02-14	PRIJEM	VKLAD	1800	19783	\N	\N	\N
1299573	4437	1997-03-16	PRIJEM	VKLAD	1800	21647	\N	\N	\N
1299574	4437	1997-04-16	PRIJEM	VKLAD	1800	22220	\N	\N	\N
1299575	4437	1997-05-13	PRIJEM	VKLAD	1800	25555	\N	\N	\N
1299576	4437	1997-06-15	PRIJEM	VKLAD	1800	24891	\N	\N	\N
1299577	4437	1997-07-16	PRIJEM	VKLAD	1800	23577	\N	\N	\N
1299578	4437	1997-08-17	PRIJEM	VKLAD	1800	26858	\N	\N	\N
1299579	4437	1997-09-14	PRIJEM	VKLAD	1800	30152	\N	\N	\N
1299580	4437	1997-10-13	PRIJEM	VKLAD	1800	33459	\N	\N	\N
1299581	4437	1997-11-16	PRIJEM	VKLAD	1800	36531	\N	\N	\N
1299582	4437	1997-12-17	PRIJEM	VKLAD	1800	39615	\N	\N	\N
1299583	4437	1998-01-16	PRIJEM	VKLAD	1800	53489	\N	\N	\N
1299584	4437	1998-02-15	PRIJEM	VKLAD	1800	52905	\N	\N	\N
1299585	4437	1998-03-13	PRIJEM	VKLAD	1800	34626	\N	\N	\N
1299586	4437	1998-04-14	PRIJEM	VKLAD	1800	56799	\N	\N	\N
1299587	4437	1998-05-13	PRIJEM	VKLAD	1800	60217	\N	\N	\N
1299588	4437	1998-06-15	PRIJEM	VKLAD	1800	47650	\N	\N	\N
1299589	4437	1998-07-16	PRIJEM	VKLAD	1800	23205	\N	\N	\N
1299590	4437	1998-08-13	PRIJEM	VKLAD	1800	26133	\N	\N	\N
1299591	4437	1998-09-15	PRIJEM	VKLAD	1800	29423	\N	\N	\N
1299592	4437	1998-10-16	PRIJEM	VKLAD	1800	32726	\N	\N	\N
1299593	4437	1998-11-14	PRIJEM	VKLAD	1800	36044	\N	\N	\N
1299594	4437	1998-12-15	PRIJEM	VKLAD	1800	37421	\N	\N	\N
1299604	4437	1993-10-18	PRIJEM	VKLAD	1400	3800	\N	\N	\N
1299605	4437	1993-11-18	PRIJEM	VKLAD	1400	17518	\N	\N	\N
1299606	4437	1993-12-18	PRIJEM	VKLAD	1400	25489	\N	\N	\N
1299607	4437	1994-01-18	PRIJEM	VKLAD	1400	27273	\N	\N	\N
1299608	4437	1994-02-18	PRIJEM	VKLAD	1400	19854	\N	\N	\N
1299609	4437	1994-03-18	PRIJEM	VKLAD	1400	27119	\N	\N	\N
1299610	4437	1994-04-18	PRIJEM	VKLAD	1400	29308	\N	\N	\N
1299611	4437	1994-05-18	PRIJEM	VKLAD	1400	52659	\N	\N	\N
1299612	4437	1994-06-18	PRIJEM	VKLAD	1400	16987	\N	\N	\N
1299613	4437	1994-07-18	PRIJEM	VKLAD	1400	24288	\N	\N	\N
1299614	4437	1994-08-18	PRIJEM	VKLAD	1400	26168	\N	\N	\N
1299615	4437	1994-09-18	PRIJEM	VKLAD	1400	24204	\N	\N	\N
1299616	4437	1994-10-18	PRIJEM	VKLAD	1400	26037	\N	\N	\N
1299617	4437	1994-11-18	PRIJEM	VKLAD	1400	27623	\N	\N	\N
1299618	4437	1994-12-18	PRIJEM	VKLAD	1400	50626	\N	\N	\N
1299619	4437	1995-01-18	PRIJEM	VKLAD	1400	24153	\N	\N	\N
1299620	4437	1995-02-18	PRIJEM	VKLAD	1400	32025	\N	\N	\N
1299621	4437	1995-03-18	PRIJEM	VKLAD	1400	34947	\N	\N	\N
1299622	4437	1995-04-18	PRIJEM	VKLAD	1400	28758	\N	\N	\N
1299623	4437	1995-05-18	PRIJEM	VKLAD	1400	24307	\N	\N	\N
1299624	4437	1995-06-18	PRIJEM	VKLAD	1400	27280	\N	\N	\N
1299625	4437	1995-07-18	PRIJEM	VKLAD	1400	26522	\N	\N	\N
1299626	4437	1995-08-18	PRIJEM	VKLAD	1400	23017	\N	\N	\N
1299627	4437	1995-09-18	PRIJEM	VKLAD	1400	21905	\N	\N	\N
1299628	4437	1995-10-18	PRIJEM	VKLAD	1400	21883	\N	\N	\N
1299629	4437	1995-11-18	PRIJEM	VKLAD	1400	19909	\N	\N	\N
1299630	4437	1995-12-18	PRIJEM	VKLAD	1400	20279	\N	\N	\N
1299631	4437	1996-01-18	PRIJEM	VKLAD	1400	25012	\N	\N	\N
1299632	4437	1996-02-18	PRIJEM	VKLAD	1400	15842	\N	\N	\N
1299633	4437	1996-03-18	PRIJEM	VKLAD	1400	16841	\N	\N	\N
1299634	4437	1996-04-18	PRIJEM	VKLAD	1400	20094	\N	\N	\N
1299635	4437	1996-05-18	PRIJEM	VKLAD	1400	37489	\N	\N	\N
1299636	4437	1996-06-18	PRIJEM	VKLAD	1400	19692	\N	\N	\N
1299637	4437	1996-07-18	PRIJEM	VKLAD	1400	22988	\N	\N	\N
1299638	4437	1996-08-18	PRIJEM	VKLAD	1400	26261	\N	\N	\N
1299639	4437	1996-09-18	PRIJEM	VKLAD	1400	24945	\N	\N	\N
1299640	4437	1996-10-18	PRIJEM	VKLAD	1400	28229	\N	\N	\N
1299641	4437	1996-11-18	PRIJEM	VKLAD	1400	31523	\N	\N	\N
1299642	4437	1996-12-18	PRIJEM	VKLAD	1400	31632	\N	\N	\N
1299643	4437	1997-01-18	PRIJEM	VKLAD	1400	20397	\N	\N	\N
1299644	4437	1997-02-18	PRIJEM	VKLAD	1400	21183	\N	\N	\N
1299645	4437	1997-03-18	PRIJEM	VKLAD	1400	23047	\N	\N	\N
1299646	4437	1997-04-18	PRIJEM	VKLAD	1400	23620	\N	\N	\N
1299647	4437	1997-05-18	PRIJEM	VKLAD	1400	24855	\N	\N	\N
1299648	4437	1997-06-18	PRIJEM	VKLAD	1400	26291	\N	\N	\N
1299649	4437	1997-07-18	PRIJEM	VKLAD	1400	24977	\N	\N	\N
1299650	4437	1997-08-18	PRIJEM	VKLAD	1400	28258	\N	\N	\N
1299651	4437	1997-09-18	PRIJEM	VKLAD	1400	31552	\N	\N	\N
1299652	4437	1997-10-18	PRIJEM	VKLAD	1400	34859	\N	\N	\N
1299653	4437	1997-11-18	PRIJEM	VKLAD	1400	37931	\N	\N	\N
1299654	4437	1997-12-18	PRIJEM	VKLAD	1400	65150	\N	\N	\N
1299655	4437	1998-01-18	PRIJEM	VKLAD	1400	54889	\N	\N	\N
1299656	4437	1998-02-18	PRIJEM	VKLAD	1400	54305	\N	\N	\N
1299657	4437	1998-03-18	PRIJEM	VKLAD	1400	36026	\N	\N	\N
1299658	4437	1998-04-18	PRIJEM	VKLAD	1400	58199	\N	\N	\N
1299659	4437	1998-05-18	PRIJEM	VKLAD	1400	61617	\N	\N	\N
1299660	4437	1998-06-18	PRIJEM	VKLAD	1400	49050	\N	\N	\N
1299661	4437	1998-07-18	PRIJEM	VKLAD	1400	24605	\N	\N	\N
1299662	4437	1998-08-18	PRIJEM	VKLAD	1400	27533	\N	\N	\N
1299663	4437	1998-09-18	PRIJEM	VKLAD	1400	30823	\N	\N	\N
1299664	4437	1998-10-18	PRIJEM	VKLAD	1400	34126	\N	\N	\N
1299665	4437	1998-11-18	PRIJEM	VKLAD	1400	37444	\N	\N	\N
1299666	4437	1998-12-18	PRIJEM	VKLAD	1400	38821	\N	\N	\N
1299668	4437	1994-06-15	VYDAJ	VYBER	21700	13787	\N	\N	\N
1299670	4437	1996-06-03	VYDAJ	VYBER	19400	18192	\N	\N	\N
1299671	4437	1997-06-25	VYDAJ	VYBER	4600	21691	\N	\N	\N
1299672	4437	1998-06-09	VYDAJ	VYBER	14500	45850	\N	\N	\N
1299674	4437	1994-01-22	VYDAJ	VYBER	3000	20223	\N	\N	\N
1299675	4437	1995-01-15	VYDAJ	VYBER	1500	34153	\N	\N	\N
1299676	4437	1996-01-21	VYDAJ	VYBER	2600	21512	\N	\N	\N
1299677	4437	1997-01-14	VYDAJ	VYBER	9900	22097	\N	\N	\N
1299678	4437	1998-01-15	VYDAJ	VYBER	2000	51689	\N	\N	\N
1299684	4437	1998-06-20	VYDAJ	VYBER	27800	21250	\N	\N	\N
1299686	4437	1994-01-21	VYDAJ	VYBER	8200	18523	\N	\N	\N
1299687	4437	1995-01-16	VYDAJ	VYBER	6000	28153	\N	\N	\N
1299688	4437	1996-01-25	VYDAJ	VYBER	5200	16312	\N	\N	\N
1299689	4437	1997-01-17	VYDAJ	VYBER	1700	20397	\N	\N	\N
1299690	4437	1998-01-10	VYDAJ	VYBER	7100	54939	\N	\N	\N
1299692	4437	1994-12-17	VYDAJ	VYBER	2800	49226	\N	\N	\N
1299693	4437	1995-12-08	VYDAJ	VYBER	500	19479	\N	\N	\N
1299694	4437	1996-12-14	VYDAJ	VYBER	900	28432	\N	\N	\N
1299695	4437	1997-12-20	VYDAJ	VYBER	2100	63050	\N	\N	\N
1299696	4437	1998-12-22	VYDAJ	VYBER	2000	35221	\N	\N	\N
1299703	4437	1994-01-25	VYDAJ	VYBER	400	18773	\N	\N	\N
1299704	4437	1994-01-20	VYDAJ	VYBER	550	26723	\N	\N	\N
1299705	4437	1994-01-23	VYDAJ	VYBER	1050	19173	\N	\N	\N
1299706	4437	1994-01-27	VYDAJ	VYBER	1450	16573	\N	\N	\N
1299707	4437	1994-01-03	VYDAJ	VYBER	1200	24073	\N	\N	\N
1299708	4437	1994-01-26	VYDAJ	VYBER	750	18023	\N	\N	\N
1299709	4437	1995-01-29	VYDAJ	VYBER	950	33801	\N	\N	\N
1299710	4437	1995-01-15	VYDAJ	VYBER	450	35653	\N	\N	\N
1299711	4437	1995-01-11	VYDAJ	VYBER	1400	34303	\N	\N	\N
1299712	4437	1995-01-19	VYDAJ	VYBER	1200	22953	\N	\N	\N
1299713	4437	1995-01-22	VYDAJ	VYBER	500	34751	\N	\N	\N
1299714	4437	1995-01-06	VYDAJ	VYBER	450	35703	\N	\N	\N
1299715	4437	1996-01-27	VYDAJ	VYBER	700	15612	\N	\N	\N
1299716	4437	1996-01-29	VYDAJ	VYBER	450	15162	\N	\N	\N
1299717	4437	1996-01-09	VYDAJ	VYBER	300	30112	\N	\N	\N
1299718	4437	1996-01-04	VYDAJ	VYBER	1150	30412	\N	\N	\N
1299719	4437	1996-01-15	VYDAJ	VYBER	600	21812	\N	\N	\N
1299720	4437	1996-01-19	VYDAJ	VYBER	900	24112	\N	\N	\N
1299721	4437	1997-01-25	VYDAJ	VYBER	450	17897	\N	\N	\N
1299722	4437	1997-01-11	VYDAJ	VYBER	250	30197	\N	\N	\N
1299723	4437	1997-01-08	VYDAJ	VYBER	1300	30447	\N	\N	\N
1299724	4437	1997-01-23	VYDAJ	VYBER	650	19747	\N	\N	\N
1299725	4437	1997-01-24	VYDAJ	VYBER	1400	18347	\N	\N	\N
1299726	4437	1997-01-17	VYDAJ	VYBER	1400	18997	\N	\N	\N
1299727	4437	1998-01-23	VYDAJ	VYBER	1150	53089	\N	\N	\N
1299728	4437	1998-01-03	VYDAJ	VYBER	350	62889	\N	\N	\N
1299729	4437	1998-01-18	VYDAJ	VYBER	650	54239	\N	\N	\N
1299730	4437	1998-01-12	VYDAJ	VYBER	1250	53689	\N	\N	\N
1299731	4437	1998-01-24	VYDAJ	VYBER	750	52339	\N	\N	\N
1299732	4437	1998-01-24	VYDAJ	VYBER	1450	50889	\N	\N	\N
1299738	4437	1994-12-18	VYDAJ	VYBER	1800	37326	\N	\N	\N
1299739	4437	1994-09-08	VYDAJ	VYBER	2050	21004	\N	\N	\N
1299740	4437	1994-06-15	VYDAJ	VYBER	2450	35487	\N	\N	\N
1299741	4437	1994-12-08	VYDAJ	VYBER	2000	25016	\N	\N	\N
1299742	4437	1994-12-23	VYDAJ	VYBER	1300	36026	\N	\N	\N
1299743	4437	1994-08-05	VYDAJ	VYBER	1700	22968	\N	\N	\N
1299744	4437	1994-10-04	VYDAJ	VYBER	1250	22837	\N	\N	\N
1299745	4437	1995-06-26	VYDAJ	VYBER	1150	26130	\N	\N	\N
1299746	4437	1995-04-19	VYDAJ	VYBER	2350	26408	\N	\N	\N
1299747	4437	1995-02-24	VYDAJ	VYBER	400	31625	\N	\N	\N
1299748	4437	1995-05-28	VYDAJ	VYBER	550	23757	\N	\N	\N
1299749	4437	1995-11-05	VYDAJ	VYBER	2050	19909	\N	\N	\N
1299750	4437	1996-08-28	VYDAJ	VYBER	1550	22661	\N	\N	\N
1299751	4437	1996-12-01	VYDAJ	VYBER	2300	29332	\N	\N	\N
1299752	4437	1996-06-15	VYDAJ	VYBER	1700	18292	\N	\N	\N
1299753	4437	1996-03-15	VYDAJ	VYBER	2250	15441	\N	\N	\N
1299754	4437	1996-09-03	VYDAJ	VYBER	1000	21745	\N	\N	\N
1299755	4437	1996-08-27	VYDAJ	VYBER	2050	24211	\N	\N	\N
1299756	4437	1997-11-21	VYDAJ	VYBER	250	37681	\N	\N	\N
1299757	4437	1997-02-26	VYDAJ	VYBER	1400	19783	\N	\N	\N
1299758	4437	1997-06-14	VYDAJ	VYBER	1850	23091	\N	\N	\N
1299759	4437	1997-05-17	VYDAJ	VYBER	350	23455	\N	\N	\N
1299760	4437	1997-05-13	VYDAJ	VYBER	1750	23805	\N	\N	\N
1299761	4437	1997-11-02	VYDAJ	VYBER	250	34731	\N	\N	\N
1299762	4437	1998-07-29	VYDAJ	VYBER	350	24255	\N	\N	\N
1299763	4437	1998-06-03	VYDAJ	VYBER	1500	60350	\N	\N	\N
1299764	4437	1998-12-19	VYDAJ	VYBER	1600	37221	\N	\N	\N
1299765	4437	1998-01-07	VYDAJ	VYBER	850	62039	\N	\N	\N
1299766	4437	1998-11-19	VYDAJ	VYBER	1950	35494	\N	\N	\N
1299779	4437	1993-12-31	VYDAJ	VYBER	15	25273	SLUZBY	\N	\N
1299780	4437	1994-01-31	VYDAJ	VYBER	15	16654	SLUZBY	\N	\N
1299781	4437	1994-02-28	VYDAJ	VYBER	15	23919	SLUZBY	\N	\N
1299782	4437	1994-03-31	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
1299783	4437	1994-04-30	VYDAJ	VYBER	15	49459	SLUZBY	\N	\N
1299784	4437	1994-05-31	VYDAJ	VYBER	15	37937	SLUZBY	\N	\N
1299785	4437	1994-06-30	VYDAJ	VYBER	15	21088	SLUZBY	\N	\N
1299786	4437	1994-07-31	VYDAJ	VYBER	15	24668	SLUZBY	\N	\N
1299787	4437	1994-08-31	VYDAJ	VYBER	15	23054	SLUZBY	\N	\N
1299788	4437	1994-09-30	VYDAJ	VYBER	15	24087	SLUZBY	\N	\N
1299789	4437	1994-10-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
1299790	4437	1994-11-30	VYDAJ	VYBER	15	27016	SLUZBY	\N	\N
1299791	4437	1994-12-31	VYDAJ	VYBER	15	36153	SLUZBY	\N	\N
1299792	4437	1995-01-31	VYDAJ	VYBER	15	33925	SLUZBY	\N	\N
1299793	4437	1995-02-28	VYDAJ	VYBER	15	31747	SLUZBY	\N	\N
1299794	4437	1995-03-31	VYDAJ	VYBER	15	28158	SLUZBY	\N	\N
1299795	4437	1995-04-30	VYDAJ	VYBER	15	26507	SLUZBY	\N	\N
1299796	4437	1995-05-31	VYDAJ	VYBER	15	23848	SLUZBY	\N	\N
1299797	4437	1995-06-30	VYDAJ	VYBER	15	26222	SLUZBY	\N	\N
1299798	4437	1995-07-31	VYDAJ	VYBER	15	26617	SLUZBY	\N	\N
1299799	4437	1995-08-31	VYDAJ	VYBER	15	23105	SLUZBY	\N	\N
1299800	4437	1995-09-30	VYDAJ	VYBER	15	21983	SLUZBY	\N	\N
1299801	4437	1995-10-31	VYDAJ	VYBER	15	21959	SLUZBY	\N	\N
1299802	4437	1995-11-30	VYDAJ	VYBER	15	19979	SLUZBY	\N	\N
1299803	4437	1995-12-31	VYDAJ	VYBER	15	20346	SLUZBY	\N	\N
1299804	4437	1996-01-31	VYDAJ	VYBER	15	15242	SLUZBY	\N	\N
1299805	4437	1996-02-29	VYDAJ	VYBER	15	15891	SLUZBY	\N	\N
1299806	4437	1996-03-31	VYDAJ	VYBER	15	16894	SLUZBY	\N	\N
1299807	4437	1996-04-30	VYDAJ	VYBER	15	20155	SLUZBY	\N	\N
1299808	4437	1996-05-31	VYDAJ	VYBER	15	37592	SLUZBY	\N	\N
1299809	4437	1996-06-30	VYDAJ	VYBER	15	19788	SLUZBY	\N	\N
1299810	4437	1996-07-31	VYDAJ	VYBER	15	23061	SLUZBY	\N	\N
1299811	4437	1996-08-31	VYDAJ	VYBER	15	22745	SLUZBY	\N	\N
1299812	4437	1996-09-30	VYDAJ	VYBER	15	25029	SLUZBY	\N	\N
1299813	4437	1996-10-31	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
1299814	4437	1996-11-30	VYDAJ	VYBER	15	31632	SLUZBY	\N	\N
1299815	4437	1996-12-31	VYDAJ	VYBER	15	31747	SLUZBY	\N	\N
1299816	4437	1997-01-31	VYDAJ	VYBER	15	17983	SLUZBY	\N	\N
1299817	4437	1997-02-28	VYDAJ	VYBER	15	19847	SLUZBY	\N	\N
1299818	4437	1997-03-31	VYDAJ	VYBER	15	49120	SLUZBY	\N	\N
1299819	4437	1997-04-30	VYDAJ	VYBER	15	23755	SLUZBY	\N	\N
1299820	4437	1997-05-31	VYDAJ	VYBER	15	24941	SLUZBY	\N	\N
1299821	4437	1997-06-30	VYDAJ	VYBER	15	21777	SLUZBY	\N	\N
1299822	4437	1997-07-31	VYDAJ	VYBER	15	25058	SLUZBY	\N	\N
1299823	4437	1997-08-31	VYDAJ	VYBER	15	28352	SLUZBY	\N	\N
1299824	4437	1997-09-30	VYDAJ	VYBER	15	31659	SLUZBY	\N	\N
1299825	4437	1997-10-31	VYDAJ	VYBER	15	34981	SLUZBY	\N	\N
1299826	4437	1997-11-30	VYDAJ	VYBER	15	37815	SLUZBY	\N	\N
1299827	4437	1997-12-31	VYDAJ	VYBER	15	63239	SLUZBY	\N	\N
1299828	4437	1998-01-31	VYDAJ	VYBER	15	51105	SLUZBY	\N	\N
1299829	4437	1998-02-28	VYDAJ	VYBER	15	101426	SLUZBY	\N	\N
1299830	4437	1998-03-31	VYDAJ	VYBER	15	54999	SLUZBY	\N	\N
1299831	4437	1998-04-30	VYDAJ	VYBER	15	58417	SLUZBY	\N	\N
1299832	4437	1998-05-31	VYDAJ	VYBER	15	61850	SLUZBY	\N	\N
1299833	4437	1998-06-30	VYDAJ	VYBER	15	21405	SLUZBY	\N	\N
1299834	4437	1998-07-31	VYDAJ	VYBER	15	24333	SLUZBY	\N	\N
1299835	4437	1998-08-31	VYDAJ	VYBER	15	27623	SLUZBY	\N	\N
1299836	4437	1998-09-30	VYDAJ	VYBER	15	30926	SLUZBY	\N	\N
1299837	4437	1998-10-31	VYDAJ	VYBER	15	34244	SLUZBY	\N	\N
1299838	4437	1998-11-30	VYDAJ	VYBER	15	35621	SLUZBY	\N	\N
1299839	4437	1993-10-24	PRIJEM	VKLAD	10500	14300	\N	\N	\N
1299840	4437	1993-11-23	PRIJEM	VKLAD	4700	22218	\N	\N	\N
1299841	4437	1993-12-23	VYDAJ	VYBER	300	25189	\N	\N	\N
1299842	4437	1994-01-22	PRIJEM	VKLAD	4700	23223	\N	\N	\N
1299843	4437	1994-02-21	PRIJEM	VKLAD	4000	23854	\N	\N	\N
1299844	4437	1994-03-23	VYDAJ	VYBER	1100	26019	\N	\N	\N
1299845	4437	1994-04-22	VYDAJ	VYBER	2200	27108	\N	\N	\N
1299846	4437	1994-05-22	VYDAJ	VYBER	14900	37759	\N	\N	\N
1299847	4437	1994-06-21	PRIJEM	VKLAD	4000	20987	\N	\N	\N
1299848	4437	1994-07-21	PRIJEM	VKLAD	300	24588	\N	\N	\N
1299849	4437	1994-08-20	VYDAJ	VYBER	3200	22968	\N	\N	\N
1299850	4437	1994-09-19	VYDAJ	VYBER	200	24004	\N	\N	\N
1299851	4437	1994-10-19	VYDAJ	VYBER	1700	24337	\N	\N	\N
1299852	4437	1994-11-18	VYDAJ	VYBER	700	26923	\N	\N	\N
1299853	4437	1994-12-18	VYDAJ	VYBER	11500	39126	\N	\N	\N
1299854	4437	1995-01-17	VYDAJ	VYBER	5400	22753	\N	\N	\N
1299855	4437	1995-02-16	VYDAJ	VYBER	5100	28825	\N	\N	\N
1299856	4437	1995-03-18	VYDAJ	VYBER	6900	28047	\N	\N	\N
1299857	4437	1995-04-17	VYDAJ	VYBER	2600	27358	\N	\N	\N
1299858	4437	1995-05-17	VYDAJ	VYBER	5400	22907	\N	\N	\N
1299859	4437	1995-06-16	VYDAJ	VYBER	5400	25880	\N	\N	\N
1299860	4437	1995-07-16	VYDAJ	VYBER	2900	23322	\N	\N	\N
1299861	4437	1995-08-15	VYDAJ	VYBER	6800	19817	\N	\N	\N
1299862	4437	1995-09-14	VYDAJ	VYBER	4400	18705	\N	\N	\N
1299863	4437	1995-10-14	VYDAJ	VYBER	3300	18683	\N	\N	\N
1299864	4437	1995-11-13	VYDAJ	VYBER	3200	16709	\N	\N	\N
1299865	4437	1995-12-13	VYDAJ	VYBER	2400	17079	\N	\N	\N
1299866	4437	1996-01-12	VYDAJ	VYBER	7700	22412	\N	\N	\N
1299867	4437	1996-02-11	VYDAJ	VYBER	2600	12642	\N	\N	\N
1299868	4437	1997-04-06	VYDAJ	VYBER	28700	20420	\N	\N	\N
1299869	4437	1998-03-02	VYDAJ	VYBER	68600	32826	\N	\N	\N
1299933	4438	1996-08-04	PRIJEM	VKLAD	500	500	\N	\N	\N
1299941	4438	1996-08-12	PRIJEM	VKLAD	5146	5646	\N	\N	\N
1299942	4438	1996-09-12	PRIJEM	VKLAD	5146	21607	\N	\N	\N
1299943	4438	1996-10-12	PRIJEM	VKLAD	5146	31019	\N	\N	\N
1299944	4438	1996-11-12	PRIJEM	VKLAD	5146	32480	\N	\N	\N
1299945	4438	1996-12-12	PRIJEM	VKLAD	7719	36032	\N	\N	\N
1299946	4438	1997-01-12	PRIJEM	VKLAD	5146	21249	\N	\N	\N
1299947	4438	1997-02-12	PRIJEM	VKLAD	5146	26623	\N	\N	\N
1299948	4438	1997-03-12	PRIJEM	VKLAD	5146	29745	\N	\N	\N
1299949	4438	1997-04-12	PRIJEM	VKLAD	5146	32195	\N	\N	\N
1299950	4438	1997-05-12	PRIJEM	VKLAD	5146	30657	\N	\N	\N
1299951	4438	1997-06-12	PRIJEM	VKLAD	7719	36191	\N	\N	\N
1299952	4438	1997-07-12	PRIJEM	VKLAD	5146	36142	\N	\N	\N
1299953	4438	1997-08-12	PRIJEM	VKLAD	5146	35902	\N	\N	\N
1299954	4438	1997-09-12	PRIJEM	VKLAD	5146	36462	\N	\N	\N
1299955	4438	1997-10-12	PRIJEM	VKLAD	5146	34123	\N	\N	\N
1299956	4438	1997-11-12	PRIJEM	VKLAD	5146	30737	\N	\N	\N
1299957	4438	1997-12-12	PRIJEM	VKLAD	7719	36709	\N	\N	\N
1299958	4438	1998-01-12	PRIJEM	VKLAD	5146	34767	\N	\N	\N
1299959	4438	1998-02-12	PRIJEM	VKLAD	5146	27217	\N	\N	\N
1299960	4438	1998-03-12	PRIJEM	VKLAD	5146	36346	\N	\N	\N
1299961	4438	1998-04-12	PRIJEM	VKLAD	5146	39309	\N	\N	\N
1299962	4438	1998-05-12	PRIJEM	VKLAD	5146	39282	\N	\N	\N
1299963	4438	1998-06-12	PRIJEM	VKLAD	7719	41469	\N	\N	\N
1299964	4438	1998-07-12	PRIJEM	VKLAD	5146	15582	\N	\N	\N
1299965	4438	1998-08-12	PRIJEM	VKLAD	5146	31074	\N	\N	\N
1299966	4438	1998-09-12	PRIJEM	VKLAD	5146	42439	\N	\N	\N
1299967	4438	1998-10-12	PRIJEM	VKLAD	5146	45028	\N	\N	\N
1299968	4438	1998-11-12	PRIJEM	VKLAD	5146	49233	\N	\N	\N
1299969	4438	1998-12-12	PRIJEM	VKLAD	7719	52114	\N	\N	\N
1300008	4438	1998-06-26	VYDAJ	VYBER	33760	10309	\N	\N	\N
1300010	4438	1997-01-02	VYDAJ	VYBER	10560	18863	\N	\N	\N
1300011	4438	1998-01-18	VYDAJ	VYBER	8480	26287	\N	\N	\N
1300013	4438	1997-12-04	VYDAJ	VYBER	3680	30670	\N	\N	\N
1300014	4438	1998-12-03	VYDAJ	VYBER	1920	44395	\N	\N	\N
1300021	4438	1997-01-02	VYDAJ	VYBER	840	29423	\N	\N	\N
1300022	4438	1997-01-12	VYDAJ	VYBER	2760	18489	\N	\N	\N
1300023	4438	1997-01-11	VYDAJ	VYBER	1200	16103	\N	\N	\N
1300024	4438	1997-01-05	VYDAJ	VYBER	600	18263	\N	\N	\N
1300025	4438	1997-01-24	VYDAJ	VYBER	1080	17409	\N	\N	\N
1300026	4438	1997-01-05	VYDAJ	VYBER	960	17303	\N	\N	\N
1300027	4438	1998-01-01	VYDAJ	VYBER	2040	33101	\N	\N	\N
1300028	4438	1998-01-19	VYDAJ	VYBER	3240	23047	\N	\N	\N
1300029	4438	1998-01-05	VYDAJ	VYBER	3480	29621	\N	\N	\N
1300030	4438	1998-01-22	VYDAJ	VYBER	1200	21847	\N	\N	\N
1300031	4438	1998-01-29	VYDAJ	VYBER	2760	25087	\N	\N	\N
1300032	4438	1998-01-29	VYDAJ	VYBER	3120	21967	\N	\N	\N
1300037	4438	1997-11-07	VYDAJ	VYBER	4080	25591	\N	\N	\N
1300038	4438	1997-10-25	VYDAJ	VYBER	2760	31363	\N	\N	\N
1300039	4438	1997-12-09	VYDAJ	VYBER	1680	28990	\N	\N	\N
1300040	4438	1997-09-28	VYDAJ	VYBER	4200	32262	\N	\N	\N
1300041	4438	1998-08-01	VYDAJ	VYBER	3600	25928	\N	\N	\N
1300042	4438	1998-12-25	VYDAJ	VYBER	1920	50494	\N	\N	\N
1300043	4438	1998-06-03	VYDAJ	VYBER	1560	33750	\N	\N	\N
1300044	4438	1998-11-05	VYDAJ	VYBER	2400	44087	\N	\N	\N
1300057	4438	1996-12-31	VYDAJ	VYBER	15	36163	SLUZBY	\N	\N
1300058	4438	1997-01-31	VYDAJ	VYBER	15	21477	SLUZBY	\N	\N
1300059	4438	1997-02-28	VYDAJ	VYBER	15	26699	SLUZBY	\N	\N
1300060	4438	1997-03-31	VYDAJ	VYBER	15	29849	SLUZBY	\N	\N
1300061	4438	1997-04-30	VYDAJ	VYBER	15	32311	SLUZBY	\N	\N
1300062	4438	1997-05-31	VYDAJ	VYBER	15	28472	SLUZBY	\N	\N
1300063	4438	1997-06-30	VYDAJ	VYBER	15	30996	SLUZBY	\N	\N
1300064	4438	1997-07-31	VYDAJ	VYBER	15	30756	SLUZBY	\N	\N
1300065	4438	1997-08-31	VYDAJ	VYBER	15	31316	SLUZBY	\N	\N
1300066	4438	1997-09-30	VYDAJ	VYBER	15	28977	SLUZBY	\N	\N
1300067	4438	1997-10-31	VYDAJ	VYBER	15	29671	SLUZBY	\N	\N
1300068	4438	1997-11-30	VYDAJ	VYBER	15	34350	SLUZBY	\N	\N
1300069	4438	1997-12-31	VYDAJ	VYBER	15	35141	SLUZBY	\N	\N
1300070	4438	1998-01-31	VYDAJ	VYBER	15	22071	SLUZBY	\N	\N
1300071	4438	1998-02-28	VYDAJ	VYBER	15	31200	SLUZBY	\N	\N
1300072	4438	1998-03-31	VYDAJ	VYBER	15	34163	SLUZBY	\N	\N
1300073	4438	1998-04-30	VYDAJ	VYBER	15	34136	SLUZBY	\N	\N
1300074	4438	1998-05-31	VYDAJ	VYBER	15	35310	SLUZBY	\N	\N
1300075	4438	1998-06-30	VYDAJ	VYBER	15	10436	SLUZBY	\N	\N
1300076	4438	1998-07-31	VYDAJ	VYBER	15	29528	SLUZBY	\N	\N
1300077	4438	1998-08-31	VYDAJ	VYBER	15	37293	SLUZBY	\N	\N
1300078	4438	1998-09-30	VYDAJ	VYBER	15	39882	SLUZBY	\N	\N
1300079	4438	1998-10-31	VYDAJ	VYBER	15	46487	SLUZBY	\N	\N
1300080	4438	1998-11-30	VYDAJ	VYBER	15	46315	SLUZBY	\N	\N
1300081	4438	1996-09-03	PRIJEM	VKLAD	10800	16461	\N	\N	\N
1300082	4438	1996-10-03	PRIJEM	VKLAD	4200	25873	\N	\N	\N
1300083	4438	1996-11-02	VYDAJ	VYBER	3800	27334	\N	\N	\N
1300084	4438	1996-12-02	VYDAJ	VYBER	4300	28313	\N	\N	\N
1300085	4438	1997-01-01	VYDAJ	VYBER	5900	30263	\N	\N	\N
1300086	4438	1997-01-31	PRIJEM	VKLAD	4000	21491	\N	\N	\N
1300087	4438	1997-03-02	VYDAJ	VYBER	2100	24599	\N	\N	\N
1300088	4438	1997-04-01	VYDAJ	VYBER	2800	27049	\N	\N	\N
1300089	4438	1997-05-01	VYDAJ	VYBER	6800	25511	\N	\N	\N
1300090	4438	1997-05-31	VYDAJ	VYBER	2300	28487	\N	\N	\N
1300091	4438	1997-06-30	VYDAJ	VYBER	5300	31010	\N	\N	\N
1300092	4438	1997-07-30	VYDAJ	VYBER	5500	30642	\N	\N	\N
1300093	4438	1997-08-29	VYDAJ	VYBER	4700	31202	\N	\N	\N
1300094	4438	1997-09-28	VYDAJ	VYBER	3400	28862	\N	\N	\N
1300095	4438	1997-10-28	VYDAJ	VYBER	1800	29563	\N	\N	\N
1300096	4438	1997-11-27	PRIJEM	VKLAD	3500	34237	\N	\N	\N
1300097	4438	1997-12-27	VYDAJ	VYBER	1700	35009	\N	\N	\N
1300098	4438	1998-01-26	PRIJEM	VKLAD	6000	27847	\N	\N	\N
1300099	4438	1998-02-25	PRIJEM	VKLAD	3900	31117	\N	\N	\N
1300100	4438	1998-03-27	VYDAJ	VYBER	2300	34046	\N	\N	\N
1300101	4438	1998-04-26	VYDAJ	VYBER	5300	34009	\N	\N	\N
1300102	4438	1998-05-26	VYDAJ	VYBER	4100	35182	\N	\N	\N
1300103	4438	1998-06-25	PRIJEM	VKLAD	2600	44069	\N	\N	\N
1300104	4438	1998-07-25	PRIJEM	VKLAD	13900	29482	\N	\N	\N
1300105	4438	1998-08-24	PRIJEM	VKLAD	6100	37174	\N	\N	\N
1300106	4438	1998-09-23	VYDAJ	VYBER	2700	39739	\N	\N	\N
1300107	4438	1998-10-23	PRIJEM	VKLAD	1300	46328	\N	\N	\N
1300108	4438	1998-11-22	VYDAJ	VYBER	3100	46133	\N	\N	\N
1300109	4438	1998-12-22	PRIJEM	VKLAD	300	52414	\N	\N	\N
1300139	4439	1995-12-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1300152	4439	1996-01-07	PRIJEM	VKLAD	4522	5622	\N	\N	\N
1300153	4439	1996-02-07	PRIJEM	VKLAD	4522	16757	\N	\N	\N
1300154	4439	1996-03-07	PRIJEM	VKLAD	4522	24938	\N	\N	\N
1300155	4439	1996-04-07	PRIJEM	VKLAD	4522	27047	\N	\N	\N
1300156	4439	1996-05-07	PRIJEM	VKLAD	4522	32068	\N	\N	\N
1300157	4439	1996-06-07	PRIJEM	VKLAD	6783	37455	\N	\N	\N
1300158	4439	1996-07-07	PRIJEM	VKLAD	4522	28962	\N	\N	\N
1300159	4439	1996-08-07	PRIJEM	VKLAD	4522	30473	\N	\N	\N
1300160	4439	1996-09-07	PRIJEM	VKLAD	4522	34094	\N	\N	\N
1300161	4439	1996-10-07	PRIJEM	VKLAD	4522	29541	\N	\N	\N
1300162	4439	1996-11-07	PRIJEM	VKLAD	4522	31096	\N	\N	\N
1300163	4439	1996-12-07	PRIJEM	VKLAD	6783	29869	\N	\N	\N
1300164	4439	1997-01-07	PRIJEM	VKLAD	4522	25777	\N	\N	\N
1300165	4439	1997-02-07	PRIJEM	VKLAD	4522	17386	\N	\N	\N
1300166	4439	1997-03-07	PRIJEM	VKLAD	4522	23057	\N	\N	\N
1300167	4439	1997-04-07	PRIJEM	VKLAD	4522	25488	\N	\N	\N
1300168	4439	1997-05-07	PRIJEM	VKLAD	4522	27887	\N	\N	\N
1300169	4439	1997-06-07	PRIJEM	VKLAD	6783	29151	\N	\N	\N
1300170	4439	1997-07-07	PRIJEM	VKLAD	4522	24487	\N	\N	\N
1300171	4439	1997-08-07	PRIJEM	VKLAD	4522	24577	\N	\N	\N
1300172	4439	1997-09-07	PRIJEM	VKLAD	4522	26973	\N	\N	\N
1300173	4439	1997-10-07	PRIJEM	VKLAD	4522	22550	\N	\N	\N
1300174	4439	1997-11-07	PRIJEM	VKLAD	4522	26040	\N	\N	\N
1300175	4439	1997-12-07	PRIJEM	VKLAD	6783	29686	\N	\N	\N
1300176	4439	1998-01-07	PRIJEM	VKLAD	4522	27541	\N	\N	\N
1300177	4439	1998-02-07	PRIJEM	VKLAD	4522	10061	\N	\N	\N
1300178	4439	1998-03-07	PRIJEM	VKLAD	4522	19315	\N	\N	\N
1300179	4439	1998-04-07	PRIJEM	VKLAD	4522	24195	\N	\N	\N
1300180	4439	1998-05-07	PRIJEM	VKLAD	4522	21276	\N	\N	\N
1300181	4439	1998-06-07	PRIJEM	VKLAD	6783	27925	\N	\N	\N
1300182	4439	1998-07-07	PRIJEM	VKLAD	4522	28427	\N	\N	\N
1300183	4439	1998-08-07	PRIJEM	VKLAD	4522	31140	\N	\N	\N
1300184	4439	1998-09-07	PRIJEM	VKLAD	4522	33364	\N	\N	\N
1300185	4439	1998-10-07	PRIJEM	VKLAD	4522	36600	\N	\N	\N
1300186	4439	1998-11-07	PRIJEM	VKLAD	4522	32728	\N	\N	\N
1300187	4439	1998-12-07	PRIJEM	VKLAD	6783	36317	\N	\N	\N
1300189	4439	1996-06-22	VYDAJ	VYBER	16320	24335	\N	\N	\N
1300194	4439	1997-01-14	VYDAJ	VYBER	4320	18937	\N	\N	\N
1300195	4439	1998-01-18	VYDAJ	VYBER	7200	12321	\N	\N	\N
1300197	4439	1996-12-26	VYDAJ	VYBER	800	25369	\N	\N	\N
1300198	4439	1997-12-02	VYDAJ	VYBER	1920	22903	\N	\N	\N
1300199	4439	1998-12-07	VYDAJ	VYBER	3040	33277	\N	\N	\N
1300212	4439	1997-01-01	VYDAJ	VYBER	2760	21255	\N	\N	\N
1300213	4439	1997-01-26	VYDAJ	VYBER	840	16037	\N	\N	\N
1300214	4439	1997-01-01	VYDAJ	VYBER	1440	24015	\N	\N	\N
1300215	4439	1997-01-19	VYDAJ	VYBER	960	16877	\N	\N	\N
1300216	4439	1997-01-13	VYDAJ	VYBER	2520	23257	\N	\N	\N
1300217	4439	1997-01-26	VYDAJ	VYBER	3240	12797	\N	\N	\N
1300218	4439	1998-01-29	VYDAJ	VYBER	2280	5481	\N	\N	\N
1300219	4439	1998-01-28	VYDAJ	VYBER	3000	7761	\N	\N	\N
1300220	4439	1998-01-08	VYDAJ	VYBER	2040	25501	\N	\N	\N
1300221	4439	1998-01-14	VYDAJ	VYBER	2880	19521	\N	\N	\N
1300222	4439	1998-01-04	VYDAJ	VYBER	2160	23019	\N	\N	\N
1300223	4439	1998-01-22	VYDAJ	VYBER	1560	10761	\N	\N	\N
1300230	4439	1996-09-24	VYDAJ	VYBER	5880	24914	\N	\N	\N
1300231	4439	1996-10-27	VYDAJ	VYBER	960	26481	\N	\N	\N
1300233	4439	1997-06-13	VYDAJ	VYBER	5760	23391	\N	\N	\N
1300234	4439	1997-03-14	VYDAJ	VYBER	960	22097	\N	\N	\N
1300235	4439	1997-09-28	VYDAJ	VYBER	3720	17953	\N	\N	\N
1300253	4439	1996-05-31	VYDAJ	VYBER	15	30672	SLUZBY	\N	\N
1300254	4439	1996-06-30	VYDAJ	VYBER	15	24440	SLUZBY	\N	\N
1300255	4439	1996-07-31	VYDAJ	VYBER	15	25951	SLUZBY	\N	\N
1300256	4439	1996-08-31	VYDAJ	VYBER	15	29572	SLUZBY	\N	\N
1300257	4439	1996-09-30	VYDAJ	VYBER	15	25019	SLUZBY	\N	\N
1300258	4439	1996-10-31	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
1300259	4439	1996-11-30	VYDAJ	VYBER	15	23086	SLUZBY	\N	\N
1300260	4439	1996-12-31	VYDAJ	VYBER	15	25455	SLUZBY	\N	\N
1300261	4439	1997-01-31	VYDAJ	VYBER	15	12864	SLUZBY	\N	\N
1300262	4439	1997-02-28	VYDAJ	VYBER	15	18535	SLUZBY	\N	\N
1300263	4439	1997-03-31	VYDAJ	VYBER	15	20966	SLUZBY	\N	\N
1300264	4439	1997-04-30	VYDAJ	VYBER	15	23365	SLUZBY	\N	\N
1300265	4439	1997-05-31	VYDAJ	VYBER	15	22368	SLUZBY	\N	\N
1300266	4439	1997-06-30	VYDAJ	VYBER	15	19965	SLUZBY	\N	\N
1300267	4439	1997-07-31	VYDAJ	VYBER	15	20055	SLUZBY	\N	\N
1300268	4439	1997-08-31	VYDAJ	VYBER	15	22451	SLUZBY	\N	\N
1300269	4439	1997-09-30	VYDAJ	VYBER	15	18028	SLUZBY	\N	\N
1300270	4439	1997-10-31	VYDAJ	VYBER	15	21518	SLUZBY	\N	\N
1300271	4439	1997-11-30	VYDAJ	VYBER	15	24823	SLUZBY	\N	\N
1300272	4439	1997-12-31	VYDAJ	VYBER	15	25179	SLUZBY	\N	\N
1300273	4439	1998-01-31	VYDAJ	VYBER	15	5539	SLUZBY	\N	\N
1300274	4439	1998-02-28	VYDAJ	VYBER	15	14793	SLUZBY	\N	\N
1300275	4439	1998-03-31	VYDAJ	VYBER	15	19673	SLUZBY	\N	\N
1300276	4439	1998-04-30	VYDAJ	VYBER	15	16754	SLUZBY	\N	\N
1300277	4439	1998-05-31	VYDAJ	VYBER	15	21142	SLUZBY	\N	\N
1300278	4439	1998-06-30	VYDAJ	VYBER	15	23905	SLUZBY	\N	\N
1300279	4439	1998-07-31	VYDAJ	VYBER	15	26618	SLUZBY	\N	\N
1300280	4439	1998-08-31	VYDAJ	VYBER	15	28842	SLUZBY	\N	\N
1300281	4439	1998-09-30	VYDAJ	VYBER	15	32078	SLUZBY	\N	\N
1300282	4439	1998-10-31	VYDAJ	VYBER	15	28206	SLUZBY	\N	\N
1300283	4439	1998-11-30	VYDAJ	VYBER	15	29534	SLUZBY	\N	\N
1300284	4439	1996-01-24	PRIJEM	VKLAD	6600	12222	\N	\N	\N
1300285	4439	1996-02-23	PRIJEM	VKLAD	3600	20357	\N	\N	\N
1300286	4439	1996-03-24	VYDAJ	VYBER	2500	22438	\N	\N	\N
1300287	4439	1996-04-23	PRIJEM	VKLAD	400	27447	\N	\N	\N
1300288	4439	1996-05-23	VYDAJ	VYBER	1500	30568	\N	\N	\N
1300289	4439	1996-06-22	PRIJEM	VKLAD	3200	40655	\N	\N	\N
1300290	4439	1996-07-22	VYDAJ	VYBER	3100	25862	\N	\N	\N
1300291	4439	1996-08-21	VYDAJ	VYBER	1000	29473	\N	\N	\N
1300292	4439	1996-09-20	VYDAJ	VYBER	3300	30794	\N	\N	\N
1300293	4439	1996-10-20	VYDAJ	VYBER	2100	27441	\N	\N	\N
1300294	4439	1996-11-19	VYDAJ	VYBER	8100	22996	\N	\N	\N
1300295	4439	1996-12-19	VYDAJ	VYBER	3700	26169	\N	\N	\N
1300296	4439	1997-01-18	VYDAJ	VYBER	1100	17837	\N	\N	\N
1300297	4439	1997-02-17	PRIJEM	VKLAD	1100	18486	\N	\N	\N
1300298	4439	1997-03-19	VYDAJ	VYBER	1200	20897	\N	\N	\N
1300299	4439	1997-04-18	VYDAJ	VYBER	2200	23288	\N	\N	\N
1300300	4439	1997-05-18	VYDAJ	VYBER	5600	22287	\N	\N	\N
1300301	4439	1997-06-17	VYDAJ	VYBER	3500	19891	\N	\N	\N
1300302	4439	1997-07-17	VYDAJ	VYBER	4500	19987	\N	\N	\N
1300303	4439	1997-08-16	VYDAJ	VYBER	2200	22377	\N	\N	\N
1300304	4439	1997-09-15	VYDAJ	VYBER	5300	21673	\N	\N	\N
1300305	4439	1997-10-15	VYDAJ	VYBER	1100	21450	\N	\N	\N
1300306	4439	1997-11-14	VYDAJ	VYBER	1300	24740	\N	\N	\N
1300307	4439	1997-12-14	VYDAJ	VYBER	4600	25086	\N	\N	\N
1300308	4439	1998-01-13	VYDAJ	VYBER	3100	22401	\N	\N	\N
1300309	4439	1998-02-12	PRIJEM	VKLAD	4700	14761	\N	\N	\N
1300310	4439	1998-03-14	PRIJEM	VKLAD	300	19615	\N	\N	\N
1300311	4439	1998-04-13	VYDAJ	VYBER	7500	16695	\N	\N	\N
1300312	4439	1998-05-13	VYDAJ	VYBER	200	21076	\N	\N	\N
1300313	4439	1998-06-12	VYDAJ	VYBER	4100	23825	\N	\N	\N
1300314	4439	1998-07-12	VYDAJ	VYBER	1900	26527	\N	\N	\N
1300315	4439	1998-08-11	VYDAJ	VYBER	2400	28740	\N	\N	\N
1300316	4439	1998-09-10	VYDAJ	VYBER	1400	31964	\N	\N	\N
1300317	4439	1998-10-10	VYDAJ	VYBER	8500	28100	\N	\N	\N
1300318	4439	1998-11-09	VYDAJ	VYBER	3300	29428	\N	\N	\N
1300658	4442	1996-08-08	PRIJEM	VKLAD	300	300	\N	\N	\N
1300667	4442	1996-09-06	PRIJEM	VKLAD	12885	13185	\N	\N	\N
1300668	4442	1996-10-06	PRIJEM	VKLAD	12885	35044	\N	\N	\N
1300669	4442	1996-11-06	PRIJEM	VKLAD	12885	40338	\N	\N	\N
1300670	4442	1996-12-06	PRIJEM	VKLAD	19328	50092	\N	\N	\N
1300671	4442	1997-01-06	PRIJEM	VKLAD	12885	43327	\N	\N	\N
1300672	4442	1997-02-06	PRIJEM	VKLAD	12885	36241	\N	\N	\N
1300673	4442	1997-03-06	PRIJEM	VKLAD	12885	39943	\N	\N	\N
1300674	4442	1997-04-06	PRIJEM	VKLAD	12885	30618	\N	\N	\N
1300675	4442	1997-05-06	PRIJEM	VKLAD	12885	36497	\N	\N	\N
1300676	4442	1997-06-06	PRIJEM	VKLAD	19328	47341	\N	\N	\N
1300677	4442	1997-07-06	PRIJEM	VKLAD	12885	40554	\N	\N	\N
1300678	4442	1997-08-06	PRIJEM	VKLAD	12885	40872	\N	\N	\N
1300679	4442	1997-09-06	PRIJEM	VKLAD	12885	42695	\N	\N	\N
1300680	4442	1997-10-06	PRIJEM	VKLAD	12885	44225	\N	\N	\N
1300681	4442	1997-11-06	PRIJEM	VKLAD	12885	43161	\N	\N	\N
1300682	4442	1997-12-06	PRIJEM	VKLAD	19328	48538	\N	\N	\N
1300683	4442	1998-01-06	PRIJEM	VKLAD	12885	43387	\N	\N	\N
1300684	4442	1998-02-06	PRIJEM	VKLAD	12885	37910	\N	\N	\N
1300685	4442	1998-03-06	PRIJEM	VKLAD	12885	41204	\N	\N	\N
1300686	4442	1998-04-06	PRIJEM	VKLAD	12885	36925	\N	\N	\N
1300687	4442	1998-05-06	PRIJEM	VKLAD	12885	35716	\N	\N	\N
1300688	4442	1998-06-06	PRIJEM	VKLAD	19328	40253	\N	\N	\N
1300689	4442	1998-07-06	PRIJEM	VKLAD	12885	38746	\N	\N	\N
1300690	4442	1998-08-06	PRIJEM	VKLAD	12885	32740	\N	\N	\N
1300691	4442	1998-09-06	PRIJEM	VKLAD	12885	35113	\N	\N	\N
1300692	4442	1998-10-06	PRIJEM	VKLAD	12885	31304	\N	\N	\N
1300693	4442	1998-11-06	PRIJEM	VKLAD	12885	27967	\N	\N	\N
1300694	4442	1998-12-06	PRIJEM	VKLAD	19328	39064	\N	\N	\N
1300707	4442	1997-01-13	VYDAJ	PREVOD NA UCET	8590	29637	SIPO	CD	2065778
1300708	4442	1997-02-13	VYDAJ	PREVOD NA UCET	8590	26951	SIPO	CD	2065778
1300709	4442	1997-03-13	VYDAJ	PREVOD NA UCET	8590	19553	SIPO	CD	2065778
1300710	4442	1997-04-13	VYDAJ	PREVOD NA UCET	8590	22028	SIPO	CD	2065778
1300711	4442	1997-05-13	VYDAJ	PREVOD NA UCET	8590	27907	SIPO	CD	2065778
1300712	4442	1997-06-13	VYDAJ	PREVOD NA UCET	8590	34051	SIPO	CD	2065778
1300713	4442	1997-07-13	VYDAJ	PREVOD NA UCET	8590	31964	SIPO	CD	2065778
1300714	4442	1997-08-13	VYDAJ	PREVOD NA UCET	8590	32282	SIPO	CD	2065778
1300715	4442	1997-09-13	VYDAJ	PREVOD NA UCET	8590	34105	SIPO	CD	2065778
1300716	4442	1997-10-13	VYDAJ	PREVOD NA UCET	8590	35635	SIPO	CD	2065778
1300717	4442	1997-11-13	VYDAJ	PREVOD NA UCET	8590	34571	SIPO	CD	2065778
1300718	4442	1997-12-13	VYDAJ	PREVOD NA UCET	8590	39948	SIPO	CD	2065778
1300719	4442	1998-01-13	VYDAJ	PREVOD NA UCET	8590	34797	SIPO	CD	2065778
1300720	4442	1998-02-13	VYDAJ	PREVOD NA UCET	8590	29320	SIPO	CD	2065778
1300721	4442	1998-03-13	VYDAJ	PREVOD NA UCET	8590	32614	SIPO	CD	2065778
1300722	4442	1998-04-13	VYDAJ	PREVOD NA UCET	8590	28335	SIPO	CD	2065778
1300723	4442	1998-05-13	VYDAJ	PREVOD NA UCET	8590	27126	SIPO	CD	2065778
1300724	4442	1998-06-13	VYDAJ	PREVOD NA UCET	8590	31663	SIPO	CD	2065778
1300725	4442	1998-07-13	VYDAJ	PREVOD NA UCET	8590	30156	SIPO	CD	2065778
1300726	4442	1998-08-13	VYDAJ	PREVOD NA UCET	8590	24150	SIPO	CD	2065778
1300727	4442	1998-09-13	VYDAJ	PREVOD NA UCET	8590	26523	SIPO	CD	2065778
1300728	4442	1998-10-13	VYDAJ	PREVOD NA UCET	8590	22714	SIPO	CD	2065778
1300729	4442	1998-11-13	VYDAJ	PREVOD NA UCET	8590	19377	SIPO	CD	2065778
1300730	4442	1998-12-13	VYDAJ	PREVOD NA UCET	8590	29974	SIPO	CD	2065778
1300768	4442	1997-06-14	VYDAJ	VYBER	7500	26551	\N	\N	\N
1300771	4442	1997-12-24	VYDAJ	VYBER	2600	37348	\N	\N	\N
1300772	4442	1998-12-10	VYDAJ	VYBER	500	38564	\N	\N	\N
1300779	4442	1997-01-12	VYDAJ	VYBER	700	38227	\N	\N	\N
1300780	4442	1997-01-26	VYDAJ	VYBER	1400	26237	\N	\N	\N
1300781	4442	1997-01-17	VYDAJ	VYBER	2000	27637	\N	\N	\N
1300782	4442	1997-01-08	VYDAJ	VYBER	2900	39427	\N	\N	\N
1300783	4442	1997-01-12	VYDAJ	VYBER	500	38927	\N	\N	\N
1300784	4442	1997-01-07	VYDAJ	VYBER	1000	42327	\N	\N	\N
1300785	4442	1998-01-29	VYDAJ	VYBER	1000	30997	\N	\N	\N
1300786	4442	1998-01-19	VYDAJ	VYBER	1800	31997	\N	\N	\N
1300787	4442	1998-01-17	VYDAJ	VYBER	1000	33797	\N	\N	\N
1300788	4442	1998-01-30	VYDAJ	VYBER	700	28597	\N	\N	\N
1300789	4442	1998-01-30	VYDAJ	VYBER	1200	29297	\N	\N	\N
1300790	4442	1998-01-30	VYDAJ	VYBER	500	30497	\N	\N	\N
1300794	4442	1997-02-12	VYDAJ	VYBER	700	35541	\N	\N	\N
1300795	4442	1997-06-06	VYDAJ	VYBER	4700	42641	\N	\N	\N
1300796	4442	1998-09-26	VYDAJ	VYBER	4900	21623	\N	\N	\N
1300797	4442	1998-09-28	VYDAJ	VYBER	2500	18323	\N	\N	\N
1300798	4442	1998-09-03	VYDAJ	VYBER	700	22228	\N	\N	\N
1300813	4442	1997-01-31	VYDAJ	VYBER	15	26356	SLUZBY	\N	\N
1300814	4442	1997-02-28	VYDAJ	VYBER	15	27058	SLUZBY	\N	\N
1300815	4442	1997-03-31	VYDAJ	VYBER	15	19633	SLUZBY	\N	\N
1300816	4442	1997-04-30	VYDAJ	VYBER	15	22112	SLUZBY	\N	\N
1300817	4442	1997-05-31	VYDAJ	VYBER	15	28013	SLUZBY	\N	\N
1300818	4442	1997-06-30	VYDAJ	VYBER	15	26669	SLUZBY	\N	\N
1300819	4442	1997-07-31	VYDAJ	VYBER	15	32087	SLUZBY	\N	\N
1300820	4442	1997-08-31	VYDAJ	VYBER	15	32410	SLUZBY	\N	\N
1300821	4442	1997-09-30	VYDAJ	VYBER	15	34240	SLUZBY	\N	\N
1300822	4442	1997-10-31	VYDAJ	VYBER	15	35776	SLUZBY	\N	\N
1300823	4442	1997-11-30	VYDAJ	VYBER	15	34710	SLUZBY	\N	\N
1300824	4442	1997-12-31	VYDAJ	VYBER	15	37502	SLUZBY	\N	\N
1300825	4442	1998-01-31	VYDAJ	VYBER	15	25025	SLUZBY	\N	\N
1300826	4442	1998-02-28	VYDAJ	VYBER	15	29419	SLUZBY	\N	\N
1300827	4442	1998-03-31	VYDAJ	VYBER	15	32740	SLUZBY	\N	\N
1300828	4442	1998-04-30	VYDAJ	VYBER	15	28431	SLUZBY	\N	\N
1300829	4442	1998-05-31	VYDAJ	VYBER	15	20925	SLUZBY	\N	\N
1300830	4442	1998-06-30	VYDAJ	VYBER	15	25861	SLUZBY	\N	\N
1300831	4442	1998-07-31	VYDAJ	VYBER	15	19855	SLUZBY	\N	\N
1300832	4442	1998-08-31	VYDAJ	VYBER	15	22928	SLUZBY	\N	\N
1300833	4442	1998-09-30	VYDAJ	VYBER	15	18419	SLUZBY	\N	\N
1300834	4442	1998-10-31	VYDAJ	VYBER	15	15082	SLUZBY	\N	\N
1300835	4442	1998-11-30	VYDAJ	VYBER	15	19736	SLUZBY	\N	\N
1300836	4442	1996-09-07	PRIJEM	VKLAD	8900	22085	\N	\N	\N
1300837	4442	1996-10-07	VYDAJ	VYBER	7700	27344	\N	\N	\N
1300838	4442	1996-11-06	VYDAJ	VYBER	9700	30638	\N	\N	\N
1300839	4442	1996-12-06	VYDAJ	VYBER	13100	36992	\N	\N	\N
1300840	4442	1997-01-05	VYDAJ	VYBER	6700	30442	\N	\N	\N
1300841	4442	1997-02-04	VYDAJ	VYBER	3000	23356	\N	\N	\N
1300842	4442	1997-03-06	VYDAJ	VYBER	11800	28143	\N	\N	\N
1300843	4442	1997-04-05	VYDAJ	VYBER	1900	17733	\N	\N	\N
1300844	4442	1997-05-05	PRIJEM	VKLAD	1500	23612	\N	\N	\N
1300845	4442	1997-07-04	PRIJEM	VKLAD	1000	27669	\N	\N	\N
1300846	4442	1997-08-03	VYDAJ	VYBER	4100	27987	\N	\N	\N
1300847	4442	1997-09-02	VYDAJ	VYBER	2600	29810	\N	\N	\N
1300848	4442	1997-10-02	VYDAJ	VYBER	2900	31340	\N	\N	\N
1300849	4442	1997-11-01	VYDAJ	VYBER	5500	30276	\N	\N	\N
1300850	4442	1997-12-01	VYDAJ	VYBER	5500	29210	\N	\N	\N
1300851	4442	1997-12-31	VYDAJ	VYBER	7000	30502	\N	\N	\N
1300852	4442	1998-01-30	VYDAJ	VYBER	3700	24897	\N	\N	\N
1300853	4442	1998-03-01	VYDAJ	VYBER	1100	28319	\N	\N	\N
1300854	4442	1998-03-31	VYDAJ	VYBER	8700	24040	\N	\N	\N
1300855	4442	1998-04-30	VYDAJ	VYBER	5600	22831	\N	\N	\N
1300856	4442	1998-05-30	VYDAJ	VYBER	6300	20826	\N	\N	\N
1300857	4442	1998-06-29	VYDAJ	VYBER	5900	25763	\N	\N	\N
1300858	4442	1998-07-29	VYDAJ	VYBER	10400	19756	\N	\N	\N
1300859	4442	1998-08-28	VYDAJ	VYBER	1300	22850	\N	\N	\N
1300860	4442	1998-09-27	VYDAJ	VYBER	800	20823	\N	\N	\N
1300861	4442	1998-10-27	VYDAJ	VYBER	7700	15014	\N	\N	\N
1300862	4442	1998-11-26	PRIJEM	VKLAD	300	19677	\N	\N	\N
1301506	4445	1997-08-07	PRIJEM	VKLAD	400	400	\N	\N	\N
1301515	4445	1997-09-06	PRIJEM	VKLAD	12267	12667	\N	\N	\N
1301516	4445	1997-10-06	PRIJEM	VKLAD	12267	32203	\N	\N	\N
1301517	4445	1997-11-06	PRIJEM	VKLAD	12267	38780	\N	\N	\N
1301518	4445	1997-12-06	PRIJEM	VKLAD	18400	46634	\N	\N	\N
1301519	4445	1998-01-06	PRIJEM	VKLAD	12267	46090	\N	\N	\N
1301520	4445	1998-02-06	PRIJEM	VKLAD	12267	35014	\N	\N	\N
1301521	4445	1998-03-06	PRIJEM	VKLAD	12267	34505	\N	\N	\N
1301522	4445	1998-04-06	PRIJEM	VKLAD	12267	34002	\N	\N	\N
1301523	4445	1998-05-06	PRIJEM	VKLAD	12267	32396	\N	\N	\N
1301524	4445	1998-06-06	PRIJEM	VKLAD	18400	40218	\N	\N	\N
1301525	4445	1998-07-06	PRIJEM	VKLAD	12267	32506	\N	\N	\N
1301526	4445	1998-08-06	PRIJEM	VKLAD	12267	31283	\N	\N	\N
1301527	4445	1998-09-06	PRIJEM	VKLAD	12267	30156	\N	\N	\N
1301528	4445	1998-10-06	PRIJEM	VKLAD	12267	32732	\N	\N	\N
1301529	4445	1998-11-06	PRIJEM	VKLAD	12267	32617	\N	\N	\N
1301530	4445	1998-12-06	PRIJEM	VKLAD	18400	33387	\N	\N	\N
1301532	4445	1998-06-11	VYDAJ	VYBER	9300	30918	\N	\N	\N
1301534	4445	1998-01-29	VYDAJ	VYBER	9200	28290	\N	\N	\N
1301536	4445	1998-12-27	VYDAJ	VYBER	500	32887	\N	\N	\N
1301543	4445	1998-01-17	VYDAJ	VYBER	1100	42890	\N	\N	\N
1301544	4445	1998-01-09	VYDAJ	VYBER	500	45590	\N	\N	\N
1301545	4445	1998-01-20	VYDAJ	VYBER	900	40390	\N	\N	\N
1301546	4445	1998-01-21	VYDAJ	VYBER	1200	39190	\N	\N	\N
1301547	4445	1998-01-17	VYDAJ	VYBER	1600	41290	\N	\N	\N
1301548	4445	1998-01-22	VYDAJ	VYBER	1700	37490	\N	\N	\N
1301552	4445	1998-01-11	VYDAJ	VYBER	1600	43990	\N	\N	\N
1301553	4445	1998-06-29	VYDAJ	VYBER	2200	28718	\N	\N	\N
1301554	4445	1998-08-02	VYDAJ	VYBER	2400	19016	\N	\N	\N
1301555	4445	1998-07-09	VYDAJ	VYBER	2800	29706	\N	\N	\N
1301556	4445	1998-08-26	VYDAJ	VYBER	3400	27883	\N	\N	\N
1301557	4445	1998-02-01	VYDAJ	VYBER	700	27747	\N	\N	\N
1301571	4445	1998-01-31	VYDAJ	VYBER	15	28447	SLUZBY	\N	\N
1301572	4445	1998-02-28	VYDAJ	VYBER	15	35138	SLUZBY	\N	\N
1301573	4445	1998-03-31	VYDAJ	VYBER	15	34635	SLUZBY	\N	\N
1301574	4445	1998-04-30	VYDAJ	VYBER	15	34129	SLUZBY	\N	\N
1301575	4445	1998-05-31	VYDAJ	VYBER	15	32518	SLUZBY	\N	\N
1301576	4445	1998-06-30	VYDAJ	VYBER	15	28839	SLUZBY	\N	\N
1301577	4445	1998-07-31	VYDAJ	VYBER	15	29816	SLUZBY	\N	\N
1301578	4445	1998-08-31	VYDAJ	VYBER	15	27989	SLUZBY	\N	\N
1301579	4445	1998-09-30	VYDAJ	VYBER	15	30265	SLUZBY	\N	\N
1301580	4445	1998-10-31	VYDAJ	VYBER	15	32850	SLUZBY	\N	\N
1301581	4445	1998-11-30	VYDAJ	VYBER	15	32687	SLUZBY	\N	\N
1301582	4445	1997-09-06	PRIJEM	VKLAD	7200	19867	\N	\N	\N
1301583	4445	1997-10-06	VYDAJ	VYBER	4600	27603	\N	\N	\N
1301584	4445	1997-11-05	VYDAJ	VYBER	1200	26513	\N	\N	\N
1301585	4445	1997-12-05	VYDAJ	VYBER	10700	28234	\N	\N	\N
1301586	4445	1998-01-04	VYDAJ	VYBER	13000	33823	\N	\N	\N
1301587	4445	1998-02-03	VYDAJ	VYBER	5000	22747	\N	\N	\N
1301588	4445	1998-03-05	VYDAJ	VYBER	12900	22238	\N	\N	\N
1301589	4445	1998-04-04	VYDAJ	VYBER	12900	21735	\N	\N	\N
1301590	4445	1998-05-04	VYDAJ	VYBER	14000	20129	\N	\N	\N
1301591	4445	1998-06-03	VYDAJ	VYBER	10700	21818	\N	\N	\N
1301592	4445	1998-07-03	VYDAJ	VYBER	8600	20239	\N	\N	\N
1301593	4445	1998-08-02	VYDAJ	VYBER	8400	21416	\N	\N	\N
1301594	4445	1998-09-01	VYDAJ	VYBER	10100	17889	\N	\N	\N
1301595	4445	1998-10-01	VYDAJ	VYBER	9800	20465	\N	\N	\N
1301596	4445	1998-10-31	VYDAJ	VYBER	12500	20350	\N	\N	\N
1301597	4445	1998-11-30	VYDAJ	VYBER	17700	14987	\N	\N	\N
1302045	4447	1996-06-16	PRIJEM	VKLAD	200	200	\N	\N	\N
1302047	4447	1996-07-14	PRIJEM	VKLAD	43444	73734	\N	\N	\N
1302048	4447	1996-07-27	PRIJEM	VKLAD	29287	78721	\N	\N	\N
1302049	4447	1996-11-27	PRIJEM	VKLAD	40308	109129	\N	\N	\N
1302050	4447	1996-08-21	PRIJEM	VKLAD	12952	71989	\N	\N	\N
1302051	4447	1996-11-19	PRIJEM	VKLAD	45284	68821	\N	\N	\N
1302052	4447	1996-09-27	PRIJEM	VKLAD	30598	65913	\N	\N	\N
1302053	4447	1996-08-05	PRIJEM	VKLAD	49871	128779	\N	\N	\N
1302055	4447	1996-10-02	PRIJEM	VKLAD	6764	72899	\N	\N	\N
1302056	4447	1996-06-27	PRIJEM	VKLAD	30073	30273	\N	\N	\N
1302057	4447	1996-08-14	PRIJEM	VKLAD	10558	114037	\N	\N	\N
1302061	4447	1997-04-21	PRIJEM	VKLAD	34618	89478	\N	\N	\N
1302062	4447	1997-04-12	PRIJEM	VKLAD	33538	73070	\N	\N	\N
1302063	4447	1997-03-12	PRIJEM	VKLAD	10521	67624	\N	\N	\N
1302064	4447	1997-03-02	PRIJEM	VKLAD	21120	57103	\N	\N	\N
1302065	4447	1997-01-04	PRIJEM	VKLAD	28850	72510	\N	\N	\N
1302066	4447	1997-12-14	PRIJEM	VKLAD	6985	31055	\N	\N	\N
1302067	4447	1997-01-21	PRIJEM	VKLAD	44752	75109	\N	\N	\N
1302068	4447	1997-12-27	PRIJEM	VKLAD	43072	68727	\N	\N	\N
1302069	4447	1997-02-08	PRIJEM	VKLAD	36267	87812	\N	\N	\N
1302070	4447	1997-11-21	PRIJEM	VKLAD	27372	42536	\N	\N	\N
1302071	4447	1997-04-20	PRIJEM	VKLAD	35972	118260	\N	\N	\N
1302072	4447	1997-07-17	PRIJEM	VKLAD	33708	47979	\N	\N	\N
1302073	4447	1997-04-14	PRIJEM	VKLAD	38872	82288	\N	\N	\N
1302074	4447	1998-02-22	PRIJEM	VKLAD	22339	61073	\N	\N	\N
1302075	4447	1998-03-16	PRIJEM	VKLAD	32129	63429	\N	\N	\N
1302076	4447	1998-12-10	PRIJEM	VKLAD	45981	83729	\N	\N	\N
1302077	4447	1998-11-25	PRIJEM	VKLAD	19838	65137	\N	\N	\N
1302078	4447	1998-10-02	PRIJEM	VKLAD	24774	44486	\N	\N	\N
1302079	4447	1998-01-13	PRIJEM	VKLAD	48642	72560	\N	\N	\N
1302080	4447	1998-08-26	PRIJEM	VKLAD	10952	32640	\N	\N	\N
1302081	4447	1998-06-14	PRIJEM	VKLAD	31750	56956	\N	\N	\N
1302082	4447	1998-05-26	PRIJEM	VKLAD	16534	38452	\N	\N	\N
1302083	4447	1998-02-16	PRIJEM	VKLAD	15484	44689	\N	\N	\N
1302084	4447	1998-11-22	PRIJEM	VKLAD	36538	50386	\N	\N	\N
1302093	4447	1996-09-14	VYDAJ	VYBER	3300	35315	\N	\N	0
1302094	4447	1996-10-14	VYDAJ	VYBER	4800	68099	\N	\N	0
1302095	4447	1996-11-12	VYDAJ	PREVOD NA UCET	5354	22637	UVER	WX	55297768
1302096	4447	1996-12-12	VYDAJ	PREVOD NA UCET	5354	62845	UVER	WX	55297768
1302097	4447	1997-01-12	VYDAJ	PREVOD NA UCET	5354	43557	UVER	WX	55297768
1302098	4447	1997-02-12	VYDAJ	PREVOD NA UCET	5354	50658	UVER	WX	55297768
1302099	4447	1997-03-12	VYDAJ	PREVOD NA UCET	5354	62270	UVER	WX	55297768
1302100	4447	1997-04-12	VYDAJ	PREVOD NA UCET	5354	49716	UVER	WX	55297768
1302101	4447	1997-05-12	VYDAJ	PREVOD NA UCET	5354	56101	UVER	WX	55297768
1302102	4447	1997-06-12	VYDAJ	PREVOD NA UCET	5354	19812	UVER	WX	55297768
1302103	4447	1997-07-12	VYDAJ	PREVOD NA UCET	5354	14271	UVER	WX	55297768
1302104	4447	1997-08-12	VYDAJ	PREVOD NA UCET	5354	29546	UVER	WX	55297768
1302105	4447	1997-09-12	VYDAJ	PREVOD NA UCET	5354	20928	UVER	WX	55297768
1302106	4447	1997-10-12	VYDAJ	PREVOD NA UCET	5354	16059	UVER	WX	55297768
1302107	4447	1997-11-12	VYDAJ	PREVOD NA UCET	5354	15164	UVER	WX	55297768
1302108	4447	1997-12-12	VYDAJ	PREVOD NA UCET	5354	24070	UVER	WX	55297768
1302109	4447	1998-01-12	VYDAJ	PREVOD NA UCET	5354	23918	UVER	WX	55297768
1302110	4447	1998-02-12	VYDAJ	PREVOD NA UCET	5354	29205	UVER	WX	55297768
1302111	4447	1998-03-12	VYDAJ	PREVOD NA UCET	5354	31300	UVER	WX	55297768
1302112	4447	1998-04-12	VYDAJ	PREVOD NA UCET	5354	34500	UVER	WX	55297768
1302113	4447	1998-05-12	VYDAJ	PREVOD NA UCET	5354	21918	UVER	WX	55297768
1302114	4447	1998-06-12	VYDAJ	PREVOD NA UCET	5354	25206	UVER	WX	55297768
1302115	4447	1998-07-12	VYDAJ	PREVOD NA UCET	5354	34986	UVER	WX	55297768
1302116	4447	1998-08-12	VYDAJ	PREVOD NA UCET	5354	21688	UVER	WX	55297768
1302117	4447	1998-09-12	VYDAJ	PREVOD NA UCET	5354	19635	UVER	WX	55297768
1302118	4447	1998-10-12	VYDAJ	PREVOD NA UCET	5354	22418	UVER	WX	55297768
1302119	4447	1998-11-12	VYDAJ	PREVOD NA UCET	5354	13848	UVER	WX	55297768
1302120	4447	1998-12-12	VYDAJ	PREVOD NA UCET	5354	78375	UVER	WX	55297768
1302122	4447	1996-09-11	VYBER	VYBER	23127	49215	\N	\N	\N
1302132	4447	1997-02-16	VYBER	VYBER	14880	35778	\N	\N	\N
1302133	4447	1997-02-05	VYBER	VYBER	18083	51545	\N	\N	\N
1302136	4447	1998-02-18	VYBER	VYBER	5955	38734	\N	\N	\N
1302138	4447	1998-08-03	VYBER	VYBER	3906	31242	\N	\N	\N
1302140	4447	1998-10-07	VYBER	VYBER	4114	27772	\N	\N	\N
1302141	4447	1998-09-05	VYBER	VYBER	2147	24988	\N	\N	\N
1302143	4447	1998-11-24	VYBER	VYBER	5087	45299	\N	\N	\N
1302146	4447	1997-06-09	VYDAJ	VYBER	27300	24866	\N	\N	\N
1302148	4447	1996-12-01	VYDAJ	VYBER	6600	68199	\N	\N	\N
1302149	4447	1997-12-15	VYDAJ	VYBER	5400	25655	\N	\N	\N
1302150	4447	1998-12-09	VYDAJ	VYBER	1500	37748	\N	\N	\N
1302157	4447	1997-01-20	VYDAJ	VYBER	1800	30357	\N	\N	\N
1302158	4447	1997-01-29	VYDAJ	VYBER	3300	69409	\N	\N	\N
1302159	4447	1997-01-22	VYDAJ	VYBER	2400	72709	\N	\N	\N
1302160	4447	1997-01-14	VYDAJ	VYBER	6000	37557	\N	\N	\N
1302161	4447	1997-01-07	VYDAJ	VYBER	2700	69810	\N	\N	\N
1302162	4447	1997-01-19	VYDAJ	VYBER	5400	32157	\N	\N	\N
1302163	4447	1998-01-06	VYDAJ	VYBER	8400	57172	\N	\N	\N
1302164	4447	1998-01-16	VYDAJ	VYBER	8700	56660	\N	\N	\N
1302165	4447	1998-01-21	VYDAJ	VYBER	8100	48560	\N	\N	\N
1302166	4447	1998-01-08	VYDAJ	VYBER	7500	29272	\N	\N	\N
1302167	4447	1998-01-05	VYDAJ	VYBER	3300	65572	\N	\N	\N
1302168	4447	1998-01-13	VYDAJ	VYBER	7200	65360	\N	\N	\N
1302171	4447	1996-10-15	VYDAJ	VYBER	8400	27799	\N	\N	\N
1302173	4447	1996-10-15	VYDAJ	VYBER	8100	36199	\N	\N	\N
1302174	4447	1997-04-08	VYDAJ	VYBER	5400	39532	\N	\N	\N
1302175	4447	1997-05-25	VYDAJ	VYBER	4200	51901	\N	\N	\N
1302176	4447	1997-04-12	VYDAJ	VYBER	6300	43416	\N	\N	\N
1302177	4447	1998-12-28	VYDAJ	VYBER	9300	69075	\N	\N	\N
1302179	4447	1998-02-22	VYDAJ	VYBER	2400	58673	\N	\N	\N
1302188	4447	1996-08-31	VYDAJ	VYBER	15	72342	SLUZBY	\N	\N
1302189	4447	1996-09-30	VYDAJ	VYBER	15	66135	SLUZBY	\N	\N
1302190	4447	1996-10-31	VYDAJ	VYBER	15	27991	SLUZBY	\N	\N
1302191	4447	1996-11-30	VYDAJ	VYBER	15	74799	SLUZBY	\N	\N
1302192	4447	1996-12-31	VYDAJ	VYBER	15	43660	SLUZBY	\N	\N
1302193	4447	1997-01-31	VYDAJ	VYBER	15	69628	SLUZBY	\N	\N
1302194	4447	1997-02-28	VYDAJ	VYBER	15	35983	SLUZBY	\N	\N
1302195	4447	1997-03-31	VYDAJ	VYBER	15	44932	SLUZBY	\N	\N
1302196	4447	1997-04-30	VYDAJ	VYBER	15	89755	SLUZBY	\N	\N
1302197	4447	1997-05-31	VYDAJ	VYBER	15	52166	SLUZBY	\N	\N
1302198	4447	1997-06-30	VYDAJ	VYBER	15	19925	SLUZBY	\N	\N
1302199	4447	1997-07-31	VYDAJ	VYBER	15	48100	SLUZBY	\N	\N
1302200	4447	1997-08-31	VYDAJ	VYBER	15	29681	SLUZBY	\N	\N
1302201	4447	1997-09-30	VYDAJ	VYBER	15	21013	SLUZBY	\N	\N
1302202	4447	1997-10-31	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
1302203	4447	1997-11-30	VYDAJ	VYBER	15	42623	SLUZBY	\N	\N
1302204	4447	1997-12-31	VYDAJ	VYBER	15	68872	SLUZBY	\N	\N
1302205	4447	1998-01-31	VYDAJ	VYBER	15	48758	SLUZBY	\N	\N
1302206	4447	1998-02-28	VYDAJ	VYBER	15	58854	SLUZBY	\N	\N
1302207	4447	1998-03-31	VYDAJ	VYBER	15	63653	SLUZBY	\N	\N
1302208	4447	1998-04-30	VYDAJ	VYBER	15	34672	SLUZBY	\N	\N
1302209	4447	1998-05-31	VYDAJ	VYBER	15	38559	SLUZBY	\N	\N
1302210	4447	1998-06-30	VYDAJ	VYBER	15	57140	SLUZBY	\N	\N
1302211	4447	1998-07-31	VYDAJ	VYBER	15	35148	SLUZBY	\N	\N
1302212	4447	1998-08-31	VYDAJ	VYBER	15	32735	SLUZBY	\N	\N
1302213	4447	1998-09-30	VYDAJ	VYBER	15	19712	SLUZBY	\N	\N
1302214	4447	1998-10-31	VYDAJ	VYBER	15	22501	SLUZBY	\N	\N
1302215	4447	1998-11-30	VYDAJ	VYBER	15	65248	SLUZBY	\N	\N
1302216	4447	1996-07-16	VYDAJ	VYBER	24300	49434	\N	\N	\N
1302217	4447	1996-08-05	VYDAJ	VYBER	25300	103479	\N	\N	\N
1302218	4447	1996-08-14	VYDAJ	VYBER	20900	93137	\N	\N	\N
1302219	4447	1996-08-15	VYDAJ	VYBER	34100	59037	\N	\N	\N
1302220	4447	1996-09-14	VYDAJ	VYBER	10600	38615	\N	\N	\N
1302221	4447	1996-10-14	VYDAJ	VYBER	23800	44299	\N	\N	\N
1302222	4447	1996-11-13	PRIJEM	VKLAD	900	23537	\N	\N	\N
1302223	4447	1996-11-27	VYDAJ	VYBER	34500	74629	\N	\N	\N
1302224	4447	1996-12-13	VYDAJ	VYBER	19400	43445	\N	\N	\N
1302225	4447	1997-01-12	VYDAJ	VYBER	20900	48910	\N	\N	\N
1302226	4447	1997-02-11	VYDAJ	VYBER	31800	56012	\N	\N	\N
1302227	4447	1997-03-13	VYDAJ	VYBER	17500	44770	\N	\N	\N
1302228	4447	1997-04-12	VYDAJ	VYBER	18000	55070	\N	\N	\N
1302229	4447	1997-04-20	VYDAJ	VYBER	63400	54860	\N	\N	\N
1302230	4447	1997-05-12	VYDAJ	VYBER	28300	61455	\N	\N	\N
1302231	4447	1997-06-11	PRIJEM	VKLAD	300	25166	\N	\N	\N
1302232	4447	1997-07-11	VYDAJ	VYBER	300	19625	\N	\N	\N
1302233	4447	1997-08-10	VYDAJ	VYBER	13200	34900	\N	\N	\N
1302234	4447	1997-09-09	VYDAJ	VYBER	3400	26281	\N	\N	\N
1302235	4447	1997-10-09	PRIJEM	VKLAD	400	21413	\N	\N	\N
1302236	4447	1997-11-08	PRIJEM	VKLAD	4400	20518	\N	\N	\N
1302237	4447	1997-12-08	VYDAJ	VYBER	13200	29423	\N	\N	\N
1302238	4447	1998-01-07	VYDAJ	VYBER	20400	36772	\N	\N	\N
1302239	4447	1998-02-06	VYDAJ	VYBER	14200	34558	\N	\N	\N
1302240	4447	1998-03-08	VYDAJ	VYBER	22200	36654	\N	\N	\N
1302241	4447	1998-04-07	VYDAJ	VYBER	23800	39853	\N	\N	\N
1302242	4447	1998-05-07	VYDAJ	VYBER	7400	27272	\N	\N	\N
1302243	4447	1998-06-06	VYDAJ	VYBER	8000	30559	\N	\N	\N
1302244	4447	1998-07-06	VYDAJ	VYBER	16800	40340	\N	\N	\N
1302245	4447	1998-08-05	VYDAJ	VYBER	4200	27042	\N	\N	\N
1302246	4447	1998-09-04	VYDAJ	VYBER	5600	27135	\N	\N	\N
1302247	4447	1998-10-04	VYDAJ	VYBER	12600	31886	\N	\N	\N
1302248	4447	1998-11-03	VYDAJ	VYBER	3300	19201	\N	\N	\N
1302249	4447	1998-12-03	VYDAJ	VYBER	26000	39248	\N	\N	\N
1302281	4448	1993-06-02	PRIJEM	VKLAD	700	700	\N	\N	\N
1302282	4448	1993-12-03	PRIJEM	VKLAD	32949	80444	\N	\N	\N
1302283	4448	1993-12-02	PRIJEM	VKLAD	21477	47495	\N	\N	\N
1302284	4448	1993-12-16	PRIJEM	VKLAD	41064	121508	\N	\N	\N
1302286	4448	1993-09-09	PRIJEM	VKLAD	39258	59991	\N	\N	\N
1302287	4448	1993-08-29	PRIJEM	VKLAD	5524	22324	\N	\N	\N
1302289	4448	1994-09-01	PRIJEM	VKLAD	31310	60719	\N	\N	\N
1302290	4448	1994-03-19	PRIJEM	VKLAD	29577	58223	\N	\N	\N
1302291	4448	1994-03-31	PRIJEM	VKLAD	15926	54623	\N	\N	\N
1302292	4448	1994-02-15	PRIJEM	VKLAD	23071	47553	\N	\N	\N
1302293	4448	1994-10-09	PRIJEM	VKLAD	19886	48905	\N	\N	\N
1302294	4448	1994-11-10	PRIJEM	VKLAD	36322	74407	\N	\N	\N
1302295	4448	1994-05-08	PRIJEM	VKLAD	27636	47268	\N	\N	\N
1302296	4448	1995-01-05	PRIJEM	VKLAD	25143	59218	\N	\N	\N
1302297	4448	1995-01-18	PRIJEM	VKLAD	17439	36503	\N	\N	\N
1302298	4448	1995-08-07	PRIJEM	VKLAD	38155	127742	\N	\N	\N
1302299	4448	1995-04-23	PRIJEM	VKLAD	22589	119833	\N	\N	\N
1302300	4448	1995-08-22	PRIJEM	VKLAD	21951	79193	\N	\N	\N
1302301	4448	1995-09-15	PRIJEM	VKLAD	33748	131128	\N	\N	\N
1302302	4448	1995-07-11	PRIJEM	VKLAD	5329	85496	\N	\N	\N
1302303	4448	1995-05-26	PRIJEM	VKLAD	45721	79069	\N	\N	\N
1302304	4448	1995-04-23	PRIJEM	VKLAD	37172	157005	\N	\N	\N
1302305	4448	1995-06-29	PRIJEM	VKLAD	9062	73287	\N	\N	\N
1302306	4448	1995-08-05	PRIJEM	VKLAD	38082	89587	\N	\N	\N
1302307	4448	1995-01-24	PRIJEM	VKLAD	24837	61040	\N	\N	\N
1302308	4448	1995-09-06	PRIJEM	VKLAD	23279	102734	\N	\N	\N
1302309	4448	1995-06-01	PRIJEM	VKLAD	10639	89878	\N	\N	\N
1302310	4448	1995-12-13	PRIJEM	VKLAD	21738	113487	\N	\N	\N
1302311	4448	1995-08-10	PRIJEM	VKLAD	7858	73100	\N	\N	\N
1302312	4448	1995-07-05	PRIJEM	VKLAD	6576	80167	\N	\N	\N
1302313	4448	1995-03-15	PRIJEM	VKLAD	5192	53439	\N	\N	\N
1302314	4448	1995-01-27	PRIJEM	VKLAD	16699	77739	\N	\N	\N
1302315	4448	1995-04-16	PRIJEM	VKLAD	43412	97244	\N	\N	\N
1302316	4448	1995-02-11	PRIJEM	VKLAD	19689	91903	\N	\N	\N
1302317	4448	1995-10-06	PRIJEM	VKLAD	16384	108812	\N	\N	\N
1302318	4448	1995-04-04	PRIJEM	VKLAD	10946	59186	\N	\N	\N
1302319	4448	1995-10-27	PRIJEM	VKLAD	23326	102284	\N	\N	\N
1302320	4448	1995-11-24	PRIJEM	VKLAD	34078	96715	\N	\N	\N
1302321	4448	1995-09-26	PRIJEM	VKLAD	12333	92061	\N	\N	\N
1302322	4448	1995-02-17	PRIJEM	VKLAD	32540	119090	\N	\N	\N
1302323	4448	1995-11-14	PRIJEM	VKLAD	20133	117437	\N	\N	\N
1302324	4448	1996-04-16	PRIJEM	VKLAD	43122	107815	\N	\N	\N
1302325	4448	1996-09-17	PRIJEM	VKLAD	47519	96323	\N	\N	\N
1302326	4448	1996-10-07	PRIJEM	VKLAD	12038	108050	\N	\N	\N
1302327	4448	1996-01-14	PRIJEM	VKLAD	29787	65941	\N	\N	\N
1302328	4448	1996-12-16	PRIJEM	VKLAD	5665	76821	\N	\N	\N
1302329	4448	1996-05-04	PRIJEM	VKLAD	46363	115275	\N	\N	\N
1302330	4448	1996-11-04	PRIJEM	VKLAD	10294	116893	\N	\N	\N
1302331	4448	1996-07-16	PRIJEM	VKLAD	46999	93582	\N	\N	\N
1302332	4448	1996-10-04	PRIJEM	VKLAD	6811	96012	\N	\N	\N
1302333	4448	1996-10-16	PRIJEM	VKLAD	22799	106195	\N	\N	\N
1302334	4448	1996-03-24	PRIJEM	VKLAD	33277	81641	\N	\N	\N
1302335	4448	1996-12-10	PRIJEM	VKLAD	29421	93010	\N	\N	\N
1302336	4448	1996-01-16	PRIJEM	VKLAD	33751	99692	\N	\N	\N
1302337	4448	1996-04-01	PRIJEM	VKLAD	41535	123389	\N	\N	\N
1302338	4448	1996-08-03	PRIJEM	VKLAD	33374	112812	\N	\N	\N
1302339	4448	1997-02-07	PRIJEM	VKLAD	19130	72214	\N	\N	\N
1302340	4448	1997-10-22	PRIJEM	VKLAD	24273	131147	\N	\N	\N
1302341	4448	1997-11-22	PRIJEM	VKLAD	18228	102840	\N	\N	\N
1302342	4448	1997-10-20	PRIJEM	VKLAD	10377	78599	\N	\N	\N
1302343	4448	1997-10-22	PRIJEM	VKLAD	21153	152300	\N	\N	\N
1302344	4448	1997-09-24	PRIJEM	VKLAD	18611	82532	\N	\N	\N
1302345	4448	1997-07-08	PRIJEM	VKLAD	22511	70542	\N	\N	\N
1302346	4448	1997-04-08	PRIJEM	VKLAD	6077	82556	\N	\N	\N
1302347	4448	1997-09-12	PRIJEM	VKLAD	46840	129674	\N	\N	\N
1302348	4448	1997-02-16	PRIJEM	VKLAD	19218	56479	\N	\N	\N
1302349	4448	1997-06-05	PRIJEM	VKLAD	22741	91407	\N	\N	\N
1302350	4448	1997-08-02	PRIJEM	VKLAD	6080	107630	\N	\N	\N
1302351	4448	1997-10-21	PRIJEM	VKLAD	28275	106874	\N	\N	\N
1302352	4448	1997-03-31	PRIJEM	VKLAD	44835	129593	\N	\N	\N
1302353	4448	1997-11-15	PRIJEM	VKLAD	7602	90980	\N	\N	\N
1302354	4448	1997-01-18	PRIJEM	VKLAD	43541	89038	\N	\N	\N
1302355	4448	1997-09-25	PRIJEM	VKLAD	38869	121401	\N	\N	\N
1302356	4448	1997-07-17	PRIJEM	VKLAD	36160	101248	\N	\N	\N
1302357	4448	1997-12-11	PRIJEM	VKLAD	28355	116662	\N	\N	\N
1302358	4448	1997-05-25	PRIJEM	VKLAD	39821	133152	\N	\N	\N
1302359	4448	1997-03-04	PRIJEM	VKLAD	45860	115884	\N	\N	\N
1302360	4448	1997-03-04	PRIJEM	VKLAD	13340	70024	\N	\N	\N
1302361	4448	1997-01-20	PRIJEM	VKLAD	41342	124380	\N	\N	\N
1302362	4448	1997-04-30	PRIJEM	VKLAD	6982	80284	\N	\N	\N
1302363	4448	1997-05-16	PRIJEM	VKLAD	22815	93331	\N	\N	\N
1302364	4448	1998-05-06	PRIJEM	VKLAD	27239	65368	\N	\N	\N
1302365	4448	1998-06-14	PRIJEM	VKLAD	24370	103985	\N	\N	\N
1302378	4448	1994-01-08	VYDAJ	VYBER	4000	34869	\N	\N	0
1302379	4448	1994-02-20	VYDAJ	VYBER	4100	43453	\N	\N	0
1302380	4448	1994-03-05	VYDAJ	VYBER	4700	31964	\N	\N	0
1302381	4448	1994-04-23	VYDAJ	VYBER	4200	30704	\N	\N	0
1302382	4448	1994-05-02	VYDAJ	VYBER	5600	19632	\N	\N	0
1302383	4448	1994-06-14	VYDAJ	VYBER	3400	35327	\N	\N	0
1302384	4448	1994-07-21	VYDAJ	VYBER	4800	29767	\N	\N	0
1302385	4448	1994-08-06	VYDAJ	VYBER	7300	24294	\N	\N	0
1302386	4448	1994-09-18	VYDAJ	VYBER	6000	45119	\N	\N	0
1302387	4448	1994-10-12	VYDAJ	PREVOD NA UCET	5354	37753	UVER	WX	57328462
1302388	4448	1994-11-12	VYDAJ	PREVOD NA UCET	5354	69054	UVER	WX	57328462
1302389	4448	1994-12-12	VYDAJ	PREVOD NA UCET	5354	39508	UVER	WX	57328462
1302390	4448	1995-01-12	VYDAJ	PREVOD NA UCET	5354	19064	UVER	WX	57328462
1302391	4448	1995-02-12	VYDAJ	PREVOD NA UCET	5354	86550	UVER	WX	57328462
1302392	4448	1995-03-12	VYDAJ	PREVOD NA UCET	5354	48247	UVER	WX	57328462
1302393	4448	1995-04-12	VYDAJ	PREVOD NA UCET	5354	53832	UVER	WX	57328462
1302394	4448	1995-05-12	VYDAJ	PREVOD NA UCET	5354	31848	UVER	WX	57328462
1302395	4448	1995-06-12	VYDAJ	PREVOD NA UCET	5354	84525	UVER	WX	57328462
1302396	4448	1995-07-12	VYDAJ	PREVOD NA UCET	5354	61160	UVER	WX	57328462
1302397	4448	1995-08-12	VYDAJ	PREVOD NA UCET	5354	67746	UVER	WX	57328462
1302398	4448	1995-09-12	VYDAJ	PREVOD NA UCET	5354	97380	UVER	WX	57328462
1302399	4448	1995-10-12	VYDAJ	PREVOD NA UCET	5354	103458	UVER	WX	57328462
1302400	4448	1995-11-12	VYDAJ	PREVOD NA UCET	5354	97304	UVER	WX	57328462
1302401	4448	1995-12-12	VYDAJ	PREVOD NA UCET	5354	91749	UVER	WX	57328462
1302402	4448	1996-01-12	VYDAJ	PREVOD NA UCET	5354	36154	UVER	WX	57328462
1302403	4448	1996-02-12	VYDAJ	PREVOD NA UCET	5354	37353	UVER	WX	57328462
1302404	4448	1996-03-12	VYDAJ	PREVOD NA UCET	5354	40164	UVER	WX	57328462
1302405	4448	1996-04-12	VYDAJ	PREVOD NA UCET	5354	64693	UVER	WX	57328462
1302406	4448	1996-05-12	VYDAJ	PREVOD NA UCET	5354	82121	UVER	WX	57328462
1302407	4448	1996-06-12	VYDAJ	PREVOD NA UCET	5354	64196	UVER	WX	57328462
1302408	4448	1996-07-12	VYDAJ	PREVOD NA UCET	5354	46583	UVER	WX	57328462
1302409	4448	1996-08-12	VYDAJ	PREVOD NA UCET	5354	107458	UVER	WX	57328462
1302410	4448	1996-09-12	VYDAJ	PREVOD NA UCET	5354	35004	UVER	WX	57328462
1302411	4448	1996-10-12	VYDAJ	PREVOD NA UCET	5354	102696	UVER	WX	57328462
1302412	4448	1996-11-12	VYDAJ	PREVOD NA UCET	5354	111539	UVER	WX	57328462
1302413	4448	1996-12-12	VYDAJ	PREVOD NA UCET	5354	87656	UVER	WX	57328462
1302414	4448	1997-01-12	VYDAJ	PREVOD NA UCET	5354	45497	UVER	WX	57328462
1302415	4448	1997-02-12	VYDAJ	PREVOD NA UCET	5354	45334	UVER	WX	57328462
1302416	4448	1997-03-12	VYDAJ	PREVOD NA UCET	5354	99130	UVER	WX	57328462
1302417	4448	1997-04-12	VYDAJ	PREVOD NA UCET	5354	73302	UVER	WX	57328462
1302418	4448	1997-05-12	VYDAJ	PREVOD NA UCET	5354	75316	UVER	WX	57328462
1302419	4448	1997-06-12	VYDAJ	PREVOD NA UCET	5354	47853	UVER	WX	57328462
1302420	4448	1997-07-12	VYDAJ	PREVOD NA UCET	5354	65088	UVER	WX	57328462
1302421	4448	1997-08-12	VYDAJ	PREVOD NA UCET	5354	86076	UVER	WX	57328462
1302422	4448	1997-09-12	VYDAJ	PREVOD NA UCET	5354	124321	UVER	WX	57328462
1302423	4448	1997-10-22	VYDAJ	VYBER	4300	115100	\N	\N	0
1302424	4448	1997-11-02	VYDAJ	VYBER	4500	93078	\N	\N	0
1302425	4448	1997-12-17	VYDAJ	VYBER	4000	111162	\N	\N	0
1302426	4448	1998-01-09	VYDAJ	VYBER	3900	79597	\N	\N	0
1302427	4448	1998-02-18	VYDAJ	VYBER	3400	66994	\N	\N	0
1302428	4448	1998-03-22	VYDAJ	VYBER	3200	64782	\N	\N	0
1302429	4448	1998-04-04	VYDAJ	VYBER	5700	44883	\N	\N	0
1302430	4448	1998-04-28	VYDAJ	VYBER	6700	37933	\N	\N	0
1302431	4448	1998-06-19	VYDAJ	VYBER	6300	97685	\N	\N	0
1302432	4448	1998-07-20	VYDAJ	VYBER	6500	67410	\N	\N	0
1302433	4448	1998-08-09	VYDAJ	VYBER	6500	67543	\N	\N	0
1302434	4448	1998-09-10	VYDAJ	VYBER	6300	72020	\N	\N	0
1302435	4448	1998-10-17	VYDAJ	VYBER	5200	64191	\N	\N	0
1302436	4448	1998-11-01	VYDAJ	VYBER	4400	60039	\N	\N	0
1302437	4448	1998-12-05	VYDAJ	VYBER	4100	84337	\N	\N	0
1302448	4448	1994-10-10	VYBER	VYBER	5799	43106	\N	\N	\N
1302450	4448	1994-04-28	VYBER	VYBER	3956	29248	\N	\N	\N
1302451	4448	1994-09-22	VYBER	VYBER	20434	24685	\N	\N	\N
1302452	4448	1994-03-09	VYBER	VYBER	3318	28646	\N	\N	\N
1302453	4448	1994-03-31	VYBER	VYBER	5005	49618	\N	\N	\N
1302454	4448	1995-07-12	VYBER	VYBER	18983	66513	\N	\N	\N
1302455	4448	1995-08-13	VYBER	VYBER	4904	62842	\N	\N	\N
1302456	4448	1995-04-24	VYBER	VYBER	18851	46854	\N	\N	\N
1302457	4448	1996-01-20	VYBER	VYBER	6596	63196	\N	\N	\N
1302458	4448	1996-08-27	VYBER	VYBER	10822	63636	\N	\N	\N
1302459	4448	1996-09-27	VYBER	VYBER	7414	88909	\N	\N	\N
1302460	4448	1996-11-21	VYBER	VYBER	6328	77911	\N	\N	\N
1302461	4448	1996-04-02	VYBER	VYBER	21342	70047	\N	\N	\N
1302463	4448	1996-12-25	VYBER	VYBER	20929	55892	\N	\N	\N
1302464	4448	1996-09-10	VYBER	VYBER	23595	40357	\N	\N	\N
1302466	4448	1996-11-22	VYBER	VYBER	14665	63246	\N	\N	\N
1302467	4448	1997-11-18	VYBER	VYBER	6368	84612	\N	\N	\N
1302468	4448	1997-10-23	VYBER	VYBER	17818	97282	\N	\N	\N
1302469	4448	1997-02-15	VYBER	VYBER	8073	37261	\N	\N	\N
1302470	4448	1997-02-12	VYBER	VYBER	20726	50688	\N	\N	\N
1302471	4448	1998-06-27	VYBER	VYBER	24505	73180	\N	\N	\N
1302472	4448	1998-07-23	VYBER	VYBER	16812	50598	\N	\N	\N
1302473	4448	1998-04-15	VYBER	VYBER	10131	54152	\N	\N	\N
1302474	4448	1998-02-27	VYBER	VYBER	18539	48455	\N	\N	\N
1302475	4448	1998-04-19	VYBER	VYBER	9519	44633	\N	\N	\N
1302476	4448	1998-09-16	VYBER	VYBER	5582	66438	\N	\N	\N
1302477	4448	1998-06-29	VYBER	VYBER	9895	63285	\N	\N	\N
1302478	4448	1998-08-23	VYBER	VYBER	3857	63686	\N	\N	\N
1302483	4448	1997-06-05	VYDAJ	VYBER	59700	31707	\N	\N	\N
1302487	4448	1995-01-08	VYDAJ	VYBER	28200	24418	\N	\N	\N
1302489	4448	1997-01-21	VYDAJ	VYBER	7800	63680	\N	\N	\N
1302490	4448	1998-01-06	VYDAJ	VYBER	14400	97197	\N	\N	\N
1302491	4448	1993-12-28	VYDAJ	VYBER	3600	70208	\N	\N	\N
1302492	4448	1994-12-05	VYDAJ	VYBER	6900	44862	\N	\N	\N
1302493	4448	1995-12-24	VYDAJ	VYBER	5700	49587	\N	\N	\N
1302494	4448	1996-12-28	VYDAJ	VYBER	3000	52892	\N	\N	\N
1302495	4448	1997-12-13	VYDAJ	VYBER KARTOU	1500	115162	\N	\N	0
1302496	4448	1998-12-19	VYDAJ	VYBER	7500	76837	\N	\N	\N
1302504	4448	1994-01-23	VYDAJ	VYBER	2100	20769	\N	\N	\N
1302506	4448	1994-01-13	VYDAJ	VYBER	7500	27369	\N	\N	\N
1302507	4448	1994-01-16	VYDAJ	VYBER	4500	22869	\N	\N	\N
1302508	4448	1994-01-01	VYDAJ	VYBER	8100	38869	\N	\N	\N
1302510	4448	1995-01-28	VYDAJ	VYBER	5700	72039	\N	\N	\N
1302511	4448	1995-01-06	VYDAJ	VYBER	2700	56518	\N	\N	\N
1302513	4448	1995-01-08	VYDAJ	VYBER	3900	52618	\N	\N	\N
1302514	4448	1995-01-21	VYDAJ	VYBER	2400	34103	\N	\N	\N
1302515	4448	1996-01-05	VYDAJ	VYBER	8400	41508	\N	\N	\N
1302516	4448	1996-01-25	VYDAJ	VYBER	6300	49096	\N	\N	\N
1302517	4448	1996-01-22	VYDAJ	VYBER	7800	55396	\N	\N	\N
1302518	4448	1996-01-18	VYDAJ	VYBER	1800	69792	\N	\N	\N
1302519	4448	1996-01-26	VYDAJ	VYBER	6600	42496	\N	\N	\N
1302520	4448	1996-01-18	VYDAJ	VYBER	7800	91892	\N	\N	\N
1302521	4448	1997-01-18	VYDAJ	VYBER	6000	83038	\N	\N	\N
1302522	4448	1997-01-22	VYDAJ	VYBER	4800	58880	\N	\N	\N
1302523	4448	1997-01-03	VYDAJ	VYBER	6900	40851	\N	\N	\N
1302524	4448	1997-01-01	VYDAJ	VYBER	5400	47751	\N	\N	\N
1302525	4448	1997-01-10	VYDAJ	VYBER	6000	34851	\N	\N	\N
1302526	4448	1997-01-27	VYDAJ	VYBER	6000	52880	\N	\N	\N
1302527	4448	1998-01-17	VYDAJ	VYBER KARTOU	1500	64297	\N	\N	0
1302528	4448	1998-01-08	VYDAJ	VYBER KARTOU	2100	83497	\N	\N	0
1302529	4448	1998-01-14	VYDAJ	VYBER	7800	65797	\N	\N	\N
1302530	4448	1998-01-07	VYDAJ	VYBER KARTOU	3300	85597	\N	\N	0
1302531	4448	1998-01-09	VYDAJ	VYBER	6000	73597	\N	\N	\N
1302532	4448	1998-01-29	VYDAJ	VYBER	7200	57097	\N	\N	\N
1302537	4448	1994-06-16	VYDAJ	VYBER	2100	33227	\N	\N	\N
1302538	4448	1994-03-30	VYDAJ	VYBER	6900	38523	\N	\N	\N
1302539	4448	1994-06-02	VYDAJ	VYBER	3300	38727	\N	\N	\N
1302541	4448	1994-04-29	VYDAJ	VYBER	4200	25048	\N	\N	\N
1302542	4448	1994-04-10	VYDAJ	VYBER	14700	34904	\N	\N	\N
1302543	4448	1994-09-11	VYDAJ	VYBER	9600	51119	\N	\N	\N
1302544	4448	1995-01-01	VYDAJ	VYBER	5400	34075	\N	\N	\N
1302545	4448	1995-05-03	VYDAJ	VYBER	9900	37201	\N	\N	\N
1302547	4448	1995-05-14	VYDAJ	VYBER	5700	26148	\N	\N	\N
1302548	4448	1996-06-21	VYDAJ	VYBER	9300	51696	\N	\N	\N
1302549	4448	1996-04-25	VYDAJ	VYBER	14400	68615	\N	\N	\N
1302550	4448	1996-08-24	VYDAJ	VYBER	9300	74458	\N	\N	\N
1302551	4448	1997-03-12	VYDAJ	VYBER	11400	104484	\N	\N	\N
1302552	4448	1998-07-05	VYDAJ	VYBER	13500	50110	\N	\N	\N
1302553	4448	1998-04-01	VYDAJ	VYBER	14400	50583	\N	\N	\N
1302554	4448	1998-10-15	VYDAJ	VYBER	13200	69391	\N	\N	\N
1302567	4448	1993-12-31	VYDAJ	VYBER	15	46969	SLUZBY	\N	\N
1302568	4448	1994-01-31	VYDAJ	VYBER	15	24482	SLUZBY	\N	\N
1302569	4448	1994-02-28	VYDAJ	VYBER	15	36664	SLUZBY	\N	\N
1302570	4448	1994-03-31	VYDAJ	VYBER	15	49604	SLUZBY	\N	\N
1302571	4448	1994-04-30	VYDAJ	VYBER	15	25232	SLUZBY	\N	\N
1302572	4448	1994-05-31	VYDAJ	VYBER	15	42027	SLUZBY	\N	\N
1302573	4448	1994-06-30	VYDAJ	VYBER	15	34567	SLUZBY	\N	\N
1302574	4448	1994-07-31	VYDAJ	VYBER	15	31594	SLUZBY	\N	\N
1302575	4448	1994-08-31	VYDAJ	VYBER	15	29409	SLUZBY	\N	\N
1302576	4448	1994-09-30	VYDAJ	VYBER	15	29019	SLUZBY	\N	\N
1302577	4448	1994-10-31	VYDAJ	VYBER	15	38085	SLUZBY	\N	\N
1302578	4448	1994-11-30	VYDAJ	VYBER	15	51762	SLUZBY	\N	\N
1302579	4448	1994-12-31	VYDAJ	VYBER	15	39475	SLUZBY	\N	\N
1302580	4448	1995-01-31	VYDAJ	VYBER	15	72214	SLUZBY	\N	\N
1302581	4448	1995-02-28	VYDAJ	VYBER	15	53600	SLUZBY	\N	\N
1302582	4448	1995-03-31	VYDAJ	VYBER	15	48240	SLUZBY	\N	\N
1302583	4448	1995-04-30	VYDAJ	VYBER	15	47101	SLUZBY	\N	\N
1302584	4448	1995-05-31	VYDAJ	VYBER	15	79239	SLUZBY	\N	\N
1302585	4448	1995-06-30	VYDAJ	VYBER	15	73591	SLUZBY	\N	\N
1302586	4448	1995-07-31	VYDAJ	VYBER	15	51505	SLUZBY	\N	\N
1302587	4448	1995-08-31	VYDAJ	VYBER	15	79455	SLUZBY	\N	\N
1302588	4448	1995-09-30	VYDAJ	VYBER	15	92428	SLUZBY	\N	\N
1302589	4448	1995-10-31	VYDAJ	VYBER	15	102658	SLUZBY	\N	\N
1302590	4448	1995-11-30	VYDAJ	VYBER	15	97102	SLUZBY	\N	\N
1302591	4448	1995-12-31	VYDAJ	VYBER	15	49908	SLUZBY	\N	\N
1302592	4448	1996-01-31	VYDAJ	VYBER	15	42706	SLUZBY	\N	\N
1302593	4448	1996-02-29	VYDAJ	VYBER	15	45518	SLUZBY	\N	\N
1302594	4448	1996-03-31	VYDAJ	VYBER	15	81854	SLUZBY	\N	\N
1302595	4448	1996-04-30	VYDAJ	VYBER	15	68912	SLUZBY	\N	\N
1302596	4448	1996-05-31	VYDAJ	VYBER	15	69549	SLUZBY	\N	\N
1302597	4448	1996-06-30	VYDAJ	VYBER	15	51936	SLUZBY	\N	\N
1302598	4448	1996-07-31	VYDAJ	VYBER	15	79438	SLUZBY	\N	\N
1302599	4448	1996-08-31	VYDAJ	VYBER	15	63952	SLUZBY	\N	\N
1302600	4448	1996-09-30	VYDAJ	VYBER	15	89201	SLUZBY	\N	\N
1302601	4448	1996-10-31	VYDAJ	VYBER	15	106599	SLUZBY	\N	\N
1302602	4448	1996-11-30	VYDAJ	VYBER	15	63589	SLUZBY	\N	\N
1302603	4448	1996-12-31	VYDAJ	VYBER	15	53151	SLUZBY	\N	\N
1302604	4448	1997-01-31	VYDAJ	VYBER	15	53084	SLUZBY	\N	\N
1302605	4448	1997-02-28	VYDAJ	VYBER	15	56684	SLUZBY	\N	\N
1302606	4448	1997-03-31	VYDAJ	VYBER	15	129579	SLUZBY	\N	\N
1302607	4448	1997-04-30	VYDAJ	VYBER	15	80670	SLUZBY	\N	\N
1302608	4448	1997-05-31	VYDAJ	VYBER	15	68666	SLUZBY	\N	\N
1302609	4448	1997-06-30	VYDAJ	VYBER	15	48031	SLUZBY	\N	\N
1302610	4448	1997-07-31	VYDAJ	VYBER	15	101550	SLUZBY	\N	\N
1302611	4448	1997-08-31	VYDAJ	VYBER	15	86434	SLUZBY	\N	\N
1302612	4448	1997-09-30	VYDAJ	VYBER	15	60222	SLUZBY	\N	\N
1302613	4448	1997-10-31	VYDAJ	VYBER	15	97578	SLUZBY	\N	\N
1302614	4448	1997-11-30	VYDAJ	VYBER	15	103207	SLUZBY	\N	\N
1302615	4448	1997-12-31	VYDAJ	VYBER	15	111597	SLUZBY	\N	\N
1302616	4448	1998-01-31	VYDAJ	VYBER	15	57394	SLUZBY	\N	\N
1302617	4448	1998-02-28	VYDAJ	VYBER	15	48682	SLUZBY	\N	\N
1302618	4448	1998-03-31	VYDAJ	VYBER	15	64983	SLUZBY	\N	\N
1302619	4448	1998-04-30	VYDAJ	VYBER	15	38129	SLUZBY	\N	\N
1302620	4448	1998-05-31	VYDAJ	VYBER	15	71815	SLUZBY	\N	\N
1302621	4448	1998-06-30	VYDAJ	VYBER	15	63610	SLUZBY	\N	\N
1302622	4448	1998-07-31	VYDAJ	VYBER	15	50843	SLUZBY	\N	\N
1302623	4448	1998-08-31	VYDAJ	VYBER	15	63920	SLUZBY	\N	\N
1302624	4448	1998-09-30	VYDAJ	VYBER	15	66691	SLUZBY	\N	\N
1302625	4448	1998-10-31	VYDAJ	VYBER	15	64439	SLUZBY	\N	\N
1302626	4448	1998-11-30	VYDAJ	VYBER	15	78837	SLUZBY	\N	\N
1302627	4448	1993-07-02	PRIJEM	VKLAD	10900	11600	\N	\N	\N
1302628	4448	1993-08-01	PRIJEM	VKLAD	5200	16800	\N	\N	\N
1302629	4448	1993-08-31	VYDAJ	VYBER	1600	20733	\N	\N	\N
1302630	4448	1993-09-30	VYDAJ	VYBER	19500	40580	\N	\N	\N
1302631	4448	1993-10-30	VYDAJ	VYBER	8600	31980	\N	\N	\N
1302632	4448	1993-11-29	VYDAJ	VYBER	6300	25849	\N	\N	\N
1302633	4448	1993-12-16	VYDAJ	VYBER	47700	73808	\N	\N	\N
1302634	4448	1993-12-29	VYDAJ	VYBER	23600	46608	\N	\N	\N
1302635	4448	1994-01-28	PRIJEM	VKLAD	3600	24369	\N	\N	\N
1302636	4448	1994-02-27	VYDAJ	VYBER	6900	36553	\N	\N	\N
1302637	4448	1994-03-29	VYDAJ	VYBER	12800	45423	\N	\N	\N
1302638	4448	1994-04-28	PRIJEM	VKLAD	2500	33204	\N	\N	\N
1302639	4448	1994-05-28	VYDAJ	VYBER	5400	41868	\N	\N	\N
1302640	4448	1994-06-27	PRIJEM	VKLAD	1200	34427	\N	\N	\N
1302641	4448	1994-07-27	PRIJEM	VKLAD	1700	31467	\N	\N	\N
1302642	4448	1994-08-26	PRIJEM	VKLAD	5000	29294	\N	\N	\N
1302643	4448	1994-09-25	PRIJEM	VKLAD	4200	28885	\N	\N	\N
1302644	4448	1994-10-25	PRIJEM	VKLAD	200	37953	\N	\N	\N
1302645	4448	1994-11-24	VYDAJ	VYBER	17500	51554	\N	\N	\N
1302646	4448	1994-12-24	VYDAJ	VYBER	200	39308	\N	\N	\N
1302647	4448	1995-01-23	PRIJEM	VKLAD	2100	36203	\N	\N	\N
1302648	4448	1995-02-17	VYDAJ	VYBER	50800	68290	\N	\N	\N
1302649	4448	1995-02-22	VYDAJ	VYBER	15000	53290	\N	\N	\N
1302650	4448	1995-03-24	VYDAJ	VYBER	5400	48039	\N	\N	\N
1302651	4448	1995-04-23	VYDAJ	VYBER	45500	65705	\N	\N	\N
1302652	4448	1995-04-23	VYDAJ	VYBER	28800	111205	\N	\N	\N
1302653	4448	1995-04-23	VYDAJ	VYBER	17000	140005	\N	\N	\N
1302654	4448	1995-05-23	PRIJEM	VKLAD	7200	33348	\N	\N	\N
1302655	4448	1995-06-22	VYDAJ	VYBER	20300	64225	\N	\N	\N
1302656	4448	1995-07-22	VYDAJ	VYBER	9900	51260	\N	\N	\N
1302657	4448	1995-08-07	VYDAJ	VYBER	62500	65242	\N	\N	\N
1302658	4448	1995-08-21	VYDAJ	VYBER	5600	57242	\N	\N	\N
1302659	4448	1995-09-15	VYDAJ	VYBER	23900	107228	\N	\N	\N
1302660	4448	1995-09-20	VYDAJ	VYBER	27500	79728	\N	\N	\N
1302661	4448	1995-10-20	VYDAJ	VYBER	24500	78958	\N	\N	\N
1302662	4448	1995-11-14	VYDAJ	VYBER	45500	71937	\N	\N	\N
1302663	4448	1995-11-19	VYDAJ	VYBER	9300	62637	\N	\N	\N
1302664	4448	1995-12-13	VYDAJ	VYBER	55100	58387	\N	\N	\N
1302665	4448	1995-12-19	VYDAJ	VYBER	3100	55287	\N	\N	\N
1302666	4448	1996-01-18	VYDAJ	VYBER	20300	71592	\N	\N	\N
1302667	4448	1996-02-17	PRIJEM	VKLAD	8000	45353	\N	\N	\N
1302668	4448	1996-03-18	PRIJEM	VKLAD	8200	48364	\N	\N	\N
1302669	4448	1996-04-01	VYDAJ	VYBER	32000	91389	\N	\N	\N
1302670	4448	1996-04-17	VYDAJ	VYBER	24800	83015	\N	\N	\N
1302671	4448	1996-05-04	VYDAJ	VYBER	27800	87475	\N	\N	\N
1302672	4448	1996-05-17	VYDAJ	VYBER	12900	69221	\N	\N	\N
1302673	4448	1996-06-16	VYDAJ	VYBER	3200	60996	\N	\N	\N
1302674	4448	1996-07-16	VYDAJ	VYBER	14400	79182	\N	\N	\N
1302675	4448	1996-08-15	VYDAJ	VYBER	23700	83758	\N	\N	\N
1302676	4448	1996-09-14	PRIJEM	VKLAD	13800	48804	\N	\N	\N
1302677	4448	1996-10-14	VYDAJ	VYBER	19300	83396	\N	\N	\N
1302678	4448	1996-11-13	VYDAJ	VYBER	27300	84239	\N	\N	\N
1302679	4448	1996-12-13	VYDAJ	VYBER	16500	71156	\N	\N	\N
1302680	4448	1997-01-12	PRIJEM	VKLAD	16000	50851	\N	\N	\N
1302681	4448	1997-01-20	VYDAJ	VYBER	52900	71480	\N	\N	\N
1302682	4448	1997-02-11	VYDAJ	VYBER	800	71414	\N	\N	\N
1302683	4448	1997-03-13	VYDAJ	VYBER	14700	84430	\N	\N	\N
1302684	4448	1997-03-31	VYDAJ	VYBER	53100	76479	\N	\N	\N
1302685	4448	1997-04-12	VYDAJ	VYBER	3900	78656	\N	\N	\N
1302686	4448	1997-05-12	VYDAJ	VYBER	4800	70516	\N	\N	\N
1302687	4448	1997-05-25	VYDAJ	VYBER	64800	68352	\N	\N	\N
1302688	4448	1997-06-11	PRIJEM	VKLAD	21500	53207	\N	\N	\N
1302689	4448	1997-07-11	VYDAJ	VYBER KARTOU	100	70442	\N	\N	0
1302690	4448	1997-08-10	VYDAJ	VYBER	16200	91430	\N	\N	\N
1302691	4448	1997-09-09	VYDAJ	VYBER KARTOU	3600	82834	\N	\N	0
1302692	4448	1997-09-12	VYDAJ	VYBER	60400	63921	\N	\N	\N
1302693	4448	1997-09-30	VYDAJ	VYBER	61500	60237	\N	\N	\N
1302694	4448	1997-10-09	PRIJEM	VKLAD	8000	68222	\N	\N	\N
1302695	4448	1997-10-22	VYDAJ	VYBER	32900	119400	\N	\N	\N
1302696	4448	1997-11-08	VYDAJ	VYBER	9700	83378	\N	\N	\N
1302697	4448	1997-12-08	VYDAJ	VYBER	14900	88307	\N	\N	\N
1302698	4448	1998-01-07	VYDAJ	VYBER	8300	88897	\N	\N	\N
1302699	4448	1998-02-06	PRIJEM	VKLAD	13000	70394	\N	\N	\N
1302700	4448	1998-03-08	PRIJEM	VKLAD	19300	67982	\N	\N	\N
1302701	4448	1998-04-07	PRIJEM	VKLAD	19400	64283	\N	\N	\N
1302702	4448	1998-05-07	PRIJEM	VKLAD	6200	71568	\N	\N	\N
1302703	4448	1998-06-06	PRIJEM	VKLAD	7800	79615	\N	\N	\N
1302704	4448	1998-07-06	PRIJEM	VKLAD	23800	73910	\N	\N	\N
1302705	4448	1998-08-05	PRIJEM	VKLAD	23200	74043	\N	\N	\N
1302706	4448	1998-09-04	PRIJEM	VKLAD	14400	78320	\N	\N	\N
1302707	4448	1998-10-04	PRIJEM	VKLAD	15900	82591	\N	\N	\N
1302708	4448	1998-11-03	PRIJEM	VKLAD	18500	78539	\N	\N	\N
1302709	4448	1998-12-03	PRIJEM	VKLAD	9600	88437	\N	\N	\N
1304491	4454	1996-12-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1304504	4454	1997-01-08	PRIJEM	VKLAD	10389	11489	\N	\N	\N
1304505	4454	1997-02-08	PRIJEM	VKLAD	10389	30911	\N	\N	\N
1304506	4454	1997-03-08	PRIJEM	VKLAD	10389	36794	\N	\N	\N
1304507	4454	1997-04-08	PRIJEM	VKLAD	10389	41199	\N	\N	\N
1304508	4454	1997-05-08	PRIJEM	VKLAD	10389	44922	\N	\N	\N
1304509	4454	1997-06-08	PRIJEM	VKLAD	15584	30557	\N	\N	\N
1304510	4454	1997-07-08	PRIJEM	VKLAD	10389	40300	\N	\N	\N
1304511	4454	1997-08-08	PRIJEM	VKLAD	10389	51318	\N	\N	\N
1304512	4454	1997-09-08	PRIJEM	VKLAD	10389	55811	\N	\N	\N
1304513	4454	1997-10-08	PRIJEM	VKLAD	10389	57101	\N	\N	\N
1304514	4454	1997-11-08	PRIJEM	VKLAD	10389	60978	\N	\N	\N
1304515	4454	1997-12-08	PRIJEM	VKLAD	15584	70053	\N	\N	\N
1304516	4454	1998-01-08	PRIJEM	VKLAD	10389	66487	\N	\N	\N
1304517	4454	1998-02-08	PRIJEM	VKLAD	10389	58281	\N	\N	\N
1304518	4454	1998-03-08	PRIJEM	VKLAD	10389	64069	\N	\N	\N
1304519	4454	1998-04-08	PRIJEM	VKLAD	10389	65069	\N	\N	\N
1304520	4454	1998-05-08	PRIJEM	VKLAD	10389	66173	\N	\N	\N
1304521	4454	1998-06-08	PRIJEM	VKLAD	15584	71775	\N	\N	\N
1304522	4454	1998-07-08	PRIJEM	VKLAD	10389	43145	\N	\N	\N
1304523	4454	1998-08-08	PRIJEM	VKLAD	10389	56086	\N	\N	\N
1304524	4454	1998-09-08	PRIJEM	VKLAD	10389	56605	\N	\N	\N
1304525	4454	1998-10-08	PRIJEM	VKLAD	10389	63593	\N	\N	\N
1304526	4454	1998-11-08	PRIJEM	VKLAD	10389	71007	\N	\N	\N
1304527	4454	1998-12-08	PRIJEM	VKLAD	15584	78133	\N	\N	\N
1304529	4454	1997-06-04	VYDAJ	VYBER	18880	14973	\N	\N	\N
1304530	4454	1998-06-18	VYDAJ	VYBER	23200	32575	\N	\N	\N
1304532	4454	1997-12-27	VYDAJ	VYBER	2880	58273	\N	\N	\N
1304533	4454	1998-12-16	VYDAJ	VYBER	3680	62953	\N	\N	\N
1304546	4454	1998-01-23	VYDAJ	VYBER	600	55827	\N	\N	\N
1304547	4454	1998-01-30	VYDAJ	VYBER	3000	49827	\N	\N	\N
1304548	4454	1998-01-04	VYDAJ	VYBER	2400	56098	\N	\N	\N
1304549	4454	1998-01-08	VYDAJ	VYBER	1920	64567	\N	\N	\N
1304550	4454	1998-01-15	VYDAJ	VYBER	2640	61927	\N	\N	\N
1304551	4454	1998-01-25	VYDAJ	VYBER	3000	52827	\N	\N	\N
1304561	4454	1997-11-10	VYDAJ	VYBER	720	60258	\N	\N	\N
1304563	4454	1997-05-16	VYDAJ	VYBER	3000	41922	\N	\N	\N
1304564	4454	1997-09-12	VYDAJ	VYBER	4680	51131	\N	\N	\N
1304565	4454	1997-06-15	VYDAJ	VYBER	960	29597	\N	\N	\N
1304567	4454	1997-08-19	VYDAJ	VYBER	2160	45258	\N	\N	\N
1304568	4454	1998-09-09	VYDAJ	VYBER	1800	54805	\N	\N	\N
1304569	4454	1998-02-03	VYDAJ	VYBER	2160	47892	\N	\N	\N
1304570	4454	1998-02-14	VYDAJ	VYBER	4920	53461	\N	\N	\N
1304571	4454	1998-12-25	VYDAJ	VYBER	3960	58993	\N	\N	\N
1304572	4454	1998-06-11	VYDAJ	VYBER	4200	67575	\N	\N	\N
1304573	4454	1998-08-30	VYDAJ	VYBER	5760	46026	\N	\N	\N
1304591	4454	1997-05-31	VYDAJ	VYBER	15	33853	SLUZBY	\N	\N
1304592	4454	1997-06-30	VYDAJ	VYBER	15	29911	SLUZBY	\N	\N
1304593	4454	1997-07-31	VYDAJ	VYBER	15	40929	SLUZBY	\N	\N
1304594	4454	1997-08-31	VYDAJ	VYBER	15	45422	SLUZBY	\N	\N
1304595	4454	1997-09-30	VYDAJ	VYBER	15	46712	SLUZBY	\N	\N
1304596	4454	1997-10-31	VYDAJ	VYBER	15	50589	SLUZBY	\N	\N
1304597	4454	1997-11-30	VYDAJ	VYBER	15	54470	SLUZBY	\N	\N
1304598	4454	1997-12-31	VYDAJ	VYBER	15	58498	SLUZBY	\N	\N
1304599	4454	1998-01-31	VYDAJ	VYBER	15	50052	SLUZBY	\N	\N
1304600	4454	1998-02-28	VYDAJ	VYBER	15	53680	SLUZBY	\N	\N
1304601	4454	1998-03-31	VYDAJ	VYBER	15	54680	SLUZBY	\N	\N
1304602	4454	1998-04-30	VYDAJ	VYBER	15	55784	SLUZBY	\N	\N
1304603	4454	1998-05-31	VYDAJ	VYBER	15	56191	SLUZBY	\N	\N
1304604	4454	1998-06-30	VYDAJ	VYBER	15	32756	SLUZBY	\N	\N
1304605	4454	1998-07-31	VYDAJ	VYBER	15	45697	SLUZBY	\N	\N
1304606	4454	1998-08-31	VYDAJ	VYBER	15	46216	SLUZBY	\N	\N
1304607	4454	1998-09-30	VYDAJ	VYBER	15	53204	SLUZBY	\N	\N
1304608	4454	1998-10-31	VYDAJ	VYBER	15	60618	SLUZBY	\N	\N
1304609	4454	1998-11-30	VYDAJ	VYBER	15	62549	SLUZBY	\N	\N
1304610	4454	1997-01-20	PRIJEM	VKLAD	9000	20489	\N	\N	\N
1304611	4454	1997-02-19	VYDAJ	VYBER	4600	26311	\N	\N	\N
1304612	4454	1997-03-21	VYDAJ	VYBER	6100	30694	\N	\N	\N
1304613	4454	1997-04-20	VYDAJ	VYBER	6800	34399	\N	\N	\N
1304614	4454	1997-05-20	VYDAJ	VYBER	8200	33722	\N	\N	\N
1304615	4454	1997-06-19	PRIJEM	VKLAD	200	29797	\N	\N	\N
1304616	4454	1997-07-19	PRIJEM	VKLAD	500	40800	\N	\N	\N
1304617	4454	1997-08-18	VYDAJ	VYBER	3900	47418	\N	\N	\N
1304618	4454	1997-09-17	VYDAJ	VYBER	4600	46531	\N	\N	\N
1304619	4454	1997-10-17	VYDAJ	VYBER	6700	50401	\N	\N	\N
1304620	4454	1997-11-16	VYDAJ	VYBER	6000	54258	\N	\N	\N
1304621	4454	1997-12-16	VYDAJ	VYBER	8900	61153	\N	\N	\N
1304622	4454	1998-01-15	VYDAJ	VYBER	5500	56427	\N	\N	\N
1304623	4454	1998-02-14	PRIJEM	VKLAD	100	58381	\N	\N	\N
1304624	4454	1998-03-16	VYDAJ	VYBER	9600	54469	\N	\N	\N
1304625	4454	1998-04-15	VYDAJ	VYBER	9500	55569	\N	\N	\N
1304626	4454	1998-05-15	VYDAJ	VYBER	10200	55973	\N	\N	\N
1304627	4454	1998-06-14	VYDAJ	VYBER	11800	55775	\N	\N	\N
1304628	4454	1998-07-14	PRIJEM	VKLAD	2400	45545	\N	\N	\N
1304629	4454	1998-08-13	VYDAJ	VYBER	4300	51786	\N	\N	\N
1304630	4454	1998-09-12	VYDAJ	VYBER	1800	53005	\N	\N	\N
1304631	4454	1998-10-12	VYDAJ	VYBER	3200	60393	\N	\N	\N
1304632	4454	1998-11-11	VYDAJ	VYBER	8700	62307	\N	\N	\N
1304633	4454	1998-12-11	VYDAJ	VYBER	11500	66633	\N	\N	\N
1304840	4456	1996-09-03	PRIJEM	VKLAD	700	700	\N	\N	\N
1304842	4456	1996-12-26	PRIJEM	VKLAD	37185	84121	\N	\N	\N
1304843	4456	1996-11-01	PRIJEM	VKLAD	5667	80826	\N	\N	\N
1304844	4456	1996-10-17	PRIJEM	VKLAD	20885	74920	\N	\N	\N
1304845	4456	1996-11-09	PRIJEM	VKLAD	35301	90027	\N	\N	\N
1304846	4456	1996-09-10	PRIJEM	VKLAD	29566	30266	\N	\N	\N
1304849	4456	1996-10-10	PRIJEM	VKLAD	23981	54035	\N	\N	\N
1304856	4456	1997-03-07	PRIJEM	VKLAD	6182	91798	\N	\N	\N
1304857	4456	1997-02-27	PRIJEM	VKLAD	16011	103615	\N	\N	\N
1304858	4456	1997-09-07	PRIJEM	VKLAD	7105	78396	\N	\N	\N
1304859	4456	1997-08-07	PRIJEM	VKLAD	18104	74140	\N	\N	\N
1304860	4456	1997-11-24	PRIJEM	VKLAD	14977	98555	\N	\N	\N
1304861	4456	1997-08-14	PRIJEM	VKLAD	35271	141990	\N	\N	\N
1304862	4456	1997-10-14	PRIJEM	VKLAD	46367	128190	\N	\N	\N
1304863	4456	1997-12-17	PRIJEM	VKLAD	19768	132142	\N	\N	\N
1304864	4456	1997-03-06	PRIJEM	VKLAD	14706	85616	\N	\N	\N
1304865	4456	1997-04-04	PRIJEM	VKLAD	30595	99139	\N	\N	\N
1304866	4456	1997-11-09	PRIJEM	VKLAD	29113	126578	\N	\N	\N
1304867	4456	1997-09-19	PRIJEM	VKLAD	42947	115243	\N	\N	\N
1304868	4456	1997-11-25	PRIJEM	VKLAD	29474	135143	\N	\N	\N
1304869	4456	1997-02-07	PRIJEM	VKLAD	38920	69942	\N	\N	\N
1304870	4456	1997-03-29	PRIJEM	VKLAD	17768	105466	\N	\N	\N
1304871	4456	1997-11-29	PRIJEM	VKLAD	19460	86436	\N	\N	\N
1304872	4456	1997-06-28	PRIJEM	VKLAD	30650	119445	\N	\N	\N
1304873	4456	1997-11-03	PRIJEM	VKLAD	27571	97465	\N	\N	\N
1304874	4456	1997-01-13	PRIJEM	VKLAD	33272	79845	\N	\N	\N
1304875	4456	1997-06-26	PRIJEM	VKLAD	47765	88795	\N	\N	\N
1304876	4456	1997-05-11	PRIJEM	VKLAD	49368	108671	\N	\N	\N
1304877	4456	1997-04-15	PRIJEM	VKLAD	6766	86462	\N	\N	\N
1304878	4456	1997-08-12	PRIJEM	VKLAD	32579	106719	\N	\N	\N
1304879	4456	1997-10-03	PRIJEM	VKLAD	10464	90045	\N	\N	\N
1304880	4456	1997-06-14	PRIJEM	VKLAD	19031	41030	\N	\N	\N
1304881	4456	1997-11-25	PRIJEM	VKLAD	7114	105669	\N	\N	\N
1304882	4456	1997-02-09	PRIJEM	VKLAD	21162	91104	\N	\N	\N
1304883	4456	1997-12-12	PRIJEM	VKLAD	46796	133574	\N	\N	\N
1304884	4456	1997-09-21	PRIJEM	VKLAD	22804	108947	\N	\N	\N
1304885	4456	1998-07-26	PRIJEM	VKLAD	17773	67867	\N	\N	\N
1304886	4456	1998-09-01	PRIJEM	VKLAD	46595	88225	\N	\N	\N
1304887	4456	1998-11-29	PRIJEM	VKLAD	34999	82068	\N	\N	\N
1304888	4456	1998-06-17	PRIJEM	VKLAD	34133	64468	\N	\N	\N
1304899	4456	1996-11-14	VYDAJ	VYBER	4600	85427	\N	\N	0
1304900	4456	1996-12-10	VYDAJ	VYBER	5400	51436	\N	\N	0
1304901	4456	1997-01-13	VYDAJ	VYBER	4300	75545	\N	\N	0
1304902	4456	1997-02-22	VYDAJ	VYBER	3500	87604	\N	\N	0
1304903	4456	1997-03-25	VYDAJ	VYBER	4100	87698	\N	\N	0
1304904	4456	1997-04-24	VYDAJ	VYBER	5600	80862	\N	\N	0
1304905	4456	1997-05-15	VYDAJ	VYBER	4300	104371	\N	\N	0
1304906	4456	1997-06-05	VYDAJ	VYBER	4700	59799	\N	\N	0
1304907	4456	1997-07-14	VYDAJ	VYBER	3900	70535	\N	\N	0
1304908	4456	1997-08-06	VYDAJ	VYBER	4700	56036	\N	\N	0
1304909	4456	1997-09-12	VYDAJ	VYBER	6100	72296	\N	\N	0
1304910	4456	1997-10-12	VYDAJ	VYBER	3300	81823	\N	\N	0
1304911	4456	1997-11-12	VYDAJ	VYBER	6300	83578	\N	\N	0
1304912	4456	1997-12-20	VYDAJ	VYBER	5000	96142	\N	\N	0
1304913	4456	1998-01-22	VYDAJ	VYBER	5700	28133	\N	\N	0
1304914	4456	1998-02-12	VYDAJ	PREVOD NA UCET	5354	31725	UVER	IJ	41103047
1304915	4456	1998-03-12	VYDAJ	PREVOD NA UCET	5354	42415	UVER	IJ	41103047
1304916	4456	1998-04-12	VYDAJ	PREVOD NA UCET	5354	40455	UVER	IJ	41103047
1304917	4456	1998-05-12	VYDAJ	PREVOD NA UCET	5354	47980	UVER	IJ	41103047
1304918	4456	1998-06-12	VYDAJ	PREVOD NA UCET	5354	54035	UVER	IJ	41103047
1304919	4456	1998-07-12	VYDAJ	PREVOD NA UCET	5354	40394	UVER	IJ	41103047
1304920	4456	1998-08-12	VYDAJ	PREVOD NA UCET	5354	62699	UVER	IJ	41103047
1304921	4456	1998-09-12	VYDAJ	PREVOD NA UCET	5354	82872	UVER	IJ	41103047
1304922	4456	1998-10-12	VYDAJ	PREVOD NA UCET	5354	55768	UVER	IJ	41103047
1304923	4456	1998-11-12	VYDAJ	PREVOD NA UCET	5354	36069	UVER	IJ	41103047
1304924	4456	1998-12-12	VYDAJ	PREVOD NA UCET	5354	73603	UVER	IJ	41103047
1304925	4456	1997-01-26	VYBER	VYBER	5635	46210	\N	\N	\N
1304926	4456	1997-11-26	VYBER	VYBER	4267	104176	\N	\N	\N
1304927	4456	1997-08-25	VYBER	VYBER	7548	98142	\N	\N	\N
1304928	4456	1997-10-10	VYBER	VYBER	4922	85123	\N	\N	\N
1304929	4456	1997-06-04	VYBER	VYBER	2357	64499	\N	\N	\N
1304930	4456	1997-04-06	VYBER	VYBER	19443	79696	\N	\N	\N
1304931	4456	1998-03-29	VYBER	VYBER	11589	45626	\N	\N	\N
1304933	4456	1998-11-02	VYBER	VYBER	16784	41423	\N	\N	\N
1304935	4456	1998-06-26	VYBER	VYBER	14944	48224	\N	\N	\N
1304936	4456	1998-01-03	VYBER	VYBER	11397	59333	\N	\N	\N
1304937	4456	1998-08-28	VYBER	VYBER	20115	41384	\N	\N	\N
1304939	4456	1998-07-12	VYBER	VYBER	2700	45748	\N	\N	\N
1304941	4456	1997-06-06	VYDAJ	VYBER	37800	21999	\N	\N	\N
1304942	4456	1998-06-12	VYDAJ	VYBER	23700	30335	\N	\N	\N
1304944	4456	1997-01-17	VYDAJ	VYBER	20100	55445	\N	\N	\N
1304946	4456	1996-12-18	VYDAJ	VYBER	4500	46936	\N	\N	\N
1304947	4456	1997-12-28	VYDAJ	VYBER	6600	70342	\N	\N	\N
1304948	4456	1998-12-04	VYDAJ	VYBER KARTOU	3300	78956	\N	\N	0
1304955	4456	1997-01-27	VYDAJ	VYBER	2100	44110	\N	\N	\N
1304956	4456	1997-01-30	VYDAJ	VYBER	7800	30310	\N	\N	\N
1304957	4456	1997-01-03	VYDAJ	VYBER	8100	48973	\N	\N	\N
1304958	4456	1997-01-30	VYDAJ	VYBER	6000	38110	\N	\N	\N
1304959	4456	1997-01-23	VYDAJ	VYBER	3600	51845	\N	\N	\N
1304960	4456	1997-01-04	VYDAJ	VYBER	2400	46573	\N	\N	\N
1304961	4456	1998-01-06	VYDAJ	VYBER	2100	41333	\N	\N	\N
1304962	4456	1998-01-03	VYDAJ	VYBER	8100	51233	\N	\N	\N
1304963	4456	1998-01-27	VYDAJ	VYBER	8100	36933	\N	\N	\N
1304965	4456	1998-01-04	VYDAJ	VYBER	7800	43433	\N	\N	\N
1304966	4456	1998-01-12	VYDAJ	VYBER	7500	33833	\N	\N	\N
1304970	4456	1996-11-28	VYDAJ	VYBER	9000	76427	\N	\N	\N
1304972	4456	1997-05-30	VYDAJ	VYBER	9300	95071	\N	\N	\N
1304973	4456	1997-12-20	VYDAJ	VYBER	7800	101142	\N	\N	\N
1304974	4456	1997-11-26	VYDAJ	VYBER	7800	96376	\N	\N	\N
1304975	4456	1997-03-31	VYDAJ	VYBER	3000	102858	\N	\N	\N
1304976	4456	1997-11-27	VYDAJ	VYBER	14100	82276	\N	\N	\N
1304977	4456	1998-10-10	VYDAJ	VYBER	10200	61122	\N	\N	\N
1304978	4456	1998-12-30	VYDAJ	VYBER	11100	55603	\N	\N	\N
1304991	4456	1996-11-30	VYDAJ	VYBER	15	76736	SLUZBY	\N	\N
1304992	4456	1996-12-31	VYDAJ	VYBER	15	84373	SLUZBY	\N	\N
1304993	4456	1997-01-31	VYDAJ	VYBER	15	31022	SLUZBY	\N	\N
1304994	4456	1997-02-28	VYDAJ	VYBER	15	103910	SLUZBY	\N	\N
1304995	4456	1997-03-31	VYDAJ	VYBER	15	102844	SLUZBY	\N	\N
1304996	4456	1997-04-30	VYDAJ	VYBER	15	81203	SLUZBY	\N	\N
1304997	4456	1997-05-31	VYDAJ	VYBER	15	66856	SLUZBY	\N	\N
1304998	4456	1997-06-30	VYDAJ	VYBER	15	102535	SLUZBY	\N	\N
1304999	4456	1997-07-31	VYDAJ	VYBER	15	60736	SLUZBY	\N	\N
1305000	4456	1997-08-31	VYDAJ	VYBER	15	71291	SLUZBY	\N	\N
1305001	4456	1997-09-30	VYDAJ	VYBER	15	79581	SLUZBY	\N	\N
1305002	4456	1997-10-31	VYDAJ	VYBER	15	69894	SLUZBY	\N	\N
1305003	4456	1997-11-30	VYDAJ	VYBER	15	86778	SLUZBY	\N	\N
1305004	4456	1997-12-31	VYDAJ	VYBER	15	70730	SLUZBY	\N	\N
1305005	4456	1998-01-31	VYDAJ	VYBER	15	37078	SLUZBY	\N	\N
1305006	4456	1998-02-28	VYDAJ	VYBER	15	47768	SLUZBY	\N	\N
1305007	4456	1998-03-31	VYDAJ	VYBER	15	45809	SLUZBY	\N	\N
1305008	4456	1998-04-30	VYDAJ	VYBER	15	53333	SLUZBY	\N	\N
1305009	4456	1998-05-31	VYDAJ	VYBER	15	59388	SLUZBY	\N	\N
1305010	4456	1998-06-30	VYDAJ	VYBER	15	48448	SLUZBY	\N	\N
1305011	4456	1998-07-31	VYDAJ	VYBER	15	68052	SLUZBY	\N	\N
1305012	4456	1998-08-31	VYDAJ	VYBER	15	41630	SLUZBY	\N	\N
1305013	4456	1998-09-30	VYDAJ	VYBER	15	71322	SLUZBY	\N	\N
1305014	4456	1998-10-31	VYDAJ	VYBER	15	58207	SLUZBY	\N	\N
1305015	4456	1998-11-30	VYDAJ	VYBER	15	82256	SLUZBY	\N	\N
1305016	4456	1996-10-03	VYDAJ	VYBER	300	30054	\N	\N	\N
1305017	4456	1996-11-02	VYDAJ	VYBER	26100	54726	\N	\N	\N
1305018	4456	1996-12-02	VYDAJ	VYBER	19900	56836	\N	\N	\N
1305019	4456	1997-01-01	VYDAJ	VYBER	27300	57073	\N	\N	\N
1305020	4456	1997-01-31	PRIJEM	VKLAD	500	31037	\N	\N	\N
1305021	4456	1997-03-02	VYDAJ	VYBER	33000	70910	\N	\N	\N
1305022	4456	1997-04-01	VYDAJ	VYBER	34300	68544	\N	\N	\N
1305023	4456	1997-05-01	VYDAJ	VYBER	21900	59303	\N	\N	\N
1305024	4456	1997-05-31	VYDAJ	VYBER	28600	66871	\N	\N	\N
1305025	4456	1997-06-28	VYDAJ	VYBER	17100	102345	\N	\N	\N
1305026	4456	1997-06-30	VYDAJ	VYBER	28100	74435	\N	\N	\N
1305027	4456	1997-07-30	VYDAJ	VYBER	10200	60335	\N	\N	\N
1305028	4456	1997-08-14	VYDAJ	VYBER	36300	105690	\N	\N	\N
1305029	4456	1997-08-29	VYDAJ	VYBER	27200	70942	\N	\N	\N
1305030	4456	1997-09-19	VYDAJ	VYBER	29100	86143	\N	\N	\N
1305031	4456	1997-09-28	VYDAJ	VYBER	29700	79247	\N	\N	\N
1305032	4456	1997-10-14	VYDAJ	VYBER	39400	88790	\N	\N	\N
1305033	4456	1997-10-28	VYDAJ	VYBER	19300	69490	\N	\N	\N
1305034	4456	1997-11-09	VYDAJ	VYBER	36700	89878	\N	\N	\N
1305035	4456	1997-11-25	VYDAJ	VYBER	26700	108443	\N	\N	\N
1305036	4456	1997-11-27	VYDAJ	VYBER	15300	66976	\N	\N	\N
1305037	4456	1997-12-12	VYDAJ	VYBER	21200	112374	\N	\N	\N
1305038	4456	1997-12-17	VYDAJ	VYBER	23200	108942	\N	\N	\N
1305039	4456	1997-12-27	VYDAJ	VYBER	19200	76942	\N	\N	\N
1305040	4456	1998-01-26	PRIJEM	VKLAD	16900	45033	\N	\N	\N
1305041	4456	1998-02-25	PRIJEM	VKLAD	15900	47625	\N	\N	\N
1305042	4456	1998-03-27	PRIJEM	VKLAD	14800	57215	\N	\N	\N
1305043	4456	1998-04-26	PRIJEM	VKLAD	12700	53155	\N	\N	\N
1305044	4456	1998-05-26	PRIJEM	VKLAD	11200	59180	\N	\N	\N
1305045	4456	1998-06-25	VYDAJ	VYBER	1300	63168	\N	\N	\N
1305046	4456	1998-07-25	PRIJEM	VKLAD	9700	50094	\N	\N	\N
1305047	4456	1998-08-24	VYDAJ	VYBER	1200	61499	\N	\N	\N
1305048	4456	1998-09-23	VYDAJ	VYBER	11800	71072	\N	\N	\N
1305049	4456	1998-10-23	PRIJEM	VKLAD	2200	57968	\N	\N	\N
1305050	4456	1998-11-22	PRIJEM	VKLAD	11000	47069	\N	\N	\N
1305051	4456	1998-12-22	VYDAJ	VYBER	6900	66703	\N	\N	\N
1305408	4458	1996-04-23	PRIJEM	VKLAD	900	900	\N	\N	\N
1305409	4458	1996-07-24	PRIJEM	VKLAD	9050	33550	\N	\N	\N
1305410	4458	1996-08-11	PRIJEM	VKLAD	14287	47873	\N	\N	\N
1305411	4458	1997-02-21	PRIJEM	VKLAD	13009	42162	\N	\N	\N
1305412	4458	1997-03-04	PRIJEM	VKLAD	21817	64134	\N	\N	\N
1305413	4458	1998-06-04	PRIJEM	VKLAD	19859	38657	\N	\N	\N
1305414	4458	1998-01-08	PRIJEM	VKLAD	15234	32977	\N	\N	\N
1305423	4458	1998-01-20	VYDAJ	VYBER	1500	22577	\N	\N	\N
1305426	4458	1998-12-19	VYDAJ	VYBER	2900	21794	\N	\N	\N
1305435	4458	1998-08-04	VYDAJ	VYBER	2400	22944	\N	\N	\N
1305436	4458	1998-03-28	VYDAJ	VYBER	1450	15724	\N	\N	\N
1305437	4458	1998-07-14	VYDAJ	VYBER	300	25247	\N	\N	\N
1305438	4458	1998-11-15	VYDAJ	VYBER	1600	21608	\N	\N	\N
1305464	4458	1998-01-31	VYDAJ	VYBER	15	22695	SLUZBY	\N	\N
1305465	4458	1998-02-28	VYDAJ	VYBER	15	19674	SLUZBY	\N	\N
1305466	4458	1998-03-31	VYDAJ	VYBER	15	15789	SLUZBY	\N	\N
1305467	4458	1998-04-30	VYDAJ	VYBER	15	17340	SLUZBY	\N	\N
1305468	4458	1998-05-31	VYDAJ	VYBER	15	18798	SLUZBY	\N	\N
1305469	4458	1998-06-30	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
1305470	4458	1998-07-31	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
1305471	4458	1998-08-31	VYDAJ	VYBER	15	23730	SLUZBY	\N	\N
1305472	4458	1998-09-30	VYDAJ	VYBER	15	26214	SLUZBY	\N	\N
1305473	4458	1998-10-31	VYDAJ	VYBER	15	27708	SLUZBY	\N	\N
1305474	4458	1998-11-30	VYDAJ	VYBER	15	21694	SLUZBY	\N	\N
1305475	4458	1996-05-23	PRIJEM	VKLAD	11700	12600	\N	\N	\N
1305476	4458	1996-06-22	PRIJEM	VKLAD	6600	19200	\N	\N	\N
1305477	4458	1996-07-22	PRIJEM	VKLAD	5300	24500	\N	\N	\N
1305478	4458	1996-08-21	VYDAJ	VYBER	12500	35373	\N	\N	\N
1305479	4458	1996-09-20	VYDAJ	VYBER	4300	31216	\N	\N	\N
1305480	4458	1996-10-20	VYDAJ	VYBER	1100	30263	\N	\N	\N
1305481	4458	1996-11-19	VYDAJ	VYBER	2800	27610	\N	\N	\N
1305482	4458	1996-12-19	PRIJEM	VKLAD	100	27858	\N	\N	\N
1305483	4458	1997-01-18	PRIJEM	VKLAD	800	28805	\N	\N	\N
1305484	4458	1997-02-17	PRIJEM	VKLAD	200	29153	\N	\N	\N
1305485	4458	1997-03-19	VYDAJ	VYBER	18100	46034	\N	\N	\N
1305486	4458	1997-04-18	VYDAJ	VYBER	9900	36316	\N	\N	\N
1305487	4458	1997-05-18	VYDAJ	VYBER	4600	31908	\N	\N	\N
1305488	4458	1997-06-17	VYDAJ	VYBER	3600	28500	\N	\N	\N
1305489	4458	1997-07-17	VYDAJ	VYBER	3600	25092	\N	\N	\N
1305490	4458	1997-08-16	VYDAJ	VYBER	2300	22984	\N	\N	\N
1305491	4458	1997-09-15	VYDAJ	VYBER	2800	20375	\N	\N	\N
1305492	4458	1997-10-15	VYDAJ	VYBER	400	20167	\N	\N	\N
1305493	4458	1997-11-14	VYDAJ	VYBER	2400	17959	\N	\N	\N
1305494	4458	1997-12-14	VYDAJ	VYBER	600	17551	\N	\N	\N
1305495	4458	1998-01-13	VYDAJ	VYBER	8900	24077	\N	\N	\N
1305496	4458	1998-02-12	VYDAJ	VYBER	3100	19595	\N	\N	\N
1305497	4458	1998-03-14	VYDAJ	VYBER	2500	17174	\N	\N	\N
1305498	4458	1998-04-13	PRIJEM	VKLAD	1500	17289	\N	\N	\N
1305499	4458	1998-05-13	PRIJEM	VKLAD	1400	18740	\N	\N	\N
1305500	4458	1998-06-12	VYDAJ	VYBER	9600	29057	\N	\N	\N
1305501	4458	1998-07-12	VYDAJ	VYBER	3600	25547	\N	\N	\N
1305502	4458	1998-08-11	PRIJEM	VKLAD	700	23644	\N	\N	\N
1305503	4458	1998-09-10	PRIJEM	VKLAD	2400	26130	\N	\N	\N
1305504	4458	1998-10-10	PRIJEM	VKLAD	1400	27614	\N	\N	\N
1305505	4458	1998-11-09	VYDAJ	VYBER	4500	23208	\N	\N	\N
1305506	4458	1998-12-09	PRIJEM	VKLAD	3000	24694	\N	\N	\N
1306636	4462	1995-12-27	PRIJEM	VKLAD	900	900	\N	\N	\N
1306666	4462	1996-07-21	PRIJEM	VKLAD	7378	56944	\N	\N	\N
1306667	4462	1996-06-15	PRIJEM	VKLAD	5358	33256	\N	\N	\N
1306668	4462	1996-09-24	PRIJEM	VKLAD	33418	63047	\N	\N	\N
1306669	4462	1996-03-19	PRIJEM	VKLAD	49631	77551	\N	\N	\N
1306670	4462	1996-02-13	PRIJEM	VKLAD	26100	35500	\N	\N	\N
1306671	4462	1996-09-03	PRIJEM	VKLAD	21847	44383	\N	\N	\N
1306672	4462	1996-11-22	PRIJEM	VKLAD	28757	54595	\N	\N	\N
1306673	4462	1996-07-08	PRIJEM	VKLAD	25128	49566	\N	\N	\N
1306674	4462	1997-01-29	PRIJEM	VKLAD	21653	25500	\N	\N	\N
1306675	4462	1998-05-01	PRIJEM	VKLAD	26786	77922	\N	\N	\N
1306676	4462	1998-06-10	PRIJEM	VKLAD	37489	49410	\N	\N	\N
1306677	4462	1998-08-11	PRIJEM	VKLAD	29765	130342	\N	\N	\N
1306678	4462	1998-04-30	PRIJEM	VKLAD	36290	51166	\N	\N	\N
1306679	4462	1998-12-01	PRIJEM	VKLAD	36842	132047	\N	\N	\N
1306680	4462	1998-11-17	PRIJEM	VKLAD	35757	83097	\N	\N	\N
1306681	4462	1998-11-30	PRIJEM	VKLAD	39011	119408	\N	\N	\N
1306682	4462	1998-03-09	PRIJEM	VKLAD	27961	24888	\N	\N	\N
1306683	4462	1998-07-20	PRIJEM	VKLAD	38031	58397	\N	\N	\N
1306684	4462	1998-11-15	PRIJEM	VKLAD	11870	52347	\N	\N	\N
1306685	4462	1998-08-17	PRIJEM	VKLAD	7759	40347	\N	\N	\N
1306686	4462	1998-04-29	PRIJEM	VKLAD	5308	14835	\N	\N	\N
1306687	4462	1998-08-20	PRIJEM	VKLAD	46721	87068	\N	\N	\N
1306688	4462	1998-02-08	PRIJEM	VKLAD	23153	20443	\N	\N	\N
1306689	4462	1998-11-03	PRIJEM	VKLAD	46948	67477	\N	\N	\N
1306690	4462	1998-09-07	PRIJEM	VKLAD	21792	106827	\N	\N	\N
1306691	4462	1998-08-07	PRIJEM	VKLAD	49048	100577	\N	\N	\N
1306692	4462	1998-05-21	PRIJEM	VKLAD	34824	101359	\N	\N	\N
1306693	4462	1998-12-07	PRIJEM	VKLAD	23536	98083	\N	\N	\N
1306694	4462	1998-08-03	PRIJEM	VKLAD	5013	51529	\N	\N	\N
1306695	4462	1998-05-18	PRIJEM	VKLAD	23413	69735	\N	\N	\N
1306715	4462	1996-08-12	VYDAJ	PREVOD NA UCET	2770	28511	UVER	AB	98249196
1306716	4462	1996-09-12	VYDAJ	PREVOD NA UCET	2770	33729	UVER	AB	98249196
1306717	4462	1996-10-12	VYDAJ	PREVOD NA UCET	2770	60407	UVER	AB	98249196
1306718	4462	1996-11-12	VYDAJ	PREVOD NA UCET	2770	36738	UVER	AB	98249196
1306719	4462	1996-12-12	VYDAJ	PREVOD NA UCET	2770	33148	UVER	AB	98249196
1306722	4462	1997-03-12	VYDAJ	PREVOD NA UCET	2770	1342	UVER	AB	98249196
1306723	4462	1997-04-12	VYDAJ	PREVOD NA UCET	2770	10872	UVER	AB	98249196
1306724	4462	1997-05-12	VYDAJ	PREVOD NA UCET	2770	6235	UVER	AB	98249196
1306726	4462	1997-07-12	VYDAJ	PREVOD NA UCET	2770	2247	UVER	AB	98249196
1306728	4462	1997-09-12	VYDAJ	PREVOD NA UCET	2770	7131	UVER	AB	98249196
1306729	4462	1997-10-12	VYDAJ	PREVOD NA UCET	2770	5784	UVER	AB	98249196
1306730	4462	1997-11-12	VYDAJ	PREVOD NA UCET	2770	13033	UVER	AB	98249196
1306731	4462	1997-12-12	VYDAJ	PREVOD NA UCET	2770	17507	UVER	AB	98249196
1306733	4462	1998-02-12	VYDAJ	PREVOD NA UCET	2770	8672	UVER	AB	98249196
1306734	4462	1998-03-12	VYDAJ	PREVOD NA UCET	2770	22118	UVER	AB	98249196
1306735	4462	1998-04-12	VYDAJ	PREVOD NA UCET	2770	4727	UVER	AB	98249196
1306736	4462	1998-05-20	VYDAJ	VYBER	3200	66535	\N	\N	0
1306737	4462	1998-06-07	VYDAJ	VYBER	2400	11921	\N	\N	0
1306738	4462	1998-07-08	VYDAJ	VYBER	3000	26666	\N	\N	0
1306739	4462	1998-08-20	VYDAJ	VYBER	2300	84768	\N	\N	0
1306740	4462	1998-09-17	VYDAJ	VYBER	2700	44027	\N	\N	0
1306741	4462	1998-09-24	VYDAJ	VYBER	2700	41327	\N	\N	0
1306742	4462	1998-11-22	VYDAJ	VYBER	2700	80397	\N	\N	0
1306743	4462	1998-12-07	VYDAJ	VYBER	2400	95683	\N	\N	0
1306745	4462	1996-08-16	VYBER	VYBER	8754	19757	\N	\N	\N
1306746	4462	1996-07-23	VYBER	VYBER	18751	38193	\N	\N	\N
1306748	4462	1996-11-26	VYBER	VYBER	17016	37579	\N	\N	\N
1306750	4462	1996-09-07	VYBER	VYBER	7884	36499	\N	\N	\N
1306755	4462	1997-01-29	VYBER	VYBER	23457	2043	\N	\N	\N
1306757	4462	1997-07-12	VYBER	VYBER	11418	5018	\N	\N	\N
1306758	4462	1997-09-28	VYBER	VYBER	6796	8535	\N	\N	\N
1306761	4462	1998-12-12	VYBER	VYBER	21000	31683	\N	\N	\N
1306762	4462	1998-11-15	VYBER	VYBER	5007	47340	\N	\N	\N
1306763	4462	1998-03-15	VYBER	VYBER	24028	-1910	\N	\N	\N
1306764	4462	1998-08-11	VYBER	VYBER	17354	112988	\N	\N	\N
1306766	4462	1998-03-01	VYBER	VYBER	6217	-3073	\N	\N	\N
1306770	4462	1998-06-06	VYDAJ	VYBER	87300	14321	\N	\N	\N
1306776	4462	1996-12-18	VYDAJ	VYBER	5700	27448	\N	\N	\N
1306777	4462	1997-12-16	VYDAJ	VYBER	4200	16307	\N	\N	\N
1306778	4462	1998-12-24	VYDAJ	VYBER	8100	23583	\N	\N	\N
1306791	4462	1997-01-20	VYDAJ	VYBER	3900	7447	\N	\N	\N
1306792	4462	1997-01-01	VYDAJ	VYBER	5400	18547	\N	\N	\N
1306793	4462	1997-01-21	VYDAJ	VYBER	3600	3847	\N	\N	\N
1306794	4462	1997-01-03	VYDAJ	VYBER	3000	15547	\N	\N	\N
1306795	4462	1997-01-04	VYDAJ	VYBER	8700	6847	\N	\N	\N
1306796	4462	1997-01-07	VYDAJ	VYBER	5700	1147	\N	\N	\N
1306799	4462	1998-01-17	VYDAJ	VYBER	8400	-2668	\N	\N	\N
1306801	4462	1998-01-08	VYDAJ	VYBER	3900	-1968	\N	\N	\N
1306802	4462	1998-01-02	VYDAJ	VYBER	2700	1932	\N	\N	\N
1306812	4462	1996-12-05	VYDAJ	VYBER	1800	35919	\N	\N	\N
1306814	4462	1997-05-28	VYDAJ	VYBER	14400	3535	\N	\N	\N
1306816	4462	1997-02-24	VYDAJ	VYBER	6000	4132	\N	\N	\N
1306817	4462	1997-12-18	VYDAJ	VYBER	11700	4607	\N	\N	\N
1306818	4462	1997-04-28	VYDAJ	VYBER	12300	8972	\N	\N	\N
1306819	4462	1997-07-25	VYDAJ	VYBER	14100	-1853	\N	\N	\N
1306820	4462	1998-07-24	VYDAJ	VYBER	12000	46397	\N	\N	\N
1306821	4462	1998-02-15	VYDAJ	VYBER	7500	3172	\N	\N	\N
1306822	4462	1998-10-15	VYDAJ	VYBER	6300	20435	\N	\N	\N
1306823	4462	1998-02-11	VYDAJ	VYBER	9000	11443	\N	\N	\N
1306843	4462	1996-07-31	VYDAJ	VYBER	30	31282	SLUZBY	\N	\N
1306844	4462	1996-08-31	VYDAJ	VYBER	30	22536	SLUZBY	\N	\N
1306845	4462	1996-09-30	VYDAJ	VYBER	30	63177	SLUZBY	\N	\N
1306846	4462	1996-10-31	VYDAJ	VYBER	30	39508	SLUZBY	\N	\N
1306847	4462	1996-11-30	VYDAJ	VYBER	30	37719	SLUZBY	\N	\N
1306848	4462	1996-12-31	VYDAJ	VYBER	30	23947	SLUZBY	\N	\N
1306849	4462	1997-01-31	VYDAJ	VYBER	30	2032	SLUZBY	\N	\N
1306850	4462	1997-02-28	VYDAJ	VYBER	30	4112	SLUZBY	\N	\N
1306851	4462	1997-03-31	VYDAJ	VYBER	30	13643	SLUZBY	\N	\N
1306852	4462	1997-04-30	VYDAJ	VYBER	30	9006	SLUZBY	\N	\N
1306853	4462	1997-05-31	VYDAJ	VYBER	30	3549	SLUZBY	\N	\N
1306854	4462	1997-06-30	VYDAJ	VYBER	30	16436	SLUZBY	\N	\N
1306855	4462	1997-07-31	VYDAJ	VYBER	30	-1851	SLUZBY	\N	\N
1306856	4462	1997-08-31	VYDAJ	VYBER	30	9902	SLUZBY	\N	\N
1306857	4462	1997-09-30	VYDAJ	VYBER	30	8554	SLUZBY	\N	\N
1306858	4462	1997-10-31	VYDAJ	VYBER	30	15803	SLUZBY	\N	\N
1306859	4462	1997-11-30	VYDAJ	VYBER	30	20278	SLUZBY	\N	\N
1306860	4462	1997-12-31	VYDAJ	VYBER	30	4632	SLUZBY	\N	\N
1306861	4462	1998-01-31	VYDAJ	VYBER	30	-2711	SLUZBY	\N	\N
1306862	4462	1998-02-28	VYDAJ	VYBER	30	3144	SLUZBY	\N	\N
1306863	4462	1998-03-31	VYDAJ	VYBER	30	7498	SLUZBY	\N	\N
1306864	4462	1998-04-30	VYDAJ	VYBER	30	51136	SLUZBY	\N	\N
1306865	4462	1998-05-31	VYDAJ	VYBER	30	101621	SLUZBY	\N	\N
1306866	4462	1998-06-30	VYDAJ	VYBER	30	29666	SLUZBY	\N	\N
1306867	4462	1998-07-31	VYDAJ	VYBER	30	46516	SLUZBY	\N	\N
1306868	4462	1998-08-31	VYDAJ	VYBER	30	85035	SLUZBY	\N	\N
1306869	4462	1998-09-30	VYDAJ	VYBER	30	41535	SLUZBY	\N	\N
1306870	4462	1998-10-31	VYDAJ	VYBER	30	20529	SLUZBY	\N	\N
1306871	4462	1998-11-30	VYDAJ	VYBER	30	95205	SLUZBY	\N	\N
1306872	4462	1996-01-26	PRIJEM	VKLAD	8500	9400	\N	\N	\N
1306873	4462	1996-02-25	VYDAJ	VYBER	7600	27900	\N	\N	\N
1306874	4462	1996-03-26	VYDAJ	VYBER	28000	49551	\N	\N	\N
1306875	4462	1996-04-25	VYDAJ	VYBER	15000	34685	\N	\N	\N
1306876	4462	1996-05-25	VYDAJ	VYBER	7200	27691	\N	\N	\N
1306877	4462	1996-06-24	VYDAJ	VYBER	9000	24256	\N	\N	\N
1306878	4462	1996-07-24	VYDAJ	VYBER	7000	31193	\N	\N	\N
1306879	4462	1996-08-23	PRIJEM	VKLAD	2700	22457	\N	\N	\N
1306880	4462	1996-09-22	VYDAJ	VYBER	4100	29629	\N	\N	\N
1306881	4462	1996-10-22	VYDAJ	VYBER	21100	39307	\N	\N	\N
1306882	4462	1996-11-21	VYDAJ	VYBER	10900	25838	\N	\N	\N
1306883	4462	1996-12-21	VYDAJ	VYBER	3600	23848	\N	\N	\N
1306884	4462	1997-01-20	PRIJEM	VKLAD	10200	11347	\N	\N	\N
1306885	4462	1997-02-19	PRIJEM	VKLAD	8100	10132	\N	\N	\N
1306886	4462	1997-03-21	PRIJEM	VKLAD	12300	13642	\N	\N	\N
1306887	4462	1997-04-20	PRIJEM	VKLAD	10400	21272	\N	\N	\N
1306888	4462	1997-05-20	PRIJEM	VKLAD	11700	17935	\N	\N	\N
1306889	4462	1997-06-19	PRIJEM	VKLAD	12900	16449	\N	\N	\N
1306890	4462	1997-07-19	PRIJEM	VKLAD	10000	12247	\N	\N	\N
1306891	4462	1997-08-18	PRIJEM	VKLAD	11800	9949	\N	\N	\N
1306892	4462	1997-09-17	PRIJEM	VKLAD	8200	15331	\N	\N	\N
1306893	4462	1997-10-17	PRIJEM	VKLAD	10000	15784	\N	\N	\N
1306894	4462	1997-11-16	PRIJEM	VKLAD	7200	20233	\N	\N	\N
1306895	4462	1997-12-16	PRIJEM	VKLAD	3000	20507	\N	\N	\N
1306896	4462	1998-01-15	PRIJEM	VKLAD	7700	5732	\N	\N	\N
1306897	4462	1998-02-14	PRIJEM	VKLAD	2000	10672	\N	\N	\N
1306898	4462	1998-03-16	PRIJEM	VKLAD	9400	7490	\N	\N	\N
1306899	4462	1998-04-15	PRIJEM	VKLAD	4800	9527	\N	\N	\N
1306900	4462	1998-05-15	VYDAJ	VYBER	31600	46322	\N	\N	\N
1306901	4462	1998-06-14	VYDAJ	VYBER	19900	29510	\N	\N	\N
1306902	4462	1998-07-14	VYDAJ	VYBER	6300	20366	\N	\N	\N
1306903	4462	1998-08-11	VYDAJ	VYBER	63800	49188	\N	\N	\N
1306904	4462	1998-08-13	VYDAJ	VYBER	16600	32588	\N	\N	\N
1306905	4462	1998-09-07	VYDAJ	VYBER	30900	75927	\N	\N	\N
1306906	4462	1998-09-12	VYDAJ	VYBER	29200	46727	\N	\N	\N
1306907	4462	1998-10-12	VYDAJ	VYBER	14800	26735	\N	\N	\N
1306908	4462	1998-11-11	VYDAJ	VYBER	27000	40477	\N	\N	\N
1306909	4462	1998-11-30	VYDAJ	VYBER	24400	95235	\N	\N	\N
1306910	4462	1998-12-01	VYDAJ	VYBER	57500	74547	\N	\N	\N
1306911	4462	1998-12-11	VYDAJ	VYBER	43000	52683	\N	\N	\N
1306953	4463	1993-09-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1306962	4463	1993-09-13	PRIJEM	VKLAD	7269	8269	\N	\N	\N
1306963	4463	1993-10-13	PRIJEM	VKLAD	7269	24959	\N	\N	\N
1306964	4463	1993-11-13	PRIJEM	VKLAD	7269	32905	\N	\N	\N
1306965	4463	1993-12-13	PRIJEM	VKLAD	10904	40033	\N	\N	\N
1306966	4463	1994-01-13	PRIJEM	VKLAD	7269	37957	\N	\N	\N
1306967	4463	1994-02-13	PRIJEM	VKLAD	7269	35169	\N	\N	\N
1306968	4463	1994-03-13	PRIJEM	VKLAD	7269	34441	\N	\N	\N
1306969	4463	1994-04-13	PRIJEM	VKLAD	7269	39033	\N	\N	\N
1306970	4463	1994-05-13	PRIJEM	VKLAD	7269	37742	\N	\N	\N
1306971	4463	1994-06-13	PRIJEM	VKLAD	10904	41690	\N	\N	\N
1306972	4463	1994-07-13	PRIJEM	VKLAD	7269	23357	\N	\N	\N
1306973	4463	1994-08-13	PRIJEM	VKLAD	7269	33401	\N	\N	\N
1306974	4463	1994-09-13	PRIJEM	VKLAD	7269	36974	\N	\N	\N
1306975	4463	1994-10-13	PRIJEM	VKLAD	7269	37153	\N	\N	\N
1306976	4463	1994-11-13	PRIJEM	VKLAD	7269	39533	\N	\N	\N
1306977	4463	1994-12-13	PRIJEM	VKLAD	10904	41956	\N	\N	\N
1306978	4463	1995-01-13	PRIJEM	VKLAD	7269	40641	\N	\N	\N
1306979	4463	1995-02-13	PRIJEM	VKLAD	7269	37731	\N	\N	\N
1306980	4463	1995-03-13	PRIJEM	VKLAD	7269	36416	\N	\N	\N
1306981	4463	1995-04-13	PRIJEM	VKLAD	7269	37092	\N	\N	\N
1306982	4463	1995-05-13	PRIJEM	VKLAD	7269	40173	\N	\N	\N
1306983	4463	1995-06-13	PRIJEM	VKLAD	10904	44900	\N	\N	\N
1306984	4463	1995-07-13	PRIJEM	VKLAD	7269	30384	\N	\N	\N
1306985	4463	1995-08-13	PRIJEM	VKLAD	7269	31639	\N	\N	\N
1306986	4463	1995-09-13	PRIJEM	VKLAD	7269	38319	\N	\N	\N
1306987	4463	1995-10-13	PRIJEM	VKLAD	7269	34203	\N	\N	\N
1306988	4463	1995-11-13	PRIJEM	VKLAD	7269	35188	\N	\N	\N
1306989	4463	1995-12-13	PRIJEM	VKLAD	10904	42097	\N	\N	\N
1306990	4463	1996-01-13	PRIJEM	VKLAD	7269	43287	\N	\N	\N
1306991	4463	1996-02-13	PRIJEM	VKLAD	7269	35584	\N	\N	\N
1306992	4463	1996-03-13	PRIJEM	VKLAD	7269	39060	\N	\N	\N
1306993	4463	1996-04-13	PRIJEM	VKLAD	7269	39347	\N	\N	\N
1306994	4463	1996-05-13	PRIJEM	VKLAD	7269	39635	\N	\N	\N
1306995	4463	1996-06-13	PRIJEM	VKLAD	10904	33758	\N	\N	\N
1306996	4463	1996-07-13	PRIJEM	VKLAD	7269	35543	\N	\N	\N
1306997	4463	1996-08-13	PRIJEM	VKLAD	7269	39330	\N	\N	\N
1306998	4463	1996-09-13	PRIJEM	VKLAD	7269	41019	\N	\N	\N
1306999	4463	1996-10-13	PRIJEM	VKLAD	7269	39122	\N	\N	\N
1307000	4463	1996-11-13	PRIJEM	VKLAD	7269	39921	\N	\N	\N
1307001	4463	1996-12-13	PRIJEM	VKLAD	10904	48054	\N	\N	\N
1307002	4463	1997-01-13	PRIJEM	VKLAD	7269	43459	\N	\N	\N
1307003	4463	1997-02-13	PRIJEM	VKLAD	7269	41459	\N	\N	\N
1307004	4463	1997-03-13	PRIJEM	VKLAD	7269	40652	\N	\N	\N
1307005	4463	1997-04-13	PRIJEM	VKLAD	7269	39343	\N	\N	\N
1307006	4463	1997-05-13	PRIJEM	VKLAD	7269	35622	\N	\N	\N
1307007	4463	1997-06-13	PRIJEM	VKLAD	10904	12128	\N	\N	\N
1307008	4463	1997-07-13	PRIJEM	VKLAD	7269	27276	\N	\N	\N
1307009	4463	1997-08-13	PRIJEM	VKLAD	7269	35431	\N	\N	\N
1307010	4463	1997-09-13	PRIJEM	VKLAD	7269	44715	\N	\N	\N
1307011	4463	1997-10-13	PRIJEM	VKLAD	7269	45236	\N	\N	\N
1307012	4463	1997-11-13	PRIJEM	VKLAD	7269	44576	\N	\N	\N
1307013	4463	1997-12-13	PRIJEM	VKLAD	10904	43950	\N	\N	\N
1307014	4463	1998-01-13	PRIJEM	VKLAD	7269	38486	\N	\N	\N
1307015	4463	1998-02-13	PRIJEM	VKLAD	7269	30098	\N	\N	\N
1307016	4463	1998-03-13	PRIJEM	VKLAD	7269	32276	\N	\N	\N
1307017	4463	1998-04-13	PRIJEM	VKLAD	7269	28559	\N	\N	\N
1307018	4463	1998-05-13	PRIJEM	VKLAD	7269	32130	\N	\N	\N
1307019	4463	1998-06-13	PRIJEM	VKLAD	10904	35845	\N	\N	\N
1307020	4463	1998-07-13	PRIJEM	VKLAD	7269	25707	\N	\N	\N
1307021	4463	1998-08-13	PRIJEM	VKLAD	7269	27860	\N	\N	\N
1307022	4463	1998-09-13	PRIJEM	VKLAD	7269	29622	\N	\N	\N
1307023	4463	1998-10-13	PRIJEM	VKLAD	7269	27892	\N	\N	\N
1307024	4463	1998-11-13	PRIJEM	VKLAD	7269	29262	\N	\N	\N
1307025	4463	1998-12-13	PRIJEM	VKLAD	10904	30168	\N	\N	\N
1307027	4463	1994-06-24	VYDAJ	VYBER	28200	13490	\N	\N	\N
1307028	4463	1995-06-24	VYDAJ	VYBER	26400	18500	\N	\N	\N
1307029	4463	1996-06-04	VYDAJ	VYBER	8300	22854	\N	\N	\N
1307030	4463	1997-06-03	VYDAJ	VYBER	27100	1224	\N	\N	\N
1307031	4463	1998-06-14	VYDAJ	VYBER	13600	22245	\N	\N	\N
1307033	4463	1994-01-26	VYDAJ	VYBER	4300	33657	\N	\N	\N
1307034	4463	1995-01-22	VYDAJ	VYBER	5000	32541	\N	\N	\N
1307035	4463	1996-01-23	VYDAJ	VYBER	2500	31787	\N	\N	\N
1307036	4463	1997-01-18	VYDAJ	VYBER	2600	34059	\N	\N	\N
1307037	4463	1998-01-23	VYDAJ	VYBER	7900	30586	\N	\N	\N
1307043	4463	1994-02-23	VYDAJ	VYBER	4900	30269	\N	\N	\N
1307044	4463	1994-08-17	VYDAJ	VYBER	1700	31701	\N	\N	\N
1307045	4463	1994-07-09	VYDAJ	VYBER	2200	16088	\N	\N	\N
1307046	4463	1995-01-21	VYDAJ	VYBER	3100	37541	\N	\N	\N
1307047	4463	1995-07-27	VYDAJ	VYBER	1200	28284	\N	\N	\N
1307048	4463	1995-02-18	VYDAJ	VYBER	2800	34931	\N	\N	\N
1307049	4463	1995-08-12	VYDAJ	VYBER	4000	24370	\N	\N	\N
1307050	4463	1995-10-02	VYDAJ	VYBER	4900	26934	\N	\N	\N
1307051	4463	1996-04-24	VYDAJ	VYBER	2100	32247	\N	\N	\N
1307052	4463	1996-07-18	VYDAJ	VYBER	1900	33643	\N	\N	\N
1307053	4463	1996-07-10	VYDAJ	VYBER	2400	28274	\N	\N	\N
1307054	4463	1996-10-10	VYDAJ	VYBER	3500	31853	\N	\N	\N
1307055	4463	1996-10-05	VYDAJ	VYBER	2900	35353	\N	\N	\N
1307056	4463	1996-05-15	VYDAJ	VYBER	4200	35435	\N	\N	\N
1307057	4463	1996-01-30	VYDAJ	VYBER	3600	28187	\N	\N	\N
1307058	4463	1997-04-13	VYDAJ	VYBER	4200	35143	\N	\N	\N
1307059	4463	1997-03-29	VYDAJ	VYBER	1100	31952	\N	\N	\N
1307060	4463	1998-04-04	VYDAJ	VYBER	2100	30290	\N	\N	\N
1307061	4463	1998-04-09	VYDAJ	VYBER	1900	28390	\N	\N	\N
1307062	4463	1998-08-20	VYDAJ	VYBER	800	27060	\N	\N	\N
1307076	4463	1994-01-31	VYDAJ	VYBER	15	27900	SLUZBY	\N	\N
1307077	4463	1994-02-28	VYDAJ	VYBER	15	30372	SLUZBY	\N	\N
1307078	4463	1994-03-31	VYDAJ	VYBER	15	34564	SLUZBY	\N	\N
1307079	4463	1994-04-30	VYDAJ	VYBER	15	39173	SLUZBY	\N	\N
1307080	4463	1994-05-31	VYDAJ	VYBER	15	37886	SLUZBY	\N	\N
1307081	4463	1994-06-30	VYDAJ	VYBER	15	18288	SLUZBY	\N	\N
1307082	4463	1994-07-31	VYDAJ	VYBER	15	26132	SLUZBY	\N	\N
1307083	4463	1994-08-31	VYDAJ	VYBER	15	29705	SLUZBY	\N	\N
1307084	4463	1994-09-30	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
1307085	4463	1994-10-31	VYDAJ	VYBER	15	32264	SLUZBY	\N	\N
1307086	4463	1994-11-30	VYDAJ	VYBER	15	31052	SLUZBY	\N	\N
1307087	4463	1994-12-31	VYDAJ	VYBER	15	33372	SLUZBY	\N	\N
1307088	4463	1995-01-31	VYDAJ	VYBER	15	30462	SLUZBY	\N	\N
1307089	4463	1995-02-28	VYDAJ	VYBER	15	29147	SLUZBY	\N	\N
1307090	4463	1995-03-31	VYDAJ	VYBER	15	29823	SLUZBY	\N	\N
1307091	4463	1995-04-30	VYDAJ	VYBER	15	32904	SLUZBY	\N	\N
1307092	4463	1995-05-31	VYDAJ	VYBER	15	33996	SLUZBY	\N	\N
1307093	4463	1995-06-30	VYDAJ	VYBER	15	23115	SLUZBY	\N	\N
1307094	4463	1995-07-31	VYDAJ	VYBER	15	28370	SLUZBY	\N	\N
1307095	4463	1995-08-31	VYDAJ	VYBER	15	31050	SLUZBY	\N	\N
1307096	4463	1995-09-30	VYDAJ	VYBER	15	31834	SLUZBY	\N	\N
1307097	4463	1995-10-31	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
1307098	4463	1995-11-30	VYDAJ	VYBER	15	31193	SLUZBY	\N	\N
1307099	4463	1995-12-31	VYDAJ	VYBER	15	36018	SLUZBY	\N	\N
1307100	4463	1996-01-31	VYDAJ	VYBER	15	28315	SLUZBY	\N	\N
1307101	4463	1996-02-29	VYDAJ	VYBER	15	31791	SLUZBY	\N	\N
1307102	4463	1996-03-31	VYDAJ	VYBER	15	32078	SLUZBY	\N	\N
1307103	4463	1996-04-30	VYDAJ	VYBER	15	32366	SLUZBY	\N	\N
1307104	4463	1996-05-31	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
1307105	4463	1996-06-30	VYDAJ	VYBER	15	30674	SLUZBY	\N	\N
1307106	4463	1996-07-31	VYDAJ	VYBER	15	32061	SLUZBY	\N	\N
1307107	4463	1996-08-31	VYDAJ	VYBER	15	33750	SLUZBY	\N	\N
1307108	4463	1996-09-30	VYDAJ	VYBER	15	38253	SLUZBY	\N	\N
1307109	4463	1996-10-31	VYDAJ	VYBER	15	32652	SLUZBY	\N	\N
1307110	4463	1996-11-30	VYDAJ	VYBER	15	37150	SLUZBY	\N	\N
1307111	4463	1996-12-31	VYDAJ	VYBER	15	36190	SLUZBY	\N	\N
1307112	4463	1997-01-31	VYDAJ	VYBER	15	34190	SLUZBY	\N	\N
1307113	4463	1997-02-28	VYDAJ	VYBER	15	33383	SLUZBY	\N	\N
1307114	4463	1997-03-31	VYDAJ	VYBER	15	32074	SLUZBY	\N	\N
1307115	4463	1997-04-30	VYDAJ	VYBER	15	28353	SLUZBY	\N	\N
1307116	4463	1997-05-31	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
1307117	4463	1997-06-30	VYDAJ	VYBER	15	20007	SLUZBY	\N	\N
1307118	4463	1997-07-31	VYDAJ	VYBER	15	28162	SLUZBY	\N	\N
1307119	4463	1997-08-31	VYDAJ	VYBER	15	34046	SLUZBY	\N	\N
1307120	4463	1997-09-30	VYDAJ	VYBER	15	44867	SLUZBY	\N	\N
1307121	4463	1997-10-31	VYDAJ	VYBER	15	45407	SLUZBY	\N	\N
1307122	4463	1997-11-30	VYDAJ	VYBER	15	44746	SLUZBY	\N	\N
1307123	4463	1997-12-31	VYDAJ	VYBER	15	44117	SLUZBY	\N	\N
1307124	4463	1998-01-31	VYDAJ	VYBER	15	30729	SLUZBY	\N	\N
1307125	4463	1998-02-28	VYDAJ	VYBER	15	30207	SLUZBY	\N	\N
1307126	4463	1998-03-31	VYDAJ	VYBER	15	32390	SLUZBY	\N	\N
1307127	4463	1998-04-30	VYDAJ	VYBER	15	28661	SLUZBY	\N	\N
1307128	4463	1998-05-31	VYDAJ	VYBER	15	32241	SLUZBY	\N	\N
1307129	4463	1998-06-30	VYDAJ	VYBER	15	22338	SLUZBY	\N	\N
1307130	4463	1998-07-31	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
1307131	4463	1998-08-31	VYDAJ	VYBER	15	27153	SLUZBY	\N	\N
1307132	4463	1998-09-30	VYDAJ	VYBER	15	29723	SLUZBY	\N	\N
1307133	4463	1998-10-31	VYDAJ	VYBER	15	27993	SLUZBY	\N	\N
1307134	4463	1998-11-30	VYDAJ	VYBER	15	29364	SLUZBY	\N	\N
1307135	4463	1993-10-03	PRIJEM	VKLAD	9400	17690	\N	\N	\N
1307136	4463	1993-11-02	PRIJEM	VKLAD	600	25636	\N	\N	\N
1307137	4463	1993-12-02	VYDAJ	VYBER	3900	29129	\N	\N	\N
1307138	4463	1994-01-01	VYDAJ	VYBER	9500	30688	\N	\N	\N
1307139	4463	1994-01-31	VYDAJ	VYBER	5900	27914	\N	\N	\N
1307140	4463	1994-03-02	VYDAJ	VYBER	3200	27172	\N	\N	\N
1307141	4463	1994-04-01	VYDAJ	VYBER	2800	31764	\N	\N	\N
1307142	4463	1994-05-01	VYDAJ	VYBER	8700	30473	\N	\N	\N
1307143	4463	1994-05-31	VYDAJ	VYBER	7100	30786	\N	\N	\N
1307144	4463	1994-06-30	PRIJEM	VKLAD	4700	18302	\N	\N	\N
1307145	4463	1994-07-30	PRIJEM	VKLAD	2700	26057	\N	\N	\N
1307146	4463	1994-08-29	VYDAJ	VYBER	2100	29601	\N	\N	\N
1307147	4463	1994-09-28	VYDAJ	VYBER	7200	29774	\N	\N	\N
1307148	4463	1994-10-28	VYDAJ	VYBER	5000	32153	\N	\N	\N
1307149	4463	1994-11-27	VYDAJ	VYBER	8600	30933	\N	\N	\N
1307150	4463	1994-12-27	VYDAJ	VYBER	8700	33256	\N	\N	\N
1307151	4463	1995-01-26	VYDAJ	VYBER	2200	30341	\N	\N	\N
1307152	4463	1995-02-25	VYDAJ	VYBER	5900	29031	\N	\N	\N
1307153	4463	1995-03-27	VYDAJ	VYBER	6700	29716	\N	\N	\N
1307154	4463	1995-04-26	VYDAJ	VYBER	4300	32792	\N	\N	\N
1307155	4463	1995-05-26	VYDAJ	VYBER	6300	33873	\N	\N	\N
1307156	4463	1995-06-25	PRIJEM	VKLAD	4500	23000	\N	\N	\N
1307157	4463	1995-07-25	VYDAJ	VYBER	900	29484	\N	\N	\N
1307158	4463	1995-08-24	VYDAJ	VYBER	700	30939	\N	\N	\N
1307159	4463	1995-09-23	VYDAJ	VYBER	6600	31719	\N	\N	\N
1307160	4463	1995-10-23	VYDAJ	VYBER	6400	27803	\N	\N	\N
1307161	4463	1995-11-22	VYDAJ	VYBER	4100	31088	\N	\N	\N
1307162	4463	1995-12-22	VYDAJ	VYBER	6200	35897	\N	\N	\N
1307163	4463	1996-01-21	VYDAJ	VYBER	9000	34287	\N	\N	\N
1307164	4463	1996-02-20	VYDAJ	VYBER	3900	31684	\N	\N	\N
1307165	4463	1996-03-21	VYDAJ	VYBER	7100	31960	\N	\N	\N
1307166	4463	1996-04-20	VYDAJ	VYBER	5000	34347	\N	\N	\N
1307167	4463	1996-05-20	VYDAJ	VYBER	4400	31035	\N	\N	\N
1307168	4463	1996-06-19	VYDAJ	VYBER	3200	30558	\N	\N	\N
1307169	4463	1996-07-19	VYDAJ	VYBER	1700	31943	\N	\N	\N
1307170	4463	1996-08-18	VYDAJ	VYBER	5700	33630	\N	\N	\N
1307171	4463	1996-09-17	VYDAJ	VYBER	2900	38119	\N	\N	\N
1307172	4463	1996-10-17	VYDAJ	VYBER	6600	32522	\N	\N	\N
1307173	4463	1996-11-16	VYDAJ	VYBER	2900	37021	\N	\N	\N
1307174	4463	1996-12-16	VYDAJ	VYBER	12000	36054	\N	\N	\N
1307175	4463	1997-01-15	VYDAJ	VYBER	6800	36659	\N	\N	\N
1307176	4463	1997-02-14	VYDAJ	VYBER	8200	33259	\N	\N	\N
1307177	4463	1997-03-16	VYDAJ	VYBER	7600	33052	\N	\N	\N
1307178	4463	1997-04-15	VYDAJ	VYBER	6900	28243	\N	\N	\N
1307179	4463	1997-05-15	VYDAJ	VYBER	7400	28222	\N	\N	\N
1307180	4463	1997-06-14	PRIJEM	VKLAD	7800	19928	\N	\N	\N
1307181	4463	1997-07-14	PRIJEM	VKLAD	800	28076	\N	\N	\N
1307182	4463	1997-08-13	VYDAJ	VYBER	1500	33931	\N	\N	\N
1307183	4463	1997-09-12	PRIJEM	VKLAD	3400	37446	\N	\N	\N
1307184	4463	1997-10-12	VYDAJ	VYBER	6900	37967	\N	\N	\N
1307185	4463	1997-11-11	VYDAJ	VYBER	8100	37307	\N	\N	\N
1307186	4463	1997-12-11	VYDAJ	VYBER	11700	33046	\N	\N	\N
1307187	4463	1998-01-10	VYDAJ	VYBER	12900	31217	\N	\N	\N
1307188	4463	1998-02-09	VYDAJ	VYBER	7900	22829	\N	\N	\N
1307189	4463	1998-03-11	VYDAJ	VYBER	5200	25007	\N	\N	\N
1307190	4463	1998-04-10	VYDAJ	VYBER	7100	21290	\N	\N	\N
1307191	4463	1998-05-10	VYDAJ	VYBER	3800	24861	\N	\N	\N
1307192	4463	1998-06-09	VYDAJ	VYBER	7300	24941	\N	\N	\N
1307193	4463	1998-07-09	VYDAJ	VYBER	3900	18438	\N	\N	\N
1307194	4463	1998-08-08	VYDAJ	VYBER	5200	20591	\N	\N	\N
1307195	4463	1998-09-07	VYDAJ	VYBER	4800	22353	\N	\N	\N
1307196	4463	1998-10-07	VYDAJ	VYBER	9100	20623	\N	\N	\N
1307197	4463	1998-11-06	VYDAJ	VYBER	6000	21993	\N	\N	\N
1307198	4463	1998-12-06	VYDAJ	VYBER	10100	19264	\N	\N	\N
1307998	4467	1997-04-13	PRIJEM	VKLAD	300	300	\N	\N	\N
1308002	4467	1997-04-14	PRIJEM	PREVOD Z UCTU	14367	14667	\N	EF	42645382
1308003	4467	1997-05-14	PRIJEM	PREVOD Z UCTU	14367	35069	\N	EF	42645382
1308004	4467	1997-06-14	PRIJEM	PREVOD Z UCTU	21550	47929	\N	EF	42645382
1308005	4467	1997-07-14	PRIJEM	PREVOD Z UCTU	14367	45173	\N	EF	42645382
1308006	4467	1997-08-14	PRIJEM	PREVOD Z UCTU	14367	44333	\N	EF	42645382
1308007	4467	1997-09-14	PRIJEM	PREVOD Z UCTU	14367	40200	\N	EF	42645382
1308008	4467	1997-10-14	PRIJEM	PREVOD Z UCTU	14367	30259	\N	EF	42645382
1308009	4467	1997-11-14	PRIJEM	PREVOD Z UCTU	14367	25655	\N	EF	42645382
1308010	4467	1997-12-14	PRIJEM	PREVOD Z UCTU	21550	36414	\N	EF	42645382
1308011	4467	1998-01-14	PRIJEM	PREVOD Z UCTU	14367	27909	\N	EF	42645382
1308012	4467	1998-02-14	PRIJEM	PREVOD Z UCTU	14367	30180	\N	EF	42645382
1308013	4467	1998-03-14	PRIJEM	PREVOD Z UCTU	14367	37762	\N	EF	42645382
1308014	4467	1998-04-14	PRIJEM	PREVOD Z UCTU	14367	27877	\N	EF	42645382
1308015	4467	1998-05-14	PRIJEM	PREVOD Z UCTU	14367	33179	\N	EF	42645382
1308016	4467	1998-06-14	PRIJEM	PREVOD Z UCTU	21550	48659	\N	EF	42645382
1308017	4467	1998-07-14	PRIJEM	PREVOD Z UCTU	14367	28712	\N	EF	42645382
1308018	4467	1998-08-14	PRIJEM	PREVOD Z UCTU	14367	36221	\N	EF	42645382
1308019	4467	1998-09-14	PRIJEM	PREVOD Z UCTU	14367	36909	\N	EF	42645382
1308020	4467	1998-10-14	PRIJEM	PREVOD Z UCTU	14367	35940	\N	EF	42645382
1308021	4467	1998-11-14	PRIJEM	PREVOD Z UCTU	14367	43460	\N	EF	42645382
1308022	4467	1998-12-14	PRIJEM	PREVOD Z UCTU	21550	44364	\N	EF	42645382
1308031	4467	1997-09-09	VYDAJ	VYBER	1600	38333	\N	\N	0
1308032	4467	1997-10-13	VYDAJ	VYBER	2800	15892	\N	\N	0
1308033	4467	1997-11-06	VYDAJ	VYBER	2200	15888	\N	\N	0
1308034	4467	1997-12-20	VYDAJ	VYBER	1700	34714	\N	\N	0
1308035	4467	1998-01-09	VYDAJ	VYBER	2300	13542	\N	\N	0
1308036	4467	1998-02-18	VYDAJ	VYBER	2300	27880	\N	\N	0
1308037	4467	1998-03-15	VYDAJ	VYBER	2300	35462	\N	\N	0
1308038	4467	1998-03-29	VYDAJ	VYBER	2400	33062	\N	\N	0
1308039	4467	1998-05-03	VYDAJ	VYBER	1800	23368	\N	\N	0
1308040	4467	1998-05-29	VYDAJ	VYBER	1600	31579	\N	\N	0
1308041	4467	1998-07-09	VYDAJ	VYBER	2000	14345	\N	\N	0
1308042	4467	1998-08-12	VYDAJ	PREVOD NA UCET	2395	21854	UVER	UV	25870239
1308043	4467	1998-09-12	VYDAJ	PREVOD NA UCET	2395	22542	UVER	UV	25870239
1308044	4467	1998-10-12	VYDAJ	PREVOD NA UCET	2395	21573	UVER	UV	25870239
1308045	4467	1998-11-12	VYDAJ	PREVOD NA UCET	2395	29093	UVER	UV	25870239
1308046	4467	1998-12-12	VYDAJ	PREVOD NA UCET	2395	22814	UVER	UV	25870239
1308055	4467	1997-09-05	VYDAJ	PREVOD NA UCET	4556	39933	SIPO	QR	66281664
1308056	4467	1997-10-05	VYDAJ	PREVOD NA UCET	4556	22292	SIPO	QR	66281664
1308057	4467	1997-11-05	VYDAJ	PREVOD NA UCET	4556	18088	SIPO	QR	66281664
1308058	4467	1997-12-05	VYDAJ	PREVOD NA UCET	4556	21164	SIPO	QR	66281664
1308059	4467	1998-01-05	VYDAJ	PREVOD NA UCET	4556	15842	SIPO	QR	66281664
1308060	4467	1998-02-05	VYDAJ	PREVOD NA UCET	4556	19213	SIPO	QR	66281664
1308061	4467	1998-03-05	VYDAJ	PREVOD NA UCET	4556	23395	SIPO	QR	66281664
1308062	4467	1998-04-05	VYDAJ	PREVOD NA UCET	4556	28610	SIPO	QR	66281664
1308063	4467	1998-05-05	VYDAJ	PREVOD NA UCET	4556	18812	SIPO	QR	66281664
1308064	4467	1998-06-05	VYDAJ	PREVOD NA UCET	4556	27109	SIPO	QR	66281664
1308065	4467	1998-07-05	VYDAJ	PREVOD NA UCET	4556	44245	SIPO	QR	66281664
1308066	4467	1998-08-05	VYDAJ	PREVOD NA UCET	4556	24248	SIPO	QR	66281664
1308067	4467	1998-09-05	VYDAJ	PREVOD NA UCET	4556	24937	SIPO	QR	66281664
1308068	4467	1998-10-05	VYDAJ	PREVOD NA UCET	4556	23967	SIPO	QR	66281664
1308069	4467	1998-11-05	VYDAJ	PREVOD NA UCET	4556	31488	SIPO	QR	66281664
1308070	4467	1998-12-05	VYDAJ	PREVOD NA UCET	4556	25209	SIPO	QR	66281664
1308072	4467	1997-09-30	VYBER	VYBER	13484	26878	\N	\N	\N
1308075	4467	1997-11-04	VYBER	VYBER	7700	22644	\N	\N	\N
1308078	4467	1998-09-21	VYBER	VYBER	8482	28427	\N	\N	\N
1308079	4467	1998-12-14	VYBER	VYBER	9372	34992	\N	\N	\N
1308080	4467	1998-08-29	VYBER	VYBER	6831	29390	\N	\N	\N
1308083	4467	1998-04-25	VYBER	VYBER	2785	25092	\N	\N	\N
1308088	4467	1997-12-24	VYDAJ	VYBER	8100	26614	\N	\N	\N
1308089	4467	1998-12-17	VYDAJ	VYBER	3900	31092	\N	\N	\N
1308099	4467	1998-01-15	VYDAJ	VYBER	4200	23709	\N	\N	\N
1308100	4467	1998-01-04	VYDAJ	VYBER	6300	20398	\N	\N	\N
1308109	4467	1998-11-15	VYDAJ	VYBER	13800	29660	\N	\N	\N
1308118	4467	1997-08-31	VYDAJ	VYBER	30	44489	SLUZBY	\N	\N
1308119	4467	1997-09-30	VYDAJ	VYBER	30	26848	SLUZBY	\N	\N
1308120	4467	1997-10-31	VYDAJ	VYBER	30	30344	SLUZBY	\N	\N
1308121	4467	1997-11-30	VYDAJ	VYBER	30	25720	SLUZBY	\N	\N
1308122	4467	1997-12-31	VYDAJ	VYBER	30	26698	SLUZBY	\N	\N
1308123	4467	1998-01-31	VYDAJ	VYBER	30	23769	SLUZBY	\N	\N
1308124	4467	1998-02-28	VYDAJ	VYBER	30	27951	SLUZBY	\N	\N
1308125	4467	1998-03-31	VYDAJ	VYBER	30	33166	SLUZBY	\N	\N
1308126	4467	1998-04-30	VYDAJ	VYBER	30	25168	SLUZBY	\N	\N
1308127	4467	1998-05-31	VYDAJ	VYBER	30	31665	SLUZBY	\N	\N
1308128	4467	1998-06-30	VYDAJ	VYBER	30	48801	SLUZBY	\N	\N
1308129	4467	1998-07-31	VYDAJ	VYBER	30	28804	SLUZBY	\N	\N
1308130	4467	1998-08-31	VYDAJ	VYBER	30	29493	SLUZBY	\N	\N
1308131	4467	1998-09-30	VYDAJ	VYBER	30	28523	SLUZBY	\N	\N
1308132	4467	1998-10-31	VYDAJ	VYBER	30	36044	SLUZBY	\N	\N
1308133	4467	1998-11-30	VYDAJ	VYBER	30	29765	SLUZBY	\N	\N
1308134	4467	1997-05-13	PRIJEM	VKLAD	6000	20702	\N	\N	\N
1308135	4467	1997-06-12	VYDAJ	VYBER	8800	26379	\N	\N	\N
1308136	4467	1997-07-12	VYDAJ	VYBER	17300	30806	\N	\N	\N
1308137	4467	1997-08-11	VYDAJ	VYBER	15400	29966	\N	\N	\N
1308138	4467	1997-09-10	VYDAJ	VYBER	12500	25833	\N	\N	\N
1308139	4467	1997-10-10	VYDAJ	VYBER	3600	18692	\N	\N	\N
1308140	4467	1997-11-09	VYDAJ	VYBER	4600	11288	\N	\N	\N
1308141	4467	1997-12-09	VYDAJ	VYBER	6300	14864	\N	\N	\N
1308142	4467	1998-02-07	VYDAJ	VYBER	3400	15813	\N	\N	\N
1308143	4467	1998-04-08	VYDAJ	VYBER	15100	13510	\N	\N	\N
1308144	4467	1998-07-07	VYDAJ	VYBER	27900	16345	\N	\N	\N
1309085	4470	1993-11-01	PRIJEM	VKLAD	500	500	\N	\N	\N
1309096	4470	1993-11-07	PRIJEM	PREVOD Z UCTU	40569	41069	\N	ST	59639334
1309097	4470	1993-12-07	PRIJEM	PREVOD Z UCTU	60854	94960	\N	ST	59639334
1309098	4470	1994-01-07	PRIJEM	PREVOD Z UCTU	40569	100376	\N	ST	59639334
1309099	4470	1994-02-07	PRIJEM	PREVOD Z UCTU	40569	103695	\N	ST	59639334
1309100	4470	1994-03-07	PRIJEM	PREVOD Z UCTU	40569	106526	\N	ST	59639334
1309101	4470	1994-04-07	PRIJEM	PREVOD Z UCTU	40569	75585	\N	ST	59639334
1309102	4470	1994-05-07	PRIJEM	PREVOD Z UCTU	40569	86539	\N	ST	59639334
1309103	4470	1994-06-07	PRIJEM	PREVOD Z UCTU	60854	110850	\N	ST	59639334
1309104	4470	1994-07-07	PRIJEM	PREVOD Z UCTU	40569	68809	\N	ST	59639334
1309105	4470	1994-08-07	PRIJEM	PREVOD Z UCTU	40569	64793	\N	ST	59639334
1309106	4470	1994-09-07	PRIJEM	PREVOD Z UCTU	40569	85274	\N	ST	59639334
1309107	4470	1994-10-07	PRIJEM	PREVOD Z UCTU	40569	84236	\N	ST	59639334
1309108	4470	1994-11-07	PRIJEM	PREVOD Z UCTU	40569	83568	\N	ST	59639334
1309109	4470	1994-12-07	PRIJEM	PREVOD Z UCTU	60854	115094	\N	ST	59639334
1309110	4470	1995-01-07	PRIJEM	PREVOD Z UCTU	40569	74858	\N	ST	59639334
1309111	4470	1995-02-07	PRIJEM	PREVOD Z UCTU	40569	71000	\N	ST	59639334
1309112	4470	1995-03-07	PRIJEM	PREVOD Z UCTU	40569	89107	\N	ST	59639334
1309113	4470	1995-04-07	PRIJEM	PREVOD Z UCTU	40569	74378	\N	ST	59639334
1309114	4470	1995-05-07	PRIJEM	PREVOD Z UCTU	40569	91086	\N	ST	59639334
1309115	4470	1995-06-07	PRIJEM	PREVOD Z UCTU	60854	100740	\N	ST	59639334
1309116	4470	1995-07-07	PRIJEM	PREVOD Z UCTU	40569	64634	\N	ST	59639334
1309117	4470	1995-08-07	PRIJEM	PREVOD Z UCTU	40569	81310	\N	ST	59639334
1309118	4470	1995-09-07	PRIJEM	PREVOD Z UCTU	40569	76073	\N	ST	59639334
1309119	4470	1995-10-07	PRIJEM	PREVOD Z UCTU	40569	91193	\N	ST	59639334
1309120	4470	1995-11-07	PRIJEM	PREVOD Z UCTU	40569	81186	\N	ST	59639334
1309121	4470	1995-12-07	PRIJEM	PREVOD Z UCTU	60854	99314	\N	ST	59639334
1309122	4470	1996-01-07	PRIJEM	PREVOD Z UCTU	40569	80473	\N	ST	59639334
1309123	4470	1996-02-07	PRIJEM	PREVOD Z UCTU	40569	64257	\N	ST	59639334
1309124	4470	1996-03-07	PRIJEM	PREVOD Z UCTU	40569	78178	\N	ST	59639334
1309125	4470	1996-04-07	PRIJEM	PREVOD Z UCTU	40569	80147	\N	ST	59639334
1309126	4470	1996-05-07	PRIJEM	PREVOD Z UCTU	40569	92986	\N	ST	59639334
1309127	4470	1996-06-07	PRIJEM	PREVOD Z UCTU	60854	93761	\N	ST	59639334
1309128	4470	1996-07-07	PRIJEM	PREVOD Z UCTU	40569	64454	\N	ST	59639334
1309129	4470	1996-08-07	PRIJEM	PREVOD Z UCTU	40569	80937	\N	ST	59639334
1309130	4470	1996-09-07	PRIJEM	PREVOD Z UCTU	40569	89174	\N	ST	59639334
1309131	4470	1996-10-07	PRIJEM	PREVOD Z UCTU	40569	95241	\N	ST	59639334
1309132	4470	1996-11-07	PRIJEM	PREVOD Z UCTU	40569	79188	\N	ST	59639334
1309133	4470	1996-12-07	PRIJEM	PREVOD Z UCTU	60854	92091	\N	ST	59639334
1309134	4470	1997-01-07	PRIJEM	PREVOD Z UCTU	40569	70564	\N	ST	59639334
1309135	4470	1997-02-07	PRIJEM	PREVOD Z UCTU	40569	66517	\N	ST	59639334
1309136	4470	1997-03-07	PRIJEM	PREVOD Z UCTU	40569	72603	\N	ST	59639334
1309137	4470	1997-04-07	PRIJEM	PREVOD Z UCTU	40569	73853	\N	ST	59639334
1309138	4470	1997-05-07	PRIJEM	PREVOD Z UCTU	40569	69279	\N	ST	59639334
1309139	4470	1997-06-07	PRIJEM	PREVOD Z UCTU	60854	101063	\N	ST	59639334
1309140	4470	1997-07-07	PRIJEM	PREVOD Z UCTU	40569	83089	\N	ST	59639334
1309141	4470	1997-08-07	PRIJEM	PREVOD Z UCTU	40569	81418	\N	ST	59639334
1309142	4470	1997-09-07	PRIJEM	PREVOD Z UCTU	40569	83645	\N	ST	59639334
1309143	4470	1997-10-07	PRIJEM	PREVOD Z UCTU	40569	87385	\N	ST	59639334
1309144	4470	1997-11-07	PRIJEM	PREVOD Z UCTU	40569	86227	\N	ST	59639334
1309145	4470	1997-12-07	PRIJEM	PREVOD Z UCTU	60854	107154	\N	ST	59639334
1309146	4470	1998-01-07	PRIJEM	PREVOD Z UCTU	40569	80926	\N	ST	59639334
1309147	4470	1998-02-07	PRIJEM	PREVOD Z UCTU	40569	66109	\N	ST	59639334
1309148	4470	1998-03-07	PRIJEM	PREVOD Z UCTU	40569	78805	\N	ST	59639334
1309149	4470	1998-04-07	PRIJEM	PREVOD Z UCTU	40569	70178	\N	ST	59639334
1309150	4470	1998-05-07	PRIJEM	PREVOD Z UCTU	40569	72093	\N	ST	59639334
1309151	4470	1998-06-07	PRIJEM	PREVOD Z UCTU	60854	94566	\N	ST	59639334
1309152	4470	1998-07-07	PRIJEM	PREVOD Z UCTU	40569	91410	\N	ST	59639334
1309153	4470	1998-08-07	PRIJEM	PREVOD Z UCTU	40569	77303	\N	ST	59639334
1309154	4470	1998-09-07	PRIJEM	PREVOD Z UCTU	40569	71786	\N	ST	59639334
1309155	4470	1998-10-07	PRIJEM	PREVOD Z UCTU	40569	75671	\N	ST	59639334
1309156	4470	1998-11-07	PRIJEM	PREVOD Z UCTU	40569	77639	\N	ST	59639334
1309157	4470	1998-12-07	PRIJEM	PREVOD Z UCTU	60854	97782	\N	ST	59639334
1309162	4470	1994-04-08	VYBER	VYBER	4662	70923	\N	\N	\N
1309163	4470	1994-03-30	VYBER	VYBER	2822	47920	\N	\N	\N
1309164	4470	1994-08-06	VYBER	VYBER	14343	24224	\N	\N	\N
1309165	4470	1994-07-24	VYBER	VYBER	14267	54542	\N	\N	\N
1309166	4470	1994-10-19	VYBER	VYBER	11213	58093	\N	\N	\N
1309168	4470	1994-03-15	VYBER	VYBER	20149	74326	\N	\N	\N
1309170	4470	1994-10-12	VYBER	VYBER	14930	69306	\N	\N	\N
1309171	4470	1994-03-17	VYBER	VYBER	23584	50742	\N	\N	\N
1309172	4470	1994-05-23	VYBER	VYBER	16344	70195	\N	\N	\N
1309173	4470	1994-09-18	VYBER	VYBER	24598	60676	\N	\N	\N
1309174	4470	1994-03-15	VYBER	VYBER	12051	94475	\N	\N	\N
1309175	4470	1994-04-06	VYBER	VYBER	3175	35016	\N	\N	\N
1309176	4470	1995-11-12	VYBER	VYBER	11422	69764	\N	\N	\N
1309177	4470	1995-10-24	VYBER	VYBER	19063	40430	\N	\N	\N
1309178	4470	1995-03-22	VYBER	VYBER	6374	82733	\N	\N	\N
1309179	4470	1995-03-30	VYBER	VYBER	21529	33604	\N	\N	\N
1309180	4470	1995-05-11	VYBER	VYBER	22647	68439	\N	\N	\N
1309181	4470	1995-12-08	VYBER	VYBER	22721	76593	\N	\N	\N
1309182	4470	1995-08-17	VYBER	VYBER	13979	67331	\N	\N	\N
1309183	4470	1995-08-22	VYBER	VYBER	23151	44180	\N	\N	\N
1309184	4470	1995-05-14	VYBER	VYBER	10856	57583	\N	\N	\N
1309186	4470	1995-01-15	VYBER	VYBER	4435	59323	\N	\N	\N
1309187	4470	1996-10-16	VYBER	VYBER	21311	73930	\N	\N	\N
1309188	4470	1996-03-14	VYBER	VYBER	16563	61615	\N	\N	\N
1309190	4470	1996-02-16	VYBER	VYBER	8766	55491	\N	\N	\N
1309191	4470	1996-12-05	VYBER	VYBER	11305	31237	\N	\N	\N
1309192	4470	1996-12-04	VYBER	VYBER	7114	42542	\N	\N	\N
1309193	4470	1996-05-23	VYBER	VYBER	13567	42019	\N	\N	\N
1309194	4470	1996-06-27	VYBER	VYBER	20617	23744	\N	\N	\N
1309195	4470	1996-12-30	VYBER	VYBER	4332	41469	\N	\N	\N
1309196	4470	1996-12-12	VYBER	VYBER	2690	89401	\N	\N	\N
1309199	4470	1997-04-12	VYBER	VYBER	4180	50173	\N	\N	\N
1309200	4470	1997-12-11	VYBER	VYBER	4327	51527	\N	\N	\N
1309201	4470	1997-03-10	VYBER	VYBER	5773	66830	\N	\N	\N
1309202	4470	1997-12-20	VYBER	VYBER	8344	43183	\N	\N	\N
1309203	4470	1997-01-08	VYBER	VYBER	18035	48629	\N	\N	\N
1309205	4470	1998-01-08	VYBER	VYBER	8411	72515	\N	\N	\N
1309206	4470	1998-03-07	VYBER	VYBER	6401	72404	\N	\N	\N
1309207	4470	1998-03-10	VYBER	VYBER	16623	55781	\N	\N	\N
1309208	4470	1998-10-13	VYBER	VYBER	6876	68795	\N	\N	\N
1309209	4470	1998-04-26	VYBER	VYBER	3973	31405	\N	\N	\N
1309212	4470	1998-07-07	VYBER	VYBER	11427	79983	\N	\N	\N
1309215	4470	1994-06-13	VYDAJ	VYBER	20700	31050	\N	\N	\N
1309216	4470	1995-06-20	VYDAJ	VYBER	78900	21840	\N	\N	\N
1309217	4470	1996-06-16	VYDAJ	VYBER	19800	73961	\N	\N	\N
1309223	4470	1996-01-30	VYDAJ	VYBER	7800	23473	\N	\N	\N
1309224	4470	1997-01-10	VYDAJ	VYBER	10200	38429	\N	\N	\N
1309227	4470	1994-12-19	VYDAJ	VYBER	4500	62094	\N	\N	\N
1309228	4470	1995-12-14	VYDAJ	VYBER	8100	68493	\N	\N	\N
1309229	4470	1996-12-22	VYDAJ	VYBER	7200	45801	\N	\N	\N
1309230	4470	1997-12-23	VYDAJ	VYBER	3000	40183	\N	\N	\N
1309231	4470	1998-12-04	VYDAJ	VYBER	4800	66528	\N	\N	\N
1309244	4470	1995-01-13	VYDAJ	VYBER	6000	68858	\N	\N	\N
1309245	4470	1995-01-25	VYDAJ	VYBER	4800	33823	\N	\N	\N
1309246	4470	1995-01-04	VYDAJ	VYBER	5700	37589	\N	\N	\N
1309247	4470	1995-01-22	VYDAJ	VYBER	7500	51823	\N	\N	\N
1309248	4470	1995-01-06	VYDAJ	VYBER	3300	34289	\N	\N	\N
1309249	4470	1995-01-13	VYDAJ	VYBER	5100	63758	\N	\N	\N
1309250	4470	1996-01-07	VYDAJ	VYBER	2100	78373	\N	\N	\N
1309251	4470	1996-01-15	VYDAJ	VYBER	2100	76273	\N	\N	\N
1309252	4470	1996-01-28	VYDAJ	VYBER	4500	31273	\N	\N	\N
1309253	4470	1996-01-02	VYDAJ	VYBER	4200	39904	\N	\N	\N
1309254	4470	1996-01-24	VYDAJ	VYBER	8700	38173	\N	\N	\N
1309255	4470	1996-01-26	VYDAJ	VYBER	2400	35773	\N	\N	\N
1309258	4470	1997-01-03	VYDAJ	VYBER	4200	37495	\N	\N	\N
1309260	4470	1997-01-05	VYDAJ	VYBER	7500	29995	\N	\N	\N
1309261	4470	1997-01-07	VYDAJ	VYBER	3900	66664	\N	\N	\N
1309262	4470	1998-01-13	VYDAJ	VYBER	3300	29315	\N	\N	\N
1309264	4470	1998-01-09	VYDAJ	VYBER	7800	58415	\N	\N	\N
1309266	4470	1998-01-14	VYDAJ	VYBER	3900	25415	\N	\N	\N
1309267	4470	1998-01-08	VYDAJ	VYBER	6300	66215	\N	\N	\N
1309273	4470	1994-06-18	VYDAJ	VYBER	3900	27150	\N	\N	\N
1309275	4470	1994-12-17	VYDAJ	VYBER	13200	66594	\N	\N	\N
1309276	4470	1994-04-25	VYDAJ	VYBER	5700	65223	\N	\N	\N
1309277	4470	1994-08-12	VYDAJ	VYBER	5100	59693	\N	\N	\N
1309278	4470	1995-08-05	VYDAJ	VYBER	3900	40741	\N	\N	\N
1309279	4470	1995-01-31	VYDAJ	VYBER	3600	30431	\N	\N	\N
1309280	4470	1995-11-29	VYDAJ	VYBER	8400	38264	\N	\N	\N
1309281	4470	1996-05-29	VYDAJ	VYBER	9300	32719	\N	\N	\N
1309283	4470	1996-10-25	VYDAJ	VYBER	10200	38430	\N	\N	\N
1309284	4470	1997-04-09	VYDAJ	VYBER	13800	54353	\N	\N	\N
1309285	4470	1997-04-06	VYDAJ	VYBER	5100	33284	\N	\N	\N
1309286	4470	1997-06-14	VYDAJ	VYBER	10800	42363	\N	\N	\N
1309287	4470	1997-04-07	VYDAJ	VYBER	5700	68153	\N	\N	\N
1309288	4470	1997-02-21	VYDAJ	VYBER	10200	31917	\N	\N	\N
1309289	4470	1997-07-27	VYDAJ	VYBER	1500	40689	\N	\N	\N
1309290	4470	1997-07-22	VYDAJ	VYBER	2700	42189	\N	\N	\N
1309291	4470	1998-07-09	VYDAJ	VYBER	3600	36583	\N	\N	\N
1309292	4470	1998-11-23	VYDAJ	VYBER	6600	71039	\N	\N	\N
1309293	4470	1998-08-23	VYDAJ	VYBER	6900	31003	\N	\N	\N
1309310	4470	1994-03-31	VYDAJ	VYBER	15	38191	SLUZBY	\N	\N
1309311	4470	1994-04-30	VYDAJ	VYBER	15	65470	SLUZBY	\N	\N
1309312	4470	1994-05-31	VYDAJ	VYBER	15	49996	SLUZBY	\N	\N
1309313	4470	1994-06-30	VYDAJ	VYBER	15	28240	SLUZBY	\N	\N
1309314	4470	1994-07-31	VYDAJ	VYBER	15	38567	SLUZBY	\N	\N
1309315	4470	1994-08-31	VYDAJ	VYBER	15	44705	SLUZBY	\N	\N
1309316	4470	1994-09-30	VYDAJ	VYBER	15	43667	SLUZBY	\N	\N
1309317	4470	1994-10-31	VYDAJ	VYBER	15	42999	SLUZBY	\N	\N
1309318	4470	1994-11-30	VYDAJ	VYBER	15	54240	SLUZBY	\N	\N
1309319	4470	1994-12-31	VYDAJ	VYBER	15	43289	SLUZBY	\N	\N
1309320	4470	1995-01-31	VYDAJ	VYBER	15	34031	SLUZBY	\N	\N
1309321	4470	1995-02-28	VYDAJ	VYBER	15	48538	SLUZBY	\N	\N
1309322	4470	1995-03-31	VYDAJ	VYBER	15	33809	SLUZBY	\N	\N
1309323	4470	1995-04-30	VYDAJ	VYBER	15	50517	SLUZBY	\N	\N
1309324	4470	1995-05-31	VYDAJ	VYBER	15	39886	SLUZBY	\N	\N
1309325	4470	1995-06-30	VYDAJ	VYBER	15	24065	SLUZBY	\N	\N
1309326	4470	1995-07-31	VYDAJ	VYBER	15	44641	SLUZBY	\N	\N
1309327	4470	1995-08-31	VYDAJ	VYBER	15	35504	SLUZBY	\N	\N
1309328	4470	1995-09-30	VYDAJ	VYBER	15	50624	SLUZBY	\N	\N
1309329	4470	1995-10-31	VYDAJ	VYBER	15	40617	SLUZBY	\N	\N
1309330	4470	1995-11-30	VYDAJ	VYBER	15	38460	SLUZBY	\N	\N
1309331	4470	1995-12-31	VYDAJ	VYBER	15	44104	SLUZBY	\N	\N
1309332	4470	1996-01-31	VYDAJ	VYBER	15	23688	SLUZBY	\N	\N
1309333	4470	1996-02-29	VYDAJ	VYBER	15	37609	SLUZBY	\N	\N
1309334	4470	1996-03-31	VYDAJ	VYBER	15	39578	SLUZBY	\N	\N
1309335	4470	1996-04-30	VYDAJ	VYBER	15	52417	SLUZBY	\N	\N
1309336	4470	1996-05-31	VYDAJ	VYBER	15	32907	SLUZBY	\N	\N
1309337	4470	1996-06-30	VYDAJ	VYBER	15	23885	SLUZBY	\N	\N
1309338	4470	1996-07-31	VYDAJ	VYBER	15	40368	SLUZBY	\N	\N
1309339	4470	1996-08-31	VYDAJ	VYBER	15	48605	SLUZBY	\N	\N
1309340	4470	1996-09-30	VYDAJ	VYBER	15	54672	SLUZBY	\N	\N
1309341	4470	1996-10-31	VYDAJ	VYBER	15	38619	SLUZBY	\N	\N
1309342	4470	1996-11-30	VYDAJ	VYBER	15	49656	SLUZBY	\N	\N
1309343	4470	1996-12-31	VYDAJ	VYBER	15	41695	SLUZBY	\N	\N
1309344	4470	1997-01-31	VYDAJ	VYBER	15	25948	SLUZBY	\N	\N
1309345	4470	1997-02-28	VYDAJ	VYBER	15	32034	SLUZBY	\N	\N
1309346	4470	1997-03-31	VYDAJ	VYBER	15	38384	SLUZBY	\N	\N
1309347	4470	1997-04-30	VYDAJ	VYBER	15	28710	SLUZBY	\N	\N
1309348	4470	1997-05-31	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
1309349	4470	1997-06-30	VYDAJ	VYBER	15	42520	SLUZBY	\N	\N
1309350	4470	1997-07-31	VYDAJ	VYBER	15	40849	SLUZBY	\N	\N
1309351	4470	1997-08-31	VYDAJ	VYBER	15	43076	SLUZBY	\N	\N
1309352	4470	1997-09-30	VYDAJ	VYBER	15	46816	SLUZBY	\N	\N
1309353	4470	1997-10-31	VYDAJ	VYBER	15	45658	SLUZBY	\N	\N
1309354	4470	1997-11-30	VYDAJ	VYBER	15	46300	SLUZBY	\N	\N
1309355	4470	1997-12-31	VYDAJ	VYBER	15	40357	SLUZBY	\N	\N
1309356	4470	1998-01-31	VYDAJ	VYBER	15	25540	SLUZBY	\N	\N
1309357	4470	1998-02-28	VYDAJ	VYBER	15	38236	SLUZBY	\N	\N
1309358	4470	1998-03-31	VYDAJ	VYBER	15	29609	SLUZBY	\N	\N
1309359	4470	1998-04-30	VYDAJ	VYBER	15	31524	SLUZBY	\N	\N
1309360	4470	1998-05-31	VYDAJ	VYBER	15	33712	SLUZBY	\N	\N
1309361	4470	1998-06-30	VYDAJ	VYBER	15	50841	SLUZBY	\N	\N
1309362	4470	1998-07-31	VYDAJ	VYBER	15	36734	SLUZBY	\N	\N
1309363	4470	1998-08-31	VYDAJ	VYBER	15	31217	SLUZBY	\N	\N
1309364	4470	1998-09-30	VYDAJ	VYBER	15	71902	SLUZBY	\N	\N
1309365	4470	1998-10-31	VYDAJ	VYBER	15	69070	SLUZBY	\N	\N
1309366	4470	1998-11-30	VYDAJ	VYBER	15	71328	SLUZBY	\N	\N
1309367	4470	1993-12-01	VYDAJ	VYBER	7100	34106	\N	\N	\N
1309368	4470	1993-12-31	VYDAJ	VYBER	35500	59807	\N	\N	\N
1309369	4470	1994-01-30	VYDAJ	VYBER	37500	62876	\N	\N	\N
1309370	4470	1994-03-01	VYDAJ	VYBER	38000	65957	\N	\N	\N
1309371	4470	1994-03-31	VYDAJ	VYBER	10000	38206	\N	\N	\N
1309372	4470	1994-04-30	VYDAJ	VYBER	19500	45970	\N	\N	\N
1309373	4470	1994-05-30	VYDAJ	VYBER	20400	49795	\N	\N	\N
1309374	4470	1994-06-07	VYDAJ	VYBER	59100	51750	\N	\N	\N
1309375	4470	1994-06-29	PRIJEM	VKLAD	900	28050	\N	\N	\N
1309376	4470	1994-07-29	VYDAJ	VYBER	16100	38442	\N	\N	\N
1309377	4470	1994-08-28	VYDAJ	VYBER	15200	44493	\N	\N	\N
1309378	4470	1994-09-27	VYDAJ	VYBER	17200	43476	\N	\N	\N
1309379	4470	1994-10-27	VYDAJ	VYBER	15300	42793	\N	\N	\N
1309380	4470	1994-11-26	VYDAJ	VYBER	29500	54068	\N	\N	\N
1309381	4470	1994-12-07	VYDAJ	VYBER	35300	79794	\N	\N	\N
1309382	4470	1994-12-26	VYDAJ	VYBER	19100	42994	\N	\N	\N
1309383	4470	1995-01-25	VYDAJ	VYBER	13200	38623	\N	\N	\N
1309384	4470	1995-02-24	VYDAJ	VYBER	22600	48400	\N	\N	\N
1309385	4470	1995-03-26	VYDAJ	VYBER	27600	55133	\N	\N	\N
1309386	4470	1995-04-25	VYDAJ	VYBER	24000	50378	\N	\N	\N
1309387	4470	1995-05-25	VYDAJ	VYBER	17900	39683	\N	\N	\N
1309388	4470	1995-06-24	PRIJEM	VKLAD	2100	23940	\N	\N	\N
1309389	4470	1995-07-24	VYDAJ	VYBER	20100	44534	\N	\N	\N
1309390	4470	1995-08-23	VYDAJ	VYBER	8900	35280	\N	\N	\N
1309391	4470	1995-09-22	VYDAJ	VYBER	25600	50473	\N	\N	\N
1309392	4470	1995-10-22	VYDAJ	VYBER	31700	59493	\N	\N	\N
1309393	4470	1995-11-21	VYDAJ	VYBER	23100	46664	\N	\N	\N
1309394	4470	1995-12-21	VYDAJ	VYBER	24600	43893	\N	\N	\N
1309395	4470	1996-01-20	VYDAJ	VYBER	29400	46873	\N	\N	\N
1309396	4470	1996-02-19	VYDAJ	VYBER	18000	37491	\N	\N	\N
1309397	4470	1996-03-20	VYDAJ	VYBER	22200	39415	\N	\N	\N
1309398	4470	1996-04-19	VYDAJ	VYBER	27900	52247	\N	\N	\N
1309399	4470	1996-05-19	VYDAJ	VYBER	37400	55586	\N	\N	\N
1309400	4470	1996-06-18	VYDAJ	VYBER	29600	44361	\N	\N	\N
1309401	4470	1996-07-18	VYDAJ	VYBER	24200	40254	\N	\N	\N
1309402	4470	1996-08-17	VYDAJ	VYBER	32500	48437	\N	\N	\N
1309403	4470	1996-09-16	VYDAJ	VYBER	34700	54474	\N	\N	\N
1309404	4470	1996-10-16	VYDAJ	VYBER	25300	48630	\N	\N	\N
1309405	4470	1996-11-15	VYDAJ	VYBER	29700	49488	\N	\N	\N
1309406	4470	1996-12-15	VYDAJ	VYBER	36400	53001	\N	\N	\N
1309407	4470	1997-01-14	VYDAJ	VYBER	12600	25829	\N	\N	\N
1309408	4470	1997-02-13	VYDAJ	VYBER	24400	42117	\N	\N	\N
1309409	4470	1997-03-15	VYDAJ	VYBER	28600	38230	\N	\N	\N
1309410	4470	1997-04-14	VYDAJ	VYBER	21600	28573	\N	\N	\N
1309411	4470	1997-05-14	VYDAJ	VYBER	29200	40079	\N	\N	\N
1309412	4470	1997-06-13	VYDAJ	VYBER	47900	53163	\N	\N	\N
1309413	4470	1997-07-13	VYDAJ	VYBER	38200	44889	\N	\N	\N
1309414	4470	1997-08-12	VYDAJ	VYBER	38500	42918	\N	\N	\N
1309415	4470	1997-09-11	VYDAJ	VYBER	37000	46645	\N	\N	\N
1309416	4470	1997-10-11	VYDAJ	VYBER	41900	45485	\N	\N	\N
1309417	4470	1997-11-10	VYDAJ	VYBER	40100	46127	\N	\N	\N
1309418	4470	1997-12-10	VYDAJ	VYBER	51300	55854	\N	\N	\N
1309419	4470	1998-01-09	VYDAJ	VYBER	25800	32615	\N	\N	\N
1309420	4470	1998-02-08	VYDAJ	VYBER	28000	38109	\N	\N	\N
1309421	4470	1998-03-10	VYDAJ	VYBER	26300	29481	\N	\N	\N
1309422	4470	1998-04-09	VYDAJ	VYBER	34800	35378	\N	\N	\N
1309423	4470	1998-05-09	VYDAJ	VYBER	38500	33593	\N	\N	\N
1309424	4470	1998-06-08	VYDAJ	VYBER	43900	50666	\N	\N	\N
1309425	4470	1998-07-08	VYDAJ	VYBER	39800	40183	\N	\N	\N
1309426	4470	1998-08-07	VYDAJ	VYBER	39400	37903	\N	\N	\N
1309427	4470	1998-10-06	VYDAJ	VYBER	36800	35102	\N	\N	\N
1309428	4470	1998-11-05	VYDAJ	VYBER	32000	37070	\N	\N	\N
1309429	4470	1998-12-05	VYDAJ	VYBER	29600	36928	\N	\N	\N
1309492	4471	1997-06-09	PRIJEM	VKLAD	700	700	\N	\N	\N
1309499	4471	1997-07-05	PRIJEM	PREVOD Z UCTU	30292	30992	\N	MN	68267684
1309500	4471	1997-08-05	PRIJEM	PREVOD Z UCTU	30292	54860	\N	MN	68267684
1309501	4471	1997-09-05	PRIJEM	PREVOD Z UCTU	30292	66090	\N	MN	68267684
1309502	4471	1997-10-05	PRIJEM	PREVOD Z UCTU	30292	75361	\N	MN	68267684
1309503	4471	1997-11-05	PRIJEM	PREVOD Z UCTU	30292	84471	\N	MN	68267684
1309504	4471	1997-12-05	PRIJEM	PREVOD Z UCTU	45438	92749	\N	MN	68267684
1309505	4471	1998-01-05	PRIJEM	PREVOD Z UCTU	30292	82615	\N	MN	68267684
1309506	4471	1998-02-05	PRIJEM	PREVOD Z UCTU	30292	50140	\N	MN	68267684
1309507	4471	1998-03-05	PRIJEM	PREVOD Z UCTU	30292	66225	\N	MN	68267684
1309508	4471	1998-04-05	PRIJEM	PREVOD Z UCTU	30292	50489	\N	MN	68267684
1309509	4471	1998-05-05	PRIJEM	PREVOD Z UCTU	30292	52828	\N	MN	68267684
1309510	4471	1998-06-05	PRIJEM	PREVOD Z UCTU	45438	64393	\N	MN	68267684
1309511	4471	1998-07-05	PRIJEM	PREVOD Z UCTU	30292	60111	\N	MN	68267684
1309512	4471	1998-08-05	PRIJEM	PREVOD Z UCTU	30292	58342	\N	MN	68267684
1309513	4471	1998-09-05	PRIJEM	PREVOD Z UCTU	30292	52982	\N	MN	68267684
1309514	4471	1998-10-05	PRIJEM	PREVOD Z UCTU	30292	58893	\N	MN	68267684
1309515	4471	1998-11-05	PRIJEM	PREVOD Z UCTU	30292	56637	\N	MN	68267684
1309516	4471	1998-12-05	PRIJEM	PREVOD Z UCTU	45438	68391	\N	MN	68267684
1309551	4471	1997-11-06	VYDAJ	PREVOD NA UCET	11318	73153	SIPO	AB	60353129
1309552	4471	1997-12-06	VYDAJ	PREVOD NA UCET	11318	81431	SIPO	AB	60353129
1309553	4471	1998-01-06	VYDAJ	PREVOD NA UCET	11318	41997	SIPO	AB	60353129
1309554	4471	1998-02-06	VYDAJ	PREVOD NA UCET	11318	38822	SIPO	AB	60353129
1309555	4471	1998-03-06	VYDAJ	PREVOD NA UCET	11318	54907	SIPO	AB	60353129
1309556	4471	1998-04-06	VYDAJ	PREVOD NA UCET	11318	22471	SIPO	AB	60353129
1309557	4471	1998-05-06	VYDAJ	PREVOD NA UCET	11318	23310	SIPO	AB	60353129
1309558	4471	1998-06-06	VYDAJ	PREVOD NA UCET	11318	53075	SIPO	AB	60353129
1309559	4471	1998-07-06	VYDAJ	PREVOD NA UCET	11318	48793	SIPO	AB	60353129
1309560	4471	1998-08-06	VYDAJ	PREVOD NA UCET	11318	47024	SIPO	AB	60353129
1309561	4471	1998-09-06	VYDAJ	PREVOD NA UCET	11318	41664	SIPO	AB	60353129
1309562	4471	1998-10-06	VYDAJ	PREVOD NA UCET	11318	47575	SIPO	AB	60353129
1309563	4471	1998-11-06	VYDAJ	PREVOD NA UCET	11318	45319	SIPO	AB	60353129
1309564	4471	1998-12-06	VYDAJ	PREVOD NA UCET	11318	57073	SIPO	AB	60353129
1309566	4471	1998-03-09	VYBER	VYBER	20488	20119	\N	\N	\N
1309567	4471	1998-08-08	VYBER	VYBER	11249	35775	\N	\N	\N
1309568	4471	1998-01-09	VYBER	VYBER	16842	25155	\N	\N	\N
1309569	4471	1998-05-15	VYBER	VYBER	3415	19895	\N	\N	\N
1309571	4471	1998-07-03	VYBER	VYBER	12929	40319	\N	\N	\N
1309572	4471	1998-10-12	VYBER	VYBER	3953	32222	\N	\N	\N
1309578	4471	1997-12-04	VYDAJ	VYBER	6000	47311	\N	\N	\N
1309579	4471	1998-12-04	VYDAJ	VYBER	2100	22953	\N	\N	\N
1309587	4471	1998-01-19	VYDAJ	VYBER	1800	23355	\N	\N	\N
1309588	4471	1998-01-03	VYDAJ	VYBER	3900	52323	\N	\N	\N
1309589	4471	1998-01-22	VYDAJ	VYBER	4200	19155	\N	\N	\N
1309593	4471	1998-02-06	VYDAJ	VYBER	3000	35822	\N	\N	\N
1309594	4471	1998-11-22	VYDAJ	VYBER	14400	30919	\N	\N	\N
1309595	4471	1998-10-11	VYDAJ	VYBER	11400	36175	\N	\N	\N
1309596	4471	1998-07-30	VYDAJ	VYBER	4800	38593	\N	\N	\N
1309597	4471	1998-07-11	VYDAJ	VYBER	5400	43393	\N	\N	\N
1309598	4471	1998-08-22	VYDAJ	VYBER	8100	27675	\N	\N	\N
1309610	4471	1997-11-30	VYDAJ	VYBER	30	53311	SLUZBY	\N	\N
1309611	4471	1997-12-31	VYDAJ	VYBER	30	56223	SLUZBY	\N	\N
1309612	4471	1998-01-31	VYDAJ	VYBER	30	19248	SLUZBY	\N	\N
1309613	4471	1998-02-28	VYDAJ	VYBER	30	35933	SLUZBY	\N	\N
1309614	4471	1998-03-31	VYDAJ	VYBER	30	20197	SLUZBY	\N	\N
1309615	4471	1998-04-30	VYDAJ	VYBER	30	22536	SLUZBY	\N	\N
1309616	4471	1998-05-31	VYDAJ	VYBER	30	19955	SLUZBY	\N	\N
1309617	4471	1998-06-30	VYDAJ	VYBER	30	53248	SLUZBY	\N	\N
1309618	4471	1998-07-31	VYDAJ	VYBER	30	38750	SLUZBY	\N	\N
1309619	4471	1998-08-31	VYDAJ	VYBER	30	27790	SLUZBY	\N	\N
1309620	4471	1998-09-30	VYDAJ	VYBER	30	41801	SLUZBY	\N	\N
1309621	4471	1998-10-31	VYDAJ	VYBER	30	32345	SLUZBY	\N	\N
1309622	4471	1998-11-30	VYDAJ	VYBER	30	31053	SLUZBY	\N	\N
1309623	4471	1997-07-09	VYDAJ	VYBER	6500	24492	\N	\N	\N
1309624	4471	1997-08-08	VYDAJ	VYBER	19200	35660	\N	\N	\N
1309625	4471	1997-09-07	VYDAJ	VYBER	21200	44890	\N	\N	\N
1309626	4471	1997-10-07	VYDAJ	VYBER	21400	53961	\N	\N	\N
1309627	4471	1997-11-06	VYDAJ	VYBER	20100	53053	\N	\N	\N
1309628	4471	1997-12-06	VYDAJ	VYBER	25500	55931	\N	\N	\N
1309629	4471	1998-01-05	VYDAJ	VYBER	29300	53315	\N	\N	\N
1309630	4471	1998-02-04	PRIJEM	VKLAD	600	19848	\N	\N	\N
1309631	4471	1998-03-06	VYDAJ	VYBER	14300	40607	\N	\N	\N
1309632	4471	1998-04-05	VYDAJ	VYBER	16700	33789	\N	\N	\N
1309633	4471	1998-05-05	VYDAJ	VYBER	18200	34628	\N	\N	\N
1309634	4471	1998-06-04	VYDAJ	VYBER	1000	18955	\N	\N	\N
1309635	4471	1998-07-04	VYDAJ	VYBER	10500	29819	\N	\N	\N
1309636	4471	1998-08-03	VYDAJ	VYBER	10700	28050	\N	\N	\N
1309637	4471	1998-09-02	VYDAJ	VYBER	5100	22690	\N	\N	\N
1309638	4471	1998-10-02	VYDAJ	VYBER	13200	28601	\N	\N	\N
1309639	4471	1998-11-01	VYDAJ	VYBER	6000	26345	\N	\N	\N
1309640	4471	1998-12-01	VYDAJ	VYBER	6000	25053	\N	\N	\N
1309867	4473	1995-10-09	PRIJEM	VKLAD	800	800	\N	\N	\N
1309878	4473	1995-11-07	PRIJEM	VKLAD	24425	25225	\N	\N	\N
1309879	4473	1995-12-07	PRIJEM	VKLAD	36638	62445	\N	\N	\N
1309880	4473	1996-01-07	PRIJEM	VKLAD	24425	68034	\N	\N	\N
1309881	4473	1996-02-07	PRIJEM	VKLAD	24425	64964	\N	\N	\N
1309882	4473	1996-03-07	PRIJEM	VKLAD	24425	88247	\N	\N	\N
1309883	4473	1996-04-07	PRIJEM	VKLAD	24425	59966	\N	\N	\N
1309884	4473	1996-05-07	PRIJEM	VKLAD	24425	59467	\N	\N	\N
1309885	4473	1996-06-07	PRIJEM	VKLAD	36638	77863	\N	\N	\N
1309886	4473	1996-07-07	PRIJEM	VKLAD	24425	72605	\N	\N	\N
1309887	4473	1996-08-07	PRIJEM	VKLAD	24425	67545	\N	\N	\N
1309888	4473	1996-09-07	PRIJEM	VKLAD	24425	59443	\N	\N	\N
1309889	4473	1996-10-07	PRIJEM	VKLAD	24425	60430	\N	\N	\N
1309890	4473	1996-11-07	PRIJEM	VKLAD	24425	62816	\N	\N	\N
1309891	4473	1996-12-07	PRIJEM	VKLAD	36638	73635	\N	\N	\N
1309892	4473	1997-01-07	PRIJEM	VKLAD	24425	68446	\N	\N	\N
1309893	4473	1997-02-07	PRIJEM	VKLAD	24425	56889	\N	\N	\N
1309894	4473	1997-03-07	PRIJEM	VKLAD	24425	55023	\N	\N	\N
1309895	4473	1997-04-07	PRIJEM	VKLAD	24425	59318	\N	\N	\N
1309896	4473	1997-05-07	PRIJEM	VKLAD	24425	64330	\N	\N	\N
1309897	4473	1997-06-07	PRIJEM	VKLAD	36638	73830	\N	\N	\N
1309898	4473	1997-07-07	PRIJEM	VKLAD	24425	69442	\N	\N	\N
1309899	4473	1997-08-07	PRIJEM	VKLAD	24425	69601	\N	\N	\N
1309900	4473	1997-09-07	PRIJEM	VKLAD	24425	70719	\N	\N	\N
1309901	4473	1997-10-07	PRIJEM	VKLAD	24425	69367	\N	\N	\N
1309902	4473	1997-11-07	PRIJEM	VKLAD	24425	73311	\N	\N	\N
1309903	4473	1997-12-07	PRIJEM	VKLAD	36638	84862	\N	\N	\N
1309904	4473	1998-01-07	PRIJEM	VKLAD	24425	68347	\N	\N	\N
1309905	4473	1998-02-07	PRIJEM	VKLAD	24425	71635	\N	\N	\N
1309906	4473	1998-03-07	PRIJEM	VKLAD	24425	70979	\N	\N	\N
1309907	4473	1998-04-07	PRIJEM	VKLAD	24425	69524	\N	\N	\N
1309908	4473	1998-05-07	PRIJEM	VKLAD	24425	68893	\N	\N	\N
1309909	4473	1998-06-07	PRIJEM	VKLAD	36638	81241	\N	\N	\N
1309910	4473	1998-07-07	PRIJEM	VKLAD	24425	69199	\N	\N	\N
1309911	4473	1998-08-07	PRIJEM	VKLAD	24425	70335	\N	\N	\N
1309912	4473	1998-09-07	PRIJEM	VKLAD	24425	69671	\N	\N	\N
1309913	4473	1998-10-07	PRIJEM	VKLAD	24425	61197	\N	\N	\N
1309914	4473	1998-11-07	PRIJEM	VKLAD	24425	59392	\N	\N	\N
1309915	4473	1998-12-07	PRIJEM	VKLAD	36638	65548	\N	\N	\N
1309931	4473	1996-04-05	VYDAJ	PREVOD NA UCET	5528	44141	SIPO	EF	96544521
1309932	4473	1996-05-05	VYDAJ	PREVOD NA UCET	5528	44842	SIPO	EF	96544521
1309933	4473	1996-06-05	VYDAJ	PREVOD NA UCET	5528	49826	SIPO	EF	96544521
1309934	4473	1996-07-05	VYDAJ	PREVOD NA UCET	5528	63780	SIPO	EF	96544521
1309935	4473	1996-08-05	VYDAJ	PREVOD NA UCET	5528	43120	SIPO	EF	96544521
1309936	4473	1996-09-05	VYDAJ	PREVOD NA UCET	5528	38138	SIPO	EF	96544521
1309937	4473	1996-10-05	VYDAJ	PREVOD NA UCET	5528	36005	SIPO	EF	96544521
1309938	4473	1996-11-05	VYDAJ	PREVOD NA UCET	5528	38391	SIPO	EF	96544521
1309939	4473	1996-12-05	VYDAJ	PREVOD NA UCET	5528	38198	SIPO	EF	96544521
1309940	4473	1997-01-05	VYDAJ	PREVOD NA UCET	5528	44021	SIPO	EF	96544521
1309941	4473	1997-02-05	VYDAJ	PREVOD NA UCET	5528	32464	SIPO	EF	96544521
1309942	4473	1997-03-05	VYDAJ	PREVOD NA UCET	5528	30598	SIPO	EF	96544521
1309943	4473	1997-04-05	VYDAJ	PREVOD NA UCET	5528	34893	SIPO	EF	96544521
1309944	4473	1997-05-05	VYDAJ	PREVOD NA UCET	5528	39905	SIPO	EF	96544521
1309945	4473	1997-06-05	VYDAJ	PREVOD NA UCET	5528	37192	SIPO	EF	96544521
1309946	4473	1997-07-05	VYDAJ	PREVOD NA UCET	5528	45017	SIPO	EF	96544521
1309947	4473	1997-08-05	VYDAJ	PREVOD NA UCET	5528	45176	SIPO	EF	96544521
1309948	4473	1997-09-05	VYDAJ	PREVOD NA UCET	5528	46294	SIPO	EF	96544521
1309949	4473	1997-10-05	VYDAJ	PREVOD NA UCET	5528	44942	SIPO	EF	96544521
1309950	4473	1997-11-05	VYDAJ	PREVOD NA UCET	5528	48886	SIPO	EF	96544521
1309951	4473	1997-12-05	VYDAJ	PREVOD NA UCET	5528	48225	SIPO	EF	96544521
1309952	4473	1998-01-05	VYDAJ	PREVOD NA UCET	5528	43922	SIPO	EF	96544521
1309953	4473	1998-02-05	VYDAJ	PREVOD NA UCET	5528	47210	SIPO	EF	96544521
1309954	4473	1998-03-05	VYDAJ	PREVOD NA UCET	5528	46554	SIPO	EF	96544521
1309955	4473	1998-04-05	VYDAJ	PREVOD NA UCET	5528	45099	SIPO	EF	96544521
1309956	4473	1998-05-05	VYDAJ	PREVOD NA UCET	5528	44468	SIPO	EF	96544521
1309957	4473	1998-06-05	VYDAJ	PREVOD NA UCET	5528	44603	SIPO	EF	96544521
1309958	4473	1998-07-05	VYDAJ	PREVOD NA UCET	5528	44774	SIPO	EF	96544521
1309959	4473	1998-08-05	VYDAJ	PREVOD NA UCET	5528	45910	SIPO	EF	96544521
1309960	4473	1998-09-05	VYDAJ	PREVOD NA UCET	5528	45246	SIPO	EF	96544521
1309961	4473	1998-10-05	VYDAJ	PREVOD NA UCET	5528	36772	SIPO	EF	96544521
1309962	4473	1998-11-05	VYDAJ	PREVOD NA UCET	5528	34967	SIPO	EF	96544521
1309963	4473	1998-12-05	VYDAJ	PREVOD NA UCET	5528	28910	SIPO	EF	96544521
1309978	4473	1996-03-11	VYDAJ	PREVOD NA UCET	3525	54722	 	KL	69761729
1309979	4473	1996-04-11	VYDAJ	PREVOD NA UCET	3525	54841	 	KL	69761729
1309980	4473	1996-05-11	VYDAJ	PREVOD NA UCET	3525	55942	 	KL	69761729
1309981	4473	1996-06-11	VYDAJ	PREVOD NA UCET	3525	72638	 	KL	69761729
1309982	4473	1996-07-11	VYDAJ	PREVOD NA UCET	3525	69080	 	KL	69761729
1309983	4473	1996-08-11	VYDAJ	PREVOD NA UCET	3525	62520	 	KL	69761729
1309984	4473	1996-09-11	VYDAJ	PREVOD NA UCET	3525	55918	 	KL	69761729
1309985	4473	1996-10-11	VYDAJ	PREVOD NA UCET	3525	55705	 	KL	69761729
1309986	4473	1996-11-11	VYDAJ	PREVOD NA UCET	3525	56411	 	KL	69761729
1309987	4473	1996-12-11	VYDAJ	PREVOD NA UCET	3525	68990	 	KL	69761729
1309988	4473	1997-01-11	VYDAJ	PREVOD NA UCET	3525	61201	 	KL	69761729
1309989	4473	1997-02-11	VYDAJ	PREVOD NA UCET	3525	53364	 	KL	69761729
1309990	4473	1997-03-11	VYDAJ	PREVOD NA UCET	3525	51498	 	KL	69761729
1309991	4473	1997-04-11	VYDAJ	PREVOD NA UCET	3525	55793	 	KL	69761729
1309992	4473	1997-05-11	VYDAJ	PREVOD NA UCET	3525	60805	 	KL	69761729
1309993	4473	1997-06-11	VYDAJ	PREVOD NA UCET	3525	70305	 	KL	69761729
1309994	4473	1997-07-11	VYDAJ	PREVOD NA UCET	3525	65917	 	KL	69761729
1309995	4473	1997-08-11	VYDAJ	PREVOD NA UCET	3525	62956	 	KL	69761729
1309996	4473	1997-09-11	VYDAJ	PREVOD NA UCET	3525	67194	 	KL	69761729
1309997	4473	1997-10-11	VYDAJ	PREVOD NA UCET	3525	65842	 	KL	69761729
1309998	4473	1997-11-11	VYDAJ	PREVOD NA UCET	3525	69786	 	KL	69761729
1309999	4473	1997-12-11	VYDAJ	PREVOD NA UCET	3525	81337	 	KL	69761729
1310000	4473	1998-01-11	VYDAJ	PREVOD NA UCET	3525	61462	 	KL	69761729
1310001	4473	1998-02-11	VYDAJ	PREVOD NA UCET	3525	66550	 	KL	69761729
1310002	4473	1998-03-11	VYDAJ	PREVOD NA UCET	3525	67454	 	KL	69761729
1310003	4473	1998-04-11	VYDAJ	PREVOD NA UCET	3525	62039	 	KL	69761729
1310004	4473	1998-05-11	VYDAJ	PREVOD NA UCET	3525	65368	 	KL	69761729
1310005	4473	1998-06-11	VYDAJ	PREVOD NA UCET	3525	77716	 	KL	69761729
1310006	4473	1998-07-11	VYDAJ	PREVOD NA UCET	3525	65674	 	KL	69761729
1310007	4473	1998-08-11	VYDAJ	PREVOD NA UCET	3525	66810	 	KL	69761729
1310008	4473	1998-09-11	VYDAJ	PREVOD NA UCET	3525	66146	 	KL	69761729
1310009	4473	1998-10-11	VYDAJ	PREVOD NA UCET	3525	57672	 	KL	69761729
1310010	4473	1998-11-11	VYDAJ	PREVOD NA UCET	3525	55867	 	KL	69761729
1310011	4473	1998-12-11	VYDAJ	PREVOD NA UCET	3525	62023	 	KL	69761729
1310026	4473	1996-03-03	VYDAJ	VYBER	1400	63822	\N	\N	0
1310027	4473	1996-04-08	VYDAJ	VYBER	1600	58366	\N	\N	0
1310028	4473	1996-05-15	VYDAJ	VYBER	800	55142	\N	\N	0
1310029	4473	1996-06-07	VYDAJ	VYBER	1700	76163	\N	\N	0
1310030	4473	1996-07-26	VYDAJ	VYBER	1100	67980	\N	\N	0
1310031	4473	1996-08-10	VYDAJ	VYBER	1500	66045	\N	\N	0
1310032	4473	1996-09-11	VYDAJ	VYBER	1400	54518	\N	\N	0
1310033	4473	1996-10-09	VYDAJ	VYBER	1200	59230	\N	\N	0
1310034	4473	1996-11-23	VYDAJ	VYBER	1500	54911	\N	\N	0
1310035	4473	1996-12-06	VYDAJ	VYBER	1200	36998	\N	\N	0
1310036	4473	1997-01-12	VYDAJ	PREVOD NA UCET	1566	59635	UVER	KL	75815641
1310037	4473	1997-02-12	VYDAJ	PREVOD NA UCET	1566	51798	UVER	KL	75815641
1310038	4473	1997-03-12	VYDAJ	PREVOD NA UCET	1566	49932	UVER	KL	75815641
1310039	4473	1997-04-12	VYDAJ	PREVOD NA UCET	1566	54227	UVER	KL	75815641
1310040	4473	1997-05-12	VYDAJ	PREVOD NA UCET	1566	59239	UVER	KL	75815641
1310041	4473	1997-06-12	VYDAJ	PREVOD NA UCET	1566	68739	UVER	KL	75815641
1310042	4473	1997-07-12	VYDAJ	PREVOD NA UCET	1566	64351	UVER	KL	75815641
1310043	4473	1997-08-12	VYDAJ	PREVOD NA UCET	1566	61390	UVER	KL	75815641
1310044	4473	1997-09-12	VYDAJ	PREVOD NA UCET	1566	65628	UVER	KL	75815641
1310045	4473	1997-10-12	VYDAJ	PREVOD NA UCET	1566	64276	UVER	KL	75815641
1310046	4473	1997-11-12	VYDAJ	PREVOD NA UCET	1566	68220	UVER	KL	75815641
1310047	4473	1997-12-12	VYDAJ	PREVOD NA UCET	1566	79771	UVER	KL	75815641
1310048	4473	1998-01-12	VYDAJ	PREVOD NA UCET	1566	59896	UVER	KL	75815641
1310049	4473	1998-02-12	VYDAJ	PREVOD NA UCET	1566	62944	UVER	KL	75815641
1310050	4473	1998-03-12	VYDAJ	PREVOD NA UCET	1566	65888	UVER	KL	75815641
1310051	4473	1998-04-12	VYDAJ	PREVOD NA UCET	1566	60473	UVER	KL	75815641
1310052	4473	1998-05-12	VYDAJ	PREVOD NA UCET	1566	63802	UVER	KL	75815641
1310053	4473	1998-06-12	VYDAJ	PREVOD NA UCET	1566	76150	UVER	KL	75815641
1310054	4473	1998-07-12	VYDAJ	PREVOD NA UCET	1566	64108	UVER	KL	75815641
1310055	4473	1998-08-12	VYDAJ	PREVOD NA UCET	1566	65244	UVER	KL	75815641
1310056	4473	1998-09-12	VYDAJ	PREVOD NA UCET	1566	64580	UVER	KL	75815641
1310057	4473	1998-10-12	VYDAJ	PREVOD NA UCET	1566	56106	UVER	KL	75815641
1310058	4473	1998-11-12	VYDAJ	PREVOD NA UCET	1566	54301	UVER	KL	75815641
1310059	4473	1998-12-12	VYDAJ	PREVOD NA UCET	1566	60457	UVER	KL	75815641
1310061	4473	1996-12-07	VYDAJ	VYBER	1120	72515	\N	\N	\N
1310062	4473	1997-12-25	VYDAJ	VYBER	2240	76091	\N	\N	\N
1310063	4473	1998-12-02	VYDAJ	VYBER	2240	34438	\N	\N	\N
1310076	4473	1997-01-10	VYDAJ	VYBER	2040	64726	\N	\N	\N
1310077	4473	1997-01-18	VYDAJ	VYBER	3120	53515	\N	\N	\N
1310078	4473	1997-01-18	VYDAJ	VYBER	3000	56635	\N	\N	\N
1310079	4473	1997-01-23	VYDAJ	VYBER	3480	49315	\N	\N	\N
1310080	4473	1997-01-24	VYDAJ	VYBER	3240	46075	\N	\N	\N
1310081	4473	1997-01-19	VYDAJ	VYBER	720	52795	\N	\N	\N
1310082	4473	1998-01-05	VYDAJ	VYBER	1320	49450	\N	\N	\N
1310083	4473	1998-01-02	VYDAJ	VYBER	3000	50770	\N	\N	\N
1310084	4473	1998-01-23	VYDAJ	VYBER	720	58216	\N	\N	\N
1310085	4473	1998-01-01	VYDAJ	VYBER	1440	53770	\N	\N	\N
1310086	4473	1998-01-17	VYDAJ	VYBER	960	58936	\N	\N	\N
1310087	4473	1998-01-07	VYDAJ	VYBER	3360	64987	\N	\N	\N
1310094	4473	1996-11-07	VYDAJ	VYBER	2880	59936	\N	\N	\N
1310095	4473	1996-04-29	VYDAJ	VYBER	4680	50161	\N	\N	\N
1310096	4473	1996-03-15	VYDAJ	VYBER	5280	49442	\N	\N	\N
1310097	4473	1996-06-25	VYDAJ	VYBER	3600	69038	\N	\N	\N
1310098	4473	1996-09-06	VYDAJ	VYBER	3120	35018	\N	\N	\N
1310099	4473	1997-12-28	VYDAJ	VYBER	5160	54931	\N	\N	\N
1310100	4473	1997-08-10	VYDAJ	VYBER	3120	66481	\N	\N	\N
1310101	4473	1997-05-16	VYDAJ	VYBER	1440	57799	\N	\N	\N
1310102	4473	1997-01-10	VYDAJ	VYBER	1680	66766	\N	\N	\N
1310103	4473	1997-11-27	VYDAJ	VYBER	4920	53500	\N	\N	\N
1310104	4473	1997-12-14	VYDAJ	VYBER	1440	78331	\N	\N	\N
1310105	4473	1997-06-14	VYDAJ	VYBER	2640	66099	\N	\N	\N
1310106	4473	1997-02-24	VYDAJ	VYBER	4560	47238	\N	\N	\N
1310107	4473	1997-11-26	VYDAJ	VYBER	3600	64620	\N	\N	\N
1310108	4473	1998-04-09	VYDAJ	VYBER	3960	65564	\N	\N	\N
1310109	4473	1998-02-12	VYDAJ	VYBER	2040	64510	\N	\N	\N
1310110	4473	1998-02-08	VYDAJ	VYBER	1560	70075	\N	\N	\N
1310111	4473	1998-06-14	VYDAJ	VYBER	4800	71350	\N	\N	\N
1310112	4473	1998-10-03	VYDAJ	VYBER	2400	42300	\N	\N	\N
1310128	4473	1996-03-31	VYDAJ	VYBER	15	49669	SLUZBY	\N	\N
1310129	4473	1996-04-30	VYDAJ	VYBER	15	50370	SLUZBY	\N	\N
1310130	4473	1996-05-31	VYDAJ	VYBER	15	55354	SLUZBY	\N	\N
1310131	4473	1996-06-30	VYDAJ	VYBER	15	69308	SLUZBY	\N	\N
1310132	4473	1996-07-31	VYDAJ	VYBER	15	68248	SLUZBY	\N	\N
1310133	4473	1996-08-31	VYDAJ	VYBER	15	62766	SLUZBY	\N	\N
1310134	4473	1996-09-30	VYDAJ	VYBER	15	54733	SLUZBY	\N	\N
1310135	4473	1996-10-31	VYDAJ	VYBER	15	55919	SLUZBY	\N	\N
1310136	4473	1996-11-30	VYDAJ	VYBER	15	55126	SLUZBY	\N	\N
1310137	4473	1996-12-31	VYDAJ	VYBER	15	69249	SLUZBY	\N	\N
1310138	4473	1997-01-31	VYDAJ	VYBER	15	46292	SLUZBY	\N	\N
1310139	4473	1997-02-28	VYDAJ	VYBER	15	47426	SLUZBY	\N	\N
1310140	4473	1997-03-31	VYDAJ	VYBER	15	50121	SLUZBY	\N	\N
1310141	4473	1997-04-30	VYDAJ	VYBER	15	54433	SLUZBY	\N	\N
1310142	4473	1997-05-31	VYDAJ	VYBER	15	58020	SLUZBY	\N	\N
1310143	4473	1997-06-30	VYDAJ	VYBER	15	66345	SLUZBY	\N	\N
1310144	4473	1997-07-31	VYDAJ	VYBER	15	50704	SLUZBY	\N	\N
1310145	4473	1997-08-31	VYDAJ	VYBER	15	51822	SLUZBY	\N	\N
1310146	4473	1997-09-30	VYDAJ	VYBER	15	50470	SLUZBY	\N	\N
1310147	4473	1997-10-31	VYDAJ	VYBER	15	54414	SLUZBY	\N	\N
1310148	4473	1997-11-30	VYDAJ	VYBER	15	53753	SLUZBY	\N	\N
1310149	4473	1997-12-31	VYDAJ	VYBER	15	55210	SLUZBY	\N	\N
1310150	4473	1998-01-31	VYDAJ	VYBER	15	52738	SLUZBY	\N	\N
1310151	4473	1998-02-28	VYDAJ	VYBER	15	52082	SLUZBY	\N	\N
1310152	4473	1998-03-31	VYDAJ	VYBER	15	50627	SLUZBY	\N	\N
1310153	4473	1998-04-30	VYDAJ	VYBER	15	49996	SLUZBY	\N	\N
1310154	4473	1998-05-31	VYDAJ	VYBER	15	50131	SLUZBY	\N	\N
1310155	4473	1998-06-30	VYDAJ	VYBER	15	50302	SLUZBY	\N	\N
1310156	4473	1998-07-31	VYDAJ	VYBER	15	51438	SLUZBY	\N	\N
1310157	4473	1998-08-31	VYDAJ	VYBER	15	50774	SLUZBY	\N	\N
1310158	4473	1998-09-30	VYDAJ	VYBER	15	44700	SLUZBY	\N	\N
1310159	4473	1998-10-31	VYDAJ	VYBER	15	40495	SLUZBY	\N	\N
1310160	4473	1998-11-30	VYDAJ	VYBER	15	36678	SLUZBY	\N	\N
1310161	4473	1995-11-08	PRIJEM	VKLAD	500	25725	\N	\N	\N
1310162	4473	1995-12-08	VYDAJ	VYBER	19000	43445	\N	\N	\N
1310163	4473	1996-01-07	VYDAJ	VYBER	17600	50434	\N	\N	\N
1310164	4473	1996-02-06	VYDAJ	VYBER	10100	40539	\N	\N	\N
1310165	4473	1996-03-07	VYDAJ	VYBER	30000	58247	\N	\N	\N
1310166	4473	1996-04-06	VYDAJ	VYBER	8600	35541	\N	\N	\N
1310167	4473	1996-05-06	VYDAJ	VYBER	9800	35042	\N	\N	\N
1310168	4473	1996-06-05	VYDAJ	VYBER	8600	41226	\N	\N	\N
1310169	4473	1996-07-05	VYDAJ	VYBER	15600	48180	\N	\N	\N
1310170	4473	1996-08-04	VYDAJ	VYBER	19600	48648	\N	\N	\N
1310171	4473	1996-09-03	VYDAJ	VYBER	19100	43666	\N	\N	\N
1310172	4473	1996-10-03	VYDAJ	VYBER	13200	41533	\N	\N	\N
1310173	4473	1996-11-02	VYDAJ	VYBER	12000	43919	\N	\N	\N
1310174	4473	1996-12-02	VYDAJ	VYBER	11400	43726	\N	\N	\N
1310175	4473	1997-01-01	VYDAJ	VYBER	19700	49549	\N	\N	\N
1310176	4473	1997-01-31	VYDAJ	VYBER	8300	37992	\N	\N	\N
1310177	4473	1997-03-02	VYDAJ	VYBER	11300	36126	\N	\N	\N
1310178	4473	1997-04-01	VYDAJ	VYBER	9700	40421	\N	\N	\N
1310179	4473	1997-05-01	VYDAJ	VYBER	9000	45433	\N	\N	\N
1310180	4473	1997-05-31	VYDAJ	VYBER	15300	42720	\N	\N	\N
1310181	4473	1997-06-30	VYDAJ	VYBER	15800	50545	\N	\N	\N
1310182	4473	1997-07-30	VYDAJ	VYBER	13900	50451	\N	\N	\N
1310183	4473	1997-08-29	VYDAJ	VYBER	9800	51590	\N	\N	\N
1310184	4473	1997-09-28	VYDAJ	VYBER	15400	50228	\N	\N	\N
1310185	4473	1997-10-28	VYDAJ	VYBER	10100	54176	\N	\N	\N
1310186	4473	1997-11-27	VYDAJ	VYBER	6200	58420	\N	\N	\N
1310187	4473	1997-12-27	VYDAJ	VYBER	16000	60091	\N	\N	\N
1310188	4473	1998-01-26	VYDAJ	VYBER	5700	52516	\N	\N	\N
1310189	4473	1998-02-25	VYDAJ	VYBER	11100	51844	\N	\N	\N
1310190	4473	1998-03-27	VYDAJ	VYBER	15500	50388	\N	\N	\N
1310191	4473	1998-04-26	VYDAJ	VYBER	10700	49773	\N	\N	\N
1310192	4473	1998-05-26	VYDAJ	VYBER	13900	49902	\N	\N	\N
1310193	4473	1998-06-25	VYDAJ	VYBER	21300	50050	\N	\N	\N
1310194	4473	1998-07-25	VYDAJ	VYBER	12900	51208	\N	\N	\N
1310195	4473	1998-08-24	VYDAJ	VYBER	14700	50544	\N	\N	\N
1310196	4473	1998-09-23	VYDAJ	VYBER	20100	44480	\N	\N	\N
1310197	4473	1998-10-23	VYDAJ	VYBER	15800	40306	\N	\N	\N
1310198	4473	1998-11-22	VYDAJ	VYBER	17800	36501	\N	\N	\N
1310361	4475	1997-04-16	PRIJEM	VKLAD	500	500	\N	\N	\N
1310366	4475	1997-05-10	PRIJEM	PREVOD Z UCTU	16919	17419	\N	IJ	59578341
1310367	4475	1997-06-10	PRIJEM	PREVOD Z UCTU	25378	46643	\N	IJ	59578341
1310368	4475	1997-07-10	PRIJEM	PREVOD Z UCTU	16919	54085	\N	IJ	59578341
1310369	4475	1997-08-10	PRIJEM	PREVOD Z UCTU	16919	55061	\N	IJ	59578341
1310370	4475	1997-09-10	PRIJEM	PREVOD Z UCTU	16919	53334	\N	IJ	59578341
1310371	4475	1997-10-10	PRIJEM	PREVOD Z UCTU	16919	44398	\N	IJ	59578341
1310372	4475	1997-11-10	PRIJEM	PREVOD Z UCTU	16919	47224	\N	IJ	59578341
1310373	4475	1997-12-10	PRIJEM	PREVOD Z UCTU	25378	55513	\N	IJ	59578341
1310374	4475	1998-01-10	PRIJEM	PREVOD Z UCTU	16919	46246	\N	IJ	59578341
1310375	4475	1998-02-10	PRIJEM	PREVOD Z UCTU	16919	46673	\N	IJ	59578341
1310376	4475	1998-03-10	PRIJEM	PREVOD Z UCTU	16919	40304	\N	IJ	59578341
1310377	4475	1998-04-10	PRIJEM	PREVOD Z UCTU	16919	49129	\N	IJ	59578341
1310378	4475	1998-05-10	PRIJEM	PREVOD Z UCTU	16919	49468	\N	IJ	59578341
1310379	4475	1998-06-10	PRIJEM	PREVOD Z UCTU	25378	50961	\N	IJ	59578341
1310380	4475	1998-07-10	PRIJEM	PREVOD Z UCTU	16919	37697	\N	IJ	59578341
1310381	4475	1998-08-10	PRIJEM	PREVOD Z UCTU	16919	35209	\N	IJ	59578341
1310382	4475	1998-09-10	PRIJEM	PREVOD Z UCTU	16919	45645	\N	IJ	59578341
1310383	4475	1998-10-10	PRIJEM	PREVOD Z UCTU	16919	45997	\N	IJ	59578341
1310384	4475	1998-11-10	PRIJEM	PREVOD Z UCTU	16919	42152	\N	IJ	59578341
1310385	4475	1998-12-10	PRIJEM	PREVOD Z UCTU	25378	51579	\N	IJ	59578341
1310415	4475	1997-09-15	VYBER	VYBER	11272	27362	\N	\N	\N
1310417	4475	1998-12-14	VYBER	VYBER	4962	46617	\N	\N	\N
1310419	4475	1998-07-03	VYBER	VYBER	12096	20778	\N	\N	\N
1310420	4475	1997-12-10	VYDAJ	VYBER	2400	53113	\N	\N	\N
1310421	4475	1998-12-21	VYDAJ	VYBER	8700	37917	\N	\N	\N
1310423	4475	1997-12-11	VYDAJ	VYBER	10200	42913	\N	\N	\N
1310429	4475	1998-11-25	VYDAJ	VYBER	4500	37652	\N	\N	\N
1310430	4475	1998-10-12	VYDAJ	VYBER	10200	35797	\N	\N	\N
1310431	4475	1998-09-11	VYDAJ	VYBER	10500	35145	\N	\N	\N
1310432	4475	1998-12-22	VYDAJ	VYBER	6000	31917	\N	\N	\N
1310433	4475	1998-05-31	VYDAJ	VYBER	5400	25598	\N	\N	\N
1310434	4475	1998-02-16	VYDAJ	VYBER	5100	23273	\N	\N	\N
1310444	4475	1997-09-30	VYDAJ	VYBER	15	27479	SLUZBY	\N	\N
1310445	4475	1997-10-31	VYDAJ	VYBER	15	30305	SLUZBY	\N	\N
1310446	4475	1997-11-30	VYDAJ	VYBER	15	30135	SLUZBY	\N	\N
1310447	4475	1997-12-31	VYDAJ	VYBER	15	29327	SLUZBY	\N	\N
1310448	4475	1998-01-31	VYDAJ	VYBER	15	29754	SLUZBY	\N	\N
1310449	4475	1998-02-28	VYDAJ	VYBER	15	23385	SLUZBY	\N	\N
1310450	4475	1998-03-31	VYDAJ	VYBER	15	32210	SLUZBY	\N	\N
1310451	4475	1998-04-30	VYDAJ	VYBER	15	32549	SLUZBY	\N	\N
1310452	4475	1998-05-31	VYDAJ	VYBER	15	25583	SLUZBY	\N	\N
1310453	4475	1998-06-30	VYDAJ	VYBER	15	32874	SLUZBY	\N	\N
1310454	4475	1998-07-31	VYDAJ	VYBER	15	22990	SLUZBY	\N	\N
1310455	4475	1998-08-31	VYDAJ	VYBER	15	35326	SLUZBY	\N	\N
1310456	4475	1998-09-30	VYDAJ	VYBER	15	35278	SLUZBY	\N	\N
1310457	4475	1998-10-31	VYDAJ	VYBER	15	35933	SLUZBY	\N	\N
1310458	4475	1998-11-30	VYDAJ	VYBER	15	37801	SLUZBY	\N	\N
1310459	4475	1997-05-16	PRIJEM	VKLAD	3800	21219	\N	\N	\N
1310460	4475	1997-06-15	VYDAJ	VYBER	9600	37043	\N	\N	\N
1310461	4475	1997-07-15	VYDAJ	VYBER	16100	37985	\N	\N	\N
1310462	4475	1997-08-14	VYDAJ	VYBER	18800	36261	\N	\N	\N
1310463	4475	1997-09-13	VYDAJ	VYBER	14700	38634	\N	\N	\N
1310464	4475	1997-10-13	VYDAJ	VYBER	14200	30198	\N	\N	\N
1310465	4475	1997-11-12	VYDAJ	VYBER	17200	30024	\N	\N	\N
1310466	4475	1997-12-12	VYDAJ	VYBER	13700	29213	\N	\N	\N
1310467	4475	1998-01-11	VYDAJ	VYBER	16600	29646	\N	\N	\N
1310468	4475	1998-02-10	VYDAJ	VYBER	18300	28373	\N	\N	\N
1310469	4475	1998-03-12	VYDAJ	VYBER	8200	32104	\N	\N	\N
1310470	4475	1998-04-11	VYDAJ	VYBER	16700	32429	\N	\N	\N
1310471	4475	1998-05-11	VYDAJ	VYBER	18600	30868	\N	\N	\N
1310472	4475	1998-06-10	VYDAJ	VYBER	18200	32761	\N	\N	\N
1310473	4475	1998-07-10	VYDAJ	VYBER	14800	22897	\N	\N	\N
1310474	4475	1998-08-09	VYDAJ	VYBER	4700	18290	\N	\N	\N
1310475	4475	1998-09-08	VYDAJ	VYBER	6600	28726	\N	\N	\N
1310476	4475	1998-10-08	VYDAJ	VYBER	6200	29078	\N	\N	\N
1310477	4475	1998-11-07	VYDAJ	VYBER	10700	25233	\N	\N	\N
1310478	4475	1998-12-07	VYDAJ	VYBER	11600	26201	\N	\N	\N
1310499	4476	1994-11-10	PRIJEM	VKLAD	500	500	\N	\N	\N
1310511	4476	1994-12-05	PRIJEM	VKLAD	21513	22013	\N	\N	\N
1310512	4476	1995-01-05	PRIJEM	VKLAD	14342	39028	\N	\N	\N
1310513	4476	1995-02-05	PRIJEM	VKLAD	14342	46796	\N	\N	\N
1310514	4476	1995-03-05	PRIJEM	VKLAD	14342	47274	\N	\N	\N
1310515	4476	1995-04-05	PRIJEM	VKLAD	14342	48157	\N	\N	\N
1310516	4476	1995-05-05	PRIJEM	VKLAD	14342	37157	\N	\N	\N
1310517	4476	1995-06-05	PRIJEM	VKLAD	21513	41042	\N	\N	\N
1310518	4476	1995-07-05	PRIJEM	VKLAD	14342	41874	\N	\N	\N
1310519	4476	1995-08-05	PRIJEM	VKLAD	14342	41412	\N	\N	\N
1310520	4476	1995-09-05	PRIJEM	VKLAD	14342	41546	\N	\N	\N
1310521	4476	1995-10-05	PRIJEM	VKLAD	14342	41181	\N	\N	\N
1310522	4476	1995-11-05	PRIJEM	VKLAD	14342	37924	\N	\N	\N
1310523	4476	1995-12-05	PRIJEM	VKLAD	21513	43808	\N	\N	\N
1310524	4476	1996-01-05	PRIJEM	VKLAD	14342	37059	\N	\N	\N
1310525	4476	1996-02-05	PRIJEM	VKLAD	14342	33185	\N	\N	\N
1310526	4476	1996-03-05	PRIJEM	VKLAD	14342	36106	\N	\N	\N
1310527	4476	1996-04-05	PRIJEM	VKLAD	14342	39343	\N	\N	\N
1310528	4476	1996-05-05	PRIJEM	VKLAD	14342	39993	\N	\N	\N
1310529	4476	1996-06-05	PRIJEM	VKLAD	21513	46418	\N	\N	\N
1310530	4476	1996-07-05	PRIJEM	VKLAD	14342	40295	\N	\N	\N
1310531	4476	1996-08-05	PRIJEM	VKLAD	14342	37955	\N	\N	\N
1310532	4476	1996-09-05	PRIJEM	VKLAD	14342	34802	\N	\N	\N
1310533	4476	1996-10-05	PRIJEM	VKLAD	14342	28868	\N	\N	\N
1310534	4476	1996-11-05	PRIJEM	VKLAD	14342	31636	\N	\N	\N
1310535	4476	1996-12-05	PRIJEM	VKLAD	21513	40686	\N	\N	\N
1310536	4476	1997-01-05	PRIJEM	VKLAD	14342	30126	\N	\N	\N
1310537	4476	1997-02-05	PRIJEM	VKLAD	14342	30089	\N	\N	\N
1310538	4476	1997-03-05	PRIJEM	VKLAD	14342	34780	\N	\N	\N
1310539	4476	1997-04-05	PRIJEM	VKLAD	14342	36071	\N	\N	\N
1310540	4476	1997-05-05	PRIJEM	VKLAD	14342	37605	\N	\N	\N
1310541	4476	1997-06-05	PRIJEM	VKLAD	21513	47981	\N	\N	\N
1310542	4476	1997-07-05	PRIJEM	VKLAD	14342	37368	\N	\N	\N
1310543	4476	1997-08-05	PRIJEM	VKLAD	14342	39268	\N	\N	\N
1310544	4476	1997-09-05	PRIJEM	VKLAD	14342	32833	\N	\N	\N
1310545	4476	1997-10-05	PRIJEM	VKLAD	14342	38323	\N	\N	\N
1310546	4476	1997-11-05	PRIJEM	VKLAD	14342	36924	\N	\N	\N
1310547	4476	1997-12-05	PRIJEM	VKLAD	21513	40136	\N	\N	\N
1310548	4476	1998-01-05	PRIJEM	VKLAD	14342	30989	\N	\N	\N
1310549	4476	1998-02-05	PRIJEM	VKLAD	14342	30475	\N	\N	\N
1310550	4476	1998-03-05	PRIJEM	VKLAD	14342	31753	\N	\N	\N
1310551	4476	1998-04-05	PRIJEM	VKLAD	14342	32827	\N	\N	\N
1310552	4476	1998-05-05	PRIJEM	VKLAD	14342	35680	\N	\N	\N
1310553	4476	1998-06-05	PRIJEM	VKLAD	21513	39034	\N	\N	\N
1310554	4476	1998-07-05	PRIJEM	VKLAD	14342	33123	\N	\N	\N
1310555	4476	1998-08-05	PRIJEM	VKLAD	14342	29595	\N	\N	\N
1310556	4476	1998-09-05	PRIJEM	VKLAD	14342	36165	\N	\N	\N
1310557	4476	1998-10-05	PRIJEM	VKLAD	14342	32146	\N	\N	\N
1310558	4476	1998-11-05	PRIJEM	VKLAD	14342	32550	\N	\N	\N
1310559	4476	1998-12-05	PRIJEM	VKLAD	21513	38624	\N	\N	\N
1310575	4476	1995-04-06	VYDAJ	PREVOD NA UCET	3195	44962	SIPO	YZ	51957607
1310576	4476	1995-05-06	VYDAJ	PREVOD NA UCET	3195	33962	SIPO	YZ	51957607
1310577	4476	1995-06-06	VYDAJ	PREVOD NA UCET	3195	37847	SIPO	YZ	51957607
1310578	4476	1995-07-06	VYDAJ	PREVOD NA UCET	3195	38679	SIPO	YZ	51957607
1310579	4476	1995-08-06	VYDAJ	PREVOD NA UCET	3195	38217	SIPO	YZ	51957607
1310580	4476	1995-09-06	VYDAJ	PREVOD NA UCET	3195	38351	SIPO	YZ	51957607
1310581	4476	1995-10-06	VYDAJ	PREVOD NA UCET	3195	28586	SIPO	YZ	51957607
1310582	4476	1995-11-06	VYDAJ	PREVOD NA UCET	3195	26729	SIPO	YZ	51957607
1310583	4476	1995-12-06	VYDAJ	PREVOD NA UCET	3195	32413	SIPO	YZ	51957607
1310584	4476	1996-01-06	VYDAJ	PREVOD NA UCET	3195	33864	SIPO	YZ	51957607
1310585	4476	1996-02-06	VYDAJ	PREVOD NA UCET	3195	29990	SIPO	YZ	51957607
1310586	4476	1996-03-06	VYDAJ	PREVOD NA UCET	3195	32911	SIPO	YZ	51957607
1310587	4476	1996-04-06	VYDAJ	PREVOD NA UCET	3195	36148	SIPO	YZ	51957607
1310588	4476	1996-05-06	VYDAJ	PREVOD NA UCET	3195	36798	SIPO	YZ	51957607
1310589	4476	1996-06-06	VYDAJ	PREVOD NA UCET	3195	43223	SIPO	YZ	51957607
1310590	4476	1996-07-06	VYDAJ	PREVOD NA UCET	3195	37100	SIPO	YZ	51957607
1310591	4476	1996-08-06	VYDAJ	PREVOD NA UCET	3195	34760	SIPO	YZ	51957607
1310592	4476	1996-09-06	VYDAJ	PREVOD NA UCET	3195	31607	SIPO	YZ	51957607
1310593	4476	1996-10-06	VYDAJ	PREVOD NA UCET	3195	25673	SIPO	YZ	51957607
1310594	4476	1996-11-06	VYDAJ	PREVOD NA UCET	3195	28441	SIPO	YZ	51957607
1310595	4476	1996-12-06	VYDAJ	PREVOD NA UCET	3195	37491	SIPO	YZ	51957607
1310596	4476	1997-01-06	VYDAJ	PREVOD NA UCET	3195	26931	SIPO	YZ	51957607
1310597	4476	1997-02-06	VYDAJ	PREVOD NA UCET	3195	26894	SIPO	YZ	51957607
1310598	4476	1997-03-06	VYDAJ	PREVOD NA UCET	3195	31585	SIPO	YZ	51957607
1310599	4476	1997-04-06	VYDAJ	PREVOD NA UCET	3195	32876	SIPO	YZ	51957607
1310600	4476	1997-05-06	VYDAJ	PREVOD NA UCET	3195	34410	SIPO	YZ	51957607
1310601	4476	1997-06-06	VYDAJ	PREVOD NA UCET	3195	44786	SIPO	YZ	51957607
1310602	4476	1997-07-06	VYDAJ	PREVOD NA UCET	3195	34173	SIPO	YZ	51957607
1310603	4476	1997-08-06	VYDAJ	PREVOD NA UCET	3195	36073	SIPO	YZ	51957607
1310604	4476	1997-09-06	VYDAJ	PREVOD NA UCET	3195	29638	SIPO	YZ	51957607
1310605	4476	1997-10-06	VYDAJ	PREVOD NA UCET	3195	35128	SIPO	YZ	51957607
1310606	4476	1997-11-06	VYDAJ	PREVOD NA UCET	3195	33729	SIPO	YZ	51957607
1310607	4476	1997-12-06	VYDAJ	PREVOD NA UCET	3195	36941	SIPO	YZ	51957607
1310608	4476	1998-01-06	VYDAJ	PREVOD NA UCET	3195	27794	SIPO	YZ	51957607
1310609	4476	1998-02-06	VYDAJ	PREVOD NA UCET	3195	27280	SIPO	YZ	51957607
1310610	4476	1998-03-06	VYDAJ	PREVOD NA UCET	3195	28558	SIPO	YZ	51957607
1310611	4476	1998-04-06	VYDAJ	PREVOD NA UCET	3195	29632	SIPO	YZ	51957607
1310612	4476	1998-05-06	VYDAJ	PREVOD NA UCET	3195	32485	SIPO	YZ	51957607
1310613	4476	1998-06-06	VYDAJ	PREVOD NA UCET	3195	35839	SIPO	YZ	51957607
1310614	4476	1998-07-06	VYDAJ	PREVOD NA UCET	3195	29928	SIPO	YZ	51957607
1310615	4476	1998-08-06	VYDAJ	PREVOD NA UCET	3195	26400	SIPO	YZ	51957607
1310616	4476	1998-09-06	VYDAJ	PREVOD NA UCET	3195	32970	SIPO	YZ	51957607
1310617	4476	1998-10-06	VYDAJ	PREVOD NA UCET	3195	28951	SIPO	YZ	51957607
1310618	4476	1998-11-06	VYDAJ	PREVOD NA UCET	3195	29355	SIPO	YZ	51957607
1310619	4476	1998-12-06	VYDAJ	PREVOD NA UCET	3195	34729	SIPO	YZ	51957607
1310635	4476	1995-04-12	VYDAJ	PREVOD NA UCET	912	28347	 	EF	27366185
1310636	4476	1995-05-12	VYDAJ	PREVOD NA UCET	912	24847	 	EF	27366185
1310637	4476	1995-06-12	VYDAJ	PREVOD NA UCET	912	27432	 	EF	27366185
1310638	4476	1995-07-12	VYDAJ	PREVOD NA UCET	912	27564	 	EF	27366185
1310639	4476	1995-08-12	VYDAJ	PREVOD NA UCET	912	27602	 	EF	27366185
1310640	4476	1995-09-12	VYDAJ	PREVOD NA UCET	912	27636	 	EF	27366185
1310641	4476	1995-10-12	VYDAJ	PREVOD NA UCET	912	24571	 	EF	27366185
1310642	4476	1995-11-12	VYDAJ	PREVOD NA UCET	912	22714	 	EF	27366185
1310643	4476	1995-12-12	VYDAJ	PREVOD NA UCET	912	27998	 	EF	27366185
1310644	4476	1996-01-12	VYDAJ	PREVOD NA UCET	912	23029	 	EF	27366185
1310645	4476	1996-02-12	VYDAJ	PREVOD NA UCET	912	25975	 	EF	27366185
1310646	4476	1996-03-12	VYDAJ	PREVOD NA UCET	912	28896	 	EF	27366185
1310647	4476	1996-04-12	VYDAJ	PREVOD NA UCET	912	32133	 	EF	27366185
1310648	4476	1996-05-12	VYDAJ	PREVOD NA UCET	912	32783	 	EF	27366185
1310649	4476	1996-06-12	VYDAJ	PREVOD NA UCET	912	38608	 	EF	27366185
1310650	4476	1996-07-12	VYDAJ	PREVOD NA UCET	912	33085	 	EF	27366185
1310651	4476	1996-08-12	VYDAJ	PREVOD NA UCET	912	30745	 	EF	27366185
1310652	4476	1996-09-12	VYDAJ	PREVOD NA UCET	912	27192	 	EF	27366185
1310653	4476	1996-10-12	VYDAJ	PREVOD NA UCET	912	21025	 	EF	27366185
1310654	4476	1996-11-12	VYDAJ	PREVOD NA UCET	912	23793	 	EF	27366185
1310655	4476	1996-12-12	VYDAJ	PREVOD NA UCET	912	32843	 	EF	27366185
1310656	4476	1997-01-12	VYDAJ	PREVOD NA UCET	912	20516	 	EF	27366185
1310657	4476	1997-02-12	VYDAJ	PREVOD NA UCET	912	22879	 	EF	27366185
1310658	4476	1997-03-12	VYDAJ	PREVOD NA UCET	912	26937	 	EF	27366185
1310659	4476	1997-04-12	VYDAJ	PREVOD NA UCET	912	28861	 	EF	27366185
1310660	4476	1997-05-12	VYDAJ	PREVOD NA UCET	912	29762	 	EF	27366185
1310661	4476	1997-06-12	VYDAJ	PREVOD NA UCET	912	40771	 	EF	27366185
1310662	4476	1997-07-12	VYDAJ	PREVOD NA UCET	912	30158	 	EF	27366185
1310663	4476	1997-08-12	VYDAJ	PREVOD NA UCET	912	32058	 	EF	27366185
1310664	4476	1997-09-12	VYDAJ	PREVOD NA UCET	912	24990	 	EF	27366185
1310665	4476	1997-10-12	VYDAJ	PREVOD NA UCET	912	31113	 	EF	27366185
1310666	4476	1997-11-12	VYDAJ	PREVOD NA UCET	912	24074	 	EF	27366185
1310667	4476	1997-12-12	VYDAJ	PREVOD NA UCET	912	28613	 	EF	27366185
1310668	4476	1998-01-12	VYDAJ	PREVOD NA UCET	912	23779	 	EF	27366185
1310669	4476	1998-02-12	VYDAJ	PREVOD NA UCET	912	17352	 	EF	27366185
1310670	4476	1998-03-12	VYDAJ	PREVOD NA UCET	912	24543	 	EF	27366185
1310671	4476	1998-04-12	VYDAJ	PREVOD NA UCET	912	21264	 	EF	27366185
1310672	4476	1998-05-12	VYDAJ	PREVOD NA UCET	912	28470	 	EF	27366185
1310673	4476	1998-06-12	VYDAJ	PREVOD NA UCET	912	31824	 	EF	27366185
1310674	4476	1998-07-12	VYDAJ	PREVOD NA UCET	912	25280	 	EF	27366185
1310675	4476	1998-08-12	VYDAJ	PREVOD NA UCET	912	22385	 	EF	27366185
1310676	4476	1998-09-12	VYDAJ	PREVOD NA UCET	912	28955	 	EF	27366185
1310677	4476	1998-10-12	VYDAJ	PREVOD NA UCET	912	24936	 	EF	27366185
1310678	4476	1998-11-12	VYDAJ	PREVOD NA UCET	912	25340	 	EF	27366185
1310679	4476	1998-12-12	VYDAJ	PREVOD NA UCET	912	30714	 	EF	27366185
1310695	4476	1995-04-08	VYDAJ	PREVOD NA UCET	3103	41859	POJISTNE	GH	96384197
1310696	4476	1995-05-08	VYDAJ	PREVOD NA UCET	3103	30059	POJISTNE	GH	96384197
1310697	4476	1995-06-08	VYDAJ	PREVOD NA UCET	3103	28744	POJISTNE	GH	96384197
1310698	4476	1995-07-08	VYDAJ	PREVOD NA UCET	3103	35576	POJISTNE	GH	96384197
1310699	4476	1995-08-08	VYDAJ	PREVOD NA UCET	3103	28514	POJISTNE	GH	96384197
1310700	4476	1995-09-08	VYDAJ	PREVOD NA UCET	3103	28548	POJISTNE	GH	96384197
1310701	4476	1995-10-08	VYDAJ	PREVOD NA UCET	3103	25483	POJISTNE	GH	96384197
1310702	4476	1995-11-08	VYDAJ	PREVOD NA UCET	3103	23626	POJISTNE	GH	96384197
1310703	4476	1995-12-08	VYDAJ	PREVOD NA UCET	3103	29310	POJISTNE	GH	96384197
1310704	4476	1996-01-08	VYDAJ	PREVOD NA UCET	3103	30761	POJISTNE	GH	96384197
1310705	4476	1996-02-08	VYDAJ	PREVOD NA UCET	3103	26887	POJISTNE	GH	96384197
1310706	4476	1996-03-08	VYDAJ	PREVOD NA UCET	3103	29808	POJISTNE	GH	96384197
1310707	4476	1996-04-08	VYDAJ	PREVOD NA UCET	3103	33045	POJISTNE	GH	96384197
1310708	4476	1996-05-08	VYDAJ	PREVOD NA UCET	3103	33695	POJISTNE	GH	96384197
1310709	4476	1996-06-08	VYDAJ	PREVOD NA UCET	3103	40120	POJISTNE	GH	96384197
1310710	4476	1996-07-08	VYDAJ	PREVOD NA UCET	3103	33997	POJISTNE	GH	96384197
1310711	4476	1996-08-08	VYDAJ	PREVOD NA UCET	3103	31657	POJISTNE	GH	96384197
1310712	4476	1996-09-08	VYDAJ	PREVOD NA UCET	3103	28504	POJISTNE	GH	96384197
1310713	4476	1996-10-08	VYDAJ	PREVOD NA UCET	3103	22570	POJISTNE	GH	96384197
1310714	4476	1996-11-08	VYDAJ	PREVOD NA UCET	3103	25338	POJISTNE	GH	96384197
1310715	4476	1996-12-08	VYDAJ	PREVOD NA UCET	3103	34388	POJISTNE	GH	96384197
1310716	4476	1997-01-08	VYDAJ	PREVOD NA UCET	3103	21428	POJISTNE	GH	96384197
1310717	4476	1997-02-08	VYDAJ	PREVOD NA UCET	3103	23791	POJISTNE	GH	96384197
1310718	4476	1997-03-08	VYDAJ	PREVOD NA UCET	3103	28482	POJISTNE	GH	96384197
1310719	4476	1997-04-08	VYDAJ	PREVOD NA UCET	3103	29773	POJISTNE	GH	96384197
1310720	4476	1997-05-08	VYDAJ	PREVOD NA UCET	3103	31307	POJISTNE	GH	96384197
1310721	4476	1997-06-08	VYDAJ	PREVOD NA UCET	3103	41683	POJISTNE	GH	96384197
1310722	4476	1997-07-08	VYDAJ	PREVOD NA UCET	3103	31070	POJISTNE	GH	96384197
1310723	4476	1997-08-08	VYDAJ	PREVOD NA UCET	3103	32970	POJISTNE	GH	96384197
1310724	4476	1997-09-08	VYDAJ	PREVOD NA UCET	3103	26535	POJISTNE	GH	96384197
1310725	4476	1997-10-08	VYDAJ	PREVOD NA UCET	3103	32025	POJISTNE	GH	96384197
1310726	4476	1997-11-08	VYDAJ	PREVOD NA UCET	3103	30626	POJISTNE	GH	96384197
1310727	4476	1997-12-08	VYDAJ	PREVOD NA UCET	3103	33838	POJISTNE	GH	96384197
1310728	4476	1998-01-08	VYDAJ	PREVOD NA UCET	3103	24691	POJISTNE	GH	96384197
1310729	4476	1998-02-08	VYDAJ	PREVOD NA UCET	3103	24177	POJISTNE	GH	96384197
1310730	4476	1998-03-08	VYDAJ	PREVOD NA UCET	3103	25455	POJISTNE	GH	96384197
1310731	4476	1998-04-08	VYDAJ	PREVOD NA UCET	3103	22809	POJISTNE	GH	96384197
1310732	4476	1998-05-08	VYDAJ	PREVOD NA UCET	3103	29382	POJISTNE	GH	96384197
1310733	4476	1998-06-08	VYDAJ	PREVOD NA UCET	3103	32736	POJISTNE	GH	96384197
1310734	4476	1998-07-08	VYDAJ	PREVOD NA UCET	3103	26825	POJISTNE	GH	96384197
1310735	4476	1998-08-08	VYDAJ	PREVOD NA UCET	3103	23297	POJISTNE	GH	96384197
1310736	4476	1998-09-08	VYDAJ	PREVOD NA UCET	3103	29867	POJISTNE	GH	96384197
1310737	4476	1998-10-08	VYDAJ	PREVOD NA UCET	3103	25848	POJISTNE	GH	96384197
1310738	4476	1998-11-08	VYDAJ	PREVOD NA UCET	3103	26252	POJISTNE	GH	96384197
1310739	4476	1998-12-08	VYDAJ	PREVOD NA UCET	3103	31626	POJISTNE	GH	96384197
1310755	4476	1995-04-02	VYDAJ	VYBER	500	33815	\N	\N	0
1310756	4476	1995-05-07	VYDAJ	VYBER	800	33162	\N	\N	0
1310757	4476	1995-06-12	VYDAJ	VYBER	400	28344	\N	\N	0
1310758	4476	1995-07-15	VYDAJ	VYBER	600	26964	\N	\N	0
1310759	4476	1995-08-20	VYDAJ	VYBER	500	27102	\N	\N	0
1310760	4476	1995-09-23	VYDAJ	VYBER	500	27136	\N	\N	0
1310761	4476	1995-09-30	VYDAJ	VYBER	400	26853	\N	\N	0
1310762	4476	1995-11-16	VYDAJ	VYBER	500	22214	\N	\N	0
1310763	4476	1995-12-10	VYDAJ	VYBER	400	28910	\N	\N	0
1310764	4476	1996-01-09	VYDAJ	VYBER	700	30061	\N	\N	0
1310765	4476	1996-02-03	VYDAJ	VYBER	500	18843	\N	\N	0
1310766	4476	1996-03-21	VYDAJ	VYBER	500	28396	\N	\N	0
1310767	4476	1996-04-22	VYDAJ	VYBER	500	31633	\N	\N	0
1310768	4476	1996-05-13	VYDAJ	VYBER	800	31983	\N	\N	0
1310769	4476	1996-06-08	VYDAJ	VYBER	600	39520	\N	\N	0
1310770	4476	1996-06-29	VYDAJ	VYBER	700	37908	\N	\N	0
1310771	4476	1996-07-27	VYDAJ	VYBER	400	32685	\N	\N	0
1310772	4476	1996-09-11	VYDAJ	VYBER	400	28104	\N	\N	0
1310773	4476	1996-10-12	VYDAJ	PREVOD NA UCET	633	21937	UVER	UV	18494886
1310774	4476	1996-11-12	VYDAJ	PREVOD NA UCET	633	24705	UVER	UV	18494886
1310775	4476	1996-12-12	VYDAJ	PREVOD NA UCET	633	33755	UVER	UV	18494886
1310776	4476	1997-01-12	VYDAJ	PREVOD NA UCET	633	19883	UVER	UV	18494886
1310777	4476	1997-02-12	VYDAJ	PREVOD NA UCET	633	22246	UVER	UV	18494886
1310778	4476	1997-03-12	VYDAJ	PREVOD NA UCET	633	27849	UVER	UV	18494886
1310779	4476	1997-04-12	VYDAJ	PREVOD NA UCET	633	28228	UVER	UV	18494886
1310780	4476	1997-05-12	VYDAJ	PREVOD NA UCET	633	30674	UVER	UV	18494886
1310781	4476	1997-06-12	VYDAJ	PREVOD NA UCET	633	40138	UVER	UV	18494886
1310782	4476	1997-07-12	VYDAJ	PREVOD NA UCET	633	29525	UVER	UV	18494886
1310783	4476	1997-08-12	VYDAJ	PREVOD NA UCET	633	31425	UVER	UV	18494886
1310784	4476	1997-09-12	VYDAJ	PREVOD NA UCET	633	25902	UVER	UV	18494886
1310785	4476	1997-10-12	VYDAJ	PREVOD NA UCET	633	30480	UVER	UV	18494886
1310786	4476	1997-11-12	VYDAJ	PREVOD NA UCET	633	23441	UVER	UV	18494886
1310787	4476	1997-12-12	VYDAJ	PREVOD NA UCET	633	29525	UVER	UV	18494886
1310788	4476	1998-01-12	VYDAJ	PREVOD NA UCET	633	20626	UVER	UV	18494886
1310789	4476	1998-02-12	VYDAJ	PREVOD NA UCET	633	18264	UVER	UV	18494886
1310790	4476	1998-03-12	VYDAJ	PREVOD NA UCET	633	23910	UVER	UV	18494886
1310791	4476	1998-04-12	VYDAJ	PREVOD NA UCET	633	22176	UVER	UV	18494886
1310792	4476	1998-05-12	VYDAJ	PREVOD NA UCET	633	27837	UVER	UV	18494886
1310793	4476	1998-06-12	VYDAJ	PREVOD NA UCET	633	31191	UVER	UV	18494886
1310794	4476	1998-07-12	VYDAJ	PREVOD NA UCET	633	26192	UVER	UV	18494886
1310795	4476	1998-08-12	VYDAJ	PREVOD NA UCET	633	21752	UVER	UV	18494886
1310796	4476	1998-09-12	VYDAJ	PREVOD NA UCET	633	28322	UVER	UV	18494886
1310797	4476	1998-10-23	VYDAJ	VYBER	500	18136	\N	\N	0
1310798	4476	1998-11-23	VYDAJ	VYBER	500	17040	\N	\N	0
1310799	4476	1998-12-06	VYDAJ	VYBER	700	37924	\N	\N	0
1310803	4476	1997-06-14	VYDAJ	VYBER	14720	25418	\N	\N	\N
1310807	4476	1996-01-16	VYDAJ	VYBER	4800	17389	\N	\N	\N
1310811	4476	1995-12-25	VYDAJ	VYBER	4480	23518	\N	\N	\N
1310812	4476	1996-12-01	VYDAJ	VYBER	800	19173	\N	\N	\N
1310813	4476	1997-12-08	VYDAJ	VYBER	3680	30158	\N	\N	\N
1310814	4476	1998-12-23	VYDAJ	VYBER	2560	28154	\N	\N	\N
1310827	4476	1996-01-04	VYDAJ	VYBER	1200	22717	\N	\N	\N
1310828	4476	1996-01-26	VYDAJ	VYBER	3120	14269	\N	\N	\N
1310829	4476	1996-01-15	VYDAJ	VYBER	840	22189	\N	\N	\N
1310830	4476	1996-01-10	VYDAJ	VYBER	3240	26821	\N	\N	\N
1310831	4476	1996-01-11	VYDAJ	VYBER	2880	23941	\N	\N	\N
1310834	4476	1997-01-18	VYDAJ	VYBER	1320	18563	\N	\N	\N
1310837	4476	1997-01-25	VYDAJ	VYBER	960	17603	\N	\N	\N
1310838	4476	1997-01-29	VYDAJ	VYBER	3120	15683	\N	\N	\N
1310839	4476	1998-01-12	VYDAJ	VYBER	2520	21259	\N	\N	\N
1310840	4476	1998-01-04	VYDAJ	VYBER	2520	18327	\N	\N	\N
1310841	4476	1998-01-02	VYDAJ	VYBER	2520	21687	\N	\N	\N
1310842	4476	1998-01-23	VYDAJ	VYBER	840	16066	\N	\N	\N
1310843	4476	1998-01-03	VYDAJ	VYBER	840	20847	\N	\N	\N
1310844	4476	1998-01-04	VYDAJ	VYBER	1680	16647	\N	\N	\N
1310846	4476	1995-04-20	VYDAJ	VYBER	5640	22707	\N	\N	\N
1310847	4476	1995-05-17	VYDAJ	VYBER	3720	21127	\N	\N	\N
1310848	4476	1995-05-28	VYDAJ	VYBER	1680	19447	\N	\N	\N
1310849	4476	1995-10-27	VYDAJ	VYBER	1080	23491	\N	\N	\N
1310850	4476	1996-09-19	VYDAJ	VYBER	4080	17352	\N	\N	\N
1310851	4476	1996-09-13	VYDAJ	VYBER	5760	21432	\N	\N	\N
1310852	4476	1996-12-30	VYDAJ	VYBER	4560	15683	\N	\N	\N
1310853	4476	1996-02-17	VYDAJ	VYBER	1200	24775	\N	\N	\N
1310854	4476	1996-12-13	VYDAJ	VYBER	4800	28043	\N	\N	\N
1310855	4476	1997-11-09	VYDAJ	VYBER	5640	24986	\N	\N	\N
1310856	4476	1997-02-16	VYDAJ	VYBER	1080	21166	\N	\N	\N
1310857	4476	1997-09-01	VYDAJ	VYBER	5040	18491	\N	\N	\N
1310858	4476	1997-04-19	VYDAJ	VYBER	2760	25468	\N	\N	\N
1310859	4476	1997-01-08	VYDAJ	VYBER	2400	24531	\N	\N	\N
1310860	4476	1998-02-09	VYDAJ	VYBER	5280	18897	\N	\N	\N
1310861	4476	1998-12-23	VYDAJ	VYBER	3360	24794	\N	\N	\N
1310862	4476	1998-01-14	VYDAJ	VYBER	3720	16906	\N	\N	\N
1310865	4476	1998-04-07	VYDAJ	VYBER	3720	25912	\N	\N	\N
1310882	4476	1995-04-30	VYDAJ	VYBER	15	22815	SLUZBY	\N	\N
1310883	4476	1995-05-31	VYDAJ	VYBER	15	19529	SLUZBY	\N	\N
1310884	4476	1995-06-30	VYDAJ	VYBER	15	27532	SLUZBY	\N	\N
1310885	4476	1995-07-31	VYDAJ	VYBER	15	27070	SLUZBY	\N	\N
1310886	4476	1995-08-31	VYDAJ	VYBER	15	27204	SLUZBY	\N	\N
1310887	4476	1995-09-30	VYDAJ	VYBER	15	26839	SLUZBY	\N	\N
1310888	4476	1995-10-31	VYDAJ	VYBER	15	23582	SLUZBY	\N	\N
1310889	4476	1995-11-30	VYDAJ	VYBER	15	22295	SLUZBY	\N	\N
1310890	4476	1995-12-31	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
1310891	4476	1996-01-31	VYDAJ	VYBER	15	14343	SLUZBY	\N	\N
1310892	4476	1996-02-29	VYDAJ	VYBER	15	24864	SLUZBY	\N	\N
1310893	4476	1996-03-31	VYDAJ	VYBER	15	28501	SLUZBY	\N	\N
1310894	4476	1996-04-30	VYDAJ	VYBER	15	31751	SLUZBY	\N	\N
1310895	4476	1996-05-31	VYDAJ	VYBER	15	32105	SLUZBY	\N	\N
1310896	4476	1996-06-30	VYDAJ	VYBER	15	38053	SLUZBY	\N	\N
1310897	4476	1996-07-31	VYDAJ	VYBER	15	32813	SLUZBY	\N	\N
1310898	4476	1996-08-31	VYDAJ	VYBER	15	30860	SLUZBY	\N	\N
1310899	4476	1996-09-30	VYDAJ	VYBER	15	14526	SLUZBY	\N	\N
1310900	4476	1996-10-31	VYDAJ	VYBER	15	17294	SLUZBY	\N	\N
1310901	4476	1996-11-30	VYDAJ	VYBER	15	19973	SLUZBY	\N	\N
1310902	4476	1996-12-31	VYDAJ	VYBER	15	15784	SLUZBY	\N	\N
1310903	4476	1997-01-31	VYDAJ	VYBER	15	15747	SLUZBY	\N	\N
1310904	4476	1997-02-28	VYDAJ	VYBER	15	20438	SLUZBY	\N	\N
1310905	4476	1997-03-31	VYDAJ	VYBER	15	21729	SLUZBY	\N	\N
1310906	4476	1997-04-30	VYDAJ	VYBER	15	23263	SLUZBY	\N	\N
1310907	4476	1997-05-31	VYDAJ	VYBER	15	26468	SLUZBY	\N	\N
1310908	4476	1997-06-30	VYDAJ	VYBER	15	23026	SLUZBY	\N	\N
1310909	4476	1997-07-31	VYDAJ	VYBER	15	24926	SLUZBY	\N	\N
1310910	4476	1997-08-31	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
1310911	4476	1997-09-30	VYDAJ	VYBER	15	23981	SLUZBY	\N	\N
1310912	4476	1997-10-31	VYDAJ	VYBER	15	22582	SLUZBY	\N	\N
1310913	4476	1997-11-30	VYDAJ	VYBER	15	18623	SLUZBY	\N	\N
1310914	4476	1997-12-31	VYDAJ	VYBER	15	24207	SLUZBY	\N	\N
1310915	4476	1998-01-31	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
1310916	4476	1998-02-28	VYDAJ	VYBER	15	17411	SLUZBY	\N	\N
1310917	4476	1998-03-31	VYDAJ	VYBER	15	18485	SLUZBY	\N	\N
1310918	4476	1998-04-30	VYDAJ	VYBER	15	21338	SLUZBY	\N	\N
1310919	4476	1998-05-31	VYDAJ	VYBER	15	17521	SLUZBY	\N	\N
1310920	4476	1998-06-30	VYDAJ	VYBER	15	18781	SLUZBY	\N	\N
1310921	4476	1998-07-31	VYDAJ	VYBER	15	15253	SLUZBY	\N	\N
1310922	4476	1998-08-31	VYDAJ	VYBER	15	21823	SLUZBY	\N	\N
1310923	4476	1998-09-30	VYDAJ	VYBER	15	17804	SLUZBY	\N	\N
1310924	4476	1998-10-31	VYDAJ	VYBER	15	18208	SLUZBY	\N	\N
1310925	4476	1998-11-30	VYDAJ	VYBER	15	17111	SLUZBY	\N	\N
1310926	4476	1994-12-10	PRIJEM	VKLAD	2600	24613	\N	\N	\N
1310927	4476	1995-01-09	VYDAJ	VYBER	6700	32328	\N	\N	\N
1310928	4476	1995-02-08	VYDAJ	VYBER	14000	32796	\N	\N	\N
1310929	4476	1995-03-10	VYDAJ	VYBER	13100	34174	\N	\N	\N
1310930	4476	1995-04-09	VYDAJ	VYBER	12600	29259	\N	\N	\N
1310931	4476	1995-05-09	VYDAJ	VYBER	4300	25759	\N	\N	\N
1310932	4476	1995-06-08	VYDAJ	VYBER	6000	31847	\N	\N	\N
1310933	4476	1995-07-08	VYDAJ	VYBER	7100	28476	\N	\N	\N
1310934	4476	1995-08-07	VYDAJ	VYBER	6600	31617	\N	\N	\N
1310935	4476	1995-09-06	VYDAJ	VYBER	6700	31651	\N	\N	\N
1310936	4476	1995-10-06	VYDAJ	VYBER	9400	31781	\N	\N	\N
1310937	4476	1995-11-05	VYDAJ	VYBER	8000	29924	\N	\N	\N
1310938	4476	1995-12-05	VYDAJ	VYBER	8200	35608	\N	\N	\N
1310939	4476	1996-01-04	PRIJEM	VKLAD	300	23917	\N	\N	\N
1310940	4476	1996-02-03	PRIJEM	VKLAD	5000	19343	\N	\N	\N
1310941	4476	1996-03-04	VYDAJ	VYBER	3100	21764	\N	\N	\N
1310942	4476	1996-04-03	VYDAJ	VYBER	3500	25001	\N	\N	\N
1310943	4476	1996-05-03	VYDAJ	VYBER	6100	25651	\N	\N	\N
1310944	4476	1996-06-02	VYDAJ	VYBER	7200	24905	\N	\N	\N
1310945	4476	1996-07-02	VYDAJ	VYBER	12100	25953	\N	\N	\N
1310946	4476	1996-08-01	VYDAJ	VYBER	9200	23613	\N	\N	\N
1310947	4476	1996-08-31	VYDAJ	VYBER	10400	20460	\N	\N	\N
1310948	4476	1996-09-30	VYDAJ	VYBER	2900	14540	\N	\N	\N
1310949	4476	1996-10-30	VYDAJ	VYBER	3800	17225	\N	\N	\N
1310950	4476	1996-11-29	VYDAJ	VYBER	3900	19893	\N	\N	\N
1310951	4476	1996-12-29	VYDAJ	VYBER	7800	20243	\N	\N	\N
1310952	4476	1997-01-28	PRIJEM	VKLAD	1200	18803	\N	\N	\N
1310953	4476	1997-02-27	VYDAJ	VYBER	800	20366	\N	\N	\N
1310954	4476	1997-03-29	VYDAJ	VYBER	5300	21637	\N	\N	\N
1310955	4476	1997-04-28	VYDAJ	VYBER	2300	23168	\N	\N	\N
1310956	4476	1997-05-28	VYDAJ	VYBER	3400	26362	\N	\N	\N
1310957	4476	1997-06-27	VYDAJ	VYBER	2500	22918	\N	\N	\N
1310958	4476	1997-07-27	VYDAJ	VYBER	4700	24825	\N	\N	\N
1310959	4476	1997-08-26	VYDAJ	VYBER	8000	23425	\N	\N	\N
1310960	4476	1997-09-25	VYDAJ	VYBER	1100	23890	\N	\N	\N
1310961	4476	1997-10-25	VYDAJ	VYBER	8000	22480	\N	\N	\N
1310962	4476	1997-11-24	VYDAJ	VYBER	4900	18541	\N	\N	\N
1310963	4476	1997-12-24	VYDAJ	VYBER	4500	24113	\N	\N	\N
1310964	4476	1998-03-24	VYDAJ	VYBER	5500	18410	\N	\N	\N
1310965	4476	1998-05-23	VYDAJ	VYBER	10400	17437	\N	\N	\N
1310966	4476	1998-06-22	VYDAJ	VYBER	12500	18691	\N	\N	\N
1310967	4476	1998-07-22	VYDAJ	VYBER	10100	15180	\N	\N	\N
1310968	4476	1998-09-20	VYDAJ	VYBER	10600	17722	\N	\N	\N
1310969	4476	1998-10-20	VYDAJ	VYBER	6300	18636	\N	\N	\N
1310970	4476	1998-11-19	VYDAJ	VYBER	7800	17540	\N	\N	\N
1311239	4478	1993-07-23	PRIJEM	VKLAD	800	800	\N	\N	\N
1311247	4478	1993-08-13	PRIJEM	VKLAD	24248	25048	\N	\N	\N
1311248	4478	1993-09-13	PRIJEM	VKLAD	24248	48729	\N	\N	\N
1311249	4478	1993-10-13	PRIJEM	VKLAD	24248	59994	\N	\N	\N
1311250	4478	1993-11-13	PRIJEM	VKLAD	24248	65799	\N	\N	\N
1311251	4478	1993-12-13	PRIJEM	VKLAD	36372	82050	\N	\N	\N
1311252	4478	1994-01-13	PRIJEM	VKLAD	24248	71589	\N	\N	\N
1311253	4478	1994-02-13	PRIJEM	VKLAD	24248	68842	\N	\N	\N
1311254	4478	1994-03-13	PRIJEM	VKLAD	24248	71565	\N	\N	\N
1311255	4478	1994-04-13	PRIJEM	VKLAD	24248	70894	\N	\N	\N
1311256	4478	1994-05-13	PRIJEM	VKLAD	24248	71423	\N	\N	\N
1311257	4478	1994-06-13	PRIJEM	VKLAD	36372	82875	\N	\N	\N
1311258	4478	1994-07-13	PRIJEM	VKLAD	24248	58604	\N	\N	\N
1311259	4478	1994-08-13	PRIJEM	VKLAD	24248	67496	\N	\N	\N
1311260	4478	1994-09-13	PRIJEM	VKLAD	24248	66808	\N	\N	\N
1311261	4478	1994-10-13	PRIJEM	VKLAD	24248	68625	\N	\N	\N
1311262	4478	1994-11-13	PRIJEM	VKLAD	24248	70153	\N	\N	\N
1311263	4478	1994-12-13	PRIJEM	VKLAD	36372	78897	\N	\N	\N
1311264	4478	1995-01-13	PRIJEM	VKLAD	24248	67231	\N	\N	\N
1311265	4478	1995-02-13	PRIJEM	VKLAD	24248	62949	\N	\N	\N
1311266	4478	1995-03-13	PRIJEM	VKLAD	24248	67455	\N	\N	\N
1311267	4478	1995-04-13	PRIJEM	VKLAD	24248	68570	\N	\N	\N
1311268	4478	1995-05-13	PRIJEM	VKLAD	24248	70091	\N	\N	\N
1311269	4478	1995-06-13	PRIJEM	VKLAD	36372	79933	\N	\N	\N
1311270	4478	1995-07-13	PRIJEM	VKLAD	24248	43447	\N	\N	\N
1311271	4478	1995-08-13	PRIJEM	VKLAD	24248	48293	\N	\N	\N
1311272	4478	1995-09-13	PRIJEM	VKLAD	24248	57099	\N	\N	\N
1311273	4478	1995-10-13	PRIJEM	VKLAD	24248	61455	\N	\N	\N
1311274	4478	1995-11-13	PRIJEM	VKLAD	24248	63737	\N	\N	\N
1311275	4478	1995-12-13	PRIJEM	VKLAD	36372	78756	\N	\N	\N
1311276	4478	1996-01-13	PRIJEM	VKLAD	24248	68472	\N	\N	\N
1311277	4478	1996-02-13	PRIJEM	VKLAD	24248	66672	\N	\N	\N
1311278	4478	1996-03-13	PRIJEM	VKLAD	24248	70064	\N	\N	\N
1311279	4478	1996-04-13	PRIJEM	VKLAD	24248	72283	\N	\N	\N
1311280	4478	1996-05-13	PRIJEM	VKLAD	24248	71913	\N	\N	\N
1311281	4478	1996-06-13	PRIJEM	VKLAD	36372	76160	\N	\N	\N
1311282	4478	1996-07-13	PRIJEM	VKLAD	24248	75888	\N	\N	\N
1311283	4478	1996-08-13	PRIJEM	VKLAD	24248	75934	\N	\N	\N
1311284	4478	1996-09-13	PRIJEM	VKLAD	24248	76580	\N	\N	\N
1311285	4478	1996-10-13	PRIJEM	VKLAD	24248	80029	\N	\N	\N
1311286	4478	1996-11-13	PRIJEM	VKLAD	24248	79685	\N	\N	\N
1311287	4478	1996-12-13	PRIJEM	VKLAD	36372	94349	\N	\N	\N
1311288	4478	1997-01-13	PRIJEM	VKLAD	24248	90950	\N	\N	\N
1311289	4478	1997-02-13	PRIJEM	VKLAD	24248	89018	\N	\N	\N
1311290	4478	1997-03-13	PRIJEM	VKLAD	24248	86210	\N	\N	\N
1311291	4478	1997-04-13	PRIJEM	VKLAD	24248	82972	\N	\N	\N
1311292	4478	1997-05-13	PRIJEM	VKLAD	24248	87054	\N	\N	\N
1311293	4478	1997-06-13	PRIJEM	VKLAD	36372	97057	\N	\N	\N
1311294	4478	1997-07-13	PRIJEM	VKLAD	24248	82542	\N	\N	\N
1311295	4478	1997-08-13	PRIJEM	VKLAD	24248	80513	\N	\N	\N
1311296	4478	1997-09-13	PRIJEM	VKLAD	24248	81468	\N	\N	\N
1311297	4478	1997-10-13	PRIJEM	VKLAD	24248	86139	\N	\N	\N
1311298	4478	1997-11-13	PRIJEM	VKLAD	24248	91305	\N	\N	\N
1311299	4478	1997-12-13	PRIJEM	VKLAD	36372	102437	\N	\N	\N
1311300	4478	1998-01-13	PRIJEM	VKLAD	24248	87923	\N	\N	\N
1311301	4478	1998-02-13	PRIJEM	VKLAD	24248	72059	\N	\N	\N
1311302	4478	1998-03-13	PRIJEM	VKLAD	24248	80850	\N	\N	\N
1311303	4478	1998-04-13	PRIJEM	VKLAD	24248	82014	\N	\N	\N
1311304	4478	1998-05-13	PRIJEM	VKLAD	24248	86484	\N	\N	\N
1311305	4478	1998-06-13	PRIJEM	VKLAD	36372	97431	\N	\N	\N
1311306	4478	1998-07-13	PRIJEM	VKLAD	24248	80620	\N	\N	\N
1311307	4478	1998-08-13	PRIJEM	VKLAD	24248	80082	\N	\N	\N
1311308	4478	1998-09-13	PRIJEM	VKLAD	24248	80743	\N	\N	\N
1311309	4478	1998-10-13	PRIJEM	VKLAD	24248	84408	\N	\N	\N
1311310	4478	1998-11-13	PRIJEM	VKLAD	24248	81683	\N	\N	\N
1311311	4478	1998-12-13	PRIJEM	VKLAD	36372	90772	\N	\N	\N
1311385	4478	1994-06-26	VYDAJ	VYBER	17100	34175	\N	\N	\N
1311386	4478	1995-06-20	VYDAJ	VYBER	27600	20333	\N	\N	\N
1311387	4478	1996-06-10	VYDAJ	VYBER	11400	39788	\N	\N	\N
1311388	4478	1997-06-19	VYDAJ	VYBER	16100	80957	\N	\N	\N
1311389	4478	1998-06-22	VYDAJ	VYBER	21600	75831	\N	\N	\N
1311391	4478	1994-01-06	VYDAJ	VYBER	5600	48441	\N	\N	\N
1311392	4478	1995-01-09	VYDAJ	VYBER	1000	47283	\N	\N	\N
1311393	4478	1996-01-14	VYDAJ	VYBER	7100	61372	\N	\N	\N
1311394	4478	1997-01-22	VYDAJ	VYBER	1500	86850	\N	\N	\N
1311395	4478	1998-01-22	VYDAJ	VYBER	7000	77623	\N	\N	\N
1311397	4478	1994-12-21	VYDAJ	VYBER	1000	48097	\N	\N	\N
1311398	4478	1995-12-18	VYDAJ	VYBER	1900	72856	\N	\N	\N
1311399	4478	1996-12-23	VYDAJ	VYBER	700	93649	\N	\N	\N
1311400	4478	1997-12-12	VYDAJ	VYBER	1800	66065	\N	\N	\N
1311401	4478	1998-12-05	VYDAJ	VYBER	2200	54400	\N	\N	\N
1311408	4478	1994-01-12	VYDAJ	VYBER	600	47341	\N	\N	\N
1311409	4478	1994-01-30	VYDAJ	VYBER	800	44389	\N	\N	\N
1311410	4478	1994-01-02	VYDAJ	VYBER	1800	54041	\N	\N	\N
1311411	4478	1994-01-20	VYDAJ	VYBER	2600	45189	\N	\N	\N
1311412	4478	1994-01-09	VYDAJ	VYBER	500	47941	\N	\N	\N
1311413	4478	1994-01-16	VYDAJ	VYBER	1500	70089	\N	\N	\N
1311414	4478	1995-01-11	VYDAJ	VYBER	2800	44483	\N	\N	\N
1311415	4478	1995-01-15	VYDAJ	VYBER	1000	43031	\N	\N	\N
1311416	4478	1995-01-11	VYDAJ	VYBER	1500	42983	\N	\N	\N
1311417	4478	1995-01-19	VYDAJ	VYBER	1000	42031	\N	\N	\N
1311418	4478	1995-01-21	VYDAJ	VYBER	2500	39531	\N	\N	\N
1311419	4478	1995-01-14	VYDAJ	VYBER	2000	44031	\N	\N	\N
1311420	4478	1996-01-22	VYDAJ	VYBER	2000	58372	\N	\N	\N
1311421	4478	1996-01-03	VYDAJ	VYBER	2200	70924	\N	\N	\N
1311422	4478	1996-01-19	VYDAJ	VYBER	1000	60372	\N	\N	\N
1311423	4478	1996-01-28	VYDAJ	VYBER	600	56472	\N	\N	\N
1311424	4478	1996-01-25	VYDAJ	VYBER	1300	57072	\N	\N	\N
1311425	4478	1996-01-09	VYDAJ	VYBER	2700	68224	\N	\N	\N
1311426	4478	1997-01-07	VYDAJ	VYBER	1900	66702	\N	\N	\N
1311427	4478	1997-01-26	VYDAJ	VYBER	2300	83350	\N	\N	\N
1311428	4478	1997-01-02	VYDAJ	VYBER	2900	91102	\N	\N	\N
1311429	4478	1997-01-18	VYDAJ	VYBER	1100	88350	\N	\N	\N
1311430	4478	1997-01-23	VYDAJ	VYBER	1200	85650	\N	\N	\N
1311431	4478	1997-01-18	VYDAJ	VYBER	1500	89450	\N	\N	\N
1311432	4478	1998-01-06	VYDAJ	VYBER	700	66275	\N	\N	\N
1311433	4478	1998-01-25	VYDAJ	VYBER	2800	74823	\N	\N	\N
1311434	4478	1998-01-04	VYDAJ	VYBER	1200	66975	\N	\N	\N
1311435	4478	1998-01-07	VYDAJ	VYBER	2600	63675	\N	\N	\N
1311436	4478	1998-01-27	VYDAJ	VYBER	2900	71923	\N	\N	\N
1311437	4478	1998-01-28	VYDAJ	VYBER	1600	70323	\N	\N	\N
1311444	4478	1994-12-10	VYDAJ	VYBER	600	42525	\N	\N	\N
1311445	4478	1994-09-15	VYDAJ	VYBER	1600	65208	\N	\N	\N
1311446	4478	1994-06-17	VYDAJ	VYBER	2200	80675	\N	\N	\N
1311447	4478	1994-08-18	VYDAJ	VYBER	700	42396	\N	\N	\N
1311448	4478	1994-10-16	VYDAJ	VYBER	3200	45725	\N	\N	\N
1311449	4478	1994-11-19	VYDAJ	VYBER	3500	42953	\N	\N	\N
1311450	4478	1995-07-07	VYDAJ	VYBER	1300	19199	\N	\N	\N
1311451	4478	1995-12-18	VYDAJ	VYBER	4000	74756	\N	\N	\N
1311452	4478	1995-12-06	VYDAJ	VYBER	2000	61984	\N	\N	\N
1311453	4478	1995-02-11	VYDAJ	VYBER	1000	38701	\N	\N	\N
1311454	4478	1996-05-10	VYDAJ	VYBER	4600	47665	\N	\N	\N
1311455	4478	1996-09-28	VYDAJ	VYBER	1900	74680	\N	\N	\N
1311456	4478	1996-07-15	VYDAJ	VYBER	1400	74488	\N	\N	\N
1311457	4478	1996-11-06	VYDAJ	VYBER	1200	55437	\N	\N	\N
1311458	4478	1997-08-12	VYDAJ	VYBER	4500	56265	\N	\N	\N
1311459	4478	1997-03-01	VYDAJ	VYBER	3300	86062	\N	\N	\N
1311460	4478	1997-08-15	VYDAJ	VYBER	3500	77013	\N	\N	\N
1311461	4478	1997-05-24	VYDAJ	VYBER	1700	82854	\N	\N	\N
1311462	4478	1997-05-14	VYDAJ	VYBER	2500	84554	\N	\N	\N
1311463	4478	1998-02-04	VYDAJ	VYBER	3700	52411	\N	\N	\N
1311464	4478	1998-05-15	VYDAJ	VYBER	3300	83184	\N	\N	\N
1311465	4478	1998-02-10	VYDAJ	VYBER	4600	47811	\N	\N	\N
1311466	4478	1998-01-17	VYDAJ	VYBER	3300	84623	\N	\N	\N
1311467	4478	1998-08-29	VYDAJ	VYBER	3800	56282	\N	\N	\N
1311468	4478	1998-10-29	VYDAJ	VYBER	1900	57208	\N	\N	\N
1311481	4478	1993-12-31	VYDAJ	VYBER	15	55841	SLUZBY	\N	\N
1311482	4478	1994-01-31	VYDAJ	VYBER	15	44594	SLUZBY	\N	\N
1311483	4478	1994-02-28	VYDAJ	VYBER	15	47317	SLUZBY	\N	\N
1311484	4478	1994-03-31	VYDAJ	VYBER	15	46646	SLUZBY	\N	\N
1311485	4478	1994-04-30	VYDAJ	VYBER	15	47175	SLUZBY	\N	\N
1311486	4478	1994-05-31	VYDAJ	VYBER	15	46503	SLUZBY	\N	\N
1311487	4478	1994-06-30	VYDAJ	VYBER	15	34356	SLUZBY	\N	\N
1311488	4478	1994-07-31	VYDAJ	VYBER	15	43248	SLUZBY	\N	\N
1311489	4478	1994-08-31	VYDAJ	VYBER	15	42560	SLUZBY	\N	\N
1311490	4478	1994-09-30	VYDAJ	VYBER	15	44377	SLUZBY	\N	\N
1311491	4478	1994-10-31	VYDAJ	VYBER	15	45905	SLUZBY	\N	\N
1311492	4478	1994-11-30	VYDAJ	VYBER	15	43125	SLUZBY	\N	\N
1311493	4478	1994-12-31	VYDAJ	VYBER	15	48283	SLUZBY	\N	\N
1311494	4478	1995-01-31	VYDAJ	VYBER	15	39701	SLUZBY	\N	\N
1311495	4478	1995-02-28	VYDAJ	VYBER	15	43207	SLUZBY	\N	\N
1311496	4478	1995-03-31	VYDAJ	VYBER	15	44322	SLUZBY	\N	\N
1311497	4478	1995-04-30	VYDAJ	VYBER	15	45843	SLUZBY	\N	\N
1311498	4478	1995-05-31	VYDAJ	VYBER	15	43561	SLUZBY	\N	\N
1311499	4478	1995-06-30	VYDAJ	VYBER	15	20499	SLUZBY	\N	\N
1311500	4478	1995-07-31	VYDAJ	VYBER	15	31445	SLUZBY	\N	\N
1311501	4478	1995-08-31	VYDAJ	VYBER	15	48451	SLUZBY	\N	\N
1311502	4478	1995-09-30	VYDAJ	VYBER	15	57307	SLUZBY	\N	\N
1311503	4478	1995-10-31	VYDAJ	VYBER	15	61689	SLUZBY	\N	\N
1311504	4478	1995-11-30	VYDAJ	VYBER	15	63984	SLUZBY	\N	\N
1311505	4478	1995-12-31	VYDAJ	VYBER	15	73124	SLUZBY	\N	\N
1311506	4478	1996-01-31	VYDAJ	VYBER	15	56724	SLUZBY	\N	\N
1311507	4478	1996-02-29	VYDAJ	VYBER	15	66916	SLUZBY	\N	\N
1311508	4478	1996-03-31	VYDAJ	VYBER	15	70335	SLUZBY	\N	\N
1311509	4478	1996-04-30	VYDAJ	VYBER	15	72565	SLUZBY	\N	\N
1311510	4478	1996-05-31	VYDAJ	VYBER	15	72188	SLUZBY	\N	\N
1311511	4478	1996-06-30	VYDAJ	VYBER	15	76440	SLUZBY	\N	\N
1311512	4478	1996-07-31	VYDAJ	VYBER	15	74786	SLUZBY	\N	\N
1311513	4478	1996-08-31	VYDAJ	VYBER	15	76232	SLUZBY	\N	\N
1311514	4478	1996-09-30	VYDAJ	VYBER	15	74981	SLUZBY	\N	\N
1311515	4478	1996-10-31	VYDAJ	VYBER	15	80337	SLUZBY	\N	\N
1311516	4478	1996-11-30	VYDAJ	VYBER	15	79977	SLUZBY	\N	\N
1311517	4478	1996-12-31	VYDAJ	VYBER	15	94002	SLUZBY	\N	\N
1311518	4478	1997-01-31	VYDAJ	VYBER	15	83670	SLUZBY	\N	\N
1311519	4478	1997-02-28	VYDAJ	VYBER	15	89362	SLUZBY	\N	\N
1311520	4478	1997-03-31	VYDAJ	VYBER	15	86524	SLUZBY	\N	\N
1311521	4478	1997-04-30	VYDAJ	VYBER	15	83306	SLUZBY	\N	\N
1311522	4478	1997-05-31	VYDAJ	VYBER	15	83185	SLUZBY	\N	\N
1311523	4478	1997-06-30	VYDAJ	VYBER	15	81294	SLUZBY	\N	\N
1311524	4478	1997-07-31	VYDAJ	VYBER	15	82865	SLUZBY	\N	\N
1311525	4478	1997-08-31	VYDAJ	VYBER	15	57220	SLUZBY	\N	\N
1311526	4478	1997-09-30	VYDAJ	VYBER	15	81691	SLUZBY	\N	\N
1311527	4478	1997-10-31	VYDAJ	VYBER	15	67057	SLUZBY	\N	\N
1311528	4478	1997-11-30	VYDAJ	VYBER	15	67865	SLUZBY	\N	\N
1311529	4478	1997-12-31	VYDAJ	VYBER	15	68175	SLUZBY	\N	\N
1311530	4478	1998-01-31	VYDAJ	VYBER	15	56111	SLUZBY	\N	\N
1311531	4478	1998-02-28	VYDAJ	VYBER	15	56602	SLUZBY	\N	\N
1311532	4478	1998-03-31	VYDAJ	VYBER	15	57766	SLUZBY	\N	\N
1311533	4478	1998-04-30	VYDAJ	VYBER	15	62236	SLUZBY	\N	\N
1311534	4478	1998-05-31	VYDAJ	VYBER	15	61059	SLUZBY	\N	\N
1311535	4478	1998-06-30	VYDAJ	VYBER	15	56372	SLUZBY	\N	\N
1311536	4478	1998-07-31	VYDAJ	VYBER	15	55834	SLUZBY	\N	\N
1311537	4478	1998-08-31	VYDAJ	VYBER	15	56495	SLUZBY	\N	\N
1311538	4478	1998-09-30	VYDAJ	VYBER	15	60160	SLUZBY	\N	\N
1311539	4478	1998-10-31	VYDAJ	VYBER	15	57435	SLUZBY	\N	\N
1311540	4478	1998-11-30	VYDAJ	VYBER	15	56600	SLUZBY	\N	\N
1311541	4478	1993-08-22	VYDAJ	VYBER	600	24448	\N	\N	\N
1311542	4478	1993-09-21	VYDAJ	VYBER	13100	35629	\N	\N	\N
1311543	4478	1993-10-21	VYDAJ	VYBER	18600	41394	\N	\N	\N
1311544	4478	1993-11-20	VYDAJ	VYBER	20300	45499	\N	\N	\N
1311545	4478	1993-12-20	VYDAJ	VYBER	26400	55650	\N	\N	\N
1311546	4478	1994-01-19	VYDAJ	VYBER	22300	47789	\N	\N	\N
1311547	4478	1994-02-18	VYDAJ	VYBER	21700	47142	\N	\N	\N
1311548	4478	1994-03-20	VYDAJ	VYBER	25100	46465	\N	\N	\N
1311549	4478	1994-04-19	VYDAJ	VYBER	23900	46994	\N	\N	\N
1311550	4478	1994-05-19	VYDAJ	VYBER	25100	46323	\N	\N	\N
1311551	4478	1994-06-18	VYDAJ	VYBER	29400	51275	\N	\N	\N
1311552	4478	1994-07-18	VYDAJ	VYBER	15500	43104	\N	\N	\N
1311553	4478	1994-08-17	VYDAJ	VYBER	24400	43096	\N	\N	\N
1311554	4478	1994-09-16	VYDAJ	VYBER	21000	44208	\N	\N	\N
1311555	4478	1994-10-16	VYDAJ	VYBER	19700	48925	\N	\N	\N
1311556	4478	1994-11-15	VYDAJ	VYBER	23700	46453	\N	\N	\N
1311557	4478	1994-12-15	VYDAJ	VYBER	29800	49097	\N	\N	\N
1311558	4478	1995-01-14	VYDAJ	VYBER	21200	46031	\N	\N	\N
1311559	4478	1995-02-13	VYDAJ	VYBER	19900	43049	\N	\N	\N
1311560	4478	1995-03-15	VYDAJ	VYBER	23300	44155	\N	\N	\N
1311561	4478	1995-04-14	VYDAJ	VYBER	22900	45670	\N	\N	\N
1311562	4478	1995-05-14	VYDAJ	VYBER	26700	43391	\N	\N	\N
1311563	4478	1995-06-13	VYDAJ	VYBER	32000	47933	\N	\N	\N
1311564	4478	1995-07-13	VYDAJ	VYBER	12100	31347	\N	\N	\N
1311565	4478	1995-08-12	VYDAJ	VYBER	7400	24045	\N	\N	\N
1311566	4478	1995-09-11	VYDAJ	VYBER	15600	32851	\N	\N	\N
1311567	4478	1995-10-11	VYDAJ	VYBER	20100	37207	\N	\N	\N
1311568	4478	1995-11-10	VYDAJ	VYBER	22200	39489	\N	\N	\N
1311569	4478	1995-12-10	VYDAJ	VYBER	19600	42384	\N	\N	\N
1311570	4478	1996-01-09	VYDAJ	VYBER	24000	44224	\N	\N	\N
1311571	4478	1996-02-08	VYDAJ	VYBER	14300	42424	\N	\N	\N
1311572	4478	1996-03-09	VYDAJ	VYBER	21100	45816	\N	\N	\N
1311573	4478	1996-04-08	VYDAJ	VYBER	22300	48035	\N	\N	\N
1311574	4478	1996-05-08	VYDAJ	VYBER	20300	52265	\N	\N	\N
1311575	4478	1996-06-07	VYDAJ	VYBER	21000	51188	\N	\N	\N
1311576	4478	1996-07-07	VYDAJ	VYBER	24800	51640	\N	\N	\N
1311577	4478	1996-08-06	VYDAJ	VYBER	23100	51686	\N	\N	\N
1311578	4478	1996-09-05	VYDAJ	VYBER	23900	52332	\N	\N	\N
1311579	4478	1996-10-05	VYDAJ	VYBER	19200	55781	\N	\N	\N
1311580	4478	1996-11-04	VYDAJ	VYBER	23700	56637	\N	\N	\N
1311581	4478	1996-12-04	VYDAJ	VYBER	22000	57977	\N	\N	\N
1311582	4478	1997-01-03	VYDAJ	VYBER	22500	68602	\N	\N	\N
1311583	4478	1997-02-02	VYDAJ	VYBER	18900	64770	\N	\N	\N
1311584	4478	1997-03-04	VYDAJ	VYBER	24100	61962	\N	\N	\N
1311585	4478	1997-04-03	VYDAJ	VYBER	27800	58724	\N	\N	\N
1311586	4478	1997-05-03	VYDAJ	VYBER	20500	62806	\N	\N	\N
1311587	4478	1997-06-02	VYDAJ	VYBER	22500	60685	\N	\N	\N
1311588	4478	1997-07-02	VYDAJ	VYBER	23000	58294	\N	\N	\N
1311589	4478	1997-08-01	VYDAJ	VYBER	22100	60765	\N	\N	\N
1311590	4478	1997-08-31	VYDAJ	VYBER	20100	57235	\N	\N	\N
1311591	4478	1997-09-30	VYDAJ	VYBER	19800	61891	\N	\N	\N
1311592	4478	1997-10-30	VYDAJ	VYBER	19400	66739	\N	\N	\N
1311593	4478	1997-11-29	VYDAJ	VYBER	23700	67605	\N	\N	\N
1311594	4478	1997-12-29	VYDAJ	VYBER	34600	67837	\N	\N	\N
1311595	4478	1998-01-28	VYDAJ	VYBER	14500	55823	\N	\N	\N
1311596	4478	1998-02-27	VYDAJ	VYBER	15700	56359	\N	\N	\N
1311597	4478	1998-03-29	VYDAJ	VYBER	23300	57550	\N	\N	\N
1311598	4478	1998-04-28	VYDAJ	VYBER	20000	62014	\N	\N	\N
1311599	4478	1998-05-28	VYDAJ	VYBER	22400	60784	\N	\N	\N
1311600	4478	1998-06-27	VYDAJ	VYBER	19700	56131	\N	\N	\N
1311601	4478	1998-07-27	VYDAJ	VYBER	25000	55620	\N	\N	\N
1311602	4478	1998-08-26	VYDAJ	VYBER	20000	60082	\N	\N	\N
1311603	4478	1998-09-25	VYDAJ	VYBER	20800	59943	\N	\N	\N
1311604	4478	1998-10-25	VYDAJ	VYBER	25300	59108	\N	\N	\N
1311605	4478	1998-11-24	VYDAJ	VYBER	25300	56383	\N	\N	\N
1311976	4480	1996-08-19	PRIJEM	VKLAD	200	200	\N	\N	\N
1311985	4480	1996-09-13	PRIJEM	VKLAD	7716	7916	\N	\N	\N
1311986	4480	1996-10-13	PRIJEM	VKLAD	7716	22158	\N	\N	\N
1311987	4480	1996-11-13	PRIJEM	VKLAD	7716	30550	\N	\N	\N
1311988	4480	1996-12-13	PRIJEM	VKLAD	11574	36823	\N	\N	\N
1311989	4480	1997-01-13	PRIJEM	VKLAD	7716	35950	\N	\N	\N
1311990	4480	1997-02-13	PRIJEM	VKLAD	7716	26356	\N	\N	\N
1311991	4480	1997-03-13	PRIJEM	VKLAD	7716	30443	\N	\N	\N
1311992	4480	1997-04-13	PRIJEM	VKLAD	7716	26736	\N	\N	\N
1311993	4480	1997-05-13	PRIJEM	VKLAD	7716	27827	\N	\N	\N
1311994	4480	1997-06-13	PRIJEM	VKLAD	11574	29883	\N	\N	\N
1311995	4480	1997-07-13	PRIJEM	VKLAD	7716	13851	\N	\N	\N
1311996	4480	1997-08-13	PRIJEM	VKLAD	7716	24001	\N	\N	\N
1311997	4480	1997-09-13	PRIJEM	VKLAD	7716	29082	\N	\N	\N
1311998	4480	1997-10-13	PRIJEM	VKLAD	7716	32391	\N	\N	\N
1311999	4480	1997-11-13	PRIJEM	VKLAD	7716	28794	\N	\N	\N
1312000	4480	1997-12-13	PRIJEM	VKLAD	11574	33766	\N	\N	\N
1312001	4480	1998-01-13	PRIJEM	VKLAD	7716	33200	\N	\N	\N
1312002	4480	1998-02-13	PRIJEM	VKLAD	7716	25912	\N	\N	\N
1312003	4480	1998-03-13	PRIJEM	VKLAD	7716	28298	\N	\N	\N
1312004	4480	1998-04-13	PRIJEM	VKLAD	7716	31414	\N	\N	\N
1312005	4480	1998-05-13	PRIJEM	VKLAD	7716	34741	\N	\N	\N
1312006	4480	1998-06-13	PRIJEM	VKLAD	11574	42740	\N	\N	\N
1312007	4480	1998-07-13	PRIJEM	VKLAD	7716	30659	\N	\N	\N
1312008	4480	1998-08-13	PRIJEM	VKLAD	7716	32874	\N	\N	\N
1312009	4480	1998-09-13	PRIJEM	VKLAD	7716	36809	\N	\N	\N
1312010	4480	1998-10-13	PRIJEM	VKLAD	7716	38957	\N	\N	\N
1312011	4480	1998-11-13	PRIJEM	VKLAD	7716	40717	\N	\N	\N
1312012	4480	1998-12-13	PRIJEM	VKLAD	11574	42443	\N	\N	\N
1312014	4480	1997-06-17	VYDAJ	VYBER	20200	6083	\N	\N	\N
1312015	4480	1998-06-15	VYDAJ	VYBER	20500	22240	\N	\N	\N
1312017	4480	1997-01-22	VYDAJ	VYBER	1900	22050	\N	\N	\N
1312018	4480	1998-01-17	VYDAJ	VYBER	5400	27800	\N	\N	\N
1312020	4480	1997-12-03	VYDAJ	VYBER	2000	26892	\N	\N	\N
1312021	4480	1998-12-12	VYDAJ	VYBER	900	30869	\N	\N	\N
1312029	4480	1997-01-17	VYDAJ	VYBER	800	25850	\N	\N	\N
1312030	4480	1997-01-29	VYDAJ	VYBER	1100	18550	\N	\N	\N
1312031	4480	1997-01-21	VYDAJ	VYBER	1900	23950	\N	\N	\N
1312032	4480	1997-01-25	VYDAJ	VYBER	2400	19650	\N	\N	\N
1312034	4480	1998-01-18	VYDAJ	VYBER	2500	25300	\N	\N	\N
1312035	4480	1998-01-25	VYDAJ	VYBER	2900	17300	\N	\N	\N
1312036	4480	1998-01-28	VYDAJ	VYBER	2100	12800	\N	\N	\N
1312037	4480	1998-01-23	VYDAJ	VYBER	2200	20200	\N	\N	\N
1312038	4480	1998-01-27	VYDAJ	VYBER	2400	14900	\N	\N	\N
1312039	4480	1998-01-21	VYDAJ	VYBER	2900	22400	\N	\N	\N
1312045	4480	1997-04-02	VYDAJ	VYBER	2100	19020	\N	\N	\N
1312046	4480	1997-03-18	VYDAJ	VYBER	4000	21043	\N	\N	\N
1312047	4480	1997-06-08	VYDAJ	VYBER	4900	18309	\N	\N	\N
1312048	4480	1997-01-16	VYDAJ	VYBER	3400	32550	\N	\N	\N
1312049	4480	1997-06-07	VYDAJ	VYBER	3100	23209	\N	\N	\N
1312050	4480	1997-04-20	VYDAJ	VYBER	2100	20036	\N	\N	\N
1312051	4480	1998-12-30	VYDAJ	VYBER	3300	33543	\N	\N	\N
1312052	4480	1998-12-28	VYDAJ	VYBER	1700	36843	\N	\N	\N
1312053	4480	1998-06-09	VYDAJ	VYBER	2300	32566	\N	\N	\N
1312054	4480	1998-12-16	VYDAJ	VYBER	3900	38543	\N	\N	\N
1312068	4480	1997-01-31	VYDAJ	VYBER	15	18640	SLUZBY	\N	\N
1312069	4480	1997-02-28	VYDAJ	VYBER	15	22727	SLUZBY	\N	\N
1312070	4480	1997-03-31	VYDAJ	VYBER	15	21120	SLUZBY	\N	\N
1312071	4480	1997-04-30	VYDAJ	VYBER	15	20111	SLUZBY	\N	\N
1312072	4480	1997-05-31	VYDAJ	VYBER	15	26309	SLUZBY	\N	\N
1312073	4480	1997-06-30	VYDAJ	VYBER	15	6135	SLUZBY	\N	\N
1312074	4480	1997-07-31	VYDAJ	VYBER	15	16285	SLUZBY	\N	\N
1312075	4480	1997-08-31	VYDAJ	VYBER	15	21366	SLUZBY	\N	\N
1312076	4480	1997-09-30	VYDAJ	VYBER	15	24675	SLUZBY	\N	\N
1312077	4480	1997-10-31	VYDAJ	VYBER	15	24478	SLUZBY	\N	\N
1312078	4480	1997-11-30	VYDAJ	VYBER	15	28892	SLUZBY	\N	\N
1312079	4480	1997-12-31	VYDAJ	VYBER	15	33884	SLUZBY	\N	\N
1312080	4480	1998-01-31	VYDAJ	VYBER	15	12896	SLUZBY	\N	\N
1312081	4480	1998-02-28	VYDAJ	VYBER	15	25982	SLUZBY	\N	\N
1312082	4480	1998-03-31	VYDAJ	VYBER	15	28398	SLUZBY	\N	\N
1312083	4480	1998-04-30	VYDAJ	VYBER	15	31525	SLUZBY	\N	\N
1312084	4480	1998-05-31	VYDAJ	VYBER	15	34866	SLUZBY	\N	\N
1312085	4480	1998-06-30	VYDAJ	VYBER	15	22343	SLUZBY	\N	\N
1312086	4480	1998-07-31	VYDAJ	VYBER	15	30758	SLUZBY	\N	\N
1312087	4480	1998-08-31	VYDAJ	VYBER	15	32993	SLUZBY	\N	\N
1312088	4480	1998-09-30	VYDAJ	VYBER	15	36941	SLUZBY	\N	\N
1312089	4480	1998-10-31	VYDAJ	VYBER	15	39101	SLUZBY	\N	\N
1312090	4480	1998-11-30	VYDAJ	VYBER	15	40869	SLUZBY	\N	\N
1312091	4480	1996-09-18	PRIJEM	VKLAD	6500	14416	\N	\N	\N
1312092	4480	1996-10-18	PRIJEM	VKLAD	600	22758	\N	\N	\N
1312093	4480	1996-11-17	VYDAJ	VYBER	5400	25150	\N	\N	\N
1312094	4480	1996-12-17	VYDAJ	VYBER	8700	28123	\N	\N	\N
1312095	4480	1997-01-16	VYDAJ	VYBER	5900	26650	\N	\N	\N
1312096	4480	1997-02-15	VYDAJ	VYBER	3700	22656	\N	\N	\N
1312097	4480	1997-03-17	VYDAJ	VYBER	5400	25043	\N	\N	\N
1312098	4480	1997-04-16	VYDAJ	VYBER	4600	22136	\N	\N	\N
1312099	4480	1997-05-16	VYDAJ	VYBER	1600	26227	\N	\N	\N
1312100	4480	1997-06-15	VYDAJ	VYBER	3600	26283	\N	\N	\N
1312101	4480	1997-07-15	PRIJEM	VKLAD	2400	16251	\N	\N	\N
1312102	4480	1997-08-14	VYDAJ	VYBER	2700	21301	\N	\N	\N
1312103	4480	1997-09-13	VYDAJ	VYBER	4500	24582	\N	\N	\N
1312104	4480	1997-10-13	VYDAJ	VYBER	8000	24391	\N	\N	\N
1312105	4480	1997-11-12	VYDAJ	VYBER	3400	21078	\N	\N	\N
1312106	4480	1997-12-12	VYDAJ	VYBER	4700	22192	\N	\N	\N
1312107	4480	1998-01-11	VYDAJ	VYBER	8400	25484	\N	\N	\N
1312108	4480	1998-02-10	PRIJEM	VKLAD	5300	18196	\N	\N	\N
1312109	4480	1998-03-12	VYDAJ	VYBER	5400	20582	\N	\N	\N
1312110	4480	1998-04-11	VYDAJ	VYBER	4700	23698	\N	\N	\N
1312111	4480	1998-05-11	VYDAJ	VYBER	4500	27025	\N	\N	\N
1312112	4480	1998-06-10	VYDAJ	VYBER	1400	31166	\N	\N	\N
1312113	4480	1998-07-10	PRIJEM	VKLAD	600	22943	\N	\N	\N
1312114	4480	1998-08-09	VYDAJ	VYBER	5600	25158	\N	\N	\N
1312115	4480	1998-09-08	VYDAJ	VYBER	3900	29093	\N	\N	\N
1312116	4480	1998-10-08	VYDAJ	VYBER	5700	31241	\N	\N	\N
1312117	4480	1998-11-07	VYDAJ	VYBER	6100	33001	\N	\N	\N
1312118	4480	1998-12-07	VYDAJ	VYBER	9100	31769	\N	\N	\N
1313152	4484	1993-02-03	PRIJEM	VKLAD	700	700	\N	\N	\N
1313153	4484	1993-02-22	PRIJEM	VKLAD	41740	71951	\N	\N	\N
1313154	4484	1993-02-17	PRIJEM	VKLAD	29511	30211	\N	\N	\N
1313155	4484	1993-12-26	PRIJEM	VKLAD	13637	85566	\N	\N	\N
1313156	4484	1993-12-06	PRIJEM	VKLAD	20941	119728	\N	\N	\N
1313158	4484	1993-10-02	PRIJEM	VKLAD	32720	68323	\N	\N	\N
1313159	4484	1993-03-14	PRIJEM	VKLAD	18654	51007	\N	\N	\N
1313160	4484	1993-02-23	PRIJEM	VKLAD	31332	103283	\N	\N	\N
1313161	4484	1993-11-18	PRIJEM	VKLAD	26401	126164	\N	\N	\N
1313162	4484	1993-08-29	PRIJEM	VKLAD	13188	46136	\N	\N	\N
1313163	4484	1993-09-22	PRIJEM	VKLAD	17283	48345	\N	\N	\N
1313164	4484	1993-03-30	PRIJEM	VKLAD	13764	64771	\N	\N	\N
1313165	4484	1993-11-17	PRIJEM	VKLAD	46223	131363	\N	\N	\N
1313166	4484	1993-11-16	PRIJEM	VKLAD	37997	85140	\N	\N	\N
1313167	4484	1993-10-26	PRIJEM	VKLAD	28267	96590	\N	\N	\N
1313168	4484	1993-06-22	PRIJEM	VKLAD	46920	87649	\N	\N	\N
1313169	4484	1993-05-13	PRIJEM	VKLAD	23347	57156	\N	\N	\N
1313171	4484	1993-12-07	PRIJEM	VKLAD	37301	139029	\N	\N	\N
1313172	4484	1993-12-01	PRIJEM	VKLAD	47064	98787	\N	\N	\N
1313173	4484	1994-12-15	PRIJEM	VKLAD	8526	36769	\N	\N	\N
1313174	4484	1994-04-28	PRIJEM	VKLAD	38260	101686	\N	\N	\N
1313175	4484	1994-03-27	PRIJEM	VKLAD	15228	46287	\N	\N	\N
1313176	4484	1994-07-27	PRIJEM	VKLAD	49648	81639	\N	\N	\N
1313177	4484	1994-04-26	PRIJEM	VKLAD	37323	63426	\N	\N	\N
1313178	4484	1994-01-17	PRIJEM	VKLAD	19922	59435	\N	\N	\N
1313179	4484	1995-12-05	PRIJEM	VKLAD	16250	41631	\N	\N	\N
1313180	4484	1996-01-11	PRIJEM	VKLAD	24475	59610	\N	\N	\N
1313181	4484	1996-05-13	PRIJEM	VKLAD	10679	59648	\N	\N	\N
1313182	4484	1996-04-17	PRIJEM	VKLAD	26890	71280	\N	\N	\N
1313183	4484	1996-03-02	PRIJEM	VKLAD	18643	65307	\N	\N	\N
1313184	4484	1996-04-15	PRIJEM	VKLAD	19573	64057	\N	\N	\N
1313185	4484	1996-01-10	PRIJEM	VKLAD	6861	35135	\N	\N	\N
1313186	4484	1996-01-25	PRIJEM	VKLAD	40208	74418	\N	\N	\N
1313187	4484	1996-07-07	PRIJEM	VKLAD	27631	55275	\N	\N	\N
1313188	4484	1997-01-27	PRIJEM	VKLAD	46989	142257	\N	\N	\N
1313189	4484	1997-11-29	PRIJEM	VKLAD	29304	106502	\N	\N	\N
1313190	4484	1997-04-03	PRIJEM	VKLAD	12228	83331	\N	\N	\N
1313191	4484	1997-10-22	PRIJEM	VKLAD	34813	150001	\N	\N	\N
1313192	4484	1997-10-18	PRIJEM	VKLAD	47062	115188	\N	\N	\N
1313193	4484	1997-01-20	PRIJEM	VKLAD	35629	88177	\N	\N	\N
1313194	4484	1997-02-08	PRIJEM	VKLAD	30173	117374	\N	\N	\N
1313195	4484	1997-11-15	PRIJEM	VKLAD	25505	135198	\N	\N	\N
1313196	4484	1997-11-12	PRIJEM	VKLAD	45949	109693	\N	\N	\N
1313197	4484	1997-01-28	PRIJEM	VKLAD	49563	149720	\N	\N	\N
1313198	4484	1997-12-09	PRIJEM	VKLAD	11128	114685	\N	\N	\N
1313199	4484	1997-01-20	PRIJEM	VKLAD	39065	127242	\N	\N	\N
1313200	4484	1997-07-06	PRIJEM	VKLAD	32686	71232	\N	\N	\N
1313201	4484	1997-01-23	PRIJEM	VKLAD	17426	95268	\N	\N	\N
1313202	4484	1997-06-19	PRIJEM	VKLAD	11980	38397	\N	\N	\N
1313203	4484	1997-09-19	PRIJEM	VKLAD	47479	130482	\N	\N	\N
1313204	4484	1997-01-15	PRIJEM	VKLAD	25136	52548	\N	\N	\N
1313205	4484	1997-10-15	PRIJEM	VKLAD	9993	68126	\N	\N	\N
1313206	4484	1997-09-17	PRIJEM	VKLAD	39694	83003	\N	\N	\N
1313207	4484	1997-03-10	PRIJEM	VKLAD	23435	128400	\N	\N	\N
1313208	4484	1997-05-05	PRIJEM	VKLAD	47492	80205	\N	\N	\N
1313209	4484	1997-03-31	PRIJEM	VKLAD	19990	81872	\N	\N	\N
1313210	4484	1997-07-20	PRIJEM	VKLAD	28814	77946	\N	\N	\N
1313211	4484	1997-03-27	PRIJEM	VKLAD	7823	61627	\N	\N	\N
1313212	4484	1997-05-19	PRIJEM	VKLAD	17774	57320	\N	\N	\N
1313213	4484	1997-02-13	PRIJEM	VKLAD	29598	65206	\N	\N	\N
1313214	4484	1997-03-03	PRIJEM	VKLAD	43961	104965	\N	\N	\N
1313215	4484	1997-08-02	PRIJEM	VKLAD	42239	120401	\N	\N	\N
1313216	4484	1998-08-15	PRIJEM	VKLAD	36447	123994	\N	\N	\N
1313217	4484	1998-08-10	PRIJEM	VKLAD	18556	87547	\N	\N	\N
1313218	4484	1998-02-22	PRIJEM	VKLAD	31391	80735	\N	\N	\N
1313219	4484	1998-05-29	PRIJEM	VKLAD	24138	80175	\N	\N	\N
1313220	4484	1998-03-11	PRIJEM	VKLAD	46409	113284	\N	\N	\N
1313221	4484	1998-06-21	PRIJEM	VKLAD	22303	83744	\N	\N	\N
1313222	4484	1998-06-20	PRIJEM	VKLAD	11895	61441	\N	\N	\N
1313223	4484	1998-04-02	PRIJEM	VKLAD	44715	133041	\N	\N	\N
1313224	4484	1998-02-28	PRIJEM	VKLAD	15962	96989	\N	\N	\N
1313225	4484	1998-07-25	PRIJEM	VKLAD	12518	91588	\N	\N	\N
1313226	4484	1998-10-08	PRIJEM	VKLAD	7020	102318	\N	\N	\N
1313227	4484	1998-01-21	PRIJEM	VKLAD	29535	96230	\N	\N	\N
1313228	4484	1998-03-11	PRIJEM	VKLAD	47607	160891	\N	\N	\N
1313229	4484	1998-11-20	PRIJEM	VKLAD	11723	81801	\N	\N	\N
1313230	4484	1998-01-14	PRIJEM	VKLAD	39464	66695	\N	\N	\N
1313231	4484	1998-09-14	PRIJEM	VKLAD	47877	119780	\N	\N	\N
1313232	4484	1998-03-21	PRIJEM	VKLAD	44863	143954	\N	\N	\N
1313233	4484	1998-10-29	PRIJEM	VKLAD	6581	108899	\N	\N	\N
1313234	4484	1998-10-08	PRIJEM	VKLAD	34189	95298	\N	\N	\N
1313235	4484	1998-09-19	PRIJEM	VKLAD	9413	73393	\N	\N	\N
1313236	4484	1998-12-08	PRIJEM	VKLAD	49763	81689	\N	\N	\N
1313237	4484	1998-09-01	PRIJEM	VKLAD	15396	91203	\N	\N	\N
1313238	4484	1998-06-29	PRIJEM	VKLAD	20925	104669	\N	\N	\N
1313239	4484	1993-05-15	VYBER	VYBER	3725	53431	\N	\N	\N
1313240	4484	1993-11-01	VYBER	VYBER	7352	52223	\N	\N	\N
1313241	4484	1993-11-06	VYBER	VYBER	5080	47143	\N	\N	\N
1313242	4484	1993-09-11	VYBER	VYBER	3838	31062	\N	\N	\N
1313243	4484	1993-07-07	VYBER	VYBER	16051	42349	\N	\N	\N
1313245	4484	1995-10-16	VYBER	VYBER	7149	24474	\N	\N	\N
1313246	4484	1996-06-25	VYBER	VYBER	11953	27479	\N	\N	\N
1313247	4484	1996-04-15	VYBER	VYBER	19667	44390	\N	\N	\N
1313249	4484	1997-02-05	VYBER	VYBER	19654	87201	\N	\N	\N
1313250	4484	1997-05-08	VYBER	VYBER	5240	65065	\N	\N	\N
1313251	4484	1997-04-01	VYBER	VYBER	10755	71103	\N	\N	\N
1313254	4484	1997-02-22	VYBER	VYBER	4486	60720	\N	\N	\N
1313255	4484	1997-05-14	VYBER	VYBER	11719	39546	\N	\N	\N
1313256	4484	1997-04-16	VYBER	VYBER	10496	45935	\N	\N	\N
1313257	4484	1997-03-13	VYBER	VYBER	12096	77704	\N	\N	\N
1313258	4484	1997-04-23	VYBER	VYBER	13444	32491	\N	\N	\N
1313259	4484	1997-05-20	VYBER	VYBER	11684	45636	\N	\N	\N
1313260	4484	1997-02-09	VYBER	VYBER	20266	40208	\N	\N	\N
1313261	4484	1998-12-07	VYBER	VYBER	18560	31926	\N	\N	\N
1313263	4484	1998-01-21	VYBER	VYBER	21608	74622	\N	\N	\N
1313265	4484	1994-06-06	VYDAJ	VYBER	14400	34510	\N	\N	\N
1313266	4484	1995-06-27	VYDAJ	VYBER	10200	21549	\N	\N	\N
1313269	4484	1998-06-15	VYDAJ	VYBER	13200	49546	\N	\N	\N
1313270	4484	1993-12-07	VYDAJ	VYBER	7200	131829	\N	\N	\N
1313271	4484	1994-12-24	VYDAJ	VYBER	4800	31969	\N	\N	\N
1313272	4484	1995-12-02	VYDAJ	VYBER	5700	25381	\N	\N	\N
1313273	4484	1996-12-01	VYDAJ	VYBER	4200	27891	\N	\N	\N
1313274	4484	1997-12-03	VYDAJ	VYBER	3300	103557	\N	\N	\N
1313275	4484	1998-12-06	VYDAJ	VYBER	5100	50486	\N	\N	\N
1313282	4484	1994-01-23	VYDAJ	VYBER	3900	48335	\N	\N	\N
1313283	4484	1994-01-05	VYDAJ	VYBER	5100	50313	\N	\N	\N
1313284	4484	1994-01-28	VYDAJ	VYBER	6900	41435	\N	\N	\N
1313285	4484	1994-01-12	VYDAJ	VYBER	3300	41013	\N	\N	\N
1313286	4484	1994-01-23	VYDAJ	VYBER	7200	52235	\N	\N	\N
1313287	4484	1994-01-15	VYDAJ	VYBER	1500	39513	\N	\N	\N
1313289	4484	1995-01-08	VYDAJ	VYBER	1500	23775	\N	\N	\N
1313292	4484	1995-01-03	VYDAJ	VYBER	6600	25275	\N	\N	\N
1313294	4484	1996-01-23	VYDAJ	VYBER	6600	34210	\N	\N	\N
1313295	4484	1996-01-12	VYDAJ	VYBER	5400	54210	\N	\N	\N
1313296	4484	1996-01-07	VYDAJ	VYBER	4200	32474	\N	\N	\N
1313297	4484	1996-01-30	VYDAJ	VYBER	8400	66018	\N	\N	\N
1313298	4484	1996-01-09	VYDAJ	VYBER	4200	28274	\N	\N	\N
1313299	4484	1996-01-19	VYDAJ	VYBER	8700	40810	\N	\N	\N
1313301	4484	1997-01-14	VYDAJ	VYBER	6000	27412	\N	\N	\N
1313302	4484	1997-01-21	VYDAJ	VYBER	3000	77842	\N	\N	\N
1313303	4484	1997-01-20	VYDAJ	VYBER	6000	121242	\N	\N	\N
1313304	4484	1997-01-12	VYDAJ	VYBER	2400	31912	\N	\N	\N
1313305	4484	1997-01-20	VYDAJ	VYBER	3300	80842	\N	\N	\N
1313306	4484	1998-01-21	VYDAJ	VYBER	4800	69822	\N	\N	\N
1313307	4484	1998-01-13	VYDAJ	VYBER	6600	27231	\N	\N	\N
1313308	4484	1998-01-02	VYDAJ	VYBER	3600	43531	\N	\N	\N
1313309	4484	1998-01-04	VYDAJ	VYBER	3300	40231	\N	\N	\N
1313310	4484	1998-01-25	VYDAJ	VYBER	2400	67422	\N	\N	\N
1313311	4484	1998-01-04	VYDAJ	VYBER	3600	36631	\N	\N	\N
1313314	4484	1994-09-28	VYDAJ	VYBER	11100	27492	\N	\N	\N
1313317	4484	1994-01-09	VYDAJ	VYBER	6000	44313	\N	\N	\N
1313318	4484	1994-04-08	VYDAJ	VYBER	10800	26103	\N	\N	\N
1313323	4484	1996-04-10	VYDAJ	VYBER	2100	44484	\N	\N	\N
1313324	4484	1996-08-03	VYDAJ	VYBER	13200	31407	\N	\N	\N
1313326	4484	1996-10-14	VYDAJ	VYBER	3000	27557	\N	\N	\N
1313327	4484	1996-07-19	VYDAJ	VYBER	1500	44475	\N	\N	\N
1313328	4484	1997-04-09	VYDAJ	VYBER	3600	79731	\N	\N	\N
1313329	4484	1997-06-18	VYDAJ	VYBER	9900	26417	\N	\N	\N
1313330	4484	1997-06-02	VYDAJ	VYBER	12600	33217	\N	\N	\N
1313331	4484	1997-12-13	VYDAJ	VYBER	11700	46885	\N	\N	\N
1313332	4484	1997-05-06	VYDAJ	VYBER	9900	70305	\N	\N	\N
1313333	4484	1998-08-03	VYDAJ	VYBER	4800	87191	\N	\N	\N
1313334	4484	1998-12-03	VYDAJ	VYBER	12900	69286	\N	\N	\N
1313335	4484	1998-11-19	VYDAJ	VYBER	7800	70078	\N	\N	\N
1313339	4484	1993-03-31	VYDAJ	VYBER	15	64955	SLUZBY	\N	\N
1313340	4484	1993-04-30	VYDAJ	VYBER	15	46609	SLUZBY	\N	\N
1313341	4484	1993-05-31	VYDAJ	VYBER	15	53629	SLUZBY	\N	\N
1313342	4484	1993-06-30	VYDAJ	VYBER	15	87900	SLUZBY	\N	\N
1313343	4484	1993-07-31	VYDAJ	VYBER	15	42548	SLUZBY	\N	\N
1313344	4484	1993-08-31	VYDAJ	VYBER	15	46300	SLUZBY	\N	\N
1313345	4484	1993-09-30	VYDAJ	VYBER	15	48503	SLUZBY	\N	\N
1313346	4484	1993-10-31	VYDAJ	VYBER	15	59575	SLUZBY	\N	\N
1313347	4484	1993-11-30	VYDAJ	VYBER	15	51723	SLUZBY	\N	\N
1313348	4484	1993-12-31	VYDAJ	VYBER	15	55413	SLUZBY	\N	\N
1313349	4484	1994-01-31	VYDAJ	VYBER	15	35825	SLUZBY	\N	\N
1313350	4484	1994-02-28	VYDAJ	VYBER	15	31059	SLUZBY	\N	\N
1313351	4484	1994-03-31	VYDAJ	VYBER	15	36903	SLUZBY	\N	\N
1313352	4484	1994-04-30	VYDAJ	VYBER	15	66849	SLUZBY	\N	\N
1313353	4484	1994-05-31	VYDAJ	VYBER	15	48910	SLUZBY	\N	\N
1313354	4484	1994-06-30	VYDAJ	VYBER	15	31991	SLUZBY	\N	\N
1313355	4484	1994-07-31	VYDAJ	VYBER	15	57171	SLUZBY	\N	\N
1313356	4484	1994-08-31	VYDAJ	VYBER	15	43092	SLUZBY	\N	\N
1313357	4484	1994-09-30	VYDAJ	VYBER	15	27649	SLUZBY	\N	\N
1313358	4484	1994-10-31	VYDAJ	VYBER	15	26349	SLUZBY	\N	\N
1313359	4484	1994-11-30	VYDAJ	VYBER	15	28243	SLUZBY	\N	\N
1313360	4484	1994-12-31	VYDAJ	VYBER	15	31875	SLUZBY	\N	\N
1313361	4484	1995-01-31	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
1313362	4484	1995-02-28	VYDAJ	VYBER	15	25261	SLUZBY	\N	\N
1313363	4484	1995-03-31	VYDAJ	VYBER	15	28151	SLUZBY	\N	\N
1313364	4484	1995-04-30	VYDAJ	VYBER	15	27052	SLUZBY	\N	\N
1313365	4484	1995-05-31	VYDAJ	VYBER	15	28449	SLUZBY	\N	\N
1313366	4484	1995-06-30	VYDAJ	VYBER	15	21648	SLUZBY	\N	\N
1313367	4484	1995-07-31	VYDAJ	VYBER	15	26722	SLUZBY	\N	\N
1313368	4484	1995-08-31	VYDAJ	VYBER	15	29118	SLUZBY	\N	\N
1313369	4484	1995-09-30	VYDAJ	VYBER	15	31623	SLUZBY	\N	\N
1313370	4484	1995-10-31	VYDAJ	VYBER	15	27483	SLUZBY	\N	\N
1313371	4484	1995-11-30	VYDAJ	VYBER	15	31081	SLUZBY	\N	\N
1313372	4484	1995-12-31	VYDAJ	VYBER	15	36674	SLUZBY	\N	\N
1313373	4484	1996-01-31	VYDAJ	VYBER	15	66207	SLUZBY	\N	\N
1313374	4484	1996-02-29	VYDAJ	VYBER	15	46664	SLUZBY	\N	\N
1313375	4484	1996-03-31	VYDAJ	VYBER	15	46584	SLUZBY	\N	\N
1313376	4484	1996-04-30	VYDAJ	VYBER	15	48969	SLUZBY	\N	\N
1313377	4484	1996-05-31	VYDAJ	VYBER	15	47732	SLUZBY	\N	\N
1313378	4484	1996-06-30	VYDAJ	VYBER	15	27644	SLUZBY	\N	\N
1313379	4484	1996-07-31	VYDAJ	VYBER	15	44607	SLUZBY	\N	\N
1313380	4484	1996-08-31	VYDAJ	VYBER	15	30946	SLUZBY	\N	\N
1313381	4484	1996-09-30	VYDAJ	VYBER	15	30557	SLUZBY	\N	\N
1313382	4484	1996-10-31	VYDAJ	VYBER	15	32872	SLUZBY	\N	\N
1313383	4484	1996-11-30	VYDAJ	VYBER	15	32091	SLUZBY	\N	\N
1313384	4484	1996-12-31	VYDAJ	VYBER	15	34312	SLUZBY	\N	\N
1313385	4484	1997-01-31	VYDAJ	VYBER	15	106855	SLUZBY	\N	\N
1313386	4484	1997-02-28	VYDAJ	VYBER	15	61004	SLUZBY	\N	\N
1313387	4484	1997-03-31	VYDAJ	VYBER	15	81858	SLUZBY	\N	\N
1313388	4484	1997-04-30	VYDAJ	VYBER	15	32713	SLUZBY	\N	\N
1313389	4484	1997-05-31	VYDAJ	VYBER	15	45817	SLUZBY	\N	\N
1313390	4484	1997-06-30	VYDAJ	VYBER	15	38546	SLUZBY	\N	\N
1313391	4484	1997-07-31	VYDAJ	VYBER	15	78162	SLUZBY	\N	\N
1313392	4484	1997-08-31	VYDAJ	VYBER	15	60709	SLUZBY	\N	\N
1313393	4484	1997-09-30	VYDAJ	VYBER	15	95133	SLUZBY	\N	\N
1313394	4484	1997-10-31	VYDAJ	VYBER	15	97644	SLUZBY	\N	\N
1313395	4484	1997-11-30	VYDAJ	VYBER	15	106857	SLUZBY	\N	\N
1313396	4484	1997-12-31	VYDAJ	VYBER	15	47131	SLUZBY	\N	\N
1313397	4484	1998-01-31	VYDAJ	VYBER	15	67644	SLUZBY	\N	\N
1313398	4484	1998-02-28	VYDAJ	VYBER	15	96975	SLUZBY	\N	\N
1313399	4484	1998-03-31	VYDAJ	VYBER	15	88326	SLUZBY	\N	\N
1313400	4484	1998-04-30	VYDAJ	VYBER	15	68937	SLUZBY	\N	\N
1313401	4484	1998-05-31	VYDAJ	VYBER	15	80446	SLUZBY	\N	\N
1313402	4484	1998-06-30	VYDAJ	VYBER	15	104970	SLUZBY	\N	\N
1313403	4484	1998-07-31	VYDAJ	VYBER	15	91991	SLUZBY	\N	\N
1313404	4484	1998-08-31	VYDAJ	VYBER	15	75807	SLUZBY	\N	\N
1313405	4484	1998-09-30	VYDAJ	VYBER	15	73709	SLUZBY	\N	\N
1313406	4484	1998-10-31	VYDAJ	VYBER	15	109278	SLUZBY	\N	\N
1313407	4484	1998-11-30	VYDAJ	VYBER	15	82186	SLUZBY	\N	\N
1313408	4484	1993-02-23	VYDAJ	VYBER	62100	41183	\N	\N	\N
1313409	4484	1993-03-05	VYDAJ	VYBER	8900	32353	\N	\N	\N
1313410	4484	1993-04-04	VYDAJ	VYBER	18600	46355	\N	\N	\N
1313411	4484	1993-05-04	VYDAJ	VYBER	12800	33809	\N	\N	\N
1313412	4484	1993-06-03	VYDAJ	VYBER	12900	40729	\N	\N	\N
1313413	4484	1993-07-03	VYDAJ	VYBER	29500	58400	\N	\N	\N
1313414	4484	1993-08-02	VYDAJ	VYBER	9600	32948	\N	\N	\N
1313415	4484	1993-09-01	VYDAJ	VYBER	11400	34900	\N	\N	\N
1313416	4484	1993-10-01	VYDAJ	VYBER	12900	35603	\N	\N	\N
1313417	4484	1993-10-31	VYDAJ	VYBER	37300	59589	\N	\N	\N
1313418	4484	1993-11-17	VYDAJ	VYBER	31600	99763	\N	\N	\N
1313419	4484	1993-11-18	VYDAJ	VYBER	45500	80664	\N	\N	\N
1313420	4484	1993-11-30	VYDAJ	VYBER	29200	51738	\N	\N	\N
1313421	4484	1993-12-06	VYDAJ	VYBER	18000	101728	\N	\N	\N
1313422	4484	1993-12-07	VYDAJ	VYBER	26100	71929	\N	\N	\N
1313423	4484	1993-12-07	VYDAJ	VYBER	33800	98029	\N	\N	\N
1313424	4484	1993-12-30	VYDAJ	VYBER	30500	55066	\N	\N	\N
1313425	4484	1994-01-29	VYDAJ	VYBER	5800	35635	\N	\N	\N
1313426	4484	1994-02-28	VYDAJ	VYBER	4900	31073	\N	\N	\N
1313427	4484	1994-03-30	VYDAJ	VYBER	9500	36787	\N	\N	\N
1313428	4484	1994-04-29	VYDAJ	VYBER	35000	66686	\N	\N	\N
1313429	4484	1994-05-29	VYDAJ	VYBER	18200	48649	\N	\N	\N
1313430	4484	1994-06-28	VYDAJ	VYBER	2700	31810	\N	\N	\N
1313431	4484	1994-07-28	VYDAJ	VYBER	24600	57039	\N	\N	\N
1313432	4484	1994-08-27	VYDAJ	VYBER	14300	42871	\N	\N	\N
1313433	4484	1994-09-26	VYDAJ	VYBER	4500	38592	\N	\N	\N
1313434	4484	1994-10-26	VYDAJ	VYBER	1400	26249	\N	\N	\N
1313435	4484	1994-11-25	PRIJEM	VKLAD	1800	28149	\N	\N	\N
1313436	4484	1994-12-25	VYDAJ	VYBER	200	31769	\N	\N	\N
1313437	4484	1995-01-24	PRIJEM	VKLAD	2300	26075	\N	\N	\N
1313438	4484	1995-02-23	VYDAJ	VYBER	1000	25168	\N	\N	\N
1313439	4484	1995-03-25	PRIJEM	VKLAD	2800	28061	\N	\N	\N
1313440	4484	1995-04-24	VYDAJ	VYBER	1200	26951	\N	\N	\N
1313441	4484	1995-05-24	PRIJEM	VKLAD	1300	28352	\N	\N	\N
1313442	4484	1995-06-23	PRIJEM	VKLAD	3300	31749	\N	\N	\N
1313443	4484	1995-07-23	PRIJEM	VKLAD	5000	26648	\N	\N	\N
1313444	4484	1995-08-22	PRIJEM	VKLAD	2300	29022	\N	\N	\N
1313445	4484	1995-09-21	PRIJEM	VKLAD	2400	31518	\N	\N	\N
1313446	4484	1995-10-21	PRIJEM	VKLAD	2900	27374	\N	\N	\N
1313447	4484	1995-11-20	PRIJEM	VKLAD	3500	30983	\N	\N	\N
1313448	4484	1995-12-20	VYDAJ	VYBER	5100	36531	\N	\N	\N
1313449	4484	1996-01-19	VYDAJ	VYBER	4700	49510	\N	\N	\N
1313450	4484	1996-02-18	VYDAJ	VYBER	19800	46407	\N	\N	\N
1313451	4484	1996-03-19	VYDAJ	VYBER	18900	46407	\N	\N	\N
1313452	4484	1996-04-18	VYDAJ	VYBER	22500	48780	\N	\N	\N
1313453	4484	1996-05-18	VYDAJ	VYBER	12100	47548	\N	\N	\N
1313454	4484	1996-06-17	VYDAJ	VYBER	8300	39432	\N	\N	\N
1313455	4484	1996-07-17	VYDAJ	VYBER	9300	45975	\N	\N	\N
1313456	4484	1996-08-16	VYDAJ	VYBER	600	30807	\N	\N	\N
1313457	4484	1996-09-15	VYDAJ	VYBER	500	30446	\N	\N	\N
1313458	4484	1996-10-15	PRIJEM	VKLAD	5200	32757	\N	\N	\N
1313459	4484	1996-11-14	VYDAJ	VYBER	900	31972	\N	\N	\N
1313460	4484	1996-12-14	PRIJEM	VKLAD	6300	34191	\N	\N	\N
1313461	4484	1997-01-13	PRIJEM	VKLAD	1500	33412	\N	\N	\N
1313462	4484	1997-01-20	VYDAJ	VYBER	37100	84142	\N	\N	\N
1313463	4484	1997-01-27	VYDAJ	VYBER	42100	100157	\N	\N	\N
1313464	4484	1997-01-28	VYDAJ	VYBER	43100	106620	\N	\N	\N
1313465	4484	1997-02-08	VYDAJ	VYBER	56900	60474	\N	\N	\N
1313466	4484	1997-02-12	VYDAJ	VYBER	4600	35608	\N	\N	\N
1313467	4484	1997-03-10	VYDAJ	VYBER	38600	89800	\N	\N	\N
1313468	4484	1997-03-14	VYDAJ	VYBER	23900	53804	\N	\N	\N
1313469	4484	1997-04-13	VYDAJ	VYBER	23300	56431	\N	\N	\N
1313470	4484	1997-05-13	VYDAJ	VYBER	13800	51265	\N	\N	\N
1313471	4484	1997-06-12	PRIJEM	VKLAD	3100	36317	\N	\N	\N
1313472	4484	1997-07-12	VYDAJ	VYBER	22100	49132	\N	\N	\N
1313473	4484	1997-08-02	VYDAJ	VYBER	27800	92601	\N	\N	\N
1313474	4484	1997-08-11	VYDAJ	VYBER	32200	60401	\N	\N	\N
1313475	4484	1997-09-10	VYDAJ	VYBER	17400	43309	\N	\N	\N
1313476	4484	1997-09-19	VYDAJ	VYBER	35700	94782	\N	\N	\N
1313477	4484	1997-10-10	VYDAJ	VYBER	37000	58133	\N	\N	\N
1313478	4484	1997-10-22	VYDAJ	VYBER	52800	97201	\N	\N	\N
1313479	4484	1997-11-09	VYDAJ	VYBER	33900	63744	\N	\N	\N
1313480	4484	1997-11-15	VYDAJ	VYBER	58000	77198	\N	\N	\N
1313481	4484	1997-12-09	VYDAJ	VYBER	29300	85385	\N	\N	\N
1313482	4484	1997-12-09	VYDAJ	VYBER	26800	58585	\N	\N	\N
1313483	4484	1998-01-08	VYDAJ	VYBER	2800	33831	\N	\N	\N
1313484	4484	1998-02-07	VYDAJ	VYBER	18300	49344	\N	\N	\N
1313485	4484	1998-03-09	VYDAJ	VYBER	30100	66875	\N	\N	\N
1313486	4484	1998-03-11	VYDAJ	VYBER	15700	145191	\N	\N	\N
1313487	4484	1998-03-11	VYDAJ	VYBER	46100	99091	\N	\N	\N
1313488	4484	1998-03-21	VYDAJ	VYBER	56000	87954	\N	\N	\N
1313489	4484	1998-04-02	VYDAJ	VYBER	30700	102341	\N	\N	\N
1313490	4484	1998-04-08	VYDAJ	VYBER	33700	68641	\N	\N	\N
1313491	4484	1998-05-08	VYDAJ	VYBER	12900	56037	\N	\N	\N
1313492	4484	1998-06-07	VYDAJ	VYBER	17700	62746	\N	\N	\N
1313493	4484	1998-07-07	VYDAJ	VYBER	25900	79070	\N	\N	\N
1313494	4484	1998-08-06	VYDAJ	VYBER	18200	68991	\N	\N	\N
1313495	4484	1998-08-15	VYDAJ	VYBER	48600	75394	\N	\N	\N
1313496	4484	1998-09-05	VYDAJ	VYBER	19300	71903	\N	\N	\N
1313497	4484	1998-09-14	VYDAJ	VYBER	55800	63980	\N	\N	\N
1313498	4484	1998-10-05	VYDAJ	VYBER	12600	61109	\N	\N	\N
1313499	4484	1998-11-04	VYDAJ	VYBER	31400	77878	\N	\N	\N
1313500	4484	1998-12-04	VYDAJ	VYBER	13700	55586	\N	\N	\N
1314492	4488	1996-04-24	PRIJEM	VKLAD	600	600	\N	\N	\N
1314497	4488	1996-05-10	PRIJEM	VKLAD	8860	9460	\N	\N	\N
1314498	4488	1996-06-10	PRIJEM	VKLAD	13290	28767	\N	\N	\N
1314499	4488	1996-07-10	PRIJEM	VKLAD	8860	34803	\N	\N	\N
1314500	4488	1996-08-10	PRIJEM	VKLAD	8860	35972	\N	\N	\N
1314501	4488	1996-09-10	PRIJEM	VKLAD	8860	37346	\N	\N	\N
1314502	4488	1996-10-10	PRIJEM	VKLAD	8860	35908	\N	\N	\N
1314503	4488	1996-11-10	PRIJEM	VKLAD	8860	34167	\N	\N	\N
1314504	4488	1996-12-10	PRIJEM	VKLAD	13290	33041	\N	\N	\N
1314505	4488	1997-01-10	PRIJEM	VKLAD	8860	19081	\N	\N	\N
1314506	4488	1997-02-10	PRIJEM	VKLAD	8860	22888	\N	\N	\N
1314507	4488	1997-03-10	PRIJEM	VKLAD	8860	32510	\N	\N	\N
1314508	4488	1997-04-10	PRIJEM	VKLAD	8860	36674	\N	\N	\N
1314509	4488	1997-05-10	PRIJEM	VKLAD	8860	38137	\N	\N	\N
1314510	4488	1997-06-10	PRIJEM	VKLAD	13290	29138	\N	\N	\N
1314511	4488	1997-07-10	PRIJEM	VKLAD	8860	38108	\N	\N	\N
1314512	4488	1997-08-10	PRIJEM	VKLAD	8860	38275	\N	\N	\N
1314513	4488	1997-09-10	PRIJEM	VKLAD	8860	41349	\N	\N	\N
1314514	4488	1997-10-10	PRIJEM	VKLAD	8860	38128	\N	\N	\N
1314515	4488	1997-11-10	PRIJEM	VKLAD	8860	38900	\N	\N	\N
1314516	4488	1997-12-10	PRIJEM	VKLAD	13290	42799	\N	\N	\N
1314517	4488	1998-01-10	PRIJEM	VKLAD	8860	34266	\N	\N	\N
1314518	4488	1998-02-10	PRIJEM	VKLAD	8860	27821	\N	\N	\N
1314519	4488	1998-03-10	PRIJEM	VKLAD	8860	34561	\N	\N	\N
1314520	4488	1998-04-10	PRIJEM	VKLAD	8860	36918	\N	\N	\N
1314521	4488	1998-05-10	PRIJEM	VKLAD	8860	35779	\N	\N	\N
1314522	4488	1998-06-10	PRIJEM	VKLAD	13290	45178	\N	\N	\N
1314523	4488	1998-07-10	PRIJEM	VKLAD	8860	20523	\N	\N	\N
1314524	4488	1998-08-10	PRIJEM	VKLAD	8860	29740	\N	\N	\N
1314525	4488	1998-09-10	PRIJEM	VKLAD	8860	35587	\N	\N	\N
1314526	4488	1998-10-10	PRIJEM	VKLAD	8860	30935	\N	\N	\N
1314527	4488	1998-11-10	PRIJEM	VKLAD	8860	33178	\N	\N	\N
1314528	4488	1998-12-10	PRIJEM	VKLAD	13290	36556	\N	\N	\N
1314530	4488	1997-06-08	VYDAJ	VYBER	15400	15848	\N	\N	\N
1314531	4488	1998-06-19	VYDAJ	VYBER	21500	11578	\N	\N	\N
1314533	4488	1997-01-02	VYDAJ	VYBER	9500	13921	\N	\N	\N
1314534	4488	1998-01-30	VYDAJ	VYBER	3700	18866	\N	\N	\N
1314535	4488	1996-12-17	VYDAJ	VYBER	1800	31241	\N	\N	\N
1314536	4488	1997-12-13	VYDAJ	VYBER	2000	40799	\N	\N	\N
1314537	4488	1998-12-03	VYDAJ	VYBER	2000	23266	\N	\N	\N
1314544	4488	1997-01-11	VYDAJ	VYBER	2800	14181	\N	\N	\N
1314545	4488	1997-01-30	VYDAJ	VYBER	1200	13981	\N	\N	\N
1314546	4488	1997-01-10	VYDAJ	VYBER	2100	16981	\N	\N	\N
1314547	4488	1997-01-01	VYDAJ	VYBER	1000	23421	\N	\N	\N
1314548	4488	1997-01-21	VYDAJ	VYBER	1800	15881	\N	\N	\N
1314549	4488	1997-01-22	VYDAJ	VYBER	700	15181	\N	\N	\N
1314550	4488	1998-01-24	VYDAJ	VYBER	2300	22566	\N	\N	\N
1314551	4488	1998-01-17	VYDAJ	VYBER	800	26366	\N	\N	\N
1314552	4488	1998-01-12	VYDAJ	VYBER	1500	32766	\N	\N	\N
1314553	4488	1998-01-06	VYDAJ	VYBER	1800	25406	\N	\N	\N
1314554	4488	1998-01-23	VYDAJ	VYBER	1500	24866	\N	\N	\N
1314555	4488	1998-01-12	VYDAJ	VYBER	2100	30666	\N	\N	\N
1314556	4488	1996-12-22	VYDAJ	VYBER	1300	24341	\N	\N	\N
1314557	4488	1996-10-15	VYDAJ	VYBER	3500	32408	\N	\N	\N
1314560	4488	1996-11-23	VYDAJ	VYBER	4100	19667	\N	\N	\N
1314561	4488	1997-01-07	VYDAJ	VYBER	3700	10221	\N	\N	\N
1314562	4488	1997-10-31	VYDAJ	VYBER	1700	30055	\N	\N	\N
1314563	4488	1997-09-26	VYDAJ	VYBER	1500	29149	\N	\N	\N
1314564	4488	1997-09-10	VYDAJ	VYBER	4100	37249	\N	\N	\N
1314565	4488	1997-09-15	VYDAJ	VYBER	1800	35449	\N	\N	\N
1314566	4488	1997-03-03	VYDAJ	VYBER	1300	23650	\N	\N	\N
1314567	4488	1997-12-29	VYDAJ	VYBER	800	27099	\N	\N	\N
1314568	4488	1997-05-18	VYDAJ	VYBER	4500	33637	\N	\N	\N
1314569	4488	1998-04-17	VYDAJ	VYBER	4100	26818	\N	\N	\N
1314570	4488	1998-09-15	VYDAJ	VYBER	3800	26187	\N	\N	\N
1314571	4488	1998-06-14	VYDAJ	VYBER	1800	33078	\N	\N	\N
1314572	4488	1998-09-16	VYDAJ	VYBER	4200	21987	\N	\N	\N
1314582	4488	1996-09-30	VYDAJ	VYBER	15	27048	SLUZBY	\N	\N
1314583	4488	1996-10-31	VYDAJ	VYBER	15	25307	SLUZBY	\N	\N
1314584	4488	1996-11-30	VYDAJ	VYBER	15	19751	SLUZBY	\N	\N
1314585	4488	1996-12-31	VYDAJ	VYBER	15	24421	SLUZBY	\N	\N
1314586	4488	1997-01-31	VYDAJ	VYBER	15	14028	SLUZBY	\N	\N
1314587	4488	1997-02-28	VYDAJ	VYBER	15	24950	SLUZBY	\N	\N
1314588	4488	1997-03-31	VYDAJ	VYBER	15	27814	SLUZBY	\N	\N
1314589	4488	1997-04-30	VYDAJ	VYBER	15	29277	SLUZBY	\N	\N
1314590	4488	1997-05-31	VYDAJ	VYBER	15	31248	SLUZBY	\N	\N
1314591	4488	1997-06-30	VYDAJ	VYBER	15	29248	SLUZBY	\N	\N
1314592	4488	1997-07-31	VYDAJ	VYBER	15	29415	SLUZBY	\N	\N
1314593	4488	1997-08-31	VYDAJ	VYBER	15	32489	SLUZBY	\N	\N
1314594	4488	1997-09-30	VYDAJ	VYBER	15	29268	SLUZBY	\N	\N
1314595	4488	1997-10-31	VYDAJ	VYBER	15	30040	SLUZBY	\N	\N
1314596	4488	1997-11-30	VYDAJ	VYBER	15	29509	SLUZBY	\N	\N
1314597	4488	1997-12-31	VYDAJ	VYBER	15	27206	SLUZBY	\N	\N
1314598	4488	1998-01-31	VYDAJ	VYBER	15	18961	SLUZBY	\N	\N
1314599	4488	1998-02-28	VYDAJ	VYBER	15	25701	SLUZBY	\N	\N
1314600	4488	1998-03-31	VYDAJ	VYBER	15	28058	SLUZBY	\N	\N
1314601	4488	1998-04-30	VYDAJ	VYBER	15	26919	SLUZBY	\N	\N
1314602	4488	1998-05-31	VYDAJ	VYBER	15	31888	SLUZBY	\N	\N
1314603	4488	1998-06-30	VYDAJ	VYBER	15	11663	SLUZBY	\N	\N
1314604	4488	1998-07-31	VYDAJ	VYBER	15	20880	SLUZBY	\N	\N
1314605	4488	1998-08-31	VYDAJ	VYBER	15	26727	SLUZBY	\N	\N
1314606	4488	1998-09-30	VYDAJ	VYBER	15	22075	SLUZBY	\N	\N
1314607	4488	1998-10-31	VYDAJ	VYBER	15	24318	SLUZBY	\N	\N
1314608	4488	1998-11-30	VYDAJ	VYBER	15	25266	SLUZBY	\N	\N
1314609	4488	1996-05-24	PRIJEM	VKLAD	6000	15460	\N	\N	\N
1314610	4488	1996-06-23	VYDAJ	VYBER	2900	25867	\N	\N	\N
1314611	4488	1996-07-23	VYDAJ	VYBER	7800	27003	\N	\N	\N
1314612	4488	1996-08-22	VYDAJ	VYBER	7600	28372	\N	\N	\N
1314613	4488	1996-09-21	VYDAJ	VYBER	10400	26946	\N	\N	\N
1314614	4488	1996-10-21	VYDAJ	VYBER	7200	25208	\N	\N	\N
1314615	4488	1996-11-20	VYDAJ	VYBER	10400	23767	\N	\N	\N
1314616	4488	1996-12-20	VYDAJ	VYBER	5600	25641	\N	\N	\N
1314617	4488	1997-01-19	PRIJEM	VKLAD	3500	17681	\N	\N	\N
1314618	4488	1997-02-18	PRIJEM	VKLAD	2000	24888	\N	\N	\N
1314619	4488	1997-03-20	VYDAJ	VYBER	4800	27710	\N	\N	\N
1314620	4488	1997-04-19	VYDAJ	VYBER	7500	29174	\N	\N	\N
1314621	4488	1997-05-19	VYDAJ	VYBER	2500	31137	\N	\N	\N
1314622	4488	1997-07-18	VYDAJ	VYBER	8800	29308	\N	\N	\N
1314623	4488	1997-08-17	VYDAJ	VYBER	5900	32375	\N	\N	\N
1314624	4488	1997-09-16	VYDAJ	VYBER	4800	30649	\N	\N	\N
1314625	4488	1997-10-16	VYDAJ	VYBER	6500	31628	\N	\N	\N
1314626	4488	1997-11-15	VYDAJ	VYBER	9500	29400	\N	\N	\N
1314627	4488	1997-12-15	VYDAJ	VYBER	12900	27899	\N	\N	\N
1314628	4488	1998-01-14	VYDAJ	VYBER	3500	27166	\N	\N	\N
1314629	4488	1998-02-13	VYDAJ	VYBER	2200	25621	\N	\N	\N
1314630	4488	1998-03-15	VYDAJ	VYBER	6600	27961	\N	\N	\N
1314631	4488	1998-04-14	VYDAJ	VYBER	6000	30918	\N	\N	\N
1314632	4488	1998-05-14	VYDAJ	VYBER	4000	31779	\N	\N	\N
1314633	4488	1998-06-13	VYDAJ	VYBER	10300	34878	\N	\N	\N
1314634	4488	1998-07-13	PRIJEM	VKLAD	300	20823	\N	\N	\N
1314635	4488	1998-08-12	VYDAJ	VYBER	3100	26640	\N	\N	\N
1314636	4488	1998-09-11	VYDAJ	VYBER	5600	29987	\N	\N	\N
1314637	4488	1998-10-11	VYDAJ	VYBER	6700	24235	\N	\N	\N
1314638	4488	1998-11-10	VYDAJ	VYBER	8000	25178	\N	\N	\N
1316063	4493	1996-10-15	PRIJEM	VKLAD	200	200	\N	\N	\N
1316064	4493	1996-12-18	PRIJEM	VKLAD	35057	102397	\N	\N	\N
1316066	4493	1996-12-29	PRIJEM	VKLAD	15899	111396	\N	\N	\N
1316067	4493	1996-12-11	PRIJEM	VKLAD	17897	94102	\N	\N	\N
1316070	4493	1996-12-14	PRIJEM	VKLAD	47538	137440	\N	\N	\N
1316073	4493	1996-11-28	PRIJEM	VKLAD	34050	76089	\N	\N	\N
1316075	4493	1996-11-20	PRIJEM	VKLAD	13616	42039	\N	\N	\N
1316078	4493	1996-11-05	PRIJEM	VKLAD	20915	28823	\N	\N	\N
1316081	4493	1996-10-22	PRIJEM	VKLAD	7697	7897	\N	\N	\N
1316088	4493	1997-06-03	PRIJEM	VKLAD	30860	59498	\N	\N	\N
1316089	4493	1997-12-11	PRIJEM	VKLAD	35579	83920	\N	\N	\N
1316090	4493	1997-09-11	PRIJEM	VKLAD	36618	66717	\N	\N	\N
1316091	4493	1997-01-18	PRIJEM	VKLAD	10608	57654	\N	\N	\N
1316092	4493	1997-03-03	PRIJEM	VKLAD	20731	66844	\N	\N	\N
1316093	4493	1997-06-28	PRIJEM	VKLAD	37272	92648	\N	\N	\N
1316094	4493	1997-11-10	PRIJEM	VKLAD	32562	75392	\N	\N	\N
1316095	4493	1997-02-04	PRIJEM	VKLAD	25474	83293	\N	\N	\N
1316096	4493	1997-10-06	PRIJEM	VKLAD	31872	109176	\N	\N	\N
1316097	4493	1997-06-10	PRIJEM	VKLAD	23678	83176	\N	\N	\N
1316098	4493	1997-09-28	PRIJEM	VKLAD	10456	77173	\N	\N	\N
1316099	4493	1998-08-31	PRIJEM	VKLAD	45147	68010	\N	\N	\N
1316100	4493	1998-12-03	PRIJEM	VKLAD	34612	63645	\N	\N	\N
1316105	4493	1997-04-22	VYBER	VYBER	2583	31245	\N	\N	\N
1316106	4493	1997-10-09	VYBER	VYBER	7613	85563	\N	\N	\N
1316107	4493	1997-07-12	VYBER	VYBER	4464	88305	\N	\N	\N
1316108	4493	1997-12-03	VYBER	VYBER	11837	63741	\N	\N	\N
1316111	4493	1998-08-17	VYBER	VYBER	6810	22863	\N	\N	\N
1316112	4493	1998-06-07	VYBER	VYBER	4309	32389	\N	\N	\N
1316113	4493	1998-02-11	VYBER	VYBER	10893	28585	\N	\N	\N
1316116	4493	1998-10-15	VYBER	VYBER	12532	25579	\N	\N	\N
1316118	4493	1998-12-21	VYBER	VYBER	5156	39689	\N	\N	\N
1316119	4493	1998-01-11	VYBER	VYBER	14506	46741	\N	\N	\N
1316125	4493	1996-12-23	VYDAJ	VYBER	6900	95497	\N	\N	\N
1316126	4493	1997-12-27	VYDAJ	VYBER	5700	78220	\N	\N	\N
1316127	4493	1998-12-08	VYDAJ	VYBER	3300	44845	\N	\N	\N
1316129	4493	1996-12-11	VYDAJ	VYBER	4200	89902	\N	\N	\N
1316132	4493	1997-02-20	VYDAJ	VYBER	8100	45993	\N	\N	\N
1316133	4493	1997-08-25	VYDAJ	VYBER	12900	29891	\N	\N	\N
1316134	4493	1997-10-20	VYDAJ	VYBER	6600	53063	\N	\N	\N
1316136	4493	1998-12-30	VYDAJ	VYBER	7500	32189	\N	\N	\N
1316137	4493	1998-04-08	VYDAJ	VYBER	7800	36451	\N	\N	\N
1316139	4493	1998-04-15	VYDAJ	VYBER	9900	26551	\N	\N	\N
1316152	4493	1996-12-31	VYDAJ	VYBER	100	68446	SLUZBY	\N	\N
1316153	4493	1997-01-31	VYDAJ	VYBER	100	57819	SLUZBY	\N	\N
1316154	4493	1997-02-28	VYDAJ	VYBER	100	46113	SLUZBY	\N	\N
1316155	4493	1997-03-31	VYDAJ	VYBER	100	42628	SLUZBY	\N	\N
1316156	4493	1997-04-30	VYDAJ	VYBER	100	31308	SLUZBY	\N	\N
1316157	4493	1997-05-31	VYDAJ	VYBER	100	28638	SLUZBY	\N	\N
1316158	4493	1997-06-30	VYDAJ	VYBER	100	92769	SLUZBY	\N	\N
1316159	4493	1997-07-31	VYDAJ	VYBER	100	55691	SLUZBY	\N	\N
1316160	4493	1997-08-31	VYDAJ	VYBER	100	29999	SLUZBY	\N	\N
1316161	4493	1997-09-30	VYDAJ	VYBER	100	77304	SLUZBY	\N	\N
1316162	4493	1997-10-31	VYDAJ	VYBER	100	53230	SLUZBY	\N	\N
1316163	4493	1997-11-30	VYDAJ	VYBER	100	75578	SLUZBY	\N	\N
1316164	4493	1997-12-31	VYDAJ	VYBER	100	78447	SLUZBY	\N	\N
1316165	4493	1998-01-31	VYDAJ	VYBER	100	46878	SLUZBY	\N	\N
1316166	4493	1998-02-28	VYDAJ	VYBER	100	28631	SLUZBY	\N	\N
1316167	4493	1998-03-31	VYDAJ	VYBER	100	35651	SLUZBY	\N	\N
1316168	4493	1998-04-30	VYDAJ	VYBER	100	26587	SLUZBY	\N	\N
1316169	4493	1998-05-31	VYDAJ	VYBER	100	33398	SLUZBY	\N	\N
1316170	4493	1998-06-30	VYDAJ	VYBER	100	32438	SLUZBY	\N	\N
1316171	4493	1998-07-31	VYDAJ	VYBER	100	32373	SLUZBY	\N	\N
1316172	4493	1998-08-31	VYDAJ	VYBER	100	68031	SLUZBY	\N	\N
1316173	4493	1998-09-30	VYDAJ	VYBER	100	48011	SLUZBY	\N	\N
1316174	4493	1998-10-31	VYDAJ	VYBER	100	25627	SLUZBY	\N	\N
1316175	4493	1998-11-30	VYDAJ	VYBER	100	29033	SLUZBY	\N	\N
1316176	4493	1996-11-14	VYDAJ	VYBER	400	28423	\N	\N	\N
1316177	4493	1996-12-14	VYDAJ	VYBER	32100	105340	\N	\N	\N
1316178	4493	1996-12-14	VYDAJ	VYBER	38000	67340	\N	\N	\N
1316179	4493	1996-12-29	VYDAJ	VYBER	43200	68196	\N	\N	\N
1316180	4493	1997-01-13	VYDAJ	VYBER	21400	47046	\N	\N	\N
1316181	4493	1997-02-12	VYDAJ	VYBER	29200	54093	\N	\N	\N
1316182	4493	1997-03-14	VYDAJ	VYBER	24300	42544	\N	\N	\N
1316183	4493	1997-04-13	VYDAJ	VYBER	8800	33828	\N	\N	\N
1316184	4493	1997-05-13	VYDAJ	VYBER	2700	28608	\N	\N	\N
1316185	4493	1997-06-12	VYDAJ	VYBER	27800	55376	\N	\N	\N
1316186	4493	1997-07-12	VYDAJ	VYBER	32800	55505	\N	\N	\N
1316187	4493	1997-08-11	VYDAJ	VYBER	12900	42791	\N	\N	\N
1316188	4493	1997-09-10	PRIJEM	VKLAD	100	30099	\N	\N	\N
1316189	4493	1997-10-06	VYDAJ	VYBER	16000	93176	\N	\N	\N
1316190	4493	1997-10-10	VYDAJ	VYBER	25900	59663	\N	\N	\N
1316191	4493	1997-11-09	VYDAJ	VYBER	10400	42830	\N	\N	\N
1316192	4493	1997-12-09	VYDAJ	VYBER	15400	48341	\N	\N	\N
1316193	4493	1998-01-08	VYDAJ	VYBER	17200	61247	\N	\N	\N
1316194	4493	1998-02-07	VYDAJ	VYBER	7400	39478	\N	\N	\N
1316195	4493	1998-03-09	PRIJEM	VKLAD	7000	35631	\N	\N	\N
1316196	4493	1998-04-08	PRIJEM	VKLAD	8600	44251	\N	\N	\N
1316197	4493	1998-05-08	PRIJEM	VKLAD	6800	33387	\N	\N	\N
1316198	4493	1998-06-07	PRIJEM	VKLAD	3300	36698	\N	\N	\N
1316199	4493	1998-07-07	VYDAJ	VYBER	100	32338	\N	\N	\N
1316200	4493	1998-08-06	VYDAJ	VYBER	2700	29673	\N	\N	\N
1316201	4493	1998-09-05	VYDAJ	VYBER	20200	47831	\N	\N	\N
1316202	4493	1998-10-05	VYDAJ	VYBER	9900	38111	\N	\N	\N
1316203	4493	1998-11-04	PRIJEM	VKLAD	3400	29027	\N	\N	\N
1316204	4493	1998-12-04	VYDAJ	VYBER	15500	48145	\N	\N	\N
1318915	4503	1995-01-03	PRIJEM	VKLAD	200	200	\N	\N	\N
1318916	4503	1995-02-18	PRIJEM	VKLAD	28635	39935	\N	\N	\N
1318917	4503	1995-11-02	PRIJEM	VKLAD	6537	72213	\N	\N	\N
1318918	4503	1995-10-06	PRIJEM	VKLAD	42863	72600	\N	\N	\N
1318919	4503	1995-09-20	PRIJEM	VKLAD	34157	54510	\N	\N	\N
1318920	4503	1995-06-18	PRIJEM	VKLAD	17513	52712	\N	\N	\N
1318921	4503	1995-11-05	PRIJEM	VKLAD	40608	112821	\N	\N	\N
1318922	4503	1995-04-29	PRIJEM	VKLAD	26986	97979	\N	\N	\N
1318923	4503	1995-04-06	PRIJEM	VKLAD	48633	100617	\N	\N	\N
1318924	4503	1995-11-22	PRIJEM	VKLAD	34108	106029	\N	\N	\N
1318925	4503	1995-12-15	PRIJEM	VKLAD	21783	91283	\N	\N	\N
1318926	4503	1995-03-26	PRIJEM	VKLAD	8954	67451	\N	\N	\N
1318927	4503	1995-07-30	PRIJEM	VKLAD	33867	59926	\N	\N	\N
1318928	4503	1995-03-26	PRIJEM	VKLAD	13930	81381	\N	\N	\N
1318929	4503	1995-05-14	PRIJEM	VKLAD	44655	102547	\N	\N	\N
1318930	4503	1995-03-25	PRIJEM	VKLAD	30097	58497	\N	\N	\N
1318931	4503	1995-05-17	PRIJEM	VKLAD	46833	146480	\N	\N	\N
1318932	4503	1995-10-15	PRIJEM	VKLAD	19754	83754	\N	\N	\N
1318933	4503	1995-11-28	PRIJEM	VKLAD	44206	139135	\N	\N	\N
1318934	4503	1995-10-29	PRIJEM	VKLAD	45261	108620	\N	\N	\N
1318935	4503	1996-10-03	PRIJEM	VKLAD	15908	100665	\N	\N	\N
1318936	4503	1996-11-06	PRIJEM	VKLAD	45437	82674	\N	\N	\N
1318937	4503	1996-09-02	PRIJEM	VKLAD	30176	83261	\N	\N	\N
1318938	4503	1996-06-07	PRIJEM	VKLAD	41155	67702	\N	\N	\N
1318939	4503	1996-01-15	PRIJEM	VKLAD	12408	55457	\N	\N	\N
1318940	4503	1996-10-12	PRIJEM	VKLAD	23121	111522	\N	\N	\N
1318941	4503	1996-07-18	PRIJEM	VKLAD	46993	82554	\N	\N	\N
1318942	4503	1996-09-12	PRIJEM	VKLAD	36456	125054	\N	\N	\N
1318943	4503	1996-01-21	PRIJEM	VKLAD	5668	61125	\N	\N	\N
1318944	4503	1996-07-30	PRIJEM	VKLAD	12423	68577	\N	\N	\N
1318945	4503	1996-09-29	PRIJEM	VKLAD	40409	109611	\N	\N	\N
1318946	4503	1996-09-04	PRIJEM	VKLAD	19437	102698	\N	\N	\N
1318947	4503	1996-07-04	PRIJEM	VKLAD	7574	38381	\N	\N	\N
1318948	4503	1996-08-11	PRIJEM	VKLAD	30330	127400	\N	\N	\N
1318949	4503	1996-07-30	PRIJEM	VKLAD	28289	96866	\N	\N	\N
1318950	4503	1996-02-23	PRIJEM	VKLAD	15871	91778	\N	\N	\N
1318951	4503	1996-06-08	PRIJEM	VKLAD	25093	92795	\N	\N	\N
1318952	4503	1996-03-13	PRIJEM	VKLAD	49528	102850	\N	\N	\N
1318953	4503	1996-12-07	PRIJEM	VKLAD	34825	90004	\N	\N	\N
1318954	4503	1996-02-05	PRIJEM	VKLAD	18485	60819	\N	\N	\N
1318955	4503	1996-09-13	PRIJEM	VKLAD	37768	102902	\N	\N	\N
1318956	4503	1996-02-10	PRIJEM	VKLAD	20908	81727	\N	\N	\N
1318957	4503	1996-10-11	PRIJEM	VKLAD	23036	123701	\N	\N	\N
1318958	4503	1996-03-18	PRIJEM	VKLAD	9460	112310	\N	\N	\N
1318959	4503	1997-07-30	PRIJEM	VKLAD	27550	71004	\N	\N	\N
1318960	4503	1997-01-19	PRIJEM	VKLAD	8684	42903	\N	\N	\N
1318961	4503	1997-07-05	PRIJEM	VKLAD	34371	55443	\N	\N	\N
1318962	4503	1997-02-07	PRIJEM	VKLAD	22368	95104	\N	\N	\N
1318963	4503	1997-02-08	PRIJEM	VKLAD	43202	138306	\N	\N	\N
1318964	4503	1997-07-27	PRIJEM	VKLAD	17931	43454	\N	\N	\N
1318965	4503	1997-03-02	PRIJEM	VKLAD	13044	55612	\N	\N	\N
1318966	4503	1997-09-27	PRIJEM	VKLAD	14513	37333	\N	\N	\N
1318967	4503	1997-05-23	PRIJEM	VKLAD	9292	25928	\N	\N	\N
1318968	4503	1997-01-24	PRIJEM	VKLAD	43781	75084	\N	\N	\N
1318969	4503	1998-06-26	PRIJEM	VKLAD	48648	66555	\N	\N	\N
1318970	4503	1998-06-01	PRIJEM	VKLAD	21126	76927	\N	\N	\N
1318971	4503	1998-05-23	PRIJEM	VKLAD	23189	44658	\N	\N	\N
1318972	4503	1998-01-24	PRIJEM	VKLAD	17020	36260	\N	\N	\N
1318973	4503	1998-09-16	PRIJEM	VKLAD	31430	65043	\N	\N	\N
1318974	4503	1998-04-26	PRIJEM	VKLAD	47966	70251	\N	\N	\N
1318975	4503	1998-06-01	PRIJEM	VKLAD	10959	55801	\N	\N	\N
1318976	4503	1998-07-23	PRIJEM	VKLAD	7893	49375	\N	\N	\N
1318977	4503	1998-08-03	PRIJEM	VKLAD	47770	94082	\N	\N	\N
1318978	4503	1998-02-17	PRIJEM	VKLAD	46362	79892	\N	\N	\N
1318979	4503	1998-12-05	PRIJEM	VKLAD	8524	73356	\N	\N	\N
1318980	4503	1998-12-20	PRIJEM	VKLAD	48953	74189	\N	\N	\N
1318981	4503	1998-07-11	PRIJEM	VKLAD	39068	134701	\N	\N	\N
1318982	4503	1998-07-07	PRIJEM	VKLAD	28906	95633	\N	\N	\N
1318983	4503	1998-11-15	PRIJEM	VKLAD	39197	64583	\N	\N	\N
1318984	4503	1998-10-25	PRIJEM	VKLAD	35015	70335	\N	\N	\N
1318988	4503	1995-04-08	VYDAJ	VYBER	2100	79222	\N	\N	0
1318989	4503	1995-05-14	VYDAJ	VYBER	2900	99647	\N	\N	0
1318990	4503	1995-06-05	VYDAJ	VYBER	1700	47799	\N	\N	0
1318991	4503	1995-07-18	VYDAJ	VYBER	2700	33946	\N	\N	0
1318992	4503	1995-07-29	VYDAJ	VYBER	2800	26059	\N	\N	0
1318993	4503	1995-09-18	VYDAJ	VYBER	2600	20353	\N	\N	0
1318994	4503	1995-10-08	VYDAJ	VYBER	2300	70300	\N	\N	0
1318995	4503	1995-11-14	VYDAJ	VYBER	3900	71921	\N	\N	0
1318996	4503	1995-12-22	VYDAJ	VYBER	3300	87983	\N	\N	0
1318997	4503	1996-01-12	VYDAJ	PREVOD NA UCET	2820	43049	UVER	YZ	21099597
1318998	4503	1996-02-12	VYDAJ	PREVOD NA UCET	2820	78907	UVER	YZ	21099597
1318999	4503	1996-03-12	VYDAJ	PREVOD NA UCET	2820	53322	UVER	YZ	21099597
1319000	4503	1996-04-12	VYDAJ	PREVOD NA UCET	2820	52416	UVER	YZ	21099597
1319001	4503	1996-05-12	VYDAJ	PREVOD NA UCET	2820	38403	UVER	YZ	21099597
1319002	4503	1996-06-12	VYDAJ	PREVOD NA UCET	2820	74784	UVER	YZ	21099597
1319003	4503	1996-07-12	VYDAJ	PREVOD NA UCET	2820	35561	UVER	YZ	21099597
1319004	4503	1996-08-12	VYDAJ	PREVOD NA UCET	2820	74280	UVER	YZ	21099597
1319005	4503	1996-09-12	VYDAJ	PREVOD NA UCET	2820	65134	UVER	YZ	21099597
1319006	4503	1996-10-12	VYDAJ	PREVOD NA UCET	2820	108702	UVER	YZ	21099597
1319007	4503	1996-11-12	VYDAJ	PREVOD NA UCET	2820	79854	UVER	YZ	21099597
1319008	4503	1996-12-12	VYDAJ	PREVOD NA UCET	2820	87184	UVER	YZ	21099597
1319009	4503	1997-01-12	VYDAJ	PREVOD NA UCET	2820	34219	UVER	YZ	21099597
1319010	4503	1997-02-12	VYDAJ	PREVOD NA UCET	2820	86786	UVER	YZ	21099597
1319011	4503	1997-03-12	VYDAJ	PREVOD NA UCET	2820	34862	UVER	YZ	21099597
1319012	4503	1997-04-12	VYDAJ	PREVOD NA UCET	2820	21969	UVER	YZ	21099597
1319013	4503	1997-05-12	VYDAJ	PREVOD NA UCET	2820	19236	UVER	YZ	21099597
1319014	4503	1997-06-12	VYDAJ	PREVOD NA UCET	2820	23187	UVER	YZ	21099597
1319015	4503	1997-07-12	VYDAJ	PREVOD NA UCET	2820	52623	UVER	YZ	21099597
1319016	4503	1997-08-12	VYDAJ	PREVOD NA UCET	2820	61402	UVER	YZ	21099597
1319017	4503	1997-09-12	VYDAJ	PREVOD NA UCET	2820	22820	UVER	YZ	21099597
1319018	4503	1997-10-12	VYDAJ	PREVOD NA UCET	2820	27405	UVER	YZ	21099597
1319019	4503	1997-11-12	VYDAJ	PREVOD NA UCET	2820	24697	UVER	YZ	21099597
1319020	4503	1997-12-12	VYDAJ	PREVOD NA UCET	2820	21974	UVER	YZ	21099597
1319021	4503	1998-01-12	VYDAJ	PREVOD NA UCET	2820	19240	UVER	YZ	21099597
1319022	4503	1998-02-12	VYDAJ	PREVOD NA UCET	2820	33530	UVER	YZ	21099597
1319023	4503	1998-03-12	VYDAJ	PREVOD NA UCET	2820	53519	UVER	YZ	21099597
1319024	4503	1998-04-12	VYDAJ	PREVOD NA UCET	2820	22285	UVER	YZ	21099597
1319025	4503	1998-05-12	VYDAJ	PREVOD NA UCET	2820	55969	UVER	YZ	21099597
1319026	4503	1998-06-12	VYDAJ	PREVOD NA UCET	2820	57907	UVER	YZ	21099597
1319027	4503	1998-07-12	VYDAJ	PREVOD NA UCET	2820	105082	UVER	YZ	21099597
1319028	4503	1998-08-12	VYDAJ	PREVOD NA UCET	2820	91263	UVER	YZ	21099597
1319029	4503	1998-09-12	VYDAJ	PREVOD NA UCET	2820	33613	UVER	YZ	21099597
1319030	4503	1998-10-12	VYDAJ	PREVOD NA UCET	2820	35320	UVER	YZ	21099597
1319031	4503	1998-11-12	VYDAJ	PREVOD NA UCET	2820	67686	UVER	YZ	21099597
1319032	4503	1998-12-12	VYDAJ	PREVOD NA UCET	2820	70536	UVER	YZ	21099597
1319033	4503	1995-04-14	VYBER	VYBER	8229	70993	\N	\N	\N
1319034	4503	1995-08-13	VYBER	VYBER	13058	30326	\N	\N	\N
1319035	4503	1995-09-29	VYBER	VYBER	18896	35614	\N	\N	\N
1319036	4503	1995-10-25	VYBER	VYBER	20395	63359	\N	\N	\N
1319038	4503	1995-07-26	VYBER	VYBER	5087	28859	\N	\N	\N
1319040	4503	1995-08-16	VYBER	VYBER	5920	24406	\N	\N	\N
1319041	4503	1995-06-23	VYBER	VYBER	7160	45552	\N	\N	\N
1319042	4503	1995-04-08	VYBER	VYBER	19295	81322	\N	\N	\N
1319043	4503	1996-06-16	VYBER	VYBER	24993	26556	\N	\N	\N
1319044	4503	1996-06-10	VYBER	VYBER	15192	77603	\N	\N	\N
1319047	4503	1996-06-14	VYBER	VYBER	23235	51549	\N	\N	\N
1319048	4503	1997-03-09	VYBER	VYBER	17930	37682	\N	\N	\N
1319051	4503	1997-08-07	VYBER	VYBER	6919	64222	\N	\N	\N
1319052	4503	1997-08-21	VYBER	VYBER	13160	25442	\N	\N	\N
1319056	4503	1997-10-05	VYBER	VYBER	7205	30224	\N	\N	\N
1319057	4503	1997-01-27	VYBER	VYBER	2541	72543	\N	\N	\N
1319059	4503	1998-09-16	VYBER	VYBER	9681	55362	\N	\N	\N
1319060	4503	1998-09-19	VYBER	VYBER	17370	37992	\N	\N	\N
1319061	4503	1998-04-27	VYBER	VYBER	7648	62603	\N	\N	\N
1319062	4503	1998-02-22	VYBER	VYBER	3344	76548	\N	\N	\N
1319064	4503	1998-03-10	VYBER	VYBER	20418	56338	\N	\N	\N
1319066	4503	1998-05-07	VYBER	VYBER	3928	58789	\N	\N	\N
1319067	4503	1995-06-13	VYDAJ	VYBER	12600	35199	\N	\N	\N
1319070	4503	1998-06-09	VYDAJ	VYBER	16200	60727	\N	\N	\N
1319072	4503	1996-01-10	VYDAJ	VYBER	9000	45869	\N	\N	\N
1319075	4503	1995-12-22	VYDAJ	VYBER	4200	83783	\N	\N	\N
1319076	4503	1996-12-26	VYDAJ	VYBER	6000	47884	\N	\N	\N
1319080	4503	1995-10-12	VYDAJ	VYBER	6300	64000	\N	\N	\N
1319081	4503	1995-11-27	VYDAJ	VYBER	11100	94929	\N	\N	\N
1319083	4503	1996-05-26	VYDAJ	VYBER	13200	25203	\N	\N	\N
1319084	4503	1996-02-21	VYDAJ	VYBER KARTOU	3000	75907	\N	\N	0
1319085	4503	1996-10-26	VYDAJ	VYBER KARTOU	3300	36902	\N	\N	0
1319086	4503	1996-09-05	VYDAJ	VYBER	14100	88598	\N	\N	\N
1319088	4503	1997-01-01	VYDAJ	VYBER	11100	37039	\N	\N	\N
1319089	4503	1997-02-23	VYDAJ	VYBER	7500	42286	\N	\N	\N
1319092	4503	1997-07-22	VYDAJ	VYBER	8100	25523	\N	\N	\N
1319093	4503	1998-07-24	VYDAJ	VYBER KARTOU	3300	46075	\N	\N	0
1319100	4503	1995-04-30	VYDAJ	VYBER	15	98292	SLUZBY	\N	\N
1319101	4503	1995-05-31	VYDAJ	VYBER	15	112299	SLUZBY	\N	\N
1319102	4503	1995-06-30	VYDAJ	VYBER	15	45746	SLUZBY	\N	\N
1319103	4503	1995-07-31	VYDAJ	VYBER	15	60084	SLUZBY	\N	\N
1319104	4503	1995-08-31	VYDAJ	VYBER	15	24553	SLUZBY	\N	\N
1319105	4503	1995-09-30	VYDAJ	VYBER	15	29737	SLUZBY	\N	\N
1319106	4503	1995-10-31	VYDAJ	VYBER	15	65676	SLUZBY	\N	\N
1319107	4503	1995-11-30	VYDAJ	VYBER	15	69500	SLUZBY	\N	\N
1319108	4503	1995-12-31	VYDAJ	VYBER	15	54869	SLUZBY	\N	\N
1319109	4503	1996-01-31	VYDAJ	VYBER	15	42334	SLUZBY	\N	\N
1319110	4503	1996-02-29	VYDAJ	VYBER	15	56142	SLUZBY	\N	\N
1319111	4503	1996-03-31	VYDAJ	VYBER	15	55235	SLUZBY	\N	\N
1319112	4503	1996-04-30	VYDAJ	VYBER	15	41223	SLUZBY	\N	\N
1319113	4503	1996-05-31	VYDAJ	VYBER	15	26547	SLUZBY	\N	\N
1319114	4503	1996-06-30	VYDAJ	VYBER	15	30807	SLUZBY	\N	\N
1319115	4503	1996-07-31	VYDAJ	VYBER	15	97070	SLUZBY	\N	\N
1319116	4503	1996-08-31	VYDAJ	VYBER	15	53085	SLUZBY	\N	\N
1319117	4503	1996-09-30	VYDAJ	VYBER	15	84757	SLUZBY	\N	\N
1319118	4503	1996-10-31	VYDAJ	VYBER	15	37237	SLUZBY	\N	\N
1319119	4503	1996-11-30	VYDAJ	VYBER	15	55179	SLUZBY	\N	\N
1319120	4503	1996-12-31	VYDAJ	VYBER	15	48139	SLUZBY	\N	\N
1319121	4503	1997-01-31	VYDAJ	VYBER	15	72736	SLUZBY	\N	\N
1319122	4503	1997-02-28	VYDAJ	VYBER	15	42568	SLUZBY	\N	\N
1319123	4503	1997-03-31	VYDAJ	VYBER	15	24788	SLUZBY	\N	\N
1319124	4503	1997-04-30	VYDAJ	VYBER	15	22055	SLUZBY	\N	\N
1319125	4503	1997-05-31	VYDAJ	VYBER	15	26007	SLUZBY	\N	\N
1319126	4503	1997-06-30	VYDAJ	VYBER	15	21072	SLUZBY	\N	\N
1319127	4503	1997-07-31	VYDAJ	VYBER	15	71141	SLUZBY	\N	\N
1319128	4503	1997-08-31	VYDAJ	VYBER	15	25640	SLUZBY	\N	\N
1319129	4503	1997-09-30	VYDAJ	VYBER	15	37429	SLUZBY	\N	\N
1319130	4503	1997-10-31	VYDAJ	VYBER	15	27517	SLUZBY	\N	\N
1319131	4503	1997-11-30	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
1319132	4503	1997-12-31	VYDAJ	VYBER	15	22060	SLUZBY	\N	\N
1319133	4503	1998-01-31	VYDAJ	VYBER	15	36350	SLUZBY	\N	\N
1319134	4503	1998-02-28	VYDAJ	VYBER	15	76756	SLUZBY	\N	\N
1319135	4503	1998-03-31	VYDAJ	VYBER	15	25105	SLUZBY	\N	\N
1319136	4503	1998-04-30	VYDAJ	VYBER	15	62717	SLUZBY	\N	\N
1319137	4503	1998-05-31	VYDAJ	VYBER	15	44842	SLUZBY	\N	\N
1319138	4503	1998-06-30	VYDAJ	VYBER	15	66727	SLUZBY	\N	\N
1319139	4503	1998-07-31	VYDAJ	VYBER	15	46312	SLUZBY	\N	\N
1319140	4503	1998-08-31	VYDAJ	VYBER	15	36432	SLUZBY	\N	\N
1319141	4503	1998-09-30	VYDAJ	VYBER	15	38140	SLUZBY	\N	\N
1319142	4503	1998-10-31	VYDAJ	VYBER	15	70505	SLUZBY	\N	\N
1319143	4503	1998-11-30	VYDAJ	VYBER	15	64832	SLUZBY	\N	\N
1319144	4503	1995-02-02	PRIJEM	VKLAD	11100	11300	\N	\N	\N
1319145	4503	1995-03-04	VYDAJ	VYBER	11600	28400	\N	\N	\N
1319146	4503	1995-04-03	VYDAJ	VYBER	29600	51984	\N	\N	\N
1319147	4503	1995-05-03	VYDAJ	VYBER	40400	57892	\N	\N	\N
1319148	4503	1995-05-17	VYDAJ	VYBER	34600	111880	\N	\N	\N
1319149	4503	1995-05-31	VYDAJ	VYBER	34100	78199	\N	\N	\N
1319150	4503	1995-06-02	VYDAJ	VYBER	28700	49499	\N	\N	\N
1319151	4503	1995-07-02	VYDAJ	VYBER	9100	36646	\N	\N	\N
1319152	4503	1995-08-01	VYDAJ	VYBER	16700	43384	\N	\N	\N
1319153	4503	1995-08-31	VYDAJ	VYBER	1600	22953	\N	\N	\N
1319154	4503	1995-09-30	VYDAJ	VYBER	6000	29752	\N	\N	\N
1319155	4503	1995-10-30	VYDAJ	VYBER	43200	65420	\N	\N	\N
1319156	4503	1995-11-05	VYDAJ	VYBER	37000	75821	\N	\N	\N
1319157	4503	1995-11-28	VYDAJ	VYBER	23600	115535	\N	\N	\N
1319158	4503	1995-11-29	VYDAJ	VYBER	46400	69135	\N	\N	\N
1319159	4503	1995-12-29	VYDAJ	VYBER	29200	54583	\N	\N	\N
1319160	4503	1996-01-28	VYDAJ	VYBER	19000	42125	\N	\N	\N
1319161	4503	1996-02-27	VYDAJ	VYBER	35900	55878	\N	\N	\N
1319162	4503	1996-03-18	VYDAJ	VYBER	31000	81310	\N	\N	\N
1319163	4503	1996-03-28	VYDAJ	VYBER	26400	54910	\N	\N	\N
1319164	4503	1996-04-27	VYDAJ	VYBER	11400	41016	\N	\N	\N
1319165	4503	1996-05-27	PRIJEM	VKLAD	1200	26403	\N	\N	\N
1319166	4503	1996-06-26	PRIJEM	VKLAD	4100	30656	\N	\N	\N
1319167	4503	1996-07-26	VYDAJ	VYBER	26400	56154	\N	\N	\N
1319168	4503	1996-08-11	VYDAJ	VYBER	50300	77100	\N	\N	\N
1319169	4503	1996-08-25	VYDAJ	VYBER	21500	52780	\N	\N	\N
1319170	4503	1996-09-12	VYDAJ	VYBER	57100	67954	\N	\N	\N
1319171	4503	1996-09-24	VYDAJ	VYBER	33700	69202	\N	\N	\N
1319172	4503	1996-09-29	VYDAJ	VYBER	25200	84411	\N	\N	\N
1319173	4503	1996-10-11	VYDAJ	VYBER	35300	88401	\N	\N	\N
1319174	4503	1996-10-12	VYDAJ	VYBER	57800	50902	\N	\N	\N
1319175	4503	1996-10-24	VYDAJ	VYBER	10700	40202	\N	\N	\N
1319176	4503	1996-11-23	VYDAJ	VYBER	24900	54954	\N	\N	\N
1319177	4503	1996-12-23	VYDAJ	VYBER	33300	53884	\N	\N	\N
1319178	4503	1997-01-22	VYDAJ	VYBER	11600	31303	\N	\N	\N
1319179	4503	1997-02-08	VYDAJ	VYBER	48700	89606	\N	\N	\N
1319180	4503	1997-02-21	VYDAJ	VYBER	37000	49786	\N	\N	\N
1319181	4503	1997-03-23	VYDAJ	VYBER	10200	24662	\N	\N	\N
1319182	4503	1997-05-22	VYDAJ	VYBER KARTOU	2600	16636	\N	\N	0
1319183	4503	1997-06-21	VYDAJ	VYBER KARTOU	2200	20987	\N	\N	0
1319184	4503	1997-07-21	VYDAJ	VYBER	19000	33623	\N	\N	\N
1319185	4503	1997-08-20	VYDAJ	VYBER	22800	38602	\N	\N	\N
1319186	4503	1998-03-18	VYDAJ	VYBER	28600	24919	\N	\N	\N
1319187	4503	1998-05-17	VYDAJ	VYBER	34500	21469	\N	\N	\N
1319188	4503	1998-06-16	VYDAJ	VYBER	40000	17907	\N	\N	\N
1319189	4503	1998-07-11	VYDAJ	VYBER	26800	107901	\N	\N	\N
1319190	4503	1998-07-16	VYDAJ	VYBER	63600	41482	\N	\N	\N
1319191	4503	1998-08-15	VYDAJ	VYBER	55000	36263	\N	\N	\N
1319192	4503	1998-11-13	VYDAJ	VYBER	42300	25386	\N	\N	\N
1319193	4503	1998-12-13	VYDAJ	VYBER	45300	25236	\N	\N	\N
1321158	4511	1993-09-26	PRIJEM	VKLAD	600	600	\N	\N	\N
1321168	4511	1993-10-10	PRIJEM	VKLAD	5922	6522	\N	\N	\N
1321169	4511	1993-11-10	PRIJEM	VKLAD	5922	21256	\N	\N	\N
1321170	4511	1993-12-10	PRIJEM	VKLAD	8883	32610	\N	\N	\N
1321171	4511	1994-01-10	PRIJEM	VKLAD	5922	35236	\N	\N	\N
1321172	4511	1994-02-10	PRIJEM	VKLAD	5922	36581	\N	\N	\N
1321173	4511	1994-03-10	PRIJEM	VKLAD	5922	32668	\N	\N	\N
1321174	4511	1994-04-10	PRIJEM	VKLAD	5922	29156	\N	\N	\N
1321175	4511	1994-05-10	PRIJEM	VKLAD	5922	28031	\N	\N	\N
1321176	4511	1994-06-10	PRIJEM	VKLAD	8883	32765	\N	\N	\N
1321177	4511	1994-07-10	PRIJEM	VKLAD	5922	28313	\N	\N	\N
1321178	4511	1994-08-10	PRIJEM	VKLAD	5922	28188	\N	\N	\N
1321179	4511	1994-09-10	PRIJEM	VKLAD	5922	27158	\N	\N	\N
1321180	4511	1994-10-10	PRIJEM	VKLAD	5922	21662	\N	\N	\N
1321181	4511	1994-11-10	PRIJEM	VKLAD	5922	23606	\N	\N	\N
1321182	4511	1994-12-10	PRIJEM	VKLAD	8883	25241	\N	\N	\N
1321183	4511	1995-01-10	PRIJEM	VKLAD	5922	15376	\N	\N	\N
1321184	4511	1995-02-10	PRIJEM	VKLAD	5922	16635	\N	\N	\N
1321185	4511	1995-03-10	PRIJEM	VKLAD	5922	21966	\N	\N	\N
1321186	4511	1995-04-10	PRIJEM	VKLAD	5922	25360	\N	\N	\N
1321187	4511	1995-05-10	PRIJEM	VKLAD	5922	26120	\N	\N	\N
1321188	4511	1995-06-10	PRIJEM	VKLAD	8883	29944	\N	\N	\N
1321189	4511	1995-07-10	PRIJEM	VKLAD	5922	25208	\N	\N	\N
1321190	4511	1995-08-10	PRIJEM	VKLAD	5922	27369	\N	\N	\N
1321191	4511	1995-09-10	PRIJEM	VKLAD	5922	28939	\N	\N	\N
1321192	4511	1995-10-10	PRIJEM	VKLAD	5922	24322	\N	\N	\N
1321193	4511	1995-11-10	PRIJEM	VKLAD	5922	24376	\N	\N	\N
1321194	4511	1995-12-10	PRIJEM	VKLAD	8883	25987	\N	\N	\N
1321195	4511	1996-01-10	PRIJEM	VKLAD	5922	19057	\N	\N	\N
1321196	4511	1996-02-10	PRIJEM	VKLAD	5922	15625	\N	\N	\N
1321197	4511	1996-03-10	PRIJEM	VKLAD	5922	18950	\N	\N	\N
1321198	4511	1996-04-10	PRIJEM	VKLAD	5922	17782	\N	\N	\N
1321199	4511	1996-05-10	PRIJEM	VKLAD	5922	17005	\N	\N	\N
1321200	4511	1996-06-10	PRIJEM	VKLAD	8883	19749	\N	\N	\N
1321201	4511	1996-07-10	PRIJEM	VKLAD	5922	15510	\N	\N	\N
1321202	4511	1996-08-10	PRIJEM	VKLAD	5922	18934	\N	\N	\N
1321203	4511	1996-09-10	PRIJEM	VKLAD	5922	26276	\N	\N	\N
1321204	4511	1996-10-10	PRIJEM	VKLAD	5922	28321	\N	\N	\N
1321205	4511	1996-11-10	PRIJEM	VKLAD	5922	27182	\N	\N	\N
1321206	4511	1996-12-10	PRIJEM	VKLAD	8883	32902	\N	\N	\N
1321207	4511	1997-01-10	PRIJEM	VKLAD	5922	24899	\N	\N	\N
1321208	4511	1997-02-10	PRIJEM	VKLAD	5922	24662	\N	\N	\N
1321209	4511	1997-03-10	PRIJEM	VKLAD	5922	28487	\N	\N	\N
1321210	4511	1997-04-10	PRIJEM	VKLAD	5922	34554	\N	\N	\N
1321211	4511	1997-05-10	PRIJEM	VKLAD	5922	39649	\N	\N	\N
1321212	4511	1997-06-10	PRIJEM	VKLAD	8883	30844	\N	\N	\N
1321213	4511	1997-07-10	PRIJEM	VKLAD	5922	34932	\N	\N	\N
1321214	4511	1997-08-10	PRIJEM	VKLAD	5922	37030	\N	\N	\N
1321215	4511	1997-09-10	PRIJEM	VKLAD	5922	42040	\N	\N	\N
1321216	4511	1997-10-10	PRIJEM	VKLAD	5922	43713	\N	\N	\N
1321217	4511	1997-11-10	PRIJEM	VKLAD	5922	38877	\N	\N	\N
1321218	4511	1997-12-10	PRIJEM	VKLAD	8883	44316	\N	\N	\N
1321219	4511	1998-01-10	PRIJEM	VKLAD	5922	44050	\N	\N	\N
1321220	4511	1998-02-10	PRIJEM	VKLAD	5922	34382	\N	\N	\N
1321221	4511	1998-03-10	PRIJEM	VKLAD	5922	41971	\N	\N	\N
1321222	4511	1998-04-10	PRIJEM	VKLAD	5922	42694	\N	\N	\N
1321223	4511	1998-05-10	PRIJEM	VKLAD	5922	40627	\N	\N	\N
1321224	4511	1998-06-10	PRIJEM	VKLAD	8883	43015	\N	\N	\N
1321225	4511	1998-07-10	PRIJEM	VKLAD	5922	40347	\N	\N	\N
1321226	4511	1998-08-10	PRIJEM	VKLAD	5922	32204	\N	\N	\N
1321227	4511	1998-09-10	PRIJEM	VKLAD	5922	28357	\N	\N	\N
1321228	4511	1998-10-10	PRIJEM	VKLAD	5922	31130	\N	\N	\N
1321229	4511	1998-11-10	PRIJEM	VKLAD	5922	30871	\N	\N	\N
1321230	4511	1998-12-10	PRIJEM	VKLAD	8883	27213	\N	\N	\N
1321245	4511	1994-03-08	VYDAJ	PREVOD NA UCET	3948	26746	SIPO	WX	95965677
1321246	4511	1994-04-08	VYDAJ	PREVOD NA UCET	3948	23234	SIPO	WX	95965677
1321247	4511	1994-05-08	VYDAJ	PREVOD NA UCET	3948	22109	SIPO	WX	95965677
1321248	4511	1994-06-08	VYDAJ	PREVOD NA UCET	3948	23882	SIPO	WX	95965677
1321249	4511	1994-07-08	VYDAJ	PREVOD NA UCET	3948	22391	SIPO	WX	95965677
1321250	4511	1994-08-08	VYDAJ	PREVOD NA UCET	3948	22266	SIPO	WX	95965677
1321251	4511	1994-09-08	VYDAJ	PREVOD NA UCET	3948	21236	SIPO	WX	95965677
1321252	4511	1994-10-08	VYDAJ	PREVOD NA UCET	3948	15740	SIPO	WX	95965677
1321253	4511	1994-11-08	VYDAJ	PREVOD NA UCET	3948	17684	SIPO	WX	95965677
1321254	4511	1994-12-08	VYDAJ	PREVOD NA UCET	3948	16358	SIPO	WX	95965677
1321255	4511	1995-01-08	VYDAJ	PREVOD NA UCET	3948	9454	SIPO	WX	95965677
1321256	4511	1995-02-08	VYDAJ	PREVOD NA UCET	3948	10713	SIPO	WX	95965677
1321257	4511	1995-03-08	VYDAJ	PREVOD NA UCET	3948	16044	SIPO	WX	95965677
1321258	4511	1995-04-08	VYDAJ	PREVOD NA UCET	3948	19438	SIPO	WX	95965677
1321259	4511	1995-05-08	VYDAJ	PREVOD NA UCET	3948	20198	SIPO	WX	95965677
1321260	4511	1995-06-08	VYDAJ	PREVOD NA UCET	3948	21061	SIPO	WX	95965677
1321261	4511	1995-07-08	VYDAJ	PREVOD NA UCET	3948	19286	SIPO	WX	95965677
1321262	4511	1995-08-08	VYDAJ	PREVOD NA UCET	3948	21447	SIPO	WX	95965677
1321263	4511	1995-09-08	VYDAJ	PREVOD NA UCET	3948	23017	SIPO	WX	95965677
1321264	4511	1995-10-08	VYDAJ	PREVOD NA UCET	3948	18400	SIPO	WX	95965677
1321265	4511	1995-11-08	VYDAJ	PREVOD NA UCET	3948	18454	SIPO	WX	95965677
1321460	4511	1998-08-18	VYDAJ	VYBER	3480	28724	\N	\N	\N
1321266	4511	1995-12-08	VYDAJ	PREVOD NA UCET	3948	17104	SIPO	WX	95965677
1321267	4511	1996-01-08	VYDAJ	PREVOD NA UCET	3948	13135	SIPO	WX	95965677
1321268	4511	1996-02-08	VYDAJ	PREVOD NA UCET	3948	9703	SIPO	WX	95965677
1321269	4511	1996-03-08	VYDAJ	PREVOD NA UCET	3948	13028	SIPO	WX	95965677
1321270	4511	1996-04-08	VYDAJ	PREVOD NA UCET	3948	11860	SIPO	WX	95965677
1321271	4511	1996-05-08	VYDAJ	PREVOD NA UCET	3948	11083	SIPO	WX	95965677
1321272	4511	1996-06-08	VYDAJ	PREVOD NA UCET	3948	10866	SIPO	WX	95965677
1321273	4511	1996-07-08	VYDAJ	PREVOD NA UCET	3948	9588	SIPO	WX	95965677
1321274	4511	1996-08-08	VYDAJ	PREVOD NA UCET	3948	13012	SIPO	WX	95965677
1321275	4511	1996-09-08	VYDAJ	PREVOD NA UCET	3948	17354	SIPO	WX	95965677
1321276	4511	1996-10-08	VYDAJ	PREVOD NA UCET	3948	22399	SIPO	WX	95965677
1321277	4511	1996-11-08	VYDAJ	PREVOD NA UCET	3948	13060	SIPO	WX	95965677
1321278	4511	1996-12-08	VYDAJ	PREVOD NA UCET	3948	23319	SIPO	WX	95965677
1321279	4511	1997-01-08	VYDAJ	PREVOD NA UCET	3948	18977	SIPO	WX	95965677
1321280	4511	1997-02-08	VYDAJ	PREVOD NA UCET	3948	18740	SIPO	WX	95965677
1321281	4511	1997-03-08	VYDAJ	PREVOD NA UCET	3948	15865	SIPO	WX	95965677
1321282	4511	1997-04-08	VYDAJ	PREVOD NA UCET	3948	28632	SIPO	WX	95965677
1321283	4511	1997-05-08	VYDAJ	PREVOD NA UCET	3948	33727	SIPO	WX	95965677
1321284	4511	1997-06-08	VYDAJ	PREVOD NA UCET	3948	28681	SIPO	WX	95965677
1321285	4511	1997-07-08	VYDAJ	PREVOD NA UCET	3948	29010	SIPO	WX	95965677
1321286	4511	1997-08-08	VYDAJ	PREVOD NA UCET	3948	31108	SIPO	WX	95965677
1321287	4511	1997-09-08	VYDAJ	PREVOD NA UCET	3948	36118	SIPO	WX	95965677
1321288	4511	1997-10-08	VYDAJ	PREVOD NA UCET	3948	37791	SIPO	WX	95965677
1321289	4511	1997-11-08	VYDAJ	PREVOD NA UCET	3948	32955	SIPO	WX	95965677
1321290	4511	1997-12-08	VYDAJ	PREVOD NA UCET	3948	35433	SIPO	WX	95965677
1321291	4511	1998-01-08	VYDAJ	PREVOD NA UCET	3948	38128	SIPO	WX	95965677
1321292	4511	1998-02-08	VYDAJ	PREVOD NA UCET	3948	28460	SIPO	WX	95965677
1321293	4511	1998-03-08	VYDAJ	PREVOD NA UCET	3948	36049	SIPO	WX	95965677
1321294	4511	1998-04-08	VYDAJ	PREVOD NA UCET	3948	36772	SIPO	WX	95965677
1321295	4511	1998-05-08	VYDAJ	PREVOD NA UCET	3948	34705	SIPO	WX	95965677
1321296	4511	1998-06-08	VYDAJ	PREVOD NA UCET	3948	34132	SIPO	WX	95965677
1321297	4511	1998-07-08	VYDAJ	PREVOD NA UCET	3948	34425	SIPO	WX	95965677
1321298	4511	1998-08-08	VYDAJ	PREVOD NA UCET	3948	26282	SIPO	WX	95965677
1321299	4511	1998-09-08	VYDAJ	PREVOD NA UCET	3948	22435	SIPO	WX	95965677
1321300	4511	1998-10-08	VYDAJ	PREVOD NA UCET	3948	25208	SIPO	WX	95965677
1321301	4511	1998-11-08	VYDAJ	PREVOD NA UCET	3948	24949	SIPO	WX	95965677
1321302	4511	1998-12-08	VYDAJ	PREVOD NA UCET	3948	18330	SIPO	WX	95965677
1321377	4511	1995-06-16	VYDAJ	VYBER	8000	21944	\N	\N	\N
1321378	4511	1996-06-15	VYDAJ	VYBER	4960	13489	\N	\N	\N
1321379	4511	1997-06-09	VYDAJ	VYBER	6720	21961	\N	\N	\N
1321383	4511	1995-01-01	VYDAJ	VYBER	1600	15202	\N	\N	\N
1321386	4511	1998-01-14	VYDAJ	VYBER	10400	31250	\N	\N	\N
1321388	4511	1994-12-29	VYDAJ	VYBER	4640	18401	\N	\N	\N
1321389	4511	1995-12-21	VYDAJ	VYBER	3520	19767	\N	\N	\N
1321390	4511	1996-12-19	VYDAJ	VYBER	2400	30502	\N	\N	\N
1321391	4511	1997-12-30	VYDAJ	VYBER	4160	40156	\N	\N	\N
1321392	4511	1998-12-22	VYDAJ	VYBER	2080	25133	\N	\N	\N
1321405	4511	1995-01-13	VYDAJ	VYBER	1440	13936	\N	\N	\N
1321406	4511	1995-01-26	VYDAJ	VYBER	960	14616	\N	\N	\N
1321407	4511	1995-01-01	VYDAJ	VYBER	1680	16802	\N	\N	\N
1321408	4511	1995-01-22	VYDAJ	VYBER	960	15576	\N	\N	\N
1321410	4511	1995-01-03	VYDAJ	VYBER	1800	13402	\N	\N	\N
1321411	4511	1996-01-23	VYDAJ	VYBER	2520	13597	\N	\N	\N
1321412	4511	1996-01-01	VYDAJ	VYBER	2760	17083	\N	\N	\N
1321413	4511	1996-01-18	VYDAJ	VYBER	2040	16117	\N	\N	\N
1321417	4511	1997-01-14	VYDAJ	VYBER	3240	21659	\N	\N	\N
1321418	4511	1997-01-22	VYDAJ	VYBER	1560	17819	\N	\N	\N
1321419	4511	1997-01-16	VYDAJ	VYBER	2280	19379	\N	\N	\N
1321420	4511	1997-01-04	VYDAJ	VYBER	2760	19565	\N	\N	\N
1321421	4511	1997-01-06	VYDAJ	VYBER	840	18725	\N	\N	\N
1321422	4511	1997-01-04	VYDAJ	VYBER	2400	22325	\N	\N	\N
1321423	4511	1998-01-16	VYDAJ	VYBER	1320	29930	\N	\N	\N
1321424	4511	1998-01-11	VYDAJ	VYBER	1440	42610	\N	\N	\N
1321425	4511	1998-01-11	VYDAJ	VYBER	960	41650	\N	\N	\N
1321426	4511	1998-01-18	VYDAJ	VYBER	3240	26690	\N	\N	\N
1321427	4511	1998-01-19	VYDAJ	VYBER	2400	24290	\N	\N	\N
1321428	4511	1998-01-05	VYDAJ	VYBER	840	42076	\N	\N	\N
1321435	4511	1994-12-03	VYDAJ	VYBER	2880	20306	\N	\N	\N
1321437	4511	1994-10-06	VYDAJ	VYBER	2760	19688	\N	\N	\N
1321438	4511	1994-07-08	VYDAJ	VYBER	4440	26339	\N	\N	\N
1321439	4511	1994-10-11	VYDAJ	VYBER	3600	18062	\N	\N	\N
1321443	4511	1995-03-20	VYDAJ	VYBER	2160	23306	\N	\N	\N
1321444	4511	1995-09-16	VYDAJ	VYBER	2280	26659	\N	\N	\N
1321445	4511	1996-10-28	VYDAJ	VYBER	5400	16921	\N	\N	\N
1321446	4511	1996-05-22	VYDAJ	VYBER	1440	14765	\N	\N	\N
1321447	4511	1996-10-19	VYDAJ	VYBER	3600	22321	\N	\N	\N
1321450	4511	1996-03-18	VYDAJ	VYBER	600	17550	\N	\N	\N
1321451	4511	1996-03-31	VYDAJ	VYBER	1800	15823	\N	\N	\N
1321452	4511	1996-12-23	VYDAJ	VYBER	5880	24622	\N	\N	\N
1321453	4511	1997-02-20	VYDAJ	VYBER	4920	19742	\N	\N	\N
1321454	4511	1997-05-27	VYDAJ	VYBER	5760	33889	\N	\N	\N
1321455	4511	1997-10-19	VYDAJ	VYBER	4560	39153	\N	\N	\N
1321456	4511	1997-12-05	VYDAJ	VYBER	3240	39381	\N	\N	\N
1321457	4511	1997-09-12	VYDAJ	VYBER	5040	37000	\N	\N	\N
1321458	4511	1998-08-20	VYDAJ	VYBER	5040	23684	\N	\N	\N
1321459	4511	1998-10-10	VYDAJ	VYBER	2040	29090	\N	\N	\N
1321461	4511	1998-10-25	VYDAJ	VYBER	600	28490	\N	\N	\N
1321462	4511	1998-07-13	VYDAJ	VYBER	3480	36867	\N	\N	\N
1321463	4511	1998-08-01	VYDAJ	VYBER	3480	33530	\N	\N	\N
1321478	4511	1994-02-28	VYDAJ	VYBER	15	30694	SLUZBY	\N	\N
1321479	4511	1994-03-31	VYDAJ	VYBER	15	27182	SLUZBY	\N	\N
1321480	4511	1994-04-30	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
1321481	4511	1994-05-31	VYDAJ	VYBER	15	27830	SLUZBY	\N	\N
1321482	4511	1994-06-30	VYDAJ	VYBER	15	30779	SLUZBY	\N	\N
1321483	4511	1994-07-31	VYDAJ	VYBER	15	26214	SLUZBY	\N	\N
1321484	4511	1994-08-31	VYDAJ	VYBER	15	25184	SLUZBY	\N	\N
1321485	4511	1994-09-30	VYDAJ	VYBER	15	22448	SLUZBY	\N	\N
1321486	4511	1994-10-31	VYDAJ	VYBER	15	21632	SLUZBY	\N	\N
1321487	4511	1994-11-30	VYDAJ	VYBER	15	23186	SLUZBY	\N	\N
1321488	4511	1994-12-31	VYDAJ	VYBER	15	18482	SLUZBY	\N	\N
1321489	4511	1995-01-31	VYDAJ	VYBER	15	14661	SLUZBY	\N	\N
1321490	4511	1995-02-28	VYDAJ	VYBER	15	19992	SLUZBY	\N	\N
1321491	4511	1995-03-31	VYDAJ	VYBER	15	23386	SLUZBY	\N	\N
1321492	4511	1995-04-30	VYDAJ	VYBER	15	24146	SLUZBY	\N	\N
1321493	4511	1995-05-31	VYDAJ	VYBER	15	25009	SLUZBY	\N	\N
1321494	4511	1995-06-30	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
1321495	4511	1995-07-31	VYDAJ	VYBER	15	25395	SLUZBY	\N	\N
1321496	4511	1995-08-31	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
1321497	4511	1995-09-30	VYDAJ	VYBER	15	22348	SLUZBY	\N	\N
1321498	4511	1995-10-31	VYDAJ	VYBER	15	22402	SLUZBY	\N	\N
1321499	4511	1995-11-30	VYDAJ	VYBER	15	21052	SLUZBY	\N	\N
1321500	4511	1995-12-31	VYDAJ	VYBER	15	19843	SLUZBY	\N	\N
1321501	4511	1996-01-31	VYDAJ	VYBER	15	13651	SLUZBY	\N	\N
1321502	4511	1996-02-29	VYDAJ	VYBER	15	16976	SLUZBY	\N	\N
1321503	4511	1996-03-31	VYDAJ	VYBER	15	15808	SLUZBY	\N	\N
1321504	4511	1996-04-30	VYDAJ	VYBER	15	15031	SLUZBY	\N	\N
1321505	4511	1996-05-31	VYDAJ	VYBER	15	14814	SLUZBY	\N	\N
1321506	4511	1996-06-30	VYDAJ	VYBER	15	13536	SLUZBY	\N	\N
1321507	4511	1996-07-31	VYDAJ	VYBER	15	16960	SLUZBY	\N	\N
1321508	4511	1996-08-31	VYDAJ	VYBER	15	21302	SLUZBY	\N	\N
1321509	4511	1996-09-30	VYDAJ	VYBER	15	26347	SLUZBY	\N	\N
1321510	4511	1996-10-31	VYDAJ	VYBER	15	17008	SLUZBY	\N	\N
1321511	4511	1996-11-30	VYDAJ	VYBER	15	27267	SLUZBY	\N	\N
1321512	4511	1996-12-31	VYDAJ	VYBER	15	24725	SLUZBY	\N	\N
1321513	4511	1997-01-31	VYDAJ	VYBER	15	17888	SLUZBY	\N	\N
1321514	4511	1997-02-28	VYDAJ	VYBER	15	19813	SLUZBY	\N	\N
1321515	4511	1997-03-31	VYDAJ	VYBER	15	28580	SLUZBY	\N	\N
1321516	4511	1997-04-30	VYDAJ	VYBER	15	34675	SLUZBY	\N	\N
1321517	4511	1997-05-31	VYDAJ	VYBER	15	34029	SLUZBY	\N	\N
1321518	4511	1997-06-30	VYDAJ	VYBER	15	30958	SLUZBY	\N	\N
1321519	4511	1997-07-31	VYDAJ	VYBER	15	35056	SLUZBY	\N	\N
1321520	4511	1997-08-31	VYDAJ	VYBER	15	37166	SLUZBY	\N	\N
1321521	4511	1997-09-30	VYDAJ	VYBER	15	37139	SLUZBY	\N	\N
1321522	4511	1997-10-31	VYDAJ	VYBER	15	39303	SLUZBY	\N	\N
1321523	4511	1997-11-30	VYDAJ	VYBER	15	39021	SLUZBY	\N	\N
1321524	4511	1997-12-31	VYDAJ	VYBER	15	40316	SLUZBY	\N	\N
1321525	4511	1998-01-31	VYDAJ	VYBER	15	24408	SLUZBY	\N	\N
1321526	4511	1998-02-28	VYDAJ	VYBER	15	34497	SLUZBY	\N	\N
1321527	4511	1998-03-31	VYDAJ	VYBER	15	42120	SLUZBY	\N	\N
1321528	4511	1998-04-30	VYDAJ	VYBER	15	42853	SLUZBY	\N	\N
1321529	4511	1998-05-31	VYDAJ	VYBER	15	40780	SLUZBY	\N	\N
1321530	4511	1998-06-30	VYDAJ	VYBER	15	43173	SLUZBY	\N	\N
1321531	4511	1998-07-31	VYDAJ	VYBER	15	37010	SLUZBY	\N	\N
1321532	4511	1998-08-31	VYDAJ	VYBER	15	26383	SLUZBY	\N	\N
1321533	4511	1998-09-30	VYDAJ	VYBER	15	29156	SLUZBY	\N	\N
1321534	4511	1998-10-31	VYDAJ	VYBER	15	28897	SLUZBY	\N	\N
1321535	4511	1998-11-30	VYDAJ	VYBER	15	22278	SLUZBY	\N	\N
1321536	4511	1993-10-26	PRIJEM	VKLAD	8800	15322	\N	\N	\N
1321537	4511	1993-11-25	PRIJEM	VKLAD	2400	23656	\N	\N	\N
1321538	4511	1993-12-25	VYDAJ	VYBER	3400	29210	\N	\N	\N
1321539	4511	1994-01-24	VYDAJ	VYBER	4700	30536	\N	\N	\N
1321540	4511	1994-02-23	VYDAJ	VYBER	6000	30581	\N	\N	\N
1321541	4511	1994-03-25	VYDAJ	VYBER	5600	27068	\N	\N	\N
1321542	4511	1994-04-24	VYDAJ	VYBER	3200	25956	\N	\N	\N
1321543	4511	1994-05-24	VYDAJ	VYBER	300	27731	\N	\N	\N
1321544	4511	1994-06-23	VYDAJ	VYBER	2100	30665	\N	\N	\N
1321545	4511	1994-07-23	VYDAJ	VYBER	2200	26113	\N	\N	\N
1321546	4511	1994-08-22	VYDAJ	VYBER	3100	25088	\N	\N	\N
1321547	4511	1994-09-21	VYDAJ	VYBER	4800	22358	\N	\N	\N
1321548	4511	1994-10-21	PRIJEM	VKLAD	3500	21562	\N	\N	\N
1321549	4511	1994-11-20	VYDAJ	VYBER	500	23106	\N	\N	\N
1321550	4511	1994-12-20	VYDAJ	VYBER	2200	23041	\N	\N	\N
1321551	4511	1995-01-19	PRIJEM	VKLAD	2600	16536	\N	\N	\N
1321552	4511	1995-02-18	PRIJEM	VKLAD	3300	19935	\N	\N	\N
1321553	4511	1995-03-20	PRIJEM	VKLAD	3500	25466	\N	\N	\N
1321554	4511	1995-04-19	VYDAJ	VYBER	1300	24060	\N	\N	\N
1321555	4511	1995-05-19	VYDAJ	VYBER	1200	24920	\N	\N	\N
1321556	4511	1995-06-18	PRIJEM	VKLAD	1200	23144	\N	\N	\N
1321557	4511	1995-07-18	PRIJEM	VKLAD	100	25308	\N	\N	\N
1321558	4511	1995-08-17	VYDAJ	VYBER	500	26869	\N	\N	\N
1321559	4511	1995-09-16	VYDAJ	VYBER	4400	22259	\N	\N	\N
1321560	4511	1995-10-16	VYDAJ	VYBER	2000	22322	\N	\N	\N
1321561	4511	1995-11-15	VYDAJ	VYBER	3400	20976	\N	\N	\N
1321562	4511	1995-12-15	VYDAJ	VYBER	2700	23287	\N	\N	\N
1321563	4511	1996-01-14	VYDAJ	VYBER	900	18157	\N	\N	\N
1321564	4511	1996-02-13	PRIJEM	VKLAD	1300	16925	\N	\N	\N
1321565	4511	1996-03-14	VYDAJ	VYBER	800	18150	\N	\N	\N
1321566	4511	1996-04-13	VYDAJ	VYBER	2800	14982	\N	\N	\N
1321567	4511	1996-05-13	VYDAJ	VYBER	800	16205	\N	\N	\N
1321568	4511	1996-06-12	VYDAJ	VYBER	1300	18449	\N	\N	\N
1321569	4511	1996-07-12	PRIJEM	VKLAD	1400	16910	\N	\N	\N
1321570	4511	1996-08-11	PRIJEM	VKLAD	2300	21234	\N	\N	\N
1321571	4511	1996-09-10	PRIJEM	VKLAD	3000	20354	\N	\N	\N
1321572	4511	1996-10-10	VYDAJ	VYBER	2400	25921	\N	\N	\N
1321573	4511	1996-11-09	PRIJEM	VKLAD	8200	21260	\N	\N	\N
1321574	4511	1996-12-09	PRIJEM	VKLAD	700	24019	\N	\N	\N
1321575	4511	1997-01-08	PRIJEM	VKLAD	4200	22925	\N	\N	\N
1321576	4511	1997-02-07	PRIJEM	VKLAD	4800	22688	\N	\N	\N
1321577	4511	1997-03-09	PRIJEM	VKLAD	6700	22565	\N	\N	\N
1321578	4511	1997-04-08	PRIJEM	VKLAD	4000	32580	\N	\N	\N
1321579	4511	1997-05-08	PRIJEM	VKLAD	3000	37675	\N	\N	\N
1321580	4511	1997-06-07	VYDAJ	VYBER	1400	32629	\N	\N	\N
1321581	4511	1997-07-07	PRIJEM	VKLAD	2000	32958	\N	\N	\N
1321582	4511	1997-09-05	PRIJEM	VKLAD	2900	40066	\N	\N	\N
1321583	4511	1997-10-05	PRIJEM	VKLAD	4600	41739	\N	\N	\N
1321584	4511	1997-11-04	VYDAJ	VYBER	2400	36903	\N	\N	\N
1321585	4511	1997-12-04	PRIJEM	VKLAD	3600	42621	\N	\N	\N
1321586	4511	1998-01-03	PRIJEM	VKLAD	2600	42916	\N	\N	\N
1321587	4511	1998-02-02	PRIJEM	VKLAD	8000	32408	\N	\N	\N
1321588	4511	1998-03-04	PRIJEM	VKLAD	5500	39997	\N	\N	\N
1321589	4511	1998-04-03	VYDAJ	VYBER	1400	40720	\N	\N	\N
1321590	4511	1998-05-03	VYDAJ	VYBER	4200	38653	\N	\N	\N
1321591	4511	1998-06-02	VYDAJ	VYBER	2700	38080	\N	\N	\N
1321592	4511	1998-07-02	VYDAJ	VYBER	4800	38373	\N	\N	\N
1321593	4511	1998-08-01	VYDAJ	VYBER	3300	30230	\N	\N	\N
1321594	4511	1998-08-31	PRIJEM	VKLAD	2600	26398	\N	\N	\N
1321595	4511	1998-09-30	PRIJEM	VKLAD	700	29170	\N	\N	\N
1321596	4511	1998-10-30	PRIJEM	VKLAD	300	28790	\N	\N	\N
1321597	4511	1998-11-29	VYDAJ	VYBER	8700	22171	\N	\N	\N
1322191	4514	1993-12-18	PRIJEM	VKLAD	300	300	\N	\N	\N
1322204	4514	1994-01-14	PRIJEM	PREVOD Z UCTU	49200	49500	\N	OP	88864481
1322205	4514	1994-02-14	PRIJEM	PREVOD Z UCTU	49200	86976	\N	OP	88864481
1322206	4514	1994-03-14	PRIJEM	PREVOD Z UCTU	49200	106771	\N	OP	88864481
1322207	4514	1994-04-14	PRIJEM	PREVOD Z UCTU	49200	95796	\N	OP	88864481
1322208	4514	1994-05-14	PRIJEM	PREVOD Z UCTU	49200	107011	\N	OP	88864481
1322209	4514	1994-06-14	PRIJEM	PREVOD Z UCTU	73800	107843	\N	OP	88864481
1322210	4514	1994-07-14	PRIJEM	PREVOD Z UCTU	49200	85269	\N	OP	88864481
1322211	4514	1994-08-14	PRIJEM	PREVOD Z UCTU	49200	82187	\N	OP	88864481
1322212	4514	1994-09-14	PRIJEM	PREVOD Z UCTU	49200	102556	\N	OP	88864481
1322213	4514	1994-10-14	PRIJEM	PREVOD Z UCTU	49200	111889	\N	OP	88864481
1322214	4514	1994-11-14	PRIJEM	PREVOD Z UCTU	49200	77837	\N	OP	88864481
1322215	4514	1994-12-14	PRIJEM	PREVOD Z UCTU	73800	124483	\N	OP	88864481
1322216	4514	1995-01-14	PRIJEM	PREVOD Z UCTU	49200	91216	\N	OP	88864481
1322217	4514	1995-02-14	PRIJEM	PREVOD Z UCTU	49200	76659	\N	OP	88864481
1322218	4514	1995-03-14	PRIJEM	PREVOD Z UCTU	49200	86576	\N	OP	88864481
1322219	4514	1995-04-14	PRIJEM	PREVOD Z UCTU	49200	99373	\N	OP	88864481
1322220	4514	1995-05-14	PRIJEM	PREVOD Z UCTU	49200	97737	\N	OP	88864481
1322221	4514	1995-06-14	PRIJEM	PREVOD Z UCTU	73800	125270	\N	OP	88864481
1322222	4514	1995-07-14	PRIJEM	PREVOD Z UCTU	49200	78456	\N	OP	88864481
1322223	4514	1995-08-14	PRIJEM	PREVOD Z UCTU	49200	86201	\N	OP	88864481
1322224	4514	1995-09-14	PRIJEM	PREVOD Z UCTU	49200	99589	\N	OP	88864481
1322225	4514	1995-10-14	PRIJEM	PREVOD Z UCTU	49200	105065	\N	OP	88864481
1322226	4514	1995-11-14	PRIJEM	PREVOD Z UCTU	49200	106979	\N	OP	88864481
1322227	4514	1995-12-14	PRIJEM	PREVOD Z UCTU	73800	109736	\N	OP	88864481
1322228	4514	1996-01-14	PRIJEM	PREVOD Z UCTU	49200	95911	\N	OP	88864481
1322229	4514	1996-02-14	PRIJEM	PREVOD Z UCTU	49200	87991	\N	OP	88864481
1322230	4514	1996-03-14	PRIJEM	PREVOD Z UCTU	49200	92888	\N	OP	88864481
1322231	4514	1996-04-14	PRIJEM	PREVOD Z UCTU	49200	101105	\N	OP	88864481
1322232	4514	1996-05-14	PRIJEM	PREVOD Z UCTU	49200	90696	\N	OP	88864481
1322233	4514	1996-06-14	PRIJEM	PREVOD Z UCTU	73800	122535	\N	OP	88864481
1322234	4514	1996-07-14	PRIJEM	PREVOD Z UCTU	49200	75022	\N	OP	88864481
1322235	4514	1996-08-14	PRIJEM	PREVOD Z UCTU	49200	97347	\N	OP	88864481
1322236	4514	1996-09-14	PRIJEM	PREVOD Z UCTU	49200	99760	\N	OP	88864481
1322237	4514	1996-10-14	PRIJEM	PREVOD Z UCTU	49200	112517	\N	OP	88864481
1322238	4514	1996-11-14	PRIJEM	PREVOD Z UCTU	49200	77529	\N	OP	88864481
1322239	4514	1996-12-14	PRIJEM	PREVOD Z UCTU	73800	125376	\N	OP	88864481
1322240	4514	1997-01-14	PRIJEM	PREVOD Z UCTU	49200	76150	\N	OP	88864481
1322241	4514	1997-02-14	PRIJEM	PREVOD Z UCTU	49200	79611	\N	OP	88864481
1322242	4514	1997-03-14	PRIJEM	PREVOD Z UCTU	49200	101367	\N	OP	88864481
1322243	4514	1997-04-14	PRIJEM	PREVOD Z UCTU	49200	109357	\N	OP	88864481
1322244	4514	1997-05-14	PRIJEM	PREVOD Z UCTU	49200	98567	\N	OP	88864481
1322245	4514	1997-06-14	PRIJEM	PREVOD Z UCTU	73800	113684	\N	OP	88864481
1322246	4514	1997-07-14	PRIJEM	PREVOD Z UCTU	49200	81941	\N	OP	88864481
1322247	4514	1997-08-14	PRIJEM	PREVOD Z UCTU	49200	91062	\N	OP	88864481
1322248	4514	1997-09-14	PRIJEM	PREVOD Z UCTU	49200	91416	\N	OP	88864481
1322249	4514	1997-10-14	PRIJEM	PREVOD Z UCTU	49200	96463	\N	OP	88864481
1322250	4514	1997-11-14	PRIJEM	PREVOD Z UCTU	49200	94399	\N	OP	88864481
1322251	4514	1997-12-14	PRIJEM	PREVOD Z UCTU	73800	110429	\N	OP	88864481
1322252	4514	1998-01-14	PRIJEM	PREVOD Z UCTU	49200	78671	\N	OP	88864481
1322253	4514	1998-02-14	PRIJEM	PREVOD Z UCTU	49200	82187	\N	OP	88864481
1322254	4514	1998-03-14	PRIJEM	PREVOD Z UCTU	49200	93611	\N	OP	88864481
1322255	4514	1998-04-14	PRIJEM	PREVOD Z UCTU	49200	97578	\N	OP	88864481
1322256	4514	1998-05-14	PRIJEM	PREVOD Z UCTU	49200	102563	\N	OP	88864481
1322257	4514	1998-06-14	PRIJEM	PREVOD Z UCTU	73800	129866	\N	OP	88864481
1322258	4514	1998-07-14	PRIJEM	PREVOD Z UCTU	49200	79873	\N	OP	88864481
1322259	4514	1998-08-14	PRIJEM	PREVOD Z UCTU	49200	82902	\N	OP	88864481
1322260	4514	1998-09-14	PRIJEM	PREVOD Z UCTU	49200	84573	\N	OP	88864481
1322261	4514	1998-10-14	PRIJEM	PREVOD Z UCTU	49200	94409	\N	OP	88864481
1322262	4514	1998-11-14	PRIJEM	PREVOD Z UCTU	49200	82794	\N	OP	88864481
1322263	4514	1998-12-14	PRIJEM	PREVOD Z UCTU	73800	104537	\N	OP	88864481
1322272	4514	1994-11-07	VYBER	VYBER	3711	40937	\N	\N	\N
1322273	4514	1994-05-21	VYBER	VYBER	8495	46116	\N	\N	\N
1322275	4514	1994-06-15	VYBER	VYBER	8320	48623	\N	\N	\N
1322276	4514	1994-07-22	VYBER	VYBER	19227	32842	\N	\N	\N
1322277	4514	1995-12-12	VYBER	VYBER	8966	38936	\N	\N	\N
1322278	4514	1995-07-14	VYBER	VYBER	23988	54468	\N	\N	\N
1322279	4514	1995-06-18	VYBER	VYBER	17985	43885	\N	\N	\N
1322280	4514	1995-05-06	VYBER	VYBER	15601	76737	\N	\N	\N
1322281	4514	1995-05-24	VYBER	VYBER	10427	87310	\N	\N	\N
1322282	4514	1995-06-21	VYBER	VYBER	6976	36909	\N	\N	\N
1322283	4514	1995-04-20	VYBER	VYBER	7390	91983	\N	\N	\N
1322284	4514	1996-11-06	VYBER	VYBER	15412	28329	\N	\N	\N
1322285	4514	1996-08-29	VYBER	VYBER	21429	75918	\N	\N	\N
1322286	4514	1996-02-06	VYBER	VYBER	7528	58691	\N	\N	\N
1322287	4514	1997-11-25	VYBER	VYBER	17758	66185	\N	\N	\N
1322288	4514	1997-07-25	VYBER	VYBER	5816	76125	\N	\N	\N
1322289	4514	1997-03-16	VYBER	VYBER	2172	99195	\N	\N	\N
1322290	4514	1997-10-24	VYBER	VYBER	18459	78004	\N	\N	\N
1322291	4514	1997-06-15	VYBER	VYBER	20288	65196	\N	\N	\N
1322292	4514	1997-11-20	VYBER	VYBER	10456	83943	\N	\N	\N
1322293	4514	1997-06-04	VYBER	VYBER	18804	39884	\N	\N	\N
1322294	4514	1997-04-19	VYBER	VYBER	10947	98410	\N	\N	\N
1322295	4514	1997-05-04	VYBER	VYBER	9844	49367	\N	\N	\N
1322296	4514	1997-09-28	VYBER	VYBER	16928	74488	\N	\N	\N
1322297	4514	1998-10-27	VYBER	VYBER	5809	38000	\N	\N	\N
1322298	4514	1998-08-21	VYBER	VYBER	13829	69073	\N	\N	\N
1322299	4514	1998-11-04	VYBER	VYBER	4567	33594	\N	\N	\N
1322300	4514	1998-01-21	VYBER	VYBER	4775	67296	\N	\N	\N
1322301	4514	1998-08-10	VYBER	VYBER	11191	33702	\N	\N	\N
1322302	4514	1998-01-06	VYBER	VYBER	6321	40571	\N	\N	\N
1322303	4514	1998-12-05	VYBER	VYBER	8444	30737	\N	\N	\N
1322308	4514	1996-06-22	VYDAJ	VYBER	72000	34435	\N	\N	\N
1322310	4514	1998-06-18	VYDAJ	VYBER	42600	30466	\N	\N	\N
1322313	4514	1995-01-19	VYDAJ	VYBER	26400	64816	\N	\N	\N
1322314	4514	1996-01-02	VYDAJ	VYBER	21300	88811	\N	\N	\N
1322315	4514	1997-01-16	VYDAJ	VYBER	26700	49450	\N	\N	\N
1322316	4514	1998-01-08	VYDAJ	VYBER	11100	29471	\N	\N	\N
1322318	4514	1994-12-18	VYDAJ	VYBER	4800	77183	\N	\N	\N
1322319	4514	1995-12-12	VYDAJ	VYBER	3000	35936	\N	\N	\N
1322320	4514	1996-12-28	VYDAJ	VYBER	2100	62776	\N	\N	\N
1322321	4514	1997-12-24	VYDAJ	VYBER	6600	103829	\N	\N	\N
1322322	4514	1998-12-20	VYDAJ	VYBER	5700	98837	\N	\N	\N
1322335	4514	1995-01-04	VYDAJ	VYBER	5400	65816	\N	\N	\N
1322336	4514	1995-01-02	VYDAJ	VYBER	6300	71216	\N	\N	\N
1322337	4514	1995-01-24	VYDAJ	VYBER	7800	53116	\N	\N	\N
1322338	4514	1995-01-24	VYDAJ	VYBER	6600	46516	\N	\N	\N
1322339	4514	1995-01-23	VYDAJ	VYBER	3900	60916	\N	\N	\N
1322340	4514	1995-01-24	VYDAJ	VYBER	8700	37816	\N	\N	\N
1322341	4514	1996-01-03	VYDAJ	VYBER	2700	86111	\N	\N	\N
1322342	4514	1996-01-17	VYDAJ	VYBER	6900	89011	\N	\N	\N
1322343	4514	1996-01-29	VYDAJ	VYBER	8100	65911	\N	\N	\N
1322344	4514	1996-01-17	VYDAJ	VYBER	8400	80611	\N	\N	\N
1322345	4514	1996-01-08	VYDAJ	VYBER	3000	46711	\N	\N	\N
1322346	4514	1996-01-26	VYDAJ	VYBER	6600	74011	\N	\N	\N
1322348	4514	1997-01-02	VYDAJ	VYBER	7800	35350	\N	\N	\N
1322349	4514	1997-01-08	VYDAJ	VYBER	5700	29650	\N	\N	\N
1322350	4514	1997-01-09	VYDAJ	VYBER	2700	26950	\N	\N	\N
1322351	4514	1997-01-27	VYDAJ	VYBER	5100	40150	\N	\N	\N
1322352	4514	1997-01-24	VYDAJ	VYBER	4200	45250	\N	\N	\N
1322353	4514	1998-01-16	VYDAJ	VYBER	2700	72071	\N	\N	\N
1322355	4514	1998-01-16	VYDAJ	VYBER	2400	74771	\N	\N	\N
1322356	4514	1998-01-16	VYDAJ	VYBER	1500	77171	\N	\N	\N
1322363	4514	1994-06-05	VYDAJ	VYBER	9300	37043	\N	\N	\N
1322364	4514	1994-11-11	VYDAJ	VYBER	2400	38537	\N	\N	\N
1322365	4514	1994-10-02	VYDAJ	VYBER	1500	62689	\N	\N	\N
1322367	4514	1994-06-07	VYDAJ	VYBER	3000	34043	\N	\N	\N
1322368	4514	1995-02-25	VYDAJ	VYBER	14100	62559	\N	\N	\N
1322370	4514	1995-07-06	VYDAJ	VYBER	2100	35056	\N	\N	\N
1322371	4514	1995-03-27	VYDAJ	VYBER	5400	81176	\N	\N	\N
1322372	4514	1995-03-13	VYDAJ	VYBER	5100	57676	\N	\N	\N
1322373	4514	1995-02-10	VYDAJ	VYBER	6300	31759	\N	\N	\N
1322374	4514	1996-05-09	VYDAJ	VYBER	4800	54396	\N	\N	\N
1322375	4514	1996-03-05	VYDAJ	VYBER	7800	76288	\N	\N	\N
1322376	4514	1996-05-10	VYDAJ	VYBER	12900	41496	\N	\N	\N
1322377	4514	1996-05-30	VYDAJ	VYBER	12300	78396	\N	\N	\N
1322378	4514	1996-02-23	VYDAJ	VYBER	4200	83791	\N	\N	\N
1322379	4514	1997-09-06	VYDAJ	VYBER	6900	42216	\N	\N	\N
1322380	4514	1997-12-25	VYDAJ	VYBER	12300	91529	\N	\N	\N
1322381	4514	1997-07-04	VYDAJ	VYBER	7500	32741	\N	\N	\N
1322382	4514	1997-08-19	VYDAJ	VYBER	9900	81162	\N	\N	\N
1322383	4514	1997-11-05	VYDAJ	VYBER	3600	45199	\N	\N	\N
1322384	4514	1997-08-08	VYDAJ	VYBER	6000	41862	\N	\N	\N
1322385	4514	1998-01-25	VYDAJ	VYBER	8700	58596	\N	\N	\N
1322406	4514	1994-05-31	VYDAJ	VYBER	15	46343	SLUZBY	\N	\N
1322407	4514	1994-06-30	VYDAJ	VYBER	15	36069	SLUZBY	\N	\N
1322408	4514	1994-07-31	VYDAJ	VYBER	15	32987	SLUZBY	\N	\N
1322409	4514	1994-08-31	VYDAJ	VYBER	15	53356	SLUZBY	\N	\N
1322410	4514	1994-09-30	VYDAJ	VYBER	15	64189	SLUZBY	\N	\N
1322411	4514	1994-10-31	VYDAJ	VYBER	15	44648	SLUZBY	\N	\N
1322412	4514	1994-11-30	VYDAJ	VYBER	15	78083	SLUZBY	\N	\N
1322413	4514	1994-12-31	VYDAJ	VYBER	15	77516	SLUZBY	\N	\N
1322414	4514	1995-01-31	VYDAJ	VYBER	15	38059	SLUZBY	\N	\N
1322415	4514	1995-02-28	VYDAJ	VYBER	15	62776	SLUZBY	\N	\N
1322416	4514	1995-03-31	VYDAJ	VYBER	15	81473	SLUZBY	\N	\N
1322417	4514	1995-04-30	VYDAJ	VYBER	15	92338	SLUZBY	\N	\N
1322418	4514	1995-05-31	VYDAJ	VYBER	15	87670	SLUZBY	\N	\N
1322419	4514	1995-06-30	VYDAJ	VYBER	15	37156	SLUZBY	\N	\N
1322420	4514	1995-07-31	VYDAJ	VYBER	15	54701	SLUZBY	\N	\N
1322421	4514	1995-08-31	VYDAJ	VYBER	15	86489	SLUZBY	\N	\N
1322422	4514	1995-09-30	VYDAJ	VYBER	15	99965	SLUZBY	\N	\N
1322423	4514	1995-10-31	VYDAJ	VYBER	15	105479	SLUZBY	\N	\N
1322424	4514	1995-11-30	VYDAJ	VYBER	15	78402	SLUZBY	\N	\N
1322425	4514	1995-12-31	VYDAJ	VYBER	15	110111	SLUZBY	\N	\N
1322426	4514	1996-01-31	VYDAJ	VYBER	15	66219	SLUZBY	\N	\N
1322427	4514	1996-02-29	VYDAJ	VYBER	15	84088	SLUZBY	\N	\N
1322428	4514	1996-03-31	VYDAJ	VYBER	15	93205	SLUZBY	\N	\N
1322429	4514	1996-04-30	VYDAJ	VYBER	15	101496	SLUZBY	\N	\N
1322430	4514	1996-05-31	VYDAJ	VYBER	15	78735	SLUZBY	\N	\N
1322431	4514	1996-06-30	VYDAJ	VYBER	15	34722	SLUZBY	\N	\N
1322432	4514	1996-07-31	VYDAJ	VYBER	15	75247	SLUZBY	\N	\N
1322433	4514	1996-08-31	VYDAJ	VYBER	15	76260	SLUZBY	\N	\N
1322434	4514	1996-09-30	VYDAJ	VYBER	15	100117	SLUZBY	\N	\N
1322435	4514	1996-10-31	VYDAJ	VYBER	15	70741	SLUZBY	\N	\N
1322436	4514	1996-11-30	VYDAJ	VYBER	15	77776	SLUZBY	\N	\N
1322437	4514	1996-12-31	VYDAJ	VYBER	15	63050	SLUZBY	\N	\N
1322438	4514	1997-01-31	VYDAJ	VYBER	15	40311	SLUZBY	\N	\N
1322439	4514	1997-02-28	VYDAJ	VYBER	15	79767	SLUZBY	\N	\N
1322440	4514	1997-03-31	VYDAJ	VYBER	15	99557	SLUZBY	\N	\N
1322441	4514	1997-04-30	VYDAJ	VYBER	15	98811	SLUZBY	\N	\N
1322442	4514	1997-05-31	VYDAJ	VYBER	15	98888	SLUZBY	\N	\N
1322443	4514	1997-06-30	VYDAJ	VYBER	15	65441	SLUZBY	\N	\N
1322444	4514	1997-07-31	VYDAJ	VYBER	15	47862	SLUZBY	\N	\N
1322445	4514	1997-08-31	VYDAJ	VYBER	15	49116	SLUZBY	\N	\N
1322446	4514	1997-09-30	VYDAJ	VYBER	15	47263	SLUZBY	\N	\N
1322447	4514	1997-10-31	VYDAJ	VYBER	15	48799	SLUZBY	\N	\N
1322448	4514	1997-11-30	VYDAJ	VYBER	15	36629	SLUZBY	\N	\N
1322449	4514	1997-12-31	VYDAJ	VYBER	15	46892	SLUZBY	\N	\N
1322450	4514	1998-01-31	VYDAJ	VYBER	15	32987	SLUZBY	\N	\N
1322451	4514	1998-02-28	VYDAJ	VYBER	15	44411	SLUZBY	\N	\N
1322452	4514	1998-03-31	VYDAJ	VYBER	15	48378	SLUZBY	\N	\N
1322453	4514	1998-04-30	VYDAJ	VYBER	15	53363	SLUZBY	\N	\N
1322454	4514	1998-05-31	VYDAJ	VYBER	15	56066	SLUZBY	\N	\N
1322455	4514	1998-06-30	VYDAJ	VYBER	15	30673	SLUZBY	\N	\N
1322456	4514	1998-07-31	VYDAJ	VYBER	15	44893	SLUZBY	\N	\N
1322457	4514	1998-08-31	VYDAJ	VYBER	15	35373	SLUZBY	\N	\N
1322458	4514	1998-09-30	VYDAJ	VYBER	15	45209	SLUZBY	\N	\N
1322459	4514	1998-10-31	VYDAJ	VYBER	15	38161	SLUZBY	\N	\N
1322460	4514	1998-11-30	VYDAJ	VYBER	15	39181	SLUZBY	\N	\N
1322461	4514	1994-01-17	VYDAJ	VYBER	11800	37700	\N	\N	\N
1322462	4514	1994-02-16	VYDAJ	VYBER	29600	57376	\N	\N	\N
1322463	4514	1994-03-14	VYDAJ	VYBER	37700	69071	\N	\N	\N
1322464	4514	1994-03-18	VYDAJ	VYBER	22700	46371	\N	\N	\N
1322465	4514	1994-04-17	VYDAJ	VYBER	38200	57596	\N	\N	\N
1322466	4514	1994-05-14	VYDAJ	VYBER	19000	88011	\N	\N	\N
1322467	4514	1994-05-17	VYDAJ	VYBER	33400	54611	\N	\N	\N
1322468	4514	1994-06-14	VYDAJ	VYBER	50900	56943	\N	\N	\N
1322469	4514	1994-06-16	VYDAJ	VYBER	12700	35923	\N	\N	\N
1322470	4514	1994-07-16	VYDAJ	VYBER	33200	52069	\N	\N	\N
1322471	4514	1994-08-15	VYDAJ	VYBER	29000	53187	\N	\N	\N
1322472	4514	1994-09-14	VYDAJ	VYBER	38600	63956	\N	\N	\N
1322473	4514	1994-10-14	VYDAJ	VYBER	44100	44289	\N	\N	\N
1322474	4514	1994-10-14	VYDAJ	VYBER	23500	88389	\N	\N	\N
1322475	4514	1994-11-13	VYDAJ	VYBER	9900	28637	\N	\N	\N
1322476	4514	1994-12-13	VYDAJ	VYBER	27400	50683	\N	\N	\N
1322477	4514	1994-12-14	VYDAJ	VYBER	42500	81983	\N	\N	\N
1322478	4514	1995-01-12	VYDAJ	VYBER	23800	42016	\N	\N	\N
1322479	4514	1995-02-11	VYDAJ	VYBER	4300	27459	\N	\N	\N
1322480	4514	1995-03-13	VYDAJ	VYBER	20300	37376	\N	\N	\N
1322481	4514	1995-04-12	VYDAJ	VYBER	31300	50173	\N	\N	\N
1322482	4514	1995-05-12	VYDAJ	VYBER	28200	48537	\N	\N	\N
1322483	4514	1995-06-11	VYDAJ	VYBER	36200	51470	\N	\N	\N
1322484	4514	1995-06-14	VYDAJ	VYBER	63400	61870	\N	\N	\N
1322485	4514	1995-07-11	VYDAJ	VYBER	5800	29256	\N	\N	\N
1322486	4514	1995-08-10	VYDAJ	VYBER	17700	37001	\N	\N	\N
1322487	4514	1995-09-09	VYDAJ	VYBER	36100	50389	\N	\N	\N
1322488	4514	1995-10-09	VYDAJ	VYBER	44100	55865	\N	\N	\N
1322489	4514	1995-11-08	VYDAJ	VYBER	47700	57779	\N	\N	\N
1322490	4514	1995-11-30	VYDAJ	VYBER	29000	78417	\N	\N	\N
1322491	4514	1995-12-08	VYDAJ	VYBER	30500	47902	\N	\N	\N
1322492	4514	1996-01-07	VYDAJ	VYBER	36400	49711	\N	\N	\N
1322493	4514	1996-02-06	VYDAJ	VYBER	19900	38791	\N	\N	\N
1322494	4514	1996-03-07	VYDAJ	VYBER	32600	43688	\N	\N	\N
1322495	4514	1996-04-06	VYDAJ	VYBER	41300	51905	\N	\N	\N
1322496	4514	1996-05-06	VYDAJ	VYBER	42300	59196	\N	\N	\N
1322497	4514	1996-06-05	VYDAJ	VYBER	30000	48735	\N	\N	\N
1322498	4514	1996-06-14	VYDAJ	VYBER	16100	106435	\N	\N	\N
1322499	4514	1996-07-05	VYDAJ	VYBER	8900	25822	\N	\N	\N
1322500	4514	1996-08-04	VYDAJ	VYBER	27100	48147	\N	\N	\N
1322501	4514	1996-09-03	VYDAJ	VYBER	25700	50560	\N	\N	\N
1322502	4514	1996-10-03	VYDAJ	VYBER	36800	63317	\N	\N	\N
1322503	4514	1996-10-14	VYDAJ	VYBER	42200	70317	\N	\N	\N
1322504	4514	1996-11-02	VYDAJ	VYBER	27000	43741	\N	\N	\N
1322505	4514	1996-12-02	VYDAJ	VYBER	26200	51576	\N	\N	\N
1322506	4514	1996-12-14	VYDAJ	VYBER	60500	64876	\N	\N	\N
1322507	4514	1997-01-01	VYDAJ	VYBER	19900	43150	\N	\N	\N
1322508	4514	1997-01-31	VYDAJ	VYBER	9900	30411	\N	\N	\N
1322509	4514	1997-03-02	VYDAJ	VYBER	27600	52167	\N	\N	\N
1322510	4514	1997-04-01	VYDAJ	VYBER	39400	60157	\N	\N	\N
1322511	4514	1997-05-01	VYDAJ	VYBER	39600	59211	\N	\N	\N
1322512	4514	1997-05-31	VYDAJ	VYBER	40200	58688	\N	\N	\N
1322513	4514	1997-06-14	VYDAJ	VYBER	28200	85484	\N	\N	\N
1322514	4514	1997-06-30	VYDAJ	VYBER	25200	40241	\N	\N	\N
1322515	4514	1997-07-30	VYDAJ	VYBER	28500	47625	\N	\N	\N
1322516	4514	1997-08-29	VYDAJ	VYBER	32300	48862	\N	\N	\N
1322517	4514	1997-09-28	VYDAJ	VYBER	27500	46988	\N	\N	\N
1322518	4514	1997-10-28	VYDAJ	VYBER	29400	48604	\N	\N	\N
1322519	4514	1997-11-27	VYDAJ	VYBER	29800	36385	\N	\N	\N
1322520	4514	1997-12-27	VYDAJ	VYBER	44800	46729	\N	\N	\N
1322521	4514	1998-01-26	VYDAJ	VYBER	25800	32796	\N	\N	\N
1322522	4514	1998-02-25	VYDAJ	VYBER	37900	44287	\N	\N	\N
1322523	4514	1998-03-27	VYDAJ	VYBER	45400	48211	\N	\N	\N
1322524	4514	1998-04-26	VYDAJ	VYBER	44400	53178	\N	\N	\N
1322525	4514	1998-05-26	VYDAJ	VYBER	46700	55863	\N	\N	\N
1322526	4514	1998-06-14	VYDAJ	VYBER	56800	73066	\N	\N	\N
1322527	4514	1998-07-25	VYDAJ	VYBER	35100	44773	\N	\N	\N
1322528	4514	1998-08-24	VYDAJ	VYBER	33900	35173	\N	\N	\N
1322529	4514	1998-09-23	VYDAJ	VYBER	39500	45073	\N	\N	\N
1322530	4514	1998-10-23	VYDAJ	VYBER	50600	43809	\N	\N	\N
1322531	4514	1998-11-22	VYDAJ	VYBER	43800	38994	\N	\N	\N
1324061	4519	1994-06-08	PRIJEM	VKLAD	200	200	\N	\N	\N
1324192	4519	1994-07-08	PRIJEM	VKLAD	10200	10400	\N	\N	\N
1324193	4519	1994-08-07	PRIJEM	VKLAD	8700	19100	\N	\N	\N
1324194	4519	1994-09-06	PRIJEM	VKLAD	3700	22800	\N	\N	\N
1324195	4519	1994-10-06	VYDAJ	VYBER	700	22100	\N	\N	\N
1324196	4519	1994-11-05	PRIJEM	VKLAD	2000	24100	\N	\N	\N
1324197	4519	1994-12-05	PRIJEM	VKLAD	2100	26200	\N	\N	\N
1324198	4519	1995-01-04	PRIJEM	VKLAD	500	26700	\N	\N	\N
1324199	4519	1995-02-03	VYDAJ	VYBER	700	26000	\N	\N	\N
1324200	4519	1995-03-05	PRIJEM	VKLAD	2200	28200	\N	\N	\N
1324201	4519	1995-04-04	VYDAJ	VYBER	900	27300	\N	\N	\N
1324202	4519	1995-05-04	PRIJEM	VKLAD	2600	29900	\N	\N	\N
1324203	4519	1995-06-03	VYDAJ	VYBER	2400	27500	\N	\N	\N
1324204	4519	1995-07-03	VYDAJ	VYBER	600	26900	\N	\N	\N
1324205	4519	1995-08-02	PRIJEM	VKLAD	2500	29400	\N	\N	\N
1324206	4519	1995-09-01	PRIJEM	VKLAD	1000	30400	\N	\N	\N
1324207	4519	1995-10-01	PRIJEM	VKLAD	1000	31400	\N	\N	\N
1324208	4519	1995-10-31	PRIJEM	VKLAD	2500	33905	\N	\N	\N
1324209	4519	1995-11-30	PRIJEM	VKLAD	700	34605	\N	\N	\N
1324210	4519	1995-12-30	PRIJEM	VKLAD	2900	37646	\N	\N	\N
1324211	4519	1996-01-29	PRIJEM	VKLAD	700	38487	\N	\N	\N
1324212	4519	1996-02-28	PRIJEM	VKLAD	4400	43028	\N	\N	\N
1324213	4519	1996-03-29	PRIJEM	VKLAD	1100	44270	\N	\N	\N
1324214	4519	1996-04-28	PRIJEM	VKLAD	100	44511	\N	\N	\N
1324215	4519	1996-05-28	VYDAJ	VYBER	400	44252	\N	\N	\N
1324216	4519	1996-06-27	PRIJEM	VKLAD	2800	47193	\N	\N	\N
1324217	4519	1996-07-27	VYDAJ	VYBER	1100	46235	\N	\N	\N
1324218	4519	1996-08-26	PRIJEM	VKLAD	4000	50376	\N	\N	\N
1324219	4519	1996-09-25	PRIJEM	VKLAD	600	51117	\N	\N	\N
1324220	4519	1996-10-25	VYDAJ	VYBER	1100	50158	\N	\N	\N
1324221	4519	1996-11-24	VYDAJ	VYBER	700	49600	\N	\N	\N
1324222	4519	1996-12-24	PRIJEM	VKLAD	100	49841	\N	\N	\N
1324223	4519	1997-01-23	VYDAJ	VYBER	700	49282	\N	\N	\N
1324224	4519	1997-02-22	PRIJEM	VKLAD	2100	51524	\N	\N	\N
1324225	4519	1997-03-24	VYDAJ	VYBER	3900	47765	\N	\N	\N
1324226	4519	1997-04-23	PRIJEM	VKLAD	400	48306	\N	\N	\N
1324227	4519	1997-05-23	PRIJEM	VKLAD	300	48747	\N	\N	\N
1324228	4519	1997-06-22	VYDAJ	VYBER	5200	43689	\N	\N	\N
1324229	4519	1997-07-22	VYDAJ	VYBER	1400	42430	\N	\N	\N
1324230	4519	1997-08-21	PRIJEM	VKLAD	3900	46471	\N	\N	\N
1324231	4519	1997-09-20	PRIJEM	VKLAD	200	46812	\N	\N	\N
1324232	4519	1997-10-20	PRIJEM	VKLAD	4900	51854	\N	\N	\N
1324233	4519	1997-11-19	VYDAJ	VYBER	100	51895	\N	\N	\N
1324234	4519	1997-12-19	VYDAJ	VYBER	6200	45836	\N	\N	\N
1324235	4519	1998-01-18	PRIJEM	VKLAD	1400	47377	\N	\N	\N
1324236	4519	1998-02-17	VYDAJ	VYBER	700	46819	\N	\N	\N
1324237	4519	1998-03-19	VYDAJ	VYBER	1600	45360	\N	\N	\N
1324238	4519	1998-04-18	PRIJEM	VKLAD	1600	47101	\N	\N	\N
1324239	4519	1998-05-18	PRIJEM	VKLAD	4900	52142	\N	\N	\N
1324240	4519	1998-06-17	PRIJEM	VKLAD	3400	55684	\N	\N	\N
1324241	4519	1998-07-17	VYDAJ	VYBER	1400	54425	\N	\N	\N
1324242	4519	1998-08-16	PRIJEM	VKLAD	3800	58366	\N	\N	\N
1324243	4519	1998-09-15	VYDAJ	VYBER	3400	55107	\N	\N	\N
1324244	4519	1998-10-15	PRIJEM	VKLAD	100	55349	\N	\N	\N
1324245	4519	1998-11-14	PRIJEM	VKLAD	2100	57590	\N	\N	\N
1326322	4526	1993-11-29	PRIJEM	VKLAD	900	900	\N	\N	\N
1326334	4526	1993-12-11	PRIJEM	VKLAD	18710	19610	\N	\N	\N
1326335	4526	1994-01-11	PRIJEM	VKLAD	12473	35192	\N	\N	\N
1326336	4526	1994-02-11	PRIJEM	VKLAD	12473	40963	\N	\N	\N
1326337	4526	1994-03-11	PRIJEM	VKLAD	12473	42755	\N	\N	\N
1326338	4526	1994-04-11	PRIJEM	VKLAD	12473	44354	\N	\N	\N
1326339	4526	1994-05-11	PRIJEM	VKLAD	12473	44945	\N	\N	\N
1326340	4526	1994-06-11	PRIJEM	VKLAD	18710	50575	\N	\N	\N
1326341	4526	1994-07-11	PRIJEM	VKLAD	12473	41471	\N	\N	\N
1326342	4526	1994-08-11	PRIJEM	VKLAD	12473	41680	\N	\N	\N
1326343	4526	1994-09-11	PRIJEM	VKLAD	12473	43861	\N	\N	\N
1326344	4526	1994-10-11	PRIJEM	VKLAD	12473	45352	\N	\N	\N
1326345	4526	1994-11-11	PRIJEM	VKLAD	12473	41346	\N	\N	\N
1326346	4526	1994-12-11	PRIJEM	VKLAD	18710	49590	\N	\N	\N
1326347	4526	1995-01-11	PRIJEM	VKLAD	12473	39406	\N	\N	\N
1326348	4526	1995-02-11	PRIJEM	VKLAD	12473	29986	\N	\N	\N
1326349	4526	1995-03-11	PRIJEM	VKLAD	12473	33630	\N	\N	\N
1326350	4526	1995-04-11	PRIJEM	VKLAD	12473	32578	\N	\N	\N
1326351	4526	1995-05-11	PRIJEM	VKLAD	12473	33145	\N	\N	\N
1326352	4526	1995-06-11	PRIJEM	VKLAD	18710	40928	\N	\N	\N
1326353	4526	1995-07-11	PRIJEM	VKLAD	12473	39184	\N	\N	\N
1326354	4526	1995-08-11	PRIJEM	VKLAD	12473	33646	\N	\N	\N
1326355	4526	1995-09-11	PRIJEM	VKLAD	12473	33391	\N	\N	\N
1326356	4526	1995-10-11	PRIJEM	VKLAD	12473	30732	\N	\N	\N
1326357	4526	1995-11-11	PRIJEM	VKLAD	12473	32169	\N	\N	\N
1326358	4526	1995-12-11	PRIJEM	VKLAD	18710	36745	\N	\N	\N
1326359	4526	1996-01-11	PRIJEM	VKLAD	12473	28299	\N	\N	\N
1326360	4526	1996-02-11	PRIJEM	VKLAD	12473	24927	\N	\N	\N
1326361	4526	1996-03-11	PRIJEM	VKLAD	12473	25638	\N	\N	\N
1326362	4526	1996-04-11	PRIJEM	VKLAD	12473	24047	\N	\N	\N
1326363	4526	1996-05-11	PRIJEM	VKLAD	12473	36555	\N	\N	\N
1326364	4526	1996-06-11	PRIJEM	VKLAD	18710	36838	\N	\N	\N
1326365	4526	1996-07-11	PRIJEM	VKLAD	12473	29576	\N	\N	\N
1326366	4526	1996-08-11	PRIJEM	VKLAD	12473	26698	\N	\N	\N
1326367	4526	1996-09-11	PRIJEM	VKLAD	12473	34937	\N	\N	\N
1326368	4526	1996-10-11	PRIJEM	VKLAD	12473	25667	\N	\N	\N
1326369	4526	1996-11-11	PRIJEM	VKLAD	12473	37081	\N	\N	\N
1326370	4526	1996-12-11	PRIJEM	VKLAD	18710	30345	\N	\N	\N
1326371	4526	1997-01-11	PRIJEM	VKLAD	12473	34991	\N	\N	\N
1326372	4526	1997-02-11	PRIJEM	VKLAD	12473	39772	\N	\N	\N
1326373	4526	1997-03-11	PRIJEM	VKLAD	12473	52344	\N	\N	\N
1326374	4526	1997-04-11	PRIJEM	VKLAD	12473	25900	\N	\N	\N
1326375	4526	1997-05-11	PRIJEM	VKLAD	12473	38415	\N	\N	\N
1326376	4526	1997-06-11	PRIJEM	VKLAD	18710	47833	\N	\N	\N
1326377	4526	1997-07-11	PRIJEM	VKLAD	12473	40930	\N	\N	\N
1326378	4526	1997-08-11	PRIJEM	VKLAD	12473	53507	\N	\N	\N
1326379	4526	1997-09-11	PRIJEM	VKLAD	12473	62455	\N	\N	\N
1326380	4526	1997-10-11	PRIJEM	VKLAD	12473	29622	\N	\N	\N
1326381	4526	1997-11-11	PRIJEM	VKLAD	12473	40342	\N	\N	\N
1326382	4526	1997-12-11	PRIJEM	VKLAD	18710	59153	\N	\N	\N
1326383	4526	1998-01-11	PRIJEM	VKLAD	12473	62019	\N	\N	\N
1326384	4526	1998-02-11	PRIJEM	VKLAD	12473	67614	\N	\N	\N
1326385	4526	1998-03-11	PRIJEM	VKLAD	12473	29602	\N	\N	\N
1326386	4526	1998-04-11	PRIJEM	VKLAD	12473	42233	\N	\N	\N
1326387	4526	1998-05-11	PRIJEM	VKLAD	12473	54814	\N	\N	\N
1326388	4526	1998-06-11	PRIJEM	VKLAD	18710	53294	\N	\N	\N
1326389	4526	1998-07-11	PRIJEM	VKLAD	12473	65969	\N	\N	\N
1326390	4526	1998-08-11	PRIJEM	VKLAD	12473	28153	\N	\N	\N
1326391	4526	1998-09-11	PRIJEM	VKLAD	12473	40736	\N	\N	\N
1326392	4526	1998-10-11	PRIJEM	VKLAD	12473	53311	\N	\N	\N
1326393	4526	1998-11-11	PRIJEM	VKLAD	12473	65939	\N	\N	\N
1326394	4526	1998-12-11	PRIJEM	VKLAD	18710	84856	\N	\N	\N
1326396	4526	1994-06-17	VYDAJ	VYBER	14800	35775	\N	\N	\N
1326399	4526	1997-06-18	VYDAJ	VYBER	19500	28333	\N	\N	\N
1326400	4526	1998-06-01	VYDAJ	VYBER	17000	34584	\N	\N	\N
1326403	4526	1995-01-23	VYDAJ	VYBER	8700	21106	\N	\N	\N
1326405	4526	1997-01-06	VYDAJ	VYBER	3700	25318	\N	\N	\N
1326406	4526	1998-01-07	VYDAJ	VYBER	6200	49546	\N	\N	\N
1326408	4526	1994-12-02	VYDAJ	VYBER	700	30880	\N	\N	\N
1326409	4526	1995-12-01	VYDAJ	VYBER	1100	18035	\N	\N	\N
1326410	4526	1996-12-15	VYDAJ	VYBER	1400	28945	\N	\N	\N
1326411	4526	1997-12-15	VYDAJ	VYBER	600	58553	\N	\N	\N
1326412	4526	1998-12-28	VYDAJ	VYBER	2100	82756	\N	\N	\N
1326425	4526	1995-01-10	VYDAJ	VYBER	800	26933	\N	\N	\N
1326426	4526	1995-01-10	VYDAJ	VYBER	700	27733	\N	\N	\N
1326427	4526	1995-01-27	VYDAJ	VYBER	1900	17406	\N	\N	\N
1326428	4526	1995-01-15	VYDAJ	VYBER	2300	37106	\N	\N	\N
1326429	4526	1995-01-17	VYDAJ	VYBER	700	36406	\N	\N	\N
1326430	4526	1995-01-24	VYDAJ	VYBER	1800	19306	\N	\N	\N
1326431	4526	1996-01-09	VYDAJ	VYBER	600	17326	\N	\N	\N
1326434	4526	1996-01-15	VYDAJ	VYBER	2900	22499	\N	\N	\N
1326435	4526	1996-01-09	VYDAJ	VYBER	1500	15826	\N	\N	\N
1326436	4526	1996-01-12	VYDAJ	VYBER	2900	25399	\N	\N	\N
1326437	4526	1997-01-07	VYDAJ	VYBER	1600	22518	\N	\N	\N
1326438	4526	1997-01-06	VYDAJ	VYBER	1200	24118	\N	\N	\N
1326439	4526	1997-01-16	VYDAJ	VYBER	2800	32191	\N	\N	\N
1326440	4526	1997-01-19	VYDAJ	VYBER	1400	30791	\N	\N	\N
1326441	4526	1997-01-26	VYDAJ	VYBER	700	30091	\N	\N	\N
1326442	4526	1997-01-30	VYDAJ	VYBER	2900	27191	\N	\N	\N
1326443	4526	1998-01-16	VYDAJ	VYBER	2000	60019	\N	\N	\N
1326444	4526	1998-01-27	VYDAJ	VYBER	1800	56319	\N	\N	\N
1326445	4526	1998-01-02	VYDAJ	VYBER	1500	57246	\N	\N	\N
1326446	4526	1998-01-03	VYDAJ	VYBER	1500	55746	\N	\N	\N
1326447	4526	1998-01-17	VYDAJ	VYBER	1900	58119	\N	\N	\N
1326448	4526	1998-01-30	VYDAJ	VYBER	1400	54919	\N	\N	\N
1326453	4526	1994-11-06	VYDAJ	VYBER	2800	28873	\N	\N	\N
1326454	4526	1994-12-20	VYDAJ	VYBER	4000	45590	\N	\N	\N
1326455	4526	1994-07-01	VYDAJ	VYBER	1800	28998	\N	\N	\N
1326456	4526	1995-04-09	VYDAJ	VYBER	2300	20105	\N	\N	\N
1326457	4526	1995-02-15	VYDAJ	VYBER	3600	26386	\N	\N	\N
1326459	4526	1996-10-31	VYDAJ	VYBER	1100	24608	\N	\N	\N
1326460	4526	1996-08-19	VYDAJ	VYBER	2800	22398	\N	\N	\N
1326461	4526	1996-08-14	VYDAJ	VYBER	1500	25198	\N	\N	\N
1326462	4526	1996-06-13	VYDAJ	VYBER	2500	34338	\N	\N	\N
1326465	4526	1996-09-13	VYDAJ	VYBER	1300	33637	\N	\N	\N
1326466	4526	1997-05-18	VYDAJ	VYBER	3000	30615	\N	\N	\N
1326467	4526	1997-10-14	VYDAJ	VYBER	1900	27722	\N	\N	\N
1326468	4526	1997-08-15	VYDAJ	VYBER	3700	49807	\N	\N	\N
1326469	4526	1997-06-01	VYDAJ	VYBER	1600	29123	\N	\N	\N
1326470	4526	1997-05-11	VYDAJ	VYBER	4800	33615	\N	\N	\N
1326471	4526	1998-05-24	VYDAJ	VYBER	3400	51414	\N	\N	\N
1326472	4526	1998-08-02	VYDAJ	VYBER	3700	61980	\N	\N	\N
1326473	4526	1998-07-29	VYDAJ	VYBER	500	65469	\N	\N	\N
1326490	4526	1994-04-30	VYDAJ	VYBER	15	32472	SLUZBY	\N	\N
1326491	4526	1994-05-31	VYDAJ	VYBER	15	31865	SLUZBY	\N	\N
1326492	4526	1994-06-30	VYDAJ	VYBER	15	30798	SLUZBY	\N	\N
1326493	4526	1994-07-31	VYDAJ	VYBER	15	29207	SLUZBY	\N	\N
1326494	4526	1994-08-31	VYDAJ	VYBER	15	31388	SLUZBY	\N	\N
1326495	4526	1994-09-30	VYDAJ	VYBER	15	32879	SLUZBY	\N	\N
1326496	4526	1994-10-31	VYDAJ	VYBER	15	31673	SLUZBY	\N	\N
1326497	4526	1994-11-30	VYDAJ	VYBER	15	31580	SLUZBY	\N	\N
1326498	4526	1994-12-31	VYDAJ	VYBER	15	28433	SLUZBY	\N	\N
1326499	4526	1995-01-31	VYDAJ	VYBER	15	17513	SLUZBY	\N	\N
1326500	4526	1995-02-28	VYDAJ	VYBER	15	21157	SLUZBY	\N	\N
1326501	4526	1995-03-31	VYDAJ	VYBER	15	22405	SLUZBY	\N	\N
1326502	4526	1995-04-30	VYDAJ	VYBER	15	20672	SLUZBY	\N	\N
1326503	4526	1995-05-31	VYDAJ	VYBER	15	22218	SLUZBY	\N	\N
1326504	4526	1995-06-30	VYDAJ	VYBER	15	26711	SLUZBY	\N	\N
1326505	4526	1995-07-31	VYDAJ	VYBER	15	21173	SLUZBY	\N	\N
1326506	4526	1995-08-31	VYDAJ	VYBER	15	20918	SLUZBY	\N	\N
1326507	4526	1995-09-30	VYDAJ	VYBER	15	18259	SLUZBY	\N	\N
1326508	4526	1995-10-31	VYDAJ	VYBER	15	19696	SLUZBY	\N	\N
1326509	4526	1995-11-30	VYDAJ	VYBER	15	19135	SLUZBY	\N	\N
1326510	4526	1995-12-31	VYDAJ	VYBER	15	17926	SLUZBY	\N	\N
1326511	4526	1996-01-31	VYDAJ	VYBER	15	12454	SLUZBY	\N	\N
1326512	4526	1996-02-29	VYDAJ	VYBER	15	13165	SLUZBY	\N	\N
1326513	4526	1996-03-31	VYDAJ	VYBER	15	11574	SLUZBY	\N	\N
1326514	4526	1996-04-30	VYDAJ	VYBER	15	24082	SLUZBY	\N	\N
1326515	4526	1996-05-31	VYDAJ	VYBER	15	18128	SLUZBY	\N	\N
1326516	4526	1996-06-30	VYDAJ	VYBER	15	17103	SLUZBY	\N	\N
1326517	4526	1996-07-31	VYDAJ	VYBER	15	14225	SLUZBY	\N	\N
1326518	4526	1996-08-31	VYDAJ	VYBER	15	22464	SLUZBY	\N	\N
1326519	4526	1996-09-30	VYDAJ	VYBER	15	13194	SLUZBY	\N	\N
1326520	4526	1996-10-31	VYDAJ	VYBER	15	25708	SLUZBY	\N	\N
1326521	4526	1996-11-30	VYDAJ	VYBER	15	11635	SLUZBY	\N	\N
1326522	4526	1996-12-31	VYDAJ	VYBER	15	29018	SLUZBY	\N	\N
1326523	4526	1997-01-31	VYDAJ	VYBER	15	27299	SLUZBY	\N	\N
1326524	4526	1997-02-28	VYDAJ	VYBER	15	39871	SLUZBY	\N	\N
1326525	4526	1997-03-31	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
1326526	4526	1997-04-30	VYDAJ	VYBER	15	25942	SLUZBY	\N	\N
1326527	4526	1997-05-31	VYDAJ	VYBER	15	30723	SLUZBY	\N	\N
1326528	4526	1997-06-30	VYDAJ	VYBER	15	28457	SLUZBY	\N	\N
1326529	4526	1997-07-31	VYDAJ	VYBER	15	41034	SLUZBY	\N	\N
1326530	4526	1997-08-31	VYDAJ	VYBER	15	49982	SLUZBY	\N	\N
1326531	4526	1997-09-30	VYDAJ	VYBER	15	62649	SLUZBY	\N	\N
1326532	4526	1997-10-31	VYDAJ	VYBER	15	27869	SLUZBY	\N	\N
1326533	4526	1997-11-30	VYDAJ	VYBER	15	40443	SLUZBY	\N	\N
1326534	4526	1997-12-31	VYDAJ	VYBER	15	58746	SLUZBY	\N	\N
1326535	4526	1998-01-31	VYDAJ	VYBER	15	55141	SLUZBY	\N	\N
1326536	4526	1998-02-28	VYDAJ	VYBER	15	67829	SLUZBY	\N	\N
1326537	4526	1998-03-31	VYDAJ	VYBER	15	29760	SLUZBY	\N	\N
1326538	4526	1998-04-30	VYDAJ	VYBER	15	42341	SLUZBY	\N	\N
1326539	4526	1998-05-31	VYDAJ	VYBER	15	51584	SLUZBY	\N	\N
1326540	4526	1998-06-30	VYDAJ	VYBER	15	53496	SLUZBY	\N	\N
1326541	4526	1998-07-31	VYDAJ	VYBER	15	65680	SLUZBY	\N	\N
1326542	4526	1998-08-31	VYDAJ	VYBER	15	28263	SLUZBY	\N	\N
1326543	4526	1998-09-30	VYDAJ	VYBER	15	40838	SLUZBY	\N	\N
1326544	4526	1998-10-31	VYDAJ	VYBER	15	53466	SLUZBY	\N	\N
1326545	4526	1998-11-30	VYDAJ	VYBER	15	66146	SLUZBY	\N	\N
1326546	4526	1993-12-29	PRIJEM	VKLAD	3100	22710	\N	\N	\N
1326547	4526	1994-01-28	VYDAJ	VYBER	6800	28392	\N	\N	\N
1326548	4526	1994-02-27	VYDAJ	VYBER	10800	30163	\N	\N	\N
1326549	4526	1994-03-29	VYDAJ	VYBER	11000	31755	\N	\N	\N
1326550	4526	1994-04-28	VYDAJ	VYBER	12000	32354	\N	\N	\N
1326551	4526	1994-05-28	VYDAJ	VYBER	13200	31745	\N	\N	\N
1326552	4526	1994-06-27	VYDAJ	VYBER	5100	30675	\N	\N	\N
1326553	4526	1994-07-27	VYDAJ	VYBER	12400	29071	\N	\N	\N
1326554	4526	1994-08-26	VYDAJ	VYBER	10400	31280	\N	\N	\N
1326555	4526	1994-09-25	VYDAJ	VYBER	11100	32761	\N	\N	\N
1326556	4526	1994-10-25	VYDAJ	VYBER	13800	31552	\N	\N	\N
1326557	4526	1994-11-24	VYDAJ	VYBER	9900	31446	\N	\N	\N
1326558	4526	1994-12-24	VYDAJ	VYBER	17300	28290	\N	\N	\N
1326559	4526	1995-01-23	VYDAJ	VYBER	6600	29806	\N	\N	\N
1326560	4526	1995-02-22	VYDAJ	VYBER	5300	21086	\N	\N	\N
1326561	4526	1995-03-24	VYDAJ	VYBER	11300	22330	\N	\N	\N
1326562	4526	1995-04-23	VYDAJ	VYBER	12000	20578	\N	\N	\N
1326563	4526	1995-05-23	VYDAJ	VYBER	11000	22145	\N	\N	\N
1326564	4526	1995-06-22	VYDAJ	VYBER	14300	26628	\N	\N	\N
1326565	4526	1995-07-22	VYDAJ	VYBER	18100	21084	\N	\N	\N
1326566	4526	1995-08-21	VYDAJ	VYBER	12800	20846	\N	\N	\N
1326567	4526	1995-09-20	VYDAJ	VYBER	15200	18191	\N	\N	\N
1326568	4526	1995-10-20	VYDAJ	VYBER	11100	19632	\N	\N	\N
1326569	4526	1995-11-19	VYDAJ	VYBER	13100	19069	\N	\N	\N
1326570	4526	1995-12-19	VYDAJ	VYBER	18900	17845	\N	\N	\N
1326571	4526	1996-01-18	VYDAJ	VYBER	10100	12399	\N	\N	\N
1326572	4526	1996-02-17	VYDAJ	VYBER	11800	13127	\N	\N	\N
1326573	4526	1996-03-18	VYDAJ	VYBER	14100	11538	\N	\N	\N
1326574	4526	1996-05-17	VYDAJ	VYBER	18500	18055	\N	\N	\N
1326575	4526	1996-06-16	VYDAJ	VYBER	17300	17038	\N	\N	\N
1326576	4526	1996-07-16	VYDAJ	VYBER	15400	14176	\N	\N	\N
1326577	4526	1996-09-14	VYDAJ	VYBER	20500	13137	\N	\N	\N
1326578	4526	1996-11-13	VYDAJ	VYBER	25500	11581	\N	\N	\N
1326579	4526	1997-03-13	VYDAJ	VYBER	39000	13344	\N	\N	\N
1326580	4526	1997-10-09	VYDAJ	VYBER	45500	17149	\N	\N	\N
1326581	4526	1998-03-08	VYDAJ	VYBER	50700	17129	\N	\N	\N
1326582	4526	1998-08-05	VYDAJ	VYBER	46300	15680	\N	\N	\N
1326644	4527	1997-06-01	PRIJEM	VKLAD	600	600	\N	\N	\N
1326646	4527	1997-11-01	PRIJEM	VKLAD	33541	57851	\N	\N	\N
1326648	4527	1997-08-02	PRIJEM	VKLAD	32606	59663	\N	\N	\N
1326649	4527	1997-11-28	PRIJEM	VKLAD	48047	105898	\N	\N	\N
1326652	4527	1997-06-14	PRIJEM	VKLAD	41882	42482	\N	\N	\N
1326653	4527	1998-08-04	PRIJEM	VKLAD	44804	103700	\N	\N	\N
1326654	4527	1998-02-06	PRIJEM	VKLAD	29934	63607	\N	\N	\N
1326655	4527	1998-05-22	PRIJEM	VKLAD	9318	69460	\N	\N	\N
1326656	4527	1998-10-20	PRIJEM	VKLAD	10205	51927	\N	\N	\N
1326657	4527	1998-06-04	PRIJEM	VKLAD	8527	55387	\N	\N	\N
1326658	4527	1998-07-24	PRIJEM	VKLAD	19014	100614	\N	\N	\N
1326659	4527	1998-03-06	PRIJEM	VKLAD	6178	43991	\N	\N	\N
1326660	4527	1998-10-23	PRIJEM	VKLAD	28216	80143	\N	\N	\N
1326661	4527	1998-09-20	PRIJEM	VKLAD	47098	88713	\N	\N	\N
1326662	4527	1998-05-06	PRIJEM	VKLAD	19380	62242	\N	\N	\N
1326663	4527	1998-04-21	PRIJEM	VKLAD	38521	66933	\N	\N	\N
1326664	4527	1998-07-06	PRIJEM	VKLAD	40738	81600	\N	\N	\N
1326678	4527	1998-02-13	VYDAJ	VYBER	2400	61207	\N	\N	0
1326679	4527	1998-03-13	VYDAJ	VYBER	2500	30691	\N	\N	0
1326680	4527	1998-04-23	VYDAJ	VYBER	2500	64433	\N	\N	0
1326681	4527	1998-05-15	VYDAJ	VYBER	2100	60142	\N	\N	0
1326682	4527	1998-05-29	VYDAJ	VYBER	2000	46660	\N	\N	0
1326683	4527	1998-06-28	VYDAJ	VYBER	1600	40687	\N	\N	0
1326684	4527	1998-08-26	VYDAJ	VYBER	2800	41369	\N	\N	0
1326685	4527	1998-08-26	VYDAJ	VYBER	1500	44169	\N	\N	0
1326686	4527	1998-10-09	VYDAJ	VYBER	1600	41722	\N	\N	0
1326687	4527	1998-11-19	VYDAJ	VYBER	2500	46944	\N	\N	0
1326688	4527	1998-12-04	VYDAJ	VYBER	2100	35821	\N	\N	0
1326696	4527	1998-10-04	VYBER	VYBER	15165	43322	\N	\N	\N
1326697	4527	1998-08-10	VYBER	VYBER	2914	88180	\N	\N	\N
1326698	4527	1998-08-14	VYBER	VYBER	22011	66169	\N	\N	\N
1326699	4527	1998-08-09	VYBER	VYBER	12606	91094	\N	\N	\N
1326705	4527	1998-12-12	VYDAJ	VYBER KARTOU	3600	32221	\N	\N	0
1326712	4527	1998-10-24	VYDAJ	VYBER	9000	49243	\N	\N	\N
1326713	4527	1998-02-23	VYDAJ	VYBER	6300	54907	\N	\N	\N
1326714	4527	1998-12-22	VYDAJ	VYBER	8700	23521	\N	\N	\N
1326715	4527	1998-07-25	VYDAJ	VYBER	12600	88014	\N	\N	\N
1326716	4527	1998-03-11	VYDAJ	VYBER	10800	33191	\N	\N	\N
1326731	4527	1998-02-28	VYDAJ	VYBER	15	37813	SLUZBY	\N	\N
1326732	4527	1998-03-31	VYDAJ	VYBER	15	28412	SLUZBY	\N	\N
1326733	4527	1998-04-30	VYDAJ	VYBER	15	42862	SLUZBY	\N	\N
1326734	4527	1998-05-31	VYDAJ	VYBER	15	46860	SLUZBY	\N	\N
1326735	4527	1998-06-30	VYDAJ	VYBER	15	40862	SLUZBY	\N	\N
1326736	4527	1998-07-31	VYDAJ	VYBER	15	58896	SLUZBY	\N	\N
1326737	4527	1998-08-31	VYDAJ	VYBER	15	41615	SLUZBY	\N	\N
1326738	4527	1998-09-30	VYDAJ	VYBER	15	58487	SLUZBY	\N	\N
1326739	4527	1998-10-31	VYDAJ	VYBER	15	49444	SLUZBY	\N	\N
1326740	4527	1998-11-30	VYDAJ	VYBER	15	37921	SLUZBY	\N	\N
1326741	4527	1997-07-01	VYDAJ	VYBER	12100	30482	\N	\N	\N
1326742	4527	1997-07-31	VYDAJ	VYBER	3600	27057	\N	\N	\N
1326743	4527	1997-08-30	VYDAJ	VYBER	20000	39663	\N	\N	\N
1326744	4527	1997-09-29	VYDAJ	VYBER	11200	28579	\N	\N	\N
1326745	4527	1997-10-29	VYDAJ	VYBER	4600	24145	\N	\N	\N
1326746	4527	1997-11-28	VYDAJ	VYBER	41500	64398	\N	\N	\N
1326747	4527	1997-12-28	VYDAJ	VYBER	21800	42791	\N	\N	\N
1326748	4527	1998-01-27	VYDAJ	VYBER	10000	33232	\N	\N	\N
1326749	4527	1998-02-26	VYDAJ	VYBER	17400	37507	\N	\N	\N
1326750	4527	1998-03-28	VYDAJ	VYBER KARTOU	2400	28291	\N	\N	0
1326751	4527	1998-04-27	VYDAJ	VYBER	21700	42733	\N	\N	\N
1326752	4527	1998-05-27	VYDAJ	VYBER	20800	48660	\N	\N	\N
1326753	4527	1998-06-26	VYDAJ	VYBER	13100	42287	\N	\N	\N
1326754	4527	1998-07-26	VYDAJ	VYBER	29300	58714	\N	\N	\N
1326755	4527	1998-08-25	VYDAJ	VYBER	20500	45669	\N	\N	\N
1326756	4527	1998-09-24	VYDAJ	VYBER	30400	58313	\N	\N	\N
1326757	4527	1998-10-24	VYDAJ	VYBER	21900	58243	\N	\N	\N
1326758	4527	1998-11-23	VYDAJ	VYBER	9200	37744	\N	\N	\N
1327779	4533	1997-08-03	PRIJEM	VKLAD	200	200	\N	\N	\N
1327780	4533	1997-12-21	PRIJEM	VKLAD	21618	61420	\N	\N	\N
1327783	4533	1997-10-15	PRIJEM	VKLAD	39831	57531	\N	\N	\N
1327789	4533	1997-12-27	PRIJEM	VKLAD	36070	97490	\N	\N	\N
1327794	4533	1998-02-06	PRIJEM	VKLAD	47204	127543	\N	\N	\N
1327795	4533	1998-12-09	PRIJEM	VKLAD	40003	116643	\N	\N	\N
1327796	4533	1998-05-10	PRIJEM	VKLAD	41117	90438	\N	\N	\N
1327797	4533	1998-04-15	PRIJEM	VKLAD	37009	96890	\N	\N	\N
1327798	4533	1998-11-30	PRIJEM	VKLAD	30281	104840	\N	\N	\N
1327799	4533	1998-03-03	PRIJEM	VKLAD	39435	99743	\N	\N	\N
1327800	4533	1998-05-18	PRIJEM	VKLAD	6700	94885	\N	\N	\N
1327801	4533	1998-01-26	PRIJEM	VKLAD	48449	100066	\N	\N	\N
1327802	4533	1998-03-24	PRIJEM	VKLAD	9005	55050	\N	\N	\N
1327803	4533	1998-06-30	PRIJEM	VKLAD	34850	72927	\N	\N	\N
1327804	4533	1998-03-03	PRIJEM	VKLAD	27531	127274	\N	\N	\N
1327805	4533	1998-12-07	PRIJEM	VKLAD	29778	126119	\N	\N	\N
1327806	4533	1998-09-16	PRIJEM	VKLAD	10644	32634	\N	\N	\N
1327807	4533	1998-01-21	PRIJEM	VKLAD	46661	111517	\N	\N	\N
1327808	4533	1998-12-24	PRIJEM	VKLAD	17323	87777	\N	\N	\N
1327809	4533	1998-02-27	PRIJEM	VKLAD	14418	87186	\N	\N	\N
1327810	4533	1998-10-25	PRIJEM	VKLAD	20983	51300	\N	\N	\N
1327811	4533	1998-11-17	PRIJEM	VKLAD	36919	56462	\N	\N	\N
1327812	4533	1998-02-01	PRIJEM	VKLAD	39556	104087	\N	\N	\N
1327813	4533	1998-02-25	PRIJEM	VKLAD	33680	72768	\N	\N	\N
1327814	4533	1998-04-06	PRIJEM	VKLAD	6820	55386	\N	\N	\N
1327815	4533	1998-05-23	PRIJEM	VKLAD	21820	116705	\N	\N	\N
1327816	4533	1998-04-07	PRIJEM	VKLAD	14974	70360	\N	\N	\N
1327817	4533	1998-12-19	PRIJEM	VKLAD	49264	132954	\N	\N	\N
1327818	4533	1998-07-10	PRIJEM	VKLAD	28470	50904	\N	\N	\N
1327819	4533	1998-11-24	PRIJEM	VKLAD	49197	105659	\N	\N	\N
1327820	4533	1998-04-26	PRIJEM	VKLAD	14088	90025	\N	\N	\N
1327821	4533	1998-10-20	PRIJEM	VKLAD	20764	30317	\N	\N	\N
1327835	4533	1998-02-15	VYDAJ	VYBER	1800	47188	\N	\N	0
1327836	4533	1998-03-08	VYDAJ	VYBER	2400	51895	\N	\N	0
1327837	4533	1998-04-17	VYDAJ	VYBER	2300	75937	\N	\N	0
1327838	4533	1998-05-12	VYDAJ	PREVOD NA UCET	2254	88185	UVER	CD	10384428
1327839	4533	1998-06-12	VYDAJ	PREVOD NA UCET	2254	41977	UVER	CD	10384428
1327840	4533	1998-07-12	VYDAJ	PREVOD NA UCET	2254	48651	UVER	CD	10384428
1327841	4533	1998-08-12	VYDAJ	PREVOD NA UCET	2254	33698	UVER	CD	10384428
1327842	4533	1998-09-12	VYDAJ	PREVOD NA UCET	2254	21990	UVER	CD	10384428
1327843	4533	1998-10-12	VYDAJ	PREVOD NA UCET	2254	9553	UVER	CD	10384428
1327844	4533	1998-11-12	VYDAJ	PREVOD NA UCET	2254	19543	UVER	CD	10384428
1327845	4533	1998-12-12	VYDAJ	PREVOD NA UCET	2254	83690	UVER	CD	10384428
1327859	4533	1998-02-08	VYDAJ	PREVOD NA UCET	10479	60664	SIPO	OP	65046036
1327860	4533	1998-03-08	VYDAJ	PREVOD NA UCET	10479	54295	SIPO	OP	65046036
1327861	4533	1998-04-08	VYDAJ	PREVOD NA UCET	10479	59881	SIPO	OP	65046036
1327862	4533	1998-05-08	VYDAJ	PREVOD NA UCET	10479	49321	SIPO	OP	65046036
1327863	4533	1998-06-08	VYDAJ	PREVOD NA UCET	10479	44230	SIPO	OP	65046036
1327864	4533	1998-07-08	VYDAJ	PREVOD NA UCET	10479	22434	SIPO	OP	65046036
1327865	4533	1998-08-08	VYDAJ	PREVOD NA UCET	10479	35951	SIPO	OP	65046036
1327866	4533	1998-09-08	VYDAJ	PREVOD NA UCET	10479	31568	SIPO	OP	65046036
1327867	4533	1998-10-08	VYDAJ	PREVOD NA UCET	10479	11806	SIPO	OP	65046036
1327868	4533	1998-11-08	VYDAJ	PREVOD NA UCET	10479	41719	SIPO	OP	65046036
1327869	4533	1998-12-08	VYDAJ	PREVOD NA UCET	10479	76640	SIPO	OP	65046036
1327874	4533	1998-02-05	VYBER	VYBER	23748	80339	\N	\N	\N
1327875	4533	1998-04-15	VYBER	VYBER	18653	78237	\N	\N	\N
1327877	4533	1998-02-10	VYBER	VYBER	11676	48988	\N	\N	\N
1327878	4533	1998-06-01	VYBER	VYBER	7642	54709	\N	\N	\N
1327881	4533	1998-11-09	VYBER	VYBER	19922	21797	\N	\N	\N
1327882	4533	1998-07-03	VYBER	VYBER	2541	49125	\N	\N	\N
1327883	4533	1998-07-03	VYBER	VYBER	15246	51666	\N	\N	\N
1327884	4533	1998-09-12	VYBER	VYBER	7324	24244	\N	\N	\N
1327885	4533	1998-09-28	VYBER	VYBER	20077	22157	\N	\N	\N
1327886	4533	1998-03-14	VYBER	VYBER	5850	46045	\N	\N	\N
1327887	4533	1998-07-04	VYBER	VYBER	16212	32913	\N	\N	\N
1327893	4533	1998-12-03	VYDAJ	VYBER	8700	96341	\N	\N	\N
1327900	4533	1998-07-01	VYDAJ	VYBER	6000	66912	\N	\N	\N
1327901	4533	1998-02-19	VYDAJ	VYBER	8100	39088	\N	\N	\N
1327902	4533	1998-05-06	VYDAJ	VYBER	6000	59800	\N	\N	\N
1327916	4533	1998-01-31	VYDAJ	VYBER	15	64531	SLUZBY	\N	\N
1327917	4533	1998-02-28	VYDAJ	VYBER	15	87408	SLUZBY	\N	\N
1327918	4533	1998-03-31	VYDAJ	VYBER	15	55266	SLUZBY	\N	\N
1327919	4533	1998-04-30	VYDAJ	VYBER	15	90300	SLUZBY	\N	\N
1327920	4533	1998-05-31	VYDAJ	VYBER	15	62351	SLUZBY	\N	\N
1327921	4533	1998-06-30	VYDAJ	VYBER	15	72912	SLUZBY	\N	\N
1327922	4533	1998-07-31	VYDAJ	VYBER	15	46430	SLUZBY	\N	\N
1327923	4533	1998-08-31	VYDAJ	VYBER	15	42047	SLUZBY	\N	\N
1327924	4533	1998-09-30	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
1327925	4533	1998-10-31	VYDAJ	VYBER	15	52198	SLUZBY	\N	\N
1327926	4533	1998-11-30	VYDAJ	VYBER	15	105041	SLUZBY	\N	\N
1327927	4533	1997-09-02	PRIJEM	VKLAD	12800	13000	\N	\N	\N
1327928	4533	1997-10-02	PRIJEM	VKLAD	4700	17700	\N	\N	\N
1327929	4533	1997-11-01	VYDAJ	VYBER	13200	44462	\N	\N	\N
1327930	4533	1997-12-01	VYDAJ	VYBER	4900	39802	\N	\N	\N
1327931	4533	1997-12-31	VYDAJ	VYBER	32900	64856	\N	\N	\N
1327932	4533	1998-01-21	VYDAJ	VYBER	59900	51617	\N	\N	\N
1327933	4533	1998-01-30	VYDAJ	VYBER	35800	64266	\N	\N	\N
1327934	4533	1998-02-06	VYDAJ	VYBER	56400	71143	\N	\N	\N
1327935	4533	1998-03-01	VYDAJ	VYBER	27100	60308	\N	\N	\N
1327936	4533	1998-03-03	VYDAJ	VYBER	62500	64774	\N	\N	\N
1327937	4533	1998-03-31	VYDAJ	VYBER	6700	48566	\N	\N	\N
1327938	4533	1998-04-30	VYDAJ	VYBER	24500	65800	\N	\N	\N
1327939	4533	1998-05-23	VYDAJ	VYBER	33000	83705	\N	\N	\N
1327940	4533	1998-05-30	VYDAJ	VYBER	21700	62005	\N	\N	\N
1327941	4533	1998-06-29	VYDAJ	VYBER	4100	37877	\N	\N	\N
1327942	4533	1998-07-29	VYDAJ	VYBER KARTOU	2400	46251	\N	\N	0
1327943	4533	1998-08-28	PRIJEM	VKLAD	8200	41898	\N	\N	\N
1327944	4533	1998-09-27	PRIJEM	VKLAD	9600	42234	\N	\N	\N
1327945	4533	1998-10-27	PRIJEM	VKLAD	800	52100	\N	\N	\N
1327946	4533	1998-11-24	VYDAJ	VYBER	18300	87359	\N	\N	\N
1327947	4533	1998-11-26	VYDAJ	VYBER	12800	74559	\N	\N	\N
1327948	4533	1998-12-07	VYDAJ	VYBER	39000	87119	\N	\N	\N
1327949	4533	1998-12-09	VYDAJ	VYBER	30700	85943	\N	\N	\N
1327950	4533	1998-12-19	VYDAJ	VYBER	62500	70454	\N	\N	\N
1327966	4534	1997-01-18	PRIJEM	VKLAD	600	600	\N	\N	\N
1327967	4534	1997-02-18	PRIJEM	VKLAD	15526	29526	\N	\N	\N
1327968	4534	1997-03-25	PRIJEM	VKLAD	33570	64144	\N	\N	\N
1327969	4534	1998-04-01	PRIJEM	VKLAD	39604	70911	\N	\N	\N
1327970	4534	1998-06-11	PRIJEM	VKLAD	6642	49525	\N	\N	\N
1328025	4534	1997-02-17	PRIJEM	VKLAD	13400	14000	\N	\N	\N
1328026	4534	1997-03-19	PRIJEM	VKLAD	1000	30574	\N	\N	\N
1328027	4534	1997-04-18	VYDAJ	VYBER	21000	43300	\N	\N	\N
1328028	4534	1997-05-18	VYDAJ	VYBER	8000	35567	\N	\N	\N
1328029	4534	1997-06-17	VYDAJ	VYBER	2400	33434	\N	\N	\N
1328030	4534	1997-07-17	VYDAJ	VYBER	3100	30602	\N	\N	\N
1328031	4534	1997-08-16	VYDAJ	VYBER	700	30169	\N	\N	\N
1328032	4534	1997-09-15	VYDAJ	VYBER	2200	28236	\N	\N	\N
1328033	4534	1997-10-15	PRIJEM	VKLAD	2700	31204	\N	\N	\N
1328034	4534	1997-11-14	PRIJEM	VKLAD	400	31871	\N	\N	\N
1328035	4534	1997-12-14	VYDAJ	VYBER	3900	28238	\N	\N	\N
1328036	4534	1998-01-13	VYDAJ	VYBER	1600	26905	\N	\N	\N
1328037	4534	1998-02-12	VYDAJ	VYBER	1900	25273	\N	\N	\N
1328038	4534	1998-03-14	PRIJEM	VKLAD	5500	31040	\N	\N	\N
1328039	4534	1998-04-13	VYDAJ	VYBER	16200	54711	\N	\N	\N
1328040	4534	1998-05-13	VYDAJ	VYBER	12300	42655	\N	\N	\N
1328041	4534	1998-06-12	VYDAJ	VYBER	5900	43625	\N	\N	\N
1328042	4534	1998-07-12	VYDAJ	VYBER	2200	41623	\N	\N	\N
1328043	4534	1998-08-11	VYDAJ	VYBER	6200	35605	\N	\N	\N
1328044	4534	1998-09-10	VYDAJ	VYBER	3600	32187	\N	\N	\N
1328045	4534	1998-10-10	VYDAJ	VYBER	1000	31368	\N	\N	\N
1328046	4534	1998-11-09	PRIJEM	VKLAD	100	31650	\N	\N	\N
1328527	4537	1996-07-18	PRIJEM	VKLAD	600	600	\N	\N	\N
1328528	4537	1996-08-19	PRIJEM	VKLAD	38409	84281	\N	\N	\N
1328529	4537	1996-11-29	PRIJEM	VKLAD	14493	81461	\N	\N	\N
1328531	4537	1996-11-16	PRIJEM	VKLAD	23935	66968	\N	\N	\N
1328534	4537	1996-10-28	PRIJEM	VKLAD	6246	56169	\N	\N	\N
1328535	4537	1996-09-30	PRIJEM	VKLAD	15923	76625	\N	\N	\N
1328536	4537	1996-08-26	PRIJEM	VKLAD	22777	99595	\N	\N	\N
1328537	4537	1996-09-08	PRIJEM	VKLAD	14865	75530	\N	\N	\N
1328539	4537	1996-12-30	PRIJEM	VKLAD	46525	102945	\N	\N	\N
1328540	4537	1996-08-10	PRIJEM	VKLAD	17520	64572	\N	\N	\N
1328541	4537	1996-09-13	PRIJEM	VKLAD	6446	81976	\N	\N	\N
1328545	4537	1996-09-15	PRIJEM	VKLAD	8726	90702	\N	\N	\N
1328546	4537	1996-09-03	PRIJEM	VKLAD	19724	119565	\N	\N	\N
1328548	4537	1996-08-19	PRIJEM	VKLAD	46337	130618	\N	\N	\N
1328549	4537	1996-12-17	PRIJEM	VKLAD	10300	65420	\N	\N	\N
1328550	4537	1996-12-11	PRIJEM	VKLAD	49228	122820	\N	\N	\N
1328551	4537	1996-08-03	PRIJEM	VKLAD	46452	47052	\N	\N	\N
1328553	4537	1997-03-15	PRIJEM	VKLAD	49701	72765	\N	\N	\N
1328554	4537	1997-12-25	PRIJEM	VKLAD	43616	107517	\N	\N	\N
1328555	4537	1997-09-09	PRIJEM	VKLAD	27662	62242	\N	\N	\N
1328556	4537	1997-07-08	PRIJEM	VKLAD	30910	61920	\N	\N	\N
1328557	4537	1997-08-10	PRIJEM	VKLAD	9132	35861	\N	\N	\N
1328558	4537	1997-10-08	PRIJEM	VKLAD	6542	105548	\N	\N	\N
1328559	4537	1997-12-08	PRIJEM	VKLAD	36465	87101	\N	\N	\N
1328560	4537	1997-04-07	PRIJEM	VKLAD	42333	92533	\N	\N	\N
1328561	4537	1997-01-12	PRIJEM	VKLAD	41671	84832	\N	\N	\N
1328562	4537	1997-09-26	PRIJEM	VKLAD	26983	52425	\N	\N	\N
1328563	4537	1997-02-06	PRIJEM	VKLAD	18677	41273	\N	\N	\N
1328564	4537	1997-10-07	PRIJEM	VKLAD	46462	99006	\N	\N	\N
1328565	4537	1997-01-01	PRIJEM	VKLAD	26844	105761	\N	\N	\N
1328566	4537	1998-06-17	PRIJEM	VKLAD	35289	89457	\N	\N	\N
1328567	4537	1998-02-20	PRIJEM	VKLAD	16019	55195	\N	\N	\N
1328568	4537	1998-09-09	PRIJEM	VKLAD	34553	98493	\N	\N	\N
1328605	4537	1997-07-15	VYBER	VYBER	3869	37651	\N	\N	\N
1328606	4537	1997-01-16	VYBER	VYBER	20473	32059	\N	\N	\N
1328607	4537	1997-07-27	VYBER	VYBER	11045	26606	\N	\N	\N
1328609	4537	1997-06-06	VYDAJ	VYBER	11100	37766	\N	\N	\N
1328612	4537	1997-01-14	VYDAJ	VYBER	3300	81532	\N	\N	\N
1328613	4537	1998-01-03	VYDAJ	VYBER	28200	79582	\N	\N	\N
1328614	4537	1996-12-02	VYDAJ	VYBER	8100	73592	\N	\N	\N
1328615	4537	1997-12-19	VYDAJ	VYBER	3600	63901	\N	\N	\N
1328616	4537	1998-12-01	VYDAJ	VYBER	8400	56495	\N	\N	\N
1328625	4537	1997-01-11	VYDAJ	VYBER	3900	43161	\N	\N	\N
1328626	4537	1997-01-16	VYDAJ	VYBER	3600	28459	\N	\N	\N
1328628	4537	1997-01-01	VYDAJ	VYBER	3600	102161	\N	\N	\N
1328629	4537	1998-01-22	VYDAJ	VYBER	8100	31382	\N	\N	\N
1328630	4537	1998-01-05	VYDAJ	VYBER	6900	72682	\N	\N	\N
1328631	4537	1998-01-25	VYDAJ	VYBER	5400	25982	\N	\N	\N
1328632	4537	1998-01-30	VYDAJ	VYBER	3600	22382	\N	\N	\N
1328633	4537	1998-01-18	VYDAJ	VYBER	6900	43982	\N	\N	\N
1328634	4537	1998-01-20	VYDAJ	VYBER	4500	39482	\N	\N	\N
1328637	4537	1996-12-27	VYDAJ	VYBER	9000	56420	\N	\N	\N
1328638	4537	1996-10-24	VYDAJ	VYBER	3900	49923	\N	\N	\N
1328639	4537	1997-09-15	VYDAJ	VYBER	11700	25442	\N	\N	\N
1328640	4537	1997-06-24	VYDAJ	VYBER	10200	30866	\N	\N	\N
1328641	4537	1997-03-06	VYDAJ	VYBER	9300	23064	\N	\N	\N
1328642	4537	1997-08-12	VYDAJ	VYBER	6600	34461	\N	\N	\N
1328643	4537	1997-09-14	VYDAJ	VYBER	14100	37142	\N	\N	\N
1328644	4537	1997-07-08	VYDAJ	VYBER	11400	50520	\N	\N	\N
1328645	4537	1997-03-03	VYDAJ	VYBER	1800	32364	\N	\N	\N
1328646	4537	1997-01-22	VYDAJ	VYBER	6000	22459	\N	\N	\N
1328647	4537	1998-01-15	VYDAJ	VYBER	9000	50882	\N	\N	\N
1328648	4537	1998-06-04	VYDAJ	VYBER	8100	47968	\N	\N	\N
1328649	4537	1998-06-09	VYDAJ	VYBER	2400	54168	\N	\N	\N
1328650	4537	1998-04-15	VYDAJ	VYBER	8700	49601	\N	\N	\N
1328659	4537	1996-08-31	VYDAJ	VYBER	30	99841	SLUZBY	\N	\N
1328660	4537	1996-09-30	VYDAJ	VYBER	30	76923	SLUZBY	\N	\N
1328661	4537	1996-10-31	VYDAJ	VYBER	30	56433	SLUZBY	\N	\N
1328662	4537	1996-11-30	VYDAJ	VYBER	30	81692	SLUZBY	\N	\N
1328663	4537	1996-12-31	VYDAJ	VYBER	30	78917	SLUZBY	\N	\N
1328664	4537	1997-01-31	VYDAJ	VYBER	30	22596	SLUZBY	\N	\N
1328665	4537	1997-02-28	VYDAJ	VYBER	30	34164	SLUZBY	\N	\N
1328666	4537	1997-03-31	VYDAJ	VYBER	30	50200	SLUZBY	\N	\N
1328667	4537	1997-04-30	VYDAJ	VYBER	30	62140	SLUZBY	\N	\N
1328668	4537	1997-05-31	VYDAJ	VYBER	30	48866	SLUZBY	\N	\N
1328669	4537	1997-06-30	VYDAJ	VYBER	30	31010	SLUZBY	\N	\N
1328670	4537	1997-07-31	VYDAJ	VYBER	30	26729	SLUZBY	\N	\N
1328671	4537	1997-08-31	VYDAJ	VYBER	30	34580	SLUZBY	\N	\N
1328672	4537	1997-09-30	VYDAJ	VYBER	30	52544	SLUZBY	\N	\N
1328673	4537	1997-10-31	VYDAJ	VYBER	30	51153	SLUZBY	\N	\N
1328674	4537	1997-11-30	VYDAJ	VYBER	30	50636	SLUZBY	\N	\N
1328675	4537	1997-12-31	VYDAJ	VYBER	30	107782	SLUZBY	\N	\N
1328676	4537	1998-01-31	VYDAJ	VYBER	30	22576	SLUZBY	\N	\N
1328677	4537	1998-02-28	VYDAJ	VYBER	30	55302	SLUZBY	\N	\N
1328678	4537	1998-03-31	VYDAJ	VYBER	30	56701	SLUZBY	\N	\N
1328679	4537	1998-04-30	VYDAJ	VYBER	30	49791	SLUZBY	\N	\N
1328680	4537	1998-05-31	VYDAJ	VYBER	30	56068	SLUZBY	\N	\N
1328681	4537	1998-06-30	VYDAJ	VYBER	30	89723	SLUZBY	\N	\N
1328682	4537	1998-07-31	VYDAJ	VYBER	30	74163	SLUZBY	\N	\N
1328683	4537	1998-08-31	VYDAJ	VYBER	30	66940	SLUZBY	\N	\N
1328684	4537	1998-09-30	VYDAJ	VYBER	30	98837	SLUZBY	\N	\N
1328685	4537	1998-10-31	VYDAJ	VYBER	30	75115	SLUZBY	\N	\N
1328686	4537	1998-11-30	VYDAJ	VYBER	30	64895	SLUZBY	\N	\N
1328687	4537	1996-08-17	VYDAJ	VYBER	18700	45872	\N	\N	\N
1328688	4537	1996-08-19	VYDAJ	VYBER	53800	76818	\N	\N	\N
1328689	4537	1996-09-03	VYDAJ	VYBER	58900	60665	\N	\N	\N
1328690	4537	1996-09-16	VYDAJ	VYBER	30000	60702	\N	\N	\N
1328691	4537	1996-10-16	VYDAJ	VYBER	23100	53823	\N	\N	\N
1328692	4537	1996-11-15	VYDAJ	VYBER	13400	43033	\N	\N	\N
1328693	4537	1996-12-11	VYDAJ	VYBER	38800	84020	\N	\N	\N
1328694	4537	1996-12-15	VYDAJ	VYBER	28900	55120	\N	\N	\N
1328695	4537	1996-12-30	VYDAJ	VYBER	24300	78645	\N	\N	\N
1328696	4537	1997-01-01	VYDAJ	VYBER	55100	47061	\N	\N	\N
1328697	4537	1997-01-14	VYDAJ	VYBER	29000	52532	\N	\N	\N
1328698	4537	1997-02-13	VYDAJ	VYBER	7200	34073	\N	\N	\N
1328699	4537	1997-03-15	VYDAJ	VYBER	22700	50065	\N	\N	\N
1328700	4537	1997-04-14	VYDAJ	VYBER	30600	61933	\N	\N	\N
1328701	4537	1997-05-14	VYDAJ	VYBER	13500	48640	\N	\N	\N
1328702	4537	1997-06-13	PRIJEM	VKLAD	3300	41066	\N	\N	\N
1328703	4537	1997-07-13	VYDAJ	VYBER	9000	41520	\N	\N	\N
1328704	4537	1997-08-12	PRIJEM	VKLAD	5200	41061	\N	\N	\N
1328705	4537	1997-09-11	VYDAJ	VYBER	11000	51242	\N	\N	\N
1328706	4537	1997-10-08	VYDAJ	VYBER	48700	56848	\N	\N	\N
1328707	4537	1997-10-11	VYDAJ	VYBER	5900	50948	\N	\N	\N
1328708	4537	1997-11-10	VYDAJ	VYBER	700	50453	\N	\N	\N
1328709	4537	1997-12-10	VYDAJ	VYBER	19600	67501	\N	\N	\N
1328710	4537	1998-01-09	VYDAJ	VYBER	12800	59882	\N	\N	\N
1328711	4537	1998-02-08	PRIJEM	VKLAD	16600	39176	\N	\N	\N
1328712	4537	1998-03-10	PRIJEM	VKLAD	1200	56502	\N	\N	\N
1328713	4537	1998-04-09	PRIJEM	VKLAD	1600	58301	\N	\N	\N
1328714	4537	1998-05-09	PRIJEM	VKLAD	6100	55891	\N	\N	\N
1328715	4537	1998-06-08	PRIJEM	VKLAD	8600	56568	\N	\N	\N
1328716	4537	1998-07-08	VYDAJ	VYBER	15900	73823	\N	\N	\N
1328717	4537	1998-08-07	VYDAJ	VYBER	7500	66663	\N	\N	\N
1328718	4537	1998-09-06	VYDAJ	VYBER	3000	63940	\N	\N	\N
1328719	4537	1998-10-06	VYDAJ	VYBER	24100	74737	\N	\N	\N
1328720	4537	1998-11-05	VYDAJ	VYBER	10500	64615	\N	\N	\N
1328721	4537	1998-12-05	VYDAJ	VYBER	4800	51695	\N	\N	\N
1328751	4538	1995-05-07	PRIJEM	VKLAD	300	300	\N	\N	\N
1328850	4538	1995-06-06	PRIJEM	VKLAD	14000	14300	\N	\N	\N
1328851	4538	1995-07-06	PRIJEM	VKLAD	4500	18800	\N	\N	\N
1328852	4538	1995-08-05	PRIJEM	VKLAD	3700	22500	\N	\N	\N
1328853	4538	1995-09-04	PRIJEM	VKLAD	500	23000	\N	\N	\N
1328854	4538	1995-10-04	PRIJEM	VKLAD	400	23400	\N	\N	\N
1328855	4538	1995-11-03	PRIJEM	VKLAD	3300	26700	\N	\N	\N
1328856	4538	1995-12-03	PRIJEM	VKLAD	400	27100	\N	\N	\N
1328857	4538	1996-01-02	PRIJEM	VKLAD	1300	28400	\N	\N	\N
1328858	4538	1996-03-02	VYDAJ	VYBER	2800	25600	\N	\N	\N
1328859	4538	1996-04-01	PRIJEM	VKLAD	1800	27400	\N	\N	\N
1328860	4538	1996-05-01	PRIJEM	VKLAD	1900	29300	\N	\N	\N
1328861	4538	1996-05-31	VYDAJ	VYBER	1300	28004	\N	\N	\N
1328862	4538	1996-06-30	VYDAJ	VYBER	300	27820	\N	\N	\N
1328863	4538	1996-07-30	PRIJEM	VKLAD	300	28120	\N	\N	\N
1328864	4538	1996-08-29	VYDAJ	VYBER	2100	26137	\N	\N	\N
1328865	4538	1996-09-28	VYDAJ	VYBER	2300	23954	\N	\N	\N
1328866	4538	1996-11-27	PRIJEM	VKLAD	3700	27771	\N	\N	\N
1328867	4538	1996-12-27	PRIJEM	VKLAD	3700	31587	\N	\N	\N
1328868	4538	1997-01-26	PRIJEM	VKLAD	2900	34604	\N	\N	\N
1328869	4538	1997-02-25	PRIJEM	VKLAD	3700	38421	\N	\N	\N
1328870	4538	1997-03-27	PRIJEM	VKLAD	900	39437	\N	\N	\N
1328871	4538	1997-04-26	PRIJEM	VKLAD	500	40054	\N	\N	\N
1328872	4538	1997-05-26	PRIJEM	VKLAD	4000	44171	\N	\N	\N
1328873	4538	1997-06-25	VYDAJ	VYBER	1700	42587	\N	\N	\N
1328874	4538	1997-07-25	PRIJEM	VKLAD	1400	44104	\N	\N	\N
1328875	4538	1997-08-24	VYDAJ	VYBER	500	43721	\N	\N	\N
1328876	4538	1997-09-23	PRIJEM	VKLAD	1900	45737	\N	\N	\N
1328877	4538	1997-10-23	VYDAJ	VYBER	1200	44654	\N	\N	\N
1328878	4538	1997-11-22	VYDAJ	VYBER	2200	42571	\N	\N	\N
1328879	4538	1997-12-22	VYDAJ	VYBER	1000	41687	\N	\N	\N
1328880	4538	1998-02-20	VYDAJ	VYBER	1800	40004	\N	\N	\N
1328881	4538	1998-03-22	VYDAJ	VYBER	1000	39121	\N	\N	\N
1328882	4538	1998-04-21	VYDAJ	VYBER	3200	36037	\N	\N	\N
1328883	4538	1998-05-21	PRIJEM	VKLAD	200	36354	\N	\N	\N
1328884	4538	1998-06-20	VYDAJ	VYBER	2800	33671	\N	\N	\N
1328885	4538	1998-07-20	VYDAJ	VYBER	700	33087	\N	\N	\N
1328886	4538	1998-08-19	PRIJEM	VKLAD	400	33604	\N	\N	\N
1328887	4538	1998-09-18	VYDAJ	VYBER	500	33221	\N	\N	\N
1328888	4538	1998-10-18	VYDAJ	VYBER	5000	28337	\N	\N	\N
1328889	4538	1998-11-17	VYDAJ	VYBER	4100	24354	\N	\N	\N
1329683	4543	1993-10-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1329693	4543	1993-10-13	PRIJEM	VKLAD	4680	5480	\N	\N	\N
1329694	4543	1993-11-13	PRIJEM	VKLAD	4680	20874	\N	\N	\N
1329695	4543	1993-12-13	PRIJEM	VKLAD	7020	27955	\N	\N	\N
1329696	4543	1994-01-13	PRIJEM	VKLAD	4680	29722	\N	\N	\N
1329697	4543	1994-02-13	PRIJEM	VKLAD	4680	30712	\N	\N	\N
1329698	4543	1994-03-13	PRIJEM	VKLAD	4680	34803	\N	\N	\N
1329699	4543	1994-04-13	PRIJEM	VKLAD	4680	34907	\N	\N	\N
1329700	4543	1994-05-13	PRIJEM	VKLAD	4680	32376	\N	\N	\N
1329701	4543	1994-06-13	PRIJEM	VKLAD	7020	33918	\N	\N	\N
1329702	4543	1994-07-13	PRIJEM	VKLAD	4680	16298	\N	\N	\N
1329703	4543	1994-08-13	PRIJEM	VKLAD	4680	24804	\N	\N	\N
1329704	4543	1994-09-13	PRIJEM	VKLAD	4680	29159	\N	\N	\N
1329705	4543	1994-10-13	PRIJEM	VKLAD	4680	29438	\N	\N	\N
1329706	4543	1994-11-13	PRIJEM	VKLAD	4680	30705	\N	\N	\N
1329707	4543	1994-12-13	PRIJEM	VKLAD	7020	29555	\N	\N	\N
1329708	4543	1995-01-13	PRIJEM	VKLAD	4680	33138	\N	\N	\N
1329709	4543	1995-02-13	PRIJEM	VKLAD	4680	31635	\N	\N	\N
1329710	4543	1995-03-13	PRIJEM	VKLAD	4680	30893	\N	\N	\N
1329711	4543	1995-04-13	PRIJEM	VKLAD	4680	26229	\N	\N	\N
1329712	4543	1995-05-13	PRIJEM	VKLAD	4680	27893	\N	\N	\N
1329713	4543	1995-06-13	PRIJEM	VKLAD	7020	32712	\N	\N	\N
1329714	4543	1995-07-13	PRIJEM	VKLAD	4680	31884	\N	\N	\N
1329715	4543	1995-08-13	PRIJEM	VKLAD	4680	34563	\N	\N	\N
1329716	4543	1995-09-13	PRIJEM	VKLAD	4680	31111	\N	\N	\N
1329717	4543	1995-10-13	PRIJEM	VKLAD	4680	31386	\N	\N	\N
1329718	4543	1995-11-13	PRIJEM	VKLAD	4680	32827	\N	\N	\N
1329719	4543	1995-12-13	PRIJEM	VKLAD	7020	37851	\N	\N	\N
1329720	4543	1996-01-13	PRIJEM	VKLAD	4680	37686	\N	\N	\N
1329721	4543	1996-02-13	PRIJEM	VKLAD	4680	38889	\N	\N	\N
1329722	4543	1996-03-13	PRIJEM	VKLAD	4680	37795	\N	\N	\N
1329723	4543	1996-04-13	PRIJEM	VKLAD	4680	37398	\N	\N	\N
1329724	4543	1996-05-13	PRIJEM	VKLAD	4680	37298	\N	\N	\N
1329725	4543	1996-06-13	PRIJEM	VKLAD	7020	42742	\N	\N	\N
1329726	4543	1996-07-13	PRIJEM	VKLAD	4680	39596	\N	\N	\N
1329727	4543	1996-08-13	PRIJEM	VKLAD	4680	40721	\N	\N	\N
1329728	4543	1996-09-13	PRIJEM	VKLAD	4680	44051	\N	\N	\N
1329729	4543	1996-10-13	PRIJEM	VKLAD	4680	45444	\N	\N	\N
1329730	4543	1996-11-13	PRIJEM	VKLAD	4680	46015	\N	\N	\N
1329731	4543	1996-12-13	PRIJEM	VKLAD	7020	53709	\N	\N	\N
1329732	4543	1997-01-13	PRIJEM	VKLAD	4680	52330	\N	\N	\N
1329733	4543	1997-02-13	PRIJEM	VKLAD	4680	57801	\N	\N	\N
1329734	4543	1997-03-13	PRIJEM	VKLAD	4680	59889	\N	\N	\N
1329735	4543	1997-04-13	PRIJEM	VKLAD	4680	51098	\N	\N	\N
1329736	4543	1997-05-13	PRIJEM	VKLAD	4680	53071	\N	\N	\N
1329737	4543	1997-06-13	PRIJEM	VKLAD	7020	50240	\N	\N	\N
1329738	4543	1997-07-13	PRIJEM	VKLAD	4680	47309	\N	\N	\N
1329739	4543	1997-08-13	PRIJEM	VKLAD	4680	56377	\N	\N	\N
1329740	4543	1997-09-13	PRIJEM	VKLAD	4680	59461	\N	\N	\N
1329741	4543	1997-10-13	PRIJEM	VKLAD	4680	61056	\N	\N	\N
1329742	4543	1997-11-13	PRIJEM	VKLAD	4680	57647	\N	\N	\N
1329743	4543	1997-12-13	PRIJEM	VKLAD	7020	52013	\N	\N	\N
1329744	4543	1998-01-13	PRIJEM	VKLAD	4680	56991	\N	\N	\N
1329745	4543	1998-02-13	PRIJEM	VKLAD	4680	60379	\N	\N	\N
1329746	4543	1998-03-13	PRIJEM	VKLAD	4680	61576	\N	\N	\N
1329747	4543	1998-04-13	PRIJEM	VKLAD	4680	52511	\N	\N	\N
1329748	4543	1998-05-13	PRIJEM	VKLAD	4680	62104	\N	\N	\N
1329749	4543	1998-06-13	PRIJEM	VKLAD	7020	43319	\N	\N	\N
1329750	4543	1998-07-13	PRIJEM	VKLAD	4680	49180	\N	\N	\N
1329751	4543	1998-08-13	PRIJEM	VKLAD	4680	52335	\N	\N	\N
1329752	4543	1998-09-13	PRIJEM	VKLAD	4680	61312	\N	\N	\N
1329753	4543	1998-10-13	PRIJEM	VKLAD	4680	60718	\N	\N	\N
1329754	4543	1998-11-13	PRIJEM	VKLAD	4680	63934	\N	\N	\N
1329755	4543	1998-12-13	PRIJEM	VKLAD	7020	64797	\N	\N	\N
1329757	4543	1994-06-26	VYDAJ	VYBER	34400	-482	\N	\N	\N
1329760	4543	1997-06-04	VYDAJ	VYBER	7840	43220	\N	\N	\N
1329761	4543	1998-06-11	VYDAJ	VYBER	16800	36299	\N	\N	\N
1329763	4543	1994-12-06	VYDAJ	VYBER	3680	22535	\N	\N	\N
1329764	4543	1995-12-27	VYDAJ	VYBER	1760	36091	\N	\N	\N
1329765	4543	1996-12-19	VYDAJ	VYBER	4640	49069	\N	\N	\N
1329766	4543	1997-12-09	VYDAJ	VYBER KARTOU	3800	44993	\N	\N	0
1329767	4543	1998-12-11	VYDAJ	VYBER KARTOU	1900	60077	\N	\N	0
1329772	4543	1994-04-20	VYDAJ	VYBER	720	33467	\N	\N	\N
1329773	4543	1994-10-25	VYDAJ	VYBER	720	28718	\N	\N	\N
1329774	4543	1994-04-18	VYDAJ	VYBER	720	34187	\N	\N	\N
1329775	4543	1995-08-28	VYDAJ	VYBER	5040	29523	\N	\N	\N
1329776	4543	1995-03-02	VYDAJ	VYBER	3720	26213	\N	\N	\N
1329777	4543	1995-03-14	VYDAJ	VYBER	5160	25733	\N	\N	\N
1329778	4543	1995-10-25	VYDAJ	VYBER	1920	28146	\N	\N	\N
1329779	4543	1995-03-27	VYDAJ	VYBER	5880	19853	\N	\N	\N
1329780	4543	1995-10-17	VYDAJ	VYBER	1320	30066	\N	\N	\N
1329781	4543	1996-10-07	VYDAJ	VYBER	3240	40764	\N	\N	\N
1329782	4543	1996-07-09	VYDAJ	VYBER	2160	34916	\N	\N	\N
1329783	4543	1996-08-10	VYDAJ	VYBER	3000	36041	\N	\N	\N
1329784	4543	1996-11-11	VYDAJ	VYBER	3480	41335	\N	\N	\N
1329785	4543	1996-06-27	VYDAJ	VYBER	600	36942	\N	\N	\N
1329786	4543	1997-06-30	VYDAJ	VYBER KARTOU	3400	43729	\N	\N	0
1329787	4543	1997-03-16	VYDAJ	VYBER	4200	55689	\N	\N	\N
1329788	4543	1997-04-05	VYDAJ	VYBER	5280	46418	\N	\N	\N
1329789	4543	1997-12-08	VYDAJ	VYBER	5160	48793	\N	\N	\N
1329790	4543	1997-06-30	VYDAJ	VYBER KARTOU	1100	42629	\N	\N	0
1329791	4543	1998-04-02	VYDAJ	VYBER	5280	47831	\N	\N	\N
1329792	4543	1998-03-22	VYDAJ	VYBER	4680	52896	\N	\N	\N
1329793	4543	1998-12-02	VYDAJ	VYBER KARTOU	2200	61977	\N	\N	0
1329794	4543	1998-05-20	VYDAJ	VYBER	5520	52884	\N	\N	\N
1329809	4543	1994-02-28	VYDAJ	VYBER	15	30823	SLUZBY	\N	\N
1329810	4543	1994-03-31	VYDAJ	VYBER	15	34927	SLUZBY	\N	\N
1329811	4543	1994-04-30	VYDAJ	VYBER	15	33596	SLUZBY	\N	\N
1329812	4543	1994-05-31	VYDAJ	VYBER	15	32498	SLUZBY	\N	\N
1329813	4543	1994-06-30	VYDAJ	VYBER	15	-381	SLUZBY	\N	\N
1329814	4543	1994-07-31	VYDAJ	VYBER	15	16324	SLUZBY	\N	\N
1329815	4543	1994-08-31	VYDAJ	VYBER	15	24879	SLUZBY	\N	\N
1329816	4543	1994-09-30	VYDAJ	VYBER	15	29258	SLUZBY	\N	\N
1329817	4543	1994-10-31	VYDAJ	VYBER	15	28825	SLUZBY	\N	\N
1329818	4543	1994-11-30	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
1329819	4543	1994-12-31	VYDAJ	VYBER	15	29658	SLUZBY	\N	\N
1329820	4543	1995-01-31	VYDAJ	VYBER	15	26955	SLUZBY	\N	\N
1329821	4543	1995-02-28	VYDAJ	VYBER	15	31733	SLUZBY	\N	\N
1329822	4543	1995-03-31	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
1329823	4543	1995-04-30	VYDAJ	VYBER	15	26313	SLUZBY	\N	\N
1329824	4543	1995-05-31	VYDAJ	VYBER	15	25692	SLUZBY	\N	\N
1329825	4543	1995-06-30	VYDAJ	VYBER	15	27204	SLUZBY	\N	\N
1329826	4543	1995-07-31	VYDAJ	VYBER	15	29883	SLUZBY	\N	\N
1329827	4543	1995-08-31	VYDAJ	VYBER	15	26431	SLUZBY	\N	\N
1329828	4543	1995-09-30	VYDAJ	VYBER	15	26706	SLUZBY	\N	\N
1329829	4543	1995-10-31	VYDAJ	VYBER	15	28147	SLUZBY	\N	\N
1329830	4543	1995-11-30	VYDAJ	VYBER	15	30831	SLUZBY	\N	\N
1329831	4543	1995-12-31	VYDAJ	VYBER	15	33006	SLUZBY	\N	\N
1329832	4543	1996-01-31	VYDAJ	VYBER	15	34209	SLUZBY	\N	\N
1329833	4543	1996-02-29	VYDAJ	VYBER	15	33115	SLUZBY	\N	\N
1329834	4543	1996-03-31	VYDAJ	VYBER	15	32718	SLUZBY	\N	\N
1329835	4543	1996-04-30	VYDAJ	VYBER	15	32618	SLUZBY	\N	\N
1329836	4543	1996-05-31	VYDAJ	VYBER	15	35722	SLUZBY	\N	\N
1329837	4543	1996-06-30	VYDAJ	VYBER	15	37076	SLUZBY	\N	\N
1329838	4543	1996-07-31	VYDAJ	VYBER	15	39041	SLUZBY	\N	\N
1329839	4543	1996-08-31	VYDAJ	VYBER	15	39371	SLUZBY	\N	\N
1329840	4543	1996-09-30	VYDAJ	VYBER	15	44004	SLUZBY	\N	\N
1329841	4543	1996-10-31	VYDAJ	VYBER	15	44815	SLUZBY	\N	\N
1329842	4543	1996-11-30	VYDAJ	VYBER	15	46689	SLUZBY	\N	\N
1329843	4543	1996-12-31	VYDAJ	VYBER	15	47650	SLUZBY	\N	\N
1329844	4543	1997-01-31	VYDAJ	VYBER	15	53121	SLUZBY	\N	\N
1329845	4543	1997-02-28	VYDAJ	VYBER	15	55209	SLUZBY	\N	\N
1329846	4543	1997-03-31	VYDAJ	VYBER	15	51698	SLUZBY	\N	\N
1329847	4543	1997-04-30	VYDAJ	VYBER	15	48391	SLUZBY	\N	\N
1329848	4543	1997-05-31	VYDAJ	VYBER	15	51060	SLUZBY	\N	\N
1329849	4543	1997-06-30	VYDAJ	VYBER	15	47129	SLUZBY	\N	\N
1329850	4543	1997-07-31	VYDAJ	VYBER	15	51697	SLUZBY	\N	\N
1329851	4543	1997-08-31	VYDAJ	VYBER	15	54781	SLUZBY	\N	\N
1329852	4543	1997-09-30	VYDAJ	VYBER	15	56376	SLUZBY	\N	\N
1329853	4543	1997-10-31	VYDAJ	VYBER	15	52967	SLUZBY	\N	\N
1329854	4543	1997-11-30	VYDAJ	VYBER	15	53953	SLUZBY	\N	\N
1329855	4543	1997-12-31	VYDAJ	VYBER	15	52311	SLUZBY	\N	\N
1329856	4543	1998-01-31	VYDAJ	VYBER	15	55699	SLUZBY	\N	\N
1329857	4543	1998-02-28	VYDAJ	VYBER	15	56896	SLUZBY	\N	\N
1329858	4543	1998-03-31	VYDAJ	VYBER	15	53111	SLUZBY	\N	\N
1329859	4543	1998-04-30	VYDAJ	VYBER	15	57424	SLUZBY	\N	\N
1329860	4543	1998-05-31	VYDAJ	VYBER	15	53099	SLUZBY	\N	\N
1329861	4543	1998-06-30	VYDAJ	VYBER	15	44500	SLUZBY	\N	\N
1329862	4543	1998-07-31	VYDAJ	VYBER	15	47655	SLUZBY	\N	\N
1329863	4543	1998-08-31	VYDAJ	VYBER	15	54332	SLUZBY	\N	\N
1329864	4543	1998-09-30	VYDAJ	VYBER	15	61538	SLUZBY	\N	\N
1329865	4543	1998-10-31	VYDAJ	VYBER	15	60954	SLUZBY	\N	\N
1329866	4543	1998-11-30	VYDAJ	VYBER	15	64177	SLUZBY	\N	\N
1329867	4543	1993-11-07	PRIJEM	VKLAD	10700	16194	\N	\N	\N
1329868	4543	1994-01-06	VYDAJ	VYBER	3000	25042	\N	\N	\N
1329869	4543	1994-02-05	VYDAJ	VYBER	3800	26032	\N	\N	\N
1329870	4543	1994-03-07	VYDAJ	VYBER	700	30123	\N	\N	\N
1329871	4543	1994-04-06	VYDAJ	VYBER	4700	30227	\N	\N	\N
1329872	4543	1994-05-06	VYDAJ	VYBER	5900	27696	\N	\N	\N
1329873	4543	1994-06-05	VYDAJ	VYBER	5600	26898	\N	\N	\N
1329874	4543	1994-07-05	PRIJEM	VKLAD	12000	11618	\N	\N	\N
1329875	4543	1994-08-04	PRIJEM	VKLAD	3800	20124	\N	\N	\N
1329876	4543	1994-09-03	VYDAJ	VYBER	400	24479	\N	\N	\N
1329877	4543	1994-10-03	VYDAJ	VYBER	4500	24758	\N	\N	\N
1329878	4543	1994-11-02	VYDAJ	VYBER	2800	26025	\N	\N	\N
1329879	4543	1994-12-02	VYDAJ	VYBER	4600	26215	\N	\N	\N
1329880	4543	1995-01-01	VYDAJ	VYBER	1200	28458	\N	\N	\N
1329881	4543	1995-01-31	VYDAJ	VYBER	6300	26970	\N	\N	\N
1329882	4543	1995-03-02	VYDAJ	VYBER	1800	29933	\N	\N	\N
1329883	4543	1995-04-01	PRIJEM	VKLAD	1600	21549	\N	\N	\N
1329884	4543	1995-05-01	VYDAJ	VYBER	3100	23213	\N	\N	\N
1329885	4543	1995-05-31	VYDAJ	VYBER	2300	25706	\N	\N	\N
1329886	4543	1995-06-30	VYDAJ	VYBER	5600	27219	\N	\N	\N
1329887	4543	1995-07-30	VYDAJ	VYBER	2100	29784	\N	\N	\N
1329888	4543	1995-08-29	VYDAJ	VYBER	3200	26323	\N	\N	\N
1329889	4543	1995-09-28	VYDAJ	VYBER	4500	26611	\N	\N	\N
1329890	4543	1995-10-28	VYDAJ	VYBER	100	28046	\N	\N	\N
1329891	4543	1995-11-27	VYDAJ	VYBER	2100	30727	\N	\N	\N
1329892	4543	1995-12-27	VYDAJ	VYBER	3200	32891	\N	\N	\N
1329893	4543	1996-01-26	VYDAJ	VYBER	3600	34086	\N	\N	\N
1329894	4543	1996-02-25	VYDAJ	VYBER	5900	32989	\N	\N	\N
1329895	4543	1996-03-26	VYDAJ	VYBER	5200	32595	\N	\N	\N
1329896	4543	1996-04-25	VYDAJ	VYBER	4900	32498	\N	\N	\N
1329897	4543	1996-05-25	VYDAJ	VYBER	1700	35598	\N	\N	\N
1329898	4543	1996-06-24	VYDAJ	VYBER	5200	37542	\N	\N	\N
1329899	4543	1996-07-24	VYDAJ	VYBER	700	38896	\N	\N	\N
1329900	4543	1996-08-23	VYDAJ	VYBER	1500	39221	\N	\N	\N
1329901	4543	1996-09-22	VYDAJ	VYBER	200	43851	\N	\N	\N
1329902	4543	1996-10-22	VYDAJ	VYBER	800	44644	\N	\N	\N
1329903	4543	1996-11-21	PRIJEM	VKLAD	500	46515	\N	\N	\N
1329904	4543	1996-12-21	VYDAJ	VYBER	1600	47469	\N	\N	\N
1329905	4543	1997-01-20	PRIJEM	VKLAD	600	52930	\N	\N	\N
1329906	4543	1997-02-19	VYDAJ	VYBER KARTOU	2800	55001	\N	\N	0
1329907	4543	1997-03-21	VYDAJ	VYBER	4200	51489	\N	\N	\N
1329908	4543	1997-04-20	VYDAJ	VYBER KARTOU	2900	48198	\N	\N	0
1329909	4543	1997-05-20	VYDAJ	VYBER KARTOU	2200	50871	\N	\N	0
1329910	4543	1997-06-19	VYDAJ	VYBER KARTOU	3300	46940	\N	\N	0
1329911	4543	1997-07-19	PRIJEM	VKLAD	4200	51509	\N	\N	\N
1329912	4543	1997-08-18	VYDAJ	VYBER KARTOU	1800	54577	\N	\N	0
1329913	4543	1997-09-17	VYDAJ	VYBER KARTOU	3300	56161	\N	\N	0
1329914	4543	1997-10-17	VYDAJ	VYBER	8300	52756	\N	\N	\N
1329915	4543	1997-11-16	VYDAJ	VYBER KARTOU	3900	53747	\N	\N	0
1329916	4543	1997-12-16	PRIJEM	VKLAD	100	52113	\N	\N	\N
1329917	4543	1998-01-15	VYDAJ	VYBER KARTOU	1500	55491	\N	\N	0
1329918	4543	1998-02-14	VYDAJ	VYBER KARTOU	3700	56679	\N	\N	0
1329919	4543	1998-03-16	VYDAJ	VYBER KARTOU	4000	57576	\N	\N	0
1329920	4543	1998-04-15	PRIJEM	VKLAD	4700	57211	\N	\N	\N
1329921	4543	1998-05-15	VYDAJ	VYBER KARTOU	3700	58404	\N	\N	0
1329922	4543	1998-06-14	PRIJEM	VKLAD	1000	44319	\N	\N	\N
1329923	4543	1998-07-14	VYDAJ	VYBER KARTOU	1700	47480	\N	\N	0
1329924	4543	1998-08-13	PRIJEM	VKLAD	1800	54135	\N	\N	\N
1329925	4543	1998-09-12	PRIJEM	VKLAD	2300	56632	\N	\N	\N
1329926	4543	1998-10-12	VYDAJ	VYBER	5500	56038	\N	\N	\N
1329927	4543	1998-11-11	VYDAJ	VYBER KARTOU	1700	59254	\N	\N	0
1329928	4543	1998-12-11	VYDAJ	VYBER KARTOU	2300	57777	\N	\N	0
1331607	4550	1997-02-06	PRIJEM	VKLAD	700	700	\N	\N	\N
1331609	4550	1997-02-07	PRIJEM	VKLAD	8630	9330	\N	\N	\N
1331610	4550	1997-03-07	PRIJEM	VKLAD	8630	17991	\N	\N	\N
1331611	4550	1997-04-07	PRIJEM	VKLAD	8630	27691	\N	\N	\N
1331612	4550	1997-05-07	PRIJEM	VKLAD	8630	32516	\N	\N	\N
1331613	4550	1997-06-07	PRIJEM	VKLAD	12945	31062	\N	\N	\N
1331614	4550	1997-07-07	PRIJEM	VKLAD	8630	31882	\N	\N	\N
1331615	4550	1997-08-07	PRIJEM	VKLAD	8630	26034	\N	\N	\N
1331616	4550	1997-09-07	PRIJEM	VKLAD	8630	26400	\N	\N	\N
1331617	4550	1997-10-07	PRIJEM	VKLAD	8630	25866	\N	\N	\N
1331618	4550	1997-11-07	PRIJEM	VKLAD	8630	26331	\N	\N	\N
1331619	4550	1997-12-07	PRIJEM	VKLAD	12945	31253	\N	\N	\N
1331620	4550	1998-01-07	PRIJEM	VKLAD	8630	26509	\N	\N	\N
1331621	4550	1998-02-07	PRIJEM	VKLAD	8630	26086	\N	\N	\N
1331622	4550	1998-03-07	PRIJEM	VKLAD	8630	27522	\N	\N	\N
1331623	4550	1998-04-07	PRIJEM	VKLAD	8630	29370	\N	\N	\N
1331624	4550	1998-05-07	PRIJEM	VKLAD	8630	31326	\N	\N	\N
1331625	4550	1998-06-07	PRIJEM	VKLAD	12945	32805	\N	\N	\N
1331626	4550	1998-07-07	PRIJEM	VKLAD	8630	29875	\N	\N	\N
1331627	4550	1998-08-07	PRIJEM	VKLAD	8630	27109	\N	\N	\N
1331628	4550	1998-09-07	PRIJEM	VKLAD	8630	31849	\N	\N	\N
1331629	4550	1998-10-07	PRIJEM	VKLAD	8630	34807	\N	\N	\N
1331630	4550	1998-11-07	PRIJEM	VKLAD	8630	34776	\N	\N	\N
1331631	4550	1998-12-07	PRIJEM	VKLAD	12945	33958	\N	\N	\N
1331637	4550	1997-06-11	VYDAJ	PREVOD NA UCET	1113	29949	SIPO	IJ	71980470
1331638	4550	1997-07-11	VYDAJ	PREVOD NA UCET	1113	25849	SIPO	IJ	71980470
1331639	4550	1997-08-11	VYDAJ	PREVOD NA UCET	1113	24221	SIPO	IJ	71980470
1331640	4550	1997-09-11	VYDAJ	PREVOD NA UCET	1113	23987	SIPO	IJ	71980470
1331641	4550	1997-10-11	VYDAJ	PREVOD NA UCET	1113	24753	SIPO	IJ	71980470
1331642	4550	1997-11-11	VYDAJ	PREVOD NA UCET	1113	25218	SIPO	IJ	71980470
1331643	4550	1997-12-11	VYDAJ	PREVOD NA UCET	1113	27740	SIPO	IJ	71980470
1331644	4550	1998-01-11	VYDAJ	PREVOD NA UCET	1113	22156	SIPO	IJ	71980470
1331645	4550	1998-02-11	VYDAJ	PREVOD NA UCET	1113	24973	SIPO	IJ	71980470
1331646	4550	1998-03-11	VYDAJ	PREVOD NA UCET	1113	26409	SIPO	IJ	71980470
1331647	4550	1998-04-11	VYDAJ	PREVOD NA UCET	1113	28257	SIPO	IJ	71980470
1331648	4550	1998-05-11	VYDAJ	PREVOD NA UCET	1113	30213	SIPO	IJ	71980470
1331649	4550	1998-06-11	VYDAJ	PREVOD NA UCET	1113	31692	SIPO	IJ	71980470
1331650	4550	1998-07-11	VYDAJ	PREVOD NA UCET	1113	28762	SIPO	IJ	71980470
1331651	4550	1998-08-11	VYDAJ	PREVOD NA UCET	1113	25996	SIPO	IJ	71980470
1331652	4550	1998-09-11	VYDAJ	PREVOD NA UCET	1113	30736	SIPO	IJ	71980470
1331653	4550	1998-10-11	VYDAJ	PREVOD NA UCET	1113	33694	SIPO	IJ	71980470
1331654	4550	1998-11-11	VYDAJ	PREVOD NA UCET	1113	33663	SIPO	IJ	71980470
1331655	4550	1998-12-11	VYDAJ	PREVOD NA UCET	1113	32845	SIPO	IJ	71980470
1331661	4550	1997-06-12	VYDAJ	PREVOD NA UCET	1607	26182	 	EF	95971029
1331662	4550	1997-07-12	VYDAJ	PREVOD NA UCET	1607	24242	 	EF	95971029
1331663	4550	1997-08-12	VYDAJ	PREVOD NA UCET	1607	22614	 	EF	95971029
1331664	4550	1997-09-12	VYDAJ	PREVOD NA UCET	1607	22380	 	EF	95971029
1331665	4550	1997-10-12	VYDAJ	PREVOD NA UCET	1607	23146	 	EF	95971029
1331666	4550	1997-11-12	VYDAJ	PREVOD NA UCET	1607	23611	 	EF	95971029
1331667	4550	1997-12-12	VYDAJ	PREVOD NA UCET	1607	26133	 	EF	95971029
1331668	4550	1998-01-12	VYDAJ	PREVOD NA UCET	1607	16487	 	EF	95971029
1331669	4550	1998-02-12	VYDAJ	PREVOD NA UCET	1607	23366	 	EF	95971029
1331670	4550	1998-03-12	VYDAJ	PREVOD NA UCET	1607	23780	 	EF	95971029
1331671	4550	1998-04-12	VYDAJ	PREVOD NA UCET	1607	25628	 	EF	95971029
1331672	4550	1998-05-12	VYDAJ	PREVOD NA UCET	1607	27584	 	EF	95971029
1331673	4550	1998-06-12	VYDAJ	PREVOD NA UCET	1607	29063	 	EF	95971029
1331674	4550	1998-07-12	VYDAJ	PREVOD NA UCET	1607	21755	 	EF	95971029
1331675	4550	1998-08-12	VYDAJ	PREVOD NA UCET	1607	23367	 	EF	95971029
1331676	4550	1998-09-12	VYDAJ	PREVOD NA UCET	1607	28107	 	EF	95971029
1331677	4550	1998-10-12	VYDAJ	PREVOD NA UCET	1607	32087	 	EF	95971029
1331678	4550	1998-11-12	VYDAJ	PREVOD NA UCET	1607	31034	 	EF	95971029
1331679	4550	1998-12-12	VYDAJ	PREVOD NA UCET	1607	31238	 	EF	95971029
1331685	4550	1997-06-13	VYDAJ	PREVOD NA UCET	424	25758	POJISTNE	ST	19181561
1331686	4550	1997-07-13	VYDAJ	PREVOD NA UCET	424	22818	POJISTNE	ST	19181561
1331687	4550	1997-08-13	VYDAJ	PREVOD NA UCET	424	22190	POJISTNE	ST	19181561
1331688	4550	1997-09-13	VYDAJ	PREVOD NA UCET	424	21956	POJISTNE	ST	19181561
1331689	4550	1997-10-13	VYDAJ	PREVOD NA UCET	424	22722	POJISTNE	ST	19181561
1331690	4550	1997-11-13	VYDAJ	PREVOD NA UCET	424	23187	POJISTNE	ST	19181561
1331691	4550	1997-12-13	VYDAJ	PREVOD NA UCET	424	25709	POJISTNE	ST	19181561
1331692	4550	1998-01-13	VYDAJ	PREVOD NA UCET	424	16063	POJISTNE	ST	19181561
1331693	4550	1998-02-13	VYDAJ	PREVOD NA UCET	424	21920	POJISTNE	ST	19181561
1331694	4550	1998-03-13	VYDAJ	PREVOD NA UCET	424	23356	POJISTNE	ST	19181561
1331695	4550	1998-04-13	VYDAJ	PREVOD NA UCET	424	25204	POJISTNE	ST	19181561
1331696	4550	1998-05-13	VYDAJ	PREVOD NA UCET	424	27160	POJISTNE	ST	19181561
1331697	4550	1998-06-13	VYDAJ	PREVOD NA UCET	424	28639	POJISTNE	ST	19181561
1331698	4550	1998-07-13	VYDAJ	PREVOD NA UCET	424	20309	POJISTNE	ST	19181561
1331699	4550	1998-08-13	VYDAJ	PREVOD NA UCET	424	22943	POJISTNE	ST	19181561
1331700	4550	1998-09-13	VYDAJ	PREVOD NA UCET	424	27683	POJISTNE	ST	19181561
1331701	4550	1998-10-13	VYDAJ	PREVOD NA UCET	424	30641	POJISTNE	ST	19181561
1331702	4550	1998-11-13	VYDAJ	PREVOD NA UCET	424	30610	POJISTNE	ST	19181561
1331703	4550	1998-12-13	VYDAJ	PREVOD NA UCET	424	29792	POJISTNE	ST	19181561
1331709	4550	1997-06-14	VYDAJ	VYBER	600	25158	\N	\N	0
1331710	4550	1997-07-12	VYDAJ	VYBER	1000	23242	\N	\N	0
1331711	4550	1997-08-08	VYDAJ	VYBER	700	25334	\N	\N	0
1331712	4550	1997-09-11	VYDAJ	VYBER	1300	25100	\N	\N	0
1331713	4550	1997-10-16	VYDAJ	VYBER	1100	21622	\N	\N	0
1331714	4550	1997-11-14	VYDAJ	VYBER	700	22487	\N	\N	0
1331715	4550	1997-12-02	VYDAJ	VYBER	900	21668	\N	\N	0
1331716	4550	1998-01-12	VYDAJ	PREVOD NA UCET	1022	18094	UVER	WX	30900681
1331717	4550	1998-02-12	VYDAJ	PREVOD NA UCET	1022	22344	UVER	WX	30900681
1331718	4550	1998-03-12	VYDAJ	PREVOD NA UCET	1022	25387	UVER	WX	30900681
1331719	4550	1998-04-12	VYDAJ	PREVOD NA UCET	1022	27235	UVER	WX	30900681
1331720	4550	1998-05-12	VYDAJ	PREVOD NA UCET	1022	29191	UVER	WX	30900681
1331721	4550	1998-06-12	VYDAJ	PREVOD NA UCET	1022	30670	UVER	WX	30900681
1331722	4550	1998-07-12	VYDAJ	PREVOD NA UCET	1022	20733	UVER	WX	30900681
1331723	4550	1998-08-12	VYDAJ	PREVOD NA UCET	1022	24974	UVER	WX	30900681
1331724	4550	1998-09-12	VYDAJ	PREVOD NA UCET	1022	29714	UVER	WX	30900681
1331725	4550	1998-10-12	VYDAJ	PREVOD NA UCET	1022	31065	UVER	WX	30900681
1331726	4550	1998-11-12	VYDAJ	PREVOD NA UCET	1022	32641	UVER	WX	30900681
1331727	4550	1998-12-12	VYDAJ	PREVOD NA UCET	1022	30216	UVER	WX	30900681
1331731	4550	1998-01-11	VYDAJ	VYBER	3040	19116	\N	\N	\N
1331732	4550	1997-12-07	VYDAJ	VYBER	2400	28853	\N	\N	\N
1331733	4550	1998-12-17	VYDAJ	VYBER	2720	27072	\N	\N	\N
1331740	4550	1998-01-14	VYDAJ	VYBER	1440	14623	\N	\N	\N
1331741	4550	1998-01-07	VYDAJ	VYBER	3240	23269	\N	\N	\N
1331742	4550	1998-01-01	VYDAJ	VYBER	2880	22919	\N	\N	\N
1331744	4550	1998-01-04	VYDAJ	VYBER	3240	17879	\N	\N	\N
1331745	4550	1998-01-15	VYDAJ	VYBER	1320	13303	\N	\N	\N
1331746	4550	1997-12-02	VYDAJ	VYBER	2160	19508	\N	\N	\N
1331747	4550	1997-07-08	VYDAJ	VYBER	4920	26962	\N	\N	\N
1331750	4550	1997-06-12	VYDAJ	VYBER	2160	27789	\N	\N	\N
1331752	4550	1998-07-14	VYDAJ	VYBER	5400	14909	\N	\N	\N
1331753	4550	1998-07-12	VYDAJ	VYBER	5400	23362	\N	\N	\N
1331760	4550	1997-06-30	VYDAJ	VYBER	15	25252	SLUZBY	\N	\N
1331761	4550	1997-07-31	VYDAJ	VYBER	15	22904	SLUZBY	\N	\N
1331762	4550	1997-08-31	VYDAJ	VYBER	15	22270	SLUZBY	\N	\N
1331763	4550	1997-09-30	VYDAJ	VYBER	15	22036	SLUZBY	\N	\N
1331764	4550	1997-10-31	VYDAJ	VYBER	15	21701	SLUZBY	\N	\N
1331765	4550	1997-11-30	VYDAJ	VYBER	15	22568	SLUZBY	\N	\N
1331766	4550	1997-12-31	VYDAJ	VYBER	15	25799	SLUZBY	\N	\N
1331767	4550	1998-01-31	VYDAJ	VYBER	15	13356	SLUZBY	\N	\N
1331768	4550	1998-02-28	VYDAJ	VYBER	15	21992	SLUZBY	\N	\N
1331769	4550	1998-03-31	VYDAJ	VYBER	15	23440	SLUZBY	\N	\N
1331770	4550	1998-04-30	VYDAJ	VYBER	15	25296	SLUZBY	\N	\N
1331771	4550	1998-05-31	VYDAJ	VYBER	15	27260	SLUZBY	\N	\N
1331772	4550	1998-06-30	VYDAJ	VYBER	15	28745	SLUZBY	\N	\N
1331773	4550	1998-07-31	VYDAJ	VYBER	15	18479	SLUZBY	\N	\N
1331774	4550	1998-08-31	VYDAJ	VYBER	15	23219	SLUZBY	\N	\N
1331775	4550	1998-09-30	VYDAJ	VYBER	15	26177	SLUZBY	\N	\N
1331776	4550	1998-10-31	VYDAJ	VYBER	15	26146	SLUZBY	\N	\N
1331777	4550	1998-11-30	VYDAJ	VYBER	15	21013	SLUZBY	\N	\N
1331778	4550	1997-03-08	PRIJEM	VKLAD	1000	18991	\N	\N	\N
1331779	4550	1997-04-07	VYDAJ	VYBER	3900	23791	\N	\N	\N
1331780	4550	1997-05-07	VYDAJ	VYBER	8100	24416	\N	\N	\N
1331781	4550	1997-06-06	VYDAJ	VYBER	6400	18117	\N	\N	\N
1331782	4550	1997-07-06	VYDAJ	VYBER	2000	23252	\N	\N	\N
1331783	4550	1997-08-05	VYDAJ	VYBER	5500	17404	\N	\N	\N
1331784	4550	1997-09-04	VYDAJ	VYBER	4500	17770	\N	\N	\N
1331785	4550	1997-10-04	VYDAJ	VYBER	4800	17236	\N	\N	\N
1331786	4550	1997-11-03	VYDAJ	VYBER	4000	17701	\N	\N	\N
1331787	4550	1997-12-03	VYDAJ	VYBER	1200	18308	\N	\N	\N
1331788	4550	1998-01-02	VYDAJ	VYBER	1800	21119	\N	\N	\N
1331789	4550	1998-02-01	PRIJEM	VKLAD	4100	17456	\N	\N	\N
1331790	4550	1998-03-03	VYDAJ	VYBER	3100	18892	\N	\N	\N
1331791	4550	1998-04-02	VYDAJ	VYBER	2700	20740	\N	\N	\N
1331792	4550	1998-05-02	VYDAJ	VYBER	2600	22696	\N	\N	\N
1331793	4550	1998-06-01	VYDAJ	VYBER	7400	19860	\N	\N	\N
1331794	4550	1998-07-01	VYDAJ	VYBER	7500	21245	\N	\N	\N
1331795	4550	1998-07-31	PRIJEM	VKLAD	3500	18409	\N	\N	\N
1331796	4550	1998-08-30	PRIJEM	VKLAD	200	23143	\N	\N	\N
1331797	4550	1998-09-29	VYDAJ	VYBER	1600	26083	\N	\N	\N
1331798	4550	1998-10-29	VYDAJ	VYBER	4600	26041	\N	\N	\N
1331799	4550	1998-11-28	VYDAJ	VYBER	9700	20910	\N	\N	\N
1339305	4576	1993-06-05	PRIJEM	VKLAD	300	300	\N	\N	\N
1339311	4576	1993-06-10	PRIJEM	VKLAD	28365	28665	\N	\N	\N
1339312	4576	1993-07-10	PRIJEM	VKLAD	18910	42959	\N	\N	\N
1339313	4576	1993-08-10	PRIJEM	VKLAD	18910	50830	\N	\N	\N
1339314	4576	1993-09-10	PRIJEM	VKLAD	18910	57443	\N	\N	\N
1339315	4576	1993-10-10	PRIJEM	VKLAD	18910	53284	\N	\N	\N
1339316	4576	1993-11-10	PRIJEM	VKLAD	18910	57677	\N	\N	\N
1339317	4576	1993-12-10	PRIJEM	VKLAD	28365	52626	\N	\N	\N
1339318	4576	1994-01-10	PRIJEM	VKLAD	18910	38122	\N	\N	\N
1339319	4576	1994-02-10	PRIJEM	VKLAD	18910	32152	\N	\N	\N
1339320	4576	1994-03-10	PRIJEM	VKLAD	18910	44955	\N	\N	\N
1339321	4576	1994-04-10	PRIJEM	VKLAD	18910	35681	\N	\N	\N
1339322	4576	1994-05-10	PRIJEM	VKLAD	18910	41112	\N	\N	\N
1339323	4576	1994-06-10	PRIJEM	VKLAD	28365	62298	\N	\N	\N
1339324	4576	1994-07-10	PRIJEM	VKLAD	18910	48229	\N	\N	\N
1339325	4576	1994-08-10	PRIJEM	VKLAD	18910	48846	\N	\N	\N
1339326	4576	1994-09-10	PRIJEM	VKLAD	18910	55096	\N	\N	\N
1339327	4576	1994-10-10	PRIJEM	VKLAD	18910	55415	\N	\N	\N
1339328	4576	1994-11-10	PRIJEM	VKLAD	18910	53730	\N	\N	\N
1339329	4576	1994-12-10	PRIJEM	VKLAD	28365	55120	\N	\N	\N
1339330	4576	1995-01-10	PRIJEM	VKLAD	18910	54394	\N	\N	\N
1339331	4576	1995-02-10	PRIJEM	VKLAD	18910	46728	\N	\N	\N
1339332	4576	1995-03-10	PRIJEM	VKLAD	18910	44831	\N	\N	\N
1339333	4576	1995-04-10	PRIJEM	VKLAD	18910	46103	\N	\N	\N
1339334	4576	1995-05-10	PRIJEM	VKLAD	18910	47406	\N	\N	\N
1339335	4576	1995-06-10	PRIJEM	VKLAD	28365	55587	\N	\N	\N
1339336	4576	1995-07-10	PRIJEM	VKLAD	18910	47855	\N	\N	\N
1339337	4576	1995-08-10	PRIJEM	VKLAD	18910	48542	\N	\N	\N
1339338	4576	1995-09-10	PRIJEM	VKLAD	18910	42470	\N	\N	\N
1339339	4576	1995-10-10	PRIJEM	VKLAD	18910	40646	\N	\N	\N
1339340	4576	1995-11-10	PRIJEM	VKLAD	18910	41526	\N	\N	\N
1339341	4576	1995-12-10	PRIJEM	VKLAD	28365	44422	\N	\N	\N
1339342	4576	1996-01-10	PRIJEM	VKLAD	18910	37117	\N	\N	\N
1339343	4576	1996-02-10	PRIJEM	VKLAD	18910	33814	\N	\N	\N
1339344	4576	1996-03-10	PRIJEM	VKLAD	18910	39361	\N	\N	\N
1339345	4576	1996-04-10	PRIJEM	VKLAD	18910	40411	\N	\N	\N
1339346	4576	1996-05-10	PRIJEM	VKLAD	18910	39467	\N	\N	\N
1339347	4576	1996-06-10	PRIJEM	VKLAD	28365	53810	\N	\N	\N
1339348	4576	1996-07-10	PRIJEM	VKLAD	18910	45505	\N	\N	\N
1339349	4576	1996-08-10	PRIJEM	VKLAD	18910	40776	\N	\N	\N
1339350	4576	1996-09-10	PRIJEM	VKLAD	18910	44746	\N	\N	\N
1339351	4576	1996-10-10	PRIJEM	VKLAD	18910	49623	\N	\N	\N
1339352	4576	1996-11-10	PRIJEM	VKLAD	18910	50436	\N	\N	\N
1339353	4576	1996-12-10	PRIJEM	VKLAD	28365	54251	\N	\N	\N
1339354	4576	1997-01-10	PRIJEM	VKLAD	18910	48530	\N	\N	\N
1339355	4576	1997-02-10	PRIJEM	VKLAD	18910	44702	\N	\N	\N
1339356	4576	1997-03-10	PRIJEM	VKLAD	18910	55399	\N	\N	\N
1339357	4576	1997-04-10	PRIJEM	VKLAD	18910	60920	\N	\N	\N
1339358	4576	1997-05-10	PRIJEM	VKLAD	18910	52833	\N	\N	\N
1339359	4576	1997-06-10	PRIJEM	VKLAD	28365	63397	\N	\N	\N
1339360	4576	1997-07-10	PRIJEM	VKLAD	18910	41855	\N	\N	\N
1339361	4576	1997-08-10	PRIJEM	VKLAD	18910	55264	\N	\N	\N
1339362	4576	1997-09-10	PRIJEM	VKLAD	18910	49334	\N	\N	\N
1339363	4576	1997-10-10	PRIJEM	VKLAD	18910	50990	\N	\N	\N
1339364	4576	1997-11-10	PRIJEM	VKLAD	18910	55854	\N	\N	\N
1339365	4576	1997-12-10	PRIJEM	VKLAD	28365	38512	\N	\N	\N
1339366	4576	1998-01-10	PRIJEM	VKLAD	18910	37689	\N	\N	\N
1339367	4576	1998-02-10	PRIJEM	VKLAD	18910	38485	\N	\N	\N
1339368	4576	1998-03-10	PRIJEM	VKLAD	18910	43496	\N	\N	\N
1339369	4576	1998-04-10	PRIJEM	VKLAD	18910	51929	\N	\N	\N
1339370	4576	1998-05-10	PRIJEM	VKLAD	18910	30844	\N	\N	\N
1339371	4576	1998-06-10	PRIJEM	VKLAD	28365	53290	\N	\N	\N
1339372	4576	1998-07-10	PRIJEM	VKLAD	18910	59626	\N	\N	\N
1339373	4576	1998-08-10	PRIJEM	VKLAD	18910	58296	\N	\N	\N
1339374	4576	1998-09-10	PRIJEM	VKLAD	18910	44999	\N	\N	\N
1339375	4576	1998-10-10	PRIJEM	VKLAD	18910	41848	\N	\N	\N
1339376	4576	1998-11-10	PRIJEM	VKLAD	18910	46030	\N	\N	\N
1339377	4576	1998-12-10	PRIJEM	VKLAD	28365	68594	\N	\N	\N
1339387	4576	1993-10-04	VYDAJ	VYBER	5000	34374	SIPO	\N	0
1339388	4576	1993-11-18	VYDAJ	VYBER	7100	50577	SIPO	\N	0
1339389	4576	1993-12-01	VYDAJ	VYBER	5200	34661	SIPO	\N	0
1339390	4576	1993-12-31	VYDAJ	VYBER	4900	36992	SIPO	\N	0
1339391	4576	1994-02-08	VYDAJ	VYBER	5400	13242	SIPO	\N	0
1339392	4576	1994-03-14	VYDAJ	VYBER	5400	32955	SIPO	\N	0
1339393	4576	1994-03-31	VYDAJ	VYBER	5600	27471	SIPO	\N	0
1339394	4576	1994-05-04	VYDAJ	VYBER	7200	22202	SIPO	\N	0
1339395	4576	1994-06-18	VYDAJ	VYBER	5900	48059	SIPO	\N	0
1339396	4576	1994-07-08	VYDAJ	VYBER	5100	29319	SIPO	\N	0
1339397	4576	1994-08-01	VYDAJ	VYBER	5800	29936	SIPO	\N	0
1339398	4576	1994-09-17	VYDAJ	VYBER	7200	39557	SIPO	\N	0
1339399	4576	1994-10-12	VYDAJ	VYBER	6400	49015	SIPO	\N	0
1339400	4576	1994-11-10	VYDAJ	VYBER	5600	48130	SIPO	\N	0
1339401	4576	1994-12-08	VYDAJ	VYBER	5300	26755	SIPO	\N	0
1339402	4576	1995-01-18	VYDAJ	VYBER	6200	28015	SIPO	\N	0
1339403	4576	1995-02-15	VYDAJ	VYBER	6300	32089	SIPO	\N	0
1339404	4576	1995-03-04	VYDAJ	VYBER	4400	25921	SIPO	\N	0
1339405	4576	1995-03-31	VYDAJ	VYBER	6800	27193	SIPO	\N	0
1339406	4576	1995-05-03	VYDAJ	VYBER	4500	28496	SIPO	\N	0
1339407	4576	1995-06-07	VYDAJ	VYBER	6000	27222	SIPO	\N	0
1339408	4576	1995-07-11	VYDAJ	VYBER	5100	42755	SIPO	\N	0
1339409	4576	1995-08-16	VYDAJ	VYBER	5800	34403	SIPO	\N	0
1339410	4576	1995-09-14	VYDAJ	VYBER	6000	28131	SIPO	\N	0
1339411	4576	1995-10-01	VYDAJ	VYBER	5400	21736	SIPO	\N	0
1339412	4576	1995-11-05	VYDAJ	VYBER	6500	22616	SIPO	\N	0
1339413	4576	1995-12-08	VYDAJ	VYBER	6800	16057	SIPO	\N	0
1339414	4576	1996-01-06	VYDAJ	VYBER	5000	20367	SIPO	\N	0
1339415	4576	1996-02-04	VYDAJ	VYBER	5300	14904	SIPO	\N	0
1339416	4576	1996-03-17	VYDAJ	VYBER	4400	26622	SIPO	\N	0
1339417	4576	1996-04-14	VYDAJ	VYBER	4500	27572	SIPO	\N	0
1339418	4576	1996-05-02	VYDAJ	VYBER	5000	20557	SIPO	\N	0
1339419	4576	1996-06-11	VYDAJ	VYBER	5900	47910	SIPO	\N	0
1339420	4576	1996-07-11	VYDAJ	VYBER	4800	40705	SIPO	\N	0
1339421	4576	1996-08-01	VYDAJ	VYBER	5200	21866	SIPO	\N	0
1339422	4576	1996-09-19	VYDAJ	VYBER	5800	30607	SIPO	\N	0
1339423	4576	1996-10-17	VYDAJ	VYBER	5800	35484	SIPO	\N	0
1339424	4576	1996-11-11	VYDAJ	VYBER	4600	45836	SIPO	\N	0
1339425	4576	1996-12-01	VYDAJ	VYBER	5500	32126	SIPO	\N	0
1339426	4576	1997-01-18	VYDAJ	VYBER	5100	34131	SIPO	\N	0
1339427	4576	1997-02-04	VYDAJ	VYBER	5700	25792	SIPO	\N	0
1339428	4576	1997-03-10	VYDAJ	VYBER	5200	50199	SIPO	\N	0
1339429	4576	1997-04-18	VYDAJ	VYBER	5000	33781	SIPO	\N	0
1339430	4576	1997-05-18	VYDAJ	VYBER	5200	39294	SIPO	\N	0
1339431	4576	1997-06-09	VYDAJ	VYBER	4400	35032	SIPO	\N	0
1339432	4576	1997-07-02	VYDAJ	VYBER	4600	31245	SIPO	\N	0
1339433	4576	1997-08-18	VYDAJ	VYBER	5000	36484	SIPO	\N	0
1339434	4576	1997-09-02	VYDAJ	VYBER	6200	30424	SIPO	\N	0
1339435	4576	1997-10-02	VYDAJ	VYBER	6100	32080	SIPO	\N	0
1339436	4576	1997-11-13	VYDAJ	VYBER	5400	28354	SIPO	\N	0
1339437	4576	1997-12-03	VYDAJ	VYBER	7000	10147	SIPO	\N	0
1339438	4576	1998-01-08	VYDAJ	VYBER	4600	18779	SIPO	\N	0
1339439	4576	1998-02-06	VYDAJ	VYBER	7100	19575	SIPO	\N	0
1339440	4576	1998-03-05	VYDAJ	VYBER	7000	24586	SIPO	\N	0
1339441	4576	1998-04-14	VYDAJ	VYBER	5600	29629	SIPO	\N	0
1339442	4576	1998-05-19	VYDAJ	VYBER	6000	24844	SIPO	\N	0
1339443	4576	1998-06-14	VYDAJ	VYBER	6200	47090	SIPO	\N	0
1339444	4576	1998-07-16	VYDAJ	VYBER	7000	52626	SIPO	\N	0
1339445	4576	1998-08-06	VYDAJ	VYBER	7000	39386	SIPO	\N	0
1339446	4576	1998-09-16	VYDAJ	VYBER	6500	38499	SIPO	\N	0
1339447	4576	1998-10-17	VYDAJ	VYBER	6100	35748	SIPO	\N	0
1339448	4576	1998-10-31	VYDAJ	VYBER	6200	27120	SIPO	\N	0
1339449	4576	1998-12-19	VYDAJ	VYBER	4800	63794	SIPO	\N	0
1339459	4576	1993-10-20	VYDAJ	VYBER	6700	46584	\N	\N	0
1339460	4576	1993-11-21	VYDAJ	VYBER	10900	39677	\N	\N	0
1339461	4576	1993-12-16	VYDAJ	VYBER	6400	41746	\N	\N	0
1339462	4576	1994-01-19	VYDAJ	VYBER	10400	26522	\N	\N	0
1339463	4576	1994-02-21	VYDAJ	VYBER	6200	25952	\N	\N	0
1339464	4576	1994-03-11	VYDAJ	VYBER	6600	38355	\N	\N	0
1339465	4576	1994-04-09	VYDAJ	VYBER	7900	16771	\N	\N	0
1339466	4576	1994-05-16	VYDAJ	VYBER	7500	33612	\N	\N	0
1339467	4576	1994-06-12	VYDAJ	PREVOD NA UCET	8339	53959	UVER	UV	20694566
1339468	4576	1994-07-12	VYDAJ	PREVOD NA UCET	8339	39890	UVER	UV	20694566
1339469	4576	1994-08-12	VYDAJ	PREVOD NA UCET	8339	40507	UVER	UV	20694566
1339470	4576	1994-09-12	VYDAJ	PREVOD NA UCET	8339	46757	UVER	UV	20694566
1339471	4576	1994-10-12	VYDAJ	PREVOD NA UCET	8339	40676	UVER	UV	20694566
1339472	4576	1994-11-12	VYDAJ	PREVOD NA UCET	8339	39791	UVER	UV	20694566
1339473	4576	1994-12-12	VYDAJ	PREVOD NA UCET	8339	46781	UVER	UV	20694566
1339474	4576	1995-01-12	VYDAJ	PREVOD NA UCET	8339	34215	UVER	UV	20694566
1339475	4576	1995-02-12	VYDAJ	PREVOD NA UCET	8339	38389	UVER	UV	20694566
1339476	4576	1995-03-12	VYDAJ	PREVOD NA UCET	8339	36492	UVER	UV	20694566
1339477	4576	1995-04-12	VYDAJ	PREVOD NA UCET	8339	37764	UVER	UV	20694566
1339478	4576	1995-05-12	VYDAJ	PREVOD NA UCET	8339	39067	UVER	UV	20694566
1339479	4576	1995-06-12	VYDAJ	PREVOD NA UCET	8339	47248	UVER	UV	20694566
1339480	4576	1995-07-12	VYDAJ	PREVOD NA UCET	8339	34416	UVER	UV	20694566
1339481	4576	1995-08-12	VYDAJ	PREVOD NA UCET	8339	40203	UVER	UV	20694566
1339482	4576	1995-09-12	VYDAJ	PREVOD NA UCET	8339	34131	UVER	UV	20694566
1339483	4576	1995-10-12	VYDAJ	PREVOD NA UCET	8339	32307	UVER	UV	20694566
1339484	4576	1995-11-12	VYDAJ	PREVOD NA UCET	8339	33187	UVER	UV	20694566
1339485	4576	1995-12-12	VYDAJ	PREVOD NA UCET	8339	36083	UVER	UV	20694566
1339486	4576	1996-01-12	VYDAJ	PREVOD NA UCET	8339	27818	UVER	UV	20694566
1339487	4576	1996-02-12	VYDAJ	PREVOD NA UCET	8339	25475	UVER	UV	20694566
1339488	4576	1996-03-12	VYDAJ	PREVOD NA UCET	8339	31022	UVER	UV	20694566
1339489	4576	1996-04-12	VYDAJ	PREVOD NA UCET	8339	32072	UVER	UV	20694566
1339490	4576	1996-05-12	VYDAJ	PREVOD NA UCET	8339	30048	UVER	UV	20694566
1339491	4576	1996-06-12	VYDAJ	PREVOD NA UCET	8339	39571	UVER	UV	20694566
1339492	4576	1996-07-12	VYDAJ	PREVOD NA UCET	8339	32366	UVER	UV	20694566
1339493	4576	1996-08-12	VYDAJ	PREVOD NA UCET	8339	32437	UVER	UV	20694566
1339494	4576	1996-09-12	VYDAJ	PREVOD NA UCET	8339	36407	UVER	UV	20694566
1339495	4576	1996-10-12	VYDAJ	PREVOD NA UCET	8339	41284	UVER	UV	20694566
1339496	4576	1996-11-12	VYDAJ	PREVOD NA UCET	8339	37497	UVER	UV	20694566
1339497	4576	1996-12-12	VYDAJ	PREVOD NA UCET	8339	45912	UVER	UV	20694566
1339498	4576	1997-01-12	VYDAJ	PREVOD NA UCET	8339	40191	UVER	UV	20694566
1339499	4576	1997-02-12	VYDAJ	PREVOD NA UCET	8339	36363	UVER	UV	20694566
1339500	4576	1997-03-12	VYDAJ	PREVOD NA UCET	8339	41860	UVER	UV	20694566
1339501	4576	1997-04-12	VYDAJ	PREVOD NA UCET	8339	52581	UVER	UV	20694566
1339502	4576	1997-05-12	VYDAJ	PREVOD NA UCET	8339	44494	UVER	UV	20694566
1339503	4576	1997-06-16	VYDAJ	VYBER	9300	35697	\N	\N	0
1339504	4576	1997-07-07	VYDAJ	VYBER	8300	22945	\N	\N	0
1339505	4576	1997-08-12	VYDAJ	VYBER	9700	41484	\N	\N	0
1339506	4576	1997-09-18	VYDAJ	VYBER	10100	39234	\N	\N	0
1339507	4576	1997-10-17	VYDAJ	VYBER	8400	42590	\N	\N	0
1339508	4576	1997-10-29	VYDAJ	VYBER	5800	36790	\N	\N	0
1339509	4576	1997-11-22	VYDAJ	VYBER	11300	17054	\N	\N	0
1339510	4576	1998-01-13	VYDAJ	VYBER	11100	26589	\N	\N	0
1339511	4576	1998-02-12	VYDAJ	VYBER	7000	31485	\N	\N	0
1339512	4576	1998-03-19	VYDAJ	VYBER	10600	32896	\N	\N	0
1339513	4576	1998-04-23	VYDAJ	VYBER	7900	21729	\N	\N	0
1339514	4576	1998-05-05	VYDAJ	VYBER	9900	11934	\N	\N	0
1339515	4576	1998-06-27	VYDAJ	VYBER	6500	40590	\N	\N	0
1339516	4576	1998-07-23	VYDAJ	VYBER	6400	46226	\N	\N	0
1339517	4576	1998-08-25	VYDAJ	VYBER	8800	49496	\N	\N	0
1339518	4576	1998-09-21	VYDAJ	VYBER	8400	30099	\N	\N	0
1339519	4576	1998-09-29	VYDAJ	VYBER	7300	22799	\N	\N	0
1339520	4576	1998-11-23	VYDAJ	VYBER	5900	40130	\N	\N	0
1339521	4576	1998-12-20	VYDAJ	VYBER	7200	56594	\N	\N	0
1339523	4576	1994-06-26	VYDAJ	VYBER	11200	36859	\N	\N	\N
1339524	4576	1995-06-14	VYDAJ	VYBER	21120	26128	\N	\N	\N
1339529	4576	1994-01-28	VYDAJ	VYBER	6080	16242	\N	\N	\N
1339530	4576	1995-01-12	VYDAJ	VYBER	8480	45914	\N	\N	\N
1339532	4576	1997-01-23	VYDAJ	VYBER	1920	32211	\N	\N	\N
1339534	4576	1993-12-13	VYDAJ	VYBER	4480	48146	\N	\N	\N
1339535	4576	1994-12-03	VYDAJ	VYBER	4480	32055	\N	\N	\N
1339536	4576	1995-12-20	VYDAJ	VYBER	1920	34163	\N	\N	\N
1339539	4576	1998-12-29	VYDAJ	VYBER	3200	53394	\N	\N	\N
1339546	4576	1994-01-17	VYDAJ	VYBER	1200	36922	\N	\N	\N
1339547	4576	1994-01-22	VYDAJ	VYBER	3000	23522	\N	\N	\N
1339548	4576	1994-01-05	VYDAJ	VYBER	3120	21492	\N	\N	\N
1339549	4576	1994-01-07	VYDAJ	VYBER	2280	19212	\N	\N	\N
1339550	4576	1994-01-23	VYDAJ	VYBER	1200	22322	\N	\N	\N
1339551	4576	1994-01-04	VYDAJ	VYBER	720	24612	\N	\N	\N
1339552	4576	1995-01-04	VYDAJ	VYBER	600	37164	\N	\N	\N
1339553	4576	1995-01-19	VYDAJ	VYBER	3480	24535	\N	\N	\N
1339554	4576	1995-01-03	VYDAJ	VYBER	3480	37764	\N	\N	\N
1339555	4576	1995-01-26	VYDAJ	VYBER	2040	27695	\N	\N	\N
1339556	4576	1995-01-12	VYDAJ	VYBER	3360	42554	\N	\N	\N
1339557	4576	1995-01-07	VYDAJ	VYBER	1680	35484	\N	\N	\N
1339558	4576	1996-01-10	VYDAJ	VYBER	960	36157	\N	\N	\N
1339559	4576	1996-01-21	VYDAJ	VYBER	1920	23018	\N	\N	\N
1339561	4576	1996-01-18	VYDAJ	VYBER	2040	24938	\N	\N	\N
1339562	4576	1996-01-06	VYDAJ	VYBER	2160	18207	\N	\N	\N
1339563	4576	1996-01-16	VYDAJ	VYBER	840	26978	\N	\N	\N
1339565	4576	1997-01-18	VYDAJ	VYBER	960	39231	\N	\N	\N
1339567	4576	1997-01-27	VYDAJ	VYBER	840	31371	\N	\N	\N
1339581	4576	1994-04-16	VYDAJ	VYBER	600	35081	\N	\N	\N
1339582	4576	1994-04-19	VYDAJ	VYBER	3600	31481	\N	\N	\N
1339583	4576	1994-08-12	VYDAJ	VYBER	3960	36547	\N	\N	\N
1339584	4576	1994-01-03	VYDAJ	VYBER	5160	25332	\N	\N	\N
1339585	4576	1995-05-21	VYDAJ	VYBER	1680	37387	\N	\N	\N
1339586	4576	1995-02-24	VYDAJ	VYBER	2880	29209	\N	\N	\N
1339587	4576	1995-11-22	VYDAJ	VYBER	3840	22747	\N	\N	\N
1339588	4576	1995-03-13	VYDAJ	VYBER	4320	32172	\N	\N	\N
1339589	4576	1995-09-07	VYDAJ	VYBER	5160	23560	\N	\N	\N
1339590	4576	1996-05-12	VYDAJ	VYBER	1080	38387	\N	\N	\N
1339591	4576	1996-12-16	VYDAJ	VYBER	1440	44472	\N	\N	\N
1339592	4576	1996-10-25	VYDAJ	VYBER	4080	31404	\N	\N	\N
1339593	4576	1996-12-01	VYDAJ	VYBER	1200	30926	\N	\N	\N
1339594	4576	1996-06-13	VYDAJ	VYBER	1680	37891	\N	\N	\N
1339596	4576	1996-12-07	VYDAJ	VYBER	5040	25886	\N	\N	\N
1339599	4576	1997-07-31	VYDAJ	VYBER	5640	36368	\N	\N	\N
1339603	4576	1997-08-12	VYDAJ	VYBER	4080	51184	\N	\N	\N
1339605	4576	1997-09-23	VYDAJ	VYBER	1200	38034	\N	\N	\N
1339609	4576	1998-10-30	VYDAJ	VYBER	2520	33228	\N	\N	\N
1339620	4576	1993-10-31	VYDAJ	VYBER	15	46767	SLUZBY	\N	\N
1339621	4576	1993-11-30	VYDAJ	VYBER	15	39861	SLUZBY	\N	\N
1339622	4576	1993-12-31	VYDAJ	VYBER	15	41892	SLUZBY	\N	\N
1339623	4576	1994-01-31	VYDAJ	VYBER	15	18642	SLUZBY	\N	\N
1339624	4576	1994-02-28	VYDAJ	VYBER	15	26045	SLUZBY	\N	\N
1339625	4576	1994-03-31	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
1339626	4576	1994-04-30	VYDAJ	VYBER	15	31602	SLUZBY	\N	\N
1339627	4576	1994-05-31	VYDAJ	VYBER	15	33933	SLUZBY	\N	\N
1339628	4576	1994-06-30	VYDAJ	VYBER	15	34419	SLUZBY	\N	\N
1339629	4576	1994-07-31	VYDAJ	VYBER	15	35736	SLUZBY	\N	\N
1339630	4576	1994-08-31	VYDAJ	VYBER	15	36186	SLUZBY	\N	\N
1339631	4576	1994-09-30	VYDAJ	VYBER	15	36505	SLUZBY	\N	\N
1339632	4576	1994-10-31	VYDAJ	VYBER	15	34820	SLUZBY	\N	\N
1339633	4576	1994-11-30	VYDAJ	VYBER	15	36535	SLUZBY	\N	\N
1339634	4576	1994-12-31	VYDAJ	VYBER	15	41244	SLUZBY	\N	\N
1339635	4576	1995-01-31	VYDAJ	VYBER	15	27818	SLUZBY	\N	\N
1339636	4576	1995-02-28	VYDAJ	VYBER	15	30321	SLUZBY	\N	\N
1339637	4576	1995-03-31	VYDAJ	VYBER	15	33993	SLUZBY	\N	\N
1339638	4576	1995-04-30	VYDAJ	VYBER	15	32996	SLUZBY	\N	\N
1339639	4576	1995-05-31	VYDAJ	VYBER	15	33222	SLUZBY	\N	\N
1339640	4576	1995-06-30	VYDAJ	VYBER	15	28945	SLUZBY	\N	\N
1339641	4576	1995-07-31	VYDAJ	VYBER	15	29632	SLUZBY	\N	\N
1339642	4576	1995-08-31	VYDAJ	VYBER	15	28720	SLUZBY	\N	\N
1339643	4576	1995-09-30	VYDAJ	VYBER	15	27136	SLUZBY	\N	\N
1339644	4576	1995-10-31	VYDAJ	VYBER	15	29116	SLUZBY	\N	\N
1339645	4576	1995-11-30	VYDAJ	VYBER	15	22857	SLUZBY	\N	\N
1339646	4576	1995-12-31	VYDAJ	VYBER	15	25367	SLUZBY	\N	\N
1339647	4576	1996-01-31	VYDAJ	VYBER	15	20204	SLUZBY	\N	\N
1339648	4576	1996-02-29	VYDAJ	VYBER	15	20451	SLUZBY	\N	\N
1339649	4576	1996-03-31	VYDAJ	VYBER	15	21501	SLUZBY	\N	\N
1339650	4576	1996-04-30	VYDAJ	VYBER	15	25557	SLUZBY	\N	\N
1339651	4576	1996-05-31	VYDAJ	VYBER	15	25445	SLUZBY	\N	\N
1339652	4576	1996-06-30	VYDAJ	VYBER	15	26595	SLUZBY	\N	\N
1339653	4576	1996-07-31	VYDAJ	VYBER	15	27066	SLUZBY	\N	\N
1339654	4576	1996-08-31	VYDAJ	VYBER	15	25836	SLUZBY	\N	\N
1339655	4576	1996-09-30	VYDAJ	VYBER	15	30713	SLUZBY	\N	\N
1339656	4576	1996-10-31	VYDAJ	VYBER	15	31526	SLUZBY	\N	\N
1339657	4576	1996-11-30	VYDAJ	VYBER	15	37626	SLUZBY	\N	\N
1339658	4576	1996-12-31	VYDAJ	VYBER	15	29620	SLUZBY	\N	\N
1339659	4576	1997-01-31	VYDAJ	VYBER	15	31492	SLUZBY	\N	\N
1339660	4576	1997-02-28	VYDAJ	VYBER	15	36489	SLUZBY	\N	\N
1339661	4576	1997-03-31	VYDAJ	VYBER	15	42010	SLUZBY	\N	\N
1339662	4576	1997-04-30	VYDAJ	VYBER	15	33923	SLUZBY	\N	\N
1339663	4576	1997-05-31	VYDAJ	VYBER	15	39432	SLUZBY	\N	\N
1339664	4576	1997-06-30	VYDAJ	VYBER	15	35845	SLUZBY	\N	\N
1339665	4576	1997-07-31	VYDAJ	VYBER	15	36354	SLUZBY	\N	\N
1339666	4576	1997-08-31	VYDAJ	VYBER	15	36624	SLUZBY	\N	\N
1339667	4576	1997-09-30	VYDAJ	VYBER	15	38180	SLUZBY	\N	\N
1339668	4576	1997-10-31	VYDAJ	VYBER	15	36944	SLUZBY	\N	\N
1339669	4576	1997-11-30	VYDAJ	VYBER	15	17147	SLUZBY	\N	\N
1339670	4576	1997-12-31	VYDAJ	VYBER	15	23379	SLUZBY	\N	\N
1339671	4576	1998-01-31	VYDAJ	VYBER	15	26675	SLUZBY	\N	\N
1339672	4576	1998-02-28	VYDAJ	VYBER	15	31586	SLUZBY	\N	\N
1339673	4576	1998-03-31	VYDAJ	VYBER	15	33019	SLUZBY	\N	\N
1339674	4576	1998-04-30	VYDAJ	VYBER	15	21834	SLUZBY	\N	\N
1339675	4576	1998-05-31	VYDAJ	VYBER	15	24925	SLUZBY	\N	\N
1339676	4576	1998-06-30	VYDAJ	VYBER	15	40716	SLUZBY	\N	\N
1339677	4576	1998-07-31	VYDAJ	VYBER	15	46386	SLUZBY	\N	\N
1339678	4576	1998-08-31	VYDAJ	VYBER	15	49689	SLUZBY	\N	\N
1339679	4576	1998-09-30	VYDAJ	VYBER	15	22938	SLUZBY	\N	\N
1339680	4576	1998-10-31	VYDAJ	VYBER	15	33320	SLUZBY	\N	\N
1339681	4576	1998-11-30	VYDAJ	VYBER	15	40229	SLUZBY	\N	\N
1339682	4576	1993-07-05	VYDAJ	VYBER	4700	24049	\N	\N	\N
1339683	4576	1993-08-04	VYDAJ	VYBER	11200	31920	\N	\N	\N
1339684	4576	1993-09-03	VYDAJ	VYBER	12500	38533	\N	\N	\N
1339685	4576	1993-10-03	VYDAJ	VYBER	18300	39374	\N	\N	\N
1339686	4576	1993-11-02	VYDAJ	VYBER	8000	38767	\N	\N	\N
1339687	4576	1993-12-02	VYDAJ	VYBER	10400	24261	\N	\N	\N
1339688	4576	1994-01-01	VYDAJ	VYBER	6500	30492	\N	\N	\N
1339689	4576	1994-01-31	PRIJEM	VKLAD	2300	18542	\N	\N	\N
1339690	4576	1994-04-01	VYDAJ	VYBER	2800	24671	\N	\N	\N
1339691	4576	1994-05-01	VYDAJ	VYBER	2200	29402	\N	\N	\N
1339692	4576	1994-05-31	PRIJEM	VKLAD	200	33812	\N	\N	\N
1339693	4576	1994-06-30	VYDAJ	VYBER	2600	34434	\N	\N	\N
1339694	4576	1994-07-30	VYDAJ	VYBER	4300	35590	\N	\N	\N
1339695	4576	1994-08-29	VYDAJ	VYBER	500	36047	\N	\N	\N
1339696	4576	1994-09-28	VYDAJ	VYBER	3200	36357	\N	\N	\N
1339697	4576	1994-10-28	VYDAJ	VYBER	6000	34676	\N	\N	\N
1339698	4576	1994-11-27	VYDAJ	VYBER	3400	36391	\N	\N	\N
1339699	4576	1994-12-27	VYDAJ	VYBER	5700	41081	\N	\N	\N
1339700	4576	1995-01-26	PRIJEM	VKLAD	5200	29735	\N	\N	\N
1339701	4576	1995-02-25	PRIJEM	VKLAD	1000	30209	\N	\N	\N
1339702	4576	1995-03-27	PRIJEM	VKLAD	1700	33872	\N	\N	\N
1339703	4576	1995-04-26	VYDAJ	VYBER	4900	32864	\N	\N	\N
1339704	4576	1995-05-26	VYDAJ	VYBER	4300	33087	\N	\N	\N
1339705	4576	1995-06-25	PRIJEM	VKLAD	2700	28828	\N	\N	\N
1339706	4576	1995-07-25	VYDAJ	VYBER	4900	29516	\N	\N	\N
1339707	4576	1995-08-24	VYDAJ	VYBER	5800	28603	\N	\N	\N
1339708	4576	1995-09-23	VYDAJ	VYBER	1100	27031	\N	\N	\N
1339709	4576	1995-10-23	VYDAJ	VYBER	3300	29007	\N	\N	\N
1339710	4576	1995-11-22	VYDAJ	VYBER	6600	26587	\N	\N	\N
1339711	4576	1995-12-22	VYDAJ	VYBER	8900	25263	\N	\N	\N
1339712	4576	1996-01-21	VYDAJ	VYBER	2900	20118	\N	\N	\N
1339713	4576	1996-02-20	VYDAJ	VYBER	5100	20375	\N	\N	\N
1339714	4576	1996-03-21	VYDAJ	VYBER	5200	21422	\N	\N	\N
1339715	4576	1996-04-20	VYDAJ	VYBER	2100	25472	\N	\N	\N
1339716	4576	1996-05-20	VYDAJ	VYBER	4700	25348	\N	\N	\N
1339717	4576	1996-06-19	VYDAJ	VYBER	11400	26491	\N	\N	\N
1339718	4576	1996-07-19	VYDAJ	VYBER	5400	26966	\N	\N	\N
1339719	4576	1996-08-18	VYDAJ	VYBER	6700	25737	\N	\N	\N
1339720	4576	1996-12-16	VYDAJ	VYBER	15000	29472	\N	\N	\N
1339721	4576	1997-04-15	VYDAJ	VYBER	13800	38781	\N	\N	\N
1339722	4576	1997-06-14	VYDAJ	VYBER	18400	44997	\N	\N	\N
1339723	4576	1997-11-11	VYDAJ	VYBER	22100	33754	\N	\N	\N
1339724	4576	1997-12-11	VYDAJ	VYBER	15200	23312	\N	\N	\N
1339725	4576	1998-04-10	VYDAJ	VYBER	16700	35229	\N	\N	\N
1339726	4576	1998-09-07	VYDAJ	VYBER	23600	26089	\N	\N	\N
1340686	4580	1994-08-27	PRIJEM	VKLAD	500	500	\N	\N	\N
1340687	4580	1994-11-14	PRIJEM	VKLAD	21171	70307	\N	\N	\N
1340688	4580	1994-11-07	PRIJEM	VKLAD	29336	49136	\N	\N	\N
1340697	4580	1995-11-14	PRIJEM	VKLAD	39154	127871	\N	\N	\N
1340698	4580	1995-10-04	PRIJEM	VKLAD	10783	93066	\N	\N	\N
1340699	4580	1995-01-16	PRIJEM	VKLAD	9722	48380	\N	\N	\N
1340700	4580	1995-10-06	PRIJEM	VKLAD	16177	91971	\N	\N	\N
1340701	4580	1995-06-03	PRIJEM	VKLAD	15842	36608	\N	\N	\N
1340702	4580	1995-02-26	PRIJEM	VKLAD	49397	96432	\N	\N	\N
1340703	4580	1995-07-17	PRIJEM	VKLAD	28052	39408	\N	\N	\N
1340704	4580	1995-10-16	PRIJEM	VKLAD	8403	78266	\N	\N	\N
1340705	4580	1995-04-24	PRIJEM	VKLAD	11133	37276	\N	\N	\N
1340706	4580	1995-12-29	PRIJEM	VKLAD	9347	40609	\N	\N	\N
1340707	4580	1995-09-22	PRIJEM	VKLAD	48562	85775	\N	\N	\N
1340708	4580	1995-11-13	PRIJEM	VKLAD	21644	88717	\N	\N	\N
1340709	4580	1995-10-28	PRIJEM	VKLAD	28214	82980	\N	\N	\N
1340710	4580	1995-11-15	PRIJEM	VKLAD	9307	108378	\N	\N	\N
1340711	4580	1995-11-20	PRIJEM	VKLAD	14318	101796	\N	\N	\N
1340712	4580	1995-08-29	PRIJEM	VKLAD	38519	61715	\N	\N	\N
1340713	4580	1995-11-22	PRIJEM	VKLAD	45660	82256	\N	\N	\N
1340714	4580	1995-02-21	PRIJEM	VKLAD	36466	72035	\N	\N	\N
1340715	4580	1995-03-20	PRIJEM	VKLAD	35032	122907	\N	\N	\N
1340716	4580	1996-10-10	PRIJEM	VKLAD	42561	57322	\N	\N	\N
1340717	4580	1996-03-14	PRIJEM	VKLAD	31277	43691	\N	\N	\N
1340718	4580	1996-12-27	PRIJEM	VKLAD	23906	49878	\N	\N	\N
1340719	4580	1996-05-01	PRIJEM	VKLAD	17741	48850	\N	\N	\N
1340720	4580	1997-08-09	PRIJEM	VKLAD	7911	62538	\N	\N	\N
1340721	4580	1997-02-03	PRIJEM	VKLAD	48725	90574	\N	\N	\N
1340722	4580	1997-07-23	PRIJEM	VKLAD	28372	59092	\N	\N	\N
1340723	4580	1997-02-11	PRIJEM	VKLAD	23631	105482	\N	\N	\N
1340724	4580	1997-10-23	PRIJEM	VKLAD	34322	109924	\N	\N	\N
1340725	4580	1997-10-22	PRIJEM	VKLAD	48281	75602	\N	\N	\N
1340726	4580	1997-11-24	PRIJEM	VKLAD	41120	98332	\N	\N	\N
1340727	4580	1997-02-23	PRIJEM	VKLAD	19053	68235	\N	\N	\N
1340728	4580	1997-09-08	PRIJEM	VKLAD	44311	118334	\N	\N	\N
1340729	4580	1997-12-27	PRIJEM	VKLAD	13953	55042	\N	\N	\N
1340730	4580	1997-01-22	PRIJEM	VKLAD	9070	41711	\N	\N	\N
1340731	4580	1997-06-02	PRIJEM	VKLAD	17691	44114	\N	\N	\N
1340732	4580	1997-11-13	PRIJEM	VKLAD	5909	58312	\N	\N	\N
1340733	4580	1997-04-25	PRIJEM	VKLAD	18009	55140	\N	\N	\N
1340734	4580	1997-03-03	PRIJEM	VKLAD	42633	111086	\N	\N	\N
1340735	4580	1997-03-07	PRIJEM	VKLAD	23260	84446	\N	\N	\N
1340736	4580	1997-08-17	PRIJEM	VKLAD	42536	89151	\N	\N	\N
1340737	4580	1998-03-13	PRIJEM	VKLAD	15303	57217	\N	\N	\N
1340738	4580	1998-02-04	PRIJEM	VKLAD	16817	96842	\N	\N	\N
1340739	4580	1998-01-05	PRIJEM	VKLAD	36564	90447	\N	\N	\N
1340740	4580	1998-05-05	PRIJEM	VKLAD	21866	59217	\N	\N	\N
1340741	4580	1998-07-13	PRIJEM	VKLAD	25250	78284	\N	\N	\N
1340742	4580	1998-08-02	PRIJEM	VKLAD	39242	113628	\N	\N	\N
1340743	4580	1998-09-12	PRIJEM	VKLAD	39448	60716	\N	\N	\N
1340744	4580	1998-11-27	PRIJEM	VKLAD	12357	51480	\N	\N	\N
1340745	4580	1998-11-26	PRIJEM	VKLAD	25492	39123	\N	\N	\N
1340746	4580	1998-06-13	PRIJEM	VKLAD	48846	69399	\N	\N	\N
1340747	4580	1998-01-02	PRIJEM	VKLAD	12730	53883	\N	\N	\N
1340748	4580	1998-07-14	PRIJEM	VKLAD	13461	122090	\N	\N	\N
1340749	4580	1998-07-31	PRIJEM	VKLAD	49537	115501	\N	\N	\N
1340750	4580	1998-01-28	PRIJEM	VKLAD	32205	79793	\N	\N	\N
1340751	4580	1998-06-23	PRIJEM	VKLAD	15582	82781	\N	\N	\N
1340752	4580	1998-03-19	PRIJEM	VKLAD	17730	73347	\N	\N	\N
1340753	4580	1998-07-13	PRIJEM	VKLAD	30345	108629	\N	\N	\N
1340754	4580	1998-03-11	PRIJEM	VKLAD	15971	55414	\N	\N	\N
1340755	4580	1998-08-16	PRIJEM	VKLAD	17880	49879	\N	\N	\N
1340756	4580	1998-07-09	PRIJEM	VKLAD	24043	61757	\N	\N	\N
1340757	4580	1998-12-04	PRIJEM	VKLAD	47832	99395	\N	\N	\N
1340758	4580	1998-05-07	PRIJEM	VKLAD	44375	103592	\N	\N	\N
1340759	4580	1998-06-01	PRIJEM	VKLAD	12703	56449	\N	\N	\N
1340760	4580	1998-02-10	PRIJEM	VKLAD	15108	67327	\N	\N	\N
1340761	4580	1998-08-23	PRIJEM	VKLAD	36366	71608	\N	\N	\N
1340762	4580	1998-06-03	PRIJEM	VKLAD	21727	78176	\N	\N	\N
1340763	4580	1998-10-03	PRIJEM	VKLAD	38832	66968	\N	\N	\N
1340778	4580	1995-03-20	VYDAJ	VYBER	1300	73507	\N	\N	0
1340779	4580	1995-04-07	VYDAJ	VYBER	2200	45666	\N	\N	0
1340780	4580	1995-05-21	VYDAJ	VYBER	1400	17290	\N	\N	0
1340781	4580	1995-06-05	VYDAJ	VYBER	1900	34708	\N	\N	0
1340782	4580	1995-07-11	VYDAJ	VYBER	1900	11356	\N	\N	0
1340783	4580	1995-08-12	VYDAJ	PREVOD NA UCET	1685	20896	UVER	ST	99807279
1340784	4580	1995-09-12	VYDAJ	PREVOD NA UCET	1685	51413	UVER	ST	99807279
1340785	4580	1995-10-12	VYDAJ	PREVOD NA UCET	1685	81563	UVER	ST	99807279
1340786	4580	1995-11-12	VYDAJ	PREVOD NA UCET	1685	67073	UVER	ST	99807279
1340787	4580	1995-12-12	VYDAJ	PREVOD NA UCET	1685	62843	UVER	ST	99807279
1340788	4580	1996-01-12	VYDAJ	PREVOD NA UCET	1685	30423	UVER	ST	99807279
1340789	4580	1996-02-12	VYDAJ	PREVOD NA UCET	1685	13947	UVER	ST	99807279
1340790	4580	1996-03-12	VYDAJ	PREVOD NA UCET	1685	12414	UVER	ST	99807279
1340791	4580	1996-04-12	VYDAJ	PREVOD NA UCET	1685	26789	UVER	ST	99807279
1340792	4580	1996-05-12	VYDAJ	PREVOD NA UCET	1685	38442	UVER	ST	99807279
1340793	4580	1996-06-12	VYDAJ	PREVOD NA UCET	1685	11244	UVER	ST	99807279
1340794	4580	1996-07-12	VYDAJ	PREVOD NA UCET	1685	9601	UVER	ST	99807279
1340795	4580	1996-08-09	VYDAJ	VYBER	1300	21367	\N	\N	0
1340796	4580	1996-09-12	VYDAJ	VYBER	1800	14204	\N	\N	0
1340797	4580	1996-10-12	VYDAJ	VYBER	1300	56022	\N	\N	0
1340798	4580	1996-11-07	VYDAJ	VYBER	2400	43878	\N	\N	0
1340799	4580	1996-12-11	VYDAJ	VYBER	2300	15972	\N	\N	0
1340800	4580	1996-12-29	VYDAJ	VYBER	1900	47978	\N	\N	0
1340801	4580	1997-02-22	VYDAJ	VYBER	1200	49182	\N	\N	0
1340802	4580	1997-03-16	VYDAJ	VYBER	1500	47303	\N	\N	0
1340803	4580	1997-04-13	VYDAJ	VYBER	2100	37131	\N	\N	0
1340804	4580	1997-05-18	VYDAJ	VYBER	2200	32642	\N	\N	0
1340805	4580	1997-06-20	VYDAJ	VYBER	2100	34691	\N	\N	0
1340806	4580	1997-07-07	VYDAJ	VYBER	1400	24943	\N	\N	0
1340807	4580	1997-07-30	VYDAJ	VYBER	1900	57192	\N	\N	0
1340808	4580	1997-09-01	VYDAJ	VYBER	1000	74023	\N	\N	0
1340809	4580	1997-09-27	VYDAJ	VYBER	1300	29540	\N	\N	0
1340810	4580	1997-11-22	VYDAJ	VYBER	1100	57212	\N	\N	0
1340811	4580	1997-12-03	VYDAJ	VYBER	2200	96423	\N	\N	0
1340812	4580	1998-01-20	VYDAJ	VYBER	1800	51240	\N	\N	0
1340813	4580	1998-02-17	VYDAJ	VYBER	1000	66327	\N	\N	0
1340814	4580	1998-03-17	VYDAJ	VYBER	1600	55617	\N	\N	0
1340815	4580	1998-04-03	VYDAJ	VYBER	1600	69599	\N	\N	0
1340816	4580	1998-04-26	VYDAJ	VYBER	1000	37176	\N	\N	0
1340817	4580	1998-06-17	VYDAJ	VYBER	2200	67199	\N	\N	0
1340818	4580	1998-07-05	VYDAJ	VYBER	1600	63114	\N	\N	0
1340819	4580	1998-08-20	VYDAJ	VYBER	1700	48179	\N	\N	0
1340820	4580	1998-09-21	VYDAJ	VYBER	1300	38675	\N	\N	0
1340821	4580	1998-10-08	VYDAJ	VYBER	1100	38168	\N	\N	0
1340822	4580	1998-11-16	VYDAJ	VYBER	1900	13631	\N	\N	0
1340823	4580	1998-12-20	VYDAJ	VYBER	2000	48572	\N	\N	0
1340838	4580	1995-03-09	VYDAJ	PREVOD NA UCET	8723	87875	SIPO	AB	90886467
1340839	4580	1995-04-09	VYDAJ	PREVOD NA UCET	8723	36943	SIPO	AB	90886467
1340840	4580	1995-05-09	VYDAJ	PREVOD NA UCET	8723	18690	SIPO	AB	90886467
1340841	4580	1995-06-09	VYDAJ	PREVOD NA UCET	8723	25985	SIPO	AB	90886467
1340842	4580	1995-07-09	VYDAJ	PREVOD NA UCET	8723	13256	SIPO	AB	90886467
1340843	4580	1995-08-09	VYDAJ	PREVOD NA UCET	8723	22580	SIPO	AB	90886467
1340844	4580	1995-09-09	VYDAJ	PREVOD NA UCET	8723	53098	SIPO	AB	90886467
1340845	4580	1995-10-09	VYDAJ	PREVOD NA UCET	8723	83248	SIPO	AB	90886467
1340846	4580	1995-11-09	VYDAJ	PREVOD NA UCET	8723	68758	SIPO	AB	90886467
1340847	4580	1995-12-09	VYDAJ	PREVOD NA UCET	8723	64527	SIPO	AB	90886467
1340848	4580	1996-01-09	VYDAJ	PREVOD NA UCET	8723	32108	SIPO	AB	90886467
1340849	4580	1996-02-09	VYDAJ	PREVOD NA UCET	8723	15632	SIPO	AB	90886467
1340850	4580	1996-03-09	VYDAJ	PREVOD NA UCET	8723	14099	SIPO	AB	90886467
1340851	4580	1996-04-09	VYDAJ	PREVOD NA UCET	8723	28474	SIPO	AB	90886467
1340852	4580	1996-05-09	VYDAJ	PREVOD NA UCET	8723	40127	SIPO	AB	90886467
1340853	4580	1996-06-09	VYDAJ	PREVOD NA UCET	8723	12929	SIPO	AB	90886467
1340854	4580	1996-07-09	VYDAJ	PREVOD NA UCET	8723	11286	SIPO	AB	90886467
1340855	4580	1996-08-09	VYDAJ	PREVOD NA UCET	8723	12644	SIPO	AB	90886467
1340856	4580	1996-09-09	VYDAJ	PREVOD NA UCET	8723	16004	SIPO	AB	90886467
1340857	4580	1996-10-09	VYDAJ	PREVOD NA UCET	8723	14761	SIPO	AB	90886467
1340858	4580	1996-11-09	VYDAJ	PREVOD NA UCET	8723	35155	SIPO	AB	90886467
1340859	4580	1996-12-09	VYDAJ	PREVOD NA UCET	8723	18272	SIPO	AB	90886467
1340860	4580	1997-01-09	VYDAJ	PREVOD NA UCET	8723	23841	SIPO	AB	90886467
1340861	4580	1997-02-09	VYDAJ	PREVOD NA UCET	8723	81851	SIPO	AB	90886467
1340862	4580	1997-03-09	VYDAJ	PREVOD NA UCET	8723	75723	SIPO	AB	90886467
1340863	4580	1997-04-09	VYDAJ	PREVOD NA UCET	8723	38831	SIPO	AB	90886467
1340864	4580	1997-05-09	VYDAJ	PREVOD NA UCET	8723	30942	SIPO	AB	90886467
1340865	4580	1997-06-09	VYDAJ	PREVOD NA UCET	8723	35391	SIPO	AB	90886467
1340866	4580	1997-07-09	VYDAJ	PREVOD NA UCET	8723	16220	SIPO	AB	90886467
1340867	4580	1997-08-09	VYDAJ	PREVOD NA UCET	8723	53815	SIPO	AB	90886467
1340868	4580	1997-09-09	VYDAJ	PREVOD NA UCET	8723	67011	SIPO	AB	90886467
1340869	4580	1997-10-09	VYDAJ	PREVOD NA UCET	8723	21021	SIPO	AB	90886467
1340870	4580	1997-11-09	VYDAJ	PREVOD NA UCET	8723	67503	SIPO	AB	90886467
1340871	4580	1997-12-09	VYDAJ	PREVOD NA UCET	8723	59600	SIPO	AB	90886467
1340872	4580	1998-01-09	VYDAJ	PREVOD NA UCET	8723	53040	SIPO	AB	90886467
1340873	4580	1998-02-09	VYDAJ	PREVOD NA UCET	8723	52219	SIPO	AB	90886467
1340874	4580	1998-03-09	VYDAJ	PREVOD NA UCET	8723	47843	SIPO	AB	90886467
1340875	4580	1998-04-09	VYDAJ	PREVOD NA UCET	8723	38176	SIPO	AB	90886467
1340876	4580	1998-05-09	VYDAJ	PREVOD NA UCET	8723	54569	SIPO	AB	90886467
1340877	4580	1998-06-09	VYDAJ	PREVOD NA UCET	8723	20553	SIPO	AB	90886467
1340878	4580	1998-07-09	VYDAJ	PREVOD NA UCET	8723	53034	SIPO	AB	90886467
1340879	4580	1998-08-09	VYDAJ	PREVOD NA UCET	8723	31999	SIPO	AB	90886467
1340880	4580	1998-09-09	VYDAJ	PREVOD NA UCET	8723	21268	SIPO	AB	90886467
1340881	4580	1998-10-09	VYDAJ	PREVOD NA UCET	8723	29445	SIPO	AB	90886467
1340882	4580	1998-11-09	VYDAJ	PREVOD NA UCET	8723	15531	SIPO	AB	90886467
1340883	4580	1998-12-09	VYDAJ	PREVOD NA UCET	8723	50572	SIPO	AB	90886467
1340893	4580	1995-11-23	VYBER	VYBER	9315	72941	\N	\N	\N
1340896	4580	1995-12-23	VYBER	VYBER	4681	43562	\N	\N	\N
1340898	4580	1995-10-05	VYBER	VYBER	17272	75794	\N	\N	\N
1340899	4580	1995-09-29	VYBER	VYBER	3741	82034	\N	\N	\N
1340901	4580	1995-11-01	VYBER	VYBER	5799	77481	\N	\N	\N
1340905	4580	1996-03-26	VYBER	VYBER	2313	37078	\N	\N	\N
1340906	4580	1997-09-13	VYBER	VYBER	2371	52440	\N	\N	\N
1340907	4580	1997-01-04	VYBER	VYBER	11035	37048	\N	\N	\N
1340909	4580	1997-06-24	VYBER	VYBER	8483	26208	\N	\N	\N
1340910	4580	1997-12-11	VYBER	VYBER	18511	41089	\N	\N	\N
1340911	4580	1997-01-06	VYBER	VYBER	4484	32564	\N	\N	\N
1340914	4580	1997-04-25	VYBER	VYBER	15636	39504	\N	\N	\N
1340915	4580	1997-08-22	VYBER	VYBER	14386	74765	\N	\N	\N
1340916	4580	1997-06-01	VYBER	VYBER	6352	26423	\N	\N	\N
1340918	4580	1997-03-14	VYBER	VYBER	17520	58203	\N	\N	\N
1340919	4580	1998-08-21	VYBER	VYBER	12937	35242	\N	\N	\N
1340920	4580	1998-07-05	VYBER	VYBER	18293	64714	\N	\N	\N
1340921	4580	1998-01-05	VYBER	VYBER	2084	88363	\N	\N	\N
1340923	4580	1998-08-27	VYBER	VYBER	17841	53767	\N	\N	\N
1340924	4580	1998-12-25	VYBER	VYBER	6305	42267	\N	\N	\N
1340925	4580	1998-03-04	VYBER	VYBER	10031	56566	\N	\N	\N
1340926	4580	1998-05-11	VYBER	VYBER	10996	43573	\N	\N	\N
1340927	4580	1998-01-01	VYBER	VYBER	14120	41153	\N	\N	\N
1340928	4580	1998-01-26	VYBER	VYBER	3652	47588	\N	\N	\N
1340929	4580	1998-09-24	VYBER	VYBER	10704	27971	\N	\N	\N
1340930	4580	1998-08-02	VYBER	VYBER	8006	105622	\N	\N	\N
1340931	4580	1998-09-12	VYBER	VYBER	20741	39975	\N	\N	\N
1340937	4580	1998-06-04	VYDAJ	VYBER	46200	31976	\N	\N	\N
1340942	4580	1995-12-23	VYDAJ	VYBER	12300	31262	\N	\N	\N
1340943	4580	1995-05-02	VYDAJ	VYBER	1800	27413	\N	\N	\N
1340944	4580	1995-10-14	VYDAJ	VYBER	11700	69863	\N	\N	\N
1340945	4580	1995-07-04	VYDAJ	VYBER	3900	21979	\N	\N	\N
1340946	4580	1995-09-12	VYDAJ	VYBER	4800	46613	\N	\N	\N
1340948	4580	1995-06-19	VYDAJ	VYBER	2700	23285	\N	\N	\N
1340949	4580	1995-04-15	VYDAJ	VYBER	10800	26143	\N	\N	\N
1340950	4580	1996-01-19	VYDAJ	VYBER	9900	24223	\N	\N	\N
1340951	4580	1996-11-25	VYDAJ	VYBER	10200	26855	\N	\N	\N
1340952	4580	1996-05-21	VYDAJ	VYBER	10200	21542	\N	\N	\N
1340956	4580	1997-08-08	VYDAJ	VYBER KARTOU	2700	54627	\N	\N	0
1340957	4580	1997-09-23	VYDAJ	VYBER	11100	30840	\N	\N	\N
1340958	4580	1997-06-16	VYDAJ	VYBER KARTOU	3900	36791	\N	\N	0
1340959	4580	1997-09-17	VYDAJ	VYBER	10500	41940	\N	\N	\N
1340960	4580	1998-03-11	VYDAJ	VYBER	13500	41914	\N	\N	\N
1340962	4580	1998-03-29	VYDAJ	VYBER KARTOU	2400	70947	\N	\N	0
1340963	4580	1998-09-05	VYDAJ	VYBER	10500	43491	\N	\N	\N
1340978	4580	1995-02-28	VYDAJ	VYBER	15	96598	SLUZBY	\N	\N
1340979	4580	1995-03-31	VYDAJ	VYBER	15	47866	SLUZBY	\N	\N
1340980	4580	1995-04-30	VYDAJ	VYBER	15	29213	SLUZBY	\N	\N
1340981	4580	1995-05-31	VYDAJ	VYBER	15	20766	SLUZBY	\N	\N
1340982	4580	1995-06-30	VYDAJ	VYBER	15	25879	SLUZBY	\N	\N
1340983	4580	1995-07-31	VYDAJ	VYBER	15	31303	SLUZBY	\N	\N
1340984	4580	1995-08-31	VYDAJ	VYBER	15	61821	SLUZBY	\N	\N
1340985	4580	1995-09-30	VYDAJ	VYBER	15	82283	SLUZBY	\N	\N
1340986	4580	1995-10-31	VYDAJ	VYBER	15	83280	SLUZBY	\N	\N
1340987	4580	1995-11-30	VYDAJ	VYBER	15	73250	SLUZBY	\N	\N
1340988	4580	1995-12-31	VYDAJ	VYBER	15	40831	SLUZBY	\N	\N
1340989	4580	1996-01-31	VYDAJ	VYBER	15	24355	SLUZBY	\N	\N
1340990	4580	1996-02-29	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
1340991	4580	1996-03-31	VYDAJ	VYBER	15	37197	SLUZBY	\N	\N
1340992	4580	1996-04-30	VYDAJ	VYBER	15	31109	SLUZBY	\N	\N
1340993	4580	1996-05-31	VYDAJ	VYBER	15	21652	SLUZBY	\N	\N
1340994	4580	1996-06-30	VYDAJ	VYBER	15	20009	SLUZBY	\N	\N
1340995	4580	1996-07-31	VYDAJ	VYBER	15	22667	SLUZBY	\N	\N
1340996	4580	1996-08-31	VYDAJ	VYBER	15	24727	SLUZBY	\N	\N
1340997	4580	1996-09-30	VYDAJ	VYBER	15	23484	SLUZBY	\N	\N
1340998	4580	1996-10-31	VYDAJ	VYBER	15	46278	SLUZBY	\N	\N
1340999	4580	1996-11-30	VYDAJ	VYBER	15	26995	SLUZBY	\N	\N
1341000	4580	1996-12-31	VYDAJ	VYBER	15	48083	SLUZBY	\N	\N
1341001	4580	1997-01-31	VYDAJ	VYBER	15	41849	SLUZBY	\N	\N
1341002	4580	1997-02-28	VYDAJ	VYBER	15	68453	SLUZBY	\N	\N
1341003	4580	1997-03-31	VYDAJ	VYBER	15	47554	SLUZBY	\N	\N
1341004	4580	1997-04-30	VYDAJ	VYBER	15	39665	SLUZBY	\N	\N
1341005	4580	1997-05-31	VYDAJ	VYBER	15	32775	SLUZBY	\N	\N
1341006	4580	1997-06-30	VYDAJ	VYBER	15	26343	SLUZBY	\N	\N
1341007	4580	1997-07-31	VYDAJ	VYBER	15	57327	SLUZBY	\N	\N
1341008	4580	1997-08-31	VYDAJ	VYBER	15	75023	SLUZBY	\N	\N
1341009	4580	1997-09-30	VYDAJ	VYBER	15	29744	SLUZBY	\N	\N
1341010	4580	1997-10-31	VYDAJ	VYBER	15	76226	SLUZBY	\N	\N
1341011	4580	1997-11-30	VYDAJ	VYBER	15	98623	SLUZBY	\N	\N
1341012	4580	1997-12-31	VYDAJ	VYBER	15	55273	SLUZBY	\N	\N
1341013	4580	1998-01-31	VYDAJ	VYBER	15	80025	SLUZBY	\N	\N
1341014	4580	1998-02-28	VYDAJ	VYBER	15	66597	SLUZBY	\N	\N
1341015	4580	1998-03-31	VYDAJ	VYBER	15	71199	SLUZBY	\N	\N
1341016	4580	1998-04-30	VYDAJ	VYBER	15	37351	SLUZBY	\N	\N
1341017	4580	1998-05-31	VYDAJ	VYBER	15	43746	SLUZBY	\N	\N
1341018	4580	1998-06-30	VYDAJ	VYBER	15	83007	SLUZBY	\N	\N
1341019	4580	1998-07-31	VYDAJ	VYBER	15	115486	SLUZBY	\N	\N
1341020	4580	1998-08-31	VYDAJ	VYBER	15	53991	SLUZBY	\N	\N
1341021	4580	1998-09-30	VYDAJ	VYBER	15	28136	SLUZBY	\N	\N
1341022	4580	1998-10-31	VYDAJ	VYBER	15	29554	SLUZBY	\N	\N
1341023	4580	1998-11-30	VYDAJ	VYBER	15	51563	SLUZBY	\N	\N
1341024	4580	1994-09-26	PRIJEM	VKLAD	12300	12800	\N	\N	\N
1341025	4580	1994-10-26	PRIJEM	VKLAD	7000	19800	\N	\N	\N
1341026	4580	1994-11-25	VYDAJ	VYBER	21500	48807	\N	\N	\N
1341027	4580	1994-12-25	VYDAJ	VYBER	10500	38455	\N	\N	\N
1341028	4580	1995-01-24	VYDAJ	VYBER	13000	35380	\N	\N	\N
1341029	4580	1995-02-23	VYDAJ	VYBER	25000	47035	\N	\N	\N
1341030	4580	1995-03-20	VYDAJ	VYBER	48100	74807	\N	\N	\N
1341031	4580	1995-03-25	VYDAJ	VYBER	26000	47507	\N	\N	\N
1341032	4580	1995-04-24	VYDAJ	VYBER	8200	29076	\N	\N	\N
1341033	4580	1995-05-24	PRIJEM	VKLAD	3400	20690	\N	\N	\N
1341034	4580	1995-06-23	PRIJEM	VKLAD	2500	25785	\N	\N	\N
1341035	4580	1995-07-23	VYDAJ	VYBER	8200	31208	\N	\N	\N
1341036	4580	1995-08-22	PRIJEM	VKLAD	2300	23196	\N	\N	\N
1341037	4580	1995-09-21	VYDAJ	VYBER	9400	37213	\N	\N	\N
1341038	4580	1995-10-21	VYDAJ	VYBER	23500	54766	\N	\N	\N
1341039	4580	1995-11-14	VYDAJ	VYBER	28800	99071	\N	\N	\N
1341040	4580	1995-11-15	VYDAJ	VYBER	20900	87478	\N	\N	\N
1341041	4580	1995-11-20	VYDAJ	VYBER	61600	36596	\N	\N	\N
1341042	4580	1995-11-20	VYDAJ	VYBER	3600	98196	\N	\N	\N
1341043	4580	1995-12-20	VYDAJ	VYBER	14600	48243	\N	\N	\N
1341044	4580	1996-01-19	PRIJEM	VKLAD	3700	34123	\N	\N	\N
1341045	4580	1996-02-18	PRIJEM	VKLAD	8800	22747	\N	\N	\N
1341046	4580	1996-03-19	VYDAJ	VYBER	4300	39391	\N	\N	\N
1341047	4580	1996-04-18	PRIJEM	VKLAD	4200	30989	\N	\N	\N
1341048	4580	1996-05-18	VYDAJ	VYBER	6700	31742	\N	\N	\N
1341049	4580	1996-06-17	PRIJEM	VKLAD	8700	19944	\N	\N	\N
1341050	4580	1996-07-17	PRIJEM	VKLAD	13000	22601	\N	\N	\N
1341051	4580	1996-08-16	PRIJEM	VKLAD	12000	24644	\N	\N	\N
1341052	4580	1996-09-15	PRIJEM	VKLAD	9200	23404	\N	\N	\N
1341053	4580	1996-10-15	VYDAJ	VYBER	9900	46122	\N	\N	\N
1341054	4580	1996-11-14	PRIJEM	VKLAD	1900	37055	\N	\N	\N
1341055	4580	1996-12-14	PRIJEM	VKLAD	10000	25972	\N	\N	\N
1341056	4580	1997-01-13	PRIJEM	VKLAD	8800	32641	\N	\N	\N
1341057	4580	1997-02-11	VYDAJ	VYBER	50700	54782	\N	\N	\N
1341058	4580	1997-02-12	VYDAJ	VYBER	4400	50382	\N	\N	\N
1341059	4580	1997-03-03	VYDAJ	VYBER	49900	61186	\N	\N	\N
1341060	4580	1997-03-14	VYDAJ	VYBER	9400	48803	\N	\N	\N
1341061	4580	1997-04-13	PRIJEM	VKLAD	400	39231	\N	\N	\N
1341062	4580	1997-05-13	PRIJEM	VKLAD	3900	34842	\N	\N	\N
1341063	4580	1997-06-12	PRIJEM	VKLAD	5300	40691	\N	\N	\N
1341064	4580	1997-07-12	PRIJEM	VKLAD	14500	30720	\N	\N	\N
1341065	4580	1997-08-11	VYDAJ	VYBER	7200	46615	\N	\N	\N
1341066	4580	1997-09-08	VYDAJ	VYBER	42600	75734	\N	\N	\N
1341067	4580	1997-09-10	VYDAJ	VYBER	12200	54811	\N	\N	\N
1341068	4580	1997-10-10	PRIJEM	VKLAD	6300	27321	\N	\N	\N
1341069	4580	1997-10-23	VYDAJ	VYBER	33900	76024	\N	\N	\N
1341070	4580	1997-11-09	VYDAJ	VYBER	15100	52403	\N	\N	\N
1341071	4580	1997-12-09	VYDAJ	VYBER	28100	68323	\N	\N	\N
1341072	4580	1998-01-08	VYDAJ	VYBER	26600	61763	\N	\N	\N
1341073	4580	1998-02-07	VYDAJ	VYBER	35900	60942	\N	\N	\N
1341074	4580	1998-03-09	VYDAJ	VYBER	8400	39443	\N	\N	\N
1341075	4580	1998-04-08	VYDAJ	VYBER	22700	46899	\N	\N	\N
1341076	4580	1998-05-08	VYDAJ	VYBER	40300	63292	\N	\N	\N
1341077	4580	1998-06-07	VYDAJ	VYBER KARTOU	2700	29276	\N	\N	0
1341078	4580	1998-07-07	VYDAJ	VYBER	25400	37714	\N	\N	\N
1341079	4580	1998-07-14	VYDAJ	VYBER	56400	65690	\N	\N	\N
1341080	4580	1998-07-31	VYDAJ	VYBER	41100	74386	\N	\N	\N
1341081	4580	1998-08-02	VYDAJ	VYBER	36400	69222	\N	\N	\N
1341082	4580	1998-08-06	VYDAJ	VYBER	28500	40722	\N	\N	\N
1341083	4580	1998-09-05	VYDAJ	VYBER	13500	29991	\N	\N	\N
1341084	4580	1998-10-05	VYDAJ	VYBER	27700	39268	\N	\N	\N
1341085	4580	1998-11-04	VYDAJ	VYBER	5300	24254	\N	\N	\N
1341086	4580	1998-12-04	VYDAJ	VYBER	40100	59295	\N	\N	\N
1341963	4585	1996-06-08	PRIJEM	VKLAD	200	200	\N	\N	\N
1341970	4585	1996-07-07	PRIJEM	VKLAD	13609	13809	\N	\N	\N
1341971	4585	1996-08-07	PRIJEM	VKLAD	13609	33181	\N	\N	\N
1341972	4585	1996-09-07	PRIJEM	VKLAD	13609	35598	\N	\N	\N
1341973	4585	1996-10-07	PRIJEM	VKLAD	13609	44749	\N	\N	\N
1341974	4585	1996-11-07	PRIJEM	VKLAD	13609	47837	\N	\N	\N
1341975	4585	1996-12-07	PRIJEM	VKLAD	20414	54064	\N	\N	\N
1341976	4585	1997-01-07	PRIJEM	VKLAD	13609	41835	\N	\N	\N
1341977	4585	1997-02-07	PRIJEM	VKLAD	13609	39260	\N	\N	\N
1341978	4585	1997-03-07	PRIJEM	VKLAD	13609	40575	\N	\N	\N
1341979	4585	1997-04-07	PRIJEM	VKLAD	13609	42604	\N	\N	\N
1341980	4585	1997-05-07	PRIJEM	VKLAD	13609	42441	\N	\N	\N
1341981	4585	1997-06-07	PRIJEM	VKLAD	20414	48984	\N	\N	\N
1341982	4585	1997-07-07	PRIJEM	VKLAD	13609	45044	\N	\N	\N
1341983	4585	1997-08-07	PRIJEM	VKLAD	13609	45096	\N	\N	\N
1341984	4585	1997-09-07	PRIJEM	VKLAD	13609	48226	\N	\N	\N
1341985	4585	1997-10-07	PRIJEM	VKLAD	13609	48081	\N	\N	\N
1341986	4585	1997-11-07	PRIJEM	VKLAD	13609	45277	\N	\N	\N
1341987	4585	1997-12-07	PRIJEM	VKLAD	20414	55721	\N	\N	\N
1341988	4585	1998-01-07	PRIJEM	VKLAD	13609	46849	\N	\N	\N
1341989	4585	1998-02-07	PRIJEM	VKLAD	13609	42771	\N	\N	\N
1341990	4585	1998-03-07	PRIJEM	VKLAD	13609	46100	\N	\N	\N
1341991	4585	1998-04-07	PRIJEM	VKLAD	13609	45572	\N	\N	\N
1341992	4585	1998-05-07	PRIJEM	VKLAD	13609	45512	\N	\N	\N
1341993	4585	1998-06-07	PRIJEM	VKLAD	20414	56157	\N	\N	\N
1341994	4585	1998-07-07	PRIJEM	VKLAD	13609	48429	\N	\N	\N
1341995	4585	1998-08-07	PRIJEM	VKLAD	13609	48679	\N	\N	\N
1341996	4585	1998-09-07	PRIJEM	VKLAD	13609	50730	\N	\N	\N
1341997	4585	1998-10-07	PRIJEM	VKLAD	13609	54390	\N	\N	\N
1341998	4585	1998-11-07	PRIJEM	VKLAD	13609	52560	\N	\N	\N
1341999	4585	1998-12-07	PRIJEM	VKLAD	20414	59121	\N	\N	\N
1342010	4585	1996-11-08	VYDAJ	PREVOD NA UCET	4065	43772	SIPO	YZ	64408206
1342011	4585	1996-12-08	VYDAJ	PREVOD NA UCET	4065	49999	SIPO	YZ	64408206
1342012	4585	1997-01-08	VYDAJ	PREVOD NA UCET	4065	37770	SIPO	YZ	64408206
1342013	4585	1997-02-08	VYDAJ	PREVOD NA UCET	4065	35195	SIPO	YZ	64408206
1342014	4585	1997-03-08	VYDAJ	PREVOD NA UCET	4065	36510	SIPO	YZ	64408206
1342015	4585	1997-04-08	VYDAJ	PREVOD NA UCET	4065	38539	SIPO	YZ	64408206
1342016	4585	1997-05-08	VYDAJ	PREVOD NA UCET	4065	38376	SIPO	YZ	64408206
1342017	4585	1997-06-08	VYDAJ	PREVOD NA UCET	4065	44919	SIPO	YZ	64408206
1342018	4585	1997-07-08	VYDAJ	PREVOD NA UCET	4065	40979	SIPO	YZ	64408206
1342019	4585	1997-08-08	VYDAJ	PREVOD NA UCET	4065	41031	SIPO	YZ	64408206
1342020	4585	1997-09-08	VYDAJ	PREVOD NA UCET	4065	44161	SIPO	YZ	64408206
1342021	4585	1997-10-08	VYDAJ	PREVOD NA UCET	4065	44016	SIPO	YZ	64408206
1342022	4585	1997-11-08	VYDAJ	PREVOD NA UCET	4065	41212	SIPO	YZ	64408206
1342023	4585	1997-12-08	VYDAJ	PREVOD NA UCET	4065	51656	SIPO	YZ	64408206
1342024	4585	1998-01-08	VYDAJ	PREVOD NA UCET	4065	42784	SIPO	YZ	64408206
1342025	4585	1998-02-08	VYDAJ	PREVOD NA UCET	4065	38706	SIPO	YZ	64408206
1342026	4585	1998-03-08	VYDAJ	PREVOD NA UCET	4065	42035	SIPO	YZ	64408206
1342027	4585	1998-04-08	VYDAJ	PREVOD NA UCET	4065	41507	SIPO	YZ	64408206
1342028	4585	1998-05-08	VYDAJ	PREVOD NA UCET	4065	41447	SIPO	YZ	64408206
1342029	4585	1998-06-08	VYDAJ	PREVOD NA UCET	4065	52092	SIPO	YZ	64408206
1342030	4585	1998-07-08	VYDAJ	PREVOD NA UCET	4065	44364	SIPO	YZ	64408206
1342031	4585	1998-08-08	VYDAJ	PREVOD NA UCET	4065	44614	SIPO	YZ	64408206
1342032	4585	1998-09-08	VYDAJ	PREVOD NA UCET	4065	46665	SIPO	YZ	64408206
1342033	4585	1998-10-08	VYDAJ	PREVOD NA UCET	4065	50325	SIPO	YZ	64408206
1342034	4585	1998-11-08	VYDAJ	PREVOD NA UCET	4065	44495	SIPO	YZ	64408206
1342035	4585	1998-12-08	VYDAJ	PREVOD NA UCET	4065	55056	SIPO	YZ	64408206
1342046	4585	1996-11-12	VYDAJ	PREVOD NA UCET	1347	42425	UVER	GH	3908431
1342047	4585	1996-12-12	VYDAJ	PREVOD NA UCET	1347	46012	UVER	GH	3908431
1342048	4585	1997-01-12	VYDAJ	PREVOD NA UCET	1347	34743	UVER	GH	3908431
1342049	4585	1997-02-12	VYDAJ	PREVOD NA UCET	1347	33848	UVER	GH	3908431
1342050	4585	1997-03-12	VYDAJ	PREVOD NA UCET	1347	35163	UVER	GH	3908431
1342051	4585	1997-04-12	VYDAJ	PREVOD NA UCET	1347	37192	UVER	GH	3908431
1342052	4585	1997-05-12	VYDAJ	PREVOD NA UCET	1347	37029	UVER	GH	3908431
1342053	4585	1997-06-12	VYDAJ	PREVOD NA UCET	1347	43572	UVER	GH	3908431
1342054	4585	1997-07-12	VYDAJ	PREVOD NA UCET	1347	39632	UVER	GH	3908431
1342055	4585	1997-08-12	VYDAJ	PREVOD NA UCET	1347	39684	UVER	GH	3908431
1342056	4585	1997-09-12	VYDAJ	PREVOD NA UCET	1347	42814	UVER	GH	3908431
1342057	4585	1997-10-12	VYDAJ	PREVOD NA UCET	1347	41109	UVER	GH	3908431
1342058	4585	1997-11-12	VYDAJ	PREVOD NA UCET	1347	39865	UVER	GH	3908431
1342059	4585	1997-12-12	VYDAJ	PREVOD NA UCET	1347	47909	UVER	GH	3908431
1342060	4585	1998-01-12	VYDAJ	PREVOD NA UCET	1347	41437	UVER	GH	3908431
1342061	4585	1998-02-12	VYDAJ	PREVOD NA UCET	1347	37359	UVER	GH	3908431
1342062	4585	1998-03-12	VYDAJ	PREVOD NA UCET	1347	36728	UVER	GH	3908431
1342063	4585	1998-04-12	VYDAJ	PREVOD NA UCET	1347	40160	UVER	GH	3908431
1342064	4585	1998-05-12	VYDAJ	PREVOD NA UCET	1347	40100	UVER	GH	3908431
1342065	4585	1998-06-12	VYDAJ	PREVOD NA UCET	1347	50745	UVER	GH	3908431
1342066	4585	1998-07-12	VYDAJ	PREVOD NA UCET	1347	43017	UVER	GH	3908431
1342067	4585	1998-08-12	VYDAJ	PREVOD NA UCET	1347	43267	UVER	GH	3908431
1342068	4585	1998-09-12	VYDAJ	PREVOD NA UCET	1347	45318	UVER	GH	3908431
1342069	4585	1998-10-12	VYDAJ	PREVOD NA UCET	1347	48978	UVER	GH	3908431
1342070	4585	1998-11-12	VYDAJ	PREVOD NA UCET	1347	43148	UVER	GH	3908431
1342071	4585	1998-12-12	VYDAJ	PREVOD NA UCET	1347	53709	UVER	GH	3908431
1342076	4585	1997-01-05	VYDAJ	VYBER	7360	28226	\N	\N	\N
1342077	4585	1998-01-26	VYDAJ	VYBER	1600	24237	\N	\N	\N
1342078	4585	1996-12-01	VYDAJ	VYBER	3040	39551	\N	\N	\N
1342079	4585	1997-12-10	VYDAJ	VYBER	1440	50216	\N	\N	\N
1342080	4585	1998-12-25	VYDAJ	VYBER KARTOU	1800	51909	\N	\N	0
1342087	4585	1997-01-27	VYDAJ	VYBER	2760	30063	\N	\N	\N
1342088	4585	1997-01-28	VYDAJ	VYBER	3480	26583	\N	\N	\N
1342089	4585	1997-01-09	VYDAJ	VYBER	1680	36090	\N	\N	\N
1342090	4585	1997-01-25	VYDAJ	VYBER	840	32823	\N	\N	\N
1342091	4585	1997-01-23	VYDAJ	VYBER	1080	33663	\N	\N	\N
1342092	4585	1997-01-02	VYDAJ	VYBER	1800	44386	\N	\N	\N
1342093	4585	1998-01-17	VYDAJ	VYBER	720	33757	\N	\N	\N
1342094	4585	1998-01-20	VYDAJ	VYBER	3000	29077	\N	\N	\N
1342095	4585	1998-01-06	VYDAJ	VYBER	1320	33240	\N	\N	\N
1342096	4585	1998-01-17	VYDAJ	VYBER	2880	34477	\N	\N	\N
1342097	4585	1998-01-20	VYDAJ	VYBER	1680	32077	\N	\N	\N
1342098	4585	1998-01-20	VYDAJ	VYBER	3240	25837	\N	\N	\N
1342099	4585	1996-12-09	VYDAJ	VYBER	2640	47359	\N	\N	\N
1342102	4585	1997-09-01	VYDAJ	VYBER	1320	38517	\N	\N	\N
1342103	4585	1997-12-11	VYDAJ	VYBER	960	49256	\N	\N	\N
1342104	4585	1997-01-30	VYDAJ	VYBER	4560	22023	\N	\N	\N
1342105	4585	1997-12-30	VYDAJ	VYBER	1920	34389	\N	\N	\N
1342106	4585	1997-10-10	VYDAJ	VYBER	1560	42456	\N	\N	\N
1342107	4585	1998-11-08	VYDAJ	VYBER KARTOU	4000	48560	\N	\N	0
1342108	4585	1998-03-11	VYDAJ	VYBER	3960	38075	\N	\N	\N
1342109	4585	1998-01-15	VYDAJ	VYBER	4080	37357	\N	\N	\N
1342121	4585	1996-11-30	VYDAJ	VYBER	15	42591	SLUZBY	\N	\N
1342122	4585	1996-12-31	VYDAJ	VYBER	15	46186	SLUZBY	\N	\N
1342123	4585	1997-01-31	VYDAJ	VYBER	15	22151	SLUZBY	\N	\N
1342124	4585	1997-02-28	VYDAJ	VYBER	15	33966	SLUZBY	\N	\N
1342125	4585	1997-03-31	VYDAJ	VYBER	15	35295	SLUZBY	\N	\N
1342126	4585	1997-04-30	VYDAJ	VYBER	15	37332	SLUZBY	\N	\N
1342127	4585	1997-05-31	VYDAJ	VYBER	15	37171	SLUZBY	\N	\N
1342128	4585	1997-06-30	VYDAJ	VYBER	15	43735	SLUZBY	\N	\N
1342129	4585	1997-07-31	VYDAJ	VYBER	15	39787	SLUZBY	\N	\N
1342130	4585	1997-08-31	VYDAJ	VYBER	15	39837	SLUZBY	\N	\N
1342131	4585	1997-09-30	VYDAJ	VYBER	15	42972	SLUZBY	\N	\N
1342132	4585	1997-10-31	VYDAJ	VYBER	15	31668	SLUZBY	\N	\N
1342133	4585	1997-11-30	VYDAJ	VYBER	15	40008	SLUZBY	\N	\N
1342134	4585	1997-12-31	VYDAJ	VYBER	15	34560	SLUZBY	\N	\N
1342135	4585	1998-01-31	VYDAJ	VYBER	15	29162	SLUZBY	\N	\N
1342136	4585	1998-02-28	VYDAJ	VYBER	15	32491	SLUZBY	\N	\N
1342137	4585	1998-03-31	VYDAJ	VYBER	15	31963	SLUZBY	\N	\N
1342138	4585	1998-04-30	VYDAJ	VYBER	15	31903	SLUZBY	\N	\N
1342139	4585	1998-05-31	VYDAJ	VYBER	15	35743	SLUZBY	\N	\N
1342140	4585	1998-06-30	VYDAJ	VYBER	15	34820	SLUZBY	\N	\N
1342141	4585	1998-07-31	VYDAJ	VYBER	15	35070	SLUZBY	\N	\N
1342142	4585	1998-08-31	VYDAJ	VYBER	15	37121	SLUZBY	\N	\N
1342143	4585	1998-09-30	VYDAJ	VYBER	15	40781	SLUZBY	\N	\N
1342144	4585	1998-10-31	VYDAJ	VYBER	15	38951	SLUZBY	\N	\N
1342145	4585	1998-11-30	VYDAJ	VYBER	15	38707	SLUZBY	\N	\N
1342146	4585	1996-07-08	PRIJEM	VKLAD	5700	19509	\N	\N	\N
1342147	4585	1996-08-07	VYDAJ	VYBER	5600	27581	\N	\N	\N
1342148	4585	1996-09-06	VYDAJ	VYBER	5700	21989	\N	\N	\N
1342149	4585	1996-10-06	VYDAJ	VYBER	4600	31140	\N	\N	\N
1342150	4585	1996-11-05	VYDAJ	VYBER	10700	34228	\N	\N	\N
1342151	4585	1996-12-05	VYDAJ	VYBER	5900	33651	\N	\N	\N
1342152	4585	1997-01-04	VYDAJ	VYBER	8800	35586	\N	\N	\N
1342153	4585	1997-02-03	PRIJEM	VKLAD	3500	25651	\N	\N	\N
1342154	4585	1997-03-05	VYDAJ	VYBER	7000	26966	\N	\N	\N
1342155	4585	1997-04-04	VYDAJ	VYBER	6300	28995	\N	\N	\N
1342156	4585	1997-05-04	VYDAJ	VYBER	8500	28832	\N	\N	\N
1342157	4585	1997-06-03	VYDAJ	VYBER	8600	28571	\N	\N	\N
1342158	4585	1997-07-03	VYDAJ	VYBER	12300	31435	\N	\N	\N
1342159	4585	1997-08-02	VYDAJ	VYBER	8300	31487	\N	\N	\N
1342160	4585	1997-09-01	VYDAJ	VYBER	3900	34617	\N	\N	\N
1342161	4585	1997-10-01	VYDAJ	VYBER	8500	34472	\N	\N	\N
1342162	4585	1997-10-31	VYDAJ	VYBER	9600	31682	\N	\N	\N
1342163	4585	1997-11-30	VYDAJ	VYBER	4700	35308	\N	\N	\N
1342164	4585	1997-12-30	VYDAJ	VYBER	11600	36309	\N	\N	\N
1342165	4585	1998-01-29	PRIJEM	VKLAD	4800	29037	\N	\N	\N
1342166	4585	1998-02-28	VYDAJ	VYBER	5000	32506	\N	\N	\N
1342167	4585	1998-03-30	VYDAJ	VYBER	4900	31828	\N	\N	\N
1342168	4585	1998-04-29	VYDAJ	VYBER	8400	31760	\N	\N	\N
1342169	4585	1998-05-29	VYDAJ	VYBER	4500	35600	\N	\N	\N
1342170	4585	1998-06-28	VYDAJ	VYBER	16100	34645	\N	\N	\N
1342171	4585	1998-07-28	VYDAJ	VYBER	8100	34917	\N	\N	\N
1342172	4585	1998-08-27	VYDAJ	VYBER	6300	36967	\N	\N	\N
1342173	4585	1998-09-26	VYDAJ	VYBER	4700	40618	\N	\N	\N
1342174	4585	1998-10-26	VYDAJ	VYBER	10200	38778	\N	\N	\N
1342175	4585	1998-11-25	VYDAJ	VYBER	4600	38548	\N	\N	\N
1342800	4588	1996-08-27	PRIJEM	VKLAD	800	800	\N	\N	\N
1342809	4588	1996-09-09	PRIJEM	VKLAD	4949	5749	\N	\N	\N
1342810	4588	1996-10-09	PRIJEM	VKLAD	4949	17507	\N	\N	\N
1342811	4588	1996-11-09	PRIJEM	VKLAD	4949	23012	\N	\N	\N
1342812	4588	1996-12-09	PRIJEM	VKLAD	7424	32317	\N	\N	\N
1342813	4588	1997-01-09	PRIJEM	VKLAD	4949	33973	\N	\N	\N
1342814	4588	1997-02-09	PRIJEM	VKLAD	4949	22212	\N	\N	\N
1342815	4588	1997-03-09	PRIJEM	VKLAD	4949	22522	\N	\N	\N
1342816	4588	1997-04-09	PRIJEM	VKLAD	4949	21845	\N	\N	\N
1342817	4588	1997-05-09	PRIJEM	VKLAD	4949	20462	\N	\N	\N
1342818	4588	1997-06-09	PRIJEM	VKLAD	7424	24337	\N	\N	\N
1342819	4588	1997-07-09	PRIJEM	VKLAD	4949	19039	\N	\N	\N
1342820	4588	1997-08-09	PRIJEM	VKLAD	4949	16629	\N	\N	\N
1342821	4588	1997-09-09	PRIJEM	VKLAD	4949	17112	\N	\N	\N
1342822	4588	1997-10-09	PRIJEM	VKLAD	4949	16396	\N	\N	\N
1342823	4588	1997-11-09	PRIJEM	VKLAD	4949	13875	\N	\N	\N
1342824	4588	1997-12-09	PRIJEM	VKLAD	7424	12120	\N	\N	\N
1342825	4588	1998-01-09	PRIJEM	VKLAD	4949	6889	\N	\N	\N
1342826	4588	1998-02-09	PRIJEM	VKLAD	4949	1427	\N	\N	\N
1342827	4588	1998-03-09	PRIJEM	VKLAD	4949	2430	\N	\N	\N
1342828	4588	1998-04-09	PRIJEM	VKLAD	4949	3845	\N	\N	\N
1342829	4588	1998-05-09	PRIJEM	VKLAD	4949	2261	\N	\N	\N
1342830	4588	1998-06-09	PRIJEM	VKLAD	7424	4040	\N	\N	\N
1342831	4588	1998-07-09	PRIJEM	VKLAD	4949	-447	\N	\N	\N
1342832	4588	1998-08-09	PRIJEM	VKLAD	4949	1753	\N	\N	\N
1342833	4588	1998-09-09	PRIJEM	VKLAD	4949	-1230	\N	\N	\N
1342834	4588	1998-10-09	PRIJEM	VKLAD	4949	63	\N	\N	\N
1342835	4588	1998-11-09	PRIJEM	VKLAD	4949	-1646	\N	\N	\N
1342836	4588	1998-12-09	PRIJEM	VKLAD	7424	1616	\N	\N	\N
1342842	4588	1998-01-01	VYDAJ	VYBER	2800	1940	\N	\N	\N
1342844	4588	1997-12-03	VYDAJ	VYBER	1600	4696	\N	\N	\N
1342845	4588	1998-12-20	VYDAJ	VYBER	2100	-2784	\N	\N	\N
1342852	4588	1997-01-11	VYDAJ	VYBER	1100	25373	\N	\N	\N
1342853	4588	1997-01-09	VYDAJ	VYBER	2700	31273	\N	\N	\N
1342854	4588	1997-01-23	VYDAJ	VYBER	1700	23673	\N	\N	\N
1342856	4588	1997-01-24	VYDAJ	VYBER	2000	21673	\N	\N	\N
1342857	4588	1997-01-29	VYDAJ	VYBER	1900	17173	\N	\N	\N
1342858	4588	1998-01-24	VYDAJ	VYBER	1100	-811	\N	\N	\N
1342859	4588	1998-01-28	VYDAJ	VYBER	2700	-3511	\N	\N	\N
1342860	4588	1998-01-01	VYDAJ	VYBER	1600	4740	\N	\N	\N
1342861	4588	1998-01-13	VYDAJ	VYBER	600	4889	\N	\N	\N
1342862	4588	1998-01-11	VYDAJ	VYBER	1400	5489	\N	\N	\N
1342863	4588	1998-01-18	VYDAJ	VYBER	1000	3889	\N	\N	\N
1342870	4588	1997-03-08	VYDAJ	VYBER	3700	17573	\N	\N	\N
1342871	4588	1997-06-23	VYDAJ	VYBER	3700	14037	\N	\N	\N
1342872	4588	1997-04-03	VYDAJ	VYBER	2300	16896	\N	\N	\N
1342873	4588	1997-01-11	VYDAJ	VYBER	4800	26473	\N	\N	\N
1342874	4588	1997-11-27	VYDAJ	VYBER	3300	6275	\N	\N	\N
1342875	4588	1998-06-10	VYDAJ	VYBER	4800	-760	\N	\N	\N
1342877	4588	1998-08-04	VYDAJ	VYBER	2100	-3196	\N	\N	\N
1342894	4588	1997-01-31	VYDAJ	VYBER	15	17263	SLUZBY	\N	\N
1342895	4588	1997-02-28	VYDAJ	VYBER	15	21273	SLUZBY	\N	\N
1342896	4588	1997-03-31	VYDAJ	VYBER	15	19196	SLUZBY	\N	\N
1342897	4588	1997-04-30	VYDAJ	VYBER	15	15513	SLUZBY	\N	\N
1342898	4588	1997-05-31	VYDAJ	VYBER	15	16913	SLUZBY	\N	\N
1342899	4588	1997-06-30	VYDAJ	VYBER	15	14090	SLUZBY	\N	\N
1342900	4588	1997-07-31	VYDAJ	VYBER	15	11680	SLUZBY	\N	\N
1342901	4588	1997-08-31	VYDAJ	VYBER	15	12163	SLUZBY	\N	\N
1342902	4588	1997-09-30	VYDAJ	VYBER	15	11447	SLUZBY	\N	\N
1342903	4588	1997-10-31	VYDAJ	VYBER	15	8926	SLUZBY	\N	\N
1342904	4588	1997-11-30	VYDAJ	VYBER	15	6296	SLUZBY	\N	\N
1342905	4588	1997-12-31	VYDAJ	VYBER	15	6340	SLUZBY	\N	\N
1342906	4588	1998-01-31	VYDAJ	VYBER	15	-3516	SLUZBY	\N	\N
1342907	4588	1998-02-28	VYDAJ	VYBER	15	-2519	SLUZBY	\N	\N
1342908	4588	1998-03-31	VYDAJ	VYBER	15	-1104	SLUZBY	\N	\N
1342909	4588	1998-04-30	VYDAJ	VYBER	15	-2688	SLUZBY	\N	\N
1342910	4588	1998-05-31	VYDAJ	VYBER	15	-3384	SLUZBY	\N	\N
1342912	4588	1998-07-31	VYDAJ	VYBER	15	-1062	SLUZBY	\N	\N
1342917	4588	1996-09-26	PRIJEM	VKLAD	6800	12549	\N	\N	\N
1342918	4588	1996-10-26	PRIJEM	VKLAD	500	18007	\N	\N	\N
1342919	4588	1996-11-25	PRIJEM	VKLAD	1800	24812	\N	\N	\N
1342920	4588	1996-12-25	VYDAJ	VYBER	3400	28917	\N	\N	\N
1342921	4588	1997-01-24	VYDAJ	VYBER	2600	19073	\N	\N	\N
1342922	4588	1997-02-23	VYDAJ	VYBER	1000	21212	\N	\N	\N
1342923	4588	1997-03-25	VYDAJ	VYBER	3400	19122	\N	\N	\N
1342924	4588	1997-04-24	VYDAJ	VYBER	6400	15445	\N	\N	\N
1342925	4588	1997-05-24	VYDAJ	VYBER	3600	16862	\N	\N	\N
1342926	4588	1997-06-23	VYDAJ	VYBER	6600	17737	\N	\N	\N
1342927	4588	1997-07-23	VYDAJ	VYBER	7400	11639	\N	\N	\N
1342928	4588	1997-08-22	VYDAJ	VYBER	4500	12129	\N	\N	\N
1342929	4588	1997-09-21	VYDAJ	VYBER	5700	11412	\N	\N	\N
1342930	4588	1997-10-21	VYDAJ	VYBER	7500	8896	\N	\N	\N
1342931	4588	1997-11-20	VYDAJ	VYBER	4300	9575	\N	\N	\N
1342932	4588	1997-12-20	VYDAJ	VYBER	5800	6320	\N	\N	\N
1342933	4588	1998-01-19	VYDAJ	VYBER	3600	289	\N	\N	\N
1342934	4588	1998-02-18	VYDAJ	VYBER	3900	-2473	\N	\N	\N
1342935	4588	1998-03-20	VYDAJ	VYBER	3500	-1070	\N	\N	\N
1342936	4588	1998-04-19	VYDAJ	VYBER	6500	-2655	\N	\N	\N
1342937	4588	1998-05-19	VYDAJ	VYBER	5600	-3339	\N	\N	\N
1342938	4588	1998-06-18	VYDAJ	VYBER	4600	-5360	\N	\N	\N
1342939	4588	1998-07-18	VYDAJ	VYBER	600	-1047	\N	\N	\N
1342940	4588	1998-08-17	VYDAJ	VYBER	7900	-6147	\N	\N	\N
1342941	4588	1998-09-16	VYDAJ	VYBER	3600	-4830	\N	\N	\N
1342942	4588	1998-10-16	VYDAJ	VYBER	6600	-6537	\N	\N	\N
1342943	4588	1998-11-15	VYDAJ	VYBER	4100	-5746	\N	\N	\N
1342944	4588	1998-12-15	VYDAJ	VYBER	2300	-684	\N	\N	\N
1342975	4589	1995-05-22	PRIJEM	VKLAD	400	400	\N	\N	\N
1342981	4589	1995-06-05	PRIJEM	VKLAD	7340	7740	\N	\N	\N
1342982	4589	1995-07-05	PRIJEM	VKLAD	4893	23759	\N	\N	\N
1342983	4589	1995-08-05	PRIJEM	VKLAD	4893	27737	\N	\N	\N
1342984	4589	1995-09-05	PRIJEM	VKLAD	4893	30729	\N	\N	\N
1342985	4589	1995-10-05	PRIJEM	VKLAD	4893	33935	\N	\N	\N
1342986	4589	1995-11-05	PRIJEM	VKLAD	4893	33035	\N	\N	\N
1342987	4589	1995-12-05	PRIJEM	VKLAD	7340	34867	\N	\N	\N
1342988	4589	1996-01-05	PRIJEM	VKLAD	4893	29477	\N	\N	\N
1342989	4589	1996-02-05	PRIJEM	VKLAD	4893	18417	\N	\N	\N
1342990	4589	1996-03-05	PRIJEM	VKLAD	4893	26868	\N	\N	\N
1342991	4589	1996-04-05	PRIJEM	VKLAD	4893	27626	\N	\N	\N
1342992	4589	1996-05-05	PRIJEM	VKLAD	4893	32919	\N	\N	\N
1342993	4589	1996-06-05	PRIJEM	VKLAD	7340	37165	\N	\N	\N
1342994	4589	1996-07-05	PRIJEM	VKLAD	4893	33364	\N	\N	\N
1342995	4589	1996-08-05	PRIJEM	VKLAD	4893	30554	\N	\N	\N
1342996	4589	1996-09-05	PRIJEM	VKLAD	4893	29560	\N	\N	\N
1342997	4589	1996-10-05	PRIJEM	VKLAD	4893	29121	\N	\N	\N
1342998	4589	1996-11-05	PRIJEM	VKLAD	4893	28301	\N	\N	\N
1342999	4589	1996-12-05	PRIJEM	VKLAD	7340	27007	\N	\N	\N
1343000	4589	1997-01-05	PRIJEM	VKLAD	4893	21639	\N	\N	\N
1343001	4589	1997-02-05	PRIJEM	VKLAD	4893	2433	\N	\N	\N
1343002	4589	1997-03-05	PRIJEM	VKLAD	4893	18040	\N	\N	\N
1343003	4589	1997-04-05	PRIJEM	VKLAD	4893	21783	\N	\N	\N
1343004	4589	1997-05-05	PRIJEM	VKLAD	4893	26644	\N	\N	\N
1343005	4589	1997-06-05	PRIJEM	VKLAD	7340	32269	\N	\N	\N
1343006	4589	1997-07-05	PRIJEM	VKLAD	4893	26683	\N	\N	\N
1343007	4589	1997-08-05	PRIJEM	VKLAD	4893	24645	\N	\N	\N
1343008	4589	1997-09-05	PRIJEM	VKLAD	4893	27113	\N	\N	\N
1343009	4589	1997-10-05	PRIJEM	VKLAD	4893	29189	\N	\N	\N
1343010	4589	1997-11-05	PRIJEM	VKLAD	4893	31174	\N	\N	\N
1343011	4589	1997-12-05	PRIJEM	VKLAD	7340	29121	\N	\N	\N
1343012	4589	1998-01-05	PRIJEM	VKLAD	4893	28257	\N	\N	\N
1343013	4589	1998-02-05	PRIJEM	VKLAD	4893	10072	\N	\N	\N
1343014	4589	1998-03-05	PRIJEM	VKLAD	4893	18305	\N	\N	\N
1343015	4589	1998-04-05	PRIJEM	VKLAD	4893	20445	\N	\N	\N
1343016	4589	1998-05-05	PRIJEM	VKLAD	4893	19527	\N	\N	\N
1343017	4589	1998-06-05	PRIJEM	VKLAD	7340	22159	\N	\N	\N
1343018	4589	1998-07-05	PRIJEM	VKLAD	4893	11418	\N	\N	\N
1343019	4589	1998-08-05	PRIJEM	VKLAD	4893	11843	\N	\N	\N
1343020	4589	1998-09-05	PRIJEM	VKLAD	4893	17867	\N	\N	\N
1343021	4589	1998-10-05	PRIJEM	VKLAD	4893	18616	\N	\N	\N
1343022	4589	1998-11-05	PRIJEM	VKLAD	4893	13829	\N	\N	\N
1343023	4589	1998-12-05	PRIJEM	VKLAD	7340	18812	\N	\N	\N
1343027	4589	1998-06-28	VYDAJ	VYBER	9600	5959	\N	\N	\N
1343029	4589	1996-01-08	VYDAJ	VYBER	6720	19157	\N	\N	\N
1343030	4589	1997-01-12	VYDAJ	VYBER	14560	299	\N	\N	\N
1343031	4589	1998-01-20	VYDAJ	VYBER	4960	7657	\N	\N	\N
1343032	4589	1995-12-15	VYDAJ	VYBER	3680	31187	\N	\N	\N
1343033	4589	1996-12-02	VYDAJ	VYBER	1760	19667	\N	\N	\N
1343034	4589	1997-12-05	VYDAJ	VYBER	3840	25281	\N	\N	\N
1343035	4589	1998-12-08	VYDAJ	VYBER	1920	16892	\N	\N	\N
1343042	4589	1996-01-25	VYDAJ	VYBER	2040	15137	\N	\N	\N
1343043	4589	1996-01-04	VYDAJ	VYBER	600	24584	\N	\N	\N
1343044	4589	1996-01-30	VYDAJ	VYBER	1680	13457	\N	\N	\N
1343045	4589	1996-01-05	VYDAJ	VYBER	1560	27917	\N	\N	\N
1343046	4589	1996-01-21	VYDAJ	VYBER	2280	17177	\N	\N	\N
1343047	4589	1996-01-07	VYDAJ	VYBER	2040	25877	\N	\N	\N
1343048	4589	1997-01-09	VYDAJ	VYBER	840	18879	\N	\N	\N
1343049	4589	1997-01-06	VYDAJ	VYBER	1920	19719	\N	\N	\N
1343050	4589	1997-01-10	VYDAJ	VYBER	3120	15759	\N	\N	\N
1343051	4589	1997-01-13	VYDAJ	VYBER	2760	-2461	\N	\N	\N
1343052	4589	1997-01-12	VYDAJ	VYBER	1800	14859	\N	\N	\N
1343054	4589	1998-01-07	VYDAJ	VYBER	3360	18857	\N	\N	\N
1343055	4589	1998-01-13	VYDAJ	VYBER	3480	15377	\N	\N	\N
1343056	4589	1998-01-06	VYDAJ	VYBER	2040	22217	\N	\N	\N
1343057	4589	1998-01-17	VYDAJ	VYBER	2760	12617	\N	\N	\N
1343058	4589	1998-01-25	VYDAJ	VYBER	1200	5137	\N	\N	\N
1343059	4589	1998-01-24	VYDAJ	VYBER	1320	6337	\N	\N	\N
1343061	4589	1995-11-03	VYDAJ	VYBER	1800	28142	\N	\N	\N
1343063	4589	1995-11-20	VYDAJ	VYBER	1920	27415	\N	\N	\N
1343064	4589	1996-04-04	VYDAJ	VYBER	3120	22733	\N	\N	\N
1343065	4589	1996-10-22	VYDAJ	VYBER	2400	23321	\N	\N	\N
1343066	4589	1996-08-07	VYDAJ	VYBER	1680	28874	\N	\N	\N
1343067	4589	1996-09-15	VYDAJ	VYBER	5520	24140	\N	\N	\N
1343068	4589	1996-11-26	VYDAJ	VYBER	4560	21341	\N	\N	\N
1343069	4589	1997-06-14	VYDAJ	VYBER	2760	21709	\N	\N	\N
1343070	4589	1997-01-04	VYDAJ	VYBER	4440	16746	\N	\N	\N
1343071	4589	1997-11-19	VYDAJ	VYBER	4680	21694	\N	\N	\N
1343072	4589	1998-02-23	VYDAJ	VYBER	1800	13372	\N	\N	\N
1343073	4589	1998-07-10	VYDAJ	VYBER	4680	6738	\N	\N	\N
1343074	4589	1998-06-01	VYDAJ	VYBER	1560	14819	\N	\N	\N
1343075	4589	1998-10-27	VYDAJ	VYBER	2040	16576	\N	\N	\N
1343076	4589	1998-04-10	VYDAJ	VYBER	5760	14585	\N	\N	\N
1343087	4589	1995-10-31	VYDAJ	VYBER	15	29942	SLUZBY	\N	\N
1343088	4589	1995-11-30	VYDAJ	VYBER	15	27527	SLUZBY	\N	\N
1343089	4589	1995-12-31	VYDAJ	VYBER	15	25184	SLUZBY	\N	\N
1343090	4589	1996-01-31	VYDAJ	VYBER	15	13524	SLUZBY	\N	\N
1343091	4589	1996-02-29	VYDAJ	VYBER	15	21975	SLUZBY	\N	\N
1343092	4589	1996-03-31	VYDAJ	VYBER	15	25853	SLUZBY	\N	\N
1343093	4589	1996-04-30	VYDAJ	VYBER	15	28026	SLUZBY	\N	\N
1343094	4589	1996-05-31	VYDAJ	VYBER	15	29825	SLUZBY	\N	\N
1343095	4589	1996-06-30	VYDAJ	VYBER	15	28471	SLUZBY	\N	\N
1343096	4589	1996-07-31	VYDAJ	VYBER	15	25661	SLUZBY	\N	\N
1343097	4589	1996-08-31	VYDAJ	VYBER	15	24667	SLUZBY	\N	\N
1343098	4589	1996-09-30	VYDAJ	VYBER	15	24228	SLUZBY	\N	\N
1343099	4589	1996-10-31	VYDAJ	VYBER	15	23408	SLUZBY	\N	\N
1343100	4589	1996-11-30	VYDAJ	VYBER	15	21427	SLUZBY	\N	\N
1343101	4589	1996-12-31	VYDAJ	VYBER	15	21186	SLUZBY	\N	\N
1343102	4589	1997-01-31	VYDAJ	VYBER	15	-2460	SLUZBY	\N	\N
1343103	4589	1997-02-28	VYDAJ	VYBER	15	13147	SLUZBY	\N	\N
1343104	4589	1997-03-31	VYDAJ	VYBER	15	16890	SLUZBY	\N	\N
1343105	4589	1997-04-30	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
1343106	4589	1997-05-31	VYDAJ	VYBER	15	24929	SLUZBY	\N	\N
1343107	4589	1997-06-30	VYDAJ	VYBER	15	21790	SLUZBY	\N	\N
1343108	4589	1997-07-31	VYDAJ	VYBER	15	19752	SLUZBY	\N	\N
1343109	4589	1997-08-31	VYDAJ	VYBER	15	22220	SLUZBY	\N	\N
1343110	4589	1997-09-30	VYDAJ	VYBER	15	24296	SLUZBY	\N	\N
1343111	4589	1997-10-31	VYDAJ	VYBER	15	26281	SLUZBY	\N	\N
1343112	4589	1997-11-30	VYDAJ	VYBER	15	21781	SLUZBY	\N	\N
1343113	4589	1997-12-31	VYDAJ	VYBER	15	23364	SLUZBY	\N	\N
1343114	4589	1998-01-31	VYDAJ	VYBER	15	5179	SLUZBY	\N	\N
1343115	4589	1998-02-28	VYDAJ	VYBER	15	13412	SLUZBY	\N	\N
1343116	4589	1998-03-31	VYDAJ	VYBER	15	15552	SLUZBY	\N	\N
1343117	4589	1998-04-30	VYDAJ	VYBER	15	14634	SLUZBY	\N	\N
1343118	4589	1998-05-31	VYDAJ	VYBER	15	16379	SLUZBY	\N	\N
1343119	4589	1998-06-30	VYDAJ	VYBER	15	6025	SLUZBY	\N	\N
1343120	4589	1998-07-31	VYDAJ	VYBER	15	6750	SLUZBY	\N	\N
1343121	4589	1998-08-31	VYDAJ	VYBER	15	11874	SLUZBY	\N	\N
1343122	4589	1998-09-30	VYDAJ	VYBER	15	17923	SLUZBY	\N	\N
1343123	4589	1998-10-31	VYDAJ	VYBER	15	16636	SLUZBY	\N	\N
1343124	4589	1998-11-30	VYDAJ	VYBER	15	13872	SLUZBY	\N	\N
1343125	4589	1995-06-21	PRIJEM	VKLAD	11100	18840	\N	\N	\N
1343126	4589	1995-07-21	VYDAJ	VYBER	1000	22759	\N	\N	\N
1343127	4589	1995-08-20	VYDAJ	VYBER	2000	25737	\N	\N	\N
1343128	4589	1995-09-19	VYDAJ	VYBER	1800	28929	\N	\N	\N
1343129	4589	1995-10-19	VYDAJ	VYBER	4100	29835	\N	\N	\N
1343130	4589	1995-11-18	VYDAJ	VYBER	3700	29335	\N	\N	\N
1343131	4589	1995-12-18	VYDAJ	VYBER	6100	25087	\N	\N	\N
1343132	4589	1996-01-17	PRIJEM	VKLAD	300	19457	\N	\N	\N
1343133	4589	1996-02-16	PRIJEM	VKLAD	3500	21917	\N	\N	\N
1343134	4589	1996-03-17	VYDAJ	VYBER	1100	25768	\N	\N	\N
1343135	4589	1996-04-16	PRIJEM	VKLAD	300	27926	\N	\N	\N
1343136	4589	1996-05-16	VYDAJ	VYBER	3200	29719	\N	\N	\N
1343137	4589	1996-06-15	VYDAJ	VYBER	8800	28365	\N	\N	\N
1343138	4589	1996-07-15	VYDAJ	VYBER	7800	25564	\N	\N	\N
1343139	4589	1996-08-14	VYDAJ	VYBER	4300	24574	\N	\N	\N
1343140	4589	1996-09-13	PRIJEM	VKLAD	100	29660	\N	\N	\N
1343141	4589	1996-10-13	VYDAJ	VYBER	3400	25721	\N	\N	\N
1343142	4589	1996-11-12	VYDAJ	VYBER	2400	25901	\N	\N	\N
1343143	4589	1996-12-12	VYDAJ	VYBER	5900	21107	\N	\N	\N
1343144	4589	1997-01-11	PRIJEM	VKLAD	900	16659	\N	\N	\N
1343145	4589	1997-02-10	PRIJEM	VKLAD	10700	13133	\N	\N	\N
1343146	4589	1997-03-12	VYDAJ	VYBER	1200	16840	\N	\N	\N
1343147	4589	1997-04-11	VYDAJ	VYBER	100	21683	\N	\N	\N
1343148	4589	1997-05-11	VYDAJ	VYBER	1800	24844	\N	\N	\N
1343149	4589	1997-06-10	VYDAJ	VYBER	7800	24469	\N	\N	\N
1343150	4589	1997-07-10	VYDAJ	VYBER	7000	19683	\N	\N	\N
1343151	4589	1997-08-09	VYDAJ	VYBER	2500	22145	\N	\N	\N
1343152	4589	1997-09-08	VYDAJ	VYBER	2900	24213	\N	\N	\N
1343153	4589	1997-10-08	VYDAJ	VYBER	3000	26189	\N	\N	\N
1343154	4589	1997-11-07	VYDAJ	VYBER	4800	26374	\N	\N	\N
1343155	4589	1997-12-07	VYDAJ	VYBER	2000	23281	\N	\N	\N
1343156	4589	1998-01-06	VYDAJ	VYBER	4000	24257	\N	\N	\N
1343157	4589	1998-02-05	PRIJEM	VKLAD	5100	15172	\N	\N	\N
1343158	4589	1998-03-07	VYDAJ	VYBER	2800	15505	\N	\N	\N
1343159	4589	1998-04-06	VYDAJ	VYBER	100	20345	\N	\N	\N
1343160	4589	1998-05-06	VYDAJ	VYBER	3200	16327	\N	\N	\N
1343161	4589	1998-06-05	VYDAJ	VYBER	6600	15559	\N	\N	\N
1343162	4589	1998-07-05	PRIJEM	VKLAD	500	6525	\N	\N	\N
1343163	4589	1998-08-04	PRIJEM	VKLAD	200	6950	\N	\N	\N
1343164	4589	1998-09-03	PRIJEM	VKLAD	1100	12974	\N	\N	\N
1343165	4589	1998-10-03	VYDAJ	VYBER	4200	13723	\N	\N	\N
1343166	4589	1998-11-02	VYDAJ	VYBER	7700	8936	\N	\N	\N
1343167	4589	1998-12-02	VYDAJ	VYBER	2400	11472	\N	\N	\N
1344903	4596	1993-03-09	PRIJEM	VKLAD	700	700	\N	\N	\N
1344904	4596	1993-05-21	PRIJEM	VKLAD	40500	58200	\N	\N	\N
1344906	4596	1993-07-01	PRIJEM	VKLAD	8805	106478	\N	\N	\N
1344907	4596	1993-11-04	PRIJEM	VKLAD	41994	59193	\N	\N	\N
1344908	4596	1993-06-17	PRIJEM	VKLAD	37306	122095	\N	\N	\N
1344909	4596	1993-10-03	PRIJEM	VKLAD	32130	41865	\N	\N	\N
1344910	4596	1993-12-27	PRIJEM	VKLAD	26163	44088	\N	\N	\N
1344911	4596	1993-06-14	PRIJEM	VKLAD	45503	84789	\N	\N	\N
1344912	4596	1993-07-17	PRIJEM	VKLAD	44503	108681	\N	\N	\N
1344916	4596	1994-09-16	PRIJEM	VKLAD	24221	60576	\N	\N	\N
1344917	4596	1994-09-01	PRIJEM	VKLAD	22812	39494	\N	\N	\N
1344918	4596	1994-10-02	PRIJEM	VKLAD	7115	51448	\N	\N	\N
1344919	4596	1994-01-30	PRIJEM	VKLAD	41146	38410	\N	\N	\N
1344920	4596	1994-07-27	PRIJEM	VKLAD	12705	25570	\N	\N	\N
1344921	4596	1995-05-09	PRIJEM	VKLAD	30697	58976	\N	\N	\N
1344922	4596	1996-02-29	PRIJEM	VKLAD	14051	42891	\N	\N	\N
1344923	4596	1996-10-10	PRIJEM	VKLAD	31870	89905	\N	\N	\N
1344924	4596	1996-08-10	PRIJEM	VKLAD	26351	128392	\N	\N	\N
1344925	4596	1996-05-27	PRIJEM	VKLAD	36243	70610	\N	\N	\N
1344926	4596	1996-07-21	PRIJEM	VKLAD	8777	86917	\N	\N	\N
1344927	4596	1996-07-23	PRIJEM	VKLAD	40691	101708	\N	\N	\N
1344928	4596	1996-11-25	PRIJEM	VKLAD	27391	81338	\N	\N	\N
1344929	4596	1996-01-18	PRIJEM	VKLAD	15413	16857	\N	\N	\N
1344930	4596	1996-06-22	PRIJEM	VKLAD	44592	80256	\N	\N	\N
1344931	4596	1997-10-17	PRIJEM	VKLAD	43928	90295	\N	\N	\N
1344932	4596	1997-02-20	PRIJEM	VKLAD	45067	110154	\N	\N	\N
1344933	4596	1997-02-27	PRIJEM	VKLAD	15162	146366	\N	\N	\N
1344934	4596	1997-03-06	PRIJEM	VKLAD	37127	130575	\N	\N	\N
1344935	4596	1997-06-10	PRIJEM	VKLAD	42255	125669	\N	\N	\N
1344936	4596	1997-02-07	PRIJEM	VKLAD	42887	84755	\N	\N	\N
1344937	4596	1997-02-16	PRIJEM	VKLAD	21432	106187	\N	\N	\N
1344938	4596	1997-05-15	PRIJEM	VKLAD	11505	81525	\N	\N	\N
1344939	4596	1997-05-28	PRIJEM	VKLAD	18239	83164	\N	\N	\N
1344940	4596	1997-11-01	PRIJEM	VKLAD	21029	105295	\N	\N	\N
1344941	4596	1997-02-20	PRIJEM	VKLAD	43250	153404	\N	\N	\N
1344942	4596	1997-05-05	PRIJEM	VKLAD	14730	70020	\N	\N	\N
1344943	4596	1997-01-18	PRIJEM	VKLAD	19012	74951	\N	\N	\N
1344944	4596	1997-07-21	PRIJEM	VKLAD	43675	112471	\N	\N	\N
1344945	4596	1997-03-07	PRIJEM	VKLAD	28257	129432	\N	\N	\N
1344946	4596	1997-01-05	PRIJEM	VKLAD	25556	70639	\N	\N	\N
1344947	4596	1997-08-11	PRIJEM	VKLAD	33346	91519	\N	\N	\N
1344948	4596	1997-06-29	PRIJEM	VKLAD	9772	86641	\N	\N	\N
1344949	4596	1998-12-20	PRIJEM	VKLAD	22429	48662	\N	\N	\N
1344950	4596	1998-03-16	PRIJEM	VKLAD	30228	63997	\N	\N	\N
1344951	4596	1998-09-04	PRIJEM	VKLAD	38249	82998	\N	\N	\N
1344952	4596	1998-01-03	PRIJEM	VKLAD	23397	75865	\N	\N	\N
1344957	4596	1993-10-02	VYBER	VYBER	8252	9735	\N	\N	\N
1344958	4596	1993-11-28	VYBER	VYBER	15606	14287	\N	\N	\N
1344959	4596	1993-10-12	VYBER	VYBER	11180	17124	\N	\N	\N
1344961	4596	1993-10-07	VYBER	VYBER	4261	28304	\N	\N	\N
1344967	4596	1994-06-28	VYBER	VYBER	12278	1048	\N	\N	\N
1344968	4596	1994-10-14	VYBER	VYBER	14429	37019	\N	\N	\N
1344969	4596	1994-09-11	VYBER	VYBER	3139	36355	\N	\N	\N
1344970	4596	1994-08-12	VYBER	VYBER	5140	8513	\N	\N	\N
1344972	4596	1994-12-02	VYBER	VYBER	9934	14833	\N	\N	\N
1344973	4596	1994-04-21	VYBER	VYBER	13374	13546	\N	\N	\N
1344974	4596	1994-08-01	VYBER	VYBER	24505	17253	\N	\N	\N
1344975	4596	1994-02-12	VYBER	VYBER	3743	27701	\N	\N	\N
1344976	4596	1994-08-25	VYBER	VYBER	4860	3653	\N	\N	\N
1344978	4596	1994-06-27	VYBER	VYBER	4239	13326	\N	\N	\N
1344979	4596	1995-08-22	VYBER	VYBER	11996	12398	\N	\N	\N
1344980	4596	1996-03-10	VYBER	VYBER	8950	25827	\N	\N	\N
1344981	4596	1996-02-19	VYBER	VYBER	10970	12337	\N	\N	\N
1344982	4596	1998-01-13	VYBER	VYBER	14767	45098	\N	\N	\N
1344983	4596	1998-02-27	VYBER	VYBER	12013	16683	\N	\N	\N
1344984	4596	1998-11-29	VYBER	VYBER	22565	18366	\N	\N	\N
1344988	4596	1996-06-02	VYDAJ	VYBER	32400	38364	\N	\N	\N
1344992	4596	1994-01-17	VYDAJ	VYBER	11100	-2736	\N	\N	\N
1344993	4596	1995-01-02	VYDAJ	VYBER	12300	3299	\N	\N	\N
1344994	4596	1996-01-07	VYDAJ	VYBER	13500	4144	\N	\N	\N
1344995	4596	1997-01-20	VYDAJ	VYBER	24300	47351	\N	\N	\N
1344996	4596	1998-01-29	VYDAJ	VYBER	5100	24398	\N	\N	\N
1344997	4596	1993-12-01	VYDAJ	VYBER	4500	9925	\N	\N	\N
1344998	4596	1994-12-21	VYDAJ	VYBER	8100	6733	\N	\N	\N
1344999	4596	1995-12-10	VYDAJ	VYBER	6600	25742	\N	\N	\N
1345000	4596	1996-12-14	VYDAJ	VYBER	6300	75306	\N	\N	\N
1345001	4596	1997-12-02	VYDAJ	VYBER	3600	73410	\N	\N	\N
1345002	4596	1998-12-24	VYDAJ	VYBER	3000	45662	\N	\N	\N
1345009	4596	1994-01-09	VYDAJ	VYBER	3600	18264	\N	\N	\N
1345010	4596	1994-01-01	VYDAJ	VYBER	2100	42064	\N	\N	\N
1345011	4596	1994-01-07	VYDAJ	VYBER	8700	21864	\N	\N	\N
1345012	4596	1994-01-16	VYDAJ	VYBER	6300	8364	\N	\N	\N
1345013	4596	1994-01-02	VYDAJ	VYBER	5100	36964	\N	\N	\N
1345014	4596	1994-01-14	VYDAJ	VYBER	3600	14664	\N	\N	\N
1345015	4596	1995-01-02	VYDAJ	VYBER	2100	15599	\N	\N	\N
1345017	4596	1995-01-16	VYDAJ	VYBER	2100	-1801	\N	\N	\N
1345020	4596	1995-01-06	VYDAJ	VYBER	3000	299	\N	\N	\N
1345021	4596	1996-01-06	VYDAJ	VYBER	4800	24244	\N	\N	\N
1345023	4596	1996-01-19	VYDAJ	VYBER	4800	12057	\N	\N	\N
1345024	4596	1996-01-26	VYDAJ	VYBER	4800	23257	\N	\N	\N
1345025	4596	1996-01-06	VYDAJ	VYBER	6600	17644	\N	\N	\N
1345026	4596	1996-01-13	VYDAJ	VYBER	2700	1444	\N	\N	\N
1345027	4596	1997-01-03	VYDAJ	VYBER	2100	55583	\N	\N	\N
1345028	4596	1997-01-08	VYDAJ	VYBER	4200	66439	\N	\N	\N
1345029	4596	1997-01-18	VYDAJ	VYBER	3300	71651	\N	\N	\N
1345030	4596	1997-01-03	VYDAJ	VYBER	1800	53783	\N	\N	\N
1345031	4596	1997-01-21	VYDAJ	VYBER	5700	41651	\N	\N	\N
1345032	4596	1997-01-04	VYDAJ	VYBER	8700	45083	\N	\N	\N
1345033	4596	1998-01-29	VYDAJ	VYBER	5400	29498	\N	\N	\N
1345034	4596	1998-01-22	VYDAJ	VYBER	2400	38798	\N	\N	\N
1345035	4596	1998-01-20	VYDAJ	VYBER	3900	41198	\N	\N	\N
1345036	4596	1998-01-02	VYDAJ	VYBER	7200	52468	\N	\N	\N
1345037	4596	1998-01-28	VYDAJ	VYBER	1800	34898	\N	\N	\N
1345038	4596	1998-01-27	VYDAJ	VYBER	2100	36698	\N	\N	\N
1345039	4596	1993-09-10	VYDAJ	VYBER	8400	28676	\N	\N	\N
1345040	4596	1993-08-07	VYDAJ	VYBER	5700	47166	\N	\N	\N
1345041	4596	1993-09-20	VYDAJ	VYBER	10800	17876	\N	\N	\N
1345046	4596	1993-11-24	VYDAJ	VYBER	14400	29893	\N	\N	\N
1345047	4596	1994-06-29	VYDAJ	VYBER	2700	-1653	\N	\N	\N
1345048	4596	1994-11-19	VYDAJ	VYBER	9900	18565	\N	\N	\N
1345049	4596	1994-10-27	VYDAJ	VYBER	10500	26519	\N	\N	\N
1345050	4596	1994-08-10	VYDAJ	VYBER	3600	13653	\N	\N	\N
1345051	4596	1994-05-27	VYDAJ	VYBER	12600	8826	\N	\N	\N
1345052	4596	1995-08-31	VYDAJ	VYBER	8400	15498	\N	\N	\N
1345053	4596	1995-02-02	VYDAJ	VYBER	11700	1394	\N	\N	\N
1345054	4596	1995-08-18	VYDAJ	VYBER	8100	24394	\N	\N	\N
1345055	4596	1995-05-31	VYDAJ	VYBER	14100	28384	\N	\N	\N
1345056	4596	1995-12-15	VYDAJ	VYBER	4800	20942	\N	\N	\N
1345057	4596	1996-06-26	VYDAJ	VYBER	2400	77856	\N	\N	\N
1345058	4596	1996-08-13	VYDAJ	VYBER	10200	99392	\N	\N	\N
1345059	4596	1996-03-08	VYDAJ	VYBER	8100	34777	\N	\N	\N
1345060	4596	1996-10-31	VYDAJ	VYBER	3300	64862	\N	\N	\N
1345061	4596	1997-08-24	VYDAJ	VYBER	14700	54919	\N	\N	\N
1345062	4596	1997-10-17	VYDAJ	VYBER	6300	83995	\N	\N	\N
1345063	4596	1998-02-21	VYDAJ	VYBER	8700	28696	\N	\N	\N
1345064	4596	1998-04-28	VYDAJ	VYBER	6900	45651	\N	\N	\N
1345065	4596	1998-10-19	VYDAJ	VYBER	5100	46419	\N	\N	\N
1345073	4596	1993-07-31	VYDAJ	VYBER	15	81866	SLUZBY	\N	\N
1345074	4596	1993-08-31	VYDAJ	VYBER	15	47376	SLUZBY	\N	\N
1345075	4596	1993-09-30	VYDAJ	VYBER	15	17987	SLUZBY	\N	\N
1345076	4596	1993-10-31	VYDAJ	VYBER	15	17199	SLUZBY	\N	\N
1345077	4596	1993-11-30	VYDAJ	VYBER	15	14425	SLUZBY	\N	\N
1345078	4596	1993-12-31	VYDAJ	VYBER	15	44164	SLUZBY	\N	\N
1345079	4596	1994-01-31	VYDAJ	VYBER	15	38456	SLUZBY	\N	\N
1345080	4596	1994-02-28	VYDAJ	VYBER	15	27819	SLUZBY	\N	\N
1345081	4596	1994-03-31	VYDAJ	VYBER	15	27420	SLUZBY	\N	\N
1345082	4596	1994-04-30	VYDAJ	VYBER	15	13626	SLUZBY	\N	\N
1345083	4596	1994-05-31	VYDAJ	VYBER	15	8865	SLUZBY	\N	\N
1345084	4596	1994-06-30	VYDAJ	VYBER	15	-1635	SLUZBY	\N	\N
1345085	4596	1994-07-31	VYDAJ	VYBER	15	25573	SLUZBY	\N	\N
1345086	4596	1994-08-31	VYDAJ	VYBER	15	16682	SLUZBY	\N	\N
1345087	4596	1994-09-30	VYDAJ	VYBER	15	60733	SLUZBY	\N	\N
1345088	4596	1994-10-31	VYDAJ	VYBER	15	28465	SLUZBY	\N	\N
1345089	4596	1994-11-30	VYDAJ	VYBER	15	24767	SLUZBY	\N	\N
1345090	4596	1994-12-31	VYDAJ	VYBER	15	17699	SLUZBY	\N	\N
1345091	4596	1995-01-31	VYDAJ	VYBER	15	13094	SLUZBY	\N	\N
1345092	4596	1995-02-28	VYDAJ	VYBER	15	18135	SLUZBY	\N	\N
1345093	4596	1995-03-31	VYDAJ	VYBER	15	23496	SLUZBY	\N	\N
1345094	4596	1995-04-30	VYDAJ	VYBER	15	28279	SLUZBY	\N	\N
1345095	4596	1995-05-31	VYDAJ	VYBER	15	42484	SLUZBY	\N	\N
1345096	4596	1995-06-30	VYDAJ	VYBER	15	29386	SLUZBY	\N	\N
1345097	4596	1995-07-31	VYDAJ	VYBER	15	32494	SLUZBY	\N	\N
1345098	4596	1995-08-31	VYDAJ	VYBER	15	23898	SLUZBY	\N	\N
1345099	4596	1995-09-30	VYDAJ	VYBER	15	23848	SLUZBY	\N	\N
1345100	4596	1995-10-31	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
1345101	4596	1995-11-30	VYDAJ	VYBER	15	32342	SLUZBY	\N	\N
1345102	4596	1995-12-31	VYDAJ	VYBER	15	29044	SLUZBY	\N	\N
1345103	4596	1996-01-31	VYDAJ	VYBER	15	23307	SLUZBY	\N	\N
1345104	4596	1996-02-29	VYDAJ	VYBER	15	42877	SLUZBY	\N	\N
1345105	4596	1996-03-31	VYDAJ	VYBER	15	32547	SLUZBY	\N	\N
1345106	4596	1996-04-30	VYDAJ	VYBER	15	35067	SLUZBY	\N	\N
1345107	4596	1996-05-31	VYDAJ	VYBER	15	70764	SLUZBY	\N	\N
1345108	4596	1996-06-30	VYDAJ	VYBER	15	78140	SLUZBY	\N	\N
1345109	4596	1996-07-31	VYDAJ	VYBER	15	102041	SLUZBY	\N	\N
1345110	4596	1996-08-31	VYDAJ	VYBER	15	72252	SLUZBY	\N	\N
1345111	4596	1996-09-30	VYDAJ	VYBER	15	58035	SLUZBY	\N	\N
1345112	4596	1996-10-31	VYDAJ	VYBER	15	64847	SLUZBY	\N	\N
1345113	4596	1996-11-30	VYDAJ	VYBER	15	81606	SLUZBY	\N	\N
1345114	4596	1996-12-31	VYDAJ	VYBER	15	57683	SLUZBY	\N	\N
1345115	4596	1997-01-31	VYDAJ	VYBER	15	41868	SLUZBY	\N	\N
1345116	4596	1997-02-28	VYDAJ	VYBER	15	93448	SLUZBY	\N	\N
1345117	4596	1997-03-31	VYDAJ	VYBER	15	64439	SLUZBY	\N	\N
1345118	4596	1997-04-30	VYDAJ	VYBER	15	55290	SLUZBY	\N	\N
1345119	4596	1997-05-31	VYDAJ	VYBER	15	83414	SLUZBY	\N	\N
1345120	4596	1997-06-30	VYDAJ	VYBER	15	86996	SLUZBY	\N	\N
1345121	4596	1997-07-31	VYDAJ	VYBER	15	58173	SLUZBY	\N	\N
1345122	4596	1997-08-31	VYDAJ	VYBER	15	55155	SLUZBY	\N	\N
1345123	4596	1997-09-30	VYDAJ	VYBER	15	49967	SLUZBY	\N	\N
1345124	4596	1997-10-31	VYDAJ	VYBER	15	84266	SLUZBY	\N	\N
1345125	4596	1997-11-30	VYDAJ	VYBER	15	77010	SLUZBY	\N	\N
1345126	4596	1997-12-31	VYDAJ	VYBER	15	59668	SLUZBY	\N	\N
1345127	4596	1998-01-31	VYDAJ	VYBER	15	24596	SLUZBY	\N	\N
1345128	4596	1998-02-28	VYDAJ	VYBER	15	16769	SLUZBY	\N	\N
1345129	4596	1998-03-31	VYDAJ	VYBER	15	64151	SLUZBY	\N	\N
1345130	4596	1998-04-30	VYDAJ	VYBER	15	45892	SLUZBY	\N	\N
1345131	4596	1998-05-31	VYDAJ	VYBER	15	46164	SLUZBY	\N	\N
1345132	4596	1998-06-30	VYDAJ	VYBER	15	41938	SLUZBY	\N	\N
1345133	4596	1998-07-31	VYDAJ	VYBER	15	41893	SLUZBY	\N	\N
1345134	4596	1998-08-31	VYDAJ	VYBER	15	44749	SLUZBY	\N	\N
1345135	4596	1998-09-30	VYDAJ	VYBER	15	62319	SLUZBY	\N	\N
1345136	4596	1998-10-31	VYDAJ	VYBER	15	46631	SLUZBY	\N	\N
1345137	4596	1998-11-30	VYDAJ	VYBER	15	18533	SLUZBY	\N	\N
1345138	4596	1993-04-08	PRIJEM	VKLAD	12200	12900	\N	\N	\N
1345139	4596	1993-05-08	PRIJEM	VKLAD	4800	17700	\N	\N	\N
1345140	4596	1993-06-07	VYDAJ	VYBER	19000	39286	\N	\N	\N
1345141	4596	1993-06-17	VYDAJ	VYBER	24800	97295	\N	\N	\N
1345142	4596	1993-07-07	VYDAJ	VYBER	42300	64178	\N	\N	\N
1345143	4596	1993-07-17	VYDAJ	VYBER	27200	81481	\N	\N	\N
1345144	4596	1993-08-06	VYDAJ	VYBER	29000	52866	\N	\N	\N
1345145	4596	1993-09-05	VYDAJ	VYBER	10300	37076	\N	\N	\N
1345146	4596	1993-10-05	VYDAJ	VYBER	9300	32565	\N	\N	\N
1345147	4596	1993-11-04	VYDAJ	VYBER	14900	44293	\N	\N	\N
1345148	4596	1993-12-04	PRIJEM	VKLAD	8000	17925	\N	\N	\N
1345149	4596	1994-01-03	VYDAJ	VYBER	6400	30564	\N	\N	\N
1345150	4596	1994-02-02	VYDAJ	VYBER	7000	31444	\N	\N	\N
1345151	4596	1994-03-04	VYDAJ	VYBER	500	27319	\N	\N	\N
1345152	4596	1994-04-03	VYDAJ	VYBER	500	26920	\N	\N	\N
1345153	4596	1994-05-03	PRIJEM	VKLAD	7800	21426	\N	\N	\N
1345154	4596	1994-06-02	PRIJEM	VKLAD	8700	17565	\N	\N	\N
1345155	4596	1994-07-02	PRIJEM	VKLAD	14500	12865	\N	\N	\N
1345156	4596	1994-08-01	PRIJEM	VKLAD	16200	41758	\N	\N	\N
1345157	4596	1994-08-31	PRIJEM	VKLAD	13000	16653	\N	\N	\N
1345158	4596	1994-09-30	VYDAJ	VYBER	16400	44333	\N	\N	\N
1345159	4596	1994-10-30	PRIJEM	VKLAD	1800	28319	\N	\N	\N
1345160	4596	1994-11-29	PRIJEM	VKLAD	6100	24665	\N	\N	\N
1345161	4596	1994-12-29	PRIJEM	VKLAD	10900	17633	\N	\N	\N
1345162	4596	1995-01-28	PRIJEM	VKLAD	14900	13099	\N	\N	\N
1345163	4596	1995-02-27	PRIJEM	VKLAD	16700	18094	\N	\N	\N
1345164	4596	1995-03-29	PRIJEM	VKLAD	5300	23435	\N	\N	\N
1345165	4596	1995-04-28	PRIJEM	VKLAD	4700	28196	\N	\N	\N
1345166	4596	1995-05-28	VYDAJ	VYBER	16600	42376	\N	\N	\N
1345167	4596	1995-06-27	PRIJEM	VKLAD	900	29284	\N	\N	\N
1345168	4596	1995-07-27	PRIJEM	VKLAD	3000	32386	\N	\N	\N
1345169	4596	1995-08-26	PRIJEM	VKLAD	11400	23798	\N	\N	\N
1345170	4596	1995-09-25	PRIJEM	VKLAD	8300	23798	\N	\N	\N
1345171	4596	1995-10-25	PRIJEM	VKLAD	6100	29948	\N	\N	\N
1345172	4596	1995-11-24	PRIJEM	VKLAD	2200	32233	\N	\N	\N
1345173	4596	1995-12-24	PRIJEM	VKLAD	8000	28942	\N	\N	\N
1345174	4596	1996-01-23	PRIJEM	VKLAD	16000	28057	\N	\N	\N
1345175	4596	1996-02-22	PRIJEM	VKLAD	16400	28737	\N	\N	\N
1345176	4596	1996-03-23	PRIJEM	VKLAD	6600	32427	\N	\N	\N
1345177	4596	1996-04-22	PRIJEM	VKLAD	2400	34947	\N	\N	\N
1345178	4596	1996-05-22	VYDAJ	VYBER	700	34367	\N	\N	\N
1345179	4596	1996-06-21	VYDAJ	VYBER	2700	35664	\N	\N	\N
1345180	4596	1996-07-21	VYDAJ	VYBER	25900	61017	\N	\N	\N
1345181	4596	1996-08-10	VYDAJ	VYBER	18800	109592	\N	\N	\N
1345182	4596	1996-08-20	VYDAJ	VYBER	27500	71892	\N	\N	\N
1345183	4596	1996-09-19	VYDAJ	VYBER	14500	57752	\N	\N	\N
1345184	4596	1996-10-19	VYDAJ	VYBER	22000	67905	\N	\N	\N
1345185	4596	1996-11-18	VYDAJ	VYBER	10900	53947	\N	\N	\N
1345186	4596	1996-12-18	VYDAJ	VYBER	17900	57406	\N	\N	\N
1345187	4596	1997-01-17	VYDAJ	VYBER	10500	55939	\N	\N	\N
1345188	4596	1997-02-16	VYDAJ	VYBER	21500	84687	\N	\N	\N
1345189	4596	1997-02-16	VYDAJ	VYBER	19600	65087	\N	\N	\N
1345190	4596	1997-02-20	VYDAJ	VYBER	22200	131204	\N	\N	\N
1345191	4596	1997-02-27	VYDAJ	VYBER	53200	93166	\N	\N	\N
1345192	4596	1997-03-06	VYDAJ	VYBER	29400	101175	\N	\N	\N
1345193	4596	1997-03-07	VYDAJ	VYBER	43700	85732	\N	\N	\N
1345194	4596	1997-03-18	VYDAJ	VYBER	21600	64132	\N	\N	\N
1345195	4596	1997-04-17	VYDAJ	VYBER	9400	55039	\N	\N	\N
1345196	4596	1997-05-17	VYDAJ	VYBER	16600	64925	\N	\N	\N
1345197	4596	1997-06-10	VYDAJ	VYBER	21300	104369	\N	\N	\N
1345198	4596	1997-06-16	VYDAJ	VYBER	27500	76869	\N	\N	\N
1345199	4596	1997-07-16	VYDAJ	VYBER	18200	68796	\N	\N	\N
1345200	4596	1997-07-21	VYDAJ	VYBER	54600	57871	\N	\N	\N
1345201	4596	1997-08-15	VYDAJ	VYBER	21900	69619	\N	\N	\N
1345202	4596	1997-09-14	VYDAJ	VYBER	5400	49755	\N	\N	\N
1345203	4596	1997-10-14	VYDAJ	VYBER	3600	46367	\N	\N	\N
1345204	4596	1997-11-13	VYDAJ	VYBER	28600	76695	\N	\N	\N
1345205	4596	1997-12-13	VYDAJ	VYBER	14000	59410	\N	\N	\N
1345206	4596	1998-01-12	VYDAJ	VYBER	16000	59865	\N	\N	\N
1345207	4596	1998-02-11	PRIJEM	VKLAD	12800	37396	\N	\N	\N
1345208	4596	1998-03-13	PRIJEM	VKLAD	17000	33769	\N	\N	\N
1345209	4596	1998-04-12	VYDAJ	VYBER	11600	52551	\N	\N	\N
1345210	4596	1998-05-12	PRIJEM	VKLAD	100	45992	\N	\N	\N
1345211	4596	1998-06-11	VYDAJ	VYBER	4400	41764	\N	\N	\N
1345212	4596	1998-07-11	VYDAJ	VYBER	200	41738	\N	\N	\N
1345213	4596	1998-08-10	PRIJEM	VKLAD	2700	44593	\N	\N	\N
1345214	4596	1998-09-09	VYDAJ	VYBER	20900	62098	\N	\N	\N
1345215	4596	1998-10-09	VYDAJ	VYBER	10800	51519	\N	\N	\N
1345216	4596	1998-11-08	VYDAJ	VYBER	5700	40931	\N	\N	\N
1345217	4596	1998-12-08	PRIJEM	VKLAD	7700	26233	\N	\N	\N
1352315	4616	1997-09-24	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1352320	4616	1997-12-24	PRIJEM	VKLAD	32030	89318	\N	\N	\N
1352321	4616	1997-12-14	PRIJEM	VKLAD	11198	59183	\N	\N	\N
1352324	4616	1997-12-15	PRIJEM	VKLAD	18405	77588	\N	\N	\N
1352332	4616	1997-10-27	PRIJEM	VKLAD	22192	35892	\N	\N	\N
1352338	4616	1997-11-02	PRIJEM	VKLAD	22606	58522	\N	\N	\N
1352340	4616	1998-11-12	PRIJEM	VKLAD	33097	110872	\N	\N	\N
1352341	4616	1998-11-26	PRIJEM	VKLAD	18954	103830	\N	\N	\N
1352342	4616	1998-11-17	PRIJEM	VKLAD	6155	101878	\N	\N	\N
1352343	4616	1998-09-15	PRIJEM	VKLAD	43854	138935	\N	\N	\N
1352344	4616	1998-03-03	PRIJEM	VKLAD	26722	68491	\N	\N	\N
1352345	4616	1998-12-02	PRIJEM	VKLAD	17170	163270	\N	\N	\N
1352346	4616	1998-09-01	PRIJEM	VKLAD	40410	139020	\N	\N	\N
1352347	4616	1998-08-14	PRIJEM	VKLAD	40010	99943	\N	\N	\N
1352348	4616	1998-08-27	PRIJEM	VKLAD	17832	98275	\N	\N	\N
1352349	4616	1998-11-13	PRIJEM	VKLAD	33530	95723	\N	\N	\N
1352350	4616	1998-05-15	PRIJEM	VKLAD	19998	92702	\N	\N	\N
1352351	4616	1998-07-03	PRIJEM	VKLAD	12442	67956	\N	\N	\N
1352352	4616	1998-12-02	PRIJEM	VKLAD	49955	146100	\N	\N	\N
1352353	4616	1998-02-17	PRIJEM	VKLAD	9785	57663	\N	\N	\N
1352354	4616	1998-06-05	PRIJEM	VKLAD	5674	109214	\N	\N	\N
1352355	4616	1998-05-28	PRIJEM	VKLAD	12938	103155	\N	\N	\N
1352356	4616	1998-05-25	PRIJEM	VKLAD	49196	131117	\N	\N	\N
1352357	4616	1998-07-17	PRIJEM	VKLAD	45888	98806	\N	\N	\N
1352358	4616	1998-05-17	PRIJEM	VKLAD	42019	134721	\N	\N	\N
1352359	4616	1998-01-29	PRIJEM	VKLAD	37743	62685	\N	\N	\N
1352360	4616	1998-10-31	PRIJEM	VKLAD	26739	92449	\N	\N	\N
1352361	4616	1998-11-22	PRIJEM	VKLAD	17498	92376	\N	\N	\N
1352362	4616	1998-04-25	PRIJEM	VKLAD	44944	87550	\N	\N	\N
1352363	4616	1998-06-23	PRIJEM	VKLAD	5051	55186	\N	\N	\N
1352364	4616	1998-10-24	PRIJEM	VKLAD	11348	65440	\N	\N	\N
1352365	4616	1998-06-06	PRIJEM	VKLAD	48472	126686	\N	\N	\N
1352366	4616	1998-06-07	PRIJEM	VKLAD	49188	118774	\N	\N	\N
1352379	4616	1998-01-12	VYDAJ	PREVOD NA UCET	2779	64642	UVER	GH	74167519
1352380	4616	1998-02-12	VYDAJ	PREVOD NA UCET	2779	47878	UVER	GH	74167519
1352381	4616	1998-03-12	VYDAJ	PREVOD NA UCET	2779	53452	UVER	GH	74167519
1352382	4616	1998-04-12	VYDAJ	PREVOD NA UCET	2779	32106	UVER	GH	74167519
1352383	4616	1998-05-12	VYDAJ	PREVOD NA UCET	2779	72704	UVER	GH	74167519
1352384	4616	1998-06-12	VYDAJ	PREVOD NA UCET	2779	77535	UVER	GH	74167519
1352385	4616	1998-07-12	VYDAJ	PREVOD NA UCET	2779	52918	UVER	GH	74167519
1352386	4616	1998-08-12	VYDAJ	PREVOD NA UCET	2779	59933	UVER	GH	74167519
1352387	4616	1998-09-12	VYDAJ	PREVOD NA UCET	2779	95081	UVER	GH	74167519
1352388	4616	1998-10-12	VYDAJ	PREVOD NA UCET	2779	59292	UVER	GH	74167519
1352389	4616	1998-11-12	VYDAJ	PREVOD NA UCET	2779	62193	UVER	GH	74167519
1352390	4616	1998-12-12	VYDAJ	PREVOD NA UCET	2779	63132	UVER	GH	74167519
1352403	4616	1998-01-07	VYDAJ	PREVOD NA UCET	12260	67421	SIPO	WX	88828020
1352404	4616	1998-02-07	VYDAJ	PREVOD NA UCET	12260	50656	SIPO	WX	88828020
1352405	4616	1998-03-07	VYDAJ	PREVOD NA UCET	12260	56231	SIPO	WX	88828020
1352406	4616	1998-04-07	VYDAJ	PREVOD NA UCET	12260	34885	SIPO	WX	88828020
1352407	4616	1998-05-07	VYDAJ	PREVOD NA UCET	12260	75483	SIPO	WX	88828020
1352408	4616	1998-06-07	VYDAJ	PREVOD NA UCET	12260	106514	SIPO	WX	88828020
1352409	4616	1998-07-07	VYDAJ	PREVOD NA UCET	12260	55696	SIPO	WX	88828020
1352410	4616	1998-08-07	VYDAJ	PREVOD NA UCET	12260	62712	SIPO	WX	88828020
1352411	4616	1998-09-07	VYDAJ	PREVOD NA UCET	12260	97860	SIPO	WX	88828020
1352412	4616	1998-10-07	VYDAJ	PREVOD NA UCET	12260	62071	SIPO	WX	88828020
1352413	4616	1998-11-07	VYDAJ	PREVOD NA UCET	12260	77775	SIPO	WX	88828020
1352414	4616	1998-12-07	VYDAJ	PREVOD NA UCET	12260	65910	SIPO	WX	88828020
1352423	4616	1998-11-28	VYBER	VYBER	5946	97884	\N	\N	\N
1352425	4616	1998-06-22	VYDAJ	VYBER	13800	50135	\N	\N	\N
1352427	4616	1998-01-12	VYDAJ	VYBER	4200	60442	\N	\N	\N
1352429	4616	1998-12-01	VYDAJ	VYBER KARTOU	2100	96145	\N	\N	0
1352436	4616	1998-01-26	VYDAJ	VYBER	8400	34242	\N	\N	\N
1352437	4616	1998-01-01	VYDAJ	VYBER	6300	83281	\N	\N	\N
1352438	4616	1998-01-14	VYDAJ	VYBER	1500	50842	\N	\N	\N
1352439	4616	1998-01-13	VYDAJ	VYBER	6600	53842	\N	\N	\N
1352440	4616	1998-01-05	VYDAJ	VYBER	3600	79681	\N	\N	\N
1352441	4616	1998-01-14	VYDAJ	VYBER	1500	52342	\N	\N	\N
1352447	4616	1998-01-27	VYDAJ	VYBER	9300	24942	\N	\N	\N
1352448	4616	1998-02-20	VYDAJ	VYBER	11700	45963	\N	\N	\N
1352449	4616	1998-11-07	VYDAJ	VYBER KARTOU	2400	90035	\N	\N	0
1352450	4616	1998-11-22	VYDAJ	VYBER	7500	84876	\N	\N	\N
1352451	4616	1998-10-06	VYDAJ	VYBER	6300	74331	\N	\N	\N
1352452	4616	1998-10-16	VYDAJ	VYBER	5400	53892	\N	\N	\N
1352465	4616	1997-12-31	VYDAJ	VYBER	15	89581	SLUZBY	\N	\N
1352466	4616	1998-01-31	VYDAJ	VYBER	15	62916	SLUZBY	\N	\N
1352467	4616	1998-02-28	VYDAJ	VYBER	15	41769	SLUZBY	\N	\N
1352468	4616	1998-03-31	VYDAJ	VYBER	15	47145	SLUZBY	\N	\N
1352469	4616	1998-04-30	VYDAJ	VYBER	15	87743	SLUZBY	\N	\N
1352470	4616	1998-05-31	VYDAJ	VYBER	15	103540	SLUZBY	\N	\N
1352471	4616	1998-06-30	VYDAJ	VYBER	15	55514	SLUZBY	\N	\N
1352472	4616	1998-07-31	VYDAJ	VYBER	15	74972	SLUZBY	\N	\N
1352473	4616	1998-08-31	VYDAJ	VYBER	15	98610	SLUZBY	\N	\N
1352474	4616	1998-09-30	VYDAJ	VYBER	15	80631	SLUZBY	\N	\N
1352475	4616	1998-10-31	VYDAJ	VYBER	15	92435	SLUZBY	\N	\N
1352476	4616	1998-11-30	VYDAJ	VYBER	15	98245	SLUZBY	\N	\N
1352477	4616	1997-10-24	PRIJEM	VKLAD	12700	13700	\N	\N	\N
1352478	4616	1997-11-23	VYDAJ	VYBER	10700	47822	\N	\N	\N
1352479	4616	1997-12-23	VYDAJ	VYBER	20300	57288	\N	\N	\N
1352480	4616	1998-01-22	VYDAJ	VYBER	8200	42642	\N	\N	\N
1352481	4616	1998-02-21	VYDAJ	VYBER	4400	41563	\N	\N	\N
1352482	4616	1998-03-23	VYDAJ	VYBER	6500	46952	\N	\N	\N
1352483	4616	1998-04-22	PRIJEM	VKLAD	10500	42606	\N	\N	\N
1352484	4616	1998-05-17	VYDAJ	VYBER	22700	112021	\N	\N	\N
1352485	4616	1998-05-22	VYDAJ	VYBER	30100	81921	\N	\N	\N
1352486	4616	1998-05-25	VYDAJ	VYBER	40900	90217	\N	\N	\N
1352487	4616	1998-06-05	VYDAJ	VYBER	31000	78214	\N	\N	\N
1352488	4616	1998-06-06	VYDAJ	VYBER	57100	69586	\N	\N	\N
1352489	4616	1998-06-07	VYDAJ	VYBER	26200	80314	\N	\N	\N
1352490	4616	1998-06-21	VYDAJ	VYBER	13600	63935	\N	\N	\N
1352491	4616	1998-07-21	VYDAJ	VYBER	24100	74706	\N	\N	\N
1352492	4616	1998-08-20	VYDAJ	VYBER	19500	80443	\N	\N	\N
1352493	4616	1998-09-01	VYDAJ	VYBER	28900	110120	\N	\N	\N
1352494	4616	1998-09-15	VYDAJ	VYBER	39900	99035	\N	\N	\N
1352495	4616	1998-09-19	VYDAJ	VYBER	18800	80235	\N	\N	\N
1352496	4616	1998-10-19	PRIJEM	VKLAD	200	54092	\N	\N	\N
1352497	4616	1998-11-12	VYDAJ	VYBER	45900	64972	\N	\N	\N
1352498	4616	1998-11-18	VYDAJ	VYBER	27000	74878	\N	\N	\N
1352499	4616	1998-12-02	VYDAJ	VYBER	33100	130170	\N	\N	\N
1352500	4616	1998-12-02	VYDAJ	VYBER	52000	78170	\N	\N	\N
1352952	4618	1996-07-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1352953	4618	1996-12-14	PRIJEM	VKLAD	10073	69218	\N	\N	\N
1352957	4618	1996-12-28	PRIJEM	VKLAD	29169	92315	\N	\N	\N
1352958	4618	1996-12-09	PRIJEM	VKLAD	28371	78160	\N	\N	\N
1352959	4618	1996-12-18	PRIJEM	VKLAD	32628	97646	\N	\N	\N
1352963	4618	1996-10-09	PRIJEM	VKLAD	47553	74574	\N	\N	\N
1352965	4618	1996-11-08	PRIJEM	VKLAD	27253	77470	\N	\N	\N
1352966	4618	1996-12-11	PRIJEM	VKLAD	37585	115745	\N	\N	\N
1352968	4618	1996-08-27	PRIJEM	VKLAD	8410	22910	\N	\N	\N
1352970	4618	1996-11-15	PRIJEM	VKLAD	20664	98134	\N	\N	\N
1352972	4618	1997-09-10	PRIJEM	VKLAD	29547	21633	\N	\N	\N
1352973	4618	1997-03-26	PRIJEM	VKLAD	41299	52951	\N	\N	\N
1352974	4618	1998-07-18	PRIJEM	VKLAD	38024	37470	\N	\N	\N
1352975	4618	1998-03-08	PRIJEM	VKLAD	36280	37866	\N	\N	\N
1352976	4618	1998-09-13	PRIJEM	VKLAD	42744	59037	\N	\N	\N
1352977	4618	1998-10-25	PRIJEM	VKLAD	7859	17132	\N	\N	\N
1352978	4618	1998-06-11	PRIJEM	VKLAD	48810	48759	\N	\N	\N
1352979	4618	1998-11-20	PRIJEM	VKLAD	34086	35363	\N	\N	\N
1352980	4618	1998-08-11	PRIJEM	VKLAD	29549	56038	\N	\N	\N
1352981	4618	1998-02-02	PRIJEM	VKLAD	38036	37566	\N	\N	\N
1352982	4618	1998-07-20	PRIJEM	VKLAD	40775	78245	\N	\N	\N
1352983	4618	1998-08-15	PRIJEM	VKLAD	10154	63414	\N	\N	\N
1352995	4618	1996-12-07	VYDAJ	VYBER	3400	49789	\N	\N	0
1352996	4618	1997-01-08	VYDAJ	VYBER	4100	75583	\N	\N	0
1352997	4618	1997-02-13	VYDAJ	VYBER	2200	19463	\N	\N	0
1352998	4618	1997-03-09	VYDAJ	VYBER	3100	12552	\N	\N	0
1352999	4618	1997-04-12	VYDAJ	PREVOD NA UCET	2779	36553	UVER	WX	54633820
1353000	4618	1997-05-12	VYDAJ	PREVOD NA UCET	2779	8831	UVER	WX	54633820
1353001	4618	1997-06-12	VYDAJ	PREVOD NA UCET	2779	-5046	UVER	WX	54633820
1353002	4618	1997-07-12	VYDAJ	PREVOD NA UCET	2779	-7841	UVER	WX	54633820
1353004	4618	1997-09-12	VYDAJ	PREVOD NA UCET	2779	18854	UVER	WX	54633820
1353009	4618	1998-02-12	VYDAJ	PREVOD NA UCET	2779	1588	UVER	WX	54633820
1353010	4618	1998-03-12	VYDAJ	PREVOD NA UCET	2779	35087	UVER	WX	54633820
1353011	4618	1998-04-12	VYDAJ	PREVOD NA UCET	2779	11849	UVER	WX	54633820
1353013	4618	1998-06-12	VYDAJ	PREVOD NA UCET	2779	24980	UVER	WX	54633820
1353014	4618	1998-07-12	VYDAJ	PREVOD NA UCET	2779	-554	UVER	WX	54633820
1353015	4618	1998-08-12	VYDAJ	PREVOD NA UCET	2779	53260	UVER	WX	54633820
1353016	4618	1998-09-12	VYDAJ	PREVOD NA UCET	2779	16293	UVER	WX	54633820
1353017	4618	1998-10-12	VYDAJ	PREVOD NA UCET	2779	23173	UVER	WX	54633820
1353018	4618	1998-11-12	VYDAJ	PREVOD NA UCET	2779	1277	UVER	WX	54633820
1353019	4618	1998-12-12	VYDAJ	PREVOD NA UCET	2779	-5848	UVER	WX	54633820
1353031	4618	1996-12-05	VYDAJ	VYBER	11800	53189	SIPO	\N	0
1353032	4618	1997-01-19	VYDAJ	VYBER	12000	21483	SIPO	\N	0
1353033	4618	1997-02-16	VYDAJ	VYBER	14200	15563	SIPO	\N	0
1353034	4618	1997-03-21	VYDAJ	VYBER	11600	11652	SIPO	\N	0
1353035	4618	1997-04-09	VYDAJ	VYBER	13700	39332	SIPO	\N	0
1353036	4618	1997-05-18	VYDAJ	VYBER	11100	-2269	SIPO	\N	0
1353038	4618	1997-07-11	VYDAJ	VYBER	9300	-5063	SIPO	\N	0
1353040	4618	1997-09-13	VYDAJ	VYBER	9800	9054	SIPO	\N	0
1353041	4618	1997-10-12	VYDAJ	VYBER	9400	-443	SIPO	\N	0
1353045	4618	1998-02-08	VYDAJ	VYBER	12900	24666	SIPO	\N	0
1353046	4618	1998-03-19	VYDAJ	VYBER	12200	14587	SIPO	\N	0
1353047	4618	1998-04-15	VYDAJ	VYBER	11900	-51	SIPO	\N	0
1353049	4618	1998-06-20	VYDAJ	VYBER	9500	15480	SIPO	\N	0
1353050	4618	1998-07-09	VYDAJ	VYBER	13300	2225	SIPO	\N	0
1353051	4618	1998-08-09	VYDAJ	VYBER	10400	67989	SIPO	\N	0
1353052	4618	1998-09-07	VYDAJ	VYBER	10100	53572	SIPO	\N	0
1353053	4618	1998-10-21	VYDAJ	VYBER	13900	9273	SIPO	\N	0
1353054	4618	1998-11-11	VYDAJ	VYBER	13200	4055	SIPO	\N	0
1353055	4618	1998-12-04	VYDAJ	VYBER	11600	23830	SIPO	\N	0
1353069	4618	1997-04-13	VYBER	VYBER	22046	14507	\N	\N	\N
1353080	4618	1997-01-10	VYDAJ	VYBER	19200	56383	\N	\N	\N
1353082	4618	1996-12-14	VYDAJ	VYBER	4200	65018	\N	\N	\N
1353092	4618	1997-01-01	VYDAJ	VYBER	6600	85983	\N	\N	\N
1353093	4618	1997-01-08	VYDAJ	VYBER	2400	79683	\N	\N	\N
1353094	4618	1997-01-05	VYDAJ	VYBER	3900	82083	\N	\N	\N
1353095	4618	1997-01-17	VYDAJ	VYBER	8400	33483	\N	\N	\N
1353096	4618	1997-01-14	VYDAJ	VYBER	6600	37183	\N	\N	\N
1353107	4618	1997-01-13	VYDAJ	VYBER	12600	43783	\N	\N	\N
1353116	4618	1998-12-08	VYDAJ	VYBER	13200	10630	\N	\N	\N
1353129	4618	1996-12-31	VYDAJ	VYBER	15	92583	SLUZBY	\N	\N
1353130	4618	1997-01-31	VYDAJ	VYBER	15	21663	SLUZBY	\N	\N
1353131	4618	1997-02-28	VYDAJ	VYBER	15	15652	SLUZBY	\N	\N
1353132	4618	1997-03-31	VYDAJ	VYBER	15	53032	SLUZBY	\N	\N
1353133	4618	1997-04-30	VYDAJ	VYBER	15	11609	SLUZBY	\N	\N
1353134	4618	1997-05-31	VYDAJ	VYBER	15	-2257	SLUZBY	\N	\N
1353135	4618	1997-06-30	VYDAJ	VYBER	15	4237	SLUZBY	\N	\N
1353136	4618	1997-07-31	VYDAJ	VYBER	15	-7899	SLUZBY	\N	\N
1353137	4618	1997-08-31	VYDAJ	VYBER	15	-7914	SLUZBY	\N	\N
1353138	4618	1997-09-30	VYDAJ	VYBER	15	9065	SLUZBY	\N	\N
1353139	4618	1997-10-31	VYDAJ	VYBER	15	-421	SLUZBY	\N	\N
1353140	4618	1997-11-30	VYDAJ	VYBER	15	-438	SLUZBY	\N	\N
1353141	4618	1997-12-31	VYDAJ	VYBER	15	-455	SLUZBY	\N	\N
1353142	4618	1998-01-31	VYDAJ	VYBER	15	-470	SLUZBY	\N	\N
1353143	4618	1998-02-28	VYDAJ	VYBER	15	1587	SLUZBY	\N	\N
1353144	4618	1998-03-31	VYDAJ	VYBER	15	14628	SLUZBY	\N	\N
1353145	4618	1998-04-30	VYDAJ	VYBER	15	-37	SLUZBY	\N	\N
1353146	4618	1998-05-31	VYDAJ	VYBER	15	-51	SLUZBY	\N	\N
1353147	4618	1998-06-30	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
1353148	4618	1998-07-31	VYDAJ	VYBER	15	78389	SLUZBY	\N	\N
1353149	4618	1998-08-31	VYDAJ	VYBER	15	63672	SLUZBY	\N	\N
1353150	4618	1998-09-30	VYDAJ	VYBER	15	59252	SLUZBY	\N	\N
1353151	4618	1998-10-31	VYDAJ	VYBER	15	17255	SLUZBY	\N	\N
1353152	4618	1998-11-30	VYDAJ	VYBER	15	35430	SLUZBY	\N	\N
1353153	4618	1996-08-20	PRIJEM	VKLAD	13400	14500	\N	\N	\N
1353154	4618	1996-09-19	PRIJEM	VKLAD	4000	26925	\N	\N	\N
1353155	4618	1996-10-19	VYDAJ	VYBER	24500	50074	\N	\N	\N
1353156	4618	1996-11-18	VYDAJ	VYBER	33400	64734	\N	\N	\N
1353157	4618	1996-12-11	VYDAJ	VYBER	56600	59145	\N	\N	\N
1353158	4618	1996-12-18	VYDAJ	VYBER	34500	63146	\N	\N	\N
1353159	4618	1997-01-17	PRIJEM	VKLAD	4700	41883	\N	\N	\N
1353160	4618	1997-02-16	PRIJEM	VKLAD	10300	29763	\N	\N	\N
1353161	4618	1997-03-18	PRIJEM	VKLAD	10700	23252	\N	\N	\N
1353162	4618	1997-04-17	VYDAJ	VYBER	3000	11507	\N	\N	\N
1353163	4618	1997-06-16	PRIJEM	VKLAD	9300	4254	\N	\N	\N
1353164	4618	1998-02-11	VYDAJ	VYBER	20300	4366	\N	\N	\N
1353165	4618	1998-03-13	VYDAJ	VYBER	8300	26787	\N	\N	\N
1353166	4618	1998-06-11	VYDAJ	VYBER	21000	27759	\N	\N	\N
1353167	4618	1998-08-10	VYDAJ	VYBER	41500	26489	\N	\N	\N
1353168	4618	1998-09-09	VYDAJ	VYBER	34500	19072	\N	\N	\N
1353169	4618	1998-10-09	VYDAJ	VYBER	33300	25952	\N	\N	\N
1353170	4618	1998-12-08	VYDAJ	VYBER	13700	-3070	\N	\N	\N
1355295	4626	1996-06-15	PRIJEM	VKLAD	700	700	\N	\N	\N
1355297	4626	1996-10-18	PRIJEM	VKLAD	17719	37894	\N	\N	\N
1355301	4626	1996-08-28	PRIJEM	VKLAD	16480	67438	\N	\N	\N
1355303	4626	1996-10-25	PRIJEM	VKLAD	32075	69969	\N	\N	\N
1355305	4626	1996-11-20	PRIJEM	VKLAD	33361	102120	\N	\N	\N
1355307	4626	1996-10-28	PRIJEM	VKLAD	29459	99428	\N	\N	\N
1355308	4626	1996-08-11	PRIJEM	VKLAD	31918	59360	\N	\N	\N
1355312	4626	1996-07-08	PRIJEM	VKLAD	9990	10690	\N	\N	\N
1355313	4626	1996-11-16	PRIJEM	VKLAD	25241	79326	\N	\N	\N
1355316	4626	1996-08-13	PRIJEM	VKLAD	21998	81358	\N	\N	\N
1355319	4626	1996-07-28	PRIJEM	VKLAD	10207	27397	\N	\N	\N
1355321	4626	1996-12-30	PRIJEM	VKLAD	49787	69551	\N	\N	\N
1355322	4626	1997-12-17	PRIJEM	VKLAD	47740	55535	\N	\N	\N
1355323	4626	1997-09-15	PRIJEM	VKLAD	13002	15882	\N	\N	\N
1355324	4626	1997-12-22	PRIJEM	VKLAD	40461	80430	\N	\N	\N
1355325	4626	1997-02-04	PRIJEM	VKLAD	41031	63064	\N	\N	\N
1355326	4626	1997-11-06	PRIJEM	VKLAD	9561	24985	\N	\N	\N
1355327	4626	1997-05-10	PRIJEM	VKLAD	49471	62176	\N	\N	\N
1355328	4626	1997-10-08	PRIJEM	VKLAD	9434	25348	\N	\N	\N
1355329	4626	1998-12-10	PRIJEM	VKLAD	40510	63300	\N	\N	\N
1355330	4626	1998-08-29	PRIJEM	VKLAD	7707	59170	\N	\N	\N
1355331	4626	1998-01-29	PRIJEM	VKLAD	47001	80053	\N	\N	\N
1355332	4626	1998-11-13	PRIJEM	VKLAD	13853	71141	\N	\N	\N
1355333	4626	1998-10-23	PRIJEM	VKLAD	36856	73724	\N	\N	\N
1355334	4626	1998-03-30	PRIJEM	VKLAD	8434	49979	\N	\N	\N
1355335	4626	1998-02-19	PRIJEM	VKLAD	41102	112215	\N	\N	\N
1355336	4626	1998-11-06	PRIJEM	VKLAD	28827	57288	\N	\N	\N
1355337	4626	1998-10-23	PRIJEM	VKLAD	19268	36868	\N	\N	\N
1355338	4626	1998-08-31	PRIJEM	VKLAD	8922	68092	\N	\N	\N
1355339	4626	1998-09-11	PRIJEM	VKLAD	34464	53682	\N	\N	\N
1355340	4626	1998-07-06	PRIJEM	VKLAD	49815	66085	\N	\N	\N
1355341	4626	1998-04-25	PRIJEM	VKLAD	34704	79955	\N	\N	\N
1355342	4626	1998-04-06	PRIJEM	VKLAD	26772	98206	\N	\N	\N
1355343	4626	1998-09-12	PRIJEM	VKLAD	5489	59171	\N	\N	\N
1355344	4626	1998-04-23	PRIJEM	VKLAD	17423	45251	\N	\N	\N
1355345	4626	1998-06-15	PRIJEM	VKLAD	43633	64107	\N	\N	\N
1355346	4626	1998-03-31	PRIJEM	VKLAD	21224	71203	\N	\N	\N
1355347	4626	1998-02-06	PRIJEM	VKLAD	37343	73892	\N	\N	\N
1355348	4626	1998-11-03	PRIJEM	VKLAD	5151	28461	\N	\N	\N
1355349	4626	1998-08-19	PRIJEM	VKLAD	32544	51463	\N	\N	\N
1355350	4626	1998-03-24	PRIJEM	VKLAD	5660	41545	\N	\N	\N
1355359	4626	1996-09-14	VYDAJ	VYBER	2800	41610	\N	\N	0
1355360	4626	1996-10-13	VYDAJ	VYBER	2500	20175	\N	\N	0
1355361	4626	1996-11-09	VYDAJ	VYBER	2800	96785	\N	\N	0
1355362	4626	1996-12-13	VYDAJ	VYBER	2900	44257	\N	\N	0
1355363	4626	1996-12-27	VYDAJ	VYBER	2800	19764	\N	\N	0
1355364	4626	1997-02-13	VYDAJ	VYBER	3100	32464	\N	\N	0
1355365	4626	1997-03-01	VYDAJ	VYBER	3000	29572	\N	\N	0
1355366	4626	1997-04-12	VYDAJ	VYBER	3800	12657	\N	\N	0
1355367	4626	1997-05-14	VYDAJ	VYBER	3000	32676	\N	\N	0
1355368	4626	1997-06-17	VYDAJ	VYBER	2500	17172	\N	\N	0
1355369	4626	1997-07-12	VYDAJ	PREVOD NA UCET	2779	8385	UVER	IJ	69861972
1355370	4626	1997-08-12	VYDAJ	PREVOD NA UCET	2779	5639	UVER	IJ	69861972
1355371	4626	1997-09-12	VYDAJ	PREVOD NA UCET	2779	2880	UVER	IJ	69861972
1355372	4626	1997-10-12	VYDAJ	PREVOD NA UCET	2779	15369	UVER	IJ	69861972
1355373	4626	1997-11-12	VYDAJ	PREVOD NA UCET	2779	22207	UVER	IJ	69861972
1355374	4626	1997-12-12	VYDAJ	PREVOD NA UCET	2779	7795	UVER	IJ	69861972
1355375	4626	1998-01-12	VYDAJ	PREVOD NA UCET	2779	33052	UVER	IJ	69861972
1355376	4626	1998-02-12	VYDAJ	PREVOD NA UCET	2779	71113	UVER	IJ	69861972
1355377	4626	1998-03-12	VYDAJ	PREVOD NA UCET	2779	35885	UVER	IJ	69861972
1355378	4626	1998-04-12	VYDAJ	PREVOD NA UCET	2779	41928	UVER	IJ	69861972
1355379	4626	1998-05-12	VYDAJ	PREVOD NA UCET	2779	35971	UVER	IJ	69861972
1355380	4626	1998-06-12	VYDAJ	PREVOD NA UCET	2779	20474	UVER	IJ	69861972
1355381	4626	1998-07-12	VYDAJ	VYBER	3400	62685	\N	\N	0
1355382	4626	1998-07-30	VYDAJ	VYBER	2600	60085	\N	\N	0
1355383	4626	1998-09-09	VYDAJ	VYBER	2800	19218	\N	\N	0
1355384	4626	1998-10-12	VYDAJ	VYBER	1900	17600	\N	\N	0
1355385	4626	1998-10-26	VYDAJ	VYBER	2100	71624	\N	\N	0
1355386	4626	1998-12-09	VYDAJ	VYBER	2400	22790	\N	\N	0
1355390	4626	1996-12-22	VYBER	VYBER	21693	22564	\N	\N	\N
1355392	4626	1996-11-18	VYBER	VYBER	10567	68759	\N	\N	\N
1355397	4626	1996-12-06	VYBER	VYBER	12628	81157	\N	\N	\N
1355400	4626	1996-09-15	VYBER	VYBER	17303	24307	\N	\N	\N
1355406	4626	1997-12-18	VYBER	VYBER	15566	39969	\N	\N	\N
1355408	4626	1997-12-29	VYBER	VYBER	10856	69574	\N	\N	\N
1355411	4626	1998-06-28	VYDAJ	VYBER	22800	41307	\N	\N	\N
1355413	4626	1997-01-14	VYDAJ	VYBER	16500	21872	\N	\N	\N
1355415	4626	1996-12-01	VYDAJ	VYBER	8700	93785	\N	\N	\N
1355427	4626	1997-10-08	VYDAJ	VYBER	7200	18148	\N	\N	\N
1355429	4626	1998-11-30	VYDAJ	VYBER	12000	59404	\N	\N	\N
1355430	4626	1998-04-13	VYDAJ	VYBER	14100	27828	\N	\N	\N
1355432	4626	1998-05-21	VYDAJ	VYBER	12900	23071	\N	\N	\N
1355433	4626	1998-12-17	VYDAJ	VYBER	3900	59400	\N	\N	\N
1355442	4626	1996-08-31	VYDAJ	VYBER	15	67610	SLUZBY	\N	\N
1355443	4626	1996-09-30	VYDAJ	VYBER	15	24475	SLUZBY	\N	\N
1355444	4626	1996-10-31	VYDAJ	VYBER	15	99585	SLUZBY	\N	\N
1355445	4626	1996-11-30	VYDAJ	VYBER	15	102485	SLUZBY	\N	\N
1355446	4626	1996-12-31	VYDAJ	VYBER	15	69772	SLUZBY	\N	\N
1355447	4626	1997-01-31	VYDAJ	VYBER	15	22033	SLUZBY	\N	\N
1355448	4626	1997-02-28	VYDAJ	VYBER	15	32572	SLUZBY	\N	\N
1355449	4626	1997-03-31	VYDAJ	VYBER	15	19357	SLUZBY	\N	\N
1355450	4626	1997-04-30	VYDAJ	VYBER	15	12705	SLUZBY	\N	\N
1355451	4626	1997-05-31	VYDAJ	VYBER	15	32772	SLUZBY	\N	\N
1355452	4626	1997-06-30	VYDAJ	VYBER	15	17263	SLUZBY	\N	\N
1355453	4626	1997-07-31	VYDAJ	VYBER	15	8418	SLUZBY	\N	\N
1355454	4626	1997-08-31	VYDAJ	VYBER	15	5659	SLUZBY	\N	\N
1355455	4626	1997-09-30	VYDAJ	VYBER	15	15914	SLUZBY	\N	\N
1355456	4626	1997-10-31	VYDAJ	VYBER	15	15424	SLUZBY	\N	\N
1355457	4626	1997-11-30	VYDAJ	VYBER	15	22274	SLUZBY	\N	\N
1355458	4626	1997-12-31	VYDAJ	VYBER	15	69730	SLUZBY	\N	\N
1355459	4626	1998-01-31	VYDAJ	VYBER	15	80249	SLUZBY	\N	\N
1355460	4626	1998-02-28	VYDAJ	VYBER	15	93464	SLUZBY	\N	\N
1355461	4626	1998-03-31	VYDAJ	VYBER	15	71434	SLUZBY	\N	\N
1355462	4626	1998-04-30	VYDAJ	VYBER	15	80150	SLUZBY	\N	\N
1355463	4626	1998-05-31	VYDAJ	VYBER	15	23253	SLUZBY	\N	\N
1355464	4626	1998-06-30	VYDAJ	VYBER	15	41470	SLUZBY	\N	\N
1355465	4626	1998-07-31	VYDAJ	VYBER	15	60319	SLUZBY	\N	\N
1355466	4626	1998-08-31	VYDAJ	VYBER	15	68318	SLUZBY	\N	\N
1355467	4626	1998-09-30	VYDAJ	VYBER	15	59400	SLUZBY	\N	\N
1355468	4626	1998-10-31	VYDAJ	VYBER	15	71810	SLUZBY	\N	\N
1355469	4626	1998-11-30	VYDAJ	VYBER	15	59390	SLUZBY	\N	\N
1355470	4626	1996-07-15	PRIJEM	VKLAD	6500	17190	\N	\N	\N
1355471	4626	1996-08-14	VYDAJ	VYBER	30400	50958	\N	\N	\N
1355472	4626	1996-09-13	VYDAJ	VYBER	23200	44410	\N	\N	\N
1355473	4626	1996-10-13	VYDAJ	VYBER	1800	22675	\N	\N	\N
1355474	4626	1996-11-12	VYDAJ	VYBER	42700	54085	\N	\N	\N
1355475	4626	1996-12-12	VYDAJ	VYBER	34000	47157	\N	\N	\N
1355476	4626	1997-01-11	VYDAJ	VYBER	31400	38372	\N	\N	\N
1355477	4626	1997-02-10	VYDAJ	VYBER	27500	35564	\N	\N	\N
1355478	4626	1997-03-12	VYDAJ	VYBER	10300	19272	\N	\N	\N
1355479	4626	1997-04-11	VYDAJ	VYBER	2900	16457	\N	\N	\N
1355480	4626	1997-05-11	VYDAJ	VYBER	26500	35676	\N	\N	\N
1355481	4626	1997-06-10	VYDAJ	VYBER	13100	19672	\N	\N	\N
1355482	4626	1997-07-10	VYDAJ	VYBER	6100	11163	\N	\N	\N
1355483	4626	1997-12-07	VYDAJ	VYBER	11700	10574	\N	\N	\N
1355484	4626	1998-01-06	VYDAJ	VYBER	33900	35830	\N	\N	\N
1355485	4626	1998-02-05	VYDAJ	VYBER	43700	36549	\N	\N	\N
1355486	4626	1998-02-19	VYDAJ	VYBER	19100	93115	\N	\N	\N
1355487	4626	1998-03-07	VYDAJ	VYBER	54800	38664	\N	\N	\N
1355488	4626	1998-04-06	VYDAJ	VYBER	53500	44706	\N	\N	\N
1355489	4626	1998-05-06	VYDAJ	VYBER	41400	38750	\N	\N	\N
1355490	4626	1998-07-05	VYDAJ	VYBER	25200	16270	\N	\N	\N
1355491	4626	1998-08-04	VYDAJ	VYBER	41400	18919	\N	\N	\N
1355492	4626	1998-09-03	VYDAJ	VYBER	46300	22018	\N	\N	\N
1355493	4626	1998-10-03	VYDAJ	VYBER	39900	19500	\N	\N	\N
1355494	4626	1998-11-02	VYDAJ	VYBER	48500	23310	\N	\N	\N
1355495	4626	1998-12-02	VYDAJ	VYBER	34200	25190	\N	\N	\N
1356663	4631	1996-12-12	PRIJEM	VKLAD	800	800	\N	\N	\N
1356676	4631	1997-01-08	PRIJEM	PREVOD Z UCTU	21882	22682	\N	CD	84430205
1356677	4631	1997-02-08	PRIJEM	PREVOD Z UCTU	21882	47737	\N	CD	84430205
1356678	4631	1997-03-08	PRIJEM	PREVOD Z UCTU	21882	58858	\N	CD	84430205
1356679	4631	1997-04-08	PRIJEM	PREVOD Z UCTU	21882	68018	\N	CD	84430205
1356680	4631	1997-05-08	PRIJEM	PREVOD Z UCTU	21882	68893	\N	CD	84430205
1356681	4631	1997-06-08	PRIJEM	PREVOD Z UCTU	32823	70462	\N	CD	84430205
1356682	4631	1997-07-08	PRIJEM	PREVOD Z UCTU	21882	50608	\N	CD	84430205
1356683	4631	1997-08-08	PRIJEM	PREVOD Z UCTU	21882	52586	\N	CD	84430205
1356684	4631	1997-09-08	PRIJEM	PREVOD Z UCTU	21882	45258	\N	CD	84430205
1356685	4631	1997-10-08	PRIJEM	PREVOD Z UCTU	21882	61188	\N	CD	84430205
1356686	4631	1997-11-08	PRIJEM	PREVOD Z UCTU	21882	66155	\N	CD	84430205
1356687	4631	1997-12-08	PRIJEM	PREVOD Z UCTU	32823	74816	\N	CD	84430205
1356688	4631	1998-01-08	PRIJEM	PREVOD Z UCTU	21882	63974	\N	CD	84430205
1356689	4631	1998-02-08	PRIJEM	PREVOD Z UCTU	21882	57191	\N	CD	84430205
1356690	4631	1998-03-08	PRIJEM	PREVOD Z UCTU	21882	70828	\N	CD	84430205
1356691	4631	1998-04-08	PRIJEM	PREVOD Z UCTU	21882	81932	\N	CD	84430205
1356692	4631	1998-05-08	PRIJEM	PREVOD Z UCTU	21882	89083	\N	CD	84430205
1356693	4631	1998-06-08	PRIJEM	PREVOD Z UCTU	32823	101889	\N	CD	84430205
1356694	4631	1998-07-08	PRIJEM	PREVOD Z UCTU	21882	89551	\N	CD	84430205
1356695	4631	1998-08-08	PRIJEM	PREVOD Z UCTU	21882	95233	\N	CD	84430205
1356696	4631	1998-09-08	PRIJEM	PREVOD Z UCTU	21882	99747	\N	CD	84430205
1356697	4631	1998-10-08	PRIJEM	PREVOD Z UCTU	21882	104380	\N	CD	84430205
1356698	4631	1998-11-08	PRIJEM	PREVOD Z UCTU	21882	105533	\N	CD	84430205
1356699	4631	1998-12-08	PRIJEM	PREVOD Z UCTU	32823	80553	\N	CD	84430205
1356716	4631	1997-05-21	VYDAJ	VYBER	4000	37564	\N	\N	0
1356717	4631	1997-06-26	VYDAJ	VYBER	2900	32462	\N	\N	0
1356718	4631	1997-07-05	VYDAJ	VYBER	3800	28726	\N	\N	0
1356719	4631	1997-07-27	VYDAJ	VYBER	5100	34908	\N	\N	0
1356720	4631	1997-08-30	VYDAJ	VYBER	4300	23331	\N	\N	0
1356721	4631	1997-10-08	VYDAJ	VYBER	4400	45788	\N	\N	0
1356722	4631	1997-11-23	VYDAJ	VYBER	3100	56455	\N	\N	0
1356723	4631	1997-12-02	VYDAJ	VYBER	4000	52593	\N	\N	0
1356724	4631	1998-01-12	VYDAJ	PREVOD NA UCET	3647	54927	UVER	KL	39618468
1356725	4631	1998-02-12	VYDAJ	PREVOD NA UCET	3647	53544	UVER	KL	39618468
1356726	4631	1998-03-12	VYDAJ	PREVOD NA UCET	3647	67181	UVER	KL	39618468
1356727	4631	1998-04-12	VYDAJ	PREVOD NA UCET	3647	78285	UVER	KL	39618468
1356728	4631	1998-05-12	VYDAJ	PREVOD NA UCET	3647	80336	UVER	KL	39618468
1356729	4631	1998-06-12	VYDAJ	PREVOD NA UCET	3647	72442	UVER	KL	39618468
1356730	4631	1998-07-12	VYDAJ	PREVOD NA UCET	3647	85904	UVER	KL	39618468
1356731	4631	1998-08-12	VYDAJ	PREVOD NA UCET	3647	91586	UVER	KL	39618468
1356732	4631	1998-09-12	VYDAJ	PREVOD NA UCET	3647	96100	UVER	KL	39618468
1356733	4631	1998-10-12	VYDAJ	PREVOD NA UCET	3647	100733	UVER	KL	39618468
1356734	4631	1998-11-12	VYDAJ	PREVOD NA UCET	3647	45186	UVER	KL	39618468
1356735	4631	1998-12-12	VYDAJ	PREVOD NA UCET	3647	76906	UVER	KL	39618468
1356747	4631	1997-08-27	VYBER	VYBER	8655	27631	\N	\N	\N
1356748	4631	1997-08-02	VYBER	VYBER	4263	30704	\N	\N	\N
1356751	4631	1997-05-11	VYBER	VYBER	22329	46564	\N	\N	\N
1356753	4631	1997-06-19	VYDAJ	VYBER	12600	35362	\N	\N	\N
1356754	4631	1998-06-12	VYDAJ	VYBER	25800	76089	\N	\N	\N
1356757	4631	1998-01-09	VYDAJ	VYBER	5400	58574	\N	\N	\N
1356759	4631	1997-12-29	VYDAJ	VYBER	8700	52316	\N	\N	\N
1356760	4631	1998-12-03	VYDAJ	VYBER	6300	47730	\N	\N	\N
1356773	4631	1998-01-21	VYDAJ	VYBER	5400	32727	\N	\N	\N
1356774	4631	1998-01-17	VYDAJ	VYBER	3600	38127	\N	\N	\N
1356775	4631	1998-01-23	VYDAJ	VYBER	1800	30927	\N	\N	\N
1356776	4631	1998-01-14	VYDAJ	VYBER	3600	48927	\N	\N	\N
1356777	4631	1998-01-13	VYDAJ	VYBER	2400	52527	\N	\N	\N
1356778	4631	1998-01-16	VYDAJ	VYBER	7200	41727	\N	\N	\N
1356785	4631	1997-12-25	VYDAJ	VYBER	13800	61016	\N	\N	\N
1356786	4631	1997-11-15	VYDAJ	VYBER	6600	59555	\N	\N	\N
1356787	4631	1997-08-10	VYDAJ	VYBER	5400	36286	\N	\N	\N
1356790	4631	1998-05-01	VYDAJ	VYBER KARTOU	3600	73101	\N	\N	0
1356791	4631	1998-04-24	VYDAJ	VYBER KARTOU	1800	76485	\N	\N	0
1356792	4631	1998-05-08	VYDAJ	VYBER	5100	83983	\N	\N	\N
1356810	4631	1997-05-31	VYDAJ	VYBER	100	37639	SLUZBY	\N	\N
1356811	4631	1997-06-30	VYDAJ	VYBER	100	32526	SLUZBY	\N	\N
1356812	4631	1997-07-31	VYDAJ	VYBER	100	34967	SLUZBY	\N	\N
1356813	4631	1997-08-31	VYDAJ	VYBER	100	23376	SLUZBY	\N	\N
1356814	4631	1997-09-30	VYDAJ	VYBER	100	39306	SLUZBY	\N	\N
1356815	4631	1997-10-31	VYDAJ	VYBER	100	45873	SLUZBY	\N	\N
1356816	4631	1997-11-30	VYDAJ	VYBER	100	56593	SLUZBY	\N	\N
1356817	4631	1997-12-31	VYDAJ	VYBER	100	52492	SLUZBY	\N	\N
1356818	4631	1998-01-31	VYDAJ	VYBER	100	31009	SLUZBY	\N	\N
1356819	4631	1998-02-28	VYDAJ	VYBER	100	53646	SLUZBY	\N	\N
1356820	4631	1998-03-31	VYDAJ	VYBER	100	67350	SLUZBY	\N	\N
1356821	4631	1998-04-30	VYDAJ	VYBER	100	76701	SLUZBY	\N	\N
1356822	4631	1998-05-31	VYDAJ	VYBER	100	80566	SLUZBY	\N	\N
1356823	4631	1998-06-30	VYDAJ	VYBER	100	72669	SLUZBY	\N	\N
1356824	4631	1998-07-31	VYDAJ	VYBER	100	86151	SLUZBY	\N	\N
1356825	4631	1998-08-31	VYDAJ	VYBER	100	91865	SLUZBY	\N	\N
1356826	4631	1998-09-30	VYDAJ	VYBER	100	96398	SLUZBY	\N	\N
1356827	4631	1998-10-31	VYDAJ	VYBER	100	101051	SLUZBY	\N	\N
1356828	4631	1998-11-30	VYDAJ	VYBER	100	45330	SLUZBY	\N	\N
1356829	4631	1997-01-11	PRIJEM	VKLAD	3100	25782	\N	\N	\N
1356830	4631	1997-02-10	VYDAJ	VYBER	10900	36837	\N	\N	\N
1356831	4631	1997-03-12	VYDAJ	VYBER	12900	45958	\N	\N	\N
1356832	4631	1997-04-11	VYDAJ	VYBER	21200	46818	\N	\N	\N
1356833	4631	1997-05-11	VYDAJ	VYBER	5000	41564	\N	\N	\N
1356834	4631	1997-06-10	VYDAJ	VYBER	22500	47962	\N	\N	\N
1356835	4631	1997-07-10	VYDAJ	VYBER	10600	40008	\N	\N	\N
1356836	4631	1997-08-09	VYDAJ	VYBER	10900	41686	\N	\N	\N
1356837	4631	1997-09-08	VYDAJ	VYBER	6000	39258	\N	\N	\N
1356838	4631	1997-10-08	VYDAJ	VYBER	11000	50188	\N	\N	\N
1356839	4631	1997-11-07	VYDAJ	VYBER	1600	44273	\N	\N	\N
1356840	4631	1997-12-07	VYDAJ	VYBER	10600	41993	\N	\N	\N
1356841	4631	1998-01-06	VYDAJ	VYBER	10400	42092	\N	\N	\N
1356842	4631	1998-02-05	PRIJEM	VKLAD	4300	35309	\N	\N	\N
1356843	4631	1998-03-07	VYDAJ	VYBER	4700	48946	\N	\N	\N
1356844	4631	1998-04-06	VYDAJ	VYBER	7300	60050	\N	\N	\N
1356845	4631	1998-05-06	VYDAJ	VYBER	5900	67201	\N	\N	\N
1356846	4631	1998-06-05	VYDAJ	VYBER	11500	69066	\N	\N	\N
1356847	4631	1998-07-05	VYDAJ	VYBER	5000	67669	\N	\N	\N
1356848	4631	1998-08-04	VYDAJ	VYBER	12800	73351	\N	\N	\N
1356849	4631	1998-09-03	VYDAJ	VYBER	14000	77865	\N	\N	\N
1356850	4631	1998-10-03	VYDAJ	VYBER	13900	82498	\N	\N	\N
1356851	4631	1998-11-02	VYDAJ	VYBER	17400	83651	\N	\N	\N
1356852	4631	1998-11-08	VYDAJ	VYBER	56700	48833	\N	\N	\N
1356853	4631	1998-12-02	PRIJEM	VKLAD	8700	54030	\N	\N	\N
1362847	4650	1995-10-15	PRIJEM	VKLAD	200	200	\N	\N	\N
1362858	4650	1995-11-06	PRIJEM	VKLAD	5073	5273	\N	\N	\N
1362859	4650	1995-12-06	PRIJEM	VKLAD	7610	22418	\N	\N	\N
1362860	4650	1996-01-06	PRIJEM	VKLAD	5073	27771	\N	\N	\N
1362861	4650	1996-02-06	PRIJEM	VKLAD	5073	34456	\N	\N	\N
1362862	4650	1996-03-06	PRIJEM	VKLAD	5073	34551	\N	\N	\N
1362863	4650	1996-04-06	PRIJEM	VKLAD	5073	31048	\N	\N	\N
1362864	4650	1996-05-06	PRIJEM	VKLAD	5073	29048	\N	\N	\N
1362865	4650	1996-06-06	PRIJEM	VKLAD	7610	24246	\N	\N	\N
1362866	4650	1996-07-06	PRIJEM	VKLAD	5073	19818	\N	\N	\N
1362867	4650	1996-08-06	PRIJEM	VKLAD	5073	14660	\N	\N	\N
1362868	4650	1996-09-06	PRIJEM	VKLAD	5073	21804	\N	\N	\N
1362869	4650	1996-10-06	PRIJEM	VKLAD	5073	18429	\N	\N	\N
1362870	4650	1996-11-06	PRIJEM	VKLAD	5073	20175	\N	\N	\N
1362871	4650	1996-12-06	PRIJEM	VKLAD	7610	22460	\N	\N	\N
1362872	4650	1997-01-06	PRIJEM	VKLAD	5073	16847	\N	\N	\N
1362873	4650	1997-02-06	PRIJEM	VKLAD	5073	6992	\N	\N	\N
1362874	4650	1997-03-06	PRIJEM	VKLAD	5073	12598	\N	\N	\N
1362875	4650	1997-04-06	PRIJEM	VKLAD	5073	17531	\N	\N	\N
1362876	4650	1997-05-06	PRIJEM	VKLAD	5073	17570	\N	\N	\N
1362877	4650	1997-06-06	PRIJEM	VKLAD	7610	28144	\N	\N	\N
1362878	4650	1997-07-06	PRIJEM	VKLAD	5073	23196	\N	\N	\N
1362879	4650	1997-08-06	PRIJEM	VKLAD	5073	27850	\N	\N	\N
1362880	4650	1997-09-06	PRIJEM	VKLAD	5073	31210	\N	\N	\N
1362881	4650	1997-10-06	PRIJEM	VKLAD	5073	26683	\N	\N	\N
1362882	4650	1997-11-06	PRIJEM	VKLAD	5073	28442	\N	\N	\N
1362883	4650	1997-12-06	PRIJEM	VKLAD	7610	33344	\N	\N	\N
1362884	4650	1998-01-06	PRIJEM	VKLAD	5073	33536	\N	\N	\N
1362885	4650	1998-02-06	PRIJEM	VKLAD	5073	33332	\N	\N	\N
1362886	4650	1998-03-06	PRIJEM	VKLAD	5073	38614	\N	\N	\N
1362887	4650	1998-04-06	PRIJEM	VKLAD	5073	40417	\N	\N	\N
1362888	4650	1998-05-06	PRIJEM	VKLAD	5073	36531	\N	\N	\N
1362889	4650	1998-06-06	PRIJEM	VKLAD	7610	36624	\N	\N	\N
1362890	4650	1998-07-06	PRIJEM	VKLAD	5073	43220	\N	\N	\N
1362891	4650	1998-08-06	PRIJEM	VKLAD	5073	44143	\N	\N	\N
1362892	4650	1998-09-06	PRIJEM	VKLAD	5073	41676	\N	\N	\N
1362893	4650	1998-10-06	PRIJEM	VKLAD	5073	46201	\N	\N	\N
1362894	4650	1998-11-06	PRIJEM	VKLAD	5073	51746	\N	\N	\N
1362895	4650	1998-12-06	PRIJEM	VKLAD	7610	52350	\N	\N	\N
1362911	4650	1996-04-05	VYDAJ	PREVOD NA UCET	554	25975	SIPO	YZ	59294611
1362912	4650	1996-05-05	VYDAJ	PREVOD NA UCET	554	23975	SIPO	YZ	59294611
1362913	4650	1996-06-05	VYDAJ	PREVOD NA UCET	554	16636	SIPO	YZ	59294611
1362914	4650	1996-07-05	VYDAJ	PREVOD NA UCET	554	14745	SIPO	YZ	59294611
1362915	4650	1996-08-05	VYDAJ	PREVOD NA UCET	554	9587	SIPO	YZ	59294611
1362916	4650	1996-09-05	VYDAJ	PREVOD NA UCET	554	16731	SIPO	YZ	59294611
1362917	4650	1996-10-05	VYDAJ	PREVOD NA UCET	554	13356	SIPO	YZ	59294611
1362918	4650	1996-11-05	VYDAJ	PREVOD NA UCET	554	15102	SIPO	YZ	59294611
1362919	4650	1996-12-05	VYDAJ	PREVOD NA UCET	554	14850	SIPO	YZ	59294611
1362920	4650	1997-01-05	VYDAJ	PREVOD NA UCET	554	11774	SIPO	YZ	59294611
1362921	4650	1997-02-05	VYDAJ	PREVOD NA UCET	554	1919	SIPO	YZ	59294611
1362922	4650	1997-03-05	VYDAJ	PREVOD NA UCET	554	7525	SIPO	YZ	59294611
1362923	4650	1997-04-05	VYDAJ	PREVOD NA UCET	554	12458	SIPO	YZ	59294611
1362924	4650	1997-05-05	VYDAJ	PREVOD NA UCET	554	12497	SIPO	YZ	59294611
1362925	4650	1997-06-05	VYDAJ	PREVOD NA UCET	554	12034	SIPO	YZ	59294611
1362926	4650	1997-07-05	VYDAJ	PREVOD NA UCET	554	18123	SIPO	YZ	59294611
1362927	4650	1997-08-05	VYDAJ	PREVOD NA UCET	554	22777	SIPO	YZ	59294611
1362928	4650	1997-09-05	VYDAJ	PREVOD NA UCET	554	26137	SIPO	YZ	59294611
1362929	4650	1997-10-05	VYDAJ	PREVOD NA UCET	554	21610	SIPO	YZ	59294611
1362930	4650	1997-11-05	VYDAJ	PREVOD NA UCET	554	23369	SIPO	YZ	59294611
1362931	4650	1997-12-05	VYDAJ	PREVOD NA UCET	554	25734	SIPO	YZ	59294611
1362932	4650	1998-01-05	VYDAJ	PREVOD NA UCET	554	28463	SIPO	YZ	59294611
1362933	4650	1998-02-05	VYDAJ	PREVOD NA UCET	554	28259	SIPO	YZ	59294611
1362934	4650	1998-03-05	VYDAJ	PREVOD NA UCET	554	33541	SIPO	YZ	59294611
1362935	4650	1998-04-05	VYDAJ	PREVOD NA UCET	554	35344	SIPO	YZ	59294611
1363046	4650	1997-01-09	VYDAJ	VYBER	6560	13187	\N	\N	\N
1362936	4650	1998-05-05	VYDAJ	PREVOD NA UCET	554	31458	SIPO	YZ	59294611
1362937	4650	1998-06-05	VYDAJ	PREVOD NA UCET	554	29014	SIPO	YZ	59294611
1362938	4650	1998-07-05	VYDAJ	PREVOD NA UCET	554	38147	SIPO	YZ	59294611
1362939	4650	1998-08-05	VYDAJ	PREVOD NA UCET	554	39070	SIPO	YZ	59294611
1362940	4650	1998-09-05	VYDAJ	PREVOD NA UCET	554	36603	SIPO	YZ	59294611
1362941	4650	1998-10-05	VYDAJ	PREVOD NA UCET	554	41128	SIPO	YZ	59294611
1362942	4650	1998-11-05	VYDAJ	PREVOD NA UCET	554	46673	SIPO	YZ	59294611
1362943	4650	1998-12-05	VYDAJ	PREVOD NA UCET	554	44740	SIPO	YZ	59294611
1362958	4650	1996-03-14	VYDAJ	PREVOD NA UCET	2828	32823	 	KL	6576216
1362959	4650	1996-04-14	VYDAJ	PREVOD NA UCET	2828	32020	 	KL	6576216
1362960	4650	1996-05-14	VYDAJ	PREVOD NA UCET	2828	17120	 	KL	6576216
1362961	4650	1996-06-14	VYDAJ	PREVOD NA UCET	2828	15238	 	KL	6576216
1362962	4650	1996-07-14	VYDAJ	PREVOD NA UCET	2828	16890	 	KL	6576216
1362963	4650	1996-08-14	VYDAJ	PREVOD NA UCET	2828	17232	 	KL	6576216
1362964	4650	1996-09-14	VYDAJ	PREVOD NA UCET	2828	13856	 	KL	6576216
1362965	4650	1996-10-14	VYDAJ	PREVOD NA UCET	2828	15601	 	KL	6576216
1362966	4650	1996-11-14	VYDAJ	PREVOD NA UCET	2828	15347	 	KL	6576216
1362967	4650	1996-12-14	VYDAJ	PREVOD NA UCET	2828	17832	 	KL	6576216
1362968	4650	1997-01-14	VYDAJ	PREVOD NA UCET	2828	2459	 	KL	6576216
1362969	4650	1997-02-14	VYDAJ	PREVOD NA UCET	2828	8064	 	KL	6576216
1362970	4650	1997-03-14	VYDAJ	PREVOD NA UCET	2828	12970	 	KL	6576216
1362971	4650	1997-04-14	VYDAJ	PREVOD NA UCET	2828	13003	 	KL	6576216
1362972	4650	1997-05-14	VYDAJ	PREVOD NA UCET	2828	12542	 	KL	6576216
1362973	4650	1997-06-14	VYDAJ	PREVOD NA UCET	2828	18616	 	KL	6576216
1362974	4650	1997-07-14	VYDAJ	PREVOD NA UCET	2828	16068	 	KL	6576216
1362975	4650	1997-08-14	VYDAJ	PREVOD NA UCET	2828	18322	 	KL	6576216
1362976	4650	1997-09-14	VYDAJ	PREVOD NA UCET	2828	21682	 	KL	6576216
1362977	4650	1997-10-14	VYDAJ	PREVOD NA UCET	2828	17155	 	KL	6576216
1362978	4650	1997-11-14	VYDAJ	PREVOD NA UCET	2828	18914	 	KL	6576216
1362979	4650	1997-12-14	VYDAJ	PREVOD NA UCET	2828	20776	 	KL	6576216
1362980	4650	1998-01-14	VYDAJ	PREVOD NA UCET	2828	21128	 	KL	6576216
1362981	4650	1998-02-14	VYDAJ	PREVOD NA UCET	2828	23804	 	KL	6576216
1362982	4650	1998-03-14	VYDAJ	PREVOD NA UCET	2828	29086	 	KL	6576216
1362983	4650	1998-04-14	VYDAJ	PREVOD NA UCET	2828	30889	 	KL	6576216
1362984	4650	1998-05-14	VYDAJ	PREVOD NA UCET	2828	27003	 	KL	6576216
1362985	4650	1998-06-14	VYDAJ	PREVOD NA UCET	2828	27096	 	KL	6576216
1362986	4650	1998-07-14	VYDAJ	PREVOD NA UCET	2828	33692	 	KL	6576216
1362987	4650	1998-08-14	VYDAJ	PREVOD NA UCET	2828	34615	 	KL	6576216
1362988	4650	1998-09-14	VYDAJ	PREVOD NA UCET	2828	32148	 	KL	6576216
1362989	4650	1998-10-14	VYDAJ	PREVOD NA UCET	2828	36673	 	KL	6576216
1362990	4650	1998-11-14	VYDAJ	PREVOD NA UCET	2828	42218	 	KL	6576216
1362991	4650	1998-12-14	VYDAJ	PREVOD NA UCET	2828	42822	 	KL	6576216
1363006	4650	1996-03-20	VYDAJ	VYBER	6400	26423	\N	\N	0
1363007	4650	1996-04-25	VYDAJ	VYBER	7600	24420	\N	\N	0
1363008	4650	1996-05-10	VYDAJ	VYBER	9100	19948	\N	\N	0
1363009	4650	1996-06-14	VYDAJ	VYBER	6100	18066	\N	\N	0
1363010	4650	1996-07-10	VYDAJ	VYBER	5200	14618	\N	\N	0
1363011	4650	1996-07-25	VYDAJ	VYBER	6800	10090	\N	\N	0
1363012	4650	1996-09-12	VYDAJ	PREVOD NA UCET	6700	17404	UVER	ST	50796478
1363013	4650	1996-10-12	VYDAJ	PREVOD NA UCET	6700	18429	UVER	ST	50796478
1363014	4650	1996-11-12	VYDAJ	PREVOD NA UCET	6700	18175	UVER	ST	50796478
1363015	4650	1996-12-12	VYDAJ	PREVOD NA UCET	6700	20660	UVER	ST	50796478
1363016	4650	1997-01-12	VYDAJ	PREVOD NA UCET	6700	5287	UVER	ST	50796478
1363017	4650	1997-02-12	VYDAJ	PREVOD NA UCET	6700	10892	UVER	ST	50796478
1363018	4650	1997-03-12	VYDAJ	PREVOD NA UCET	6700	15798	UVER	ST	50796478
1363019	4650	1997-04-12	VYDAJ	PREVOD NA UCET	6700	15831	UVER	ST	50796478
1363020	4650	1997-05-12	VYDAJ	PREVOD NA UCET	6700	15370	UVER	ST	50796478
1363021	4650	1997-06-12	VYDAJ	PREVOD NA UCET	6700	21444	UVER	ST	50796478
1363022	4650	1997-07-12	VYDAJ	PREVOD NA UCET	6700	18896	UVER	ST	50796478
1363023	4650	1997-08-12	VYDAJ	PREVOD NA UCET	6700	21150	UVER	ST	50796478
1363024	4650	1997-09-12	VYDAJ	PREVOD NA UCET	6700	24510	UVER	ST	50796478
1363025	4650	1997-10-12	VYDAJ	PREVOD NA UCET	6700	19983	UVER	ST	50796478
1363026	4650	1997-11-12	VYDAJ	PREVOD NA UCET	6700	21742	UVER	ST	50796478
1363027	4650	1997-12-12	VYDAJ	PREVOD NA UCET	6700	23604	UVER	ST	50796478
1363028	4650	1998-01-12	VYDAJ	PREVOD NA UCET	6700	24676	UVER	ST	50796478
1363029	4650	1998-02-12	VYDAJ	PREVOD NA UCET	6700	26632	UVER	ST	50796478
1363030	4650	1998-03-12	VYDAJ	PREVOD NA UCET	6700	31914	UVER	ST	50796478
1363031	4650	1998-04-12	VYDAJ	PREVOD NA UCET	6700	33717	UVER	ST	50796478
1363032	4650	1998-05-12	VYDAJ	PREVOD NA UCET	6700	29831	UVER	ST	50796478
1363033	4650	1998-06-12	VYDAJ	PREVOD NA UCET	6700	29924	UVER	ST	50796478
1363034	4650	1998-07-12	VYDAJ	PREVOD NA UCET	6700	36520	UVER	ST	50796478
1363035	4650	1998-08-12	VYDAJ	PREVOD NA UCET	6700	37443	UVER	ST	50796478
1363036	4650	1998-09-12	VYDAJ	PREVOD NA UCET	6700	34976	UVER	ST	50796478
1363037	4650	1998-10-12	VYDAJ	PREVOD NA UCET	6700	39501	UVER	ST	50796478
1363038	4650	1998-11-12	VYDAJ	PREVOD NA UCET	6700	45046	UVER	ST	50796478
1363039	4650	1998-12-12	VYDAJ	PREVOD NA UCET	6700	45650	UVER	ST	50796478
1363049	4650	1996-12-15	VYDAJ	VYBER	4000	13832	\N	\N	\N
1363050	4650	1997-12-08	VYDAJ	VYBER	3040	30304	\N	\N	\N
1363051	4650	1998-12-01	VYDAJ	VYBER	4000	45294	\N	\N	\N
1363065	4650	1997-01-10	VYDAJ	VYBER	1200	11987	\N	\N	\N
1363068	4650	1997-01-02	VYDAJ	VYBER	1560	12328	\N	\N	\N
1363070	4650	1998-01-25	VYDAJ	VYBER	600	18728	\N	\N	\N
1363071	4650	1998-01-06	VYDAJ	VYBER	2160	31376	\N	\N	\N
1363072	4650	1998-01-04	VYDAJ	VYBER	3240	29017	\N	\N	\N
1363073	4650	1998-01-12	VYDAJ	VYBER	720	23956	\N	\N	\N
1363074	4650	1998-01-30	VYDAJ	VYBER	1200	17528	\N	\N	\N
1363075	4650	1998-01-25	VYDAJ	VYBER	1800	19328	\N	\N	\N
1363083	4650	1996-09-13	VYDAJ	VYBER	720	16684	\N	\N	\N
1363085	4650	1996-05-13	VYDAJ	VYBER	4800	19948	\N	\N	\N
1363086	4650	1996-06-14	VYDAJ	VYBER	2280	24166	\N	\N	\N
1363088	4650	1997-09-21	VYDAJ	VYBER	1200	20482	\N	\N	\N
1363089	4650	1997-11-02	VYDAJ	VYBER	3000	14223	\N	\N	\N
1363090	4650	1998-12-27	VYDAJ	VYBER	960	41862	\N	\N	\N
1363091	4650	1998-05-22	VYDAJ	VYBER	2160	23763	\N	\N	\N
1363092	4650	1998-05-14	VYDAJ	VYBER	1080	25923	\N	\N	\N
1363108	4650	1996-03-31	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
1363109	4650	1996-04-30	VYDAJ	VYBER	15	24529	SLUZBY	\N	\N
1363110	4650	1996-05-31	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
1363111	4650	1996-06-30	VYDAJ	VYBER	15	15299	SLUZBY	\N	\N
1363112	4650	1996-07-31	VYDAJ	VYBER	15	10141	SLUZBY	\N	\N
1363113	4650	1996-08-31	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
1363114	4650	1996-09-30	VYDAJ	VYBER	15	13910	SLUZBY	\N	\N
1363115	4650	1996-10-31	VYDAJ	VYBER	15	15656	SLUZBY	\N	\N
1363116	4650	1996-11-30	VYDAJ	VYBER	15	15404	SLUZBY	\N	\N
1363117	4650	1996-12-31	VYDAJ	VYBER	15	13888	SLUZBY	\N	\N
1363118	4650	1997-01-31	VYDAJ	VYBER	15	2473	SLUZBY	\N	\N
1363119	4650	1997-02-28	VYDAJ	VYBER	15	8079	SLUZBY	\N	\N
1363120	4650	1997-03-31	VYDAJ	VYBER	15	13012	SLUZBY	\N	\N
1363121	4650	1997-04-30	VYDAJ	VYBER	15	13051	SLUZBY	\N	\N
1363122	4650	1997-05-31	VYDAJ	VYBER	15	12588	SLUZBY	\N	\N
1363123	4650	1997-06-30	VYDAJ	VYBER	15	18677	SLUZBY	\N	\N
1363124	4650	1997-07-31	VYDAJ	VYBER	15	16131	SLUZBY	\N	\N
1363125	4650	1997-08-31	VYDAJ	VYBER	15	18391	SLUZBY	\N	\N
1363126	4650	1997-09-30	VYDAJ	VYBER	15	20564	SLUZBY	\N	\N
1363127	4650	1997-10-31	VYDAJ	VYBER	15	17223	SLUZBY	\N	\N
1363128	4650	1997-11-30	VYDAJ	VYBER	15	18988	SLUZBY	\N	\N
1363129	4650	1997-12-31	VYDAJ	VYBER	15	20857	SLUZBY	\N	\N
1363130	4650	1998-01-31	VYDAJ	VYBER	15	17613	SLUZBY	\N	\N
1363131	4650	1998-02-28	VYDAJ	VYBER	15	23895	SLUZBY	\N	\N
1363132	4650	1998-03-31	VYDAJ	VYBER	15	29198	SLUZBY	\N	\N
1363133	4650	1998-04-30	VYDAJ	VYBER	15	31012	SLUZBY	\N	\N
1363134	4650	1998-05-31	VYDAJ	VYBER	15	23868	SLUZBY	\N	\N
1363135	4650	1998-06-30	VYDAJ	VYBER	15	27201	SLUZBY	\N	\N
1363136	4650	1998-07-31	VYDAJ	VYBER	15	39624	SLUZBY	\N	\N
1363137	4650	1998-08-31	VYDAJ	VYBER	15	37157	SLUZBY	\N	\N
1363138	4650	1998-09-30	VYDAJ	VYBER	15	41682	SLUZBY	\N	\N
1363139	4650	1998-10-31	VYDAJ	VYBER	15	47227	SLUZBY	\N	\N
1363140	4650	1998-11-30	VYDAJ	VYBER	15	49294	SLUZBY	\N	\N
1363141	4650	1995-11-14	PRIJEM	VKLAD	9500	14773	\N	\N	\N
1363142	4650	1995-12-14	PRIJEM	VKLAD	200	22618	\N	\N	\N
1363143	4650	1996-01-13	PRIJEM	VKLAD	1500	29271	\N	\N	\N
1363144	4650	1996-02-12	VYDAJ	VYBER	5100	29356	\N	\N	\N
1363145	4650	1996-03-13	PRIJEM	VKLAD	1100	35651	\N	\N	\N
1363146	4650	1996-04-12	PRIJEM	VKLAD	3800	34848	\N	\N	\N
1363147	4650	1996-05-12	PRIJEM	VKLAD	4800	24748	\N	\N	\N
1363148	4650	1996-06-11	PRIJEM	VKLAD	2200	26446	\N	\N	\N
1363149	4650	1996-07-11	PRIJEM	VKLAD	5100	19718	\N	\N	\N
1363150	4650	1996-08-10	PRIJEM	VKLAD	5400	20060	\N	\N	\N
1363151	4650	1996-09-09	PRIJEM	VKLAD	2300	24104	\N	\N	\N
1363152	4650	1996-10-09	PRIJEM	VKLAD	6700	25129	\N	\N	\N
1363153	4650	1996-11-08	PRIJEM	VKLAD	4700	24875	\N	\N	\N
1363154	4650	1996-12-08	PRIJEM	VKLAD	4900	27360	\N	\N	\N
1363155	4650	1997-01-07	PRIJEM	VKLAD	2900	19747	\N	\N	\N
1363156	4650	1997-02-06	PRIJEM	VKLAD	10600	17592	\N	\N	\N
1363157	4650	1997-03-08	PRIJEM	VKLAD	9900	22498	\N	\N	\N
1363158	4650	1997-04-07	PRIJEM	VKLAD	5000	22531	\N	\N	\N
1363159	4650	1997-05-07	PRIJEM	VKLAD	4500	22070	\N	\N	\N
1363160	4650	1997-06-06	PRIJEM	VKLAD	8500	20534	\N	\N	\N
1363161	4650	1997-07-06	PRIJEM	VKLAD	2400	25596	\N	\N	\N
1363162	4650	1997-08-05	PRIJEM	VKLAD	7200	23331	\N	\N	\N
1363163	4650	1997-09-04	PRIJEM	VKLAD	8300	26691	\N	\N	\N
1363164	4650	1997-10-04	PRIJEM	VKLAD	1600	22164	\N	\N	\N
1363165	4650	1997-11-03	PRIJEM	VKLAD	9700	23923	\N	\N	\N
1363166	4650	1997-12-03	PRIJEM	VKLAD	7300	26288	\N	\N	\N
1363167	4650	1998-01-02	PRIJEM	VKLAD	11400	32257	\N	\N	\N
1363168	4650	1998-02-01	PRIJEM	VKLAD	11200	28813	\N	\N	\N
1363169	4650	1998-03-03	PRIJEM	VKLAD	10200	34095	\N	\N	\N
1363170	4650	1998-04-02	PRIJEM	VKLAD	6700	35898	\N	\N	\N
1363171	4650	1998-05-02	PRIJEM	VKLAD	1000	32012	\N	\N	\N
1363172	4650	1998-06-01	PRIJEM	VKLAD	5700	29568	\N	\N	\N
1363173	4650	1998-07-01	PRIJEM	VKLAD	11500	38701	\N	\N	\N
1363174	4650	1998-07-31	PRIJEM	VKLAD	5800	39639	\N	\N	\N
1363175	4650	1998-08-30	PRIJEM	VKLAD	2400	37015	\N	\N	\N
1363176	4650	1998-09-29	PRIJEM	VKLAD	9400	41548	\N	\N	\N
1363177	4650	1998-10-29	PRIJEM	VKLAD	10400	47073	\N	\N	\N
1363178	4650	1998-11-28	PRIJEM	VKLAD	6900	49118	\N	\N	\N
1365403	4659	1993-10-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1365424	4659	1993-12-20	PRIJEM	VKLAD	43947	64447	\N	\N	\N
1365426	4659	1994-05-29	PRIJEM	VKLAD	29181	82705	\N	\N	\N
1365427	4659	1994-03-20	PRIJEM	VKLAD	25990	65120	\N	\N	\N
1365428	4659	1994-01-15	PRIJEM	VKLAD	22554	85954	\N	\N	\N
1365429	4659	1994-01-14	PRIJEM	VKLAD	16649	63400	\N	\N	\N
1365430	4659	1994-10-02	PRIJEM	VKLAD	31146	54821	\N	\N	\N
1365431	4659	1994-05-13	PRIJEM	VKLAD	27900	55760	\N	\N	\N
1365432	4659	1994-11-03	PRIJEM	VKLAD	32754	55780	\N	\N	\N
1365433	4659	1994-06-15	PRIJEM	VKLAD	45561	107335	\N	\N	\N
1365434	4659	1994-04-03	PRIJEM	VKLAD	40379	105823	\N	\N	\N
1365435	4659	1994-06-13	PRIJEM	VKLAD	12254	61774	\N	\N	\N
1365436	4659	1994-11-06	PRIJEM	VKLAD	38236	94016	\N	\N	\N
1365437	4659	1995-04-24	PRIJEM	VKLAD	38823	65985	\N	\N	\N
1365438	4659	1995-11-06	PRIJEM	VKLAD	46992	80362	\N	\N	\N
1365439	4659	1995-08-10	PRIJEM	VKLAD	35793	57380	\N	\N	\N
1365440	4659	1995-01-04	PRIJEM	VKLAD	5064	31284	\N	\N	\N
1365441	4659	1995-05-01	PRIJEM	VKLAD	21540	74140	\N	\N	\N
1365442	4659	1995-02-24	PRIJEM	VKLAD	39667	53175	\N	\N	\N
1365443	4659	1995-05-08	PRIJEM	VKLAD	43922	94462	\N	\N	\N
1365444	4659	1996-07-28	PRIJEM	VKLAD	15779	20217	\N	\N	\N
1365445	4659	1996-03-12	PRIJEM	VKLAD	29114	92024	\N	\N	\N
1365446	4659	1996-11-10	PRIJEM	VKLAD	16825	68172	\N	\N	\N
1365447	4659	1996-01-01	PRIJEM	VKLAD	42941	68680	\N	\N	\N
1365448	4659	1996-12-18	PRIJEM	VKLAD	46012	77888	\N	\N	\N
1365449	4659	1996-08-03	PRIJEM	VKLAD	33363	45843	\N	\N	\N
1365450	4659	1996-02-15	PRIJEM	VKLAD	29438	35492	\N	\N	\N
1365451	4659	1996-09-27	PRIJEM	VKLAD	15884	45612	\N	\N	\N
1365452	4659	1996-12-21	PRIJEM	VKLAD	22269	100157	\N	\N	\N
1365453	4659	1996-10-16	PRIJEM	VKLAD	42616	73943	\N	\N	\N
1365454	4659	1996-03-07	PRIJEM	VKLAD	49128	81170	\N	\N	\N
1365455	4659	1996-05-28	PRIJEM	VKLAD	25791	79329	\N	\N	\N
1365456	4659	1996-05-07	PRIJEM	VKLAD	45736	79038	\N	\N	\N
1365457	4659	1997-09-15	PRIJEM	VKLAD	31564	93228	\N	\N	\N
1365458	4659	1997-09-07	PRIJEM	VKLAD	11249	61664	\N	\N	\N
1365459	4659	1997-02-11	PRIJEM	VKLAD	47886	115427	\N	\N	\N
1365460	4659	1997-01-16	PRIJEM	VKLAD	35385	92238	\N	\N	\N
1365461	4659	1997-06-29	PRIJEM	VKLAD	15259	20558	\N	\N	\N
1365462	4659	1997-11-10	PRIJEM	VKLAD	13084	51516	\N	\N	\N
1365463	4659	1997-07-17	PRIJEM	VKLAD	6614	23687	\N	\N	\N
1365464	4659	1997-07-26	PRIJEM	VKLAD	43841	70128	\N	\N	\N
1365465	4659	1997-04-03	PRIJEM	VKLAD	45529	76585	\N	\N	\N
1365466	4659	1997-03-14	PRIJEM	VKLAD	7996	70995	\N	\N	\N
1365467	4659	1997-02-09	PRIJEM	VKLAD	28187	67541	\N	\N	\N
1365468	4659	1998-04-04	PRIJEM	VKLAD	15860	56821	\N	\N	\N
1365469	4659	1998-08-21	PRIJEM	VKLAD	29280	56024	\N	\N	\N
1365470	4659	1998-12-14	PRIJEM	VKLAD	35775	99086	\N	\N	\N
1365471	4659	1998-02-08	PRIJEM	VKLAD	33108	38290	\N	\N	\N
1365472	4659	1998-11-24	PRIJEM	VKLAD	21551	93298	\N	\N	\N
1365473	4659	1998-04-26	PRIJEM	VKLAD	7072	35493	\N	\N	\N
1365474	4659	1998-02-13	PRIJEM	VKLAD	30002	68292	\N	\N	\N
1365475	4659	1998-02-15	PRIJEM	VKLAD	18114	61306	\N	\N	\N
1365476	4659	1998-11-18	PRIJEM	VKLAD	39235	71747	\N	\N	\N
1365477	4659	1998-08-06	PRIJEM	VKLAD	9824	56398	\N	\N	\N
1365478	4659	1998-06-24	PRIJEM	VKLAD	42166	60679	\N	\N	\N
1365479	4659	1998-12-04	PRIJEM	VKLAD	14075	107611	\N	\N	\N
1365480	4659	1998-03-20	PRIJEM	VKLAD	16287	64238	\N	\N	\N
1365481	4659	1998-07-21	PRIJEM	VKLAD	13918	53548	\N	\N	\N
1365482	4659	1998-09-14	PRIJEM	VKLAD	39680	80396	\N	\N	\N
1365483	4659	1998-07-26	PRIJEM	VKLAD	42721	96269	\N	\N	\N
1365484	4659	1998-05-12	PRIJEM	VKLAD	13285	73473	\N	\N	\N
1365485	4659	1998-05-04	PRIJEM	VKLAD	24561	60188	\N	\N	\N
1365486	4659	1998-03-05	PRIJEM	VKLAD	24412	82851	\N	\N	\N
1365488	4659	1994-09-13	VYBER	VYBER	6029	23577	\N	\N	\N
1365490	4659	1994-05-26	VYBER	VYBER	2236	53524	\N	\N	\N
1365491	4659	1994-11-09	VYBER	VYBER	22580	71436	\N	\N	\N
1365492	4659	1994-12-09	VYBER	VYBER	8772	41437	\N	\N	\N
1365493	4659	1994-07-27	VYBER	VYBER	9814	41894	\N	\N	\N
1365495	4659	1995-12-22	VYBER	VYBER	21354	22092	\N	\N	\N
1365496	4659	1995-04-27	VYBER	VYBER	13529	52456	\N	\N	\N
1365497	4659	1995-07-28	VYBER	VYBER	5060	9085	\N	\N	\N
1365498	4659	1996-08-06	VYBER	VYBER	21797	24046	\N	\N	\N
1365499	4659	1996-01-29	VYBER	VYBER	5720	12260	\N	\N	\N
1365501	4659	1996-07-08	VYBER	VYBER	17963	21214	\N	\N	\N
1365502	4659	1996-07-10	VYBER	VYBER	13976	7238	\N	\N	\N
1365503	4659	1996-03-09	VYBER	VYBER	5966	62910	\N	\N	\N
1365504	4659	1996-03-08	VYBER	VYBER	12294	68876	\N	\N	\N
1365505	4659	1996-11-10	VYBER	VYBER	4504	63668	\N	\N	\N
1365506	4659	1997-03-24	VYBER	VYBER	18345	30850	\N	\N	\N
1365507	4659	1997-06-28	VYBER	VYBER	17695	5299	\N	\N	\N
1365508	4659	1997-06-01	VYBER	VYBER	24741	14294	\N	\N	\N
1365509	4659	1998-06-15	VYBER	VYBER	10527	18513	\N	\N	\N
1365510	4659	1998-03-27	VYBER	VYBER	23490	40748	\N	\N	\N
1365511	4659	1998-08-09	VYBER	VYBER	9054	47344	\N	\N	\N
1365512	4659	1998-08-02	VYBER	VYBER	21745	60074	\N	\N	\N
1365515	4659	1995-06-24	VYDAJ	VYBER	15000	49295	\N	\N	\N
1365516	4659	1996-06-27	VYDAJ	VYBER	17100	38885	\N	\N	\N
1365521	4659	1995-01-13	VYDAJ	VYBER	18000	-1116	\N	\N	\N
1365522	4659	1996-01-11	VYDAJ	VYBER	28200	25780	\N	\N	\N
1365523	4659	1997-01-16	VYDAJ	VYBER	16500	75738	\N	\N	\N
1365526	4659	1994-12-25	VYDAJ	VYBER	7200	34237	\N	\N	\N
1365527	4659	1995-12-21	VYDAJ	VYBER	2700	43446	\N	\N	\N
1365528	4659	1996-12-06	VYDAJ	VYBER	4200	31876	\N	\N	\N
1365530	4659	1998-12-20	VYDAJ	VYBER	6000	93086	\N	\N	\N
1365545	4659	1995-01-01	VYDAJ	VYBER	8100	26220	\N	\N	\N
1365546	4659	1995-01-06	VYDAJ	VYBER	8100	23184	\N	\N	\N
1365547	4659	1995-01-12	VYDAJ	VYBER	6300	16884	\N	\N	\N
1365549	4659	1996-01-14	VYDAJ	VYBER	8100	17680	\N	\N	\N
1365550	4659	1996-01-20	VYDAJ	VYBER	5700	11980	\N	\N	\N
1365551	4659	1996-01-10	VYDAJ	VYBER	1800	53980	\N	\N	\N
1365552	4659	1996-01-04	VYDAJ	VYBER	4200	64480	\N	\N	\N
1365553	4659	1996-01-26	VYDAJ	VYBER	2100	17980	\N	\N	\N
1365554	4659	1996-01-05	VYDAJ	VYBER	8700	55780	\N	\N	\N
1365555	4659	1997-01-08	VYDAJ	VYBER	1500	56853	\N	\N	\N
1365556	4659	1997-01-23	VYDAJ	VYBER	4800	40938	\N	\N	\N
1365557	4659	1997-01-28	VYDAJ	VYBER	1800	39138	\N	\N	\N
1365558	4659	1997-01-21	VYDAJ	VYBER	5400	45738	\N	\N	\N
1365559	4659	1997-01-16	VYDAJ	VYBER	3600	72138	\N	\N	\N
1365560	4659	1997-01-01	VYDAJ	VYBER	8700	58353	\N	\N	\N
1365565	4659	1998-01-07	VYDAJ	VYBER	7800	3265	\N	\N	\N
1365566	4659	1998-01-18	VYDAJ	VYBER	6000	5165	\N	\N	\N
1365569	4659	1994-05-10	VYDAJ	VYBER	9600	27860	\N	\N	\N
1365570	4659	1994-10-12	VYDAJ	VYBER	13200	24921	\N	\N	\N
1365571	4659	1994-06-05	VYDAJ	VYBER	6600	76320	\N	\N	\N
1365572	4659	1994-08-09	VYDAJ	VYBER	2400	32375	\N	\N	\N
1365574	4659	1995-07-04	VYDAJ	VYBER	3900	37845	\N	\N	\N
1365575	4659	1995-03-09	VYDAJ	VYBER	5100	31722	\N	\N	\N
1365576	4659	1995-07-27	VYDAJ	VYBER	14100	14145	\N	\N	\N
1365577	4659	1995-07-04	VYDAJ	VYBER	9600	28245	\N	\N	\N
1365578	4659	1995-11-16	VYDAJ	VYBER	12300	68062	\N	\N	\N
1365579	4659	1995-08-23	VYDAJ	VYBER	11400	45980	\N	\N	\N
1365580	4659	1996-07-31	VYDAJ	VYBER	7800	12480	\N	\N	\N
1365581	4659	1996-10-11	VYDAJ	VYBER	14400	31327	\N	\N	\N
1365582	4659	1996-04-29	VYDAJ	VYBER	9000	33086	\N	\N	\N
1365583	4659	1996-03-19	VYDAJ	VYBER	7200	84824	\N	\N	\N
1365584	4659	1996-09-04	VYDAJ	VYBER	6900	22328	\N	\N	\N
1365585	4659	1996-07-27	VYDAJ	VYBER	13800	4438	\N	\N	\N
1365586	4659	1996-11-25	VYDAJ	VYBER	12300	35868	\N	\N	\N
1365587	4659	1996-01-31	VYDAJ	VYBER	6300	6069	\N	\N	\N
1365588	4659	1997-11-10	VYDAJ	VYBER	12000	39516	\N	\N	\N
1365589	4659	1997-07-02	VYDAJ	VYBER	3600	17073	\N	\N	\N
1365590	4659	1997-11-28	VYDAJ	VYBER	10500	16316	\N	\N	\N
1365591	4659	1997-12-06	VYDAJ	VYBER	5400	11040	\N	\N	\N
1365592	4659	1997-12-08	VYDAJ	VYBER	6900	4140	\N	\N	\N
1365593	4659	1997-10-15	VYDAJ	VYBER	7500	50847	\N	\N	\N
1365594	4659	1998-08-14	VYDAJ	VYBER	11700	26744	\N	\N	\N
1365595	4659	1998-02-26	VYDAJ	VYBER	3000	58306	\N	\N	\N
1365596	4659	1998-08-05	VYDAJ	VYBER	13500	46574	\N	\N	\N
1365597	4659	1998-04-10	VYDAJ	VYBER	8700	48121	\N	\N	\N
1365598	4659	1998-10-17	VYDAJ	VYBER	12000	45168	\N	\N	\N
1365599	4659	1998-07-28	VYDAJ	VYBER	14700	81569	\N	\N	\N
1365616	4659	1994-04-30	VYDAJ	VYBER	15	54760	SLUZBY	\N	\N
1365617	4659	1994-05-31	VYDAJ	VYBER	15	82920	SLUZBY	\N	\N
1365618	4659	1994-06-30	VYDAJ	VYBER	15	76508	SLUZBY	\N	\N
1365619	4659	1994-07-31	VYDAJ	VYBER	15	42175	SLUZBY	\N	\N
1365620	4659	1994-08-31	VYDAJ	VYBER	15	32506	SLUZBY	\N	\N
1365621	4659	1994-09-30	VYDAJ	VYBER	15	23675	SLUZBY	\N	\N
1365622	4659	1994-10-31	VYDAJ	VYBER	15	25026	SLUZBY	\N	\N
1365623	4659	1994-11-30	VYDAJ	VYBER	15	71709	SLUZBY	\N	\N
1365624	4659	1994-12-31	VYDAJ	VYBER	15	34420	SLUZBY	\N	\N
1365625	4659	1995-01-31	VYDAJ	VYBER	15	13515	SLUZBY	\N	\N
1365626	4659	1995-02-28	VYDAJ	VYBER	15	53222	SLUZBY	\N	\N
1365627	4659	1995-03-31	VYDAJ	VYBER	15	31862	SLUZBY	\N	\N
1365628	4659	1995-04-30	VYDAJ	VYBER	15	52600	SLUZBY	\N	\N
1365629	4659	1995-05-31	VYDAJ	VYBER	15	64295	SLUZBY	\N	\N
1365630	4659	1995-06-30	VYDAJ	VYBER	15	41745	SLUZBY	\N	\N
1365631	4659	1995-07-31	VYDAJ	VYBER	15	21587	SLUZBY	\N	\N
1365632	4659	1995-08-31	VYDAJ	VYBER	15	41283	SLUZBY	\N	\N
1365633	4659	1995-09-30	VYDAJ	VYBER	15	35438	SLUZBY	\N	\N
1365634	4659	1995-10-31	VYDAJ	VYBER	15	33370	SLUZBY	\N	\N
1365635	4659	1995-11-30	VYDAJ	VYBER	15	46146	SLUZBY	\N	\N
1365636	4659	1995-12-31	VYDAJ	VYBER	15	25739	SLUZBY	\N	\N
1365637	4659	1996-01-31	VYDAJ	VYBER	15	6054	SLUZBY	\N	\N
1365638	4659	1996-02-29	VYDAJ	VYBER	15	32042	SLUZBY	\N	\N
1365639	4659	1996-03-31	VYDAJ	VYBER	15	57486	SLUZBY	\N	\N
1365640	4659	1996-04-30	VYDAJ	VYBER	15	33302	SLUZBY	\N	\N
1365641	4659	1996-05-31	VYDAJ	VYBER	15	79485	SLUZBY	\N	\N
1365642	4659	1996-06-30	VYDAJ	VYBER	15	39177	SLUZBY	\N	\N
1365643	4659	1996-07-31	VYDAJ	VYBER	15	20280	SLUZBY	\N	\N
1365644	4659	1996-08-31	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
1365645	4659	1996-09-30	VYDAJ	VYBER	15	45727	SLUZBY	\N	\N
1365646	4659	1996-10-31	VYDAJ	VYBER	15	51347	SLUZBY	\N	\N
1365647	4659	1996-11-30	VYDAJ	VYBER	15	36076	SLUZBY	\N	\N
1365648	4659	1996-12-31	VYDAJ	VYBER	15	67053	SLUZBY	\N	\N
1365649	4659	1997-01-31	VYDAJ	VYBER	15	39354	SLUZBY	\N	\N
1365650	4659	1997-02-28	VYDAJ	VYBER	15	62999	SLUZBY	\N	\N
1365651	4659	1997-03-31	VYDAJ	VYBER	15	31056	SLUZBY	\N	\N
1365652	4659	1997-04-30	VYDAJ	VYBER	15	53531	SLUZBY	\N	\N
1365653	4659	1997-05-31	VYDAJ	VYBER	15	39035	SLUZBY	\N	\N
1365654	4659	1997-06-30	VYDAJ	VYBER	15	20673	SLUZBY	\N	\N
1365655	4659	1997-07-31	VYDAJ	VYBER	15	70243	SLUZBY	\N	\N
1365656	4659	1997-08-31	VYDAJ	VYBER	15	50415	SLUZBY	\N	\N
1365657	4659	1997-09-30	VYDAJ	VYBER	15	58347	SLUZBY	\N	\N
1365658	4659	1997-10-31	VYDAJ	VYBER	15	38432	SLUZBY	\N	\N
1365659	4659	1997-11-30	VYDAJ	VYBER	15	16440	SLUZBY	\N	\N
1365660	4659	1997-12-31	VYDAJ	VYBER	15	11065	SLUZBY	\N	\N
1365661	4659	1998-01-31	VYDAJ	VYBER	15	5182	SLUZBY	\N	\N
1365662	4659	1998-02-28	VYDAJ	VYBER	15	58439	SLUZBY	\N	\N
1365663	4659	1998-03-31	VYDAJ	VYBER	15	40961	SLUZBY	\N	\N
1365664	4659	1998-04-30	VYDAJ	VYBER	15	35627	SLUZBY	\N	\N
1365665	4659	1998-05-31	VYDAJ	VYBER	15	45640	SLUZBY	\N	\N
1365666	4659	1998-06-30	VYDAJ	VYBER	15	60830	SLUZBY	\N	\N
1365667	4659	1998-07-31	VYDAJ	VYBER	15	81819	SLUZBY	\N	\N
1365668	4659	1998-08-31	VYDAJ	VYBER	15	56216	SLUZBY	\N	\N
1365669	4659	1998-09-30	VYDAJ	VYBER	15	80668	SLUZBY	\N	\N
1365670	4659	1998-10-31	VYDAJ	VYBER	15	45412	SLUZBY	\N	\N
1365671	4659	1998-11-30	VYDAJ	VYBER	15	93536	SLUZBY	\N	\N
1365672	4659	1993-11-07	PRIJEM	VKLAD	14100	15000	\N	\N	\N
1365673	4659	1993-12-07	PRIJEM	VKLAD	5500	20500	\N	\N	\N
1365674	4659	1994-01-06	VYDAJ	VYBER	17800	46751	\N	\N	\N
1365675	4659	1994-02-05	VYDAJ	VYBER	30600	55672	\N	\N	\N
1365676	4659	1994-03-07	VYDAJ	VYBER	16900	39130	\N	\N	\N
1365677	4659	1994-04-03	VYDAJ	VYBER	21900	83923	\N	\N	\N
1365678	4659	1994-04-06	VYDAJ	VYBER	29400	54523	\N	\N	\N
1365679	4659	1994-05-06	VYDAJ	VYBER	17300	37460	\N	\N	\N
1365680	4659	1994-06-05	VYDAJ	VYBER	26800	49520	\N	\N	\N
1365681	4659	1994-06-15	VYDAJ	VYBER	31100	76235	\N	\N	\N
1365682	4659	1994-07-05	VYDAJ	VYBER	24800	51708	\N	\N	\N
1365683	4659	1994-08-04	VYDAJ	VYBER	7400	34775	\N	\N	\N
1365684	4659	1994-09-03	VYDAJ	VYBER	2900	29606	\N	\N	\N
1365685	4659	1994-10-03	VYDAJ	VYBER	16700	38121	\N	\N	\N
1365686	4659	1994-11-02	VYDAJ	VYBER	2000	23026	\N	\N	\N
1365687	4659	1994-12-02	VYDAJ	VYBER	21500	50209	\N	\N	\N
1365688	4659	1995-01-01	VYDAJ	VYBER	100	34320	\N	\N	\N
1365689	4659	1995-01-31	PRIJEM	VKLAD	14600	13484	\N	\N	\N
1365690	4659	1995-03-02	VYDAJ	VYBER	16400	36822	\N	\N	\N
1365691	4659	1995-04-01	VYDAJ	VYBER	4700	27162	\N	\N	\N
1365692	4659	1995-05-01	VYDAJ	VYBER	23600	50540	\N	\N	\N
1365693	4659	1995-05-31	VYDAJ	VYBER	30500	64309	\N	\N	\N
1365694	4659	1995-06-30	VYDAJ	VYBER	7800	41760	\N	\N	\N
1365695	4659	1995-07-30	PRIJEM	VKLAD	12400	21485	\N	\N	\N
1365696	4659	1995-08-29	VYDAJ	VYBER	4800	41180	\N	\N	\N
1365697	4659	1995-09-28	VYDAJ	VYBER	6000	35283	\N	\N	\N
1365698	4659	1995-10-28	VYDAJ	VYBER	2200	33238	\N	\N	\N
1365699	4659	1995-11-27	VYDAJ	VYBER	22100	45962	\N	\N	\N
1365700	4659	1995-12-27	PRIJEM	VKLAD	3500	25592	\N	\N	\N
1365701	4659	1996-01-26	PRIJEM	VKLAD	8100	20080	\N	\N	\N
1365702	4659	1996-02-25	VYDAJ	VYBER	3500	31992	\N	\N	\N
1365703	4659	1996-03-26	VYDAJ	VYBER	27600	57224	\N	\N	\N
1365704	4659	1996-04-25	VYDAJ	VYBER	15400	42086	\N	\N	\N
1365705	4659	1996-05-25	VYDAJ	VYBER	25500	53538	\N	\N	\N
1365706	4659	1996-06-24	VYDAJ	VYBER	23500	55985	\N	\N	\N
1365707	4659	1996-07-24	PRIJEM	VKLAD	11000	18238	\N	\N	\N
1365708	4659	1996-08-23	PRIJEM	VKLAD	5100	29146	\N	\N	\N
1365709	4659	1996-09-22	PRIJEM	VKLAD	7400	29728	\N	\N	\N
1365710	4659	1996-10-22	VYDAJ	VYBER	22800	51143	\N	\N	\N
1365711	4659	1996-11-21	VYDAJ	VYBER	15500	48168	\N	\N	\N
1365712	4659	1996-12-21	VYDAJ	VYBER	33300	66857	\N	\N	\N
1365713	4659	1997-01-20	VYDAJ	VYBER	21000	51138	\N	\N	\N
1365714	4659	1997-02-11	VYDAJ	VYBER	26400	89027	\N	\N	\N
1365715	4659	1997-02-19	VYDAJ	VYBER	26300	62727	\N	\N	\N
1365716	4659	1997-03-21	VYDAJ	VYBER	21800	49195	\N	\N	\N
1365717	4659	1997-04-20	VYDAJ	VYBER	23200	53385	\N	\N	\N
1365718	4659	1997-05-20	VYDAJ	VYBER	14700	38831	\N	\N	\N
1365719	4659	1997-06-19	PRIJEM	VKLAD	8700	22994	\N	\N	\N
1365720	4659	1997-07-19	PRIJEM	VKLAD	2600	26287	\N	\N	\N
1365721	4659	1997-08-18	VYDAJ	VYBER	20100	50143	\N	\N	\N
1365722	4659	1997-09-17	VYDAJ	VYBER	35100	58128	\N	\N	\N
1365723	4659	1997-10-17	VYDAJ	VYBER	12600	38247	\N	\N	\N
1365724	4659	1997-11-16	VYDAJ	VYBER	12700	26816	\N	\N	\N
1365725	4659	1997-12-16	PRIJEM	VKLAD	6900	11040	\N	\N	\N
1365726	4659	1998-01-15	PRIJEM	VKLAD	7900	11165	\N	\N	\N
1365727	4659	1998-02-14	VYDAJ	VYBER	25100	43192	\N	\N	\N
1365728	4659	1998-03-16	VYDAJ	VYBER	34900	47951	\N	\N	\N
1365729	4659	1998-04-15	VYDAJ	VYBER	19700	28421	\N	\N	\N
1365730	4659	1998-05-15	VYDAJ	VYBER	28000	45473	\N	\N	\N
1365731	4659	1998-06-14	VYDAJ	VYBER	16600	29040	\N	\N	\N
1365732	4659	1998-07-14	VYDAJ	VYBER	21200	39630	\N	\N	\N
1365733	4659	1998-08-13	VYDAJ	VYBER	8900	38444	\N	\N	\N
1365734	4659	1998-09-12	VYDAJ	VYBER	15500	40716	\N	\N	\N
1365735	4659	1998-10-12	VYDAJ	VYBER	23500	57168	\N	\N	\N
1365736	4659	1998-11-11	VYDAJ	VYBER	12900	32512	\N	\N	\N
1365737	4659	1998-12-11	VYDAJ	VYBER	44300	63311	\N	\N	\N
1365805	4660	1997-01-03	PRIJEM	VKLAD	800	800	\N	\N	\N
1365806	4660	1997-01-10	PRIJEM	PREVOD Z UCTU	31480	32280	\N	CD	81680118
1365807	4660	1997-02-10	PRIJEM	PREVOD Z UCTU	31480	62455	\N	CD	81680118
1365808	4660	1997-03-10	PRIJEM	PREVOD Z UCTU	31480	73655	\N	CD	81680118
1365809	4660	1997-04-10	PRIJEM	PREVOD Z UCTU	31480	79529	\N	CD	81680118
1365810	4660	1997-05-10	PRIJEM	PREVOD Z UCTU	31480	83933	\N	CD	81680118
1365811	4660	1997-06-10	PRIJEM	PREVOD Z UCTU	47220	63540	\N	CD	81680118
1365812	4660	1997-07-10	PRIJEM	PREVOD Z UCTU	31480	31538	\N	CD	81680118
1365813	4660	1997-08-10	PRIJEM	PREVOD Z UCTU	31480	53598	\N	CD	81680118
1365814	4660	1997-09-10	PRIJEM	PREVOD Z UCTU	31480	58831	\N	CD	81680118
1365815	4660	1997-10-10	PRIJEM	PREVOD Z UCTU	31480	62245	\N	CD	81680118
1365816	4660	1997-11-10	PRIJEM	PREVOD Z UCTU	31480	64051	\N	CD	81680118
1365817	4660	1997-12-10	PRIJEM	PREVOD Z UCTU	47220	77678	\N	CD	81680118
1365818	4660	1998-01-10	PRIJEM	PREVOD Z UCTU	31480	74595	\N	CD	81680118
1365819	4660	1998-02-10	PRIJEM	PREVOD Z UCTU	31480	49283	\N	CD	81680118
1365820	4660	1998-03-10	PRIJEM	PREVOD Z UCTU	31480	57612	\N	CD	81680118
1365821	4660	1998-04-10	PRIJEM	PREVOD Z UCTU	31480	48290	\N	CD	81680118
1365822	4660	1998-05-10	PRIJEM	PREVOD Z UCTU	31480	51501	\N	CD	81680118
1365823	4660	1998-06-10	PRIJEM	PREVOD Z UCTU	47220	71864	\N	CD	81680118
1365824	4660	1998-07-10	PRIJEM	PREVOD Z UCTU	31480	59942	\N	CD	81680118
1365825	4660	1998-08-10	PRIJEM	PREVOD Z UCTU	31480	54691	\N	CD	81680118
1365826	4660	1998-09-10	PRIJEM	PREVOD Z UCTU	31480	47119	\N	CD	81680118
1365827	4660	1998-10-10	PRIJEM	PREVOD Z UCTU	31480	43417	\N	CD	81680118
1365828	4660	1998-11-10	PRIJEM	PREVOD Z UCTU	31480	43995	\N	CD	81680118
1365829	4660	1998-12-10	PRIJEM	PREVOD Z UCTU	47220	53749	\N	CD	81680118
1365834	4660	1997-05-26	VYDAJ	VYBER	5400	54046	\N	\N	0
1365835	4660	1997-06-12	VYDAJ	PREVOD NA UCET	4456	56526	UVER	QR	35342312
1365836	4660	1997-07-12	VYDAJ	PREVOD NA UCET	4456	24524	UVER	QR	35342312
1365837	4660	1997-08-12	VYDAJ	PREVOD NA UCET	4456	46584	UVER	QR	35342312
1365838	4660	1997-09-12	VYDAJ	PREVOD NA UCET	4456	51817	UVER	QR	35342312
1365839	4660	1997-10-12	VYDAJ	PREVOD NA UCET	4456	55231	UVER	QR	35342312
1365840	4660	1997-11-12	VYDAJ	PREVOD NA UCET	4456	57037	UVER	QR	35342312
1365841	4660	1997-12-12	VYDAJ	PREVOD NA UCET	4456	70664	UVER	QR	35342312
1365842	4660	1998-01-12	VYDAJ	PREVOD NA UCET	4456	67581	UVER	QR	35342312
1365843	4660	1998-02-12	VYDAJ	PREVOD NA UCET	4456	42269	UVER	QR	35342312
1365844	4660	1998-03-12	VYDAJ	PREVOD NA UCET	4456	30877	UVER	QR	35342312
1365845	4660	1998-04-12	VYDAJ	PREVOD NA UCET	4456	41276	UVER	QR	35342312
1365846	4660	1998-05-12	VYDAJ	PREVOD NA UCET	4456	44487	UVER	QR	35342312
1365847	4660	1998-06-12	VYDAJ	PREVOD NA UCET	4456	64850	UVER	QR	35342312
1365848	4660	1998-07-12	VYDAJ	PREVOD NA UCET	4456	52928	UVER	QR	35342312
1365849	4660	1998-08-12	VYDAJ	PREVOD NA UCET	4456	47677	UVER	QR	35342312
1365850	4660	1998-09-12	VYDAJ	PREVOD NA UCET	4456	40105	UVER	QR	35342312
1365851	4660	1998-10-12	VYDAJ	PREVOD NA UCET	4456	36403	UVER	QR	35342312
1365852	4660	1998-11-12	VYDAJ	PREVOD NA UCET	4456	36981	UVER	QR	35342312
1365853	4660	1998-12-12	VYDAJ	PREVOD NA UCET	4456	44335	UVER	QR	35342312
1365858	4660	1997-05-10	VYDAJ	PREVOD NA UCET	2121	81812	SIPO	QR	85892647
1365859	4660	1997-06-10	VYDAJ	PREVOD NA UCET	2121	61419	SIPO	QR	85892647
1365860	4660	1997-07-10	VYDAJ	PREVOD NA UCET	2121	29417	SIPO	QR	85892647
1365861	4660	1997-08-10	VYDAJ	PREVOD NA UCET	2121	51477	SIPO	QR	85892647
1365862	4660	1997-09-10	VYDAJ	PREVOD NA UCET	2121	56710	SIPO	QR	85892647
1365863	4660	1997-10-10	VYDAJ	PREVOD NA UCET	2121	60124	SIPO	QR	85892647
1365864	4660	1997-11-10	VYDAJ	PREVOD NA UCET	2121	61930	SIPO	QR	85892647
1365865	4660	1997-12-10	VYDAJ	PREVOD NA UCET	2121	75557	SIPO	QR	85892647
1365866	4660	1998-01-10	VYDAJ	PREVOD NA UCET	2121	72474	SIPO	QR	85892647
1365867	4660	1998-02-10	VYDAJ	PREVOD NA UCET	2121	47162	SIPO	QR	85892647
1365868	4660	1998-03-10	VYDAJ	PREVOD NA UCET	2121	35770	SIPO	QR	85892647
1365869	4660	1998-04-10	VYDAJ	PREVOD NA UCET	2121	46169	SIPO	QR	85892647
1365870	4660	1998-05-10	VYDAJ	PREVOD NA UCET	2121	49380	SIPO	QR	85892647
1365871	4660	1998-06-10	VYDAJ	PREVOD NA UCET	2121	69743	SIPO	QR	85892647
1365872	4660	1998-07-10	VYDAJ	PREVOD NA UCET	2121	57821	SIPO	QR	85892647
1365873	4660	1998-08-10	VYDAJ	PREVOD NA UCET	2121	52570	SIPO	QR	85892647
1365874	4660	1998-09-10	VYDAJ	PREVOD NA UCET	2121	44998	SIPO	QR	85892647
1365875	4660	1998-10-10	VYDAJ	PREVOD NA UCET	2121	41296	SIPO	QR	85892647
1365876	4660	1998-11-10	VYDAJ	PREVOD NA UCET	2121	41874	SIPO	QR	85892647
1365877	4660	1998-12-10	VYDAJ	PREVOD NA UCET	2121	51628	SIPO	QR	85892647
1365883	4660	1997-06-07	VYDAJ	PREVOD NA UCET	475	16320	 	UV	85081994
1365884	4660	1997-07-07	VYDAJ	PREVOD NA UCET	475	58	 	UV	85081994
1365885	4660	1997-08-07	VYDAJ	PREVOD NA UCET	475	22118	 	UV	85081994
1365886	4660	1997-09-07	VYDAJ	PREVOD NA UCET	475	27351	 	UV	85081994
1365887	4660	1997-10-07	VYDAJ	PREVOD NA UCET	475	30765	 	UV	85081994
1365888	4660	1997-11-07	VYDAJ	PREVOD NA UCET	475	39339	 	UV	85081994
1365889	4660	1997-12-07	VYDAJ	PREVOD NA UCET	475	30458	 	UV	85081994
1365890	4660	1998-01-07	VYDAJ	PREVOD NA UCET	475	43115	 	UV	85081994
1365891	4660	1998-02-07	VYDAJ	PREVOD NA UCET	475	17803	 	UV	85081994
1365892	4660	1998-03-07	VYDAJ	PREVOD NA UCET	475	26132	 	UV	85081994
1365893	4660	1998-04-07	VYDAJ	PREVOD NA UCET	475	16810	 	UV	85081994
1365894	4660	1998-05-07	VYDAJ	PREVOD NA UCET	475	20021	 	UV	85081994
1365895	4660	1998-06-07	VYDAJ	PREVOD NA UCET	475	24644	 	UV	85081994
1365896	4660	1998-07-07	VYDAJ	PREVOD NA UCET	475	28462	 	UV	85081994
1365897	4660	1998-08-07	VYDAJ	PREVOD NA UCET	475	23211	 	UV	85081994
1365898	4660	1998-09-07	VYDAJ	PREVOD NA UCET	475	15639	 	UV	85081994
1365899	4660	1998-10-07	VYDAJ	PREVOD NA UCET	475	11937	 	UV	85081994
1365900	4660	1998-11-07	VYDAJ	PREVOD NA UCET	475	12515	 	UV	85081994
1365901	4660	1998-12-07	VYDAJ	PREVOD NA UCET	475	6529	 	UV	85081994
1365906	4660	1997-05-11	VYDAJ	PREVOD NA UCET	437	81375	POJISTNE	MN	76798975
1365907	4660	1997-06-11	VYDAJ	PREVOD NA UCET	437	60982	POJISTNE	MN	76798975
1365908	4660	1997-07-11	VYDAJ	PREVOD NA UCET	437	28980	POJISTNE	MN	76798975
1365909	4660	1997-08-11	VYDAJ	PREVOD NA UCET	437	51040	POJISTNE	MN	76798975
1365910	4660	1997-09-11	VYDAJ	PREVOD NA UCET	437	56273	POJISTNE	MN	76798975
1365911	4660	1997-10-11	VYDAJ	PREVOD NA UCET	437	59687	POJISTNE	MN	76798975
1365912	4660	1997-11-11	VYDAJ	PREVOD NA UCET	437	61493	POJISTNE	MN	76798975
1365913	4660	1997-12-11	VYDAJ	PREVOD NA UCET	437	75120	POJISTNE	MN	76798975
1365914	4660	1998-01-11	VYDAJ	PREVOD NA UCET	437	72037	POJISTNE	MN	76798975
1365915	4660	1998-02-11	VYDAJ	PREVOD NA UCET	437	46725	POJISTNE	MN	76798975
1365916	4660	1998-03-11	VYDAJ	PREVOD NA UCET	437	35333	POJISTNE	MN	76798975
1365917	4660	1998-04-11	VYDAJ	PREVOD NA UCET	437	45732	POJISTNE	MN	76798975
1365918	4660	1998-05-11	VYDAJ	PREVOD NA UCET	437	48943	POJISTNE	MN	76798975
1365919	4660	1998-06-11	VYDAJ	PREVOD NA UCET	437	69306	POJISTNE	MN	76798975
1365920	4660	1998-07-11	VYDAJ	PREVOD NA UCET	437	57384	POJISTNE	MN	76798975
1365921	4660	1998-08-11	VYDAJ	PREVOD NA UCET	437	52133	POJISTNE	MN	76798975
1365922	4660	1998-09-11	VYDAJ	PREVOD NA UCET	437	44561	POJISTNE	MN	76798975
1365923	4660	1998-10-11	VYDAJ	PREVOD NA UCET	437	40859	POJISTNE	MN	76798975
1365924	4660	1998-11-11	VYDAJ	PREVOD NA UCET	437	41437	POJISTNE	MN	76798975
1365925	4660	1998-12-11	VYDAJ	PREVOD NA UCET	437	48791	POJISTNE	MN	76798975
1365927	4660	1997-09-28	VYBER	VYBER	7545	44272	\N	\N	\N
1365928	4660	1997-07-04	VYBER	VYBER	22100	533	\N	\N	\N
1365930	4660	1997-11-09	VYBER	VYBER	6768	32571	\N	\N	\N
1365931	4660	1997-05-25	VYBER	VYBER	21929	59446	\N	\N	\N
1365932	4660	1997-06-05	VYBER	VYBER	20944	16795	\N	\N	\N
1365933	4660	1998-03-10	VYBER	VYBER	19721	37891	\N	\N	\N
1365934	4660	1998-11-29	VYBER	VYBER	4961	6920	\N	\N	\N
1365935	4660	1997-06-15	VYDAJ	VYBER	27300	21126	\N	\N	\N
1365938	4660	1998-01-16	VYDAJ	VYBER	13800	53781	\N	\N	\N
1365939	4660	1997-12-04	VYDAJ	VYBER	5400	30933	\N	\N	\N
1365940	4660	1998-12-11	VYDAJ	VYBER	2400	49228	\N	\N	\N
1365942	4660	1997-08-22	VYDAJ	VYBER	7200	39384	\N	\N	\N
1365943	4660	1997-06-13	VYDAJ	VYBER	8100	48426	\N	\N	\N
1365945	4660	1997-05-28	VYDAJ	VYBER	8400	45646	\N	\N	\N
1365947	4660	1998-09-06	VYDAJ	VYBER	7800	16114	\N	\N	\N
1365948	4660	1998-04-30	VYDAJ	VYBER	3000	20511	\N	\N	\N
1365949	4660	1998-02-07	VYDAJ	VYBER	13200	18278	\N	\N	\N
1365950	4660	1998-12-19	VYDAJ	VYBER	9300	35035	\N	\N	\N
1365956	4660	1997-05-31	VYDAJ	VYBER	15	45939	SLUZBY	\N	\N
1365957	4660	1997-06-30	VYDAJ	VYBER	15	21233	SLUZBY	\N	\N
1365958	4660	1997-07-31	VYDAJ	VYBER	15	24593	SLUZBY	\N	\N
1365959	4660	1997-08-31	VYDAJ	VYBER	15	27826	SLUZBY	\N	\N
1365960	4660	1997-09-30	VYDAJ	VYBER	15	44440	SLUZBY	\N	\N
1365961	4660	1997-10-31	VYDAJ	VYBER	15	39814	SLUZBY	\N	\N
1365962	4660	1997-11-30	VYDAJ	VYBER	15	36333	SLUZBY	\N	\N
1365963	4660	1997-12-31	VYDAJ	VYBER	15	43590	SLUZBY	\N	\N
1365964	4660	1998-01-31	VYDAJ	VYBER	15	31478	SLUZBY	\N	\N
1365965	4660	1998-02-28	VYDAJ	VYBER	15	26607	SLUZBY	\N	\N
1365966	4660	1998-03-31	VYDAJ	VYBER	15	17285	SLUZBY	\N	\N
1365967	4660	1998-04-30	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
1365968	4660	1998-05-31	VYDAJ	VYBER	15	25119	SLUZBY	\N	\N
1365969	4660	1998-06-30	VYDAJ	VYBER	15	28937	SLUZBY	\N	\N
1365970	4660	1998-07-31	VYDAJ	VYBER	15	23686	SLUZBY	\N	\N
1365971	4660	1998-08-31	VYDAJ	VYBER	15	23914	SLUZBY	\N	\N
1365972	4660	1998-09-30	VYDAJ	VYBER	15	12412	SLUZBY	\N	\N
1365973	4660	1998-10-31	VYDAJ	VYBER	15	12990	SLUZBY	\N	\N
1365974	4660	1998-11-30	VYDAJ	VYBER	15	7004	SLUZBY	\N	\N
1365975	4660	1997-02-02	VYDAJ	VYBER	1400	30976	\N	\N	\N
1365976	4660	1997-03-04	VYDAJ	VYBER	20500	42175	\N	\N	\N
1365977	4660	1997-04-03	VYDAJ	VYBER	25900	48049	\N	\N	\N
1365978	4660	1997-05-03	VYDAJ	VYBER	27400	52453	\N	\N	\N
1365979	4660	1997-06-02	VYDAJ	VYBER	8200	37739	\N	\N	\N
1365980	4660	1997-07-02	PRIJEM	VKLAD	1400	22633	\N	\N	\N
1365981	4660	1997-08-01	VYDAJ	VYBER	2000	22593	\N	\N	\N
1365982	4660	1997-08-31	VYDAJ	VYBER	11700	27840	\N	\N	\N
1365983	4660	1997-09-30	VYDAJ	VYBER	13200	31240	\N	\N	\N
1365984	4660	1997-10-30	VYDAJ	VYBER	15600	39631	\N	\N	\N
1365985	4660	1997-11-29	VYDAJ	VYBER	20900	36137	\N	\N	\N
1365986	4660	1997-12-29	VYDAJ	VYBER	27300	43364	\N	\N	\N
1365987	4660	1998-01-28	VYDAJ	VYBER	22500	31281	\N	\N	\N
1365988	4660	1998-02-27	VYDAJ	VYBER	15800	26469	\N	\N	\N
1365989	4660	1998-03-29	VYDAJ	VYBER	13700	17177	\N	\N	\N
1365990	4660	1998-04-28	VYDAJ	VYBER	17900	23376	\N	\N	\N
1365991	4660	1998-05-28	VYDAJ	VYBER	19500	24987	\N	\N	\N
1365992	4660	1998-06-27	VYDAJ	VYBER	36100	28750	\N	\N	\N
1365993	4660	1998-07-27	VYDAJ	VYBER	29400	23528	\N	\N	\N
1365994	4660	1998-08-26	VYDAJ	VYBER	23900	23777	\N	\N	\N
1365995	4660	1998-09-25	VYDAJ	VYBER	27800	12305	\N	\N	\N
1365996	4660	1998-10-25	VYDAJ	VYBER	23500	12903	\N	\N	\N
1365997	4660	1998-11-24	VYDAJ	VYBER	25100	11881	\N	\N	\N
1372288	4681	1995-08-08	PRIJEM	VKLAD	200	20528	\N	\N	\N
1372296	4681	1995-08-08	PRIJEM	PREVOD Z UCTU	20328	20328	\N	OP	19404459
1372297	4681	1995-09-08	PRIJEM	PREVOD Z UCTU	20328	42822	\N	OP	19404459
1372298	4681	1995-10-08	PRIJEM	PREVOD Z UCTU	20328	56306	\N	OP	19404459
1372299	4681	1995-11-08	PRIJEM	PREVOD Z UCTU	20328	58456	\N	OP	19404459
1372300	4681	1995-12-08	PRIJEM	PREVOD Z UCTU	30492	73290	\N	OP	19404459
1372301	4681	1996-01-08	PRIJEM	PREVOD Z UCTU	20328	55643	\N	OP	19404459
1372302	4681	1996-02-08	PRIJEM	PREVOD Z UCTU	20328	37597	\N	OP	19404459
1372303	4681	1996-03-08	PRIJEM	PREVOD Z UCTU	20328	38805	\N	OP	19404459
1372304	4681	1996-04-08	PRIJEM	PREVOD Z UCTU	20328	46323	\N	OP	19404459
1372305	4681	1996-05-08	PRIJEM	PREVOD Z UCTU	20328	45263	\N	OP	19404459
1372306	4681	1996-06-08	PRIJEM	PREVOD Z UCTU	30492	57863	\N	OP	19404459
1372307	4681	1996-07-08	PRIJEM	PREVOD Z UCTU	20328	48842	\N	OP	19404459
1372308	4681	1996-08-08	PRIJEM	PREVOD Z UCTU	20328	48800	\N	OP	19404459
1372309	4681	1996-09-08	PRIJEM	PREVOD Z UCTU	20328	47152	\N	OP	19404459
1372310	4681	1996-10-08	PRIJEM	PREVOD Z UCTU	20328	44493	\N	OP	19404459
1372311	4681	1996-11-08	PRIJEM	PREVOD Z UCTU	20328	38174	\N	OP	19404459
1372312	4681	1996-12-08	PRIJEM	PREVOD Z UCTU	30492	57848	\N	OP	19404459
1372313	4681	1997-01-08	PRIJEM	PREVOD Z UCTU	20328	45111	\N	OP	19404459
1372314	4681	1997-02-08	PRIJEM	PREVOD Z UCTU	20328	36728	\N	OP	19404459
1372315	4681	1997-03-08	PRIJEM	PREVOD Z UCTU	20328	44431	\N	OP	19404459
1372316	4681	1997-04-08	PRIJEM	PREVOD Z UCTU	20328	48564	\N	OP	19404459
1372317	4681	1997-05-08	PRIJEM	PREVOD Z UCTU	20328	47817	\N	OP	19404459
1372318	4681	1997-06-08	PRIJEM	PREVOD Z UCTU	30492	53026	\N	OP	19404459
1372319	4681	1997-07-08	PRIJEM	PREVOD Z UCTU	20328	45684	\N	OP	19404459
1372320	4681	1997-08-08	PRIJEM	PREVOD Z UCTU	20328	42017	\N	OP	19404459
1372321	4681	1997-09-08	PRIJEM	PREVOD Z UCTU	20328	37637	\N	OP	19404459
1372322	4681	1997-10-08	PRIJEM	PREVOD Z UCTU	20328	34840	\N	OP	19404459
1372323	4681	1997-11-08	PRIJEM	PREVOD Z UCTU	20328	36232	\N	OP	19404459
1372324	4681	1997-12-08	PRIJEM	PREVOD Z UCTU	30492	50297	\N	OP	19404459
1372325	4681	1998-01-08	PRIJEM	PREVOD Z UCTU	20328	47439	\N	OP	19404459
1372326	4681	1998-02-08	PRIJEM	PREVOD Z UCTU	20328	42074	\N	OP	19404459
1372327	4681	1998-03-08	PRIJEM	PREVOD Z UCTU	20328	42794	\N	OP	19404459
1372328	4681	1998-04-08	PRIJEM	PREVOD Z UCTU	20328	48222	\N	OP	19404459
1372329	4681	1998-05-08	PRIJEM	PREVOD Z UCTU	20328	52772	\N	OP	19404459
1372330	4681	1998-06-08	PRIJEM	PREVOD Z UCTU	30492	62498	\N	OP	19404459
1372331	4681	1998-07-08	PRIJEM	PREVOD Z UCTU	20328	51712	\N	OP	19404459
1372332	4681	1998-08-08	PRIJEM	PREVOD Z UCTU	20328	50968	\N	OP	19404459
1372333	4681	1998-09-08	PRIJEM	PREVOD Z UCTU	20328	48412	\N	OP	19404459
1372334	4681	1998-10-08	PRIJEM	PREVOD Z UCTU	20328	54963	\N	OP	19404459
1372335	4681	1998-11-08	PRIJEM	PREVOD Z UCTU	20328	48586	\N	OP	19404459
1372336	4681	1998-12-08	PRIJEM	PREVOD Z UCTU	30492	64864	\N	OP	19404459
1372348	4681	1995-12-18	VYDAJ	VYBER	2800	65474	\N	\N	0
1372349	4681	1996-01-11	VYDAJ	VYBER	3000	47627	\N	\N	0
1372350	4681	1996-02-01	VYDAJ	VYBER	4600	20984	\N	\N	0
1372351	4681	1996-03-07	VYDAJ	VYBER	2600	18477	\N	\N	0
1372352	4681	1996-04-16	VYDAJ	VYBER	2300	39007	\N	\N	0
1372353	4681	1996-05-14	VYDAJ	VYBER	3200	37047	\N	\N	0
1372354	4681	1996-06-17	VYDAJ	VYBER	2800	50047	\N	\N	0
1372355	4681	1996-07-17	VYDAJ	VYBER	2800	41026	\N	\N	0
1372356	4681	1996-08-11	VYDAJ	VYBER	2200	41584	\N	\N	0
1372357	4681	1996-09-20	VYDAJ	VYBER	3000	39136	\N	\N	0
1372358	4681	1996-10-13	VYDAJ	VYBER	2900	36577	\N	\N	0
1372359	4681	1996-11-06	VYDAJ	VYBER	2800	17846	\N	\N	0
1372360	4681	1996-12-10	VYDAJ	VYBER	2900	49932	\N	\N	0
1372361	4681	1997-01-09	VYDAJ	VYBER	2600	42511	\N	\N	0
1372362	4681	1997-02-03	VYDAJ	VYBER	4500	20915	\N	\N	0
1372363	4681	1997-03-22	VYDAJ	VYBER	4200	35215	\N	\N	0
1372364	4681	1997-04-12	VYDAJ	PREVOD NA UCET	3388	40160	UVER	ST	8383214
1372365	4681	1997-05-12	VYDAJ	PREVOD NA UCET	3388	39413	UVER	ST	8383214
1372366	4681	1997-06-12	VYDAJ	PREVOD NA UCET	3388	44622	UVER	ST	8383214
1372367	4681	1997-07-12	VYDAJ	PREVOD NA UCET	3388	37280	UVER	ST	8383214
1372368	4681	1997-08-12	VYDAJ	PREVOD NA UCET	3388	33613	UVER	ST	8383214
1372369	4681	1997-09-12	VYDAJ	PREVOD NA UCET	3388	29233	UVER	ST	8383214
1372370	4681	1997-10-12	VYDAJ	PREVOD NA UCET	3388	26436	UVER	ST	8383214
1372371	4681	1997-11-12	VYDAJ	PREVOD NA UCET	3388	27828	UVER	ST	8383214
1372372	4681	1997-12-12	VYDAJ	PREVOD NA UCET	3388	41893	UVER	ST	8383214
1372373	4681	1998-01-12	VYDAJ	PREVOD NA UCET	3388	39035	UVER	ST	8383214
1372374	4681	1998-02-12	VYDAJ	PREVOD NA UCET	3388	33670	UVER	ST	8383214
1372375	4681	1998-03-12	VYDAJ	PREVOD NA UCET	3388	34390	UVER	ST	8383214
1372376	4681	1998-04-12	VYDAJ	PREVOD NA UCET	3388	39818	UVER	ST	8383214
1372377	4681	1998-05-12	VYDAJ	PREVOD NA UCET	3388	44368	UVER	ST	8383214
1372378	4681	1998-06-12	VYDAJ	PREVOD NA UCET	3388	47839	UVER	ST	8383214
1372379	4681	1998-07-12	VYDAJ	PREVOD NA UCET	3388	43308	UVER	ST	8383214
1372380	4681	1998-08-12	VYDAJ	PREVOD NA UCET	3388	42564	UVER	ST	8383214
1372381	4681	1998-09-12	VYDAJ	PREVOD NA UCET	3388	40008	UVER	ST	8383214
1372382	4681	1998-10-12	VYDAJ	PREVOD NA UCET	3388	46559	UVER	ST	8383214
1372383	4681	1998-11-12	VYDAJ	PREVOD NA UCET	3388	40182	UVER	ST	8383214
1372384	4681	1998-12-12	VYDAJ	PREVOD NA UCET	3388	54060	UVER	ST	8383214
1372396	4681	1995-12-09	VYDAJ	PREVOD NA UCET	5016	68274	SIPO	CD	50554043
1372397	4681	1996-01-09	VYDAJ	PREVOD NA UCET	5016	50627	SIPO	CD	50554043
1372398	4681	1996-02-09	VYDAJ	PREVOD NA UCET	5016	32581	SIPO	CD	50554043
1372399	4681	1996-03-09	VYDAJ	PREVOD NA UCET	5016	33789	SIPO	CD	50554043
1372400	4681	1996-04-09	VYDAJ	PREVOD NA UCET	5016	41307	SIPO	CD	50554043
1372401	4681	1996-05-09	VYDAJ	PREVOD NA UCET	5016	40247	SIPO	CD	50554043
1372402	4681	1996-06-09	VYDAJ	PREVOD NA UCET	5016	52847	SIPO	CD	50554043
1372403	4681	1996-07-09	VYDAJ	PREVOD NA UCET	5016	43826	SIPO	CD	50554043
1372404	4681	1996-08-09	VYDAJ	PREVOD NA UCET	5016	43784	SIPO	CD	50554043
1372405	4681	1996-09-09	VYDAJ	PREVOD NA UCET	5016	42136	SIPO	CD	50554043
1372406	4681	1996-10-09	VYDAJ	PREVOD NA UCET	5016	39477	SIPO	CD	50554043
1372407	4681	1996-11-09	VYDAJ	PREVOD NA UCET	5016	33158	SIPO	CD	50554043
1372408	4681	1996-12-09	VYDAJ	PREVOD NA UCET	5016	52832	SIPO	CD	50554043
1372409	4681	1997-01-09	VYDAJ	PREVOD NA UCET	5016	37495	SIPO	CD	50554043
1372410	4681	1997-02-09	VYDAJ	PREVOD NA UCET	5016	31712	SIPO	CD	50554043
1372411	4681	1997-03-09	VYDAJ	PREVOD NA UCET	5016	39415	SIPO	CD	50554043
1372412	4681	1997-04-09	VYDAJ	PREVOD NA UCET	5016	43548	SIPO	CD	50554043
1372413	4681	1997-05-09	VYDAJ	PREVOD NA UCET	5016	42801	SIPO	CD	50554043
1372414	4681	1997-06-09	VYDAJ	PREVOD NA UCET	5016	48010	SIPO	CD	50554043
1372415	4681	1997-07-09	VYDAJ	PREVOD NA UCET	5016	40668	SIPO	CD	50554043
1372416	4681	1997-08-09	VYDAJ	PREVOD NA UCET	5016	37001	SIPO	CD	50554043
1372417	4681	1997-09-09	VYDAJ	PREVOD NA UCET	5016	32621	SIPO	CD	50554043
1372418	4681	1997-10-09	VYDAJ	PREVOD NA UCET	5016	29824	SIPO	CD	50554043
1372419	4681	1997-11-09	VYDAJ	PREVOD NA UCET	5016	31216	SIPO	CD	50554043
1372420	4681	1997-12-09	VYDAJ	PREVOD NA UCET	5016	45281	SIPO	CD	50554043
1372421	4681	1998-01-09	VYDAJ	PREVOD NA UCET	5016	42423	SIPO	CD	50554043
1372422	4681	1998-02-09	VYDAJ	PREVOD NA UCET	5016	37058	SIPO	CD	50554043
1372423	4681	1998-03-09	VYDAJ	PREVOD NA UCET	5016	37778	SIPO	CD	50554043
1372424	4681	1998-04-09	VYDAJ	PREVOD NA UCET	5016	43206	SIPO	CD	50554043
1372425	4681	1998-05-09	VYDAJ	PREVOD NA UCET	5016	47756	SIPO	CD	50554043
1372426	4681	1998-06-09	VYDAJ	PREVOD NA UCET	5016	51227	SIPO	CD	50554043
1372427	4681	1998-07-09	VYDAJ	PREVOD NA UCET	5016	46696	SIPO	CD	50554043
1372428	4681	1998-08-09	VYDAJ	PREVOD NA UCET	5016	45952	SIPO	CD	50554043
1372429	4681	1998-09-09	VYDAJ	PREVOD NA UCET	5016	43396	SIPO	CD	50554043
1372430	4681	1998-10-09	VYDAJ	PREVOD NA UCET	5016	49947	SIPO	CD	50554043
1372431	4681	1998-11-09	VYDAJ	PREVOD NA UCET	5016	43570	SIPO	CD	50554043
1372432	4681	1998-12-09	VYDAJ	PREVOD NA UCET	5016	59848	SIPO	CD	50554043
1372445	4681	1996-01-05	VYDAJ	PREVOD NA UCET	4515	49515	 	OP	30791741
1372446	4681	1996-02-05	VYDAJ	PREVOD NA UCET	4515	17269	 	OP	30791741
1372447	4681	1996-03-05	VYDAJ	PREVOD NA UCET	4515	21077	 	OP	30791741
1372448	4681	1996-04-05	VYDAJ	PREVOD NA UCET	4515	25995	 	OP	30791741
1372449	4681	1996-05-05	VYDAJ	PREVOD NA UCET	4515	24935	 	OP	30791741
1372450	4681	1996-06-05	VYDAJ	PREVOD NA UCET	4515	27371	 	OP	30791741
1372451	4681	1996-07-05	VYDAJ	PREVOD NA UCET	4515	32714	 	OP	30791741
1372452	4681	1996-08-05	VYDAJ	PREVOD NA UCET	4515	28472	 	OP	30791741
1372453	4681	1996-09-05	VYDAJ	PREVOD NA UCET	4515	26824	 	OP	30791741
1372454	4681	1996-10-05	VYDAJ	PREVOD NA UCET	4515	24165	 	OP	30791741
1372455	4681	1996-11-05	VYDAJ	PREVOD NA UCET	4515	20646	 	OP	30791741
1372456	4681	1996-12-05	VYDAJ	PREVOD NA UCET	4515	27356	 	OP	30791741
1372457	4681	1997-01-05	VYDAJ	PREVOD NA UCET	4515	24783	 	OP	30791741
1372458	4681	1997-02-05	VYDAJ	PREVOD NA UCET	4515	16400	 	OP	30791741
1372459	4681	1997-03-05	VYDAJ	PREVOD NA UCET	4515	24103	 	OP	30791741
1372460	4681	1997-04-05	VYDAJ	PREVOD NA UCET	4515	28236	 	OP	30791741
1372461	4681	1997-05-05	VYDAJ	PREVOD NA UCET	4515	27489	 	OP	30791741
1372462	4681	1997-06-05	VYDAJ	PREVOD NA UCET	4515	22534	 	OP	30791741
1372463	4681	1997-07-05	VYDAJ	PREVOD NA UCET	4515	25356	 	OP	30791741
1372464	4681	1997-08-05	VYDAJ	PREVOD NA UCET	4515	21689	 	OP	30791741
1372465	4681	1997-09-05	VYDAJ	PREVOD NA UCET	4515	17309	 	OP	30791741
1372466	4681	1997-10-05	VYDAJ	PREVOD NA UCET	4515	14512	 	OP	30791741
1372467	4681	1997-11-05	VYDAJ	PREVOD NA UCET	4515	15904	 	OP	30791741
1372468	4681	1997-12-05	VYDAJ	PREVOD NA UCET	4515	19805	 	OP	30791741
1372469	4681	1998-01-05	VYDAJ	PREVOD NA UCET	4515	27111	 	OP	30791741
1372470	4681	1998-02-05	VYDAJ	PREVOD NA UCET	4515	21746	 	OP	30791741
1372471	4681	1998-03-05	VYDAJ	PREVOD NA UCET	4515	22466	 	OP	30791741
1372472	4681	1998-04-05	VYDAJ	PREVOD NA UCET	4515	27894	 	OP	30791741
1372473	4681	1998-05-05	VYDAJ	PREVOD NA UCET	4515	32444	 	OP	30791741
1372474	4681	1998-06-05	VYDAJ	PREVOD NA UCET	4515	32006	 	OP	30791741
1372475	4681	1998-07-05	VYDAJ	PREVOD NA UCET	4515	31384	 	OP	30791741
1372476	4681	1998-08-05	VYDAJ	PREVOD NA UCET	4515	30640	 	OP	30791741
1372477	4681	1998-09-05	VYDAJ	PREVOD NA UCET	4515	28084	 	OP	30791741
1372478	4681	1998-10-05	VYDAJ	PREVOD NA UCET	4515	34635	 	OP	30791741
1372479	4681	1998-11-05	VYDAJ	PREVOD NA UCET	4515	31258	 	OP	30791741
1372480	4681	1998-12-05	VYDAJ	PREVOD NA UCET	4515	34372	 	OP	30791741
1372493	4681	1996-10-19	VYBER	VYBER	9333	27244	\N	\N	\N
1372506	4681	1997-07-18	VYBER	VYBER	3200	34080	\N	\N	\N
1372509	4681	1997-05-16	VYBER	VYBER	6591	32822	\N	\N	\N
1372511	4681	1998-06-08	VYBER	VYBER	6255	56243	\N	\N	\N
1372512	4681	1998-10-15	VYBER	VYBER	15828	30731	\N	\N	\N
1372514	4681	1998-11-19	VYBER	VYBER	7336	32846	\N	\N	\N
1372517	4681	1996-12-19	VYDAJ	VYBER	4500	45432	\N	\N	\N
1372519	4681	1998-12-12	VYDAJ	VYBER	2400	57448	\N	\N	\N
1372526	4681	1996-01-05	VYDAJ	VYBER	5700	54030	\N	\N	\N
1372527	4681	1996-01-16	VYDAJ	VYBER	8700	38927	\N	\N	\N
1372528	4681	1996-01-19	VYDAJ	VYBER	7200	31727	\N	\N	\N
1372529	4681	1996-01-23	VYDAJ	VYBER	6300	25427	\N	\N	\N
1372531	4681	1996-01-02	VYDAJ	VYBER	6000	59730	\N	\N	\N
1372532	4681	1997-01-03	VYDAJ	VYBER	5100	29298	\N	\N	\N
1372533	4681	1997-01-09	VYDAJ	VYBER	2400	35095	\N	\N	\N
1372536	4681	1997-01-23	VYDAJ	VYBER	4800	30295	\N	\N	\N
1372537	4681	1997-01-29	VYDAJ	VYBER	2100	28195	\N	\N	\N
1372540	4681	1998-01-24	VYDAJ	VYBER	4500	26135	\N	\N	\N
1372551	4681	1996-03-01	VYDAJ	VYBER	9900	22792	\N	\N	\N
1372552	4681	1996-07-05	VYDAJ	VYBER	4200	28514	\N	\N	\N
1372553	4681	1996-09-23	VYDAJ	VYBER	5400	33736	\N	\N	\N
1372556	4681	1998-11-06	VYDAJ	VYBER	3000	28258	\N	\N	\N
1372557	4681	1998-08-16	VYDAJ	VYBER	7500	35064	\N	\N	\N
1372560	4681	1998-02-21	VYDAJ	VYBER	1800	31870	\N	\N	\N
1372562	4681	1998-01-14	VYDAJ	VYBER	4200	34835	\N	\N	\N
1372575	4681	1995-12-31	VYDAJ	VYBER	15	65730	SLUZBY	\N	\N
1372576	4681	1996-01-31	VYDAJ	VYBER	15	25584	SLUZBY	\N	\N
1372577	4681	1996-02-29	VYDAJ	VYBER	15	32692	SLUZBY	\N	\N
1372578	4681	1996-03-31	VYDAJ	VYBER	15	33910	SLUZBY	\N	\N
1372579	4681	1996-04-30	VYDAJ	VYBER	15	39150	SLUZBY	\N	\N
1372580	4681	1996-05-31	VYDAJ	VYBER	15	37186	SLUZBY	\N	\N
1372581	4681	1996-06-30	VYDAJ	VYBER	15	50229	SLUZBY	\N	\N
1372582	4681	1996-07-31	VYDAJ	VYBER	15	41187	SLUZBY	\N	\N
1372583	4681	1996-08-31	VYDAJ	VYBER	15	41739	SLUZBY	\N	\N
1372584	4681	1996-09-30	VYDAJ	VYBER	15	33880	SLUZBY	\N	\N
1372585	4681	1996-10-31	VYDAJ	VYBER	15	25161	SLUZBY	\N	\N
1372586	4681	1996-11-30	VYDAJ	VYBER	15	31871	SLUZBY	\N	\N
1372587	4681	1996-12-31	VYDAJ	VYBER	15	34398	SLUZBY	\N	\N
1372588	4681	1997-01-31	VYDAJ	VYBER	15	25415	SLUZBY	\N	\N
1372589	4681	1997-02-28	VYDAJ	VYBER	15	31818	SLUZBY	\N	\N
1372590	4681	1997-03-31	VYDAJ	VYBER	15	32751	SLUZBY	\N	\N
1372591	4681	1997-04-30	VYDAJ	VYBER	15	32004	SLUZBY	\N	\N
1372592	4681	1997-05-31	VYDAJ	VYBER	15	27049	SLUZBY	\N	\N
1372593	4681	1997-06-30	VYDAJ	VYBER	15	29871	SLUZBY	\N	\N
1372594	4681	1997-07-31	VYDAJ	VYBER	15	26204	SLUZBY	\N	\N
1372595	4681	1997-08-31	VYDAJ	VYBER	15	21824	SLUZBY	\N	\N
1372596	4681	1997-09-30	VYDAJ	VYBER	15	19027	SLUZBY	\N	\N
1372597	4681	1997-10-31	VYDAJ	VYBER	15	20419	SLUZBY	\N	\N
1372598	4681	1997-11-30	VYDAJ	VYBER	15	24320	SLUZBY	\N	\N
1372599	4681	1997-12-31	VYDAJ	VYBER	15	31626	SLUZBY	\N	\N
1372600	4681	1998-01-31	VYDAJ	VYBER	15	26261	SLUZBY	\N	\N
1372601	4681	1998-02-28	VYDAJ	VYBER	15	26981	SLUZBY	\N	\N
1372602	4681	1998-03-31	VYDAJ	VYBER	15	32409	SLUZBY	\N	\N
1372603	4681	1998-04-30	VYDAJ	VYBER	15	36959	SLUZBY	\N	\N
1372604	4681	1998-05-31	VYDAJ	VYBER	15	36521	SLUZBY	\N	\N
1372605	4681	1998-06-30	VYDAJ	VYBER	15	35899	SLUZBY	\N	\N
1372606	4681	1998-07-31	VYDAJ	VYBER	15	35155	SLUZBY	\N	\N
1372607	4681	1998-08-31	VYDAJ	VYBER	15	32599	SLUZBY	\N	\N
1372608	4681	1998-09-30	VYDAJ	VYBER	15	39150	SLUZBY	\N	\N
1372609	4681	1998-10-31	VYDAJ	VYBER	15	35773	SLUZBY	\N	\N
1372610	4681	1998-11-30	VYDAJ	VYBER	15	38887	SLUZBY	\N	\N
1372611	4681	1995-09-07	PRIJEM	VKLAD	1900	22494	\N	\N	\N
1372612	4681	1995-10-07	VYDAJ	VYBER	7000	35978	\N	\N	\N
1372613	4681	1995-11-06	VYDAJ	VYBER	18400	38128	\N	\N	\N
1372614	4681	1995-12-06	VYDAJ	VYBER	15900	42798	\N	\N	\N
1372615	4681	1996-01-05	VYDAJ	VYBER	14200	35315	\N	\N	\N
1372616	4681	1996-02-04	PRIJEM	VKLAD	800	21784	\N	\N	\N
1372617	4681	1996-03-05	PRIJEM	VKLAD	2800	25592	\N	\N	\N
1372618	4681	1996-04-04	VYDAJ	VYBER	3400	30510	\N	\N	\N
1372619	4681	1996-05-04	VYDAJ	VYBER	9700	29450	\N	\N	\N
1372620	4681	1996-06-03	VYDAJ	VYBER	5300	31886	\N	\N	\N
1372621	4681	1996-07-03	VYDAJ	VYBER	13000	37229	\N	\N	\N
1372622	4681	1996-08-02	VYDAJ	VYBER	8200	32987	\N	\N	\N
1372623	4681	1996-09-01	VYDAJ	VYBER	10400	31339	\N	\N	\N
1372624	4681	1996-10-01	VYDAJ	VYBER	5200	28680	\N	\N	\N
1372625	4681	1996-10-31	VYDAJ	VYBER	2200	25175	\N	\N	\N
1372626	4681	1996-11-30	VYDAJ	VYBER	1400	31886	\N	\N	\N
1372627	4681	1996-12-30	VYDAJ	VYBER	11200	34232	\N	\N	\N
1372628	4681	1997-01-29	VYDAJ	VYBER	2900	25295	\N	\N	\N
1372629	4681	1997-02-28	VYDAJ	VYBER	3200	28618	\N	\N	\N
1372630	4681	1997-03-30	VYDAJ	VYBER	2600	32615	\N	\N	\N
1372631	4681	1997-04-29	VYDAJ	VYBER	8300	31860	\N	\N	\N
1372632	4681	1997-05-29	VYDAJ	VYBER	5900	26922	\N	\N	\N
1372633	4681	1997-06-28	VYDAJ	VYBER	14900	29722	\N	\N	\N
1372634	4681	1997-07-28	VYDAJ	VYBER	8000	26080	\N	\N	\N
1372635	4681	1997-08-27	VYDAJ	VYBER	11900	21713	\N	\N	\N
1372636	4681	1997-09-26	VYDAJ	VYBER	10300	18933	\N	\N	\N
1372637	4681	1997-10-26	VYDAJ	VYBER	6100	20336	\N	\N	\N
1372638	4681	1997-11-25	VYDAJ	VYBER	3600	24228	\N	\N	\N
1372639	4681	1997-12-25	VYDAJ	VYBER	10400	31493	\N	\N	\N
1372640	4681	1998-01-24	VYDAJ	VYBER	4200	30635	\N	\N	\N
1372641	4681	1998-02-23	VYDAJ	VYBER	5000	26870	\N	\N	\N
1372642	4681	1998-03-25	VYDAJ	VYBER	2100	32290	\N	\N	\N
1372643	4681	1998-04-24	VYDAJ	VYBER	3000	36818	\N	\N	\N
1372644	4681	1998-05-24	VYDAJ	VYBER	8000	36368	\N	\N	\N
1372645	4681	1998-06-23	VYDAJ	VYBER	12100	35739	\N	\N	\N
1372646	4681	1998-07-23	VYDAJ	VYBER	8300	35008	\N	\N	\N
1372647	4681	1998-08-22	VYDAJ	VYBER	2600	32464	\N	\N	\N
1372648	4681	1998-09-21	VYDAJ	VYBER	1000	39008	\N	\N	\N
1372649	4681	1998-10-21	PRIJEM	VKLAD	4900	35631	\N	\N	\N
1372650	4681	1998-11-20	PRIJEM	VKLAD	5900	38746	\N	\N	\N
1383924	4715	1996-10-28	PRIJEM	VKLAD	400	400	\N	\N	\N
1383935	4715	1996-11-09	PRIJEM	PREVOD Z UCTU	45859	46259	\N	AB	3313160
1383936	4715	1996-12-09	PRIJEM	PREVOD Z UCTU	68788	104067	\N	AB	3313160
1383937	4715	1997-01-09	PRIJEM	PREVOD Z UCTU	45859	106189	\N	AB	3313160
1383938	4715	1997-02-09	PRIJEM	PREVOD Z UCTU	45859	100361	\N	AB	3313160
1383939	4715	1997-03-09	PRIJEM	PREVOD Z UCTU	45859	105248	\N	AB	3313160
1383940	4715	1997-04-09	PRIJEM	PREVOD Z UCTU	45859	91229	\N	AB	3313160
1383941	4715	1997-05-09	PRIJEM	PREVOD Z UCTU	45859	69971	\N	AB	3313160
1383942	4715	1997-06-09	PRIJEM	PREVOD Z UCTU	68788	96443	\N	AB	3313160
1383943	4715	1997-07-09	PRIJEM	PREVOD Z UCTU	45859	93352	\N	AB	3313160
1383944	4715	1997-08-09	PRIJEM	PREVOD Z UCTU	45859	87623	\N	AB	3313160
1383945	4715	1997-09-09	PRIJEM	PREVOD Z UCTU	45859	97263	\N	AB	3313160
1383946	4715	1997-10-09	PRIJEM	PREVOD Z UCTU	45859	78519	\N	AB	3313160
1383947	4715	1997-11-09	PRIJEM	PREVOD Z UCTU	45859	73870	\N	AB	3313160
1383948	4715	1997-12-09	PRIJEM	PREVOD Z UCTU	68788	116295	\N	AB	3313160
1383949	4715	1998-01-09	PRIJEM	PREVOD Z UCTU	45859	66993	\N	AB	3313160
1383950	4715	1998-02-09	PRIJEM	PREVOD Z UCTU	45859	68476	\N	AB	3313160
1383951	4715	1998-03-09	PRIJEM	PREVOD Z UCTU	45859	82548	\N	AB	3313160
1383952	4715	1998-04-09	PRIJEM	PREVOD Z UCTU	45859	96400	\N	AB	3313160
1383953	4715	1998-05-09	PRIJEM	PREVOD Z UCTU	45859	106872	\N	AB	3313160
1383954	4715	1998-06-09	PRIJEM	PREVOD Z UCTU	68788	102603	\N	AB	3313160
1383955	4715	1998-07-09	PRIJEM	PREVOD Z UCTU	45859	92213	\N	AB	3313160
1383956	4715	1998-08-09	PRIJEM	PREVOD Z UCTU	45859	101360	\N	AB	3313160
1383957	4715	1998-09-09	PRIJEM	PREVOD Z UCTU	45859	101926	\N	AB	3313160
1383958	4715	1998-10-09	PRIJEM	PREVOD Z UCTU	45859	80443	\N	AB	3313160
1383959	4715	1998-11-09	PRIJEM	PREVOD Z UCTU	45859	88029	\N	AB	3313160
1383960	4715	1998-12-09	PRIJEM	PREVOD Z UCTU	68788	119073	\N	AB	3313160
1383975	4715	1997-03-15	VYDAJ	VYBER	3600	88341	\N	\N	0
1383976	4715	1997-04-12	VYDAJ	PREVOD NA UCET	4049	87180	UVER	AB	94525420
1383977	4715	1997-05-12	VYDAJ	PREVOD NA UCET	4049	65922	UVER	AB	94525420
1383978	4715	1997-06-12	VYDAJ	PREVOD NA UCET	4049	92394	UVER	AB	94525420
1383979	4715	1997-07-12	VYDAJ	PREVOD NA UCET	4049	89303	UVER	AB	94525420
1383980	4715	1997-08-12	VYDAJ	PREVOD NA UCET	4049	83574	UVER	AB	94525420
1383981	4715	1997-09-12	VYDAJ	PREVOD NA UCET	4049	93214	UVER	AB	94525420
1383982	4715	1997-10-12	VYDAJ	PREVOD NA UCET	4049	41456	UVER	AB	94525420
1383983	4715	1997-11-12	VYDAJ	PREVOD NA UCET	4049	69821	UVER	AB	94525420
1383984	4715	1997-12-12	VYDAJ	PREVOD NA UCET	4049	57646	UVER	AB	94525420
1383985	4715	1998-01-12	VYDAJ	PREVOD NA UCET	4049	62944	UVER	AB	94525420
1383986	4715	1998-02-12	VYDAJ	PREVOD NA UCET	4049	64427	UVER	AB	94525420
1383987	4715	1998-03-12	VYDAJ	PREVOD NA UCET	4049	78499	UVER	AB	94525420
1383988	4715	1998-04-12	VYDAJ	PREVOD NA UCET	4049	92351	UVER	AB	94525420
1383989	4715	1998-05-12	VYDAJ	PREVOD NA UCET	4049	39923	UVER	AB	94525420
1383990	4715	1998-06-12	VYDAJ	PREVOD NA UCET	4049	98554	UVER	AB	94525420
1383991	4715	1998-07-12	VYDAJ	PREVOD NA UCET	4049	88164	UVER	AB	94525420
1383992	4715	1998-08-12	VYDAJ	PREVOD NA UCET	4049	97311	UVER	AB	94525420
1383993	4715	1998-09-12	VYDAJ	PREVOD NA UCET	4049	97877	UVER	AB	94525420
1383994	4715	1998-10-12	VYDAJ	PREVOD NA UCET	4049	76394	UVER	AB	94525420
1383995	4715	1998-11-12	VYDAJ	PREVOD NA UCET	4049	83980	UVER	AB	94525420
1383996	4715	1998-12-12	VYDAJ	PREVOD NA UCET	4049	67324	UVER	AB	94525420
1384008	4715	1997-10-04	VYBER	VYBER	23122	32660	\N	\N	\N
1384009	4715	1997-10-12	VYBER	VYBER	11842	45505	\N	\N	\N
1384010	4715	1997-10-09	VYBER	VYBER	21172	57347	\N	\N	\N
1384011	4715	1997-04-26	VYBER	VYBER	10291	41721	\N	\N	\N
1384012	4715	1997-04-16	VYBER	VYBER	13245	52012	\N	\N	\N
1384013	4715	1997-05-18	VYBER	VYBER	16224	49698	\N	\N	\N
1384014	4715	1997-08-16	VYBER	VYBER	3133	80441	\N	\N	\N
1384015	4715	1997-06-14	VYBER	VYBER	20641	71753	\N	\N	\N
1384016	4715	1997-10-13	VYBER	VYBER	4712	36744	\N	\N	\N
1384017	4715	1997-03-11	VYBER	VYBER	13307	91941	\N	\N	\N
1384018	4715	1997-03-21	VYBER	VYBER	20742	67599	\N	\N	\N
1384019	4715	1997-04-15	VYBER	VYBER	21923	65257	\N	\N	\N
1384020	4715	1998-09-27	VYBER	VYBER	21437	34340	\N	\N	\N
1384023	4715	1998-06-16	VYDAJ	VYBER	30300	68254	\N	\N	\N
1384026	4715	1998-01-29	VYDAJ	VYBER	16200	22444	\N	\N	\N
1384028	4715	1997-12-06	VYDAJ	VYBER KARTOU	1500	47507	\N	\N	0
1384029	4715	1998-12-20	VYDAJ	VYBER KARTOU	2100	33324	\N	\N	0
1384044	4715	1998-01-02	VYDAJ	VYBER	5700	28934	\N	\N	\N
1384046	4715	1998-01-27	VYDAJ	VYBER	4800	38644	\N	\N	\N
1384047	4715	1998-01-05	VYDAJ	VYBER	7800	21134	\N	\N	\N
1384052	4715	1997-08-04	VYDAJ	VYBER	10500	41764	\N	\N	\N
1384053	4715	1997-06-02	VYDAJ	VYBER	8700	27655	\N	\N	\N
1384054	4715	1997-04-27	VYDAJ	VYBER	10200	23921	\N	\N	\N
1384056	4715	1997-12-26	VYDAJ	VYBER KARTOU	3300	34446	\N	\N	0
1384057	4715	1998-03-06	VYDAJ	VYBER	10800	36689	\N	\N	\N
1384058	4715	1998-11-17	VYDAJ	VYBER KARTOU	3000	80980	\N	\N	0
1384059	4715	1998-09-18	VYDAJ	VYBER KARTOU	3000	55777	\N	\N	0
1384076	4715	1997-03-31	VYDAJ	VYBER	15	45370	SLUZBY	\N	\N
1384077	4715	1997-04-30	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
1384078	4715	1997-05-31	VYDAJ	VYBER	15	36355	SLUZBY	\N	\N
1384079	4715	1997-06-30	VYDAJ	VYBER	15	47493	SLUZBY	\N	\N
1384080	4715	1997-07-31	VYDAJ	VYBER	15	52264	SLUZBY	\N	\N
1384081	4715	1997-08-31	VYDAJ	VYBER	15	51404	SLUZBY	\N	\N
1384082	4715	1997-09-30	VYDAJ	VYBER	15	55782	SLUZBY	\N	\N
1384083	4715	1997-10-31	VYDAJ	VYBER	15	28011	SLUZBY	\N	\N
1384084	4715	1997-11-30	VYDAJ	VYBER	15	49007	SLUZBY	\N	\N
1384085	4715	1997-12-31	VYDAJ	VYBER	15	34634	SLUZBY	\N	\N
1384086	4715	1998-01-31	VYDAJ	VYBER	15	22617	SLUZBY	\N	\N
1384087	4715	1998-02-28	VYDAJ	VYBER	15	47489	SLUZBY	\N	\N
1384088	4715	1998-03-31	VYDAJ	VYBER	15	50541	SLUZBY	\N	\N
1384089	4715	1998-04-30	VYDAJ	VYBER	15	61013	SLUZBY	\N	\N
1384090	4715	1998-05-31	VYDAJ	VYBER	15	33815	SLUZBY	\N	\N
1384091	4715	1998-06-30	VYDAJ	VYBER	15	46354	SLUZBY	\N	\N
1384092	4715	1998-07-31	VYDAJ	VYBER	15	55501	SLUZBY	\N	\N
1384093	4715	1998-08-31	VYDAJ	VYBER	15	56067	SLUZBY	\N	\N
1384094	4715	1998-09-30	VYDAJ	VYBER	15	34584	SLUZBY	\N	\N
1384095	4715	1998-10-31	VYDAJ	VYBER	15	42170	SLUZBY	\N	\N
1384096	4715	1998-11-30	VYDAJ	VYBER	15	50285	SLUZBY	\N	\N
1384097	4715	1996-11-27	VYDAJ	VYBER	11000	35259	\N	\N	\N
1384098	4715	1996-12-27	VYDAJ	VYBER	43900	60167	\N	\N	\N
1384099	4715	1997-01-09	VYDAJ	VYBER	16900	89289	\N	\N	\N
1384100	4715	1997-01-26	VYDAJ	VYBER	35100	54189	\N	\N	\N
1384101	4715	1997-02-25	VYDAJ	VYBER	41200	59161	\N	\N	\N
1384102	4715	1997-03-27	VYDAJ	VYBER	22500	45099	\N	\N	\N
1384103	4715	1997-04-26	VYDAJ	VYBER	7600	34121	\N	\N	\N
1384104	4715	1997-05-26	VYDAJ	VYBER	13500	36198	\N	\N	\N
1384105	4715	1997-06-25	VYDAJ	VYBER	24500	47253	\N	\N	\N
1384106	4715	1997-07-25	VYDAJ	VYBER	37300	52003	\N	\N	\N
1384107	4715	1997-08-24	VYDAJ	VYBER	29300	51141	\N	\N	\N
1384108	4715	1997-09-23	VYDAJ	VYBER	37700	55514	\N	\N	\N
1384109	4715	1997-10-23	VYDAJ	VYBER	8900	27844	\N	\N	\N
1384110	4715	1997-11-22	VYDAJ	VYBER	21000	48821	\N	\N	\N
1384111	4715	1997-12-09	VYDAJ	VYBER	54600	61695	\N	\N	\N
1384112	4715	1997-12-22	VYDAJ	VYBER	19900	37746	\N	\N	\N
1384113	4715	1998-01-21	VYDAJ	VYBER	19500	43444	\N	\N	\N
1384114	4715	1998-02-20	VYDAJ	VYBER	17100	47327	\N	\N	\N
1384115	4715	1998-03-22	VYDAJ	VYBER	28200	50299	\N	\N	\N
1384116	4715	1998-04-21	VYDAJ	VYBER	31600	60751	\N	\N	\N
1384117	4715	1998-05-09	VYDAJ	VYBER	62900	43972	\N	\N	\N
1384118	4715	1998-05-21	VYDAJ	VYBER	6300	33623	\N	\N	\N
1384119	4715	1998-06-20	VYDAJ	VYBER	22100	46154	\N	\N	\N
1384120	4715	1998-07-20	VYDAJ	VYBER	32900	55264	\N	\N	\N
1384121	4715	1998-08-19	VYDAJ	VYBER	41500	55811	\N	\N	\N
1384122	4715	1998-09-18	VYDAJ	VYBER	39100	58777	\N	\N	\N
1384123	4715	1998-10-18	VYDAJ	VYBER	34400	41994	\N	\N	\N
1384124	4715	1998-11-17	VYDAJ	VYBER	30900	50080	\N	\N	\N
1384125	4715	1998-12-09	VYDAJ	VYBER	47700	71373	\N	\N	\N
1384126	4715	1998-12-17	VYDAJ	VYBER	31900	35424	\N	\N	\N
1386663	4725	1997-04-14	PRIJEM	VKLAD	700	700	\N	\N	\N
1386668	4725	1997-05-06	PRIJEM	PREVOD Z UCTU	28045	28745	\N	EF	80779146
1386669	4725	1997-06-06	PRIJEM	PREVOD Z UCTU	42068	65169	\N	EF	80779146
1386670	4725	1997-07-06	PRIJEM	PREVOD Z UCTU	28045	66949	\N	EF	80779146
1386671	4725	1997-08-06	PRIJEM	PREVOD Z UCTU	28045	70465	\N	EF	80779146
1386672	4725	1997-09-06	PRIJEM	PREVOD Z UCTU	28045	70586	\N	EF	80779146
1386673	4725	1997-10-06	PRIJEM	PREVOD Z UCTU	28045	58115	\N	EF	80779146
1386674	4725	1997-11-06	PRIJEM	PREVOD Z UCTU	28045	55606	\N	EF	80779146
1386675	4725	1997-12-06	PRIJEM	PREVOD Z UCTU	42068	65629	\N	EF	80779146
1386676	4725	1998-01-06	PRIJEM	PREVOD Z UCTU	28045	49627	\N	EF	80779146
1386677	4725	1998-02-06	PRIJEM	PREVOD Z UCTU	28045	43511	\N	EF	80779146
1386678	4725	1998-03-06	PRIJEM	PREVOD Z UCTU	28045	33242	\N	EF	80779146
1386679	4725	1998-04-06	PRIJEM	PREVOD Z UCTU	28045	37975	\N	EF	80779146
1386680	4725	1998-05-06	PRIJEM	PREVOD Z UCTU	28045	42425	\N	EF	80779146
1386681	4725	1998-06-06	PRIJEM	PREVOD Z UCTU	42068	59814	\N	EF	80779146
1386682	4725	1998-07-06	PRIJEM	PREVOD Z UCTU	28045	47793	\N	EF	80779146
1386683	4725	1998-08-06	PRIJEM	PREVOD Z UCTU	28045	35434	\N	EF	80779146
1386684	4725	1998-09-06	PRIJEM	PREVOD Z UCTU	28045	32756	\N	EF	80779146
1386685	4725	1998-10-06	PRIJEM	PREVOD Z UCTU	28045	32779	\N	EF	80779146
1386686	4725	1998-11-06	PRIJEM	PREVOD Z UCTU	28045	32300	\N	EF	80779146
1386687	4725	1998-12-06	PRIJEM	PREVOD Z UCTU	42068	56267	\N	EF	80779146
1386696	4725	1997-09-24	VYDAJ	VYBER	4000	29924	\N	\N	0
1386697	4725	1997-09-23	VYDAJ	VYBER	4700	33924	\N	\N	0
1386698	4725	1997-11-12	VYDAJ	PREVOD NA UCET	4674	23469	UVER	KL	46966421
1386699	4725	1997-12-12	VYDAJ	PREVOD NA UCET	4674	25093	UVER	KL	46966421
1386700	4725	1998-01-12	VYDAJ	PREVOD NA UCET	4674	15391	UVER	KL	46966421
1386701	4725	1998-02-12	VYDAJ	PREVOD NA UCET	4674	5174	UVER	KL	46966421
1386702	4725	1998-03-12	VYDAJ	PREVOD NA UCET	4674	9906	UVER	KL	46966421
1386703	4725	1998-04-12	VYDAJ	PREVOD NA UCET	4674	14338	UVER	KL	46966421
1386704	4725	1998-05-12	VYDAJ	PREVOD NA UCET	4674	17689	UVER	KL	46966421
1386705	4725	1998-06-12	VYDAJ	PREVOD NA UCET	4674	19678	UVER	KL	46966421
1386706	4725	1998-07-12	VYDAJ	PREVOD NA UCET	4674	7357	UVER	KL	46966421
1386707	4725	1998-08-12	VYDAJ	PREVOD NA UCET	4674	4697	UVER	KL	46966421
1386708	4725	1998-09-12	VYDAJ	PREVOD NA UCET	4674	4720	UVER	KL	46966421
1386709	4725	1998-10-12	VYDAJ	PREVOD NA UCET	4674	4243	UVER	KL	46966421
1386710	4725	1998-11-12	VYDAJ	PREVOD NA UCET	4674	14164	UVER	KL	46966421
1386711	4725	1998-12-12	VYDAJ	PREVOD NA UCET	4674	38131	UVER	KL	46966421
1386720	4725	1997-09-09	VYDAJ	PREVOD NA UCET	13462	57124	SIPO	KL	77940284
1386721	4725	1997-10-09	VYDAJ	PREVOD NA UCET	13462	44653	SIPO	KL	77940284
1386722	4725	1997-11-09	VYDAJ	PREVOD NA UCET	13462	42144	SIPO	KL	77940284
1386723	4725	1997-12-09	VYDAJ	PREVOD NA UCET	13462	52167	SIPO	KL	77940284
1386724	4725	1998-01-09	VYDAJ	PREVOD NA UCET	13462	22465	SIPO	KL	77940284
1386725	4725	1998-02-09	VYDAJ	PREVOD NA UCET	13462	9849	SIPO	KL	77940284
1386726	4725	1998-03-09	VYDAJ	PREVOD NA UCET	13462	19780	SIPO	KL	77940284
1386727	4725	1998-04-09	VYDAJ	PREVOD NA UCET	13462	24513	SIPO	KL	77940284
1386728	4725	1998-05-09	VYDAJ	PREVOD NA UCET	13462	28963	SIPO	KL	77940284
1386729	4725	1998-06-09	VYDAJ	PREVOD NA UCET	13462	24352	SIPO	KL	77940284
1386730	4725	1998-07-09	VYDAJ	PREVOD NA UCET	13462	12031	SIPO	KL	77940284
1386731	4725	1998-08-09	VYDAJ	PREVOD NA UCET	13462	9372	SIPO	KL	77940284
1386732	4725	1998-09-09	VYDAJ	PREVOD NA UCET	13462	9394	SIPO	KL	77940284
1386733	4725	1998-10-09	VYDAJ	PREVOD NA UCET	13462	8917	SIPO	KL	77940284
1386734	4725	1998-11-09	VYDAJ	PREVOD NA UCET	13462	18838	SIPO	KL	77940284
1386735	4725	1998-12-09	VYDAJ	PREVOD NA UCET	13462	42805	SIPO	KL	77940284
1386747	4725	1997-12-18	VYDAJ	VYBER	2100	22993	\N	\N	\N
1386748	4725	1998-12-14	VYDAJ	VYBER	4800	33331	\N	\N	\N
1386757	4725	1998-01-02	VYDAJ	VYBER	1500	21582	\N	\N	\N
1386758	4725	1998-01-11	VYDAJ	VYBER	2400	20065	\N	\N	\N
1386767	4725	1998-01-06	VYDAJ	VYBER	3300	46327	\N	\N	\N
1386780	4725	1997-09-30	VYDAJ	VYBER	15	30070	SLUZBY	\N	\N
1386781	4725	1997-10-31	VYDAJ	VYBER	15	27561	SLUZBY	\N	\N
1386782	4725	1997-11-30	VYDAJ	VYBER	15	23561	SLUZBY	\N	\N
1386783	4725	1997-12-31	VYDAJ	VYBER	15	23082	SLUZBY	\N	\N
1386784	4725	1998-01-31	VYDAJ	VYBER	15	15466	SLUZBY	\N	\N
1386785	4725	1998-02-28	VYDAJ	VYBER	15	5197	SLUZBY	\N	\N
1386786	4725	1998-03-31	VYDAJ	VYBER	15	9930	SLUZBY	\N	\N
1386787	4725	1998-04-30	VYDAJ	VYBER	15	14380	SLUZBY	\N	\N
1386788	4725	1998-05-31	VYDAJ	VYBER	15	17746	SLUZBY	\N	\N
1386789	4725	1998-06-30	VYDAJ	VYBER	15	19748	SLUZBY	\N	\N
1386790	4725	1998-07-31	VYDAJ	VYBER	15	7389	SLUZBY	\N	\N
1386791	4725	1998-08-31	VYDAJ	VYBER	15	4711	SLUZBY	\N	\N
1386792	4725	1998-09-30	VYDAJ	VYBER	15	4734	SLUZBY	\N	\N
1386793	4725	1998-10-31	VYDAJ	VYBER	15	4255	SLUZBY	\N	\N
1386794	4725	1998-11-30	VYDAJ	VYBER	15	14199	SLUZBY	\N	\N
1386795	4725	1997-05-14	VYDAJ	VYBER	5700	23045	\N	\N	\N
1386796	4725	1997-06-13	VYDAJ	VYBER	26400	38769	\N	\N	\N
1386797	4725	1997-07-13	VYDAJ	VYBER	24700	42249	\N	\N	\N
1386798	4725	1997-08-12	VYDAJ	VYBER	28100	42365	\N	\N	\N
1386799	4725	1997-09-11	VYDAJ	VYBER	18500	38624	\N	\N	\N
1386800	4725	1997-10-11	VYDAJ	VYBER	17200	27453	\N	\N	\N
1386801	4725	1997-11-10	VYDAJ	VYBER	14000	28144	\N	\N	\N
1386802	4725	1997-12-10	VYDAJ	VYBER	22400	29767	\N	\N	\N
1386803	4725	1998-01-09	VYDAJ	VYBER	10400	35927	\N	\N	\N
1386804	4725	1998-02-08	VYDAJ	VYBER	20200	23311	\N	\N	\N
1386805	4725	1998-03-10	VYDAJ	VYBER	5200	14580	\N	\N	\N
1386806	4725	1998-04-09	VYDAJ	VYBER	5500	19013	\N	\N	\N
1386807	4725	1998-05-09	VYDAJ	VYBER	6600	22363	\N	\N	\N
1386808	4725	1998-06-08	VYDAJ	VYBER	22000	37814	\N	\N	\N
1386809	4725	1998-07-08	VYDAJ	VYBER	22300	25493	\N	\N	\N
1386810	4725	1998-08-07	VYDAJ	VYBER	12600	22834	\N	\N	\N
1386811	4725	1998-09-06	VYDAJ	VYBER	9900	22856	\N	\N	\N
1386812	4725	1998-10-06	VYDAJ	VYBER	10400	22379	\N	\N	\N
1387106	4727	1995-02-13	PRIJEM	VKLAD	600	600	\N	\N	\N
1387109	4727	1995-03-05	PRIJEM	PREVOD Z UCTU	35742	36342	\N	IJ	36552822
1387110	4727	1995-04-05	PRIJEM	PREVOD Z UCTU	35742	66254	\N	IJ	36552822
1387111	4727	1995-05-05	PRIJEM	PREVOD Z UCTU	35742	82060	\N	IJ	36552822
1387112	4727	1995-06-05	PRIJEM	PREVOD Z UCTU	53613	107784	\N	IJ	36552822
1387113	4727	1995-07-05	PRIJEM	PREVOD Z UCTU	35742	79584	\N	IJ	36552822
1387114	4727	1995-08-05	PRIJEM	PREVOD Z UCTU	35742	65325	\N	IJ	36552822
1387115	4727	1995-09-05	PRIJEM	PREVOD Z UCTU	35742	67062	\N	IJ	36552822
1387116	4727	1995-10-05	PRIJEM	PREVOD Z UCTU	35742	67206	\N	IJ	36552822
1387117	4727	1995-11-05	PRIJEM	PREVOD Z UCTU	35742	69277	\N	IJ	36552822
1387118	4727	1995-12-05	PRIJEM	PREVOD Z UCTU	53613	91505	\N	IJ	36552822
1387119	4727	1996-01-05	PRIJEM	PREVOD Z UCTU	35742	76193	\N	IJ	36552822
1387120	4727	1996-02-05	PRIJEM	PREVOD Z UCTU	35742	58756	\N	IJ	36552822
1387121	4727	1996-03-05	PRIJEM	PREVOD Z UCTU	35742	66489	\N	IJ	36552822
1387122	4727	1996-04-05	PRIJEM	PREVOD Z UCTU	35742	70936	\N	IJ	36552822
1387123	4727	1996-05-05	PRIJEM	PREVOD Z UCTU	35742	74100	\N	IJ	36552822
1387124	4727	1996-06-05	PRIJEM	PREVOD Z UCTU	53613	95048	\N	IJ	36552822
1387125	4727	1996-07-05	PRIJEM	PREVOD Z UCTU	35742	73356	\N	IJ	36552822
1387126	4727	1996-08-05	PRIJEM	PREVOD Z UCTU	35742	77250	\N	IJ	36552822
1387127	4727	1996-09-05	PRIJEM	PREVOD Z UCTU	35742	69637	\N	IJ	36552822
1387128	4727	1996-10-05	PRIJEM	PREVOD Z UCTU	35742	76414	\N	IJ	36552822
1387129	4727	1996-11-05	PRIJEM	PREVOD Z UCTU	35742	72909	\N	IJ	36552822
1387130	4727	1996-12-05	PRIJEM	PREVOD Z UCTU	53613	98044	\N	IJ	36552822
1387131	4727	1997-01-05	PRIJEM	PREVOD Z UCTU	35742	87186	\N	IJ	36552822
1387132	4727	1997-02-05	PRIJEM	PREVOD Z UCTU	35742	73682	\N	IJ	36552822
1387133	4727	1997-03-05	PRIJEM	PREVOD Z UCTU	35742	59909	\N	IJ	36552822
1387134	4727	1997-04-05	PRIJEM	PREVOD Z UCTU	35742	79914	\N	IJ	36552822
1387135	4727	1997-05-05	PRIJEM	PREVOD Z UCTU	35742	70175	\N	IJ	36552822
1387136	4727	1997-06-05	PRIJEM	PREVOD Z UCTU	53613	97287	\N	IJ	36552822
1387137	4727	1997-07-05	PRIJEM	PREVOD Z UCTU	35742	94037	\N	IJ	36552822
1387138	4727	1997-08-05	PRIJEM	PREVOD Z UCTU	35742	89997	\N	IJ	36552822
1387139	4727	1997-09-05	PRIJEM	PREVOD Z UCTU	35742	92426	\N	IJ	36552822
1387140	4727	1997-10-05	PRIJEM	PREVOD Z UCTU	35742	85067	\N	IJ	36552822
1387141	4727	1997-11-05	PRIJEM	PREVOD Z UCTU	35742	93141	\N	IJ	36552822
1387142	4727	1997-12-05	PRIJEM	PREVOD Z UCTU	53613	116015	\N	IJ	36552822
1387143	4727	1998-01-05	PRIJEM	PREVOD Z UCTU	35742	73525	\N	IJ	36552822
1387144	4727	1998-02-05	PRIJEM	PREVOD Z UCTU	35742	72712	\N	IJ	36552822
1387145	4727	1998-03-05	PRIJEM	PREVOD Z UCTU	35742	89220	\N	IJ	36552822
1387146	4727	1998-04-05	PRIJEM	PREVOD Z UCTU	35742	73951	\N	IJ	36552822
1387147	4727	1998-05-05	PRIJEM	PREVOD Z UCTU	35742	94266	\N	IJ	36552822
1387148	4727	1998-06-05	PRIJEM	PREVOD Z UCTU	53613	118840	\N	IJ	36552822
1387149	4727	1998-07-05	PRIJEM	PREVOD Z UCTU	35742	83486	\N	IJ	36552822
1387150	4727	1998-08-05	PRIJEM	PREVOD Z UCTU	35742	81532	\N	IJ	36552822
1387151	4727	1998-09-05	PRIJEM	PREVOD Z UCTU	35742	90668	\N	IJ	36552822
1387152	4727	1998-10-05	PRIJEM	PREVOD Z UCTU	35742	91642	\N	IJ	36552822
1387153	4727	1998-11-05	PRIJEM	PREVOD Z UCTU	35742	90121	\N	IJ	36552822
1387154	4727	1998-12-05	PRIJEM	PREVOD Z UCTU	53613	123789	\N	IJ	36552822
1387161	4727	1995-07-15	VYDAJ	VYBER	5000	43543	\N	\N	0
1387162	4727	1995-08-12	VYDAJ	PREVOD NA UCET	4485	55140	UVER	YZ	36371326
1387163	4727	1995-09-12	VYDAJ	PREVOD NA UCET	4485	40377	UVER	YZ	36371326
1387164	4727	1995-10-12	VYDAJ	PREVOD NA UCET	4485	38821	UVER	YZ	36371326
1387165	4727	1995-11-12	VYDAJ	PREVOD NA UCET	4485	43192	UVER	YZ	36371326
1387166	4727	1995-12-12	VYDAJ	PREVOD NA UCET	4485	52620	UVER	YZ	36371326
1387167	4727	1996-01-12	VYDAJ	PREVOD NA UCET	4485	44808	UVER	YZ	36371326
1387168	4727	1996-02-12	VYDAJ	PREVOD NA UCET	4485	40271	UVER	YZ	36371326
1387169	4727	1996-03-12	VYDAJ	PREVOD NA UCET	4485	40504	UVER	YZ	36371326
1387170	4727	1996-04-12	VYDAJ	PREVOD NA UCET	4485	43651	UVER	YZ	36371326
1387171	4727	1996-05-12	VYDAJ	PREVOD NA UCET	4485	46715	UVER	YZ	36371326
1387172	4727	1996-06-12	VYDAJ	PREVOD NA UCET	4485	58163	UVER	YZ	36371326
1387173	4727	1996-07-12	VYDAJ	PREVOD NA UCET	4485	46771	UVER	YZ	36371326
1387174	4727	1996-08-12	VYDAJ	PREVOD NA UCET	4485	48765	UVER	YZ	36371326
1387175	4727	1996-09-12	VYDAJ	PREVOD NA UCET	4485	45952	UVER	YZ	36371326
1387176	4727	1996-10-12	VYDAJ	PREVOD NA UCET	4485	50029	UVER	YZ	36371326
1387177	4727	1996-11-12	VYDAJ	PREVOD NA UCET	4485	68424	UVER	YZ	36371326
1387178	4727	1996-12-12	VYDAJ	PREVOD NA UCET	4485	93559	UVER	YZ	36371326
1387179	4727	1997-01-12	VYDAJ	PREVOD NA UCET	4485	82701	UVER	YZ	36371326
1387180	4727	1997-02-12	VYDAJ	PREVOD NA UCET	4485	39155	UVER	YZ	36371326
1387181	4727	1997-03-12	VYDAJ	PREVOD NA UCET	4485	55424	UVER	YZ	36371326
1387182	4727	1997-04-12	VYDAJ	PREVOD NA UCET	4485	56893	UVER	YZ	36371326
1387183	4727	1997-05-12	VYDAJ	PREVOD NA UCET	4485	65690	UVER	YZ	36371326
1387184	4727	1997-06-12	VYDAJ	PREVOD NA UCET	4485	87016	UVER	YZ	36371326
1387185	4727	1997-07-12	VYDAJ	PREVOD NA UCET	4485	89552	UVER	YZ	36371326
1387186	4727	1997-08-17	VYDAJ	VYBER	4600	79956	\N	\N	0
1387187	4727	1997-09-12	VYDAJ	VYBER	4500	73226	\N	\N	0
1387188	4727	1997-10-08	VYDAJ	VYBER	4000	81067	\N	\N	0
1387189	4727	1997-11-09	VYDAJ	VYBER	3800	89341	\N	\N	0
1387190	4727	1997-12-14	VYDAJ	VYBER	3700	57235	\N	\N	0
1387191	4727	1998-01-22	VYDAJ	VYBER	3300	47384	\N	\N	0
1387192	4727	1998-01-28	VYDAJ	VYBER	3100	44284	\N	\N	0
1387193	4727	1998-03-04	VYDAJ	VYBER	3500	53478	\N	\N	0
1387194	4727	1998-03-27	VYDAJ	VYBER	4600	36308	\N	\N	0
1387195	4727	1998-05-08	VYDAJ	VYBER	5100	89166	\N	\N	0
1387196	4727	1998-06-07	VYDAJ	VYBER	4000	69540	\N	\N	0
1387197	4727	1998-07-10	VYDAJ	VYBER	4800	58734	\N	\N	0
1387198	4727	1998-08-10	VYDAJ	VYBER	5800	75732	\N	\N	0
1387199	4727	1998-09-29	VYDAJ	VYBER	3500	55659	\N	\N	0
1387200	4727	1998-10-14	VYDAJ	VYBER	4100	69362	\N	\N	0
1387201	4727	1998-11-10	VYDAJ	VYBER	4200	82921	\N	\N	0
1387202	4727	1998-12-07	VYDAJ	VYBER	2800	83989	\N	\N	0
1387209	4727	1995-07-13	VYDAJ	PREVOD NA UCET	3580	76004	SIPO	QR	30821961
1387210	4727	1995-08-13	VYDAJ	PREVOD NA UCET	3580	33060	SIPO	QR	30821961
1387211	4727	1995-09-13	VYDAJ	PREVOD NA UCET	3580	36797	SIPO	QR	30821961
1387212	4727	1995-10-13	VYDAJ	PREVOD NA UCET	3580	35241	SIPO	QR	30821961
1387213	4727	1995-11-13	VYDAJ	PREVOD NA UCET	3580	39612	SIPO	QR	30821961
1387214	4727	1995-12-13	VYDAJ	PREVOD NA UCET	3580	49040	SIPO	QR	30821961
1387215	4727	1996-01-13	VYDAJ	PREVOD NA UCET	3580	41228	SIPO	QR	30821961
1387216	4727	1996-02-13	VYDAJ	PREVOD NA UCET	3580	36691	SIPO	QR	30821961
1387217	4727	1996-03-13	VYDAJ	PREVOD NA UCET	3580	36924	SIPO	QR	30821961
1387218	4727	1996-04-13	VYDAJ	PREVOD NA UCET	3580	40071	SIPO	QR	30821961
1387219	4727	1996-05-13	VYDAJ	PREVOD NA UCET	3580	43135	SIPO	QR	30821961
1387220	4727	1996-06-13	VYDAJ	PREVOD NA UCET	3580	50083	SIPO	QR	30821961
1387221	4727	1996-07-13	VYDAJ	PREVOD NA UCET	3580	43191	SIPO	QR	30821961
1387222	4727	1996-08-13	VYDAJ	PREVOD NA UCET	3580	45185	SIPO	QR	30821961
1387223	4727	1996-09-13	VYDAJ	PREVOD NA UCET	3580	42372	SIPO	QR	30821961
1387224	4727	1996-10-13	VYDAJ	PREVOD NA UCET	3580	46449	SIPO	QR	30821961
1387225	4727	1996-11-13	VYDAJ	PREVOD NA UCET	3580	64844	SIPO	QR	30821961
1387226	4727	1996-12-13	VYDAJ	PREVOD NA UCET	3580	88179	SIPO	QR	30821961
1387227	4727	1997-01-13	VYDAJ	PREVOD NA UCET	3580	79121	SIPO	QR	30821961
1387228	4727	1997-02-13	VYDAJ	PREVOD NA UCET	3580	35575	SIPO	QR	30821961
1387229	4727	1997-03-13	VYDAJ	PREVOD NA UCET	3580	51844	SIPO	QR	30821961
1387230	4727	1997-04-13	VYDAJ	PREVOD NA UCET	3580	53313	SIPO	QR	30821961
1387231	4727	1997-05-13	VYDAJ	PREVOD NA UCET	3580	62110	SIPO	QR	30821961
1387232	4727	1997-06-13	VYDAJ	PREVOD NA UCET	3580	83436	SIPO	QR	30821961
1387233	4727	1997-07-13	VYDAJ	PREVOD NA UCET	3580	85972	SIPO	QR	30821961
1387234	4727	1997-08-13	VYDAJ	PREVOD NA UCET	3580	86417	SIPO	QR	30821961
1387235	4727	1997-09-13	VYDAJ	PREVOD NA UCET	3580	69646	SIPO	QR	30821961
1387236	4727	1997-10-13	VYDAJ	PREVOD NA UCET	3580	77487	SIPO	QR	30821961
1387237	4727	1997-11-13	VYDAJ	PREVOD NA UCET	3580	85761	SIPO	QR	30821961
1387238	4727	1997-12-13	VYDAJ	PREVOD NA UCET	3580	60935	SIPO	QR	30821961
1387239	4727	1998-01-13	VYDAJ	PREVOD NA UCET	3580	69945	SIPO	QR	30821961
1387240	4727	1998-02-13	VYDAJ	PREVOD NA UCET	3580	69132	SIPO	QR	30821961
1387241	4727	1998-03-13	VYDAJ	PREVOD NA UCET	3580	42769	SIPO	QR	30821961
1387242	4727	1998-04-13	VYDAJ	PREVOD NA UCET	3580	70371	SIPO	QR	30821961
1387243	4727	1998-05-13	VYDAJ	PREVOD NA UCET	3580	85586	SIPO	QR	30821961
1387244	4727	1998-06-13	VYDAJ	PREVOD NA UCET	3580	46760	SIPO	QR	30821961
1387245	4727	1998-07-13	VYDAJ	PREVOD NA UCET	3580	55154	SIPO	QR	30821961
1387246	4727	1998-08-13	VYDAJ	PREVOD NA UCET	3580	67352	SIPO	QR	30821961
1387247	4727	1998-09-13	VYDAJ	PREVOD NA UCET	3580	69714	SIPO	QR	30821961
1387248	4727	1998-10-13	VYDAJ	PREVOD NA UCET	3580	75323	SIPO	QR	30821961
1387249	4727	1998-11-13	VYDAJ	PREVOD NA UCET	3580	79341	SIPO	QR	30821961
1387250	4727	1998-12-13	VYDAJ	PREVOD NA UCET	3580	80409	SIPO	QR	30821961
1387257	4727	1995-07-14	VYDAJ	PREVOD NA UCET	1861	48543	 	UV	87424748
1387258	4727	1995-08-14	VYDAJ	PREVOD NA UCET	1861	31199	 	UV	87424748
1387259	4727	1995-09-14	VYDAJ	PREVOD NA UCET	1861	34936	 	UV	87424748
1387260	4727	1995-10-14	VYDAJ	PREVOD NA UCET	1861	33380	 	UV	87424748
1387261	4727	1995-11-14	VYDAJ	PREVOD NA UCET	1861	37751	 	UV	87424748
1387262	4727	1995-12-14	VYDAJ	PREVOD NA UCET	1861	47179	 	UV	87424748
1387263	4727	1996-01-14	VYDAJ	PREVOD NA UCET	1861	39367	 	UV	87424748
1387264	4727	1996-02-14	VYDAJ	PREVOD NA UCET	1861	34830	 	UV	87424748
1387265	4727	1996-03-14	VYDAJ	PREVOD NA UCET	1861	35063	 	UV	87424748
1387266	4727	1996-04-14	VYDAJ	PREVOD NA UCET	1861	38210	 	UV	87424748
1387267	4727	1996-05-14	VYDAJ	PREVOD NA UCET	1861	41274	 	UV	87424748
1387268	4727	1996-06-14	VYDAJ	PREVOD NA UCET	1861	48222	 	UV	87424748
1387269	4727	1996-07-14	VYDAJ	PREVOD NA UCET	1861	41330	 	UV	87424748
1387270	4727	1996-08-14	VYDAJ	PREVOD NA UCET	1861	43324	 	UV	87424748
1387271	4727	1996-09-14	VYDAJ	PREVOD NA UCET	1861	40511	 	UV	87424748
1387272	4727	1996-10-14	VYDAJ	PREVOD NA UCET	1861	44588	 	UV	87424748
1387273	4727	1996-11-14	VYDAJ	PREVOD NA UCET	1861	62983	 	UV	87424748
1387274	4727	1996-12-14	VYDAJ	PREVOD NA UCET	1861	86318	 	UV	87424748
1387275	4727	1997-01-14	VYDAJ	PREVOD NA UCET	1861	77260	 	UV	87424748
1387276	4727	1997-02-14	VYDAJ	PREVOD NA UCET	1861	33714	 	UV	87424748
1387277	4727	1997-03-14	VYDAJ	PREVOD NA UCET	1861	49983	 	UV	87424748
1387278	4727	1997-04-14	VYDAJ	PREVOD NA UCET	1861	36849	 	UV	87424748
1387279	4727	1997-05-14	VYDAJ	PREVOD NA UCET	1861	60249	 	UV	87424748
1387280	4727	1997-06-14	VYDAJ	PREVOD NA UCET	1861	81575	 	UV	87424748
1387281	4727	1997-07-14	VYDAJ	PREVOD NA UCET	1861	84111	 	UV	87424748
1387282	4727	1997-08-14	VYDAJ	PREVOD NA UCET	1861	84556	 	UV	87424748
1387283	4727	1997-09-14	VYDAJ	PREVOD NA UCET	1861	67785	 	UV	87424748
1387284	4727	1997-10-14	VYDAJ	PREVOD NA UCET	1861	75626	 	UV	87424748
1387285	4727	1997-11-14	VYDAJ	PREVOD NA UCET	1861	83900	 	UV	87424748
1387286	4727	1997-12-14	VYDAJ	PREVOD NA UCET	1861	55374	 	UV	87424748
1387287	4727	1998-01-14	VYDAJ	PREVOD NA UCET	1861	68084	 	UV	87424748
1387288	4727	1998-02-14	VYDAJ	PREVOD NA UCET	1861	67271	 	UV	87424748
1387289	4727	1998-03-14	VYDAJ	PREVOD NA UCET	1861	40908	 	UV	87424748
1387290	4727	1998-04-14	VYDAJ	PREVOD NA UCET	1861	68510	 	UV	87424748
1387291	4727	1998-05-14	VYDAJ	PREVOD NA UCET	1861	83725	 	UV	87424748
1387292	4727	1998-06-14	VYDAJ	PREVOD NA UCET	1861	41538	 	UV	87424748
1387293	4727	1998-07-14	VYDAJ	PREVOD NA UCET	1861	53293	 	UV	87424748
1387294	4727	1998-08-14	VYDAJ	PREVOD NA UCET	1861	65491	 	UV	87424748
1387295	4727	1998-09-14	VYDAJ	PREVOD NA UCET	1861	67853	 	UV	87424748
1387296	4727	1998-10-14	VYDAJ	PREVOD NA UCET	1861	73462	 	UV	87424748
1387297	4727	1998-11-14	VYDAJ	PREVOD NA UCET	1861	77480	 	UV	87424748
1387298	4727	1998-12-14	VYDAJ	PREVOD NA UCET	1861	78548	 	UV	87424748
1387299	4727	1997-04-14	VYBER	VYBER	14603	38710	\N	\N	\N
1387300	4727	1997-02-08	VYBER	VYBER	23442	50240	\N	\N	\N
1387301	4727	1997-06-08	VYBER	VYBER	5786	91501	\N	\N	\N
1387302	4727	1997-04-07	VYBER	VYBER	18536	61378	\N	\N	\N
1387303	4727	1997-12-23	VYBER	VYBER	10650	39624	\N	\N	\N
1387304	4727	1998-10-13	VYBER	VYBER	4557	78903	\N	\N	\N
1387305	4727	1998-03-28	VYBER	VYBER	5890	30418	\N	\N	\N
1387306	4727	1998-06-14	VYBER	VYBER	3361	43399	\N	\N	\N
1387307	4727	1998-03-10	VYBER	VYBER	22361	46349	\N	\N	\N
1387308	4727	1998-07-15	VYBER	VYBER	5704	47589	\N	\N	\N
1387309	4727	1998-09-17	VYBER	VYBER	18394	49459	\N	\N	\N
1387310	4727	1998-03-09	VYBER	VYBER	20510	68710	\N	\N	\N
1387311	4727	1998-10-11	VYBER	VYBER	8182	83460	\N	\N	\N
1387312	4727	1998-09-05	VYBER	VYBER	17374	73294	\N	\N	\N
1387313	4727	1998-07-05	VYBER	VYBER	19952	63534	\N	\N	\N
1387314	4727	1998-10-25	VYBER	VYBER	23234	55928	\N	\N	\N
1387319	4727	1998-06-12	VYDAJ	VYBER	19200	50340	\N	\N	\N
1387321	4727	1996-01-28	VYDAJ	VYBER	16500	22867	\N	\N	\N
1387322	4727	1997-01-22	VYDAJ	VYBER	26400	50860	\N	\N	\N
1387323	4727	1998-01-21	VYDAJ	VYBER	17400	50684	\N	\N	\N
1387324	4727	1995-12-29	VYDAJ	VYBER	6900	40279	\N	\N	\N
1387325	4727	1996-12-13	VYDAJ	VYBER	1800	91759	\N	\N	\N
1387326	4727	1997-12-15	VYDAJ	VYBER	5100	50274	\N	\N	\N
1387327	4727	1998-12-20	VYDAJ	VYBER	4800	73748	\N	\N	\N
1387329	4727	1995-07-17	VYDAJ	VYBER	14100	29443	\N	\N	\N
1387330	4727	1995-10-04	VYDAJ	VYBER	3600	31464	\N	\N	\N
1387331	4727	1995-08-11	VYDAJ	VYBER	5700	59625	\N	\N	\N
1387333	4727	1996-02-16	VYDAJ	VYBER	4200	30630	\N	\N	\N
1387334	4727	1996-12-21	VYDAJ	VYBER	12900	73418	\N	\N	\N
1387335	4727	1996-06-13	VYDAJ	VYBER	4500	53663	\N	\N	\N
1387336	4727	1996-07-02	VYDAJ	VYBER	10800	37614	\N	\N	\N
1387337	4727	1996-08-30	VYDAJ	VYBER	9600	33724	\N	\N	\N
1387338	4727	1997-09-10	VYDAJ	VYBER	14700	77726	\N	\N	\N
1387339	4727	1997-02-23	VYDAJ	VYBER	12000	21714	\N	\N	\N
1387340	4727	1997-02-12	VYDAJ	VYBER	6600	43640	\N	\N	\N
1387341	4727	1997-05-26	VYDAJ	VYBER	11100	49149	\N	\N	\N
1387342	4727	1997-09-19	VYDAJ	VYBER	9300	58485	\N	\N	\N
1387343	4727	1997-08-01	VYDAJ	VYBER	5100	79355	\N	\N	\N
1387344	4727	1998-09-04	VYDAJ	VYBER	10200	54926	\N	\N	\N
1387345	4727	1998-07-27	VYDAJ	VYBER	8700	45589	\N	\N	\N
1387346	4727	1998-08-12	VYDAJ	VYBER	4800	70932	\N	\N	\N
1387347	4727	1998-11-05	VYDAJ	VYBER	3000	87121	\N	\N	\N
1387348	4727	1998-11-04	VYDAJ	VYBER	1800	54379	\N	\N	\N
1387356	4727	1995-07-31	VYDAJ	VYBER	15	29583	SLUZBY	\N	\N
1387357	4727	1995-08-31	VYDAJ	VYBER	15	31320	SLUZBY	\N	\N
1387358	4727	1995-09-30	VYDAJ	VYBER	15	35064	SLUZBY	\N	\N
1387359	4727	1995-10-31	VYDAJ	VYBER	15	33535	SLUZBY	\N	\N
1387360	4727	1995-11-30	VYDAJ	VYBER	15	37892	SLUZBY	\N	\N
1387361	4727	1995-12-31	VYDAJ	VYBER	15	40451	SLUZBY	\N	\N
1387362	4727	1996-01-31	VYDAJ	VYBER	15	23014	SLUZBY	\N	\N
1387363	4727	1996-02-29	VYDAJ	VYBER	15	30747	SLUZBY	\N	\N
1387364	4727	1996-03-31	VYDAJ	VYBER	15	35194	SLUZBY	\N	\N
1387365	4727	1996-04-30	VYDAJ	VYBER	15	38358	SLUZBY	\N	\N
1387366	4727	1996-05-31	VYDAJ	VYBER	15	41435	SLUZBY	\N	\N
1387367	4727	1996-06-30	VYDAJ	VYBER	15	48414	SLUZBY	\N	\N
1387368	4727	1996-07-31	VYDAJ	VYBER	15	41508	SLUZBY	\N	\N
1387369	4727	1996-08-31	VYDAJ	VYBER	15	33895	SLUZBY	\N	\N
1387370	4727	1996-09-30	VYDAJ	VYBER	15	40672	SLUZBY	\N	\N
1387371	4727	1996-10-31	VYDAJ	VYBER	15	44767	SLUZBY	\N	\N
1387372	4727	1996-11-30	VYDAJ	VYBER	15	63231	SLUZBY	\N	\N
1387373	4727	1996-12-31	VYDAJ	VYBER	15	73744	SLUZBY	\N	\N
1387374	4727	1997-01-31	VYDAJ	VYBER	15	51140	SLUZBY	\N	\N
1387375	4727	1997-02-28	VYDAJ	VYBER	15	21867	SLUZBY	\N	\N
1387376	4727	1997-03-31	VYDAJ	VYBER	15	50172	SLUZBY	\N	\N
1387377	4727	1997-04-30	VYDAJ	VYBER	15	37033	SLUZBY	\N	\N
1387378	4727	1997-05-31	VYDAJ	VYBER	15	49374	SLUZBY	\N	\N
1387379	4727	1997-06-30	VYDAJ	VYBER	15	81895	SLUZBY	\N	\N
1387380	4727	1997-07-31	VYDAJ	VYBER	15	84455	SLUZBY	\N	\N
1387381	4727	1997-08-31	VYDAJ	VYBER	15	80284	SLUZBY	\N	\N
1387382	4727	1997-09-30	VYDAJ	VYBER	15	49325	SLUZBY	\N	\N
1387383	4727	1997-10-31	VYDAJ	VYBER	15	57399	SLUZBY	\N	\N
1387384	4727	1997-11-30	VYDAJ	VYBER	15	62402	SLUZBY	\N	\N
1387385	4727	1997-12-31	VYDAJ	VYBER	15	37783	SLUZBY	\N	\N
1387386	4727	1998-01-31	VYDAJ	VYBER	15	36970	SLUZBY	\N	\N
1387387	4727	1998-02-28	VYDAJ	VYBER	15	56978	SLUZBY	\N	\N
1387388	4727	1998-03-31	VYDAJ	VYBER	15	38209	SLUZBY	\N	\N
1387389	4727	1998-04-30	VYDAJ	VYBER	15	58524	SLUZBY	\N	\N
1387390	4727	1998-05-31	VYDAJ	VYBER	15	65227	SLUZBY	\N	\N
1387391	4727	1998-06-30	VYDAJ	VYBER	15	47744	SLUZBY	\N	\N
1387392	4727	1998-07-31	VYDAJ	VYBER	15	45790	SLUZBY	\N	\N
1387393	4727	1998-08-31	VYDAJ	VYBER	15	65126	SLUZBY	\N	\N
1387394	4727	1998-09-30	VYDAJ	VYBER	15	55900	SLUZBY	\N	\N
1387395	4727	1998-10-31	VYDAJ	VYBER	15	56179	SLUZBY	\N	\N
1387396	4727	1998-11-30	VYDAJ	VYBER	15	70176	SLUZBY	\N	\N
1387397	4727	1995-03-15	VYDAJ	VYBER	5900	30442	\N	\N	\N
1387398	4727	1995-04-14	VYDAJ	VYBER	20100	46154	\N	\N	\N
1387399	4727	1995-05-14	VYDAJ	VYBER	28100	53960	\N	\N	\N
1387400	4727	1995-06-05	VYDAJ	VYBER	46900	60884	\N	\N	\N
1387401	4727	1995-06-13	VYDAJ	VYBER	17300	43584	\N	\N	\N
1387402	4727	1995-07-13	VYDAJ	VYBER	25600	50404	\N	\N	\N
1387403	4727	1995-08-12	VYDAJ	VYBER	18500	36640	\N	\N	\N
1387404	4727	1995-09-11	VYDAJ	VYBER	22200	44862	\N	\N	\N
1387405	4727	1995-10-11	VYDAJ	VYBER	23900	43306	\N	\N	\N
1387406	4727	1995-11-10	VYDAJ	VYBER	21600	47677	\N	\N	\N
1387407	4727	1995-12-10	VYDAJ	VYBER	34400	57105	\N	\N	\N
1387408	4727	1996-01-09	VYDAJ	VYBER	26900	49293	\N	\N	\N
1387409	4727	1996-02-08	VYDAJ	VYBER	14000	44756	\N	\N	\N
1387410	4727	1996-03-09	VYDAJ	VYBER	21500	44989	\N	\N	\N
1387411	4727	1996-04-08	VYDAJ	VYBER	22800	48136	\N	\N	\N
1387412	4727	1996-05-08	VYDAJ	VYBER	22900	51200	\N	\N	\N
1387413	4727	1996-06-07	VYDAJ	VYBER	32400	62648	\N	\N	\N
1387414	4727	1996-07-07	VYDAJ	VYBER	22100	51256	\N	\N	\N
1387415	4727	1996-08-06	VYDAJ	VYBER	24000	53250	\N	\N	\N
1387416	4727	1996-09-05	VYDAJ	VYBER	19200	50437	\N	\N	\N
1387417	4727	1996-10-05	VYDAJ	VYBER	21900	54514	\N	\N	\N
1387418	4727	1996-11-04	VYDAJ	VYBER	7600	37167	\N	\N	\N
1387419	4727	1996-12-04	VYDAJ	VYBER	18800	44431	\N	\N	\N
1387420	4727	1997-01-03	VYDAJ	VYBER	22300	51444	\N	\N	\N
1387421	4727	1997-02-02	VYDAJ	VYBER	13200	37940	\N	\N	\N
1387422	4727	1997-03-04	PRIJEM	VKLAD	2300	24167	\N	\N	\N
1387423	4727	1997-04-03	VYDAJ	VYBER	6000	44172	\N	\N	\N
1387424	4727	1997-05-03	VYDAJ	VYBER	2600	34433	\N	\N	\N
1387425	4727	1997-06-02	VYDAJ	VYBER	5700	43674	\N	\N	\N
1387426	4727	1997-07-02	VYDAJ	VYBER	23600	58295	\N	\N	\N
1387427	4727	1997-08-01	VYDAJ	VYBER	25100	54255	\N	\N	\N
1387428	4727	1997-08-31	VYDAJ	VYBER	23600	56684	\N	\N	\N
1387429	4727	1997-09-30	VYDAJ	VYBER	9400	49339	\N	\N	\N
1387430	4727	1997-10-30	VYDAJ	VYBER	18500	57126	\N	\N	\N
1387431	4727	1997-11-29	VYDAJ	VYBER	21800	62100	\N	\N	\N
1387432	4727	1997-12-05	VYDAJ	VYBER	51500	64515	\N	\N	\N
1387433	4727	1997-12-29	VYDAJ	VYBER	2100	37524	\N	\N	\N
1387434	4727	1998-01-28	VYDAJ	VYBER	7500	36784	\N	\N	\N
1387435	4727	1998-02-27	VYDAJ	VYBER	10500	56771	\N	\N	\N
1387436	4727	1998-03-29	PRIJEM	VKLAD	7600	38018	\N	\N	\N
1387437	4727	1998-04-28	VYDAJ	VYBER	10200	58310	\N	\N	\N
1387438	4727	1998-05-28	VYDAJ	VYBER	18800	64925	\N	\N	\N
1387439	4727	1998-06-05	VYDAJ	VYBER	45300	73540	\N	\N	\N
1387440	4727	1998-06-27	PRIJEM	VKLAD	6000	47538	\N	\N	\N
1387441	4727	1998-07-27	PRIJEM	VKLAD	6700	54289	\N	\N	\N
1387442	4727	1998-08-26	VYDAJ	VYBER	600	64891	\N	\N	\N
1387443	4727	1998-09-25	PRIJEM	VKLAD	9700	59159	\N	\N	\N
1387444	4727	1998-10-25	PRIJEM	VKLAD	9800	79162	\N	\N	\N
1387445	4727	1998-11-24	VYDAJ	VYBER	7600	69880	\N	\N	\N
1387446	4727	1998-12-05	VYDAJ	VYBER	37000	86789	\N	\N	\N
1387879	4729	1997-05-23	PRIJEM	VKLAD	300	300	\N	\N	\N
1387885	4729	1997-06-08	PRIJEM	VKLAD	13737	14037	\N	\N	\N
1387886	4729	1997-07-08	PRIJEM	VKLAD	9158	29721	\N	\N	\N
1387887	4729	1997-08-08	PRIJEM	VKLAD	9158	31767	\N	\N	\N
1387888	4729	1997-09-08	PRIJEM	VKLAD	9158	33121	\N	\N	\N
1387889	4729	1997-10-08	PRIJEM	VKLAD	9158	36383	\N	\N	\N
1387890	4729	1997-11-08	PRIJEM	VKLAD	9158	33901	\N	\N	\N
1387891	4729	1997-12-08	PRIJEM	VKLAD	13737	30968	\N	\N	\N
1387892	4729	1998-01-08	PRIJEM	VKLAD	9158	28916	\N	\N	\N
1387893	4729	1998-02-08	PRIJEM	VKLAD	9158	9403	\N	\N	\N
1387894	4729	1998-03-08	PRIJEM	VKLAD	9158	20969	\N	\N	\N
1387895	4729	1998-04-08	PRIJEM	VKLAD	9158	22764	\N	\N	\N
1387896	4729	1998-05-08	PRIJEM	VKLAD	9158	25770	\N	\N	\N
1387897	4729	1998-06-08	PRIJEM	VKLAD	13737	29247	\N	\N	\N
1387898	4729	1998-07-08	PRIJEM	VKLAD	9158	23094	\N	\N	\N
1387899	4729	1998-08-08	PRIJEM	VKLAD	9158	14967	\N	\N	\N
1387900	4729	1998-09-08	PRIJEM	VKLAD	9158	8007	\N	\N	\N
1387901	4729	1998-10-08	PRIJEM	VKLAD	9158	9689	\N	\N	\N
1387902	4729	1998-11-08	PRIJEM	VKLAD	9158	12341	\N	\N	\N
1387903	4729	1998-12-08	PRIJEM	VKLAD	13737	14520	\N	\N	\N
1387907	4729	1998-01-21	VYDAJ	VYBER	14080	4636	\N	\N	\N
1387908	4729	1997-12-05	VYDAJ	VYBER	4480	17231	\N	\N	\N
1387909	4729	1998-12-07	VYDAJ	VYBER	4160	783	\N	\N	\N
1387916	4729	1998-01-20	VYDAJ	VYBER	3360	18716	\N	\N	\N
1387917	4729	1998-01-22	VYDAJ	VYBER	2520	2116	\N	\N	\N
1387918	4729	1998-01-07	VYDAJ	VYBER	960	19758	\N	\N	\N
1387919	4729	1998-01-06	VYDAJ	VYBER	1320	20718	\N	\N	\N
1387920	4729	1998-01-12	VYDAJ	VYBER	1440	23276	\N	\N	\N
1387921	4729	1998-01-29	VYDAJ	VYBER	1920	196	\N	\N	\N
1387923	4729	1997-12-04	VYDAJ	VYBER	4080	21711	\N	\N	\N
1387924	4729	1997-10-10	VYDAJ	VYBER	5040	31343	\N	\N	\N
1387926	4729	1997-12-16	VYDAJ	VYBER	1920	29048	\N	\N	\N
1387928	4729	1998-08-23	VYDAJ	VYBER	5160	-1153	\N	\N	\N
1387929	4729	1998-12-10	VYDAJ	VYBER	960	13560	\N	\N	\N
1387930	4729	1998-07-27	VYDAJ	VYBER	5520	5774	\N	\N	\N
1387931	4729	1998-08-11	VYDAJ	VYBER	1560	13407	\N	\N	\N
1387932	4729	1998-09-29	VYDAJ	VYBER	1560	547	\N	\N	\N
1387933	4729	1998-06-23	VYDAJ	VYBER	2760	13887	\N	\N	\N
1387934	4729	1998-05-18	VYDAJ	VYBER	4920	20850	\N	\N	\N
1387935	4729	1998-01-09	VYDAJ	VYBER	4200	24716	\N	\N	\N
1387946	4729	1997-10-31	VYDAJ	VYBER	15	24743	SLUZBY	\N	\N
1387947	4729	1997-11-30	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
1387948	4729	1997-12-31	VYDAJ	VYBER	15	22038	SLUZBY	\N	\N
1387949	4729	1998-01-31	VYDAJ	VYBER	15	245	SLUZBY	\N	\N
1387950	4729	1998-02-28	VYDAJ	VYBER	15	11811	SLUZBY	\N	\N
1387951	4729	1998-03-31	VYDAJ	VYBER	15	13606	SLUZBY	\N	\N
1387952	4729	1998-04-30	VYDAJ	VYBER	15	16612	SLUZBY	\N	\N
1387953	4729	1998-05-31	VYDAJ	VYBER	15	15510	SLUZBY	\N	\N
1387954	4729	1998-06-30	VYDAJ	VYBER	15	13936	SLUZBY	\N	\N
1387955	4729	1998-07-31	VYDAJ	VYBER	15	5809	SLUZBY	\N	\N
1387956	4729	1998-08-31	VYDAJ	VYBER	15	-1151	SLUZBY	\N	\N
1387957	4729	1998-09-30	VYDAJ	VYBER	15	537	SLUZBY	\N	\N
1387958	4729	1998-10-31	VYDAJ	VYBER	15	3183	SLUZBY	\N	\N
1387959	4729	1998-11-30	VYDAJ	VYBER	15	4943	SLUZBY	\N	\N
1387960	4729	1997-06-22	PRIJEM	VKLAD	6500	20537	\N	\N	\N
1387961	4729	1997-07-22	VYDAJ	VYBER	7200	22521	\N	\N	\N
1387962	4729	1997-08-21	VYDAJ	VYBER	7900	23867	\N	\N	\N
1387963	4729	1997-09-20	VYDAJ	VYBER	6000	27121	\N	\N	\N
1387964	4729	1997-10-20	VYDAJ	VYBER	6700	24643	\N	\N	\N
1387965	4729	1997-11-19	VYDAJ	VYBER	8200	25701	\N	\N	\N
1387966	4729	1997-12-19	VYDAJ	VYBER	7100	21948	\N	\N	\N
1387967	4729	1998-01-18	VYDAJ	VYBER	1200	22076	\N	\N	\N
1387968	4729	1998-02-17	PRIJEM	VKLAD	2400	11803	\N	\N	\N
1387969	4729	1998-03-19	VYDAJ	VYBER	7400	13569	\N	\N	\N
1387970	4729	1998-04-18	VYDAJ	VYBER	6200	16564	\N	\N	\N
1387971	4729	1998-05-18	VYDAJ	VYBER	5400	15450	\N	\N	\N
1387972	4729	1998-06-17	VYDAJ	VYBER	12600	16647	\N	\N	\N
1387973	4729	1998-07-17	VYDAJ	VYBER	11800	11294	\N	\N	\N
1387974	4729	1998-08-16	VYDAJ	VYBER	9400	4007	\N	\N	\N
1387975	4729	1998-09-15	VYDAJ	VYBER	5900	2107	\N	\N	\N
1387976	4729	1998-10-15	VYDAJ	VYBER	6500	3189	\N	\N	\N
1387977	4729	1998-11-14	VYDAJ	VYBER	7400	4941	\N	\N	\N
1391752	4743	1993-05-05	PRIJEM	VKLAD	400	400	\N	\N	\N
1391753	4743	1993-12-02	PRIJEM	VKLAD	27894	90795	\N	\N	\N
1391754	4743	1993-12-04	PRIJEM	VKLAD	16883	107678	\N	\N	\N
1391755	4743	1993-09-18	PRIJEM	VKLAD	30336	56688	\N	\N	\N
1391758	4743	1993-07-29	PRIJEM	VKLAD	18382	68768	\N	\N	\N
1391759	4743	1993-07-11	PRIJEM	VKLAD	44225	86737	\N	\N	\N
1391761	4743	1993-09-27	PRIJEM	VKLAD	32100	88788	\N	\N	\N
1391763	4743	1993-12-13	PRIJEM	VKLAD	26660	123067	\N	\N	\N
1391764	4743	1993-12-12	PRIJEM	VKLAD	31729	134607	\N	\N	\N
1391765	4743	1993-10-29	PRIJEM	VKLAD	37500	123044	\N	\N	\N
1391766	4743	1993-06-01	PRIJEM	VKLAD	23311	39477	\N	\N	\N
1391768	4743	1993-11-25	PRIJEM	VKLAD	38613	101206	\N	\N	\N
1391770	4743	1993-05-06	PRIJEM	VKLAD	15710	16110	\N	\N	\N
1391771	4743	1993-07-17	PRIJEM	VKLAD	18549	105286	\N	\N	\N
1391773	4743	1993-08-05	PRIJEM	VKLAD	28900	118006	\N	\N	\N
1391774	4743	1993-10-08	PRIJEM	VKLAD	28967	85544	\N	\N	\N
1391775	4743	1993-06-27	PRIJEM	VKLAD	31385	64862	\N	\N	\N
1391776	4743	1993-08-04	PRIJEM	VKLAD	46962	114106	\N	\N	\N
1391779	4743	1993-08-04	PRIJEM	VKLAD	19536	67144	\N	\N	\N
1391780	4743	1994-12-19	PRIJEM	VKLAD	36713	84875	\N	\N	\N
1391781	4743	1994-12-10	PRIJEM	VKLAD	29113	54462	\N	\N	\N
1391782	4743	1994-07-11	PRIJEM	VKLAD	42376	79082	\N	\N	\N
1391783	4743	1994-07-05	PRIJEM	VKLAD	19189	36706	\N	\N	\N
1391784	4743	1994-08-26	PRIJEM	VKLAD	35081	74084	\N	\N	\N
1391785	4743	1995-10-27	PRIJEM	VKLAD	47331	134369	\N	\N	\N
1391786	4743	1995-06-11	PRIJEM	VKLAD	9408	49665	\N	\N	\N
1391787	4743	1995-07-21	PRIJEM	VKLAD	8912	58137	\N	\N	\N
1391788	4743	1995-10-23	PRIJEM	VKLAD	34208	87038	\N	\N	\N
1391789	4743	1995-01-14	PRIJEM	VKLAD	12229	56887	\N	\N	\N
1391790	4743	1995-08-03	PRIJEM	VKLAD	20138	74970	\N	\N	\N
1391791	4743	1995-11-19	PRIJEM	VKLAD	30291	139131	\N	\N	\N
1391792	4743	1996-12-15	PRIJEM	VKLAD	45802	134879	\N	\N	\N
1391793	4743	1996-06-04	PRIJEM	VKLAD	45928	134751	\N	\N	\N
1391794	4743	1996-08-10	PRIJEM	VKLAD	36350	115437	\N	\N	\N
1391795	4743	1996-06-07	PRIJEM	VKLAD	11241	124192	\N	\N	\N
1391796	4743	1996-12-13	PRIJEM	VKLAD	42616	89077	\N	\N	\N
1391797	4743	1996-12-11	PRIJEM	VKLAD	8682	46461	\N	\N	\N
1391798	4743	1996-06-02	PRIJEM	VKLAD	29007	88823	\N	\N	\N
1391799	4743	1996-01-01	PRIJEM	VKLAD	16038	75935	\N	\N	\N
1391800	4743	1996-07-11	PRIJEM	VKLAD	48744	139800	\N	\N	\N
1391801	4743	1996-05-11	PRIJEM	VKLAD	45420	113273	\N	\N	\N
1391802	4743	1996-03-13	PRIJEM	VKLAD	13938	136374	\N	\N	\N
1391803	4743	1996-06-09	PRIJEM	VKLAD	8962	95254	\N	\N	\N
1391804	4743	1996-05-03	PRIJEM	VKLAD	16923	81103	\N	\N	\N
1391805	4743	1996-07-11	PRIJEM	VKLAD	45776	91056	\N	\N	\N
1391806	4743	1996-08-31	PRIJEM	VKLAD	32827	111795	\N	\N	\N
1391807	4743	1996-03-27	PRIJEM	VKLAD	5153	76424	\N	\N	\N
1391808	4743	1996-10-17	PRIJEM	VKLAD	38406	86195	\N	\N	\N
1391809	4743	1996-03-13	PRIJEM	VKLAD	21020	122436	\N	\N	\N
1391810	4743	1996-07-23	PRIJEM	VKLAD	7119	73419	\N	\N	\N
1391811	4743	1996-01-10	PRIJEM	VKLAD	17640	65075	\N	\N	\N
1391812	4743	1996-08-02	PRIJEM	VKLAD	5460	79087	\N	\N	\N
1391813	4743	1996-07-05	PRIJEM	VKLAD	36566	49009	\N	\N	\N
1391814	4743	1996-02-18	PRIJEM	VKLAD	30530	96986	\N	\N	\N
1391815	4743	1996-01-29	PRIJEM	VKLAD	34843	76818	\N	\N	\N
1391816	4743	1996-02-27	PRIJEM	VKLAD	38870	101114	\N	\N	\N
1391817	4743	1996-06-29	PRIJEM	VKLAD	9466	12120	\N	\N	\N
1391818	4743	1997-11-04	PRIJEM	VKLAD	34353	119361	\N	\N	\N
1391819	4743	1997-03-26	PRIJEM	VKLAD	41342	129612	\N	\N	\N
1391820	4743	1997-11-27	PRIJEM	VKLAD	14909	85449	\N	\N	\N
1391821	4743	1997-05-09	PRIJEM	VKLAD	30549	138942	\N	\N	\N
1391822	4743	1997-12-23	PRIJEM	VKLAD	45587	173875	\N	\N	\N
1391823	4743	1997-10-14	PRIJEM	VKLAD	16979	92476	\N	\N	\N
1391824	4743	1997-03-12	PRIJEM	VKLAD	16470	102620	\N	\N	\N
1391825	4743	1997-06-04	PRIJEM	VKLAD	7019	107806	\N	\N	\N
1391826	4743	1997-03-01	PRIJEM	VKLAD	35656	91250	\N	\N	\N
1391827	4743	1997-05-04	PRIJEM	VKLAD	34167	108393	\N	\N	\N
1391828	4743	1997-03-22	PRIJEM	VKLAD	5270	88270	\N	\N	\N
1391829	4743	1997-03-14	PRIJEM	VKLAD	33180	135800	\N	\N	\N
1391830	4743	1997-12-14	PRIJEM	VKLAD	18733	105316	\N	\N	\N
1391831	4743	1997-11-18	PRIJEM	VKLAD	40458	126640	\N	\N	\N
1391832	4743	1997-12-15	PRIJEM	VKLAD	49272	154588	\N	\N	\N
1391833	4743	1997-05-25	PRIJEM	VKLAD	45686	135628	\N	\N	\N
1391834	4743	1997-11-09	PRIJEM	VKLAD	9693	96554	\N	\N	\N
1391835	4743	1998-12-17	PRIJEM	VKLAD	49772	133913	\N	\N	\N
1391836	4743	1998-11-10	PRIJEM	VKLAD	30990	126196	\N	\N	\N
1391837	4743	1998-12-03	PRIJEM	VKLAD	30885	128641	\N	\N	\N
1391838	4743	1998-11-18	PRIJEM	VKLAD	42873	145369	\N	\N	\N
1391839	4743	1998-06-27	PRIJEM	VKLAD	19647	67843	\N	\N	\N
1391840	4743	1998-05-16	PRIJEM	VKLAD	48010	119659	\N	\N	\N
1391841	4743	1998-08-17	PRIJEM	VKLAD	32407	114246	\N	\N	\N
1391842	4743	1998-03-17	PRIJEM	VKLAD	41677	142320	\N	\N	\N
1391843	4743	1998-05-13	PRIJEM	VKLAD	9800	71649	\N	\N	\N
1391844	4743	1998-09-12	PRIJEM	VKLAD	12694	112363	\N	\N	\N
1391845	4743	1998-08-04	PRIJEM	VKLAD	14317	66739	\N	\N	\N
1391846	4743	1998-01-14	PRIJEM	VKLAD	11623	98164	\N	\N	\N
1391847	4743	1998-03-01	PRIJEM	VKLAD	34140	103643	\N	\N	\N
1391848	4743	1998-12-30	PRIJEM	VKLAD	5221	91095	\N	\N	\N
1391849	4743	1998-03-18	PRIJEM	VKLAD	23218	131238	\N	\N	\N
1391850	4743	1998-11-26	PRIJEM	VKLAD	12147	97316	\N	\N	\N
1391851	4743	1998-09-22	PRIJEM	VKLAD	42593	122552	\N	\N	\N
1391852	4743	1998-10-24	PRIJEM	VKLAD	24910	95611	\N	\N	\N
1391853	4743	1998-05-23	PRIJEM	VKLAD	7980	95450	\N	\N	\N
1391856	4743	1994-10-26	VYBER	VYBER	15599	9205	\N	\N	\N
1391857	4743	1994-02-19	VYBER	VYBER	3917	6805	\N	\N	\N
1391858	4743	1994-08-26	VYBER	VYBER	10634	63450	\N	\N	\N
1391859	4743	1994-09-24	VYBER	VYBER	8342	38132	\N	\N	\N
1391860	4743	1994-11-07	VYBER	VYBER	9461	13866	\N	\N	\N
1391861	4743	1994-03-08	VYBER	VYBER	19758	-1024	\N	\N	\N
1391862	4743	1994-08-17	VYBER	VYBER	11002	47103	\N	\N	\N
1391863	4743	1994-06-12	VYBER	VYBER	19847	5728	\N	\N	\N
1391864	4743	1994-08-29	VYBER	VYBER	2793	46257	\N	\N	\N
1391865	4743	1996-12-15	VYBER	VYBER	15967	118912	\N	\N	\N
1391867	4743	1996-11-27	VYBER	VYBER	24987	39299	\N	\N	\N
1391868	4743	1996-02-03	VYBER	VYBER	10577	66456	\N	\N	\N
1391869	4743	1996-08-16	VYBER	VYBER	14131	101306	\N	\N	\N
1391870	4743	1996-10-06	VYBER	VYBER	14815	57108	\N	\N	\N
1391871	4743	1996-07-10	VYBER	VYBER	3729	45280	\N	\N	\N
1391872	4743	1996-05-05	VYBER	VYBER	13250	67853	\N	\N	\N
1391873	4743	1996-02-20	VYBER	VYBER	13142	62244	\N	\N	\N
1391874	4743	1996-10-10	VYBER	VYBER	10519	36389	\N	\N	\N
1391875	4743	1996-03-17	VYBER	VYBER	6503	88471	\N	\N	\N
1391876	4743	1996-11-11	VYBER	VYBER	20180	66286	\N	\N	\N
1391877	4743	1997-09-28	VYBER	VYBER	2287	73207	\N	\N	\N
1391878	4743	1997-11-14	VYBER	VYBER	6372	86182	\N	\N	\N
1391879	4743	1998-05-01	VYBER	VYBER	22396	31549	\N	\N	\N
1391880	4743	1998-04-12	VYBER	VYBER	24531	61424	\N	\N	\N
1391881	4743	1998-04-23	VYBER	VYBER	3633	53695	\N	\N	\N
1391882	4743	1998-05-28	VYBER	VYBER	18067	77383	\N	\N	\N
1391883	4743	1998-04-20	VYBER	VYBER	4096	57328	\N	\N	\N
1391884	4743	1998-12-27	VYBER	VYBER	20939	85874	\N	\N	\N
1391885	4743	1998-07-30	VYBER	VYBER	18316	52163	\N	\N	\N
1391886	4743	1998-08-22	VYBER	VYBER	21310	92936	\N	\N	\N
1391887	4743	1998-09-21	VYBER	VYBER	23150	79959	\N	\N	\N
1391888	4743	1998-09-16	VYBER	VYBER	9254	103109	\N	\N	\N
1391889	4743	1998-01-30	VYBER	VYBER	12634	43830	\N	\N	\N
1391890	4743	1998-05-22	VYBER	VYBER	14489	87470	\N	\N	\N
1391891	4743	1998-06-13	VYBER	VYBER	15600	52996	\N	\N	\N
1391895	4743	1996-06-28	VYDAJ	VYBER	65700	2654	\N	\N	\N
1391896	4743	1997-06-24	VYDAJ	VYBER	9900	81606	\N	\N	\N
1391897	4743	1998-06-01	VYDAJ	VYBER	35700	41996	\N	\N	\N
1391899	4743	1994-01-02	VYDAJ	VYBER	19500	30723	\N	\N	\N
1391900	4743	1995-01-23	VYDAJ	VYBER	24600	32287	\N	\N	\N
1391901	4743	1996-01-05	VYDAJ	VYBER	28500	47435	\N	\N	\N
1391902	4743	1997-01-28	VYDAJ	VYBER	11400	46031	\N	\N	\N
1391903	4743	1998-01-20	VYDAJ	VYBER	21600	65164	\N	\N	\N
1391904	4743	1993-12-17	VYDAJ	VYBER	5700	85767	\N	\N	\N
1391905	4743	1994-12-17	VYDAJ	VYBER	6300	48162	\N	\N	\N
1391906	4743	1995-12-11	VYDAJ	VYBER	6600	67327	\N	\N	\N
1391907	4743	1996-12-10	VYDAJ	VYBER	1800	37779	\N	\N	\N
1391908	4743	1997-12-28	VYDAJ	VYBER	7800	94075	\N	\N	\N
1391909	4743	1998-12-03	VYDAJ	VYBER	5700	122941	\N	\N	\N
1391916	4743	1994-01-11	VYDAJ	VYBER	7200	17223	\N	\N	\N
1391918	4743	1994-01-09	VYDAJ	VYBER	6300	24423	\N	\N	\N
1391919	4743	1994-01-23	VYDAJ	VYBER	6900	723	\N	\N	\N
1391920	4743	1994-01-24	VYDAJ	VYBER	2100	-1377	\N	\N	\N
1391921	4743	1994-01-20	VYDAJ	VYBER	7800	7623	\N	\N	\N
1391922	4743	1995-01-23	VYDAJ	VYBER	8400	23887	\N	\N	\N
1391923	4743	1995-01-02	VYDAJ	VYBER	5400	51858	\N	\N	\N
1391924	4743	1995-01-02	VYDAJ	VYBER	6600	57258	\N	\N	\N
1391925	4743	1995-01-10	VYDAJ	VYBER	3300	48558	\N	\N	\N
1391926	4743	1995-01-27	VYDAJ	VYBER	6600	24687	\N	\N	\N
1391927	4743	1995-01-13	VYDAJ	VYBER	3900	44658	\N	\N	\N
1391928	4743	1996-01-19	VYDAJ	VYBER	6000	56375	\N	\N	\N
1391929	4743	1996-01-20	VYDAJ	VYBER	8400	50675	\N	\N	\N
1391930	4743	1996-01-14	VYDAJ	VYBER	2700	62375	\N	\N	\N
1391931	4743	1996-01-20	VYDAJ	VYBER	4500	59075	\N	\N	\N
1391932	4743	1996-01-19	VYDAJ	VYBER	1500	54875	\N	\N	\N
1391933	4743	1996-01-21	VYDAJ	VYBER	8700	41975	\N	\N	\N
1391934	4743	1997-01-29	VYDAJ	VYBER	8700	37331	\N	\N	\N
1391935	4743	1997-01-02	VYDAJ	VYBER	5100	65131	\N	\N	\N
1391936	4743	1997-01-08	VYDAJ	VYBER	6000	59131	\N	\N	\N
1391937	4743	1997-01-01	VYDAJ	VYBER	4500	70231	\N	\N	\N
1391938	4743	1997-01-11	VYDAJ	VYBER	6300	52831	\N	\N	\N
1391939	4743	1997-01-22	VYDAJ	VYBER	3900	57431	\N	\N	\N
1391940	4743	1998-01-08	VYDAJ	VYBER	3900	90641	\N	\N	\N
1391941	4743	1998-01-16	VYDAJ	VYBER	4500	86764	\N	\N	\N
1391942	4743	1998-01-13	VYDAJ	VYBER	2400	86541	\N	\N	\N
1391943	4743	1998-01-12	VYDAJ	VYBER	3300	88941	\N	\N	\N
1391944	4743	1998-01-15	VYDAJ	VYBER	6900	91264	\N	\N	\N
1391945	4743	1998-01-23	VYDAJ	VYBER	8700	56464	\N	\N	\N
1391948	4743	1993-12-18	VYDAJ	VYBER	7800	77967	\N	\N	\N
1391950	4743	1993-12-07	VYDAJ	VYBER	4800	102878	\N	\N	\N
1391951	4743	1993-09-06	VYDAJ	VYBER	13500	26352	\N	\N	\N
1391954	4743	1994-01-16	VYDAJ	VYBER	1800	15423	\N	\N	\N
1391955	4743	1994-10-23	VYDAJ	VYBER	11100	24804	\N	\N	\N
1391956	4743	1994-08-23	VYDAJ	VYBER	8100	39003	\N	\N	\N
1391957	4743	1995-02-03	VYDAJ	VYBER	4800	20063	\N	\N	\N
1391958	4743	1995-05-18	VYDAJ	VYBER	6000	36000	\N	\N	\N
1391959	4743	1995-03-09	VYDAJ	VYBER	4200	25755	\N	\N	\N
1391960	4743	1995-09-21	VYDAJ	VYBER	12600	51994	\N	\N	\N
1391961	4743	1996-04-11	VYDAJ	VYBER	10500	66298	\N	\N	\N
1391962	4743	1996-07-13	VYDAJ	VYBER	14700	70900	\N	\N	\N
1391963	4743	1996-10-08	VYDAJ	VYBER	10200	46908	\N	\N	\N
1391964	4743	1996-08-28	VYDAJ	VYBER	4200	78606	\N	\N	\N
1391965	4743	1996-06-26	VYDAJ	VYBER	6300	68354	\N	\N	\N
1391966	4743	1997-11-23	VYDAJ	VYBER	13500	70540	\N	\N	\N
1391967	4743	1997-03-02	VYDAJ	VYBER	5100	86150	\N	\N	\N
1391968	4743	1997-10-31	VYDAJ	VYBER	7800	85023	\N	\N	\N
1391969	4743	1997-08-08	VYDAJ	VYBER	10200	70196	\N	\N	\N
1391970	4743	1997-10-06	VYDAJ	VYBER	7500	65997	\N	\N	\N
1391971	4743	1998-06-16	VYDAJ	VYBER	4800	48196	\N	\N	\N
1391972	4743	1998-07-24	VYDAJ	VYBER	10200	70479	\N	\N	\N
1391973	4743	1998-10-11	VYDAJ	VYBER	10200	70701	\N	\N	\N
1391981	4743	1993-07-31	VYDAJ	VYBER	15	69108	SLUZBY	\N	\N
1391982	4743	1993-08-31	VYDAJ	VYBER	15	57652	SLUZBY	\N	\N
1391983	4743	1993-09-30	VYDAJ	VYBER	15	88977	SLUZBY	\N	\N
1391984	4743	1993-10-31	VYDAJ	VYBER	15	97593	SLUZBY	\N	\N
1391985	4743	1993-11-30	VYDAJ	VYBER	15	101601	SLUZBY	\N	\N
1391986	4743	1993-12-31	VYDAJ	VYBER	15	50223	SLUZBY	\N	\N
1391987	4743	1994-01-31	VYDAJ	VYBER	15	10725	SLUZBY	\N	\N
1391988	4743	1994-02-28	VYDAJ	VYBER	15	6834	SLUZBY	\N	\N
1391989	4743	1994-03-31	VYDAJ	VYBER	15	14561	SLUZBY	\N	\N
1391990	4743	1994-04-30	VYDAJ	VYBER	15	19807	SLUZBY	\N	\N
1391991	4743	1994-05-31	VYDAJ	VYBER	15	25575	SLUZBY	\N	\N
1391992	4743	1994-06-30	VYDAJ	VYBER	15	17517	SLUZBY	\N	\N
1391993	4743	1994-07-31	VYDAJ	VYBER	15	58105	SLUZBY	\N	\N
1391994	4743	1994-08-31	VYDAJ	VYBER	15	46474	SLUZBY	\N	\N
1391995	4743	1994-09-30	VYDAJ	VYBER	15	35904	SLUZBY	\N	\N
1391996	4743	1994-10-31	VYDAJ	VYBER	15	23327	SLUZBY	\N	\N
1391997	4743	1994-11-30	VYDAJ	VYBER	15	25349	SLUZBY	\N	\N
1391998	4743	1994-12-31	VYDAJ	VYBER	15	63858	SLUZBY	\N	\N
1391999	4743	1995-01-31	VYDAJ	VYBER	15	24863	SLUZBY	\N	\N
1392000	4743	1995-02-28	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
1392001	4743	1995-03-31	VYDAJ	VYBER	15	35168	SLUZBY	\N	\N
1392002	4743	1995-04-30	VYDAJ	VYBER	15	42000	SLUZBY	\N	\N
1392003	4743	1995-05-31	VYDAJ	VYBER	15	40257	SLUZBY	\N	\N
1392004	4743	1995-06-30	VYDAJ	VYBER	15	49225	SLUZBY	\N	\N
1392005	4743	1995-07-31	VYDAJ	VYBER	15	54832	SLUZBY	\N	\N
1392006	4743	1995-08-31	VYDAJ	VYBER	15	64594	SLUZBY	\N	\N
1392007	4743	1995-09-30	VYDAJ	VYBER	15	51830	SLUZBY	\N	\N
1392008	4743	1995-10-31	VYDAJ	VYBER	15	108840	SLUZBY	\N	\N
1392009	4743	1995-11-30	VYDAJ	VYBER	15	73927	SLUZBY	\N	\N
1392010	4743	1995-12-31	VYDAJ	VYBER	15	59897	SLUZBY	\N	\N
1392011	4743	1996-01-31	VYDAJ	VYBER	15	77033	SLUZBY	\N	\N
1392012	4743	1996-02-29	VYDAJ	VYBER	15	101416	SLUZBY	\N	\N
1392013	4743	1996-03-31	VYDAJ	VYBER	15	76798	SLUZBY	\N	\N
1392014	4743	1996-04-30	VYDAJ	VYBER	15	64180	SLUZBY	\N	\N
1392015	4743	1996-05-31	VYDAJ	VYBER	15	59816	SLUZBY	\N	\N
1392016	4743	1996-06-30	VYDAJ	VYBER	15	12443	SLUZBY	\N	\N
1392017	4743	1996-07-31	VYDAJ	VYBER	15	73627	SLUZBY	\N	\N
1392018	4743	1996-08-31	VYDAJ	VYBER	15	111780	SLUZBY	\N	\N
1392019	4743	1996-09-30	VYDAJ	VYBER	15	71923	SLUZBY	\N	\N
1392020	4743	1996-10-31	VYDAJ	VYBER	15	86466	SLUZBY	\N	\N
1392021	4743	1996-11-30	VYDAJ	VYBER	15	39579	SLUZBY	\N	\N
1392022	4743	1996-12-31	VYDAJ	VYBER	15	74731	SLUZBY	\N	\N
1392023	4743	1997-01-31	VYDAJ	VYBER	15	37554	SLUZBY	\N	\N
1392024	4743	1997-02-28	VYDAJ	VYBER	15	55594	SLUZBY	\N	\N
1392025	4743	1997-03-31	VYDAJ	VYBER	15	72742	SLUZBY	\N	\N
1392026	4743	1997-04-30	VYDAJ	VYBER	15	74226	SLUZBY	\N	\N
1392027	4743	1997-05-31	VYDAJ	VYBER	15	100787	SLUZBY	\N	\N
1392028	4743	1997-06-30	VYDAJ	VYBER	15	81974	SLUZBY	\N	\N
1392029	4743	1997-07-31	VYDAJ	VYBER	15	80396	SLUZBY	\N	\N
1392030	4743	1997-08-31	VYDAJ	VYBER	15	74094	SLUZBY	\N	\N
1392031	4743	1997-09-30	VYDAJ	VYBER	15	73497	SLUZBY	\N	\N
1392032	4743	1997-10-31	VYDAJ	VYBER	15	85008	SLUZBY	\N	\N
1392033	4743	1997-11-30	VYDAJ	VYBER	15	85783	SLUZBY	\N	\N
1392034	4743	1997-12-31	VYDAJ	VYBER	15	94541	SLUZBY	\N	\N
1392035	4743	1998-01-31	VYDAJ	VYBER	15	44136	SLUZBY	\N	\N
1392036	4743	1998-02-28	VYDAJ	VYBER	15	69503	SLUZBY	\N	\N
1392037	4743	1998-03-31	VYDAJ	VYBER	15	77955	SLUZBY	\N	\N
1392038	4743	1998-04-30	VYDAJ	VYBER	15	53945	SLUZBY	\N	\N
1392039	4743	1998-05-31	VYDAJ	VYBER	15	77696	SLUZBY	\N	\N
1392040	4743	1998-06-30	VYDAJ	VYBER	15	68079	SLUZBY	\N	\N
1392041	4743	1998-07-31	VYDAJ	VYBER	15	52422	SLUZBY	\N	\N
1392042	4743	1998-08-31	VYDAJ	VYBER	15	93269	SLUZBY	\N	\N
1392043	4743	1998-09-30	VYDAJ	VYBER	15	67401	SLUZBY	\N	\N
1392044	4743	1998-10-31	VYDAJ	VYBER	15	95906	SLUZBY	\N	\N
1392045	4743	1998-11-30	VYDAJ	VYBER	15	97756	SLUZBY	\N	\N
1392046	4743	1993-06-04	VYDAJ	VYBER	6000	33477	\N	\N	\N
1392047	4743	1993-07-04	VYDAJ	VYBER	22500	42512	\N	\N	\N
1392048	4743	1993-07-17	VYDAJ	VYBER	54900	50386	\N	\N	\N
1392049	4743	1993-08-03	VYDAJ	VYBER	21500	47608	\N	\N	\N
1392050	4743	1993-08-04	VYDAJ	VYBER	25000	89106	\N	\N	\N
1392051	4743	1993-08-05	VYDAJ	VYBER	60800	57206	\N	\N	\N
1392052	4743	1993-09-02	VYDAJ	VYBER	17800	39852	\N	\N	\N
1392053	4743	1993-10-02	VYDAJ	VYBER	32400	56577	\N	\N	\N
1392054	4743	1993-10-29	VYDAJ	VYBER	25800	97244	\N	\N	\N
1392055	4743	1993-11-01	VYDAJ	VYBER	35000	62593	\N	\N	\N
1392056	4743	1993-12-01	VYDAJ	VYBER	38700	62901	\N	\N	\N
1392057	4743	1993-12-12	VYDAJ	VYBER	38200	96407	\N	\N	\N
1392058	4743	1993-12-13	VYDAJ	VYBER	31600	91467	\N	\N	\N
1392059	4743	1993-12-31	VYDAJ	VYBER	28100	50238	\N	\N	\N
1392060	4743	1994-01-30	PRIJEM	VKLAD	12000	10623	\N	\N	\N
1392061	4743	1994-03-01	PRIJEM	VKLAD	11900	18734	\N	\N	\N
1392062	4743	1994-03-31	PRIJEM	VKLAD	15600	14584	\N	\N	\N
1392063	4743	1994-04-30	PRIJEM	VKLAD	5200	19822	\N	\N	\N
1392064	4743	1994-05-30	PRIJEM	VKLAD	5700	25507	\N	\N	\N
1392065	4743	1994-06-29	PRIJEM	VKLAD	11700	17428	\N	\N	\N
1392066	4743	1994-07-29	VYDAJ	VYBER	21200	57882	\N	\N	\N
1392067	4743	1994-08-28	VYDAJ	VYBER	14400	49050	\N	\N	\N
1392068	4743	1994-09-27	VYDAJ	VYBER	2400	35732	\N	\N	\N
1392069	4743	1994-10-27	PRIJEM	VKLAD	14000	23205	\N	\N	\N
1392070	4743	1994-11-26	PRIJEM	VKLAD	11400	25266	\N	\N	\N
1392071	4743	1994-12-26	VYDAJ	VYBER	21200	63675	\N	\N	\N
1392072	4743	1995-01-25	PRIJEM	VKLAD	7400	31287	\N	\N	\N
1392073	4743	1995-02-24	PRIJEM	VKLAD	9800	29863	\N	\N	\N
1392074	4743	1995-03-26	PRIJEM	VKLAD	9300	35055	\N	\N	\N
1392075	4743	1995-04-25	PRIJEM	VKLAD	6700	41868	\N	\N	\N
1392076	4743	1995-05-25	PRIJEM	VKLAD	4100	40100	\N	\N	\N
1392077	4743	1995-06-24	VYDAJ	VYBER	600	49065	\N	\N	\N
1392078	4743	1995-07-24	VYDAJ	VYBER	3500	54637	\N	\N	\N
1392079	4743	1995-08-23	VYDAJ	VYBER	10600	64370	\N	\N	\N
1392080	4743	1995-09-22	VYDAJ	VYBER	400	51594	\N	\N	\N
1392081	4743	1995-10-22	PRIJEM	VKLAD	1000	52830	\N	\N	\N
1392082	4743	1995-10-27	VYDAJ	VYBER	25800	108569	\N	\N	\N
1392083	4743	1995-11-19	VYDAJ	VYBER	48000	91131	\N	\N	\N
1392084	4743	1995-11-21	VYDAJ	VYBER	17600	73531	\N	\N	\N
1392085	4743	1995-12-21	VYDAJ	VYBER	7700	59627	\N	\N	\N
1392086	4743	1996-01-20	PRIJEM	VKLAD	8700	63575	\N	\N	\N
1392087	4743	1996-02-19	VYDAJ	VYBER	21600	75386	\N	\N	\N
1392088	4743	1996-03-13	VYDAJ	VYBER	41400	94974	\N	\N	\N
1392089	4743	1996-03-20	VYDAJ	VYBER	17200	71271	\N	\N	\N
1392090	4743	1996-04-19	VYDAJ	VYBER	2400	63898	\N	\N	\N
1392091	4743	1996-05-11	VYDAJ	VYBER	50200	63073	\N	\N	\N
1392092	4743	1996-05-19	VYDAJ	VYBER	3500	59573	\N	\N	\N
1392093	4743	1996-06-04	VYDAJ	VYBER	21800	112951	\N	\N	\N
1392094	4743	1996-06-07	VYDAJ	VYBER	37900	86292	\N	\N	\N
1392095	4743	1996-06-18	VYDAJ	VYBER	20600	74654	\N	\N	\N
1392096	4743	1996-07-11	VYDAJ	VYBER	54200	85600	\N	\N	\N
1392097	4743	1996-07-18	VYDAJ	VYBER	4600	66300	\N	\N	\N
1392098	4743	1996-08-17	VYDAJ	VYBER	18500	82806	\N	\N	\N
1392099	4743	1996-08-31	VYDAJ	VYBER	30700	81080	\N	\N	\N
1392100	4743	1996-09-16	VYDAJ	VYBER	9600	71480	\N	\N	\N
1392101	4743	1996-10-16	PRIJEM	VKLAD	11400	47789	\N	\N	\N
1392102	4743	1996-11-15	VYDAJ	VYBER	2000	64286	\N	\N	\N
1392103	4743	1996-12-15	VYDAJ	VYBER	36100	82812	\N	\N	\N
1392104	4743	1996-12-15	VYDAJ	VYBER	8400	74412	\N	\N	\N
1392105	4743	1997-01-14	PRIJEM	VKLAD	8500	61331	\N	\N	\N
1392106	4743	1997-02-13	PRIJEM	VKLAD	17900	55454	\N	\N	\N
1392107	4743	1997-03-14	VYDAJ	VYBER	39900	95900	\N	\N	\N
1392108	4743	1997-03-15	VYDAJ	VYBER	12900	83000	\N	\N	\N
1392109	4743	1997-03-26	VYDAJ	VYBER	57200	72412	\N	\N	\N
1392110	4743	1997-04-14	PRIJEM	VKLAD	1200	73942	\N	\N	\N
1392111	4743	1997-05-09	VYDAJ	VYBER	35400	103542	\N	\N	\N
1392112	4743	1997-05-14	VYDAJ	VYBER	13600	89942	\N	\N	\N
1392113	4743	1997-05-25	VYDAJ	VYBER	35200	100428	\N	\N	\N
1392114	4743	1997-06-13	VYDAJ	VYBER	16300	91506	\N	\N	\N
1392115	4743	1997-07-13	VYDAJ	VYBER	1900	80074	\N	\N	\N
1392116	4743	1997-08-12	PRIJEM	VKLAD	3600	73796	\N	\N	\N
1392117	4743	1997-09-11	PRIJEM	VKLAD	1400	75494	\N	\N	\N
1392118	4743	1997-10-11	PRIJEM	VKLAD	9500	75497	\N	\N	\N
1392119	4743	1997-11-04	VYDAJ	VYBER	32500	86861	\N	\N	\N
1392120	4743	1997-11-10	VYDAJ	VYBER	4000	92554	\N	\N	\N
1392121	4743	1997-11-18	VYDAJ	VYBER	42600	84040	\N	\N	\N
1392122	4743	1997-12-10	PRIJEM	VKLAD	800	86583	\N	\N	\N
1392123	4743	1997-12-15	VYDAJ	VYBER	26300	128288	\N	\N	\N
1392124	4743	1997-12-23	VYDAJ	VYBER	29300	144575	\N	\N	\N
1392125	4743	1997-12-28	VYDAJ	VYBER	42700	101875	\N	\N	\N
1392126	4743	1998-01-09	PRIJEM	VKLAD	1600	92241	\N	\N	\N
1392127	4743	1998-02-08	PRIJEM	VKLAD	25200	69336	\N	\N	\N
1392128	4743	1998-03-10	VYDAJ	VYBER	3000	100643	\N	\N	\N
1392129	4743	1998-03-17	VYDAJ	VYBER	34300	108020	\N	\N	\N
1392130	4743	1998-03-18	VYDAJ	VYBER	53700	77538	\N	\N	\N
1392131	4743	1998-04-09	PRIJEM	VKLAD	8000	85955	\N	\N	\N
1392132	4743	1998-05-09	PRIJEM	VKLAD	30300	61849	\N	\N	\N
1392133	4743	1998-05-16	VYDAJ	VYBER	17700	101959	\N	\N	\N
1392134	4743	1998-06-08	PRIJEM	VKLAD	26600	68596	\N	\N	\N
1392135	4743	1998-07-08	PRIJEM	VKLAD	12600	80679	\N	\N	\N
1392136	4743	1998-08-07	PRIJEM	VKLAD	15100	81839	\N	\N	\N
1392137	4743	1998-09-06	PRIJEM	VKLAD	6400	99669	\N	\N	\N
1392138	4743	1998-09-22	VYDAJ	VYBER	55500	67052	\N	\N	\N
1392139	4743	1998-10-06	PRIJEM	VKLAD	13500	80901	\N	\N	\N
1392140	4743	1998-11-05	VYDAJ	VYBER	700	95206	\N	\N	\N
1392141	4743	1998-11-10	VYDAJ	VYBER	23700	102496	\N	\N	\N
1392142	4743	1998-11-18	VYDAJ	VYBER	60200	85169	\N	\N	\N
1392143	4743	1998-12-03	VYDAJ	VYBER	53800	69141	\N	\N	\N
1392144	4743	1998-12-05	PRIJEM	VKLAD	15000	84141	\N	\N	\N
1392145	4743	1998-12-17	VYDAJ	VYBER	27100	106813	\N	\N	\N
1392945	4746	1997-02-21	PRIJEM	VKLAD	200	200	\N	\N	\N
1392946	4746	1997-12-01	PRIJEM	VKLAD	49640	151002	\N	\N	\N
1392947	4746	1997-09-07	PRIJEM	VKLAD	13285	102696	\N	\N	\N
1392948	4746	1997-08-19	PRIJEM	VKLAD	49134	129450	\N	\N	\N
1392950	4746	1997-11-03	PRIJEM	VKLAD	15933	103899	\N	\N	\N
1392951	4746	1997-08-13	PRIJEM	VKLAD	45357	80316	\N	\N	\N
1392952	4746	1997-09-30	PRIJEM	VKLAD	26692	105476	\N	\N	\N
1392953	4746	1997-10-07	PRIJEM	VKLAD	29878	109652	\N	\N	\N
1392954	4746	1997-12-24	PRIJEM	VKLAD	46662	100949	\N	\N	\N
1392955	4746	1997-10-22	PRIJEM	VKLAD	23130	70369	\N	\N	\N
1392956	4746	1997-09-27	PRIJEM	VKLAD	17587	78475	\N	\N	\N
1392958	4746	1997-03-06	PRIJEM	VKLAD	46838	47038	\N	\N	\N
1392959	4746	1997-10-02	PRIJEM	VKLAD	36713	142174	\N	\N	\N
1392962	4746	1997-08-01	PRIJEM	VKLAD	6552	34959	\N	\N	\N
1392963	4746	1997-11-23	PRIJEM	VKLAD	41920	101006	\N	\N	\N
1392964	4746	1997-09-01	PRIJEM	VKLAD	49675	89411	\N	\N	\N
1392965	4746	1997-09-12	PRIJEM	VKLAD	47014	149710	\N	\N	\N
1392966	4746	1997-03-11	PRIJEM	VKLAD	23473	70511	\N	\N	\N
1392968	4746	1997-09-15	PRIJEM	VKLAD	44329	117888	\N	\N	\N
1392969	4746	1997-10-27	PRIJEM	VKLAD	17230	87599	\N	\N	\N
1392970	4746	1997-04-27	PRIJEM	VKLAD	10347	45632	\N	\N	\N
1392971	4746	1998-12-24	PRIJEM	VKLAD	19829	60486	\N	\N	\N
1392972	4746	1998-01-25	PRIJEM	VKLAD	42216	77648	\N	\N	\N
1392973	4746	1998-08-11	PRIJEM	VKLAD	25826	108058	\N	\N	\N
1392974	4746	1998-12-18	PRIJEM	VKLAD	9983	48457	\N	\N	\N
1392975	4746	1998-11-26	PRIJEM	VKLAD	39936	60949	\N	\N	\N
1392976	4746	1998-08-01	PRIJEM	VKLAD	39879	79263	\N	\N	\N
1392977	4746	1998-03-25	PRIJEM	VKLAD	20130	47970	\N	\N	\N
1392978	4746	1998-05-01	PRIJEM	VKLAD	6752	35693	\N	\N	\N
1392979	4746	1998-05-13	PRIJEM	VKLAD	38150	117278	\N	\N	\N
1392980	4746	1998-05-06	PRIJEM	VKLAD	44417	103350	\N	\N	\N
1392981	4746	1998-09-15	PRIJEM	VKLAD	21468	63427	\N	\N	\N
1392982	4746	1998-05-02	PRIJEM	VKLAD	23240	58933	\N	\N	\N
1392983	4746	1998-09-22	PRIJEM	VKLAD	46486	91013	\N	\N	\N
1392984	4746	1998-08-22	PRIJEM	VKLAD	28959	93304	\N	\N	\N
1392985	4746	1998-08-31	PRIJEM	VKLAD	12989	106641	\N	\N	\N
1392986	4746	1998-08-02	PRIJEM	VKLAD	42769	122032	\N	\N	\N
1392987	4746	1998-07-01	PRIJEM	VKLAD	49849	75450	\N	\N	\N
1392988	4746	1998-01-12	PRIJEM	VKLAD	37646	105445	\N	\N	\N
1392989	4746	1998-02-15	PRIJEM	VKLAD	31979	54712	\N	\N	\N
1392998	4746	1997-09-12	VYDAJ	PREVOD NA UCET	3413	81597	UVER	UV	51417624
1392999	4746	1997-10-12	VYDAJ	PREVOD NA UCET	3413	76939	UVER	UV	51417624
1393000	4746	1997-11-12	VYDAJ	PREVOD NA UCET	3413	100486	UVER	UV	51417624
1393001	4746	1997-12-12	VYDAJ	PREVOD NA UCET	3413	80987	UVER	UV	51417624
1393002	4746	1998-01-12	VYDAJ	PREVOD NA UCET	3413	102032	UVER	UV	51417624
1393003	4746	1998-02-12	VYDAJ	PREVOD NA UCET	3413	35933	UVER	UV	51417624
1393004	4746	1998-03-12	VYDAJ	PREVOD NA UCET	3413	32140	UVER	UV	51417624
1393005	4746	1998-04-12	VYDAJ	PREVOD NA UCET	3413	44695	UVER	UV	51417624
1393006	4746	1998-05-12	VYDAJ	PREVOD NA UCET	3413	79128	UVER	UV	51417624
1393007	4746	1998-06-12	VYDAJ	PREVOD NA UCET	3413	28197	UVER	UV	51417624
1393008	4746	1998-07-12	VYDAJ	PREVOD NA UCET	3413	72037	UVER	UV	51417624
1393009	4746	1998-08-12	VYDAJ	PREVOD NA UCET	3413	104645	UVER	UV	51417624
1393010	4746	1998-09-12	VYDAJ	PREVOD NA UCET	3413	63059	UVER	UV	51417624
1393011	4746	1998-10-12	VYDAJ	PREVOD NA UCET	3413	87936	UVER	UV	51417624
1393012	4746	1998-11-12	VYDAJ	PREVOD NA UCET	3413	20413	UVER	UV	51417624
1393013	4746	1998-12-12	VYDAJ	PREVOD NA UCET	3413	57674	UVER	UV	51417624
1393015	4746	1997-08-25	VYBER	VYBER	14322	39528	\N	\N	\N
1393017	4746	1997-09-13	VYBER	VYBER	8038	73559	\N	\N	\N
1393018	4746	1997-12-11	VYBER	VYBER	2002	84400	\N	\N	\N
1393019	4746	1998-05-12	VYBER	VYBER	20809	82541	\N	\N	\N
1393021	4746	1998-11-03	VYBER	VYBER	22382	23826	\N	\N	\N
1393022	4746	1998-09-18	VYBER	VYBER	18900	44527	\N	\N	\N
1393023	4746	1998-01-27	VYBER	VYBER	24201	39047	\N	\N	\N
1393024	4746	1998-01-08	VYBER	VYBER	22167	77699	\N	\N	\N
1393025	4746	1998-09-09	VYBER	VYBER	4655	66472	\N	\N	\N
1393029	4746	1998-01-25	VYDAJ	VYBER	14400	63248	\N	\N	\N
1393030	4746	1997-12-29	VYDAJ	VYBER	1500	99449	\N	\N	\N
1393031	4746	1998-12-17	VYDAJ	VYBER KARTOU	3600	38474	\N	\N	0
1393038	4746	1998-01-09	VYDAJ	VYBER	4500	73199	\N	\N	\N
1393039	4746	1998-01-10	VYDAJ	VYBER	5400	67799	\N	\N	\N
1393040	4746	1998-01-17	VYDAJ	VYBER	6300	95732	\N	\N	\N
1393041	4746	1998-01-20	VYDAJ	VYBER KARTOU	2400	57932	\N	\N	0
1393042	4746	1998-01-24	VYDAJ	VYBER	6000	35432	\N	\N	\N
1393043	4746	1998-01-20	VYDAJ	VYBER	8700	49232	\N	\N	\N
1393050	4746	1998-12-19	VYDAJ	VYBER	7800	40657	\N	\N	\N
1393051	4746	1998-07-14	VYDAJ	VYBER	9300	62737	\N	\N	\N
1393052	4746	1998-05-30	VYDAJ	VYBER	10200	31378	\N	\N	\N
1393053	4746	1998-07-28	VYDAJ	VYBER KARTOU	1800	39237	\N	\N	0
1393054	4746	1998-01-24	VYDAJ	VYBER	7800	41432	\N	\N	\N
1393055	4746	1998-04-12	VYDAJ	VYBER	8100	36595	\N	\N	\N
1393056	4746	1998-02-14	VYDAJ	VYBER	13200	22733	\N	\N	\N
1393057	4746	1998-05-16	VYDAJ	VYBER	8700	61378	\N	\N	\N
1393058	4746	1998-10-25	VYDAJ	VYBER	11400	45936	\N	\N	\N
1393067	4746	1997-08-31	VYDAJ	VYBER	15	39736	SLUZBY	\N	\N
1393068	4746	1997-09-30	VYDAJ	VYBER	15	105461	SLUZBY	\N	\N
1393069	4746	1997-10-31	VYDAJ	VYBER	15	87966	SLUZBY	\N	\N
1393070	4746	1997-11-30	VYDAJ	VYBER	15	101362	SLUZBY	\N	\N
1393071	4746	1997-12-31	VYDAJ	VYBER	15	99866	SLUZBY	\N	\N
1393072	4746	1998-01-31	VYDAJ	VYBER	15	39346	SLUZBY	\N	\N
1393073	4746	1998-02-28	VYDAJ	VYBER	15	35553	SLUZBY	\N	\N
1393074	4746	1998-03-31	VYDAJ	VYBER	15	48108	SLUZBY	\N	\N
1393075	4746	1998-04-30	VYDAJ	VYBER	15	28941	SLUZBY	\N	\N
1393076	4746	1998-05-31	VYDAJ	VYBER	15	31610	SLUZBY	\N	\N
1393077	4746	1998-06-30	VYDAJ	VYBER	15	25601	SLUZBY	\N	\N
1393078	4746	1998-07-31	VYDAJ	VYBER	15	39384	SLUZBY	\N	\N
1393079	4746	1998-08-31	VYDAJ	VYBER	15	106627	SLUZBY	\N	\N
1393080	4746	1998-09-30	VYDAJ	VYBER	15	91349	SLUZBY	\N	\N
1393081	4746	1998-10-31	VYDAJ	VYBER	15	46208	SLUZBY	\N	\N
1393082	4746	1998-11-30	VYDAJ	VYBER	15	61087	SLUZBY	\N	\N
1393083	4746	1997-03-23	VYDAJ	VYBER	20900	49611	\N	\N	\N
1393084	4746	1997-04-22	VYDAJ	VYBER	14500	35285	\N	\N	\N
1393085	4746	1997-05-22	VYDAJ	VYBER	8800	37036	\N	\N	\N
1393086	4746	1997-06-21	VYDAJ	VYBER	7500	29726	\N	\N	\N
1393087	4746	1997-07-21	VYDAJ	VYBER	1700	28217	\N	\N	\N
1393088	4746	1997-08-19	VYDAJ	VYBER	46400	83050	\N	\N	\N
1393089	4746	1997-08-20	VYDAJ	VYBER	29200	53850	\N	\N	\N
1393090	4746	1997-09-12	VYDAJ	VYBER	34700	115010	\N	\N	\N
1393091	4746	1997-09-12	VYDAJ	VYBER	30000	85010	\N	\N	\N
1393092	4746	1997-09-15	VYDAJ	VYBER	15200	102688	\N	\N	\N
1393093	4746	1997-09-19	VYDAJ	VYBER	41800	60888	\N	\N	\N
1393094	4746	1997-10-02	VYDAJ	VYBER	62400	79774	\N	\N	\N
1393095	4746	1997-10-07	VYDAJ	VYBER	29300	80352	\N	\N	\N
1393096	4746	1997-10-19	VYDAJ	VYBER	29700	47239	\N	\N	\N
1393097	4746	1997-11-18	VYDAJ	VYBER	41400	59086	\N	\N	\N
1393098	4746	1997-12-01	VYDAJ	VYBER	64600	86402	\N	\N	\N
1393099	4746	1997-12-18	VYDAJ	VYBER	26700	54287	\N	\N	\N
1393100	4746	1998-01-17	VYDAJ	VYBER	35400	60332	\N	\N	\N
1393101	4746	1998-02-16	VYDAJ	VYBER	19300	35412	\N	\N	\N
1393102	4746	1998-03-18	VYDAJ	VYBER	4300	27840	\N	\N	\N
1393103	4746	1998-04-17	VYDAJ	VYBER	7800	28795	\N	\N	\N
1393104	4746	1998-05-13	VYDAJ	VYBER	47200	70078	\N	\N	\N
1393105	4746	1998-05-17	VYDAJ	VYBER	19800	41578	\N	\N	\N
1393106	4746	1998-06-16	VYDAJ	VYBER KARTOU	2700	25497	\N	\N	0
1393107	4746	1998-07-16	VYDAJ	VYBER	21700	41037	\N	\N	\N
1393108	4746	1998-08-02	VYDAJ	VYBER	39800	82232	\N	\N	\N
1393109	4746	1998-08-15	VYDAJ	VYBER	40300	64345	\N	\N	\N
1393110	4746	1998-08-31	VYDAJ	VYBER	35500	71127	\N	\N	\N
1393111	4746	1998-09-14	VYDAJ	VYBER	21100	41959	\N	\N	\N
1393112	4746	1998-10-14	VYDAJ	VYBER	30600	57336	\N	\N	\N
1393113	4746	1998-11-13	PRIJEM	VKLAD	600	21013	\N	\N	\N
1393114	4746	1998-12-13	VYDAJ	VYBER	15600	42074	\N	\N	\N
1395226	4753	1996-11-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1395238	4753	1996-12-07	PRIJEM	VKLAD	15382	16382	\N	\N	\N
1395239	4753	1997-01-07	PRIJEM	VKLAD	10255	31702	\N	\N	\N
1395240	4753	1997-02-07	PRIJEM	VKLAD	10255	38079	\N	\N	\N
1395241	4753	1997-03-07	PRIJEM	VKLAD	10255	48487	\N	\N	\N
1395242	4753	1997-04-07	PRIJEM	VKLAD	10255	38181	\N	\N	\N
1395243	4753	1997-05-07	PRIJEM	VKLAD	10255	40376	\N	\N	\N
1395244	4753	1997-06-07	PRIJEM	VKLAD	15382	44110	\N	\N	\N
1395245	4753	1997-07-07	PRIJEM	VKLAD	10255	23998	\N	\N	\N
1395246	4753	1997-08-07	PRIJEM	VKLAD	10255	28270	\N	\N	\N
1395247	4753	1997-09-07	PRIJEM	VKLAD	10255	31338	\N	\N	\N
1395248	4753	1997-10-07	PRIJEM	VKLAD	10255	34904	\N	\N	\N
1395249	4753	1997-11-07	PRIJEM	VKLAD	10255	32387	\N	\N	\N
1395250	4753	1997-12-07	PRIJEM	VKLAD	15382	35032	\N	\N	\N
1395251	4753	1998-01-07	PRIJEM	VKLAD	10255	29111	\N	\N	\N
1395252	4753	1998-02-07	PRIJEM	VKLAD	10255	24698	\N	\N	\N
1395253	4753	1998-03-07	PRIJEM	VKLAD	10255	25100	\N	\N	\N
1395254	4753	1998-04-07	PRIJEM	VKLAD	10255	25545	\N	\N	\N
1395255	4753	1998-05-07	PRIJEM	VKLAD	10255	25191	\N	\N	\N
1395256	4753	1998-06-07	PRIJEM	VKLAD	15382	30762	\N	\N	\N
1395257	4753	1998-07-07	PRIJEM	VKLAD	10255	9723	\N	\N	\N
1395258	4753	1998-08-07	PRIJEM	VKLAD	10255	13964	\N	\N	\N
1395259	4753	1998-09-07	PRIJEM	VKLAD	10255	13901	\N	\N	\N
1395260	4753	1998-10-07	PRIJEM	VKLAD	10255	12590	\N	\N	\N
1395261	4753	1998-11-07	PRIJEM	VKLAD	10255	7959	\N	\N	\N
1395262	4753	1998-12-07	PRIJEM	VKLAD	15382	11342	\N	\N	\N
1395300	4753	1997-06-19	VYDAJ	VYBER	31680	12430	\N	\N	\N
1395301	4753	1998-06-20	VYDAJ	VYBER	30720	42	\N	\N	\N
1395304	4753	1998-01-17	VYDAJ	VYBER	8960	20151	\N	\N	\N
1395306	4753	1997-12-04	VYDAJ	VYBER	960	19650	\N	\N	\N
1395307	4753	1998-12-27	VYDAJ	VYBER	3520	7822	\N	\N	\N
1395311	4753	1997-09-03	VYDAJ	VYBER	5040	21083	\N	\N	\N
1395313	4753	1997-08-03	VYDAJ	VYBER	2160	21915	\N	\N	\N
1395315	4753	1997-08-21	VYDAJ	VYBER	2640	25630	\N	\N	\N
1395316	4753	1998-10-22	VYDAJ	VYBER	4080	5990	\N	\N	\N
1395317	4753	1998-10-07	VYDAJ	VYBER	2520	10070	\N	\N	\N
1395318	4753	1998-11-21	VYDAJ	VYBER	4080	3879	\N	\N	\N
1395319	4753	1998-09-04	VYDAJ	VYBER	4920	3646	\N	\N	\N
1395336	4753	1997-04-30	VYDAJ	VYBER	15	38321	SLUZBY	\N	\N
1395337	4753	1997-05-31	VYDAJ	VYBER	15	40528	SLUZBY	\N	\N
1395338	4753	1997-06-30	VYDAJ	VYBER	15	12543	SLUZBY	\N	\N
1395339	4753	1997-07-31	VYDAJ	VYBER	15	24075	SLUZBY	\N	\N
1395340	4753	1997-08-31	VYDAJ	VYBER	15	25723	SLUZBY	\N	\N
1395341	4753	1997-09-30	VYDAJ	VYBER	15	31449	SLUZBY	\N	\N
1395342	4753	1997-10-31	VYDAJ	VYBER	15	35032	SLUZBY	\N	\N
1395343	4753	1997-11-30	VYDAJ	VYBER	15	32510	SLUZBY	\N	\N
1395344	4753	1997-12-31	VYDAJ	VYBER	15	35156	SLUZBY	\N	\N
1395345	4753	1998-01-31	VYDAJ	VYBER	15	14443	SLUZBY	\N	\N
1395346	4753	1998-02-28	VYDAJ	VYBER	15	24745	SLUZBY	\N	\N
1395347	4753	1998-03-31	VYDAJ	VYBER	15	25190	SLUZBY	\N	\N
1395348	4753	1998-04-30	VYDAJ	VYBER	15	25636	SLUZBY	\N	\N
1395349	4753	1998-05-31	VYDAJ	VYBER	15	25280	SLUZBY	\N	\N
1395350	4753	1998-06-30	VYDAJ	VYBER	15	68	SLUZBY	\N	\N
1395351	4753	1998-07-31	VYDAJ	VYBER	15	3709	SLUZBY	\N	\N
1395352	4753	1998-08-31	VYDAJ	VYBER	15	8566	SLUZBY	\N	\N
1395353	4753	1998-09-30	VYDAJ	VYBER	15	2335	SLUZBY	\N	\N
1395354	4753	1998-10-31	VYDAJ	VYBER	15	-2293	SLUZBY	\N	\N
1395356	4753	1996-12-07	PRIJEM	VKLAD	3000	19382	\N	\N	\N
1395357	4753	1997-01-06	PRIJEM	VKLAD	2000	21447	\N	\N	\N
1395358	4753	1997-02-05	VYDAJ	VYBER	4000	27824	\N	\N	\N
1395359	4753	1997-03-07	VYDAJ	VYBER	16200	32287	\N	\N	\N
1395360	4753	1997-04-06	VYDAJ	VYBER	4500	27926	\N	\N	\N
1395361	4753	1997-05-06	VYDAJ	VYBER	8200	30121	\N	\N	\N
1395362	4753	1997-06-05	VYDAJ	VYBER	11800	28728	\N	\N	\N
1395363	4753	1997-07-05	PRIJEM	VKLAD	1200	13743	\N	\N	\N
1395364	4753	1997-08-04	VYDAJ	VYBER	3900	18015	\N	\N	\N
1395365	4753	1997-09-03	PRIJEM	VKLAD	400	26123	\N	\N	\N
1395366	4753	1997-10-03	VYDAJ	VYBER	6800	24649	\N	\N	\N
1395367	4753	1997-11-02	VYDAJ	VYBER	12900	22132	\N	\N	\N
1395368	4753	1997-12-02	VYDAJ	VYBER	11900	20610	\N	\N	\N
1395369	4753	1998-01-01	VYDAJ	VYBER	16300	18856	\N	\N	\N
1395370	4753	1998-01-31	VYDAJ	VYBER	5800	14458	\N	\N	\N
1395371	4753	1998-03-02	VYDAJ	VYBER	9900	14845	\N	\N	\N
1395372	4753	1998-04-01	VYDAJ	VYBER	9900	15290	\N	\N	\N
1395373	4753	1998-05-01	VYDAJ	VYBER	10700	14936	\N	\N	\N
1395374	4753	1998-05-31	VYDAJ	VYBER	9900	15380	\N	\N	\N
1395375	4753	1998-06-30	VYDAJ	VYBER	600	-532	\N	\N	\N
1395376	4753	1998-07-30	VYDAJ	VYBER	6000	3723	\N	\N	\N
1395377	4753	1998-08-29	VYDAJ	VYBER	5400	8564	\N	\N	\N
1395378	4753	1998-09-28	VYDAJ	VYBER	11600	2301	\N	\N	\N
1395379	4753	1998-10-28	VYDAJ	VYBER	8300	-2310	\N	\N	\N
1395380	4753	1998-11-27	VYDAJ	VYBER	7900	-4021	\N	\N	\N
1399672	4768	1996-06-17	PRIJEM	VKLAD	200	200	\N	\N	\N
1399674	4768	1996-10-20	PRIJEM	VKLAD	28983	57815	\N	\N	\N
1399675	4768	1996-06-22	PRIJEM	VKLAD	41871	42071	\N	\N	\N
1399678	4768	1996-08-29	PRIJEM	VKLAD	34459	84219	\N	\N	\N
1399679	4768	1996-09-17	PRIJEM	VKLAD	8411	50428	\N	\N	\N
1399682	4768	1996-09-08	PRIJEM	VKLAD	49849	121211	\N	\N	\N
1399684	4768	1996-11-09	PRIJEM	VKLAD	39686	119130	\N	\N	\N
1399685	4768	1996-07-04	PRIJEM	VKLAD	32396	74520	\N	\N	\N
1399686	4768	1996-09-03	PRIJEM	VKLAD	40721	125262	\N	\N	\N
1399687	4768	1996-08-01	PRIJEM	VKLAD	38483	124375	\N	\N	\N
1399688	4768	1996-10-21	PRIJEM	VKLAD	21426	79241	\N	\N	\N
1399689	4768	1996-09-12	PRIJEM	VKLAD	8206	66717	\N	\N	\N
1399691	4768	1996-07-19	PRIJEM	VKLAD	37019	85639	\N	\N	\N
1399692	4768	1996-08-11	PRIJEM	VKLAD	21485	109160	\N	\N	\N
1399693	4768	1997-09-15	PRIJEM	VKLAD	5394	56786	\N	\N	\N
1399694	4768	1997-07-08	PRIJEM	VKLAD	35346	81658	\N	\N	\N
1399695	4768	1997-03-16	PRIJEM	VKLAD	47714	72131	\N	\N	\N
1399696	4768	1997-06-14	PRIJEM	VKLAD	26723	67797	\N	\N	\N
1399697	4768	1997-10-23	PRIJEM	VKLAD	19529	76423	\N	\N	\N
1399698	4768	1997-10-05	PRIJEM	VKLAD	37805	94794	\N	\N	\N
1399699	4768	1997-04-07	PRIJEM	VKLAD	27002	88490	\N	\N	\N
1399700	4768	1997-09-09	PRIJEM	VKLAD	39689	84192	\N	\N	\N
1399701	4768	1997-05-04	PRIJEM	VKLAD	40636	75827	\N	\N	\N
1399702	4768	1997-11-14	PRIJEM	VKLAD	42539	55571	\N	\N	\N
1399703	4768	1997-05-19	PRIJEM	VKLAD	22544	67868	\N	\N	\N
1399704	4768	1997-12-21	PRIJEM	VKLAD	25980	51680	\N	\N	\N
1399705	4768	1997-01-17	PRIJEM	VKLAD	19957	29016	\N	\N	\N
1399706	4768	1997-08-07	PRIJEM	VKLAD	15732	62730	\N	\N	\N
1399707	4768	1997-05-05	PRIJEM	VKLAD	44998	120825	\N	\N	\N
1399708	4768	1997-05-29	PRIJEM	VKLAD	36508	115299	\N	\N	\N
1399709	4768	1997-11-17	PRIJEM	VKLAD	10689	66260	\N	\N	\N
1399710	4768	1997-07-11	PRIJEM	VKLAD	31147	112805	\N	\N	\N
1399711	4768	1997-05-24	PRIJEM	VKLAD	38223	106091	\N	\N	\N
1399712	4768	1997-03-06	PRIJEM	VKLAD	16011	22917	\N	\N	\N
1399713	4768	1997-07-03	PRIJEM	VKLAD	10479	46312	\N	\N	\N
1399714	4768	1998-09-15	PRIJEM	VKLAD	30493	32043	\N	\N	\N
1399715	4768	1998-01-05	PRIJEM	VKLAD	37894	68541	\N	\N	\N
1399716	4768	1998-07-13	PRIJEM	VKLAD	6776	17079	\N	\N	\N
1399717	4768	1998-08-03	PRIJEM	VKLAD	39711	103302	\N	\N	\N
1399718	4768	1998-01-28	PRIJEM	VKLAD	25533	33274	\N	\N	\N
1399719	4768	1998-07-22	PRIJEM	VKLAD	5072	22151	\N	\N	\N
1399720	4768	1998-05-03	PRIJEM	VKLAD	42775	43453	\N	\N	\N
1399721	4768	1998-12-27	PRIJEM	VKLAD	16222	37716	\N	\N	\N
1399722	4768	1998-02-23	PRIJEM	VKLAD	16846	26402	\N	\N	\N
1399723	4768	1998-07-27	PRIJEM	VKLAD	41369	63520	\N	\N	\N
1399724	4768	1998-10-11	PRIJEM	VKLAD	49745	70100	\N	\N	\N
1399728	4768	1997-06-27	VYBER	VYBER	6672	35625	\N	\N	\N
1399729	4768	1997-11-18	VYBER	VYBER	23468	42792	\N	\N	\N
1399730	4768	1997-05-08	VYBER	VYBER	16201	65024	\N	\N	\N
1399731	4768	1997-04-20	VYBER	VYBER	8396	49094	\N	\N	\N
1399732	4768	1997-12-24	VYBER	VYBER	8007	43673	\N	\N	\N
1399733	4768	1997-11-11	VYBER	VYBER	23737	24732	\N	\N	\N
1399734	4768	1997-12-20	VYBER	VYBER	4899	25700	\N	\N	\N
1399735	4768	1997-12-25	VYBER	VYBER	13161	30512	\N	\N	\N
1399737	4768	1997-02-13	VYBER	VYBER	19636	6861	\N	\N	\N
1399738	4768	1998-05-14	VYBER	VYBER	18186	1867	\N	\N	\N
1399739	4768	1998-09-02	VYBER	VYBER	15809	20450	\N	\N	\N
1399741	4768	1998-08-21	VYBER	VYBER	18521	40481	\N	\N	\N
1399743	4768	1998-09-17	VYBER	VYBER	2969	29074	\N	\N	\N
1399744	4768	1998-08-27	VYBER	VYBER	4425	36056	\N	\N	\N
1399745	4768	1998-05-30	VYBER	VYBER	2057	-190	\N	\N	\N
1399746	4768	1998-02-13	VYBER	VYBER	14009	9556	\N	\N	\N
1399749	4768	1997-06-18	VYDAJ	VYBER	25500	42297	\N	\N	\N
1399752	4768	1997-01-10	VYDAJ	VYBER	3000	11459	\N	\N	\N
1399754	4768	1996-12-25	VYDAJ	VYBER	8700	28397	\N	\N	\N
1399755	4768	1997-12-03	VYDAJ	VYBER	4800	38199	\N	\N	\N
1399756	4768	1998-12-05	VYDAJ	VYBER	7500	21494	\N	\N	\N
1399763	4768	1997-01-04	VYDAJ	VYBER	1500	20159	\N	\N	\N
1399764	4768	1997-01-08	VYDAJ	VYBER	1500	18659	\N	\N	\N
1399765	4768	1997-01-01	VYDAJ	VYBER	6900	21659	\N	\N	\N
1399766	4768	1997-01-29	VYDAJ	VYBER	4800	24216	\N	\N	\N
1399767	4768	1997-01-15	VYDAJ	VYBER	8700	9059	\N	\N	\N
1399768	4768	1997-01-09	VYDAJ	VYBER	4200	14459	\N	\N	\N
1399769	4768	1998-01-17	VYDAJ	VYBER	7800	11041	\N	\N	\N
1399770	4768	1998-01-06	VYDAJ	VYBER	6600	61941	\N	\N	\N
1399771	4768	1998-01-11	VYDAJ	VYBER	8100	33841	\N	\N	\N
1399772	4768	1998-01-12	VYDAJ	VYBER	6300	18841	\N	\N	\N
1399773	4768	1998-01-19	VYDAJ	VYBER	3300	7741	\N	\N	\N
1399774	4768	1998-01-12	VYDAJ	VYBER	8700	25141	\N	\N	\N
1399775	4768	1996-09-19	VYDAJ	VYBER	14400	36028	\N	\N	\N
1399780	4768	1997-04-20	VYDAJ	VYBER	14100	34994	\N	\N	\N
1399781	4768	1997-03-30	VYDAJ	VYBER	10800	61331	\N	\N	\N
1399782	4768	1997-11-11	VYDAJ	VYBER	11700	13032	\N	\N	\N
1399784	4768	1998-04-30	VYDAJ	VYBER	14700	692	\N	\N	\N
1399785	4768	1998-05-13	VYDAJ	VYBER	9000	20053	\N	\N	\N
1399786	4768	1998-02-25	VYDAJ	VYBER	8100	18302	\N	\N	\N
1399787	4768	1998-09-10	VYDAJ	VYBER	12600	1550	\N	\N	\N
1399796	4768	1996-08-31	VYDAJ	VYBER	15	84541	SLUZBY	\N	\N
1399797	4768	1996-09-30	VYDAJ	VYBER	15	36232	SLUZBY	\N	\N
1399798	4768	1996-10-31	VYDAJ	VYBER	15	79444	SLUZBY	\N	\N
1399799	4768	1996-11-30	VYDAJ	VYBER	15	46697	SLUZBY	\N	\N
1399800	4768	1996-12-31	VYDAJ	VYBER	15	28559	SLUZBY	\N	\N
1399801	4768	1997-01-31	VYDAJ	VYBER	15	24297	SLUZBY	\N	\N
1399802	4768	1997-02-28	VYDAJ	VYBER	15	6906	SLUZBY	\N	\N
1399803	4768	1997-03-31	VYDAJ	VYBER	15	61488	SLUZBY	\N	\N
1399804	4768	1997-04-30	VYDAJ	VYBER	15	35191	SLUZBY	\N	\N
1399805	4768	1997-05-31	VYDAJ	VYBER	15	62274	SLUZBY	\N	\N
1399806	4768	1997-06-30	VYDAJ	VYBER	15	35833	SLUZBY	\N	\N
1399807	4768	1997-07-31	VYDAJ	VYBER	15	46998	SLUZBY	\N	\N
1399808	4768	1997-08-31	VYDAJ	VYBER	15	44503	SLUZBY	\N	\N
1399809	4768	1997-09-30	VYDAJ	VYBER	15	56989	SLUZBY	\N	\N
1399810	4768	1997-10-31	VYDAJ	VYBER	15	76669	SLUZBY	\N	\N
1399811	4768	1997-11-30	VYDAJ	VYBER	15	42999	SLUZBY	\N	\N
1399812	4768	1997-12-31	VYDAJ	VYBER	15	30647	SLUZBY	\N	\N
1399813	4768	1998-01-31	VYDAJ	VYBER	15	33365	SLUZBY	\N	\N
1399814	4768	1998-02-28	VYDAJ	VYBER	15	18379	SLUZBY	\N	\N
1399815	4768	1998-03-31	VYDAJ	VYBER	15	13140	SLUZBY	\N	\N
1399816	4768	1998-04-30	VYDAJ	VYBER	15	678	SLUZBY	\N	\N
1399817	4768	1998-05-31	VYDAJ	VYBER	15	-179	SLUZBY	\N	\N
1399818	4768	1998-06-30	VYDAJ	VYBER	15	5107	SLUZBY	\N	\N
1399819	4768	1998-07-31	VYDAJ	VYBER	15	63591	SLUZBY	\N	\N
1399820	4768	1998-08-31	VYDAJ	VYBER	15	36259	SLUZBY	\N	\N
1399821	4768	1998-09-30	VYDAJ	VYBER	15	29155	SLUZBY	\N	\N
1399822	4768	1998-10-31	VYDAJ	VYBER	15	70321	SLUZBY	\N	\N
1399823	4768	1998-11-30	VYDAJ	VYBER	15	42594	SLUZBY	\N	\N
1399824	4768	1996-07-17	VYDAJ	VYBER	25900	48620	\N	\N	\N
1399825	4768	1996-08-01	VYDAJ	VYBER	36700	87675	\N	\N	\N
1399826	4768	1996-08-11	VYDAJ	VYBER	37400	71760	\N	\N	\N
1399827	4768	1996-08-16	VYDAJ	VYBER	22000	49760	\N	\N	\N
1399828	4768	1996-09-03	VYDAJ	VYBER	53900	71362	\N	\N	\N
1399829	4768	1996-09-08	VYDAJ	VYBER	62700	58511	\N	\N	\N
1399830	4768	1996-09-15	VYDAJ	VYBER	24700	42017	\N	\N	\N
1399831	4768	1996-10-15	VYDAJ	VYBER	7400	28832	\N	\N	\N
1399832	4768	1996-11-09	VYDAJ	VYBER	52500	66630	\N	\N	\N
1399833	4768	1996-11-14	VYDAJ	VYBER	20200	46430	\N	\N	\N
1399834	4768	1996-12-14	VYDAJ	VYBER	9600	37097	\N	\N	\N
1399835	4768	1997-01-13	PRIJEM	VKLAD	6300	17759	\N	\N	\N
1399836	4768	1997-02-12	PRIJEM	VKLAD	2200	26497	\N	\N	\N
1399837	4768	1997-03-14	PRIJEM	VKLAD	1500	24417	\N	\N	\N
1399838	4768	1997-04-13	VYDAJ	VYBER	31000	57490	\N	\N	\N
1399839	4768	1997-05-05	VYDAJ	VYBER	39600	81225	\N	\N	\N
1399840	4768	1997-05-13	VYDAJ	VYBER	19700	45324	\N	\N	\N
1399841	4768	1997-05-24	VYDAJ	VYBER	27300	78791	\N	\N	\N
1399842	4768	1997-05-29	VYDAJ	VYBER	53300	61999	\N	\N	\N
1399843	4768	1997-06-12	VYDAJ	VYBER	21200	41074	\N	\N	\N
1399844	4768	1997-07-11	VYDAJ	VYBER	43300	69505	\N	\N	\N
1399845	4768	1997-07-12	VYDAJ	VYBER	22700	46805	\N	\N	\N
1399846	4768	1997-08-11	VYDAJ	VYBER	18400	44330	\N	\N	\N
1399847	4768	1997-09-10	VYDAJ	VYBER	32800	51392	\N	\N	\N
1399848	4768	1997-10-10	VYDAJ	VYBER	37900	56894	\N	\N	\N
1399849	4768	1997-11-09	VYDAJ	VYBER	28200	48469	\N	\N	\N
1399850	4768	1997-12-09	VYDAJ	VYBER	7600	30599	\N	\N	\N
1399851	4768	1998-01-08	VYDAJ	VYBER	20000	41941	\N	\N	\N
1399852	4768	1998-02-07	VYDAJ	VYBER	9800	23565	\N	\N	\N
1399853	4768	1998-03-09	VYDAJ	VYBER	5300	13079	\N	\N	\N
1399854	4768	1998-04-08	PRIJEM	VKLAD	2200	15340	\N	\N	\N
1399855	4768	1998-05-08	VYDAJ	VYBER	14400	29053	\N	\N	\N
1399856	4768	1998-06-07	PRIJEM	VKLAD	5300	5121	\N	\N	\N
1399857	4768	1998-07-07	PRIJEM	VKLAD	5200	10303	\N	\N	\N
1399858	4768	1998-08-06	VYDAJ	VYBER	44300	59002	\N	\N	\N
1399859	4768	1998-09-05	VYDAJ	VYBER	6300	14150	\N	\N	\N
1399860	4768	1998-10-05	VYDAJ	VYBER	8800	20355	\N	\N	\N
1399861	4768	1998-11-04	VYDAJ	VYBER	28000	42321	\N	\N	\N
1399862	4768	1998-12-04	VYDAJ	VYBER	13600	28994	\N	\N	\N
1401333	4774	1994-01-14	PRIJEM	VKLAD	300	300	\N	\N	\N
1401335	4774	1994-02-07	PRIJEM	VKLAD	23442	23742	\N	\N	\N
1401336	4774	1994-03-07	PRIJEM	VKLAD	23442	45336	\N	\N	\N
1401337	4774	1994-04-07	PRIJEM	VKLAD	23442	59802	\N	\N	\N
1401338	4774	1994-05-07	PRIJEM	VKLAD	23442	67012	\N	\N	\N
1401339	4774	1994-06-07	PRIJEM	VKLAD	35163	79558	\N	\N	\N
1401340	4774	1994-07-07	PRIJEM	VKLAD	23442	36536	\N	\N	\N
1401341	4774	1994-08-07	PRIJEM	VKLAD	23442	52585	\N	\N	\N
1401342	4774	1994-09-07	PRIJEM	VKLAD	23442	51355	\N	\N	\N
1401343	4774	1994-10-07	PRIJEM	VKLAD	23442	46074	\N	\N	\N
1401344	4774	1994-11-07	PRIJEM	VKLAD	23442	39758	\N	\N	\N
1401345	4774	1994-12-07	PRIJEM	VKLAD	35163	53886	\N	\N	\N
1401346	4774	1995-01-07	PRIJEM	VKLAD	23442	31232	\N	\N	\N
1401347	4774	1995-02-07	PRIJEM	VKLAD	23442	36926	\N	\N	\N
1401348	4774	1995-03-07	PRIJEM	VKLAD	23442	40031	\N	\N	\N
1401349	4774	1995-04-07	PRIJEM	VKLAD	23442	25505	\N	\N	\N
1401350	4774	1995-05-07	PRIJEM	VKLAD	23442	37399	\N	\N	\N
1401351	4774	1995-06-07	PRIJEM	VKLAD	35163	39834	\N	\N	\N
1401352	4774	1995-07-07	PRIJEM	VKLAD	23442	47352	\N	\N	\N
1401353	4774	1995-08-07	PRIJEM	VKLAD	23442	45994	\N	\N	\N
1401354	4774	1995-09-07	PRIJEM	VKLAD	23442	50544	\N	\N	\N
1401355	4774	1995-10-07	PRIJEM	VKLAD	23442	47827	\N	\N	\N
1401356	4774	1995-11-07	PRIJEM	VKLAD	23442	59626	\N	\N	\N
1401357	4774	1995-12-07	PRIJEM	VKLAD	35163	71943	\N	\N	\N
1401358	4774	1996-01-07	PRIJEM	VKLAD	23442	67298	\N	\N	\N
1401359	4774	1996-02-07	PRIJEM	VKLAD	23442	50564	\N	\N	\N
1401360	4774	1996-03-07	PRIJEM	VKLAD	23442	53942	\N	\N	\N
1401361	4774	1996-04-07	PRIJEM	VKLAD	23442	53348	\N	\N	\N
1401362	4774	1996-05-07	PRIJEM	VKLAD	23442	58705	\N	\N	\N
1401363	4774	1996-06-07	PRIJEM	VKLAD	35163	73089	\N	\N	\N
1401364	4774	1996-07-07	PRIJEM	VKLAD	23442	66760	\N	\N	\N
1401365	4774	1996-08-07	PRIJEM	VKLAD	23442	59220	\N	\N	\N
1401366	4774	1996-09-07	PRIJEM	VKLAD	23442	63857	\N	\N	\N
1401367	4774	1996-10-07	PRIJEM	VKLAD	23442	65186	\N	\N	\N
1401368	4774	1996-11-07	PRIJEM	VKLAD	23442	58717	\N	\N	\N
1401369	4774	1996-12-07	PRIJEM	VKLAD	35163	77878	\N	\N	\N
1401370	4774	1997-01-07	PRIJEM	VKLAD	23442	61854	\N	\N	\N
1401371	4774	1997-02-07	PRIJEM	VKLAD	23442	52363	\N	\N	\N
1401372	4774	1997-03-07	PRIJEM	VKLAD	23442	53645	\N	\N	\N
1401373	4774	1997-04-07	PRIJEM	VKLAD	23442	59464	\N	\N	\N
1401374	4774	1997-05-07	PRIJEM	VKLAD	23442	66104	\N	\N	\N
1401375	4774	1997-06-07	PRIJEM	VKLAD	35163	66678	\N	\N	\N
1401376	4774	1997-07-07	PRIJEM	VKLAD	23442	66138	\N	\N	\N
1401377	4774	1997-08-07	PRIJEM	VKLAD	23442	63477	\N	\N	\N
1401378	4774	1997-09-07	PRIJEM	VKLAD	23442	60800	\N	\N	\N
1401379	4774	1997-10-07	PRIJEM	VKLAD	23442	69023	\N	\N	\N
1401380	4774	1997-11-07	PRIJEM	VKLAD	23442	71370	\N	\N	\N
1401381	4774	1997-12-07	PRIJEM	VKLAD	35163	84922	\N	\N	\N
1401382	4774	1998-01-07	PRIJEM	VKLAD	23442	70695	\N	\N	\N
1401383	4774	1998-02-07	PRIJEM	VKLAD	23442	51790	\N	\N	\N
1401384	4774	1998-03-07	PRIJEM	VKLAD	23442	60370	\N	\N	\N
1401385	4774	1998-04-07	PRIJEM	VKLAD	23442	61612	\N	\N	\N
1401386	4774	1998-05-07	PRIJEM	VKLAD	23442	67728	\N	\N	\N
1401387	4774	1998-06-07	PRIJEM	VKLAD	35163	83289	\N	\N	\N
1401388	4774	1998-07-07	PRIJEM	VKLAD	23442	56302	\N	\N	\N
1401389	4774	1998-08-07	PRIJEM	VKLAD	23442	61744	\N	\N	\N
1401390	4774	1998-09-07	PRIJEM	VKLAD	23442	72491	\N	\N	\N
1401391	4774	1998-10-07	PRIJEM	VKLAD	23442	73538	\N	\N	\N
1401392	4774	1998-11-07	PRIJEM	VKLAD	23442	80322	\N	\N	\N
1401393	4774	1998-12-07	PRIJEM	VKLAD	35163	99235	\N	\N	\N
1401399	4774	1994-06-19	VYDAJ	VYBER	4800	22378	SIPO	\N	0
1401400	4774	1994-07-02	VYDAJ	VYBER	5200	13094	SIPO	\N	0
1401401	4774	1994-08-19	VYDAJ	VYBER	5200	33985	SIPO	\N	0
1401402	4774	1994-09-04	VYDAJ	VYBER	6200	27913	SIPO	\N	0
1401403	4774	1994-10-07	VYDAJ	VYBER	5300	40774	SIPO	\N	0
1401404	4774	1994-11-13	VYDAJ	VYBER	7300	18658	SIPO	\N	0
1401405	4774	1994-12-11	VYDAJ	VYBER	5400	24186	SIPO	\N	0
1401406	4774	1995-01-02	VYDAJ	VYBER	7600	11150	SIPO	\N	0
1401407	4774	1995-02-19	VYDAJ	VYBER	5200	16526	SIPO	\N	0
1401408	4774	1995-03-19	VYDAJ	VYBER	6400	25731	SIPO	\N	0
1401409	4774	1995-04-17	VYDAJ	VYBER	6600	13905	SIPO	\N	0
1401410	4774	1995-05-10	VYDAJ	VYBER	6300	26999	SIPO	\N	0
1401411	4774	1995-06-04	VYDAJ	VYBER	7600	4671	SIPO	\N	0
1401412	4774	1995-07-13	VYDAJ	VYBER	5000	22463	SIPO	\N	0
1401413	4774	1995-08-18	VYDAJ	VYBER	7100	22905	SIPO	\N	0
1401414	4774	1995-09-11	VYDAJ	VYBER	5800	44744	SIPO	\N	0
1401415	4774	1995-10-05	VYDAJ	VYBER	6400	28785	SIPO	\N	0
1401416	4774	1995-11-20	VYDAJ	VYBER	4800	45137	SIPO	\N	0
1401417	4774	1995-12-12	VYDAJ	VYBER	6200	65743	SIPO	\N	0
1401418	4774	1996-01-08	VYDAJ	VYBER	6300	60998	SIPO	\N	0
1401419	4774	1996-02-08	VYDAJ	VYBER	6700	43864	SIPO	\N	0
1401420	4774	1996-03-12	VYDAJ	VYBER	5000	39253	SIPO	\N	0
1401421	4774	1996-04-06	VYDAJ	VYBER	5800	29906	SIPO	\N	0
1401422	4774	1996-05-13	VYDAJ	VYBER	6400	42616	SIPO	\N	0
1401423	4774	1996-06-12	VYDAJ	VYBER	7600	59089	SIPO	\N	0
1401424	4774	1996-07-16	VYDAJ	VYBER	7000	50071	SIPO	\N	0
1401425	4774	1996-08-01	VYDAJ	VYBER	5900	44378	SIPO	\N	0
1401426	4774	1996-09-20	VYDAJ	VYBER	7500	46668	SIPO	\N	0
1401427	4774	1996-10-17	VYDAJ	VYBER	6900	48597	SIPO	\N	0
1401428	4774	1996-11-05	VYDAJ	VYBER	6500	35275	SIPO	\N	0
1401429	4774	1996-12-11	VYDAJ	VYBER	5500	72378	SIPO	\N	0
1401430	4774	1997-01-12	VYDAJ	VYBER	6200	54094	SIPO	\N	0
1401431	4774	1997-02-18	VYDAJ	VYBER	5800	36874	SIPO	\N	0
1401432	4774	1997-03-06	VYDAJ	VYBER	7800	30203	SIPO	\N	0
1401433	4774	1997-04-05	VYDAJ	VYBER	5100	36022	SIPO	\N	0
1401434	4774	1997-05-15	VYDAJ	VYBER	5500	50915	SIPO	\N	0
1401435	4774	1997-06-12	VYDAJ	VYBER	7200	49789	SIPO	\N	0
1401436	4774	1997-07-12	VYDAJ	VYBER	6200	50249	SIPO	\N	0
1401437	4774	1997-08-19	VYDAJ	VYBER	7600	46188	SIPO	\N	0
1401438	4774	1997-09-03	VYDAJ	VYBER	6200	37358	SIPO	\N	0
1401439	4774	1997-10-10	VYDAJ	VYBER	5000	64023	SIPO	\N	0
1401440	4774	1997-11-12	VYDAJ	VYBER	5700	55981	SIPO	\N	0
1401441	4774	1997-12-09	VYDAJ	VYBER	7500	77422	SIPO	\N	0
1401442	4774	1998-01-09	VYDAJ	VYBER	6200	53455	SIPO	\N	0
1401443	4774	1998-02-02	VYDAJ	VYBER	7400	28348	SIPO	\N	0
1401444	4774	1998-03-19	VYDAJ	VYBER	7700	37821	SIPO	\N	0
1401445	4774	1998-04-17	VYDAJ	VYBER	5000	46923	SIPO	\N	0
1401446	4774	1998-05-20	VYDAJ	VYBER	7800	50239	SIPO	\N	0
1401447	4774	1998-06-16	VYDAJ	VYBER	7000	66600	SIPO	\N	0
1401448	4774	1998-07-02	VYDAJ	VYBER	6500	32860	SIPO	\N	0
1401449	4774	1998-08-05	VYDAJ	VYBER	7700	38302	SIPO	\N	0
1401450	4774	1998-09-20	VYDAJ	VYBER	6900	51802	SIPO	\N	0
1401451	4774	1998-10-18	VYDAJ	VYBER	4700	59149	SIPO	\N	0
1401452	4774	1998-11-16	VYDAJ	VYBER	6200	64433	SIPO	\N	0
1401453	4774	1998-12-20	VYDAJ	VYBER	6900	81366	SIPO	\N	0
1401459	4774	1994-06-15	VYDAJ	VYBER	9900	27178	\N	\N	0
1401460	4774	1994-07-16	VYDAJ	VYBER	8300	29036	\N	\N	0
1401461	4774	1994-08-10	VYDAJ	VYBER	10700	41885	\N	\N	0
1401462	4774	1994-09-16	VYDAJ	VYBER	13200	26955	\N	\N	0
1401463	4774	1994-10-14	VYDAJ	VYBER	12000	20674	\N	\N	0
1401464	4774	1994-11-10	VYDAJ	VYBER	8500	31258	\N	\N	0
1401465	4774	1994-12-07	VYDAJ	VYBER	8800	45086	\N	\N	0
1401466	4774	1995-01-17	VYDAJ	VYBER	8400	13432	\N	\N	0
1401467	4774	1995-02-10	VYDAJ	VYBER	12500	21726	\N	\N	0
1401468	4774	1995-03-24	VYDAJ	VYBER	11600	11491	\N	\N	0
1401469	4774	1995-04-02	VYDAJ	VYBER	9500	2063	\N	\N	0
1401470	4774	1995-05-18	VYDAJ	VYBER	6500	20499	\N	\N	0
1401471	4774	1995-06-04	VYDAJ	VYBER	8300	12271	\N	\N	0
1401472	4774	1995-07-12	VYDAJ	PREVOD NA UCET	9689	27463	UVER	EF	85673802
1401473	4774	1995-08-12	VYDAJ	PREVOD NA UCET	9689	30005	UVER	EF	85673802
1401474	4774	1995-09-12	VYDAJ	PREVOD NA UCET	9689	35055	UVER	EF	85673802
1401475	4774	1995-10-12	VYDAJ	PREVOD NA UCET	9689	38138	UVER	EF	85673802
1401476	4774	1995-11-12	VYDAJ	PREVOD NA UCET	9689	49937	UVER	EF	85673802
1401477	4774	1995-12-12	VYDAJ	PREVOD NA UCET	9689	56054	UVER	EF	85673802
1401478	4774	1996-01-12	VYDAJ	PREVOD NA UCET	9689	51309	UVER	EF	85673802
1401479	4774	1996-02-12	VYDAJ	PREVOD NA UCET	9689	34175	UVER	EF	85673802
1401480	4774	1996-03-12	VYDAJ	PREVOD NA UCET	9689	44253	UVER	EF	85673802
1401481	4774	1996-04-12	VYDAJ	PREVOD NA UCET	9689	43659	UVER	EF	85673802
1401482	4774	1996-05-12	VYDAJ	PREVOD NA UCET	9689	49016	UVER	EF	85673802
1401483	4774	1996-06-12	VYDAJ	PREVOD NA UCET	9689	49400	UVER	EF	85673802
1401484	4774	1996-07-12	VYDAJ	PREVOD NA UCET	9689	57071	UVER	EF	85673802
1401485	4774	1996-08-12	VYDAJ	PREVOD NA UCET	9689	49531	UVER	EF	85673802
1401486	4774	1996-09-12	VYDAJ	PREVOD NA UCET	9689	54168	UVER	EF	85673802
1401487	4774	1996-10-12	VYDAJ	PREVOD NA UCET	9689	55497	UVER	EF	85673802
1401488	4774	1996-11-12	VYDAJ	PREVOD NA UCET	9689	49028	UVER	EF	85673802
1401489	4774	1996-12-12	VYDAJ	PREVOD NA UCET	9689	62689	UVER	EF	85673802
1401490	4774	1997-01-12	VYDAJ	PREVOD NA UCET	9689	44405	UVER	EF	85673802
1401491	4774	1997-02-12	VYDAJ	PREVOD NA UCET	9689	42674	UVER	EF	85673802
1401492	4774	1997-03-12	VYDAJ	PREVOD NA UCET	9689	43956	UVER	EF	85673802
1401493	4774	1997-04-12	VYDAJ	PREVOD NA UCET	9689	49775	UVER	EF	85673802
1401494	4774	1997-05-12	VYDAJ	PREVOD NA UCET	9689	56415	UVER	EF	85673802
1401495	4774	1997-06-12	VYDAJ	PREVOD NA UCET	9689	56989	UVER	EF	85673802
1401496	4774	1997-07-12	VYDAJ	PREVOD NA UCET	9689	56449	UVER	EF	85673802
1401497	4774	1997-08-12	VYDAJ	PREVOD NA UCET	9689	53788	UVER	EF	85673802
1401498	4774	1997-09-12	VYDAJ	PREVOD NA UCET	9689	51111	UVER	EF	85673802
1401499	4774	1997-10-12	VYDAJ	PREVOD NA UCET	9689	54334	UVER	EF	85673802
1401500	4774	1997-11-12	VYDAJ	PREVOD NA UCET	9689	61681	UVER	EF	85673802
1401501	4774	1997-12-12	VYDAJ	PREVOD NA UCET	9689	67733	UVER	EF	85673802
1401502	4774	1998-01-12	VYDAJ	PREVOD NA UCET	9689	41006	UVER	EF	85673802
1401503	4774	1998-02-12	VYDAJ	PREVOD NA UCET	9689	38261	UVER	EF	85673802
1401504	4774	1998-03-12	VYDAJ	PREVOD NA UCET	9689	50681	UVER	EF	85673802
1401505	4774	1998-04-12	VYDAJ	PREVOD NA UCET	9689	51923	UVER	EF	85673802
1401506	4774	1998-05-12	VYDAJ	PREVOD NA UCET	9689	58039	UVER	EF	85673802
1401507	4774	1998-06-12	VYDAJ	PREVOD NA UCET	9689	73600	UVER	EF	85673802
1401508	4774	1998-07-12	VYDAJ	PREVOD NA UCET	9689	43733	UVER	EF	85673802
1401509	4774	1998-08-12	VYDAJ	PREVOD NA UCET	9689	52055	UVER	EF	85673802
1401510	4774	1998-09-12	VYDAJ	PREVOD NA UCET	9689	62802	UVER	EF	85673802
1401511	4774	1998-10-12	VYDAJ	PREVOD NA UCET	9689	63849	UVER	EF	85673802
1401512	4774	1998-11-12	VYDAJ	PREVOD NA UCET	9689	70633	UVER	EF	85673802
1401513	4774	1998-12-12	VYDAJ	PREVOD NA UCET	9689	88266	UVER	EF	85673802
1401514	4774	1994-06-12	VYDAJ	VYBER	42880	36678	\N	\N	\N
1401516	4774	1996-06-10	VYDAJ	VYBER	6400	66689	\N	\N	\N
1401517	4774	1997-06-02	VYDAJ	VYBER	11680	31515	\N	\N	\N
1401518	4774	1998-06-16	VYDAJ	VYBER	36640	29960	\N	\N	\N
1401521	4774	1996-01-25	VYDAJ	VYBER	14400	26949	\N	\N	\N
1401522	4774	1997-01-12	VYDAJ	VYBER	1920	42485	\N	\N	\N
1401523	4774	1998-01-07	VYDAJ	VYBER	11040	59655	\N	\N	\N
1401524	4774	1994-12-19	VYDAJ	VYBER	3840	20346	\N	\N	\N
1401525	4774	1995-12-01	VYDAJ	VYBER	4640	40680	\N	\N	\N
1401526	4774	1996-12-25	VYDAJ	VYBER	3200	55169	\N	\N	\N
1401527	4774	1997-12-23	VYDAJ	VYBER	3840	63893	\N	\N	\N
1401528	4774	1998-12-11	VYDAJ	VYBER	1280	97955	\N	\N	\N
1401538	4774	1995-01-06	VYDAJ	VYBER	3360	7790	\N	\N	\N
1401540	4774	1995-01-01	VYDAJ	VYBER	1680	18750	\N	\N	\N
1401541	4774	1996-01-03	VYDAJ	VYBER	3240	53056	\N	\N	\N
1401542	4774	1996-01-23	VYDAJ	VYBER	1320	41349	\N	\N	\N
1401543	4774	1996-01-14	VYDAJ	VYBER	2760	48549	\N	\N	\N
1401544	4774	1996-01-22	VYDAJ	VYBER	1800	42669	\N	\N	\N
1401545	4774	1996-01-19	VYDAJ	VYBER	2880	44469	\N	\N	\N
1401546	4774	1996-01-18	VYDAJ	VYBER	1200	47349	\N	\N	\N
1401547	4774	1997-01-29	VYDAJ	VYBER	2520	28765	\N	\N	\N
1401548	4774	1997-01-01	VYDAJ	VYBER	2760	38412	\N	\N	\N
1401549	4774	1997-01-13	VYDAJ	VYBER	3000	39485	\N	\N	\N
1401550	4774	1997-01-26	VYDAJ	VYBER	3360	33845	\N	\N	\N
1401551	4774	1997-01-27	VYDAJ	VYBER	1560	32285	\N	\N	\N
1401552	4774	1997-01-07	VYDAJ	VYBER	1560	60294	\N	\N	\N
1401553	4774	1998-01-12	VYDAJ	VYBER	1800	51655	\N	\N	\N
1401554	4774	1998-01-06	VYDAJ	VYBER	3480	47253	\N	\N	\N
1401555	4774	1998-01-26	VYDAJ	VYBER	1920	35566	\N	\N	\N
1401556	4774	1998-01-12	VYDAJ	VYBER	960	50695	\N	\N	\N
1401557	4774	1998-01-26	VYDAJ	VYBER	720	37486	\N	\N	\N
1401558	4774	1998-01-04	VYDAJ	VYBER	600	50733	\N	\N	\N
1401559	4774	1994-06-24	VYDAJ	VYBER	4200	18178	\N	\N	\N
1401560	4774	1994-09-16	VYDAJ	VYBER	4440	22515	\N	\N	\N
1401562	4774	1994-10-21	VYDAJ	VYBER	720	16234	\N	\N	\N
1401563	4774	1994-10-15	VYDAJ	VYBER	3720	16954	\N	\N	\N
1401564	4774	1995-03-22	VYDAJ	VYBER	2640	23091	\N	\N	\N
1401565	4774	1995-01-07	VYDAJ	VYBER	4800	26432	\N	\N	\N
1401566	4774	1996-05-30	VYDAJ	VYBER	5160	37456	\N	\N	\N
1401567	4774	1996-04-22	VYDAJ	VYBER	3360	40299	\N	\N	\N
1401568	4774	1996-12-28	VYDAJ	VYBER	3000	52169	\N	\N	\N
1401569	4774	1996-12-21	VYDAJ	VYBER	4320	58369	\N	\N	\N
1401570	4774	1997-01-22	VYDAJ	VYBER	2280	37205	\N	\N	\N
1401571	4774	1997-12-05	VYDAJ	VYBER	1320	49759	\N	\N	\N
1401572	4774	1997-09-24	VYDAJ	VYBER	3120	47991	\N	\N	\N
1401573	4774	1997-04-28	VYDAJ	VYBER	4200	45575	\N	\N	\N
1401574	4774	1998-10-06	VYDAJ	VYBER	1920	50096	\N	\N	\N
1401575	4774	1998-02-24	VYDAJ	VYBER	4080	36781	\N	\N	\N
1401576	4774	1998-03-17	VYDAJ	VYBER	5160	45521	\N	\N	\N
1401577	4774	1998-07-08	VYDAJ	VYBER	2880	53422	\N	\N	\N
1401578	4774	1998-02-10	VYDAJ	VYBER	3840	47950	\N	\N	\N
1401585	4774	1994-06-30	VYDAJ	VYBER	15	18294	SLUZBY	\N	\N
1401586	4774	1994-07-31	VYDAJ	VYBER	15	29143	SLUZBY	\N	\N
1401587	4774	1994-08-31	VYDAJ	VYBER	15	34113	SLUZBY	\N	\N
1401588	4774	1994-09-30	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
1401589	4774	1994-10-31	VYDAJ	VYBER	15	16316	SLUZBY	\N	\N
1401590	4774	1994-11-30	VYDAJ	VYBER	15	18723	SLUZBY	\N	\N
1401591	4774	1994-12-31	VYDAJ	VYBER	15	20430	SLUZBY	\N	\N
1401592	4774	1995-01-31	VYDAJ	VYBER	15	13484	SLUZBY	\N	\N
1401593	4774	1995-02-28	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
1401594	4774	1995-03-31	VYDAJ	VYBER	15	11563	SLUZBY	\N	\N
1401595	4774	1995-04-30	VYDAJ	VYBER	15	13957	SLUZBY	\N	\N
1401596	4774	1995-05-31	VYDAJ	VYBER	15	20571	SLUZBY	\N	\N
1401597	4774	1995-06-30	VYDAJ	VYBER	15	23910	SLUZBY	\N	\N
1401598	4774	1995-07-31	VYDAJ	VYBER	15	22552	SLUZBY	\N	\N
1401599	4774	1995-08-31	VYDAJ	VYBER	15	23002	SLUZBY	\N	\N
1401600	4774	1995-09-30	VYDAJ	VYBER	15	35185	SLUZBY	\N	\N
1401601	4774	1995-10-31	VYDAJ	VYBER	15	38284	SLUZBY	\N	\N
1401602	4774	1995-11-30	VYDAJ	VYBER	15	45320	SLUZBY	\N	\N
1401603	4774	1995-12-31	VYDAJ	VYBER	15	56296	SLUZBY	\N	\N
1401604	4774	1996-01-31	VYDAJ	VYBER	15	27122	SLUZBY	\N	\N
1401605	4774	1996-02-29	VYDAJ	VYBER	15	34300	SLUZBY	\N	\N
1401606	4774	1996-03-31	VYDAJ	VYBER	15	39406	SLUZBY	\N	\N
1401607	4774	1996-04-30	VYDAJ	VYBER	15	40463	SLUZBY	\N	\N
1401608	4774	1996-05-31	VYDAJ	VYBER	15	37626	SLUZBY	\N	\N
1401609	4774	1996-06-30	VYDAJ	VYBER	15	49618	SLUZBY	\N	\N
1401610	4774	1996-07-31	VYDAJ	VYBER	15	50278	SLUZBY	\N	\N
1401611	4774	1996-08-31	VYDAJ	VYBER	15	40415	SLUZBY	\N	\N
1401612	4774	1996-09-30	VYDAJ	VYBER	15	41744	SLUZBY	\N	\N
1401613	4774	1996-10-31	VYDAJ	VYBER	15	41775	SLUZBY	\N	\N
1401614	4774	1996-11-30	VYDAJ	VYBER	15	42715	SLUZBY	\N	\N
1401615	4774	1996-12-31	VYDAJ	VYBER	15	41172	SLUZBY	\N	\N
1401616	4774	1997-01-31	VYDAJ	VYBER	15	28921	SLUZBY	\N	\N
1401617	4774	1997-02-28	VYDAJ	VYBER	15	38003	SLUZBY	\N	\N
1401618	4774	1997-03-31	VYDAJ	VYBER	15	41122	SLUZBY	\N	\N
1401619	4774	1997-04-30	VYDAJ	VYBER	15	42662	SLUZBY	\N	\N
1401620	4774	1997-05-31	VYDAJ	VYBER	15	43195	SLUZBY	\N	\N
1401621	4774	1997-06-30	VYDAJ	VYBER	15	42696	SLUZBY	\N	\N
1401622	4774	1997-07-31	VYDAJ	VYBER	15	40035	SLUZBY	\N	\N
1401623	4774	1997-08-31	VYDAJ	VYBER	15	43558	SLUZBY	\N	\N
1401624	4774	1997-09-30	VYDAJ	VYBER	15	45581	SLUZBY	\N	\N
1401625	4774	1997-10-31	VYDAJ	VYBER	15	47928	SLUZBY	\N	\N
1401626	4774	1997-11-30	VYDAJ	VYBER	15	51079	SLUZBY	\N	\N
1401627	4774	1997-12-31	VYDAJ	VYBER	15	51333	SLUZBY	\N	\N
1401628	4774	1998-01-31	VYDAJ	VYBER	15	35748	SLUZBY	\N	\N
1401629	4774	1998-02-28	VYDAJ	VYBER	15	36928	SLUZBY	\N	\N
1401630	4774	1998-03-31	VYDAJ	VYBER	15	38170	SLUZBY	\N	\N
1401631	4774	1998-04-30	VYDAJ	VYBER	15	44286	SLUZBY	\N	\N
1401632	4774	1998-05-31	VYDAJ	VYBER	15	48126	SLUZBY	\N	\N
1401633	4774	1998-06-30	VYDAJ	VYBER	15	39360	SLUZBY	\N	\N
1401634	4774	1998-07-31	VYDAJ	VYBER	15	46002	SLUZBY	\N	\N
1401635	4774	1998-08-31	VYDAJ	VYBER	15	49049	SLUZBY	\N	\N
1401636	4774	1998-09-30	VYDAJ	VYBER	15	52016	SLUZBY	\N	\N
1401637	4774	1998-10-31	VYDAJ	VYBER	15	56880	SLUZBY	\N	\N
1401638	4774	1998-11-30	VYDAJ	VYBER	15	64072	SLUZBY	\N	\N
1401639	4774	1994-02-13	VYDAJ	VYBER	1900	21842	\N	\N	\N
1401640	4774	1994-03-15	VYDAJ	VYBER	9100	36236	\N	\N	\N
1401641	4774	1994-04-14	VYDAJ	VYBER	16400	43402	\N	\N	\N
1401642	4774	1994-05-14	VYDAJ	VYBER	22800	44212	\N	\N	\N
1401643	4774	1994-06-13	PRIJEM	VKLAD	400	37078	\N	\N	\N
1401644	4774	1994-07-13	PRIJEM	VKLAD	800	37336	\N	\N	\N
1401645	4774	1994-08-12	VYDAJ	VYBER	2700	39185	\N	\N	\N
1401646	4774	1994-09-11	VYDAJ	VYBER	11200	40155	\N	\N	\N
1401647	4774	1994-10-11	VYDAJ	VYBER	8100	32674	\N	\N	\N
1401648	4774	1994-11-10	VYDAJ	VYBER	5300	25958	\N	\N	\N
1401649	4774	1994-12-10	VYDAJ	VYBER	15500	29586	\N	\N	\N
1401650	4774	1995-01-09	VYDAJ	VYBER	4600	21832	\N	\N	\N
1401651	4774	1995-02-08	VYDAJ	VYBER	2700	34226	\N	\N	\N
1401652	4774	1995-03-10	VYDAJ	VYBER	7900	32131	\N	\N	\N
1401653	4774	1995-04-09	VYDAJ	VYBER	5000	20505	\N	\N	\N
1401654	4774	1995-05-09	VYDAJ	VYBER	4100	33299	\N	\N	\N
1401655	4774	1995-06-08	VYDAJ	VYBER	16000	23834	\N	\N	\N
1401656	4774	1995-07-08	VYDAJ	VYBER	10200	37152	\N	\N	\N
1401657	4774	1995-08-07	VYDAJ	VYBER	6300	39694	\N	\N	\N
1401658	4774	1995-09-06	PRIJEM	VKLAD	4100	27102	\N	\N	\N
1401659	4774	1995-10-06	VYDAJ	VYBER	4400	24385	\N	\N	\N
1401660	4774	1995-11-05	VYDAJ	VYBER	2100	36184	\N	\N	\N
1401661	4774	1995-12-05	VYDAJ	VYBER	3900	36780	\N	\N	\N
1401662	4774	1996-01-04	VYDAJ	VYBER	9200	43856	\N	\N	\N
1401663	4774	1996-03-04	VYDAJ	VYBER	3800	30500	\N	\N	\N
1401664	4774	1996-04-03	VYDAJ	VYBER	3700	35706	\N	\N	\N
1401665	4774	1996-05-03	VYDAJ	VYBER	5200	35263	\N	\N	\N
1401666	4774	1996-06-02	PRIJEM	VKLAD	300	37926	\N	\N	\N
1401667	4774	1996-07-02	VYDAJ	VYBER	6300	43318	\N	\N	\N
1401668	4774	1996-08-01	VYDAJ	VYBER	8600	35778	\N	\N	\N
1401669	4774	1996-08-31	VYDAJ	VYBER	9300	40430	\N	\N	\N
1401670	4774	1996-09-30	VYDAJ	VYBER	5100	41759	\N	\N	\N
1401671	4774	1996-10-30	VYDAJ	VYBER	7000	41597	\N	\N	\N
1401672	4774	1996-11-29	VYDAJ	VYBER	6500	42528	\N	\N	\N
1401673	4774	1996-12-29	VYDAJ	VYBER	11200	40969	\N	\N	\N
1401674	4774	1997-01-28	VYDAJ	VYBER	1000	31285	\N	\N	\N
1401675	4774	1997-02-27	PRIJEM	VKLAD	1000	37874	\N	\N	\N
1401676	4774	1997-03-29	VYDAJ	VYBER	3000	40956	\N	\N	\N
1401677	4774	1997-04-28	VYDAJ	VYBER	3100	42475	\N	\N	\N
1401678	4774	1997-05-28	VYDAJ	VYBER	7900	43015	\N	\N	\N
1401679	4774	1997-06-27	VYDAJ	VYBER	7300	42489	\N	\N	\N
1401680	4774	1997-07-27	VYDAJ	VYBER	10400	39849	\N	\N	\N
1401681	4774	1997-08-26	VYDAJ	VYBER	2800	43388	\N	\N	\N
1401682	4774	1997-09-25	VYDAJ	VYBER	2600	45391	\N	\N	\N
1401683	4774	1997-10-25	VYDAJ	VYBER	6600	47734	\N	\N	\N
1401684	4774	1997-11-24	VYDAJ	VYBER	5100	50881	\N	\N	\N
1401685	4774	1997-12-24	VYDAJ	VYBER	12800	51093	\N	\N	\N
1401686	4774	1998-01-23	VYDAJ	VYBER	2800	38206	\N	\N	\N
1401687	4774	1998-02-22	PRIJEM	VKLAD	2600	40861	\N	\N	\N
1401688	4774	1998-03-24	PRIJEM	VKLAD	200	38021	\N	\N	\N
1401689	4774	1998-04-23	VYDAJ	VYBER	2800	44123	\N	\N	\N
1401690	4774	1998-05-23	VYDAJ	VYBER	2300	47939	\N	\N	\N
1401691	4774	1998-06-22	PRIJEM	VKLAD	9200	39160	\N	\N	\N
1401692	4774	1998-07-22	PRIJEM	VKLAD	2100	45833	\N	\N	\N
1401693	4774	1998-08-21	VYDAJ	VYBER	3200	48855	\N	\N	\N
1401694	4774	1998-09-20	VYDAJ	VYBER	4100	58702	\N	\N	\N
1401695	4774	1998-10-20	VYDAJ	VYBER	2500	56649	\N	\N	\N
1401696	4774	1998-11-19	VYDAJ	VYBER	600	63833	\N	\N	\N
1404396	4784	1997-08-08	PRIJEM	VKLAD	400	400	\N	\N	\N
1404404	4784	1997-08-10	PRIJEM	PREVOD Z UCTU	29445	29845	\N	GH	73176908
1404405	4784	1997-09-10	PRIJEM	PREVOD Z UCTU	29445	52978	\N	GH	73176908
1404406	4784	1997-10-10	PRIJEM	PREVOD Z UCTU	29445	67515	\N	GH	73176908
1404407	4784	1997-11-10	PRIJEM	PREVOD Z UCTU	29445	77124	\N	GH	73176908
1404408	4784	1997-12-10	PRIJEM	PREVOD Z UCTU	44168	95801	\N	GH	73176908
1404409	4784	1998-01-10	PRIJEM	PREVOD Z UCTU	29445	79922	\N	GH	73176908
1404410	4784	1998-02-10	PRIJEM	PREVOD Z UCTU	29445	78884	\N	GH	73176908
1404411	4784	1998-03-10	PRIJEM	PREVOD Z UCTU	29445	78356	\N	GH	73176908
1404412	4784	1998-04-10	PRIJEM	PREVOD Z UCTU	29445	68778	\N	GH	73176908
1404413	4784	1998-05-10	PRIJEM	PREVOD Z UCTU	29445	64895	\N	GH	73176908
1404414	4784	1998-06-10	PRIJEM	PREVOD Z UCTU	44168	84914	\N	GH	73176908
1404415	4784	1998-07-10	PRIJEM	PREVOD Z UCTU	29445	80584	\N	GH	73176908
1404416	4784	1998-08-10	PRIJEM	PREVOD Z UCTU	29445	73865	\N	GH	73176908
1404417	4784	1998-09-10	PRIJEM	PREVOD Z UCTU	29445	66683	\N	GH	73176908
1404418	4784	1998-10-10	PRIJEM	PREVOD Z UCTU	29445	68194	\N	GH	73176908
1404419	4784	1998-11-10	PRIJEM	PREVOD Z UCTU	29445	73417	\N	GH	73176908
1404420	4784	1998-12-10	PRIJEM	PREVOD Z UCTU	44168	85180	\N	GH	73176908
1404432	4784	1997-12-12	VYDAJ	PREVOD NA UCET	4572	91229	UVER	CD	68459832
1404433	4784	1998-01-12	VYDAJ	PREVOD NA UCET	4572	75350	UVER	CD	68459832
1404434	4784	1998-02-12	VYDAJ	PREVOD NA UCET	4572	74312	UVER	CD	68459832
1404435	4784	1998-03-12	VYDAJ	PREVOD NA UCET	4572	73784	UVER	CD	68459832
1404436	4784	1998-04-12	VYDAJ	PREVOD NA UCET	4572	64206	UVER	CD	68459832
1404437	4784	1998-05-12	VYDAJ	PREVOD NA UCET	4572	60323	UVER	CD	68459832
1404438	4784	1998-06-12	VYDAJ	PREVOD NA UCET	4572	80342	UVER	CD	68459832
1404439	4784	1998-07-12	VYDAJ	PREVOD NA UCET	4572	76012	UVER	CD	68459832
1404440	4784	1998-08-12	VYDAJ	PREVOD NA UCET	4572	56393	UVER	CD	68459832
1404441	4784	1998-09-12	VYDAJ	PREVOD NA UCET	4572	62111	UVER	CD	68459832
1404442	4784	1998-10-12	VYDAJ	PREVOD NA UCET	4572	63622	UVER	CD	68459832
1404443	4784	1998-11-12	VYDAJ	PREVOD NA UCET	4572	68845	UVER	CD	68459832
1404444	4784	1998-12-12	VYDAJ	PREVOD NA UCET	4572	80608	UVER	CD	68459832
1404449	4784	1998-05-04	VYBER	VYBER	19898	44550	\N	\N	\N
1404450	4784	1998-04-04	VYBER	VYBER	21146	52933	\N	\N	\N
1404451	4784	1997-12-29	VYDAJ	VYBER	5400	85829	\N	\N	\N
1404452	4784	1998-12-22	VYDAJ	VYBER	4800	75808	\N	\N	\N
1404457	4784	1998-02-28	VYDAJ	VYBER	4500	70111	\N	\N	\N
1404458	4784	1998-01-02	VYDAJ	VYBER	10200	75977	\N	\N	\N
1404459	4784	1998-08-10	VYDAJ	VYBER	12900	60965	\N	\N	\N
1404460	4784	1998-08-09	VYDAJ	VYBER	3000	44420	\N	\N	\N
1404473	4784	1997-12-31	VYDAJ	VYBER	15	86177	SLUZBY	\N	\N
1404474	4784	1998-01-31	VYDAJ	VYBER	15	75639	SLUZBY	\N	\N
1404475	4784	1998-02-28	VYDAJ	VYBER	15	74611	SLUZBY	\N	\N
1404476	4784	1998-03-31	VYDAJ	VYBER	15	74079	SLUZBY	\N	\N
1404477	4784	1998-04-30	VYDAJ	VYBER	15	64448	SLUZBY	\N	\N
1404478	4784	1998-05-31	VYDAJ	VYBER	15	60546	SLUZBY	\N	\N
1404479	4784	1998-06-30	VYDAJ	VYBER	15	80639	SLUZBY	\N	\N
1404480	4784	1998-07-31	VYDAJ	VYBER	15	76320	SLUZBY	\N	\N
1404481	4784	1998-08-31	VYDAJ	VYBER	15	56638	SLUZBY	\N	\N
1404482	4784	1998-09-30	VYDAJ	VYBER	15	62349	SLUZBY	\N	\N
1404483	4784	1998-10-31	VYDAJ	VYBER	15	63872	SLUZBY	\N	\N
1404484	4784	1998-11-30	VYDAJ	VYBER	15	69112	SLUZBY	\N	\N
1404485	4784	1997-09-07	VYDAJ	VYBER	6400	23533	\N	\N	\N
1404486	4784	1997-10-07	VYDAJ	VYBER	15100	38070	\N	\N	\N
1404487	4784	1997-11-06	VYDAJ	VYBER	20100	47679	\N	\N	\N
1404488	4784	1997-12-06	VYDAJ	VYBER	25800	51633	\N	\N	\N
1404489	4784	1998-01-05	VYDAJ	VYBER	25500	50477	\N	\N	\N
1404490	4784	1998-02-04	VYDAJ	VYBER	26200	49439	\N	\N	\N
1404491	4784	1998-03-06	VYDAJ	VYBER	21200	48911	\N	\N	\N
1404492	4784	1998-04-05	VYDAJ	VYBER	13600	39333	\N	\N	\N
1404493	4784	1998-05-05	VYDAJ	VYBER	9100	35450	\N	\N	\N
1404494	4784	1998-06-04	VYDAJ	VYBER	19800	40746	\N	\N	\N
1404495	4784	1998-07-04	VYDAJ	VYBER	29500	51139	\N	\N	\N
1404496	4784	1998-08-03	VYDAJ	VYBER	28900	47420	\N	\N	\N
1404497	4784	1998-09-02	VYDAJ	VYBER	19400	37238	\N	\N	\N
1404498	4784	1998-10-02	VYDAJ	VYBER	23600	38749	\N	\N	\N
1404499	4784	1998-11-01	VYDAJ	VYBER	19900	43972	\N	\N	\N
1404500	4784	1998-12-01	VYDAJ	VYBER	28100	41012	\N	\N	\N
1406809	4794	1996-12-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1406822	4794	1997-01-05	PRIJEM	VKLAD	16490	17590	\N	\N	\N
1406823	4794	1997-02-05	PRIJEM	VKLAD	16490	36621	\N	\N	\N
1406824	4794	1997-03-05	PRIJEM	VKLAD	16490	46112	\N	\N	\N
1406825	4794	1997-04-05	PRIJEM	VKLAD	16490	46526	\N	\N	\N
1406826	4794	1997-05-05	PRIJEM	VKLAD	16490	49947	\N	\N	\N
1406827	4794	1997-06-05	PRIJEM	VKLAD	24735	37664	\N	\N	\N
1406828	4794	1997-07-05	PRIJEM	VKLAD	16490	23763	\N	\N	\N
1406829	4794	1997-08-05	PRIJEM	VKLAD	16490	34783	\N	\N	\N
1406830	4794	1997-09-05	PRIJEM	VKLAD	16490	35730	\N	\N	\N
1406831	4794	1997-10-05	PRIJEM	VKLAD	16490	34571	\N	\N	\N
1406832	4794	1997-11-05	PRIJEM	VKLAD	16490	39724	\N	\N	\N
1406833	4794	1997-12-05	PRIJEM	VKLAD	24735	31921	\N	\N	\N
1406834	4794	1998-01-05	PRIJEM	VKLAD	16490	29511	\N	\N	\N
1406835	4794	1998-02-05	PRIJEM	VKLAD	16490	29491	\N	\N	\N
1406836	4794	1998-03-05	PRIJEM	VKLAD	16490	21589	\N	\N	\N
1406837	4794	1998-04-05	PRIJEM	VKLAD	16490	18543	\N	\N	\N
1406838	4794	1998-05-05	PRIJEM	VKLAD	16490	18016	\N	\N	\N
1406839	4794	1998-06-05	PRIJEM	VKLAD	24735	25729	\N	\N	\N
1406840	4794	1998-07-05	PRIJEM	VKLAD	16490	22818	\N	\N	\N
1406841	4794	1998-08-05	PRIJEM	VKLAD	16490	18597	\N	\N	\N
1406842	4794	1998-09-05	PRIJEM	VKLAD	16490	14754	\N	\N	\N
1406843	4794	1998-10-05	PRIJEM	VKLAD	16490	24331	\N	\N	\N
1406844	4794	1998-11-05	PRIJEM	VKLAD	16490	22522	\N	\N	\N
1406845	4794	1998-12-05	PRIJEM	VKLAD	24735	26043	\N	\N	\N
1406862	4794	1997-05-14	VYDAJ	PREVOD NA UCET	1922	34120	SIPO	MN	92189216
1406863	4794	1997-06-14	VYDAJ	PREVOD NA UCET	1922	26497	SIPO	MN	92189216
1406864	4794	1997-07-14	VYDAJ	PREVOD NA UCET	1922	16436	SIPO	MN	92189216
1406865	4794	1997-08-14	VYDAJ	PREVOD NA UCET	1922	27456	SIPO	MN	92189216
1406866	4794	1997-09-14	VYDAJ	PREVOD NA UCET	1922	18003	SIPO	MN	92189216
1406867	4794	1997-10-14	VYDAJ	PREVOD NA UCET	1922	30344	SIPO	MN	92189216
1406868	4794	1997-11-14	VYDAJ	PREVOD NA UCET	1922	20897	SIPO	MN	92189216
1406869	4794	1997-12-14	VYDAJ	PREVOD NA UCET	1922	17274	SIPO	MN	92189216
1406870	4794	1998-01-14	VYDAJ	PREVOD NA UCET	1922	12946	SIPO	MN	92189216
1406871	4794	1998-02-14	VYDAJ	PREVOD NA UCET	1922	5066	SIPO	MN	92189216
1406872	4794	1998-03-14	VYDAJ	PREVOD NA UCET	1922	2044	SIPO	MN	92189216
1406873	4794	1998-04-14	VYDAJ	PREVOD NA UCET	1922	1518	SIPO	MN	92189216
1406874	4794	1998-05-14	VYDAJ	PREVOD NA UCET	1922	991	SIPO	MN	92189216
1406875	4794	1998-06-14	VYDAJ	PREVOD NA UCET	1922	6304	SIPO	MN	92189216
1406876	4794	1998-07-14	VYDAJ	PREVOD NA UCET	1922	2093	SIPO	MN	92189216
1406877	4794	1998-08-14	VYDAJ	PREVOD NA UCET	1922	-1728	SIPO	MN	92189216
1406878	4794	1998-09-14	VYDAJ	PREVOD NA UCET	1922	7827	SIPO	MN	92189216
1406879	4794	1998-10-14	VYDAJ	PREVOD NA UCET	1922	6006	SIPO	MN	92189216
1406880	4794	1998-11-14	VYDAJ	PREVOD NA UCET	1922	1297	SIPO	MN	92189216
1406881	4794	1998-12-14	VYDAJ	PREVOD NA UCET	1922	6018	SIPO	MN	92189216
1406898	4794	1997-05-06	VYDAJ	PREVOD NA UCET	603	40844	 	EF	60735916
1406899	4794	1997-06-06	VYDAJ	PREVOD NA UCET	603	37061	 	EF	60735916
1406900	4794	1997-07-06	VYDAJ	PREVOD NA UCET	603	23160	 	EF	60735916
1406901	4794	1997-08-06	VYDAJ	PREVOD NA UCET	603	34180	 	EF	60735916
1406902	4794	1997-09-06	VYDAJ	PREVOD NA UCET	603	35127	 	EF	60735916
1406903	4794	1997-10-06	VYDAJ	PREVOD NA UCET	603	33968	 	EF	60735916
1406904	4794	1997-11-06	VYDAJ	PREVOD NA UCET	603	39121	 	EF	60735916
1406905	4794	1997-12-06	VYDAJ	PREVOD NA UCET	603	26998	 	EF	60735916
1406906	4794	1998-01-06	VYDAJ	PREVOD NA UCET	603	27468	 	EF	60735916
1406907	4794	1998-02-06	VYDAJ	PREVOD NA UCET	603	28888	 	EF	60735916
1406908	4794	1998-03-06	VYDAJ	PREVOD NA UCET	603	20986	 	EF	60735916
1406909	4794	1998-04-06	VYDAJ	PREVOD NA UCET	603	17940	 	EF	60735916
1406910	4794	1998-05-06	VYDAJ	PREVOD NA UCET	603	17413	 	EF	60735916
1406911	4794	1998-06-06	VYDAJ	PREVOD NA UCET	603	25126	 	EF	60735916
1406912	4794	1998-07-06	VYDAJ	PREVOD NA UCET	603	22215	 	EF	60735916
1406913	4794	1998-08-06	VYDAJ	PREVOD NA UCET	603	17994	 	EF	60735916
1406914	4794	1998-09-06	VYDAJ	PREVOD NA UCET	603	14151	 	EF	60735916
1406915	4794	1998-10-06	VYDAJ	PREVOD NA UCET	603	23728	 	EF	60735916
1406916	4794	1998-11-06	VYDAJ	PREVOD NA UCET	603	21919	 	EF	60735916
1406917	4794	1998-12-06	VYDAJ	PREVOD NA UCET	603	25440	 	EF	60735916
1406934	4794	1997-05-12	VYDAJ	PREVOD NA UCET	3142	36042	POJISTNE	UV	85381936
1406935	4794	1997-06-12	VYDAJ	PREVOD NA UCET	3142	32259	POJISTNE	UV	85381936
1406936	4794	1997-07-12	VYDAJ	PREVOD NA UCET	3142	18358	POJISTNE	UV	85381936
1406937	4794	1997-08-12	VYDAJ	PREVOD NA UCET	3142	29378	POJISTNE	UV	85381936
1406938	4794	1997-09-12	VYDAJ	PREVOD NA UCET	3142	18125	POJISTNE	UV	85381936
1406939	4794	1997-10-12	VYDAJ	PREVOD NA UCET	3142	29166	POJISTNE	UV	85381936
1406940	4794	1997-11-12	VYDAJ	PREVOD NA UCET	3142	26319	POJISTNE	UV	85381936
1406941	4794	1997-12-12	VYDAJ	PREVOD NA UCET	3142	19196	POJISTNE	UV	85381936
1406942	4794	1998-01-12	VYDAJ	PREVOD NA UCET	3142	24566	POJISTNE	UV	85381936
1406943	4794	1998-02-12	VYDAJ	PREVOD NA UCET	3142	6988	POJISTNE	UV	85381936
1406944	4794	1998-03-12	VYDAJ	PREVOD NA UCET	3142	13664	POJISTNE	UV	85381936
1406945	4794	1998-04-12	VYDAJ	PREVOD NA UCET	3142	3440	POJISTNE	UV	85381936
1406946	4794	1998-05-12	VYDAJ	PREVOD NA UCET	3142	2913	POJISTNE	UV	85381936
1406947	4794	1998-06-12	VYDAJ	PREVOD NA UCET	3142	17924	POJISTNE	UV	85381936
1406948	4794	1998-07-12	VYDAJ	PREVOD NA UCET	3142	4015	POJISTNE	UV	85381936
1406949	4794	1998-08-12	VYDAJ	PREVOD NA UCET	3142	9892	POJISTNE	UV	85381936
1406950	4794	1998-09-12	VYDAJ	PREVOD NA UCET	3142	9749	POJISTNE	UV	85381936
1406951	4794	1998-10-12	VYDAJ	PREVOD NA UCET	3142	17626	POJISTNE	UV	85381936
1406952	4794	1998-11-12	VYDAJ	PREVOD NA UCET	3142	12917	POJISTNE	UV	85381936
1406953	4794	1998-12-12	VYDAJ	PREVOD NA UCET	3142	17638	POJISTNE	UV	85381936
1406970	4794	1997-05-09	VYDAJ	PREVOD NA UCET	1660	39184	 	CD	91262608
1406971	4794	1997-06-09	VYDAJ	PREVOD NA UCET	1660	35401	 	CD	91262608
1406972	4794	1997-07-09	VYDAJ	PREVOD NA UCET	1660	21500	 	CD	91262608
1406973	4794	1997-08-09	VYDAJ	PREVOD NA UCET	1660	32520	 	CD	91262608
1406974	4794	1997-09-09	VYDAJ	PREVOD NA UCET	1660	33467	 	CD	91262608
1406975	4794	1997-10-09	VYDAJ	PREVOD NA UCET	1660	32308	 	CD	91262608
1406976	4794	1997-11-09	VYDAJ	PREVOD NA UCET	1660	37461	 	CD	91262608
1406977	4794	1997-12-09	VYDAJ	PREVOD NA UCET	1660	22338	 	CD	91262608
1406978	4794	1998-01-09	VYDAJ	PREVOD NA UCET	1660	25808	 	CD	91262608
1406979	4794	1998-02-09	VYDAJ	PREVOD NA UCET	1660	27228	 	CD	91262608
1406980	4794	1998-03-09	VYDAJ	PREVOD NA UCET	1660	16806	 	CD	91262608
1406981	4794	1998-04-09	VYDAJ	PREVOD NA UCET	1660	16280	 	CD	91262608
1406982	4794	1998-05-09	VYDAJ	PREVOD NA UCET	1660	15753	 	CD	91262608
1406983	4794	1998-06-09	VYDAJ	PREVOD NA UCET	1660	23466	 	CD	91262608
1406984	4794	1998-07-09	VYDAJ	PREVOD NA UCET	1660	20555	 	CD	91262608
1406985	4794	1998-08-09	VYDAJ	PREVOD NA UCET	1660	16334	 	CD	91262608
1406986	4794	1998-09-09	VYDAJ	PREVOD NA UCET	1660	12891	 	CD	91262608
1406987	4794	1998-10-09	VYDAJ	PREVOD NA UCET	1660	20768	 	CD	91262608
1406988	4794	1998-11-09	VYDAJ	PREVOD NA UCET	1660	16059	 	CD	91262608
1406989	4794	1998-12-09	VYDAJ	PREVOD NA UCET	1660	20780	 	CD	91262608
1407006	4794	1997-05-06	VYDAJ	VYBER	8500	41447	\N	\N	0
1407007	4794	1997-06-04	VYDAJ	VYBER	9400	12929	\N	\N	0
1407008	4794	1997-06-25	VYDAJ	VYBER	7500	7197	\N	\N	0
1407009	4794	1997-08-18	VYDAJ	VYBER	10800	19156	\N	\N	0
1407010	4794	1997-09-11	VYDAJ	VYBER	12200	21267	\N	\N	0
1407011	4794	1997-10-16	VYDAJ	VYBER	7200	23144	\N	\N	0
1407012	4794	1997-11-09	VYDAJ	VYBER	8000	29461	\N	\N	0
1407013	4794	1997-12-03	VYDAJ	VYBER	13800	7186	\N	\N	0
1407014	4794	1998-01-12	VYDAJ	PREVOD NA UCET	9698	14868	UVER	KL	80407201
1407015	4794	1998-02-12	VYDAJ	PREVOD NA UCET	9698	10130	UVER	KL	80407201
1407016	4794	1998-03-12	VYDAJ	PREVOD NA UCET	9698	3966	UVER	KL	80407201
1407017	4794	1998-04-12	VYDAJ	PREVOD NA UCET	9698	6582	UVER	KL	80407201
1407018	4794	1998-05-12	VYDAJ	PREVOD NA UCET	9698	6055	UVER	KL	80407201
1407019	4794	1998-06-12	VYDAJ	PREVOD NA UCET	9698	8226	UVER	KL	80407201
1407020	4794	1998-07-12	VYDAJ	PREVOD NA UCET	9698	7157	UVER	KL	80407201
1407021	4794	1998-08-12	VYDAJ	PREVOD NA UCET	9698	194	UVER	KL	80407201
1407023	4794	1998-10-12	VYDAJ	PREVOD NA UCET	9698	7928	UVER	KL	80407201
1407024	4794	1998-11-12	VYDAJ	PREVOD NA UCET	9698	3219	UVER	KL	80407201
1407025	4794	1998-12-12	VYDAJ	PREVOD NA UCET	9698	7940	UVER	KL	80407201
1407031	4794	1998-01-02	VYDAJ	VYBER	2400	13021	\N	\N	\N
1407033	4794	1997-12-05	VYDAJ	VYBER	4320	27601	\N	\N	\N
1407051	4794	1998-01-06	VYDAJ	VYBER	1440	28071	\N	\N	\N
1407059	4794	1997-06-12	VYDAJ	VYBER	3840	28419	\N	\N	\N
1407060	4794	1997-12-07	VYDAJ	VYBER	3000	23998	\N	\N	\N
1407061	4794	1997-12-30	VYDAJ	VYBER	1920	15354	\N	\N	\N
1407065	4794	1997-06-21	VYDAJ	VYBER	3600	14697	\N	\N	\N
1407069	4794	1998-03-08	VYDAJ	VYBER	2520	18466	\N	\N	\N
1407090	4794	1997-05-31	VYDAJ	VYBER	15	22329	SLUZBY	\N	\N
1407091	4794	1997-06-30	VYDAJ	VYBER	15	7273	SLUZBY	\N	\N
1407092	4794	1997-07-31	VYDAJ	VYBER	15	18293	SLUZBY	\N	\N
1407093	4794	1997-08-31	VYDAJ	VYBER	15	19240	SLUZBY	\N	\N
1407094	4794	1997-09-30	VYDAJ	VYBER	15	18081	SLUZBY	\N	\N
1407095	4794	1997-10-31	VYDAJ	VYBER	15	23234	SLUZBY	\N	\N
1407096	4794	1997-11-30	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
1407097	4794	1997-12-31	VYDAJ	VYBER	15	15421	SLUZBY	\N	\N
1407098	4794	1998-01-31	VYDAJ	VYBER	15	13001	SLUZBY	\N	\N
1407099	4794	1998-02-28	VYDAJ	VYBER	15	5099	SLUZBY	\N	\N
1407100	4794	1998-03-31	VYDAJ	VYBER	15	2053	SLUZBY	\N	\N
1407101	4794	1998-04-30	VYDAJ	VYBER	15	1526	SLUZBY	\N	\N
1407102	4794	1998-05-31	VYDAJ	VYBER	15	994	SLUZBY	\N	\N
1407103	4794	1998-06-30	VYDAJ	VYBER	15	6328	SLUZBY	\N	\N
1407104	4794	1998-07-31	VYDAJ	VYBER	15	2107	SLUZBY	\N	\N
1407105	4794	1998-08-31	VYDAJ	VYBER	15	-1736	SLUZBY	\N	\N
1407106	4794	1998-09-30	VYDAJ	VYBER	15	7841	SLUZBY	\N	\N
1407107	4794	1998-10-31	VYDAJ	VYBER	15	6032	SLUZBY	\N	\N
1407108	4794	1998-11-30	VYDAJ	VYBER	15	1308	SLUZBY	\N	\N
1407109	4794	1997-01-17	PRIJEM	VKLAD	2500	20090	\N	\N	\N
1407110	4794	1997-02-16	VYDAJ	VYBER	7100	29521	\N	\N	\N
1407111	4794	1997-03-18	VYDAJ	VYBER	16200	29912	\N	\N	\N
1407112	4794	1997-04-17	VYDAJ	VYBER	13200	33326	\N	\N	\N
1407113	4794	1997-05-17	VYDAJ	VYBER	11900	22220	\N	\N	\N
1407114	4794	1997-06-16	VYDAJ	VYBER	8200	18297	\N	\N	\N
1407115	4794	1997-07-16	PRIJEM	VKLAD	1800	18236	\N	\N	\N
1407116	4794	1997-08-15	PRIJEM	VKLAD	2500	29956	\N	\N	\N
1407117	4794	1997-09-14	PRIJEM	VKLAD	1800	19925	\N	\N	\N
1407118	4794	1997-10-14	PRIJEM	VKLAD	3100	32266	\N	\N	\N
1407119	4794	1997-11-13	VYDAJ	VYBER	3500	22819	\N	\N	\N
1407120	4794	1998-01-12	PRIJEM	VKLAD	1900	27708	\N	\N	\N
1407121	4794	1998-02-11	VYDAJ	VYBER	7400	19828	\N	\N	\N
1407122	4794	1998-06-11	VYDAJ	VYBER	2400	21066	\N	\N	\N
1407123	4794	1998-07-11	VYDAJ	VYBER	3700	16855	\N	\N	\N
1407124	4794	1998-08-10	VYDAJ	VYBER	3300	13034	\N	\N	\N
1407125	4794	1998-09-09	PRIJEM	VKLAD	400	14551	\N	\N	\N
1407126	4794	1998-10-09	VYDAJ	VYBER	1300	22428	\N	\N	\N
1407127	4794	1998-11-08	VYDAJ	VYBER	4200	17719	\N	\N	\N
1407128	4794	1998-12-08	VYDAJ	VYBER	3000	22440	\N	\N	\N
1408985	4803	1996-06-08	PRIJEM	VKLAD	600	7220	\N	\N	\N
1408991	4803	1996-06-08	PRIJEM	VKLAD	6620	6620	\N	\N	\N
1408992	4803	1996-07-08	PRIJEM	VKLAD	4413	11656	\N	\N	\N
1408993	4803	1996-08-08	PRIJEM	VKLAD	4413	26230	\N	\N	\N
1408994	4803	1996-09-08	PRIJEM	VKLAD	4413	32444	\N	\N	\N
1408995	4803	1996-10-08	PRIJEM	VKLAD	4413	32086	\N	\N	\N
1408996	4803	1996-11-08	PRIJEM	VKLAD	4413	29617	\N	\N	\N
1408997	4803	1996-12-08	PRIJEM	VKLAD	6620	28045	\N	\N	\N
1408998	4803	1997-01-08	PRIJEM	VKLAD	4413	28256	\N	\N	\N
1408999	4803	1997-02-08	PRIJEM	VKLAD	4413	22740	\N	\N	\N
1409000	4803	1997-03-08	PRIJEM	VKLAD	4413	25628	\N	\N	\N
1409001	4803	1997-04-08	PRIJEM	VKLAD	4413	30995	\N	\N	\N
1409002	4803	1997-05-08	PRIJEM	VKLAD	4413	32981	\N	\N	\N
1409003	4803	1997-06-08	PRIJEM	VKLAD	6620	35886	\N	\N	\N
1409004	4803	1997-07-08	PRIJEM	VKLAD	4413	24166	\N	\N	\N
1409005	4803	1997-08-08	PRIJEM	VKLAD	4413	27424	\N	\N	\N
1409006	4803	1997-09-08	PRIJEM	VKLAD	4413	30094	\N	\N	\N
1409007	4803	1997-10-08	PRIJEM	VKLAD	4413	31070	\N	\N	\N
1409008	4803	1997-11-08	PRIJEM	VKLAD	4413	32056	\N	\N	\N
1409009	4803	1997-12-08	PRIJEM	VKLAD	6620	33052	\N	\N	\N
1409010	4803	1998-01-08	PRIJEM	VKLAD	4413	19748	\N	\N	\N
1409011	4803	1998-02-08	PRIJEM	VKLAD	4413	16277	\N	\N	\N
1409012	4803	1998-03-08	PRIJEM	VKLAD	4413	21905	\N	\N	\N
1409013	4803	1998-04-08	PRIJEM	VKLAD	4413	22953	\N	\N	\N
1409014	4803	1998-05-08	PRIJEM	VKLAD	4413	26508	\N	\N	\N
1409015	4803	1998-06-08	PRIJEM	VKLAD	6620	34583	\N	\N	\N
1409016	4803	1998-07-08	PRIJEM	VKLAD	4413	26346	\N	\N	\N
1409017	4803	1998-08-08	PRIJEM	VKLAD	4413	32013	\N	\N	\N
1409018	4803	1998-09-08	PRIJEM	VKLAD	4413	37904	\N	\N	\N
1409019	4803	1998-10-08	PRIJEM	VKLAD	4413	38116	\N	\N	\N
1409020	4803	1998-11-08	PRIJEM	VKLAD	4413	36726	\N	\N	\N
1409021	4803	1998-12-08	PRIJEM	VKLAD	6620	38938	\N	\N	\N
1409031	4803	1996-10-04	VYDAJ	VYBER	1600	30973	\N	\N	0
1409032	4803	1996-11-01	VYDAJ	VYBER	800	31404	\N	\N	0
1409033	4803	1996-12-17	VYDAJ	VYBER	1000	27045	\N	\N	0
1409034	4803	1997-01-13	VYDAJ	VYBER	1100	20156	\N	\N	0
1409035	4803	1997-02-04	VYDAJ	VYBER	1400	18327	\N	\N	0
1409036	4803	1997-03-12	VYDAJ	PREVOD NA UCET	1232	24396	UVER	UV	17711252
1409037	4803	1997-04-12	VYDAJ	PREVOD NA UCET	1232	29763	UVER	UV	17711252
1409038	4803	1997-05-12	VYDAJ	PREVOD NA UCET	1232	31749	UVER	UV	17711252
1409039	4803	1997-06-12	VYDAJ	PREVOD NA UCET	1232	34654	UVER	UV	17711252
1409040	4803	1997-07-12	VYDAJ	PREVOD NA UCET	1232	22934	UVER	UV	17711252
1409041	4803	1997-08-12	VYDAJ	PREVOD NA UCET	1232	26192	UVER	UV	17711252
1409042	4803	1997-09-12	VYDAJ	PREVOD NA UCET	1232	28862	UVER	UV	17711252
1409043	4803	1997-10-12	VYDAJ	PREVOD NA UCET	1232	29838	UVER	UV	17711252
1409044	4803	1997-11-12	VYDAJ	PREVOD NA UCET	1232	30824	UVER	UV	17711252
1409045	4803	1997-12-12	VYDAJ	PREVOD NA UCET	1232	31820	UVER	UV	17711252
1409046	4803	1998-01-12	VYDAJ	PREVOD NA UCET	1232	16816	UVER	UV	17711252
1409047	4803	1998-02-12	VYDAJ	PREVOD NA UCET	1232	15045	UVER	UV	17711252
1409048	4803	1998-03-12	VYDAJ	PREVOD NA UCET	1232	20673	UVER	UV	17711252
1409049	4803	1998-04-12	VYDAJ	PREVOD NA UCET	1232	21721	UVER	UV	17711252
1409050	4803	1998-05-12	VYDAJ	PREVOD NA UCET	1232	25276	UVER	UV	17711252
1409051	4803	1998-06-12	VYDAJ	PREVOD NA UCET	1232	33351	UVER	UV	17711252
1409052	4803	1998-07-12	VYDAJ	PREVOD NA UCET	1232	25114	UVER	UV	17711252
1409053	4803	1998-08-12	VYDAJ	PREVOD NA UCET	1232	30781	UVER	UV	17711252
1409054	4803	1998-09-12	VYDAJ	PREVOD NA UCET	1232	36672	UVER	UV	17711252
1409055	4803	1998-10-12	VYDAJ	PREVOD NA UCET	1232	36884	UVER	UV	17711252
1409056	4803	1998-11-12	VYDAJ	PREVOD NA UCET	1232	35494	UVER	UV	17711252
1409057	4803	1998-12-12	VYDAJ	PREVOD NA UCET	1232	37706	UVER	UV	17711252
1409059	4803	1997-06-18	VYDAJ	VYBER	12400	22254	\N	\N	\N
1409060	4803	1998-06-17	VYDAJ	VYBER	17900	15451	\N	\N	\N
1409062	4803	1997-01-08	VYDAJ	VYBER	4300	23956	\N	\N	\N
1409063	4803	1998-01-06	VYDAJ	VYBER	7900	19635	\N	\N	\N
1409064	4803	1996-12-30	VYDAJ	VYBER	2800	24245	\N	\N	\N
1409065	4803	1997-12-29	VYDAJ	VYBER	2600	29220	\N	\N	\N
1409066	4803	1998-12-23	VYDAJ	VYBER	2100	35606	\N	\N	\N
1409073	4803	1997-01-15	VYDAJ	VYBER	1500	18656	\N	\N	\N
1409074	4803	1997-01-18	VYDAJ	VYBER	1600	17056	\N	\N	\N
1409075	4803	1997-01-03	VYDAJ	VYBER	2000	21643	\N	\N	\N
1409076	4803	1997-01-30	VYDAJ	VYBER	900	16156	\N	\N	\N
1409077	4803	1997-01-08	VYDAJ	VYBER	2700	21256	\N	\N	\N
1409078	4803	1997-01-02	VYDAJ	VYBER	700	23643	\N	\N	\N
1409079	4803	1998-01-11	VYDAJ	VYBER	1700	18048	\N	\N	\N
1409080	4803	1998-01-12	VYDAJ	VYBER	1200	15616	\N	\N	\N
1409081	4803	1998-01-18	VYDAJ	VYBER	900	10116	\N	\N	\N
1409082	4803	1998-01-21	VYDAJ	VYBER	700	9416	\N	\N	\N
1409083	4803	1998-01-23	VYDAJ	VYBER	1500	7916	\N	\N	\N
1409084	4803	1998-01-13	VYDAJ	VYBER	1200	11016	\N	\N	\N
1409090	4803	1996-11-29	VYDAJ	VYBER	2900	26717	\N	\N	\N
1409092	4803	1997-09-16	VYDAJ	VYBER	4400	24462	\N	\N	\N
1409093	4803	1997-11-30	VYDAJ	VYBER	2900	28032	\N	\N	\N
1409094	4803	1997-06-21	VYDAJ	VYBER	4300	17954	\N	\N	\N
1409095	4803	1998-02-06	VYDAJ	VYBER	1400	11864	\N	\N	\N
1409096	4803	1998-06-23	VYDAJ	VYBER	1600	13851	\N	\N	\N
1409097	4803	1998-04-19	VYDAJ	VYBER	2400	19321	\N	\N	\N
1409098	4803	1998-11-19	VYDAJ	VYBER	1000	34494	\N	\N	\N
1409099	4803	1998-04-03	VYDAJ	VYBER	4600	18540	\N	\N	\N
1409100	4803	1998-01-07	VYDAJ	VYBER	4300	15335	\N	\N	\N
1409101	4803	1998-01-12	VYDAJ	VYBER	3400	12216	\N	\N	\N
1409112	4803	1996-10-31	VYDAJ	VYBER	15	32204	SLUZBY	\N	\N
1409113	4803	1996-11-30	VYDAJ	VYBER	15	26825	SLUZBY	\N	\N
1409114	4803	1996-12-31	VYDAJ	VYBER	15	24343	SLUZBY	\N	\N
1409115	4803	1997-01-31	VYDAJ	VYBER	15	16227	SLUZBY	\N	\N
1409116	4803	1997-02-28	VYDAJ	VYBER	15	22815	SLUZBY	\N	\N
1409117	4803	1997-03-31	VYDAJ	VYBER	15	24482	SLUZBY	\N	\N
1409118	4803	1997-04-30	VYDAJ	VYBER	15	29868	SLUZBY	\N	\N
1409119	4803	1997-05-31	VYDAJ	VYBER	15	31866	SLUZBY	\N	\N
1409120	4803	1997-06-30	VYDAJ	VYBER	15	18053	SLUZBY	\N	\N
1409121	4803	1997-07-31	VYDAJ	VYBER	15	23011	SLUZBY	\N	\N
1409122	4803	1997-08-31	VYDAJ	VYBER	15	26281	SLUZBY	\N	\N
1409123	4803	1997-09-30	VYDAJ	VYBER	15	24557	SLUZBY	\N	\N
1409124	4803	1997-10-31	VYDAJ	VYBER	15	27643	SLUZBY	\N	\N
1409125	4803	1997-11-30	VYDAJ	VYBER	15	30932	SLUZBY	\N	\N
1409126	4803	1997-12-31	VYDAJ	VYBER	15	27535	SLUZBY	\N	\N
1409127	4803	1998-01-31	VYDAJ	VYBER	15	13264	SLUZBY	\N	\N
1409128	4803	1998-02-28	VYDAJ	VYBER	15	17492	SLUZBY	\N	\N
1409129	4803	1998-03-31	VYDAJ	VYBER	15	23140	SLUZBY	\N	\N
1409130	4803	1998-04-30	VYDAJ	VYBER	15	22095	SLUZBY	\N	\N
1409131	4803	1998-05-31	VYDAJ	VYBER	15	27963	SLUZBY	\N	\N
1409132	4803	1998-06-30	VYDAJ	VYBER	15	21933	SLUZBY	\N	\N
1409133	4803	1998-07-31	VYDAJ	VYBER	15	27600	SLUZBY	\N	\N
1409134	4803	1998-08-31	VYDAJ	VYBER	15	33491	SLUZBY	\N	\N
1409135	4803	1998-09-30	VYDAJ	VYBER	15	33703	SLUZBY	\N	\N
1409136	4803	1998-10-31	VYDAJ	VYBER	15	32313	SLUZBY	\N	\N
1409137	4803	1998-11-30	VYDAJ	VYBER	15	32318	SLUZBY	\N	\N
1409138	4803	1996-07-08	PRIJEM	VKLAD	5200	16856	\N	\N	\N
1409139	4803	1996-08-07	PRIJEM	VKLAD	4900	21817	\N	\N	\N
1409140	4803	1996-09-06	PRIJEM	VKLAD	1700	28031	\N	\N	\N
1409141	4803	1996-10-06	VYDAJ	VYBER	3300	27673	\N	\N	\N
1409142	4803	1996-11-05	VYDAJ	VYBER	6200	25204	\N	\N	\N
1409143	4803	1996-12-05	VYDAJ	VYBER	5400	21425	\N	\N	\N
1409144	4803	1997-01-04	PRIJEM	VKLAD	2200	23843	\N	\N	\N
1409145	4803	1997-02-03	PRIJEM	VKLAD	3500	19727	\N	\N	\N
1409146	4803	1997-03-05	VYDAJ	VYBER	1600	21215	\N	\N	\N
1409147	4803	1997-04-04	PRIJEM	VKLAD	2100	26582	\N	\N	\N
1409148	4803	1997-05-04	VYDAJ	VYBER	1300	28568	\N	\N	\N
1409149	4803	1997-06-03	VYDAJ	VYBER	2600	29266	\N	\N	\N
1409150	4803	1997-07-03	PRIJEM	VKLAD	1700	19753	\N	\N	\N
1409151	4803	1997-09-01	VYDAJ	VYBER	600	25681	\N	\N	\N
1409152	4803	1997-10-01	PRIJEM	VKLAD	2100	26657	\N	\N	\N
1409153	4803	1997-10-31	VYDAJ	VYBER	2300	27657	\N	\N	\N
1409154	4803	1997-11-30	VYDAJ	VYBER	1600	26432	\N	\N	\N
1409155	4803	1997-12-30	VYDAJ	VYBER	1800	27420	\N	\N	\N
1409156	4803	1998-01-29	PRIJEM	VKLAD	5300	13216	\N	\N	\N
1409157	4803	1998-02-28	PRIJEM	VKLAD	2400	17506	\N	\N	\N
1409158	4803	1998-03-30	PRIJEM	VKLAD	2400	23073	\N	\N	\N
1409159	4803	1998-04-29	PRIJEM	VKLAD	2700	22021	\N	\N	\N
1409160	4803	1998-05-29	PRIJEM	VKLAD	2600	27876	\N	\N	\N
1409161	4803	1998-06-28	PRIJEM	VKLAD	8000	21851	\N	\N	\N
1409162	4803	1998-07-28	PRIJEM	VKLAD	2400	27514	\N	\N	\N
1409163	4803	1998-08-27	PRIJEM	VKLAD	2600	33381	\N	\N	\N
1409164	4803	1998-09-26	VYDAJ	VYBER	3100	33572	\N	\N	\N
1409165	4803	1998-10-26	VYDAJ	VYBER	4700	32184	\N	\N	\N
1409166	4803	1998-11-25	VYDAJ	VYBER	2300	32194	\N	\N	\N
1414910	4825	1994-06-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1414916	4825	1994-06-06	PRIJEM	PREVOD Z UCTU	16048	17048	\N	KL	38067805
1414917	4825	1994-07-06	PRIJEM	PREVOD Z UCTU	10699	30306	\N	KL	38067805
1414918	4825	1994-08-06	PRIJEM	PREVOD Z UCTU	10699	38223	\N	KL	38067805
1414919	4825	1994-09-06	PRIJEM	PREVOD Z UCTU	10699	42576	\N	KL	38067805
1414920	4825	1994-10-06	PRIJEM	PREVOD Z UCTU	10699	46849	\N	KL	38067805
1414921	4825	1994-11-06	PRIJEM	PREVOD Z UCTU	10699	27624	\N	KL	38067805
1414922	4825	1994-12-06	PRIJEM	PREVOD Z UCTU	16048	40769	\N	KL	38067805
1414923	4825	1995-01-06	PRIJEM	PREVOD Z UCTU	10699	35464	\N	KL	38067805
1414924	4825	1995-02-06	PRIJEM	PREVOD Z UCTU	10699	34636	\N	KL	38067805
1414925	4825	1995-03-06	PRIJEM	PREVOD Z UCTU	10699	42231	\N	KL	38067805
1414926	4825	1995-04-06	PRIJEM	PREVOD Z UCTU	10699	43283	\N	KL	38067805
1414927	4825	1995-05-06	PRIJEM	PREVOD Z UCTU	10699	41380	\N	KL	38067805
1414928	4825	1995-06-06	PRIJEM	PREVOD Z UCTU	16048	39219	\N	KL	38067805
1414929	4825	1995-07-06	PRIJEM	PREVOD Z UCTU	10699	37236	\N	KL	38067805
1414930	4825	1995-08-06	PRIJEM	PREVOD Z UCTU	10699	40357	\N	KL	38067805
1414931	4825	1995-09-06	PRIJEM	PREVOD Z UCTU	10699	33485	\N	KL	38067805
1414932	4825	1995-10-06	PRIJEM	PREVOD Z UCTU	10699	39803	\N	KL	38067805
1414933	4825	1995-11-06	PRIJEM	PREVOD Z UCTU	10699	38644	\N	KL	38067805
1414934	4825	1995-12-06	PRIJEM	PREVOD Z UCTU	16048	49943	\N	KL	38067805
1414935	4825	1996-01-06	PRIJEM	PREVOD Z UCTU	10699	30545	\N	KL	38067805
1414936	4825	1996-02-06	PRIJEM	PREVOD Z UCTU	10699	38354	\N	KL	38067805
1414937	4825	1996-03-06	PRIJEM	PREVOD Z UCTU	10699	40465	\N	KL	38067805
1414938	4825	1996-04-06	PRIJEM	PREVOD Z UCTU	10699	35896	\N	KL	38067805
1414939	4825	1996-05-06	PRIJEM	PREVOD Z UCTU	10699	32809	\N	KL	38067805
1414940	4825	1996-06-06	PRIJEM	PREVOD Z UCTU	16048	45072	\N	KL	38067805
1414941	4825	1996-07-06	PRIJEM	PREVOD Z UCTU	10699	46323	\N	KL	38067805
1414942	4825	1996-08-06	PRIJEM	PREVOD Z UCTU	10699	49990	\N	KL	38067805
1414943	4825	1996-09-06	PRIJEM	PREVOD Z UCTU	10699	33209	\N	KL	38067805
1414944	4825	1996-10-06	PRIJEM	PREVOD Z UCTU	10699	42924	\N	KL	38067805
1414945	4825	1996-11-06	PRIJEM	PREVOD Z UCTU	10699	46453	\N	KL	38067805
1414946	4825	1996-12-06	PRIJEM	PREVOD Z UCTU	16048	43509	\N	KL	38067805
1414947	4825	1997-01-06	PRIJEM	PREVOD Z UCTU	10699	35348	\N	KL	38067805
1414948	4825	1997-02-06	PRIJEM	PREVOD Z UCTU	10699	31849	\N	KL	38067805
1414949	4825	1997-03-06	PRIJEM	PREVOD Z UCTU	10699	34337	\N	KL	38067805
1414950	4825	1997-04-06	PRIJEM	PREVOD Z UCTU	10699	36930	\N	KL	38067805
1414951	4825	1997-05-06	PRIJEM	PREVOD Z UCTU	10699	40849	\N	KL	38067805
1414952	4825	1997-06-06	PRIJEM	PREVOD Z UCTU	16048	44512	\N	KL	38067805
1414953	4825	1997-07-06	PRIJEM	PREVOD Z UCTU	10699	44938	\N	KL	38067805
1414954	4825	1997-08-06	PRIJEM	PREVOD Z UCTU	10699	41763	\N	KL	38067805
1414955	4825	1997-09-06	PRIJEM	PREVOD Z UCTU	10699	35785	\N	KL	38067805
1414956	4825	1997-10-06	PRIJEM	PREVOD Z UCTU	10699	32982	\N	KL	38067805
1414957	4825	1997-11-06	PRIJEM	PREVOD Z UCTU	10699	28362	\N	KL	38067805
1414958	4825	1997-12-06	PRIJEM	PREVOD Z UCTU	16048	32270	\N	KL	38067805
1414959	4825	1998-01-06	PRIJEM	PREVOD Z UCTU	10699	27822	\N	KL	38067805
1414960	4825	1998-02-06	PRIJEM	PREVOD Z UCTU	10699	33893	\N	KL	38067805
1414961	4825	1998-03-06	PRIJEM	PREVOD Z UCTU	10699	26856	\N	KL	38067805
1414962	4825	1998-04-06	PRIJEM	PREVOD Z UCTU	10699	35132	\N	KL	38067805
1414963	4825	1998-05-06	PRIJEM	PREVOD Z UCTU	10699	26913	\N	KL	38067805
1414964	4825	1998-06-06	PRIJEM	PREVOD Z UCTU	16048	43050	\N	KL	38067805
1414965	4825	1998-07-06	PRIJEM	PREVOD Z UCTU	10699	30173	\N	KL	38067805
1414966	4825	1998-08-06	PRIJEM	PREVOD Z UCTU	10699	28130	\N	KL	38067805
1414967	4825	1998-09-06	PRIJEM	PREVOD Z UCTU	10699	37394	\N	KL	38067805
1414968	4825	1998-10-06	PRIJEM	PREVOD Z UCTU	10699	27260	\N	KL	38067805
1414969	4825	1998-11-06	PRIJEM	PREVOD Z UCTU	10699	36937	\N	KL	38067805
1414970	4825	1998-12-06	PRIJEM	PREVOD Z UCTU	16048	49292	\N	KL	38067805
1414980	4825	1994-10-11	VYDAJ	VYBER	1800	33487	\N	\N	0
1414981	4825	1994-11-02	VYDAJ	VYBER	2400	29225	\N	\N	0
1414982	4825	1994-12-10	VYDAJ	VYBER	1500	39269	\N	\N	0
1414983	4825	1995-01-19	VYDAJ	VYBER	1700	17864	\N	\N	0
1414984	4825	1995-02-20	VYDAJ	VYBER	2000	32636	\N	\N	0
1414985	4825	1995-03-23	VYDAJ	VYBER	1400	40831	\N	\N	0
1414986	4825	1995-04-23	VYDAJ	VYBER	2000	36056	\N	\N	0
1414987	4825	1995-05-17	VYDAJ	VYBER	1400	26365	\N	\N	0
1414988	4825	1995-06-16	VYDAJ	VYBER	2000	34519	\N	\N	0
1414989	4825	1995-07-08	VYDAJ	VYBER	1900	35336	\N	\N	0
1414990	4825	1995-08-11	VYDAJ	VYBER	1500	38857	\N	\N	0
1414991	4825	1995-09-12	VYDAJ	PREVOD NA UCET	1783	31701	UVER	OP	74436640
1414992	4825	1995-10-12	VYDAJ	PREVOD NA UCET	1783	38019	UVER	OP	74436640
1414993	4825	1995-11-12	VYDAJ	PREVOD NA UCET	1783	36861	UVER	OP	74436640
1414994	4825	1995-12-12	VYDAJ	PREVOD NA UCET	1783	21008	UVER	OP	74436640
1414995	4825	1996-01-12	VYDAJ	PREVOD NA UCET	1783	28761	UVER	OP	74436640
1414996	4825	1996-02-12	VYDAJ	PREVOD NA UCET	1783	36571	UVER	OP	74436640
1414997	4825	1996-03-12	VYDAJ	PREVOD NA UCET	1783	38682	UVER	OP	74436640
1414998	4825	1996-04-12	VYDAJ	PREVOD NA UCET	1783	18926	UVER	OP	74436640
1414999	4825	1996-05-12	VYDAJ	PREVOD NA UCET	1783	31025	UVER	OP	74436640
1415000	4825	1996-06-12	VYDAJ	PREVOD NA UCET	1783	43289	UVER	OP	74436640
1415001	4825	1996-07-12	VYDAJ	PREVOD NA UCET	1783	44540	UVER	OP	74436640
1415002	4825	1996-08-12	VYDAJ	PREVOD NA UCET	1783	24506	UVER	OP	74436640
1415003	4825	1996-09-02	VYDAJ	VYBER	1400	22510	\N	\N	0
1415004	4825	1996-10-16	VYDAJ	VYBER	1700	41224	\N	\N	0
1415005	4825	1996-11-11	VYDAJ	VYBER	1500	41655	\N	\N	0
1415006	4825	1996-12-16	VYDAJ	VYBER	1900	39237	\N	\N	0
1415007	4825	1997-01-13	VYDAJ	VYBER	1200	32348	\N	\N	0
1415008	4825	1997-02-08	VYDAJ	VYBER	2400	29449	\N	\N	0
1415009	4825	1997-03-16	VYDAJ	VYBER	1700	32637	\N	\N	0
1415010	4825	1997-04-05	VYDAJ	VYBER	1500	26231	\N	\N	0
1415011	4825	1997-05-12	VYDAJ	VYBER	1800	39049	\N	\N	0
1415012	4825	1997-06-18	VYDAJ	VYBER	2100	42412	\N	\N	0
1415013	4825	1997-07-12	VYDAJ	VYBER	2600	42338	\N	\N	0
1415014	4825	1997-08-30	VYDAJ	VYBER	2000	26263	\N	\N	0
1415015	4825	1997-09-04	VYDAJ	VYBER	1300	25086	\N	\N	0
1415016	4825	1997-10-06	VYDAJ	VYBER	1700	31282	\N	\N	0
1415017	4825	1997-11-12	VYDAJ	VYBER	1100	27262	\N	\N	0
1415018	4825	1997-11-23	VYDAJ	VYBER	1900	16162	\N	\N	0
1415019	4825	1998-01-24	VYDAJ	VYBER	1700	23122	\N	\N	0
1415020	4825	1998-02-18	VYDAJ	VYBER	1200	16093	\N	\N	0
1415021	4825	1998-03-11	VYDAJ	VYBER	1300	25556	\N	\N	0
1415022	4825	1998-04-03	VYDAJ	VYBER	1200	24433	\N	\N	0
1415023	4825	1998-05-04	VYDAJ	VYBER	1800	16214	\N	\N	0
1415024	4825	1998-06-13	VYDAJ	VYBER	1900	41150	\N	\N	0
1415025	4825	1998-06-29	VYDAJ	VYBER	1200	19350	\N	\N	0
1415026	4825	1998-08-24	VYDAJ	VYBER	1500	26630	\N	\N	0
1415027	4825	1998-09-16	VYDAJ	VYBER	2400	16494	\N	\N	0
1415028	4825	1998-10-11	VYDAJ	VYBER	1100	26160	\N	\N	0
1415029	4825	1998-11-18	VYDAJ	VYBER	2200	34737	\N	\N	0
1415030	4825	1998-12-03	VYDAJ	VYBER	1600	33244	\N	\N	0
1415033	4825	1994-10-10	VYBER	VYBER	11562	35287	\N	\N	\N
1415034	4825	1994-12-27	VYBER	VYBER	11720	19749	\N	\N	\N
1415035	4825	1995-08-16	VYBER	VYBER	14075	24782	\N	\N	\N
1415036	4825	1995-05-16	VYBER	VYBER	8515	32865	\N	\N	\N
1415037	4825	1995-05-30	VYBER	VYBER	4097	23068	\N	\N	\N
1415038	4825	1995-12-11	VYBER	VYBER	18451	22792	\N	\N	\N
1415039	4825	1995-12-30	VYBER	VYBER	2161	24247	\N	\N	\N
1415044	4825	1995-04-22	VYBER	VYBER	5227	38056	\N	\N	\N
1415047	4825	1996-11-06	VYBER	VYBER	3298	43155	\N	\N	\N
1415048	4825	1996-04-09	VYBER	VYBER	15186	20710	\N	\N	\N
1415049	4825	1996-12-11	VYBER	VYBER	2372	41137	\N	\N	\N
1415051	4825	1996-04-03	VYBER	VYBER	6169	28797	\N	\N	\N
1415054	4825	1996-03-15	VYBER	VYBER	2642	36040	\N	\N	\N
1415055	4825	1996-11-25	VYBER	VYBER	3925	27330	\N	\N	\N
1415068	4825	1994-12-14	VYDAJ	VYBER	7800	31469	\N	\N	\N
1415070	4825	1996-12-19	VYDAJ	VYBER	7500	31737	\N	\N	\N
1415072	4825	1998-12-06	VYDAJ	VYBER	1500	47792	\N	\N	\N
1415079	4825	1995-01-08	VYDAJ	VYBER	7800	23164	\N	\N	\N
1415081	4825	1995-01-08	VYDAJ	VYBER	3600	19564	\N	\N	\N
1415083	4825	1995-01-06	VYDAJ	VYBER	4500	30964	\N	\N	\N
1415087	4825	1996-01-15	VYDAJ	VYBER	6600	22161	\N	\N	\N
1415090	4825	1996-01-01	VYDAJ	VYBER	4500	19846	\N	\N	\N
1415091	4825	1997-01-19	VYDAJ	VYBER	1500	24848	\N	\N	\N
1415092	4825	1997-01-19	VYDAJ	VYBER	3000	21848	\N	\N	\N
1415094	4825	1997-01-12	VYDAJ	VYBER	1800	33548	\N	\N	\N
1415095	4825	1997-01-16	VYDAJ	VYBER	6000	26348	\N	\N	\N
1415096	4825	1997-01-01	VYDAJ	VYBER	1800	24649	\N	\N	\N
1415097	4825	1998-01-13	VYDAJ	VYBER	3000	24822	\N	\N	\N
1415107	4825	1994-11-03	VYDAJ	VYBER	12300	16925	\N	\N	\N
1415109	4825	1995-12-07	VYDAJ	VYBER	8700	41243	\N	\N	\N
1415110	4825	1995-06-08	VYDAJ	VYBER	2700	36519	\N	\N	\N
1415112	4825	1995-11-01	VYDAJ	VYBER	2700	27945	\N	\N	\N
1415113	4825	1995-05-16	VYDAJ	VYBER	5100	27765	\N	\N	\N
1415115	4825	1996-08-07	VYDAJ	VYBER	14700	35290	\N	\N	\N
1415116	4825	1996-11-16	VYDAJ	VYBER	11700	29955	\N	\N	\N
1415117	4825	1996-04-04	VYDAJ	VYBER	3600	25197	\N	\N	\N
1415118	4825	1996-02-13	VYDAJ	VYBER	14100	22471	\N	\N	\N
1415120	4825	1996-08-11	VYDAJ	VYBER	9000	26290	\N	\N	\N
1415121	4825	1997-08-06	VYDAJ	VYBER	2700	39063	\N	\N	\N
1415124	4825	1998-04-13	VYDAJ	VYBER	4500	30632	\N	\N	\N
1415140	4825	1994-10-31	VYDAJ	VYBER	15	33625	SLUZBY	\N	\N
1415141	4825	1994-11-30	VYDAJ	VYBER	15	27721	SLUZBY	\N	\N
1415142	4825	1994-12-31	VYDAJ	VYBER	15	24765	SLUZBY	\N	\N
1415143	4825	1995-01-31	VYDAJ	VYBER	15	23937	SLUZBY	\N	\N
1415144	4825	1995-02-28	VYDAJ	VYBER	15	32732	SLUZBY	\N	\N
1415145	4825	1995-03-31	VYDAJ	VYBER	15	40984	SLUZBY	\N	\N
1415146	4825	1995-04-30	VYDAJ	VYBER	15	36181	SLUZBY	\N	\N
1415147	4825	1995-05-31	VYDAJ	VYBER	15	23171	SLUZBY	\N	\N
1415148	4825	1995-06-30	VYDAJ	VYBER	15	26537	SLUZBY	\N	\N
1415149	4825	1995-07-31	VYDAJ	VYBER	15	29658	SLUZBY	\N	\N
1415150	4825	1995-08-31	VYDAJ	VYBER	15	22786	SLUZBY	\N	\N
1415151	4825	1995-09-30	VYDAJ	VYBER	15	29104	SLUZBY	\N	\N
1415152	4825	1995-10-31	VYDAJ	VYBER	15	30645	SLUZBY	\N	\N
1415153	4825	1995-11-30	VYDAJ	VYBER	15	33895	SLUZBY	\N	\N
1415154	4825	1995-12-31	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
1415155	4825	1996-01-31	VYDAJ	VYBER	15	27655	SLUZBY	\N	\N
1415156	4825	1996-02-29	VYDAJ	VYBER	15	29766	SLUZBY	\N	\N
1415157	4825	1996-03-31	VYDAJ	VYBER	15	34966	SLUZBY	\N	\N
1415158	4825	1996-04-30	VYDAJ	VYBER	15	22110	SLUZBY	\N	\N
1415159	4825	1996-05-31	VYDAJ	VYBER	15	29024	SLUZBY	\N	\N
1415160	4825	1996-06-30	VYDAJ	VYBER	15	35624	SLUZBY	\N	\N
1415161	4825	1996-07-31	VYDAJ	VYBER	15	39291	SLUZBY	\N	\N
1415162	4825	1996-08-31	VYDAJ	VYBER	15	23910	SLUZBY	\N	\N
1415163	4825	1996-09-30	VYDAJ	VYBER	15	32225	SLUZBY	\N	\N
1415164	4825	1996-10-31	VYDAJ	VYBER	15	35754	SLUZBY	\N	\N
1415165	4825	1996-11-30	VYDAJ	VYBER	15	27461	SLUZBY	\N	\N
1415166	4825	1996-12-31	VYDAJ	VYBER	15	26449	SLUZBY	\N	\N
1415167	4825	1997-01-31	VYDAJ	VYBER	15	21150	SLUZBY	\N	\N
1415168	4825	1997-02-28	VYDAJ	VYBER	15	23638	SLUZBY	\N	\N
1415169	4825	1997-03-31	VYDAJ	VYBER	15	27731	SLUZBY	\N	\N
1415170	4825	1997-04-30	VYDAJ	VYBER	15	30150	SLUZBY	\N	\N
1415171	4825	1997-05-31	VYDAJ	VYBER	15	28464	SLUZBY	\N	\N
1415172	4825	1997-06-30	VYDAJ	VYBER	15	34239	SLUZBY	\N	\N
1415173	4825	1997-07-31	VYDAJ	VYBER	15	31064	SLUZBY	\N	\N
1415174	4825	1997-08-31	VYDAJ	VYBER	15	26386	SLUZBY	\N	\N
1415175	4825	1997-09-30	VYDAJ	VYBER	15	22283	SLUZBY	\N	\N
1415176	4825	1997-10-31	VYDAJ	VYBER	15	17663	SLUZBY	\N	\N
1415177	4825	1997-11-30	VYDAJ	VYBER	15	16222	SLUZBY	\N	\N
1415178	4825	1997-12-31	VYDAJ	VYBER	15	17123	SLUZBY	\N	\N
1415179	4825	1998-01-31	VYDAJ	VYBER	15	23194	SLUZBY	\N	\N
1415180	4825	1998-02-28	VYDAJ	VYBER	15	16157	SLUZBY	\N	\N
1415181	4825	1998-03-31	VYDAJ	VYBER	15	25633	SLUZBY	\N	\N
1415182	4825	1998-04-30	VYDAJ	VYBER	15	18014	SLUZBY	\N	\N
1415183	4825	1998-05-31	VYDAJ	VYBER	15	27002	SLUZBY	\N	\N
1415184	4825	1998-06-30	VYDAJ	VYBER	15	19474	SLUZBY	\N	\N
1415185	4825	1998-07-31	VYDAJ	VYBER	15	17431	SLUZBY	\N	\N
1415186	4825	1998-08-31	VYDAJ	VYBER	15	26695	SLUZBY	\N	\N
1415187	4825	1998-09-30	VYDAJ	VYBER	15	16561	SLUZBY	\N	\N
1415188	4825	1998-10-31	VYDAJ	VYBER	15	26238	SLUZBY	\N	\N
1415189	4825	1998-11-30	VYDAJ	VYBER	15	34844	SLUZBY	\N	\N
1415190	4825	1994-07-04	PRIJEM	VKLAD	2500	19607	\N	\N	\N
1415191	4825	1994-08-03	VYDAJ	VYBER	2900	27524	\N	\N	\N
1415192	4825	1994-09-02	VYDAJ	VYBER	6500	31877	\N	\N	\N
1415193	4825	1994-10-02	VYDAJ	VYBER	6600	36150	\N	\N	\N
1415194	4825	1994-11-01	VYDAJ	VYBER	2000	31625	\N	\N	\N
1415195	4825	1994-12-01	VYDAJ	VYBER	3000	24721	\N	\N	\N
1415196	4825	1994-12-31	PRIJEM	VKLAD	4900	24780	\N	\N	\N
1415197	4825	1995-01-30	PRIJEM	VKLAD	6000	23864	\N	\N	\N
1415198	4825	1995-03-01	VYDAJ	VYBER	1200	31532	\N	\N	\N
1415199	4825	1995-03-31	VYDAJ	VYBER	8400	32584	\N	\N	\N
1415200	4825	1995-04-30	VYDAJ	VYBER	5500	30681	\N	\N	\N
1415201	4825	1995-05-30	PRIJEM	VKLAD	800	27165	\N	\N	\N
1415202	4825	1995-06-29	VYDAJ	VYBER	8100	26419	\N	\N	\N
1415203	4825	1995-07-29	VYDAJ	VYBER	5800	29536	\N	\N	\N
1415204	4825	1995-08-28	VYDAJ	VYBER	2100	22682	\N	\N	\N
1415205	4825	1995-09-27	VYDAJ	VYBER	2700	29001	\N	\N	\N
1415206	4825	1995-10-27	VYDAJ	VYBER	7500	30519	\N	\N	\N
1415207	4825	1995-11-26	VYDAJ	VYBER	3100	33761	\N	\N	\N
1415208	4825	1995-12-26	PRIJEM	VKLAD	5400	26408	\N	\N	\N
1415209	4825	1996-01-25	PRIJEM	VKLAD	5400	27561	\N	\N	\N
1415210	4825	1996-02-24	PRIJEM	VKLAD	7200	29671	\N	\N	\N
1415211	4825	1996-03-25	VYDAJ	VYBER	1200	34840	\N	\N	\N
1415212	4825	1996-04-24	PRIJEM	VKLAD	3100	22026	\N	\N	\N
1415213	4825	1996-05-24	VYDAJ	VYBER	2100	28925	\N	\N	\N
1415214	4825	1996-06-23	VYDAJ	VYBER	7800	35489	\N	\N	\N
1415215	4825	1996-07-23	VYDAJ	VYBER	5400	39140	\N	\N	\N
1415216	4825	1996-08-22	VYDAJ	VYBER	700	23806	\N	\N	\N
1415217	4825	1996-09-21	VYDAJ	VYBER	1100	32109	\N	\N	\N
1415218	4825	1996-10-21	VYDAJ	VYBER	5600	35624	\N	\N	\N
1415219	4825	1996-11-20	PRIJEM	VKLAD	1300	31255	\N	\N	\N
1415220	4825	1996-12-20	VYDAJ	VYBER	5400	26337	\N	\N	\N
1415221	4825	1997-01-19	VYDAJ	VYBER	800	21048	\N	\N	\N
1415222	4825	1997-02-18	VYDAJ	VYBER	5900	23549	\N	\N	\N
1415223	4825	1997-03-20	VYDAJ	VYBER	5000	27637	\N	\N	\N
1415224	4825	1997-04-19	VYDAJ	VYBER	6900	30030	\N	\N	\N
1415225	4825	1997-05-19	VYDAJ	VYBER	10700	28349	\N	\N	\N
1415226	4825	1997-06-18	VYDAJ	VYBER	8300	34112	\N	\N	\N
1415227	4825	1997-07-18	VYDAJ	VYBER	11400	30938	\N	\N	\N
1415228	4825	1997-08-17	VYDAJ	VYBER	10800	28263	\N	\N	\N
1415229	4825	1997-09-16	VYDAJ	VYBER	13600	22185	\N	\N	\N
1415230	4825	1997-10-16	VYDAJ	VYBER	13700	17582	\N	\N	\N
1415231	4825	1997-11-15	VYDAJ	VYBER	9200	18062	\N	\N	\N
1415232	4825	1997-12-15	VYDAJ	VYBER	15200	17070	\N	\N	\N
1415233	4825	1998-02-13	VYDAJ	VYBER	16600	17293	\N	\N	\N
1415234	4825	1998-04-14	VYDAJ	VYBER	12700	17932	\N	\N	\N
1415235	4825	1998-06-13	VYDAJ	VYBER	20600	20550	\N	\N	\N
1415236	4825	1998-07-13	VYDAJ	VYBER	12800	17373	\N	\N	\N
1415237	4825	1998-09-11	VYDAJ	VYBER	18500	18894	\N	\N	\N
1415238	4825	1998-12-10	VYDAJ	VYBER	26300	21492	\N	\N	\N
1423937	4851	1996-02-04	PRIJEM	VKLAD	200	200	\N	\N	\N
1423939	4851	1996-12-21	PRIJEM	VKLAD	8833	23152	\N	\N	\N
1423940	4851	1996-09-03	PRIJEM	VKLAD	28474	70779	\N	\N	\N
1423942	4851	1996-08-23	PRIJEM	VKLAD	24855	113565	\N	\N	\N
1423943	4851	1996-08-18	PRIJEM	VKLAD	35111	123310	\N	\N	\N
1423944	4851	1996-06-10	PRIJEM	VKLAD	42127	63470	\N	\N	\N
1423945	4851	1996-09-04	PRIJEM	VKLAD	35192	105971	\N	\N	\N
1423946	4851	1996-08-07	PRIJEM	VKLAD	39546	88199	\N	\N	\N
1423947	4851	1996-08-02	PRIJEM	VKLAD	27101	71553	\N	\N	\N
1423948	4851	1996-03-16	PRIJEM	VKLAD	12972	25872	\N	\N	\N
1423949	4851	1997-11-07	PRIJEM	VKLAD	40138	74936	\N	\N	\N
1423950	4851	1997-10-19	PRIJEM	VKLAD	35205	86509	\N	\N	\N
1423951	4851	1997-10-24	PRIJEM	VKLAD	32132	106941	\N	\N	\N
1423952	4851	1997-11-27	PRIJEM	VKLAD	38846	87675	\N	\N	\N
1423953	4851	1997-11-17	PRIJEM	VKLAD	26155	95189	\N	\N	\N
1423954	4851	1997-03-27	PRIJEM	VKLAD	41413	52311	\N	\N	\N
1423955	4851	1997-06-28	PRIJEM	VKLAD	16497	31021	\N	\N	\N
1423956	4851	1997-11-20	PRIJEM	VKLAD	19640	114829	\N	\N	\N
1423957	4851	1997-10-17	PRIJEM	VKLAD	46886	51304	\N	\N	\N
1423958	4851	1997-04-28	PRIJEM	VKLAD	35209	54109	\N	\N	\N
1423959	4851	1997-12-20	PRIJEM	VKLAD	25568	96723	\N	\N	\N
1423960	4851	1997-04-12	PRIJEM	VKLAD	10447	48643	\N	\N	\N
1423961	4851	1998-02-12	PRIJEM	VKLAD	41551	70796	\N	\N	\N
1423962	4851	1998-12-11	PRIJEM	VKLAD	49538	120984	\N	\N	\N
1423963	4851	1998-10-14	PRIJEM	VKLAD	29458	51250	\N	\N	\N
1423964	4851	1998-04-17	PRIJEM	VKLAD	33540	58861	\N	\N	\N
1423965	4851	1998-09-16	PRIJEM	VKLAD	45989	73368	\N	\N	\N
1423966	4851	1998-10-15	PRIJEM	VKLAD	6913	58163	\N	\N	\N
1423967	4851	1998-12-05	PRIJEM	VKLAD	27679	104631	\N	\N	\N
1423968	4851	1998-06-15	PRIJEM	VKLAD	34095	76369	\N	\N	\N
1423969	4851	1998-03-21	PRIJEM	VKLAD	20090	51663	\N	\N	\N
1423970	4851	1998-11-18	PRIJEM	VKLAD	35778	85017	\N	\N	\N
1423971	4851	1998-08-06	PRIJEM	VKLAD	35079	64448	\N	\N	\N
1423972	4851	1998-11-26	PRIJEM	VKLAD	34299	83716	\N	\N	\N
1423973	4851	1998-02-08	PRIJEM	VKLAD	9314	29245	\N	\N	\N
1423974	4851	1998-06-14	PRIJEM	VKLAD	5284	42274	\N	\N	\N
1423975	4851	1998-10-20	PRIJEM	VKLAD	44035	102198	\N	\N	\N
1423976	4851	1998-09-19	PRIJEM	VKLAD	10532	83900	\N	\N	\N
1423977	4851	1998-01-19	PRIJEM	VKLAD	26076	91856	\N	\N	\N
1423978	4851	1998-07-17	PRIJEM	VKLAD	27162	111953	\N	\N	\N
1423979	4851	1998-01-04	PRIJEM	VKLAD	25125	80367	\N	\N	\N
1423980	4851	1998-01-18	PRIJEM	VKLAD	13000	65780	\N	\N	\N
1423981	4851	1998-06-04	PRIJEM	VKLAD	27244	47177	\N	\N	\N
1423982	4851	1998-07-15	PRIJEM	VKLAD	28222	84791	\N	\N	\N
1423983	4851	1998-08-16	PRIJEM	VKLAD	39630	93891	\N	\N	\N
1423984	4851	1998-08-16	PRIJEM	VKLAD	8241	102132	\N	\N	\N
1423985	4851	1998-10-21	PRIJEM	VKLAD	26638	128836	\N	\N	\N
1423986	4851	1998-08-22	PRIJEM	VKLAD	42851	144983	\N	\N	\N
1423987	4851	1998-07-10	PRIJEM	VKLAD	37036	65975	\N	\N	\N
1423996	4851	1996-09-12	VYDAJ	PREVOD NA UCET	5902	49583	UVER	MN	12253350
1423997	4851	1996-10-12	VYDAJ	PREVOD NA UCET	5902	19750	UVER	MN	12253350
1423998	4851	1996-11-12	VYDAJ	PREVOD NA UCET	5902	12650	UVER	MN	12253350
1423999	4851	1996-12-12	VYDAJ	PREVOD NA UCET	5902	14319	UVER	MN	12253350
1424000	4851	1997-01-12	VYDAJ	PREVOD NA UCET	5902	17739	UVER	MN	12253350
1424001	4851	1997-02-12	VYDAJ	PREVOD NA UCET	5902	13127	UVER	MN	12253350
1424002	4851	1997-03-12	VYDAJ	PREVOD NA UCET	5902	10898	UVER	MN	12253350
1424003	4851	1997-04-12	VYDAJ	PREVOD NA UCET	5902	18900	UVER	MN	12253350
1424004	4851	1997-05-12	VYDAJ	PREVOD NA UCET	5902	31291	UVER	MN	12253350
1424005	4851	1997-06-12	VYDAJ	PREVOD NA UCET	5902	14524	UVER	MN	12253350
1424006	4851	1997-07-12	VYDAJ	PREVOD NA UCET	5902	18902	UVER	MN	12253350
1424007	4851	1997-08-12	VYDAJ	PREVOD NA UCET	5902	13596	UVER	MN	12253350
1424008	4851	1997-09-12	VYDAJ	PREVOD NA UCET	5902	7469	UVER	MN	12253350
1424009	4851	1997-10-12	VYDAJ	PREVOD NA UCET	5902	4418	UVER	MN	12253350
1424010	4851	1997-11-12	VYDAJ	PREVOD NA UCET	5902	69034	UVER	MN	12253350
1424011	4851	1997-12-12	VYDAJ	PREVOD NA UCET	5902	77755	UVER	MN	12253350
1424012	4851	1998-01-12	VYDAJ	PREVOD NA UCET	5902	64480	UVER	MN	12253350
1424013	4851	1998-02-12	VYDAJ	PREVOD NA UCET	5902	64894	UVER	MN	12253350
1424014	4851	1998-03-12	VYDAJ	PREVOD NA UCET	5902	31573	UVER	MN	12253350
1424015	4851	1998-04-12	VYDAJ	PREVOD NA UCET	5902	25321	UVER	MN	12253350
1424016	4851	1998-05-12	VYDAJ	PREVOD NA UCET	5902	28025	UVER	MN	12253350
1424017	4851	1998-06-12	VYDAJ	PREVOD NA UCET	5902	36990	UVER	MN	12253350
1424018	4851	1998-07-12	VYDAJ	PREVOD NA UCET	5902	56569	UVER	MN	12253350
1424019	4851	1998-08-12	VYDAJ	PREVOD NA UCET	5902	54261	UVER	MN	12253350
1424020	4851	1998-09-09	VYDAJ	VYBER	5400	27379	\N	\N	0
1424021	4851	1998-10-08	VYDAJ	VYBER	5900	36492	\N	\N	0
1424022	4851	1998-11-12	VYDAJ	VYBER	4800	49239	\N	\N	0
1424023	4851	1998-11-30	VYDAJ	VYBER	7000	76952	\N	\N	0
1424032	4851	1996-09-06	VYDAJ	PREVOD NA UCET	4285	55486	SIPO	YZ	40565508
1424033	4851	1996-10-06	VYDAJ	PREVOD NA UCET	4285	25652	SIPO	YZ	40565508
1424034	4851	1996-11-06	VYDAJ	PREVOD NA UCET	4285	18553	SIPO	YZ	40565508
1424035	4851	1996-12-06	VYDAJ	PREVOD NA UCET	4285	20221	SIPO	YZ	40565508
1424036	4851	1997-01-06	VYDAJ	PREVOD NA UCET	4285	26041	SIPO	YZ	40565508
1424037	4851	1997-02-06	VYDAJ	PREVOD NA UCET	4285	19029	SIPO	YZ	40565508
1424038	4851	1997-03-06	VYDAJ	PREVOD NA UCET	4285	16800	SIPO	YZ	40565508
1424039	4851	1997-04-06	VYDAJ	PREVOD NA UCET	4285	38196	SIPO	YZ	40565508
1424040	4851	1997-05-06	VYDAJ	PREVOD NA UCET	4285	37193	SIPO	YZ	40565508
1424041	4851	1997-06-06	VYDAJ	PREVOD NA UCET	4285	20427	SIPO	YZ	40565508
1424042	4851	1997-07-06	VYDAJ	PREVOD NA UCET	4285	24804	SIPO	YZ	40565508
1424043	4851	1997-08-06	VYDAJ	PREVOD NA UCET	4285	19499	SIPO	YZ	40565508
1424044	4851	1997-09-06	VYDAJ	PREVOD NA UCET	4285	13371	SIPO	YZ	40565508
1424045	4851	1997-10-06	VYDAJ	PREVOD NA UCET	4285	10321	SIPO	YZ	40565508
1424046	4851	1997-11-06	VYDAJ	PREVOD NA UCET	4285	34798	SIPO	YZ	40565508
1424047	4851	1997-12-06	VYDAJ	PREVOD NA UCET	4285	83657	SIPO	YZ	40565508
1424048	4851	1998-01-06	VYDAJ	PREVOD NA UCET	4285	70382	SIPO	YZ	40565508
1424049	4851	1998-02-06	VYDAJ	PREVOD NA UCET	4285	19931	SIPO	YZ	40565508
1424050	4851	1998-03-06	VYDAJ	PREVOD NA UCET	4285	37475	SIPO	YZ	40565508
1424051	4851	1998-04-06	VYDAJ	PREVOD NA UCET	4285	31224	SIPO	YZ	40565508
1424052	4851	1998-05-06	VYDAJ	PREVOD NA UCET	4285	33927	SIPO	YZ	40565508
1424053	4851	1998-06-06	VYDAJ	PREVOD NA UCET	4285	42892	SIPO	YZ	40565508
1424054	4851	1998-07-06	VYDAJ	PREVOD NA UCET	4285	28939	SIPO	YZ	40565508
1424055	4851	1998-08-06	VYDAJ	PREVOD NA UCET	4285	60163	SIPO	YZ	40565508
1424056	4851	1998-09-06	VYDAJ	PREVOD NA UCET	4285	32779	SIPO	YZ	40565508
1424057	4851	1998-10-06	VYDAJ	PREVOD NA UCET	4285	42392	SIPO	YZ	40565508
1424058	4851	1998-11-06	VYDAJ	PREVOD NA UCET	4285	54039	SIPO	YZ	40565508
1424059	4851	1998-12-06	VYDAJ	PREVOD NA UCET	4285	71446	SIPO	YZ	40565508
1424061	4851	1996-10-04	VYBER	VYBER	9460	29937	\N	\N	\N
1424068	4851	1997-04-12	VYBER	VYBER	23841	24802	\N	\N	\N
1424069	4851	1997-04-28	VYBER	VYBER	5808	48301	\N	\N	\N
1424070	4851	1998-07-12	VYBER	VYBER	3504	62471	\N	\N	\N
1424073	4851	1998-06-17	VYDAJ	VYBER	19800	56569	\N	\N	\N
1424076	4851	1998-01-30	VYDAJ	VYBER	26100	29956	\N	\N	\N
1424078	4851	1997-12-19	VYDAJ	VYBER	6600	71155	\N	\N	\N
1424079	4851	1998-12-14	VYDAJ	VYBER	6300	97884	\N	\N	\N
1424086	4851	1997-01-06	VYDAJ	VYBER	2400	23641	\N	\N	\N
1424092	4851	1998-01-28	VYDAJ	VYBER	4200	56056	\N	\N	\N
1424093	4851	1998-01-05	VYDAJ	VYBER	5700	74667	\N	\N	\N
1424094	4851	1998-01-03	VYDAJ	VYBER	5400	55242	\N	\N	\N
1424095	4851	1998-01-30	VYDAJ	VYBER	6000	23956	\N	\N	\N
1424096	4851	1998-01-15	VYDAJ	VYBER	6000	58480	\N	\N	\N
1424097	4851	1998-01-17	VYDAJ	VYBER	5700	52780	\N	\N	\N
1424101	4851	1996-09-01	VYDAJ	VYBER	8700	42305	\N	\N	\N
1424103	4851	1997-10-19	VYDAJ	VYBER	11700	74809	\N	\N	\N
1424107	4851	1997-05-23	VYDAJ	VYBER	8700	22591	\N	\N	\N
1424109	4851	1998-10-09	VYDAJ	VYBER	14700	21792	\N	\N	\N
1424110	4851	1998-09-04	VYDAJ	VYBER	11700	37064	\N	\N	\N
1424111	4851	1998-02-15	VYDAJ	VYBER	4500	60394	\N	\N	\N
1424120	4851	1996-08-31	VYDAJ	VYBER	15	69805	SLUZBY	\N	\N
1424121	4851	1996-09-30	VYDAJ	VYBER	15	49797	SLUZBY	\N	\N
1424122	4851	1996-10-31	VYDAJ	VYBER	15	22838	SLUZBY	\N	\N
1424123	4851	1996-11-30	VYDAJ	VYBER	15	24506	SLUZBY	\N	\N
1424124	4851	1996-12-31	VYDAJ	VYBER	15	30326	SLUZBY	\N	\N
1424125	4851	1997-01-31	VYDAJ	VYBER	15	23314	SLUZBY	\N	\N
1424126	4851	1997-02-28	VYDAJ	VYBER	15	21085	SLUZBY	\N	\N
1424127	4851	1997-03-31	VYDAJ	VYBER	15	42481	SLUZBY	\N	\N
1424128	4851	1997-04-30	VYDAJ	VYBER	15	41478	SLUZBY	\N	\N
1424129	4851	1997-05-31	VYDAJ	VYBER	15	24712	SLUZBY	\N	\N
1424130	4851	1997-06-30	VYDAJ	VYBER	15	29089	SLUZBY	\N	\N
1424131	4851	1997-07-31	VYDAJ	VYBER	15	23784	SLUZBY	\N	\N
1424132	4851	1997-08-31	VYDAJ	VYBER	15	17656	SLUZBY	\N	\N
1424133	4851	1997-09-30	VYDAJ	VYBER	15	14606	SLUZBY	\N	\N
1424134	4851	1997-10-31	VYDAJ	VYBER	15	39083	SLUZBY	\N	\N
1424135	4851	1997-11-30	VYDAJ	VYBER	15	87942	SLUZBY	\N	\N
1424136	4851	1997-12-31	VYDAJ	VYBER	15	60642	SLUZBY	\N	\N
1424137	4851	1998-01-31	VYDAJ	VYBER	15	24216	SLUZBY	\N	\N
1424138	4851	1998-02-28	VYDAJ	VYBER	15	41760	SLUZBY	\N	\N
1424139	4851	1998-03-31	VYDAJ	VYBER	15	35509	SLUZBY	\N	\N
1424140	4851	1998-04-30	VYDAJ	VYBER	15	38212	SLUZBY	\N	\N
1424141	4851	1998-05-31	VYDAJ	VYBER	15	19933	SLUZBY	\N	\N
1424142	4851	1998-06-30	VYDAJ	VYBER	15	33224	SLUZBY	\N	\N
1424143	4851	1998-07-31	VYDAJ	VYBER	15	29369	SLUZBY	\N	\N
1424144	4851	1998-08-31	VYDAJ	VYBER	15	48764	SLUZBY	\N	\N
1424145	4851	1998-09-30	VYDAJ	VYBER	15	46677	SLUZBY	\N	\N
1424146	4851	1998-10-31	VYDAJ	VYBER	15	58324	SLUZBY	\N	\N
1424147	4851	1998-11-30	VYDAJ	VYBER	15	83952	SLUZBY	\N	\N
1424148	4851	1996-03-05	PRIJEM	VKLAD	12700	12900	\N	\N	\N
1424149	4851	1996-04-04	VYDAJ	VYBER	1800	24128	\N	\N	\N
1424150	4851	1996-05-04	VYDAJ	VYBER	3800	20435	\N	\N	\N
1424151	4851	1996-06-03	PRIJEM	VKLAD	800	21343	\N	\N	\N
1424152	4851	1996-07-03	VYDAJ	VYBER	19500	44188	\N	\N	\N
1424153	4851	1996-08-02	VYDAJ	VYBER	22900	48653	\N	\N	\N
1424154	4851	1996-08-18	VYDAJ	VYBER	34600	88710	\N	\N	\N
1424155	4851	1996-08-23	VYDAJ	VYBER	44100	69465	\N	\N	\N
1424156	4851	1996-09-01	VYDAJ	VYBER	18800	51005	\N	\N	\N
1424157	4851	1996-09-04	VYDAJ	VYBER	46200	59771	\N	\N	\N
1424158	4851	1996-10-01	VYDAJ	VYBER	10400	39397	\N	\N	\N
1424159	4851	1996-10-31	PRIJEM	VKLAD	3000	22852	\N	\N	\N
1424160	4851	1996-11-30	PRIJEM	VKLAD	11800	24450	\N	\N	\N
1424161	4851	1996-12-30	PRIJEM	VKLAD	7100	30252	\N	\N	\N
1424162	4851	1997-01-29	PRIJEM	VKLAD	5500	23239	\N	\N	\N
1424163	4851	1997-02-28	PRIJEM	VKLAD	7900	21099	\N	\N	\N
1424164	4851	1997-03-30	VYDAJ	VYBER	9900	42411	\N	\N	\N
1424165	4851	1997-04-29	VYDAJ	VYBER	7000	41301	\N	\N	\N
1424166	4851	1997-05-29	PRIJEM	VKLAD	2000	24591	\N	\N	\N
1424167	4851	1997-06-28	VYDAJ	VYBER	2000	29021	\N	\N	\N
1424168	4851	1997-07-28	PRIJEM	VKLAD	4800	23702	\N	\N	\N
1424169	4851	1997-08-27	PRIJEM	VKLAD	4000	17596	\N	\N	\N
1424170	4851	1997-09-26	PRIJEM	VKLAD	7100	14569	\N	\N	\N
1424171	4851	1997-10-24	VYDAJ	VYBER	57900	49041	\N	\N	\N
1424172	4851	1997-10-26	VYDAJ	VYBER	10100	38941	\N	\N	\N
1424173	4851	1997-11-20	VYDAJ	VYBER	46100	68729	\N	\N	\N
1424174	4851	1997-11-25	VYDAJ	VYBER	19900	48829	\N	\N	\N
1424175	4851	1997-12-25	VYDAJ	VYBER	36400	60323	\N	\N	\N
1424176	4851	1998-01-24	VYDAJ	VYBER	31600	60256	\N	\N	\N
1424177	4851	1998-02-23	VYDAJ	VYBER	18800	41594	\N	\N	\N
1424178	4851	1998-03-25	VYDAJ	VYBER	16300	35363	\N	\N	\N
1424179	4851	1998-04-24	VYDAJ	VYBER	20800	38061	\N	\N	\N
1424180	4851	1998-05-24	VYDAJ	VYBER	8200	19825	\N	\N	\N
1424181	4851	1998-06-23	VYDAJ	VYBER	23500	33069	\N	\N	\N
1424182	4851	1998-07-17	VYDAJ	VYBER	60700	51253	\N	\N	\N
1424183	4851	1998-07-23	VYDAJ	VYBER	22100	29153	\N	\N	\N
1424184	4851	1998-08-22	VYDAJ	VYBER	56300	88683	\N	\N	\N
1424185	4851	1998-08-22	VYDAJ	VYBER	40200	48483	\N	\N	\N
1424186	4851	1998-09-21	VYDAJ	VYBER	37400	46500	\N	\N	\N
1424187	4851	1998-10-21	VYDAJ	VYBER	20300	108536	\N	\N	\N
1424188	4851	1998-10-21	VYDAJ	VYBER	50500	58036	\N	\N	\N
1424189	4851	1998-11-20	VYDAJ	VYBER	35600	49417	\N	\N	\N
1424190	4851	1998-12-05	VYDAJ	VYBER	28900	75731	\N	\N	\N
1424191	4851	1998-12-11	VYDAJ	VYBER	16800	104184	\N	\N	\N
1424226	4852	1995-04-13	PRIJEM	VKLAD	400	400	\N	\N	\N
1424231	4852	1995-05-12	PRIJEM	VKLAD	7191	7591	\N	\N	\N
1424232	4852	1995-06-12	PRIJEM	VKLAD	10786	27820	\N	\N	\N
1424233	4852	1995-07-12	PRIJEM	VKLAD	7191	34811	\N	\N	\N
1424234	4852	1995-08-12	PRIJEM	VKLAD	7191	38037	\N	\N	\N
1424235	4852	1995-09-12	PRIJEM	VKLAD	7191	41481	\N	\N	\N
1424236	4852	1995-10-12	PRIJEM	VKLAD	7191	34059	\N	\N	\N
1424237	4852	1995-11-12	PRIJEM	VKLAD	7191	37065	\N	\N	\N
1424238	4852	1995-12-12	PRIJEM	VKLAD	10786	42444	\N	\N	\N
1424239	4852	1996-01-12	PRIJEM	VKLAD	7191	27370	\N	\N	\N
1424240	4852	1996-02-12	PRIJEM	VKLAD	7191	33135	\N	\N	\N
1424241	4852	1996-03-12	PRIJEM	VKLAD	7191	37824	\N	\N	\N
1424242	4852	1996-04-12	PRIJEM	VKLAD	7191	39124	\N	\N	\N
1424243	4852	1996-05-12	PRIJEM	VKLAD	7191	39432	\N	\N	\N
1424244	4852	1996-06-12	PRIJEM	VKLAD	10786	42222	\N	\N	\N
1424245	4852	1996-07-12	PRIJEM	VKLAD	7191	35081	\N	\N	\N
1424246	4852	1996-08-12	PRIJEM	VKLAD	7191	30481	\N	\N	\N
1424247	4852	1996-09-12	PRIJEM	VKLAD	7191	25942	\N	\N	\N
1424248	4852	1996-10-12	PRIJEM	VKLAD	7191	24204	\N	\N	\N
1424249	4852	1996-11-12	PRIJEM	VKLAD	7191	19037	\N	\N	\N
1424250	4852	1996-12-12	PRIJEM	VKLAD	10786	24860	\N	\N	\N
1424251	4852	1997-01-12	PRIJEM	VKLAD	7191	26287	\N	\N	\N
1424252	4852	1997-02-12	PRIJEM	VKLAD	7191	23586	\N	\N	\N
1424253	4852	1997-03-12	PRIJEM	VKLAD	7191	23828	\N	\N	\N
1424254	4852	1997-04-12	PRIJEM	VKLAD	7191	20473	\N	\N	\N
1424255	4852	1997-05-12	PRIJEM	VKLAD	7191	19405	\N	\N	\N
1424256	4852	1997-06-12	PRIJEM	VKLAD	10786	24527	\N	\N	\N
1424257	4852	1997-07-12	PRIJEM	VKLAD	7191	23452	\N	\N	\N
1424258	4852	1997-08-12	PRIJEM	VKLAD	7191	24596	\N	\N	\N
1424259	4852	1997-09-12	PRIJEM	VKLAD	7191	25635	\N	\N	\N
1424260	4852	1997-10-12	PRIJEM	VKLAD	7191	28479	\N	\N	\N
1424261	4852	1997-11-12	PRIJEM	VKLAD	7191	30149	\N	\N	\N
1424262	4852	1997-12-12	PRIJEM	VKLAD	10786	36084	\N	\N	\N
1424263	4852	1998-01-12	PRIJEM	VKLAD	7191	26340	\N	\N	\N
1424264	4852	1998-02-12	PRIJEM	VKLAD	7191	24022	\N	\N	\N
1424265	4852	1998-03-12	PRIJEM	VKLAD	7191	25360	\N	\N	\N
1424266	4852	1998-04-12	PRIJEM	VKLAD	7191	25603	\N	\N	\N
1424267	4852	1998-05-12	PRIJEM	VKLAD	7191	24445	\N	\N	\N
1424268	4852	1998-06-12	PRIJEM	VKLAD	10786	30893	\N	\N	\N
1424269	4852	1998-07-12	PRIJEM	VKLAD	7191	31754	\N	\N	\N
1424270	4852	1998-08-12	PRIJEM	VKLAD	7191	24357	\N	\N	\N
1424271	4852	1998-09-12	PRIJEM	VKLAD	7191	22894	\N	\N	\N
1424272	4852	1998-10-12	PRIJEM	VKLAD	7191	24238	\N	\N	\N
1424273	4852	1998-11-12	PRIJEM	VKLAD	7191	27791	\N	\N	\N
1424274	4852	1998-12-12	PRIJEM	VKLAD	10786	28436	\N	\N	\N
1424284	4852	1995-10-06	VYDAJ	PREVOD NA UCET	4794	26168	SIPO	QR	23212576
1424285	4852	1995-11-06	VYDAJ	PREVOD NA UCET	4794	23574	SIPO	QR	23212576
1424286	4852	1995-12-06	VYDAJ	PREVOD NA UCET	4794	28098	SIPO	QR	23212576
1424287	4852	1996-01-06	VYDAJ	PREVOD NA UCET	4794	27139	SIPO	QR	23212576
1424288	4852	1996-02-06	VYDAJ	PREVOD NA UCET	4794	12344	SIPO	QR	23212576
1424289	4852	1996-03-06	VYDAJ	PREVOD NA UCET	4794	22533	SIPO	QR	23212576
1424290	4852	1996-04-06	VYDAJ	PREVOD NA UCET	4794	27233	SIPO	QR	23212576
1424291	4852	1996-05-06	VYDAJ	PREVOD NA UCET	4794	28541	SIPO	QR	23212576
1424292	4852	1996-06-06	VYDAJ	PREVOD NA UCET	4794	31436	SIPO	QR	23212576
1424293	4852	1996-07-06	VYDAJ	PREVOD NA UCET	4794	27890	SIPO	QR	23212576
1424294	4852	1996-08-06	VYDAJ	PREVOD NA UCET	4794	23290	SIPO	QR	23212576
1424295	4852	1996-09-06	VYDAJ	PREVOD NA UCET	4794	18751	SIPO	QR	23212576
1424296	4852	1996-10-06	VYDAJ	PREVOD NA UCET	4794	17013	SIPO	QR	23212576
1424297	4852	1996-11-06	VYDAJ	PREVOD NA UCET	4794	11846	SIPO	QR	23212576
1424298	4852	1996-12-06	VYDAJ	PREVOD NA UCET	4794	14074	SIPO	QR	23212576
1424299	4852	1997-01-06	VYDAJ	PREVOD NA UCET	4794	19096	SIPO	QR	23212576
1424300	4852	1997-02-06	VYDAJ	PREVOD NA UCET	4794	16395	SIPO	QR	23212576
1424301	4852	1997-03-06	VYDAJ	PREVOD NA UCET	4794	16637	SIPO	QR	23212576
1424302	4852	1997-04-06	VYDAJ	PREVOD NA UCET	4794	13282	SIPO	QR	23212576
1424303	4852	1997-05-06	VYDAJ	PREVOD NA UCET	4794	12214	SIPO	QR	23212576
1424304	4852	1997-06-06	VYDAJ	PREVOD NA UCET	4794	13741	SIPO	QR	23212576
1424305	4852	1997-07-06	VYDAJ	PREVOD NA UCET	4794	16261	SIPO	QR	23212576
1424306	4852	1997-08-06	VYDAJ	PREVOD NA UCET	4794	17405	SIPO	QR	23212576
1424307	4852	1997-09-06	VYDAJ	PREVOD NA UCET	4794	18444	SIPO	QR	23212576
1424308	4852	1997-10-06	VYDAJ	PREVOD NA UCET	4794	21288	SIPO	QR	23212576
1424309	4852	1997-11-06	VYDAJ	PREVOD NA UCET	4794	22958	SIPO	QR	23212576
1424310	4852	1997-12-06	VYDAJ	PREVOD NA UCET	4794	25298	SIPO	QR	23212576
1424311	4852	1998-01-06	VYDAJ	PREVOD NA UCET	4794	19149	SIPO	QR	23212576
1424312	4852	1998-02-06	VYDAJ	PREVOD NA UCET	4794	16831	SIPO	QR	23212576
1424313	4852	1998-03-06	VYDAJ	PREVOD NA UCET	4794	18169	SIPO	QR	23212576
1424314	4852	1998-04-06	VYDAJ	PREVOD NA UCET	4794	18412	SIPO	QR	23212576
1424315	4852	1998-05-06	VYDAJ	PREVOD NA UCET	4794	17254	SIPO	QR	23212576
1424316	4852	1998-06-06	VYDAJ	PREVOD NA UCET	4794	20107	SIPO	QR	23212576
1424317	4852	1998-07-06	VYDAJ	PREVOD NA UCET	4794	24563	SIPO	QR	23212576
1424318	4852	1998-08-06	VYDAJ	PREVOD NA UCET	4794	17166	SIPO	QR	23212576
1424319	4852	1998-09-06	VYDAJ	PREVOD NA UCET	4794	15703	SIPO	QR	23212576
1424320	4852	1998-10-06	VYDAJ	PREVOD NA UCET	4794	17047	SIPO	QR	23212576
1424321	4852	1998-11-06	VYDAJ	PREVOD NA UCET	4794	20600	SIPO	QR	23212576
1424322	4852	1998-12-06	VYDAJ	PREVOD NA UCET	4794	17650	SIPO	QR	23212576
1424331	4852	1995-09-24	VYDAJ	VYBER	4300	30821	\N	\N	0
1424332	4852	1995-10-16	VYDAJ	VYBER	5800	28259	\N	\N	0
1424333	4852	1995-11-12	VYDAJ	VYBER	4300	32765	\N	\N	0
1424334	4852	1995-12-26	VYDAJ	VYBER	5600	31804	\N	\N	0
1424335	4852	1996-01-08	VYDAJ	VYBER	5200	28339	\N	\N	0
1424336	4852	1996-02-15	VYDAJ	VYBER	5900	27235	\N	\N	0
1424337	4852	1996-03-12	VYDAJ	PREVOD NA UCET	5925	31899	UVER	YZ	98242383
1424338	4852	1996-04-12	VYDAJ	PREVOD NA UCET	5925	33199	UVER	YZ	98242383
1424339	4852	1996-05-12	VYDAJ	PREVOD NA UCET	5925	33507	UVER	YZ	98242383
1424340	4852	1996-06-12	VYDAJ	PREVOD NA UCET	5925	36297	UVER	YZ	98242383
1424341	4852	1996-07-12	VYDAJ	PREVOD NA UCET	5925	29156	UVER	YZ	98242383
1424342	4852	1996-08-12	VYDAJ	PREVOD NA UCET	5925	24556	UVER	YZ	98242383
1424343	4852	1996-09-12	VYDAJ	PREVOD NA UCET	5925	20017	UVER	YZ	98242383
1424344	4852	1996-10-12	VYDAJ	PREVOD NA UCET	5925	18279	UVER	YZ	98242383
1424345	4852	1996-11-12	VYDAJ	PREVOD NA UCET	5925	13112	UVER	YZ	98242383
1424346	4852	1996-12-12	VYDAJ	PREVOD NA UCET	5925	18935	UVER	YZ	98242383
1424347	4852	1997-01-12	VYDAJ	PREVOD NA UCET	5925	20362	UVER	YZ	98242383
1424348	4852	1997-02-12	VYDAJ	PREVOD NA UCET	5925	17661	UVER	YZ	98242383
1424349	4852	1997-03-12	VYDAJ	PREVOD NA UCET	5925	17903	UVER	YZ	98242383
1424350	4852	1997-04-12	VYDAJ	PREVOD NA UCET	5925	14548	UVER	YZ	98242383
1424351	4852	1997-05-12	VYDAJ	PREVOD NA UCET	5925	13480	UVER	YZ	98242383
1424352	4852	1997-06-12	VYDAJ	PREVOD NA UCET	5925	18602	UVER	YZ	98242383
1424353	4852	1997-07-12	VYDAJ	PREVOD NA UCET	5925	17527	UVER	YZ	98242383
1424354	4852	1997-08-12	VYDAJ	PREVOD NA UCET	5925	18671	UVER	YZ	98242383
1424355	4852	1997-09-12	VYDAJ	PREVOD NA UCET	5925	19710	UVER	YZ	98242383
1424356	4852	1997-10-12	VYDAJ	PREVOD NA UCET	5925	22554	UVER	YZ	98242383
1424357	4852	1997-11-12	VYDAJ	PREVOD NA UCET	5925	24224	UVER	YZ	98242383
1424358	4852	1997-12-12	VYDAJ	PREVOD NA UCET	5925	30159	UVER	YZ	98242383
1424359	4852	1998-01-12	VYDAJ	PREVOD NA UCET	5925	20415	UVER	YZ	98242383
1424360	4852	1998-02-12	VYDAJ	PREVOD NA UCET	5925	18097	UVER	YZ	98242383
1424361	4852	1998-03-12	VYDAJ	PREVOD NA UCET	5925	19435	UVER	YZ	98242383
1424362	4852	1998-04-12	VYDAJ	PREVOD NA UCET	5925	19678	UVER	YZ	98242383
1424363	4852	1998-05-12	VYDAJ	PREVOD NA UCET	5925	18520	UVER	YZ	98242383
1424364	4852	1998-06-12	VYDAJ	PREVOD NA UCET	5925	24968	UVER	YZ	98242383
1424365	4852	1998-07-12	VYDAJ	PREVOD NA UCET	5925	25829	UVER	YZ	98242383
1424366	4852	1998-08-12	VYDAJ	PREVOD NA UCET	5925	18432	UVER	YZ	98242383
1424367	4852	1998-09-12	VYDAJ	PREVOD NA UCET	5925	16969	UVER	YZ	98242383
1424368	4852	1998-10-12	VYDAJ	PREVOD NA UCET	5925	18313	UVER	YZ	98242383
1424369	4852	1998-11-12	VYDAJ	PREVOD NA UCET	5925	21866	UVER	YZ	98242383
1424370	4852	1998-12-12	VYDAJ	PREVOD NA UCET	5925	22511	UVER	YZ	98242383
1424376	4852	1996-01-08	VYDAJ	VYBER	8160	20179	\N	\N	\N
1424379	4852	1995-12-07	VYDAJ	VYBER	3040	25058	\N	\N	\N
1424381	4852	1997-12-16	VYDAJ	VYBER	2080	28079	\N	\N	\N
1424382	4852	1998-12-27	VYDAJ	VYBER	1440	22771	\N	\N	\N
1424389	4852	1996-01-23	VYDAJ	VYBER	2520	20770	\N	\N	\N
1424390	4852	1996-01-12	VYDAJ	VYBER	960	26410	\N	\N	\N
1424391	4852	1996-01-13	VYDAJ	VYBER	960	25450	\N	\N	\N
1424392	4852	1996-01-28	VYDAJ	VYBER	840	17050	\N	\N	\N
1424393	4852	1996-01-14	VYDAJ	VYBER	2160	23290	\N	\N	\N
1424394	4852	1996-01-26	VYDAJ	VYBER	2880	17890	\N	\N	\N
1424399	4852	1997-01-12	VYDAJ	VYBER	3240	17122	\N	\N	\N
1424401	4852	1998-01-14	VYDAJ	VYBER	720	19695	\N	\N	\N
1424403	4852	1998-01-29	VYDAJ	VYBER	1320	21555	\N	\N	\N
1424404	4852	1998-01-05	VYDAJ	VYBER	1080	23943	\N	\N	\N
1424405	4852	1998-01-22	VYDAJ	VYBER	720	18975	\N	\N	\N
1424406	4852	1998-01-02	VYDAJ	VYBER	2760	25023	\N	\N	\N
1424407	4852	1995-09-12	VYDAJ	VYBER	5160	36321	\N	\N	\N
1424408	4852	1995-12-15	VYDAJ	VYBER	5040	37404	\N	\N	\N
1424409	4852	1995-09-22	VYDAJ	VYBER	1200	35121	\N	\N	\N
1424411	4852	1996-06-23	VYDAJ	VYBER	2640	33657	\N	\N	\N
1424412	4852	1996-10-01	VYDAJ	VYBER	1680	18407	\N	\N	\N
1424416	4852	1997-11-16	VYDAJ	VYBER	1920	22304	\N	\N	\N
1424418	4852	1998-07-25	VYDAJ	VYBER	5760	20069	\N	\N	\N
1424429	4852	1995-09-30	VYDAJ	VYBER	15	30962	SLUZBY	\N	\N
1424430	4852	1995-10-31	VYDAJ	VYBER	15	28368	SLUZBY	\N	\N
1424431	4852	1995-11-30	VYDAJ	VYBER	15	32892	SLUZBY	\N	\N
1424432	4852	1995-12-31	VYDAJ	VYBER	15	31933	SLUZBY	\N	\N
1424433	4852	1996-01-31	VYDAJ	VYBER	15	17138	SLUZBY	\N	\N
1424434	4852	1996-02-29	VYDAJ	VYBER	15	27327	SLUZBY	\N	\N
1424435	4852	1996-03-31	VYDAJ	VYBER	15	32027	SLUZBY	\N	\N
1424436	4852	1996-04-30	VYDAJ	VYBER	15	33335	SLUZBY	\N	\N
1424437	4852	1996-05-31	VYDAJ	VYBER	15	33630	SLUZBY	\N	\N
1424438	4852	1996-06-30	VYDAJ	VYBER	15	33784	SLUZBY	\N	\N
1424439	4852	1996-07-31	VYDAJ	VYBER	15	29284	SLUZBY	\N	\N
1424440	4852	1996-08-31	VYDAJ	VYBER	15	24645	SLUZBY	\N	\N
1424441	4852	1996-09-30	VYDAJ	VYBER	15	20087	SLUZBY	\N	\N
1424442	4852	1996-10-31	VYDAJ	VYBER	15	18340	SLUZBY	\N	\N
1424443	4852	1996-11-30	VYDAJ	VYBER	15	13168	SLUZBY	\N	\N
1424444	4852	1996-12-31	VYDAJ	VYBER	15	18990	SLUZBY	\N	\N
1424445	4852	1997-01-31	VYDAJ	VYBER	15	17189	SLUZBY	\N	\N
1424446	4852	1997-02-28	VYDAJ	VYBER	15	17731	SLUZBY	\N	\N
1424447	4852	1997-03-31	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
1424448	4852	1997-04-30	VYDAJ	VYBER	15	14608	SLUZBY	\N	\N
1424449	4852	1997-05-31	VYDAJ	VYBER	15	13535	SLUZBY	\N	\N
1424450	4852	1997-06-30	VYDAJ	VYBER	15	18655	SLUZBY	\N	\N
1424451	4852	1997-07-31	VYDAJ	VYBER	15	22199	SLUZBY	\N	\N
1424452	4852	1997-08-31	VYDAJ	VYBER	15	23238	SLUZBY	\N	\N
1424453	4852	1997-09-30	VYDAJ	VYBER	15	26082	SLUZBY	\N	\N
1424454	4852	1997-10-31	VYDAJ	VYBER	15	27752	SLUZBY	\N	\N
1424455	4852	1997-11-30	VYDAJ	VYBER	15	30092	SLUZBY	\N	\N
1424456	4852	1997-12-31	VYDAJ	VYBER	15	27783	SLUZBY	\N	\N
1424457	4852	1998-01-31	VYDAJ	VYBER	15	21625	SLUZBY	\N	\N
1424458	4852	1998-02-28	VYDAJ	VYBER	15	22963	SLUZBY	\N	\N
1424459	4852	1998-03-31	VYDAJ	VYBER	15	23206	SLUZBY	\N	\N
1424460	4852	1998-04-30	VYDAJ	VYBER	15	22048	SLUZBY	\N	\N
1424461	4852	1998-05-31	VYDAJ	VYBER	15	24901	SLUZBY	\N	\N
1424462	4852	1998-06-30	VYDAJ	VYBER	15	29357	SLUZBY	\N	\N
1424463	4852	1998-07-31	VYDAJ	VYBER	15	21960	SLUZBY	\N	\N
1424464	4852	1998-08-31	VYDAJ	VYBER	15	20497	SLUZBY	\N	\N
1424465	4852	1998-09-30	VYDAJ	VYBER	15	21841	SLUZBY	\N	\N
1424466	4852	1998-10-31	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
1424467	4852	1998-11-30	VYDAJ	VYBER	15	22444	SLUZBY	\N	\N
1424468	4852	1995-05-13	PRIJEM	VKLAD	9400	16991	\N	\N	\N
1424469	4852	1995-06-12	VYDAJ	VYBER	300	27520	\N	\N	\N
1424470	4852	1995-07-12	VYDAJ	VYBER	2000	32811	\N	\N	\N
1424471	4852	1995-08-11	VYDAJ	VYBER	2100	30846	\N	\N	\N
1424472	4852	1995-09-10	VYDAJ	VYBER	3900	34290	\N	\N	\N
1424473	4852	1995-10-10	PRIJEM	VKLAD	700	26868	\N	\N	\N
1424474	4852	1995-11-09	PRIJEM	VKLAD	6300	29874	\N	\N	\N
1424475	4852	1995-12-09	PRIJEM	VKLAD	6600	31658	\N	\N	\N
1424476	4852	1996-01-08	PRIJEM	VKLAD	6400	33539	\N	\N	\N
1424477	4852	1996-02-07	PRIJEM	VKLAD	13600	25944	\N	\N	\N
1424478	4852	1996-03-08	PRIJEM	VKLAD	8100	30633	\N	\N	\N
1424479	4852	1996-04-07	PRIJEM	VKLAD	4700	31933	\N	\N	\N
1424480	4852	1996-05-07	PRIJEM	VKLAD	3700	32241	\N	\N	\N
1424481	4852	1996-06-06	PRIJEM	VKLAD	2600	36230	\N	\N	\N
1424482	4852	1996-07-06	VYDAJ	VYBER	1100	32684	\N	\N	\N
1424483	4852	1996-08-05	VYDAJ	VYBER	1200	28084	\N	\N	\N
1424484	4852	1996-09-04	VYDAJ	VYBER	1100	23545	\N	\N	\N
1424485	4852	1996-10-04	PRIJEM	VKLAD	3400	21807	\N	\N	\N
1424486	4852	1996-11-03	VYDAJ	VYBER	1700	16640	\N	\N	\N
1424487	4852	1996-12-03	PRIJEM	VKLAD	5700	18868	\N	\N	\N
1424488	4852	1997-01-02	PRIJEM	VKLAD	4900	23890	\N	\N	\N
1424489	4852	1997-02-01	PRIJEM	VKLAD	4000	21189	\N	\N	\N
1424490	4852	1997-03-03	PRIJEM	VKLAD	3700	21431	\N	\N	\N
1424491	4852	1997-04-02	PRIJEM	VKLAD	100	18076	\N	\N	\N
1424492	4852	1997-05-02	PRIJEM	VKLAD	2400	17008	\N	\N	\N
1424493	4852	1997-06-01	PRIJEM	VKLAD	5000	18535	\N	\N	\N
1424494	4852	1997-07-01	PRIJEM	VKLAD	2400	21055	\N	\N	\N
1424495	4852	1997-07-31	PRIJEM	VKLAD	4600	22213	\N	\N	\N
1424496	4852	1997-08-30	PRIJEM	VKLAD	4500	23171	\N	\N	\N
1424497	4852	1997-09-29	PRIJEM	VKLAD	6300	26010	\N	\N	\N
1424498	4852	1997-10-29	PRIJEM	VKLAD	5100	27654	\N	\N	\N
1424499	4852	1997-11-28	PRIJEM	VKLAD	7700	30004	\N	\N	\N
1424500	4852	1997-12-28	VYDAJ	VYBER	400	27679	\N	\N	\N
1424501	4852	1998-01-27	PRIJEM	VKLAD	3900	22875	\N	\N	\N
1424502	4852	1998-02-26	PRIJEM	VKLAD	4800	22897	\N	\N	\N
1424503	4852	1998-03-28	PRIJEM	VKLAD	3700	23135	\N	\N	\N
1424504	4852	1998-04-27	PRIJEM	VKLAD	2300	21978	\N	\N	\N
1424505	4852	1998-05-27	PRIJEM	VKLAD	6300	24820	\N	\N	\N
1424506	4852	1998-06-26	PRIJEM	VKLAD	4300	29268	\N	\N	\N
1424507	4852	1998-07-26	PRIJEM	VKLAD	1800	21869	\N	\N	\N
1424508	4852	1998-08-25	PRIJEM	VKLAD	2000	20432	\N	\N	\N
1424509	4852	1998-09-24	PRIJEM	VKLAD	4800	21769	\N	\N	\N
1424510	4852	1998-10-24	PRIJEM	VKLAD	7000	25313	\N	\N	\N
1424511	4852	1998-11-23	PRIJEM	VKLAD	500	22366	\N	\N	\N
1424512	4852	1998-12-23	PRIJEM	VKLAD	1700	24211	\N	\N	\N
1425804	4858	1997-06-21	PRIJEM	VKLAD	600	600	\N	\N	\N
1425811	4858	1997-07-11	PRIJEM	PREVOD Z UCTU	41900	42500	\N	GH	98983895
1425812	4858	1997-08-11	PRIJEM	PREVOD Z UCTU	41900	76201	\N	GH	98983895
1425813	4858	1997-09-11	PRIJEM	PREVOD Z UCTU	41900	93140	\N	GH	98983895
1425814	4858	1997-10-11	PRIJEM	PREVOD Z UCTU	41900	98080	\N	GH	98983895
1425815	4858	1997-11-11	PRIJEM	PREVOD Z UCTU	41900	100571	\N	GH	98983895
1425816	4858	1997-12-11	PRIJEM	PREVOD Z UCTU	62850	96893	\N	GH	98983895
1425817	4858	1998-01-11	PRIJEM	PREVOD Z UCTU	41900	82903	\N	GH	98983895
1425818	4858	1998-02-11	PRIJEM	PREVOD Z UCTU	41900	60714	\N	GH	98983895
1425819	4858	1998-03-11	PRIJEM	PREVOD Z UCTU	41900	49225	\N	GH	98983895
1425820	4858	1998-04-11	PRIJEM	PREVOD Z UCTU	41900	50032	\N	GH	98983895
1425821	4858	1998-05-11	PRIJEM	PREVOD Z UCTU	41900	66992	\N	GH	98983895
1425822	4858	1998-06-11	PRIJEM	PREVOD Z UCTU	62850	56197	\N	GH	98983895
1425823	4858	1998-07-11	PRIJEM	PREVOD Z UCTU	41900	42201	\N	GH	98983895
1425824	4858	1998-08-11	PRIJEM	PREVOD Z UCTU	41900	36125	\N	GH	98983895
1425825	4858	1998-09-11	PRIJEM	PREVOD Z UCTU	41900	35342	\N	GH	98983895
1425826	4858	1998-10-11	PRIJEM	PREVOD Z UCTU	41900	48222	\N	GH	98983895
1425827	4858	1998-11-11	PRIJEM	PREVOD Z UCTU	41900	50747	\N	GH	98983895
1425828	4858	1998-12-11	PRIJEM	PREVOD Z UCTU	62850	80041	\N	GH	98983895
1425839	4858	1997-11-07	VYDAJ	VYBER	5700	58671	\N	\N	0
1425840	4858	1997-12-05	VYDAJ	VYBER	8900	39743	\N	\N	0
1425841	4858	1998-01-03	VYDAJ	VYBER	10000	41003	\N	\N	0
1425842	4858	1998-02-17	VYDAJ	VYBER	6700	33914	\N	\N	0
1425843	4858	1998-03-08	VYDAJ	VYBER	10000	19025	\N	\N	0
1425844	4858	1998-03-30	VYDAJ	VYBER	6200	20725	\N	\N	0
1425845	4858	1998-05-11	VYDAJ	VYBER	7600	59392	\N	\N	0
1425846	4858	1998-06-21	VYDAJ	VYBER	7900	202	\N	\N	0
1425847	4858	1998-07-14	VYDAJ	VYBER	6600	35601	\N	\N	0
1425848	4858	1998-08-12	VYDAJ	VYBER	7000	9610	\N	\N	0
1425849	4858	1998-09-12	VYDAJ	PREVOD NA UCET	6983	13959	UVER	AB	67520165
1425850	4858	1998-10-12	VYDAJ	PREVOD NA UCET	6983	41239	UVER	AB	67520165
1425851	4858	1998-11-12	VYDAJ	PREVOD NA UCET	6983	43764	UVER	AB	67520165
1425852	4858	1998-12-12	VYDAJ	PREVOD NA UCET	6983	73057	UVER	AB	67520165
1425853	4858	1997-11-18	VYBER	VYBER	13234	65537	\N	\N	\N
1425856	4858	1998-04-12	VYBER	VYBER	9336	40696	\N	\N	\N
1425857	4858	1998-07-28	VYBER	VYBER	15311	1090	\N	\N	\N
1425858	4858	1998-06-01	VYBER	VYBER	15836	-6653	\N	\N	\N
1425859	4858	1998-04-02	VYBER	VYBER	12823	8132	\N	\N	\N
1425860	4858	1998-08-11	VYBER	VYBER	19515	16610	\N	\N	\N
1425861	4858	1998-11-27	VYBER	VYBER	4528	17036	\N	\N	\N
1425862	4858	1998-08-20	VYBER	VYBER	9194	-6484	\N	\N	\N
1425863	4858	1998-02-08	VYBER	VYBER	7692	18814	\N	\N	\N
1425864	4858	1998-02-27	VYBER	VYBER	5162	28752	\N	\N	\N
1425865	4858	1998-06-19	VYBER	VYBER	23795	8102	\N	\N	\N
1425866	4858	1998-05-18	VYBER	VYBER	23598	8994	\N	\N	\N
1425868	4858	1997-12-09	VYDAJ	VYBER	5700	34043	\N	\N	\N
1425869	4858	1998-12-30	VYDAJ	VYBER	7800	32857	\N	\N	\N
1425876	4858	1998-01-25	VYDAJ	VYBER	6000	43203	\N	\N	\N
1425877	4858	1998-01-13	VYDAJ	VYBER	2700	80203	\N	\N	\N
1425878	4858	1998-01-25	VYDAJ	VYBER	3000	40203	\N	\N	\N
1425879	4858	1998-01-26	VYDAJ	VYBER	1500	33603	\N	\N	\N
1425880	4858	1998-01-25	VYDAJ	VYBER	5100	35103	\N	\N	\N
1425881	4858	1998-01-27	VYDAJ	VYBER	7500	26103	\N	\N	\N
1425885	4858	1997-12-30	VYDAJ	VYBER	11400	50493	\N	\N	\N
1425886	4858	1998-09-11	VYDAJ	VYBER	14400	20942	\N	\N	\N
1425887	4858	1998-08-08	VYDAJ	VYBER	6900	-5775	\N	\N	\N
1425888	4858	1998-03-09	VYDAJ	VYBER	11700	7325	\N	\N	\N
1425889	4858	1998-11-01	VYDAJ	VYBER	11400	8847	\N	\N	\N
1425901	4858	1997-11-30	VYDAJ	VYBER	15	48643	SLUZBY	\N	\N
1425902	4858	1997-12-31	VYDAJ	VYBER	15	51003	SLUZBY	\N	\N
1425903	4858	1998-01-31	VYDAJ	VYBER	15	26506	SLUZBY	\N	\N
1425904	4858	1998-02-28	VYDAJ	VYBER	15	29025	SLUZBY	\N	\N
1425905	4858	1998-03-31	VYDAJ	VYBER	15	20955	SLUZBY	\N	\N
1425906	4858	1998-04-30	VYDAJ	VYBER	15	25092	SLUZBY	\N	\N
1425907	4858	1998-05-31	VYDAJ	VYBER	15	9183	SLUZBY	\N	\N
1425908	4858	1998-06-30	VYDAJ	VYBER	15	301	SLUZBY	\N	\N
1425909	4858	1998-07-31	VYDAJ	VYBER	15	1140	SLUZBY	\N	\N
1425910	4858	1998-08-31	VYDAJ	VYBER	15	-6522	SLUZBY	\N	\N
1425911	4858	1998-09-30	VYDAJ	VYBER	15	6322	SLUZBY	\N	\N
1425912	4858	1998-10-31	VYDAJ	VYBER	15	20247	SLUZBY	\N	\N
1425913	4858	1998-11-30	VYDAJ	VYBER	15	17191	SLUZBY	\N	\N
1425914	4858	1997-07-21	VYDAJ	VYBER	8300	34200	\N	\N	\N
1425915	4858	1997-08-20	VYDAJ	VYBER	25300	50901	\N	\N	\N
1425916	4858	1997-09-19	VYDAJ	VYBER	37400	55740	\N	\N	\N
1425917	4858	1997-10-19	VYDAJ	VYBER	34200	63880	\N	\N	\N
1425918	4858	1997-11-11	VYDAJ	VYBER	21800	78771	\N	\N	\N
1425919	4858	1997-11-18	VYDAJ	VYBER	17400	48137	\N	\N	\N
1425920	4858	1997-12-18	VYDAJ	VYBER	35000	61893	\N	\N	\N
1425921	4858	1998-01-17	VYDAJ	VYBER	31000	49203	\N	\N	\N
1425922	4858	1998-02-16	VYDAJ	VYBER	20100	40614	\N	\N	\N
1425923	4858	1998-03-18	VYDAJ	VYBER	22300	26925	\N	\N	\N
1425924	4858	1998-04-17	VYDAJ	VYBER	15800	24896	\N	\N	\N
1425925	4858	1998-05-17	VYDAJ	VYBER	26800	32592	\N	\N	\N
1425926	4858	1998-06-16	VYDAJ	VYBER	24300	31897	\N	\N	\N
1425927	4858	1998-07-16	VYDAJ	VYBER	19200	16401	\N	\N	\N
1425928	4858	1998-08-15	VYDAJ	VYBER	6900	2710	\N	\N	\N
1425929	4858	1998-09-14	VYDAJ	VYBER	7600	6359	\N	\N	\N
1425930	4858	1998-10-14	VYDAJ	VYBER	21100	20139	\N	\N	\N
1425931	4858	1998-11-13	VYDAJ	VYBER	22200	21564	\N	\N	\N
1425932	4858	1998-12-13	VYDAJ	VYBER	32400	40657	\N	\N	\N
1427118	4863	1996-03-12	PRIJEM	VKLAD	300	300	\N	\N	\N
1427122	4863	1996-04-09	PRIJEM	PREVOD Z UCTU	38042	38342	\N	EF	13974267
1427123	4863	1996-05-09	PRIJEM	PREVOD Z UCTU	38042	69972	\N	EF	13974267
1427124	4863	1996-06-09	PRIJEM	PREVOD Z UCTU	57063	103810	\N	EF	13974267
1427125	4863	1996-07-09	PRIJEM	PREVOD Z UCTU	38042	103199	\N	EF	13974267
1427126	4863	1996-08-09	PRIJEM	PREVOD Z UCTU	38042	85364	\N	EF	13974267
1427127	4863	1996-09-09	PRIJEM	PREVOD Z UCTU	38042	69131	\N	EF	13974267
1427128	4863	1996-10-09	PRIJEM	PREVOD Z UCTU	38042	66836	\N	EF	13974267
1427129	4863	1996-11-09	PRIJEM	PREVOD Z UCTU	38042	57885	\N	EF	13974267
1427130	4863	1996-12-09	PRIJEM	PREVOD Z UCTU	57063	89702	\N	EF	13974267
1427131	4863	1997-01-09	PRIJEM	PREVOD Z UCTU	38042	66260	\N	EF	13974267
1427132	4863	1997-02-09	PRIJEM	PREVOD Z UCTU	38042	67273	\N	EF	13974267
1427133	4863	1997-03-09	PRIJEM	PREVOD Z UCTU	38042	80260	\N	EF	13974267
1427134	4863	1997-04-09	PRIJEM	PREVOD Z UCTU	38042	77813	\N	EF	13974267
1427135	4863	1997-05-09	PRIJEM	PREVOD Z UCTU	38042	69925	\N	EF	13974267
1427136	4863	1997-06-09	PRIJEM	PREVOD Z UCTU	57063	103111	\N	EF	13974267
1427137	4863	1997-07-09	PRIJEM	PREVOD Z UCTU	38042	95397	\N	EF	13974267
1427138	4863	1997-08-09	PRIJEM	PREVOD Z UCTU	38042	90495	\N	EF	13974267
1427139	4863	1997-09-09	PRIJEM	PREVOD Z UCTU	38042	84493	\N	EF	13974267
1427140	4863	1997-10-09	PRIJEM	PREVOD Z UCTU	38042	68891	\N	EF	13974267
1427141	4863	1997-11-09	PRIJEM	PREVOD Z UCTU	38042	76555	\N	EF	13974267
1427142	4863	1997-12-09	PRIJEM	PREVOD Z UCTU	57063	98000	\N	EF	13974267
1427143	4863	1998-01-09	PRIJEM	PREVOD Z UCTU	38042	78365	\N	EF	13974267
1427144	4863	1998-02-09	PRIJEM	PREVOD Z UCTU	38042	73238	\N	EF	13974267
1427145	4863	1998-03-09	PRIJEM	PREVOD Z UCTU	38042	88801	\N	EF	13974267
1427146	4863	1998-04-09	PRIJEM	PREVOD Z UCTU	38042	69060	\N	EF	13974267
1427147	4863	1998-05-09	PRIJEM	PREVOD Z UCTU	38042	77606	\N	EF	13974267
1427148	4863	1998-06-09	PRIJEM	PREVOD Z UCTU	57063	105699	\N	EF	13974267
1427149	4863	1998-07-09	PRIJEM	PREVOD Z UCTU	38042	82652	\N	EF	13974267
1427150	4863	1998-08-09	PRIJEM	PREVOD Z UCTU	38042	98638	\N	EF	13974267
1427151	4863	1998-09-09	PRIJEM	PREVOD Z UCTU	38042	105254	\N	EF	13974267
1427152	4863	1998-10-09	PRIJEM	PREVOD Z UCTU	38042	102274	\N	EF	13974267
1427153	4863	1998-11-09	PRIJEM	PREVOD Z UCTU	38042	86512	\N	EF	13974267
1427154	4863	1998-12-09	PRIJEM	PREVOD Z UCTU	57063	89529	\N	EF	13974267
1427162	4863	1996-08-16	VYDAJ	VYBER	6600	36728	\N	\N	0
1427163	4863	1996-09-10	VYDAJ	VYBER	5600	63531	\N	\N	0
1427164	4863	1996-10-10	VYDAJ	VYBER	7400	59436	\N	\N	0
1427165	4863	1996-11-10	VYDAJ	VYBER	4500	53385	\N	\N	0
1427166	4863	1996-12-11	VYDAJ	VYBER	5500	84202	\N	\N	0
1427167	4863	1997-01-05	VYDAJ	VYBER	3900	66118	\N	\N	0
1427168	4863	1997-02-10	VYDAJ	VYBER	5200	62073	\N	\N	0
1427169	4863	1997-03-20	VYDAJ	VYBER	8700	62224	\N	\N	0
1427170	4863	1997-04-12	VYDAJ	PREVOD NA UCET	6340	71472	UVER	MN	69927233
1427171	4863	1997-05-12	VYDAJ	PREVOD NA UCET	6340	63585	UVER	MN	69927233
1427172	4863	1997-06-12	VYDAJ	PREVOD NA UCET	6340	90735	UVER	MN	69927233
1427173	4863	1997-07-12	VYDAJ	PREVOD NA UCET	6340	83020	UVER	MN	69927233
1427174	4863	1997-08-12	VYDAJ	PREVOD NA UCET	6340	84155	UVER	MN	69927233
1427175	4863	1997-09-12	VYDAJ	PREVOD NA UCET	6340	72117	UVER	MN	69927233
1427176	4863	1997-10-12	VYDAJ	PREVOD NA UCET	6340	56515	UVER	MN	69927233
1427177	4863	1997-11-12	VYDAJ	PREVOD NA UCET	6340	58371	UVER	MN	69927233
1427178	4863	1997-12-12	VYDAJ	PREVOD NA UCET	6340	91660	UVER	MN	69927233
1427179	4863	1998-01-12	VYDAJ	PREVOD NA UCET	6340	69925	UVER	MN	69927233
1427180	4863	1998-02-12	VYDAJ	PREVOD NA UCET	6340	60862	UVER	MN	69927233
1427181	4863	1998-03-12	VYDAJ	PREVOD NA UCET	6340	76425	UVER	MN	69927233
1427182	4863	1998-04-13	VYDAJ	VYBER	8000	55024	\N	\N	0
1427183	4863	1998-05-18	VYDAJ	VYBER	7500	60770	\N	\N	0
1427184	4863	1998-06-14	VYDAJ	VYBER	6200	93463	\N	\N	0
1427185	4863	1998-06-23	VYDAJ	VYBER	5300	84863	\N	\N	0
1427186	4863	1998-08-09	VYDAJ	VYBER	4000	94638	\N	\N	0
1427187	4863	1998-09-10	VYDAJ	VYBER	4600	100654	\N	\N	0
1427188	4863	1998-10-16	VYDAJ	VYBER	5200	81438	\N	\N	0
1427189	4863	1998-11-14	VYDAJ	VYBER	7800	46114	\N	\N	0
1427190	4863	1998-12-08	VYDAJ	VYBER	4600	32466	\N	\N	0
1427198	4863	1996-08-14	VYDAJ	PREVOD NA UCET	3300	43328	SIPO	OP	70381557
1427199	4863	1996-09-14	VYDAJ	PREVOD NA UCET	3300	54195	SIPO	OP	70381557
1427200	4863	1996-10-14	VYDAJ	PREVOD NA UCET	3300	44700	SIPO	OP	70381557
1427201	4863	1996-11-14	VYDAJ	PREVOD NA UCET	3300	44049	SIPO	OP	70381557
1427202	4863	1996-12-14	VYDAJ	PREVOD NA UCET	3300	69766	SIPO	OP	70381557
1427203	4863	1997-01-14	VYDAJ	PREVOD NA UCET	3300	48824	SIPO	OP	70381557
1427204	4863	1997-02-14	VYDAJ	PREVOD NA UCET	3300	52737	SIPO	OP	70381557
1427205	4863	1997-03-14	VYDAJ	PREVOD NA UCET	3300	70924	SIPO	OP	70381557
1427206	4863	1997-04-14	VYDAJ	PREVOD NA UCET	3300	62136	SIPO	OP	70381557
1427207	4863	1997-05-14	VYDAJ	PREVOD NA UCET	3300	54249	SIPO	OP	70381557
1427208	4863	1997-06-14	VYDAJ	PREVOD NA UCET	3300	87435	SIPO	OP	70381557
1427209	4863	1997-07-14	VYDAJ	PREVOD NA UCET	3300	79720	SIPO	OP	70381557
1427210	4863	1997-08-14	VYDAJ	PREVOD NA UCET	3300	74819	SIPO	OP	70381557
1427211	4863	1997-09-14	VYDAJ	PREVOD NA UCET	3300	68817	SIPO	OP	70381557
1427212	4863	1997-10-14	VYDAJ	PREVOD NA UCET	3300	53215	SIPO	OP	70381557
1427213	4863	1997-11-14	VYDAJ	PREVOD NA UCET	3300	49035	SIPO	OP	70381557
1427214	4863	1997-12-14	VYDAJ	PREVOD NA UCET	3300	82324	SIPO	OP	70381557
1427215	4863	1998-01-14	VYDAJ	PREVOD NA UCET	3300	60589	SIPO	OP	70381557
1427216	4863	1998-02-14	VYDAJ	PREVOD NA UCET	3300	57562	SIPO	OP	70381557
1427217	4863	1998-03-14	VYDAJ	PREVOD NA UCET	3300	73125	SIPO	OP	70381557
1427218	4863	1998-04-14	VYDAJ	PREVOD NA UCET	3300	39380	SIPO	OP	70381557
1427219	4863	1998-05-14	VYDAJ	PREVOD NA UCET	3300	68270	SIPO	OP	70381557
1427220	4863	1998-06-14	VYDAJ	PREVOD NA UCET	3300	90163	SIPO	OP	70381557
1427221	4863	1998-07-14	VYDAJ	PREVOD NA UCET	3300	73316	SIPO	OP	70381557
1427222	4863	1998-08-14	VYDAJ	PREVOD NA UCET	3300	85302	SIPO	OP	70381557
1427223	4863	1998-09-14	VYDAJ	PREVOD NA UCET	3300	91318	SIPO	OP	70381557
1427224	4863	1998-10-14	VYDAJ	PREVOD NA UCET	3300	86638	SIPO	OP	70381557
1427225	4863	1998-11-14	VYDAJ	PREVOD NA UCET	3300	53914	SIPO	OP	70381557
1427226	4863	1998-12-14	VYDAJ	PREVOD NA UCET	3300	80193	SIPO	OP	70381557
1427234	4863	1996-08-12	VYDAJ	PREVOD NA UCET	6036	46628	 	QR	66434705
1427235	4863	1996-09-12	VYDAJ	PREVOD NA UCET	6036	57495	 	QR	66434705
1427236	4863	1996-10-12	VYDAJ	PREVOD NA UCET	6036	53400	 	QR	66434705
1427237	4863	1996-11-12	VYDAJ	PREVOD NA UCET	6036	47349	 	QR	66434705
1427238	4863	1996-12-12	VYDAJ	PREVOD NA UCET	6036	78166	 	QR	66434705
1427239	4863	1997-01-12	VYDAJ	PREVOD NA UCET	6036	52124	 	QR	66434705
1427240	4863	1997-02-12	VYDAJ	PREVOD NA UCET	6036	56037	 	QR	66434705
1427241	4863	1997-03-12	VYDAJ	PREVOD NA UCET	6036	74224	 	QR	66434705
1427242	4863	1997-04-12	VYDAJ	PREVOD NA UCET	6036	65436	 	QR	66434705
1427243	4863	1997-05-12	VYDAJ	PREVOD NA UCET	6036	57549	 	QR	66434705
1427244	4863	1997-06-12	VYDAJ	PREVOD NA UCET	6036	97075	 	QR	66434705
1427245	4863	1997-07-12	VYDAJ	PREVOD NA UCET	6036	89361	 	QR	66434705
1427246	4863	1997-08-12	VYDAJ	PREVOD NA UCET	6036	78119	 	QR	66434705
1427247	4863	1997-09-12	VYDAJ	PREVOD NA UCET	6036	78457	 	QR	66434705
1427248	4863	1997-10-12	VYDAJ	PREVOD NA UCET	6036	62855	 	QR	66434705
1427249	4863	1997-11-12	VYDAJ	PREVOD NA UCET	6036	52335	 	QR	66434705
1427250	4863	1997-12-12	VYDAJ	PREVOD NA UCET	6036	85624	 	QR	66434705
1427251	4863	1998-01-12	VYDAJ	PREVOD NA UCET	6036	63889	 	QR	66434705
1427252	4863	1998-02-12	VYDAJ	PREVOD NA UCET	6036	67202	 	QR	66434705
1427253	4863	1998-03-12	VYDAJ	PREVOD NA UCET	6036	82765	 	QR	66434705
1427254	4863	1998-04-12	VYDAJ	PREVOD NA UCET	6036	63024	 	QR	66434705
1427255	4863	1998-05-12	VYDAJ	PREVOD NA UCET	6036	71570	 	QR	66434705
1427256	4863	1998-06-12	VYDAJ	PREVOD NA UCET	6036	99663	 	QR	66434705
1427257	4863	1998-07-12	VYDAJ	PREVOD NA UCET	6036	76616	 	QR	66434705
1427258	4863	1998-08-12	VYDAJ	PREVOD NA UCET	6036	88602	 	QR	66434705
1427259	4863	1998-09-12	VYDAJ	PREVOD NA UCET	6036	94618	 	QR	66434705
1427260	4863	1998-10-12	VYDAJ	PREVOD NA UCET	6036	89938	 	QR	66434705
1427382	4863	1997-08-04	VYDAJ	VYBER	27600	52453	\N	\N	\N
1427261	4863	1998-11-12	VYDAJ	PREVOD NA UCET	6036	57214	 	QR	66434705
1427262	4863	1998-12-12	VYDAJ	PREVOD NA UCET	6036	83493	 	QR	66434705
1427263	4863	1996-11-19	VYBER	VYBER	2352	41697	\N	\N	\N
1427265	4863	1996-10-19	VYBER	VYBER	22994	21706	\N	\N	\N
1427267	4863	1996-09-16	VYBER	VYBER	10673	43522	\N	\N	\N
1427269	4863	1996-11-28	VYBER	VYBER	3802	37895	\N	\N	\N
1427272	4863	1997-08-31	VYBER	VYBER	12675	62466	\N	\N	\N
1427273	4863	1997-04-17	VYBER	VYBER	2325	59811	\N	\N	\N
1427274	4863	1997-04-19	VYBER	VYBER	23323	36488	\N	\N	\N
1427275	4863	1997-01-29	VYBER	VYBER	9177	26747	\N	\N	\N
1427278	4863	1997-09-28	VYBER	VYBER	7236	61581	\N	\N	\N
1427279	4863	1997-11-11	VYBER	VYBER	11844	64711	\N	\N	\N
1427280	4863	1998-09-18	VYBER	VYBER	8400	82918	\N	\N	\N
1427281	4863	1998-11-22	VYBER	VYBER	15346	30768	\N	\N	\N
1427282	4863	1998-11-09	VYBER	VYBER	23262	63250	\N	\N	\N
1427283	4863	1998-05-23	VYBER	VYBER	5639	55131	\N	\N	\N
1427284	4863	1998-04-05	VYBER	VYBER	24675	31018	\N	\N	\N
1427285	4863	1998-04-14	VYBER	VYBER	12344	42680	\N	\N	\N
1427286	4863	1998-11-03	VYBER	VYBER	7951	48470	\N	\N	\N
1427287	4863	1998-07-05	VYBER	VYBER	19152	44610	\N	\N	\N
1427293	4863	1998-01-01	VYDAJ	VYBER	21600	49623	\N	\N	\N
1427294	4863	1996-12-12	VYDAJ	VYBER	5100	73066	\N	\N	\N
1427295	4863	1997-12-30	VYDAJ	VYBER KARTOU	3300	79024	\N	\N	0
1427296	4863	1998-12-29	VYDAJ	VYBER KARTOU	1500	60593	\N	\N	0
1427303	4863	1997-01-06	VYDAJ	VYBER	7800	58318	\N	\N	\N
1427304	4863	1997-01-09	VYDAJ	VYBER	8100	58160	\N	\N	\N
1427305	4863	1997-01-18	VYDAJ	VYBER	4200	35924	\N	\N	\N
1427306	4863	1997-01-18	VYDAJ	VYBER	8700	40124	\N	\N	\N
1427307	4863	1997-01-08	VYDAJ	VYBER	5700	28218	\N	\N	\N
1427308	4863	1997-01-08	VYDAJ	VYBER	5700	33918	\N	\N	\N
1427309	4863	1998-01-09	VYDAJ	VYBER KARTOU	2100	76265	\N	\N	0
1427310	4863	1998-01-25	VYDAJ	VYBER KARTOU	2400	39589	\N	\N	0
1427311	4863	1998-01-24	VYDAJ	VYBER	7800	41989	\N	\N	\N
1427312	4863	1998-01-08	VYDAJ	VYBER KARTOU	2700	40323	\N	\N	0
1427313	4863	1998-01-06	VYDAJ	VYBER KARTOU	2700	43023	\N	\N	0
1427314	4863	1998-01-05	VYDAJ	VYBER KARTOU	3900	45723	\N	\N	0
1427315	4863	1996-10-14	VYDAJ	VYBER	5400	48000	\N	\N	\N
1427317	4863	1996-09-27	VYDAJ	VYBER	4800	38722	\N	\N	\N
1427319	4863	1997-10-04	VYDAJ	VYBER	12900	30849	\N	\N	\N
1427320	4863	1997-11-08	VYDAJ	VYBER KARTOU	3300	38513	\N	\N	0
1427321	4863	1997-03-29	VYDAJ	VYBER	12000	50224	\N	\N	\N
1427322	4863	1997-09-29	VYDAJ	VYBER	7500	54081	\N	\N	\N
1427324	4863	1998-10-23	VYDAJ	VYBER	12300	66438	\N	\N	\N
1427325	4863	1998-03-17	VYDAJ	VYBER	6000	67125	\N	\N	\N
1427326	4863	1998-10-17	VYDAJ	VYBER KARTOU	2700	78738	\N	\N	0
1427327	4863	1998-10-10	VYDAJ	VYBER	6300	95974	\N	\N	\N
1427328	4863	1998-01-15	VYDAJ	VYBER	10800	49789	\N	\N	\N
1427337	4863	1996-08-31	VYDAJ	VYBER	15	36889	SLUZBY	\N	\N
1427338	4863	1996-09-30	VYDAJ	VYBER	15	38894	SLUZBY	\N	\N
1427339	4863	1996-10-31	VYDAJ	VYBER	15	21843	SLUZBY	\N	\N
1427340	4863	1996-11-30	VYDAJ	VYBER	15	38039	SLUZBY	\N	\N
1427341	4863	1996-12-31	VYDAJ	VYBER	15	70018	SLUZBY	\N	\N
1427342	4863	1997-01-31	VYDAJ	VYBER	15	26931	SLUZBY	\N	\N
1427343	4863	1997-02-28	VYDAJ	VYBER	15	52918	SLUZBY	\N	\N
1427344	4863	1997-03-31	VYDAJ	VYBER	15	50471	SLUZBY	\N	\N
1427345	4863	1997-04-30	VYDAJ	VYBER	15	36683	SLUZBY	\N	\N
1427346	4863	1997-05-31	VYDAJ	VYBER	15	54448	SLUZBY	\N	\N
1427347	4863	1997-06-30	VYDAJ	VYBER	15	87755	SLUZBY	\N	\N
1427348	4863	1997-07-31	VYDAJ	VYBER	15	80053	SLUZBY	\N	\N
1427349	4863	1997-08-31	VYDAJ	VYBER	15	62451	SLUZBY	\N	\N
1427350	4863	1997-09-30	VYDAJ	VYBER	15	54349	SLUZBY	\N	\N
1427351	4863	1997-10-31	VYDAJ	VYBER	15	53413	SLUZBY	\N	\N
1427352	4863	1997-11-30	VYDAJ	VYBER	15	49237	SLUZBY	\N	\N
1427353	4863	1997-12-31	VYDAJ	VYBER	15	79323	SLUZBY	\N	\N
1427354	4863	1998-01-31	VYDAJ	VYBER	15	39796	SLUZBY	\N	\N
1427355	4863	1998-02-28	VYDAJ	VYBER	15	57759	SLUZBY	\N	\N
1427356	4863	1998-03-31	VYDAJ	VYBER	15	67393	SLUZBY	\N	\N
1427357	4863	1998-04-30	VYDAJ	VYBER	15	39564	SLUZBY	\N	\N
1427358	4863	1998-05-31	VYDAJ	VYBER	15	55336	SLUZBY	\N	\N
1427359	4863	1998-06-30	VYDAJ	VYBER	15	63762	SLUZBY	\N	\N
1427360	4863	1998-07-31	VYDAJ	VYBER	15	60596	SLUZBY	\N	\N
1427361	4863	1998-08-31	VYDAJ	VYBER	15	67212	SLUZBY	\N	\N
1427362	4863	1998-09-30	VYDAJ	VYBER	15	64232	SLUZBY	\N	\N
1427363	4863	1998-10-31	VYDAJ	VYBER	15	56421	SLUZBY	\N	\N
1427364	4863	1998-11-30	VYDAJ	VYBER	15	37066	SLUZBY	\N	\N
1427365	4863	1996-04-11	VYDAJ	VYBER	6500	31842	\N	\N	\N
1427366	4863	1996-05-11	VYDAJ	VYBER	23400	46572	\N	\N	\N
1427367	4863	1996-06-10	VYDAJ	VYBER	38900	64910	\N	\N	\N
1427368	4863	1996-07-09	VYDAJ	VYBER	35500	67699	\N	\N	\N
1427369	4863	1996-07-10	VYDAJ	VYBER	20600	47099	\N	\N	\N
1427370	4863	1996-08-09	VYDAJ	VYBER	32700	52664	\N	\N	\N
1427371	4863	1996-09-08	VYDAJ	VYBER	5800	31089	\N	\N	\N
1427372	4863	1996-10-08	VYDAJ	VYBER	10100	28794	\N	\N	\N
1427373	4863	1996-11-07	VYDAJ	VYBER KARTOU	2000	19843	\N	\N	0
1427374	4863	1996-12-07	VYDAJ	VYBER	5400	32639	\N	\N	\N
1427375	4863	1997-01-06	VYDAJ	VYBER	18700	39618	\N	\N	\N
1427376	4863	1997-02-05	PRIJEM	VKLAD	2300	29231	\N	\N	\N
1427377	4863	1997-03-07	VYDAJ	VYBER	10700	42218	\N	\N	\N
1427378	4863	1997-04-06	VYDAJ	VYBER	10700	39771	\N	\N	\N
1427379	4863	1997-05-06	VYDAJ	VYBER	4800	31883	\N	\N	\N
1427380	4863	1997-06-05	VYDAJ	VYBER	8400	46048	\N	\N	\N
1427381	4863	1997-07-05	VYDAJ	VYBER	30400	57355	\N	\N	\N
1427383	4863	1997-09-03	VYDAJ	VYBER	16000	46451	\N	\N	\N
1427384	4863	1997-10-03	VYDAJ	VYBER	10600	43749	\N	\N	\N
1427385	4863	1997-11-02	VYDAJ	VYBER	11600	41813	\N	\N	\N
1427386	4863	1997-12-02	VYDAJ	VYBER	8300	40937	\N	\N	\N
1427387	4863	1998-01-01	VYDAJ	VYBER	8100	71223	\N	\N	\N
1427388	4863	1998-01-31	VYDAJ	VYBER	4600	35196	\N	\N	\N
1427389	4863	1998-03-02	VYDAJ	VYBER	7000	50759	\N	\N	\N
1427390	4863	1998-04-01	VYDAJ	VYBER	11700	55693	\N	\N	\N
1427391	4863	1998-05-31	VYDAJ	VYBER	6700	48636	\N	\N	\N
1427392	4863	1998-06-30	VYDAJ	VYBER	21400	63777	\N	\N	\N
1427393	4863	1998-07-30	VYDAJ	VYBER	13000	60316	\N	\N	\N
1427394	4863	1998-08-29	VYDAJ	VYBER	18400	66902	\N	\N	\N
1427395	4863	1998-09-28	VYDAJ	VYBER	19000	63918	\N	\N	\N
1427396	4863	1998-10-28	VYDAJ	VYBER	10300	56138	\N	\N	\N
1427397	4863	1998-11-27	PRIJEM	VKLAD	6100	36868	\N	\N	\N
1427398	4863	1998-12-27	VYDAJ	VYBER	18100	62093	\N	\N	\N
1436752	4894	1993-06-20	PRIJEM	VKLAD	800	800	\N	\N	\N
1436759	4894	1993-07-12	PRIJEM	PREVOD Z UCTU	29255	30055	\N	MN	69885569
1436760	4894	1993-08-12	PRIJEM	PREVOD Z UCTU	29255	57255	\N	MN	69885569
1436761	4894	1993-09-12	PRIJEM	PREVOD Z UCTU	29255	69949	\N	MN	69885569
1436762	4894	1993-10-12	PRIJEM	PREVOD Z UCTU	29255	76985	\N	MN	69885569
1436763	4894	1993-11-12	PRIJEM	PREVOD Z UCTU	29255	82449	\N	MN	69885569
1436764	4894	1993-12-12	PRIJEM	PREVOD Z UCTU	43882	68079	\N	MN	69885569
1436765	4894	1994-01-12	PRIJEM	PREVOD Z UCTU	29255	48839	\N	MN	69885569
1436766	4894	1994-02-12	PRIJEM	PREVOD Z UCTU	29255	49751	\N	MN	69885569
1436767	4894	1994-03-12	PRIJEM	PREVOD Z UCTU	29255	65547	\N	MN	69885569
1436768	4894	1994-04-12	PRIJEM	PREVOD Z UCTU	29255	70592	\N	MN	69885569
1436769	4894	1994-05-12	PRIJEM	PREVOD Z UCTU	29255	73250	\N	MN	69885569
1436770	4894	1994-06-12	PRIJEM	PREVOD Z UCTU	43882	92751	\N	MN	69885569
1436771	4894	1994-07-12	PRIJEM	PREVOD Z UCTU	29255	52614	\N	MN	69885569
1436772	4894	1994-08-12	PRIJEM	PREVOD Z UCTU	29255	59499	\N	MN	69885569
1436773	4894	1994-09-12	PRIJEM	PREVOD Z UCTU	29255	49525	\N	MN	69885569
1436774	4894	1994-10-12	PRIJEM	PREVOD Z UCTU	29255	64123	\N	MN	69885569
1436775	4894	1994-11-12	PRIJEM	PREVOD Z UCTU	29255	76166	\N	MN	69885569
1436776	4894	1994-12-12	PRIJEM	PREVOD Z UCTU	43882	95765	\N	MN	69885569
1436777	4894	1995-01-12	PRIJEM	PREVOD Z UCTU	29255	67351	\N	MN	69885569
1436778	4894	1995-02-12	PRIJEM	PREVOD Z UCTU	29255	57173	\N	MN	69885569
1436779	4894	1995-03-12	PRIJEM	PREVOD Z UCTU	29255	81712	\N	MN	69885569
1436780	4894	1995-04-12	PRIJEM	PREVOD Z UCTU	29255	57351	\N	MN	69885569
1436781	4894	1995-05-12	PRIJEM	PREVOD Z UCTU	29255	55603	\N	MN	69885569
1436782	4894	1995-06-12	PRIJEM	PREVOD Z UCTU	43882	71789	\N	MN	69885569
1436783	4894	1995-07-12	PRIJEM	PREVOD Z UCTU	29255	74801	\N	MN	69885569
1436784	4894	1995-08-12	PRIJEM	PREVOD Z UCTU	29255	79252	\N	MN	69885569
1436785	4894	1995-09-12	PRIJEM	PREVOD Z UCTU	29255	83132	\N	MN	69885569
1436786	4894	1995-10-12	PRIJEM	PREVOD Z UCTU	29255	83817	\N	MN	69885569
1436787	4894	1995-11-12	PRIJEM	PREVOD Z UCTU	29255	86196	\N	MN	69885569
1436788	4894	1995-12-12	PRIJEM	PREVOD Z UCTU	43882	94700	\N	MN	69885569
1436789	4894	1996-01-12	PRIJEM	PREVOD Z UCTU	29255	78258	\N	MN	69885569
1436790	4894	1996-02-12	PRIJEM	PREVOD Z UCTU	29255	65947	\N	MN	69885569
1436791	4894	1996-03-12	PRIJEM	PREVOD Z UCTU	29255	75695	\N	MN	69885569
1436792	4894	1996-04-12	PRIJEM	PREVOD Z UCTU	29255	62816	\N	MN	69885569
1436793	4894	1996-05-12	PRIJEM	PREVOD Z UCTU	29255	73863	\N	MN	69885569
1436794	4894	1996-06-12	PRIJEM	PREVOD Z UCTU	43882	81368	\N	MN	69885569
1436795	4894	1996-07-12	PRIJEM	PREVOD Z UCTU	29255	74677	\N	MN	69885569
1436796	4894	1996-08-12	PRIJEM	PREVOD Z UCTU	29255	78093	\N	MN	69885569
1436797	4894	1996-09-12	PRIJEM	PREVOD Z UCTU	29255	72650	\N	MN	69885569
1436798	4894	1996-10-12	PRIJEM	PREVOD Z UCTU	29255	86548	\N	MN	69885569
1436799	4894	1996-11-12	PRIJEM	PREVOD Z UCTU	29255	85206	\N	MN	69885569
1436800	4894	1996-12-12	PRIJEM	PREVOD Z UCTU	43882	93794	\N	MN	69885569
1436801	4894	1997-01-12	PRIJEM	PREVOD Z UCTU	29255	63576	\N	MN	69885569
1436802	4894	1997-02-12	PRIJEM	PREVOD Z UCTU	29255	66828	\N	MN	69885569
1436803	4894	1997-03-12	PRIJEM	PREVOD Z UCTU	29255	69888	\N	MN	69885569
1436804	4894	1997-04-12	PRIJEM	PREVOD Z UCTU	29255	78850	\N	MN	69885569
1436805	4894	1997-05-12	PRIJEM	PREVOD Z UCTU	29255	74782	\N	MN	69885569
1436806	4894	1997-06-12	PRIJEM	PREVOD Z UCTU	43882	104705	\N	MN	69885569
1436807	4894	1997-07-12	PRIJEM	PREVOD Z UCTU	29255	103661	\N	MN	69885569
1436808	4894	1997-08-12	PRIJEM	PREVOD Z UCTU	29255	108386	\N	MN	69885569
1436809	4894	1997-09-12	PRIJEM	PREVOD Z UCTU	29255	99167	\N	MN	69885569
1436810	4894	1997-10-12	PRIJEM	PREVOD Z UCTU	29255	104323	\N	MN	69885569
1436811	4894	1997-11-12	PRIJEM	PREVOD Z UCTU	29255	105269	\N	MN	69885569
1436812	4894	1997-12-12	PRIJEM	PREVOD Z UCTU	43882	124475	\N	MN	69885569
1436813	4894	1998-01-12	PRIJEM	PREVOD Z UCTU	29255	66523	\N	MN	69885569
1436814	4894	1998-02-12	PRIJEM	PREVOD Z UCTU	29255	84073	\N	MN	69885569
1436815	4894	1998-03-12	PRIJEM	PREVOD Z UCTU	29255	100293	\N	MN	69885569
1436916	4894	1997-10-23	VYBER	VYBER	15852	83471	\N	\N	\N
1436816	4894	1998-04-12	PRIJEM	PREVOD Z UCTU	29255	117701	\N	MN	69885569
1436817	4894	1998-05-12	PRIJEM	PREVOD Z UCTU	29255	113228	\N	MN	69885569
1436818	4894	1998-06-12	PRIJEM	PREVOD Z UCTU	43882	135209	\N	MN	69885569
1436819	4894	1998-07-12	PRIJEM	PREVOD Z UCTU	29255	95203	\N	MN	69885569
1436820	4894	1998-08-12	PRIJEM	PREVOD Z UCTU	29255	115464	\N	MN	69885569
1436821	4894	1998-09-12	PRIJEM	PREVOD Z UCTU	29255	114394	\N	MN	69885569
1436822	4894	1998-10-12	PRIJEM	PREVOD Z UCTU	29255	111834	\N	MN	69885569
1436823	4894	1998-11-12	PRIJEM	PREVOD Z UCTU	29255	111347	\N	MN	69885569
1436824	4894	1998-12-12	PRIJEM	PREVOD Z UCTU	43882	123767	\N	MN	69885569
1436835	4894	1993-11-12	VYDAJ	PREVOD NA UCET	4876	77573	UVER	ST	81512897
1436836	4894	1993-12-12	VYDAJ	PREVOD NA UCET	4876	63203	UVER	ST	81512897
1436837	4894	1994-01-12	VYDAJ	PREVOD NA UCET	4876	40364	UVER	ST	81512897
1436838	4894	1994-02-12	VYDAJ	PREVOD NA UCET	4876	44876	UVER	ST	81512897
1436839	4894	1994-03-12	VYDAJ	PREVOD NA UCET	4876	60671	UVER	ST	81512897
1436840	4894	1994-04-12	VYDAJ	PREVOD NA UCET	4876	65716	UVER	ST	81512897
1436841	4894	1994-05-12	VYDAJ	PREVOD NA UCET	4876	68374	UVER	ST	81512897
1436842	4894	1994-06-12	VYDAJ	PREVOD NA UCET	4876	87875	UVER	ST	81512897
1436843	4894	1994-07-12	VYDAJ	PREVOD NA UCET	4876	47739	UVER	ST	81512897
1436844	4894	1994-08-12	VYDAJ	PREVOD NA UCET	4876	54623	UVER	ST	81512897
1436845	4894	1994-09-12	VYDAJ	PREVOD NA UCET	4876	44649	UVER	ST	81512897
1436846	4894	1994-10-12	VYDAJ	PREVOD NA UCET	4876	59247	UVER	ST	81512897
1436847	4894	1994-11-12	VYDAJ	PREVOD NA UCET	4876	51690	UVER	ST	81512897
1436848	4894	1994-12-12	VYDAJ	PREVOD NA UCET	4876	59589	UVER	ST	81512897
1436849	4894	1995-01-12	VYDAJ	PREVOD NA UCET	4876	62475	UVER	ST	81512897
1436850	4894	1995-02-12	VYDAJ	PREVOD NA UCET	4876	52297	UVER	ST	81512897
1436851	4894	1995-03-12	VYDAJ	PREVOD NA UCET	4876	76836	UVER	ST	81512897
1436852	4894	1995-04-12	VYDAJ	PREVOD NA UCET	4876	52475	UVER	ST	81512897
1436853	4894	1995-05-12	VYDAJ	PREVOD NA UCET	4876	50727	UVER	ST	81512897
1436854	4894	1995-06-12	VYDAJ	PREVOD NA UCET	4876	66913	UVER	ST	81512897
1436855	4894	1995-07-12	VYDAJ	PREVOD NA UCET	4876	69925	UVER	ST	81512897
1436856	4894	1995-08-12	VYDAJ	PREVOD NA UCET	4876	74376	UVER	ST	81512897
1436857	4894	1995-09-12	VYDAJ	PREVOD NA UCET	4876	78257	UVER	ST	81512897
1436858	4894	1995-10-12	VYDAJ	PREVOD NA UCET	4876	78941	UVER	ST	81512897
1436859	4894	1995-11-17	VYDAJ	VYBER	3200	82996	\N	\N	0
1436860	4894	1995-12-25	VYDAJ	VYBER	6800	63918	\N	\N	0
1436861	4894	1996-01-24	VYDAJ	VYBER	5300	44458	\N	\N	0
1436862	4894	1996-02-07	VYDAJ	VYBER	3600	36692	\N	\N	0
1436863	4894	1996-03-16	VYDAJ	VYBER	3700	62916	\N	\N	0
1436864	4894	1996-04-03	VYDAJ	VYBER	4700	49061	\N	\N	0
1436865	4894	1996-05-08	VYDAJ	VYBER	3300	44608	\N	\N	0
1436866	4894	1996-06-02	VYDAJ	VYBER	6200	42686	\N	\N	0
1436867	4894	1996-07-03	VYDAJ	VYBER	6100	63822	\N	\N	0
1436868	4894	1996-08-04	VYDAJ	VYBER	4800	48838	\N	\N	0
1436869	4894	1996-09-15	VYDAJ	VYBER	4100	68550	\N	\N	0
1436870	4894	1996-10-15	VYDAJ	VYBER	6600	79948	\N	\N	0
1436871	4894	1996-11-09	VYDAJ	VYBER	6100	55951	\N	\N	0
1436872	4894	1996-12-29	VYDAJ	VYBER	3800	89994	\N	\N	0
1436873	4894	1997-01-07	VYDAJ	VYBER	4000	36721	\N	\N	0
1436874	4894	1997-02-15	VYDAJ	VYBER	3500	63328	\N	\N	0
1436875	4894	1997-03-19	VYDAJ	VYBER	4400	65488	\N	\N	0
1436876	4894	1997-04-10	VYDAJ	VYBER	4200	49595	\N	\N	0
1436877	4894	1997-05-03	VYDAJ	VYBER	4100	61118	\N	\N	0
1436878	4894	1997-06-18	VYDAJ	VYBER	4000	100705	\N	\N	0
1436879	4894	1997-07-05	VYDAJ	VYBER	4800	74406	\N	\N	0
1436880	4894	1997-08-08	VYDAJ	VYBER	5200	79131	\N	\N	0
1436881	4894	1997-09-11	VYDAJ	VYBER	3200	69912	\N	\N	0
1436882	4894	1997-10-14	VYDAJ	VYBER	5000	99323	\N	\N	0
1436883	4894	1997-11-19	VYDAJ	VYBER	4400	100869	\N	\N	0
1436884	4894	1997-12-15	VYDAJ	VYBER	3800	63775	\N	\N	0
1436885	4894	1998-01-14	VYDAJ	VYBER	3500	48923	\N	\N	0
1436886	4894	1998-02-13	VYDAJ	VYBER	4200	79873	\N	\N	0
1436887	4894	1998-03-04	VYDAJ	VYBER	5600	71038	\N	\N	0
1436888	4894	1998-04-15	VYDAJ	VYBER	3800	103701	\N	\N	0
1436889	4894	1998-05-02	VYDAJ	VYBER	5600	83973	\N	\N	0
1436890	4894	1998-06-09	VYDAJ	VYBER	4300	91327	\N	\N	0
1436891	4894	1998-07-14	VYDAJ	VYBER	5600	89603	\N	\N	0
1436892	4894	1998-08-14	VYDAJ	VYBER	4800	110664	\N	\N	0
1436893	4894	1998-09-17	VYDAJ	VYBER	4400	109994	\N	\N	0
1436894	4894	1998-10-08	VYDAJ	VYBER	5500	82579	\N	\N	0
1436895	4894	1998-11-19	VYDAJ	VYBER	4700	106647	\N	\N	0
1436896	4894	1998-12-02	VYDAJ	VYBER	3500	88285	\N	\N	0
1436900	4894	1993-12-07	VYBER	VYBER	24498	24197	\N	\N	\N
1436902	4894	1995-04-08	VYBER	VYBER	10465	25696	\N	\N	\N
1436903	4894	1995-04-21	VYBER	VYBER	21035	31440	\N	\N	\N
1436904	4894	1995-12-14	VYBER	VYBER	15882	78818	\N	\N	\N
1436906	4894	1995-12-02	VYBER	VYBER	21805	61518	\N	\N	\N
1436908	4894	1995-05-05	VYBER	VYBER	10149	21448	\N	\N	\N
1436909	4894	1996-08-22	VYBER	VYBER	19546	58547	\N	\N	\N
1436910	4894	1996-11-13	VYBER	VYBER	10089	75117	\N	\N	\N
1436911	4894	1996-03-15	VYBER	VYBER	9079	66616	\N	\N	\N
1436912	4894	1996-03-28	VYBER	VYBER	9386	53530	\N	\N	\N
1436913	4894	1997-05-14	VYBER	VYBER	8315	66467	\N	\N	\N
1436914	4894	1997-05-11	VYBER	VYBER	15591	45527	\N	\N	\N
1436917	4894	1997-09-20	VYBER	VYBER	9833	89334	\N	\N	\N
1436918	4894	1997-01-06	VYBER	VYBER	10401	40721	\N	\N	\N
1436919	4894	1997-02-20	VYBER	VYBER	13700	49628	\N	\N	\N
1436920	4894	1997-02-23	VYBER	VYBER	15574	34054	\N	\N	\N
1436921	4894	1997-08-18	VYBER	VYBER	23521	84865	\N	\N	\N
1436923	4894	1994-06-22	VYDAJ	VYBER	35400	23175	\N	\N	\N
1436924	4894	1995-06-08	VYDAJ	VYBER	22800	28107	\N	\N	\N
1436927	4894	1998-06-18	VYDAJ	VYBER	35100	45609	\N	\N	\N
1436929	4894	1994-01-02	VYDAJ	VYBER	26400	19584	\N	\N	\N
1436930	4894	1995-01-12	VYDAJ	VYBER	12300	50175	\N	\N	\N
1436932	4894	1997-01-03	VYDAJ	VYBER	5400	59822	\N	\N	\N
1436933	4894	1998-01-13	VYDAJ	VYBER	14100	52423	\N	\N	\N
1436934	4894	1993-12-04	VYDAJ	VYBER	2400	48695	\N	\N	\N
1436935	4894	1994-12-18	VYDAJ	VYBER	8100	51489	\N	\N	\N
1436936	4894	1995-12-23	VYDAJ	VYBER	8100	70718	\N	\N	\N
1436937	4894	1996-12-08	VYDAJ	VYBER	6600	49912	\N	\N	\N
1436938	4894	1997-12-12	VYDAJ	VYBER	7200	117275	\N	\N	\N
1436939	4894	1998-12-10	VYDAJ	VYBER	8400	79885	\N	\N	\N
1436946	4894	1994-01-20	VYDAJ	VYBER	5700	25164	\N	\N	\N
1436947	4894	1994-01-12	VYDAJ	VYBER	3600	45239	\N	\N	\N
1436949	4894	1994-01-16	VYDAJ	VYBER	8100	30864	\N	\N	\N
1436951	4894	1994-01-22	VYDAJ	VYBER	4800	20364	\N	\N	\N
1436953	4894	1995-01-20	VYDAJ	VYBER	8400	27975	\N	\N	\N
1436954	4894	1995-01-05	VYDAJ	VYBER	8100	43596	\N	\N	\N
1436955	4894	1995-01-12	VYDAJ	VYBER	6600	43575	\N	\N	\N
1436956	4894	1995-01-21	VYDAJ	VYBER	2100	25875	\N	\N	\N
1436957	4894	1995-01-14	VYDAJ	VYBER	7200	36375	\N	\N	\N
1436958	4894	1996-01-20	VYDAJ	VYBER	4200	62958	\N	\N	\N
1436959	4894	1996-01-19	VYDAJ	VYBER	7500	67158	\N	\N	\N
1436960	4894	1996-01-09	VYDAJ	VYBER	1800	49003	\N	\N	\N
1436961	4894	1996-01-16	VYDAJ	VYBER	3600	74658	\N	\N	\N
1436962	4894	1996-01-24	VYDAJ	VYBER	7500	49758	\N	\N	\N
1436963	4894	1996-01-21	VYDAJ	VYBER	5700	57258	\N	\N	\N
1436964	4894	1997-01-15	VYDAJ	VYBER	6600	56976	\N	\N	\N
1436965	4894	1997-01-23	VYDAJ	VYBER	6600	48876	\N	\N	\N
1436966	4894	1997-01-08	VYDAJ	VYBER KARTOU	2400	34321	\N	\N	0
1436967	4894	1997-01-05	VYDAJ	VYBER KARTOU	2700	51122	\N	\N	0
1436968	4894	1997-01-04	VYDAJ	VYBER	6000	53822	\N	\N	\N
1436969	4894	1997-01-21	VYDAJ	VYBER KARTOU	1500	55476	\N	\N	0
1436970	4894	1998-01-05	VYDAJ	VYBER KARTOU	2700	56468	\N	\N	0
1436971	4894	1998-01-20	VYDAJ	VYBER KARTOU	1500	42023	\N	\N	0
1436972	4894	1998-01-18	VYDAJ	VYBER	5400	43523	\N	\N	\N
1436973	4894	1998-01-03	VYDAJ	VYBER	5100	59168	\N	\N	\N
1436974	4894	1998-01-10	VYDAJ	VYBER KARTOU	2400	45968	\N	\N	0
1436975	4894	1998-01-08	VYDAJ	VYBER	8100	48368	\N	\N	\N
1436980	4894	1994-09-01	VYDAJ	VYBER	11400	30470	\N	\N	\N
1436981	4894	1994-09-04	VYDAJ	VYBER	10200	20270	\N	\N	\N
1436982	4894	1994-07-13	VYDAJ	VYBER	12300	35439	\N	\N	\N
1436983	4894	1995-10-04	VYDAJ	VYBER	5100	73462	\N	\N	\N
1436984	4894	1995-04-10	VYDAJ	VYBER	1500	24196	\N	\N	\N
1436985	4894	1995-03-20	VYDAJ	VYBER	1500	49436	\N	\N	\N
1436986	4894	1995-04-06	VYDAJ	VYBER	13500	36161	\N	\N	\N
1436987	4894	1996-05-16	VYDAJ	VYBER	12300	61563	\N	\N	\N
1436988	4894	1996-06-05	VYDAJ	VYBER KARTOU	3300	37486	\N	\N	0
1436989	4894	1996-04-05	VYDAJ	VYBER	12600	36461	\N	\N	\N
1436990	4894	1996-02-17	VYDAJ	VYBER	14100	51847	\N	\N	\N
1436991	4894	1996-04-14	VYDAJ	VYBER	9600	53216	\N	\N	\N
1436992	4894	1996-08-30	VYDAJ	VYBER	8400	50147	\N	\N	\N
1436993	4894	1996-05-28	VYDAJ	VYBER	12900	48663	\N	\N	\N
1436994	4894	1996-06-27	VYDAJ	VYBER	11700	69668	\N	\N	\N
1436995	4894	1997-03-26	VYDAJ	VYBER	6600	58888	\N	\N	\N
1436996	4894	1997-11-21	VYDAJ	VYBER KARTOU	1500	99369	\N	\N	0
1436997	4894	1997-01-31	VYDAJ	VYBER	8700	37573	\N	\N	\N
1436998	4894	1997-04-26	VYDAJ	VYBER	4200	74650	\N	\N	\N
1437000	4894	1997-10-05	VYDAJ	VYBER	4800	75068	\N	\N	\N
1437001	4894	1998-09-21	VYDAJ	VYBER	11100	98894	\N	\N	\N
1437002	4894	1998-05-25	VYDAJ	VYBER	5700	95228	\N	\N	\N
1437003	4894	1998-01-10	VYDAJ	VYBER	8700	37268	\N	\N	\N
1437004	4894	1998-09-01	VYDAJ	VYBER	9000	85139	\N	\N	\N
1437005	4894	1998-10-14	VYDAJ	VYBER KARTOU	2700	109134	\N	\N	0
1437006	4894	1998-04-14	VYDAJ	VYBER	10200	107501	\N	\N	\N
1437007	4894	1998-10-18	VYDAJ	VYBER	12900	96234	\N	\N	\N
1437019	4894	1993-11-30	VYDAJ	VYBER	15	51095	SLUZBY	\N	\N
1437020	4894	1993-12-31	VYDAJ	VYBER	15	45984	SLUZBY	\N	\N
1437021	4894	1994-01-31	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
1437022	4894	1994-02-28	VYDAJ	VYBER	15	36292	SLUZBY	\N	\N
1437023	4894	1994-03-31	VYDAJ	VYBER	15	41337	SLUZBY	\N	\N
1437024	4894	1994-04-30	VYDAJ	VYBER	15	43995	SLUZBY	\N	\N
1437025	4894	1994-05-31	VYDAJ	VYBER	15	48869	SLUZBY	\N	\N
1437026	4894	1994-06-30	VYDAJ	VYBER	15	23359	SLUZBY	\N	\N
1437027	4894	1994-07-31	VYDAJ	VYBER	15	30244	SLUZBY	\N	\N
1437028	4894	1994-08-31	VYDAJ	VYBER	15	41870	SLUZBY	\N	\N
1437029	4894	1994-09-30	VYDAJ	VYBER	15	34868	SLUZBY	\N	\N
1437030	4894	1994-10-31	VYDAJ	VYBER	15	46911	SLUZBY	\N	\N
1437031	4894	1994-11-30	VYDAJ	VYBER	15	51883	SLUZBY	\N	\N
1437032	4894	1994-12-31	VYDAJ	VYBER	15	51696	SLUZBY	\N	\N
1437033	4894	1995-01-31	VYDAJ	VYBER	15	26018	SLUZBY	\N	\N
1437034	4894	1995-02-28	VYDAJ	VYBER	15	52457	SLUZBY	\N	\N
1437035	4894	1995-03-31	VYDAJ	VYBER	15	49661	SLUZBY	\N	\N
1437036	4894	1995-04-30	VYDAJ	VYBER	15	31597	SLUZBY	\N	\N
1437037	4894	1995-05-31	VYDAJ	VYBER	15	50907	SLUZBY	\N	\N
1437038	4894	1995-06-30	VYDAJ	VYBER	15	67146	SLUZBY	\N	\N
1437039	4894	1995-07-31	VYDAJ	VYBER	15	70197	SLUZBY	\N	\N
1437040	4894	1995-08-31	VYDAJ	VYBER	15	74677	SLUZBY	\N	\N
1437041	4894	1995-09-30	VYDAJ	VYBER	15	78562	SLUZBY	\N	\N
1437042	4894	1995-10-31	VYDAJ	VYBER	15	79241	SLUZBY	\N	\N
1437043	4894	1995-11-30	VYDAJ	VYBER	15	83323	SLUZBY	\N	\N
1437044	4894	1995-12-31	VYDAJ	VYBER	15	64203	SLUZBY	\N	\N
1437045	4894	1996-01-31	VYDAJ	VYBER	15	44692	SLUZBY	\N	\N
1437046	4894	1996-02-29	VYDAJ	VYBER	15	52040	SLUZBY	\N	\N
1437047	4894	1996-03-31	VYDAJ	VYBER	15	53761	SLUZBY	\N	\N
1437048	4894	1996-04-30	VYDAJ	VYBER	15	53408	SLUZBY	\N	\N
1437049	4894	1996-05-31	VYDAJ	VYBER	15	48886	SLUZBY	\N	\N
1437050	4894	1996-06-30	VYDAJ	VYBER	15	69922	SLUZBY	\N	\N
1437051	4894	1996-07-31	VYDAJ	VYBER	15	74938	SLUZBY	\N	\N
1437052	4894	1996-08-31	VYDAJ	VYBER	15	50395	SLUZBY	\N	\N
1437053	4894	1996-09-30	VYDAJ	VYBER	15	68793	SLUZBY	\N	\N
1437054	4894	1996-10-31	VYDAJ	VYBER	15	80251	SLUZBY	\N	\N
1437055	4894	1996-11-30	VYDAJ	VYBER	15	75412	SLUZBY	\N	\N
1437056	4894	1996-12-31	VYDAJ	VYBER	15	65222	SLUZBY	\N	\N
1437057	4894	1997-01-31	VYDAJ	VYBER	15	46273	SLUZBY	\N	\N
1437058	4894	1997-02-28	VYDAJ	VYBER	15	34233	SLUZBY	\N	\N
1437059	4894	1997-03-31	VYDAJ	VYBER	15	53795	SLUZBY	\N	\N
1437060	4894	1997-04-30	VYDAJ	VYBER	15	65218	SLUZBY	\N	\N
1437061	4894	1997-05-31	VYDAJ	VYBER	15	60823	SLUZBY	\N	\N
1437062	4894	1997-06-30	VYDAJ	VYBER	15	79206	SLUZBY	\N	\N
1437063	4894	1997-07-31	VYDAJ	VYBER	15	84331	SLUZBY	\N	\N
1437064	4894	1997-08-31	VYDAJ	VYBER	15	73112	SLUZBY	\N	\N
1437065	4894	1997-09-30	VYDAJ	VYBER	15	79868	SLUZBY	\N	\N
1437066	4894	1997-10-31	VYDAJ	VYBER	15	76014	SLUZBY	\N	\N
1437067	4894	1997-11-30	VYDAJ	VYBER	15	80593	SLUZBY	\N	\N
1437068	4894	1997-12-31	VYDAJ	VYBER	15	64268	SLUZBY	\N	\N
1437069	4894	1998-01-31	VYDAJ	VYBER	15	54818	SLUZBY	\N	\N
1437070	4894	1998-02-28	VYDAJ	VYBER	15	76638	SLUZBY	\N	\N
1437071	4894	1998-03-31	VYDAJ	VYBER	15	88446	SLUZBY	\N	\N
1437072	4894	1998-04-30	VYDAJ	VYBER	15	89573	SLUZBY	\N	\N
1437073	4894	1998-05-31	VYDAJ	VYBER	15	95627	SLUZBY	\N	\N
1437074	4894	1998-06-30	VYDAJ	VYBER	15	65948	SLUZBY	\N	\N
1437075	4894	1998-07-31	VYDAJ	VYBER	15	86209	SLUZBY	\N	\N
1437076	4894	1998-08-31	VYDAJ	VYBER	15	94139	SLUZBY	\N	\N
1437077	4894	1998-09-30	VYDAJ	VYBER	15	88079	SLUZBY	\N	\N
1437078	4894	1998-10-31	VYDAJ	VYBER	15	82092	SLUZBY	\N	\N
1437079	4894	1998-11-30	VYDAJ	VYBER	15	91785	SLUZBY	\N	\N
1437080	4894	1993-07-20	VYDAJ	VYBER	2100	27955	\N	\N	\N
1437081	4894	1993-08-19	VYDAJ	VYBER	16700	40555	\N	\N	\N
1437082	4894	1993-09-18	VYDAJ	VYBER	22400	47549	\N	\N	\N
1437083	4894	1993-10-18	VYDAJ	VYBER	24000	52985	\N	\N	\N
1437084	4894	1993-11-17	VYDAJ	VYBER	26700	50873	\N	\N	\N
1437085	4894	1993-12-17	VYDAJ	VYBER	17400	45803	\N	\N	\N
1437086	4894	1994-01-16	VYDAJ	VYBER	1400	38964	\N	\N	\N
1437087	4894	1994-02-15	VYDAJ	VYBER	8700	36176	\N	\N	\N
1437088	4894	1994-03-17	VYDAJ	VYBER	19500	41171	\N	\N	\N
1437089	4894	1994-04-16	VYDAJ	VYBER	21900	43816	\N	\N	\N
1437090	4894	1994-05-16	VYDAJ	VYBER	19700	48674	\N	\N	\N
1437091	4894	1994-06-15	VYDAJ	VYBER	29300	58575	\N	\N	\N
1437092	4894	1994-07-15	VYDAJ	VYBER	5300	30139	\N	\N	\N
1437093	4894	1994-08-14	VYDAJ	VYBER	12900	41723	\N	\N	\N
1437094	4894	1994-09-13	VYDAJ	VYBER	9900	34749	\N	\N	\N
1437095	4894	1994-10-13	VYDAJ	VYBER	12500	46747	\N	\N	\N
1437096	4894	1994-11-12	VYDAJ	VYBER	19600	56566	\N	\N	\N
1437097	4894	1994-12-12	VYDAJ	VYBER	31300	64465	\N	\N	\N
1437098	4894	1995-01-11	VYDAJ	VYBER	5500	38096	\N	\N	\N
1437099	4894	1995-02-10	PRIJEM	VKLAD	1900	27918	\N	\N	\N
1437100	4894	1995-03-12	VYDAJ	VYBER	25900	50936	\N	\N	\N
1437101	4894	1995-04-11	PRIJEM	VKLAD	3900	28096	\N	\N	\N
1437102	4894	1995-05-11	PRIJEM	VKLAD	4900	26348	\N	\N	\N
1437103	4894	1995-06-10	VYDAJ	VYBER	200	27907	\N	\N	\N
1437104	4894	1995-07-10	VYDAJ	VYBER	21600	45546	\N	\N	\N
1437105	4894	1995-08-09	VYDAJ	VYBER	20200	49997	\N	\N	\N
1437106	4894	1995-09-08	VYDAJ	VYBER	20800	53877	\N	\N	\N
1437107	4894	1995-10-08	VYDAJ	VYBER	18900	54562	\N	\N	\N
1437108	4894	1995-11-07	VYDAJ	VYBER	22300	56941	\N	\N	\N
1437109	4894	1995-12-07	VYDAJ	VYBER	10700	50818	\N	\N	\N
1437110	4894	1996-01-06	VYDAJ	VYBER	13400	50803	\N	\N	\N
1437111	4894	1996-02-05	VYDAJ	VYBER	4400	40292	\N	\N	\N
1437112	4894	1996-03-06	VYDAJ	VYBER	5600	46440	\N	\N	\N
1437113	4894	1996-04-05	VYDAJ	VYBER KARTOU	2900	33561	\N	\N	0
1437114	4894	1996-05-05	VYDAJ	VYBER	5500	47908	\N	\N	\N
1437115	4894	1996-06-04	VYDAJ	VYBER KARTOU	1900	40786	\N	\N	0
1437116	4894	1996-07-04	VYDAJ	VYBER	18400	45422	\N	\N	\N
1437117	4894	1996-08-03	VYDAJ	VYBER	21300	53638	\N	\N	\N
1437118	4894	1996-09-02	VYDAJ	VYBER	7000	43395	\N	\N	\N
1437119	4894	1996-10-02	VYDAJ	VYBER	11500	57293	\N	\N	\N
1437120	4894	1996-11-01	VYDAJ	VYBER	18200	62051	\N	\N	\N
1437121	4894	1996-12-01	VYDAJ	VYBER	18900	56512	\N	\N	\N
1437122	4894	1996-12-31	VYDAJ	VYBER	25100	65236	\N	\N	\N
1437123	4894	1997-01-30	VYDAJ	VYBER KARTOU	2800	46076	\N	\N	0
1437124	4894	1997-03-01	PRIJEM	VKLAD	6400	40633	\N	\N	\N
1437125	4894	1997-03-31	VYDAJ	VYBER	5300	53810	\N	\N	\N
1437126	4894	1997-04-30	VYDAJ	VYBER	9700	65233	\N	\N	\N
1437127	4894	1997-05-30	VYDAJ	VYBER	5900	60567	\N	\N	\N
1437128	4894	1997-06-29	VYDAJ	VYBER	21800	78905	\N	\N	\N
1437129	4894	1997-07-29	VYDAJ	VYBER	19700	83961	\N	\N	\N
1437130	4894	1997-08-28	VYDAJ	VYBER	12100	72765	\N	\N	\N
1437131	4894	1997-09-27	VYDAJ	VYBER	9800	79534	\N	\N	\N
1437132	4894	1997-10-27	VYDAJ	VYBER	7800	75671	\N	\N	\N
1437133	4894	1997-11-26	VYDAJ	VYBER	19100	80269	\N	\N	\N
1437134	4894	1997-12-12	VYDAJ	VYBER	49700	67575	\N	\N	\N
1437135	4894	1997-12-26	PRIJEM	VKLAD	200	63975	\N	\N	\N
1437136	4894	1998-01-25	PRIJEM	VKLAD	12600	54623	\N	\N	\N
1437137	4894	1998-02-24	VYDAJ	VYBER KARTOU	3500	76373	\N	\N	0
1437138	4894	1998-03-26	VYDAJ	VYBER	12200	88093	\N	\N	\N
1437139	4894	1998-04-25	VYDAJ	VYBER	14500	89201	\N	\N	\N
1437140	4894	1998-05-25	VYDAJ	VYBER	12300	100928	\N	\N	\N
1437141	4894	1998-06-12	VYDAJ	VYBER	54500	80709	\N	\N	\N
1437142	4894	1998-06-24	PRIJEM	VKLAD	20000	65609	\N	\N	\N
1437143	4894	1998-07-24	VYDAJ	VYBER KARTOU	3700	85903	\N	\N	0
1437144	4894	1998-08-23	VYDAJ	VYBER	16900	93764	\N	\N	\N
1437145	4894	1998-09-22	VYDAJ	VYBER	11200	87694	\N	\N	\N
1437146	4894	1998-10-22	VYDAJ	VYBER	14500	81734	\N	\N	\N
1437147	4894	1998-11-21	VYDAJ	VYBER	15200	91447	\N	\N	\N
1437148	4894	1998-12-12	VYDAJ	VYBER	42600	81167	\N	\N	\N
1440831	4907	1994-02-06	PRIJEM	VKLAD	500	500	\N	\N	\N
1440833	4907	1994-02-13	PRIJEM	VKLAD	15521	16021	\N	\N	\N
1440834	4907	1994-03-13	PRIJEM	VKLAD	15521	33980	\N	\N	\N
1440835	4907	1994-04-13	PRIJEM	VKLAD	15521	45514	\N	\N	\N
1440836	4907	1994-05-13	PRIJEM	VKLAD	15521	52805	\N	\N	\N
1440837	4907	1994-06-13	PRIJEM	VKLAD	23282	63095	\N	\N	\N
1440838	4907	1994-07-13	PRIJEM	VKLAD	15521	54730	\N	\N	\N
1440839	4907	1994-08-13	PRIJEM	VKLAD	15521	51341	\N	\N	\N
1440840	4907	1994-09-13	PRIJEM	VKLAD	15521	49546	\N	\N	\N
1440841	4907	1994-10-13	PRIJEM	VKLAD	15521	42600	\N	\N	\N
1440842	4907	1994-11-13	PRIJEM	VKLAD	15521	41256	\N	\N	\N
1440843	4907	1994-12-13	PRIJEM	VKLAD	23282	45767	\N	\N	\N
1440844	4907	1995-01-13	PRIJEM	VKLAD	15521	23304	\N	\N	\N
1440845	4907	1995-02-13	PRIJEM	VKLAD	15521	29856	\N	\N	\N
1440846	4907	1995-03-13	PRIJEM	VKLAD	15521	30543	\N	\N	\N
1440847	4907	1995-04-13	PRIJEM	VKLAD	15521	35546	\N	\N	\N
1440848	4907	1995-05-13	PRIJEM	VKLAD	15521	37365	\N	\N	\N
1440849	4907	1995-06-13	PRIJEM	VKLAD	23282	44452	\N	\N	\N
1440850	4907	1995-07-13	PRIJEM	VKLAD	15521	26253	\N	\N	\N
1440851	4907	1995-08-13	PRIJEM	VKLAD	15521	33433	\N	\N	\N
1440852	4907	1995-09-13	PRIJEM	VKLAD	15521	35542	\N	\N	\N
1440853	4907	1995-10-13	PRIJEM	VKLAD	15521	35654	\N	\N	\N
1440854	4907	1995-11-13	PRIJEM	VKLAD	15521	36971	\N	\N	\N
1440855	4907	1995-12-13	PRIJEM	VKLAD	23282	42550	\N	\N	\N
1440856	4907	1996-01-13	PRIJEM	VKLAD	15521	26281	\N	\N	\N
1440857	4907	1996-02-13	PRIJEM	VKLAD	15521	26001	\N	\N	\N
1440858	4907	1996-03-13	PRIJEM	VKLAD	15521	27021	\N	\N	\N
1440859	4907	1996-04-13	PRIJEM	VKLAD	15521	29945	\N	\N	\N
1440860	4907	1996-05-13	PRIJEM	VKLAD	15521	26677	\N	\N	\N
1440861	4907	1996-06-13	PRIJEM	VKLAD	23282	29855	\N	\N	\N
1440862	4907	1996-07-13	PRIJEM	VKLAD	15521	22769	\N	\N	\N
1440863	4907	1996-08-13	PRIJEM	VKLAD	15521	30780	\N	\N	\N
1440864	4907	1996-09-13	PRIJEM	VKLAD	15521	23006	\N	\N	\N
1440865	4907	1996-10-13	PRIJEM	VKLAD	15521	28495	\N	\N	\N
1440866	4907	1996-11-13	PRIJEM	VKLAD	15521	20811	\N	\N	\N
1440867	4907	1996-12-13	PRIJEM	VKLAD	23282	30682	\N	\N	\N
1440868	4907	1997-01-13	PRIJEM	VKLAD	15521	24312	\N	\N	\N
1440869	4907	1997-02-13	PRIJEM	VKLAD	15521	24321	\N	\N	\N
1440870	4907	1997-03-13	PRIJEM	VKLAD	15521	32336	\N	\N	\N
1440871	4907	1997-04-13	PRIJEM	VKLAD	15521	30773	\N	\N	\N
1440872	4907	1997-05-13	PRIJEM	VKLAD	15521	38816	\N	\N	\N
1440873	4907	1997-06-13	PRIJEM	VKLAD	23282	30618	\N	\N	\N
1440874	4907	1997-07-13	PRIJEM	VKLAD	15521	38647	\N	\N	\N
1440875	4907	1997-08-13	PRIJEM	VKLAD	15521	46723	\N	\N	\N
1440876	4907	1997-09-13	PRIJEM	VKLAD	15521	22275	\N	\N	\N
1440877	4907	1997-10-13	PRIJEM	VKLAD	15521	30282	\N	\N	\N
1440878	4907	1997-11-13	PRIJEM	VKLAD	15521	38322	\N	\N	\N
1440879	4907	1997-12-13	PRIJEM	VKLAD	23282	54157	\N	\N	\N
1440880	4907	1998-01-13	PRIJEM	VKLAD	15521	23393	\N	\N	\N
1440881	4907	1998-02-13	PRIJEM	VKLAD	15521	28522	\N	\N	\N
1440882	4907	1998-03-13	PRIJEM	VKLAD	15521	36553	\N	\N	\N
1440883	4907	1998-04-13	PRIJEM	VKLAD	15521	44619	\N	\N	\N
1440884	4907	1998-05-13	PRIJEM	VKLAD	15521	52718	\N	\N	\N
1440885	4907	1998-06-13	PRIJEM	VKLAD	23282	58852	\N	\N	\N
1440886	4907	1998-07-13	PRIJEM	VKLAD	15521	24032	\N	\N	\N
1440887	4907	1998-08-13	PRIJEM	VKLAD	15521	32046	\N	\N	\N
1440888	4907	1998-09-13	PRIJEM	VKLAD	15521	37932	\N	\N	\N
1440889	4907	1998-10-13	PRIJEM	VKLAD	15521	46004	\N	\N	\N
1440890	4907	1998-11-13	PRIJEM	VKLAD	15521	54109	\N	\N	\N
1440891	4907	1998-12-13	PRIJEM	VKLAD	23282	70009	\N	\N	\N
1440898	4907	1994-07-12	VYDAJ	PREVOD NA UCET	3938	39209	SIPO	YZ	25638538
1440899	4907	1994-08-12	VYDAJ	PREVOD NA UCET	3938	35820	SIPO	YZ	25638538
1440900	4907	1994-09-12	VYDAJ	PREVOD NA UCET	3938	34025	SIPO	YZ	25638538
1440901	4907	1994-10-12	VYDAJ	PREVOD NA UCET	3938	27079	SIPO	YZ	25638538
1440902	4907	1994-11-12	VYDAJ	PREVOD NA UCET	3938	25735	SIPO	YZ	25638538
1440903	4907	1994-12-12	VYDAJ	PREVOD NA UCET	3938	24985	SIPO	YZ	25638538
1440904	4907	1995-01-12	VYDAJ	PREVOD NA UCET	3938	7783	SIPO	YZ	25638538
1440905	4907	1995-02-12	VYDAJ	PREVOD NA UCET	3938	14335	SIPO	YZ	25638538
1440906	4907	1995-03-12	VYDAJ	PREVOD NA UCET	3938	15022	SIPO	YZ	25638538
1440907	4907	1995-04-12	VYDAJ	PREVOD NA UCET	3938	20025	SIPO	YZ	25638538
1440908	4907	1995-05-12	VYDAJ	PREVOD NA UCET	3938	21844	SIPO	YZ	25638538
1440909	4907	1995-06-12	VYDAJ	PREVOD NA UCET	3938	21170	SIPO	YZ	25638538
1440910	4907	1995-07-12	VYDAJ	PREVOD NA UCET	3938	10732	SIPO	YZ	25638538
1440911	4907	1995-08-12	VYDAJ	PREVOD NA UCET	3938	17912	SIPO	YZ	25638538
1440912	4907	1995-09-12	VYDAJ	PREVOD NA UCET	3938	20021	SIPO	YZ	25638538
1440913	4907	1995-10-12	VYDAJ	PREVOD NA UCET	3938	20133	SIPO	YZ	25638538
1440914	4907	1995-11-12	VYDAJ	PREVOD NA UCET	3938	21450	SIPO	YZ	25638538
1440915	4907	1995-12-12	VYDAJ	PREVOD NA UCET	3938	19268	SIPO	YZ	25638538
1440916	4907	1996-01-12	VYDAJ	PREVOD NA UCET	3938	10760	SIPO	YZ	25638538
1440917	4907	1996-02-12	VYDAJ	PREVOD NA UCET	3938	10480	SIPO	YZ	25638538
1440918	4907	1996-03-12	VYDAJ	PREVOD NA UCET	3938	11500	SIPO	YZ	25638538
1440919	4907	1996-04-12	VYDAJ	PREVOD NA UCET	3938	16483	SIPO	YZ	25638538
1440920	4907	1996-05-12	VYDAJ	PREVOD NA UCET	3938	13215	SIPO	YZ	25638538
1440921	4907	1996-06-12	VYDAJ	PREVOD NA UCET	3938	8632	SIPO	YZ	25638538
1440922	4907	1996-07-12	VYDAJ	PREVOD NA UCET	3938	7248	SIPO	YZ	25638538
1440923	4907	1996-08-12	VYDAJ	PREVOD NA UCET	3938	17318	SIPO	YZ	25638538
1440924	4907	1996-09-12	VYDAJ	PREVOD NA UCET	3938	9544	SIPO	YZ	25638538
1440925	4907	1996-10-12	VYDAJ	PREVOD NA UCET	3938	12974	SIPO	YZ	25638538
1440926	4907	1996-11-12	VYDAJ	PREVOD NA UCET	3938	7349	SIPO	YZ	25638538
1440927	4907	1996-12-12	VYDAJ	PREVOD NA UCET	3938	9459	SIPO	YZ	25638538
1440928	4907	1997-01-12	VYDAJ	PREVOD NA UCET	3938	10850	SIPO	YZ	25638538
1440929	4907	1997-02-12	VYDAJ	PREVOD NA UCET	3938	8800	SIPO	YZ	25638538
1440930	4907	1997-03-12	VYDAJ	PREVOD NA UCET	3938	18874	SIPO	YZ	25638538
1440931	4907	1997-04-12	VYDAJ	PREVOD NA UCET	3938	15252	SIPO	YZ	25638538
1440932	4907	1997-05-12	VYDAJ	PREVOD NA UCET	3938	23295	SIPO	YZ	25638538
1440933	4907	1997-06-12	VYDAJ	PREVOD NA UCET	3938	7336	SIPO	YZ	25638538
1440934	4907	1997-07-12	VYDAJ	PREVOD NA UCET	3938	25185	SIPO	YZ	25638538
1440935	4907	1997-08-12	VYDAJ	PREVOD NA UCET	3938	33261	SIPO	YZ	25638538
1440936	4907	1997-09-12	VYDAJ	PREVOD NA UCET	3938	8813	SIPO	YZ	25638538
1440937	4907	1997-10-12	VYDAJ	PREVOD NA UCET	3938	14761	SIPO	YZ	25638538
1440938	4907	1997-11-12	VYDAJ	PREVOD NA UCET	3938	24860	SIPO	YZ	25638538
1440939	4907	1997-12-12	VYDAJ	PREVOD NA UCET	3938	32934	SIPO	YZ	25638538
1440940	4907	1998-01-12	VYDAJ	PREVOD NA UCET	3938	7872	SIPO	YZ	25638538
1440941	4907	1998-02-12	VYDAJ	PREVOD NA UCET	3938	15060	SIPO	YZ	25638538
1440942	4907	1998-03-12	VYDAJ	PREVOD NA UCET	3938	21032	SIPO	YZ	25638538
1440943	4907	1998-04-12	VYDAJ	PREVOD NA UCET	3938	31157	SIPO	YZ	25638538
1440944	4907	1998-05-12	VYDAJ	PREVOD NA UCET	3938	37197	SIPO	YZ	25638538
1440945	4907	1998-06-12	VYDAJ	PREVOD NA UCET	3938	35570	SIPO	YZ	25638538
1440946	4907	1998-07-12	VYDAJ	PREVOD NA UCET	3938	10570	SIPO	YZ	25638538
1440947	4907	1998-08-12	VYDAJ	PREVOD NA UCET	3938	16525	SIPO	YZ	25638538
1440948	4907	1998-09-12	VYDAJ	PREVOD NA UCET	3938	22411	SIPO	YZ	25638538
1440949	4907	1998-10-12	VYDAJ	PREVOD NA UCET	3938	30483	SIPO	YZ	25638538
1440950	4907	1998-11-12	VYDAJ	PREVOD NA UCET	3938	38588	SIPO	YZ	25638538
1440951	4907	1998-12-12	VYDAJ	PREVOD NA UCET	3938	46727	SIPO	YZ	25638538
1440958	4907	1994-07-05	VYDAJ	PREVOD NA UCET	1253	59847	 	AB	5604631
1440959	4907	1994-08-05	VYDAJ	PREVOD NA UCET	1253	39758	 	AB	5604631
1440960	4907	1994-09-05	VYDAJ	PREVOD NA UCET	1253	37963	 	AB	5604631
1440961	4907	1994-10-05	VYDAJ	PREVOD NA UCET	1253	33117	 	AB	5604631
1440962	4907	1994-11-05	VYDAJ	PREVOD NA UCET	1253	31573	 	AB	5604631
1440963	4907	1994-12-05	VYDAJ	PREVOD NA UCET	1253	28923	 	AB	5604631
1440964	4907	1995-01-05	VYDAJ	PREVOD NA UCET	1253	17621	 	AB	5604631
1440965	4907	1995-02-05	VYDAJ	PREVOD NA UCET	1253	18273	 	AB	5604631
1440966	4907	1995-03-05	VYDAJ	PREVOD NA UCET	1253	21760	 	AB	5604631
1440967	4907	1995-04-05	VYDAJ	PREVOD NA UCET	1253	23963	 	AB	5604631
1440968	4907	1995-05-05	VYDAJ	PREVOD NA UCET	1253	25782	 	AB	5604631
1440969	4907	1995-06-05	VYDAJ	PREVOD NA UCET	1253	25108	 	AB	5604631
1440970	4907	1995-07-05	VYDAJ	PREVOD NA UCET	1253	14670	 	AB	5604631
1440971	4907	1995-08-05	VYDAJ	PREVOD NA UCET	1253	21850	 	AB	5604631
1440972	4907	1995-09-05	VYDAJ	PREVOD NA UCET	1253	23959	 	AB	5604631
1440973	4907	1995-10-05	VYDAJ	PREVOD NA UCET	1253	24071	 	AB	5604631
1440974	4907	1995-11-05	VYDAJ	PREVOD NA UCET	1253	25388	 	AB	5604631
1440975	4907	1995-12-05	VYDAJ	PREVOD NA UCET	1253	25406	 	AB	5604631
1440976	4907	1996-01-05	VYDAJ	PREVOD NA UCET	1253	24117	 	AB	5604631
1440977	4907	1996-02-05	VYDAJ	PREVOD NA UCET	1253	16477	 	AB	5604631
1440978	4907	1996-03-05	VYDAJ	PREVOD NA UCET	1253	17497	 	AB	5604631
1440979	4907	1996-04-05	VYDAJ	PREVOD NA UCET	1253	20421	 	AB	5604631
1440980	4907	1996-05-05	VYDAJ	PREVOD NA UCET	1253	17153	 	AB	5604631
1440981	4907	1996-06-05	VYDAJ	PREVOD NA UCET	1253	12570	 	AB	5604631
1440982	4907	1996-07-05	VYDAJ	PREVOD NA UCET	1253	13245	 	AB	5604631
1440983	4907	1996-08-05	VYDAJ	PREVOD NA UCET	1253	21256	 	AB	5604631
1440984	4907	1996-09-05	VYDAJ	PREVOD NA UCET	1253	13482	 	AB	5604631
1440985	4907	1996-10-05	VYDAJ	PREVOD NA UCET	1253	18971	 	AB	5604631
1440986	4907	1996-11-05	VYDAJ	PREVOD NA UCET	1253	11287	 	AB	5604631
1440987	4907	1996-12-05	VYDAJ	PREVOD NA UCET	1253	13397	 	AB	5604631
1440988	4907	1997-01-05	VYDAJ	PREVOD NA UCET	1253	25108	 	AB	5604631
1440989	4907	1997-02-05	VYDAJ	PREVOD NA UCET	1253	14797	 	AB	5604631
1440990	4907	1997-03-05	VYDAJ	PREVOD NA UCET	1253	22812	 	AB	5604631
1440991	4907	1997-04-05	VYDAJ	PREVOD NA UCET	1253	21249	 	AB	5604631
1440992	4907	1997-05-05	VYDAJ	PREVOD NA UCET	1253	29292	 	AB	5604631
1440993	4907	1997-06-05	VYDAJ	PREVOD NA UCET	1253	13333	 	AB	5604631
1440994	4907	1997-07-05	VYDAJ	PREVOD NA UCET	1253	29123	 	AB	5604631
1440995	4907	1997-08-05	VYDAJ	PREVOD NA UCET	1253	37199	 	AB	5604631
1440996	4907	1997-09-05	VYDAJ	PREVOD NA UCET	1253	12751	 	AB	5604631
1440997	4907	1997-10-05	VYDAJ	PREVOD NA UCET	1253	20758	 	AB	5604631
1440998	4907	1997-11-05	VYDAJ	PREVOD NA UCET	1253	28798	 	AB	5604631
1440999	4907	1997-12-05	VYDAJ	PREVOD NA UCET	1253	36872	 	AB	5604631
1441000	4907	1998-01-05	VYDAJ	PREVOD NA UCET	1253	13869	 	AB	5604631
1441001	4907	1998-02-05	VYDAJ	PREVOD NA UCET	1253	18998	 	AB	5604631
1441002	4907	1998-03-05	VYDAJ	PREVOD NA UCET	1253	27029	 	AB	5604631
1441003	4907	1998-04-05	VYDAJ	PREVOD NA UCET	1253	35095	 	AB	5604631
1441004	4907	1998-05-05	VYDAJ	PREVOD NA UCET	1253	43194	 	AB	5604631
1441005	4907	1998-06-05	VYDAJ	PREVOD NA UCET	1253	51327	 	AB	5604631
1441006	4907	1998-07-05	VYDAJ	PREVOD NA UCET	1253	14508	 	AB	5604631
1441007	4907	1998-08-05	VYDAJ	PREVOD NA UCET	1253	22522	 	AB	5604631
1441008	4907	1998-09-05	VYDAJ	PREVOD NA UCET	1253	30568	 	AB	5604631
1441009	4907	1998-10-05	VYDAJ	PREVOD NA UCET	1253	36480	 	AB	5604631
1441010	4907	1998-11-05	VYDAJ	PREVOD NA UCET	1253	44585	 	AB	5604631
1441011	4907	1998-12-05	VYDAJ	PREVOD NA UCET	1253	52724	 	AB	5604631
1441017	4907	1994-06-14	VYDAJ	PREVOD NA UCET	325	62770	POJISTNE	QR	82890259
1441018	4907	1994-07-14	VYDAJ	PREVOD NA UCET	325	54405	POJISTNE	QR	82890259
1441019	4907	1994-08-14	VYDAJ	PREVOD NA UCET	325	51016	POJISTNE	QR	82890259
1441020	4907	1994-09-14	VYDAJ	PREVOD NA UCET	325	49221	POJISTNE	QR	82890259
1441021	4907	1994-10-14	VYDAJ	PREVOD NA UCET	325	42275	POJISTNE	QR	82890259
1441022	4907	1994-11-14	VYDAJ	PREVOD NA UCET	325	40931	POJISTNE	QR	82890259
1441023	4907	1994-12-14	VYDAJ	PREVOD NA UCET	325	45442	POJISTNE	QR	82890259
1441024	4907	1995-01-14	VYDAJ	PREVOD NA UCET	325	22979	POJISTNE	QR	82890259
1441025	4907	1995-02-14	VYDAJ	PREVOD NA UCET	325	27731	POJISTNE	QR	82890259
1441026	4907	1995-03-14	VYDAJ	PREVOD NA UCET	325	30218	POJISTNE	QR	82890259
1441027	4907	1995-04-14	VYDAJ	PREVOD NA UCET	325	35221	POJISTNE	QR	82890259
1441028	4907	1995-05-14	VYDAJ	PREVOD NA UCET	325	37040	POJISTNE	QR	82890259
1441029	4907	1995-06-14	VYDAJ	PREVOD NA UCET	325	44127	POJISTNE	QR	82890259
1441030	4907	1995-07-14	VYDAJ	PREVOD NA UCET	325	25928	POJISTNE	QR	82890259
1441031	4907	1995-08-14	VYDAJ	PREVOD NA UCET	325	33108	POJISTNE	QR	82890259
1441032	4907	1995-09-14	VYDAJ	PREVOD NA UCET	325	32717	POJISTNE	QR	82890259
1441033	4907	1995-10-14	VYDAJ	PREVOD NA UCET	325	35329	POJISTNE	QR	82890259
1441034	4907	1995-11-14	VYDAJ	PREVOD NA UCET	325	36646	POJISTNE	QR	82890259
1441035	4907	1995-12-14	VYDAJ	PREVOD NA UCET	325	42225	POJISTNE	QR	82890259
1441036	4907	1996-01-14	VYDAJ	PREVOD NA UCET	325	23556	POJISTNE	QR	82890259
1441037	4907	1996-02-14	VYDAJ	PREVOD NA UCET	325	25676	POJISTNE	QR	82890259
1441038	4907	1996-03-14	VYDAJ	PREVOD NA UCET	325	26696	POJISTNE	QR	82890259
1441039	4907	1996-04-14	VYDAJ	PREVOD NA UCET	325	29620	POJISTNE	QR	82890259
1441040	4907	1996-05-14	VYDAJ	PREVOD NA UCET	325	26352	POJISTNE	QR	82890259
1441041	4907	1996-06-14	VYDAJ	PREVOD NA UCET	325	29530	POJISTNE	QR	82890259
1441042	4907	1996-07-14	VYDAJ	PREVOD NA UCET	325	22444	POJISTNE	QR	82890259
1441043	4907	1996-08-14	VYDAJ	PREVOD NA UCET	325	30455	POJISTNE	QR	82890259
1441044	4907	1996-09-14	VYDAJ	PREVOD NA UCET	325	22681	POJISTNE	QR	82890259
1441045	4907	1996-10-14	VYDAJ	PREVOD NA UCET	325	28170	POJISTNE	QR	82890259
1441046	4907	1996-11-14	VYDAJ	PREVOD NA UCET	325	20486	POJISTNE	QR	82890259
1441047	4907	1996-12-14	VYDAJ	PREVOD NA UCET	325	30357	POJISTNE	QR	82890259
1441048	4907	1997-01-14	VYDAJ	PREVOD NA UCET	325	15987	POJISTNE	QR	82890259
1441049	4907	1997-02-14	VYDAJ	PREVOD NA UCET	325	23996	POJISTNE	QR	82890259
1441050	4907	1997-03-14	VYDAJ	PREVOD NA UCET	325	32011	POJISTNE	QR	82890259
1441051	4907	1997-04-14	VYDAJ	PREVOD NA UCET	325	30448	POJISTNE	QR	82890259
1441052	4907	1997-05-14	VYDAJ	PREVOD NA UCET	325	38491	POJISTNE	QR	82890259
1441053	4907	1997-06-14	VYDAJ	PREVOD NA UCET	325	30293	POJISTNE	QR	82890259
1441054	4907	1997-07-14	VYDAJ	PREVOD NA UCET	325	38322	POJISTNE	QR	82890259
1441055	4907	1997-08-14	VYDAJ	PREVOD NA UCET	325	46398	POJISTNE	QR	82890259
1441056	4907	1997-09-14	VYDAJ	PREVOD NA UCET	325	21950	POJISTNE	QR	82890259
1441057	4907	1997-10-14	VYDAJ	PREVOD NA UCET	325	29957	POJISTNE	QR	82890259
1441058	4907	1997-11-14	VYDAJ	PREVOD NA UCET	325	37997	POJISTNE	QR	82890259
1441059	4907	1997-12-14	VYDAJ	PREVOD NA UCET	325	53832	POJISTNE	QR	82890259
1441060	4907	1998-01-14	VYDAJ	PREVOD NA UCET	325	21988	POJISTNE	QR	82890259
1441061	4907	1998-02-14	VYDAJ	PREVOD NA UCET	325	28197	POJISTNE	QR	82890259
1441062	4907	1998-03-14	VYDAJ	PREVOD NA UCET	325	36228	POJISTNE	QR	82890259
1441063	4907	1998-04-14	VYDAJ	PREVOD NA UCET	325	44294	POJISTNE	QR	82890259
1441064	4907	1998-05-14	VYDAJ	PREVOD NA UCET	325	52393	POJISTNE	QR	82890259
1441065	4907	1998-06-14	VYDAJ	PREVOD NA UCET	325	58527	POJISTNE	QR	82890259
1441066	4907	1998-07-14	VYDAJ	PREVOD NA UCET	325	23707	POJISTNE	QR	82890259
1441067	4907	1998-08-14	VYDAJ	PREVOD NA UCET	325	31721	POJISTNE	QR	82890259
1441068	4907	1998-09-14	VYDAJ	PREVOD NA UCET	325	37607	POJISTNE	QR	82890259
1441069	4907	1998-10-14	VYDAJ	PREVOD NA UCET	325	45679	POJISTNE	QR	82890259
1441070	4907	1998-11-14	VYDAJ	PREVOD NA UCET	325	53784	POJISTNE	QR	82890259
1441071	4907	1998-12-14	VYDAJ	PREVOD NA UCET	325	69684	POJISTNE	QR	82890259
1441078	4907	1994-06-28	VYDAJ	VYBER	1900	60870	\N	\N	0
1441079	4907	1994-08-05	VYDAJ	VYBER	1400	53211	\N	\N	0
1441080	4907	1994-09-19	VYDAJ	VYBER	1800	44901	\N	\N	0
1441081	4907	1994-10-07	VYDAJ	VYBER	2100	31017	\N	\N	0
1441082	4907	1994-11-09	VYDAJ	VYBER	1900	29673	\N	\N	0
1441083	4907	1994-12-12	VYDAJ	VYBER	2500	22485	\N	\N	0
1441084	4907	1995-01-11	VYDAJ	VYBER	2300	11721	\N	\N	0
1441085	4907	1995-02-14	VYDAJ	VYBER	1800	28056	\N	\N	0
1441086	4907	1995-03-06	VYDAJ	VYBER	2800	18960	\N	\N	0
1441087	4907	1995-04-28	VYDAJ	VYBER	1900	32721	\N	\N	0
1441088	4907	1995-05-18	VYDAJ	VYBER	1900	35140	\N	\N	0
1441089	4907	1995-06-04	VYDAJ	VYBER	1800	26361	\N	\N	0
1441090	4907	1995-07-02	VYDAJ	VYBER	2500	19283	\N	\N	0
1441091	4907	1995-07-27	VYDAJ	VYBER	1900	24028	\N	\N	0
1441092	4907	1995-09-14	VYDAJ	VYBER	2500	33042	\N	\N	0
1441093	4907	1995-10-01	VYDAJ	VYBER	2300	25324	\N	\N	0
1441094	4907	1995-11-18	VYDAJ	VYBER	1900	34746	\N	\N	0
1441095	4907	1995-12-09	VYDAJ	VYBER	2200	23206	\N	\N	0
1441096	4907	1996-01-12	VYDAJ	PREVOD NA UCET	2059	14698	UVER	IJ	5619949
1441097	4907	1996-02-12	VYDAJ	PREVOD NA UCET	2059	14418	UVER	IJ	5619949
1441098	4907	1996-03-12	VYDAJ	PREVOD NA UCET	2059	15438	UVER	IJ	5619949
1441099	4907	1996-04-12	VYDAJ	PREVOD NA UCET	2059	14424	UVER	IJ	5619949
1441100	4907	1996-05-12	VYDAJ	PREVOD NA UCET	2059	11156	UVER	IJ	5619949
1441101	4907	1996-06-12	VYDAJ	PREVOD NA UCET	2059	6573	UVER	IJ	5619949
1441102	4907	1996-07-12	VYDAJ	PREVOD NA UCET	2059	11186	UVER	IJ	5619949
1441103	4907	1996-08-12	VYDAJ	PREVOD NA UCET	2059	15259	UVER	IJ	5619949
1441104	4907	1996-09-12	VYDAJ	PREVOD NA UCET	2059	7485	UVER	IJ	5619949
1441105	4907	1996-10-12	VYDAJ	PREVOD NA UCET	2059	16912	UVER	IJ	5619949
1441106	4907	1996-11-12	VYDAJ	PREVOD NA UCET	2059	5290	UVER	IJ	5619949
1441107	4907	1996-12-12	VYDAJ	PREVOD NA UCET	2059	7400	UVER	IJ	5619949
1441108	4907	1997-01-12	VYDAJ	PREVOD NA UCET	2059	8791	UVER	IJ	5619949
1441109	4907	1997-02-12	VYDAJ	PREVOD NA UCET	2059	12738	UVER	IJ	5619949
1441110	4907	1997-03-12	VYDAJ	PREVOD NA UCET	2059	16815	UVER	IJ	5619949
1441111	4907	1997-04-12	VYDAJ	PREVOD NA UCET	2059	19190	UVER	IJ	5619949
1441112	4907	1997-05-12	VYDAJ	PREVOD NA UCET	2059	27233	UVER	IJ	5619949
1441113	4907	1997-06-12	VYDAJ	PREVOD NA UCET	2059	11274	UVER	IJ	5619949
1441114	4907	1997-07-12	VYDAJ	PREVOD NA UCET	2059	23126	UVER	IJ	5619949
1441115	4907	1997-08-12	VYDAJ	PREVOD NA UCET	2059	31202	UVER	IJ	5619949
1441116	4907	1997-09-12	VYDAJ	PREVOD NA UCET	2059	6754	UVER	IJ	5619949
1441117	4907	1997-10-12	VYDAJ	PREVOD NA UCET	2059	18699	UVER	IJ	5619949
1441118	4907	1997-11-12	VYDAJ	PREVOD NA UCET	2059	22801	UVER	IJ	5619949
1441119	4907	1997-12-12	VYDAJ	PREVOD NA UCET	2059	30875	UVER	IJ	5619949
1441120	4907	1998-01-12	VYDAJ	PREVOD NA UCET	2059	11810	UVER	IJ	5619949
1441121	4907	1998-02-12	VYDAJ	PREVOD NA UCET	2059	13001	UVER	IJ	5619949
1441122	4907	1998-03-12	VYDAJ	PREVOD NA UCET	2059	24970	UVER	IJ	5619949
1441123	4907	1998-04-12	VYDAJ	PREVOD NA UCET	2059	29098	UVER	IJ	5619949
1441124	4907	1998-05-12	VYDAJ	PREVOD NA UCET	2059	41135	UVER	IJ	5619949
1441125	4907	1998-06-12	VYDAJ	PREVOD NA UCET	2059	39508	UVER	IJ	5619949
1441126	4907	1998-07-12	VYDAJ	PREVOD NA UCET	2059	8511	UVER	IJ	5619949
1441127	4907	1998-08-12	VYDAJ	PREVOD NA UCET	2059	20463	UVER	IJ	5619949
1441128	4907	1998-09-12	VYDAJ	PREVOD NA UCET	2059	26349	UVER	IJ	5619949
1441129	4907	1998-10-12	VYDAJ	PREVOD NA UCET	2059	34421	UVER	IJ	5619949
1441130	4907	1998-11-12	VYDAJ	PREVOD NA UCET	2059	42526	UVER	IJ	5619949
1441131	4907	1998-12-12	VYDAJ	PREVOD NA UCET	2059	50665	UVER	IJ	5619949
1441133	4907	1995-06-17	VYDAJ	VYBER	22240	21887	\N	\N	\N
1441136	4907	1998-06-09	VYDAJ	VYBER	9760	41567	\N	\N	\N
1441138	4907	1995-01-03	VYDAJ	VYBER	13600	18874	\N	\N	\N
1441139	4907	1996-01-08	VYDAJ	VYBER	5440	16757	\N	\N	\N
1441140	4907	1997-01-13	VYDAJ	VYBER	8000	16312	\N	\N	\N
1441142	4907	1994-12-28	VYDAJ	VYBER	4480	40962	\N	\N	\N
1441143	4907	1995-12-27	VYDAJ	VYBER	2720	39505	\N	\N	\N
1441144	4907	1996-12-30	VYDAJ	VYBER	1440	28917	\N	\N	\N
1441146	4907	1998-12-23	VYDAJ	VYBER	1120	68564	\N	\N	\N
1441153	4907	1995-01-20	VYDAJ	VYBER	3240	19739	\N	\N	\N
1441154	4907	1995-01-01	VYDAJ	VYBER	1440	39674	\N	\N	\N
1441155	4907	1995-01-07	VYDAJ	VYBER	2640	14981	\N	\N	\N
1441156	4907	1995-01-11	VYDAJ	VYBER	960	14021	\N	\N	\N
1441157	4907	1995-01-27	VYDAJ	VYBER	1920	17819	\N	\N	\N
1441158	4907	1995-01-29	VYDAJ	VYBER	2160	15659	\N	\N	\N
1441159	4907	1996-01-13	VYDAJ	VYBER	1560	23881	\N	\N	\N
1441160	4907	1996-01-29	VYDAJ	VYBER	1920	17656	\N	\N	\N
1441161	4907	1996-01-03	VYDAJ	VYBER	1800	25370	\N	\N	\N
1441162	4907	1996-01-13	VYDAJ	VYBER	840	25441	\N	\N	\N
1441163	4907	1996-01-18	VYDAJ	VYBER	1080	22476	\N	\N	\N
1441164	4907	1996-01-05	VYDAJ	VYBER	1920	22197	\N	\N	\N
1441165	4907	1997-01-04	VYDAJ	VYBER	2640	26361	\N	\N	\N
1441166	4907	1997-01-05	VYDAJ	VYBER	3120	21988	\N	\N	\N
1441173	4907	1998-01-30	VYDAJ	VYBER	1800	20188	\N	\N	\N
1441176	4907	1998-01-14	VYDAJ	VYBER	1080	22313	\N	\N	\N
1441177	4907	1994-09-15	VYDAJ	VYBER	2520	46701	\N	\N	\N
1441178	4907	1995-06-29	VYDAJ	VYBER	3600	18287	\N	\N	\N
1441179	4907	1995-04-16	VYDAJ	VYBER	600	34621	\N	\N	\N
1441180	4907	1995-12-30	VYDAJ	VYBER	960	27045	\N	\N	\N
1441181	4907	1995-07-04	VYDAJ	VYBER	3360	15923	\N	\N	\N
1441182	4907	1996-11-18	VYDAJ	VYBER	5880	14606	\N	\N	\N
1441184	4907	1996-09-27	VYDAJ	VYBER	2520	20161	\N	\N	\N
1441187	4907	1997-01-09	VYDAJ	VYBER	5280	14788	\N	\N	\N
1441190	4907	1997-01-09	VYDAJ	VYBER	1920	20068	\N	\N	\N
1441191	4907	1997-03-26	VYDAJ	VYBER	4560	22411	\N	\N	\N
1441192	4907	1997-12-17	VYDAJ	VYBER	2880	50952	\N	\N	\N
1441193	4907	1997-03-19	VYDAJ	VYBER	5040	26971	\N	\N	\N
1441195	4907	1998-06-14	VYDAJ	VYBER	1680	56847	\N	\N	\N
1441196	4907	1998-09-07	VYDAJ	VYBER	2160	28408	\N	\N	\N
1441203	4907	1994-06-30	VYDAJ	VYBER	15	61100	SLUZBY	\N	\N
1441204	4907	1994-07-31	VYDAJ	VYBER	15	54611	SLUZBY	\N	\N
1441205	4907	1994-08-31	VYDAJ	VYBER	15	51216	SLUZBY	\N	\N
1441206	4907	1994-09-30	VYDAJ	VYBER	15	45070	SLUZBY	\N	\N
1441207	4907	1994-10-31	VYDAJ	VYBER	15	42426	SLUZBY	\N	\N
1441208	4907	1994-11-30	VYDAJ	VYBER	15	41076	SLUZBY	\N	\N
1441209	4907	1994-12-31	VYDAJ	VYBER	15	41114	SLUZBY	\N	\N
1441210	4907	1995-01-31	VYDAJ	VYBER	15	15726	SLUZBY	\N	\N
1441211	4907	1995-02-28	VYDAJ	VYBER	15	27813	SLUZBY	\N	\N
1441212	4907	1995-03-31	VYDAJ	VYBER	15	30316	SLUZBY	\N	\N
1441213	4907	1995-04-30	VYDAJ	VYBER	15	32835	SLUZBY	\N	\N
1441214	4907	1995-05-31	VYDAJ	VYBER	15	35261	SLUZBY	\N	\N
1441215	4907	1995-06-30	VYDAJ	VYBER	15	18383	SLUZBY	\N	\N
1441216	4907	1995-07-31	VYDAJ	VYBER	15	23103	SLUZBY	\N	\N
1441217	4907	1995-08-31	VYDAJ	VYBER	15	25212	SLUZBY	\N	\N
1441218	4907	1995-09-30	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
1441219	4907	1995-10-31	VYDAJ	VYBER	15	26641	SLUZBY	\N	\N
1441220	4907	1995-11-30	VYDAJ	VYBER	15	26659	SLUZBY	\N	\N
1441221	4907	1995-12-31	VYDAJ	VYBER	15	27170	SLUZBY	\N	\N
1441222	4907	1996-01-31	VYDAJ	VYBER	15	17730	SLUZBY	\N	\N
1441223	4907	1996-02-29	VYDAJ	VYBER	15	18750	SLUZBY	\N	\N
1441224	4907	1996-03-31	VYDAJ	VYBER	15	21674	SLUZBY	\N	\N
1441225	4907	1996-04-30	VYDAJ	VYBER	15	18406	SLUZBY	\N	\N
1441226	4907	1996-05-31	VYDAJ	VYBER	15	13823	SLUZBY	\N	\N
1441227	4907	1996-06-30	VYDAJ	VYBER	15	14498	SLUZBY	\N	\N
1441228	4907	1996-07-31	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
1441229	4907	1996-08-31	VYDAJ	VYBER	15	14735	SLUZBY	\N	\N
1441230	4907	1996-09-30	VYDAJ	VYBER	15	20224	SLUZBY	\N	\N
1441231	4907	1996-10-31	VYDAJ	VYBER	15	12540	SLUZBY	\N	\N
1441232	4907	1996-11-30	VYDAJ	VYBER	15	14650	SLUZBY	\N	\N
1441233	4907	1996-12-31	VYDAJ	VYBER	15	29001	SLUZBY	\N	\N
1441234	4907	1997-01-31	VYDAJ	VYBER	15	16050	SLUZBY	\N	\N
1441235	4907	1997-02-28	VYDAJ	VYBER	15	24065	SLUZBY	\N	\N
1441236	4907	1997-03-31	VYDAJ	VYBER	15	22502	SLUZBY	\N	\N
1441237	4907	1997-04-30	VYDAJ	VYBER	15	30545	SLUZBY	\N	\N
1441238	4907	1997-05-31	VYDAJ	VYBER	15	14586	SLUZBY	\N	\N
1441239	4907	1997-06-30	VYDAJ	VYBER	15	30376	SLUZBY	\N	\N
1441240	4907	1997-07-31	VYDAJ	VYBER	15	38452	SLUZBY	\N	\N
1441241	4907	1997-08-31	VYDAJ	VYBER	15	14004	SLUZBY	\N	\N
1441242	4907	1997-09-30	VYDAJ	VYBER	15	22011	SLUZBY	\N	\N
1441243	4907	1997-10-31	VYDAJ	VYBER	15	30051	SLUZBY	\N	\N
1441244	4907	1997-11-30	VYDAJ	VYBER	15	38125	SLUZBY	\N	\N
1441245	4907	1997-12-31	VYDAJ	VYBER	15	15122	SLUZBY	\N	\N
1441246	4907	1998-01-31	VYDAJ	VYBER	15	20251	SLUZBY	\N	\N
1441247	4907	1998-02-28	VYDAJ	VYBER	15	28282	SLUZBY	\N	\N
1441248	4907	1998-03-31	VYDAJ	VYBER	15	36348	SLUZBY	\N	\N
1441249	4907	1998-04-30	VYDAJ	VYBER	15	44447	SLUZBY	\N	\N
1441250	4907	1998-05-31	VYDAJ	VYBER	15	52580	SLUZBY	\N	\N
1441251	4907	1998-06-30	VYDAJ	VYBER	15	15761	SLUZBY	\N	\N
1441252	4907	1998-07-31	VYDAJ	VYBER	15	23775	SLUZBY	\N	\N
1441253	4907	1998-08-31	VYDAJ	VYBER	15	31821	SLUZBY	\N	\N
1441254	4907	1998-09-30	VYDAJ	VYBER	15	37733	SLUZBY	\N	\N
1441255	4907	1998-10-31	VYDAJ	VYBER	15	45838	SLUZBY	\N	\N
1441256	4907	1998-11-30	VYDAJ	VYBER	15	53977	SLUZBY	\N	\N
1441257	4907	1994-03-08	PRIJEM	VKLAD	2400	18459	\N	\N	\N
1441258	4907	1994-04-07	VYDAJ	VYBER	4100	29993	\N	\N	\N
1441259	4907	1994-05-07	VYDAJ	VYBER	8400	37284	\N	\N	\N
1441260	4907	1994-06-06	VYDAJ	VYBER	13200	39813	\N	\N	\N
1441261	4907	1994-07-06	VYDAJ	VYBER	16700	43147	\N	\N	\N
1441262	4907	1994-08-05	VYDAJ	VYBER	12200	41011	\N	\N	\N
1441263	4907	1994-09-04	VYDAJ	VYBER	12000	39216	\N	\N	\N
1441264	4907	1994-10-04	VYDAJ	VYBER	10700	34370	\N	\N	\N
1441265	4907	1994-11-03	VYDAJ	VYBER	9600	32826	\N	\N	\N
1441266	4907	1994-12-03	VYDAJ	VYBER	10900	30176	\N	\N	\N
1441267	4907	1995-01-02	VYDAJ	VYBER	7200	32474	\N	\N	\N
1441268	4907	1995-02-01	PRIJEM	VKLAD	3800	19526	\N	\N	\N
1441269	4907	1995-03-03	VYDAJ	VYBER	4800	23013	\N	\N	\N
1441270	4907	1995-04-02	VYDAJ	VYBER	5100	25216	\N	\N	\N
1441271	4907	1995-05-02	VYDAJ	VYBER	5800	27035	\N	\N	\N
1441272	4907	1995-06-01	VYDAJ	VYBER	7100	28161	\N	\N	\N
1441273	4907	1995-07-01	PRIJEM	VKLAD	3400	21783	\N	\N	\N
1441274	4907	1995-07-31	VYDAJ	VYBER	1000	23118	\N	\N	\N
1441275	4907	1995-08-30	VYDAJ	VYBER	8000	25108	\N	\N	\N
1441276	4907	1995-09-29	VYDAJ	VYBER	5200	27517	\N	\N	\N
1441277	4907	1995-10-29	VYDAJ	VYBER	8800	26529	\N	\N	\N
1441278	4907	1995-11-28	VYDAJ	VYBER	8200	26546	\N	\N	\N
1441279	4907	1995-12-28	VYDAJ	VYBER	11500	28005	\N	\N	\N
1441280	4907	1996-01-27	VYDAJ	VYBER	2900	19576	\N	\N	\N
1441281	4907	1996-02-26	VYDAJ	VYBER	7000	18676	\N	\N	\N
1441282	4907	1996-03-27	VYDAJ	VYBER	5100	21596	\N	\N	\N
1441283	4907	1996-04-26	VYDAJ	VYBER	11300	18320	\N	\N	\N
1441284	4907	1996-05-26	VYDAJ	VYBER	12600	13752	\N	\N	\N
1441285	4907	1996-06-25	VYDAJ	VYBER	15100	14430	\N	\N	\N
1441286	4907	1996-08-24	VYDAJ	VYBER	15800	14655	\N	\N	\N
1441287	4907	1996-10-23	VYDAJ	VYBER	15700	12470	\N	\N	\N
1441288	4907	1997-05-21	VYDAJ	VYBER	24000	14491	\N	\N	\N
1441289	4907	1997-08-19	VYDAJ	VYBER	32500	13898	\N	\N	\N
1441290	4907	1997-12-17	VYDAJ	VYBER	36000	14952	\N	\N	\N
1441291	4907	1998-06-15	VYDAJ	VYBER	41200	15647	\N	\N	\N
1450014	4937	1993-02-20	PRIJEM	VKLAD	700	700	\N	\N	\N
1450015	4937	1993-11-13	PRIJEM	VKLAD	5879	49466	\N	\N	\N
1450016	4937	1993-03-24	PRIJEM	VKLAD	18790	56365	\N	\N	\N
1450017	4937	1993-10-01	PRIJEM	VKLAD	14156	110916	\N	\N	\N
1450018	4937	1993-09-21	PRIJEM	VKLAD	32399	96482	\N	\N	\N
1450019	4937	1993-04-04	PRIJEM	VKLAD	38655	134571	\N	\N	\N
1450020	4937	1993-07-30	PRIJEM	VKLAD	46108	69242	\N	\N	\N
1450021	4937	1993-07-06	PRIJEM	VKLAD	10979	41321	\N	\N	\N
1450023	4937	1993-09-05	PRIJEM	VKLAD	27127	64037	\N	\N	\N
1450024	4937	1993-08-14	PRIJEM	VKLAD	13593	79468	\N	\N	\N
1450025	4937	1993-02-28	PRIJEM	VKLAD	44455	45162	\N	\N	\N
1450026	4937	1993-03-04	PRIJEM	VKLAD	8813	53975	\N	\N	\N
1450028	4937	1993-09-16	PRIJEM	VKLAD	43433	100283	\N	\N	\N
1450029	4937	1993-11-17	PRIJEM	VKLAD	44295	96188	\N	\N	\N
1450030	4937	1993-11-13	PRIJEM	VKLAD	18842	68308	\N	\N	\N
1450031	4937	1993-06-21	PRIJEM	VKLAD	8356	30263	\N	\N	\N
1450032	4937	1993-06-19	PRIJEM	VKLAD	13836	24307	\N	\N	\N
1450033	4937	1993-03-31	PRIJEM	VKLAD	39348	95916	\N	\N	\N
1450034	4937	1994-04-27	PRIJEM	VKLAD	18553	44013	\N	\N	\N
1450035	4937	1994-08-03	PRIJEM	VKLAD	32867	92168	\N	\N	\N
1450036	4937	1994-11-21	PRIJEM	VKLAD	17164	77152	\N	\N	\N
1450037	4937	1994-01-27	PRIJEM	VKLAD	37609	62421	\N	\N	\N
1450038	4937	1994-05-25	PRIJEM	VKLAD	35084	67329	\N	\N	\N
1450039	4937	1994-12-24	PRIJEM	VKLAD	21025	54582	\N	\N	\N
1450040	4937	1994-10-20	PRIJEM	VKLAD	40006	86154	\N	\N	\N
1450041	4937	1994-08-22	PRIJEM	VKLAD	12966	108180	\N	\N	\N
1450042	4937	1994-08-21	PRIJEM	VKLAD	36229	95214	\N	\N	\N
1450043	4937	1994-05-28	PRIJEM	VKLAD	12743	80072	\N	\N	\N
1450044	4937	1994-10-02	PRIJEM	VKLAD	23173	89984	\N	\N	\N
1450045	4937	1994-07-23	PRIJEM	VKLAD	20766	59102	\N	\N	\N
1450046	4937	1994-05-03	PRIJEM	VKLAD	10146	54285	\N	\N	\N
1450047	4937	1994-06-17	PRIJEM	VKLAD	36433	88394	\N	\N	\N
1450048	4937	1994-03-11	PRIJEM	VKLAD	42359	62108	\N	\N	\N
1450049	4937	1994-11-30	PRIJEM	VKLAD	22272	99765	\N	\N	\N
1450050	4937	1994-03-27	PRIJEM	VKLAD	13193	57114	\N	\N	\N
1450051	4937	1994-10-31	PRIJEM	VKLAD	14332	100486	\N	\N	\N
1450052	4937	1995-04-22	PRIJEM	VKLAD	17413	64463	\N	\N	\N
1450053	4937	1995-03-02	PRIJEM	VKLAD	10250	63353	\N	\N	\N
1450054	4937	1995-02-10	PRIJEM	VKLAD	6175	38806	\N	\N	\N
1450055	4937	1995-02-21	PRIJEM	VKLAD	40531	66654	\N	\N	\N
1450056	4937	1995-07-16	PRIJEM	VKLAD	21473	84924	\N	\N	\N
1450057	4937	1995-11-05	PRIJEM	VKLAD	23109	39143	\N	\N	\N
1450058	4937	1995-06-18	PRIJEM	VKLAD	43732	87561	\N	\N	\N
1450059	4937	1995-03-21	PRIJEM	VKLAD	34935	77505	\N	\N	\N
1450060	4937	1995-05-25	PRIJEM	VKLAD	28636	70763	\N	\N	\N
1450061	4937	1995-01-11	PRIJEM	VKLAD	20289	64776	\N	\N	\N
1450062	4937	1995-06-16	PRIJEM	VKLAD	42830	83429	\N	\N	\N
1450063	4937	1995-06-24	PRIJEM	VKLAD	22109	109670	\N	\N	\N
1450064	4937	1995-07-28	PRIJEM	VKLAD	5875	90799	\N	\N	\N
1450065	4937	1995-01-09	PRIJEM	VKLAD	19566	51087	\N	\N	\N
1450066	4937	1995-12-04	PRIJEM	VKLAD	28450	53494	\N	\N	\N
1450067	4937	1996-10-25	PRIJEM	VKLAD	24650	85009	\N	\N	\N
1450068	4937	1996-01-29	PRIJEM	VKLAD	35028	73982	\N	\N	\N
1450069	4937	1996-05-29	PRIJEM	VKLAD	12207	52820	\N	\N	\N
1450070	4937	1996-11-21	PRIJEM	VKLAD	43298	135935	\N	\N	\N
1450071	4937	1996-02-03	PRIJEM	VKLAD	43939	118058	\N	\N	\N
1450072	4937	1996-02-25	PRIJEM	VKLAD	34648	99622	\N	\N	\N
1450073	4937	1996-06-20	PRIJEM	VKLAD	17972	77793	\N	\N	\N
1450074	4937	1996-11-30	PRIJEM	VKLAD	42844	123875	\N	\N	\N
1450075	4937	1996-09-19	PRIJEM	VKLAD	18805	105608	\N	\N	\N
1450076	4937	1996-06-04	PRIJEM	VKLAD	23997	77011	\N	\N	\N
1450077	4937	1996-08-12	PRIJEM	VKLAD	17075	134957	\N	\N	\N
1450078	4937	1996-03-27	PRIJEM	VKLAD	34459	116999	\N	\N	\N
1450079	4937	1996-10-11	PRIJEM	VKLAD	30570	84263	\N	\N	\N
1450080	4937	1996-08-10	PRIJEM	VKLAD	14961	117882	\N	\N	\N
1450081	4937	1996-03-18	PRIJEM	VKLAD	26500	82540	\N	\N	\N
1450082	4937	1996-02-28	PRIJEM	VKLAD	36006	135628	\N	\N	\N
1450083	4937	1996-01-18	PRIJEM	VKLAD	15007	38954	\N	\N	\N
1450084	4937	1996-09-25	PRIJEM	VKLAD	14506	120114	\N	\N	\N
1450085	4937	1996-07-31	PRIJEM	VKLAD	18935	93443	\N	\N	\N
1450086	4937	1996-07-28	PRIJEM	VKLAD	26677	98776	\N	\N	\N
1450087	4937	1996-07-07	PRIJEM	VKLAD	9843	81582	\N	\N	\N
1450088	4937	1996-09-01	PRIJEM	VKLAD	47176	119786	\N	\N	\N
1450089	4937	1996-06-30	PRIJEM	VKLAD	35271	113064	\N	\N	\N
1450090	4937	1996-06-10	PRIJEM	VKLAD	14493	69304	\N	\N	\N
1450091	4937	1996-11-13	PRIJEM	VKLAD	42258	95324	\N	\N	\N
1450092	4937	1996-08-08	PRIJEM	VKLAD	42592	102921	\N	\N	\N
1450093	4937	1996-09-08	PRIJEM	VKLAD	27104	104290	\N	\N	\N
1450094	4937	1997-04-03	PRIJEM	VKLAD	19000	57586	\N	\N	\N
1450095	4937	1997-09-24	PRIJEM	VKLAD	49964	69631	\N	\N	\N
1450096	4937	1997-03-16	PRIJEM	VKLAD	30006	51044	\N	\N	\N
1450097	4937	1997-05-24	PRIJEM	VKLAD	20105	52999	\N	\N	\N
1450098	4937	1997-01-07	PRIJEM	VKLAD	41047	75783	\N	\N	\N
1450099	4937	1998-11-15	PRIJEM	VKLAD	20538	46325	\N	\N	\N
1450100	4937	1998-07-27	PRIJEM	VKLAD	17148	67261	\N	\N	\N
1450101	4937	1998-02-10	PRIJEM	VKLAD	45927	85380	\N	\N	\N
1450102	4937	1998-03-03	PRIJEM	VKLAD	6080	63188	\N	\N	\N
1450103	4937	1998-09-26	PRIJEM	VKLAD	40203	70107	\N	\N	\N
1450104	4937	1998-12-22	PRIJEM	VKLAD	34564	68169	\N	\N	\N
1450105	4937	1998-07-09	PRIJEM	VKLAD	26582	93515	\N	\N	\N
1450106	4937	1998-07-03	PRIJEM	VKLAD	47177	75033	\N	\N	\N
1450107	4937	1998-08-25	PRIJEM	VKLAD	6881	47111	\N	\N	\N
1450108	4937	1998-02-05	PRIJEM	VKLAD	20884	39453	\N	\N	\N
1450109	4937	1998-11-19	PRIJEM	VKLAD	49404	95729	\N	\N	\N
1450110	4937	1998-03-19	PRIJEM	VKLAD	36052	90053	\N	\N	\N
1450111	4937	1998-12-09	PRIJEM	VKLAD	28085	118860	\N	\N	\N
1450112	4937	1998-12-04	PRIJEM	VKLAD	43717	90775	\N	\N	\N
1450116	4937	1993-04-24	VYDAJ	VYBER	5400	45384	\N	\N	0
1450117	4937	1993-05-16	VYDAJ	VYBER	6700	16861	\N	\N	0
1450118	4937	1993-06-18	VYDAJ	VYBER	5800	10471	\N	\N	0
1450119	4937	1993-07-11	VYDAJ	VYBER	6400	34921	\N	\N	0
1450120	4937	1993-07-27	VYDAJ	VYBER	5400	23134	\N	\N	0
1450121	4937	1993-09-07	VYDAJ	VYBER	3700	60337	\N	\N	0
1450122	4937	1993-10-18	VYDAJ	VYBER	4000	68129	\N	\N	0
1450123	4937	1993-11-08	VYDAJ	VYBER	6200	44387	\N	\N	0
1450124	4937	1993-12-16	VYDAJ	VYBER	5000	53182	\N	\N	0
1450125	4937	1994-01-09	VYDAJ	VYBER	5100	21499	\N	\N	0
1450126	4937	1994-02-12	VYDAJ	VYBER	3800	28578	\N	\N	0
1450127	4937	1994-03-05	VYDAJ	VYBER	8200	19749	\N	\N	0
1450128	4937	1994-04-13	VYDAJ	VYBER	5000	17960	\N	\N	0
1450129	4937	1994-05-04	VYDAJ	VYBER	5600	37232	\N	\N	0
1450130	4937	1994-06-16	VYDAJ	VYBER	6500	51961	\N	\N	0
1450131	4937	1994-07-01	VYDAJ	VYBER	5400	73105	\N	\N	0
1450132	4937	1994-08-12	VYDAJ	PREVOD NA UCET	5996	86172	UVER	ST	47568672
1450133	4937	1994-09-12	VYDAJ	PREVOD NA UCET	5996	102491	UVER	ST	47568672
1450134	4937	1994-10-12	VYDAJ	PREVOD NA UCET	5996	79143	UVER	ST	47568672
1450135	4937	1994-11-12	VYDAJ	PREVOD NA UCET	5996	62675	UVER	ST	47568672
1450136	4937	1994-12-12	VYDAJ	PREVOD NA UCET	5996	88354	UVER	ST	47568672
1450137	4937	1995-01-12	VYDAJ	PREVOD NA UCET	5996	42580	UVER	ST	47568672
1450138	4937	1995-02-12	VYDAJ	PREVOD NA UCET	5996	28810	UVER	ST	47568672
1450139	4937	1995-03-12	VYDAJ	PREVOD NA UCET	5996	57357	UVER	ST	47568672
1450140	4937	1995-04-12	VYDAJ	PREVOD NA UCET	5996	49737	UVER	ST	47568672
1450141	4937	1995-05-12	VYDAJ	PREVOD NA UCET	5996	44814	UVER	ST	47568672
1450142	4937	1995-06-12	VYDAJ	PREVOD NA UCET	5996	44086	UVER	ST	47568672
1450143	4937	1995-07-12	VYDAJ	PREVOD NA UCET	5996	66138	UVER	ST	47568672
1450144	4937	1995-08-12	VYDAJ	PREVOD NA UCET	5996	53963	UVER	ST	47568672
1450145	4937	1995-09-12	VYDAJ	PREVOD NA UCET	5996	23664	UVER	ST	47568672
1450146	4937	1995-10-12	VYDAJ	PREVOD NA UCET	5996	19466	UVER	ST	47568672
1450147	4937	1995-11-12	VYDAJ	PREVOD NA UCET	5996	27647	UVER	ST	47568672
1450148	4937	1995-12-12	VYDAJ	PREVOD NA UCET	5996	36898	UVER	ST	47568672
1450149	4937	1996-01-12	VYDAJ	PREVOD NA UCET	5996	26634	UVER	ST	47568672
1450150	4937	1996-02-12	VYDAJ	PREVOD NA UCET	5996	68461	UVER	ST	47568672
1450151	4937	1996-03-12	VYDAJ	PREVOD NA UCET	5996	58727	UVER	ST	47568672
1450152	4937	1996-04-12	VYDAJ	PREVOD NA UCET	5996	71046	UVER	ST	47568672
1450153	4937	1996-05-12	VYDAJ	PREVOD NA UCET	5996	44100	UVER	ST	47568672
1450154	4937	1996-06-12	VYDAJ	PREVOD NA UCET	5996	62508	UVER	ST	47568672
1450155	4937	1996-07-12	VYDAJ	PREVOD NA UCET	5996	75586	UVER	ST	47568672
1450156	4937	1996-08-24	VYDAJ	VYBER	5200	72270	\N	\N	0
1450157	4937	1996-09-10	VYDAJ	VYBER	5900	98390	\N	\N	0
1450158	4937	1996-10-03	VYDAJ	VYBER	5300	56996	\N	\N	0
1450159	4937	1996-11-08	VYDAJ	VYBER	5300	53866	\N	\N	0
1450160	4937	1996-12-27	VYDAJ	VYBER	4800	37773	\N	\N	0
1450161	4937	1997-01-10	VYDAJ	VYBER	4400	64783	\N	\N	0
1450162	4937	1997-02-20	VYDAJ	VYBER	7900	29895	\N	\N	0
1450163	4937	1997-03-13	VYDAJ	VYBER	6400	21038	\N	\N	0
1450164	4937	1997-04-10	VYDAJ	VYBER	5300	52286	\N	\N	0
1450165	4937	1997-05-09	VYDAJ	VYBER	6100	36381	\N	\N	0
1450166	4937	1997-06-10	VYDAJ	VYBER	5500	35945	\N	\N	0
1450167	4937	1997-07-23	VYDAJ	VYBER	5300	23795	\N	\N	0
1450170	4937	1997-10-28	VYDAJ	VYBER	7800	35640	\N	\N	0
1450171	4937	1997-11-16	VYDAJ	VYBER	7000	25321	\N	\N	0
1450174	4937	1998-02-28	VYDAJ	VYBER	7400	57108	\N	\N	0
1450175	4937	1998-03-03	VYDAJ	VYBER	5700	57488	\N	\N	0
1450176	4937	1998-04-15	VYDAJ	VYBER	7700	49914	\N	\N	0
1450177	4937	1998-05-20	VYDAJ	VYBER	5700	33721	\N	\N	0
1450178	4937	1998-06-18	VYDAJ	VYBER	6200	23364	\N	\N	0
1450179	4937	1998-07-06	VYDAJ	VYBER	8100	66933	\N	\N	0
1450180	4937	1998-08-25	VYDAJ	VYBER	6200	40911	\N	\N	0
1450181	4937	1998-09-02	VYDAJ	VYBER	5400	35691	\N	\N	0
1450182	4937	1998-10-12	VYDAJ	VYBER	6700	62749	\N	\N	0
1450183	4937	1998-11-22	VYDAJ	VYBER	6000	56929	\N	\N	0
1450184	4937	1998-11-30	VYDAJ	VYBER	5100	47058	\N	\N	0
1450188	4937	1993-04-13	VYDAJ	PREVOD NA UCET	2687	70584	SIPO	OP	13841212
1450189	4937	1993-05-13	VYDAJ	PREVOD NA UCET	2687	23561	SIPO	OP	13841212
1450190	4937	1993-06-13	VYDAJ	PREVOD NA UCET	2687	16271	SIPO	OP	13841212
1450191	4937	1993-07-13	VYDAJ	PREVOD NA UCET	2687	31434	SIPO	OP	13841212
1450192	4937	1993-08-13	VYDAJ	PREVOD NA UCET	2687	65875	SIPO	OP	13841212
1450193	4937	1993-09-13	VYDAJ	PREVOD NA UCET	2687	56850	SIPO	OP	13841212
1450194	4937	1993-10-13	VYDAJ	PREVOD NA UCET	2687	72129	SIPO	OP	13841212
1450195	4937	1993-11-13	VYDAJ	PREVOD NA UCET	2687	65621	SIPO	OP	13841212
1450196	4937	1993-12-13	VYDAJ	PREVOD NA UCET	2687	58182	SIPO	OP	13841212
1450197	4937	1994-01-13	VYDAJ	PREVOD NA UCET	2687	18012	SIPO	OP	13841212
1450198	4937	1994-02-13	VYDAJ	PREVOD NA UCET	2687	25891	SIPO	OP	13841212
1450199	4937	1994-03-13	VYDAJ	PREVOD NA UCET	2687	58621	SIPO	OP	13841212
1450200	4937	1994-04-13	VYDAJ	PREVOD NA UCET	2687	22960	SIPO	OP	13841212
1450201	4937	1994-05-13	VYDAJ	PREVOD NA UCET	2687	33745	SIPO	OP	13841212
1450202	4937	1994-06-13	VYDAJ	PREVOD NA UCET	2687	76761	SIPO	OP	13841212
1450203	4937	1994-07-13	VYDAJ	PREVOD NA UCET	2687	47136	SIPO	OP	13841212
1450204	4937	1994-08-13	VYDAJ	PREVOD NA UCET	2687	82685	SIPO	OP	13841212
1450205	4937	1994-09-13	VYDAJ	PREVOD NA UCET	2687	66404	SIPO	OP	13841212
1450206	4937	1994-10-13	VYDAJ	PREVOD NA UCET	2687	54556	SIPO	OP	13841212
1450207	4937	1994-11-13	VYDAJ	PREVOD NA UCET	2687	59988	SIPO	OP	13841212
1450208	4937	1994-12-13	VYDAJ	PREVOD NA UCET	2687	57467	SIPO	OP	13841212
1450209	4937	1995-01-13	VYDAJ	PREVOD NA UCET	2687	32493	SIPO	OP	13841212
1450210	4937	1995-02-13	VYDAJ	PREVOD NA UCET	2687	26123	SIPO	OP	13841212
1450211	4937	1995-03-13	VYDAJ	PREVOD NA UCET	2687	42570	SIPO	OP	13841212
1450212	4937	1995-04-13	VYDAJ	PREVOD NA UCET	2687	47050	SIPO	OP	13841212
1450213	4937	1995-05-13	VYDAJ	PREVOD NA UCET	2687	42127	SIPO	OP	13841212
1450214	4937	1995-06-13	VYDAJ	PREVOD NA UCET	2687	40599	SIPO	OP	13841212
1450215	4937	1995-07-13	VYDAJ	PREVOD NA UCET	2687	63451	SIPO	OP	13841212
1450216	4937	1995-08-13	VYDAJ	PREVOD NA UCET	2687	51276	SIPO	OP	13841212
1450217	4937	1995-09-13	VYDAJ	PREVOD NA UCET	2687	20977	SIPO	OP	13841212
1450218	4937	1995-10-13	VYDAJ	PREVOD NA UCET	2687	15979	SIPO	OP	13841212
1450219	4937	1995-11-13	VYDAJ	PREVOD NA UCET	2687	24960	SIPO	OP	13841212
1450220	4937	1995-12-13	VYDAJ	PREVOD NA UCET	2687	33411	SIPO	OP	13841212
1450221	4937	1996-01-13	VYDAJ	PREVOD NA UCET	2687	23947	SIPO	OP	13841212
1450222	4937	1996-02-13	VYDAJ	PREVOD NA UCET	2687	64974	SIPO	OP	13841212
1450223	4937	1996-03-13	VYDAJ	PREVOD NA UCET	2687	56040	SIPO	OP	13841212
1450224	4937	1996-04-13	VYDAJ	PREVOD NA UCET	2687	67559	SIPO	OP	13841212
1450225	4937	1996-05-13	VYDAJ	PREVOD NA UCET	2687	40613	SIPO	OP	13841212
1450226	4937	1996-06-13	VYDAJ	PREVOD NA UCET	2687	59821	SIPO	OP	13841212
1450227	4937	1996-07-13	VYDAJ	PREVOD NA UCET	2687	72099	SIPO	OP	13841212
1450228	4937	1996-08-13	VYDAJ	PREVOD NA UCET	2687	88570	SIPO	OP	13841212
1450229	4937	1996-09-13	VYDAJ	PREVOD NA UCET	2687	94903	SIPO	OP	13841212
1450230	4937	1996-10-13	VYDAJ	PREVOD NA UCET	2687	60359	SIPO	OP	13841212
1450231	4937	1996-11-13	VYDAJ	PREVOD NA UCET	2687	92637	SIPO	OP	13841212
1450232	4937	1996-12-13	VYDAJ	PREVOD NA UCET	2687	42573	SIPO	OP	13841212
1450233	4937	1997-01-13	VYDAJ	PREVOD NA UCET	2687	61296	SIPO	OP	13841212
1450234	4937	1997-02-13	VYDAJ	PREVOD NA UCET	2687	37795	SIPO	OP	13841212
1450235	4937	1997-03-13	VYDAJ	PREVOD NA UCET	2687	27438	SIPO	OP	13841212
1450236	4937	1997-04-13	VYDAJ	PREVOD NA UCET	2687	48799	SIPO	OP	13841212
1450237	4937	1997-05-13	VYDAJ	PREVOD NA UCET	2687	32894	SIPO	OP	13841212
1450238	4937	1997-06-13	VYDAJ	PREVOD NA UCET	2687	32458	SIPO	OP	13841212
1450239	4937	1997-07-13	VYDAJ	PREVOD NA UCET	2687	29095	SIPO	OP	13841212
1450240	4937	1997-08-13	VYDAJ	PREVOD NA UCET	2687	20402	SIPO	OP	13841212
1450242	4937	1997-10-13	VYDAJ	PREVOD NA UCET	2687	47040	SIPO	OP	13841212
1450243	4937	1997-11-13	VYDAJ	PREVOD NA UCET	2687	32321	SIPO	OP	13841212
1450244	4937	1997-12-13	VYDAJ	PREVOD NA UCET	2687	21932	SIPO	OP	13841212
1450245	4937	1998-01-13	VYDAJ	PREVOD NA UCET	2687	18515	SIPO	OP	13841212
1450246	4937	1998-02-13	VYDAJ	PREVOD NA UCET	2687	81893	SIPO	OP	13841212
1450247	4937	1998-03-13	VYDAJ	PREVOD NA UCET	2687	54001	SIPO	OP	13841212
1450248	4937	1998-04-13	VYDAJ	PREVOD NA UCET	2687	57614	SIPO	OP	13841212
1450249	4937	1998-05-13	VYDAJ	PREVOD NA UCET	2687	39421	SIPO	OP	13841212
1450250	4937	1998-06-13	VYDAJ	PREVOD NA UCET	2687	29564	SIPO	OP	13841212
1450251	4937	1998-07-13	VYDAJ	PREVOD NA UCET	2687	90028	SIPO	OP	13841212
1450252	4937	1998-08-13	VYDAJ	PREVOD NA UCET	2687	52330	SIPO	OP	13841212
1450253	4937	1998-09-13	VYDAJ	PREVOD NA UCET	2687	32204	SIPO	OP	13841212
1450254	4937	1998-10-13	VYDAJ	PREVOD NA UCET	2687	60062	SIPO	OP	13841212
1450255	4937	1998-11-13	VYDAJ	PREVOD NA UCET	2687	25787	SIPO	OP	13841212
1450256	4937	1998-12-13	VYDAJ	PREVOD NA UCET	2687	75373	SIPO	OP	13841212
1450260	4937	1993-04-12	VYDAJ	PREVOD NA UCET	800	73271	 	OP	43502605
1450261	4937	1993-05-12	VYDAJ	PREVOD NA UCET	800	26248	 	OP	43502605
1450262	4937	1993-06-12	VYDAJ	PREVOD NA UCET	800	18958	 	OP	43502605
1450263	4937	1993-07-12	VYDAJ	PREVOD NA UCET	800	34121	 	OP	43502605
1450264	4937	1993-08-12	VYDAJ	PREVOD NA UCET	800	68562	 	OP	43502605
1450265	4937	1993-09-12	VYDAJ	PREVOD NA UCET	800	59537	 	OP	43502605
1450266	4937	1993-10-12	VYDAJ	PREVOD NA UCET	800	74816	 	OP	43502605
1450267	4937	1993-11-12	VYDAJ	PREVOD NA UCET	800	43587	 	OP	43502605
1450268	4937	1993-12-12	VYDAJ	PREVOD NA UCET	800	60869	 	OP	43502605
1450269	4937	1994-01-12	VYDAJ	PREVOD NA UCET	800	20699	 	OP	43502605
1450270	4937	1994-02-12	VYDAJ	PREVOD NA UCET	800	47078	 	OP	43502605
1450271	4937	1994-03-12	VYDAJ	PREVOD NA UCET	800	61308	 	OP	43502605
1450272	4937	1994-04-12	VYDAJ	PREVOD NA UCET	800	25647	 	OP	43502605
1450273	4937	1994-05-12	VYDAJ	PREVOD NA UCET	800	36432	 	OP	43502605
1450274	4937	1994-06-12	VYDAJ	PREVOD NA UCET	800	79448	 	OP	43502605
1450275	4937	1994-07-12	VYDAJ	PREVOD NA UCET	800	49823	 	OP	43502605
1450276	4937	1994-08-12	VYDAJ	PREVOD NA UCET	800	85372	 	OP	43502605
1450277	4937	1994-09-12	VYDAJ	PREVOD NA UCET	800	101691	 	OP	43502605
1450278	4937	1994-10-12	VYDAJ	PREVOD NA UCET	800	78343	 	OP	43502605
1450279	4937	1994-11-12	VYDAJ	PREVOD NA UCET	800	99971	 	OP	43502605
1450280	4937	1994-12-12	VYDAJ	PREVOD NA UCET	800	87554	 	OP	43502605
1450281	4937	1995-01-12	VYDAJ	PREVOD NA UCET	800	41780	 	OP	43502605
1450282	4937	1995-02-12	VYDAJ	PREVOD NA UCET	800	34806	 	OP	43502605
1450283	4937	1995-03-12	VYDAJ	PREVOD NA UCET	800	45257	 	OP	43502605
1450284	4937	1995-04-12	VYDAJ	PREVOD NA UCET	800	55733	 	OP	43502605
1450285	4937	1995-05-12	VYDAJ	PREVOD NA UCET	800	50810	 	OP	43502605
1450286	4937	1995-06-12	VYDAJ	PREVOD NA UCET	800	43286	 	OP	43502605
1450287	4937	1995-07-12	VYDAJ	PREVOD NA UCET	800	72134	 	OP	43502605
1450288	4937	1995-08-12	VYDAJ	PREVOD NA UCET	800	59960	 	OP	43502605
1450289	4937	1995-09-12	VYDAJ	PREVOD NA UCET	800	29660	 	OP	43502605
1450290	4937	1995-10-12	VYDAJ	PREVOD NA UCET	800	18666	 	OP	43502605
1450291	4937	1995-11-12	VYDAJ	PREVOD NA UCET	800	33643	 	OP	43502605
1450292	4937	1995-12-12	VYDAJ	PREVOD NA UCET	800	36098	 	OP	43502605
1450293	4937	1996-01-12	VYDAJ	PREVOD NA UCET	800	32630	 	OP	43502605
1450294	4937	1996-02-12	VYDAJ	PREVOD NA UCET	800	67661	 	OP	43502605
1450295	4937	1996-03-12	VYDAJ	PREVOD NA UCET	800	64723	 	OP	43502605
1450296	4937	1996-04-12	VYDAJ	PREVOD NA UCET	800	70246	 	OP	43502605
1450297	4937	1996-05-12	VYDAJ	PREVOD NA UCET	800	43300	 	OP	43502605
1450298	4937	1996-06-12	VYDAJ	PREVOD NA UCET	800	68504	 	OP	43502605
1450299	4937	1996-07-12	VYDAJ	PREVOD NA UCET	800	74786	 	OP	43502605
1450300	4937	1996-08-12	VYDAJ	PREVOD NA UCET	800	91257	 	OP	43502605
1450301	4937	1996-09-12	VYDAJ	PREVOD NA UCET	800	97590	 	OP	43502605
1450302	4937	1996-10-12	VYDAJ	PREVOD NA UCET	800	63046	 	OP	43502605
1450303	4937	1996-11-12	VYDAJ	PREVOD NA UCET	800	53066	 	OP	43502605
1450304	4937	1996-12-12	VYDAJ	PREVOD NA UCET	800	45260	 	OP	43502605
1450305	4937	1997-01-12	VYDAJ	PREVOD NA UCET	800	63983	 	OP	43502605
1450306	4937	1997-02-12	VYDAJ	PREVOD NA UCET	800	40482	 	OP	43502605
1450307	4937	1997-03-12	VYDAJ	PREVOD NA UCET	800	30125	 	OP	43502605
1450308	4937	1997-04-12	VYDAJ	PREVOD NA UCET	800	51486	 	OP	43502605
1450309	4937	1997-05-12	VYDAJ	PREVOD NA UCET	800	35581	 	OP	43502605
1450310	4937	1997-06-12	VYDAJ	PREVOD NA UCET	800	35145	 	OP	43502605
1450311	4937	1997-07-12	VYDAJ	PREVOD NA UCET	800	31782	 	OP	43502605
1450312	4937	1997-08-12	VYDAJ	PREVOD NA UCET	800	23089	 	OP	43502605
1450313	4937	1997-09-12	VYDAJ	PREVOD NA UCET	800	19667	 	OP	43502605
1450314	4937	1997-10-12	VYDAJ	PREVOD NA UCET	800	49727	 	OP	43502605
1450315	4937	1997-11-12	VYDAJ	PREVOD NA UCET	800	35008	 	OP	43502605
1450316	4937	1997-12-12	VYDAJ	PREVOD NA UCET	800	24619	 	OP	43502605
1450317	4937	1998-01-12	VYDAJ	PREVOD NA UCET	800	21202	 	OP	43502605
1450318	4937	1998-02-12	VYDAJ	PREVOD NA UCET	800	84580	 	OP	43502605
1450319	4937	1998-03-12	VYDAJ	PREVOD NA UCET	800	56688	 	OP	43502605
1450320	4937	1998-04-12	VYDAJ	PREVOD NA UCET	800	60301	 	OP	43502605
1450321	4937	1998-05-12	VYDAJ	PREVOD NA UCET	800	42108	 	OP	43502605
1450322	4937	1998-06-12	VYDAJ	PREVOD NA UCET	800	32251	 	OP	43502605
1450323	4937	1998-07-12	VYDAJ	PREVOD NA UCET	800	92715	 	OP	43502605
1450324	4937	1998-08-12	VYDAJ	PREVOD NA UCET	800	55017	 	OP	43502605
1450325	4937	1998-09-12	VYDAJ	PREVOD NA UCET	800	34891	 	OP	43502605
1450326	4937	1998-10-12	VYDAJ	PREVOD NA UCET	800	69449	 	OP	43502605
1450327	4937	1998-11-12	VYDAJ	PREVOD NA UCET	800	28474	 	OP	43502605
1450328	4937	1998-12-12	VYDAJ	PREVOD NA UCET	800	78060	 	OP	43502605
1450329	4937	1993-05-07	VYBER	VYBER	12297	27048	\N	\N	\N
1450330	4937	1993-11-14	VYBER	VYBER	13728	51893	\N	\N	\N
1450332	4937	1994-12-19	VYBER	VYBER	23910	33557	\N	\N	\N
1450333	4937	1994-02-06	VYBER	VYBER	14658	47878	\N	\N	\N
1450335	4937	1994-04-07	VYBER	VYBER	12335	26447	\N	\N	\N
1450336	4937	1994-01-04	VYBER	VYBER	6275	26599	\N	\N	\N
1450337	4937	1994-04-01	VYBER	VYBER	18499	38782	\N	\N	\N
1450338	4937	1994-10-12	VYBER	VYBER	4845	85139	\N	\N	\N
1450339	4937	1994-07-03	VYBER	VYBER	22482	50623	\N	\N	\N
1450340	4937	1994-10-18	VYBER	VYBER	8408	46148	\N	\N	\N
1450342	4937	1994-05-04	VYBER	VYBER	11453	42832	\N	\N	\N
1450344	4937	1994-06-17	VYBER	VYBER	10195	78199	\N	\N	\N
1450348	4937	1995-02-28	VYBER	VYBER	13701	53118	\N	\N	\N
1450349	4937	1995-08-18	VYBER	VYBER	15338	35938	\N	\N	\N
1450350	4937	1995-01-07	VYBER	VYBER	7727	31521	\N	\N	\N
1450351	4937	1995-06-26	VYBER	VYBER	2638	107032	\N	\N	\N
1450352	4937	1996-07-29	VYBER	VYBER	24608	74168	\N	\N	\N
1450355	4937	1996-10-11	VYBER	VYBER	20417	63846	\N	\N	\N
1450356	4937	1996-10-08	VYBER	VYBER	3303	53693	\N	\N	\N
1450363	4937	1998-12-15	VYBER	VYBER	14828	43005	\N	\N	\N
1450364	4937	1998-10-19	VYBER	VYBER	20573	39489	\N	\N	\N
1450366	4937	1998-11-27	VYBER	VYBER	4926	52003	\N	\N	\N
1450369	4937	1998-07-22	VYBER	VYBER	13015	77013	\N	\N	\N
1450370	4937	1998-12-14	VYBER	VYBER	17540	57833	\N	\N	\N
1450373	4937	1995-06-16	VYDAJ	VYBER	39600	43829	\N	\N	\N
1450383	4937	1993-12-22	VYDAJ	VYBER	7800	35682	\N	\N	\N
1450384	4937	1994-12-06	VYDAJ	VYBER	5400	94351	\N	\N	\N
1450388	4937	1998-12-24	VYDAJ	VYBER	1800	66369	\N	\N	\N
1450395	4937	1994-01-03	VYDAJ	VYBER	3000	32874	\N	\N	\N
1450402	4937	1995-01-02	VYDAJ	VYBER	8100	46748	\N	\N	\N
1450403	4937	1995-01-12	VYDAJ	VYBER	6600	35180	\N	\N	\N
1450406	4937	1995-01-09	VYDAJ	VYBER	6600	44487	\N	\N	\N
1450410	4937	1996-01-01	VYDAJ	VYBER	1500	32030	\N	\N	\N
1450413	4937	1997-01-28	VYDAJ	VYBER	8400	39696	\N	\N	\N
1450415	4937	1997-01-17	VYDAJ	VYBER	3900	52596	\N	\N	\N
1450416	4937	1997-01-22	VYDAJ	VYBER	4500	48096	\N	\N	\N
1450417	4937	1997-01-08	VYDAJ	VYBER	6600	69183	\N	\N	\N
1450418	4937	1997-01-17	VYDAJ	VYBER	4800	56496	\N	\N	\N
1450426	4937	1993-08-29	VYDAJ	VYBER	13500	36668	\N	\N	\N
1450427	4937	1993-04-30	VYDAJ	VYBER	6300	39345	\N	\N	\N
1450428	4937	1994-02-12	VYDAJ	VYBER	14700	32378	\N	\N	\N
1450429	4937	1995-01-06	VYDAJ	VYBER	3900	39248	\N	\N	\N
1450430	4937	1995-08-24	VYDAJ	VYBER	4200	31738	\N	\N	\N
1450433	4937	1995-01-03	VYDAJ	VYBER	3600	43148	\N	\N	\N
1450436	4937	1996-08-16	VYDAJ	VYBER	11100	77470	\N	\N	\N
1450437	4937	1996-12-05	VYDAJ	VYBER	3300	46060	\N	\N	\N
1450438	4937	1996-09-16	VYDAJ	VYBER	8100	86803	\N	\N	\N
1450445	4937	1998-07-29	VYDAJ	VYBER	11700	55561	\N	\N	\N
1450450	4937	1993-04-30	VYDAJ	VYBER	15	45645	SLUZBY	\N	\N
1450451	4937	1993-05-31	VYDAJ	VYBER	15	19758	SLUZBY	\N	\N
1450452	4937	1993-06-30	VYDAJ	VYBER	15	30342	SLUZBY	\N	\N
1450453	4937	1993-07-31	VYDAJ	VYBER	15	69362	SLUZBY	\N	\N
1450454	4937	1993-08-31	VYDAJ	VYBER	15	36910	SLUZBY	\N	\N
1450455	4937	1993-09-30	VYDAJ	VYBER	15	96760	SLUZBY	\N	\N
1450456	4937	1993-10-31	VYDAJ	VYBER	15	50587	SLUZBY	\N	\N
1450457	4937	1993-11-30	VYDAJ	VYBER	15	61669	SLUZBY	\N	\N
1450458	4937	1993-12-31	VYDAJ	VYBER	15	35874	SLUZBY	\N	\N
1450459	4937	1994-01-31	VYDAJ	VYBER	15	62536	SLUZBY	\N	\N
1450460	4937	1994-02-28	VYDAJ	VYBER	15	27949	SLUZBY	\N	\N
1450461	4937	1994-03-31	VYDAJ	VYBER	15	57281	SLUZBY	\N	\N
1450462	4937	1994-04-30	VYDAJ	VYBER	15	44139	SLUZBY	\N	\N
1450463	4937	1994-05-31	VYDAJ	VYBER	15	80248	SLUZBY	\N	\N
1450464	4937	1994-06-30	VYDAJ	VYBER	15	78505	SLUZBY	\N	\N
1450465	4937	1994-07-31	VYDAJ	VYBER	15	59301	SLUZBY	\N	\N
1450466	4937	1994-08-31	VYDAJ	VYBER	15	108488	SLUZBY	\N	\N
1450467	4937	1994-09-30	VYDAJ	VYBER	15	66811	SLUZBY	\N	\N
1450468	4937	1994-10-31	VYDAJ	VYBER	15	100771	SLUZBY	\N	\N
1450469	4937	1994-11-30	VYDAJ	VYBER	15	99751	SLUZBY	\N	\N
1450470	4937	1994-12-31	VYDAJ	VYBER	15	54848	SLUZBY	\N	\N
1450471	4937	1995-01-31	VYDAJ	VYBER	15	32631	SLUZBY	\N	\N
1450472	4937	1995-02-28	VYDAJ	VYBER	15	53103	SLUZBY	\N	\N
1450473	4937	1995-03-31	VYDAJ	VYBER	15	77733	SLUZBY	\N	\N
1450474	4937	1995-04-30	VYDAJ	VYBER	15	64710	SLUZBY	\N	\N
1450475	4937	1995-05-31	VYDAJ	VYBER	15	70982	SLUZBY	\N	\N
1450476	4937	1995-06-30	VYDAJ	VYBER	15	107334	SLUZBY	\N	\N
1450477	4937	1995-07-31	VYDAJ	VYBER	15	91160	SLUZBY	\N	\N
1450478	4937	1995-08-31	VYDAJ	VYBER	15	31960	SLUZBY	\N	\N
1450479	4937	1995-09-30	VYDAJ	VYBER	15	21062	SLUZBY	\N	\N
1450480	4937	1995-10-31	VYDAJ	VYBER	15	16034	SLUZBY	\N	\N
1450481	4937	1995-11-30	VYDAJ	VYBER	15	25044	SLUZBY	\N	\N
1450482	4937	1995-12-31	VYDAJ	VYBER	15	33530	SLUZBY	\N	\N
1450483	4937	1996-01-31	VYDAJ	VYBER	15	74119	SLUZBY	\N	\N
1450484	4937	1996-02-29	VYDAJ	VYBER	15	118923	SLUZBY	\N	\N
1450485	4937	1996-03-31	VYDAJ	VYBER	15	117343	SLUZBY	\N	\N
1450486	4937	1996-04-30	VYDAJ	VYBER	15	67897	SLUZBY	\N	\N
1450487	4937	1996-05-31	VYDAJ	VYBER	15	53014	SLUZBY	\N	\N
1450488	4937	1996-06-30	VYDAJ	VYBER	15	113339	SLUZBY	\N	\N
1450489	4937	1996-07-31	VYDAJ	VYBER	15	93429	SLUZBY	\N	\N
1450490	4937	1996-08-31	VYDAJ	VYBER	15	72610	SLUZBY	\N	\N
1450491	4937	1996-09-30	VYDAJ	VYBER	15	92696	SLUZBY	\N	\N
1450492	4937	1996-10-31	VYDAJ	VYBER	15	85266	SLUZBY	\N	\N
1450493	4937	1996-11-30	VYDAJ	VYBER	15	123860	SLUZBY	\N	\N
1450494	4937	1996-12-31	VYDAJ	VYBER	15	37936	SLUZBY	\N	\N
1450495	4937	1997-01-31	VYDAJ	VYBER	15	41282	SLUZBY	\N	\N
1450496	4937	1997-02-28	VYDAJ	VYBER	15	30025	SLUZBY	\N	\N
1450497	4937	1997-03-31	VYDAJ	VYBER	15	51186	SLUZBY	\N	\N
1450498	4937	1997-04-30	VYDAJ	VYBER	15	48981	SLUZBY	\N	\N
1450499	4937	1997-05-31	VYDAJ	VYBER	15	41445	SLUZBY	\N	\N
1450500	4937	1997-06-30	VYDAJ	VYBER	15	32582	SLUZBY	\N	\N
1450501	4937	1997-07-31	VYDAJ	VYBER	15	23889	SLUZBY	\N	\N
1450502	4937	1997-08-31	VYDAJ	VYBER	15	20467	SLUZBY	\N	\N
1450503	4937	1997-09-30	VYDAJ	VYBER	15	50527	SLUZBY	\N	\N
1450504	4937	1997-10-31	VYDAJ	VYBER	15	35808	SLUZBY	\N	\N
1450505	4937	1997-11-30	VYDAJ	VYBER	15	25419	SLUZBY	\N	\N
1450506	4937	1997-12-31	VYDAJ	VYBER	15	22002	SLUZBY	\N	\N
1450507	4937	1998-01-31	VYDAJ	VYBER	15	18569	SLUZBY	\N	\N
1450508	4937	1998-02-28	VYDAJ	VYBER	15	64508	SLUZBY	\N	\N
1450509	4937	1998-03-31	VYDAJ	VYBER	15	61101	SLUZBY	\N	\N
1450510	4937	1998-04-30	VYDAJ	VYBER	15	42908	SLUZBY	\N	\N
1450511	4937	1998-05-31	VYDAJ	VYBER	15	33051	SLUZBY	\N	\N
1450512	4937	1998-06-30	VYDAJ	VYBER	15	27856	SLUZBY	\N	\N
1450513	4937	1998-07-31	VYDAJ	VYBER	15	55817	SLUZBY	\N	\N
1450514	4937	1998-08-31	VYDAJ	VYBER	15	41091	SLUZBY	\N	\N
1450515	4937	1998-09-30	VYDAJ	VYBER	15	70249	SLUZBY	\N	\N
1450516	4937	1998-10-31	VYDAJ	VYBER	15	29274	SLUZBY	\N	\N
1450517	4937	1998-11-30	VYDAJ	VYBER	15	52158	SLUZBY	\N	\N
1450518	4937	1993-03-22	VYDAJ	VYBER	16400	37575	\N	\N	\N
1450519	4937	1993-04-04	VYDAJ	VYBER	60500	74071	\N	\N	\N
1450520	4937	1993-04-21	VYDAJ	VYBER	19800	50784	\N	\N	\N
1450521	4937	1993-05-21	PRIJEM	VKLAD	2800	19661	\N	\N	\N
1450522	4937	1993-06-20	VYDAJ	VYBER	2400	21907	\N	\N	\N
1450523	4937	1993-07-20	VYDAJ	VYBER	2900	28534	\N	\N	\N
1450524	4937	1993-08-19	VYDAJ	VYBER	29300	50168	\N	\N	\N
1450525	4937	1993-09-18	VYDAJ	VYBER	36200	64083	\N	\N	\N
1450526	4937	1993-10-01	VYDAJ	VYBER	35300	75616	\N	\N	\N
1450527	4937	1993-10-18	VYDAJ	VYBER	17800	50329	\N	\N	\N
1450528	4937	1993-11-17	VYDAJ	VYBER	34800	61388	\N	\N	\N
1450529	4937	1993-12-17	VYDAJ	VYBER	9700	43482	\N	\N	\N
1450530	4937	1994-01-16	PRIJEM	VKLAD	6800	24812	\N	\N	\N
1450531	4937	1994-02-15	PRIJEM	VKLAD	1900	27791	\N	\N	\N
1450532	4937	1994-03-17	VYDAJ	VYBER	14700	43921	\N	\N	\N
1450533	4937	1994-04-16	PRIJEM	VKLAD	7500	25460	\N	\N	\N
1450534	4937	1994-05-16	VYDAJ	VYBER	1500	32245	\N	\N	\N
1450535	4937	1994-06-15	VYDAJ	VYBER	18300	58461	\N	\N	\N
1450536	4937	1994-07-15	VYDAJ	VYBER	8800	38336	\N	\N	\N
1450537	4937	1994-08-14	VYDAJ	VYBER	23700	58985	\N	\N	\N
1450538	4937	1994-09-13	VYDAJ	VYBER	32600	69091	\N	\N	\N
1450539	4937	1994-10-13	VYDAJ	VYBER	21100	57243	\N	\N	\N
1450540	4937	1994-11-12	VYDAJ	VYBER	31300	68671	\N	\N	\N
1450541	4937	1994-12-12	VYDAJ	VYBER	27400	60154	\N	\N	\N
1450542	4937	1995-01-11	VYDAJ	VYBER	16200	48576	\N	\N	\N
1450543	4937	1995-02-10	VYDAJ	VYBER	3200	35606	\N	\N	\N
1450544	4937	1995-03-12	VYDAJ	VYBER	11300	46057	\N	\N	\N
1450545	4937	1995-04-11	VYDAJ	VYBER	21200	56533	\N	\N	\N
1450546	4937	1995-05-11	VYDAJ	VYBER	13100	51610	\N	\N	\N
1450547	4937	1995-06-10	VYDAJ	VYBER	20900	50082	\N	\N	\N
1450548	4937	1995-07-10	VYDAJ	VYBER	34400	72934	\N	\N	\N
1450549	4937	1995-08-09	VYDAJ	VYBER	30400	60760	\N	\N	\N
1450550	4937	1995-09-08	VYDAJ	VYBER	1500	30460	\N	\N	\N
1450551	4937	1995-10-08	PRIJEM	VKLAD	4400	25462	\N	\N	\N
1450552	4937	1995-11-07	VYDAJ	VYBER	4700	34443	\N	\N	\N
1450553	4937	1995-12-07	VYDAJ	VYBER	10600	42894	\N	\N	\N
1450554	4937	1996-01-06	PRIJEM	VKLAD	1400	33430	\N	\N	\N
1450555	4937	1996-02-05	VYDAJ	VYBER	43600	74458	\N	\N	\N
1450556	4937	1996-02-28	VYDAJ	VYBER	17000	118628	\N	\N	\N
1450557	4937	1996-02-29	VYDAJ	VYBER	24500	94423	\N	\N	\N
1450558	4937	1996-03-06	VYDAJ	VYBER	28900	65523	\N	\N	\N
1450559	4937	1996-04-05	VYDAJ	VYBER	40300	77043	\N	\N	\N
1450560	4937	1996-05-05	VYDAJ	VYBER	17800	50097	\N	\N	\N
1450561	4937	1996-06-04	VYDAJ	VYBER	22200	54811	\N	\N	\N
1450562	4937	1996-07-04	VYDAJ	VYBER	41600	71739	\N	\N	\N
1450563	4937	1996-08-03	VYDAJ	VYBER	33100	60329	\N	\N	\N
1450564	4937	1996-08-12	VYDAJ	VYBER	42900	92057	\N	\N	\N
1450565	4937	1996-09-02	VYDAJ	VYBER	42600	77186	\N	\N	\N
1450566	4937	1996-09-25	VYDAJ	VYBER	27800	92314	\N	\N	\N
1450567	4937	1996-10-02	VYDAJ	VYBER	30400	62296	\N	\N	\N
1450568	4937	1996-11-01	VYDAJ	VYBER	26100	59166	\N	\N	\N
1450569	4937	1996-11-21	VYDAJ	VYBER	55300	80635	\N	\N	\N
1450570	4937	1996-11-30	VYDAJ	VYBER	64700	59160	\N	\N	\N
1450571	4937	1996-12-01	VYDAJ	VYBER	9800	49360	\N	\N	\N
1450572	4937	1996-12-31	VYDAJ	VYBER	3200	34736	\N	\N	\N
1450573	4937	1997-01-30	PRIJEM	VKLAD	1400	41096	\N	\N	\N
1450574	4937	1997-03-01	PRIJEM	VKLAD	900	30925	\N	\N	\N
1450575	4937	1997-03-31	VYDAJ	VYBER	12600	38586	\N	\N	\N
1450576	4937	1997-04-30	VYDAJ	VYBER	6500	42481	\N	\N	\N
1450577	4937	1997-05-30	VYDAJ	VYBER	11700	41299	\N	\N	\N
1450578	4937	1997-09-27	VYDAJ	VYBER	19200	50431	\N	\N	\N
1450579	4937	1997-10-27	VYDAJ	VYBER	3600	43440	\N	\N	\N
1450580	4937	1998-02-24	VYDAJ	VYBER	17600	64293	\N	\N	\N
1450581	4937	1998-03-26	VYDAJ	VYBER	29200	60853	\N	\N	\N
1450582	4937	1998-04-25	VYDAJ	VYBER	7200	42714	\N	\N	\N
1450583	4937	1998-05-25	VYDAJ	VYBER	800	32921	\N	\N	\N
1450584	4937	1998-06-24	PRIJEM	VKLAD	4400	27764	\N	\N	\N
1450585	4937	1998-07-24	VYDAJ	VYBER	26900	50113	\N	\N	\N
1450586	4937	1998-08-23	VYDAJ	VYBER	12100	40230	\N	\N	\N
1450587	4937	1998-09-22	VYDAJ	VYBER	2300	29904	\N	\N	\N
1450588	4937	1998-10-22	VYDAJ	VYBER	10400	29089	\N	\N	\N
1450589	4937	1998-11-21	VYDAJ	VYBER	32800	62929	\N	\N	\N
1450590	4937	1998-12-09	VYDAJ	VYBER	40000	78860	\N	\N	\N
1450591	4937	1998-12-21	VYDAJ	VYBER	9400	33605	\N	\N	\N
1453459	4948	1995-07-29	PRIJEM	VKLAD	900	900	\N	\N	\N
1453461	4948	1996-03-09	PRIJEM	VKLAD	5005	25005	\N	\N	\N
1453462	4948	1996-04-20	PRIJEM	VKLAD	7893	55006	\N	\N	\N
1453463	4948	1996-04-07	PRIJEM	VKLAD	23786	47113	\N	\N	\N
1453464	4948	1996-10-03	PRIJEM	VKLAD	8459	16169	\N	\N	\N
1453465	4948	1996-12-02	PRIJEM	VKLAD	42700	73793	\N	\N	\N
1453466	4948	1996-11-04	PRIJEM	VKLAD	33070	44669	\N	\N	\N
1453467	4948	1996-07-31	PRIJEM	VKLAD	33690	90476	\N	\N	\N
1453468	4948	1996-08-02	PRIJEM	VKLAD	37346	127808	\N	\N	\N
1453469	4948	1996-07-24	PRIJEM	VKLAD	30443	56601	\N	\N	\N
1453470	4948	1996-12-18	PRIJEM	VKLAD	37592	80279	\N	\N	\N
1453471	4948	1997-03-30	PRIJEM	VKLAD	39739	67994	\N	\N	\N
1453472	4948	1997-07-03	PRIJEM	VKLAD	15405	58633	\N	\N	\N
1453473	4948	1997-04-03	PRIJEM	VKLAD	34288	102395	\N	\N	\N
1453474	4948	1997-01-05	PRIJEM	VKLAD	27715	78686	\N	\N	\N
1453475	4948	1997-07-05	PRIJEM	VKLAD	22399	81032	\N	\N	\N
1453476	4948	1997-06-05	PRIJEM	VKLAD	31654	56054	\N	\N	\N
1453477	4948	1997-03-05	PRIJEM	VKLAD	21313	42862	\N	\N	\N
1453478	4948	1997-11-02	PRIJEM	VKLAD	8011	52588	\N	\N	\N
1453479	4948	1997-09-17	PRIJEM	VKLAD	43743	71061	\N	\N	\N
1453480	4948	1997-01-23	PRIJEM	VKLAD	31836	51283	\N	\N	\N
1453481	4948	1997-01-13	PRIJEM	VKLAD	5767	46447	\N	\N	\N
1453482	4948	1997-11-18	PRIJEM	VKLAD	28458	66309	\N	\N	\N
1453483	4948	1997-11-15	PRIJEM	VKLAD	5969	47851	\N	\N	\N
1453484	4948	1997-08-03	PRIJEM	VKLAD	35748	79697	\N	\N	\N
1453485	4948	1997-06-14	PRIJEM	VKLAD	30828	65376	\N	\N	\N
1453486	4948	1998-08-02	PRIJEM	VKLAD	37932	64579	\N	\N	\N
1453487	4948	1998-04-23	PRIJEM	VKLAD	20373	55203	\N	\N	\N
1453488	4948	1998-02-18	PRIJEM	VKLAD	11323	35926	\N	\N	\N
1453489	4948	1998-11-29	PRIJEM	VKLAD	33250	49008	\N	\N	\N
1453490	4948	1998-08-29	PRIJEM	VKLAD	13426	45785	\N	\N	\N
1453491	4948	1998-06-11	PRIJEM	VKLAD	18002	45879	\N	\N	\N
1453492	4948	1998-06-08	PRIJEM	VKLAD	18687	84090	\N	\N	\N
1453493	4948	1998-06-02	PRIJEM	VKLAD	42791	87142	\N	\N	\N
1453494	4948	1998-03-31	PRIJEM	VKLAD	38691	61551	\N	\N	\N
1453495	4948	1998-01-28	PRIJEM	VKLAD	14982	33031	\N	\N	\N
1453496	4948	1998-05-13	PRIJEM	VKLAD	32855	77557	\N	\N	\N
1453497	4948	1998-12-12	PRIJEM	VKLAD	47474	75248	\N	\N	\N
1453498	4948	1998-09-24	PRIJEM	VKLAD	10390	60940	\N	\N	\N
1453499	4948	1998-09-14	PRIJEM	VKLAD	26274	50550	\N	\N	\N
1453500	4948	1998-06-08	PRIJEM	VKLAD	8497	92587	\N	\N	\N
1453520	4948	1996-08-13	VYDAJ	VYBER	6500	29900	\N	\N	0
1453521	4948	1996-09-09	VYDAJ	VYBER	4700	16865	\N	\N	0
1453522	4948	1996-09-30	VYDAJ	VYBER	6400	7725	\N	\N	0
1453523	4948	1996-11-02	VYDAJ	VYBER	7600	11599	\N	\N	0
1453524	4948	1996-12-12	VYDAJ	PREVOD NA UCET	5996	63087	UVER	KL	70243751
1453525	4948	1997-01-12	VYDAJ	PREVOD NA UCET	5996	40680	UVER	KL	70243751
1453526	4948	1997-02-12	VYDAJ	PREVOD NA UCET	5996	14357	UVER	KL	70243751
1453527	4948	1997-03-12	VYDAJ	PREVOD NA UCET	5996	32155	UVER	KL	70243751
1453528	4948	1997-04-12	VYDAJ	PREVOD NA UCET	5996	91689	UVER	KL	70243751
1453529	4948	1997-05-12	VYDAJ	PREVOD NA UCET	5996	29867	UVER	KL	70243751
1453530	4948	1997-06-12	VYDAJ	PREVOD NA UCET	5996	34548	UVER	KL	70243751
1453531	4948	1997-07-12	VYDAJ	PREVOD NA UCET	5996	70326	UVER	KL	70243751
1453532	4948	1997-08-12	VYDAJ	PREVOD NA UCET	5996	68991	UVER	KL	70243751
1453533	4948	1997-09-12	VYDAJ	PREVOD NA UCET	5996	22418	UVER	KL	70243751
1453534	4948	1997-10-12	VYDAJ	PREVOD NA UCET	5996	60558	UVER	KL	70243751
1453535	4948	1997-11-12	VYDAJ	PREVOD NA UCET	5996	41882	UVER	KL	70243751
1453536	4948	1997-12-12	VYDAJ	PREVOD NA UCET	5996	35110	UVER	KL	70243751
1453537	4948	1998-01-12	VYDAJ	PREVOD NA UCET	5996	8749	UVER	KL	70243751
1453538	4948	1998-02-12	VYDAJ	PREVOD NA UCET	5996	22403	UVER	KL	70243751
1453539	4948	1998-03-12	VYDAJ	PREVOD NA UCET	5996	25340	UVER	KL	70243751
1453540	4948	1998-04-12	VYDAJ	PREVOD NA UCET	5996	50830	UVER	KL	70243751
1453541	4948	1998-05-12	VYDAJ	PREVOD NA UCET	5996	44702	UVER	KL	70243751
1453542	4948	1998-06-12	VYDAJ	PREVOD NA UCET	5996	39883	UVER	KL	70243751
1453543	4948	1998-07-12	VYDAJ	PREVOD NA UCET	5996	24838	UVER	KL	70243751
1453544	4948	1998-08-12	VYDAJ	PREVOD NA UCET	5996	32359	UVER	KL	70243751
1453545	4948	1998-09-12	VYDAJ	PREVOD NA UCET	5996	24276	UVER	KL	70243751
1453546	4948	1998-10-12	VYDAJ	PREVOD NA UCET	5996	27620	UVER	KL	70243751
1453547	4948	1998-11-12	VYDAJ	PREVOD NA UCET	5996	15758	UVER	KL	70243751
1453548	4948	1998-12-12	VYDAJ	PREVOD NA UCET	5996	69252	UVER	KL	70243751
1453568	4948	1996-08-10	VYDAJ	PREVOD NA UCET	4710	47200	SIPO	WX	39958155
1453569	4948	1996-09-10	VYDAJ	PREVOD NA UCET	4710	12155	SIPO	WX	39958155
1453570	4948	1996-10-10	VYDAJ	PREVOD NA UCET	4710	11459	SIPO	WX	39958155
1453571	4948	1996-11-10	VYDAJ	PREVOD NA UCET	4710	39959	SIPO	WX	39958155
1453572	4948	1996-12-10	VYDAJ	PREVOD NA UCET	4710	69083	SIPO	WX	39958155
1453573	4948	1997-01-10	VYDAJ	PREVOD NA UCET	4710	69776	SIPO	WX	39958155
1453574	4948	1997-02-10	VYDAJ	PREVOD NA UCET	4710	20353	SIPO	WX	39958155
1453575	4948	1997-03-10	VYDAJ	PREVOD NA UCET	4710	38152	SIPO	WX	39958155
1453576	4948	1997-04-10	VYDAJ	PREVOD NA UCET	4710	97685	SIPO	WX	39958155
1453577	4948	1997-05-10	VYDAJ	PREVOD NA UCET	4710	35863	SIPO	WX	39958155
1453578	4948	1997-06-10	VYDAJ	PREVOD NA UCET	4710	51344	SIPO	WX	39958155
1453579	4948	1997-07-10	VYDAJ	PREVOD NA UCET	4710	76322	SIPO	WX	39958155
1453580	4948	1997-08-10	VYDAJ	PREVOD NA UCET	4710	74987	SIPO	WX	39958155
1453581	4948	1997-09-10	VYDAJ	PREVOD NA UCET	4710	28414	SIPO	WX	39958155
1453582	4948	1997-10-10	VYDAJ	PREVOD NA UCET	4710	66554	SIPO	WX	39958155
1453583	4948	1997-11-10	VYDAJ	PREVOD NA UCET	4710	47878	SIPO	WX	39958155
1453584	4948	1997-12-10	VYDAJ	PREVOD NA UCET	4710	41106	SIPO	WX	39958155
1453585	4948	1998-01-10	VYDAJ	PREVOD NA UCET	4710	17746	SIPO	WX	39958155
1453586	4948	1998-02-10	VYDAJ	PREVOD NA UCET	4710	28399	SIPO	WX	39958155
1453743	4948	1997-01-19	VYDAJ	VYBER	7800	30847	\N	\N	\N
1453587	4948	1998-03-10	VYDAJ	PREVOD NA UCET	4710	31336	SIPO	WX	39958155
1453588	4948	1998-04-10	VYDAJ	PREVOD NA UCET	4710	56826	SIPO	WX	39958155
1453589	4948	1998-05-10	VYDAJ	PREVOD NA UCET	4710	50698	SIPO	WX	39958155
1453590	4948	1998-06-10	VYDAJ	PREVOD NA UCET	4710	87877	SIPO	WX	39958155
1453591	4948	1998-07-10	VYDAJ	PREVOD NA UCET	4710	30834	SIPO	WX	39958155
1453592	4948	1998-08-10	VYDAJ	PREVOD NA UCET	4710	41755	SIPO	WX	39958155
1453593	4948	1998-09-10	VYDAJ	PREVOD NA UCET	4710	30372	SIPO	WX	39958155
1453594	4948	1998-10-10	VYDAJ	PREVOD NA UCET	4710	47416	SIPO	WX	39958155
1453595	4948	1998-11-10	VYDAJ	PREVOD NA UCET	4710	23054	SIPO	WX	39958155
1453596	4948	1998-12-10	VYDAJ	PREVOD NA UCET	4710	27774	SIPO	WX	39958155
1453606	4948	1996-08-10	VYBER	VYBER	24198	51910	\N	\N	\N
1453609	4948	1997-05-06	VYBER	VYBER	10686	40573	\N	\N	\N
1453615	4948	1998-06-06	VYBER	VYBER	21739	65403	\N	\N	\N
1453616	4948	1998-09-09	VYBER	VYBER	10878	35082	\N	\N	\N
1453617	4948	1998-08-02	VYBER	VYBER	18114	46465	\N	\N	\N
1453621	4948	1998-06-10	VYDAJ	VYBER	60000	27877	\N	\N	\N
1453624	4948	1997-01-12	VYDAJ	VYBER	23100	46676	\N	\N	\N
1453627	4948	1996-12-17	VYDAJ	VYBER	8700	42687	\N	\N	\N
1453628	4948	1997-12-07	VYDAJ	VYBER	6600	45816	\N	\N	\N
1453629	4948	1998-12-28	VYDAJ	VYBER	7200	62052	\N	\N	\N
1453642	4948	1997-01-20	VYDAJ	VYBER	7800	19447	\N	\N	\N
1453643	4948	1997-01-26	VYDAJ	VYBER	7500	38683	\N	\N	\N
1453644	4948	1997-01-18	VYDAJ	VYBER	7800	38647	\N	\N	\N
1453645	4948	1997-01-25	VYDAJ	VYBER	5100	46183	\N	\N	\N
1453646	4948	1997-01-07	VYDAJ	VYBER	4200	74486	\N	\N	\N
1453647	4948	1997-01-19	VYDAJ	VYBER	3600	27247	\N	\N	\N
1453649	4948	1998-01-10	VYDAJ	VYBER	3000	14746	\N	\N	\N
1453650	4948	1998-01-05	VYDAJ	VYBER	5400	22456	\N	\N	\N
1453659	4948	1996-08-10	VYDAJ	VYBER	10800	36400	\N	\N	\N
1453660	4948	1996-09-09	VYDAJ	VYBER	4800	21565	\N	\N	\N
1453662	4948	1996-12-16	VYDAJ	VYBER	11700	51387	\N	\N	\N
1453664	4948	1997-08-17	VYDAJ	VYBER	4200	64791	\N	\N	\N
1453665	4948	1997-04-18	VYDAJ	VYBER	14400	77289	\N	\N	\N
1453666	4948	1997-06-11	VYDAJ	VYBER	10800	40544	\N	\N	\N
1453667	4948	1997-05-30	VYDAJ	VYBER	3600	24267	\N	\N	\N
1453668	4948	1997-07-20	VYDAJ	VYBER	2400	43726	\N	\N	\N
1453669	4948	1997-09-03	VYDAJ	VYBER	11400	33124	\N	\N	\N
1453670	4948	1997-02-05	VYDAJ	VYBER	13800	25063	\N	\N	\N
1453671	4948	1997-12-01	VYDAJ	VYBER	14100	52416	\N	\N	\N
1453672	4948	1998-10-08	VYDAJ	VYBER	9000	52126	\N	\N	\N
1453674	4948	1998-04-14	VYDAJ	VYBER	5700	34830	\N	\N	\N
1453675	4948	1998-11-30	VYDAJ	VYBER	7800	41284	\N	\N	\N
1453676	4948	1998-05-20	VYDAJ	VYBER	4500	44157	\N	\N	\N
1453696	4948	1996-07-31	VYDAJ	VYBER	15	90462	SLUZBY	\N	\N
1453697	4948	1996-08-31	VYDAJ	VYBER	15	26365	SLUZBY	\N	\N
1453698	4948	1996-09-30	VYDAJ	VYBER	15	7710	SLUZBY	\N	\N
1453699	4948	1996-10-31	VYDAJ	VYBER	15	19199	SLUZBY	\N	\N
1453700	4948	1996-11-30	VYDAJ	VYBER	15	31093	SLUZBY	\N	\N
1453701	4948	1996-12-31	VYDAJ	VYBER	15	50971	SLUZBY	\N	\N
1453702	4948	1997-01-31	VYDAJ	VYBER	15	38863	SLUZBY	\N	\N
1453703	4948	1997-02-28	VYDAJ	VYBER	15	21549	SLUZBY	\N	\N
1453704	4948	1997-03-31	VYDAJ	VYBER	15	68107	SLUZBY	\N	\N
1453705	4948	1997-04-30	VYDAJ	VYBER	15	51259	SLUZBY	\N	\N
1453706	4948	1997-05-31	VYDAJ	VYBER	15	24400	SLUZBY	\N	\N
1453707	4948	1997-06-30	VYDAJ	VYBER	15	43228	SLUZBY	\N	\N
1453708	4948	1997-07-31	VYDAJ	VYBER	15	43949	SLUZBY	\N	\N
1453709	4948	1997-08-31	VYDAJ	VYBER	15	44524	SLUZBY	\N	\N
1453710	4948	1997-09-30	VYDAJ	VYBER	15	71264	SLUZBY	\N	\N
1453711	4948	1997-10-31	VYDAJ	VYBER	15	44577	SLUZBY	\N	\N
1453712	4948	1997-11-30	VYDAJ	VYBER	15	66516	SLUZBY	\N	\N
1453713	4948	1997-12-31	VYDAJ	VYBER	15	27856	SLUZBY	\N	\N
1453714	4948	1998-01-31	VYDAJ	VYBER	15	33109	SLUZBY	\N	\N
1453715	4948	1998-02-28	VYDAJ	VYBER	15	36046	SLUZBY	\N	\N
1453716	4948	1998-03-31	VYDAJ	VYBER	15	61536	SLUZBY	\N	\N
1453717	4948	1998-04-30	VYDAJ	VYBER	15	55408	SLUZBY	\N	\N
1453718	4948	1998-05-31	VYDAJ	VYBER	15	44351	SLUZBY	\N	\N
1453719	4948	1998-06-30	VYDAJ	VYBER	15	35544	SLUZBY	\N	\N
1453720	4948	1998-07-31	VYDAJ	VYBER	15	26647	SLUZBY	\N	\N
1453721	4948	1998-08-31	VYDAJ	VYBER	15	45960	SLUZBY	\N	\N
1453722	4948	1998-09-30	VYDAJ	VYBER	15	61126	SLUZBY	\N	\N
1453723	4948	1998-10-31	VYDAJ	VYBER	15	27764	SLUZBY	\N	\N
1453724	4948	1998-11-30	VYDAJ	VYBER	15	49084	SLUZBY	\N	\N
1453725	4948	1995-08-28	PRIJEM	VKLAD	13900	14800	\N	\N	\N
1453726	4948	1995-09-27	PRIJEM	VKLAD	4000	18800	\N	\N	\N
1453727	4948	1995-10-27	PRIJEM	VKLAD	900	19700	\N	\N	\N
1453728	4948	1995-11-26	PRIJEM	VKLAD	2900	22600	\N	\N	\N
1453729	4948	1995-12-26	PRIJEM	VKLAD	300	22900	\N	\N	\N
1453730	4948	1996-01-25	PRIJEM	VKLAD	800	23700	\N	\N	\N
1453731	4948	1996-02-24	VYDAJ	VYBER	3700	20000	\N	\N	\N
1453732	4948	1996-03-25	VYDAJ	VYBER	1700	23305	\N	\N	\N
1453733	4948	1996-04-24	VYDAJ	VYBER	16300	38706	\N	\N	\N
1453734	4948	1996-05-24	VYDAJ	VYBER	6400	32436	\N	\N	\N
1453735	4948	1996-06-23	VYDAJ	VYBER	6300	26297	\N	\N	\N
1453736	4948	1996-07-23	VYDAJ	VYBER	300	26158	\N	\N	\N
1453737	4948	1996-08-02	VYDAJ	VYBER	51700	76108	\N	\N	\N
1453738	4948	1996-08-22	VYDAJ	VYBER	3700	26200	\N	\N	\N
1453739	4948	1996-09-21	PRIJEM	VKLAD	1900	14055	\N	\N	\N
1453740	4948	1996-10-21	PRIJEM	VKLAD	7700	19159	\N	\N	\N
1453741	4948	1996-11-20	VYDAJ	VYBER	9000	30959	\N	\N	\N
1453742	4948	1996-12-20	VYDAJ	VYBER	29500	50779	\N	\N	\N
1453744	4948	1997-02-18	PRIJEM	VKLAD	7100	21457	\N	\N	\N
1453745	4948	1997-03-20	VYDAJ	VYBER	3900	28255	\N	\N	\N
1453746	4948	1997-04-19	VYDAJ	VYBER	26300	50989	\N	\N	\N
1453747	4948	1997-05-19	VYDAJ	VYBER	2000	27867	\N	\N	\N
1453748	4948	1997-06-18	VYDAJ	VYBER	22300	43076	\N	\N	\N
1453749	4948	1997-07-18	VYDAJ	VYBER	24200	46126	\N	\N	\N
1453750	4948	1997-08-17	VYDAJ	VYBER	20500	44291	\N	\N	\N
1453751	4948	1997-09-16	PRIJEM	VKLAD	4900	27318	\N	\N	\N
1453752	4948	1997-10-16	VYDAJ	VYBER	16200	44358	\N	\N	\N
1453753	4948	1997-11-15	VYDAJ	VYBER	10000	37851	\N	\N	\N
1453754	4948	1997-12-15	VYDAJ	VYBER	7400	27710	\N	\N	\N
1453755	4948	1998-01-14	PRIJEM	VKLAD	9300	18049	\N	\N	\N
1453756	4948	1998-02-13	PRIJEM	VKLAD	2200	24603	\N	\N	\N
1453757	4948	1998-03-15	VYDAJ	VYBER	2600	22740	\N	\N	\N
1453758	4948	1998-04-14	VYDAJ	VYBER	10300	40530	\N	\N	\N
1453759	4948	1998-05-14	VYDAJ	VYBER	28900	48657	\N	\N	\N
1453760	4948	1998-06-13	VYDAJ	VYBER	4500	35383	\N	\N	\N
1453761	4948	1998-07-13	PRIJEM	VKLAD	1700	26538	\N	\N	\N
1453762	4948	1998-08-12	VYDAJ	VYBER	3400	38355	\N	\N	\N
1453763	4948	1998-09-11	VYDAJ	VYBER	100	30272	\N	\N	\N
1453764	4948	1998-10-11	VYDAJ	VYBER	13800	33616	\N	\N	\N
1453765	4948	1998-11-10	VYDAJ	VYBER	1300	21754	\N	\N	\N
1453766	4948	1998-12-10	VYDAJ	VYBER	8800	32484	\N	\N	\N
1453801	4949	1996-10-14	PRIJEM	VKLAD	400	400	\N	\N	\N
1453812	4949	1996-11-08	PRIJEM	PREVOD Z UCTU	36239	36639	\N	WX	19143909
1453813	4949	1996-12-08	PRIJEM	PREVOD Z UCTU	54358	85374	\N	WX	19143909
1453814	4949	1997-01-08	PRIJEM	PREVOD Z UCTU	36239	95715	\N	WX	19143909
1453815	4949	1997-02-08	PRIJEM	PREVOD Z UCTU	36239	101416	\N	WX	19143909
1453816	4949	1997-03-08	PRIJEM	PREVOD Z UCTU	36239	77979	\N	WX	19143909
1453817	4949	1997-04-08	PRIJEM	PREVOD Z UCTU	36239	86238	\N	WX	19143909
1453818	4949	1997-05-08	PRIJEM	PREVOD Z UCTU	36239	92988	\N	WX	19143909
1453819	4949	1997-06-08	PRIJEM	PREVOD Z UCTU	54358	118790	\N	WX	19143909
1453820	4949	1997-07-08	PRIJEM	PREVOD Z UCTU	36239	64757	\N	WX	19143909
1453821	4949	1997-08-08	PRIJEM	PREVOD Z UCTU	36239	78261	\N	WX	19143909
1453822	4949	1997-09-08	PRIJEM	PREVOD Z UCTU	36239	91007	\N	WX	19143909
1453823	4949	1997-10-08	PRIJEM	PREVOD Z UCTU	36239	82229	\N	WX	19143909
1453824	4949	1997-11-08	PRIJEM	PREVOD Z UCTU	36239	92252	\N	WX	19143909
1453825	4949	1997-12-08	PRIJEM	PREVOD Z UCTU	54358	98893	\N	WX	19143909
1453826	4949	1998-01-08	PRIJEM	PREVOD Z UCTU	36239	77605	\N	WX	19143909
1453827	4949	1998-02-08	PRIJEM	PREVOD Z UCTU	36239	67278	\N	WX	19143909
1453828	4949	1998-03-08	PRIJEM	PREVOD Z UCTU	36239	91055	\N	WX	19143909
1453829	4949	1998-04-08	PRIJEM	PREVOD Z UCTU	36239	95400	\N	WX	19143909
1453830	4949	1998-05-08	PRIJEM	PREVOD Z UCTU	36239	104743	\N	WX	19143909
1453831	4949	1998-06-08	PRIJEM	PREVOD Z UCTU	54358	115849	\N	WX	19143909
1453832	4949	1998-07-08	PRIJEM	PREVOD Z UCTU	36239	81701	\N	WX	19143909
1453833	4949	1998-08-08	PRIJEM	PREVOD Z UCTU	36239	92829	\N	WX	19143909
1453834	4949	1998-09-08	PRIJEM	PREVOD Z UCTU	36239	88870	\N	WX	19143909
1453835	4949	1998-10-08	PRIJEM	PREVOD Z UCTU	36239	103082	\N	WX	19143909
1453836	4949	1998-11-08	PRIJEM	PREVOD Z UCTU	36239	106358	\N	WX	19143909
1453837	4949	1998-12-08	PRIJEM	PREVOD Z UCTU	54358	124678	\N	WX	19143909
1453852	4949	1997-03-05	VYDAJ	VYBER	5300	41740	\N	\N	0
1453853	4949	1997-03-29	VYDAJ	VYBER	5300	49779	\N	\N	0
1453854	4949	1997-05-17	VYDAJ	VYBER	3600	64188	\N	\N	0
1453855	4949	1997-06-11	VYDAJ	VYBER	5500	63290	\N	\N	0
1453856	4949	1997-07-04	VYDAJ	VYBER	5300	28518	\N	\N	0
1453857	4949	1997-08-08	VYDAJ	VYBER	5400	72861	\N	\N	0
1453858	4949	1997-09-12	VYDAJ	PREVOD NA UCET	6040	56868	UVER	WX	44724160
1453859	4949	1997-10-12	VYDAJ	PREVOD NA UCET	6040	55789	UVER	WX	44724160
1453860	4949	1997-11-12	VYDAJ	PREVOD NA UCET	6040	57812	UVER	WX	44724160
1453861	4949	1997-12-12	VYDAJ	PREVOD NA UCET	6040	64053	UVER	WX	44724160
1453862	4949	1998-01-12	VYDAJ	PREVOD NA UCET	6040	71565	UVER	WX	44724160
1453863	4949	1998-02-12	VYDAJ	PREVOD NA UCET	6040	61239	UVER	WX	44724160
1453864	4949	1998-03-12	VYDAJ	PREVOD NA UCET	6040	64015	UVER	WX	44724160
1453865	4949	1998-04-12	VYDAJ	PREVOD NA UCET	6040	89360	UVER	WX	44724160
1453866	4949	1998-05-12	VYDAJ	PREVOD NA UCET	6040	79228	UVER	WX	44724160
1453867	4949	1998-06-12	VYDAJ	PREVOD NA UCET	6040	97694	UVER	WX	44724160
1453868	4949	1998-07-12	VYDAJ	PREVOD NA UCET	6040	75661	UVER	WX	44724160
1453869	4949	1998-08-12	VYDAJ	PREVOD NA UCET	6040	86789	UVER	WX	44724160
1453870	4949	1998-09-12	VYDAJ	PREVOD NA UCET	6040	82830	UVER	WX	44724160
1453871	4949	1998-10-12	VYDAJ	PREVOD NA UCET	6040	97042	UVER	WX	44724160
1453872	4949	1998-11-12	VYDAJ	PREVOD NA UCET	6040	100318	UVER	WX	44724160
1453873	4949	1998-12-12	VYDAJ	PREVOD NA UCET	6040	77438	UVER	WX	44724160
1453878	4949	1998-08-24	VYBER	VYBER	23666	63123	\N	\N	\N
1453879	4949	1998-06-21	VYBER	VYBER	11228	86466	\N	\N	\N
1453880	4949	1998-06-08	VYBER	VYBER	12116	103733	\N	\N	\N
1453881	4949	1998-05-28	VYBER	VYBER	12054	67174	\N	\N	\N
1453882	4949	1998-05-10	VYBER	VYBER	19475	85268	\N	\N	\N
1453883	4949	1998-04-13	VYBER	VYBER	8570	80790	\N	\N	\N
1453884	4949	1998-07-26	VYBER	VYBER	4744	70917	\N	\N	\N
1453886	4949	1997-06-20	VYDAJ	VYBER	29700	33590	\N	\N	\N
1453887	4949	1998-06-21	VYDAJ	VYBER	38100	48366	\N	\N	\N
1453890	4949	1998-01-20	VYDAJ	VYBER	24900	37365	\N	\N	\N
1453892	4949	1997-12-26	VYDAJ	VYBER	6300	55053	\N	\N	\N
1453893	4949	1998-12-14	VYDAJ	VYBER KARTOU	5100	72338	\N	\N	0
1453906	4949	1998-01-07	VYDAJ	VYBER	8100	41366	\N	\N	\N
1453907	4949	1998-01-13	VYDAJ	VYBER	5400	66165	\N	\N	\N
1453908	4949	1998-01-25	VYDAJ	VYBER	8700	25065	\N	\N	\N
1453909	4949	1998-01-23	VYDAJ	VYBER	3600	33765	\N	\N	\N
1453910	4949	1998-01-25	VYDAJ	VYBER	5400	19665	\N	\N	\N
1453911	4949	1998-01-28	VYDAJ	VYBER	6300	13365	\N	\N	\N
1453916	4949	1997-07-18	VYDAJ	VYBER	4500	41857	\N	\N	\N
1453917	4949	1997-10-06	VYDAJ	VYBER	11100	45990	\N	\N	\N
1453918	4949	1997-12-26	VYDAJ	VYBER	4200	39453	\N	\N	\N
1453919	4949	1997-12-17	VYDAJ	VYBER	2700	61353	\N	\N	\N
1453920	4949	1997-11-20	VYDAJ	VYBER	13500	44312	\N	\N	\N
1453921	4949	1997-12-26	VYDAJ	VYBER	11400	43653	\N	\N	\N
1453922	4949	1998-01-15	VYDAJ	VYBER	3900	62265	\N	\N	\N
1453923	4949	1998-12-20	VYDAJ	VYBER	8100	64238	\N	\N	\N
1453924	4949	1998-02-14	VYDAJ	VYBER	1800	54639	\N	\N	\N
1453925	4949	1998-03-08	VYDAJ	VYBER	6600	70055	\N	\N	\N
1453926	4949	1998-02-13	VYDAJ	VYBER	4800	56439	\N	\N	\N
1453942	4949	1997-03-31	VYDAJ	VYBER	15	49999	SLUZBY	\N	\N
1453943	4949	1997-04-30	VYDAJ	VYBER	15	56749	SLUZBY	\N	\N
1453944	4949	1997-05-31	VYDAJ	VYBER	15	64432	SLUZBY	\N	\N
1453945	4949	1997-06-30	VYDAJ	VYBER	15	33818	SLUZBY	\N	\N
1453946	4949	1997-07-31	VYDAJ	VYBER	15	42022	SLUZBY	\N	\N
1453947	4949	1997-08-31	VYDAJ	VYBER	15	54768	SLUZBY	\N	\N
1453948	4949	1997-09-30	VYDAJ	VYBER	15	57090	SLUZBY	\N	\N
1453949	4949	1997-10-31	VYDAJ	VYBER	15	56013	SLUZBY	\N	\N
1453950	4949	1997-11-30	VYDAJ	VYBER	15	44535	SLUZBY	\N	\N
1453951	4949	1997-12-31	VYDAJ	VYBER	15	39666	SLUZBY	\N	\N
1453952	4949	1998-01-31	VYDAJ	VYBER	15	13539	SLUZBY	\N	\N
1453953	4949	1998-02-28	VYDAJ	VYBER	15	54816	SLUZBY	\N	\N
1453954	4949	1998-03-31	VYDAJ	VYBER	15	64261	SLUZBY	\N	\N
1453955	4949	1998-04-30	VYDAJ	VYBER	15	81104	SLUZBY	\N	\N
1453956	4949	1998-05-31	VYDAJ	VYBER	15	67491	SLUZBY	\N	\N
1453957	4949	1998-06-30	VYDAJ	VYBER	15	48662	SLUZBY	\N	\N
1453958	4949	1998-07-31	VYDAJ	VYBER	15	71190	SLUZBY	\N	\N
1453959	4949	1998-08-31	VYDAJ	VYBER	15	63431	SLUZBY	\N	\N
1453960	4949	1998-09-30	VYDAJ	VYBER	15	83143	SLUZBY	\N	\N
1453961	4949	1998-10-31	VYDAJ	VYBER	15	97419	SLUZBY	\N	\N
1453962	4949	1998-11-30	VYDAJ	VYBER	15	100720	SLUZBY	\N	\N
1453963	4949	1996-11-13	VYDAJ	VYBER	5700	30939	\N	\N	\N
1453964	4949	1996-12-13	VYDAJ	VYBER	26100	59274	\N	\N	\N
1453965	4949	1997-01-12	VYDAJ	VYBER	30800	64915	\N	\N	\N
1453966	4949	1997-02-08	VYDAJ	VYBER	32000	69416	\N	\N	\N
1453967	4949	1997-02-11	VYDAJ	VYBER	22600	46816	\N	\N	\N
1453968	4949	1997-03-13	VYDAJ	VYBER	22900	55079	\N	\N	\N
1453969	4949	1997-04-12	VYDAJ	VYBER	29700	56538	\N	\N	\N
1453970	4949	1997-05-12	VYDAJ	VYBER	25200	67788	\N	\N	\N
1453971	4949	1997-06-08	VYDAJ	VYBER	17300	101490	\N	\N	\N
1453972	4949	1997-06-11	VYDAJ	VYBER	32700	68790	\N	\N	\N
1453973	4949	1997-07-11	VYDAJ	VYBER	18400	46357	\N	\N	\N
1453974	4949	1997-08-10	VYDAJ	VYBER	18300	54561	\N	\N	\N
1453975	4949	1997-09-09	VYDAJ	VYBER	28100	62907	\N	\N	\N
1453976	4949	1997-10-09	VYDAJ	VYBER	20400	61829	\N	\N	\N
1453977	4949	1997-11-08	VYDAJ	VYBER	28400	63852	\N	\N	\N
1453978	4949	1997-12-08	VYDAJ	VYBER	28800	70093	\N	\N	\N
1453979	4949	1998-01-07	PRIJEM	VKLAD	9800	49466	\N	\N	\N
1453980	4949	1998-02-06	PRIJEM	VKLAD	17500	31039	\N	\N	\N
1453981	4949	1998-03-08	VYDAJ	VYBER	14400	76655	\N	\N	\N
1453982	4949	1998-04-07	VYDAJ	VYBER	5100	59161	\N	\N	\N
1453983	4949	1998-05-07	VYDAJ	VYBER	12600	68504	\N	\N	\N
1453984	4949	1998-06-06	VYDAJ	VYBER	6000	61491	\N	\N	\N
1453985	4949	1998-07-06	VYDAJ	VYBER	3200	45462	\N	\N	\N
1453986	4949	1998-08-05	VYDAJ	VYBER	14600	56590	\N	\N	\N
1453987	4949	1998-09-04	VYDAJ	VYBER	10800	52631	\N	\N	\N
1453988	4949	1998-10-04	VYDAJ	VYBER	16300	66843	\N	\N	\N
1453989	4949	1998-11-03	VYDAJ	VYBER	27300	70119	\N	\N	\N
1453990	4949	1998-12-03	VYDAJ	VYBER	30400	70320	\N	\N	\N
1453991	4949	1998-12-08	VYDAJ	VYBER	41200	83478	\N	\N	\N
1459833	4969	1996-08-19	PRIJEM	VKLAD	200	200	\N	\N	\N
1459834	4969	1996-12-14	PRIJEM	VKLAD	23496	46196	\N	\N	\N
1459835	4969	1997-03-24	PRIJEM	VKLAD	40830	94047	\N	\N	\N
1459836	4969	1997-05-11	PRIJEM	VKLAD	34826	130764	\N	\N	\N
1459837	4969	1997-01-18	PRIJEM	VKLAD	36791	78978	\N	\N	\N
1459838	4969	1997-05-29	PRIJEM	VKLAD	40950	95801	\N	\N	\N
1459839	4969	1997-07-10	PRIJEM	VKLAD	24161	80713	\N	\N	\N
1459840	4969	1997-10-29	PRIJEM	VKLAD	37611	83457	\N	\N	\N
1459841	4969	1997-08-10	PRIJEM	VKLAD	42034	90038	\N	\N	\N
1459842	4969	1997-05-08	PRIJEM	VKLAD	44763	95938	\N	\N	\N
1459843	4969	1997-01-08	PRIJEM	VKLAD	28118	64387	\N	\N	\N
1459844	4969	1997-07-14	PRIJEM	VKLAD	24925	87825	\N	\N	\N
1459845	4969	1997-12-07	PRIJEM	VKLAD	33196	71202	\N	\N	\N
1459846	4969	1997-02-06	PRIJEM	VKLAD	13254	92465	\N	\N	\N
1459847	4969	1997-12-11	PRIJEM	VKLAD	41823	113025	\N	\N	\N
1459848	4969	1997-07-02	PRIJEM	VKLAD	33879	49758	\N	\N	\N
1459849	4969	1997-04-07	PRIJEM	VKLAD	29283	107498	\N	\N	\N
1459850	4969	1997-10-02	PRIJEM	VKLAD	27478	98868	\N	\N	\N
1459851	4969	1997-03-03	PRIJEM	VKLAD	29790	87539	\N	\N	\N
1459852	4969	1997-07-08	PRIJEM	VKLAD	15103	56552	\N	\N	\N
1459853	4969	1997-09-18	PRIJEM	VKLAD	35943	71171	\N	\N	\N
1459854	4969	1997-06-04	PRIJEM	VKLAD	48260	144323	\N	\N	\N
1459855	4969	1998-09-02	PRIJEM	VKLAD	36015	69893	\N	\N	\N
1459856	4969	1998-05-26	PRIJEM	VKLAD	34030	68400	\N	\N	\N
1459857	4969	1998-07-11	PRIJEM	VKLAD	41176	95695	\N	\N	\N
1459858	4969	1998-05-30	PRIJEM	VKLAD	38139	106539	\N	\N	\N
1459859	4969	1998-07-17	PRIJEM	VKLAD	12085	104667	\N	\N	\N
1459860	4969	1998-09-14	PRIJEM	VKLAD	36671	73242	\N	\N	\N
1459861	4969	1998-06-24	PRIJEM	VKLAD	47061	77347	\N	\N	\N
1459862	4969	1998-09-23	PRIJEM	VKLAD	20126	93368	\N	\N	\N
1459863	4969	1998-12-22	PRIJEM	VKLAD	21224	125780	\N	\N	\N
1459864	4969	1998-11-03	PRIJEM	VKLAD	40219	87710	\N	\N	\N
1459865	4969	1998-12-08	PRIJEM	VKLAD	45640	93302	\N	\N	\N
1459866	4969	1998-11-06	PRIJEM	VKLAD	22147	101548	\N	\N	\N
1459867	4969	1998-03-08	PRIJEM	VKLAD	37703	60769	\N	\N	\N
1459868	4969	1998-09-30	PRIJEM	VKLAD	38104	131472	\N	\N	\N
1459869	4969	1998-05-03	PRIJEM	VKLAD	22785	46240	\N	\N	\N
1459870	4969	1998-10-02	PRIJEM	VKLAD	7047	87678	\N	\N	\N
1459871	4969	1998-12-17	PRIJEM	VKLAD	42120	104556	\N	\N	\N
1459872	4969	1998-07-24	PRIJEM	VKLAD	35710	140377	\N	\N	\N
1459873	4969	1998-12-14	PRIJEM	VKLAD	26947	117136	\N	\N	\N
1459874	4969	1998-11-13	PRIJEM	VKLAD	5873	70019	\N	\N	\N
1459875	4969	1998-03-08	PRIJEM	VKLAD	43900	104669	\N	\N	\N
1459876	4969	1998-02-17	PRIJEM	VKLAD	27873	31325	\N	\N	\N
1459877	4969	1998-05-19	PRIJEM	VKLAD	11652	34370	\N	\N	\N
1459878	4969	1998-07-31	PRIJEM	VKLAD	5375	127152	\N	\N	\N
1459879	4969	1998-04-17	PRIJEM	VKLAD	13799	23401	\N	\N	\N
1459880	4969	1998-07-01	PRIJEM	VKLAD	21383	98928	\N	\N	\N
1459895	4969	1997-03-12	VYDAJ	PREVOD NA UCET	2503	76727	UVER	ST	80888122
1459896	4969	1997-04-12	VYDAJ	PREVOD NA UCET	2503	104995	UVER	ST	80888122
1459897	4969	1997-05-12	VYDAJ	PREVOD NA UCET	2503	85561	UVER	ST	80888122
1459898	4969	1997-06-12	VYDAJ	PREVOD NA UCET	2503	19111	UVER	ST	80888122
1459899	4969	1997-07-12	VYDAJ	PREVOD NA UCET	2503	63510	UVER	ST	80888122
1459900	4969	1997-08-12	VYDAJ	PREVOD NA UCET	2503	87535	UVER	ST	80888122
1459901	4969	1997-09-12	VYDAJ	PREVOD NA UCET	2503	47138	UVER	ST	80888122
1459902	4969	1997-10-12	VYDAJ	PREVOD NA UCET	2503	88056	UVER	ST	80888122
1459903	4969	1997-11-12	VYDAJ	PREVOD NA UCET	2503	46705	UVER	ST	80888122
1459904	4969	1997-12-12	VYDAJ	PREVOD NA UCET	2503	33222	UVER	ST	80888122
1459905	4969	1998-01-12	VYDAJ	PREVOD NA UCET	2503	12937	UVER	ST	80888122
1459907	4969	1998-03-12	VYDAJ	PREVOD NA UCET	2503	60066	UVER	ST	80888122
1459908	4969	1998-04-12	VYDAJ	PREVOD NA UCET	2503	10212	UVER	ST	80888122
1459909	4969	1998-05-12	VYDAJ	PREVOD NA UCET	2503	23328	UVER	ST	80888122
1459910	4969	1998-06-12	VYDAJ	PREVOD NA UCET	2503	30896	UVER	ST	80888122
1459911	4969	1998-07-12	VYDAJ	PREVOD NA UCET	2503	93192	UVER	ST	80888122
1459912	4969	1998-08-12	VYDAJ	PREVOD NA UCET	2503	34326	UVER	ST	80888122
1459913	4969	1998-09-12	VYDAJ	PREVOD NA UCET	2503	37181	UVER	ST	80888122
1459914	4969	1998-10-12	VYDAJ	PREVOD NA UCET	2503	50866	UVER	ST	80888122
1459915	4969	1998-11-12	VYDAJ	PREVOD NA UCET	2503	64146	UVER	ST	80888122
1459916	4969	1998-12-12	VYDAJ	PREVOD NA UCET	2503	90799	UVER	ST	80888122
1459931	4969	1997-03-05	VYDAJ	PREVOD NA UCET	8309	79230	SIPO	UV	87679707
1459932	4969	1997-04-05	VYDAJ	PREVOD NA UCET	8309	78215	SIPO	UV	87679707
1459933	4969	1997-05-05	VYDAJ	PREVOD NA UCET	8309	51175	SIPO	UV	87679707
1459934	4969	1997-06-05	VYDAJ	PREVOD NA UCET	8309	21614	SIPO	UV	87679707
1459935	4969	1997-07-05	VYDAJ	PREVOD NA UCET	8309	41449	SIPO	UV	87679707
1459936	4969	1997-08-05	VYDAJ	PREVOD NA UCET	8309	48004	SIPO	UV	87679707
1459937	4969	1997-09-05	VYDAJ	PREVOD NA UCET	8309	49641	SIPO	UV	87679707
1459938	4969	1997-10-05	VYDAJ	PREVOD NA UCET	8309	90559	SIPO	UV	87679707
1459939	4969	1997-11-05	VYDAJ	PREVOD NA UCET	8309	75408	SIPO	UV	87679707
1459940	4969	1997-12-05	VYDAJ	PREVOD NA UCET	8309	38006	SIPO	UV	87679707
1459941	4969	1998-01-05	VYDAJ	PREVOD NA UCET	8309	20839	SIPO	UV	87679707
1459942	4969	1998-02-05	VYDAJ	PREVOD NA UCET	8309	4062	SIPO	UV	87679707
1459943	4969	1998-03-05	VYDAJ	PREVOD NA UCET	8309	23066	SIPO	UV	87679707
1459944	4969	1998-04-05	VYDAJ	PREVOD NA UCET	8309	12715	SIPO	UV	87679707
1459945	4969	1998-05-05	VYDAJ	PREVOD NA UCET	8309	37931	SIPO	UV	87679707
1459946	4969	1998-06-05	VYDAJ	PREVOD NA UCET	8309	52698	SIPO	UV	87679707
1459947	4969	1998-07-05	VYDAJ	PREVOD NA UCET	8309	90619	SIPO	UV	87679707
1459948	4969	1998-08-05	VYDAJ	PREVOD NA UCET	8309	67629	SIPO	UV	87679707
1459949	4969	1998-09-05	VYDAJ	PREVOD NA UCET	8309	54684	SIPO	UV	87679707
1459950	4969	1998-10-05	VYDAJ	PREVOD NA UCET	8309	79369	SIPO	UV	87679707
1459951	4969	1998-11-05	VYDAJ	PREVOD NA UCET	8309	79401	SIPO	UV	87679707
1459952	4969	1998-12-05	VYDAJ	PREVOD NA UCET	8309	61362	SIPO	UV	87679707
1459967	4969	1997-03-13	VYDAJ	PREVOD NA UCET	610	76117	 	AB	94635641
1459968	4969	1997-04-13	VYDAJ	PREVOD NA UCET	610	104385	 	AB	94635641
1459969	4969	1997-05-13	VYDAJ	PREVOD NA UCET	610	84951	 	AB	94635641
1459970	4969	1997-06-13	VYDAJ	PREVOD NA UCET	610	18501	 	AB	94635641
1459971	4969	1997-07-13	VYDAJ	PREVOD NA UCET	610	62900	 	AB	94635641
1459972	4969	1997-08-13	VYDAJ	PREVOD NA UCET	610	86925	 	AB	94635641
1459973	4969	1997-09-13	VYDAJ	PREVOD NA UCET	610	35228	 	AB	94635641
1459974	4969	1997-10-13	VYDAJ	PREVOD NA UCET	610	87446	 	AB	94635641
1459975	4969	1997-11-13	VYDAJ	PREVOD NA UCET	610	46095	 	AB	94635641
1459976	4969	1997-12-13	VYDAJ	PREVOD NA UCET	610	32612	 	AB	94635641
1459977	4969	1998-01-13	VYDAJ	PREVOD NA UCET	610	12327	 	AB	94635641
1459978	4969	1998-02-13	VYDAJ	PREVOD NA UCET	610	3452	 	AB	94635641
1459979	4969	1998-03-13	VYDAJ	PREVOD NA UCET	610	37056	 	AB	94635641
1459980	4969	1998-04-13	VYDAJ	PREVOD NA UCET	610	9602	 	AB	94635641
1459981	4969	1998-05-13	VYDAJ	PREVOD NA UCET	610	22718	 	AB	94635641
1459982	4969	1998-06-13	VYDAJ	PREVOD NA UCET	610	30286	 	AB	94635641
1459983	4969	1998-07-13	VYDAJ	PREVOD NA UCET	610	92582	 	AB	94635641
1459984	4969	1998-08-13	VYDAJ	PREVOD NA UCET	610	33716	 	AB	94635641
1459985	4969	1998-09-13	VYDAJ	PREVOD NA UCET	610	36571	 	AB	94635641
1459986	4969	1998-10-13	VYDAJ	PREVOD NA UCET	610	50256	 	AB	94635641
1459987	4969	1998-11-13	VYDAJ	PREVOD NA UCET	610	69409	 	AB	94635641
1459988	4969	1998-12-13	VYDAJ	PREVOD NA UCET	610	90189	 	AB	94635641
1460003	4969	1998-08-03	VYBER	VYBER	22712	75938	\N	\N	\N
1460004	4969	1998-03-14	VYBER	VYBER	16148	20908	\N	\N	\N
1460009	4969	1998-12-29	VYBER	VYBER	3129	101151	\N	\N	\N
1460010	4969	1998-06-04	VYBER	VYBER	15667	91007	\N	\N	\N
1460014	4969	1997-06-04	VYDAJ	VYBER	54600	89723	\N	\N	\N
1460015	4969	1998-06-04	VYDAJ	VYBER	30000	61007	\N	\N	\N
1460020	4969	1997-12-24	VYDAJ	VYBER	3600	29012	\N	\N	\N
1460021	4969	1998-12-16	VYDAJ	VYBER	2400	62436	\N	\N	\N
1460048	4969	1997-03-24	VYDAJ	VYBER	7800	86247	\N	\N	\N
1460049	4969	1997-10-26	VYDAJ	VYBER	12600	45846	\N	\N	\N
1460050	4969	1997-07-11	VYDAJ	VYBER	14700	66013	\N	\N	\N
1460051	4969	1997-04-16	VYDAJ	VYBER	12600	59185	\N	\N	\N
1460052	4969	1998-08-07	VYDAJ	VYBER	9900	57729	\N	\N	\N
1460053	4969	1998-11-02	VYDAJ	VYBER	3000	47491	\N	\N	\N
1460054	4969	1998-09-02	VYDAJ	VYBER	6900	62993	\N	\N	\N
1460071	4969	1997-03-31	VYDAJ	VYBER	30	86524	SLUZBY	\N	\N
1460072	4969	1997-04-30	VYDAJ	VYBER	30	59484	SLUZBY	\N	\N
1460073	4969	1997-05-31	VYDAJ	VYBER	30	96063	SLUZBY	\N	\N
1460074	4969	1997-06-30	VYDAJ	VYBER	30	15879	SLUZBY	\N	\N
1460075	4969	1997-07-31	VYDAJ	VYBER	30	56313	SLUZBY	\N	\N
1460076	4969	1997-08-31	VYDAJ	VYBER	30	57950	SLUZBY	\N	\N
1460077	4969	1997-09-30	VYDAJ	VYBER	30	71390	SLUZBY	\N	\N
1460078	4969	1997-10-31	VYDAJ	VYBER	30	83717	SLUZBY	\N	\N
1460079	4969	1997-11-30	VYDAJ	VYBER	30	46315	SLUZBY	\N	\N
1460080	4969	1997-12-31	VYDAJ	VYBER	30	29148	SLUZBY	\N	\N
1460081	4969	1998-01-31	VYDAJ	VYBER	30	12371	SLUZBY	\N	\N
1460082	4969	1998-02-28	VYDAJ	VYBER	30	31375	SLUZBY	\N	\N
1460083	4969	1998-03-31	VYDAJ	VYBER	30	21024	SLUZBY	\N	\N
1460084	4969	1998-04-30	VYDAJ	VYBER	30	23455	SLUZBY	\N	\N
1460085	4969	1998-05-31	VYDAJ	VYBER	30	106674	SLUZBY	\N	\N
1460086	4969	1998-06-30	VYDAJ	VYBER	30	77545	SLUZBY	\N	\N
1460087	4969	1998-07-31	VYDAJ	VYBER	30	98650	SLUZBY	\N	\N
1460088	4969	1998-08-31	VYDAJ	VYBER	30	33878	SLUZBY	\N	\N
1460089	4969	1998-09-30	VYDAJ	VYBER	30	131731	SLUZBY	\N	\N
1460090	4969	1998-10-31	VYDAJ	VYBER	30	50491	SLUZBY	\N	\N
1460091	4969	1998-11-30	VYDAJ	VYBER	30	69671	SLUZBY	\N	\N
1460092	4969	1996-09-18	PRIJEM	VKLAD	12200	12400	\N	\N	\N
1460093	4969	1996-10-18	PRIJEM	VKLAD	8700	21100	\N	\N	\N
1460094	4969	1996-11-17	PRIJEM	VKLAD	1600	22700	\N	\N	\N
1460095	4969	1996-12-17	VYDAJ	VYBER	10000	36196	\N	\N	\N
1460096	4969	1997-01-16	VYDAJ	VYBER	22200	42187	\N	\N	\N
1460097	4969	1997-02-15	VYDAJ	VYBER	35000	57465	\N	\N	\N
1460098	4969	1997-03-17	VYDAJ	VYBER	22900	53217	\N	\N	\N
1460099	4969	1997-04-16	VYDAJ	VYBER	32600	71785	\N	\N	\N
1460100	4969	1997-05-11	VYDAJ	VYBER	42700	88064	\N	\N	\N
1460101	4969	1997-05-16	VYDAJ	VYBER	30100	54851	\N	\N	\N
1460102	4969	1997-06-04	VYDAJ	VYBER	59800	29923	\N	\N	\N
1460103	4969	1997-06-15	VYDAJ	VYBER	2700	15801	\N	\N	\N
1460104	4969	1997-07-15	VYDAJ	VYBER	31700	56125	\N	\N	\N
1460105	4969	1997-08-14	VYDAJ	VYBER	29200	57725	\N	\N	\N
1460106	4969	1997-09-13	VYDAJ	VYBER	11300	35838	\N	\N	\N
1460107	4969	1997-10-13	VYDAJ	VYBER	29000	58446	\N	\N	\N
1460108	4969	1997-11-12	VYDAJ	VYBER	26200	49208	\N	\N	\N
1460109	4969	1997-12-11	VYDAJ	VYBER	57600	55425	\N	\N	\N
1460110	4969	1997-12-12	VYDAJ	VYBER	19700	35725	\N	\N	\N
1460111	4969	1998-01-11	VYDAJ	VYBER	5400	15439	\N	\N	\N
1460112	4969	1998-03-08	VYDAJ	VYBER	42100	62569	\N	\N	\N
1460113	4969	1998-03-12	VYDAJ	VYBER	22400	37666	\N	\N	\N
1460114	4969	1998-05-11	VYDAJ	VYBER	12100	25831	\N	\N	\N
1460115	4969	1998-06-10	VYDAJ	VYBER	19300	33398	\N	\N	\N
1460116	4969	1998-07-10	VYDAJ	VYBER	36100	54519	\N	\N	\N
1460117	4969	1998-07-24	VYDAJ	VYBER	18600	121777	\N	\N	\N
1460118	4969	1998-07-31	VYDAJ	VYBER	28900	98680	\N	\N	\N
1460119	4969	1998-08-09	VYDAJ	VYBER	20900	36829	\N	\N	\N
1460120	4969	1998-09-08	VYDAJ	VYBER	15000	39684	\N	\N	\N
1460121	4969	1998-09-30	VYDAJ	VYBER	22200	80631	\N	\N	\N
1460122	4969	1998-09-30	VYDAJ	VYBER	28900	102831	\N	\N	\N
1460123	4969	1998-10-08	VYDAJ	VYBER	26000	53369	\N	\N	\N
1460124	4969	1998-11-07	VYDAJ	VYBER	34900	66648	\N	\N	\N
1460125	4969	1998-12-07	VYDAJ	VYBER	13700	47662	\N	\N	\N
1460126	4969	1998-12-14	VYDAJ	VYBER	52300	64836	\N	\N	\N
1460127	4969	1998-12-22	VYDAJ	VYBER	21500	104280	\N	\N	\N
1462868	4981	1996-01-22	PRIJEM	VKLAD	200	200	\N	\N	\N
1462870	4981	1996-02-07	PRIJEM	VKLAD	23307	23507	\N	\N	\N
1462871	4981	1996-03-07	PRIJEM	VKLAD	23307	50850	\N	\N	\N
1462872	4981	1996-04-07	PRIJEM	VKLAD	23307	62787	\N	\N	\N
1462873	4981	1996-05-07	PRIJEM	VKLAD	23307	68266	\N	\N	\N
1462874	4981	1996-06-07	PRIJEM	VKLAD	34960	81615	\N	\N	\N
1462875	4981	1996-07-07	PRIJEM	VKLAD	23307	52963	\N	\N	\N
1462876	4981	1996-08-07	PRIJEM	VKLAD	23307	58437	\N	\N	\N
1462877	4981	1996-09-07	PRIJEM	VKLAD	23307	54770	\N	\N	\N
1462878	4981	1996-10-07	PRIJEM	VKLAD	23307	55505	\N	\N	\N
1462879	4981	1996-11-07	PRIJEM	VKLAD	23307	61505	\N	\N	\N
1462880	4981	1996-12-07	PRIJEM	VKLAD	34960	71198	\N	\N	\N
1462881	4981	1997-01-07	PRIJEM	VKLAD	23307	63738	\N	\N	\N
1462882	4981	1997-02-07	PRIJEM	VKLAD	23307	50619	\N	\N	\N
1462883	4981	1997-03-07	PRIJEM	VKLAD	23307	53388	\N	\N	\N
1462884	4981	1997-04-07	PRIJEM	VKLAD	23307	58372	\N	\N	\N
1462885	4981	1997-05-07	PRIJEM	VKLAD	23307	57767	\N	\N	\N
1462886	4981	1997-06-07	PRIJEM	VKLAD	34960	70577	\N	\N	\N
1462887	4981	1997-07-07	PRIJEM	VKLAD	23307	43092	\N	\N	\N
1462888	4981	1997-08-07	PRIJEM	VKLAD	23307	46213	\N	\N	\N
1462889	4981	1997-09-07	PRIJEM	VKLAD	23307	52669	\N	\N	\N
1462890	4981	1997-10-07	PRIJEM	VKLAD	23307	51332	\N	\N	\N
1462891	4981	1997-11-07	PRIJEM	VKLAD	23307	52993	\N	\N	\N
1462892	4981	1997-12-07	PRIJEM	VKLAD	34960	63405	\N	\N	\N
1462893	4981	1998-01-07	PRIJEM	VKLAD	23307	46457	\N	\N	\N
1462894	4981	1998-02-07	PRIJEM	VKLAD	23307	39506	\N	\N	\N
1462895	4981	1998-03-07	PRIJEM	VKLAD	23307	43219	\N	\N	\N
1462896	4981	1998-04-07	PRIJEM	VKLAD	23307	40285	\N	\N	\N
1462897	4981	1998-05-07	PRIJEM	VKLAD	23307	38292	\N	\N	\N
1462898	4981	1998-06-07	PRIJEM	VKLAD	34960	51047	\N	\N	\N
1462899	4981	1998-07-07	PRIJEM	VKLAD	23307	43766	\N	\N	\N
1462900	4981	1998-08-07	PRIJEM	VKLAD	23307	43084	\N	\N	\N
1462901	4981	1998-09-07	PRIJEM	VKLAD	23307	44904	\N	\N	\N
1462902	4981	1998-10-07	PRIJEM	VKLAD	23307	40510	\N	\N	\N
1462903	4981	1998-11-07	PRIJEM	VKLAD	23307	39513	\N	\N	\N
1462904	4981	1998-12-07	PRIJEM	VKLAD	34960	47951	\N	\N	\N
1462910	4981	1996-06-07	VYDAJ	PREVOD NA UCET	4930	76685	SIPO	YZ	61511546
1462911	4981	1996-07-07	VYDAJ	PREVOD NA UCET	4930	48033	SIPO	YZ	61511546
1462912	4981	1996-08-07	VYDAJ	PREVOD NA UCET	4930	53507	SIPO	YZ	61511546
1462913	4981	1996-09-07	VYDAJ	PREVOD NA UCET	4930	49840	SIPO	YZ	61511546
1462914	4981	1996-10-07	VYDAJ	PREVOD NA UCET	4930	50575	SIPO	YZ	61511546
1462915	4981	1996-11-07	VYDAJ	PREVOD NA UCET	4930	56575	SIPO	YZ	61511546
1462916	4981	1996-12-07	VYDAJ	PREVOD NA UCET	4930	66268	SIPO	YZ	61511546
1462917	4981	1997-01-07	VYDAJ	PREVOD NA UCET	4930	58808	SIPO	YZ	61511546
1462918	4981	1997-02-07	VYDAJ	PREVOD NA UCET	4930	45689	SIPO	YZ	61511546
1462919	4981	1997-03-07	VYDAJ	PREVOD NA UCET	4930	48458	SIPO	YZ	61511546
1462920	4981	1997-04-07	VYDAJ	PREVOD NA UCET	4930	53442	SIPO	YZ	61511546
1462921	4981	1997-05-07	VYDAJ	PREVOD NA UCET	4930	52837	SIPO	YZ	61511546
1462922	4981	1997-06-07	VYDAJ	PREVOD NA UCET	4930	65647	SIPO	YZ	61511546
1462923	4981	1997-07-07	VYDAJ	PREVOD NA UCET	4930	38162	SIPO	YZ	61511546
1462924	4981	1997-08-07	VYDAJ	PREVOD NA UCET	4930	41283	SIPO	YZ	61511546
1462925	4981	1997-09-07	VYDAJ	PREVOD NA UCET	4930	47739	SIPO	YZ	61511546
1462926	4981	1997-10-07	VYDAJ	PREVOD NA UCET	4930	46402	SIPO	YZ	61511546
1462927	4981	1997-11-07	VYDAJ	PREVOD NA UCET	4930	48063	SIPO	YZ	61511546
1462928	4981	1997-12-07	VYDAJ	PREVOD NA UCET	4930	58475	SIPO	YZ	61511546
1462929	4981	1998-01-07	VYDAJ	PREVOD NA UCET	4930	41527	SIPO	YZ	61511546
1462930	4981	1998-02-07	VYDAJ	PREVOD NA UCET	4930	34576	SIPO	YZ	61511546
1462931	4981	1998-03-07	VYDAJ	PREVOD NA UCET	4930	38289	SIPO	YZ	61511546
1462932	4981	1998-04-07	VYDAJ	PREVOD NA UCET	4930	35355	SIPO	YZ	61511546
1462933	4981	1998-05-07	VYDAJ	PREVOD NA UCET	4930	33362	SIPO	YZ	61511546
1462934	4981	1998-06-07	VYDAJ	PREVOD NA UCET	4930	46117	SIPO	YZ	61511546
1462935	4981	1998-07-07	VYDAJ	PREVOD NA UCET	4930	38836	SIPO	YZ	61511546
1462936	4981	1998-08-07	VYDAJ	PREVOD NA UCET	4930	38154	SIPO	YZ	61511546
1462937	4981	1998-09-07	VYDAJ	PREVOD NA UCET	4930	39974	SIPO	YZ	61511546
1462938	4981	1998-10-07	VYDAJ	PREVOD NA UCET	4930	35580	SIPO	YZ	61511546
1462939	4981	1998-11-07	VYDAJ	PREVOD NA UCET	4930	34583	SIPO	YZ	61511546
1462940	4981	1998-12-07	VYDAJ	PREVOD NA UCET	4930	43021	SIPO	YZ	61511546
1462946	4981	1996-06-13	VYDAJ	VYBER	3800	72885	\N	\N	0
1462947	4981	1996-07-17	VYDAJ	VYBER	3500	44533	\N	\N	0
1462948	4981	1996-08-11	VYDAJ	VYBER	3300	50207	\N	\N	0
1462949	4981	1996-09-01	VYDAJ	VYBER	3000	31463	\N	\N	0
1462950	4981	1996-10-06	VYDAJ	VYBER	5200	32198	\N	\N	0
1462951	4981	1996-11-13	VYDAJ	VYBER	4800	51775	\N	\N	0
1462952	4981	1996-12-12	VYDAJ	PREVOD NA UCET	3736	58052	UVER	GH	9506047
1462953	4981	1997-01-12	VYDAJ	PREVOD NA UCET	3736	55072	UVER	GH	9506047
1462954	4981	1997-02-12	VYDAJ	PREVOD NA UCET	3736	41953	UVER	GH	9506047
1462955	4981	1997-03-12	VYDAJ	PREVOD NA UCET	3736	44722	UVER	GH	9506047
1462956	4981	1997-04-12	VYDAJ	PREVOD NA UCET	3736	49706	UVER	GH	9506047
1462957	4981	1997-05-12	VYDAJ	PREVOD NA UCET	3736	49101	UVER	GH	9506047
1462958	4981	1997-06-12	VYDAJ	PREVOD NA UCET	3736	58911	UVER	GH	9506047
1462959	4981	1997-07-12	VYDAJ	PREVOD NA UCET	3736	34426	UVER	GH	9506047
1462960	4981	1997-08-12	VYDAJ	PREVOD NA UCET	3736	37547	UVER	GH	9506047
1462961	4981	1997-09-12	VYDAJ	PREVOD NA UCET	3736	44003	UVER	GH	9506047
1462962	4981	1997-10-12	VYDAJ	PREVOD NA UCET	3736	42666	UVER	GH	9506047
1462963	4981	1997-11-12	VYDAJ	PREVOD NA UCET	3736	28327	UVER	GH	9506047
1462964	4981	1997-12-12	VYDAJ	PREVOD NA UCET	3736	34139	UVER	GH	9506047
1463072	4981	1997-09-13	VYDAJ	VYBER	16100	27903	\N	\N	\N
1462965	4981	1998-01-12	VYDAJ	PREVOD NA UCET	3736	24991	UVER	GH	9506047
1462966	4981	1998-02-12	VYDAJ	PREVOD NA UCET	3736	19840	UVER	GH	9506047
1462967	4981	1998-03-12	VYDAJ	PREVOD NA UCET	3736	21453	UVER	GH	9506047
1462968	4981	1998-04-12	VYDAJ	PREVOD NA UCET	3736	14919	UVER	GH	9506047
1462969	4981	1998-05-12	VYDAJ	PREVOD NA UCET	3736	16026	UVER	GH	9506047
1462970	4981	1998-06-12	VYDAJ	PREVOD NA UCET	3736	20381	UVER	GH	9506047
1462971	4981	1998-07-12	VYDAJ	PREVOD NA UCET	3736	19700	UVER	GH	9506047
1462972	4981	1998-08-12	VYDAJ	PREVOD NA UCET	3736	21518	UVER	GH	9506047
1462973	4981	1998-09-12	VYDAJ	PREVOD NA UCET	3736	17138	UVER	GH	9506047
1462974	4981	1998-10-12	VYDAJ	PREVOD NA UCET	3736	19744	UVER	GH	9506047
1462975	4981	1998-11-12	VYDAJ	PREVOD NA UCET	3736	12947	UVER	GH	9506047
1462976	4981	1998-12-12	VYDAJ	PREVOD NA UCET	3736	15705	UVER	GH	9506047
1462977	4981	1996-06-21	VYDAJ	VYBER	23040	29445	\N	\N	\N
1462978	4981	1997-06-23	VYDAJ	VYBER	18880	22631	\N	\N	\N
1462980	4981	1996-12-11	VYDAJ	VYBER	4480	61788	\N	\N	\N
1462981	4981	1997-12-23	VYDAJ	VYBER	800	27579	\N	\N	\N
1462989	4981	1997-01-19	VYDAJ	VYBER	3480	34232	\N	\N	\N
1462990	4981	1997-01-12	VYDAJ	VYBER	3360	51712	\N	\N	\N
1462991	4981	1997-01-30	VYDAJ	VYBER	1680	27152	\N	\N	\N
1462992	4981	1997-01-27	VYDAJ	VYBER	1080	30872	\N	\N	\N
1462993	4981	1997-01-22	VYDAJ	VYBER	2280	31952	\N	\N	\N
1462994	4981	1997-01-28	VYDAJ	VYBER	2040	28832	\N	\N	\N
1462995	4981	1998-01-29	VYDAJ	VYBER	2520	16111	\N	\N	\N
1462996	4981	1998-01-19	VYDAJ	VYBER	2160	18631	\N	\N	\N
1462997	4981	1998-01-13	VYDAJ	VYBER	1320	23671	\N	\N	\N
1462998	4981	1998-01-05	VYDAJ	VYBER	2400	25310	\N	\N	\N
1462999	4981	1998-01-06	VYDAJ	VYBER	2160	23150	\N	\N	\N
1463000	4981	1998-01-15	VYDAJ	VYBER	2880	20791	\N	\N	\N
1463002	4981	1996-08-13	VYDAJ	VYBER	1560	48647	\N	\N	\N
1463003	4981	1996-08-04	VYDAJ	VYBER	1560	35130	\N	\N	\N
1463004	4981	1996-10-28	VYDAJ	VYBER	840	38035	\N	\N	\N
1463006	4981	1996-08-17	VYDAJ	VYBER	840	47807	\N	\N	\N
1463007	4981	1997-07-28	VYDAJ	VYBER	4320	22806	\N	\N	\N
1463008	4981	1997-06-03	VYDAJ	VYBER	840	35617	\N	\N	\N
1463009	4981	1997-06-10	VYDAJ	VYBER	3000	62647	\N	\N	\N
1463010	4981	1997-12-22	VYDAJ	VYBER	5760	28379	\N	\N	\N
1463011	4981	1997-06-25	VYDAJ	VYBER	3000	19631	\N	\N	\N
1463013	4981	1998-10-16	VYDAJ	VYBER	3600	16144	\N	\N	\N
1463014	4981	1998-12-08	VYDAJ	VYBER	4680	19441	\N	\N	\N
1463015	4981	1998-03-22	VYDAJ	VYBER	1800	19653	\N	\N	\N
1463016	4981	1998-04-04	VYDAJ	VYBER	2760	16978	\N	\N	\N
1463023	4981	1996-06-30	VYDAJ	VYBER	15	29656	SLUZBY	\N	\N
1463024	4981	1996-07-31	VYDAJ	VYBER	15	36690	SLUZBY	\N	\N
1463025	4981	1996-08-31	VYDAJ	VYBER	15	34463	SLUZBY	\N	\N
1463026	4981	1996-09-30	VYDAJ	VYBER	15	37398	SLUZBY	\N	\N
1463027	4981	1996-10-31	VYDAJ	VYBER	15	38198	SLUZBY	\N	\N
1463028	4981	1996-11-30	VYDAJ	VYBER	15	36238	SLUZBY	\N	\N
1463029	4981	1996-12-31	VYDAJ	VYBER	15	40431	SLUZBY	\N	\N
1463030	4981	1997-01-31	VYDAJ	VYBER	15	27312	SLUZBY	\N	\N
1463031	4981	1997-02-28	VYDAJ	VYBER	15	30081	SLUZBY	\N	\N
1463032	4981	1997-03-31	VYDAJ	VYBER	15	35065	SLUZBY	\N	\N
1463033	4981	1997-04-30	VYDAJ	VYBER	15	34460	SLUZBY	\N	\N
1463034	4981	1997-05-31	VYDAJ	VYBER	15	36457	SLUZBY	\N	\N
1463035	4981	1997-06-30	VYDAJ	VYBER	15	19785	SLUZBY	\N	\N
1463036	4981	1997-07-31	VYDAJ	VYBER	15	22906	SLUZBY	\N	\N
1463037	4981	1997-08-31	VYDAJ	VYBER	15	29362	SLUZBY	\N	\N
1463038	4981	1997-09-30	VYDAJ	VYBER	15	28025	SLUZBY	\N	\N
1463039	4981	1997-10-31	VYDAJ	VYBER	15	29686	SLUZBY	\N	\N
1463040	4981	1997-11-30	VYDAJ	VYBER	15	28445	SLUZBY	\N	\N
1463041	4981	1997-12-31	VYDAJ	VYBER	15	27710	SLUZBY	\N	\N
1463042	4981	1998-01-31	VYDAJ	VYBER	15	16199	SLUZBY	\N	\N
1463043	4981	1998-02-28	VYDAJ	VYBER	15	19912	SLUZBY	\N	\N
1463044	4981	1998-03-31	VYDAJ	VYBER	15	19738	SLUZBY	\N	\N
1463045	4981	1998-04-30	VYDAJ	VYBER	15	14985	SLUZBY	\N	\N
1463046	4981	1998-05-31	VYDAJ	VYBER	15	16087	SLUZBY	\N	\N
1463047	4981	1998-06-30	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
1463048	4981	1998-07-31	VYDAJ	VYBER	15	19777	SLUZBY	\N	\N
1463049	4981	1998-08-31	VYDAJ	VYBER	15	21597	SLUZBY	\N	\N
1463050	4981	1998-09-30	VYDAJ	VYBER	15	17203	SLUZBY	\N	\N
1463051	4981	1998-10-31	VYDAJ	VYBER	15	16206	SLUZBY	\N	\N
1463052	4981	1998-11-30	VYDAJ	VYBER	15	12991	SLUZBY	\N	\N
1463053	4981	1996-02-21	PRIJEM	VKLAD	4000	27507	\N	\N	\N
1463054	4981	1996-03-22	VYDAJ	VYBER	11500	39350	\N	\N	\N
1463055	4981	1996-04-21	VYDAJ	VYBER	18000	44787	\N	\N	\N
1463056	4981	1996-05-21	VYDAJ	VYBER	21800	46466	\N	\N	\N
1463057	4981	1996-06-20	VYDAJ	VYBER	20400	52485	\N	\N	\N
1463058	4981	1996-07-20	VYDAJ	VYBER	8000	36533	\N	\N	\N
1463059	4981	1996-08-19	VYDAJ	VYBER	13500	34307	\N	\N	\N
1463060	4981	1996-09-18	VYDAJ	VYBER	12600	37240	\N	\N	\N
1463061	4981	1996-10-18	VYDAJ	VYBER	11700	38875	\N	\N	\N
1463062	4981	1996-11-17	VYDAJ	VYBER	15700	36075	\N	\N	\N
1463063	4981	1996-12-17	VYDAJ	VYBER	17800	40252	\N	\N	\N
1463064	4981	1997-01-16	VYDAJ	VYBER	14000	37712	\N	\N	\N
1463065	4981	1997-02-15	VYDAJ	VYBER	12000	29953	\N	\N	\N
1463066	4981	1997-03-17	VYDAJ	VYBER	9800	34922	\N	\N	\N
1463067	4981	1997-04-16	VYDAJ	VYBER	15400	34306	\N	\N	\N
1463068	4981	1997-05-16	VYDAJ	VYBER	12800	36301	\N	\N	\N
1463069	4981	1997-06-15	VYDAJ	VYBER	17400	41511	\N	\N	\N
1463070	4981	1997-07-15	VYDAJ	VYBER	7300	27126	\N	\N	\N
1463071	4981	1997-08-14	VYDAJ	VYBER	8300	29247	\N	\N	\N
1463073	4981	1997-10-13	VYDAJ	VYBER	13100	29566	\N	\N	\N
1463074	4981	1997-11-12	VYDAJ	VYBER	16000	32063	\N	\N	\N
1463075	4981	1997-12-12	VYDAJ	VYBER	20600	37875	\N	\N	\N
1463076	4981	1998-01-11	VYDAJ	VYBER	12800	28727	\N	\N	\N
1463077	4981	1998-02-10	VYDAJ	VYBER	11000	23576	\N	\N	\N
1463078	4981	1998-03-12	VYDAJ	VYBER	13100	25189	\N	\N	\N
1463079	4981	1998-04-11	VYDAJ	VYBER	16700	18655	\N	\N	\N
1463080	4981	1998-05-11	VYDAJ	VYBER	13600	19762	\N	\N	\N
1463081	4981	1998-06-10	VYDAJ	VYBER	22000	24117	\N	\N	\N
1463082	4981	1998-07-10	VYDAJ	VYBER	15400	23436	\N	\N	\N
1463083	4981	1998-08-09	VYDAJ	VYBER	12900	25254	\N	\N	\N
1463084	4981	1998-09-08	VYDAJ	VYBER	19100	20874	\N	\N	\N
1463085	4981	1998-10-08	VYDAJ	VYBER	12100	23480	\N	\N	\N
1463086	4981	1998-11-07	VYDAJ	VYBER	17900	16683	\N	\N	\N
1463087	4981	1998-12-07	VYDAJ	VYBER	18900	24121	\N	\N	\N
1466251	4994	1996-01-11	PRIJEM	VKLAD	600	600	\N	\N	\N
1466252	4994	1996-03-21	PRIJEM	VKLAD	8219	61649	\N	\N	\N
1466253	4994	1996-11-15	PRIJEM	VKLAD	45870	71730	\N	\N	\N
1466254	4994	1996-08-14	PRIJEM	VKLAD	30759	75651	\N	\N	\N
1466255	4994	1996-06-11	PRIJEM	VKLAD	16540	47844	\N	\N	\N
1466256	4994	1996-07-23	PRIJEM	VKLAD	17123	53686	\N	\N	\N
1466257	4994	1996-03-14	PRIJEM	VKLAD	31830	53430	\N	\N	\N
1466258	4994	1997-12-14	PRIJEM	VKLAD	7328	76895	\N	\N	\N
1466259	4994	1997-12-02	PRIJEM	VKLAD	44304	113565	\N	\N	\N
1466260	4994	1997-10-12	PRIJEM	VKLAD	18508	73344	\N	\N	\N
1466261	4994	1997-06-03	PRIJEM	VKLAD	46593	109963	\N	\N	\N
1466262	4994	1997-10-11	PRIJEM	VKLAD	9153	54836	\N	\N	\N
1466263	4994	1997-11-11	PRIJEM	VKLAD	7864	80600	\N	\N	\N
1466264	4994	1997-12-22	PRIJEM	VKLAD	24751	78891	\N	\N	\N
1466265	4994	1997-08-22	PRIJEM	VKLAD	5620	113158	\N	\N	\N
1466266	4994	1997-01-22	PRIJEM	VKLAD	25929	45014	\N	\N	\N
1466267	4994	1997-01-26	PRIJEM	VKLAD	28634	73648	\N	\N	\N
1466268	4994	1997-12-13	PRIJEM	VKLAD	29784	77670	\N	\N	\N
1466269	4994	1997-07-28	PRIJEM	VKLAD	33908	72913	\N	\N	\N
1466270	4994	1997-08-22	PRIJEM	VKLAD	37462	107538	\N	\N	\N
1466271	4994	1997-02-26	PRIJEM	VKLAD	14876	70126	\N	\N	\N
1466272	4994	1997-04-04	PRIJEM	VKLAD	17984	57194	\N	\N	\N
1466273	4994	1997-02-02	PRIJEM	VKLAD	35855	97629	\N	\N	\N
1466274	4994	1997-05-23	PRIJEM	VKLAD	38325	63229	\N	\N	\N
1466275	4994	1997-11-16	PRIJEM	VKLAD	7747	81169	\N	\N	\N
1466276	4994	1997-09-09	PRIJEM	VKLAD	44743	91999	\N	\N	\N
1466277	4994	1997-06-14	PRIJEM	VKLAD	14997	63281	\N	\N	\N
1466278	4994	1997-09-05	PRIJEM	VKLAD	15357	71513	\N	\N	\N
1466279	4994	1997-08-18	PRIJEM	VKLAD	23791	70076	\N	\N	\N
1466280	4994	1997-10-30	PRIJEM	VKLAD	33972	101694	\N	\N	\N
1466281	4994	1997-10-26	PRIJEM	VKLAD	6513	72678	\N	\N	\N
1466282	4994	1997-11-26	PRIJEM	VKLAD	15161	96330	\N	\N	\N
1466283	4994	1997-12-15	PRIJEM	VKLAD	32445	109340	\N	\N	\N
1466284	4994	1997-07-07	PRIJEM	VKLAD	25593	46184	\N	\N	\N
1466285	4994	1998-08-04	PRIJEM	VKLAD	38049	96902	\N	\N	\N
1466286	4994	1998-05-30	PRIJEM	VKLAD	48754	94862	\N	\N	\N
1466287	4994	1998-04-16	PRIJEM	VKLAD	6465	41642	\N	\N	\N
1466296	4994	1996-09-12	VYDAJ	PREVOD NA UCET	7179	47119	UVER	MN	80840283
1466297	4994	1996-10-12	VYDAJ	PREVOD NA UCET	7179	26945	UVER	MN	80840283
1466298	4994	1996-11-12	VYDAJ	PREVOD NA UCET	7179	25860	UVER	MN	80840283
1466299	4994	1996-12-12	VYDAJ	PREVOD NA UCET	7179	48633	UVER	MN	80840283
1466300	4994	1997-01-12	VYDAJ	PREVOD NA UCET	7179	19085	UVER	MN	80840283
1466301	4994	1997-02-12	VYDAJ	PREVOD NA UCET	7179	55250	UVER	MN	80840283
1466302	4994	1997-03-12	VYDAJ	PREVOD NA UCET	7179	39050	UVER	MN	80840283
1466303	4994	1997-04-12	VYDAJ	PREVOD NA UCET	7179	42315	UVER	MN	80840283
1466304	4994	1997-05-12	VYDAJ	PREVOD NA UCET	7179	24904	UVER	MN	80840283
1466305	4994	1997-06-12	VYDAJ	PREVOD NA UCET	7179	48284	UVER	MN	80840283
1466306	4994	1997-07-12	VYDAJ	PREVOD NA UCET	7179	39005	UVER	MN	80840283
1466307	4994	1997-08-12	VYDAJ	PREVOD NA UCET	7179	46285	UVER	MN	80840283
1466308	4994	1997-09-12	VYDAJ	PREVOD NA UCET	7179	84821	UVER	MN	80840283
1466309	4994	1997-10-12	VYDAJ	PREVOD NA UCET	7179	66165	UVER	MN	80840283
1466310	4994	1997-11-12	VYDAJ	PREVOD NA UCET	7179	73422	UVER	MN	80840283
1466311	4994	1997-12-12	VYDAJ	PREVOD NA UCET	7179	47886	UVER	MN	80840283
1466312	4994	1998-01-12	VYDAJ	PREVOD NA UCET	7179	29834	UVER	MN	80840283
1466313	4994	1998-02-12	VYDAJ	PREVOD NA UCET	7179	34372	UVER	MN	80840283
1466314	4994	1998-03-12	VYDAJ	PREVOD NA UCET	7179	35519	UVER	MN	80840283
1466315	4994	1998-04-12	VYDAJ	PREVOD NA UCET	7179	35177	UVER	MN	80840283
1466316	4994	1998-05-12	VYDAJ	PREVOD NA UCET	7179	46108	UVER	MN	80840283
1466317	4994	1998-06-12	VYDAJ	PREVOD NA UCET	7179	73684	UVER	MN	80840283
1466318	4994	1998-07-12	VYDAJ	PREVOD NA UCET	7179	59491	UVER	MN	80840283
1466319	4994	1998-08-12	VYDAJ	PREVOD NA UCET	7179	89724	UVER	MN	80840283
1466320	4994	1998-09-12	VYDAJ	PREVOD NA UCET	7179	70034	UVER	MN	80840283
1466321	4994	1998-10-12	VYDAJ	PREVOD NA UCET	7179	28667	UVER	MN	80840283
1466322	4994	1998-11-12	VYDAJ	PREVOD NA UCET	7179	37629	UVER	MN	80840283
1466323	4994	1998-12-12	VYDAJ	PREVOD NA UCET	7179	44911	UVER	MN	80840283
1466338	4994	1997-06-15	VYBER	VYBER	24643	38638	\N	\N	\N
1466339	4994	1997-07-05	VYBER	VYBER	18919	20591	\N	\N	\N
1466340	4994	1997-12-13	VYBER	VYBER	8103	69567	\N	\N	\N
1466341	4994	1997-11-28	VYBER	VYBER	12606	83724	\N	\N	\N
1466342	4994	1997-09-23	VYBER	VYBER	15221	69600	\N	\N	\N
1466343	4994	1997-05-08	VYBER	VYBER	8083	32083	\N	\N	\N
1466344	4994	1997-09-06	VYBER	VYBER	24257	47256	\N	\N	\N
1466345	4994	1997-01-12	VYBER	VYBER	8059	26264	\N	\N	\N
1466346	4994	1997-10-26	VYBER	VYBER	4956	67722	\N	\N	\N
1466347	4994	1997-03-01	VYBER	VYBER	7626	62729	\N	\N	\N
1466348	4994	1998-03-07	VYBER	VYBER	4015	42698	\N	\N	\N
1466349	4994	1998-03-27	VYBER	VYBER	10979	24540	\N	\N	\N
1466350	4994	1998-12-26	VYBER	VYBER	12371	32540	\N	\N	\N
1466351	4994	1998-06-19	VYBER	VYBER	13786	59898	\N	\N	\N
1466352	4994	1998-07-24	VYBER	VYBER	7008	48536	\N	\N	\N
1466354	4994	1998-01-05	VYBER	VYBER	16243	49913	\N	\N	\N
1466355	4994	1998-09-21	VYBER	VYBER	10026	47708	\N	\N	\N
1466357	4994	1998-11-11	VYBER	VYBER	7403	44808	\N	\N	\N
1466358	4994	1998-07-15	VYBER	VYBER	3947	55544	\N	\N	\N
1466365	4994	1996-12-15	VYDAJ	VYBER	7200	41433	\N	\N	\N
1466366	4994	1997-12-06	VYDAJ	VYBER	6300	55065	\N	\N	\N
1466367	4994	1998-12-05	VYDAJ	VYBER	5400	52090	\N	\N	\N
1466374	4994	1997-01-29	VYDAJ	VYBER	7800	61648	\N	\N	\N
1466376	4994	1997-01-03	VYDAJ	VYBER	5100	36523	\N	\N	\N
1466377	4994	1997-01-04	VYDAJ	VYBER	5400	31123	\N	\N	\N
1466378	4994	1997-01-26	VYDAJ	VYBER	4200	69448	\N	\N	\N
1466380	4994	1998-01-05	VYDAJ	VYBER	6300	43613	\N	\N	\N
1466381	4994	1998-01-25	VYDAJ	VYBER	1800	22334	\N	\N	\N
1466382	4994	1998-01-13	VYDAJ	VYBER	2400	27434	\N	\N	\N
1466384	4994	1998-01-10	VYDAJ	VYBER	6600	37013	\N	\N	\N
1466385	4994	1998-01-21	VYDAJ	VYBER	3300	24134	\N	\N	\N
1466390	4994	1996-09-28	VYDAJ	VYBER	12300	34819	\N	\N	\N
1466391	4994	1996-10-01	VYDAJ	VYBER	4500	30524	\N	\N	\N
1466392	4994	1997-02-02	VYDAJ	VYBER	6600	91029	\N	\N	\N
1466393	4994	1997-12-25	VYDAJ	VYBER	5400	73491	\N	\N	\N
1466394	4994	1997-10-06	VYDAJ	VYBER	11700	45683	\N	\N	\N
1466396	4994	1997-12-19	VYDAJ	VYBER	4200	54140	\N	\N	\N
1466397	4994	1998-10-09	VYDAJ	VYBER	11400	49346	\N	\N	\N
1466398	4994	1998-09-14	VYDAJ	VYBER	12300	57734	\N	\N	\N
1466399	4994	1998-10-10	VYDAJ	VYBER	13500	35846	\N	\N	\N
1466408	4994	1996-08-31	VYDAJ	VYBER	30	75898	SLUZBY	\N	\N
1466409	4994	1996-09-30	VYDAJ	VYBER	30	35024	SLUZBY	\N	\N
1466410	4994	1996-10-31	VYDAJ	VYBER	30	27039	SLUZBY	\N	\N
1466411	4994	1996-11-30	VYDAJ	VYBER	30	71912	SLUZBY	\N	\N
1466412	4994	1996-12-31	VYDAJ	VYBER	30	41623	SLUZBY	\N	\N
1466413	4994	1997-01-31	VYDAJ	VYBER	30	61774	SLUZBY	\N	\N
1466414	4994	1997-02-28	VYDAJ	VYBER	30	70355	SLUZBY	\N	\N
1466415	4994	1997-03-31	VYDAJ	VYBER	30	39210	SLUZBY	\N	\N
1466416	4994	1997-04-30	VYDAJ	VYBER	30	42466	SLUZBY	\N	\N
1466417	4994	1997-05-31	VYDAJ	VYBER	30	63370	SLUZBY	\N	\N
1466418	4994	1997-06-30	VYDAJ	VYBER	30	38810	SLUZBY	\N	\N
1466419	4994	1997-07-31	VYDAJ	VYBER	30	73063	SLUZBY	\N	\N
1466420	4994	1997-08-31	VYDAJ	VYBER	30	70256	SLUZBY	\N	\N
1466421	4994	1997-09-30	VYDAJ	VYBER	30	69883	SLUZBY	\N	\N
1466422	4994	1997-10-31	VYDAJ	VYBER	30	101936	SLUZBY	\N	\N
1466423	4994	1997-11-30	VYDAJ	VYBER	30	84061	SLUZBY	\N	\N
1466424	4994	1997-12-31	VYDAJ	VYBER	30	66156	SLUZBY	\N	\N
1466425	4994	1998-01-31	VYDAJ	VYBER	30	41551	SLUZBY	\N	\N
1466426	4994	1998-02-28	VYDAJ	VYBER	30	34513	SLUZBY	\N	\N
1466427	4994	1998-03-31	VYDAJ	VYBER	30	42356	SLUZBY	\N	\N
1466428	4994	1998-04-30	VYDAJ	VYBER	30	53287	SLUZBY	\N	\N
1466429	4994	1998-05-31	VYDAJ	VYBER	30	80862	SLUZBY	\N	\N
1466430	4994	1998-06-30	VYDAJ	VYBER	30	66670	SLUZBY	\N	\N
1466431	4994	1998-07-31	VYDAJ	VYBER	30	58853	SLUZBY	\N	\N
1466432	4994	1998-08-31	VYDAJ	VYBER	30	77213	SLUZBY	\N	\N
1466433	4994	1998-09-30	VYDAJ	VYBER	30	60746	SLUZBY	\N	\N
1466434	4994	1998-10-31	VYDAJ	VYBER	30	52211	SLUZBY	\N	\N
1466435	4994	1998-11-30	VYDAJ	VYBER	30	57490	SLUZBY	\N	\N
1466436	4994	1996-02-10	PRIJEM	VKLAD	12600	13200	\N	\N	\N
1466437	4994	1996-03-11	PRIJEM	VKLAD	8400	21600	\N	\N	\N
1466438	4994	1996-04-10	VYDAJ	VYBER	14600	47190	\N	\N	\N
1466439	4994	1996-05-10	VYDAJ	VYBER	11200	36247	\N	\N	\N
1466440	4994	1996-06-09	VYDAJ	VYBER	5200	31304	\N	\N	\N
1466441	4994	1996-07-09	VYDAJ	VYBER	11500	36563	\N	\N	\N
1466442	4994	1996-08-08	VYDAJ	VYBER	9000	44892	\N	\N	\N
1466443	4994	1996-09-07	VYDAJ	VYBER	21600	54298	\N	\N	\N
1466444	4994	1996-10-07	PRIJEM	VKLAD	3600	34124	\N	\N	\N
1466445	4994	1996-11-06	PRIJEM	VKLAD	6000	33039	\N	\N	\N
1466446	4994	1996-12-06	VYDAJ	VYBER	16100	55812	\N	\N	\N
1466447	4994	1997-01-05	PRIJEM	VKLAD	3200	34323	\N	\N	\N
1466448	4994	1997-02-04	VYDAJ	VYBER	28600	62429	\N	\N	\N
1466449	4994	1997-03-06	VYDAJ	VYBER	16500	46229	\N	\N	\N
1466450	4994	1997-04-05	VYDAJ	VYBER	7700	49494	\N	\N	\N
1466451	4994	1997-05-05	VYDAJ	VYBER	2300	40166	\N	\N	\N
1466452	4994	1997-06-03	VYDAJ	VYBER	42100	67863	\N	\N	\N
1466453	4994	1997-06-04	VYDAJ	VYBER	12400	55463	\N	\N	\N
1466454	4994	1997-07-04	PRIJEM	VKLAD	700	39510	\N	\N	\N
1466455	4994	1997-08-03	VYDAJ	VYBER	19600	53463	\N	\N	\N
1466456	4994	1997-08-22	VYDAJ	VYBER	43200	69958	\N	\N	\N
1466457	4994	1997-09-02	VYDAJ	VYBER	14100	56156	\N	\N	\N
1466458	4994	1997-10-02	VYDAJ	VYBER	12500	57383	\N	\N	\N
1466459	4994	1997-11-01	VYDAJ	VYBER	29200	72736	\N	\N	\N
1466460	4994	1997-12-01	VYDAJ	VYBER	14800	69261	\N	\N	\N
1466461	4994	1997-12-02	VYDAJ	VYBER	52200	61365	\N	\N	\N
1466462	4994	1997-12-15	VYDAJ	VYBER	51000	58340	\N	\N	\N
1466463	4994	1997-12-31	VYDAJ	VYBER	7600	66186	\N	\N	\N
1466464	4994	1998-01-30	PRIJEM	VKLAD	19100	41434	\N	\N	\N
1466465	4994	1998-03-01	PRIJEM	VKLAD	12200	46713	\N	\N	\N
1466466	4994	1998-03-31	PRIJEM	VKLAD	17700	42386	\N	\N	\N
1466467	4994	1998-04-30	PRIJEM	VKLAD	11500	53142	\N	\N	\N
1466468	4994	1998-05-30	VYDAJ	VYBER	14200	80662	\N	\N	\N
1466469	4994	1998-06-29	PRIJEM	VKLAD	6500	66398	\N	\N	\N
1466470	4994	1998-07-29	PRIJEM	VKLAD	10100	58636	\N	\N	\N
1466471	4994	1998-08-28	VYDAJ	VYBER	12800	76924	\N	\N	\N
1466472	4994	1998-09-27	PRIJEM	VKLAD	12800	60508	\N	\N	\N
1466473	4994	1998-10-27	PRIJEM	VKLAD	23400	52067	\N	\N	\N
1466474	4994	1998-11-26	PRIJEM	VKLAD	19700	57329	\N	\N	\N
1466509	4995	1994-08-01	PRIJEM	VKLAD	700	700	\N	\N	\N
1466517	4995	1994-10-14	PRIJEM	VKLAD	21097	40744	\N	\N	\N
1466518	4995	1994-12-25	PRIJEM	VKLAD	30293	58516	\N	\N	\N
1466521	4995	1995-03-11	PRIJEM	VKLAD	12329	45853	\N	\N	\N
1466522	4995	1995-05-22	PRIJEM	VKLAD	20263	51937	\N	\N	\N
1466523	4995	1995-08-30	PRIJEM	VKLAD	13192	53409	\N	\N	\N
1466524	4995	1995-12-20	PRIJEM	VKLAD	30776	45533	\N	\N	\N
1466525	4995	1995-10-04	PRIJEM	VKLAD	42530	78193	\N	\N	\N
1466526	4995	1995-06-30	PRIJEM	VKLAD	22288	36852	\N	\N	\N
1466527	4995	1995-07-02	PRIJEM	VKLAD	33394	70318	\N	\N	\N
1466528	4995	1995-04-27	PRIJEM	VKLAD	5392	54305	\N	\N	\N
1466529	4995	1995-03-22	PRIJEM	VKLAD	19252	65105	\N	\N	\N
1466530	4995	1996-05-19	PRIJEM	VKLAD	29764	77493	\N	\N	\N
1466531	4995	1996-09-10	PRIJEM	VKLAD	5449	32201	\N	\N	\N
1466532	4995	1996-10-30	PRIJEM	VKLAD	10519	69300	\N	\N	\N
1466533	4995	1996-06-14	PRIJEM	VKLAD	23867	70626	\N	\N	\N
1466534	4995	1996-03-11	PRIJEM	VKLAD	10892	59982	\N	\N	\N
1466535	4995	1996-06-15	PRIJEM	VKLAD	23726	80104	\N	\N	\N
1466536	4995	1996-10-17	PRIJEM	VKLAD	23184	95699	\N	\N	\N
1466537	4995	1996-04-02	PRIJEM	VKLAD	31364	122619	\N	\N	\N
1466538	4995	1996-04-10	PRIJEM	VKLAD	20052	85871	\N	\N	\N
1466539	4995	1996-03-11	PRIJEM	VKLAD	31325	91307	\N	\N	\N
1466540	4995	1996-05-05	PRIJEM	VKLAD	48027	110388	\N	\N	\N
1466541	4995	1996-04-16	PRIJEM	VKLAD	43004	125292	\N	\N	\N
1466542	4995	1996-10-17	PRIJEM	VKLAD	17276	112975	\N	\N	\N
1466543	4995	1996-05-22	PRIJEM	VKLAD	28532	106025	\N	\N	\N
1466544	4995	1996-10-17	PRIJEM	VKLAD	42620	72515	\N	\N	\N
1466545	4995	1996-07-11	PRIJEM	VKLAD	36923	78835	\N	\N	\N
1466546	4995	1996-05-14	PRIJEM	VKLAD	30798	72703	\N	\N	\N
1466547	4995	1996-08-08	PRIJEM	VKLAD	44460	124481	\N	\N	\N
1466548	4995	1996-03-09	PRIJEM	VKLAD	43986	49090	\N	\N	\N
1466549	4995	1996-03-31	PRIJEM	VKLAD	31338	91062	\N	\N	\N
1466550	4995	1996-07-26	PRIJEM	VKLAD	44558	79805	\N	\N	\N
1466551	4995	1996-12-20	PRIJEM	VKLAD	24552	61944	\N	\N	\N
1466552	4995	1997-04-08	PRIJEM	VKLAD	38874	69493	\N	\N	\N
1466553	4995	1997-05-07	PRIJEM	VKLAD	30296	84170	\N	\N	\N
1466554	4995	1997-08-16	PRIJEM	VKLAD	23688	62820	\N	\N	\N
1466555	4995	1997-07-01	PRIJEM	VKLAD	37000	59966	\N	\N	\N
1466556	4995	1998-11-30	PRIJEM	VKLAD	24904	30413	\N	\N	\N
1466557	4995	1998-11-20	PRIJEM	VKLAD	12055	22853	\N	\N	\N
1466558	4995	1998-08-12	PRIJEM	VKLAD	5633	64808	\N	\N	\N
1466559	4995	1998-05-12	PRIJEM	VKLAD	8265	41097	\N	\N	\N
1466560	4995	1998-07-29	PRIJEM	VKLAD	13377	115302	\N	\N	\N
1466561	4995	1998-06-01	PRIJEM	VKLAD	49685	140650	\N	\N	\N
1466562	4995	1998-07-20	PRIJEM	VKLAD	41647	66943	\N	\N	\N
1466563	4995	1998-05-22	PRIJEM	VKLAD	38529	90778	\N	\N	\N
1466564	4995	1998-02-22	PRIJEM	VKLAD	25988	42030	\N	\N	\N
1466565	4995	1998-05-21	PRIJEM	VKLAD	30335	52249	\N	\N	\N
1466566	4995	1998-12-21	PRIJEM	VKLAD	21873	42273	\N	\N	\N
1466567	4995	1998-07-24	PRIJEM	VKLAD	34982	101925	\N	\N	\N
1466584	4995	1995-05-14	VYDAJ	VYBER	2600	31674	\N	\N	0
1466586	4995	1995-07-10	VYDAJ	VYBER	3400	66918	\N	\N	0
1466587	4995	1995-08-04	VYDAJ	VYBER	3400	44017	\N	\N	0
1466588	4995	1995-09-02	VYDAJ	VYBER	3200	50374	\N	\N	0
1466589	4995	1995-10-04	VYDAJ	VYBER	3200	74993	\N	\N	0
1466590	4995	1995-11-05	VYDAJ	VYBER	2700	26382	\N	\N	0
1466591	4995	1995-12-13	VYDAJ	VYBER	3300	14757	\N	\N	0
1466592	4995	1996-01-14	VYDAJ	VYBER	3600	18515	\N	\N	0
1466593	4995	1996-02-12	VYDAJ	PREVOD NA UCET	3583	6097	UVER	QR	68653625
1466594	4995	1996-03-12	VYDAJ	PREVOD NA UCET	3583	87724	UVER	QR	68653625
1466595	4995	1996-04-12	VYDAJ	PREVOD NA UCET	3583	82288	UVER	QR	68653625
1466596	4995	1996-05-12	VYDAJ	PREVOD NA UCET	3583	41905	UVER	QR	68653625
1466597	4995	1996-06-12	VYDAJ	PREVOD NA UCET	3583	46759	UVER	QR	68653625
1466598	4995	1996-07-12	VYDAJ	PREVOD NA UCET	3583	75252	UVER	QR	68653625
1466599	4995	1996-08-12	VYDAJ	PREVOD NA UCET	3583	76298	UVER	QR	68653625
1466600	4995	1996-09-12	VYDAJ	PREVOD NA UCET	3583	28618	UVER	QR	68653625
1466601	4995	1996-10-12	VYDAJ	PREVOD NA UCET	3583	29895	UVER	QR	68653625
1466602	4995	1996-11-12	VYDAJ	PREVOD NA UCET	3583	46663	UVER	QR	68653625
1466603	4995	1996-12-12	VYDAJ	PREVOD NA UCET	3583	28492	UVER	QR	68653625
1466606	4995	1997-03-12	VYDAJ	PREVOD NA UCET	3583	16847	UVER	QR	68653625
1466607	4995	1997-04-12	VYDAJ	PREVOD NA UCET	3583	65910	UVER	QR	68653625
1466608	4995	1997-05-12	VYDAJ	PREVOD NA UCET	3583	80587	UVER	QR	68653625
1466609	4995	1997-06-12	VYDAJ	PREVOD NA UCET	3583	46360	UVER	QR	68653625
1466610	4995	1997-07-12	VYDAJ	PREVOD NA UCET	3583	56383	UVER	QR	68653625
1466611	4995	1997-08-12	VYDAJ	PREVOD NA UCET	3583	43132	UVER	QR	68653625
1466612	4995	1997-09-12	VYDAJ	PREVOD NA UCET	3583	59432	UVER	QR	68653625
1466613	4995	1997-10-12	VYDAJ	PREVOD NA UCET	3583	43139	UVER	QR	68653625
1466614	4995	1997-11-12	VYDAJ	PREVOD NA UCET	3583	31503	UVER	QR	68653625
1466615	4995	1997-12-12	VYDAJ	PREVOD NA UCET	3583	36052	UVER	QR	68653625
1466616	4995	1998-01-12	VYDAJ	PREVOD NA UCET	3583	26892	UVER	QR	68653625
1466617	4995	1998-02-12	VYDAJ	PREVOD NA UCET	3583	16042	UVER	QR	68653625
1466618	4995	1998-03-12	VYDAJ	PREVOD NA UCET	3583	21516	UVER	QR	68653625
1466619	4995	1998-04-12	VYDAJ	PREVOD NA UCET	3583	32726	UVER	QR	68653625
1466620	4995	1998-05-12	VYDAJ	PREVOD NA UCET	3583	37514	UVER	QR	68653625
1466621	4995	1998-06-12	VYDAJ	PREVOD NA UCET	3583	59267	UVER	QR	68653625
1466622	4995	1998-07-12	VYDAJ	PREVOD NA UCET	3583	25296	UVER	QR	68653625
1466623	4995	1998-08-12	VYDAJ	PREVOD NA UCET	3583	61225	UVER	QR	68653625
1466624	4995	1998-09-12	VYDAJ	PREVOD NA UCET	3583	39998	UVER	QR	68653625
1466625	4995	1998-10-12	VYDAJ	PREVOD NA UCET	3583	32379	UVER	QR	68653625
1466626	4995	1998-11-12	VYDAJ	PREVOD NA UCET	3583	21307	UVER	QR	68653625
1466627	4995	1998-12-12	VYDAJ	PREVOD NA UCET	3583	20400	UVER	QR	68653625
1466628	4995	1995-11-17	VYBER	VYBER	23589	2793	\N	\N	\N
1466632	4995	1995-09-23	VYBER	VYBER	14784	35590	\N	\N	\N
1466635	4995	1995-11-02	VYBER	VYBER	23356	29082	\N	\N	\N
1466640	4995	1996-07-25	VYBER	VYBER	17618	35247	\N	\N	\N
1466641	4995	1996-06-20	VYBER	VYBER	22167	57937	\N	\N	\N
1466642	4995	1996-06-05	VYBER	VYBER	20372	50342	\N	\N	\N
1466643	4995	1996-12-23	VYBER	VYBER	22074	39870	\N	\N	\N
1466644	4995	1996-09-18	VYBER	VYBER	2651	25967	\N	\N	\N
1466645	4995	1996-11-16	VYBER	VYBER	9671	36992	\N	\N	\N
1466646	4995	1996-08-25	VYBER	VYBER	18795	40603	\N	\N	\N
1466647	4995	1996-10-25	VYBER	VYBER	16894	58781	\N	\N	\N
1466648	4995	1996-09-07	VYBER	VYBER	14098	26752	\N	\N	\N
1466649	4995	1996-06-14	VYBER	VYBER	14248	56378	\N	\N	\N
1466650	4995	1996-05-18	VYBER	VYBER	24974	47729	\N	\N	\N
1466651	4995	1996-06-21	VYBER	VYBER	10354	47583	\N	\N	\N
1466652	4995	1996-07-20	VYBER	VYBER	16887	58365	\N	\N	\N
1466653	4995	1996-11-10	VYBER	VYBER	19244	50246	\N	\N	\N
1466654	4995	1997-05-14	VYBER	VYBER	17239	63348	\N	\N	\N
1466655	4995	1998-06-18	VYBER	VYBER	13679	45588	\N	\N	\N
1466656	4995	1998-06-25	VYBER	VYBER	2613	22875	\N	\N	\N
1466657	4995	1998-11-17	VYBER	VYBER	10509	10798	\N	\N	\N
1466658	4995	1998-01-15	VYBER	VYBER	2397	24495	\N	\N	\N
1466659	4995	1998-02-26	VYBER	VYBER	10370	31660	\N	\N	\N
1466660	4995	1998-11-22	VYBER	VYBER	17420	5433	\N	\N	\N
1466662	4995	1995-06-04	VYDAJ	VYBER	27600	2064	\N	\N	\N
1466664	4995	1997-06-14	VYDAJ	VYBER	39300	7060	\N	\N	\N
1466668	4995	1996-01-30	VYDAJ	VYBER	14100	9615	\N	\N	\N
1466669	4995	1997-01-07	VYDAJ	VYBER	12600	6692	\N	\N	\N
1466670	4995	1998-01-03	VYDAJ	VYBER	3900	22675	\N	\N	\N
1466672	4995	1995-12-06	VYDAJ	VYBER	1800	18057	\N	\N	\N
1466673	4995	1996-12-05	VYDAJ	VYBER	8100	32075	\N	\N	\N
1466674	4995	1997-12-17	VYDAJ	VYBER	7200	34852	\N	\N	\N
1466675	4995	1998-12-04	VYDAJ	VYBER	3900	26483	\N	\N	\N
1466688	4995	1996-01-05	VYDAJ	VYBER	2100	32315	\N	\N	\N
1466689	4995	1996-01-07	VYDAJ	VYBER	3900	28415	\N	\N	\N
1466690	4995	1996-01-17	VYDAJ	VYBER	3000	15515	\N	\N	\N
1466691	4995	1996-01-19	VYDAJ	VYBER	2100	13415	\N	\N	\N
1466692	4995	1996-01-01	VYDAJ	VYBER	4500	34415	\N	\N	\N
1466693	4995	1996-01-09	VYDAJ	VYBER	6300	22115	\N	\N	\N
1466694	4995	1997-01-19	VYDAJ	VYBER	6600	16092	\N	\N	\N
1466695	4995	1997-01-25	VYDAJ	VYBER	6300	7992	\N	\N	\N
1466696	4995	1997-01-30	VYDAJ	VYBER	5400	2592	\N	\N	\N
1466697	4995	1997-01-19	VYDAJ	VYBER	3000	22692	\N	\N	\N
1466698	4995	1997-01-24	VYDAJ	VYBER	1800	14292	\N	\N	\N
1466699	4995	1997-01-04	VYDAJ	VYBER	8700	19292	\N	\N	\N
1466701	4995	1998-01-03	VYDAJ	VYBER	8400	26575	\N	\N	\N
1466702	4995	1998-01-06	VYDAJ	VYBER	4500	18175	\N	\N	\N
1466703	4995	1998-01-16	VYDAJ	VYBER	7800	12495	\N	\N	\N
1466704	4995	1998-01-15	VYDAJ	VYBER	4200	20295	\N	\N	\N
1466705	4995	1998-01-17	VYDAJ	VYBER	6300	6195	\N	\N	\N
1466713	4995	1995-05-30	VYDAJ	VYBER	10800	29537	\N	\N	\N
1466714	4995	1995-04-30	VYDAJ	VYBER	6600	34274	\N	\N	\N
1466715	4995	1995-06-23	VYDAJ	VYBER	2100	-36	\N	\N	\N
1466716	4995	1996-12-25	VYDAJ	VYBER	12000	27870	\N	\N	\N
1466717	4995	1996-02-23	VYDAJ	VYBER	13500	5097	\N	\N	\N
1466718	4995	1997-11-08	VYDAJ	VYBER	6000	35086	\N	\N	\N
1466719	4995	1998-05-20	VYDAJ	VYBER	14100	21914	\N	\N	\N
1466720	4995	1998-03-04	VYDAJ	VYBER	6600	25099	\N	\N	\N
1466721	4995	1998-06-22	VYDAJ	VYBER	12900	32688	\N	\N	\N
1466722	4995	1998-06-24	VYDAJ	VYBER	7200	25488	\N	\N	\N
1466723	4995	1998-11-04	VYDAJ	VYBER	14400	18090	\N	\N	\N
1466740	4995	1995-04-30	VYDAJ	VYBER	30	40874	SLUZBY	\N	\N
1466741	4995	1995-05-31	VYDAJ	VYBER	30	29664	SLUZBY	\N	\N
1466742	4995	1995-06-30	VYDAJ	VYBER	30	36924	SLUZBY	\N	\N
1466743	4995	1995-07-31	VYDAJ	VYBER	30	47417	SLUZBY	\N	\N
1466744	4995	1995-08-31	VYDAJ	VYBER	30	53574	SLUZBY	\N	\N
1466745	4995	1995-09-30	VYDAJ	VYBER	30	35663	SLUZBY	\N	\N
1466746	4995	1995-10-31	VYDAJ	VYBER	30	52438	SLUZBY	\N	\N
1466747	4995	1995-11-30	VYDAJ	VYBER	30	19857	SLUZBY	\N	\N
1466748	4995	1995-12-31	VYDAJ	VYBER	30	38915	SLUZBY	\N	\N
1466749	4995	1996-01-31	VYDAJ	VYBER	30	9680	SLUZBY	\N	\N
1466750	4995	1996-02-29	VYDAJ	VYBER	30	5104	SLUZBY	\N	\N
1466751	4995	1996-03-31	VYDAJ	VYBER	30	91255	SLUZBY	\N	\N
1466752	4995	1996-04-30	VYDAJ	VYBER	30	62361	SLUZBY	\N	\N
1466753	4995	1996-05-31	VYDAJ	VYBER	30	70714	SLUZBY	\N	\N
1466754	4995	1996-06-30	VYDAJ	VYBER	30	41912	SLUZBY	\N	\N
1466755	4995	1996-07-31	VYDAJ	VYBER	30	80021	SLUZBY	\N	\N
1466756	4995	1996-08-31	VYDAJ	VYBER	30	40850	SLUZBY	\N	\N
1466757	4995	1996-09-30	VYDAJ	VYBER	30	33478	SLUZBY	\N	\N
1466758	4995	1996-10-31	VYDAJ	VYBER	30	69490	SLUZBY	\N	\N
1466759	4995	1996-11-30	VYDAJ	VYBER	30	40175	SLUZBY	\N	\N
1466760	4995	1996-12-31	VYDAJ	VYBER	30	27992	SLUZBY	\N	\N
1466762	4995	1997-02-28	VYDAJ	VYBER	30	20430	SLUZBY	\N	\N
1466763	4995	1997-03-31	VYDAJ	VYBER	30	30619	SLUZBY	\N	\N
1466764	4995	1997-04-30	VYDAJ	VYBER	30	53874	SLUZBY	\N	\N
1466765	4995	1997-05-31	VYDAJ	VYBER	30	49943	SLUZBY	\N	\N
1466766	4995	1997-06-30	VYDAJ	VYBER	30	22966	SLUZBY	\N	\N
1466767	4995	1997-07-31	VYDAJ	VYBER	30	46715	SLUZBY	\N	\N
1466768	4995	1997-08-31	VYDAJ	VYBER	30	63015	SLUZBY	\N	\N
1466769	4995	1997-09-30	VYDAJ	VYBER	30	46722	SLUZBY	\N	\N
1466770	4995	1997-10-31	VYDAJ	VYBER	30	41086	SLUZBY	\N	\N
1466771	4995	1997-11-30	VYDAJ	VYBER	30	39635	SLUZBY	\N	\N
1466772	4995	1997-12-31	VYDAJ	VYBER	30	34975	SLUZBY	\N	\N
1466773	4995	1998-01-31	VYDAJ	VYBER	30	6225	SLUZBY	\N	\N
1466774	4995	1998-02-28	VYDAJ	VYBER	30	31699	SLUZBY	\N	\N
1466775	4995	1998-03-31	VYDAJ	VYBER	30	30309	SLUZBY	\N	\N
1466776	4995	1998-04-30	VYDAJ	VYBER	30	32832	SLUZBY	\N	\N
1466777	4995	1998-05-31	VYDAJ	VYBER	30	90965	SLUZBY	\N	\N
1466778	4995	1998-06-30	VYDAJ	VYBER	30	23079	SLUZBY	\N	\N
1466779	4995	1998-07-31	VYDAJ	VYBER	30	85275	SLUZBY	\N	\N
1466780	4995	1998-08-31	VYDAJ	VYBER	30	61481	SLUZBY	\N	\N
1466781	4995	1998-09-30	VYDAJ	VYBER	30	40162	SLUZBY	\N	\N
1466782	4995	1998-10-31	VYDAJ	VYBER	30	32490	SLUZBY	\N	\N
1466783	4995	1998-11-30	VYDAJ	VYBER	30	30383	SLUZBY	\N	\N
1466784	4995	1994-08-31	PRIJEM	VKLAD	10300	11002	\N	\N	\N
1466785	4995	1994-09-30	PRIJEM	VKLAD	8600	19647	\N	\N	\N
1466786	4995	1994-10-30	VYDAJ	VYBER	10200	30544	\N	\N	\N
1466787	4995	1994-11-29	VYDAJ	VYBER	2500	28095	\N	\N	\N
1466788	4995	1994-12-29	VYDAJ	VYBER	13500	45016	\N	\N	\N
1466789	4995	1995-01-28	VYDAJ	VYBER	6400	38749	\N	\N	\N
1466790	4995	1995-02-27	VYDAJ	VYBER	5600	33336	\N	\N	\N
1466791	4995	1995-03-29	VYDAJ	VYBER	16400	48705	\N	\N	\N
1466792	4995	1995-04-28	VYDAJ	VYBER	13600	40705	\N	\N	\N
1466793	4995	1995-05-28	VYDAJ	VYBER	11600	40337	\N	\N	\N
1466794	4995	1995-06-27	PRIJEM	VKLAD	14600	14564	\N	\N	\N
1466795	4995	1995-07-27	VYDAJ	VYBER	19700	47218	\N	\N	\N
1466796	4995	1995-08-26	VYDAJ	VYBER	3800	40217	\N	\N	\N
1466797	4995	1995-09-25	VYDAJ	VYBER	100	35490	\N	\N	\N
1466798	4995	1995-10-25	VYDAJ	VYBER	22800	52193	\N	\N	\N
1466799	4995	1995-11-24	PRIJEM	VKLAD	17000	19793	\N	\N	\N
1466800	4995	1995-12-24	VYDAJ	VYBER	6700	38833	\N	\N	\N
1466801	4995	1996-01-23	PRIJEM	VKLAD	10300	23715	\N	\N	\N
1466802	4995	1996-02-22	PRIJEM	VKLAD	12500	18597	\N	\N	\N
1466803	4995	1996-03-23	VYDAJ	VYBER	28000	59724	\N	\N	\N
1466804	4995	1996-04-02	VYDAJ	VYBER	56800	65819	\N	\N	\N
1466805	4995	1996-04-16	VYDAJ	VYBER	33600	91692	\N	\N	\N
1466806	4995	1996-04-22	VYDAJ	VYBER	29700	61992	\N	\N	\N
1466807	4995	1996-05-05	VYDAJ	VYBER	64900	45488	\N	\N	\N
1466808	4995	1996-05-22	VYDAJ	VYBER	35600	70425	\N	\N	\N
1466809	4995	1996-06-21	VYDAJ	VYBER	5900	41683	\N	\N	\N
1466810	4995	1996-07-21	VYDAJ	VYBER	5500	52865	\N	\N	\N
1466811	4995	1996-08-08	VYDAJ	VYBER	44600	79881	\N	\N	\N
1466812	4995	1996-08-20	VYDAJ	VYBER	16900	59398	\N	\N	\N
1466813	4995	1996-09-19	PRIJEM	VKLAD	7400	33367	\N	\N	\N
1466814	4995	1996-10-19	VYDAJ	VYBER	37300	75675	\N	\N	\N
1466815	4995	1996-11-18	PRIJEM	VKLAD	3000	39992	\N	\N	\N
1466816	4995	1996-12-18	PRIJEM	VKLAD	8900	37392	\N	\N	\N
1466817	4995	1997-01-17	PRIJEM	VKLAD	19000	25692	\N	\N	\N
1466818	4995	1997-02-16	PRIJEM	VKLAD	17800	20449	\N	\N	\N
1466819	4995	1997-03-18	PRIJEM	VKLAD	13700	30547	\N	\N	\N
1466820	4995	1997-04-17	VYDAJ	VYBER	12200	53710	\N	\N	\N
1466821	4995	1997-05-17	VYDAJ	VYBER	13600	49748	\N	\N	\N
1466822	4995	1997-06-16	PRIJEM	VKLAD	15800	22860	\N	\N	\N
1466823	4995	1997-07-16	VYDAJ	VYBER	9800	46583	\N	\N	\N
1466824	4995	1997-08-15	VYDAJ	VYBER	4000	39132	\N	\N	\N
1466825	4995	1997-09-14	VYDAJ	VYBER	12900	46532	\N	\N	\N
1466826	4995	1997-10-14	VYDAJ	VYBER	2200	40939	\N	\N	\N
1466827	4995	1997-11-13	PRIJEM	VKLAD	8000	39503	\N	\N	\N
1466828	4995	1997-12-13	PRIJEM	VKLAD	6000	42052	\N	\N	\N
1466829	4995	1998-01-12	PRIJEM	VKLAD	12300	30475	\N	\N	\N
1466830	4995	1998-02-11	PRIJEM	VKLAD	13400	19625	\N	\N	\N
1466831	4995	1998-03-13	PRIJEM	VKLAD	8700	30216	\N	\N	\N
1466832	4995	1998-04-12	PRIJEM	VKLAD	6000	36309	\N	\N	\N
1466833	4995	1998-05-12	VYDAJ	VYBER	1500	36014	\N	\N	\N
1466834	4995	1998-06-01	VYDAJ	VYBER	51200	89450	\N	\N	\N
1466835	4995	1998-06-11	VYDAJ	VYBER	26600	62850	\N	\N	\N
1466836	4995	1998-07-11	PRIJEM	VKLAD	5800	28879	\N	\N	\N
1466837	4995	1998-07-29	VYDAJ	VYBER	30200	85102	\N	\N	\N
1466838	4995	1998-08-10	VYDAJ	VYBER	26100	59175	\N	\N	\N
1466839	4995	1998-09-09	VYDAJ	VYBER	17900	43581	\N	\N	\N
1466840	4995	1998-10-09	VYDAJ	VYBER	4200	35962	\N	\N	\N
1466841	4995	1998-11-08	PRIJEM	VKLAD	6800	24890	\N	\N	\N
1466842	4995	1998-12-08	VYDAJ	VYBER	2500	23983	\N	\N	\N
1467322	4999	1996-02-12	PRIJEM	VKLAD	300	300	\N	\N	\N
1467325	4999	1996-03-06	PRIJEM	PREVOD Z UCTU	27531	27831	\N	KL	75583922
1467326	4999	1996-04-06	PRIJEM	PREVOD Z UCTU	27531	54030	\N	KL	75583922
1467327	4999	1996-05-06	PRIJEM	PREVOD Z UCTU	27531	65802	\N	KL	75583922
1467328	4999	1996-06-06	PRIJEM	PREVOD Z UCTU	41296	87076	\N	KL	75583922
1467329	4999	1996-07-06	PRIJEM	PREVOD Z UCTU	27531	87236	\N	KL	75583922
1467330	4999	1996-08-06	PRIJEM	PREVOD Z UCTU	27531	72726	\N	KL	75583922
1467331	4999	1996-09-06	PRIJEM	PREVOD Z UCTU	27531	44353	\N	KL	75583922
1467332	4999	1996-10-06	PRIJEM	PREVOD Z UCTU	27531	48220	\N	KL	75583922
1467333	4999	1996-11-06	PRIJEM	PREVOD Z UCTU	27531	55296	\N	KL	75583922
1467334	4999	1996-12-06	PRIJEM	PREVOD Z UCTU	41296	68048	\N	KL	75583922
1467335	4999	1997-01-06	PRIJEM	PREVOD Z UCTU	27531	49727	\N	KL	75583922
1467336	4999	1997-02-06	PRIJEM	PREVOD Z UCTU	27531	29738	\N	KL	75583922
1467337	4999	1997-03-06	PRIJEM	PREVOD Z UCTU	27531	39167	\N	KL	75583922
1467338	4999	1997-04-06	PRIJEM	PREVOD Z UCTU	27531	52440	\N	KL	75583922
1467339	4999	1997-05-06	PRIJEM	PREVOD Z UCTU	27531	47615	\N	KL	75583922
1467340	4999	1997-06-06	PRIJEM	PREVOD Z UCTU	41296	67052	\N	KL	75583922
1467341	4999	1997-07-06	PRIJEM	PREVOD Z UCTU	27531	61373	\N	KL	75583922
1467342	4999	1997-08-06	PRIJEM	PREVOD Z UCTU	27531	54073	\N	KL	75583922
1467343	4999	1997-09-06	PRIJEM	PREVOD Z UCTU	27531	63698	\N	KL	75583922
1467344	4999	1997-10-06	PRIJEM	PREVOD Z UCTU	27531	56000	\N	KL	75583922
1467345	4999	1997-11-06	PRIJEM	PREVOD Z UCTU	27531	65929	\N	KL	75583922
1467346	4999	1997-12-06	PRIJEM	PREVOD Z UCTU	41296	79968	\N	KL	75583922
1467347	4999	1998-01-06	PRIJEM	PREVOD Z UCTU	27531	59901	\N	KL	75583922
1467348	4999	1998-02-06	PRIJEM	PREVOD Z UCTU	27531	50490	\N	KL	75583922
1467349	4999	1998-03-06	PRIJEM	PREVOD Z UCTU	27531	61202	\N	KL	75583922
1467350	4999	1998-04-06	PRIJEM	PREVOD Z UCTU	27531	67364	\N	KL	75583922
1467351	4999	1998-05-06	PRIJEM	PREVOD Z UCTU	27531	83039	\N	KL	75583922
1467352	4999	1998-06-06	PRIJEM	PREVOD Z UCTU	41296	104150	\N	KL	75583922
1467353	4999	1998-07-06	PRIJEM	PREVOD Z UCTU	27531	74848	\N	KL	75583922
1467354	4999	1998-08-06	PRIJEM	PREVOD Z UCTU	27531	83445	\N	KL	75583922
1467355	4999	1998-09-06	PRIJEM	PREVOD Z UCTU	27531	94889	\N	KL	75583922
1467356	4999	1998-10-06	PRIJEM	PREVOD Z UCTU	27531	82734	\N	KL	75583922
1467357	4999	1998-11-06	PRIJEM	PREVOD Z UCTU	27531	99378	\N	KL	75583922
1467358	4999	1998-12-06	PRIJEM	PREVOD Z UCTU	41296	124254	\N	KL	75583922
1467365	4999	1996-07-24	VYDAJ	VYBER	6000	44981	\N	\N	0
1467366	4999	1996-08-17	VYDAJ	VYBER	5300	36671	\N	\N	0
1467367	4999	1996-09-19	VYDAJ	VYBER	5700	20598	\N	\N	0
1467368	4999	1996-10-08	VYDAJ	VYBER	4000	37192	\N	\N	0
1467369	4999	1996-11-09	VYDAJ	VYBER	3400	36268	\N	\N	0
1467370	4999	1996-11-25	VYDAJ	VYBER	3300	26641	\N	\N	0
1467371	4999	1997-01-09	VYDAJ	VYBER	6500	24199	\N	\N	0
1467372	4999	1997-02-04	VYDAJ	VYBER	5400	2207	\N	\N	0
1467373	4999	1997-03-02	VYDAJ	VYBER	3800	11636	\N	\N	0
1467374	4999	1997-04-21	VYDAJ	VYBER	5200	19985	\N	\N	0
1467375	4999	1997-05-11	VYDAJ	VYBER	3500	31987	\N	\N	0
1467376	4999	1997-06-12	VYDAJ	PREVOD NA UCET	4589	40036	UVER	GH	95365690
1467377	4999	1997-07-12	VYDAJ	PREVOD NA UCET	4589	33856	UVER	GH	95365690
1467378	4999	1997-08-12	VYDAJ	PREVOD NA UCET	4589	42456	UVER	GH	95365690
1467379	4999	1997-09-12	VYDAJ	PREVOD NA UCET	4589	52081	UVER	GH	95365690
1467380	4999	1997-10-12	VYDAJ	PREVOD NA UCET	4589	36690	UVER	GH	95365690
1467381	4999	1997-11-12	VYDAJ	PREVOD NA UCET	4589	54313	UVER	GH	95365690
1467382	4999	1997-12-12	VYDAJ	PREVOD NA UCET	4589	68351	UVER	GH	95365690
1467383	4999	1998-01-12	VYDAJ	PREVOD NA UCET	4589	31375	UVER	GH	95365690
1467384	4999	1998-02-12	VYDAJ	PREVOD NA UCET	4589	38874	UVER	GH	95365690
1467385	4999	1998-03-12	VYDAJ	PREVOD NA UCET	4589	49585	UVER	GH	95365690
1467386	4999	1998-04-12	VYDAJ	PREVOD NA UCET	4589	55748	UVER	GH	95365690
1467387	4999	1998-05-12	VYDAJ	PREVOD NA UCET	4589	71422	UVER	GH	95365690
1467388	4999	1998-06-12	VYDAJ	PREVOD NA UCET	4589	92533	UVER	GH	95365690
1467389	4999	1998-07-12	VYDAJ	PREVOD NA UCET	4589	54531	UVER	GH	95365690
1467390	4999	1998-08-12	VYDAJ	PREVOD NA UCET	4589	71828	UVER	GH	95365690
1467391	4999	1998-09-12	VYDAJ	PREVOD NA UCET	4589	76073	UVER	GH	95365690
1467392	4999	1998-10-12	VYDAJ	PREVOD NA UCET	4589	71118	UVER	GH	95365690
1467393	4999	1998-11-12	VYDAJ	PREVOD NA UCET	4589	87761	UVER	GH	95365690
1467394	4999	1998-12-12	VYDAJ	PREVOD NA UCET	4589	82537	UVER	GH	95365690
1467401	4999	1996-07-08	VYDAJ	PREVOD NA UCET	7028	80208	SIPO	WX	20009368
1467402	4999	1996-08-08	VYDAJ	PREVOD NA UCET	7028	65698	SIPO	WX	20009368
1467403	4999	1996-09-08	VYDAJ	PREVOD NA UCET	7028	37325	SIPO	WX	20009368
1467404	4999	1996-10-08	VYDAJ	PREVOD NA UCET	7028	41192	SIPO	WX	20009368
1467405	4999	1996-11-08	VYDAJ	PREVOD NA UCET	7028	48268	SIPO	WX	20009368
1467406	4999	1996-12-08	VYDAJ	PREVOD NA UCET	7028	36502	SIPO	WX	20009368
1467407	4999	1997-01-08	VYDAJ	PREVOD NA UCET	7028	30699	SIPO	WX	20009368
1467408	4999	1997-02-08	VYDAJ	PREVOD NA UCET	7028	21710	SIPO	WX	20009368
1467409	4999	1997-03-08	VYDAJ	PREVOD NA UCET	7028	31139	SIPO	WX	20009368
1467410	4999	1997-04-08	VYDAJ	PREVOD NA UCET	7028	36012	SIPO	WX	20009368
1467411	4999	1997-05-08	VYDAJ	PREVOD NA UCET	7028	35487	SIPO	WX	20009368
1467412	4999	1997-06-08	VYDAJ	PREVOD NA UCET	7028	44624	SIPO	WX	20009368
1467413	4999	1997-07-08	VYDAJ	PREVOD NA UCET	7028	38445	SIPO	WX	20009368
1467541	4999	1997-01-31	VYDAJ	VYBER	15	7607	SLUZBY	\N	\N
1467414	4999	1997-08-08	VYDAJ	PREVOD NA UCET	7028	47045	SIPO	WX	20009368
1467415	4999	1997-09-08	VYDAJ	PREVOD NA UCET	7028	56670	SIPO	WX	20009368
1467416	4999	1997-10-08	VYDAJ	PREVOD NA UCET	7028	48972	SIPO	WX	20009368
1467417	4999	1997-11-08	VYDAJ	PREVOD NA UCET	7028	58901	SIPO	WX	20009368
1467418	4999	1997-12-08	VYDAJ	PREVOD NA UCET	7028	72940	SIPO	WX	20009368
1467419	4999	1998-01-08	VYDAJ	PREVOD NA UCET	7028	51373	SIPO	WX	20009368
1467420	4999	1998-02-08	VYDAJ	PREVOD NA UCET	7028	43462	SIPO	WX	20009368
1467421	4999	1998-03-08	VYDAJ	PREVOD NA UCET	7028	54174	SIPO	WX	20009368
1467422	4999	1998-04-08	VYDAJ	PREVOD NA UCET	7028	60336	SIPO	WX	20009368
1467423	4999	1998-05-08	VYDAJ	PREVOD NA UCET	7028	76011	SIPO	WX	20009368
1467424	4999	1998-06-08	VYDAJ	PREVOD NA UCET	7028	97122	SIPO	WX	20009368
1467425	4999	1998-07-08	VYDAJ	PREVOD NA UCET	7028	67820	SIPO	WX	20009368
1467426	4999	1998-08-08	VYDAJ	PREVOD NA UCET	7028	76417	SIPO	WX	20009368
1467427	4999	1998-09-08	VYDAJ	PREVOD NA UCET	7028	80661	SIPO	WX	20009368
1467428	4999	1998-10-08	VYDAJ	PREVOD NA UCET	7028	75706	SIPO	WX	20009368
1467429	4999	1998-11-08	VYDAJ	PREVOD NA UCET	7028	92350	SIPO	WX	20009368
1467430	4999	1998-12-08	VYDAJ	PREVOD NA UCET	7028	87126	SIPO	WX	20009368
1467437	4999	1996-07-14	VYDAJ	PREVOD NA UCET	6327	50981	 	MN	71272724
1467438	4999	1996-08-14	VYDAJ	PREVOD NA UCET	6327	41971	 	MN	71272724
1467439	4999	1996-09-14	VYDAJ	PREVOD NA UCET	6327	26298	 	MN	71272724
1467440	4999	1996-10-14	VYDAJ	PREVOD NA UCET	6327	27665	 	MN	71272724
1467441	4999	1996-11-14	VYDAJ	PREVOD NA UCET	6327	29941	 	MN	71272724
1467442	4999	1996-12-14	VYDAJ	PREVOD NA UCET	6327	30175	 	MN	71272724
1467443	4999	1997-01-14	VYDAJ	PREVOD NA UCET	6327	7556	 	MN	71272724
1467444	4999	1997-02-14	VYDAJ	PREVOD NA UCET	6327	15383	 	MN	71272724
1467445	4999	1997-03-14	VYDAJ	PREVOD NA UCET	6327	24812	 	MN	71272724
1467446	4999	1997-04-14	VYDAJ	PREVOD NA UCET	6327	29685	 	MN	71272724
1467447	4999	1997-05-14	VYDAJ	PREVOD NA UCET	6327	25660	 	MN	71272724
1467448	4999	1997-06-14	VYDAJ	PREVOD NA UCET	6327	33709	 	MN	71272724
1467449	4999	1997-07-14	VYDAJ	PREVOD NA UCET	6327	27529	 	MN	71272724
1467450	4999	1997-08-14	VYDAJ	PREVOD NA UCET	6327	36129	 	MN	71272724
1467451	4999	1997-09-14	VYDAJ	PREVOD NA UCET	6327	45754	 	MN	71272724
1467452	4999	1997-10-14	VYDAJ	PREVOD NA UCET	6327	30363	 	MN	71272724
1467453	4999	1997-11-14	VYDAJ	PREVOD NA UCET	6327	47986	 	MN	71272724
1467454	4999	1997-12-14	VYDAJ	PREVOD NA UCET	6327	62024	 	MN	71272724
1467455	4999	1998-01-14	VYDAJ	PREVOD NA UCET	6327	25048	 	MN	71272724
1467456	4999	1998-02-14	VYDAJ	PREVOD NA UCET	6327	32547	 	MN	71272724
1467457	4999	1998-03-14	VYDAJ	PREVOD NA UCET	6327	43258	 	MN	71272724
1467458	4999	1998-04-14	VYDAJ	PREVOD NA UCET	6327	49421	 	MN	71272724
1467459	4999	1998-05-14	VYDAJ	PREVOD NA UCET	6327	65095	 	MN	71272724
1467460	4999	1998-06-14	VYDAJ	PREVOD NA UCET	6327	86206	 	MN	71272724
1467461	4999	1998-07-14	VYDAJ	PREVOD NA UCET	6327	46104	 	MN	71272724
1467462	4999	1998-08-14	VYDAJ	PREVOD NA UCET	6327	65501	 	MN	71272724
1467463	4999	1998-09-14	VYDAJ	PREVOD NA UCET	6327	48564	 	MN	71272724
1467464	4999	1998-10-14	VYDAJ	PREVOD NA UCET	6327	64791	 	MN	71272724
1467465	4999	1998-11-14	VYDAJ	PREVOD NA UCET	6327	81434	 	MN	71272724
1467466	4999	1998-12-14	VYDAJ	PREVOD NA UCET	6327	76210	 	MN	71272724
1467467	4999	1996-08-22	VYBER	VYBER	5582	18489	\N	\N	\N
1467471	4999	1996-12-07	VYBER	VYBER	10618	52630	\N	\N	\N
1467478	4999	1997-10-11	VYBER	VYBER	7694	41278	\N	\N	\N
1467479	4999	1997-01-10	VYBER	VYBER	10316	13883	\N	\N	\N
1467480	4999	1997-10-01	VYBER	VYBER	24367	21569	\N	\N	\N
1467481	4999	1998-01-10	VYBER	VYBER	7609	35964	\N	\N	\N
1467482	4999	1998-03-29	VYBER	VYBER	18382	24876	\N	\N	\N
1467483	4999	1998-09-14	VYBER	VYBER	21182	54891	\N	\N	\N
1467486	4999	1998-06-26	VYDAJ	VYBER	46500	39706	\N	\N	\N
1467489	4999	1998-01-03	VYDAJ	VYBER	13500	32370	\N	\N	\N
1467490	4999	1996-12-06	VYDAJ	VYBER	4800	63248	\N	\N	\N
1467491	4999	1997-12-05	VYDAJ	VYBER	7800	38672	\N	\N	\N
1467492	4999	1998-12-20	VYDAJ	VYBER KARTOU	3900	72310	\N	\N	0
1467501	4999	1997-01-02	VYDAJ	VYBER	8100	22196	\N	\N	\N
1467503	4999	1997-01-06	VYDAJ	VYBER	1500	48227	\N	\N	\N
1467505	4999	1998-01-07	VYDAJ	VYBER	1500	58401	\N	\N	\N
1467506	4999	1998-01-21	VYDAJ	VYBER	3600	18748	\N	\N	\N
1467507	4999	1998-01-18	VYDAJ	VYBER	2700	22348	\N	\N	\N
1467510	4999	1998-01-08	VYDAJ	VYBER	7800	43573	\N	\N	\N
1467514	4999	1996-09-04	VYDAJ	VYBER	1800	16822	\N	\N	\N
1467515	4999	1996-08-19	VYDAJ	VYBER	12600	24071	\N	\N	\N
1467517	4999	1997-04-20	VYDAJ	VYBER	4500	25185	\N	\N	\N
1467518	4999	1997-07-28	VYDAJ	VYBER	8100	19429	\N	\N	\N
1467521	4999	1998-09-27	VYDAJ	VYBER	3300	45264	\N	\N	\N
1467522	4999	1998-07-14	VYDAJ	VYBER	2100	52431	\N	\N	\N
1467523	4999	1998-02-05	VYDAJ	VYBER	8400	22959	\N	\N	\N
1467524	4999	1998-07-11	VYDAJ	VYBER	8700	59120	\N	\N	\N
1467525	4999	1998-01-01	VYDAJ	VYBER	10800	51470	\N	\N	\N
1467526	4999	1998-09-06	VYDAJ	VYBER	7200	87689	\N	\N	\N
1467527	4999	1998-02-28	VYDAJ	VYBER	9600	23071	\N	\N	\N
1467535	4999	1996-07-31	VYDAJ	VYBER	15	45195	SLUZBY	\N	\N
1467536	4999	1996-08-31	VYDAJ	VYBER	15	18622	SLUZBY	\N	\N
1467537	4999	1996-09-30	VYDAJ	VYBER	15	20689	SLUZBY	\N	\N
1467538	4999	1996-10-31	VYDAJ	VYBER	15	27765	SLUZBY	\N	\N
1467539	4999	1996-11-30	VYDAJ	VYBER	15	26752	SLUZBY	\N	\N
1467540	4999	1996-12-31	VYDAJ	VYBER	15	30296	SLUZBY	\N	\N
1467542	4999	1997-02-28	VYDAJ	VYBER	15	15436	SLUZBY	\N	\N
1467543	4999	1997-03-31	VYDAJ	VYBER	15	24909	SLUZBY	\N	\N
1467544	4999	1997-04-30	VYDAJ	VYBER	15	20084	SLUZBY	\N	\N
1467545	4999	1997-05-31	VYDAJ	VYBER	15	25756	SLUZBY	\N	\N
1467546	4999	1997-06-30	VYDAJ	VYBER	15	33842	SLUZBY	\N	\N
1467547	4999	1997-07-31	VYDAJ	VYBER	15	19542	SLUZBY	\N	\N
1467548	4999	1997-08-31	VYDAJ	VYBER	15	36267	SLUZBY	\N	\N
1467549	4999	1997-09-30	VYDAJ	VYBER	15	45936	SLUZBY	\N	\N
1467550	4999	1997-10-31	VYDAJ	VYBER	15	30498	SLUZBY	\N	\N
1467551	4999	1997-11-30	VYDAJ	VYBER	15	48172	SLUZBY	\N	\N
1467552	4999	1997-12-31	VYDAJ	VYBER	15	62270	SLUZBY	\N	\N
1467553	4999	1998-01-31	VYDAJ	VYBER	15	18859	SLUZBY	\N	\N
1467554	4999	1998-02-28	VYDAJ	VYBER	15	32671	SLUZBY	\N	\N
1467555	4999	1998-03-31	VYDAJ	VYBER	15	25033	SLUZBY	\N	\N
1467556	4999	1998-04-30	VYDAJ	VYBER	15	49608	SLUZBY	\N	\N
1467557	4999	1998-05-31	VYDAJ	VYBER	15	65354	SLUZBY	\N	\N
1467558	4999	1998-06-30	VYDAJ	VYBER	15	40017	SLUZBY	\N	\N
1467559	4999	1998-07-31	VYDAJ	VYBER	15	55914	SLUZBY	\N	\N
1467560	4999	1998-08-31	VYDAJ	VYBER	15	67358	SLUZBY	\N	\N
1467561	4999	1998-09-30	VYDAJ	VYBER	15	55203	SLUZBY	\N	\N
1467562	4999	1998-10-31	VYDAJ	VYBER	15	71847	SLUZBY	\N	\N
1467563	4999	1998-11-30	VYDAJ	VYBER	15	82958	SLUZBY	\N	\N
1467564	4999	1996-03-13	VYDAJ	VYBER	1400	26431	\N	\N	\N
1467565	4999	1996-04-12	VYDAJ	VYBER	15900	38130	\N	\N	\N
1467566	4999	1996-05-12	VYDAJ	VYBER	20200	45602	\N	\N	\N
1467567	4999	1996-06-11	VYDAJ	VYBER	27600	59476	\N	\N	\N
1467568	4999	1996-07-11	VYDAJ	VYBER	22900	57308	\N	\N	\N
1467569	4999	1996-08-10	VYDAJ	VYBER	17400	48298	\N	\N	\N
1467570	4999	1996-09-09	VYDAJ	VYBER	4700	32625	\N	\N	\N
1467571	4999	1996-10-09	VYDAJ	VYBER	3200	33992	\N	\N	\N
1467572	4999	1996-11-08	VYDAJ	VYBER	8600	39668	\N	\N	\N
1467573	4999	1996-12-08	VYDAJ	VYBER	9100	43530	\N	\N	\N
1467574	4999	1997-01-07	VYDAJ	VYBER	10500	37727	\N	\N	\N
1467575	4999	1997-02-06	VYDAJ	VYBER	1000	28738	\N	\N	\N
1467576	4999	1997-03-08	VYDAJ	VYBER	1000	38167	\N	\N	\N
1467577	4999	1997-04-07	VYDAJ	VYBER	9400	43040	\N	\N	\N
1467578	4999	1997-05-07	VYDAJ	VYBER	5100	42515	\N	\N	\N
1467579	4999	1997-06-06	VYDAJ	VYBER	15400	51652	\N	\N	\N
1467580	4999	1997-07-06	VYDAJ	VYBER	15900	45473	\N	\N	\N
1467581	4999	1997-08-05	PRIJEM	VKLAD	7000	26542	\N	\N	\N
1467582	4999	1997-09-04	VYDAJ	VYBER	100	36167	\N	\N	\N
1467583	4999	1997-10-04	PRIJEM	VKLAD	6900	28469	\N	\N	\N
1467584	4999	1997-11-03	PRIJEM	VKLAD	7900	38398	\N	\N	\N
1467585	4999	1997-12-03	VYDAJ	VYBER	1700	46472	\N	\N	\N
1467586	4999	1998-01-02	VYDAJ	VYBER	5600	45870	\N	\N	\N
1467587	4999	1998-02-01	PRIJEM	VKLAD	12500	31359	\N	\N	\N
1467588	4999	1998-03-03	PRIJEM	VKLAD	10600	33671	\N	\N	\N
1467589	4999	1998-04-02	PRIJEM	VKLAD	14800	39833	\N	\N	\N
1467590	4999	1998-05-02	PRIJEM	VKLAD	5900	55508	\N	\N	\N
1467591	4999	1998-06-01	VYDAJ	VYBER	2500	62854	\N	\N	\N
1467592	4999	1998-07-01	PRIJEM	VKLAD	7300	47317	\N	\N	\N
1467593	4999	1998-07-31	PRIJEM	VKLAD	9600	55928	\N	\N	\N
1467594	4999	1998-08-30	PRIJEM	VKLAD	1600	67101	\N	\N	\N
1467595	4999	1998-09-29	PRIJEM	VKLAD	9700	54964	\N	\N	\N
1467596	4999	1998-10-29	PRIJEM	VKLAD	6800	71591	\N	\N	\N
1467597	4999	1998-11-28	PRIJEM	VKLAD	1200	82634	\N	\N	\N
1467598	4999	1998-12-06	VYDAJ	VYBER	30100	94154	\N	\N	\N
1468078	5001	1995-12-15	PRIJEM	VKLAD	700	700	\N	\N	\N
1468107	5001	1996-07-11	PRIJEM	VKLAD	27169	115717	\N	\N	\N
1468108	5001	1996-01-01	PRIJEM	VKLAD	12108	12808	\N	\N	\N
1468109	5001	1996-07-27	PRIJEM	VKLAD	25586	115411	\N	\N	\N
1468110	5001	1996-01-17	PRIJEM	VKLAD	25652	47660	\N	\N	\N
1468111	5001	1996-10-20	PRIJEM	VKLAD	37638	114158	\N	\N	\N
1468112	5001	1996-07-18	PRIJEM	VKLAD	45549	92525	\N	\N	\N
1468113	5001	1996-12-14	PRIJEM	VKLAD	49563	101058	\N	\N	\N
1468114	5001	1996-09-11	PRIJEM	VKLAD	43555	124672	\N	\N	\N
1468115	5001	1996-05-29	PRIJEM	VKLAD	37797	87538	\N	\N	\N
1468116	5001	1996-07-29	PRIJEM	VKLAD	38230	101141	\N	\N	\N
1468117	5001	1996-06-19	PRIJEM	VKLAD	39993	92795	\N	\N	\N
1468118	5001	1996-07-10	PRIJEM	VKLAD	14075	113648	\N	\N	\N
1468119	5001	1996-11-12	PRIJEM	VKLAD	12286	85844	\N	\N	\N
1468120	5001	1996-10-20	PRIJEM	VKLAD	31924	76520	\N	\N	\N
1468121	5001	1996-07-17	PRIJEM	VKLAD	12808	46976	\N	\N	\N
1468122	5001	1996-06-20	PRIJEM	VKLAD	35583	128378	\N	\N	\N
1468123	5001	1996-08-26	PRIJEM	VKLAD	36451	92434	\N	\N	\N
1468124	5001	1996-07-09	PRIJEM	VKLAD	29727	99573	\N	\N	\N
1468125	5001	1996-10-28	PRIJEM	VKLAD	40890	122648	\N	\N	\N
1468126	5001	1996-04-19	PRIJEM	VKLAD	44030	79971	\N	\N	\N
1468127	5001	1996-09-11	PRIJEM	VKLAD	28839	81117	\N	\N	\N
1468128	5001	1996-02-08	PRIJEM	VKLAD	18565	66330	\N	\N	\N
1468129	5001	1996-08-28	PRIJEM	VKLAD	6576	99010	\N	\N	\N
1468130	5001	1996-02-11	PRIJEM	VKLAD	15442	81772	\N	\N	\N
1468131	5001	1996-11-19	PRIJEM	VKLAD	43700	115664	\N	\N	\N
1468132	5001	1996-07-01	PRIJEM	VKLAD	36694	69846	\N	\N	\N
1468133	5001	1996-08-03	PRIJEM	VKLAD	29155	130575	\N	\N	\N
1468134	5001	1996-11-02	PRIJEM	VKLAD	33425	135658	\N	\N	\N
1468135	5001	1997-04-01	PRIJEM	VKLAD	29813	48049	\N	\N	\N
1468136	5001	1997-09-19	PRIJEM	VKLAD	38160	83598	\N	\N	\N
1468137	5001	1997-10-24	PRIJEM	VKLAD	44120	80036	\N	\N	\N
1468138	5001	1997-12-01	PRIJEM	VKLAD	37833	69998	\N	\N	\N
1468139	5001	1997-07-26	PRIJEM	VKLAD	49375	67033	\N	\N	\N
1468140	5001	1997-04-07	PRIJEM	VKLAD	23891	71940	\N	\N	\N
1468141	5001	1997-12-02	PRIJEM	VKLAD	47757	117755	\N	\N	\N
1468142	5001	1997-08-20	PRIJEM	VKLAD	44061	83492	\N	\N	\N
1468143	5001	1997-12-05	PRIJEM	VKLAD	46935	109090	\N	\N	\N
1468144	5001	1997-08-15	PRIJEM	VKLAD	15509	39431	\N	\N	\N
1468145	5001	1997-12-23	PRIJEM	VKLAD	49529	130537	\N	\N	\N
1468146	5001	1997-10-31	PRIJEM	VKLAD	34917	114953	\N	\N	\N
1468147	5001	1998-06-10	PRIJEM	VKLAD	38684	69141	\N	\N	\N
1468148	5001	1998-05-07	PRIJEM	VKLAD	27556	45629	\N	\N	\N
1468165	5001	1996-05-13	VYDAJ	VYBER	3800	59033	\N	\N	0
1468166	5001	1996-06-20	VYDAJ	VYBER	4600	123778	\N	\N	0
1468167	5001	1996-06-25	VYDAJ	VYBER	4700	55375	\N	\N	0
1468168	5001	1996-08-13	VYDAJ	VYBER	3600	65275	\N	\N	0
1468169	5001	1996-09-08	VYDAJ	VYBER	3800	67578	\N	\N	0
1468170	5001	1996-10-09	VYDAJ	VYBER	3600	72788	\N	\N	0
1468171	5001	1996-11-12	VYDAJ	PREVOD NA UCET	4589	81256	UVER	OP	7923072
1468172	5001	1996-12-12	VYDAJ	PREVOD NA UCET	4589	51495	UVER	OP	7923072
1468173	5001	1997-01-12	VYDAJ	PREVOD NA UCET	4589	27523	UVER	OP	7923072
1468174	5001	1997-02-12	VYDAJ	PREVOD NA UCET	4589	24892	UVER	OP	7923072
1468175	5001	1997-03-12	VYDAJ	PREVOD NA UCET	4589	27469	UVER	OP	7923072
1468176	5001	1997-04-12	VYDAJ	PREVOD NA UCET	4589	56052	UVER	OP	7923072
1468177	5001	1997-05-12	VYDAJ	PREVOD NA UCET	4589	41488	UVER	OP	7923072
1468178	5001	1997-06-12	VYDAJ	PREVOD NA UCET	4589	29447	UVER	OP	7923072
1468179	5001	1997-07-12	VYDAJ	PREVOD NA UCET	4589	26950	UVER	OP	7923072
1468180	5001	1997-08-12	VYDAJ	PREVOD NA UCET	4589	33214	UVER	OP	7923072
1468181	5001	1997-09-12	VYDAJ	PREVOD NA UCET	4589	54730	UVER	OP	7923072
1468182	5001	1997-10-12	VYDAJ	PREVOD NA UCET	4589	45208	UVER	OP	7923072
1468183	5001	1997-11-12	VYDAJ	PREVOD NA UCET	4589	41306	UVER	OP	7923072
1468184	5001	1997-12-12	VYDAJ	PREVOD NA UCET	4589	96300	UVER	OP	7923072
1468185	5001	1998-01-12	VYDAJ	PREVOD NA UCET	4589	30786	UVER	OP	7923072
1468186	5001	1998-02-12	VYDAJ	PREVOD NA UCET	4589	23018	UVER	OP	7923072
1468187	5001	1998-03-12	VYDAJ	PREVOD NA UCET	4589	18194	UVER	OP	7923072
1468188	5001	1998-04-12	VYDAJ	PREVOD NA UCET	4589	17644	UVER	OP	7923072
1468189	5001	1998-05-12	VYDAJ	PREVOD NA UCET	4589	41040	UVER	OP	7923072
1468190	5001	1998-06-12	VYDAJ	PREVOD NA UCET	4589	32752	UVER	OP	7923072
1468191	5001	1998-07-12	VYDAJ	PREVOD NA UCET	4589	21369	UVER	OP	7923072
1468192	5001	1998-08-12	VYDAJ	PREVOD NA UCET	4589	21341	UVER	OP	7923072
1468193	5001	1998-09-12	VYDAJ	PREVOD NA UCET	4589	20798	UVER	OP	7923072
1468194	5001	1998-10-12	VYDAJ	PREVOD NA UCET	4589	23275	UVER	OP	7923072
1468195	5001	1998-11-09	VYDAJ	VYBER	3900	22451	\N	\N	0
1468196	5001	1998-12-04	VYDAJ	VYBER	3700	25224	\N	\N	0
1468213	5001	1996-05-14	VYDAJ	PREVOD NA UCET	9292	49741	SIPO	OP	11451143
1468214	5001	1996-06-14	VYDAJ	PREVOD NA UCET	9292	52802	SIPO	OP	11451143
1468215	5001	1996-07-14	VYDAJ	PREVOD NA UCET	9292	52357	SIPO	OP	11451143
1468216	5001	1996-08-14	VYDAJ	PREVOD NA UCET	9292	55983	SIPO	OP	11451143
1468217	5001	1996-09-14	VYDAJ	PREVOD NA UCET	9292	76080	SIPO	OP	11451143
1468218	5001	1996-10-14	VYDAJ	PREVOD NA UCET	9292	44596	SIPO	OP	11451143
1468219	5001	1996-11-14	VYDAJ	PREVOD NA UCET	9292	71964	SIPO	OP	11451143
1468220	5001	1996-12-14	VYDAJ	PREVOD NA UCET	9292	91766	SIPO	OP	11451143
1468221	5001	1997-01-14	VYDAJ	PREVOD NA UCET	9292	18231	SIPO	OP	11451143
1468222	5001	1997-02-14	VYDAJ	PREVOD NA UCET	9292	15600	SIPO	OP	11451143
1468223	5001	1997-03-14	VYDAJ	PREVOD NA UCET	9292	18177	SIPO	OP	11451143
1468224	5001	1997-04-14	VYDAJ	PREVOD NA UCET	9292	46760	SIPO	OP	11451143
1468225	5001	1997-05-14	VYDAJ	PREVOD NA UCET	9292	32196	SIPO	OP	11451143
1468226	5001	1997-06-14	VYDAJ	PREVOD NA UCET	9292	20155	SIPO	OP	11451143
1468227	5001	1997-07-14	VYDAJ	PREVOD NA UCET	9292	17658	SIPO	OP	11451143
1468228	5001	1997-08-14	VYDAJ	PREVOD NA UCET	9292	23922	SIPO	OP	11451143
1468229	5001	1997-09-14	VYDAJ	PREVOD NA UCET	9292	45438	SIPO	OP	11451143
1468230	5001	1997-10-14	VYDAJ	PREVOD NA UCET	9292	35916	SIPO	OP	11451143
1468231	5001	1997-11-14	VYDAJ	PREVOD NA UCET	9292	32014	SIPO	OP	11451143
1468232	5001	1997-12-14	VYDAJ	PREVOD NA UCET	9292	87008	SIPO	OP	11451143
1468233	5001	1998-01-14	VYDAJ	PREVOD NA UCET	9292	21494	SIPO	OP	11451143
1468234	5001	1998-02-14	VYDAJ	PREVOD NA UCET	9292	13726	SIPO	OP	11451143
1468235	5001	1998-03-14	VYDAJ	PREVOD NA UCET	9292	8902	SIPO	OP	11451143
1468236	5001	1998-04-14	VYDAJ	PREVOD NA UCET	9292	8352	SIPO	OP	11451143
1468237	5001	1998-05-14	VYDAJ	PREVOD NA UCET	9292	31748	SIPO	OP	11451143
1468238	5001	1998-06-14	VYDAJ	PREVOD NA UCET	9292	23460	SIPO	OP	11451143
1468239	5001	1998-07-14	VYDAJ	PREVOD NA UCET	9292	12077	SIPO	OP	11451143
1468240	5001	1998-08-14	VYDAJ	PREVOD NA UCET	9292	12049	SIPO	OP	11451143
1468241	5001	1998-09-14	VYDAJ	PREVOD NA UCET	9292	11506	SIPO	OP	11451143
1468242	5001	1998-10-14	VYDAJ	PREVOD NA UCET	9292	13983	SIPO	OP	11451143
1468243	5001	1998-11-14	VYDAJ	PREVOD NA UCET	9292	13159	SIPO	OP	11451143
1468244	5001	1998-12-14	VYDAJ	PREVOD NA UCET	9292	15932	SIPO	OP	11451143
1468245	5001	1996-07-13	VYBER	VYBER	2568	61649	\N	\N	\N
1468246	5001	1996-07-15	VYBER	VYBER	18189	34168	\N	\N	\N
1468248	5001	1996-06-23	VYBER	VYBER	22803	60075	\N	\N	\N
1468251	5001	1996-09-03	VYBER	VYBER	19880	79478	\N	\N	\N
1468252	5001	1997-12-09	VYBER	VYBER	8201	100889	\N	\N	\N
1468254	5001	1997-12-29	VYBER	VYBER	2516	79621	\N	\N	\N
1468255	5001	1997-04-29	VYBER	VYBER	2352	44408	\N	\N	\N
1468257	5001	1997-01-10	VYBER	VYBER	16073	47111	\N	\N	\N
1468260	5001	1997-08-02	VYBER	VYBER	23332	34802	\N	\N	\N
1468261	5001	1997-05-21	VYBER	VYBER	3795	28401	\N	\N	\N
1468274	5001	1996-06-29	VYDAJ	VYBER	22500	32875	\N	\N	\N
1468276	5001	1998-06-10	VYDAJ	VYBER	31800	37341	\N	\N	\N
1468282	5001	1996-12-23	VYDAJ	VYBER	2700	89066	\N	\N	\N
1468283	5001	1997-12-30	VYDAJ	VYBER	8100	65821	\N	\N	\N
1468298	5001	1997-01-04	VYDAJ	VYBER	3900	85484	\N	\N	\N
1468299	5001	1997-01-08	VYDAJ	VYBER	2400	77984	\N	\N	\N
1468300	5001	1997-01-10	VYDAJ	VYBER	8400	38711	\N	\N	\N
1468301	5001	1997-01-11	VYDAJ	VYBER	6600	32111	\N	\N	\N
1468302	5001	1997-01-07	VYDAJ	VYBER	5100	80384	\N	\N	\N
1468303	5001	1998-01-06	VYDAJ	VYBER	5400	38375	\N	\N	\N
1468306	5001	1998-01-03	VYDAJ	VYBER	2700	47375	\N	\N	\N
1468308	5001	1998-01-06	VYDAJ	VYBER	3600	43775	\N	\N	\N
1468314	5001	1996-07-18	VYDAJ	VYBER	2700	89825	\N	\N	\N
1468315	5001	1996-09-04	VYDAJ	VYBER	8100	71378	\N	\N	\N
1468318	5001	1996-05-29	VYDAJ	VYBER	4500	83038	\N	\N	\N
1468319	5001	1997-12-14	VYDAJ	VYBER	6000	81008	\N	\N	\N
1468320	5001	1997-07-29	VYDAJ	VYBER	9000	58033	\N	\N	\N
1468322	5001	1997-10-10	VYDAJ	VYBER	14400	49796	\N	\N	\N
1468324	5001	1997-12-30	VYDAJ	VYBER	5700	73921	\N	\N	\N
1468327	5001	1998-01-09	VYDAJ	VYBER	3000	35375	\N	\N	\N
1468346	5001	1996-04-30	VYDAJ	VYBER	15	80233	SLUZBY	\N	\N
1468347	5001	1996-05-31	VYDAJ	VYBER	15	83294	SLUZBY	\N	\N
1468348	5001	1996-06-30	VYDAJ	VYBER	15	33152	SLUZBY	\N	\N
1468349	5001	1996-07-31	VYDAJ	VYBER	15	101420	SLUZBY	\N	\N
1468350	5001	1996-08-31	VYDAJ	VYBER	15	99358	SLUZBY	\N	\N
1468351	5001	1996-09-30	VYDAJ	VYBER	15	76388	SLUZBY	\N	\N
1468352	5001	1996-10-31	VYDAJ	VYBER	15	102233	SLUZBY	\N	\N
1468353	5001	1996-11-30	VYDAJ	VYBER	15	67584	SLUZBY	\N	\N
1468354	5001	1996-12-31	VYDAJ	VYBER	15	89384	SLUZBY	\N	\N
1468355	5001	1997-01-31	VYDAJ	VYBER	15	18381	SLUZBY	\N	\N
1468356	5001	1997-02-28	VYDAJ	VYBER	15	15658	SLUZBY	\N	\N
1468357	5001	1997-03-31	VYDAJ	VYBER	15	18236	SLUZBY	\N	\N
1468358	5001	1997-04-30	VYDAJ	VYBER	15	44577	SLUZBY	\N	\N
1468359	5001	1997-05-31	VYDAJ	VYBER	15	28536	SLUZBY	\N	\N
1468360	5001	1997-06-30	VYDAJ	VYBER	15	20239	SLUZBY	\N	\N
1468361	5001	1997-07-31	VYDAJ	VYBER	15	58134	SLUZBY	\N	\N
1468362	5001	1997-08-31	VYDAJ	VYBER	15	83719	SLUZBY	\N	\N
1468363	5001	1997-09-30	VYDAJ	VYBER	15	83896	SLUZBY	\N	\N
1468364	5001	1997-10-31	VYDAJ	VYBER	15	52195	SLUZBY	\N	\N
1468365	5001	1997-11-30	VYDAJ	VYBER	15	32165	SLUZBY	\N	\N
1468366	5001	1997-12-31	VYDAJ	VYBER	15	66175	SLUZBY	\N	\N
1468367	5001	1998-01-31	VYDAJ	VYBER	15	21607	SLUZBY	\N	\N
1468368	5001	1998-02-28	VYDAJ	VYBER	15	13783	SLUZBY	\N	\N
1468369	5001	1998-03-31	VYDAJ	VYBER	15	8932	SLUZBY	\N	\N
1468370	5001	1998-04-30	VYDAJ	VYBER	15	8373	SLUZBY	\N	\N
1468371	5001	1998-05-31	VYDAJ	VYBER	15	31857	SLUZBY	\N	\N
1468372	5001	1998-06-30	VYDAJ	VYBER	15	23558	SLUZBY	\N	\N
1468373	5001	1998-07-31	VYDAJ	VYBER	15	12130	SLUZBY	\N	\N
1468374	5001	1998-08-31	VYDAJ	VYBER	15	25386	SLUZBY	\N	\N
1468375	5001	1998-09-30	VYDAJ	VYBER	15	27863	SLUZBY	\N	\N
1468376	5001	1998-10-31	VYDAJ	VYBER	15	26351	SLUZBY	\N	\N
1468377	5001	1998-11-30	VYDAJ	VYBER	15	28924	SLUZBY	\N	\N
1468378	5001	1996-01-14	PRIJEM	VKLAD	9200	22008	\N	\N	\N
1468379	5001	1996-02-13	VYDAJ	VYBER	24700	57072	\N	\N	\N
1468380	5001	1996-03-14	VYDAJ	VYBER	13700	43603	\N	\N	\N
1468381	5001	1996-04-13	VYDAJ	VYBER	7900	35941	\N	\N	\N
1468382	5001	1996-05-13	VYDAJ	VYBER	17400	62833	\N	\N	\N
1468383	5001	1996-06-12	VYDAJ	VYBER	21200	62094	\N	\N	\N
1468384	5001	1996-06-20	VYDAJ	VYBER	40900	82878	\N	\N	\N
1468385	5001	1996-07-10	VYDAJ	VYBER	25100	88548	\N	\N	\N
1468386	5001	1996-07-11	VYDAJ	VYBER	19800	95917	\N	\N	\N
1468387	5001	1996-07-12	VYDAJ	VYBER	31700	64217	\N	\N	\N
1468388	5001	1996-07-27	VYDAJ	VYBER	52500	62911	\N	\N	\N
1468389	5001	1996-08-03	VYDAJ	VYBER	27100	103475	\N	\N	\N
1468390	5001	1996-08-11	VYDAJ	VYBER	34600	68875	\N	\N	\N
1468391	5001	1996-09-10	VYDAJ	VYBER	15300	52278	\N	\N	\N
1468392	5001	1996-09-11	VYDAJ	VYBER	39300	85372	\N	\N	\N
1468393	5001	1996-10-10	VYDAJ	VYBER	18900	53888	\N	\N	\N
1468394	5001	1996-10-20	VYDAJ	VYBER	32400	81758	\N	\N	\N
1468395	5001	1996-10-28	VYDAJ	VYBER	20700	101948	\N	\N	\N
1468396	5001	1996-11-02	VYDAJ	VYBER	28800	106858	\N	\N	\N
1468397	5001	1996-11-09	VYDAJ	VYBER	33300	73558	\N	\N	\N
1468398	5001	1996-11-19	VYDAJ	VYBER	48400	67264	\N	\N	\N
1468399	5001	1996-12-09	VYDAJ	VYBER	11500	56084	\N	\N	\N
1468400	5001	1997-01-08	VYDAJ	VYBER	14800	63184	\N	\N	\N
1468401	5001	1997-02-07	PRIJEM	VKLAD	11100	29481	\N	\N	\N
1468402	5001	1997-03-09	PRIJEM	VKLAD	16400	32058	\N	\N	\N
1468403	5001	1997-04-08	VYDAJ	VYBER	11300	60640	\N	\N	\N
1468404	5001	1997-05-08	PRIJEM	VKLAD	1500	46077	\N	\N	\N
1468405	5001	1997-06-07	PRIJEM	VKLAD	5500	34036	\N	\N	\N
1468406	5001	1997-07-07	PRIJEM	VKLAD	11300	31539	\N	\N	\N
1468407	5001	1997-08-06	PRIJEM	VKLAD	3000	37802	\N	\N	\N
1468408	5001	1997-09-05	VYDAJ	VYBER	24400	59319	\N	\N	\N
1468409	5001	1997-10-05	VYDAJ	VYBER	19700	64196	\N	\N	\N
1468410	5001	1997-10-31	VYDAJ	VYBER	63000	52209	\N	\N	\N
1468411	5001	1997-11-04	VYDAJ	VYBER	6300	45895	\N	\N	\N
1468412	5001	1997-12-02	VYDAJ	VYBER	32800	84955	\N	\N	\N
1468413	5001	1997-12-04	VYDAJ	VYBER	22800	62155	\N	\N	\N
1468414	5001	1997-12-23	VYDAJ	VYBER	48400	82137	\N	\N	\N
1468415	5001	1998-01-03	VYDAJ	VYBER	16100	50075	\N	\N	\N
1468416	5001	1998-02-02	PRIJEM	VKLAD	6000	27607	\N	\N	\N
1468417	5001	1998-03-04	PRIJEM	VKLAD	9000	22783	\N	\N	\N
1468418	5001	1998-04-03	PRIJEM	VKLAD	13300	22232	\N	\N	\N
1468419	5001	1998-05-03	PRIJEM	VKLAD	9700	18073	\N	\N	\N
1468420	5001	1998-06-02	VYDAJ	VYBER	1400	30457	\N	\N	\N
1468421	5001	1998-07-02	PRIJEM	VKLAD	2400	25958	\N	\N	\N
1468422	5001	1998-08-01	PRIJEM	VKLAD	13800	25930	\N	\N	\N
1468423	5001	1998-08-31	PRIJEM	VKLAD	13300	25349	\N	\N	\N
1468424	5001	1998-09-30	PRIJEM	VKLAD	16300	27806	\N	\N	\N
1468425	5001	1998-10-30	PRIJEM	VKLAD	12300	26283	\N	\N	\N
1468426	5001	1998-11-29	PRIJEM	VKLAD	15700	28859	\N	\N	\N
1470473	5011	1993-08-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1470474	5011	1993-11-02	PRIJEM	VKLAD	39143	103408	\N	\N	\N
1470476	5011	1993-10-01	PRIJEM	VKLAD	42272	76659	\N	\N	\N
1470478	5011	1993-09-15	PRIJEM	VKLAD	7980	43999	\N	\N	\N
1470480	5011	1993-10-18	PRIJEM	VKLAD	25876	102535	\N	\N	\N
1470485	5011	1993-09-04	PRIJEM	VKLAD	34919	36019	\N	\N	\N
1470487	5011	1993-11-28	PRIJEM	VKLAD	31176	78883	\N	\N	\N
1470488	5011	1994-01-03	PRIJEM	VKLAD	15375	56322	\N	\N	\N
1470489	5011	1994-01-15	PRIJEM	VKLAD	22570	52792	\N	\N	\N
1470490	5011	1994-06-21	PRIJEM	VKLAD	44225	62331	\N	\N	\N
1470491	5011	1994-12-14	PRIJEM	VKLAD	8719	18954	\N	\N	\N
1470492	5011	1994-04-20	PRIJEM	VKLAD	23118	41822	\N	\N	\N
1470493	5011	1994-10-16	PRIJEM	VKLAD	30771	89653	\N	\N	\N
1470494	5011	1994-02-18	PRIJEM	VKLAD	14712	20040	\N	\N	\N
1470495	5011	1994-11-23	PRIJEM	VKLAD	28271	47018	\N	\N	\N
1470496	5011	1994-09-03	PRIJEM	VKLAD	20539	29529	\N	\N	\N
1470497	5011	1994-04-14	PRIJEM	VKLAD	20614	34804	\N	\N	\N
1470498	5011	1994-09-23	PRIJEM	VKLAD	40764	58793	\N	\N	\N
1470499	5011	1994-10-17	PRIJEM	VKLAD	14931	98235	\N	\N	\N
1470500	5011	1994-06-15	PRIJEM	VKLAD	10210	18106	\N	\N	\N
1470501	5011	1994-06-22	PRIJEM	VKLAD	15236	58367	\N	\N	\N
1470502	5011	1995-11-02	PRIJEM	VKLAD	44686	52744	\N	\N	\N
1470503	5011	1995-07-15	PRIJEM	VKLAD	14604	5273	\N	\N	\N
1470504	5011	1995-08-14	PRIJEM	VKLAD	35412	33408	\N	\N	\N
1470505	5011	1995-03-08	PRIJEM	VKLAD	34076	34529	\N	\N	\N
1470506	5011	1995-03-01	PRIJEM	VKLAD	12130	453	\N	\N	\N
1470507	5011	1995-09-11	PRIJEM	VKLAD	17838	21159	\N	\N	\N
1470508	5011	1995-04-26	PRIJEM	VKLAD	30634	33266	\N	\N	\N
1470509	5011	1996-08-01	PRIJEM	VKLAD	40669	42067	\N	\N	\N
1470510	5011	1996-03-23	PRIJEM	VKLAD	32835	106923	\N	\N	\N
1470511	5011	1996-01-28	PRIJEM	VKLAD	25227	51031	\N	\N	\N
1470512	5011	1996-09-20	PRIJEM	VKLAD	5326	47186	\N	\N	\N
1470513	5011	1996-02-19	PRIJEM	VKLAD	15857	46353	\N	\N	\N
1470514	5011	1996-10-30	PRIJEM	VKLAD	39844	95789	\N	\N	\N
1470515	5011	1996-05-01	PRIJEM	VKLAD	46168	106409	\N	\N	\N
1470516	5011	1996-05-02	PRIJEM	VKLAD	39503	125712	\N	\N	\N
1470517	5011	1996-03-29	PRIJEM	VKLAD	14814	76337	\N	\N	\N
1470518	5011	1996-12-21	PRIJEM	VKLAD	42811	33683	\N	\N	\N
1470519	5011	1996-03-10	PRIJEM	VKLAD	49010	83734	\N	\N	\N
1470520	5011	1996-05-10	PRIJEM	VKLAD	30316	117428	\N	\N	\N
1470521	5011	1996-04-15	PRIJEM	VKLAD	24292	59980	\N	\N	\N
1470522	5011	1996-02-06	PRIJEM	VKLAD	12491	100553	\N	\N	\N
1470523	5011	1996-09-09	PRIJEM	VKLAD	40541	45398	\N	\N	\N
1470524	5011	1996-03-17	PRIJEM	VKLAD	38874	74088	\N	\N	\N
1470525	5011	1996-02-10	PRIJEM	VKLAD	9243	47096	\N	\N	\N
1470526	5011	1996-09-25	PRIJEM	VKLAD	38464	85650	\N	\N	\N
1470527	5011	1996-08-02	PRIJEM	VKLAD	17006	59073	\N	\N	\N
1470528	5011	1996-08-25	PRIJEM	VKLAD	31359	44133	\N	\N	\N
1470529	5011	1996-06-30	PRIJEM	VKLAD	25325	31433	\N	\N	\N
1470530	5011	1996-12-28	PRIJEM	VKLAD	36644	70327	\N	\N	\N
1470531	5011	1996-10-30	PRIJEM	VKLAD	31600	55945	\N	\N	\N
1470532	5011	1996-04-05	PRIJEM	VKLAD	36534	113088	\N	\N	\N
1470533	5011	1996-09-09	PRIJEM	VKLAD	16397	61795	\N	\N	\N
1470534	5011	1996-01-20	PRIJEM	VKLAD	41767	43494	\N	\N	\N
1470535	5011	1996-01-30	PRIJEM	VKLAD	36971	88002	\N	\N	\N
1470536	5011	1997-04-08	PRIJEM	VKLAD	47861	66552	\N	\N	\N
1470537	5011	1997-12-30	PRIJEM	VKLAD	45143	106753	\N	\N	\N
1470538	5011	1997-11-02	PRIJEM	VKLAD	35460	84247	\N	\N	\N
1470539	5011	1997-04-15	PRIJEM	VKLAD	13804	80356	\N	\N	\N
1470540	5011	1997-10-10	PRIJEM	VKLAD	25806	14733	\N	\N	\N
1470541	5011	1997-10-18	PRIJEM	VKLAD	38469	53202	\N	\N	\N
1470542	5011	1997-12-14	PRIJEM	VKLAD	36786	89310	\N	\N	\N
1470543	5011	1997-06-27	PRIJEM	VKLAD	38259	69837	\N	\N	\N
1470544	5011	1997-01-30	PRIJEM	VKLAD	43618	50700	\N	\N	\N
1470545	5011	1997-11-29	PRIJEM	VKLAD	43257	112085	\N	\N	\N
1470546	5011	1997-04-20	PRIJEM	VKLAD	30177	98633	\N	\N	\N
1470547	5011	1997-06-08	PRIJEM	VKLAD	26462	50078	\N	\N	\N
1470548	5011	1997-12-30	PRIJEM	VKLAD	6574	113327	\N	\N	\N
1470549	5011	1997-09-04	PRIJEM	VKLAD	16991	18962	\N	\N	\N
1470550	5011	1997-11-21	PRIJEM	VKLAD	37981	80728	\N	\N	\N
1470551	5011	1997-03-22	PRIJEM	VKLAD	44530	28027	\N	\N	\N
1470552	5011	1997-05-09	PRIJEM	VKLAD	14714	45367	\N	\N	\N
1470553	5011	1997-07-25	PRIJEM	VKLAD	5042	26530	\N	\N	\N
1470554	5011	1998-08-13	PRIJEM	VKLAD	49923	68659	\N	\N	\N
1470555	5011	1998-06-14	PRIJEM	VKLAD	19599	55574	\N	\N	\N
1470556	5011	1998-07-07	PRIJEM	VKLAD	27373	47604	\N	\N	\N
1470557	5011	1998-06-01	PRIJEM	VKLAD	36046	48575	\N	\N	\N
1470558	5011	1998-01-24	PRIJEM	VKLAD	34963	41516	\N	\N	\N
1470559	5011	1998-02-14	PRIJEM	VKLAD	10508	31745	\N	\N	\N
1470560	5011	1998-03-23	PRIJEM	VKLAD	40516	45740	\N	\N	\N
1470561	5011	1998-10-23	PRIJEM	VKLAD	19025	41435	\N	\N	\N
1470562	5011	1998-10-20	PRIJEM	VKLAD	14010	22410	\N	\N	\N
1470573	5011	1993-11-06	VYDAJ	VYBER	16900	86508	SIPO	\N	0
1470574	5011	1993-12-12	VYDAJ	VYBER	11300	60687	SIPO	\N	0
1470575	5011	1994-01-11	VYDAJ	VYBER	17100	30222	SIPO	\N	0
1470576	5011	1994-02-09	VYDAJ	VYBER	18100	5328	SIPO	\N	0
1470577	5011	1994-03-13	VYDAJ	VYBER	13400	9320	SIPO	\N	0
1470578	5011	1994-04-19	VYDAJ	VYBER	16100	18704	SIPO	\N	0
1470579	5011	1994-05-20	VYDAJ	VYBER	16700	14796	SIPO	\N	0
1470580	5011	1994-06-05	VYDAJ	VYBER	11200	7896	SIPO	\N	0
1470581	5011	1994-07-07	VYDAJ	VYBER	17400	41086	SIPO	\N	0
1470582	5011	1994-08-17	VYDAJ	VYBER	18400	841	SIPO	\N	0
1470583	5011	1994-09-14	VYDAJ	VYBER	13500	16029	SIPO	\N	0
1470584	5011	1994-10-21	VYDAJ	VYBER	16200	47335	SIPO	\N	0
1470585	5011	1994-11-15	VYDAJ	VYBER	17900	18247	SIPO	\N	0
1470586	5011	1994-12-05	VYDAJ	VYBER	14900	10235	SIPO	\N	0
1470587	5011	1995-01-09	VYDAJ	VYBER	16100	-2873	SIPO	\N	0
1470588	5011	1995-02-16	VYDAJ	VYBER	14600	-11671	SIPO	\N	0
1470589	5011	1995-03-14	VYDAJ	VYBER	14500	3833	SIPO	\N	0
1470590	5011	1995-04-16	VYDAJ	VYBER	17900	-9969	SIPO	\N	0
1470591	5011	1995-05-15	VYDAJ	VYBER	16300	8294	SIPO	\N	0
1470592	5011	1995-06-08	VYDAJ	VYBER	13200	-3648	SIPO	\N	0
1470593	5011	1995-07-02	VYDAJ	VYBER	14100	-9331	SIPO	\N	0
1470594	5011	1995-08-04	VYDAJ	VYBER	14200	-2004	SIPO	\N	0
1470595	5011	1995-09-09	VYDAJ	VYBER	14500	3321	SIPO	\N	0
1470596	5011	1995-10-02	VYDAJ	VYBER	17200	121	SIPO	\N	0
1470597	5011	1995-11-06	VYDAJ	VYBER	11900	40844	SIPO	\N	0
1470598	5011	1995-12-18	VYDAJ	VYBER	13600	18049	SIPO	\N	0
1470599	5011	1996-01-02	VYDAJ	VYBER	16700	-3973	SIPO	\N	0
1470600	5011	1996-02-20	VYDAJ	VYBER	11800	34553	SIPO	\N	0
1470601	5011	1996-03-13	VYDAJ	VYBER	17800	35214	SIPO	\N	0
1470602	5011	1996-04-08	VYDAJ	VYBER	15300	71988	SIPO	\N	0
1470603	5011	1996-05-11	VYDAJ	VYBER	15200	71528	SIPO	\N	0
1470604	5011	1996-06-15	VYDAJ	VYBER	18600	6108	SIPO	\N	0
1470605	5011	1996-07-02	VYDAJ	VYBER	15300	16202	SIPO	\N	0
1470606	5011	1996-08-19	VYDAJ	VYBER	11600	12774	SIPO	\N	0
1470607	5011	1996-09-07	VYDAJ	VYBER	15100	15957	SIPO	\N	0
1470608	5011	1996-10-15	VYDAJ	VYBER	16500	24345	SIPO	\N	0
1470609	5011	1996-11-11	VYDAJ	VYBER	17100	9189	SIPO	\N	0
1470610	5011	1996-12-15	VYDAJ	VYBER	13900	-9128	SIPO	\N	0
1470611	5011	1997-01-10	VYDAJ	VYBER	15800	25982	SIPO	\N	0
1470612	5011	1997-02-15	VYDAJ	VYBER	13100	-1367	SIPO	\N	0
1470613	5011	1997-03-10	VYDAJ	VYBER	17100	-16504	SIPO	\N	0
1470614	5011	1997-04-18	VYDAJ	VYBER	11900	68456	SIPO	\N	0
1470615	5011	1997-05-10	VYDAJ	VYBER	14000	31367	SIPO	\N	0
1470616	5011	1997-06-11	VYDAJ	VYBER	18500	31578	SIPO	\N	0
1470617	5011	1997-07-06	VYDAJ	VYBER	16400	21488	SIPO	\N	0
1470618	5011	1997-08-08	VYDAJ	VYBER	14700	1948	SIPO	\N	0
1470619	5011	1997-09-06	VYDAJ	VYBER	15900	-4438	SIPO	\N	0
1470620	5011	1997-10-05	VYDAJ	VYBER	11700	-11073	SIPO	\N	0
1470621	5011	1997-11-21	VYDAJ	VYBER	11900	68828	SIPO	\N	0
1470622	5011	1997-12-20	VYDAJ	VYBER	16900	61610	SIPO	\N	0
1470623	5011	1998-01-12	VYDAJ	VYBER	17600	14353	SIPO	\N	0
1470624	5011	1998-02-17	VYDAJ	VYBER	11300	20445	SIPO	\N	0
1470625	5011	1998-03-13	VYDAJ	VYBER	15000	5224	SIPO	\N	0
1470626	5011	1998-04-12	VYDAJ	VYBER	17300	16327	SIPO	\N	0
1470627	5011	1998-05-05	VYDAJ	VYBER	17000	-1068	SIPO	\N	0
1470628	5011	1998-06-14	VYDAJ	VYBER	12300	43274	SIPO	\N	0
1470629	5011	1998-07-12	VYDAJ	VYBER	18300	29304	SIPO	\N	0
1470630	5011	1998-08-15	VYDAJ	VYBER	15400	53259	SIPO	\N	0
1470631	5011	1998-09-21	VYDAJ	VYBER	17000	16972	SIPO	\N	0
1470632	5011	1998-10-02	VYDAJ	VYBER	12200	8400	SIPO	\N	0
1470633	5011	1998-11-09	VYDAJ	VYBER	13900	15044	SIPO	\N	0
1470634	5011	1998-12-21	VYDAJ	VYBER	15200	-22	SIPO	\N	0
1470638	5011	1993-12-16	VYBER	VYBER	8273	52414	\N	\N	\N
1470647	5011	1993-11-26	VYBER	VYBER	7501	47707	\N	\N	\N
1470650	5011	1994-11-23	VYBER	VYBER	21995	25023	\N	\N	\N
1470651	5011	1994-07-10	VYBER	VYBER	21758	19328	\N	\N	\N
1470656	5011	1994-10-16	VYBER	VYBER	6349	83304	\N	\N	\N
1470660	5011	1995-08-16	VYBER	VYBER	6442	17766	\N	\N	\N
1470663	5011	1995-03-11	VYBER	VYBER	16196	18333	\N	\N	\N
1470673	5011	1996-12-05	VYBER	VYBER	3789	5472	\N	\N	\N
1470674	5011	1996-09-10	VYBER	VYBER	19935	41860	\N	\N	\N
1470675	5011	1996-08-06	VYBER	VYBER	13599	45474	\N	\N	\N
1470676	5011	1996-07-05	VYBER	VYBER	6221	9981	\N	\N	\N
1470677	5011	1996-03-11	VYBER	VYBER	7120	76614	\N	\N	\N
1470678	5011	1996-01-27	VYBER	VYBER	11390	25804	\N	\N	\N
1470681	5011	1998-04-19	VYBER	VYBER	4592	11735	\N	\N	\N
1470683	5011	1998-08-22	VYBER	VYBER	3725	49534	\N	\N	\N
1470686	5011	1998-11-23	VYBER	VYBER	8935	6109	\N	\N	\N
1470688	5011	1998-07-04	VYBER	VYBER	10894	20231	\N	\N	\N
1470690	5011	1998-10-26	VYBER	VYBER	9287	32148	\N	\N	\N
1470693	5011	1998-12-09	VYBER	VYBER	3425	15179	\N	\N	\N
1470700	5011	1994-01-29	VYDAJ	VYBER	4500	23292	\N	\N	\N
1470701	5011	1994-01-27	VYDAJ	VYBER	2100	27792	\N	\N	\N
1470702	5011	1994-01-20	VYDAJ	VYBER	4800	32692	\N	\N	\N
1470703	5011	1994-01-15	VYDAJ	VYBER	4500	48292	\N	\N	\N
1470704	5011	1994-01-07	VYDAJ	VYBER	7500	48822	\N	\N	\N
1470705	5011	1994-01-08	VYDAJ	VYBER	1500	47322	\N	\N	\N
1470707	5011	1995-01-01	VYDAJ	VYBER	2100	15627	\N	\N	\N
1470708	5011	1995-01-06	VYDAJ	VYBER	2400	13227	\N	\N	\N
1470712	5011	1996-01-23	VYDAJ	VYBER	2400	41094	\N	\N	\N
1470713	5011	1996-01-04	VYDAJ	VYBER	1800	-5773	\N	\N	\N
1470715	5011	1996-01-24	VYDAJ	VYBER	3900	37194	\N	\N	\N
1470718	5011	1997-01-21	VYDAJ	VYBER	1500	13382	\N	\N	\N
1470719	5011	1997-01-20	VYDAJ	VYBER	4200	14882	\N	\N	\N
1470720	5011	1997-01-16	VYDAJ	VYBER	4200	19082	\N	\N	\N
1470721	5011	1997-01-25	VYDAJ	VYBER	3900	7082	\N	\N	\N
1470722	5011	1997-01-24	VYDAJ	VYBER	2400	10982	\N	\N	\N
1470723	5011	1997-01-10	VYDAJ	VYBER	2700	23282	\N	\N	\N
1470724	5011	1998-01-29	VYDAJ	VYBER	5400	31916	\N	\N	\N
1470726	5011	1998-01-12	VYDAJ	VYBER	3300	11053	\N	\N	\N
1470727	5011	1998-01-16	VYDAJ	VYBER	1500	9553	\N	\N	\N
1470728	5011	1998-01-18	VYDAJ	VYBER	3000	6553	\N	\N	\N
1470729	5011	1998-01-25	VYDAJ	VYBER	4200	37316	\N	\N	\N
1470733	5011	1993-12-06	VYDAJ	VYBER	7200	71987	\N	\N	\N
1470736	5011	1994-10-21	VYDAJ	VYBER	11400	35935	\N	\N	\N
1470737	5011	1994-01-17	VYDAJ	VYBER	10800	37492	\N	\N	\N
1470741	5011	1995-12-21	VYDAJ	VYBER	5400	12649	\N	\N	\N
1470742	5011	1995-11-22	VYDAJ	VYBER	1500	28044	\N	\N	\N
1470744	5011	1995-04-29	VYDAJ	VYBER	8700	24566	\N	\N	\N
1470745	5011	1996-03-28	VYDAJ	VYBER	6900	61523	\N	\N	\N
1470747	5011	1996-09-26	VYDAJ	VYBER	7200	78450	\N	\N	\N
1470748	5011	1996-09-02	VYDAJ	VYBER	13200	31057	\N	\N	\N
1470750	5011	1997-10-28	VYDAJ	VYBER	4500	48702	\N	\N	\N
1470751	5011	1997-09-04	VYDAJ	VYBER	7500	11462	\N	\N	\N
1470753	5011	1997-02-10	VYDAJ	VYBER	14400	11734	\N	\N	\N
1470755	5011	1997-12-19	VYDAJ	VYBER	10800	78510	\N	\N	\N
1470757	5011	1998-06-09	VYDAJ	VYBER	12600	35975	\N	\N	\N
1470758	5011	1998-07-29	VYDAJ	VYBER	6900	22404	\N	\N	\N
1470759	5011	1998-06-26	VYDAJ	VYBER	2700	40574	\N	\N	\N
1470771	5011	1993-11-30	VYDAJ	VYBER	15	79187	SLUZBY	\N	\N
1470772	5011	1993-12-31	VYDAJ	VYBER	15	40947	SLUZBY	\N	\N
1470773	5011	1994-01-31	VYDAJ	VYBER	15	23428	SLUZBY	\N	\N
1470774	5011	1994-02-28	VYDAJ	VYBER	15	22720	SLUZBY	\N	\N
1470775	5011	1994-03-31	VYDAJ	VYBER	15	14190	SLUZBY	\N	\N
1470776	5011	1994-04-30	VYDAJ	VYBER	15	31496	SLUZBY	\N	\N
1470777	5011	1994-05-31	VYDAJ	VYBER	15	19096	SLUZBY	\N	\N
1470778	5011	1994-06-30	VYDAJ	VYBER	15	58486	SLUZBY	\N	\N
1470779	5011	1994-07-31	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
1470780	5011	1994-08-31	VYDAJ	VYBER	15	8990	SLUZBY	\N	\N
1470781	5011	1994-09-30	VYDAJ	VYBER	15	58882	SLUZBY	\N	\N
1470782	5011	1994-10-31	VYDAJ	VYBER	15	36147	SLUZBY	\N	\N
1470783	5011	1994-11-30	VYDAJ	VYBER	15	25135	SLUZBY	\N	\N
1470784	5011	1994-12-31	VYDAJ	VYBER	15	17727	SLUZBY	\N	\N
1470785	5011	1995-01-31	VYDAJ	VYBER	15	2936	SLUZBY	\N	\N
1470786	5011	1995-02-28	VYDAJ	VYBER	15	-11673	SLUZBY	\N	\N
1470787	5011	1995-03-31	VYDAJ	VYBER	15	7932	SLUZBY	\N	\N
1470788	5011	1995-04-30	VYDAJ	VYBER	15	24594	SLUZBY	\N	\N
1470789	5011	1995-05-31	VYDAJ	VYBER	15	9553	SLUZBY	\N	\N
1470790	5011	1995-06-30	VYDAJ	VYBER	15	4769	SLUZBY	\N	\N
1470791	5011	1995-07-31	VYDAJ	VYBER	15	12196	SLUZBY	\N	\N
1470792	5011	1995-08-31	VYDAJ	VYBER	15	17821	SLUZBY	\N	\N
1470793	5011	1995-09-30	VYDAJ	VYBER	15	17321	SLUZBY	\N	\N
1470794	5011	1995-10-31	VYDAJ	VYBER	15	8058	SLUZBY	\N	\N
1470795	5011	1995-11-30	VYDAJ	VYBER	15	28149	SLUZBY	\N	\N
1470796	5011	1995-12-31	VYDAJ	VYBER	15	12727	SLUZBY	\N	\N
1470797	5011	1996-01-31	VYDAJ	VYBER	15	88062	SLUZBY	\N	\N
1470798	5011	1996-02-29	VYDAJ	VYBER	15	34724	SLUZBY	\N	\N
1470799	5011	1996-03-31	VYDAJ	VYBER	15	76554	SLUZBY	\N	\N
1470800	5011	1996-04-30	VYDAJ	VYBER	15	60241	SLUZBY	\N	\N
1470801	5011	1996-05-31	VYDAJ	VYBER	15	32908	SLUZBY	\N	\N
1470802	5011	1996-06-30	VYDAJ	VYBER	15	31502	SLUZBY	\N	\N
1470803	5011	1996-07-31	VYDAJ	VYBER	15	1398	SLUZBY	\N	\N
1470804	5011	1996-08-31	VYDAJ	VYBER	15	44257	SLUZBY	\N	\N
1470805	5011	1996-09-30	VYDAJ	VYBER	15	78645	SLUZBY	\N	\N
1470806	5011	1996-10-31	VYDAJ	VYBER	15	41289	SLUZBY	\N	\N
1470807	5011	1996-11-30	VYDAJ	VYBER	15	9261	SLUZBY	\N	\N
1470808	5011	1996-12-31	VYDAJ	VYBER	15	70398	SLUZBY	\N	\N
1470809	5011	1997-01-31	VYDAJ	VYBER	15	50834	SLUZBY	\N	\N
1470810	5011	1997-02-28	VYDAJ	VYBER	15	-1304	SLUZBY	\N	\N
1470811	5011	1997-03-31	VYDAJ	VYBER	15	28051	SLUZBY	\N	\N
1470812	5011	1997-04-30	VYDAJ	VYBER	15	55753	SLUZBY	\N	\N
1470813	5011	1997-05-31	VYDAJ	VYBER	15	31516	SLUZBY	\N	\N
1470814	5011	1997-06-30	VYDAJ	VYBER	15	69988	SLUZBY	\N	\N
1470815	5011	1997-07-31	VYDAJ	VYBER	15	26648	SLUZBY	\N	\N
1470816	5011	1997-08-31	VYDAJ	VYBER	15	1971	SLUZBY	\N	\N
1470817	5011	1997-09-30	VYDAJ	VYBER	15	-4473	SLUZBY	\N	\N
1470818	5011	1997-10-31	VYDAJ	VYBER	15	48806	SLUZBY	\N	\N
1470819	5011	1997-11-30	VYDAJ	VYBER	15	91024	SLUZBY	\N	\N
1470820	5011	1997-12-31	VYDAJ	VYBER	15	52353	SLUZBY	\N	\N
1470821	5011	1998-01-31	VYDAJ	VYBER	15	21237	SLUZBY	\N	\N
1470822	5011	1998-02-28	VYDAJ	VYBER	15	20524	SLUZBY	\N	\N
1470823	5011	1998-03-31	VYDAJ	VYBER	15	45827	SLUZBY	\N	\N
1470824	5011	1998-04-30	VYDAJ	VYBER	15	11832	SLUZBY	\N	\N
1470825	5011	1998-05-31	VYDAJ	VYBER	15	12529	SLUZBY	\N	\N
1470826	5011	1998-06-30	VYDAJ	VYBER	15	40725	SLUZBY	\N	\N
1470827	5011	1998-07-31	VYDAJ	VYBER	15	18736	SLUZBY	\N	\N
1470828	5011	1998-08-31	VYDAJ	VYBER	15	33972	SLUZBY	\N	\N
1470829	5011	1998-09-30	VYDAJ	VYBER	15	20600	SLUZBY	\N	\N
1470830	5011	1998-10-31	VYDAJ	VYBER	15	28944	SLUZBY	\N	\N
1470831	5011	1998-11-30	VYDAJ	VYBER	15	18604	SLUZBY	\N	\N
1470832	5011	1993-09-24	VYDAJ	VYBER	9700	34299	\N	\N	\N
1470833	5011	1993-10-24	VYDAJ	VYBER	38500	64035	\N	\N	\N
1470834	5011	1993-11-23	VYDAJ	VYBER	31300	55208	\N	\N	\N
1470835	5011	1993-12-23	VYDAJ	VYBER	11700	40714	\N	\N	\N
1470836	5011	1994-01-22	VYDAJ	VYBER	2800	29892	\N	\N	\N
1470837	5011	1994-02-21	PRIJEM	VKLAD	2600	22640	\N	\N	\N
1470838	5011	1994-03-23	PRIJEM	VKLAD	4800	14120	\N	\N	\N
1470839	5011	1994-04-22	VYDAJ	VYBER	10400	31422	\N	\N	\N
1470840	5011	1994-05-22	PRIJEM	VKLAD	4200	18996	\N	\N	\N
1470841	5011	1994-06-21	VYDAJ	VYBER	19200	43131	\N	\N	\N
1470842	5011	1994-07-21	VYDAJ	VYBER	200	19128	\N	\N	\N
1470843	5011	1994-08-20	PRIJEM	VKLAD	8100	8941	\N	\N	\N
1470844	5011	1994-09-19	PRIJEM	VKLAD	2000	18029	\N	\N	\N
1470845	5011	1994-10-19	VYDAJ	VYBER	34700	63535	\N	\N	\N
1470846	5011	1994-11-18	PRIJEM	VKLAD	500	18747	\N	\N	\N
1470847	5011	1994-12-18	VYDAJ	VYBER	1300	17654	\N	\N	\N
1470848	5011	1995-01-17	PRIJEM	VKLAD	5800	2927	\N	\N	\N
1470849	5011	1995-03-18	PRIJEM	VKLAD	4100	7933	\N	\N	\N
1470850	5011	1995-04-17	PRIJEM	VKLAD	12600	2632	\N	\N	\N
1470851	5011	1995-05-17	PRIJEM	VKLAD	1200	9494	\N	\N	\N
1470852	5011	1995-06-16	PRIJEM	VKLAD	8400	4753	\N	\N	\N
1470853	5011	1995-07-16	PRIJEM	VKLAD	6900	12173	\N	\N	\N
1470854	5011	1995-08-15	VYDAJ	VYBER	9200	24208	\N	\N	\N
1470855	5011	1995-09-14	VYDAJ	VYBER	3900	17259	\N	\N	\N
1470856	5011	1995-10-14	PRIJEM	VKLAD	7900	8021	\N	\N	\N
1470857	5011	1995-11-13	VYDAJ	VYBER	11300	29544	\N	\N	\N
1470858	5011	1995-12-13	PRIJEM	VKLAD	3500	31649	\N	\N	\N
1470859	5011	1996-01-12	PRIJEM	VKLAD	7500	1727	\N	\N	\N
1470860	5011	1996-02-06	VYDAJ	VYBER	62700	37853	\N	\N	\N
1470861	5011	1996-02-11	VYDAJ	VYBER	16600	30496	\N	\N	\N
1470862	5011	1996-03-12	VYDAJ	VYBER	23600	53014	\N	\N	\N
1470863	5011	1996-03-23	VYDAJ	VYBER	38500	68423	\N	\N	\N
1470864	5011	1996-04-05	VYDAJ	VYBER	25800	87288	\N	\N	\N
1470865	5011	1996-04-11	VYDAJ	VYBER	36300	35688	\N	\N	\N
1470866	5011	1996-05-01	VYDAJ	VYBER	20200	86209	\N	\N	\N
1470867	5011	1996-05-02	VYDAJ	VYBER	38600	87112	\N	\N	\N
1470868	5011	1996-05-10	VYDAJ	VYBER	30700	86728	\N	\N	\N
1470869	5011	1996-05-11	VYDAJ	VYBER	38900	32628	\N	\N	\N
1470870	5011	1996-06-10	VYDAJ	VYBER	8200	24708	\N	\N	\N
1470871	5011	1996-07-10	VYDAJ	VYBER	8600	1381	\N	\N	\N
1470872	5011	1996-08-09	VYDAJ	VYBER	21100	24374	\N	\N	\N
1470873	5011	1996-09-08	VYDAJ	VYBER	11100	4857	\N	\N	\N
1470874	5011	1996-10-08	VYDAJ	VYBER	37800	40845	\N	\N	\N
1470875	5011	1996-10-30	VYDAJ	VYBER	54700	41089	\N	\N	\N
1470876	5011	1996-11-07	VYDAJ	VYBER	15000	26289	\N	\N	\N
1470877	5011	1996-12-07	VYDAJ	VYBER	700	4772	\N	\N	\N
1470878	5011	1997-01-06	VYDAJ	VYBER	28600	41782	\N	\N	\N
1470879	5011	1997-02-05	VYDAJ	VYBER	24700	26134	\N	\N	\N
1470880	5011	1997-03-07	PRIJEM	VKLAD	1900	597	\N	\N	\N
1470881	5011	1997-04-06	VYDAJ	VYBER	9300	18691	\N	\N	\N
1470882	5011	1997-04-20	VYDAJ	VYBER	43100	55533	\N	\N	\N
1470883	5011	1997-05-06	VYDAJ	VYBER	25100	30653	\N	\N	\N
1470884	5011	1997-06-05	VYDAJ	VYBER	7900	23616	\N	\N	\N
1470885	5011	1997-07-05	VYDAJ	VYBER	32100	37888	\N	\N	\N
1470886	5011	1997-08-04	VYDAJ	VYBER	10000	16648	\N	\N	\N
1470887	5011	1997-10-03	PRIJEM	VKLAD	5100	627	\N	\N	\N
1470888	5011	1997-11-02	VYDAJ	VYBER	41500	42747	\N	\N	\N
1470889	5011	1997-11-29	VYDAJ	VYBER	21400	90685	\N	\N	\N
1470890	5011	1997-12-02	VYDAJ	VYBER	38500	52524	\N	\N	\N
1470891	5011	1997-12-30	VYDAJ	VYBER	61300	52027	\N	\N	\N
1470892	5011	1998-01-01	VYDAJ	VYBER	20400	31953	\N	\N	\N
1470893	5011	1998-01-31	VYDAJ	VYBER	10800	21252	\N	\N	\N
1470894	5011	1998-03-02	VYDAJ	VYBER	300	20224	\N	\N	\N
1470895	5011	1998-04-01	VYDAJ	VYBER	12200	33627	\N	\N	\N
1470896	5011	1998-05-01	PRIJEM	VKLAD	4100	15932	\N	\N	\N
1470897	5011	1998-05-31	PRIJEM	VKLAD	13600	12543	\N	\N	\N
1470898	5011	1998-06-30	VYDAJ	VYBER	9600	31125	\N	\N	\N
1470899	5011	1998-07-30	VYDAJ	VYBER	3800	18604	\N	\N	\N
1470900	5011	1998-08-29	VYDAJ	VYBER	15700	33834	\N	\N	\N
1470901	5011	1998-09-28	PRIJEM	VKLAD	3500	20472	\N	\N	\N
1470902	5011	1998-10-28	VYDAJ	VYBER	3300	28848	\N	\N	\N
1470903	5011	1998-11-27	PRIJEM	VKLAD	12400	18509	\N	\N	\N
1474153	5024	1995-08-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1474162	5024	1995-09-14	PRIJEM	VKLAD	8698	9698	\N	\N	\N
1474163	5024	1995-10-14	PRIJEM	VKLAD	8698	23921	\N	\N	\N
1474164	5024	1995-11-14	PRIJEM	VKLAD	8698	30093	\N	\N	\N
1474165	5024	1995-12-14	PRIJEM	VKLAD	13047	38236	\N	\N	\N
1474166	5024	1996-01-14	PRIJEM	VKLAD	8698	38247	\N	\N	\N
1474167	5024	1996-02-14	PRIJEM	VKLAD	8698	33733	\N	\N	\N
1474168	5024	1996-03-14	PRIJEM	VKLAD	8698	33424	\N	\N	\N
1474169	5024	1996-04-14	PRIJEM	VKLAD	8698	38821	\N	\N	\N
1474170	5024	1996-05-14	PRIJEM	VKLAD	8698	34783	\N	\N	\N
1474171	5024	1996-06-14	PRIJEM	VKLAD	13047	40527	\N	\N	\N
1474172	5024	1996-07-14	PRIJEM	VKLAD	8698	40034	\N	\N	\N
1474173	5024	1996-08-14	PRIJEM	VKLAD	8698	36940	\N	\N	\N
1474174	5024	1996-09-14	PRIJEM	VKLAD	8698	36058	\N	\N	\N
1474175	5024	1996-10-14	PRIJEM	VKLAD	8698	35339	\N	\N	\N
1474176	5024	1996-11-14	PRIJEM	VKLAD	8698	36670	\N	\N	\N
1474177	5024	1996-12-14	PRIJEM	VKLAD	13047	35013	\N	\N	\N
1474178	5024	1997-01-14	PRIJEM	VKLAD	8698	30681	\N	\N	\N
1474179	5024	1997-02-14	PRIJEM	VKLAD	8698	34388	\N	\N	\N
1474180	5024	1997-03-14	PRIJEM	VKLAD	8698	35197	\N	\N	\N
1474181	5024	1997-04-14	PRIJEM	VKLAD	8698	35425	\N	\N	\N
1474182	5024	1997-05-14	PRIJEM	VKLAD	8698	34556	\N	\N	\N
1474183	5024	1997-06-14	PRIJEM	VKLAD	13047	39002	\N	\N	\N
1474184	5024	1997-07-14	PRIJEM	VKLAD	8698	34710	\N	\N	\N
1474185	5024	1997-08-14	PRIJEM	VKLAD	8698	32138	\N	\N	\N
1474186	5024	1997-09-14	PRIJEM	VKLAD	8698	29460	\N	\N	\N
1474187	5024	1997-10-14	PRIJEM	VKLAD	8698	29831	\N	\N	\N
1474188	5024	1997-11-14	PRIJEM	VKLAD	8698	30931	\N	\N	\N
1474189	5024	1997-12-14	PRIJEM	VKLAD	13047	32089	\N	\N	\N
1474190	5024	1998-01-14	PRIJEM	VKLAD	8698	26481	\N	\N	\N
1474191	5024	1998-02-14	PRIJEM	VKLAD	8698	25035	\N	\N	\N
1474192	5024	1998-03-14	PRIJEM	VKLAD	8698	20946	\N	\N	\N
1474193	5024	1998-04-14	PRIJEM	VKLAD	8698	20811	\N	\N	\N
1474194	5024	1998-05-14	PRIJEM	VKLAD	8698	16381	\N	\N	\N
1474195	5024	1998-06-14	PRIJEM	VKLAD	13047	22688	\N	\N	\N
1474196	5024	1998-07-14	PRIJEM	VKLAD	8698	13954	\N	\N	\N
1474197	5024	1998-08-14	PRIJEM	VKLAD	8698	8010	\N	\N	\N
1474198	5024	1998-09-14	PRIJEM	VKLAD	8698	8536	\N	\N	\N
1474199	5024	1998-10-14	PRIJEM	VKLAD	8698	9653	\N	\N	\N
1474200	5024	1998-11-14	PRIJEM	VKLAD	8698	8473	\N	\N	\N
1474201	5024	1998-12-14	PRIJEM	VKLAD	13047	6442	\N	\N	\N
1474207	5024	1996-12-05	VYDAJ	VYBER	3840	32966	\N	\N	\N
1474208	5024	1997-12-21	VYDAJ	VYBER	1920	30169	\N	\N	\N
1474216	5024	1996-01-26	VYDAJ	VYBER	1920	26247	\N	\N	\N
1474217	5024	1996-01-25	VYDAJ	VYBER	2400	28167	\N	\N	\N
1474218	5024	1996-01-22	VYDAJ	VYBER	2040	31407	\N	\N	\N
1474220	5024	1996-01-22	VYDAJ	VYBER	840	30567	\N	\N	\N
1474221	5024	1996-01-29	VYDAJ	VYBER	1320	24927	\N	\N	\N
1474222	5024	1997-01-02	VYDAJ	VYBER	2520	32623	\N	\N	\N
1474223	5024	1997-01-02	VYDAJ	VYBER	1800	30823	\N	\N	\N
1474224	5024	1997-01-24	VYDAJ	VYBER	2280	28401	\N	\N	\N
1474225	5024	1997-01-29	VYDAJ	VYBER	3120	25281	\N	\N	\N
1474226	5024	1997-01-10	VYDAJ	VYBER	2160	28663	\N	\N	\N
1474227	5024	1997-01-12	VYDAJ	VYBER	2280	21983	\N	\N	\N
1474228	5024	1998-01-25	VYDAJ	VYBER	3120	16761	\N	\N	\N
1474229	5024	1998-01-08	VYDAJ	VYBER	3120	19103	\N	\N	\N
1474230	5024	1998-01-13	VYDAJ	VYBER	1320	17783	\N	\N	\N
1474231	5024	1998-01-24	VYDAJ	VYBER	2280	19881	\N	\N	\N
1474232	5024	1998-01-04	VYDAJ	VYBER	3360	26923	\N	\N	\N
1474233	5024	1998-01-17	VYDAJ	VYBER	3000	22161	\N	\N	\N
1474241	5024	1996-02-20	VYDAJ	VYBER	5400	24633	\N	\N	\N
1474242	5024	1996-09-18	VYDAJ	VYBER	840	35218	\N	\N	\N
1474243	5024	1996-02-19	VYDAJ	VYBER	1200	30033	\N	\N	\N
1474244	5024	1996-04-23	VYDAJ	VYBER	2640	25981	\N	\N	\N
1474245	5024	1996-08-28	VYDAJ	VYBER	1800	29840	\N	\N	\N
1474246	5024	1997-10-04	VYDAJ	VYBER	2040	27533	\N	\N	\N
1474247	5024	1997-07-05	VYDAJ	VYBER	720	38412	\N	\N	\N
1474248	5024	1997-05-17	VYDAJ	VYBER	5520	29036	\N	\N	\N
1474250	5024	1998-03-02	VYDAJ	VYBER	5760	19348	\N	\N	\N
1474251	5024	1998-01-15	VYDAJ	VYBER	1320	25161	\N	\N	\N
1474265	5024	1996-01-31	VYDAJ	VYBER	15	25035	SLUZBY	\N	\N
1474266	5024	1996-02-29	VYDAJ	VYBER	15	24726	SLUZBY	\N	\N
1474267	5024	1996-03-31	VYDAJ	VYBER	15	30123	SLUZBY	\N	\N
1474268	5024	1996-04-30	VYDAJ	VYBER	15	26085	SLUZBY	\N	\N
1474269	5024	1996-05-31	VYDAJ	VYBER	15	27480	SLUZBY	\N	\N
1474270	5024	1996-06-30	VYDAJ	VYBER	15	31336	SLUZBY	\N	\N
1474271	5024	1996-07-31	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
1474272	5024	1996-08-31	VYDAJ	VYBER	15	29960	SLUZBY	\N	\N
1474273	5024	1996-09-30	VYDAJ	VYBER	15	35341	SLUZBY	\N	\N
1474274	5024	1996-10-31	VYDAJ	VYBER	15	35472	SLUZBY	\N	\N
1474275	5024	1996-11-30	VYDAJ	VYBER	15	36806	SLUZBY	\N	\N
1474276	5024	1996-12-31	VYDAJ	VYBER	15	35143	SLUZBY	\N	\N
1474277	5024	1997-01-31	VYDAJ	VYBER	15	25390	SLUZBY	\N	\N
1474278	5024	1997-02-28	VYDAJ	VYBER	15	34499	SLUZBY	\N	\N
1474279	5024	1997-03-31	VYDAJ	VYBER	15	35327	SLUZBY	\N	\N
1474280	5024	1997-04-30	VYDAJ	VYBER	15	35558	SLUZBY	\N	\N
1474281	5024	1997-05-31	VYDAJ	VYBER	15	29155	SLUZBY	\N	\N
1474282	5024	1997-06-30	VYDAJ	VYBER	15	39132	SLUZBY	\N	\N
1474283	5024	1997-07-31	VYDAJ	VYBER	15	34840	SLUZBY	\N	\N
1474284	5024	1997-08-31	VYDAJ	VYBER	15	32262	SLUZBY	\N	\N
1474285	5024	1997-09-30	VYDAJ	VYBER	15	29573	SLUZBY	\N	\N
1474286	5024	1997-10-31	VYDAJ	VYBER	15	29933	SLUZBY	\N	\N
1474287	5024	1997-11-30	VYDAJ	VYBER	15	31042	SLUZBY	\N	\N
1474288	5024	1997-12-31	VYDAJ	VYBER	15	30283	SLUZBY	\N	\N
1474289	5024	1998-01-31	VYDAJ	VYBER	15	16837	SLUZBY	\N	\N
1474290	5024	1998-02-28	VYDAJ	VYBER	15	25108	SLUZBY	\N	\N
1474291	5024	1998-03-31	VYDAJ	VYBER	15	21013	SLUZBY	\N	\N
1474292	5024	1998-04-30	VYDAJ	VYBER	15	20883	SLUZBY	\N	\N
1474293	5024	1998-05-31	VYDAJ	VYBER	15	16441	SLUZBY	\N	\N
1474294	5024	1998-06-30	VYDAJ	VYBER	15	22756	SLUZBY	\N	\N
1474295	5024	1998-07-31	VYDAJ	VYBER	15	14012	SLUZBY	\N	\N
1474296	5024	1998-08-31	VYDAJ	VYBER	15	8038	SLUZBY	\N	\N
1474297	5024	1998-09-30	VYDAJ	VYBER	15	8555	SLUZBY	\N	\N
1474298	5024	1998-10-31	VYDAJ	VYBER	15	9675	SLUZBY	\N	\N
1474299	5024	1998-11-30	VYDAJ	VYBER	15	8495	SLUZBY	\N	\N
1474300	5024	1995-09-19	PRIJEM	VKLAD	5500	15198	\N	\N	\N
1474301	5024	1995-10-19	VYDAJ	VYBER	2600	21321	\N	\N	\N
1474302	5024	1995-11-18	VYDAJ	VYBER	5000	25093	\N	\N	\N
1474303	5024	1995-12-18	VYDAJ	VYBER	8800	29436	\N	\N	\N
1474304	5024	1996-01-17	VYDAJ	VYBER	4800	33447	\N	\N	\N
1474305	5024	1996-02-16	VYDAJ	VYBER	2500	31233	\N	\N	\N
1474306	5024	1996-03-17	VYDAJ	VYBER	3400	30024	\N	\N	\N
1474307	5024	1996-04-16	VYDAJ	VYBER	10200	28621	\N	\N	\N
1474308	5024	1996-05-16	VYDAJ	VYBER	7400	27383	\N	\N	\N
1474309	5024	1996-06-15	VYDAJ	VYBER	9300	31227	\N	\N	\N
1474310	5024	1996-07-15	VYDAJ	VYBER	11900	28134	\N	\N	\N
1474311	5024	1996-08-14	VYDAJ	VYBER	5300	31640	\N	\N	\N
1474312	5024	1996-09-13	VYDAJ	VYBER	2600	27360	\N	\N	\N
1474313	5024	1996-10-13	VYDAJ	VYBER	8700	26641	\N	\N	\N
1474314	5024	1996-11-12	VYDAJ	VYBER	7500	27972	\N	\N	\N
1474315	5024	1996-12-12	VYDAJ	VYBER	11000	21966	\N	\N	\N
1474316	5024	1997-01-11	VYDAJ	VYBER	4400	24263	\N	\N	\N
1474317	5024	1997-02-10	PRIJEM	VKLAD	300	25690	\N	\N	\N
1474318	5024	1997-03-12	VYDAJ	VYBER	8000	26499	\N	\N	\N
1474319	5024	1997-04-11	VYDAJ	VYBER	8600	26727	\N	\N	\N
1474320	5024	1997-05-11	VYDAJ	VYBER	9700	25858	\N	\N	\N
1474321	5024	1997-06-10	VYDAJ	VYBER	3200	25955	\N	\N	\N
1474322	5024	1997-07-10	VYDAJ	VYBER	12400	26012	\N	\N	\N
1474323	5024	1997-08-09	VYDAJ	VYBER	11400	23440	\N	\N	\N
1474324	5024	1997-09-08	VYDAJ	VYBER	11500	20762	\N	\N	\N
1474325	5024	1997-10-08	VYDAJ	VYBER	6400	21133	\N	\N	\N
1474326	5024	1997-11-07	VYDAJ	VYBER	7700	22233	\N	\N	\N
1474327	5024	1997-12-07	VYDAJ	VYBER	12000	19042	\N	\N	\N
1474328	5024	1998-01-06	VYDAJ	VYBER	4700	22223	\N	\N	\N
1474329	5024	1998-02-05	VYDAJ	VYBER	500	16337	\N	\N	\N
1474330	5024	1998-03-07	VYDAJ	VYBER	7100	12248	\N	\N	\N
1474331	5024	1998-04-06	VYDAJ	VYBER	8900	12113	\N	\N	\N
1474332	5024	1998-05-06	VYDAJ	VYBER	13200	7683	\N	\N	\N
1474333	5024	1998-06-05	VYDAJ	VYBER	6800	9641	\N	\N	\N
1474334	5024	1998-07-05	VYDAJ	VYBER	17500	5256	\N	\N	\N
1474335	5024	1998-08-04	VYDAJ	VYBER	14700	-688	\N	\N	\N
1474336	5024	1998-09-03	VYDAJ	VYBER	8200	-162	\N	\N	\N
1474337	5024	1998-10-03	VYDAJ	VYBER	7600	955	\N	\N	\N
1474338	5024	1998-11-02	VYDAJ	VYBER	9900	-225	\N	\N	\N
1474339	5024	1998-12-02	VYDAJ	VYBER	15100	-6605	\N	\N	\N
1476459	5033	1995-08-03	PRIJEM	VKLAD	300	300	\N	\N	\N
1476467	5033	1995-08-08	PRIJEM	VKLAD	7156	7456	\N	\N	\N
1476468	5033	1995-09-08	PRIJEM	VKLAD	7156	21436	\N	\N	\N
1476469	5033	1995-10-08	PRIJEM	VKLAD	7156	30968	\N	\N	\N
1476470	5033	1995-11-08	PRIJEM	VKLAD	7156	33244	\N	\N	\N
1476471	5033	1995-12-08	PRIJEM	VKLAD	10734	39514	\N	\N	\N
1476472	5033	1996-01-08	PRIJEM	VKLAD	7156	33631	\N	\N	\N
1476473	5033	1996-02-08	PRIJEM	VKLAD	7156	30825	\N	\N	\N
1476474	5033	1996-03-08	PRIJEM	VKLAD	7156	30908	\N	\N	\N
1476475	5033	1996-04-08	PRIJEM	VKLAD	7156	30191	\N	\N	\N
1476476	5033	1996-05-08	PRIJEM	VKLAD	7156	34472	\N	\N	\N
1476477	5033	1996-06-08	PRIJEM	VKLAD	10734	33746	\N	\N	\N
1476478	5033	1996-07-08	PRIJEM	VKLAD	7156	34736	\N	\N	\N
1476479	5033	1996-08-08	PRIJEM	VKLAD	7156	31829	\N	\N	\N
1476480	5033	1996-09-08	PRIJEM	VKLAD	7156	30562	\N	\N	\N
1476481	5033	1996-10-08	PRIJEM	VKLAD	7156	31592	\N	\N	\N
1476482	5033	1996-11-08	PRIJEM	VKLAD	7156	21116	\N	\N	\N
1476483	5033	1996-12-08	PRIJEM	VKLAD	10734	26087	\N	\N	\N
1476484	5033	1997-01-08	PRIJEM	VKLAD	7156	23892	\N	\N	\N
1476485	5033	1997-02-08	PRIJEM	VKLAD	7156	22991	\N	\N	\N
1476486	5033	1997-03-08	PRIJEM	VKLAD	7156	21487	\N	\N	\N
1476487	5033	1997-04-08	PRIJEM	VKLAD	7156	22178	\N	\N	\N
1476488	5033	1997-05-08	PRIJEM	VKLAD	7156	22976	\N	\N	\N
1476489	5033	1997-06-08	PRIJEM	VKLAD	10734	27853	\N	\N	\N
1476490	5033	1997-07-08	PRIJEM	VKLAD	7156	29669	\N	\N	\N
1476491	5033	1997-08-08	PRIJEM	VKLAD	7156	31694	\N	\N	\N
1476492	5033	1997-09-08	PRIJEM	VKLAD	7156	29578	\N	\N	\N
1476493	5033	1997-10-08	PRIJEM	VKLAD	7156	24245	\N	\N	\N
1476494	5033	1997-11-08	PRIJEM	VKLAD	7156	25000	\N	\N	\N
1476495	5033	1997-12-08	PRIJEM	VKLAD	10734	30337	\N	\N	\N
1476496	5033	1998-01-08	PRIJEM	VKLAD	7156	30111	\N	\N	\N
1476497	5033	1998-02-08	PRIJEM	VKLAD	7156	31491	\N	\N	\N
1476498	5033	1998-03-08	PRIJEM	VKLAD	7156	33577	\N	\N	\N
1476499	5033	1998-04-08	PRIJEM	VKLAD	7156	36171	\N	\N	\N
1476500	5033	1998-05-08	PRIJEM	VKLAD	7156	39377	\N	\N	\N
1476501	5033	1998-06-08	PRIJEM	VKLAD	10734	48579	\N	\N	\N
1476502	5033	1998-07-08	PRIJEM	VKLAD	7156	45822	\N	\N	\N
1476503	5033	1998-08-08	PRIJEM	VKLAD	7156	46163	\N	\N	\N
1476504	5033	1998-09-08	PRIJEM	VKLAD	7156	48709	\N	\N	\N
1476505	5033	1998-10-08	PRIJEM	VKLAD	7156	48661	\N	\N	\N
1476506	5033	1998-11-08	PRIJEM	VKLAD	7156	46414	\N	\N	\N
1476507	5033	1998-12-08	PRIJEM	VKLAD	10734	49934	\N	\N	\N
1476519	5033	1995-12-13	VYDAJ	PREVOD NA UCET	1820	36694	SIPO	CD	73070150
1476520	5033	1996-01-13	VYDAJ	PREVOD NA UCET	1820	31811	SIPO	CD	73070150
1476521	5033	1996-02-13	VYDAJ	PREVOD NA UCET	1820	29005	SIPO	CD	73070150
1476522	5033	1996-03-13	VYDAJ	PREVOD NA UCET	1820	28188	SIPO	CD	73070150
1476523	5033	1996-04-13	VYDAJ	PREVOD NA UCET	1820	28371	SIPO	CD	73070150
1476524	5033	1996-05-13	VYDAJ	PREVOD NA UCET	1820	32652	SIPO	CD	73070150
1476525	5033	1996-06-13	VYDAJ	PREVOD NA UCET	1820	31926	SIPO	CD	73070150
1476526	5033	1996-07-13	VYDAJ	PREVOD NA UCET	1820	32216	SIPO	CD	73070150
1476527	5033	1996-08-13	VYDAJ	PREVOD NA UCET	1820	29059	SIPO	CD	73070150
1476528	5033	1996-09-13	VYDAJ	PREVOD NA UCET	1820	27792	SIPO	CD	73070150
1476529	5033	1996-10-13	VYDAJ	PREVOD NA UCET	1820	28822	SIPO	CD	73070150
1476530	5033	1996-11-13	VYDAJ	PREVOD NA UCET	1820	18346	SIPO	CD	73070150
1476531	5033	1996-12-13	VYDAJ	PREVOD NA UCET	1820	23317	SIPO	CD	73070150
1476532	5033	1997-01-13	VYDAJ	PREVOD NA UCET	1820	21122	SIPO	CD	73070150
1476533	5033	1997-02-13	VYDAJ	PREVOD NA UCET	1820	20221	SIPO	CD	73070150
1476534	5033	1997-03-13	VYDAJ	PREVOD NA UCET	1820	18717	SIPO	CD	73070150
1476535	5033	1997-04-13	VYDAJ	PREVOD NA UCET	1820	19408	SIPO	CD	73070150
1476536	5033	1997-05-13	VYDAJ	PREVOD NA UCET	1820	20206	SIPO	CD	73070150
1476537	5033	1997-06-13	VYDAJ	PREVOD NA UCET	1820	25083	SIPO	CD	73070150
1476538	5033	1997-07-13	VYDAJ	PREVOD NA UCET	1820	26899	SIPO	CD	73070150
1476539	5033	1997-08-13	VYDAJ	PREVOD NA UCET	1820	29874	SIPO	CD	73070150
1476540	5033	1997-09-13	VYDAJ	PREVOD NA UCET	1820	26658	SIPO	CD	73070150
1476541	5033	1997-10-13	VYDAJ	PREVOD NA UCET	1820	22425	SIPO	CD	73070150
1476542	5033	1997-11-13	VYDAJ	PREVOD NA UCET	1820	23180	SIPO	CD	73070150
1476543	5033	1997-12-13	VYDAJ	PREVOD NA UCET	1820	28517	SIPO	CD	73070150
1476544	5033	1998-01-13	VYDAJ	PREVOD NA UCET	1820	28291	SIPO	CD	73070150
1476545	5033	1998-02-13	VYDAJ	PREVOD NA UCET	1820	29671	SIPO	CD	73070150
1476546	5033	1998-03-13	VYDAJ	PREVOD NA UCET	1820	31757	SIPO	CD	73070150
1476547	5033	1998-04-13	VYDAJ	PREVOD NA UCET	1820	33451	SIPO	CD	73070150
1476548	5033	1998-05-13	VYDAJ	PREVOD NA UCET	1820	37557	SIPO	CD	73070150
1476549	5033	1998-06-13	VYDAJ	PREVOD NA UCET	1820	46059	SIPO	CD	73070150
1476550	5033	1998-07-13	VYDAJ	PREVOD NA UCET	1820	44002	SIPO	CD	73070150
1476551	5033	1998-08-13	VYDAJ	PREVOD NA UCET	1820	44343	SIPO	CD	73070150
1476552	5033	1998-09-13	VYDAJ	PREVOD NA UCET	1820	46889	SIPO	CD	73070150
1476553	5033	1998-10-13	VYDAJ	PREVOD NA UCET	1820	46841	SIPO	CD	73070150
1476554	5033	1998-11-13	VYDAJ	PREVOD NA UCET	1820	43894	SIPO	CD	73070150
1476555	5033	1998-12-13	VYDAJ	PREVOD NA UCET	1820	48114	SIPO	CD	73070150
1476568	5033	1996-01-06	VYDAJ	PREVOD NA UCET	754	27175	 	QR	93854265
1476569	5033	1996-02-06	VYDAJ	PREVOD NA UCET	754	23669	 	QR	93854265
1476570	5033	1996-03-06	VYDAJ	PREVOD NA UCET	754	23752	 	QR	93854265
1476571	5033	1996-04-06	VYDAJ	PREVOD NA UCET	754	23035	 	QR	93854265
1476572	5033	1996-05-06	VYDAJ	PREVOD NA UCET	754	27316	 	QR	93854265
1476573	5033	1996-06-06	VYDAJ	PREVOD NA UCET	754	26012	 	QR	93854265
1476574	5033	1996-07-06	VYDAJ	PREVOD NA UCET	754	27580	 	QR	93854265
1476575	5033	1996-08-06	VYDAJ	PREVOD NA UCET	754	24673	 	QR	93854265
1476576	5033	1996-09-06	VYDAJ	PREVOD NA UCET	754	23406	 	QR	93854265
1476577	5033	1996-10-06	VYDAJ	PREVOD NA UCET	754	24436	 	QR	93854265
1476578	5033	1996-11-06	VYDAJ	PREVOD NA UCET	754	13960	 	QR	93854265
1476579	5033	1996-12-06	VYDAJ	PREVOD NA UCET	754	15353	 	QR	93854265
1476580	5033	1997-01-06	VYDAJ	PREVOD NA UCET	754	16736	 	QR	93854265
1476581	5033	1997-02-06	VYDAJ	PREVOD NA UCET	754	15835	 	QR	93854265
1476582	5033	1997-03-06	VYDAJ	PREVOD NA UCET	754	14331	 	QR	93854265
1476583	5033	1997-04-06	VYDAJ	PREVOD NA UCET	754	15022	 	QR	93854265
1476584	5033	1997-05-06	VYDAJ	PREVOD NA UCET	754	15820	 	QR	93854265
1476585	5033	1997-06-06	VYDAJ	PREVOD NA UCET	754	17119	 	QR	93854265
1476586	5033	1997-07-06	VYDAJ	PREVOD NA UCET	754	22513	 	QR	93854265
1476587	5033	1997-08-06	VYDAJ	PREVOD NA UCET	754	24538	 	QR	93854265
1476588	5033	1997-09-06	VYDAJ	PREVOD NA UCET	754	22422	 	QR	93854265
1476589	5033	1997-10-06	VYDAJ	PREVOD NA UCET	754	17789	 	QR	93854265
1476590	5033	1997-11-06	VYDAJ	PREVOD NA UCET	754	17844	 	QR	93854265
1476591	5033	1997-12-06	VYDAJ	PREVOD NA UCET	754	19603	 	QR	93854265
1476592	5033	1998-01-06	VYDAJ	PREVOD NA UCET	754	22955	 	QR	93854265
1476593	5033	1998-02-06	VYDAJ	PREVOD NA UCET	754	24335	 	QR	93854265
1476594	5033	1998-03-06	VYDAJ	PREVOD NA UCET	754	26421	 	QR	93854265
1476595	5033	1998-04-06	VYDAJ	PREVOD NA UCET	754	29015	 	QR	93854265
1476596	5033	1998-05-06	VYDAJ	PREVOD NA UCET	754	32221	 	QR	93854265
1476597	5033	1998-06-06	VYDAJ	PREVOD NA UCET	754	37845	 	QR	93854265
1476598	5033	1998-07-06	VYDAJ	PREVOD NA UCET	754	38666	 	QR	93854265
1476599	5033	1998-08-06	VYDAJ	PREVOD NA UCET	754	39007	 	QR	93854265
1476600	5033	1998-09-06	VYDAJ	PREVOD NA UCET	754	41553	 	QR	93854265
1476601	5033	1998-10-06	VYDAJ	PREVOD NA UCET	754	41505	 	QR	93854265
1476602	5033	1998-11-06	VYDAJ	PREVOD NA UCET	754	39258	 	QR	93854265
1476603	5033	1998-12-06	VYDAJ	PREVOD NA UCET	754	39200	 	QR	93854265
1476615	5033	1995-12-14	VYDAJ	PREVOD NA UCET	2196	34498	POJISTNE	EF	12796581
1476616	5033	1996-01-14	VYDAJ	PREVOD NA UCET	2196	29615	POJISTNE	EF	12796581
1476617	5033	1996-02-14	VYDAJ	PREVOD NA UCET	2196	26809	POJISTNE	EF	12796581
1476618	5033	1996-03-14	VYDAJ	PREVOD NA UCET	2196	25992	POJISTNE	EF	12796581
1476619	5033	1996-04-14	VYDAJ	PREVOD NA UCET	2196	26175	POJISTNE	EF	12796581
1476620	5033	1996-05-14	VYDAJ	PREVOD NA UCET	2196	30456	POJISTNE	EF	12796581
1476621	5033	1996-06-14	VYDAJ	PREVOD NA UCET	2196	29730	POJISTNE	EF	12796581
1476622	5033	1996-07-14	VYDAJ	PREVOD NA UCET	2196	30020	POJISTNE	EF	12796581
1476623	5033	1996-08-14	VYDAJ	PREVOD NA UCET	2196	26863	POJISTNE	EF	12796581
1476624	5033	1996-09-14	VYDAJ	PREVOD NA UCET	2196	25596	POJISTNE	EF	12796581
1476625	5033	1996-10-14	VYDAJ	PREVOD NA UCET	2196	26626	POJISTNE	EF	12796581
1476626	5033	1996-11-14	VYDAJ	PREVOD NA UCET	2196	16150	POJISTNE	EF	12796581
1476627	5033	1996-12-14	VYDAJ	PREVOD NA UCET	2196	21121	POJISTNE	EF	12796581
1476628	5033	1997-01-14	VYDAJ	PREVOD NA UCET	2196	18926	POJISTNE	EF	12796581
1476629	5033	1997-02-14	VYDAJ	PREVOD NA UCET	2196	18025	POJISTNE	EF	12796581
1476630	5033	1997-03-14	VYDAJ	PREVOD NA UCET	2196	16521	POJISTNE	EF	12796581
1476631	5033	1997-04-14	VYDAJ	PREVOD NA UCET	2196	17212	POJISTNE	EF	12796581
1476632	5033	1997-05-14	VYDAJ	PREVOD NA UCET	2196	18010	POJISTNE	EF	12796581
1476633	5033	1997-06-14	VYDAJ	PREVOD NA UCET	2196	22887	POJISTNE	EF	12796581
1476634	5033	1997-07-14	VYDAJ	PREVOD NA UCET	2196	24703	POJISTNE	EF	12796581
1476635	5033	1997-08-14	VYDAJ	PREVOD NA UCET	2196	27678	POJISTNE	EF	12796581
1476636	5033	1997-09-14	VYDAJ	PREVOD NA UCET	2196	24462	POJISTNE	EF	12796581
1476637	5033	1997-10-14	VYDAJ	PREVOD NA UCET	2196	20229	POJISTNE	EF	12796581
1476638	5033	1997-11-14	VYDAJ	PREVOD NA UCET	2196	20984	POJISTNE	EF	12796581
1476639	5033	1997-12-14	VYDAJ	PREVOD NA UCET	2196	26321	POJISTNE	EF	12796581
1476640	5033	1998-01-14	VYDAJ	PREVOD NA UCET	2196	26095	POJISTNE	EF	12796581
1476641	5033	1998-02-14	VYDAJ	PREVOD NA UCET	2196	27475	POJISTNE	EF	12796581
1476642	5033	1998-03-14	VYDAJ	PREVOD NA UCET	2196	29561	POJISTNE	EF	12796581
1476643	5033	1998-04-14	VYDAJ	PREVOD NA UCET	2196	31255	POJISTNE	EF	12796581
1476644	5033	1998-05-14	VYDAJ	PREVOD NA UCET	2196	35361	POJISTNE	EF	12796581
1476645	5033	1998-06-14	VYDAJ	PREVOD NA UCET	2196	43863	POJISTNE	EF	12796581
1476646	5033	1998-07-14	VYDAJ	PREVOD NA UCET	2196	41806	POJISTNE	EF	12796581
1476647	5033	1998-08-14	VYDAJ	PREVOD NA UCET	2196	42147	POJISTNE	EF	12796581
1476648	5033	1998-09-14	VYDAJ	PREVOD NA UCET	2196	44693	POJISTNE	EF	12796581
1476649	5033	1998-10-14	VYDAJ	PREVOD NA UCET	2196	44645	POJISTNE	EF	12796581
1476650	5033	1998-11-14	VYDAJ	PREVOD NA UCET	2196	41698	POJISTNE	EF	12796581
1476651	5033	1998-12-14	VYDAJ	PREVOD NA UCET	2196	45918	POJISTNE	EF	12796581
1476663	5033	1995-12-08	VYDAJ	VYBER	1000	38514	\N	\N	0
1476664	5033	1996-01-06	VYDAJ	VYBER	700	26475	\N	\N	0
1476665	5033	1996-02-15	VYDAJ	VYBER	700	26109	\N	\N	0
1476666	5033	1996-03-13	VYDAJ	VYBER	900	30008	\N	\N	0
1476667	5033	1996-04-19	VYDAJ	VYBER	800	25375	\N	\N	0
1476668	5033	1996-05-16	VYDAJ	VYBER	1200	29256	\N	\N	0
1476669	5033	1996-05-29	VYDAJ	VYBER	900	28356	\N	\N	0
1476670	5033	1996-07-10	VYDAJ	VYBER	700	34036	\N	\N	0
1476671	5033	1996-08-12	VYDAJ	PREVOD NA UCET	950	30879	UVER	EF	25932383
1476672	5033	1996-09-12	VYDAJ	PREVOD NA UCET	950	29612	UVER	EF	25932383
1476673	5033	1996-10-12	VYDAJ	PREVOD NA UCET	950	30642	UVER	EF	25932383
1476674	5033	1996-11-12	VYDAJ	PREVOD NA UCET	950	20166	UVER	EF	25932383
1476675	5033	1996-12-12	VYDAJ	PREVOD NA UCET	950	25137	UVER	EF	25932383
1476676	5033	1997-01-12	VYDAJ	PREVOD NA UCET	950	22942	UVER	EF	25932383
1476677	5033	1997-02-12	VYDAJ	PREVOD NA UCET	950	22041	UVER	EF	25932383
1476678	5033	1997-03-12	VYDAJ	PREVOD NA UCET	950	20537	UVER	EF	25932383
1476679	5033	1997-04-12	VYDAJ	PREVOD NA UCET	950	21228	UVER	EF	25932383
1476680	5033	1997-05-12	VYDAJ	PREVOD NA UCET	950	22026	UVER	EF	25932383
1476681	5033	1997-06-12	VYDAJ	PREVOD NA UCET	950	26903	UVER	EF	25932383
1476682	5033	1997-07-12	VYDAJ	PREVOD NA UCET	950	28719	UVER	EF	25932383
1476683	5033	1997-07-25	VYDAJ	VYBER	1000	25203	\N	\N	0
1476684	5033	1997-09-08	VYDAJ	VYBER	1100	28478	\N	\N	0
1476685	5033	1997-10-07	VYDAJ	VYBER	700	17089	\N	\N	0
1476686	5033	1997-11-04	VYDAJ	VYBER	700	18598	\N	\N	0
1476687	5033	1997-11-28	VYDAJ	VYBER	1100	20284	\N	\N	0
1476688	5033	1998-01-01	VYDAJ	VYBER	700	23709	\N	\N	0
1476689	5033	1998-02-06	VYDAJ	VYBER	800	25089	\N	\N	0
1476690	5033	1998-02-25	VYDAJ	VYBER	600	27075	\N	\N	0
1476691	5033	1998-04-12	VYDAJ	VYBER	900	35271	\N	\N	0
1476692	5033	1998-05-22	VYDAJ	VYBER	700	38461	\N	\N	0
1476693	5033	1998-06-11	VYDAJ	VYBER	700	47879	\N	\N	0
1476694	5033	1998-07-25	VYDAJ	VYBER	500	39606	\N	\N	0
1476695	5033	1998-08-17	VYDAJ	VYBER	700	42147	\N	\N	0
1476696	5033	1998-09-16	VYDAJ	VYBER	800	42093	\N	\N	0
1476697	5033	1998-10-16	VYDAJ	VYBER	1100	43545	\N	\N	0
1476698	5033	1998-11-13	VYDAJ	VYBER	700	45714	\N	\N	0
1476699	5033	1998-12-17	VYDAJ	VYBER	1000	43318	\N	\N	0
1476703	5033	1996-07-18	VYDAJ	VYBER	2200	27820	\N	\N	\N
1476705	5033	1996-10-20	VYDAJ	VYBER	3600	23026	\N	\N	\N
1476706	5033	1996-02-29	VYDAJ	VYBER	2200	24520	\N	\N	\N
1476707	5033	1996-10-28	VYDAJ	VYBER	3300	17126	\N	\N	\N
1476708	5033	1996-06-06	VYDAJ	VYBER	3000	23012	\N	\N	\N
1476709	5033	1996-06-19	VYDAJ	VYBER	2400	27330	\N	\N	\N
1476711	5033	1996-10-31	VYDAJ	VYBER	2500	14714	\N	\N	\N
1476713	5033	1997-04-14	VYDAJ	VYBER	1100	16112	\N	\N	\N
1476715	5033	1997-05-01	VYDAJ	VYBER	3200	16574	\N	\N	\N
1476716	5033	1997-09-02	VYDAJ	VYBER	2100	23176	\N	\N	\N
1476718	5033	1997-07-15	VYDAJ	VYBER	900	23803	\N	\N	\N
1476719	5033	1998-12-27	VYDAJ	VYBER	2400	40918	\N	\N	\N
1476720	5033	1998-04-19	VYDAJ	VYBER	600	32855	\N	\N	\N
1476721	5033	1998-11-02	VYDAJ	VYBER	1400	40012	\N	\N	\N
1476734	5033	1995-12-31	VYDAJ	VYBER	15	34629	SLUZBY	\N	\N
1476735	5033	1996-01-31	VYDAJ	VYBER	15	24423	SLUZBY	\N	\N
1476736	5033	1996-02-29	VYDAJ	VYBER	15	24506	SLUZBY	\N	\N
1476737	5033	1996-03-31	VYDAJ	VYBER	15	23789	SLUZBY	\N	\N
1476738	5033	1996-04-30	VYDAJ	VYBER	15	28070	SLUZBY	\N	\N
1476739	5033	1996-05-31	VYDAJ	VYBER	15	26766	SLUZBY	\N	\N
1476740	5033	1996-06-30	VYDAJ	VYBER	15	28334	SLUZBY	\N	\N
1476741	5033	1996-07-31	VYDAJ	VYBER	15	25427	SLUZBY	\N	\N
1476742	5033	1996-08-31	VYDAJ	VYBER	15	24160	SLUZBY	\N	\N
1476743	5033	1996-09-30	VYDAJ	VYBER	15	25190	SLUZBY	\N	\N
1476744	5033	1996-10-31	VYDAJ	VYBER	15	17214	SLUZBY	\N	\N
1476745	5033	1996-11-30	VYDAJ	VYBER	15	16107	SLUZBY	\N	\N
1476746	5033	1996-12-31	VYDAJ	VYBER	15	17490	SLUZBY	\N	\N
1476747	5033	1997-01-31	VYDAJ	VYBER	15	16589	SLUZBY	\N	\N
1476748	5033	1997-02-28	VYDAJ	VYBER	15	15085	SLUZBY	\N	\N
1476749	5033	1997-03-31	VYDAJ	VYBER	15	15776	SLUZBY	\N	\N
1476750	5033	1997-04-30	VYDAJ	VYBER	15	19774	SLUZBY	\N	\N
1476751	5033	1997-05-31	VYDAJ	VYBER	15	17873	SLUZBY	\N	\N
1476752	5033	1997-06-30	VYDAJ	VYBER	15	23267	SLUZBY	\N	\N
1476753	5033	1997-07-31	VYDAJ	VYBER	15	25292	SLUZBY	\N	\N
1476754	5033	1997-08-31	VYDAJ	VYBER	15	25276	SLUZBY	\N	\N
1476755	5033	1997-09-30	VYDAJ	VYBER	15	18543	SLUZBY	\N	\N
1476756	5033	1997-10-31	VYDAJ	VYBER	15	19298	SLUZBY	\N	\N
1476757	5033	1997-11-30	VYDAJ	VYBER	15	20357	SLUZBY	\N	\N
1476758	5033	1997-12-31	VYDAJ	VYBER	15	24409	SLUZBY	\N	\N
1476759	5033	1998-01-31	VYDAJ	VYBER	15	25889	SLUZBY	\N	\N
1476760	5033	1998-02-28	VYDAJ	VYBER	15	27175	SLUZBY	\N	\N
1476761	5033	1998-03-31	VYDAJ	VYBER	15	29769	SLUZBY	\N	\N
1476762	5033	1998-04-30	VYDAJ	VYBER	15	32975	SLUZBY	\N	\N
1476763	5033	1998-05-31	VYDAJ	VYBER	15	38599	SLUZBY	\N	\N
1476764	5033	1998-06-30	VYDAJ	VYBER	15	39420	SLUZBY	\N	\N
1476765	5033	1998-07-31	VYDAJ	VYBER	15	39761	SLUZBY	\N	\N
1476766	5033	1998-08-31	VYDAJ	VYBER	15	42307	SLUZBY	\N	\N
1476767	5033	1998-09-30	VYDAJ	VYBER	15	42259	SLUZBY	\N	\N
1476768	5033	1998-10-31	VYDAJ	VYBER	15	41412	SLUZBY	\N	\N
1476769	5033	1998-11-30	VYDAJ	VYBER	15	39954	SLUZBY	\N	\N
1476770	5033	1995-09-02	PRIJEM	VKLAD	6800	14280	\N	\N	\N
1476771	5033	1995-10-02	PRIJEM	VKLAD	2300	23812	\N	\N	\N
1476772	5033	1995-11-01	VYDAJ	VYBER	5000	26088	\N	\N	\N
1476773	5033	1995-12-01	VYDAJ	VYBER	4600	28780	\N	\N	\N
1476774	5033	1995-12-31	VYDAJ	VYBER	6700	27929	\N	\N	\N
1476775	5033	1996-01-30	VYDAJ	VYBER	5300	24315	\N	\N	\N
1476776	5033	1996-02-29	PRIJEM	VKLAD	500	26609	\N	\N	\N
1476777	5033	1996-03-30	VYDAJ	VYBER	2300	23692	\N	\N	\N
1476778	5033	1996-04-29	PRIJEM	VKLAD	2600	27975	\N	\N	\N
1476779	5033	1996-05-29	VYDAJ	VYBER	1700	26656	\N	\N	\N
1476780	5033	1996-06-28	PRIJEM	VKLAD	900	28230	\N	\N	\N
1476781	5033	1996-07-28	VYDAJ	VYBER	2500	25320	\N	\N	\N
1476782	5033	1996-08-27	VYDAJ	VYBER	2800	24063	\N	\N	\N
1476783	5033	1996-09-26	VYDAJ	VYBER	500	25096	\N	\N	\N
1476784	5033	1996-10-26	VYDAJ	VYBER	2600	20426	\N	\N	\N
1476785	5033	1996-11-25	VYDAJ	VYBER	100	16050	\N	\N	\N
1476786	5033	1996-12-25	VYDAJ	VYBER	3700	17421	\N	\N	\N
1476787	5033	1997-01-24	VYDAJ	VYBER	2400	16526	\N	\N	\N
1476788	5033	1997-02-23	VYDAJ	VYBER	3000	15025	\N	\N	\N
1476789	5033	1997-03-25	VYDAJ	VYBER	800	15721	\N	\N	\N
1476790	5033	1997-04-24	PRIJEM	VKLAD	3600	19712	\N	\N	\N
1476791	5033	1997-05-24	VYDAJ	VYBER	200	17810	\N	\N	\N
1476792	5033	1997-06-23	PRIJEM	VKLAD	300	23187	\N	\N	\N
1476793	5033	1997-07-23	PRIJEM	VKLAD	2400	26203	\N	\N	\N
1476794	5033	1997-08-22	VYDAJ	VYBER	2500	25178	\N	\N	\N
1476795	5033	1997-09-21	VYDAJ	VYBER	6000	18462	\N	\N	\N
1476796	5033	1997-10-21	VYDAJ	VYBER	1000	19229	\N	\N	\N
1476797	5033	1997-11-20	PRIJEM	VKLAD	400	21384	\N	\N	\N
1476798	5033	1997-12-20	VYDAJ	VYBER	2000	24321	\N	\N	\N
1476799	5033	1998-01-19	VYDAJ	VYBER	300	25795	\N	\N	\N
1476800	5033	1998-02-18	PRIJEM	VKLAD	200	27675	\N	\N	\N
1476801	5033	1998-03-20	PRIJEM	VKLAD	100	29661	\N	\N	\N
1476802	5033	1998-04-19	PRIJEM	VKLAD	2200	33455	\N	\N	\N
1476803	5033	1998-05-19	PRIJEM	VKLAD	3800	39161	\N	\N	\N
1476804	5033	1998-06-18	VYDAJ	VYBER	4600	39263	\N	\N	\N
1476805	5033	1998-07-18	VYDAJ	VYBER	1700	40106	\N	\N	\N
1476806	5033	1998-08-17	PRIJEM	VKLAD	700	42847	\N	\N	\N
1476807	5033	1998-09-16	VYDAJ	VYBER	1800	42893	\N	\N	\N
1476808	5033	1998-10-16	VYDAJ	VYBER	2300	41245	\N	\N	\N
1476809	5033	1998-11-15	VYDAJ	VYBER	1900	39798	\N	\N	\N
1476810	5033	1998-12-15	VYDAJ	VYBER	1600	44318	\N	\N	\N
1485445	5063	1995-10-11	PRIJEM	VKLAD	300	300	\N	\N	\N
1485446	5063	1995-10-20	PRIJEM	VKLAD	16633	16933	\N	\N	\N
1485449	5063	1995-11-02	PRIJEM	VKLAD	47986	113049	\N	\N	\N
1485450	5063	1995-10-21	PRIJEM	VKLAD	38367	55300	\N	\N	\N
1485453	5063	1995-11-21	PRIJEM	VKLAD	6137	66286	\N	\N	\N
1485458	5063	1995-12-29	PRIJEM	VKLAD	6663	63456	\N	\N	\N
1485460	5063	1995-11-02	PRIJEM	VKLAD	9679	65063	\N	\N	\N
1485462	5063	1995-12-12	PRIJEM	VKLAD	16726	56793	\N	\N	\N
1485465	5063	1996-02-01	PRIJEM	VKLAD	39092	41996	\N	\N	\N
1485466	5063	1996-10-20	PRIJEM	VKLAD	27020	50791	\N	\N	\N
1485467	5063	1996-02-13	PRIJEM	VKLAD	14539	47935	\N	\N	\N
1485468	5063	1996-12-30	PRIJEM	VKLAD	25177	53540	\N	\N	\N
1485469	5063	1996-11-17	PRIJEM	VKLAD	35147	72750	\N	\N	\N
1485474	5063	1996-11-25	VYBER	VYBER	15114	57636	\N	\N	\N
1485475	5063	1996-08-25	VYBER	VYBER	11010	8130	\N	\N	\N
1485476	5063	1997-06-24	VYBER	VYBER	15389	-2142	\N	\N	\N
1485477	5063	1997-11-27	VYBER	VYBER	8129	29339	\N	\N	\N
1485478	5063	1998-10-31	VYBER	VYBER	9073	2654	\N	\N	\N
1485480	5063	1998-06-14	VYBER	VYBER	6571	2948	\N	\N	\N
1485481	5063	1998-01-08	VYBER	VYBER	20862	-987	\N	\N	\N
1485482	5063	1998-05-06	VYBER	VYBER	11936	6861	\N	\N	\N
1485485	5063	1998-10-06	VYBER	VYBER	6938	12162	\N	\N	\N
1485488	5063	1996-06-06	VYDAJ	VYBER	24600	1669	\N	\N	\N
1485489	5063	1997-06-23	VYDAJ	VYBER	13500	13247	\N	\N	\N
1485492	5063	1996-01-18	VYDAJ	VYBER	14700	20189	\N	\N	\N
1485493	5063	1997-01-10	VYDAJ	VYBER	29100	1385	\N	\N	\N
1485495	5063	1995-12-06	VYDAJ	VYBER	6900	59667	\N	\N	\N
1485496	5063	1996-12-29	VYDAJ	VYBER	4500	28363	\N	\N	\N
1485497	5063	1997-12-23	VYDAJ	VYBER	6300	23078	\N	\N	\N
1485498	5063	1998-12-09	VYDAJ	VYBER	3000	4742	\N	\N	\N
1485505	5063	1996-01-18	VYDAJ	VYBER	4200	15989	\N	\N	\N
1485506	5063	1996-01-14	VYDAJ	VYBER	4500	34889	\N	\N	\N
1485507	5063	1996-01-03	VYDAJ	VYBER	7200	56489	\N	\N	\N
1485508	5063	1996-01-30	VYDAJ	VYBER	2400	2789	\N	\N	\N
1485509	5063	1996-01-27	VYDAJ	VYBER	5400	5189	\N	\N	\N
1485510	5063	1996-01-19	VYDAJ	VYBER	5400	10589	\N	\N	\N
1485511	5063	1997-01-09	VYDAJ	VYBER	3000	30485	\N	\N	\N
1485512	5063	1997-01-04	VYDAJ	VYBER	2700	33485	\N	\N	\N
1485514	5063	1997-01-02	VYDAJ	VYBER	8700	44985	\N	\N	\N
1485515	5063	1997-01-17	VYDAJ	VYBER	2400	-1015	\N	\N	\N
1485521	5063	1998-01-30	VYDAJ	VYBER	6000	7813	\N	\N	\N
1485530	5063	1996-12-04	VYDAJ	VYBER	7500	50363	\N	\N	\N
1485531	5063	1996-03-09	VYDAJ	VYBER	6300	34064	\N	\N	\N
1485532	5063	1996-07-23	VYDAJ	VYBER	8100	8612	\N	\N	\N
1485534	5063	1996-12-14	VYDAJ	VYBER	5700	32863	\N	\N	\N
1485535	5063	1997-04-17	VYDAJ	VYBER	12900	8504	\N	\N	\N
1485536	5063	1997-02-13	VYDAJ	VYBER	11700	3812	\N	\N	\N
1485537	5063	1997-06-10	VYDAJ	VYBER	3300	26747	\N	\N	\N
1485538	5063	1997-03-30	VYDAJ	VYBER	11700	8601	\N	\N	\N
1485539	5063	1997-12-26	VYDAJ	VYBER	7800	15278	\N	\N	\N
1485540	5063	1998-10-23	VYDAJ	VYBER	9900	2262	\N	\N	\N
1485541	5063	1998-12-03	VYDAJ	VYBER	2100	7742	\N	\N	\N
1485542	5063	1998-11-15	VYDAJ	VYBER	1500	1140	\N	\N	\N
1485554	5063	1995-11-30	VYDAJ	VYBER	15	66567	SLUZBY	\N	\N
1485555	5063	1995-12-31	VYDAJ	VYBER	15	63689	SLUZBY	\N	\N
1485556	5063	1996-01-31	VYDAJ	VYBER	15	2904	SLUZBY	\N	\N
1485557	5063	1996-02-29	VYDAJ	VYBER	15	48064	SLUZBY	\N	\N
1485558	5063	1996-03-31	VYDAJ	VYBER	15	34225	SLUZBY	\N	\N
1485559	5063	1996-04-30	VYDAJ	VYBER	15	31553	SLUZBY	\N	\N
1485560	5063	1996-05-31	VYDAJ	VYBER	15	26269	SLUZBY	\N	\N
1485561	5063	1996-06-30	VYDAJ	VYBER	15	10812	SLUZBY	\N	\N
1485562	5063	1996-07-31	VYDAJ	VYBER	15	8640	SLUZBY	\N	\N
1485563	5063	1996-08-31	VYDAJ	VYBER	15	8150	SLUZBY	\N	\N
1485564	5063	1996-09-30	VYDAJ	VYBER	15	17671	SLUZBY	\N	\N
1485565	5063	1996-10-31	VYDAJ	VYBER	15	50903	SLUZBY	\N	\N
1485566	5063	1996-11-30	VYDAJ	VYBER	15	57863	SLUZBY	\N	\N
1485567	5063	1996-12-31	VYDAJ	VYBER	15	53685	SLUZBY	\N	\N
1485568	5063	1997-01-31	VYDAJ	VYBER	15	-983	SLUZBY	\N	\N
1485569	5063	1997-02-28	VYDAJ	VYBER	15	3801	SLUZBY	\N	\N
1485570	5063	1997-03-31	VYDAJ	VYBER	15	8604	SLUZBY	\N	\N
1485571	5063	1997-04-30	VYDAJ	VYBER	15	8524	SLUZBY	\N	\N
1485572	5063	1997-05-31	VYDAJ	VYBER	15	24847	SLUZBY	\N	\N
1485573	5063	1997-06-30	VYDAJ	VYBER	15	-2076	SLUZBY	\N	\N
1485574	5063	1997-07-31	VYDAJ	VYBER	15	16706	SLUZBY	\N	\N
1485575	5063	1997-08-31	VYDAJ	VYBER	15	29841	SLUZBY	\N	\N
1485576	5063	1997-09-30	VYDAJ	VYBER	15	31850	SLUZBY	\N	\N
1485577	5063	1997-10-31	VYDAJ	VYBER	15	37468	SLUZBY	\N	\N
1485578	5063	1997-11-30	VYDAJ	VYBER	15	29378	SLUZBY	\N	\N
1485579	5063	1997-12-31	VYDAJ	VYBER	15	19875	SLUZBY	\N	\N
1485580	5063	1998-01-31	VYDAJ	VYBER	15	7875	SLUZBY	\N	\N
1485581	5063	1998-02-28	VYDAJ	VYBER	15	15794	SLUZBY	\N	\N
1485582	5063	1998-03-31	VYDAJ	VYBER	15	16344	SLUZBY	\N	\N
1485583	5063	1998-04-30	VYDAJ	VYBER	15	18797	SLUZBY	\N	\N
1485584	5063	1998-05-31	VYDAJ	VYBER	15	9519	SLUZBY	\N	\N
1485585	5063	1998-06-30	VYDAJ	VYBER	15	13474	SLUZBY	\N	\N
1485586	5063	1998-07-31	VYDAJ	VYBER	15	12114	SLUZBY	\N	\N
1485587	5063	1998-08-31	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
1485588	5063	1998-09-30	VYDAJ	VYBER	15	19100	SLUZBY	\N	\N
1485589	5063	1998-10-31	VYDAJ	VYBER	15	2640	SLUZBY	\N	\N
1485590	5063	1998-11-30	VYDAJ	VYBER	15	9842	SLUZBY	\N	\N
1485591	5063	1995-11-02	VYDAJ	VYBER	19200	93849	\N	\N	\N
1485592	5063	1995-11-10	VYDAJ	VYBER	33700	60149	\N	\N	\N
1485593	5063	1995-12-10	VYDAJ	VYBER	19600	40067	\N	\N	\N
1485594	5063	1996-01-09	VYDAJ	VYBER	17100	39389	\N	\N	\N
1485595	5063	1996-02-08	VYDAJ	VYBER	8600	33396	\N	\N	\N
1485596	5063	1996-03-09	VYDAJ	VYBER	7700	40364	\N	\N	\N
1485597	5063	1996-04-08	VYDAJ	VYBER	2800	31425	\N	\N	\N
1485598	5063	1996-05-08	VYDAJ	VYBER	5400	26153	\N	\N	\N
1485599	5063	1996-06-07	PRIJEM	VKLAD	9100	10769	\N	\N	\N
1485600	5063	1996-07-07	PRIJEM	VKLAD	5900	16712	\N	\N	\N
1485601	5063	1996-08-06	PRIJEM	VKLAD	10500	19140	\N	\N	\N
1485602	5063	1996-09-05	PRIJEM	VKLAD	9500	17650	\N	\N	\N
1485603	5063	1996-10-05	PRIJEM	VKLAD	6100	23771	\N	\N	\N
1485604	5063	1996-11-04	VYDAJ	VYBER	13300	37603	\N	\N	\N
1485605	5063	1996-12-04	VYDAJ	VYBER	11800	38563	\N	\N	\N
1485606	5063	1997-01-03	VYDAJ	VYBER	8800	36185	\N	\N	\N
1485607	5063	1997-02-02	PRIJEM	VKLAD	16500	15512	\N	\N	\N
1485608	5063	1997-03-04	PRIJEM	VKLAD	16500	20301	\N	\N	\N
1485609	5063	1997-04-03	PRIJEM	VKLAD	12800	21404	\N	\N	\N
1485610	5063	1997-05-03	PRIJEM	VKLAD	16300	24824	\N	\N	\N
1485611	5063	1997-06-02	PRIJEM	VKLAD	5200	30047	\N	\N	\N
1485612	5063	1997-07-02	PRIJEM	VKLAD	18800	16718	\N	\N	\N
1485613	5063	1997-08-01	PRIJEM	VKLAD	10300	26985	\N	\N	\N
1485614	5063	1997-08-31	PRIJEM	VKLAD	2800	29785	\N	\N	\N
1485615	5063	1997-09-30	PRIJEM	VKLAD	1900	31865	\N	\N	\N
1485616	5063	1997-10-30	PRIJEM	VKLAD	5500	37350	\N	\N	\N
1485617	5063	1997-11-29	VYDAJ	VYBER	100	29239	\N	\N	\N
1485618	5063	1997-12-29	PRIJEM	VKLAD	4500	19778	\N	\N	\N
1485619	5063	1998-01-28	PRIJEM	VKLAD	14800	13813	\N	\N	\N
1485620	5063	1998-02-27	PRIJEM	VKLAD	7900	15775	\N	\N	\N
1485621	5063	1998-03-29	PRIJEM	VKLAD	500	16294	\N	\N	\N
1485622	5063	1998-04-28	PRIJEM	VKLAD	2400	18744	\N	\N	\N
1485623	5063	1998-05-28	PRIJEM	VKLAD	2600	9461	\N	\N	\N
1485624	5063	1998-06-27	PRIJEM	VKLAD	10500	13448	\N	\N	\N
1485625	5063	1998-07-27	VYDAJ	VYBER	1400	12074	\N	\N	\N
1485626	5063	1998-08-26	PRIJEM	VKLAD	3700	15814	\N	\N	\N
1485627	5063	1998-09-25	PRIJEM	VKLAD	3200	19049	\N	\N	\N
1485628	5063	1998-10-25	PRIJEM	VKLAD	9400	11662	\N	\N	\N
1485629	5063	1998-11-24	PRIJEM	VKLAD	8700	9840	\N	\N	\N
1486053	5065	1993-01-24	PRIJEM	VKLAD	300	300	\N	\N	\N
1486054	5065	1993-12-28	PRIJEM	VKLAD	19089	65909	\N	\N	\N
1486056	5065	1993-11-23	PRIJEM	VKLAD	39649	95825	\N	\N	\N
1486057	5065	1993-11-23	PRIJEM	VKLAD	5268	56176	\N	\N	\N
1486059	5065	1993-07-03	PRIJEM	VKLAD	47721	118668	\N	\N	\N
1486060	5065	1993-02-07	PRIJEM	VKLAD	33045	33345	\N	\N	\N
1486062	5065	1993-12-10	PRIJEM	VKLAD	44690	132970	\N	\N	\N
1486063	5065	1993-06-04	PRIJEM	VKLAD	26365	53103	\N	\N	\N
1486064	5065	1993-10-28	PRIJEM	VKLAD	44259	68444	\N	\N	\N
1486065	5065	1993-06-26	PRIJEM	VKLAD	28215	91469	\N	\N	\N
1486066	5065	1993-06-05	PRIJEM	VKLAD	22524	75627	\N	\N	\N
1486067	5065	1993-06-13	PRIJEM	VKLAD	27127	102754	\N	\N	\N
1486068	5065	1993-11-19	PRIJEM	VKLAD	8449	77008	\N	\N	\N
1486069	5065	1994-04-26	PRIJEM	VKLAD	33104	78589	\N	\N	\N
1486070	5065	1994-07-27	PRIJEM	VKLAD	9827	56867	\N	\N	\N
1486071	5065	1994-05-16	PRIJEM	VKLAD	21352	116413	\N	\N	\N
1486072	5065	1994-09-25	PRIJEM	VKLAD	21681	46400	\N	\N	\N
1486073	5065	1994-10-11	PRIJEM	VKLAD	16610	74452	\N	\N	\N
1486074	5065	1994-09-26	PRIJEM	VKLAD	11190	57590	\N	\N	\N
1486075	5065	1994-12-22	PRIJEM	VKLAD	31898	90055	\N	\N	\N
1486076	5065	1994-03-14	PRIJEM	VKLAD	11173	42495	\N	\N	\N
1486077	5065	1994-03-20	PRIJEM	VKLAD	8213	50708	\N	\N	\N
1486078	5065	1994-12-18	PRIJEM	VKLAD	36212	83042	\N	\N	\N
1486079	5065	1994-09-06	PRIJEM	VKLAD	37414	105201	\N	\N	\N
1486080	5065	1994-05-10	PRIJEM	VKLAD	18666	94637	\N	\N	\N
1486081	5065	1994-11-24	PRIJEM	VKLAD	11364	51026	\N	\N	\N
1486082	5065	1994-09-08	PRIJEM	VKLAD	25941	131142	\N	\N	\N
1486083	5065	1994-05-12	PRIJEM	VKLAD	47324	141961	\N	\N	\N
1486084	5065	1994-01-17	PRIJEM	VKLAD	38998	69496	\N	\N	\N
1486085	5065	1994-06-04	PRIJEM	VKLAD	24590	84007	\N	\N	\N
1486086	5065	1994-04-15	PRIJEM	VKLAD	12127	68285	\N	\N	\N
1486087	5065	1994-06-17	PRIJEM	VKLAD	32384	112933	\N	\N	\N
1486088	5065	1994-04-26	PRIJEM	VKLAD	33958	112547	\N	\N	\N
1486089	5065	1994-03-23	PRIJEM	VKLAD	18997	56005	\N	\N	\N
1486090	5065	1994-08-07	PRIJEM	VKLAD	49725	106743	\N	\N	\N
1486091	5065	1994-07-05	PRIJEM	VKLAD	37176	68240	\N	\N	\N
1486092	5065	1994-12-02	PRIJEM	VKLAD	44788	77130	\N	\N	\N
1486093	5065	1996-05-31	PRIJEM	VKLAD	14391	35351	\N	\N	\N
1486094	5065	1997-08-29	PRIJEM	VKLAD	32734	47120	\N	\N	\N
1486095	5065	1997-03-12	PRIJEM	VKLAD	41565	58729	\N	\N	\N
1486096	5065	1997-07-22	PRIJEM	VKLAD	26306	43601	\N	\N	\N
1486097	5065	1997-05-30	PRIJEM	VKLAD	48863	111538	\N	\N	\N
1486098	5065	1997-12-01	PRIJEM	VKLAD	48324	86464	\N	\N	\N
1486099	5065	1997-05-14	PRIJEM	VKLAD	34087	62675	\N	\N	\N
1486100	5065	1997-10-19	PRIJEM	VKLAD	23908	57658	\N	\N	\N
1486101	5065	1997-09-06	PRIJEM	VKLAD	26442	59521	\N	\N	\N
1486102	5065	1997-11-14	PRIJEM	VKLAD	19022	56403	\N	\N	\N
1486103	5065	1997-06-18	PRIJEM	VKLAD	17735	29236	\N	\N	\N
1486104	5065	1997-03-26	PRIJEM	VKLAD	33054	61759	\N	\N	\N
1486105	5065	1998-07-03	PRIJEM	VKLAD	39301	50755	\N	\N	\N
1486106	5065	1998-04-14	PRIJEM	VKLAD	27525	73113	\N	\N	\N
1486107	5065	1998-02-24	PRIJEM	VKLAD	17926	45816	\N	\N	\N
1486108	5065	1998-11-07	PRIJEM	VKLAD	11478	21739	\N	\N	\N
1486109	5065	1998-12-14	PRIJEM	VKLAD	20476	29762	\N	\N	\N
1486110	5065	1998-06-02	PRIJEM	VKLAD	7207	34939	\N	\N	\N
1486111	5065	1998-11-22	PRIJEM	VKLAD	7020	28759	\N	\N	\N
1486112	5065	1998-05-20	PRIJEM	VKLAD	20944	62342	\N	\N	\N
1486113	5065	1998-03-02	PRIJEM	VKLAD	39269	98389	\N	\N	\N
1486114	5065	1998-02-26	PRIJEM	VKLAD	28731	74547	\N	\N	\N
1486115	5065	1998-01-30	PRIJEM	VKLAD	42224	53362	\N	\N	\N
1486116	5065	1998-03-04	PRIJEM	VKLAD	36184	118493	\N	\N	\N
1486117	5065	1998-03-18	PRIJEM	VKLAD	27059	87352	\N	\N	\N
1486118	5065	1998-03-01	PRIJEM	VKLAD	14512	59120	\N	\N	\N
1486119	5065	1998-10-05	PRIJEM	VKLAD	10269	25822	\N	\N	\N
1486120	5065	1998-09-03	PRIJEM	VKLAD	27777	32744	\N	\N	\N
1486121	5065	1998-03-28	PRIJEM	VKLAD	34054	121406	\N	\N	\N
1486194	5065	1993-12-11	VYBER	VYBER	4401	83435	\N	\N	\N
1486195	5065	1993-12-11	VYBER	VYBER	13934	87836	\N	\N	\N
1486201	5065	1993-06-29	VYBER	VYBER	20835	70634	\N	\N	\N
1486203	5065	1993-12-13	VYBER	VYBER	12915	70520	\N	\N	\N
1486204	5065	1994-12-18	VYBER	VYBER	24885	58157	\N	\N	\N
1486205	5065	1994-06-05	VYBER	VYBER	3458	80549	\N	\N	\N
1486206	5065	1994-11-24	VYBER	VYBER	9269	41757	\N	\N	\N
1486207	5065	1994-09-19	VYBER	VYBER	20923	24719	\N	\N	\N
1486208	5065	1995-03-17	VYBER	VYBER	14723	-5	\N	\N	\N
1486210	5065	1995-09-10	VYBER	VYBER	18219	547	\N	\N	\N
1486212	5065	1995-01-08	VYBER	VYBER	18427	71860	\N	\N	\N
1486214	5065	1995-03-15	VYBER	VYBER	21452	14718	\N	\N	\N
1486216	5065	1995-10-18	VYBER	VYBER	21562	3139	\N	\N	\N
1486217	5065	1995-05-17	VYBER	VYBER	14989	4324	\N	\N	\N
1486219	5065	1995-01-21	VYBER	VYBER	14558	28802	\N	\N	\N
1486220	5065	1995-07-16	VYBER	VYBER	4956	16711	\N	\N	\N
1486221	5065	1995-12-08	VYBER	VYBER	4460	2304	\N	\N	\N
1486222	5065	1997-03-22	VYBER	VYBER	23920	28705	\N	\N	\N
1486223	5065	1997-06-14	VYBER	VYBER	24550	11501	\N	\N	\N
1486225	5065	1997-08-28	VYBER	VYBER	15098	14386	\N	\N	\N
1486226	5065	1997-03-12	VYBER	VYBER	6104	52625	\N	\N	\N
1486227	5065	1997-06-09	VYBER	VYBER	15890	36051	\N	\N	\N
1486228	5065	1998-06-02	VYBER	VYBER	22319	12620	\N	\N	\N
1486229	5065	1998-05-21	VYBER	VYBER	15776	46566	\N	\N	\N
1486231	5065	1998-03-03	VYBER	VYBER	16080	82309	\N	\N	\N
1486232	5065	1998-02-12	VYBER	VYBER	11524	41990	\N	\N	\N
1486233	5065	1998-05-17	VYBER	VYBER	5161	41398	\N	\N	\N
1486237	5065	1996-06-29	VYDAJ	VYBER	16500	14136	\N	\N	\N
1486238	5065	1997-06-29	VYDAJ	VYBER	14100	15136	\N	\N	\N
1486240	5065	1993-12-04	VYDAJ	VYBER	7800	88280	\N	\N	\N
1486241	5065	1994-12-17	VYDAJ	VYBER	6000	46830	\N	\N	\N
1486242	5065	1995-12-03	VYDAJ	VYBER	8100	6764	\N	\N	\N
1486243	5065	1996-12-27	VYDAJ	VYBER	1500	662	\N	\N	\N
1486244	5065	1997-12-06	VYDAJ	VYBER	6000	80464	\N	\N	\N
1486252	5065	1994-01-18	VYDAJ	VYBER	1800	67696	\N	\N	\N
1486253	5065	1994-01-09	VYDAJ	VYBER	8700	46998	\N	\N	\N
1486254	5065	1994-01-02	VYDAJ	VYBER	5400	55698	\N	\N	\N
1486255	5065	1994-01-11	VYDAJ	VYBER	8400	38598	\N	\N	\N
1486256	5065	1994-01-02	VYDAJ	VYBER	5100	61098	\N	\N	\N
1486257	5065	1994-01-28	VYDAJ	VYBER	6900	38196	\N	\N	\N
1486258	5065	1995-01-23	VYDAJ	VYBER	3300	25502	\N	\N	\N
1486259	5065	1995-01-10	VYDAJ	VYBER	7800	60760	\N	\N	\N
1486260	5065	1995-01-08	VYDAJ	VYBER	3300	68560	\N	\N	\N
1486261	5065	1995-01-27	VYDAJ	VYBER	1800	21002	\N	\N	\N
1486262	5065	1995-01-26	VYDAJ	VYBER	2700	22802	\N	\N	\N
1486263	5065	1995-01-12	VYDAJ	VYBER	4500	56260	\N	\N	\N
1486264	5065	1996-01-27	VYDAJ	VYBER	3900	3247	\N	\N	\N
1486265	5065	1996-01-21	VYDAJ	VYBER	3000	7147	\N	\N	\N
1486266	5065	1996-01-11	VYDAJ	VYBER	4800	10147	\N	\N	\N
1486267	5065	1996-01-01	VYDAJ	VYBER	3900	11447	\N	\N	\N
1486268	5065	1996-01-08	VYDAJ	VYBER	6900	4547	\N	\N	\N
1486271	5065	1997-01-05	VYDAJ	VYBER	7200	4883	\N	\N	\N
1486272	5065	1997-01-23	VYDAJ	VYBER	2700	683	\N	\N	\N
1486275	5065	1997-01-21	VYDAJ	VYBER	1500	3383	\N	\N	\N
1486276	5065	1998-01-10	VYDAJ	VYBER	5100	42738	\N	\N	\N
1486277	5065	1998-01-13	VYDAJ	VYBER	3900	38838	\N	\N	\N
1486278	5065	1998-01-25	VYDAJ	VYBER	4200	31038	\N	\N	\N
1486279	5065	1998-01-29	VYDAJ	VYBER	6600	11138	\N	\N	\N
1486280	5065	1998-01-29	VYDAJ	VYBER	3300	17738	\N	\N	\N
1486281	5065	1998-01-13	VYDAJ	VYBER	3600	35238	\N	\N	\N
1486282	5065	1993-07-31	VYDAJ	VYBER	4800	43949	\N	\N	\N
1486286	5065	1993-12-10	VYDAJ	VYBER	11400	101770	\N	\N	\N
1486287	5065	1993-10-20	VYDAJ	VYBER	1500	24785	\N	\N	\N
1486288	5065	1993-08-02	VYDAJ	VYBER	12600	31349	\N	\N	\N
1486289	5065	1994-11-29	VYDAJ	VYBER	9600	32157	\N	\N	\N
1486290	5065	1994-06-24	VYDAJ	VYBER	11700	30833	\N	\N	\N
1486291	5065	1994-09-13	VYDAJ	VYBER	13200	58142	\N	\N	\N
1486292	5065	1994-06-01	VYDAJ	VYBER	3000	59417	\N	\N	\N
1486293	5065	1994-01-11	VYDAJ	VYBER	8100	30498	\N	\N	\N
1486295	5065	1995-07-06	VYDAJ	VYBER	3300	9467	\N	\N	\N
1486298	5065	1995-07-22	VYDAJ	VYBER	9000	7711	\N	\N	\N
1486299	5065	1995-06-15	VYDAJ	VYBER	6000	12746	\N	\N	\N
1486300	5065	1996-08-31	VYDAJ	VYBER	3000	15168	\N	\N	\N
1486301	5065	1996-09-15	VYDAJ	VYBER	12000	7468	\N	\N	\N
1486302	5065	1996-12-06	VYDAJ	VYBER	7200	13562	\N	\N	\N
1486303	5065	1996-12-20	VYDAJ	VYBER	11400	2162	\N	\N	\N
1486304	5065	1996-05-08	VYDAJ	VYBER	5700	20874	\N	\N	\N
1486305	5065	1997-09-24	VYDAJ	VYBER	14100	45421	\N	\N	\N
1486307	5065	1997-04-18	VYDAJ	VYBER	4200	35996	\N	\N	\N
1486309	5065	1998-02-15	VYDAJ	VYBER	4500	27890	\N	\N	\N
1486310	5065	1998-04-10	VYDAJ	VYBER	12300	45588	\N	\N	\N
1486311	5065	1998-02-13	VYDAJ	VYBER	9600	32390	\N	\N	\N
1486312	5065	1998-08-01	VYDAJ	VYBER	11700	15093	\N	\N	\N
1486319	5065	1993-06-30	VYDAJ	VYBER	15	70947	SLUZBY	\N	\N
1486320	5065	1993-07-31	VYDAJ	VYBER	15	48749	SLUZBY	\N	\N
1486321	5065	1993-08-31	VYDAJ	VYBER	15	25792	SLUZBY	\N	\N
1486322	5065	1993-09-30	VYDAJ	VYBER	15	26285	SLUZBY	\N	\N
1486323	5065	1993-10-31	VYDAJ	VYBER	15	68559	SLUZBY	\N	\N
1486324	5065	1993-11-30	VYDAJ	VYBER	15	96080	SLUZBY	\N	\N
1486325	5065	1993-12-31	VYDAJ	VYBER	15	66198	SLUZBY	\N	\N
1486326	5065	1994-01-31	VYDAJ	VYBER	15	38378	SLUZBY	\N	\N
1486327	5065	1994-02-28	VYDAJ	VYBER	15	31322	SLUZBY	\N	\N
1486328	5065	1994-03-31	VYDAJ	VYBER	15	56158	SLUZBY	\N	\N
1486329	5065	1994-04-30	VYDAJ	VYBER	15	75971	SLUZBY	\N	\N
1486330	5065	1994-05-31	VYDAJ	VYBER	15	62417	SLUZBY	\N	\N
1486331	5065	1994-06-30	VYDAJ	VYBER	15	31064	SLUZBY	\N	\N
1486332	5065	1994-07-31	VYDAJ	VYBER	15	57018	SLUZBY	\N	\N
1486333	5065	1994-08-31	VYDAJ	VYBER	15	67787	SLUZBY	\N	\N
1486334	5065	1994-09-30	VYDAJ	VYBER	15	57842	SLUZBY	\N	\N
1486335	5065	1994-10-31	VYDAJ	VYBER	15	50862	SLUZBY	\N	\N
1486336	5065	1994-11-30	VYDAJ	VYBER	15	32342	SLUZBY	\N	\N
1486337	5065	1994-12-31	VYDAJ	VYBER	15	90287	SLUZBY	\N	\N
1486338	5065	1995-01-31	VYDAJ	VYBER	15	21197	SLUZBY	\N	\N
1486339	5065	1995-02-28	VYDAJ	VYBER	15	24370	SLUZBY	\N	\N
1486340	5065	1995-03-31	VYDAJ	VYBER	15	30	SLUZBY	\N	\N
1486341	5065	1995-04-30	VYDAJ	VYBER	15	13616	SLUZBY	\N	\N
1486342	5065	1995-05-31	VYDAJ	VYBER	15	4346	SLUZBY	\N	\N
1486343	5065	1995-06-30	VYDAJ	VYBER	15	12767	SLUZBY	\N	\N
1486344	5065	1995-07-31	VYDAJ	VYBER	15	7748	SLUZBY	\N	\N
1486345	5065	1995-08-31	VYDAJ	VYBER	15	18766	SLUZBY	\N	\N
1486346	5065	1995-09-30	VYDAJ	VYBER	15	16201	SLUZBY	\N	\N
1486347	5065	1995-10-31	VYDAJ	VYBER	15	3166	SLUZBY	\N	\N
1486348	5065	1995-11-30	VYDAJ	VYBER	15	14864	SLUZBY	\N	\N
1486349	5065	1995-12-31	VYDAJ	VYBER	15	15347	SLUZBY	\N	\N
1486350	5065	1996-01-31	VYDAJ	VYBER	15	3271	SLUZBY	\N	\N
1486351	5065	1996-02-29	VYDAJ	VYBER	15	13769	SLUZBY	\N	\N
1486352	5065	1996-03-31	VYDAJ	VYBER	15	19410	SLUZBY	\N	\N
1486353	5065	1996-04-30	VYDAJ	VYBER	15	20274	SLUZBY	\N	\N
1486354	5065	1996-05-31	VYDAJ	VYBER	15	35336	SLUZBY	\N	\N
1486355	5065	1996-06-30	VYDAJ	VYBER	15	14260	SLUZBY	\N	\N
1486356	5065	1996-07-31	VYDAJ	VYBER	15	19903	SLUZBY	\N	\N
1486357	5065	1996-08-31	VYDAJ	VYBER	15	18168	SLUZBY	\N	\N
1486358	5065	1996-09-30	VYDAJ	VYBER	15	7497	SLUZBY	\N	\N
1486359	5065	1996-10-31	VYDAJ	VYBER	15	16212	SLUZBY	\N	\N
1486360	5065	1996-11-30	VYDAJ	VYBER	15	16762	SLUZBY	\N	\N
1486361	5065	1996-12-31	VYDAJ	VYBER	15	683	SLUZBY	\N	\N
1486362	5065	1997-01-31	VYDAJ	VYBER	15	678	SLUZBY	\N	\N
1486363	5065	1997-02-28	VYDAJ	VYBER	15	12965	SLUZBY	\N	\N
1486364	5065	1997-03-31	VYDAJ	VYBER	15	61896	SLUZBY	\N	\N
1486365	5065	1997-04-30	VYDAJ	VYBER	15	36188	SLUZBY	\N	\N
1486366	5065	1997-05-31	VYDAJ	VYBER	15	86941	SLUZBY	\N	\N
1486367	5065	1997-06-30	VYDAJ	VYBER	15	15295	SLUZBY	\N	\N
1486368	5065	1997-07-31	VYDAJ	VYBER	15	43684	SLUZBY	\N	\N
1486369	5065	1997-08-31	VYDAJ	VYBER	15	47279	SLUZBY	\N	\N
1486370	5065	1997-09-30	VYDAJ	VYBER	15	45550	SLUZBY	\N	\N
1486371	5065	1997-10-31	VYDAJ	VYBER	15	37381	SLUZBY	\N	\N
1486372	5065	1997-11-30	VYDAJ	VYBER	15	38140	SLUZBY	\N	\N
1486373	5065	1997-12-31	VYDAJ	VYBER	15	47838	SLUZBY	\N	\N
1486374	5065	1998-01-31	VYDAJ	VYBER	15	53514	SLUZBY	\N	\N
1486375	5065	1998-02-28	VYDAJ	VYBER	15	44608	SLUZBY	\N	\N
1486376	5065	1998-03-31	VYDAJ	VYBER	15	57888	SLUZBY	\N	\N
1486377	5065	1998-04-30	VYDAJ	VYBER	15	46559	SLUZBY	\N	\N
1486378	5065	1998-05-31	VYDAJ	VYBER	15	27732	SLUZBY	\N	\N
1486379	5065	1998-06-30	VYDAJ	VYBER	15	11454	SLUZBY	\N	\N
1486380	5065	1998-07-31	VYDAJ	VYBER	15	26793	SLUZBY	\N	\N
1486381	5065	1998-08-31	VYDAJ	VYBER	15	4967	SLUZBY	\N	\N
1486382	5065	1998-09-30	VYDAJ	VYBER	15	15553	SLUZBY	\N	\N
1486383	5065	1998-10-31	VYDAJ	VYBER	15	10261	SLUZBY	\N	\N
1486384	5065	1998-11-30	VYDAJ	VYBER	15	9286	SLUZBY	\N	\N
1486385	5065	1993-02-23	VYDAJ	VYBER	4000	29345	\N	\N	\N
1486386	5065	1993-03-25	VYDAJ	VYBER	5000	24371	\N	\N	\N
1486387	5065	1993-04-24	PRIJEM	VKLAD	1700	26194	\N	\N	\N
1486388	5065	1993-05-24	PRIJEM	VKLAD	300	26616	\N	\N	\N
1486389	5065	1993-06-23	VYDAJ	VYBER	39500	63254	\N	\N	\N
1486390	5065	1993-07-03	VYDAJ	VYBER	43400	75268	\N	\N	\N
1486391	5065	1993-07-23	VYDAJ	VYBER	26900	48368	\N	\N	\N
1486392	5065	1993-08-22	VYDAJ	VYBER	5700	25649	\N	\N	\N
1486393	5065	1993-09-21	PRIJEM	VKLAD	400	26192	\N	\N	\N
1486394	5065	1993-10-21	VYDAJ	VYBER	600	24185	\N	\N	\N
1486395	5065	1993-11-20	VYDAJ	VYBER	26100	50908	\N	\N	\N
1486396	5065	1993-12-10	VYDAJ	VYBER	19800	113170	\N	\N	\N
1486397	5065	1993-12-20	VYDAJ	VYBER	23700	46820	\N	\N	\N
1486398	5065	1994-01-19	VYDAJ	VYBER	22600	45096	\N	\N	\N
1486399	5065	1994-02-18	VYDAJ	VYBER	7200	31178	\N	\N	\N
1486400	5065	1994-03-20	VYDAJ	VYBER	13700	37008	\N	\N	\N
1486401	5065	1994-04-19	VYDAJ	VYBER	22800	45485	\N	\N	\N
1486402	5065	1994-04-26	VYDAJ	VYBER	36800	75747	\N	\N	\N
1486403	5065	1994-05-12	VYDAJ	VYBER	46900	95061	\N	\N	\N
1486404	5065	1994-05-16	VYDAJ	VYBER	23000	93413	\N	\N	\N
1486405	5065	1994-05-19	VYDAJ	VYBER	31300	62113	\N	\N	\N
1486406	5065	1994-06-17	VYDAJ	VYBER	51800	61133	\N	\N	\N
1486407	5065	1994-06-18	VYDAJ	VYBER	18600	42533	\N	\N	\N
1486408	5065	1994-07-18	VYDAJ	VYBER	21200	47040	\N	\N	\N
1486409	5065	1994-08-17	VYDAJ	VYBER	39200	67543	\N	\N	\N
1486410	5065	1994-09-08	VYDAJ	VYBER	59800	71342	\N	\N	\N
1486411	5065	1994-09-16	VYDAJ	VYBER	12500	45642	\N	\N	\N
1486412	5065	1994-10-16	VYDAJ	VYBER	23800	50652	\N	\N	\N
1486413	5065	1994-11-15	VYDAJ	VYBER	11200	39662	\N	\N	\N
1486414	5065	1994-12-15	VYDAJ	VYBER	24300	52830	\N	\N	\N
1486415	5065	1995-01-14	VYDAJ	VYBER	12900	43360	\N	\N	\N
1486416	5065	1995-02-13	PRIJEM	VKLAD	3100	24297	\N	\N	\N
1486417	5065	1995-03-15	PRIJEM	VKLAD	11800	36170	\N	\N	\N
1486418	5065	1995-04-14	PRIJEM	VKLAD	13600	13628	\N	\N	\N
1486419	5065	1995-05-14	PRIJEM	VKLAD	5700	19313	\N	\N	\N
1486420	5065	1995-06-13	PRIJEM	VKLAD	14400	18746	\N	\N	\N
1486421	5065	1995-07-13	PRIJEM	VKLAD	12200	21667	\N	\N	\N
1486422	5065	1995-08-12	PRIJEM	VKLAD	11000	18748	\N	\N	\N
1486423	5065	1995-09-11	PRIJEM	VKLAD	15600	16147	\N	\N	\N
1486424	5065	1995-10-11	PRIJEM	VKLAD	8500	24701	\N	\N	\N
1486425	5065	1995-11-10	PRIJEM	VKLAD	11700	14866	\N	\N	\N
1486426	5065	1995-12-10	PRIJEM	VKLAD	13000	15304	\N	\N	\N
1486427	5065	1996-01-09	PRIJEM	VKLAD	10400	14947	\N	\N	\N
1486428	5065	1996-02-08	PRIJEM	VKLAD	10500	13771	\N	\N	\N
1486429	5065	1996-03-09	PRIJEM	VKLAD	5600	19369	\N	\N	\N
1486430	5065	1996-04-08	PRIJEM	VKLAD	800	20210	\N	\N	\N
1486431	5065	1996-05-08	PRIJEM	VKLAD	6300	26574	\N	\N	\N
1486432	5065	1996-06-07	VYDAJ	VYBER	4700	30636	\N	\N	\N
1486433	5065	1996-07-07	PRIJEM	VKLAD	5600	19860	\N	\N	\N
1486434	5065	1996-08-06	VYDAJ	VYBER	1800	18103	\N	\N	\N
1486435	5065	1996-09-05	PRIJEM	VKLAD	4300	19468	\N	\N	\N
1486436	5065	1996-10-05	PRIJEM	VKLAD	8700	16197	\N	\N	\N
1486437	5065	1996-11-04	PRIJEM	VKLAD	500	16712	\N	\N	\N
1486438	5065	1996-12-04	PRIJEM	VKLAD	4000	20762	\N	\N	\N
1486439	5065	1997-01-03	PRIJEM	VKLAD	11400	12083	\N	\N	\N
1486440	5065	1997-02-02	PRIJEM	VKLAD	12300	12978	\N	\N	\N
1486441	5065	1997-03-04	PRIJEM	VKLAD	4200	17164	\N	\N	\N
1486442	5065	1997-04-03	VYDAJ	VYBER	21700	40196	\N	\N	\N
1486443	5065	1997-05-03	VYDAJ	VYBER	7600	28588	\N	\N	\N
1486444	5065	1997-05-30	VYDAJ	VYBER	24800	86738	\N	\N	\N
1486445	5065	1997-06-02	VYDAJ	VYBER	35000	51941	\N	\N	\N
1486446	5065	1997-07-02	PRIJEM	VKLAD	2000	17295	\N	\N	\N
1486447	5065	1997-08-01	VYDAJ	VYBER	14200	29484	\N	\N	\N
1486448	5065	1997-08-31	VYDAJ	VYBER	14200	33079	\N	\N	\N
1486449	5065	1997-09-30	VYDAJ	VYBER	11800	33750	\N	\N	\N
1486450	5065	1997-10-30	VYDAJ	VYBER	20400	37258	\N	\N	\N
1486451	5065	1997-11-29	VYDAJ	VYBER	18400	38003	\N	\N	\N
1486452	5065	1997-12-29	VYDAJ	VYBER	32900	47564	\N	\N	\N
1486453	5065	1998-01-28	VYDAJ	VYBER	10000	21038	\N	\N	\N
1486454	5065	1998-02-27	VYDAJ	VYBER	30100	44447	\N	\N	\N
1486455	5065	1998-03-04	VYDAJ	VYBER	58200	60293	\N	\N	\N
1486456	5065	1998-03-28	VYDAJ	VYBER	21200	100206	\N	\N	\N
1486457	5065	1998-03-29	VYDAJ	VYBER	42600	57606	\N	\N	\N
1486458	5065	1998-04-28	VYDAJ	VYBER	26800	46313	\N	\N	\N
1486459	5065	1998-05-28	VYDAJ	VYBER	19000	27566	\N	\N	\N
1486460	5065	1998-06-27	VYDAJ	VYBER	1200	11420	\N	\N	\N
1486461	5065	1998-07-27	VYDAJ	VYBER	24000	26755	\N	\N	\N
1486462	5065	1998-08-26	VYDAJ	VYBER	10200	4893	\N	\N	\N
1486463	5065	1998-09-25	VYDAJ	VYBER	17200	15544	\N	\N	\N
1486464	5065	1998-10-25	VYDAJ	VYBER	15600	10222	\N	\N	\N
1486465	5065	1998-11-24	VYDAJ	VYBER	19500	9259	\N	\N	\N
1486466	5065	1998-12-24	VYDAJ	VYBER	21100	8662	\N	\N	\N
1486552	5066	1995-08-27	PRIJEM	VKLAD	400	400	\N	\N	\N
1486556	5066	1995-12-05	PRIJEM	VKLAD	44883	89257	\N	\N	\N
1486562	5066	1995-11-01	PRIJEM	VKLAD	47337	65337	\N	\N	\N
1486566	5066	1996-04-07	PRIJEM	VKLAD	34495	81178	\N	\N	\N
1486567	5066	1996-07-30	PRIJEM	VKLAD	47356	71115	\N	\N	\N
1486568	5066	1996-10-24	PRIJEM	VKLAD	10453	36521	\N	\N	\N
1486569	5066	1996-04-13	PRIJEM	VKLAD	36934	106234	\N	\N	\N
1486570	5066	1996-02-02	PRIJEM	VKLAD	15200	59696	\N	\N	\N
1486571	5066	1996-02-13	PRIJEM	VKLAD	21578	81274	\N	\N	\N
1486572	5066	1996-12-10	PRIJEM	VKLAD	29335	55294	\N	\N	\N
1486573	5066	1997-05-24	PRIJEM	VKLAD	45933	62157	\N	\N	\N
1486574	5066	1997-03-15	PRIJEM	VKLAD	47631	87504	\N	\N	\N
1486575	5066	1997-11-24	PRIJEM	VKLAD	45122	71141	\N	\N	\N
1486576	5066	1997-08-07	PRIJEM	VKLAD	19961	73704	\N	\N	\N
1486577	5066	1997-03-17	PRIJEM	VKLAD	17778	105282	\N	\N	\N
1486578	5066	1997-11-13	PRIJEM	VKLAD	14001	50725	\N	\N	\N
1486579	5066	1997-01-13	PRIJEM	VKLAD	10386	34102	\N	\N	\N
1486580	5066	1997-01-19	PRIJEM	VKLAD	48748	82948	\N	\N	\N
1486581	5066	1997-06-01	PRIJEM	VKLAD	19555	81839	\N	\N	\N
1486582	5066	1997-02-14	PRIJEM	VKLAD	9298	86356	\N	\N	\N
1486583	5066	1997-09-25	PRIJEM	VKLAD	6780	25273	\N	\N	\N
1486584	5066	1997-02-13	PRIJEM	VKLAD	49739	111958	\N	\N	\N
1486585	5066	1997-12-21	PRIJEM	VKLAD	14461	50643	\N	\N	\N
1486586	5066	1997-07-18	PRIJEM	VKLAD	17286	54619	\N	\N	\N
1486587	5066	1997-03-30	PRIJEM	VKLAD	23165	76747	\N	\N	\N
1486588	5066	1997-12-28	PRIJEM	VKLAD	12675	63318	\N	\N	\N
1486589	5066	1997-07-14	PRIJEM	VKLAD	45145	65139	\N	\N	\N
1486590	5066	1997-01-18	PRIJEM	VKLAD	16804	46700	\N	\N	\N
1486591	5066	1997-10-02	PRIJEM	VKLAD	49103	74467	\N	\N	\N
1486592	5066	1998-07-31	PRIJEM	VKLAD	24298	37614	\N	\N	\N
1486593	5066	1998-12-25	PRIJEM	VKLAD	48345	59579	\N	\N	\N
1486594	5066	1998-01-20	PRIJEM	VKLAD	21675	46273	\N	\N	\N
1486595	5066	1998-04-11	PRIJEM	VKLAD	46291	107143	\N	\N	\N
1486596	5066	1998-04-05	PRIJEM	VKLAD	17186	122985	\N	\N	\N
1486597	5066	1998-04-01	PRIJEM	VKLAD	41863	61671	\N	\N	\N
1486598	5066	1998-12-01	PRIJEM	VKLAD	31050	28873	\N	\N	\N
1486599	5066	1998-06-15	PRIJEM	VKLAD	20142	35750	\N	\N	\N
1486600	5066	1998-03-03	PRIJEM	VKLAD	47140	60683	\N	\N	\N
1486601	5066	1998-04-04	PRIJEM	VKLAD	44128	105799	\N	\N	\N
1486602	5066	1998-05-25	PRIJEM	VKLAD	30568	45658	\N	\N	\N
1486603	5066	1998-04-13	PRIJEM	VKLAD	7938	113281	\N	\N	\N
1486619	5066	1996-04-12	VYDAJ	PREVOD NA UCET	2569	69300	UVER	CD	56157791
1486620	5066	1996-05-12	VYDAJ	PREVOD NA UCET	2569	63427	UVER	CD	56157791
1486621	5066	1996-06-12	VYDAJ	PREVOD NA UCET	2569	42234	UVER	CD	56157791
1486622	5066	1996-07-12	VYDAJ	PREVOD NA UCET	2569	31065	UVER	CD	56157791
1486623	5066	1996-08-12	VYDAJ	PREVOD NA UCET	2569	59923	UVER	CD	56157791
1486624	5066	1996-09-12	VYDAJ	PREVOD NA UCET	2569	35572	UVER	CD	56157791
1486625	5066	1996-10-12	VYDAJ	PREVOD NA UCET	2569	21274	UVER	CD	56157791
1486626	5066	1996-11-12	VYDAJ	PREVOD NA UCET	2569	31599	UVER	CD	56157791
1486627	5066	1996-12-12	VYDAJ	PREVOD NA UCET	2569	41926	UVER	CD	56157791
1486628	5066	1997-01-12	VYDAJ	PREVOD NA UCET	2569	23716	UVER	CD	56157791
1486629	5066	1997-02-12	VYDAJ	PREVOD NA UCET	2569	62219	UVER	CD	56157791
1486630	5066	1997-03-12	VYDAJ	PREVOD NA UCET	2569	44079	UVER	CD	56157791
1486631	5066	1997-04-12	VYDAJ	PREVOD NA UCET	2569	71962	UVER	CD	56157791
1486632	5066	1997-05-12	VYDAJ	PREVOD NA UCET	2569	20530	UVER	CD	56157791
1486633	5066	1997-06-12	VYDAJ	PREVOD NA UCET	2569	64837	UVER	CD	56157791
1486634	5066	1997-07-12	VYDAJ	PREVOD NA UCET	2569	19994	UVER	CD	56157791
1486635	5066	1997-08-12	VYDAJ	PREVOD NA UCET	2569	69720	UVER	CD	56157791
1486636	5066	1997-09-12	VYDAJ	PREVOD NA UCET	2569	35799	UVER	CD	56157791
1486637	5066	1997-10-12	VYDAJ	PREVOD NA UCET	2569	69465	UVER	CD	56157791
1486638	5066	1997-11-12	VYDAJ	PREVOD NA UCET	2569	36724	UVER	CD	56157791
1486639	5066	1997-12-12	VYDAJ	PREVOD NA UCET	2569	66288	UVER	CD	56157791
1486640	5066	1998-01-12	VYDAJ	PREVOD NA UCET	2569	44404	UVER	CD	56157791
1486641	5066	1998-02-06	VYDAJ	VYBER	3600	28600	\N	\N	0
1486642	5066	1998-03-21	VYDAJ	VYBER	2700	19716	\N	\N	0
1486643	5066	1998-04-11	VYDAJ	VYBER	1800	105343	\N	\N	0
1486644	5066	1998-05-01	VYDAJ	VYBER	3200	21729	\N	\N	0
1486645	5066	1998-06-21	VYDAJ	VYBER	2300	33450	\N	\N	0
1486646	5066	1998-07-09	VYDAJ	VYBER	2500	28622	\N	\N	0
1486647	5066	1998-08-04	VYDAJ	VYBER	2300	35370	\N	\N	0
1486648	5066	1998-09-02	VYDAJ	VYBER	2700	14196	\N	\N	0
1486651	5066	1998-11-26	VYDAJ	VYBER	1900	-2140	\N	\N	0
1486667	5066	1996-04-14	VYDAJ	PREVOD NA UCET	4206	102028	SIPO	OP	2258235
1486668	5066	1996-05-14	VYDAJ	PREVOD NA UCET	4206	59221	SIPO	OP	2258235
1486669	5066	1996-06-14	VYDAJ	PREVOD NA UCET	4206	38028	SIPO	OP	2258235
1486670	5066	1996-07-14	VYDAJ	PREVOD NA UCET	4206	26859	SIPO	OP	2258235
1486671	5066	1996-08-14	VYDAJ	PREVOD NA UCET	4206	55717	SIPO	OP	2258235
1486672	5066	1996-09-14	VYDAJ	PREVOD NA UCET	4206	31366	SIPO	OP	2258235
1486673	5066	1996-10-14	VYDAJ	PREVOD NA UCET	4206	17068	SIPO	OP	2258235
1486674	5066	1996-11-14	VYDAJ	PREVOD NA UCET	4206	27393	SIPO	OP	2258235
1486675	5066	1996-12-14	VYDAJ	PREVOD NA UCET	4206	32920	SIPO	OP	2258235
1486676	5066	1997-01-14	VYDAJ	PREVOD NA UCET	4206	29896	SIPO	OP	2258235
1486677	5066	1997-02-14	VYDAJ	PREVOD NA UCET	4206	82150	SIPO	OP	2258235
1486678	5066	1997-03-14	VYDAJ	PREVOD NA UCET	4206	39873	SIPO	OP	2258235
1486679	5066	1997-04-14	VYDAJ	PREVOD NA UCET	4206	67756	SIPO	OP	2258235
1486680	5066	1997-05-14	VYDAJ	PREVOD NA UCET	4206	16324	SIPO	OP	2258235
1486681	5066	1997-06-14	VYDAJ	PREVOD NA UCET	4206	60631	SIPO	OP	2258235
1486682	5066	1997-07-14	VYDAJ	PREVOD NA UCET	4206	60933	SIPO	OP	2258235
1486683	5066	1997-08-14	VYDAJ	PREVOD NA UCET	4206	65514	SIPO	OP	2258235
1486684	5066	1997-09-14	VYDAJ	PREVOD NA UCET	4206	31593	SIPO	OP	2258235
1486685	5066	1997-10-14	VYDAJ	PREVOD NA UCET	4206	65259	SIPO	OP	2258235
1486686	5066	1997-11-14	VYDAJ	PREVOD NA UCET	4206	46519	SIPO	OP	2258235
1486687	5066	1997-12-14	VYDAJ	PREVOD NA UCET	4206	39182	SIPO	OP	2258235
1486688	5066	1998-01-14	VYDAJ	PREVOD NA UCET	4206	24598	SIPO	OP	2258235
1486689	5066	1998-02-14	VYDAJ	PREVOD NA UCET	4206	13479	SIPO	OP	2258235
1486690	5066	1998-03-14	VYDAJ	PREVOD NA UCET	4206	32516	SIPO	OP	2258235
1486691	5066	1998-04-14	VYDAJ	PREVOD NA UCET	4206	26275	SIPO	OP	2258235
1486692	5066	1998-05-14	VYDAJ	PREVOD NA UCET	4206	15090	SIPO	OP	2258235
1486693	5066	1998-06-14	VYDAJ	PREVOD NA UCET	4206	15608	SIPO	OP	2258235
1486694	5066	1998-07-14	VYDAJ	PREVOD NA UCET	4206	13316	SIPO	OP	2258235
1486695	5066	1998-08-14	VYDAJ	PREVOD NA UCET	4206	16831	SIPO	OP	2258235
1486696	5066	1998-09-14	VYDAJ	PREVOD NA UCET	4206	7557	SIPO	OP	2258235
1486697	5066	1998-10-14	VYDAJ	PREVOD NA UCET	4206	929	SIPO	OP	2258235
1486699	5066	1998-12-14	VYDAJ	PREVOD NA UCET	4206	11234	SIPO	OP	2258235
1486716	5066	1996-05-06	VYDAJ	PREVOD NA UCET	1018	67411	 	EF	39506387
1486717	5066	1996-06-06	VYDAJ	PREVOD NA UCET	1018	46218	 	EF	39506387
1486718	5066	1996-07-06	VYDAJ	PREVOD NA UCET	1018	35049	 	EF	39506387
1486719	5066	1996-08-06	VYDAJ	PREVOD NA UCET	1018	63907	 	EF	39506387
1486720	5066	1996-09-06	VYDAJ	PREVOD NA UCET	1018	39556	 	EF	39506387
1486721	5066	1996-10-06	VYDAJ	PREVOD NA UCET	1018	25258	 	EF	39506387
1486722	5066	1996-11-06	VYDAJ	PREVOD NA UCET	1018	35583	 	EF	39506387
1486723	5066	1996-12-06	VYDAJ	PREVOD NA UCET	1018	27374	 	EF	39506387
1486724	5066	1997-01-06	VYDAJ	PREVOD NA UCET	1018	27700	 	EF	39506387
1486725	5066	1997-02-06	VYDAJ	PREVOD NA UCET	1018	66203	 	EF	39506387
1486726	5066	1997-03-06	VYDAJ	PREVOD NA UCET	1018	52262	 	EF	39506387
1486727	5066	1997-04-06	VYDAJ	PREVOD NA UCET	1018	75945	 	EF	39506387
1486728	5066	1997-05-06	VYDAJ	PREVOD NA UCET	1018	42960	 	EF	39506387
1486729	5066	1997-06-06	VYDAJ	PREVOD NA UCET	1018	68821	 	EF	39506387
1486730	5066	1997-07-06	VYDAJ	PREVOD NA UCET	1018	23978	 	EF	39506387
1486731	5066	1997-08-06	VYDAJ	PREVOD NA UCET	1018	53743	 	EF	39506387
1486732	5066	1997-09-06	VYDAJ	PREVOD NA UCET	1018	39783	 	EF	39506387
1486733	5066	1997-10-06	VYDAJ	PREVOD NA UCET	1018	73449	 	EF	39506387
1486987	5066	1998-04-05	VYDAJ	VYBER	59700	63285	\N	\N	\N
1486734	5066	1997-11-06	VYDAJ	PREVOD NA UCET	1018	40708	 	EF	39506387
1486735	5066	1997-12-06	VYDAJ	PREVOD NA UCET	1018	70272	 	EF	39506387
1486736	5066	1998-01-06	VYDAJ	PREVOD NA UCET	1018	48388	 	EF	39506387
1486737	5066	1998-02-06	VYDAJ	PREVOD NA UCET	1018	32200	 	EF	39506387
1486738	5066	1998-03-06	VYDAJ	PREVOD NA UCET	1018	59665	 	EF	39506387
1486739	5066	1998-04-06	VYDAJ	PREVOD NA UCET	1018	62267	 	EF	39506387
1486740	5066	1998-05-06	VYDAJ	PREVOD NA UCET	1018	20711	 	EF	39506387
1486741	5066	1998-06-06	VYDAJ	PREVOD NA UCET	1018	26229	 	EF	39506387
1486742	5066	1998-07-06	VYDAJ	PREVOD NA UCET	1018	32537	 	EF	39506387
1486743	5066	1998-08-06	VYDAJ	PREVOD NA UCET	1018	34352	 	EF	39506387
1486744	5066	1998-09-06	VYDAJ	PREVOD NA UCET	1018	13178	 	EF	39506387
1486745	5066	1998-10-06	VYDAJ	PREVOD NA UCET	1018	6550	 	EF	39506387
1486746	5066	1998-11-06	VYDAJ	PREVOD NA UCET	1018	-108	 	EF	39506387
1486747	5066	1998-12-06	VYDAJ	PREVOD NA UCET	1018	21255	 	EF	39506387
1486763	5066	1996-04-09	VYDAJ	PREVOD NA UCET	132	79763	POJISTNE	YZ	10269540
1486764	5066	1996-05-09	VYDAJ	PREVOD NA UCET	132	65996	POJISTNE	YZ	10269540
1486765	5066	1996-06-09	VYDAJ	PREVOD NA UCET	132	44803	POJISTNE	YZ	10269540
1486766	5066	1996-07-09	VYDAJ	PREVOD NA UCET	132	33634	POJISTNE	YZ	10269540
1486767	5066	1996-08-09	VYDAJ	PREVOD NA UCET	132	62492	POJISTNE	YZ	10269540
1486768	5066	1996-09-09	VYDAJ	PREVOD NA UCET	132	38141	POJISTNE	YZ	10269540
1486769	5066	1996-10-09	VYDAJ	PREVOD NA UCET	132	23843	POJISTNE	YZ	10269540
1486770	5066	1996-11-09	VYDAJ	PREVOD NA UCET	132	34168	POJISTNE	YZ	10269540
1486771	5066	1996-12-09	VYDAJ	PREVOD NA UCET	132	25959	POJISTNE	YZ	10269540
1486772	5066	1997-01-09	VYDAJ	PREVOD NA UCET	132	26285	POJISTNE	YZ	10269540
1486773	5066	1997-02-09	VYDAJ	PREVOD NA UCET	132	64788	POJISTNE	YZ	10269540
1486774	5066	1997-03-09	VYDAJ	PREVOD NA UCET	132	50847	POJISTNE	YZ	10269540
1486775	5066	1997-04-09	VYDAJ	PREVOD NA UCET	132	74530	POJISTNE	YZ	10269540
1486776	5066	1997-05-09	VYDAJ	PREVOD NA UCET	132	41545	POJISTNE	YZ	10269540
1486777	5066	1997-06-09	VYDAJ	PREVOD NA UCET	132	67406	POJISTNE	YZ	10269540
1486778	5066	1997-07-09	VYDAJ	PREVOD NA UCET	132	22563	POJISTNE	YZ	10269540
1486779	5066	1997-08-09	VYDAJ	PREVOD NA UCET	132	72289	POJISTNE	YZ	10269540
1486780	5066	1997-09-09	VYDAJ	PREVOD NA UCET	132	38368	POJISTNE	YZ	10269540
1486781	5066	1997-10-09	VYDAJ	PREVOD NA UCET	132	72034	POJISTNE	YZ	10269540
1486782	5066	1997-11-09	VYDAJ	PREVOD NA UCET	132	39293	POJISTNE	YZ	10269540
1486783	5066	1997-12-09	VYDAJ	PREVOD NA UCET	132	68857	POJISTNE	YZ	10269540
1486784	5066	1998-01-09	VYDAJ	PREVOD NA UCET	132	46973	POJISTNE	YZ	10269540
1486785	5066	1998-02-09	VYDAJ	PREVOD NA UCET	132	27185	POJISTNE	YZ	10269540
1486786	5066	1998-03-09	VYDAJ	PREVOD NA UCET	132	58250	POJISTNE	YZ	10269540
1486787	5066	1998-04-09	VYDAJ	PREVOD NA UCET	132	60852	POJISTNE	YZ	10269540
1486788	5066	1998-05-09	VYDAJ	PREVOD NA UCET	132	19296	POJISTNE	YZ	10269540
1486789	5066	1998-06-09	VYDAJ	PREVOD NA UCET	132	24814	POJISTNE	YZ	10269540
1486790	5066	1998-07-09	VYDAJ	PREVOD NA UCET	132	31122	POJISTNE	YZ	10269540
1486791	5066	1998-08-09	VYDAJ	PREVOD NA UCET	132	32937	POJISTNE	YZ	10269540
1486792	5066	1998-09-09	VYDAJ	PREVOD NA UCET	132	11763	POJISTNE	YZ	10269540
1486793	5066	1998-10-09	VYDAJ	PREVOD NA UCET	132	5135	POJISTNE	YZ	10269540
1486794	5066	1998-11-09	VYDAJ	PREVOD NA UCET	132	-240	POJISTNE	YZ	10269540
1486795	5066	1998-12-09	VYDAJ	PREVOD NA UCET	132	15440	POJISTNE	YZ	10269540
1486811	5066	1996-04-07	VYDAJ	PREVOD NA UCET	1283	79895	 	KL	45041960
1486812	5066	1996-05-07	VYDAJ	PREVOD NA UCET	1283	66128	 	KL	45041960
1486813	5066	1996-06-07	VYDAJ	PREVOD NA UCET	1283	44935	 	KL	45041960
1486814	5066	1996-07-07	VYDAJ	PREVOD NA UCET	1283	33766	 	KL	45041960
1486815	5066	1996-08-07	VYDAJ	PREVOD NA UCET	1283	62624	 	KL	45041960
1486816	5066	1996-09-07	VYDAJ	PREVOD NA UCET	1283	38273	 	KL	45041960
1486817	5066	1996-10-07	VYDAJ	PREVOD NA UCET	1283	23975	 	KL	45041960
1486818	5066	1996-11-07	VYDAJ	PREVOD NA UCET	1283	34300	 	KL	45041960
1486819	5066	1996-12-07	VYDAJ	PREVOD NA UCET	1283	26091	 	KL	45041960
1486820	5066	1997-01-07	VYDAJ	PREVOD NA UCET	1283	26417	 	KL	45041960
1486821	5066	1997-02-07	VYDAJ	PREVOD NA UCET	1283	64920	 	KL	45041960
1486822	5066	1997-03-07	VYDAJ	PREVOD NA UCET	1283	50979	 	KL	45041960
1486823	5066	1997-04-07	VYDAJ	PREVOD NA UCET	1283	74662	 	KL	45041960
1486824	5066	1997-05-07	VYDAJ	PREVOD NA UCET	1283	41677	 	KL	45041960
1486825	5066	1997-06-07	VYDAJ	PREVOD NA UCET	1283	67538	 	KL	45041960
1486826	5066	1997-07-07	VYDAJ	PREVOD NA UCET	1283	22695	 	KL	45041960
1486827	5066	1997-08-07	VYDAJ	PREVOD NA UCET	1283	72421	 	KL	45041960
1486828	5066	1997-09-07	VYDAJ	PREVOD NA UCET	1283	38500	 	KL	45041960
1486829	5066	1997-10-07	VYDAJ	PREVOD NA UCET	1283	72166	 	KL	45041960
1486830	5066	1997-11-07	VYDAJ	PREVOD NA UCET	1283	39425	 	KL	45041960
1486831	5066	1997-12-07	VYDAJ	PREVOD NA UCET	1283	68989	 	KL	45041960
1486832	5066	1998-01-07	VYDAJ	PREVOD NA UCET	1283	47105	 	KL	45041960
1486833	5066	1998-02-07	VYDAJ	PREVOD NA UCET	1283	27317	 	KL	45041960
1486834	5066	1998-03-07	VYDAJ	PREVOD NA UCET	1283	58382	 	KL	45041960
1486835	5066	1998-04-07	VYDAJ	PREVOD NA UCET	1283	60984	 	KL	45041960
1486836	5066	1998-05-07	VYDAJ	PREVOD NA UCET	1283	19428	 	KL	45041960
1486837	5066	1998-06-07	VYDAJ	PREVOD NA UCET	1283	24946	 	KL	45041960
1486838	5066	1998-07-07	VYDAJ	PREVOD NA UCET	1283	31254	 	KL	45041960
1486839	5066	1998-08-07	VYDAJ	PREVOD NA UCET	1283	33069	 	KL	45041960
1486840	5066	1998-09-07	VYDAJ	PREVOD NA UCET	1283	11895	 	KL	45041960
1486841	5066	1998-10-07	VYDAJ	PREVOD NA UCET	1283	5267	 	KL	45041960
1486843	5066	1998-12-07	VYDAJ	PREVOD NA UCET	1283	19972	 	KL	45041960
1486855	5066	1996-08-19	VYBER	VYBER	15036	40681	\N	\N	\N
1486858	5066	1996-04-12	VYBER	VYBER	7894	71869	\N	\N	\N
1486861	5066	1997-12-30	VYBER	VYBER	14116	49202	\N	\N	\N
1486862	5066	1997-05-12	VYBER	VYBER	18446	23099	\N	\N	\N
1486868	5066	1998-03-11	VYBER	VYBER	21528	36722	\N	\N	\N
1486869	5066	1998-06-03	VYBER	VYBER	18483	27247	\N	\N	\N
1486876	5066	1997-01-26	VYDAJ	VYBER	15900	67048	\N	\N	\N
1486879	5066	1996-12-14	VYDAJ	VYBER	4800	37126	\N	\N	\N
1486880	5066	1997-12-18	VYDAJ	VYBER	3000	36182	\N	\N	\N
1486881	5066	1998-12-05	VYDAJ	VYBER	6600	22273	\N	\N	\N
1486889	5066	1996-07-27	VYDAJ	VYBER	9300	23759	\N	\N	\N
1486890	5066	1996-06-20	VYDAJ	VYBER	1800	36228	\N	\N	\N
1486892	5066	1996-08-04	VYDAJ	VYBER	6300	64925	\N	\N	\N
1486893	5066	1996-12-10	VYDAJ	VYBER	10800	44494	\N	\N	\N
1486894	5066	1996-09-24	VYDAJ	VYBER	6900	26166	\N	\N	\N
1486895	5066	1997-06-06	VYDAJ	VYBER	12000	69839	\N	\N	\N
1486897	5066	1997-03-09	VYDAJ	VYBER	4200	46647	\N	\N	\N
1486898	5066	1997-03-20	VYDAJ	VYBER	8100	53582	\N	\N	\N
1486900	5066	1997-06-19	VYDAJ	VYBER	13200	24831	\N	\N	\N
1486901	5066	1998-02-06	VYDAJ	VYBER	13200	33218	\N	\N	\N
1486903	5066	1998-04-29	VYDAJ	VYBER	1500	24775	\N	\N	\N
1486923	5066	1996-04-30	VYDAJ	VYBER	30	68429	SLUZBY	\N	\N
1486924	5066	1996-05-31	VYDAJ	VYBER	30	47236	SLUZBY	\N	\N
1486925	5066	1996-06-30	VYDAJ	VYBER	30	36067	SLUZBY	\N	\N
1486926	5066	1996-07-31	VYDAJ	VYBER	30	71225	SLUZBY	\N	\N
1486927	5066	1996-08-31	VYDAJ	VYBER	30	40574	SLUZBY	\N	\N
1486928	5066	1996-09-30	VYDAJ	VYBER	30	26276	SLUZBY	\N	\N
1486929	5066	1996-10-31	VYDAJ	VYBER	30	36601	SLUZBY	\N	\N
1486930	5066	1996-11-30	VYDAJ	VYBER	30	28392	SLUZBY	\N	\N
1486931	5066	1996-12-31	VYDAJ	VYBER	30	28718	SLUZBY	\N	\N
1486932	5066	1997-01-31	VYDAJ	VYBER	30	67221	SLUZBY	\N	\N
1486933	5066	1997-02-28	VYDAJ	VYBER	30	53280	SLUZBY	\N	\N
1486934	5066	1997-03-31	VYDAJ	VYBER	30	76963	SLUZBY	\N	\N
1486935	5066	1997-04-30	VYDAJ	VYBER	30	43978	SLUZBY	\N	\N
1486936	5066	1997-05-31	VYDAJ	VYBER	30	62284	SLUZBY	\N	\N
1486937	5066	1997-06-30	VYDAJ	VYBER	30	24996	SLUZBY	\N	\N
1486938	5066	1997-07-31	VYDAJ	VYBER	30	54761	SLUZBY	\N	\N
1486939	5066	1997-08-31	VYDAJ	VYBER	30	40801	SLUZBY	\N	\N
1486940	5066	1997-09-30	VYDAJ	VYBER	30	25364	SLUZBY	\N	\N
1486941	5066	1997-10-31	VYDAJ	VYBER	30	41726	SLUZBY	\N	\N
1486942	5066	1997-11-30	VYDAJ	VYBER	30	71290	SLUZBY	\N	\N
1486943	5066	1997-12-31	VYDAJ	VYBER	30	49406	SLUZBY	\N	\N
1486944	5066	1998-01-31	VYDAJ	VYBER	30	46418	SLUZBY	\N	\N
1486945	5066	1998-02-28	VYDAJ	VYBER	30	13543	SLUZBY	\N	\N
1486946	5066	1998-03-31	VYDAJ	VYBER	30	19808	SLUZBY	\N	\N
1486947	5066	1998-04-30	VYDAJ	VYBER	30	24929	SLUZBY	\N	\N
1486948	5066	1998-05-31	VYDAJ	VYBER	30	45730	SLUZBY	\N	\N
1486949	5066	1998-06-30	VYDAJ	VYBER	30	33555	SLUZBY	\N	\N
1486950	5066	1998-07-31	VYDAJ	VYBER	30	37670	SLUZBY	\N	\N
1486951	5066	1998-08-31	VYDAJ	VYBER	30	16896	SLUZBY	\N	\N
1486952	5066	1998-09-30	VYDAJ	VYBER	30	7568	SLUZBY	\N	\N
1486953	5066	1998-10-31	VYDAJ	VYBER	30	911	SLUZBY	\N	\N
1486954	5066	1998-11-30	VYDAJ	VYBER	30	-2177	SLUZBY	\N	\N
1486955	5066	1995-09-26	PRIJEM	VKLAD	10700	11100	\N	\N	\N
1486956	5066	1995-10-26	PRIJEM	VKLAD	6900	18000	\N	\N	\N
1486957	5066	1995-11-25	VYDAJ	VYBER	21000	44337	\N	\N	\N
1486958	5066	1995-12-25	VYDAJ	VYBER	31400	57857	\N	\N	\N
1486959	5066	1996-01-24	VYDAJ	VYBER	13800	44254	\N	\N	\N
1486960	5066	1996-02-23	VYDAJ	VYBER	24600	56674	\N	\N	\N
1486961	5066	1996-03-24	VYDAJ	VYBER	10500	46447	\N	\N	\N
1486962	5066	1996-04-23	VYDAJ	VYBER	33900	68128	\N	\N	\N
1486963	5066	1996-05-23	VYDAJ	VYBER	12200	47021	\N	\N	\N
1486964	5066	1996-06-22	VYDAJ	VYBER	300	35928	\N	\N	\N
1486965	5066	1996-07-22	PRIJEM	VKLAD	6200	33059	\N	\N	\N
1486966	5066	1996-08-21	VYDAJ	VYBER	300	40381	\N	\N	\N
1486967	5066	1996-09-20	PRIJEM	VKLAD	1700	33066	\N	\N	\N
1486968	5066	1996-10-20	PRIJEM	VKLAD	9000	26068	\N	\N	\N
1486969	5066	1996-11-19	PRIJEM	VKLAD	900	28293	\N	\N	\N
1486970	5066	1996-12-19	VYDAJ	VYBER	4300	28620	\N	\N	\N
1486971	5066	1997-01-18	VYDAJ	VYBER	12500	34200	\N	\N	\N
1486972	5066	1997-02-13	VYDAJ	VYBER	34900	77058	\N	\N	\N
1486973	5066	1997-02-17	VYDAJ	VYBER	29100	53050	\N	\N	\N
1486974	5066	1997-03-19	VYDAJ	VYBER	43600	61682	\N	\N	\N
1486975	5066	1997-04-18	VYDAJ	VYBER	24000	43756	\N	\N	\N
1486976	5066	1997-05-18	VYDAJ	VYBER	100	16224	\N	\N	\N
1486977	5066	1997-06-17	VYDAJ	VYBER	22600	38031	\N	\N	\N
1486978	5066	1997-07-17	VYDAJ	VYBER	23600	37333	\N	\N	\N
1486979	5066	1997-08-16	VYDAJ	VYBER	24900	40614	\N	\N	\N
1486980	5066	1997-09-15	VYDAJ	VYBER	13100	18493	\N	\N	\N
1486981	5066	1997-10-15	VYDAJ	VYBER	23700	41559	\N	\N	\N
1486982	5066	1997-11-14	VYDAJ	VYBER	20500	26019	\N	\N	\N
1486983	5066	1997-12-14	VYDAJ	VYBER	22900	43388	\N	\N	\N
1486984	5066	1998-01-13	VYDAJ	VYBER	15600	28804	\N	\N	\N
1486985	5066	1998-02-12	VYDAJ	VYBER	9500	17685	\N	\N	\N
1486986	5066	1998-03-14	VYDAJ	VYBER	10100	22416	\N	\N	\N
1486988	5066	1998-04-13	VYDAJ	VYBER	53400	30481	\N	\N	\N
1486989	5066	1998-04-13	VYDAJ	VYBER	29400	83881	\N	\N	\N
1486990	5066	1998-06-12	VYDAJ	VYBER	5000	19814	\N	\N	\N
1486991	5066	1998-07-12	VYDAJ	VYBER	11100	17522	\N	\N	\N
1486992	5066	1998-08-11	VYDAJ	VYBER	11900	21037	\N	\N	\N
1486993	5066	1998-12-09	VYDAJ	VYBER	4400	15572	\N	\N	\N
1488269	5072	1996-04-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1488273	5072	1996-04-14	PRIJEM	VKLAD	23959	25059	\N	\N	\N
1488274	5072	1996-05-14	PRIJEM	VKLAD	23959	49077	\N	\N	\N
1488275	5072	1996-06-14	PRIJEM	VKLAD	35938	76120	\N	\N	\N
1488276	5072	1996-07-14	PRIJEM	VKLAD	23959	78804	\N	\N	\N
1488277	5072	1996-08-14	PRIJEM	VKLAD	23959	82886	\N	\N	\N
1488278	5072	1996-09-14	PRIJEM	VKLAD	23959	75966	\N	\N	\N
1488279	5072	1996-10-14	PRIJEM	VKLAD	23959	70398	\N	\N	\N
1488280	5072	1996-11-14	PRIJEM	VKLAD	23959	65892	\N	\N	\N
1488281	5072	1996-12-14	PRIJEM	VKLAD	35938	76662	\N	\N	\N
1488282	5072	1997-01-14	PRIJEM	VKLAD	23959	72636	\N	\N	\N
1488283	5072	1997-02-14	PRIJEM	VKLAD	23959	54678	\N	\N	\N
1488284	5072	1997-03-14	PRIJEM	VKLAD	23959	55616	\N	\N	\N
1488285	5072	1997-04-14	PRIJEM	VKLAD	23959	57475	\N	\N	\N
1488286	5072	1997-05-14	PRIJEM	VKLAD	23959	55326	\N	\N	\N
1488287	5072	1997-06-14	PRIJEM	VKLAD	35938	67362	\N	\N	\N
1488288	5072	1997-07-14	PRIJEM	VKLAD	23959	39548	\N	\N	\N
1488289	5072	1997-08-14	PRIJEM	VKLAD	23959	43886	\N	\N	\N
1488290	5072	1997-09-14	PRIJEM	VKLAD	23959	50779	\N	\N	\N
1488291	5072	1997-10-14	PRIJEM	VKLAD	23959	54198	\N	\N	\N
1488292	5072	1997-11-14	PRIJEM	VKLAD	23959	51149	\N	\N	\N
1488293	5072	1997-12-14	PRIJEM	VKLAD	35938	61757	\N	\N	\N
1488294	5072	1998-01-14	PRIJEM	VKLAD	23959	51209	\N	\N	\N
1488295	5072	1998-02-14	PRIJEM	VKLAD	23959	48982	\N	\N	\N
1488296	5072	1998-03-14	PRIJEM	VKLAD	23959	50295	\N	\N	\N
1488297	5072	1998-04-14	PRIJEM	VKLAD	23959	54399	\N	\N	\N
1488298	5072	1998-05-14	PRIJEM	VKLAD	23959	60345	\N	\N	\N
1488299	5072	1998-06-14	PRIJEM	VKLAD	35938	77498	\N	\N	\N
1488300	5072	1998-07-14	PRIJEM	VKLAD	23959	61028	\N	\N	\N
1488301	5072	1998-08-14	PRIJEM	VKLAD	23959	65589	\N	\N	\N
1488302	5072	1998-09-14	PRIJEM	VKLAD	23959	68066	\N	\N	\N
1488303	5072	1998-10-14	PRIJEM	VKLAD	23959	74891	\N	\N	\N
1488304	5072	1998-11-14	PRIJEM	VKLAD	23959	78419	\N	\N	\N
1488305	5072	1998-12-14	PRIJEM	VKLAD	35938	83424	\N	\N	\N
1488314	5072	1996-09-13	VYDAJ	PREVOD NA UCET	1863	52007	SIPO	CD	10877579
1488315	5072	1996-10-13	VYDAJ	PREVOD NA UCET	1863	46439	SIPO	CD	10877579
1488316	5072	1996-11-13	VYDAJ	PREVOD NA UCET	1863	41933	SIPO	CD	10877579
1488317	5072	1996-12-13	VYDAJ	PREVOD NA UCET	1863	40724	SIPO	CD	10877579
1488318	5072	1997-01-13	VYDAJ	PREVOD NA UCET	1863	48677	SIPO	CD	10877579
1488319	5072	1997-02-13	VYDAJ	PREVOD NA UCET	1863	30719	SIPO	CD	10877579
1488320	5072	1997-03-13	VYDAJ	PREVOD NA UCET	1863	31657	SIPO	CD	10877579
1488321	5072	1997-04-13	VYDAJ	PREVOD NA UCET	1863	33516	SIPO	CD	10877579
1488322	5072	1997-05-13	VYDAJ	PREVOD NA UCET	1863	31367	SIPO	CD	10877579
1488323	5072	1997-06-13	VYDAJ	PREVOD NA UCET	1863	31424	SIPO	CD	10877579
1488324	5072	1997-07-13	VYDAJ	PREVOD NA UCET	1863	15589	SIPO	CD	10877579
1488325	5072	1997-08-13	VYDAJ	PREVOD NA UCET	1863	19927	SIPO	CD	10877579
1488326	5072	1997-09-13	VYDAJ	PREVOD NA UCET	1863	26820	SIPO	CD	10877579
1488327	5072	1997-10-13	VYDAJ	PREVOD NA UCET	1863	30239	SIPO	CD	10877579
1488328	5072	1997-11-13	VYDAJ	PREVOD NA UCET	1863	27190	SIPO	CD	10877579
1488329	5072	1997-12-13	VYDAJ	PREVOD NA UCET	1863	25819	SIPO	CD	10877579
1488330	5072	1998-01-13	VYDAJ	PREVOD NA UCET	1863	27250	SIPO	CD	10877579
1488331	5072	1998-02-13	VYDAJ	PREVOD NA UCET	1863	25023	SIPO	CD	10877579
1488332	5072	1998-03-13	VYDAJ	PREVOD NA UCET	1863	26336	SIPO	CD	10877579
1488333	5072	1998-04-13	VYDAJ	PREVOD NA UCET	1863	30440	SIPO	CD	10877579
1488334	5072	1998-05-13	VYDAJ	PREVOD NA UCET	1863	36386	SIPO	CD	10877579
1488335	5072	1998-06-13	VYDAJ	PREVOD NA UCET	1863	41560	SIPO	CD	10877579
1488336	5072	1998-07-13	VYDAJ	PREVOD NA UCET	1863	37069	SIPO	CD	10877579
1488337	5072	1998-08-13	VYDAJ	PREVOD NA UCET	1863	41630	SIPO	CD	10877579
1488338	5072	1998-09-13	VYDAJ	PREVOD NA UCET	1863	44107	SIPO	CD	10877579
1488339	5072	1998-10-13	VYDAJ	PREVOD NA UCET	1863	50932	SIPO	CD	10877579
1488340	5072	1998-11-13	VYDAJ	PREVOD NA UCET	1863	54460	SIPO	CD	10877579
1488341	5072	1998-12-13	VYDAJ	PREVOD NA UCET	1863	47486	SIPO	CD	10877579
1488349	5072	1996-08-14	VYDAJ	PREVOD NA UCET	5869	77017	 	EF	85992329
1488350	5072	1996-09-14	VYDAJ	PREVOD NA UCET	5869	70097	 	EF	85992329
1488351	5072	1996-10-14	VYDAJ	PREVOD NA UCET	5869	64529	 	EF	85992329
1488352	5072	1996-11-14	VYDAJ	PREVOD NA UCET	5869	60023	 	EF	85992329
1488353	5072	1996-12-14	VYDAJ	PREVOD NA UCET	5869	70793	 	EF	85992329
1488354	5072	1997-01-14	VYDAJ	PREVOD NA UCET	5869	63407	 	EF	85992329
1488355	5072	1997-02-14	VYDAJ	PREVOD NA UCET	5869	48809	 	EF	85992329
1488356	5072	1997-03-14	VYDAJ	PREVOD NA UCET	5869	49747	 	EF	85992329
1488357	5072	1997-04-14	VYDAJ	PREVOD NA UCET	5869	51606	 	EF	85992329
1488358	5072	1997-05-14	VYDAJ	PREVOD NA UCET	5869	49457	 	EF	85992329
1488359	5072	1997-06-14	VYDAJ	PREVOD NA UCET	5869	61493	 	EF	85992329
1488360	5072	1997-07-14	VYDAJ	PREVOD NA UCET	5869	33679	 	EF	85992329
1488361	5072	1997-08-14	VYDAJ	PREVOD NA UCET	5869	38017	 	EF	85992329
1488362	5072	1997-09-14	VYDAJ	PREVOD NA UCET	5869	44910	 	EF	85992329
1488363	5072	1997-10-14	VYDAJ	PREVOD NA UCET	5869	48329	 	EF	85992329
1488364	5072	1997-11-14	VYDAJ	PREVOD NA UCET	5869	45280	 	EF	85992329
1488365	5072	1997-12-14	VYDAJ	PREVOD NA UCET	5869	55888	 	EF	85992329
1488366	5072	1998-01-14	VYDAJ	PREVOD NA UCET	5869	45340	 	EF	85992329
1488367	5072	1998-02-14	VYDAJ	PREVOD NA UCET	5869	43113	 	EF	85992329
1488368	5072	1998-03-14	VYDAJ	PREVOD NA UCET	5869	44426	 	EF	85992329
1488369	5072	1998-04-14	VYDAJ	PREVOD NA UCET	5869	48530	 	EF	85992329
1488370	5072	1998-05-14	VYDAJ	PREVOD NA UCET	5869	54476	 	EF	85992329
1488371	5072	1998-06-14	VYDAJ	PREVOD NA UCET	5869	71629	 	EF	85992329
1488372	5072	1998-07-14	VYDAJ	PREVOD NA UCET	5869	55159	 	EF	85992329
1488373	5072	1998-08-14	VYDAJ	PREVOD NA UCET	5869	59720	 	EF	85992329
1488374	5072	1998-09-14	VYDAJ	PREVOD NA UCET	5869	62197	 	EF	85992329
1488375	5072	1998-10-14	VYDAJ	PREVOD NA UCET	5869	69022	 	EF	85992329
1488376	5072	1998-11-14	VYDAJ	PREVOD NA UCET	5869	72550	 	EF	85992329
1488377	5072	1998-12-14	VYDAJ	PREVOD NA UCET	5869	77555	 	EF	85992329
1488386	5072	1996-09-08	VYDAJ	PREVOD NA UCET	1065	76275	POJISTNE	OP	62572306
1488387	5072	1996-10-08	VYDAJ	PREVOD NA UCET	1065	65207	POJISTNE	OP	62572306
1488388	5072	1996-11-08	VYDAJ	PREVOD NA UCET	1065	44601	POJISTNE	OP	62572306
1488389	5072	1996-12-08	VYDAJ	PREVOD NA UCET	1065	49792	POJISTNE	OP	62572306
1488390	5072	1997-01-08	VYDAJ	PREVOD NA UCET	1065	51345	POJISTNE	OP	62572306
1488391	5072	1997-02-08	VYDAJ	PREVOD NA UCET	1065	38679	POJISTNE	OP	62572306
1488392	5072	1997-03-08	VYDAJ	PREVOD NA UCET	1065	47917	POJISTNE	OP	62572306
1488393	5072	1997-04-08	VYDAJ	PREVOD NA UCET	1065	41476	POJISTNE	OP	62572306
1488394	5072	1997-05-08	VYDAJ	PREVOD NA UCET	1065	39327	POJISTNE	OP	62572306
1488395	5072	1997-06-08	VYDAJ	PREVOD NA UCET	1065	39384	POJISTNE	OP	62572306
1488396	5072	1997-07-08	VYDAJ	PREVOD NA UCET	1065	23549	POJISTNE	OP	62572306
1488397	5072	1997-08-08	VYDAJ	PREVOD NA UCET	1065	27887	POJISTNE	OP	62572306
1488398	5072	1997-09-08	VYDAJ	PREVOD NA UCET	1065	34780	POJISTNE	OP	62572306
1488399	5072	1997-10-08	VYDAJ	PREVOD NA UCET	1065	38199	POJISTNE	OP	62572306
1488400	5072	1997-11-08	VYDAJ	PREVOD NA UCET	1065	35150	POJISTNE	OP	62572306
1488401	5072	1997-12-08	VYDAJ	PREVOD NA UCET	1065	33779	POJISTNE	OP	62572306
1488402	5072	1998-01-08	VYDAJ	PREVOD NA UCET	1065	35930	POJISTNE	OP	62572306
1488403	5072	1998-02-08	VYDAJ	PREVOD NA UCET	1065	32983	POJISTNE	OP	62572306
1488404	5072	1998-03-08	VYDAJ	PREVOD NA UCET	1065	37296	POJISTNE	OP	62572306
1488405	5072	1998-04-08	VYDAJ	PREVOD NA UCET	1065	38400	POJISTNE	OP	62572306
1488406	5072	1998-05-08	VYDAJ	PREVOD NA UCET	1065	44346	POJISTNE	OP	62572306
1488407	5072	1998-06-08	VYDAJ	PREVOD NA UCET	1065	49520	POJISTNE	OP	62572306
1488408	5072	1998-07-08	VYDAJ	PREVOD NA UCET	1065	45029	POJISTNE	OP	62572306
1488409	5072	1998-08-08	VYDAJ	PREVOD NA UCET	1065	49590	POJISTNE	OP	62572306
1488410	5072	1998-09-08	VYDAJ	PREVOD NA UCET	1065	52067	POJISTNE	OP	62572306
1488411	5072	1998-10-08	VYDAJ	PREVOD NA UCET	1065	58892	POJISTNE	OP	62572306
1488412	5072	1998-11-08	VYDAJ	PREVOD NA UCET	1065	62420	POJISTNE	OP	62572306
1488413	5072	1998-12-08	VYDAJ	PREVOD NA UCET	1065	55446	POJISTNE	OP	62572306
1488422	5072	1996-09-09	VYDAJ	PREVOD NA UCET	805	75470	 	OP	5224442
1488423	5072	1996-10-09	VYDAJ	PREVOD NA UCET	805	48302	 	OP	5224442
1488424	5072	1996-11-09	VYDAJ	PREVOD NA UCET	805	43796	 	OP	5224442
1488425	5072	1996-12-09	VYDAJ	PREVOD NA UCET	805	42587	 	OP	5224442
1488426	5072	1997-01-09	VYDAJ	PREVOD NA UCET	805	50540	 	OP	5224442
1488427	5072	1997-02-09	VYDAJ	PREVOD NA UCET	805	37874	 	OP	5224442
1488428	5072	1997-03-09	VYDAJ	PREVOD NA UCET	805	38812	 	OP	5224442
1488429	5072	1997-04-09	VYDAJ	PREVOD NA UCET	805	40671	 	OP	5224442
1488430	5072	1997-05-09	VYDAJ	PREVOD NA UCET	805	38522	 	OP	5224442
1488431	5072	1997-06-09	VYDAJ	PREVOD NA UCET	805	38579	 	OP	5224442
1488432	5072	1997-07-09	VYDAJ	PREVOD NA UCET	805	22744	 	OP	5224442
1488433	5072	1997-08-09	VYDAJ	PREVOD NA UCET	805	27082	 	OP	5224442
1488434	5072	1997-09-09	VYDAJ	PREVOD NA UCET	805	33975	 	OP	5224442
1488435	5072	1997-10-09	VYDAJ	PREVOD NA UCET	805	37394	 	OP	5224442
1488436	5072	1997-11-09	VYDAJ	PREVOD NA UCET	805	34345	 	OP	5224442
1488437	5072	1997-12-09	VYDAJ	PREVOD NA UCET	805	32974	 	OP	5224442
1488438	5072	1998-01-09	VYDAJ	PREVOD NA UCET	805	35125	 	OP	5224442
1488439	5072	1998-02-09	VYDAJ	PREVOD NA UCET	805	32178	 	OP	5224442
1488440	5072	1998-03-09	VYDAJ	PREVOD NA UCET	805	36491	 	OP	5224442
1488441	5072	1998-04-09	VYDAJ	PREVOD NA UCET	805	37595	 	OP	5224442
1488442	5072	1998-05-09	VYDAJ	PREVOD NA UCET	805	43541	 	OP	5224442
1488443	5072	1998-06-09	VYDAJ	PREVOD NA UCET	805	48715	 	OP	5224442
1488444	5072	1998-07-09	VYDAJ	PREVOD NA UCET	805	44224	 	OP	5224442
1488445	5072	1998-08-09	VYDAJ	PREVOD NA UCET	805	48785	 	OP	5224442
1488446	5072	1998-09-09	VYDAJ	PREVOD NA UCET	805	51262	 	OP	5224442
1488447	5072	1998-10-09	VYDAJ	PREVOD NA UCET	805	58087	 	OP	5224442
1488448	5072	1998-11-09	VYDAJ	PREVOD NA UCET	805	61615	 	OP	5224442
1488449	5072	1998-12-09	VYDAJ	PREVOD NA UCET	805	54641	 	OP	5224442
1488458	5072	1996-09-22	VYDAJ	VYBER	4100	65997	\N	\N	0
1488459	5072	1996-10-19	VYDAJ	VYBER	5000	59529	\N	\N	0
1488460	5072	1996-11-19	VYDAJ	VYBER	4500	55523	\N	\N	0
1488461	5072	1996-12-27	VYDAJ	VYBER	6000	64793	\N	\N	0
1488462	5072	1997-01-19	VYDAJ	VYBER	6800	56607	\N	\N	0
1488463	5072	1997-02-12	VYDAJ	PREVOD NA UCET	5292	32582	UVER	IJ	38607579
1488464	5072	1997-03-12	VYDAJ	PREVOD NA UCET	5292	33520	UVER	IJ	38607579
1488465	5072	1997-04-12	VYDAJ	PREVOD NA UCET	5292	35379	UVER	IJ	38607579
1488466	5072	1997-05-12	VYDAJ	PREVOD NA UCET	5292	33230	UVER	IJ	38607579
1488467	5072	1997-06-12	VYDAJ	PREVOD NA UCET	5292	33287	UVER	IJ	38607579
1488468	5072	1997-07-12	VYDAJ	PREVOD NA UCET	5292	17452	UVER	IJ	38607579
1488469	5072	1997-08-12	VYDAJ	PREVOD NA UCET	5292	21790	UVER	IJ	38607579
1488470	5072	1997-09-12	VYDAJ	PREVOD NA UCET	5292	28683	UVER	IJ	38607579
1488471	5072	1997-10-12	VYDAJ	PREVOD NA UCET	5292	32102	UVER	IJ	38607579
1488472	5072	1997-11-12	VYDAJ	PREVOD NA UCET	5292	29053	UVER	IJ	38607579
1488473	5072	1997-12-12	VYDAJ	PREVOD NA UCET	5292	27682	UVER	IJ	38607579
1488474	5072	1998-01-12	VYDAJ	PREVOD NA UCET	5292	29113	UVER	IJ	38607579
1488475	5072	1998-02-12	VYDAJ	PREVOD NA UCET	5292	26886	UVER	IJ	38607579
1488476	5072	1998-03-12	VYDAJ	PREVOD NA UCET	5292	28199	UVER	IJ	38607579
1488477	5072	1998-04-12	VYDAJ	PREVOD NA UCET	5292	32303	UVER	IJ	38607579
1488478	5072	1998-05-12	VYDAJ	PREVOD NA UCET	5292	38249	UVER	IJ	38607579
1488479	5072	1998-06-12	VYDAJ	PREVOD NA UCET	5292	43423	UVER	IJ	38607579
1488480	5072	1998-07-12	VYDAJ	PREVOD NA UCET	5292	38932	UVER	IJ	38607579
1488481	5072	1998-08-12	VYDAJ	PREVOD NA UCET	5292	43493	UVER	IJ	38607579
1488482	5072	1998-09-12	VYDAJ	PREVOD NA UCET	5292	45970	UVER	IJ	38607579
1488483	5072	1998-10-12	VYDAJ	PREVOD NA UCET	5292	52795	UVER	IJ	38607579
1488484	5072	1998-11-12	VYDAJ	PREVOD NA UCET	5292	56323	UVER	IJ	38607579
1488485	5072	1998-12-12	VYDAJ	PREVOD NA UCET	5292	49349	UVER	IJ	38607579
1488487	5072	1997-06-17	VYDAJ	VYBER	44800	16693	\N	\N	\N
1488488	5072	1998-06-25	VYDAJ	VYBER	24160	47469	\N	\N	\N
1488490	5072	1997-01-26	VYDAJ	VYBER	3520	46127	\N	\N	\N
1488491	5072	1998-01-02	VYDAJ	VYBER	3360	39155	\N	\N	\N
1488492	5072	1996-12-03	VYDAJ	VYBER	2720	53017	\N	\N	\N
1488493	5072	1997-12-07	VYDAJ	VYBER	4000	34844	\N	\N	\N
1488494	5072	1998-12-19	VYDAJ	VYBER	3680	73875	\N	\N	\N
1488501	5072	1997-01-14	VYDAJ	VYBER	3360	69276	\N	\N	\N
1488502	5072	1997-01-25	VYDAJ	VYBER	2520	49647	\N	\N	\N
1488503	5072	1997-01-27	VYDAJ	VYBER	1200	44927	\N	\N	\N
1488504	5072	1997-01-22	VYDAJ	VYBER	840	55767	\N	\N	\N
1488505	5072	1997-01-25	VYDAJ	VYBER	840	52167	\N	\N	\N
1488506	5072	1997-01-23	VYDAJ	VYBER	2760	53007	\N	\N	\N
1488507	5072	1998-01-19	VYDAJ	VYBER	1920	41260	\N	\N	\N
1488508	5072	1998-01-17	VYDAJ	VYBER	960	43180	\N	\N	\N
1488509	5072	1998-01-04	VYDAJ	VYBER	2160	36995	\N	\N	\N
1488510	5072	1998-01-17	VYDAJ	VYBER	1200	44140	\N	\N	\N
1488511	5072	1998-01-10	VYDAJ	VYBER	720	34405	\N	\N	\N
1488512	5072	1998-01-24	VYDAJ	VYBER	2760	38500	\N	\N	\N
1488514	5072	1996-12-06	VYDAJ	VYBER	2160	50857	\N	\N	\N
1488515	5072	1996-12-27	VYDAJ	VYBER	720	64073	\N	\N	\N
1488516	5072	1997-05-07	VYDAJ	VYBER	3360	43992	\N	\N	\N
1488517	5072	1997-11-07	VYDAJ	VYBER	3600	36215	\N	\N	\N
1488518	5072	1997-04-20	VYDAJ	VYBER	4440	47166	\N	\N	\N
1488519	5072	1997-08-07	VYDAJ	VYBER	3240	28952	\N	\N	\N
1488520	5072	1998-12-29	VYDAJ	VYBER	3000	54575	\N	\N	\N
1488521	5072	1998-12-04	VYDAJ	VYBER	3600	56511	\N	\N	\N
1488522	5072	1998-03-10	VYDAJ	VYBER	3000	33491	\N	\N	\N
1488523	5072	1998-04-01	VYDAJ	VYBER	4320	40265	\N	\N	\N
1488524	5072	1998-01-01	VYDAJ	VYBER	4560	51515	\N	\N	\N
1488525	5072	1998-09-15	VYDAJ	VYBER	1560	60637	\N	\N	\N
1488534	5072	1996-08-31	VYDAJ	VYBER	15	77340	SLUZBY	\N	\N
1488535	5072	1996-09-30	VYDAJ	VYBER	15	66272	SLUZBY	\N	\N
1488536	5072	1996-10-31	VYDAJ	VYBER	15	59766	SLUZBY	\N	\N
1488537	5072	1996-11-30	VYDAJ	VYBER	15	55737	SLUZBY	\N	\N
1488538	5072	1996-12-31	VYDAJ	VYBER	15	64310	SLUZBY	\N	\N
1488539	5072	1997-01-31	VYDAJ	VYBER	15	45144	SLUZBY	\N	\N
1488540	5072	1997-02-28	VYDAJ	VYBER	15	48982	SLUZBY	\N	\N
1488541	5072	1997-03-31	VYDAJ	VYBER	15	49941	SLUZBY	\N	\N
1488542	5072	1997-04-30	VYDAJ	VYBER	15	47352	SLUZBY	\N	\N
1488543	5072	1997-05-31	VYDAJ	VYBER	15	49649	SLUZBY	\N	\N
1488544	5072	1997-06-30	VYDAJ	VYBER	15	16814	SLUZBY	\N	\N
1488545	5072	1997-07-31	VYDAJ	VYBER	15	33792	SLUZBY	\N	\N
1488546	5072	1997-08-31	VYDAJ	VYBER	15	38145	SLUZBY	\N	\N
1488547	5072	1997-09-30	VYDAJ	VYBER	15	45064	SLUZBY	\N	\N
1488548	5072	1997-10-31	VYDAJ	VYBER	15	48515	SLUZBY	\N	\N
1488549	5072	1997-11-30	VYDAJ	VYBER	15	45444	SLUZBY	\N	\N
1488550	5072	1997-12-31	VYDAJ	VYBER	15	56075	SLUZBY	\N	\N
1488551	5072	1998-01-31	VYDAJ	VYBER	15	38648	SLUZBY	\N	\N
1488552	5072	1998-02-28	VYDAJ	VYBER	15	43261	SLUZBY	\N	\N
1488553	5072	1998-03-31	VYDAJ	VYBER	15	44585	SLUZBY	\N	\N
1488554	5072	1998-04-30	VYDAJ	VYBER	15	48711	SLUZBY	\N	\N
1488555	5072	1998-05-31	VYDAJ	VYBER	15	54685	SLUZBY	\N	\N
1488556	5072	1998-06-30	VYDAJ	VYBER	15	47694	SLUZBY	\N	\N
1488557	5072	1998-07-31	VYDAJ	VYBER	15	55355	SLUZBY	\N	\N
1488558	5072	1998-08-31	VYDAJ	VYBER	15	53132	SLUZBY	\N	\N
1488559	5072	1998-09-30	VYDAJ	VYBER	15	59957	SLUZBY	\N	\N
1488560	5072	1998-10-31	VYDAJ	VYBER	15	63485	SLUZBY	\N	\N
1488561	5072	1998-11-30	VYDAJ	VYBER	15	60111	SLUZBY	\N	\N
1488562	5072	1996-06-11	VYDAJ	VYBER	9000	40182	\N	\N	\N
1488563	5072	1996-07-11	VYDAJ	VYBER	21500	54845	\N	\N	\N
1488564	5072	1996-08-10	VYDAJ	VYBER	20200	58927	\N	\N	\N
1488565	5072	1996-09-09	VYDAJ	VYBER	21600	53870	\N	\N	\N
1488566	5072	1996-10-09	VYDAJ	VYBER	16100	49107	\N	\N	\N
1488567	5072	1996-11-08	VYDAJ	VYBER	14100	45666	\N	\N	\N
1488568	5072	1996-12-08	VYDAJ	VYBER	6400	43392	\N	\N	\N
1488569	5072	1997-01-07	VYDAJ	VYBER	11900	52410	\N	\N	\N
1488570	5072	1997-02-06	VYDAJ	VYBER	5400	39744	\N	\N	\N
1488571	5072	1997-03-08	VYDAJ	VYBER	8300	39617	\N	\N	\N
1488572	5072	1997-04-07	VYDAJ	VYBER	7400	42541	\N	\N	\N
1488573	5072	1997-05-07	VYDAJ	VYBER	3600	40392	\N	\N	\N
1488574	5072	1997-06-06	VYDAJ	VYBER	9200	40449	\N	\N	\N
1488575	5072	1997-07-06	PRIJEM	VKLAD	7800	24614	\N	\N	\N
1488576	5072	1997-08-05	VYDAJ	VYBER	1600	32192	\N	\N	\N
1488577	5072	1997-09-04	VYDAJ	VYBER	2300	35845	\N	\N	\N
1488578	5072	1997-10-04	VYDAJ	VYBER	5800	39264	\N	\N	\N
1488579	5072	1997-11-03	VYDAJ	VYBER	8700	39815	\N	\N	\N
1488580	5072	1997-12-03	VYDAJ	VYBER	6600	38844	\N	\N	\N
1488581	5072	1998-01-02	VYDAJ	VYBER	9000	42515	\N	\N	\N
1488582	5072	1998-02-01	VYDAJ	VYBER	4600	34048	\N	\N	\N
1488583	5072	1998-03-03	VYDAJ	VYBER	4900	38361	\N	\N	\N
1488584	5072	1998-04-02	VYDAJ	VYBER	800	39465	\N	\N	\N
1488585	5072	1998-05-02	VYDAJ	VYBER	3300	45411	\N	\N	\N
1488586	5072	1998-06-01	VYDAJ	VYBER	4100	50585	\N	\N	\N
1488587	5072	1998-07-01	VYDAJ	VYBER	1600	46094	\N	\N	\N
1488588	5072	1998-07-31	VYDAJ	VYBER	4700	50655	\N	\N	\N
1488589	5072	1998-08-30	VYDAJ	VYBER	6800	52920	\N	\N	\N
1488590	5072	1998-09-29	VYDAJ	VYBER	900	59737	\N	\N	\N
1488591	5072	1998-10-29	VYDAJ	VYBER	5800	63222	\N	\N	\N
1488592	5072	1998-11-28	VYDAJ	VYBER	12700	59850	\N	\N	\N
1488593	5072	1998-12-28	VYDAJ	VYBER	16300	57575	\N	\N	\N
1493166	5092	1993-12-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1493179	5092	1994-01-09	PRIJEM	PREVOD Z UCTU	3342	4442	\N	AB	10903460
1493180	5092	1994-02-09	PRIJEM	PREVOD Z UCTU	3342	16004	\N	AB	10903460
1493181	5092	1994-03-09	PRIJEM	PREVOD Z UCTU	3342	25213	\N	AB	10903460
1493182	5092	1994-04-09	PRIJEM	PREVOD Z UCTU	3342	25746	\N	AB	10903460
1493183	5092	1994-05-09	PRIJEM	PREVOD Z UCTU	3342	27184	\N	AB	10903460
1493184	5092	1994-06-09	PRIJEM	PREVOD Z UCTU	3342	29418	\N	AB	10903460
1493185	5092	1994-07-09	PRIJEM	PREVOD Z UCTU	3342	25635	\N	AB	10903460
1493186	5092	1994-08-09	PRIJEM	PREVOD Z UCTU	3342	26463	\N	AB	10903460
1493187	5092	1994-09-09	PRIJEM	PREVOD Z UCTU	3342	29696	\N	AB	10903460
1493188	5092	1994-10-09	PRIJEM	PREVOD Z UCTU	3342	28939	\N	AB	10903460
1493189	5092	1994-11-09	PRIJEM	PREVOD Z UCTU	3342	31403	\N	AB	10903460
1493190	5092	1994-12-09	PRIJEM	PREVOD Z UCTU	3342	30149	\N	AB	10903460
1493191	5092	1995-01-09	PRIJEM	PREVOD Z UCTU	3342	25416	\N	AB	10903460
1493192	5092	1995-02-09	PRIJEM	PREVOD Z UCTU	3342	27321	\N	AB	10903460
1493193	5092	1995-03-09	PRIJEM	PREVOD Z UCTU	3342	28349	\N	AB	10903460
1493194	5092	1995-04-09	PRIJEM	PREVOD Z UCTU	3342	30694	\N	AB	10903460
1493195	5092	1995-05-09	PRIJEM	PREVOD Z UCTU	3342	33145	\N	AB	10903460
1493196	5092	1995-06-09	PRIJEM	PREVOD Z UCTU	3342	34411	\N	AB	10903460
1493197	5092	1995-07-09	PRIJEM	PREVOD Z UCTU	3342	28701	\N	AB	10903460
1493198	5092	1995-08-09	PRIJEM	PREVOD Z UCTU	3342	28444	\N	AB	10903460
1493199	5092	1995-09-09	PRIJEM	PREVOD Z UCTU	3342	29783	\N	AB	10903460
1493200	5092	1995-10-09	PRIJEM	PREVOD Z UCTU	3342	28638	\N	AB	10903460
1493201	5092	1995-11-09	PRIJEM	PREVOD Z UCTU	3342	28617	\N	AB	10903460
1493202	5092	1995-12-09	PRIJEM	PREVOD Z UCTU	3342	29762	\N	AB	10903460
1493203	5092	1996-01-09	PRIJEM	PREVOD Z UCTU	3342	27091	\N	AB	10903460
1493204	5092	1996-02-09	PRIJEM	PREVOD Z UCTU	3342	25364	\N	AB	10903460
1493205	5092	1996-03-09	PRIJEM	PREVOD Z UCTU	3342	24409	\N	AB	10903460
1493206	5092	1996-04-09	PRIJEM	PREVOD Z UCTU	3342	29139	\N	AB	10903460
1493207	5092	1996-05-09	PRIJEM	PREVOD Z UCTU	3342	29173	\N	AB	10903460
1493208	5092	1996-06-09	PRIJEM	PREVOD Z UCTU	3342	23500	\N	AB	10903460
1493209	5092	1996-07-09	PRIJEM	PREVOD Z UCTU	3342	15357	\N	AB	10903460
1493210	5092	1996-08-09	PRIJEM	PREVOD Z UCTU	3342	18045	\N	AB	10903460
1493211	5092	1996-09-09	PRIJEM	PREVOD Z UCTU	3342	13344	\N	AB	10903460
1493212	5092	1996-10-09	PRIJEM	PREVOD Z UCTU	3342	14624	\N	AB	10903460
1493213	5092	1996-11-09	PRIJEM	PREVOD Z UCTU	3342	10304	\N	AB	10903460
1493214	5092	1996-12-09	PRIJEM	PREVOD Z UCTU	3342	7621	\N	AB	10903460
1493215	5092	1997-01-09	PRIJEM	PREVOD Z UCTU	3342	7565	\N	AB	10903460
1493216	5092	1997-02-09	PRIJEM	PREVOD Z UCTU	3342	6096	\N	AB	10903460
1493217	5092	1997-03-09	PRIJEM	PREVOD Z UCTU	3342	6644	\N	AB	10903460
1493218	5092	1997-04-09	PRIJEM	PREVOD Z UCTU	3342	10294	\N	AB	10903460
1493219	5092	1997-05-09	PRIJEM	PREVOD Z UCTU	3342	6352	\N	AB	10903460
1493220	5092	1997-06-09	PRIJEM	PREVOD Z UCTU	3342	6802	\N	AB	10903460
1493221	5092	1997-07-09	PRIJEM	PREVOD Z UCTU	3342	3650	\N	AB	10903460
1493222	5092	1997-08-09	PRIJEM	PREVOD Z UCTU	3342	-311	\N	AB	10903460
1493223	5092	1997-09-09	PRIJEM	PREVOD Z UCTU	3342	-75	\N	AB	10903460
1493224	5092	1997-10-09	PRIJEM	PREVOD Z UCTU	3342	-5044	\N	AB	10903460
1493225	5092	1997-11-09	PRIJEM	PREVOD Z UCTU	3342	-6351	\N	AB	10903460
1493226	5092	1997-12-09	PRIJEM	PREVOD Z UCTU	3342	-10919	\N	AB	10903460
1493227	5092	1998-01-09	PRIJEM	PREVOD Z UCTU	3342	-11331	\N	AB	10903460
1493228	5092	1998-02-09	PRIJEM	PREVOD Z UCTU	3342	-11347	\N	AB	10903460
1493229	5092	1998-03-09	PRIJEM	PREVOD Z UCTU	3342	-14364	\N	AB	10903460
1493230	5092	1998-04-09	PRIJEM	PREVOD Z UCTU	3342	-16512	\N	AB	10903460
1493231	5092	1998-05-09	PRIJEM	PREVOD Z UCTU	3342	-20584	\N	AB	10903460
1493232	5092	1998-06-09	PRIJEM	PREVOD Z UCTU	3342	-25799	\N	AB	10903460
1493233	5092	1998-07-09	PRIJEM	PREVOD Z UCTU	3342	-25161	\N	AB	10903460
1493234	5092	1998-08-09	PRIJEM	PREVOD Z UCTU	3342	-27020	\N	AB	10903460
1493235	5092	1998-09-09	PRIJEM	PREVOD Z UCTU	3342	-28598	\N	AB	10903460
1493236	5092	1998-10-09	PRIJEM	PREVOD Z UCTU	3342	-27788	\N	AB	10903460
1493237	5092	1998-11-09	PRIJEM	PREVOD Z UCTU	3342	-31179	\N	AB	10903460
1493238	5092	1998-12-09	PRIJEM	PREVOD Z UCTU	3342	-20120	\N	AB	10903460
1493255	5092	1994-05-17	VYDAJ	VYBER	2000	25184	SIPO	\N	0
1493256	5092	1994-06-14	VYDAJ	VYBER	2000	19308	SIPO	\N	0
1493257	5092	1994-07-04	VYDAJ	VYBER	1600	22293	SIPO	\N	0
1493258	5092	1994-08-16	VYDAJ	VYBER	1800	24663	SIPO	\N	0
1493259	5092	1994-09-10	VYDAJ	VYBER	1700	27996	SIPO	\N	0
1493260	5092	1994-10-02	VYDAJ	VYBER	2400	25797	SIPO	\N	0
1493261	5092	1994-11-19	VYDAJ	VYBER	2100	26703	SIPO	\N	0
1493262	5092	1994-12-11	VYDAJ	VYBER	1500	28649	SIPO	\N	0
1493263	5092	1995-01-18	VYDAJ	VYBER	1900	27246	SIPO	\N	0
1493264	5092	1995-02-06	VYDAJ	VYBER	1700	23979	SIPO	\N	0
1493265	5092	1995-03-06	VYDAJ	VYBER	2100	25007	SIPO	\N	0
1493266	5092	1995-04-06	VYDAJ	VYBER	1500	27352	SIPO	\N	0
1493267	5092	1995-05-18	VYDAJ	VYBER	1900	31255	SIPO	\N	0
1493268	5092	1995-06-20	VYDAJ	VYBER	1800	25451	SIPO	\N	0
1493269	5092	1995-07-14	VYDAJ	VYBER	2400	26701	SIPO	\N	0
1493270	5092	1995-08-06	VYDAJ	VYBER	1500	25302	SIPO	\N	0
1493271	5092	1995-09-09	VYDAJ	VYBER	2100	27683	SIPO	\N	0
1493272	5092	1995-10-11	VYDAJ	VYBER	2500	26038	SIPO	\N	0
1493273	5092	1995-11-07	VYDAJ	VYBER	2200	25275	SIPO	\N	0
1493274	5092	1995-12-08	VYDAJ	VYBER	2500	26420	SIPO	\N	0
1493275	5092	1996-01-07	VYDAJ	VYBER	1600	24619	SIPO	\N	0
1493276	5092	1996-02-01	VYDAJ	VYBER	1800	22022	SIPO	\N	0
1493277	5092	1996-03-06	VYDAJ	VYBER	1600	21517	SIPO	\N	0
1493278	5092	1996-04-12	VYDAJ	VYBER	1800	25739	SIPO	\N	0
1493279	5092	1996-05-13	VYDAJ	VYBER	1700	22773	SIPO	\N	0
1493280	5092	1996-06-20	VYDAJ	VYBER	1900	14050	SIPO	\N	0
1493281	5092	1996-07-05	VYDAJ	VYBER	2300	11815	SIPO	\N	0
1493282	5092	1996-08-11	VYDAJ	VYBER	2200	15745	SIPO	\N	0
1493283	5092	1996-09-05	VYDAJ	VYBER	2400	12102	SIPO	\N	0
1493284	5092	1996-10-15	VYDAJ	VYBER	1800	12824	SIPO	\N	0
1493285	5092	1996-11-15	VYDAJ	VYBER	1800	8504	SIPO	\N	0
1493286	5092	1996-12-02	VYDAJ	VYBER	1700	6279	SIPO	\N	0
1493287	5092	1997-01-03	VYDAJ	VYBER	2100	4103	SIPO	\N	0
1493288	5092	1997-02-04	VYDAJ	VYBER	1900	2754	SIPO	\N	0
1493289	5092	1997-03-01	VYDAJ	VYBER	2200	3902	SIPO	\N	0
1493290	5092	1997-04-11	VYDAJ	VYBER	1500	8794	SIPO	\N	0
1493291	5092	1997-05-05	VYDAJ	VYBER	1500	3010	SIPO	\N	0
1493292	5092	1997-06-20	VYDAJ	VYBER	2400	4402	SIPO	\N	0
1493327	5092	1994-05-04	VYDAJ	VYBER	100	23842	 	\N	0
1493328	5092	1994-06-11	VYDAJ	VYBER	100	29318	 	\N	0
1493329	5092	1994-07-12	VYDAJ	VYBER	200	25435	 	\N	0
1493330	5092	1994-08-02	VYDAJ	VYBER	100	23121	 	\N	0
1493331	5092	1994-09-01	VYDAJ	VYBER	200	26354	 	\N	0
1493332	5092	1994-10-07	VYDAJ	VYBER	200	25597	 	\N	0
1493333	5092	1994-11-04	VYDAJ	VYBER	200	28061	 	\N	0
1493334	5092	1994-12-14	VYDAJ	VYBER	200	27849	 	\N	0
1493335	5092	1995-01-04	VYDAJ	VYBER	200	25284	 	\N	0
1493336	5092	1995-02-05	VYDAJ	VYBER	100	25679	 	\N	0
1493337	5092	1995-03-03	VYDAJ	VYBER	200	27317	 	\N	0
1493338	5092	1995-03-31	VYDAJ	VYBER	200	28852	 	\N	0
1493339	5092	1995-05-18	VYDAJ	VYBER	100	31155	 	\N	0
1493340	5092	1995-06-05	VYDAJ	VYBER	200	31069	 	\N	0
1493341	5092	1995-07-07	VYDAJ	VYBER	200	25359	 	\N	0
1493342	5092	1995-08-06	VYDAJ	VYBER	200	25102	 	\N	0
1493343	5092	1995-09-08	VYDAJ	VYBER	100	26441	 	\N	0
1493344	5092	1995-10-09	VYDAJ	VYBER	100	28538	 	\N	0
1493345	5092	1995-11-19	VYDAJ	VYBER	200	29017	 	\N	0
1493346	5092	1995-12-04	VYDAJ	VYBER	200	28920	 	\N	0
1493347	5092	1996-01-09	VYDAJ	VYBER	200	26891	 	\N	0
1493348	5092	1996-02-13	VYDAJ	VYBER	100	24464	 	\N	0
1493349	5092	1996-02-29	VYDAJ	VYBER	200	23117	 	\N	0
1493350	5092	1996-04-06	VYDAJ	VYBER	100	25797	 	\N	0
1493351	5092	1996-05-16	VYDAJ	VYBER	100	22673	 	\N	0
1493352	5092	1996-06-16	VYDAJ	VYBER	200	23300	 	\N	0
1493353	5092	1996-07-12	VYDAJ	VYBER	100	15257	 	\N	0
1493354	5092	1996-08-09	VYDAJ	VYBER	100	17945	 	\N	0
1493355	5092	1996-09-14	VYDAJ	VYBER	200	13144	 	\N	0
1493356	5092	1996-10-08	VYDAJ	VYBER	200	11282	 	\N	0
1493357	5092	1996-11-16	VYDAJ	VYBER	100	8404	 	\N	0
1493358	5092	1996-12-09	VYDAJ	VYBER	200	7421	 	\N	0
1493359	5092	1997-01-11	VYDAJ	VYBER	100	7465	 	\N	0
1493360	5092	1997-02-03	VYDAJ	VYBER	100	4654	 	\N	0
1493361	5092	1997-03-17	VYDAJ	VYBER	100	6544	 	\N	0
1493362	5092	1997-04-12	VYDAJ	VYBER	200	8594	 	\N	0
1493363	5092	1997-05-01	VYDAJ	VYBER	200	8410	 	\N	0
1493364	5092	1997-06-07	VYDAJ	VYBER	100	3460	 	\N	0
1493365	5092	1997-07-15	VYDAJ	VYBER	200	3450	 	\N	0
1493384	5092	1994-06-12	VYDAJ	VYBER	8010	21308	\N	\N	\N
1493385	5092	1995-06-18	VYDAJ	VYBER	4950	27251	\N	\N	\N
1493386	5092	1996-06-18	VYDAJ	VYBER	7350	15950	\N	\N	\N
1493391	5092	1995-01-06	VYDAJ	VYBER	2760	22074	\N	\N	\N
1493392	5092	1996-01-25	VYDAJ	VYBER	1290	23911	\N	\N	\N
1493393	5092	1997-01-05	VYDAJ	VYBER	1980	4223	\N	\N	\N
1493396	5092	1994-12-13	VYDAJ	VYBER	600	28049	\N	\N	\N
1493397	5092	1995-12-11	VYDAJ	VYBER	540	26122	\N	\N	\N
1493398	5092	1996-12-01	VYDAJ	VYBER	450	7979	\N	\N	\N
1493413	5092	1995-01-15	VYDAJ	VYBER	570	29146	\N	\N	\N
1493414	5092	1995-01-27	VYDAJ	VYBER	480	25686	\N	\N	\N
1493415	5092	1995-01-03	VYDAJ	VYBER	360	25484	\N	\N	\N
1493416	5092	1995-01-21	VYDAJ	VYBER	750	26166	\N	\N	\N
1493417	5092	1995-01-05	VYDAJ	VYBER	450	24834	\N	\N	\N
1493418	5092	1995-01-20	VYDAJ	VYBER	330	26916	\N	\N	\N
1493419	5092	1996-01-30	VYDAJ	VYBER	180	23731	\N	\N	\N
1493420	5092	1996-01-18	VYDAJ	VYBER	180	26251	\N	\N	\N
1493421	5092	1996-01-10	VYDAJ	VYBER	360	26531	\N	\N	\N
1493422	5092	1996-01-08	VYDAJ	VYBER	870	23749	\N	\N	\N
1493423	5092	1996-01-21	VYDAJ	VYBER	480	25201	\N	\N	\N
1493424	5092	1996-01-19	VYDAJ	VYBER	570	25681	\N	\N	\N
1493425	5092	1997-01-20	VYDAJ	VYBER	210	6355	\N	\N	\N
1493426	5092	1997-01-14	VYDAJ	VYBER	300	7165	\N	\N	\N
1493427	5092	1997-01-15	VYDAJ	VYBER	600	6565	\N	\N	\N
1493428	5092	1997-01-30	VYDAJ	VYBER	210	6145	\N	\N	\N
1493429	5092	1997-01-03	VYDAJ	VYBER	690	6203	\N	\N	\N
1493430	5092	1997-01-02	VYDAJ	VYBER	540	6893	\N	\N	\N
1493444	5092	1994-10-12	VYDAJ	VYBER	1380	27559	\N	\N	\N
1493445	5092	1994-07-21	VYDAJ	VYBER	300	23135	\N	\N	\N
1493448	5092	1995-09-25	VYDAJ	VYBER	660	25203	\N	\N	\N
1493449	5092	1995-09-11	VYDAJ	VYBER	1020	26663	\N	\N	\N
1493450	5092	1995-03-05	VYDAJ	VYBER	210	27107	\N	\N	\N
1493451	5092	1995-05-11	VYDAJ	VYBER	390	32755	\N	\N	\N
1493452	5092	1995-06-10	VYDAJ	VYBER	810	33601	\N	\N	\N
1493453	5092	1995-10-13	VYDAJ	VYBER	1260	27378	\N	\N	\N
1493454	5092	1996-10-23	VYDAJ	VYBER	300	12524	\N	\N	\N
1493455	5092	1996-03-07	VYDAJ	VYBER	450	21067	\N	\N	\N
1493456	5092	1996-02-15	VYDAJ	VYBER	1230	23234	\N	\N	\N
1493457	5092	1996-08-23	VYDAJ	VYBER	1290	14455	\N	\N	\N
1493487	5092	1994-05-31	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
1493488	5092	1994-06-30	VYDAJ	VYBER	15	23893	SLUZBY	\N	\N
1493489	5092	1994-07-31	VYDAJ	VYBER	15	23221	SLUZBY	\N	\N
1493490	5092	1994-08-31	VYDAJ	VYBER	15	26554	SLUZBY	\N	\N
1493491	5092	1994-09-30	VYDAJ	VYBER	15	28197	SLUZBY	\N	\N
1493492	5092	1994-10-31	VYDAJ	VYBER	15	28261	SLUZBY	\N	\N
1493493	5092	1994-11-30	VYDAJ	VYBER	15	26807	SLUZBY	\N	\N
1493494	5092	1994-12-31	VYDAJ	VYBER	15	25844	SLUZBY	\N	\N
1493495	5092	1995-01-31	VYDAJ	VYBER	15	25779	SLUZBY	\N	\N
1493496	5092	1995-02-28	VYDAJ	VYBER	15	27517	SLUZBY	\N	\N
1493497	5092	1995-03-31	VYDAJ	VYBER	15	29052	SLUZBY	\N	\N
1493498	5092	1995-04-30	VYDAJ	VYBER	15	29803	SLUZBY	\N	\N
1493499	5092	1995-05-31	VYDAJ	VYBER	15	31269	SLUZBY	\N	\N
1493500	5092	1995-06-30	VYDAJ	VYBER	15	25559	SLUZBY	\N	\N
1493501	5092	1995-07-31	VYDAJ	VYBER	15	26802	SLUZBY	\N	\N
1493502	5092	1995-08-31	VYDAJ	VYBER	15	26541	SLUZBY	\N	\N
1493503	5092	1995-09-30	VYDAJ	VYBER	15	25296	SLUZBY	\N	\N
1493504	5092	1995-10-31	VYDAJ	VYBER	15	27475	SLUZBY	\N	\N
1493505	5092	1995-11-30	VYDAJ	VYBER	15	29120	SLUZBY	\N	\N
1493506	5092	1995-12-31	VYDAJ	VYBER	15	26219	SLUZBY	\N	\N
1493507	5092	1996-01-31	VYDAJ	VYBER	15	23822	SLUZBY	\N	\N
1493508	5092	1996-02-29	VYDAJ	VYBER	15	23317	SLUZBY	\N	\N
1493509	5092	1996-03-31	VYDAJ	VYBER	15	25897	SLUZBY	\N	\N
1493510	5092	1996-04-30	VYDAJ	VYBER	15	25831	SLUZBY	\N	\N
1493511	5092	1996-05-31	VYDAJ	VYBER	15	22758	SLUZBY	\N	\N
1493512	5092	1996-06-30	VYDAJ	VYBER	15	14115	SLUZBY	\N	\N
1493513	5092	1996-07-31	VYDAJ	VYBER	15	15303	SLUZBY	\N	\N
1493514	5092	1996-08-31	VYDAJ	VYBER	15	14502	SLUZBY	\N	\N
1493515	5092	1996-09-30	VYDAJ	VYBER	15	13182	SLUZBY	\N	\N
1493516	5092	1996-10-31	VYDAJ	VYBER	15	12562	SLUZBY	\N	\N
1493517	5092	1996-11-30	VYDAJ	VYBER	15	8429	SLUZBY	\N	\N
1493518	5092	1996-12-31	VYDAJ	VYBER	15	7433	SLUZBY	\N	\N
1493519	5092	1997-01-31	VYDAJ	VYBER	15	6154	SLUZBY	\N	\N
1493520	5092	1997-02-28	VYDAJ	VYBER	15	6102	SLUZBY	\N	\N
1493521	5092	1997-03-31	VYDAJ	VYBER	15	6552	SLUZBY	\N	\N
1493522	5092	1997-04-30	VYDAJ	VYBER	15	8610	SLUZBY	\N	\N
1493523	5092	1997-05-31	VYDAJ	VYBER	15	6360	SLUZBY	\N	\N
1493524	5092	1997-06-30	VYDAJ	VYBER	15	4408	SLUZBY	\N	\N
1493525	5092	1997-07-31	VYDAJ	VYBER	15	3447	SLUZBY	\N	\N
1493542	5092	1994-01-20	PRIJEM	VKLAD	8200	12642	\N	\N	\N
1493543	5092	1994-02-19	PRIJEM	VKLAD	5800	21804	\N	\N	\N
1493544	5092	1994-03-21	VYDAJ	VYBER	2900	22313	\N	\N	\N
1493545	5092	1994-04-20	VYDAJ	VYBER	1900	23846	\N	\N	\N
1493546	5092	1994-05-20	PRIJEM	VKLAD	800	25984	\N	\N	\N
1493547	5092	1994-06-19	PRIJEM	VKLAD	4500	23808	\N	\N	\N
1493548	5092	1994-07-19	VYDAJ	VYBER	2000	23435	\N	\N	\N
1493549	5092	1994-08-18	PRIJEM	VKLAD	1800	26463	\N	\N	\N
1493550	5092	1994-09-17	PRIJEM	VKLAD	100	28096	\N	\N	\N
1493551	5092	1994-10-17	PRIJEM	VKLAD	600	28159	\N	\N	\N
1493552	5092	1994-11-16	VYDAJ	VYBER	2600	28803	\N	\N	\N
1493553	5092	1994-12-16	VYDAJ	VYBER	2100	25749	\N	\N	\N
1493554	5092	1995-01-15	PRIJEM	VKLAD	4300	29716	\N	\N	\N
1493555	5092	1995-02-14	PRIJEM	VKLAD	100	27421	\N	\N	\N
1493556	5092	1995-03-16	PRIJEM	VKLAD	600	28949	\N	\N	\N
1493557	5092	1995-04-15	VYDAJ	VYBER	1000	29694	\N	\N	\N
1493558	5092	1995-05-15	PRIJEM	VKLAD	400	33155	\N	\N	\N
1493559	5092	1995-06-14	VYDAJ	VYBER	1400	32201	\N	\N	\N
1493560	5092	1995-07-14	PRIJEM	VKLAD	400	29101	\N	\N	\N
1493561	5092	1995-08-13	VYDAJ	VYBER	2000	26444	\N	\N	\N
1493562	5092	1995-09-12	VYDAJ	VYBER	800	25863	\N	\N	\N
1493563	5092	1995-10-12	PRIJEM	VKLAD	2600	28638	\N	\N	\N
1493564	5092	1995-11-11	PRIJEM	VKLAD	600	29217	\N	\N	\N
1493565	5092	1995-12-11	VYDAJ	VYBER	3100	26662	\N	\N	\N
1493566	5092	1996-01-10	VYDAJ	VYBER	100	26431	\N	\N	\N
1493567	5092	1996-02-09	VYDAJ	VYBER	800	24564	\N	\N	\N
1493568	5092	1996-03-10	PRIJEM	VKLAD	1400	25809	\N	\N	\N
1493569	5092	1996-04-09	VYDAJ	VYBER	1600	27539	\N	\N	\N
1493570	5092	1996-05-09	VYDAJ	VYBER	4700	24473	\N	\N	\N
1493571	5092	1996-06-08	VYDAJ	VYBER	2600	20158	\N	\N	\N
1493572	5092	1996-07-08	PRIJEM	VKLAD	200	12015	\N	\N	\N
1493573	5092	1996-08-07	VYDAJ	VYBER	600	14703	\N	\N	\N
1493574	5092	1996-09-06	VYDAJ	VYBER	2100	10002	\N	\N	\N
1493575	5092	1996-10-06	VYDAJ	VYBER	1700	11482	\N	\N	\N
1493576	5092	1996-11-05	VYDAJ	VYBER	5600	6962	\N	\N	\N
1493577	5092	1996-12-05	VYDAJ	VYBER	2000	4279	\N	\N	\N
1493578	5092	1997-01-04	PRIJEM	VKLAD	2100	6203	\N	\N	\N
1493579	5092	1997-02-03	VYDAJ	VYBER	1400	4754	\N	\N	\N
1493580	5092	1997-03-05	VYDAJ	VYBER	600	3302	\N	\N	\N
1493581	5092	1997-04-04	PRIJEM	VKLAD	400	6952	\N	\N	\N
1493582	5092	1997-05-04	VYDAJ	VYBER	3900	4510	\N	\N	\N
1493583	5092	1997-06-03	VYDAJ	VYBER	2800	3560	\N	\N	\N
1493584	5092	1997-07-03	VYDAJ	VYBER	4100	308	\N	\N	\N
1493585	5092	1997-08-02	VYDAJ	VYBER	7100	-3653	\N	\N	\N
1493586	5092	1997-09-01	VYDAJ	VYBER	3100	-3417	\N	\N	\N
1493587	5092	1997-10-01	VYDAJ	VYBER	8300	-8386	\N	\N	\N
1493588	5092	1997-10-31	VYDAJ	VYBER	4600	-9693	\N	\N	\N
1493589	5092	1997-11-30	VYDAJ	VYBER	7800	-14151	\N	\N	\N
1493590	5092	1997-12-30	VYDAJ	VYBER	3600	-14519	\N	\N	\N
1493591	5092	1998-01-29	VYDAJ	VYBER	3200	-14531	\N	\N	\N
1493592	5092	1998-02-28	VYDAJ	VYBER	6200	-17547	\N	\N	\N
1493593	5092	1998-03-30	VYDAJ	VYBER	5300	-19664	\N	\N	\N
1493594	5092	1998-04-29	VYDAJ	VYBER	7200	-23712	\N	\N	\N
1493595	5092	1998-05-29	VYDAJ	VYBER	8300	-28884	\N	\N	\N
1493596	5092	1998-06-28	VYDAJ	VYBER	2400	-28199	\N	\N	\N
1493597	5092	1998-07-28	VYDAJ	VYBER	4900	-30061	\N	\N	\N
1493598	5092	1998-08-27	VYDAJ	VYBER	4600	-31620	\N	\N	\N
1493599	5092	1998-09-26	VYDAJ	VYBER	2200	-30798	\N	\N	\N
1493600	5092	1998-10-26	VYDAJ	VYBER	6400	-34188	\N	\N	\N
1493601	5092	1998-11-09	PRIJEM	VKLAD	29600	-1579	\N	\N	\N
1493602	5092	1998-11-25	VYDAJ	VYBER	21700	-23279	\N	\N	\N
1500916	5118	1995-08-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1500924	5118	1995-08-09	PRIJEM	VKLAD	8409	9509	\N	\N	\N
1500925	5118	1995-09-09	PRIJEM	VKLAD	8409	27247	\N	\N	\N
1500926	5118	1995-10-09	PRIJEM	VKLAD	8409	34650	\N	\N	\N
1500927	5118	1995-11-09	PRIJEM	VKLAD	8409	35896	\N	\N	\N
1500928	5118	1995-12-09	PRIJEM	VKLAD	12614	42057	\N	\N	\N
1500929	5118	1996-01-09	PRIJEM	VKLAD	8409	36945	\N	\N	\N
1500930	5118	1996-02-09	PRIJEM	VKLAD	8409	28203	\N	\N	\N
1500931	5118	1996-03-09	PRIJEM	VKLAD	8409	29453	\N	\N	\N
1500932	5118	1996-04-09	PRIJEM	VKLAD	8409	32912	\N	\N	\N
1500933	5118	1996-05-09	PRIJEM	VKLAD	8409	31456	\N	\N	\N
1500934	5118	1996-06-09	PRIJEM	VKLAD	12614	40625	\N	\N	\N
1500935	5118	1996-07-09	PRIJEM	VKLAD	8409	41533	\N	\N	\N
1500936	5118	1996-08-09	PRIJEM	VKLAD	8409	41136	\N	\N	\N
1500937	5118	1996-09-09	PRIJEM	VKLAD	8409	42696	\N	\N	\N
1500938	5118	1996-10-09	PRIJEM	VKLAD	8409	44216	\N	\N	\N
1500939	5118	1996-11-09	PRIJEM	VKLAD	8409	46936	\N	\N	\N
1500940	5118	1996-12-09	PRIJEM	VKLAD	12614	49865	\N	\N	\N
1500941	5118	1997-01-09	PRIJEM	VKLAD	8409	27735	\N	\N	\N
1500942	5118	1997-02-09	PRIJEM	VKLAD	8409	26055	\N	\N	\N
1500943	5118	1997-03-09	PRIJEM	VKLAD	8409	35002	\N	\N	\N
1500944	5118	1997-04-09	PRIJEM	VKLAD	8409	38882	\N	\N	\N
1500945	5118	1997-05-09	PRIJEM	VKLAD	8409	43576	\N	\N	\N
1500946	5118	1997-06-09	PRIJEM	VKLAD	12614	44342	\N	\N	\N
1500947	5118	1997-07-09	PRIJEM	VKLAD	8409	44819	\N	\N	\N
1500948	5118	1997-08-09	PRIJEM	VKLAD	8409	46225	\N	\N	\N
1500949	5118	1997-09-09	PRIJEM	VKLAD	8409	45235	\N	\N	\N
1500950	5118	1997-10-09	PRIJEM	VKLAD	8409	46544	\N	\N	\N
1500951	5118	1997-11-09	PRIJEM	VKLAD	8409	44993	\N	\N	\N
1500952	5118	1997-12-09	PRIJEM	VKLAD	12614	47223	\N	\N	\N
1500953	5118	1998-01-09	PRIJEM	VKLAD	8409	48137	\N	\N	\N
1500954	5118	1998-02-09	PRIJEM	VKLAD	8409	36197	\N	\N	\N
1500955	5118	1998-03-09	PRIJEM	VKLAD	8409	37628	\N	\N	\N
1500956	5118	1998-04-09	PRIJEM	VKLAD	8409	41307	\N	\N	\N
1500957	5118	1998-05-09	PRIJEM	VKLAD	8409	42396	\N	\N	\N
1500958	5118	1998-06-09	PRIJEM	VKLAD	12614	49197	\N	\N	\N
1500959	5118	1998-07-09	PRIJEM	VKLAD	8409	50515	\N	\N	\N
1500960	5118	1998-08-09	PRIJEM	VKLAD	8409	48745	\N	\N	\N
1500961	5118	1998-09-09	PRIJEM	VKLAD	8409	48264	\N	\N	\N
1500962	5118	1998-10-09	PRIJEM	VKLAD	8409	48279	\N	\N	\N
1500963	5118	1998-11-09	PRIJEM	VKLAD	8409	40647	\N	\N	\N
1500964	5118	1998-12-09	PRIJEM	VKLAD	12614	41227	\N	\N	\N
1500976	5118	1995-12-09	VYDAJ	PREVOD NA UCET	3095	38962	SIPO	GH	99441033
1500977	5118	1996-01-09	VYDAJ	PREVOD NA UCET	3095	32530	SIPO	GH	99441033
1500978	5118	1996-02-09	VYDAJ	PREVOD NA UCET	3095	25108	SIPO	GH	99441033
1500979	5118	1996-03-09	VYDAJ	PREVOD NA UCET	3095	26358	SIPO	GH	99441033
1500980	5118	1996-04-09	VYDAJ	PREVOD NA UCET	3095	29817	SIPO	GH	99441033
1500981	5118	1996-05-09	VYDAJ	PREVOD NA UCET	3095	28361	SIPO	GH	99441033
1500982	5118	1996-06-09	VYDAJ	PREVOD NA UCET	3095	37530	SIPO	GH	99441033
1500983	5118	1996-07-09	VYDAJ	PREVOD NA UCET	3095	38438	SIPO	GH	99441033
1500984	5118	1996-08-09	VYDAJ	PREVOD NA UCET	3095	38041	SIPO	GH	99441033
1500985	5118	1996-09-09	VYDAJ	PREVOD NA UCET	3095	39601	SIPO	GH	99441033
1500986	5118	1996-10-09	VYDAJ	PREVOD NA UCET	3095	41121	SIPO	GH	99441033
1500987	5118	1996-11-09	VYDAJ	PREVOD NA UCET	3095	43841	SIPO	GH	99441033
1500988	5118	1996-12-09	VYDAJ	PREVOD NA UCET	3095	46770	SIPO	GH	99441033
1500989	5118	1997-01-09	VYDAJ	PREVOD NA UCET	3095	24640	SIPO	GH	99441033
1500990	5118	1997-02-09	VYDAJ	PREVOD NA UCET	3095	22960	SIPO	GH	99441033
1500991	5118	1997-03-09	VYDAJ	PREVOD NA UCET	3095	31907	SIPO	GH	99441033
1500992	5118	1997-04-09	VYDAJ	PREVOD NA UCET	3095	35787	SIPO	GH	99441033
1500993	5118	1997-05-09	VYDAJ	PREVOD NA UCET	3095	40481	SIPO	GH	99441033
1500994	5118	1997-06-09	VYDAJ	PREVOD NA UCET	3095	41247	SIPO	GH	99441033
1500995	5118	1997-07-09	VYDAJ	PREVOD NA UCET	3095	41724	SIPO	GH	99441033
1500996	5118	1997-08-09	VYDAJ	PREVOD NA UCET	3095	43130	SIPO	GH	99441033
1500997	5118	1997-09-09	VYDAJ	PREVOD NA UCET	3095	42140	SIPO	GH	99441033
1500998	5118	1997-10-09	VYDAJ	PREVOD NA UCET	3095	43449	SIPO	GH	99441033
1500999	5118	1997-11-09	VYDAJ	PREVOD NA UCET	3095	41898	SIPO	GH	99441033
1501000	5118	1997-12-09	VYDAJ	PREVOD NA UCET	3095	44128	SIPO	GH	99441033
1501001	5118	1998-01-09	VYDAJ	PREVOD NA UCET	3095	45042	SIPO	GH	99441033
1501002	5118	1998-02-09	VYDAJ	PREVOD NA UCET	3095	33102	SIPO	GH	99441033
1501003	5118	1998-03-09	VYDAJ	PREVOD NA UCET	3095	34533	SIPO	GH	99441033
1501004	5118	1998-04-09	VYDAJ	PREVOD NA UCET	3095	38212	SIPO	GH	99441033
1501005	5118	1998-05-09	VYDAJ	PREVOD NA UCET	3095	39301	SIPO	GH	99441033
1501006	5118	1998-06-09	VYDAJ	PREVOD NA UCET	3095	46102	SIPO	GH	99441033
1501007	5118	1998-07-09	VYDAJ	PREVOD NA UCET	3095	47420	SIPO	GH	99441033
1501008	5118	1998-08-09	VYDAJ	PREVOD NA UCET	3095	45650	SIPO	GH	99441033
1501009	5118	1998-09-09	VYDAJ	PREVOD NA UCET	3095	45169	SIPO	GH	99441033
1501010	5118	1998-10-09	VYDAJ	PREVOD NA UCET	3095	45184	SIPO	GH	99441033
1501011	5118	1998-11-09	VYDAJ	PREVOD NA UCET	3095	37552	SIPO	GH	99441033
1501012	5118	1998-12-09	VYDAJ	PREVOD NA UCET	3095	38132	SIPO	GH	99441033
1501025	5118	1996-01-05	VYDAJ	PREVOD NA UCET	446	28536	 	CD	97549569
1501026	5118	1996-02-05	VYDAJ	PREVOD NA UCET	446	19794	 	CD	97549569
1501027	5118	1996-03-05	VYDAJ	PREVOD NA UCET	446	21044	 	CD	97549569
1501028	5118	1996-04-05	VYDAJ	PREVOD NA UCET	446	24503	 	CD	97549569
1501029	5118	1996-05-05	VYDAJ	PREVOD NA UCET	446	25687	 	CD	97549569
1501030	5118	1996-06-05	VYDAJ	PREVOD NA UCET	446	28012	 	CD	97549569
1501031	5118	1996-07-05	VYDAJ	PREVOD NA UCET	446	33124	 	CD	97549569
1501032	5118	1996-08-05	VYDAJ	PREVOD NA UCET	446	32727	 	CD	97549569
1501033	5118	1996-09-05	VYDAJ	PREVOD NA UCET	446	34287	 	CD	97549569
1501034	5118	1996-10-05	VYDAJ	PREVOD NA UCET	446	35807	 	CD	97549569
1501035	5118	1996-11-05	VYDAJ	PREVOD NA UCET	446	38527	 	CD	97549569
1501036	5118	1996-12-05	VYDAJ	PREVOD NA UCET	446	37252	 	CD	97549569
1501037	5118	1997-01-05	VYDAJ	PREVOD NA UCET	446	36366	 	CD	97549569
1501038	5118	1997-02-05	VYDAJ	PREVOD NA UCET	446	17646	 	CD	97549569
1501039	5118	1997-03-05	VYDAJ	PREVOD NA UCET	446	26593	 	CD	97549569
1501040	5118	1997-04-05	VYDAJ	PREVOD NA UCET	446	30473	 	CD	97549569
1501041	5118	1997-05-05	VYDAJ	PREVOD NA UCET	446	35167	 	CD	97549569
1501042	5118	1997-06-05	VYDAJ	PREVOD NA UCET	446	31728	 	CD	97549569
1501043	5118	1997-07-05	VYDAJ	PREVOD NA UCET	446	36410	 	CD	97549569
1501044	5118	1997-08-05	VYDAJ	PREVOD NA UCET	446	37816	 	CD	97549569
1501045	5118	1997-09-05	VYDAJ	PREVOD NA UCET	446	36826	 	CD	97549569
1501046	5118	1997-10-05	VYDAJ	PREVOD NA UCET	446	38135	 	CD	97549569
1501047	5118	1997-11-05	VYDAJ	PREVOD NA UCET	446	36584	 	CD	97549569
1501048	5118	1997-12-05	VYDAJ	PREVOD NA UCET	446	34610	 	CD	97549569
1501049	5118	1998-01-05	VYDAJ	PREVOD NA UCET	446	40928	 	CD	97549569
1501050	5118	1998-02-05	VYDAJ	PREVOD NA UCET	446	27788	 	CD	97549569
1501051	5118	1998-03-05	VYDAJ	PREVOD NA UCET	446	29219	 	CD	97549569
1501052	5118	1998-04-05	VYDAJ	PREVOD NA UCET	446	32898	 	CD	97549569
1501053	5118	1998-05-05	VYDAJ	PREVOD NA UCET	446	33987	 	CD	97549569
1501054	5118	1998-06-05	VYDAJ	PREVOD NA UCET	446	36584	 	CD	97549569
1501055	5118	1998-07-05	VYDAJ	PREVOD NA UCET	446	42106	 	CD	97549569
1501056	5118	1998-08-05	VYDAJ	PREVOD NA UCET	446	43936	 	CD	97549569
1501057	5118	1998-09-05	VYDAJ	PREVOD NA UCET	446	39855	 	CD	97549569
1501058	5118	1998-10-05	VYDAJ	PREVOD NA UCET	446	39870	 	CD	97549569
1501059	5118	1998-11-05	VYDAJ	PREVOD NA UCET	446	32238	 	CD	97549569
1501060	5118	1998-12-05	VYDAJ	PREVOD NA UCET	446	28614	 	CD	97549569
1501072	5118	1995-12-10	VYDAJ	VYBER	1400	37562	\N	\N	0
1501073	5118	1996-01-13	VYDAJ	VYBER	1000	29730	\N	\N	0
1501074	5118	1996-02-20	VYDAJ	VYBER	800	24308	\N	\N	0
1501075	5118	1996-03-14	VYDAJ	VYBER	900	25458	\N	\N	0
1501076	5118	1996-04-12	VYDAJ	VYBER	1400	28417	\N	\N	0
1501077	5118	1996-04-25	VYDAJ	VYBER	900	27517	\N	\N	0
1501078	5118	1996-05-24	VYDAJ	VYBER	800	27561	\N	\N	0
1501079	5118	1996-07-13	VYDAJ	VYBER	1500	36938	\N	\N	0
1501080	5118	1996-07-28	VYDAJ	VYBER	800	36138	\N	\N	0
1501081	5118	1996-08-31	VYDAJ	VYBER	800	34733	\N	\N	0
1501082	5118	1996-10-17	VYDAJ	VYBER	1300	39821	\N	\N	0
1501083	5118	1996-11-11	VYDAJ	VYBER	900	42941	\N	\N	0
1501084	5118	1996-12-13	VYDAJ	VYBER	600	46170	\N	\N	0
1501085	5118	1997-01-16	VYDAJ	VYBER	900	23740	\N	\N	0
1501086	5118	1997-02-19	VYDAJ	VYBER	900	22060	\N	\N	0
1501087	5118	1997-03-14	VYDAJ	VYBER	800	31107	\N	\N	0
1501088	5118	1997-04-11	VYDAJ	VYBER	1400	34387	\N	\N	0
1501089	5118	1997-05-12	VYDAJ	PREVOD NA UCET	1109	39372	UVER	CD	59396386
1501090	5118	1997-06-12	VYDAJ	PREVOD NA UCET	1109	40138	UVER	CD	59396386
1501091	5118	1997-07-12	VYDAJ	PREVOD NA UCET	1109	40615	UVER	CD	59396386
1501092	5118	1997-08-12	VYDAJ	PREVOD NA UCET	1109	42021	UVER	CD	59396386
1501093	5118	1997-09-12	VYDAJ	PREVOD NA UCET	1109	41031	UVER	CD	59396386
1501094	5118	1997-10-12	VYDAJ	PREVOD NA UCET	1109	42340	UVER	CD	59396386
1501095	5118	1997-11-12	VYDAJ	PREVOD NA UCET	1109	40789	UVER	CD	59396386
1501096	5118	1997-12-12	VYDAJ	PREVOD NA UCET	1109	43019	UVER	CD	59396386
1501097	5118	1998-01-12	VYDAJ	PREVOD NA UCET	1109	43933	UVER	CD	59396386
1501098	5118	1998-02-12	VYDAJ	PREVOD NA UCET	1109	31993	UVER	CD	59396386
1501099	5118	1998-03-12	VYDAJ	PREVOD NA UCET	1109	33424	UVER	CD	59396386
1501100	5118	1998-04-12	VYDAJ	PREVOD NA UCET	1109	37103	UVER	CD	59396386
1501101	5118	1998-05-12	VYDAJ	PREVOD NA UCET	1109	38192	UVER	CD	59396386
1501102	5118	1998-06-12	VYDAJ	PREVOD NA UCET	1109	44993	UVER	CD	59396386
1501103	5118	1998-07-12	VYDAJ	PREVOD NA UCET	1109	46311	UVER	CD	59396386
1501104	5118	1998-08-12	VYDAJ	PREVOD NA UCET	1109	44541	UVER	CD	59396386
1501105	5118	1998-09-12	VYDAJ	PREVOD NA UCET	1109	44060	UVER	CD	59396386
1501106	5118	1998-10-12	VYDAJ	PREVOD NA UCET	1109	44075	UVER	CD	59396386
1501107	5118	1998-11-12	VYDAJ	PREVOD NA UCET	1109	36443	UVER	CD	59396386
1501108	5118	1998-12-12	VYDAJ	PREVOD NA UCET	1109	37023	UVER	CD	59396386
1501115	5118	1997-01-08	VYDAJ	VYBER	15360	19326	\N	\N	\N
1501116	5118	1998-01-26	VYDAJ	VYBER	2400	30613	\N	\N	\N
1501117	5118	1995-12-10	VYDAJ	VYBER	3520	34042	\N	\N	\N
1501118	5118	1996-12-16	VYDAJ	VYBER	1760	44410	\N	\N	\N
1501119	5118	1997-12-04	VYDAJ	VYBER	2080	35056	\N	\N	\N
1501120	5118	1998-12-21	VYDAJ	VYBER	960	31663	\N	\N	\N
1501127	5118	1996-01-19	VYDAJ	VYBER	2400	22170	\N	\N	\N
1501128	5118	1996-01-22	VYDAJ	VYBER	960	17850	\N	\N	\N
1501129	5118	1996-01-10	VYDAJ	VYBER	1800	30730	\N	\N	\N
1501130	5118	1996-01-20	VYDAJ	VYBER	3360	18810	\N	\N	\N
1501131	5118	1996-01-16	VYDAJ	VYBER	3000	26730	\N	\N	\N
1501132	5118	1996-01-09	VYDAJ	VYBER	1320	35625	\N	\N	\N
1501134	5118	1997-01-01	VYDAJ	VYBER	1080	38492	\N	\N	\N
1501135	5118	1997-01-22	VYDAJ	VYBER	1080	19780	\N	\N	\N
1501136	5118	1997-01-07	VYDAJ	VYBER	1680	34686	\N	\N	\N
1501137	5118	1997-01-03	VYDAJ	VYBER	1680	36812	\N	\N	\N
1501138	5118	1997-01-22	VYDAJ	VYBER	2880	20860	\N	\N	\N
1501139	5118	1998-01-15	VYDAJ	VYBER	2760	40213	\N	\N	\N
1501140	5118	1998-01-16	VYDAJ	VYBER	1440	38773	\N	\N	\N
1501141	5118	1998-01-27	VYDAJ	VYBER	2520	28093	\N	\N	\N
1501142	5118	1998-01-22	VYDAJ	VYBER	2640	33013	\N	\N	\N
1501143	5118	1998-01-07	VYDAJ	VYBER	1200	39728	\N	\N	\N
1501144	5118	1998-01-21	VYDAJ	VYBER	720	38053	\N	\N	\N
1501153	5118	1996-08-13	VYDAJ	VYBER	2640	35401	\N	\N	\N
1501154	5118	1996-01-17	VYDAJ	VYBER	2160	24570	\N	\N	\N
1501155	5118	1996-04-26	VYDAJ	VYBER	5880	21637	\N	\N	\N
1501156	5118	1996-05-07	VYDAJ	VYBER	2640	23047	\N	\N	\N
1501157	5118	1997-06-01	VYDAJ	VYBER	2640	32174	\N	\N	\N
1501158	5118	1997-01-22	VYDAJ	VYBER	3840	15940	\N	\N	\N
1501159	5118	1997-06-16	VYDAJ	VYBER	3120	37018	\N	\N	\N
1501160	5118	1997-02-04	VYDAJ	VYBER	5040	18092	\N	\N	\N
1501161	5118	1997-10-17	VYDAJ	VYBER	960	41380	\N	\N	\N
1501162	5118	1998-08-07	VYDAJ	VYBER	3600	40336	\N	\N	\N
1501163	5118	1998-01-13	VYDAJ	VYBER	960	42973	\N	\N	\N
1501164	5118	1998-10-29	VYDAJ	VYBER	4440	32535	\N	\N	\N
1501165	5118	1998-02-24	VYDAJ	VYBER	3840	29553	\N	\N	\N
1501178	5118	1995-12-31	VYDAJ	VYBER	15	34182	SLUZBY	\N	\N
1501179	5118	1996-01-31	VYDAJ	VYBER	15	17940	SLUZBY	\N	\N
1501180	5118	1996-02-29	VYDAJ	VYBER	15	24390	SLUZBY	\N	\N
1501181	5118	1996-03-31	VYDAJ	VYBER	15	25549	SLUZBY	\N	\N
1501182	5118	1996-04-30	VYDAJ	VYBER	15	21733	SLUZBY	\N	\N
1501183	5118	1996-05-31	VYDAJ	VYBER	15	28458	SLUZBY	\N	\N
1501184	5118	1996-06-30	VYDAJ	VYBER	15	37670	SLUZBY	\N	\N
1501185	5118	1996-07-31	VYDAJ	VYBER	15	33173	SLUZBY	\N	\N
1501186	5118	1996-08-31	VYDAJ	VYBER	15	35533	SLUZBY	\N	\N
1501187	5118	1996-09-30	VYDAJ	VYBER	15	36253	SLUZBY	\N	\N
1501188	5118	1996-10-31	VYDAJ	VYBER	15	38973	SLUZBY	\N	\N
1501189	5118	1996-11-30	VYDAJ	VYBER	15	37698	SLUZBY	\N	\N
1501190	5118	1996-12-31	VYDAJ	VYBER	15	39572	SLUZBY	\N	\N
1501191	5118	1997-01-31	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
1501192	5118	1997-02-28	VYDAJ	VYBER	15	27039	SLUZBY	\N	\N
1501193	5118	1997-03-31	VYDAJ	VYBER	15	30919	SLUZBY	\N	\N
1501194	5118	1997-04-30	VYDAJ	VYBER	15	35613	SLUZBY	\N	\N
1501195	5118	1997-05-31	VYDAJ	VYBER	15	34814	SLUZBY	\N	\N
1501196	5118	1997-06-30	VYDAJ	VYBER	15	36856	SLUZBY	\N	\N
1501197	5118	1997-07-31	VYDAJ	VYBER	15	38262	SLUZBY	\N	\N
1501198	5118	1997-08-31	VYDAJ	VYBER	15	37272	SLUZBY	\N	\N
1501199	5118	1997-09-30	VYDAJ	VYBER	15	38581	SLUZBY	\N	\N
1501200	5118	1997-10-31	VYDAJ	VYBER	15	37030	SLUZBY	\N	\N
1501201	5118	1997-11-30	VYDAJ	VYBER	15	37136	SLUZBY	\N	\N
1501202	5118	1997-12-31	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
1501203	5118	1998-01-31	VYDAJ	VYBER	15	28234	SLUZBY	\N	\N
1501204	5118	1998-02-28	VYDAJ	VYBER	15	29665	SLUZBY	\N	\N
1501205	5118	1998-03-31	VYDAJ	VYBER	15	33344	SLUZBY	\N	\N
1501206	5118	1998-04-30	VYDAJ	VYBER	15	34433	SLUZBY	\N	\N
1501207	5118	1998-05-31	VYDAJ	VYBER	15	37030	SLUZBY	\N	\N
1501208	5118	1998-06-30	VYDAJ	VYBER	15	42552	SLUZBY	\N	\N
1501209	5118	1998-07-31	VYDAJ	VYBER	15	44382	SLUZBY	\N	\N
1501210	5118	1998-08-31	VYDAJ	VYBER	15	40301	SLUZBY	\N	\N
1501211	5118	1998-09-30	VYDAJ	VYBER	15	40316	SLUZBY	\N	\N
1501212	5118	1998-10-31	VYDAJ	VYBER	15	32684	SLUZBY	\N	\N
1501213	5118	1998-11-30	VYDAJ	VYBER	15	29060	SLUZBY	\N	\N
1501214	5118	1995-09-04	PRIJEM	VKLAD	9300	18838	\N	\N	\N
1501215	5118	1995-10-04	VYDAJ	VYBER	1100	26241	\N	\N	\N
1501216	5118	1995-11-03	VYDAJ	VYBER	7300	27487	\N	\N	\N
1501217	5118	1995-12-03	VYDAJ	VYBER	6600	29444	\N	\N	\N
1501218	5118	1996-01-02	VYDAJ	VYBER	5200	28982	\N	\N	\N
1501219	5118	1996-02-01	PRIJEM	VKLAD	2300	20240	\N	\N	\N
1501220	5118	1996-03-02	VYDAJ	VYBER	2900	21490	\N	\N	\N
1501221	5118	1996-04-01	VYDAJ	VYBER	600	24949	\N	\N	\N
1501222	5118	1996-05-01	PRIJEM	VKLAD	4400	26133	\N	\N	\N
1501223	5118	1996-05-31	PRIJEM	VKLAD	800	28361	\N	\N	\N
1501224	5118	1996-06-30	VYDAJ	VYBER	4100	33570	\N	\N	\N
1501225	5118	1996-07-30	VYDAJ	VYBER	3100	33038	\N	\N	\N
1501226	5118	1996-09-28	VYDAJ	VYBER	3500	36101	\N	\N	\N
1501227	5118	1996-10-28	VYDAJ	VYBER	1000	38821	\N	\N	\N
1501228	5118	1996-11-27	VYDAJ	VYBER	5400	37541	\N	\N	\N
1501229	5118	1996-12-27	VYDAJ	VYBER	5000	39410	\N	\N	\N
1501230	5118	1997-01-26	PRIJEM	VKLAD	7100	23040	\N	\N	\N
1501231	5118	1997-02-25	PRIJEM	VKLAD	4900	26960	\N	\N	\N
1501232	5118	1997-03-27	VYDAJ	VYBER	300	30807	\N	\N	\N
1501233	5118	1997-04-26	PRIJEM	VKLAD	1100	35487	\N	\N	\N
1501234	5118	1997-05-26	VYDAJ	VYBER	4700	34672	\N	\N	\N
1501235	5118	1997-06-25	VYDAJ	VYBER	300	36718	\N	\N	\N
1501236	5118	1997-07-25	VYDAJ	VYBER	2500	38115	\N	\N	\N
1501237	5118	1997-08-24	VYDAJ	VYBER	4900	37121	\N	\N	\N
1501238	5118	1997-09-23	VYDAJ	VYBER	2600	38431	\N	\N	\N
1501239	5118	1997-10-23	VYDAJ	VYBER	4500	36880	\N	\N	\N
1501240	5118	1997-11-22	VYDAJ	VYBER	3800	36989	\N	\N	\N
1501241	5118	1997-12-22	VYDAJ	VYBER	1800	41219	\N	\N	\N
1501242	5118	1998-01-21	VYDAJ	VYBER	2400	35653	\N	\N	\N
1501243	5118	1998-02-20	PRIJEM	VKLAD	1400	33393	\N	\N	\N
1501244	5118	1998-03-22	VYDAJ	VYBER	200	33224	\N	\N	\N
1501245	5118	1998-04-21	VYDAJ	VYBER	2800	34303	\N	\N	\N
1501246	5118	1998-05-21	VYDAJ	VYBER	1300	36892	\N	\N	\N
1501247	5118	1998-06-20	VYDAJ	VYBER	2600	42393	\N	\N	\N
1501248	5118	1998-07-20	VYDAJ	VYBER	2100	44211	\N	\N	\N
1501249	5118	1998-08-19	VYDAJ	VYBER	4400	40141	\N	\N	\N
1501250	5118	1998-09-18	VYDAJ	VYBER	3900	40160	\N	\N	\N
1501251	5118	1998-10-18	VYDAJ	VYBER	7100	36975	\N	\N	\N
1501252	5118	1998-11-17	VYDAJ	VYBER	7500	28943	\N	\N	\N
1501253	5118	1998-12-17	VYDAJ	VYBER	4400	32623	\N	\N	\N
1501593	5120	1993-06-21	PRIJEM	VKLAD	200	200	\N	\N	\N
1501594	5120	1993-11-13	PRIJEM	VKLAD	6300	30800	\N	\N	\N
1501597	5120	1993-12-23	PRIJEM	VKLAD	41687	87280	\N	\N	\N
1501598	5120	1993-12-01	PRIJEM	VKLAD	38040	67393	\N	\N	\N
1501599	5120	1994-05-15	PRIJEM	VKLAD	18412	44721	\N	\N	\N
1501600	5120	1994-07-31	PRIJEM	VKLAD	26908	99294	\N	\N	\N
1501601	5120	1994-05-17	PRIJEM	VKLAD	33811	78532	\N	\N	\N
1501602	5120	1994-01-08	PRIJEM	VKLAD	32451	119934	\N	\N	\N
1501603	5120	1994-08-31	PRIJEM	VKLAD	11304	44937	\N	\N	\N
1501604	5120	1994-07-23	PRIJEM	VKLAD	33292	72156	\N	\N	\N
1501605	5120	1994-12-21	PRIJEM	VKLAD	49475	102252	\N	\N	\N
1501606	5120	1994-06-26	PRIJEM	VKLAD	22301	41008	\N	\N	\N
1501607	5120	1994-07-09	PRIJEM	VKLAD	44802	64472	\N	\N	\N
1501608	5120	1994-05-07	PRIJEM	VKLAD	18412	29317	\N	\N	\N
1501609	5120	1994-11-16	PRIJEM	VKLAD	38300	47825	\N	\N	\N
1501610	5120	1994-12-21	PRIJEM	VKLAD	36382	52777	\N	\N	\N
1501611	5120	1994-02-18	PRIJEM	VKLAD	33411	75655	\N	\N	\N
1501612	5120	1995-01-02	PRIJEM	VKLAD	38299	70516	\N	\N	\N
1501613	5120	1995-07-09	PRIJEM	VKLAD	16860	84369	\N	\N	\N
1501614	5120	1995-02-14	PRIJEM	VKLAD	8404	20655	\N	\N	\N
1501615	5120	1995-08-03	PRIJEM	VKLAD	40242	85287	\N	\N	\N
1501616	5120	1995-10-10	PRIJEM	VKLAD	15751	39437	\N	\N	\N
1501617	5120	1995-11-02	PRIJEM	VKLAD	33527	82958	\N	\N	\N
1501618	5120	1995-03-27	PRIJEM	VKLAD	19759	47343	\N	\N	\N
1501619	5120	1995-10-22	PRIJEM	VKLAD	19612	49302	\N	\N	\N
1501620	5120	1995-06-13	PRIJEM	VKLAD	29638	43588	\N	\N	\N
1501621	5120	1995-02-27	PRIJEM	VKLAD	19507	40162	\N	\N	\N
1501622	5120	1995-06-30	PRIJEM	VKLAD	37589	81324	\N	\N	\N
1501623	5120	1996-01-27	PRIJEM	VKLAD	38849	114652	\N	\N	\N
1501624	5120	1996-12-27	PRIJEM	VKLAD	18503	75179	\N	\N	\N
1501625	5120	1996-03-17	PRIJEM	VKLAD	49636	107224	\N	\N	\N
1501626	5120	1996-05-25	PRIJEM	VKLAD	30523	55267	\N	\N	\N
1501627	5120	1996-06-03	PRIJEM	VKLAD	22309	64209	\N	\N	\N
1501628	5120	1996-02-15	PRIJEM	VKLAD	5036	46192	\N	\N	\N
1501629	5120	1996-03-08	PRIJEM	VKLAD	21988	67335	\N	\N	\N
1501630	5120	1996-01-13	PRIJEM	VKLAD	38735	49404	\N	\N	\N
1501631	5120	1996-11-29	PRIJEM	VKLAD	24539	105543	\N	\N	\N
1501632	5120	1996-07-17	PRIJEM	VKLAD	10037	47676	\N	\N	\N
1501633	5120	1996-12-30	PRIJEM	VKLAD	21341	93220	\N	\N	\N
1501634	5120	1996-10-06	PRIJEM	VKLAD	26974	54977	\N	\N	\N
1501635	5120	1996-01-22	PRIJEM	VKLAD	45299	92303	\N	\N	\N
1501636	5120	1996-11-21	PRIJEM	VKLAD	31332	81004	\N	\N	\N
1501637	5120	1996-06-17	PRIJEM	VKLAD	28115	65877	\N	\N	\N
1501638	5120	1996-11-02	PRIJEM	VKLAD	44042	82819	\N	\N	\N
1501639	5120	1996-01-30	PRIJEM	VKLAD	28799	110451	\N	\N	\N
1501640	5120	1996-02-22	PRIJEM	VKLAD	16823	63015	\N	\N	\N
1501641	5120	1996-04-28	PRIJEM	VKLAD	23437	53942	\N	\N	\N
1501642	5120	1996-01-31	PRIJEM	VKLAD	10069	74420	\N	\N	\N
1501643	5120	1997-05-18	PRIJEM	VKLAD	22897	39775	\N	\N	\N
1501644	5120	1997-02-23	PRIJEM	VKLAD	9381	51455	\N	\N	\N
1501645	5120	1997-02-02	PRIJEM	VKLAD	41290	85638	\N	\N	\N
1501646	5120	1997-03-07	PRIJEM	VKLAD	22977	66024	\N	\N	\N
1501647	5120	1997-01-20	PRIJEM	VKLAD	11188	76928	\N	\N	\N
1501648	5120	1997-11-02	PRIJEM	VKLAD	44840	81719	\N	\N	\N
1501649	5120	1997-10-20	PRIJEM	VKLAD	8025	23369	\N	\N	\N
1501650	5120	1997-01-18	PRIJEM	VKLAD	17009	65740	\N	\N	\N
1501651	5120	1997-10-20	PRIJEM	VKLAD	33276	56645	\N	\N	\N
1501652	5120	1997-02-10	PRIJEM	VKLAD	25882	111520	\N	\N	\N
1501653	5120	1998-03-31	PRIJEM	VKLAD	45612	111909	\N	\N	\N
1501654	5120	1998-11-25	PRIJEM	VKLAD	40293	98303	\N	\N	\N
1501655	5120	1998-02-13	PRIJEM	VKLAD	6540	35234	\N	\N	\N
1501656	5120	1998-05-09	PRIJEM	VKLAD	32318	93826	\N	\N	\N
1501657	5120	1998-06-22	PRIJEM	VKLAD	12828	99427	\N	\N	\N
1501658	5120	1998-03-12	PRIJEM	VKLAD	26527	99724	\N	\N	\N
1501659	5120	1998-12-18	PRIJEM	VKLAD	29289	102070	\N	\N	\N
1501660	5120	1998-12-20	PRIJEM	VKLAD	26869	128939	\N	\N	\N
1501661	5120	1998-03-01	PRIJEM	VKLAD	7071	48347	\N	\N	\N
1501662	5120	1998-06-10	PRIJEM	VKLAD	49286	91054	\N	\N	\N
1501663	5120	1998-06-10	PRIJEM	VKLAD	5292	96346	\N	\N	\N
1501664	5120	1998-07-24	PRIJEM	VKLAD	46485	120887	\N	\N	\N
1501665	5120	1998-02-10	PRIJEM	VKLAD	8938	38441	\N	\N	\N
1501666	5120	1998-10-13	PRIJEM	VKLAD	23952	63288	\N	\N	\N
1501667	5120	1998-10-26	PRIJEM	VKLAD	27999	81987	\N	\N	\N
1501668	5120	1998-07-20	PRIJEM	VKLAD	32215	88502	\N	\N	\N
1501669	5120	1998-03-10	PRIJEM	VKLAD	27858	76205	\N	\N	\N
1501670	5120	1998-01-25	PRIJEM	VKLAD	35363	46088	\N	\N	\N
1501671	5120	1998-09-12	PRIJEM	VKLAD	5936	43482	\N	\N	\N
1501672	5120	1998-04-28	PRIJEM	VKLAD	15809	61338	\N	\N	\N
1501673	5120	1998-11-04	PRIJEM	VKLAD	34583	116790	\N	\N	\N
1501688	5120	1994-03-10	VYDAJ	VYBER	7700	65203	\N	\N	0
1501689	5120	1994-04-16	VYDAJ	VYBER	7800	7618	\N	\N	0
1501690	5120	1994-05-03	VYDAJ	VYBER	6800	10905	\N	\N	0
1501691	5120	1994-06-21	VYDAJ	VYBER	8800	18707	\N	\N	0
1501692	5120	1994-07-21	VYDAJ	VYBER	6200	38864	\N	\N	0
1501693	5120	1994-08-12	VYDAJ	PREVOD NA UCET	6739	44733	UVER	MN	4935771
1501694	5120	1994-09-12	VYDAJ	PREVOD NA UCET	6739	9016	UVER	MN	4935771
1501695	5120	1994-10-12	VYDAJ	PREVOD NA UCET	6739	5035	UVER	MN	4935771
1501696	5120	1994-11-12	VYDAJ	PREVOD NA UCET	6739	2125	UVER	MN	4935771
1501697	5120	1994-12-12	VYDAJ	PREVOD NA UCET	6739	38186	UVER	MN	4935771
1501698	5120	1995-01-12	VYDAJ	PREVOD NA UCET	6739	39769	UVER	MN	4935771
1501699	5120	1995-02-12	VYDAJ	PREVOD NA UCET	6739	12251	UVER	MN	4935771
1501700	5120	1995-03-12	VYDAJ	PREVOD NA UCET	6739	30484	UVER	MN	4935771
1501701	5120	1995-04-12	VYDAJ	PREVOD NA UCET	6739	28729	UVER	MN	4935771
1501702	5120	1995-05-12	VYDAJ	PREVOD NA UCET	6739	19417	UVER	MN	4935771
1501703	5120	1995-06-12	VYDAJ	PREVOD NA UCET	6739	13950	UVER	MN	4935771
1501704	5120	1995-07-12	VYDAJ	PREVOD NA UCET	6739	44822	UVER	MN	4935771
1501705	5120	1995-08-12	VYDAJ	PREVOD NA UCET	6739	47341	UVER	MN	4935771
1501706	5120	1995-09-12	VYDAJ	PREVOD NA UCET	6739	22877	UVER	MN	4935771
1501707	5120	1995-10-12	VYDAJ	PREVOD NA UCET	6739	29690	UVER	MN	4935771
1501708	5120	1995-11-12	VYDAJ	PREVOD NA UCET	6739	41112	UVER	MN	4935771
1501709	5120	1995-12-12	VYDAJ	PREVOD NA UCET	6739	19133	UVER	MN	4935771
1501710	5120	1996-01-12	VYDAJ	PREVOD NA UCET	6739	10669	UVER	MN	4935771
1501711	5120	1996-02-12	VYDAJ	PREVOD NA UCET	6739	41156	UVER	MN	4935771
1501712	5120	1996-03-12	VYDAJ	PREVOD NA UCET	6739	57588	UVER	MN	4935771
1501713	5120	1996-04-12	VYDAJ	PREVOD NA UCET	6739	30505	UVER	MN	4935771
1501714	5120	1996-05-12	VYDAJ	PREVOD NA UCET	6739	24744	UVER	MN	4935771
1501715	5120	1996-06-12	VYDAJ	PREVOD NA UCET	6739	37762	UVER	MN	4935771
1501716	5120	1996-07-12	VYDAJ	PREVOD NA UCET	6739	37639	UVER	MN	4935771
1501717	5120	1996-08-12	VYDAJ	PREVOD NA UCET	6739	29827	UVER	MN	4935771
1501718	5120	1996-09-12	VYDAJ	PREVOD NA UCET	6739	22414	UVER	MN	4935771
1501719	5120	1996-10-12	VYDAJ	PREVOD NA UCET	6739	38631	UVER	MN	4935771
1501720	5120	1996-11-12	VYDAJ	PREVOD NA UCET	6739	49672	UVER	MN	4935771
1501721	5120	1996-12-12	VYDAJ	PREVOD NA UCET	6739	60576	UVER	MN	4935771
1501722	5120	1997-01-12	VYDAJ	PREVOD NA UCET	6739	48731	UVER	MN	4935771
1501723	5120	1997-02-12	VYDAJ	PREVOD NA UCET	6739	42074	UVER	MN	4935771
1501724	5120	1997-03-12	VYDAJ	PREVOD NA UCET	6739	56277	UVER	MN	4935771
1501725	5120	1997-04-12	VYDAJ	PREVOD NA UCET	6739	14363	UVER	MN	4935771
1501726	5120	1997-05-12	VYDAJ	PREVOD NA UCET	6739	16878	UVER	MN	4935771
1501727	5120	1997-06-12	VYDAJ	PREVOD NA UCET	6739	26241	UVER	MN	4935771
1501728	5120	1997-07-12	VYDAJ	PREVOD NA UCET	6739	16661	UVER	MN	4935771
1501729	5120	1997-08-12	VYDAJ	PREVOD NA UCET	6739	22995	UVER	MN	4935771
1501730	5120	1997-09-12	VYDAJ	PREVOD NA UCET	6739	9935	UVER	MN	4935771
1501731	5120	1997-10-12	VYDAJ	PREVOD NA UCET	6739	15344	UVER	MN	4935771
1501732	5120	1997-11-12	VYDAJ	PREVOD NA UCET	6739	71972	UVER	MN	4935771
1501733	5120	1997-12-12	VYDAJ	PREVOD NA UCET	6739	42660	UVER	MN	4935771
1501734	5120	1998-01-12	VYDAJ	PREVOD NA UCET	6739	10725	UVER	MN	4935771
1501735	5120	1998-02-12	VYDAJ	PREVOD NA UCET	6739	28694	UVER	MN	4935771
1501736	5120	1998-03-12	VYDAJ	PREVOD NA UCET	6739	92985	UVER	MN	4935771
1501737	5120	1998-04-12	VYDAJ	PREVOD NA UCET	6739	38429	UVER	MN	4935771
1501738	5120	1998-05-12	VYDAJ	PREVOD NA UCET	6739	84080	UVER	MN	4935771
1501739	5120	1998-06-12	VYDAJ	PREVOD NA UCET	6739	86599	UVER	MN	4935771
1501740	5120	1998-07-12	VYDAJ	PREVOD NA UCET	6739	56287	UVER	MN	4935771
1501741	5120	1998-07-28	VYDAJ	VYBER	7000	50287	\N	\N	0
1501742	5120	1998-08-26	VYDAJ	VYBER	7300	43041	\N	\N	0
1501743	5120	1998-10-15	VYDAJ	VYBER	4500	58788	\N	\N	0
1501744	5120	1998-11-11	VYDAJ	VYBER	7800	73682	\N	\N	0
1501745	5120	1998-12-02	VYDAJ	VYBER	4300	94317	\N	\N	0
1501760	5120	1994-03-10	VYDAJ	PREVOD NA UCET	3008	72903	SIPO	YZ	26903707
1501761	5120	1994-04-10	VYDAJ	PREVOD NA UCET	3008	15418	SIPO	YZ	26903707
1501762	5120	1994-05-10	VYDAJ	PREVOD NA UCET	3008	26309	SIPO	YZ	26903707
1501763	5120	1994-06-10	VYDAJ	PREVOD NA UCET	3008	24907	SIPO	YZ	26903707
1501764	5120	1994-07-10	VYDAJ	PREVOD NA UCET	3008	61464	SIPO	YZ	26903707
1501765	5120	1994-08-10	VYDAJ	PREVOD NA UCET	3008	66172	SIPO	YZ	26903707
1501766	5120	1994-09-10	VYDAJ	PREVOD NA UCET	3008	15755	SIPO	YZ	26903707
1501767	5120	1994-10-10	VYDAJ	PREVOD NA UCET	3008	11773	SIPO	YZ	26903707
1501768	5120	1994-11-10	VYDAJ	PREVOD NA UCET	3008	8864	SIPO	YZ	26903707
1501769	5120	1994-12-10	VYDAJ	PREVOD NA UCET	3008	44925	SIPO	YZ	26903707
1501770	5120	1995-01-10	VYDAJ	PREVOD NA UCET	3008	60008	SIPO	YZ	26903707
1501771	5120	1995-02-10	VYDAJ	PREVOD NA UCET	3008	13790	SIPO	YZ	26903707
1501772	5120	1995-03-10	VYDAJ	PREVOD NA UCET	3008	37223	SIPO	YZ	26903707
1501773	5120	1995-04-10	VYDAJ	PREVOD NA UCET	3008	44468	SIPO	YZ	26903707
1501774	5120	1995-05-10	VYDAJ	PREVOD NA UCET	3008	25855	SIPO	YZ	26903707
1501775	5120	1995-06-10	VYDAJ	PREVOD NA UCET	3008	16489	SIPO	YZ	26903707
1501776	5120	1995-07-10	VYDAJ	PREVOD NA UCET	3008	81361	SIPO	YZ	26903707
1501777	5120	1995-08-10	VYDAJ	PREVOD NA UCET	3008	82279	SIPO	YZ	26903707
1501778	5120	1995-09-10	VYDAJ	PREVOD NA UCET	3008	29616	SIPO	YZ	26903707
1501779	5120	1995-10-10	VYDAJ	PREVOD NA UCET	3008	36429	SIPO	YZ	26903707
1501780	5120	1995-11-10	VYDAJ	PREVOD NA UCET	3008	47850	SIPO	YZ	26903707
1501781	5120	1995-12-10	VYDAJ	PREVOD NA UCET	3008	25872	SIPO	YZ	26903707
1501782	5120	1996-01-10	VYDAJ	PREVOD NA UCET	3008	17407	SIPO	YZ	26903707
1501783	5120	1996-02-10	VYDAJ	PREVOD NA UCET	3008	47894	SIPO	YZ	26903707
1501784	5120	1996-03-10	VYDAJ	PREVOD NA UCET	3008	64327	SIPO	YZ	26903707
1501785	5120	1996-04-10	VYDAJ	PREVOD NA UCET	3008	37244	SIPO	YZ	26903707
1501786	5120	1996-05-10	VYDAJ	PREVOD NA UCET	3008	31483	SIPO	YZ	26903707
1501787	5120	1996-06-10	VYDAJ	PREVOD NA UCET	3008	44501	SIPO	YZ	26903707
1501788	5120	1996-07-10	VYDAJ	PREVOD NA UCET	3008	44377	SIPO	YZ	26903707
1501789	5120	1996-08-10	VYDAJ	PREVOD NA UCET	3008	36566	SIPO	YZ	26903707
1501790	5120	1996-09-10	VYDAJ	PREVOD NA UCET	3008	29152	SIPO	YZ	26903707
1501791	5120	1996-10-10	VYDAJ	PREVOD NA UCET	3008	51969	SIPO	YZ	26903707
1501792	5120	1996-11-10	VYDAJ	PREVOD NA UCET	3008	56411	SIPO	YZ	26903707
1501793	5120	1996-12-10	VYDAJ	PREVOD NA UCET	3008	67315	SIPO	YZ	26903707
1501794	5120	1997-01-10	VYDAJ	PREVOD NA UCET	3008	55470	SIPO	YZ	26903707
1501795	5120	1997-02-10	VYDAJ	PREVOD NA UCET	3008	108512	SIPO	YZ	26903707
1501796	5120	1997-03-10	VYDAJ	PREVOD NA UCET	3008	63016	SIPO	YZ	26903707
1501797	5120	1997-04-10	VYDAJ	PREVOD NA UCET	3008	21102	SIPO	YZ	26903707
1501798	5120	1997-05-10	VYDAJ	PREVOD NA UCET	3008	23616	SIPO	YZ	26903707
1501799	5120	1997-06-10	VYDAJ	PREVOD NA UCET	3008	32980	SIPO	YZ	26903707
1501800	5120	1997-07-10	VYDAJ	PREVOD NA UCET	3008	23400	SIPO	YZ	26903707
1501801	5120	1997-08-10	VYDAJ	PREVOD NA UCET	3008	29733	SIPO	YZ	26903707
1501802	5120	1997-09-10	VYDAJ	PREVOD NA UCET	3008	16674	SIPO	YZ	26903707
1501803	5120	1997-10-10	VYDAJ	PREVOD NA UCET	3008	22083	SIPO	YZ	26903707
1501804	5120	1997-11-10	VYDAJ	PREVOD NA UCET	3008	78711	SIPO	YZ	26903707
1501805	5120	1997-12-10	VYDAJ	PREVOD NA UCET	3008	49399	SIPO	YZ	26903707
1501806	5120	1998-01-10	VYDAJ	PREVOD NA UCET	3008	17464	SIPO	YZ	26903707
1501807	5120	1998-02-10	VYDAJ	PREVOD NA UCET	3008	35433	SIPO	YZ	26903707
1501808	5120	1998-03-10	VYDAJ	PREVOD NA UCET	3008	73197	SIPO	YZ	26903707
1501809	5120	1998-04-10	VYDAJ	PREVOD NA UCET	3008	45168	SIPO	YZ	26903707
1501810	5120	1998-05-10	VYDAJ	PREVOD NA UCET	3008	90818	SIPO	YZ	26903707
1501811	5120	1998-06-10	VYDAJ	PREVOD NA UCET	3008	93338	SIPO	YZ	26903707
1501812	5120	1998-07-10	VYDAJ	PREVOD NA UCET	3008	63026	SIPO	YZ	26903707
1501813	5120	1998-08-10	VYDAJ	PREVOD NA UCET	3008	47541	SIPO	YZ	26903707
1501814	5120	1998-09-10	VYDAJ	PREVOD NA UCET	3008	40222	SIPO	YZ	26903707
1501815	5120	1998-10-10	VYDAJ	PREVOD NA UCET	3008	39336	SIPO	YZ	26903707
1501816	5120	1998-11-10	VYDAJ	PREVOD NA UCET	3008	81482	SIPO	YZ	26903707
1501817	5120	1998-12-10	VYDAJ	PREVOD NA UCET	3008	91309	SIPO	YZ	26903707
1501821	5120	1994-12-13	VYBER	VYBER	15574	22712	\N	\N	\N
1501823	5120	1994-09-01	VYBER	VYBER	16461	28663	\N	\N	\N
1501824	5120	1994-04-07	VYBER	VYBER	24204	18426	\N	\N	\N
1501826	5120	1994-05-17	VYBER	VYBER	19673	58859	\N	\N	\N
1501827	5120	1994-07-03	VYBER	VYBER	21442	19670	\N	\N	\N
1501830	5120	1994-05-29	VYBER	VYBER	10891	27768	\N	\N	\N
1501833	5120	1994-12-14	VYBER	VYBER	6317	16395	\N	\N	\N
1501834	5120	1994-12-24	VYBER	VYBER	12478	37774	\N	\N	\N
1501835	5120	1997-01-21	VYBER	VYBER	2111	74817	\N	\N	\N
1501836	5120	1997-12-25	VYBER	VYBER	20762	21898	\N	\N	\N
1501839	5120	1997-07-07	VYBER	VYBER	6943	26408	\N	\N	\N
1501840	5120	1997-04-02	VYBER	VYBER	17281	24110	\N	\N	\N
1501843	5120	1997-09-06	VYBER	VYBER	3112	19682	\N	\N	\N
1501845	5120	1997-01-01	VYBER	VYBER	5147	88378	\N	\N	\N
1501846	5120	1997-05-19	VYBER	VYBER	6772	33003	\N	\N	\N
1501847	5120	1997-10-25	VYBER	VYBER	23153	33492	\N	\N	\N
1501848	5120	1998-02-01	VYBER	VYBER	11871	29503	\N	\N	\N
1501849	5120	1998-05-30	VYBER	VYBER	16407	55873	\N	\N	\N
1501850	5120	1998-09-11	VYBER	VYBER	2676	37546	\N	\N	\N
1501852	5120	1998-12-13	VYBER	VYBER	18528	72781	\N	\N	\N
1501853	5120	1998-11-19	VYBER	VYBER	9672	64010	\N	\N	\N
1501854	5120	1998-03-14	VYBER	VYBER	9288	83697	\N	\N	\N
1501860	5120	1998-06-02	VYDAJ	VYBER	14400	41768	\N	\N	\N
1501864	5120	1996-12-22	VYDAJ	VYBER	3900	56676	\N	\N	\N
1501865	5120	1997-12-03	VYDAJ	VYBER	6300	52407	\N	\N	\N
1501866	5120	1998-12-30	VYDAJ	VYBER	7200	64839	\N	\N	\N
1501879	5120	1995-01-18	VYDAJ	VYBER	8700	18169	\N	\N	\N
1501880	5120	1995-01-15	VYDAJ	VYBER	6600	26869	\N	\N	\N
1501882	5120	1995-01-04	VYDAJ	VYBER	7500	63016	\N	\N	\N
1501883	5120	1995-01-12	VYDAJ	VYBER	6300	33469	\N	\N	\N
1501884	5120	1995-01-28	VYDAJ	VYBER	1500	16669	\N	\N	\N
1501886	5120	1996-01-29	VYDAJ	VYBER	3600	81652	\N	\N	\N
1501887	5120	1996-01-23	VYDAJ	VYBER	8700	83603	\N	\N	\N
1501889	5120	1996-01-16	VYDAJ	VYBER	2400	47004	\N	\N	\N
1501890	5120	1996-01-23	VYDAJ	VYBER	7800	75803	\N	\N	\N
1501891	5120	1997-01-22	VYDAJ	VYBER	6300	68517	\N	\N	\N
1501892	5120	1997-01-28	VYDAJ	VYBER	1500	56517	\N	\N	\N
1501893	5120	1997-01-27	VYDAJ	VYBER	3300	58017	\N	\N	\N
1501894	5120	1997-01-02	VYDAJ	VYBER	2400	61178	\N	\N	\N
1501895	5120	1997-01-23	VYDAJ	VYBER	7200	61317	\N	\N	\N
1501896	5120	1997-01-05	VYDAJ	VYBER	2700	58478	\N	\N	\N
1501897	5120	1998-01-27	VYDAJ	VYBER	1500	47288	\N	\N	\N
1501898	5120	1998-01-04	VYDAJ	VYBER	8100	28872	\N	\N	\N
1501899	5120	1998-01-07	VYDAJ	VYBER	1800	20472	\N	\N	\N
1501900	5120	1998-01-29	VYDAJ	VYBER	6000	41288	\N	\N	\N
1501901	5120	1998-01-06	VYDAJ	VYBER	6600	22272	\N	\N	\N
1501909	5120	1994-12-30	VYDAJ	VYBER	5700	32074	\N	\N	\N
1501910	5120	1994-08-12	VYDAJ	VYBER	14700	51472	\N	\N	\N
1501912	5120	1994-09-05	VYDAJ	VYBER	9900	18763	\N	\N	\N
1501914	5120	1995-08-21	VYDAJ	VYBER	4200	43141	\N	\N	\N
1501915	5120	1995-07-04	VYDAJ	VYBER	13800	67509	\N	\N	\N
1501916	5120	1995-11-12	VYDAJ	VYBER	9900	31212	\N	\N	\N
1501919	5120	1996-05-26	VYDAJ	VYBER	13500	41767	\N	\N	\N
1501920	5120	1996-05-05	VYDAJ	VYBER	14400	39691	\N	\N	\N
1501921	5120	1996-12-27	VYDAJ	VYBER	3300	71879	\N	\N	\N
1501922	5120	1996-10-11	VYDAJ	VYBER	6600	45369	\N	\N	\N
1501923	5120	1997-03-28	VYDAJ	VYBER	13500	42777	\N	\N	\N
1501927	5120	1997-09-01	VYDAJ	VYBER	11400	22794	\N	\N	\N
1501928	5120	1998-07-21	VYDAJ	VYBER	14100	74402	\N	\N	\N
1501929	5120	1998-07-04	VYDAJ	VYBER	10500	66034	\N	\N	\N
1501944	5120	1994-02-28	VYDAJ	VYBER	15	75911	SLUZBY	\N	\N
1501945	5120	1994-03-31	VYDAJ	VYBER	15	42630	SLUZBY	\N	\N
1501946	5120	1994-04-30	VYDAJ	VYBER	15	17705	SLUZBY	\N	\N
1501947	5120	1994-05-31	VYDAJ	VYBER	15	27915	SLUZBY	\N	\N
1501948	5120	1994-06-30	VYDAJ	VYBER	15	41112	SLUZBY	\N	\N
1501949	5120	1994-07-31	VYDAJ	VYBER	15	69180	SLUZBY	\N	\N
1501950	5120	1994-08-31	VYDAJ	VYBER	15	45124	SLUZBY	\N	\N
1501951	5120	1994-09-30	VYDAJ	VYBER	15	14781	SLUZBY	\N	\N
1501952	5120	1994-10-31	VYDAJ	VYBER	15	11872	SLUZBY	\N	\N
1501953	5120	1994-11-30	VYDAJ	VYBER	15	47933	SLUZBY	\N	\N
1501954	5120	1994-12-31	VYDAJ	VYBER	15	32217	SLUZBY	\N	\N
1501955	5120	1995-01-31	VYDAJ	VYBER	15	16798	SLUZBY	\N	\N
1501956	5120	1995-02-28	VYDAJ	VYBER	15	40231	SLUZBY	\N	\N
1501957	5120	1995-03-31	VYDAJ	VYBER	15	47476	SLUZBY	\N	\N
1501958	5120	1995-04-30	VYDAJ	VYBER	15	28863	SLUZBY	\N	\N
1501959	5120	1995-05-31	VYDAJ	VYBER	15	19497	SLUZBY	\N	\N
1501960	5120	1995-06-30	VYDAJ	VYBER	15	81309	SLUZBY	\N	\N
1501961	5120	1995-07-31	VYDAJ	VYBER	15	45045	SLUZBY	\N	\N
1501962	5120	1995-08-31	VYDAJ	VYBER	15	43324	SLUZBY	\N	\N
1501963	5120	1995-09-30	VYDAJ	VYBER	15	22986	SLUZBY	\N	\N
1501964	5120	1995-10-31	VYDAJ	VYBER	15	49431	SLUZBY	\N	\N
1501965	5120	1995-11-30	VYDAJ	VYBER	15	31380	SLUZBY	\N	\N
1501966	5120	1995-12-31	VYDAJ	VYBER	15	19215	SLUZBY	\N	\N
1501967	5120	1996-01-31	VYDAJ	VYBER	15	74602	SLUZBY	\N	\N
1501968	5120	1996-02-29	VYDAJ	VYBER	15	63247	SLUZBY	\N	\N
1501969	5120	1996-03-31	VYDAJ	VYBER	15	50552	SLUZBY	\N	\N
1501970	5120	1996-04-30	VYDAJ	VYBER	15	54091	SLUZBY	\N	\N
1501971	5120	1996-05-31	VYDAJ	VYBER	15	41900	SLUZBY	\N	\N
1501972	5120	1996-06-30	VYDAJ	VYBER	15	66085	SLUZBY	\N	\N
1501973	5120	1996-07-31	VYDAJ	VYBER	15	47874	SLUZBY	\N	\N
1501974	5120	1996-08-31	VYDAJ	VYBER	15	29960	SLUZBY	\N	\N
1501975	5120	1996-09-30	VYDAJ	VYBER	15	22503	SLUZBY	\N	\N
1501976	5120	1996-10-31	VYDAJ	VYBER	15	38777	SLUZBY	\N	\N
1501977	5120	1996-11-30	VYDAJ	VYBER	15	105823	SLUZBY	\N	\N
1501978	5120	1996-12-31	VYDAJ	VYBER	15	93525	SLUZBY	\N	\N
1501979	5120	1997-01-31	VYDAJ	VYBER	15	44348	SLUZBY	\N	\N
1501980	5120	1997-02-28	VYDAJ	VYBER	15	51647	SLUZBY	\N	\N
1501981	5120	1997-03-31	VYDAJ	VYBER	15	42991	SLUZBY	\N	\N
1501982	5120	1997-04-30	VYDAJ	VYBER	15	14424	SLUZBY	\N	\N
1501983	5120	1997-05-31	VYDAJ	VYBER	15	35988	SLUZBY	\N	\N
1501984	5120	1997-06-30	VYDAJ	VYBER	15	33351	SLUZBY	\N	\N
1501985	5120	1997-07-31	VYDAJ	VYBER	15	32741	SLUZBY	\N	\N
1501986	5120	1997-08-31	VYDAJ	VYBER	15	34194	SLUZBY	\N	\N
1501987	5120	1997-09-30	VYDAJ	VYBER	15	25091	SLUZBY	\N	\N
1501988	5120	1997-10-31	VYDAJ	VYBER	15	36879	SLUZBY	\N	\N
1501989	5120	1997-11-30	VYDAJ	VYBER	15	58707	SLUZBY	\N	\N
1501990	5120	1997-12-31	VYDAJ	VYBER	15	36972	SLUZBY	\N	\N
1501991	5120	1998-01-31	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
1501992	5120	1998-02-28	VYDAJ	VYBER	15	41276	SLUZBY	\N	\N
1501993	5120	1998-03-31	VYDAJ	VYBER	15	48176	SLUZBY	\N	\N
1501994	5120	1998-04-30	VYDAJ	VYBER	15	61508	SLUZBY	\N	\N
1501995	5120	1998-05-31	VYDAJ	VYBER	15	56168	SLUZBY	\N	\N
1501996	5120	1998-06-30	VYDAJ	VYBER	15	76534	SLUZBY	\N	\N
1501997	5120	1998-07-31	VYDAJ	VYBER	15	50549	SLUZBY	\N	\N
1501998	5120	1998-08-31	VYDAJ	VYBER	15	43230	SLUZBY	\N	\N
1501999	5120	1998-09-30	VYDAJ	VYBER	15	42344	SLUZBY	\N	\N
1502000	5120	1998-10-31	VYDAJ	VYBER	15	82207	SLUZBY	\N	\N
1502001	5120	1998-11-30	VYDAJ	VYBER	15	98617	SLUZBY	\N	\N
1502002	5120	1993-07-21	PRIJEM	VKLAD	11400	11600	\N	\N	\N
1502003	5120	1993-08-20	PRIJEM	VKLAD	8400	20000	\N	\N	\N
1502004	5120	1993-09-19	PRIJEM	VKLAD	100	20100	\N	\N	\N
1502005	5120	1993-10-19	PRIJEM	VKLAD	4400	24500	\N	\N	\N
1502006	5120	1993-11-18	VYDAJ	VYBER	1500	29300	\N	\N	\N
1502007	5120	1993-12-18	VYDAJ	VYBER	21800	45593	\N	\N	\N
1502008	5120	1994-01-08	VYDAJ	VYBER	28100	91834	\N	\N	\N
1502009	5120	1994-01-17	VYDAJ	VYBER	33900	57934	\N	\N	\N
1502010	5120	1994-02-16	VYDAJ	VYBER	16000	42244	\N	\N	\N
1502011	5120	1994-03-18	VYDAJ	VYBER	22800	42403	\N	\N	\N
1502012	5120	1994-04-17	PRIJEM	VKLAD	10000	17618	\N	\N	\N
1502013	5120	1994-05-17	VYDAJ	VYBER	20200	38659	\N	\N	\N
1502014	5120	1994-06-16	PRIJEM	VKLAD	2600	27507	\N	\N	\N
1502015	5120	1994-07-16	VYDAJ	VYBER	16400	45064	\N	\N	\N
1502016	5120	1994-07-31	VYDAJ	VYBER	30100	69194	\N	\N	\N
1502017	5120	1994-08-15	VYDAJ	VYBER	11100	33633	\N	\N	\N
1502018	5120	1994-09-14	PRIJEM	VKLAD	5700	14716	\N	\N	\N
1502019	5120	1994-10-14	PRIJEM	VKLAD	6800	11835	\N	\N	\N
1502020	5120	1994-11-13	PRIJEM	VKLAD	7400	9525	\N	\N	\N
1502021	5120	1994-12-13	PRIJEM	VKLAD	100	38286	\N	\N	\N
1502022	5120	1994-12-21	VYDAJ	VYBER	52000	50252	\N	\N	\N
1502023	5120	1995-01-12	VYDAJ	VYBER	13500	46508	\N	\N	\N
1502024	5120	1995-02-11	PRIJEM	VKLAD	5200	18990	\N	\N	\N
1502025	5120	1995-03-13	VYDAJ	VYBER	2900	27584	\N	\N	\N
1502026	5120	1995-04-12	VYDAJ	VYBER	9000	35468	\N	\N	\N
1502027	5120	1995-05-12	PRIJEM	VKLAD	300	26155	\N	\N	\N
1502028	5120	1995-06-11	PRIJEM	VKLAD	4200	20689	\N	\N	\N
1502029	5120	1995-07-11	VYDAJ	VYBER	29800	51561	\N	\N	\N
1502030	5120	1995-08-10	VYDAJ	VYBER	28200	54079	\N	\N	\N
1502031	5120	1995-09-09	VYDAJ	VYBER	10700	32624	\N	\N	\N
1502032	5120	1995-10-09	PRIJEM	VKLAD	700	23686	\N	\N	\N
1502033	5120	1995-11-08	VYDAJ	VYBER	32100	50858	\N	\N	\N
1502034	5120	1995-12-08	VYDAJ	VYBER	2500	28880	\N	\N	\N
1502035	5120	1996-01-07	PRIJEM	VKLAD	1200	20415	\N	\N	\N
1502036	5120	1996-01-27	VYDAJ	VYBER	29400	85252	\N	\N	\N
1502037	5120	1996-01-30	VYDAJ	VYBER	46100	64351	\N	\N	\N
1502038	5120	1996-02-06	VYDAJ	VYBER	23700	50902	\N	\N	\N
1502039	5120	1996-03-07	VYDAJ	VYBER	17900	45347	\N	\N	\N
1502040	5120	1996-03-17	VYDAJ	VYBER	57000	50224	\N	\N	\N
1502041	5120	1996-04-06	VYDAJ	VYBER	10300	40252	\N	\N	\N
1502042	5120	1996-05-06	VYDAJ	VYBER	5200	34491	\N	\N	\N
1502043	5120	1996-06-05	VYDAJ	VYBER	16700	47509	\N	\N	\N
1502044	5120	1996-07-05	VYDAJ	VYBER	18700	47385	\N	\N	\N
1502045	5120	1996-08-04	VYDAJ	VYBER	8300	39574	\N	\N	\N
1502046	5120	1996-09-03	PRIJEM	VKLAD	2200	32160	\N	\N	\N
1502047	5120	1996-10-03	PRIJEM	VKLAD	5500	28003	\N	\N	\N
1502048	5120	1996-11-02	VYDAJ	VYBER	23400	59419	\N	\N	\N
1502049	5120	1996-12-02	VYDAJ	VYBER	35500	70323	\N	\N	\N
1502050	5120	1997-01-01	VYDAJ	VYBER	24800	63578	\N	\N	\N
1502051	5120	1997-01-31	VYDAJ	VYBER	12400	44363	\N	\N	\N
1502052	5120	1997-02-10	VYDAJ	VYBER	59700	48812	\N	\N	\N
1502053	5120	1997-03-02	VYDAJ	VYBER	8600	43047	\N	\N	\N
1502054	5120	1997-04-01	VYDAJ	VYBER	1600	41391	\N	\N	\N
1502055	5120	1997-05-01	PRIJEM	VKLAD	12200	26624	\N	\N	\N
1502056	5120	1997-05-31	PRIJEM	VKLAD	2900	36003	\N	\N	\N
1502057	5120	1997-06-30	PRIJEM	VKLAD	7000	33365	\N	\N	\N
1502058	5120	1997-07-30	PRIJEM	VKLAD	16000	32661	\N	\N	\N
1502059	5120	1997-08-29	PRIJEM	VKLAD	11100	34095	\N	\N	\N
1502060	5120	1997-09-28	PRIJEM	VKLAD	15100	25035	\N	\N	\N
1502061	5120	1997-10-28	PRIJEM	VKLAD	3300	36792	\N	\N	\N
1502062	5120	1997-11-27	VYDAJ	VYBER	13500	58472	\N	\N	\N
1502063	5120	1997-12-27	PRIJEM	VKLAD	14900	36798	\N	\N	\N
1502064	5120	1998-01-26	PRIJEM	VKLAD	2700	48788	\N	\N	\N
1502065	5120	1998-02-25	PRIJEM	VKLAD	5900	41134	\N	\N	\N
1502066	5120	1998-03-27	VYDAJ	VYBER	17400	66297	\N	\N	\N
1502067	5120	1998-03-31	VYDAJ	VYBER	64000	48190	\N	\N	\N
1502068	5120	1998-04-26	PRIJEM	VKLAD	7100	45529	\N	\N	\N
1502069	5120	1998-05-26	VYDAJ	VYBER	11800	72280	\N	\N	\N
1502070	5120	1998-06-25	VYDAJ	VYBER	23200	76227	\N	\N	\N
1502071	5120	1998-07-24	VYDAJ	VYBER	56300	64587	\N	\N	\N
1502072	5120	1998-07-25	VYDAJ	VYBER	7300	57287	\N	\N	\N
1502073	5120	1998-08-24	PRIJEM	VKLAD	2800	50341	\N	\N	\N
1502074	5120	1998-09-23	VYDAJ	VYBER KARTOU	1300	42182	\N	\N	0
1502075	5120	1998-10-23	VYDAJ	VYBER	4800	53988	\N	\N	\N
1502076	5120	1998-11-04	VYDAJ	VYBER	32300	84490	\N	\N	\N
1502077	5120	1998-11-22	VYDAJ	VYBER	6000	58010	\N	\N	\N
1502078	5120	1998-12-20	VYDAJ	VYBER	43800	85139	\N	\N	\N
1502079	5120	1998-12-22	VYDAJ	VYBER	13100	72039	\N	\N	\N
1503060	5125	1995-09-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1503062	5125	1995-12-08	PRIJEM	VKLAD	45797	148713	\N	\N	\N
1503066	5125	1995-11-18	PRIJEM	VKLAD	12992	53442	\N	\N	\N
1503071	5125	1995-12-22	PRIJEM	VKLAD	46363	123838	\N	\N	\N
1503076	5125	1995-11-18	PRIJEM	VKLAD	49161	102603	\N	\N	\N
1503079	5125	1995-10-08	PRIJEM	VKLAD	26084	75959	\N	\N	\N
1503081	5125	1995-12-11	PRIJEM	VKLAD	40262	156275	\N	\N	\N
1503087	5125	1995-10-03	PRIJEM	VKLAD	48875	49875	\N	\N	\N
1503090	5125	1996-04-02	PRIJEM	VKLAD	24251	90397	\N	\N	\N
1503091	5125	1996-03-02	PRIJEM	VKLAD	41978	79171	\N	\N	\N
1503092	5125	1996-07-14	PRIJEM	VKLAD	23373	63174	\N	\N	\N
1503093	5125	1996-06-18	PRIJEM	VKLAD	30141	51059	\N	\N	\N
1503094	5125	1996-01-19	PRIJEM	VKLAD	16442	44047	\N	\N	\N
1503095	5125	1996-11-08	PRIJEM	VKLAD	9182	36997	\N	\N	\N
1503096	5125	1996-03-23	PRIJEM	VKLAD	20578	69821	\N	\N	\N
1503097	5125	1996-04-04	PRIJEM	VKLAD	26301	116698	\N	\N	\N
1503098	5125	1996-06-03	PRIJEM	VKLAD	38706	66330	\N	\N	\N
1503099	5125	1996-02-09	PRIJEM	VKLAD	45949	64661	\N	\N	\N
1503100	5125	1996-08-29	PRIJEM	VKLAD	49010	78121	\N	\N	\N
1503101	5125	1996-09-04	PRIJEM	VKLAD	34907	126802	\N	\N	\N
1503102	5125	1996-07-24	PRIJEM	VKLAD	5635	47608	\N	\N	\N
1503103	5125	1996-09-01	PRIJEM	VKLAD	13611	91895	\N	\N	\N
1503104	5125	1997-07-11	PRIJEM	VKLAD	29647	36526	\N	\N	\N
1503105	5125	1997-08-09	PRIJEM	VKLAD	6619	50778	\N	\N	\N
1503106	5125	1997-12-06	PRIJEM	VKLAD	18621	17569	\N	\N	\N
1503107	5125	1997-02-03	PRIJEM	VKLAD	7429	40969	\N	\N	\N
1503108	5125	1997-10-13	PRIJEM	VKLAD	26289	45776	\N	\N	\N
1503109	5125	1997-01-11	PRIJEM	VKLAD	34801	57177	\N	\N	\N
1503110	5125	1997-09-16	PRIJEM	VKLAD	32888	34369	\N	\N	\N
1503111	5125	1997-09-17	PRIJEM	VKLAD	6503	40872	\N	\N	\N
1503112	5125	1997-12-26	PRIJEM	VKLAD	23975	46432	\N	\N	\N
1503113	5125	1997-04-01	PRIJEM	VKLAD	23163	31699	\N	\N	\N
1503114	5125	1997-03-06	PRIJEM	VKLAD	10813	27875	\N	\N	\N
1503115	5125	1997-04-25	PRIJEM	VKLAD	11780	29779	\N	\N	\N
1503116	5125	1997-01-07	PRIJEM	VKLAD	17015	22376	\N	\N	\N
1503117	5125	1997-03-06	PRIJEM	VKLAD	10488	17062	\N	\N	\N
1503118	5125	1997-07-25	PRIJEM	VKLAD	31432	61851	\N	\N	\N
1503119	5125	1997-12-19	PRIJEM	VKLAD	14579	22457	\N	\N	\N
1503120	5125	1997-07-30	PRIJEM	VKLAD	17296	79147	\N	\N	\N
1503121	5125	1998-05-23	PRIJEM	VKLAD	13335	4071	\N	\N	\N
1503122	5125	1998-10-16	PRIJEM	VKLAD	12990	13573	\N	\N	\N
1503123	5125	1998-08-05	PRIJEM	VKLAD	25808	19938	\N	\N	\N
1503124	5125	1998-01-06	PRIJEM	VKLAD	36939	56642	\N	\N	\N
1503125	5125	1998-01-29	PRIJEM	VKLAD	31569	71711	\N	\N	\N
1503130	5125	1996-12-15	VYBER	VYBER	16822	1543	\N	\N	\N
1503131	5125	1996-05-08	VYBER	VYBER	5530	44300	\N	\N	\N
1503132	5125	1996-11-10	VYBER	VYBER	21110	15887	\N	\N	\N
1503133	5125	1996-08-16	VYBER	VYBER	8685	29111	\N	\N	\N
1503134	5125	1996-06-04	VYBER	VYBER	6612	59718	\N	\N	\N
1503135	5125	1996-07-16	VYBER	VYBER	21201	41973	\N	\N	\N
1503136	5125	1996-04-22	VYBER	VYBER	3237	49561	\N	\N	\N
1503137	5125	1996-03-06	VYBER	VYBER	4628	74543	\N	\N	\N
1503138	5125	1997-12-17	VYBER	VYBER	9691	7878	\N	\N	\N
1503139	5125	1997-01-26	VYBER	VYBER	4261	33416	\N	\N	\N
1503140	5125	1997-02-08	VYBER	VYBER	18131	6538	\N	\N	\N
1503141	5125	1997-07-15	VYBER	VYBER	6107	30419	\N	\N	\N
1503142	5125	1997-10-23	VYBER	VYBER	11753	34023	\N	\N	\N
1503143	5125	1997-05-19	VYBER	VYBER	17810	932	\N	\N	\N
1503144	5125	1997-10-08	VYBER	VYBER	2986	19487	\N	\N	\N
1503149	5125	1997-09-06	VYBER	VYBER	24622	1481	\N	\N	\N
1503150	5125	1997-03-09	VYBER	VYBER	9162	8513	\N	\N	\N
1503153	5125	1996-06-05	VYDAJ	VYBER	32700	27018	\N	\N	\N
1503156	5125	1995-12-25	VYDAJ	VYBER	4200	66538	\N	\N	\N
1503166	5125	1996-01-15	VYDAJ	VYBER	2400	35405	\N	\N	\N
1503167	5125	1996-01-10	VYDAJ	VYBER	5700	61205	\N	\N	\N
1503168	5125	1996-01-24	VYDAJ	VYBER	7800	18547	\N	\N	\N
1503169	5125	1996-01-14	VYDAJ	VYBER	5100	37805	\N	\N	\N
1503170	5125	1996-01-17	VYDAJ	VYBER	7800	27605	\N	\N	\N
1503171	5125	1996-01-23	VYDAJ	VYBER	8700	26347	\N	\N	\N
1503172	5125	1997-01-24	VYDAJ	VYBER	8400	37677	\N	\N	\N
1503173	5125	1997-01-16	VYDAJ	VYBER	3000	54177	\N	\N	\N
1503176	5125	1997-01-02	VYDAJ	VYBER	2700	-1139	\N	\N	\N
1503177	5125	1997-01-16	VYDAJ	VYBER	8100	46077	\N	\N	\N
1503178	5125	1998-01-06	VYDAJ	VYBER	7800	46742	\N	\N	\N
1503179	5125	1998-01-06	VYDAJ	VYBER	2100	54542	\N	\N	\N
1503180	5125	1998-01-03	VYDAJ	VYBER	3300	19703	\N	\N	\N
1503181	5125	1998-01-14	VYDAJ	VYBER	4500	40142	\N	\N	\N
1503182	5125	1998-01-01	VYDAJ	VYBER	1800	23003	\N	\N	\N
1503183	5125	1998-01-10	VYDAJ	VYBER	2100	44642	\N	\N	\N
1503189	5125	1996-03-26	VYDAJ	VYBER	3900	65921	\N	\N	\N
1503190	5125	1996-10-05	VYDAJ	VYBER	4500	48760	\N	\N	\N
1503191	5125	1996-02-26	VYDAJ	VYBER	3900	37061	\N	\N	\N
1503192	5125	1996-06-14	VYDAJ	VYBER	5100	20918	\N	\N	\N
1503193	5125	1996-02-21	VYDAJ	VYBER	7200	40961	\N	\N	\N
1503194	5125	1996-01-19	VYDAJ	VYBER	9000	35047	\N	\N	\N
1503195	5125	1996-05-09	VYDAJ	VYBER	13800	30500	\N	\N	\N
1503197	5125	1997-08-31	VYDAJ	VYBER	7500	43503	\N	\N	\N
1503198	5125	1997-11-22	VYDAJ	VYBER	12300	4361	\N	\N	\N
1503199	5125	1997-11-26	VYDAJ	VYBER	3600	761	\N	\N	\N
1503203	5125	1998-01-31	VYDAJ	VYBER	3300	28367	\N	\N	\N
1503204	5125	1998-02-22	VYDAJ	VYBER	8700	19667	\N	\N	\N
1503218	5125	1995-12-31	VYDAJ	VYBER	15	66905	SLUZBY	\N	\N
1503219	5125	1996-01-31	VYDAJ	VYBER	15	18712	SLUZBY	\N	\N
1503220	5125	1996-02-29	VYDAJ	VYBER	15	37193	SLUZBY	\N	\N
1503221	5125	1996-03-31	VYDAJ	VYBER	15	66146	SLUZBY	\N	\N
1503222	5125	1996-04-30	VYDAJ	VYBER	15	49830	SLUZBY	\N	\N
1503223	5125	1996-05-31	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
1503224	5125	1996-06-30	VYDAJ	VYBER	15	51201	SLUZBY	\N	\N
1503225	5125	1996-07-31	VYDAJ	VYBER	15	47796	SLUZBY	\N	\N
1503226	5125	1996-08-31	VYDAJ	VYBER	15	78284	SLUZBY	\N	\N
1503227	5125	1996-09-30	VYDAJ	VYBER	15	53260	SLUZBY	\N	\N
1503228	5125	1996-10-31	VYDAJ	VYBER	15	37515	SLUZBY	\N	\N
1503229	5125	1996-11-30	VYDAJ	VYBER	15	15965	SLUZBY	\N	\N
1503230	5125	1996-12-31	VYDAJ	VYBER	15	1561	SLUZBY	\N	\N
1503231	5125	1997-01-31	VYDAJ	VYBER	15	33540	SLUZBY	\N	\N
1503232	5125	1997-02-28	VYDAJ	VYBER	15	6574	SLUZBY	\N	\N
1503233	5125	1997-03-31	VYDAJ	VYBER	15	8536	SLUZBY	\N	\N
1503234	5125	1997-04-30	VYDAJ	VYBER	15	29842	SLUZBY	\N	\N
1503235	5125	1997-05-31	VYDAJ	VYBER	15	990	SLUZBY	\N	\N
1503236	5125	1997-06-30	VYDAJ	VYBER	15	2879	SLUZBY	\N	\N
1503237	5125	1997-07-31	VYDAJ	VYBER	15	79259	SLUZBY	\N	\N
1503238	5125	1997-08-31	VYDAJ	VYBER	15	51003	SLUZBY	\N	\N
1503239	5125	1997-09-30	VYDAJ	VYBER	15	40973	SLUZBY	\N	\N
1503240	5125	1997-10-31	VYDAJ	VYBER	15	34161	SLUZBY	\N	\N
1503241	5125	1997-11-30	VYDAJ	VYBER	15	848	SLUZBY	\N	\N
1503242	5125	1997-12-31	VYDAJ	VYBER	15	46503	SLUZBY	\N	\N
1503243	5125	1998-01-31	VYDAJ	VYBER	15	71867	SLUZBY	\N	\N
1503244	5125	1998-02-28	VYDAJ	VYBER	15	19768	SLUZBY	\N	\N
1503245	5125	1998-03-31	VYDAJ	VYBER	15	5132	SLUZBY	\N	\N
1503246	5125	1998-04-30	VYDAJ	VYBER	15	-664	SLUZBY	\N	\N
1503247	5125	1998-05-31	VYDAJ	VYBER	15	4051	SLUZBY	\N	\N
1503250	5125	1998-08-31	VYDAJ	VYBER	15	6872	SLUZBY	\N	\N
1503251	5125	1998-09-30	VYDAJ	VYBER	15	583	SLUZBY	\N	\N
1503252	5125	1998-10-31	VYDAJ	VYBER	15	2659	SLUZBY	\N	\N
1503254	5125	1995-10-14	VYDAJ	VYBER	22200	53759	\N	\N	\N
1503255	5125	1995-11-13	VYDAJ	VYBER	13500	40450	\N	\N	\N
1503256	5125	1995-12-08	VYDAJ	VYBER	32700	116013	\N	\N	\N
1503257	5125	1995-12-11	VYDAJ	VYBER	35500	120775	\N	\N	\N
1503258	5125	1995-12-13	VYDAJ	VYBER	43300	77475	\N	\N	\N
1503259	5125	1995-12-22	VYDAJ	VYBER	53100	70738	\N	\N	\N
1503260	5125	1996-01-12	VYDAJ	VYBER	18300	42905	\N	\N	\N
1503261	5125	1996-02-11	VYDAJ	VYBER	16500	48161	\N	\N	\N
1503262	5125	1996-03-12	VYDAJ	VYBER	25300	49243	\N	\N	\N
1503263	5125	1996-04-04	VYDAJ	VYBER	37600	79098	\N	\N	\N
1503264	5125	1996-04-11	VYDAJ	VYBER	26300	52798	\N	\N	\N
1503265	5125	1996-05-11	VYDAJ	VYBER	3000	27500	\N	\N	\N
1503266	5125	1996-06-10	VYDAJ	VYBER	1000	26018	\N	\N	\N
1503267	5125	1996-07-10	VYDAJ	VYBER	11400	39801	\N	\N	\N
1503268	5125	1996-08-09	VYDAJ	VYBER	10000	37796	\N	\N	\N
1503269	5125	1996-09-04	VYDAJ	VYBER	47700	79102	\N	\N	\N
1503270	5125	1996-09-08	VYDAJ	VYBER	26100	53002	\N	\N	\N
1503271	5125	1996-10-08	VYDAJ	VYBER	11400	37360	\N	\N	\N
1503272	5125	1996-11-07	VYDAJ	VYBER	9700	27815	\N	\N	\N
1503273	5125	1996-12-07	PRIJEM	VKLAD	2400	18365	\N	\N	\N
1503274	5125	1997-01-06	PRIJEM	VKLAD	6500	5361	\N	\N	\N
1503275	5125	1997-02-05	VYDAJ	VYBER	16300	24669	\N	\N	\N
1503276	5125	1997-03-07	VYDAJ	VYBER	10200	17675	\N	\N	\N
1503277	5125	1997-04-06	VYDAJ	VYBER	13700	17999	\N	\N	\N
1503278	5125	1997-05-06	VYDAJ	VYBER	11100	18742	\N	\N	\N
1503279	5125	1997-06-05	PRIJEM	VKLAD	1900	2890	\N	\N	\N
1503280	5125	1997-07-05	PRIJEM	VKLAD	4000	6879	\N	\N	\N
1503281	5125	1997-08-04	VYDAJ	VYBER	35100	44159	\N	\N	\N
1503282	5125	1997-09-03	VYDAJ	VYBER	17400	26103	\N	\N	\N
1503283	5125	1997-10-03	VYDAJ	VYBER	18500	22473	\N	\N	\N
1503284	5125	1997-11-02	VYDAJ	VYBER	17500	16661	\N	\N	\N
1503285	5125	1997-12-02	VYDAJ	VYBER	1900	-1052	\N	\N	\N
1503286	5125	1998-01-01	VYDAJ	VYBER	21700	24803	\N	\N	\N
1503287	5125	1998-01-31	VYDAJ	VYBER	40200	31667	\N	\N	\N
1503288	5125	1998-03-02	VYDAJ	VYBER	14700	5068	\N	\N	\N
1503289	5125	1998-04-01	VYDAJ	VYBER	5800	-668	\N	\N	\N
1503290	5125	1998-05-01	VYDAJ	VYBER	8600	-9264	\N	\N	\N
1503291	5125	1998-05-31	VYDAJ	VYBER	9600	-5550	\N	\N	\N
1503292	5125	1998-06-30	PRIJEM	VKLAD	800	-4750	\N	\N	\N
1503293	5125	1998-07-30	VYDAJ	VYBER	1000	-5810	\N	\N	\N
1503294	5125	1998-08-29	VYDAJ	VYBER	13000	6938	\N	\N	\N
1503295	5125	1998-09-28	VYDAJ	VYBER	6300	572	\N	\N	\N
1503296	5125	1998-10-28	VYDAJ	VYBER	10900	2673	\N	\N	\N
1503297	5125	1998-11-27	VYDAJ	VYBER	12900	-10241	\N	\N	\N
1503298	5125	1998-12-27	VYDAJ	VYBER	3200	-13433	\N	\N	\N
1503347	5126	1995-04-03	PRIJEM	VKLAD	400	400	\N	\N	\N
1503351	5126	1995-04-11	PRIJEM	VKLAD	8366	8766	\N	\N	\N
1503352	5126	1995-05-11	PRIJEM	VKLAD	8366	26256	\N	\N	\N
1503353	5126	1995-06-11	PRIJEM	VKLAD	12549	39791	\N	\N	\N
1503354	5126	1995-07-11	PRIJEM	VKLAD	8366	43804	\N	\N	\N
1503355	5126	1995-08-11	PRIJEM	VKLAD	8366	44247	\N	\N	\N
1503356	5126	1995-09-11	PRIJEM	VKLAD	8366	38971	\N	\N	\N
1503357	5126	1995-10-11	PRIJEM	VKLAD	8366	38884	\N	\N	\N
1503358	5126	1995-11-11	PRIJEM	VKLAD	8366	35682	\N	\N	\N
1503359	5126	1995-12-11	PRIJEM	VKLAD	12549	40680	\N	\N	\N
1503360	5126	1996-01-11	PRIJEM	VKLAD	8366	29648	\N	\N	\N
1503361	5126	1996-02-11	PRIJEM	VKLAD	8366	26035	\N	\N	\N
1503362	5126	1996-03-11	PRIJEM	VKLAD	8366	32257	\N	\N	\N
1503363	5126	1996-04-11	PRIJEM	VKLAD	8366	27901	\N	\N	\N
1503364	5126	1996-05-11	PRIJEM	VKLAD	8366	29528	\N	\N	\N
1503365	5126	1996-06-11	PRIJEM	VKLAD	12549	35145	\N	\N	\N
1503366	5126	1996-07-11	PRIJEM	VKLAD	8366	32071	\N	\N	\N
1503367	5126	1996-08-11	PRIJEM	VKLAD	8366	31614	\N	\N	\N
1503368	5126	1996-09-11	PRIJEM	VKLAD	8366	27689	\N	\N	\N
1503369	5126	1996-10-11	PRIJEM	VKLAD	8366	28314	\N	\N	\N
1503370	5126	1996-11-11	PRIJEM	VKLAD	8366	26738	\N	\N	\N
1503371	5126	1996-12-11	PRIJEM	VKLAD	12549	28238	\N	\N	\N
1503372	5126	1997-01-11	PRIJEM	VKLAD	8366	20575	\N	\N	\N
1503373	5126	1997-02-11	PRIJEM	VKLAD	8366	20665	\N	\N	\N
1503374	5126	1997-03-11	PRIJEM	VKLAD	8366	23863	\N	\N	\N
1503375	5126	1997-04-11	PRIJEM	VKLAD	8366	21885	\N	\N	\N
1503376	5126	1997-05-11	PRIJEM	VKLAD	8366	26790	\N	\N	\N
1503377	5126	1997-06-11	PRIJEM	VKLAD	12549	32193	\N	\N	\N
1503378	5126	1997-07-11	PRIJEM	VKLAD	8366	31827	\N	\N	\N
1503379	5126	1997-08-11	PRIJEM	VKLAD	8366	32467	\N	\N	\N
1503380	5126	1997-09-11	PRIJEM	VKLAD	8366	33190	\N	\N	\N
1503381	5126	1997-10-11	PRIJEM	VKLAD	8366	36539	\N	\N	\N
1503382	5126	1997-11-11	PRIJEM	VKLAD	8366	36396	\N	\N	\N
1503383	5126	1997-12-11	PRIJEM	VKLAD	12549	39296	\N	\N	\N
1503384	5126	1998-01-11	PRIJEM	VKLAD	8366	27851	\N	\N	\N
1503385	5126	1998-02-11	PRIJEM	VKLAD	8366	22482	\N	\N	\N
1503386	5126	1998-03-11	PRIJEM	VKLAD	8366	25686	\N	\N	\N
1503387	5126	1998-04-11	PRIJEM	VKLAD	8366	29704	\N	\N	\N
1503388	5126	1998-05-11	PRIJEM	VKLAD	8366	29431	\N	\N	\N
1503389	5126	1998-06-11	PRIJEM	VKLAD	12549	31362	\N	\N	\N
1503390	5126	1998-07-11	PRIJEM	VKLAD	8366	24194	\N	\N	\N
1503391	5126	1998-08-11	PRIJEM	VKLAD	8366	21492	\N	\N	\N
1503392	5126	1998-09-11	PRIJEM	VKLAD	8366	18276	\N	\N	\N
1503393	5126	1998-10-11	PRIJEM	VKLAD	8366	20359	\N	\N	\N
1503394	5126	1998-11-11	PRIJEM	VKLAD	8366	20446	\N	\N	\N
1503395	5126	1998-12-11	PRIJEM	VKLAD	12549	21708	\N	\N	\N
1503404	5126	1995-09-05	VYDAJ	PREVOD NA UCET	4208	30605	SIPO	YZ	63854801
1503405	5126	1995-10-05	VYDAJ	PREVOD NA UCET	4208	30518	SIPO	YZ	63854801
1503406	5126	1995-11-05	VYDAJ	PREVOD NA UCET	4208	27716	SIPO	YZ	63854801
1503407	5126	1995-12-05	VYDAJ	PREVOD NA UCET	4208	28431	SIPO	YZ	63854801
1503408	5126	1996-01-05	VYDAJ	PREVOD NA UCET	4208	24282	SIPO	YZ	63854801
1503409	5126	1996-02-05	VYDAJ	PREVOD NA UCET	4208	17669	SIPO	YZ	63854801
1503410	5126	1996-03-05	VYDAJ	PREVOD NA UCET	4208	23891	SIPO	YZ	63854801
1503411	5126	1996-04-05	VYDAJ	PREVOD NA UCET	4208	19535	SIPO	YZ	63854801
1503412	5126	1996-05-05	VYDAJ	PREVOD NA UCET	4208	21162	SIPO	YZ	63854801
1503413	5126	1996-06-05	VYDAJ	PREVOD NA UCET	4208	22596	SIPO	YZ	63854801
1503414	5126	1996-07-05	VYDAJ	PREVOD NA UCET	4208	23705	SIPO	YZ	63854801
1503415	5126	1996-08-05	VYDAJ	PREVOD NA UCET	4208	23248	SIPO	YZ	63854801
1503416	5126	1996-09-05	VYDAJ	PREVOD NA UCET	4208	19323	SIPO	YZ	63854801
1503417	5126	1996-10-05	VYDAJ	PREVOD NA UCET	4208	19948	SIPO	YZ	63854801
1503418	5126	1996-11-05	VYDAJ	PREVOD NA UCET	4208	18372	SIPO	YZ	63854801
1503419	5126	1996-12-05	VYDAJ	PREVOD NA UCET	4208	15689	SIPO	YZ	63854801
1503420	5126	1997-01-05	VYDAJ	PREVOD NA UCET	4208	12209	SIPO	YZ	63854801
1503421	5126	1997-02-05	VYDAJ	PREVOD NA UCET	4208	12299	SIPO	YZ	63854801
1503422	5126	1997-03-05	VYDAJ	PREVOD NA UCET	4208	15497	SIPO	YZ	63854801
1503423	5126	1997-04-05	VYDAJ	PREVOD NA UCET	4208	13519	SIPO	YZ	63854801
1503424	5126	1997-05-05	VYDAJ	PREVOD NA UCET	4208	18424	SIPO	YZ	63854801
1503425	5126	1997-06-05	VYDAJ	PREVOD NA UCET	4208	19644	SIPO	YZ	63854801
1503426	5126	1997-07-05	VYDAJ	PREVOD NA UCET	4208	23461	SIPO	YZ	63854801
1503427	5126	1997-08-05	VYDAJ	PREVOD NA UCET	4208	24101	SIPO	YZ	63854801
1503428	5126	1997-09-05	VYDAJ	PREVOD NA UCET	4208	24824	SIPO	YZ	63854801
1503429	5126	1997-10-05	VYDAJ	PREVOD NA UCET	4208	28173	SIPO	YZ	63854801
1503430	5126	1997-11-05	VYDAJ	PREVOD NA UCET	4208	28030	SIPO	YZ	63854801
1503431	5126	1997-12-05	VYDAJ	PREVOD NA UCET	4208	28987	SIPO	YZ	63854801
1503432	5126	1998-01-05	VYDAJ	PREVOD NA UCET	4208	22965	SIPO	YZ	63854801
1503433	5126	1998-02-05	VYDAJ	PREVOD NA UCET	4208	14116	SIPO	YZ	63854801
1503434	5126	1998-03-05	VYDAJ	PREVOD NA UCET	4208	17320	SIPO	YZ	63854801
1503435	5126	1998-04-05	VYDAJ	PREVOD NA UCET	4208	21338	SIPO	YZ	63854801
1503436	5126	1998-05-05	VYDAJ	PREVOD NA UCET	4208	21065	SIPO	YZ	63854801
1503437	5126	1998-06-05	VYDAJ	PREVOD NA UCET	4208	18813	SIPO	YZ	63854801
1503438	5126	1998-07-05	VYDAJ	PREVOD NA UCET	4208	15828	SIPO	YZ	63854801
1503439	5126	1998-08-05	VYDAJ	PREVOD NA UCET	4208	13126	SIPO	YZ	63854801
1503440	5126	1998-09-05	VYDAJ	PREVOD NA UCET	4208	9910	SIPO	YZ	63854801
1503441	5126	1998-10-05	VYDAJ	PREVOD NA UCET	4208	11993	SIPO	YZ	63854801
1503442	5126	1998-11-05	VYDAJ	PREVOD NA UCET	4208	12080	SIPO	YZ	63854801
1503443	5126	1998-12-05	VYDAJ	PREVOD NA UCET	4208	9159	SIPO	YZ	63854801
1503451	5126	1995-08-08	VYDAJ	VYBER	400	35881	\N	\N	0
1503452	5126	1995-09-24	VYDAJ	VYBER	400	38571	\N	\N	0
1503453	5126	1995-09-27	VYDAJ	VYBER	400	38171	\N	\N	0
1503454	5126	1995-11-07	VYDAJ	VYBER	400	27316	\N	\N	0
1503455	5126	1995-12-08	VYDAJ	VYBER	300	28131	\N	\N	0
1503456	5126	1996-01-12	VYDAJ	PREVOD NA UCET	424	25984	UVER	GH	96935939
1503457	5126	1996-02-12	VYDAJ	PREVOD NA UCET	424	25611	UVER	GH	96935939
1503458	5126	1996-03-12	VYDAJ	PREVOD NA UCET	424	31833	UVER	GH	96935939
1503459	5126	1996-04-12	VYDAJ	PREVOD NA UCET	424	27477	UVER	GH	96935939
1503460	5126	1996-05-12	VYDAJ	PREVOD NA UCET	424	29104	UVER	GH	96935939
1503461	5126	1996-06-12	VYDAJ	PREVOD NA UCET	424	34721	UVER	GH	96935939
1503462	5126	1996-07-12	VYDAJ	PREVOD NA UCET	424	31647	UVER	GH	96935939
1503463	5126	1996-08-12	VYDAJ	PREVOD NA UCET	424	31190	UVER	GH	96935939
1503464	5126	1996-09-12	VYDAJ	PREVOD NA UCET	424	27265	UVER	GH	96935939
1503465	5126	1996-10-12	VYDAJ	PREVOD NA UCET	424	27890	UVER	GH	96935939
1503466	5126	1996-11-12	VYDAJ	PREVOD NA UCET	424	26314	UVER	GH	96935939
1503467	5126	1996-12-12	VYDAJ	PREVOD NA UCET	424	27814	UVER	GH	96935939
1503468	5126	1997-01-12	VYDAJ	PREVOD NA UCET	424	20151	UVER	GH	96935939
1503469	5126	1997-02-12	VYDAJ	PREVOD NA UCET	424	20241	UVER	GH	96935939
1503470	5126	1997-03-12	VYDAJ	PREVOD NA UCET	424	23439	UVER	GH	96935939
1503471	5126	1997-04-12	VYDAJ	PREVOD NA UCET	424	21461	UVER	GH	96935939
1503472	5126	1997-05-12	VYDAJ	PREVOD NA UCET	424	26366	UVER	GH	96935939
1503473	5126	1997-06-12	VYDAJ	PREVOD NA UCET	424	31769	UVER	GH	96935939
1503474	5126	1997-07-12	VYDAJ	PREVOD NA UCET	424	31403	UVER	GH	96935939
1503475	5126	1997-08-12	VYDAJ	PREVOD NA UCET	424	32043	UVER	GH	96935939
1503476	5126	1997-09-12	VYDAJ	PREVOD NA UCET	424	32766	UVER	GH	96935939
1503477	5126	1997-10-12	VYDAJ	PREVOD NA UCET	424	36115	UVER	GH	96935939
1503478	5126	1997-11-12	VYDAJ	PREVOD NA UCET	424	35972	UVER	GH	96935939
1503479	5126	1997-12-12	VYDAJ	PREVOD NA UCET	424	38872	UVER	GH	96935939
1503480	5126	1998-01-12	VYDAJ	PREVOD NA UCET	424	27427	UVER	GH	96935939
1503481	5126	1998-02-12	VYDAJ	PREVOD NA UCET	424	22058	UVER	GH	96935939
1503482	5126	1998-03-12	VYDAJ	PREVOD NA UCET	424	25262	UVER	GH	96935939
1503483	5126	1998-04-12	VYDAJ	PREVOD NA UCET	424	29280	UVER	GH	96935939
1503484	5126	1998-05-12	VYDAJ	PREVOD NA UCET	424	29007	UVER	GH	96935939
1503485	5126	1998-06-12	VYDAJ	PREVOD NA UCET	424	30938	UVER	GH	96935939
1503486	5126	1998-07-12	VYDAJ	PREVOD NA UCET	424	23770	UVER	GH	96935939
1503487	5126	1998-08-12	VYDAJ	PREVOD NA UCET	424	21068	UVER	GH	96935939
1503488	5126	1998-09-12	VYDAJ	PREVOD NA UCET	424	17852	UVER	GH	96935939
1503489	5126	1998-10-12	VYDAJ	PREVOD NA UCET	424	19935	UVER	GH	96935939
1503490	5126	1998-11-12	VYDAJ	PREVOD NA UCET	424	20022	UVER	GH	96935939
1503491	5126	1998-12-12	VYDAJ	PREVOD NA UCET	424	21284	UVER	GH	96935939
1503499	5126	1998-01-17	VYDAJ	VYBER	8320	18967	\N	\N	\N
1503500	5126	1995-12-22	VYDAJ	VYBER	1600	33440	\N	\N	\N
1503501	5126	1996-12-20	VYDAJ	VYBER	1280	26534	\N	\N	\N
1503502	5126	1997-12-09	VYDAJ	VYBER	2240	26747	\N	\N	\N
1503510	5126	1996-01-27	VYDAJ	VYBER	720	24064	\N	\N	\N
1503511	5126	1996-01-12	VYDAJ	VYBER	1200	24784	\N	\N	\N
1503512	5126	1996-01-05	VYDAJ	VYBER	1680	28490	\N	\N	\N
1503513	5126	1996-01-11	VYDAJ	VYBER	3240	26408	\N	\N	\N
1503514	5126	1996-01-08	VYDAJ	VYBER	3000	21282	\N	\N	\N
1503515	5126	1996-01-29	VYDAJ	VYBER	3000	21784	\N	\N	\N
1503517	5126	1997-01-28	VYDAJ	VYBER	600	16451	\N	\N	\N
1503518	5126	1997-01-05	VYDAJ	VYBER	3120	16417	\N	\N	\N
1503519	5126	1997-01-20	VYDAJ	VYBER	1920	14751	\N	\N	\N
1503520	5126	1997-01-01	VYDAJ	VYBER	3120	19537	\N	\N	\N
1503521	5126	1997-01-14	VYDAJ	VYBER	2280	17871	\N	\N	\N
1503522	5126	1998-01-08	VYDAJ	VYBER	960	22005	\N	\N	\N
1503523	5126	1998-01-02	VYDAJ	VYBER	2520	27773	\N	\N	\N
1503524	5126	1998-01-15	VYDAJ	VYBER	3240	24187	\N	\N	\N
1503525	5126	1998-01-09	VYDAJ	VYBER	2520	19485	\N	\N	\N
1503526	5126	1998-01-05	VYDAJ	VYBER	600	27173	\N	\N	\N
1503527	5126	1998-01-29	VYDAJ	VYBER	720	18247	\N	\N	\N
1503530	5126	1995-12-20	VYDAJ	VYBER	5640	35040	\N	\N	\N
1503532	5126	1995-11-18	VYDAJ	VYBER	5160	30522	\N	\N	\N
1503534	5126	1996-03-30	VYDAJ	VYBER	5400	23633	\N	\N	\N
1503535	5126	1996-01-28	VYDAJ	VYBER	1080	24784	\N	\N	\N
1503536	5126	1996-06-21	VYDAJ	VYBER	2520	32201	\N	\N	\N
1503537	5126	1996-11-12	VYDAJ	VYBER	4200	22114	\N	\N	\N
1503538	5126	1996-08-22	VYDAJ	VYBER	3360	27830	\N	\N	\N
1503539	5126	1996-12-27	VYDAJ	VYBER	960	22574	\N	\N	\N
1503540	5126	1997-08-18	VYDAJ	VYBER	600	31443	\N	\N	\N
1503541	5126	1997-08-26	VYDAJ	VYBER	1320	28923	\N	\N	\N
1503542	5126	1997-03-18	VYDAJ	VYBER	3480	19959	\N	\N	\N
1503543	5126	1997-01-16	VYDAJ	VYBER	1200	16671	\N	\N	\N
1503544	5126	1997-02-21	VYDAJ	VYBER	1200	19641	\N	\N	\N
1503545	5126	1998-06-14	VYDAJ	VYBER	4080	26858	\N	\N	\N
1503548	5126	1998-05-30	VYDAJ	VYBER	3480	22927	\N	\N	\N
1503557	5126	1995-08-31	VYDAJ	VYBER	15	44413	SLUZBY	\N	\N
1503558	5126	1995-09-30	VYDAJ	VYBER	15	34726	SLUZBY	\N	\N
1503559	5126	1995-10-31	VYDAJ	VYBER	15	31924	SLUZBY	\N	\N
1503560	5126	1995-11-30	VYDAJ	VYBER	15	32639	SLUZBY	\N	\N
1503561	5126	1995-12-31	VYDAJ	VYBER	15	30170	SLUZBY	\N	\N
1503562	5126	1996-01-31	VYDAJ	VYBER	15	21877	SLUZBY	\N	\N
1503563	5126	1996-02-29	VYDAJ	VYBER	15	28099	SLUZBY	\N	\N
1503564	5126	1996-03-31	VYDAJ	VYBER	15	23743	SLUZBY	\N	\N
1503565	5126	1996-04-30	VYDAJ	VYBER	15	25370	SLUZBY	\N	\N
1503566	5126	1996-05-31	VYDAJ	VYBER	15	26804	SLUZBY	\N	\N
1503567	5126	1996-06-30	VYDAJ	VYBER	15	27913	SLUZBY	\N	\N
1503568	5126	1996-07-31	VYDAJ	VYBER	15	27456	SLUZBY	\N	\N
1503569	5126	1996-08-31	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
1503570	5126	1996-09-30	VYDAJ	VYBER	15	24156	SLUZBY	\N	\N
1503571	5126	1996-10-31	VYDAJ	VYBER	15	22580	SLUZBY	\N	\N
1503572	5126	1996-11-30	VYDAJ	VYBER	15	19897	SLUZBY	\N	\N
1503573	5126	1996-12-31	VYDAJ	VYBER	15	22657	SLUZBY	\N	\N
1503574	5126	1997-01-31	VYDAJ	VYBER	15	16507	SLUZBY	\N	\N
1503575	5126	1997-02-28	VYDAJ	VYBER	15	19705	SLUZBY	\N	\N
1503576	5126	1997-03-31	VYDAJ	VYBER	15	17727	SLUZBY	\N	\N
1503577	5126	1997-04-30	VYDAJ	VYBER	15	22632	SLUZBY	\N	\N
1503578	5126	1997-05-31	VYDAJ	VYBER	15	23852	SLUZBY	\N	\N
1503579	5126	1997-06-30	VYDAJ	VYBER	15	27669	SLUZBY	\N	\N
1503580	5126	1997-07-31	VYDAJ	VYBER	15	28309	SLUZBY	\N	\N
1503581	5126	1997-08-31	VYDAJ	VYBER	15	29032	SLUZBY	\N	\N
1503582	5126	1997-09-30	VYDAJ	VYBER	15	32381	SLUZBY	\N	\N
1503583	5126	1997-10-31	VYDAJ	VYBER	15	32238	SLUZBY	\N	\N
1503584	5126	1997-11-30	VYDAJ	VYBER	15	33195	SLUZBY	\N	\N
1503585	5126	1997-12-31	VYDAJ	VYBER	15	30293	SLUZBY	\N	\N
1503586	5126	1998-01-31	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
1503587	5126	1998-02-28	VYDAJ	VYBER	15	21528	SLUZBY	\N	\N
1503588	5126	1998-03-31	VYDAJ	VYBER	15	25546	SLUZBY	\N	\N
1503589	5126	1998-04-30	VYDAJ	VYBER	15	25273	SLUZBY	\N	\N
1503590	5126	1998-05-31	VYDAJ	VYBER	15	23021	SLUZBY	\N	\N
1503591	5126	1998-06-30	VYDAJ	VYBER	15	20036	SLUZBY	\N	\N
1503592	5126	1998-07-31	VYDAJ	VYBER	15	17334	SLUZBY	\N	\N
1503593	5126	1998-08-31	VYDAJ	VYBER	15	14118	SLUZBY	\N	\N
1503594	5126	1998-09-30	VYDAJ	VYBER	15	16201	SLUZBY	\N	\N
1503595	5126	1998-10-31	VYDAJ	VYBER	15	16288	SLUZBY	\N	\N
1503596	5126	1998-11-30	VYDAJ	VYBER	15	13367	SLUZBY	\N	\N
1503597	5126	1995-05-03	PRIJEM	VKLAD	9100	17890	\N	\N	\N
1503598	5126	1995-06-02	PRIJEM	VKLAD	900	27242	\N	\N	\N
1503599	5126	1995-07-02	VYDAJ	VYBER	4500	35438	\N	\N	\N
1503600	5126	1995-08-01	VYDAJ	VYBER	7700	36281	\N	\N	\N
1503601	5126	1995-08-31	VYDAJ	VYBER	9600	34813	\N	\N	\N
1503602	5126	1995-09-30	VYDAJ	VYBER	3600	34740	\N	\N	\N
1503603	5126	1995-10-30	VYDAJ	VYBER	7100	31784	\N	\N	\N
1503604	5126	1995-11-29	PRIJEM	VKLAD	2000	32522	\N	\N	\N
1503605	5126	1995-12-29	VYDAJ	VYBER	3400	30040	\N	\N	\N
1503606	5126	1996-01-28	PRIJEM	VKLAD	1800	25864	\N	\N	\N
1503607	5126	1996-02-27	PRIJEM	VKLAD	2400	28011	\N	\N	\N
1503608	5126	1996-03-28	VYDAJ	VYBER	2800	29033	\N	\N	\N
1503609	5126	1996-04-27	VYDAJ	VYBER	2200	25277	\N	\N	\N
1503610	5126	1996-05-27	VYDAJ	VYBER	2400	26704	\N	\N	\N
1503611	5126	1996-06-26	VYDAJ	VYBER	4400	27801	\N	\N	\N
1503612	5126	1996-07-26	VYDAJ	VYBER	4300	27347	\N	\N	\N
1503613	5126	1996-08-25	VYDAJ	VYBER	4400	23430	\N	\N	\N
1503614	5126	1996-09-24	VYDAJ	VYBER	3200	24065	\N	\N	\N
1503615	5126	1996-10-24	VYDAJ	VYBER	5400	22490	\N	\N	\N
1503616	5126	1996-11-23	VYDAJ	VYBER	2300	19814	\N	\N	\N
1503617	5126	1996-12-23	VYDAJ	VYBER	3000	23534	\N	\N	\N
1503618	5126	1997-01-22	PRIJEM	VKLAD	2300	17051	\N	\N	\N
1503619	5126	1997-02-21	PRIJEM	VKLAD	600	20841	\N	\N	\N
1503620	5126	1997-03-23	VYDAJ	VYBER	2300	17659	\N	\N	\N
1503621	5126	1997-04-22	PRIJEM	VKLAD	1100	22561	\N	\N	\N
1503622	5126	1997-05-22	VYDAJ	VYBER	2600	23766	\N	\N	\N
1503623	5126	1997-06-21	VYDAJ	VYBER	4200	27569	\N	\N	\N
1503624	5126	1997-07-21	VYDAJ	VYBER	3200	28203	\N	\N	\N
1503625	5126	1997-08-20	VYDAJ	VYBER	1200	30243	\N	\N	\N
1503626	5126	1997-09-19	VYDAJ	VYBER	500	32266	\N	\N	\N
1503627	5126	1997-10-19	VYDAJ	VYBER	4000	32115	\N	\N	\N
1503628	5126	1997-11-18	VYDAJ	VYBER	2900	33072	\N	\N	\N
1503629	5126	1997-12-18	VYDAJ	VYBER	8700	30172	\N	\N	\N
1503630	5126	1998-01-17	PRIJEM	VKLAD	3100	27287	\N	\N	\N
1503631	5126	1998-02-16	VYDAJ	VYBER	600	21458	\N	\N	\N
1503632	5126	1998-03-18	PRIJEM	VKLAD	200	25462	\N	\N	\N
1503633	5126	1998-04-17	VYDAJ	VYBER	4100	25180	\N	\N	\N
1503634	5126	1998-05-17	VYDAJ	VYBER	2600	26407	\N	\N	\N
1503635	5126	1998-06-16	VYDAJ	VYBER	6900	19958	\N	\N	\N
1503636	5126	1998-07-16	VYDAJ	VYBER	6500	17270	\N	\N	\N
1503637	5126	1998-08-15	VYDAJ	VYBER	7000	14068	\N	\N	\N
1503638	5126	1998-09-14	VYDAJ	VYBER	1700	16152	\N	\N	\N
1503639	5126	1998-10-14	VYDAJ	VYBER	3700	16235	\N	\N	\N
1503640	5126	1998-11-13	VYDAJ	VYBER	6700	13322	\N	\N	\N
1504221	5129	1993-06-08	PRIJEM	VKLAD	500	500	\N	\N	\N
1504223	5129	1993-07-20	PRIJEM	VKLAD	13534	44482	\N	\N	\N
1504224	5129	1993-07-24	PRIJEM	VKLAD	26826	116600	\N	\N	\N
1504225	5129	1993-09-02	PRIJEM	VKLAD	45001	94706	\N	\N	\N
1504227	5129	1993-10-02	PRIJEM	VKLAD	36279	94030	\N	\N	\N
1504228	5129	1993-10-12	PRIJEM	VKLAD	15368	73998	\N	\N	\N
1504230	5129	1993-08-23	PRIJEM	VKLAD	45771	70925	\N	\N	\N
1504231	5129	1993-11-17	PRIJEM	VKLAD	20974	43121	\N	\N	\N
1504233	5129	1993-09-11	PRIJEM	VKLAD	12221	57527	\N	\N	\N
1504234	5129	1993-08-20	PRIJEM	VKLAD	10904	47384	\N	\N	\N
1504236	5129	1993-08-04	PRIJEM	VKLAD	17601	99850	\N	\N	\N
1504237	5129	1993-11-14	PRIJEM	VKLAD	7810	38447	\N	\N	\N
1504238	5129	1993-07-30	PRIJEM	VKLAD	25741	86041	\N	\N	\N
1504240	5129	1993-12-26	PRIJEM	VKLAD	19208	106935	\N	\N	\N
1504241	5129	1993-12-21	PRIJEM	VKLAD	44110	87727	\N	\N	\N
1504243	5129	1993-06-11	PRIJEM	VKLAD	37542	38042	\N	\N	\N
1504244	5129	1993-12-16	PRIJEM	VKLAD	42381	64717	\N	\N	\N
1504245	5129	1993-07-23	PRIJEM	VKLAD	45292	89774	\N	\N	\N
1504251	5129	1994-01-22	PRIJEM	VKLAD	11165	28805	\N	\N	\N
1504252	5129	1994-06-11	PRIJEM	VKLAD	21212	39147	\N	\N	\N
1504253	5129	1994-04-24	PRIJEM	VKLAD	34562	33980	\N	\N	\N
1504254	5129	1994-02-06	PRIJEM	VKLAD	23596	47794	\N	\N	\N
1504255	5129	1994-08-17	PRIJEM	VKLAD	27306	24351	\N	\N	\N
1504256	5129	1994-09-03	PRIJEM	VKLAD	14824	32019	\N	\N	\N
1504257	5129	1994-05-20	PRIJEM	VKLAD	7174	14993	\N	\N	\N
1504258	5129	1995-07-26	PRIJEM	VKLAD	36092	59650	\N	\N	\N
1504259	5129	1995-07-07	PRIJEM	VKLAD	22472	37258	\N	\N	\N
1504260	5129	1995-09-03	PRIJEM	VKLAD	29407	63736	\N	\N	\N
1504261	5129	1995-02-18	PRIJEM	VKLAD	19984	71430	\N	\N	\N
1504262	5129	1995-02-17	PRIJEM	VKLAD	31120	51446	\N	\N	\N
1504263	5129	1995-04-15	PRIJEM	VKLAD	27334	49361	\N	\N	\N
1504264	5129	1995-11-07	PRIJEM	VKLAD	24698	82583	\N	\N	\N
1504265	5129	1995-10-31	PRIJEM	VKLAD	36363	110762	\N	\N	\N
1504266	5129	1995-03-05	PRIJEM	VKLAD	32328	75011	\N	\N	\N
1504267	5129	1995-05-25	PRIJEM	VKLAD	27353	92073	\N	\N	\N
1504268	5129	1995-05-12	PRIJEM	VKLAD	17173	55024	\N	\N	\N
1504269	5129	1995-01-08	PRIJEM	VKLAD	34418	49643	\N	\N	\N
1504270	5129	1995-05-20	PRIJEM	VKLAD	21896	64720	\N	\N	\N
1504271	5129	1995-01-15	PRIJEM	VKLAD	42148	84891	\N	\N	\N
1504272	5129	1995-12-03	PRIJEM	VKLAD	48424	90109	\N	\N	\N
1504273	5129	1995-03-28	PRIJEM	VKLAD	28496	96428	\N	\N	\N
1504274	5129	1995-08-25	PRIJEM	VKLAD	38959	53474	\N	\N	\N
1504275	5129	1995-03-26	PRIJEM	VKLAD	18921	67932	\N	\N	\N
1504276	5129	1995-09-21	PRIJEM	VKLAD	48250	119663	\N	\N	\N
1504277	5129	1995-02-09	PRIJEM	VKLAD	16775	35526	\N	\N	\N
1504278	5129	1995-07-27	PRIJEM	VKLAD	22102	81752	\N	\N	\N
1504279	5129	1995-04-27	PRIJEM	VKLAD	34948	68909	\N	\N	\N
1504280	5129	1995-11-21	PRIJEM	VKLAD	37150	106433	\N	\N	\N
1504281	5129	1995-10-29	PRIJEM	VKLAD	48757	74399	\N	\N	\N
1504282	5129	1995-12-08	PRIJEM	VKLAD	11865	101974	\N	\N	\N
1504283	5129	1995-06-26	PRIJEM	VKLAD	5086	17162	\N	\N	\N
1504284	5129	1995-01-06	PRIJEM	VKLAD	13829	15225	\N	\N	\N
1504285	5129	1995-09-05	PRIJEM	VKLAD	22777	71413	\N	\N	\N
1504286	5129	1996-04-25	PRIJEM	VKLAD	16546	22916	\N	\N	\N
1504287	5129	1996-05-23	PRIJEM	VKLAD	15371	73692	\N	\N	\N
1504288	5129	1996-05-30	PRIJEM	VKLAD	33540	80632	\N	\N	\N
1504289	5129	1996-01-26	PRIJEM	VKLAD	28328	40743	\N	\N	\N
1504290	5129	1996-01-01	PRIJEM	VKLAD	15272	33483	\N	\N	\N
1504291	5129	1996-10-21	PRIJEM	VKLAD	44900	84224	\N	\N	\N
1504292	5129	1996-07-16	PRIJEM	VKLAD	38318	74157	\N	\N	\N
1504293	5129	1996-11-04	PRIJEM	VKLAD	17408	79782	\N	\N	\N
1504294	5129	1996-04-30	PRIJEM	VKLAD	16703	36271	\N	\N	\N
1504295	5129	1996-12-15	PRIJEM	VKLAD	10191	27413	\N	\N	\N
1504296	5129	1996-06-13	PRIJEM	VKLAD	17600	83159	\N	\N	\N
1504297	5129	1996-01-11	PRIJEM	VKLAD	25932	59415	\N	\N	\N
1504298	5129	1996-12-23	PRIJEM	VKLAD	48285	76098	\N	\N	\N
1504299	5129	1996-11-16	PRIJEM	VKLAD	23237	82695	\N	\N	\N
1504300	5129	1996-06-10	PRIJEM	VKLAD	34338	115159	\N	\N	\N
1504301	5129	1996-05-06	PRIJEM	VKLAD	35464	71721	\N	\N	\N
1504302	5129	1996-07-04	PRIJEM	VKLAD	34100	53139	\N	\N	\N
1504303	5129	1996-08-13	PRIJEM	VKLAD	30800	52725	\N	\N	\N
1504304	5129	1996-12-15	PRIJEM	VKLAD	14374	17222	\N	\N	\N
1504305	5129	1996-10-17	PRIJEM	VKLAD	8586	42324	\N	\N	\N
1504306	5129	1996-11-12	PRIJEM	VKLAD	42376	122158	\N	\N	\N
1504307	5129	1996-09-26	PRIJEM	VKLAD	16903	45588	\N	\N	\N
1504308	5129	1997-12-01	PRIJEM	VKLAD	8632	71581	\N	\N	\N
1504309	5129	1997-09-24	PRIJEM	VKLAD	11044	46640	\N	\N	\N
1504310	5129	1997-06-14	PRIJEM	VKLAD	45463	91152	\N	\N	\N
1504311	5129	1997-01-18	PRIJEM	VKLAD	42134	72447	\N	\N	\N
1504312	5129	1997-01-09	PRIJEM	VKLAD	6782	54313	\N	\N	\N
1504313	5129	1997-10-10	PRIJEM	VKLAD	22566	52581	\N	\N	\N
1504314	5129	1997-12-08	PRIJEM	VKLAD	42677	94758	\N	\N	\N
1504315	5129	1997-04-20	PRIJEM	VKLAD	48745	100422	\N	\N	\N
1504316	5129	1997-04-16	PRIJEM	VKLAD	36442	124077	\N	\N	\N
1504317	5129	1997-01-31	PRIJEM	VKLAD	20954	68001	\N	\N	\N
1504318	5129	1997-11-06	PRIJEM	VKLAD	41221	101402	\N	\N	\N
1504319	5129	1997-09-04	PRIJEM	VKLAD	18108	53396	\N	\N	\N
1504320	5129	1997-03-15	PRIJEM	VKLAD	7897	74372	\N	\N	\N
1504321	5129	1997-12-26	PRIJEM	VKLAD	8779	45571	\N	\N	\N
1504322	5129	1997-02-22	PRIJEM	VKLAD	19232	81154	\N	\N	\N
1504323	5129	1997-10-17	PRIJEM	VKLAD	23457	83613	\N	\N	\N
1504324	5129	1997-04-27	PRIJEM	VKLAD	40261	100183	\N	\N	\N
1504325	5129	1997-07-09	PRIJEM	VKLAD	23066	38195	\N	\N	\N
1504326	5129	1997-02-10	PRIJEM	VKLAD	39926	102122	\N	\N	\N
1504327	5129	1997-03-24	PRIJEM	VKLAD	48730	104802	\N	\N	\N
1504328	5129	1997-10-12	PRIJEM	VKLAD	33975	86556	\N	\N	\N
1504329	5129	1997-11-28	PRIJEM	VKLAD	22790	62692	\N	\N	\N
1504330	5129	1998-02-19	PRIJEM	VKLAD	43818	64643	\N	\N	\N
1504331	5129	1998-01-27	PRIJEM	VKLAD	49756	129167	\N	\N	\N
1504332	5129	1998-12-01	PRIJEM	VKLAD	40985	70402	\N	\N	\N
1504333	5129	1998-08-12	PRIJEM	VKLAD	9608	54007	\N	\N	\N
1504334	5129	1998-01-27	PRIJEM	VKLAD	42750	171917	\N	\N	\N
1504335	5129	1998-08-22	PRIJEM	VKLAD	8374	81965	\N	\N	\N
1504336	5129	1998-02-04	PRIJEM	VKLAD	12596	58104	\N	\N	\N
1504337	5129	1998-10-02	PRIJEM	VKLAD	15538	90165	\N	\N	\N
1504338	5129	1998-06-24	PRIJEM	VKLAD	18994	71373	\N	\N	\N
1504339	5129	1998-07-22	PRIJEM	VKLAD	45449	84286	\N	\N	\N
1504340	5129	1998-10-20	PRIJEM	VKLAD	39225	90690	\N	\N	\N
1504341	5129	1998-05-15	PRIJEM	VKLAD	11781	42843	\N	\N	\N
1504342	5129	1998-01-20	PRIJEM	VKLAD	44465	79411	\N	\N	\N
1504343	5129	1998-03-03	PRIJEM	VKLAD	43229	108061	\N	\N	\N
1504344	5129	1998-03-14	PRIJEM	VKLAD	6108	81066	\N	\N	\N
1504345	5129	1998-10-24	PRIJEM	VKLAD	45469	136159	\N	\N	\N
1504346	5129	1998-01-09	PRIJEM	VKLAD	48346	81246	\N	\N	\N
1504347	5129	1998-06-21	PRIJEM	VKLAD	39354	55679	\N	\N	\N
1504348	5129	1998-03-14	PRIJEM	VKLAD	26997	74958	\N	\N	\N
1504349	5129	1998-05-04	PRIJEM	VKLAD	15374	45462	\N	\N	\N
1504350	5129	1998-08-14	PRIJEM	VKLAD	19584	73591	\N	\N	\N
1504351	5129	1998-08-05	PRIJEM	VKLAD	24353	93605	\N	\N	\N
1504352	5129	1998-12-24	PRIJEM	VKLAD	16661	52563	\N	\N	\N
1504353	5129	1998-08-02	PRIJEM	VKLAD	9408	91353	\N	\N	\N
1504354	5129	1998-08-07	PRIJEM	VKLAD	29394	122999	\N	\N	\N
1504355	5129	1998-04-22	PRIJEM	VKLAD	9147	29939	\N	\N	\N
1504356	5129	1998-06-30	PRIJEM	VKLAD	28384	99757	\N	\N	\N
1504357	5129	1998-01-30	PRIJEM	VKLAD	12125	108042	\N	\N	\N
1504358	5129	1998-09-23	PRIJEM	VKLAD	28753	74340	\N	\N	\N
1504366	5129	1993-08-19	VYDAJ	VYBER	12200	36480	SIPO	\N	0
1504367	5129	1993-09-03	VYDAJ	VYBER	14300	80406	SIPO	\N	0
1504368	5129	1993-10-12	VYDAJ	VYBER	16600	57398	SIPO	\N	0
1504369	5129	1993-11-15	VYDAJ	VYBER	16300	22147	SIPO	\N	0
1504370	5129	1993-12-18	VYDAJ	VYBER	16900	43617	SIPO	\N	0
1504371	5129	1994-01-02	VYDAJ	VYBER	15200	44340	SIPO	\N	0
1504372	5129	1994-02-18	VYDAJ	VYBER	13900	33894	SIPO	\N	0
1504373	5129	1994-03-18	VYDAJ	VYBER	16600	8938	SIPO	\N	0
1504374	5129	1994-04-19	VYDAJ	VYBER	17100	-582	SIPO	\N	0
1504375	5129	1994-05-06	VYDAJ	VYBER	15500	7819	SIPO	\N	0
1504376	5129	1994-06-11	VYDAJ	VYBER	16600	22547	SIPO	\N	0
1504377	5129	1994-07-10	VYDAJ	VYBER	13400	5416	SIPO	\N	0
1504378	5129	1994-08-15	VYDAJ	VYBER	14600	-2955	SIPO	\N	0
1504379	5129	1994-09-12	VYDAJ	VYBER	14200	17819	SIPO	\N	0
1504380	5129	1994-10-08	VYDAJ	VYBER	16100	-1101	SIPO	\N	0
1504381	5129	1994-11-12	VYDAJ	VYBER	15900	-8604	SIPO	\N	0
1504382	5129	1994-12-20	VYDAJ	VYBER	13200	-13589	SIPO	\N	0
1504383	5129	1995-01-18	VYDAJ	VYBER	17300	67591	SIPO	\N	0
1504384	5129	1995-02-11	VYDAJ	VYBER	15200	20326	SIPO	\N	0
1504385	5129	1995-03-12	VYDAJ	VYBER	13100	57111	SIPO	\N	0
1504386	5129	1995-04-15	VYDAJ	VYBER	15400	33961	SIPO	\N	0
1504387	5129	1995-05-13	VYDAJ	VYBER	12200	42824	SIPO	\N	0
1504388	5129	1995-06-13	VYDAJ	VYBER	17300	36376	SIPO	\N	0
1504389	5129	1995-07-12	VYDAJ	VYBER	13700	23558	SIPO	\N	0
1504390	5129	1995-08-20	VYDAJ	VYBER	11900	14515	SIPO	\N	0
1504391	5129	1995-09-04	VYDAJ	VYBER	15100	48636	SIPO	\N	0
1504392	5129	1995-10-10	VYDAJ	VYBER	15300	41142	SIPO	\N	0
1504393	5129	1995-11-18	VYDAJ	VYBER	13300	69283	SIPO	\N	0
1504394	5129	1995-12-19	VYDAJ	VYBER	13600	21968	SIPO	\N	0
1504395	5129	1996-01-12	VYDAJ	VYBER	16400	43015	SIPO	\N	0
1504396	5129	1996-02-12	VYDAJ	VYBER	17600	18737	SIPO	\N	0
1504397	5129	1996-03-14	VYDAJ	VYBER	12500	-4650	SIPO	\N	0
1504398	5129	1996-04-18	VYDAJ	VYBER	12100	-4830	SIPO	\N	0
1504399	5129	1996-05-14	VYDAJ	VYBER	13400	58321	SIPO	\N	0
1504400	5129	1996-06-10	VYDAJ	VYBER	14600	65559	SIPO	\N	0
1504401	5129	1996-07-08	VYDAJ	VYBER	13400	39739	SIPO	\N	0
1504402	5129	1996-08-09	VYDAJ	VYBER	12500	21925	SIPO	\N	0
1504403	5129	1996-09-01	VYDAJ	VYBER	14200	25585	SIPO	\N	0
1504404	5129	1996-10-10	VYDAJ	VYBER	12000	33738	SIPO	\N	0
1504405	5129	1996-11-03	VYDAJ	VYBER	16200	62374	SIPO	\N	0
1504406	5129	1996-12-01	VYDAJ	VYBER	14700	10577	SIPO	\N	0
1504407	5129	1997-01-01	VYDAJ	VYBER	11600	59231	SIPO	\N	0
1504408	5129	1997-02-19	VYDAJ	VYBER	12300	61922	SIPO	\N	0
1504409	5129	1997-03-07	VYDAJ	VYBER	15000	66475	SIPO	\N	0
1504410	5129	1997-04-13	VYDAJ	VYBER	17500	87635	SIPO	\N	0
1504411	5129	1997-05-15	VYDAJ	VYBER	16500	62110	SIPO	\N	0
1504412	5129	1997-06-18	VYDAJ	VYBER	11400	59152	SIPO	\N	0
1504413	5129	1997-07-05	VYDAJ	VYBER	16300	15129	SIPO	\N	0
1504414	5129	1997-08-01	VYDAJ	VYBER	14800	26540	SIPO	\N	0
1504415	5129	1997-09-04	VYDAJ	VYBER	17600	35796	SIPO	\N	0
1504416	5129	1997-10-09	VYDAJ	VYBER	16800	30015	SIPO	\N	0
1504417	5129	1997-11-05	VYDAJ	VYBER	13800	60181	SIPO	\N	0
1504418	5129	1997-12-07	VYDAJ	VYBER	13800	52081	SIPO	\N	0
1504419	5129	1998-01-18	VYDAJ	VYBER	14200	36446	SIPO	\N	0
1504420	5129	1998-02-09	VYDAJ	VYBER	14500	43604	SIPO	\N	0
1504421	5129	1998-03-13	VYDAJ	VYBER	13300	47961	SIPO	\N	0
1504422	5129	1998-04-12	VYDAJ	VYBER	16800	37992	SIPO	\N	0
1504423	5129	1998-05-08	VYDAJ	VYBER	12500	32962	SIPO	\N	0
1504424	5129	1998-06-16	VYDAJ	VYBER	16700	16325	SIPO	\N	0
1504425	5129	1998-07-19	VYDAJ	VYBER	15000	38837	SIPO	\N	0
1504426	5129	1998-08-07	VYDAJ	VYBER	17600	60499	SIPO	\N	0
1504427	5129	1998-09-16	VYDAJ	VYBER	14700	45587	SIPO	\N	0
1504428	5129	1998-10-03	VYDAJ	VYBER	14200	75965	SIPO	\N	0
1504429	5129	1998-11-07	VYDAJ	VYBER	16800	43865	SIPO	\N	0
1504430	5129	1998-12-17	VYDAJ	VYBER	12400	35902	SIPO	\N	0
1504433	5129	1993-08-02	VYBER	VYBER	3976	82249	\N	\N	\N
1504434	5129	1993-10-29	VYBER	VYBER	19817	37581	\N	\N	\N
1504439	5129	1993-08-21	VYBER	VYBER	22230	25154	\N	\N	\N
1504441	5129	1993-08-26	VYBER	VYBER	21456	49469	\N	\N	\N
1504442	5129	1993-08-12	VYBER	VYBER	14570	48680	\N	\N	\N
1504444	5129	1995-08-06	VYBER	VYBER	20736	26415	\N	\N	\N
1504445	5129	1995-12-18	VYBER	VYBER	17006	35568	\N	\N	\N
1504447	5129	1996-11-26	VYBER	VYBER	6004	35203	\N	\N	\N
1504449	5129	1996-12-08	VYBER	VYBER	7729	2848	\N	\N	\N
1504450	5129	1996-10-21	VYBER	VYBER	2280	81944	\N	\N	\N
1504451	5129	1996-04-29	VYBER	VYBER	3396	19520	\N	\N	\N
1504452	5129	1996-11-16	VYBER	VYBER	16388	66307	\N	\N	\N
1504453	5129	1997-05-20	VYBER	VYBER	4796	45414	\N	\N	\N
1504454	5129	1997-07-01	VYBER	VYBER	11827	31429	\N	\N	\N
1504455	5129	1997-06-24	VYBER	VYBER	16087	43065	\N	\N	\N
1504456	5129	1997-05-06	VYBER	VYBER	17731	82810	\N	\N	\N
1504457	5129	1997-12-19	VYBER	VYBER	12766	36792	\N	\N	\N
1504458	5129	1998-02-16	VYBER	VYBER	14179	20825	\N	\N	\N
1504459	5129	1998-10-31	VYBER	VYBER	15728	60680	\N	\N	\N
1504460	5129	1998-06-11	VYBER	VYBER	22063	20925	\N	\N	\N
1504461	5129	1998-08-04	VYBER	VYBER	22101	69252	\N	\N	\N
1504464	5129	1995-06-14	VYDAJ	VYBER	15900	20476	\N	\N	\N
1504465	5129	1996-06-15	VYDAJ	VYBER	66600	16559	\N	\N	\N
1504469	5129	1994-01-01	VYDAJ	VYBER	23100	59540	\N	\N	\N
1504470	5129	1995-01-26	VYDAJ	VYBER	19200	36691	\N	\N	\N
1504471	5129	1996-01-19	VYDAJ	VYBER	13500	14215	\N	\N	\N
1504472	5129	1997-01-16	VYDAJ	VYBER	15300	30313	\N	\N	\N
1504473	5129	1998-01-06	VYDAJ	VYBER	3000	32900	\N	\N	\N
1504476	5129	1995-12-15	VYDAJ	VYBER	5700	52574	\N	\N	\N
1504477	5129	1996-12-26	VYDAJ	VYBER	5400	70698	\N	\N	\N
1504478	5129	1997-12-02	VYDAJ	VYBER	5700	65881	\N	\N	\N
1504479	5129	1998-12-15	VYDAJ	VYBER	3600	48302	\N	\N	\N
1504488	5129	1994-01-18	VYDAJ	VYBER	3000	17640	\N	\N	\N
1504489	5129	1994-01-10	VYDAJ	VYBER	4500	20640	\N	\N	\N
1504491	5129	1994-01-23	VYDAJ	VYBER	4800	24005	\N	\N	\N
1504492	5129	1995-01-30	VYDAJ	VYBER	2400	18591	\N	\N	\N
1504493	5129	1995-01-24	VYDAJ	VYBER	5400	55891	\N	\N	\N
1504494	5129	1995-01-22	VYDAJ	VYBER	6300	61291	\N	\N	\N
1504496	5129	1995-01-27	VYDAJ	VYBER	3600	33091	\N	\N	\N
1504497	5129	1995-01-30	VYDAJ	VYBER	1500	20991	\N	\N	\N
1504498	5129	1996-01-13	VYDAJ	VYBER	5100	37915	\N	\N	\N
1504500	5129	1996-01-21	VYDAJ	VYBER	4500	9715	\N	\N	\N
1504501	5129	1996-01-29	VYDAJ	VYBER	4500	36243	\N	\N	\N
1504502	5129	1996-01-14	VYDAJ	VYBER	6000	31915	\N	\N	\N
1504503	5129	1996-01-17	VYDAJ	VYBER	4200	27715	\N	\N	\N
1504504	5129	1997-01-03	VYDAJ	VYBER	5100	54131	\N	\N	\N
1504505	5129	1997-01-10	VYDAJ	VYBER	8700	45613	\N	\N	\N
1504506	5129	1997-01-04	VYDAJ	VYBER	6600	47531	\N	\N	\N
1504507	5129	1997-01-18	VYDAJ	VYBER	2400	53047	\N	\N	\N
1504508	5129	1997-01-23	VYDAJ	VYBER	1800	47047	\N	\N	\N
1504509	5129	1997-01-21	VYDAJ	VYBER	4200	48847	\N	\N	\N
1504510	5129	1998-01-29	VYDAJ	VYBER	4500	95917	\N	\N	\N
1504511	5129	1998-01-15	VYDAJ	VYBER	2700	56046	\N	\N	\N
1504512	5129	1998-01-19	VYDAJ	VYBER	1500	34946	\N	\N	\N
1504513	5129	1998-01-06	VYDAJ	VYBER	1800	35900	\N	\N	\N
1504514	5129	1998-01-03	VYDAJ	VYBER	8100	37700	\N	\N	\N
1504515	5129	1998-01-16	VYDAJ	VYBER	5400	50646	\N	\N	\N
1504516	5129	1993-11-22	VYDAJ	VYBER	12000	20921	\N	\N	\N
1504518	5129	1993-11-18	VYDAJ	VYBER	10200	32921	\N	\N	\N
1504520	5129	1993-12-16	VYDAJ	VYBER	4200	60517	\N	\N	\N
1504525	5129	1994-04-30	VYDAJ	VYBER	8100	25935	\N	\N	\N
1504528	5129	1995-03-12	VYDAJ	VYBER	4800	70211	\N	\N	\N
1504529	5129	1995-06-21	VYDAJ	VYBER	8400	12076	\N	\N	\N
1504530	5129	1995-01-08	VYDAJ	VYBER	6900	42743	\N	\N	\N
1504531	5129	1995-03-24	VYDAJ	VYBER	8100	49011	\N	\N	\N
1504532	5129	1995-04-12	VYDAJ	VYBER	12900	22027	\N	\N	\N
1504533	5129	1996-07-09	VYDAJ	VYBER	3900	35839	\N	\N	\N
1504534	5129	1996-10-27	VYDAJ	VYBER	3600	78344	\N	\N	\N
1504535	5129	1996-11-28	VYDAJ	VYBER	10200	25003	\N	\N	\N
1504536	5129	1996-02-24	VYDAJ	VYBER	10200	7737	\N	\N	\N
1504537	5129	1996-11-20	VYDAJ	VYBER	4500	41207	\N	\N	\N
1504538	5129	1996-07-31	VYDAJ	VYBER	13500	34440	\N	\N	\N
1504539	5129	1997-05-10	VYDAJ	VYBER	4200	78610	\N	\N	\N
1504540	5129	1997-02-01	VYDAJ	VYBER	6000	62196	\N	\N	\N
1504541	5129	1997-10-24	VYDAJ	VYBER	9900	73713	\N	\N	\N
1504542	5129	1997-04-16	VYDAJ	VYBER	11100	112977	\N	\N	\N
1504543	5129	1998-06-23	VYDAJ	VYBER	3300	52379	\N	\N	\N
1504544	5129	1998-07-30	VYDAJ	VYBER	2700	81586	\N	\N	\N
1504545	5129	1998-04-18	VYDAJ	VYBER	7800	20792	\N	\N	\N
1504547	5129	1998-12-30	VYDAJ	VYBER	9900	42663	\N	\N	\N
1504548	5129	1998-11-27	VYDAJ	VYBER	2700	29265	\N	\N	\N
1504556	5129	1993-07-31	VYDAJ	VYBER	15	86225	SLUZBY	\N	\N
1504557	5129	1993-08-31	VYDAJ	VYBER	15	49705	SLUZBY	\N	\N
1504558	5129	1993-09-30	VYDAJ	VYBER	15	57751	SLUZBY	\N	\N
1504559	5129	1993-10-31	VYDAJ	VYBER	15	37837	SLUZBY	\N	\N
1504560	5129	1993-11-30	VYDAJ	VYBER	15	21036	SLUZBY	\N	\N
1504561	5129	1993-12-31	VYDAJ	VYBER	15	82640	SLUZBY	\N	\N
1504562	5129	1994-01-31	VYDAJ	VYBER	15	24098	SLUZBY	\N	\N
1504563	5129	1994-02-28	VYDAJ	VYBER	15	34038	SLUZBY	\N	\N
1504564	5129	1994-03-31	VYDAJ	VYBER	15	9018	SLUZBY	\N	\N
1504565	5129	1994-04-30	VYDAJ	VYBER	15	25920	SLUZBY	\N	\N
1504566	5129	1994-05-31	VYDAJ	VYBER	15	15035	SLUZBY	\N	\N
1504567	5129	1994-06-30	VYDAJ	VYBER	15	22616	SLUZBY	\N	\N
1504568	5129	1994-07-31	VYDAJ	VYBER	15	5445	SLUZBY	\N	\N
1504569	5129	1994-08-31	VYDAJ	VYBER	15	24395	SLUZBY	\N	\N
1504570	5129	1994-09-30	VYDAJ	VYBER	15	17899	SLUZBY	\N	\N
1504571	5129	1994-10-31	VYDAJ	VYBER	15	7302	SLUZBY	\N	\N
1504572	5129	1994-11-30	VYDAJ	VYBER	15	-389	SLUZBY	\N	\N
1504573	5129	1994-12-31	VYDAJ	VYBER	15	1396	SLUZBY	\N	\N
1504574	5129	1995-01-31	VYDAJ	VYBER	15	18751	SLUZBY	\N	\N
1504575	5129	1995-02-28	VYDAJ	VYBER	15	42683	SLUZBY	\N	\N
1504576	5129	1995-03-31	VYDAJ	VYBER	15	34927	SLUZBY	\N	\N
1504577	5129	1995-04-30	VYDAJ	VYBER	15	37851	SLUZBY	\N	\N
1504578	5129	1995-05-31	VYDAJ	VYBER	15	53676	SLUZBY	\N	\N
1504579	5129	1995-06-30	VYDAJ	VYBER	15	14786	SLUZBY	\N	\N
1504580	5129	1995-07-31	VYDAJ	VYBER	15	47151	SLUZBY	\N	\N
1504581	5129	1995-08-31	VYDAJ	VYBER	15	34329	SLUZBY	\N	\N
1504582	5129	1995-09-30	VYDAJ	VYBER	15	56442	SLUZBY	\N	\N
1504583	5129	1995-10-31	VYDAJ	VYBER	15	110985	SLUZBY	\N	\N
1504584	5129	1995-11-30	VYDAJ	VYBER	15	41685	SLUZBY	\N	\N
1504585	5129	1995-12-31	VYDAJ	VYBER	15	18211	SLUZBY	\N	\N
1504586	5129	1996-01-31	VYDAJ	VYBER	15	36337	SLUZBY	\N	\N
1504587	5129	1996-02-29	VYDAJ	VYBER	15	7850	SLUZBY	\N	\N
1504588	5129	1996-03-31	VYDAJ	VYBER	15	7270	SLUZBY	\N	\N
1504589	5129	1996-04-30	VYDAJ	VYBER	15	36257	SLUZBY	\N	\N
1504590	5129	1996-05-31	VYDAJ	VYBER	15	80821	SLUZBY	\N	\N
1504591	5129	1996-06-30	VYDAJ	VYBER	15	19039	SLUZBY	\N	\N
1504592	5129	1996-07-31	VYDAJ	VYBER	15	34425	SLUZBY	\N	\N
1504593	5129	1996-08-31	VYDAJ	VYBER	15	39785	SLUZBY	\N	\N
1504594	5129	1996-09-30	VYDAJ	VYBER	15	45738	SLUZBY	\N	\N
1504595	5129	1996-10-31	VYDAJ	VYBER	15	78574	SLUZBY	\N	\N
1504596	5129	1996-11-30	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
1504597	5129	1996-12-31	VYDAJ	VYBER	15	70831	SLUZBY	\N	\N
1504598	5129	1997-01-31	VYDAJ	VYBER	15	68196	SLUZBY	\N	\N
1504599	5129	1997-02-28	VYDAJ	VYBER	15	81475	SLUZBY	\N	\N
1504600	5129	1997-03-31	VYDAJ	VYBER	15	105135	SLUZBY	\N	\N
1504601	5129	1997-04-30	VYDAJ	VYBER	15	100541	SLUZBY	\N	\N
1504602	5129	1997-05-31	VYDAJ	VYBER	15	45689	SLUZBY	\N	\N
1504603	5129	1997-06-30	VYDAJ	VYBER	15	43256	SLUZBY	\N	\N
1504604	5129	1997-07-31	VYDAJ	VYBER	15	41340	SLUZBY	\N	\N
1504605	5129	1997-08-31	VYDAJ	VYBER	15	35288	SLUZBY	\N	\N
1504606	5129	1997-09-30	VYDAJ	VYBER	15	46815	SLUZBY	\N	\N
1504607	5129	1997-10-31	VYDAJ	VYBER	15	73981	SLUZBY	\N	\N
1504608	5129	1997-11-30	VYDAJ	VYBER	15	62949	SLUZBY	\N	\N
1504609	5129	1997-12-31	VYDAJ	VYBER	15	45800	SLUZBY	\N	\N
1504610	5129	1998-01-31	VYDAJ	VYBER	15	45508	SLUZBY	\N	\N
1504611	5129	1998-02-28	VYDAJ	VYBER	15	64832	SLUZBY	\N	\N
1504612	5129	1998-03-31	VYDAJ	VYBER	15	54792	SLUZBY	\N	\N
1504613	5129	1998-04-30	VYDAJ	VYBER	15	30088	SLUZBY	\N	\N
1504614	5129	1998-05-31	VYDAJ	VYBER	15	42988	SLUZBY	\N	\N
1504615	5129	1998-06-30	VYDAJ	VYBER	15	99937	SLUZBY	\N	\N
1504616	5129	1998-07-31	VYDAJ	VYBER	15	81945	SLUZBY	\N	\N
1504617	5129	1998-08-31	VYDAJ	VYBER	15	82287	SLUZBY	\N	\N
1504618	5129	1998-09-30	VYDAJ	VYBER	15	74627	SLUZBY	\N	\N
1504619	5129	1998-10-31	VYDAJ	VYBER	15	60665	SLUZBY	\N	\N
1504620	5129	1998-11-30	VYDAJ	VYBER	15	29417	SLUZBY	\N	\N
1504621	5129	1993-07-08	VYDAJ	VYBER	7200	30948	\N	\N	\N
1504622	5129	1993-07-24	VYDAJ	VYBER	56300	60300	\N	\N	\N
1504623	5129	1993-08-07	VYDAJ	VYBER	36600	63250	\N	\N	\N
1504624	5129	1993-09-06	VYDAJ	VYBER	35100	45306	\N	\N	\N
1504625	5129	1993-10-06	VYDAJ	VYBER	35400	58630	\N	\N	\N
1504626	5129	1993-11-05	VYDAJ	VYBER	7200	30637	\N	\N	\N
1504627	5129	1993-12-05	PRIJEM	VKLAD	1300	22336	\N	\N	\N
1504628	5129	1993-12-26	VYDAJ	VYBER	24500	82435	\N	\N	\N
1504629	5129	1994-01-04	VYDAJ	VYBER	19200	25140	\N	\N	\N
1504630	5129	1994-02-03	PRIJEM	VKLAD	100	24198	\N	\N	\N
1504631	5129	1994-03-05	VYDAJ	VYBER	8500	25538	\N	\N	\N
1504632	5129	1994-04-04	PRIJEM	VKLAD	7500	16518	\N	\N	\N
1504633	5129	1994-05-04	VYDAJ	VYBER	2600	23319	\N	\N	\N
1504634	5129	1994-06-03	PRIJEM	VKLAD	2900	17935	\N	\N	\N
1504635	5129	1994-07-03	VYDAJ	VYBER	3800	18816	\N	\N	\N
1504636	5129	1994-08-02	PRIJEM	VKLAD	6200	11645	\N	\N	\N
1504637	5129	1994-09-01	VYDAJ	VYBER	7200	17195	\N	\N	\N
1504638	5129	1994-10-01	VYDAJ	VYBER	2900	14999	\N	\N	\N
1504639	5129	1994-10-31	PRIJEM	VKLAD	8400	7317	\N	\N	\N
1504640	5129	1994-11-30	PRIJEM	VKLAD	8200	-374	\N	\N	\N
1504641	5129	1994-12-30	PRIJEM	VKLAD	15000	1411	\N	\N	\N
1504642	5129	1995-01-29	VYDAJ	VYBER	10600	22491	\N	\N	\N
1504643	5129	1995-02-28	VYDAJ	VYBER	28900	42697	\N	\N	\N
1504644	5129	1995-03-28	VYDAJ	VYBER	36900	59528	\N	\N	\N
1504645	5129	1995-03-30	VYDAJ	VYBER	24800	34728	\N	\N	\N
1504646	5129	1995-04-29	VYDAJ	VYBER	31200	37709	\N	\N	\N
1504647	5129	1995-05-29	VYDAJ	VYBER	38600	53473	\N	\N	\N
1504648	5129	1995-06-28	VYDAJ	VYBER	2500	14662	\N	\N	\N
1504649	5129	1995-07-28	VYDAJ	VYBER	34700	47052	\N	\N	\N
1504650	5129	1995-08-27	VYDAJ	VYBER	19300	34174	\N	\N	\N
1504651	5129	1995-09-21	VYDAJ	VYBER	17000	102663	\N	\N	\N
1504652	5129	1995-09-26	VYDAJ	VYBER	46500	56163	\N	\N	\N
1504653	5129	1995-10-26	VYDAJ	VYBER	15500	25642	\N	\N	\N
1504654	5129	1995-10-31	VYDAJ	VYBER	53100	57885	\N	\N	\N
1504655	5129	1995-11-21	VYDAJ	VYBER	37700	68733	\N	\N	\N
1504656	5129	1995-11-25	VYDAJ	VYBER	27400	41333	\N	\N	\N
1504657	5129	1995-12-08	VYDAJ	VYBER	43700	58274	\N	\N	\N
1504658	5129	1995-12-25	VYDAJ	VYBER	3900	18068	\N	\N	\N
1504659	5129	1996-01-24	PRIJEM	VKLAD	2700	12415	\N	\N	\N
1504660	5129	1996-02-23	VYDAJ	VYBER	800	17937	\N	\N	\N
1504661	5129	1996-03-24	PRIJEM	VKLAD	11900	7250	\N	\N	\N
1504662	5129	1996-04-23	PRIJEM	VKLAD	11200	6370	\N	\N	\N
1504663	5129	1996-05-23	VYDAJ	VYBER	26600	47092	\N	\N	\N
1504664	5129	1996-06-10	VYDAJ	VYBER	35000	80159	\N	\N	\N
1504665	5129	1996-06-22	PRIJEM	VKLAD	2300	18859	\N	\N	\N
1504666	5129	1996-07-22	VYDAJ	VYBER	26400	47757	\N	\N	\N
1504667	5129	1996-08-21	VYDAJ	VYBER	13100	39625	\N	\N	\N
1504668	5129	1996-09-20	PRIJEM	VKLAD	3100	28685	\N	\N	\N
1504669	5129	1996-10-20	VYDAJ	VYBER	3000	39324	\N	\N	\N
1504670	5129	1996-11-12	VYDAJ	VYBER	62700	59458	\N	\N	\N
1504671	5129	1996-11-19	VYDAJ	VYBER	20600	45707	\N	\N	\N
1504672	5129	1996-12-19	PRIJEM	VKLAD	400	27813	\N	\N	\N
1504673	5129	1997-01-18	VYDAJ	VYBER	17000	55447	\N	\N	\N
1504674	5129	1997-02-17	VYDAJ	VYBER	27900	74222	\N	\N	\N
1504675	5129	1997-03-19	VYDAJ	VYBER	18300	56072	\N	\N	\N
1504676	5129	1997-04-16	VYDAJ	VYBER	47300	65677	\N	\N	\N
1504677	5129	1997-04-18	VYDAJ	VYBER	14000	51677	\N	\N	\N
1504678	5129	1997-04-20	VYDAJ	VYBER	40500	59922	\N	\N	\N
1504679	5129	1997-05-18	VYDAJ	VYBER	11900	50210	\N	\N	\N
1504680	5129	1997-06-17	VYDAJ	VYBER	20600	70552	\N	\N	\N
1504681	5129	1997-07-17	PRIJEM	VKLAD	3000	41195	\N	\N	\N
1504682	5129	1997-08-16	PRIJEM	VKLAD	8600	35140	\N	\N	\N
1504683	5129	1997-09-15	VYDAJ	VYBER	200	35596	\N	\N	\N
1504684	5129	1997-10-15	VYDAJ	VYBER	26400	60156	\N	\N	\N
1504685	5129	1997-11-06	VYDAJ	VYBER	50300	51102	\N	\N	\N
1504686	5129	1997-11-14	VYDAJ	VYBER	11200	39902	\N	\N	\N
1504687	5129	1997-12-08	VYDAJ	VYBER	21500	73258	\N	\N	\N
1504688	5129	1997-12-14	VYDAJ	VYBER	23700	49558	\N	\N	\N
1504689	5129	1998-01-13	VYDAJ	VYBER	22500	58746	\N	\N	\N
1504690	5129	1998-01-27	VYDAJ	VYBER	50000	100417	\N	\N	\N
1504691	5129	1998-01-27	VYDAJ	VYBER	21500	150417	\N	\N	\N
1504692	5129	1998-01-30	VYDAJ	VYBER	62800	45242	\N	\N	\N
1504693	5129	1998-02-12	VYDAJ	VYBER	8600	35004	\N	\N	\N
1504694	5129	1998-03-03	VYDAJ	VYBER	46800	61261	\N	\N	\N
1504695	5129	1998-03-14	VYDAJ	VYBER	26500	54566	\N	\N	\N
1504696	5129	1998-04-13	VYDAJ	VYBER	9400	28592	\N	\N	\N
1504697	5129	1998-05-13	VYDAJ	VYBER	1900	31062	\N	\N	\N
1504698	5129	1998-06-12	PRIJEM	VKLAD	12100	33025	\N	\N	\N
1504699	5129	1998-06-30	VYDAJ	VYBER	38600	61337	\N	\N	\N
1504700	5129	1998-07-12	VYDAJ	VYBER	7500	53837	\N	\N	\N
1504701	5129	1998-08-07	VYDAJ	VYBER	44900	78099	\N	\N	\N
1504702	5129	1998-08-11	VYDAJ	VYBER	16100	44399	\N	\N	\N
1504703	5129	1998-09-10	VYDAJ	VYBER	22000	60287	\N	\N	\N
1504704	5129	1998-10-10	VYDAJ	VYBER	24500	51465	\N	\N	\N
1504705	5129	1998-10-24	VYDAJ	VYBER	60100	76059	\N	\N	\N
1504706	5129	1998-11-09	VYDAJ	VYBER	11900	31965	\N	\N	\N
1504707	5129	1998-12-09	VYDAJ	VYBER	18500	51902	\N	\N	\N
1505719	5133	1996-12-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1505723	5133	1996-12-10	PRIJEM	VKLAD	24863	25763	\N	\N	\N
1505739	5133	1997-08-09	PRIJEM	VKLAD	30922	45709	\N	\N	\N
1505740	5133	1997-06-27	PRIJEM	VKLAD	7875	23835	\N	\N	\N
1505741	5133	1997-07-02	PRIJEM	VKLAD	27975	51969	\N	\N	\N
1505742	5133	1997-11-11	PRIJEM	VKLAD	29013	57240	\N	\N	\N
1505743	5133	1997-10-19	PRIJEM	VKLAD	17143	41931	\N	\N	\N
1505744	5133	1997-09-13	PRIJEM	VKLAD	11879	56808	\N	\N	\N
1505745	5133	1997-08-20	PRIJEM	VKLAD	46120	87630	\N	\N	\N
1505746	5133	1997-10-27	PRIJEM	VKLAD	31347	73278	\N	\N	\N
1505747	5133	1997-01-09	PRIJEM	VKLAD	29402	52741	\N	\N	\N
1505748	5133	1997-12-19	PRIJEM	VKLAD	43508	55448	\N	\N	\N
1505749	5133	1997-03-31	PRIJEM	VKLAD	27428	55480	\N	\N	\N
1505750	5133	1997-04-23	PRIJEM	VKLAD	12934	48634	\N	\N	\N
1505751	5133	1998-01-10	PRIJEM	VKLAD	27195	93255	\N	\N	\N
1505752	5133	1998-12-12	PRIJEM	VKLAD	14868	48116	\N	\N	\N
1505753	5133	1998-06-24	PRIJEM	VKLAD	39462	74254	\N	\N	\N
1505754	5133	1998-09-04	PRIJEM	VKLAD	18160	59135	\N	\N	\N
1505755	5133	1998-10-13	PRIJEM	VKLAD	5046	30938	\N	\N	\N
1505756	5133	1998-05-07	PRIJEM	VKLAD	31959	106172	\N	\N	\N
1505757	5133	1998-03-10	PRIJEM	VKLAD	26165	78087	\N	\N	\N
1505758	5133	1998-04-26	PRIJEM	VKLAD	14366	92644	\N	\N	\N
1505759	5133	1998-01-06	PRIJEM	VKLAD	23852	74446	\N	\N	\N
1505760	5133	1998-08-27	PRIJEM	VKLAD	47802	70871	\N	\N	\N
1505761	5133	1998-01-02	PRIJEM	VKLAD	48032	103606	\N	\N	\N
1505762	5133	1998-02-03	PRIJEM	VKLAD	24715	52656	\N	\N	\N
1505763	5133	1998-11-13	PRIJEM	VKLAD	13850	45563	\N	\N	\N
1505764	5133	1998-03-26	PRIJEM	VKLAD	19527	88946	\N	\N	\N
1505765	5133	1998-02-24	PRIJEM	VKLAD	34247	77537	\N	\N	\N
1505766	5133	1998-12-28	PRIJEM	VKLAD	41845	81293	\N	\N	\N
1505767	5133	1998-04-07	PRIJEM	VKLAD	43792	91132	\N	\N	\N
1505768	5133	1998-04-29	PRIJEM	VKLAD	25907	118551	\N	\N	\N
1505769	5133	1998-11-11	PRIJEM	VKLAD	18757	36468	\N	\N	\N
1505770	5133	1998-02-25	PRIJEM	VKLAD	11288	88825	\N	\N	\N
1505771	5133	1998-05-20	PRIJEM	VKLAD	28447	125665	\N	\N	\N
1505772	5133	1998-07-30	PRIJEM	VKLAD	19853	49313	\N	\N	\N
1505773	5133	1998-11-22	PRIJEM	VKLAD	27776	56526	\N	\N	\N
1505774	5133	1998-05-04	PRIJEM	VKLAD	33962	74625	\N	\N	\N
1505793	5133	1997-07-23	VYDAJ	VYBER	3600	24958	\N	\N	0
1505794	5133	1997-08-05	VYDAJ	VYBER	5100	14787	\N	\N	0
1505795	5133	1997-09-08	VYDAJ	VYBER	5200	45215	\N	\N	0
1505796	5133	1997-10-09	VYDAJ	VYBER	5200	28987	\N	\N	0
1505797	5133	1997-10-31	VYDAJ	VYBER	5100	68325	\N	\N	0
1505798	5133	1997-12-14	VYDAJ	VYBER	3800	11940	\N	\N	0
1505799	5133	1998-01-20	VYDAJ	VYBER	4500	84842	\N	\N	0
1505800	5133	1998-02-12	VYDAJ	PREVOD NA UCET	4755	47203	UVER	MN	16182625
1505801	5133	1998-03-12	VYDAJ	PREVOD NA UCET	4755	73332	UVER	MN	16182625
1505802	5133	1998-04-12	VYDAJ	PREVOD NA UCET	4755	86091	UVER	MN	16182625
1505803	5133	1998-05-12	VYDAJ	PREVOD NA UCET	4755	101131	UVER	MN	16182625
1505804	5133	1998-06-12	VYDAJ	PREVOD NA UCET	4755	38705	UVER	MN	16182625
1505805	5133	1998-07-12	VYDAJ	PREVOD NA UCET	4755	33373	UVER	MN	16182625
1505806	5133	1998-08-12	VYDAJ	PREVOD NA UCET	4755	26982	UVER	MN	16182625
1505807	5133	1998-09-12	VYDAJ	PREVOD NA UCET	4755	53682	UVER	MN	16182625
1505808	5133	1998-10-12	VYDAJ	PREVOD NA UCET	4755	25892	UVER	MN	16182625
1505809	5133	1998-11-12	VYDAJ	PREVOD NA UCET	4755	31713	UVER	MN	16182625
1505810	5133	1998-12-12	VYDAJ	PREVOD NA UCET	4755	43361	UVER	MN	16182625
1505829	5133	1997-07-09	VYDAJ	PREVOD NA UCET	286	32471	SIPO	AB	50449115
1505830	5133	1997-08-09	VYDAJ	PREVOD NA UCET	286	45423	SIPO	AB	50449115
1505831	5133	1997-09-09	VYDAJ	PREVOD NA UCET	286	44929	SIPO	AB	50449115
1505832	5133	1997-10-09	VYDAJ	PREVOD NA UCET	286	28701	SIPO	AB	50449115
1505833	5133	1997-11-09	VYDAJ	PREVOD NA UCET	286	28227	SIPO	AB	50449115
1505834	5133	1997-12-09	VYDAJ	PREVOD NA UCET	286	29553	SIPO	AB	50449115
1505835	5133	1998-01-09	VYDAJ	PREVOD NA UCET	286	66060	SIPO	AB	50449115
1505836	5133	1998-02-09	VYDAJ	PREVOD NA UCET	286	51958	SIPO	AB	50449115
1505837	5133	1998-03-09	VYDAJ	PREVOD NA UCET	286	51922	SIPO	AB	50449115
1505838	5133	1998-04-09	VYDAJ	PREVOD NA UCET	286	90846	SIPO	AB	50449115
1505839	5133	1998-05-09	VYDAJ	PREVOD NA UCET	286	105886	SIPO	AB	50449115
1505840	5133	1998-06-09	VYDAJ	PREVOD NA UCET	286	43460	SIPO	AB	50449115
1505841	5133	1998-07-09	VYDAJ	PREVOD NA UCET	286	38128	SIPO	AB	50449115
1505842	5133	1998-08-09	VYDAJ	PREVOD NA UCET	286	31737	SIPO	AB	50449115
1505843	5133	1998-09-09	VYDAJ	PREVOD NA UCET	286	58437	SIPO	AB	50449115
1505844	5133	1998-10-09	VYDAJ	PREVOD NA UCET	286	30647	SIPO	AB	50449115
1505845	5133	1998-11-09	VYDAJ	PREVOD NA UCET	286	17711	SIPO	AB	50449115
1505846	5133	1998-12-09	VYDAJ	PREVOD NA UCET	286	33248	SIPO	AB	50449115
1505865	5133	1997-07-05	VYDAJ	PREVOD NA UCET	412	51557	 	IJ	35177278
1505866	5133	1997-08-05	VYDAJ	PREVOD NA UCET	412	19887	 	IJ	35177278
1505867	5133	1997-09-05	VYDAJ	PREVOD NA UCET	412	50415	 	IJ	35177278
1505868	5133	1997-10-05	VYDAJ	PREVOD NA UCET	412	34187	 	IJ	35177278
1505869	5133	1997-11-05	VYDAJ	PREVOD NA UCET	412	38713	 	IJ	35177278
1505870	5133	1997-12-05	VYDAJ	PREVOD NA UCET	412	29839	 	IJ	35177278
1505871	5133	1998-01-05	VYDAJ	PREVOD NA UCET	412	58694	 	IJ	35177278
1505872	5133	1998-02-05	VYDAJ	PREVOD NA UCET	412	52244	 	IJ	35177278
1505873	5133	1998-03-05	VYDAJ	PREVOD NA UCET	412	52208	 	IJ	35177278
1505874	5133	1998-04-05	VYDAJ	PREVOD NA UCET	412	50111	 	IJ	35177278
1505875	5133	1998-05-05	VYDAJ	PREVOD NA UCET	412	74213	 	IJ	35177278
1505876	5133	1998-06-05	VYDAJ	PREVOD NA UCET	412	43746	 	IJ	35177278
1505877	5133	1998-07-05	VYDAJ	PREVOD NA UCET	412	38414	 	IJ	35177278
1505878	5133	1998-08-05	VYDAJ	PREVOD NA UCET	412	32023	 	IJ	35177278
1505879	5133	1998-09-05	VYDAJ	PREVOD NA UCET	412	58723	 	IJ	35177278
1505880	5133	1998-10-05	VYDAJ	PREVOD NA UCET	412	30933	 	IJ	35177278
1505881	5133	1998-11-05	VYDAJ	PREVOD NA UCET	412	17997	 	IJ	35177278
1505882	5133	1998-12-05	VYDAJ	PREVOD NA UCET	412	38034	 	IJ	35177278
1505901	5133	1997-07-14	VYDAJ	PREVOD NA UCET	3913	28558	POJISTNE	QR	97651743
1505902	5133	1997-08-14	VYDAJ	PREVOD NA UCET	3913	41510	POJISTNE	QR	97651743
1505903	5133	1997-09-14	VYDAJ	PREVOD NA UCET	3913	52895	POJISTNE	QR	97651743
1505904	5133	1997-10-14	VYDAJ	PREVOD NA UCET	3913	24788	POJISTNE	QR	97651743
1505905	5133	1997-11-14	VYDAJ	PREVOD NA UCET	3913	53327	POJISTNE	QR	97651743
1505906	5133	1997-12-14	VYDAJ	PREVOD NA UCET	3913	15740	POJISTNE	QR	97651743
1505907	5133	1998-01-14	VYDAJ	PREVOD NA UCET	3913	89342	POJISTNE	QR	97651743
1505908	5133	1998-02-14	VYDAJ	PREVOD NA UCET	3913	43290	POJISTNE	QR	97651743
1505909	5133	1998-03-14	VYDAJ	PREVOD NA UCET	3913	69419	POJISTNE	QR	97651743
1505910	5133	1998-04-14	VYDAJ	PREVOD NA UCET	3913	78278	POJISTNE	QR	97651743
1505911	5133	1998-05-14	VYDAJ	PREVOD NA UCET	3913	97218	POJISTNE	QR	97651743
1505912	5133	1998-06-14	VYDAJ	PREVOD NA UCET	3913	34792	POJISTNE	QR	97651743
1505913	5133	1998-07-14	VYDAJ	PREVOD NA UCET	3913	29460	POJISTNE	QR	97651743
1505914	5133	1998-08-14	VYDAJ	PREVOD NA UCET	3913	23069	POJISTNE	QR	97651743
1505915	5133	1998-09-14	VYDAJ	PREVOD NA UCET	3913	49769	POJISTNE	QR	97651743
1505916	5133	1998-10-14	VYDAJ	PREVOD NA UCET	3913	27025	POJISTNE	QR	97651743
1505917	5133	1998-11-14	VYDAJ	PREVOD NA UCET	3913	41650	POJISTNE	QR	97651743
1505918	5133	1998-12-14	VYDAJ	PREVOD NA UCET	3913	39448	POJISTNE	QR	97651743
1505925	5133	1997-08-01	VYBER	VYBER	4748	20299	\N	\N	\N
1505926	5133	1997-12-02	VYBER	VYBER	4715	44251	\N	\N	\N
1505928	5133	1997-11-23	VYBER	VYBER	4546	48781	\N	\N	\N
1505929	5133	1998-04-06	VYBER	VYBER	2771	47340	\N	\N	\N
1505930	5133	1998-05-30	VYBER	VYBER	13695	72170	\N	\N	\N
1505933	5133	1998-06-25	VYDAJ	VYBER	13500	60754	\N	\N	\N
1505936	5133	1998-01-29	VYDAJ	VYBER	27600	47342	\N	\N	\N
1505939	5133	1998-12-08	VYDAJ	VYBER	4500	33534	\N	\N	\N
1505952	5133	1998-01-29	VYDAJ	VYBER	8100	39242	\N	\N	\N
1505953	5133	1998-01-27	VYDAJ	VYBER	1500	74942	\N	\N	\N
1505954	5133	1998-01-05	VYDAJ	VYBER	8100	50594	\N	\N	\N
1505955	5133	1998-01-20	VYDAJ	VYBER	8400	76442	\N	\N	\N
1505956	5133	1998-01-02	VYDAJ	VYBER	3900	99706	\N	\N	\N
1505957	5133	1998-01-07	VYDAJ	VYBER	8100	66346	\N	\N	\N
1505966	5133	1997-11-09	VYDAJ	VYBER	10200	28513	\N	\N	\N
1505967	5133	1997-12-10	VYDAJ	VYBER	9900	19653	\N	\N	\N
1505969	5133	1998-11-14	VYDAJ	VYBER	12900	28750	\N	\N	\N
1505970	5133	1998-04-13	VYDAJ	VYBER	3900	82191	\N	\N	\N
1505989	5133	1997-06-30	VYDAJ	VYBER	30	23994	SLUZBY	\N	\N
1505990	5133	1997-07-31	VYDAJ	VYBER	30	25047	SLUZBY	\N	\N
1505991	5133	1997-08-31	VYDAJ	VYBER	30	87827	SLUZBY	\N	\N
1505992	5133	1997-09-30	VYDAJ	VYBER	30	53099	SLUZBY	\N	\N
1505993	5133	1997-10-31	VYDAJ	VYBER	30	73425	SLUZBY	\N	\N
1505994	5133	1997-11-30	VYDAJ	VYBER	30	48966	SLUZBY	\N	\N
1505995	5133	1997-12-31	VYDAJ	VYBER	30	55574	SLUZBY	\N	\N
1505996	5133	1998-01-31	VYDAJ	VYBER	30	39541	SLUZBY	\N	\N
1505997	5133	1998-02-28	VYDAJ	VYBER	30	89020	SLUZBY	\N	\N
1505998	5133	1998-03-31	VYDAJ	VYBER	30	89223	SLUZBY	\N	\N
1505999	5133	1998-04-30	VYDAJ	VYBER	30	58363	SLUZBY	\N	\N
1506000	5133	1998-05-31	VYDAJ	VYBER	30	72558	SLUZBY	\N	\N
1506001	5133	1998-06-30	VYDAJ	VYBER	30	60926	SLUZBY	\N	\N
1506002	5133	1998-07-31	VYDAJ	VYBER	30	49435	SLUZBY	\N	\N
1506003	5133	1998-08-31	VYDAJ	VYBER	30	40975	SLUZBY	\N	\N
1506004	5133	1998-09-30	VYDAJ	VYBER	30	31345	SLUZBY	\N	\N
1506005	5133	1998-10-31	VYDAJ	VYBER	30	18409	SLUZBY	\N	\N
1506006	5133	1998-11-30	VYDAJ	VYBER	30	38446	SLUZBY	\N	\N
1506007	5133	1997-01-07	VYDAJ	VYBER	2500	23339	\N	\N	\N
1506008	5133	1997-02-06	VYDAJ	VYBER	13500	39432	\N	\N	\N
1506009	5133	1997-03-08	VYDAJ	VYBER	11600	28052	\N	\N	\N
1506010	5133	1997-04-07	VYDAJ	VYBER	20000	35700	\N	\N	\N
1506011	5133	1997-05-07	VYDAJ	VYBER	18600	30257	\N	\N	\N
1506012	5133	1997-06-06	VYDAJ	VYBER	14500	15960	\N	\N	\N
1506013	5133	1997-07-06	VYDAJ	VYBER	18800	32757	\N	\N	\N
1506014	5133	1997-09-04	VYDAJ	VYBER	37000	50827	\N	\N	\N
1506015	5133	1997-10-04	VYDAJ	VYBER	18500	34599	\N	\N	\N
1506016	5133	1997-11-03	VYDAJ	VYBER	29200	39125	\N	\N	\N
1506017	5133	1997-12-03	VYDAJ	VYBER	14000	30251	\N	\N	\N
1506018	5133	1998-01-02	VYDAJ	VYBER	40600	59106	\N	\N	\N
1506019	5133	1998-02-01	VYDAJ	VYBER	11600	27941	\N	\N	\N
1506020	5133	1998-03-03	VYDAJ	VYBER	36400	52620	\N	\N	\N
1506021	5133	1998-04-02	VYDAJ	VYBER	38700	50523	\N	\N	\N
1506022	5133	1998-04-29	VYDAJ	VYBER	60500	58051	\N	\N	\N
1506023	5133	1998-05-02	VYDAJ	VYBER	17700	40663	\N	\N	\N
1506024	5133	1998-05-20	VYDAJ	VYBER	39800	85865	\N	\N	\N
1506025	5133	1998-06-01	VYDAJ	VYBER	28400	44158	\N	\N	\N
1506026	5133	1998-07-01	VYDAJ	VYBER	22100	38826	\N	\N	\N
1506027	5133	1998-07-31	VYDAJ	VYBER	17000	32435	\N	\N	\N
1506028	5133	1998-08-30	VYDAJ	VYBER	30000	40871	\N	\N	\N
1506029	5133	1998-09-29	VYDAJ	VYBER	18600	31169	\N	\N	\N
1506030	5133	1998-10-29	VYDAJ	VYBER	8700	18325	\N	\N	\N
1506031	5133	1998-11-28	VYDAJ	VYBER	18200	38326	\N	\N	\N
1514990	5164	1997-05-13	PRIJEM	VKLAD	300	6692	\N	\N	\N
1514995	5164	1997-05-13	PRIJEM	VKLAD	6392	6392	\N	\N	\N
1514996	5164	1997-06-13	PRIJEM	VKLAD	9588	24197	\N	\N	\N
1514997	5164	1997-07-13	PRIJEM	VKLAD	6392	33261	\N	\N	\N
1514998	5164	1997-08-13	PRIJEM	VKLAD	6392	35377	\N	\N	\N
1514999	5164	1997-09-13	PRIJEM	VKLAD	6392	37213	\N	\N	\N
1515000	5164	1997-10-13	PRIJEM	VKLAD	6392	31970	\N	\N	\N
1515001	5164	1997-11-13	PRIJEM	VKLAD	6392	33205	\N	\N	\N
1515002	5164	1997-12-13	PRIJEM	VKLAD	9588	31935	\N	\N	\N
1515003	5164	1998-01-13	PRIJEM	VKLAD	6392	26564	\N	\N	\N
1515004	5164	1998-02-13	PRIJEM	VKLAD	6392	23577	\N	\N	\N
1515005	5164	1998-03-13	PRIJEM	VKLAD	6392	21975	\N	\N	\N
1515006	5164	1998-04-13	PRIJEM	VKLAD	6392	18946	\N	\N	\N
1515007	5164	1998-05-13	PRIJEM	VKLAD	6392	20507	\N	\N	\N
1515008	5164	1998-06-13	PRIJEM	VKLAD	9588	25264	\N	\N	\N
1515009	5164	1998-07-13	PRIJEM	VKLAD	6392	26139	\N	\N	\N
1515010	5164	1998-08-13	PRIJEM	VKLAD	6392	27723	\N	\N	\N
1515011	5164	1998-09-13	PRIJEM	VKLAD	6392	29314	\N	\N	\N
1515012	5164	1998-10-13	PRIJEM	VKLAD	6392	30912	\N	\N	\N
1515013	5164	1998-11-13	PRIJEM	VKLAD	6392	18116	\N	\N	\N
1515014	5164	1998-12-13	PRIJEM	VKLAD	9588	22383	\N	\N	\N
1515023	5164	1997-09-14	VYDAJ	PREVOD NA UCET	4261	32952	SIPO	EF	54096066
1515024	5164	1997-10-14	VYDAJ	PREVOD NA UCET	4261	27709	SIPO	EF	54096066
1515025	5164	1997-11-14	VYDAJ	PREVOD NA UCET	4261	28444	SIPO	EF	54096066
1515026	5164	1997-12-14	VYDAJ	PREVOD NA UCET	4261	27674	SIPO	EF	54096066
1515027	5164	1998-01-14	VYDAJ	PREVOD NA UCET	4261	22303	SIPO	EF	54096066
1515028	5164	1998-02-14	VYDAJ	PREVOD NA UCET	4261	19316	SIPO	EF	54096066
1515029	5164	1998-03-14	VYDAJ	PREVOD NA UCET	4261	17714	SIPO	EF	54096066
1515030	5164	1998-04-14	VYDAJ	PREVOD NA UCET	4261	14685	SIPO	EF	54096066
1515031	5164	1998-05-14	VYDAJ	PREVOD NA UCET	4261	16246	SIPO	EF	54096066
1515032	5164	1998-06-14	VYDAJ	PREVOD NA UCET	4261	21003	SIPO	EF	54096066
1515033	5164	1998-07-14	VYDAJ	PREVOD NA UCET	4261	21878	SIPO	EF	54096066
1515034	5164	1998-08-14	VYDAJ	PREVOD NA UCET	4261	23462	SIPO	EF	54096066
1515035	5164	1998-09-14	VYDAJ	PREVOD NA UCET	4261	25053	SIPO	EF	54096066
1515036	5164	1998-10-14	VYDAJ	PREVOD NA UCET	4261	26651	SIPO	EF	54096066
1515037	5164	1998-11-14	VYDAJ	PREVOD NA UCET	4261	13355	SIPO	EF	54096066
1515038	5164	1998-12-14	VYDAJ	PREVOD NA UCET	4261	18122	SIPO	EF	54096066
1515048	5164	1997-10-24	VYDAJ	VYBER	300	27409	\N	\N	0
1515049	5164	1997-11-13	VYDAJ	VYBER	500	32705	\N	\N	0
1515050	5164	1997-12-04	VYDAJ	VYBER	400	28147	\N	\N	0
1515051	5164	1998-01-25	VYDAJ	VYBER	500	21803	\N	\N	0
1515052	5164	1998-02-07	VYDAJ	VYBER	600	21285	\N	\N	0
1515053	5164	1998-03-22	VYDAJ	VYBER	500	17214	\N	\N	0
1515054	5164	1998-04-12	VYDAJ	PREVOD NA UCET	621	12554	UVER	UV	10503888
1515055	5164	1998-05-12	VYDAJ	PREVOD NA UCET	621	14115	UVER	UV	10503888
1515056	5164	1998-06-12	VYDAJ	PREVOD NA UCET	621	15676	UVER	UV	10503888
1515057	5164	1998-07-12	VYDAJ	PREVOD NA UCET	621	19747	UVER	UV	10503888
1515058	5164	1998-08-12	VYDAJ	PREVOD NA UCET	621	21331	UVER	UV	10503888
1515059	5164	1998-09-12	VYDAJ	PREVOD NA UCET	621	22922	UVER	UV	10503888
1515060	5164	1998-10-12	VYDAJ	PREVOD NA UCET	621	24520	UVER	UV	10503888
1515061	5164	1998-11-12	VYDAJ	PREVOD NA UCET	621	11724	UVER	UV	10503888
1515062	5164	1998-12-12	VYDAJ	PREVOD NA UCET	621	12795	UVER	UV	10503888
1515065	5164	1997-12-27	VYDAJ	VYBER	800	26874	\N	\N	\N
1515068	5164	1997-09-30	VYDAJ	VYBER	4100	28993	\N	\N	\N
1515075	5164	1998-01-04	VYDAJ	VYBER	1300	25672	\N	\N	\N
1515076	5164	1998-06-24	VYDAJ	VYBER	700	20303	\N	\N	\N
1515077	5164	1998-11-13	VYDAJ	VYBER	500	17616	\N	\N	\N
1515087	5164	1997-09-30	VYDAJ	VYBER	15	28978	SLUZBY	\N	\N
1515088	5164	1997-10-31	VYDAJ	VYBER	15	27513	SLUZBY	\N	\N
1515089	5164	1997-11-30	VYDAJ	VYBER	15	28547	SLUZBY	\N	\N
1515090	5164	1997-12-31	VYDAJ	VYBER	15	26972	SLUZBY	\N	\N
1515091	5164	1998-01-31	VYDAJ	VYBER	15	21885	SLUZBY	\N	\N
1515092	5164	1998-02-28	VYDAJ	VYBER	15	19383	SLUZBY	\N	\N
1515093	5164	1998-03-31	VYDAJ	VYBER	15	17275	SLUZBY	\N	\N
1515094	5164	1998-04-30	VYDAJ	VYBER	15	14736	SLUZBY	\N	\N
1515095	5164	1998-05-31	VYDAJ	VYBER	15	16297	SLUZBY	\N	\N
1515096	5164	1998-06-30	VYDAJ	VYBER	15	20368	SLUZBY	\N	\N
1515097	5164	1998-07-31	VYDAJ	VYBER	15	21952	SLUZBY	\N	\N
1515098	5164	1998-08-31	VYDAJ	VYBER	15	23543	SLUZBY	\N	\N
1515099	5164	1998-09-30	VYDAJ	VYBER	15	25141	SLUZBY	\N	\N
1515100	5164	1998-10-31	VYDAJ	VYBER	15	26745	SLUZBY	\N	\N
1515101	5164	1998-11-30	VYDAJ	VYBER	15	13416	SLUZBY	\N	\N
1515102	5164	1997-06-12	PRIJEM	VKLAD	7900	14609	\N	\N	\N
1515103	5164	1997-07-12	PRIJEM	VKLAD	2600	26869	\N	\N	\N
1515104	5164	1997-08-11	VYDAJ	VYBER	4400	28985	\N	\N	\N
1515105	5164	1997-09-10	VYDAJ	VYBER	4700	30821	\N	\N	\N
1515106	5164	1997-10-10	VYDAJ	VYBER	3400	25578	\N	\N	\N
1515107	5164	1997-11-09	VYDAJ	VYBER	700	26813	\N	\N	\N
1515108	5164	1997-12-09	VYDAJ	VYBER	5800	22347	\N	\N	\N
1515109	5164	1998-01-08	VYDAJ	VYBER	5500	20172	\N	\N	\N
1515110	5164	1998-02-07	VYDAJ	VYBER	4100	17185	\N	\N	\N
1515111	5164	1998-03-09	VYDAJ	VYBER	3800	15583	\N	\N	\N
1515112	5164	1998-04-08	VYDAJ	VYBER	4100	13175	\N	\N	\N
1515113	5164	1998-11-04	VYDAJ	VYBER	14400	12345	\N	\N	\N
1519563	5180	1997-02-24	PRIJEM	VKLAD	700	700	\N	\N	\N
1519564	5180	1997-04-17	PRIJEM	VKLAD	49991	50691	\N	\N	\N
1519566	5180	1998-07-25	PRIJEM	VKLAD	32633	50913	\N	\N	\N
1519567	5180	1998-11-06	PRIJEM	VKLAD	6562	68134	\N	\N	\N
1519568	5180	1998-09-04	PRIJEM	VKLAD	11961	103689	\N	\N	\N
1519569	5180	1998-11-02	PRIJEM	VKLAD	38414	61572	\N	\N	\N
1519570	5180	1998-04-30	PRIJEM	VKLAD	9754	23800	\N	\N	\N
1519571	5180	1998-07-10	PRIJEM	VKLAD	28687	71290	\N	\N	\N
1519572	5180	1998-12-02	PRIJEM	VKLAD	13383	44879	\N	\N	\N
1519573	5180	1998-09-03	PRIJEM	VKLAD	26824	91728	\N	\N	\N
1519574	5180	1998-06-25	PRIJEM	VKLAD	45942	58475	\N	\N	\N
1519575	5180	1998-08-13	PRIJEM	VKLAD	43813	90004	\N	\N	\N
1519576	5180	1998-02-07	PRIJEM	VKLAD	9458	26229	\N	\N	\N
1519577	5180	1998-04-30	PRIJEM	VKLAD	36019	59819	\N	\N	\N
1519578	5180	1998-08-25	PRIJEM	VKLAD	34342	80046	\N	\N	\N
1519579	5180	1998-09-28	PRIJEM	VKLAD	35261	111219	\N	\N	\N
1519580	5180	1998-09-21	PRIJEM	VKLAD	30091	80383	\N	\N	\N
1519599	5180	1998-07-02	VYDAJ	VYBER	6200	42603	\N	\N	0
1519600	5180	1998-08-12	VYDAJ	PREVOD NA UCET	4897	46191	UVER	WX	41377508
1519601	5180	1998-09-12	VYDAJ	PREVOD NA UCET	4897	98792	UVER	WX	41377508
1519602	5180	1998-10-12	VYDAJ	PREVOD NA UCET	4897	45990	UVER	WX	41377508
1519603	5180	1998-11-12	VYDAJ	PREVOD NA UCET	4897	63237	UVER	WX	41377508
1519604	5180	1998-12-12	VYDAJ	PREVOD NA UCET	4897	33982	UVER	WX	41377508
1519606	5180	1998-07-14	VYBER	VYBER	16118	55172	\N	\N	\N
1519607	5180	1998-10-09	VYBER	VYBER	2375	50887	\N	\N	\N
1519608	5180	1998-10-22	VYBER	VYBER	4090	23000	\N	\N	\N
1519609	5180	1998-08-29	VYBER	VYBER	9671	64667	\N	\N	\N
1519610	5180	1998-08-25	VYBER	VYBER	5708	74338	\N	\N	\N
1519613	5180	1998-09-21	VYBER	VYBER	4425	75958	\N	\N	\N
1519614	5180	1998-07-01	VYBER	VYBER	9905	48803	\N	\N	\N
1519616	5180	1998-07-18	VYBER	VYBER	16992	38180	\N	\N	\N
1519624	5180	1998-12-12	VYDAJ	VYBER	6000	38879	\N	\N	\N
1519641	5180	1998-10-01	VYDAJ	VYBER	14100	53262	\N	\N	\N
1519662	5180	1998-06-30	VYDAJ	VYBER	15	58708	SLUZBY	\N	\N
1519663	5180	1998-07-31	VYDAJ	VYBER	15	51088	SLUZBY	\N	\N
1519664	5180	1998-08-31	VYDAJ	VYBER	15	64904	SLUZBY	\N	\N
1519665	5180	1998-09-30	VYDAJ	VYBER	15	67362	SLUZBY	\N	\N
1519666	5180	1998-10-31	VYDAJ	VYBER	15	23158	SLUZBY	\N	\N
1519667	5180	1998-11-30	VYDAJ	VYBER	15	31496	SLUZBY	\N	\N
1519668	5180	1997-04-25	VYDAJ	VYBER	14700	35991	\N	\N	\N
1519669	5180	1997-05-25	VYDAJ	VYBER	9400	26621	\N	\N	\N
1519670	5180	1997-06-24	VYDAJ	VYBER	4200	22571	\N	\N	\N
1519671	5180	1997-07-24	PRIJEM	VKLAD	1200	23921	\N	\N	\N
1519672	5180	1997-08-23	PRIJEM	VKLAD	1600	25671	\N	\N	\N
1519673	5180	1997-09-22	VYDAJ	VYBER	400	25421	\N	\N	\N
1519674	5180	1997-10-22	VYDAJ	VYBER	5400	20171	\N	\N	\N
1519675	5180	1997-11-21	VYDAJ	VYBER	3700	16621	\N	\N	\N
1519676	5180	1998-02-19	VYDAJ	VYBER	12300	13929	\N	\N	\N
1519677	5180	1998-05-20	VYDAJ	VYBER	32000	27883	\N	\N	\N
1519678	5180	1998-06-19	VYDAJ	VYBER	15600	12533	\N	\N	\N
1519679	5180	1998-07-19	VYDAJ	VYBER	19900	18280	\N	\N	\N
1519680	5180	1998-08-18	VYDAJ	VYBER	44300	45704	\N	\N	\N
1519681	5180	1998-09-17	VYDAJ	VYBER	48500	50292	\N	\N	\N
1519682	5180	1998-09-28	VYDAJ	VYBER	44200	67019	\N	\N	\N
1519683	5180	1998-10-17	VYDAJ	VYBER	18900	27090	\N	\N	\N
1519684	5180	1998-11-16	VYDAJ	VYBER	31900	31337	\N	\N	\N
1519703	5181	1996-02-03	PRIJEM	VKLAD	300	300	\N	\N	\N
1519705	5181	1996-12-07	PRIJEM	VKLAD	21560	56918	\N	\N	\N
1519706	5181	1996-05-12	PRIJEM	VKLAD	16969	36169	\N	\N	\N
1519707	5181	1996-10-01	PRIJEM	VKLAD	16177	71633	\N	\N	\N
1519708	5181	1996-09-08	PRIJEM	VKLAD	36305	85451	\N	\N	\N
1519709	5181	1996-07-08	PRIJEM	VKLAD	35272	63389	\N	\N	\N
1519711	5181	1996-10-27	PRIJEM	VKLAD	18446	85379	\N	\N	\N
1519712	5181	1996-11-07	PRIJEM	VKLAD	18973	69477	\N	\N	\N
1519713	5181	1996-08-22	PRIJEM	VKLAD	34540	76567	\N	\N	\N
1519714	5181	1996-12-30	PRIJEM	VKLAD	24541	58798	\N	\N	\N
1519716	5181	1998-02-04	PRIJEM	VKLAD	45051	69679	\N	\N	\N
1519717	5181	1998-04-27	PRIJEM	VKLAD	10373	40175	\N	\N	\N
1519718	5181	1998-03-04	PRIJEM	VKLAD	19697	69193	\N	\N	\N
1519719	5181	1998-09-23	PRIJEM	VKLAD	48957	82290	\N	\N	\N
1519729	5181	1996-10-07	VYDAJ	VYBER	4700	66933	\N	\N	0
1519730	5181	1996-11-07	VYDAJ	VYBER	6600	62877	\N	\N	0
1519731	5181	1996-12-13	VYDAJ	VYBER	6300	50618	\N	\N	0
1519732	5181	1997-01-14	VYDAJ	VYBER	7800	19999	\N	\N	0
1519733	5181	1997-02-17	VYDAJ	VYBER	5900	16208	\N	\N	0
1519734	5181	1997-03-10	VYDAJ	VYBER	8300	18486	\N	\N	0
1519735	5181	1997-04-12	VYDAJ	VYBER	4700	18582	\N	\N	0
1519736	5181	1997-05-12	VYDAJ	PREVOD NA UCET	6653	19412	UVER	WX	47686052
1519737	5181	1997-06-12	VYDAJ	PREVOD NA UCET	6653	20154	UVER	WX	47686052
1519738	5181	1997-07-12	VYDAJ	PREVOD NA UCET	6653	21999	UVER	WX	47686052
1519739	5181	1997-08-12	VYDAJ	PREVOD NA UCET	6653	24052	UVER	WX	47686052
1519740	5181	1997-09-12	VYDAJ	PREVOD NA UCET	6653	23411	UVER	WX	47686052
1519741	5181	1997-10-12	VYDAJ	PREVOD NA UCET	6653	22367	UVER	WX	47686052
1519742	5181	1997-11-12	VYDAJ	PREVOD NA UCET	6653	23421	UVER	WX	47686052
1519743	5181	1997-12-12	VYDAJ	PREVOD NA UCET	6653	22978	UVER	WX	47686052
1519744	5181	1998-01-12	VYDAJ	PREVOD NA UCET	6653	20735	UVER	WX	47686052
1519745	5181	1998-02-12	VYDAJ	PREVOD NA UCET	6653	63026	UVER	WX	47686052
1519746	5181	1998-03-12	VYDAJ	PREVOD NA UCET	6653	62540	UVER	WX	47686052
1519747	5181	1998-04-12	VYDAJ	PREVOD NA UCET	6653	45302	UVER	WX	47686052
1519748	5181	1998-05-12	VYDAJ	PREVOD NA UCET	6653	33677	UVER	WX	47686052
1519749	5181	1998-06-12	VYDAJ	PREVOD NA UCET	6653	33876	UVER	WX	47686052
1519750	5181	1998-07-12	VYDAJ	PREVOD NA UCET	6653	33676	UVER	WX	47686052
1519751	5181	1998-08-12	VYDAJ	PREVOD NA UCET	6653	22566	UVER	WX	47686052
1519752	5181	1998-09-12	VYDAJ	PREVOD NA UCET	6653	31733	UVER	WX	47686052
1519753	5181	1998-10-12	VYDAJ	PREVOD NA UCET	6653	66228	UVER	WX	47686052
1519754	5181	1998-11-12	VYDAJ	PREVOD NA UCET	6653	49342	UVER	WX	47686052
1519755	5181	1998-12-12	VYDAJ	PREVOD NA UCET	6653	41593	UVER	WX	47686052
1519758	5181	1996-12-22	VYBER	VYBER	4861	38557	\N	\N	\N
1519759	5181	1996-11-27	VYBER	VYBER	15676	39947	\N	\N	\N
1519760	5181	1996-10-30	VYBER	VYBER	11136	74243	\N	\N	\N
1519763	5181	1996-11-10	VYBER	VYBER	4254	58623	\N	\N	\N
1519773	5181	1997-01-02	VYBER	VYBER	9551	49399	\N	\N	\N
1519775	5181	1998-12-14	VYBER	VYBER	17634	23959	\N	\N	\N
1519783	5181	1996-12-14	VYDAJ	VYBER	7200	43418	\N	\N	\N
1519784	5181	1997-12-27	VYDAJ	VYBER	6000	28778	\N	\N	\N
1519792	5181	1997-01-30	VYDAJ	VYBER	3300	21999	\N	\N	\N
1519793	5181	1997-01-08	VYDAJ	VYBER	7200	34399	\N	\N	\N
1519794	5181	1997-01-11	VYDAJ	VYBER	3600	30799	\N	\N	\N
1519795	5181	1997-01-12	VYDAJ	VYBER	3000	27799	\N	\N	\N
1519796	5181	1997-01-02	VYDAJ	VYBER	7800	41599	\N	\N	\N
1519802	5181	1998-01-29	VYDAJ	VYBER	6600	24535	\N	\N	\N
1519803	5181	1998-01-03	VYDAJ	VYBER	1500	27387	\N	\N	\N
1519806	5181	1996-11-14	VYDAJ	VYBER	3000	55623	\N	\N	\N
1519812	5181	1998-04-13	VYDAJ	VYBER	14700	30602	\N	\N	\N
1519813	5181	1998-09-21	VYDAJ	VYBER	6000	33333	\N	\N	\N
1519814	5181	1998-04-25	VYDAJ	VYBER	9300	29802	\N	\N	\N
1519815	5181	1998-10-10	VYDAJ	VYBER	9600	72881	\N	\N	\N
1519817	5181	1998-07-26	VYDAJ	VYBER	12000	29076	\N	\N	\N
1519828	5181	1996-10-31	VYDAJ	VYBER	15	50504	SLUZBY	\N	\N
1519829	5181	1996-11-30	VYDAJ	VYBER	15	35358	SLUZBY	\N	\N
1519830	5181	1996-12-31	VYDAJ	VYBER	15	58950	SLUZBY	\N	\N
1519831	5181	1997-01-31	VYDAJ	VYBER	15	22108	SLUZBY	\N	\N
1519832	5181	1997-02-28	VYDAJ	VYBER	15	26786	SLUZBY	\N	\N
1519833	5181	1997-03-31	VYDAJ	VYBER	15	23282	SLUZBY	\N	\N
1519834	5181	1997-04-30	VYDAJ	VYBER	15	26065	SLUZBY	\N	\N
1519835	5181	1997-05-31	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
1519836	5181	1997-06-30	VYDAJ	VYBER	15	28651	SLUZBY	\N	\N
1519837	5181	1997-07-31	VYDAJ	VYBER	15	30704	SLUZBY	\N	\N
1519838	5181	1997-08-31	VYDAJ	VYBER	15	30064	SLUZBY	\N	\N
1519839	5181	1997-09-30	VYDAJ	VYBER	15	29020	SLUZBY	\N	\N
1519840	5181	1997-10-31	VYDAJ	VYBER	15	30074	SLUZBY	\N	\N
1519841	5181	1997-11-30	VYDAJ	VYBER	15	29631	SLUZBY	\N	\N
1519842	5181	1997-12-31	VYDAJ	VYBER	15	28887	SLUZBY	\N	\N
1519843	5181	1998-01-31	VYDAJ	VYBER	15	24628	SLUZBY	\N	\N
1519844	5181	1998-02-28	VYDAJ	VYBER	15	49496	SLUZBY	\N	\N
1519845	5181	1998-03-31	VYDAJ	VYBER	15	51954	SLUZBY	\N	\N
1519846	5181	1998-04-30	VYDAJ	VYBER	15	40329	SLUZBY	\N	\N
1519847	5181	1998-05-31	VYDAJ	VYBER	15	40529	SLUZBY	\N	\N
1519848	5181	1998-06-30	VYDAJ	VYBER	15	40328	SLUZBY	\N	\N
1519849	5181	1998-07-31	VYDAJ	VYBER	15	29219	SLUZBY	\N	\N
1519850	5181	1998-08-31	VYDAJ	VYBER	15	38385	SLUZBY	\N	\N
1519851	5181	1998-09-30	VYDAJ	VYBER	15	82481	SLUZBY	\N	\N
1519852	5181	1998-10-31	VYDAJ	VYBER	15	55995	SLUZBY	\N	\N
1519853	5181	1998-11-30	VYDAJ	VYBER	15	48246	SLUZBY	\N	\N
1519854	5181	1996-03-04	PRIJEM	VKLAD	11700	12000	\N	\N	\N
1519855	5181	1996-04-03	PRIJEM	VKLAD	6800	18800	\N	\N	\N
1519856	5181	1996-05-03	PRIJEM	VKLAD	400	19200	\N	\N	\N
1519857	5181	1996-06-02	VYDAJ	VYBER	8400	27866	\N	\N	\N
1519858	5181	1996-07-02	PRIJEM	VKLAD	100	28117	\N	\N	\N
1519859	5181	1996-08-01	VYDAJ	VYBER	21600	42027	\N	\N	\N
1519860	5181	1996-08-31	VYDAJ	VYBER	27700	49146	\N	\N	\N
1519861	5181	1996-09-30	VYDAJ	VYBER	30200	55456	\N	\N	\N
1519862	5181	1996-10-30	VYDAJ	VYBER	24000	50243	\N	\N	\N
1519863	5181	1996-11-29	VYDAJ	VYBER	4800	35147	\N	\N	\N
1519864	5181	1996-12-29	VYDAJ	VYBER	4300	34257	\N	\N	\N
1519865	5181	1997-01-28	PRIJEM	VKLAD	5300	25299	\N	\N	\N
1519866	5181	1997-02-27	PRIJEM	VKLAD	10500	26708	\N	\N	\N
1519867	5181	1997-03-29	PRIJEM	VKLAD	4700	23186	\N	\N	\N
1519868	5181	1997-04-28	PRIJEM	VKLAD	7400	25982	\N	\N	\N
1519869	5181	1997-05-28	PRIJEM	VKLAD	7300	26712	\N	\N	\N
1519870	5181	1997-06-27	PRIJEM	VKLAD	8400	28554	\N	\N	\N
1519871	5181	1997-07-27	PRIJEM	VKLAD	8600	30599	\N	\N	\N
1519872	5181	1997-08-26	PRIJEM	VKLAD	5900	29952	\N	\N	\N
1519873	5181	1997-09-25	PRIJEM	VKLAD	5500	28911	\N	\N	\N
1519874	5181	1997-10-25	PRIJEM	VKLAD	7600	29967	\N	\N	\N
1519875	5181	1997-11-24	PRIJEM	VKLAD	6100	29521	\N	\N	\N
1519876	5181	1997-12-24	PRIJEM	VKLAD	11800	34778	\N	\N	\N
1519877	5181	1998-01-23	PRIJEM	VKLAD	10400	31135	\N	\N	\N
1519878	5181	1998-02-22	VYDAJ	VYBER	13700	49326	\N	\N	\N
1519879	5181	1998-03-24	VYDAJ	VYBER	10800	51740	\N	\N	\N
1519880	5181	1998-04-23	PRIJEM	VKLAD	8500	39102	\N	\N	\N
1519881	5181	1998-05-23	PRIJEM	VKLAD	6700	40377	\N	\N	\N
1519882	5181	1998-06-22	PRIJEM	VKLAD	6300	40176	\N	\N	\N
1519883	5181	1998-07-22	PRIJEM	VKLAD	7400	41076	\N	\N	\N
1519884	5181	1998-08-21	PRIJEM	VKLAD	15700	38266	\N	\N	\N
1519885	5181	1998-09-20	PRIJEM	VKLAD	7600	39333	\N	\N	\N
1519886	5181	1998-10-20	VYDAJ	VYBER	10500	55728	\N	\N	\N
1519887	5181	1998-11-19	VYDAJ	VYBER	1300	48042	\N	\N	\N
1523804	5194	1995-05-05	PRIJEM	VKLAD	500	29501	\N	\N	\N
1523805	5194	1995-05-05	PRIJEM	VKLAD	29001	29001	\N	\N	\N
1523807	5194	1995-08-14	PRIJEM	VKLAD	34808	65823	\N	\N	\N
1523809	5194	1995-10-21	PRIJEM	VKLAD	44157	85334	\N	\N	\N
1523811	5194	1995-05-27	PRIJEM	VKLAD	42920	72421	\N	\N	\N
1523812	5194	1995-08-14	PRIJEM	VKLAD	13479	31015	\N	\N	\N
1523813	5194	1995-07-03	PRIJEM	VKLAD	23171	83055	\N	\N	\N
1523814	5194	1995-06-04	PRIJEM	VKLAD	39921	131896	\N	\N	\N
1523815	5194	1995-09-28	PRIJEM	VKLAD	28877	96205	\N	\N	\N
1523816	5194	1995-06-03	PRIJEM	VKLAD	25820	91975	\N	\N	\N
1523817	5194	1995-06-27	PRIJEM	VKLAD	32862	67912	\N	\N	\N
1523820	5194	1995-09-24	PRIJEM	VKLAD	18604	67328	\N	\N	\N
1523821	5194	1995-09-09	PRIJEM	VKLAD	36690	72481	\N	\N	\N
1523822	5194	1995-08-29	PRIJEM	VKLAD	48125	113948	\N	\N	\N
1523823	5194	1995-12-09	PRIJEM	VKLAD	26518	66766	\N	\N	\N
1523824	5194	1995-12-01	PRIJEM	VKLAD	38785	67248	\N	\N	\N
1523825	5194	1995-06-09	PRIJEM	VKLAD	7254	62050	\N	\N	\N
1523829	5194	1995-12-12	PRIJEM	VKLAD	38797	95863	\N	\N	\N
1523831	5194	1996-07-15	PRIJEM	VKLAD	19600	18557	\N	\N	\N
1523832	5194	1996-02-08	PRIJEM	VKLAD	37733	76229	\N	\N	\N
1523833	5194	1996-01-05	PRIJEM	VKLAD	42430	88151	\N	\N	\N
1523834	5194	1996-01-12	PRIJEM	VKLAD	30699	78950	\N	\N	\N
1523835	5194	1997-11-30	PRIJEM	VKLAD	21007	71008	\N	\N	\N
1523836	5194	1997-08-01	PRIJEM	VKLAD	9980	66711	\N	\N	\N
1523837	5194	1997-09-10	PRIJEM	VKLAD	47679	84459	\N	\N	\N
1523838	5194	1997-04-05	PRIJEM	VKLAD	21975	30822	\N	\N	\N
1523839	5194	1997-02-13	PRIJEM	VKLAD	38148	108289	\N	\N	\N
1523840	5194	1997-02-03	PRIJEM	VKLAD	48805	83141	\N	\N	\N
1523841	5194	1997-07-19	PRIJEM	VKLAD	33110	132173	\N	\N	\N
1523842	5194	1997-05-08	PRIJEM	VKLAD	34861	47531	\N	\N	\N
1523843	5194	1997-07-12	PRIJEM	VKLAD	10199	99063	\N	\N	\N
1523844	5194	1997-02-21	PRIJEM	VKLAD	31978	111289	\N	\N	\N
1523845	5194	1997-02-25	PRIJEM	VKLAD	14067	61556	\N	\N	\N
1523846	5194	1997-05-12	PRIJEM	VKLAD	20141	67672	\N	\N	\N
1523847	5194	1997-08-12	PRIJEM	VKLAD	27710	72666	\N	\N	\N
1523848	5194	1997-11-23	PRIJEM	VKLAD	9440	49839	\N	\N	\N
1523849	5194	1997-01-16	PRIJEM	VKLAD	35046	33697	\N	\N	\N
1523850	5194	1997-02-03	PRIJEM	VKLAD	18268	34336	\N	\N	\N
1523851	5194	1997-08-06	PRIJEM	VKLAD	49745	104156	\N	\N	\N
1523852	5194	1997-06-04	PRIJEM	VKLAD	17778	77869	\N	\N	\N
1523853	5194	1997-10-08	PRIJEM	VKLAD	20306	58570	\N	\N	\N
1523854	5194	1997-06-27	PRIJEM	VKLAD	22584	102073	\N	\N	\N
1523855	5194	1997-12-23	PRIJEM	VKLAD	16384	70392	\N	\N	\N
1523856	5194	1997-03-04	PRIJEM	VKLAD	12716	74504	\N	\N	\N
1523857	5194	1997-05-24	PRIJEM	VKLAD	21373	89045	\N	\N	\N
1523858	5194	1997-02-18	PRIJEM	VKLAD	46822	104811	\N	\N	\N
1523859	5194	1997-01-06	PRIJEM	VKLAD	6225	14251	\N	\N	\N
1523860	5194	1997-06-26	PRIJEM	VKLAD	26620	79489	\N	\N	\N
1523861	5194	1997-12-30	PRIJEM	VKLAD	14538	84930	\N	\N	\N
1523862	5194	1998-08-22	PRIJEM	VKLAD	38973	81012	\N	\N	\N
1523863	5194	1998-02-18	PRIJEM	VKLAD	15562	47685	\N	\N	\N
1523864	5194	1998-03-09	PRIJEM	VKLAD	9180	40026	\N	\N	\N
1523865	5194	1998-10-26	PRIJEM	VKLAD	13057	44582	\N	\N	\N
1523866	5194	1998-07-01	PRIJEM	VKLAD	37278	69180	\N	\N	\N
1523873	5194	1995-06-27	VYDAJ	VYBER	8200	59712	SIPO	\N	0
1523874	5194	1995-07-30	VYDAJ	VYBER	8800	30755	SIPO	\N	0
1523875	5194	1995-09-03	VYDAJ	VYBER	5700	35791	SIPO	\N	0
1523876	5194	1995-10-12	VYDAJ	VYBER	9400	41177	SIPO	\N	0
1523877	5194	1995-11-14	VYDAJ	VYBER	6600	32009	SIPO	\N	0
1523878	5194	1995-12-01	VYDAJ	VYBER	6600	40248	SIPO	\N	0
1523879	5194	1996-01-02	VYDAJ	VYBER	8600	50221	SIPO	\N	0
1523880	5194	1996-02-15	VYDAJ	VYBER	8800	61729	SIPO	\N	0
1523881	5194	1996-03-15	VYDAJ	VYBER	5800	30356	SIPO	\N	0
1523882	5194	1996-04-15	VYDAJ	VYBER	8500	14306	SIPO	\N	0
1523883	5194	1996-05-12	VYDAJ	VYBER	9100	7895	SIPO	\N	0
1523884	5194	1996-06-01	VYDAJ	VYBER	6500	3834	SIPO	\N	0
1523885	5194	1996-07-01	VYDAJ	VYBER	6000	5657	SIPO	\N	0
1523886	5194	1996-08-03	VYDAJ	VYBER	7000	14806	SIPO	\N	0
1523887	5194	1996-08-29	VYDAJ	VYBER	9400	9606	SIPO	\N	0
1523888	5194	1996-10-09	VYDAJ	VYBER	9400	8502	SIPO	\N	0
1523889	5194	1996-11-15	VYDAJ	VYBER	7600	2757	SIPO	\N	0
1523890	5194	1996-12-10	VYDAJ	VYBER	8500	-796	SIPO	\N	0
1523891	5194	1997-01-12	VYDAJ	VYBER	8300	-1349	SIPO	\N	0
1523892	5194	1997-02-03	VYDAJ	VYBER	8200	74941	SIPO	\N	0
1523893	5194	1997-03-12	VYDAJ	VYBER	8800	59704	SIPO	\N	0
1523894	5194	1997-03-28	VYDAJ	VYBER	8000	18925	SIPO	\N	0
1523895	5194	1997-05-02	VYDAJ	VYBER	7600	12670	SIPO	\N	0
1523896	5194	1997-06-08	VYDAJ	VYBER	6700	65269	SIPO	\N	0
1523897	5194	1997-07-03	VYDAJ	VYBER	7500	94764	SIPO	\N	0
1523898	5194	1997-08-03	VYDAJ	VYBER	6600	60111	SIPO	\N	0
1523899	5194	1997-08-30	VYDAJ	VYBER	5900	49066	SIPO	\N	0
1523900	5194	1997-09-26	VYDAJ	VYBER	7700	38152	SIPO	\N	0
1523901	5194	1997-11-14	VYDAJ	VYBER	7400	24399	SIPO	\N	0
1523902	5194	1997-12-03	VYDAJ	VYBER	5800	65108	SIPO	\N	0
1523903	5194	1998-01-12	VYDAJ	VYBER	8300	50995	SIPO	\N	0
1523904	5194	1998-02-15	VYDAJ	VYBER	7800	20323	SIPO	\N	0
1523905	5194	1998-03-08	VYDAJ	VYBER	7900	30846	SIPO	\N	0
1523906	5194	1998-04-15	VYDAJ	VYBER	9100	30900	SIPO	\N	0
1523907	5194	1998-05-13	VYDAJ	VYBER	9300	27179	SIPO	\N	0
1523908	5194	1998-06-03	VYDAJ	VYBER	6700	34240	SIPO	\N	0
1523909	5194	1998-06-29	VYDAJ	VYBER	6500	34540	SIPO	\N	0
1523910	5194	1998-08-07	VYDAJ	VYBER	9100	34639	SIPO	\N	0
1523911	5194	1998-09-11	VYDAJ	VYBER	6000	72742	SIPO	\N	0
1523912	5194	1998-10-15	VYDAJ	VYBER	9300	24425	SIPO	\N	0
1523913	5194	1998-11-02	VYDAJ	VYBER	8200	30335	SIPO	\N	0
1523914	5194	1998-12-13	VYDAJ	VYBER	8100	22699	SIPO	\N	0
1523920	5194	1995-06-02	VYDAJ	VYBER	6400	66155	 	\N	0
1523921	5194	1995-07-16	VYDAJ	VYBER	6700	39555	 	\N	0
1523922	5194	1995-08-06	VYDAJ	VYBER	6600	17536	 	\N	0
1523923	5194	1995-09-01	VYDAJ	VYBER	7100	70391	 	\N	0
1523924	5194	1995-10-10	VYDAJ	VYBER	6300	50577	 	\N	0
1523925	5194	1995-11-02	VYDAJ	VYBER	7100	46409	 	\N	0
1523926	5194	1995-12-09	VYDAJ	VYBER	7300	57066	 	\N	0
1523927	5194	1996-01-14	VYDAJ	VYBER	6500	72450	 	\N	0
1523928	5194	1996-02-11	VYDAJ	VYBER	5700	70529	 	\N	0
1523929	5194	1996-03-03	VYDAJ	VYBER	6500	36156	 	\N	0
1523930	5194	1996-04-11	VYDAJ	VYBER	6100	22806	 	\N	0
1523931	5194	1996-05-14	VYDAJ	VYBER	5900	1995	 	\N	0
1523932	5194	1996-06-16	VYDAJ	VYBER	4900	-1066	 	\N	0
1523933	5194	1996-07-06	VYDAJ	VYBER	6700	-1043	 	\N	0
1523934	5194	1996-08-07	VYDAJ	VYBER	6400	8406	 	\N	0
1523935	5194	1996-09-07	VYDAJ	VYBER	5200	4356	 	\N	0
1523936	5194	1996-10-18	VYDAJ	VYBER	7700	802	 	\N	0
1523937	5194	1996-11-05	VYDAJ	VYBER	5800	10357	 	\N	0
1523938	5194	1996-12-04	VYDAJ	VYBER	6800	7705	 	\N	0
1523939	5194	1997-01-09	VYDAJ	VYBER	7300	6951	 	\N	0
1523940	5194	1997-02-09	VYDAJ	VYBER	4800	70141	 	\N	0
1523941	5194	1997-03-11	VYDAJ	VYBER	6000	68504	 	\N	0
1523942	5194	1997-04-08	VYDAJ	VYBER	5900	24922	 	\N	0
1523943	5194	1997-04-29	VYDAJ	VYBER	4800	20270	 	\N	0
1523944	5194	1997-06-04	VYDAJ	VYBER	5900	71969	 	\N	0
1523945	5194	1997-07-05	VYDAJ	VYBER	5900	88864	 	\N	0
1523946	5194	1997-08-17	VYDAJ	VYBER	6500	66166	 	\N	0
1523947	5194	1997-09-10	VYDAJ	VYBER	5900	78559	 	\N	0
1523948	5194	1997-10-13	VYDAJ	VYBER	7700	50870	 	\N	0
1523949	5194	1997-11-03	VYDAJ	VYBER	5200	41340	 	\N	0
1523950	5194	1997-12-06	VYDAJ	VYBER	5400	59708	 	\N	0
1523951	5194	1998-01-17	VYDAJ	VYBER	5100	45895	 	\N	0
1523952	5194	1998-02-13	VYDAJ	VYBER	7300	28123	 	\N	0
1523953	5194	1998-03-12	VYDAJ	VYBER	6100	33926	 	\N	0
1523954	5194	1998-04-05	VYDAJ	VYBER	6700	40000	 	\N	0
1523955	5194	1998-05-08	VYDAJ	VYBER	6500	36479	 	\N	0
1523956	5194	1998-06-15	VYDAJ	VYBER	6900	27340	 	\N	0
1523957	5194	1998-07-14	VYDAJ	VYBER	5500	63680	 	\N	0
1523958	5194	1998-07-31	VYDAJ	VYBER	5300	43839	 	\N	0
1523959	5194	1998-09-13	VYDAJ	VYBER	6500	66242	 	\N	0
1523960	5194	1998-10-16	VYDAJ	VYBER	6800	31525	 	\N	0
1523961	5194	1998-10-31	VYDAJ	VYBER	6100	38635	 	\N	0
1523962	5194	1998-12-11	VYDAJ	VYBER	6700	30799	 	\N	0
1523963	5194	1995-09-23	VYBER	VYBER	23757	48724	\N	\N	\N
1523970	5194	1997-01-24	VYBER	VYBER	5500	22397	\N	\N	\N
1523971	5194	1997-07-31	VYBER	VYBER	3290	56831	\N	\N	\N
1523972	5194	1997-09-06	VYBER	VYBER	12427	36780	\N	\N	\N
1523974	5194	1997-04-19	VYBER	VYBER	2052	22870	\N	\N	\N
1523975	5194	1997-03-27	VYBER	VYBER	13879	26925	\N	\N	\N
1523976	5194	1997-09-18	VYBER	VYBER	22307	42152	\N	\N	\N
1523977	5194	1997-11-05	VYBER	VYBER	9541	31799	\N	\N	\N
1523978	5194	1997-10-29	VYBER	VYBER	5521	46449	\N	\N	\N
1523981	5194	1998-07-21	VYBER	VYBER	7725	48955	\N	\N	\N
1523986	5194	1998-09-19	VYBER	VYBER	5813	55429	\N	\N	\N
1523987	5194	1998-09-26	VYBER	VYBER	18284	33565	\N	\N	\N
1523990	5194	1998-09-22	VYBER	VYBER	3580	51849	\N	\N	\N
1523991	5194	1995-06-15	VYDAJ	VYBER	27000	35050	\N	\N	\N
1523996	5194	1996-01-05	VYDAJ	VYBER	23400	64751	\N	\N	\N
1523999	5194	1995-12-09	VYDAJ	VYBER	2400	64366	\N	\N	\N
1524001	5194	1997-12-09	VYDAJ	VYBER	4200	55508	\N	\N	\N
1524002	5194	1998-12-17	VYDAJ	VYBER	4500	31199	\N	\N	\N
1524009	5194	1996-01-16	VYDAJ	VYBER	8400	58950	\N	\N	\N
1524010	5194	1996-01-08	VYDAJ	VYBER	7500	51851	\N	\N	\N
1524011	5194	1996-01-02	VYDAJ	VYBER	4500	45721	\N	\N	\N
1524012	5194	1996-01-07	VYDAJ	VYBER	5400	59351	\N	\N	\N
1524013	5194	1996-01-09	VYDAJ	VYBER	3600	48251	\N	\N	\N
1524014	5194	1996-01-15	VYDAJ	VYBER	5100	67350	\N	\N	\N
1524018	5194	1997-01-24	VYDAJ	VYBER	6300	16097	\N	\N	\N
1524020	5194	1997-01-19	VYDAJ	VYBER	6000	27697	\N	\N	\N
1524021	5194	1998-01-06	VYDAJ	VYBER	7800	77295	\N	\N	\N
1524022	5194	1998-01-19	VYDAJ	VYBER	8700	47595	\N	\N	\N
1524023	5194	1998-01-12	VYDAJ	VYBER	1800	59295	\N	\N	\N
1524024	5194	1998-01-30	VYDAJ	VYBER	3600	35295	\N	\N	\N
1524025	5194	1998-01-22	VYDAJ	VYBER	8700	38895	\N	\N	\N
1524026	5194	1998-01-09	VYDAJ	VYBER	5100	61095	\N	\N	\N
1524027	5194	1995-10-04	VYDAJ	VYBER	2100	56877	\N	\N	\N
1524028	5194	1995-11-11	VYDAJ	VYBER	7800	38609	\N	\N	\N
1524029	5194	1995-11-15	VYDAJ	VYBER	3600	28409	\N	\N	\N
1524036	5194	1997-04-01	VYDAJ	VYBER	10200	8847	\N	\N	\N
1524037	5194	1997-08-05	VYDAJ	VYBER	5700	54411	\N	\N	\N
1524038	5194	1997-09-11	VYDAJ	VYBER	14100	64459	\N	\N	\N
1524041	5194	1998-03-07	VYDAJ	VYBER	9000	38746	\N	\N	\N
1524042	5194	1998-06-29	VYDAJ	VYBER	2700	31840	\N	\N	\N
1524043	5194	1998-01-07	VYDAJ	VYBER	11100	66195	\N	\N	\N
1524044	5194	1998-03-14	VYDAJ	VYBER	3000	30926	\N	\N	\N
1524045	5194	1998-12-02	VYDAJ	VYBER	3300	37499	\N	\N	\N
1524046	5194	1998-09-06	VYDAJ	VYBER	2400	78742	\N	\N	\N
1524053	5194	1995-06-30	VYDAJ	VYBER	100	59884	SLUZBY	\N	\N
1524054	5194	1995-07-31	VYDAJ	VYBER	100	30836	SLUZBY	\N	\N
1524055	5194	1995-08-31	VYDAJ	VYBER	100	77491	SLUZBY	\N	\N
1524056	5194	1995-09-30	VYDAJ	VYBER	100	96377	SLUZBY	\N	\N
1524057	5194	1995-10-31	VYDAJ	VYBER	100	85509	SLUZBY	\N	\N
1524058	5194	1995-11-30	VYDAJ	VYBER	100	28463	SLUZBY	\N	\N
1524059	5194	1995-12-31	VYDAJ	VYBER	100	58821	SLUZBY	\N	\N
1524060	5194	1996-01-31	VYDAJ	VYBER	100	38496	SLUZBY	\N	\N
1524061	5194	1996-02-29	VYDAJ	VYBER	100	61856	SLUZBY	\N	\N
1524062	5194	1996-03-31	VYDAJ	VYBER	100	28906	SLUZBY	\N	\N
1524063	5194	1996-04-30	VYDAJ	VYBER	100	16995	SLUZBY	\N	\N
1524064	5194	1996-05-31	VYDAJ	VYBER	100	10334	SLUZBY	\N	\N
1524065	5194	1996-06-30	VYDAJ	VYBER	100	11657	SLUZBY	\N	\N
1524066	5194	1996-07-31	VYDAJ	VYBER	100	21809	SLUZBY	\N	\N
1524067	5194	1996-08-31	VYDAJ	VYBER	100	9556	SLUZBY	\N	\N
1524068	5194	1996-09-30	VYDAJ	VYBER	100	17902	SLUZBY	\N	\N
1524069	5194	1996-10-31	VYDAJ	VYBER	100	16157	SLUZBY	\N	\N
1524070	5194	1996-11-30	VYDAJ	VYBER	100	14505	SLUZBY	\N	\N
1524071	5194	1996-12-31	VYDAJ	VYBER	100	8030	SLUZBY	\N	\N
1524072	5194	1997-01-31	VYDAJ	VYBER	100	16068	SLUZBY	\N	\N
1524073	5194	1997-02-28	VYDAJ	VYBER	100	61788	SLUZBY	\N	\N
1524074	5194	1997-03-31	VYDAJ	VYBER	100	19047	SLUZBY	\N	\N
1524075	5194	1997-04-30	VYDAJ	VYBER	100	20270	SLUZBY	\N	\N
1524076	5194	1997-05-31	VYDAJ	VYBER	100	60091	SLUZBY	\N	\N
1524077	5194	1997-06-30	VYDAJ	VYBER	100	102264	SLUZBY	\N	\N
1524078	5194	1997-07-31	VYDAJ	VYBER	100	56731	SLUZBY	\N	\N
1524079	5194	1997-08-31	VYDAJ	VYBER	100	49207	SLUZBY	\N	\N
1524080	5194	1997-09-30	VYDAJ	VYBER	100	38264	SLUZBY	\N	\N
1524081	5194	1997-10-31	VYDAJ	VYBER	100	46540	SLUZBY	\N	\N
1524082	5194	1997-11-30	VYDAJ	VYBER	100	70908	SLUZBY	\N	\N
1524083	5194	1997-12-31	VYDAJ	VYBER	100	85095	SLUZBY	\N	\N
1524084	5194	1998-01-31	VYDAJ	VYBER	100	35423	SLUZBY	\N	\N
1524085	5194	1998-02-28	VYDAJ	VYBER	100	47746	SLUZBY	\N	\N
1524086	5194	1998-03-31	VYDAJ	VYBER	100	46700	SLUZBY	\N	\N
1524087	5194	1998-04-30	VYDAJ	VYBER	100	42979	SLUZBY	\N	\N
1524088	5194	1998-05-31	VYDAJ	VYBER	100	40940	SLUZBY	\N	\N
1524089	5194	1998-06-30	VYDAJ	VYBER	100	31902	SLUZBY	\N	\N
1524090	5194	1998-07-31	VYDAJ	VYBER	100	43739	SLUZBY	\N	\N
1524091	5194	1998-08-31	VYDAJ	VYBER	100	81142	SLUZBY	\N	\N
1524092	5194	1998-09-30	VYDAJ	VYBER	100	33725	SLUZBY	\N	\N
1524093	5194	1998-10-31	VYDAJ	VYBER	100	38535	SLUZBY	\N	\N
1524094	5194	1998-11-30	VYDAJ	VYBER	100	40799	SLUZBY	\N	\N
1524095	5194	1995-06-04	VYDAJ	VYBER	36700	95196	\N	\N	\N
1524096	5194	1995-06-04	VYDAJ	VYBER	40400	54796	\N	\N	\N
1524097	5194	1995-07-04	VYDAJ	VYBER	36800	46255	\N	\N	\N
1524098	5194	1995-08-03	VYDAJ	VYBER	6700	24136	\N	\N	\N
1524099	5194	1995-08-29	VYDAJ	VYBER	36500	77448	\N	\N	\N
1524100	5194	1995-09-02	VYDAJ	VYBER	28900	41491	\N	\N	\N
1524101	5194	1995-10-02	VYDAJ	VYBER	37400	58977	\N	\N	\N
1524102	5194	1995-11-01	VYDAJ	VYBER	32000	53509	\N	\N	\N
1524103	5194	1995-12-01	VYDAJ	VYBER	20400	46848	\N	\N	\N
1524104	5194	1995-12-31	VYDAJ	VYBER	37300	58921	\N	\N	\N
1524105	5194	1996-01-30	VYDAJ	VYBER	20600	38350	\N	\N	\N
1524106	5194	1996-02-29	VYDAJ	VYBER	19200	42656	\N	\N	\N
1524107	5194	1996-03-30	VYDAJ	VYBER	1500	28856	\N	\N	\N
1524108	5194	1996-04-29	PRIJEM	VKLAD	2700	17006	\N	\N	\N
1524109	5194	1996-05-29	PRIJEM	VKLAD	8400	10395	\N	\N	\N
1524110	5194	1996-06-28	PRIJEM	VKLAD	12800	11734	\N	\N	\N
1524111	5194	1996-07-28	PRIJEM	VKLAD	3300	21857	\N	\N	\N
1524112	5194	1996-08-27	PRIJEM	VKLAD	10600	19006	\N	\N	\N
1524113	5194	1996-09-26	PRIJEM	VKLAD	13600	17956	\N	\N	\N
1524114	5194	1996-10-26	PRIJEM	VKLAD	15400	16202	\N	\N	\N
1524115	5194	1996-11-25	PRIJEM	VKLAD	11800	14557	\N	\N	\N
1524116	5194	1996-12-25	PRIJEM	VKLAD	8900	8105	\N	\N	\N
1524117	5194	1997-01-24	PRIJEM	VKLAD	200	27897	\N	\N	\N
1524118	5194	1997-02-13	VYDAJ	VYBER	50300	57989	\N	\N	\N
1524119	5194	1997-02-18	VYDAJ	VYBER	25500	79311	\N	\N	\N
1524120	5194	1997-02-21	VYDAJ	VYBER	40700	70589	\N	\N	\N
1524121	5194	1997-02-23	VYDAJ	VYBER	23100	47489	\N	\N	\N
1524122	5194	1997-03-25	VYDAJ	VYBER	18900	40804	\N	\N	\N
1524123	5194	1997-04-24	PRIJEM	VKLAD	2200	25070	\N	\N	\N
1524124	5194	1997-05-24	VYDAJ	VYBER	29100	59945	\N	\N	\N
1524125	5194	1997-06-23	VYDAJ	VYBER	12400	52869	\N	\N	\N
1524126	5194	1997-07-19	VYDAJ	VYBER	50400	81773	\N	\N	\N
1524127	5194	1997-07-23	VYDAJ	VYBER	22000	59773	\N	\N	\N
1524128	5194	1997-08-06	VYDAJ	VYBER	59200	44956	\N	\N	\N
1524129	5194	1997-08-22	VYDAJ	VYBER	11200	54966	\N	\N	\N
1524130	5194	1997-09-21	PRIJEM	VKLAD	3700	45852	\N	\N	\N
1524131	5194	1997-10-21	PRIJEM	VKLAD	1100	51970	\N	\N	\N
1524132	5194	1997-11-20	PRIJEM	VKLAD	16000	40399	\N	\N	\N
1524133	5194	1997-12-20	VYDAJ	VYBER	1500	54008	\N	\N	\N
1524134	5194	1998-01-19	PRIJEM	VKLAD	10400	56295	\N	\N	\N
1524135	5194	1998-02-18	PRIJEM	VKLAD	11800	32123	\N	\N	\N
1524136	5194	1998-03-20	PRIJEM	VKLAD	15700	46626	\N	\N	\N
1524137	5194	1998-04-19	PRIJEM	VKLAD	12000	42900	\N	\N	\N
1524138	5194	1998-05-19	PRIJEM	VKLAD	13700	40879	\N	\N	\N
1524139	5194	1998-06-18	PRIJEM	VKLAD	13700	41040	\N	\N	\N
1524140	5194	1998-07-18	VYDAJ	VYBER	7000	56680	\N	\N	\N
1524141	5194	1998-08-17	PRIJEM	VKLAD	7400	42039	\N	\N	\N
1524142	5194	1998-09-16	VYDAJ	VYBER	5000	61242	\N	\N	\N
1524143	5194	1998-10-16	PRIJEM	VKLAD	13900	38325	\N	\N	\N
1524144	5194	1998-11-15	PRIJEM	VKLAD	10400	40735	\N	\N	\N
1524145	5194	1998-12-15	PRIJEM	VKLAD	13000	35699	\N	\N	\N
1524558	5196	1997-06-29	PRIJEM	VKLAD	300	300	\N	\N	\N
1524559	5196	1997-07-22	PRIJEM	VKLAD	42989	43289	\N	\N	\N
1524562	5196	1997-09-02	PRIJEM	VKLAD	12587	39829	\N	\N	\N
1524565	5196	1997-12-19	PRIJEM	VKLAD	22300	44370	\N	\N	\N
1524569	5196	1997-09-25	PRIJEM	VKLAD	32138	114331	\N	\N	\N
1524572	5196	1997-10-10	PRIJEM	VKLAD	43125	85845	\N	\N	\N
1524575	5196	1997-11-20	PRIJEM	VKLAD	7076	41432	\N	\N	\N
1524577	5196	1997-09-20	PRIJEM	VKLAD	39153	121593	\N	\N	\N
1524583	5196	1997-09-15	PRIJEM	VKLAD	42611	82440	\N	\N	\N
1524584	5196	1998-05-14	PRIJEM	VKLAD	10087	60240	\N	\N	\N
1524585	5196	1998-07-09	PRIJEM	VKLAD	12536	103158	\N	\N	\N
1524586	5196	1998-07-01	PRIJEM	VKLAD	44476	90622	\N	\N	\N
1524587	5196	1998-02-11	PRIJEM	VKLAD	38526	113181	\N	\N	\N
1524588	5196	1998-06-10	PRIJEM	VKLAD	21767	96465	\N	\N	\N
1524589	5196	1998-01-26	PRIJEM	VKLAD	44574	74499	\N	\N	\N
1524590	5196	1998-04-19	PRIJEM	VKLAD	35093	88149	\N	\N	\N
1524591	5196	1998-12-12	PRIJEM	VKLAD	19511	49499	\N	\N	\N
1524592	5196	1998-09-16	PRIJEM	VKLAD	34546	45894	\N	\N	\N
1524593	5196	1998-02-18	PRIJEM	VKLAD	14788	97038	\N	\N	\N
1524594	5196	1998-09-27	PRIJEM	VKLAD	38817	77307	\N	\N	\N
1524595	5196	1998-11-03	PRIJEM	VKLAD	24244	70293	\N	\N	\N
1524596	5196	1998-01-10	PRIJEM	VKLAD	43085	69883	\N	\N	\N
1524597	5196	1998-05-30	PRIJEM	VKLAD	10123	74409	\N	\N	\N
1524598	5196	1998-02-26	PRIJEM	VKLAD	28161	94299	\N	\N	\N
1524599	5196	1998-10-14	PRIJEM	VKLAD	30335	83627	\N	\N	\N
1524600	5196	1998-04-28	PRIJEM	VKLAD	25873	85799	\N	\N	\N
1524601	5196	1998-04-24	PRIJEM	VKLAD	16977	105126	\N	\N	\N
1524602	5196	1998-03-17	PRIJEM	VKLAD	15714	95778	\N	\N	\N
1524603	5196	1998-09-22	PRIJEM	VKLAD	16096	61990	\N	\N	\N
1524604	5196	1998-02-12	PRIJEM	VKLAD	12727	96808	\N	\N	\N
1524605	5196	1998-06-12	PRIJEM	VKLAD	33703	130168	\N	\N	\N
1524606	5196	1998-05-19	PRIJEM	VKLAD	31646	91886	\N	\N	\N
1524616	5196	1997-10-10	VYDAJ	VYBER	6500	79345	\N	\N	0
1524617	5196	1997-10-30	VYDAJ	VYBER	4800	42040	\N	\N	0
1524618	5196	1997-12-17	VYDAJ	VYBER	8500	22070	\N	\N	0
1524619	5196	1998-01-12	VYDAJ	PREVOD NA UCET	6653	57530	UVER	YZ	95793395
1524620	5196	1998-02-12	VYDAJ	PREVOD NA UCET	6653	90155	UVER	YZ	95793395
1524621	5196	1998-03-12	VYDAJ	PREVOD NA UCET	6653	87969	UVER	YZ	95793395
1524622	5196	1998-04-12	VYDAJ	PREVOD NA UCET	6653	60961	UVER	YZ	95793395
1524623	5196	1998-05-12	VYDAJ	PREVOD NA UCET	6653	58058	UVER	YZ	95793395
1524624	5196	1998-06-12	VYDAJ	PREVOD NA UCET	6653	70916	UVER	YZ	95793395
1524625	5196	1998-07-12	VYDAJ	PREVOD NA UCET	6653	96506	UVER	YZ	95793395
1524626	5196	1998-08-12	VYDAJ	PREVOD NA UCET	6653	40091	UVER	YZ	95793395
1524627	5196	1998-09-12	VYDAJ	PREVOD NA UCET	6653	19253	UVER	YZ	95793395
1524628	5196	1998-10-12	VYDAJ	PREVOD NA UCET	6653	61197	UVER	YZ	95793395
1524629	5196	1998-11-12	VYDAJ	PREVOD NA UCET	6653	63641	UVER	YZ	95793395
1524630	5196	1998-12-12	VYDAJ	PREVOD NA UCET	6653	42846	UVER	YZ	95793395
1524640	5196	1997-10-13	VYDAJ	PREVOD NA UCET	7905	71440	SIPO	CD	22101694
1524641	5196	1997-11-13	VYDAJ	PREVOD NA UCET	7905	34356	SIPO	CD	22101694
1524642	5196	1997-12-13	VYDAJ	PREVOD NA UCET	7905	30570	SIPO	CD	22101694
1524643	5196	1998-01-13	VYDAJ	PREVOD NA UCET	7905	49625	SIPO	CD	22101694
1524644	5196	1998-02-13	VYDAJ	PREVOD NA UCET	7905	82250	SIPO	CD	22101694
1524645	5196	1998-03-13	VYDAJ	PREVOD NA UCET	7905	80064	SIPO	CD	22101694
1524646	5196	1998-04-13	VYDAJ	PREVOD NA UCET	7905	53056	SIPO	CD	22101694
1524647	5196	1998-05-13	VYDAJ	PREVOD NA UCET	7905	50153	SIPO	CD	22101694
1524648	5196	1998-06-13	VYDAJ	PREVOD NA UCET	7905	63011	SIPO	CD	22101694
1524649	5196	1998-07-13	VYDAJ	PREVOD NA UCET	7905	88601	SIPO	CD	22101694
1524650	5196	1998-08-13	VYDAJ	PREVOD NA UCET	7905	32186	SIPO	CD	22101694
1524651	5196	1998-09-13	VYDAJ	PREVOD NA UCET	7905	11348	SIPO	CD	22101694
1524652	5196	1998-10-13	VYDAJ	PREVOD NA UCET	7905	53292	SIPO	CD	22101694
1524653	5196	1998-11-13	VYDAJ	PREVOD NA UCET	7905	55736	SIPO	CD	22101694
1524654	5196	1998-12-13	VYDAJ	PREVOD NA UCET	7905	34941	SIPO	CD	22101694
1524667	5196	1998-05-04	VYBER	VYBER	21352	64710	\N	\N	\N
1524668	5196	1998-10-14	VYBER	VYBER	5228	78399	\N	\N	\N
1524671	5196	1997-12-29	VYDAJ	VYBER	7800	30270	\N	\N	\N
1524680	5196	1998-01-20	VYDAJ	VYBER	7200	22325	\N	\N	\N
1524681	5196	1998-01-12	VYDAJ	VYBER	5700	64183	\N	\N	\N
1524682	5196	1998-01-17	VYDAJ	VYBER	4800	38225	\N	\N	\N
1524683	5196	1998-01-09	VYDAJ	VYBER	3600	26798	\N	\N	\N
1524684	5196	1998-01-19	VYDAJ	VYBER	8700	29525	\N	\N	\N
1524691	5196	1998-07-18	VYDAJ	VYBER	10500	78101	\N	\N	\N
1524692	5196	1998-07-22	VYDAJ	VYBER	13800	64301	\N	\N	\N
1524693	5196	1998-01-17	VYDAJ	VYBER	6600	43025	\N	\N	\N
1524694	5196	1998-10-08	VYDAJ	VYBER	9600	67849	\N	\N	\N
1524704	5196	1997-09-30	VYDAJ	VYBER	30	42720	SLUZBY	\N	\N
1524705	5196	1997-10-31	VYDAJ	VYBER	30	42261	SLUZBY	\N	\N
1524706	5196	1997-11-30	VYDAJ	VYBER	30	38475	SLUZBY	\N	\N
1524707	5196	1997-12-31	VYDAJ	VYBER	30	30398	SLUZBY	\N	\N
1524708	5196	1998-01-31	VYDAJ	VYBER	30	74655	SLUZBY	\N	\N
1524709	5196	1998-02-28	VYDAJ	VYBER	30	94621	SLUZBY	\N	\N
1524710	5196	1998-03-31	VYDAJ	VYBER	30	67613	SLUZBY	\N	\N
1524711	5196	1998-04-30	VYDAJ	VYBER	30	86062	SLUZBY	\N	\N
1524712	5196	1998-05-31	VYDAJ	VYBER	30	74698	SLUZBY	\N	\N
1524713	5196	1998-06-30	VYDAJ	VYBER	30	46146	SLUZBY	\N	\N
1524714	5196	1998-07-31	VYDAJ	VYBER	30	46744	SLUZBY	\N	\N
1524715	5196	1998-08-31	VYDAJ	VYBER	30	25906	SLUZBY	\N	\N
1524716	5196	1998-09-30	VYDAJ	VYBER	30	77449	SLUZBY	\N	\N
1524717	5196	1998-10-31	VYDAJ	VYBER	30	46049	SLUZBY	\N	\N
1524718	5196	1998-11-30	VYDAJ	VYBER	30	29988	SLUZBY	\N	\N
1524719	5196	1997-07-29	VYDAJ	VYBER	9900	33389	\N	\N	\N
1524720	5196	1997-08-28	VYDAJ	VYBER	6300	27103	\N	\N	\N
1524721	5196	1997-09-20	VYDAJ	VYBER	39400	82193	\N	\N	\N
1524722	5196	1997-09-25	VYDAJ	VYBER	55100	59231	\N	\N	\N
1524723	5196	1997-09-27	VYDAJ	VYBER	16700	42531	\N	\N	\N
1524724	5196	1997-10-27	VYDAJ	VYBER	24600	46840	\N	\N	\N
1524725	5196	1997-11-26	VYDAJ	VYBER	3100	38332	\N	\N	\N
1524726	5196	1997-12-26	VYDAJ	VYBER	6300	38070	\N	\N	\N
1524727	5196	1998-01-25	PRIJEM	VKLAD	7600	29925	\N	\N	\N
1524728	5196	1998-02-11	VYDAJ	VYBER	29100	84081	\N	\N	\N
1524729	5196	1998-02-24	VYDAJ	VYBER	30900	66138	\N	\N	\N
1524730	5196	1998-03-26	VYDAJ	VYBER	28500	67278	\N	\N	\N
1524731	5196	1998-04-24	VYDAJ	VYBER	20400	84726	\N	\N	\N
1524732	5196	1998-04-25	VYDAJ	VYBER	24800	59926	\N	\N	\N
1524733	5196	1998-05-25	VYDAJ	VYBER	27600	64286	\N	\N	\N
1524734	5196	1998-06-12	VYDAJ	VYBER	52600	77568	\N	\N	\N
1524735	5196	1998-06-24	VYDAJ	VYBER	17100	45911	\N	\N	\N
1524736	5196	1998-07-24	VYDAJ	VYBER	17800	46501	\N	\N	\N
1524737	5196	1998-08-23	VYDAJ	VYBER	6400	25786	\N	\N	\N
1524738	5196	1998-09-22	VYDAJ	VYBER	23500	38490	\N	\N	\N
1524739	5196	1998-10-22	VYDAJ	VYBER	32600	45799	\N	\N	\N
1524740	5196	1998-11-21	VYDAJ	VYBER	25900	29836	\N	\N	\N
1524741	5196	1998-12-21	VYDAJ	VYBER	18100	16841	\N	\N	\N
1530372	5213	1995-08-18	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1530381	5213	1995-09-05	PRIJEM	PREVOD Z UCTU	46714	47714	\N	AB	62184637
1530382	5213	1995-10-05	PRIJEM	PREVOD Z UCTU	46714	82165	\N	AB	62184637
1530383	5213	1995-11-05	PRIJEM	PREVOD Z UCTU	46714	98639	\N	AB	62184637
1530384	5213	1995-12-05	PRIJEM	PREVOD Z UCTU	70071	130775	\N	AB	62184637
1530385	5213	1996-01-05	PRIJEM	PREVOD Z UCTU	46714	98885	\N	AB	62184637
1530386	5213	1996-02-05	PRIJEM	PREVOD Z UCTU	46714	52268	\N	AB	62184637
1530387	5213	1996-03-05	PRIJEM	PREVOD Z UCTU	46714	76960	\N	AB	62184637
1530388	5213	1996-04-05	PRIJEM	PREVOD Z UCTU	46714	90096	\N	AB	62184637
1530389	5213	1996-05-05	PRIJEM	PREVOD Z UCTU	46714	93622	\N	AB	62184637
1530390	5213	1996-06-05	PRIJEM	PREVOD Z UCTU	70071	119010	\N	AB	62184637
1530391	5213	1996-07-05	PRIJEM	PREVOD Z UCTU	46714	97545	\N	AB	62184637
1530392	5213	1996-08-05	PRIJEM	PREVOD Z UCTU	46714	74929	\N	AB	62184637
1530393	5213	1996-09-05	PRIJEM	PREVOD Z UCTU	46714	84760	\N	AB	62184637
1530394	5213	1996-10-05	PRIJEM	PREVOD Z UCTU	46714	99451	\N	AB	62184637
1530395	5213	1996-11-05	PRIJEM	PREVOD Z UCTU	46714	76537	\N	AB	62184637
1530396	5213	1996-12-05	PRIJEM	PREVOD Z UCTU	70071	116732	\N	AB	62184637
1530397	5213	1997-01-05	PRIJEM	PREVOD Z UCTU	46714	67444	\N	AB	62184637
1530398	5213	1997-02-05	PRIJEM	PREVOD Z UCTU	46714	44841	\N	AB	62184637
1530399	5213	1997-03-05	PRIJEM	PREVOD Z UCTU	46714	53967	\N	AB	62184637
1530400	5213	1997-04-05	PRIJEM	PREVOD Z UCTU	46714	61459	\N	AB	62184637
1530401	5213	1997-05-05	PRIJEM	PREVOD Z UCTU	46714	69470	\N	AB	62184637
1530402	5213	1997-06-05	PRIJEM	PREVOD Z UCTU	70071	107696	\N	AB	62184637
1530403	5213	1997-07-05	PRIJEM	PREVOD Z UCTU	46714	55116	\N	AB	62184637
1530404	5213	1997-08-05	PRIJEM	PREVOD Z UCTU	46714	80488	\N	AB	62184637
1530405	5213	1997-09-05	PRIJEM	PREVOD Z UCTU	46714	91531	\N	AB	62184637
1530406	5213	1997-10-05	PRIJEM	PREVOD Z UCTU	46714	93205	\N	AB	62184637
1530407	5213	1997-11-05	PRIJEM	PREVOD Z UCTU	46714	92474	\N	AB	62184637
1530408	5213	1997-12-05	PRIJEM	PREVOD Z UCTU	70071	117549	\N	AB	62184637
1530409	5213	1998-01-05	PRIJEM	PREVOD Z UCTU	46714	56674	\N	AB	62184637
1530410	5213	1998-02-05	PRIJEM	PREVOD Z UCTU	46714	61230	\N	AB	62184637
1530411	5213	1998-03-05	PRIJEM	PREVOD Z UCTU	46714	101616	\N	AB	62184637
1530412	5213	1998-04-05	PRIJEM	PREVOD Z UCTU	46714	78541	\N	AB	62184637
1530413	5213	1998-05-05	PRIJEM	PREVOD Z UCTU	46714	83102	\N	AB	62184637
1530414	5213	1998-06-05	PRIJEM	PREVOD Z UCTU	70071	106604	\N	AB	62184637
1530415	5213	1998-07-05	PRIJEM	PREVOD Z UCTU	46714	69127	\N	AB	62184637
1530416	5213	1998-08-05	PRIJEM	PREVOD Z UCTU	46714	69916	\N	AB	62184637
1530417	5213	1998-09-05	PRIJEM	PREVOD Z UCTU	46714	67280	\N	AB	62184637
1530418	5213	1998-10-05	PRIJEM	PREVOD Z UCTU	46714	81424	\N	AB	62184637
1530419	5213	1998-11-05	PRIJEM	PREVOD Z UCTU	46714	78524	\N	AB	62184637
1530420	5213	1998-12-05	PRIJEM	PREVOD Z UCTU	70071	111656	\N	AB	62184637
1530433	5213	1996-01-05	VYDAJ	VYBER	9200	89685	\N	\N	0
1530434	5213	1996-02-05	VYDAJ	VYBER	7200	45068	\N	\N	0
1530435	5213	1996-03-24	VYDAJ	VYBER	7300	48160	\N	\N	0
1530436	5213	1996-04-17	VYDAJ	VYBER	9100	46462	\N	\N	0
1530437	5213	1996-05-12	VYDAJ	PREVOD NA UCET	6687	86935	UVER	OP	46268802
1530438	5213	1996-06-12	VYDAJ	PREVOD NA UCET	6687	89623	UVER	OP	46268802
1530439	5213	1996-07-12	VYDAJ	PREVOD NA UCET	6687	67790	UVER	OP	46268802
1530440	5213	1996-08-12	VYDAJ	PREVOD NA UCET	6687	40779	UVER	OP	46268802
1530441	5213	1996-09-12	VYDAJ	PREVOD NA UCET	6687	52373	UVER	OP	46268802
1530442	5213	1996-10-12	VYDAJ	PREVOD NA UCET	6687	57664	UVER	OP	46268802
1530443	5213	1996-11-12	VYDAJ	PREVOD NA UCET	6687	46350	UVER	OP	46268802
1530444	5213	1996-12-12	VYDAJ	PREVOD NA UCET	6687	28845	UVER	OP	46268802
1530445	5213	1997-01-12	VYDAJ	PREVOD NA UCET	6687	32448	UVER	OP	46268802
1530446	5213	1997-02-12	VYDAJ	VYBER	6700	29341	\N	\N	0
1530447	5213	1997-03-12	VYDAJ	VYBER	6700	14567	\N	\N	0
1530448	5213	1997-04-12	VYDAJ	VYBER	6700	34259	\N	\N	0
1530449	5213	1997-05-12	VYDAJ	PREVOD NA UCET	6687	37383	UVER	OP	46268802
1530450	5213	1997-06-12	VYDAJ	PREVOD NA UCET	6687	20195	UVER	OP	46268802
1530451	5213	1997-07-12	VYDAJ	PREVOD NA UCET	6687	33529	UVER	OP	46268802
1530452	5213	1997-08-12	VYDAJ	PREVOD NA UCET	6687	44501	UVER	OP	46268802
1530453	5213	1997-09-12	VYDAJ	PREVOD NA UCET	6687	46144	UVER	OP	46268802
1530454	5213	1997-10-12	VYDAJ	PREVOD NA UCET	6687	45418	UVER	OP	46268802
1530455	5213	1997-11-12	VYDAJ	PREVOD NA UCET	6687	47087	UVER	OP	46268802
1530456	5213	1997-12-12	VYDAJ	PREVOD NA UCET	6687	27262	UVER	OP	46268802
1530457	5213	1998-01-12	VYDAJ	PREVOD NA UCET	6687	19087	UVER	OP	46268802
1530458	5213	1998-02-12	VYDAJ	PREVOD NA UCET	6687	54543	UVER	OP	46268802
1530459	5213	1998-03-12	VYDAJ	PREVOD NA UCET	6687	52629	UVER	OP	46268802
1530460	5213	1998-04-12	VYDAJ	PREVOD NA UCET	6687	68040	UVER	OP	46268802
1530461	5213	1998-05-12	VYDAJ	PREVOD NA UCET	6687	76415	UVER	OP	46268802
1530462	5213	1998-06-12	VYDAJ	PREVOD NA UCET	6687	45349	UVER	OP	46268802
1530463	5213	1998-07-12	VYDAJ	PREVOD NA UCET	6687	62440	UVER	OP	46268802
1530464	5213	1998-08-12	VYDAJ	PREVOD NA UCET	6687	63229	UVER	OP	46268802
1530465	5213	1998-09-12	VYDAJ	PREVOD NA UCET	6687	60593	UVER	OP	46268802
1530466	5213	1998-10-12	VYDAJ	PREVOD NA UCET	6687	50734	UVER	OP	46268802
1530467	5213	1998-11-12	VYDAJ	PREVOD NA UCET	6687	71837	UVER	OP	46268802
1530468	5213	1998-12-12	VYDAJ	PREVOD NA UCET	6687	91146	UVER	OP	46268802
1530474	5213	1996-01-12	VYBER	VYBER	24818	52267	\N	\N	\N
1530475	5213	1996-06-04	VYBER	VYBER	9334	48939	\N	\N	\N
1530476	5213	1996-01-15	VYBER	VYBER	16922	35345	\N	\N	\N
1530477	5213	1996-10-25	VYBER	VYBER	16221	41443	\N	\N	\N
1530478	5213	1996-07-26	VYBER	VYBER	21460	27830	\N	\N	\N
1530479	5213	1996-07-07	VYBER	VYBER	23068	74477	\N	\N	\N
1530480	5213	1996-04-06	VYBER	VYBER	7134	82962	\N	\N	\N
1530481	5213	1996-06-13	VYBER	VYBER	15570	74053	\N	\N	\N
1530482	5213	1996-08-11	VYBER	VYBER	20563	54366	\N	\N	\N
1530483	5213	1997-01-11	VYBER	VYBER	3809	39135	\N	\N	\N
1530484	5213	1997-03-02	VYBER	VYBER	22220	7253	\N	\N	\N
1530487	5213	1997-12-17	VYBER	VYBER	16822	10440	\N	\N	\N
1530488	5213	1997-06-08	VYBER	VYBER	17714	35782	\N	\N	\N
1530489	5213	1997-03-12	VYBER	VYBER	16200	21267	\N	\N	\N
1530490	5213	1998-10-05	VYBER	VYBER	24003	57421	\N	\N	\N
1530491	5213	1998-08-15	VYBER	VYBER	22175	28350	\N	\N	\N
1530492	5213	1998-11-15	VYBER	VYBER	3570	68267	\N	\N	\N
1530493	5213	1998-06-10	VYBER	VYBER	12268	52036	\N	\N	\N
1530494	5213	1998-07-02	VYBER	VYBER	8354	37413	\N	\N	\N
1530495	5213	1998-04-12	VYBER	VYBER	3814	74727	\N	\N	\N
1530497	5213	1998-08-15	VYBER	VYBER	12704	50525	\N	\N	\N
1530498	5213	1998-12-07	VYBER	VYBER	13823	97833	\N	\N	\N
1530499	5213	1998-05-19	VYBER	VYBER	20982	55433	\N	\N	\N
1530500	5213	1998-07-18	VYBER	VYBER	24685	37755	\N	\N	\N
1530506	5213	1996-01-23	VYDAJ	VYBER	11100	10945	\N	\N	\N
1530507	5213	1997-01-25	VYDAJ	VYBER	16800	2148	\N	\N	\N
1530508	5213	1998-01-11	VYDAJ	VYBER	9600	27274	\N	\N	\N
1530510	5213	1996-12-07	VYDAJ	VYBER	6600	46732	\N	\N	\N
1530511	5213	1997-12-09	VYDAJ	VYBER	5400	33949	\N	\N	\N
1530512	5213	1998-12-21	VYDAJ	VYBER KARTOU	2700	88446	\N	\N	0
1530519	5213	1996-01-16	VYDAJ	VYBER	3000	27745	\N	\N	\N
1530521	5213	1996-01-10	VYDAJ	VYBER	6600	77085	\N	\N	\N
1530522	5213	1996-01-06	VYDAJ	VYBER	6000	83685	\N	\N	\N
1530524	5213	1996-01-17	VYDAJ	VYBER	5700	22045	\N	\N	\N
1530525	5213	1997-01-05	VYDAJ	VYBER	5700	61744	\N	\N	\N
1530526	5213	1997-01-02	VYDAJ	VYBER	8400	20730	\N	\N	\N
1530527	5213	1997-01-16	VYDAJ	VYBER	4800	27648	\N	\N	\N
1530528	5213	1997-01-16	VYDAJ	VYBER	3000	24648	\N	\N	\N
1530529	5213	1997-01-29	VYDAJ	VYBER	4200	-2052	\N	\N	\N
1530530	5213	1997-01-23	VYDAJ	VYBER	5700	18948	\N	\N	\N
1530531	5213	1998-01-09	VYDAJ	VYBER	1500	36874	\N	\N	\N
1530532	5213	1998-01-29	VYDAJ	VYBER	1800	14887	\N	\N	\N
1530533	5213	1998-01-30	VYDAJ	VYBER	7500	7387	\N	\N	\N
1530534	5213	1998-01-11	VYDAJ	VYBER	1500	25774	\N	\N	\N
1530535	5213	1998-01-22	VYDAJ	VYBER	2400	16687	\N	\N	\N
1530536	5213	1998-01-03	VYDAJ	VYBER	7500	3160	\N	\N	\N
1530541	5213	1996-03-28	VYDAJ	VYBER	5100	43060	\N	\N	\N
1530542	5213	1996-08-16	VYDAJ	VYBER	3000	37779	\N	\N	\N
1530543	5213	1996-12-09	VYDAJ	VYBER	5700	41032	\N	\N	\N
1530544	5213	1996-02-24	VYDAJ	VYBER	7500	29968	\N	\N	\N
1530545	5213	1996-10-25	VYDAJ	VYBER	12000	29443	\N	\N	\N
1530546	5213	1996-01-23	VYDAJ	VYBER	5700	5245	\N	\N	\N
1530547	5213	1997-04-27	VYDAJ	VYBER	2100	32159	\N	\N	\N
1530548	5213	1997-12-09	VYDAJ	VYBER	4500	39349	\N	\N	\N
1530549	5213	1997-04-27	VYDAJ	VYBER	9600	22559	\N	\N	\N
1530550	5213	1997-07-02	VYDAJ	VYBER	12000	8402	\N	\N	\N
1530551	5213	1998-01-09	VYDAJ	VYBER	8700	38374	\N	\N	\N
1530552	5213	1998-05-01	VYDAJ	VYBER	9600	58988	\N	\N	\N
1530553	5213	1998-01-05	VYDAJ	VYBER	9600	47074	\N	\N	\N
1530567	5213	1996-01-31	VYDAJ	VYBER	15	5554	SLUZBY	\N	\N
1530568	5213	1996-02-29	VYDAJ	VYBER	15	30246	SLUZBY	\N	\N
1530569	5213	1996-03-31	VYDAJ	VYBER	15	43382	SLUZBY	\N	\N
1530570	5213	1996-04-30	VYDAJ	VYBER	15	46908	SLUZBY	\N	\N
1530571	5213	1996-05-31	VYDAJ	VYBER	15	58273	SLUZBY	\N	\N
1530572	5213	1996-06-30	VYDAJ	VYBER	15	50831	SLUZBY	\N	\N
1530573	5213	1996-07-31	VYDAJ	VYBER	15	28215	SLUZBY	\N	\N
1530574	5213	1996-08-31	VYDAJ	VYBER	15	38046	SLUZBY	\N	\N
1530575	5213	1996-09-30	VYDAJ	VYBER	15	52737	SLUZBY	\N	\N
1530576	5213	1996-10-31	VYDAJ	VYBER	15	29823	SLUZBY	\N	\N
1530577	5213	1996-11-30	VYDAJ	VYBER	15	46661	SLUZBY	\N	\N
1530578	5213	1996-12-31	VYDAJ	VYBER	15	29130	SLUZBY	\N	\N
1530579	5213	1997-01-31	VYDAJ	VYBER	15	-1873	SLUZBY	\N	\N
1530580	5213	1997-02-28	VYDAJ	VYBER	15	29498	SLUZBY	\N	\N
1530581	5213	1997-03-31	VYDAJ	VYBER	15	14745	SLUZBY	\N	\N
1530582	5213	1997-04-30	VYDAJ	VYBER	15	22756	SLUZBY	\N	\N
1530583	5213	1997-05-31	VYDAJ	VYBER	15	37625	SLUZBY	\N	\N
1530584	5213	1997-06-30	VYDAJ	VYBER	15	20402	SLUZBY	\N	\N
1530585	5213	1997-07-31	VYDAJ	VYBER	15	33774	SLUZBY	\N	\N
1530586	5213	1997-08-31	VYDAJ	VYBER	15	44817	SLUZBY	\N	\N
1530587	5213	1997-09-30	VYDAJ	VYBER	15	46491	SLUZBY	\N	\N
1530588	5213	1997-10-31	VYDAJ	VYBER	15	45760	SLUZBY	\N	\N
1530589	5213	1997-11-30	VYDAJ	VYBER	15	47478	SLUZBY	\N	\N
1530590	5213	1997-12-31	VYDAJ	VYBER	15	10660	SLUZBY	\N	\N
1530591	5213	1998-01-31	VYDAJ	VYBER	15	7516	SLUZBY	\N	\N
1530592	5213	1998-02-28	VYDAJ	VYBER	15	54902	SLUZBY	\N	\N
1530593	5213	1998-03-31	VYDAJ	VYBER	15	53027	SLUZBY	\N	\N
1530594	5213	1998-04-30	VYDAJ	VYBER	15	68588	SLUZBY	\N	\N
1530595	5213	1998-05-31	VYDAJ	VYBER	15	55933	SLUZBY	\N	\N
1530596	5213	1998-06-30	VYDAJ	VYBER	15	45767	SLUZBY	\N	\N
1530597	5213	1998-07-31	VYDAJ	VYBER	15	38102	SLUZBY	\N	\N
1530598	5213	1998-08-31	VYDAJ	VYBER	15	28666	SLUZBY	\N	\N
1530599	5213	1998-09-30	VYDAJ	VYBER	15	61010	SLUZBY	\N	\N
1530600	5213	1998-10-31	VYDAJ	VYBER	15	31810	SLUZBY	\N	\N
1530601	5213	1998-11-30	VYDAJ	VYBER	15	68685	SLUZBY	\N	\N
1530602	5213	1995-09-17	VYDAJ	VYBER	12400	35314	\N	\N	\N
1530603	5213	1995-10-17	VYDAJ	VYBER	30600	51565	\N	\N	\N
1530604	5213	1995-11-16	VYDAJ	VYBER	38400	60239	\N	\N	\N
1530605	5213	1995-12-05	VYDAJ	VYBER	49700	81075	\N	\N	\N
1530606	5213	1995-12-16	VYDAJ	VYBER	29500	51575	\N	\N	\N
1530607	5213	1996-01-15	VYDAJ	VYBER	4600	30745	\N	\N	\N
1530608	5213	1996-02-14	VYDAJ	VYBER	7600	37468	\N	\N	\N
1530609	5213	1996-03-15	VYDAJ	VYBER	21500	55460	\N	\N	\N
1530610	5213	1996-04-14	VYDAJ	VYBER	27400	55562	\N	\N	\N
1530611	5213	1996-05-14	VYDAJ	VYBER	29100	57835	\N	\N	\N
1530612	5213	1996-06-05	VYDAJ	VYBER	22700	96310	\N	\N	\N
1530613	5213	1996-06-13	VYDAJ	VYBER	23800	50253	\N	\N	\N
1530614	5213	1996-07-13	VYDAJ	VYBER	18500	49290	\N	\N	\N
1530615	5213	1996-08-12	VYDAJ	VYBER	6900	47466	\N	\N	\N
1530616	5213	1996-09-11	VYDAJ	VYBER	25700	59060	\N	\N	\N
1530617	5213	1996-10-11	VYDAJ	VYBER	35100	64351	\N	\N	\N
1530618	5213	1996-11-10	VYDAJ	VYBER	23500	53037	\N	\N	\N
1530619	5213	1996-12-05	VYDAJ	VYBER	63400	53332	\N	\N	\N
1530620	5213	1996-12-10	VYDAJ	VYBER	5500	35532	\N	\N	\N
1530621	5213	1997-01-09	VYDAJ	VYBER	18800	42944	\N	\N	\N
1530622	5213	1997-02-08	VYDAJ	VYBER	8800	36041	\N	\N	\N
1530623	5213	1997-03-10	VYDAJ	VYBER	16500	37467	\N	\N	\N
1530624	5213	1997-04-09	VYDAJ	VYBER	20500	40959	\N	\N	\N
1530625	5213	1997-05-09	VYDAJ	VYBER	25400	44070	\N	\N	\N
1530626	5213	1997-06-05	VYDAJ	VYBER	54200	53496	\N	\N	\N
1530627	5213	1997-06-08	VYDAJ	VYBER	8900	26882	\N	\N	\N
1530628	5213	1997-07-08	VYDAJ	VYBER	14900	40216	\N	\N	\N
1530629	5213	1997-08-07	VYDAJ	VYBER	29300	51188	\N	\N	\N
1530630	5213	1997-09-06	VYDAJ	VYBER	38700	52831	\N	\N	\N
1530631	5213	1997-10-06	VYDAJ	VYBER	41100	52105	\N	\N	\N
1530632	5213	1997-11-05	VYDAJ	VYBER	38700	53774	\N	\N	\N
1530633	5213	1997-12-05	VYDAJ	VYBER	47100	43849	\N	\N	\N
1530634	5213	1997-12-05	VYDAJ	VYBER	26600	90949	\N	\N	\N
1530635	5213	1998-01-04	PRIJEM	VKLAD	6800	9960	\N	\N	\N
1530636	5213	1998-02-03	PRIJEM	VKLAD	7000	14516	\N	\N	\N
1530637	5213	1998-03-05	VYDAJ	VYBER	42300	59316	\N	\N	\N
1530638	5213	1998-04-04	VYDAJ	VYBER	21200	31827	\N	\N	\N
1530639	5213	1998-05-04	VYDAJ	VYBER	22600	36388	\N	\N	\N
1530640	5213	1998-06-03	VYDAJ	VYBER	19400	36533	\N	\N	\N
1530641	5213	1998-06-05	VYDAJ	VYBER	42300	64304	\N	\N	\N
1530642	5213	1998-07-03	VYDAJ	VYBER	15000	22413	\N	\N	\N
1530643	5213	1998-08-02	VYDAJ	VYBER	14900	23202	\N	\N	\N
1530644	5213	1998-09-01	VYDAJ	VYBER	8100	20566	\N	\N	\N
1530645	5213	1998-10-01	VYDAJ	VYBER	26300	34710	\N	\N	\N
1530646	5213	1998-10-31	VYDAJ	VYBER	19300	31825	\N	\N	\N
1530647	5213	1998-11-30	VYDAJ	VYBER	27100	41585	\N	\N	\N
1530983	5215	1993-07-01	PRIJEM	VKLAD	200	200	\N	\N	\N
1530990	5215	1993-07-09	PRIJEM	VKLAD	15487	15687	\N	\N	\N
1530991	5215	1993-08-09	PRIJEM	VKLAD	15487	37723	\N	\N	\N
1530992	5215	1993-09-09	PRIJEM	VKLAD	15487	44705	\N	\N	\N
1530993	5215	1993-10-09	PRIJEM	VKLAD	15487	49415	\N	\N	\N
1530994	5215	1993-11-09	PRIJEM	VKLAD	15487	50143	\N	\N	\N
1530995	5215	1993-12-09	PRIJEM	VKLAD	23231	52185	\N	\N	\N
1530996	5215	1994-01-09	PRIJEM	VKLAD	15487	42464	\N	\N	\N
1530997	5215	1994-02-09	PRIJEM	VKLAD	15487	29691	\N	\N	\N
1530998	5215	1994-03-09	PRIJEM	VKLAD	15487	37314	\N	\N	\N
1530999	5215	1994-04-09	PRIJEM	VKLAD	15487	39367	\N	\N	\N
1531000	5215	1994-05-09	PRIJEM	VKLAD	15487	39724	\N	\N	\N
1531001	5215	1994-06-09	PRIJEM	VKLAD	23231	48427	\N	\N	\N
1531002	5215	1994-07-09	PRIJEM	VKLAD	15487	43927	\N	\N	\N
1531003	5215	1994-08-09	PRIJEM	VKLAD	15487	44701	\N	\N	\N
1531004	5215	1994-09-09	PRIJEM	VKLAD	15487	46959	\N	\N	\N
1531005	5215	1994-10-09	PRIJEM	VKLAD	15487	46424	\N	\N	\N
1531006	5215	1994-11-09	PRIJEM	VKLAD	15487	45018	\N	\N	\N
1531007	5215	1994-12-09	PRIJEM	VKLAD	23231	47935	\N	\N	\N
1531008	5215	1995-01-09	PRIJEM	VKLAD	15487	39613	\N	\N	\N
1531009	5215	1995-02-09	PRIJEM	VKLAD	15487	37543	\N	\N	\N
1531010	5215	1995-03-09	PRIJEM	VKLAD	15487	38805	\N	\N	\N
1531011	5215	1995-04-09	PRIJEM	VKLAD	15487	37195	\N	\N	\N
1531012	5215	1995-05-09	PRIJEM	VKLAD	15487	42325	\N	\N	\N
1531013	5215	1995-06-09	PRIJEM	VKLAD	23231	48609	\N	\N	\N
1531014	5215	1995-07-09	PRIJEM	VKLAD	15487	43161	\N	\N	\N
1531015	5215	1995-08-09	PRIJEM	VKLAD	15487	40902	\N	\N	\N
1531016	5215	1995-09-09	PRIJEM	VKLAD	15487	39097	\N	\N	\N
1531017	5215	1995-10-09	PRIJEM	VKLAD	15487	39447	\N	\N	\N
1531018	5215	1995-11-09	PRIJEM	VKLAD	15487	41699	\N	\N	\N
1531019	5215	1995-12-09	PRIJEM	VKLAD	23231	49333	\N	\N	\N
1531020	5215	1996-01-09	PRIJEM	VKLAD	15487	32243	\N	\N	\N
1531021	5215	1996-02-09	PRIJEM	VKLAD	15487	32799	\N	\N	\N
1531022	5215	1996-03-09	PRIJEM	VKLAD	15487	37121	\N	\N	\N
1531023	5215	1996-04-09	PRIJEM	VKLAD	15487	32445	\N	\N	\N
1531024	5215	1996-05-09	PRIJEM	VKLAD	15487	43588	\N	\N	\N
1531025	5215	1996-06-09	PRIJEM	VKLAD	23231	42957	\N	\N	\N
1531026	5215	1996-07-09	PRIJEM	VKLAD	15487	48930	\N	\N	\N
1531027	5215	1996-08-09	PRIJEM	VKLAD	15487	54926	\N	\N	\N
1531028	5215	1996-09-09	PRIJEM	VKLAD	15487	58237	\N	\N	\N
1531029	5215	1996-10-09	PRIJEM	VKLAD	15487	58477	\N	\N	\N
1531030	5215	1996-11-09	PRIJEM	VKLAD	15487	63110	\N	\N	\N
1531031	5215	1996-12-09	PRIJEM	VKLAD	23231	71343	\N	\N	\N
1531032	5215	1997-01-09	PRIJEM	VKLAD	15487	48290	\N	\N	\N
1531033	5215	1997-02-09	PRIJEM	VKLAD	15487	54997	\N	\N	\N
1531034	5215	1997-03-09	PRIJEM	VKLAD	15487	61621	\N	\N	\N
1531035	5215	1997-04-09	PRIJEM	VKLAD	15487	62117	\N	\N	\N
1531036	5215	1997-05-09	PRIJEM	VKLAD	15487	65756	\N	\N	\N
1531037	5215	1997-06-09	PRIJEM	VKLAD	23231	73751	\N	\N	\N
1531038	5215	1997-07-09	PRIJEM	VKLAD	15487	55872	\N	\N	\N
1531039	5215	1997-08-09	PRIJEM	VKLAD	15487	58666	\N	\N	\N
1531040	5215	1997-09-09	PRIJEM	VKLAD	15487	68702	\N	\N	\N
1531041	5215	1997-10-09	PRIJEM	VKLAD	15487	73279	\N	\N	\N
1531042	5215	1997-11-09	PRIJEM	VKLAD	15487	71181	\N	\N	\N
1531043	5215	1997-12-09	PRIJEM	VKLAD	23231	78661	\N	\N	\N
1531044	5215	1998-01-09	PRIJEM	VKLAD	15487	71587	\N	\N	\N
1531045	5215	1998-02-09	PRIJEM	VKLAD	15487	66856	\N	\N	\N
1531046	5215	1998-03-09	PRIJEM	VKLAD	15487	67431	\N	\N	\N
1531047	5215	1998-04-09	PRIJEM	VKLAD	15487	69390	\N	\N	\N
1531048	5215	1998-05-09	PRIJEM	VKLAD	15487	63139	\N	\N	\N
1531049	5215	1998-06-09	PRIJEM	VKLAD	23231	69380	\N	\N	\N
1531050	5215	1998-07-09	PRIJEM	VKLAD	15487	67495	\N	\N	\N
1531051	5215	1998-08-09	PRIJEM	VKLAD	15487	65314	\N	\N	\N
1531052	5215	1998-09-09	PRIJEM	VKLAD	15487	67983	\N	\N	\N
1531053	5215	1998-10-09	PRIJEM	VKLAD	15487	68961	\N	\N	\N
1531054	5215	1998-11-09	PRIJEM	VKLAD	15487	71146	\N	\N	\N
1531055	5215	1998-12-09	PRIJEM	VKLAD	23231	70680	\N	\N	\N
1531067	5215	1993-12-05	VYDAJ	PREVOD NA UCET	2	34641	SIPO	KL	58698618
1531068	5215	1994-01-05	VYDAJ	PREVOD NA UCET	2	32664	SIPO	KL	58698618
1531069	5215	1994-02-05	VYDAJ	PREVOD NA UCET	2	19891	SIPO	KL	58698618
1531070	5215	1994-03-05	VYDAJ	PREVOD NA UCET	2	28414	SIPO	KL	58698618
1531071	5215	1994-04-05	VYDAJ	PREVOD NA UCET	2	29567	SIPO	KL	58698618
1531072	5215	1994-05-05	VYDAJ	PREVOD NA UCET	2	29924	SIPO	KL	58698618
1531073	5215	1994-06-05	VYDAJ	PREVOD NA UCET	2	30884	SIPO	KL	58698618
1531074	5215	1994-07-05	VYDAJ	PREVOD NA UCET	2	34127	SIPO	KL	58698618
1531075	5215	1994-08-05	VYDAJ	PREVOD NA UCET	2	34901	SIPO	KL	58698618
1531076	5215	1994-09-05	VYDAJ	PREVOD NA UCET	2	37159	SIPO	KL	58698618
1531077	5215	1994-10-05	VYDAJ	PREVOD NA UCET	2	36624	SIPO	KL	58698618
1531078	5215	1994-11-05	VYDAJ	PREVOD NA UCET	2	35218	SIPO	KL	58698618
1531079	5215	1994-12-05	VYDAJ	PREVOD NA UCET	2	33272	SIPO	KL	58698618
1531080	5215	1995-01-05	VYDAJ	PREVOD NA UCET	2	36293	SIPO	KL	58698618
1531081	5215	1995-02-05	VYDAJ	PREVOD NA UCET	2	27743	SIPO	KL	58698618
1531082	5215	1995-03-05	VYDAJ	PREVOD NA UCET	2	29005	SIPO	KL	58698618
1531083	5215	1995-04-05	VYDAJ	PREVOD NA UCET	2	28835	SIPO	KL	58698618
1531084	5215	1995-05-05	VYDAJ	PREVOD NA UCET	2	32525	SIPO	KL	58698618
1531085	5215	1995-06-05	VYDAJ	PREVOD NA UCET	2	31066	SIPO	KL	58698618
1531086	5215	1995-07-05	VYDAJ	PREVOD NA UCET	2	33361	SIPO	KL	58698618
1531087	5215	1995-08-05	VYDAJ	PREVOD NA UCET	2	31102	SIPO	KL	58698618
1531088	5215	1995-09-05	VYDAJ	PREVOD NA UCET	2	29297	SIPO	KL	58698618
1531089	5215	1995-10-05	VYDAJ	PREVOD NA UCET	2	29647	SIPO	KL	58698618
1531090	5215	1995-11-05	VYDAJ	PREVOD NA UCET	2	31899	SIPO	KL	58698618
1531091	5215	1995-12-05	VYDAJ	PREVOD NA UCET	2	31790	SIPO	KL	58698618
1531092	5215	1996-01-05	VYDAJ	PREVOD NA UCET	2	34243	SIPO	KL	58698618
1531093	5215	1996-02-05	VYDAJ	PREVOD NA UCET	2	22999	SIPO	KL	58698618
1531094	5215	1996-03-05	VYDAJ	PREVOD NA UCET	2	27321	SIPO	KL	58698618
1531095	5215	1996-04-05	VYDAJ	PREVOD NA UCET	2	23545	SIPO	KL	58698618
1531096	5215	1996-05-05	VYDAJ	PREVOD NA UCET	2	33788	SIPO	KL	58698618
1531097	5215	1996-06-05	VYDAJ	PREVOD NA UCET	2	35654	SIPO	KL	58698618
1531098	5215	1996-07-05	VYDAJ	PREVOD NA UCET	2	40330	SIPO	KL	58698618
1531099	5215	1996-08-05	VYDAJ	PREVOD NA UCET	2	45126	SIPO	KL	58698618
1531100	5215	1996-09-05	VYDAJ	PREVOD NA UCET	2	48437	SIPO	KL	58698618
1531101	5215	1996-10-05	VYDAJ	PREVOD NA UCET	2	48677	SIPO	KL	58698618
1531102	5215	1996-11-05	VYDAJ	PREVOD NA UCET	2	54010	SIPO	KL	58698618
1531103	5215	1996-12-05	VYDAJ	PREVOD NA UCET	2	54900	SIPO	KL	58698618
1531104	5215	1997-01-05	VYDAJ	PREVOD NA UCET	2	61530	SIPO	KL	58698618
1531105	5215	1997-02-05	VYDAJ	PREVOD NA UCET	2	46097	SIPO	KL	58698618
1531106	5215	1997-03-05	VYDAJ	PREVOD NA UCET	2	51821	SIPO	KL	58698618
1531107	5215	1997-04-05	VYDAJ	PREVOD NA UCET	2	52317	SIPO	KL	58698618
1531108	5215	1997-05-05	VYDAJ	PREVOD NA UCET	2	55956	SIPO	KL	58698618
1531109	5215	1997-06-05	VYDAJ	PREVOD NA UCET	2	56208	SIPO	KL	58698618
1531110	5215	1997-07-05	VYDAJ	PREVOD NA UCET	2	46072	SIPO	KL	58698618
1531111	5215	1997-08-05	VYDAJ	PREVOD NA UCET	2	48866	SIPO	KL	58698618
1531112	5215	1997-09-05	VYDAJ	PREVOD NA UCET	2	55802	SIPO	KL	58698618
1531113	5215	1997-10-05	VYDAJ	PREVOD NA UCET	2	67279	SIPO	KL	58698618
1531114	5215	1997-11-05	VYDAJ	PREVOD NA UCET	2	71481	SIPO	KL	58698618
1531115	5215	1997-12-05	VYDAJ	PREVOD NA UCET	2	67217	SIPO	KL	58698618
1531116	5215	1998-01-05	VYDAJ	PREVOD NA UCET	2	71667	SIPO	KL	58698618
1531117	5215	1998-02-05	VYDAJ	PREVOD NA UCET	2	61756	SIPO	KL	58698618
1531118	5215	1998-03-05	VYDAJ	PREVOD NA UCET	2	65431	SIPO	KL	58698618
1531119	5215	1998-04-05	VYDAJ	PREVOD NA UCET	2	60290	SIPO	KL	58698618
1531120	5215	1998-05-05	VYDAJ	PREVOD NA UCET	2	61059	SIPO	KL	58698618
1531121	5215	1998-06-05	VYDAJ	PREVOD NA UCET	2	51836	SIPO	KL	58698618
1531122	5215	1998-07-05	VYDAJ	PREVOD NA UCET	2	57695	SIPO	KL	58698618
1531123	5215	1998-08-05	VYDAJ	PREVOD NA UCET	2	55514	SIPO	KL	58698618
1531124	5215	1998-09-05	VYDAJ	PREVOD NA UCET	2	58183	SIPO	KL	58698618
1531125	5215	1998-10-05	VYDAJ	PREVOD NA UCET	2	60561	SIPO	KL	58698618
1531126	5215	1998-11-05	VYDAJ	PREVOD NA UCET	2	61346	SIPO	KL	58698618
1531127	5215	1998-12-05	VYDAJ	PREVOD NA UCET	2	57136	SIPO	KL	58698618
1531139	5215	1993-12-08	VYDAJ	PREVOD NA UCET	5315	28954	 	QR	81640040
1531140	5215	1994-01-08	VYDAJ	PREVOD NA UCET	5315	26977	 	QR	81640040
1531141	5215	1994-02-08	VYDAJ	PREVOD NA UCET	5315	14204	 	QR	81640040
1531142	5215	1994-03-08	VYDAJ	PREVOD NA UCET	5315	22727	 	QR	81640040
1531143	5215	1994-04-08	VYDAJ	PREVOD NA UCET	5315	24252	 	QR	81640040
1531144	5215	1994-05-08	VYDAJ	PREVOD NA UCET	5315	24609	 	QR	81640040
1531145	5215	1994-06-08	VYDAJ	PREVOD NA UCET	5315	25197	 	QR	81640040
1531146	5215	1994-07-08	VYDAJ	PREVOD NA UCET	5315	28812	 	QR	81640040
1531147	5215	1994-08-08	VYDAJ	PREVOD NA UCET	5315	29586	 	QR	81640040
1531148	5215	1994-09-08	VYDAJ	PREVOD NA UCET	5315	31472	 	QR	81640040
1531149	5215	1994-10-08	VYDAJ	PREVOD NA UCET	5315	31309	 	QR	81640040
1531150	5215	1994-11-08	VYDAJ	PREVOD NA UCET	5315	29531	 	QR	81640040
1531151	5215	1994-12-08	VYDAJ	PREVOD NA UCET	5315	25077	 	QR	81640040
1531152	5215	1995-01-08	VYDAJ	PREVOD NA UCET	5315	24498	 	QR	81640040
1531153	5215	1995-02-08	VYDAJ	PREVOD NA UCET	5315	22428	 	QR	81640040
1531154	5215	1995-03-08	VYDAJ	PREVOD NA UCET	5315	23690	 	QR	81640040
1531155	5215	1995-04-08	VYDAJ	PREVOD NA UCET	5315	21708	 	QR	81640040
1531156	5215	1995-05-08	VYDAJ	PREVOD NA UCET	5315	26838	 	QR	81640040
1531157	5215	1995-06-08	VYDAJ	PREVOD NA UCET	5315	25379	 	QR	81640040
1531158	5215	1995-07-08	VYDAJ	PREVOD NA UCET	5315	27674	 	QR	81640040
1531159	5215	1995-08-08	VYDAJ	PREVOD NA UCET	5315	25415	 	QR	81640040
1531160	5215	1995-09-08	VYDAJ	PREVOD NA UCET	5315	23610	 	QR	81640040
1531161	5215	1995-10-08	VYDAJ	PREVOD NA UCET	5315	23960	 	QR	81640040
1531162	5215	1995-11-08	VYDAJ	PREVOD NA UCET	5315	26212	 	QR	81640040
1531163	5215	1995-12-08	VYDAJ	PREVOD NA UCET	5315	26475	 	QR	81640040
1531164	5215	1996-01-08	VYDAJ	PREVOD NA UCET	5315	18528	 	QR	81640040
1531165	5215	1996-02-08	VYDAJ	PREVOD NA UCET	5315	17312	 	QR	81640040
1531166	5215	1996-03-08	VYDAJ	PREVOD NA UCET	5315	21634	 	QR	81640040
1531167	5215	1996-04-08	VYDAJ	PREVOD NA UCET	5315	17330	 	QR	81640040
1531168	5215	1996-05-08	VYDAJ	PREVOD NA UCET	5315	28473	 	QR	81640040
1531169	5215	1996-06-08	VYDAJ	PREVOD NA UCET	5315	19727	 	QR	81640040
1531170	5215	1996-07-08	VYDAJ	PREVOD NA UCET	5315	33443	 	QR	81640040
1531171	5215	1996-08-08	VYDAJ	PREVOD NA UCET	5315	39439	 	QR	81640040
1531172	5215	1996-09-08	VYDAJ	PREVOD NA UCET	5315	43122	 	QR	81640040
1531173	5215	1996-10-08	VYDAJ	PREVOD NA UCET	5315	42990	 	QR	81640040
1531174	5215	1996-11-08	VYDAJ	PREVOD NA UCET	5315	47623	 	QR	81640040
1531175	5215	1996-12-08	VYDAJ	PREVOD NA UCET	5315	48485	 	QR	81640040
1531176	5215	1997-01-08	VYDAJ	PREVOD NA UCET	5315	36415	 	QR	81640040
1531177	5215	1997-02-08	VYDAJ	PREVOD NA UCET	5315	39882	 	QR	81640040
1531178	5215	1997-03-08	VYDAJ	PREVOD NA UCET	5315	46134	 	QR	81640040
1531179	5215	1997-04-08	VYDAJ	PREVOD NA UCET	5315	46630	 	QR	81640040
1531180	5215	1997-05-08	VYDAJ	PREVOD NA UCET	5315	50269	 	QR	81640040
1531181	5215	1997-06-08	VYDAJ	PREVOD NA UCET	5315	50521	 	QR	81640040
1531182	5215	1997-07-08	VYDAJ	PREVOD NA UCET	5315	40757	 	QR	81640040
1531183	5215	1997-08-08	VYDAJ	PREVOD NA UCET	5315	43179	 	QR	81640040
1531184	5215	1997-09-08	VYDAJ	PREVOD NA UCET	5315	53215	 	QR	81640040
1531185	5215	1997-10-08	VYDAJ	PREVOD NA UCET	5315	58164	 	QR	81640040
1531186	5215	1997-11-08	VYDAJ	PREVOD NA UCET	5315	56066	 	QR	81640040
1531187	5215	1997-12-08	VYDAJ	PREVOD NA UCET	5315	55802	 	QR	81640040
1531188	5215	1998-01-08	VYDAJ	PREVOD NA UCET	5315	56100	 	QR	81640040
1531189	5215	1998-02-08	VYDAJ	PREVOD NA UCET	5315	51741	 	QR	81640040
1531190	5215	1998-03-08	VYDAJ	PREVOD NA UCET	5315	51944	 	QR	81640040
1531191	5215	1998-04-08	VYDAJ	PREVOD NA UCET	5315	54275	 	QR	81640040
1531192	5215	1998-05-08	VYDAJ	PREVOD NA UCET	5315	48024	 	QR	81640040
1531193	5215	1998-06-08	VYDAJ	PREVOD NA UCET	5315	46149	 	QR	81640040
1531194	5215	1998-07-08	VYDAJ	PREVOD NA UCET	5315	52008	 	QR	81640040
1531195	5215	1998-08-08	VYDAJ	PREVOD NA UCET	5315	50199	 	QR	81640040
1531196	5215	1998-09-08	VYDAJ	PREVOD NA UCET	5315	52868	 	QR	81640040
1531197	5215	1998-10-08	VYDAJ	PREVOD NA UCET	5315	53474	 	QR	81640040
1531198	5215	1998-11-08	VYDAJ	PREVOD NA UCET	5315	55659	 	QR	81640040
1531199	5215	1998-12-08	VYDAJ	PREVOD NA UCET	5315	47821	 	QR	81640040
1531211	5215	1993-12-08	VYDAJ	PREVOD NA UCET	372	34269	POJISTNE	KL	3664792
1531212	5215	1994-01-08	VYDAJ	PREVOD NA UCET	372	32292	POJISTNE	KL	3664792
1531213	5215	1994-02-08	VYDAJ	PREVOD NA UCET	372	19519	POJISTNE	KL	3664792
1531214	5215	1994-03-08	VYDAJ	PREVOD NA UCET	372	28042	POJISTNE	KL	3664792
1531215	5215	1994-04-08	VYDAJ	PREVOD NA UCET	372	23880	POJISTNE	KL	3664792
1531216	5215	1994-05-08	VYDAJ	PREVOD NA UCET	372	24237	POJISTNE	KL	3664792
1531217	5215	1994-06-08	VYDAJ	PREVOD NA UCET	372	30512	POJISTNE	KL	3664792
1531218	5215	1994-07-08	VYDAJ	PREVOD NA UCET	372	28440	POJISTNE	KL	3664792
1531219	5215	1994-08-08	VYDAJ	PREVOD NA UCET	372	29214	POJISTNE	KL	3664792
1531220	5215	1994-09-08	VYDAJ	PREVOD NA UCET	372	36787	POJISTNE	KL	3664792
1531221	5215	1994-10-08	VYDAJ	PREVOD NA UCET	372	30937	POJISTNE	KL	3664792
1531222	5215	1994-11-08	VYDAJ	PREVOD NA UCET	372	34846	POJISTNE	KL	3664792
1531223	5215	1994-12-08	VYDAJ	PREVOD NA UCET	372	24705	POJISTNE	KL	3664792
1531224	5215	1995-01-08	VYDAJ	PREVOD NA UCET	372	24126	POJISTNE	KL	3664792
1531225	5215	1995-02-08	VYDAJ	PREVOD NA UCET	372	22056	POJISTNE	KL	3664792
1531226	5215	1995-03-08	VYDAJ	PREVOD NA UCET	372	23318	POJISTNE	KL	3664792
1531227	5215	1995-04-08	VYDAJ	PREVOD NA UCET	372	27023	POJISTNE	KL	3664792
1531228	5215	1995-05-08	VYDAJ	PREVOD NA UCET	372	32153	POJISTNE	KL	3664792
1531229	5215	1995-06-08	VYDAJ	PREVOD NA UCET	372	30694	POJISTNE	KL	3664792
1531230	5215	1995-07-08	VYDAJ	PREVOD NA UCET	372	32989	POJISTNE	KL	3664792
1531231	5215	1995-08-08	VYDAJ	PREVOD NA UCET	372	30730	POJISTNE	KL	3664792
1531232	5215	1995-09-08	VYDAJ	PREVOD NA UCET	372	28925	POJISTNE	KL	3664792
1531233	5215	1995-10-08	VYDAJ	PREVOD NA UCET	372	29275	POJISTNE	KL	3664792
1531234	5215	1995-11-08	VYDAJ	PREVOD NA UCET	372	31527	POJISTNE	KL	3664792
1531235	5215	1995-12-08	VYDAJ	PREVOD NA UCET	372	26103	POJISTNE	KL	3664792
1531236	5215	1996-01-08	VYDAJ	PREVOD NA UCET	372	16756	POJISTNE	KL	3664792
1531237	5215	1996-02-08	VYDAJ	PREVOD NA UCET	372	22627	POJISTNE	KL	3664792
1531238	5215	1996-03-08	VYDAJ	PREVOD NA UCET	372	26949	POJISTNE	KL	3664792
1531239	5215	1996-04-08	VYDAJ	PREVOD NA UCET	372	16958	POJISTNE	KL	3664792
1531240	5215	1996-05-08	VYDAJ	PREVOD NA UCET	372	28101	POJISTNE	KL	3664792
1531241	5215	1996-06-08	VYDAJ	PREVOD NA UCET	372	25042	POJISTNE	KL	3664792
1531242	5215	1996-07-08	VYDAJ	PREVOD NA UCET	372	38758	POJISTNE	KL	3664792
1531243	5215	1996-08-08	VYDAJ	PREVOD NA UCET	372	44754	POJISTNE	KL	3664792
1531244	5215	1996-09-08	VYDAJ	PREVOD NA UCET	372	42750	POJISTNE	KL	3664792
1531245	5215	1996-10-08	VYDAJ	PREVOD NA UCET	372	48305	POJISTNE	KL	3664792
1531246	5215	1996-11-08	VYDAJ	PREVOD NA UCET	372	52938	POJISTNE	KL	3664792
1531247	5215	1996-12-08	VYDAJ	PREVOD NA UCET	372	48113	POJISTNE	KL	3664792
1531248	5215	1997-01-08	VYDAJ	PREVOD NA UCET	372	36043	POJISTNE	KL	3664792
1531249	5215	1997-02-08	VYDAJ	PREVOD NA UCET	372	39510	POJISTNE	KL	3664792
1531250	5215	1997-03-08	VYDAJ	PREVOD NA UCET	372	51449	POJISTNE	KL	3664792
1531251	5215	1997-04-08	VYDAJ	PREVOD NA UCET	372	51945	POJISTNE	KL	3664792
1531252	5215	1997-05-08	VYDAJ	PREVOD NA UCET	372	55584	POJISTNE	KL	3664792
1531253	5215	1997-06-08	VYDAJ	PREVOD NA UCET	372	55836	POJISTNE	KL	3664792
1531254	5215	1997-07-08	VYDAJ	PREVOD NA UCET	372	40385	POJISTNE	KL	3664792
1531255	5215	1997-08-08	VYDAJ	PREVOD NA UCET	372	48494	POJISTNE	KL	3664792
1531256	5215	1997-09-08	VYDAJ	PREVOD NA UCET	372	58530	POJISTNE	KL	3664792
1531257	5215	1997-10-08	VYDAJ	PREVOD NA UCET	372	57792	POJISTNE	KL	3664792
1531258	5215	1997-11-08	VYDAJ	PREVOD NA UCET	372	55694	POJISTNE	KL	3664792
1531259	5215	1997-12-08	VYDAJ	PREVOD NA UCET	372	55430	POJISTNE	KL	3664792
1531260	5215	1998-01-08	VYDAJ	PREVOD NA UCET	372	61415	POJISTNE	KL	3664792
1531261	5215	1998-02-08	VYDAJ	PREVOD NA UCET	372	51369	POJISTNE	KL	3664792
1531262	5215	1998-03-08	VYDAJ	PREVOD NA UCET	372	57259	POJISTNE	KL	3664792
1531263	5215	1998-04-08	VYDAJ	PREVOD NA UCET	372	53903	POJISTNE	KL	3664792
1531264	5215	1998-05-08	VYDAJ	PREVOD NA UCET	372	47652	POJISTNE	KL	3664792
1531265	5215	1998-06-08	VYDAJ	PREVOD NA UCET	372	51464	POJISTNE	KL	3664792
1531266	5215	1998-07-08	VYDAJ	PREVOD NA UCET	372	57323	POJISTNE	KL	3664792
1531267	5215	1998-08-08	VYDAJ	PREVOD NA UCET	372	49827	POJISTNE	KL	3664792
1531268	5215	1998-09-08	VYDAJ	PREVOD NA UCET	372	52496	POJISTNE	KL	3664792
1531269	5215	1998-10-08	VYDAJ	PREVOD NA UCET	372	58789	POJISTNE	KL	3664792
1531270	5215	1998-11-08	VYDAJ	PREVOD NA UCET	372	60974	POJISTNE	KL	3664792
1531271	5215	1998-12-08	VYDAJ	PREVOD NA UCET	372	47449	POJISTNE	KL	3664792
1531282	5215	1993-11-10	VYDAJ	PREVOD NA UCET	870	49273	 	QR	71636765
1531283	5215	1993-12-10	VYDAJ	PREVOD NA UCET	870	51315	 	QR	71636765
1531284	5215	1994-01-10	VYDAJ	PREVOD NA UCET	870	40594	 	QR	71636765
1531285	5215	1994-02-10	VYDAJ	PREVOD NA UCET	870	28821	 	QR	71636765
1531286	5215	1994-03-10	VYDAJ	PREVOD NA UCET	870	36444	 	QR	71636765
1531287	5215	1994-04-10	VYDAJ	PREVOD NA UCET	870	38497	 	QR	71636765
1531288	5215	1994-05-10	VYDAJ	PREVOD NA UCET	870	38854	 	QR	71636765
1531289	5215	1994-06-10	VYDAJ	PREVOD NA UCET	870	46357	 	QR	71636765
1531290	5215	1994-07-10	VYDAJ	PREVOD NA UCET	870	43057	 	QR	71636765
1531291	5215	1994-08-10	VYDAJ	PREVOD NA UCET	870	43831	 	QR	71636765
1531292	5215	1994-09-10	VYDAJ	PREVOD NA UCET	870	46089	 	QR	71636765
1531293	5215	1994-10-10	VYDAJ	PREVOD NA UCET	870	42194	 	QR	71636765
1531294	5215	1994-11-10	VYDAJ	PREVOD NA UCET	870	44148	 	QR	71636765
1531295	5215	1994-12-10	VYDAJ	PREVOD NA UCET	870	47065	 	QR	71636765
1531296	5215	1995-01-10	VYDAJ	PREVOD NA UCET	870	36983	 	QR	71636765
1531297	5215	1995-02-10	VYDAJ	PREVOD NA UCET	870	36673	 	QR	71636765
1531298	5215	1995-03-10	VYDAJ	PREVOD NA UCET	870	37935	 	QR	71636765
1531299	5215	1995-04-10	VYDAJ	PREVOD NA UCET	870	36325	 	QR	71636765
1531300	5215	1995-05-10	VYDAJ	PREVOD NA UCET	870	41455	 	QR	71636765
1531301	5215	1995-06-10	VYDAJ	PREVOD NA UCET	870	47739	 	QR	71636765
1531302	5215	1995-07-10	VYDAJ	PREVOD NA UCET	870	42291	 	QR	71636765
1531303	5215	1995-08-10	VYDAJ	PREVOD NA UCET	870	40032	 	QR	71636765
1531304	5215	1995-09-10	VYDAJ	PREVOD NA UCET	870	38227	 	QR	71636765
1531305	5215	1995-10-10	VYDAJ	PREVOD NA UCET	870	38577	 	QR	71636765
1531306	5215	1995-11-10	VYDAJ	PREVOD NA UCET	870	40829	 	QR	71636765
1531307	5215	1995-12-10	VYDAJ	PREVOD NA UCET	870	48463	 	QR	71636765
1531308	5215	1996-01-10	VYDAJ	PREVOD NA UCET	870	31373	 	QR	71636765
1531309	5215	1996-02-10	VYDAJ	PREVOD NA UCET	870	31129	 	QR	71636765
1531310	5215	1996-03-10	VYDAJ	PREVOD NA UCET	870	36251	 	QR	71636765
1531311	5215	1996-04-10	VYDAJ	PREVOD NA UCET	870	31575	 	QR	71636765
1531312	5215	1996-05-10	VYDAJ	PREVOD NA UCET	870	42718	 	QR	71636765
1531313	5215	1996-06-10	VYDAJ	PREVOD NA UCET	870	42087	 	QR	71636765
1531314	5215	1996-07-10	VYDAJ	PREVOD NA UCET	870	48060	 	QR	71636765
1531315	5215	1996-08-10	VYDAJ	PREVOD NA UCET	870	54056	 	QR	71636765
1531316	5215	1996-09-10	VYDAJ	PREVOD NA UCET	870	57367	 	QR	71636765
1531317	5215	1996-10-10	VYDAJ	PREVOD NA UCET	870	57607	 	QR	71636765
1531318	5215	1996-11-10	VYDAJ	PREVOD NA UCET	870	62240	 	QR	71636765
1531319	5215	1996-12-10	VYDAJ	PREVOD NA UCET	870	70473	 	QR	71636765
1531320	5215	1997-01-10	VYDAJ	PREVOD NA UCET	870	47420	 	QR	71636765
1531321	5215	1997-02-10	VYDAJ	PREVOD NA UCET	870	51627	 	QR	71636765
1531322	5215	1997-03-10	VYDAJ	PREVOD NA UCET	870	60751	 	QR	71636765
1531323	5215	1997-04-10	VYDAJ	PREVOD NA UCET	870	61247	 	QR	71636765
1531324	5215	1997-05-10	VYDAJ	PREVOD NA UCET	870	64886	 	QR	71636765
1531325	5215	1997-06-10	VYDAJ	PREVOD NA UCET	870	72881	 	QR	71636765
1531326	5215	1997-07-10	VYDAJ	PREVOD NA UCET	870	54002	 	QR	71636765
1531327	5215	1997-08-10	VYDAJ	PREVOD NA UCET	870	56496	 	QR	71636765
1531328	5215	1997-09-10	VYDAJ	PREVOD NA UCET	870	67832	 	QR	71636765
1531329	5215	1997-10-10	VYDAJ	PREVOD NA UCET	870	72409	 	QR	71636765
1531330	5215	1997-11-10	VYDAJ	PREVOD NA UCET	870	70311	 	QR	71636765
1531331	5215	1997-12-10	VYDAJ	PREVOD NA UCET	870	76591	 	QR	71636765
1531332	5215	1998-01-10	VYDAJ	PREVOD NA UCET	870	70717	 	QR	71636765
1531333	5215	1998-02-10	VYDAJ	PREVOD NA UCET	870	65986	 	QR	71636765
1531334	5215	1998-03-10	VYDAJ	PREVOD NA UCET	870	66561	 	QR	71636765
1531335	5215	1998-04-10	VYDAJ	PREVOD NA UCET	870	68520	 	QR	71636765
1531336	5215	1998-05-10	VYDAJ	PREVOD NA UCET	870	62269	 	QR	71636765
1531337	5215	1998-06-10	VYDAJ	PREVOD NA UCET	870	68510	 	QR	71636765
1531338	5215	1998-07-10	VYDAJ	PREVOD NA UCET	870	66625	 	QR	71636765
1531339	5215	1998-08-10	VYDAJ	PREVOD NA UCET	870	64444	 	QR	71636765
1531340	5215	1998-09-10	VYDAJ	PREVOD NA UCET	870	67113	 	QR	71636765
1531341	5215	1998-10-10	VYDAJ	PREVOD NA UCET	870	68091	 	QR	71636765
1531342	5215	1998-11-10	VYDAJ	PREVOD NA UCET	870	70276	 	QR	71636765
1531343	5215	1998-12-10	VYDAJ	PREVOD NA UCET	870	69810	 	QR	71636765
1531354	5215	1993-11-07	VYDAJ	VYBER	800	34656	\N	\N	0
1531355	5215	1993-11-27	VYDAJ	VYBER	1100	48173	\N	\N	0
1531356	5215	1994-01-10	VYDAJ	VYBER	1000	41464	\N	\N	0
1531357	5215	1994-02-05	VYDAJ	VYBER	1400	19893	\N	\N	0
1531358	5215	1994-03-08	VYDAJ	VYBER	900	21827	\N	\N	0
1531359	5215	1994-04-14	VYDAJ	VYBER	1000	37497	\N	\N	0
1531360	5215	1994-05-04	VYDAJ	VYBER	900	29926	\N	\N	0
1531361	5215	1994-06-09	VYDAJ	VYBER	1200	47227	\N	\N	0
1531362	5215	1994-07-16	VYDAJ	VYBER	1100	41957	\N	\N	0
1531363	5215	1994-08-12	VYDAJ	PREVOD NA UCET	1219	42612	UVER	KL	79302054
1531364	5215	1994-09-12	VYDAJ	PREVOD NA UCET	1219	44870	UVER	KL	79302054
1531365	5215	1994-10-12	VYDAJ	PREVOD NA UCET	1219	40975	UVER	KL	79302054
1531366	5215	1994-11-12	VYDAJ	PREVOD NA UCET	1219	42929	UVER	KL	79302054
1531367	5215	1994-12-12	VYDAJ	PREVOD NA UCET	1219	45846	UVER	KL	79302054
1531368	5215	1995-01-12	VYDAJ	PREVOD NA UCET	1219	35764	UVER	KL	79302054
1531369	5215	1995-02-12	VYDAJ	PREVOD NA UCET	1219	35454	UVER	KL	79302054
1531370	5215	1995-03-12	VYDAJ	PREVOD NA UCET	1219	36716	UVER	KL	79302054
1531371	5215	1995-04-12	VYDAJ	PREVOD NA UCET	1219	35106	UVER	KL	79302054
1531372	5215	1995-05-12	VYDAJ	PREVOD NA UCET	1219	40236	UVER	KL	79302054
1531373	5215	1995-06-12	VYDAJ	PREVOD NA UCET	1219	46520	UVER	KL	79302054
1531374	5215	1995-07-12	VYDAJ	PREVOD NA UCET	1219	41072	UVER	KL	79302054
1531375	5215	1995-08-12	VYDAJ	VYBER	1700	38332	\N	\N	0
1531376	5215	1995-09-28	VYDAJ	VYBER	1100	29527	\N	\N	0
1531377	5215	1995-10-20	VYDAJ	VYBER	900	32877	\N	\N	0
1531378	5215	1995-10-26	VYDAJ	VYBER	1100	31777	\N	\N	0
1531379	5215	1995-12-17	VYDAJ	VYBER	1500	46963	\N	\N	0
1531380	5215	1996-01-08	VYDAJ	VYBER	1400	17128	\N	\N	0
1531381	5215	1996-02-10	VYDAJ	VYBER	800	31999	\N	\N	0
1531382	5215	1996-03-21	VYDAJ	VYBER	1400	31951	\N	\N	0
1531383	5215	1996-04-07	VYDAJ	VYBER	900	22645	\N	\N	0
1531384	5215	1996-04-27	VYDAJ	VYBER	1500	33675	\N	\N	0
1531385	5215	1996-05-30	VYDAJ	VYBER	1100	35518	\N	\N	0
1531386	5215	1996-07-07	VYDAJ	VYBER	1200	39130	\N	\N	0
1531387	5215	1996-08-12	VYDAJ	VYBER	1000	53056	\N	\N	0
1531388	5215	1996-09-13	VYDAJ	VYBER	1100	49567	\N	\N	0
1531389	5215	1996-10-17	VYDAJ	VYBER	1000	53807	\N	\N	0
1531390	5215	1996-11-06	VYDAJ	VYBER	700	53310	\N	\N	0
1531391	5215	1996-12-07	VYDAJ	VYBER	1100	53800	\N	\N	0
1531392	5215	1997-01-19	VYDAJ	VYBER	1400	52020	\N	\N	0
1531393	5215	1997-02-08	VYDAJ	VYBER	900	45197	\N	\N	0
1531394	5215	1997-03-10	VYDAJ	VYBER	1600	59151	\N	\N	0
1531395	5215	1997-04-12	VYDAJ	VYBER	1200	55747	\N	\N	0
1531396	5215	1997-05-26	VYDAJ	VYBER	1400	56986	\N	\N	0
1531397	5215	1997-06-02	VYDAJ	VYBER	1000	56210	\N	\N	0
1531398	5215	1997-07-11	VYDAJ	VYBER	1000	53002	\N	\N	0
1531399	5215	1997-08-10	VYDAJ	VYBER	900	55596	\N	\N	0
1531400	5215	1997-09-11	VYDAJ	VYBER	800	67032	\N	\N	0
1531401	5215	1997-10-22	VYDAJ	VYBER	1200	71209	\N	\N	0
1531402	5215	1997-11-18	VYDAJ	VYBER	1200	69111	\N	\N	0
1531403	5215	1997-12-10	VYDAJ	VYBER	1200	77461	\N	\N	0
1531404	5215	1998-01-20	VYDAJ	VYBER	1300	66777	\N	\N	0
1531405	5215	1998-02-19	VYDAJ	VYBER	800	65186	\N	\N	0
1531406	5215	1998-03-17	VYDAJ	VYBER	1000	65561	\N	\N	0
1531407	5215	1998-04-22	VYDAJ	VYBER	1200	61920	\N	\N	0
1531408	5215	1998-05-03	VYDAJ	VYBER	1100	61061	\N	\N	0
1531409	5215	1998-06-12	VYDAJ	VYBER	1000	67510	\N	\N	0
1531410	5215	1998-07-04	VYDAJ	VYBER	1000	65797	\N	\N	0
1531411	5215	1998-07-28	VYDAJ	VYBER	1000	65625	\N	\N	0
1531412	5215	1998-09-19	VYDAJ	VYBER	1000	66113	\N	\N	0
1531413	5215	1998-10-07	VYDAJ	VYBER	1400	59161	\N	\N	0
1531414	5215	1998-11-14	VYDAJ	VYBER	1000	69276	\N	\N	0
1531415	5215	1998-12-14	VYDAJ	VYBER	800	69010	\N	\N	0
1531419	5215	1996-06-07	VYDAJ	VYBER	10240	25414	\N	\N	\N
1531420	5215	1997-06-11	VYDAJ	VYBER	17600	45881	\N	\N	\N
1531421	5215	1998-06-05	VYDAJ	VYBER	7680	51838	\N	\N	\N
1531423	5215	1994-01-22	VYDAJ	VYBER	6400	26274	\N	\N	\N
1531424	5215	1995-01-09	VYDAJ	VYBER	1760	37853	\N	\N	\N
1531425	5215	1996-01-07	VYDAJ	VYBER	10400	23843	\N	\N	\N
1531426	5215	1997-01-07	VYDAJ	VYBER	13440	41730	\N	\N	\N
1531427	5215	1998-01-17	VYDAJ	VYBER	1920	68077	\N	\N	\N
1531428	5215	1993-12-13	VYDAJ	VYBER	1600	49715	\N	\N	\N
1531429	5215	1994-12-06	VYDAJ	VYBER	2880	30392	\N	\N	\N
1531430	5215	1995-12-22	VYDAJ	VYBER	2560	34103	\N	\N	\N
1531431	5215	1996-12-01	VYDAJ	VYBER	3360	54902	\N	\N	\N
1531432	5215	1997-12-22	VYDAJ	VYBER	3040	71391	\N	\N	\N
1531433	5215	1998-12-05	VYDAJ	VYBER KARTOU	4000	53136	\N	\N	0
1531440	5215	1994-01-17	VYDAJ	VYBER	1920	33514	\N	\N	\N
1531441	5215	1994-01-20	VYDAJ	VYBER	840	32674	\N	\N	\N
1531442	5215	1994-01-26	VYDAJ	VYBER	3480	20274	\N	\N	\N
1531443	5215	1994-01-13	VYDAJ	VYBER	3240	35434	\N	\N	\N
1531444	5215	1994-01-13	VYDAJ	VYBER	1920	38674	\N	\N	\N
1531445	5215	1994-01-26	VYDAJ	VYBER	2520	23754	\N	\N	\N
1531446	5215	1995-01-17	VYDAJ	VYBER	1080	33724	\N	\N	\N
1531447	5215	1995-01-06	VYDAJ	VYBER	2400	29813	\N	\N	\N
1531448	5215	1995-01-05	VYDAJ	VYBER	3360	32933	\N	\N	\N
1531449	5215	1995-01-06	VYDAJ	VYBER	720	32213	\N	\N	\N
1531450	5215	1995-01-28	VYDAJ	VYBER	600	27624	\N	\N	\N
1531451	5215	1995-01-13	VYDAJ	VYBER	960	34804	\N	\N	\N
1531452	5215	1996-01-18	VYDAJ	VYBER	1320	31653	\N	\N	\N
1531453	5215	1996-01-25	VYDAJ	VYBER	1800	25893	\N	\N	\N
1531454	5215	1996-01-24	VYDAJ	VYBER	2040	27693	\N	\N	\N
1531455	5215	1996-01-10	VYDAJ	VYBER	1200	30173	\N	\N	\N
1531456	5215	1996-01-24	VYDAJ	VYBER	1920	29733	\N	\N	\N
1531457	5215	1996-01-30	VYDAJ	VYBER	3000	22893	\N	\N	\N
1531458	5215	1997-01-21	VYDAJ	VYBER	2160	49860	\N	\N	\N
1531459	5215	1997-01-06	VYDAJ	VYBER	3480	58050	\N	\N	\N
1531460	5215	1997-01-24	VYDAJ	VYBER	720	49140	\N	\N	\N
1531461	5215	1997-01-08	VYDAJ	VYBER	3240	32803	\N	\N	\N
1531462	5215	1997-01-06	VYDAJ	VYBER	2880	55170	\N	\N	\N
1531463	5215	1997-01-03	VYDAJ	VYBER	1080	61532	\N	\N	\N
1531464	5215	1998-01-25	VYDAJ	VYBER	2040	64737	\N	\N	\N
1531465	5215	1998-01-07	VYDAJ	VYBER	1320	61787	\N	\N	\N
1531466	5215	1998-01-12	VYDAJ	VYBER	720	69997	\N	\N	\N
1531467	5215	1998-01-06	VYDAJ	VYBER	3360	68307	\N	\N	\N
1531468	5215	1998-01-30	VYDAJ	VYBER	2280	61497	\N	\N	\N
1531469	5215	1998-01-27	VYDAJ	VYBER	960	63777	\N	\N	\N
1531470	5215	1993-12-04	VYDAJ	VYBER	3000	34643	\N	\N	\N
1531474	5215	1994-01-05	VYDAJ	VYBER	4320	32666	\N	\N	\N
1531475	5215	1994-10-09	VYDAJ	VYBER	3360	43064	\N	\N	\N
1531476	5215	1994-06-16	VYDAJ	VYBER	1080	45277	\N	\N	\N
1531477	5215	1995-03-28	VYDAJ	VYBER	1800	28716	\N	\N	\N
1531478	5215	1995-03-23	VYDAJ	VYBER	5400	31316	\N	\N	\N
1531479	5215	1995-09-04	VYDAJ	VYBER	3360	29299	\N	\N	\N
1531480	5215	1995-04-08	VYDAJ	VYBER	1440	27395	\N	\N	\N
1531481	5215	1995-11-12	VYDAJ	VYBER	5160	35669	\N	\N	\N
1531482	5215	1995-02-13	VYDAJ	VYBER	1560	33894	\N	\N	\N
1531483	5215	1996-10-02	VYDAJ	VYBER	1080	48679	\N	\N	\N
1531484	5215	1996-03-30	VYDAJ	VYBER	2640	29311	\N	\N	\N
1531485	5215	1996-02-11	VYDAJ	VYBER	5040	26089	\N	\N	\N
1531486	5215	1996-04-01	VYDAJ	VYBER	5880	23547	\N	\N	\N
1531487	5215	1996-02-24	VYDAJ	VYBER	1560	27229	\N	\N	\N
1531488	5215	1997-07-17	VYDAJ	VYBER	4320	48682	\N	\N	\N
1531489	5215	1997-12-13	VYDAJ	VYBER	2160	74431	\N	\N	\N
1531490	5215	1997-02-02	VYDAJ	VYBER	3240	46099	\N	\N	\N
1531491	5215	1997-11-25	VYDAJ	VYBER	2160	66951	\N	\N	\N
1531492	5215	1997-03-27	VYDAJ	VYBER	2640	52111	\N	\N	\N
1531493	5215	1998-08-01	VYDAJ	VYBER	5760	60116	\N	\N	\N
1531494	5215	1998-05-25	VYDAJ	VYBER	5280	56989	\N	\N	\N
1531495	5215	1998-06-14	VYDAJ	VYBER	960	66550	\N	\N	\N
1531496	5215	1998-04-14	VYDAJ	VYBER	5400	63120	\N	\N	\N
1531497	5215	1998-05-06	VYDAJ	VYBER	5520	53339	\N	\N	\N
1531498	5215	1998-03-30	VYDAJ	VYBER	5520	60041	\N	\N	\N
1531510	5215	1993-11-30	VYDAJ	VYBER	15	37643	SLUZBY	\N	\N
1531511	5215	1993-12-31	VYDAJ	VYBER	15	36986	SLUZBY	\N	\N
1531512	5215	1994-01-31	VYDAJ	VYBER	15	21293	SLUZBY	\N	\N
1531513	5215	1994-02-28	VYDAJ	VYBER	15	28416	SLUZBY	\N	\N
1531514	5215	1994-03-31	VYDAJ	VYBER	15	29569	SLUZBY	\N	\N
1531515	5215	1994-04-30	VYDAJ	VYBER	15	30826	SLUZBY	\N	\N
1531516	5215	1994-05-31	VYDAJ	VYBER	15	30886	SLUZBY	\N	\N
1531517	5215	1994-06-30	VYDAJ	VYBER	15	34129	SLUZBY	\N	\N
1531518	5215	1994-07-31	VYDAJ	VYBER	15	34903	SLUZBY	\N	\N
1531519	5215	1994-08-31	VYDAJ	VYBER	15	37161	SLUZBY	\N	\N
1531520	5215	1994-09-30	VYDAJ	VYBER	15	36626	SLUZBY	\N	\N
1531521	5215	1994-10-31	VYDAJ	VYBER	15	35220	SLUZBY	\N	\N
1531522	5215	1994-11-30	VYDAJ	VYBER	15	33274	SLUZBY	\N	\N
1531523	5215	1994-12-31	VYDAJ	VYBER	15	36295	SLUZBY	\N	\N
1531524	5215	1995-01-31	VYDAJ	VYBER	15	27745	SLUZBY	\N	\N
1531525	5215	1995-02-28	VYDAJ	VYBER	15	29007	SLUZBY	\N	\N
1531526	5215	1995-03-31	VYDAJ	VYBER	15	28837	SLUZBY	\N	\N
1531527	5215	1995-04-30	VYDAJ	VYBER	15	32527	SLUZBY	\N	\N
1531528	5215	1995-05-31	VYDAJ	VYBER	15	31068	SLUZBY	\N	\N
1531529	5215	1995-06-30	VYDAJ	VYBER	15	33363	SLUZBY	\N	\N
1531530	5215	1995-07-31	VYDAJ	VYBER	15	31104	SLUZBY	\N	\N
1531531	5215	1995-08-31	VYDAJ	VYBER	15	32659	SLUZBY	\N	\N
1531532	5215	1995-09-30	VYDAJ	VYBER	15	29649	SLUZBY	\N	\N
1531533	5215	1995-10-31	VYDAJ	VYBER	15	31901	SLUZBY	\N	\N
1531534	5215	1995-11-30	VYDAJ	VYBER	15	31792	SLUZBY	\N	\N
1531535	5215	1995-12-31	VYDAJ	VYBER	15	34245	SLUZBY	\N	\N
1531536	5215	1996-01-31	VYDAJ	VYBER	15	23001	SLUZBY	\N	\N
1531537	5215	1996-02-29	VYDAJ	VYBER	15	27323	SLUZBY	\N	\N
1531538	5215	1996-03-31	VYDAJ	VYBER	15	29427	SLUZBY	\N	\N
1531539	5215	1996-04-30	VYDAJ	VYBER	15	33790	SLUZBY	\N	\N
1531540	5215	1996-05-31	VYDAJ	VYBER	15	35656	SLUZBY	\N	\N
1531541	5215	1996-06-30	VYDAJ	VYBER	15	40332	SLUZBY	\N	\N
1531542	5215	1996-07-31	VYDAJ	VYBER	15	45128	SLUZBY	\N	\N
1531543	5215	1996-08-31	VYDAJ	VYBER	15	48439	SLUZBY	\N	\N
1531544	5215	1996-09-30	VYDAJ	VYBER	15	49759	SLUZBY	\N	\N
1531545	5215	1996-10-31	VYDAJ	VYBER	15	54012	SLUZBY	\N	\N
1531546	5215	1996-11-30	VYDAJ	VYBER	15	58262	SLUZBY	\N	\N
1531547	5215	1996-12-31	VYDAJ	VYBER	15	62612	SLUZBY	\N	\N
1531548	5215	1997-01-31	VYDAJ	VYBER	15	49339	SLUZBY	\N	\N
1531549	5215	1997-02-28	VYDAJ	VYBER	15	51823	SLUZBY	\N	\N
1531550	5215	1997-03-31	VYDAJ	VYBER	15	52319	SLUZBY	\N	\N
1531551	5215	1997-04-30	VYDAJ	VYBER	15	55958	SLUZBY	\N	\N
1531552	5215	1997-05-31	VYDAJ	VYBER	15	57210	SLUZBY	\N	\N
1531553	5215	1997-06-30	VYDAJ	VYBER	15	46074	SLUZBY	\N	\N
1531554	5215	1997-07-31	VYDAJ	VYBER	15	48868	SLUZBY	\N	\N
1531555	5215	1997-08-31	VYDAJ	VYBER	15	55804	SLUZBY	\N	\N
1531556	5215	1997-09-30	VYDAJ	VYBER	15	67281	SLUZBY	\N	\N
1531557	5215	1997-10-31	VYDAJ	VYBER	15	71483	SLUZBY	\N	\N
1531558	5215	1997-11-30	VYDAJ	VYBER	15	67219	SLUZBY	\N	\N
1531559	5215	1997-12-31	VYDAJ	VYBER	15	71669	SLUZBY	\N	\N
1531560	5215	1998-01-31	VYDAJ	VYBER	15	61758	SLUZBY	\N	\N
1531561	5215	1998-02-28	VYDAJ	VYBER	15	65433	SLUZBY	\N	\N
1531562	5215	1998-03-31	VYDAJ	VYBER	15	60292	SLUZBY	\N	\N
1531563	5215	1998-04-30	VYDAJ	VYBER	15	62161	SLUZBY	\N	\N
1531564	5215	1998-05-31	VYDAJ	VYBER	15	57218	SLUZBY	\N	\N
1531565	5215	1998-06-30	VYDAJ	VYBER	15	66797	SLUZBY	\N	\N
1531566	5215	1998-07-31	VYDAJ	VYBER	15	65876	SLUZBY	\N	\N
1531567	5215	1998-08-31	VYDAJ	VYBER	15	64685	SLUZBY	\N	\N
1531568	5215	1998-09-30	VYDAJ	VYBER	15	66363	SLUZBY	\N	\N
1531569	5215	1998-10-31	VYDAJ	VYBER	15	68348	SLUZBY	\N	\N
1531570	5215	1998-11-30	VYDAJ	VYBER	15	69538	SLUZBY	\N	\N
1531571	5215	1993-07-31	PRIJEM	VKLAD	6500	22236	\N	\N	\N
1531572	5215	1993-08-30	VYDAJ	VYBER	8600	29123	\N	\N	\N
1531573	5215	1993-09-29	VYDAJ	VYBER	10900	33805	\N	\N	\N
1531574	5215	1993-10-29	VYDAJ	VYBER	14100	35315	\N	\N	\N
1531575	5215	1993-11-28	VYDAJ	VYBER	10700	37473	\N	\N	\N
1531576	5215	1993-12-28	VYDAJ	VYBER	12900	36815	\N	\N	\N
1531577	5215	1994-01-27	PRIJEM	VKLAD	900	21174	\N	\N	\N
1531578	5215	1994-02-26	VYDAJ	VYBER	500	28321	\N	\N	\N
1531579	5215	1994-03-28	VYDAJ	VYBER	7000	29444	\N	\N	\N
1531580	5215	1994-04-27	VYDAJ	VYBER	6800	30697	\N	\N	\N
1531581	5215	1994-05-27	VYDAJ	VYBER	8100	30754	\N	\N	\N
1531582	5215	1994-06-26	VYDAJ	VYBER	11300	33977	\N	\N	\N
1531583	5215	1994-07-26	VYDAJ	VYBER	7200	34757	\N	\N	\N
1531584	5215	1994-08-25	VYDAJ	VYBER	5600	37012	\N	\N	\N
1531585	5215	1994-09-24	VYDAJ	VYBER	8400	36470	\N	\N	\N
1531586	5215	1994-10-24	VYDAJ	VYBER	5900	35075	\N	\N	\N
1531587	5215	1994-11-23	VYDAJ	VYBER	9800	33129	\N	\N	\N
1531588	5215	1994-12-23	VYDAJ	VYBER	9700	36146	\N	\N	\N
1531589	5215	1995-01-22	VYDAJ	VYBER	5500	28224	\N	\N	\N
1531590	5215	1995-02-21	VYDAJ	VYBER	5000	28894	\N	\N	\N
1531591	5215	1995-03-23	VYDAJ	VYBER	800	30516	\N	\N	\N
1531592	5215	1995-04-22	VYDAJ	VYBER	2700	32406	\N	\N	\N
1531593	5215	1995-05-22	VYDAJ	VYBER	9300	30936	\N	\N	\N
1531594	5215	1995-06-21	VYDAJ	VYBER	13300	33220	\N	\N	\N
1531595	5215	1995-07-21	VYDAJ	VYBER	10100	30972	\N	\N	\N
1531596	5215	1995-08-20	VYDAJ	VYBER	5800	32532	\N	\N	\N
1531597	5215	1995-09-19	VYDAJ	VYBER	7600	30627	\N	\N	\N
1531598	5215	1995-10-19	VYDAJ	VYBER	4800	33777	\N	\N	\N
1531599	5215	1995-11-18	VYDAJ	VYBER	4000	31669	\N	\N	\N
1531600	5215	1995-12-18	VYDAJ	VYBER	10300	36663	\N	\N	\N
1531601	5215	1996-01-17	PRIJEM	VKLAD	2800	32973	\N	\N	\N
1531602	5215	1996-02-16	PRIJEM	VKLAD	2700	28789	\N	\N	\N
1531603	5215	1996-03-17	VYDAJ	VYBER	2900	33351	\N	\N	\N
1531604	5215	1996-04-16	PRIJEM	VKLAD	3600	35175	\N	\N	\N
1531605	5215	1996-05-16	VYDAJ	VYBER	6100	36618	\N	\N	\N
1531606	5215	1996-06-15	VYDAJ	VYBER	1900	40187	\N	\N	\N
1531607	5215	1996-07-15	VYDAJ	VYBER	3100	44960	\N	\N	\N
1531608	5215	1996-08-14	VYDAJ	VYBER	4800	48256	\N	\N	\N
1531609	5215	1996-09-13	VYDAJ	VYBER	6700	50667	\N	\N	\N
1531610	5215	1996-10-13	VYDAJ	VYBER	2800	54807	\N	\N	\N
1531611	5215	1996-11-12	VYDAJ	VYBER	4200	58040	\N	\N	\N
1531612	5215	1996-12-12	VYDAJ	VYBER	8100	62373	\N	\N	\N
1531613	5215	1997-01-11	PRIJEM	VKLAD	6000	53420	\N	\N	\N
1531614	5215	1997-02-10	VYDAJ	VYBER	2500	52497	\N	\N	\N
1531615	5215	1997-03-12	VYDAJ	VYBER	4400	54751	\N	\N	\N
1531616	5215	1997-04-11	VYDAJ	VYBER	4300	56947	\N	\N	\N
1531617	5215	1997-05-11	VYDAJ	VYBER	6500	58386	\N	\N	\N
1531618	5215	1997-06-10	VYDAJ	VYBER	9400	63481	\N	\N	\N
1531619	5215	1997-07-10	VYDAJ	VYBER	1000	54872	\N	\N	\N
1531620	5215	1997-08-09	VYDAJ	VYBER	1300	57366	\N	\N	\N
1531621	5215	1997-09-08	PRIJEM	VKLAD	3100	58902	\N	\N	\N
1531622	5215	1997-10-08	VYDAJ	VYBER	3800	63479	\N	\N	\N
1531623	5215	1997-11-07	VYDAJ	VYBER	10100	61381	\N	\N	\N
1531624	5215	1997-12-07	VYDAJ	VYBER	6100	61117	\N	\N	\N
1531625	5215	1998-01-06	VYDAJ	VYBER	5200	63107	\N	\N	\N
1531626	5215	1998-02-05	VYDAJ	VYBER	4700	57056	\N	\N	\N
1531627	5215	1998-03-07	VYDAJ	VYBER	7800	57631	\N	\N	\N
1531628	5215	1998-04-06	VYDAJ	VYBER	700	59590	\N	\N	\N
1531629	5215	1998-05-06	VYDAJ	VYBER	2200	58859	\N	\N	\N
1531630	5215	1998-06-05	PRIJEM	VKLAD	2300	59518	\N	\N	\N
1531631	5215	1998-07-05	VYDAJ	VYBER	8100	57697	\N	\N	\N
1531632	5215	1998-08-04	VYDAJ	VYBER	4600	55516	\N	\N	\N
1531633	5215	1998-09-03	VYDAJ	VYBER	6500	58185	\N	\N	\N
1531634	5215	1998-10-03	VYDAJ	VYBER	5800	60563	\N	\N	\N
1531635	5215	1998-11-02	VYDAJ	VYBER	7000	61348	\N	\N	\N
1531636	5215	1998-12-02	VYDAJ	VYBER	12400	57138	\N	\N	\N
1534899	5228	1993-06-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1534906	5228	1993-07-05	PRIJEM	PREVOD Z UCTU	49681	50681	\N	IJ	98379885
1534907	5228	1993-08-05	PRIJEM	PREVOD Z UCTU	49681	85505	\N	IJ	98379885
1534908	5228	1993-09-05	PRIJEM	PREVOD Z UCTU	49681	104461	\N	IJ	98379885
1534909	5228	1993-10-05	PRIJEM	PREVOD Z UCTU	49681	106543	\N	IJ	98379885
1534910	5228	1993-11-05	PRIJEM	PREVOD Z UCTU	49681	102260	\N	IJ	98379885
1534911	5228	1993-12-05	PRIJEM	PREVOD Z UCTU	74522	134417	\N	IJ	98379885
1534912	5228	1994-01-05	PRIJEM	PREVOD Z UCTU	49681	74804	\N	IJ	98379885
1534913	5228	1994-02-05	PRIJEM	PREVOD Z UCTU	49681	74047	\N	IJ	98379885
1534914	5228	1994-03-05	PRIJEM	PREVOD Z UCTU	49681	94168	\N	IJ	98379885
1534915	5228	1994-04-05	PRIJEM	PREVOD Z UCTU	49681	95819	\N	IJ	98379885
1534916	5228	1994-05-05	PRIJEM	PREVOD Z UCTU	49681	96573	\N	IJ	98379885
1534917	5228	1994-06-05	PRIJEM	PREVOD Z UCTU	74522	129915	\N	IJ	98379885
1534918	5228	1994-07-05	PRIJEM	PREVOD Z UCTU	49681	94432	\N	IJ	98379885
1534919	5228	1994-08-05	PRIJEM	PREVOD Z UCTU	49681	88825	\N	IJ	98379885
1534920	5228	1994-09-05	PRIJEM	PREVOD Z UCTU	49681	105939	\N	IJ	98379885
1534921	5228	1994-10-05	PRIJEM	PREVOD Z UCTU	49681	88114	\N	IJ	98379885
1534922	5228	1994-11-05	PRIJEM	PREVOD Z UCTU	49681	95690	\N	IJ	98379885
1534923	5228	1994-12-05	PRIJEM	PREVOD Z UCTU	74522	125514	\N	IJ	98379885
1534924	5228	1995-01-05	PRIJEM	PREVOD Z UCTU	49681	78151	\N	IJ	98379885
1534925	5228	1995-02-05	PRIJEM	PREVOD Z UCTU	49681	57938	\N	IJ	98379885
1534926	5228	1995-03-05	PRIJEM	PREVOD Z UCTU	49681	91897	\N	IJ	98379885
1534927	5228	1995-04-05	PRIJEM	PREVOD Z UCTU	49681	94205	\N	IJ	98379885
1534928	5228	1995-05-05	PRIJEM	PREVOD Z UCTU	49681	95148	\N	IJ	98379885
1534929	5228	1995-06-05	PRIJEM	PREVOD Z UCTU	74522	124017	\N	IJ	98379885
1534930	5228	1995-07-05	PRIJEM	PREVOD Z UCTU	49681	83376	\N	IJ	98379885
1534931	5228	1995-08-05	PRIJEM	PREVOD Z UCTU	49681	100008	\N	IJ	98379885
1534932	5228	1995-09-05	PRIJEM	PREVOD Z UCTU	49681	108834	\N	IJ	98379885
1534933	5228	1995-10-05	PRIJEM	PREVOD Z UCTU	49681	86160	\N	IJ	98379885
1534934	5228	1995-11-05	PRIJEM	PREVOD Z UCTU	49681	72292	\N	IJ	98379885
1534935	5228	1995-12-05	PRIJEM	PREVOD Z UCTU	74522	106612	\N	IJ	98379885
1534936	5228	1996-01-05	PRIJEM	PREVOD Z UCTU	49681	107566	\N	IJ	98379885
1534937	5228	1996-02-05	PRIJEM	PREVOD Z UCTU	49681	67878	\N	IJ	98379885
1534938	5228	1996-03-05	PRIJEM	PREVOD Z UCTU	49681	88158	\N	IJ	98379885
1534939	5228	1996-04-05	PRIJEM	PREVOD Z UCTU	49681	81284	\N	IJ	98379885
1534940	5228	1996-05-05	PRIJEM	PREVOD Z UCTU	49681	84258	\N	IJ	98379885
1534941	5228	1996-06-05	PRIJEM	PREVOD Z UCTU	74522	115408	\N	IJ	98379885
1534942	5228	1996-07-05	PRIJEM	PREVOD Z UCTU	49681	70580	\N	IJ	98379885
1534943	5228	1996-08-05	PRIJEM	PREVOD Z UCTU	49681	74601	\N	IJ	98379885
1534944	5228	1996-09-05	PRIJEM	PREVOD Z UCTU	49681	83139	\N	IJ	98379885
1534945	5228	1996-10-05	PRIJEM	PREVOD Z UCTU	49681	74745	\N	IJ	98379885
1534946	5228	1996-11-05	PRIJEM	PREVOD Z UCTU	49681	76411	\N	IJ	98379885
1534947	5228	1996-12-05	PRIJEM	PREVOD Z UCTU	74522	104104	\N	IJ	98379885
1534948	5228	1997-01-05	PRIJEM	PREVOD Z UCTU	49681	101946	\N	IJ	98379885
1534949	5228	1997-02-05	PRIJEM	PREVOD Z UCTU	49681	94558	\N	IJ	98379885
1534950	5228	1997-03-05	PRIJEM	PREVOD Z UCTU	49681	96450	\N	IJ	98379885
1534951	5228	1997-04-05	PRIJEM	PREVOD Z UCTU	49681	108398	\N	IJ	98379885
1534952	5228	1997-05-05	PRIJEM	PREVOD Z UCTU	49681	104197	\N	IJ	98379885
1534953	5228	1997-06-05	PRIJEM	PREVOD Z UCTU	74522	125563	\N	IJ	98379885
1534954	5228	1997-07-05	PRIJEM	PREVOD Z UCTU	49681	84758	\N	IJ	98379885
1534955	5228	1997-08-05	PRIJEM	PREVOD Z UCTU	49681	98150	\N	IJ	98379885
1534956	5228	1997-09-05	PRIJEM	PREVOD Z UCTU	49681	115383	\N	IJ	98379885
1534957	5228	1997-10-05	PRIJEM	PREVOD Z UCTU	49681	125608	\N	IJ	98379885
1534958	5228	1997-11-05	PRIJEM	PREVOD Z UCTU	49681	121918	\N	IJ	98379885
1534959	5228	1997-12-05	PRIJEM	PREVOD Z UCTU	74522	127459	\N	IJ	98379885
1534960	5228	1998-01-05	PRIJEM	PREVOD Z UCTU	49681	83607	\N	IJ	98379885
1534961	5228	1998-02-05	PRIJEM	PREVOD Z UCTU	49681	85332	\N	IJ	98379885
1534962	5228	1998-03-05	PRIJEM	PREVOD Z UCTU	49681	104587	\N	IJ	98379885
1534963	5228	1998-04-05	PRIJEM	PREVOD Z UCTU	49681	110509	\N	IJ	98379885
1534964	5228	1998-05-05	PRIJEM	PREVOD Z UCTU	49681	115257	\N	IJ	98379885
1534965	5228	1998-06-05	PRIJEM	PREVOD Z UCTU	74522	122692	\N	IJ	98379885
1534966	5228	1998-07-05	PRIJEM	PREVOD Z UCTU	49681	125292	\N	IJ	98379885
1534967	5228	1998-08-05	PRIJEM	PREVOD Z UCTU	49681	133273	\N	IJ	98379885
1534968	5228	1998-09-05	PRIJEM	PREVOD Z UCTU	49681	115001	\N	IJ	98379885
1534969	5228	1998-10-05	PRIJEM	PREVOD Z UCTU	49681	94666	\N	IJ	98379885
1534970	5228	1998-11-05	PRIJEM	PREVOD Z UCTU	49681	103739	\N	IJ	98379885
1534971	5228	1998-12-05	PRIJEM	PREVOD Z UCTU	74522	142169	\N	IJ	98379885
1534982	5228	1993-11-24	VYDAJ	VYBER	8700	59760	\N	\N	0
1534983	5228	1993-12-26	VYDAJ	VYBER	6300	62617	\N	\N	0
1534984	5228	1994-01-27	VYDAJ	VYBER	6900	34281	\N	\N	0
1534985	5228	1994-02-02	VYDAJ	VYBER	5600	24366	\N	\N	0
1534986	5228	1994-02-27	VYDAJ	VYBER	4700	44347	\N	\N	0
1534987	5228	1994-04-07	VYDAJ	VYBER	10000	85819	\N	\N	0
1534988	5228	1994-05-17	VYDAJ	VYBER	8900	87673	\N	\N	0
1534989	5228	1994-06-23	VYDAJ	VYBER	5000	50321	\N	\N	0
1534990	5228	1994-07-12	VYDAJ	PREVOD NA UCET	7242	84490	UVER	OP	7177615
1534991	5228	1994-08-12	VYDAJ	PREVOD NA UCET	7242	81583	UVER	OP	7177615
1534992	5228	1994-09-12	VYDAJ	PREVOD NA UCET	7242	69602	UVER	OP	7177615
1534993	5228	1994-10-12	VYDAJ	PREVOD NA UCET	7242	73658	UVER	OP	7177615
1534994	5228	1994-11-12	VYDAJ	PREVOD NA UCET	7242	81670	UVER	OP	7177615
1534995	5228	1994-12-12	VYDAJ	PREVOD NA UCET	7242	39882	UVER	OP	7177615
1534996	5228	1995-01-12	VYDAJ	PREVOD NA UCET	7242	64009	UVER	OP	7177615
1534997	5228	1995-02-12	VYDAJ	PREVOD NA UCET	7242	50696	UVER	OP	7177615
1534998	5228	1995-03-12	VYDAJ	PREVOD NA UCET	7242	67925	UVER	OP	7177615
1534999	5228	1995-04-12	VYDAJ	PREVOD NA UCET	7242	75967	UVER	OP	7177615
1535000	5228	1995-05-12	VYDAJ	PREVOD NA UCET	7242	71764	UVER	OP	7177615
1535001	5228	1995-06-12	VYDAJ	PREVOD NA UCET	7242	72339	UVER	OP	7177615
1535002	5228	1995-07-12	VYDAJ	PREVOD NA UCET	7242	76134	UVER	OP	7177615
1535003	5228	1995-08-12	VYDAJ	PREVOD NA UCET	7242	58966	UVER	OP	7177615
1535004	5228	1995-09-12	VYDAJ	PREVOD NA UCET	7242	55126	UVER	OP	7177615
1535005	5228	1995-10-12	VYDAJ	PREVOD NA UCET	7242	47918	UVER	OP	7177615
1535006	5228	1995-11-12	VYDAJ	PREVOD NA UCET	7242	32024	UVER	OP	7177615
1535007	5228	1995-12-12	VYDAJ	PREVOD NA UCET	7242	60470	UVER	OP	7177615
1535008	5228	1996-01-12	VYDAJ	PREVOD NA UCET	7242	41824	UVER	OP	7177615
1535009	5228	1996-02-12	VYDAJ	PREVOD NA UCET	7242	38436	UVER	OP	7177615
1535010	5228	1996-03-12	VYDAJ	PREVOD NA UCET	7242	49016	UVER	OP	7177615
1535011	5228	1996-04-12	VYDAJ	PREVOD NA UCET	7242	34532	UVER	OP	7177615
1535012	5228	1996-05-12	VYDAJ	PREVOD NA UCET	7242	45316	UVER	OP	7177615
1535013	5228	1996-06-12	VYDAJ	PREVOD NA UCET	7242	20866	UVER	OP	7177615
1535014	5228	1996-07-06	VYDAJ	VYBER	6400	39820	\N	\N	0
1535015	5228	1996-08-12	VYDAJ	VYBER	7600	39701	\N	\N	0
1535016	5228	1996-08-31	VYDAJ	VYBER	6300	33558	\N	\N	0
1535017	5228	1996-10-22	VYDAJ	VYBER	6400	44345	\N	\N	0
1535018	5228	1996-11-19	VYDAJ	VYBER	5900	70511	\N	\N	0
1535019	5228	1996-12-12	VYDAJ	VYBER	8800	91704	\N	\N	0
1535020	5228	1997-01-10	VYDAJ	VYBER	8200	87446	\N	\N	0
1535021	5228	1997-02-15	VYDAJ	VYBER	8900	85658	\N	\N	0
1535022	5228	1997-03-08	VYDAJ	VYBER	6000	90450	\N	\N	0
1535023	5228	1997-04-10	VYDAJ	VYBER	6300	102098	\N	\N	0
1535024	5228	1997-05-12	VYDAJ	VYBER	7000	97197	\N	\N	0
1535025	5228	1997-06-15	VYDAJ	VYBER	4800	48863	\N	\N	0
1535026	5228	1997-06-24	VYDAJ	VYBER	5600	43263	\N	\N	0
1535027	5228	1997-08-06	VYDAJ	VYBER	7600	90550	\N	\N	0
1535028	5228	1997-09-18	VYDAJ	VYBER	7100	108283	\N	\N	0
1535029	5228	1997-10-14	VYDAJ	VYBER	5000	105308	\N	\N	0
1535030	5228	1997-11-07	VYDAJ	VYBER	7300	80018	\N	\N	0
1535031	5228	1997-12-09	VYDAJ	VYBER	8300	59859	\N	\N	0
1535032	5228	1998-01-18	VYDAJ	VYBER	7300	61607	\N	\N	0
1535033	5228	1998-02-07	VYDAJ	VYBER	6600	78732	\N	\N	0
1535034	5228	1998-03-24	VYDAJ	VYBER	8700	81418	\N	\N	0
1535035	5228	1998-04-09	VYDAJ	VYBER	4400	106109	\N	\N	0
1535036	5228	1998-05-04	VYDAJ	VYBER	4600	65576	\N	\N	0
1535037	5228	1998-06-05	VYDAJ	VYBER	6500	116192	\N	\N	0
1535038	5228	1998-07-11	VYDAJ	VYBER	8100	117192	\N	\N	0
1535039	5228	1998-08-19	VYDAJ	VYBER	7100	85973	\N	\N	0
1535040	5228	1998-09-23	VYDAJ	VYBER	5900	85073	\N	\N	0
1535041	5228	1998-10-14	VYDAJ	VYBER	8700	71333	\N	\N	0
1535042	5228	1998-10-27	VYDAJ	VYBER	9400	53933	\N	\N	0
1535043	5228	1998-12-23	VYDAJ	VYBER	7900	37044	\N	\N	0
1535045	5228	1994-01-16	VYBER	VYBER	6723	55481	\N	\N	\N
1535046	5228	1994-10-24	VYBER	VYBER	8164	45894	\N	\N	\N
1535047	5228	1994-11-12	VYBER	VYBER	6778	88912	\N	\N	\N
1535048	5228	1994-12-10	VYBER	VYBER	14690	51624	\N	\N	\N
1535049	5228	1994-06-18	VYBER	VYBER	4794	77921	\N	\N	\N
1535050	5228	1994-01-28	VYBER	VYBER	2321	31960	\N	\N	\N
1535051	5228	1994-09-08	VYBER	VYBER	11895	76844	\N	\N	\N
1535052	5228	1994-08-01	VYBER	VYBER	5057	39144	\N	\N	\N
1535053	5228	1994-07-26	VYBER	VYBER	14971	44019	\N	\N	\N
1535054	5228	1994-04-18	VYBER	VYBER	22783	63036	\N	\N	\N
1535055	5228	1994-03-05	VYBER	VYBER	15849	78319	\N	\N	\N
1535056	5228	1994-07-04	VYBER	VYBER	5810	44751	\N	\N	\N
1535057	5228	1994-10-10	VYBER	VYBER	7214	80900	\N	\N	\N
1535058	5228	1994-03-29	VYBER	VYBER	6176	45943	\N	\N	\N
1535059	5228	1995-06-19	VYBER	VYBER	7129	44310	\N	\N	\N
1535060	5228	1995-06-11	VYBER	VYBER	19736	79581	\N	\N	\N
1535061	5228	1995-11-09	VYBER	VYBER	15511	56781	\N	\N	\N
1535062	5228	1995-06-28	VYBER	VYBER	10778	33532	\N	\N	\N
1535063	5228	1995-11-10	VYBER	VYBER	3315	53466	\N	\N	\N
1535064	5228	1995-09-09	VYBER	VYBER	10866	97968	\N	\N	\N
1535065	5228	1995-03-18	VYBER	VYBER	3719	44406	\N	\N	\N
1535066	5228	1995-10-13	VYBER	VYBER	10962	36956	\N	\N	\N
1535067	5228	1995-09-13	VYBER	VYBER	18745	36381	\N	\N	\N
1535068	5228	1995-01-31	VYBER	VYBER	20647	8357	\N	\N	\N
1535069	5228	1995-04-11	VYBER	VYBER	10996	83209	\N	\N	\N
1535070	5228	1995-03-06	VYBER	VYBER	16730	75167	\N	\N	\N
1535071	5228	1995-05-06	VYBER	VYBER	16142	79006	\N	\N	\N
1535072	5228	1996-04-07	VYBER	VYBER	22210	59074	\N	\N	\N
1535073	5228	1996-09-17	VYBER	VYBER	10421	33718	\N	\N	\N
1535074	5228	1996-12-03	VYBER	VYBER	11981	31082	\N	\N	\N
1535075	5228	1996-03-15	VYBER	VYBER	17466	31550	\N	\N	\N
1535076	5228	1996-07-06	VYBER	VYBER	24360	46220	\N	\N	\N
1535077	5228	1996-11-20	VYBER	VYBER	14697	55814	\N	\N	\N
1535078	5228	1997-07-29	VYBER	VYBER	6482	59076	\N	\N	\N
1535079	5228	1997-05-27	VYBER	VYBER	21844	75353	\N	\N	\N
1535080	5228	1997-03-04	VYBER	VYBER	13841	64269	\N	\N	\N
1535081	5228	1998-10-14	VYBER	VYBER	14633	80033	\N	\N	\N
1535082	5228	1998-09-15	VYBER	VYBER	12628	102373	\N	\N	\N
1535083	5228	1998-09-26	VYBER	VYBER	21473	44800	\N	\N	\N
1535084	5228	1998-03-11	VYBER	VYBER	9601	94986	\N	\N	\N
1535085	5228	1998-05-24	VYBER	VYBER	10953	84204	\N	\N	\N
1535086	5228	1998-12-19	VYBER	VYBER	19425	57544	\N	\N	\N
1535087	5228	1998-03-24	VYBER	VYBER	4868	90118	\N	\N	\N
1535088	5228	1998-11-23	VYBER	VYBER	11123	92616	\N	\N	\N
1535089	5228	1998-07-15	VYBER	VYBER	3293	113899	\N	\N	\N
1535091	5228	1994-06-15	VYDAJ	VYBER	17100	82715	\N	\N	\N
1535093	5228	1996-06-11	VYDAJ	VYBER	13800	28108	\N	\N	\N
1535094	5228	1997-06-05	VYDAJ	VYBER	42000	83563	\N	\N	\N
1535095	5228	1998-06-02	VYDAJ	VYBER	14100	48170	\N	\N	\N
1535097	5228	1994-01-03	VYDAJ	VYBER	20400	27523	\N	\N	\N
1535098	5228	1995-01-23	VYDAJ	VYBER	11100	33009	\N	\N	\N
1535099	5228	1996-01-07	VYDAJ	VYBER	27000	67666	\N	\N	\N
1535100	5228	1997-01-20	VYDAJ	VYBER	15600	69746	\N	\N	\N
1535101	5228	1998-01-02	VYDAJ	VYBER	10800	33926	\N	\N	\N
1535102	5228	1993-12-29	VYDAJ	VYBER	7800	54817	\N	\N	\N
1535103	5228	1994-12-10	VYDAJ	VYBER	4500	47124	\N	\N	\N
1535104	5228	1995-12-26	VYDAJ	VYBER	2700	57770	\N	\N	\N
1535105	5228	1996-12-05	VYDAJ	VYBER	3600	100504	\N	\N	\N
1535106	5228	1997-12-20	VYDAJ	VYBER	5400	54459	\N	\N	\N
1535107	5228	1998-12-26	VYDAJ	VYBER	7800	35944	\N	\N	\N
1535114	5228	1994-01-04	VYDAJ	VYBER	2400	25123	\N	\N	\N
1535115	5228	1994-01-11	VYDAJ	VYBER	1500	62204	\N	\N	\N
1535116	5228	1994-01-28	VYDAJ	VYBER	2100	29860	\N	\N	\N
1535117	5228	1994-01-01	VYDAJ	VYBER	7200	47923	\N	\N	\N
1535118	5228	1994-01-19	VYDAJ	VYBER	6300	41181	\N	\N	\N
1535119	5228	1994-01-08	VYDAJ	VYBER	5400	63704	\N	\N	\N
1535120	5228	1995-01-02	VYDAJ	VYBER	6000	28470	\N	\N	\N
1535121	5228	1995-01-11	VYDAJ	VYBER	6900	71251	\N	\N	\N
1535122	5228	1995-01-25	VYDAJ	VYBER	4200	28809	\N	\N	\N
1535123	5228	1995-01-01	VYDAJ	VYBER	3900	34470	\N	\N	\N
1535124	5228	1995-01-22	VYDAJ	VYBER	2100	44109	\N	\N	\N
1535125	5228	1995-01-14	VYDAJ	VYBER	7500	46209	\N	\N	\N
1535126	5228	1996-01-07	VYDAJ	VYBER	6000	94666	\N	\N	\N
1535127	5228	1996-01-12	VYDAJ	VYBER	4500	37324	\N	\N	\N
1535128	5228	1996-01-15	VYDAJ	VYBER	8100	29224	\N	\N	\N
1535129	5228	1996-01-20	VYDAJ	VYBER	6900	22324	\N	\N	\N
1535130	5228	1996-01-05	VYDAJ	VYBER	6900	100666	\N	\N	\N
1535131	5228	1996-01-28	VYDAJ	VYBER	4200	18124	\N	\N	\N
1535132	5228	1997-01-29	VYDAJ	VYBER	5700	62546	\N	\N	\N
1535133	5228	1997-01-15	VYDAJ	VYBER	2100	85346	\N	\N	\N
1535134	5228	1997-01-04	VYDAJ	VYBER	6900	54365	\N	\N	\N
1535135	5228	1997-01-21	VYDAJ	VYBER	1500	68246	\N	\N	\N
1535136	5228	1997-01-09	VYDAJ	VYBER	6300	95646	\N	\N	\N
1535137	5228	1997-01-04	VYDAJ	VYBER	2100	52265	\N	\N	\N
1535138	5228	1998-01-15	VYDAJ	VYBER	6300	77307	\N	\N	\N
1535139	5228	1998-01-17	VYDAJ	VYBER	8400	68907	\N	\N	\N
1535140	5228	1998-01-19	VYDAJ	VYBER	7800	53807	\N	\N	\N
1535141	5228	1998-01-24	VYDAJ	VYBER	7200	46607	\N	\N	\N
1535142	5228	1998-01-25	VYDAJ	VYBER	2700	43907	\N	\N	\N
1535143	5228	1998-01-26	VYDAJ	VYBER	7200	36707	\N	\N	\N
1535148	5228	1994-09-18	VYDAJ	VYBER	10500	38302	\N	\N	\N
1535149	5228	1994-07-11	VYDAJ	VYBER	2700	91732	\N	\N	\N
1535150	5228	1994-11-20	VYDAJ	VYBER	3900	50870	\N	\N	\N
1535151	5228	1994-01-06	VYDAJ	VYBER	5700	69104	\N	\N	\N
1535152	5228	1995-08-06	VYDAJ	VYBER	5400	94608	\N	\N	\N
1535153	5228	1995-04-12	VYDAJ	VYBER	11100	64867	\N	\N	\N
1535154	5228	1995-07-31	VYDAJ	VYBER	2700	50327	\N	\N	\N
1535155	5228	1995-11-02	VYDAJ	VYBER	14400	22611	\N	\N	\N
1535156	5228	1996-09-08	VYDAJ	VYBER	6300	44139	\N	\N	\N
1535157	5228	1996-05-16	VYDAJ	VYBER	4500	40816	\N	\N	\N
1535158	5228	1996-11-04	VYDAJ	VYBER	12600	26730	\N	\N	\N
1535159	5228	1996-11-23	VYDAJ	VYBER	12900	42914	\N	\N	\N
1535160	5228	1996-09-22	VYDAJ	VYBER	8700	25018	\N	\N	\N
1535161	5228	1997-07-24	VYDAJ	VYBER	12600	65558	\N	\N	\N
1535162	5228	1997-12-03	VYDAJ	VYBER	10800	52937	\N	\N	\N
1535163	5228	1997-03-03	VYDAJ	VYBER	7800	78110	\N	\N	\N
1535164	5228	1997-05-04	VYDAJ	VYBER	7200	54516	\N	\N	\N
1535165	5228	1997-11-05	VYDAJ	VYBER	1800	87318	\N	\N	\N
1535166	5228	1997-07-15	VYDAJ	VYBER	6600	78158	\N	\N	\N
1535167	5228	1998-05-09	VYDAJ	VYBER	6000	109257	\N	\N	\N
1535168	5228	1998-12-05	VYDAJ	VYBER	7200	134969	\N	\N	\N
1535169	5228	1998-12-21	VYDAJ	VYBER	12600	44944	\N	\N	\N
1535170	5228	1998-08-08	VYDAJ	VYBER	9300	93073	\N	\N	\N
1535171	5228	1998-09-18	VYDAJ	VYBER	11400	90973	\N	\N	\N
1535172	5228	1998-05-12	VYDAJ	VYBER	14100	95157	\N	\N	\N
1535173	5228	1998-06-25	VYDAJ	VYBER	9300	106892	\N	\N	\N
1535174	5228	1998-08-07	VYDAJ	VYBER	3900	102373	\N	\N	\N
1535186	5228	1993-11-30	VYDAJ	VYBER	100	59895	SLUZBY	\N	\N
1535187	5228	1993-12-31	VYDAJ	VYBER	100	55123	SLUZBY	\N	\N
1535188	5228	1994-01-31	VYDAJ	VYBER	100	29966	SLUZBY	\N	\N
1535189	5228	1994-02-28	VYDAJ	VYBER	100	44487	SLUZBY	\N	\N
1535190	5228	1994-03-31	VYDAJ	VYBER	100	46138	SLUZBY	\N	\N
1535191	5228	1994-04-30	VYDAJ	VYBER	100	46892	SLUZBY	\N	\N
1535192	5228	1994-05-31	VYDAJ	VYBER	100	55393	SLUZBY	\N	\N
1535193	5228	1994-06-30	VYDAJ	VYBER	100	50561	SLUZBY	\N	\N
1535194	5228	1994-07-31	VYDAJ	VYBER	100	44201	SLUZBY	\N	\N
1535195	5228	1994-08-31	VYDAJ	VYBER	100	56258	SLUZBY	\N	\N
1535196	5228	1994-09-30	VYDAJ	VYBER	100	38433	SLUZBY	\N	\N
1535197	5228	1994-10-31	VYDAJ	VYBER	100	46009	SLUZBY	\N	\N
1535198	5228	1994-11-30	VYDAJ	VYBER	100	50992	SLUZBY	\N	\N
1535199	5228	1994-12-31	VYDAJ	VYBER	100	38370	SLUZBY	\N	\N
1535200	5228	1995-01-31	VYDAJ	VYBER	100	8257	SLUZBY	\N	\N
1535201	5228	1995-02-28	VYDAJ	VYBER	100	42216	SLUZBY	\N	\N
1535202	5228	1995-03-31	VYDAJ	VYBER	100	44524	SLUZBY	\N	\N
1535203	5228	1995-04-30	VYDAJ	VYBER	100	45467	SLUZBY	\N	\N
1535204	5228	1995-05-31	VYDAJ	VYBER	100	49495	SLUZBY	\N	\N
1535205	5228	1995-06-30	VYDAJ	VYBER	100	33695	SLUZBY	\N	\N
1535206	5228	1995-07-31	VYDAJ	VYBER	100	53027	SLUZBY	\N	\N
1535207	5228	1995-08-31	VYDAJ	VYBER	100	59153	SLUZBY	\N	\N
1535208	5228	1995-09-30	VYDAJ	VYBER	100	36479	SLUZBY	\N	\N
1535209	5228	1995-10-31	VYDAJ	VYBER	100	37011	SLUZBY	\N	\N
1535210	5228	1995-11-30	VYDAJ	VYBER	100	32090	SLUZBY	\N	\N
1535211	5228	1995-12-31	VYDAJ	VYBER	100	57885	SLUZBY	\N	\N
1535212	5228	1996-01-31	VYDAJ	VYBER	100	18197	SLUZBY	\N	\N
1535213	5228	1996-02-29	VYDAJ	VYBER	100	38477	SLUZBY	\N	\N
1535214	5228	1996-03-31	VYDAJ	VYBER	100	31603	SLUZBY	\N	\N
1535215	5228	1996-04-30	VYDAJ	VYBER	100	34577	SLUZBY	\N	\N
1535216	5228	1996-05-31	VYDAJ	VYBER	100	40886	SLUZBY	\N	\N
1535217	5228	1996-06-30	VYDAJ	VYBER	100	20899	SLUZBY	\N	\N
1535218	5228	1996-07-31	VYDAJ	VYBER	100	24920	SLUZBY	\N	\N
1535219	5228	1996-08-31	VYDAJ	VYBER	100	33458	SLUZBY	\N	\N
1535220	5228	1996-09-30	VYDAJ	VYBER	100	25064	SLUZBY	\N	\N
1535221	5228	1996-10-31	VYDAJ	VYBER	100	44430	SLUZBY	\N	\N
1535222	5228	1996-11-30	VYDAJ	VYBER	100	43063	SLUZBY	\N	\N
1535223	5228	1996-12-31	VYDAJ	VYBER	100	91965	SLUZBY	\N	\N
1535224	5228	1997-01-31	VYDAJ	VYBER	100	62777	SLUZBY	\N	\N
1535225	5228	1997-02-28	VYDAJ	VYBER	100	85910	SLUZBY	\N	\N
1535226	5228	1997-03-31	VYDAJ	VYBER	100	90717	SLUZBY	\N	\N
1535227	5228	1997-04-30	VYDAJ	VYBER	100	102416	SLUZBY	\N	\N
1535228	5228	1997-05-31	VYDAJ	VYBER	100	75641	SLUZBY	\N	\N
1535229	5228	1997-06-30	VYDAJ	VYBER	100	43477	SLUZBY	\N	\N
1535230	5228	1997-07-31	VYDAJ	VYBER	100	59269	SLUZBY	\N	\N
1535231	5228	1997-08-31	VYDAJ	VYBER	100	90802	SLUZBY	\N	\N
1535232	5228	1997-09-30	VYDAJ	VYBER	100	108527	SLUZBY	\N	\N
1535233	5228	1997-10-31	VYDAJ	VYBER	100	72237	SLUZBY	\N	\N
1535234	5228	1997-11-30	VYDAJ	VYBER	100	63737	SLUZBY	\N	\N
1535235	5228	1997-12-31	VYDAJ	VYBER	100	44726	SLUZBY	\N	\N
1535236	5228	1998-01-31	VYDAJ	VYBER	100	35651	SLUZBY	\N	\N
1535237	5228	1998-02-28	VYDAJ	VYBER	100	54906	SLUZBY	\N	\N
1535238	5228	1998-03-31	VYDAJ	VYBER	100	60828	SLUZBY	\N	\N
1535239	5228	1998-04-30	VYDAJ	VYBER	100	70176	SLUZBY	\N	\N
1535240	5228	1998-05-31	VYDAJ	VYBER	100	62270	SLUZBY	\N	\N
1535241	5228	1998-06-30	VYDAJ	VYBER	100	75611	SLUZBY	\N	\N
1535242	5228	1998-07-31	VYDAJ	VYBER	100	83592	SLUZBY	\N	\N
1535243	5228	1998-08-31	VYDAJ	VYBER	100	65320	SLUZBY	\N	\N
1535244	5228	1998-09-30	VYDAJ	VYBER	100	44985	SLUZBY	\N	\N
1535245	5228	1998-10-31	VYDAJ	VYBER	100	54058	SLUZBY	\N	\N
1535246	5228	1998-11-30	VYDAJ	VYBER	100	67647	SLUZBY	\N	\N
1535247	5228	1993-07-23	VYDAJ	VYBER	14900	35781	\N	\N	\N
1535248	5228	1993-08-22	VYDAJ	VYBER	30900	54605	\N	\N	\N
1535249	5228	1993-09-05	VYDAJ	VYBER	18100	86361	\N	\N	\N
1535250	5228	1993-09-21	VYDAJ	VYBER	29800	56561	\N	\N	\N
1535251	5228	1993-10-05	VYDAJ	VYBER	24100	82443	\N	\N	\N
1535252	5228	1993-10-21	VYDAJ	VYBER	30200	52243	\N	\N	\N
1535253	5228	1993-11-20	VYDAJ	VYBER	33800	68460	\N	\N	\N
1535254	5228	1993-12-05	VYDAJ	VYBER	27300	107117	\N	\N	\N
1535255	5228	1993-12-20	VYDAJ	VYBER	38200	68917	\N	\N	\N
1535256	5228	1994-01-19	VYDAJ	VYBER	8000	47481	\N	\N	\N
1535257	5228	1994-02-18	VYDAJ	VYBER	25000	49047	\N	\N	\N
1535258	5228	1994-03-20	VYDAJ	VYBER	26200	52119	\N	\N	\N
1535259	5228	1994-04-19	VYDAJ	VYBER	16300	46736	\N	\N	\N
1535260	5228	1994-05-19	VYDAJ	VYBER	32400	55273	\N	\N	\N
1535261	5228	1994-06-05	VYDAJ	VYBER	30100	99815	\N	\N	\N
1535262	5228	1994-06-18	VYDAJ	VYBER	22600	55321	\N	\N	\N
1535263	5228	1994-07-18	VYDAJ	VYBER	25500	58990	\N	\N	\N
1535264	5228	1994-08-17	VYDAJ	VYBER	25500	56083	\N	\N	\N
1535265	5228	1994-09-05	VYDAJ	VYBER	17200	88739	\N	\N	\N
1535266	5228	1994-09-16	VYDAJ	VYBER	20800	48802	\N	\N	\N
1535267	5228	1994-10-16	VYDAJ	VYBER	19600	54058	\N	\N	\N
1535268	5228	1994-11-15	VYDAJ	VYBER	26900	54770	\N	\N	\N
1535269	5228	1994-12-05	VYDAJ	VYBER	59200	66314	\N	\N	\N
1535270	5228	1994-12-15	VYDAJ	VYBER	1600	38282	\N	\N	\N
1535271	5228	1995-01-14	VYDAJ	VYBER	10300	53709	\N	\N	\N
1535272	5228	1995-02-13	VYDAJ	VYBER	8500	42196	\N	\N	\N
1535273	5228	1995-03-15	VYDAJ	VYBER	19800	48125	\N	\N	\N
1535274	5228	1995-04-14	VYDAJ	VYBER	19500	45367	\N	\N	\N
1535275	5228	1995-05-14	VYDAJ	VYBER	22400	49364	\N	\N	\N
1535276	5228	1995-06-05	VYDAJ	VYBER	24700	99317	\N	\N	\N
1535277	5228	1995-06-13	VYDAJ	VYBER	20900	51439	\N	\N	\N
1535278	5228	1995-07-13	VYDAJ	VYBER	23200	52934	\N	\N	\N
1535279	5228	1995-08-12	VYDAJ	VYBER	28400	66208	\N	\N	\N
1535280	5228	1995-09-11	VYDAJ	VYBER	35600	62368	\N	\N	\N
1535281	5228	1995-10-11	VYDAJ	VYBER	31000	55160	\N	\N	\N
1535282	5228	1995-11-10	VYDAJ	VYBER	14200	39266	\N	\N	\N
1535283	5228	1995-12-10	VYDAJ	VYBER	38900	67712	\N	\N	\N
1535284	5228	1996-01-09	VYDAJ	VYBER	18600	49066	\N	\N	\N
1535285	5228	1996-02-08	VYDAJ	VYBER	22200	45678	\N	\N	\N
1535286	5228	1996-03-09	VYDAJ	VYBER	31900	56258	\N	\N	\N
1535287	5228	1996-04-08	VYDAJ	VYBER	17300	41774	\N	\N	\N
1535288	5228	1996-05-08	VYDAJ	VYBER	31700	52558	\N	\N	\N
1535289	5228	1996-06-05	VYDAJ	VYBER	46600	68808	\N	\N	\N
1535290	5228	1996-06-07	VYDAJ	VYBER	26900	41908	\N	\N	\N
1535291	5228	1996-07-07	VYDAJ	VYBER	14900	24920	\N	\N	\N
1535292	5228	1996-08-06	VYDAJ	VYBER	27300	47301	\N	\N	\N
1535293	5228	1996-09-05	VYDAJ	VYBER	32700	50439	\N	\N	\N
1535294	5228	1996-10-05	VYDAJ	VYBER	24000	50745	\N	\N	\N
1535295	5228	1996-11-04	VYDAJ	VYBER	5100	39330	\N	\N	\N
1535296	5228	1996-12-04	VYDAJ	VYBER	1500	29582	\N	\N	\N
1535297	5228	1997-01-03	VYDAJ	VYBER	30700	61265	\N	\N	\N
1535298	5228	1997-02-02	VYDAJ	VYBER	17900	44877	\N	\N	\N
1535299	5228	1997-03-04	VYDAJ	VYBER	17500	46769	\N	\N	\N
1535300	5228	1997-04-03	VYDAJ	VYBER	32000	58717	\N	\N	\N
1535301	5228	1997-05-03	VYDAJ	VYBER	40700	61716	\N	\N	\N
1535302	5228	1997-06-02	VYDAJ	VYBER	24600	51041	\N	\N	\N
1535303	5228	1997-06-05	VYDAJ	VYBER	29900	53663	\N	\N	\N
1535304	5228	1997-07-02	VYDAJ	VYBER	8400	35077	\N	\N	\N
1535305	5228	1997-08-01	VYDAJ	VYBER	10800	48469	\N	\N	\N
1535306	5228	1997-08-31	VYDAJ	VYBER	25100	65702	\N	\N	\N
1535307	5228	1997-09-30	VYDAJ	VYBER	32600	75927	\N	\N	\N
1535308	5228	1997-10-12	VYDAJ	VYBER	15300	110308	\N	\N	\N
1535309	5228	1997-10-30	VYDAJ	VYBER	33400	71908	\N	\N	\N
1535310	5228	1997-11-05	VYDAJ	VYBER	32800	89118	\N	\N	\N
1535311	5228	1997-11-29	VYDAJ	VYBER	16500	63518	\N	\N	\N
1535312	5228	1997-12-05	VYDAJ	VYBER	59300	68159	\N	\N	\N
1535313	5228	1997-12-29	VYDAJ	VYBER	9900	44559	\N	\N	\N
1535314	5228	1998-01-28	VYDAJ	VYBER	1200	35507	\N	\N	\N
1535315	5228	1998-02-27	VYDAJ	VYBER	24000	54732	\N	\N	\N
1535316	5228	1998-03-29	VYDAJ	VYBER	20800	60618	\N	\N	\N
1535317	5228	1998-04-28	VYDAJ	VYBER	36200	69909	\N	\N	\N
1535318	5228	1998-05-28	VYDAJ	VYBER	22200	62004	\N	\N	\N
1535319	5228	1998-06-27	VYDAJ	VYBER	31600	75292	\N	\N	\N
1535320	5228	1998-07-27	VYDAJ	VYBER	30600	83299	\N	\N	\N
1535321	5228	1998-08-05	VYDAJ	VYBER	27000	106273	\N	\N	\N
1535322	5228	1998-08-26	VYDAJ	VYBER	20900	65073	\N	\N	\N
1535323	5228	1998-09-25	VYDAJ	VYBER	18800	66273	\N	\N	\N
1535324	5228	1998-10-25	VYDAJ	VYBER	8000	63333	\N	\N	\N
1535325	5228	1998-11-24	VYDAJ	VYBER	25100	67516	\N	\N	\N
1535326	5228	1998-12-05	VYDAJ	VYBER	58000	76969	\N	\N	\N
1535327	5228	1998-12-24	PRIJEM	VKLAD	6700	43744	\N	\N	\N
1542679	5250	1996-07-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1542680	5250	1996-08-31	PRIJEM	VKLAD	29765	42765	\N	\N	\N
1542681	5250	1996-09-06	PRIJEM	VKLAD	27110	69881	\N	\N	\N
1542683	5250	1996-09-25	PRIJEM	VKLAD	33517	77898	\N	\N	\N
1542685	5250	1997-09-17	PRIJEM	VKLAD	29045	60475	\N	\N	\N
1542686	5250	1997-10-09	PRIJEM	VKLAD	12508	97807	\N	\N	\N
1542687	5250	1997-05-31	PRIJEM	VKLAD	15871	72389	\N	\N	\N
1542688	5250	1997-08-10	PRIJEM	VKLAD	43380	109305	\N	\N	\N
1542689	5250	1997-10-09	PRIJEM	VKLAD	18646	85299	\N	\N	\N
1542690	5250	1997-05-21	PRIJEM	VKLAD	22669	52670	\N	\N	\N
1542691	5250	1997-09-08	PRIJEM	VKLAD	6115	56330	\N	\N	\N
1542692	5250	1997-10-18	PRIJEM	VKLAD	34720	89527	\N	\N	\N
1542693	5250	1997-12-26	PRIJEM	VKLAD	23007	59218	\N	\N	\N
1542694	5250	1997-12-09	PRIJEM	VKLAD	37709	87211	\N	\N	\N
1542695	5250	1997-03-16	PRIJEM	VKLAD	13547	48961	\N	\N	\N
1542696	5250	1997-03-22	PRIJEM	VKLAD	30289	62250	\N	\N	\N
1542697	5250	1997-08-02	PRIJEM	VKLAD	16224	54886	\N	\N	\N
1542698	5250	1997-06-24	PRIJEM	VKLAD	49476	67738	\N	\N	\N
1542699	5250	1997-05-12	PRIJEM	VKLAD	9802	61401	\N	\N	\N
1542700	5250	1997-05-25	PRIJEM	VKLAD	44789	78116	\N	\N	\N
1542701	5250	1997-04-01	PRIJEM	VKLAD	40593	127656	\N	\N	\N
1542702	5250	1997-02-14	PRIJEM	VKLAD	33645	86978	\N	\N	\N
1542703	5250	1997-03-31	PRIJEM	VKLAD	45965	115693	\N	\N	\N
1542704	5250	1997-03-05	PRIJEM	VKLAD	42996	63958	\N	\N	\N
1542705	5250	1997-08-11	PRIJEM	VKLAD	49115	138320	\N	\N	\N
1542706	5250	1997-07-28	PRIJEM	VKLAD	17222	38496	\N	\N	\N
1542707	5250	1997-02-26	PRIJEM	VKLAD	5076	25884	\N	\N	\N
1542708	5250	1997-03-26	PRIJEM	VKLAD	7268	69518	\N	\N	\N
1542709	5250	1997-10-02	PRIJEM	VKLAD	17993	66653	\N	\N	\N
1542710	5250	1997-08-08	PRIJEM	VKLAD	11039	65925	\N	\N	\N
1542711	5250	1997-02-05	PRIJEM	VKLAD	29628	53333	\N	\N	\N
1542712	5250	1997-07-27	PRIJEM	VKLAD	5037	21274	\N	\N	\N
1542713	5250	1998-08-09	PRIJEM	VKLAD	37416	70236	\N	\N	\N
1542714	5250	1998-12-23	PRIJEM	VKLAD	30870	21311	\N	\N	\N
1542715	5250	1998-08-01	PRIJEM	VKLAD	17049	32820	\N	\N	\N
1542716	5250	1998-09-22	PRIJEM	VKLAD	6056	12624	\N	\N	\N
1542717	5250	1998-09-15	PRIJEM	VKLAD	5126	6568	\N	\N	\N
1542718	5250	1998-06-30	PRIJEM	VKLAD	46339	39757	\N	\N	\N
1542719	5250	1997-07-23	VYBER	VYBER	16895	16237	\N	\N	\N
1542720	5250	1997-03-01	VYBER	VYBER	5109	20962	\N	\N	\N
1542721	5250	1997-03-08	VYBER	VYBER	19162	44796	\N	\N	\N
1542723	5250	1997-05-26	VYBER	VYBER	21598	56518	\N	\N	\N
1542724	5250	1997-05-22	VYBER	VYBER	19343	33327	\N	\N	\N
1542725	5250	1997-03-15	VYBER	VYBER	9382	35414	\N	\N	\N
1542726	5250	1997-02-17	VYBER	VYBER	24270	20808	\N	\N	\N
1542727	5250	1997-07-05	VYBER	VYBER	6614	61332	\N	\N	\N
1542728	5250	1998-08-15	VYBER	VYBER	18364	12372	\N	\N	\N
1542729	5250	1998-01-02	VYBER	VYBER	24870	34516	\N	\N	\N
1542735	5250	1997-06-12	VYDAJ	VYBER	21300	51262	\N	\N	\N
1542739	5250	1998-01-04	VYDAJ	VYBER	21900	12616	\N	\N	\N
1542741	5250	1997-12-20	VYDAJ	VYBER	4800	36211	\N	\N	\N
1542755	5250	1998-01-29	VYDAJ	VYBER	2400	1316	\N	\N	\N
1542757	5250	1998-01-06	VYDAJ	VYBER	2700	2116	\N	\N	\N
1542759	5250	1998-01-05	VYDAJ	VYBER	7800	4816	\N	\N	\N
1542768	5250	1997-12-15	VYDAJ	VYBER	9600	41011	\N	\N	\N
1542769	5250	1997-10-19	VYDAJ	VYBER	6300	83227	\N	\N	\N
1542770	5250	1997-02-14	VYDAJ	VYBER	3600	83378	\N	\N	\N
1542771	5250	1997-09-29	VYDAJ	VYBER	12000	48475	\N	\N	\N
1542772	5250	1997-06-22	VYDAJ	VYBER	9300	18262	\N	\N	\N
1542790	5250	1997-02-28	VYDAJ	VYBER	30	26071	SLUZBY	\N	\N
1542791	5250	1997-03-31	VYDAJ	VYBER	30	87063	SLUZBY	\N	\N
1542792	5250	1997-04-30	VYDAJ	VYBER	30	51599	SLUZBY	\N	\N
1542793	5250	1997-05-31	VYDAJ	VYBER	30	72562	SLUZBY	\N	\N
1542794	5250	1997-06-30	VYDAJ	VYBER	30	67946	SLUZBY	\N	\N
1542795	5250	1997-07-31	VYDAJ	VYBER	30	38662	SLUZBY	\N	\N
1542796	5250	1997-08-31	VYDAJ	VYBER	30	50215	SLUZBY	\N	\N
1542797	5250	1997-09-30	VYDAJ	VYBER	30	48660	SLUZBY	\N	\N
1542798	5250	1997-10-31	VYDAJ	VYBER	30	83489	SLUZBY	\N	\N
1542799	5250	1997-11-30	VYDAJ	VYBER	30	49502	SLUZBY	\N	\N
1542800	5250	1997-12-31	VYDAJ	VYBER	30	59386	SLUZBY	\N	\N
1542801	5250	1998-01-31	VYDAJ	VYBER	30	1322	SLUZBY	\N	\N
1542802	5250	1998-02-28	VYDAJ	VYBER	30	1797	SLUZBY	\N	\N
1542806	5250	1998-06-30	VYDAJ	VYBER	30	39739	SLUZBY	\N	\N
1542807	5250	1998-07-31	VYDAJ	VYBER	30	15771	SLUZBY	\N	\N
1542808	5250	1998-08-31	VYDAJ	VYBER	30	12442	SLUZBY	\N	\N
1542809	5250	1998-09-30	VYDAJ	VYBER	30	12639	SLUZBY	\N	\N
1542812	5250	1996-08-19	PRIJEM	VKLAD	11900	13000	\N	\N	\N
1542813	5250	1996-09-18	VYDAJ	VYBER	25500	44381	\N	\N	\N
1542814	5250	1996-10-18	VYDAJ	VYBER	30800	47307	\N	\N	\N
1542815	5250	1996-11-17	VYDAJ	VYBER	15500	32131	\N	\N	\N
1542816	5250	1996-12-17	VYDAJ	VYBER	6300	26156	\N	\N	\N
1542817	5250	1997-01-16	VYDAJ	VYBER	3100	23381	\N	\N	\N
1542818	5250	1997-02-15	VYDAJ	VYBER	38300	45078	\N	\N	\N
1542819	5250	1997-03-17	VYDAJ	VYBER	17000	31961	\N	\N	\N
1542820	5250	1997-03-31	VYDAJ	VYBER	28600	87093	\N	\N	\N
1542821	5250	1997-04-01	VYDAJ	VYBER	35300	92356	\N	\N	\N
1542822	5250	1997-04-16	VYDAJ	VYBER	41100	51256	\N	\N	\N
1542823	5250	1997-05-16	VYDAJ	VYBER	31400	30001	\N	\N	\N
1542824	5250	1997-06-15	VYDAJ	VYBER	23700	27562	\N	\N	\N
1542825	5250	1997-07-15	VYDAJ	VYBER	28200	33132	\N	\N	\N
1542826	5250	1997-08-10	VYDAJ	VYBER	20100	89205	\N	\N	\N
1542827	5250	1997-08-11	VYDAJ	VYBER	44500	93820	\N	\N	\N
1542828	5250	1997-08-14	VYDAJ	VYBER	43800	50020	\N	\N	\N
1542829	5250	1997-09-13	VYDAJ	VYBER	24900	31430	\N	\N	\N
1542830	5250	1997-10-13	VYDAJ	VYBER	43000	54807	\N	\N	\N
1542831	5250	1997-11-12	VYDAJ	VYBER	34300	49189	\N	\N	\N
1542832	5250	1997-12-12	VYDAJ	VYBER	36600	50611	\N	\N	\N
1542833	5250	1998-01-11	PRIJEM	VKLAD	1600	3716	\N	\N	\N
1542834	5250	1998-02-10	PRIJEM	VKLAD	500	1822	\N	\N	\N
1542835	5250	1998-03-12	VYDAJ	VYBER	3000	-1203	\N	\N	\N
1542836	5250	1998-04-11	VYDAJ	VYBER	3000	-4196	\N	\N	\N
1542837	5250	1998-05-11	VYDAJ	VYBER	2600	-6789	\N	\N	\N
1542838	5250	1998-06-10	PRIJEM	VKLAD	200	-6582	\N	\N	\N
1542839	5250	1998-07-10	VYDAJ	VYBER	24100	15639	\N	\N	\N
1542840	5250	1998-08-09	VYDAJ	VYBER	39500	30736	\N	\N	\N
1542841	5250	1998-09-08	VYDAJ	VYBER	11000	1442	\N	\N	\N
1542842	5250	1998-10-08	VYDAJ	VYBER	13200	-561	\N	\N	\N
1542843	5250	1998-11-07	VYDAJ	VYBER	4500	-5010	\N	\N	\N
1542844	5250	1998-12-07	VYDAJ	VYBER	4600	-9559	\N	\N	\N
1544609	5256	1993-10-25	PRIJEM	VKLAD	800	800	\N	\N	\N
1544616	5256	1994-04-07	PRIJEM	VKLAD	30006	120567	\N	\N	\N
1544617	5256	1994-07-08	PRIJEM	VKLAD	26391	58699	\N	\N	\N
1544618	5256	1994-05-04	PRIJEM	VKLAD	19181	80780	\N	\N	\N
1544619	5256	1994-04-24	PRIJEM	VKLAD	24704	82206	\N	\N	\N
1544620	5256	1994-07-26	PRIJEM	VKLAD	10608	73824	\N	\N	\N
1544621	5256	1994-11-17	PRIJEM	VKLAD	7070	40655	\N	\N	\N
1544622	5256	1994-06-13	PRIJEM	VKLAD	27625	102972	\N	\N	\N
1544623	5256	1994-11-24	PRIJEM	VKLAD	31656	67611	\N	\N	\N
1544624	5256	1994-04-12	PRIJEM	VKLAD	36835	117102	\N	\N	\N
1544625	5256	1994-02-07	PRIJEM	VKLAD	6023	49411	\N	\N	\N
1544626	5256	1994-09-14	PRIJEM	VKLAD	44437	115884	\N	\N	\N
1544627	5256	1994-06-14	PRIJEM	VKLAD	14090	117062	\N	\N	\N
1544628	5256	1994-07-24	PRIJEM	VKLAD	23805	63216	\N	\N	\N
1544629	5256	1994-08-11	PRIJEM	VKLAD	24327	133081	\N	\N	\N
1544630	5256	1994-12-15	PRIJEM	VKLAD	34310	96814	\N	\N	\N
1544631	5256	1994-08-25	PRIJEM	VKLAD	14215	54507	\N	\N	\N
1544632	5256	1994-08-03	PRIJEM	VKLAD	36404	108754	\N	\N	\N
1544633	5256	1994-12-23	PRIJEM	VKLAD	15948	78162	\N	\N	\N
1544634	5256	1994-05-01	PRIJEM	VKLAD	32947	115799	\N	\N	\N
1544635	5256	1994-07-29	PRIJEM	VKLAD	38382	112206	\N	\N	\N
1544636	5256	1994-01-20	PRIJEM	VKLAD	41783	60883	\N	\N	\N
1544637	5256	1994-05-31	PRIJEM	VKLAD	45245	89937	\N	\N	\N
1544638	5256	1994-09-15	PRIJEM	VKLAD	34571	104455	\N	\N	\N
1544639	5256	1994-03-11	PRIJEM	VKLAD	34582	74145	\N	\N	\N
1544640	5256	1994-08-27	PRIJEM	VKLAD	21859	76366	\N	\N	\N
1544641	5256	1994-04-07	PRIJEM	VKLAD	39465	90561	\N	\N	\N
1544642	5256	1995-12-30	PRIJEM	VKLAD	15763	61123	\N	\N	\N
1544643	5256	1995-10-17	PRIJEM	VKLAD	43682	73502	\N	\N	\N
1544644	5256	1995-09-10	PRIJEM	VKLAD	32827	59129	\N	\N	\N
1544645	5256	1995-10-21	PRIJEM	VKLAD	28529	102031	\N	\N	\N
1544646	5256	1995-07-08	PRIJEM	VKLAD	42897	68230	\N	\N	\N
1544647	5256	1995-11-01	PRIJEM	VKLAD	42187	144631	\N	\N	\N
1544648	5256	1996-04-26	PRIJEM	VKLAD	26126	55114	\N	\N	\N
1544649	5256	1996-09-12	PRIJEM	VKLAD	29805	60639	\N	\N	\N
1544650	5256	1996-09-23	PRIJEM	VKLAD	12389	51084	\N	\N	\N
1544651	5256	1996-02-03	PRIJEM	VKLAD	8414	36498	\N	\N	\N
1544652	5256	1996-06-04	PRIJEM	VKLAD	20017	57689	\N	\N	\N
1544653	5256	1997-08-06	PRIJEM	VKLAD	39043	80070	\N	\N	\N
1544654	5256	1997-06-05	PRIJEM	VKLAD	9702	83335	\N	\N	\N
1544655	5256	1997-06-25	PRIJEM	VKLAD	10504	54295	\N	\N	\N
1544656	5256	1997-10-21	PRIJEM	VKLAD	39042	87458	\N	\N	\N
1544657	5256	1997-09-05	PRIJEM	VKLAD	15307	53677	\N	\N	\N
1544658	5256	1997-08-18	PRIJEM	VKLAD	43971	117641	\N	\N	\N
1544659	5256	1997-07-26	PRIJEM	VKLAD	29977	61450	\N	\N	\N
1544660	5256	1997-12-01	PRIJEM	VKLAD	43837	79254	\N	\N	\N
1544661	5256	1997-12-20	PRIJEM	VKLAD	9287	90022	\N	\N	\N
1544662	5256	1997-09-30	PRIJEM	VKLAD	42215	151362	\N	\N	\N
1544663	5256	1997-03-09	PRIJEM	VKLAD	36020	61781	\N	\N	\N
1544664	5256	1997-05-21	PRIJEM	VKLAD	24792	59258	\N	\N	\N
1544665	5256	1997-03-27	PRIJEM	VKLAD	31991	88383	\N	\N	\N
1544666	5256	1997-09-05	PRIJEM	VKLAD	13511	67188	\N	\N	\N
1544667	5256	1997-05-24	PRIJEM	VKLAD	20306	79564	\N	\N	\N
1544668	5256	1997-09-14	PRIJEM	VKLAD	41959	109147	\N	\N	\N
1544669	5256	1997-12-11	PRIJEM	VKLAD	38881	80735	\N	\N	\N
1544670	5256	1997-08-24	PRIJEM	VKLAD	7011	71252	\N	\N	\N
1544671	5256	1998-06-25	PRIJEM	VKLAD	14228	31659	\N	\N	\N
1544672	5256	1998-10-30	PRIJEM	VKLAD	47794	68132	\N	\N	\N
1544673	5256	1998-11-16	PRIJEM	VKLAD	39905	121207	\N	\N	\N
1544674	5256	1998-01-11	PRIJEM	VKLAD	36586	73945	\N	\N	\N
1544675	5256	1998-07-16	PRIJEM	VKLAD	8403	27975	\N	\N	\N
1544676	5256	1998-11-15	PRIJEM	VKLAD	17383	85502	\N	\N	\N
1544677	5256	1998-01-22	PRIJEM	VKLAD	9353	73198	\N	\N	\N
1544678	5256	1998-10-10	PRIJEM	VKLAD	14971	20238	\N	\N	\N
1544679	5256	1998-04-01	PRIJEM	VKLAD	23972	66699	\N	\N	\N
1544680	5256	1998-03-11	PRIJEM	VKLAD	23422	48471	\N	\N	\N
1544696	5256	1994-04-10	VYDAJ	VYBER	5000	80267	\N	\N	0
1544697	5256	1994-05-12	VYDAJ	PREVOD NA UCET	5389	75392	UVER	KL	11066365
1544698	5256	1994-06-12	VYDAJ	PREVOD NA UCET	5389	75347	UVER	KL	11066365
1544699	5256	1994-07-12	VYDAJ	PREVOD NA UCET	5389	53311	UVER	KL	11066365
1544700	5256	1994-08-12	VYDAJ	PREVOD NA UCET	5389	77492	UVER	KL	11066365
1544701	5256	1994-09-12	VYDAJ	PREVOD NA UCET	5389	71447	UVER	KL	11066365
1544702	5256	1994-10-12	VYDAJ	PREVOD NA UCET	5389	61603	UVER	KL	11066365
1544703	5256	1994-11-12	VYDAJ	PREVOD NA UCET	5389	40485	UVER	KL	11066365
1544704	5256	1994-12-12	VYDAJ	PREVOD NA UCET	5389	62504	UVER	KL	11066365
1544705	5256	1995-01-12	VYDAJ	PREVOD NA UCET	5389	58267	UVER	KL	11066365
1544706	5256	1995-02-12	VYDAJ	PREVOD NA UCET	5389	28797	UVER	KL	11066365
1544707	5256	1995-03-12	VYDAJ	PREVOD NA UCET	5389	21761	UVER	KL	11066365
1544708	5256	1995-04-12	VYDAJ	PREVOD NA UCET	5389	23482	UVER	KL	11066365
1544709	5256	1995-05-12	VYDAJ	PREVOD NA UCET	5389	25011	UVER	KL	11066365
1544710	5256	1995-06-12	VYDAJ	PREVOD NA UCET	5389	23039	UVER	KL	11066365
1544711	5256	1995-07-12	VYDAJ	PREVOD NA UCET	5389	62842	UVER	KL	11066365
1544712	5256	1995-08-12	VYDAJ	PREVOD NA UCET	5389	27461	UVER	KL	11066365
1544713	5256	1995-09-12	VYDAJ	PREVOD NA UCET	5389	53740	UVER	KL	11066365
1544714	5256	1995-10-12	VYDAJ	PREVOD NA UCET	5389	34620	UVER	KL	11066365
1544715	5256	1995-11-12	VYDAJ	PREVOD NA UCET	5389	109242	UVER	KL	11066365
1544716	5256	1995-12-12	VYDAJ	PREVOD NA UCET	5389	67460	UVER	KL	11066365
1544717	5256	1996-01-12	VYDAJ	PREVOD NA UCET	5389	37508	UVER	KL	11066365
1544718	5256	1996-02-12	VYDAJ	PREVOD NA UCET	5389	33210	UVER	KL	11066365
1544719	5256	1996-03-12	VYDAJ	PREVOD NA UCET	5389	27964	UVER	KL	11066365
1544720	5256	1996-04-12	VYDAJ	PREVOD NA UCET	5389	28988	UVER	KL	11066365
1544721	5256	1996-05-12	VYDAJ	PREVOD NA UCET	5389	37440	UVER	KL	11066365
1544722	5256	1996-06-12	VYDAJ	PREVOD NA UCET	5389	40300	UVER	KL	11066365
1544723	5256	1996-07-12	VYDAJ	PREVOD NA UCET	5389	27736	UVER	KL	11066365
1544724	5256	1996-08-12	VYDAJ	PREVOD NA UCET	5389	26161	UVER	KL	11066365
1544725	5256	1996-09-12	VYDAJ	PREVOD NA UCET	5389	55250	UVER	KL	11066365
1544726	5256	1996-10-12	VYDAJ	PREVOD NA UCET	5389	35592	UVER	KL	11066365
1544727	5256	1996-11-12	VYDAJ	PREVOD NA UCET	5389	32394	UVER	KL	11066365
1544728	5256	1996-12-12	VYDAJ	PREVOD NA UCET	5389	29832	UVER	KL	11066365
1544729	5256	1997-01-12	VYDAJ	PREVOD NA UCET	5389	25844	UVER	KL	11066365
1544730	5256	1997-02-12	VYDAJ	PREVOD NA UCET	5389	21027	UVER	KL	11066365
1544731	5256	1997-03-12	VYDAJ	PREVOD NA UCET	5389	56392	UVER	KL	11066365
1544732	5256	1997-04-12	VYDAJ	PREVOD NA UCET	5389	52478	UVER	KL	11066365
1544733	5256	1997-05-02	VYDAJ	VYBER	5000	47866	\N	\N	0
1544734	5256	1997-05-30	VYDAJ	VYBER	6200	73364	\N	\N	0
1544735	5256	1997-07-03	VYDAJ	VYBER	5600	49073	\N	\N	0
1544736	5256	1997-08-13	VYDAJ	VYBER	6400	73670	\N	\N	0
1544737	5256	1997-08-30	VYDAJ	VYBER	8200	63052	\N	\N	0
1544738	5256	1997-10-12	VYDAJ	VYBER	7500	48416	\N	\N	0
1544739	5256	1997-11-18	VYDAJ	VYBER	5600	35127	\N	\N	0
1544740	5256	1997-12-09	VYDAJ	VYBER	5200	41854	\N	\N	0
1544741	5256	1998-01-16	VYDAJ	VYBER	4400	68045	\N	\N	0
1544742	5256	1998-02-14	VYDAJ	VYBER	7200	34427	\N	\N	0
1544743	5256	1998-03-13	VYDAJ	VYBER	5900	42571	\N	\N	0
1544744	5256	1998-04-20	VYDAJ	VYBER	4500	32899	\N	\N	0
1544745	5256	1998-05-07	VYDAJ	VYBER	4900	21516	\N	\N	0
1544746	5256	1998-06-20	VYDAJ	VYBER	4100	17431	\N	\N	0
1544747	5256	1998-07-04	VYDAJ	VYBER	5500	19572	\N	\N	0
1544748	5256	1998-08-26	VYDAJ	VYBER	6900	16999	\N	\N	0
1544749	5256	1998-09-14	VYDAJ	VYBER	5800	11211	\N	\N	0
1544750	5256	1998-10-01	VYDAJ	VYBER	5900	5267	\N	\N	0
1544751	5256	1998-11-21	VYDAJ	VYBER	5200	92607	\N	\N	0
1544752	5256	1998-12-07	VYDAJ	VYBER	4000	50771	\N	\N	0
1544759	5256	1994-06-05	VYBER	VYBER	9696	80736	\N	\N	\N
1544764	5256	1996-07-05	VYBER	VYBER	4057	34324	\N	\N	\N
1544767	5256	1996-09-18	VYBER	VYBER	16555	38695	\N	\N	\N
1544769	5256	1996-01-01	VYBER	VYBER	8065	53397	\N	\N	\N
1544770	5256	1996-05-03	VYBER	VYBER	13340	41929	\N	\N	\N
1544778	5256	1997-06-06	VYBER	VYBER	17244	66091	\N	\N	\N
1544781	5256	1997-12-27	VYBER	VYBER	9995	80027	\N	\N	\N
1544785	5256	1997-11-12	VYBER	VYBER	12858	40727	\N	\N	\N
1544786	5256	1997-12-29	VYBER	VYBER	21966	58061	\N	\N	\N
1544790	5256	1994-12-18	VYDAJ	VYBER	1800	95014	\N	\N	\N
1544791	5256	1995-12-13	VYDAJ	VYBER	7800	59660	\N	\N	\N
1544793	5256	1997-12-06	VYDAJ	VYBER	2400	47054	\N	\N	\N
1544794	5256	1998-12-15	VYDAJ	VYBER	5400	45371	\N	\N	\N
1544807	5256	1995-01-18	VYDAJ	VYBER	8700	45067	\N	\N	\N
1544808	5256	1995-01-07	VYDAJ	VYBER	8400	70255	\N	\N	\N
1544809	5256	1995-01-21	VYDAJ	VYBER	3300	33867	\N	\N	\N
1544810	5256	1995-01-08	VYDAJ	VYBER	2400	67855	\N	\N	\N
1544811	5256	1995-01-13	VYDAJ	VYBER	4500	53767	\N	\N	\N
1544812	5256	1995-01-12	VYDAJ	VYBER	4200	63655	\N	\N	\N
1544814	5256	1996-01-11	VYDAJ	VYBER	8700	42897	\N	\N	\N
1544816	5256	1996-01-07	VYDAJ	VYBER	1800	51597	\N	\N	\N
1544817	5256	1996-01-13	VYDAJ	VYBER	8700	27908	\N	\N	\N
1544825	5256	1998-01-30	VYDAJ	VYBER	3900	69298	\N	\N	\N
1544826	5256	1998-01-30	VYDAJ	VYBER	5700	63598	\N	\N	\N
1544827	5256	1998-01-12	VYDAJ	VYBER	1500	72445	\N	\N	\N
1544828	5256	1998-01-01	VYDAJ	VYBER	3900	54559	\N	\N	\N
1544829	5256	1998-01-03	VYDAJ	VYBER	3000	37359	\N	\N	\N
1544830	5256	1998-01-16	VYDAJ	VYBER	4200	63845	\N	\N	\N
1544836	5256	1994-11-16	VYDAJ	VYBER	2100	33585	\N	\N	\N
1544837	5256	1994-05-20	VYDAJ	VYBER	10500	64892	\N	\N	\N
1544838	5256	1994-07-01	VYDAJ	VYBER	8400	32308	\N	\N	\N
1544839	5256	1994-11-15	VYDAJ	VYBER	4800	35685	\N	\N	\N
1544842	5256	1994-06-15	VYDAJ	VYBER	3600	53662	\N	\N	\N
1544843	5256	1994-08-22	VYDAJ	VYBER	11700	40292	\N	\N	\N
1544845	5256	1995-08-10	VYDAJ	VYBER	11700	32849	\N	\N	\N
1544847	5256	1995-03-08	VYDAJ	VYBER	5400	27149	\N	\N	\N
1544851	5256	1996-06-30	VYDAJ	VYBER	2100	38481	\N	\N	\N
1544856	5256	1997-10-03	VYDAJ	VYBER	14100	89916	\N	\N	\N
1544861	5256	1998-11-15	VYDAJ	VYBER	4200	81302	\N	\N	\N
1544879	5256	1994-04-30	VYDAJ	VYBER	100	82852	SLUZBY	\N	\N
1544880	5256	1994-05-31	VYDAJ	VYBER	100	90432	SLUZBY	\N	\N
1544881	5256	1994-06-30	VYDAJ	VYBER	100	40708	SLUZBY	\N	\N
1544882	5256	1994-07-31	VYDAJ	VYBER	100	72350	SLUZBY	\N	\N
1544883	5256	1994-08-31	VYDAJ	VYBER	100	76836	SLUZBY	\N	\N
1544884	5256	1994-09-30	VYDAJ	VYBER	100	66991	SLUZBY	\N	\N
1544885	5256	1994-10-31	VYDAJ	VYBER	100	45874	SLUZBY	\N	\N
1544886	5256	1994-11-30	VYDAJ	VYBER	100	67892	SLUZBY	\N	\N
1544887	5256	1994-12-31	VYDAJ	VYBER	100	78655	SLUZBY	\N	\N
1544888	5256	1995-01-31	VYDAJ	VYBER	100	34185	SLUZBY	\N	\N
1544889	5256	1995-02-28	VYDAJ	VYBER	100	32549	SLUZBY	\N	\N
1544890	5256	1995-03-31	VYDAJ	VYBER	100	28871	SLUZBY	\N	\N
1544891	5256	1995-04-30	VYDAJ	VYBER	100	30400	SLUZBY	\N	\N
1544892	5256	1995-05-31	VYDAJ	VYBER	100	28428	SLUZBY	\N	\N
1544893	5256	1995-06-30	VYDAJ	VYBER	100	25333	SLUZBY	\N	\N
1544894	5256	1995-07-31	VYDAJ	VYBER	100	44549	SLUZBY	\N	\N
1544895	5256	1995-08-31	VYDAJ	VYBER	100	26302	SLUZBY	\N	\N
1544896	5256	1995-09-30	VYDAJ	VYBER	100	40009	SLUZBY	\N	\N
1544897	5256	1995-10-31	VYDAJ	VYBER	100	102444	SLUZBY	\N	\N
1544898	5256	1995-11-30	VYDAJ	VYBER	100	72849	SLUZBY	\N	\N
1544899	5256	1995-12-31	VYDAJ	VYBER	100	61462	SLUZBY	\N	\N
1544900	5256	1996-01-31	VYDAJ	VYBER	100	28084	SLUZBY	\N	\N
1544901	5256	1996-02-29	VYDAJ	VYBER	100	33353	SLUZBY	\N	\N
1544902	5256	1996-03-31	VYDAJ	VYBER	100	29477	SLUZBY	\N	\N
1544903	5256	1996-04-30	VYDAJ	VYBER	100	55269	SLUZBY	\N	\N
1544904	5256	1996-05-31	VYDAJ	VYBER	100	37672	SLUZBY	\N	\N
1544905	5256	1996-06-30	VYDAJ	VYBER	100	38381	SLUZBY	\N	\N
1544906	5256	1996-07-31	VYDAJ	VYBER	100	27850	SLUZBY	\N	\N
1544907	5256	1996-08-31	VYDAJ	VYBER	100	26234	SLUZBY	\N	\N
1544908	5256	1996-09-30	VYDAJ	VYBER	100	51281	SLUZBY	\N	\N
1544909	5256	1996-10-31	VYDAJ	VYBER	100	35783	SLUZBY	\N	\N
1544910	5256	1996-11-30	VYDAJ	VYBER	100	32520	SLUZBY	\N	\N
1544911	5256	1996-12-31	VYDAJ	VYBER	100	29933	SLUZBY	\N	\N
1544912	5256	1997-01-31	VYDAJ	VYBER	100	25915	SLUZBY	\N	\N
1544913	5256	1997-02-28	VYDAJ	VYBER	100	21061	SLUZBY	\N	\N
1544914	5256	1997-03-31	VYDAJ	VYBER	100	88667	SLUZBY	\N	\N
1544915	5256	1997-04-30	VYDAJ	VYBER	100	52866	SLUZBY	\N	\N
1544916	5256	1997-05-31	VYDAJ	VYBER	100	73633	SLUZBY	\N	\N
1544917	5256	1997-06-30	VYDAJ	VYBER	100	54673	SLUZBY	\N	\N
1544918	5256	1997-07-31	VYDAJ	VYBER	100	61627	SLUZBY	\N	\N
1544919	5256	1997-08-31	VYDAJ	VYBER	100	63470	SLUZBY	\N	\N
1544920	5256	1997-09-30	VYDAJ	VYBER	100	104016	SLUZBY	\N	\N
1544921	5256	1997-10-31	VYDAJ	VYBER	100	87885	SLUZBY	\N	\N
1544922	5256	1997-11-30	VYDAJ	VYBER	100	35417	SLUZBY	\N	\N
1544923	5256	1997-12-31	VYDAJ	VYBER	100	58459	SLUZBY	\N	\N
1544924	5256	1998-01-31	VYDAJ	VYBER	100	63927	SLUZBY	\N	\N
1544925	5256	1998-02-28	VYDAJ	VYBER	100	34649	SLUZBY	\N	\N
1544926	5256	1998-03-31	VYDAJ	VYBER	100	42727	SLUZBY	\N	\N
1544927	5256	1998-04-30	VYDAJ	VYBER	100	33016	SLUZBY	\N	\N
1544928	5256	1998-05-31	VYDAJ	VYBER	100	21531	SLUZBY	\N	\N
1544929	5256	1998-06-30	VYDAJ	VYBER	100	31672	SLUZBY	\N	\N
1544930	5256	1998-07-31	VYDAJ	VYBER	100	23899	SLUZBY	\N	\N
1544931	5256	1998-08-31	VYDAJ	VYBER	100	17011	SLUZBY	\N	\N
1544932	5256	1998-09-30	VYDAJ	VYBER	100	11167	SLUZBY	\N	\N
1544933	5256	1998-10-31	VYDAJ	VYBER	100	68119	SLUZBY	\N	\N
1544934	5256	1998-11-30	VYDAJ	VYBER	100	54771	SLUZBY	\N	\N
1544935	5256	1993-11-24	PRIJEM	VKLAD	9500	10300	\N	\N	\N
1544936	5256	1993-12-24	PRIJEM	VKLAD	8800	19100	\N	\N	\N
1544937	5256	1994-01-23	VYDAJ	VYBER	17600	43283	\N	\N	\N
1544938	5256	1994-02-22	VYDAJ	VYBER	10200	39211	\N	\N	\N
1544939	5256	1994-03-24	VYDAJ	VYBER	23400	50745	\N	\N	\N
1544940	5256	1994-04-07	VYDAJ	VYBER	35300	85267	\N	\N	\N
1544941	5256	1994-04-12	VYDAJ	VYBER	28900	88202	\N	\N	\N
1544942	5256	1994-04-23	VYDAJ	VYBER	30700	57502	\N	\N	\N
1544943	5256	1994-05-01	VYDAJ	VYBER	54200	61599	\N	\N	\N
1544944	5256	1994-05-23	VYDAJ	VYBER	20200	44692	\N	\N	\N
1544945	5256	1994-06-14	VYDAJ	VYBER	59800	57262	\N	\N	\N
1544946	5256	1994-06-22	VYDAJ	VYBER	13400	40262	\N	\N	\N
1544947	5256	1994-07-22	VYDAJ	VYBER	13900	39411	\N	\N	\N
1544948	5256	1994-07-29	VYDAJ	VYBER	40200	72006	\N	\N	\N
1544949	5256	1994-08-11	VYDAJ	VYBER	50200	82881	\N	\N	\N
1544950	5256	1994-08-21	VYDAJ	VYBER	25500	51992	\N	\N	\N
1544951	5256	1994-09-14	VYDAJ	VYBER	46000	69884	\N	\N	\N
1544952	5256	1994-09-20	VYDAJ	VYBER	38000	66455	\N	\N	\N
1544953	5256	1994-10-20	VYDAJ	VYBER	16100	45503	\N	\N	\N
1544954	5256	1994-11-19	VYDAJ	VYBER	4700	35955	\N	\N	\N
1544955	5256	1994-12-19	VYDAJ	VYBER	32800	62214	\N	\N	\N
1544956	5256	1995-01-18	VYDAJ	VYBER	7900	37167	\N	\N	\N
1544957	5256	1995-02-17	PRIJEM	VKLAD	3600	32397	\N	\N	\N
1544958	5256	1995-03-19	PRIJEM	VKLAD	7000	28761	\N	\N	\N
1544959	5256	1995-04-18	PRIJEM	VKLAD	6800	30282	\N	\N	\N
1544960	5256	1995-05-18	PRIJEM	VKLAD	3300	28311	\N	\N	\N
1544961	5256	1995-06-17	PRIJEM	VKLAD	2200	25239	\N	\N	\N
1544962	5256	1995-07-17	VYDAJ	VYBER	18500	44342	\N	\N	\N
1544963	5256	1995-08-16	VYDAJ	VYBER	1300	26161	\N	\N	\N
1544964	5256	1995-09-15	VYDAJ	VYBER	13900	39840	\N	\N	\N
1544965	5256	1995-10-15	VYDAJ	VYBER	4800	29820	\N	\N	\N
1544966	5256	1995-11-01	VYDAJ	VYBER	30000	114631	\N	\N	\N
1544967	5256	1995-11-14	VYDAJ	VYBER	37100	72142	\N	\N	\N
1544968	5256	1995-12-14	VYDAJ	VYBER	14300	45360	\N	\N	\N
1544969	5256	1996-01-13	VYDAJ	VYBER	900	36608	\N	\N	\N
1544970	5256	1996-02-12	PRIJEM	VKLAD	2100	38598	\N	\N	\N
1544971	5256	1996-03-13	PRIJEM	VKLAD	1400	29364	\N	\N	\N
1544972	5256	1996-04-12	PRIJEM	VKLAD	4900	34377	\N	\N	\N
1544973	5256	1996-05-12	PRIJEM	VKLAD	900	42829	\N	\N	\N
1544974	5256	1996-06-11	VYDAJ	VYBER	12000	45689	\N	\N	\N
1544975	5256	1996-07-11	VYDAJ	VYBER	1200	33124	\N	\N	\N
1544976	5256	1996-08-10	PRIJEM	VKLAD	3700	31550	\N	\N	\N
1544977	5256	1996-09-09	PRIJEM	VKLAD	4600	30834	\N	\N	\N
1544978	5256	1996-10-09	VYDAJ	VYBER	10300	40981	\N	\N	\N
1544979	5256	1996-11-08	PRIJEM	VKLAD	2000	37783	\N	\N	\N
1544980	5256	1996-12-08	PRIJEM	VKLAD	2700	35220	\N	\N	\N
1544981	5256	1997-01-07	PRIJEM	VKLAD	1300	31233	\N	\N	\N
1544982	5256	1997-02-06	PRIJEM	VKLAD	500	26415	\N	\N	\N
1544983	5256	1997-03-08	PRIJEM	VKLAD	4700	25761	\N	\N	\N
1544984	5256	1997-04-07	VYDAJ	VYBER	30800	57867	\N	\N	\N
1544985	5256	1997-05-07	VYDAJ	VYBER	13400	34466	\N	\N	\N
1544986	5256	1997-06-06	VYDAJ	VYBER	22300	43791	\N	\N	\N
1544987	5256	1997-07-06	VYDAJ	VYBER	17600	31473	\N	\N	\N
1544988	5256	1997-08-05	VYDAJ	VYBER	20600	41027	\N	\N	\N
1544989	5256	1997-08-18	VYDAJ	VYBER	53400	64241	\N	\N	\N
1544990	5256	1997-09-04	VYDAJ	VYBER	25100	38370	\N	\N	\N
1544991	5256	1997-09-30	VYDAJ	VYBER	47900	104116	\N	\N	\N
1544992	5256	1997-10-04	VYDAJ	VYBER	34000	55916	\N	\N	\N
1544993	5256	1997-11-03	VYDAJ	VYBER	34300	53585	\N	\N	\N
1544994	5256	1997-12-03	VYDAJ	VYBER	29800	49454	\N	\N	\N
1544995	5256	1998-01-02	VYDAJ	VYBER	14200	40359	\N	\N	\N
1544996	5256	1998-02-01	VYDAJ	VYBER	22300	41627	\N	\N	\N
1544997	5256	1998-03-03	VYDAJ	VYBER	9600	25049	\N	\N	\N
1544998	5256	1998-04-02	VYDAJ	VYBER	29300	37399	\N	\N	\N
1544999	5256	1998-05-02	VYDAJ	VYBER	6600	26416	\N	\N	\N
1545000	5256	1998-07-01	VYDAJ	VYBER	6600	25072	\N	\N	\N
1545001	5256	1998-07-31	VYDAJ	VYBER	4100	23999	\N	\N	\N
1545002	5256	1998-10-29	PRIJEM	VKLAD	100	20338	\N	\N	\N
1545003	5256	1998-11-16	VYDAJ	VYBER	23400	97807	\N	\N	\N
1545004	5256	1998-11-28	VYDAJ	VYBER	38300	54307	\N	\N	\N
1546779	5263	1995-07-14	PRIJEM	VKLAD	500	500	\N	\N	\N
1546787	5263	1995-08-13	PRIJEM	VKLAD	5925	15025	\N	\N	\N
1546788	5263	1995-09-13	PRIJEM	VKLAD	5925	23573	\N	\N	\N
1546789	5263	1995-10-13	PRIJEM	VKLAD	5925	33272	\N	\N	\N
1546790	5263	1995-11-13	PRIJEM	VKLAD	5925	36420	\N	\N	\N
1546791	5263	1995-12-13	PRIJEM	VKLAD	8888	40755	\N	\N	\N
1546792	5263	1996-01-13	PRIJEM	VKLAD	5925	31124	\N	\N	\N
1546793	5263	1996-02-13	PRIJEM	VKLAD	5925	22720	\N	\N	\N
1546794	5263	1996-03-13	PRIJEM	VKLAD	5925	19429	\N	\N	\N
1546795	5263	1996-04-13	PRIJEM	VKLAD	5925	22875	\N	\N	\N
1546796	5263	1996-05-13	PRIJEM	VKLAD	5925	28424	\N	\N	\N
1546797	5263	1996-06-13	PRIJEM	VKLAD	8888	32153	\N	\N	\N
1546798	5263	1996-07-13	PRIJEM	VKLAD	5925	27368	\N	\N	\N
1546799	5263	1996-08-13	PRIJEM	VKLAD	5925	33156	\N	\N	\N
1546800	5263	1996-09-13	PRIJEM	VKLAD	5925	36338	\N	\N	\N
1546801	5263	1996-10-13	PRIJEM	VKLAD	5925	33712	\N	\N	\N
1546802	5263	1996-11-13	PRIJEM	VKLAD	5925	28898	\N	\N	\N
1546803	5263	1996-12-13	PRIJEM	VKLAD	8888	36296	\N	\N	\N
1546804	5263	1997-01-13	PRIJEM	VKLAD	5925	28776	\N	\N	\N
1546805	5263	1997-02-13	PRIJEM	VKLAD	5925	29618	\N	\N	\N
1546806	5263	1997-03-13	PRIJEM	VKLAD	5925	29937	\N	\N	\N
1546807	5263	1997-04-13	PRIJEM	VKLAD	5925	32397	\N	\N	\N
1546808	5263	1997-05-13	PRIJEM	VKLAD	5925	36984	\N	\N	\N
1546809	5263	1997-06-13	PRIJEM	VKLAD	8888	41527	\N	\N	\N
1546810	5263	1997-07-13	PRIJEM	VKLAD	5925	41945	\N	\N	\N
1546811	5263	1997-08-13	PRIJEM	VKLAD	5925	37292	\N	\N	\N
1546812	5263	1997-09-13	PRIJEM	VKLAD	5925	39906	\N	\N	\N
1546813	5263	1997-10-13	PRIJEM	VKLAD	5925	37321	\N	\N	\N
1546814	5263	1997-11-13	PRIJEM	VKLAD	5925	34933	\N	\N	\N
1546815	5263	1997-12-13	PRIJEM	VKLAD	8888	40999	\N	\N	\N
1546816	5263	1998-01-13	PRIJEM	VKLAD	5925	33077	\N	\N	\N
1546817	5263	1998-02-13	PRIJEM	VKLAD	5925	35374	\N	\N	\N
1546818	5263	1998-03-13	PRIJEM	VKLAD	5925	38555	\N	\N	\N
1546819	5263	1998-04-13	PRIJEM	VKLAD	5925	47215	\N	\N	\N
1546820	5263	1998-05-13	PRIJEM	VKLAD	5925	54972	\N	\N	\N
1546821	5263	1998-06-13	PRIJEM	VKLAD	8888	59922	\N	\N	\N
1546822	5263	1998-07-13	PRIJEM	VKLAD	5925	41933	\N	\N	\N
1546823	5263	1998-08-13	PRIJEM	VKLAD	5925	53876	\N	\N	\N
1546824	5263	1998-09-13	PRIJEM	VKLAD	5925	56259	\N	\N	\N
1546825	5263	1998-10-13	PRIJEM	VKLAD	5925	57452	\N	\N	\N
1546826	5263	1998-11-13	PRIJEM	VKLAD	5925	65955	\N	\N	\N
1546827	5263	1998-12-13	PRIJEM	VKLAD	8888	66293	\N	\N	\N
1546840	5263	1996-01-11	VYDAJ	PREVOD NA UCET	3950	25199	SIPO	GH	63990634
1546841	5263	1996-02-11	VYDAJ	PREVOD NA UCET	3950	20995	SIPO	GH	63990634
1546842	5263	1996-03-11	VYDAJ	PREVOD NA UCET	3950	13504	SIPO	GH	63990634
1546843	5263	1996-04-11	VYDAJ	PREVOD NA UCET	3950	16950	SIPO	GH	63990634
1546844	5263	1996-05-11	VYDAJ	PREVOD NA UCET	3950	22499	SIPO	GH	63990634
1546845	5263	1996-06-11	VYDAJ	PREVOD NA UCET	3950	23265	SIPO	GH	63990634
1546846	5263	1996-07-11	VYDAJ	PREVOD NA UCET	3950	21443	SIPO	GH	63990634
1546847	5263	1996-08-11	VYDAJ	PREVOD NA UCET	3950	27231	SIPO	GH	63990634
1546848	5263	1996-09-11	VYDAJ	PREVOD NA UCET	3950	30413	SIPO	GH	63990634
1546849	5263	1996-10-11	VYDAJ	PREVOD NA UCET	3950	27787	SIPO	GH	63990634
1546850	5263	1996-11-11	VYDAJ	PREVOD NA UCET	3950	27578	SIPO	GH	63990634
1546851	5263	1996-12-11	VYDAJ	PREVOD NA UCET	3950	32013	SIPO	GH	63990634
1546852	5263	1997-01-11	VYDAJ	PREVOD NA UCET	3950	27456	SIPO	GH	63990634
1546853	5263	1997-02-11	VYDAJ	PREVOD NA UCET	3950	28298	SIPO	GH	63990634
1546854	5263	1997-03-11	VYDAJ	PREVOD NA UCET	3950	28617	SIPO	GH	63990634
1546855	5263	1997-04-11	VYDAJ	PREVOD NA UCET	3950	31077	SIPO	GH	63990634
1546856	5263	1997-05-11	VYDAJ	PREVOD NA UCET	3950	35664	SIPO	GH	63990634
1546857	5263	1997-06-11	VYDAJ	PREVOD NA UCET	3950	37244	SIPO	GH	63990634
1546858	5263	1997-07-11	VYDAJ	PREVOD NA UCET	3950	40625	SIPO	GH	63990634
1546859	5263	1997-08-11	VYDAJ	PREVOD NA UCET	3950	35972	SIPO	GH	63990634
1546860	5263	1997-09-11	VYDAJ	PREVOD NA UCET	3950	38586	SIPO	GH	63990634
1546861	5263	1997-10-11	VYDAJ	PREVOD NA UCET	3950	36001	SIPO	GH	63990634
1546862	5263	1997-11-11	VYDAJ	PREVOD NA UCET	3950	33613	SIPO	GH	63990634
1546863	5263	1997-12-11	VYDAJ	PREVOD NA UCET	3950	36716	SIPO	GH	63990634
1546864	5263	1998-01-11	VYDAJ	PREVOD NA UCET	3950	33917	SIPO	GH	63990634
1546865	5263	1998-02-11	VYDAJ	PREVOD NA UCET	3950	34054	SIPO	GH	63990634
1546866	5263	1998-03-11	VYDAJ	PREVOD NA UCET	3950	37235	SIPO	GH	63990634
1546867	5263	1998-04-11	VYDAJ	PREVOD NA UCET	3950	45895	SIPO	GH	63990634
1546868	5263	1998-05-11	VYDAJ	PREVOD NA UCET	3950	53652	SIPO	GH	63990634
1546869	5263	1998-06-11	VYDAJ	PREVOD NA UCET	3950	55639	SIPO	GH	63990634
1546870	5263	1998-07-11	VYDAJ	PREVOD NA UCET	3950	40613	SIPO	GH	63990634
1546871	5263	1998-08-11	VYDAJ	PREVOD NA UCET	3950	52556	SIPO	GH	63990634
1546872	5263	1998-09-11	VYDAJ	PREVOD NA UCET	3950	54939	SIPO	GH	63990634
1546873	5263	1998-10-11	VYDAJ	PREVOD NA UCET	3950	56132	SIPO	GH	63990634
1546874	5263	1998-11-11	VYDAJ	PREVOD NA UCET	3950	64635	SIPO	GH	63990634
1546875	5263	1998-12-11	VYDAJ	PREVOD NA UCET	3950	65370	SIPO	GH	63990634
1546888	5263	1996-01-21	VYDAJ	VYBER	3900	27224	\N	\N	0
1546889	5263	1996-02-12	VYDAJ	VYBER	4200	16795	\N	\N	0
1546890	5263	1996-03-11	VYDAJ	VYBER	4300	17454	\N	\N	0
1546891	5263	1996-04-04	VYDAJ	VYBER	4900	14600	\N	\N	0
1546892	5263	1996-05-24	VYDAJ	VYBER	4200	24224	\N	\N	0
1546893	5263	1996-06-26	VYDAJ	VYBER	4800	27353	\N	\N	0
1546894	5263	1996-06-27	VYDAJ	VYBER	3400	23953	\N	\N	0
1546895	5263	1996-08-19	VYDAJ	VYBER	3200	29956	\N	\N	0
1546896	5263	1996-09-17	VYDAJ	VYBER	3800	32538	\N	\N	0
1546897	5263	1996-10-20	VYDAJ	VYBER	4800	28912	\N	\N	0
1546898	5263	1996-11-12	VYDAJ	PREVOD NA UCET	4605	22973	UVER	MN	57356619
1546899	5263	1996-12-12	VYDAJ	PREVOD NA UCET	4605	27408	UVER	MN	57356619
1546900	5263	1997-01-12	VYDAJ	PREVOD NA UCET	4605	22851	UVER	MN	57356619
1546901	5263	1997-02-12	VYDAJ	PREVOD NA UCET	4605	23693	UVER	MN	57356619
1546902	5263	1997-03-12	VYDAJ	PREVOD NA UCET	4605	24012	UVER	MN	57356619
1546903	5263	1997-04-12	VYDAJ	PREVOD NA UCET	4605	26472	UVER	MN	57356619
1546904	5263	1997-05-12	VYDAJ	PREVOD NA UCET	4605	31059	UVER	MN	57356619
1546905	5263	1997-06-12	VYDAJ	PREVOD NA UCET	4605	32639	UVER	MN	57356619
1546906	5263	1997-07-12	VYDAJ	PREVOD NA UCET	4605	36020	UVER	MN	57356619
1546907	5263	1997-08-12	VYDAJ	PREVOD NA UCET	4605	31367	UVER	MN	57356619
1546908	5263	1997-09-12	VYDAJ	PREVOD NA UCET	4605	33981	UVER	MN	57356619
1546909	5263	1997-10-12	VYDAJ	PREVOD NA UCET	4605	31396	UVER	MN	57356619
1546910	5263	1997-11-12	VYDAJ	PREVOD NA UCET	4605	29008	UVER	MN	57356619
1546911	5263	1997-12-12	VYDAJ	PREVOD NA UCET	4605	32111	UVER	MN	57356619
1546912	5263	1998-01-12	VYDAJ	PREVOD NA UCET	4605	29312	UVER	MN	57356619
1546913	5263	1998-02-12	VYDAJ	PREVOD NA UCET	4605	29449	UVER	MN	57356619
1546914	5263	1998-03-12	VYDAJ	PREVOD NA UCET	4605	32630	UVER	MN	57356619
1546915	5263	1998-04-12	VYDAJ	PREVOD NA UCET	4605	41290	UVER	MN	57356619
1546916	5263	1998-05-12	VYDAJ	PREVOD NA UCET	4605	49047	UVER	MN	57356619
1546917	5263	1998-06-12	VYDAJ	PREVOD NA UCET	4605	51034	UVER	MN	57356619
1546918	5263	1998-07-12	VYDAJ	PREVOD NA UCET	4605	36008	UVER	MN	57356619
1546919	5263	1998-08-12	VYDAJ	PREVOD NA UCET	4605	47951	UVER	MN	57356619
1546920	5263	1998-09-12	VYDAJ	PREVOD NA UCET	4605	50334	UVER	MN	57356619
1546921	5263	1998-10-12	VYDAJ	PREVOD NA UCET	4605	51527	UVER	MN	57356619
1546922	5263	1998-11-12	VYDAJ	PREVOD NA UCET	4605	60030	UVER	MN	57356619
1546923	5263	1998-12-12	VYDAJ	PREVOD NA UCET	4605	60765	UVER	MN	57356619
1546927	5263	1998-06-27	VYDAJ	VYBER	30560	28522	\N	\N	\N
1546930	5263	1997-01-17	VYDAJ	VYBER	4800	20976	\N	\N	\N
1546931	5263	1998-01-05	VYDAJ	VYBER	5440	37867	\N	\N	\N
1546932	5263	1995-12-14	VYDAJ	VYBER	4640	36115	\N	\N	\N
1546933	5263	1996-12-01	VYDAJ	VYBER	2240	26763	\N	\N	\N
1546934	5263	1997-12-17	VYDAJ	VYBER	3040	37959	\N	\N	\N
1546935	5263	1998-12-01	VYDAJ	VYBER	4000	69320	\N	\N	\N
1546942	5263	1996-01-22	VYDAJ	VYBER	2880	24344	\N	\N	\N
1546943	5263	1996-01-26	VYDAJ	VYBER	2160	19544	\N	\N	\N
1546944	5263	1996-01-25	VYDAJ	VYBER	2640	21704	\N	\N	\N
1546945	5263	1996-01-06	VYDAJ	VYBER	2640	30369	\N	\N	\N
1546946	5263	1996-01-03	VYDAJ	VYBER	1560	33009	\N	\N	\N
1546947	5263	1996-01-08	VYDAJ	VYBER	2520	27849	\N	\N	\N
1546948	5263	1997-01-10	VYDAJ	VYBER	1800	31406	\N	\N	\N
1546949	5263	1997-01-16	VYDAJ	VYBER	3000	25776	\N	\N	\N
1546950	5263	1997-01-02	VYDAJ	VYBER	2880	33546	\N	\N	\N
1546951	5263	1997-01-24	VYDAJ	VYBER	1680	19296	\N	\N	\N
1546952	5263	1997-01-25	VYDAJ	VYBER	1440	17856	\N	\N	\N
1546953	5263	1997-01-07	VYDAJ	VYBER	2040	33206	\N	\N	\N
1546954	5263	1998-01-26	VYDAJ	VYBER	3120	21677	\N	\N	\N
1546955	5263	1998-01-12	VYDAJ	VYBER	2160	27152	\N	\N	\N
1546956	5263	1998-01-20	VYDAJ	VYBER	600	29117	\N	\N	\N
1546957	5263	1998-01-26	VYDAJ	VYBER	1800	24797	\N	\N	\N
1546958	5263	1998-01-13	VYDAJ	VYBER	1800	31277	\N	\N	\N
1546959	5263	1998-01-25	VYDAJ	VYBER	2520	26597	\N	\N	\N
1546964	5263	1995-12-18	VYDAJ	VYBER	1680	34435	\N	\N	\N
1546965	5263	1996-10-04	VYDAJ	VYBER	3480	29177	\N	\N	\N
1546966	5263	1996-10-11	VYDAJ	VYBER	1440	31737	\N	\N	\N
1546967	5263	1996-07-06	VYDAJ	VYBER	5760	18293	\N	\N	\N
1546968	5263	1996-03-09	VYDAJ	VYBER	3840	18954	\N	\N	\N
1546969	5263	1996-07-26	VYDAJ	VYBER	1080	26288	\N	\N	\N
1546970	5263	1997-05-15	VYDAJ	VYBER	720	36264	\N	\N	\N
1546971	5263	1997-03-05	VYDAJ	VYBER	5040	32567	\N	\N	\N
1546972	5263	1997-04-09	VYDAJ	VYBER	2520	35027	\N	\N	\N
1546973	5263	1997-08-07	VYDAJ	VYBER	5880	39922	\N	\N	\N
1546974	5263	1998-01-16	VYDAJ	VYBER	1560	29717	\N	\N	\N
1546975	5263	1998-07-02	VYDAJ	VYBER	4080	44563	\N	\N	\N
1546976	5263	1998-02-18	VYDAJ	VYBER	2520	32854	\N	\N	\N
1546977	5263	1998-12-12	VYDAJ	VYBER	3360	57405	\N	\N	\N
1546978	5263	1998-04-03	VYDAJ	VYBER	1560	49845	\N	\N	\N
1546979	5263	1998-06-26	VYDAJ	VYBER	840	59082	\N	\N	\N
1546992	5263	1995-12-31	VYDAJ	VYBER	15	34569	SLUZBY	\N	\N
1546993	5263	1996-01-31	VYDAJ	VYBER	15	19645	SLUZBY	\N	\N
1546994	5263	1996-02-29	VYDAJ	VYBER	15	22794	SLUZBY	\N	\N
1546995	5263	1996-03-31	VYDAJ	VYBER	15	19500	SLUZBY	\N	\N
1546996	5263	1996-04-30	VYDAJ	VYBER	15	22949	SLUZBY	\N	\N
1546997	5263	1996-05-31	VYDAJ	VYBER	15	24315	SLUZBY	\N	\N
1546998	5263	1996-06-30	VYDAJ	VYBER	15	24053	SLUZBY	\N	\N
1546999	5263	1996-07-31	VYDAJ	VYBER	15	26381	SLUZBY	\N	\N
1547000	5263	1996-08-31	VYDAJ	VYBER	15	30063	SLUZBY	\N	\N
1547001	5263	1996-09-30	VYDAJ	VYBER	15	32657	SLUZBY	\N	\N
1547002	5263	1996-10-31	VYDAJ	VYBER	15	29028	SLUZBY	\N	\N
1547003	5263	1996-11-30	VYDAJ	VYBER	15	29003	SLUZBY	\N	\N
1547004	5263	1996-12-31	VYDAJ	VYBER	15	36426	SLUZBY	\N	\N
1547005	5263	1997-01-31	VYDAJ	VYBER	15	17948	SLUZBY	\N	\N
1547006	5263	1997-02-28	VYDAJ	VYBER	15	29707	SLUZBY	\N	\N
1547007	5263	1997-03-31	VYDAJ	VYBER	15	30047	SLUZBY	\N	\N
1547008	5263	1997-04-30	VYDAJ	VYBER	15	32514	SLUZBY	\N	\N
1547009	5263	1997-05-31	VYDAJ	VYBER	15	36394	SLUZBY	\N	\N
1547010	5263	1997-06-30	VYDAJ	VYBER	15	41675	SLUZBY	\N	\N
1547011	5263	1997-07-31	VYDAJ	VYBER	15	42102	SLUZBY	\N	\N
1547012	5263	1997-08-31	VYDAJ	VYBER	15	37436	SLUZBY	\N	\N
1547013	5263	1997-09-30	VYDAJ	VYBER	15	40051	SLUZBY	\N	\N
1547014	5263	1997-10-31	VYDAJ	VYBER	15	37563	SLUZBY	\N	\N
1547015	5263	1997-11-30	VYDAJ	VYBER	15	40666	SLUZBY	\N	\N
1547016	5263	1997-12-31	VYDAJ	VYBER	15	43307	SLUZBY	\N	\N
1547017	5263	1998-01-31	VYDAJ	VYBER	15	38004	SLUZBY	\N	\N
1547018	5263	1998-02-28	VYDAJ	VYBER	15	41185	SLUZBY	\N	\N
1547019	5263	1998-03-31	VYDAJ	VYBER	15	51405	SLUZBY	\N	\N
1547020	5263	1998-04-30	VYDAJ	VYBER	15	57602	SLUZBY	\N	\N
1547021	5263	1998-05-31	VYDAJ	VYBER	15	59589	SLUZBY	\N	\N
1547022	5263	1998-06-30	VYDAJ	VYBER	15	48643	SLUZBY	\N	\N
1547023	5263	1998-07-31	VYDAJ	VYBER	15	56506	SLUZBY	\N	\N
1547024	5263	1998-08-31	VYDAJ	VYBER	15	58889	SLUZBY	\N	\N
1547025	5263	1998-09-30	VYDAJ	VYBER	15	60082	SLUZBY	\N	\N
1547026	5263	1998-10-31	VYDAJ	VYBER	15	68585	SLUZBY	\N	\N
1547027	5263	1998-11-30	VYDAJ	VYBER	15	73320	SLUZBY	\N	\N
1547028	5263	1995-08-13	PRIJEM	VKLAD	8600	9100	\N	\N	\N
1547029	5263	1995-09-12	PRIJEM	VKLAD	2600	17648	\N	\N	\N
1547030	5263	1995-10-12	PRIJEM	VKLAD	3700	27347	\N	\N	\N
1547031	5263	1995-11-11	VYDAJ	VYBER	2900	30495	\N	\N	\N
1547032	5263	1995-12-11	VYDAJ	VYBER	4700	31867	\N	\N	\N
1547033	5263	1996-01-10	PRIJEM	VKLAD	1300	29149	\N	\N	\N
1547034	5263	1996-02-09	PRIJEM	VKLAD	5300	24945	\N	\N	\N
1547035	5263	1996-03-10	PRIJEM	VKLAD	2800	21754	\N	\N	\N
1547036	5263	1996-04-09	PRIJEM	VKLAD	6300	20900	\N	\N	\N
1547037	5263	1996-05-09	PRIJEM	VKLAD	3500	26449	\N	\N	\N
1547038	5263	1996-06-08	PRIJEM	VKLAD	2900	27215	\N	\N	\N
1547039	5263	1996-07-08	PRIJEM	VKLAD	7100	25393	\N	\N	\N
1547040	5263	1996-08-07	PRIJEM	VKLAD	4800	31181	\N	\N	\N
1547041	5263	1996-09-06	PRIJEM	VKLAD	4300	34363	\N	\N	\N
1547042	5263	1996-10-06	PRIJEM	VKLAD	4000	33177	\N	\N	\N
1547043	5263	1996-11-05	PRIJEM	VKLAD	2500	31528	\N	\N	\N
1547044	5263	1996-12-05	PRIJEM	VKLAD	9200	35963	\N	\N	\N
1547045	5263	1997-01-04	PRIJEM	VKLAD	1700	35246	\N	\N	\N
1547046	5263	1997-02-03	PRIJEM	VKLAD	14300	32248	\N	\N	\N
1547047	5263	1997-03-05	PRIJEM	VKLAD	7900	37607	\N	\N	\N
1547048	5263	1997-04-04	PRIJEM	VKLAD	7500	37547	\N	\N	\N
1547049	5263	1997-05-04	PRIJEM	VKLAD	7100	39614	\N	\N	\N
1547050	5263	1997-06-03	PRIJEM	VKLAD	4800	41194	\N	\N	\N
1547051	5263	1997-07-03	PRIJEM	VKLAD	2900	44575	\N	\N	\N
1547052	5263	1997-08-02	PRIJEM	VKLAD	3700	45802	\N	\N	\N
1547053	5263	1997-09-01	PRIJEM	VKLAD	5100	42536	\N	\N	\N
1547054	5263	1997-10-01	VYDAJ	VYBER	100	39951	\N	\N	\N
1547055	5263	1997-10-31	PRIJEM	VKLAD	100	37578	\N	\N	\N
1547056	5263	1997-11-30	PRIJEM	VKLAD	5600	40533	\N	\N	\N
1547057	5263	1997-12-30	PRIJEM	VKLAD	5200	43159	\N	\N	\N
1547058	5263	1998-01-29	PRIJEM	VKLAD	16200	37877	\N	\N	\N
1547059	5263	1998-02-28	PRIJEM	VKLAD	8200	41054	\N	\N	\N
1547060	5263	1998-03-30	PRIJEM	VKLAD	12700	51255	\N	\N	\N
1547061	5263	1998-04-29	PRIJEM	VKLAD	10200	57415	\N	\N	\N
1547062	5263	1998-05-29	PRIJEM	VKLAD	4400	59372	\N	\N	\N
1547063	5263	1998-06-28	PRIJEM	VKLAD	19900	48422	\N	\N	\N
1547064	5263	1998-07-28	PRIJEM	VKLAD	14400	56333	\N	\N	\N
1547065	5263	1998-08-27	PRIJEM	VKLAD	4800	58676	\N	\N	\N
1547066	5263	1998-09-26	PRIJEM	VKLAD	3600	59859	\N	\N	\N
1547067	5263	1998-10-26	PRIJEM	VKLAD	10900	68352	\N	\N	\N
1547068	5263	1998-11-25	PRIJEM	VKLAD	7100	73055	\N	\N	\N
1547978	5267	1996-01-12	PRIJEM	VKLAD	300	300	\N	\N	\N
1547979	5267	1996-06-17	PRIJEM	VKLAD	35052	64602	\N	\N	\N
1547980	5267	1996-03-14	PRIJEM	VKLAD	26231	98027	\N	\N	\N
1547981	5267	1996-06-26	PRIJEM	VKLAD	46299	116312	\N	\N	\N
1547982	5267	1996-02-13	PRIJEM	VKLAD	19544	61330	\N	\N	\N
1547983	5267	1996-12-27	PRIJEM	VKLAD	49950	66627	\N	\N	\N
1547984	5267	1996-11-08	PRIJEM	VKLAD	41881	67790	\N	\N	\N
1547985	5267	1996-06-08	PRIJEM	VKLAD	21257	56250	\N	\N	\N
1547986	5267	1996-03-13	PRIJEM	VKLAD	11121	71796	\N	\N	\N
1547987	5267	1996-07-13	PRIJEM	VKLAD	36762	90024	\N	\N	\N
1547988	5267	1996-02-28	PRIJEM	VKLAD	36790	101630	\N	\N	\N
1547990	5267	1996-11-10	PRIJEM	VKLAD	46699	114489	\N	\N	\N
1547991	5267	1996-08-05	PRIJEM	VKLAD	10364	100709	\N	\N	\N
1547992	5267	1996-09-07	PRIJEM	VKLAD	9836	82982	\N	\N	\N
1547993	5267	1996-05-10	PRIJEM	VKLAD	40910	45582	\N	\N	\N
1547994	5267	1996-08-27	PRIJEM	VKLAD	35508	94018	\N	\N	\N
1547995	5267	1996-02-21	PRIJEM	VKLAD	8834	111240	\N	\N	\N
1547996	5267	1996-02-01	PRIJEM	VKLAD	33728	59986	\N	\N	\N
1547997	5267	1996-05-17	PRIJEM	VKLAD	9887	40469	\N	\N	\N
1547998	5267	1996-06-18	PRIJEM	VKLAD	16859	81461	\N	\N	\N
1547999	5267	1996-01-31	PRIJEM	VKLAD	25954	26254	\N	\N	\N
1548000	5267	1996-08-05	PRIJEM	VKLAD	7501	108210	\N	\N	\N
1548001	5267	1996-02-21	PRIJEM	VKLAD	41076	102406	\N	\N	\N
1548002	5267	1996-12-28	PRIJEM	VKLAD	47637	112464	\N	\N	\N
1548003	5267	1996-10-16	PRIJEM	VKLAD	33709	47947	\N	\N	\N
1548004	5267	1996-07-09	PRIJEM	VKLAD	39019	92962	\N	\N	\N
1548005	5267	1997-11-19	PRIJEM	VKLAD	24278	64118	\N	\N	\N
1548006	5267	1997-12-29	PRIJEM	VKLAD	17545	56456	\N	\N	\N
1548007	5267	1997-04-11	PRIJEM	VKLAD	31402	22745	\N	\N	\N
1548008	5267	1997-11-21	PRIJEM	VKLAD	38699	102817	\N	\N	\N
1548009	5267	1997-08-14	PRIJEM	VKLAD	15183	27642	\N	\N	\N
1548010	5267	1997-06-12	PRIJEM	VKLAD	13249	17534	\N	\N	\N
1548011	5267	1997-10-18	PRIJEM	VKLAD	15812	43391	\N	\N	\N
1548012	5267	1997-09-24	PRIJEM	VKLAD	16036	34028	\N	\N	\N
1548013	5267	1997-08-04	PRIJEM	VKLAD	14990	18259	\N	\N	\N
1548014	5267	1997-11-30	PRIJEM	VKLAD	45481	116998	\N	\N	\N
1548015	5267	1997-08-20	PRIJEM	VKLAD	26626	73067	\N	\N	\N
1548016	5267	1997-11-02	PRIJEM	VKLAD	29912	67740	\N	\N	\N
1548017	5267	1997-08-15	PRIJEM	VKLAD	18799	46441	\N	\N	\N
1548018	5267	1998-06-27	PRIJEM	VKLAD	42884	65853	\N	\N	\N
1548019	5267	1998-04-18	PRIJEM	VKLAD	38798	72374	\N	\N	\N
1548020	5267	1998-01-28	PRIJEM	VKLAD	43126	77685	\N	\N	\N
1548021	5267	1998-03-05	PRIJEM	VKLAD	24474	43554	\N	\N	\N
1548022	5267	1998-05-24	PRIJEM	VKLAD	35696	45477	\N	\N	\N
1548023	5267	1998-09-02	PRIJEM	VKLAD	15981	35301	\N	\N	\N
1548024	5267	1998-04-28	PRIJEM	VKLAD	34691	107065	\N	\N	\N
1548025	5267	1998-04-05	PRIJEM	VKLAD	10828	38965	\N	\N	\N
1548026	5267	1998-10-15	PRIJEM	VKLAD	23317	36430	\N	\N	\N
1548027	5267	1998-12-15	PRIJEM	VKLAD	43482	47891	\N	\N	\N
1548028	5267	1998-07-21	PRIJEM	VKLAD	47400	80784	\N	\N	\N
1548029	5267	1998-03-16	PRIJEM	VKLAD	37008	49102	\N	\N	\N
1548030	5267	1998-03-18	PRIJEM	VKLAD	5154	54256	\N	\N	\N
1548033	5267	1996-03-17	VYDAJ	VYBER	5300	92727	\N	\N	0
1548034	5267	1996-03-26	VYDAJ	VYBER	4600	88127	\N	\N	0
1548035	5267	1996-05-06	VYDAJ	VYBER	4900	4672	\N	\N	0
1548036	5267	1996-06-05	VYDAJ	VYBER	5600	34993	\N	\N	0
1548037	5267	1996-07-05	VYDAJ	VYBER	6500	53943	\N	\N	0
1548038	5267	1996-08-16	VYDAJ	VYBER	4700	58510	\N	\N	0
1548039	5267	1996-08-29	VYDAJ	VYBER	5100	88918	\N	\N	0
1548040	5267	1996-10-03	VYDAJ	VYBER	5500	18138	\N	\N	0
1548041	5267	1996-11-10	VYDAJ	VYBER	6200	71389	\N	\N	0
1548042	5267	1996-12-05	VYDAJ	VYBER	7900	33277	\N	\N	0
1548043	5267	1997-01-09	VYDAJ	VYBER	7700	34406	\N	\N	0
1548044	5267	1997-02-05	VYDAJ	VYBER	6000	15867	\N	\N	0
1548045	5267	1997-02-24	VYDAJ	VYBER	5300	10567	\N	\N	0
1548046	5267	1997-04-06	VYDAJ	VYBER	6400	-8657	\N	\N	0
1548047	5267	1997-05-19	VYDAJ	VYBER	6200	2066	\N	\N	0
1548048	5267	1997-06-13	VYDAJ	VYBER	5800	11734	\N	\N	0
1548049	5267	1997-07-25	VYDAJ	VYBER	3700	3255	\N	\N	0
1548050	5267	1997-08-05	VYDAJ	VYBER	4100	12459	\N	\N	0
1548051	5267	1997-09-15	VYDAJ	VYBER	4300	28192	\N	\N	0
1548052	5267	1997-10-20	VYDAJ	VYBER	5700	37691	\N	\N	0
1548053	5267	1997-11-12	VYDAJ	VYBER	5100	39840	\N	\N	0
1548054	5267	1997-12-12	VYDAJ	PREVOD NA UCET	5389	44011	UVER	MN	56727522
1548055	5267	1998-01-12	VYDAJ	PREVOD NA UCET	5389	34559	UVER	MN	56727522
1548056	5267	1998-02-12	VYDAJ	PREVOD NA UCET	5389	39482	UVER	MN	56727522
1548057	5267	1998-03-12	VYDAJ	PREVOD NA UCET	5389	15094	UVER	MN	56727522
1548058	5267	1998-04-12	VYDAJ	PREVOD NA UCET	5389	33576	UVER	MN	56727522
1548059	5267	1998-05-12	VYDAJ	PREVOD NA UCET	5389	9781	UVER	MN	56727522
1548060	5267	1998-06-12	VYDAJ	PREVOD NA UCET	5389	22969	UVER	MN	56727522
1548061	5267	1998-07-12	VYDAJ	PREVOD NA UCET	5389	33384	UVER	MN	56727522
1548062	5267	1998-08-12	VYDAJ	PREVOD NA UCET	5389	32789	UVER	MN	56727522
1548063	5267	1998-09-12	VYDAJ	PREVOD NA UCET	5389	29913	UVER	MN	56727522
1548064	5267	1998-10-12	VYDAJ	PREVOD NA UCET	5389	13113	UVER	MN	56727522
1548065	5267	1998-11-12	VYDAJ	PREVOD NA UCET	5389	7276	UVER	MN	56727522
1548067	5267	1996-06-21	VYBER	VYBER	11448	70013	\N	\N	\N
1548068	5267	1996-05-01	VYBER	VYBER	24475	9572	\N	\N	\N
1548070	5267	1996-09-24	VYBER	VYBER	23027	23455	\N	\N	\N
1548071	5267	1996-03-06	VYBER	VYBER	7935	91175	\N	\N	\N
1548072	5267	1996-08-31	VYBER	VYBER	16065	73161	\N	\N	\N
1548073	5267	1996-10-26	VYBER	VYBER	16351	31596	\N	\N	\N
1548074	5267	1996-07-02	VYBER	VYBER	18509	60443	\N	\N	\N
1548075	5267	1996-11-24	VYBER	VYBER	22642	48747	\N	\N	\N
1548076	5267	1996-02-28	VYBER	VYBER	2719	98911	\N	\N	\N
1548077	5267	1996-04-20	VYBER	VYBER	10899	33801	\N	\N	\N
1548078	5267	1997-04-28	VYBER	VYBER	7685	8243	\N	\N	\N
1548079	5267	1997-03-10	VYBER	VYBER	5465	-2125	\N	\N	\N
1548080	5267	1997-09-09	VYBER	VYBER	12532	32492	\N	\N	\N
1548082	5267	1997-04-19	VYBER	VYBER	6817	15928	\N	\N	\N
1548083	5267	1997-12-03	VYBER	VYBER	5485	49399	\N	\N	\N
1548084	5267	1998-08-03	VYBER	VYBER	4603	38178	\N	\N	\N
1548085	5267	1998-03-20	VYBER	VYBER	6463	47793	\N	\N	\N
1548086	5267	1998-04-29	VYBER	VYBER	21386	21879	\N	\N	\N
1548087	5267	1998-03-10	VYBER	VYBER	12871	20483	\N	\N	\N
1548089	5267	1998-03-02	VYBER	VYBER	8707	31080	\N	\N	\N
1548090	5267	1998-10-17	VYBER	VYBER	19327	17103	\N	\N	\N
1548091	5267	1996-12-24	VYDAJ	VYBER	6900	16677	\N	\N	\N
1548092	5267	1997-12-17	VYDAJ	VYBER	5100	38911	\N	\N	\N
1548093	5267	1998-12-27	VYDAJ	VYBER	2100	45791	\N	\N	\N
1548094	5267	1996-11-28	VYDAJ	VYBER	7800	40947	\N	\N	\N
1548095	5267	1996-12-27	VYDAJ	VYBER	1800	64827	\N	\N	\N
1548096	5267	1996-04-16	VYDAJ	VYBER	9000	44700	\N	\N	\N
1548097	5267	1996-06-13	VYDAJ	VYBER	9600	29550	\N	\N	\N
1548099	5267	1997-09-16	VYDAJ	VYBER	10200	17992	\N	\N	\N
1548100	5267	1997-03-21	VYDAJ	VYBER	2400	-4525	\N	\N	\N
1548101	5267	1997-07-01	VYDAJ	VYBER	7800	3955	\N	\N	\N
1548102	5267	1997-02-25	VYDAJ	VYBER	5700	4867	\N	\N	\N
1548103	5267	1998-03-09	VYDAJ	VYBER	10200	33354	\N	\N	\N
1548104	5267	1998-07-27	VYDAJ	VYBER	4200	76584	\N	\N	\N
1548105	5267	1998-03-14	VYDAJ	VYBER	3000	12094	\N	\N	\N
1548108	5267	1996-02-29	VYDAJ	VYBER	15	99110	SLUZBY	\N	\N
1548109	5267	1996-03-31	VYDAJ	VYBER	15	88500	SLUZBY	\N	\N
1548110	5267	1996-04-30	VYDAJ	VYBER	15	34047	SLUZBY	\N	\N
1548111	5267	1996-05-31	VYDAJ	VYBER	15	40593	SLUZBY	\N	\N
1548112	5267	1996-06-30	VYDAJ	VYBER	15	78952	SLUZBY	\N	\N
1548113	5267	1996-07-31	VYDAJ	VYBER	15	90345	SLUZBY	\N	\N
1548114	5267	1996-08-31	VYDAJ	VYBER	15	73146	SLUZBY	\N	\N
1548115	5267	1996-09-30	VYDAJ	VYBER	15	23638	SLUZBY	\N	\N
1548116	5267	1996-10-31	VYDAJ	VYBER	15	31709	SLUZBY	\N	\N
1548117	5267	1996-11-30	VYDAJ	VYBER	15	41177	SLUZBY	\N	\N
1548118	5267	1996-12-31	VYDAJ	VYBER	15	64906	SLUZBY	\N	\N
1548119	5267	1997-01-31	VYDAJ	VYBER	15	34567	SLUZBY	\N	\N
1548120	5267	1997-02-28	VYDAJ	VYBER	15	4940	SLUZBY	\N	\N
1548121	5267	1997-03-31	VYDAJ	VYBER	15	-4534	SLUZBY	\N	\N
1548122	5267	1997-04-30	VYDAJ	VYBER	15	8277	SLUZBY	\N	\N
1548123	5267	1997-05-31	VYDAJ	VYBER	15	2085	SLUZBY	\N	\N
1548124	5267	1997-06-30	VYDAJ	VYBER	15	11755	SLUZBY	\N	\N
1548125	5267	1997-07-31	VYDAJ	VYBER	15	3269	SLUZBY	\N	\N
1548126	5267	1997-08-31	VYDAJ	VYBER	15	73224	SLUZBY	\N	\N
1548127	5267	1997-09-30	VYDAJ	VYBER	15	34179	SLUZBY	\N	\N
1548128	5267	1997-10-31	VYDAJ	VYBER	15	37828	SLUZBY	\N	\N
1548129	5267	1997-11-30	VYDAJ	VYBER	15	86684	SLUZBY	\N	\N
1548130	5267	1997-12-31	VYDAJ	VYBER	15	56648	SLUZBY	\N	\N
1548131	5267	1998-01-31	VYDAJ	VYBER	15	77871	SLUZBY	\N	\N
1548132	5267	1998-02-28	VYDAJ	VYBER	15	39787	SLUZBY	\N	\N
1548133	5267	1998-03-31	VYDAJ	VYBER	15	47937	SLUZBY	\N	\N
1548134	5267	1998-04-30	VYDAJ	VYBER	15	22069	SLUZBY	\N	\N
1548135	5267	1998-05-31	VYDAJ	VYBER	15	45557	SLUZBY	\N	\N
1548136	5267	1998-06-30	VYDAJ	VYBER	15	38773	SLUZBY	\N	\N
1548137	5267	1998-07-31	VYDAJ	VYBER	15	42781	SLUZBY	\N	\N
1548138	5267	1998-08-31	VYDAJ	VYBER	15	19320	SLUZBY	\N	\N
1548139	5267	1998-09-30	VYDAJ	VYBER	15	18502	SLUZBY	\N	\N
1548140	5267	1998-10-31	VYDAJ	VYBER	15	12665	SLUZBY	\N	\N
1548141	5267	1998-11-30	VYDAJ	VYBER	15	4409	SLUZBY	\N	\N
1548142	5267	1996-02-11	VYDAJ	VYBER	18200	41786	\N	\N	\N
1548143	5267	1996-02-21	VYDAJ	VYBER	46400	64840	\N	\N	\N
1548144	5267	1996-03-12	VYDAJ	VYBER	30500	60675	\N	\N	\N
1548145	5267	1996-04-11	VYDAJ	VYBER	34800	53700	\N	\N	\N
1548146	5267	1996-05-11	VYDAJ	VYBER	15000	30582	\N	\N	\N
1548147	5267	1996-06-10	VYDAJ	VYBER	17100	39150	\N	\N	\N
1548148	5267	1996-06-26	VYDAJ	VYBER	37600	78712	\N	\N	\N
1548149	5267	1996-07-10	VYDAJ	VYBER	39700	53262	\N	\N	\N
1548150	5267	1996-08-09	VYDAJ	VYBER	45000	63210	\N	\N	\N
1548151	5267	1996-09-08	VYDAJ	VYBER	36500	46482	\N	\N	\N
1548152	5267	1996-10-08	VYDAJ	VYBER	3900	14238	\N	\N	\N
1548153	5267	1996-11-07	VYDAJ	VYBER	5800	25909	\N	\N	\N
1548154	5267	1996-11-10	VYDAJ	VYBER	36900	77589	\N	\N	\N
1548155	5267	1996-12-07	VYDAJ	VYBER	9700	23577	\N	\N	\N
1548156	5267	1996-12-28	VYDAJ	VYBER	47700	64764	\N	\N	\N
1548157	5267	1997-01-06	VYDAJ	VYBER	22800	42106	\N	\N	\N
1548158	5267	1997-02-05	VYDAJ	VYBER	12700	21867	\N	\N	\N
1548159	5267	1997-03-07	VYDAJ	VYBER	1600	3340	\N	\N	\N
1548160	5267	1997-04-06	PRIJEM	VKLAD	2300	-2257	\N	\N	\N
1548161	5267	1997-06-05	PRIJEM	VKLAD	2200	4285	\N	\N	\N
1548162	5267	1997-07-05	PRIJEM	VKLAD	3000	6955	\N	\N	\N
1548163	5267	1997-08-04	VYDAJ	VYBER	1700	16559	\N	\N	\N
1548164	5267	1997-09-03	VYDAJ	VYBER	28200	45024	\N	\N	\N
1548165	5267	1997-10-03	VYDAJ	VYBER	6600	27579	\N	\N	\N
1548166	5267	1997-11-02	VYDAJ	VYBER	22800	44940	\N	\N	\N
1548167	5267	1997-11-21	VYDAJ	VYBER	31300	71517	\N	\N	\N
1548168	5267	1997-11-30	VYDAJ	VYBER	30600	86699	\N	\N	\N
1548169	5267	1997-12-02	VYDAJ	VYBER	31800	54884	\N	\N	\N
1548170	5267	1998-01-01	VYDAJ	VYBER	16700	39948	\N	\N	\N
1548171	5267	1998-01-31	VYDAJ	VYBER	33000	44871	\N	\N	\N
1548172	5267	1998-03-02	VYDAJ	VYBER	12000	19080	\N	\N	\N
1548173	5267	1998-04-01	VYDAJ	VYBER	19800	28137	\N	\N	\N
1548174	5267	1998-04-28	VYDAJ	VYBER	63800	43265	\N	\N	\N
1548175	5267	1998-05-01	VYDAJ	VYBER	6900	15169	\N	\N	\N
1548176	5267	1998-05-31	VYDAJ	VYBER	17200	28357	\N	\N	\N
1548177	5267	1998-06-30	VYDAJ	VYBER	27200	38787	\N	\N	\N
1548178	5267	1998-07-30	VYDAJ	VYBER	34000	42584	\N	\N	\N
1548179	5267	1998-08-29	VYDAJ	VYBER	13600	19189	\N	\N	\N
1548180	5267	1998-09-28	VYDAJ	VYBER	11500	18413	\N	\N	\N
1548181	5267	1998-10-28	VYDAJ	VYBER	4500	12603	\N	\N	\N
1548182	5267	1998-11-27	VYDAJ	VYBER	2900	4376	\N	\N	\N
1548472	5269	1996-07-04	PRIJEM	VKLAD	500	500	\N	\N	\N
1548479	5269	1996-07-09	PRIJEM	VKLAD	20529	21029	\N	\N	\N
1548480	5269	1996-08-09	PRIJEM	VKLAD	20529	43423	\N	\N	\N
1548481	5269	1996-09-09	PRIJEM	VKLAD	20529	52209	\N	\N	\N
1548482	5269	1996-10-09	PRIJEM	VKLAD	20529	57746	\N	\N	\N
1548483	5269	1996-11-09	PRIJEM	VKLAD	20529	62009	\N	\N	\N
1548484	5269	1996-12-09	PRIJEM	VKLAD	30794	68585	\N	\N	\N
1548485	5269	1997-01-09	PRIJEM	VKLAD	20529	43846	\N	\N	\N
1548486	5269	1997-02-09	PRIJEM	VKLAD	20529	37016	\N	\N	\N
1548487	5269	1997-03-09	PRIJEM	VKLAD	20529	40152	\N	\N	\N
1548488	5269	1997-04-09	PRIJEM	VKLAD	20529	40786	\N	\N	\N
1548489	5269	1997-05-09	PRIJEM	VKLAD	20529	41840	\N	\N	\N
1548490	5269	1997-06-09	PRIJEM	VKLAD	30794	52160	\N	\N	\N
1548491	5269	1997-07-09	PRIJEM	VKLAD	20529	47944	\N	\N	\N
1548492	5269	1997-08-09	PRIJEM	VKLAD	20529	43020	\N	\N	\N
1548493	5269	1997-09-09	PRIJEM	VKLAD	20529	42477	\N	\N	\N
1548494	5269	1997-10-09	PRIJEM	VKLAD	20529	39248	\N	\N	\N
1548495	5269	1997-11-09	PRIJEM	VKLAD	20529	36369	\N	\N	\N
1548496	5269	1997-12-09	PRIJEM	VKLAD	30794	47763	\N	\N	\N
1548497	5269	1998-01-09	PRIJEM	VKLAD	20529	35898	\N	\N	\N
1548498	5269	1998-02-09	PRIJEM	VKLAD	20529	25938	\N	\N	\N
1548499	5269	1998-03-09	PRIJEM	VKLAD	20529	29122	\N	\N	\N
1548500	5269	1998-04-09	PRIJEM	VKLAD	20529	35282	\N	\N	\N
1548501	5269	1998-05-09	PRIJEM	VKLAD	20529	25595	\N	\N	\N
1548502	5269	1998-06-09	PRIJEM	VKLAD	30794	46449	\N	\N	\N
1548503	5269	1998-07-09	PRIJEM	VKLAD	20529	30187	\N	\N	\N
1548504	5269	1998-08-09	PRIJEM	VKLAD	20529	40796	\N	\N	\N
1548505	5269	1998-09-09	PRIJEM	VKLAD	20529	26630	\N	\N	\N
1548506	5269	1998-10-09	PRIJEM	VKLAD	20529	31093	\N	\N	\N
1548507	5269	1998-11-09	PRIJEM	VKLAD	20529	41705	\N	\N	\N
1548508	5269	1998-12-09	PRIJEM	VKLAD	30794	62626	\N	\N	\N
1548520	5269	1996-12-07	VYDAJ	PREVOD NA UCET	793	37791	SIPO	UV	7043707
1548521	5269	1997-01-07	VYDAJ	PREVOD NA UCET	793	37077	SIPO	UV	7043707
1548522	5269	1997-02-07	VYDAJ	PREVOD NA UCET	793	16487	SIPO	UV	7043707
1548523	5269	1997-03-07	VYDAJ	PREVOD NA UCET	793	19623	SIPO	UV	7043707
1548524	5269	1997-04-07	VYDAJ	PREVOD NA UCET	793	20257	SIPO	UV	7043707
1548525	5269	1997-05-07	VYDAJ	PREVOD NA UCET	793	21311	SIPO	UV	7043707
1548526	5269	1997-06-07	VYDAJ	PREVOD NA UCET	793	21366	SIPO	UV	7043707
1548527	5269	1997-07-07	VYDAJ	PREVOD NA UCET	793	27415	SIPO	UV	7043707
1548528	5269	1997-08-07	VYDAJ	PREVOD NA UCET	793	22491	SIPO	UV	7043707
1548529	5269	1997-09-07	VYDAJ	PREVOD NA UCET	793	21948	SIPO	UV	7043707
1548530	5269	1997-10-07	VYDAJ	PREVOD NA UCET	793	18719	SIPO	UV	7043707
1548531	5269	1997-11-07	VYDAJ	PREVOD NA UCET	793	15840	SIPO	UV	7043707
1548532	5269	1997-12-07	VYDAJ	PREVOD NA UCET	793	16969	SIPO	UV	7043707
1548533	5269	1998-01-07	VYDAJ	PREVOD NA UCET	793	15369	SIPO	UV	7043707
1548534	5269	1998-02-07	VYDAJ	PREVOD NA UCET	793	5409	SIPO	UV	7043707
1548535	5269	1998-03-07	VYDAJ	PREVOD NA UCET	793	8593	SIPO	UV	7043707
1548536	5269	1998-04-07	VYDAJ	PREVOD NA UCET	793	14753	SIPO	UV	7043707
1548537	5269	1998-05-07	VYDAJ	PREVOD NA UCET	793	5066	SIPO	UV	7043707
1548538	5269	1998-06-07	VYDAJ	PREVOD NA UCET	793	15655	SIPO	UV	7043707
1548539	5269	1998-07-07	VYDAJ	PREVOD NA UCET	793	9658	SIPO	UV	7043707
1548540	5269	1998-08-07	VYDAJ	PREVOD NA UCET	793	20267	SIPO	UV	7043707
1548541	5269	1998-09-07	VYDAJ	PREVOD NA UCET	793	6101	SIPO	UV	7043707
1548542	5269	1998-10-07	VYDAJ	PREVOD NA UCET	793	10564	SIPO	UV	7043707
1548543	5269	1998-11-07	VYDAJ	PREVOD NA UCET	793	21176	SIPO	UV	7043707
1548544	5269	1998-12-07	VYDAJ	PREVOD NA UCET	793	31832	SIPO	UV	7043707
1548556	5269	1996-12-06	VYDAJ	PREVOD NA UCET	7260	38584	 	OP	84263461
1548557	5269	1997-01-06	VYDAJ	PREVOD NA UCET	7260	37870	 	OP	84263461
1548558	5269	1997-02-06	VYDAJ	PREVOD NA UCET	7260	17280	 	OP	84263461
1548559	5269	1997-03-06	VYDAJ	PREVOD NA UCET	7260	20416	 	OP	84263461
1548560	5269	1997-04-06	VYDAJ	PREVOD NA UCET	7260	23570	 	OP	84263461
1548561	5269	1997-05-06	VYDAJ	PREVOD NA UCET	7260	22104	 	OP	84263461
1548562	5269	1997-06-06	VYDAJ	PREVOD NA UCET	7260	22159	 	OP	84263461
1548563	5269	1997-07-06	VYDAJ	PREVOD NA UCET	7260	28208	 	OP	84263461
1548564	5269	1997-08-06	VYDAJ	PREVOD NA UCET	7260	23284	 	OP	84263461
1548565	5269	1997-09-06	VYDAJ	PREVOD NA UCET	7260	22741	 	OP	84263461
1548566	5269	1997-10-06	VYDAJ	PREVOD NA UCET	7260	19512	 	OP	84263461
1548567	5269	1997-11-06	VYDAJ	PREVOD NA UCET	7260	16633	 	OP	84263461
1548568	5269	1997-12-06	VYDAJ	PREVOD NA UCET	7260	17762	 	OP	84263461
1548569	5269	1998-01-06	VYDAJ	PREVOD NA UCET	7260	16162	 	OP	84263461
1548570	5269	1998-02-06	VYDAJ	PREVOD NA UCET	7260	6202	 	OP	84263461
1548571	5269	1998-03-06	VYDAJ	PREVOD NA UCET	7260	9386	 	OP	84263461
1548572	5269	1998-04-06	VYDAJ	PREVOD NA UCET	7260	15546	 	OP	84263461
1548573	5269	1998-05-06	VYDAJ	PREVOD NA UCET	7260	5859	 	OP	84263461
1548574	5269	1998-06-06	VYDAJ	PREVOD NA UCET	7260	16448	 	OP	84263461
1548575	5269	1998-07-06	VYDAJ	PREVOD NA UCET	7260	10451	 	OP	84263461
1548576	5269	1998-08-06	VYDAJ	PREVOD NA UCET	7260	21060	 	OP	84263461
1548577	5269	1998-09-06	VYDAJ	PREVOD NA UCET	7260	6894	 	OP	84263461
1548578	5269	1998-10-06	VYDAJ	PREVOD NA UCET	7260	11357	 	OP	84263461
1548579	5269	1998-11-06	VYDAJ	PREVOD NA UCET	7260	21969	 	OP	84263461
1548580	5269	1998-12-06	VYDAJ	PREVOD NA UCET	7260	32625	 	OP	84263461
1548591	5269	1996-11-07	VYDAJ	VYBER	1300	41480	\N	\N	0
1548592	5269	1996-12-25	VYDAJ	VYBER	2000	64065	\N	\N	0
1548593	5269	1997-01-10	VYDAJ	VYBER	2300	41546	\N	\N	0
1548594	5269	1997-02-12	VYDAJ	PREVOD NA UCET	1957	35059	UVER	OP	61308646
1548595	5269	1997-03-12	VYDAJ	PREVOD NA UCET	1957	38195	UVER	OP	61308646
1548596	5269	1997-04-12	VYDAJ	PREVOD NA UCET	1957	38829	UVER	OP	61308646
1548597	5269	1997-05-12	VYDAJ	PREVOD NA UCET	1957	39883	UVER	OP	61308646
1548598	5269	1997-06-12	VYDAJ	PREVOD NA UCET	1957	50203	UVER	OP	61308646
1548599	5269	1997-07-12	VYDAJ	PREVOD NA UCET	1957	45987	UVER	OP	61308646
1548600	5269	1997-08-12	VYDAJ	PREVOD NA UCET	1957	41063	UVER	OP	61308646
1548601	5269	1997-09-12	VYDAJ	PREVOD NA UCET	1957	40520	UVER	OP	61308646
1548602	5269	1997-10-12	VYDAJ	PREVOD NA UCET	1957	37291	UVER	OP	61308646
1548603	5269	1997-11-12	VYDAJ	PREVOD NA UCET	1957	34412	UVER	OP	61308646
1548604	5269	1997-12-12	VYDAJ	PREVOD NA UCET	1957	45806	UVER	OP	61308646
1548605	5269	1998-01-12	VYDAJ	PREVOD NA UCET	1957	33941	UVER	OP	61308646
1548606	5269	1998-02-12	VYDAJ	PREVOD NA UCET	1957	23981	UVER	OP	61308646
1548607	5269	1998-03-12	VYDAJ	PREVOD NA UCET	1957	27165	UVER	OP	61308646
1548608	5269	1998-04-12	VYDAJ	PREVOD NA UCET	1957	33325	UVER	OP	61308646
1548609	5269	1998-05-12	VYDAJ	PREVOD NA UCET	1957	23638	UVER	OP	61308646
1548610	5269	1998-06-12	VYDAJ	PREVOD NA UCET	1957	44492	UVER	OP	61308646
1548611	5269	1998-07-12	VYDAJ	PREVOD NA UCET	1957	28230	UVER	OP	61308646
1548612	5269	1998-08-12	VYDAJ	PREVOD NA UCET	1957	34159	UVER	OP	61308646
1548613	5269	1998-09-12	VYDAJ	PREVOD NA UCET	1957	24673	UVER	OP	61308646
1548614	5269	1998-10-12	VYDAJ	PREVOD NA UCET	1957	29136	UVER	OP	61308646
1548615	5269	1998-11-12	VYDAJ	PREVOD NA UCET	1957	39748	UVER	OP	61308646
1548616	5269	1998-12-12	VYDAJ	PREVOD NA UCET	1957	60669	UVER	OP	61308646
1548621	5269	1997-01-07	VYDAJ	VYBER	13760	23317	\N	\N	\N
1548622	5269	1998-01-21	VYDAJ	VYBER	8800	18181	\N	\N	\N
1548623	5269	1996-12-26	VYDAJ	VYBER	3680	60385	\N	\N	\N
1548624	5269	1997-12-22	VYDAJ	VYBER	1440	44366	\N	\N	\N
1548625	5269	1998-12-18	VYDAJ	VYBER	1280	59389	\N	\N	\N
1548632	5269	1997-01-30	VYDAJ	VYBER	960	24406	\N	\N	\N
1548633	5269	1997-01-19	VYDAJ	VYBER	3480	34106	\N	\N	\N
1548634	5269	1997-01-18	VYDAJ	VYBER	1080	37586	\N	\N	\N
1548635	5269	1997-01-11	VYDAJ	VYBER	960	40586	\N	\N	\N
1548636	5269	1997-01-14	VYDAJ	VYBER	1920	38666	\N	\N	\N
1548637	5269	1997-01-25	VYDAJ	VYBER	1920	26786	\N	\N	\N
1548638	5269	1998-01-05	VYDAJ	VYBER	600	23422	\N	\N	\N
1548639	5269	1998-01-04	VYDAJ	VYBER	2280	24022	\N	\N	\N
1548640	5269	1998-01-12	VYDAJ	VYBER	1920	32021	\N	\N	\N
1548642	5269	1998-01-16	VYDAJ	VYBER	1920	30101	\N	\N	\N
1548643	5269	1998-01-17	VYDAJ	VYBER	3120	26981	\N	\N	\N
1548646	5269	1996-12-24	VYDAJ	VYBER	2520	66065	\N	\N	\N
1548648	5269	1997-01-21	VYDAJ	VYBER	5400	28706	\N	\N	\N
1548649	5269	1997-07-26	VYDAJ	VYBER	1800	44187	\N	\N	\N
1548650	5269	1997-11-04	VYDAJ	VYBER	4320	23893	\N	\N	\N
1548651	5269	1997-04-07	VYDAJ	VYBER	2520	21050	\N	\N	\N
1548652	5269	1997-09-24	VYDAJ	VYBER	2280	38240	\N	\N	\N
1548653	5269	1997-01-29	VYDAJ	VYBER	4320	22466	\N	\N	\N
1548655	5269	1998-03-25	VYDAJ	VYBER	4440	22725	\N	\N	\N
1548656	5269	1998-08-09	VYDAJ	VYBER	3480	37316	\N	\N	\N
1548657	5269	1998-09-20	VYDAJ	VYBER	840	18553	\N	\N	\N
1548658	5269	1998-08-11	VYDAJ	VYBER	1200	36116	\N	\N	\N
1548659	5269	1998-09-19	VYDAJ	VYBER	5280	19393	\N	\N	\N
1548671	5269	1996-11-30	VYDAJ	VYBER	15	62244	SLUZBY	\N	\N
1548672	5269	1996-12-31	VYDAJ	VYBER	15	45130	SLUZBY	\N	\N
1548673	5269	1997-01-31	VYDAJ	VYBER	15	24540	SLUZBY	\N	\N
1548674	5269	1997-02-28	VYDAJ	VYBER	15	35176	SLUZBY	\N	\N
1548675	5269	1997-03-31	VYDAJ	VYBER	15	38330	SLUZBY	\N	\N
1548676	5269	1997-04-30	VYDAJ	VYBER	15	29364	SLUZBY	\N	\N
1548677	5269	1997-05-31	VYDAJ	VYBER	15	29419	SLUZBY	\N	\N
1548678	5269	1997-06-30	VYDAJ	VYBER	15	35468	SLUZBY	\N	\N
1548679	5269	1997-07-31	VYDAJ	VYBER	15	30544	SLUZBY	\N	\N
1548680	5269	1997-08-31	VYDAJ	VYBER	15	30001	SLUZBY	\N	\N
1548681	5269	1997-09-30	VYDAJ	VYBER	15	26772	SLUZBY	\N	\N
1548682	5269	1997-10-31	VYDAJ	VYBER	15	28213	SLUZBY	\N	\N
1548683	5269	1997-11-30	VYDAJ	VYBER	15	25022	SLUZBY	\N	\N
1548684	5269	1997-12-31	VYDAJ	VYBER	15	26302	SLUZBY	\N	\N
1548685	5269	1998-01-31	VYDAJ	VYBER	15	13462	SLUZBY	\N	\N
1548686	5269	1998-02-28	VYDAJ	VYBER	15	16646	SLUZBY	\N	\N
1548687	5269	1998-03-31	VYDAJ	VYBER	15	22806	SLUZBY	\N	\N
1548688	5269	1998-04-30	VYDAJ	VYBER	15	13119	SLUZBY	\N	\N
1548689	5269	1998-05-31	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
1548690	5269	1998-06-30	VYDAJ	VYBER	15	17711	SLUZBY	\N	\N
1548691	5269	1998-07-31	VYDAJ	VYBER	15	28320	SLUZBY	\N	\N
1548692	5269	1998-08-31	VYDAJ	VYBER	15	14154	SLUZBY	\N	\N
1548693	5269	1998-09-30	VYDAJ	VYBER	15	18617	SLUZBY	\N	\N
1548694	5269	1998-10-31	VYDAJ	VYBER	15	29229	SLUZBY	\N	\N
1548695	5269	1998-11-30	VYDAJ	VYBER	15	39885	SLUZBY	\N	\N
1548696	5269	1996-08-03	PRIJEM	VKLAD	1800	22894	\N	\N	\N
1548697	5269	1996-09-02	VYDAJ	VYBER	11900	31680	\N	\N	\N
1548698	5269	1996-10-02	VYDAJ	VYBER	15200	37217	\N	\N	\N
1548699	5269	1996-11-01	VYDAJ	VYBER	15200	42780	\N	\N	\N
1548700	5269	1996-12-01	VYDAJ	VYBER	16400	45844	\N	\N	\N
1548701	5269	1996-12-31	VYDAJ	VYBER	15500	45144	\N	\N	\N
1548702	5269	1997-01-30	PRIJEM	VKLAD	2900	25366	\N	\N	\N
1548703	5269	1997-03-01	VYDAJ	VYBER	7500	27676	\N	\N	\N
1548704	5269	1997-03-31	VYDAJ	VYBER	7500	30830	\N	\N	\N
1548705	5269	1997-04-30	VYDAJ	VYBER	9600	29378	\N	\N	\N
1548706	5269	1997-05-30	VYDAJ	VYBER	10600	29283	\N	\N	\N
1548707	5269	1997-06-29	VYDAJ	VYBER	14900	35303	\N	\N	\N
1548708	5269	1997-07-29	VYDAJ	VYBER	13800	30387	\N	\N	\N
1548709	5269	1997-08-28	VYDAJ	VYBER	11200	29863	\N	\N	\N
1548710	5269	1997-09-27	VYDAJ	VYBER	11600	26640	\N	\N	\N
1548711	5269	1997-10-27	VYDAJ	VYBER	9200	28091	\N	\N	\N
1548712	5269	1997-11-26	VYDAJ	VYBER	9500	24912	\N	\N	\N
1548713	5269	1997-12-26	VYDAJ	VYBER	18200	26166	\N	\N	\N
1548714	5269	1998-01-25	VYDAJ	VYBER	4800	13381	\N	\N	\N
1548715	5269	1998-02-24	VYDAJ	VYBER	7400	16581	\N	\N	\N
1548716	5269	1998-04-25	VYDAJ	VYBER	20300	13025	\N	\N	\N
1548717	5269	1998-06-24	VYDAJ	VYBER	26900	17592	\N	\N	\N
1548718	5269	1998-08-23	VYDAJ	VYBER	20100	14059	\N	\N	\N
1548749	5270	1993-01-13	PRIJEM	VKLAD	800	800	\N	\N	\N
1548750	5270	1993-01-14	PRIJEM	PREVOD Z UCTU	44749	45549	\N	IJ	80269753
1548751	5270	1993-02-14	PRIJEM	PREVOD Z UCTU	44749	80808	\N	IJ	80269753
1548752	5270	1993-03-14	PRIJEM	PREVOD Z UCTU	44749	125826	\N	IJ	80269753
1548753	5270	1993-04-14	PRIJEM	PREVOD Z UCTU	44749	81934	\N	IJ	80269753
1548754	5270	1993-05-14	PRIJEM	PREVOD Z UCTU	44749	99165	\N	IJ	80269753
1548755	5270	1993-06-14	PRIJEM	PREVOD Z UCTU	67124	112613	\N	IJ	80269753
1548756	5270	1993-07-14	PRIJEM	PREVOD Z UCTU	44749	76001	\N	IJ	80269753
1548757	5270	1993-08-14	PRIJEM	PREVOD Z UCTU	44749	80230	\N	IJ	80269753
1548758	5270	1993-09-14	PRIJEM	PREVOD Z UCTU	44749	100843	\N	IJ	80269753
1548759	5270	1993-10-14	PRIJEM	PREVOD Z UCTU	44749	95838	\N	IJ	80269753
1548760	5270	1993-11-14	PRIJEM	PREVOD Z UCTU	44749	106846	\N	IJ	80269753
1548761	5270	1993-12-14	PRIJEM	PREVOD Z UCTU	67124	117028	\N	IJ	80269753
1548762	5270	1994-01-14	PRIJEM	PREVOD Z UCTU	44749	69658	\N	IJ	80269753
1548763	5270	1994-02-14	PRIJEM	PREVOD Z UCTU	44749	72472	\N	IJ	80269753
1548764	5270	1994-03-14	PRIJEM	PREVOD Z UCTU	44749	80362	\N	IJ	80269753
1548765	5270	1994-04-14	PRIJEM	PREVOD Z UCTU	44749	79278	\N	IJ	80269753
1548766	5270	1994-05-14	PRIJEM	PREVOD Z UCTU	44749	89777	\N	IJ	80269753
1548767	5270	1994-06-14	PRIJEM	PREVOD Z UCTU	67124	89103	\N	IJ	80269753
1548768	5270	1994-07-14	PRIJEM	PREVOD Z UCTU	44749	73954	\N	IJ	80269753
1548769	5270	1994-08-14	PRIJEM	PREVOD Z UCTU	44749	93645	\N	IJ	80269753
1548770	5270	1994-09-14	PRIJEM	PREVOD Z UCTU	44749	103111	\N	IJ	80269753
1548771	5270	1994-10-14	PRIJEM	PREVOD Z UCTU	44749	107130	\N	IJ	80269753
1548772	5270	1994-11-14	PRIJEM	PREVOD Z UCTU	44749	92800	\N	IJ	80269753
1548773	5270	1994-12-14	PRIJEM	PREVOD Z UCTU	67124	113131	\N	IJ	80269753
1548774	5270	1995-01-14	PRIJEM	PREVOD Z UCTU	44749	85342	\N	IJ	80269753
1548775	5270	1995-02-14	PRIJEM	PREVOD Z UCTU	44749	69221	\N	IJ	80269753
1548776	5270	1995-03-14	PRIJEM	PREVOD Z UCTU	44749	93042	\N	IJ	80269753
1548777	5270	1995-04-14	PRIJEM	PREVOD Z UCTU	44749	107199	\N	IJ	80269753
1548778	5270	1995-05-14	PRIJEM	PREVOD Z UCTU	44749	114827	\N	IJ	80269753
1548779	5270	1995-06-14	PRIJEM	PREVOD Z UCTU	67124	111932	\N	IJ	80269753
1548780	5270	1995-07-14	PRIJEM	PREVOD Z UCTU	44749	78369	\N	IJ	80269753
1548781	5270	1995-08-14	PRIJEM	PREVOD Z UCTU	44749	98539	\N	IJ	80269753
1548782	5270	1995-09-14	PRIJEM	PREVOD Z UCTU	44749	103298	\N	IJ	80269753
1548783	5270	1995-10-14	PRIJEM	PREVOD Z UCTU	44749	97506	\N	IJ	80269753
1548784	5270	1995-11-14	PRIJEM	PREVOD Z UCTU	44749	97883	\N	IJ	80269753
1548785	5270	1995-12-14	PRIJEM	PREVOD Z UCTU	67124	122720	\N	IJ	80269753
1548786	5270	1996-01-14	PRIJEM	PREVOD Z UCTU	44749	75776	\N	IJ	80269753
1548787	5270	1996-02-14	PRIJEM	PREVOD Z UCTU	44749	74611	\N	IJ	80269753
1548788	5270	1996-03-14	PRIJEM	PREVOD Z UCTU	44749	87075	\N	IJ	80269753
1548789	5270	1996-04-14	PRIJEM	PREVOD Z UCTU	44749	96380	\N	IJ	80269753
1548790	5270	1996-05-14	PRIJEM	PREVOD Z UCTU	44749	100824	\N	IJ	80269753
1548791	5270	1996-06-14	PRIJEM	PREVOD Z UCTU	67124	126553	\N	IJ	80269753
1548792	5270	1996-07-14	PRIJEM	PREVOD Z UCTU	44749	91461	\N	IJ	80269753
1548793	5270	1996-08-14	PRIJEM	PREVOD Z UCTU	44749	100069	\N	IJ	80269753
1548794	5270	1996-09-14	PRIJEM	PREVOD Z UCTU	44749	84431	\N	IJ	80269753
1548795	5270	1996-10-14	PRIJEM	PREVOD Z UCTU	44749	80753	\N	IJ	80269753
1548796	5270	1996-11-14	PRIJEM	PREVOD Z UCTU	44749	79175	\N	IJ	80269753
1548797	5270	1996-12-14	PRIJEM	PREVOD Z UCTU	67124	120704	\N	IJ	80269753
1548798	5270	1997-01-14	PRIJEM	PREVOD Z UCTU	44749	92139	\N	IJ	80269753
1548799	5270	1997-02-14	PRIJEM	PREVOD Z UCTU	44749	72458	\N	IJ	80269753
1548800	5270	1997-03-14	PRIJEM	PREVOD Z UCTU	44749	83644	\N	IJ	80269753
1548801	5270	1997-04-14	PRIJEM	PREVOD Z UCTU	44749	101517	\N	IJ	80269753
1548802	5270	1997-05-14	PRIJEM	PREVOD Z UCTU	44749	105446	\N	IJ	80269753
1548803	5270	1997-06-14	PRIJEM	PREVOD Z UCTU	67124	121003	\N	IJ	80269753
1548804	5270	1997-07-14	PRIJEM	PREVOD Z UCTU	44749	110645	\N	IJ	80269753
1548805	5270	1997-08-14	PRIJEM	PREVOD Z UCTU	44749	115702	\N	IJ	80269753
1548806	5270	1997-09-14	PRIJEM	PREVOD Z UCTU	44749	92547	\N	IJ	80269753
1548807	5270	1997-10-14	PRIJEM	PREVOD Z UCTU	44749	110272	\N	IJ	80269753
1548808	5270	1997-11-14	PRIJEM	PREVOD Z UCTU	44749	111424	\N	IJ	80269753
1548809	5270	1997-12-14	PRIJEM	PREVOD Z UCTU	67124	136655	\N	IJ	80269753
1548810	5270	1998-01-14	PRIJEM	PREVOD Z UCTU	44749	77584	\N	IJ	80269753
1548811	5270	1998-02-14	PRIJEM	PREVOD Z UCTU	44749	82053	\N	IJ	80269753
1548812	5270	1998-03-14	PRIJEM	PREVOD Z UCTU	44749	84581	\N	IJ	80269753
1548813	5270	1998-04-14	PRIJEM	PREVOD Z UCTU	44749	83097	\N	IJ	80269753
1548814	5270	1998-05-14	PRIJEM	PREVOD Z UCTU	44749	109572	\N	IJ	80269753
1548815	5270	1998-06-14	PRIJEM	PREVOD Z UCTU	67124	110171	\N	IJ	80269753
1548816	5270	1998-07-14	PRIJEM	PREVOD Z UCTU	44749	83528	\N	IJ	80269753
1548817	5270	1998-08-14	PRIJEM	PREVOD Z UCTU	44749	86296	\N	IJ	80269753
1548818	5270	1998-09-14	PRIJEM	PREVOD Z UCTU	44749	104291	\N	IJ	80269753
1548819	5270	1998-10-14	PRIJEM	PREVOD Z UCTU	44749	95456	\N	IJ	80269753
1548820	5270	1998-11-14	PRIJEM	PREVOD Z UCTU	44749	81393	\N	IJ	80269753
1548821	5270	1998-12-14	PRIJEM	PREVOD Z UCTU	67124	124982	\N	IJ	80269753
1548827	5270	1993-06-10	VYDAJ	VYBER	3300	74616	\N	\N	0
1548828	5270	1993-07-19	VYDAJ	VYBER	2000	74001	\N	\N	0
1548829	5270	1993-08-07	VYDAJ	VYBER	3700	48181	\N	\N	0
1548830	5270	1993-09-18	VYDAJ	VYBER	3400	97443	\N	\N	0
1548831	5270	1993-10-12	VYDAJ	VYBER	3700	51089	\N	\N	0
1548832	5270	1993-11-16	VYDAJ	VYBER	3100	103746	\N	\N	0
1548833	5270	1993-12-12	VYDAJ	PREVOD NA UCET	3317	49904	UVER	CD	13973260
1548834	5270	1994-01-12	VYDAJ	PREVOD NA UCET	3317	24909	UVER	CD	13973260
1548835	5270	1994-02-12	VYDAJ	PREVOD NA UCET	3317	27723	UVER	CD	13973260
1548836	5270	1994-03-12	VYDAJ	PREVOD NA UCET	3317	35613	UVER	CD	13973260
1548837	5270	1994-04-12	VYDAJ	PREVOD NA UCET	3317	34529	UVER	CD	13973260
1548838	5270	1994-05-12	VYDAJ	PREVOD NA UCET	3317	45028	UVER	CD	13973260
1548839	5270	1994-06-12	VYDAJ	PREVOD NA UCET	3317	21979	UVER	CD	13973260
1548840	5270	1994-07-12	VYDAJ	PREVOD NA UCET	3317	29205	UVER	CD	13973260
1548841	5270	1994-08-12	VYDAJ	PREVOD NA UCET	3317	48896	UVER	CD	13973260
1548842	5270	1994-09-12	VYDAJ	PREVOD NA UCET	3317	58362	UVER	CD	13973260
1548843	5270	1994-10-12	VYDAJ	PREVOD NA UCET	3317	62381	UVER	CD	13973260
1548844	5270	1994-11-12	VYDAJ	PREVOD NA UCET	3317	48051	UVER	CD	13973260
1548845	5270	1994-12-12	VYDAJ	PREVOD NA UCET	3317	46007	UVER	CD	13973260
1548846	5270	1995-01-12	VYDAJ	PREVOD NA UCET	3317	40593	UVER	CD	13973260
1548847	5270	1995-02-12	VYDAJ	PREVOD NA UCET	3317	24472	UVER	CD	13973260
1548848	5270	1995-03-12	VYDAJ	PREVOD NA UCET	3317	48293	UVER	CD	13973260
1548849	5270	1995-04-12	VYDAJ	PREVOD NA UCET	3317	62450	UVER	CD	13973260
1548850	5270	1995-05-12	VYDAJ	PREVOD NA UCET	3317	70078	UVER	CD	13973260
1548851	5270	1995-06-12	VYDAJ	PREVOD NA UCET	3317	44808	UVER	CD	13973260
1548852	5270	1995-07-12	VYDAJ	PREVOD NA UCET	3317	33620	UVER	CD	13973260
1548853	5270	1995-08-12	VYDAJ	PREVOD NA UCET	3317	53790	UVER	CD	13973260
1548854	5270	1995-09-12	VYDAJ	PREVOD NA UCET	3317	58549	UVER	CD	13973260
1548855	5270	1995-10-12	VYDAJ	PREVOD NA UCET	3317	52757	UVER	CD	13973260
1548856	5270	1995-11-12	VYDAJ	PREVOD NA UCET	3317	53134	UVER	CD	13973260
1548857	5270	1995-11-29	VYDAJ	VYBER	3800	55283	\N	\N	0
1548858	5270	1996-01-15	VYDAJ	VYBER	2300	73476	\N	\N	0
1548859	5270	1996-01-29	VYDAJ	VYBER	3200	29676	\N	\N	0
1548860	5270	1996-03-05	VYDAJ	VYBER	4000	42326	\N	\N	0
1548861	5270	1996-04-13	VYDAJ	VYBER	2100	51631	\N	\N	0
1548862	5270	1996-05-09	VYDAJ	VYBER	4000	57875	\N	\N	0
1548863	5270	1996-05-31	VYDAJ	VYBER	4200	59443	\N	\N	0
1548864	5270	1996-07-05	VYDAJ	VYBER	2700	46712	\N	\N	0
1548865	5270	1996-08-25	VYDAJ	VYBER	3700	96369	\N	\N	0
1548866	5270	1996-09-08	VYDAJ	VYBER	3400	39682	\N	\N	0
1548867	5270	1996-10-11	VYDAJ	VYBER	3700	36004	\N	\N	0
1548868	5270	1996-11-01	VYDAJ	VYBER	2100	34426	\N	\N	0
1548869	5270	1996-12-14	VYDAJ	VYBER	3300	117404	\N	\N	0
1548870	5270	1997-01-03	VYDAJ	VYBER	4500	63601	\N	\N	0
1548871	5270	1997-02-12	VYDAJ	VYBER	2900	27709	\N	\N	0
1548872	5270	1997-03-13	VYDAJ	VYBER	2000	38895	\N	\N	0
1548873	5270	1997-04-09	VYDAJ	VYBER	2700	56768	\N	\N	0
1548874	5270	1997-05-06	VYDAJ	VYBER	3800	60697	\N	\N	0
1548875	5270	1997-06-12	VYDAJ	VYBER	3500	53879	\N	\N	0
1548876	5270	1997-07-11	VYDAJ	VYBER	3300	65896	\N	\N	0
1548877	5270	1997-08-21	VYDAJ	VYBER	3000	74102	\N	\N	0
1548878	5270	1997-09-10	VYDAJ	VYBER	3300	47798	\N	\N	0
1548879	5270	1997-10-05	VYDAJ	VYBER	2000	65523	\N	\N	0
1548880	5270	1997-11-15	VYDAJ	VYBER	3000	108424	\N	\N	0
1548881	5270	1997-12-13	VYDAJ	VYBER	3700	69531	\N	\N	0
1548882	5270	1998-01-07	VYDAJ	VYBER	3300	32835	\N	\N	0
1548883	5270	1998-02-09	VYDAJ	VYBER	3200	37304	\N	\N	0
1548884	5270	1998-03-15	VYDAJ	VYBER	3100	81481	\N	\N	0
1548885	5270	1998-04-04	VYDAJ	VYBER	2800	38348	\N	\N	0
1548886	5270	1998-05-12	VYDAJ	VYBER	3600	64823	\N	\N	0
1548887	5270	1998-06-10	VYDAJ	VYBER	3400	43047	\N	\N	0
1548888	5270	1998-06-24	VYDAJ	VYBER	3100	41671	\N	\N	0
1548889	5270	1998-08-29	VYDAJ	VYBER	3400	64396	\N	\N	0
1548890	5270	1998-09-19	VYDAJ	VYBER	2100	74491	\N	\N	0
1548891	5270	1998-10-15	VYDAJ	VYBER	4500	62956	\N	\N	0
1548892	5270	1998-11-05	VYDAJ	VYBER	3200	59976	\N	\N	0
1548893	5270	1998-12-18	VYDAJ	VYBER	3000	105760	\N	\N	0
1548895	5270	1993-06-11	VYBER	VYBER	10027	64589	\N	\N	\N
1548896	5270	1993-07-27	VYBER	VYBER	22360	51641	\N	\N	\N
1548898	5270	1993-07-05	VYBER	VYBER	21362	33652	\N	\N	\N
1548900	5270	1993-12-03	VYBER	VYBER	8029	88021	\N	\N	\N
1548901	5270	1994-01-03	VYBER	VYBER	18108	31926	\N	\N	\N
1548902	5270	1994-04-04	VYBER	VYBER	8751	68246	\N	\N	\N
1548903	5270	1994-12-07	VYBER	VYBER	15218	49324	\N	\N	\N
1548904	5270	1994-05-10	VYBER	VYBER	4051	48345	\N	\N	\N
1548905	5270	1994-04-25	VYBER	VYBER	3659	75619	\N	\N	\N
1548906	5270	1994-03-05	VYBER	VYBER	15659	52530	\N	\N	\N
1548908	5270	1994-01-01	VYBER	VYBER	24590	50034	\N	\N	\N
1548909	5270	1994-07-10	VYBER	VYBER	16933	32522	\N	\N	\N
1548910	5270	1994-06-20	VYBER	VYBER	16916	72187	\N	\N	\N
1548911	5270	1994-11-12	VYBER	VYBER	4294	51368	\N	\N	\N
1548912	5270	1994-10-23	VYBER	VYBER	20055	87075	\N	\N	\N
1548913	5270	1994-03-19	VYBER	VYBER	3631	76731	\N	\N	\N
1548914	5270	1995-01-19	VYBER	VYBER	10872	65470	\N	\N	\N
1548915	5270	1995-06-12	VYBER	VYBER	11473	48125	\N	\N	\N
1548916	5270	1995-11-12	VYBER	VYBER	12079	56451	\N	\N	\N
1548918	5270	1996-10-31	VYBER	VYBER	16550	36541	\N	\N	\N
1548919	5270	1996-09-28	VYBER	VYBER	6064	48167	\N	\N	\N
1548921	5270	1997-05-25	VYBER	VYBER	9253	57093	\N	\N	\N
1548922	5270	1997-12-15	VYBER	VYBER	24441	53814	\N	\N	\N
1548923	5270	1997-02-25	VYBER	VYBER	8629	40729	\N	\N	\N
1548924	5270	1997-09-10	VYBER	VYBER	23284	51098	\N	\N	\N
1548925	5270	1997-01-14	VYBER	VYBER	15339	76800	\N	\N	\N
1548926	5270	1997-01-13	VYBER	VYBER	7811	47390	\N	\N	\N
1548927	5270	1998-06-07	VYBER	VYBER	17123	46447	\N	\N	\N
1548928	5270	1998-12-18	VYBER	VYBER	16222	108760	\N	\N	\N
1548929	5270	1998-03-01	VYBER	VYBER	22421	39832	\N	\N	\N
1548930	5270	1998-11-13	VYBER	VYBER	11532	38844	\N	\N	\N
1548932	5270	1998-06-26	VYBER	VYBER	3078	38593	\N	\N	\N
1548934	5270	1998-01-17	VYBER	VYBER	10643	57641	\N	\N	\N
1548936	5270	1998-08-05	VYBER	VYBER	9472	54747	\N	\N	\N
1548937	5270	1998-04-04	VYBER	VYBER	19576	41148	\N	\N	\N
1548938	5270	1998-09-29	VYBER	VYBER	24065	50426	\N	\N	\N
1548939	5270	1993-06-24	VYDAJ	VYBER	40200	54713	\N	\N	\N
1548940	5270	1994-06-05	VYDAJ	VYBER	66300	23796	\N	\N	\N
1548941	5270	1995-06-14	VYDAJ	VYBER	35400	76532	\N	\N	\N
1548944	5270	1998-06-15	VYDAJ	VYBER	65700	44471	\N	\N	\N
1548947	5270	1995-01-29	VYDAJ	VYBER	20700	26470	\N	\N	\N
1548948	5270	1996-01-26	VYDAJ	VYBER	13200	45876	\N	\N	\N
1548949	5270	1997-01-26	VYDAJ	VYBER	4200	36100	\N	\N	\N
1548951	5270	1993-12-02	VYDAJ	VYBER	8100	96050	\N	\N	\N
1548952	5270	1994-12-17	VYDAJ	VYBER	7800	74331	\N	\N	\N
1548953	5270	1995-12-28	VYDAJ	VYBER	2400	45820	\N	\N	\N
1548954	5270	1996-12-21	VYDAJ	VYBER	7200	110204	\N	\N	\N
1548955	5270	1997-12-27	VYDAJ	VYBER	6300	35914	\N	\N	\N
1548956	5270	1998-12-12	VYDAJ	VYBER	4200	77458	\N	\N	\N
1548963	5270	1994-01-26	VYDAJ	VYBER	7800	37858	\N	\N	\N
1548964	5270	1994-01-23	VYDAJ	VYBER	8400	51958	\N	\N	\N
1548965	5270	1994-01-08	VYDAJ	VYBER	5400	28226	\N	\N	\N
1548966	5270	1994-01-25	VYDAJ	VYBER	6300	45658	\N	\N	\N
1548967	5270	1994-01-19	VYDAJ	VYBER	6600	63058	\N	\N	\N
1548968	5270	1994-01-20	VYDAJ	VYBER	2700	60358	\N	\N	\N
1548969	5270	1995-01-21	VYDAJ	VYBER	3600	53170	\N	\N	\N
1548970	5270	1995-01-28	VYDAJ	VYBER	6000	47170	\N	\N	\N
1548971	5270	1995-01-18	VYDAJ	VYBER	2700	76342	\N	\N	\N
1548972	5270	1995-01-17	VYDAJ	VYBER	6300	79042	\N	\N	\N
1548973	5270	1995-01-09	VYDAJ	VYBER	2400	43910	\N	\N	\N
1548974	5270	1995-01-20	VYDAJ	VYBER	8700	56770	\N	\N	\N
1548975	5270	1996-01-23	VYDAJ	VYBER	6900	59076	\N	\N	\N
1548976	5270	1996-01-18	VYDAJ	VYBER	7500	65976	\N	\N	\N
1548977	5270	1996-01-27	VYDAJ	VYBER	8100	37776	\N	\N	\N
1548978	5270	1996-01-04	VYDAJ	VYBER	8400	31027	\N	\N	\N
1548981	5270	1997-01-19	VYDAJ	VYBER	6900	65100	\N	\N	\N
1548982	5270	1997-01-23	VYDAJ	VYBER	5100	40300	\N	\N	\N
1548983	5270	1997-01-29	VYDAJ	VYBER	5700	30400	\N	\N	\N
1548984	5270	1997-01-21	VYDAJ	VYBER	4200	60900	\N	\N	\N
1548985	5270	1997-01-17	VYDAJ	VYBER	4800	72000	\N	\N	\N
1548986	5270	1997-01-06	VYDAJ	VYBER	8400	55201	\N	\N	\N
1548987	5270	1998-01-22	VYDAJ	VYBER	5400	40341	\N	\N	\N
1548988	5270	1998-01-15	VYDAJ	VYBER	4800	72784	\N	\N	\N
1548990	5270	1998-01-15	VYDAJ	VYBER	4500	68284	\N	\N	\N
1548993	5270	1993-05-22	VYDAJ	VYBER	11400	87765	\N	\N	\N
1548994	5270	1993-05-31	VYDAJ	VYBER	10200	77931	\N	\N	\N
1548996	5270	1993-09-20	VYDAJ	VYBER	11100	86343	\N	\N	\N
1548997	5270	1993-12-08	VYDAJ	VYBER	6000	82021	\N	\N	\N
1548999	5270	1994-10-28	VYDAJ	VYBER	4800	82275	\N	\N	\N
1549001	5270	1994-03-01	VYDAJ	VYBER	4500	68189	\N	\N	\N
1549002	5270	1994-12-26	VYDAJ	VYBER	11400	62931	\N	\N	\N
1549003	5270	1994-07-06	VYDAJ	VYBER	1800	70655	\N	\N	\N
1549004	5270	1994-04-11	VYDAJ	VYBER	8400	37846	\N	\N	\N
1549005	5270	1995-08-18	VYDAJ	VYBER	12900	85639	\N	\N	\N
1549006	5270	1995-11-24	VYDAJ	VYBER	11400	86483	\N	\N	\N
1549007	5270	1995-12-23	VYDAJ	VYBER	12600	48220	\N	\N	\N
1549008	5270	1995-10-09	VYDAJ	VYBER	11100	56074	\N	\N	\N
1549009	5270	1995-05-18	VYDAJ	VYBER	1800	86227	\N	\N	\N
1549010	5270	1996-10-08	VYDAJ	VYBER	8700	39704	\N	\N	\N
1549011	5270	1996-05-10	VYDAJ	VYBER	1800	56075	\N	\N	\N
1549013	5270	1996-03-01	VYDAJ	VYBER	5400	46326	\N	\N	\N
1549014	5270	1996-04-03	VYDAJ	VYBER	4800	53731	\N	\N	\N
1549015	5270	1996-09-06	VYDAJ	VYBER	13500	43082	\N	\N	\N
1549016	5270	1997-06-17	VYDAJ	VYBER	5400	115603	\N	\N	\N
1549017	5270	1997-11-11	VYDAJ	VYBER	9300	66675	\N	\N	\N
1549018	5270	1997-02-17	VYDAJ	VYBER	5100	67358	\N	\N	\N
1549019	5270	1998-06-03	VYDAJ	VYBER	1500	63570	\N	\N	\N
1549020	5270	1998-09-07	VYDAJ	VYBER	5100	59542	\N	\N	\N
1549021	5270	1998-08-12	VYDAJ	VYBER	13200	41547	\N	\N	\N
1549022	5270	1998-11-07	VYDAJ	VYBER	9600	50376	\N	\N	\N
1549023	5270	1998-12-23	VYDAJ	VYBER	10800	94960	\N	\N	\N
1549024	5270	1998-06-03	VYDAJ	VYBER	14100	65070	\N	\N	\N
1549031	5270	1993-05-31	VYDAJ	VYBER	15	77916	SLUZBY	\N	\N
1549032	5270	1993-06-30	VYDAJ	VYBER	15	55014	SLUZBY	\N	\N
1549033	5270	1993-07-31	VYDAJ	VYBER	15	51881	SLUZBY	\N	\N
1549034	5270	1993-08-31	VYDAJ	VYBER	15	80494	SLUZBY	\N	\N
1549035	5270	1993-09-30	VYDAJ	VYBER	15	86689	SLUZBY	\N	\N
1549036	5270	1993-10-31	VYDAJ	VYBER	15	96197	SLUZBY	\N	\N
1549037	5270	1993-11-30	VYDAJ	VYBER	15	104150	SLUZBY	\N	\N
1549038	5270	1993-12-31	VYDAJ	VYBER	15	74624	SLUZBY	\N	\N
1549039	5270	1994-01-31	VYDAJ	VYBER	15	38040	SLUZBY	\N	\N
1549040	5270	1994-02-28	VYDAJ	VYBER	15	72689	SLUZBY	\N	\N
1549041	5270	1994-03-31	VYDAJ	VYBER	15	76997	SLUZBY	\N	\N
1549042	5270	1994-04-30	VYDAJ	VYBER	15	75896	SLUZBY	\N	\N
1549043	5270	1994-05-31	VYDAJ	VYBER	15	90096	SLUZBY	\N	\N
1549044	5270	1994-06-30	VYDAJ	VYBER	15	72455	SLUZBY	\N	\N
1549045	5270	1994-07-31	VYDAJ	VYBER	15	74213	SLUZBY	\N	\N
1549046	5270	1994-08-31	VYDAJ	VYBER	15	93979	SLUZBY	\N	\N
1549047	5270	1994-09-30	VYDAJ	VYBER	15	103498	SLUZBY	\N	\N
1549048	5270	1994-10-31	VYDAJ	VYBER	15	82662	SLUZBY	\N	\N
1549049	5270	1994-11-30	VYDAJ	VYBER	15	93142	SLUZBY	\N	\N
1549050	5270	1994-12-31	VYDAJ	VYBER	15	63210	SLUZBY	\N	\N
1549051	5270	1995-01-31	VYDAJ	VYBER	15	26689	SLUZBY	\N	\N
1549052	5270	1995-02-28	VYDAJ	VYBER	15	69410	SLUZBY	\N	\N
1549053	5270	1995-03-31	VYDAJ	VYBER	15	93367	SLUZBY	\N	\N
1549054	5270	1995-04-30	VYDAJ	VYBER	15	107595	SLUZBY	\N	\N
1549055	5270	1995-05-31	VYDAJ	VYBER	15	86598	SLUZBY	\N	\N
1549056	5270	1995-06-30	VYDAJ	VYBER	15	38337	SLUZBY	\N	\N
1549057	5270	1995-07-31	VYDAJ	VYBER	15	78607	SLUZBY	\N	\N
1549058	5270	1995-08-31	VYDAJ	VYBER	15	85966	SLUZBY	\N	\N
1549059	5270	1995-09-30	VYDAJ	VYBER	15	67174	SLUZBY	\N	\N
1549060	5270	1995-10-31	VYDAJ	VYBER	15	68530	SLUZBY	\N	\N
1549061	5270	1995-11-30	VYDAJ	VYBER	15	55596	SLUZBY	\N	\N
1549062	5270	1995-12-31	VYDAJ	VYBER	15	39427	SLUZBY	\N	\N
1549063	5270	1996-01-31	VYDAJ	VYBER	15	29862	SLUZBY	\N	\N
1549064	5270	1996-02-29	VYDAJ	VYBER	15	51726	SLUZBY	\N	\N
1549065	5270	1996-03-31	VYDAJ	VYBER	15	58531	SLUZBY	\N	\N
1549066	5270	1996-04-30	VYDAJ	VYBER	15	61875	SLUZBY	\N	\N
1549067	5270	1996-05-31	VYDAJ	VYBER	15	59429	SLUZBY	\N	\N
1549068	5270	1996-06-30	VYDAJ	VYBER	15	49412	SLUZBY	\N	\N
1549069	5270	1996-07-31	VYDAJ	VYBER	15	55320	SLUZBY	\N	\N
1549070	5270	1996-08-31	VYDAJ	VYBER	15	56582	SLUZBY	\N	\N
1549071	5270	1996-09-30	VYDAJ	VYBER	15	48404	SLUZBY	\N	\N
1549072	5270	1996-10-31	VYDAJ	VYBER	15	36526	SLUZBY	\N	\N
1549073	5270	1996-11-30	VYDAJ	VYBER	15	53580	SLUZBY	\N	\N
1549074	5270	1996-12-31	VYDAJ	VYBER	15	68101	SLUZBY	\N	\N
1549075	5270	1997-01-31	VYDAJ	VYBER	15	30609	SLUZBY	\N	\N
1549076	5270	1997-02-28	VYDAJ	VYBER	15	40895	SLUZBY	\N	\N
1549077	5270	1997-03-31	VYDAJ	VYBER	15	59468	SLUZBY	\N	\N
1549078	5270	1997-04-30	VYDAJ	VYBER	15	64497	SLUZBY	\N	\N
1549079	5270	1997-05-31	VYDAJ	VYBER	15	57379	SLUZBY	\N	\N
1549080	5270	1997-06-30	VYDAJ	VYBER	15	69196	SLUZBY	\N	\N
1549081	5270	1997-07-31	VYDAJ	VYBER	15	70953	SLUZBY	\N	\N
1549082	5270	1997-08-31	VYDAJ	VYBER	15	74382	SLUZBY	\N	\N
1549083	5270	1997-09-30	VYDAJ	VYBER	15	67523	SLUZBY	\N	\N
1549084	5270	1997-10-31	VYDAJ	VYBER	15	75975	SLUZBY	\N	\N
1549085	5270	1997-11-30	VYDAJ	VYBER	15	73231	SLUZBY	\N	\N
1549086	5270	1997-12-31	VYDAJ	VYBER	15	36135	SLUZBY	\N	\N
1549087	5270	1998-01-31	VYDAJ	VYBER	15	40504	SLUZBY	\N	\N
1549088	5270	1998-02-28	VYDAJ	VYBER	15	62253	SLUZBY	\N	\N
1549089	5270	1998-03-31	VYDAJ	VYBER	15	60724	SLUZBY	\N	\N
1549090	5270	1998-04-30	VYDAJ	VYBER	15	68423	SLUZBY	\N	\N
1549091	5270	1998-05-31	VYDAJ	VYBER	15	79170	SLUZBY	\N	\N
1549092	5270	1998-06-30	VYDAJ	VYBER	15	38779	SLUZBY	\N	\N
1549093	5270	1998-07-31	VYDAJ	VYBER	15	64219	SLUZBY	\N	\N
1549094	5270	1998-08-31	VYDAJ	VYBER	15	64642	SLUZBY	\N	\N
1549095	5270	1998-09-30	VYDAJ	VYBER	15	50707	SLUZBY	\N	\N
1549096	5270	1998-10-31	VYDAJ	VYBER	15	63176	SLUZBY	\N	\N
1549097	5270	1998-11-30	VYDAJ	VYBER	15	81658	SLUZBY	\N	\N
1549098	5270	1993-02-12	VYDAJ	VYBER	9600	36059	\N	\N	\N
1549099	5270	1993-03-14	VYDAJ	VYBER	51700	74126	\N	\N	\N
1549100	5270	1993-03-14	VYDAJ	VYBER	25300	48826	\N	\N	\N
1549101	5270	1993-04-13	VYDAJ	VYBER	11900	37185	\N	\N	\N
1549102	5270	1993-05-13	VYDAJ	VYBER	27800	54416	\N	\N	\N
1549103	5270	1993-06-12	VYDAJ	VYBER	19100	45489	\N	\N	\N
1549104	5270	1993-06-14	VYDAJ	VYBER	17700	94913	\N	\N	\N
1549105	5270	1993-07-12	VYDAJ	VYBER	2400	31252	\N	\N	\N
1549106	5270	1993-08-11	VYDAJ	VYBER	12700	35481	\N	\N	\N
1549107	5270	1993-09-10	VYDAJ	VYBER	24400	56094	\N	\N	\N
1549108	5270	1993-10-10	VYDAJ	VYBER	31900	54789	\N	\N	\N
1549109	5270	1993-11-09	VYDAJ	VYBER	34100	62097	\N	\N	\N
1549110	5270	1993-12-09	VYDAJ	VYBER	28800	53221	\N	\N	\N
1549111	5270	1993-12-14	VYDAJ	VYBER	42800	74228	\N	\N	\N
1549112	5270	1994-01-08	PRIJEM	VKLAD	1700	33626	\N	\N	\N
1549113	5270	1994-02-07	VYDAJ	VYBER	7000	31040	\N	\N	\N
1549114	5270	1994-03-09	VYDAJ	VYBER	13600	38930	\N	\N	\N
1549115	5270	1994-04-08	VYDAJ	VYBER	22000	46246	\N	\N	\N
1549116	5270	1994-05-08	VYDAJ	VYBER	23500	52396	\N	\N	\N
1549117	5270	1994-06-07	PRIJEM	VKLAD	1500	25296	\N	\N	\N
1549118	5270	1994-07-07	VYDAJ	VYBER	21200	49455	\N	\N	\N
1549119	5270	1994-08-06	VYDAJ	VYBER	22000	52213	\N	\N	\N
1549120	5270	1994-09-05	VYDAJ	VYBER	32300	61679	\N	\N	\N
1549121	5270	1994-10-05	VYDAJ	VYBER	37800	65698	\N	\N	\N
1549122	5270	1994-11-04	VYDAJ	VYBER	27000	55662	\N	\N	\N
1549123	5270	1994-12-04	VYDAJ	VYBER	28600	64542	\N	\N	\N
1549124	5270	1994-12-14	VYDAJ	VYBER	31000	82131	\N	\N	\N
1549125	5270	1995-01-03	VYDAJ	VYBER	16900	46310	\N	\N	\N
1549126	5270	1995-02-02	PRIJEM	VKLAD	1100	27789	\N	\N	\N
1549127	5270	1995-03-04	VYDAJ	VYBER	17800	51610	\N	\N	\N
1549128	5270	1995-04-03	VYDAJ	VYBER	27600	65767	\N	\N	\N
1549129	5270	1995-05-03	VYDAJ	VYBER	34200	73395	\N	\N	\N
1549130	5270	1995-05-14	VYDAJ	VYBER	26800	88027	\N	\N	\N
1549131	5270	1995-06-02	VYDAJ	VYBER	27000	59598	\N	\N	\N
1549132	5270	1995-06-14	VYDAJ	VYBER	38500	38032	\N	\N	\N
1549133	5270	1995-07-02	VYDAJ	VYBER	1400	36937	\N	\N	\N
1549134	5270	1995-08-01	VYDAJ	VYBER	21500	57107	\N	\N	\N
1549135	5270	1995-08-31	VYDAJ	VYBER	24100	61866	\N	\N	\N
1549136	5270	1995-09-30	VYDAJ	VYBER	36500	67189	\N	\N	\N
1549137	5270	1995-10-30	VYDAJ	VYBER	29300	68206	\N	\N	\N
1549138	5270	1995-11-29	VYDAJ	VYBER	27400	59083	\N	\N	\N
1549139	5270	1995-12-14	VYDAJ	VYBER	61900	60820	\N	\N	\N
1549140	5270	1995-12-29	VYDAJ	VYBER	6600	39220	\N	\N	\N
1549141	5270	1996-01-28	VYDAJ	VYBER	4900	32876	\N	\N	\N
1549142	5270	1996-02-27	VYDAJ	VYBER	23000	51611	\N	\N	\N
1549143	5270	1996-03-28	VYDAJ	VYBER	28800	58275	\N	\N	\N
1549144	5270	1996-04-27	VYDAJ	VYBER	34800	61580	\N	\N	\N
1549145	5270	1996-05-27	VYDAJ	VYBER	37500	63324	\N	\N	\N
1549146	5270	1996-06-14	VYDAJ	VYBER	44600	81953	\N	\N	\N
1549147	5270	1996-06-26	VYDAJ	VYBER	32800	49153	\N	\N	\N
1549148	5270	1996-07-26	VYDAJ	VYBER	36400	55061	\N	\N	\N
1549149	5270	1996-08-25	VYDAJ	VYBER	40000	56369	\N	\N	\N
1549150	5270	1996-09-24	VYDAJ	VYBER	30200	54231	\N	\N	\N
1549151	5270	1996-10-24	VYDAJ	VYBER	27900	52853	\N	\N	\N
1549152	5270	1996-11-23	VYDAJ	VYBER	25800	53375	\N	\N	\N
1549153	5270	1996-12-23	VYDAJ	VYBER	42400	67804	\N	\N	\N
1549154	5270	1997-01-22	VYDAJ	VYBER	15500	45400	\N	\N	\N
1549155	5270	1997-02-21	VYDAJ	VYBER	18000	49358	\N	\N	\N
1549156	5270	1997-03-23	VYDAJ	VYBER	24400	59244	\N	\N	\N
1549157	5270	1997-04-22	VYDAJ	VYBER	37300	64217	\N	\N	\N
1549158	5270	1997-05-22	VYDAJ	VYBER	39100	66346	\N	\N	\N
1549159	5270	1997-06-21	VYDAJ	VYBER	46700	68903	\N	\N	\N
1549160	5270	1997-07-21	VYDAJ	VYBER	40000	70645	\N	\N	\N
1549161	5270	1997-08-20	VYDAJ	VYBER	38600	77102	\N	\N	\N
1549162	5270	1997-09-19	VYDAJ	VYBER	25300	67247	\N	\N	\N
1549163	5270	1997-10-19	VYDAJ	VYBER	34600	75672	\N	\N	\N
1549164	5270	1997-11-18	VYDAJ	VYBER	35500	72924	\N	\N	\N
1549165	5270	1997-12-14	VYDAJ	VYBER	58400	78255	\N	\N	\N
1549166	5270	1997-12-18	VYDAJ	VYBER	11600	42214	\N	\N	\N
1549167	5270	1998-01-17	VYDAJ	VYBER	11900	45741	\N	\N	\N
1549168	5270	1998-02-16	VYDAJ	VYBER	20000	62053	\N	\N	\N
1549169	5270	1998-03-18	VYDAJ	VYBER	21000	60481	\N	\N	\N
1549170	5270	1998-04-17	VYDAJ	VYBER	14900	68197	\N	\N	\N
1549171	5270	1998-05-17	VYDAJ	VYBER	30700	78872	\N	\N	\N
1549172	5270	1998-06-16	PRIJEM	VKLAD	300	44771	\N	\N	\N
1549173	5270	1998-07-16	VYDAJ	VYBER	19500	64028	\N	\N	\N
1549174	5270	1998-08-15	VYDAJ	VYBER	18500	67796	\N	\N	\N
1549175	5270	1998-09-14	VYDAJ	VYBER	27700	76591	\N	\N	\N
1549176	5270	1998-10-14	VYDAJ	VYBER	28000	67456	\N	\N	\N
1549177	5270	1998-11-13	VYDAJ	VYBER	2200	36644	\N	\N	\N
1549178	5270	1998-12-13	VYDAJ	VYBER	19600	57858	\N	\N	\N
1552687	5283	1997-09-18	PRIJEM	VKLAD	700	700	\N	\N	\N
1552697	5283	1997-10-14	PRIJEM	PREVOD Z UCTU	45222	45922	\N	IJ	10724074
1555563	5290	1997-07-26	PRIJEM	VKLAD	42415	42915	\N	\N	\N
1552698	5283	1997-11-14	PRIJEM	PREVOD Z UCTU	45222	80410	\N	IJ	10724074
1552699	5283	1997-12-14	PRIJEM	PREVOD Z UCTU	67833	121425	\N	IJ	10724074
1552700	5283	1998-01-14	PRIJEM	PREVOD Z UCTU	45222	109209	\N	IJ	10724074
1552701	5283	1998-02-14	PRIJEM	PREVOD Z UCTU	45222	91959	\N	IJ	10724074
1552702	5283	1998-03-14	PRIJEM	PREVOD Z UCTU	45222	107749	\N	IJ	10724074
1552703	5283	1998-04-14	PRIJEM	PREVOD Z UCTU	45222	85648	\N	IJ	10724074
1552704	5283	1998-05-14	PRIJEM	PREVOD Z UCTU	45222	72321	\N	IJ	10724074
1552705	5283	1998-06-14	PRIJEM	PREVOD Z UCTU	67833	110082	\N	IJ	10724074
1552706	5283	1998-07-14	PRIJEM	PREVOD Z UCTU	45222	107783	\N	IJ	10724074
1552707	5283	1998-08-14	PRIJEM	PREVOD Z UCTU	45222	110028	\N	IJ	10724074
1552708	5283	1998-09-14	PRIJEM	PREVOD Z UCTU	45222	94788	\N	IJ	10724074
1552709	5283	1998-10-14	PRIJEM	PREVOD Z UCTU	45222	106783	\N	IJ	10724074
1552710	5283	1998-11-14	PRIJEM	PREVOD Z UCTU	45222	106666	\N	IJ	10724074
1552711	5283	1998-12-14	PRIJEM	PREVOD Z UCTU	67833	141462	\N	IJ	10724074
1552726	5283	1998-03-20	VYDAJ	VYBER	2900	60100	\N	\N	0
1552727	5283	1998-04-09	VYDAJ	VYBER	3800	56561	\N	\N	0
1552728	5283	1998-05-08	VYDAJ	VYBER	3300	39399	\N	\N	0
1552729	5283	1998-06-12	VYDAJ	VYBER	4100	42249	\N	\N	0
1552730	5283	1998-07-25	VYDAJ	VYBER	3600	67234	\N	\N	0
1552731	5283	1998-07-31	VYDAJ	VYBER	2700	64821	\N	\N	0
1552732	5283	1998-09-12	VYDAJ	PREVOD NA UCET	3559	48566	UVER	KL	94041960
1552733	5283	1998-10-12	VYDAJ	PREVOD NA UCET	3559	81861	UVER	KL	94041960
1552734	5283	1998-11-12	VYDAJ	PREVOD NA UCET	3559	61444	UVER	KL	94041960
1552735	5283	1998-12-12	VYDAJ	PREVOD NA UCET	3559	93829	UVER	KL	94041960
1552749	5283	1998-02-14	VYDAJ	PREVOD NA UCET	9649	82310	SIPO	YZ	67168420
1552750	5283	1998-03-14	VYDAJ	PREVOD NA UCET	9649	98100	SIPO	YZ	67168420
1552751	5283	1998-04-14	VYDAJ	PREVOD NA UCET	9649	75999	SIPO	YZ	67168420
1552752	5283	1998-05-14	VYDAJ	PREVOD NA UCET	9649	62672	SIPO	YZ	67168420
1552753	5283	1998-06-14	VYDAJ	PREVOD NA UCET	9649	100433	SIPO	YZ	67168420
1552754	5283	1998-07-14	VYDAJ	PREVOD NA UCET	9649	98134	SIPO	YZ	67168420
1552755	5283	1998-08-14	VYDAJ	PREVOD NA UCET	9649	51879	SIPO	YZ	67168420
1552756	5283	1998-09-14	VYDAJ	PREVOD NA UCET	9649	85139	SIPO	YZ	67168420
1552757	5283	1998-10-14	VYDAJ	PREVOD NA UCET	9649	97134	SIPO	YZ	67168420
1552758	5283	1998-11-14	VYDAJ	PREVOD NA UCET	9649	97017	SIPO	YZ	67168420
1552759	5283	1998-12-14	VYDAJ	PREVOD NA UCET	9649	79813	SIPO	YZ	67168420
1552762	5283	1998-04-26	VYBER	VYBER	4215	42484	\N	\N	\N
1552763	5283	1998-04-13	VYBER	VYBER	16135	40426	\N	\N	\N
1552769	5283	1998-12-23	VYDAJ	VYBER	3600	57513	\N	\N	\N
1552789	5283	1998-04-20	VYDAJ	VYBER	10800	46699	\N	\N	\N
1552790	5283	1998-11-07	VYDAJ	VYBER	6000	85203	\N	\N	\N
1552791	5283	1998-05-19	VYDAJ	VYBER	9900	46172	\N	\N	\N
1552792	5283	1998-05-11	VYDAJ	VYBER	12300	27099	\N	\N	\N
1552793	5283	1998-10-22	VYDAJ	VYBER	6300	90834	\N	\N	\N
1552794	5283	1998-07-08	VYDAJ	VYBER	3000	62561	\N	\N	\N
1552809	5283	1998-02-28	VYDAJ	VYBER	15	62527	SLUZBY	\N	\N
1552810	5283	1998-03-31	VYDAJ	VYBER	15	60361	SLUZBY	\N	\N
1552811	5283	1998-04-30	VYDAJ	VYBER	15	42699	SLUZBY	\N	\N
1552812	5283	1998-05-31	VYDAJ	VYBER	15	46349	SLUZBY	\N	\N
1552813	5283	1998-06-30	VYDAJ	VYBER	15	65561	SLUZBY	\N	\N
1552814	5283	1998-07-31	VYDAJ	VYBER	15	64806	SLUZBY	\N	\N
1552815	5283	1998-08-31	VYDAJ	VYBER	15	52125	SLUZBY	\N	\N
1552816	5283	1998-09-30	VYDAJ	VYBER	15	85420	SLUZBY	\N	\N
1552817	5283	1998-10-31	VYDAJ	VYBER	15	91203	SLUZBY	\N	\N
1552818	5283	1998-11-30	VYDAJ	VYBER	15	97388	SLUZBY	\N	\N
1552819	5283	1997-10-18	VYDAJ	VYBER	10800	35122	\N	\N	\N
1552820	5283	1997-11-17	VYDAJ	VYBER	27000	53410	\N	\N	\N
1552821	5283	1997-12-14	VYDAJ	VYBER	22500	98925	\N	\N	\N
1552822	5283	1997-12-17	VYDAJ	VYBER	35200	63725	\N	\N	\N
1552823	5283	1998-01-14	VYDAJ	VYBER	47400	61809	\N	\N	\N
1552824	5283	1998-01-16	VYDAJ	VYBER	15300	46509	\N	\N	\N
1552825	5283	1998-02-15	VYDAJ	VYBER	20000	62310	\N	\N	\N
1552826	5283	1998-03-14	VYDAJ	VYBER	17100	81000	\N	\N	\N
1552827	5283	1998-03-17	VYDAJ	VYBER	18000	63000	\N	\N	\N
1552828	5283	1998-04-16	VYDAJ	VYBER	18500	57499	\N	\N	\N
1552829	5283	1998-05-16	VYDAJ	VYBER	6600	56072	\N	\N	\N
1552830	5283	1998-06-14	VYDAJ	VYBER	15900	84533	\N	\N	\N
1552831	5283	1998-06-15	VYDAJ	VYBER	19200	65333	\N	\N	\N
1552832	5283	1998-07-15	VYDAJ	VYBER	27300	70834	\N	\N	\N
1552833	5283	1998-08-14	VYDAJ	VYBER	43900	66128	\N	\N	\N
1552834	5283	1998-08-14	VYDAJ	VYBER	4600	61528	\N	\N	\N
1552835	5283	1998-09-13	PRIJEM	VKLAD	1000	49566	\N	\N	\N
1552836	5283	1998-10-13	VYDAJ	VYBER	20300	61561	\N	\N	\N
1552837	5283	1998-11-12	VYDAJ	VYBER	20200	65003	\N	\N	\N
1552838	5283	1998-12-12	VYDAJ	VYBER	20200	73629	\N	\N	\N
1552839	5283	1998-12-14	VYDAJ	VYBER	18700	61113	\N	\N	\N
1552840	5283	1998-12-14	VYDAJ	VYBER	52000	89462	\N	\N	\N
1555536	5290	1997-07-21	PRIJEM	VKLAD	500	500	\N	\N	\N
1555540	5290	1997-10-02	PRIJEM	VKLAD	20149	66194	\N	\N	\N
1555541	5290	1997-10-26	PRIJEM	VKLAD	8462	44982	\N	\N	\N
1555543	5290	1997-07-30	PRIJEM	VKLAD	37453	80368	\N	\N	\N
1555547	5290	1997-11-14	PRIJEM	VKLAD	10255	48711	\N	\N	\N
1555549	5290	1997-11-25	PRIJEM	VKLAD	46115	78432	\N	\N	\N
1555550	5290	1997-11-06	PRIJEM	VKLAD	10443	46085	\N	\N	\N
1555559	5290	1997-11-19	PRIJEM	VKLAD	6966	45277	\N	\N	\N
1555561	5290	1997-08-14	PRIJEM	VKLAD	23205	103618	\N	\N	\N
1555564	5290	1997-08-16	PRIJEM	VKLAD	32841	103159	\N	\N	\N
1555565	5290	1998-06-17	PRIJEM	VKLAD	31386	35667	\N	\N	\N
1555566	5290	1998-10-21	PRIJEM	VKLAD	34518	33867	\N	\N	\N
1555567	5290	1998-04-08	PRIJEM	VKLAD	31165	40807	\N	\N	\N
1555568	5290	1998-02-08	PRIJEM	VKLAD	9608	22284	\N	\N	\N
1555569	5290	1998-03-20	PRIJEM	VKLAD	5714	11854	\N	\N	\N
1555570	5290	1998-11-18	PRIJEM	VKLAD	39236	57565	\N	\N	\N
1555571	5290	1998-07-01	PRIJEM	VKLAD	35523	71258	\N	\N	\N
1555572	5290	1998-01-12	PRIJEM	VKLAD	20924	36909	\N	\N	\N
1555573	5290	1998-04-16	PRIJEM	VKLAD	36416	69594	\N	\N	\N
1555583	5290	1997-10-22	VYDAJ	VYBER	8600	36520	\N	\N	0
1555584	5290	1997-10-30	VYDAJ	VYBER	7300	37682	\N	\N	0
1555585	5290	1997-12-13	VYDAJ	VYBER	6900	55254	\N	\N	0
1555586	5290	1998-01-08	VYDAJ	VYBER	7400	17785	\N	\N	0
1555587	5290	1998-02-06	VYDAJ	VYBER	9300	12676	\N	\N	0
1555589	5290	1998-04-25	VYDAJ	VYBER	6400	26190	\N	\N	0
1555590	5290	1998-04-27	VYDAJ	VYBER	5900	20290	\N	\N	0
1555592	5290	1998-07-08	VYDAJ	VYBER	7900	61113	\N	\N	0
1555596	5290	1998-11-06	VYDAJ	VYBER	5700	25958	\N	\N	0
1555597	5290	1998-12-04	VYDAJ	VYBER	7400	31371	\N	\N	0
1555607	5290	1997-10-12	VYDAJ	PREVOD NA UCET	6293	56320	SIPO	UV	29544717
1555608	5290	1997-11-12	VYDAJ	PREVOD NA UCET	6293	38456	SIPO	UV	29544717
1555609	5290	1997-12-12	VYDAJ	PREVOD NA UCET	6293	62154	SIPO	UV	29544717
1555610	5290	1998-01-12	VYDAJ	PREVOD NA UCET	6293	30616	SIPO	UV	29544717
1555611	5290	1998-02-12	VYDAJ	PREVOD NA UCET	6293	14655	SIPO	UV	29544717
1555612	5290	1998-03-12	VYDAJ	PREVOD NA UCET	6293	6140	SIPO	UV	29544717
1555613	5290	1998-04-12	VYDAJ	PREVOD NA UCET	6293	33178	SIPO	UV	29544717
1555614	5290	1998-05-12	VYDAJ	PREVOD NA UCET	6293	7831	SIPO	UV	29544717
1555616	5290	1998-07-12	VYDAJ	PREVOD NA UCET	6293	42092	SIPO	UV	29544717
1555617	5290	1998-08-12	VYDAJ	PREVOD NA UCET	6293	6486	SIPO	UV	29544717
1555620	5290	1998-11-12	VYDAJ	PREVOD NA UCET	6293	18329	SIPO	UV	29544717
1555621	5290	1998-12-12	VYDAJ	PREVOD NA UCET	6293	21497	SIPO	UV	29544717
1555631	5290	1997-10-05	VYDAJ	PREVOD NA UCET	2245	63949	 	WX	1615906
1555632	5290	1997-11-05	VYDAJ	PREVOD NA UCET	2245	35642	 	WX	1615906
1555633	5290	1997-12-05	VYDAJ	PREVOD NA UCET	2245	76383	 	WX	1615906
1555634	5290	1998-01-05	VYDAJ	PREVOD NA UCET	2245	26521	 	WX	1615906
1555635	5290	1998-02-05	VYDAJ	PREVOD NA UCET	2245	21976	 	WX	1615906
1555636	5290	1998-03-05	VYDAJ	PREVOD NA UCET	2245	13769	 	WX	1615906
1555637	5290	1998-04-05	VYDAJ	PREVOD NA UCET	2245	9642	 	WX	1615906
1555638	5290	1998-05-05	VYDAJ	PREVOD NA UCET	2245	15460	 	WX	1615906
1555639	5290	1998-06-05	VYDAJ	PREVOD NA UCET	2245	5617	 	WX	1615906
1555640	5290	1998-07-05	VYDAJ	PREVOD NA UCET	2245	69013	 	WX	1615906
1555641	5290	1998-08-05	VYDAJ	PREVOD NA UCET	2245	14115	 	WX	1615906
1555642	5290	1998-09-05	VYDAJ	PREVOD NA UCET	2245	4266	 	WX	1615906
1555643	5290	1998-10-05	VYDAJ	PREVOD NA UCET	2245	685	 	WX	1615906
1555644	5290	1998-11-05	VYDAJ	PREVOD NA UCET	2245	31658	 	WX	1615906
1555645	5290	1998-12-05	VYDAJ	PREVOD NA UCET	2245	29126	 	WX	1615906
1555655	5290	1997-10-08	VYDAJ	PREVOD NA UCET	1336	62613	POJISTNE	QR	95391487
1555656	5290	1997-11-08	VYDAJ	PREVOD NA UCET	1336	44749	POJISTNE	QR	95391487
1555657	5290	1997-12-08	VYDAJ	PREVOD NA UCET	1336	75047	POJISTNE	QR	95391487
1555658	5290	1998-01-08	VYDAJ	PREVOD NA UCET	1336	25185	POJISTNE	QR	95391487
1555659	5290	1998-02-08	VYDAJ	PREVOD NA UCET	1336	20948	POJISTNE	QR	95391487
1555660	5290	1998-03-08	VYDAJ	PREVOD NA UCET	1336	12433	POJISTNE	QR	95391487
1555661	5290	1998-04-08	VYDAJ	PREVOD NA UCET	1336	39471	POJISTNE	QR	95391487
1555662	5290	1998-05-08	VYDAJ	PREVOD NA UCET	1336	14124	POJISTNE	QR	95391487
1555663	5290	1998-06-08	VYDAJ	PREVOD NA UCET	1336	4281	POJISTNE	QR	95391487
1555664	5290	1998-07-08	VYDAJ	PREVOD NA UCET	1336	59777	POJISTNE	QR	95391487
1555665	5290	1998-08-08	VYDAJ	PREVOD NA UCET	1336	12779	POJISTNE	QR	95391487
1555666	5290	1998-09-08	VYDAJ	PREVOD NA UCET	1336	2930	POJISTNE	QR	95391487
1555667	5290	1998-10-08	VYDAJ	PREVOD NA UCET	1336	-651	POJISTNE	QR	95391487
1555668	5290	1998-11-08	VYDAJ	PREVOD NA UCET	1336	24622	POJISTNE	QR	95391487
1555669	5290	1998-12-08	VYDAJ	PREVOD NA UCET	1336	27790	POJISTNE	QR	95391487
1555674	5290	1997-11-19	VYBER	VYBER	12960	32317	\N	\N	\N
1555677	5290	1998-04-16	VYBER	VYBER	13392	56202	\N	\N	\N
1555679	5290	1998-07-13	VYBER	VYBER	18547	23545	\N	\N	\N
1555680	5290	1998-07-12	VYBER	VYBER	11392	48385	\N	\N	\N
1555683	5290	1998-04-21	VYBER	VYBER	3812	32590	\N	\N	\N
1555684	5290	1998-05-02	VYBER	VYBER	2687	17705	\N	\N	\N
1555689	5290	1998-11-24	VYBER	VYBER	12930	44635	\N	\N	\N
1555694	5290	1997-12-21	VYDAJ	VYBER	1800	35454	\N	\N	\N
1555695	5290	1998-12-03	VYDAJ	VYBER	6000	38771	\N	\N	\N
1555702	5290	1998-01-01	VYDAJ	VYBER	6900	28766	\N	\N	\N
1555705	5290	1998-01-17	VYDAJ	VYBER	3600	24116	\N	\N	\N
1555706	5290	1998-01-16	VYDAJ	VYBER	1500	29116	\N	\N	\N
1555707	5290	1998-01-09	VYDAJ	VYBER	1800	15985	\N	\N	\N
1555710	5290	1997-12-08	VYDAJ	VYBER	6600	68447	\N	\N	\N
1555730	5290	1997-10-31	VYDAJ	VYBER	15	37887	SLUZBY	\N	\N
1555731	5290	1997-11-30	VYDAJ	VYBER	15	78628	SLUZBY	\N	\N
1555732	5290	1997-12-31	VYDAJ	VYBER	15	35666	SLUZBY	\N	\N
1555733	5290	1998-01-31	VYDAJ	VYBER	15	24221	SLUZBY	\N	\N
1555734	5290	1998-02-28	VYDAJ	VYBER	15	16014	SLUZBY	\N	\N
1555735	5290	1998-03-31	VYDAJ	VYBER	15	11887	SLUZBY	\N	\N
1555736	5290	1998-04-30	VYDAJ	VYBER	15	20392	SLUZBY	\N	\N
1555737	5290	1998-05-31	VYDAJ	VYBER	15	7862	SLUZBY	\N	\N
1555738	5290	1998-06-30	VYDAJ	VYBER	15	35735	SLUZBY	\N	\N
1555739	5290	1998-07-31	VYDAJ	VYBER	15	16360	SLUZBY	\N	\N
1555740	5290	1998-08-31	VYDAJ	VYBER	15	6511	SLUZBY	\N	\N
1555741	5290	1998-09-30	VYDAJ	VYBER	15	2930	SLUZBY	\N	\N
1555742	5290	1998-10-31	VYDAJ	VYBER	15	33906	SLUZBY	\N	\N
1555743	5290	1998-11-30	VYDAJ	VYBER	15	44771	SLUZBY	\N	\N
1555744	5290	1997-08-14	VYDAJ	VYBER	33300	70318	\N	\N	\N
1555745	5290	1997-08-20	VYDAJ	VYBER	38800	64359	\N	\N	\N
1555746	5290	1997-09-19	VYDAJ	VYBER	18900	45777	\N	\N	\N
1555747	5290	1997-10-19	VYDAJ	VYBER	11200	45120	\N	\N	\N
1555748	5290	1997-11-18	VYDAJ	VYBER	10400	38311	\N	\N	\N
1555749	5290	1997-12-18	VYDAJ	VYBER	18000	37254	\N	\N	\N
1555750	5290	1998-01-17	VYDAJ	VYBER	1400	27716	\N	\N	\N
1555751	5290	1998-02-16	PRIJEM	VKLAD	1300	15955	\N	\N	\N
1555752	5290	1998-04-17	VYDAJ	VYBER	19800	36402	\N	\N	\N
1555753	5290	1998-07-16	VYDAJ	VYBER	7300	16245	\N	\N	\N
1555754	5290	1998-12-13	VYDAJ	VYBER	3800	17697	\N	\N	\N
1560295	5305	1996-09-16	PRIJEM	VKLAD	600	600	\N	\N	\N
1560305	5305	1996-10-10	PRIJEM	PREVOD Z UCTU	30067	30667	\N	WX	19441199
1560306	5305	1996-11-10	PRIJEM	PREVOD Z UCTU	30067	56892	\N	WX	19441199
1560307	5305	1996-12-10	PRIJEM	PREVOD Z UCTU	45100	86335	\N	WX	19441199
1560308	5305	1997-01-10	PRIJEM	PREVOD Z UCTU	30067	83802	\N	WX	19441199
1560309	5305	1997-02-10	PRIJEM	PREVOD Z UCTU	30067	85997	\N	WX	19441199
1560310	5305	1997-03-10	PRIJEM	PREVOD Z UCTU	30067	76867	\N	WX	19441199
1560311	5305	1997-04-10	PRIJEM	PREVOD Z UCTU	30067	72314	\N	WX	19441199
1560312	5305	1997-05-10	PRIJEM	PREVOD Z UCTU	30067	71768	\N	WX	19441199
1560313	5305	1997-06-10	PRIJEM	PREVOD Z UCTU	45100	85632	\N	WX	19441199
1560314	5305	1997-07-10	PRIJEM	PREVOD Z UCTU	30067	77074	\N	WX	19441199
1560315	5305	1997-08-10	PRIJEM	PREVOD Z UCTU	30067	65711	\N	WX	19441199
1560316	5305	1997-09-10	PRIJEM	PREVOD Z UCTU	30067	68626	\N	WX	19441199
1560317	5305	1997-10-10	PRIJEM	PREVOD Z UCTU	30067	66150	\N	WX	19441199
1560318	5305	1997-11-10	PRIJEM	PREVOD Z UCTU	30067	49949	\N	WX	19441199
1560319	5305	1997-12-10	PRIJEM	PREVOD Z UCTU	45100	63329	\N	WX	19441199
1560320	5305	1998-01-10	PRIJEM	PREVOD Z UCTU	30067	39741	\N	WX	19441199
1560321	5305	1998-02-10	PRIJEM	PREVOD Z UCTU	30067	48594	\N	WX	19441199
1560322	5305	1998-03-10	PRIJEM	PREVOD Z UCTU	30067	50202	\N	WX	19441199
1560323	5305	1998-04-10	PRIJEM	PREVOD Z UCTU	30067	45165	\N	WX	19441199
1560324	5305	1998-05-10	PRIJEM	PREVOD Z UCTU	30067	42160	\N	WX	19441199
1560325	5305	1998-06-10	PRIJEM	PREVOD Z UCTU	45100	66721	\N	WX	19441199
1560326	5305	1998-07-10	PRIJEM	PREVOD Z UCTU	30067	43973	\N	WX	19441199
1560327	5305	1998-08-10	PRIJEM	PREVOD Z UCTU	30067	47632	\N	WX	19441199
1560328	5305	1998-09-10	PRIJEM	PREVOD Z UCTU	30067	45523	\N	WX	19441199
1560329	5305	1998-10-10	PRIJEM	PREVOD Z UCTU	30067	51935	\N	WX	19441199
1560330	5305	1998-11-10	PRIJEM	PREVOD Z UCTU	30067	55158	\N	WX	19441199
1560331	5305	1998-12-10	PRIJEM	PREVOD Z UCTU	45100	69237	\N	WX	19441199
1560345	5305	1997-02-14	VYDAJ	VYBER	4500	50397	\N	\N	0
1560346	5305	1997-02-24	VYDAJ	VYBER	3800	46597	\N	\N	0
1560347	5305	1997-04-06	VYDAJ	VYBER	4500	42247	\N	\N	0
1560348	5305	1997-05-25	VYDAJ	VYBER	5500	40368	\N	\N	0
1560349	5305	1997-06-22	VYDAJ	VYBER	3900	46832	\N	\N	0
1560350	5305	1997-07-16	VYDAJ	VYBER	4500	39074	\N	\N	0
1560351	5305	1997-08-21	VYDAJ	VYBER	5300	38411	\N	\N	0
1560352	5305	1997-09-23	VYDAJ	VYBER	4700	39826	\N	\N	0
1560353	5305	1997-10-07	VYDAJ	VYBER	3900	36083	\N	\N	0
1560354	5305	1997-11-12	VYDAJ	VYBER	4900	26549	\N	\N	0
1560355	5305	1997-12-06	VYDAJ	VYBER	3900	18229	\N	\N	0
1560356	5305	1998-01-01	VYDAJ	VYBER	5100	5274	\N	\N	0
1560357	5305	1998-02-07	VYDAJ	VYBER	5300	19927	\N	\N	0
1560358	5305	1998-03-09	VYDAJ	VYBER	4900	20135	\N	\N	0
1560359	5305	1998-04-12	VYDAJ	PREVOD NA UCET	5011	40154	UVER	MN	81407129
1560360	5305	1998-05-12	VYDAJ	PREVOD NA UCET	5011	37149	UVER	MN	81407129
1560361	5305	1998-06-12	VYDAJ	PREVOD NA UCET	5011	61710	UVER	MN	81407129
1560362	5305	1998-07-12	VYDAJ	PREVOD NA UCET	5011	38961	UVER	MN	81407129
1560363	5305	1998-08-12	VYDAJ	PREVOD NA UCET	5011	42621	UVER	MN	81407129
1560364	5305	1998-09-12	VYDAJ	PREVOD NA UCET	5011	40512	UVER	MN	81407129
1560365	5305	1998-10-12	VYDAJ	PREVOD NA UCET	5011	46924	UVER	MN	81407129
1560366	5305	1998-11-12	VYDAJ	PREVOD NA UCET	5011	50147	UVER	MN	81407129
1560367	5305	1998-12-12	VYDAJ	PREVOD NA UCET	5011	59274	UVER	MN	81407129
1560382	5305	1997-12-27	VYBER	VYBER	23954	10275	\N	\N	\N
1560383	5305	1997-10-31	VYBER	VYBER	21423	19897	\N	\N	\N
1560385	5305	1998-04-22	VYBER	VYBER	6868	33286	\N	\N	\N
1560386	5305	1998-06-17	VYBER	VYBER	23668	38042	\N	\N	\N
1560387	5305	1998-05-21	VYBER	VYBER	3850	33299	\N	\N	\N
1560388	5305	1998-03-20	VYBER	VYBER	22880	10422	\N	\N	\N
1560389	5305	1998-09-24	VYBER	VYBER	4181	36331	\N	\N	\N
1560390	5305	1998-02-17	VYBER	VYBER	23671	24923	\N	\N	\N
1560391	5305	1998-01-13	VYBER	VYBER	14591	25150	\N	\N	\N
1560392	5305	1998-06-29	VYBER	VYBER	8972	19770	\N	\N	\N
1560394	5305	1998-12-12	VYBER	VYBER	4952	64285	\N	\N	\N
1560395	5305	1998-08-25	VYBER	VYBER	12800	29821	\N	\N	\N
1560396	5305	1998-05-04	VYBER	VYBER	21000	12393	\N	\N	\N
1560404	5305	1997-12-16	VYDAJ	VYBER	2700	34229	\N	\N	\N
1560405	5305	1998-12-20	VYDAJ	VYBER	3900	55374	\N	\N	\N
1560411	5305	1997-04-21	VYDAJ	VYBER	5400	41514	\N	\N	\N
1560412	5305	1997-11-18	VYDAJ	VYBER	4500	22049	\N	\N	\N
1560413	5305	1997-07-10	VYDAJ	VYBER	11400	65674	\N	\N	\N
1560414	5305	1997-07-23	VYDAJ	VYBER	3600	35474	\N	\N	\N
1560415	5305	1998-07-15	VYDAJ	VYBER	9000	29961	\N	\N	\N
1560416	5305	1998-05-27	VYDAJ	VYBER	7800	25499	\N	\N	\N
1560417	5305	1998-06-21	VYDAJ	VYBER	9300	28742	\N	\N	\N
1560432	5305	1997-02-28	VYDAJ	VYBER	15	46800	SLUZBY	\N	\N
1560433	5305	1997-03-31	VYDAJ	VYBER	15	46747	SLUZBY	\N	\N
1560434	5305	1997-04-30	VYDAJ	VYBER	15	41701	SLUZBY	\N	\N
1560435	5305	1997-05-31	VYDAJ	VYBER	15	40532	SLUZBY	\N	\N
1560436	5305	1997-06-30	VYDAJ	VYBER	15	47007	SLUZBY	\N	\N
1560437	5305	1997-07-31	VYDAJ	VYBER	15	35644	SLUZBY	\N	\N
1560438	5305	1997-08-31	VYDAJ	VYBER	15	38559	SLUZBY	\N	\N
1560439	5305	1997-09-30	VYDAJ	VYBER	15	39983	SLUZBY	\N	\N
1560440	5305	1997-10-31	VYDAJ	VYBER	15	19882	SLUZBY	\N	\N
1560441	5305	1997-11-30	VYDAJ	VYBER	15	22129	SLUZBY	\N	\N
1560442	5305	1997-12-31	VYDAJ	VYBER	15	10374	SLUZBY	\N	\N
1560443	5305	1998-01-31	VYDAJ	VYBER	15	25227	SLUZBY	\N	\N
1560444	5305	1998-02-28	VYDAJ	VYBER	15	25035	SLUZBY	\N	\N
1560445	5305	1998-03-31	VYDAJ	VYBER	15	10498	SLUZBY	\N	\N
1560446	5305	1998-04-30	VYDAJ	VYBER	15	33393	SLUZBY	\N	\N
1560447	5305	1998-05-31	VYDAJ	VYBER	15	25621	SLUZBY	\N	\N
1560448	5305	1998-06-30	VYDAJ	VYBER	15	19906	SLUZBY	\N	\N
1560449	5305	1998-07-31	VYDAJ	VYBER	15	30065	SLUZBY	\N	\N
1560450	5305	1998-08-31	VYDAJ	VYBER	15	29956	SLUZBY	\N	\N
1560451	5305	1998-09-30	VYDAJ	VYBER	15	36468	SLUZBY	\N	\N
1560452	5305	1998-10-31	VYDAJ	VYBER	15	47091	SLUZBY	\N	\N
1560453	5305	1998-11-30	VYDAJ	VYBER	15	50337	SLUZBY	\N	\N
1560454	5305	1996-10-16	VYDAJ	VYBER	3900	26767	\N	\N	\N
1560455	5305	1996-11-15	VYDAJ	VYBER	15800	41092	\N	\N	\N
1560456	5305	1996-12-15	VYDAJ	VYBER	32800	53535	\N	\N	\N
1560457	5305	1997-01-14	VYDAJ	VYBER	28100	55702	\N	\N	\N
1560458	5305	1997-02-13	VYDAJ	VYBER	31100	54897	\N	\N	\N
1560459	5305	1997-03-15	VYDAJ	VYBER	30300	46567	\N	\N	\N
1560460	5305	1997-04-14	VYDAJ	VYBER	25400	46914	\N	\N	\N
1560461	5305	1997-05-14	VYDAJ	VYBER	25900	45868	\N	\N	\N
1560462	5305	1997-06-13	VYDAJ	VYBER	34900	50732	\N	\N	\N
1560463	5305	1997-07-13	VYDAJ	VYBER	22100	43574	\N	\N	\N
1560464	5305	1997-08-12	VYDAJ	VYBER	22000	43711	\N	\N	\N
1560465	5305	1997-09-11	VYDAJ	VYBER	24100	44526	\N	\N	\N
1560466	5305	1997-10-11	VYDAJ	VYBER	25000	41150	\N	\N	\N
1560467	5305	1997-11-10	VYDAJ	VYBER	18500	31449	\N	\N	\N
1560468	5305	1997-12-10	VYDAJ	VYBER	26400	36929	\N	\N	\N
1560469	5305	1998-01-09	PRIJEM	VKLAD	4400	9674	\N	\N	\N
1560470	5305	1998-02-08	VYDAJ	VYBER	1400	18527	\N	\N	\N
1560471	5305	1998-03-10	VYDAJ	VYBER	16900	33302	\N	\N	\N
1560472	5305	1998-04-09	PRIJEM	VKLAD	4600	15098	\N	\N	\N
1560473	5305	1998-05-09	VYDAJ	VYBER	300	12093	\N	\N	\N
1560474	5305	1998-06-08	VYDAJ	VYBER	4000	21621	\N	\N	\N
1560475	5305	1998-07-08	VYDAJ	VYBER	6000	13906	\N	\N	\N
1560476	5305	1998-08-07	VYDAJ	VYBER	12500	17565	\N	\N	\N
1560477	5305	1998-09-06	VYDAJ	VYBER	14500	15456	\N	\N	\N
1560478	5305	1998-10-06	VYDAJ	VYBER	14600	21868	\N	\N	\N
1560479	5305	1998-11-05	VYDAJ	VYBER	22000	25091	\N	\N	\N
1560480	5305	1998-12-05	VYDAJ	VYBER	26200	24137	\N	\N	\N
1562662	5313	1993-04-29	PRIJEM	VKLAD	800	800	\N	\N	\N
1562663	5313	1993-10-04	PRIJEM	VKLAD	44126	92564	\N	\N	\N
1562664	5313	1993-09-15	PRIJEM	VKLAD	41205	82965	\N	\N	\N
1562666	5313	1993-05-22	PRIJEM	VKLAD	24537	30703	\N	\N	\N
1562670	5313	1993-05-01	PRIJEM	VKLAD	5366	6166	\N	\N	\N
1562672	5313	1993-11-05	PRIJEM	VKLAD	15920	104777	\N	\N	\N
1562673	5313	1993-08-12	PRIJEM	VKLAD	29414	54528	\N	\N	\N
1562674	5313	1993-11-02	PRIJEM	VKLAD	44519	88857	\N	\N	\N
1562675	5313	1993-06-01	PRIJEM	VKLAD	10937	36979	\N	\N	\N
1562677	5313	1993-10-06	PRIJEM	VKLAD	38914	131478	\N	\N	\N
1562678	5313	1993-11-06	PRIJEM	VKLAD	30398	135175	\N	\N	\N
1562680	5313	1994-04-04	PRIJEM	VKLAD	5461	41442	\N	\N	\N
1562681	5313	1994-11-30	PRIJEM	VKLAD	44087	110036	\N	\N	\N
1562682	5313	1994-11-22	PRIJEM	VKLAD	19553	65949	\N	\N	\N
1562683	5313	1994-09-29	PRIJEM	VKLAD	26794	97524	\N	\N	\N
1562684	5313	1994-05-08	PRIJEM	VKLAD	6848	58206	\N	\N	\N
1562685	5313	1994-08-09	PRIJEM	VKLAD	28837	82864	\N	\N	\N
1562686	5313	1994-09-30	PRIJEM	VKLAD	37738	135577	\N	\N	\N
1562687	5313	1994-03-12	PRIJEM	VKLAD	14370	47464	\N	\N	\N
1562688	5313	1994-01-13	PRIJEM	VKLAD	20238	36130	\N	\N	\N
1562689	5313	1994-08-22	PRIJEM	VKLAD	16147	54531	\N	\N	\N
1562690	5313	1994-12-28	PRIJEM	VKLAD	29749	55224	\N	\N	\N
1562691	5313	1994-08-23	PRIJEM	VKLAD	43410	83141	\N	\N	\N
1562692	5313	1994-07-06	PRIJEM	VKLAD	20077	51503	\N	\N	\N
1562693	5313	1994-11-08	PRIJEM	VKLAD	46031	107203	\N	\N	\N
1562694	5313	1994-02-10	PRIJEM	VKLAD	40695	57377	\N	\N	\N
1562695	5313	1994-07-12	PRIJEM	VKLAD	24902	75447	\N	\N	\N
1562696	5313	1994-09-09	PRIJEM	VKLAD	15264	82063	\N	\N	\N
1562697	5313	1994-05-28	PRIJEM	VKLAD	18577	53314	\N	\N	\N
1562698	5313	1994-07-22	PRIJEM	VKLAD	26391	89869	\N	\N	\N
1562699	5313	1994-11-10	PRIJEM	VKLAD	11162	99965	\N	\N	\N
1562700	5313	1994-09-05	PRIJEM	VKLAD	26651	110057	\N	\N	\N
1562701	5313	1994-04-14	PRIJEM	VKLAD	31455	61136	\N	\N	\N
1562702	5313	1994-03-23	PRIJEM	VKLAD	10850	46345	\N	\N	\N
1562703	5313	1994-09-24	PRIJEM	VKLAD	38336	84230	\N	\N	\N
1562704	5313	1994-04-18	PRIJEM	VKLAD	19543	79512	\N	\N	\N
1562705	5313	1994-10-21	PRIJEM	VKLAD	42411	125346	\N	\N	\N
1562706	5313	1994-12-18	PRIJEM	VKLAD	18794	62275	\N	\N	\N
1562707	5313	1994-10-22	PRIJEM	VKLAD	13897	61743	\N	\N	\N
1562708	5313	1995-06-26	PRIJEM	VKLAD	29610	47585	\N	\N	\N
1562709	5313	1995-01-26	PRIJEM	VKLAD	10296	31261	\N	\N	\N
1562710	5313	1995-02-03	PRIJEM	VKLAD	9004	40404	\N	\N	\N
1562711	5313	1995-07-08	PRIJEM	VKLAD	42741	125510	\N	\N	\N
1562712	5313	1995-11-20	PRIJEM	VKLAD	12137	29561	\N	\N	\N
1562713	5313	1995-07-02	PRIJEM	VKLAD	36069	83727	\N	\N	\N
1562714	5313	1995-02-24	PRIJEM	VKLAD	43253	68230	\N	\N	\N
1562715	5313	1996-01-19	PRIJEM	VKLAD	34599	55594	\N	\N	\N
1562716	5313	1996-10-28	PRIJEM	VKLAD	39884	64947	\N	\N	\N
1562717	5313	1996-12-16	PRIJEM	VKLAD	13768	42821	\N	\N	\N
1562718	5313	1996-02-19	PRIJEM	VKLAD	38055	68744	\N	\N	\N
1562719	5313	1997-10-08	PRIJEM	VKLAD	43317	128145	\N	\N	\N
1562720	5313	1997-10-06	PRIJEM	VKLAD	11968	85786	\N	\N	\N
1562721	5313	1997-05-10	PRIJEM	VKLAD	8897	59644	\N	\N	\N
1562722	5313	1997-12-22	PRIJEM	VKLAD	40332	110587	\N	\N	\N
1562723	5313	1997-11-20	PRIJEM	VKLAD	22404	106478	\N	\N	\N
1562724	5313	1997-05-03	PRIJEM	VKLAD	11006	38705	\N	\N	\N
1562725	5313	1997-02-26	PRIJEM	VKLAD	20492	97106	\N	\N	\N
1562726	5313	1997-01-14	PRIJEM	VKLAD	12015	44746	\N	\N	\N
1562727	5313	1997-01-12	PRIJEM	VKLAD	13514	43533	\N	\N	\N
1562728	5313	1997-01-21	PRIJEM	VKLAD	29652	73231	\N	\N	\N
1562729	5313	1997-06-05	PRIJEM	VKLAD	41220	124979	\N	\N	\N
1562730	5313	1997-09-22	PRIJEM	VKLAD	44802	89372	\N	\N	\N
1562731	5313	1997-07-01	PRIJEM	VKLAD	49715	100414	\N	\N	\N
1562732	5313	1997-07-30	PRIJEM	VKLAD	5526	80933	\N	\N	\N
1562733	5313	1997-02-04	PRIJEM	VKLAD	49658	86377	\N	\N	\N
1562734	5313	1997-05-26	PRIJEM	VKLAD	35883	83558	\N	\N	\N
1562735	5313	1997-06-21	PRIJEM	VKLAD	15717	56468	\N	\N	\N
1562736	5313	1997-07-31	PRIJEM	VKLAD	26013	106946	\N	\N	\N
1562737	5313	1997-03-25	PRIJEM	VKLAD	22273	89608	\N	\N	\N
1562738	5313	1997-09-04	PRIJEM	VKLAD	43463	88103	\N	\N	\N
1562739	5313	1997-07-13	PRIJEM	VKLAD	30370	101443	\N	\N	\N
1562740	5313	1997-04-02	PRIJEM	VKLAD	35765	125697	\N	\N	\N
1562741	5313	1997-07-16	PRIJEM	VKLAD	45922	131707	\N	\N	\N
1562742	5313	1997-12-09	PRIJEM	VKLAD	39264	113525	\N	\N	\N
1562743	5313	1997-02-21	PRIJEM	VKLAD	19164	76614	\N	\N	\N
1562744	5313	1997-10-17	PRIJEM	VKLAD	39197	100473	\N	\N	\N
1562745	5313	1997-11-16	PRIJEM	VKLAD	25355	84074	\N	\N	\N
1562746	5313	1997-11-04	PRIJEM	VKLAD	21022	121847	\N	\N	\N
1562747	5313	1998-08-15	PRIJEM	VKLAD	12304	37288	\N	\N	\N
1562757	5313	1993-10-10	VYDAJ	VYBER	4700	76920	\N	\N	0
1562758	5313	1993-11-13	VYDAJ	VYBER	6200	56326	\N	\N	0
1562759	5313	1993-12-12	VYDAJ	VYBER	5900	14649	\N	\N	0
1562760	5313	1994-01-18	VYDAJ	VYBER	5500	20972	\N	\N	0
1562761	5313	1994-02-16	VYDAJ	VYBER	6700	43719	\N	\N	0
1562762	5313	1994-03-12	VYDAJ	PREVOD NA UCET	5011	42453	UVER	QR	80564933
1562763	5313	1994-04-12	VYDAJ	PREVOD NA UCET	5011	35472	UVER	QR	80564933
1562764	5313	1994-05-12	VYDAJ	PREVOD NA UCET	5011	53195	UVER	QR	80564933
1562765	5313	1994-06-12	VYDAJ	PREVOD NA UCET	5011	41834	UVER	QR	80564933
1562766	5313	1994-07-12	VYDAJ	PREVOD NA UCET	5011	70436	UVER	QR	80564933
1562767	5313	1994-08-12	VYDAJ	PREVOD NA UCET	5011	77853	UVER	QR	80564933
1562768	5313	1994-09-12	VYDAJ	PREVOD NA UCET	5011	77052	UVER	QR	80564933
1562769	5313	1994-10-12	VYDAJ	PREVOD NA UCET	5011	89893	UVER	QR	80564933
1562770	5313	1994-11-12	VYDAJ	PREVOD NA UCET	5011	75754	UVER	QR	80564933
1562771	5313	1994-12-12	VYDAJ	PREVOD NA UCET	5011	50439	UVER	QR	80564933
1562772	5313	1995-01-12	VYDAJ	PREVOD NA UCET	5011	39323	UVER	QR	80564933
1562773	5313	1995-02-12	VYDAJ	PREVOD NA UCET	5011	34435	UVER	QR	80564933
1562774	5313	1995-03-12	VYDAJ	PREVOD NA UCET	5011	62403	UVER	QR	80564933
1562775	5313	1995-04-12	VYDAJ	PREVOD NA UCET	5011	34388	UVER	QR	80564933
1562776	5313	1995-05-12	VYDAJ	PREVOD NA UCET	5011	19292	UVER	QR	80564933
1562777	5313	1995-06-12	VYDAJ	PREVOD NA UCET	5011	12933	UVER	QR	80564933
1562778	5313	1995-07-12	VYDAJ	PREVOD NA UCET	5011	81399	UVER	QR	80564933
1562779	5313	1995-08-12	VYDAJ	PREVOD NA UCET	5011	47941	UVER	QR	80564933
1562780	5313	1995-09-12	VYDAJ	PREVOD NA UCET	5011	19586	UVER	QR	80564933
1562781	5313	1995-10-12	VYDAJ	PREVOD NA UCET	5011	16237	UVER	QR	80564933
1562782	5313	1995-11-12	VYDAJ	PREVOD NA UCET	5011	16282	UVER	QR	80564933
1562783	5313	1995-12-12	VYDAJ	PREVOD NA UCET	5011	19505	UVER	QR	80564933
1562784	5313	1996-01-12	VYDAJ	PREVOD NA UCET	5011	14053	UVER	QR	80564933
1562785	5313	1996-02-12	VYDAJ	PREVOD NA UCET	5011	42247	UVER	QR	80564933
1562786	5313	1996-03-12	VYDAJ	PREVOD NA UCET	5011	56314	UVER	QR	80564933
1562787	5313	1996-04-12	VYDAJ	PREVOD NA UCET	5011	26659	UVER	QR	80564933
1562788	5313	1996-05-12	VYDAJ	PREVOD NA UCET	5011	17544	UVER	QR	80564933
1562789	5313	1996-06-12	VYDAJ	PREVOD NA UCET	5011	29403	UVER	QR	80564933
1562790	5313	1996-07-12	VYDAJ	PREVOD NA UCET	5011	29255	UVER	QR	80564933
1562791	5313	1996-08-12	VYDAJ	PREVOD NA UCET	5011	28508	UVER	QR	80564933
1562792	5313	1996-09-12	VYDAJ	PREVOD NA UCET	5011	31759	UVER	QR	80564933
1562793	5313	1996-10-12	VYDAJ	PREVOD NA UCET	5011	32021	UVER	QR	80564933
1562794	5313	1996-11-12	VYDAJ	PREVOD NA UCET	5011	55692	UVER	QR	80564933
1562795	5313	1996-12-12	VYDAJ	PREVOD NA UCET	5011	36011	UVER	QR	80564933
1562796	5313	1997-01-12	VYDAJ	PREVOD NA UCET	5011	38522	UVER	QR	80564933
1562797	5313	1997-02-12	VYDAJ	PREVOD NA UCET	5011	64408	UVER	QR	80564933
1562798	5313	1997-03-12	VYDAJ	PREVOD NA UCET	5011	74293	UVER	QR	80564933
1562799	5313	1997-04-12	VYDAJ	PREVOD NA UCET	5011	71428	UVER	QR	80564933
1562800	5313	1997-05-12	VYDAJ	PREVOD NA UCET	5011	54633	UVER	QR	80564933
1562801	5313	1997-06-12	VYDAJ	PREVOD NA UCET	5011	59109	UVER	QR	80564933
1562802	5313	1997-07-12	VYDAJ	PREVOD NA UCET	5011	71073	UVER	QR	80564933
1562803	5313	1997-08-12	VYDAJ	PREVOD NA UCET	5011	51376	UVER	QR	80564933
1562804	5313	1997-09-12	VYDAJ	PREVOD NA UCET	5011	51528	UVER	QR	80564933
1562805	5313	1997-10-12	VYDAJ	PREVOD NA UCET	5011	68234	UVER	QR	80564933
1562806	5313	1997-11-12	VYDAJ	PREVOD NA UCET	5011	65677	UVER	QR	80564933
1562807	5313	1997-12-12	VYDAJ	PREVOD NA UCET	5011	91613	UVER	QR	80564933
1562808	5313	1998-01-12	VYDAJ	PREVOD NA UCET	5011	58394	UVER	QR	80564933
1562809	5313	1998-02-12	VYDAJ	PREVOD NA UCET	5011	30659	UVER	QR	80564933
1562810	5313	1998-03-12	VYDAJ	PREVOD NA UCET	5011	29526	UVER	QR	80564933
1562811	5313	1998-04-12	VYDAJ	PREVOD NA UCET	5011	27788	UVER	QR	80564933
1562812	5313	1998-05-12	VYDAJ	PREVOD NA UCET	5011	28444	UVER	QR	80564933
1562813	5313	1998-06-12	VYDAJ	PREVOD NA UCET	5011	31800	UVER	QR	80564933
1562814	5313	1998-07-12	VYDAJ	PREVOD NA UCET	5011	32569	UVER	QR	80564933
1562815	5313	1998-08-12	VYDAJ	PREVOD NA UCET	5011	31942	UVER	QR	80564933
1562816	5313	1998-09-12	VYDAJ	PREVOD NA UCET	5011	35645	UVER	QR	80564933
1562817	5313	1998-10-12	VYDAJ	PREVOD NA UCET	5011	32843	UVER	QR	80564933
1562818	5313	1998-11-12	VYDAJ	PREVOD NA UCET	5011	31730	UVER	QR	80564933
1562819	5313	1998-12-12	VYDAJ	PREVOD NA UCET	5011	29413	UVER	QR	80564933
1562829	5313	1993-10-13	VYDAJ	PREVOD NA UCET	5791	71129	SIPO	MN	60921382
1562830	5313	1993-11-13	VYDAJ	PREVOD NA UCET	5791	62526	SIPO	MN	60921382
1562831	5313	1993-12-13	VYDAJ	PREVOD NA UCET	5791	8858	SIPO	MN	60921382
1562832	5313	1994-01-13	VYDAJ	PREVOD NA UCET	5791	27639	SIPO	MN	60921382
1562833	5313	1994-02-13	VYDAJ	PREVOD NA UCET	5791	51586	SIPO	MN	60921382
1562834	5313	1994-03-13	VYDAJ	PREVOD NA UCET	5791	36662	SIPO	MN	60921382
1562835	5313	1994-04-13	VYDAJ	PREVOD NA UCET	5791	29681	SIPO	MN	60921382
1562836	5313	1994-05-13	VYDAJ	PREVOD NA UCET	5791	47404	SIPO	MN	60921382
1562837	5313	1994-06-13	VYDAJ	PREVOD NA UCET	5791	36043	SIPO	MN	60921382
1562838	5313	1994-07-13	VYDAJ	PREVOD NA UCET	5791	64645	SIPO	MN	60921382
1562839	5313	1994-08-13	VYDAJ	PREVOD NA UCET	5791	72062	SIPO	MN	60921382
1562840	5313	1994-09-13	VYDAJ	PREVOD NA UCET	5791	71261	SIPO	MN	60921382
1562841	5313	1994-10-13	VYDAJ	PREVOD NA UCET	5791	84102	SIPO	MN	60921382
1562842	5313	1994-11-13	VYDAJ	PREVOD NA UCET	5791	69963	SIPO	MN	60921382
1562843	5313	1994-12-13	VYDAJ	PREVOD NA UCET	5791	44648	SIPO	MN	60921382
1562844	5313	1995-01-13	VYDAJ	PREVOD NA UCET	5791	26632	SIPO	MN	60921382
1562845	5313	1995-02-13	VYDAJ	PREVOD NA UCET	5791	28644	SIPO	MN	60921382
1562846	5313	1995-03-13	VYDAJ	PREVOD NA UCET	5791	56612	SIPO	MN	60921382
1562847	5313	1995-04-13	VYDAJ	PREVOD NA UCET	5791	28597	SIPO	MN	60921382
1562848	5313	1995-05-13	VYDAJ	PREVOD NA UCET	5791	13501	SIPO	MN	60921382
1562849	5313	1995-06-13	VYDAJ	PREVOD NA UCET	5791	7142	SIPO	MN	60921382
1562850	5313	1995-07-13	VYDAJ	PREVOD NA UCET	5791	75608	SIPO	MN	60921382
1562851	5313	1995-08-13	VYDAJ	PREVOD NA UCET	5791	42150	SIPO	MN	60921382
1562852	5313	1995-09-13	VYDAJ	PREVOD NA UCET	5791	13795	SIPO	MN	60921382
1562853	5313	1995-10-13	VYDAJ	PREVOD NA UCET	5791	10446	SIPO	MN	60921382
1562854	5313	1995-11-13	VYDAJ	PREVOD NA UCET	5791	10491	SIPO	MN	60921382
1562855	5313	1995-12-13	VYDAJ	PREVOD NA UCET	5791	13714	SIPO	MN	60921382
1562856	5313	1996-01-13	VYDAJ	PREVOD NA UCET	5791	8262	SIPO	MN	60921382
1562857	5313	1996-02-13	VYDAJ	PREVOD NA UCET	5791	36456	SIPO	MN	60921382
1562858	5313	1996-03-13	VYDAJ	PREVOD NA UCET	5791	50523	SIPO	MN	60921382
1562859	5313	1996-04-13	VYDAJ	PREVOD NA UCET	5791	29968	SIPO	MN	60921382
1562860	5313	1996-05-13	VYDAJ	PREVOD NA UCET	5791	23253	SIPO	MN	60921382
1562861	5313	1996-06-13	VYDAJ	PREVOD NA UCET	5791	23612	SIPO	MN	60921382
1562862	5313	1996-07-13	VYDAJ	PREVOD NA UCET	5791	23464	SIPO	MN	60921382
1562863	5313	1996-08-13	VYDAJ	PREVOD NA UCET	5791	22717	SIPO	MN	60921382
1562864	5313	1996-09-13	VYDAJ	PREVOD NA UCET	5791	25968	SIPO	MN	60921382
1562865	5313	1996-10-13	VYDAJ	PREVOD NA UCET	5791	26230	SIPO	MN	60921382
1562866	5313	1996-11-13	VYDAJ	PREVOD NA UCET	5791	49901	SIPO	MN	60921382
1562867	5313	1996-12-13	VYDAJ	PREVOD NA UCET	5791	30220	SIPO	MN	60921382
1562868	5313	1997-01-13	VYDAJ	PREVOD NA UCET	5791	32731	SIPO	MN	60921382
1562869	5313	1997-02-13	VYDAJ	PREVOD NA UCET	5791	58617	SIPO	MN	60921382
1562870	5313	1997-03-13	VYDAJ	PREVOD NA UCET	5791	68502	SIPO	MN	60921382
1562871	5313	1997-04-13	VYDAJ	PREVOD NA UCET	5791	65637	SIPO	MN	60921382
1562872	5313	1997-05-13	VYDAJ	PREVOD NA UCET	5791	48842	SIPO	MN	60921382
1562873	5313	1997-06-13	VYDAJ	PREVOD NA UCET	5791	53318	SIPO	MN	60921382
1562874	5313	1997-07-13	VYDAJ	PREVOD NA UCET	5791	95652	SIPO	MN	60921382
1562875	5313	1997-08-13	VYDAJ	PREVOD NA UCET	5791	45585	SIPO	MN	60921382
1562876	5313	1997-09-13	VYDAJ	PREVOD NA UCET	5791	45737	SIPO	MN	60921382
1562877	5313	1997-10-13	VYDAJ	PREVOD NA UCET	5791	62443	SIPO	MN	60921382
1562878	5313	1997-11-13	VYDAJ	PREVOD NA UCET	5791	59886	SIPO	MN	60921382
1562879	5313	1997-12-13	VYDAJ	PREVOD NA UCET	5791	85822	SIPO	MN	60921382
1562880	5313	1998-01-13	VYDAJ	PREVOD NA UCET	5791	52603	SIPO	MN	60921382
1562881	5313	1998-02-13	VYDAJ	PREVOD NA UCET	5791	24868	SIPO	MN	60921382
1562882	5313	1998-03-13	VYDAJ	PREVOD NA UCET	5791	23735	SIPO	MN	60921382
1562883	5313	1998-04-13	VYDAJ	PREVOD NA UCET	5791	21997	SIPO	MN	60921382
1562884	5313	1998-05-13	VYDAJ	PREVOD NA UCET	5791	22653	SIPO	MN	60921382
1562885	5313	1998-06-13	VYDAJ	PREVOD NA UCET	5791	26009	SIPO	MN	60921382
1562886	5313	1998-07-13	VYDAJ	PREVOD NA UCET	5791	26778	SIPO	MN	60921382
1562887	5313	1998-08-13	VYDAJ	PREVOD NA UCET	5791	26151	SIPO	MN	60921382
1562888	5313	1998-09-13	VYDAJ	PREVOD NA UCET	5791	29854	SIPO	MN	60921382
1562889	5313	1998-10-13	VYDAJ	PREVOD NA UCET	5791	27052	SIPO	MN	60921382
1562890	5313	1998-11-13	VYDAJ	PREVOD NA UCET	5791	25939	SIPO	MN	60921382
1562891	5313	1998-12-13	VYDAJ	PREVOD NA UCET	5791	23622	SIPO	MN	60921382
1562901	5313	1993-10-14	VYDAJ	PREVOD NA UCET	1167	69962	 	UV	15263599
1562902	5313	1993-11-14	VYDAJ	PREVOD NA UCET	1167	55159	 	UV	15263599
1562903	5313	1993-12-14	VYDAJ	PREVOD NA UCET	1167	7691	 	UV	15263599
1562904	5313	1994-01-14	VYDAJ	PREVOD NA UCET	1167	26472	 	UV	15263599
1562905	5313	1994-02-14	VYDAJ	PREVOD NA UCET	1167	50419	 	UV	15263599
1562906	5313	1994-03-14	VYDAJ	PREVOD NA UCET	1167	35495	 	UV	15263599
1562907	5313	1994-04-14	VYDAJ	PREVOD NA UCET	1167	59969	 	UV	15263599
1562908	5313	1994-05-14	VYDAJ	PREVOD NA UCET	1167	46237	 	UV	15263599
1562909	5313	1994-06-14	VYDAJ	PREVOD NA UCET	1167	34876	 	UV	15263599
1562910	5313	1994-07-14	VYDAJ	PREVOD NA UCET	1167	63478	 	UV	15263599
1562911	5313	1994-08-14	VYDAJ	PREVOD NA UCET	1167	70895	 	UV	15263599
1562912	5313	1994-09-14	VYDAJ	PREVOD NA UCET	1167	70094	 	UV	15263599
1562913	5313	1994-10-14	VYDAJ	PREVOD NA UCET	1167	82935	 	UV	15263599
1562914	5313	1994-11-14	VYDAJ	PREVOD NA UCET	1167	68796	 	UV	15263599
1562915	5313	1994-12-14	VYDAJ	PREVOD NA UCET	1167	43481	 	UV	15263599
1562916	5313	1995-01-14	VYDAJ	PREVOD NA UCET	1167	25465	 	UV	15263599
1562917	5313	1995-02-14	VYDAJ	PREVOD NA UCET	1167	27477	 	UV	15263599
1562918	5313	1995-03-14	VYDAJ	PREVOD NA UCET	1167	55445	 	UV	15263599
1562919	5313	1995-04-14	VYDAJ	PREVOD NA UCET	1167	27430	 	UV	15263599
1562920	5313	1995-05-14	VYDAJ	PREVOD NA UCET	1167	12334	 	UV	15263599
1562921	5313	1995-06-14	VYDAJ	PREVOD NA UCET	1167	5975	 	UV	15263599
1562922	5313	1995-07-14	VYDAJ	PREVOD NA UCET	1167	74441	 	UV	15263599
1562923	5313	1995-08-14	VYDAJ	PREVOD NA UCET	1167	40983	 	UV	15263599
1562924	5313	1995-09-14	VYDAJ	PREVOD NA UCET	1167	12628	 	UV	15263599
1562925	5313	1995-10-14	VYDAJ	PREVOD NA UCET	1167	9279	 	UV	15263599
1562926	5313	1995-11-14	VYDAJ	PREVOD NA UCET	1167	9324	 	UV	15263599
1562927	5313	1995-12-14	VYDAJ	PREVOD NA UCET	1167	12547	 	UV	15263599
1562928	5313	1996-01-14	VYDAJ	PREVOD NA UCET	1167	20995	 	UV	15263599
1562929	5313	1996-02-14	VYDAJ	PREVOD NA UCET	1167	30689	 	UV	15263599
1562930	5313	1996-03-14	VYDAJ	PREVOD NA UCET	1167	42056	 	UV	15263599
1562931	5313	1996-04-14	VYDAJ	PREVOD NA UCET	1167	28801	 	UV	15263599
1562932	5313	1996-05-14	VYDAJ	PREVOD NA UCET	1167	22086	 	UV	15263599
1562933	5313	1996-06-14	VYDAJ	PREVOD NA UCET	1167	22445	 	UV	15263599
1562934	5313	1996-07-14	VYDAJ	PREVOD NA UCET	1167	22297	 	UV	15263599
1562935	5313	1996-08-14	VYDAJ	PREVOD NA UCET	1167	21550	 	UV	15263599
1562936	5313	1996-09-14	VYDAJ	PREVOD NA UCET	1167	24801	 	UV	15263599
1562937	5313	1996-10-14	VYDAJ	PREVOD NA UCET	1167	25063	 	UV	15263599
1562938	5313	1996-11-14	VYDAJ	PREVOD NA UCET	1167	48734	 	UV	15263599
1562939	5313	1996-12-14	VYDAJ	PREVOD NA UCET	1167	29053	 	UV	15263599
1562940	5313	1997-01-14	VYDAJ	PREVOD NA UCET	1167	43579	 	UV	15263599
1562941	5313	1997-02-14	VYDAJ	PREVOD NA UCET	1167	57450	 	UV	15263599
1562942	5313	1997-03-14	VYDAJ	PREVOD NA UCET	1167	67335	 	UV	15263599
1562943	5313	1997-04-14	VYDAJ	PREVOD NA UCET	1167	64470	 	UV	15263599
1562944	5313	1997-05-14	VYDAJ	PREVOD NA UCET	1167	47675	 	UV	15263599
1562945	5313	1997-06-14	VYDAJ	PREVOD NA UCET	1167	52151	 	UV	15263599
1562946	5313	1997-07-14	VYDAJ	PREVOD NA UCET	1167	85785	 	UV	15263599
1562947	5313	1997-08-14	VYDAJ	PREVOD NA UCET	1167	44418	 	UV	15263599
1562948	5313	1997-09-14	VYDAJ	PREVOD NA UCET	1167	44570	 	UV	15263599
1562949	5313	1997-10-14	VYDAJ	PREVOD NA UCET	1167	61276	 	UV	15263599
1562950	5313	1997-11-14	VYDAJ	PREVOD NA UCET	1167	58719	 	UV	15263599
1562951	5313	1997-12-14	VYDAJ	PREVOD NA UCET	1167	84655	 	UV	15263599
1562952	5313	1998-01-14	VYDAJ	PREVOD NA UCET	1167	48136	 	UV	15263599
1562953	5313	1998-02-14	VYDAJ	PREVOD NA UCET	1167	23701	 	UV	15263599
1562954	5313	1998-03-14	VYDAJ	PREVOD NA UCET	1167	22568	 	UV	15263599
1562955	5313	1998-04-14	VYDAJ	PREVOD NA UCET	1167	20830	 	UV	15263599
1562956	5313	1998-05-14	VYDAJ	PREVOD NA UCET	1167	21486	 	UV	15263599
1562957	5313	1998-06-14	VYDAJ	PREVOD NA UCET	1167	24842	 	UV	15263599
1562958	5313	1998-07-14	VYDAJ	PREVOD NA UCET	1167	25611	 	UV	15263599
1562959	5313	1998-08-14	VYDAJ	PREVOD NA UCET	1167	24984	 	UV	15263599
1562960	5313	1998-09-14	VYDAJ	PREVOD NA UCET	1167	28687	 	UV	15263599
1562961	5313	1998-10-14	VYDAJ	PREVOD NA UCET	1167	25885	 	UV	15263599
1562962	5313	1998-11-14	VYDAJ	PREVOD NA UCET	1167	24772	 	UV	15263599
1562963	5313	1998-12-14	VYDAJ	PREVOD NA UCET	1167	22455	 	UV	15263599
1562973	5313	1993-10-06	VYDAJ	PREVOD NA UCET	958	130520	POJISTNE	AB	62256020
1562974	5313	1993-11-06	VYDAJ	PREVOD NA UCET	958	68317	POJISTNE	AB	62256020
1562975	5313	1993-12-06	VYDAJ	PREVOD NA UCET	958	25949	POJISTNE	AB	62256020
1562976	5313	1994-01-06	VYDAJ	PREVOD NA UCET	958	15892	POJISTNE	AB	62256020
1562977	5313	1994-02-06	VYDAJ	PREVOD NA UCET	958	16682	POJISTNE	AB	62256020
1562978	5313	1994-03-06	VYDAJ	PREVOD NA UCET	958	33094	POJISTNE	AB	62256020
1562979	5313	1994-04-06	VYDAJ	PREVOD NA UCET	958	40484	POJISTNE	AB	62256020
1562980	5313	1994-05-06	VYDAJ	PREVOD NA UCET	958	51358	POJISTNE	AB	62256020
1562981	5313	1994-06-06	VYDAJ	PREVOD NA UCET	958	46845	POJISTNE	AB	62256020
1562982	5313	1994-07-06	VYDAJ	PREVOD NA UCET	958	50545	POJISTNE	AB	62256020
1562983	5313	1994-08-06	VYDAJ	PREVOD NA UCET	958	54027	POJISTNE	AB	62256020
1562984	5313	1994-09-06	VYDAJ	PREVOD NA UCET	958	66799	POJISTNE	AB	62256020
1562985	5313	1994-10-06	VYDAJ	PREVOD NA UCET	958	94904	POJISTNE	AB	62256020
1562986	5313	1994-11-06	VYDAJ	PREVOD NA UCET	958	61172	POJISTNE	AB	62256020
1562987	5313	1994-12-06	VYDAJ	PREVOD NA UCET	958	55450	POJISTNE	AB	62256020
1562988	5313	1995-01-06	VYDAJ	PREVOD NA UCET	958	54534	POJISTNE	AB	62256020
1562989	5313	1995-02-06	VYDAJ	PREVOD NA UCET	958	39446	POJISTNE	AB	62256020
1562990	5313	1995-03-06	VYDAJ	PREVOD NA UCET	958	67415	POJISTNE	AB	62256020
1562991	5313	1995-04-06	VYDAJ	PREVOD NA UCET	958	39399	POJISTNE	AB	62256020
1562992	5313	1995-05-06	VYDAJ	PREVOD NA UCET	958	24303	POJISTNE	AB	62256020
1562993	5313	1995-06-06	VYDAJ	PREVOD NA UCET	958	17944	POJISTNE	AB	62256020
1562994	5313	1995-07-06	VYDAJ	PREVOD NA UCET	958	82769	POJISTNE	AB	62256020
1562995	5313	1995-08-06	VYDAJ	PREVOD NA UCET	958	52952	POJISTNE	AB	62256020
1562996	5313	1995-09-06	VYDAJ	PREVOD NA UCET	958	24597	POJISTNE	AB	62256020
1562997	5313	1995-10-06	VYDAJ	PREVOD NA UCET	958	21248	POJISTNE	AB	62256020
1562998	5313	1995-11-06	VYDAJ	PREVOD NA UCET	958	21293	POJISTNE	AB	62256020
1562999	5313	1995-12-06	VYDAJ	PREVOD NA UCET	958	24517	POJISTNE	AB	62256020
1563000	5313	1996-01-06	VYDAJ	PREVOD NA UCET	958	19064	POJISTNE	AB	62256020
1563001	5313	1996-02-06	VYDAJ	PREVOD NA UCET	958	47258	POJISTNE	AB	62256020
1563002	5313	1996-03-06	VYDAJ	PREVOD NA UCET	958	61325	POJISTNE	AB	62256020
1563003	5313	1996-04-06	VYDAJ	PREVOD NA UCET	958	31670	POJISTNE	AB	62256020
1563004	5313	1996-05-06	VYDAJ	PREVOD NA UCET	958	27955	POJISTNE	AB	62256020
1563005	5313	1996-06-06	VYDAJ	PREVOD NA UCET	958	21214	POJISTNE	AB	62256020
1563006	5313	1996-07-06	VYDAJ	PREVOD NA UCET	958	21566	POJISTNE	AB	62256020
1563007	5313	1996-08-06	VYDAJ	PREVOD NA UCET	958	21419	POJISTNE	AB	62256020
1563008	5313	1996-09-06	VYDAJ	PREVOD NA UCET	958	20670	POJISTNE	AB	62256020
1563009	5313	1996-10-06	VYDAJ	PREVOD NA UCET	958	23932	POJISTNE	AB	62256020
1563010	5313	1996-11-06	VYDAJ	PREVOD NA UCET	958	64103	POJISTNE	AB	62256020
1563011	5313	1996-12-06	VYDAJ	PREVOD NA UCET	958	47988	POJISTNE	AB	62256020
1563012	5313	1997-01-06	VYDAJ	PREVOD NA UCET	958	22719	POJISTNE	AB	62256020
1563013	5313	1997-02-06	VYDAJ	PREVOD NA UCET	958	85419	POJISTNE	AB	62256020
1563014	5313	1997-03-06	VYDAJ	PREVOD NA UCET	958	96404	POJISTNE	AB	62256020
1563015	5313	1997-04-06	VYDAJ	PREVOD NA UCET	958	86739	POJISTNE	AB	62256020
1563016	5313	1997-05-06	VYDAJ	PREVOD NA UCET	958	37747	POJISTNE	AB	62256020
1563017	5313	1997-06-06	VYDAJ	PREVOD NA UCET	958	60121	POJISTNE	AB	62256020
1563018	5313	1997-07-06	VYDAJ	PREVOD NA UCET	958	99456	POJISTNE	AB	62256020
1563019	5313	1997-08-06	VYDAJ	PREVOD NA UCET	958	56387	POJISTNE	AB	62256020
1563020	5313	1997-09-06	VYDAJ	PREVOD NA UCET	958	66295	POJISTNE	AB	62256020
1563021	5313	1997-10-06	VYDAJ	PREVOD NA UCET	958	84828	POJISTNE	AB	62256020
1563022	5313	1997-11-06	VYDAJ	PREVOD NA UCET	958	70689	POJISTNE	AB	62256020
1563023	5313	1997-12-06	VYDAJ	PREVOD NA UCET	958	74261	POJISTNE	AB	62256020
1563024	5313	1998-01-06	VYDAJ	PREVOD NA UCET	958	67005	POJISTNE	AB	62256020
1563025	5313	1998-02-06	VYDAJ	PREVOD NA UCET	958	35670	POJISTNE	AB	62256020
1563026	5313	1998-03-06	VYDAJ	PREVOD NA UCET	958	34537	POJISTNE	AB	62256020
1563027	5313	1998-04-06	VYDAJ	PREVOD NA UCET	958	32799	POJISTNE	AB	62256020
1563028	5313	1998-05-06	VYDAJ	PREVOD NA UCET	958	33455	POJISTNE	AB	62256020
1563029	5313	1998-06-06	VYDAJ	PREVOD NA UCET	958	36811	POJISTNE	AB	62256020
1563030	5313	1998-07-06	VYDAJ	PREVOD NA UCET	958	37580	POJISTNE	AB	62256020
1563031	5313	1998-08-06	VYDAJ	PREVOD NA UCET	958	36953	POJISTNE	AB	62256020
1563032	5313	1998-09-06	VYDAJ	PREVOD NA UCET	958	40657	POJISTNE	AB	62256020
1563033	5313	1998-10-06	VYDAJ	PREVOD NA UCET	958	37854	POJISTNE	AB	62256020
1563034	5313	1998-11-06	VYDAJ	PREVOD NA UCET	958	36741	POJISTNE	AB	62256020
1563035	5313	1998-12-06	VYDAJ	PREVOD NA UCET	958	37124	POJISTNE	AB	62256020
1563039	5313	1993-12-04	VYBER	VYBER	12091	26907	\N	\N	\N
1563041	5313	1994-08-16	VYBER	VYBER	9595	61300	\N	\N	\N
1563043	5313	1994-08-19	VYBER	VYBER	22916	38384	\N	\N	\N
1563046	5313	1995-08-23	VYBER	VYBER	13784	25399	\N	\N	\N
1563047	5313	1995-11-23	VYBER	VYBER	4163	25398	\N	\N	\N
1563048	5313	1996-12-22	VYBER	VYBER	14187	25334	\N	\N	\N
1563050	5313	1996-12-12	VYBER	VYBER	12566	41022	\N	\N	\N
1563054	5313	1996-02-29	VYBER	VYBER	6663	62298	\N	\N	\N
1563062	5313	1997-09-05	VYBER	VYBER	19850	68253	\N	\N	\N
1563063	5313	1997-07-11	VYBER	VYBER	4771	76085	\N	\N	\N
1563064	5313	1997-04-28	VYBER	VYBER	15197	49273	\N	\N	\N
1563065	5313	1997-09-10	VYBER	VYBER	9756	56539	\N	\N	\N
1563066	5313	1997-04-28	VYBER	VYBER	21848	27425	\N	\N	\N
1563067	5313	1997-01-22	VYBER	VYBER	24657	45574	\N	\N	\N
1563080	5313	1998-01-23	VYDAJ	VYBER	24000	22336	\N	\N	\N
1563081	5313	1993-12-07	VYDAJ	VYBER	5400	20549	\N	\N	\N
1563082	5313	1994-12-27	VYDAJ	VYBER	8400	25475	\N	\N	\N
1563084	5313	1996-12-20	VYDAJ	VYBER	3300	39521	\N	\N	\N
1563085	5313	1997-12-16	VYDAJ	VYBER	2400	82255	\N	\N	\N
1563086	5313	1998-12-07	VYDAJ	VYBER	2700	34424	\N	\N	\N
1563096	5313	1994-01-13	VYDAJ	VYBER	2700	33430	\N	\N	\N
1563098	5313	1994-01-25	VYDAJ	VYBER	4200	17572	\N	\N	\N
1563099	5313	1995-01-10	VYDAJ	VYBER	4200	50334	\N	\N	\N
1563100	5313	1995-01-22	VYDAJ	VYBER	2100	24865	\N	\N	\N
1563102	5313	1995-01-13	VYDAJ	VYBER	6900	32423	\N	\N	\N
1563103	5313	1995-01-23	VYDAJ	VYBER	3900	20965	\N	\N	\N
1563104	5313	1995-01-11	VYDAJ	VYBER	6000	44334	\N	\N	\N
1563110	5313	1996-01-25	VYDAJ	VYBER	7500	48094	\N	\N	\N
1563111	5313	1997-01-27	VYDAJ	VYBER	3000	42574	\N	\N	\N
1563112	5313	1997-01-29	VYDAJ	VYBER	6000	36574	\N	\N	\N
1563113	5313	1997-01-11	VYDAJ	VYBER	3900	30019	\N	\N	\N
1563114	5313	1997-01-21	VYDAJ	VYBER	3000	70231	\N	\N	\N
1563115	5313	1997-01-10	VYDAJ	VYBER	8700	33919	\N	\N	\N
1563116	5313	1997-01-02	VYDAJ	VYBER	1800	23677	\N	\N	\N
1563117	5313	1998-01-07	VYDAJ	VYBER	3600	63405	\N	\N	\N
1563119	5313	1998-01-13	VYDAJ	VYBER	3300	49303	\N	\N	\N
1563120	5313	1998-01-19	VYDAJ	VYBER	1800	46336	\N	\N	\N
1563125	5313	1993-10-20	VYDAJ	VYBER	2100	67862	\N	\N	\N
1563130	5313	1993-09-24	VYDAJ	VYBER	6900	76065	\N	\N	\N
1563131	5313	1994-08-05	VYDAJ	VYBER	2400	54985	\N	\N	\N
1563132	5313	1994-09-25	VYDAJ	VYBER	13500	70730	\N	\N	\N
1563133	5313	1994-12-22	VYDAJ	VYBER	8400	33875	\N	\N	\N
1563134	5313	1994-06-04	VYDAJ	VYBER	5700	47803	\N	\N	\N
1563138	5313	1995-04-19	VYDAJ	VYBER	9000	25130	\N	\N	\N
1563143	5313	1996-03-16	VYDAJ	VYBER	9600	32456	\N	\N	\N
1563145	5313	1996-05-11	VYDAJ	VYBER	5400	22555	\N	\N	\N
1563147	5313	1997-12-18	VYDAJ	VYBER	12000	70255	\N	\N	\N
1563148	5313	1997-06-14	VYDAJ	VYBER	11400	40751	\N	\N	\N
1563149	5313	1997-06-23	VYDAJ	VYBER	6000	50468	\N	\N	\N
1563150	5313	1997-07-14	VYDAJ	VYBER	8700	86952	\N	\N	\N
1563151	5313	1997-11-23	VYDAJ	VYBER	12000	94478	\N	\N	\N
1563152	5313	1997-02-08	VYDAJ	VYBER	5400	69419	\N	\N	\N
1563154	5313	1998-08-30	VYDAJ	VYBER	3600	33688	\N	\N	\N
1563166	5313	1993-09-30	VYDAJ	VYBER	15	48438	SLUZBY	\N	\N
1563167	5313	1993-10-31	VYDAJ	VYBER	15	44338	SLUZBY	\N	\N
1563168	5313	1993-11-30	VYDAJ	VYBER	15	38998	SLUZBY	\N	\N
1563169	5313	1993-12-31	VYDAJ	VYBER	15	16850	SLUZBY	\N	\N
1563170	5313	1994-01-31	VYDAJ	VYBER	15	17640	SLUZBY	\N	\N
1563171	5313	1994-02-28	VYDAJ	VYBER	15	34052	SLUZBY	\N	\N
1563172	5313	1994-03-31	VYDAJ	VYBER	15	35981	SLUZBY	\N	\N
1563173	5313	1994-04-30	VYDAJ	VYBER	15	52316	SLUZBY	\N	\N
1563174	5313	1994-05-31	VYDAJ	VYBER	15	53503	SLUZBY	\N	\N
1563175	5313	1994-06-30	VYDAJ	VYBER	15	31426	SLUZBY	\N	\N
1563176	5313	1994-07-31	VYDAJ	VYBER	15	57385	SLUZBY	\N	\N
1563177	5313	1994-08-31	VYDAJ	VYBER	15	83406	SLUZBY	\N	\N
1563178	5313	1994-09-30	VYDAJ	VYBER	15	135562	SLUZBY	\N	\N
1563179	5313	1994-10-31	VYDAJ	VYBER	15	62130	SLUZBY	\N	\N
1563180	5313	1994-11-30	VYDAJ	VYBER	15	110308	SLUZBY	\N	\N
1563181	5313	1994-12-31	VYDAJ	VYBER	15	55492	SLUZBY	\N	\N
1563182	5313	1995-01-31	VYDAJ	VYBER	15	31400	SLUZBY	\N	\N
1563183	5313	1995-02-28	VYDAJ	VYBER	15	68373	SLUZBY	\N	\N
1563184	5313	1995-03-31	VYDAJ	VYBER	15	40357	SLUZBY	\N	\N
1563185	5313	1995-04-30	VYDAJ	VYBER	15	25261	SLUZBY	\N	\N
1563186	5313	1995-05-31	VYDAJ	VYBER	15	18902	SLUZBY	\N	\N
1563187	5313	1995-06-30	VYDAJ	VYBER	15	47658	SLUZBY	\N	\N
1563188	5313	1995-07-31	VYDAJ	VYBER	15	53910	SLUZBY	\N	\N
1563189	5313	1995-08-31	VYDAJ	VYBER	15	25555	SLUZBY	\N	\N
1563190	5313	1995-09-30	VYDAJ	VYBER	15	22206	SLUZBY	\N	\N
1563191	5313	1995-10-31	VYDAJ	VYBER	15	22251	SLUZBY	\N	\N
1563192	5313	1995-11-30	VYDAJ	VYBER	15	25475	SLUZBY	\N	\N
1563193	5313	1995-12-31	VYDAJ	VYBER	15	20022	SLUZBY	\N	\N
1563194	5313	1996-01-31	VYDAJ	VYBER	15	48216	SLUZBY	\N	\N
1563195	5313	1996-02-29	VYDAJ	VYBER	15	62283	SLUZBY	\N	\N
1563196	5313	1996-03-31	VYDAJ	VYBER	15	32628	SLUZBY	\N	\N
1563197	5313	1996-04-30	VYDAJ	VYBER	15	28913	SLUZBY	\N	\N
1563198	5313	1996-05-31	VYDAJ	VYBER	15	22172	SLUZBY	\N	\N
1563199	5313	1996-06-30	VYDAJ	VYBER	15	22524	SLUZBY	\N	\N
1563200	5313	1996-07-31	VYDAJ	VYBER	15	22377	SLUZBY	\N	\N
1563201	5313	1996-08-31	VYDAJ	VYBER	15	21628	SLUZBY	\N	\N
1563202	5313	1996-09-30	VYDAJ	VYBER	15	24890	SLUZBY	\N	\N
1563203	5313	1996-10-31	VYDAJ	VYBER	15	65061	SLUZBY	\N	\N
1563204	5313	1996-11-30	VYDAJ	VYBER	15	48946	SLUZBY	\N	\N
1563205	5313	1996-12-31	VYDAJ	VYBER	15	25477	SLUZBY	\N	\N
1563206	5313	1997-01-31	VYDAJ	VYBER	15	36719	SLUZBY	\N	\N
1563207	5313	1997-02-28	VYDAJ	VYBER	15	97362	SLUZBY	\N	\N
1563208	5313	1997-03-31	VYDAJ	VYBER	15	89932	SLUZBY	\N	\N
1563209	5313	1997-04-30	VYDAJ	VYBER	15	27699	SLUZBY	\N	\N
1563210	5313	1997-05-31	VYDAJ	VYBER	15	83759	SLUZBY	\N	\N
1563211	5313	1997-06-30	VYDAJ	VYBER	15	50699	SLUZBY	\N	\N
1563212	5313	1997-07-31	VYDAJ	VYBER	15	107245	SLUZBY	\N	\N
1563213	5313	1997-08-31	VYDAJ	VYBER	15	44640	SLUZBY	\N	\N
1563214	5313	1997-09-30	VYDAJ	VYBER	15	89618	SLUZBY	\N	\N
1563215	5313	1997-10-31	VYDAJ	VYBER	15	100825	SLUZBY	\N	\N
1563216	5313	1997-11-30	VYDAJ	VYBER	15	94819	SLUZBY	\N	\N
1563217	5313	1997-12-31	VYDAJ	VYBER	15	86663	SLUZBY	\N	\N
1563218	5313	1998-01-31	VYDAJ	VYBER	15	22528	SLUZBY	\N	\N
1563219	5313	1998-02-28	VYDAJ	VYBER	15	23795	SLUZBY	\N	\N
1563220	5313	1998-03-31	VYDAJ	VYBER	15	22657	SLUZBY	\N	\N
1563221	5313	1998-04-30	VYDAJ	VYBER	15	20913	SLUZBY	\N	\N
1563222	5313	1998-05-31	VYDAJ	VYBER	15	21569	SLUZBY	\N	\N
1563223	5313	1998-06-30	VYDAJ	VYBER	15	24938	SLUZBY	\N	\N
1563224	5313	1998-07-31	VYDAJ	VYBER	15	25711	SLUZBY	\N	\N
1563225	5313	1998-08-31	VYDAJ	VYBER	15	41615	SLUZBY	\N	\N
1563226	5313	1998-09-30	VYDAJ	VYBER	15	38812	SLUZBY	\N	\N
1563227	5313	1998-10-31	VYDAJ	VYBER	15	37699	SLUZBY	\N	\N
1563228	5313	1998-11-30	VYDAJ	VYBER	15	38082	SLUZBY	\N	\N
1563229	5313	1993-05-29	VYDAJ	VYBER	4700	26003	\N	\N	\N
1563230	5313	1993-06-28	VYDAJ	VYBER	7100	29879	\N	\N	\N
1563231	5313	1993-07-28	VYDAJ	VYBER	5000	24989	\N	\N	\N
1563232	5313	1993-08-27	VYDAJ	VYBER	12900	41628	\N	\N	\N
1563233	5313	1993-09-26	VYDAJ	VYBER	27800	48265	\N	\N	\N
1563234	5313	1993-10-06	VYDAJ	VYBER	48900	81620	\N	\N	\N
1563235	5313	1993-10-26	VYDAJ	VYBER	23800	44062	\N	\N	\N
1563236	5313	1993-11-06	VYDAJ	VYBER	22400	69275	\N	\N	\N
1563237	5313	1993-11-06	VYDAJ	VYBER	43500	91675	\N	\N	\N
1563238	5313	1993-11-25	VYDAJ	VYBER	16400	38759	\N	\N	\N
1563239	5313	1993-12-25	PRIJEM	VKLAD	9100	16791	\N	\N	\N
1563240	5313	1994-01-24	PRIJEM	VKLAD	800	21772	\N	\N	\N
1563241	5313	1994-02-23	VYDAJ	VYBER	9800	33919	\N	\N	\N
1563242	5313	1994-03-25	VYDAJ	VYBER	10500	35845	\N	\N	\N
1563243	5313	1994-04-24	VYDAJ	VYBER	27400	52112	\N	\N	\N
1563244	5313	1994-05-24	VYDAJ	VYBER	11500	34737	\N	\N	\N
1563245	5313	1994-06-23	VYDAJ	VYBER	3600	31276	\N	\N	\N
1563246	5313	1994-07-23	VYDAJ	VYBER	32700	57169	\N	\N	\N
1563247	5313	1994-08-22	VYDAJ	VYBER	14800	39731	\N	\N	\N
1563248	5313	1994-09-05	VYDAJ	VYBER	42300	67757	\N	\N	\N
1563249	5313	1994-09-21	VYDAJ	VYBER	24200	45894	\N	\N	\N
1563250	5313	1994-09-30	VYDAJ	VYBER	39700	95862	\N	\N	\N
1563251	5313	1994-10-21	VYDAJ	VYBER	57300	68046	\N	\N	\N
1563252	5313	1994-10-21	VYDAJ	VYBER	20200	47846	\N	\N	\N
1563253	5313	1994-11-08	VYDAJ	VYBER	18400	88803	\N	\N	\N
1563254	5313	1994-11-10	VYDAJ	VYBER	19200	80765	\N	\N	\N
1563255	5313	1994-11-20	VYDAJ	VYBER	22400	46396	\N	\N	\N
1563256	5313	1994-11-30	VYDAJ	VYBER	53900	56408	\N	\N	\N
1563257	5313	1994-12-20	VYDAJ	VYBER	20000	42275	\N	\N	\N
1563258	5313	1995-01-19	PRIJEM	VKLAD	1500	26965	\N	\N	\N
1563259	5313	1995-02-18	VYDAJ	VYBER	2500	24977	\N	\N	\N
1563260	5313	1995-03-20	VYDAJ	VYBER	15300	40145	\N	\N	\N
1563261	5313	1995-04-19	PRIJEM	VKLAD	6700	34130	\N	\N	\N
1563262	5313	1995-05-19	PRIJEM	VKLAD	6500	18834	\N	\N	\N
1563263	5313	1995-06-18	PRIJEM	VKLAD	12000	17975	\N	\N	\N
1563264	5313	1995-07-08	VYDAJ	VYBER	39100	86410	\N	\N	\N
1563265	5313	1995-07-18	VYDAJ	VYBER	20800	53641	\N	\N	\N
1563266	5313	1995-08-17	VYDAJ	VYBER	1800	39183	\N	\N	\N
1563267	5313	1995-09-16	PRIJEM	VKLAD	9500	22128	\N	\N	\N
1563268	5313	1995-10-16	PRIJEM	VKLAD	12900	22179	\N	\N	\N
1563269	5313	1995-11-15	PRIJEM	VKLAD	8100	17424	\N	\N	\N
1563270	5313	1995-12-15	PRIJEM	VKLAD	7400	19947	\N	\N	\N
1563271	5313	1996-01-14	PRIJEM	VKLAD	13900	22162	\N	\N	\N
1563272	5313	1996-02-13	VYDAJ	VYBER	4600	31856	\N	\N	\N
1563273	5313	1996-03-14	VYDAJ	VYBER	7300	43223	\N	\N	\N
1563274	5313	1996-04-13	PRIJEM	VKLAD	9100	35759	\N	\N	\N
1563275	5313	1996-05-13	PRIJEM	VKLAD	11500	29044	\N	\N	\N
1563276	5313	1996-06-12	PRIJEM	VKLAD	13200	34414	\N	\N	\N
1563277	5313	1996-07-12	PRIJEM	VKLAD	12700	34266	\N	\N	\N
1563278	5313	1996-08-11	PRIJEM	VKLAD	12100	33519	\N	\N	\N
1563279	5313	1996-09-10	PRIJEM	VKLAD	16100	36770	\N	\N	\N
1563280	5313	1996-10-10	PRIJEM	VKLAD	13100	37032	\N	\N	\N
1563281	5313	1996-11-09	VYDAJ	VYBER	3400	60703	\N	\N	\N
1563282	5313	1996-12-09	PRIJEM	VKLAD	5600	53588	\N	\N	\N
1563283	5313	1997-01-08	PRIJEM	VKLAD	19900	42619	\N	\N	\N
1563284	5313	1997-02-07	VYDAJ	VYBER	10600	74819	\N	\N	\N
1563285	5313	1997-03-09	VYDAJ	VYBER	17100	79304	\N	\N	\N
1563286	5313	1997-04-02	VYDAJ	VYBER	38000	87697	\N	\N	\N
1563287	5313	1997-04-08	VYDAJ	VYBER	10300	76439	\N	\N	\N
1563288	5313	1997-05-08	PRIJEM	VKLAD	13000	50747	\N	\N	\N
1563289	5313	1997-06-05	VYDAJ	VYBER	63900	61079	\N	\N	\N
1563290	5313	1997-06-07	PRIJEM	VKLAD	4000	64121	\N	\N	\N
1563291	5313	1997-07-07	VYDAJ	VYBER	18600	80856	\N	\N	\N
1563292	5313	1997-07-16	VYDAJ	VYBER	56300	75407	\N	\N	\N
1563293	5313	1997-07-31	VYDAJ	VYBER	63600	43645	\N	\N	\N
1563294	5313	1997-08-06	PRIJEM	VKLAD	13700	57345	\N	\N	\N
1563295	5313	1997-09-05	VYDAJ	VYBER	1000	67253	\N	\N	\N
1563296	5313	1997-10-05	VYDAJ	VYBER	15800	73818	\N	\N	\N
1563297	5313	1997-10-08	VYDAJ	VYBER	54900	73245	\N	\N	\N
1563298	5313	1997-11-04	VYDAJ	VYBER	32300	89547	\N	\N	\N
1563299	5313	1997-11-04	VYDAJ	VYBER	17900	71647	\N	\N	\N
1563300	5313	1997-12-04	VYDAJ	VYBER	19600	75219	\N	\N	\N
1563301	5313	1997-12-09	VYDAJ	VYBER	16900	96625	\N	\N	\N
1563302	5313	1997-12-22	VYDAJ	VYBER	24300	86287	\N	\N	\N
1563303	5313	1998-01-03	VYDAJ	VYBER	18700	67963	\N	\N	\N
1563304	5313	1998-02-02	PRIJEM	VKLAD	14100	36628	\N	\N	\N
1563305	5313	1998-03-04	PRIJEM	VKLAD	11700	35495	\N	\N	\N
1563306	5313	1998-04-03	PRIJEM	VKLAD	11100	33757	\N	\N	\N
1563307	5313	1998-05-03	PRIJEM	VKLAD	13500	34413	\N	\N	\N
1563308	5313	1998-06-02	PRIJEM	VKLAD	16200	37769	\N	\N	\N
1563309	5313	1998-07-02	PRIJEM	VKLAD	13600	38538	\N	\N	\N
1563310	5313	1998-08-01	PRIJEM	VKLAD	12200	37911	\N	\N	\N
1563311	5313	1998-08-31	PRIJEM	VKLAD	7800	41488	\N	\N	\N
1563312	5313	1998-09-30	PRIJEM	VKLAD	10000	38687	\N	\N	\N
1563313	5313	1998-10-30	PRIJEM	VKLAD	11700	37585	\N	\N	\N
1563314	5313	1998-11-29	PRIJEM	VKLAD	13200	37972	\N	\N	\N
1563885	5317	1996-10-20	PRIJEM	VKLAD	200	200	\N	\N	\N
1563896	5317	1996-11-09	PRIJEM	PREVOD Z UCTU	15029	15229	\N	KL	29239070
1563897	5317	1996-12-09	PRIJEM	PREVOD Z UCTU	22544	43207	\N	KL	29239070
1563898	5317	1997-01-09	PRIJEM	PREVOD Z UCTU	15029	47242	\N	KL	29239070
1563899	5317	1997-02-09	PRIJEM	PREVOD Z UCTU	15029	51814	\N	KL	29239070
1563900	5317	1997-03-09	PRIJEM	PREVOD Z UCTU	15029	51595	\N	KL	29239070
1563901	5317	1997-04-09	PRIJEM	PREVOD Z UCTU	15029	47228	\N	KL	29239070
1563902	5317	1997-05-09	PRIJEM	PREVOD Z UCTU	15029	47151	\N	KL	29239070
1563903	5317	1997-06-09	PRIJEM	PREVOD Z UCTU	22544	52787	\N	KL	29239070
1563904	5317	1997-07-09	PRIJEM	PREVOD Z UCTU	15029	48418	\N	KL	29239070
1563905	5317	1997-08-09	PRIJEM	PREVOD Z UCTU	15029	42740	\N	KL	29239070
1563906	5317	1997-09-09	PRIJEM	PREVOD Z UCTU	15029	42744	\N	KL	29239070
1563907	5317	1997-10-09	PRIJEM	PREVOD Z UCTU	15029	44349	\N	KL	29239070
1563908	5317	1997-11-09	PRIJEM	PREVOD Z UCTU	15029	45762	\N	KL	29239070
1563909	5317	1997-12-09	PRIJEM	PREVOD Z UCTU	22544	52488	\N	KL	29239070
1563910	5317	1998-01-09	PRIJEM	PREVOD Z UCTU	15029	40110	\N	KL	29239070
1563911	5317	1998-02-09	PRIJEM	PREVOD Z UCTU	15029	36493	\N	KL	29239070
1563912	5317	1998-03-09	PRIJEM	PREVOD Z UCTU	15029	34986	\N	KL	29239070
1563913	5317	1998-04-09	PRIJEM	PREVOD Z UCTU	15029	30041	\N	KL	29239070
1563914	5317	1998-05-09	PRIJEM	PREVOD Z UCTU	15029	33897	\N	KL	29239070
1563915	5317	1998-06-09	PRIJEM	PREVOD Z UCTU	22544	38968	\N	KL	29239070
1563916	5317	1998-07-09	PRIJEM	PREVOD Z UCTU	15029	32324	\N	KL	29239070
1563917	5317	1998-08-09	PRIJEM	PREVOD Z UCTU	15029	28000	\N	KL	29239070
1563918	5317	1998-09-09	PRIJEM	PREVOD Z UCTU	15029	24425	\N	KL	29239070
1563919	5317	1998-10-09	PRIJEM	PREVOD Z UCTU	15029	32669	\N	KL	29239070
1563920	5317	1998-11-09	PRIJEM	PREVOD Z UCTU	15029	36746	\N	KL	29239070
1563921	5317	1998-12-09	PRIJEM	PREVOD Z UCTU	22544	32100	\N	KL	29239070
1563936	5317	1997-03-12	VYDAJ	PREVOD NA UCET	2505	44759	UVER	AB	69538569
1563937	5317	1997-04-12	VYDAJ	PREVOD NA UCET	2505	40392	UVER	AB	69538569
1563938	5317	1997-05-12	VYDAJ	PREVOD NA UCET	2505	40315	UVER	AB	69538569
1563939	5317	1997-06-12	VYDAJ	PREVOD NA UCET	2505	45952	UVER	AB	69538569
1563940	5317	1997-07-12	VYDAJ	PREVOD NA UCET	2505	41582	UVER	AB	69538569
1563941	5317	1997-08-12	VYDAJ	PREVOD NA UCET	2505	35904	UVER	AB	69538569
1563942	5317	1997-09-12	VYDAJ	PREVOD NA UCET	2505	35908	UVER	AB	69538569
1563943	5317	1997-10-12	VYDAJ	PREVOD NA UCET	2505	37514	UVER	AB	69538569
1563944	5317	1997-11-12	VYDAJ	PREVOD NA UCET	2505	38927	UVER	AB	69538569
1563945	5317	1997-12-12	VYDAJ	PREVOD NA UCET	2505	45653	UVER	AB	69538569
1563946	5317	1998-01-12	VYDAJ	PREVOD NA UCET	2505	31474	UVER	AB	69538569
1563947	5317	1998-02-12	VYDAJ	PREVOD NA UCET	2505	29657	UVER	AB	69538569
1563948	5317	1998-03-12	VYDAJ	PREVOD NA UCET	2505	20050	UVER	AB	69538569
1563949	5317	1998-04-12	VYDAJ	PREVOD NA UCET	2505	23205	UVER	AB	69538569
1563950	5317	1998-05-12	VYDAJ	PREVOD NA UCET	2505	27061	UVER	AB	69538569
1563951	5317	1998-06-12	VYDAJ	PREVOD NA UCET	2505	17232	UVER	AB	69538569
1563952	5317	1998-07-12	VYDAJ	PREVOD NA UCET	2505	25488	UVER	AB	69538569
1563953	5317	1998-08-12	VYDAJ	PREVOD NA UCET	2505	9365	UVER	AB	69538569
1563954	5317	1998-09-12	VYDAJ	PREVOD NA UCET	2505	17590	UVER	AB	69538569
1563955	5317	1998-10-12	VYDAJ	PREVOD NA UCET	2505	25833	UVER	AB	69538569
1563956	5317	1998-11-12	VYDAJ	PREVOD NA UCET	2505	9510	UVER	AB	69538569
1563957	5317	1998-12-12	VYDAJ	PREVOD NA UCET	2505	19864	UVER	AB	69538569
1563972	5317	1997-03-09	VYDAJ	PREVOD NA UCET	4331	47264	SIPO	KL	53978085
1563973	5317	1997-04-09	VYDAJ	PREVOD NA UCET	4331	42897	SIPO	KL	53978085
1563974	5317	1997-05-09	VYDAJ	PREVOD NA UCET	4331	42820	SIPO	KL	53978085
1563975	5317	1997-06-09	VYDAJ	PREVOD NA UCET	4331	48456	SIPO	KL	53978085
1563976	5317	1997-07-09	VYDAJ	PREVOD NA UCET	4331	44087	SIPO	KL	53978085
1563977	5317	1997-08-09	VYDAJ	PREVOD NA UCET	4331	38409	SIPO	KL	53978085
1563978	5317	1997-09-09	VYDAJ	PREVOD NA UCET	4331	38413	SIPO	KL	53978085
1563979	5317	1997-10-09	VYDAJ	PREVOD NA UCET	4331	40018	SIPO	KL	53978085
1563980	5317	1997-11-09	VYDAJ	PREVOD NA UCET	4331	41431	SIPO	KL	53978085
1563981	5317	1997-12-09	VYDAJ	PREVOD NA UCET	4331	48157	SIPO	KL	53978085
1563982	5317	1998-01-09	VYDAJ	PREVOD NA UCET	4331	33979	SIPO	KL	53978085
1563983	5317	1998-02-09	VYDAJ	PREVOD NA UCET	4331	32162	SIPO	KL	53978085
1563984	5317	1998-03-09	VYDAJ	PREVOD NA UCET	4331	30655	SIPO	KL	53978085
1563985	5317	1998-04-09	VYDAJ	PREVOD NA UCET	4331	25710	SIPO	KL	53978085
1563986	5317	1998-05-09	VYDAJ	PREVOD NA UCET	4331	29566	SIPO	KL	53978085
1563987	5317	1998-06-09	VYDAJ	PREVOD NA UCET	4331	34637	SIPO	KL	53978085
1563988	5317	1998-07-09	VYDAJ	PREVOD NA UCET	4331	27993	SIPO	KL	53978085
1563989	5317	1998-08-09	VYDAJ	PREVOD NA UCET	4331	23669	SIPO	KL	53978085
1563990	5317	1998-09-09	VYDAJ	PREVOD NA UCET	4331	20094	SIPO	KL	53978085
1563991	5317	1998-10-09	VYDAJ	PREVOD NA UCET	4331	28338	SIPO	KL	53978085
1563992	5317	1998-11-09	VYDAJ	PREVOD NA UCET	4331	12015	SIPO	KL	53978085
1563993	5317	1998-12-09	VYDAJ	PREVOD NA UCET	4331	22369	SIPO	KL	53978085
1564025	5317	1997-12-22	VYDAJ	VYBER	6900	28853	\N	\N	\N
1564026	5317	1998-12-09	VYDAJ	VYBER	5400	26700	\N	\N	\N
1564040	5317	1998-01-02	VYDAJ	VYBER	3900	25081	\N	\N	\N
1564041	5317	1998-01-16	VYDAJ	VYBER	2100	21374	\N	\N	\N
1564042	5317	1998-01-12	VYDAJ	VYBER	8400	23074	\N	\N	\N
1564043	5317	1998-01-09	VYDAJ	VYBER	1800	38310	\N	\N	\N
1564050	5317	1997-03-13	VYDAJ	VYBER	3000	41759	\N	\N	\N
1564052	5317	1997-07-25	VYDAJ	VYBER	5700	27582	\N	\N	\N
1564054	5317	1998-03-12	VYDAJ	VYBER	8100	22555	\N	\N	\N
1564055	5317	1998-02-27	VYDAJ	VYBER	1800	19857	\N	\N	\N
1564058	5317	1998-11-01	VYDAJ	VYBER	4200	21717	\N	\N	\N
1564075	5317	1997-03-31	VYDAJ	VYBER	15	32199	SLUZBY	\N	\N
1564076	5317	1997-04-30	VYDAJ	VYBER	15	32122	SLUZBY	\N	\N
1564077	5317	1997-05-31	VYDAJ	VYBER	15	30243	SLUZBY	\N	\N
1564078	5317	1997-06-30	VYDAJ	VYBER	15	33389	SLUZBY	\N	\N
1564079	5317	1997-07-31	VYDAJ	VYBER	15	27711	SLUZBY	\N	\N
1564080	5317	1997-08-31	VYDAJ	VYBER	15	27715	SLUZBY	\N	\N
1564081	5317	1997-09-30	VYDAJ	VYBER	15	29320	SLUZBY	\N	\N
1564082	5317	1997-10-31	VYDAJ	VYBER	15	30733	SLUZBY	\N	\N
1564083	5317	1997-11-30	VYDAJ	VYBER	15	29944	SLUZBY	\N	\N
1564084	5317	1997-12-31	VYDAJ	VYBER	15	28981	SLUZBY	\N	\N
1564085	5317	1998-01-31	VYDAJ	VYBER	15	21464	SLUZBY	\N	\N
1564086	5317	1998-02-28	VYDAJ	VYBER	15	19957	SLUZBY	\N	\N
1564087	5317	1998-03-31	VYDAJ	VYBER	15	15012	SLUZBY	\N	\N
1564088	5317	1998-04-30	VYDAJ	VYBER	15	18868	SLUZBY	\N	\N
1564089	5317	1998-05-31	VYDAJ	VYBER	15	16424	SLUZBY	\N	\N
1564090	5317	1998-06-30	VYDAJ	VYBER	15	17295	SLUZBY	\N	\N
1564091	5317	1998-07-31	VYDAJ	VYBER	15	12971	SLUZBY	\N	\N
1564092	5317	1998-08-31	VYDAJ	VYBER	15	9396	SLUZBY	\N	\N
1564093	5317	1998-09-30	VYDAJ	VYBER	15	17640	SLUZBY	\N	\N
1564094	5317	1998-10-31	VYDAJ	VYBER	15	25917	SLUZBY	\N	\N
1564095	5317	1998-11-30	VYDAJ	VYBER	15	9556	SLUZBY	\N	\N
1564096	5317	1996-11-19	PRIJEM	VKLAD	5400	20629	\N	\N	\N
1564097	5317	1996-12-19	VYDAJ	VYBER	11100	32107	\N	\N	\N
1564098	5317	1997-01-18	VYDAJ	VYBER	10600	36642	\N	\N	\N
1564099	5317	1997-02-17	VYDAJ	VYBER	15400	36414	\N	\N	\N
1564100	5317	1997-03-19	VYDAJ	VYBER	9700	32059	\N	\N	\N
1564101	5317	1997-04-18	VYDAJ	VYBER	8400	31992	\N	\N	\N
1564102	5317	1997-05-18	VYDAJ	VYBER	10200	30115	\N	\N	\N
1564103	5317	1997-06-17	VYDAJ	VYBER	12700	33252	\N	\N	\N
1564104	5317	1997-07-17	VYDAJ	VYBER	8300	33282	\N	\N	\N
1564105	5317	1997-08-16	VYDAJ	VYBER	8300	27604	\N	\N	\N
1564106	5317	1997-09-15	VYDAJ	VYBER	6700	29208	\N	\N	\N
1564107	5317	1997-10-15	VYDAJ	VYBER	6900	30614	\N	\N	\N
1564108	5317	1997-11-14	VYDAJ	VYBER	9100	29827	\N	\N	\N
1564109	5317	1997-12-14	VYDAJ	VYBER	9900	35753	\N	\N	\N
1564110	5317	1998-01-13	PRIJEM	VKLAD	400	23474	\N	\N	\N
1564111	5317	1998-02-12	VYDAJ	VYBER	8000	21657	\N	\N	\N
1564112	5317	1998-03-14	VYDAJ	VYBER	5100	14950	\N	\N	\N
1564113	5317	1998-04-13	VYDAJ	VYBER	4400	18805	\N	\N	\N
1564114	5317	1998-05-13	VYDAJ	VYBER	10700	16361	\N	\N	\N
1564115	5317	1998-06-12	VYDAJ	VYBER	14900	19737	\N	\N	\N
1564116	5317	1998-07-12	VYDAJ	VYBER	12600	12888	\N	\N	\N
1564117	5317	1998-08-11	VYDAJ	VYBER	11800	11869	\N	\N	\N
1564118	5317	1998-11-09	VYDAJ	VYBER	20400	16346	\N	\N	\N
1571595	5343	1993-06-08	PRIJEM	VKLAD	600	600	\N	\N	\N
1571601	5343	1993-06-10	PRIJEM	VKLAD	19080	19680	\N	\N	\N
1571602	5343	1993-07-10	PRIJEM	VKLAD	12720	36657	\N	\N	\N
1571603	5343	1993-08-10	PRIJEM	VKLAD	12720	44810	\N	\N	\N
1571604	5343	1993-09-10	PRIJEM	VKLAD	12720	46306	\N	\N	\N
1571605	5343	1993-10-10	PRIJEM	VKLAD	12720	48618	\N	\N	\N
1571606	5343	1993-11-10	PRIJEM	VKLAD	12720	49223	\N	\N	\N
1571607	5343	1993-12-10	PRIJEM	VKLAD	19080	57493	\N	\N	\N
1571608	5343	1994-01-10	PRIJEM	VKLAD	12720	48194	\N	\N	\N
1571609	5343	1994-02-10	PRIJEM	VKLAD	12720	42523	\N	\N	\N
1571610	5343	1994-03-10	PRIJEM	VKLAD	12720	47295	\N	\N	\N
1571611	5343	1994-04-10	PRIJEM	VKLAD	12720	50792	\N	\N	\N
1571612	5343	1994-05-10	PRIJEM	VKLAD	12720	49204	\N	\N	\N
1571613	5343	1994-06-10	PRIJEM	VKLAD	19080	55377	\N	\N	\N
1571614	5343	1994-07-10	PRIJEM	VKLAD	12720	47232	\N	\N	\N
1571615	5343	1994-08-10	PRIJEM	VKLAD	12720	48828	\N	\N	\N
1571616	5343	1994-09-10	PRIJEM	VKLAD	12720	50130	\N	\N	\N
1571617	5343	1994-10-10	PRIJEM	VKLAD	12720	53343	\N	\N	\N
1571618	5343	1994-11-10	PRIJEM	VKLAD	12720	52965	\N	\N	\N
1571619	5343	1994-12-10	PRIJEM	VKLAD	19080	58097	\N	\N	\N
1571620	5343	1995-01-10	PRIJEM	VKLAD	12720	45129	\N	\N	\N
1571621	5343	1995-02-10	PRIJEM	VKLAD	12720	38954	\N	\N	\N
1571622	5343	1995-03-10	PRIJEM	VKLAD	12720	40970	\N	\N	\N
1571623	5343	1995-04-10	PRIJEM	VKLAD	12720	45035	\N	\N	\N
1571624	5343	1995-05-10	PRIJEM	VKLAD	12720	43374	\N	\N	\N
1571625	5343	1995-06-10	PRIJEM	VKLAD	19080	38604	\N	\N	\N
1571626	5343	1995-07-10	PRIJEM	VKLAD	12720	38244	\N	\N	\N
1571627	5343	1995-08-10	PRIJEM	VKLAD	12720	37305	\N	\N	\N
1571628	5343	1995-09-10	PRIJEM	VKLAD	12720	39113	\N	\N	\N
1571629	5343	1995-10-10	PRIJEM	VKLAD	12720	38934	\N	\N	\N
1571630	5343	1995-11-10	PRIJEM	VKLAD	12720	40248	\N	\N	\N
1571631	5343	1995-12-10	PRIJEM	VKLAD	19080	41565	\N	\N	\N
1571632	5343	1996-01-10	PRIJEM	VKLAD	12720	22066	\N	\N	\N
1571633	5343	1996-02-10	PRIJEM	VKLAD	12720	25681	\N	\N	\N
1571634	5343	1996-03-10	PRIJEM	VKLAD	12720	29142	\N	\N	\N
1571635	5343	1996-04-10	PRIJEM	VKLAD	12720	27173	\N	\N	\N
1571636	5343	1996-05-10	PRIJEM	VKLAD	12720	29439	\N	\N	\N
1571637	5343	1996-06-10	PRIJEM	VKLAD	19080	33474	\N	\N	\N
1571638	5343	1996-07-10	PRIJEM	VKLAD	12720	11321	\N	\N	\N
1571639	5343	1996-08-10	PRIJEM	VKLAD	12720	19129	\N	\N	\N
1571640	5343	1996-09-10	PRIJEM	VKLAD	12720	16744	\N	\N	\N
1571641	5343	1996-10-10	PRIJEM	VKLAD	12720	15562	\N	\N	\N
1571642	5343	1996-11-10	PRIJEM	VKLAD	12720	17580	\N	\N	\N
1571643	5343	1996-12-10	PRIJEM	VKLAD	19080	21382	\N	\N	\N
1571644	5343	1997-01-10	PRIJEM	VKLAD	12720	12341	\N	\N	\N
1571645	5343	1997-02-10	PRIJEM	VKLAD	12720	11146	\N	\N	\N
1571646	5343	1997-03-10	PRIJEM	VKLAD	12720	7227	\N	\N	\N
1571647	5343	1997-04-10	PRIJEM	VKLAD	12720	8591	\N	\N	\N
1571648	5343	1997-05-10	PRIJEM	VKLAD	12720	5449	\N	\N	\N
1571649	5343	1997-06-10	PRIJEM	VKLAD	19080	10543	\N	\N	\N
1571650	5343	1997-07-10	PRIJEM	VKLAD	12720	4772	\N	\N	\N
1571651	5343	1997-08-10	PRIJEM	VKLAD	12720	5608	\N	\N	\N
1571652	5343	1997-09-10	PRIJEM	VKLAD	12720	7458	\N	\N	\N
1571653	5343	1997-10-10	PRIJEM	VKLAD	12720	8823	\N	\N	\N
1571654	5343	1997-11-10	PRIJEM	VKLAD	12720	9196	\N	\N	\N
1571655	5343	1997-12-10	PRIJEM	VKLAD	19080	10603	\N	\N	\N
1571656	5343	1998-01-10	PRIJEM	VKLAD	12720	4529	\N	\N	\N
1571657	5343	1998-02-10	PRIJEM	VKLAD	12720	-3805	\N	\N	\N
1571658	5343	1998-03-10	PRIJEM	VKLAD	12720	-1849	\N	\N	\N
1571659	5343	1998-04-10	PRIJEM	VKLAD	12720	-4903	\N	\N	\N
1571660	5343	1998-05-10	PRIJEM	VKLAD	12720	-4870	\N	\N	\N
1571661	5343	1998-06-10	PRIJEM	VKLAD	19080	7761	\N	\N	\N
1571662	5343	1998-07-10	PRIJEM	VKLAD	12720	4676	\N	\N	\N
1571663	5343	1998-08-10	PRIJEM	VKLAD	12720	3496	\N	\N	\N
1571664	5343	1998-09-10	PRIJEM	VKLAD	12720	6229	\N	\N	\N
1571665	5343	1998-10-10	PRIJEM	VKLAD	12720	12424	\N	\N	\N
1571666	5343	1998-11-10	PRIJEM	VKLAD	12720	1193	\N	\N	\N
1571667	5343	1998-12-10	PRIJEM	VKLAD	19080	9952	\N	\N	\N
1571669	5343	1994-06-21	VYDAJ	VYBER	9760	45617	\N	\N	\N
1571671	5343	1996-06-12	VYDAJ	VYBER	32000	1474	\N	\N	\N
1571675	5343	1994-01-19	VYDAJ	VYBER	4640	39354	\N	\N	\N
1571676	5343	1995-01-13	VYDAJ	VYBER	2720	34729	\N	\N	\N
1571677	5343	1996-01-10	VYDAJ	VYBER	5440	16626	\N	\N	\N
1571680	5343	1993-12-28	VYDAJ	VYBER	4000	47973	\N	\N	\N
1571681	5343	1994-12-17	VYDAJ	VYBER	1280	55977	\N	\N	\N
1571682	5343	1995-12-06	VYDAJ	VYBER	3360	22485	\N	\N	\N
1571683	5343	1996-12-07	VYDAJ	VYBER	2080	2302	\N	\N	\N
1571692	5343	1994-01-15	VYDAJ	VYBER	840	44834	\N	\N	\N
1571693	5343	1994-01-13	VYDAJ	VYBER	1560	45674	\N	\N	\N
1571694	5343	1994-01-10	VYDAJ	VYBER	960	47234	\N	\N	\N
1571695	5343	1994-01-19	VYDAJ	VYBER	840	43994	\N	\N	\N
1571696	5343	1994-01-29	VYDAJ	VYBER	1920	34434	\N	\N	\N
1571697	5343	1994-01-26	VYDAJ	VYBER	3000	36354	\N	\N	\N
1571698	5343	1995-01-10	VYDAJ	VYBER	2640	39489	\N	\N	\N
1571699	5343	1995-01-21	VYDAJ	VYBER	2040	32689	\N	\N	\N
1571700	5343	1995-01-06	VYDAJ	VYBER	2640	34929	\N	\N	\N
1571701	5343	1995-01-07	VYDAJ	VYBER	2520	32409	\N	\N	\N
1571702	5343	1995-01-22	VYDAJ	VYBER	1680	31009	\N	\N	\N
1571703	5343	1995-01-11	VYDAJ	VYBER	2040	37449	\N	\N	\N
1571704	5343	1996-01-14	VYDAJ	VYBER	1320	15306	\N	\N	\N
1571705	5343	1996-01-09	VYDAJ	VYBER	2040	15226	\N	\N	\N
1571706	5343	1996-01-04	VYDAJ	VYBER	960	17986	\N	\N	\N
1571707	5343	1996-01-05	VYDAJ	VYBER	720	17266	\N	\N	\N
1571708	5343	1996-01-04	VYDAJ	VYBER	3000	18946	\N	\N	\N
1571709	5343	1996-01-02	VYDAJ	VYBER	2760	21946	\N	\N	\N
1571712	5343	1997-01-02	VYDAJ	VYBER	3480	-379	\N	\N	\N
1571714	5343	1997-01-17	VYDAJ	VYBER	1320	11021	\N	\N	\N
1571717	5343	1998-01-10	VYDAJ	VYBER	1920	2609	\N	\N	\N
1571719	5343	1998-01-12	VYDAJ	VYBER	3000	-391	\N	\N	\N
1571723	5343	1993-12-16	VYDAJ	VYBER	5520	51973	\N	\N	\N
1571727	5343	1994-12-11	VYDAJ	VYBER	840	57257	\N	\N	\N
1571728	5343	1994-07-23	VYDAJ	VYBER	3600	43632	\N	\N	\N
1571729	5343	1995-12-23	VYDAJ	VYBER	3480	38085	\N	\N	\N
1571730	5343	1995-06-28	VYDAJ	VYBER	4200	34404	\N	\N	\N
1571731	5343	1995-09-22	VYDAJ	VYBER	1200	37913	\N	\N	\N
1571732	5343	1995-06-02	VYDAJ	VYBER	3720	19524	\N	\N	\N
1571733	5343	1995-07-21	VYDAJ	VYBER	960	37284	\N	\N	\N
1571734	5343	1995-01-10	VYDAJ	VYBER	3000	42129	\N	\N	\N
1571735	5343	1995-05-30	VYDAJ	VYBER	4440	23134	\N	\N	\N
1571736	5343	1996-03-23	VYDAJ	VYBER	3240	25902	\N	\N	\N
1571737	5343	1996-01-09	VYDAJ	VYBER	5880	9346	\N	\N	\N
1571738	5343	1996-07-18	VYDAJ	VYBER	1200	10121	\N	\N	\N
1571739	5343	1996-08-19	VYDAJ	VYBER	2640	10609	\N	\N	\N
1571740	5343	1996-06-06	VYDAJ	VYBER	3600	14394	\N	\N	\N
1571741	5343	1996-08-15	VYDAJ	VYBER	2280	13249	\N	\N	\N
1571742	5343	1996-08-12	VYDAJ	VYBER	3600	15529	\N	\N	\N
1571749	5343	1998-11-22	VYDAJ	VYBER	4080	-2887	\N	\N	\N
1571765	5343	1993-10-31	VYDAJ	VYBER	15	48803	SLUZBY	\N	\N
1571766	5343	1993-11-30	VYDAJ	VYBER	15	49413	SLUZBY	\N	\N
1571767	5343	1993-12-31	VYDAJ	VYBER	15	48174	SLUZBY	\N	\N
1571768	5343	1994-01-31	VYDAJ	VYBER	15	34603	SLUZBY	\N	\N
1571769	5343	1994-02-28	VYDAJ	VYBER	15	42675	SLUZBY	\N	\N
1571770	5343	1994-03-31	VYDAJ	VYBER	15	47472	SLUZBY	\N	\N
1571771	5343	1994-04-30	VYDAJ	VYBER	15	50984	SLUZBY	\N	\N
1571772	5343	1994-05-31	VYDAJ	VYBER	15	49397	SLUZBY	\N	\N
1571773	5343	1994-06-30	VYDAJ	VYBER	15	45812	SLUZBY	\N	\N
1571774	5343	1994-07-31	VYDAJ	VYBER	15	43808	SLUZBY	\N	\N
1571775	5343	1994-08-31	VYDAJ	VYBER	15	49010	SLUZBY	\N	\N
1571776	5343	1994-09-30	VYDAJ	VYBER	15	50323	SLUZBY	\N	\N
1571777	5343	1994-10-31	VYDAJ	VYBER	15	40245	SLUZBY	\N	\N
1571778	5343	1994-11-30	VYDAJ	VYBER	15	53117	SLUZBY	\N	\N
1571779	5343	1994-12-31	VYDAJ	VYBER	15	37569	SLUZBY	\N	\N
1571780	5343	1995-01-31	VYDAJ	VYBER	15	26234	SLUZBY	\N	\N
1571781	5343	1995-02-28	VYDAJ	VYBER	15	28250	SLUZBY	\N	\N
1571782	5343	1995-03-31	VYDAJ	VYBER	15	32315	SLUZBY	\N	\N
1571783	5343	1995-04-30	VYDAJ	VYBER	15	30654	SLUZBY	\N	\N
1571784	5343	1995-05-31	VYDAJ	VYBER	15	23244	SLUZBY	\N	\N
1571785	5343	1995-06-30	VYDAJ	VYBER	15	25524	SLUZBY	\N	\N
1571786	5343	1995-07-31	VYDAJ	VYBER	15	24585	SLUZBY	\N	\N
1571787	5343	1995-08-31	VYDAJ	VYBER	15	26393	SLUZBY	\N	\N
1571788	5343	1995-09-30	VYDAJ	VYBER	15	26214	SLUZBY	\N	\N
1571789	5343	1995-10-31	VYDAJ	VYBER	15	27528	SLUZBY	\N	\N
1571790	5343	1995-11-30	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
1571791	5343	1995-12-31	VYDAJ	VYBER	15	24706	SLUZBY	\N	\N
1571792	5343	1996-01-31	VYDAJ	VYBER	15	12961	SLUZBY	\N	\N
1571793	5343	1996-02-29	VYDAJ	VYBER	15	16422	SLUZBY	\N	\N
1571794	5343	1996-03-31	VYDAJ	VYBER	15	14453	SLUZBY	\N	\N
1571795	5343	1996-04-30	VYDAJ	VYBER	15	16719	SLUZBY	\N	\N
1571796	5343	1996-05-31	VYDAJ	VYBER	15	17994	SLUZBY	\N	\N
1571798	5343	1996-07-31	VYDAJ	VYBER	15	6409	SLUZBY	\N	\N
1571799	5343	1996-08-31	VYDAJ	VYBER	15	4024	SLUZBY	\N	\N
1571800	5343	1996-09-30	VYDAJ	VYBER	15	2842	SLUZBY	\N	\N
1571801	5343	1996-10-31	VYDAJ	VYBER	15	4860	SLUZBY	\N	\N
1571802	5343	1996-11-30	VYDAJ	VYBER	15	4382	SLUZBY	\N	\N
1571803	5343	1996-12-31	VYDAJ	VYBER	15	3101	SLUZBY	\N	\N
1571824	5343	1998-09-30	VYDAJ	VYBER	15	-296	SLUZBY	\N	\N
1571825	5343	1998-10-31	VYDAJ	VYBER	15	-2927	SLUZBY	\N	\N
1571826	5343	1998-11-30	VYDAJ	VYBER	15	-2928	SLUZBY	\N	\N
1571827	5343	1993-07-08	PRIJEM	VKLAD	4200	23937	\N	\N	\N
1571828	5343	1993-08-07	VYDAJ	VYBER	4700	32090	\N	\N	\N
1571829	5343	1993-09-06	VYDAJ	VYBER	11400	33586	\N	\N	\N
1571830	5343	1993-10-06	VYDAJ	VYBER	10600	35898	\N	\N	\N
1571831	5343	1993-11-05	VYDAJ	VYBER	12300	36503	\N	\N	\N
1571832	5343	1993-12-05	VYDAJ	VYBER	11000	38413	\N	\N	\N
1571833	5343	1994-01-04	VYDAJ	VYBER	12700	35474	\N	\N	\N
1571834	5343	1994-02-03	VYDAJ	VYBER	4800	29803	\N	\N	\N
1571835	5343	1994-03-05	VYDAJ	VYBER	8100	34575	\N	\N	\N
1571836	5343	1994-04-04	VYDAJ	VYBER	9400	38072	\N	\N	\N
1571837	5343	1994-05-04	VYDAJ	VYBER	14500	36484	\N	\N	\N
1571838	5343	1994-06-03	VYDAJ	VYBER	13100	36297	\N	\N	\N
1571839	5343	1994-07-03	VYDAJ	VYBER	11300	34512	\N	\N	\N
1571840	5343	1994-08-02	VYDAJ	VYBER	7700	36108	\N	\N	\N
1571841	5343	1994-09-01	VYDAJ	VYBER	11600	37410	\N	\N	\N
1571842	5343	1994-10-01	VYDAJ	VYBER	9700	40623	\N	\N	\N
1571843	5343	1994-10-31	VYDAJ	VYBER	13300	40259	\N	\N	\N
1571844	5343	1994-11-30	VYDAJ	VYBER	14100	39017	\N	\N	\N
1571845	5343	1994-12-30	VYDAJ	VYBER	18600	37377	\N	\N	\N
1571846	5343	1995-01-29	VYDAJ	VYBER	4900	26109	\N	\N	\N
1571847	5343	1995-02-28	VYDAJ	VYBER	10800	28264	\N	\N	\N
1571848	5343	1995-03-30	VYDAJ	VYBER	8800	32170	\N	\N	\N
1571849	5343	1995-04-29	VYDAJ	VYBER	14500	30535	\N	\N	\N
1571850	5343	1995-05-29	VYDAJ	VYBER	15800	27574	\N	\N	\N
1571851	5343	1995-06-28	VYDAJ	VYBER	9000	25404	\N	\N	\N
1571852	5343	1995-07-28	VYDAJ	VYBER	12800	24484	\N	\N	\N
1571853	5343	1995-08-27	VYDAJ	VYBER	11000	26305	\N	\N	\N
1571854	5343	1995-09-26	VYDAJ	VYBER	11800	26113	\N	\N	\N
1571855	5343	1995-10-26	VYDAJ	VYBER	11500	27434	\N	\N	\N
1571856	5343	1995-11-25	VYDAJ	VYBER	14500	25748	\N	\N	\N
1571857	5343	1995-12-25	VYDAJ	VYBER	13500	24585	\N	\N	\N
1571858	5343	1996-01-24	VYDAJ	VYBER	2400	12906	\N	\N	\N
1571859	5343	1996-02-23	VYDAJ	VYBER	9300	16381	\N	\N	\N
1571860	5343	1996-03-24	VYDAJ	VYBER	11500	14402	\N	\N	\N
1571861	5343	1996-04-23	VYDAJ	VYBER	10500	16673	\N	\N	\N
1571862	5343	1996-05-23	VYDAJ	VYBER	11500	17939	\N	\N	\N
1571863	5343	1996-06-22	VYDAJ	VYBER	2900	-1426	\N	\N	\N
1571864	5343	1996-07-22	VYDAJ	VYBER	3700	6421	\N	\N	\N
1571865	5343	1996-08-21	VYDAJ	VYBER	6600	4009	\N	\N	\N
1571866	5343	1996-09-20	VYDAJ	VYBER	13900	2844	\N	\N	\N
1571867	5343	1996-10-20	VYDAJ	VYBER	10700	4862	\N	\N	\N
1571868	5343	1996-11-19	VYDAJ	VYBER	13200	4380	\N	\N	\N
1571869	5343	1996-12-19	VYDAJ	VYBER	18300	3082	\N	\N	\N
1571870	5343	1997-01-18	VYDAJ	VYBER	12600	-1579	\N	\N	\N
1571871	5343	1997-02-17	VYDAJ	VYBER	16600	-5454	\N	\N	\N
1571872	5343	1997-03-19	VYDAJ	VYBER	11300	-4073	\N	\N	\N
1571873	5343	1997-04-18	VYDAJ	VYBER	15800	-7209	\N	\N	\N
1571874	5343	1997-05-18	VYDAJ	VYBER	13900	-8451	\N	\N	\N
1571875	5343	1997-06-17	VYDAJ	VYBER	18400	-7857	\N	\N	\N
1571876	5343	1997-07-17	VYDAJ	VYBER	11800	-7028	\N	\N	\N
1571877	5343	1997-08-16	VYDAJ	VYBER	10800	-5192	\N	\N	\N
1571878	5343	1997-09-15	VYDAJ	VYBER	11300	-3842	\N	\N	\N
1571879	5343	1997-10-15	VYDAJ	VYBER	12300	-3477	\N	\N	\N
1571880	5343	1997-11-14	VYDAJ	VYBER	17600	-8404	\N	\N	\N
1571881	5343	1997-12-14	VYDAJ	VYBER	18700	-8098	\N	\N	\N
1571882	5343	1998-01-13	VYDAJ	VYBER	16000	-16391	\N	\N	\N
1571883	5343	1998-02-12	VYDAJ	VYBER	10600	-14405	\N	\N	\N
1571884	5343	1998-03-14	VYDAJ	VYBER	15600	-17449	\N	\N	\N
1571885	5343	1998-04-13	VYDAJ	VYBER	12500	-17403	\N	\N	\N
1571886	5343	1998-05-13	VYDAJ	VYBER	6300	-11170	\N	\N	\N
1571887	5343	1998-06-12	VYDAJ	VYBER	15700	-7939	\N	\N	\N
1571888	5343	1998-07-12	VYDAJ	VYBER	13800	-9124	\N	\N	\N
1571889	5343	1998-08-11	VYDAJ	VYBER	9900	-6404	\N	\N	\N
1571890	5343	1998-09-10	VYDAJ	VYBER	6500	-271	\N	\N	\N
1571891	5343	1998-10-10	VYDAJ	VYBER	15300	-2876	\N	\N	\N
1571892	5343	1998-11-09	VYDAJ	VYBER	8600	-11527	\N	\N	\N
1571893	5343	1998-12-09	VYDAJ	VYBER	6200	-9128	\N	\N	\N
1575735	5357	1994-12-18	PRIJEM	VKLAD	700	700	\N	\N	\N
1575748	5357	1995-01-09	PRIJEM	VKLAD	10305	11005	\N	\N	\N
1575749	5357	1995-02-09	PRIJEM	VKLAD	10305	26042	\N	\N	\N
1575750	5357	1995-03-09	PRIJEM	VKLAD	10305	36332	\N	\N	\N
1575751	5357	1995-04-09	PRIJEM	VKLAD	10305	39952	\N	\N	\N
1575752	5357	1995-05-09	PRIJEM	VKLAD	10305	41383	\N	\N	\N
1575753	5357	1995-06-09	PRIJEM	VKLAD	15458	52166	\N	\N	\N
1575754	5357	1995-07-09	PRIJEM	VKLAD	10305	28344	\N	\N	\N
1575755	5357	1995-08-09	PRIJEM	VKLAD	10305	32784	\N	\N	\N
1575756	5357	1995-09-09	PRIJEM	VKLAD	10305	41688	\N	\N	\N
1575757	5357	1995-10-09	PRIJEM	VKLAD	10305	43413	\N	\N	\N
1575758	5357	1995-11-09	PRIJEM	VKLAD	10305	45847	\N	\N	\N
1575759	5357	1995-12-09	PRIJEM	VKLAD	15458	51940	\N	\N	\N
1575760	5357	1996-01-09	PRIJEM	VKLAD	10305	45728	\N	\N	\N
1575761	5357	1996-02-09	PRIJEM	VKLAD	10305	36314	\N	\N	\N
1575762	5357	1996-03-09	PRIJEM	VKLAD	10305	34783	\N	\N	\N
1575763	5357	1996-04-09	PRIJEM	VKLAD	10305	38365	\N	\N	\N
1575764	5357	1996-05-09	PRIJEM	VKLAD	10305	42283	\N	\N	\N
1575765	5357	1996-06-09	PRIJEM	VKLAD	15458	50166	\N	\N	\N
1575766	5357	1996-07-09	PRIJEM	VKLAD	10305	10297	\N	\N	\N
1575767	5357	1996-08-09	PRIJEM	VKLAD	10305	28685	\N	\N	\N
1575768	5357	1996-09-09	PRIJEM	VKLAD	10305	37684	\N	\N	\N
1575769	5357	1996-10-09	PRIJEM	VKLAD	10305	45822	\N	\N	\N
1575770	5357	1996-11-09	PRIJEM	VKLAD	10305	52594	\N	\N	\N
1575771	5357	1996-12-09	PRIJEM	VKLAD	15458	61649	\N	\N	\N
1575772	5357	1997-01-09	PRIJEM	VKLAD	10305	59459	\N	\N	\N
1575773	5357	1997-02-09	PRIJEM	VKLAD	10305	56091	\N	\N	\N
1575774	5357	1997-03-09	PRIJEM	VKLAD	10305	58806	\N	\N	\N
1575775	5357	1997-04-09	PRIJEM	VKLAD	10305	59538	\N	\N	\N
1575776	5357	1997-05-09	PRIJEM	VKLAD	10305	63875	\N	\N	\N
1575777	5357	1997-06-09	PRIJEM	VKLAD	15458	71079	\N	\N	\N
1575778	5357	1997-07-09	PRIJEM	VKLAD	10305	52656	\N	\N	\N
1575779	5357	1997-08-09	PRIJEM	VKLAD	10305	56466	\N	\N	\N
1575780	5357	1997-09-09	PRIJEM	VKLAD	10305	62682	\N	\N	\N
1575781	5357	1997-10-09	PRIJEM	VKLAD	10305	62725	\N	\N	\N
1575782	5357	1997-11-09	PRIJEM	VKLAD	10305	65674	\N	\N	\N
1575783	5357	1997-12-09	PRIJEM	VKLAD	15458	71386	\N	\N	\N
1575784	5357	1998-01-09	PRIJEM	VKLAD	10305	72562	\N	\N	\N
1575785	5357	1998-02-09	PRIJEM	VKLAD	10305	68140	\N	\N	\N
1575786	5357	1998-03-09	PRIJEM	VKLAD	10305	74572	\N	\N	\N
1575787	5357	1998-04-09	PRIJEM	VKLAD	10305	73663	\N	\N	\N
1575788	5357	1998-05-09	PRIJEM	VKLAD	10305	78849	\N	\N	\N
1575789	5357	1998-06-09	PRIJEM	VKLAD	15458	83412	\N	\N	\N
1575790	5357	1998-07-09	PRIJEM	VKLAD	10305	74007	\N	\N	\N
1575791	5357	1998-08-09	PRIJEM	VKLAD	10305	76283	\N	\N	\N
1575792	5357	1998-09-09	PRIJEM	VKLAD	10305	82048	\N	\N	\N
1575793	5357	1998-10-09	PRIJEM	VKLAD	10305	83836	\N	\N	\N
1575794	5357	1998-11-09	PRIJEM	VKLAD	10305	87432	\N	\N	\N
1575795	5357	1998-12-09	PRIJEM	VKLAD	15458	89940	\N	\N	\N
1575797	5357	1995-06-14	VYDAJ	VYBER	38720	13446	\N	\N	\N
1575798	5357	1996-06-28	VYDAJ	VYBER	38560	-134	\N	\N	\N
1575799	5357	1997-06-26	VYDAJ	VYBER	30880	40199	\N	\N	\N
1575800	5357	1998-06-20	VYDAJ	VYBER	16480	64532	\N	\N	\N
1575802	5357	1995-12-10	VYDAJ	VYBER	3520	48420	\N	\N	\N
1575803	5357	1996-12-10	VYDAJ	VYBER	2240	59409	\N	\N	\N
1575804	5357	1997-12-05	VYDAJ	VYBER KARTOU	2100	55928	\N	\N	0
1575805	5357	1998-12-21	VYDAJ	VYBER KARTOU	3700	86240	\N	\N	0
1575818	5357	1996-01-08	VYDAJ	VYBER	1440	35423	\N	\N	\N
1575819	5357	1996-01-24	VYDAJ	VYBER	840	28168	\N	\N	\N
1575820	5357	1996-01-09	VYDAJ	VYBER	2280	43448	\N	\N	\N
1575821	5357	1996-01-13	VYDAJ	VYBER	3120	30328	\N	\N	\N
1575822	5357	1996-01-20	VYDAJ	VYBER	1320	29008	\N	\N	\N
1575823	5357	1996-01-28	VYDAJ	VYBER	2280	25888	\N	\N	\N
1575824	5357	1997-01-11	VYDAJ	VYBER	3360	56099	\N	\N	\N
1575825	5357	1997-01-30	VYDAJ	VYBER	2760	48179	\N	\N	\N
1575826	5357	1997-01-16	VYDAJ	VYBER	1680	52019	\N	\N	\N
1575827	5357	1997-01-05	VYDAJ	VYBER	1080	58554	\N	\N	\N
1575828	5357	1997-01-15	VYDAJ	VYBER	2400	53699	\N	\N	\N
1575829	5357	1997-01-17	VYDAJ	VYBER	1080	50939	\N	\N	\N
1575830	5357	1998-01-28	VYDAJ	VYBER KARTOU	1700	64062	\N	\N	0
1575831	5357	1998-01-15	VYDAJ	VYBER KARTOU	700	70562	\N	\N	0
1575832	5357	1998-01-13	VYDAJ	VYBER KARTOU	1300	71262	\N	\N	0
1575833	5357	1998-01-23	VYDAJ	VYBER KARTOU	2000	68562	\N	\N	0
1575834	5357	1998-01-28	VYDAJ	VYBER KARTOU	2900	61162	\N	\N	0
1575835	5357	1998-01-26	VYDAJ	VYBER KARTOU	2800	65762	\N	\N	0
1575841	5357	1995-07-22	VYDAJ	VYBER	5640	22404	\N	\N	\N
1575844	5357	1995-12-10	VYDAJ	VYBER	3000	45420	\N	\N	\N
1575845	5357	1996-02-23	VYDAJ	VYBER	2160	24374	\N	\N	\N
1575846	5357	1996-07-30	VYDAJ	VYBER	1560	18337	\N	\N	\N
1575847	5357	1996-06-16	VYDAJ	VYBER	1440	38426	\N	\N	\N
1575848	5357	1996-02-23	VYDAJ	VYBER	5280	26534	\N	\N	\N
1575849	5357	1996-03-14	VYDAJ	VYBER	2520	27963	\N	\N	\N
1575850	5357	1997-09-30	VYDAJ	VYBER KARTOU	2000	60935	\N	\N	0
1575851	5357	1997-07-23	VYDAJ	VYBER	4680	47976	\N	\N	\N
1575852	5357	1998-03-25	VYDAJ	VYBER KARTOU	1100	73472	\N	\N	0
1575853	5357	1998-11-28	VYDAJ	VYBER	5280	74152	\N	\N	\N
1575854	5357	1998-11-05	VYDAJ	VYBER KARTOU	1200	77127	\N	\N	0
1575855	5357	1998-07-13	VYDAJ	VYBER KARTOU	800	73207	\N	\N	0
1575856	5357	1998-04-02	VYDAJ	VYBER KARTOU	1300	63358	\N	\N	0
1575857	5357	1998-06-15	VYDAJ	VYBER KARTOU	2400	81012	\N	\N	0
1575875	5357	1995-05-31	VYDAJ	VYBER	15	36708	SLUZBY	\N	\N
1575876	5357	1995-06-30	VYDAJ	VYBER	15	18039	SLUZBY	\N	\N
1575877	5357	1995-07-31	VYDAJ	VYBER	15	22479	SLUZBY	\N	\N
1575878	5357	1995-08-31	VYDAJ	VYBER	15	31383	SLUZBY	\N	\N
1575879	5357	1995-09-30	VYDAJ	VYBER	15	33108	SLUZBY	\N	\N
1575880	5357	1995-10-31	VYDAJ	VYBER	15	35542	SLUZBY	\N	\N
1575881	5357	1995-11-30	VYDAJ	VYBER	15	36482	SLUZBY	\N	\N
1575882	5357	1995-12-31	VYDAJ	VYBER	15	36863	SLUZBY	\N	\N
1575883	5357	1996-01-31	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
1575884	5357	1996-02-29	VYDAJ	VYBER	15	24478	SLUZBY	\N	\N
1575885	5357	1996-03-31	VYDAJ	VYBER	15	28060	SLUZBY	\N	\N
1575886	5357	1996-04-30	VYDAJ	VYBER	15	31978	SLUZBY	\N	\N
1575887	5357	1996-05-31	VYDAJ	VYBER	15	34708	SLUZBY	\N	\N
1575888	5357	1996-06-30	VYDAJ	VYBER	15	-8	SLUZBY	\N	\N
1575889	5357	1996-07-31	VYDAJ	VYBER	15	18381	SLUZBY	\N	\N
1575890	5357	1996-08-31	VYDAJ	VYBER	15	28879	SLUZBY	\N	\N
1575891	5357	1996-09-30	VYDAJ	VYBER	15	37817	SLUZBY	\N	\N
1575892	5357	1996-10-31	VYDAJ	VYBER	15	45989	SLUZBY	\N	\N
1575893	5357	1996-11-30	VYDAJ	VYBER	15	52791	SLUZBY	\N	\N
1575894	5357	1996-12-31	VYDAJ	VYBER	15	59634	SLUZBY	\N	\N
1575895	5357	1997-01-31	VYDAJ	VYBER	15	48386	SLUZBY	\N	\N
1575896	5357	1997-02-28	VYDAJ	VYBER	15	56301	SLUZBY	\N	\N
1575897	5357	1997-03-31	VYDAJ	VYBER	15	59033	SLUZBY	\N	\N
1575898	5357	1997-04-30	VYDAJ	VYBER	15	59770	SLUZBY	\N	\N
1575899	5357	1997-05-31	VYDAJ	VYBER	15	64121	SLUZBY	\N	\N
1575900	5357	1997-06-30	VYDAJ	VYBER	15	40451	SLUZBY	\N	\N
1575901	5357	1997-07-31	VYDAJ	VYBER	15	48161	SLUZBY	\N	\N
1575902	5357	1997-08-31	VYDAJ	VYBER	15	56677	SLUZBY	\N	\N
1575903	5357	1997-09-30	VYDAJ	VYBER	15	60920	SLUZBY	\N	\N
1575904	5357	1997-10-31	VYDAJ	VYBER	15	62969	SLUZBY	\N	\N
1575905	5357	1997-11-30	VYDAJ	VYBER	15	65928	SLUZBY	\N	\N
1575906	5357	1997-12-31	VYDAJ	VYBER	15	71657	SLUZBY	\N	\N
1575907	5357	1998-01-31	VYDAJ	VYBER	15	57835	SLUZBY	\N	\N
1575908	5357	1998-02-28	VYDAJ	VYBER	15	68367	SLUZBY	\N	\N
1575909	5357	1998-03-31	VYDAJ	VYBER	15	73758	SLUZBY	\N	\N
1575910	5357	1998-04-30	VYDAJ	VYBER	15	73944	SLUZBY	\N	\N
1575911	5357	1998-05-31	VYDAJ	VYBER	15	67954	SLUZBY	\N	\N
1575912	5357	1998-06-30	VYDAJ	VYBER	15	63702	SLUZBY	\N	\N
1575913	5357	1998-07-31	VYDAJ	VYBER	15	65978	SLUZBY	\N	\N
1575914	5357	1998-08-31	VYDAJ	VYBER	15	71743	SLUZBY	\N	\N
1575915	5357	1998-09-30	VYDAJ	VYBER	15	73531	SLUZBY	\N	\N
1575916	5357	1998-10-31	VYDAJ	VYBER	15	78327	SLUZBY	\N	\N
1575917	5357	1998-11-30	VYDAJ	VYBER	15	74482	SLUZBY	\N	\N
1575918	5357	1995-01-17	PRIJEM	VKLAD	4700	15705	\N	\N	\N
1575919	5357	1995-02-16	VYDAJ	VYBER	100	25942	\N	\N	\N
1575920	5357	1995-03-18	VYDAJ	VYBER	6800	29532	\N	\N	\N
1575921	5357	1995-04-17	VYDAJ	VYBER	9000	30952	\N	\N	\N
1575922	5357	1995-05-17	VYDAJ	VYBER	4800	36583	\N	\N	\N
1575923	5357	1995-06-16	PRIJEM	VKLAD	4500	17946	\N	\N	\N
1575924	5357	1995-07-16	VYDAJ	VYBER	300	28044	\N	\N	\N
1575925	5357	1995-08-15	VYDAJ	VYBER	1500	31284	\N	\N	\N
1575926	5357	1995-09-14	VYDAJ	VYBER	8700	32988	\N	\N	\N
1575927	5357	1995-10-14	VYDAJ	VYBER	8000	35413	\N	\N	\N
1575928	5357	1995-11-13	VYDAJ	VYBER	9500	36347	\N	\N	\N
1575929	5357	1995-12-13	VYDAJ	VYBER	8700	36720	\N	\N	\N
1575930	5357	1996-01-12	VYDAJ	VYBER	10000	33448	\N	\N	\N
1575931	5357	1996-02-11	VYDAJ	VYBER	4500	31814	\N	\N	\N
1575932	5357	1996-03-12	VYDAJ	VYBER	4300	30483	\N	\N	\N
1575933	5357	1996-04-11	VYDAJ	VYBER	6500	31865	\N	\N	\N
1575934	5357	1996-05-11	VYDAJ	VYBER	7700	34583	\N	\N	\N
1575935	5357	1996-06-10	VYDAJ	VYBER	10300	39866	\N	\N	\N
1575936	5357	1996-07-10	PRIJEM	VKLAD	9600	19897	\N	\N	\N
1575937	5357	1996-08-09	PRIJEM	VKLAD	100	28785	\N	\N	\N
1575938	5357	1996-09-08	VYDAJ	VYBER	1500	27379	\N	\N	\N
1575939	5357	1996-10-08	VYDAJ	VYBER	2300	35517	\N	\N	\N
1575940	5357	1996-11-07	VYDAJ	VYBER	3700	42289	\N	\N	\N
1575941	5357	1996-12-07	VYDAJ	VYBER	6600	46191	\N	\N	\N
1575942	5357	1997-01-06	VYDAJ	VYBER	9400	49154	\N	\N	\N
1575943	5357	1997-02-05	VYDAJ	VYBER	2600	45786	\N	\N	\N
1575944	5357	1997-03-07	VYDAJ	VYBER	7800	48501	\N	\N	\N
1575945	5357	1997-04-06	VYDAJ	VYBER	9800	49233	\N	\N	\N
1575946	5357	1997-05-06	VYDAJ	VYBER	6200	53570	\N	\N	\N
1575947	5357	1997-06-05	VYDAJ	VYBER	8500	55621	\N	\N	\N
1575948	5357	1997-07-05	PRIJEM	VKLAD	1900	42351	\N	\N	\N
1575949	5357	1997-08-04	VYDAJ	VYBER KARTOU	2000	46161	\N	\N	0
1575950	5357	1997-09-03	VYDAJ	VYBER	4300	52377	\N	\N	\N
1575951	5357	1997-10-03	VYDAJ	VYBER	8500	52420	\N	\N	\N
1575952	5357	1997-11-02	VYDAJ	VYBER	7600	55369	\N	\N	\N
1575953	5357	1997-12-02	VYDAJ	VYBER	7900	58028	\N	\N	\N
1575954	5357	1998-01-01	VYDAJ	VYBER	9400	62257	\N	\N	\N
1575955	5357	1998-01-31	VYDAJ	VYBER KARTOU	3600	57850	\N	\N	0
1575956	5357	1998-03-02	VYDAJ	VYBER	4100	64267	\N	\N	\N
1575957	5357	1998-04-01	VYDAJ	VYBER	9100	64658	\N	\N	\N
1575958	5357	1998-05-01	VYDAJ	VYBER	5400	68544	\N	\N	\N
1575959	5357	1998-05-31	VYDAJ	VYBER	11200	67969	\N	\N	\N
1575960	5357	1998-06-30	VYDAJ	VYBER KARTOU	1100	63717	\N	\N	0
1575961	5357	1998-07-30	VYDAJ	VYBER	7500	65707	\N	\N	\N
1575962	5357	1998-08-29	VYDAJ	VYBER	4800	71483	\N	\N	\N
1575963	5357	1998-09-28	VYDAJ	VYBER	8800	73248	\N	\N	\N
1575964	5357	1998-10-28	VYDAJ	VYBER	5800	78036	\N	\N	\N
1575965	5357	1998-11-27	VYDAJ	VYBER	8000	79432	\N	\N	\N
1576016	5358	1995-05-18	PRIJEM	VKLAD	500	500	\N	\N	\N
1576022	5358	1995-06-07	PRIJEM	VKLAD	36464	36964	\N	\N	\N
1576023	5358	1995-07-07	PRIJEM	VKLAD	24309	56635	\N	\N	\N
1576024	5358	1995-08-07	PRIJEM	VKLAD	24309	62991	\N	\N	\N
1576025	5358	1995-09-07	PRIJEM	VKLAD	24309	66769	\N	\N	\N
1576026	5358	1995-10-07	PRIJEM	VKLAD	24309	71565	\N	\N	\N
1576027	5358	1995-11-07	PRIJEM	VKLAD	24309	60961	\N	\N	\N
1576028	5358	1995-12-07	PRIJEM	VKLAD	36464	67714	\N	\N	\N
1576029	5358	1996-01-07	PRIJEM	VKLAD	24309	61566	\N	\N	\N
1576030	5358	1996-02-07	PRIJEM	VKLAD	24309	56764	\N	\N	\N
1576031	5358	1996-03-07	PRIJEM	VKLAD	24309	56949	\N	\N	\N
1576032	5358	1996-04-07	PRIJEM	VKLAD	24309	59144	\N	\N	\N
1576033	5358	1996-05-07	PRIJEM	VKLAD	24309	58544	\N	\N	\N
1576034	5358	1996-06-07	PRIJEM	VKLAD	36464	70692	\N	\N	\N
1576035	5358	1996-07-07	PRIJEM	VKLAD	24309	40726	\N	\N	\N
1576036	5358	1996-08-07	PRIJEM	VKLAD	24309	49970	\N	\N	\N
1576037	5358	1996-09-07	PRIJEM	VKLAD	24309	49888	\N	\N	\N
1576038	5358	1996-10-07	PRIJEM	VKLAD	24309	53152	\N	\N	\N
1576039	5358	1996-11-07	PRIJEM	VKLAD	24309	50435	\N	\N	\N
1576040	5358	1996-12-07	PRIJEM	VKLAD	36464	60684	\N	\N	\N
1576041	5358	1997-01-07	PRIJEM	VKLAD	24309	60757	\N	\N	\N
1576042	5358	1997-02-07	PRIJEM	VKLAD	24309	59151	\N	\N	\N
1576043	5358	1997-03-07	PRIJEM	VKLAD	24309	73345	\N	\N	\N
1576044	5358	1997-04-07	PRIJEM	VKLAD	24309	69541	\N	\N	\N
1576045	5358	1997-05-07	PRIJEM	VKLAD	24309	63653	\N	\N	\N
1576046	5358	1997-06-07	PRIJEM	VKLAD	36464	72361	\N	\N	\N
1576047	5358	1997-07-07	PRIJEM	VKLAD	24309	63928	\N	\N	\N
1576048	5358	1997-08-07	PRIJEM	VKLAD	24309	65242	\N	\N	\N
1576049	5358	1997-09-07	PRIJEM	VKLAD	24309	66809	\N	\N	\N
1576050	5358	1997-10-07	PRIJEM	VKLAD	24309	64956	\N	\N	\N
1576051	5358	1997-11-07	PRIJEM	VKLAD	24309	63732	\N	\N	\N
1576052	5358	1997-12-07	PRIJEM	VKLAD	36464	75104	\N	\N	\N
1576053	5358	1998-01-07	PRIJEM	VKLAD	24309	71714	\N	\N	\N
1576054	5358	1998-02-07	PRIJEM	VKLAD	24309	67422	\N	\N	\N
1576055	5358	1998-03-07	PRIJEM	VKLAD	24309	68356	\N	\N	\N
1576056	5358	1998-04-07	PRIJEM	VKLAD	24309	71292	\N	\N	\N
1576057	5358	1998-05-07	PRIJEM	VKLAD	24309	67439	\N	\N	\N
1576058	5358	1998-06-07	PRIJEM	VKLAD	36464	77351	\N	\N	\N
1576059	5358	1998-07-07	PRIJEM	VKLAD	24309	68406	\N	\N	\N
1576060	5358	1998-08-07	PRIJEM	VKLAD	24309	66841	\N	\N	\N
1576061	5358	1998-09-07	PRIJEM	VKLAD	24309	63561	\N	\N	\N
1576062	5358	1998-10-07	PRIJEM	VKLAD	24309	59099	\N	\N	\N
1576063	5358	1998-11-07	PRIJEM	VKLAD	24309	62086	\N	\N	\N
1576064	5358	1998-12-07	PRIJEM	VKLAD	36464	72638	\N	\N	\N
1576075	5358	1995-11-05	VYDAJ	PREVOD NA UCET	9191	36652	SIPO	ST	89332604
1576076	5358	1995-12-05	VYDAJ	PREVOD NA UCET	9191	31251	SIPO	ST	89332604
1576077	5358	1996-01-05	VYDAJ	PREVOD NA UCET	9191	37957	SIPO	ST	89332604
1576078	5358	1996-02-05	VYDAJ	PREVOD NA UCET	9191	32455	SIPO	ST	89332604
1576079	5358	1996-03-05	VYDAJ	PREVOD NA UCET	9191	32640	SIPO	ST	89332604
1576080	5358	1996-04-05	VYDAJ	PREVOD NA UCET	9191	34835	SIPO	ST	89332604
1576081	5358	1996-05-05	VYDAJ	PREVOD NA UCET	9191	34235	SIPO	ST	89332604
1576082	5358	1996-06-05	VYDAJ	PREVOD NA UCET	9191	34228	SIPO	ST	89332604
1576083	5358	1996-07-05	VYDAJ	PREVOD NA UCET	9191	16417	SIPO	ST	89332604
1576084	5358	1996-08-05	VYDAJ	PREVOD NA UCET	9191	25661	SIPO	ST	89332604
1576085	5358	1996-09-05	VYDAJ	PREVOD NA UCET	9191	25579	SIPO	ST	89332604
1576086	5358	1996-10-05	VYDAJ	PREVOD NA UCET	9191	28843	SIPO	ST	89332604
1576087	5358	1996-11-05	VYDAJ	PREVOD NA UCET	9191	26126	SIPO	ST	89332604
1576088	5358	1996-12-05	VYDAJ	PREVOD NA UCET	9191	24220	SIPO	ST	89332604
1576089	5358	1997-01-05	VYDAJ	PREVOD NA UCET	9191	36448	SIPO	ST	89332604
1576090	5358	1997-02-05	VYDAJ	PREVOD NA UCET	9191	37142	SIPO	ST	89332604
1576091	5358	1997-03-05	VYDAJ	PREVOD NA UCET	9191	49036	SIPO	ST	89332604
1576092	5358	1997-04-05	VYDAJ	PREVOD NA UCET	9191	45232	SIPO	ST	89332604
1576093	5358	1997-05-05	VYDAJ	PREVOD NA UCET	9191	39344	SIPO	ST	89332604
1576094	5358	1997-06-05	VYDAJ	PREVOD NA UCET	9191	33097	SIPO	ST	89332604
1576095	5358	1997-07-05	VYDAJ	PREVOD NA UCET	9191	41119	SIPO	ST	89332604
1576096	5358	1997-08-05	VYDAJ	PREVOD NA UCET	9191	40933	SIPO	ST	89332604
1576097	5358	1997-09-05	VYDAJ	PREVOD NA UCET	9191	42500	SIPO	ST	89332604
1576098	5358	1997-10-05	VYDAJ	PREVOD NA UCET	9191	40647	SIPO	ST	89332604
1576099	5358	1997-11-05	VYDAJ	PREVOD NA UCET	9191	39423	SIPO	ST	89332604
1576100	5358	1997-12-05	VYDAJ	PREVOD NA UCET	9191	38640	SIPO	ST	89332604
1576101	5358	1998-01-05	VYDAJ	PREVOD NA UCET	9191	47405	SIPO	ST	89332604
1576102	5358	1998-02-05	VYDAJ	PREVOD NA UCET	9191	43113	SIPO	ST	89332604
1576103	5358	1998-03-05	VYDAJ	PREVOD NA UCET	9191	44047	SIPO	ST	89332604
1576104	5358	1998-04-05	VYDAJ	PREVOD NA UCET	9191	46983	SIPO	ST	89332604
1576105	5358	1998-05-05	VYDAJ	PREVOD NA UCET	9191	43130	SIPO	ST	89332604
1576106	5358	1998-06-05	VYDAJ	PREVOD NA UCET	9191	40887	SIPO	ST	89332604
1576107	5358	1998-07-05	VYDAJ	PREVOD NA UCET	9191	44097	SIPO	ST	89332604
1576108	5358	1998-08-05	VYDAJ	PREVOD NA UCET	9191	42532	SIPO	ST	89332604
1576109	5358	1998-09-05	VYDAJ	PREVOD NA UCET	9191	39252	SIPO	ST	89332604
1576110	5358	1998-10-05	VYDAJ	PREVOD NA UCET	9191	34790	SIPO	ST	89332604
1576111	5358	1998-11-05	VYDAJ	PREVOD NA UCET	9191	37777	SIPO	ST	89332604
1576112	5358	1998-12-05	VYDAJ	PREVOD NA UCET	9191	36175	SIPO	ST	89332604
1576122	5358	1995-10-18	VYDAJ	VYBER	700	45665	\N	\N	0
1576123	5358	1995-11-12	VYDAJ	VYBER	1000	59961	\N	\N	0
1576124	5358	1995-12-04	VYDAJ	VYBER	1100	40442	\N	\N	0
1576125	5358	1996-01-06	VYDAJ	VYBER	700	37257	\N	\N	0
1576126	5358	1996-02-02	VYDAJ	VYBER	900	41646	\N	\N	0
1576127	5358	1996-03-10	VYDAJ	VYBER	1300	55649	\N	\N	0
1576128	5358	1996-04-26	VYDAJ	VYBER	1400	43944	\N	\N	0
1576129	5358	1996-04-30	VYDAJ	VYBER	700	43440	\N	\N	0
1576130	5358	1996-06-23	VYDAJ	VYBER	800	33392	\N	\N	0
1576131	5358	1996-07-14	VYDAJ	VYBER	1300	34726	\N	\N	0
1576132	5358	1996-08-16	VYDAJ	VYBER	1300	36070	\N	\N	0
1576133	5358	1996-09-10	VYDAJ	VYBER	900	38788	\N	\N	0
1576134	5358	1996-10-01	VYDAJ	VYBER	900	38034	\N	\N	0
1576135	5358	1996-10-24	VYDAJ	VYBER	700	35172	\N	\N	0
1576136	5358	1996-11-27	VYDAJ	VYBER	1100	33275	\N	\N	0
1576137	5358	1996-12-28	VYDAJ	VYBER	800	45464	\N	\N	0
1576138	5358	1997-02-12	VYDAJ	PREVOD NA UCET	1139	58012	UVER	MN	3237545
1576139	5358	1997-03-12	VYDAJ	PREVOD NA UCET	1139	54206	UVER	MN	3237545
1576140	5358	1997-04-12	VYDAJ	PREVOD NA UCET	1139	48342	UVER	MN	3237545
1576141	5358	1997-05-12	VYDAJ	PREVOD NA UCET	1139	47514	UVER	MN	3237545
1576142	5358	1997-06-12	VYDAJ	PREVOD NA UCET	1139	71222	UVER	MN	3237545
1576143	5358	1997-07-12	VYDAJ	PREVOD NA UCET	1139	62789	UVER	MN	3237545
1576144	5358	1997-08-12	VYDAJ	PREVOD NA UCET	1139	64103	UVER	MN	3237545
1576145	5358	1997-09-12	VYDAJ	PREVOD NA UCET	1139	65670	UVER	MN	3237545
1576146	5358	1997-10-12	VYDAJ	PREVOD NA UCET	1139	61177	UVER	MN	3237545
1576147	5358	1997-11-12	VYDAJ	PREVOD NA UCET	1139	62593	UVER	MN	3237545
1576148	5358	1997-12-12	VYDAJ	PREVOD NA UCET	1139	73965	UVER	MN	3237545
1576149	5358	1998-01-12	VYDAJ	PREVOD NA UCET	1139	70575	UVER	MN	3237545
1576150	5358	1998-02-12	VYDAJ	PREVOD NA UCET	1139	66283	UVER	MN	3237545
1576151	5358	1998-03-12	VYDAJ	PREVOD NA UCET	1139	67217	UVER	MN	3237545
1576152	5358	1998-04-12	VYDAJ	PREVOD NA UCET	1139	70153	UVER	MN	3237545
1576153	5358	1998-05-12	VYDAJ	PREVOD NA UCET	1139	60660	UVER	MN	3237545
1576154	5358	1998-06-12	VYDAJ	PREVOD NA UCET	1139	68532	UVER	MN	3237545
1576155	5358	1998-07-12	VYDAJ	PREVOD NA UCET	1139	67267	UVER	MN	3237545
1576156	5358	1998-08-12	VYDAJ	PREVOD NA UCET	1139	65702	UVER	MN	3237545
1576157	5358	1998-09-12	VYDAJ	PREVOD NA UCET	1139	62422	UVER	MN	3237545
1576158	5358	1998-10-12	VYDAJ	PREVOD NA UCET	1139	57960	UVER	MN	3237545
1576159	5358	1998-11-12	VYDAJ	PREVOD NA UCET	1139	60947	UVER	MN	3237545
1576160	5358	1998-12-12	VYDAJ	PREVOD NA UCET	1139	71499	UVER	MN	3237545
1576162	5358	1996-06-08	VYDAJ	VYBER	33600	37092	\N	\N	\N
1576163	5358	1997-06-15	VYDAJ	VYBER	21120	50102	\N	\N	\N
1576164	5358	1998-06-07	VYDAJ	VYBER	7680	69671	\N	\N	\N
1576165	5358	1995-12-15	VYDAJ	VYBER	960	46954	\N	\N	\N
1576166	5358	1996-12-19	VYDAJ	VYBER	4320	46264	\N	\N	\N
1576167	5358	1997-12-20	VYDAJ	VYBER	3840	70125	\N	\N	\N
1576168	5358	1998-12-18	VYDAJ	VYBER	3520	67979	\N	\N	\N
1576172	5358	1996-06-25	VYDAJ	VYBER	4080	29312	\N	\N	\N
1576173	5358	1996-10-21	VYDAJ	VYBER	4080	35872	\N	\N	\N
1576174	5358	1996-08-27	VYDAJ	VYBER	1440	34630	\N	\N	\N
1576175	5358	1996-11-16	VYDAJ	VYBER	5160	34375	\N	\N	\N
1576176	5358	1996-06-28	VYDAJ	VYBER	3840	25472	\N	\N	\N
1576177	5358	1997-09-19	VYDAJ	VYBER	1080	64590	\N	\N	\N
1576178	5358	1997-06-05	VYDAJ	VYBER	600	32497	\N	\N	\N
1576179	5358	1997-10-10	VYDAJ	VYBER	2640	62316	\N	\N	\N
1576180	5358	1997-08-30	VYDAJ	VYBER	960	63143	\N	\N	\N
1576181	5358	1997-04-10	VYDAJ	VYBER	2160	49481	\N	\N	\N
1576182	5358	1997-05-19	VYDAJ	VYBER	5400	42114	\N	\N	\N
1576183	5358	1998-01-18	VYDAJ	VYBER	1440	69135	\N	\N	\N
1576184	5358	1998-05-13	VYDAJ	VYBER	720	59940	\N	\N	\N
1576185	5358	1998-05-11	VYDAJ	VYBER	5640	61799	\N	\N	\N
1576186	5358	1998-09-19	VYDAJ	VYBER	5160	57262	\N	\N	\N
1576197	5358	1995-10-31	VYDAJ	VYBER	15	45843	SLUZBY	\N	\N
1576198	5358	1995-11-30	VYDAJ	VYBER	15	41542	SLUZBY	\N	\N
1576199	5358	1995-12-31	VYDAJ	VYBER	15	47148	SLUZBY	\N	\N
1576200	5358	1996-01-31	VYDAJ	VYBER	15	42546	SLUZBY	\N	\N
1576201	5358	1996-02-29	VYDAJ	VYBER	15	41831	SLUZBY	\N	\N
1576202	5358	1996-03-31	VYDAJ	VYBER	15	44026	SLUZBY	\N	\N
1576203	5358	1996-04-30	VYDAJ	VYBER	15	43426	SLUZBY	\N	\N
1576204	5358	1996-05-31	VYDAJ	VYBER	15	43419	SLUZBY	\N	\N
1576205	5358	1996-06-30	VYDAJ	VYBER	15	25608	SLUZBY	\N	\N
1576206	5358	1996-07-31	VYDAJ	VYBER	15	34852	SLUZBY	\N	\N
1576207	5358	1996-08-31	VYDAJ	VYBER	15	34770	SLUZBY	\N	\N
1576208	5358	1996-09-30	VYDAJ	VYBER	15	38934	SLUZBY	\N	\N
1576209	5358	1996-10-31	VYDAJ	VYBER	15	35317	SLUZBY	\N	\N
1576210	5358	1996-11-30	VYDAJ	VYBER	15	33411	SLUZBY	\N	\N
1576211	5358	1996-12-31	VYDAJ	VYBER	15	45639	SLUZBY	\N	\N
1576212	5358	1997-01-31	VYDAJ	VYBER	15	46333	SLUZBY	\N	\N
1576213	5358	1997-02-28	VYDAJ	VYBER	15	58227	SLUZBY	\N	\N
1576214	5358	1997-03-31	VYDAJ	VYBER	15	54423	SLUZBY	\N	\N
1576215	5358	1997-04-30	VYDAJ	VYBER	15	48535	SLUZBY	\N	\N
1576216	5358	1997-05-31	VYDAJ	VYBER	15	42288	SLUZBY	\N	\N
1576217	5358	1997-06-30	VYDAJ	VYBER	15	50310	SLUZBY	\N	\N
1576218	5358	1997-07-31	VYDAJ	VYBER	15	63024	SLUZBY	\N	\N
1576219	5358	1997-08-31	VYDAJ	VYBER	15	63391	SLUZBY	\N	\N
1576220	5358	1997-09-30	VYDAJ	VYBER	15	64838	SLUZBY	\N	\N
1576221	5358	1997-10-31	VYDAJ	VYBER	15	61414	SLUZBY	\N	\N
1576222	5358	1997-11-30	VYDAJ	VYBER	15	62831	SLUZBY	\N	\N
1576223	5358	1997-12-31	VYDAJ	VYBER	15	70396	SLUZBY	\N	\N
1576224	5358	1998-01-31	VYDAJ	VYBER	15	69404	SLUZBY	\N	\N
1576225	5358	1998-02-28	VYDAJ	VYBER	15	66538	SLUZBY	\N	\N
1576226	5358	1998-03-31	VYDAJ	VYBER	15	67474	SLUZBY	\N	\N
1576227	5358	1998-04-30	VYDAJ	VYBER	15	70421	SLUZBY	\N	\N
1576228	5358	1998-05-31	VYDAJ	VYBER	15	60178	SLUZBY	\N	\N
1576229	5358	1998-06-30	VYDAJ	VYBER	15	68788	SLUZBY	\N	\N
1576230	5358	1998-07-31	VYDAJ	VYBER	15	51723	SLUZBY	\N	\N
1576231	5358	1998-08-31	VYDAJ	VYBER	15	48443	SLUZBY	\N	\N
1576232	5358	1998-09-30	VYDAJ	VYBER	15	43981	SLUZBY	\N	\N
1576233	5358	1998-10-31	VYDAJ	VYBER	15	46968	SLUZBY	\N	\N
1576234	5358	1998-11-30	VYDAJ	VYBER	15	45366	SLUZBY	\N	\N
1576235	5358	1995-06-17	VYDAJ	VYBER	4700	32264	\N	\N	\N
1576236	5358	1995-07-17	VYDAJ	VYBER	18100	38535	\N	\N	\N
1576237	5358	1995-08-16	VYDAJ	VYBER	20700	42291	\N	\N	\N
1576238	5358	1995-09-15	VYDAJ	VYBER	19700	47069	\N	\N	\N
1576239	5358	1995-10-15	VYDAJ	VYBER	25200	46365	\N	\N	\N
1576240	5358	1995-11-14	VYDAJ	VYBER	18600	41361	\N	\N	\N
1576241	5358	1995-12-14	VYDAJ	VYBER	19800	47914	\N	\N	\N
1576242	5358	1996-01-13	VYDAJ	VYBER	19200	42366	\N	\N	\N
1576243	5358	1996-02-12	VYDAJ	VYBER	15100	41664	\N	\N	\N
1576244	5358	1996-03-13	VYDAJ	VYBER	11800	43849	\N	\N	\N
1576245	5358	1996-04-12	VYDAJ	VYBER	13800	45344	\N	\N	\N
1576246	5358	1996-05-12	VYDAJ	VYBER	15300	43244	\N	\N	\N
1576247	5358	1996-06-11	VYDAJ	VYBER	2900	34192	\N	\N	\N
1576248	5358	1996-07-11	VYDAJ	VYBER	4700	36026	\N	\N	\N
1576249	5358	1996-08-10	VYDAJ	VYBER	12600	37370	\N	\N	\N
1576250	5358	1996-09-09	VYDAJ	VYBER	10200	39688	\N	\N	\N
1576251	5358	1996-10-09	VYDAJ	VYBER	13200	39952	\N	\N	\N
1576252	5358	1996-11-08	VYDAJ	VYBER	10900	39535	\N	\N	\N
1576253	5358	1996-12-08	VYDAJ	VYBER	10100	50584	\N	\N	\N
1576254	5358	1997-01-07	VYDAJ	VYBER	14600	46157	\N	\N	\N
1576255	5358	1997-02-06	VYDAJ	VYBER	2300	34842	\N	\N	\N
1576256	5358	1997-03-08	VYDAJ	VYBER	18000	55345	\N	\N	\N
1576257	5358	1997-04-07	VYDAJ	VYBER	17900	51641	\N	\N	\N
1576258	5358	1997-05-07	VYDAJ	VYBER	15000	48653	\N	\N	\N
1576259	5358	1997-06-06	PRIJEM	VKLAD	3400	35897	\N	\N	\N
1576260	5358	1997-07-06	VYDAJ	VYBER	1500	39619	\N	\N	\N
1576261	5358	1997-08-05	VYDAJ	VYBER	12900	50124	\N	\N	\N
1576262	5358	1997-09-04	VYDAJ	VYBER	11700	51691	\N	\N	\N
1576263	5358	1997-10-04	VYDAJ	VYBER	15000	49838	\N	\N	\N
1576264	5358	1997-11-03	VYDAJ	VYBER	12800	48614	\N	\N	\N
1576265	5358	1997-12-03	VYDAJ	VYBER	15000	47831	\N	\N	\N
1576266	5358	1998-01-02	VYDAJ	VYBER	13800	56596	\N	\N	\N
1576267	5358	1998-02-01	VYDAJ	VYBER	17100	52304	\N	\N	\N
1576268	5358	1998-03-03	VYDAJ	VYBER	13300	53238	\N	\N	\N
1576269	5358	1998-04-02	VYDAJ	VYBER	11300	56174	\N	\N	\N
1576270	5358	1998-05-02	VYDAJ	VYBER	18100	52321	\N	\N	\N
1576271	5358	1998-06-01	VYDAJ	VYBER	10100	50078	\N	\N	\N
1576272	5358	1998-07-01	VYDAJ	VYBER	15500	53288	\N	\N	\N
1576273	5358	1998-07-31	VYDAJ	VYBER	15800	51738	\N	\N	\N
1576274	5358	1998-08-30	VYDAJ	VYBER	17500	48202	\N	\N	\N
1576275	5358	1998-09-29	VYDAJ	VYBER	13500	43762	\N	\N	\N
1576276	5358	1998-10-29	VYDAJ	VYBER	11200	46760	\N	\N	\N
1576277	5358	1998-11-28	VYDAJ	VYBER	15800	45147	\N	\N	\N
1576924	5362	1996-09-06	PRIJEM	VKLAD	800	800	\N	\N	\N
1576933	5362	1996-09-09	PRIJEM	PREVOD Z UCTU	25358	26158	\N	QR	18163389
1576934	5362	1996-10-09	PRIJEM	PREVOD Z UCTU	25358	51896	\N	QR	18163389
1576935	5362	1996-11-09	PRIJEM	PREVOD Z UCTU	25358	64243	\N	QR	18163389
1576936	5362	1996-12-09	PRIJEM	PREVOD Z UCTU	38037	82633	\N	QR	18163389
1576937	5362	1997-01-09	PRIJEM	PREVOD Z UCTU	25358	81316	\N	QR	18163389
1576938	5362	1997-02-09	PRIJEM	PREVOD Z UCTU	25358	44927	\N	QR	18163389
1576939	5362	1997-03-09	PRIJEM	PREVOD Z UCTU	25358	52115	\N	QR	18163389
1576940	5362	1997-04-09	PRIJEM	PREVOD Z UCTU	25358	53836	\N	QR	18163389
1576941	5362	1997-05-09	PRIJEM	PREVOD Z UCTU	25358	50264	\N	QR	18163389
1576942	5362	1997-06-09	PRIJEM	PREVOD Z UCTU	38037	46417	\N	QR	18163389
1576943	5362	1997-07-09	PRIJEM	PREVOD Z UCTU	25358	39147	\N	QR	18163389
1576944	5362	1997-08-09	PRIJEM	PREVOD Z UCTU	25358	40215	\N	QR	18163389
1576945	5362	1997-09-09	PRIJEM	PREVOD Z UCTU	25358	49597	\N	QR	18163389
1576946	5362	1997-10-09	PRIJEM	PREVOD Z UCTU	25358	51279	\N	QR	18163389
1576947	5362	1997-11-09	PRIJEM	PREVOD Z UCTU	25358	52773	\N	QR	18163389
1576948	5362	1997-12-09	PRIJEM	PREVOD Z UCTU	38037	54560	\N	QR	18163389
1576949	5362	1998-01-09	PRIJEM	PREVOD Z UCTU	25358	34772	\N	QR	18163389
1576950	5362	1998-02-09	PRIJEM	PREVOD Z UCTU	25358	31580	\N	QR	18163389
1576951	5362	1998-03-09	PRIJEM	PREVOD Z UCTU	25358	32289	\N	QR	18163389
1576952	5362	1998-04-09	PRIJEM	PREVOD Z UCTU	25358	28916	\N	QR	18163389
1576953	5362	1998-05-09	PRIJEM	PREVOD Z UCTU	25358	29413	\N	QR	18163389
1576954	5362	1998-06-09	PRIJEM	PREVOD Z UCTU	38037	42506	\N	QR	18163389
1576955	5362	1998-07-09	PRIJEM	PREVOD Z UCTU	25358	37643	\N	QR	18163389
1576956	5362	1998-08-09	PRIJEM	PREVOD Z UCTU	25358	34287	\N	QR	18163389
1576957	5362	1998-09-09	PRIJEM	PREVOD Z UCTU	25358	31115	\N	QR	18163389
1576958	5362	1998-10-09	PRIJEM	PREVOD Z UCTU	25358	28417	\N	QR	18163389
1576959	5362	1998-11-09	PRIJEM	PREVOD Z UCTU	25358	35214	\N	QR	18163389
1576960	5362	1998-12-09	PRIJEM	PREVOD Z UCTU	38037	53225	\N	QR	18163389
1576973	5362	1997-01-27	VYDAJ	VYBER	4400	57303	\N	\N	0
1576974	5362	1997-02-20	VYDAJ	VYBER	4600	33914	\N	\N	0
1576975	5362	1997-03-17	VYDAJ	VYBER	5400	40302	\N	\N	0
1576976	5362	1997-04-09	VYDAJ	VYBER	4700	49136	\N	\N	0
1576977	5362	1997-05-08	VYDAJ	VYBER	4100	24906	\N	\N	0
1576978	5362	1997-06-07	VYDAJ	VYBER	2900	16342	\N	\N	0
1576979	5362	1997-07-09	VYDAJ	VYBER	5600	33547	\N	\N	0
1576980	5362	1997-08-27	VYDAJ	VYBER	4000	29802	\N	\N	0
1576981	5362	1997-09-12	VYDAJ	PREVOD NA UCET	4226	38958	UVER	OP	24749118
1576982	5362	1997-10-12	VYDAJ	PREVOD NA UCET	4226	40640	UVER	OP	24749118
1576983	5362	1997-11-12	VYDAJ	PREVOD NA UCET	4226	42134	UVER	OP	24749118
1576984	5362	1997-12-12	VYDAJ	PREVOD NA UCET	4226	50334	UVER	OP	24749118
1576985	5362	1998-01-12	VYDAJ	PREVOD NA UCET	4226	24133	UVER	OP	24749118
1576986	5362	1998-02-12	VYDAJ	PREVOD NA UCET	4226	20941	UVER	OP	24749118
1576987	5362	1998-03-12	VYDAJ	PREVOD NA UCET	4226	28063	UVER	OP	24749118
1576988	5362	1998-04-12	VYDAJ	PREVOD NA UCET	4226	24689	UVER	OP	24749118
1576989	5362	1998-05-12	VYDAJ	PREVOD NA UCET	4226	25187	UVER	OP	24749118
1576990	5362	1998-06-12	VYDAJ	PREVOD NA UCET	4226	38280	UVER	OP	24749118
1576991	5362	1998-07-12	VYDAJ	PREVOD NA UCET	4226	33417	UVER	OP	24749118
1576992	5362	1998-08-12	VYDAJ	PREVOD NA UCET	4226	30061	UVER	OP	24749118
1576993	5362	1998-09-12	VYDAJ	PREVOD NA UCET	4226	20476	UVER	OP	24749118
1576994	5362	1998-10-12	VYDAJ	PREVOD NA UCET	4226	24190	UVER	OP	24749118
1576995	5362	1998-11-12	VYDAJ	PREVOD NA UCET	4226	23075	UVER	OP	24749118
1576996	5362	1998-12-12	VYDAJ	PREVOD NA UCET	4226	33580	UVER	OP	24749118
1577009	5362	1997-01-12	VYDAJ	PREVOD NA UCET	6413	74903	SIPO	UV	18269801
1577010	5362	1997-02-12	VYDAJ	PREVOD NA UCET	6413	38514	SIPO	UV	18269801
1577011	5362	1997-03-12	VYDAJ	PREVOD NA UCET	6413	45702	SIPO	UV	18269801
1577012	5362	1997-04-12	VYDAJ	PREVOD NA UCET	6413	42723	SIPO	UV	18269801
1577013	5362	1997-05-12	VYDAJ	PREVOD NA UCET	6413	43851	SIPO	UV	18269801
1577014	5362	1997-06-12	VYDAJ	PREVOD NA UCET	6413	12704	SIPO	UV	18269801
1577015	5362	1997-07-12	VYDAJ	PREVOD NA UCET	6413	27134	SIPO	UV	18269801
1577016	5362	1997-08-12	VYDAJ	PREVOD NA UCET	6413	33802	SIPO	UV	18269801
1577017	5362	1997-09-12	VYDAJ	PREVOD NA UCET	6413	43184	SIPO	UV	18269801
1577018	5362	1997-10-12	VYDAJ	PREVOD NA UCET	6413	44866	SIPO	UV	18269801
1577019	5362	1997-11-12	VYDAJ	PREVOD NA UCET	6413	46360	SIPO	UV	18269801
1577020	5362	1997-12-12	VYDAJ	PREVOD NA UCET	6413	43921	SIPO	UV	18269801
1577021	5362	1998-01-12	VYDAJ	PREVOD NA UCET	6413	28359	SIPO	UV	18269801
1577022	5362	1998-02-12	VYDAJ	PREVOD NA UCET	6413	25167	SIPO	UV	18269801
1577023	5362	1998-03-12	VYDAJ	PREVOD NA UCET	6413	21650	SIPO	UV	18269801
1577024	5362	1998-04-12	VYDAJ	PREVOD NA UCET	6413	18276	SIPO	UV	18269801
1577025	5362	1998-05-12	VYDAJ	PREVOD NA UCET	6413	18774	SIPO	UV	18269801
1577026	5362	1998-06-12	VYDAJ	PREVOD NA UCET	6413	31867	SIPO	UV	18269801
1577027	5362	1998-07-12	VYDAJ	PREVOD NA UCET	6413	27004	SIPO	UV	18269801
1577028	5362	1998-08-12	VYDAJ	PREVOD NA UCET	6413	23648	SIPO	UV	18269801
1577029	5362	1998-09-12	VYDAJ	PREVOD NA UCET	6413	24702	SIPO	UV	18269801
1577030	5362	1998-10-12	VYDAJ	PREVOD NA UCET	6413	17777	SIPO	UV	18269801
1577031	5362	1998-11-12	VYDAJ	PREVOD NA UCET	6413	27301	SIPO	UV	18269801
1577032	5362	1998-12-12	VYDAJ	PREVOD NA UCET	6413	37806	SIPO	UV	18269801
1577046	5362	1997-02-07	VYDAJ	PREVOD NA UCET	7962	19569	 	IJ	23946857
1577047	5362	1997-03-07	VYDAJ	PREVOD NA UCET	7962	26757	 	IJ	23946857
1577048	5362	1997-04-07	VYDAJ	PREVOD NA UCET	7962	28478	 	IJ	23946857
1577049	5362	1997-05-07	VYDAJ	PREVOD NA UCET	7962	29006	 	IJ	23946857
1577050	5362	1997-06-07	VYDAJ	PREVOD NA UCET	7962	8380	 	IJ	23946857
1577051	5362	1997-07-07	VYDAJ	PREVOD NA UCET	7962	13789	 	IJ	23946857
1577052	5362	1997-08-07	VYDAJ	PREVOD NA UCET	7962	14857	 	IJ	23946857
1577053	5362	1997-09-07	VYDAJ	PREVOD NA UCET	7962	24239	 	IJ	23946857
1577054	5362	1997-10-07	VYDAJ	PREVOD NA UCET	7962	25921	 	IJ	23946857
1577055	5362	1997-11-07	VYDAJ	PREVOD NA UCET	7962	27415	 	IJ	23946857
1577056	5362	1997-12-07	VYDAJ	PREVOD NA UCET	7962	16523	 	IJ	23946857
1577057	5362	1998-01-07	VYDAJ	PREVOD NA UCET	7962	9414	 	IJ	23946857
1577058	5362	1998-02-07	VYDAJ	PREVOD NA UCET	7962	6222	 	IJ	23946857
1577059	5362	1998-03-07	VYDAJ	PREVOD NA UCET	7962	6931	 	IJ	23946857
1577060	5362	1998-04-07	VYDAJ	PREVOD NA UCET	7962	3558	 	IJ	23946857
1577061	5362	1998-05-07	VYDAJ	PREVOD NA UCET	7962	4055	 	IJ	23946857
1577062	5362	1998-06-07	VYDAJ	PREVOD NA UCET	7962	4469	 	IJ	23946857
1577063	5362	1998-07-07	VYDAJ	PREVOD NA UCET	7962	12285	 	IJ	23946857
1577064	5362	1998-08-07	VYDAJ	PREVOD NA UCET	7962	8929	 	IJ	23946857
1577065	5362	1998-09-07	VYDAJ	PREVOD NA UCET	7962	5757	 	IJ	23946857
1577066	5362	1998-10-07	VYDAJ	PREVOD NA UCET	7962	3059	 	IJ	23946857
1577067	5362	1998-11-07	VYDAJ	PREVOD NA UCET	7962	9856	 	IJ	23946857
1577068	5362	1998-12-07	VYDAJ	PREVOD NA UCET	7962	15188	 	IJ	23946857
1577070	5362	1997-01-28	VYBER	VYBER	17221	40082	\N	\N	\N
1577071	5362	1997-05-27	VYBER	VYBER	11253	32598	\N	\N	\N
1577073	5362	1997-08-05	VYBER	VYBER	2285	22819	\N	\N	\N
1577075	5362	1997-06-06	VYBER	VYBER	10598	19242	\N	\N	\N
1577077	5362	1997-12-24	VYBER	VYBER	24568	19353	\N	\N	\N
1577082	5362	1998-12-12	VYBER	VYBER	9006	44219	\N	\N	\N
1577085	5362	1997-06-11	VYDAJ	VYBER	27300	19117	\N	\N	\N
1577088	5362	1997-01-29	VYDAJ	VYBER	14700	25382	\N	\N	\N
1577092	5362	1998-12-22	VYDAJ	VYBER	6000	27580	\N	\N	\N
1577099	5362	1997-01-17	VYDAJ	VYBER	2100	66803	\N	\N	\N
1577101	5362	1997-01-30	VYDAJ	VYBER	4800	20582	\N	\N	\N
1577102	5362	1997-01-23	VYDAJ	VYBER	5100	61703	\N	\N	\N
1577104	5362	1997-01-14	VYDAJ	VYBER	6000	68903	\N	\N	\N
1577109	5362	1998-01-14	VYDAJ	VYBER	6000	18133	\N	\N	\N
1577118	5362	1997-12-02	VYDAJ	VYBER	6900	24485	\N	\N	\N
1577122	5362	1998-11-09	VYDAJ	VYBER	1500	33714	\N	\N	\N
1577136	5362	1997-01-31	VYDAJ	VYBER	30	20831	SLUZBY	\N	\N
1577137	5362	1997-02-28	VYDAJ	VYBER	30	34019	SLUZBY	\N	\N
1577138	5362	1997-03-31	VYDAJ	VYBER	30	40440	SLUZBY	\N	\N
1577139	5362	1997-04-30	VYDAJ	VYBER	30	42868	SLUZBY	\N	\N
1577140	5362	1997-05-31	VYDAJ	VYBER	30	32740	SLUZBY	\N	\N
1577141	5362	1997-06-30	VYDAJ	VYBER	30	12751	SLUZBY	\N	\N
1577142	5362	1997-07-31	VYDAJ	VYBER	30	27204	SLUZBY	\N	\N
1577143	5362	1997-08-31	VYDAJ	VYBER	30	29901	SLUZBY	\N	\N
1577144	5362	1997-09-30	VYDAJ	VYBER	30	39083	SLUZBY	\N	\N
1577145	5362	1997-10-31	VYDAJ	VYBER	30	40777	SLUZBY	\N	\N
1577146	5362	1997-11-30	VYDAJ	VYBER	30	31385	SLUZBY	\N	\N
1577147	5362	1997-12-31	VYDAJ	VYBER	30	17376	SLUZBY	\N	\N
1577148	5362	1998-01-31	VYDAJ	VYBER	30	14184	SLUZBY	\N	\N
1577149	5362	1998-02-28	VYDAJ	VYBER	30	14893	SLUZBY	\N	\N
1577150	5362	1998-03-31	VYDAJ	VYBER	30	11520	SLUZBY	\N	\N
1577151	5362	1998-04-30	VYDAJ	VYBER	30	12017	SLUZBY	\N	\N
1577152	5362	1998-05-31	VYDAJ	VYBER	30	12431	SLUZBY	\N	\N
1577153	5362	1998-06-30	VYDAJ	VYBER	30	20247	SLUZBY	\N	\N
1577154	5362	1998-07-31	VYDAJ	VYBER	30	16891	SLUZBY	\N	\N
1577155	5362	1998-08-31	VYDAJ	VYBER	30	13719	SLUZBY	\N	\N
1577156	5362	1998-09-30	VYDAJ	VYBER	30	11021	SLUZBY	\N	\N
1577157	5362	1998-10-31	VYDAJ	VYBER	30	17818	SLUZBY	\N	\N
1577158	5362	1998-11-30	VYDAJ	VYBER	30	23150	SLUZBY	\N	\N
1577159	5362	1996-10-06	PRIJEM	VKLAD	300	26538	\N	\N	\N
1577160	5362	1996-11-05	VYDAJ	VYBER	13200	38885	\N	\N	\N
1577161	5362	1996-12-05	VYDAJ	VYBER	19900	44596	\N	\N	\N
1577162	5362	1997-01-04	VYDAJ	VYBER	27000	55958	\N	\N	\N
1577163	5362	1997-02-03	PRIJEM	VKLAD	6700	27531	\N	\N	\N
1577164	5362	1997-03-05	PRIJEM	VKLAD	700	34719	\N	\N	\N
1577165	5362	1997-04-04	VYDAJ	VYBER	4000	36440	\N	\N	\N
1577166	5362	1997-05-04	VYDAJ	VYBER	5900	36968	\N	\N	\N
1577167	5362	1997-06-03	VYDAJ	VYBER	2900	29840	\N	\N	\N
1577168	5362	1997-07-03	PRIJEM	VKLAD	9000	21751	\N	\N	\N
1577169	5362	1997-08-02	VYDAJ	VYBER	2100	25104	\N	\N	\N
1577170	5362	1997-09-01	PRIJEM	VKLAD	2300	32201	\N	\N	\N
1577171	5362	1997-10-01	VYDAJ	VYBER	5200	33883	\N	\N	\N
1577172	5362	1997-10-31	VYDAJ	VYBER	5400	35377	\N	\N	\N
1577173	5362	1997-11-30	VYDAJ	VYBER	10900	31415	\N	\N	\N
1577174	5362	1997-12-30	VYDAJ	VYBER	2100	17253	\N	\N	\N
1577175	5362	1998-01-29	VYDAJ	VYBER	4000	14133	\N	\N	\N
1577176	5362	1998-02-28	VYDAJ	VYBER	6100	14923	\N	\N	\N
1577177	5362	1998-03-30	VYDAJ	VYBER	10200	11450	\N	\N	\N
1577178	5362	1998-04-29	VYDAJ	VYBER	6300	11976	\N	\N	\N
1577179	5362	1998-05-29	VYDAJ	VYBER	6400	12374	\N	\N	\N
1577180	5362	1998-06-28	VYDAJ	VYBER	11700	20167	\N	\N	\N
1577181	5362	1998-07-28	VYDAJ	VYBER	10200	16804	\N	\N	\N
1577182	5362	1998-08-27	VYDAJ	VYBER	10000	13648	\N	\N	\N
1577183	5362	1998-09-26	VYDAJ	VYBER	9500	10976	\N	\N	\N
1578196	5366	1993-08-09	PRIJEM	VKLAD	800	800	\N	\N	\N
1578200	5366	1993-12-17	PRIJEM	VKLAD	30661	92161	\N	\N	\N
1578205	5366	1993-11-24	PRIJEM	VKLAD	6061	36357	\N	\N	\N
1578209	5366	1993-11-24	PRIJEM	VKLAD	32227	68584	\N	\N	\N
1578212	5366	1993-12-18	PRIJEM	VKLAD	31861	124022	\N	\N	\N
1578214	5366	1993-12-27	PRIJEM	VKLAD	45570	137792	\N	\N	\N
1578216	5366	1993-08-21	PRIJEM	VKLAD	36353	37153	\N	\N	\N
1578218	5366	1993-08-24	PRIJEM	VKLAD	35445	72598	\N	\N	\N
1578221	5366	1993-12-06	PRIJEM	VKLAD	29123	98000	\N	\N	\N
1578224	5366	1994-09-13	PRIJEM	VKLAD	38710	57912	\N	\N	\N
1578225	5366	1994-08-05	PRIJEM	VKLAD	16102	34151	\N	\N	\N
1578226	5366	1994-12-18	PRIJEM	VKLAD	6439	14196	\N	\N	\N
1578227	5366	1995-03-08	PRIJEM	VKLAD	39736	63225	\N	\N	\N
1578228	5366	1995-10-19	PRIJEM	VKLAD	36791	41709	\N	\N	\N
1578229	5366	1995-11-02	PRIJEM	VKLAD	36968	64183	\N	\N	\N
1578230	5366	1995-11-25	PRIJEM	VKLAD	31231	89414	\N	\N	\N
1578231	5366	1995-08-17	PRIJEM	VKLAD	26147	34536	\N	\N	\N
1578232	5366	1995-12-20	PRIJEM	VKLAD	16840	101360	\N	\N	\N
1578233	5366	1995-12-10	PRIJEM	VKLAD	13552	64646	\N	\N	\N
1578234	5366	1995-03-06	PRIJEM	VKLAD	10729	23489	\N	\N	\N
1578235	5366	1995-12-17	PRIJEM	VKLAD	23782	88428	\N	\N	\N
1578236	5366	1995-09-13	PRIJEM	VKLAD	14930	36891	\N	\N	\N
1578237	5366	1996-06-15	PRIJEM	VKLAD	45442	130270	\N	\N	\N
1578238	5366	1996-05-02	PRIJEM	VKLAD	10136	108048	\N	\N	\N
1578239	5366	1996-01-26	PRIJEM	VKLAD	28748	37769	\N	\N	\N
1578240	5366	1996-08-10	PRIJEM	VKLAD	6069	78295	\N	\N	\N
1578241	5366	1996-04-26	PRIJEM	VKLAD	47801	97523	\N	\N	\N
1578242	5366	1996-12-16	PRIJEM	VKLAD	48457	62584	\N	\N	\N
1578243	5366	1996-06-10	PRIJEM	VKLAD	32489	68603	\N	\N	\N
1578244	5366	1996-08-23	PRIJEM	VKLAD	29417	83848	\N	\N	\N
1578245	5366	1996-11-08	PRIJEM	VKLAD	29992	32517	\N	\N	\N
1578246	5366	1996-07-18	PRIJEM	VKLAD	41677	75919	\N	\N	\N
1578247	5366	1996-08-10	PRIJEM	VKLAD	47979	72226	\N	\N	\N
1578248	5366	1996-03-30	PRIJEM	VKLAD	47402	96628	\N	\N	\N
1578249	5366	1996-02-03	PRIJEM	VKLAD	44068	66332	\N	\N	\N
1578250	5366	1996-05-11	PRIJEM	VKLAD	8275	68623	\N	\N	\N
1578251	5366	1996-12-25	PRIJEM	VKLAD	16527	43811	\N	\N	\N
1578252	5366	1996-02-12	PRIJEM	VKLAD	26823	86793	\N	\N	\N
1578253	5366	1996-06-14	PRIJEM	VKLAD	16225	84828	\N	\N	\N
1578254	5366	1996-03-08	PRIJEM	VKLAD	48996	95926	\N	\N	\N
1578255	5366	1996-08-13	PRIJEM	VKLAD	34836	113131	\N	\N	\N
1578256	5366	1996-09-28	PRIJEM	VKLAD	27995	28635	\N	\N	\N
1578257	5366	1997-02-05	PRIJEM	VKLAD	16150	12880	\N	\N	\N
1578258	5366	1997-04-12	PRIJEM	VKLAD	41897	64216	\N	\N	\N
1578259	5366	1997-12-08	PRIJEM	VKLAD	36904	93668	\N	\N	\N
1578260	5366	1997-09-02	PRIJEM	VKLAD	43965	73325	\N	\N	\N
1578261	5366	1997-10-28	PRIJEM	VKLAD	13000	39276	\N	\N	\N
1578262	5366	1997-08-27	PRIJEM	VKLAD	31170	29286	\N	\N	\N
1578263	5366	1997-10-06	PRIJEM	VKLAD	8961	115776	\N	\N	\N
1578264	5366	1997-12-12	PRIJEM	VKLAD	49867	143535	\N	\N	\N
1578265	5366	1997-11-19	PRIJEM	VKLAD	42601	56553	\N	\N	\N
1578266	5366	1997-04-21	PRIJEM	VKLAD	40983	63999	\N	\N	\N
1578267	5366	1997-07-25	PRIJEM	VKLAD	37906	34088	\N	\N	\N
1578268	5366	1997-10-06	PRIJEM	VKLAD	46040	106815	\N	\N	\N
1578269	5366	1997-10-29	PRIJEM	VKLAD	14184	53460	\N	\N	\N
1578270	5366	1997-03-09	PRIJEM	VKLAD	19414	20255	\N	\N	\N
1578271	5366	1997-12-27	PRIJEM	VKLAD	16447	58982	\N	\N	\N
1578272	5366	1997-12-29	PRIJEM	VKLAD	11854	70836	\N	\N	\N
1578273	5366	1997-07-14	PRIJEM	VKLAD	12058	7482	\N	\N	\N
1578274	5366	1997-03-20	PRIJEM	VKLAD	5245	10800	\N	\N	\N
1578275	5366	1997-04-09	PRIJEM	VKLAD	23618	22319	\N	\N	\N
1578276	5366	1997-09-20	PRIJEM	VKLAD	28628	67263	\N	\N	\N
1578277	5366	1997-09-17	PRIJEM	VKLAD	48110	121435	\N	\N	\N
1578278	5366	1997-10-04	PRIJEM	VKLAD	15461	60775	\N	\N	\N
1578279	5366	1998-08-08	PRIJEM	VKLAD	37399	24566	\N	\N	\N
1578280	5366	1998-10-05	PRIJEM	VKLAD	37363	11754	\N	\N	\N
1578281	5366	1998-05-24	PRIJEM	VKLAD	22807	13938	\N	\N	\N
1578282	5366	1998-05-15	PRIJEM	VKLAD	11264	19331	\N	\N	\N
1578283	5366	1998-03-23	PRIJEM	VKLAD	14958	14795	\N	\N	\N
1578284	5366	1998-02-11	PRIJEM	VKLAD	49010	69103	\N	\N	\N
1578285	5366	1998-05-26	PRIJEM	VKLAD	25191	39129	\N	\N	\N
1578286	5366	1998-11-18	PRIJEM	VKLAD	10791	-8094	\N	\N	\N
1578287	5366	1998-12-28	PRIJEM	VKLAD	38350	15375	\N	\N	\N
1578288	5366	1998-06-14	PRIJEM	VKLAD	13309	40232	\N	\N	\N
1578289	5366	1998-03-05	PRIJEM	VKLAD	7853	37690	\N	\N	\N
1578290	5366	1998-06-18	PRIJEM	VKLAD	25473	29505	\N	\N	\N
1578291	5366	1998-10-11	PRIJEM	VKLAD	42030	48684	\N	\N	\N
1578292	5366	1998-08-08	PRIJEM	VKLAD	15360	39926	\N	\N	\N
1578293	5366	1998-02-26	PRIJEM	VKLAD	16693	29770	\N	\N	\N
1578294	5366	1998-01-26	PRIJEM	VKLAD	18416	19979	\N	\N	\N
1578295	5366	1998-03-21	PRIJEM	VKLAD	8969	-163	\N	\N	\N
1578296	5366	1998-04-12	PRIJEM	VKLAD	36905	51739	\N	\N	\N
1578308	5366	1994-01-01	VYBER	VYBER	5473	61589	\N	\N	\N
1578309	5366	1994-10-16	VYBER	VYBER	12351	29027	\N	\N	\N
1578310	5366	1994-09-02	VYBER	VYBER	16665	17602	\N	\N	\N
1578311	5366	1994-12-10	VYBER	VYBER	8733	7757	\N	\N	\N
1578312	5366	1994-01-11	VYBER	VYBER	11020	23169	\N	\N	\N
1578313	5366	1995-02-13	VYBER	VYBER	3009	8926	\N	\N	\N
1578314	5366	1995-05-25	VYBER	VYBER	2352	5721	\N	\N	\N
1578315	5366	1995-03-10	VYBER	VYBER	19020	44205	\N	\N	\N
1578318	5366	1995-12-18	VYBER	VYBER	3908	84520	\N	\N	\N
1578319	5366	1995-09-14	VYBER	VYBER	6990	29901	\N	\N	\N
1578320	5366	1995-10-05	VYBER	VYBER	18175	4918	\N	\N	\N
1578321	5366	1995-06-16	VYBER	VYBER	4410	4547	\N	\N	\N
1578322	5366	1996-06-16	VYBER	VYBER	20516	68654	\N	\N	\N
1578323	5366	1996-02-08	VYBER	VYBER	6362	59970	\N	\N	\N
1578324	5366	1996-09-15	VYBER	VYBER	12892	2840	\N	\N	\N
1578325	5366	1996-09-01	VYBER	VYBER	23419	15732	\N	\N	\N
1578327	5366	1996-10-30	VYBER	VYBER	12781	2429	\N	\N	\N
1578328	5366	1997-09-25	VYBER	VYBER	22097	45166	\N	\N	\N
1578329	5366	1998-10-12	VYBER	VYBER	20023	28661	\N	\N	\N
1578336	5366	1998-02-12	VYBER	VYBER	17426	51677	\N	\N	\N
1578337	5366	1998-03-13	VYBER	VYBER	21222	16468	\N	\N	\N
1578339	5366	1998-06-07	VYBER	VYBER	9148	30037	\N	\N	\N
1578340	5366	1998-06-11	VYBER	VYBER	3114	26923	\N	\N	\N
1578347	5366	1994-01-02	VYDAJ	VYBER	7200	54389	\N	\N	\N
1578349	5366	1994-01-16	VYDAJ	VYBER	8100	8469	\N	\N	\N
1578350	5366	1994-01-21	VYDAJ	VYBER	8400	69	\N	\N	\N
1578351	5366	1994-01-13	VYDAJ	VYBER	6600	16569	\N	\N	\N
1578352	5366	1994-01-10	VYDAJ	VYBER	5100	34189	\N	\N	\N
1578355	5366	1995-01-07	VYDAJ	VYBER	6300	4533	\N	\N	\N
1578356	5366	1995-01-01	VYDAJ	VYBER	6300	12333	\N	\N	\N
1578357	5366	1995-01-03	VYDAJ	VYBER	1500	10833	\N	\N	\N
1578358	5366	1995-01-13	VYDAJ	VYBER	3600	933	\N	\N	\N
1578359	5366	1996-01-07	VYDAJ	VYBER	8400	41721	\N	\N	\N
1578360	5366	1996-01-13	VYDAJ	VYBER	6000	14721	\N	\N	\N
1578361	5366	1996-01-02	VYDAJ	VYBER	2400	52521	\N	\N	\N
1578362	5366	1996-01-12	VYDAJ	VYBER	8400	20721	\N	\N	\N
1578363	5366	1996-01-09	VYDAJ	VYBER	6900	29121	\N	\N	\N
1578364	5366	1996-01-21	VYDAJ	VYBER	5700	9021	\N	\N	\N
1578365	5366	1997-01-10	VYDAJ	VYBER	4800	20183	\N	\N	\N
1578366	5366	1997-01-07	VYDAJ	VYBER	8700	24983	\N	\N	\N
1578367	5366	1997-01-19	VYDAJ	VYBER	7500	4583	\N	\N	\N
1578369	5366	1997-01-17	VYDAJ	VYBER	8100	12083	\N	\N	\N
1578371	5366	1998-01-13	VYDAJ	VYBER	8400	44963	\N	\N	\N
1578372	5366	1998-01-02	VYDAJ	VYBER	6300	58163	\N	\N	\N
1578373	5366	1998-01-19	VYDAJ	VYBER	6900	4563	\N	\N	\N
1578374	5366	1998-01-02	VYDAJ	VYBER	6600	64463	\N	\N	\N
1578375	5366	1998-01-11	VYDAJ	VYBER	4800	53363	\N	\N	\N
1578376	5366	1998-01-22	VYDAJ	VYBER	3000	1563	\N	\N	\N
1578382	5366	1994-11-27	VYDAJ	VYBER	9900	14192	\N	\N	\N
1578383	5366	1994-02-10	VYDAJ	VYBER	9300	1143	\N	\N	\N
1578384	5366	1994-04-06	VYDAJ	VYBER	3900	14623	\N	\N	\N
1578385	5366	1994-06-26	VYDAJ	VYBER	12900	4413	\N	\N	\N
1578386	5366	1994-05-30	VYDAJ	VYBER	9000	12367	\N	\N	\N
1578387	5366	1995-05-30	VYDAJ	VYBER	6300	-579	\N	\N	\N
1578388	5366	1995-11-13	VYDAJ	VYBER	6000	58183	\N	\N	\N
1578389	5366	1995-05-18	VYDAJ	VYBER	8700	8073	\N	\N	\N
1578390	5366	1995-04-19	VYDAJ	VYBER	13200	16450	\N	\N	\N
1578391	5366	1995-07-03	VYDAJ	VYBER	3000	5569	\N	\N	\N
1578392	5366	1996-01-09	VYDAJ	VYBER	5700	36021	\N	\N	\N
1578393	5366	1996-12-28	VYDAJ	VYBER	10200	33611	\N	\N	\N
1578394	5366	1996-08-02	VYDAJ	VYBER	10800	24247	\N	\N	\N
1578395	5366	1996-01-05	VYDAJ	VYBER	2400	50121	\N	\N	\N
1578396	5366	1997-05-29	VYDAJ	VYBER	5400	13839	\N	\N	\N
1578397	5366	1997-03-12	VYDAJ	VYBER	14700	5555	\N	\N	\N
1578398	5366	1997-07-25	VYDAJ	VYBER	13500	20588	\N	\N	\N
1578399	5366	1998-06-25	VYDAJ	VYBER	12000	17505	\N	\N	\N
1578401	5366	1998-10-06	VYDAJ	VYBER	5100	6654	\N	\N	\N
1578414	5366	1993-12-31	VYDAJ	VYBER	15	113262	SLUZBY	\N	\N
1578415	5366	1994-01-31	VYDAJ	VYBER	15	143	SLUZBY	\N	\N
1578416	5366	1994-02-28	VYDAJ	VYBER	15	1132	SLUZBY	\N	\N
1578417	5366	1994-03-31	VYDAJ	VYBER	15	11223	SLUZBY	\N	\N
1578418	5366	1994-04-30	VYDAJ	VYBER	15	14667	SLUZBY	\N	\N
1578419	5366	1994-05-31	VYDAJ	VYBER	15	12413	SLUZBY	\N	\N
1578420	5366	1994-06-30	VYDAJ	VYBER	15	4444	SLUZBY	\N	\N
1578421	5366	1994-07-31	VYDAJ	VYBER	15	12449	SLUZBY	\N	\N
1578422	5366	1994-08-31	VYDAJ	VYBER	15	34267	SLUZBY	\N	\N
1578423	5366	1994-09-30	VYDAJ	VYBER	15	58078	SLUZBY	\N	\N
1578424	5366	1994-10-31	VYDAJ	VYBER	15	29192	SLUZBY	\N	\N
1578425	5366	1994-11-30	VYDAJ	VYBER	15	14290	SLUZBY	\N	\N
1578426	5366	1994-12-31	VYDAJ	VYBER	15	14233	SLUZBY	\N	\N
1578427	5366	1995-01-31	VYDAJ	VYBER	15	11935	SLUZBY	\N	\N
1578428	5366	1995-02-28	VYDAJ	VYBER	15	8960	SLUZBY	\N	\N
1578429	5366	1995-03-31	VYDAJ	VYBER	15	44350	SLUZBY	\N	\N
1578430	5366	1995-04-30	VYDAJ	VYBER	15	16573	SLUZBY	\N	\N
1578431	5366	1995-05-31	VYDAJ	VYBER	15	8957	SLUZBY	\N	\N
1578432	5366	1995-06-30	VYDAJ	VYBER	15	8569	SLUZBY	\N	\N
1578433	5366	1995-07-31	VYDAJ	VYBER	15	8389	SLUZBY	\N	\N
1578434	5366	1995-08-31	VYDAJ	VYBER	15	21961	SLUZBY	\N	\N
1578435	5366	1995-09-30	VYDAJ	VYBER	15	23093	SLUZBY	\N	\N
1578436	5366	1995-10-31	VYDAJ	VYBER	15	27215	SLUZBY	\N	\N
1578437	5366	1995-11-30	VYDAJ	VYBER	15	51094	SLUZBY	\N	\N
1578438	5366	1995-12-31	VYDAJ	VYBER	15	54921	SLUZBY	\N	\N
1578439	5366	1996-01-31	VYDAJ	VYBER	15	22264	SLUZBY	\N	\N
1578440	5366	1996-02-29	VYDAJ	VYBER	15	46930	SLUZBY	\N	\N
1578441	5366	1996-03-31	VYDAJ	VYBER	15	96822	SLUZBY	\N	\N
1578442	5366	1996-04-30	VYDAJ	VYBER	15	97912	SLUZBY	\N	\N
1578443	5366	1996-05-31	VYDAJ	VYBER	15	36114	SLUZBY	\N	\N
1578444	5366	1996-06-30	VYDAJ	VYBER	15	34242	SLUZBY	\N	\N
1578445	5366	1996-07-31	VYDAJ	VYBER	15	35047	SLUZBY	\N	\N
1578446	5366	1996-08-31	VYDAJ	VYBER	15	39151	SLUZBY	\N	\N
1578447	5366	1996-09-30	VYDAJ	VYBER	15	28710	SLUZBY	\N	\N
1578448	5366	1996-10-31	VYDAJ	VYBER	15	2525	SLUZBY	\N	\N
1578449	5366	1996-11-30	VYDAJ	VYBER	15	14127	SLUZBY	\N	\N
1578450	5366	1996-12-31	VYDAJ	VYBER	15	33683	SLUZBY	\N	\N
1578452	5366	1997-02-28	VYDAJ	VYBER	15	841	SLUZBY	\N	\N
1578454	5366	1997-04-30	VYDAJ	VYBER	15	64139	SLUZBY	\N	\N
1578455	5366	1997-05-31	VYDAJ	VYBER	15	14068	SLUZBY	\N	\N
1578457	5366	1997-07-31	VYDAJ	VYBER	15	20616	SLUZBY	\N	\N
1578458	5366	1997-08-31	VYDAJ	VYBER	15	29360	SLUZBY	\N	\N
1578459	5366	1997-09-30	VYDAJ	VYBER	15	45314	SLUZBY	\N	\N
1578460	5366	1997-10-31	VYDAJ	VYBER	15	53652	SLUZBY	\N	\N
1578461	5366	1997-11-30	VYDAJ	VYBER	15	56764	SLUZBY	\N	\N
1578462	5366	1997-12-31	VYDAJ	VYBER	15	71063	SLUZBY	\N	\N
1578463	5366	1998-01-31	VYDAJ	VYBER	15	20093	SLUZBY	\N	\N
1578464	5366	1998-02-28	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
1578465	5366	1998-03-31	VYDAJ	VYBER	15	14850	SLUZBY	\N	\N
1578466	5366	1998-04-30	VYDAJ	VYBER	15	8067	SLUZBY	\N	\N
1578467	5366	1998-05-31	VYDAJ	VYBER	15	39185	SLUZBY	\N	\N
1578468	5366	1998-06-30	VYDAJ	VYBER	15	17597	SLUZBY	\N	\N
1578474	5366	1993-09-08	VYDAJ	VYBER	23200	49491	\N	\N	\N
1578475	5366	1993-10-08	VYDAJ	VYBER	12500	37294	\N	\N	\N
1578476	5366	1993-11-07	VYDAJ	VYBER	7300	30296	\N	\N	\N
1578477	5366	1993-12-07	VYDAJ	VYBER	36500	61500	\N	\N	\N
1578478	5366	1993-12-18	VYDAJ	VYBER	31800	92222	\N	\N	\N
1578479	5366	1993-12-27	VYDAJ	VYBER	24900	112892	\N	\N	\N
1578480	5366	1993-12-31	VYDAJ	VYBER	46200	67062	\N	\N	\N
1578481	5366	1994-01-06	VYDAJ	VYBER	15100	39289	\N	\N	\N
1578482	5366	1994-02-05	PRIJEM	VKLAD	10300	10443	\N	\N	\N
1578483	5366	1994-03-07	PRIJEM	VKLAD	10100	11232	\N	\N	\N
1578484	5366	1994-04-06	PRIJEM	VKLAD	7300	18523	\N	\N	\N
1578485	5366	1994-05-06	PRIJEM	VKLAD	6700	21367	\N	\N	\N
1578486	5366	1994-06-05	PRIJEM	VKLAD	4900	17313	\N	\N	\N
1578487	5366	1994-07-05	PRIJEM	VKLAD	8000	12444	\N	\N	\N
1578488	5366	1994-08-04	PRIJEM	VKLAD	5600	18049	\N	\N	\N
1578489	5366	1994-09-03	PRIJEM	VKLAD	1600	19202	\N	\N	\N
1578490	5366	1994-10-03	VYDAJ	VYBER	16700	41378	\N	\N	\N
1578491	5366	1994-11-02	VYDAJ	VYBER	5100	24092	\N	\N	\N
1578492	5366	1994-12-02	PRIJEM	VKLAD	2200	16490	\N	\N	\N
1578493	5366	1995-01-01	PRIJEM	VKLAD	4400	18633	\N	\N	\N
1578494	5366	1995-01-31	PRIJEM	VKLAD	11000	11933	\N	\N	\N
1578495	5366	1995-03-02	PRIJEM	VKLAD	3800	12760	\N	\N	\N
1578496	5366	1995-04-01	VYDAJ	VYBER	14700	29650	\N	\N	\N
1578497	5366	1995-05-01	PRIJEM	VKLAD	200	16773	\N	\N	\N
1578498	5366	1995-05-31	PRIJEM	VKLAD	9500	8971	\N	\N	\N
1578499	5366	1995-06-30	PRIJEM	VKLAD	4000	8547	\N	\N	\N
1578500	5366	1995-07-30	PRIJEM	VKLAD	2800	8369	\N	\N	\N
1578501	5366	1995-08-29	VYDAJ	VYBER	12600	21936	\N	\N	\N
1578502	5366	1995-09-28	VYDAJ	VYBER	6900	23001	\N	\N	\N
1578503	5366	1995-10-28	VYDAJ	VYBER	14600	27109	\N	\N	\N
1578504	5366	1995-11-27	VYDAJ	VYBER	38500	50914	\N	\N	\N
1578505	5366	1995-12-27	VYDAJ	VYBER	46700	54660	\N	\N	\N
1578506	5366	1996-01-26	VYDAJ	VYBER	15600	22169	\N	\N	\N
1578507	5366	1996-02-25	VYDAJ	VYBER	40100	46693	\N	\N	\N
1578508	5366	1996-03-26	VYDAJ	VYBER	46700	49226	\N	\N	\N
1578509	5366	1996-04-25	VYDAJ	VYBER	47100	49722	\N	\N	\N
1578510	5366	1996-05-02	VYDAJ	VYBER	47700	60348	\N	\N	\N
1578511	5366	1996-05-25	VYDAJ	VYBER	32800	35823	\N	\N	\N
1578512	5366	1996-06-15	VYDAJ	VYBER	41100	89170	\N	\N	\N
1578513	5366	1996-06-24	VYDAJ	VYBER	34600	34054	\N	\N	\N
1578514	5366	1996-07-24	VYDAJ	VYBER	41000	34919	\N	\N	\N
1578515	5366	1996-08-13	VYDAJ	VYBER	58700	54431	\N	\N	\N
1578516	5366	1996-08-23	VYDAJ	VYBER	45000	38848	\N	\N	\N
1578517	5366	1996-09-22	VYDAJ	VYBER	2200	640	\N	\N	\N
1578518	5366	1996-10-22	VYDAJ	VYBER	13500	15210	\N	\N	\N
1578519	5366	1996-11-21	VYDAJ	VYBER	18400	14117	\N	\N	\N
1578520	5366	1996-12-21	VYDAJ	VYBER	35300	27284	\N	\N	\N
1578521	5366	1997-01-20	VYDAJ	VYBER	7900	-3317	\N	\N	\N
1578522	5366	1997-02-19	VYDAJ	VYBER	12000	880	\N	\N	\N
1578523	5366	1997-03-21	VYDAJ	VYBER	12100	-1300	\N	\N	\N
1578524	5366	1997-04-20	VYDAJ	VYBER	41200	23016	\N	\N	\N
1578525	5366	1997-05-20	VYDAJ	VYBER	44900	19239	\N	\N	\N
1578526	5366	1997-06-19	VYDAJ	VYBER	18700	-4632	\N	\N	\N
1578527	5366	1997-07-19	VYDAJ	VYBER	11300	-3818	\N	\N	\N
1578528	5366	1997-08-18	VYDAJ	VYBER	22500	-1885	\N	\N	\N
1578529	5366	1997-09-17	VYDAJ	VYBER	15100	38635	\N	\N	\N
1578530	5366	1997-09-17	VYDAJ	VYBER	67700	53735	\N	\N	\N
1578531	5366	1997-10-06	VYDAJ	VYBER	38600	77176	\N	\N	\N
1578532	5366	1997-10-17	VYDAJ	VYBER	50900	26276	\N	\N	\N
1578533	5366	1997-11-16	VYDAJ	VYBER	39700	13952	\N	\N	\N
1578534	5366	1997-12-12	VYDAJ	VYBER	43200	100335	\N	\N	\N
1578535	5366	1997-12-16	VYDAJ	VYBER	57800	42535	\N	\N	\N
1578536	5366	1998-01-15	VYDAJ	VYBER	33500	11463	\N	\N	\N
1578537	5366	1998-02-14	VYDAJ	VYBER	38600	13077	\N	\N	\N
1578538	5366	1998-03-16	VYDAJ	VYBER	25600	-9132	\N	\N	\N
1578539	5366	1998-04-15	VYDAJ	VYBER	43700	8039	\N	\N	\N
1578540	5366	1998-05-15	VYDAJ	VYBER	28200	-8869	\N	\N	\N
1578541	5366	1998-06-14	VYDAJ	VYBER	36200	4032	\N	\N	\N
1578542	5366	1998-07-14	VYDAJ	VYBER	30500	-12903	\N	\N	\N
1578543	5366	1998-08-13	VYDAJ	VYBER	43700	-3774	\N	\N	\N
1578544	5366	1998-09-12	VYDAJ	VYBER	21800	-25562	\N	\N	\N
1578545	5366	1998-10-12	VYDAJ	VYBER	34900	-6240	\N	\N	\N
1578546	5366	1998-11-11	VYDAJ	VYBER	12600	-18885	\N	\N	\N
1578547	5366	1998-12-11	VYDAJ	VYBER	14800	-22976	\N	\N	\N
1578988	5369	1993-02-25	PRIJEM	VKLAD	900	900	\N	\N	\N
1578991	5369	1993-03-06	PRIJEM	VKLAD	5643	6543	\N	\N	\N
1578992	5369	1993-04-06	PRIJEM	VKLAD	5643	21797	\N	\N	\N
1578993	5369	1993-05-06	PRIJEM	VKLAD	5643	28111	\N	\N	\N
1578994	5369	1993-06-06	PRIJEM	VKLAD	8464	36073	\N	\N	\N
1578995	5369	1993-07-06	PRIJEM	VKLAD	5643	33431	\N	\N	\N
1578996	5369	1993-08-06	PRIJEM	VKLAD	5643	36377	\N	\N	\N
1578997	5369	1993-09-06	PRIJEM	VKLAD	5643	33937	\N	\N	\N
1578998	5369	1993-10-06	PRIJEM	VKLAD	5643	32985	\N	\N	\N
1578999	5369	1993-11-06	PRIJEM	VKLAD	5643	34429	\N	\N	\N
1579000	5369	1993-12-06	PRIJEM	VKLAD	8464	39801	\N	\N	\N
1579001	5369	1994-01-06	PRIJEM	VKLAD	5643	25379	\N	\N	\N
1579002	5369	1994-02-06	PRIJEM	VKLAD	5643	26510	\N	\N	\N
1579003	5369	1994-03-06	PRIJEM	VKLAD	5643	29631	\N	\N	\N
1579004	5369	1994-04-06	PRIJEM	VKLAD	5643	34576	\N	\N	\N
1579005	5369	1994-05-06	PRIJEM	VKLAD	5643	32326	\N	\N	\N
1579006	5369	1994-06-06	PRIJEM	VKLAD	8464	34887	\N	\N	\N
1579007	5369	1994-07-06	PRIJEM	VKLAD	5643	30816	\N	\N	\N
1579008	5369	1994-08-06	PRIJEM	VKLAD	5643	33853	\N	\N	\N
1579009	5369	1994-09-06	PRIJEM	VKLAD	5643	31405	\N	\N	\N
1579010	5369	1994-10-06	PRIJEM	VKLAD	5643	31640	\N	\N	\N
1579011	5369	1994-11-06	PRIJEM	VKLAD	5643	33986	\N	\N	\N
1579012	5369	1994-12-06	PRIJEM	VKLAD	8464	37662	\N	\N	\N
1579013	5369	1995-01-06	PRIJEM	VKLAD	5643	36030	\N	\N	\N
1579014	5369	1995-02-06	PRIJEM	VKLAD	5643	24368	\N	\N	\N
1579015	5369	1995-03-06	PRIJEM	VKLAD	5643	32801	\N	\N	\N
1579016	5369	1995-04-06	PRIJEM	VKLAD	5643	34646	\N	\N	\N
1579017	5369	1995-05-06	PRIJEM	VKLAD	5643	37300	\N	\N	\N
1579018	5369	1995-06-06	PRIJEM	VKLAD	8464	41784	\N	\N	\N
1579019	5369	1995-07-06	PRIJEM	VKLAD	5643	34631	\N	\N	\N
1579020	5369	1995-08-06	PRIJEM	VKLAD	5643	36684	\N	\N	\N
1579021	5369	1995-09-06	PRIJEM	VKLAD	5643	35037	\N	\N	\N
1579022	5369	1995-10-06	PRIJEM	VKLAD	5643	35693	\N	\N	\N
1579023	5369	1995-11-06	PRIJEM	VKLAD	5643	37757	\N	\N	\N
1579024	5369	1995-12-06	PRIJEM	VKLAD	8464	41341	\N	\N	\N
1579025	5369	1996-01-06	PRIJEM	VKLAD	5643	32000	\N	\N	\N
1579026	5369	1996-02-06	PRIJEM	VKLAD	5643	20025	\N	\N	\N
1579027	5369	1996-03-06	PRIJEM	VKLAD	5643	26230	\N	\N	\N
1579028	5369	1996-04-06	PRIJEM	VKLAD	5643	29855	\N	\N	\N
1579029	5369	1996-05-06	PRIJEM	VKLAD	5643	33894	\N	\N	\N
1579030	5369	1996-06-06	PRIJEM	VKLAD	8464	32151	\N	\N	\N
1579031	5369	1996-07-06	PRIJEM	VKLAD	5643	4972	\N	\N	\N
1579032	5369	1996-08-06	PRIJEM	VKLAD	5643	18436	\N	\N	\N
1579033	5369	1996-09-06	PRIJEM	VKLAD	5643	21338	\N	\N	\N
1579034	5369	1996-10-06	PRIJEM	VKLAD	5643	25046	\N	\N	\N
1579035	5369	1996-11-06	PRIJEM	VKLAD	5643	25354	\N	\N	\N
1579036	5369	1996-12-06	PRIJEM	VKLAD	8464	26681	\N	\N	\N
1579037	5369	1997-01-06	PRIJEM	VKLAD	5643	21783	\N	\N	\N
1579038	5369	1997-02-06	PRIJEM	VKLAD	5643	13865	\N	\N	\N
1579039	5369	1997-03-06	PRIJEM	VKLAD	5643	17242	\N	\N	\N
1579040	5369	1997-04-06	PRIJEM	VKLAD	5643	16735	\N	\N	\N
1579041	5369	1997-05-06	PRIJEM	VKLAD	5643	17622	\N	\N	\N
1579042	5369	1997-06-06	PRIJEM	VKLAD	8464	19439	\N	\N	\N
1579043	5369	1997-07-06	PRIJEM	VKLAD	5643	11132	\N	\N	\N
1579044	5369	1997-08-06	PRIJEM	VKLAD	5643	11794	\N	\N	\N
1579045	5369	1997-09-06	PRIJEM	VKLAD	5643	18264	\N	\N	\N
1579046	5369	1997-10-06	PRIJEM	VKLAD	5643	17660	\N	\N	\N
1579047	5369	1997-11-06	PRIJEM	VKLAD	5643	17560	\N	\N	\N
1579048	5369	1997-12-06	PRIJEM	VKLAD	8464	19380	\N	\N	\N
1579049	5369	1998-01-06	PRIJEM	VKLAD	5643	14082	\N	\N	\N
1579050	5369	1998-02-06	PRIJEM	VKLAD	5643	8843	\N	\N	\N
1579051	5369	1998-03-06	PRIJEM	VKLAD	5643	5683	\N	\N	\N
1579052	5369	1998-04-06	PRIJEM	VKLAD	5643	8033	\N	\N	\N
1579053	5369	1998-05-06	PRIJEM	VKLAD	5643	4769	\N	\N	\N
1579054	5369	1998-06-06	PRIJEM	VKLAD	8464	8446	\N	\N	\N
1579055	5369	1998-07-06	PRIJEM	VKLAD	5643	5472	\N	\N	\N
1579056	5369	1998-08-06	PRIJEM	VKLAD	5643	1410	\N	\N	\N
1579057	5369	1998-09-06	PRIJEM	VKLAD	5643	-1503	\N	\N	\N
1579058	5369	1998-10-06	PRIJEM	VKLAD	5643	2664	\N	\N	\N
1579059	5369	1998-11-06	PRIJEM	VKLAD	5643	7060	\N	\N	\N
1579060	5369	1998-12-06	PRIJEM	VKLAD	8464	7909	\N	\N	\N
1579062	5369	1994-06-11	VYDAJ	VYBER	13800	21087	\N	\N	\N
1579063	5369	1995-06-07	VYDAJ	VYBER	16600	25184	\N	\N	\N
1579064	5369	1996-06-27	VYDAJ	VYBER	28200	-749	\N	\N	\N
1579065	5369	1997-06-27	VYDAJ	VYBER	18900	539	\N	\N	\N
1579068	5369	1994-01-05	VYDAJ	VYBER	9800	19736	\N	\N	\N
1579069	5369	1995-01-14	VYDAJ	VYBER	2900	23930	\N	\N	\N
1579070	5369	1996-01-22	VYDAJ	VYBER	9100	17300	\N	\N	\N
1579071	5369	1997-01-16	VYDAJ	VYBER	7500	11083	\N	\N	\N
1579072	5369	1998-01-22	VYDAJ	VYBER	2700	7382	\N	\N	\N
1579073	5369	1993-12-06	VYDAJ	VYBER	2100	37701	\N	\N	\N
1579074	5369	1994-12-01	VYDAJ	VYBER	2100	30698	\N	\N	\N
1579075	5369	1995-12-22	VYDAJ	VYBER	2700	29041	\N	\N	\N
1579076	5369	1996-12-16	VYDAJ	VYBER	2000	15181	\N	\N	\N
1579077	5369	1997-12-19	VYDAJ	VYBER	900	18480	\N	\N	\N
1579085	5369	1994-01-24	VYDAJ	VYBER	2400	24079	\N	\N	\N
1579086	5369	1994-01-26	VYDAJ	VYBER	1500	21679	\N	\N	\N
1579087	5369	1994-01-26	VYDAJ	VYBER	900	20779	\N	\N	\N
1579088	5369	1994-01-01	VYDAJ	VYBER	2100	29536	\N	\N	\N
1579089	5369	1994-01-24	VYDAJ	VYBER	900	23179	\N	\N	\N
1579090	5369	1994-01-10	VYDAJ	VYBER	2000	23379	\N	\N	\N
1579091	5369	1995-01-12	VYDAJ	VYBER	2800	28930	\N	\N	\N
1579092	5369	1995-01-19	VYDAJ	VYBER	2900	22030	\N	\N	\N
1579093	5369	1995-01-07	VYDAJ	VYBER	2700	33330	\N	\N	\N
1579094	5369	1995-01-13	VYDAJ	VYBER	2100	26830	\N	\N	\N
1579095	5369	1995-01-02	VYDAJ	VYBER	1200	30387	\N	\N	\N
1579096	5369	1995-01-08	VYDAJ	VYBER	1600	31730	\N	\N	\N
1579097	5369	1996-01-02	VYDAJ	VYBER	1000	26357	\N	\N	\N
1579098	5369	1996-01-10	VYDAJ	VYBER	1400	28100	\N	\N	\N
1579099	5369	1996-01-23	VYDAJ	VYBER	600	16700	\N	\N	\N
1579100	5369	1996-01-07	VYDAJ	VYBER	2500	29500	\N	\N	\N
1579101	5369	1996-01-24	VYDAJ	VYBER	2400	14300	\N	\N	\N
1579102	5369	1996-01-01	VYDAJ	VYBER	1800	27357	\N	\N	\N
1579103	5369	1997-01-10	VYDAJ	VYBER	2500	18583	\N	\N	\N
1579104	5369	1997-01-23	VYDAJ	VYBER	800	10283	\N	\N	\N
1579105	5369	1997-01-06	VYDAJ	VYBER	700	21083	\N	\N	\N
1579106	5369	1997-01-24	VYDAJ	VYBER	1900	7183	\N	\N	\N
1579107	5369	1997-01-29	VYDAJ	VYBER	1300	5883	\N	\N	\N
1579108	5369	1997-01-23	VYDAJ	VYBER	1200	9083	\N	\N	\N
1579109	5369	1998-01-16	VYDAJ	VYBER	1300	11182	\N	\N	\N
1579110	5369	1998-01-18	VYDAJ	VYBER	500	10682	\N	\N	\N
1579111	5369	1998-01-22	VYDAJ	VYBER	600	10082	\N	\N	\N
1579112	5369	1998-01-30	VYDAJ	VYBER	1800	3182	\N	\N	\N
1579113	5369	1998-01-09	VYDAJ	VYBER	1600	12482	\N	\N	\N
1579114	5369	1998-01-23	VYDAJ	VYBER	2700	4682	\N	\N	\N
1579115	5369	1993-10-22	VYDAJ	VYBER	4400	28585	\N	\N	\N
1579116	5369	1993-08-13	VYDAJ	VYBER	1600	34777	\N	\N	\N
1579118	5369	1993-09-17	VYDAJ	VYBER	2200	31737	\N	\N	\N
1579119	5369	1994-12-01	VYDAJ	VYBER	1500	29198	\N	\N	\N
1579120	5369	1994-04-12	VYDAJ	VYBER	2200	32376	\N	\N	\N
1579121	5369	1994-08-07	VYDAJ	VYBER	600	33253	\N	\N	\N
1579122	5369	1994-10-09	VYDAJ	VYBER	1400	30240	\N	\N	\N
1579123	5369	1994-05-23	VYDAJ	VYBER	4000	26326	\N	\N	\N
1579124	5369	1994-03-07	VYDAJ	VYBER	900	28731	\N	\N	\N
1579125	5369	1994-08-27	VYDAJ	VYBER	1800	25653	\N	\N	\N
1579126	5369	1994-02-06	VYDAJ	VYBER	4400	22110	\N	\N	\N
1579127	5369	1994-06-16	VYDAJ	VYBER	1000	20087	\N	\N	\N
1579128	5369	1995-02-02	VYDAJ	VYBER	3400	18725	\N	\N	\N
1579129	5369	1995-12-09	VYDAJ	VYBER	3300	38041	\N	\N	\N
1579130	5369	1995-10-04	VYDAJ	VYBER	1600	30050	\N	\N	\N
1579131	5369	1996-11-13	VYDAJ	VYBER	2900	18154	\N	\N	\N
1579132	5369	1996-09-02	VYDAJ	VYBER	3800	15695	\N	\N	\N
1579133	5369	1996-05-24	VYDAJ	VYBER	2700	23594	\N	\N	\N
1579134	5369	1996-03-24	VYDAJ	VYBER	1100	24130	\N	\N	\N
1579135	5369	1996-12-14	VYDAJ	VYBER	3900	17181	\N	\N	\N
1579136	5369	1996-12-10	VYDAJ	VYBER	1100	21081	\N	\N	\N
1579137	5369	1997-02-23	VYDAJ	VYBER	2300	11565	\N	\N	\N
1579138	5369	1997-07-21	VYDAJ	VYBER	2300	8832	\N	\N	\N
1579139	5369	1997-04-14	VYDAJ	VYBER	2500	14235	\N	\N	\N
1579140	5369	1997-05-25	VYDAJ	VYBER	2300	15322	\N	\N	\N
1579141	5369	1997-08-18	VYDAJ	VYBER	1800	9994	\N	\N	\N
1579142	5369	1998-07-12	VYDAJ	VYBER	3100	2372	\N	\N	\N
1579144	5369	1998-12-08	VYDAJ	VYBER	1000	6909	\N	\N	\N
1579145	5369	1998-06-21	VYDAJ	VYBER	3400	5046	\N	\N	\N
1579146	5369	1998-11-11	VYDAJ	VYBER	4700	2360	\N	\N	\N
1579147	5369	1998-12-16	VYDAJ	VYBER	2500	4409	\N	\N	\N
1579155	5369	1993-07-31	VYDAJ	VYBER	15	30734	SLUZBY	\N	\N
1579156	5369	1993-08-31	VYDAJ	VYBER	15	28294	SLUZBY	\N	\N
1579157	5369	1993-09-30	VYDAJ	VYBER	15	27342	SLUZBY	\N	\N
1579158	5369	1993-10-31	VYDAJ	VYBER	15	28786	SLUZBY	\N	\N
1579159	5369	1993-11-30	VYDAJ	VYBER	15	31337	SLUZBY	\N	\N
1579160	5369	1993-12-31	VYDAJ	VYBER	15	31636	SLUZBY	\N	\N
1579161	5369	1994-01-31	VYDAJ	VYBER	15	20867	SLUZBY	\N	\N
1579162	5369	1994-02-28	VYDAJ	VYBER	15	23988	SLUZBY	\N	\N
1579163	5369	1994-03-31	VYDAJ	VYBER	15	28933	SLUZBY	\N	\N
1579164	5369	1994-04-30	VYDAJ	VYBER	15	26683	SLUZBY	\N	\N
1579165	5369	1994-05-31	VYDAJ	VYBER	15	26423	SLUZBY	\N	\N
1579166	5369	1994-06-30	VYDAJ	VYBER	15	25173	SLUZBY	\N	\N
1579167	5369	1994-07-31	VYDAJ	VYBER	15	28210	SLUZBY	\N	\N
1579168	5369	1994-08-31	VYDAJ	VYBER	15	25762	SLUZBY	\N	\N
1579169	5369	1994-09-30	VYDAJ	VYBER	15	25997	SLUZBY	\N	\N
1579170	5369	1994-10-31	VYDAJ	VYBER	15	28343	SLUZBY	\N	\N
1579171	5369	1994-11-30	VYDAJ	VYBER	15	32798	SLUZBY	\N	\N
1579172	5369	1994-12-31	VYDAJ	VYBER	15	31587	SLUZBY	\N	\N
1579173	5369	1995-01-31	VYDAJ	VYBER	15	22125	SLUZBY	\N	\N
1579174	5369	1995-02-28	VYDAJ	VYBER	15	27158	SLUZBY	\N	\N
1579175	5369	1995-03-31	VYDAJ	VYBER	15	29003	SLUZBY	\N	\N
1579176	5369	1995-04-30	VYDAJ	VYBER	15	31657	SLUZBY	\N	\N
1579177	5369	1995-05-31	VYDAJ	VYBER	15	33320	SLUZBY	\N	\N
1579178	5369	1995-06-30	VYDAJ	VYBER	15	28988	SLUZBY	\N	\N
1579179	5369	1995-07-31	VYDAJ	VYBER	15	31041	SLUZBY	\N	\N
1579180	5369	1995-08-31	VYDAJ	VYBER	15	29394	SLUZBY	\N	\N
1579181	5369	1995-09-30	VYDAJ	VYBER	15	31650	SLUZBY	\N	\N
1579182	5369	1995-10-31	VYDAJ	VYBER	15	32114	SLUZBY	\N	\N
1579183	5369	1995-11-30	VYDAJ	VYBER	15	32877	SLUZBY	\N	\N
1579184	5369	1995-12-31	VYDAJ	VYBER	15	29157	SLUZBY	\N	\N
1579185	5369	1996-01-31	VYDAJ	VYBER	15	14382	SLUZBY	\N	\N
1579186	5369	1996-02-29	VYDAJ	VYBER	15	20587	SLUZBY	\N	\N
1579187	5369	1996-03-31	VYDAJ	VYBER	15	24212	SLUZBY	\N	\N
1579188	5369	1996-04-30	VYDAJ	VYBER	15	28251	SLUZBY	\N	\N
1579189	5369	1996-05-31	VYDAJ	VYBER	15	23687	SLUZBY	\N	\N
1579190	5369	1996-06-30	VYDAJ	VYBER	15	-670	SLUZBY	\N	\N
1579191	5369	1996-07-31	VYDAJ	VYBER	15	12796	SLUZBY	\N	\N
1579192	5369	1996-08-31	VYDAJ	VYBER	15	19495	SLUZBY	\N	\N
1579193	5369	1996-09-30	VYDAJ	VYBER	15	19403	SLUZBY	\N	\N
1579194	5369	1996-10-31	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
1579195	5369	1996-11-30	VYDAJ	VYBER	15	18217	SLUZBY	\N	\N
1579196	5369	1996-12-31	VYDAJ	VYBER	15	15240	SLUZBY	\N	\N
1579197	5369	1997-01-31	VYDAJ	VYBER	15	5922	SLUZBY	\N	\N
1579198	5369	1997-02-28	VYDAJ	VYBER	15	11599	SLUZBY	\N	\N
1579199	5369	1997-03-31	VYDAJ	VYBER	15	12492	SLUZBY	\N	\N
1579200	5369	1997-04-30	VYDAJ	VYBER	15	14279	SLUZBY	\N	\N
1579201	5369	1997-05-31	VYDAJ	VYBER	15	15375	SLUZBY	\N	\N
1579202	5369	1997-06-30	VYDAJ	VYBER	15	589	SLUZBY	\N	\N
1579203	5369	1997-07-31	VYDAJ	VYBER	15	8851	SLUZBY	\N	\N
1579204	5369	1997-08-31	VYDAJ	VYBER	15	10021	SLUZBY	\N	\N
1579205	5369	1997-09-30	VYDAJ	VYBER	15	18317	SLUZBY	\N	\N
1579206	5369	1997-10-31	VYDAJ	VYBER	15	17717	SLUZBY	\N	\N
1579207	5369	1997-11-30	VYDAJ	VYBER	15	17616	SLUZBY	\N	\N
1579208	5369	1997-12-31	VYDAJ	VYBER	15	18539	SLUZBY	\N	\N
1579209	5369	1998-01-31	VYDAJ	VYBER	15	3200	SLUZBY	\N	\N
1579210	5369	1998-02-28	VYDAJ	VYBER	15	8840	SLUZBY	\N	\N
1579211	5369	1998-03-31	VYDAJ	VYBER	15	2390	SLUZBY	\N	\N
1579212	5369	1998-04-30	VYDAJ	VYBER	15	8026	SLUZBY	\N	\N
1579213	5369	1998-05-31	VYDAJ	VYBER	15	-18	SLUZBY	\N	\N
1579214	5369	1998-06-30	VYDAJ	VYBER	15	-164	SLUZBY	\N	\N
1579218	5369	1998-10-31	VYDAJ	VYBER	15	1417	SLUZBY	\N	\N
1579219	5369	1998-11-30	VYDAJ	VYBER	15	-555	SLUZBY	\N	\N
1579220	5369	1993-03-27	PRIJEM	VKLAD	9600	16143	\N	\N	\N
1579221	5369	1993-04-26	PRIJEM	VKLAD	600	22397	\N	\N	\N
1579222	5369	1993-05-26	VYDAJ	VYBER	600	27511	\N	\N	\N
1579223	5369	1993-06-25	VYDAJ	VYBER	8400	27673	\N	\N	\N
1579224	5369	1993-07-25	VYDAJ	VYBER	2800	30631	\N	\N	\N
1579225	5369	1993-08-24	VYDAJ	VYBER	6600	28177	\N	\N	\N
1579226	5369	1993-09-23	VYDAJ	VYBER	4500	27237	\N	\N	\N
1579227	5369	1993-10-23	PRIJEM	VKLAD	100	28685	\N	\N	\N
1579228	5369	1993-11-22	VYDAJ	VYBER	3200	31229	\N	\N	\N
1579229	5369	1993-12-22	VYDAJ	VYBER	6200	31501	\N	\N	\N
1579230	5369	1994-01-21	PRIJEM	VKLAD	3100	26479	\N	\N	\N
1579231	5369	1994-02-20	PRIJEM	VKLAD	1800	23910	\N	\N	\N
1579232	5369	1994-03-22	PRIJEM	VKLAD	100	28831	\N	\N	\N
1579233	5369	1994-04-21	VYDAJ	VYBER	5800	26576	\N	\N	\N
1579234	5369	1994-05-21	VYDAJ	VYBER	2000	30326	\N	\N	\N
1579235	5369	1994-06-20	PRIJEM	VKLAD	5000	25087	\N	\N	\N
1579236	5369	1994-07-20	VYDAJ	VYBER	2700	28116	\N	\N	\N
1579237	5369	1994-08-19	VYDAJ	VYBER	5800	27453	\N	\N	\N
1579238	5369	1994-09-18	VYDAJ	VYBER	5500	25905	\N	\N	\N
1579239	5369	1994-10-18	VYDAJ	VYBER	2000	28240	\N	\N	\N
1579240	5369	1994-11-17	VYDAJ	VYBER	1300	32686	\N	\N	\N
1579241	5369	1994-12-17	VYDAJ	VYBER	6200	31462	\N	\N	\N
1579242	5369	1995-01-16	PRIJEM	VKLAD	1000	24930	\N	\N	\N
1579243	5369	1995-02-15	PRIJEM	VKLAD	2700	27068	\N	\N	\N
1579244	5369	1995-03-17	VYDAJ	VYBER	3900	28901	\N	\N	\N
1579245	5369	1995-04-16	VYDAJ	VYBER	3100	31546	\N	\N	\N
1579246	5369	1995-05-16	VYDAJ	VYBER	4100	33200	\N	\N	\N
1579247	5369	1995-06-15	PRIJEM	VKLAD	3700	28884	\N	\N	\N
1579248	5369	1995-07-15	VYDAJ	VYBER	3700	30931	\N	\N	\N
1579249	5369	1995-08-14	VYDAJ	VYBER	7400	29284	\N	\N	\N
1579250	5369	1995-09-13	VYDAJ	VYBER	3500	31537	\N	\N	\N
1579251	5369	1995-10-13	VYDAJ	VYBER	3700	31993	\N	\N	\N
1579252	5369	1995-11-12	VYDAJ	VYBER	5000	32757	\N	\N	\N
1579253	5369	1995-12-12	VYDAJ	VYBER	6300	31741	\N	\N	\N
1579254	5369	1996-01-11	VYDAJ	VYBER	1700	26400	\N	\N	\N
1579255	5369	1996-02-10	PRIJEM	VKLAD	500	20525	\N	\N	\N
1579256	5369	1996-03-11	VYDAJ	VYBER	1000	25230	\N	\N	\N
1579257	5369	1996-04-10	VYDAJ	VYBER	1700	28155	\N	\N	\N
1579258	5369	1996-05-10	VYDAJ	VYBER	7600	26294	\N	\N	\N
1579259	5369	1996-06-09	VYDAJ	VYBER	4700	27451	\N	\N	\N
1579260	5369	1996-07-09	PRIJEM	VKLAD	7800	12772	\N	\N	\N
1579261	5369	1996-08-08	PRIJEM	VKLAD	1000	19436	\N	\N	\N
1579262	5369	1996-09-07	VYDAJ	VYBER	2000	19338	\N	\N	\N
1579263	5369	1996-10-07	VYDAJ	VYBER	5400	19646	\N	\N	\N
1579264	5369	1996-11-06	VYDAJ	VYBER	4300	21054	\N	\N	\N
1579265	5369	1996-12-06	VYDAJ	VYBER	4500	22181	\N	\N	\N
1579266	5369	1997-01-05	PRIJEM	VKLAD	900	16140	\N	\N	\N
1579267	5369	1997-02-04	PRIJEM	VKLAD	2300	8222	\N	\N	\N
1579268	5369	1997-03-06	VYDAJ	VYBER	4800	12442	\N	\N	\N
1579269	5369	1997-04-05	VYDAJ	VYBER	1400	11092	\N	\N	\N
1579270	5369	1997-05-05	VYDAJ	VYBER	2300	11979	\N	\N	\N
1579271	5369	1997-06-04	VYDAJ	VYBER	4400	10975	\N	\N	\N
1579272	5369	1997-07-04	PRIJEM	VKLAD	4900	5489	\N	\N	\N
1579273	5369	1997-08-03	VYDAJ	VYBER	2700	6151	\N	\N	\N
1579274	5369	1997-09-02	PRIJEM	VKLAD	2600	12621	\N	\N	\N
1579275	5369	1997-10-02	VYDAJ	VYBER	6300	12017	\N	\N	\N
1579276	5369	1997-11-01	VYDAJ	VYBER	5800	11917	\N	\N	\N
1579277	5369	1997-12-01	VYDAJ	VYBER	6700	10916	\N	\N	\N
1579278	5369	1997-12-31	VYDAJ	VYBER	10100	8439	\N	\N	\N
1579279	5369	1998-01-30	PRIJEM	VKLAD	300	4982	\N	\N	\N
1579280	5369	1998-03-01	VYDAJ	VYBER	8800	40	\N	\N	\N
1579281	5369	1998-03-31	VYDAJ	VYBER	3300	2405	\N	\N	\N
1579282	5369	1998-04-30	VYDAJ	VYBER	8900	-874	\N	\N	\N
1579283	5369	1998-05-30	VYDAJ	VYBER	4800	-31	\N	\N	\N
1579284	5369	1998-06-29	VYDAJ	VYBER	5200	-154	\N	\N	\N
1579285	5369	1998-07-29	VYDAJ	VYBER	6600	-4228	\N	\N	\N
1579286	5369	1998-08-28	VYDAJ	VYBER	8500	-7091	\N	\N	\N
1579287	5369	1998-09-27	VYDAJ	VYBER	1400	-2903	\N	\N	\N
1579288	5369	1998-10-27	VYDAJ	VYBER	1200	1464	\N	\N	\N
1579289	5369	1998-11-26	VYDAJ	VYBER	2900	-540	\N	\N	\N
1579290	5369	1998-12-26	VYDAJ	VYBER	7700	-3291	\N	\N	\N
1580230	5372	1993-05-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1580231	5372	1993-07-13	PRIJEM	VKLAD	10543	30543	\N	\N	\N
1580232	5372	1993-10-15	PRIJEM	VKLAD	42462	65038	\N	\N	\N
1580233	5372	1995-02-04	PRIJEM	VKLAD	30042	46245	\N	\N	\N
1580234	5372	1995-01-13	PRIJEM	VKLAD	46643	125205	\N	\N	\N
1580235	5372	1995-03-01	PRIJEM	VKLAD	9511	56616	\N	\N	\N
1580236	5372	1995-01-06	PRIJEM	VKLAD	43989	73835	\N	\N	\N
1580237	5372	1995-03-19	PRIJEM	VKLAD	49809	151587	\N	\N	\N
1580238	5372	1995-06-12	PRIJEM	VKLAD	39314	73711	\N	\N	\N
1580239	5372	1995-01-07	PRIJEM	VKLAD	31486	105321	\N	\N	\N
1580240	5372	1995-12-08	PRIJEM	VKLAD	43178	105169	\N	\N	\N
1580241	5372	1995-09-05	PRIJEM	VKLAD	10212	68397	\N	\N	\N
1580242	5372	1995-01-09	PRIJEM	VKLAD	22241	127562	\N	\N	\N
1580243	5372	1995-08-22	PRIJEM	VKLAD	6545	52593	\N	\N	\N
1580244	5372	1995-04-23	PRIJEM	VKLAD	32151	104415	\N	\N	\N
1580245	5372	1995-12-12	PRIJEM	VKLAD	31947	137116	\N	\N	\N
1580246	5372	1995-11-06	PRIJEM	VKLAD	46686	104726	\N	\N	\N
1580247	5372	1995-10-09	PRIJEM	VKLAD	36047	96673	\N	\N	\N
1580248	5372	1995-10-22	PRIJEM	VKLAD	23146	134656	\N	\N	\N
1580249	5372	1995-03-05	PRIJEM	VKLAD	45162	101778	\N	\N	\N
1580250	5372	1995-05-02	PRIJEM	VKLAD	23989	121287	\N	\N	\N
1580251	5372	1995-02-11	PRIJEM	VKLAD	42056	88301	\N	\N	\N
1580252	5372	1995-09-14	PRIJEM	VKLAD	34729	88207	\N	\N	\N
1580253	5372	1995-09-20	PRIJEM	VKLAD	36960	143237	\N	\N	\N
1580254	5372	1995-09-18	PRIJEM	VKLAD	18070	106277	\N	\N	\N
1580255	5372	1995-10-22	PRIJEM	VKLAD	14837	111510	\N	\N	\N
1580256	5372	1995-05-01	PRIJEM	VKLAD	24297	97298	\N	\N	\N
1580257	5372	1995-08-24	PRIJEM	VKLAD	28897	81490	\N	\N	\N
1580258	5372	1995-07-24	PRIJEM	VKLAD	42923	54042	\N	\N	\N
1580259	5372	1995-12-17	PRIJEM	VKLAD	35360	105976	\N	\N	\N
1580260	5372	1996-02-06	PRIJEM	VKLAD	32493	106335	\N	\N	\N
1580261	5372	1996-10-11	PRIJEM	VKLAD	14963	90143	\N	\N	\N
1580262	5372	1996-07-03	PRIJEM	VKLAD	16987	57023	\N	\N	\N
1580263	5372	1996-11-29	PRIJEM	VKLAD	10864	79914	\N	\N	\N
1580264	5372	1996-12-03	PRIJEM	VKLAD	29245	109498	\N	\N	\N
1580265	5372	1996-09-11	PRIJEM	VKLAD	23560	114737	\N	\N	\N
1580266	5372	1996-01-17	PRIJEM	VKLAD	29895	100635	\N	\N	\N
1580267	5372	1996-06-09	PRIJEM	VKLAD	41828	117175	\N	\N	\N
1580268	5372	1996-10-13	PRIJEM	VKLAD	36035	126178	\N	\N	\N
1580269	5372	1996-07-27	PRIJEM	VKLAD	22669	73192	\N	\N	\N
1580270	5372	1996-02-19	PRIJEM	VKLAD	48811	132467	\N	\N	\N
1580271	5372	1996-02-04	PRIJEM	VKLAD	49516	120142	\N	\N	\N
1580272	5372	1996-03-21	PRIJEM	VKLAD	37243	82132	\N	\N	\N
1580273	5372	1996-04-13	PRIJEM	VKLAD	6686	45342	\N	\N	\N
1580274	5372	1996-08-22	PRIJEM	VKLAD	23307	92363	\N	\N	\N
1580275	5372	1996-08-20	PRIJEM	VKLAD	30082	103456	\N	\N	\N
1580276	5372	1996-01-15	PRIJEM	VKLAD	43260	70740	\N	\N	\N
1580277	5372	1996-02-03	PRIJEM	VKLAD	24148	70626	\N	\N	\N
1580278	5372	1996-12-08	PRIJEM	VKLAD	30221	139719	\N	\N	\N
1580279	5372	1996-06-18	PRIJEM	VKLAD	45072	98015	\N	\N	\N
1580280	5372	1996-10-23	PRIJEM	VKLAD	22996	85322	\N	\N	\N
1580281	5372	1996-02-26	PRIJEM	VKLAD	20235	74502	\N	\N	\N
1580282	5372	1996-06-02	PRIJEM	VKLAD	26158	75347	\N	\N	\N
1580283	5372	1996-02-09	PRIJEM	VKLAD	18921	125256	\N	\N	\N
1580284	5372	1996-05-18	PRIJEM	VKLAD	16375	56613	\N	\N	\N
1580285	5372	1996-01-06	PRIJEM	VKLAD	39265	113380	\N	\N	\N
1580286	5372	1996-12-29	PRIJEM	VKLAD	49988	126307	\N	\N	\N
1580287	5372	1997-05-17	PRIJEM	VKLAD	38951	160836	\N	\N	\N
1580288	5372	1997-05-20	PRIJEM	VKLAD	20508	103344	\N	\N	\N
1580289	5372	1997-05-05	PRIJEM	VKLAD	9965	114322	\N	\N	\N
1580290	5372	1997-06-14	PRIJEM	VKLAD	31589	135407	\N	\N	\N
1580291	5372	1997-04-22	PRIJEM	VKLAD	37292	104046	\N	\N	\N
1580292	5372	1997-02-03	PRIJEM	VKLAD	30935	87760	\N	\N	\N
1580293	5372	1997-07-07	PRIJEM	VKLAD	17016	113080	\N	\N	\N
1580294	5372	1997-02-01	PRIJEM	VKLAD	33919	56825	\N	\N	\N
1580295	5372	1997-09-03	PRIJEM	VKLAD	48115	136749	\N	\N	\N
1580296	5372	1997-06-26	PRIJEM	VKLAD	36974	108881	\N	\N	\N
1580297	5372	1997-11-12	PRIJEM	VKLAD	14103	88334	\N	\N	\N
1580298	5372	1997-08-13	PRIJEM	VKLAD	32356	121313	\N	\N	\N
1580299	5372	1997-09-03	PRIJEM	VKLAD	30923	167672	\N	\N	\N
1580300	5372	1997-05-11	PRIJEM	VKLAD	34163	148485	\N	\N	\N
1580301	5372	1997-07-29	PRIJEM	VKLAD	6082	69562	\N	\N	\N
1580302	5372	1997-08-20	PRIJEM	VKLAD	25602	98215	\N	\N	\N
1580303	5372	1997-08-02	PRIJEM	VKLAD	19049	88957	\N	\N	\N
1580304	5372	1998-09-24	PRIJEM	VKLAD	14559	91598	\N	\N	\N
1580392	5372	1995-05-30	VYBER	VYBER	22813	34105	\N	\N	\N
1580393	5372	1995-02-28	VYBER	VYBER	15531	47120	\N	\N	\N
1580394	5372	1995-09-10	VYBER	VYBER	14919	53478	\N	\N	\N
1580395	5372	1995-01-15	VYBER	VYBER	7163	26842	\N	\N	\N
1580397	5372	1995-10-30	VYBER	VYBER	7036	57720	\N	\N	\N
1580398	5372	1995-05-14	VYBER	VYBER	10269	73218	\N	\N	\N
1580399	5372	1996-03-18	VYBER	VYBER	20493	44889	\N	\N	\N
1580400	5372	1996-10-17	VYBER	VYBER	19219	71559	\N	\N	\N
1580401	5372	1996-06-14	VYBER	VYBER	21932	52943	\N	\N	\N
1580402	5372	1996-06-28	VYBER	VYBER	24458	48757	\N	\N	\N
1580403	5372	1996-04-06	VYBER	VYBER	22645	38656	\N	\N	\N
1580404	5372	1996-10-18	VYBER	VYBER	3933	67626	\N	\N	\N
1580405	5372	1996-03-05	VYBER	VYBER	9443	65382	\N	\N	\N
1580406	5372	1998-08-04	VYBER	VYBER	23785	46174	\N	\N	\N
1580407	5372	1998-10-15	VYBER	VYBER	6122	66462	\N	\N	\N
1580410	5372	1995-06-24	VYDAJ	VYBER	70500	3211	\N	\N	\N
1580413	5372	1998-06-01	VYDAJ	VYBER	42600	36733	\N	\N	\N
1580416	5372	1995-01-13	VYDAJ	VYBER	27900	34005	\N	\N	\N
1580417	5372	1996-01-11	VYDAJ	VYBER	18900	27480	\N	\N	\N
1580418	5372	1997-01-19	VYDAJ	VYBER	21300	29654	\N	\N	\N
1580419	5372	1998-01-25	VYDAJ	VYBER	28200	30442	\N	\N	\N
1580422	5372	1995-12-16	VYDAJ	VYBER	5100	70616	\N	\N	\N
1580423	5372	1996-12-27	VYDAJ	VYBER	5400	76319	\N	\N	\N
1580424	5372	1997-12-27	VYDAJ	VYBER	4500	71537	\N	\N	\N
1580425	5372	1998-12-20	VYDAJ	VYBER	5700	90805	\N	\N	\N
1580438	5372	1995-01-25	VYDAJ	VYBER	2100	-1058	\N	\N	\N
1580439	5372	1995-01-16	VYDAJ	VYBER	2100	24742	\N	\N	\N
1580440	5372	1995-01-21	VYDAJ	VYBER	4200	10342	\N	\N	\N
1580441	5372	1995-01-18	VYDAJ	VYBER	5100	14542	\N	\N	\N
1580442	5372	1995-01-18	VYDAJ	VYBER	5100	19642	\N	\N	\N
1580444	5372	1996-01-22	VYDAJ	VYBER	1800	79335	\N	\N	\N
1580445	5372	1996-01-09	VYDAJ	VYBER	6900	46380	\N	\N	\N
1580446	5372	1996-01-28	VYDAJ	VYBER	7200	49535	\N	\N	\N
1580447	5372	1996-01-29	VYDAJ	VYBER	3300	46235	\N	\N	\N
1580448	5372	1996-01-21	VYDAJ	VYBER	5700	94935	\N	\N	\N
1580449	5372	1996-01-06	VYDAJ	VYBER	8400	104980	\N	\N	\N
1580450	5372	1997-01-02	VYDAJ	VYBER	4200	66054	\N	\N	\N
1580451	5372	1997-01-07	VYDAJ	VYBER	5400	53754	\N	\N	\N
1580452	5372	1997-01-10	VYDAJ	VYBER	7500	46254	\N	\N	\N
1580453	5372	1997-01-17	VYDAJ	VYBER	2400	50954	\N	\N	\N
1580454	5372	1997-01-02	VYDAJ	VYBER	6900	59154	\N	\N	\N
1580455	5372	1997-01-19	VYDAJ	VYBER	6900	22754	\N	\N	\N
1580456	5372	1998-01-16	VYDAJ	VYBER	1800	67342	\N	\N	\N
1580457	5372	1998-01-26	VYDAJ	VYBER	4200	26242	\N	\N	\N
1580458	5372	1998-01-05	VYDAJ	VYBER	8700	63142	\N	\N	\N
1580459	5372	1998-01-22	VYDAJ	VYBER	4800	58642	\N	\N	\N
1580460	5372	1998-01-18	VYDAJ	VYBER	3900	63442	\N	\N	\N
1580461	5372	1998-01-09	VYDAJ	VYBER	2400	60742	\N	\N	\N
1580474	5372	1995-07-02	VYDAJ	VYBER	10800	11119	\N	\N	\N
1580475	5372	1995-01-23	VYDAJ	VYBER	9300	1042	\N	\N	\N
1580476	5372	1995-10-03	VYDAJ	VYBER	5100	60626	\N	\N	\N
1580477	5372	1995-09-26	VYDAJ	VYBER	4800	65437	\N	\N	\N
1580478	5372	1995-11-16	VYDAJ	VYBER	14700	90026	\N	\N	\N
1580479	5372	1996-08-30	VYDAJ	VYBER	1500	90863	\N	\N	\N
1580480	5372	1996-08-21	VYDAJ	VYBER	7500	69056	\N	\N	\N
1580481	5372	1996-09-24	VYDAJ	VYBER	8700	74837	\N	\N	\N
1580482	5372	1996-06-29	VYDAJ	VYBER	9000	39757	\N	\N	\N
1580483	5372	1996-05-09	VYDAJ	VYBER	1500	40238	\N	\N	\N
1580484	5372	1996-01-21	VYDAJ	VYBER	13800	81135	\N	\N	\N
1580485	5372	1997-07-07	VYDAJ	VYBER	3900	50480	\N	\N	\N
1580486	5372	1997-08-20	VYDAJ	VYBER	9900	88315	\N	\N	\N
1580487	5372	1997-07-03	VYDAJ	VYBER	13200	96064	\N	\N	\N
1580488	5372	1997-09-13	VYDAJ	VYBER	12600	90572	\N	\N	\N
1580489	5372	1997-06-17	VYDAJ	VYBER	1800	71907	\N	\N	\N
1580490	5372	1997-11-19	VYDAJ	VYBER	2100	78334	\N	\N	\N
1580491	5372	1998-10-28	VYDAJ	VYBER	1500	64962	\N	\N	\N
1580492	5372	1998-08-10	VYDAJ	VYBER	1800	67974	\N	\N	\N
1580493	5372	1998-07-19	VYDAJ	VYBER	7500	69701	\N	\N	\N
1580494	5372	1998-10-10	VYDAJ	VYBER	14700	72584	\N	\N	\N
1580495	5372	1998-10-10	VYDAJ	VYBER	7200	87284	\N	\N	\N
1580521	5372	1995-01-31	VYDAJ	VYBER	15	16203	SLUZBY	\N	\N
1580522	5372	1995-02-28	VYDAJ	VYBER	15	47105	SLUZBY	\N	\N
1580523	5372	1995-03-31	VYDAJ	VYBER	15	72264	SLUZBY	\N	\N
1580524	5372	1995-04-30	VYDAJ	VYBER	15	73001	SLUZBY	\N	\N
1580525	5372	1995-05-31	VYDAJ	VYBER	15	34397	SLUZBY	\N	\N
1580526	5372	1995-06-30	VYDAJ	VYBER	15	21919	SLUZBY	\N	\N
1580527	5372	1995-07-31	VYDAJ	VYBER	15	46048	SLUZBY	\N	\N
1580528	5372	1995-08-31	VYDAJ	VYBER	15	58185	SLUZBY	\N	\N
1580529	5372	1995-09-30	VYDAJ	VYBER	15	65726	SLUZBY	\N	\N
1580530	5372	1995-10-31	VYDAJ	VYBER	15	58040	SLUZBY	\N	\N
1580531	5372	1995-11-30	VYDAJ	VYBER	15	61991	SLUZBY	\N	\N
1580532	5372	1995-12-31	VYDAJ	VYBER	15	74115	SLUZBY	\N	\N
1580533	5372	1996-01-31	VYDAJ	VYBER	15	46478	SLUZBY	\N	\N
1580534	5372	1996-02-29	VYDAJ	VYBER	15	74825	SLUZBY	\N	\N
1580535	5372	1996-03-31	VYDAJ	VYBER	15	61301	SLUZBY	\N	\N
1580536	5372	1996-04-30	VYDAJ	VYBER	15	41738	SLUZBY	\N	\N
1580537	5372	1996-05-31	VYDAJ	VYBER	15	49189	SLUZBY	\N	\N
1580538	5372	1996-06-30	VYDAJ	VYBER	15	40036	SLUZBY	\N	\N
1580539	5372	1996-07-31	VYDAJ	VYBER	15	73374	SLUZBY	\N	\N
1580540	5372	1996-08-31	VYDAJ	VYBER	15	91177	SLUZBY	\N	\N
1580541	5372	1996-09-30	VYDAJ	VYBER	15	75180	SLUZBY	\N	\N
1580542	5372	1996-10-31	VYDAJ	VYBER	15	85650	SLUZBY	\N	\N
1580543	5372	1996-11-30	VYDAJ	VYBER	15	80253	SLUZBY	\N	\N
1580544	5372	1996-12-31	VYDAJ	VYBER	15	70254	SLUZBY	\N	\N
1580545	5372	1997-01-31	VYDAJ	VYBER	15	22906	SLUZBY	\N	\N
1580546	5372	1997-02-28	VYDAJ	VYBER	15	74262	SLUZBY	\N	\N
1580547	5372	1997-03-31	VYDAJ	VYBER	15	67854	SLUZBY	\N	\N
1580548	5372	1997-04-30	VYDAJ	VYBER	15	104357	SLUZBY	\N	\N
1580549	5372	1997-05-31	VYDAJ	VYBER	15	103818	SLUZBY	\N	\N
1580550	5372	1997-06-30	VYDAJ	VYBER	15	109264	SLUZBY	\N	\N
1580551	5372	1997-07-31	VYDAJ	VYBER	15	69908	SLUZBY	\N	\N
1580552	5372	1997-08-31	VYDAJ	VYBER	15	88634	SLUZBY	\N	\N
1580553	5372	1997-09-30	VYDAJ	VYBER	15	79220	SLUZBY	\N	\N
1580554	5372	1997-10-31	VYDAJ	VYBER	15	74231	SLUZBY	\N	\N
1580555	5372	1997-11-30	VYDAJ	VYBER	15	78637	SLUZBY	\N	\N
1580556	5372	1997-12-31	VYDAJ	VYBER	15	71842	SLUZBY	\N	\N
1580557	5372	1998-01-31	VYDAJ	VYBER	15	26463	SLUZBY	\N	\N
1580558	5372	1998-02-28	VYDAJ	VYBER	15	53758	SLUZBY	\N	\N
1580559	5372	1998-03-31	VYDAJ	VYBER	15	68565	SLUZBY	\N	\N
1580560	5372	1998-04-30	VYDAJ	VYBER	15	76832	SLUZBY	\N	\N
1580561	5372	1998-05-31	VYDAJ	VYBER	15	79333	SLUZBY	\N	\N
1580562	5372	1998-06-30	VYDAJ	VYBER	15	64501	SLUZBY	\N	\N
1580563	5372	1998-07-31	VYDAJ	VYBER	15	69959	SLUZBY	\N	\N
1580564	5372	1998-08-31	VYDAJ	VYBER	15	68239	SLUZBY	\N	\N
1580565	5372	1998-09-30	VYDAJ	VYBER	15	91884	SLUZBY	\N	\N
1580566	5372	1998-10-31	VYDAJ	VYBER	15	65252	SLUZBY	\N	\N
1580567	5372	1998-11-30	VYDAJ	VYBER	15	84405	SLUZBY	\N	\N
1580568	5372	1993-06-07	PRIJEM	VKLAD	14400	15200	\N	\N	\N
1580569	5372	1993-07-07	PRIJEM	VKLAD	4800	20000	\N	\N	\N
1580570	5372	1993-08-06	VYDAJ	VYBER	3200	27421	\N	\N	\N
1580571	5372	1993-09-05	VYDAJ	VYBER	2300	25248	\N	\N	\N
1580572	5372	1993-10-05	VYDAJ	VYBER	2800	22576	\N	\N	\N
1580573	5372	1993-11-04	VYDAJ	VYBER	18100	47144	\N	\N	\N
1580574	5372	1993-12-04	VYDAJ	VYBER	9500	37915	\N	\N	\N
1580575	5372	1994-01-03	VYDAJ	VYBER	4700	33486	\N	\N	\N
1580576	5372	1994-02-02	VYDAJ	VYBER	3800	29957	\N	\N	\N
1580577	5372	1994-03-04	VYDAJ	VYBER	900	29328	\N	\N	\N
1580578	5372	1994-04-03	VYDAJ	VYBER	200	29399	\N	\N	\N
1580579	5372	1994-05-03	PRIJEM	VKLAD	600	30270	\N	\N	\N
1580580	5372	1994-06-02	PRIJEM	VKLAD	1100	31641	\N	\N	\N
1580581	5372	1994-07-02	VYDAJ	VYBER	2000	29911	\N	\N	\N
1580582	5372	1994-08-01	VYDAJ	VYBER	2400	27782	\N	\N	\N
1580583	5372	1994-08-31	PRIJEM	VKLAD	1800	29849	\N	\N	\N
1580584	5372	1994-09-30	VYDAJ	VYBER	200	29773	\N	\N	\N
1580585	5372	1994-10-30	VYDAJ	VYBER	300	29473	\N	\N	\N
1580586	5372	1994-11-29	PRIJEM	VKLAD	1000	30597	\N	\N	\N
1580587	5372	1994-12-29	VYDAJ	VYBER	1000	29722	\N	\N	\N
1580588	5372	1995-01-09	VYDAJ	VYBER	49000	78562	\N	\N	\N
1580589	5372	1995-01-13	VYDAJ	VYBER	63300	61905	\N	\N	\N
1580590	5372	1995-01-28	PRIJEM	VKLAD	17100	16042	\N	\N	\N
1580591	5372	1995-02-27	VYDAJ	VYBER	25900	62401	\N	\N	\N
1580592	5372	1995-03-19	VYDAJ	VYBER	43200	108387	\N	\N	\N
1580593	5372	1995-03-29	VYDAJ	VYBER	36500	71887	\N	\N	\N
1580594	5372	1995-04-28	VYDAJ	VYBER	31700	72715	\N	\N	\N
1580595	5372	1995-05-02	VYDAJ	VYBER	37800	83487	\N	\N	\N
1580596	5372	1995-05-28	VYDAJ	VYBER	16300	56918	\N	\N	\N
1580597	5372	1995-06-27	PRIJEM	VKLAD	18600	21811	\N	\N	\N
1580598	5372	1995-07-27	VYDAJ	VYBER	8100	45942	\N	\N	\N
1580599	5372	1995-08-26	VYDAJ	VYBER	23500	57990	\N	\N	\N
1580600	5372	1995-09-20	VYDAJ	VYBER	46000	97237	\N	\N	\N
1580601	5372	1995-09-25	VYDAJ	VYBER	27000	70237	\N	\N	\N
1580602	5372	1995-10-22	VYDAJ	VYBER	45100	89556	\N	\N	\N
1580603	5372	1995-10-25	VYDAJ	VYBER	24800	64756	\N	\N	\N
1580604	5372	1995-11-24	VYDAJ	VYBER	28300	61726	\N	\N	\N
1580605	5372	1995-12-12	VYDAJ	VYBER	61400	75716	\N	\N	\N
1580606	5372	1995-12-24	VYDAJ	VYBER	32200	73776	\N	\N	\N
1580607	5372	1996-01-06	VYDAJ	VYBER	51700	53280	\N	\N	\N
1580608	5372	1996-01-23	VYDAJ	VYBER	22600	56735	\N	\N	\N
1580609	5372	1996-02-04	VYDAJ	VYBER	46300	73842	\N	\N	\N
1580610	5372	1996-02-09	VYDAJ	VYBER	41600	83656	\N	\N	\N
1580611	5372	1996-02-19	VYDAJ	VYBER	63700	68767	\N	\N	\N
1580612	5372	1996-02-22	VYDAJ	VYBER	14500	54267	\N	\N	\N
1580613	5372	1996-03-23	VYDAJ	VYBER	21100	61032	\N	\N	\N
1580614	5372	1996-04-22	VYDAJ	VYBER	3800	41542	\N	\N	\N
1580615	5372	1996-05-22	VYDAJ	VYBER	7600	49013	\N	\N	\N
1580616	5372	1996-06-09	VYDAJ	VYBER	42300	74875	\N	\N	\N
1580617	5372	1996-06-21	VYDAJ	VYBER	24800	73215	\N	\N	\N
1580618	5372	1996-07-21	VYDAJ	VYBER	6500	50523	\N	\N	\N
1580619	5372	1996-08-20	VYDAJ	VYBER	26900	76556	\N	\N	\N
1580620	5372	1996-09-19	VYDAJ	VYBER	31200	83537	\N	\N	\N
1580621	5372	1996-10-13	VYDAJ	VYBER	35400	90778	\N	\N	\N
1580622	5372	1996-10-19	VYDAJ	VYBER	5300	62326	\N	\N	\N
1580623	5372	1996-11-18	VYDAJ	VYBER	16600	69050	\N	\N	\N
1580624	5372	1996-12-08	VYDAJ	VYBER	35300	104419	\N	\N	\N
1580625	5372	1996-12-18	VYDAJ	VYBER	22700	81719	\N	\N	\N
1580626	5372	1996-12-29	VYDAJ	VYBER	56400	69907	\N	\N	\N
1580627	5372	1997-01-17	PRIJEM	VKLAD	7100	53354	\N	\N	\N
1580628	5372	1997-02-16	VYDAJ	VYBER	13800	73960	\N	\N	\N
1580629	5372	1997-03-18	VYDAJ	VYBER	6700	67562	\N	\N	\N
1580630	5372	1997-04-17	VYDAJ	VYBER	1100	66754	\N	\N	\N
1580631	5372	1997-05-11	VYDAJ	VYBER	26600	121885	\N	\N	\N
1580632	5372	1997-05-17	VYDAJ	VYBER	55100	105736	\N	\N	\N
1580633	5372	1997-05-17	VYDAJ	VYBER	22900	82836	\N	\N	\N
1580634	5372	1997-06-14	VYDAJ	VYBER	56800	78607	\N	\N	\N
1580635	5372	1997-06-16	VYDAJ	VYBER	4900	73707	\N	\N	\N
1580636	5372	1997-07-07	VYDAJ	VYBER	58700	54380	\N	\N	\N
1580637	5372	1997-07-16	PRIJEM	VKLAD	13000	63480	\N	\N	\N
1580638	5372	1997-08-13	VYDAJ	VYBER	42300	79013	\N	\N	\N
1580639	5372	1997-08-15	VYDAJ	VYBER	6400	72613	\N	\N	\N
1580640	5372	1997-09-03	VYDAJ	VYBER	64500	103172	\N	\N	\N
1580641	5372	1997-09-14	VYDAJ	VYBER	11700	78872	\N	\N	\N
1580642	5372	1997-10-14	VYDAJ	VYBER	5300	73920	\N	\N	\N
1580643	5372	1997-11-13	VYDAJ	VYBER	7900	80434	\N	\N	\N
1580644	5372	1997-12-13	VYDAJ	VYBER	2600	76037	\N	\N	\N
1580645	5372	1998-01-12	PRIJEM	VKLAD	8400	69142	\N	\N	\N
1580646	5372	1998-02-11	PRIJEM	VKLAD	27200	53663	\N	\N	\N
1580647	5372	1998-03-13	PRIJEM	VKLAD	14600	68358	\N	\N	\N
1580648	5372	1998-04-12	PRIJEM	VKLAD	8000	76565	\N	\N	\N
1580649	5372	1998-05-12	PRIJEM	VKLAD	2200	79032	\N	\N	\N
1580650	5372	1998-06-11	PRIJEM	VKLAD	27500	64233	\N	\N	\N
1580651	5372	1998-07-11	PRIJEM	VKLAD	12700	77201	\N	\N	\N
1580652	5372	1998-08-10	PRIJEM	VKLAD	23600	69774	\N	\N	\N
1580653	5372	1998-09-09	PRIJEM	VKLAD	8800	77039	\N	\N	\N
1580654	5372	1998-10-09	PRIJEM	VKLAD	2600	94484	\N	\N	\N
1580655	5372	1998-11-08	PRIJEM	VKLAD	18900	84152	\N	\N	\N
1580656	5372	1998-12-08	PRIJEM	VKLAD	12100	96505	\N	\N	\N
1583601	5385	1993-05-21	PRIJEM	VKLAD	500	500	\N	\N	\N
1583607	5385	1993-06-11	PRIJEM	PREVOD Z UCTU	22404	22904	\N	YZ	21876913
1583608	5385	1993-07-11	PRIJEM	PREVOD Z UCTU	14936	36072	\N	YZ	21876913
1583609	5385	1993-08-11	PRIJEM	PREVOD Z UCTU	14936	45611	\N	YZ	21876913
1583610	5385	1993-09-11	PRIJEM	PREVOD Z UCTU	14936	49782	\N	YZ	21876913
1583611	5385	1993-10-11	PRIJEM	PREVOD Z UCTU	14936	49566	\N	YZ	21876913
1583612	5385	1993-11-11	PRIJEM	PREVOD Z UCTU	14936	46162	\N	YZ	21876913
1583613	5385	1993-12-11	PRIJEM	PREVOD Z UCTU	22404	53214	\N	YZ	21876913
1583614	5385	1994-01-11	PRIJEM	PREVOD Z UCTU	14936	34068	\N	YZ	21876913
1583615	5385	1994-02-11	PRIJEM	PREVOD Z UCTU	14936	31297	\N	YZ	21876913
1583616	5385	1994-03-11	PRIJEM	PREVOD Z UCTU	14936	34730	\N	YZ	21876913
1583617	5385	1994-04-11	PRIJEM	PREVOD Z UCTU	14936	38474	\N	YZ	21876913
1583618	5385	1994-05-11	PRIJEM	PREVOD Z UCTU	14936	42247	\N	YZ	21876913
1583619	5385	1994-06-11	PRIJEM	PREVOD Z UCTU	22404	45283	\N	YZ	21876913
1583620	5385	1994-07-11	PRIJEM	PREVOD Z UCTU	14936	47469	\N	YZ	21876913
1583621	5385	1994-08-11	PRIJEM	PREVOD Z UCTU	14936	47872	\N	YZ	21876913
1583622	5385	1994-09-11	PRIJEM	PREVOD Z UCTU	14936	44566	\N	YZ	21876913
1583623	5385	1994-10-11	PRIJEM	PREVOD Z UCTU	14936	38440	\N	YZ	21876913
1583624	5385	1994-11-11	PRIJEM	PREVOD Z UCTU	14936	37400	\N	YZ	21876913
1583625	5385	1994-12-11	PRIJEM	PREVOD Z UCTU	22404	44927	\N	YZ	21876913
1583626	5385	1995-01-11	PRIJEM	PREVOD Z UCTU	14936	34592	\N	YZ	21876913
1583627	5385	1995-02-11	PRIJEM	PREVOD Z UCTU	14936	36632	\N	YZ	21876913
1583628	5385	1995-03-11	PRIJEM	PREVOD Z UCTU	14936	40388	\N	YZ	21876913
1583629	5385	1995-04-11	PRIJEM	PREVOD Z UCTU	14936	39156	\N	YZ	21876913
1583630	5385	1995-05-11	PRIJEM	PREVOD Z UCTU	14936	36215	\N	YZ	21876913
1583631	5385	1995-06-11	PRIJEM	PREVOD Z UCTU	22404	50142	\N	YZ	21876913
1583632	5385	1995-07-11	PRIJEM	PREVOD Z UCTU	14936	43523	\N	YZ	21876913
1583633	5385	1995-08-11	PRIJEM	PREVOD Z UCTU	14936	45219	\N	YZ	21876913
1583634	5385	1995-09-11	PRIJEM	PREVOD Z UCTU	14936	48225	\N	YZ	21876913
1583635	5385	1995-10-11	PRIJEM	PREVOD Z UCTU	14936	51041	\N	YZ	21876913
1583636	5385	1995-11-11	PRIJEM	PREVOD Z UCTU	14936	50069	\N	YZ	21876913
1583637	5385	1995-12-11	PRIJEM	PREVOD Z UCTU	22404	58766	\N	YZ	21876913
1583638	5385	1996-01-11	PRIJEM	PREVOD Z UCTU	14936	38701	\N	YZ	21876913
1583639	5385	1996-02-11	PRIJEM	PREVOD Z UCTU	14936	45379	\N	YZ	21876913
1583640	5385	1996-03-11	PRIJEM	PREVOD Z UCTU	14936	46572	\N	YZ	21876913
1583641	5385	1996-04-11	PRIJEM	PREVOD Z UCTU	14936	50683	\N	YZ	21876913
1583642	5385	1996-05-11	PRIJEM	PREVOD Z UCTU	14936	49208	\N	YZ	21876913
1583643	5385	1996-06-11	PRIJEM	PREVOD Z UCTU	22404	49283	\N	YZ	21876913
1583644	5385	1996-07-11	PRIJEM	PREVOD Z UCTU	14936	46293	\N	YZ	21876913
1583645	5385	1996-08-11	PRIJEM	PREVOD Z UCTU	14936	45559	\N	YZ	21876913
1583646	5385	1996-09-11	PRIJEM	PREVOD Z UCTU	14936	49561	\N	YZ	21876913
1583647	5385	1996-10-11	PRIJEM	PREVOD Z UCTU	14936	51081	\N	YZ	21876913
1583648	5385	1996-11-11	PRIJEM	PREVOD Z UCTU	14936	49610	\N	YZ	21876913
1583649	5385	1996-12-11	PRIJEM	PREVOD Z UCTU	22404	45928	\N	YZ	21876913
1583650	5385	1997-01-11	PRIJEM	PREVOD Z UCTU	14936	37613	\N	YZ	21876913
1583651	5385	1997-02-11	PRIJEM	PREVOD Z UCTU	14936	40773	\N	YZ	21876913
1583652	5385	1997-03-11	PRIJEM	PREVOD Z UCTU	14936	43253	\N	YZ	21876913
1583653	5385	1997-04-11	PRIJEM	PREVOD Z UCTU	14936	43648	\N	YZ	21876913
1583654	5385	1997-05-11	PRIJEM	PREVOD Z UCTU	14936	42040	\N	YZ	21876913
1583655	5385	1997-06-11	PRIJEM	PREVOD Z UCTU	22404	48907	\N	YZ	21876913
1583656	5385	1997-07-11	PRIJEM	PREVOD Z UCTU	14936	43218	\N	YZ	21876913
1583657	5385	1997-08-11	PRIJEM	PREVOD Z UCTU	14936	42517	\N	YZ	21876913
1583658	5385	1997-09-11	PRIJEM	PREVOD Z UCTU	14936	46104	\N	YZ	21876913
1583659	5385	1997-10-11	PRIJEM	PREVOD Z UCTU	14936	49006	\N	YZ	21876913
1583660	5385	1997-11-11	PRIJEM	PREVOD Z UCTU	14936	46415	\N	YZ	21876913
1583661	5385	1997-12-11	PRIJEM	PREVOD Z UCTU	22404	49964	\N	YZ	21876913
1583662	5385	1998-01-11	PRIJEM	PREVOD Z UCTU	14936	37750	\N	YZ	21876913
1583663	5385	1998-02-11	PRIJEM	PREVOD Z UCTU	14936	44729	\N	YZ	21876913
1583664	5385	1998-03-11	PRIJEM	PREVOD Z UCTU	14936	52728	\N	YZ	21876913
1583665	5385	1998-04-11	PRIJEM	PREVOD Z UCTU	14936	47060	\N	YZ	21876913
1583666	5385	1998-05-11	PRIJEM	PREVOD Z UCTU	14936	50481	\N	YZ	21876913
1583667	5385	1998-06-11	PRIJEM	PREVOD Z UCTU	22404	63151	\N	YZ	21876913
1583668	5385	1998-07-11	PRIJEM	PREVOD Z UCTU	14936	62101	\N	YZ	21876913
1583669	5385	1998-08-11	PRIJEM	PREVOD Z UCTU	14936	63867	\N	YZ	21876913
1583670	5385	1998-09-11	PRIJEM	PREVOD Z UCTU	14936	56791	\N	YZ	21876913
1583671	5385	1998-10-11	PRIJEM	PREVOD Z UCTU	14936	52624	\N	YZ	21876913
1583672	5385	1998-11-11	PRIJEM	PREVOD Z UCTU	14936	54049	\N	YZ	21876913
1583673	5385	1998-12-11	PRIJEM	PREVOD Z UCTU	22404	47309	\N	YZ	21876913
1583683	5385	1993-10-10	VYDAJ	VYBER	2100	34630	\N	\N	0
1583684	5385	1993-11-19	VYDAJ	VYBER	2900	30708	\N	\N	0
1583685	5385	1993-12-11	VYDAJ	VYBER	3400	49814	\N	\N	0
1583686	5385	1994-01-07	VYDAJ	VYBER	2500	19132	\N	\N	0
1583687	5385	1994-02-16	VYDAJ	VYBER	2100	21843	\N	\N	0
1583688	5385	1994-03-14	VYDAJ	VYBER	2100	23876	\N	\N	0
1583689	5385	1994-04-12	VYDAJ	PREVOD NA UCET	2489	35985	UVER	KL	92821448
1583690	5385	1994-05-12	VYDAJ	PREVOD NA UCET	2489	39758	UVER	KL	92821448
1583691	5385	1994-06-12	VYDAJ	PREVOD NA UCET	2489	42793	UVER	KL	92821448
1583692	5385	1994-07-12	VYDAJ	PREVOD NA UCET	2489	44980	UVER	KL	92821448
1583693	5385	1994-08-12	VYDAJ	PREVOD NA UCET	2489	45382	UVER	KL	92821448
1583694	5385	1994-09-12	VYDAJ	PREVOD NA UCET	2489	42077	UVER	KL	92821448
1583695	5385	1994-10-12	VYDAJ	PREVOD NA UCET	2489	35951	UVER	KL	92821448
1583696	5385	1994-11-12	VYDAJ	PREVOD NA UCET	2489	31211	UVER	KL	92821448
1583697	5385	1994-12-12	VYDAJ	PREVOD NA UCET	2489	34638	UVER	KL	92821448
1583698	5385	1995-01-12	VYDAJ	PREVOD NA UCET	2489	27703	UVER	KL	92821448
1583699	5385	1995-02-12	VYDAJ	PREVOD NA UCET	2489	34143	UVER	KL	92821448
1583700	5385	1995-03-12	VYDAJ	PREVOD NA UCET	2489	37899	UVER	KL	92821448
1583701	5385	1995-04-12	VYDAJ	PREVOD NA UCET	2489	29966	UVER	KL	92821448
1583702	5385	1995-05-12	VYDAJ	PREVOD NA UCET	2489	31426	UVER	KL	92821448
1583703	5385	1995-06-12	VYDAJ	PREVOD NA UCET	2489	38053	UVER	KL	92821448
1583704	5385	1995-07-12	VYDAJ	PREVOD NA UCET	2489	41033	UVER	KL	92821448
1583705	5385	1995-08-12	VYDAJ	PREVOD NA UCET	2489	42730	UVER	KL	92821448
1583706	5385	1995-09-12	VYDAJ	PREVOD NA UCET	2489	45735	UVER	KL	92821448
1583707	5385	1995-10-12	VYDAJ	PREVOD NA UCET	2489	48552	UVER	KL	92821448
1583708	5385	1995-11-12	VYDAJ	PREVOD NA UCET	2489	47580	UVER	KL	92821448
1583709	5385	1995-12-12	VYDAJ	PREVOD NA UCET	2489	56277	UVER	KL	92821448
1583710	5385	1996-01-12	VYDAJ	PREVOD NA UCET	2489	36212	UVER	KL	92821448
1583711	5385	1996-02-12	VYDAJ	PREVOD NA UCET	2489	42889	UVER	KL	92821448
1583712	5385	1996-03-12	VYDAJ	PREVOD NA UCET	2489	44083	UVER	KL	92821448
1583713	5385	1996-04-12	VYDAJ	PREVOD NA UCET	2489	48194	UVER	KL	92821448
1583714	5385	1996-05-12	VYDAJ	PREVOD NA UCET	2489	46718	UVER	KL	92821448
1583715	5385	1996-06-12	VYDAJ	PREVOD NA UCET	2489	46793	UVER	KL	92821448
1583716	5385	1996-07-12	VYDAJ	PREVOD NA UCET	2489	37970	UVER	KL	92821448
1583717	5385	1996-08-12	VYDAJ	PREVOD NA UCET	2489	43070	UVER	KL	92821448
1583718	5385	1996-09-12	VYDAJ	PREVOD NA UCET	2489	47072	UVER	KL	92821448
1583719	5385	1996-10-12	VYDAJ	PREVOD NA UCET	2489	48591	UVER	KL	92821448
1583720	5385	1996-11-12	VYDAJ	PREVOD NA UCET	2489	25900	UVER	KL	92821448
1583721	5385	1996-12-12	VYDAJ	PREVOD NA UCET	2489	43439	UVER	KL	92821448
1583722	5385	1997-01-12	VYDAJ	PREVOD NA UCET	2489	27323	UVER	KL	92821448
1583723	5385	1997-02-12	VYDAJ	PREVOD NA UCET	2489	38283	UVER	KL	92821448
1583724	5385	1997-03-12	VYDAJ	PREVOD NA UCET	2489	40764	UVER	KL	92821448
1583725	5385	1997-04-12	VYDAJ	PREVOD NA UCET	2489	41158	UVER	KL	92821448
1583726	5385	1997-05-12	VYDAJ	PREVOD NA UCET	2489	39550	UVER	KL	92821448
1583727	5385	1997-06-12	VYDAJ	PREVOD NA UCET	2489	46418	UVER	KL	92821448
1583728	5385	1997-07-12	VYDAJ	PREVOD NA UCET	2489	40729	UVER	KL	92821448
1583729	5385	1997-08-12	VYDAJ	PREVOD NA UCET	2489	40027	UVER	KL	92821448
1583730	5385	1997-09-12	VYDAJ	PREVOD NA UCET	2489	43615	UVER	KL	92821448
1583731	5385	1997-10-12	VYDAJ	PREVOD NA UCET	2489	46517	UVER	KL	92821448
1583732	5385	1997-11-12	VYDAJ	PREVOD NA UCET	2489	43926	UVER	KL	92821448
1583733	5385	1997-12-12	VYDAJ	PREVOD NA UCET	2489	47475	UVER	KL	92821448
1583734	5385	1998-01-12	VYDAJ	PREVOD NA UCET	2489	35260	UVER	KL	92821448
1583735	5385	1998-02-12	VYDAJ	PREVOD NA UCET	2489	42239	UVER	KL	92821448
1583736	5385	1998-03-12	VYDAJ	PREVOD NA UCET	2489	50238	UVER	KL	92821448
1583737	5385	1998-04-12	VYDAJ	PREVOD NA UCET	2489	30792	UVER	KL	92821448
1583738	5385	1998-05-12	VYDAJ	PREVOD NA UCET	2489	47992	UVER	KL	92821448
1583739	5385	1998-06-12	VYDAJ	PREVOD NA UCET	2489	60662	UVER	KL	92821448
1583740	5385	1998-07-12	VYDAJ	PREVOD NA UCET	2489	59612	UVER	KL	92821448
1583741	5385	1998-08-12	VYDAJ	PREVOD NA UCET	2489	61378	UVER	KL	92821448
1583742	5385	1998-09-12	VYDAJ	PREVOD NA UCET	2489	54302	UVER	KL	92821448
1583743	5385	1998-10-12	VYDAJ	PREVOD NA UCET	2489	50135	UVER	KL	92821448
1583744	5385	1998-11-12	VYDAJ	PREVOD NA UCET	2489	51560	UVER	KL	92821448
1583745	5385	1998-12-12	VYDAJ	PREVOD NA UCET	2489	44820	UVER	KL	92821448
1583755	5385	1993-10-14	VYDAJ	PREVOD NA UCET	8754	34212	SIPO	YZ	67199128
1583756	5385	1993-11-14	VYDAJ	PREVOD NA UCET	8754	37408	SIPO	YZ	67199128
1583757	5385	1993-12-14	VYDAJ	PREVOD NA UCET	8754	41060	SIPO	YZ	67199128
1583758	5385	1994-01-14	VYDAJ	PREVOD NA UCET	8754	10014	SIPO	YZ	67199128
1583759	5385	1994-02-14	VYDAJ	PREVOD NA UCET	8754	22543	SIPO	YZ	67199128
1583760	5385	1994-03-14	VYDAJ	PREVOD NA UCET	8754	25976	SIPO	YZ	67199128
1583761	5385	1994-04-14	VYDAJ	PREVOD NA UCET	8754	27231	SIPO	YZ	67199128
1583762	5385	1994-05-14	VYDAJ	PREVOD NA UCET	8754	31004	SIPO	YZ	67199128
1583763	5385	1994-06-14	VYDAJ	PREVOD NA UCET	8754	34039	SIPO	YZ	67199128
1583764	5385	1994-07-14	VYDAJ	PREVOD NA UCET	8754	36226	SIPO	YZ	67199128
1583765	5385	1994-08-14	VYDAJ	PREVOD NA UCET	8754	29528	SIPO	YZ	67199128
1583766	5385	1994-09-14	VYDAJ	PREVOD NA UCET	8754	23423	SIPO	YZ	67199128
1583767	5385	1994-10-14	VYDAJ	PREVOD NA UCET	8754	22397	SIPO	YZ	67199128
1583768	5385	1994-11-14	VYDAJ	PREVOD NA UCET	8754	22457	SIPO	YZ	67199128
1583769	5385	1994-12-14	VYDAJ	PREVOD NA UCET	8754	25884	SIPO	YZ	67199128
1583770	5385	1995-01-14	VYDAJ	PREVOD NA UCET	8754	14149	SIPO	YZ	67199128
1583771	5385	1995-02-14	VYDAJ	PREVOD NA UCET	8754	25389	SIPO	YZ	67199128
1583772	5385	1995-03-14	VYDAJ	PREVOD NA UCET	8754	24145	SIPO	YZ	67199128
1583773	5385	1995-04-14	VYDAJ	PREVOD NA UCET	8754	21212	SIPO	YZ	67199128
1583774	5385	1995-05-14	VYDAJ	PREVOD NA UCET	8754	22672	SIPO	YZ	67199128
1583775	5385	1995-06-14	VYDAJ	PREVOD NA UCET	8754	29299	SIPO	YZ	67199128
1583776	5385	1995-07-14	VYDAJ	PREVOD NA UCET	8754	32279	SIPO	YZ	67199128
1583777	5385	1995-08-14	VYDAJ	PREVOD NA UCET	8754	33976	SIPO	YZ	67199128
1583778	5385	1995-09-14	VYDAJ	PREVOD NA UCET	8754	36981	SIPO	YZ	67199128
1583779	5385	1995-10-14	VYDAJ	PREVOD NA UCET	8754	39798	SIPO	YZ	67199128
1583780	5385	1995-11-14	VYDAJ	PREVOD NA UCET	8754	38826	SIPO	YZ	67199128
1583781	5385	1995-12-14	VYDAJ	PREVOD NA UCET	8754	43923	SIPO	YZ	67199128
1583782	5385	1996-01-14	VYDAJ	PREVOD NA UCET	8754	27458	SIPO	YZ	67199128
1583783	5385	1996-02-14	VYDAJ	PREVOD NA UCET	8754	34135	SIPO	YZ	67199128
1583784	5385	1996-03-14	VYDAJ	PREVOD NA UCET	8754	35329	SIPO	YZ	67199128
1583785	5385	1996-04-14	VYDAJ	PREVOD NA UCET	8754	39440	SIPO	YZ	67199128
1583786	5385	1996-05-14	VYDAJ	PREVOD NA UCET	8754	37964	SIPO	YZ	67199128
1583787	5385	1996-06-14	VYDAJ	PREVOD NA UCET	8754	38039	SIPO	YZ	67199128
1583788	5385	1996-07-14	VYDAJ	PREVOD NA UCET	8754	29216	SIPO	YZ	67199128
1583789	5385	1996-08-14	VYDAJ	PREVOD NA UCET	8754	34316	SIPO	YZ	67199128
1583790	5385	1996-09-14	VYDAJ	PREVOD NA UCET	8754	38318	SIPO	YZ	67199128
1583791	5385	1996-10-14	VYDAJ	PREVOD NA UCET	8754	39837	SIPO	YZ	67199128
1583792	5385	1996-11-14	VYDAJ	PREVOD NA UCET	8754	17146	SIPO	YZ	67199128
1583793	5385	1996-12-14	VYDAJ	PREVOD NA UCET	8754	34685	SIPO	YZ	67199128
1583794	5385	1997-01-14	VYDAJ	PREVOD NA UCET	8754	18569	SIPO	YZ	67199128
1583795	5385	1997-02-14	VYDAJ	PREVOD NA UCET	8754	29529	SIPO	YZ	67199128
1583796	5385	1997-03-14	VYDAJ	PREVOD NA UCET	8754	32010	SIPO	YZ	67199128
1583797	5385	1997-04-14	VYDAJ	PREVOD NA UCET	8754	32404	SIPO	YZ	67199128
1583798	5385	1997-05-14	VYDAJ	PREVOD NA UCET	8754	30796	SIPO	YZ	67199128
1583799	5385	1997-06-14	VYDAJ	PREVOD NA UCET	8754	37664	SIPO	YZ	67199128
1583800	5385	1997-07-14	VYDAJ	PREVOD NA UCET	8754	31975	SIPO	YZ	67199128
1583801	5385	1997-08-14	VYDAJ	PREVOD NA UCET	8754	31273	SIPO	YZ	67199128
1583802	5385	1997-09-14	VYDAJ	PREVOD NA UCET	8754	34861	SIPO	YZ	67199128
1583803	5385	1997-10-14	VYDAJ	PREVOD NA UCET	8754	37763	SIPO	YZ	67199128
1583804	5385	1997-11-14	VYDAJ	PREVOD NA UCET	8754	35172	SIPO	YZ	67199128
1583805	5385	1997-12-14	VYDAJ	PREVOD NA UCET	8754	31821	SIPO	YZ	67199128
1583806	5385	1998-01-14	VYDAJ	PREVOD NA UCET	8754	26506	SIPO	YZ	67199128
1583807	5385	1998-02-14	VYDAJ	PREVOD NA UCET	8754	33485	SIPO	YZ	67199128
1583808	5385	1998-03-14	VYDAJ	PREVOD NA UCET	8754	41484	SIPO	YZ	67199128
1583809	5385	1998-04-14	VYDAJ	PREVOD NA UCET	8754	22038	SIPO	YZ	67199128
1583810	5385	1998-05-14	VYDAJ	PREVOD NA UCET	8754	27238	SIPO	YZ	67199128
1583811	5385	1998-06-14	VYDAJ	PREVOD NA UCET	8754	51908	SIPO	YZ	67199128
1583812	5385	1998-07-14	VYDAJ	PREVOD NA UCET	8754	50858	SIPO	YZ	67199128
1583813	5385	1998-08-14	VYDAJ	PREVOD NA UCET	8754	52624	SIPO	YZ	67199128
1583814	5385	1998-09-14	VYDAJ	PREVOD NA UCET	8754	45548	SIPO	YZ	67199128
1583815	5385	1998-10-14	VYDAJ	PREVOD NA UCET	8754	41381	SIPO	YZ	67199128
1583816	5385	1998-11-14	VYDAJ	PREVOD NA UCET	8754	42806	SIPO	YZ	67199128
1583817	5385	1998-12-14	VYDAJ	PREVOD NA UCET	8754	36066	SIPO	YZ	67199128
1583823	5385	1994-05-31	VYBER	VYBER	4112	22909	\N	\N	\N
1583826	5385	1994-01-03	VYBER	VYBER	2333	21632	\N	\N	\N
1583831	5385	1996-11-11	VYBER	VYBER	21221	28389	\N	\N	\N
1583832	5385	1996-07-12	VYBER	VYBER	5833	40460	\N	\N	\N
1583833	5385	1997-11-20	VYBER	VYBER	7011	28161	\N	\N	\N
1583835	5385	1997-06-04	VYBER	VYBER	3986	26503	\N	\N	\N
1583838	5385	1998-11-27	VYBER	VYBER	11831	27775	\N	\N	\N
1583839	5385	1998-08-15	VYBER	VYBER	15521	37103	\N	\N	\N
1583841	5385	1998-04-11	VYBER	VYBER	13778	33282	\N	\N	\N
1583844	5385	1993-12-28	VYDAJ	VYBER	6300	23860	\N	\N	\N
1583845	5385	1994-12-24	VYDAJ	VYBER	2100	23784	\N	\N	\N
1583846	5385	1995-12-12	VYDAJ	VYBER	3600	52677	\N	\N	\N
1583847	5385	1996-12-30	VYDAJ	VYBER	8100	26585	\N	\N	\N
1583848	5385	1997-12-23	VYDAJ	VYBER	2700	29121	\N	\N	\N
1583849	5385	1998-12-01	VYDAJ	VYBER	3000	24905	\N	\N	\N
1583857	5385	1994-01-12	VYDAJ	VYBER	1500	18768	\N	\N	\N
1583860	5385	1994-01-11	VYDAJ	VYBER	5100	28968	\N	\N	\N
1583864	5385	1995-01-13	VYDAJ	VYBER	4800	22903	\N	\N	\N
1583865	5385	1995-01-07	VYDAJ	VYBER	4200	19656	\N	\N	\N
1583869	5385	1996-01-20	VYDAJ	VYBER	3900	23558	\N	\N	\N
1583870	5385	1996-01-08	VYDAJ	VYBER	4800	25565	\N	\N	\N
1583871	5385	1996-01-10	VYDAJ	VYBER	1800	23765	\N	\N	\N
1583877	5385	1997-01-08	VYDAJ	VYBER	6300	22677	\N	\N	\N
1583879	5385	1997-01-12	VYDAJ	VYBER	7800	29813	\N	\N	\N
1583881	5385	1998-01-05	VYDAJ	VYBER	5100	22814	\N	\N	\N
1583886	5385	1993-10-11	VYDAJ	VYBER	6600	42966	\N	\N	\N
1583895	5385	1994-02-16	VYDAJ	VYBER	2100	19743	\N	\N	\N
1583897	5385	1994-01-12	VYDAJ	VYBER	8700	20268	\N	\N	\N
1583899	5385	1995-06-11	VYDAJ	VYBER	9600	40542	\N	\N	\N
1583900	5385	1995-12-26	VYDAJ	VYBER	11400	32523	\N	\N	\N
1583902	5385	1996-05-18	VYDAJ	VYBER	10200	27764	\N	\N	\N
1583903	5385	1997-07-05	VYDAJ	VYBER	5700	28282	\N	\N	\N
1583904	5385	1997-10-25	VYDAJ	VYBER	5100	32663	\N	\N	\N
1583905	5385	1997-12-13	VYDAJ	VYBER	6900	40575	\N	\N	\N
1583907	5385	1998-06-18	VYDAJ	VYBER	7800	44108	\N	\N	\N
1583908	5385	1998-09-20	VYDAJ	VYBER	10800	34748	\N	\N	\N
1583909	5385	1998-04-05	VYDAJ	VYBER	12300	32124	\N	\N	\N
1583910	5385	1998-05-13	VYDAJ	VYBER	12000	35992	\N	\N	\N
1583921	5385	1993-10-31	VYDAJ	VYBER	30	31226	SLUZBY	\N	\N
1583922	5385	1993-11-30	VYDAJ	VYBER	30	30810	SLUZBY	\N	\N
1583923	5385	1993-12-31	VYDAJ	VYBER	30	23965	SLUZBY	\N	\N
1583924	5385	1994-01-31	VYDAJ	VYBER	30	16361	SLUZBY	\N	\N
1583925	5385	1994-02-28	VYDAJ	VYBER	30	19794	SLUZBY	\N	\N
1583926	5385	1994-03-31	VYDAJ	VYBER	30	23538	SLUZBY	\N	\N
1583927	5385	1994-04-30	VYDAJ	VYBER	30	27311	SLUZBY	\N	\N
1583928	5385	1994-05-31	VYDAJ	VYBER	30	22879	SLUZBY	\N	\N
1583929	5385	1994-06-30	VYDAJ	VYBER	30	32533	SLUZBY	\N	\N
1583930	5385	1994-07-31	VYDAJ	VYBER	30	32936	SLUZBY	\N	\N
1583931	5385	1994-08-31	VYDAJ	VYBER	30	29630	SLUZBY	\N	\N
1583932	5385	1994-09-30	VYDAJ	VYBER	30	23504	SLUZBY	\N	\N
1583933	5385	1994-10-31	VYDAJ	VYBER	30	22464	SLUZBY	\N	\N
1583934	5385	1994-11-30	VYDAJ	VYBER	30	22523	SLUZBY	\N	\N
1583935	5385	1994-12-31	VYDAJ	VYBER	30	23856	SLUZBY	\N	\N
1583936	5385	1995-01-31	VYDAJ	VYBER	30	14196	SLUZBY	\N	\N
1583937	5385	1995-02-28	VYDAJ	VYBER	30	25452	SLUZBY	\N	\N
1583938	5385	1995-03-31	VYDAJ	VYBER	30	24220	SLUZBY	\N	\N
1583939	5385	1995-04-30	VYDAJ	VYBER	30	21279	SLUZBY	\N	\N
1583940	5385	1995-05-31	VYDAJ	VYBER	30	22738	SLUZBY	\N	\N
1583941	5385	1995-06-30	VYDAJ	VYBER	30	29387	SLUZBY	\N	\N
1583942	5385	1995-07-31	VYDAJ	VYBER	30	32383	SLUZBY	\N	\N
1583943	5385	1995-08-31	VYDAJ	VYBER	30	34089	SLUZBY	\N	\N
1583944	5385	1995-09-30	VYDAJ	VYBER	30	37105	SLUZBY	\N	\N
1583945	5385	1995-10-31	VYDAJ	VYBER	30	39933	SLUZBY	\N	\N
1583946	5385	1995-11-30	VYDAJ	VYBER	30	38962	SLUZBY	\N	\N
1583947	5385	1995-12-31	VYDAJ	VYBER	30	32665	SLUZBY	\N	\N
1583948	5385	1996-01-31	VYDAJ	VYBER	30	23643	SLUZBY	\N	\N
1583949	5385	1996-02-29	VYDAJ	VYBER	30	34236	SLUZBY	\N	\N
1583950	5385	1996-03-31	VYDAJ	VYBER	30	35447	SLUZBY	\N	\N
1583951	5385	1996-04-30	VYDAJ	VYBER	30	39572	SLUZBY	\N	\N
1583952	5385	1996-05-31	VYDAJ	VYBER	30	27879	SLUZBY	\N	\N
1583953	5385	1996-06-30	VYDAJ	VYBER	30	38157	SLUZBY	\N	\N
1583954	5385	1996-07-31	VYDAJ	VYBER	30	29323	SLUZBY	\N	\N
1583955	5385	1996-08-31	VYDAJ	VYBER	30	34425	SLUZBY	\N	\N
1583956	5385	1996-09-30	VYDAJ	VYBER	30	38445	SLUZBY	\N	\N
1583957	5385	1996-10-31	VYDAJ	VYBER	30	39974	SLUZBY	\N	\N
1583958	5385	1996-11-30	VYDAJ	VYBER	30	17224	SLUZBY	\N	\N
1583959	5385	1996-12-31	VYDAJ	VYBER	30	28977	SLUZBY	\N	\N
1583960	5385	1997-01-31	VYDAJ	VYBER	30	25837	SLUZBY	\N	\N
1583961	5385	1997-02-28	VYDAJ	VYBER	30	29617	SLUZBY	\N	\N
1583962	5385	1997-03-31	VYDAJ	VYBER	30	28712	SLUZBY	\N	\N
1583963	5385	1997-04-30	VYDAJ	VYBER	30	27104	SLUZBY	\N	\N
1583964	5385	1997-05-31	VYDAJ	VYBER	30	30489	SLUZBY	\N	\N
1583965	5385	1997-06-30	VYDAJ	VYBER	30	33982	SLUZBY	\N	\N
1583966	5385	1997-07-31	VYDAJ	VYBER	30	27581	SLUZBY	\N	\N
1583967	5385	1997-08-31	VYDAJ	VYBER	30	31168	SLUZBY	\N	\N
1583968	5385	1997-09-30	VYDAJ	VYBER	30	34070	SLUZBY	\N	\N
1583969	5385	1997-10-31	VYDAJ	VYBER	30	31479	SLUZBY	\N	\N
1583970	5385	1997-11-30	VYDAJ	VYBER	30	27560	SLUZBY	\N	\N
1583971	5385	1997-12-31	VYDAJ	VYBER	30	27914	SLUZBY	\N	\N
1583972	5385	1998-01-31	VYDAJ	VYBER	30	29793	SLUZBY	\N	\N
1583973	5385	1998-02-28	VYDAJ	VYBER	30	37792	SLUZBY	\N	\N
1583974	5385	1998-03-31	VYDAJ	VYBER	30	44424	SLUZBY	\N	\N
1583975	5385	1998-04-30	VYDAJ	VYBER	30	35545	SLUZBY	\N	\N
1583976	5385	1998-05-31	VYDAJ	VYBER	30	40747	SLUZBY	\N	\N
1583977	5385	1998-06-30	VYDAJ	VYBER	30	47165	SLUZBY	\N	\N
1583978	5385	1998-07-31	VYDAJ	VYBER	30	48931	SLUZBY	\N	\N
1583979	5385	1998-08-31	VYDAJ	VYBER	30	41855	SLUZBY	\N	\N
1583980	5385	1998-09-30	VYDAJ	VYBER	30	37688	SLUZBY	\N	\N
1583981	5385	1998-10-31	VYDAJ	VYBER	30	39113	SLUZBY	\N	\N
1583982	5385	1998-11-30	VYDAJ	VYBER	30	27905	SLUZBY	\N	\N
1583983	5385	1993-06-20	VYDAJ	VYBER	1800	21104	\N	\N	\N
1583984	5385	1993-07-20	VYDAJ	VYBER	5500	30572	\N	\N	\N
1583985	5385	1993-08-19	VYDAJ	VYBER	10900	34711	\N	\N	\N
1583986	5385	1993-09-18	VYDAJ	VYBER	13200	36582	\N	\N	\N
1583987	5385	1993-10-18	VYDAJ	VYBER	3100	31112	\N	\N	\N
1583988	5385	1993-11-17	VYDAJ	VYBER	3800	33608	\N	\N	\N
1583989	5385	1993-12-17	VYDAJ	VYBER	10900	30160	\N	\N	\N
1583990	5385	1994-01-16	PRIJEM	VKLAD	6300	16314	\N	\N	\N
1583991	5385	1994-02-15	PRIJEM	VKLAD	1400	23943	\N	\N	\N
1583992	5385	1994-03-17	VYDAJ	VYBER	400	23476	\N	\N	\N
1583993	5385	1994-05-16	VYDAJ	VYBER	4100	26904	\N	\N	\N
1583994	5385	1994-06-15	VYDAJ	VYBER	1600	32439	\N	\N	\N
1583995	5385	1994-07-15	VYDAJ	VYBER	3400	32826	\N	\N	\N
1583996	5385	1994-08-14	VYDAJ	VYBER	7100	38282	\N	\N	\N
1583997	5385	1994-09-13	VYDAJ	VYBER	9900	32177	\N	\N	\N
1583998	5385	1994-10-13	VYDAJ	VYBER	4800	31151	\N	\N	\N
1583999	5385	1994-11-12	VYDAJ	VYBER	3700	33700	\N	\N	\N
1584000	5385	1994-12-12	VYDAJ	VYBER	7800	37127	\N	\N	\N
1584001	5385	1995-01-11	VYDAJ	VYBER	4400	30192	\N	\N	\N
1584002	5385	1995-02-10	PRIJEM	VKLAD	7500	21696	\N	\N	\N
1584003	5385	1995-03-12	VYDAJ	VYBER	5000	32899	\N	\N	\N
1584004	5385	1995-04-11	VYDAJ	VYBER	6700	32456	\N	\N	\N
1584005	5385	1995-05-11	VYDAJ	VYBER	2300	33915	\N	\N	\N
1584006	5385	1995-06-10	PRIJEM	VKLAD	5000	27738	\N	\N	\N
1584007	5385	1995-07-10	VYDAJ	VYBER	800	28587	\N	\N	\N
1584008	5385	1995-08-09	VYDAJ	VYBER	2100	30283	\N	\N	\N
1584009	5385	1995-09-08	VYDAJ	VYBER	800	33289	\N	\N	\N
1584010	5385	1995-10-08	VYDAJ	VYBER	1000	36105	\N	\N	\N
1584011	5385	1995-11-07	VYDAJ	VYBER	4800	35133	\N	\N	\N
1584012	5385	1995-12-07	VYDAJ	VYBER	2600	36362	\N	\N	\N
1584013	5385	1996-01-06	VYDAJ	VYBER	2300	30365	\N	\N	\N
1584014	5385	1996-02-05	PRIJEM	VKLAD	6800	30443	\N	\N	\N
1584015	5385	1996-03-06	VYDAJ	VYBER	2600	31636	\N	\N	\N
1584016	5385	1996-04-05	PRIJEM	VKLAD	300	35747	\N	\N	\N
1584017	5385	1996-05-05	VYDAJ	VYBER	5300	34272	\N	\N	\N
1584018	5385	1996-06-04	VYDAJ	VYBER	1000	26879	\N	\N	\N
1584019	5385	1996-07-04	VYDAJ	VYBER	6800	31357	\N	\N	\N
1584020	5385	1996-08-03	PRIJEM	VKLAD	1300	30623	\N	\N	\N
1584021	5385	1996-09-02	PRIJEM	VKLAD	200	34625	\N	\N	\N
1584022	5385	1996-10-02	VYDAJ	VYBER	2300	36145	\N	\N	\N
1584023	5385	1996-11-01	VYDAJ	VYBER	5300	34674	\N	\N	\N
1584024	5385	1996-12-01	PRIJEM	VKLAD	6300	23524	\N	\N	\N
1584025	5385	1996-12-31	PRIJEM	VKLAD	2300	29007	\N	\N	\N
1584026	5385	1997-01-30	PRIJEM	VKLAD	7200	25769	\N	\N	\N
1584027	5385	1997-03-01	VYDAJ	VYBER	1300	28317	\N	\N	\N
1584028	5385	1997-03-31	VYDAJ	VYBER	3400	28742	\N	\N	\N
1584029	5385	1997-04-30	VYDAJ	VYBER	5400	27134	\N	\N	\N
1584030	5385	1997-05-30	VYDAJ	VYBER	400	30396	\N	\N	\N
1584031	5385	1997-06-29	VYDAJ	VYBER	3800	33864	\N	\N	\N
1584032	5385	1997-07-29	VYDAJ	VYBER	4500	27475	\N	\N	\N
1584033	5385	1997-08-28	VYDAJ	VYBER	200	31073	\N	\N	\N
1584034	5385	1997-09-27	VYDAJ	VYBER	900	33961	\N	\N	\N
1584035	5385	1997-10-27	VYDAJ	VYBER	1300	31363	\N	\N	\N
1584036	5385	1997-11-26	VYDAJ	VYBER	700	27461	\N	\N	\N
1584037	5385	1997-12-26	VYDAJ	VYBER	1300	27821	\N	\N	\N
1584038	5385	1998-01-25	PRIJEM	VKLAD	3200	29706	\N	\N	\N
1584039	5385	1998-02-24	PRIJEM	VKLAD	4200	37685	\N	\N	\N
1584040	5385	1998-03-26	PRIJEM	VKLAD	2800	44284	\N	\N	\N
1584041	5385	1998-04-25	PRIJEM	VKLAD	13400	35438	\N	\N	\N
1584042	5385	1998-05-25	PRIJEM	VKLAD	13400	40638	\N	\N	\N
1584043	5385	1998-06-24	PRIJEM	VKLAD	2900	47008	\N	\N	\N
1584044	5385	1998-07-24	VYDAJ	VYBER	2100	48758	\N	\N	\N
1584045	5385	1998-08-23	PRIJEM	VKLAD	4600	41703	\N	\N	\N
1584046	5385	1998-09-22	PRIJEM	VKLAD	2800	37548	\N	\N	\N
1584047	5385	1998-10-22	VYDAJ	VYBER	2400	38981	\N	\N	\N
1584048	5385	1998-11-21	VYDAJ	VYBER	3200	39606	\N	\N	\N
1584339	5387	1993-10-05	PRIJEM	VKLAD	400	400	\N	\N	\N
1584349	5387	1993-10-11	PRIJEM	VKLAD	10051	10451	\N	\N	\N
1584350	5387	1993-11-11	PRIJEM	VKLAD	10051	28232	\N	\N	\N
1584351	5387	1993-12-11	PRIJEM	VKLAD	15076	40200	\N	\N	\N
1584352	5387	1994-01-11	PRIJEM	VKLAD	10051	40303	\N	\N	\N
1584353	5387	1994-02-11	PRIJEM	VKLAD	10051	43422	\N	\N	\N
1584354	5387	1994-03-11	PRIJEM	VKLAD	10051	45230	\N	\N	\N
1584355	5387	1994-04-11	PRIJEM	VKLAD	10051	37131	\N	\N	\N
1584356	5387	1994-05-11	PRIJEM	VKLAD	10051	40811	\N	\N	\N
1584357	5387	1994-06-11	PRIJEM	VKLAD	15076	43530	\N	\N	\N
1584358	5387	1994-07-11	PRIJEM	VKLAD	10051	32415	\N	\N	\N
1584359	5387	1994-08-11	PRIJEM	VKLAD	10051	31961	\N	\N	\N
1584360	5387	1994-09-11	PRIJEM	VKLAD	10051	33025	\N	\N	\N
1584361	5387	1994-10-11	PRIJEM	VKLAD	10051	36689	\N	\N	\N
1584362	5387	1994-11-11	PRIJEM	VKLAD	10051	36844	\N	\N	\N
1584363	5387	1994-12-11	PRIJEM	VKLAD	15076	39438	\N	\N	\N
1584364	5387	1995-01-11	PRIJEM	VKLAD	10051	35015	\N	\N	\N
1584365	5387	1995-02-11	PRIJEM	VKLAD	10051	37975	\N	\N	\N
1584366	5387	1995-03-11	PRIJEM	VKLAD	10051	40840	\N	\N	\N
1584367	5387	1995-04-11	PRIJEM	VKLAD	10051	39616	\N	\N	\N
1584368	5387	1995-05-11	PRIJEM	VKLAD	10051	34982	\N	\N	\N
1584369	5387	1995-06-11	PRIJEM	VKLAD	15076	47279	\N	\N	\N
1584370	5387	1995-07-11	PRIJEM	VKLAD	10051	26013	\N	\N	\N
1584371	5387	1995-08-11	PRIJEM	VKLAD	10051	32349	\N	\N	\N
1584372	5387	1995-09-11	PRIJEM	VKLAD	10051	38211	\N	\N	\N
1584373	5387	1995-10-11	PRIJEM	VKLAD	10051	38991	\N	\N	\N
1584374	5387	1995-11-11	PRIJEM	VKLAD	10051	43775	\N	\N	\N
1584375	5387	1995-12-11	PRIJEM	VKLAD	15076	45883	\N	\N	\N
1584376	5387	1996-01-11	PRIJEM	VKLAD	10051	36576	\N	\N	\N
1584377	5387	1996-02-11	PRIJEM	VKLAD	10051	37746	\N	\N	\N
1584378	5387	1996-03-11	PRIJEM	VKLAD	10051	34606	\N	\N	\N
1584379	5387	1996-04-11	PRIJEM	VKLAD	10051	39972	\N	\N	\N
1584380	5387	1996-05-11	PRIJEM	VKLAD	10051	35635	\N	\N	\N
1584381	5387	1996-06-11	PRIJEM	VKLAD	15076	41221	\N	\N	\N
1584382	5387	1996-07-11	PRIJEM	VKLAD	10051	39973	\N	\N	\N
1584383	5387	1996-08-11	PRIJEM	VKLAD	10051	33731	\N	\N	\N
1584384	5387	1996-09-11	PRIJEM	VKLAD	10051	35485	\N	\N	\N
1584385	5387	1996-10-11	PRIJEM	VKLAD	10051	33122	\N	\N	\N
1584386	5387	1996-11-11	PRIJEM	VKLAD	10051	31857	\N	\N	\N
1584387	5387	1996-12-11	PRIJEM	VKLAD	15076	40524	\N	\N	\N
1584388	5387	1997-01-11	PRIJEM	VKLAD	10051	34268	\N	\N	\N
1584389	5387	1997-02-11	PRIJEM	VKLAD	10051	26310	\N	\N	\N
1584390	5387	1997-03-11	PRIJEM	VKLAD	10051	23035	\N	\N	\N
1584391	5387	1997-04-11	PRIJEM	VKLAD	10051	32955	\N	\N	\N
1584392	5387	1997-05-11	PRIJEM	VKLAD	10051	30882	\N	\N	\N
1584393	5387	1997-06-11	PRIJEM	VKLAD	15076	38836	\N	\N	\N
1584394	5387	1997-07-11	PRIJEM	VKLAD	10051	25567	\N	\N	\N
1584395	5387	1997-08-11	PRIJEM	VKLAD	10051	23682	\N	\N	\N
1584396	5387	1997-09-11	PRIJEM	VKLAD	10051	24695	\N	\N	\N
1584397	5387	1997-10-11	PRIJEM	VKLAD	10051	24208	\N	\N	\N
1584398	5387	1997-11-11	PRIJEM	VKLAD	10051	15303	\N	\N	\N
1584399	5387	1997-12-11	PRIJEM	VKLAD	15076	11888	\N	\N	\N
1584400	5387	1998-01-11	PRIJEM	VKLAD	10051	11728	\N	\N	\N
1584401	5387	1998-02-11	PRIJEM	VKLAD	10051	10269	\N	\N	\N
1584402	5387	1998-03-11	PRIJEM	VKLAD	10051	13516	\N	\N	\N
1584403	5387	1998-04-11	PRIJEM	VKLAD	10051	14971	\N	\N	\N
1584404	5387	1998-05-11	PRIJEM	VKLAD	10051	12019	\N	\N	\N
1584405	5387	1998-06-11	PRIJEM	VKLAD	15076	13178	\N	\N	\N
1584406	5387	1998-07-11	PRIJEM	VKLAD	10051	7053	\N	\N	\N
1584407	5387	1998-08-11	PRIJEM	VKLAD	10051	-663	\N	\N	\N
1584408	5387	1998-09-11	PRIJEM	VKLAD	10051	369	\N	\N	\N
1584409	5387	1998-10-11	PRIJEM	VKLAD	10051	1093	\N	\N	\N
1584410	5387	1998-11-11	PRIJEM	VKLAD	10051	1322	\N	\N	\N
1584411	5387	1998-12-11	PRIJEM	VKLAD	15076	11272	\N	\N	\N
1584425	5387	1994-02-19	VYDAJ	VYBER	3100	40322	SIPO	\N	0
1584426	5387	1994-03-11	VYDAJ	VYBER	3400	41830	SIPO	\N	0
1584427	5387	1994-04-02	VYDAJ	VYBER	3300	34180	SIPO	\N	0
1584428	5387	1994-05-18	VYDAJ	VYBER	4100	36711	SIPO	\N	0
1584429	5387	1994-06-07	VYDAJ	VYBER	4300	28454	SIPO	\N	0
1584430	5387	1994-07-12	VYDAJ	VYBER	3900	28515	SIPO	\N	0
1584431	5387	1994-08-10	VYDAJ	VYBER	4100	21910	SIPO	\N	0
1584432	5387	1994-09-04	VYDAJ	VYBER	3800	22974	SIPO	\N	0
1584433	5387	1994-10-18	VYDAJ	VYBER	3100	28989	SIPO	\N	0
1584434	5387	1994-11-14	VYDAJ	VYBER	3000	33844	SIPO	\N	0
1584435	5387	1994-12-02	VYDAJ	VYBER	2900	25862	SIPO	\N	0
1584436	5387	1995-01-02	VYDAJ	VYBER	3400	27864	SIPO	\N	0
1584437	5387	1995-02-15	VYDAJ	VYBER	3700	34275	SIPO	\N	0
1584438	5387	1995-03-15	VYDAJ	VYBER	4000	36840	SIPO	\N	0
1584439	5387	1995-04-20	VYDAJ	VYBER	3900	35716	SIPO	\N	0
1584440	5387	1995-05-10	VYDAJ	VYBER	4000	24931	SIPO	\N	0
1584441	5387	1995-06-13	VYDAJ	VYBER	4600	16379	SIPO	\N	0
1584442	5387	1995-07-09	VYDAJ	VYBER	4000	15962	SIPO	\N	0
1584443	5387	1995-08-03	VYDAJ	VYBER	4200	22298	SIPO	\N	0
1584444	5387	1995-09-09	VYDAJ	VYBER	2800	28160	SIPO	\N	0
1584445	5387	1995-10-08	VYDAJ	VYBER	3700	28940	SIPO	\N	0
1584446	5387	1995-11-14	VYDAJ	VYBER	4500	39275	SIPO	\N	0
1584447	5387	1995-12-20	VYDAJ	VYBER	4400	41483	SIPO	\N	0
1584448	5387	1996-01-09	VYDAJ	VYBER	3500	28325	SIPO	\N	0
1584449	5387	1996-02-13	VYDAJ	VYBER	2800	34946	SIPO	\N	0
1584450	5387	1996-03-04	VYDAJ	VYBER	4300	24555	SIPO	\N	0
1584451	5387	1996-04-17	VYDAJ	VYBER	4000	35972	SIPO	\N	0
1584452	5387	1996-05-19	VYDAJ	VYBER	4300	31335	SIPO	\N	0
1584453	5387	1996-06-19	VYDAJ	VYBER	2900	38321	SIPO	\N	0
1584454	5387	1996-07-18	VYDAJ	VYBER	4400	35573	SIPO	\N	0
1584455	5387	1996-08-06	VYDAJ	VYBER	3800	23680	SIPO	\N	0
1584456	5387	1996-09-21	VYDAJ	VYBER	3900	22985	SIPO	\N	0
1584457	5387	1996-10-13	VYDAJ	VYBER	3000	30122	SIPO	\N	0
1584458	5387	1996-11-11	VYDAJ	VYBER	3800	28057	SIPO	\N	0
1584459	5387	1996-12-18	VYDAJ	VYBER	3500	28424	SIPO	\N	0
1584460	5387	1997-01-16	VYDAJ	VYBER	3100	27168	SIPO	\N	0
1584461	5387	1997-02-03	VYDAJ	VYBER	3700	16259	SIPO	\N	0
1584462	5387	1997-03-03	VYDAJ	VYBER	3200	17884	SIPO	\N	0
1584463	5387	1997-04-14	VYDAJ	VYBER	4300	25355	SIPO	\N	0
1584464	5387	1997-05-15	VYDAJ	VYBER	3300	27582	SIPO	\N	0
1584465	5387	1997-06-12	VYDAJ	VYBER	3400	35436	SIPO	\N	0
1584466	5387	1997-07-09	VYDAJ	VYBER	3200	15516	SIPO	\N	0
1584467	5387	1997-08-09	VYDAJ	VYBER	4200	13631	SIPO	\N	0
1584468	5387	1997-09-09	VYDAJ	VYBER	4100	14644	SIPO	\N	0
1584469	5387	1997-10-04	VYDAJ	VYBER	3700	14157	SIPO	\N	0
1584470	5387	1997-11-10	VYDAJ	VYBER	4500	5252	SIPO	\N	0
1584471	5387	1997-12-09	VYDAJ	VYBER	3000	-3188	SIPO	\N	0
1584472	5387	1998-01-21	VYDAJ	VYBER	3900	228	SIPO	\N	0
1584473	5387	1998-02-17	VYDAJ	VYBER	4500	3469	SIPO	\N	0
1584474	5387	1998-03-21	VYDAJ	VYBER	3600	4916	SIPO	\N	0
1584475	5387	1998-04-16	VYDAJ	VYBER	4500	1971	SIPO	\N	0
1584476	5387	1998-05-12	VYDAJ	VYBER	3200	-1881	SIPO	\N	0
1584481	5387	1998-10-09	VYDAJ	VYBER	2800	-8959	SIPO	\N	0
1584482	5387	1998-11-04	VYDAJ	VYBER	3000	-1929	SIPO	\N	0
1584483	5387	1998-12-19	VYDAJ	VYBER	3200	8072	SIPO	\N	0
1584485	5387	1994-06-25	VYDAJ	VYBER	22400	21130	\N	\N	\N
1584486	5387	1995-06-11	VYDAJ	VYBER	26300	20979	\N	\N	\N
1584487	5387	1996-06-20	VYDAJ	VYBER	4100	33621	\N	\N	\N
1584488	5387	1997-06-20	VYDAJ	VYBER	4800	18636	\N	\N	\N
1584491	5387	1994-12-06	VYDAJ	VYBER	1500	24362	\N	\N	\N
1584492	5387	1995-12-07	VYDAJ	VYBER	2400	30807	\N	\N	\N
1584493	5387	1996-12-26	VYDAJ	VYBER	2000	26424	\N	\N	\N
1584494	5387	1997-12-03	VYDAJ	VYBER	1800	1912	\N	\N	\N
1584508	5387	1995-01-20	VYDAJ	VYBER	900	28615	\N	\N	\N
1584509	5387	1995-01-10	VYDAJ	VYBER	2900	24964	\N	\N	\N
1584510	5387	1995-01-16	VYDAJ	VYBER	1200	33815	\N	\N	\N
1584511	5387	1995-01-17	VYDAJ	VYBER	2100	29515	\N	\N	\N
1584512	5387	1995-01-23	VYDAJ	VYBER	2800	25815	\N	\N	\N
1584513	5387	1995-01-16	VYDAJ	VYBER	2200	31615	\N	\N	\N
1584514	5387	1996-01-14	VYDAJ	VYBER	700	34976	\N	\N	\N
1584515	5387	1996-01-10	VYDAJ	VYBER	1800	26525	\N	\N	\N
1584516	5387	1996-01-22	VYDAJ	VYBER	2200	32776	\N	\N	\N
1584517	5387	1996-01-29	VYDAJ	VYBER	2400	27576	\N	\N	\N
1584518	5387	1996-01-13	VYDAJ	VYBER	900	35676	\N	\N	\N
1584519	5387	1996-01-22	VYDAJ	VYBER	1600	31176	\N	\N	\N
1584520	5387	1997-01-13	VYDAJ	VYBER	2800	30268	\N	\N	\N
1584521	5387	1997-01-27	VYDAJ	VYBER	2900	20868	\N	\N	\N
1584522	5387	1997-01-21	VYDAJ	VYBER	1200	24468	\N	\N	\N
1584523	5387	1997-01-25	VYDAJ	VYBER	700	23768	\N	\N	\N
1584524	5387	1997-01-03	VYDAJ	VYBER	2300	24217	\N	\N	\N
1584525	5387	1997-01-29	VYDAJ	VYBER	1000	19868	\N	\N	\N
1584528	5387	1998-01-19	VYDAJ	VYBER	1300	4128	\N	\N	\N
1584536	5387	1994-03-20	VYDAJ	VYBER	4500	37330	\N	\N	\N
1584537	5387	1994-11-07	VYDAJ	VYBER	1200	26793	\N	\N	\N
1584538	5387	1994-10-13	VYDAJ	VYBER	4600	32089	\N	\N	\N
1584539	5387	1994-12-18	VYDAJ	VYBER	1500	37938	\N	\N	\N
1584540	5387	1995-03-31	VYDAJ	VYBER	3600	29565	\N	\N	\N
1584541	5387	1995-01-23	VYDAJ	VYBER	1300	24515	\N	\N	\N
1584542	5387	1995-12-27	VYDAJ	VYBER	3400	31683	\N	\N	\N
1584543	5387	1995-06-22	VYDAJ	VYBER	3000	13379	\N	\N	\N
1584544	5387	1995-03-28	VYDAJ	VYBER	500	36340	\N	\N	\N
1584545	5387	1996-06-20	VYDAJ	VYBER	600	37721	\N	\N	\N
1584546	5387	1996-02-19	VYDAJ	VYBER	1800	33146	\N	\N	\N
1584547	5387	1996-05-01	VYDAJ	VYBER	4300	25584	\N	\N	\N
1584548	5387	1996-04-18	VYDAJ	VYBER	1500	34472	\N	\N	\N
1584549	5387	1997-10-29	VYDAJ	VYBER	1500	9708	\N	\N	\N
1584550	5387	1997-01-12	VYDAJ	VYBER	1200	33068	\N	\N	\N
1584551	5387	1997-04-13	VYDAJ	VYBER	3300	29655	\N	\N	\N
1584552	5387	1997-03-04	VYDAJ	VYBER	4900	12984	\N	\N	\N
1584553	5387	1997-12-04	VYDAJ	VYBER	2100	-188	\N	\N	\N
1584554	5387	1997-10-18	VYDAJ	VYBER	2400	11208	\N	\N	\N
1584575	5387	1994-02-28	VYDAJ	VYBER	15	40479	SLUZBY	\N	\N
1584576	5387	1994-03-31	VYDAJ	VYBER	15	37480	SLUZBY	\N	\N
1584577	5387	1994-04-30	VYDAJ	VYBER	15	37260	SLUZBY	\N	\N
1584578	5387	1994-05-31	VYDAJ	VYBER	15	36854	SLUZBY	\N	\N
1584579	5387	1994-06-30	VYDAJ	VYBER	15	21264	SLUZBY	\N	\N
1584580	5387	1994-07-31	VYDAJ	VYBER	15	28610	SLUZBY	\N	\N
1584581	5387	1994-08-31	VYDAJ	VYBER	15	32074	SLUZBY	\N	\N
1584582	5387	1994-09-30	VYDAJ	VYBER	15	26638	SLUZBY	\N	\N
1584583	5387	1994-10-31	VYDAJ	VYBER	15	27993	SLUZBY	\N	\N
1584584	5387	1994-11-30	VYDAJ	VYBER	15	28762	SLUZBY	\N	\N
1584585	5387	1994-12-31	VYDAJ	VYBER	15	31264	SLUZBY	\N	\N
1584586	5387	1995-01-31	VYDAJ	VYBER	15	27924	SLUZBY	\N	\N
1584587	5387	1995-02-28	VYDAJ	VYBER	15	30789	SLUZBY	\N	\N
1584588	5387	1995-03-31	VYDAJ	VYBER	15	33165	SLUZBY	\N	\N
1584589	5387	1995-04-30	VYDAJ	VYBER	15	28931	SLUZBY	\N	\N
1584590	5387	1995-05-31	VYDAJ	VYBER	15	32203	SLUZBY	\N	\N
1584591	5387	1995-06-30	VYDAJ	VYBER	15	19962	SLUZBY	\N	\N
1584592	5387	1995-07-31	VYDAJ	VYBER	15	26498	SLUZBY	\N	\N
1584593	5387	1995-08-31	VYDAJ	VYBER	15	30960	SLUZBY	\N	\N
1584594	5387	1995-09-30	VYDAJ	VYBER	15	32640	SLUZBY	\N	\N
1584595	5387	1995-10-31	VYDAJ	VYBER	15	33724	SLUZBY	\N	\N
1584596	5387	1995-11-30	VYDAJ	VYBER	15	33207	SLUZBY	\N	\N
1584597	5387	1995-12-31	VYDAJ	VYBER	15	31825	SLUZBY	\N	\N
1584598	5387	1996-01-31	VYDAJ	VYBER	15	27695	SLUZBY	\N	\N
1584599	5387	1996-02-29	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
1584600	5387	1996-03-31	VYDAJ	VYBER	15	29921	SLUZBY	\N	\N
1584601	5387	1996-04-30	VYDAJ	VYBER	15	29884	SLUZBY	\N	\N
1584602	5387	1996-05-31	VYDAJ	VYBER	15	26145	SLUZBY	\N	\N
1584603	5387	1996-06-30	VYDAJ	VYBER	15	29922	SLUZBY	\N	\N
1584604	5387	1996-07-31	VYDAJ	VYBER	15	27480	SLUZBY	\N	\N
1584605	5387	1996-08-31	VYDAJ	VYBER	15	25434	SLUZBY	\N	\N
1584606	5387	1996-09-30	VYDAJ	VYBER	15	23071	SLUZBY	\N	\N
1584607	5387	1996-10-31	VYDAJ	VYBER	15	21806	SLUZBY	\N	\N
1584608	5387	1996-11-30	VYDAJ	VYBER	15	25448	SLUZBY	\N	\N
1584609	5387	1996-12-31	VYDAJ	VYBER	15	26517	SLUZBY	\N	\N
1584610	5387	1997-01-31	VYDAJ	VYBER	15	19959	SLUZBY	\N	\N
1584611	5387	1997-02-28	VYDAJ	VYBER	15	21084	SLUZBY	\N	\N
1584612	5387	1997-03-31	VYDAJ	VYBER	15	22904	SLUZBY	\N	\N
1584613	5387	1997-04-30	VYDAJ	VYBER	15	20831	SLUZBY	\N	\N
1584614	5387	1997-05-31	VYDAJ	VYBER	15	23760	SLUZBY	\N	\N
1584615	5387	1997-06-30	VYDAJ	VYBER	15	18716	SLUZBY	\N	\N
1584616	5387	1997-07-31	VYDAJ	VYBER	15	17831	SLUZBY	\N	\N
1584617	5387	1997-08-31	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
1584618	5387	1997-09-30	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
1584619	5387	1997-10-31	VYDAJ	VYBER	15	9752	SLUZBY	\N	\N
1584620	5387	1997-11-30	VYDAJ	VYBER	15	3712	SLUZBY	\N	\N
1584621	5387	1997-12-31	VYDAJ	VYBER	15	1680	SLUZBY	\N	\N
1584622	5387	1998-01-31	VYDAJ	VYBER	15	218	SLUZBY	\N	\N
1584623	5387	1998-02-28	VYDAJ	VYBER	15	3467	SLUZBY	\N	\N
1584624	5387	1998-03-31	VYDAJ	VYBER	15	4920	SLUZBY	\N	\N
1584625	5387	1998-04-30	VYDAJ	VYBER	15	1968	SLUZBY	\N	\N
1584629	5387	1998-08-31	VYDAJ	VYBER	15	-669	SLUZBY	\N	\N
1584630	5387	1998-09-30	VYDAJ	VYBER	15	354	SLUZBY	\N	\N
1584631	5387	1998-10-31	VYDAJ	VYBER	15	1078	SLUZBY	\N	\N
1584632	5387	1998-11-30	VYDAJ	VYBER	15	1307	SLUZBY	\N	\N
1584633	5387	1993-11-04	PRIJEM	VKLAD	7700	18181	\N	\N	\N
1584634	5387	1993-12-04	VYDAJ	VYBER	3200	25124	\N	\N	\N
1584635	5387	1994-01-03	VYDAJ	VYBER	10100	30252	\N	\N	\N
1584636	5387	1994-02-02	VYDAJ	VYBER	7100	33371	\N	\N	\N
1584637	5387	1994-03-04	VYDAJ	VYBER	5300	35179	\N	\N	\N
1584638	5387	1994-04-03	VYDAJ	VYBER	7100	27080	\N	\N	\N
1584639	5387	1994-05-03	VYDAJ	VYBER	6500	30760	\N	\N	\N
1584640	5387	1994-06-02	VYDAJ	VYBER	4100	32754	\N	\N	\N
1584641	5387	1994-07-02	PRIJEM	VKLAD	1100	22364	\N	\N	\N
1584642	5387	1994-08-01	VYDAJ	VYBER	2600	26010	\N	\N	\N
1584643	5387	1994-08-31	VYDAJ	VYBER	5300	26774	\N	\N	\N
1584644	5387	1994-09-30	VYDAJ	VYBER	6500	26652	\N	\N	\N
1584645	5387	1994-10-30	VYDAJ	VYBER	1100	27889	\N	\N	\N
1584646	5387	1994-11-29	VYDAJ	VYBER	5200	28644	\N	\N	\N
1584647	5387	1994-12-29	VYDAJ	VYBER	6800	31138	\N	\N	\N
1584648	5387	1995-01-28	PRIJEM	VKLAD	3300	27815	\N	\N	\N
1584649	5387	1995-02-27	VYDAJ	VYBER	3600	30675	\N	\N	\N
1584650	5387	1995-03-29	VYDAJ	VYBER	3300	33040	\N	\N	\N
1584651	5387	1995-04-28	VYDAJ	VYBER	6900	28816	\N	\N	\N
1584652	5387	1995-05-28	VYDAJ	VYBER	2900	32082	\N	\N	\N
1584653	5387	1995-06-27	PRIJEM	VKLAD	6500	19879	\N	\N	\N
1584654	5387	1995-07-27	PRIJEM	VKLAD	400	26413	\N	\N	\N
1584655	5387	1995-08-26	VYDAJ	VYBER	1500	30849	\N	\N	\N
1584656	5387	1995-09-25	VYDAJ	VYBER	5700	32511	\N	\N	\N
1584657	5387	1995-10-25	VYDAJ	VYBER	5400	33591	\N	\N	\N
1584658	5387	1995-11-24	VYDAJ	VYBER	6200	33075	\N	\N	\N
1584659	5387	1995-12-24	VYDAJ	VYBER	6400	35083	\N	\N	\N
1584660	5387	1996-01-23	VYDAJ	VYBER	1200	29976	\N	\N	\N
1584661	5387	1996-02-22	VYDAJ	VYBER	4400	28746	\N	\N	\N
1584662	5387	1996-03-23	VYDAJ	VYBER	4800	29806	\N	\N	\N
1584663	5387	1996-04-22	VYDAJ	VYBER	4700	29772	\N	\N	\N
1584664	5387	1996-05-22	VYDAJ	VYBER	5300	26035	\N	\N	\N
1584665	5387	1996-06-21	VYDAJ	VYBER	3800	29821	\N	\N	\N
1584666	5387	1996-07-21	VYDAJ	VYBER	8200	27373	\N	\N	\N
1584667	5387	1996-08-20	VYDAJ	VYBER	8400	25331	\N	\N	\N
1584668	5387	1996-09-19	VYDAJ	VYBER	8600	26885	\N	\N	\N
1584669	5387	1996-10-19	VYDAJ	VYBER	8400	21722	\N	\N	\N
1584670	5387	1996-11-18	VYDAJ	VYBER	2700	25357	\N	\N	\N
1584671	5387	1996-12-18	VYDAJ	VYBER	8600	31924	\N	\N	\N
1584672	5387	1997-01-17	VYDAJ	VYBER	1500	25668	\N	\N	\N
1584673	5387	1997-02-16	VYDAJ	VYBER	5300	21010	\N	\N	\N
1584674	5387	1997-03-18	VYDAJ	VYBER	200	22835	\N	\N	\N
1584675	5387	1997-04-17	VYDAJ	VYBER	4600	20755	\N	\N	\N
1584676	5387	1997-05-17	VYDAJ	VYBER	3900	23682	\N	\N	\N
1584677	5387	1997-06-16	VYDAJ	VYBER	12000	23436	\N	\N	\N
1584678	5387	1997-07-16	VYDAJ	VYBER	7800	17767	\N	\N	\N
1584679	5387	1997-08-15	VYDAJ	VYBER	5000	18682	\N	\N	\N
1584680	5387	1997-09-14	VYDAJ	VYBER	6900	17795	\N	\N	\N
1584681	5387	1997-10-14	VYDAJ	VYBER	10600	13608	\N	\N	\N
1584682	5387	1997-11-13	VYDAJ	VYBER	11600	3703	\N	\N	\N
1584683	5387	1997-12-13	VYDAJ	VYBER	10200	1688	\N	\N	\N
1584684	5387	1998-01-12	VYDAJ	VYBER	6300	5428	\N	\N	\N
1584685	5387	1998-02-11	VYDAJ	VYBER	2300	7969	\N	\N	\N
1584686	5387	1998-03-13	VYDAJ	VYBER	5000	8516	\N	\N	\N
1584687	5387	1998-04-12	VYDAJ	VYBER	8500	6471	\N	\N	\N
1584688	5387	1998-05-12	VYDAJ	VYBER	10700	1319	\N	\N	\N
1584689	5387	1998-06-11	VYDAJ	VYBER	16200	-3022	\N	\N	\N
1584690	5387	1998-07-11	VYDAJ	VYBER	10000	-2947	\N	\N	\N
1584691	5387	1998-08-10	VYDAJ	VYBER	7800	-10714	\N	\N	\N
1584692	5387	1998-09-09	VYDAJ	VYBER	9000	-9682	\N	\N	\N
1584693	5387	1998-10-09	VYDAJ	VYBER	6500	-6159	\N	\N	\N
1584694	5387	1998-11-08	VYDAJ	VYBER	6800	-8729	\N	\N	\N
1584695	5387	1998-12-08	VYDAJ	VYBER	5100	-3804	\N	\N	\N
1587011	5395	1996-04-26	PRIJEM	VKLAD	400	400	\N	\N	\N
1587012	5395	1996-11-30	PRIJEM	VKLAD	17068	55183	\N	\N	\N
1587015	5395	1996-04-28	PRIJEM	VKLAD	48437	48837	\N	\N	\N
1587016	5395	1996-06-16	PRIJEM	VKLAD	38209	98405	\N	\N	\N
1587017	5395	1996-08-17	PRIJEM	VKLAD	10189	57911	\N	\N	\N
1587018	5395	1996-06-28	PRIJEM	VKLAD	41861	103166	\N	\N	\N
1587019	5395	1996-09-15	PRIJEM	VKLAD	24100	98714	\N	\N	\N
1587021	5395	1996-12-13	PRIJEM	VKLAD	14029	73075	\N	\N	\N
1587022	5395	1996-05-12	PRIJEM	VKLAD	32170	81027	\N	\N	\N
1587024	5395	1996-08-01	PRIJEM	VKLAD	7428	47722	\N	\N	\N
1587027	5395	1996-05-22	PRIJEM	VKLAD	11133	92160	\N	\N	\N
1587028	5395	1996-12-07	PRIJEM	VKLAD	19007	74346	\N	\N	\N
1587030	5395	1996-09-01	PRIJEM	VKLAD	40678	78359	\N	\N	\N
1587031	5395	1997-03-09	PRIJEM	VKLAD	29389	52714	\N	\N	\N
1587032	5395	1997-11-10	PRIJEM	VKLAD	42350	69542	\N	\N	\N
1587033	5395	1997-01-12	PRIJEM	VKLAD	41409	80214	\N	\N	\N
1587034	5395	1998-02-06	PRIJEM	VKLAD	43696	76814	\N	\N	\N
1587035	5395	1998-02-26	PRIJEM	VKLAD	29505	102922	\N	\N	\N
1587036	5395	1998-07-12	PRIJEM	VKLAD	12587	104725	\N	\N	\N
1587037	5395	1998-02-24	PRIJEM	VKLAD	24997	73417	\N	\N	\N
1587038	5395	1998-09-06	PRIJEM	VKLAD	21252	65544	\N	\N	\N
1587039	5395	1998-07-05	PRIJEM	VKLAD	6145	77059	\N	\N	\N
1587040	5395	1998-07-09	PRIJEM	VKLAD	15079	92138	\N	\N	\N
1587041	5395	1998-06-09	PRIJEM	VKLAD	27081	57115	\N	\N	\N
1587042	5395	1998-06-30	PRIJEM	VKLAD	36887	70802	\N	\N	\N
1587043	5395	1998-09-07	PRIJEM	VKLAD	28779	94323	\N	\N	\N
1587044	5395	1998-12-17	PRIJEM	VKLAD	11058	45312	\N	\N	\N
1587045	5395	1998-01-22	PRIJEM	VKLAD	11318	39611	\N	\N	\N
1587046	5395	1998-10-23	PRIJEM	VKLAD	33934	76184	\N	\N	\N
1587047	5395	1998-03-10	PRIJEM	VKLAD	37401	140530	\N	\N	\N
1587048	5395	1998-05-11	PRIJEM	VKLAD	45455	97788	\N	\N	\N
1587049	5395	1998-07-19	PRIJEM	VKLAD	22116	85647	\N	\N	\N
1587050	5395	1998-06-28	PRIJEM	VKLAD	7053	33915	\N	\N	\N
1587051	5395	1998-09-19	PRIJEM	VKLAD	28956	85886	\N	\N	\N
1587058	5395	1996-06-30	VYDAJ	VYBER	3600	47412	\N	\N	0
1587059	5395	1996-08-22	VYDAJ	VYBER	5000	52911	\N	\N	0
1587060	5395	1996-08-31	VYDAJ	VYBER	3600	37681	\N	\N	0
1587061	5395	1996-10-04	VYDAJ	VYBER	5300	52209	\N	\N	0
1587062	5395	1996-11-18	VYDAJ	VYBER	3100	38515	\N	\N	0
1587063	5395	1996-12-11	VYDAJ	VYBER	4500	59046	\N	\N	0
1587064	5395	1997-01-21	VYDAJ	VYBER	4300	49514	\N	\N	0
1587065	5395	1997-02-15	VYDAJ	VYBER	3100	17944	\N	\N	0
1587066	5395	1997-03-05	VYDAJ	VYBER	3800	23325	\N	\N	0
1587067	5395	1997-04-14	VYDAJ	VYBER	4300	32676	\N	\N	0
1587068	5395	1997-05-13	VYDAJ	VYBER	3100	35617	\N	\N	0
1587069	5395	1997-05-26	VYDAJ	VYBER	5100	29167	\N	\N	0
1587070	5395	1997-07-22	VYDAJ	VYBER	2700	29804	\N	\N	0
1587071	5395	1997-08-06	VYDAJ	VYBER	5400	24512	\N	\N	0
1587072	5395	1997-09-12	VYDAJ	PREVOD NA UCET	4394	24425	UVER	WX	43853229
1587073	5395	1997-10-12	VYDAJ	PREVOD NA UCET	4394	22890	UVER	WX	43853229
1587074	5395	1997-11-12	VYDAJ	PREVOD NA UCET	4394	61248	UVER	WX	43853229
1587075	5395	1997-12-12	VYDAJ	PREVOD NA UCET	4394	39132	UVER	WX	43853229
1587076	5395	1998-01-12	VYDAJ	PREVOD NA UCET	4394	25993	UVER	WX	43853229
1587219	5395	1997-06-20	PRIJEM	VKLAD	2500	29397	\N	\N	\N
1587077	5395	1998-02-12	VYDAJ	PREVOD NA UCET	4394	72420	UVER	WX	43853229
1587078	5395	1998-03-12	VYDAJ	PREVOD NA UCET	4394	110736	UVER	WX	43853229
1587079	5395	1998-04-12	VYDAJ	PREVOD NA UCET	4394	65196	UVER	WX	43853229
1587080	5395	1998-05-12	VYDAJ	PREVOD NA UCET	4394	93394	UVER	WX	43853229
1587081	5395	1998-06-12	VYDAJ	PREVOD NA UCET	4394	30262	UVER	WX	43853229
1587082	5395	1998-07-12	VYDAJ	PREVOD NA UCET	4394	100331	UVER	WX	43853229
1587083	5395	1998-08-12	VYDAJ	PREVOD NA UCET	4394	71366	UVER	WX	43853229
1587084	5395	1998-09-12	VYDAJ	PREVOD NA UCET	4394	89930	UVER	WX	43853229
1587085	5395	1998-10-12	VYDAJ	PREVOD NA UCET	4394	56850	UVER	WX	43853229
1587086	5395	1998-11-12	VYDAJ	PREVOD NA UCET	4394	49545	UVER	WX	43853229
1587087	5395	1998-12-12	VYDAJ	PREVOD NA UCET	4394	34254	UVER	WX	43853229
1587090	5395	1996-09-10	VYBER	VYBER	3745	74614	\N	\N	\N
1587091	5395	1996-09-27	VYBER	VYBER	5670	57244	\N	\N	\N
1587099	5395	1997-01-24	VYBER	VYBER	8451	27749	\N	\N	\N
1587104	5395	1997-05-15	VYBER	VYBER	3450	32167	\N	\N	\N
1587106	5395	1997-01-24	VYBER	VYBER	13314	36200	\N	\N	\N
1587107	5395	1997-10-04	VYBER	VYBER	5052	27284	\N	\N	\N
1587111	5395	1998-01-22	VYBER	VYBER	4811	34800	\N	\N	\N
1587112	5395	1998-05-23	VYBER	VYBER	8733	29831	\N	\N	\N
1587113	5395	1998-06-12	VYBER	VYBER	22459	34656	\N	\N	\N
1587116	5395	1998-09-22	VYBER	VYBER	8294	77592	\N	\N	\N
1587118	5395	1998-05-22	VYBER	VYBER	24430	38564	\N	\N	\N
1587120	5395	1998-10-10	VYBER	VYBER	8226	69643	\N	\N	\N
1587124	5395	1996-12-15	VYDAJ	VYBER	4500	68575	\N	\N	\N
1587125	5395	1997-12-02	VYDAJ	VYBER	7500	43526	\N	\N	\N
1587126	5395	1998-12-21	VYDAJ	VYBER	7500	37812	\N	\N	\N
1587133	5395	1997-01-16	VYDAJ	VYBER	5100	75114	\N	\N	\N
1587134	5395	1997-01-03	VYDAJ	VYBER	3900	46905	\N	\N	\N
1587135	5395	1997-01-08	VYDAJ	VYBER	2400	38805	\N	\N	\N
1587136	5395	1997-01-05	VYDAJ	VYBER	5700	41205	\N	\N	\N
1587137	5395	1997-01-20	VYDAJ	VYBER	7800	67314	\N	\N	\N
1587138	5395	1997-01-28	VYDAJ	VYBER	6900	20849	\N	\N	\N
1587139	5395	1998-01-27	VYDAJ	VYBER	1800	33000	\N	\N	\N
1587140	5395	1998-01-04	VYDAJ	VYBER	2100	30387	\N	\N	\N
1587148	5395	1996-12-09	VYDAJ	VYBER	10800	63546	\N	\N	\N
1587150	5395	1996-10-24	VYDAJ	VYBER	1800	41409	\N	\N	\N
1587151	5395	1996-09-15	VYDAJ	VYBER	6000	92714	\N	\N	\N
1587152	5395	1997-11-10	VYDAJ	VYBER	3900	65642	\N	\N	\N
1587154	5395	1997-06-11	VYDAJ	VYBER	2400	26897	\N	\N	\N
1587158	5395	1997-03-28	VYDAJ	VYBER	6900	36814	\N	\N	\N
1587160	5395	1997-12-28	VYDAJ	VYBER	2700	32332	\N	\N	\N
1587161	5395	1998-10-12	VYDAJ	VYBER	8400	61243	\N	\N	\N
1587162	5395	1998-02-23	VYDAJ	VYBER	3900	48420	\N	\N	\N
1587163	5395	1998-07-25	VYDAJ	VYBER	10200	75447	\N	\N	\N
1587164	5395	1998-08-21	VYDAJ	VYBER	4800	44066	\N	\N	\N
1587167	5395	1998-11-13	VYDAJ	VYBER	10800	38745	\N	\N	\N
1587175	5395	1996-06-30	VYDAJ	VYBER	15	103412	SLUZBY	\N	\N
1587176	5395	1996-07-31	VYDAJ	VYBER	15	40294	SLUZBY	\N	\N
1587177	5395	1996-08-31	VYDAJ	VYBER	15	41281	SLUZBY	\N	\N
1587178	5395	1996-09-30	VYDAJ	VYBER	15	57509	SLUZBY	\N	\N
1587179	5395	1996-10-31	VYDAJ	VYBER	15	41615	SLUZBY	\N	\N
1587180	5395	1996-11-30	VYDAJ	VYBER	15	55339	SLUZBY	\N	\N
1587181	5395	1996-12-31	VYDAJ	VYBER	15	50805	SLUZBY	\N	\N
1587182	5395	1997-01-31	VYDAJ	VYBER	15	21044	SLUZBY	\N	\N
1587183	5395	1997-02-28	VYDAJ	VYBER	15	27125	SLUZBY	\N	\N
1587184	5395	1997-03-31	VYDAJ	VYBER	15	36976	SLUZBY	\N	\N
1587185	5395	1997-04-30	VYDAJ	VYBER	15	38717	SLUZBY	\N	\N
1587186	5395	1997-05-31	VYDAJ	VYBER	15	29297	SLUZBY	\N	\N
1587187	5395	1997-06-30	VYDAJ	VYBER	15	29504	SLUZBY	\N	\N
1587188	5395	1997-07-31	VYDAJ	VYBER	15	29912	SLUZBY	\N	\N
1587189	5395	1997-08-31	VYDAJ	VYBER	15	28819	SLUZBY	\N	\N
1587190	5395	1997-09-30	VYDAJ	VYBER	15	32336	SLUZBY	\N	\N
1587191	5395	1997-10-31	VYDAJ	VYBER	15	27192	SLUZBY	\N	\N
1587192	5395	1997-11-30	VYDAJ	VYBER	15	51026	SLUZBY	\N	\N
1587193	5395	1997-12-31	VYDAJ	VYBER	15	32487	SLUZBY	\N	\N
1587194	5395	1998-01-31	VYDAJ	VYBER	15	33118	SLUZBY	\N	\N
1587195	5395	1998-02-28	VYDAJ	VYBER	15	103129	SLUZBY	\N	\N
1587196	5395	1998-03-31	VYDAJ	VYBER	15	69590	SLUZBY	\N	\N
1587197	5395	1998-04-30	VYDAJ	VYBER	15	52333	SLUZBY	\N	\N
1587198	5395	1998-05-31	VYDAJ	VYBER	15	30034	SLUZBY	\N	\N
1587199	5395	1998-06-30	VYDAJ	VYBER	15	70914	SLUZBY	\N	\N
1587200	5395	1998-07-31	VYDAJ	VYBER	15	75760	SLUZBY	\N	\N
1587201	5395	1998-08-31	VYDAJ	VYBER	15	44292	SLUZBY	\N	\N
1587202	5395	1998-09-30	VYDAJ	VYBER	15	77869	SLUZBY	\N	\N
1587203	5395	1998-10-31	VYDAJ	VYBER	15	76439	SLUZBY	\N	\N
1587204	5395	1998-11-30	VYDAJ	VYBER	15	38948	SLUZBY	\N	\N
1587205	5395	1996-05-26	VYDAJ	VYBER	32200	59960	\N	\N	\N
1587206	5395	1996-06-25	VYDAJ	VYBER	37100	61305	\N	\N	\N
1587207	5395	1996-06-30	VYDAJ	VYBER	52400	51012	\N	\N	\N
1587208	5395	1996-07-25	VYDAJ	VYBER	7300	40112	\N	\N	\N
1587209	5395	1996-08-24	VYDAJ	VYBER	11800	41111	\N	\N	\N
1587210	5395	1996-09-23	VYDAJ	VYBER	29800	62914	\N	\N	\N
1587211	5395	1996-10-23	VYDAJ	VYBER	9000	43209	\N	\N	\N
1587212	5395	1996-11-22	VYDAJ	VYBER	400	38115	\N	\N	\N
1587213	5395	1996-12-22	VYDAJ	VYBER	18000	50575	\N	\N	\N
1587214	5395	1997-01-21	VYDAJ	VYBER	13500	53814	\N	\N	\N
1587215	5395	1997-02-20	PRIJEM	VKLAD	9100	27044	\N	\N	\N
1587216	5395	1997-03-22	VYDAJ	VYBER	9000	43714	\N	\N	\N
1587217	5395	1997-04-21	PRIJEM	VKLAD	5900	38576	\N	\N	\N
1587218	5395	1997-05-21	PRIJEM	VKLAD	2100	34267	\N	\N	\N
1587220	5395	1997-07-20	PRIJEM	VKLAD	3000	32504	\N	\N	\N
1587221	5395	1997-08-19	PRIJEM	VKLAD	4200	28712	\N	\N	\N
1587222	5395	1997-09-18	PRIJEM	VKLAD	7800	32225	\N	\N	\N
1587223	5395	1997-10-18	PRIJEM	VKLAD	4200	27090	\N	\N	\N
1587224	5395	1997-11-17	VYDAJ	VYBER	10400	50848	\N	\N	\N
1587225	5395	1997-12-17	VYDAJ	VYBER	4100	35032	\N	\N	\N
1587226	5395	1998-01-16	PRIJEM	VKLAD	2300	28293	\N	\N	\N
1587227	5395	1998-02-15	VYDAJ	VYBER	20100	52320	\N	\N	\N
1587228	5395	1998-03-10	VYDAJ	VYBER	25400	115130	\N	\N	\N
1587229	5395	1998-03-17	VYDAJ	VYBER	41500	69236	\N	\N	\N
1587230	5395	1998-04-16	VYDAJ	VYBER	13100	52096	\N	\N	\N
1587231	5395	1998-05-16	VYDAJ	VYBER	30400	62994	\N	\N	\N
1587232	5395	1998-06-15	VYDAJ	VYBER	3400	26862	\N	\N	\N
1587233	5395	1998-07-15	VYDAJ	VYBER	36800	63531	\N	\N	\N
1587234	5395	1998-08-14	VYDAJ	VYBER	22500	48866	\N	\N	\N
1587235	5395	1998-09-13	VYDAJ	VYBER	33000	56930	\N	\N	\N
1587236	5395	1998-10-13	VYDAJ	VYBER	14600	42250	\N	\N	\N
1587237	5395	1998-11-12	VYDAJ	VYBER	22500	53939	\N	\N	\N
1587238	5395	1998-12-12	VYDAJ	VYBER	300	38648	\N	\N	\N
1595748	5422	1994-10-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1595751	5422	1994-11-10	PRIJEM	VKLAD	12101	30124	\N	\N	\N
1595753	5422	1994-10-28	PRIJEM	VKLAD	16913	18013	\N	\N	\N
1595760	5422	1994-11-26	PRIJEM	VKLAD	31094	57418	\N	\N	\N
1595769	5422	1994-11-28	PRIJEM	VKLAD	35272	92690	\N	\N	\N
1595770	5422	1995-06-05	PRIJEM	VKLAD	29402	118208	\N	\N	\N
1595771	5422	1995-06-02	PRIJEM	VKLAD	21810	88806	\N	\N	\N
1595772	5422	1995-06-11	PRIJEM	VKLAD	30664	94340	\N	\N	\N
1595773	5422	1995-02-08	PRIJEM	VKLAD	17465	70685	\N	\N	\N
1595774	5422	1995-07-25	PRIJEM	VKLAD	30166	85673	\N	\N	\N
1595775	5422	1995-07-14	PRIJEM	VKLAD	45435	95507	\N	\N	\N
1595776	5422	1995-06-13	PRIJEM	VKLAD	33974	128314	\N	\N	\N
1595777	5422	1995-10-01	PRIJEM	VKLAD	8448	79495	\N	\N	\N
1595778	5422	1995-08-24	PRIJEM	VKLAD	49781	100821	\N	\N	\N
1595779	5422	1995-10-28	PRIJEM	VKLAD	48870	102777	\N	\N	\N
1595780	5422	1995-12-05	PRIJEM	VKLAD	36985	90907	\N	\N	\N
1595781	5422	1995-10-22	PRIJEM	VKLAD	9399	56307	\N	\N	\N
1595782	5422	1995-11-09	PRIJEM	VKLAD	48015	151062	\N	\N	\N
1595783	5422	1995-12-05	PRIJEM	VKLAD	30028	53922	\N	\N	\N
1595784	5422	1995-08-19	PRIJEM	VKLAD	20911	51040	\N	\N	\N
1595785	5422	1995-01-20	PRIJEM	VKLAD	31239	89338	\N	\N	\N
1595786	5422	1995-02-23	PRIJEM	VKLAD	33151	71349	\N	\N	\N
1595787	5422	1995-05-18	PRIJEM	VKLAD	18463	39483	\N	\N	\N
1595788	5422	1995-05-01	PRIJEM	VKLAD	26730	43636	\N	\N	\N
1595789	5422	1995-05-24	PRIJEM	VKLAD	37778	66861	\N	\N	\N
1595790	5422	1995-09-22	PRIJEM	VKLAD	39488	91866	\N	\N	\N
1595791	5422	1995-02-02	PRIJEM	VKLAD	7868	53220	\N	\N	\N
1595792	5422	1996-03-07	PRIJEM	VKLAD	18853	57498	\N	\N	\N
1595793	5422	1996-03-20	PRIJEM	VKLAD	22474	64121	\N	\N	\N
1595794	5422	1996-05-30	PRIJEM	VKLAD	30770	113414	\N	\N	\N
1595795	5422	1996-06-25	PRIJEM	VKLAD	44319	100896	\N	\N	\N
1595796	5422	1996-07-18	PRIJEM	VKLAD	43705	76817	\N	\N	\N
1595797	5422	1996-05-26	PRIJEM	VKLAD	37707	82644	\N	\N	\N
1595798	5422	1996-02-11	PRIJEM	VKLAD	46971	59873	\N	\N	\N
1595799	5422	1996-04-26	PRIJEM	VKLAD	47080	94101	\N	\N	\N
1595800	5422	1996-11-16	PRIJEM	VKLAD	41174	85918	\N	\N	\N
1595801	5422	1996-10-22	PRIJEM	VKLAD	38526	47733	\N	\N	\N
1595802	5422	1996-08-18	PRIJEM	VKLAD	41732	89147	\N	\N	\N
1595803	5422	1996-07-24	PRIJEM	VKLAD	21420	98237	\N	\N	\N
1595804	5422	1996-03-08	PRIJEM	VKLAD	48636	106134	\N	\N	\N
1595805	5422	1996-07-08	PRIJEM	VKLAD	46311	154699	\N	\N	\N
1595806	5422	1996-08-23	PRIJEM	VKLAD	27469	116616	\N	\N	\N
1595807	5422	1996-04-08	PRIJEM	VKLAD	34070	77508	\N	\N	\N
1595808	5422	1996-12-04	PRIJEM	VKLAD	36669	122940	\N	\N	\N
1595809	5422	1996-09-06	PRIJEM	VKLAD	21270	78386	\N	\N	\N
1595810	5422	1996-07-10	PRIJEM	VKLAD	6048	65847	\N	\N	\N
1595811	5422	1996-10-24	PRIJEM	VKLAD	11839	59572	\N	\N	\N
1595812	5422	1996-07-08	PRIJEM	VKLAD	21555	108388	\N	\N	\N
1595813	5422	1996-01-12	PRIJEM	VKLAD	19938	41186	\N	\N	\N
1595814	5422	1996-11-06	PRIJEM	VKLAD	36292	138779	\N	\N	\N
1595815	5422	1996-05-30	PRIJEM	VKLAD	34114	147528	\N	\N	\N
1595816	5422	1996-10-29	PRIJEM	VKLAD	42779	102351	\N	\N	\N
1595817	5422	1997-08-03	PRIJEM	VKLAD	21917	119194	\N	\N	\N
1595818	5422	1997-10-14	PRIJEM	VKLAD	45683	61919	\N	\N	\N
1595819	5422	1997-01-05	PRIJEM	VKLAD	31594	52514	\N	\N	\N
1595820	5422	1997-07-31	PRIJEM	VKLAD	35503	97115	\N	\N	\N
1595821	5422	1997-01-15	PRIJEM	VKLAD	9518	30397	\N	\N	\N
1595822	5422	1997-08-12	PRIJEM	VKLAD	12703	54665	\N	\N	\N
1595823	5422	1997-04-17	PRIJEM	VKLAD	37340	67475	\N	\N	\N
1595824	5422	1997-07-30	PRIJEM	VKLAD	20287	61612	\N	\N	\N
1595825	5422	1997-02-26	PRIJEM	VKLAD	35216	116089	\N	\N	\N
1595826	5422	1997-01-25	PRIJEM	VKLAD	42766	88626	\N	\N	\N
1595827	5422	1997-02-09	PRIJEM	VKLAD	26879	70902	\N	\N	\N
1595828	5422	1997-07-13	PRIJEM	VKLAD	6865	45080	\N	\N	\N
1595829	5422	1997-04-21	PRIJEM	VKLAD	10969	78444	\N	\N	\N
1595830	5422	1997-06-21	PRIJEM	VKLAD	18473	34555	\N	\N	\N
1595831	5422	1997-05-25	PRIJEM	VKLAD	23612	32234	\N	\N	\N
1595832	5422	1997-11-25	PRIJEM	VKLAD	25846	46036	\N	\N	\N
1595833	5422	1997-08-14	PRIJEM	VKLAD	32247	77009	\N	\N	\N
1595834	5422	1997-01-18	PRIJEM	VKLAD	34063	64460	\N	\N	\N
1595835	5422	1997-02-11	PRIJEM	VKLAD	20706	90776	\N	\N	\N
1595836	5422	1997-04-17	PRIJEM	VKLAD	15727	30135	\N	\N	\N
1595837	5422	1997-07-04	PRIJEM	VKLAD	40538	75195	\N	\N	\N
1595838	5422	1998-12-19	PRIJEM	VKLAD	22925	41969	\N	\N	\N
1595839	5422	1998-06-14	PRIJEM	VKLAD	37968	51339	\N	\N	\N
1595840	5422	1998-06-18	PRIJEM	VKLAD	47372	80711	\N	\N	\N
1595841	5422	1998-11-21	PRIJEM	VKLAD	10689	28388	\N	\N	\N
1595842	5422	1998-04-11	PRIJEM	VKLAD	6148	31320	\N	\N	\N
1595856	5422	1995-01-31	VYDAJ	VYBER	5500	45352	\N	\N	0
1595857	5422	1995-03-18	VYDAJ	VYBER	6400	42151	\N	\N	0
1595858	5422	1995-04-03	VYDAJ	VYBER	7300	25943	\N	\N	0
1595859	5422	1995-05-21	VYDAJ	VYBER	4300	29083	\N	\N	0
1595860	5422	1995-06-22	VYDAJ	VYBER	5200	54359	\N	\N	0
1595861	5422	1995-07-14	VYDAJ	VYBER	7800	87707	\N	\N	0
1595862	5422	1995-07-28	VYDAJ	VYBER	6900	78773	\N	\N	0
1595863	5422	1995-09-17	VYDAJ	VYBER	5500	52378	\N	\N	0
1595864	5422	1995-10-10	VYDAJ	VYBER	5800	72863	\N	\N	0
1595865	5422	1995-11-11	VYDAJ	VYBER	8800	49530	\N	\N	0
1595866	5422	1995-12-08	VYDAJ	VYBER	4700	86207	\N	\N	0
1595867	5422	1996-01-07	VYDAJ	VYBER	7100	36180	\N	\N	0
1595868	5422	1996-02-06	VYDAJ	VYBER	6600	13734	\N	\N	0
1595869	5422	1996-03-23	VYDAJ	VYBER	6500	57621	\N	\N	0
1595870	5422	1996-04-27	VYDAJ	VYBER	4000	90101	\N	\N	0
1595871	5422	1996-05-11	VYDAJ	VYBER	8400	81092	\N	\N	0
1595872	5422	1996-06-12	VYDAJ	PREVOD NA UCET	6148	98732	UVER	YZ	91485505
1595873	5422	1996-07-12	VYDAJ	PREVOD NA UCET	6148	58867	UVER	YZ	91485505
1595874	5422	1996-08-12	VYDAJ	PREVOD NA UCET	6148	91570	UVER	YZ	91485505
1595875	5422	1996-09-12	VYDAJ	PREVOD NA UCET	6148	37041	UVER	YZ	91485505
1595876	5422	1996-10-12	VYDAJ	PREVOD NA UCET	6148	12962	UVER	YZ	91485505
1595877	5422	1996-11-12	VYDAJ	PREVOD NA UCET	6148	48499	UVER	YZ	91485505
1595878	5422	1996-12-12	VYDAJ	PREVOD NA UCET	6148	37660	UVER	YZ	91485505
1595879	5422	1997-01-12	VYDAJ	PREVOD NA UCET	6148	28234	UVER	YZ	91485505
1595880	5422	1997-02-12	VYDAJ	PREVOD NA UCET	6148	84628	UVER	YZ	91485505
1595881	5422	1997-03-12	VYDAJ	PREVOD NA UCET	6148	38621	UVER	YZ	91485505
1595882	5422	1997-04-12	VYDAJ	PREVOD NA UCET	6148	18163	UVER	YZ	91485505
1595883	5422	1997-05-12	VYDAJ	PREVOD NA UCET	6148	12377	UVER	YZ	91485505
1595884	5422	1997-06-12	VYDAJ	PREVOD NA UCET	6148	19837	UVER	YZ	91485505
1595885	5422	1997-07-12	VYDAJ	PREVOD NA UCET	6148	38215	UVER	YZ	91485505
1595886	5422	1997-08-12	VYDAJ	PREVOD NA UCET	6148	48517	UVER	YZ	91485505
1595887	5422	1997-09-12	VYDAJ	PREVOD NA UCET	6148	36255	UVER	YZ	91485505
1595888	5422	1997-10-12	VYDAJ	PREVOD NA UCET	6148	19991	UVER	YZ	91485505
1595889	5422	1997-11-12	VYDAJ	PREVOD NA UCET	6148	23945	UVER	YZ	91485505
1595890	5422	1997-12-12	VYDAJ	PREVOD NA UCET	6148	18871	UVER	YZ	91485505
1595891	5422	1998-01-12	VYDAJ	PREVOD NA UCET	6148	14017	UVER	YZ	91485505
1595892	5422	1998-02-12	VYDAJ	PREVOD NA UCET	6148	16217	UVER	YZ	91485505
1595893	5422	1998-03-12	VYDAJ	PREVOD NA UCET	6148	15223	UVER	YZ	91485505
1595894	5422	1998-04-12	VYDAJ	PREVOD NA UCET	6148	25172	UVER	YZ	91485505
1595895	5422	1998-05-12	VYDAJ	PREVOD NA UCET	6148	18305	UVER	YZ	91485505
1595896	5422	1998-06-12	VYDAJ	PREVOD NA UCET	6148	17126	UVER	YZ	91485505
1595897	5422	1998-07-12	VYDAJ	PREVOD NA UCET	6148	37702	UVER	YZ	91485505
1595898	5422	1998-08-12	VYDAJ	PREVOD NA UCET	6148	25732	UVER	YZ	91485505
1595899	5422	1998-09-12	VYDAJ	PREVOD NA UCET	6148	22093	UVER	YZ	91485505
1595900	5422	1998-10-12	VYDAJ	PREVOD NA UCET	6148	22425	UVER	YZ	91485505
1595901	5422	1998-11-12	VYDAJ	PREVOD NA UCET	6148	21454	UVER	YZ	91485505
1595902	5422	1998-12-12	VYDAJ	PREVOD NA UCET	6148	22799	UVER	YZ	91485505
1595916	5422	1995-02-10	VYDAJ	PREVOD NA UCET	832	55753	SIPO	AB	38885069
1595917	5422	1995-03-10	VYDAJ	PREVOD NA UCET	832	52306	SIPO	AB	38885069
1595918	5422	1995-04-10	VYDAJ	PREVOD NA UCET	832	12211	SIPO	AB	38885069
1595919	5422	1995-05-10	VYDAJ	PREVOD NA UCET	832	24775	SIPO	AB	38885069
1595920	5422	1995-06-10	VYDAJ	PREVOD NA UCET	832	63676	SIPO	AB	38885069
1595921	5422	1995-07-10	VYDAJ	PREVOD NA UCET	832	53827	SIPO	AB	38885069
1595922	5422	1995-08-10	VYDAJ	PREVOD NA UCET	832	59151	SIPO	AB	38885069
1595923	5422	1995-09-10	VYDAJ	PREVOD NA UCET	832	95333	SIPO	AB	38885069
1595924	5422	1995-10-10	VYDAJ	PREVOD NA UCET	832	78663	SIPO	AB	38885069
1595925	5422	1995-11-10	VYDAJ	PREVOD NA UCET	832	58330	SIPO	AB	38885069
1595926	5422	1995-12-10	VYDAJ	PREVOD NA UCET	832	85375	SIPO	AB	38885069
1595927	5422	1996-01-10	VYDAJ	PREVOD NA UCET	832	21248	SIPO	AB	38885069
1595928	5422	1996-02-10	VYDAJ	PREVOD NA UCET	832	12902	SIPO	AB	38885069
1595929	5422	1996-03-10	VYDAJ	PREVOD NA UCET	832	70302	SIPO	AB	38885069
1595930	5422	1996-04-10	VYDAJ	PREVOD NA UCET	832	76676	SIPO	AB	38885069
1595931	5422	1996-05-10	VYDAJ	PREVOD NA UCET	832	89492	SIPO	AB	38885069
1595932	5422	1996-06-10	VYDAJ	PREVOD NA UCET	832	104880	SIPO	AB	38885069
1595933	5422	1996-07-10	VYDAJ	PREVOD NA UCET	832	65015	SIPO	AB	38885069
1595934	5422	1996-08-10	VYDAJ	PREVOD NA UCET	832	97718	SIPO	AB	38885069
1595935	5422	1996-09-10	VYDAJ	PREVOD NA UCET	832	70189	SIPO	AB	38885069
1595936	5422	1996-10-10	VYDAJ	PREVOD NA UCET	832	22010	SIPO	AB	38885069
1595937	5422	1996-11-10	VYDAJ	PREVOD NA UCET	832	119547	SIPO	AB	38885069
1595938	5422	1996-12-10	VYDAJ	PREVOD NA UCET	832	79108	SIPO	AB	38885069
1595939	5422	1997-01-10	VYDAJ	PREVOD NA UCET	832	34382	SIPO	AB	38885069
1595940	5422	1997-02-10	VYDAJ	PREVOD NA UCET	832	70070	SIPO	AB	38885069
1595941	5422	1997-03-10	VYDAJ	PREVOD NA UCET	832	64469	SIPO	AB	38885069
1595942	5422	1997-04-10	VYDAJ	PREVOD NA UCET	832	24311	SIPO	AB	38885069
1595943	5422	1997-05-10	VYDAJ	PREVOD NA UCET	832	18525	SIPO	AB	38885069
1595944	5422	1997-06-10	VYDAJ	PREVOD NA UCET	832	25985	SIPO	AB	38885069
1595945	5422	1997-07-10	VYDAJ	PREVOD NA UCET	832	44363	SIPO	AB	38885069
1595946	5422	1997-08-10	VYDAJ	PREVOD NA UCET	832	41962	SIPO	AB	38885069
1595947	5422	1997-09-10	VYDAJ	PREVOD NA UCET	832	42403	SIPO	AB	38885069
1595948	5422	1997-10-10	VYDAJ	PREVOD NA UCET	832	26139	SIPO	AB	38885069
1595949	5422	1997-11-10	VYDAJ	PREVOD NA UCET	832	30093	SIPO	AB	38885069
1595950	5422	1997-12-10	VYDAJ	PREVOD NA UCET	832	25019	SIPO	AB	38885069
1595951	5422	1998-01-10	VYDAJ	PREVOD NA UCET	832	20165	SIPO	AB	38885069
1595952	5422	1998-02-10	VYDAJ	PREVOD NA UCET	832	22365	SIPO	AB	38885069
1595953	5422	1998-03-10	VYDAJ	PREVOD NA UCET	832	21371	SIPO	AB	38885069
1595954	5422	1998-04-10	VYDAJ	PREVOD NA UCET	832	25172	SIPO	AB	38885069
1595955	5422	1998-05-10	VYDAJ	PREVOD NA UCET	832	24453	SIPO	AB	38885069
1595956	5422	1998-06-10	VYDAJ	PREVOD NA UCET	832	23274	SIPO	AB	38885069
1595957	5422	1998-07-10	VYDAJ	PREVOD NA UCET	832	43850	SIPO	AB	38885069
1595958	5422	1998-08-10	VYDAJ	PREVOD NA UCET	832	31880	SIPO	AB	38885069
1595959	5422	1998-09-10	VYDAJ	PREVOD NA UCET	832	28241	SIPO	AB	38885069
1595960	5422	1998-10-10	VYDAJ	PREVOD NA UCET	832	28573	SIPO	AB	38885069
1595961	5422	1998-11-10	VYDAJ	PREVOD NA UCET	832	27602	SIPO	AB	38885069
1595962	5422	1998-12-10	VYDAJ	PREVOD NA UCET	832	28947	SIPO	AB	38885069
1595976	5422	1995-02-13	VYDAJ	PREVOD NA UCET	2320	53433	 	WX	95722668
1595977	5422	1995-03-13	VYDAJ	PREVOD NA UCET	2320	49986	 	WX	95722668
1595978	5422	1995-04-13	VYDAJ	PREVOD NA UCET	2320	9891	 	WX	95722668
1595979	5422	1995-05-13	VYDAJ	PREVOD NA UCET	2320	21020	 	WX	95722668
1595980	5422	1995-06-13	VYDAJ	PREVOD NA UCET	2320	125994	 	WX	95722668
1595981	5422	1995-07-13	VYDAJ	PREVOD NA UCET	2320	51507	 	WX	95722668
1595982	5422	1995-08-13	VYDAJ	PREVOD NA UCET	2320	56831	 	WX	95722668
1595983	5422	1995-09-13	VYDAJ	PREVOD NA UCET	2320	91578	 	WX	95722668
1595984	5422	1995-10-13	VYDAJ	PREVOD NA UCET	2320	69108	 	WX	95722668
1595985	5422	1995-11-13	VYDAJ	PREVOD NA UCET	2320	47210	 	WX	95722668
1595986	5422	1995-12-13	VYDAJ	PREVOD NA UCET	2320	81620	 	WX	95722668
1595987	5422	1996-01-13	VYDAJ	PREVOD NA UCET	2320	32631	 	WX	95722668
1595988	5422	1996-02-13	VYDAJ	PREVOD NA UCET	2320	57553	 	WX	95722668
1595989	5422	1996-03-13	VYDAJ	PREVOD NA UCET	2320	66547	 	WX	95722668
1595990	5422	1996-04-13	VYDAJ	PREVOD NA UCET	2320	72921	 	WX	95722668
1595991	5422	1996-05-13	VYDAJ	PREVOD NA UCET	2320	77337	 	WX	95722668
1595992	5422	1996-06-13	VYDAJ	PREVOD NA UCET	2320	56577	 	WX	95722668
1595993	5422	1996-07-13	VYDAJ	PREVOD NA UCET	2320	33112	 	WX	95722668
1595994	5422	1996-08-13	VYDAJ	PREVOD NA UCET	2320	47415	 	WX	95722668
1595995	5422	1996-09-13	VYDAJ	PREVOD NA UCET	2320	34721	 	WX	95722668
1595996	5422	1996-10-13	VYDAJ	PREVOD NA UCET	2320	9207	 	WX	95722668
1595997	5422	1996-11-13	VYDAJ	PREVOD NA UCET	2320	44744	 	WX	95722668
1595998	5422	1996-12-13	VYDAJ	PREVOD NA UCET	2320	35340	 	WX	95722668
1595999	5422	1997-01-13	VYDAJ	PREVOD NA UCET	2320	20879	 	WX	95722668
1596000	5422	1997-02-13	VYDAJ	PREVOD NA UCET	2320	82308	 	WX	95722668
1596001	5422	1997-03-13	VYDAJ	PREVOD NA UCET	2320	34866	 	WX	95722668
1596002	5422	1997-04-13	VYDAJ	PREVOD NA UCET	2320	14408	 	WX	95722668
1596003	5422	1997-05-13	VYDAJ	PREVOD NA UCET	2320	10057	 	WX	95722668
1596004	5422	1997-06-13	VYDAJ	PREVOD NA UCET	2320	17517	 	WX	95722668
1596005	5422	1997-07-13	VYDAJ	PREVOD NA UCET	2320	41325	 	WX	95722668
1596006	5422	1997-08-13	VYDAJ	PREVOD NA UCET	2320	44762	 	WX	95722668
1596007	5422	1997-09-13	VYDAJ	PREVOD NA UCET	2320	32500	 	WX	95722668
1596008	5422	1997-10-13	VYDAJ	PREVOD NA UCET	2320	16236	 	WX	95722668
1596009	5422	1997-11-13	VYDAJ	PREVOD NA UCET	2320	20190	 	WX	95722668
1596010	5422	1997-12-13	VYDAJ	PREVOD NA UCET	2320	16551	 	WX	95722668
1596011	5422	1998-01-13	VYDAJ	PREVOD NA UCET	2320	10262	 	WX	95722668
1596012	5422	1998-02-13	VYDAJ	PREVOD NA UCET	2320	12462	 	WX	95722668
1596013	5422	1998-03-13	VYDAJ	PREVOD NA UCET	2320	12903	 	WX	95722668
1596014	5422	1998-04-13	VYDAJ	PREVOD NA UCET	2320	21417	 	WX	95722668
1596015	5422	1998-05-13	VYDAJ	PREVOD NA UCET	2320	14550	 	WX	95722668
1596016	5422	1998-06-13	VYDAJ	PREVOD NA UCET	2320	13371	 	WX	95722668
1596017	5422	1998-07-13	VYDAJ	PREVOD NA UCET	2320	33947	 	WX	95722668
1596018	5422	1998-08-13	VYDAJ	PREVOD NA UCET	2320	23412	 	WX	95722668
1596019	5422	1998-09-13	VYDAJ	PREVOD NA UCET	2320	19773	 	WX	95722668
1596020	5422	1998-10-13	VYDAJ	PREVOD NA UCET	2320	18670	 	WX	95722668
1596021	5422	1998-11-13	VYDAJ	PREVOD NA UCET	2320	19134	 	WX	95722668
1596022	5422	1998-12-13	VYDAJ	PREVOD NA UCET	2320	20479	 	WX	95722668
1596036	5422	1995-02-13	VYDAJ	PREVOD NA UCET	1435	51998	POJISTNE	EF	40573519
1596037	5422	1995-03-13	VYDAJ	PREVOD NA UCET	1435	48551	POJISTNE	EF	40573519
1596038	5422	1995-04-13	VYDAJ	PREVOD NA UCET	1435	8456	POJISTNE	EF	40573519
1596039	5422	1995-05-13	VYDAJ	PREVOD NA UCET	1435	23340	POJISTNE	EF	40573519
1596040	5422	1995-06-13	VYDAJ	PREVOD NA UCET	1435	87859	POJISTNE	EF	40573519
1596041	5422	1995-07-13	VYDAJ	PREVOD NA UCET	1435	50072	POJISTNE	EF	40573519
1596042	5422	1995-08-13	VYDAJ	PREVOD NA UCET	1435	55396	POJISTNE	EF	40573519
1596043	5422	1995-09-13	VYDAJ	PREVOD NA UCET	1435	93898	POJISTNE	EF	40573519
1596044	5422	1995-10-13	VYDAJ	PREVOD NA UCET	1435	71428	POJISTNE	EF	40573519
1596045	5422	1995-11-13	VYDAJ	PREVOD NA UCET	1435	45775	POJISTNE	EF	40573519
1596046	5422	1995-12-13	VYDAJ	PREVOD NA UCET	1435	83940	POJISTNE	EF	40573519
1596047	5422	1996-01-13	VYDAJ	PREVOD NA UCET	1435	34951	POJISTNE	EF	40573519
1596048	5422	1996-02-13	VYDAJ	PREVOD NA UCET	1435	56118	POJISTNE	EF	40573519
1596049	5422	1996-03-13	VYDAJ	PREVOD NA UCET	1435	68867	POJISTNE	EF	40573519
1596050	5422	1996-04-13	VYDAJ	PREVOD NA UCET	1435	75241	POJISTNE	EF	40573519
1596051	5422	1996-05-13	VYDAJ	PREVOD NA UCET	1435	79657	POJISTNE	EF	40573519
1596052	5422	1996-06-13	VYDAJ	PREVOD NA UCET	1435	58897	POJISTNE	EF	40573519
1596053	5422	1996-07-13	VYDAJ	PREVOD NA UCET	1435	35432	POJISTNE	EF	40573519
1596054	5422	1996-08-13	VYDAJ	PREVOD NA UCET	1435	49735	POJISTNE	EF	40573519
1596055	5422	1996-09-13	VYDAJ	PREVOD NA UCET	1435	33286	POJISTNE	EF	40573519
1596056	5422	1996-10-13	VYDAJ	PREVOD NA UCET	1435	11527	POJISTNE	EF	40573519
1596057	5422	1996-11-13	VYDAJ	PREVOD NA UCET	1435	47064	POJISTNE	EF	40573519
1596058	5422	1996-12-13	VYDAJ	PREVOD NA UCET	1435	33905	POJISTNE	EF	40573519
1596059	5422	1997-01-13	VYDAJ	PREVOD NA UCET	1435	23199	POJISTNE	EF	40573519
1596060	5422	1997-02-13	VYDAJ	PREVOD NA UCET	1435	80873	POJISTNE	EF	40573519
1596061	5422	1997-03-13	VYDAJ	PREVOD NA UCET	1435	37186	POJISTNE	EF	40573519
1596062	5422	1997-04-13	VYDAJ	PREVOD NA UCET	1435	16728	POJISTNE	EF	40573519
1596063	5422	1997-05-13	VYDAJ	PREVOD NA UCET	1435	8622	POJISTNE	EF	40573519
1596064	5422	1997-06-13	VYDAJ	PREVOD NA UCET	1435	16082	POJISTNE	EF	40573519
1596065	5422	1997-07-13	VYDAJ	PREVOD NA UCET	1435	43645	POJISTNE	EF	40573519
1596066	5422	1997-08-13	VYDAJ	PREVOD NA UCET	1435	47082	POJISTNE	EF	40573519
1596067	5422	1997-09-13	VYDAJ	PREVOD NA UCET	1435	34820	POJISTNE	EF	40573519
1596068	5422	1997-10-13	VYDAJ	PREVOD NA UCET	1435	18556	POJISTNE	EF	40573519
1596069	5422	1997-11-13	VYDAJ	PREVOD NA UCET	1435	22510	POJISTNE	EF	40573519
1596070	5422	1997-12-13	VYDAJ	PREVOD NA UCET	1435	15116	POJISTNE	EF	40573519
1596071	5422	1998-01-13	VYDAJ	PREVOD NA UCET	1435	12582	POJISTNE	EF	40573519
1596072	5422	1998-02-13	VYDAJ	PREVOD NA UCET	1435	14782	POJISTNE	EF	40573519
1596073	5422	1998-03-13	VYDAJ	PREVOD NA UCET	1435	11468	POJISTNE	EF	40573519
1596074	5422	1998-04-13	VYDAJ	PREVOD NA UCET	1435	23737	POJISTNE	EF	40573519
1596075	5422	1998-05-13	VYDAJ	PREVOD NA UCET	1435	16870	POJISTNE	EF	40573519
1596076	5422	1998-06-13	VYDAJ	PREVOD NA UCET	1435	15691	POJISTNE	EF	40573519
1596077	5422	1998-07-13	VYDAJ	PREVOD NA UCET	1435	36267	POJISTNE	EF	40573519
1596078	5422	1998-08-13	VYDAJ	PREVOD NA UCET	1435	21977	POJISTNE	EF	40573519
1596079	5422	1998-09-13	VYDAJ	PREVOD NA UCET	1435	18338	POJISTNE	EF	40573519
1596080	5422	1998-10-13	VYDAJ	PREVOD NA UCET	1435	20990	POJISTNE	EF	40573519
1596081	5422	1998-11-13	VYDAJ	PREVOD NA UCET	1435	17699	POJISTNE	EF	40573519
1596082	5422	1998-12-13	VYDAJ	PREVOD NA UCET	1435	19044	POJISTNE	EF	40573519
1596093	5422	1995-03-07	VYBER	VYBER	18423	53138	\N	\N	\N
1596094	5422	1995-09-08	VYBER	VYBER	4938	96165	\N	\N	\N
1596095	5422	1995-08-14	VYBER	VYBER	13067	42329	\N	\N	\N
1596096	5422	1995-09-28	VYBER	VYBER	21165	70701	\N	\N	\N
1596097	5422	1995-12-28	VYBER	VYBER	2972	47548	\N	\N	\N
1596099	5422	1995-08-01	VYBER	VYBER	19051	59983	\N	\N	\N
1596101	5422	1995-05-06	VYBER	VYBER	18029	25607	\N	\N	\N
1596102	5422	1996-10-02	VYBER	VYBER	7391	26057	\N	\N	\N
1596103	5422	1996-10-07	VYBER	VYBER	3215	22842	\N	\N	\N
1596104	5422	1996-09-09	VYBER	VYBER	7365	71021	\N	\N	\N
1596106	5422	1997-02-01	VYBER	VYBER	17387	65123	\N	\N	\N
1596108	5422	1997-10-24	VYBER	VYBER	23454	38465	\N	\N	\N
1596109	5422	1997-08-21	VYBER	VYBER	10061	66948	\N	\N	\N
1596110	5422	1997-04-28	VYBER	VYBER	19733	40328	\N	\N	\N
1596112	5422	1997-05-01	VYBER	VYBER	18427	22057	\N	\N	\N
1596113	5422	1997-04-23	VYBER	VYBER	18383	60061	\N	\N	\N
1596116	5422	1997-03-09	VYBER	VYBER	7116	65301	\N	\N	\N
1596120	5422	1998-12-19	VYBER	VYBER	5272	36697	\N	\N	\N
1596122	5422	1998-06-22	VYBER	VYBER	19986	60725	\N	\N	\N
1596128	5422	1998-06-16	VYDAJ	VYBER	18000	33339	\N	\N	\N
1596131	5422	1996-01-09	VYDAJ	VYBER	14100	22080	\N	\N	\N
1596132	5422	1997-01-01	VYDAJ	VYBER	10200	22420	\N	\N	\N
1596135	5422	1995-12-30	VYDAJ	VYBER	4500	43048	\N	\N	\N
1596136	5422	1996-12-14	VYDAJ	VYBER	1500	32405	\N	\N	\N
1596137	5422	1997-12-05	VYDAJ	VYBER	5400	25851	\N	\N	\N
1596138	5422	1998-12-06	VYDAJ	VYBER	8700	29779	\N	\N	\N
1596145	5422	1995-01-24	VYDAJ	VYBER	1500	50538	\N	\N	\N
1596149	5422	1995-01-22	VYDAJ	VYBER	4800	52038	\N	\N	\N
1596151	5422	1996-01-13	VYDAJ	VYBER	4800	36386	\N	\N	\N
1596153	5422	1996-01-22	VYDAJ	VYBER	1500	20231	\N	\N	\N
1596157	5422	1997-01-30	VYDAJ	VYBER	4800	82326	\N	\N	\N
1596158	5422	1997-01-01	VYDAJ	VYBER	1500	20920	\N	\N	\N
1596159	5422	1997-01-18	VYDAJ	VYBER	8700	45860	\N	\N	\N
1596160	5422	1997-01-26	VYDAJ	VYBER	1500	87126	\N	\N	\N
1596161	5422	1997-01-12	VYDAJ	VYBER	3600	24634	\N	\N	\N
1596162	5422	1997-01-09	VYDAJ	VYBER	4500	35214	\N	\N	\N
1596172	5422	1995-10-22	VYDAJ	VYBER	2400	53907	\N	\N	\N
1596173	5422	1995-04-04	VYDAJ	VYBER	12900	13043	\N	\N	\N
1596174	5422	1995-11-29	VYDAJ	VYBER	5100	23675	\N	\N	\N
1596175	5422	1995-02-08	VYDAJ	VYBER	14100	56585	\N	\N	\N
1596177	5422	1995-11-15	VYDAJ	VYBER	7200	38575	\N	\N	\N
1596178	5422	1996-03-30	VYDAJ	VYBER	14400	43221	\N	\N	\N
1596179	5422	1996-07-09	VYDAJ	VYBER	12600	59799	\N	\N	\N
1596180	5422	1996-06-27	VYDAJ	VYBER	14400	86496	\N	\N	\N
1596181	5422	1997-01-18	VYDAJ	VYBER	9900	54560	\N	\N	\N
1596182	5422	1997-03-04	VYDAJ	VYBER	4800	72417	\N	\N	\N
1596183	5422	1997-12-04	VYDAJ	VYBER	12600	33551	\N	\N	\N
1596184	5422	1997-03-26	VYDAJ	VYBER	3000	28866	\N	\N	\N
1596187	5422	1997-03-18	VYDAJ	VYBER	3000	31866	\N	\N	\N
1596188	5422	1997-03-04	VYDAJ	VYBER	7200	77217	\N	\N	\N
1596191	5422	1998-05-07	VYDAJ	VYBER	1800	25285	\N	\N	\N
1596206	5422	1995-01-31	VYDAJ	VYBER	15	50852	SLUZBY	\N	\N
1596207	5422	1995-02-28	VYDAJ	VYBER	15	71561	SLUZBY	\N	\N
1596208	5422	1995-03-31	VYDAJ	VYBER	15	33243	SLUZBY	\N	\N
1596209	5422	1995-04-30	VYDAJ	VYBER	15	16906	SLUZBY	\N	\N
1596210	5422	1995-05-31	VYDAJ	VYBER	15	66996	SLUZBY	\N	\N
1596211	5422	1995-06-30	VYDAJ	VYBER	15	54659	SLUZBY	\N	\N
1596212	5422	1995-07-31	VYDAJ	VYBER	15	79034	SLUZBY	\N	\N
1596213	5422	1995-08-31	VYDAJ	VYBER	15	101103	SLUZBY	\N	\N
1596214	5422	1995-09-30	VYDAJ	VYBER	15	71047	SLUZBY	\N	\N
1596215	5422	1995-10-31	VYDAJ	VYBER	15	103047	SLUZBY	\N	\N
1596216	5422	1995-11-30	VYDAJ	VYBER	15	23894	SLUZBY	\N	\N
1596217	5422	1995-12-31	VYDAJ	VYBER	15	43280	SLUZBY	\N	\N
1596218	5422	1996-01-31	VYDAJ	VYBER	15	20334	SLUZBY	\N	\N
1596219	5422	1996-02-29	VYDAJ	VYBER	15	38645	SLUZBY	\N	\N
1596220	5422	1996-03-31	VYDAJ	VYBER	15	43438	SLUZBY	\N	\N
1596221	5422	1996-04-30	VYDAJ	VYBER	15	90324	SLUZBY	\N	\N
1596222	5422	1996-05-31	VYDAJ	VYBER	15	105712	SLUZBY	\N	\N
1596223	5422	1996-06-30	VYDAJ	VYBER	15	86833	SLUZBY	\N	\N
1596224	5422	1996-07-31	VYDAJ	VYBER	15	98550	SLUZBY	\N	\N
1596225	5422	1996-08-31	VYDAJ	VYBER	15	57116	SLUZBY	\N	\N
1596226	5422	1996-09-30	VYDAJ	VYBER	15	33448	SLUZBY	\N	\N
1596227	5422	1996-10-31	VYDAJ	VYBER	15	102487	SLUZBY	\N	\N
1596228	5422	1996-11-30	VYDAJ	VYBER	15	86271	SLUZBY	\N	\N
1596229	5422	1996-12-31	VYDAJ	VYBER	15	32620	SLUZBY	\N	\N
1596230	5422	1997-01-31	VYDAJ	VYBER	15	82510	SLUZBY	\N	\N
1596231	5422	1997-02-28	VYDAJ	VYBER	15	84417	SLUZBY	\N	\N
1596232	5422	1997-03-31	VYDAJ	VYBER	15	29043	SLUZBY	\N	\N
1596233	5422	1997-04-30	VYDAJ	VYBER	15	40484	SLUZBY	\N	\N
1596234	5422	1997-05-31	VYDAJ	VYBER	15	32317	SLUZBY	\N	\N
1596235	5422	1997-06-30	VYDAJ	VYBER	15	34657	SLUZBY	\N	\N
1596236	5422	1997-07-31	VYDAJ	VYBER	15	97277	SLUZBY	\N	\N
1596237	5422	1997-08-31	VYDAJ	VYBER	15	67235	SLUZBY	\N	\N
1596238	5422	1997-09-30	VYDAJ	VYBER	15	32671	SLUZBY	\N	\N
1596239	5422	1997-10-31	VYDAJ	VYBER	15	38625	SLUZBY	\N	\N
1596240	5422	1997-11-30	VYDAJ	VYBER	15	46151	SLUZBY	\N	\N
1596241	5422	1997-12-31	VYDAJ	VYBER	15	15197	SLUZBY	\N	\N
1596242	5422	1998-01-31	VYDAJ	VYBER	15	10297	SLUZBY	\N	\N
1596243	5422	1998-02-28	VYDAJ	VYBER	15	12503	SLUZBY	\N	\N
1596244	5422	1998-03-31	VYDAJ	VYBER	15	11504	SLUZBY	\N	\N
1596245	5422	1998-04-30	VYDAJ	VYBER	15	21485	SLUZBY	\N	\N
1596246	5422	1998-05-31	VYDAJ	VYBER	15	14606	SLUZBY	\N	\N
1596247	5422	1998-06-30	VYDAJ	VYBER	15	60882	SLUZBY	\N	\N
1596248	5422	1998-07-31	VYDAJ	VYBER	15	34112	SLUZBY	\N	\N
1596249	5422	1998-08-31	VYDAJ	VYBER	15	22073	SLUZBY	\N	\N
1596250	5422	1998-09-30	VYDAJ	VYBER	15	18405	SLUZBY	\N	\N
1596251	5422	1998-10-31	VYDAJ	VYBER	15	28434	SLUZBY	\N	\N
1596252	5422	1998-11-30	VYDAJ	VYBER	15	38479	SLUZBY	\N	\N
1596253	5422	1994-11-21	VYDAJ	VYBER	3800	26324	\N	\N	\N
1596254	5422	1994-12-21	VYDAJ	VYBER	35100	57713	\N	\N	\N
1596255	5422	1995-01-20	VYDAJ	VYBER	32500	56838	\N	\N	\N
1596256	5422	1995-02-19	VYDAJ	VYBER	13800	38198	\N	\N	\N
1596257	5422	1995-03-21	VYDAJ	VYBER	9100	33051	\N	\N	\N
1596258	5422	1995-04-20	PRIJEM	VKLAD	8400	16856	\N	\N	\N
1596259	5422	1995-05-20	VYDAJ	VYBER	6100	33383	\N	\N	\N
1596260	5422	1995-06-05	VYDAJ	VYBER	53700	64508	\N	\N	\N
1596261	5422	1995-06-13	VYDAJ	VYBER	36700	89294	\N	\N	\N
1596262	5422	1995-06-19	VYDAJ	VYBER	28300	59559	\N	\N	\N
1596263	5422	1995-07-19	VYDAJ	VYBER	32200	55507	\N	\N	\N
1596264	5422	1995-08-18	VYDAJ	VYBER	12200	30129	\N	\N	\N
1596265	5422	1995-09-17	VYDAJ	VYBER	33700	57878	\N	\N	\N
1596266	5422	1995-10-17	VYDAJ	VYBER	22200	46908	\N	\N	\N
1596267	5422	1995-11-09	VYDAJ	VYBER	27400	123662	\N	\N	\N
1596268	5422	1995-11-10	VYDAJ	VYBER	64500	59162	\N	\N	\N
1596269	5422	1995-11-16	VYDAJ	VYBER	9800	28775	\N	\N	\N
1596270	5422	1995-12-16	VYDAJ	VYBER	31100	50520	\N	\N	\N
1596271	5422	1996-01-15	VYDAJ	VYBER	10900	21731	\N	\N	\N
1596272	5422	1996-02-14	VYDAJ	VYBER	17600	38518	\N	\N	\N
1596273	5422	1996-03-08	VYDAJ	VYBER	35000	71134	\N	\N	\N
1596274	5422	1996-03-15	VYDAJ	VYBER	24900	41647	\N	\N	\N
1596275	5422	1996-04-14	VYDAJ	VYBER	25900	47021	\N	\N	\N
1596276	5422	1996-05-14	VYDAJ	VYBER	32400	44937	\N	\N	\N
1596277	5422	1996-05-30	VYDAJ	VYBER	42100	105428	\N	\N	\N
1596278	5422	1996-06-13	VYDAJ	VYBER	38400	60332	\N	\N	\N
1596279	5422	1996-07-08	VYDAJ	VYBER	20200	134499	\N	\N	\N
1596280	5422	1996-07-08	VYDAJ	VYBER	62100	72399	\N	\N	\N
1596281	5422	1996-07-13	VYDAJ	VYBER	22000	36867	\N	\N	\N
1596282	5422	1996-08-12	VYDAJ	VYBER	40400	51170	\N	\N	\N
1596283	5422	1996-08-23	VYDAJ	VYBER	59800	56816	\N	\N	\N
1596284	5422	1996-09-11	VYDAJ	VYBER	27000	43189	\N	\N	\N
1596285	5422	1996-10-11	VYDAJ	VYBER	2900	19110	\N	\N	\N
1596286	5422	1996-11-06	VYDAJ	VYBER	18400	120379	\N	\N	\N
1596287	5422	1996-11-10	VYDAJ	VYBER	32100	54647	\N	\N	\N
1596288	5422	1996-11-10	VYDAJ	VYBER	32800	86747	\N	\N	\N
1596289	5422	1996-12-04	VYDAJ	VYBER	16400	106540	\N	\N	\N
1596290	5422	1996-12-10	VYDAJ	VYBER	35300	43808	\N	\N	\N
1596291	5422	1996-12-10	VYDAJ	VYBER	26600	79940	\N	\N	\N
1596292	5422	1997-01-09	VYDAJ	VYBER	12800	39714	\N	\N	\N
1596293	5422	1997-02-08	VYDAJ	VYBER	21100	44023	\N	\N	\N
1596294	5422	1997-02-26	VYDAJ	VYBER	32000	84089	\N	\N	\N
1596295	5422	1997-03-10	VYDAJ	VYBER	19700	44769	\N	\N	\N
1596296	5422	1997-04-09	VYDAJ	VYBER	3900	25143	\N	\N	\N
1596297	5422	1997-05-09	VYDAJ	VYBER	2700	19357	\N	\N	\N
1596298	5422	1997-06-08	VYDAJ	VYBER	5500	26817	\N	\N	\N
1596299	5422	1997-07-08	VYDAJ	VYBER	30000	45195	\N	\N	\N
1596300	5422	1997-08-03	VYDAJ	VYBER	60500	58694	\N	\N	\N
1596301	5422	1997-08-07	VYDAJ	VYBER	15900	42794	\N	\N	\N
1596302	5422	1997-09-06	VYDAJ	VYBER	24000	43235	\N	\N	\N
1596303	5422	1997-10-06	VYDAJ	VYBER	5700	26971	\N	\N	\N
1596304	5422	1997-11-05	VYDAJ	VYBER	7700	30925	\N	\N	\N
1596305	5422	1997-12-05	VYDAJ	VYBER	2300	31251	\N	\N	\N
1596306	5422	1998-01-04	PRIJEM	VKLAD	5800	20997	\N	\N	\N
1596307	5422	1998-02-03	PRIJEM	VKLAD	12900	23197	\N	\N	\N
1596308	5422	1998-03-05	PRIJEM	VKLAD	9700	22203	\N	\N	\N
1596309	5422	1998-04-04	PRIJEM	VKLAD	14500	26004	\N	\N	\N
1596310	5422	1998-05-04	PRIJEM	VKLAD	5600	27085	\N	\N	\N
1596311	5422	1998-06-03	PRIJEM	VKLAD	9500	24106	\N	\N	\N
1596312	5422	1998-07-03	VYDAJ	VYBER	16200	44682	\N	\N	\N
1596313	5422	1998-08-02	VYDAJ	VYBER	1400	32712	\N	\N	\N
1596314	5422	1998-09-01	PRIJEM	VKLAD	7000	29073	\N	\N	\N
1596315	5422	1998-10-01	PRIJEM	VKLAD	11000	29405	\N	\N	\N
1596316	5422	1998-10-31	PRIJEM	VKLAD	9700	28370	\N	\N	\N
1596317	5422	1998-11-30	PRIJEM	VKLAD	10000	38388	\N	\N	\N
1596369	5423	1993-05-02	PRIJEM	VKLAD	300	300	\N	\N	\N
1596370	5423	1993-08-29	PRIJEM	VKLAD	35459	79461	\N	\N	\N
1596373	5423	1993-07-14	PRIJEM	VKLAD	24445	36145	\N	\N	\N
1596376	5423	1993-09-02	PRIJEM	VKLAD	27196	110790	\N	\N	\N
1596377	5423	1993-09-01	PRIJEM	VKLAD	29247	83594	\N	\N	\N
1596378	5423	1993-12-15	PRIJEM	VKLAD	16905	21964	\N	\N	\N
1596379	5423	1993-10-06	PRIJEM	VKLAD	11177	35814	\N	\N	\N
1596380	5423	1993-07-29	PRIJEM	VKLAD	30260	66405	\N	\N	\N
1596382	5423	1994-12-10	PRIJEM	VKLAD	10113	8148	\N	\N	\N
1596383	5423	1994-04-23	PRIJEM	VKLAD	5654	25008	\N	\N	\N
1596384	5423	1994-04-01	PRIJEM	VKLAD	19764	32486	\N	\N	\N
1596385	5423	1995-08-28	PRIJEM	VKLAD	45705	96126	\N	\N	\N
1596386	5423	1995-04-12	PRIJEM	VKLAD	12417	65087	\N	\N	\N
1596387	5423	1995-12-28	PRIJEM	VKLAD	14786	38801	\N	\N	\N
1596388	5423	1995-12-29	PRIJEM	VKLAD	31241	70042	\N	\N	\N
1596389	5423	1995-09-09	PRIJEM	VKLAD	23030	106657	\N	\N	\N
1596390	5423	1995-06-24	PRIJEM	VKLAD	49908	87061	\N	\N	\N
1596391	5423	1995-11-02	PRIJEM	VKLAD	6311	60911	\N	\N	\N
1596392	5423	1995-02-19	PRIJEM	VKLAD	36924	35715	\N	\N	\N
1596393	5423	1995-10-08	PRIJEM	VKLAD	46800	83521	\N	\N	\N
1596394	5423	1995-08-09	PRIJEM	VKLAD	17439	41178	\N	\N	\N
1596395	5423	1995-10-30	PRIJEM	VKLAD	16475	54389	\N	\N	\N
1596396	5423	1995-08-21	PRIJEM	VKLAD	14889	50421	\N	\N	\N
1596397	5423	1995-05-26	PRIJEM	VKLAD	41891	71425	\N	\N	\N
1596398	5423	1995-03-28	PRIJEM	VKLAD	48888	65281	\N	\N	\N
1596399	5423	1996-02-05	PRIJEM	VKLAD	11519	41848	\N	\N	\N
1596400	5423	1996-12-01	PRIJEM	VKLAD	7525	35778	\N	\N	\N
1596401	5423	1996-09-16	PRIJEM	VKLAD	29511	95040	\N	\N	\N
1596402	5423	1996-10-25	PRIJEM	VKLAD	6263	59272	\N	\N	\N
1596403	5423	1996-03-19	PRIJEM	VKLAD	34428	65789	\N	\N	\N
1596404	5423	1996-02-02	PRIJEM	VKLAD	17046	53720	\N	\N	\N
1596405	5423	1996-03-27	PRIJEM	VKLAD	10297	53336	\N	\N	\N
1596406	5423	1996-07-03	PRIJEM	VKLAD	14258	59376	\N	\N	\N
1596407	5423	1996-11-01	PRIJEM	VKLAD	24688	77646	\N	\N	\N
1596408	5423	1996-09-15	PRIJEM	VKLAD	49141	65529	\N	\N	\N
1596409	5423	1996-12-14	PRIJEM	VKLAD	26913	49559	\N	\N	\N
1596410	5423	1996-04-20	PRIJEM	VKLAD	8627	33560	\N	\N	\N
1596411	5423	1996-02-13	PRIJEM	VKLAD	17479	38962	\N	\N	\N
1596412	5423	1996-03-02	PRIJEM	VKLAD	15415	48493	\N	\N	\N
1596413	5423	1996-05-25	PRIJEM	VKLAD	48794	129589	\N	\N	\N
1596414	5423	1996-01-19	PRIJEM	VKLAD	29297	56313	\N	\N	\N
1596415	5423	1996-08-09	PRIJEM	VKLAD	12119	36533	\N	\N	\N
1596416	5423	1996-05-18	PRIJEM	VKLAD	44738	80795	\N	\N	\N
1596417	5423	1996-09-30	PRIJEM	VKLAD	20768	115808	\N	\N	\N
1596418	5423	1996-05-08	PRIJEM	VKLAD	29705	47671	\N	\N	\N
1596419	5423	1997-02-16	PRIJEM	VKLAD	38009	112606	\N	\N	\N
1596420	5423	1997-05-06	PRIJEM	VKLAD	16797	43319	\N	\N	\N
1596421	5423	1997-08-26	PRIJEM	VKLAD	19479	39862	\N	\N	\N
1596422	5423	1997-12-30	PRIJEM	VKLAD	8431	81231	\N	\N	\N
1596423	5423	1997-12-25	PRIJEM	VKLAD	19791	79100	\N	\N	\N
1596424	5423	1997-02-20	PRIJEM	VKLAD	16711	75917	\N	\N	\N
1596425	5423	1997-06-20	PRIJEM	VKLAD	8549	96590	\N	\N	\N
1596426	5423	1997-06-11	PRIJEM	VKLAD	43693	88487	\N	\N	\N
1596427	5423	1997-10-20	PRIJEM	VKLAD	9891	45544	\N	\N	\N
1596428	5423	1997-11-11	PRIJEM	VKLAD	42261	74774	\N	\N	\N
1596429	5423	1997-03-14	PRIJEM	VKLAD	10385	49902	\N	\N	\N
1596430	5423	1997-11-24	PRIJEM	VKLAD	32138	123424	\N	\N	\N
1596431	5423	1997-10-04	PRIJEM	VKLAD	13164	58585	\N	\N	\N
1596432	5423	1997-02-08	PRIJEM	VKLAD	47153	138290	\N	\N	\N
1596433	5423	1997-02-15	PRIJEM	VKLAD	13321	74597	\N	\N	\N
1596434	5423	1997-11-12	PRIJEM	VKLAD	48758	123532	\N	\N	\N
1596435	5423	1997-05-11	PRIJEM	VKLAD	29545	60178	\N	\N	\N
1596436	5423	1997-05-29	PRIJEM	VKLAD	30792	69224	\N	\N	\N
1596437	5423	1997-02-04	PRIJEM	VKLAD	12016	99755	\N	\N	\N
1596438	5423	1997-01-20	PRIJEM	VKLAD	45498	97727	\N	\N	\N
1596439	5423	1997-12-05	PRIJEM	VKLAD	31544	132441	\N	\N	\N
1596440	5423	1997-10-03	PRIJEM	VKLAD	15789	45421	\N	\N	\N
1596441	5423	1997-01-19	PRIJEM	VKLAD	29960	55529	\N	\N	\N
1596442	5423	1998-08-05	PRIJEM	VKLAD	43688	63555	\N	\N	\N
1596443	5423	1998-06-15	PRIJEM	VKLAD	11183	17632	\N	\N	\N
1596524	5423	1993-09-12	VYDAJ	PREVOD NA UCET	446	47658	SIPO	MN	5680722
1596525	5423	1993-10-12	VYDAJ	PREVOD NA UCET	446	22682	SIPO	MN	5680722
1596526	5423	1993-11-12	VYDAJ	PREVOD NA UCET	446	13036	SIPO	MN	5680722
1596527	5423	1993-12-12	VYDAJ	PREVOD NA UCET	446	5059	SIPO	MN	5680722
1596528	5423	1994-01-12	VYDAJ	PREVOD NA UCET	446	10491	SIPO	MN	5680722
1596529	5423	1994-02-12	VYDAJ	PREVOD NA UCET	446	6807	SIPO	MN	5680722
1596530	5423	1994-03-12	VYDAJ	PREVOD NA UCET	446	3007	SIPO	MN	5680722
1596531	5423	1994-04-12	VYDAJ	PREVOD NA UCET	446	19354	SIPO	MN	5680722
1596532	5423	1994-05-12	VYDAJ	PREVOD NA UCET	446	10244	SIPO	MN	5680722
1596533	5423	1994-06-12	VYDAJ	PREVOD NA UCET	446	4658	SIPO	MN	5680722
1596534	5423	1994-07-12	VYDAJ	PREVOD NA UCET	446	1651	SIPO	MN	5680722
1596535	5423	1994-08-12	VYDAJ	PREVOD NA UCET	446	-1368	SIPO	MN	5680722
1596536	5423	1994-09-12	VYDAJ	PREVOD NA UCET	446	-1828	SIPO	MN	5680722
1596537	5423	1994-10-12	VYDAJ	PREVOD NA UCET	446	828	SIPO	MN	5680722
1596538	5423	1994-11-12	VYDAJ	PREVOD NA UCET	446	110	SIPO	MN	5680722
1596539	5423	1994-12-12	VYDAJ	PREVOD NA UCET	446	7702	SIPO	MN	5680722
1596540	5423	1995-01-12	VYDAJ	PREVOD NA UCET	446	3998	SIPO	MN	5680722
1596541	5423	1995-02-12	VYDAJ	PREVOD NA UCET	446	-1209	SIPO	MN	5680722
1596542	5423	1995-03-12	VYDAJ	PREVOD NA UCET	446	10693	SIPO	MN	5680722
1596543	5423	1995-04-12	VYDAJ	PREVOD NA UCET	446	64641	SIPO	MN	5680722
1596544	5423	1995-05-12	VYDAJ	PREVOD NA UCET	446	31834	SIPO	MN	5680722
1596545	5423	1995-06-12	VYDAJ	PREVOD NA UCET	446	51253	SIPO	MN	5680722
1596546	5423	1995-07-12	VYDAJ	PREVOD NA UCET	446	46544	SIPO	MN	5680722
1596547	5423	1995-08-12	VYDAJ	PREVOD NA UCET	446	40732	SIPO	MN	5680722
1596548	5423	1995-09-12	VYDAJ	PREVOD NA UCET	446	85411	SIPO	MN	5680722
1596549	5423	1995-10-12	VYDAJ	PREVOD NA UCET	446	73607	SIPO	MN	5680722
1596550	5423	1995-11-12	VYDAJ	PREVOD NA UCET	446	47779	SIPO	MN	5680722
1596551	5423	1995-12-12	VYDAJ	PREVOD NA UCET	446	18815	SIPO	MN	5680722
1596552	5423	1996-01-12	VYDAJ	PREVOD NA UCET	446	47116	SIPO	MN	5680722
1596553	5423	1996-02-12	VYDAJ	PREVOD NA UCET	446	21483	SIPO	MN	5680722
1596554	5423	1996-03-12	VYDAJ	PREVOD NA UCET	446	35361	SIPO	MN	5680722
1596555	5423	1996-04-12	VYDAJ	PREVOD NA UCET	446	20733	SIPO	MN	5680722
1596556	5423	1996-05-12	VYDAJ	PREVOD NA UCET	446	43157	SIPO	MN	5680722
1596557	5423	1996-06-12	VYDAJ	PREVOD NA UCET	446	60491	SIPO	MN	5680722
1596558	5423	1996-07-12	VYDAJ	PREVOD NA UCET	446	46244	SIPO	MN	5680722
1596559	5423	1996-08-12	VYDAJ	PREVOD NA UCET	446	36087	SIPO	MN	5680722
1596560	5423	1996-09-12	VYDAJ	PREVOD NA UCET	446	12988	SIPO	MN	5680722
1596561	5423	1996-10-12	VYDAJ	PREVOD NA UCET	446	85709	SIPO	MN	5680722
1596562	5423	1996-11-12	VYDAJ	PREVOD NA UCET	446	57014	SIPO	MN	5680722
1596563	5423	1996-12-12	VYDAJ	PREVOD NA UCET	446	22646	SIPO	MN	5680722
1596564	5423	1997-01-12	VYDAJ	PREVOD NA UCET	446	25569	SIPO	MN	5680722
1596565	5423	1997-02-12	VYDAJ	PREVOD NA UCET	446	61276	SIPO	MN	5680722
1596566	5423	1997-03-12	VYDAJ	PREVOD NA UCET	446	39517	SIPO	MN	5680722
1596567	5423	1997-04-12	VYDAJ	PREVOD NA UCET	446	26409	SIPO	MN	5680722
1596568	5423	1997-05-12	VYDAJ	PREVOD NA UCET	446	45032	SIPO	MN	5680722
1596569	5423	1997-06-12	VYDAJ	PREVOD NA UCET	446	88041	SIPO	MN	5680722
1596570	5423	1997-07-12	VYDAJ	PREVOD NA UCET	446	26506	SIPO	MN	5680722
1596571	5423	1997-08-12	VYDAJ	PREVOD NA UCET	446	20383	SIPO	MN	5680722
1596572	5423	1997-09-12	VYDAJ	PREVOD NA UCET	446	29515	SIPO	MN	5680722
1596573	5423	1997-10-12	VYDAJ	PREVOD NA UCET	446	35653	SIPO	MN	5680722
1596574	5423	1997-11-12	VYDAJ	PREVOD NA UCET	446	123086	SIPO	MN	5680722
1596575	5423	1997-12-12	VYDAJ	PREVOD NA UCET	446	59309	SIPO	MN	5680722
1596576	5423	1998-01-12	VYDAJ	PREVOD NA UCET	446	54077	SIPO	MN	5680722
1596577	5423	1998-02-12	VYDAJ	PREVOD NA UCET	446	17846	SIPO	MN	5680722
1596578	5423	1998-03-12	VYDAJ	PREVOD NA UCET	446	20179	SIPO	MN	5680722
1596579	5423	1998-04-12	VYDAJ	PREVOD NA UCET	446	16713	SIPO	MN	5680722
1596580	5423	1998-05-12	VYDAJ	PREVOD NA UCET	446	12839	SIPO	MN	5680722
1596581	5423	1998-06-12	VYDAJ	PREVOD NA UCET	446	6449	SIPO	MN	5680722
1596582	5423	1998-07-12	VYDAJ	PREVOD NA UCET	446	9239	SIPO	MN	5680722
1596583	5423	1998-08-12	VYDAJ	PREVOD NA UCET	446	50423	SIPO	MN	5680722
1596584	5423	1998-09-12	VYDAJ	PREVOD NA UCET	446	21864	SIPO	MN	5680722
1596585	5423	1998-10-12	VYDAJ	PREVOD NA UCET	446	14526	SIPO	MN	5680722
1596586	5423	1998-11-12	VYDAJ	PREVOD NA UCET	446	13542	SIPO	MN	5680722
1596587	5423	1998-12-12	VYDAJ	PREVOD NA UCET	446	13950	SIPO	MN	5680722
1596596	5423	1993-09-06	VYDAJ	PREVOD NA UCET	8618	52172	 	QR	82146298
1596597	5423	1993-10-06	VYDAJ	PREVOD NA UCET	8618	27196	 	QR	82146298
1596598	5423	1993-11-06	VYDAJ	PREVOD NA UCET	8618	17550	 	QR	82146298
1596599	5423	1993-12-06	VYDAJ	PREVOD NA UCET	8618	9573	 	QR	82146298
1596600	5423	1994-01-06	VYDAJ	PREVOD NA UCET	8618	15005	 	QR	82146298
1596601	5423	1994-02-06	VYDAJ	PREVOD NA UCET	8618	11321	 	QR	82146298
1596602	5423	1994-03-06	VYDAJ	PREVOD NA UCET	8618	7521	 	QR	82146298
1596603	5423	1994-04-06	VYDAJ	PREVOD NA UCET	8618	23868	 	QR	82146298
1596604	5423	1994-05-06	VYDAJ	PREVOD NA UCET	8618	14758	 	QR	82146298
1596605	5423	1994-06-06	VYDAJ	PREVOD NA UCET	8618	9172	 	QR	82146298
1596606	5423	1994-07-06	VYDAJ	PREVOD NA UCET	8618	6165	 	QR	82146298
1596607	5423	1994-08-06	VYDAJ	PREVOD NA UCET	8618	3146	 	QR	82146298
1596609	5423	1994-10-06	VYDAJ	PREVOD NA UCET	8618	5342	 	QR	82146298
1596610	5423	1994-11-06	VYDAJ	PREVOD NA UCET	8618	4624	 	QR	82146298
1596611	5423	1994-12-06	VYDAJ	PREVOD NA UCET	8618	2103	 	QR	82146298
1596612	5423	1995-01-06	VYDAJ	PREVOD NA UCET	8618	8512	 	QR	82146298
1596613	5423	1995-02-06	VYDAJ	PREVOD NA UCET	8618	3305	 	QR	82146298
1596614	5423	1995-03-06	VYDAJ	PREVOD NA UCET	8618	15207	 	QR	82146298
1596615	5423	1995-04-06	VYDAJ	PREVOD NA UCET	8618	56738	 	QR	82146298
1596616	5423	1995-05-06	VYDAJ	PREVOD NA UCET	8618	36348	 	QR	82146298
1596617	5423	1995-06-06	VYDAJ	PREVOD NA UCET	8618	55767	 	QR	82146298
1596618	5423	1995-07-06	VYDAJ	PREVOD NA UCET	8618	51058	 	QR	82146298
1596619	5423	1995-08-06	VYDAJ	PREVOD NA UCET	8618	27807	 	QR	82146298
1596620	5423	1995-09-06	VYDAJ	PREVOD NA UCET	8618	87695	 	QR	82146298
1596621	5423	1995-10-06	VYDAJ	PREVOD NA UCET	8618	36721	 	QR	82146298
1596622	5423	1995-11-06	VYDAJ	PREVOD NA UCET	8618	52293	 	QR	82146298
1596623	5423	1995-12-06	VYDAJ	PREVOD NA UCET	8618	26329	 	QR	82146298
1596624	5423	1996-01-06	VYDAJ	PREVOD NA UCET	8618	59730	 	QR	82146298
1596625	5423	1996-02-06	VYDAJ	PREVOD NA UCET	8618	25997	 	QR	82146298
1596626	5423	1996-03-06	VYDAJ	PREVOD NA UCET	8618	39875	 	QR	82146298
1596627	5423	1996-04-06	VYDAJ	PREVOD NA UCET	8618	44878	 	QR	82146298
1596628	5423	1996-05-06	VYDAJ	PREVOD NA UCET	8618	17966	 	QR	82146298
1596629	5423	1996-06-06	VYDAJ	PREVOD NA UCET	8618	72495	 	QR	82146298
1596630	5423	1996-07-06	VYDAJ	PREVOD NA UCET	8618	50758	 	QR	82146298
1596631	5423	1996-08-06	VYDAJ	PREVOD NA UCET	8618	28482	 	QR	82146298
1596632	5423	1996-09-06	VYDAJ	PREVOD NA UCET	8618	17502	 	QR	82146298
1596633	5423	1996-10-06	VYDAJ	PREVOD NA UCET	8618	90223	 	QR	82146298
1596634	5423	1996-11-06	VYDAJ	PREVOD NA UCET	8618	69028	 	QR	82146298
1596635	5423	1996-12-06	VYDAJ	PREVOD NA UCET	8618	24160	 	QR	82146298
1596636	5423	1997-01-06	VYDAJ	PREVOD NA UCET	8618	32083	 	QR	82146298
1596637	5423	1997-02-06	VYDAJ	PREVOD NA UCET	8618	91137	 	QR	82146298
1596638	5423	1997-03-06	VYDAJ	PREVOD NA UCET	8618	53531	 	QR	82146298
1596639	5423	1997-04-06	VYDAJ	PREVOD NA UCET	8618	32723	 	QR	82146298
1596640	5423	1997-05-06	VYDAJ	PREVOD NA UCET	8618	34701	 	QR	82146298
1596641	5423	1997-06-06	VYDAJ	PREVOD NA UCET	8618	60762	 	QR	82146298
1596642	5423	1997-07-06	VYDAJ	PREVOD NA UCET	8618	28520	 	QR	82146298
1596643	5423	1997-08-06	VYDAJ	PREVOD NA UCET	8618	14997	 	QR	82146298
1596644	5423	1997-09-06	VYDAJ	PREVOD NA UCET	8618	31329	 	QR	82146298
1596645	5423	1997-10-06	VYDAJ	PREVOD NA UCET	8618	49967	 	QR	82146298
1596646	5423	1997-11-06	VYDAJ	PREVOD NA UCET	8618	37081	 	QR	82146298
1596647	5423	1997-12-06	VYDAJ	PREVOD NA UCET	8618	84823	 	QR	82146298
1596648	5423	1998-01-06	VYDAJ	PREVOD NA UCET	8618	72891	 	QR	82146298
1596649	5423	1998-02-06	VYDAJ	PREVOD NA UCET	8618	22360	 	QR	82146298
1596650	5423	1998-03-06	VYDAJ	PREVOD NA UCET	8618	9293	 	QR	82146298
1596651	5423	1998-04-06	VYDAJ	PREVOD NA UCET	8618	21227	 	QR	82146298
1596652	5423	1998-05-06	VYDAJ	PREVOD NA UCET	8618	17353	 	QR	82146298
1596653	5423	1998-06-06	VYDAJ	PREVOD NA UCET	8618	10963	 	QR	82146298
1596654	5423	1998-07-06	VYDAJ	PREVOD NA UCET	8618	13753	 	QR	82146298
1596655	5423	1998-08-06	VYDAJ	PREVOD NA UCET	8618	54937	 	QR	82146298
1596656	5423	1998-09-06	VYDAJ	PREVOD NA UCET	8618	26378	 	QR	82146298
1596657	5423	1998-10-06	VYDAJ	PREVOD NA UCET	8618	19040	 	QR	82146298
1596658	5423	1998-11-06	VYDAJ	PREVOD NA UCET	8618	18056	 	QR	82146298
1596659	5423	1998-12-06	VYDAJ	PREVOD NA UCET	8618	18464	 	QR	82146298
1596668	5423	1993-09-08	VYDAJ	PREVOD NA UCET	4068	48104	POJISTNE	AB	59710752
1596669	5423	1993-10-08	VYDAJ	PREVOD NA UCET	4068	23128	POJISTNE	AB	59710752
1596670	5423	1993-11-08	VYDAJ	PREVOD NA UCET	4068	13482	POJISTNE	AB	59710752
1596671	5423	1993-12-08	VYDAJ	PREVOD NA UCET	4068	5505	POJISTNE	AB	59710752
1596672	5423	1994-01-08	VYDAJ	PREVOD NA UCET	4068	10937	POJISTNE	AB	59710752
1596673	5423	1994-02-08	VYDAJ	PREVOD NA UCET	4068	7253	POJISTNE	AB	59710752
1596674	5423	1994-03-08	VYDAJ	PREVOD NA UCET	4068	3453	POJISTNE	AB	59710752
1596675	5423	1994-04-08	VYDAJ	PREVOD NA UCET	4068	19800	POJISTNE	AB	59710752
1596676	5423	1994-05-08	VYDAJ	PREVOD NA UCET	4068	10690	POJISTNE	AB	59710752
1596677	5423	1994-06-08	VYDAJ	PREVOD NA UCET	4068	5104	POJISTNE	AB	59710752
1596678	5423	1994-07-08	VYDAJ	PREVOD NA UCET	4068	2097	POJISTNE	AB	59710752
1596679	5423	1994-08-08	VYDAJ	PREVOD NA UCET	4068	-922	POJISTNE	AB	59710752
1596681	5423	1994-10-08	VYDAJ	PREVOD NA UCET	4068	1274	POJISTNE	AB	59710752
1596682	5423	1994-11-08	VYDAJ	PREVOD NA UCET	4068	556	POJISTNE	AB	59710752
1596683	5423	1994-12-08	VYDAJ	PREVOD NA UCET	4068	-1965	POJISTNE	AB	59710752
1596684	5423	1995-01-08	VYDAJ	PREVOD NA UCET	4068	4444	POJISTNE	AB	59710752
1596685	5423	1995-02-08	VYDAJ	PREVOD NA UCET	4068	-763	POJISTNE	AB	59710752
1596686	5423	1995-03-08	VYDAJ	PREVOD NA UCET	4068	11139	POJISTNE	AB	59710752
1596687	5423	1995-04-08	VYDAJ	PREVOD NA UCET	4068	52670	POJISTNE	AB	59710752
1596688	5423	1995-05-08	VYDAJ	PREVOD NA UCET	4068	32280	POJISTNE	AB	59710752
1596689	5423	1995-06-08	VYDAJ	PREVOD NA UCET	4068	51699	POJISTNE	AB	59710752
1596690	5423	1995-07-08	VYDAJ	PREVOD NA UCET	4068	46990	POJISTNE	AB	59710752
1596691	5423	1995-08-08	VYDAJ	PREVOD NA UCET	4068	23739	POJISTNE	AB	59710752
1596692	5423	1995-09-08	VYDAJ	PREVOD NA UCET	4068	83627	POJISTNE	AB	59710752
1596693	5423	1995-10-08	VYDAJ	PREVOD NA UCET	4068	79453	POJISTNE	AB	59710752
1596694	5423	1995-11-08	VYDAJ	PREVOD NA UCET	4068	48225	POJISTNE	AB	59710752
1596695	5423	1995-12-08	VYDAJ	PREVOD NA UCET	4068	19261	POJISTNE	AB	59710752
1596696	5423	1996-01-08	VYDAJ	PREVOD NA UCET	4068	55662	POJISTNE	AB	59710752
1596697	5423	1996-02-08	VYDAJ	PREVOD NA UCET	4068	21929	POJISTNE	AB	59710752
1596698	5423	1996-03-08	VYDAJ	PREVOD NA UCET	4068	35807	POJISTNE	AB	59710752
1596699	5423	1996-04-08	VYDAJ	PREVOD NA UCET	4068	40810	POJISTNE	AB	59710752
1596700	5423	1996-05-08	VYDAJ	PREVOD NA UCET	4068	43603	POJISTNE	AB	59710752
1596701	5423	1996-06-08	VYDAJ	PREVOD NA UCET	4068	68427	POJISTNE	AB	59710752
1596702	5423	1996-07-08	VYDAJ	PREVOD NA UCET	4068	46690	POJISTNE	AB	59710752
1596703	5423	1996-08-08	VYDAJ	PREVOD NA UCET	4068	24414	POJISTNE	AB	59710752
1596704	5423	1996-09-08	VYDAJ	PREVOD NA UCET	4068	13434	POJISTNE	AB	59710752
1596705	5423	1996-10-08	VYDAJ	PREVOD NA UCET	4068	86155	POJISTNE	AB	59710752
1596706	5423	1996-11-08	VYDAJ	PREVOD NA UCET	4068	64960	POJISTNE	AB	59710752
1596707	5423	1996-12-08	VYDAJ	PREVOD NA UCET	4068	20092	POJISTNE	AB	59710752
1596708	5423	1997-01-08	VYDAJ	PREVOD NA UCET	4068	28015	POJISTNE	AB	59710752
1596709	5423	1997-02-08	VYDAJ	PREVOD NA UCET	4068	134222	POJISTNE	AB	59710752
1596710	5423	1997-03-08	VYDAJ	PREVOD NA UCET	4068	49463	POJISTNE	AB	59710752
1596711	5423	1997-04-08	VYDAJ	PREVOD NA UCET	4068	28655	POJISTNE	AB	59710752
1596712	5423	1997-05-08	VYDAJ	PREVOD NA UCET	4068	30633	POJISTNE	AB	59710752
1596713	5423	1997-06-08	VYDAJ	PREVOD NA UCET	4068	56694	POJISTNE	AB	59710752
1596714	5423	1997-07-08	VYDAJ	PREVOD NA UCET	4068	24452	POJISTNE	AB	59710752
1596715	5423	1997-08-08	VYDAJ	PREVOD NA UCET	4068	10929	POJISTNE	AB	59710752
1596716	5423	1997-09-08	VYDAJ	PREVOD NA UCET	4068	29961	POJISTNE	AB	59710752
1596717	5423	1997-10-08	VYDAJ	PREVOD NA UCET	4068	45899	POJISTNE	AB	59710752
1596718	5423	1997-11-08	VYDAJ	PREVOD NA UCET	4068	32513	POJISTNE	AB	59710752
1596719	5423	1997-12-08	VYDAJ	PREVOD NA UCET	4068	59755	POJISTNE	AB	59710752
1596720	5423	1998-01-08	VYDAJ	PREVOD NA UCET	4068	54523	POJISTNE	AB	59710752
1596721	5423	1998-02-08	VYDAJ	PREVOD NA UCET	4068	18292	POJISTNE	AB	59710752
1596722	5423	1998-03-08	VYDAJ	PREVOD NA UCET	4068	20625	POJISTNE	AB	59710752
1596723	5423	1998-04-08	VYDAJ	PREVOD NA UCET	4068	17159	POJISTNE	AB	59710752
1596724	5423	1998-05-08	VYDAJ	PREVOD NA UCET	4068	13285	POJISTNE	AB	59710752
1596725	5423	1998-06-08	VYDAJ	PREVOD NA UCET	4068	6895	POJISTNE	AB	59710752
1596726	5423	1998-07-08	VYDAJ	PREVOD NA UCET	4068	9685	POJISTNE	AB	59710752
1596727	5423	1998-08-08	VYDAJ	PREVOD NA UCET	4068	50869	POJISTNE	AB	59710752
1596728	5423	1998-09-08	VYDAJ	PREVOD NA UCET	4068	22310	POJISTNE	AB	59710752
1596729	5423	1998-10-08	VYDAJ	PREVOD NA UCET	4068	14972	POJISTNE	AB	59710752
1596730	5423	1998-11-08	VYDAJ	PREVOD NA UCET	4068	13988	POJISTNE	AB	59710752
1596731	5423	1998-12-08	VYDAJ	PREVOD NA UCET	4068	14396	POJISTNE	AB	59710752
1596735	5423	1993-09-21	VYBER	VYBER	18201	25675	\N	\N	\N
1596736	5423	1993-09-20	VYBER	VYBER	3782	43876	\N	\N	\N
1596750	5423	1995-10-02	VYBER	VYBER	7377	45339	\N	\N	\N
1596751	5423	1995-02-22	VYBER	VYBER	4923	23792	\N	\N	\N
1596752	5423	1995-10-19	VYBER	VYBER	21993	51614	\N	\N	\N
1596753	5423	1995-07-03	VYBER	VYBER	10518	59676	\N	\N	\N
1596757	5423	1996-11-25	VYBER	VYBER	3922	28092	\N	\N	\N
1596758	5423	1996-03-22	VYBER	VYBER	22750	43039	\N	\N	\N
1596759	5423	1996-06-12	VYBER	VYBER	7490	60937	\N	\N	\N
1596760	5423	1996-01-20	VYBER	VYBER	13227	43086	\N	\N	\N
1596761	5423	1996-04-22	VYBER	VYBER	7098	26462	\N	\N	\N
1596764	5423	1996-02-03	VYBER	VYBER	23391	30329	\N	\N	\N
1596766	5423	1996-02-06	VYBER	VYBER	7233	34615	\N	\N	\N
1596767	5423	1996-09-05	VYBER	VYBER	3185	26120	\N	\N	\N
1596768	5423	1996-04-10	VYBER	VYBER	19631	21179	\N	\N	\N
1596769	5423	1997-04-05	VYBER	VYBER	8768	41341	\N	\N	\N
1596770	5423	1997-08-03	VYBER	VYBER	2994	23615	\N	\N	\N
1596777	5423	1995-06-28	VYDAJ	VYBER	17100	69961	\N	\N	\N
1596779	5423	1997-06-21	VYDAJ	VYBER	59700	36890	\N	\N	\N
1596783	5423	1995-12-06	VYDAJ	VYBER	3000	23329	\N	\N	\N
1596784	5423	1996-12-03	VYDAJ	VYBER	3000	32778	\N	\N	\N
1596785	5423	1997-12-27	VYDAJ	VYBER	6300	72800	\N	\N	\N
1596805	5423	1996-01-15	VYDAJ	VYBER	8100	39016	\N	\N	\N
1596806	5423	1996-01-04	VYDAJ	VYBER	1800	68348	\N	\N	\N
1596807	5423	1996-01-16	VYDAJ	VYBER	7800	31216	\N	\N	\N
1596808	5423	1996-01-12	VYDAJ	VYBER	5400	47562	\N	\N	\N
1596809	5423	1996-01-12	VYDAJ	VYBER	2700	52962	\N	\N	\N
1596810	5423	1996-01-27	VYDAJ	VYBER	6600	36486	\N	\N	\N
1596811	5423	1997-01-19	VYDAJ	VYBER	3300	52229	\N	\N	\N
1596813	5423	1997-01-03	VYDAJ	VYBER	4800	40701	\N	\N	\N
1596814	5423	1997-01-28	VYDAJ	VYBER	3000	87527	\N	\N	\N
1596815	5423	1997-01-20	VYDAJ	VYBER	7200	90527	\N	\N	\N
1596816	5423	1997-01-09	VYDAJ	VYBER	5400	22615	\N	\N	\N
1596817	5423	1998-01-24	VYDAJ	VYBER	8100	36677	\N	\N	\N
1596819	5423	1998-01-24	VYDAJ	VYBER	7200	44777	\N	\N	\N
1596820	5423	1998-01-25	VYDAJ	VYBER	2400	34277	\N	\N	\N
1596821	5423	1998-01-27	VYDAJ	VYBER	7800	26477	\N	\N	\N
1596822	5423	1998-01-16	VYDAJ	VYBER	2100	51977	\N	\N	\N
1596837	5423	1995-10-09	VYDAJ	VYBER	5400	74053	\N	\N	\N
1596838	5423	1995-11-26	VYDAJ	VYBER	1500	34779	\N	\N	\N
1596839	5423	1995-05-26	VYDAJ	VYBER	7200	64225	\N	\N	\N
1596840	5423	1996-11-09	VYDAJ	VYBER	7500	57460	\N	\N	\N
1596841	5423	1996-11-21	VYDAJ	VYBER	5400	32014	\N	\N	\N
1596842	5423	1996-05-26	VYDAJ	VYBER	1800	80889	\N	\N	\N
1596843	5423	1996-12-22	VYDAJ	VYBER	4200	45359	\N	\N	\N
1596844	5423	1996-10-25	VYDAJ	VYBER	6600	52672	\N	\N	\N
1596845	5423	1997-03-02	VYDAJ	VYBER	14100	62149	\N	\N	\N
1596846	5423	1997-05-20	VYDAJ	VYBER	6600	38432	\N	\N	\N
1596861	5423	1993-09-30	VYDAJ	VYBER	15	24637	SLUZBY	\N	\N
1596862	5423	1993-10-31	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
1596863	5423	1993-11-30	VYDAJ	VYBER	15	18191	SLUZBY	\N	\N
1596864	5423	1993-12-31	VYDAJ	VYBER	15	23623	SLUZBY	\N	\N
1596865	5423	1994-01-31	VYDAJ	VYBER	15	19939	SLUZBY	\N	\N
1596866	5423	1994-02-28	VYDAJ	VYBER	15	16139	SLUZBY	\N	\N
1596867	5423	1994-03-31	VYDAJ	VYBER	15	12722	SLUZBY	\N	\N
1596868	5423	1994-04-30	VYDAJ	VYBER	15	23376	SLUZBY	\N	\N
1596869	5423	1994-05-31	VYDAJ	VYBER	15	17790	SLUZBY	\N	\N
1596870	5423	1994-06-30	VYDAJ	VYBER	15	14783	SLUZBY	\N	\N
1596871	5423	1994-07-31	VYDAJ	VYBER	15	11764	SLUZBY	\N	\N
1596872	5423	1994-08-31	VYDAJ	VYBER	15	-1382	SLUZBY	\N	\N
1596873	5423	1994-09-30	VYDAJ	VYBER	15	13960	SLUZBY	\N	\N
1596874	5423	1994-10-31	VYDAJ	VYBER	15	13242	SLUZBY	\N	\N
1596875	5423	1994-11-30	VYDAJ	VYBER	15	10721	SLUZBY	\N	\N
1596876	5423	1994-12-31	VYDAJ	VYBER	15	17131	SLUZBY	\N	\N
1596877	5423	1995-01-31	VYDAJ	VYBER	15	11923	SLUZBY	\N	\N
1596878	5423	1995-02-28	VYDAJ	VYBER	15	23825	SLUZBY	\N	\N
1596879	5423	1995-03-31	VYDAJ	VYBER	15	65356	SLUZBY	\N	\N
1596880	5423	1995-04-30	VYDAJ	VYBER	15	44966	SLUZBY	\N	\N
1596881	5423	1995-05-31	VYDAJ	VYBER	15	64385	SLUZBY	\N	\N
1596882	5423	1995-06-30	VYDAJ	VYBER	15	70194	SLUZBY	\N	\N
1596883	5423	1995-07-31	VYDAJ	VYBER	15	36425	SLUZBY	\N	\N
1596884	5423	1995-08-31	VYDAJ	VYBER	15	96313	SLUZBY	\N	\N
1596885	5423	1995-09-30	VYDAJ	VYBER	15	52716	SLUZBY	\N	\N
1596886	5423	1995-10-31	VYDAJ	VYBER	15	54600	SLUZBY	\N	\N
1596887	5423	1995-11-30	VYDAJ	VYBER	15	34947	SLUZBY	\N	\N
1596888	5423	1995-12-31	VYDAJ	VYBER	15	70148	SLUZBY	\N	\N
1596889	5423	1996-01-31	VYDAJ	VYBER	15	36674	SLUZBY	\N	\N
1596890	5423	1996-02-29	VYDAJ	VYBER	15	33078	SLUZBY	\N	\N
1596891	5423	1996-03-31	VYDAJ	VYBER	15	53496	SLUZBY	\N	\N
1596892	5423	1996-04-30	VYDAJ	VYBER	15	26584	SLUZBY	\N	\N
1596893	5423	1996-05-31	VYDAJ	VYBER	15	81113	SLUZBY	\N	\N
1596894	5423	1996-06-30	VYDAJ	VYBER	15	45118	SLUZBY	\N	\N
1596895	5423	1996-07-31	VYDAJ	VYBER	15	37100	SLUZBY	\N	\N
1596896	5423	1996-08-31	VYDAJ	VYBER	15	29305	SLUZBY	\N	\N
1596897	5423	1996-09-30	VYDAJ	VYBER	15	116041	SLUZBY	\N	\N
1596898	5423	1996-10-31	VYDAJ	VYBER	15	52958	SLUZBY	\N	\N
1596899	5423	1996-11-30	VYDAJ	VYBER	15	28253	SLUZBY	\N	\N
1596900	5423	1996-12-31	VYDAJ	VYBER	15	45501	SLUZBY	\N	\N
1596901	5423	1997-01-31	VYDAJ	VYBER	15	87739	SLUZBY	\N	\N
1596902	5423	1997-02-28	VYDAJ	VYBER	15	76249	SLUZBY	\N	\N
1596903	5423	1997-03-31	VYDAJ	VYBER	15	50109	SLUZBY	\N	\N
1596904	5423	1997-04-30	VYDAJ	VYBER	15	26522	SLUZBY	\N	\N
1596905	5423	1997-05-31	VYDAJ	VYBER	15	69380	SLUZBY	\N	\N
1596906	5423	1997-06-30	VYDAJ	VYBER	15	37138	SLUZBY	\N	\N
1596907	5423	1997-07-31	VYDAJ	VYBER	15	26609	SLUZBY	\N	\N
1596908	5423	1997-08-31	VYDAJ	VYBER	15	39947	SLUZBY	\N	\N
1596909	5423	1997-09-30	VYDAJ	VYBER	15	29632	SLUZBY	\N	\N
1596910	5423	1997-10-31	VYDAJ	VYBER	15	45699	SLUZBY	\N	\N
1596911	5423	1997-11-30	VYDAJ	VYBER	15	100897	SLUZBY	\N	\N
1596912	5423	1997-12-31	VYDAJ	VYBER	15	81509	SLUZBY	\N	\N
1596913	5423	1998-01-31	VYDAJ	VYBER	15	26678	SLUZBY	\N	\N
1596914	5423	1998-02-28	VYDAJ	VYBER	15	17911	SLUZBY	\N	\N
1596915	5423	1998-03-31	VYDAJ	VYBER	15	20245	SLUZBY	\N	\N
1596916	5423	1998-04-30	VYDAJ	VYBER	15	16771	SLUZBY	\N	\N
1596917	5423	1998-05-31	VYDAJ	VYBER	15	12881	SLUZBY	\N	\N
1596918	5423	1998-06-30	VYDAJ	VYBER	15	17671	SLUZBY	\N	\N
1596919	5423	1998-07-31	VYDAJ	VYBER	15	9267	SLUZBY	\N	\N
1596920	5423	1998-08-31	VYDAJ	VYBER	15	50596	SLUZBY	\N	\N
1596921	5423	1998-09-30	VYDAJ	VYBER	15	21958	SLUZBY	\N	\N
1596922	5423	1998-10-31	VYDAJ	VYBER	15	14574	SLUZBY	\N	\N
1596923	5423	1998-11-30	VYDAJ	VYBER	15	13582	SLUZBY	\N	\N
1596924	5423	1993-07-01	PRIJEM	VKLAD	11400	11700	\N	\N	\N
1596925	5423	1993-07-31	VYDAJ	VYBER	22500	44002	\N	\N	\N
1596926	5423	1993-08-30	VYDAJ	VYBER	25300	54161	\N	\N	\N
1596927	5423	1993-09-02	VYDAJ	VYBER	50000	60790	\N	\N	\N
1596928	5423	1993-09-29	VYDAJ	VYBER	1200	24475	\N	\N	\N
1596929	5423	1993-10-29	PRIJEM	VKLAD	3400	26082	\N	\N	\N
1596930	5423	1993-11-28	PRIJEM	VKLAD	5100	18136	\N	\N	\N
1596931	5423	1993-12-28	PRIJEM	VKLAD	1600	23564	\N	\N	\N
1596932	5423	1994-01-27	PRIJEM	VKLAD	9400	19891	\N	\N	\N
1596933	5423	1994-02-26	PRIJEM	VKLAD	9300	16107	\N	\N	\N
1596934	5423	1994-03-28	PRIJEM	VKLAD	9700	12707	\N	\N	\N
1596935	5423	1994-04-27	VYDAJ	VYBER	1700	23308	\N	\N	\N
1596936	5423	1994-05-27	PRIJEM	VKLAD	7500	17744	\N	\N	\N
1596937	5423	1994-06-26	PRIJEM	VKLAD	10100	14758	\N	\N	\N
1596938	5423	1994-07-26	PRIJEM	VKLAD	10100	11751	\N	\N	\N
1596939	5423	1994-09-24	PRIJEM	VKLAD	15800	13972	\N	\N	\N
1596940	5423	1994-10-24	PRIJEM	VKLAD	12400	13228	\N	\N	\N
1596941	5423	1994-11-23	PRIJEM	VKLAD	10600	10710	\N	\N	\N
1596942	5423	1994-12-23	PRIJEM	VKLAD	9400	17102	\N	\N	\N
1596943	5423	1995-01-22	PRIJEM	VKLAD	7900	11898	\N	\N	\N
1596944	5423	1995-02-21	VYDAJ	VYBER	7000	28715	\N	\N	\N
1596945	5423	1995-03-23	PRIJEM	VKLAD	5700	16393	\N	\N	\N
1596946	5423	1995-04-22	VYDAJ	VYBER	19900	44741	\N	\N	\N
1596947	5423	1995-05-22	VYDAJ	VYBER	2300	29534	\N	\N	\N
1596948	5423	1995-06-21	VYDAJ	VYBER	14100	37153	\N	\N	\N
1596949	5423	1995-07-21	VYDAJ	VYBER	10300	36244	\N	\N	\N
1596950	5423	1995-08-20	VYDAJ	VYBER	5200	35532	\N	\N	\N
1596951	5423	1995-09-09	VYDAJ	VYBER	20800	85857	\N	\N	\N
1596952	5423	1995-09-19	VYDAJ	VYBER	33000	52411	\N	\N	\N
1596953	5423	1995-10-19	VYDAJ	VYBER	13700	37914	\N	\N	\N
1596954	5423	1995-11-18	VYDAJ	VYBER	11500	36279	\N	\N	\N
1596955	5423	1995-12-18	PRIJEM	VKLAD	5200	24015	\N	\N	\N
1596956	5423	1996-01-17	VYDAJ	VYBER	4200	27016	\N	\N	\N
1596957	5423	1996-02-16	VYDAJ	VYBER	6000	32962	\N	\N	\N
1596958	5423	1996-03-17	VYDAJ	VYBER	4000	31361	\N	\N	\N
1596959	5423	1996-04-16	PRIJEM	VKLAD	4200	24933	\N	\N	\N
1596960	5423	1996-05-16	VYDAJ	VYBER	7100	36057	\N	\N	\N
1596961	5423	1996-05-25	VYDAJ	VYBER	46900	82689	\N	\N	\N
1596962	5423	1996-06-15	VYDAJ	VYBER	15600	44891	\N	\N	\N
1596963	5423	1996-07-15	VYDAJ	VYBER	9300	36944	\N	\N	\N
1596964	5423	1996-08-14	VYDAJ	VYBER	6900	29187	\N	\N	\N
1596965	5423	1996-09-13	PRIJEM	VKLAD	3400	16388	\N	\N	\N
1596966	5423	1996-09-30	VYDAJ	VYBER	17200	98841	\N	\N	\N
1596967	5423	1996-10-13	VYDAJ	VYBER	32700	53009	\N	\N	\N
1596968	5423	1996-11-12	VYDAJ	VYBER	19600	37414	\N	\N	\N
1596969	5423	1996-12-12	PRIJEM	VKLAD	3000	23092	\N	\N	\N
1596970	5423	1997-01-11	PRIJEM	VKLAD	3400	26015	\N	\N	\N
1596971	5423	1997-02-08	VYDAJ	VYBER	34400	99822	\N	\N	\N
1596972	5423	1997-02-10	VYDAJ	VYBER	38100	61722	\N	\N	\N
1596973	5423	1997-02-16	VYDAJ	VYBER	53400	59206	\N	\N	\N
1596974	5423	1997-03-12	VYDAJ	VYBER	9500	39963	\N	\N	\N
1596975	5423	1997-04-11	VYDAJ	VYBER	1800	26855	\N	\N	\N
1596976	5423	1997-05-11	VYDAJ	VYBER	14700	45478	\N	\N	\N
1596977	5423	1997-06-10	VYDAJ	VYBER	11900	44794	\N	\N	\N
1596978	5423	1997-07-10	PRIJEM	VKLAD	2500	26952	\N	\N	\N
1596979	5423	1997-08-09	PRIJEM	VKLAD	9900	20829	\N	\N	\N
1596980	5423	1997-09-08	PRIJEM	VKLAD	2700	34029	\N	\N	\N
1596981	5423	1997-10-08	VYDAJ	VYBER	9800	36099	\N	\N	\N
1596982	5423	1997-11-07	VYDAJ	VYBER	500	36581	\N	\N	\N
1596983	5423	1997-11-12	VYDAJ	VYBER	31800	91286	\N	\N	\N
1596984	5423	1997-11-24	VYDAJ	VYBER	22900	100524	\N	\N	\N
1596985	5423	1997-12-05	VYDAJ	VYBER	39000	93441	\N	\N	\N
1596986	5423	1997-12-07	VYDAJ	VYBER	21000	63823	\N	\N	\N
1596987	5423	1998-01-06	VYDAJ	VYBER	14300	58591	\N	\N	\N
1596988	5423	1998-02-05	PRIJEM	VKLAD	4300	30978	\N	\N	\N
1596989	5423	1998-03-07	PRIJEM	VKLAD	15400	24693	\N	\N	\N
1596990	5423	1998-04-06	PRIJEM	VKLAD	9600	29845	\N	\N	\N
1596991	5423	1998-05-06	PRIJEM	VKLAD	9200	25971	\N	\N	\N
1596992	5423	1998-06-05	PRIJEM	VKLAD	6700	19581	\N	\N	\N
1596993	5423	1998-07-05	PRIJEM	VKLAD	4700	22371	\N	\N	\N
1596994	5423	1998-08-04	PRIJEM	VKLAD	10600	19867	\N	\N	\N
1596995	5423	1998-09-03	VYDAJ	VYBER	15600	34996	\N	\N	\N
1596996	5423	1998-10-03	PRIJEM	VKLAD	5700	27658	\N	\N	\N
1596997	5423	1998-11-02	PRIJEM	VKLAD	12100	26674	\N	\N	\N
1596998	5423	1998-12-02	PRIJEM	VKLAD	13500	27082	\N	\N	\N
1598765	5428	1993-04-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1598766	5428	1993-05-29	PRIJEM	VKLAD	23151	76864	\N	\N	\N
1598767	5428	1993-11-13	PRIJEM	VKLAD	16052	35897	\N	\N	\N
1598769	5428	1993-04-18	PRIJEM	VKLAD	35931	36931	\N	\N	\N
1598771	5428	1993-04-19	PRIJEM	VKLAD	47436	84367	\N	\N	\N
1598772	5428	1993-11-29	PRIJEM	VKLAD	12832	48729	\N	\N	\N
1598773	5428	1993-06-05	PRIJEM	VKLAD	5768	58796	\N	\N	\N
1598775	5428	1993-05-31	PRIJEM	VKLAD	28419	105283	\N	\N	\N
1598776	5428	1993-09-21	PRIJEM	VKLAD	40175	58141	\N	\N	\N
1598777	5428	1993-08-14	PRIJEM	VKLAD	13370	29873	\N	\N	\N
1598778	5428	1993-12-29	PRIJEM	VKLAD	41077	61848	\N	\N	\N
1598779	5428	1994-04-02	PRIJEM	VKLAD	38607	80613	\N	\N	\N
1598780	5428	1994-05-22	PRIJEM	VKLAD	23149	82049	\N	\N	\N
1598781	5428	1994-06-21	PRIJEM	VKLAD	40350	74688	\N	\N	\N
1598782	5428	1994-02-22	PRIJEM	VKLAD	49573	82733	\N	\N	\N
1598783	5428	1994-04-27	PRIJEM	VKLAD	14868	98836	\N	\N	\N
1598784	5428	1994-04-12	PRIJEM	VKLAD	15552	68665	\N	\N	\N
1598785	5428	1994-10-28	PRIJEM	VKLAD	26512	74844	\N	\N	\N
1598786	5428	1994-08-12	PRIJEM	VKLAD	10858	37426	\N	\N	\N
1598787	5428	1994-01-21	PRIJEM	VKLAD	33855	56166	\N	\N	\N
1598788	5428	1994-06-14	PRIJEM	VKLAD	28275	75138	\N	\N	\N
1598789	5428	1994-04-14	PRIJEM	VKLAD	22584	83968	\N	\N	\N
1598790	5428	1994-10-23	PRIJEM	VKLAD	34617	48332	\N	\N	\N
1598791	5428	1994-05-10	PRIJEM	VKLAD	14643	66181	\N	\N	\N
1598792	5428	1994-12-18	PRIJEM	VKLAD	7990	19848	\N	\N	\N
1598793	5428	1994-05-06	PRIJEM	VKLAD	43618	131438	\N	\N	\N
1598794	5428	1994-03-15	PRIJEM	VKLAD	31311	64811	\N	\N	\N
1598795	5428	1994-06-10	PRIJEM	VKLAD	6385	54145	\N	\N	\N
1598796	5428	1994-10-30	PRIJEM	VKLAD	37073	111917	\N	\N	\N
1598797	5428	1994-01-31	PRIJEM	VKLAD	20993	69759	\N	\N	\N
1598798	5428	1995-07-28	PRIJEM	VKLAD	25699	38338	\N	\N	\N
1598799	5428	1995-10-20	PRIJEM	VKLAD	21238	27671	\N	\N	\N
1598800	5428	1995-12-30	PRIJEM	VKLAD	27772	31226	\N	\N	\N
1598801	5428	1995-07-02	PRIJEM	VKLAD	34203	37420	\N	\N	\N
1598802	5428	1995-03-20	PRIJEM	VKLAD	48234	50684	\N	\N	\N
1598803	5428	1996-05-28	PRIJEM	VKLAD	36359	103852	\N	\N	\N
1598804	5428	1996-10-10	PRIJEM	VKLAD	6925	20425	\N	\N	\N
1598805	5428	1996-04-13	PRIJEM	VKLAD	42922	61739	\N	\N	\N
1598806	5428	1996-01-22	PRIJEM	VKLAD	37536	47091	\N	\N	\N
1598807	5428	1996-05-26	PRIJEM	VKLAD	17329	39229	\N	\N	\N
1598808	5428	1996-04-08	PRIJEM	VKLAD	22381	18817	\N	\N	\N
1598809	5428	1996-09-15	PRIJEM	VKLAD	17537	41894	\N	\N	\N
1598810	5428	1996-07-29	PRIJEM	VKLAD	38685	64898	\N	\N	\N
1598811	5428	1996-04-22	PRIJEM	VKLAD	24201	85940	\N	\N	\N
1598812	5428	1996-07-09	PRIJEM	VKLAD	7976	28413	\N	\N	\N
1598813	5428	1996-09-20	PRIJEM	VKLAD	11692	43686	\N	\N	\N
1598814	5428	1996-06-02	PRIJEM	VKLAD	20224	57670	\N	\N	\N
1598815	5428	1996-05-27	PRIJEM	VKLAD	30364	67493	\N	\N	\N
1598816	5428	1996-12-29	PRIJEM	VKLAD	39232	49487	\N	\N	\N
1598817	5428	1997-06-05	PRIJEM	VKLAD	27973	47264	\N	\N	\N
1598818	5428	1997-02-09	PRIJEM	VKLAD	17491	64093	\N	\N	\N
1598819	5428	1997-04-16	PRIJEM	VKLAD	46125	120987	\N	\N	\N
1598820	5428	1997-11-14	PRIJEM	VKLAD	38056	93310	\N	\N	\N
1598821	5428	1997-05-06	PRIJEM	VKLAD	26004	70297	\N	\N	\N
1598822	5428	1997-01-02	PRIJEM	VKLAD	35142	81093	\N	\N	\N
1598823	5428	1997-02-09	PRIJEM	VKLAD	28367	46602	\N	\N	\N
1598824	5428	1997-03-26	PRIJEM	VKLAD	43690	81047	\N	\N	\N
1598825	5428	1997-04-22	PRIJEM	VKLAD	35793	151180	\N	\N	\N
1598826	5428	1997-03-15	PRIJEM	VKLAD	25029	71357	\N	\N	\N
1598827	5428	1997-10-27	PRIJEM	VKLAD	43385	55220	\N	\N	\N
1598828	5428	1997-01-14	PRIJEM	VKLAD	8210	69103	\N	\N	\N
1598829	5428	1997-12-01	PRIJEM	VKLAD	25723	54837	\N	\N	\N
1598830	5428	1997-03-05	PRIJEM	VKLAD	17583	46328	\N	\N	\N
1598831	5428	1997-09-02	PRIJEM	VKLAD	5068	18430	\N	\N	\N
1598832	5428	1997-06-13	PRIJEM	VKLAD	11621	43885	\N	\N	\N
1598833	5428	1998-03-06	PRIJEM	VKLAD	35762	93311	\N	\N	\N
1598834	5428	1998-01-02	PRIJEM	VKLAD	23469	49294	\N	\N	\N
1598835	5428	1998-06-11	PRIJEM	VKLAD	6577	48316	\N	\N	\N
1598836	5428	1998-11-22	PRIJEM	VKLAD	45767	76931	\N	\N	\N
1598837	5428	1998-12-20	PRIJEM	VKLAD	26930	86005	\N	\N	\N
1598838	5428	1998-05-09	PRIJEM	VKLAD	45973	108953	\N	\N	\N
1598839	5428	1998-05-24	PRIJEM	VKLAD	47087	137996	\N	\N	\N
1598840	5428	1998-08-29	PRIJEM	VKLAD	32121	53718	\N	\N	\N
1598841	5428	1998-10-27	PRIJEM	VKLAD	9979	73435	\N	\N	\N
1598842	5428	1998-06-30	PRIJEM	VKLAD	36194	63926	\N	\N	\N
1598843	5428	1998-01-04	PRIJEM	VKLAD	29085	78379	\N	\N	\N
1598844	5428	1998-03-17	PRIJEM	VKLAD	5144	97510	\N	\N	\N
1598845	5428	1998-09-20	PRIJEM	VKLAD	37578	89648	\N	\N	\N
1598846	5428	1998-05-01	PRIJEM	VKLAD	18149	47940	\N	\N	\N
1598847	5428	1998-05-20	PRIJEM	VKLAD	33715	90909	\N	\N	\N
1598848	5428	1998-05-07	PRIJEM	VKLAD	20140	62980	\N	\N	\N
1598849	5428	1998-12-23	PRIJEM	VKLAD	22475	108480	\N	\N	\N
1598850	5428	1998-09-16	PRIJEM	VKLAD	16557	52070	\N	\N	\N
1598851	5428	1998-03-08	PRIJEM	VKLAD	13451	106762	\N	\N	\N
1598852	5428	1998-02-04	PRIJEM	VKLAD	9369	32776	\N	\N	\N
1598853	5428	1998-09-29	PRIJEM	VKLAD	29992	116594	\N	\N	\N
1598854	5428	1998-12-07	PRIJEM	VKLAD	34340	94875	\N	\N	\N
1598855	5428	1998-02-25	PRIJEM	VKLAD	39594	63270	\N	\N	\N
1598861	5428	1993-06-13	VYDAJ	VYBER	9200	34296	\N	\N	0
1598862	5428	1993-06-29	VYDAJ	VYBER	7800	26496	\N	\N	0
1598863	5428	1993-07-24	VYDAJ	VYBER	8900	9240	\N	\N	0
1598864	5428	1993-08-30	VYDAJ	VYBER	5000	21494	\N	\N	0
1598865	5428	1993-10-12	VYDAJ	PREVOD NA UCET	7281	31681	UVER	MN	55829697
1598866	5428	1993-11-12	VYDAJ	PREVOD NA UCET	7281	19845	UVER	MN	55829697
1598867	5428	1993-12-12	VYDAJ	PREVOD NA UCET	7281	28571	UVER	MN	55829697
1598868	5428	1994-01-12	VYDAJ	PREVOD NA UCET	7281	26611	UVER	MN	55829697
1598869	5428	1994-02-12	VYDAJ	PREVOD NA UCET	7281	33160	UVER	MN	55829697
1598870	5428	1994-03-12	VYDAJ	PREVOD NA UCET	7281	33500	UVER	MN	55829697
1598871	5428	1994-04-12	VYDAJ	PREVOD NA UCET	7281	61384	UVER	MN	55829697
1598872	5428	1994-05-12	VYDAJ	PREVOD NA UCET	7281	58900	UVER	MN	55829697
1598873	5428	1994-06-12	VYDAJ	PREVOD NA UCET	7281	46863	UVER	MN	55829697
1598874	5428	1994-07-12	VYDAJ	PREVOD NA UCET	7281	29234	UVER	MN	55829697
1598875	5428	1994-08-12	VYDAJ	PREVOD NA UCET	7281	30145	UVER	MN	55829697
1598876	5428	1994-09-12	VYDAJ	PREVOD NA UCET	7281	12264	UVER	MN	55829697
1598878	5428	1994-11-12	VYDAJ	PREVOD NA UCET	7281	18946	UVER	MN	55829697
1598880	5428	1995-01-12	VYDAJ	PREVOD NA UCET	7281	8405	UVER	MN	55829697
1598883	5428	1995-04-12	VYDAJ	PREVOD NA UCET	7281	28904	UVER	MN	55829697
1598884	5428	1995-05-12	VYDAJ	PREVOD NA UCET	7281	13360	UVER	MN	55829697
1598886	5428	1995-07-12	VYDAJ	PREVOD NA UCET	7281	18939	UVER	MN	55829697
1598887	5428	1995-08-12	VYDAJ	PREVOD NA UCET	7281	15722	UVER	MN	55829697
1598890	5428	1995-11-04	VYDAJ	VYBER	7500	10025	\N	\N	0
1598892	5428	1996-01-13	VYDAJ	VYBER	7500	9555	\N	\N	0
1598893	5428	1996-02-22	VYDAJ	VYBER	6300	19579	\N	\N	0
1598894	5428	1996-03-20	VYDAJ	VYBER	6900	10181	\N	\N	0
1598895	5428	1996-04-01	VYDAJ	VYBER	7100	-3564	\N	\N	0
1598896	5428	1996-05-15	VYDAJ	VYBER	9300	21900	\N	\N	0
1598897	5428	1996-06-23	VYDAJ	VYBER	4800	38270	\N	\N	0
1598898	5428	1996-06-28	VYDAJ	VYBER	5400	26770	\N	\N	0
1598899	5428	1996-08-01	VYDAJ	VYBER	7000	58010	\N	\N	0
1598900	5428	1996-09-18	VYDAJ	VYBER	9900	31994	\N	\N	0
1598901	5428	1996-09-29	VYDAJ	VYBER	8900	18386	\N	\N	0
1598904	5428	1997-01-12	VYDAJ	VYBER	6400	60893	\N	\N	0
1598905	5428	1997-02-18	VYDAJ	VYBER	6300	54493	\N	\N	0
1598906	5428	1997-03-15	VYDAJ	VYBER	6000	65357	\N	\N	0
1598907	5428	1997-04-16	VYDAJ	VYBER	5600	115387	\N	\N	0
1598908	5428	1997-05-06	VYDAJ	VYBER	8000	62297	\N	\N	0
1598909	5428	1997-05-25	VYDAJ	VYBER	9500	24015	\N	\N	0
1598910	5428	1997-07-12	VYDAJ	VYBER	7700	18316	\N	\N	0
1598914	5428	1997-11-22	VYDAJ	VYBER	10100	40710	\N	\N	0
1598915	5428	1997-12-13	VYDAJ	VYBER	7000	46337	\N	\N	0
1598916	5428	1998-01-06	VYDAJ	VYBER	7800	58579	\N	\N	0
1598917	5428	1998-02-11	VYDAJ	VYBER	4400	23676	\N	\N	0
1598918	5428	1998-03-16	VYDAJ	VYBER	7500	92366	\N	\N	0
1598919	5428	1998-04-16	VYDAJ	VYBER	5900	29646	\N	\N	0
1598920	5428	1998-05-18	VYDAJ	VYBER	8000	57194	\N	\N	0
1598921	5428	1998-06-08	VYDAJ	VYBER	7200	41739	\N	\N	0
1598922	5428	1998-07-24	VYDAJ	VYBER	9400	31211	\N	\N	0
1598923	5428	1998-08-13	VYDAJ	VYBER	5300	21597	\N	\N	0
1598924	5428	1998-09-06	VYDAJ	VYBER	5800	41713	\N	\N	0
1598925	5428	1998-10-18	VYDAJ	VYBER	8000	69529	\N	\N	0
1598926	5428	1998-11-10	VYDAJ	VYBER	8400	37864	\N	\N	0
1598927	5428	1998-12-09	VYDAJ	VYBER	6200	88675	\N	\N	0
1598933	5428	1993-06-13	VYDAJ	VYBER	4600	54196	SIPO	\N	0
1598934	5428	1993-07-12	VYDAJ	VYBER	5200	12640	SIPO	\N	0
1598935	5428	1993-08-12	VYDAJ	VYBER	4100	16503	SIPO	\N	0
1598936	5428	1993-09-05	VYDAJ	VYBER	4700	16866	SIPO	\N	0
1598937	5428	1993-10-02	VYDAJ	VYBER	6800	51462	SIPO	\N	0
1598938	5428	1993-11-07	VYDAJ	VYBER	4600	23026	SIPO	\N	0
1598939	5428	1993-12-12	VYDAJ	VYBER	4900	35852	SIPO	\N	0
1598940	5428	1994-01-15	VYDAJ	VYBER	4300	22311	SIPO	\N	0
1598941	5428	1994-01-30	VYDAJ	VYBER	5900	48766	SIPO	\N	0
1598942	5428	1994-02-28	VYDAJ	VYBER	5700	77264	SIPO	\N	0
1598943	5428	1994-03-31	VYDAJ	VYBER	6700	42006	SIPO	\N	0
1598944	5428	1994-04-30	VYDAJ	VYBER	4700	94420	SIPO	\N	0
1598945	5428	1994-06-08	VYDAJ	VYBER	4800	47760	SIPO	\N	0
1598946	5428	1994-07-02	VYDAJ	VYBER	5200	48516	SIPO	\N	0
1598947	5428	1994-08-17	VYDAJ	VYBER	4400	25745	SIPO	\N	0
1598948	5428	1994-09-02	VYDAJ	VYBER	6600	19245	SIPO	\N	0
1598949	5428	1994-10-02	VYDAJ	VYBER	4400	7915	SIPO	\N	0
1598950	5428	1994-11-17	VYDAJ	VYBER	5500	13446	SIPO	\N	0
1598951	5428	1994-11-30	VYDAJ	VYBER	5800	7758	SIPO	\N	0
1598952	5428	1994-12-30	VYDAJ	VYBER	6200	13648	SIPO	\N	0
1598953	5428	1995-02-16	VYDAJ	VYBER	6000	2432	SIPO	\N	0
1598955	5428	1995-04-12	VYDAJ	VYBER	5000	23904	SIPO	\N	0
1598956	5428	1995-05-14	VYDAJ	VYBER	5500	7860	SIPO	\N	0
1598957	5428	1995-06-18	VYDAJ	VYBER	4700	3202	SIPO	\N	0
1598958	5428	1995-07-14	VYDAJ	VYBER	6300	12639	SIPO	\N	0
1598959	5428	1995-08-07	VYDAJ	VYBER	5300	23004	SIPO	\N	0
1598960	5428	1995-09-16	VYDAJ	VYBER	5600	10495	SIPO	\N	0
1598961	5428	1995-10-06	VYDAJ	VYBER	4100	6433	SIPO	\N	0
1598962	5428	1995-11-01	VYDAJ	VYBER	4600	17525	SIPO	\N	0
1598963	5428	1995-12-05	VYDAJ	VYBER	6600	3454	SIPO	\N	0
1598964	5428	1996-01-09	VYDAJ	VYBER	6000	17055	SIPO	\N	0
1598965	5428	1996-02-15	VYDAJ	VYBER	6000	25879	SIPO	\N	0
1598966	5428	1996-03-12	VYDAJ	VYBER	4600	17081	SIPO	\N	0
1598967	5428	1996-04-01	VYDAJ	VYBER	6700	3536	SIPO	\N	0
1598968	5428	1996-05-14	VYDAJ	VYBER	5700	31200	SIPO	\N	0
1598969	5428	1996-06-14	VYDAJ	VYBER	4700	47870	SIPO	\N	0
1598970	5428	1996-07-02	VYDAJ	VYBER	6500	20437	SIPO	\N	0
1598971	5428	1996-08-13	VYDAJ	VYBER	4800	42790	SIPO	\N	0
1598972	5428	1996-09-14	VYDAJ	VYBER	4400	24357	SIPO	\N	0
1598973	5428	1996-10-03	VYDAJ	VYBER	5000	13500	SIPO	\N	0
1598974	5428	1996-11-17	VYDAJ	VYBER	4100	16389	SIPO	\N	0
1598975	5428	1996-12-12	VYDAJ	VYBER	6200	10255	SIPO	\N	0
1598976	5428	1997-01-09	VYDAJ	VYBER	6300	67293	SIPO	\N	0
1598977	5428	1997-01-30	VYDAJ	VYBER	4200	18032	SIPO	\N	0
1598978	5428	1997-03-03	VYDAJ	VYBER	4500	28745	SIPO	\N	0
1598979	5428	1997-04-13	VYDAJ	VYBER	6400	74862	SIPO	\N	0
1598980	5428	1997-05-03	VYDAJ	VYBER	5300	44293	SIPO	\N	0
1598981	5428	1997-06-04	VYDAJ	VYBER	4900	19291	SIPO	\N	0
1598982	5428	1997-07-16	VYDAJ	VYBER	5000	13316	SIPO	\N	0
1598984	5428	1997-09-02	VYDAJ	VYBER	6700	11730	SIPO	\N	0
1598986	5428	1997-11-17	VYDAJ	VYBER	5400	87910	SIPO	\N	0
1598987	5428	1997-11-30	VYDAJ	VYBER	5000	29129	SIPO	\N	0
1598988	5428	1998-01-13	VYDAJ	VYBER	5700	38479	SIPO	\N	0
1598989	5428	1998-02-08	VYDAJ	VYBER	4700	28076	SIPO	\N	0
1598990	5428	1998-03-17	VYDAJ	VYBER	5800	91710	SIPO	\N	0
1598991	5428	1998-03-30	VYDAJ	VYBER	4500	50410	SIPO	\N	0
1598992	5428	1998-05-01	VYDAJ	VYBER	5100	42840	SIPO	\N	0
1598993	5428	1998-06-15	VYDAJ	VYBER	6300	42016	SIPO	\N	0
1598994	5428	1998-07-02	VYDAJ	VYBER	4700	59211	SIPO	\N	0
1598995	5428	1998-08-06	VYDAJ	VYBER	4500	26897	SIPO	\N	0
1598996	5428	1998-09-07	VYDAJ	VYBER	4400	37313	SIPO	\N	0
1598997	5428	1998-10-06	VYDAJ	VYBER	5200	111629	SIPO	\N	0
1598998	5428	1998-10-31	VYDAJ	VYBER	6500	46264	SIPO	\N	0
1598999	5428	1998-12-17	VYDAJ	VYBER	5600	59075	SIPO	\N	0
1599003	5428	1993-08-26	VYBER	VYBER	3379	26494	\N	\N	\N
1599007	5428	1993-07-08	VYBER	VYBER	8834	17840	\N	\N	\N
1599009	5428	1994-03-28	VYBER	VYBER	3910	48484	\N	\N	\N
1599010	5428	1994-03-16	VYBER	VYBER	12417	52394	\N	\N	\N
1599011	5428	1994-03-08	VYBER	VYBER	12183	57581	\N	\N	\N
1599012	5428	1994-11-09	VYBER	VYBER	20491	26228	\N	\N	\N
1599013	5428	1994-06-21	VYBER	VYBER	16402	58286	\N	\N	\N
1599025	5428	1996-05-01	VYBER	VYBER	2766	51243	\N	\N	\N
1599028	5428	1996-05-05	VYBER	VYBER	14343	36900	\N	\N	\N
1599030	5428	1996-05-31	VYBER	VYBER	23360	37460	\N	\N	\N
1599032	5428	1996-08-09	VYBER	VYBER	8020	47590	\N	\N	\N
1599037	5428	1997-05-19	VYBER	VYBER	13025	33515	\N	\N	\N
1599038	5428	1997-05-16	VYBER	VYBER	15757	46540	\N	\N	\N
1599039	5428	1997-11-30	VYBER	VYBER	6792	34129	\N	\N	\N
1599040	5428	1997-12-14	VYBER	VYBER	3653	42684	\N	\N	\N
1599041	5428	1997-01-15	VYBER	VYBER	17771	51332	\N	\N	\N
1599043	5428	1998-12-02	VYBER	VYBER	8786	68335	\N	\N	\N
1599045	5428	1998-10-21	VYBER	VYBER	6073	63456	\N	\N	\N
1599047	5428	1998-10-29	VYBER	VYBER	21017	52418	\N	\N	\N
1599050	5428	1998-04-11	VYBER	VYBER	15137	35546	\N	\N	\N
1599051	5428	1998-03-10	VYBER	VYBER	6896	99866	\N	\N	\N
1599052	5428	1998-05-13	VYBER	VYBER	3959	104994	\N	\N	\N
1599054	5428	1998-02-28	VYBER	VYBER	5822	57564	\N	\N	\N
1599055	5428	1998-09-21	VYBER	VYBER	3046	86602	\N	\N	\N
1599057	5428	1994-06-15	VYDAJ	VYBER	40800	34338	\N	\N	\N
1599061	5428	1998-06-05	VYDAJ	VYBER	64500	48939	\N	\N	\N
1599062	5428	1993-12-26	VYDAJ	VYBER	7800	20771	\N	\N	\N
1599066	5428	1997-12-02	VYDAJ	VYBER	1500	53337	\N	\N	\N
1599067	5428	1998-12-05	VYDAJ	VYBER	7800	60535	\N	\N	\N
1599075	5428	1994-01-11	VYDAJ	VYBER	4500	39593	\N	\N	\N
1599076	5428	1994-01-09	VYDAJ	VYBER	3900	44093	\N	\N	\N
1599077	5428	1994-01-25	VYDAJ	VYBER	1500	54666	\N	\N	\N
1599079	5428	1994-01-12	VYDAJ	VYBER	5700	33893	\N	\N	\N
1599089	5428	1996-01-22	VYDAJ	VYBER	3900	43191	\N	\N	\N
1599092	5428	1997-01-16	VYDAJ	VYBER	1800	49532	\N	\N	\N
1599093	5428	1997-01-01	VYDAJ	VYBER	3600	45951	\N	\N	\N
1599094	5428	1997-01-18	VYDAJ	VYBER	4800	44732	\N	\N	\N
1599095	5428	1997-01-23	VYDAJ	VYBER	4800	39932	\N	\N	\N
1599097	5428	1997-01-03	VYDAJ	VYBER	7500	73593	\N	\N	\N
1599098	5428	1998-01-10	VYDAJ	VYBER	1500	44179	\N	\N	\N
1599100	5428	1998-01-09	VYDAJ	VYBER	4500	54079	\N	\N	\N
1599101	5428	1998-01-05	VYDAJ	VYBER	3300	75079	\N	\N	\N
1599102	5428	1998-01-06	VYDAJ	VYBER	8700	66379	\N	\N	\N
1599103	5428	1998-01-09	VYDAJ	VYBER	8400	45679	\N	\N	\N
1599107	5428	1993-10-16	VYDAJ	VYBER	4200	27481	\N	\N	\N
1599109	5428	1994-06-23	VYDAJ	VYBER	4800	53486	\N	\N	\N
1599110	5428	1994-03-03	VYDAJ	VYBER	7500	69764	\N	\N	\N
1599112	5428	1994-02-08	VYDAJ	VYBER	6900	63041	\N	\N	\N
1599114	5428	1994-05-03	VYDAJ	VYBER	6600	87820	\N	\N	\N
1599118	5428	1996-08-02	VYDAJ	VYBER	2400	55610	\N	\N	\N
1599119	5428	1996-06-16	VYDAJ	VYBER	4800	43070	\N	\N	\N
1599120	5428	1996-05-26	VYDAJ	VYBER	2100	37129	\N	\N	\N
1599121	5428	1996-06-02	VYDAJ	VYBER	5100	52570	\N	\N	\N
1599122	5428	1997-06-06	VYDAJ	VYBER	2400	32264	\N	\N	\N
1599125	5428	1997-06-06	VYDAJ	VYBER	12600	34664	\N	\N	\N
1599126	5428	1997-02-11	VYDAJ	VYBER	3300	60793	\N	\N	\N
1599128	5428	1998-09-03	VYDAJ	VYBER	6300	47513	\N	\N	\N
1599129	5428	1998-01-16	VYDAJ	VYBER	2400	36079	\N	\N	\N
1599130	5428	1998-12-28	VYDAJ	VYBER	14400	94080	\N	\N	\N
1599139	5428	1993-06-30	VYDAJ	VYBER	15	26674	SLUZBY	\N	\N
1599140	5428	1993-07-31	VYDAJ	VYBER	15	9303	SLUZBY	\N	\N
1599141	5428	1993-08-31	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
1599142	5428	1993-09-30	VYDAJ	VYBER	15	58262	SLUZBY	\N	\N
1599143	5428	1993-10-31	VYDAJ	VYBER	15	27626	SLUZBY	\N	\N
1599144	5428	1993-11-30	VYDAJ	VYBER	15	48852	SLUZBY	\N	\N
1599145	5428	1993-12-31	VYDAJ	VYBER	15	61993	SLUZBY	\N	\N
1599146	5428	1994-01-31	VYDAJ	VYBER	15	69941	SLUZBY	\N	\N
1599147	5428	1994-02-28	VYDAJ	VYBER	15	82964	SLUZBY	\N	\N
1599148	5428	1994-03-31	VYDAJ	VYBER	15	48706	SLUZBY	\N	\N
1599149	5428	1994-04-30	VYDAJ	VYBER	15	99120	SLUZBY	\N	\N
1599150	5428	1994-05-31	VYDAJ	VYBER	15	82360	SLUZBY	\N	\N
1599151	5428	1994-06-30	VYDAJ	VYBER	15	53716	SLUZBY	\N	\N
1599152	5428	1994-07-31	VYDAJ	VYBER	15	29368	SLUZBY	\N	\N
1599153	5428	1994-08-31	VYDAJ	VYBER	15	25845	SLUZBY	\N	\N
1599154	5428	1994-09-30	VYDAJ	VYBER	15	12315	SLUZBY	\N	\N
1599155	5428	1994-10-31	VYDAJ	VYBER	15	112019	SLUZBY	\N	\N
1599156	5428	1994-11-30	VYDAJ	VYBER	15	13558	SLUZBY	\N	\N
1599157	5428	1994-12-31	VYDAJ	VYBER	15	13686	SLUZBY	\N	\N
1599158	5428	1995-01-31	VYDAJ	VYBER	15	8432	SLUZBY	\N	\N
1599159	5428	1995-02-28	VYDAJ	VYBER	15	2450	SLUZBY	\N	\N
1599160	5428	1995-03-31	VYDAJ	VYBER	15	50685	SLUZBY	\N	\N
1599161	5428	1995-04-30	VYDAJ	VYBER	15	24041	SLUZBY	\N	\N
1599162	5428	1995-05-31	VYDAJ	VYBER	15	7902	SLUZBY	\N	\N
1599163	5428	1995-06-30	VYDAJ	VYBER	15	3217	SLUZBY	\N	\N
1599164	5428	1995-07-31	VYDAJ	VYBER	15	38404	SLUZBY	\N	\N
1599165	5428	1995-08-31	VYDAJ	VYBER	15	15795	SLUZBY	\N	\N
1599166	5428	1995-09-30	VYDAJ	VYBER	15	10533	SLUZBY	\N	\N
1599167	5428	1995-10-31	VYDAJ	VYBER	15	22125	SLUZBY	\N	\N
1599168	5428	1995-11-30	VYDAJ	VYBER	15	10054	SLUZBY	\N	\N
1599169	5428	1995-12-31	VYDAJ	VYBER	15	23055	SLUZBY	\N	\N
1599170	5428	1996-01-31	VYDAJ	VYBER	15	31879	SLUZBY	\N	\N
1599171	5428	1996-02-29	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
1599172	5428	1996-03-31	VYDAJ	VYBER	15	10236	SLUZBY	\N	\N
1599173	5428	1996-04-30	VYDAJ	VYBER	15	54009	SLUZBY	\N	\N
1599174	5428	1996-05-31	VYDAJ	VYBER	15	37446	SLUZBY	\N	\N
1599175	5428	1996-06-30	VYDAJ	VYBER	15	26937	SLUZBY	\N	\N
1599176	5428	1996-07-31	VYDAJ	VYBER	15	65010	SLUZBY	\N	\N
1599177	5428	1996-08-31	VYDAJ	VYBER	15	28757	SLUZBY	\N	\N
1599178	5428	1996-09-30	VYDAJ	VYBER	15	18500	SLUZBY	\N	\N
1599179	5428	1996-10-31	VYDAJ	VYBER	15	20489	SLUZBY	\N	\N
1599180	5428	1996-11-30	VYDAJ	VYBER	15	16455	SLUZBY	\N	\N
1599181	5428	1996-12-31	VYDAJ	VYBER	15	49551	SLUZBY	\N	\N
1599182	5428	1997-01-31	VYDAJ	VYBER	15	18235	SLUZBY	\N	\N
1599183	5428	1997-02-28	VYDAJ	VYBER	15	33245	SLUZBY	\N	\N
1599184	5428	1997-03-31	VYDAJ	VYBER	15	81262	SLUZBY	\N	\N
1599185	5428	1997-04-30	VYDAJ	VYBER	15	49593	SLUZBY	\N	\N
1599186	5428	1997-05-31	VYDAJ	VYBER	15	24191	SLUZBY	\N	\N
1599187	5428	1997-06-30	VYDAJ	VYBER	15	26016	SLUZBY	\N	\N
1599188	5428	1997-07-31	VYDAJ	VYBER	15	13377	SLUZBY	\N	\N
1599189	5428	1997-08-31	VYDAJ	VYBER	15	13362	SLUZBY	\N	\N
1599190	5428	1997-09-30	VYDAJ	VYBER	15	11835	SLUZBY	\N	\N
1599191	5428	1997-10-31	VYDAJ	VYBER	15	55254	SLUZBY	\N	\N
1599192	5428	1997-11-30	VYDAJ	VYBER	15	29114	SLUZBY	\N	\N
1599193	5428	1997-12-31	VYDAJ	VYBER	15	25825	SLUZBY	\N	\N
1599194	5428	1998-01-31	VYDAJ	VYBER	15	23407	SLUZBY	\N	\N
1599195	5428	1998-02-28	VYDAJ	VYBER	15	57549	SLUZBY	\N	\N
1599196	5428	1998-03-31	VYDAJ	VYBER	15	50683	SLUZBY	\N	\N
1599197	5428	1998-04-30	VYDAJ	VYBER	15	29791	SLUZBY	\N	\N
1599198	5428	1998-05-31	VYDAJ	VYBER	15	113439	SLUZBY	\N	\N
1599199	5428	1998-06-30	VYDAJ	VYBER	15	63911	SLUZBY	\N	\N
1599200	5428	1998-07-31	VYDAJ	VYBER	15	31397	SLUZBY	\N	\N
1599201	5428	1998-08-31	VYDAJ	VYBER	15	53813	SLUZBY	\N	\N
1599202	5428	1998-09-30	VYDAJ	VYBER	15	116829	SLUZBY	\N	\N
1599203	5428	1998-10-31	VYDAJ	VYBER	15	52764	SLUZBY	\N	\N
1599204	5428	1998-11-30	VYDAJ	VYBER	15	77121	SLUZBY	\N	\N
1599205	5428	1993-05-14	VYDAJ	VYBER	30800	53713	\N	\N	\N
1599206	5428	1993-05-31	VYDAJ	VYBER	52600	53028	\N	\N	\N
1599207	5428	1993-06-13	VYDAJ	VYBER	10700	43496	\N	\N	\N
1599208	5428	1993-07-13	PRIJEM	VKLAD	5500	18140	\N	\N	\N
1599209	5428	1993-08-12	PRIJEM	VKLAD	11300	20603	\N	\N	\N
1599210	5428	1993-09-11	PRIJEM	VKLAD	1100	17966	\N	\N	\N
1599211	5428	1993-10-11	VYDAJ	VYBER	12500	38962	\N	\N	\N
1599212	5428	1993-11-10	PRIJEM	VKLAD	4100	27126	\N	\N	\N
1599213	5428	1993-12-10	VYDAJ	VYBER	8100	40752	\N	\N	\N
1599214	5428	1994-01-09	VYDAJ	VYBER	14000	47993	\N	\N	\N
1599215	5428	1994-02-08	VYDAJ	VYBER	22600	40441	\N	\N	\N
1599216	5428	1994-03-10	VYDAJ	VYBER	16800	40781	\N	\N	\N
1599217	5428	1994-04-09	VYDAJ	VYBER	27500	53113	\N	\N	\N
1599218	5428	1994-05-06	VYDAJ	VYBER	19100	112338	\N	\N	\N
1599219	5428	1994-05-09	VYDAJ	VYBER	38500	73838	\N	\N	\N
1599220	5428	1994-05-09	VYDAJ	VYBER	22300	51538	\N	\N	\N
1599221	5428	1994-06-08	VYDAJ	VYBER	29800	52560	\N	\N	\N
1599222	5428	1994-07-08	VYDAJ	VYBER	12000	36516	\N	\N	\N
1599223	5428	1994-08-07	VYDAJ	VYBER	2800	26568	\N	\N	\N
1599224	5428	1994-09-06	PRIJEM	VKLAD	300	19545	\N	\N	\N
1599225	5428	1994-10-06	PRIJEM	VKLAD	5800	13715	\N	\N	\N
1599226	5428	1994-10-31	VYDAJ	VYBER	41800	70219	\N	\N	\N
1599227	5428	1994-11-05	VYDAJ	VYBER	23500	46719	\N	\N	\N
1599228	5428	1994-12-05	PRIJEM	VKLAD	4100	11858	\N	\N	\N
1599229	5428	1995-01-04	PRIJEM	VKLAD	2000	15686	\N	\N	\N
1599230	5428	1995-04-04	VYDAJ	VYBER	14500	36185	\N	\N	\N
1599231	5428	1995-05-04	VYDAJ	VYBER	3400	20641	\N	\N	\N
1599232	5428	1995-07-03	VYDAJ	VYBER	11200	26220	\N	\N	\N
1599233	5428	1995-08-02	VYDAJ	VYBER	10100	28304	\N	\N	\N
1599234	5428	1995-09-01	PRIJEM	VKLAD	300	16095	\N	\N	\N
1599235	5428	1995-10-31	VYDAJ	VYBER	5600	22139	\N	\N	\N
1599236	5428	1995-12-30	VYDAJ	VYBER	8200	23026	\N	\N	\N
1599237	5428	1996-01-29	VYDAJ	VYBER	11400	31791	\N	\N	\N
1599238	5428	1996-02-28	PRIJEM	VKLAD	2000	21579	\N	\N	\N
1599239	5428	1996-04-28	VYDAJ	VYBER	32100	53840	\N	\N	\N
1599240	5428	1996-05-28	VYDAJ	VYBER	43200	60652	\N	\N	\N
1599241	5428	1996-06-27	VYDAJ	VYBER	6100	32170	\N	\N	\N
1599242	5428	1996-07-27	VYDAJ	VYBER	2200	26213	\N	\N	\N
1599243	5428	1996-08-26	VYDAJ	VYBER	14200	28590	\N	\N	\N
1599244	5428	1996-09-25	VYDAJ	VYBER	16400	27286	\N	\N	\N
1599245	5428	1997-01-23	VYDAJ	VYBER	17700	22232	\N	\N	\N
1599246	5428	1997-02-22	VYDAJ	VYBER	21400	33093	\N	\N	\N
1599247	5428	1997-03-24	VYDAJ	VYBER	28000	37357	\N	\N	\N
1599248	5428	1997-04-22	VYDAJ	VYBER	58800	92380	\N	\N	\N
1599249	5428	1997-04-23	VYDAJ	VYBER	43100	49280	\N	\N	\N
1599250	5428	1997-06-22	VYDAJ	VYBER	18000	25885	\N	\N	\N
1599251	5428	1997-11-19	VYDAJ	VYBER	37100	50810	\N	\N	\N
1599252	5428	1997-12-19	VYDAJ	VYBER	17000	25684	\N	\N	\N
1599253	5428	1998-01-18	VYDAJ	VYBER	12800	23279	\N	\N	\N
1599254	5428	1998-03-19	VYDAJ	VYBER	36800	54910	\N	\N	\N
1599255	5428	1998-05-18	VYDAJ	VYBER	39800	65194	\N	\N	\N
1599256	5428	1998-05-24	VYDAJ	VYBER	24900	113096	\N	\N	\N
1599257	5428	1998-06-17	VYDAJ	VYBER	14500	27516	\N	\N	\N
1599258	5428	1998-07-17	VYDAJ	VYBER	18600	40611	\N	\N	\N
1599259	5428	1998-09-15	VYDAJ	VYBER	1800	35513	\N	\N	\N
1599260	5428	1998-10-15	VYDAJ	VYBER	34100	77529	\N	\N	\N
1599261	5428	1998-11-14	VYDAJ	VYBER	6700	31164	\N	\N	\N
1599262	5428	1998-12-14	VYDAJ	VYBER	24000	64675	\N	\N	\N
1599338	5429	1995-09-22	PRIJEM	VKLAD	400	400	\N	\N	\N
1599348	5429	1995-10-08	PRIJEM	VKLAD	8879	9279	\N	\N	\N
1599349	5429	1995-11-08	PRIJEM	VKLAD	8879	24179	\N	\N	\N
1599350	5429	1995-12-08	PRIJEM	VKLAD	13318	33968	\N	\N	\N
1599351	5429	1996-01-08	PRIJEM	VKLAD	8879	40248	\N	\N	\N
1599352	5429	1996-02-08	PRIJEM	VKLAD	8879	39656	\N	\N	\N
1599353	5429	1996-03-08	PRIJEM	VKLAD	8879	38647	\N	\N	\N
1599354	5429	1996-04-08	PRIJEM	VKLAD	8879	38435	\N	\N	\N
1599355	5429	1996-05-08	PRIJEM	VKLAD	8879	37521	\N	\N	\N
1599356	5429	1996-06-08	PRIJEM	VKLAD	13318	11079	\N	\N	\N
1599357	5429	1996-07-08	PRIJEM	VKLAD	8879	15528	\N	\N	\N
1599358	5429	1996-08-08	PRIJEM	VKLAD	8879	19026	\N	\N	\N
1599359	5429	1996-09-08	PRIJEM	VKLAD	8879	22840	\N	\N	\N
1599360	5429	1996-10-08	PRIJEM	VKLAD	8879	23764	\N	\N	\N
1599361	5429	1996-11-08	PRIJEM	VKLAD	8879	25093	\N	\N	\N
1599362	5429	1996-12-08	PRIJEM	VKLAD	13318	29764	\N	\N	\N
1599363	5429	1997-01-08	PRIJEM	VKLAD	8879	17400	\N	\N	\N
1599364	5429	1997-02-08	PRIJEM	VKLAD	8879	10852	\N	\N	\N
1599365	5429	1997-03-08	PRIJEM	VKLAD	8879	16337	\N	\N	\N
1599366	5429	1997-04-08	PRIJEM	VKLAD	8879	21344	\N	\N	\N
1599367	5429	1997-05-08	PRIJEM	VKLAD	8879	13029	\N	\N	\N
1599368	5429	1997-06-08	PRIJEM	VKLAD	13318	14253	\N	\N	\N
1599369	5429	1997-07-08	PRIJEM	VKLAD	8879	11227	\N	\N	\N
1599370	5429	1997-08-08	PRIJEM	VKLAD	8879	7601	\N	\N	\N
1599371	5429	1997-09-08	PRIJEM	VKLAD	8879	4748	\N	\N	\N
1599372	5429	1997-10-08	PRIJEM	VKLAD	8879	6180	\N	\N	\N
1599373	5429	1997-11-08	PRIJEM	VKLAD	8879	2909	\N	\N	\N
1599374	5429	1997-12-08	PRIJEM	VKLAD	13318	4749	\N	\N	\N
1599375	5429	1998-01-08	PRIJEM	VKLAD	8879	-1370	\N	\N	\N
1599376	5429	1998-02-08	PRIJEM	VKLAD	8879	-6028	\N	\N	\N
1599377	5429	1998-03-08	PRIJEM	VKLAD	8879	-4587	\N	\N	\N
1599378	5429	1998-04-08	PRIJEM	VKLAD	8879	-3838	\N	\N	\N
1599379	5429	1998-05-08	PRIJEM	VKLAD	8879	-7513	\N	\N	\N
1599380	5429	1998-06-08	PRIJEM	VKLAD	13318	-10010	\N	\N	\N
1599381	5429	1998-07-08	PRIJEM	VKLAD	8879	-14061	\N	\N	\N
1599382	5429	1998-08-08	PRIJEM	VKLAD	8879	-24344	\N	\N	\N
1599383	5429	1998-09-08	PRIJEM	VKLAD	8879	-19088	\N	\N	\N
1599384	5429	1998-10-08	PRIJEM	VKLAD	8879	-22015	\N	\N	\N
1599385	5429	1998-11-08	PRIJEM	VKLAD	8879	-20552	\N	\N	\N
1599386	5429	1998-12-08	PRIJEM	VKLAD	13318	-17046	\N	\N	\N
1599388	5429	1996-06-05	VYDAJ	VYBER	24800	-2240	\N	\N	\N
1599393	5429	1997-01-01	VYDAJ	VYBER	1600	8521	\N	\N	\N
1599396	5429	1996-12-18	VYDAJ	VYBER	4480	13184	\N	\N	\N
1599411	5429	1997-01-08	VYDAJ	VYBER	3120	12360	\N	\N	\N
1599412	5429	1997-01-24	VYDAJ	VYBER	1320	1960	\N	\N	\N
1599413	5429	1997-01-16	VYDAJ	VYBER	3120	5440	\N	\N	\N
1599414	5429	1997-01-01	VYDAJ	VYBER	3120	10121	\N	\N	\N
1599415	5429	1997-01-18	VYDAJ	VYBER	2160	3280	\N	\N	\N
1599416	5429	1997-01-08	VYDAJ	VYBER	1920	15480	\N	\N	\N
1599428	5429	1996-06-14	VYDAJ	VYBER	960	7599	\N	\N	\N
1599429	5429	1996-07-19	VYDAJ	VYBER	5400	10128	\N	\N	\N
1599430	5429	1996-06-02	VYDAJ	VYBER	3360	22561	\N	\N	\N
1599431	5429	1996-06-12	VYDAJ	VYBER	2520	8559	\N	\N	\N
1599432	5429	1996-06-18	VYDAJ	VYBER	4680	6619	\N	\N	\N
1599433	5429	1996-12-09	VYDAJ	VYBER	3000	26764	\N	\N	\N
1599434	5429	1997-07-30	VYDAJ	VYBER	4200	-1273	\N	\N	\N
1599437	5429	1997-05-04	VYDAJ	VYBER	3720	4150	\N	\N	\N
1599439	5429	1997-06-22	VYDAJ	VYBER	2400	2353	\N	\N	\N
1599459	5429	1996-02-29	VYDAJ	VYBER	15	29768	SLUZBY	\N	\N
1599460	5429	1996-03-31	VYDAJ	VYBER	15	29556	SLUZBY	\N	\N
1599461	5429	1996-04-30	VYDAJ	VYBER	15	28642	SLUZBY	\N	\N
1599462	5429	1996-05-31	VYDAJ	VYBER	15	25921	SLUZBY	\N	\N
1599463	5429	1996-06-30	VYDAJ	VYBER	15	6651	SLUZBY	\N	\N
1599464	5429	1996-07-31	VYDAJ	VYBER	15	10147	SLUZBY	\N	\N
1599465	5429	1996-08-31	VYDAJ	VYBER	15	13961	SLUZBY	\N	\N
1599466	5429	1996-09-30	VYDAJ	VYBER	15	14885	SLUZBY	\N	\N
1599467	5429	1996-10-31	VYDAJ	VYBER	15	16214	SLUZBY	\N	\N
1599468	5429	1996-11-30	VYDAJ	VYBER	15	16446	SLUZBY	\N	\N
1599469	5429	1996-12-31	VYDAJ	VYBER	15	13241	SLUZBY	\N	\N
1599470	5429	1997-01-31	VYDAJ	VYBER	15	1973	SLUZBY	\N	\N
1599471	5429	1997-02-28	VYDAJ	VYBER	15	7458	SLUZBY	\N	\N
1599472	5429	1997-03-31	VYDAJ	VYBER	15	12465	SLUZBY	\N	\N
1599473	5429	1997-04-30	VYDAJ	VYBER	15	7870	SLUZBY	\N	\N
1599474	5429	1997-05-31	VYDAJ	VYBER	15	935	SLUZBY	\N	\N
1599475	5429	1997-06-30	VYDAJ	VYBER	15	2348	SLUZBY	\N	\N
1599476	5429	1997-07-31	VYDAJ	VYBER	15	-1277	SLUZBY	\N	\N
1599478	5429	1997-09-30	VYDAJ	VYBER	15	-2699	SLUZBY	\N	\N
1599493	5429	1995-10-22	PRIJEM	VKLAD	6000	15279	\N	\N	\N
1599494	5429	1995-11-21	VYDAJ	VYBER	3600	20579	\N	\N	\N
1599495	5429	1995-12-21	VYDAJ	VYBER	2700	31268	\N	\N	\N
1599496	5429	1996-01-20	VYDAJ	VYBER	9600	30648	\N	\N	\N
1599497	5429	1996-02-19	VYDAJ	VYBER	10000	29656	\N	\N	\N
1599498	5429	1996-03-20	VYDAJ	VYBER	9200	29447	\N	\N	\N
1599499	5429	1996-04-19	VYDAJ	VYBER	9900	28535	\N	\N	\N
1599500	5429	1996-05-19	VYDAJ	VYBER	11700	25821	\N	\N	\N
1599501	5429	1996-06-18	PRIJEM	VKLAD	3700	11299	\N	\N	\N
1599502	5429	1996-08-17	VYDAJ	VYBER	5100	13926	\N	\N	\N
1599503	5429	1996-09-16	VYDAJ	VYBER	8000	14840	\N	\N	\N
1599504	5429	1996-10-16	VYDAJ	VYBER	7600	16164	\N	\N	\N
1599505	5429	1996-11-15	VYDAJ	VYBER	8700	16393	\N	\N	\N
1599506	5429	1996-12-15	VYDAJ	VYBER	9100	17664	\N	\N	\N
1599507	5429	1997-01-14	VYDAJ	VYBER	3800	8560	\N	\N	\N
1599508	5429	1997-02-13	VYDAJ	VYBER	3400	7452	\N	\N	\N
1599509	5429	1997-03-15	VYDAJ	VYBER	3900	12437	\N	\N	\N
1599510	5429	1997-04-14	VYDAJ	VYBER	13500	7844	\N	\N	\N
1599511	5429	1997-05-14	VYDAJ	VYBER	12100	929	\N	\N	\N
1599512	5429	1997-06-13	VYDAJ	VYBER	9500	4753	\N	\N	\N
1599513	5429	1997-07-13	VYDAJ	VYBER	8300	2927	\N	\N	\N
1599514	5429	1997-08-12	VYDAJ	VYBER	11700	-4099	\N	\N	\N
1599515	5429	1997-09-11	VYDAJ	VYBER	7400	-2652	\N	\N	\N
1599516	5429	1997-10-11	VYDAJ	VYBER	12100	-5920	\N	\N	\N
1599517	5429	1997-11-10	VYDAJ	VYBER	11400	-8491	\N	\N	\N
1599518	5429	1997-12-10	VYDAJ	VYBER	14900	-10151	\N	\N	\N
1599519	5429	1998-01-09	VYDAJ	VYBER	13400	-14770	\N	\N	\N
1599520	5429	1998-02-08	VYDAJ	VYBER	7300	-13328	\N	\N	\N
1599521	5429	1998-03-10	VYDAJ	VYBER	8000	-12587	\N	\N	\N
1599522	5429	1998-04-09	VYDAJ	VYBER	12400	-16238	\N	\N	\N
1599523	5429	1998-05-09	VYDAJ	VYBER	15600	-23113	\N	\N	\N
1599524	5429	1998-06-08	VYDAJ	VYBER	12700	-22710	\N	\N	\N
1599525	5429	1998-07-08	VYDAJ	VYBER	11200	-25261	\N	\N	\N
1599526	5429	1998-08-07	VYDAJ	VYBER	7800	-33223	\N	\N	\N
1599527	5429	1998-09-06	VYDAJ	VYBER	3400	-27967	\N	\N	\N
1599528	5429	1998-10-06	VYDAJ	VYBER	11600	-30894	\N	\N	\N
1599529	5429	1998-11-05	VYDAJ	VYBER	7200	-29431	\N	\N	\N
1599530	5429	1998-12-05	VYDAJ	VYBER	9600	-30364	\N	\N	\N
1602507	5442	1993-03-22	PRIJEM	VKLAD	300	300	\N	\N	\N
1602508	5442	1993-03-25	PRIJEM	VKLAD	7651	7951	\N	\N	\N
1602509	5442	1993-03-26	PRIJEM	VKLAD	34681	42632	\N	\N	\N
1602511	5442	1993-09-18	PRIJEM	VKLAD	28160	57345	\N	\N	\N
1602514	5442	1993-09-15	PRIJEM	VKLAD	14576	30872	\N	\N	\N
1602515	5442	1993-09-16	PRIJEM	VKLAD	11913	29185	\N	\N	\N
1602516	5442	1993-12-14	PRIJEM	VKLAD	18367	17552	\N	\N	\N
1602517	5442	1993-08-21	PRIJEM	VKLAD	12741	27421	\N	\N	\N
1602518	5442	1993-10-16	PRIJEM	VKLAD	41221	62782	\N	\N	\N
1602519	5442	1993-06-10	PRIJEM	VKLAD	42055	75743	\N	\N	\N
1602520	5442	1993-04-25	PRIJEM	VKLAD	22673	81832	\N	\N	\N
1602522	5442	1993-05-09	PRIJEM	VKLAD	26226	89191	\N	\N	\N
1602524	5442	1993-04-20	PRIJEM	VKLAD	31932	96659	\N	\N	\N
1602525	5442	1993-04-11	PRIJEM	VKLAD	22060	64727	\N	\N	\N
1602526	5442	1994-08-24	PRIJEM	VKLAD	13442	23102	\N	\N	\N
1602527	5442	1994-01-16	PRIJEM	VKLAD	46739	50541	\N	\N	\N
1602528	5442	1994-07-21	PRIJEM	VKLAD	5894	13637	\N	\N	\N
1602529	5442	1995-05-07	PRIJEM	VKLAD	14840	36037	\N	\N	\N
1602530	5442	1995-04-28	PRIJEM	VKLAD	16572	21161	\N	\N	\N
1602531	5442	1995-02-06	PRIJEM	VKLAD	35864	30084	\N	\N	\N
1602532	5442	1995-08-18	PRIJEM	VKLAD	40314	34120	\N	\N	\N
1602533	5442	1995-08-29	PRIJEM	VKLAD	20251	54371	\N	\N	\N
1602534	5442	1995-09-24	PRIJEM	VKLAD	41234	49164	\N	\N	\N
1602535	5442	1995-03-10	PRIJEM	VKLAD	41480	38307	\N	\N	\N
1602536	5442	1996-08-12	PRIJEM	VKLAD	14928	30965	\N	\N	\N
1602537	5442	1996-07-11	PRIJEM	VKLAD	14488	28638	\N	\N	\N
1602538	5442	1996-07-13	PRIJEM	VKLAD	47495	76133	\N	\N	\N
1602539	5442	1996-02-22	PRIJEM	VKLAD	24783	41918	\N	\N	\N
1602540	5442	1996-04-04	PRIJEM	VKLAD	24859	44570	\N	\N	\N
1602541	5442	1996-05-11	PRIJEM	VKLAD	43442	65169	\N	\N	\N
1602542	5442	1996-04-16	PRIJEM	VKLAD	34264	42955	\N	\N	\N
1602543	5442	1996-04-09	PRIJEM	VKLAD	6299	16989	\N	\N	\N
1602544	5442	1996-01-25	PRIJEM	VKLAD	43821	36990	\N	\N	\N
1602545	5442	1996-06-12	PRIJEM	VKLAD	36961	41554	\N	\N	\N
1602546	5442	1996-05-11	PRIJEM	VKLAD	46644	111813	\N	\N	\N
1602547	5442	1996-06-15	PRIJEM	VKLAD	34084	74621	\N	\N	\N
1602548	5442	1996-11-28	PRIJEM	VKLAD	36242	35127	\N	\N	\N
1602549	5442	1996-08-18	PRIJEM	VKLAD	34881	64829	\N	\N	\N
1602550	5442	1996-05-01	PRIJEM	VKLAD	38161	67707	\N	\N	\N
1602551	5442	1996-01-30	PRIJEM	VKLAD	49890	73980	\N	\N	\N
1602552	5442	1996-03-28	PRIJEM	VKLAD	17874	19661	\N	\N	\N
1602553	5442	1996-12-16	PRIJEM	VKLAD	43991	67925	\N	\N	\N
1602554	5442	1996-08-21	PRIJEM	VKLAD	24921	89750	\N	\N	\N
1602555	5442	1997-08-17	PRIJEM	VKLAD	49190	48735	\N	\N	\N
1602556	5442	1997-03-27	PRIJEM	VKLAD	31142	33023	\N	\N	\N
1602557	5442	1997-04-17	PRIJEM	VKLAD	13300	15852	\N	\N	\N
1602558	5442	1997-10-19	PRIJEM	VKLAD	6546	12657	\N	\N	\N
1602559	5442	1997-11-07	PRIJEM	VKLAD	47636	54825	\N	\N	\N
1602560	5442	1997-12-12	PRIJEM	VKLAD	6831	39859	\N	\N	\N
1602561	5442	1997-12-02	PRIJEM	VKLAD	16563	50408	\N	\N	\N
1602562	5442	1997-03-30	PRIJEM	VKLAD	9412	33435	\N	\N	\N
1602563	5442	1997-09-25	PRIJEM	VKLAD	14940	31523	\N	\N	\N
1602564	5442	1998-10-31	PRIJEM	VKLAD	48155	122939	\N	\N	\N
1602565	5442	1998-09-28	PRIJEM	VKLAD	43896	68535	\N	\N	\N
1602566	5442	1998-12-30	PRIJEM	VKLAD	22934	83119	\N	\N	\N
1602567	5442	1998-08-18	PRIJEM	VKLAD	13097	107771	\N	\N	\N
1602568	5442	1998-10-11	PRIJEM	VKLAD	26484	76386	\N	\N	\N
1602569	5442	1998-09-14	PRIJEM	VKLAD	6753	77539	\N	\N	\N
1602570	5442	1998-12-04	PRIJEM	VKLAD	29707	64215	\N	\N	\N
1602571	5442	1998-05-13	PRIJEM	VKLAD	38590	51315	\N	\N	\N
1602572	5442	1998-08-25	PRIJEM	VKLAD	26748	67219	\N	\N	\N
1602573	5442	1998-01-20	PRIJEM	VKLAD	16555	52492	\N	\N	\N
1602574	5442	1998-08-11	PRIJEM	VKLAD	49768	95691	\N	\N	\N
1602575	5442	1998-06-02	PRIJEM	VKLAD	10712	61154	\N	\N	\N
1602576	5442	1998-03-20	PRIJEM	VKLAD	14955	50275	\N	\N	\N
1602577	5442	1998-09-06	PRIJEM	VKLAD	37378	81983	\N	\N	\N
1602578	5442	1998-02-08	PRIJEM	VKLAD	29791	65924	\N	\N	\N
1602579	5442	1998-04-18	PRIJEM	VKLAD	34515	63953	\N	\N	\N
1602580	5442	1998-12-11	PRIJEM	VKLAD	36567	75002	\N	\N	\N
1602581	5442	1998-10-25	PRIJEM	VKLAD	28373	84784	\N	\N	\N
1602582	5442	1998-06-02	PRIJEM	VKLAD	7150	68304	\N	\N	\N
1602583	5442	1998-01-25	PRIJEM	VKLAD	41377	93869	\N	\N	\N
1602584	5442	1998-07-05	PRIJEM	VKLAD	13998	67085	\N	\N	\N
1602585	5442	1998-07-04	PRIJEM	VKLAD	11272	53087	\N	\N	\N
1602586	5442	1998-01-05	PRIJEM	VKLAD	42424	74793	\N	\N	\N
1602587	5442	1998-11-19	PRIJEM	VKLAD	36507	122017	\N	\N	\N
1602592	5442	1993-05-04	VYDAJ	VYBER	8900	73145	\N	\N	0
1602593	5442	1993-06-05	VYDAJ	VYBER	10400	43868	\N	\N	0
1602594	5442	1993-06-29	VYDAJ	VYBER	6700	43326	\N	\N	0
1602595	5442	1993-08-12	VYDAJ	VYBER	7000	8897	\N	\N	0
1602596	5442	1993-09-15	VYDAJ	VYBER	9400	21472	\N	\N	0
1602597	5442	1993-10-24	VYDAJ	VYBER	6200	17929	\N	\N	0
1602598	5442	1993-11-14	VYDAJ	VYBER	5400	1446	\N	\N	0
1602600	5442	1994-01-10	VYDAJ	VYBER	7300	4819	\N	\N	0
1602601	5442	1994-02-17	VYDAJ	VYBER	8500	10618	\N	\N	0
1602608	5442	1994-09-12	VYDAJ	PREVOD NA UCET	7281	5680	UVER	CD	26435643
1602613	5442	1995-02-12	VYDAJ	PREVOD NA UCET	7281	8023	UVER	CD	26435643
1602614	5442	1995-03-12	VYDAJ	PREVOD NA UCET	7281	31025	UVER	CD	26435643
1602615	5442	1995-04-12	VYDAJ	PREVOD NA UCET	7281	5606	UVER	CD	26435643
1602616	5442	1995-05-12	VYDAJ	PREVOD NA UCET	7281	12176	UVER	CD	26435643
1602620	5442	1995-09-12	VYDAJ	PREVOD NA UCET	7281	8947	UVER	CD	26435643
1602621	5442	1995-10-12	VYDAJ	PREVOD NA UCET	7281	14317	UVER	CD	26435643
1602625	5442	1996-02-12	VYDAJ	PREVOD NA UCET	7281	18152	UVER	CD	26435643
1602626	5442	1996-03-12	VYDAJ	PREVOD NA UCET	7281	2804	UVER	CD	26435643
1602627	5442	1996-04-12	VYDAJ	PREVOD NA UCET	7281	9708	UVER	CD	26435643
1602628	5442	1996-05-12	VYDAJ	PREVOD NA UCET	7281	66031	UVER	CD	26435643
1602629	5442	1996-06-08	VYDAJ	VYBER	4400	12703	\N	\N	0
1602630	5442	1996-07-14	VYDAJ	VYBER	7400	67716	\N	\N	0
1602631	5442	1996-08-01	VYDAJ	VYBER	5900	62017	\N	\N	0
1602632	5442	1996-09-09	VYDAJ	VYBER	7000	27685	\N	\N	0
1602635	5442	1996-12-21	VYDAJ	VYBER	5700	59825	\N	\N	0
1602636	5442	1997-01-05	VYDAJ	VYBER	7800	19202	\N	\N	0
1602644	5442	1997-09-18	VYDAJ	VYBER	5500	16583	\N	\N	0
1602646	5442	1997-10-30	VYDAJ	VYBER	5500	7157	\N	\N	0
1602647	5442	1997-12-15	VYDAJ	VYBER	6600	32242	\N	\N	0
1602648	5442	1998-01-10	VYDAJ	VYBER	8100	56513	\N	\N	0
1602649	5442	1998-02-20	VYDAJ	VYBER	8400	46327	\N	\N	0
1602650	5442	1998-03-22	VYDAJ	VYBER	4300	45975	\N	\N	0
1602651	5442	1998-03-30	VYDAJ	VYBER	5500	40475	\N	\N	0
1602653	5442	1998-06-18	VYDAJ	VYBER	8700	48407	\N	\N	0
1602654	5442	1998-06-24	VYDAJ	VYBER	6800	41607	\N	\N	0
1602655	5442	1998-08-25	VYDAJ	VYBER	5500	61719	\N	\N	0
1602656	5442	1998-09-05	VYDAJ	VYBER	7200	44605	\N	\N	0
1602657	5442	1998-10-12	VYDAJ	VYBER	10300	66086	\N	\N	0
1602658	5442	1998-10-27	VYDAJ	VYBER	10000	74784	\N	\N	0
1602659	5442	1998-12-12	VYDAJ	VYBER	7200	67802	\N	\N	0
1602664	5442	1993-05-08	VYDAJ	PREVOD NA UCET	8110	62965	SIPO	EF	14627766
1602665	5442	1993-06-08	VYDAJ	PREVOD NA UCET	8110	35758	SIPO	EF	14627766
1602666	5442	1993-07-08	VYDAJ	PREVOD NA UCET	8110	35444	SIPO	EF	14627766
1602667	5442	1993-08-08	VYDAJ	PREVOD NA UCET	8110	15897	SIPO	EF	14627766
1602668	5442	1993-09-08	VYDAJ	PREVOD NA UCET	8110	17313	SIPO	EF	14627766
1602669	5442	1993-10-08	VYDAJ	PREVOD NA UCET	8110	27378	SIPO	EF	14627766
1602670	5442	1993-11-08	VYDAJ	PREVOD NA UCET	8110	9933	SIPO	EF	14627766
1602671	5442	1993-12-08	VYDAJ	PREVOD NA UCET	8110	2272	SIPO	EF	14627766
1602672	5442	1994-01-08	VYDAJ	PREVOD NA UCET	8110	14189	SIPO	EF	14627766
1602673	5442	1994-02-08	VYDAJ	PREVOD NA UCET	8110	5835	SIPO	EF	14627766
1602674	5442	1994-03-08	VYDAJ	PREVOD NA UCET	8110	477	SIPO	EF	14627766
1602675	5442	1994-04-08	VYDAJ	PREVOD NA UCET	8110	3273	SIPO	EF	14627766
1602676	5442	1994-05-08	VYDAJ	PREVOD NA UCET	8110	527	SIPO	EF	14627766
1602677	5442	1994-06-08	VYDAJ	PREVOD NA UCET	8110	-352	SIPO	EF	14627766
1602678	5442	1994-07-08	VYDAJ	PREVOD NA UCET	8110	-1170	SIPO	EF	14627766
1602679	5442	1994-08-08	VYDAJ	PREVOD NA UCET	8110	5547	SIPO	EF	14627766
1602680	5442	1994-09-08	VYDAJ	PREVOD NA UCET	8110	12961	SIPO	EF	14627766
1602681	5442	1994-10-08	VYDAJ	PREVOD NA UCET	8110	1328	SIPO	EF	14627766
1602682	5442	1994-11-08	VYDAJ	PREVOD NA UCET	8110	-443	SIPO	EF	14627766
1602683	5442	1994-12-08	VYDAJ	PREVOD NA UCET	8110	-1056	SIPO	EF	14627766
1602684	5442	1995-01-08	VYDAJ	PREVOD NA UCET	8110	-4713	SIPO	EF	14627766
1602685	5442	1995-02-08	VYDAJ	PREVOD NA UCET	8110	21974	SIPO	EF	14627766
1602686	5442	1995-03-08	VYDAJ	PREVOD NA UCET	8110	-3173	SIPO	EF	14627766
1602687	5442	1995-04-08	VYDAJ	PREVOD NA UCET	8110	12958	SIPO	EF	14627766
1602688	5442	1995-05-08	VYDAJ	PREVOD NA UCET	8110	25857	SIPO	EF	14627766
1602689	5442	1995-06-08	VYDAJ	PREVOD NA UCET	8110	3099	SIPO	EF	14627766
1602692	5442	1995-09-08	VYDAJ	PREVOD NA UCET	8110	16228	SIPO	EF	14627766
1602693	5442	1995-10-08	VYDAJ	PREVOD NA UCET	8110	21598	SIPO	EF	14627766
1602694	5442	1995-11-08	VYDAJ	PREVOD NA UCET	8110	400	SIPO	EF	14627766
1602697	5442	1996-02-08	VYDAJ	PREVOD NA UCET	8110	27503	SIPO	EF	14627766
1602698	5442	1996-03-08	VYDAJ	PREVOD NA UCET	8110	10085	SIPO	EF	14627766
1602699	5442	1996-04-08	VYDAJ	PREVOD NA UCET	8110	12760	SIPO	EF	14627766
1602700	5442	1996-05-08	VYDAJ	PREVOD NA UCET	8110	23797	SIPO	EF	14627766
1602701	5442	1996-06-08	VYDAJ	PREVOD NA UCET	8110	4593	SIPO	EF	14627766
1602702	5442	1996-07-08	VYDAJ	PREVOD NA UCET	8110	14150	SIPO	EF	14627766
1602703	5442	1996-08-08	VYDAJ	PREVOD NA UCET	8110	18107	SIPO	EF	14627766
1602704	5442	1996-09-08	VYDAJ	PREVOD NA UCET	8110	34685	SIPO	EF	14627766
1602705	5442	1996-10-08	VYDAJ	PREVOD NA UCET	8110	1950	SIPO	EF	14627766
1602707	5442	1996-12-08	VYDAJ	PREVOD NA UCET	8110	27021	SIPO	EF	14627766
1602708	5442	1997-01-08	VYDAJ	PREVOD NA UCET	8110	9022	SIPO	EF	14627766
1602711	5442	1997-04-08	VYDAJ	PREVOD NA UCET	8110	5639	SIPO	EF	14627766
1602712	5442	1997-05-08	VYDAJ	PREVOD NA UCET	8110	7778	SIPO	EF	14627766
1602716	5442	1997-09-08	VYDAJ	PREVOD NA UCET	8110	25170	SIPO	EF	14627766
1602717	5442	1997-10-08	VYDAJ	PREVOD NA UCET	8110	9198	SIPO	EF	14627766
1602718	5442	1997-11-08	VYDAJ	PREVOD NA UCET	8110	44645	SIPO	EF	14627766
1602719	5442	1997-12-08	VYDAJ	PREVOD NA UCET	8110	35098	SIPO	EF	14627766
1602720	5442	1998-01-08	VYDAJ	PREVOD NA UCET	8110	64613	SIPO	EF	14627766
1602721	5442	1998-02-08	VYDAJ	PREVOD NA UCET	8110	55744	SIPO	EF	14627766
1602722	5442	1998-03-08	VYDAJ	PREVOD NA UCET	8110	36337	SIPO	EF	14627766
1602723	5442	1998-04-08	VYDAJ	PREVOD NA UCET	8110	32525	SIPO	EF	14627766
1602724	5442	1998-05-08	VYDAJ	PREVOD NA UCET	8110	12725	SIPO	EF	14627766
1602725	5442	1998-06-08	VYDAJ	PREVOD NA UCET	8110	58124	SIPO	EF	14627766
1602726	5442	1998-07-08	VYDAJ	PREVOD NA UCET	8110	58975	SIPO	EF	14627766
1602727	5442	1998-08-08	VYDAJ	PREVOD NA UCET	8110	47993	SIPO	EF	14627766
1602728	5442	1998-09-08	VYDAJ	PREVOD NA UCET	8110	73873	SIPO	EF	14627766
1602729	5442	1998-10-08	VYDAJ	PREVOD NA UCET	8110	51972	SIPO	EF	14627766
1602730	5442	1998-11-08	VYDAJ	PREVOD NA UCET	8110	86527	SIPO	EF	14627766
1602731	5442	1998-12-08	VYDAJ	PREVOD NA UCET	8110	38435	SIPO	EF	14627766
1602736	5442	1993-05-08	VYDAJ	PREVOD NA UCET	2070	71075	 	MN	10828179
1602737	5442	1993-06-08	VYDAJ	PREVOD NA UCET	2070	33688	 	MN	10828179
1602738	5442	1993-07-08	VYDAJ	PREVOD NA UCET	2070	33374	 	MN	10828179
1602739	5442	1993-08-08	VYDAJ	PREVOD NA UCET	2070	24007	 	MN	10828179
1602740	5442	1993-09-08	VYDAJ	PREVOD NA UCET	2070	25423	 	MN	10828179
1602741	5442	1993-10-08	VYDAJ	PREVOD NA UCET	2070	35488	 	MN	10828179
1602742	5442	1993-11-08	VYDAJ	PREVOD NA UCET	2070	7863	 	MN	10828179
1602743	5442	1993-12-08	VYDAJ	PREVOD NA UCET	2070	202	 	MN	10828179
1602744	5442	1994-01-08	VYDAJ	PREVOD NA UCET	2070	12119	 	MN	10828179
1602745	5442	1994-02-08	VYDAJ	PREVOD NA UCET	2070	13945	 	MN	10828179
1602746	5442	1994-03-08	VYDAJ	PREVOD NA UCET	2070	8587	 	MN	10828179
1602747	5442	1994-04-08	VYDAJ	PREVOD NA UCET	2070	1203	 	MN	10828179
1602748	5442	1994-05-08	VYDAJ	PREVOD NA UCET	2070	8637	 	MN	10828179
1602749	5442	1994-06-08	VYDAJ	PREVOD NA UCET	2070	7758	 	MN	10828179
1602750	5442	1994-07-08	VYDAJ	PREVOD NA UCET	2070	-3240	 	MN	10828179
1602751	5442	1994-08-08	VYDAJ	PREVOD NA UCET	2070	3477	 	MN	10828179
1602752	5442	1994-09-08	VYDAJ	PREVOD NA UCET	2070	21071	 	MN	10828179
1602753	5442	1994-10-08	VYDAJ	PREVOD NA UCET	2070	9438	 	MN	10828179
1602754	5442	1994-11-08	VYDAJ	PREVOD NA UCET	2070	7667	 	MN	10828179
1602755	5442	1994-12-08	VYDAJ	PREVOD NA UCET	2070	-3126	 	MN	10828179
1602756	5442	1995-01-08	VYDAJ	PREVOD NA UCET	2070	3398	 	MN	10828179
1602757	5442	1995-02-08	VYDAJ	PREVOD NA UCET	2070	19904	 	MN	10828179
1602758	5442	1995-03-08	VYDAJ	PREVOD NA UCET	2070	4937	 	MN	10828179
1602759	5442	1995-04-08	VYDAJ	PREVOD NA UCET	2070	10888	 	MN	10828179
1602760	5442	1995-05-08	VYDAJ	PREVOD NA UCET	2070	33967	 	MN	10828179
1602761	5442	1995-06-08	VYDAJ	PREVOD NA UCET	2070	1029	 	MN	10828179
1602762	5442	1995-07-08	VYDAJ	PREVOD NA UCET	2070	-2059	 	MN	10828179
1602763	5442	1995-08-08	VYDAJ	PREVOD NA UCET	2070	-5177	 	MN	10828179
1602764	5442	1995-09-08	VYDAJ	PREVOD NA UCET	2070	24338	 	MN	10828179
1602765	5442	1995-10-08	VYDAJ	PREVOD NA UCET	2070	47208	 	MN	10828179
1602766	5442	1995-11-08	VYDAJ	PREVOD NA UCET	2070	8510	 	MN	10828179
1602767	5442	1995-12-08	VYDAJ	PREVOD NA UCET	2070	-2690	 	MN	10828179
1602768	5442	1996-01-08	VYDAJ	PREVOD NA UCET	2070	-5814	 	MN	10828179
1602769	5442	1996-02-08	VYDAJ	PREVOD NA UCET	2070	25433	 	MN	10828179
1602770	5442	1996-03-08	VYDAJ	PREVOD NA UCET	2070	18195	 	MN	10828179
1602771	5442	1996-04-08	VYDAJ	PREVOD NA UCET	2070	10690	 	MN	10828179
1602772	5442	1996-05-08	VYDAJ	PREVOD NA UCET	2070	21727	 	MN	10828179
1602773	5442	1996-06-08	VYDAJ	PREVOD NA UCET	2070	17103	 	MN	10828179
1602774	5442	1996-07-08	VYDAJ	PREVOD NA UCET	2070	22260	 	MN	10828179
1602775	5442	1996-08-08	VYDAJ	PREVOD NA UCET	2070	16037	 	MN	10828179
1602776	5442	1996-09-08	VYDAJ	PREVOD NA UCET	2070	42795	 	MN	10828179
1602777	5442	1996-10-08	VYDAJ	PREVOD NA UCET	2070	10060	 	MN	10828179
1602778	5442	1996-11-08	VYDAJ	PREVOD NA UCET	2070	-1116	 	MN	10828179
1602779	5442	1996-12-08	VYDAJ	PREVOD NA UCET	2070	24951	 	MN	10828179
1602780	5442	1997-01-08	VYDAJ	PREVOD NA UCET	2070	17132	 	MN	10828179
1602781	5442	1997-02-08	VYDAJ	PREVOD NA UCET	2070	5973	 	MN	10828179
1602782	5442	1997-03-08	VYDAJ	PREVOD NA UCET	2070	2898	 	MN	10828179
1602783	5442	1997-04-08	VYDAJ	PREVOD NA UCET	2070	3569	 	MN	10828179
1602784	5442	1997-05-08	VYDAJ	PREVOD NA UCET	2070	5708	 	MN	10828179
1602785	5442	1997-06-08	VYDAJ	PREVOD NA UCET	2070	2643	 	MN	10828179
1602786	5442	1997-07-08	VYDAJ	PREVOD NA UCET	2070	-447	 	MN	10828179
1602788	5442	1997-09-08	VYDAJ	PREVOD NA UCET	2070	23100	 	MN	10828179
1602789	5442	1997-10-08	VYDAJ	PREVOD NA UCET	2070	7128	 	MN	10828179
1602790	5442	1997-11-08	VYDAJ	PREVOD NA UCET	2070	52755	 	MN	10828179
1602791	5442	1997-12-08	VYDAJ	PREVOD NA UCET	2070	33028	 	MN	10828179
1602792	5442	1998-01-08	VYDAJ	PREVOD NA UCET	2070	72723	 	MN	10828179
1602793	5442	1998-02-08	VYDAJ	PREVOD NA UCET	2070	63854	 	MN	10828179
1602794	5442	1998-03-08	VYDAJ	PREVOD NA UCET	2070	44447	 	MN	10828179
1602795	5442	1998-04-08	VYDAJ	PREVOD NA UCET	2070	30455	 	MN	10828179
1602796	5442	1998-05-08	VYDAJ	PREVOD NA UCET	2070	20835	 	MN	10828179
1602797	5442	1998-06-08	VYDAJ	PREVOD NA UCET	2070	66234	 	MN	10828179
1602798	5442	1998-07-08	VYDAJ	PREVOD NA UCET	2070	56905	 	MN	10828179
1602799	5442	1998-08-08	VYDAJ	PREVOD NA UCET	2070	45923	 	MN	10828179
1602800	5442	1998-09-08	VYDAJ	PREVOD NA UCET	2070	71803	 	MN	10828179
1602801	5442	1998-10-08	VYDAJ	PREVOD NA UCET	2070	49902	 	MN	10828179
1602802	5442	1998-11-08	VYDAJ	PREVOD NA UCET	2070	94637	 	MN	10828179
1602803	5442	1998-12-08	VYDAJ	PREVOD NA UCET	2070	60345	 	MN	10828179
1602808	5442	1993-05-13	VYDAJ	PREVOD NA UCET	1017	88174	POJISTNE	IJ	7772154
1602809	5442	1993-06-13	VYDAJ	PREVOD NA UCET	1017	74726	POJISTNE	IJ	7772154
1602810	5442	1993-07-13	VYDAJ	PREVOD NA UCET	1017	32357	POJISTNE	IJ	7772154
1602811	5442	1993-08-13	VYDAJ	PREVOD NA UCET	1017	7880	POJISTNE	IJ	7772154
1602812	5442	1993-09-13	VYDAJ	PREVOD NA UCET	1017	16296	POJISTNE	IJ	7772154
1602813	5442	1993-10-13	VYDAJ	PREVOD NA UCET	1017	21561	POJISTNE	IJ	7772154
1602814	5442	1993-11-13	VYDAJ	PREVOD NA UCET	1017	6846	POJISTNE	IJ	7772154
1602815	5442	1993-12-13	VYDAJ	PREVOD NA UCET	1017	-815	POJISTNE	IJ	7772154
1602816	5442	1994-01-13	VYDAJ	PREVOD NA UCET	1017	3802	POJISTNE	IJ	7772154
1602817	5442	1994-02-13	VYDAJ	PREVOD NA UCET	1017	4818	POJISTNE	IJ	7772154
1602818	5442	1994-03-13	VYDAJ	PREVOD NA UCET	1017	-541	POJISTNE	IJ	7772154
1602819	5442	1994-04-13	VYDAJ	PREVOD NA UCET	1017	186	POJISTNE	IJ	7772154
1602820	5442	1994-05-13	VYDAJ	PREVOD NA UCET	1017	-491	POJISTNE	IJ	7772154
1602821	5442	1994-06-13	VYDAJ	PREVOD NA UCET	1017	-1369	POJISTNE	IJ	7772154
1602822	5442	1994-07-13	VYDAJ	PREVOD NA UCET	1017	-4257	POJISTNE	IJ	7772154
1602823	5442	1994-08-13	VYDAJ	PREVOD NA UCET	1017	2460	POJISTNE	IJ	7772154
1602824	5442	1994-09-13	VYDAJ	PREVOD NA UCET	1017	11463	POJISTNE	IJ	7772154
1602825	5442	1994-10-13	VYDAJ	PREVOD NA UCET	1017	9711	POJISTNE	IJ	7772154
1602826	5442	1994-11-13	VYDAJ	PREVOD NA UCET	1017	7040	POJISTNE	IJ	7772154
1602827	5442	1994-12-13	VYDAJ	PREVOD NA UCET	1017	5457	POJISTNE	IJ	7772154
1602828	5442	1995-01-13	VYDAJ	PREVOD NA UCET	1017	-5730	POJISTNE	IJ	7772154
1602829	5442	1995-02-13	VYDAJ	PREVOD NA UCET	1017	7006	POJISTNE	IJ	7772154
1602830	5442	1995-03-13	VYDAJ	PREVOD NA UCET	1017	21008	POJISTNE	IJ	7772154
1602831	5442	1995-04-13	VYDAJ	PREVOD NA UCET	1017	4589	POJISTNE	IJ	7772154
1602832	5442	1995-05-13	VYDAJ	PREVOD NA UCET	1017	11159	POJISTNE	IJ	7772154
1602833	5442	1995-06-13	VYDAJ	PREVOD NA UCET	1017	12	POJISTNE	IJ	7772154
1602834	5442	1995-07-13	VYDAJ	PREVOD NA UCET	1017	-3076	POJISTNE	IJ	7772154
1602835	5442	1995-08-13	VYDAJ	PREVOD NA UCET	1017	-6194	POJISTNE	IJ	7772154
1602836	5442	1995-09-13	VYDAJ	PREVOD NA UCET	1017	7930	POJISTNE	IJ	7772154
1602837	5442	1995-10-13	VYDAJ	PREVOD NA UCET	1017	13300	POJISTNE	IJ	7772154
1602838	5442	1995-11-13	VYDAJ	PREVOD NA UCET	1017	-617	POJISTNE	IJ	7772154
1602839	5442	1995-12-13	VYDAJ	PREVOD NA UCET	1017	-3707	POJISTNE	IJ	7772154
1602840	5442	1996-01-13	VYDAJ	PREVOD NA UCET	1017	-6831	POJISTNE	IJ	7772154
1602841	5442	1996-02-13	VYDAJ	PREVOD NA UCET	1017	17135	POJISTNE	IJ	7772154
1602842	5442	1996-03-13	VYDAJ	PREVOD NA UCET	1017	1787	POJISTNE	IJ	7772154
1602843	5442	1996-04-13	VYDAJ	PREVOD NA UCET	1017	8691	POJISTNE	IJ	7772154
1602844	5442	1996-05-13	VYDAJ	PREVOD NA UCET	1017	65014	POJISTNE	IJ	7772154
1602845	5442	1996-06-13	VYDAJ	PREVOD NA UCET	1017	40537	POJISTNE	IJ	7772154
1602846	5442	1996-07-13	VYDAJ	PREVOD NA UCET	1017	75116	POJISTNE	IJ	7772154
1602847	5442	1996-08-13	VYDAJ	PREVOD NA UCET	1017	29948	POJISTNE	IJ	7772154
1602848	5442	1996-09-13	VYDAJ	PREVOD NA UCET	1017	26668	POJISTNE	IJ	7772154
1602849	5442	1996-10-13	VYDAJ	PREVOD NA UCET	1017	933	POJISTNE	IJ	7772154
1602851	5442	1996-12-13	VYDAJ	PREVOD NA UCET	1017	23934	POJISTNE	IJ	7772154
1602852	5442	1997-01-13	VYDAJ	PREVOD NA UCET	1017	8005	POJISTNE	IJ	7772154
1602853	5442	1997-02-13	VYDAJ	PREVOD NA UCET	1017	4956	POJISTNE	IJ	7772154
1602854	5442	1997-03-13	VYDAJ	PREVOD NA UCET	1017	1881	POJISTNE	IJ	7772154
1602855	5442	1997-04-13	VYDAJ	PREVOD NA UCET	1017	2552	POJISTNE	IJ	7772154
1602856	5442	1997-05-13	VYDAJ	PREVOD NA UCET	1017	4691	POJISTNE	IJ	7772154
1602857	5442	1997-06-13	VYDAJ	PREVOD NA UCET	1017	1626	POJISTNE	IJ	7772154
1602860	5442	1997-09-13	VYDAJ	PREVOD NA UCET	1017	22083	POJISTNE	IJ	7772154
1602861	5442	1997-10-13	VYDAJ	PREVOD NA UCET	1017	6111	POJISTNE	IJ	7772154
1602862	5442	1997-11-13	VYDAJ	PREVOD NA UCET	1017	43628	POJISTNE	IJ	7772154
1602863	5442	1997-12-13	VYDAJ	PREVOD NA UCET	1017	38842	POJISTNE	IJ	7772154
1602864	5442	1998-01-13	VYDAJ	PREVOD NA UCET	1017	49437	POJISTNE	IJ	7772154
1602865	5442	1998-02-13	VYDAJ	PREVOD NA UCET	1017	54727	POJISTNE	IJ	7772154
1602866	5442	1998-03-13	VYDAJ	PREVOD NA UCET	1017	35320	POJISTNE	IJ	7772154
1602867	5442	1998-04-13	VYDAJ	PREVOD NA UCET	1017	29438	POJISTNE	IJ	7772154
1602868	5442	1998-05-13	VYDAJ	PREVOD NA UCET	1017	50298	POJISTNE	IJ	7772154
1602869	5442	1998-06-13	VYDAJ	PREVOD NA UCET	1017	57107	POJISTNE	IJ	7772154
1602870	5442	1998-07-13	VYDAJ	PREVOD NA UCET	1017	55888	POJISTNE	IJ	7772154
1602871	5442	1998-08-13	VYDAJ	PREVOD NA UCET	1017	94674	POJISTNE	IJ	7772154
1602872	5442	1998-09-13	VYDAJ	PREVOD NA UCET	1017	70786	POJISTNE	IJ	7772154
1602873	5442	1998-10-13	VYDAJ	PREVOD NA UCET	1017	65069	POJISTNE	IJ	7772154
1602874	5442	1998-11-13	VYDAJ	PREVOD NA UCET	1017	85510	POJISTNE	IJ	7772154
1602875	5442	1998-12-13	VYDAJ	PREVOD NA UCET	1017	66785	POJISTNE	IJ	7772154
1602877	5442	1993-10-22	VYBER	VYBER	21053	24129	\N	\N	\N
1602880	5442	1994-01-18	VYBER	VYBER	20080	15961	\N	\N	\N
1602884	5442	1996-05-15	VYBER	VYBER	23100	41914	\N	\N	\N
1602887	5442	1996-02-05	VYBER	VYBER	2856	71113	\N	\N	\N
1602895	5442	1997-08-28	VYBER	VYBER	15455	33280	\N	\N	\N
1602899	5442	1998-10-23	VYBER	VYBER	8658	56411	\N	\N	\N
1602901	5442	1998-01-13	VYBER	VYBER	6059	50454	\N	\N	\N
1602905	5442	1996-06-16	VYDAJ	VYBER	50400	24221	\N	\N	\N
1602911	5442	1996-12-19	VYDAJ	VYBER	2400	65525	\N	\N	\N
1602912	5442	1997-12-06	VYDAJ	VYBER	7200	43208	\N	\N	\N
1602913	5442	1998-12-04	VYDAJ	VYBER KARTOU	1800	62415	\N	\N	0
1602915	5442	1993-07-16	VYDAJ	VYBER	2400	29957	\N	\N	\N
1602916	5442	1993-10-12	VYDAJ	VYBER	4800	22578	\N	\N	\N
1602917	5442	1993-09-15	VYDAJ	VYBER	4200	17272	\N	\N	\N
1602925	5442	1995-09-01	VYDAJ	VYBER	14700	39708	\N	\N	\N
1602927	5442	1996-01-28	VYDAJ	VYBER	12900	24090	\N	\N	\N
1602930	5442	1996-04-21	VYDAJ	VYBER	13500	29455	\N	\N	\N
1602931	5442	1997-11-16	VYDAJ	VYBER	9900	33728	\N	\N	\N
1602934	5442	1997-03-27	VYDAJ	VYBER	9000	24023	\N	\N	\N
1602937	5442	1998-10-01	VYDAJ	VYBER	8700	60082	\N	\N	\N
1602938	5442	1998-09-01	VYDAJ	VYBER	10200	51805	\N	\N	\N
1602939	5442	1998-01-16	VYDAJ	VYBER	13500	35937	\N	\N	\N
1602940	5442	1998-12-24	VYDAJ	VYBER	6600	60185	\N	\N	\N
1602941	5442	1998-12-08	VYDAJ	VYBER	13800	46545	\N	\N	\N
1602946	5442	1993-04-30	VYDAJ	VYBER	15	82045	SLUZBY	\N	\N
1602947	5442	1993-05-31	VYDAJ	VYBER	15	54268	SLUZBY	\N	\N
1602948	5442	1993-06-30	VYDAJ	VYBER	15	43554	SLUZBY	\N	\N
1602949	5442	1993-07-31	VYDAJ	VYBER	15	26077	SLUZBY	\N	\N
1602950	5442	1993-08-31	VYDAJ	VYBER	15	27493	SLUZBY	\N	\N
1602951	5442	1993-09-30	VYDAJ	VYBER	15	37558	SLUZBY	\N	\N
1602952	5442	1993-10-31	VYDAJ	VYBER	15	18043	SLUZBY	\N	\N
1602953	5442	1993-11-30	VYDAJ	VYBER	15	10382	SLUZBY	\N	\N
1602954	5442	1993-12-31	VYDAJ	VYBER	15	22299	SLUZBY	\N	\N
1602955	5442	1994-01-31	VYDAJ	VYBER	15	16015	SLUZBY	\N	\N
1602956	5442	1994-02-28	VYDAJ	VYBER	15	10657	SLUZBY	\N	\N
1602957	5442	1994-03-31	VYDAJ	VYBER	15	11384	SLUZBY	\N	\N
1602958	5442	1994-04-30	VYDAJ	VYBER	15	10707	SLUZBY	\N	\N
1602959	5442	1994-05-31	VYDAJ	VYBER	15	9828	SLUZBY	\N	\N
1602960	5442	1994-06-30	VYDAJ	VYBER	15	6942	SLUZBY	\N	\N
1602961	5442	1994-07-31	VYDAJ	VYBER	15	13660	SLUZBY	\N	\N
1602962	5442	1994-08-31	VYDAJ	VYBER	15	23141	SLUZBY	\N	\N
1602963	5442	1994-09-30	VYDAJ	VYBER	15	11508	SLUZBY	\N	\N
1602964	5442	1994-10-31	VYDAJ	VYBER	15	9737	SLUZBY	\N	\N
1602965	5442	1994-11-30	VYDAJ	VYBER	15	7055	SLUZBY	\N	\N
1602966	5442	1994-12-31	VYDAJ	VYBER	15	5468	SLUZBY	\N	\N
1602967	5442	1995-01-31	VYDAJ	VYBER	15	-5739	SLUZBY	\N	\N
1602968	5442	1995-02-28	VYDAJ	VYBER	15	7007	SLUZBY	\N	\N
1602969	5442	1995-03-31	VYDAJ	VYBER	15	21068	SLUZBY	\N	\N
1602970	5442	1995-04-30	VYDAJ	VYBER	15	21197	SLUZBY	\N	\N
1602971	5442	1995-05-31	VYDAJ	VYBER	15	11209	SLUZBY	\N	\N
1602972	5442	1995-06-30	VYDAJ	VYBER	15	11	SLUZBY	\N	\N
1602973	5442	1995-07-31	VYDAJ	VYBER	15	-3090	SLUZBY	\N	\N
1602974	5442	1995-08-31	VYDAJ	VYBER	15	54408	SLUZBY	\N	\N
1602975	5442	1995-09-30	VYDAJ	VYBER	15	49278	SLUZBY	\N	\N
1602976	5442	1995-10-31	VYDAJ	VYBER	15	13380	SLUZBY	\N	\N
1602977	5442	1995-11-30	VYDAJ	VYBER	15	-618	SLUZBY	\N	\N
1602978	5442	1995-12-31	VYDAJ	VYBER	15	-3744	SLUZBY	\N	\N
1602979	5442	1996-01-31	VYDAJ	VYBER	15	73969	SLUZBY	\N	\N
1602980	5442	1996-02-29	VYDAJ	VYBER	15	42065	SLUZBY	\N	\N
1602981	5442	1996-03-31	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
1602982	5442	1996-04-30	VYDAJ	VYBER	15	29546	SLUZBY	\N	\N
1602983	5442	1996-05-31	VYDAJ	VYBER	15	42073	SLUZBY	\N	\N
1602984	5442	1996-06-30	VYDAJ	VYBER	15	24330	SLUZBY	\N	\N
1602985	5442	1996-07-31	VYDAJ	VYBER	15	67917	SLUZBY	\N	\N
1602986	5442	1996-08-31	VYDAJ	VYBER	15	89965	SLUZBY	\N	\N
1602987	5442	1996-09-30	VYDAJ	VYBER	15	26830	SLUZBY	\N	\N
1602988	5442	1996-10-31	VYDAJ	VYBER	15	955	SLUZBY	\N	\N
1602989	5442	1996-11-30	VYDAJ	VYBER	15	35131	SLUZBY	\N	\N
1602990	5442	1996-12-31	VYDAJ	VYBER	15	27002	SLUZBY	\N	\N
1602991	5442	1997-01-31	VYDAJ	VYBER	15	8043	SLUZBY	\N	\N
1602992	5442	1997-02-28	VYDAJ	VYBER	15	4968	SLUZBY	\N	\N
1602993	5442	1997-03-31	VYDAJ	VYBER	15	33449	SLUZBY	\N	\N
1602994	5442	1997-04-30	VYDAJ	VYBER	15	15888	SLUZBY	\N	\N
1602995	5442	1997-05-31	VYDAJ	VYBER	15	4713	SLUZBY	\N	\N
1602996	5442	1997-06-30	VYDAJ	VYBER	15	1623	SLUZBY	\N	\N
1602997	5442	1997-07-31	VYDAJ	VYBER	15	-455	SLUZBY	\N	\N
1602998	5442	1997-08-31	VYDAJ	VYBER	15	33280	SLUZBY	\N	\N
1602999	5442	1997-09-30	VYDAJ	VYBER	15	17308	SLUZBY	\N	\N
1603000	5442	1997-10-31	VYDAJ	VYBER	15	7189	SLUZBY	\N	\N
1603001	5442	1997-11-30	VYDAJ	VYBER	15	33845	SLUZBY	\N	\N
1603002	5442	1997-12-31	VYDAJ	VYBER	15	32369	SLUZBY	\N	\N
1603003	5442	1998-01-31	VYDAJ	VYBER	15	36133	SLUZBY	\N	\N
1603004	5442	1998-02-28	VYDAJ	VYBER	15	46517	SLUZBY	\N	\N
1603005	5442	1998-03-31	VYDAJ	VYBER	15	40635	SLUZBY	\N	\N
1603006	5442	1998-04-30	VYDAJ	VYBER	15	22905	SLUZBY	\N	\N
1603007	5442	1998-05-31	VYDAJ	VYBER	15	50442	SLUZBY	\N	\N
1603008	5442	1998-06-30	VYDAJ	VYBER	15	41815	SLUZBY	\N	\N
1603009	5442	1998-07-31	VYDAJ	VYBER	15	56103	SLUZBY	\N	\N
1603010	5442	1998-08-31	VYDAJ	VYBER	15	62005	SLUZBY	\N	\N
1603011	5442	1998-09-30	VYDAJ	VYBER	15	68782	SLUZBY	\N	\N
1603012	5442	1998-10-31	VYDAJ	VYBER	15	123207	SLUZBY	\N	\N
1603013	5442	1998-11-30	VYDAJ	VYBER	15	34508	SLUZBY	\N	\N
1603014	5442	1993-04-21	VYDAJ	VYBER	37500	59159	\N	\N	\N
1603015	5442	1993-05-21	VYDAJ	VYBER	34200	53974	\N	\N	\N
1603016	5442	1993-06-20	VYDAJ	VYBER	24700	50026	\N	\N	\N
1603017	5442	1993-07-20	VYDAJ	VYBER	4000	25957	\N	\N	\N
1603018	5442	1993-08-19	PRIJEM	VKLAD	6800	14680	\N	\N	\N
1603019	5442	1993-09-18	VYDAJ	VYBER	19900	37445	\N	\N	\N
1603020	5442	1993-10-18	VYDAJ	VYBER	17600	45182	\N	\N	\N
1603021	5442	1993-11-17	PRIJEM	VKLAD	8900	10346	\N	\N	\N
1603022	5442	1993-12-17	PRIJEM	VKLAD	4700	22252	\N	\N	\N
1603023	5442	1994-01-16	VYDAJ	VYBER	14500	36041	\N	\N	\N
1603024	5442	1994-02-15	PRIJEM	VKLAD	14300	19118	\N	\N	\N
1603025	5442	1994-03-17	PRIJEM	VKLAD	11900	11360	\N	\N	\N
1603026	5442	1994-04-16	PRIJEM	VKLAD	10500	10686	\N	\N	\N
1603027	5442	1994-05-16	PRIJEM	VKLAD	10300	9810	\N	\N	\N
1603028	5442	1994-06-15	PRIJEM	VKLAD	8300	6931	\N	\N	\N
1603029	5442	1994-07-15	PRIJEM	VKLAD	12000	7743	\N	\N	\N
1603030	5442	1994-08-14	PRIJEM	VKLAD	7200	9660	\N	\N	\N
1603031	5442	1994-09-13	PRIJEM	VKLAD	6800	12480	\N	\N	\N
1603032	5442	1994-10-13	PRIJEM	VKLAD	9400	10728	\N	\N	\N
1603033	5442	1994-11-12	PRIJEM	VKLAD	8500	8057	\N	\N	\N
1603034	5442	1994-12-12	PRIJEM	VKLAD	9600	6474	\N	\N	\N
1603035	5442	1995-02-10	VYDAJ	VYBER	4600	15304	\N	\N	\N
1603036	5442	1995-03-12	VYDAJ	VYBER	9000	22025	\N	\N	\N
1603037	5442	1995-04-11	PRIJEM	VKLAD	2000	12888	\N	\N	\N
1603038	5442	1995-05-11	VYDAJ	VYBER	6400	19457	\N	\N	\N
1603039	5442	1995-09-08	VYDAJ	VYBER	13300	26408	\N	\N	\N
1603040	5442	1995-10-08	VYDAJ	VYBER	17500	29708	\N	\N	\N
1603041	5442	1995-11-07	VYDAJ	VYBER	2800	10580	\N	\N	\N
1603042	5442	1996-02-05	VYDAJ	VYBER	35500	35613	\N	\N	\N
1603043	5442	1996-03-06	VYDAJ	VYBER	21800	20265	\N	\N	\N
1603044	5442	1996-04-05	VYDAJ	VYBER	23700	20870	\N	\N	\N
1603045	5442	1996-05-05	VYDAJ	VYBER	35800	31907	\N	\N	\N
1603046	5442	1996-05-11	VYDAJ	VYBER	38500	73313	\N	\N	\N
1603047	5442	1996-06-04	VYDAJ	VYBER	22900	19173	\N	\N	\N
1603048	5442	1996-08-03	VYDAJ	VYBER	35800	26217	\N	\N	\N
1603049	5442	1996-09-02	VYDAJ	VYBER	45100	44865	\N	\N	\N
1603050	5442	1996-10-02	VYDAJ	VYBER	14700	12130	\N	\N	\N
1603051	5442	1996-12-31	VYDAJ	VYBER	33000	27016	\N	\N	\N
1603052	5442	1997-03-31	VYDAJ	VYBER	19700	13749	\N	\N	\N
1603053	5442	1997-09-27	VYDAJ	VYBER	14300	17223	\N	\N	\N
1603054	5442	1998-01-25	VYDAJ	VYBER	57900	35969	\N	\N	\N
1603055	5442	1998-04-25	VYDAJ	VYBER	41200	22753	\N	\N	\N
1603056	5442	1998-08-23	VYDAJ	VYBER	67300	40471	\N	\N	\N
1603057	5442	1998-09-22	VYDAJ	VYBER	52900	24639	\N	\N	\N
1603058	5442	1998-10-31	VYDAJ	VYBER	26500	96707	\N	\N	\N
1603059	5442	1998-11-19	VYDAJ	VYBER	20000	102017	\N	\N	\N
1603060	5442	1998-11-21	VYDAJ	VYBER	67800	34217	\N	\N	\N
1603518	5445	1997-02-19	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1603521	5445	1997-03-09	PRIJEM	PREVOD Z UCTU	13116	14116	\N	EF	73922508
1603522	5445	1997-04-09	PRIJEM	PREVOD Z UCTU	13116	31559	\N	EF	73922508
1603523	5445	1997-05-09	PRIJEM	PREVOD Z UCTU	13116	44071	\N	EF	73922508
1603524	5445	1997-06-09	PRIJEM	PREVOD Z UCTU	19674	56283	\N	EF	73922508
1603525	5445	1997-07-09	PRIJEM	PREVOD Z UCTU	13116	56766	\N	EF	73922508
1603526	5445	1997-08-09	PRIJEM	PREVOD Z UCTU	13116	54758	\N	EF	73922508
1603527	5445	1997-09-09	PRIJEM	PREVOD Z UCTU	13116	42870	\N	EF	73922508
1603528	5445	1997-10-09	PRIJEM	PREVOD Z UCTU	13116	49409	\N	EF	73922508
1603529	5445	1997-11-09	PRIJEM	PREVOD Z UCTU	13116	40769	\N	EF	73922508
1603530	5445	1997-12-09	PRIJEM	PREVOD Z UCTU	19674	51863	\N	EF	73922508
1603531	5445	1998-01-09	PRIJEM	PREVOD Z UCTU	13116	49527	\N	EF	73922508
1603532	5445	1998-02-09	PRIJEM	PREVOD Z UCTU	13116	33158	\N	EF	73922508
1603533	5445	1998-03-09	PRIJEM	PREVOD Z UCTU	13116	45279	\N	EF	73922508
1603534	5445	1998-04-09	PRIJEM	PREVOD Z UCTU	13116	43819	\N	EF	73922508
1603535	5445	1998-05-09	PRIJEM	PREVOD Z UCTU	13116	49471	\N	EF	73922508
1603536	5445	1998-06-09	PRIJEM	PREVOD Z UCTU	19674	46178	\N	EF	73922508
1603537	5445	1998-07-09	PRIJEM	PREVOD Z UCTU	13116	38891	\N	EF	73922508
1603538	5445	1998-08-09	PRIJEM	PREVOD Z UCTU	13116	40724	\N	EF	73922508
1603539	5445	1998-09-09	PRIJEM	PREVOD Z UCTU	13116	36337	\N	EF	73922508
1603540	5445	1998-10-09	PRIJEM	PREVOD Z UCTU	13116	46167	\N	EF	73922508
1603541	5445	1998-11-09	PRIJEM	PREVOD Z UCTU	13116	52630	\N	EF	73922508
1603542	5445	1998-12-09	PRIJEM	PREVOD Z UCTU	19674	51116	\N	EF	73922508
1603549	5445	1997-07-05	VYDAJ	VYBER	2100	43650	\N	\N	0
1603550	5445	1997-08-01	VYDAJ	VYBER	1700	41642	\N	\N	0
1603551	5445	1997-09-25	VYDAJ	VYBER	1600	36163	\N	\N	0
1603552	5445	1997-10-12	VYDAJ	PREVOD NA UCET	2186	46538	UVER	QR	10110479
1603553	5445	1997-11-12	VYDAJ	PREVOD NA UCET	2186	33074	UVER	QR	10110479
1603554	5445	1997-12-12	VYDAJ	PREVOD NA UCET	2186	48368	UVER	QR	10110479
1603555	5445	1998-01-12	VYDAJ	PREVOD NA UCET	2186	47341	UVER	QR	10110479
1603556	5445	1998-02-12	VYDAJ	PREVOD NA UCET	2186	30972	UVER	QR	10110479
1603557	5445	1998-03-12	VYDAJ	PREVOD NA UCET	2186	41784	UVER	QR	10110479
1603558	5445	1998-04-12	VYDAJ	PREVOD NA UCET	2186	40150	UVER	QR	10110479
1603559	5445	1998-05-12	VYDAJ	PREVOD NA UCET	2186	46661	UVER	QR	10110479
1603560	5445	1998-06-12	VYDAJ	PREVOD NA UCET	2186	36707	UVER	QR	10110479
1603561	5445	1998-07-12	VYDAJ	PREVOD NA UCET	2186	36705	UVER	QR	10110479
1603562	5445	1998-08-12	VYDAJ	PREVOD NA UCET	2186	37055	UVER	QR	10110479
1603563	5445	1998-09-12	VYDAJ	PREVOD NA UCET	2186	36551	UVER	QR	10110479
1603564	5445	1998-10-12	VYDAJ	PREVOD NA UCET	2186	42672	UVER	QR	10110479
1603565	5445	1998-11-12	VYDAJ	PREVOD NA UCET	2186	43144	UVER	QR	10110479
1603566	5445	1998-12-12	VYDAJ	PREVOD NA UCET	2186	45445	UVER	QR	10110479
1603573	5445	1997-07-12	VYDAJ	PREVOD NA UCET	685	54598	SIPO	UV	2227068
1603574	5445	1997-08-12	VYDAJ	PREVOD NA UCET	685	53214	SIPO	UV	2227068
1603575	5445	1997-09-12	VYDAJ	PREVOD NA UCET	685	41326	SIPO	UV	2227068
1603576	5445	1997-10-12	VYDAJ	PREVOD NA UCET	685	48724	SIPO	UV	2227068
1603577	5445	1997-11-12	VYDAJ	PREVOD NA UCET	685	35884	SIPO	UV	2227068
1603578	5445	1997-12-12	VYDAJ	PREVOD NA UCET	685	50554	SIPO	UV	2227068
1603579	5445	1998-01-12	VYDAJ	PREVOD NA UCET	685	36773	SIPO	UV	2227068
1603580	5445	1998-02-12	VYDAJ	PREVOD NA UCET	685	29428	SIPO	UV	2227068
1603581	5445	1998-03-12	VYDAJ	PREVOD NA UCET	685	43970	SIPO	UV	2227068
1603582	5445	1998-04-12	VYDAJ	PREVOD NA UCET	685	39465	SIPO	UV	2227068
1603583	5445	1998-05-12	VYDAJ	PREVOD NA UCET	685	45976	SIPO	UV	2227068
1603584	5445	1998-06-12	VYDAJ	PREVOD NA UCET	685	38893	SIPO	UV	2227068
1603585	5445	1998-07-12	VYDAJ	PREVOD NA UCET	685	35396	SIPO	UV	2227068
1603586	5445	1998-08-12	VYDAJ	PREVOD NA UCET	685	36370	SIPO	UV	2227068
1603587	5445	1998-09-12	VYDAJ	PREVOD NA UCET	685	34383	SIPO	UV	2227068
1603588	5445	1998-10-12	VYDAJ	PREVOD NA UCET	685	44858	SIPO	UV	2227068
1603589	5445	1998-11-12	VYDAJ	PREVOD NA UCET	685	40976	SIPO	UV	2227068
1603590	5445	1998-12-12	VYDAJ	PREVOD NA UCET	685	47631	SIPO	UV	2227068
1603597	5445	1997-07-13	VYDAJ	PREVOD NA UCET	1439	53159	 	IJ	80277055
1603598	5445	1997-08-13	VYDAJ	PREVOD NA UCET	1439	51151	 	IJ	80277055
1603599	5445	1997-09-13	VYDAJ	PREVOD NA UCET	1439	39263	 	IJ	80277055
1603600	5445	1997-10-13	VYDAJ	PREVOD NA UCET	1439	43616	 	IJ	80277055
1603601	5445	1997-11-13	VYDAJ	PREVOD NA UCET	1439	30776	 	IJ	80277055
1603602	5445	1997-12-13	VYDAJ	PREVOD NA UCET	1439	46070	 	IJ	80277055
1603603	5445	1998-01-13	VYDAJ	PREVOD NA UCET	1439	35334	 	IJ	80277055
1603604	5445	1998-02-13	VYDAJ	PREVOD NA UCET	1439	27365	 	IJ	80277055
1603605	5445	1998-03-13	VYDAJ	PREVOD NA UCET	1439	39486	 	IJ	80277055
1603606	5445	1998-04-13	VYDAJ	PREVOD NA UCET	1439	38026	 	IJ	80277055
1603607	5445	1998-05-13	VYDAJ	PREVOD NA UCET	1439	43678	 	IJ	80277055
1603608	5445	1998-06-13	VYDAJ	PREVOD NA UCET	1439	33785	 	IJ	80277055
1603609	5445	1998-07-13	VYDAJ	PREVOD NA UCET	1439	33098	 	IJ	80277055
1603610	5445	1998-08-13	VYDAJ	PREVOD NA UCET	1439	23131	 	IJ	80277055
1603611	5445	1998-09-13	VYDAJ	PREVOD NA UCET	1439	32944	 	IJ	80277055
1603612	5445	1998-10-13	VYDAJ	PREVOD NA UCET	1439	39374	 	IJ	80277055
1603613	5445	1998-11-13	VYDAJ	PREVOD NA UCET	1439	39537	 	IJ	80277055
1603614	5445	1998-12-13	VYDAJ	PREVOD NA UCET	1439	42523	 	IJ	80277055
1603621	5445	1997-07-12	VYDAJ	PREVOD NA UCET	624	56142	POJISTNE	OP	4871046
1603622	5445	1997-08-12	VYDAJ	PREVOD NA UCET	624	52590	POJISTNE	OP	4871046
1603623	5445	1997-09-12	VYDAJ	PREVOD NA UCET	624	40702	POJISTNE	OP	4871046
1603624	5445	1997-10-12	VYDAJ	PREVOD NA UCET	624	45914	POJISTNE	OP	4871046
1603625	5445	1997-11-12	VYDAJ	PREVOD NA UCET	624	35260	POJISTNE	OP	4871046
1603626	5445	1997-12-12	VYDAJ	PREVOD NA UCET	624	51239	POJISTNE	OP	4871046
1603627	5445	1998-01-12	VYDAJ	PREVOD NA UCET	624	45858	POJISTNE	OP	4871046
1603628	5445	1998-02-12	VYDAJ	PREVOD NA UCET	624	28804	POJISTNE	OP	4871046
1603629	5445	1998-03-12	VYDAJ	PREVOD NA UCET	624	44655	POJISTNE	OP	4871046
1603630	5445	1998-04-12	VYDAJ	PREVOD NA UCET	624	42336	POJISTNE	OP	4871046
1603631	5445	1998-05-12	VYDAJ	PREVOD NA UCET	624	48847	POJISTNE	OP	4871046
1603632	5445	1998-06-12	VYDAJ	PREVOD NA UCET	624	35224	POJISTNE	OP	4871046
1603633	5445	1998-07-12	VYDAJ	PREVOD NA UCET	624	36081	POJISTNE	OP	4871046
1603634	5445	1998-08-12	VYDAJ	PREVOD NA UCET	624	39241	POJISTNE	OP	4871046
1603635	5445	1998-09-12	VYDAJ	PREVOD NA UCET	624	35068	POJISTNE	OP	4871046
1603636	5445	1998-10-12	VYDAJ	PREVOD NA UCET	624	45543	POJISTNE	OP	4871046
1603637	5445	1998-11-12	VYDAJ	PREVOD NA UCET	624	41661	POJISTNE	OP	4871046
1603638	5445	1998-12-12	VYDAJ	PREVOD NA UCET	624	43962	POJISTNE	OP	4871046
1603645	5445	1997-07-12	VYDAJ	PREVOD NA UCET	859	55283	 	KL	26684844
1603646	5445	1997-08-12	VYDAJ	PREVOD NA UCET	859	53899	 	KL	26684844
1603647	5445	1997-09-12	VYDAJ	PREVOD NA UCET	859	42011	 	KL	26684844
1603648	5445	1997-10-12	VYDAJ	PREVOD NA UCET	859	45055	 	KL	26684844
1603649	5445	1997-11-12	VYDAJ	PREVOD NA UCET	859	32215	 	KL	26684844
1603650	5445	1997-12-12	VYDAJ	PREVOD NA UCET	859	47509	 	KL	26684844
1603651	5445	1998-01-12	VYDAJ	PREVOD NA UCET	859	46482	 	KL	26684844
1603652	5445	1998-02-12	VYDAJ	PREVOD NA UCET	859	30113	 	KL	26684844
1603653	5445	1998-03-12	VYDAJ	PREVOD NA UCET	859	40925	 	KL	26684844
1603654	5445	1998-04-12	VYDAJ	PREVOD NA UCET	859	42960	 	KL	26684844
1603655	5445	1998-05-12	VYDAJ	PREVOD NA UCET	859	45117	 	KL	26684844
1603656	5445	1998-06-12	VYDAJ	PREVOD NA UCET	859	35848	 	KL	26684844
1603657	5445	1998-07-12	VYDAJ	PREVOD NA UCET	859	34537	 	KL	26684844
1603658	5445	1998-08-12	VYDAJ	PREVOD NA UCET	859	39865	 	KL	26684844
1603659	5445	1998-09-12	VYDAJ	PREVOD NA UCET	859	35692	 	KL	26684844
1603660	5445	1998-10-12	VYDAJ	PREVOD NA UCET	859	41813	 	KL	26684844
1603661	5445	1998-11-12	VYDAJ	PREVOD NA UCET	859	42285	 	KL	26684844
1603662	5445	1998-12-12	VYDAJ	PREVOD NA UCET	859	44586	 	KL	26684844
1603663	5445	1997-08-20	VYBER	VYBER	13752	29599	\N	\N	\N
1603664	5445	1998-06-26	VYBER	VYBER	3322	25663	\N	\N	\N
1603665	5445	1998-11-23	VYBER	VYBER	8236	31301	\N	\N	\N
1603666	5445	1998-12-20	VYBER	VYBER	13339	29184	\N	\N	\N
1603671	5445	1997-12-25	VYDAJ	VYBER	3900	36270	\N	\N	\N
1603672	5445	1998-12-25	VYDAJ	VYBER	7200	21984	\N	\N	\N
1603679	5445	1998-01-19	VYDAJ	VYBER	4200	25334	\N	\N	\N
1603682	5445	1998-01-12	VYDAJ	VYBER	8400	37458	\N	\N	\N
1603683	5445	1998-01-20	VYDAJ	VYBER	5400	19934	\N	\N	\N
1603684	5445	1998-01-15	VYDAJ	VYBER	6900	29534	\N	\N	\N
1603686	5445	1997-11-11	VYDAJ	VYBER	4200	36569	\N	\N	\N
1603688	5445	1997-10-28	VYDAJ	VYBER	8700	27516	\N	\N	\N
1603689	5445	1998-01-14	VYDAJ	VYBER	2100	33234	\N	\N	\N
1603690	5445	1998-03-14	VYDAJ	VYBER	8400	31086	\N	\N	\N
1603691	5445	1998-08-12	VYDAJ	VYBER	14100	22270	\N	\N	\N
1603693	5445	1998-06-10	VYDAJ	VYBER	6600	39578	\N	\N	\N
1603694	5445	1998-07-29	VYDAJ	VYBER	6000	27498	\N	\N	\N
1603696	5445	1998-06-14	VYDAJ	VYBER	3900	28985	\N	\N	\N
1603697	5445	1998-05-21	VYDAJ	VYBER	10500	26378	\N	\N	\N
1603705	5445	1997-07-31	VYDAJ	VYBER	15	43342	SLUZBY	\N	\N
1603706	5445	1997-08-31	VYDAJ	VYBER	15	29754	SLUZBY	\N	\N
1603707	5445	1997-09-30	VYDAJ	VYBER	15	36293	SLUZBY	\N	\N
1603708	5445	1997-10-31	VYDAJ	VYBER	15	27653	SLUZBY	\N	\N
1603709	5445	1997-11-30	VYDAJ	VYBER	15	32189	SLUZBY	\N	\N
1603710	5445	1997-12-31	VYDAJ	VYBER	15	36411	SLUZBY	\N	\N
1603711	5445	1998-01-31	VYDAJ	VYBER	15	20042	SLUZBY	\N	\N
1603712	5445	1998-02-28	VYDAJ	VYBER	15	32163	SLUZBY	\N	\N
1603713	5445	1998-03-31	VYDAJ	VYBER	15	30703	SLUZBY	\N	\N
1603714	5445	1998-04-30	VYDAJ	VYBER	15	36355	SLUZBY	\N	\N
1603715	5445	1998-05-31	VYDAJ	VYBER	15	26504	SLUZBY	\N	\N
1603716	5445	1998-06-30	VYDAJ	VYBER	15	25775	SLUZBY	\N	\N
1603717	5445	1998-07-31	VYDAJ	VYBER	15	27608	SLUZBY	\N	\N
1603718	5445	1998-08-31	VYDAJ	VYBER	15	23221	SLUZBY	\N	\N
1603719	5445	1998-09-30	VYDAJ	VYBER	15	33051	SLUZBY	\N	\N
1603720	5445	1998-10-31	VYDAJ	VYBER	15	39514	SLUZBY	\N	\N
1603721	5445	1998-11-30	VYDAJ	VYBER	15	31442	SLUZBY	\N	\N
1603722	5445	1997-03-21	PRIJEM	VKLAD	4300	18416	\N	\N	\N
1603723	5445	1997-04-20	VYDAJ	VYBER	700	30859	\N	\N	\N
1603724	5445	1997-05-20	VYDAJ	VYBER	7600	36471	\N	\N	\N
1603725	5445	1997-06-19	VYDAJ	VYBER	10700	45583	\N	\N	\N
1603726	5445	1997-07-19	VYDAJ	VYBER	10000	43159	\N	\N	\N
1603727	5445	1997-08-18	VYDAJ	VYBER	7800	43351	\N	\N	\N
1603728	5445	1997-09-17	VYDAJ	VYBER	1500	37763	\N	\N	\N
1603729	5445	1997-10-17	VYDAJ	VYBER	7400	36216	\N	\N	\N
1603730	5445	1997-11-16	PRIJEM	VKLAD	1300	32076	\N	\N	\N
1603731	5445	1997-12-16	VYDAJ	VYBER	5900	40170	\N	\N	\N
1603732	5445	1998-01-15	PRIJEM	VKLAD	3200	36434	\N	\N	\N
1603733	5445	1998-02-14	PRIJEM	VKLAD	4700	32065	\N	\N	\N
1603734	5445	1998-03-16	VYDAJ	VYBER	500	30586	\N	\N	\N
1603735	5445	1998-04-15	VYDAJ	VYBER	1800	36226	\N	\N	\N
1603736	5445	1998-05-15	VYDAJ	VYBER	6800	36878	\N	\N	\N
1603737	5445	1998-06-14	VYDAJ	VYBER	900	32885	\N	\N	\N
1603738	5445	1998-07-14	PRIJEM	VKLAD	400	33498	\N	\N	\N
1603739	5445	1998-08-13	PRIJEM	VKLAD	2300	24570	\N	\N	\N
1603740	5445	1998-09-12	PRIJEM	VKLAD	2400	38737	\N	\N	\N
1603741	5445	1998-10-12	VYDAJ	VYBER	1000	40813	\N	\N	\N
1603742	5445	1998-11-11	VYDAJ	VYBER	7300	45330	\N	\N	\N
1603743	5445	1998-12-11	VYDAJ	VYBER	2800	48316	\N	\N	\N
1610874	5472	1993-05-04	PRIJEM	VKLAD	700	700	\N	\N	\N
1610879	5472	1993-05-12	PRIJEM	VKLAD	4345	5045	\N	\N	\N
1610880	5472	1993-06-12	PRIJEM	VKLAD	6518	22877	\N	\N	\N
1610881	5472	1993-07-12	PRIJEM	VKLAD	4345	27490	\N	\N	\N
1610882	5472	1993-08-12	PRIJEM	VKLAD	4345	31042	\N	\N	\N
1610883	5472	1993-09-12	PRIJEM	VKLAD	4345	30111	\N	\N	\N
1610884	5472	1993-10-12	PRIJEM	VKLAD	4345	29567	\N	\N	\N
1610885	5472	1993-11-12	PRIJEM	VKLAD	4345	33420	\N	\N	\N
1610886	5472	1993-12-12	PRIJEM	VKLAD	6518	37045	\N	\N	\N
1610887	5472	1994-01-12	PRIJEM	VKLAD	4345	25914	\N	\N	\N
1610888	5472	1994-02-12	PRIJEM	VKLAD	4345	25135	\N	\N	\N
1610889	5472	1994-03-12	PRIJEM	VKLAD	4345	29852	\N	\N	\N
1610890	5472	1994-04-12	PRIJEM	VKLAD	4345	30689	\N	\N	\N
1610891	5472	1994-05-12	PRIJEM	VKLAD	4345	33430	\N	\N	\N
1610892	5472	1994-06-12	PRIJEM	VKLAD	6518	34154	\N	\N	\N
1610893	5472	1994-07-12	PRIJEM	VKLAD	4345	24185	\N	\N	\N
1610894	5472	1994-08-12	PRIJEM	VKLAD	4345	27999	\N	\N	\N
1610895	5472	1994-09-12	PRIJEM	VKLAD	4345	31230	\N	\N	\N
1610896	5472	1994-10-12	PRIJEM	VKLAD	4345	32974	\N	\N	\N
1610897	5472	1994-11-12	PRIJEM	VKLAD	4345	32925	\N	\N	\N
1610898	5472	1994-12-12	PRIJEM	VKLAD	6518	36348	\N	\N	\N
1610899	5472	1995-01-12	PRIJEM	VKLAD	4345	25811	\N	\N	\N
1610900	5472	1995-02-12	PRIJEM	VKLAD	4345	23734	\N	\N	\N
1610901	5472	1995-03-12	PRIJEM	VKLAD	4345	28145	\N	\N	\N
1610902	5472	1995-04-12	PRIJEM	VKLAD	4345	32378	\N	\N	\N
1610903	5472	1995-05-12	PRIJEM	VKLAD	4345	28825	\N	\N	\N
1610904	5472	1995-06-12	PRIJEM	VKLAD	6518	32243	\N	\N	\N
1610905	5472	1995-07-12	PRIJEM	VKLAD	4345	31181	\N	\N	\N
1610906	5472	1995-08-12	PRIJEM	VKLAD	4345	29221	\N	\N	\N
1610907	5472	1995-09-12	PRIJEM	VKLAD	4345	31157	\N	\N	\N
1610908	5472	1995-10-12	PRIJEM	VKLAD	4345	29395	\N	\N	\N
1610909	5472	1995-11-12	PRIJEM	VKLAD	4345	27226	\N	\N	\N
1610910	5472	1995-12-12	PRIJEM	VKLAD	6518	24821	\N	\N	\N
1610911	5472	1996-01-12	PRIJEM	VKLAD	4345	21243	\N	\N	\N
1610912	5472	1996-02-12	PRIJEM	VKLAD	4345	16137	\N	\N	\N
1610913	5472	1996-03-12	PRIJEM	VKLAD	4345	20122	\N	\N	\N
1610914	5472	1996-04-12	PRIJEM	VKLAD	4345	21820	\N	\N	\N
1610915	5472	1996-05-12	PRIJEM	VKLAD	4345	21722	\N	\N	\N
1610916	5472	1996-06-12	PRIJEM	VKLAD	6518	25600	\N	\N	\N
1610917	5472	1996-07-12	PRIJEM	VKLAD	4345	10490	\N	\N	\N
1610918	5472	1996-08-12	PRIJEM	VKLAD	4345	15655	\N	\N	\N
1610919	5472	1996-09-12	PRIJEM	VKLAD	4345	14940	\N	\N	\N
1610920	5472	1996-10-12	PRIJEM	VKLAD	4345	16023	\N	\N	\N
1610921	5472	1996-11-12	PRIJEM	VKLAD	4345	19115	\N	\N	\N
1610922	5472	1996-12-12	PRIJEM	VKLAD	6518	24987	\N	\N	\N
1610923	5472	1997-01-12	PRIJEM	VKLAD	4345	5699	\N	\N	\N
1610924	5472	1997-02-12	PRIJEM	VKLAD	4345	12764	\N	\N	\N
1610925	5472	1997-03-12	PRIJEM	VKLAD	4345	17136	\N	\N	\N
1610926	5472	1997-04-12	PRIJEM	VKLAD	4345	20829	\N	\N	\N
1610927	5472	1997-05-12	PRIJEM	VKLAD	4345	22232	\N	\N	\N
1610928	5472	1997-06-12	PRIJEM	VKLAD	6518	23706	\N	\N	\N
1610929	5472	1997-07-12	PRIJEM	VKLAD	4345	5175	\N	\N	\N
1610930	5472	1997-08-12	PRIJEM	VKLAD	4345	11829	\N	\N	\N
1610931	5472	1997-09-12	PRIJEM	VKLAD	4345	16102	\N	\N	\N
1610932	5472	1997-10-12	PRIJEM	VKLAD	4345	18091	\N	\N	\N
1610933	5472	1997-11-12	PRIJEM	VKLAD	4345	16091	\N	\N	\N
1610934	5472	1997-12-12	PRIJEM	VKLAD	6518	10761	\N	\N	\N
1610935	5472	1998-01-12	PRIJEM	VKLAD	4345	2836	\N	\N	\N
1610936	5472	1998-02-12	PRIJEM	VKLAD	4345	1970	\N	\N	\N
1610937	5472	1998-03-12	PRIJEM	VKLAD	4345	2601	\N	\N	\N
1610938	5472	1998-04-12	PRIJEM	VKLAD	4345	5639	\N	\N	\N
1610939	5472	1998-05-12	PRIJEM	VKLAD	4345	5885	\N	\N	\N
1610940	5472	1998-06-12	PRIJEM	VKLAD	6518	6808	\N	\N	\N
1610941	5472	1998-07-12	PRIJEM	VKLAD	4345	6262	\N	\N	\N
1610942	5472	1998-08-12	PRIJEM	VKLAD	4345	9216	\N	\N	\N
1610943	5472	1998-09-12	PRIJEM	VKLAD	4345	7274	\N	\N	\N
1610944	5472	1998-10-12	PRIJEM	VKLAD	4345	6130	\N	\N	\N
1610945	5472	1998-11-12	PRIJEM	VKLAD	4345	4584	\N	\N	\N
1610946	5472	1998-12-12	PRIJEM	VKLAD	6518	8404	\N	\N	\N
1610948	5472	1994-06-23	VYDAJ	VYBER	23200	10954	\N	\N	\N
1610950	5472	1996-06-20	VYDAJ	VYBER	15100	6100	\N	\N	\N
1610951	5472	1997-06-15	VYDAJ	VYBER	14900	3306	\N	\N	\N
1610954	5472	1994-01-23	VYDAJ	VYBER	6000	15614	\N	\N	\N
1610955	5472	1995-01-15	VYDAJ	VYBER	4600	18911	\N	\N	\N
1610956	5472	1996-01-14	VYDAJ	VYBER	2600	17143	\N	\N	\N
1610957	5472	1997-01-08	VYDAJ	VYBER	9300	3754	\N	\N	\N
1610959	5472	1993-12-12	VYDAJ	VYBER	1600	35445	\N	\N	\N
1610960	5472	1994-12-26	VYDAJ	VYBER	2800	28248	\N	\N	\N
1610961	5472	1995-12-10	VYDAJ	VYBER	2700	18303	\N	\N	\N
1610962	5472	1996-12-26	VYDAJ	VYBER	2300	19487	\N	\N	\N
1610963	5472	1997-12-12	VYDAJ	VYBER	700	10061	\N	\N	\N
1610964	5472	1998-12-26	VYDAJ	VYBER	2200	6204	\N	\N	\N
1610971	5472	1994-01-07	VYDAJ	VYBER	2300	21569	\N	\N	\N
1610972	5472	1994-01-17	VYDAJ	VYBER	1400	22314	\N	\N	\N
1610973	5472	1994-01-20	VYDAJ	VYBER	700	21614	\N	\N	\N
1610974	5472	1994-01-06	VYDAJ	VYBER	2600	23869	\N	\N	\N
1610975	5472	1994-01-24	VYDAJ	VYBER	1700	13914	\N	\N	\N
1610976	5472	1994-01-12	VYDAJ	VYBER	2200	23714	\N	\N	\N
1610977	5472	1995-01-27	VYDAJ	VYBER	2700	21011	\N	\N	\N
1610978	5472	1995-01-12	VYDAJ	VYBER	2300	23511	\N	\N	\N
1610979	5472	1995-01-04	VYDAJ	VYBER	2700	24266	\N	\N	\N
1610980	5472	1995-01-30	VYDAJ	VYBER	1700	19311	\N	\N	\N
1610981	5472	1995-01-02	VYDAJ	VYBER	1400	26966	\N	\N	\N
1610982	5472	1995-01-04	VYDAJ	VYBER	2800	21466	\N	\N	\N
1610983	5472	1996-01-01	VYDAJ	VYBER	2600	18998	\N	\N	\N
1610984	5472	1996-01-15	VYDAJ	VYBER	2900	12143	\N	\N	\N
1610985	5472	1996-01-08	VYDAJ	VYBER	2100	16898	\N	\N	\N
1610986	5472	1996-01-15	VYDAJ	VYBER	2100	15043	\N	\N	\N
1610987	5472	1996-01-18	VYDAJ	VYBER	2500	9643	\N	\N	\N
1610988	5472	1996-01-13	VYDAJ	VYBER	1500	19743	\N	\N	\N
1610989	5472	1997-01-05	VYDAJ	VYBER	2200	15654	\N	\N	\N
1610990	5472	1997-01-02	VYDAJ	VYBER	1700	17854	\N	\N	\N
1610991	5472	1997-01-18	VYDAJ	VYBER	1400	7199	\N	\N	\N
1610992	5472	1997-01-06	VYDAJ	VYBER	2600	13054	\N	\N	\N
1610993	5472	1997-01-10	VYDAJ	VYBER	2400	1354	\N	\N	\N
1610994	5472	1997-01-20	VYDAJ	VYBER	500	6699	\N	\N	\N
1610995	5472	1998-01-05	VYDAJ	VYBER	2100	4891	\N	\N	\N
1610996	5472	1998-01-17	VYDAJ	VYBER	1700	1136	\N	\N	\N
1610997	5472	1998-01-01	VYDAJ	VYBER	500	9591	\N	\N	\N
1610998	5472	1998-01-21	VYDAJ	VYBER	1100	36	\N	\N	\N
1610999	5472	1998-01-04	VYDAJ	VYBER	2600	6991	\N	\N	\N
1611000	5472	1998-01-07	VYDAJ	VYBER	1300	3591	\N	\N	\N
1611001	5472	1993-09-23	VYDAJ	VYBER	1200	28911	\N	\N	\N
1611002	5472	1993-12-30	VYDAJ	VYBER	3100	32345	\N	\N	\N
1611004	5472	1994-10-21	VYDAJ	VYBER	2100	30874	\N	\N	\N
1611005	5472	1994-12-13	VYDAJ	VYBER	600	35748	\N	\N	\N
1611006	5472	1995-05-09	VYDAJ	VYBER	3300	24480	\N	\N	\N
1611007	5472	1995-07-24	VYDAJ	VYBER	2900	24781	\N	\N	\N
1611008	5472	1995-07-21	VYDAJ	VYBER	4600	26581	\N	\N	\N
1611009	5472	1996-08-31	VYDAJ	VYBER	1900	10610	\N	\N	\N
1611010	5472	1996-10-03	VYDAJ	VYBER	3400	11678	\N	\N	\N
1611011	5472	1996-08-29	VYDAJ	VYBER	3800	12455	\N	\N	\N
1611012	5472	1997-04-04	VYDAJ	VYBER	900	16484	\N	\N	\N
1611013	5472	1997-02-10	VYDAJ	VYBER	2800	3919	\N	\N	\N
1611014	5472	1997-12-08	VYDAJ	VYBER	2900	11843	\N	\N	\N
1611015	5472	1997-06-23	VYDAJ	VYBER	2500	806	\N	\N	\N
1611016	5472	1997-11-25	VYDAJ	VYBER	1400	14691	\N	\N	\N
1611017	5472	1998-11-10	VYDAJ	VYBER	1300	239	\N	\N	\N
1611018	5472	1998-05-14	VYDAJ	VYBER	600	5285	\N	\N	\N
1611019	5472	1998-08-24	VYDAJ	VYBER	2900	6316	\N	\N	\N
1611029	5472	1993-09-30	VYDAJ	VYBER	15	29022	SLUZBY	\N	\N
1611030	5472	1993-10-31	VYDAJ	VYBER	15	29075	SLUZBY	\N	\N
1611031	5472	1993-11-30	VYDAJ	VYBER	15	30527	SLUZBY	\N	\N
1611032	5472	1993-12-31	VYDAJ	VYBER	15	26469	SLUZBY	\N	\N
1611033	5472	1994-01-31	VYDAJ	VYBER	15	20790	SLUZBY	\N	\N
1611034	5472	1994-02-28	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
1611035	5472	1994-03-31	VYDAJ	VYBER	15	26344	SLUZBY	\N	\N
1611036	5472	1994-04-30	VYDAJ	VYBER	15	29085	SLUZBY	\N	\N
1611037	5472	1994-05-31	VYDAJ	VYBER	15	27636	SLUZBY	\N	\N
1611038	5472	1994-06-30	VYDAJ	VYBER	15	19840	SLUZBY	\N	\N
1611039	5472	1994-07-31	VYDAJ	VYBER	15	23654	SLUZBY	\N	\N
1611040	5472	1994-08-31	VYDAJ	VYBER	15	26885	SLUZBY	\N	\N
1611041	5472	1994-09-30	VYDAJ	VYBER	15	28629	SLUZBY	\N	\N
1611042	5472	1994-10-31	VYDAJ	VYBER	15	28580	SLUZBY	\N	\N
1611043	5472	1994-11-30	VYDAJ	VYBER	15	29830	SLUZBY	\N	\N
1611044	5472	1994-12-31	VYDAJ	VYBER	15	28366	SLUZBY	\N	\N
1611045	5472	1995-01-31	VYDAJ	VYBER	15	19389	SLUZBY	\N	\N
1611046	5472	1995-02-28	VYDAJ	VYBER	15	23800	SLUZBY	\N	\N
1611047	5472	1995-03-31	VYDAJ	VYBER	15	28033	SLUZBY	\N	\N
1611048	5472	1995-04-30	VYDAJ	VYBER	15	27780	SLUZBY	\N	\N
1611049	5472	1995-05-31	VYDAJ	VYBER	15	25725	SLUZBY	\N	\N
1611050	5472	1995-06-30	VYDAJ	VYBER	15	26836	SLUZBY	\N	\N
1611051	5472	1995-07-31	VYDAJ	VYBER	15	24876	SLUZBY	\N	\N
1611052	5472	1995-08-31	VYDAJ	VYBER	15	26812	SLUZBY	\N	\N
1611053	5472	1995-09-30	VYDAJ	VYBER	15	25050	SLUZBY	\N	\N
1611054	5472	1995-10-31	VYDAJ	VYBER	15	22881	SLUZBY	\N	\N
1611055	5472	1995-11-30	VYDAJ	VYBER	15	21003	SLUZBY	\N	\N
1611056	5472	1995-12-31	VYDAJ	VYBER	15	21598	SLUZBY	\N	\N
1611057	5472	1996-01-31	VYDAJ	VYBER	15	11792	SLUZBY	\N	\N
1611058	5472	1996-02-29	VYDAJ	VYBER	15	15777	SLUZBY	\N	\N
1611059	5472	1996-03-31	VYDAJ	VYBER	15	17475	SLUZBY	\N	\N
1611060	5472	1996-04-30	VYDAJ	VYBER	15	17377	SLUZBY	\N	\N
1611061	5472	1996-05-31	VYDAJ	VYBER	15	19082	SLUZBY	\N	\N
1611062	5472	1996-06-30	VYDAJ	VYBER	15	6145	SLUZBY	\N	\N
1611063	5472	1996-07-31	VYDAJ	VYBER	15	11310	SLUZBY	\N	\N
1611064	5472	1996-08-31	VYDAJ	VYBER	15	10595	SLUZBY	\N	\N
1611065	5472	1996-09-30	VYDAJ	VYBER	15	15078	SLUZBY	\N	\N
1611066	5472	1996-10-31	VYDAJ	VYBER	15	14770	SLUZBY	\N	\N
1611067	5472	1996-11-30	VYDAJ	VYBER	15	18469	SLUZBY	\N	\N
1611068	5472	1996-12-31	VYDAJ	VYBER	15	19554	SLUZBY	\N	\N
1611069	5472	1997-01-31	VYDAJ	VYBER	15	6719	SLUZBY	\N	\N
1611070	5472	1997-02-28	VYDAJ	VYBER	15	12791	SLUZBY	\N	\N
1611071	5472	1997-03-31	VYDAJ	VYBER	15	17384	SLUZBY	\N	\N
1611072	5472	1997-04-30	VYDAJ	VYBER	15	17887	SLUZBY	\N	\N
1611073	5472	1997-05-31	VYDAJ	VYBER	15	17188	SLUZBY	\N	\N
1611074	5472	1997-06-30	VYDAJ	VYBER	15	830	SLUZBY	\N	\N
1611075	5472	1997-07-31	VYDAJ	VYBER	15	8784	SLUZBY	\N	\N
1611076	5472	1997-08-31	VYDAJ	VYBER	15	11857	SLUZBY	\N	\N
1611077	5472	1997-09-30	VYDAJ	VYBER	15	16146	SLUZBY	\N	\N
1611078	5472	1997-10-31	VYDAJ	VYBER	15	18146	SLUZBY	\N	\N
1611079	5472	1997-11-30	VYDAJ	VYBER	15	14743	SLUZBY	\N	\N
1611080	5472	1997-12-31	VYDAJ	VYBER	15	10091	SLUZBY	\N	\N
1611081	5472	1998-01-31	VYDAJ	VYBER	15	29	SLUZBY	\N	\N
1611082	5472	1998-02-28	VYDAJ	VYBER	15	1956	SLUZBY	\N	\N
1611083	5472	1998-03-31	VYDAJ	VYBER	15	2594	SLUZBY	\N	\N
1611084	5472	1998-04-30	VYDAJ	VYBER	15	5640	SLUZBY	\N	\N
1611085	5472	1998-05-31	VYDAJ	VYBER	15	5290	SLUZBY	\N	\N
1611086	5472	1998-06-30	VYDAJ	VYBER	15	6817	SLUZBY	\N	\N
1611087	5472	1998-07-31	VYDAJ	VYBER	15	6271	SLUZBY	\N	\N
1611088	5472	1998-08-31	VYDAJ	VYBER	15	6329	SLUZBY	\N	\N
1611089	5472	1998-09-30	VYDAJ	VYBER	15	7285	SLUZBY	\N	\N
1611090	5472	1998-10-31	VYDAJ	VYBER	15	6139	SLUZBY	\N	\N
1611091	5472	1998-11-30	VYDAJ	VYBER	15	4586	SLUZBY	\N	\N
1611092	5472	1993-06-03	PRIJEM	VKLAD	11300	16359	\N	\N	\N
1611093	5472	1993-07-03	PRIJEM	VKLAD	200	23145	\N	\N	\N
1611094	5472	1993-08-02	VYDAJ	VYBER	900	26697	\N	\N	\N
1611095	5472	1993-09-01	VYDAJ	VYBER	5400	25766	\N	\N	\N
1611096	5472	1993-10-01	VYDAJ	VYBER	3800	25222	\N	\N	\N
1611097	5472	1993-10-31	VYDAJ	VYBER	600	29090	\N	\N	\N
1611098	5472	1993-11-30	VYDAJ	VYBER	3000	30541	\N	\N	\N
1611099	5472	1993-12-30	VYDAJ	VYBER	6000	26345	\N	\N	\N
1611100	5472	1994-01-29	PRIJEM	VKLAD	6800	20714	\N	\N	\N
1611101	5472	1994-02-28	PRIJEM	VKLAD	300	25522	\N	\N	\N
1611102	5472	1994-03-30	VYDAJ	VYBER	3600	26252	\N	\N	\N
1611103	5472	1994-04-29	VYDAJ	VYBER	1700	28989	\N	\N	\N
1611104	5472	1994-05-29	VYDAJ	VYBER	5900	27530	\N	\N	\N
1611105	5472	1994-06-28	PRIJEM	VKLAD	8800	19754	\N	\N	\N
1611106	5472	1994-07-28	VYDAJ	VYBER	600	23585	\N	\N	\N
1611107	5472	1994-08-27	VYDAJ	VYBER	1200	26799	\N	\N	\N
1611108	5472	1994-09-26	VYDAJ	VYBER	2700	28530	\N	\N	\N
1611109	5472	1994-10-26	VYDAJ	VYBER	2400	28474	\N	\N	\N
1611110	5472	1994-11-25	VYDAJ	VYBER	3200	29725	\N	\N	\N
1611111	5472	1994-12-25	VYDAJ	VYBER	4700	31048	\N	\N	\N
1611112	5472	1995-01-24	PRIJEM	VKLAD	4800	23711	\N	\N	\N
1611113	5472	1995-03-25	VYDAJ	VYBER	200	27945	\N	\N	\N
1611114	5472	1995-04-24	VYDAJ	VYBER	4700	27678	\N	\N	\N
1611115	5472	1995-05-24	VYDAJ	VYBER	3200	25625	\N	\N	\N
1611116	5472	1995-06-23	VYDAJ	VYBER	5500	26743	\N	\N	\N
1611117	5472	1995-07-23	PRIJEM	VKLAD	1100	27681	\N	\N	\N
1611118	5472	1995-08-22	VYDAJ	VYBER	2500	26721	\N	\N	\N
1611119	5472	1995-09-21	VYDAJ	VYBER	6200	24957	\N	\N	\N
1611120	5472	1995-10-21	VYDAJ	VYBER	6600	22795	\N	\N	\N
1611121	5472	1995-11-20	VYDAJ	VYBER	6300	20926	\N	\N	\N
1611122	5472	1995-12-20	VYDAJ	VYBER	3300	21521	\N	\N	\N
1611123	5472	1996-01-19	PRIJEM	VKLAD	2100	11743	\N	\N	\N
1611124	5472	1996-02-18	VYDAJ	VYBER	400	15737	\N	\N	\N
1611125	5472	1996-03-19	VYDAJ	VYBER	2700	17422	\N	\N	\N
1611126	5472	1996-04-18	VYDAJ	VYBER	4500	17320	\N	\N	\N
1611127	5472	1996-05-18	VYDAJ	VYBER	2700	19022	\N	\N	\N
1611128	5472	1996-06-17	VYDAJ	VYBER	4400	21200	\N	\N	\N
1611129	5472	1996-07-17	PRIJEM	VKLAD	800	11290	\N	\N	\N
1611130	5472	1996-08-16	PRIJEM	VKLAD	600	16255	\N	\N	\N
1611131	5472	1996-09-15	PRIJEM	VKLAD	100	15040	\N	\N	\N
1611132	5472	1996-10-15	VYDAJ	VYBER	1300	14723	\N	\N	\N
1611133	5472	1996-11-14	VYDAJ	VYBER	700	18415	\N	\N	\N
1611134	5472	1996-12-14	VYDAJ	VYBER	3200	21787	\N	\N	\N
1611135	5472	1997-01-13	PRIJEM	VKLAD	2900	8599	\N	\N	\N
1611136	5472	1997-02-12	PRIJEM	VKLAD	4500	8419	\N	\N	\N
1611137	5472	1997-03-14	PRIJEM	VKLAD	200	17336	\N	\N	\N
1611138	5472	1997-04-13	VYDAJ	VYBER	3000	17829	\N	\N	\N
1611139	5472	1997-05-13	VYDAJ	VYBER	5100	17132	\N	\N	\N
1611140	5472	1997-06-12	VYDAJ	VYBER	5500	18206	\N	\N	\N
1611141	5472	1997-07-12	PRIJEM	VKLAD	3600	8775	\N	\N	\N
1611142	5472	1997-08-11	VYDAJ	VYBER	1300	7484	\N	\N	\N
1611143	5472	1997-09-10	VYDAJ	VYBER	100	11757	\N	\N	\N
1611144	5472	1997-10-10	VYDAJ	VYBER	2400	13746	\N	\N	\N
1611145	5472	1997-11-09	VYDAJ	VYBER	6400	11746	\N	\N	\N
1611146	5472	1997-12-09	VYDAJ	VYBER	7600	4243	\N	\N	\N
1611147	5472	1998-01-08	VYDAJ	VYBER	5100	-1509	\N	\N	\N
1611148	5472	1998-02-07	VYDAJ	VYBER	2400	-2376	\N	\N	\N
1611149	5472	1998-03-09	VYDAJ	VYBER	3700	-1744	\N	\N	\N
1611150	5472	1998-04-08	VYDAJ	VYBER	1300	1294	\N	\N	\N
1611151	5472	1998-05-08	VYDAJ	VYBER	4100	1540	\N	\N	\N
1611152	5472	1998-06-07	VYDAJ	VYBER	5000	290	\N	\N	\N
1611153	5472	1998-07-07	VYDAJ	VYBER	4900	1917	\N	\N	\N
1611154	5472	1998-08-06	VYDAJ	VYBER	1400	4871	\N	\N	\N
1611155	5472	1998-09-05	VYDAJ	VYBER	3400	2929	\N	\N	\N
1611156	5472	1998-10-05	VYDAJ	VYBER	5500	1785	\N	\N	\N
1611157	5472	1998-11-04	VYDAJ	VYBER	4600	1539	\N	\N	\N
1611158	5472	1998-12-04	VYDAJ	VYBER	2700	1886	\N	\N	\N
1612745	5477	1995-12-17	PRIJEM	VKLAD	900	900	\N	\N	\N
1612747	5477	1995-12-23	PRIJEM	VKLAD	39049	39949	\N	\N	\N
1612749	5477	1996-11-01	PRIJEM	VKLAD	25331	64006	\N	\N	\N
1612750	5477	1996-05-19	PRIJEM	VKLAD	24014	59830	\N	\N	\N
1612751	5477	1996-06-10	PRIJEM	VKLAD	28832	115264	\N	\N	\N
1612752	5477	1996-09-27	PRIJEM	VKLAD	19691	62574	\N	\N	\N
1612753	5477	1996-08-31	PRIJEM	VKLAD	27389	98077	\N	\N	\N
1612754	5477	1996-10-06	PRIJEM	VKLAD	28871	106181	\N	\N	\N
1612755	5477	1996-01-30	PRIJEM	VKLAD	39537	71934	\N	\N	\N
1612756	5477	1996-04-08	PRIJEM	VKLAD	44008	110942	\N	\N	\N
1612757	5477	1996-08-25	PRIJEM	VKLAD	47998	70688	\N	\N	\N
1612758	5477	1996-07-24	PRIJEM	VKLAD	5218	33774	\N	\N	\N
1612759	5477	1996-09-28	PRIJEM	VKLAD	14444	77018	\N	\N	\N
1612760	5477	1996-07-29	PRIJEM	VKLAD	23171	56945	\N	\N	\N
1612761	5477	1996-05-25	PRIJEM	VKLAD	40511	100341	\N	\N	\N
1612762	5477	1996-04-06	PRIJEM	VKLAD	28225	66934	\N	\N	\N
1612763	5477	1997-03-29	PRIJEM	VKLAD	42505	112547	\N	\N	\N
1612764	5477	1997-09-22	PRIJEM	VKLAD	16155	108730	\N	\N	\N
1612765	5477	1997-08-16	PRIJEM	VKLAD	14999	39221	\N	\N	\N
1612766	5477	1997-11-09	PRIJEM	VKLAD	36077	105333	\N	\N	\N
1612767	5477	1997-10-26	PRIJEM	VKLAD	36559	94016	\N	\N	\N
1612768	5477	1997-10-06	PRIJEM	VKLAD	25443	89479	\N	\N	\N
1612769	5477	1997-04-14	PRIJEM	VKLAD	33778	86486	\N	\N	\N
1612770	5477	1997-09-05	PRIJEM	VKLAD	26707	78446	\N	\N	\N
1612771	5477	1997-03-25	PRIJEM	VKLAD	11864	70042	\N	\N	\N
1612772	5477	1997-08-29	PRIJEM	VKLAD	24886	64107	\N	\N	\N
1612773	5477	1997-05-02	PRIJEM	VKLAD	44100	130901	\N	\N	\N
1612774	5477	1997-12-06	PRIJEM	VKLAD	32639	128166	\N	\N	\N
1612775	5477	1997-09-09	PRIJEM	VKLAD	47541	101245	\N	\N	\N
1612776	5477	1997-06-11	PRIJEM	VKLAD	6595	48863	\N	\N	\N
1612777	5477	1997-01-04	PRIJEM	VKLAD	19972	39036	\N	\N	\N
1612778	5477	1997-09-18	PRIJEM	VKLAD	44930	142575	\N	\N	\N
1612779	5477	1997-01-27	PRIJEM	VKLAD	18106	37400	\N	\N	\N
1612780	5477	1997-11-25	PRIJEM	VKLAD	11197	103851	\N	\N	\N
1612781	5477	1997-06-07	PRIJEM	VKLAD	12042	87068	\N	\N	\N
1612782	5477	1997-02-20	PRIJEM	VKLAD	24403	89097	\N	\N	\N
1612783	5477	1997-05-18	PRIJEM	VKLAD	20964	88623	\N	\N	\N
1612784	5477	1997-02-05	PRIJEM	VKLAD	15336	40539	\N	\N	\N
1612785	5477	1997-02-13	PRIJEM	VKLAD	35097	64694	\N	\N	\N
1612786	5477	1997-10-30	PRIJEM	VKLAD	14146	108162	\N	\N	\N
1612787	5477	1997-04-04	PRIJEM	VKLAD	38909	120950	\N	\N	\N
1612788	5477	1997-11-05	PRIJEM	VKLAD	44170	121198	\N	\N	\N
1612789	5477	1998-06-28	PRIJEM	VKLAD	26302	94546	\N	\N	\N
1612790	5477	1998-01-22	PRIJEM	VKLAD	24548	49573	\N	\N	\N
1612791	5477	1998-03-13	PRIJEM	VKLAD	27272	57776	\N	\N	\N
1612792	5477	1998-02-02	PRIJEM	VKLAD	15901	51828	\N	\N	\N
1612793	5477	1998-05-27	PRIJEM	VKLAD	18026	119798	\N	\N	\N
1612794	5477	1998-04-17	PRIJEM	VKLAD	9870	108677	\N	\N	\N
1612795	5477	1998-06-04	PRIJEM	VKLAD	28458	124469	\N	\N	\N
1612796	5477	1998-03-03	PRIJEM	VKLAD	11149	76231	\N	\N	\N
1612797	5477	1998-05-21	PRIJEM	VKLAD	16441	110840	\N	\N	\N
1612798	5477	1998-06-08	PRIJEM	VKLAD	6196	78523	\N	\N	\N
1612799	5477	1998-05-07	PRIJEM	VKLAD	45707	134279	\N	\N	\N
1612800	5477	1998-04-14	PRIJEM	VKLAD	34244	98807	\N	\N	\N
1612801	5477	1998-09-15	PRIJEM	VKLAD	24997	68877	\N	\N	\N
1612802	5477	1998-11-29	PRIJEM	VKLAD	44572	106562	\N	\N	\N
1612803	5477	1998-11-01	PRIJEM	VKLAD	43444	121342	\N	\N	\N
1612804	5477	1998-04-12	PRIJEM	VKLAD	35020	71843	\N	\N	\N
1612805	5477	1998-12-19	PRIJEM	VKLAD	42222	108126	\N	\N	\N
1612806	5477	1998-02-11	PRIJEM	VKLAD	21750	78112	\N	\N	\N
1612807	5477	1998-05-05	PRIJEM	VKLAD	37425	151614	\N	\N	\N
1612808	5477	1998-03-14	PRIJEM	VKLAD	20267	71817	\N	\N	\N
1612809	5477	1998-08-04	PRIJEM	VKLAD	39221	94007	\N	\N	\N
1612810	5477	1998-11-13	PRIJEM	VKLAD	37683	61990	\N	\N	\N
1612811	5477	1998-05-23	PRIJEM	VKLAD	27232	101772	\N	\N	\N
1612812	5477	1998-10-17	PRIJEM	VKLAD	31229	77638	\N	\N	\N
1612813	5477	1998-05-03	PRIJEM	VKLAD	27180	136189	\N	\N	\N
1612814	5477	1998-12-21	PRIJEM	VKLAD	13027	121153	\N	\N	\N
1612815	5477	1998-02-03	PRIJEM	VKLAD	18776	70604	\N	\N	\N
1612833	5477	1996-05-31	VYDAJ	VYBER	7800	92774	\N	\N	0
1612834	5477	1996-07-18	VYDAJ	VYBER	5000	39721	\N	\N	0
1612835	5477	1996-08-16	VYDAJ	VYBER	10200	35590	\N	\N	0
1612836	5477	1996-09-13	VYDAJ	VYBER	8200	56133	\N	\N	0
1612837	5477	1996-10-23	VYDAJ	VYBER	6500	38439	\N	\N	0
1612838	5477	1996-11-12	VYDAJ	VYBER	9800	35664	\N	\N	0
1612839	5477	1996-12-09	VYDAJ	VYBER	6100	23374	\N	\N	0
1612840	5477	1997-01-10	VYDAJ	VYBER	7500	22594	\N	\N	0
1612841	5477	1997-02-06	VYDAJ	VYBER	5700	28497	\N	\N	0
1612842	5477	1997-03-12	VYDAJ	VYBER	5000	58178	\N	\N	0
1612843	5477	1997-04-05	VYDAJ	VYBER	7200	78550	\N	\N	0
1612844	5477	1997-05-18	VYDAJ	VYBER	7600	81023	\N	\N	0
1612845	5477	1997-06-09	VYDAJ	VYBER	8300	42268	\N	\N	0
1612846	5477	1997-06-25	VYDAJ	VYBER	7000	41863	\N	\N	0
1612847	5477	1997-08-09	VYDAJ	VYBER	5600	24222	\N	\N	0
1612848	5477	1997-09-02	VYDAJ	VYBER	6200	51739	\N	\N	0
1612849	5477	1997-10-12	VYDAJ	PREVOD NA UCET	7279	57457	UVER	UV	48098021
1612850	5477	1997-11-12	VYDAJ	PREVOD NA UCET	7279	98054	UVER	UV	48098021
1612851	5477	1997-12-12	VYDAJ	PREVOD NA UCET	7279	63345	UVER	UV	48098021
1612852	5477	1998-01-12	VYDAJ	PREVOD NA UCET	7279	25025	UVER	UV	48098021
1612853	5477	1998-02-12	VYDAJ	PREVOD NA UCET	7279	70833	UVER	UV	48098021
1612854	5477	1998-03-12	VYDAJ	PREVOD NA UCET	7279	30504	UVER	UV	48098021
1612855	5477	1998-04-12	VYDAJ	PREVOD NA UCET	7279	64563	UVER	UV	48098021
1612856	5477	1998-05-12	VYDAJ	PREVOD NA UCET	7279	94399	UVER	UV	48098021
1612857	5477	1998-06-12	VYDAJ	PREVOD NA UCET	7279	71244	UVER	UV	48098021
1612858	5477	1998-07-12	VYDAJ	PREVOD NA UCET	7279	50855	UVER	UV	48098021
1612859	5477	1998-08-12	VYDAJ	PREVOD NA UCET	7279	80386	UVER	UV	48098021
1612860	5477	1998-09-12	VYDAJ	PREVOD NA UCET	7279	43880	UVER	UV	48098021
1612861	5477	1998-10-12	VYDAJ	PREVOD NA UCET	7279	46409	UVER	UV	48098021
1612862	5477	1998-11-12	VYDAJ	PREVOD NA UCET	7279	24307	UVER	UV	48098021
1612863	5477	1998-12-12	VYDAJ	PREVOD NA UCET	7279	65904	UVER	UV	48098021
1612881	5477	1996-06-06	VYDAJ	PREVOD NA UCET	6342	86432	SIPO	UV	40210610
1612882	5477	1996-07-06	VYDAJ	PREVOD NA UCET	6342	51721	SIPO	UV	40210610
1612883	5477	1996-08-06	VYDAJ	PREVOD NA UCET	6342	50790	SIPO	UV	40210610
1612884	5477	1996-09-06	VYDAJ	PREVOD NA UCET	6342	91933	SIPO	UV	40210610
1612885	5477	1996-10-06	VYDAJ	PREVOD NA UCET	6342	49739	SIPO	UV	40210610
1612886	5477	1996-11-06	VYDAJ	PREVOD NA UCET	6342	57664	SIPO	UV	40210610
1612887	5477	1996-12-06	VYDAJ	PREVOD NA UCET	6342	29474	SIPO	UV	40210610
1612888	5477	1997-01-06	VYDAJ	PREVOD NA UCET	6342	29994	SIPO	UV	40210610
1612889	5477	1997-02-06	VYDAJ	PREVOD NA UCET	6342	34197	SIPO	UV	40210610
1612890	5477	1997-03-06	VYDAJ	PREVOD NA UCET	6342	82978	SIPO	UV	40210610
1612891	5477	1997-04-06	VYDAJ	PREVOD NA UCET	6342	72208	SIPO	UV	40210610
1612892	5477	1997-05-06	VYDAJ	PREVOD NA UCET	6342	97759	SIPO	UV	40210610
1612893	5477	1997-06-06	VYDAJ	PREVOD NA UCET	6342	75026	SIPO	UV	40210610
1612894	5477	1997-07-06	VYDAJ	PREVOD NA UCET	6342	35739	SIPO	UV	40210610
1612895	5477	1997-08-06	VYDAJ	PREVOD NA UCET	6342	24522	SIPO	UV	40210610
1612896	5477	1997-09-06	VYDAJ	PREVOD NA UCET	6342	72104	SIPO	UV	40210610
1612897	5477	1997-10-06	VYDAJ	PREVOD NA UCET	6342	83137	SIPO	UV	40210610
1612898	5477	1997-11-06	VYDAJ	PREVOD NA UCET	6342	90756	SIPO	UV	40210610
1612899	5477	1997-12-06	VYDAJ	PREVOD NA UCET	6342	95424	SIPO	UV	40210610
1612900	5477	1998-01-06	VYDAJ	PREVOD NA UCET	6342	50005	SIPO	UV	40210610
1612901	5477	1998-02-06	VYDAJ	PREVOD NA UCET	6342	56362	SIPO	UV	40210610
1612902	5477	1998-03-06	VYDAJ	PREVOD NA UCET	6342	59043	SIPO	UV	40210610
1612903	5477	1998-04-06	VYDAJ	PREVOD NA UCET	6342	50023	SIPO	UV	40210610
1612904	5477	1998-05-06	VYDAJ	PREVOD NA UCET	6342	88572	SIPO	UV	40210610
1612905	5477	1998-06-06	VYDAJ	PREVOD NA UCET	6342	72327	SIPO	UV	40210610
1612906	5477	1998-07-06	VYDAJ	PREVOD NA UCET	6342	58135	SIPO	UV	40210610
1612907	5477	1998-08-06	VYDAJ	PREVOD NA UCET	6342	87665	SIPO	UV	40210610
1612908	5477	1998-09-06	VYDAJ	PREVOD NA UCET	6342	51160	SIPO	UV	40210610
1612909	5477	1998-10-06	VYDAJ	PREVOD NA UCET	6342	53688	SIPO	UV	40210610
1612910	5477	1998-11-06	VYDAJ	PREVOD NA UCET	6342	52100	SIPO	UV	40210610
1612911	5477	1998-12-06	VYDAJ	PREVOD NA UCET	6342	73183	SIPO	UV	40210610
1612916	5477	1996-07-23	VYBER	VYBER	11165	28556	\N	\N	\N
1612919	5477	1996-09-26	VYBER	VYBER	13250	42883	\N	\N	\N
1612920	5477	1998-03-13	VYBER	VYBER	6226	51550	\N	\N	\N
1612922	5477	1998-07-06	VYBER	VYBER	10884	64477	\N	\N	\N
1612923	5477	1998-03-12	VYBER	VYBER	21260	37783	\N	\N	\N
1612924	5477	1998-11-12	VYBER	VYBER	20514	31586	\N	\N	\N
1612925	5477	1998-03-06	VYBER	VYBER	6146	70085	\N	\N	\N
1612928	5477	1997-06-08	VYDAJ	VYBER	18900	68168	\N	\N	\N
1612932	5477	1997-01-27	VYDAJ	VYBER	12300	25100	\N	\N	\N
1612933	5477	1998-01-11	VYDAJ	VYBER	17700	32305	\N	\N	\N
1612935	5477	1996-12-23	VYDAJ	VYBER	4500	18974	\N	\N	\N
1612936	5477	1997-12-03	VYDAJ	VYBER	8700	95527	\N	\N	\N
1612937	5477	1998-12-24	VYDAJ	VYBER KARTOU	2400	94753	\N	\N	0
1612950	5477	1997-01-23	VYDAJ	VYBER	3300	19294	\N	\N	\N
1612951	5477	1997-01-05	VYDAJ	VYBER	2700	36336	\N	\N	\N
1612956	5477	1998-01-30	VYDAJ	VYBER	4200	35773	\N	\N	\N
1612957	5477	1998-01-26	VYDAJ	VYBER	4200	39973	\N	\N	\N
1612960	5477	1998-01-23	VYDAJ	VYBER	5400	44173	\N	\N	\N
1612971	5477	1996-08-19	VYDAJ	VYBER	12900	22690	\N	\N	\N
1612974	5477	1997-09-10	VYDAJ	VYBER KARTOU	3600	97645	\N	\N	0
1612975	5477	1997-11-24	VYDAJ	VYBER	5400	92654	\N	\N	\N
1612976	5477	1997-08-29	VYDAJ	VYBER	6300	57807	\N	\N	\N
1612977	5477	1998-03-14	VYDAJ	VYBER KARTOU	2400	69417	\N	\N	0
1612978	5477	1998-06-16	VYDAJ	VYBER KARTOU	3000	68244	\N	\N	0
1612979	5477	1998-11-04	VYDAJ	VYBER	9300	58442	\N	\N	\N
1612980	5477	1998-08-31	VYDAJ	VYBER	12600	68102	\N	\N	\N
1612981	5477	1998-02-20	VYDAJ	VYBER	6000	64833	\N	\N	\N
1612982	5477	1998-03-16	VYDAJ	VYBER	5700	63717	\N	\N	\N
1612983	5477	1998-04-07	VYDAJ	VYBER	13200	36823	\N	\N	\N
1613001	5477	1996-05-31	VYDAJ	VYBER	15	100574	SLUZBY	\N	\N
1613002	5477	1996-06-30	VYDAJ	VYBER	15	58063	SLUZBY	\N	\N
1613003	5477	1996-07-31	VYDAJ	VYBER	15	57132	SLUZBY	\N	\N
1613004	5477	1996-08-31	VYDAJ	VYBER	15	98275	SLUZBY	\N	\N
1613005	5477	1996-09-30	VYDAJ	VYBER	15	77310	SLUZBY	\N	\N
1613006	5477	1996-10-31	VYDAJ	VYBER	15	38675	SLUZBY	\N	\N
1613007	5477	1996-11-30	VYDAJ	VYBER	15	35816	SLUZBY	\N	\N
1613008	5477	1996-12-31	VYDAJ	VYBER	15	19064	SLUZBY	\N	\N
1613009	5477	1997-01-31	VYDAJ	VYBER	15	25203	SLUZBY	\N	\N
1613010	5477	1997-02-28	VYDAJ	VYBER	15	89320	SLUZBY	\N	\N
1613011	5477	1997-03-31	VYDAJ	VYBER	15	82041	SLUZBY	\N	\N
1613012	5477	1997-04-30	VYDAJ	VYBER	15	86801	SLUZBY	\N	\N
1613013	5477	1997-05-31	VYDAJ	VYBER	15	81368	SLUZBY	\N	\N
1613014	5477	1997-06-30	VYDAJ	VYBER	15	42081	SLUZBY	\N	\N
1613015	5477	1997-07-31	VYDAJ	VYBER	15	30864	SLUZBY	\N	\N
1613016	5477	1997-08-31	VYDAJ	VYBER	15	57939	SLUZBY	\N	\N
1613017	5477	1997-09-30	VYDAJ	VYBER	15	64036	SLUZBY	\N	\N
1613018	5477	1997-10-31	VYDAJ	VYBER	15	77028	SLUZBY	\N	\N
1613019	5477	1997-11-30	VYDAJ	VYBER	15	104227	SLUZBY	\N	\N
1613020	5477	1997-12-31	VYDAJ	VYBER	15	63647	SLUZBY	\N	\N
1613021	5477	1998-01-31	VYDAJ	VYBER	15	35927	SLUZBY	\N	\N
1613022	5477	1998-02-28	VYDAJ	VYBER	15	65082	SLUZBY	\N	\N
1613023	5477	1998-03-31	VYDAJ	VYBER	15	63965	SLUZBY	\N	\N
1613024	5477	1998-04-30	VYDAJ	VYBER	15	109009	SLUZBY	\N	\N
1613025	5477	1998-05-31	VYDAJ	VYBER	15	96011	SLUZBY	\N	\N
1613026	5477	1998-06-30	VYDAJ	VYBER	15	94861	SLUZBY	\N	\N
1613027	5477	1998-07-31	VYDAJ	VYBER	15	51086	SLUZBY	\N	\N
1613028	5477	1998-08-31	VYDAJ	VYBER	15	80702	SLUZBY	\N	\N
1613029	5477	1998-09-30	VYDAJ	VYBER	15	69130	SLUZBY	\N	\N
1613030	5477	1998-10-31	VYDAJ	VYBER	15	77898	SLUZBY	\N	\N
1613031	5477	1998-11-30	VYDAJ	VYBER	15	106825	SLUZBY	\N	\N
1613032	5477	1996-01-16	VYDAJ	VYBER	7600	32397	\N	\N	\N
1613033	5477	1996-02-15	VYDAJ	VYBER	25600	46509	\N	\N	\N
1613034	5477	1996-03-16	VYDAJ	VYBER	8400	38409	\N	\N	\N
1613035	5477	1996-04-08	VYDAJ	VYBER	52700	58242	\N	\N	\N
1613036	5477	1996-04-15	VYDAJ	VYBER	14900	43342	\N	\N	\N
1613037	5477	1996-05-15	VYDAJ	VYBER	7800	35816	\N	\N	\N
1613038	5477	1996-06-10	VYDAJ	VYBER	22500	92764	\N	\N	\N
1613039	5477	1996-06-14	VYDAJ	VYBER	35000	57764	\N	\N	\N
1613040	5477	1996-07-14	VYDAJ	VYBER	7000	44721	\N	\N	\N
1613041	5477	1996-08-13	VYDAJ	VYBER	5000	45790	\N	\N	\N
1613042	5477	1996-09-12	VYDAJ	VYBER	27600	64333	\N	\N	\N
1613043	5477	1996-10-06	VYDAJ	VYBER	50100	56081	\N	\N	\N
1613044	5477	1996-10-12	VYDAJ	VYBER	4800	44939	\N	\N	\N
1613045	5477	1996-11-11	VYDAJ	VYBER	12200	45464	\N	\N	\N
1613046	5477	1996-12-11	PRIJEM	VKLAD	100	23474	\N	\N	\N
1613047	5477	1997-01-10	PRIJEM	VKLAD	100	30094	\N	\N	\N
1613048	5477	1997-02-09	PRIJEM	VKLAD	1100	29597	\N	\N	\N
1613049	5477	1997-03-11	VYDAJ	VYBER	19800	63178	\N	\N	\N
1613050	5477	1997-03-29	VYDAJ	VYBER	30800	81747	\N	\N	\N
1613051	5477	1997-04-04	VYDAJ	VYBER	35200	85750	\N	\N	\N
1613052	5477	1997-04-10	VYDAJ	VYBER	19500	52708	\N	\N	\N
1613053	5477	1997-05-02	VYDAJ	VYBER	26800	104101	\N	\N	\N
1613054	5477	1997-05-10	VYDAJ	VYBER	30100	67659	\N	\N	\N
1613055	5477	1997-06-09	VYDAJ	VYBER	17600	50568	\N	\N	\N
1613056	5477	1997-07-09	VYDAJ	VYBER	5000	30739	\N	\N	\N
1613057	5477	1997-08-08	PRIJEM	VKLAD	5300	29822	\N	\N	\N
1613058	5477	1997-09-07	VYDAJ	VYBER	18400	53704	\N	\N	\N
1613059	5477	1997-09-18	VYDAJ	VYBER	50000	92575	\N	\N	\N
1613060	5477	1997-09-22	VYDAJ	VYBER	45000	63730	\N	\N	\N
1613061	5477	1997-10-07	VYDAJ	VYBER	18400	64737	\N	\N	\N
1613062	5477	1997-10-30	VYDAJ	VYBER	31400	76762	\N	\N	\N
1613063	5477	1997-11-05	VYDAJ	VYBER	24100	97098	\N	\N	\N
1613064	5477	1997-11-06	VYDAJ	VYBER	21500	69256	\N	\N	\N
1613065	5477	1997-12-06	VYDAJ	VYBER	26400	101766	\N	\N	\N
1613066	5477	1997-12-06	VYDAJ	VYBER	24800	70624	\N	\N	\N
1613067	5477	1998-01-05	VYDAJ	VYBER	7300	56347	\N	\N	\N
1613068	5477	1998-02-04	VYDAJ	VYBER	7900	62704	\N	\N	\N
1613069	5477	1998-03-06	VYDAJ	VYBER	4700	65385	\N	\N	\N
1613070	5477	1998-04-05	VYDAJ	VYBER	7600	56365	\N	\N	\N
1613071	5477	1998-05-03	VYDAJ	VYBER	22000	114189	\N	\N	\N
1613072	5477	1998-05-05	VYDAJ	VYBER	20000	131614	\N	\N	\N
1613073	5477	1998-05-05	VYDAJ	VYBER	36700	94914	\N	\N	\N
1613074	5477	1998-05-07	VYDAJ	VYBER	32600	101679	\N	\N	\N
1613075	5477	1998-05-21	VYDAJ	VYBER	36300	74540	\N	\N	\N
1613076	5477	1998-05-27	VYDAJ	VYBER	24200	95598	\N	\N	\N
1613077	5477	1998-06-04	VYDAJ	VYBER	23200	101269	\N	\N	\N
1613078	5477	1998-06-04	VYDAJ	VYBER	22600	78669	\N	\N	\N
1613079	5477	1998-07-04	VYDAJ	VYBER	19500	75361	\N	\N	\N
1613080	5477	1998-08-03	PRIJEM	VKLAD	3700	54786	\N	\N	\N
1613081	5477	1998-09-02	VYDAJ	VYBER	10600	57502	\N	\N	\N
1613082	5477	1998-10-02	VYDAJ	VYBER	9100	60030	\N	\N	\N
1613083	5477	1998-11-01	VYDAJ	VYBER	42300	79042	\N	\N	\N
1613084	5477	1998-11-01	VYDAJ	VYBER	11300	67742	\N	\N	\N
1613085	5477	1998-12-01	VYDAJ	VYBER	27300	79525	\N	\N	\N
1613086	5477	1998-12-21	VYDAJ	VYBER	24000	97153	\N	\N	\N
1613966	5481	1993-08-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1613975	5481	1993-09-07	PRIJEM	PREVOD Z UCTU	36430	37430	\N	ST	47793597
1613976	5481	1993-10-07	PRIJEM	PREVOD Z UCTU	36430	68030	\N	ST	47793597
1613977	5481	1993-11-07	PRIJEM	PREVOD Z UCTU	36430	82524	\N	ST	47793597
1613978	5481	1993-12-07	PRIJEM	PREVOD Z UCTU	54645	110584	\N	ST	47793597
1613979	5481	1994-01-07	PRIJEM	PREVOD Z UCTU	36430	75098	\N	ST	47793597
1613980	5481	1994-02-07	PRIJEM	PREVOD Z UCTU	36430	54851	\N	ST	47793597
1613981	5481	1994-03-07	PRIJEM	PREVOD Z UCTU	36430	75596	\N	ST	47793597
1613982	5481	1994-04-07	PRIJEM	PREVOD Z UCTU	36430	78584	\N	ST	47793597
1613983	5481	1994-05-07	PRIJEM	PREVOD Z UCTU	36430	59085	\N	ST	47793597
1613984	5481	1994-06-07	PRIJEM	PREVOD Z UCTU	54645	93695	\N	ST	47793597
1613985	5481	1994-07-07	PRIJEM	PREVOD Z UCTU	36430	74884	\N	ST	47793597
1613986	5481	1994-08-07	PRIJEM	PREVOD Z UCTU	36430	64453	\N	ST	47793597
1613987	5481	1994-09-07	PRIJEM	PREVOD Z UCTU	36430	58755	\N	ST	47793597
1613988	5481	1994-10-07	PRIJEM	PREVOD Z UCTU	36430	76458	\N	ST	47793597
1613989	5481	1994-11-07	PRIJEM	PREVOD Z UCTU	36430	84607	\N	ST	47793597
1613990	5481	1994-12-07	PRIJEM	PREVOD Z UCTU	54645	84397	\N	ST	47793597
1613991	5481	1995-01-07	PRIJEM	PREVOD Z UCTU	36430	74543	\N	ST	47793597
1613992	5481	1995-02-07	PRIJEM	PREVOD Z UCTU	36430	53935	\N	ST	47793597
1613993	5481	1995-03-07	PRIJEM	PREVOD Z UCTU	36430	75338	\N	ST	47793597
1613994	5481	1995-04-07	PRIJEM	PREVOD Z UCTU	36430	81309	\N	ST	47793597
1613995	5481	1995-05-07	PRIJEM	PREVOD Z UCTU	36430	60684	\N	ST	47793597
1613996	5481	1995-06-07	PRIJEM	PREVOD Z UCTU	54645	92810	\N	ST	47793597
1613997	5481	1995-07-07	PRIJEM	PREVOD Z UCTU	36430	66897	\N	ST	47793597
1613998	5481	1995-08-07	PRIJEM	PREVOD Z UCTU	36430	72098	\N	ST	47793597
1613999	5481	1995-09-07	PRIJEM	PREVOD Z UCTU	36430	75197	\N	ST	47793597
1614000	5481	1995-10-07	PRIJEM	PREVOD Z UCTU	36430	66011	\N	ST	47793597
1614001	5481	1995-11-07	PRIJEM	PREVOD Z UCTU	36430	85403	\N	ST	47793597
1614002	5481	1995-12-07	PRIJEM	PREVOD Z UCTU	54645	98708	\N	ST	47793597
1614003	5481	1996-01-07	PRIJEM	PREVOD Z UCTU	36430	94632	\N	ST	47793597
1614004	5481	1996-02-07	PRIJEM	PREVOD Z UCTU	36430	79251	\N	ST	47793597
1614005	5481	1996-03-07	PRIJEM	PREVOD Z UCTU	36430	89699	\N	ST	47793597
1614006	5481	1996-04-07	PRIJEM	PREVOD Z UCTU	36430	91903	\N	ST	47793597
1614007	5481	1996-05-07	PRIJEM	PREVOD Z UCTU	36430	98421	\N	ST	47793597
1614008	5481	1996-06-07	PRIJEM	PREVOD Z UCTU	54645	119383	\N	ST	47793597
1614009	5481	1996-07-07	PRIJEM	PREVOD Z UCTU	36430	69868	\N	ST	47793597
1614010	5481	1996-08-07	PRIJEM	PREVOD Z UCTU	36430	84276	\N	ST	47793597
1614011	5481	1996-09-07	PRIJEM	PREVOD Z UCTU	36430	97026	\N	ST	47793597
1614012	5481	1996-10-07	PRIJEM	PREVOD Z UCTU	36430	96802	\N	ST	47793597
1614013	5481	1996-11-07	PRIJEM	PREVOD Z UCTU	36430	98877	\N	ST	47793597
1614014	5481	1996-12-07	PRIJEM	PREVOD Z UCTU	54645	116779	\N	ST	47793597
1614015	5481	1997-01-07	PRIJEM	PREVOD Z UCTU	36430	64992	\N	ST	47793597
1614016	5481	1997-02-07	PRIJEM	PREVOD Z UCTU	36430	64277	\N	ST	47793597
1614017	5481	1997-03-07	PRIJEM	PREVOD Z UCTU	36430	83223	\N	ST	47793597
1614018	5481	1997-04-07	PRIJEM	PREVOD Z UCTU	36430	84695	\N	ST	47793597
1614019	5481	1997-05-07	PRIJEM	PREVOD Z UCTU	36430	92822	\N	ST	47793597
1614020	5481	1997-06-07	PRIJEM	PREVOD Z UCTU	54645	86100	\N	ST	47793597
1614021	5481	1997-07-07	PRIJEM	PREVOD Z UCTU	36430	88048	\N	ST	47793597
1614022	5481	1997-08-07	PRIJEM	PREVOD Z UCTU	36430	85542	\N	ST	47793597
1614023	5481	1997-09-07	PRIJEM	PREVOD Z UCTU	36430	84404	\N	ST	47793597
1614024	5481	1997-10-07	PRIJEM	PREVOD Z UCTU	36430	63030	\N	ST	47793597
1614025	5481	1997-11-07	PRIJEM	PREVOD Z UCTU	36430	73914	\N	ST	47793597
1614026	5481	1997-12-07	PRIJEM	PREVOD Z UCTU	54645	81651	\N	ST	47793597
1614027	5481	1998-01-07	PRIJEM	PREVOD Z UCTU	36430	66869	\N	ST	47793597
1614028	5481	1998-02-07	PRIJEM	PREVOD Z UCTU	36430	64736	\N	ST	47793597
1614029	5481	1998-03-07	PRIJEM	PREVOD Z UCTU	36430	63567	\N	ST	47793597
1614030	5481	1998-04-07	PRIJEM	PREVOD Z UCTU	36430	77393	\N	ST	47793597
1614031	5481	1998-05-07	PRIJEM	PREVOD Z UCTU	36430	82559	\N	ST	47793597
1614032	5481	1998-06-07	PRIJEM	PREVOD Z UCTU	54645	109566	\N	ST	47793597
1614033	5481	1998-07-07	PRIJEM	PREVOD Z UCTU	36430	84918	\N	ST	47793597
1614034	5481	1998-08-07	PRIJEM	PREVOD Z UCTU	36430	91128	\N	ST	47793597
1614035	5481	1998-09-07	PRIJEM	PREVOD Z UCTU	36430	92608	\N	ST	47793597
1614036	5481	1998-10-07	PRIJEM	PREVOD Z UCTU	36430	91073	\N	ST	47793597
1614037	5481	1998-11-07	PRIJEM	PREVOD Z UCTU	36430	76786	\N	ST	47793597
1614038	5481	1998-12-07	PRIJEM	PREVOD Z UCTU	54645	106567	\N	ST	47793597
1614051	5481	1994-01-10	VYDAJ	VYBER	3000	72098	\N	\N	0
1614052	5481	1994-01-28	VYDAJ	VYBER	4000	18298	\N	\N	0
1614053	5481	1994-03-14	VYDAJ	VYBER	4900	70696	\N	\N	0
1614054	5481	1994-04-13	VYDAJ	VYBER	6000	44984	\N	\N	0
1614055	5481	1994-05-23	VYDAJ	VYBER	3700	38885	\N	\N	0
1614056	5481	1994-06-17	VYDAJ	VYBER	5500	54895	\N	\N	0
1614057	5481	1994-07-20	VYDAJ	VYBER	3600	49784	\N	\N	0
1614058	5481	1994-08-20	VYDAJ	VYBER	4900	30153	\N	\N	0
1614059	5481	1994-09-12	VYDAJ	PREVOD NA UCET	4358	39897	UVER	IJ	17114121
1614060	5481	1994-10-12	VYDAJ	PREVOD NA UCET	4358	48000	UVER	IJ	17114121
1614061	5481	1994-11-12	VYDAJ	PREVOD NA UCET	4358	29615	UVER	IJ	17114121
1614062	5481	1994-12-12	VYDAJ	PREVOD NA UCET	4358	43056	UVER	IJ	17114121
1614063	5481	1995-01-12	VYDAJ	PREVOD NA UCET	4358	27585	UVER	IJ	17114121
1614064	5481	1995-02-12	VYDAJ	PREVOD NA UCET	4358	38777	UVER	IJ	17114121
1614065	5481	1995-03-12	VYDAJ	PREVOD NA UCET	4358	46780	UVER	IJ	17114121
1614066	5481	1995-04-12	VYDAJ	PREVOD NA UCET	4358	52351	UVER	IJ	17114121
1614067	5481	1995-05-12	VYDAJ	PREVOD NA UCET	4358	41426	UVER	IJ	17114121
1614068	5481	1995-06-12	VYDAJ	PREVOD NA UCET	4358	58452	UVER	IJ	17114121
1614069	5481	1995-07-12	VYDAJ	PREVOD NA UCET	4358	34620	UVER	IJ	17114121
1614070	5481	1995-08-12	VYDAJ	PREVOD NA UCET	4358	67740	UVER	IJ	17114121
1614071	5481	1995-09-12	VYDAJ	PREVOD NA UCET	4358	70839	UVER	IJ	17114121
1614072	5481	1995-10-12	VYDAJ	PREVOD NA UCET	4358	61653	UVER	IJ	17114121
1614073	5481	1995-11-12	VYDAJ	PREVOD NA UCET	4358	65301	UVER	IJ	17114121
1614074	5481	1995-12-12	VYDAJ	PREVOD NA UCET	4358	94350	UVER	IJ	17114121
1614075	5481	1996-01-12	VYDAJ	PREVOD NA UCET	4358	79474	UVER	IJ	17114121
1614076	5481	1996-02-12	VYDAJ	PREVOD NA UCET	4358	74893	UVER	IJ	17114121
1614077	5481	1996-03-12	VYDAJ	PREVOD NA UCET	4358	85341	UVER	IJ	17114121
1614078	5481	1996-04-12	VYDAJ	PREVOD NA UCET	4358	87545	UVER	IJ	17114121
1614079	5481	1996-05-12	VYDAJ	PREVOD NA UCET	4358	94063	UVER	IJ	17114121
1614080	5481	1996-06-12	VYDAJ	PREVOD NA UCET	4358	51225	UVER	IJ	17114121
1614081	5481	1996-07-12	VYDAJ	PREVOD NA UCET	4358	65510	UVER	IJ	17114121
1614082	5481	1996-08-12	VYDAJ	PREVOD NA UCET	4358	79918	UVER	IJ	17114121
1614083	5481	1996-09-12	VYDAJ	PREVOD NA UCET	4358	92668	UVER	IJ	17114121
1614084	5481	1996-10-12	VYDAJ	PREVOD NA UCET	4358	92444	UVER	IJ	17114121
1614217	5481	1994-04-08	VYDAJ	VYBER	5400	73184	\N	\N	\N
1614085	5481	1996-11-12	VYDAJ	PREVOD NA UCET	4358	94519	UVER	IJ	17114121
1614086	5481	1996-12-12	VYDAJ	PREVOD NA UCET	4358	46521	UVER	IJ	17114121
1614087	5481	1997-01-12	VYDAJ	PREVOD NA UCET	4358	44684	UVER	IJ	17114121
1614088	5481	1997-02-12	VYDAJ	PREVOD NA UCET	4358	59919	UVER	IJ	17114121
1614089	5481	1997-03-12	VYDAJ	PREVOD NA UCET	4358	78865	UVER	IJ	17114121
1614090	5481	1997-04-12	VYDAJ	PREVOD NA UCET	4358	80337	UVER	IJ	17114121
1614091	5481	1997-05-12	VYDAJ	PREVOD NA UCET	4358	66802	UVER	IJ	17114121
1614092	5481	1997-06-12	VYDAJ	PREVOD NA UCET	4358	81742	UVER	IJ	17114121
1614093	5481	1997-07-12	VYDAJ	PREVOD NA UCET	4358	83690	UVER	IJ	17114121
1614094	5481	1997-08-12	VYDAJ	PREVOD NA UCET	4358	81184	UVER	IJ	17114121
1614095	5481	1997-09-12	VYDAJ	PREVOD NA UCET	4358	80046	UVER	IJ	17114121
1614096	5481	1997-10-12	VYDAJ	PREVOD NA UCET	4358	52972	UVER	IJ	17114121
1614097	5481	1997-11-12	VYDAJ	PREVOD NA UCET	4358	69556	UVER	IJ	17114121
1614098	5481	1997-12-12	VYDAJ	PREVOD NA UCET	4358	77293	UVER	IJ	17114121
1614099	5481	1998-01-12	VYDAJ	PREVOD NA UCET	4358	62511	UVER	IJ	17114121
1614100	5481	1998-02-12	VYDAJ	PREVOD NA UCET	4358	60378	UVER	IJ	17114121
1614101	5481	1998-03-12	VYDAJ	PREVOD NA UCET	4358	59209	UVER	IJ	17114121
1614102	5481	1998-04-12	VYDAJ	PREVOD NA UCET	4358	73035	UVER	IJ	17114121
1614103	5481	1998-05-12	VYDAJ	PREVOD NA UCET	4358	78201	UVER	IJ	17114121
1614104	5481	1998-06-12	VYDAJ	PREVOD NA UCET	4358	105208	UVER	IJ	17114121
1614105	5481	1998-07-12	VYDAJ	PREVOD NA UCET	4358	80560	UVER	IJ	17114121
1614106	5481	1998-08-12	VYDAJ	PREVOD NA UCET	4358	82925	UVER	IJ	17114121
1614107	5481	1998-09-15	VYDAJ	VYBER	4600	84198	\N	\N	0
1614108	5481	1998-10-11	VYDAJ	VYBER	4500	86573	\N	\N	0
1614109	5481	1998-11-09	VYDAJ	VYBER	4200	72586	\N	\N	0
1614110	5481	1998-12-19	VYDAJ	VYBER	4100	95867	\N	\N	0
1614116	5481	1994-12-07	VYBER	VYBER	18783	65614	\N	\N	\N
1614117	5481	1994-08-24	VYBER	VYBER	7984	22169	\N	\N	\N
1614118	5481	1994-11-11	VYBER	VYBER	21434	33973	\N	\N	\N
1614120	5481	1994-03-15	VYBER	VYBER	4798	41998	\N	\N	\N
1614121	5481	1994-06-30	VYBER	VYBER	16632	38469	\N	\N	\N
1614122	5481	1994-08-04	VYBER	VYBER	21941	28023	\N	\N	\N
1614123	5481	1995-03-19	VYBER	VYBER	2071	44709	\N	\N	\N
1614124	5481	1995-05-05	VYBER	VYBER	6525	24254	\N	\N	\N
1614126	5481	1995-07-07	VYBER	VYBER	17219	49678	\N	\N	\N
1614127	5481	1995-09-15	VYBER	VYBER	21024	49815	\N	\N	\N
1614128	5481	1995-09-15	VYBER	VYBER	9119	40696	\N	\N	\N
1614129	5481	1995-08-21	VYBER	VYBER	4110	63630	\N	\N	\N
1614130	5481	1995-11-09	VYBER	VYBER	15744	69659	\N	\N	\N
1614133	5481	1995-04-29	VYBER	VYBER	21764	30587	\N	\N	\N
1614134	5481	1995-05-21	VYBER	VYBER	3410	38016	\N	\N	\N
1614135	5481	1997-11-24	VYBER	VYBER	11170	37086	\N	\N	\N
1614136	5481	1997-08-06	VYBER	VYBER	5364	49112	\N	\N	\N
1614137	5481	1997-09-06	VYBER	VYBER	10190	47974	\N	\N	\N
1614138	5481	1997-03-13	VYBER	VYBER	3827	75038	\N	\N	\N
1614139	5481	1997-01-11	VYBER	VYBER	15950	49042	\N	\N	\N
1614140	5481	1997-10-19	VYBER	VYBER	2046	50926	\N	\N	\N
1614142	5481	1997-11-26	VYBER	VYBER	2466	34620	\N	\N	\N
1614143	5481	1997-06-06	VYBER	VYBER	11089	31455	\N	\N	\N
1614144	5481	1997-09-29	VYBER	VYBER	24802	26344	\N	\N	\N
1614145	5481	1997-05-07	VYBER	VYBER	21662	71160	\N	\N	\N
1614146	5481	1998-08-09	VYBER	VYBER	3845	87283	\N	\N	\N
1614147	5481	1998-09-11	VYBER	VYBER	3810	88798	\N	\N	\N
1614148	5481	1998-05-15	VYBER	VYBER	6334	71867	\N	\N	\N
1614149	5481	1998-11-06	VYBER	VYBER	20068	40356	\N	\N	\N
1614150	5481	1998-06-22	VYBER	VYBER	5371	48237	\N	\N	\N
1614151	5481	1998-03-18	VYBER	VYBER	19818	39391	\N	\N	\N
1614152	5481	1998-05-01	VYBER	VYBER	9820	46129	\N	\N	\N
1614153	5481	1998-07-22	VYBER	VYBER	5193	54467	\N	\N	\N
1614154	5481	1998-02-14	VYBER	VYBER	7270	53108	\N	\N	\N
1614158	5481	1996-06-19	VYDAJ	VYBER	14100	37125	\N	\N	\N
1614160	5481	1998-06-18	VYDAJ	VYBER	31200	74008	\N	\N	\N
1614164	5481	1996-01-12	VYDAJ	VYBER	21600	57874	\N	\N	\N
1614165	5481	1997-01-27	VYDAJ	VYBER	11700	27684	\N	\N	\N
1614166	5481	1998-01-02	VYDAJ	VYBER	25500	30439	\N	\N	\N
1614168	5481	1994-12-18	VYDAJ	VYBER	5100	37956	\N	\N	\N
1614169	5481	1995-12-05	VYDAJ	VYBER	7800	44063	\N	\N	\N
1614170	5481	1996-12-12	VYDAJ	VYBER	8700	50879	\N	\N	\N
1614171	5481	1997-12-02	VYDAJ	VYBER	7800	27006	\N	\N	\N
1614172	5481	1998-12-08	VYDAJ	VYBER	6600	99967	\N	\N	\N
1614179	5481	1994-01-15	VYDAJ	VYBER	8400	34298	\N	\N	\N
1614180	5481	1994-01-14	VYDAJ	VYBER	5700	42698	\N	\N	\N
1614181	5481	1994-01-15	VYDAJ	VYBER	8100	26198	\N	\N	\N
1614184	5481	1994-01-17	VYDAJ	VYBER	3900	22298	\N	\N	\N
1614186	5481	1995-01-10	VYDAJ	VYBER	8100	38843	\N	\N	\N
1614190	5481	1995-01-11	VYDAJ	VYBER	6900	31943	\N	\N	\N
1614191	5481	1996-01-15	VYDAJ	VYBER	3000	47374	\N	\N	\N
1614192	5481	1996-01-09	VYDAJ	VYBER	4200	90432	\N	\N	\N
1614193	5481	1996-01-06	VYDAJ	VYBER	4800	58202	\N	\N	\N
1614194	5481	1996-01-12	VYDAJ	VYBER	5100	83832	\N	\N	\N
1614195	5481	1996-01-10	VYDAJ	VYBER	1500	88932	\N	\N	\N
1614196	5481	1996-01-13	VYDAJ	VYBER	7500	50374	\N	\N	\N
1614199	5481	1997-01-01	VYDAJ	VYBER	5700	28562	\N	\N	\N
1614202	5481	1997-01-23	VYDAJ	VYBER	7800	36884	\N	\N	\N
1614204	5481	1998-01-17	VYDAJ	VYBER	1500	61011	\N	\N	\N
1614206	5481	1998-01-24	VYDAJ	VYBER	5400	28111	\N	\N	\N
1614207	5481	1998-01-21	VYDAJ	VYBER	5700	55311	\N	\N	\N
1614208	5481	1998-01-24	VYDAJ	VYBER	8700	33511	\N	\N	\N
1614215	5481	1994-05-03	VYDAJ	VYBER	11100	22655	\N	\N	\N
1614216	5481	1994-04-19	VYDAJ	VYBER	11400	33584	\N	\N	\N
1614218	5481	1994-08-19	VYDAJ	VYBER	11700	35053	\N	\N	\N
1614219	5481	1995-09-04	VYDAJ	VYBER	10500	47067	\N	\N	\N
1614220	5481	1995-07-05	VYDAJ	VYBER	2700	30467	\N	\N	\N
1614221	5481	1995-07-03	VYDAJ	VYBER	10800	47867	\N	\N	\N
1614222	5481	1995-09-17	VYDAJ	VYBER	9600	31096	\N	\N	\N
1614223	5481	1995-07-04	VYDAJ	VYBER	14700	33167	\N	\N	\N
1614224	5481	1995-09-01	VYDAJ	VYBER	6300	57567	\N	\N	\N
1614225	5481	1995-01-07	VYDAJ	VYBER	9000	65543	\N	\N	\N
1614226	5481	1995-01-12	VYDAJ	VYBER	10200	17385	\N	\N	\N
1614228	5481	1996-10-20	VYDAJ	VYBER	5100	87344	\N	\N	\N
1614229	5481	1996-12-29	VYDAJ	VYBER	9900	34021	\N	\N	\N
1614230	5481	1996-07-31	VYDAJ	VYBER	9000	56761	\N	\N	\N
1614231	5481	1996-09-14	VYDAJ	VYBER	3900	88768	\N	\N	\N
1614232	5481	1996-03-27	VYDAJ	VYBER	5100	80241	\N	\N	\N
1614233	5481	1997-10-09	VYDAJ	VYBER	5700	57330	\N	\N	\N
1614234	5481	1997-09-16	VYDAJ	VYBER	1500	78546	\N	\N	\N
1614235	5481	1997-07-06	VYDAJ	VYBER	2400	51618	\N	\N	\N
1614236	5481	1997-09-17	VYDAJ	VYBER	8100	70446	\N	\N	\N
1614238	5481	1997-03-16	VYDAJ	VYBER	8400	66638	\N	\N	\N
1614239	5481	1997-06-04	VYDAJ	VYBER	4500	42544	\N	\N	\N
1614241	5481	1998-03-02	VYDAJ	VYBER	2700	27137	\N	\N	\N
1614242	5481	1998-02-17	VYDAJ	VYBER	14100	39008	\N	\N	\N
1614243	5481	1998-02-22	VYDAJ	VYBER	8400	29708	\N	\N	\N
1614257	5481	1994-01-31	VYDAJ	VYBER	15	18421	SLUZBY	\N	\N
1614258	5481	1994-02-28	VYDAJ	VYBER	15	39166	SLUZBY	\N	\N
1614259	5481	1994-03-31	VYDAJ	VYBER	15	42154	SLUZBY	\N	\N
1614260	5481	1994-04-30	VYDAJ	VYBER	15	33755	SLUZBY	\N	\N
1614261	5481	1994-05-31	VYDAJ	VYBER	15	39050	SLUZBY	\N	\N
1614262	5481	1994-06-30	VYDAJ	VYBER	15	38454	SLUZBY	\N	\N
1614263	5481	1994-07-31	VYDAJ	VYBER	15	49964	SLUZBY	\N	\N
1614264	5481	1994-08-31	VYDAJ	VYBER	15	22325	SLUZBY	\N	\N
1614265	5481	1994-09-30	VYDAJ	VYBER	15	40028	SLUZBY	\N	\N
1614266	5481	1994-10-31	VYDAJ	VYBER	15	48177	SLUZBY	\N	\N
1614267	5481	1994-11-30	VYDAJ	VYBER	15	29752	SLUZBY	\N	\N
1614268	5481	1994-12-31	VYDAJ	VYBER	15	38113	SLUZBY	\N	\N
1614269	5481	1995-01-31	VYDAJ	VYBER	15	17505	SLUZBY	\N	\N
1614270	5481	1995-02-28	VYDAJ	VYBER	15	38908	SLUZBY	\N	\N
1614271	5481	1995-03-31	VYDAJ	VYBER	15	44879	SLUZBY	\N	\N
1614272	5481	1995-04-30	VYDAJ	VYBER	15	30779	SLUZBY	\N	\N
1614273	5481	1995-05-31	VYDAJ	VYBER	15	38165	SLUZBY	\N	\N
1614274	5481	1995-06-30	VYDAJ	VYBER	15	58667	SLUZBY	\N	\N
1614275	5481	1995-07-31	VYDAJ	VYBER	15	34768	SLUZBY	\N	\N
1614276	5481	1995-08-31	VYDAJ	VYBER	15	63867	SLUZBY	\N	\N
1614277	5481	1995-09-30	VYDAJ	VYBER	15	31281	SLUZBY	\N	\N
1614278	5481	1995-10-31	VYDAJ	VYBER	15	61873	SLUZBY	\N	\N
1614279	5481	1995-11-30	VYDAJ	VYBER	15	65563	SLUZBY	\N	\N
1614280	5481	1995-12-31	VYDAJ	VYBER	15	94702	SLUZBY	\N	\N
1614281	5481	1996-01-31	VYDAJ	VYBER	15	47621	SLUZBY	\N	\N
1614282	5481	1996-02-29	VYDAJ	VYBER	15	75169	SLUZBY	\N	\N
1614283	5481	1996-03-31	VYDAJ	VYBER	15	80573	SLUZBY	\N	\N
1614284	5481	1996-04-30	VYDAJ	VYBER	15	87891	SLUZBY	\N	\N
1614285	5481	1996-05-31	VYDAJ	VYBER	15	94438	SLUZBY	\N	\N
1614286	5481	1996-06-30	VYDAJ	VYBER	15	37338	SLUZBY	\N	\N
1614287	5481	1996-07-31	VYDAJ	VYBER	15	56746	SLUZBY	\N	\N
1614288	5481	1996-08-31	VYDAJ	VYBER	15	60596	SLUZBY	\N	\N
1614289	5481	1996-09-30	VYDAJ	VYBER	15	60372	SLUZBY	\N	\N
1614290	5481	1996-10-31	VYDAJ	VYBER	15	62447	SLUZBY	\N	\N
1614291	5481	1996-11-30	VYDAJ	VYBER	15	62134	SLUZBY	\N	\N
1614292	5481	1996-12-31	VYDAJ	VYBER	15	34262	SLUZBY	\N	\N
1614293	5481	1997-01-31	VYDAJ	VYBER	15	27847	SLUZBY	\N	\N
1614294	5481	1997-02-28	VYDAJ	VYBER	15	46793	SLUZBY	\N	\N
1614295	5481	1997-03-31	VYDAJ	VYBER	15	48265	SLUZBY	\N	\N
1614296	5481	1997-04-30	VYDAJ	VYBER	15	56392	SLUZBY	\N	\N
1614297	5481	1997-05-31	VYDAJ	VYBER	15	47044	SLUZBY	\N	\N
1614298	5481	1997-06-30	VYDAJ	VYBER	15	54018	SLUZBY	\N	\N
1614299	5481	1997-07-31	VYDAJ	VYBER	15	54476	SLUZBY	\N	\N
1614300	5481	1997-08-31	VYDAJ	VYBER	15	58164	SLUZBY	\N	\N
1614301	5481	1997-09-30	VYDAJ	VYBER	15	26600	SLUZBY	\N	\N
1614302	5481	1997-10-31	VYDAJ	VYBER	15	37484	SLUZBY	\N	\N
1614303	5481	1997-11-30	VYDAJ	VYBER	15	34806	SLUZBY	\N	\N
1614304	5481	1997-12-31	VYDAJ	VYBER	15	55939	SLUZBY	\N	\N
1614305	5481	1998-01-31	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
1614306	5481	1998-02-28	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
1614307	5481	1998-03-31	VYDAJ	VYBER	15	40963	SLUZBY	\N	\N
1614308	5481	1998-04-30	VYDAJ	VYBER	15	55949	SLUZBY	\N	\N
1614309	5481	1998-05-31	VYDAJ	VYBER	15	54921	SLUZBY	\N	\N
1614310	5481	1998-06-30	VYDAJ	VYBER	15	48488	SLUZBY	\N	\N
1614311	5481	1998-07-31	VYDAJ	VYBER	15	54698	SLUZBY	\N	\N
1614312	5481	1998-08-31	VYDAJ	VYBER	15	56178	SLUZBY	\N	\N
1614313	5481	1998-09-30	VYDAJ	VYBER	15	54643	SLUZBY	\N	\N
1614314	5481	1998-10-31	VYDAJ	VYBER	15	60424	SLUZBY	\N	\N
1614315	5481	1998-11-30	VYDAJ	VYBER	15	51922	SLUZBY	\N	\N
1614316	5481	1993-09-15	VYDAJ	VYBER	5900	31530	\N	\N	\N
1614317	5481	1993-10-15	VYDAJ	VYBER	22100	45930	\N	\N	\N
1614318	5481	1993-11-14	VYDAJ	VYBER	26800	55724	\N	\N	\N
1614319	5481	1993-12-07	VYDAJ	VYBER	61800	48784	\N	\N	\N
1614320	5481	1993-12-14	VYDAJ	VYBER	10300	38484	\N	\N	\N
1614321	5481	1994-01-13	VYDAJ	VYBER	23700	48398	\N	\N	\N
1614322	5481	1994-02-12	VYDAJ	VYBER	15800	39051	\N	\N	\N
1614323	5481	1994-03-14	VYDAJ	VYBER	23900	46796	\N	\N	\N
1614324	5481	1994-04-13	VYDAJ	VYBER	22200	50984	\N	\N	\N
1614325	5481	1994-05-13	VYDAJ	VYBER	16500	42585	\N	\N	\N
1614326	5481	1994-06-12	VYDAJ	VYBER	33300	60395	\N	\N	\N
1614327	5481	1994-07-12	VYDAJ	VYBER	21500	53384	\N	\N	\N
1614328	5481	1994-08-11	VYDAJ	VYBER	17700	46753	\N	\N	\N
1614329	5481	1994-09-10	VYDAJ	VYBER	14500	44255	\N	\N	\N
1614330	5481	1994-10-10	VYDAJ	VYBER	24100	52358	\N	\N	\N
1614331	5481	1994-11-09	VYDAJ	VYBER	29200	55407	\N	\N	\N
1614332	5481	1994-12-09	VYDAJ	VYBER	18200	47414	\N	\N	\N
1614333	5481	1995-01-08	VYDAJ	VYBER	18600	46943	\N	\N	\N
1614334	5481	1995-02-07	VYDAJ	VYBER	10800	43135	\N	\N	\N
1614335	5481	1995-03-09	VYDAJ	VYBER	24200	51138	\N	\N	\N
1614336	5481	1995-04-08	VYDAJ	VYBER	24600	56709	\N	\N	\N
1614337	5481	1995-05-08	VYDAJ	VYBER	14900	45784	\N	\N	\N
1614338	5481	1995-06-07	VYDAJ	VYBER	30000	62810	\N	\N	\N
1614339	5481	1995-07-07	VYDAJ	VYBER	10700	38978	\N	\N	\N
1614340	5481	1995-08-06	PRIJEM	VKLAD	900	35668	\N	\N	\N
1614341	5481	1995-09-05	VYDAJ	VYBER	8300	38767	\N	\N	\N
1614342	5481	1995-10-05	VYDAJ	VYBER	1700	29581	\N	\N	\N
1614343	5481	1995-11-04	VYDAJ	VYBER	12900	48973	\N	\N	\N
1614344	5481	1995-12-04	VYDAJ	VYBER	13700	51863	\N	\N	\N
1614345	5481	1996-01-03	VYDAJ	VYBER	31700	63002	\N	\N	\N
1614346	5481	1996-02-02	VYDAJ	VYBER	4800	42821	\N	\N	\N
1614347	5481	1996-03-03	VYDAJ	VYBER	21900	53269	\N	\N	\N
1614348	5481	1996-04-02	VYDAJ	VYBER	25100	55473	\N	\N	\N
1614349	5481	1996-05-02	VYDAJ	VYBER	25900	61991	\N	\N	\N
1614350	5481	1996-06-01	VYDAJ	VYBER	29700	64738	\N	\N	\N
1614351	5481	1996-06-07	VYDAJ	VYBER	63800	55583	\N	\N	\N
1614352	5481	1996-07-01	VYDAJ	VYBER	3900	33438	\N	\N	\N
1614353	5481	1996-07-31	VYDAJ	VYBER	8900	47846	\N	\N	\N
1614354	5481	1996-08-30	VYDAJ	VYBER	19600	60318	\N	\N	\N
1614355	5481	1996-09-29	VYDAJ	VYBER	28700	60068	\N	\N	\N
1614356	5481	1996-10-29	VYDAJ	VYBER	25200	62144	\N	\N	\N
1614357	5481	1996-11-28	VYDAJ	VYBER	32700	61819	\N	\N	\N
1614358	5481	1996-12-07	VYDAJ	VYBER	57200	59579	\N	\N	\N
1614359	5481	1996-12-28	VYDAJ	VYBER	2600	43921	\N	\N	\N
1614360	5481	1997-01-27	PRIJEM	VKLAD	2500	39384	\N	\N	\N
1614361	5481	1997-02-26	VYDAJ	VYBER	13300	46619	\N	\N	\N
1614362	5481	1997-03-28	VYDAJ	VYBER	18600	48038	\N	\N	\N
1614363	5481	1997-04-27	VYDAJ	VYBER	24200	56137	\N	\N	\N
1614364	5481	1997-05-27	VYDAJ	VYBER	20000	46802	\N	\N	\N
1614365	5481	1997-06-26	VYDAJ	VYBER	28000	53742	\N	\N	\N
1614366	5481	1997-07-26	VYDAJ	VYBER	29500	54190	\N	\N	\N
1614367	5481	1997-08-25	VYDAJ	VYBER	23300	57884	\N	\N	\N
1614368	5481	1997-09-24	VYDAJ	VYBER	19300	51146	\N	\N	\N
1614369	5481	1997-10-24	VYDAJ	VYBER	13600	37326	\N	\N	\N
1614370	5481	1997-11-23	VYDAJ	VYBER	21300	48256	\N	\N	\N
1614371	5481	1997-12-23	VYDAJ	VYBER	21600	55693	\N	\N	\N
1614372	5481	1998-01-22	VYDAJ	VYBER	13100	42211	\N	\N	\N
1614373	5481	1998-02-21	VYDAJ	VYBER	900	38108	\N	\N	\N
1614374	5481	1998-03-23	PRIJEM	VKLAD	1400	40791	\N	\N	\N
1614375	5481	1998-04-22	VYDAJ	VYBER	17300	55735	\N	\N	\N
1614376	5481	1998-05-22	VYDAJ	VYBER	17200	54667	\N	\N	\N
1614377	5481	1998-06-21	VYDAJ	VYBER	20400	53608	\N	\N	\N
1614378	5481	1998-07-21	VYDAJ	VYBER	20900	59660	\N	\N	\N
1614379	5481	1998-08-20	VYDAJ	VYBER	27000	55925	\N	\N	\N
1614380	5481	1998-09-19	VYDAJ	VYBER	29800	54398	\N	\N	\N
1614381	5481	1998-10-19	VYDAJ	VYBER	26400	60173	\N	\N	\N
1614382	5481	1998-11-18	VYDAJ	VYBER	20900	51686	\N	\N	\N
1614707	5483	1993-03-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1614711	5483	1993-04-09	PRIJEM	PREVOD Z UCTU	16002	17102	\N	QR	6313664
1614712	5483	1993-05-09	PRIJEM	PREVOD Z UCTU	16002	37216	\N	QR	6313664
1614713	5483	1993-06-09	PRIJEM	PREVOD Z UCTU	24003	55714	\N	QR	6313664
1614714	5483	1993-07-09	PRIJEM	PREVOD Z UCTU	16002	58155	\N	QR	6313664
1614715	5483	1993-08-09	PRIJEM	PREVOD Z UCTU	16002	57131	\N	QR	6313664
1614716	5483	1993-09-09	PRIJEM	PREVOD Z UCTU	16002	43468	\N	QR	6313664
1614717	5483	1993-10-09	PRIJEM	PREVOD Z UCTU	16002	28942	\N	QR	6313664
1614718	5483	1993-11-09	PRIJEM	PREVOD Z UCTU	16002	40538	\N	QR	6313664
1614719	5483	1993-12-09	PRIJEM	PREVOD Z UCTU	24003	51640	\N	QR	6313664
1614720	5483	1994-01-09	PRIJEM	PREVOD Z UCTU	16002	35710	\N	QR	6313664
1614721	5483	1994-02-09	PRIJEM	PREVOD Z UCTU	16002	14619	\N	QR	6313664
1614722	5483	1994-03-09	PRIJEM	PREVOD Z UCTU	16002	17941	\N	QR	6313664
1614723	5483	1994-04-09	PRIJEM	PREVOD Z UCTU	16002	34690	\N	QR	6313664
1614724	5483	1994-05-09	PRIJEM	PREVOD Z UCTU	16002	28129	\N	QR	6313664
1614725	5483	1994-06-09	PRIJEM	PREVOD Z UCTU	24003	52838	\N	QR	6313664
1614726	5483	1994-07-09	PRIJEM	PREVOD Z UCTU	16002	24443	\N	QR	6313664
1614727	5483	1994-08-09	PRIJEM	PREVOD Z UCTU	16002	36307	\N	QR	6313664
1614728	5483	1994-09-09	PRIJEM	PREVOD Z UCTU	16002	19624	\N	QR	6313664
1614729	5483	1994-10-09	PRIJEM	PREVOD Z UCTU	16002	35689	\N	QR	6313664
1614730	5483	1994-11-09	PRIJEM	PREVOD Z UCTU	16002	23774	\N	QR	6313664
1614731	5483	1994-12-09	PRIJEM	PREVOD Z UCTU	24003	49268	\N	QR	6313664
1614732	5483	1995-01-09	PRIJEM	PREVOD Z UCTU	16002	46192	\N	QR	6313664
1614733	5483	1995-02-09	PRIJEM	PREVOD Z UCTU	16002	16115	\N	QR	6313664
1614734	5483	1995-03-09	PRIJEM	PREVOD Z UCTU	16002	29245	\N	QR	6313664
1614735	5483	1995-04-09	PRIJEM	PREVOD Z UCTU	16002	38047	\N	QR	6313664
1614736	5483	1995-05-09	PRIJEM	PREVOD Z UCTU	16002	52153	\N	QR	6313664
1614737	5483	1995-06-09	PRIJEM	PREVOD Z UCTU	24003	65302	\N	QR	6313664
1614738	5483	1995-07-09	PRIJEM	PREVOD Z UCTU	16002	56463	\N	QR	6313664
1614739	5483	1995-08-09	PRIJEM	PREVOD Z UCTU	16002	58121	\N	QR	6313664
1614740	5483	1995-09-09	PRIJEM	PREVOD Z UCTU	16002	62393	\N	QR	6313664
1614741	5483	1995-10-09	PRIJEM	PREVOD Z UCTU	16002	57562	\N	QR	6313664
1614742	5483	1995-11-09	PRIJEM	PREVOD Z UCTU	16002	59827	\N	QR	6313664
1614743	5483	1995-12-09	PRIJEM	PREVOD Z UCTU	24003	63296	\N	QR	6313664
1614744	5483	1996-01-09	PRIJEM	PREVOD Z UCTU	16002	35865	\N	QR	6313664
1614745	5483	1996-02-09	PRIJEM	PREVOD Z UCTU	16002	30776	\N	QR	6313664
1614746	5483	1996-03-09	PRIJEM	PREVOD Z UCTU	16002	32557	\N	QR	6313664
1614747	5483	1996-04-09	PRIJEM	PREVOD Z UCTU	16002	36025	\N	QR	6313664
1614748	5483	1996-05-09	PRIJEM	PREVOD Z UCTU	16002	54045	\N	QR	6313664
1614749	5483	1996-06-09	PRIJEM	PREVOD Z UCTU	24003	71316	\N	QR	6313664
1614750	5483	1996-07-09	PRIJEM	PREVOD Z UCTU	16002	33892	\N	QR	6313664
1614751	5483	1996-08-09	PRIJEM	PREVOD Z UCTU	16002	46001	\N	QR	6313664
1614752	5483	1996-09-09	PRIJEM	PREVOD Z UCTU	16002	52738	\N	QR	6313664
1614753	5483	1996-10-09	PRIJEM	PREVOD Z UCTU	16002	63224	\N	QR	6313664
1614754	5483	1996-11-09	PRIJEM	PREVOD Z UCTU	16002	72262	\N	QR	6313664
1614755	5483	1996-12-09	PRIJEM	PREVOD Z UCTU	24003	84940	\N	QR	6313664
1614756	5483	1997-01-09	PRIJEM	PREVOD Z UCTU	16002	62063	\N	QR	6313664
1614757	5483	1997-02-09	PRIJEM	PREVOD Z UCTU	16002	59215	\N	QR	6313664
1614758	5483	1997-03-09	PRIJEM	PREVOD Z UCTU	16002	66884	\N	QR	6313664
1614759	5483	1997-04-09	PRIJEM	PREVOD Z UCTU	16002	67862	\N	QR	6313664
1614760	5483	1997-05-09	PRIJEM	PREVOD Z UCTU	16002	69586	\N	QR	6313664
1614761	5483	1997-06-09	PRIJEM	PREVOD Z UCTU	24003	85346	\N	QR	6313664
1614762	5483	1997-07-09	PRIJEM	PREVOD Z UCTU	16002	56255	\N	QR	6313664
1614763	5483	1997-08-09	PRIJEM	PREVOD Z UCTU	16002	58050	\N	QR	6313664
1614764	5483	1997-09-09	PRIJEM	PREVOD Z UCTU	16002	62778	\N	QR	6313664
1614765	5483	1997-10-09	PRIJEM	PREVOD Z UCTU	16002	71204	\N	QR	6313664
1614766	5483	1997-11-09	PRIJEM	PREVOD Z UCTU	16002	61932	\N	QR	6313664
1614767	5483	1997-12-09	PRIJEM	PREVOD Z UCTU	24003	67693	\N	QR	6313664
1614768	5483	1998-01-09	PRIJEM	PREVOD Z UCTU	16002	53717	\N	QR	6313664
1614769	5483	1998-02-09	PRIJEM	PREVOD Z UCTU	16002	25711	\N	QR	6313664
1614770	5483	1998-03-09	PRIJEM	PREVOD Z UCTU	16002	54499	\N	QR	6313664
1614771	5483	1998-04-09	PRIJEM	PREVOD Z UCTU	16002	58150	\N	QR	6313664
1614772	5483	1998-05-09	PRIJEM	PREVOD Z UCTU	16002	62040	\N	QR	6313664
1614773	5483	1998-06-09	PRIJEM	PREVOD Z UCTU	24003	54021	\N	QR	6313664
1614774	5483	1998-07-09	PRIJEM	PREVOD Z UCTU	16002	42011	\N	QR	6313664
1614775	5483	1998-08-09	PRIJEM	PREVOD Z UCTU	16002	51508	\N	QR	6313664
1614776	5483	1998-09-09	PRIJEM	PREVOD Z UCTU	16002	23364	\N	QR	6313664
1614777	5483	1998-10-09	PRIJEM	PREVOD Z UCTU	16002	40131	\N	QR	6313664
1614778	5483	1998-11-09	PRIJEM	PREVOD Z UCTU	16002	52220	\N	QR	6313664
1614779	5483	1998-12-09	PRIJEM	PREVOD Z UCTU	24003	48208	\N	QR	6313664
1614858	5483	1993-09-06	VYBER	VYBER	15223	27466	\N	\N	\N
1614861	5483	1993-10-05	VYBER	VYBER	20078	12940	\N	\N	\N
1614862	5483	1994-06-17	VYBER	VYBER	15384	37454	\N	\N	\N
1614863	5483	1994-10-18	VYBER	VYBER	12342	23347	\N	\N	\N
1614864	5483	1994-03-16	VYBER	VYBER	7207	10734	\N	\N	\N
1614865	5483	1994-07-04	VYBER	VYBER	11662	8441	\N	\N	\N
1614866	5483	1994-06-24	VYBER	VYBER	13355	19999	\N	\N	\N
1614867	5483	1994-01-19	VYBER	VYBER	16472	19238	\N	\N	\N
1614868	5483	1994-03-05	VYBER	VYBER	15919	1939	\N	\N	\N
1614869	5483	1994-08-22	VYBER	VYBER	17949	13458	\N	\N	\N
1614870	5483	1994-05-06	VYBER	VYBER	18841	12127	\N	\N	\N
1614871	5483	1994-11-02	VYBER	VYBER	19956	7772	\N	\N	\N
1614872	5483	1996-02-15	VYBER	VYBER	19282	16494	\N	\N	\N
1614873	5483	1996-01-05	VYBER	VYBER	20712	27963	\N	\N	\N
1614874	5483	1997-04-02	VYBER	VYBER	18765	48360	\N	\N	\N
1614875	5483	1997-11-02	VYBER	VYBER	6141	51230	\N	\N	\N
1614876	5483	1997-12-15	VYBER	VYBER	18464	42929	\N	\N	\N
1614877	5483	1997-11-27	VYBER	VYBER	9366	52566	\N	\N	\N
1614878	5483	1997-01-31	VYBER	VYBER	8962	32327	\N	\N	\N
1614879	5483	1997-10-13	VYBER	VYBER	14067	57137	\N	\N	\N
1614880	5483	1997-08-01	VYBER	VYBER	12201	44248	\N	\N	\N
1614881	5483	1997-08-28	VYBER	VYBER	13580	44470	\N	\N	\N
1614882	5483	1998-01-14	VYBER	VYBER	18542	35175	\N	\N	\N
1614883	5483	1998-02-05	VYBER	VYBER	13259	9709	\N	\N	\N
1614884	5483	1998-09-07	VYBER	VYBER	20923	7362	\N	\N	\N
1614885	5483	1998-11-24	VYBER	VYBER	23333	14487	\N	\N	\N
1614886	5483	1998-09-22	VYBER	VYBER	9401	10663	\N	\N	\N
1614888	5483	1998-05-18	VYBER	VYBER	24980	25660	\N	\N	\N
1614889	5483	1998-08-29	VYBER	VYBER	17551	28157	\N	\N	\N
1614890	5483	1998-03-28	VYBER	VYBER	13721	40778	\N	\N	\N
1614894	5483	1996-06-25	VYDAJ	VYBER	38100	17716	\N	\N	\N
1614895	5483	1997-06-15	VYDAJ	VYBER	51300	34046	\N	\N	\N
1614896	5483	1998-06-17	VYDAJ	VYBER	34200	19821	\N	\N	\N
1614899	5483	1995-01-30	VYDAJ	VYBER	19500	-9	\N	\N	\N
1614900	5483	1996-01-09	VYDAJ	VYBER	3900	31965	\N	\N	\N
1614901	5483	1997-01-02	VYDAJ	VYBER	18300	54961	\N	\N	\N
1614902	5483	1998-01-14	VYDAJ	VYBER	10500	24675	\N	\N	\N
1614903	5483	1993-12-08	VYDAJ	VYBER	7200	27637	\N	\N	\N
1614904	5483	1994-12-15	VYDAJ	VYBER	5700	43568	\N	\N	\N
1614905	5483	1995-12-27	VYDAJ	VYBER	3900	48496	\N	\N	\N
1614906	5483	1996-12-09	VYDAJ	VYBER	1800	83140	\N	\N	\N
1614907	5483	1997-12-27	VYDAJ	VYBER	6300	36629	\N	\N	\N
1614908	5483	1998-12-10	VYDAJ	VYBER	1800	46408	\N	\N	\N
1614915	5483	1994-01-20	VYDAJ	VYBER	7500	4538	\N	\N	\N
1614916	5483	1994-01-08	VYDAJ	VYBER	5100	19708	\N	\N	\N
1614917	5483	1994-01-04	VYDAJ	VYBER	6600	24808	\N	\N	\N
1614918	5483	1994-01-20	VYDAJ	VYBER	7200	12038	\N	\N	\N
1614919	5483	1994-01-02	VYDAJ	VYBER	8700	31408	\N	\N	\N
1614920	5483	1994-01-23	VYDAJ	VYBER	7800	4838	\N	\N	\N
1614921	5483	1995-01-23	VYDAJ	VYBER	8700	26392	\N	\N	\N
1614922	5483	1995-01-03	VYDAJ	VYBER	2700	35290	\N	\N	\N
1614923	5483	1995-01-11	VYDAJ	VYBER	4200	41992	\N	\N	\N
1614924	5483	1995-01-08	VYDAJ	VYBER	2100	30190	\N	\N	\N
1614925	5483	1995-01-07	VYDAJ	VYBER	3000	32290	\N	\N	\N
1614926	5483	1995-01-28	VYDAJ	VYBER	6900	19492	\N	\N	\N
1614927	5483	1996-01-07	VYDAJ	VYBER	8100	19863	\N	\N	\N
1614928	5483	1996-01-14	VYDAJ	VYBER	5100	27565	\N	\N	\N
1614929	5483	1996-01-12	VYDAJ	VYBER	8400	32665	\N	\N	\N
1614930	5483	1996-01-21	VYDAJ	VYBER	4500	23065	\N	\N	\N
1614931	5483	1996-01-24	VYDAJ	VYBER	4500	18565	\N	\N	\N
1614932	5483	1996-01-29	VYDAJ	VYBER	3900	14665	\N	\N	\N
1614933	5483	1997-01-20	VYDAJ	VYBER	8400	48863	\N	\N	\N
1614934	5483	1997-01-07	VYDAJ	VYBER	5400	46061	\N	\N	\N
1614935	5483	1997-01-27	VYDAJ	VYBER	1500	42563	\N	\N	\N
1614936	5483	1997-01-23	VYDAJ	VYBER	4800	44063	\N	\N	\N
1614937	5483	1997-01-17	VYDAJ	VYBER	4800	57263	\N	\N	\N
1614938	5483	1997-01-28	VYDAJ	VYBER	1500	41063	\N	\N	\N
1614939	5483	1998-01-24	VYDAJ	VYBER	8100	8475	\N	\N	\N
1614941	5483	1998-01-03	VYDAJ	VYBER	1500	37715	\N	\N	\N
1614942	5483	1998-01-15	VYDAJ	VYBER	2700	21975	\N	\N	\N
1614943	5483	1998-01-16	VYDAJ	VYBER	5400	16575	\N	\N	\N
1614944	5483	1998-01-28	VYDAJ	VYBER	3900	4575	\N	\N	\N
1614946	5483	1993-10-13	VYDAJ	VYBER	7800	21142	\N	\N	\N
1614948	5483	1993-09-16	VYDAJ	VYBER	4500	38968	\N	\N	\N
1614949	5483	1994-09-01	VYDAJ	VYBER	9900	3622	\N	\N	\N
1614950	5483	1994-07-14	VYDAJ	VYBER	14700	9743	\N	\N	\N
1614951	5483	1994-09-27	VYDAJ	VYBER	2400	19624	\N	\N	\N
1614952	5483	1994-02-02	VYDAJ	VYBER	6300	-1383	\N	\N	\N
1614953	5483	1995-11-24	VYDAJ	VYBER	7500	39127	\N	\N	\N
1614954	5483	1995-03-30	VYDAJ	VYBER	9600	21945	\N	\N	\N
1614955	5483	1995-09-13	VYDAJ	VYBER	10500	51893	\N	\N	\N
1614956	5483	1995-03-01	VYDAJ	VYBER	8700	13243	\N	\N	\N
1614957	5483	1995-06-19	VYDAJ	VYBER	10200	40302	\N	\N	\N
1614958	5483	1996-03-14	VYDAJ	VYBER	14100	19957	\N	\N	\N
1614959	5483	1996-08-16	VYDAJ	VYBER	8100	35001	\N	\N	\N
1614960	5483	1996-12-30	VYDAJ	VYBER	10200	72940	\N	\N	\N
1614961	5483	1996-07-27	VYDAJ	VYBER	5700	29892	\N	\N	\N
1614962	5483	1997-04-03	VYDAJ	VYBER	2100	46260	\N	\N	\N
1614963	5483	1997-04-16	VYDAJ	VYBER	13500	54362	\N	\N	\N
1614964	5483	1997-02-12	VYDAJ	VYBER	12000	47215	\N	\N	\N
1614965	5483	1997-12-13	VYDAJ	VYBER	6300	61393	\N	\N	\N
1614966	5483	1998-07-26	VYDAJ	VYBER	9900	32111	\N	\N	\N
1614967	5483	1998-08-23	VYDAJ	VYBER	14100	37408	\N	\N	\N
1614968	5483	1998-09-12	VYDAJ	VYBER	3300	20064	\N	\N	\N
1614969	5483	1998-09-23	VYDAJ	VYBER	3900	6763	\N	\N	\N
1614970	5483	1998-04-12	VYDAJ	VYBER	6300	51850	\N	\N	\N
1614971	5483	1998-05-16	VYDAJ	VYBER	11400	50640	\N	\N	\N
1614972	5483	1998-11-16	VYDAJ	VYBER	14400	37820	\N	\N	\N
1614981	5483	1993-08-31	VYDAJ	VYBER	15	42689	SLUZBY	\N	\N
1614982	5483	1993-09-30	VYDAJ	VYBER	15	33018	SLUZBY	\N	\N
1614983	5483	1993-10-31	VYDAJ	VYBER	15	24536	SLUZBY	\N	\N
1614984	5483	1993-11-30	VYDAJ	VYBER	15	34837	SLUZBY	\N	\N
1614985	5483	1993-12-31	VYDAJ	VYBER	15	40108	SLUZBY	\N	\N
1614986	5483	1994-01-31	VYDAJ	VYBER	15	4917	SLUZBY	\N	\N
1614987	5483	1994-02-28	VYDAJ	VYBER	15	17858	SLUZBY	\N	\N
1614988	5483	1994-03-31	VYDAJ	VYBER	15	18688	SLUZBY	\N	\N
1614989	5483	1994-04-30	VYDAJ	VYBER	15	30968	SLUZBY	\N	\N
1614990	5483	1994-05-31	VYDAJ	VYBER	15	28835	SLUZBY	\N	\N
1614991	5483	1994-06-30	VYDAJ	VYBER	15	20103	SLUZBY	\N	\N
1614992	5483	1994-07-31	VYDAJ	VYBER	15	20305	SLUZBY	\N	\N
1614993	5483	1994-08-31	VYDAJ	VYBER	15	13522	SLUZBY	\N	\N
1614994	5483	1994-09-30	VYDAJ	VYBER	15	19687	SLUZBY	\N	\N
1614995	5483	1994-10-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
1614996	5483	1994-11-30	VYDAJ	VYBER	15	25265	SLUZBY	\N	\N
1614997	5483	1994-12-31	VYDAJ	VYBER	15	37990	SLUZBY	\N	\N
1614998	5483	1995-01-31	VYDAJ	VYBER	15	113	SLUZBY	\N	\N
1614999	5483	1995-02-28	VYDAJ	VYBER	15	21943	SLUZBY	\N	\N
1615000	5483	1995-03-31	VYDAJ	VYBER	15	22045	SLUZBY	\N	\N
1615001	5483	1995-04-30	VYDAJ	VYBER	15	36151	SLUZBY	\N	\N
1615002	5483	1995-05-31	VYDAJ	VYBER	15	41299	SLUZBY	\N	\N
1615003	5483	1995-06-30	VYDAJ	VYBER	15	40461	SLUZBY	\N	\N
1615004	5483	1995-07-31	VYDAJ	VYBER	15	42119	SLUZBY	\N	\N
1615005	5483	1995-08-31	VYDAJ	VYBER	15	46391	SLUZBY	\N	\N
1615006	5483	1995-09-30	VYDAJ	VYBER	15	41560	SLUZBY	\N	\N
1615007	5483	1995-10-31	VYDAJ	VYBER	15	43825	SLUZBY	\N	\N
1615008	5483	1995-11-30	VYDAJ	VYBER	15	39293	SLUZBY	\N	\N
1615009	5483	1995-12-31	VYDAJ	VYBER	15	48675	SLUZBY	\N	\N
1615010	5483	1996-01-31	VYDAJ	VYBER	15	14774	SLUZBY	\N	\N
1615011	5483	1996-02-29	VYDAJ	VYBER	15	16555	SLUZBY	\N	\N
1615012	5483	1996-03-31	VYDAJ	VYBER	15	20023	SLUZBY	\N	\N
1615013	5483	1996-04-30	VYDAJ	VYBER	15	38043	SLUZBY	\N	\N
1615014	5483	1996-05-31	VYDAJ	VYBER	15	47313	SLUZBY	\N	\N
1615015	5483	1996-06-30	VYDAJ	VYBER	15	17890	SLUZBY	\N	\N
1615016	5483	1996-07-31	VYDAJ	VYBER	15	29999	SLUZBY	\N	\N
1615017	5483	1996-08-31	VYDAJ	VYBER	15	35136	SLUZBY	\N	\N
1615018	5483	1996-09-30	VYDAJ	VYBER	15	52922	SLUZBY	\N	\N
1615019	5483	1996-10-31	VYDAJ	VYBER	15	63460	SLUZBY	\N	\N
1615020	5483	1996-11-30	VYDAJ	VYBER	15	72537	SLUZBY	\N	\N
1615021	5483	1996-12-31	VYDAJ	VYBER	15	73261	SLUZBY	\N	\N
1615022	5483	1997-01-31	VYDAJ	VYBER	15	32313	SLUZBY	\N	\N
1615023	5483	1997-02-28	VYDAJ	VYBER	15	47382	SLUZBY	\N	\N
1615024	5483	1997-03-31	VYDAJ	VYBER	15	67125	SLUZBY	\N	\N
1615025	5483	1997-04-30	VYDAJ	VYBER	15	54584	SLUZBY	\N	\N
1615026	5483	1997-05-31	VYDAJ	VYBER	15	69843	SLUZBY	\N	\N
1615027	5483	1997-06-30	VYDAJ	VYBER	15	34253	SLUZBY	\N	\N
1615028	5483	1997-07-31	VYDAJ	VYBER	15	56449	SLUZBY	\N	\N
1615029	5483	1997-08-31	VYDAJ	VYBER	15	44676	SLUZBY	\N	\N
1615030	5483	1997-09-30	VYDAJ	VYBER	15	63002	SLUZBY	\N	\N
1615031	5483	1997-10-31	VYDAJ	VYBER	15	57371	SLUZBY	\N	\N
1615032	5483	1997-11-30	VYDAJ	VYBER	15	52790	SLUZBY	\N	\N
1615033	5483	1997-12-31	VYDAJ	VYBER	15	36815	SLUZBY	\N	\N
1615034	5483	1998-01-31	VYDAJ	VYBER	15	22968	SLUZBY	\N	\N
1615035	5483	1998-02-28	VYDAJ	VYBER	15	25797	SLUZBY	\N	\N
1615036	5483	1998-03-31	VYDAJ	VYBER	15	40948	SLUZBY	\N	\N
1615037	5483	1998-04-30	VYDAJ	VYBER	15	52038	SLUZBY	\N	\N
1615038	5483	1998-05-31	VYDAJ	VYBER	15	30018	SLUZBY	\N	\N
1615039	5483	1998-06-30	VYDAJ	VYBER	15	26009	SLUZBY	\N	\N
1615040	5483	1998-07-31	VYDAJ	VYBER	15	35506	SLUZBY	\N	\N
1615041	5483	1998-08-31	VYDAJ	VYBER	15	28285	SLUZBY	\N	\N
1615042	5483	1998-09-30	VYDAJ	VYBER	15	24129	SLUZBY	\N	\N
1615043	5483	1998-10-31	VYDAJ	VYBER	15	36218	SLUZBY	\N	\N
1615044	5483	1998-11-30	VYDAJ	VYBER	15	24205	SLUZBY	\N	\N
1615045	5483	1993-04-27	PRIJEM	VKLAD	4100	21202	\N	\N	\N
1615046	5483	1993-05-27	VYDAJ	VYBER	5600	31616	\N	\N	\N
1615047	5483	1993-06-26	VYDAJ	VYBER	13700	42014	\N	\N	\N
1615048	5483	1993-07-26	VYDAJ	VYBER	17200	40955	\N	\N	\N
1615049	5483	1993-08-25	VYDAJ	VYBER	14600	42531	\N	\N	\N
1615050	5483	1993-09-24	VYDAJ	VYBER	6100	32868	\N	\N	\N
1615051	5483	1993-10-24	PRIJEM	VKLAD	3300	24442	\N	\N	\N
1615052	5483	1993-11-23	VYDAJ	VYBER	5800	34738	\N	\N	\N
1615053	5483	1993-12-23	VYDAJ	VYBER	11700	39940	\N	\N	\N
1615054	5483	1994-01-22	PRIJEM	VKLAD	8100	12638	\N	\N	\N
1615055	5483	1994-02-21	PRIJEM	VKLAD	3200	17819	\N	\N	\N
1615056	5483	1994-03-23	PRIJEM	VKLAD	7900	18634	\N	\N	\N
1615057	5483	1994-04-22	VYDAJ	VYBER	3800	30890	\N	\N	\N
1615058	5483	1994-05-22	PRIJEM	VKLAD	600	28729	\N	\N	\N
1615059	5483	1994-06-21	VYDAJ	VYBER	4100	33354	\N	\N	\N
1615060	5483	1994-07-21	PRIJEM	VKLAD	10500	20243	\N	\N	\N
1615061	5483	1994-08-20	VYDAJ	VYBER	4900	31407	\N	\N	\N
1615062	5483	1994-09-19	PRIJEM	VKLAD	2400	22024	\N	\N	\N
1615063	5483	1994-10-19	PRIJEM	VKLAD	4300	27647	\N	\N	\N
1615064	5483	1994-11-18	PRIJEM	VKLAD	1400	25174	\N	\N	\N
1615065	5483	1994-12-18	VYDAJ	VYBER	5700	37868	\N	\N	\N
1615066	5483	1995-01-17	VYDAJ	VYBER	6900	35092	\N	\N	\N
1615067	5483	1995-02-16	PRIJEM	VKLAD	5800	21915	\N	\N	\N
1615068	5483	1995-03-18	PRIJEM	VKLAD	2300	31545	\N	\N	\N
1615069	5483	1995-04-17	VYDAJ	VYBER	2000	36047	\N	\N	\N
1615070	5483	1995-05-17	VYDAJ	VYBER	11000	41153	\N	\N	\N
1615071	5483	1995-06-16	VYDAJ	VYBER	14800	50502	\N	\N	\N
1615072	5483	1995-07-16	VYDAJ	VYBER	14500	41963	\N	\N	\N
1615073	5483	1995-08-15	VYDAJ	VYBER	11900	46221	\N	\N	\N
1615074	5483	1995-09-14	VYDAJ	VYBER	10500	41393	\N	\N	\N
1615075	5483	1995-10-14	VYDAJ	VYBER	13900	43662	\N	\N	\N
1615076	5483	1995-11-13	VYDAJ	VYBER	13200	46627	\N	\N	\N
1615077	5483	1995-12-13	VYDAJ	VYBER	10900	52396	\N	\N	\N
1615078	5483	1996-01-12	PRIJEM	VKLAD	9100	41065	\N	\N	\N
1615079	5483	1996-02-11	PRIJEM	VKLAD	5000	35776	\N	\N	\N
1615080	5483	1996-03-12	PRIJEM	VKLAD	1500	34057	\N	\N	\N
1615081	5483	1996-04-11	PRIJEM	VKLAD	1900	37925	\N	\N	\N
1615082	5483	1996-05-11	VYDAJ	VYBER	6900	47145	\N	\N	\N
1615083	5483	1996-06-10	VYDAJ	VYBER	15500	55816	\N	\N	\N
1615084	5483	1996-07-10	PRIJEM	VKLAD	1700	35592	\N	\N	\N
1615085	5483	1996-08-09	VYDAJ	VYBER	2900	43101	\N	\N	\N
1615086	5483	1996-09-08	PRIJEM	VKLAD	1600	36736	\N	\N	\N
1615087	5483	1996-10-08	VYDAJ	VYBER	5700	47222	\N	\N	\N
1615088	5483	1996-11-07	VYDAJ	VYBER	7200	56260	\N	\N	\N
1615089	5483	1996-12-07	VYDAJ	VYBER	11600	60937	\N	\N	\N
1615090	5483	1997-01-06	VYDAJ	VYBER	3500	51461	\N	\N	\N
1615091	5483	1997-02-05	PRIJEM	VKLAD	10900	43213	\N	\N	\N
1615092	5483	1997-03-07	PRIJEM	VKLAD	3500	50882	\N	\N	\N
1615093	5483	1997-04-06	PRIJEM	VKLAD	5600	51860	\N	\N	\N
1615094	5483	1997-05-06	VYDAJ	VYBER	1000	53584	\N	\N	\N
1615095	5483	1997-06-05	VYDAJ	VYBER	8500	61343	\N	\N	\N
1615096	5483	1997-07-05	PRIJEM	VKLAD	6000	40253	\N	\N	\N
1615097	5483	1997-08-04	VYDAJ	VYBER	2200	42048	\N	\N	\N
1615098	5483	1997-09-03	PRIJEM	VKLAD	2100	46776	\N	\N	\N
1615099	5483	1997-10-03	VYDAJ	VYBER	7800	55202	\N	\N	\N
1615100	5483	1997-11-02	VYDAJ	VYBER	5300	45930	\N	\N	\N
1615101	5483	1997-12-02	VYDAJ	VYBER	9100	43690	\N	\N	\N
1615102	5483	1998-01-01	PRIJEM	VKLAD	2400	39215	\N	\N	\N
1615103	5483	1998-01-31	PRIJEM	VKLAD	18300	22983	\N	\N	\N
1615104	5483	1998-03-02	PRIJEM	VKLAD	12700	38497	\N	\N	\N
1615105	5483	1998-04-01	PRIJEM	VKLAD	1200	42148	\N	\N	\N
1615106	5483	1998-05-01	VYDAJ	VYBER	6000	46038	\N	\N	\N
1615107	5483	1998-05-31	PRIJEM	VKLAD	4200	30033	\N	\N	\N
1615108	5483	1998-06-30	PRIJEM	VKLAD	6100	25921	\N	\N	\N
1615109	5483	1998-07-30	PRIJEM	VKLAD	3300	35411	\N	\N	\N
1615110	5483	1998-08-29	PRIJEM	VKLAD	8300	45708	\N	\N	\N
1615111	5483	1998-09-28	PRIJEM	VKLAD	17300	24063	\N	\N	\N
1615112	5483	1998-10-28	VYDAJ	VYBER	4000	36131	\N	\N	\N
1615113	5483	1998-11-27	PRIJEM	VKLAD	9600	24087	\N	\N	\N
1621847	5505	1996-04-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1621848	5505	1996-09-06	PRIJEM	VKLAD	33773	66607	\N	\N	\N
1621849	5505	1996-10-12	PRIJEM	VKLAD	17214	87215	\N	\N	\N
1621850	5505	1996-06-18	PRIJEM	VKLAD	10093	21893	\N	\N	\N
1621852	5505	1996-10-22	PRIJEM	VKLAD	10840	98055	\N	\N	\N
1621854	5505	1996-10-04	PRIJEM	VKLAD	25044	70001	\N	\N	\N
1621855	5505	1996-08-09	PRIJEM	VKLAD	19047	37938	\N	\N	\N
1621856	5505	1997-04-21	PRIJEM	VKLAD	10940	104863	\N	\N	\N
1621857	5505	1997-03-02	PRIJEM	VKLAD	30186	39083	\N	\N	\N
1621858	5505	1997-12-18	PRIJEM	VKLAD	11805	74061	\N	\N	\N
1621859	5505	1997-11-11	PRIJEM	VKLAD	34560	86089	\N	\N	\N
1621860	5505	1997-10-12	PRIJEM	VKLAD	20518	66442	\N	\N	\N
1621861	5505	1997-02-05	PRIJEM	VKLAD	17116	15301	\N	\N	\N
1621862	5505	1997-11-26	PRIJEM	VKLAD	35721	82183	\N	\N	\N
1621863	5505	1997-05-16	PRIJEM	VKLAD	38743	72047	\N	\N	\N
1621864	5505	1997-12-25	PRIJEM	VKLAD	48540	120501	\N	\N	\N
1621865	5505	1997-09-11	PRIJEM	VKLAD	47698	70153	\N	\N	\N
1621866	5505	1997-04-05	PRIJEM	VKLAD	26414	91937	\N	\N	\N
1621867	5505	1997-04-19	PRIJEM	VKLAD	49059	133223	\N	\N	\N
1621868	5505	1997-11-12	PRIJEM	VKLAD	43173	129262	\N	\N	\N
1621869	5505	1997-07-24	PRIJEM	VKLAD	15430	26788	\N	\N	\N
1621870	5505	1997-06-07	PRIJEM	VKLAD	15368	60674	\N	\N	\N
1621871	5505	1997-04-02	PRIJEM	VKLAD	33891	65523	\N	\N	\N
1621872	5505	1998-03-16	PRIJEM	VKLAD	45449	44706	\N	\N	\N
1621873	5505	1998-09-21	PRIJEM	VKLAD	47207	100648	\N	\N	\N
1621874	5505	1998-09-27	PRIJEM	VKLAD	31706	132354	\N	\N	\N
1621875	5505	1998-06-01	PRIJEM	VKLAD	37800	101029	\N	\N	\N
1621876	5505	1998-11-26	PRIJEM	VKLAD	30561	90987	\N	\N	\N
1621877	5505	1998-04-24	PRIJEM	VKLAD	14152	40658	\N	\N	\N
1621878	5505	1998-06-22	PRIJEM	VKLAD	12693	46027	\N	\N	\N
1621879	5505	1998-12-09	PRIJEM	VKLAD	33010	90383	\N	\N	\N
1621880	5505	1998-10-30	PRIJEM	VKLAD	44451	112163	\N	\N	\N
1621881	5505	1998-06-06	PRIJEM	VKLAD	22143	106607	\N	\N	\N
1621882	5505	1998-10-02	PRIJEM	VKLAD	21371	127786	\N	\N	\N
1621883	5505	1998-05-26	PRIJEM	VKLAD	36978	124819	\N	\N	\N
1621884	5505	1998-06-03	PRIJEM	VKLAD	42935	143964	\N	\N	\N
1621885	5505	1998-02-03	PRIJEM	VKLAD	33496	62321	\N	\N	\N
1621886	5505	1998-09-08	PRIJEM	VKLAD	33593	76546	\N	\N	\N
1621887	5505	1998-10-10	PRIJEM	VKLAD	12370	82256	\N	\N	\N
1621888	5505	1998-07-31	PRIJEM	VKLAD	5026	43741	\N	\N	\N
1621889	5505	1998-05-20	PRIJEM	VKLAD	39356	87841	\N	\N	\N
1621890	5505	1998-02-02	PRIJEM	VKLAD	14663	28825	\N	\N	\N
1621933	5505	1997-09-15	VYBER	VYBER	8266	61887	\N	\N	\N
1621934	5505	1997-04-07	VYBER	VYBER	7773	84164	\N	\N	\N
1621935	5505	1997-07-20	VYBER	VYBER	18571	11358	\N	\N	\N
1621936	5505	1997-12-26	VYBER	VYBER	11358	50143	\N	\N	\N
1621937	5505	1997-03-19	VYBER	VYBER	7413	31670	\N	\N	\N
1621938	5505	1997-06-06	VYBER	VYBER	3087	45306	\N	\N	\N
1621939	5505	1997-07-16	VYBER	VYBER	3286	18529	\N	\N	\N
1621940	5505	1998-10-11	VYBER	VYBER	9744	72512	\N	\N	\N
1621941	5505	1998-02-01	VYBER	VYBER	9121	14162	\N	\N	\N
1621942	5505	1998-11-12	VYBER	VYBER	20834	70075	\N	\N	\N
1621943	5505	1998-04-20	VYBER	VYBER	17662	26506	\N	\N	\N
1621944	5505	1998-06-06	VYBER	VYBER	12273	94334	\N	\N	\N
1621945	5505	1998-02-27	VYBER	VYBER	22741	15911	\N	\N	\N
1621946	5505	1998-03-24	VYBER	VYBER	15143	33263	\N	\N	\N
1621947	5505	1998-02-08	VYBER	VYBER	7969	54352	\N	\N	\N
1621948	5505	1998-12-05	VYBER	VYBER	22813	57373	\N	\N	\N
1621949	5505	1998-11-13	VYBER	VYBER	8549	60426	\N	\N	\N
1621950	5505	1998-08-27	VYBER	VYBER	9988	42786	\N	\N	\N
1621951	5505	1998-01-29	VYBER	VYBER	6700	28242	\N	\N	\N
1621952	5505	1998-09-17	VYBER	VYBER	3505	53441	\N	\N	\N
1621953	5505	1998-03-03	VYBER	VYBER	16825	-743	\N	\N	\N
1621955	5505	1997-06-16	VYDAJ	VYBER	50400	10274	\N	\N	\N
1621956	5505	1998-06-17	VYDAJ	VYBER	42900	33334	\N	\N	\N
1621957	5505	1996-12-03	VYDAJ	VYBER	2700	43154	\N	\N	\N
1621958	5505	1997-12-24	VYDAJ	VYBER KARTOU	2100	71961	\N	\N	0
1621959	5505	1998-12-12	VYDAJ	VYBER	6900	83483	\N	\N	\N
1621966	5505	1997-01-19	VYDAJ	VYBER	6600	9421	\N	\N	\N
1621967	5505	1997-01-23	VYDAJ	VYBER KARTOU	1800	2621	\N	\N	0
1621968	5505	1997-01-22	VYDAJ	VYBER	5400	12521	\N	\N	\N
1621969	5505	1997-01-23	VYDAJ	VYBER	8100	4421	\N	\N	\N
1621970	5505	1997-01-12	VYDAJ	VYBER	8400	16021	\N	\N	\N
1621971	5505	1997-01-29	VYDAJ	VYBER	4500	-1879	\N	\N	\N
1621972	5505	1998-01-11	VYDAJ	VYBER	4200	36042	\N	\N	\N
1621973	5505	1998-01-08	VYDAJ	VYBER KARTOU	2400	40242	\N	\N	0
1621974	5505	1998-01-03	VYDAJ	VYBER KARTOU	3900	42642	\N	\N	0
1621975	5505	1998-01-29	VYDAJ	VYBER	5100	23142	\N	\N	\N
1621976	5505	1998-01-02	VYDAJ	VYBER KARTOU	3900	46542	\N	\N	0
1621977	5505	1998-01-18	VYDAJ	VYBER	7200	34942	\N	\N	\N
1621981	5505	1997-11-22	VYDAJ	VYBER	6000	46462	\N	\N	\N
1621982	5505	1997-03-22	VYDAJ	VYBER KARTOU	2100	31570	\N	\N	0
1621983	5505	1997-02-27	VYDAJ	VYBER	10800	8901	\N	\N	\N
1621984	5505	1997-01-03	VYDAJ	VYBER	14100	24421	\N	\N	\N
1621985	5505	1997-08-22	VYDAJ	VYBER	5700	22363	\N	\N	\N
1621987	5505	1998-09-14	VYDAJ	VYBER	12000	56946	\N	\N	\N
1621988	5505	1998-02-16	VYDAJ	VYBER	9000	38652	\N	\N	\N
1621989	5505	1998-07-27	VYDAJ	VYBER	9300	38715	\N	\N	\N
1621990	5505	1998-11-27	VYDAJ	VYBER	11100	79887	\N	\N	\N
1621991	5505	1998-06-25	VYDAJ	VYBER	11400	34627	\N	\N	\N
1622002	5505	1996-10-31	VYDAJ	VYBER	15	62312	SLUZBY	\N	\N
1622003	5505	1996-11-30	VYDAJ	VYBER	15	45854	SLUZBY	\N	\N
1622004	5505	1996-12-31	VYDAJ	VYBER	15	38521	SLUZBY	\N	\N
1622005	5505	1997-01-31	VYDAJ	VYBER	15	-1815	SLUZBY	\N	\N
1622006	5505	1997-02-28	VYDAJ	VYBER	15	8910	SLUZBY	\N	\N
1622007	5505	1997-03-31	VYDAJ	VYBER	15	31632	SLUZBY	\N	\N
1622008	5505	1997-04-30	VYDAJ	VYBER	15	33304	SLUZBY	\N	\N
1622009	5505	1997-05-31	VYDAJ	VYBER	15	48393	SLUZBY	\N	\N
1622010	5505	1997-06-30	VYDAJ	VYBER	15	21815	SLUZBY	\N	\N
1622011	5505	1997-07-31	VYDAJ	VYBER	15	26863	SLUZBY	\N	\N
1622012	5505	1997-08-31	VYDAJ	VYBER	15	22455	SLUZBY	\N	\N
1622013	5505	1997-09-30	VYDAJ	VYBER	15	45924	SLUZBY	\N	\N
1622014	5505	1997-10-31	VYDAJ	VYBER	15	51529	SLUZBY	\N	\N
1622015	5505	1997-11-30	VYDAJ	VYBER	15	82456	SLUZBY	\N	\N
1622016	5505	1997-12-31	VYDAJ	VYBER	15	50442	SLUZBY	\N	\N
1622017	5505	1998-01-31	VYDAJ	VYBER	15	23283	SLUZBY	\N	\N
1622018	5505	1998-02-28	VYDAJ	VYBER	15	16082	SLUZBY	\N	\N
1622019	5505	1998-03-31	VYDAJ	VYBER	15	33368	SLUZBY	\N	\N
1622020	5505	1998-04-30	VYDAJ	VYBER	15	40785	SLUZBY	\N	\N
1622021	5505	1998-05-31	VYDAJ	VYBER	15	63229	SLUZBY	\N	\N
1622022	5505	1998-06-30	VYDAJ	VYBER	15	34915	SLUZBY	\N	\N
1622023	5505	1998-07-31	VYDAJ	VYBER	15	43874	SLUZBY	\N	\N
1622024	5505	1998-08-31	VYDAJ	VYBER	15	42953	SLUZBY	\N	\N
1622025	5505	1998-09-30	VYDAJ	VYBER	15	106415	SLUZBY	\N	\N
1622026	5505	1998-10-31	VYDAJ	VYBER	15	90909	SLUZBY	\N	\N
1622027	5505	1998-11-30	VYDAJ	VYBER	15	80186	SLUZBY	\N	\N
1622028	5505	1996-05-26	PRIJEM	VKLAD	10800	11800	\N	\N	\N
1622029	5505	1996-06-25	VYDAJ	VYBER	2300	19593	\N	\N	\N
1622030	5505	1996-07-25	VYDAJ	VYBER	800	18809	\N	\N	\N
1622031	5505	1996-08-24	VYDAJ	VYBER	5200	32738	\N	\N	\N
1622032	5505	1996-09-23	VYDAJ	VYBER	21800	44807	\N	\N	\N
1622033	5505	1996-10-23	VYDAJ	VYBER	36000	62055	\N	\N	\N
1622034	5505	1996-11-22	VYDAJ	VYBER	16700	45612	\N	\N	\N
1622035	5505	1996-12-22	VYDAJ	VYBER	4800	38354	\N	\N	\N
1622036	5505	1997-01-21	PRIJEM	VKLAD	8500	17921	\N	\N	\N
1622037	5505	1997-02-20	PRIJEM	VKLAD	4400	19701	\N	\N	\N
1622038	5505	1997-03-22	PRIJEM	VKLAD	2000	33670	\N	\N	\N
1622039	5505	1997-04-19	VYDAJ	VYBER	39300	93923	\N	\N	\N
1622040	5505	1997-04-21	VYDAJ	VYBER	61000	43863	\N	\N	\N
1622041	5505	1997-04-21	VYDAJ	VYBER	10800	33063	\N	\N	\N
1622042	5505	1997-05-21	VYDAJ	VYBER	23800	48247	\N	\N	\N
1622043	5505	1997-06-20	PRIJEM	VKLAD	11400	21674	\N	\N	\N
1622044	5505	1997-07-20	PRIJEM	VKLAD	11400	29929	\N	\N	\N
1622045	5505	1997-08-19	PRIJEM	VKLAD	1200	28063	\N	\N	\N
1622046	5505	1997-09-18	VYDAJ	VYBER	16100	45787	\N	\N	\N
1622047	5505	1997-10-18	VYDAJ	VYBER	15100	51342	\N	\N	\N
1622048	5505	1997-11-12	VYDAJ	VYBER	61700	67562	\N	\N	\N
1622049	5505	1997-11-17	VYDAJ	VYBER	15100	52462	\N	\N	\N
1622050	5505	1997-12-17	VYDAJ	VYBER	20200	62256	\N	\N	\N
1622051	5505	1997-12-25	VYDAJ	VYBER	59000	61501	\N	\N	\N
1622052	5505	1998-01-16	PRIJEM	VKLAD	6100	42142	\N	\N	\N
1622053	5505	1998-02-15	VYDAJ	VYBER	6700	47652	\N	\N	\N
1622054	5505	1998-03-17	PRIJEM	VKLAD	3700	48406	\N	\N	\N
1622055	5505	1998-04-16	PRIJEM	VKLAD	10800	44168	\N	\N	\N
1622056	5505	1998-05-16	PRIJEM	VKLAD	7700	48485	\N	\N	\N
1622057	5505	1998-05-26	VYDAJ	VYBER	61800	63019	\N	\N	\N
1622058	5505	1998-06-03	VYDAJ	VYBER	59500	84464	\N	\N	\N
1622059	5505	1998-06-15	VYDAJ	VYBER	18100	76234	\N	\N	\N
1622060	5505	1998-07-15	PRIJEM	VKLAD	13100	48015	\N	\N	\N
1622061	5505	1998-08-14	PRIJEM	VKLAD	8900	52774	\N	\N	\N
1622062	5505	1998-09-13	VYDAJ	VYBER	7600	68946	\N	\N	\N
1622063	5505	1998-09-27	VYDAJ	VYBER	26200	106154	\N	\N	\N
1622064	5505	1998-10-02	VYDAJ	VYBER	57900	69886	\N	\N	\N
1622065	5505	1998-10-13	VYDAJ	VYBER	4800	67712	\N	\N	\N
1622066	5505	1998-10-30	VYDAJ	VYBER	21600	90563	\N	\N	\N
1622067	5505	1998-11-12	VYDAJ	VYBER KARTOU	1100	68975	\N	\N	0
1633527	5541	1995-03-24	PRIJEM	VKLAD	300	300	\N	\N	\N
1633531	5541	1995-04-13	PRIJEM	VKLAD	7143	7443	\N	\N	\N
1633532	5541	1995-05-13	PRIJEM	VKLAD	7143	25807	\N	\N	\N
1633533	5541	1995-06-13	PRIJEM	VKLAD	10714	34805	\N	\N	\N
1633534	5541	1995-07-13	PRIJEM	VKLAD	7143	39058	\N	\N	\N
1633535	5541	1995-08-13	PRIJEM	VKLAD	7143	39434	\N	\N	\N
1633536	5541	1995-09-13	PRIJEM	VKLAD	7143	37237	\N	\N	\N
1633537	5541	1995-10-13	PRIJEM	VKLAD	7143	29841	\N	\N	\N
1633538	5541	1995-11-13	PRIJEM	VKLAD	7143	32128	\N	\N	\N
1633539	5541	1995-12-13	PRIJEM	VKLAD	10714	30980	\N	\N	\N
1633540	5541	1996-01-13	PRIJEM	VKLAD	7143	22858	\N	\N	\N
1633541	5541	1996-02-13	PRIJEM	VKLAD	7143	20913	\N	\N	\N
1633542	5541	1996-03-13	PRIJEM	VKLAD	7143	26063	\N	\N	\N
1633543	5541	1996-04-13	PRIJEM	VKLAD	7143	30033	\N	\N	\N
1633544	5541	1996-05-13	PRIJEM	VKLAD	7143	36823	\N	\N	\N
1633545	5541	1996-06-13	PRIJEM	VKLAD	10714	43206	\N	\N	\N
1633546	5541	1996-07-13	PRIJEM	VKLAD	7143	17200	\N	\N	\N
1633547	5541	1996-08-13	PRIJEM	VKLAD	7143	19055	\N	\N	\N
1633548	5541	1996-09-13	PRIJEM	VKLAD	7143	27428	\N	\N	\N
1633549	5541	1996-10-13	PRIJEM	VKLAD	7143	30823	\N	\N	\N
1633550	5541	1996-11-13	PRIJEM	VKLAD	7143	33431	\N	\N	\N
1633551	5541	1996-12-13	PRIJEM	VKLAD	10714	35511	\N	\N	\N
1633552	5541	1997-01-13	PRIJEM	VKLAD	7143	37034	\N	\N	\N
1633553	5541	1997-02-13	PRIJEM	VKLAD	7143	37251	\N	\N	\N
1633554	5541	1997-03-13	PRIJEM	VKLAD	7143	40074	\N	\N	\N
1633555	5541	1997-04-13	PRIJEM	VKLAD	7143	42917	\N	\N	\N
1633556	5541	1997-05-13	PRIJEM	VKLAD	7143	41867	\N	\N	\N
1633557	5541	1997-06-13	PRIJEM	VKLAD	10714	46693	\N	\N	\N
1633558	5541	1997-07-13	PRIJEM	VKLAD	7143	38318	\N	\N	\N
1633559	5541	1997-08-13	PRIJEM	VKLAD	7143	45841	\N	\N	\N
1633560	5541	1997-09-13	PRIJEM	VKLAD	7143	49105	\N	\N	\N
1633561	5541	1997-10-13	PRIJEM	VKLAD	7143	52688	\N	\N	\N
1633562	5541	1997-11-13	PRIJEM	VKLAD	7143	50083	\N	\N	\N
1633563	5541	1997-12-13	PRIJEM	VKLAD	10714	49344	\N	\N	\N
1633564	5541	1998-01-13	PRIJEM	VKLAD	7143	41027	\N	\N	\N
1633565	5541	1998-02-13	PRIJEM	VKLAD	7143	31772	\N	\N	\N
1633566	5541	1998-03-13	PRIJEM	VKLAD	7143	39685	\N	\N	\N
1633567	5541	1998-04-13	PRIJEM	VKLAD	7143	44024	\N	\N	\N
1633568	5541	1998-05-13	PRIJEM	VKLAD	7143	50383	\N	\N	\N
1633569	5541	1998-06-13	PRIJEM	VKLAD	10714	50631	\N	\N	\N
1633570	5541	1998-07-13	PRIJEM	VKLAD	7143	42954	\N	\N	\N
1633571	5541	1998-08-13	PRIJEM	VKLAD	7143	49597	\N	\N	\N
1633572	5541	1998-09-13	PRIJEM	VKLAD	7143	55578	\N	\N	\N
1633573	5541	1998-10-13	PRIJEM	VKLAD	7143	60085	\N	\N	\N
1633574	5541	1998-11-13	PRIJEM	VKLAD	7143	62611	\N	\N	\N
1633575	5541	1998-12-13	PRIJEM	VKLAD	10714	64921	\N	\N	\N
1633584	5541	1995-09-09	VYDAJ	PREVOD NA UCET	3114	30694	SIPO	UV	59490781
1633585	5541	1995-10-09	VYDAJ	PREVOD NA UCET	3114	25898	SIPO	UV	59490781
1633586	5541	1995-11-09	VYDAJ	PREVOD NA UCET	3114	25485	SIPO	UV	59490781
1633587	5541	1995-12-09	VYDAJ	PREVOD NA UCET	3114	22766	SIPO	UV	59490781
1633588	5541	1996-01-09	VYDAJ	PREVOD NA UCET	3114	15715	SIPO	UV	59490781
1633589	5541	1996-02-09	VYDAJ	PREVOD NA UCET	3114	13770	SIPO	UV	59490781
1633590	5541	1996-03-09	VYDAJ	PREVOD NA UCET	3114	18920	SIPO	UV	59490781
1633591	5541	1996-04-09	VYDAJ	PREVOD NA UCET	3114	22890	SIPO	UV	59490781
1633592	5541	1996-05-09	VYDAJ	PREVOD NA UCET	3114	29680	SIPO	UV	59490781
1633593	5541	1996-06-09	VYDAJ	PREVOD NA UCET	3114	32492	SIPO	UV	59490781
1633594	5541	1996-07-09	VYDAJ	PREVOD NA UCET	3114	10057	SIPO	UV	59490781
1633595	5541	1996-08-09	VYDAJ	PREVOD NA UCET	3114	12592	SIPO	UV	59490781
1633596	5541	1996-09-09	VYDAJ	PREVOD NA UCET	3114	20965	SIPO	UV	59490781
1633597	5541	1996-10-09	VYDAJ	PREVOD NA UCET	3114	24360	SIPO	UV	59490781
1633598	5541	1996-11-09	VYDAJ	PREVOD NA UCET	3114	26968	SIPO	UV	59490781
1633599	5541	1996-12-09	VYDAJ	PREVOD NA UCET	3114	25477	SIPO	UV	59490781
1633600	5541	1997-01-09	VYDAJ	PREVOD NA UCET	3114	25371	SIPO	UV	59490781
1633601	5541	1997-02-09	VYDAJ	PREVOD NA UCET	3114	21988	SIPO	UV	59490781
1633602	5541	1997-03-09	VYDAJ	PREVOD NA UCET	3114	33611	SIPO	UV	59490781
1633603	5541	1997-04-09	VYDAJ	PREVOD NA UCET	3114	35054	SIPO	UV	59490781
1633604	5541	1997-05-09	VYDAJ	PREVOD NA UCET	3114	36304	SIPO	UV	59490781
1633605	5541	1997-06-09	VYDAJ	PREVOD NA UCET	3114	38259	SIPO	UV	59490781
1633606	5541	1997-07-09	VYDAJ	PREVOD NA UCET	3114	20255	SIPO	UV	59490781
1633607	5541	1997-08-09	VYDAJ	PREVOD NA UCET	3114	34678	SIPO	UV	59490781
1633608	5541	1997-09-09	VYDAJ	PREVOD NA UCET	3114	42642	SIPO	UV	59490781
1633609	5541	1997-10-09	VYDAJ	PREVOD NA UCET	3114	46225	SIPO	UV	59490781
1633610	5541	1997-11-09	VYDAJ	PREVOD NA UCET	3114	43620	SIPO	UV	59490781
1633611	5541	1997-12-09	VYDAJ	PREVOD NA UCET	3114	39310	SIPO	UV	59490781
1633612	5541	1998-01-09	VYDAJ	PREVOD NA UCET	3114	36764	SIPO	UV	59490781
1633613	5541	1998-02-09	VYDAJ	PREVOD NA UCET	3114	25309	SIPO	UV	59490781
1633614	5541	1998-03-09	VYDAJ	PREVOD NA UCET	3114	33222	SIPO	UV	59490781
1633615	5541	1998-04-09	VYDAJ	PREVOD NA UCET	3114	37561	SIPO	UV	59490781
1633616	5541	1998-05-09	VYDAJ	PREVOD NA UCET	3114	43920	SIPO	UV	59490781
1633617	5541	1998-06-09	VYDAJ	PREVOD NA UCET	3114	40597	SIPO	UV	59490781
1633618	5541	1998-07-09	VYDAJ	PREVOD NA UCET	3114	36491	SIPO	UV	59490781
1633619	5541	1998-08-09	VYDAJ	PREVOD NA UCET	3114	43134	SIPO	UV	59490781
1633620	5541	1998-09-09	VYDAJ	PREVOD NA UCET	3114	49115	SIPO	UV	59490781
1633621	5541	1998-10-09	VYDAJ	PREVOD NA UCET	3114	53622	SIPO	UV	59490781
1633622	5541	1998-11-09	VYDAJ	PREVOD NA UCET	3114	58748	SIPO	UV	59490781
1633623	5541	1998-12-09	VYDAJ	PREVOD NA UCET	3114	54887	SIPO	UV	59490781
1633632	5541	1995-09-07	VYDAJ	PREVOD NA UCET	648	33808	 	QR	48447573
1633633	5541	1995-10-07	VYDAJ	PREVOD NA UCET	648	29012	 	QR	48447573
1633634	5541	1995-11-07	VYDAJ	PREVOD NA UCET	648	28599	 	QR	48447573
1633635	5541	1995-12-07	VYDAJ	PREVOD NA UCET	648	25880	 	QR	48447573
1633636	5541	1996-01-07	VYDAJ	PREVOD NA UCET	648	20729	 	QR	48447573
1633637	5541	1996-02-07	VYDAJ	PREVOD NA UCET	648	16884	 	QR	48447573
1633638	5541	1996-03-07	VYDAJ	PREVOD NA UCET	648	22034	 	QR	48447573
1633639	5541	1996-04-07	VYDAJ	PREVOD NA UCET	648	26004	 	QR	48447573
1633640	5541	1996-05-07	VYDAJ	PREVOD NA UCET	648	32794	 	QR	48447573
1633641	5541	1996-06-07	VYDAJ	PREVOD NA UCET	648	35606	 	QR	48447573
1633642	5541	1996-07-07	VYDAJ	PREVOD NA UCET	648	13171	 	QR	48447573
1633643	5541	1996-08-07	VYDAJ	PREVOD NA UCET	648	16206	 	QR	48447573
1633644	5541	1996-09-07	VYDAJ	PREVOD NA UCET	648	24079	 	QR	48447573
1633645	5541	1996-10-07	VYDAJ	PREVOD NA UCET	648	27474	 	QR	48447573
1633646	5541	1996-11-07	VYDAJ	PREVOD NA UCET	648	30082	 	QR	48447573
1633647	5541	1996-12-07	VYDAJ	PREVOD NA UCET	648	28591	 	QR	48447573
1633648	5541	1997-01-07	VYDAJ	PREVOD NA UCET	648	28485	 	QR	48447573
1633649	5541	1997-02-07	VYDAJ	PREVOD NA UCET	648	25102	 	QR	48447573
1633650	5541	1997-03-07	VYDAJ	PREVOD NA UCET	648	36725	 	QR	48447573
1633651	5541	1997-04-07	VYDAJ	PREVOD NA UCET	648	38168	 	QR	48447573
1633652	5541	1997-05-07	VYDAJ	PREVOD NA UCET	648	39418	 	QR	48447573
1633653	5541	1997-06-07	VYDAJ	PREVOD NA UCET	648	41373	 	QR	48447573
1633654	5541	1997-07-07	VYDAJ	PREVOD NA UCET	648	23369	 	QR	48447573
1633655	5541	1997-08-07	VYDAJ	PREVOD NA UCET	648	37792	 	QR	48447573
1633656	5541	1997-09-07	VYDAJ	PREVOD NA UCET	648	45356	 	QR	48447573
1633657	5541	1997-10-07	VYDAJ	PREVOD NA UCET	648	48639	 	QR	48447573
1633658	5541	1997-11-07	VYDAJ	PREVOD NA UCET	648	49534	 	QR	48447573
1633659	5541	1997-12-07	VYDAJ	PREVOD NA UCET	648	49624	 	QR	48447573
1633660	5541	1998-01-07	VYDAJ	PREVOD NA UCET	648	39878	 	QR	48447573
1633661	5541	1998-02-07	VYDAJ	PREVOD NA UCET	648	32523	 	QR	48447573
1633662	5541	1998-03-07	VYDAJ	PREVOD NA UCET	648	31236	 	QR	48447573
1633663	5541	1998-04-07	VYDAJ	PREVOD NA UCET	648	40675	 	QR	48447573
1633664	5541	1998-05-07	VYDAJ	PREVOD NA UCET	648	47034	 	QR	48447573
1633665	5541	1998-06-07	VYDAJ	PREVOD NA UCET	648	43711	 	QR	48447573
1633666	5541	1998-07-07	VYDAJ	PREVOD NA UCET	648	39605	 	QR	48447573
1633667	5541	1998-08-07	VYDAJ	PREVOD NA UCET	648	46248	 	QR	48447573
1633668	5541	1998-09-07	VYDAJ	PREVOD NA UCET	648	52229	 	QR	48447573
1633669	5541	1998-10-07	VYDAJ	PREVOD NA UCET	648	56736	 	QR	48447573
1633670	5541	1998-11-07	VYDAJ	PREVOD NA UCET	648	61862	 	QR	48447573
1633671	5541	1998-12-07	VYDAJ	PREVOD NA UCET	648	58001	 	QR	48447573
1633680	5541	1995-09-12	VYDAJ	VYBER	600	30094	\N	\N	0
1633681	5541	1995-09-30	VYDAJ	VYBER	600	29675	\N	\N	0
1633682	5541	1995-11-12	VYDAJ	VYBER	500	24985	\N	\N	0
1633683	5541	1995-12-14	VYDAJ	VYBER	500	30480	\N	\N	0
1633684	5541	1996-01-14	VYDAJ	VYBER	400	20658	\N	\N	0
1633685	5541	1996-02-03	VYDAJ	VYBER	500	17532	\N	\N	0
1633686	5541	1996-03-03	VYDAJ	VYBER	600	22682	\N	\N	0
1633687	5541	1996-04-04	VYDAJ	VYBER	700	26652	\N	\N	0
1633688	5541	1996-05-14	VYDAJ	VYBER	400	36423	\N	\N	0
1633689	5541	1996-05-30	VYDAJ	VYBER	700	36123	\N	\N	0
1633690	5541	1996-07-04	VYDAJ	VYBER	600	13819	\N	\N	0
1633691	5541	1996-08-12	VYDAJ	PREVOD NA UCET	680	11912	UVER	WX	66726541
1633692	5541	1996-09-12	VYDAJ	PREVOD NA UCET	680	20285	UVER	WX	66726541
1633693	5541	1996-10-12	VYDAJ	PREVOD NA UCET	680	23680	UVER	WX	66726541
1633694	5541	1996-11-12	VYDAJ	PREVOD NA UCET	680	26288	UVER	WX	66726541
1633695	5541	1996-12-12	VYDAJ	PREVOD NA UCET	680	24797	UVER	WX	66726541
1633696	5541	1997-01-12	VYDAJ	PREVOD NA UCET	680	29891	UVER	WX	66726541
1633697	5541	1997-02-12	VYDAJ	PREVOD NA UCET	680	30108	UVER	WX	66726541
1633698	5541	1997-03-12	VYDAJ	PREVOD NA UCET	680	32931	UVER	WX	66726541
1633699	5541	1997-04-12	VYDAJ	PREVOD NA UCET	680	35774	UVER	WX	66726541
1633700	5541	1997-05-12	VYDAJ	PREVOD NA UCET	680	35624	UVER	WX	66726541
1633701	5541	1997-06-12	VYDAJ	PREVOD NA UCET	680	35979	UVER	WX	66726541
1633702	5541	1997-07-12	VYDAJ	PREVOD NA UCET	680	31175	UVER	WX	66726541
1633703	5541	1997-08-12	VYDAJ	PREVOD NA UCET	680	38698	UVER	WX	66726541
1633704	5541	1997-09-12	VYDAJ	PREVOD NA UCET	680	41962	UVER	WX	66726541
1633705	5541	1997-10-12	VYDAJ	PREVOD NA UCET	680	45545	UVER	WX	66726541
1633706	5541	1997-11-12	VYDAJ	PREVOD NA UCET	680	42940	UVER	WX	66726541
1633707	5541	1997-12-12	VYDAJ	PREVOD NA UCET	680	38630	UVER	WX	66726541
1633708	5541	1998-01-12	VYDAJ	PREVOD NA UCET	680	33884	UVER	WX	66726541
1633709	5541	1998-02-12	VYDAJ	PREVOD NA UCET	680	24629	UVER	WX	66726541
1633710	5541	1998-03-12	VYDAJ	PREVOD NA UCET	680	32542	UVER	WX	66726541
1633711	5541	1998-04-12	VYDAJ	PREVOD NA UCET	680	36881	UVER	WX	66726541
1633712	5541	1998-05-12	VYDAJ	PREVOD NA UCET	680	43240	UVER	WX	66726541
1633713	5541	1998-06-12	VYDAJ	PREVOD NA UCET	680	39917	UVER	WX	66726541
1633714	5541	1998-07-12	VYDAJ	PREVOD NA UCET	680	35811	UVER	WX	66726541
1633715	5541	1998-08-12	VYDAJ	PREVOD NA UCET	680	42454	UVER	WX	66726541
1633716	5541	1998-09-12	VYDAJ	PREVOD NA UCET	680	48435	UVER	WX	66726541
1633717	5541	1998-10-12	VYDAJ	PREVOD NA UCET	680	52942	UVER	WX	66726541
1633718	5541	1998-11-12	VYDAJ	PREVOD NA UCET	680	55468	UVER	WX	66726541
1633719	5541	1998-12-12	VYDAJ	PREVOD NA UCET	680	54207	UVER	WX	66726541
1633721	5541	1996-06-23	VYDAJ	VYBER	20700	15106	\N	\N	\N
1633722	5541	1997-06-17	VYDAJ	VYBER	22800	23893	\N	\N	\N
1633723	5541	1998-06-16	VYDAJ	VYBER	27700	22931	\N	\N	\N
1633725	5541	1996-01-29	VYDAJ	VYBER	4600	17958	\N	\N	\N
1633726	5541	1997-01-04	VYDAJ	VYBER	5300	30133	\N	\N	\N
1633727	5541	1998-01-13	VYDAJ	VYBER	4200	36827	\N	\N	\N
1633728	5541	1995-12-12	VYDAJ	VYBER	2500	20266	\N	\N	\N
1633729	5541	1996-12-28	VYDAJ	VYBER	900	35311	\N	\N	\N
1633730	5541	1997-12-25	VYDAJ	VYBER	2900	46444	\N	\N	\N
1633731	5541	1998-12-03	VYDAJ	VYBER	900	58649	\N	\N	\N
1633738	5541	1996-01-16	VYDAJ	VYBER	1500	19158	\N	\N	\N
1633739	5541	1996-01-23	VYDAJ	VYBER	1600	22558	\N	\N	\N
1633740	5541	1996-01-07	VYDAJ	VYBER	1900	18829	\N	\N	\N
1633741	5541	1996-01-14	VYDAJ	VYBER	1800	21058	\N	\N	\N
1633742	5541	1996-01-01	VYDAJ	VYBER	2800	22877	\N	\N	\N
1633743	5541	1996-01-04	VYDAJ	VYBER	1500	21377	\N	\N	\N
1633744	5541	1997-01-28	VYDAJ	VYBER	1200	28934	\N	\N	\N
1633745	5541	1997-01-13	VYDAJ	VYBER	500	33934	\N	\N	\N
1633746	5541	1997-01-06	VYDAJ	VYBER	1000	29133	\N	\N	\N
1633747	5541	1997-01-20	VYDAJ	VYBER	1700	32234	\N	\N	\N
1633748	5541	1997-01-13	VYDAJ	VYBER	2600	34434	\N	\N	\N
1633749	5541	1997-01-24	VYDAJ	VYBER	2100	30134	\N	\N	\N
1633750	5541	1998-01-30	VYDAJ	VYBER	2300	31227	\N	\N	\N
1633751	5541	1998-01-07	VYDAJ	VYBER	1100	40526	\N	\N	\N
1633752	5541	1998-01-18	VYDAJ	VYBER	600	36227	\N	\N	\N
1633753	5541	1998-01-30	VYDAJ	VYBER	800	30427	\N	\N	\N
1633754	5541	1998-01-29	VYDAJ	VYBER	2700	33527	\N	\N	\N
1633755	5541	1998-01-10	VYDAJ	VYBER	2200	34564	\N	\N	\N
1633757	5541	1995-10-12	VYDAJ	VYBER	3200	22698	\N	\N	\N
1633759	5541	1995-11-14	VYDAJ	VYBER	4700	27428	\N	\N	\N
1633760	5541	1995-12-25	VYDAJ	VYBER	2800	25580	\N	\N	\N
1633763	5541	1996-08-07	VYDAJ	VYBER	500	15706	\N	\N	\N
1633764	5541	1996-06-23	VYDAJ	VYBER	800	14306	\N	\N	\N
1633765	5541	1996-11-16	VYDAJ	VYBER	3800	29131	\N	\N	\N
1633766	5541	1996-07-17	VYDAJ	VYBER	4100	18800	\N	\N	\N
1633767	5541	1996-08-04	VYDAJ	VYBER	2000	16854	\N	\N	\N
1633768	5541	1996-02-17	VYDAJ	VYBER	1700	23213	\N	\N	\N
1633769	5541	1997-10-26	VYDAJ	VYBER	2700	49988	\N	\N	\N
1633770	5541	1997-04-18	VYDAJ	VYBER	3000	39917	\N	\N	\N
1633771	5541	1997-02-02	VYDAJ	VYBER	3300	25750	\N	\N	\N
1633772	5541	1998-04-25	VYDAJ	VYBER	900	43124	\N	\N	\N
1633773	5541	1998-05-27	VYDAJ	VYBER	4900	42783	\N	\N	\N
1633774	5541	1998-11-13	VYDAJ	VYBER	3700	58911	\N	\N	\N
1633775	5541	1998-02-09	VYDAJ	VYBER	4100	28423	\N	\N	\N
1633776	5541	1998-05-19	VYDAJ	VYBER	2700	47683	\N	\N	\N
1633777	5541	1998-11-10	VYDAJ	VYBER	2600	56148	\N	\N	\N
1633778	5541	1998-03-08	VYDAJ	VYBER	2800	36336	\N	\N	\N
1633787	5541	1995-08-31	VYDAJ	VYBER	15	34456	SLUZBY	\N	\N
1633788	5541	1995-09-30	VYDAJ	VYBER	15	29660	SLUZBY	\N	\N
1633789	5541	1995-10-31	VYDAJ	VYBER	15	29247	SLUZBY	\N	\N
1633790	5541	1995-11-30	VYDAJ	VYBER	15	26528	SLUZBY	\N	\N
1633791	5541	1995-12-31	VYDAJ	VYBER	15	25677	SLUZBY	\N	\N
1633792	5541	1996-01-31	VYDAJ	VYBER	15	18032	SLUZBY	\N	\N
1633793	5541	1996-02-29	VYDAJ	VYBER	15	23282	SLUZBY	\N	\N
1633794	5541	1996-03-31	VYDAJ	VYBER	15	27352	SLUZBY	\N	\N
1633795	5541	1996-04-30	VYDAJ	VYBER	15	33442	SLUZBY	\N	\N
1633796	5541	1996-05-31	VYDAJ	VYBER	15	36254	SLUZBY	\N	\N
1633797	5541	1996-06-30	VYDAJ	VYBER	15	14419	SLUZBY	\N	\N
1633798	5541	1996-07-31	VYDAJ	VYBER	15	18854	SLUZBY	\N	\N
1633799	5541	1996-08-31	VYDAJ	VYBER	15	24727	SLUZBY	\N	\N
1633800	5541	1996-09-30	VYDAJ	VYBER	15	28122	SLUZBY	\N	\N
1633801	5541	1996-10-31	VYDAJ	VYBER	15	30730	SLUZBY	\N	\N
1633802	5541	1996-11-30	VYDAJ	VYBER	15	29239	SLUZBY	\N	\N
1633803	5541	1996-12-31	VYDAJ	VYBER	15	35433	SLUZBY	\N	\N
1633804	5541	1997-01-31	VYDAJ	VYBER	15	29050	SLUZBY	\N	\N
1633805	5541	1997-02-28	VYDAJ	VYBER	15	37373	SLUZBY	\N	\N
1633806	5541	1997-03-31	VYDAJ	VYBER	15	38816	SLUZBY	\N	\N
1633807	5541	1997-04-30	VYDAJ	VYBER	15	40066	SLUZBY	\N	\N
1633808	5541	1997-05-31	VYDAJ	VYBER	15	42021	SLUZBY	\N	\N
1633809	5541	1997-06-30	VYDAJ	VYBER	15	24017	SLUZBY	\N	\N
1633810	5541	1997-07-31	VYDAJ	VYBER	15	38440	SLUZBY	\N	\N
1633811	5541	1997-08-31	VYDAJ	VYBER	15	46004	SLUZBY	\N	\N
1633812	5541	1997-09-30	VYDAJ	VYBER	15	49287	SLUZBY	\N	\N
1633813	5541	1997-10-31	VYDAJ	VYBER	15	50182	SLUZBY	\N	\N
1633814	5541	1997-11-30	VYDAJ	VYBER	15	50272	SLUZBY	\N	\N
1633815	5541	1997-12-31	VYDAJ	VYBER	15	46626	SLUZBY	\N	\N
1633816	5541	1998-01-31	VYDAJ	VYBER	15	30571	SLUZBY	\N	\N
1633817	5541	1998-02-28	VYDAJ	VYBER	15	31884	SLUZBY	\N	\N
1633818	5541	1998-03-31	VYDAJ	VYBER	15	39823	SLUZBY	\N	\N
1633819	5541	1998-04-30	VYDAJ	VYBER	15	43282	SLUZBY	\N	\N
1633820	5541	1998-05-31	VYDAJ	VYBER	15	42959	SLUZBY	\N	\N
1633821	5541	1998-06-30	VYDAJ	VYBER	15	23053	SLUZBY	\N	\N
1633822	5541	1998-07-31	VYDAJ	VYBER	15	43096	SLUZBY	\N	\N
1633823	5541	1998-08-31	VYDAJ	VYBER	15	49777	SLUZBY	\N	\N
1633824	5541	1998-09-30	VYDAJ	VYBER	15	55784	SLUZBY	\N	\N
1633825	5541	1998-10-31	VYDAJ	VYBER	15	60310	SLUZBY	\N	\N
1633826	5541	1998-11-30	VYDAJ	VYBER	15	59149	SLUZBY	\N	\N
1633827	5541	1995-04-23	PRIJEM	VKLAD	11200	18643	\N	\N	\N
1633828	5541	1995-05-23	VYDAJ	VYBER	1800	24007	\N	\N	\N
1633829	5541	1995-06-22	VYDAJ	VYBER	3000	31805	\N	\N	\N
1633830	5541	1995-07-22	VYDAJ	VYBER	6900	32158	\N	\N	\N
1633831	5541	1995-08-21	VYDAJ	VYBER	5100	34334	\N	\N	\N
1633832	5541	1995-09-20	VYDAJ	VYBER	7100	30137	\N	\N	\N
1633833	5541	1995-10-20	VYDAJ	VYBER	700	29141	\N	\N	\N
1633834	5541	1995-11-19	VYDAJ	VYBER	1000	26428	\N	\N	\N
1633835	5541	1995-12-19	VYDAJ	VYBER	2100	28380	\N	\N	\N
1633836	5541	1996-01-18	PRIJEM	VKLAD	5000	24158	\N	\N	\N
1633837	5541	1996-02-17	PRIJEM	VKLAD	4000	24913	\N	\N	\N
1633838	5541	1996-03-18	PRIJEM	VKLAD	1200	27263	\N	\N	\N
1633839	5541	1996-04-17	PRIJEM	VKLAD	3300	33333	\N	\N	\N
1633840	5541	1996-05-17	PRIJEM	VKLAD	400	36823	\N	\N	\N
1633841	5541	1996-06-16	VYDAJ	VYBER	7400	35806	\N	\N	\N
1633842	5541	1996-07-16	PRIJEM	VKLAD	5700	22900	\N	\N	\N
1633843	5541	1996-08-15	PRIJEM	VKLAD	5600	24655	\N	\N	\N
1633844	5541	1996-09-14	PRIJEM	VKLAD	600	28028	\N	\N	\N
1633845	5541	1996-10-14	VYDAJ	VYBER	200	30623	\N	\N	\N
1633846	5541	1996-11-13	VYDAJ	VYBER	500	32931	\N	\N	\N
1633847	5541	1996-12-13	PRIJEM	VKLAD	700	36211	\N	\N	\N
1633848	5541	1997-01-12	PRIJEM	VKLAD	5200	30571	\N	\N	\N
1633849	5541	1997-02-11	PRIJEM	VKLAD	8800	30788	\N	\N	\N
1633850	5541	1997-03-13	VYDAJ	VYBER	1400	38674	\N	\N	\N
1633851	5541	1997-04-12	PRIJEM	VKLAD	1400	36454	\N	\N	\N
1633852	5541	1997-05-12	VYDAJ	VYBER	900	34724	\N	\N	\N
1633853	5541	1997-06-11	VYDAJ	VYBER	1600	36659	\N	\N	\N
1633854	5541	1997-07-11	PRIJEM	VKLAD	11600	31855	\N	\N	\N
1633855	5541	1997-08-10	PRIJEM	VKLAD	4700	39378	\N	\N	\N
1633856	5541	1997-09-09	PRIJEM	VKLAD	400	45756	\N	\N	\N
1633857	5541	1997-10-09	PRIJEM	VKLAD	700	49339	\N	\N	\N
1633858	5541	1997-11-08	VYDAJ	VYBER	2800	46734	\N	\N	\N
1633859	5541	1997-12-08	VYDAJ	VYBER	7200	42424	\N	\N	\N
1633860	5541	1998-01-07	VYDAJ	VYBER	5000	41626	\N	\N	\N
1633861	5541	1998-02-06	PRIJEM	VKLAD	2600	33171	\N	\N	\N
1633862	5541	1998-03-08	PRIJEM	VKLAD	7900	39136	\N	\N	\N
1633863	5541	1998-04-07	PRIJEM	VKLAD	1500	41323	\N	\N	\N
1633864	5541	1998-05-07	PRIJEM	VKLAD	4400	47682	\N	\N	\N
1633865	5541	1998-06-06	PRIJEM	VKLAD	1400	44359	\N	\N	\N
1633866	5541	1998-07-06	PRIJEM	VKLAD	17200	40253	\N	\N	\N
1633867	5541	1998-08-05	PRIJEM	VKLAD	3800	46896	\N	\N	\N
1633868	5541	1998-09-04	PRIJEM	VKLAD	3100	52877	\N	\N	\N
1633869	5541	1998-10-04	PRIJEM	VKLAD	1600	57384	\N	\N	\N
1633870	5541	1998-11-03	PRIJEM	VKLAD	2200	62510	\N	\N	\N
1633871	5541	1998-12-03	PRIJEM	VKLAD	400	59549	\N	\N	\N
1635347	5546	1993-05-28	PRIJEM	VKLAD	600	600	\N	\N	\N
1635353	5546	1993-06-11	PRIJEM	PREVOD Z UCTU	38054	38654	\N	KL	72397291
1635354	5546	1993-07-11	PRIJEM	PREVOD Z UCTU	25369	58942	\N	KL	72397291
1635355	5546	1993-08-11	PRIJEM	PREVOD Z UCTU	25369	64654	\N	KL	72397291
1635356	5546	1993-09-11	PRIJEM	PREVOD Z UCTU	25369	67889	\N	KL	72397291
1635357	5546	1993-10-11	PRIJEM	PREVOD Z UCTU	25369	71137	\N	KL	72397291
1635358	5546	1993-11-11	PRIJEM	PREVOD Z UCTU	25369	71984	\N	KL	72397291
1635359	5546	1993-12-11	PRIJEM	PREVOD Z UCTU	38054	69158	\N	KL	72397291
1635360	5546	1994-01-11	PRIJEM	PREVOD Z UCTU	25369	59544	\N	KL	72397291
1635361	5546	1994-02-11	PRIJEM	PREVOD Z UCTU	25369	30207	\N	KL	72397291
1635362	5546	1994-03-11	PRIJEM	PREVOD Z UCTU	25369	50608	\N	KL	72397291
1635363	5546	1994-04-11	PRIJEM	PREVOD Z UCTU	25369	46691	\N	KL	72397291
1635364	5546	1994-05-11	PRIJEM	PREVOD Z UCTU	25369	63307	\N	KL	72397291
1635365	5546	1994-06-11	PRIJEM	PREVOD Z UCTU	38054	65759	\N	KL	72397291
1635366	5546	1994-07-11	PRIJEM	PREVOD Z UCTU	25369	37862	\N	KL	72397291
1635367	5546	1994-08-11	PRIJEM	PREVOD Z UCTU	25369	36847	\N	KL	72397291
1635368	5546	1994-09-11	PRIJEM	PREVOD Z UCTU	25369	35345	\N	KL	72397291
1635369	5546	1994-10-11	PRIJEM	PREVOD Z UCTU	25369	25510	\N	KL	72397291
1635370	5546	1994-11-11	PRIJEM	PREVOD Z UCTU	25369	35423	\N	KL	72397291
1635371	5546	1994-12-11	PRIJEM	PREVOD Z UCTU	38054	52224	\N	KL	72397291
1635372	5546	1995-01-11	PRIJEM	PREVOD Z UCTU	25369	42945	\N	KL	72397291
1635373	5546	1995-02-11	PRIJEM	PREVOD Z UCTU	25369	24804	\N	KL	72397291
1635374	5546	1995-03-11	PRIJEM	PREVOD Z UCTU	25369	34444	\N	KL	72397291
1635375	5546	1995-04-11	PRIJEM	PREVOD Z UCTU	25369	56274	\N	KL	72397291
1635376	5546	1995-05-11	PRIJEM	PREVOD Z UCTU	25369	65273	\N	KL	72397291
1635377	5546	1995-06-11	PRIJEM	PREVOD Z UCTU	38054	79080	\N	KL	72397291
1635378	5546	1995-07-11	PRIJEM	PREVOD Z UCTU	25369	60811	\N	KL	72397291
1635379	5546	1995-08-11	PRIJEM	PREVOD Z UCTU	25369	64019	\N	KL	72397291
1635380	5546	1995-09-11	PRIJEM	PREVOD Z UCTU	25369	36902	\N	KL	72397291
1635381	5546	1995-10-11	PRIJEM	PREVOD Z UCTU	25369	53367	\N	KL	72397291
1635382	5546	1995-11-11	PRIJEM	PREVOD Z UCTU	25369	36688	\N	KL	72397291
1635383	5546	1995-12-11	PRIJEM	PREVOD Z UCTU	38054	44614	\N	KL	72397291
1635384	5546	1996-01-11	PRIJEM	PREVOD Z UCTU	25369	25718	\N	KL	72397291
1635385	5546	1996-02-11	PRIJEM	PREVOD Z UCTU	25369	28741	\N	KL	72397291
1635386	5546	1996-03-11	PRIJEM	PREVOD Z UCTU	25369	43372	\N	KL	72397291
1635387	5546	1996-04-11	PRIJEM	PREVOD Z UCTU	25369	54946	\N	KL	72397291
1635388	5546	1996-05-11	PRIJEM	PREVOD Z UCTU	25369	62642	\N	KL	72397291
1635389	5546	1996-06-11	PRIJEM	PREVOD Z UCTU	38054	77047	\N	KL	72397291
1635390	5546	1996-07-11	PRIJEM	PREVOD Z UCTU	25369	60390	\N	KL	72397291
1635391	5546	1996-08-11	PRIJEM	PREVOD Z UCTU	25369	36325	\N	KL	72397291
1635392	5546	1996-09-11	PRIJEM	PREVOD Z UCTU	25369	49002	\N	KL	72397291
1635393	5546	1996-10-11	PRIJEM	PREVOD Z UCTU	25369	48106	\N	KL	72397291
1635394	5546	1996-11-11	PRIJEM	PREVOD Z UCTU	25369	47593	\N	KL	72397291
1635395	5546	1996-12-11	PRIJEM	PREVOD Z UCTU	38054	66504	\N	KL	72397291
1635396	5546	1997-01-11	PRIJEM	PREVOD Z UCTU	25369	44001	\N	KL	72397291
1635397	5546	1997-02-11	PRIJEM	PREVOD Z UCTU	25369	35617	\N	KL	72397291
1635398	5546	1997-03-11	PRIJEM	PREVOD Z UCTU	25369	50613	\N	KL	72397291
1635399	5546	1997-04-11	PRIJEM	PREVOD Z UCTU	25369	50844	\N	KL	72397291
1635400	5546	1997-05-11	PRIJEM	PREVOD Z UCTU	25369	50466	\N	KL	72397291
1635401	5546	1997-06-11	PRIJEM	PREVOD Z UCTU	38054	73097	\N	KL	72397291
1635402	5546	1997-07-11	PRIJEM	PREVOD Z UCTU	25369	50562	\N	KL	72397291
1635403	5546	1997-08-11	PRIJEM	PREVOD Z UCTU	25369	44643	\N	KL	72397291
1635404	5546	1997-09-11	PRIJEM	PREVOD Z UCTU	25369	51121	\N	KL	72397291
1635405	5546	1997-10-11	PRIJEM	PREVOD Z UCTU	25369	50496	\N	KL	72397291
1635406	5546	1997-11-11	PRIJEM	PREVOD Z UCTU	25369	28860	\N	KL	72397291
1635407	5546	1997-12-11	PRIJEM	PREVOD Z UCTU	38054	61098	\N	KL	72397291
1635408	5546	1998-01-11	PRIJEM	PREVOD Z UCTU	25369	46809	\N	KL	72397291
1635409	5546	1998-02-11	PRIJEM	PREVOD Z UCTU	25369	38750	\N	KL	72397291
1635410	5546	1998-03-11	PRIJEM	PREVOD Z UCTU	25369	55611	\N	KL	72397291
1635411	5546	1998-04-11	PRIJEM	PREVOD Z UCTU	25369	56872	\N	KL	72397291
1635412	5546	1998-05-11	PRIJEM	PREVOD Z UCTU	25369	65743	\N	KL	72397291
1635413	5546	1998-06-11	PRIJEM	PREVOD Z UCTU	38054	71441	\N	KL	72397291
1635414	5546	1998-07-11	PRIJEM	PREVOD Z UCTU	25369	59802	\N	KL	72397291
1635415	5546	1998-08-11	PRIJEM	PREVOD Z UCTU	25369	51543	\N	KL	72397291
1635416	5546	1998-09-11	PRIJEM	PREVOD Z UCTU	25369	56330	\N	KL	72397291
1635417	5546	1998-10-11	PRIJEM	PREVOD Z UCTU	25369	63912	\N	KL	72397291
1635418	5546	1998-11-11	PRIJEM	PREVOD Z UCTU	25369	71225	\N	KL	72397291
1635419	5546	1998-12-11	PRIJEM	PREVOD Z UCTU	38054	80352	\N	KL	72397291
1635498	5546	1993-12-10	VYBER	VYBER	17762	31104	\N	\N	\N
1635499	5546	1993-10-22	VYBER	VYBER	7605	63532	\N	\N	\N
1635502	5546	1994-07-24	VYBER	VYBER	2832	26130	\N	\N	\N
1635503	5546	1994-10-26	VYBER	VYBER	14670	10040	\N	\N	\N
1635504	5546	1994-06-03	VYBER	VYBER	13561	27705	\N	\N	\N
1635505	5546	1994-12-19	VYBER	VYBER	12232	32792	\N	\N	\N
1635506	5546	1994-06-24	VYBER	VYBER	20649	12352	\N	\N	\N
1635507	5546	1994-11-26	VYBER	VYBER	15301	14122	\N	\N	\N
1635508	5546	1994-09-04	VYBER	VYBER	7763	9976	\N	\N	\N
1635509	5546	1994-09-25	VYBER	VYBER	17753	12292	\N	\N	\N
1635510	5546	1994-08-23	VYBER	VYBER	14655	17692	\N	\N	\N
1635511	5546	1994-09-26	VYBER	VYBER	12227	65	\N	\N	\N
1635512	5546	1994-06-15	VYBER	VYBER	23958	41801	\N	\N	\N
1635513	5546	1994-03-26	VYBER	VYBER	6299	30509	\N	\N	\N
1635514	5546	1995-11-04	VYBER	VYBER	17058	11319	\N	\N	\N
1635516	5546	1995-02-25	VYBER	VYBER	13943	9061	\N	\N	\N
1635517	5546	1995-08-20	VYBER	VYBER	10128	21276	\N	\N	\N
1635519	5546	1995-12-22	VYBER	VYBER	11256	20958	\N	\N	\N
1635520	5546	1995-09-03	VYBER	VYBER	9858	11533	\N	\N	\N
1635521	5546	1995-08-17	VYBER	VYBER	9415	31404	\N	\N	\N
1635522	5546	1996-10-21	VYBER	VYBER	18525	29581	\N	\N	\N
1635523	5546	1996-08-04	VYBER	VYBER	15307	23299	\N	\N	\N
1635524	5546	1996-03-10	VYBER	VYBER	7394	18003	\N	\N	\N
1635525	5546	1996-08-06	VYBER	VYBER	22143	1156	\N	\N	\N
1635527	5546	1997-03-17	VYBER	VYBER	16978	33635	\N	\N	\N
1635528	5546	1997-09-27	VYBER	VYBER	9754	41367	\N	\N	\N
1635529	5546	1997-07-26	VYBER	VYBER	15488	24631	\N	\N	\N
1635530	5546	1997-09-04	VYBER	VYBER	2416	35152	\N	\N	\N
1635531	5546	1997-05-10	VYBER	VYBER	4128	25097	\N	\N	\N
1635532	5546	1997-02-06	VYBER	VYBER	24305	10248	\N	\N	\N
1635533	5546	1997-12-15	VYBER	VYBER	7303	48095	\N	\N	\N
1635534	5546	1997-07-21	VYBER	VYBER	10443	40119	\N	\N	\N
1635535	5546	1997-05-03	VYBER	VYBER	6586	38725	\N	\N	\N
1635536	5546	1997-11-06	VYBER	VYBER	16355	3491	\N	\N	\N
1635537	5546	1998-07-14	VYBER	VYBER	24990	34812	\N	\N	\N
1635538	5546	1998-06-16	VYBER	VYBER	17511	53930	\N	\N	\N
1635539	5546	1998-08-30	VYBER	VYBER	6475	45068	\N	\N	\N
1635540	5546	1998-03-22	VYBER	VYBER	11085	44526	\N	\N	\N
1635541	5546	1998-12-26	VYBER	VYBER	10463	60889	\N	\N	\N
1635544	5546	1995-06-26	VYDAJ	VYBER	14400	35280	\N	\N	\N
1635546	5546	1997-06-20	VYDAJ	VYBER	39600	33497	\N	\N	\N
1635549	5546	1994-01-12	VYDAJ	VYBER	29700	29844	\N	\N	\N
1635550	5546	1995-01-26	VYDAJ	VYBER	17100	-655	\N	\N	\N
1635551	5546	1996-01-04	VYDAJ	VYBER	20700	349	\N	\N	\N
1635552	5546	1997-01-10	VYDAJ	VYBER	12900	18632	\N	\N	\N
1635553	5546	1998-01-21	VYDAJ	VYBER	12900	13809	\N	\N	\N
1635554	5546	1993-12-29	VYDAJ	VYBER	8700	36658	\N	\N	\N
1635555	5546	1994-12-17	VYDAJ	VYBER	7200	45024	\N	\N	\N
1635556	5546	1995-12-21	VYDAJ	VYBER	2100	32214	\N	\N	\N
1635557	5546	1996-12-06	VYDAJ	VYBER	4500	43250	\N	\N	\N
1635558	5546	1997-12-11	VYDAJ	VYBER	5700	55398	\N	\N	\N
1635559	5546	1998-12-05	VYDAJ	VYBER	4800	42298	\N	\N	\N
1635566	5546	1994-01-04	VYDAJ	VYBER	2700	34175	\N	\N	\N
1635567	5546	1994-01-19	VYDAJ	VYBER	5100	24744	\N	\N	\N
1635568	5546	1994-01-24	VYDAJ	VYBER	6000	13144	\N	\N	\N
1635569	5546	1994-01-30	VYDAJ	VYBER	2400	4744	\N	\N	\N
1635570	5546	1994-01-20	VYDAJ	VYBER	7200	17544	\N	\N	\N
1635571	5546	1994-01-27	VYDAJ	VYBER	6000	7144	\N	\N	\N
1635572	5546	1995-01-21	VYDAJ	VYBER	4800	29345	\N	\N	\N
1635573	5546	1995-01-22	VYDAJ	VYBER	5700	23645	\N	\N	\N
1635574	5546	1995-01-10	VYDAJ	VYBER	7500	17576	\N	\N	\N
1635576	5546	1995-01-25	VYDAJ	VYBER	7200	16445	\N	\N	\N
1635577	5546	1995-01-09	VYDAJ	VYBER	3000	25076	\N	\N	\N
1635580	5546	1996-01-15	VYDAJ	VYBER	4200	18318	\N	\N	\N
1635581	5546	1996-01-30	VYDAJ	VYBER	6600	3318	\N	\N	\N
1635582	5546	1996-01-16	VYDAJ	VYBER	1500	16818	\N	\N	\N
1635583	5546	1996-01-23	VYDAJ	VYBER	6900	9918	\N	\N	\N
1635584	5546	1997-01-04	VYDAJ	VYBER	5100	61632	\N	\N	\N
1635585	5546	1997-01-18	VYDAJ	VYBER	1500	42501	\N	\N	\N
1635586	5546	1997-01-21	VYDAJ	VYBER	1500	36501	\N	\N	\N
1635587	5546	1997-01-20	VYDAJ	VYBER	4500	38001	\N	\N	\N
1635588	5546	1997-01-04	VYDAJ	VYBER	5700	55932	\N	\N	\N
1635589	5546	1997-01-22	VYDAJ	VYBER	7200	29301	\N	\N	\N
1635590	5546	1998-01-12	VYDAJ	VYBER	8700	29109	\N	\N	\N
1635591	5546	1998-01-14	VYDAJ	VYBER	2400	26709	\N	\N	\N
1635592	5546	1998-01-30	VYDAJ	VYBER	6000	3909	\N	\N	\N
1635593	5546	1998-01-12	VYDAJ	VYBER	7500	37809	\N	\N	\N
1635594	5546	1998-01-23	VYDAJ	VYBER	3900	9909	\N	\N	\N
1635595	5546	1998-01-12	VYDAJ	VYBER	1500	45309	\N	\N	\N
1635600	5546	1994-07-28	VYDAJ	VYBER	14700	11430	\N	\N	\N
1635601	5546	1994-03-19	VYDAJ	VYBER	3300	47308	\N	\N	\N
1635602	5546	1994-04-07	VYDAJ	VYBER	9300	21322	\N	\N	\N
1635603	5546	1994-05-19	VYDAJ	VYBER	5700	54007	\N	\N	\N
1635605	5546	1994-05-18	VYDAJ	VYBER	3600	59707	\N	\N	\N
1635606	5546	1994-02-20	VYDAJ	VYBER	7200	23007	\N	\N	\N
1635607	5546	1995-11-11	VYDAJ	VYBER	10200	15388	\N	\N	\N
1635609	5546	1995-12-03	VYDAJ	VYBER	11100	6560	\N	\N	\N
1635610	5546	1995-11-11	VYDAJ	VYBER	11100	25588	\N	\N	\N
1635611	5546	1995-10-24	VYDAJ	VYBER	6300	28267	\N	\N	\N
1635613	5546	1996-06-04	VYDAJ	VYBER	2700	38993	\N	\N	\N
1635614	5546	1996-02-15	VYDAJ	VYBER	1800	25341	\N	\N	\N
1635615	5546	1996-08-24	VYDAJ	VYBER	5700	30625	\N	\N	\N
1635616	5546	1996-09-14	VYDAJ	VYBER	11700	37302	\N	\N	\N
1635617	5546	1996-07-02	VYDAJ	VYBER	12600	35021	\N	\N	\N
1635618	5546	1997-04-25	VYDAJ	VYBER	5700	45144	\N	\N	\N
1635619	5546	1997-11-01	VYDAJ	VYBER	12600	26946	\N	\N	\N
1635620	5546	1997-10-11	VYDAJ	VYBER	11100	39396	\N	\N	\N
1635621	5546	1997-08-14	VYDAJ	VYBER	7200	37443	\N	\N	\N
1635622	5546	1997-12-01	VYDAJ	VYBER	4800	24144	\N	\N	\N
1635623	5546	1997-12-19	VYDAJ	VYBER	7200	40895	\N	\N	\N
1635624	5546	1998-12-13	VYDAJ	VYBER	9000	71352	\N	\N	\N
1635625	5546	1998-06-04	VYDAJ	VYBER	7500	33387	\N	\N	\N
1635626	5546	1998-01-04	VYDAJ	VYBER	7200	21440	\N	\N	\N
1635637	5546	1993-10-31	VYDAJ	VYBER	15	46615	SLUZBY	\N	\N
1635638	5546	1993-11-30	VYDAJ	VYBER	15	48866	SLUZBY	\N	\N
1635639	5546	1993-12-31	VYDAJ	VYBER	15	36875	SLUZBY	\N	\N
1635640	5546	1994-01-31	VYDAJ	VYBER	15	4838	SLUZBY	\N	\N
1635641	5546	1994-02-28	VYDAJ	VYBER	15	25239	SLUZBY	\N	\N
1635642	5546	1994-03-31	VYDAJ	VYBER	15	30622	SLUZBY	\N	\N
1635643	5546	1994-04-30	VYDAJ	VYBER	15	37938	SLUZBY	\N	\N
1635644	5546	1994-05-31	VYDAJ	VYBER	15	41266	SLUZBY	\N	\N
1635645	5546	1994-06-30	VYDAJ	VYBER	15	12493	SLUZBY	\N	\N
1635646	5546	1994-07-31	VYDAJ	VYBER	15	11478	SLUZBY	\N	\N
1635647	5546	1994-08-31	VYDAJ	VYBER	15	17739	SLUZBY	\N	\N
1635648	5546	1994-09-30	VYDAJ	VYBER	15	141	SLUZBY	\N	\N
1635649	5546	1994-10-31	VYDAJ	VYBER	15	10054	SLUZBY	\N	\N
1635650	5546	1994-11-30	VYDAJ	VYBER	15	14170	SLUZBY	\N	\N
1635651	5546	1994-12-31	VYDAJ	VYBER	15	28076	SLUZBY	\N	\N
1635652	5546	1995-01-31	VYDAJ	VYBER	15	-565	SLUZBY	\N	\N
1635653	5546	1995-02-28	VYDAJ	VYBER	15	9075	SLUZBY	\N	\N
1635654	5546	1995-03-31	VYDAJ	VYBER	15	30905	SLUZBY	\N	\N
1635655	5546	1995-04-30	VYDAJ	VYBER	15	39904	SLUZBY	\N	\N
1635656	5546	1995-05-31	VYDAJ	VYBER	15	41026	SLUZBY	\N	\N
1635657	5546	1995-06-30	VYDAJ	VYBER	15	35442	SLUZBY	\N	\N
1635658	5546	1995-07-31	VYDAJ	VYBER	15	38650	SLUZBY	\N	\N
1635659	5546	1995-08-31	VYDAJ	VYBER	15	21391	SLUZBY	\N	\N
1635660	5546	1995-09-30	VYDAJ	VYBER	15	27998	SLUZBY	\N	\N
1635661	5546	1995-10-31	VYDAJ	VYBER	15	28377	SLUZBY	\N	\N
1635662	5546	1995-11-30	VYDAJ	VYBER	15	17660	SLUZBY	\N	\N
1635663	5546	1995-12-31	VYDAJ	VYBER	15	21049	SLUZBY	\N	\N
1635664	5546	1996-01-31	VYDAJ	VYBER	15	3372	SLUZBY	\N	\N
1635665	5546	1996-02-29	VYDAJ	VYBER	15	25397	SLUZBY	\N	\N
1635666	5546	1996-03-31	VYDAJ	VYBER	15	29577	SLUZBY	\N	\N
1635667	5546	1996-04-30	VYDAJ	VYBER	15	37273	SLUZBY	\N	\N
1635668	5546	1996-05-31	VYDAJ	VYBER	15	41693	SLUZBY	\N	\N
1635669	5546	1996-06-30	VYDAJ	VYBER	15	47621	SLUZBY	\N	\N
1635670	5546	1996-07-31	VYDAJ	VYBER	15	38606	SLUZBY	\N	\N
1635671	5546	1996-08-31	VYDAJ	VYBER	15	30733	SLUZBY	\N	\N
1635672	5546	1996-09-30	VYDAJ	VYBER	15	37437	SLUZBY	\N	\N
1635673	5546	1996-10-31	VYDAJ	VYBER	15	29724	SLUZBY	\N	\N
1635674	5546	1996-11-30	VYDAJ	VYBER	15	47750	SLUZBY	\N	\N
1635675	5546	1996-12-31	VYDAJ	VYBER	15	66732	SLUZBY	\N	\N
1635676	5546	1997-01-31	VYDAJ	VYBER	15	29453	SLUZBY	\N	\N
1635677	5546	1997-02-28	VYDAJ	VYBER	15	35744	SLUZBY	\N	\N
1635678	5546	1997-03-31	VYDAJ	VYBER	15	33775	SLUZBY	\N	\N
1635679	5546	1997-04-30	VYDAJ	VYBER	15	45311	SLUZBY	\N	\N
1635680	5546	1997-05-31	VYDAJ	VYBER	15	50643	SLUZBY	\N	\N
1635681	5546	1997-06-30	VYDAJ	VYBER	15	33693	SLUZBY	\N	\N
1635682	5546	1997-07-31	VYDAJ	VYBER	15	24774	SLUZBY	\N	\N
1635683	5546	1997-08-31	VYDAJ	VYBER	15	37568	SLUZBY	\N	\N
1635684	5546	1997-09-30	VYDAJ	VYBER	15	41527	SLUZBY	\N	\N
1635685	5546	1997-10-31	VYDAJ	VYBER	15	39546	SLUZBY	\N	\N
1635686	5546	1997-11-30	VYDAJ	VYBER	15	28944	SLUZBY	\N	\N
1635687	5546	1997-12-31	VYDAJ	VYBER	15	41040	SLUZBY	\N	\N
1635688	5546	1998-01-31	VYDAJ	VYBER	15	3981	SLUZBY	\N	\N
1635689	5546	1998-02-28	VYDAJ	VYBER	15	38842	SLUZBY	\N	\N
1635690	5546	1998-03-31	VYDAJ	VYBER	15	44703	SLUZBY	\N	\N
1635691	5546	1998-04-30	VYDAJ	VYBER	15	57074	SLUZBY	\N	\N
1635692	5546	1998-05-31	VYDAJ	VYBER	15	65987	SLUZBY	\N	\N
1635693	5546	1998-06-30	VYDAJ	VYBER	15	54133	SLUZBY	\N	\N
1635694	5546	1998-07-31	VYDAJ	VYBER	15	26174	SLUZBY	\N	\N
1635695	5546	1998-08-31	VYDAJ	VYBER	15	30961	SLUZBY	\N	\N
1635696	5546	1998-09-30	VYDAJ	VYBER	15	38543	SLUZBY	\N	\N
1635697	5546	1998-10-31	VYDAJ	VYBER	15	45856	SLUZBY	\N	\N
1635698	5546	1998-11-30	VYDAJ	VYBER	15	47098	SLUZBY	\N	\N
1635699	5546	1993-06-27	VYDAJ	VYBER	5100	33554	\N	\N	\N
1635700	5546	1993-07-27	VYDAJ	VYBER	19800	39142	\N	\N	\N
1635701	5546	1993-08-26	VYDAJ	VYBER	22300	42354	\N	\N	\N
1635702	5546	1993-09-25	VYDAJ	VYBER	22300	45589	\N	\N	\N
1635703	5546	1993-10-25	VYDAJ	VYBER	17100	46432	\N	\N	\N
1635704	5546	1993-11-24	VYDAJ	VYBER	23300	48684	\N	\N	\N
1635705	5546	1993-12-24	VYDAJ	VYBER	23800	45358	\N	\N	\N
1635706	5546	1994-01-23	PRIJEM	VKLAD	1600	19144	\N	\N	\N
1635707	5546	1994-02-22	PRIJEM	VKLAD	2200	25207	\N	\N	\N
1635708	5546	1994-03-24	VYDAJ	VYBER	10500	36808	\N	\N	\N
1635709	5546	1994-04-23	VYDAJ	VYBER	8900	37791	\N	\N	\N
1635710	5546	1994-05-23	VYDAJ	VYBER	12900	41107	\N	\N	\N
1635711	5546	1994-06-22	VYDAJ	VYBER	8800	33001	\N	\N	\N
1635712	5546	1994-07-22	VYDAJ	VYBER	8900	28962	\N	\N	\N
1635713	5546	1994-08-21	VYDAJ	VYBER	4500	32347	\N	\N	\N
1635714	5546	1994-09-20	VYDAJ	VYBER	5300	30045	\N	\N	\N
1635715	5546	1994-10-20	VYDAJ	VYBER	800	24710	\N	\N	\N
1635716	5546	1994-11-19	VYDAJ	VYBER	6000	29423	\N	\N	\N
1635717	5546	1994-12-19	VYDAJ	VYBER	4800	27992	\N	\N	\N
1635718	5546	1995-01-18	VYDAJ	VYBER	8800	34145	\N	\N	\N
1635719	5546	1995-02-17	VYDAJ	VYBER	1800	23004	\N	\N	\N
1635720	5546	1995-03-19	VYDAJ	VYBER	3600	30844	\N	\N	\N
1635721	5546	1995-04-18	VYDAJ	VYBER	16500	39774	\N	\N	\N
1635722	5546	1995-05-18	VYDAJ	VYBER	24400	40873	\N	\N	\N
1635723	5546	1995-06-17	VYDAJ	VYBER	29400	49680	\N	\N	\N
1635724	5546	1995-07-17	VYDAJ	VYBER	22300	38511	\N	\N	\N
1635725	5546	1995-08-16	VYDAJ	VYBER	23200	40819	\N	\N	\N
1635726	5546	1995-09-15	VYDAJ	VYBER	9000	27902	\N	\N	\N
1635727	5546	1995-10-15	VYDAJ	VYBER	18800	34567	\N	\N	\N
1635728	5546	1995-11-14	PRIJEM	VKLAD	2200	17588	\N	\N	\N
1635729	5546	1995-12-14	VYDAJ	VYBER	10300	34314	\N	\N	\N
1635730	5546	1996-01-13	VYDAJ	VYBER	3200	22518	\N	\N	\N
1635731	5546	1996-02-12	VYDAJ	VYBER	1600	27141	\N	\N	\N
1635732	5546	1996-03-13	VYDAJ	VYBER	13900	29472	\N	\N	\N
1635733	5546	1996-04-12	VYDAJ	VYBER	17800	37146	\N	\N	\N
1635734	5546	1996-05-12	VYDAJ	VYBER	21100	41542	\N	\N	\N
1635735	5546	1996-06-11	VYDAJ	VYBER	29600	47447	\N	\N	\N
1635736	5546	1996-07-11	VYDAJ	VYBER	22000	38390	\N	\N	\N
1635737	5546	1996-08-10	PRIJEM	VKLAD	9800	10956	\N	\N	\N
1635738	5546	1996-09-09	VYDAJ	VYBER	7100	23633	\N	\N	\N
1635739	5546	1996-10-09	VYDAJ	VYBER	14700	22737	\N	\N	\N
1635740	5546	1996-11-08	VYDAJ	VYBER	7500	22224	\N	\N	\N
1635741	5546	1996-12-08	VYDAJ	VYBER	14800	28450	\N	\N	\N
1635742	5546	1997-01-07	VYDAJ	VYBER	24400	31532	\N	\N	\N
1635743	5546	1997-02-06	PRIJEM	VKLAD	5100	34553	\N	\N	\N
1635744	5546	1997-03-08	VYDAJ	VYBER	10500	25244	\N	\N	\N
1635745	5546	1997-04-07	VYDAJ	VYBER	8300	25475	\N	\N	\N
1635746	5546	1997-05-07	VYDAJ	VYBER	9500	29225	\N	\N	\N
1635747	5546	1997-06-06	VYDAJ	VYBER	15600	35043	\N	\N	\N
1635748	5546	1997-07-06	VYDAJ	VYBER	8500	25193	\N	\N	\N
1635749	5546	1997-08-05	VYDAJ	VYBER	5500	19274	\N	\N	\N
1635750	5546	1997-09-04	VYDAJ	VYBER	9400	25752	\N	\N	\N
1635751	5546	1997-10-04	VYDAJ	VYBER	16400	25127	\N	\N	\N
1635752	5546	1997-11-03	VYDAJ	VYBER	7100	19846	\N	\N	\N
1635753	5546	1997-12-03	VYDAJ	VYBER	1100	23044	\N	\N	\N
1635754	5546	1998-01-02	VYDAJ	VYBER	12400	28640	\N	\N	\N
1635755	5546	1998-02-01	PRIJEM	VKLAD	9400	13381	\N	\N	\N
1635756	5546	1998-03-03	VYDAJ	VYBER	8600	30242	\N	\N	\N
1635757	5546	1998-04-02	VYDAJ	VYBER	13200	31503	\N	\N	\N
1635758	5546	1998-05-02	VYDAJ	VYBER	16700	40374	\N	\N	\N
1635759	5546	1998-06-01	VYDAJ	VYBER	25100	40887	\N	\N	\N
1635760	5546	1998-07-01	VYDAJ	VYBER	19700	34433	\N	\N	\N
1635761	5546	1998-07-31	VYDAJ	VYBER	8800	26188	\N	\N	\N
1635762	5546	1998-08-30	VYDAJ	VYBER	14200	30868	\N	\N	\N
1635763	5546	1998-09-29	VYDAJ	VYBER	17900	38430	\N	\N	\N
1635764	5546	1998-10-29	VYDAJ	VYBER	18200	45712	\N	\N	\N
1635765	5546	1998-11-28	VYDAJ	VYBER	24300	46925	\N	\N	\N
1643646	5572	1997-08-11	PRIJEM	VKLAD	800	800	\N	\N	\N
1643647	5572	1997-09-10	PRIJEM	VKLAD	37892	122248	\N	\N	\N
1643651	5572	1997-08-17	PRIJEM	VKLAD	49763	84163	\N	\N	\N
1643654	5572	1997-11-03	PRIJEM	VKLAD	15885	54304	\N	\N	\N
1643660	5572	1997-12-12	PRIJEM	VKLAD	45914	81775	\N	\N	\N
1643662	5572	1997-08-12	PRIJEM	VKLAD	33600	34400	\N	\N	\N
1643665	5572	1998-07-30	PRIJEM	VKLAD	9190	37522	\N	\N	\N
1643666	5572	1998-09-16	PRIJEM	VKLAD	30439	60033	\N	\N	\N
1643667	5572	1998-08-19	PRIJEM	VKLAD	34348	59108	\N	\N	\N
1643668	5572	1998-01-26	PRIJEM	VKLAD	26079	47260	\N	\N	\N
1643669	5572	1998-10-27	PRIJEM	VKLAD	33097	64760	\N	\N	\N
1643670	5572	1998-07-03	PRIJEM	VKLAD	41740	58929	\N	\N	\N
1643671	5572	1998-01-29	PRIJEM	VKLAD	11297	58557	\N	\N	\N
1643672	5572	1998-12-07	PRIJEM	VKLAD	45774	72475	\N	\N	\N
1643684	5572	1997-12-17	VYDAJ	VYBER	2100	79675	\N	\N	0
1643685	5572	1998-01-05	VYDAJ	VYBER	1500	71534	\N	\N	0
1643686	5572	1998-02-10	VYDAJ	VYBER	2000	25305	\N	\N	0
1643687	5572	1998-03-22	VYDAJ	VYBER	2600	19498	\N	\N	0
1643688	5572	1998-04-12	VYDAJ	VYBER	2600	13759	\N	\N	0
1643689	5572	1998-05-12	VYDAJ	PREVOD NA UCET	2348	14645	UVER	IJ	85013025
1643690	5572	1998-06-12	VYDAJ	PREVOD NA UCET	2348	17127	UVER	IJ	85013025
1643691	5572	1998-07-12	VYDAJ	PREVOD NA UCET	2348	28332	UVER	IJ	85013025
1643692	5572	1998-08-12	VYDAJ	PREVOD NA UCET	2348	24760	UVER	IJ	85013025
1643693	5572	1998-09-12	VYDAJ	PREVOD NA UCET	2348	29594	UVER	IJ	85013025
1643694	5572	1998-10-12	VYDAJ	PREVOD NA UCET	2348	31663	UVER	IJ	85013025
1643695	5572	1998-11-12	VYDAJ	PREVOD NA UCET	2348	31159	UVER	IJ	85013025
1643696	5572	1998-12-12	VYDAJ	PREVOD NA UCET	2348	57313	UVER	IJ	85013025
1643709	5572	1998-01-07	VYDAJ	PREVOD NA UCET	11314	60220	SIPO	KL	53127735
1643710	5572	1998-02-07	VYDAJ	PREVOD NA UCET	11314	33605	SIPO	KL	53127735
1643711	5572	1998-03-07	VYDAJ	PREVOD NA UCET	11314	14098	SIPO	KL	53127735
1643712	5572	1998-04-07	VYDAJ	PREVOD NA UCET	11314	8259	SIPO	KL	53127735
1643713	5572	1998-05-07	VYDAJ	PREVOD NA UCET	11314	2493	SIPO	KL	53127735
1643714	5572	1998-06-07	VYDAJ	PREVOD NA UCET	11314	19475	SIPO	KL	53127735
1643715	5572	1998-07-07	VYDAJ	PREVOD NA UCET	11314	47615	SIPO	KL	53127735
1643716	5572	1998-08-07	VYDAJ	PREVOD NA UCET	11314	27108	SIPO	KL	53127735
1643717	5572	1998-09-07	VYDAJ	PREVOD NA UCET	11314	31942	SIPO	KL	53127735
1643718	5572	1998-10-07	VYDAJ	PREVOD NA UCET	11314	34011	SIPO	KL	53127735
1643719	5572	1998-11-07	VYDAJ	PREVOD NA UCET	11314	33507	SIPO	KL	53127735
1643720	5572	1998-12-07	VYDAJ	PREVOD NA UCET	11314	61161	SIPO	KL	53127735
1643724	5572	1998-08-21	VYBER	VYBER	5002	54106	\N	\N	\N
1643725	5572	1998-12-22	VYBER	VYBER	7606	49707	\N	\N	\N
1643726	5572	1998-01-16	VYBER	VYBER	9639	30181	\N	\N	\N
1643727	5572	1998-07-11	VYBER	VYBER	7835	30680	\N	\N	\N
1643732	5572	1998-12-08	VYDAJ	VYBER	1500	59661	\N	\N	\N
1643739	5572	1998-01-30	VYDAJ	VYBER	5700	44757	\N	\N	\N
1643741	5572	1998-01-05	VYDAJ	VYBER	6900	73034	\N	\N	\N
1643742	5572	1998-01-29	VYDAJ	VYBER	8100	50457	\N	\N	\N
1643754	5572	1998-01-16	VYDAJ	VYBER	9000	21181	\N	\N	\N
1643767	5572	1997-12-31	VYDAJ	VYBER	15	79934	SLUZBY	\N	\N
1643768	5572	1998-01-31	VYDAJ	VYBER	15	44919	SLUZBY	\N	\N
1643769	5572	1998-02-28	VYDAJ	VYBER	15	25412	SLUZBY	\N	\N
1643770	5572	1998-03-31	VYDAJ	VYBER	15	19573	SLUZBY	\N	\N
1643771	5572	1998-04-30	VYDAJ	VYBER	15	13807	SLUZBY	\N	\N
1643772	5572	1998-05-31	VYDAJ	VYBER	15	14689	SLUZBY	\N	\N
1643773	5572	1998-06-30	VYDAJ	VYBER	15	17189	SLUZBY	\N	\N
1643774	5572	1998-07-31	VYDAJ	VYBER	15	37622	SLUZBY	\N	\N
1643775	5572	1998-08-31	VYDAJ	VYBER	15	54256	SLUZBY	\N	\N
1643776	5572	1998-09-30	VYDAJ	VYBER	15	60225	SLUZBY	\N	\N
1643777	5572	1998-10-31	VYDAJ	VYBER	15	64921	SLUZBY	\N	\N
1643778	5572	1998-11-30	VYDAJ	VYBER	15	31301	SLUZBY	\N	\N
1643779	5572	1997-09-10	VYDAJ	VYBER	38900	83348	\N	\N	\N
1643780	5572	1997-09-10	VYDAJ	VYBER	30200	53148	\N	\N	\N
1643781	5572	1997-10-10	VYDAJ	VYBER	15700	37910	\N	\N	\N
1643782	5572	1997-11-09	VYDAJ	VYBER	14000	40304	\N	\N	\N
1643783	5572	1997-12-09	VYDAJ	VYBER	4700	35861	\N	\N	\N
1643784	5572	1998-01-08	VYDAJ	VYBER	20400	39820	\N	\N	\N
1643785	5572	1998-02-07	VYDAJ	VYBER	6300	27305	\N	\N	\N
1643786	5572	1998-03-09	PRIJEM	VKLAD	8000	22098	\N	\N	\N
1643787	5572	1998-04-08	PRIJEM	VKLAD	8100	16359	\N	\N	\N
1643788	5572	1998-05-08	PRIJEM	VKLAD	14500	16993	\N	\N	\N
1643789	5572	1998-06-07	PRIJEM	VKLAD	16100	30789	\N	\N	\N
1643790	5572	1998-07-07	VYDAJ	VYBER	9100	38515	\N	\N	\N
1643791	5572	1998-08-06	PRIJEM	VKLAD	800	38422	\N	\N	\N
1643792	5572	1998-09-05	VYDAJ	VYBER	11000	43256	\N	\N	\N
1643793	5572	1998-10-05	VYDAJ	VYBER	14900	45325	\N	\N	\N
1643794	5572	1998-11-04	VYDAJ	VYBER	20100	44821	\N	\N	\N
1643795	5572	1998-12-04	VYDAJ	VYBER	4600	26701	\N	\N	\N
1644085	5574	1994-07-14	PRIJEM	VKLAD	900	900	\N	\N	\N
1644093	5574	1994-08-08	PRIJEM	PREVOD Z UCTU	47710	48610	\N	GH	99795412
1644094	5574	1994-09-08	PRIJEM	PREVOD Z UCTU	47710	85216	\N	GH	99795412
1644095	5574	1994-10-08	PRIJEM	PREVOD Z UCTU	47710	102026	\N	GH	99795412
1644096	5574	1994-11-08	PRIJEM	PREVOD Z UCTU	47710	112690	\N	GH	99795412
1644097	5574	1994-12-08	PRIJEM	PREVOD Z UCTU	71565	106141	\N	GH	99795412
1644098	5574	1995-01-08	PRIJEM	PREVOD Z UCTU	47710	79518	\N	GH	99795412
1644099	5574	1995-02-08	PRIJEM	PREVOD Z UCTU	47710	65666	\N	GH	99795412
1644100	5574	1995-03-08	PRIJEM	PREVOD Z UCTU	47710	81104	\N	GH	99795412
1644101	5574	1995-04-08	PRIJEM	PREVOD Z UCTU	47710	70711	\N	GH	99795412
1644102	5574	1995-05-08	PRIJEM	PREVOD Z UCTU	47710	66680	\N	GH	99795412
1644103	5574	1995-06-08	PRIJEM	PREVOD Z UCTU	71565	92467	\N	GH	99795412
1644104	5574	1995-07-08	PRIJEM	PREVOD Z UCTU	47710	65554	\N	GH	99795412
1644105	5574	1995-08-08	PRIJEM	PREVOD Z UCTU	47710	65923	\N	GH	99795412
1644106	5574	1995-09-08	PRIJEM	PREVOD Z UCTU	47710	68845	\N	GH	99795412
1644107	5574	1995-10-08	PRIJEM	PREVOD Z UCTU	47710	79982	\N	GH	99795412
1644108	5574	1995-11-08	PRIJEM	PREVOD Z UCTU	47710	87597	\N	GH	99795412
1644109	5574	1995-12-08	PRIJEM	PREVOD Z UCTU	71565	101224	\N	GH	99795412
1644110	5574	1996-01-08	PRIJEM	PREVOD Z UCTU	47710	85062	\N	GH	99795412
1644111	5574	1996-02-08	PRIJEM	PREVOD Z UCTU	47710	75690	\N	GH	99795412
1644112	5574	1996-03-08	PRIJEM	PREVOD Z UCTU	47710	82219	\N	GH	99795412
1644113	5574	1996-04-08	PRIJEM	PREVOD Z UCTU	47710	80440	\N	GH	99795412
1644114	5574	1996-05-08	PRIJEM	PREVOD Z UCTU	47710	70670	\N	GH	99795412
1644115	5574	1996-06-08	PRIJEM	PREVOD Z UCTU	71565	99484	\N	GH	99795412
1644116	5574	1996-07-08	PRIJEM	PREVOD Z UCTU	47710	92706	\N	GH	99795412
1644117	5574	1996-08-08	PRIJEM	PREVOD Z UCTU	47710	74717	\N	GH	99795412
1644118	5574	1996-09-08	PRIJEM	PREVOD Z UCTU	47710	78035	\N	GH	99795412
1644119	5574	1996-10-08	PRIJEM	PREVOD Z UCTU	47710	90656	\N	GH	99795412
1644120	5574	1996-11-08	PRIJEM	PREVOD Z UCTU	47710	96577	\N	GH	99795412
1644121	5574	1996-12-08	PRIJEM	PREVOD Z UCTU	71565	108277	\N	GH	99795412
1644122	5574	1997-01-08	PRIJEM	PREVOD Z UCTU	47710	95597	\N	GH	99795412
1644123	5574	1997-02-08	PRIJEM	PREVOD Z UCTU	47710	80552	\N	GH	99795412
1644124	5574	1997-03-08	PRIJEM	PREVOD Z UCTU	47710	87576	\N	GH	99795412
1644125	5574	1997-04-08	PRIJEM	PREVOD Z UCTU	47710	92131	\N	GH	99795412
1644126	5574	1997-05-08	PRIJEM	PREVOD Z UCTU	47710	91067	\N	GH	99795412
1644127	5574	1997-06-08	PRIJEM	PREVOD Z UCTU	71565	112969	\N	GH	99795412
1644128	5574	1997-07-08	PRIJEM	PREVOD Z UCTU	47710	82710	\N	GH	99795412
1644129	5574	1997-08-08	PRIJEM	PREVOD Z UCTU	47710	88037	\N	GH	99795412
1644130	5574	1997-09-08	PRIJEM	PREVOD Z UCTU	47710	95010	\N	GH	99795412
1644131	5574	1997-10-08	PRIJEM	PREVOD Z UCTU	47710	90658	\N	GH	99795412
1644132	5574	1997-11-08	PRIJEM	PREVOD Z UCTU	47710	102013	\N	GH	99795412
1644133	5574	1997-12-08	PRIJEM	PREVOD Z UCTU	71565	131859	\N	GH	99795412
1644134	5574	1998-01-08	PRIJEM	PREVOD Z UCTU	47710	94566	\N	GH	99795412
1644135	5574	1998-02-08	PRIJEM	PREVOD Z UCTU	47710	87627	\N	GH	99795412
1644136	5574	1998-03-08	PRIJEM	PREVOD Z UCTU	47710	99995	\N	GH	99795412
1644137	5574	1998-04-08	PRIJEM	PREVOD Z UCTU	47710	95814	\N	GH	99795412
1644138	5574	1998-05-08	PRIJEM	PREVOD Z UCTU	47710	106920	\N	GH	99795412
1644139	5574	1998-06-08	PRIJEM	PREVOD Z UCTU	71565	133875	\N	GH	99795412
1644140	5574	1998-07-08	PRIJEM	PREVOD Z UCTU	47710	98662	\N	GH	99795412
1644141	5574	1998-08-08	PRIJEM	PREVOD Z UCTU	47710	110132	\N	GH	99795412
1644142	5574	1998-09-08	PRIJEM	PREVOD Z UCTU	47710	113941	\N	GH	99795412
1644143	5574	1998-10-08	PRIJEM	PREVOD Z UCTU	47710	114664	\N	GH	99795412
1644144	5574	1998-11-08	PRIJEM	PREVOD Z UCTU	47710	100488	\N	GH	99795412
1644145	5574	1998-12-08	PRIJEM	PREVOD Z UCTU	71565	131517	\N	GH	99795412
1644157	5574	1994-11-27	VYDAJ	VYBER	2700	34390	\N	\N	0
1644158	5574	1995-01-05	VYDAJ	VYBER	3100	39308	\N	\N	0
1644159	5574	1995-02-04	VYDAJ	VYBER	2600	17956	\N	\N	0
1644160	5574	1995-03-12	VYDAJ	VYBER	3700	40180	\N	\N	0
1644161	5574	1995-04-08	VYDAJ	VYBER	4800	65911	\N	\N	0
1644162	5574	1995-05-06	VYDAJ	VYBER	3800	18970	\N	\N	0
1644163	5574	1995-05-27	VYDAJ	VYBER	5300	20802	\N	\N	0
1644164	5574	1995-06-30	VYDAJ	VYBER	2400	17844	\N	\N	0
1644165	5574	1995-08-04	VYDAJ	VYBER	5200	18213	\N	\N	0
1644166	5574	1995-09-08	VYDAJ	VYBER	4800	64045	\N	\N	0
1644167	5574	1995-10-17	VYDAJ	VYBER	3300	64804	\N	\N	0
1644168	5574	1995-11-08	VYDAJ	VYBER	3900	83697	\N	\N	0
1644169	5574	1995-11-26	VYDAJ	VYBER	3600	48119	\N	\N	0
1644170	5574	1996-01-02	VYDAJ	VYBER	3600	62652	\N	\N	0
1644171	5574	1996-02-02	VYDAJ	VYBER	2500	56829	\N	\N	0
1644172	5574	1996-03-20	VYDAJ	VYBER	4900	44320	\N	\N	0
1644173	5574	1996-04-12	VYDAJ	PREVOD NA UCET	3719	76721	UVER	CD	52011740
1644174	5574	1996-05-12	VYDAJ	PREVOD NA UCET	3719	66951	UVER	CD	52011740
1644175	5574	1996-06-12	VYDAJ	PREVOD NA UCET	3719	95765	UVER	CD	52011740
1644176	5574	1996-07-12	VYDAJ	PREVOD NA UCET	3719	88987	UVER	CD	52011740
1644177	5574	1996-08-12	VYDAJ	PREVOD NA UCET	3719	70998	UVER	CD	52011740
1644178	5574	1996-09-12	VYDAJ	PREVOD NA UCET	3719	72816	UVER	CD	52011740
1644179	5574	1996-10-12	VYDAJ	PREVOD NA UCET	3719	86937	UVER	CD	52011740
1644180	5574	1996-11-12	VYDAJ	PREVOD NA UCET	3719	80980	UVER	CD	52011740
1644181	5574	1996-12-12	VYDAJ	PREVOD NA UCET	3719	92680	UVER	CD	52011740
1644182	5574	1997-01-12	VYDAJ	PREVOD NA UCET	3719	91878	UVER	CD	52011740
1644183	5574	1997-02-12	VYDAJ	PREVOD NA UCET	3719	76833	UVER	CD	52011740
1644184	5574	1997-03-12	VYDAJ	PREVOD NA UCET	3719	83857	UVER	CD	52011740
1644185	5574	1997-04-17	VYDAJ	VYBER	2200	63653	\N	\N	0
1644186	5574	1997-05-11	VYDAJ	VYBER	3700	87367	\N	\N	0
1644187	5574	1997-06-04	VYDAJ	VYBER	4800	41404	\N	\N	0
1644188	5574	1997-06-27	VYDAJ	VYBER	2900	50591	\N	\N	0
1644189	5574	1997-08-02	VYDAJ	VYBER	3400	40327	\N	\N	0
1644190	5574	1997-09-11	VYDAJ	VYBER	4400	90610	\N	\N	0
1644191	5574	1997-09-29	VYDAJ	VYBER	2500	42732	\N	\N	0
1644192	5574	1997-11-15	VYDAJ	VYBER	2800	87335	\N	\N	0
1644193	5574	1997-12-08	VYDAJ	VYBER	2800	99059	\N	\N	0
1644194	5574	1997-12-28	VYDAJ	VYBER	3400	48981	\N	\N	0
1644195	5574	1998-02-07	VYDAJ	VYBER	3000	39917	\N	\N	0
1644196	5574	1998-03-06	VYDAJ	VYBER	2400	52285	\N	\N	0
1644197	5574	1998-04-21	VYDAJ	VYBER	2400	81536	\N	\N	0
1644198	5574	1998-05-14	VYDAJ	VYBER	3400	91642	\N	\N	0
1644199	5574	1998-06-08	VYDAJ	VYBER	2800	131075	\N	\N	0
1644200	5574	1998-07-13	VYDAJ	VYBER	4400	82384	\N	\N	0
1644201	5574	1998-08-20	VYDAJ	VYBER	3500	94754	\N	\N	0
1644202	5574	1998-09-10	VYDAJ	VYBER	4800	109141	\N	\N	0
1644203	5574	1998-10-08	VYDAJ	VYBER	3600	111064	\N	\N	0
1644204	5574	1998-11-28	VYDAJ	VYBER	3700	62210	\N	\N	0
1644205	5574	1998-12-03	VYDAJ	VYBER	2500	59952	\N	\N	0
1644217	5574	1994-12-12	VYDAJ	PREVOD NA UCET	11878	52163	SIPO	QR	36525643
1644218	5574	1995-01-12	VYDAJ	PREVOD NA UCET	11878	30340	SIPO	QR	36525643
1644219	5574	1995-02-12	VYDAJ	PREVOD NA UCET	11878	33288	SIPO	QR	36525643
1644220	5574	1995-03-12	VYDAJ	PREVOD NA UCET	11878	28302	SIPO	QR	36525643
1644221	5574	1995-04-12	VYDAJ	PREVOD NA UCET	11878	34933	SIPO	QR	36525643
1644222	5574	1995-05-12	VYDAJ	PREVOD NA UCET	11878	33902	SIPO	QR	36525643
1644223	5574	1995-06-12	VYDAJ	PREVOD NA UCET	11878	44289	SIPO	QR	36525643
1644224	5574	1995-07-12	VYDAJ	PREVOD NA UCET	11878	23341	SIPO	QR	36525643
1644225	5574	1995-08-12	VYDAJ	PREVOD NA UCET	11878	31845	SIPO	QR	36525643
1644226	5574	1995-09-12	VYDAJ	PREVOD NA UCET	11878	49692	SIPO	QR	36525643
1644227	5574	1995-10-12	VYDAJ	PREVOD NA UCET	11878	68104	SIPO	QR	36525643
1644228	5574	1995-11-12	VYDAJ	PREVOD NA UCET	11878	61919	SIPO	QR	36525643
1644229	5574	1995-12-12	VYDAJ	PREVOD NA UCET	11878	89346	SIPO	QR	36525643
1644230	5574	1996-01-12	VYDAJ	PREVOD NA UCET	11878	67184	SIPO	QR	36525643
1644231	5574	1996-02-12	VYDAJ	PREVOD NA UCET	11878	63812	SIPO	QR	36525643
1644232	5574	1996-03-12	VYDAJ	PREVOD NA UCET	11878	70341	SIPO	QR	36525643
1644233	5574	1996-04-12	VYDAJ	PREVOD NA UCET	11878	64843	SIPO	QR	36525643
1644234	5574	1996-05-12	VYDAJ	PREVOD NA UCET	11878	55073	SIPO	QR	36525643
1644235	5574	1996-06-12	VYDAJ	PREVOD NA UCET	11878	83887	SIPO	QR	36525643
1644236	5574	1996-07-12	VYDAJ	PREVOD NA UCET	11878	77109	SIPO	QR	36525643
1644237	5574	1996-08-12	VYDAJ	PREVOD NA UCET	11878	59120	SIPO	QR	36525643
1644238	5574	1996-09-12	VYDAJ	PREVOD NA UCET	11878	60938	SIPO	QR	36525643
1644239	5574	1996-10-12	VYDAJ	PREVOD NA UCET	11878	75059	SIPO	QR	36525643
1644240	5574	1996-11-12	VYDAJ	PREVOD NA UCET	11878	84699	SIPO	QR	36525643
1644241	5574	1996-12-12	VYDAJ	PREVOD NA UCET	11878	96399	SIPO	QR	36525643
1644242	5574	1997-01-12	VYDAJ	PREVOD NA UCET	11878	80000	SIPO	QR	36525643
1644243	5574	1997-02-12	VYDAJ	PREVOD NA UCET	11878	64955	SIPO	QR	36525643
1644244	5574	1997-03-12	VYDAJ	PREVOD NA UCET	11878	71979	SIPO	QR	36525643
1644245	5574	1997-04-12	VYDAJ	PREVOD NA UCET	11878	80253	SIPO	QR	36525643
1644246	5574	1997-05-12	VYDAJ	PREVOD NA UCET	11878	75489	SIPO	QR	36525643
1644247	5574	1997-06-12	VYDAJ	PREVOD NA UCET	11878	53491	SIPO	QR	36525643
1644248	5574	1997-07-12	VYDAJ	PREVOD NA UCET	11878	70832	SIPO	QR	36525643
1644249	5574	1997-08-12	VYDAJ	PREVOD NA UCET	11878	76159	SIPO	QR	36525643
1644250	5574	1997-09-12	VYDAJ	PREVOD NA UCET	11878	78732	SIPO	QR	36525643
1644251	5574	1997-10-12	VYDAJ	PREVOD NA UCET	11878	78780	SIPO	QR	36525643
1644252	5574	1997-11-12	VYDAJ	PREVOD NA UCET	11878	90135	SIPO	QR	36525643
1644253	5574	1997-12-12	VYDAJ	PREVOD NA UCET	11878	87181	SIPO	QR	36525643
1644254	5574	1998-01-12	VYDAJ	PREVOD NA UCET	11878	82688	SIPO	QR	36525643
1644255	5574	1998-02-12	VYDAJ	PREVOD NA UCET	11878	75749	SIPO	QR	36525643
1644256	5574	1998-03-12	VYDAJ	PREVOD NA UCET	11878	88117	SIPO	QR	36525643
1644257	5574	1998-04-12	VYDAJ	PREVOD NA UCET	11878	83936	SIPO	QR	36525643
1644258	5574	1998-05-12	VYDAJ	PREVOD NA UCET	11878	95042	SIPO	QR	36525643
1644259	5574	1998-06-12	VYDAJ	PREVOD NA UCET	11878	63897	SIPO	QR	36525643
1644260	5574	1998-07-12	VYDAJ	PREVOD NA UCET	11878	86784	SIPO	QR	36525643
1644261	5574	1998-08-12	VYDAJ	PREVOD NA UCET	11878	98254	SIPO	QR	36525643
1644262	5574	1998-09-12	VYDAJ	PREVOD NA UCET	11878	97263	SIPO	QR	36525643
1644263	5574	1998-10-12	VYDAJ	PREVOD NA UCET	11878	99186	SIPO	QR	36525643
1644264	5574	1998-11-12	VYDAJ	PREVOD NA UCET	11878	88610	SIPO	QR	36525643
1644265	5574	1998-12-12	VYDAJ	PREVOD NA UCET	11878	79739	SIPO	QR	36525643
1644273	5574	1995-10-23	VYBER	VYBER	8441	56363	\N	\N	\N
1644274	5574	1995-10-03	VYBER	VYBER	8976	40872	\N	\N	\N
1644275	5574	1995-11-29	VYBER	VYBER	3068	45051	\N	\N	\N
1644277	5574	1995-03-22	VYBER	VYBER	5392	22910	\N	\N	\N
1644280	5574	1995-04-29	VYBER	VYBER	4779	30154	\N	\N	\N
1644281	5574	1995-09-09	VYBER	VYBER	2475	61570	\N	\N	\N
1644282	5574	1995-07-12	VYBER	VYBER	10135	35219	\N	\N	\N
1644283	5574	1995-06-21	VYBER	VYBER	24145	20144	\N	\N	\N
1644284	5574	1995-03-12	VYBER	VYBER	12324	43880	\N	\N	\N
1644287	5574	1996-05-25	VYBER	VYBER	13719	41354	\N	\N	\N
1644288	5574	1996-07-31	VYBER	VYBER	16917	31637	\N	\N	\N
1644289	5574	1996-12-03	VYBER	VYBER	11671	36712	\N	\N	\N
1644292	5574	1996-07-21	VYBER	VYBER	15029	48280	\N	\N	\N
1644293	5574	1996-03-20	VYBER	VYBER	21121	49220	\N	\N	\N
1644294	5574	1996-04-13	VYBER	VYBER	15731	49112	\N	\N	\N
1644295	5574	1996-04-28	VYBER	VYBER	11811	26501	\N	\N	\N
1644296	5574	1996-02-04	VYBER	VYBER	21349	35480	\N	\N	\N
1644297	5574	1996-03-04	VYBER	VYBER	16027	48009	\N	\N	\N
1644298	5574	1996-08-19	VYBER	VYBER	10160	48960	\N	\N	\N
1644300	5574	1998-04-04	VYBER	VYBER	11989	48104	\N	\N	\N
1644301	5574	1994-12-15	VYDAJ	VYBER	6000	46163	\N	\N	\N
1644302	5574	1995-12-29	VYDAJ	VYBER	2100	87246	\N	\N	\N
1644303	5574	1996-12-16	VYDAJ	VYBER	2400	90280	\N	\N	\N
1644304	5574	1997-12-16	VYDAJ	VYBER	6600	73681	\N	\N	\N
1644305	5574	1998-12-22	VYDAJ	VYBER	5700	56939	\N	\N	\N
1644312	5574	1995-01-26	VYDAJ	VYBER	3600	26740	\N	\N	\N
1644313	5574	1995-01-28	VYDAJ	VYBER	3300	23440	\N	\N	\N
1644314	5574	1995-01-06	VYDAJ	VYBER	7500	31808	\N	\N	\N
1644315	5574	1995-01-10	VYDAJ	VYBER	8100	42218	\N	\N	\N
1644316	5574	1995-01-08	VYDAJ	VYBER	6900	72618	\N	\N	\N
1644317	5574	1995-01-29	VYDAJ	VYBER	3000	20440	\N	\N	\N
1644318	5574	1996-01-25	VYDAJ	VYBER	4200	62984	\N	\N	\N
1644319	5574	1996-01-11	VYDAJ	VYBER	3900	79062	\N	\N	\N
1644320	5574	1996-01-08	VYDAJ	VYBER	2100	82962	\N	\N	\N
1644321	5574	1996-01-02	VYDAJ	VYBER	4800	74652	\N	\N	\N
1644322	5574	1996-01-02	VYDAJ	VYBER	8400	66252	\N	\N	\N
1644323	5574	1996-01-27	VYDAJ	VYBER	3900	59084	\N	\N	\N
1644324	5574	1997-01-18	VYDAJ	VYBER	3600	63500	\N	\N	\N
1644325	5574	1997-01-07	VYDAJ	VYBER	3000	47887	\N	\N	\N
1644326	5574	1997-01-30	VYDAJ	VYBER	8700	32600	\N	\N	\N
1644327	5574	1997-01-14	VYDAJ	VYBER	8100	67100	\N	\N	\N
1644328	5574	1997-01-13	VYDAJ	VYBER	4800	75200	\N	\N	\N
1644329	5574	1997-01-29	VYDAJ	VYBER	4200	59300	\N	\N	\N
1644330	5574	1998-01-15	VYDAJ	VYBER	3900	70388	\N	\N	\N
1644331	5574	1998-01-06	VYDAJ	VYBER	2400	46856	\N	\N	\N
1644332	5574	1998-01-26	VYDAJ	VYBER	3900	42688	\N	\N	\N
1644333	5574	1998-01-26	VYDAJ	VYBER	3900	46588	\N	\N	\N
1644334	5574	1998-01-14	VYDAJ	VYBER	8400	74288	\N	\N	\N
1644335	5574	1998-01-20	VYDAJ	VYBER	6600	63788	\N	\N	\N
1644336	5574	1994-12-20	VYDAJ	VYBER	3900	42263	\N	\N	\N
1644343	5574	1995-08-18	VYDAJ	VYBER	12300	19545	\N	\N	\N
1644344	5574	1995-11-09	VYDAJ	VYBER	9900	73797	\N	\N	\N
1644345	5574	1995-11-17	VYDAJ	VYBER	10200	51719	\N	\N	\N
1644346	5574	1995-05-19	VYDAJ	VYBER	5400	28502	\N	\N	\N
1644347	5574	1995-05-04	VYDAJ	VYBER	7500	22770	\N	\N	\N
1644348	5574	1995-05-20	VYDAJ	VYBER	2400	26102	\N	\N	\N
1644349	5574	1996-05-29	VYDAJ	VYBER	7500	33854	\N	\N	\N
1644350	5574	1996-09-09	VYDAJ	VYBER	1500	76535	\N	\N	\N
1644351	5574	1996-07-06	VYDAJ	VYBER	6300	44996	\N	\N	\N
1644352	5574	1996-07-15	VYDAJ	VYBER	13800	63309	\N	\N	\N
1644353	5574	1996-01-01	VYDAJ	VYBER	8100	79452	\N	\N	\N
1644354	5574	1996-08-23	VYDAJ	VYBER	12900	36060	\N	\N	\N
1644356	5574	1996-04-13	VYDAJ	VYBER	10800	38312	\N	\N	\N
1644357	5574	1997-12-13	VYDAJ	VYBER	6900	80281	\N	\N	\N
1644358	5574	1997-04-14	VYDAJ	VYBER	14400	65853	\N	\N	\N
1644359	5574	1997-09-17	VYDAJ	VYBER	10800	67932	\N	\N	\N
1644360	5574	1997-01-01	VYDAJ	VYBER	6000	50887	\N	\N	\N
1644361	5574	1997-05-21	VYDAJ	VYBER	13500	61989	\N	\N	\N
1644362	5574	1998-03-20	VYDAJ	VYBER	8400	79717	\N	\N	\N
1644363	5574	1998-10-25	VYDAJ	VYBER	14400	52486	\N	\N	\N
1644376	5574	1994-12-31	VYDAJ	VYBER	30	42408	SLUZBY	\N	\N
1644377	5574	1995-01-31	VYDAJ	VYBER	30	20556	SLUZBY	\N	\N
1644378	5574	1995-02-28	VYDAJ	VYBER	30	33394	SLUZBY	\N	\N
1644379	5574	1995-03-31	VYDAJ	VYBER	30	23001	SLUZBY	\N	\N
1644380	5574	1995-04-30	VYDAJ	VYBER	30	30270	SLUZBY	\N	\N
1644381	5574	1995-05-31	VYDAJ	VYBER	30	20902	SLUZBY	\N	\N
1644382	5574	1995-06-30	VYDAJ	VYBER	30	20244	SLUZBY	\N	\N
1644383	5574	1995-07-31	VYDAJ	VYBER	30	23413	SLUZBY	\N	\N
1644384	5574	1995-08-31	VYDAJ	VYBER	30	19635	SLUZBY	\N	\N
1644385	5574	1995-09-30	VYDAJ	VYBER	30	49848	SLUZBY	\N	\N
1644386	5574	1995-10-31	VYDAJ	VYBER	30	56587	SLUZBY	\N	\N
1644387	5574	1995-11-30	VYDAJ	VYBER	30	45259	SLUZBY	\N	\N
1644388	5574	1995-12-31	VYDAJ	VYBER	30	87552	SLUZBY	\N	\N
1644389	5574	1996-01-31	VYDAJ	VYBER	30	59329	SLUZBY	\N	\N
1644390	5574	1996-02-29	VYDAJ	VYBER	30	64036	SLUZBY	\N	\N
1644391	5574	1996-03-31	VYDAJ	VYBER	30	44530	SLUZBY	\N	\N
1644392	5574	1996-04-30	VYDAJ	VYBER	30	26660	SLUZBY	\N	\N
1644393	5574	1996-05-31	VYDAJ	VYBER	30	34019	SLUZBY	\N	\N
1644394	5574	1996-06-30	VYDAJ	VYBER	30	84196	SLUZBY	\N	\N
1644395	5574	1996-07-31	VYDAJ	VYBER	30	31607	SLUZBY	\N	\N
1644396	5574	1996-08-31	VYDAJ	VYBER	30	36225	SLUZBY	\N	\N
1644397	5574	1996-09-30	VYDAJ	VYBER	30	61146	SLUZBY	\N	\N
1644398	5574	1996-10-31	VYDAJ	VYBER	30	75367	SLUZBY	\N	\N
1644399	5574	1996-11-30	VYDAJ	VYBER	30	81283	SLUZBY	\N	\N
1644400	5574	1996-12-31	VYDAJ	VYBER	30	56887	SLUZBY	\N	\N
1644401	5574	1997-01-31	VYDAJ	VYBER	30	32842	SLUZBY	\N	\N
1644402	5574	1997-02-28	VYDAJ	VYBER	30	39866	SLUZBY	\N	\N
1644403	5574	1997-03-31	VYDAJ	VYBER	30	44421	SLUZBY	\N	\N
1644404	5574	1997-04-30	VYDAJ	VYBER	30	43357	SLUZBY	\N	\N
1644405	5574	1997-05-31	VYDAJ	VYBER	30	46204	SLUZBY	\N	\N
1644406	5574	1997-06-30	VYDAJ	VYBER	30	35000	SLUZBY	\N	\N
1644407	5574	1997-07-31	VYDAJ	VYBER	30	43727	SLUZBY	\N	\N
1644408	5574	1997-08-31	VYDAJ	VYBER	30	47300	SLUZBY	\N	\N
1644409	5574	1997-09-30	VYDAJ	VYBER	30	42948	SLUZBY	\N	\N
1644410	5574	1997-10-31	VYDAJ	VYBER	30	54303	SLUZBY	\N	\N
1644411	5574	1997-11-30	VYDAJ	VYBER	30	60294	SLUZBY	\N	\N
1644412	5574	1997-12-31	VYDAJ	VYBER	30	49256	SLUZBY	\N	\N
1644413	5574	1998-01-31	VYDAJ	VYBER	30	42917	SLUZBY	\N	\N
1644414	5574	1998-02-28	VYDAJ	VYBER	30	54685	SLUZBY	\N	\N
1644415	5574	1998-03-31	VYDAJ	VYBER	30	60093	SLUZBY	\N	\N
1644416	5574	1998-04-30	VYDAJ	VYBER	30	59210	SLUZBY	\N	\N
1644417	5574	1998-05-31	VYDAJ	VYBER	30	62310	SLUZBY	\N	\N
1644418	5574	1998-06-30	VYDAJ	VYBER	30	50952	SLUZBY	\N	\N
1644419	5574	1998-07-31	VYDAJ	VYBER	30	62422	SLUZBY	\N	\N
1644420	5574	1998-08-31	VYDAJ	VYBER	30	66231	SLUZBY	\N	\N
1644421	5574	1998-09-30	VYDAJ	VYBER	30	66954	SLUZBY	\N	\N
1644422	5574	1998-10-31	VYDAJ	VYBER	30	52778	SLUZBY	\N	\N
1644423	5574	1998-11-30	VYDAJ	VYBER	30	62452	SLUZBY	\N	\N
1644424	5574	1994-08-13	VYDAJ	VYBER	11200	37410	\N	\N	\N
1644425	5574	1994-09-12	VYDAJ	VYBER	31100	54116	\N	\N	\N
1644426	5574	1994-10-12	VYDAJ	VYBER	37300	64726	\N	\N	\N
1644427	5574	1994-11-08	VYDAJ	VYBER	59000	53690	\N	\N	\N
1644428	5574	1994-11-11	VYDAJ	VYBER	16600	37090	\N	\N	\N
1644429	5574	1994-12-11	VYDAJ	VYBER	42100	64041	\N	\N	\N
1644430	5574	1995-01-10	VYDAJ	VYBER	22300	50318	\N	\N	\N
1644431	5574	1995-02-09	VYDAJ	VYBER	20500	45166	\N	\N	\N
1644432	5574	1995-03-11	VYDAJ	VYBER	24900	56204	\N	\N	\N
1644433	5574	1995-04-10	VYDAJ	VYBER	19100	46811	\N	\N	\N
1644434	5574	1995-05-10	VYDAJ	VYBER	20900	45780	\N	\N	\N
1644435	5574	1995-06-09	VYDAJ	VYBER	36300	56167	\N	\N	\N
1644436	5574	1995-07-09	VYDAJ	VYBER	20200	45354	\N	\N	\N
1644437	5574	1995-08-08	VYDAJ	VYBER	22200	43723	\N	\N	\N
1644438	5574	1995-09-07	PRIJEM	VKLAD	1500	21135	\N	\N	\N
1644439	5574	1995-10-07	VYDAJ	VYBER	8600	32272	\N	\N	\N
1644440	5574	1995-11-06	VYDAJ	VYBER	16700	39887	\N	\N	\N
1644441	5574	1995-12-06	VYDAJ	VYBER	15600	29659	\N	\N	\N
1644442	5574	1996-01-05	VYDAJ	VYBER	25300	37352	\N	\N	\N
1644443	5574	1996-02-04	VYDAJ	VYBER	7500	27980	\N	\N	\N
1644444	5574	1996-03-05	VYDAJ	VYBER	13500	34509	\N	\N	\N
1644445	5574	1996-04-04	VYDAJ	VYBER	11800	32730	\N	\N	\N
1644446	5574	1996-05-04	VYDAJ	VYBER	3700	22960	\N	\N	\N
1644447	5574	1996-06-03	VYDAJ	VYBER	6100	27919	\N	\N	\N
1644448	5574	1996-07-03	VYDAJ	VYBER	32900	51296	\N	\N	\N
1644449	5574	1996-08-02	VYDAJ	VYBER	4600	27007	\N	\N	\N
1644450	5574	1996-09-01	VYDAJ	VYBER	5900	30325	\N	\N	\N
1644451	5574	1996-10-01	VYDAJ	VYBER	18200	42946	\N	\N	\N
1644452	5574	1996-10-31	VYDAJ	VYBER	26500	48867	\N	\N	\N
1644453	5574	1996-11-30	VYDAJ	VYBER	32900	48383	\N	\N	\N
1644454	5574	1996-12-30	VYDAJ	VYBER	33700	56580	\N	\N	\N
1644455	5574	1997-01-29	VYDAJ	VYBER	18000	41300	\N	\N	\N
1644456	5574	1997-02-28	VYDAJ	VYBER	25300	39896	\N	\N	\N
1644457	5574	1997-03-30	VYDAJ	VYBER	27800	44179	\N	\N	\N
1644458	5574	1997-04-29	VYDAJ	VYBER	20500	43153	\N	\N	\N
1644459	5574	1997-05-29	VYDAJ	VYBER	16000	45989	\N	\N	\N
1644460	5574	1997-06-08	VYDAJ	VYBER	47600	65369	\N	\N	\N
1644461	5574	1997-06-28	VYDAJ	VYBER	15800	34791	\N	\N	\N
1644462	5574	1997-07-28	VYDAJ	VYBER	27300	43532	\N	\N	\N
1644463	5574	1997-08-27	VYDAJ	VYBER	29100	47059	\N	\N	\N
1644464	5574	1997-09-26	VYDAJ	VYBER	22700	45232	\N	\N	\N
1644465	5574	1997-10-26	VYDAJ	VYBER	24700	54080	\N	\N	\N
1644466	5574	1997-11-25	VYDAJ	VYBER	27300	60035	\N	\N	\N
1644467	5574	1997-12-08	VYDAJ	VYBER	30000	101859	\N	\N	\N
1644468	5574	1997-12-25	VYDAJ	VYBER	21300	52381	\N	\N	\N
1644469	5574	1998-01-24	VYDAJ	VYBER	13300	50488	\N	\N	\N
1644470	5574	1998-02-23	VYDAJ	VYBER	21300	54449	\N	\N	\N
1644471	5574	1998-03-25	VYDAJ	VYBER	19900	59817	\N	\N	\N
1644472	5574	1998-04-24	VYDAJ	VYBER	22600	58936	\N	\N	\N
1644473	5574	1998-05-24	VYDAJ	VYBER	29600	62042	\N	\N	\N
1644474	5574	1998-06-08	VYDAJ	VYBER	55300	75775	\N	\N	\N
1644475	5574	1998-06-23	VYDAJ	VYBER	13200	50697	\N	\N	\N
1644476	5574	1998-07-23	VYDAJ	VYBER	20200	62184	\N	\N	\N
1644477	5574	1998-08-22	VYDAJ	VYBER	28800	65954	\N	\N	\N
1644478	5574	1998-09-21	VYDAJ	VYBER	30600	66663	\N	\N	\N
1644479	5574	1998-10-21	VYDAJ	VYBER	32300	66886	\N	\N	\N
1644480	5574	1998-11-20	VYDAJ	VYBER	22700	65910	\N	\N	\N
1644481	5574	1998-12-08	VYDAJ	VYBER	39900	91617	\N	\N	\N
1644482	5574	1998-12-20	VYDAJ	VYBER	17100	62639	\N	\N	\N
1649318	5591	1996-03-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1649322	5591	1996-04-08	PRIJEM	PREVOD Z UCTU	22187	23187	\N	WX	39192116
1649323	5591	1996-05-08	PRIJEM	PREVOD Z UCTU	22187	46628	\N	WX	39192116
1649324	5591	1996-06-08	PRIJEM	PREVOD Z UCTU	33280	70639	\N	WX	39192116
1649325	5591	1996-07-08	PRIJEM	PREVOD Z UCTU	22187	71810	\N	WX	39192116
1649326	5591	1996-08-08	PRIJEM	PREVOD Z UCTU	22187	74217	\N	WX	39192116
1649327	5591	1996-09-08	PRIJEM	PREVOD Z UCTU	22187	51270	\N	WX	39192116
1649328	5591	1996-10-08	PRIJEM	PREVOD Z UCTU	22187	48104	\N	WX	39192116
1649329	5591	1996-11-08	PRIJEM	PREVOD Z UCTU	22187	60602	\N	WX	39192116
1649330	5591	1996-12-08	PRIJEM	PREVOD Z UCTU	33280	57152	\N	WX	39192116
1649331	5591	1997-01-08	PRIJEM	PREVOD Z UCTU	22187	54655	\N	WX	39192116
1649332	5591	1997-02-08	PRIJEM	PREVOD Z UCTU	22187	51644	\N	WX	39192116
1649333	5591	1997-03-08	PRIJEM	PREVOD Z UCTU	22187	59526	\N	WX	39192116
1649334	5591	1997-04-08	PRIJEM	PREVOD Z UCTU	22187	60519	\N	WX	39192116
1649335	5591	1997-05-08	PRIJEM	PREVOD Z UCTU	22187	45804	\N	WX	39192116
1649336	5591	1997-06-08	PRIJEM	PREVOD Z UCTU	33280	62329	\N	WX	39192116
1649337	5591	1997-07-08	PRIJEM	PREVOD Z UCTU	22187	68038	\N	WX	39192116
1649338	5591	1997-08-08	PRIJEM	PREVOD Z UCTU	22187	64367	\N	WX	39192116
1649339	5591	1997-09-08	PRIJEM	PREVOD Z UCTU	22187	62796	\N	WX	39192116
1649340	5591	1997-10-08	PRIJEM	PREVOD Z UCTU	22187	52669	\N	WX	39192116
1649341	5591	1997-11-08	PRIJEM	PREVOD Z UCTU	22187	56586	\N	WX	39192116
1649342	5591	1997-12-08	PRIJEM	PREVOD Z UCTU	33280	65116	\N	WX	39192116
1649343	5591	1998-01-08	PRIJEM	PREVOD Z UCTU	22187	62769	\N	WX	39192116
1649344	5591	1998-02-08	PRIJEM	PREVOD Z UCTU	22187	62527	\N	WX	39192116
1649345	5591	1998-03-08	PRIJEM	PREVOD Z UCTU	22187	68384	\N	WX	39192116
1649346	5591	1998-04-08	PRIJEM	PREVOD Z UCTU	22187	70969	\N	WX	39192116
1649347	5591	1998-05-08	PRIJEM	PREVOD Z UCTU	22187	70574	\N	WX	39192116
1649348	5591	1998-06-08	PRIJEM	PREVOD Z UCTU	33280	75663	\N	WX	39192116
1649349	5591	1998-07-08	PRIJEM	PREVOD Z UCTU	22187	66565	\N	WX	39192116
1649350	5591	1998-08-08	PRIJEM	PREVOD Z UCTU	22187	70844	\N	WX	39192116
1649351	5591	1998-09-08	PRIJEM	PREVOD Z UCTU	22187	67259	\N	WX	39192116
1649352	5591	1998-10-08	PRIJEM	PREVOD Z UCTU	22187	67537	\N	WX	39192116
1649543	5591	1996-08-26	VYBER	VYBER	12525	43750	\N	\N	\N
1649353	5591	1998-11-08	PRIJEM	PREVOD Z UCTU	22187	62785	\N	WX	39192116
1649354	5591	1998-12-08	PRIJEM	PREVOD Z UCTU	33280	74826	\N	WX	39192116
1649362	5591	1996-08-04	VYDAJ	VYBER	3300	52030	\N	\N	0
1649363	5591	1996-09-03	VYDAJ	VYBER	2800	29083	\N	\N	0
1649364	5591	1996-10-13	VYDAJ	VYBER	3600	38262	\N	\N	0
1649365	5591	1996-11-10	VYDAJ	VYBER	3600	57002	\N	\N	0
1649366	5591	1996-12-03	VYDAJ	VYBER	4000	23872	\N	\N	0
1649367	5591	1997-01-07	VYDAJ	VYBER	3000	32468	\N	\N	0
1649368	5591	1997-02-12	VYDAJ	PREVOD NA UCET	3698	40399	UVER	ST	19205475
1649369	5591	1997-03-12	VYDAJ	PREVOD NA UCET	3698	41381	UVER	ST	19205475
1649370	5591	1997-04-12	VYDAJ	PREVOD NA UCET	3698	47119	UVER	ST	19205475
1649371	5591	1997-05-12	VYDAJ	PREVOD NA UCET	3698	35704	UVER	ST	19205475
1649372	5591	1997-06-12	VYDAJ	PREVOD NA UCET	3698	48885	UVER	ST	19205475
1649373	5591	1997-07-12	VYDAJ	PREVOD NA UCET	3698	50338	UVER	ST	19205475
1649374	5591	1997-08-12	VYDAJ	PREVOD NA UCET	3698	47967	UVER	ST	19205475
1649375	5591	1997-09-12	VYDAJ	PREVOD NA UCET	3698	59096	UVER	ST	19205475
1649376	5591	1997-10-12	VYDAJ	PREVOD NA UCET	3698	43524	UVER	ST	19205475
1649377	5591	1997-11-12	VYDAJ	PREVOD NA UCET	3698	52887	UVER	ST	19205475
1649378	5591	1997-12-12	VYDAJ	PREVOD NA UCET	3698	61071	UVER	ST	19205475
1649379	5591	1998-01-12	VYDAJ	PREVOD NA UCET	3698	58724	UVER	ST	19205475
1649380	5591	1998-02-12	VYDAJ	PREVOD NA UCET	3698	58483	UVER	ST	19205475
1649381	5591	1998-03-12	VYDAJ	PREVOD NA UCET	3698	64684	UVER	ST	19205475
1649382	5591	1998-04-12	VYDAJ	PREVOD NA UCET	3698	66924	UVER	ST	19205475
1649383	5591	1998-05-12	VYDAJ	PREVOD NA UCET	3698	66874	UVER	ST	19205475
1649384	5591	1998-06-12	VYDAJ	PREVOD NA UCET	3698	71619	UVER	ST	19205475
1649385	5591	1998-07-12	VYDAJ	PREVOD NA UCET	3698	62865	UVER	ST	19205475
1649386	5591	1998-08-12	VYDAJ	PREVOD NA UCET	3698	66799	UVER	ST	19205475
1649387	5591	1998-09-12	VYDAJ	PREVOD NA UCET	3698	63214	UVER	ST	19205475
1649388	5591	1998-10-12	VYDAJ	PREVOD NA UCET	3698	50592	UVER	ST	19205475
1649389	5591	1998-11-12	VYDAJ	PREVOD NA UCET	3698	56340	UVER	ST	19205475
1649390	5591	1998-12-12	VYDAJ	PREVOD NA UCET	3698	70782	UVER	ST	19205475
1649398	5591	1996-08-13	VYDAJ	PREVOD NA UCET	323	73547	SIPO	GH	38603085
1649399	5591	1996-09-13	VYDAJ	PREVOD NA UCET	323	40030	SIPO	GH	38603085
1649400	5591	1996-10-13	VYDAJ	PREVOD NA UCET	323	41862	SIPO	GH	38603085
1649401	5591	1996-11-13	VYDAJ	PREVOD NA UCET	323	44760	SIPO	GH	38603085
1649402	5591	1996-12-13	VYDAJ	PREVOD NA UCET	323	44182	SIPO	GH	38603085
1649403	5591	1997-01-13	VYDAJ	PREVOD NA UCET	323	41785	SIPO	GH	38603085
1649404	5591	1997-02-13	VYDAJ	PREVOD NA UCET	323	37204	SIPO	GH	38603085
1649405	5591	1997-03-13	VYDAJ	PREVOD NA UCET	323	38186	SIPO	GH	38603085
1649406	5591	1997-04-13	VYDAJ	PREVOD NA UCET	323	46451	SIPO	GH	38603085
1649407	5591	1997-05-13	VYDAJ	PREVOD NA UCET	323	32164	SIPO	GH	38603085
1649408	5591	1997-06-13	VYDAJ	PREVOD NA UCET	323	45690	SIPO	GH	38603085
1649409	5591	1997-07-13	VYDAJ	PREVOD NA UCET	323	49670	SIPO	GH	38603085
1649410	5591	1997-08-13	VYDAJ	PREVOD NA UCET	323	44427	SIPO	GH	38603085
1649411	5591	1997-09-13	VYDAJ	PREVOD NA UCET	323	58428	SIPO	GH	38603085
1649412	5591	1997-10-13	VYDAJ	PREVOD NA UCET	323	40329	SIPO	GH	38603085
1649413	5591	1997-11-13	VYDAJ	PREVOD NA UCET	323	49347	SIPO	GH	38603085
1649414	5591	1997-12-13	VYDAJ	PREVOD NA UCET	323	60748	SIPO	GH	38603085
1649415	5591	1998-01-13	VYDAJ	PREVOD NA UCET	323	55529	SIPO	GH	38603085
1649416	5591	1998-02-13	VYDAJ	PREVOD NA UCET	323	55288	SIPO	GH	38603085
1649417	5591	1998-03-13	VYDAJ	PREVOD NA UCET	323	61144	SIPO	GH	38603085
1649418	5591	1998-04-13	VYDAJ	PREVOD NA UCET	323	63729	SIPO	GH	38603085
1649419	5591	1998-05-13	VYDAJ	PREVOD NA UCET	323	66206	SIPO	GH	38603085
1649420	5591	1998-06-13	VYDAJ	PREVOD NA UCET	323	68424	SIPO	GH	38603085
1649421	5591	1998-07-13	VYDAJ	PREVOD NA UCET	323	59325	SIPO	GH	38603085
1649422	5591	1998-08-13	VYDAJ	PREVOD NA UCET	323	66476	SIPO	GH	38603085
1649423	5591	1998-09-13	VYDAJ	PREVOD NA UCET	323	62891	SIPO	GH	38603085
1649424	5591	1998-10-13	VYDAJ	PREVOD NA UCET	323	47397	SIPO	GH	38603085
1649425	5591	1998-11-13	VYDAJ	PREVOD NA UCET	323	56017	SIPO	GH	38603085
1649426	5591	1998-12-13	VYDAJ	PREVOD NA UCET	323	67587	SIPO	GH	38603085
1649434	5591	1996-08-13	VYDAJ	PREVOD NA UCET	2872	70675	 	UV	44512021
1649435	5591	1996-09-13	VYDAJ	PREVOD NA UCET	2872	40353	 	UV	44512021
1649436	5591	1996-10-13	VYDAJ	PREVOD NA UCET	2872	42185	 	UV	44512021
1649437	5591	1996-11-13	VYDAJ	PREVOD NA UCET	2872	45083	 	UV	44512021
1649438	5591	1996-12-13	VYDAJ	PREVOD NA UCET	2872	41310	 	UV	44512021
1649439	5591	1997-01-13	VYDAJ	PREVOD NA UCET	2872	38913	 	UV	44512021
1649440	5591	1997-02-13	VYDAJ	PREVOD NA UCET	2872	37527	 	UV	44512021
1649441	5591	1997-03-13	VYDAJ	PREVOD NA UCET	2872	38509	 	UV	44512021
1649442	5591	1997-04-13	VYDAJ	PREVOD NA UCET	2872	43579	 	UV	44512021
1649443	5591	1997-05-13	VYDAJ	PREVOD NA UCET	2872	32487	 	UV	44512021
1649444	5591	1997-06-13	VYDAJ	PREVOD NA UCET	2872	46013	 	UV	44512021
1649445	5591	1997-07-13	VYDAJ	PREVOD NA UCET	2872	46798	 	UV	44512021
1649446	5591	1997-08-13	VYDAJ	PREVOD NA UCET	2872	44750	 	UV	44512021
1649447	5591	1997-09-13	VYDAJ	PREVOD NA UCET	2872	55556	 	UV	44512021
1649448	5591	1997-10-13	VYDAJ	PREVOD NA UCET	2872	40652	 	UV	44512021
1649449	5591	1997-11-13	VYDAJ	PREVOD NA UCET	2872	49670	 	UV	44512021
1649450	5591	1997-12-13	VYDAJ	PREVOD NA UCET	2872	57876	 	UV	44512021
1649451	5591	1998-01-13	VYDAJ	PREVOD NA UCET	2872	55852	 	UV	44512021
1649452	5591	1998-02-13	VYDAJ	PREVOD NA UCET	2872	55611	 	UV	44512021
1649453	5591	1998-03-13	VYDAJ	PREVOD NA UCET	2872	61467	 	UV	44512021
1649454	5591	1998-04-13	VYDAJ	PREVOD NA UCET	2872	64052	 	UV	44512021
1649455	5591	1998-05-13	VYDAJ	PREVOD NA UCET	2872	63334	 	UV	44512021
1649456	5591	1998-06-13	VYDAJ	PREVOD NA UCET	2872	68747	 	UV	44512021
1649457	5591	1998-07-13	VYDAJ	PREVOD NA UCET	2872	59648	 	UV	44512021
1649458	5591	1998-08-13	VYDAJ	PREVOD NA UCET	2872	63604	 	UV	44512021
1649459	5591	1998-09-13	VYDAJ	PREVOD NA UCET	2872	60019	 	UV	44512021
1649460	5591	1998-10-13	VYDAJ	PREVOD NA UCET	2872	47720	 	UV	44512021
1649461	5591	1998-11-13	VYDAJ	PREVOD NA UCET	2872	53145	 	UV	44512021
1649462	5591	1998-12-13	VYDAJ	PREVOD NA UCET	2872	67910	 	UV	44512021
1649470	5591	1996-08-12	VYDAJ	PREVOD NA UCET	345	73870	POJISTNE	OP	87980109
1649471	5591	1996-09-12	VYDAJ	PREVOD NA UCET	345	43225	POJISTNE	OP	87980109
1649472	5591	1996-10-12	VYDAJ	PREVOD NA UCET	345	45057	POJISTNE	OP	87980109
1649473	5591	1996-11-12	VYDAJ	PREVOD NA UCET	345	47955	POJISTNE	OP	87980109
1649474	5591	1996-12-12	VYDAJ	PREVOD NA UCET	345	44505	POJISTNE	OP	87980109
1649475	5591	1997-01-12	VYDAJ	PREVOD NA UCET	345	42108	POJISTNE	OP	87980109
1649476	5591	1997-02-12	VYDAJ	PREVOD NA UCET	345	44097	POJISTNE	OP	87980109
1649477	5591	1997-03-12	VYDAJ	PREVOD NA UCET	345	45079	POJISTNE	OP	87980109
1649478	5591	1997-04-12	VYDAJ	PREVOD NA UCET	345	46774	POJISTNE	OP	87980109
1649479	5591	1997-05-12	VYDAJ	PREVOD NA UCET	345	35359	POJISTNE	OP	87980109
1649480	5591	1997-06-12	VYDAJ	PREVOD NA UCET	345	52582	POJISTNE	OP	87980109
1649481	5591	1997-07-12	VYDAJ	PREVOD NA UCET	345	49993	POJISTNE	OP	87980109
1649482	5591	1997-08-12	VYDAJ	PREVOD NA UCET	345	47622	POJISTNE	OP	87980109
1649483	5591	1997-09-12	VYDAJ	PREVOD NA UCET	345	58751	POJISTNE	OP	87980109
1649484	5591	1997-10-12	VYDAJ	PREVOD NA UCET	345	47222	POJISTNE	OP	87980109
1649485	5591	1997-11-12	VYDAJ	PREVOD NA UCET	345	52542	POJISTNE	OP	87980109
1649486	5591	1997-12-12	VYDAJ	PREVOD NA UCET	345	64769	POJISTNE	OP	87980109
1649487	5591	1998-01-12	VYDAJ	PREVOD NA UCET	345	62422	POJISTNE	OP	87980109
1649488	5591	1998-02-12	VYDAJ	PREVOD NA UCET	345	62180	POJISTNE	OP	87980109
1649489	5591	1998-03-12	VYDAJ	PREVOD NA UCET	345	64339	POJISTNE	OP	87980109
1649490	5591	1998-04-12	VYDAJ	PREVOD NA UCET	345	70622	POJISTNE	OP	87980109
1649491	5591	1998-05-12	VYDAJ	PREVOD NA UCET	345	66529	POJISTNE	OP	87980109
1649492	5591	1998-06-12	VYDAJ	PREVOD NA UCET	345	75316	POJISTNE	OP	87980109
1649493	5591	1998-07-12	VYDAJ	PREVOD NA UCET	345	62520	POJISTNE	OP	87980109
1649494	5591	1998-08-12	VYDAJ	PREVOD NA UCET	345	70497	POJISTNE	OP	87980109
1649495	5591	1998-09-12	VYDAJ	PREVOD NA UCET	345	66912	POJISTNE	OP	87980109
1649496	5591	1998-10-12	VYDAJ	PREVOD NA UCET	345	54290	POJISTNE	OP	87980109
1649497	5591	1998-11-12	VYDAJ	PREVOD NA UCET	345	60038	POJISTNE	OP	87980109
1649498	5591	1998-12-12	VYDAJ	PREVOD NA UCET	345	74479	POJISTNE	OP	87980109
1649506	5591	1996-08-11	VYDAJ	PREVOD NA UCET	2	74215	 	YZ	30955463
1649507	5591	1996-09-11	VYDAJ	PREVOD NA UCET	2	48570	 	YZ	30955463
1649508	5591	1996-10-11	VYDAJ	PREVOD NA UCET	2	48102	 	YZ	30955463
1649509	5591	1996-11-11	VYDAJ	PREVOD NA UCET	2	57000	 	YZ	30955463
1649510	5591	1996-12-11	VYDAJ	PREVOD NA UCET	2	57150	 	YZ	30955463
1649511	5591	1997-01-11	VYDAJ	PREVOD NA UCET	2	42453	 	YZ	30955463
1649512	5591	1997-02-11	VYDAJ	PREVOD NA UCET	2	44442	 	YZ	30955463
1649513	5591	1997-03-11	VYDAJ	PREVOD NA UCET	2	59524	 	YZ	30955463
1649514	5591	1997-04-11	VYDAJ	PREVOD NA UCET	2	50817	 	YZ	30955463
1649515	5591	1997-05-11	VYDAJ	PREVOD NA UCET	2	39402	 	YZ	30955463
1649516	5591	1997-06-11	VYDAJ	PREVOD NA UCET	2	52927	 	YZ	30955463
1649517	5591	1997-07-11	VYDAJ	PREVOD NA UCET	2	54036	 	YZ	30955463
1649518	5591	1997-08-11	VYDAJ	PREVOD NA UCET	2	51665	 	YZ	30955463
1649519	5591	1997-09-11	VYDAJ	PREVOD NA UCET	2	62794	 	YZ	30955463
1649520	5591	1997-10-11	VYDAJ	PREVOD NA UCET	2	47567	 	YZ	30955463
1649521	5591	1997-11-11	VYDAJ	PREVOD NA UCET	2	56584	 	YZ	30955463
1649522	5591	1997-12-11	VYDAJ	PREVOD NA UCET	2	65114	 	YZ	30955463
1649523	5591	1998-01-11	VYDAJ	PREVOD NA UCET	2	62767	 	YZ	30955463
1649524	5591	1998-02-11	VYDAJ	PREVOD NA UCET	2	62525	 	YZ	30955463
1649525	5591	1998-03-11	VYDAJ	PREVOD NA UCET	2	68382	 	YZ	30955463
1649526	5591	1998-04-11	VYDAJ	PREVOD NA UCET	2	70967	 	YZ	30955463
1649527	5591	1998-05-11	VYDAJ	PREVOD NA UCET	2	70572	 	YZ	30955463
1649528	5591	1998-06-11	VYDAJ	PREVOD NA UCET	2	75661	 	YZ	30955463
1649529	5591	1998-07-11	VYDAJ	PREVOD NA UCET	2	66563	 	YZ	30955463
1649530	5591	1998-08-11	VYDAJ	PREVOD NA UCET	2	70842	 	YZ	30955463
1649531	5591	1998-09-11	VYDAJ	PREVOD NA UCET	2	67257	 	YZ	30955463
1649532	5591	1998-10-11	VYDAJ	PREVOD NA UCET	2	54635	 	YZ	30955463
1649533	5591	1998-11-11	VYDAJ	PREVOD NA UCET	2	60383	 	YZ	30955463
1649534	5591	1998-12-11	VYDAJ	PREVOD NA UCET	2	74824	 	YZ	30955463
1649535	5591	1996-10-07	VYBER	VYBER	14264	25917	\N	\N	\N
1649536	5591	1996-11-27	VYBER	VYBER	17046	27714	\N	\N	\N
1649539	5591	1996-08-27	VYBER	VYBER	12079	31671	\N	\N	\N
1649544	5591	1996-09-10	VYBER	VYBER	2698	48572	\N	\N	\N
1649548	5591	1997-10-02	VYBER	VYBER	23884	31882	\N	\N	\N
1649550	5591	1997-12-30	VYBER	VYBER	4913	52963	\N	\N	\N
1649552	5591	1997-04-17	VYBER	VYBER	20087	23492	\N	\N	\N
1649553	5591	1997-05-17	VYBER	VYBER	3219	28945	\N	\N	\N
1649554	5591	1997-12-01	VYBER	VYBER	8297	41236	\N	\N	\N
1649555	5591	1998-08-17	VYBER	VYBER	10560	53044	\N	\N	\N
1649556	5591	1998-04-15	VYBER	VYBER	3686	60043	\N	\N	\N
1649559	5591	1998-06-26	VYDAJ	VYBER	12600	55824	\N	\N	\N
1649561	5591	1997-01-24	VYDAJ	VYBER	9600	29313	\N	\N	\N
1649562	5591	1998-01-27	VYDAJ	VYBER	10800	44729	\N	\N	\N
1649563	5591	1996-12-13	VYDAJ	VYBER	6000	35310	\N	\N	\N
1649564	5591	1997-12-04	VYDAJ	VYBER	7200	34036	\N	\N	\N
1649565	5591	1998-12-06	VYDAJ	VYBER	5700	41546	\N	\N	\N
1649568	5591	1997-10-08	VYDAJ	VYBER	5100	47569	\N	\N	\N
1649569	5591	1997-08-01	VYDAJ	VYBER	4800	42180	\N	\N	\N
1649570	5591	1998-06-06	VYDAJ	VYBER	1800	42383	\N	\N	\N
1649571	5591	1998-11-25	VYDAJ	VYBER	4200	48945	\N	\N	\N
1649572	5591	1998-12-24	VYDAJ	VYBER	3900	63687	\N	\N	\N
1649573	5591	1998-10-08	VYDAJ	VYBER	6900	60637	\N	\N	\N
1649574	5591	1998-11-11	VYDAJ	VYBER	2400	60385	\N	\N	\N
1649575	5591	1998-10-11	VYDAJ	VYBER	6000	54637	\N	\N	\N
1649584	5591	1996-08-31	VYDAJ	VYBER	15	31883	SLUZBY	\N	\N
1649585	5591	1996-09-30	VYDAJ	VYBER	15	40181	SLUZBY	\N	\N
1649586	5591	1996-10-31	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
1649587	5591	1996-11-30	VYDAJ	VYBER	15	27872	SLUZBY	\N	\N
1649588	5591	1996-12-31	VYDAJ	VYBER	15	35468	SLUZBY	\N	\N
1649589	5591	1997-01-31	VYDAJ	VYBER	15	29457	SLUZBY	\N	\N
1649590	5591	1997-02-28	VYDAJ	VYBER	15	37339	SLUZBY	\N	\N
1649591	5591	1997-03-31	VYDAJ	VYBER	15	38332	SLUZBY	\N	\N
1649592	5591	1997-04-30	VYDAJ	VYBER	15	23617	SLUZBY	\N	\N
1649593	5591	1997-05-31	VYDAJ	VYBER	15	29049	SLUZBY	\N	\N
1649594	5591	1997-06-30	VYDAJ	VYBER	15	45851	SLUZBY	\N	\N
1649595	5591	1997-07-31	VYDAJ	VYBER	15	46980	SLUZBY	\N	\N
1649596	5591	1997-08-31	VYDAJ	VYBER	15	44609	SLUZBY	\N	\N
1649597	5591	1997-09-30	VYDAJ	VYBER	15	55766	SLUZBY	\N	\N
1649598	5591	1997-10-31	VYDAJ	VYBER	15	40499	SLUZBY	\N	\N
1649599	5591	1997-11-30	VYDAJ	VYBER	15	49533	SLUZBY	\N	\N
1649600	5591	1997-12-31	VYDAJ	VYBER	15	53182	SLUZBY	\N	\N
1649601	5591	1998-01-31	VYDAJ	VYBER	15	44940	SLUZBY	\N	\N
1649602	5591	1998-02-28	VYDAJ	VYBER	15	55497	SLUZBY	\N	\N
1649603	5591	1998-03-31	VYDAJ	VYBER	15	61382	SLUZBY	\N	\N
1649604	5591	1998-04-30	VYDAJ	VYBER	15	60287	SLUZBY	\N	\N
1649605	5591	1998-05-31	VYDAJ	VYBER	15	63583	SLUZBY	\N	\N
1649606	5591	1998-06-30	VYDAJ	VYBER	15	56078	SLUZBY	\N	\N
1649607	5591	1998-07-31	VYDAJ	VYBER	15	59557	SLUZBY	\N	\N
1649608	5591	1998-08-31	VYDAJ	VYBER	15	53272	SLUZBY	\N	\N
1649609	5591	1998-09-30	VYDAJ	VYBER	15	60250	SLUZBY	\N	\N
1649610	5591	1998-10-31	VYDAJ	VYBER	15	47598	SLUZBY	\N	\N
1649611	5591	1998-11-30	VYDAJ	VYBER	15	49146	SLUZBY	\N	\N
1649612	5591	1996-04-15	PRIJEM	VKLAD	1200	24387	\N	\N	\N
1649613	5591	1996-05-15	VYDAJ	VYBER	9400	37228	\N	\N	\N
1649614	5591	1996-06-14	VYDAJ	VYBER	21200	49439	\N	\N	\N
1649615	5591	1996-07-14	VYDAJ	VYBER	16700	55110	\N	\N	\N
1649616	5591	1996-08-13	VYDAJ	VYBER	14400	56275	\N	\N	\N
1649617	5591	1996-09-12	VYDAJ	VYBER	5000	43570	\N	\N	\N
1649618	5591	1996-10-12	VYDAJ	VYBER	2700	45402	\N	\N	\N
1649619	5591	1996-11-11	VYDAJ	VYBER	8700	48300	\N	\N	\N
1649620	5591	1996-12-11	VYDAJ	VYBER	12300	44850	\N	\N	\N
1649621	5591	1997-01-10	VYDAJ	VYBER	12200	42455	\N	\N	\N
1649622	5591	1997-02-09	VYDAJ	VYBER	7200	44444	\N	\N	\N
1649623	5591	1997-03-11	VYDAJ	VYBER	14100	45424	\N	\N	\N
1649624	5591	1997-04-10	VYDAJ	VYBER	9700	50819	\N	\N	\N
1649625	5591	1997-05-10	VYDAJ	VYBER	6400	39404	\N	\N	\N
1649626	5591	1997-06-09	VYDAJ	VYBER	9400	52929	\N	\N	\N
1649627	5591	1997-07-09	VYDAJ	VYBER	14000	54038	\N	\N	\N
1649628	5591	1997-08-08	VYDAJ	VYBER	12700	51667	\N	\N	\N
1649629	5591	1997-09-07	VYDAJ	VYBER	4000	40609	\N	\N	\N
1649630	5591	1997-10-07	VYDAJ	VYBER	1400	30482	\N	\N	\N
1649631	5591	1997-11-06	VYDAJ	VYBER	6100	34399	\N	\N	\N
1649632	5591	1997-12-06	VYDAJ	VYBER	2200	31836	\N	\N	\N
1649633	5591	1998-01-05	VYDAJ	VYBER	12600	40582	\N	\N	\N
1649634	5591	1998-02-04	VYDAJ	VYBER	4600	40340	\N	\N	\N
1649635	5591	1998-03-06	VYDAJ	VYBER	9300	46197	\N	\N	\N
1649636	5591	1998-04-05	VYDAJ	VYBER	12600	48782	\N	\N	\N
1649637	5591	1998-05-05	VYDAJ	VYBER	11900	48387	\N	\N	\N
1649638	5591	1998-06-04	VYDAJ	VYBER	19400	44183	\N	\N	\N
1649639	5591	1998-07-04	VYDAJ	VYBER	11700	44378	\N	\N	\N
1649640	5591	1998-08-03	VYDAJ	VYBER	10900	48657	\N	\N	\N
1649641	5591	1998-09-02	VYDAJ	VYBER	8200	45072	\N	\N	\N
1649642	5591	1998-10-02	VYDAJ	VYBER	14900	45350	\N	\N	\N
1649643	5591	1998-11-01	VYDAJ	VYBER	7000	40598	\N	\N	\N
1649644	5591	1998-12-01	VYDAJ	VYBER	1900	47246	\N	\N	\N
1650173	5593	1996-02-27	PRIJEM	VKLAD	800	800	\N	\N	\N
1650174	5593	1996-07-05	PRIJEM	VKLAD	49412	98630	\N	\N	\N
1650176	5593	1996-07-03	PRIJEM	VKLAD	25203	49218	\N	\N	\N
1650177	5593	1996-07-30	PRIJEM	VKLAD	12909	60399	\N	\N	\N
1650178	5593	1996-09-08	PRIJEM	VKLAD	19301	59193	\N	\N	\N
1650179	5593	1996-03-17	PRIJEM	VKLAD	27663	56440	\N	\N	\N
1650182	5593	1996-03-04	PRIJEM	VKLAD	27977	28777	\N	\N	\N
1650184	5593	1996-12-29	PRIJEM	VKLAD	44076	60866	\N	\N	\N
1650185	5593	1996-06-04	PRIJEM	VKLAD	26063	47367	\N	\N	\N
1650186	5593	1996-05-02	PRIJEM	VKLAD	32308	68344	\N	\N	\N
1650187	5593	1996-03-31	PRIJEM	VKLAD	6304	62177	\N	\N	\N
1650188	5593	1996-07-11	PRIJEM	VKLAD	44871	124090	\N	\N	\N
1650189	5593	1996-03-25	PRIJEM	VKLAD	32905	89345	\N	\N	\N
1650190	5593	1996-10-03	PRIJEM	VKLAD	46116	82291	\N	\N	\N
1650191	5593	1996-09-13	PRIJEM	VKLAD	15659	71154	\N	\N	\N
1650192	5593	1996-08-02	PRIJEM	VKLAD	39816	88754	\N	\N	\N
1650193	5593	1997-07-03	PRIJEM	VKLAD	20371	115243	\N	\N	\N
1650194	5593	1997-08-25	PRIJEM	VKLAD	37391	100359	\N	\N	\N
1650195	5593	1997-06-04	PRIJEM	VKLAD	7592	65013	\N	\N	\N
1650196	5593	1997-12-02	PRIJEM	VKLAD	5106	25199	\N	\N	\N
1650197	5593	1997-09-18	PRIJEM	VKLAD	11575	43595	\N	\N	\N
1650198	5593	1997-04-26	PRIJEM	VKLAD	36843	83599	\N	\N	\N
1650199	5593	1997-03-31	PRIJEM	VKLAD	35223	81693	\N	\N	\N
1650200	5593	1997-10-13	PRIJEM	VKLAD	6853	19664	\N	\N	\N
1650201	5593	1997-08-26	PRIJEM	VKLAD	9940	110299	\N	\N	\N
1650202	5593	1997-03-04	PRIJEM	VKLAD	45900	149337	\N	\N	\N
1650203	5593	1997-08-31	PRIJEM	VKLAD	15709	96708	\N	\N	\N
1650204	5593	1997-03-04	PRIJEM	VKLAD	46957	103437	\N	\N	\N
1650205	5593	1997-09-07	PRIJEM	VKLAD	17421	104129	\N	\N	\N
1650206	5593	1997-07-16	PRIJEM	VKLAD	37163	119902	\N	\N	\N
1650207	5593	1997-08-14	PRIJEM	VKLAD	17452	57296	\N	\N	\N
1650208	5593	1997-07-15	PRIJEM	VKLAD	21026	82739	\N	\N	\N
1650209	5593	1997-12-12	PRIJEM	VKLAD	39490	54140	\N	\N	\N
1650210	5593	1997-08-21	PRIJEM	VKLAD	14872	62968	\N	\N	\N
1650211	5593	1997-01-25	PRIJEM	VKLAD	33617	59559	\N	\N	\N
1650212	5593	1997-06-25	PRIJEM	VKLAD	47557	94624	\N	\N	\N
1650213	5593	1997-11-04	PRIJEM	VKLAD	17634	49981	\N	\N	\N
1650214	5593	1997-01-29	PRIJEM	VKLAD	37409	96968	\N	\N	\N
1650215	5593	1998-10-14	PRIJEM	VKLAD	26391	80247	\N	\N	\N
1650216	5593	1998-08-06	PRIJEM	VKLAD	16305	84296	\N	\N	\N
1650217	5593	1998-03-21	PRIJEM	VKLAD	29215	100403	\N	\N	\N
1650218	5593	1998-05-08	PRIJEM	VKLAD	21005	80312	\N	\N	\N
1650219	5593	1998-12-02	PRIJEM	VKLAD	20028	112615	\N	\N	\N
1650220	5593	1998-01-26	PRIJEM	VKLAD	14979	39613	\N	\N	\N
1650221	5593	1998-11-30	PRIJEM	VKLAD	25758	92291	\N	\N	\N
1650222	5593	1998-07-16	PRIJEM	VKLAD	21225	95631	\N	\N	\N
1650223	5593	1998-11-02	PRIJEM	VKLAD	34006	116767	\N	\N	\N
1650224	5593	1998-02-19	PRIJEM	VKLAD	23760	96656	\N	\N	\N
1650225	5593	1998-09-20	PRIJEM	VKLAD	41555	95788	\N	\N	\N
1650226	5593	1998-09-22	PRIJEM	VKLAD	44264	135652	\N	\N	\N
1650227	5593	1998-12-26	PRIJEM	VKLAD	24140	67206	\N	\N	\N
1650228	5593	1998-10-21	PRIJEM	VKLAD	49967	135488	\N	\N	\N
1650229	5593	1998-09-28	PRIJEM	VKLAD	7459	131139	\N	\N	\N
1650230	5593	1998-11-22	PRIJEM	VKLAD	7792	94869	\N	\N	\N
1650231	5593	1998-04-07	PRIJEM	VKLAD	14444	109164	\N	\N	\N
1650232	5593	1998-03-03	PRIJEM	VKLAD	39744	136537	\N	\N	\N
1650233	5593	1998-10-16	PRIJEM	VKLAD	23774	87321	\N	\N	\N
1650234	5593	1998-05-12	PRIJEM	VKLAD	49553	129865	\N	\N	\N
1650235	5593	1998-07-10	PRIJEM	VKLAD	29639	74406	\N	\N	\N
1650236	5593	1998-11-22	PRIJEM	VKLAD	35564	130433	\N	\N	\N
1650237	5593	1998-11-21	PRIJEM	VKLAD	22759	87077	\N	\N	\N
1650238	5593	1998-04-11	PRIJEM	VKLAD	9874	75638	\N	\N	\N
1650239	5593	1998-01-26	PRIJEM	VKLAD	27646	67259	\N	\N	\N
1650240	5593	1998-09-24	PRIJEM	VKLAD	18728	139180	\N	\N	\N
1650241	5593	1998-10-02	PRIJEM	VKLAD	16125	64705	\N	\N	\N
1650242	5593	1998-02-08	PRIJEM	VKLAD	39156	98696	\N	\N	\N
1650243	5593	1998-02-28	PRIJEM	VKLAD	12092	96448	\N	\N	\N
1650248	5593	1996-05-01	VYDAJ	VYBER	5200	36036	\N	\N	0
1650249	5593	1996-06-16	VYDAJ	VYBER	3500	18021	\N	\N	0
1650250	5593	1996-07-11	VYDAJ	VYBER	3500	120590	\N	\N	0
1650251	5593	1996-08-12	VYDAJ	PREVOD NA UCET	3698	64544	UVER	GH	67515390
1650252	5593	1996-09-12	VYDAJ	PREVOD NA UCET	3698	55495	UVER	GH	67515390
1650253	5593	1996-10-12	VYDAJ	PREVOD NA UCET	3698	40482	UVER	GH	67515390
1650254	5593	1996-11-12	VYDAJ	PREVOD NA UCET	3698	9287	UVER	GH	67515390
1650255	5593	1996-12-12	VYDAJ	PREVOD NA UCET	3698	9090	UVER	GH	67515390
1650256	5593	1997-01-12	VYDAJ	PREVOD NA UCET	3698	16742	UVER	GH	67515390
1650257	5593	1997-02-12	VYDAJ	PREVOD NA UCET	3698	78080	UVER	GH	67515390
1650258	5593	1997-03-12	VYDAJ	PREVOD NA UCET	3698	71650	UVER	GH	67515390
1650259	5593	1997-04-12	VYDAJ	PREVOD NA UCET	3698	71932	UVER	GH	67515390
1650260	5593	1997-05-12	VYDAJ	PREVOD NA UCET	3698	74136	UVER	GH	67515390
1650261	5593	1997-06-12	VYDAJ	PREVOD NA UCET	3698	55267	UVER	GH	67515390
1650262	5593	1997-07-12	VYDAJ	PREVOD NA UCET	3698	71296	UVER	GH	67515390
1650263	5593	1997-08-15	VYDAJ	VYBER	4900	52396	\N	\N	0
1650264	5593	1997-08-31	VYDAJ	VYBER	4200	92772	\N	\N	0
1650265	5593	1997-10-16	VYDAJ	VYBER	3600	16064	\N	\N	0
1650266	5593	1997-11-07	VYDAJ	VYBER	3400	40532	\N	\N	0
1650267	5593	1997-12-11	VYDAJ	VYBER	4500	14650	\N	\N	0
1650268	5593	1998-01-20	VYDAJ	VYBER	4000	33334	\N	\N	0
1650269	5593	1998-02-16	VYDAJ	VYBER	2800	95896	\N	\N	0
1650270	5593	1998-03-18	VYDAJ	VYBER	4900	71188	\N	\N	0
1650271	5593	1998-04-15	VYDAJ	VYBER	3500	72138	\N	\N	0
1650272	5593	1998-05-13	VYDAJ	VYBER	3800	77965	\N	\N	0
1650273	5593	1998-06-03	VYDAJ	VYBER	4900	62042	\N	\N	0
1650274	5593	1998-07-06	VYDAJ	VYBER	4400	44767	\N	\N	0
1650275	5593	1998-08-07	VYDAJ	VYBER	4900	79396	\N	\N	0
1650276	5593	1998-09-20	VYDAJ	VYBER	4400	91388	\N	\N	0
1650277	5593	1998-10-09	VYDAJ	VYBER	2400	53856	\N	\N	0
1650278	5593	1998-11-06	VYDAJ	VYBER	3600	82118	\N	\N	0
1650279	5593	1998-12-16	VYDAJ	VYBER	4400	52666	\N	\N	0
1650284	5593	1996-05-05	VYDAJ	PREVOD NA UCET	6049	56867	SIPO	EF	48020237
1650285	5593	1996-06-05	VYDAJ	PREVOD NA UCET	6049	41318	SIPO	EF	48020237
1650286	5593	1996-07-05	VYDAJ	PREVOD NA UCET	6049	92581	SIPO	EF	48020237
1650287	5593	1996-08-05	VYDAJ	PREVOD NA UCET	6049	82705	SIPO	EF	48020237
1650288	5593	1996-09-05	VYDAJ	PREVOD NA UCET	6049	39892	SIPO	EF	48020237
1650289	5593	1996-10-05	VYDAJ	PREVOD NA UCET	6049	76242	SIPO	EF	48020237
1650290	5593	1996-11-05	VYDAJ	PREVOD NA UCET	6049	12985	SIPO	EF	48020237
1650291	5593	1996-12-05	VYDAJ	PREVOD NA UCET	6049	12787	SIPO	EF	48020237
1650292	5593	1997-01-05	VYDAJ	PREVOD NA UCET	6049	48581	SIPO	EF	48020237
1650293	5593	1997-02-05	VYDAJ	PREVOD NA UCET	6049	81777	SIPO	EF	48020237
1650294	5593	1997-03-05	VYDAJ	PREVOD NA UCET	6049	75348	SIPO	EF	48020237
1650295	5593	1997-04-05	VYDAJ	PREVOD NA UCET	6049	75630	SIPO	EF	48020237
1650296	5593	1997-05-05	VYDAJ	PREVOD NA UCET	6049	77833	SIPO	EF	48020237
1650297	5593	1997-06-05	VYDAJ	PREVOD NA UCET	6049	58964	SIPO	EF	48020237
1650298	5593	1997-07-05	VYDAJ	PREVOD NA UCET	6049	80094	SIPO	EF	48020237
1650299	5593	1997-08-05	VYDAJ	PREVOD NA UCET	6049	39844	SIPO	EF	48020237
1650300	5593	1997-09-05	VYDAJ	PREVOD NA UCET	6049	86708	SIPO	EF	48020237
1650301	5593	1997-10-05	VYDAJ	PREVOD NA UCET	6049	18211	SIPO	EF	48020237
1650302	5593	1997-11-05	VYDAJ	PREVOD NA UCET	6049	43932	SIPO	EF	48020237
1650303	5593	1997-12-05	VYDAJ	PREVOD NA UCET	6049	19150	SIPO	EF	48020237
1650304	5593	1998-01-05	VYDAJ	PREVOD NA UCET	6049	15034	SIPO	EF	48020237
1650305	5593	1998-02-05	VYDAJ	PREVOD NA UCET	6049	59540	SIPO	EF	48020237
1650306	5593	1998-03-05	VYDAJ	PREVOD NA UCET	6049	87688	SIPO	EF	48020237
1650307	5593	1998-04-05	VYDAJ	PREVOD NA UCET	6049	94720	SIPO	EF	48020237
1650308	5593	1998-05-05	VYDAJ	PREVOD NA UCET	6049	59307	SIPO	EF	48020237
1650309	5593	1998-06-05	VYDAJ	PREVOD NA UCET	6049	55993	SIPO	EF	48020237
1650310	5593	1998-07-05	VYDAJ	PREVOD NA UCET	6049	49167	SIPO	EF	48020237
1650311	5593	1998-08-05	VYDAJ	PREVOD NA UCET	6049	67991	SIPO	EF	48020237
1650312	5593	1998-09-05	VYDAJ	PREVOD NA UCET	6049	62033	SIPO	EF	48020237
1650313	5593	1998-10-05	VYDAJ	PREVOD NA UCET	6049	56256	SIPO	EF	48020237
1650314	5593	1998-11-05	VYDAJ	PREVOD NA UCET	6049	85718	SIPO	EF	48020237
1650315	5593	1998-12-05	VYDAJ	PREVOD NA UCET	6049	58166	SIPO	EF	48020237
1650316	5593	1996-06-13	VYBER	VYBER	19797	21521	\N	\N	\N
1650317	5593	1996-08-22	VYBER	VYBER	2739	61805	\N	\N	\N
1650321	5593	1996-05-29	VYBER	VYBER	21171	21096	\N	\N	\N
1650322	5593	1996-09-14	VYBER	VYBER	21561	49593	\N	\N	\N
1650324	5593	1996-07-07	VYBER	VYBER	13362	79219	\N	\N	\N
1650325	5593	1996-05-04	VYBER	VYBER	5428	62916	\N	\N	\N
1650327	5593	1996-10-27	VYBER	VYBER	15013	18869	\N	\N	\N
1650328	5593	1996-08-08	VYBER	VYBER	14463	68242	\N	\N	\N
1650329	5593	1996-10-12	VYBER	VYBER	17962	44180	\N	\N	\N
1650330	5593	1997-03-21	VYBER	VYBER	7342	56208	\N	\N	\N
1650331	5593	1997-09-12	VYBER	VYBER	7409	32020	\N	\N	\N
1650333	5593	1997-04-16	VYBER	VYBER	10318	59456	\N	\N	\N
1650334	5593	1997-04-15	VYBER	VYBER	2158	69774	\N	\N	\N
1650335	5593	1997-11-23	VYBER	VYBER	10010	31483	\N	\N	\N
1650336	5593	1997-09-21	VYBER	VYBER	18803	24092	\N	\N	\N
1650337	5593	1997-07-17	VYBER	VYBER	12568	53234	\N	\N	\N
1650338	5593	1997-11-14	VYBER	VYBER	4639	35893	\N	\N	\N
1650339	5593	1997-01-08	VYBER	VYBER	10441	38140	\N	\N	\N
1650340	5593	1997-07-13	VYBER	VYBER	9583	61713	\N	\N	\N
1650341	5593	1997-03-05	VYBER	VYBER	18740	81397	\N	\N	\N
1650342	5593	1997-11-24	VYBER	VYBER	11517	19966	\N	\N	\N
1650347	5593	1997-01-11	VYDAJ	VYBER	17700	20440	\N	\N	\N
1650356	5593	1997-01-29	VYDAJ	VYBER KARTOU	3900	87668	\N	\N	0
1650357	5593	1997-01-04	VYDAJ	VYBER KARTOU	3900	54630	\N	\N	0
1650358	5593	1997-01-29	VYDAJ	VYBER	5400	91568	\N	\N	\N
1650360	5593	1997-01-02	VYDAJ	VYBER KARTOU	2400	58530	\N	\N	0
1650361	5593	1998-01-22	VYDAJ	VYBER	8700	24634	\N	\N	\N
1650362	5593	1998-01-04	VYDAJ	VYBER	6600	28583	\N	\N	\N
1650363	5593	1998-01-05	VYDAJ	VYBER	7500	21083	\N	\N	\N
1650365	5593	1998-01-03	VYDAJ	VYBER	4500	35183	\N	\N	\N
1650366	5593	1998-01-30	VYDAJ	VYBER KARTOU	1800	65459	\N	\N	0
1650367	5593	1996-10-10	VYDAJ	VYBER	14100	62142	\N	\N	\N
1650368	5593	1996-07-30	VYDAJ	VYBER	11700	48699	\N	\N	\N
1650369	5593	1996-09-21	VYDAJ	VYBER	7200	42393	\N	\N	\N
1650371	5593	1997-10-05	VYDAJ	VYBER	5400	12811	\N	\N	\N
1650372	5593	1997-12-24	VYDAJ	VYBER	13500	39540	\N	\N	\N
1650373	5593	1997-07-11	VYDAJ	VYBER	5100	74994	\N	\N	\N
1650374	5593	1997-03-14	VYDAJ	VYBER	8100	63550	\N	\N	\N
1650375	5593	1998-11-12	VYDAJ	VYBER KARTOU	2400	79718	\N	\N	0
1650376	5593	1998-12-29	VYDAJ	VYBER	4800	62406	\N	\N	\N
1650377	5593	1998-02-21	VYDAJ	VYBER	12300	84356	\N	\N	\N
1650378	5593	1998-12-25	VYDAJ	VYBER	9600	43066	\N	\N	\N
1650379	5593	1998-10-19	VYDAJ	VYBER KARTOU	1800	85521	\N	\N	0
1650380	5593	1998-10-04	VYDAJ	VYBER KARTOU	2400	62305	\N	\N	0
1650386	5593	1996-05-31	VYDAJ	VYBER	15	21304	SLUZBY	\N	\N
1650387	5593	1996-06-30	VYDAJ	VYBER	15	24015	SLUZBY	\N	\N
1650388	5593	1996-07-31	VYDAJ	VYBER	15	48938	SLUZBY	\N	\N
1650389	5593	1996-08-31	VYDAJ	VYBER	15	45941	SLUZBY	\N	\N
1650390	5593	1996-09-30	VYDAJ	VYBER	15	36175	SLUZBY	\N	\N
1650391	5593	1996-10-31	VYDAJ	VYBER	15	19034	SLUZBY	\N	\N
1650392	5593	1996-11-30	VYDAJ	VYBER	15	18836	SLUZBY	\N	\N
1650393	5593	1996-12-31	VYDAJ	VYBER	15	60930	SLUZBY	\N	\N
1650394	5593	1997-01-31	VYDAJ	VYBER	15	87826	SLUZBY	\N	\N
1650395	5593	1997-02-28	VYDAJ	VYBER	15	56480	SLUZBY	\N	\N
1650396	5593	1997-03-31	VYDAJ	VYBER	15	81679	SLUZBY	\N	\N
1650397	5593	1997-04-30	VYDAJ	VYBER	15	83882	SLUZBY	\N	\N
1650398	5593	1997-05-31	VYDAJ	VYBER	15	57421	SLUZBY	\N	\N
1650399	5593	1997-06-30	VYDAJ	VYBER	15	94872	SLUZBY	\N	\N
1650400	5593	1997-07-31	VYDAJ	VYBER	15	45893	SLUZBY	\N	\N
1650401	5593	1997-08-31	VYDAJ	VYBER	15	92757	SLUZBY	\N	\N
1650402	5593	1997-09-30	VYDAJ	VYBER	15	24260	SLUZBY	\N	\N
1650403	5593	1997-10-31	VYDAJ	VYBER	15	32347	SLUZBY	\N	\N
1650404	5593	1997-11-30	VYDAJ	VYBER	15	20093	SLUZBY	\N	\N
1650405	5593	1997-12-31	VYDAJ	VYBER	15	39683	SLUZBY	\N	\N
1650406	5593	1998-01-31	VYDAJ	VYBER	15	65589	SLUZBY	\N	\N
1650407	5593	1998-02-28	VYDAJ	VYBER	15	96793	SLUZBY	\N	\N
1650408	5593	1998-03-31	VYDAJ	VYBER	15	100769	SLUZBY	\N	\N
1650409	5593	1998-04-30	VYDAJ	VYBER	15	65356	SLUZBY	\N	\N
1650410	5593	1998-05-31	VYDAJ	VYBER	15	66942	SLUZBY	\N	\N
1650411	5593	1998-06-30	VYDAJ	VYBER	15	55216	SLUZBY	\N	\N
1650412	5593	1998-07-31	VYDAJ	VYBER	15	74040	SLUZBY	\N	\N
1650413	5593	1998-08-31	VYDAJ	VYBER	15	68082	SLUZBY	\N	\N
1650414	5593	1998-09-30	VYDAJ	VYBER	15	110680	SLUZBY	\N	\N
1650415	5593	1998-10-31	VYDAJ	VYBER	15	82761	SLUZBY	\N	\N
1650416	5593	1998-11-30	VYDAJ	VYBER	15	92587	SLUZBY	\N	\N
1650417	5593	1996-03-28	VYDAJ	VYBER	33600	55745	\N	\N	\N
1650418	5593	1996-04-27	VYDAJ	VYBER	21200	40977	\N	\N	\N
1650419	5593	1996-05-27	VYDAJ	VYBER	14600	42267	\N	\N	\N
1650420	5593	1996-06-26	PRIJEM	VKLAD	5900	23921	\N	\N	\N
1650421	5593	1996-07-11	VYDAJ	VYBER	54100	66490	\N	\N	\N
1650422	5593	1996-07-26	VYDAJ	VYBER	19000	47490	\N	\N	\N
1650423	5593	1996-08-25	VYDAJ	VYBER	16100	45705	\N	\N	\N
1650424	5593	1996-09-24	VYDAJ	VYBER	6400	35993	\N	\N	\N
1650425	5593	1996-10-24	VYDAJ	VYBER	6600	33882	\N	\N	\N
1650426	5593	1996-11-23	PRIJEM	VKLAD	9500	18787	\N	\N	\N
1650427	5593	1996-12-23	PRIJEM	VKLAD	7700	16790	\N	\N	\N
1650428	5593	1997-01-22	PRIJEM	VKLAD	9200	25942	\N	\N	\N
1650429	5593	1997-02-21	VYDAJ	VYBER	21900	56180	\N	\N	\N
1650430	5593	1997-03-04	VYDAJ	VYBER	49200	100137	\N	\N	\N
1650431	5593	1997-03-23	VYDAJ	VYBER	10000	46208	\N	\N	\N
1650432	5593	1997-04-22	VYDAJ	VYBER	12700	46756	\N	\N	\N
1650433	5593	1997-05-22	VYDAJ	VYBER	17000	57136	\N	\N	\N
1650434	5593	1997-06-21	VYDAJ	VYBER	8200	47067	\N	\N	\N
1650435	5593	1997-07-03	VYDAJ	VYBER	29100	86143	\N	\N	\N
1650436	5593	1997-07-16	VYDAJ	VYBER	54100	65802	\N	\N	\N
1650437	5593	1997-07-21	VYDAJ	VYBER	7600	45634	\N	\N	\N
1650438	5593	1997-08-20	VYDAJ	VYBER	4300	48096	\N	\N	\N
1650439	5593	1997-08-26	VYDAJ	VYBER	29300	80999	\N	\N	\N
1650440	5593	1997-09-07	VYDAJ	VYBER	64700	39429	\N	\N	\N
1650441	5593	1997-09-19	VYDAJ	VYBER KARTOU	700	42895	\N	\N	0
1650442	5593	1997-10-19	PRIJEM	VKLAD	16200	32264	\N	\N	\N
1650443	5593	1997-11-18	PRIJEM	VKLAD	5600	41493	\N	\N	\N
1650444	5593	1997-12-18	VYDAJ	VYBER KARTOU	1100	53040	\N	\N	0
1650445	5593	1998-01-17	PRIJEM	VKLAD	22300	37334	\N	\N	\N
1650446	5593	1998-02-16	VYDAJ	VYBER	23000	72896	\N	\N	\N
1650447	5593	1998-03-03	VYDAJ	VYBER	42800	93737	\N	\N	\N
1650448	5593	1998-03-18	VYDAJ	VYBER	11600	76088	\N	\N	\N
1650449	5593	1998-04-07	VYDAJ	VYBER	43400	65764	\N	\N	\N
1650450	5593	1998-04-17	VYDAJ	VYBER	7100	65038	\N	\N	\N
1650451	5593	1998-05-12	VYDAJ	VYBER	48100	81765	\N	\N	\N
1650452	5593	1998-05-17	VYDAJ	VYBER	11300	66665	\N	\N	\N
1650453	5593	1998-06-16	VYDAJ	VYBER KARTOU	1000	54993	\N	\N	0
1650454	5593	1998-07-16	VYDAJ	VYBER	21900	73731	\N	\N	\N
1650455	5593	1998-08-15	VYDAJ	VYBER	11600	67796	\N	\N	\N
1650456	5593	1998-09-14	VYDAJ	VYBER	7800	54233	\N	\N	\N
1650457	5593	1998-09-22	VYDAJ	VYBER	15200	120452	\N	\N	\N
1650458	5593	1998-09-24	VYDAJ	VYBER	15500	123680	\N	\N	\N
1650459	5593	1998-09-28	VYDAJ	VYBER	20800	110339	\N	\N	\N
1650460	5593	1998-09-30	VYDAJ	VYBER	62100	48580	\N	\N	\N
1650461	5593	1998-10-14	VYDAJ	VYBER	16700	63547	\N	\N	\N
1650462	5593	1998-10-21	VYDAJ	VYBER	53100	82388	\N	\N	\N
1650463	5593	1998-11-02	VYDAJ	VYBER	25000	91767	\N	\N	\N
1650464	5593	1998-11-13	VYDAJ	VYBER	15400	64318	\N	\N	\N
1650465	5593	1998-11-22	VYDAJ	VYBER	63900	66533	\N	\N	\N
1650466	5593	1998-12-02	VYDAJ	VYBER	48400	64215	\N	\N	\N
1650467	5593	1998-12-13	VYDAJ	VYBER KARTOU	1100	57066	\N	\N	0
1652422	5602	1996-07-10	PRIJEM	VKLAD	600	16289	\N	\N	\N
1652424	5602	1996-07-10	PRIJEM	VKLAD	15689	15689	\N	\N	\N
1652426	5602	1996-10-16	PRIJEM	VKLAD	43206	91350	\N	\N	\N
1652428	5602	1996-07-15	PRIJEM	VKLAD	49530	65819	\N	\N	\N
1652429	5602	1996-09-28	PRIJEM	VKLAD	49867	139525	\N	\N	\N
1652430	5602	1996-08-13	PRIJEM	VKLAD	41531	102173	\N	\N	\N
1652436	5602	1996-09-16	PRIJEM	VKLAD	40673	104525	\N	\N	\N
1652437	5602	1996-10-19	PRIJEM	VKLAD	37738	129088	\N	\N	\N
1652438	5602	1996-07-25	PRIJEM	VKLAD	45655	111474	\N	\N	\N
1652439	5602	1996-08-08	PRIJEM	VKLAD	43399	117942	\N	\N	\N
1652440	5602	1996-10-20	PRIJEM	VKLAD	14014	125802	\N	\N	\N
1652441	5602	1998-01-27	PRIJEM	VKLAD	45696	103678	\N	\N	\N
1652442	5602	1998-11-08	PRIJEM	VKLAD	18503	69334	\N	\N	\N
1652443	5602	1998-03-26	PRIJEM	VKLAD	12526	59132	\N	\N	\N
1652444	5602	1998-02-12	PRIJEM	VKLAD	15130	71519	\N	\N	\N
1652445	5602	1998-12-27	PRIJEM	VKLAD	28599	96135	\N	\N	\N
1652446	5602	1998-07-24	PRIJEM	VKLAD	37645	66279	\N	\N	\N
1652447	5602	1998-10-14	PRIJEM	VKLAD	31923	86968	\N	\N	\N
1652448	5602	1998-10-28	PRIJEM	VKLAD	28736	125199	\N	\N	\N
1652449	5602	1998-12-12	PRIJEM	VKLAD	7307	56369	\N	\N	\N
1652450	5602	1998-06-17	PRIJEM	VKLAD	37304	121901	\N	\N	\N
1652451	5602	1998-01-28	PRIJEM	VKLAD	40500	144178	\N	\N	\N
1652452	5602	1998-06-13	PRIJEM	VKLAD	30735	110297	\N	\N	\N
1652453	5602	1998-09-02	PRIJEM	VKLAD	23588	76298	\N	\N	\N
1652454	5602	1998-12-24	PRIJEM	VKLAD	33410	67536	\N	\N	\N
1652455	5602	1998-01-17	PRIJEM	VKLAD	46627	66982	\N	\N	\N
1652456	5602	1998-06-18	PRIJEM	VKLAD	6472	109473	\N	\N	\N
1652457	5602	1998-06-12	PRIJEM	VKLAD	35541	83259	\N	\N	\N
1652458	5602	1998-10-10	PRIJEM	VKLAD	8845	58743	\N	\N	\N
1652459	5602	1998-06-18	PRIJEM	VKLAD	31255	140728	\N	\N	\N
1652460	5602	1998-10-19	PRIJEM	VKLAD	9495	96463	\N	\N	\N
1652461	5602	1998-08-25	PRIJEM	VKLAD	30093	80283	\N	\N	\N
1652462	5602	1998-03-07	PRIJEM	VKLAD	25947	75640	\N	\N	\N
1652463	5602	1998-06-05	PRIJEM	VKLAD	15411	47718	\N	\N	\N
1652472	5602	1996-09-17	VYDAJ	VYBER	4300	100225	\N	\N	0
1652473	5602	1996-10-13	VYDAJ	VYBER	3100	48144	\N	\N	0
1652474	5602	1996-11-26	VYDAJ	VYBER	3300	50098	\N	\N	0
1652475	5602	1996-11-25	VYDAJ	VYBER	3500	53398	\N	\N	0
1652476	5602	1997-01-02	VYDAJ	VYBER	4500	23102	\N	\N	0
1652477	5602	1997-02-20	VYDAJ	VYBER	2800	21279	\N	\N	0
1652478	5602	1997-03-18	VYDAJ	VYBER	4200	20653	\N	\N	0
1652479	5602	1997-04-25	VYDAJ	VYBER	3300	19140	\N	\N	0
1652480	5602	1997-05-16	VYDAJ	VYBER	3000	22728	\N	\N	0
1652481	5602	1997-06-17	VYDAJ	VYBER	3600	20014	\N	\N	0
1652482	5602	1997-07-12	VYDAJ	VYBER	2700	18403	\N	\N	0
1652483	5602	1997-08-28	VYDAJ	VYBER	3200	14881	\N	\N	0
1652484	5602	1997-09-15	VYDAJ	VYBER	3800	16655	\N	\N	0
1652485	5602	1997-10-03	VYDAJ	VYBER	2200	19520	\N	\N	0
1652486	5602	1997-11-04	VYDAJ	VYBER	3000	20200	\N	\N	0
1652487	5602	1997-11-28	VYDAJ	VYBER	2800	17400	\N	\N	0
1652488	5602	1998-01-12	VYDAJ	PREVOD NA UCET	3698	20355	UVER	EF	42234236
1652489	5602	1998-02-12	VYDAJ	PREVOD NA UCET	3698	67822	UVER	EF	42234236
1652490	5602	1998-03-12	VYDAJ	PREVOD NA UCET	3698	71942	UVER	EF	42234236
1652491	5602	1998-04-12	VYDAJ	PREVOD NA UCET	3698	24889	UVER	EF	42234236
1652492	5602	1998-05-12	VYDAJ	PREVOD NA UCET	3698	25503	UVER	EF	42234236
1652493	5602	1998-06-12	VYDAJ	PREVOD NA UCET	3698	79562	UVER	EF	42234236
1652494	5602	1998-07-12	VYDAJ	PREVOD NA UCET	3698	58799	UVER	EF	42234236
1652495	5602	1998-08-12	VYDAJ	PREVOD NA UCET	3698	50190	UVER	EF	42234236
1652496	5602	1998-09-12	VYDAJ	PREVOD NA UCET	3698	72600	UVER	EF	42234236
1652497	5602	1998-10-12	VYDAJ	PREVOD NA UCET	3698	55045	UVER	EF	42234236
1652498	5602	1998-11-12	VYDAJ	PREVOD NA UCET	3698	60236	UVER	EF	42234236
1652499	5602	1998-12-12	VYDAJ	PREVOD NA UCET	3698	52671	UVER	EF	42234236
1652501	5602	1996-09-20	VYBER	VYBER	10567	89658	\N	\N	\N
1652506	5602	1997-04-12	VYBER	VYBER	2200	22440	\N	\N	\N
1652515	5602	1998-06-14	VYBER	VYBER	5671	84597	\N	\N	\N
1652517	5602	1998-07-18	VYBER	VYBER	8565	28634	\N	\N	\N
1652518	5602	1998-06-13	VYBER	VYBER	20029	90268	\N	\N	\N
1652519	5602	1998-08-07	VYBER	VYBER	2215	53888	\N	\N	\N
1652520	5602	1998-10-01	VYBER	VYBER	6464	49898	\N	\N	\N
1652521	5602	1998-08-26	VYBER	VYBER	19398	60885	\N	\N	\N
1652522	5602	1998-03-21	VYBER	VYBER	11536	46606	\N	\N	\N
1652523	5602	1998-12-16	VYBER	VYBER	6845	34126	\N	\N	\N
1652524	5602	1998-10-28	VYBER	VYBER	18689	106510	\N	\N	\N
1652525	5602	1998-11-24	VYBER	VYBER	2408	57828	\N	\N	\N
1652532	5602	1996-12-12	VYDAJ	VYBER	6900	27554	\N	\N	\N
1652534	5602	1998-12-29	VYDAJ	VYBER	4200	69335	\N	\N	\N
1652544	5602	1997-01-08	VYDAJ	VYBER	4800	16502	\N	\N	\N
1652546	5602	1998-12-12	VYDAJ	VYBER	11700	40971	\N	\N	\N
1652547	5602	1998-11-08	VYDAJ	VYBER	5400	63934	\N	\N	\N
1652548	5602	1998-07-17	VYDAJ	VYBER	13500	37199	\N	\N	\N
1652550	5602	1998-03-13	VYDAJ	VYBER	13800	58142	\N	\N	\N
1652551	5602	1998-07-14	VYDAJ	VYBER	8100	50699	\N	\N	\N
1652552	5602	1998-01-17	VYDAJ	VYBER	9000	57982	\N	\N	\N
1652554	5602	1998-04-02	VYDAJ	VYBER	14100	28587	\N	\N	\N
1652563	5602	1996-08-31	VYDAJ	VYBER	100	102452	SLUZBY	\N	\N
1652564	5602	1996-09-30	VYDAJ	VYBER	100	78044	SLUZBY	\N	\N
1652565	5602	1996-10-31	VYDAJ	VYBER	100	94198	SLUZBY	\N	\N
1652566	5602	1996-11-30	VYDAJ	VYBER	100	50354	SLUZBY	\N	\N
1652567	5602	1996-12-31	VYDAJ	VYBER	100	27602	SLUZBY	\N	\N
1652568	5602	1997-01-31	VYDAJ	VYBER	100	16479	SLUZBY	\N	\N
1652569	5602	1997-02-28	VYDAJ	VYBER	100	21253	SLUZBY	\N	\N
1652570	5602	1997-03-31	VYDAJ	VYBER	100	20640	SLUZBY	\N	\N
1652571	5602	1997-04-30	VYDAJ	VYBER	100	19128	SLUZBY	\N	\N
1652572	5602	1997-05-31	VYDAJ	VYBER	100	22714	SLUZBY	\N	\N
1652573	5602	1997-06-30	VYDAJ	VYBER	100	20003	SLUZBY	\N	\N
1652574	5602	1997-07-31	VYDAJ	VYBER	100	18381	SLUZBY	\N	\N
1652575	5602	1997-08-31	VYDAJ	VYBER	100	14855	SLUZBY	\N	\N
1652576	5602	1997-09-30	VYDAJ	VYBER	100	16620	SLUZBY	\N	\N
1652577	5602	1997-10-31	VYDAJ	VYBER	100	19500	SLUZBY	\N	\N
1652578	5602	1997-11-30	VYDAJ	VYBER	100	17381	SLUZBY	\N	\N
1652579	5602	1997-12-31	VYDAJ	VYBER	100	19953	SLUZBY	\N	\N
1652580	5602	1998-01-31	VYDAJ	VYBER	100	56389	SLUZBY	\N	\N
1652581	5602	1998-02-28	VYDAJ	VYBER	100	67993	SLUZBY	\N	\N
1652582	5602	1998-03-31	VYDAJ	VYBER	100	59287	SLUZBY	\N	\N
1652583	5602	1998-04-30	VYDAJ	VYBER	100	24901	SLUZBY	\N	\N
1652584	5602	1998-05-31	VYDAJ	VYBER	100	32307	SLUZBY	\N	\N
1652585	5602	1998-06-30	VYDAJ	VYBER	100	86897	SLUZBY	\N	\N
1652586	5602	1998-07-31	VYDAJ	VYBER	100	56103	SLUZBY	\N	\N
1652587	5602	1998-08-31	VYDAJ	VYBER	100	52710	SLUZBY	\N	\N
1652588	5602	1998-09-30	VYDAJ	VYBER	100	56362	SLUZBY	\N	\N
1652589	5602	1998-10-31	VYDAJ	VYBER	100	50831	SLUZBY	\N	\N
1652590	5602	1998-11-30	VYDAJ	VYBER	100	49062	SLUZBY	\N	\N
1652591	5602	1996-07-25	VYDAJ	VYBER	37100	74374	\N	\N	\N
1652592	5602	1996-08-08	VYDAJ	VYBER	22400	95542	\N	\N	\N
1652593	5602	1996-08-09	VYDAJ	VYBER	34900	60642	\N	\N	\N
1652594	5602	1996-09-08	VYDAJ	VYBER	38600	63852	\N	\N	\N
1652595	5602	1996-09-28	VYDAJ	VYBER	61800	77725	\N	\N	\N
1652596	5602	1996-10-08	VYDAJ	VYBER	26800	51244	\N	\N	\N
1652597	5602	1996-10-19	VYDAJ	VYBER	17300	111788	\N	\N	\N
1652598	5602	1996-10-20	VYDAJ	VYBER	31900	93902	\N	\N	\N
1652599	5602	1996-11-07	VYDAJ	VYBER	37300	56898	\N	\N	\N
1652600	5602	1996-12-07	VYDAJ	VYBER	15900	34454	\N	\N	\N
1652601	5602	1997-01-06	VYDAJ	VYBER	1800	21302	\N	\N	\N
1652602	5602	1997-02-05	PRIJEM	VKLAD	7600	24079	\N	\N	\N
1652603	5602	1997-03-07	PRIJEM	VKLAD	3600	24853	\N	\N	\N
1652604	5602	1997-04-06	PRIJEM	VKLAD	4000	24640	\N	\N	\N
1652605	5602	1997-05-06	PRIJEM	VKLAD	6600	25728	\N	\N	\N
1652606	5602	1997-06-05	PRIJEM	VKLAD	900	23614	\N	\N	\N
1652607	5602	1997-07-05	PRIJEM	VKLAD	1100	21103	\N	\N	\N
1652608	5602	1997-08-04	VYDAJ	VYBER	300	18081	\N	\N	\N
1652609	5602	1997-09-03	PRIJEM	VKLAD	5600	20455	\N	\N	\N
1652610	5602	1997-10-03	PRIJEM	VKLAD	5100	21720	\N	\N	\N
1652611	5602	1997-11-02	PRIJEM	VKLAD	3700	23200	\N	\N	\N
1652612	5602	1997-12-02	PRIJEM	VKLAD	2600	19981	\N	\N	\N
1652613	5602	1998-01-01	PRIJEM	VKLAD	4100	24053	\N	\N	\N
1652614	5602	1998-01-28	VYDAJ	VYBER	60600	83578	\N	\N	\N
1652615	5602	1998-01-31	VYDAJ	VYBER	27300	56489	\N	\N	\N
1652616	5602	1998-03-02	VYDAJ	VYBER	18300	49693	\N	\N	\N
1652617	5602	1998-04-01	VYDAJ	VYBER	16600	42687	\N	\N	\N
1652618	5602	1998-05-01	PRIJEM	VKLAD	4300	29201	\N	\N	\N
1652619	5602	1998-05-31	PRIJEM	VKLAD	6800	32303	\N	\N	\N
1652620	5602	1998-06-17	VYDAJ	VYBER	18900	103001	\N	\N	\N
1652621	5602	1998-06-18	VYDAJ	VYBER	54100	86628	\N	\N	\N
1652622	5602	1998-06-30	VYDAJ	VYBER	24400	62497	\N	\N	\N
1652623	5602	1998-07-30	VYDAJ	VYBER	10300	55979	\N	\N	\N
1652624	5602	1998-08-29	VYDAJ	VYBER	8300	52585	\N	\N	\N
1652625	5602	1998-09-28	VYDAJ	VYBER	16400	56200	\N	\N	\N
1652626	5602	1998-10-28	VYDAJ	VYBER	52200	50610	\N	\N	\N
1652627	5602	1998-10-28	VYDAJ	VYBER KARTOU	3700	102810	\N	\N	0
1652628	5602	1998-11-27	VYDAJ	VYBER	8900	48928	\N	\N	\N
1652629	5602	1998-12-27	VYDAJ	VYBER	22600	73535	\N	\N	\N
1657153	5622	1993-02-08	PRIJEM	VKLAD	700	700	\N	\N	\N
1657154	5622	1993-12-10	PRIJEM	VKLAD	34832	64421	\N	\N	\N
1657155	5622	1993-11-21	PRIJEM	VKLAD	13377	107297	\N	\N	\N
1657157	5622	1993-04-05	PRIJEM	VKLAD	41016	127662	\N	\N	\N
1657158	5622	1993-12-11	PRIJEM	VKLAD	47006	111427	\N	\N	\N
1657160	5622	1993-08-06	PRIJEM	VKLAD	28987	106547	\N	\N	\N
1657161	5622	1993-10-14	PRIJEM	VKLAD	13130	58684	\N	\N	\N
1657162	5622	1993-03-24	PRIJEM	VKLAD	43050	86373	\N	\N	\N
1657163	5622	1993-05-06	PRIJEM	VKLAD	43480	105132	\N	\N	\N
1657164	5622	1993-06-27	PRIJEM	VKLAD	35233	92672	\N	\N	\N
1657165	5622	1993-10-11	PRIJEM	VKLAD	9450	45554	\N	\N	\N
1657167	5622	1993-07-31	PRIJEM	VKLAD	32048	77575	\N	\N	\N
1657168	5622	1993-08-14	PRIJEM	VKLAD	7101	56520	\N	\N	\N
1657169	5622	1993-02-18	PRIJEM	VKLAD	24023	24723	\N	\N	\N
1657170	5622	1993-08-12	PRIJEM	VKLAD	31835	66555	\N	\N	\N
1657171	5622	1993-05-25	PRIJEM	VKLAD	39319	62656	\N	\N	\N
1657172	5622	1993-11-21	PRIJEM	VKLAD	13695	120992	\N	\N	\N
1657173	5622	1993-11-18	PRIJEM	VKLAD	48783	100020	\N	\N	\N
1657174	5622	1993-02-19	PRIJEM	VKLAD	33410	58133	\N	\N	\N
1657175	5622	1993-11-03	PRIJEM	VKLAD	42111	87554	\N	\N	\N
1657176	5622	1993-09-16	PRIJEM	VKLAD	26384	55546	\N	\N	\N
1657177	5622	1993-09-17	PRIJEM	VKLAD	6057	61603	\N	\N	\N
1657178	5622	1993-10-03	PRIJEM	VKLAD	36521	64015	\N	\N	\N
1657179	5622	1993-11-05	PRIJEM	VKLAD	48883	136437	\N	\N	\N
1657180	5622	1993-07-02	PRIJEM	VKLAD	31304	124231	\N	\N	\N
1657181	5622	1993-06-09	PRIJEM	VKLAD	41063	79773	\N	\N	\N
1657182	5622	1994-08-09	PRIJEM	VKLAD	43155	107494	\N	\N	\N
1657183	5622	1994-01-16	PRIJEM	VKLAD	38404	68135	\N	\N	\N
1657184	5622	1994-12-26	PRIJEM	VKLAD	14070	66050	\N	\N	\N
1657185	5622	1994-03-12	PRIJEM	VKLAD	28381	56497	\N	\N	\N
1657186	5622	1994-10-22	PRIJEM	VKLAD	29528	82675	\N	\N	\N
1657187	5622	1994-09-10	PRIJEM	VKLAD	38502	104162	\N	\N	\N
1657188	5622	1994-03-19	PRIJEM	VKLAD	39599	89223	\N	\N	\N
1657189	5622	1994-06-09	PRIJEM	VKLAD	30020	84276	\N	\N	\N
1657190	5622	1994-11-18	PRIJEM	VKLAD	16193	94133	\N	\N	\N
1657191	5622	1994-03-21	PRIJEM	VKLAD	25757	114980	\N	\N	\N
1657192	5622	1994-07-26	PRIJEM	VKLAD	35328	95340	\N	\N	\N
1657193	5622	1994-05-11	PRIJEM	VKLAD	40492	93120	\N	\N	\N
1657194	5622	1994-10-30	PRIJEM	VKLAD	10643	93318	\N	\N	\N
1657195	5622	1994-08-13	PRIJEM	VKLAD	22603	130097	\N	\N	\N
1657196	5622	1994-02-01	PRIJEM	VKLAD	23164	70396	\N	\N	\N
1657197	5622	1994-04-25	PRIJEM	VKLAD	31958	119327	\N	\N	\N
1657198	5622	1994-11-07	PRIJEM	VKLAD	32322	99728	\N	\N	\N
1657199	5622	1994-09-22	PRIJEM	VKLAD	24054	114351	\N	\N	\N
1657200	5622	1994-04-08	PRIJEM	VKLAD	48217	87942	\N	\N	\N
1657201	5622	1994-09-25	PRIJEM	VKLAD	5408	90859	\N	\N	\N
1657202	5622	1994-11-08	PRIJEM	VKLAD	45131	138532	\N	\N	\N
1657203	5622	1994-09-14	PRIJEM	VKLAD	20199	111770	\N	\N	\N
1657204	5622	1994-07-21	PRIJEM	VKLAD	21300	60012	\N	\N	\N
1657205	5622	1994-08-19	PRIJEM	VKLAD	13157	111681	\N	\N	\N
1657206	5622	1994-12-13	PRIJEM	VKLAD	24922	65753	\N	\N	\N
1657207	5622	1995-02-22	PRIJEM	VKLAD	29342	64199	\N	\N	\N
1657208	5622	1995-12-01	PRIJEM	VKLAD	42876	97732	\N	\N	\N
1657209	5622	1995-06-27	PRIJEM	VKLAD	9654	60429	\N	\N	\N
1657210	5622	1995-05-21	PRIJEM	VKLAD	47901	75709	\N	\N	\N
1657211	5622	1995-11-06	PRIJEM	VKLAD	29851	72144	\N	\N	\N
1657212	5622	1995-03-02	PRIJEM	VKLAD	49433	102311	\N	\N	\N
1657213	5622	1995-07-11	PRIJEM	VKLAD	41465	91785	\N	\N	\N
1657214	5622	1995-01-12	PRIJEM	VKLAD	44377	83925	\N	\N	\N
1657215	5622	1995-07-21	PRIJEM	VKLAD	44761	129055	\N	\N	\N
1657216	5622	1996-07-02	PRIJEM	VKLAD	27797	117342	\N	\N	\N
1657217	5622	1996-06-08	PRIJEM	VKLAD	41497	74064	\N	\N	\N
1657218	5622	1996-01-03	PRIJEM	VKLAD	31262	91493	\N	\N	\N
1657219	5622	1996-01-08	PRIJEM	VKLAD	19798	98664	\N	\N	\N
1657220	5622	1996-07-02	PRIJEM	VKLAD	34978	89545	\N	\N	\N
1657221	5622	1996-07-23	PRIJEM	VKLAD	44296	129938	\N	\N	\N
1657222	5622	1996-03-23	PRIJEM	VKLAD	39968	64696	\N	\N	\N
1657223	5622	1996-11-17	PRIJEM	VKLAD	39835	71780	\N	\N	\N
1657224	5622	1998-11-15	PRIJEM	VKLAD	5133	68140	\N	\N	\N
1657225	5622	1998-03-03	PRIJEM	VKLAD	15551	62526	\N	\N	\N
1657226	5622	1998-07-14	PRIJEM	VKLAD	27544	95910	\N	\N	\N
1657227	5622	1998-08-14	PRIJEM	VKLAD	7045	79371	\N	\N	\N
1657228	5622	1998-03-15	PRIJEM	VKLAD	39079	102305	\N	\N	\N
1657229	5622	1998-04-17	PRIJEM	VKLAD	48648	114646	\N	\N	\N
1657234	5622	1993-05-11	VYDAJ	VYBER	7400	36505	\N	\N	0
1657235	5622	1993-06-13	VYDAJ	VYBER	7000	60173	\N	\N	0
1657236	5622	1993-07-26	VYDAJ	VYBER	6100	50844	\N	\N	0
1657237	5622	1993-07-28	VYDAJ	VYBER	5600	45244	\N	\N	0
1657238	5622	1993-09-19	VYDAJ	VYBER	6400	33258	\N	\N	0
1657239	5622	1993-09-28	VYDAJ	VYBER	5900	27358	\N	\N	0
1657240	5622	1993-11-18	VYDAJ	VYBER	6100	93920	\N	\N	0
1657241	5622	1993-12-08	VYDAJ	VYBER	5700	29589	\N	\N	0
1657242	5622	1994-01-03	VYDAJ	VYBER	5200	64931	\N	\N	0
1657243	5622	1994-01-30	VYDAJ	VYBER	5200	47035	\N	\N	0
1657244	5622	1994-03-16	VYDAJ	VYBER	6300	49624	\N	\N	0
1657245	5622	1994-04-07	VYDAJ	VYBER	8000	46052	\N	\N	0
1657246	5622	1994-05-26	VYDAJ	VYBER	7600	84947	\N	\N	0
1657247	5622	1994-06-12	VYDAJ	VYBER	4000	80276	\N	\N	0
1657248	5622	1994-07-09	VYDAJ	VYBER	7600	39285	\N	\N	0
1657249	5622	1994-08-21	VYDAJ	VYBER	6400	105281	\N	\N	0
1657250	5622	1994-09-16	VYDAJ	VYBER	8600	102597	\N	\N	0
1657251	5622	1994-10-15	VYDAJ	VYBER	8800	53147	\N	\N	0
1657252	5622	1994-11-12	VYDAJ	PREVOD NA UCET	6918	78513	UVER	UV	45906978
1657253	5622	1994-12-12	VYDAJ	PREVOD NA UCET	6918	40831	UVER	UV	45906978
1657254	5622	1995-01-12	VYDAJ	PREVOD NA UCET	6918	77006	UVER	UV	45906978
1657255	5622	1995-02-12	VYDAJ	PREVOD NA UCET	6918	35430	UVER	UV	45906978
1657256	5622	1995-03-12	VYDAJ	PREVOD NA UCET	6918	89066	UVER	UV	45906978
1657257	5622	1995-04-12	VYDAJ	PREVOD NA UCET	6918	49370	UVER	UV	45906978
1657258	5622	1995-05-12	VYDAJ	PREVOD NA UCET	6918	28381	UVER	UV	45906978
1657259	5622	1995-06-12	VYDAJ	PREVOD NA UCET	6918	51348	UVER	UV	45906978
1657260	5622	1995-07-12	VYDAJ	PREVOD NA UCET	6918	84867	UVER	UV	45906978
1657261	5622	1995-08-12	VYDAJ	PREVOD NA UCET	6918	64358	UVER	UV	45906978
1657262	5622	1995-09-12	VYDAJ	PREVOD NA UCET	6918	29211	UVER	UV	45906978
1657263	5622	1995-10-12	VYDAJ	PREVOD NA UCET	6918	30730	UVER	UV	45906978
1657264	5622	1995-11-15	VYDAJ	VYBER	9300	55944	\N	\N	0
1657265	5622	1995-12-17	VYDAJ	VYBER	7200	83632	\N	\N	0
1657266	5622	1996-01-07	VYDAJ	VYBER	6300	85193	\N	\N	0
1657267	5622	1996-02-22	VYDAJ	VYBER	4900	22511	\N	\N	0
1657268	5622	1996-03-17	VYDAJ	VYBER	7100	24728	\N	\N	0
1657269	5622	1996-03-31	VYDAJ	VYBER	6300	57352	\N	\N	0
1657270	5622	1996-05-22	VYDAJ	VYBER	4900	29443	\N	\N	0
1657271	5622	1996-06-01	VYDAJ	VYBER	6300	38894	\N	\N	0
1657272	5622	1996-07-19	VYDAJ	VYBER	5200	105242	\N	\N	0
1657273	5622	1996-08-22	VYDAJ	VYBER	6500	45272	\N	\N	0
1657274	5622	1996-09-25	VYDAJ	VYBER	5600	47533	\N	\N	0
1657275	5622	1996-10-12	VYDAJ	VYBER	6300	29971	\N	\N	0
1657276	5622	1996-11-15	VYDAJ	VYBER	8000	31945	\N	\N	0
1657277	5622	1996-12-09	VYDAJ	VYBER	4800	45649	\N	\N	0
1657278	5622	1997-01-15	VYDAJ	VYBER	8500	30355	\N	\N	0
1657279	5622	1997-02-10	VYDAJ	VYBER	5700	28583	\N	\N	0
1657280	5622	1997-03-15	VYDAJ	VYBER	5800	31848	\N	\N	0
1657281	5622	1997-04-18	VYDAJ	VYBER	5700	50307	\N	\N	0
1657282	5622	1997-05-29	VYDAJ	VYBER	7200	49092	\N	\N	0
1657283	5622	1997-06-21	VYDAJ	VYBER	6800	49480	\N	\N	0
1657284	5622	1997-07-14	VYDAJ	VYBER	7300	35461	\N	\N	0
1657285	5622	1997-08-03	VYDAJ	VYBER	5800	42932	\N	\N	0
1657286	5622	1997-09-30	VYDAJ	VYBER	7800	36282	\N	\N	0
1657287	5622	1997-09-27	VYDAJ	VYBER	8300	43892	\N	\N	0
1657288	5622	1997-11-12	VYDAJ	VYBER	6300	34687	\N	\N	0
1657289	5622	1997-12-15	VYDAJ	VYBER	5900	44780	\N	\N	0
1657290	5622	1998-01-26	VYDAJ	VYBER	6000	43944	\N	\N	0
1657291	5622	1998-02-17	VYDAJ	VYBER	6000	46810	\N	\N	0
1657292	5622	1998-03-17	VYDAJ	VYBER	5900	96405	\N	\N	0
1657293	5622	1998-03-28	VYDAJ	VYBER	6000	72138	\N	\N	0
1657294	5622	1998-05-08	VYDAJ	VYBER	6000	81698	\N	\N	0
1657295	5622	1998-06-11	VYDAJ	VYBER	6600	61800	\N	\N	0
1657296	5622	1998-07-09	VYDAJ	VYBER	8000	56366	\N	\N	0
1657297	5622	1998-08-09	VYDAJ	VYBER	8600	77726	\N	\N	0
1657298	5622	1998-09-14	VYDAJ	VYBER	6200	70780	\N	\N	0
1657299	5622	1998-10-18	VYDAJ	VYBER	6700	62670	\N	\N	0
1657300	5622	1998-11-08	VYDAJ	VYBER	6700	49880	\N	\N	0
1657301	5622	1998-12-15	VYDAJ	VYBER	5100	67778	\N	\N	0
1657306	5622	1993-05-07	VYDAJ	PREVOD NA UCET	6327	68505	SIPO	ST	24175644
1657307	5622	1993-06-07	VYDAJ	PREVOD NA UCET	6327	56510	SIPO	ST	24175644
1657308	5622	1993-07-07	VYDAJ	PREVOD NA UCET	6327	102204	SIPO	ST	24175644
1657309	5622	1993-08-07	VYDAJ	PREVOD NA UCET	6327	34720	SIPO	ST	24175644
1657310	5622	1993-09-07	VYDAJ	PREVOD NA UCET	6327	29735	SIPO	ST	24175644
1657311	5622	1993-10-07	VYDAJ	PREVOD NA UCET	6327	36104	SIPO	ST	24175644
1657312	5622	1993-11-07	VYDAJ	PREVOD NA UCET	6327	51810	SIPO	ST	24175644
1657313	5622	1993-12-07	VYDAJ	PREVOD NA UCET	6327	35289	SIPO	ST	24175644
1657314	5622	1994-01-07	VYDAJ	PREVOD NA UCET	6327	39604	SIPO	ST	24175644
1657315	5622	1994-02-07	VYDAJ	PREVOD NA UCET	6327	37469	SIPO	ST	24175644
1657316	5622	1994-03-07	VYDAJ	PREVOD NA UCET	6327	28116	SIPO	ST	24175644
1657317	5622	1994-04-07	VYDAJ	PREVOD NA UCET	6327	39725	SIPO	ST	24175644
1657318	5622	1994-05-07	VYDAJ	PREVOD NA UCET	6327	52628	SIPO	ST	24175644
1657319	5622	1994-06-07	VYDAJ	PREVOD NA UCET	6327	54256	SIPO	ST	24175644
1657320	5622	1994-07-07	VYDAJ	PREVOD NA UCET	6327	46885	SIPO	ST	24175644
1657321	5622	1994-08-07	VYDAJ	PREVOD NA UCET	6327	64339	SIPO	ST	24175644
1657322	5622	1994-09-07	VYDAJ	PREVOD NA UCET	6327	65660	SIPO	ST	24175644
1657323	5622	1994-10-07	VYDAJ	PREVOD NA UCET	6327	62520	SIPO	ST	24175644
1657324	5622	1994-11-07	VYDAJ	PREVOD NA UCET	6327	93401	SIPO	ST	24175644
1657325	5622	1994-12-07	VYDAJ	PREVOD NA UCET	6327	47749	SIPO	ST	24175644
1657326	5622	1995-01-07	VYDAJ	PREVOD NA UCET	6327	44648	SIPO	ST	24175644
1657327	5622	1995-02-07	VYDAJ	PREVOD NA UCET	6327	42348	SIPO	ST	24175644
1657328	5622	1995-03-07	VYDAJ	PREVOD NA UCET	6327	95984	SIPO	ST	24175644
1657329	5622	1995-04-07	VYDAJ	PREVOD NA UCET	6327	56289	SIPO	ST	24175644
1657330	5622	1995-05-07	VYDAJ	PREVOD NA UCET	6327	35300	SIPO	ST	24175644
1657331	5622	1995-06-07	VYDAJ	PREVOD NA UCET	6327	58267	SIPO	ST	24175644
1657332	5622	1995-07-07	VYDAJ	PREVOD NA UCET	6327	50320	SIPO	ST	24175644
1657333	5622	1995-08-07	VYDAJ	PREVOD NA UCET	6327	71276	SIPO	ST	24175644
1657334	5622	1995-09-07	VYDAJ	PREVOD NA UCET	6327	45096	SIPO	ST	24175644
1657335	5622	1995-10-07	VYDAJ	PREVOD NA UCET	6327	37648	SIPO	ST	24175644
1657336	5622	1995-11-07	VYDAJ	PREVOD NA UCET	6327	65817	SIPO	ST	24175644
1657337	5622	1995-12-07	VYDAJ	PREVOD NA UCET	6327	91405	SIPO	ST	24175644
1657338	5622	1996-01-07	VYDAJ	PREVOD NA UCET	6327	78866	SIPO	ST	24175644
1657339	5622	1996-02-07	VYDAJ	PREVOD NA UCET	6327	27984	SIPO	ST	24175644
1657340	5622	1996-03-07	VYDAJ	PREVOD NA UCET	6327	32401	SIPO	ST	24175644
1657341	5622	1996-04-07	VYDAJ	PREVOD NA UCET	6327	51025	SIPO	ST	24175644
1657342	5622	1996-05-07	VYDAJ	PREVOD NA UCET	6327	34916	SIPO	ST	24175644
1657343	5622	1996-06-07	VYDAJ	PREVOD NA UCET	6327	32567	SIPO	ST	24175644
1657344	5622	1996-07-07	VYDAJ	PREVOD NA UCET	6327	111015	SIPO	ST	24175644
1657345	5622	1996-08-07	VYDAJ	PREVOD NA UCET	6327	38945	SIPO	ST	24175644
1657346	5622	1996-09-07	VYDAJ	PREVOD NA UCET	6327	39106	SIPO	ST	24175644
1657347	5622	1996-10-07	VYDAJ	PREVOD NA UCET	6327	36271	SIPO	ST	24175644
1657348	5622	1996-11-07	VYDAJ	PREVOD NA UCET	6327	40518	SIPO	ST	24175644
1657349	5622	1996-12-07	VYDAJ	PREVOD NA UCET	6327	50449	SIPO	ST	24175644
1657350	5622	1997-01-07	VYDAJ	PREVOD NA UCET	6327	39428	SIPO	ST	24175644
1657351	5622	1997-02-07	VYDAJ	PREVOD NA UCET	6327	34283	SIPO	ST	24175644
1657352	5622	1997-03-07	VYDAJ	PREVOD NA UCET	6327	38221	SIPO	ST	24175644
1657353	5622	1997-04-07	VYDAJ	PREVOD NA UCET	6327	41780	SIPO	ST	24175644
1657354	5622	1997-05-07	VYDAJ	PREVOD NA UCET	6327	44165	SIPO	ST	24175644
1657355	5622	1997-06-07	VYDAJ	PREVOD NA UCET	6327	42953	SIPO	ST	24175644
1657356	5622	1997-07-07	VYDAJ	PREVOD NA UCET	6327	43334	SIPO	ST	24175644
1657357	5622	1997-08-07	VYDAJ	PREVOD NA UCET	6327	36605	SIPO	ST	24175644
1657358	5622	1997-09-07	VYDAJ	PREVOD NA UCET	6327	41965	SIPO	ST	24175644
1657359	5622	1997-10-07	VYDAJ	PREVOD NA UCET	6327	29940	SIPO	ST	24175644
1657360	5622	1997-11-07	VYDAJ	PREVOD NA UCET	6327	40987	SIPO	ST	24175644
1657361	5622	1997-12-07	VYDAJ	PREVOD NA UCET	6327	41753	SIPO	ST	24175644
1657362	5622	1998-01-07	VYDAJ	PREVOD NA UCET	6327	38617	SIPO	ST	24175644
1657363	5622	1998-02-07	VYDAJ	PREVOD NA UCET	6327	37783	SIPO	ST	24175644
1657364	5622	1998-03-07	VYDAJ	PREVOD NA UCET	6327	56199	SIPO	ST	24175644
1657365	5622	1998-04-07	VYDAJ	PREVOD NA UCET	6327	66071	SIPO	ST	24175644
1657366	5622	1998-05-07	VYDAJ	PREVOD NA UCET	6327	87698	SIPO	ST	24175644
1657367	5622	1998-06-07	VYDAJ	PREVOD NA UCET	6327	68400	SIPO	ST	24175644
1657368	5622	1998-07-07	VYDAJ	PREVOD NA UCET	6327	64366	SIPO	ST	24175644
1657369	5622	1998-08-07	VYDAJ	PREVOD NA UCET	6327	86326	SIPO	ST	24175644
1657370	5622	1998-09-07	VYDAJ	PREVOD NA UCET	6327	72780	SIPO	ST	24175644
1657371	5622	1998-10-07	VYDAJ	PREVOD NA UCET	6327	59043	SIPO	ST	24175644
1657372	5622	1998-11-07	VYDAJ	PREVOD NA UCET	6327	56580	SIPO	ST	24175644
1657373	5622	1998-12-07	VYDAJ	PREVOD NA UCET	6327	62051	SIPO	ST	24175644
1657378	5622	1993-05-14	VYDAJ	PREVOD NA UCET	573	35932	 	EF	71167778
1657379	5622	1993-06-14	VYDAJ	PREVOD NA UCET	573	59600	 	EF	71167778
1657380	5622	1993-07-14	VYDAJ	PREVOD NA UCET	573	56944	 	EF	71167778
1657381	5622	1993-08-14	VYDAJ	PREVOD NA UCET	573	55947	 	EF	71167778
1657382	5622	1993-09-14	VYDAJ	PREVOD NA UCET	573	29162	 	EF	71167778
1657383	5622	1993-10-14	VYDAJ	PREVOD NA UCET	573	58111	 	EF	71167778
1657384	5622	1993-11-14	VYDAJ	PREVOD NA UCET	573	51237	 	EF	71167778
1657385	5622	1993-12-14	VYDAJ	PREVOD NA UCET	573	81854	 	EF	71167778
1657386	5622	1994-01-14	VYDAJ	PREVOD NA UCET	573	29731	 	EF	71167778
1657387	5622	1994-02-14	VYDAJ	PREVOD NA UCET	573	36896	 	EF	71167778
1657388	5622	1994-03-14	VYDAJ	PREVOD NA UCET	573	55924	 	EF	71167778
1657389	5622	1994-04-14	VYDAJ	PREVOD NA UCET	573	87369	 	EF	71167778
1657390	5622	1994-05-14	VYDAJ	PREVOD NA UCET	573	92547	 	EF	71167778
1657391	5622	1994-06-14	VYDAJ	PREVOD NA UCET	573	79703	 	EF	71167778
1657392	5622	1994-07-14	VYDAJ	PREVOD NA UCET	573	38712	 	EF	71167778
1657393	5622	1994-08-14	VYDAJ	PREVOD NA UCET	573	98524	 	EF	71167778
1657394	5622	1994-09-14	VYDAJ	PREVOD NA UCET	573	111197	 	EF	71167778
1657395	5622	1994-10-14	VYDAJ	PREVOD NA UCET	573	61947	 	EF	71167778
1657396	5622	1994-11-14	VYDAJ	PREVOD NA UCET	573	77940	 	EF	71167778
1657397	5622	1994-12-14	VYDAJ	PREVOD NA UCET	573	65180	 	EF	71167778
1657398	5622	1995-01-14	VYDAJ	PREVOD NA UCET	573	76433	 	EF	71167778
1657399	5622	1995-02-14	VYDAJ	PREVOD NA UCET	573	34857	 	EF	71167778
1657400	5622	1995-03-14	VYDAJ	PREVOD NA UCET	573	88493	 	EF	71167778
1657401	5622	1995-04-14	VYDAJ	PREVOD NA UCET	573	48797	 	EF	71167778
1657402	5622	1995-05-14	VYDAJ	PREVOD NA UCET	573	27808	 	EF	71167778
1657403	5622	1995-06-14	VYDAJ	PREVOD NA UCET	573	50775	 	EF	71167778
1657404	5622	1995-07-14	VYDAJ	PREVOD NA UCET	573	84294	 	EF	71167778
1657405	5622	1995-08-14	VYDAJ	PREVOD NA UCET	573	52985	 	EF	71167778
1657406	5622	1995-09-14	VYDAJ	PREVOD NA UCET	573	28638	 	EF	71167778
1657407	5622	1995-10-14	VYDAJ	PREVOD NA UCET	573	30157	 	EF	71167778
1657408	5622	1995-11-14	VYDAJ	PREVOD NA UCET	573	65244	 	EF	71167778
1657409	5622	1995-12-14	VYDAJ	PREVOD NA UCET	573	90832	 	EF	71167778
1657410	5622	1996-01-14	VYDAJ	PREVOD NA UCET	573	56187	 	EF	71167778
1657411	5622	1996-02-14	VYDAJ	PREVOD NA UCET	573	27411	 	EF	71167778
1657412	5622	1996-03-14	VYDAJ	PREVOD NA UCET	573	31828	 	EF	71167778
1657413	5622	1996-04-14	VYDAJ	PREVOD NA UCET	573	50452	 	EF	71167778
1657414	5622	1996-05-14	VYDAJ	PREVOD NA UCET	573	34343	 	EF	71167778
1657415	5622	1996-06-14	VYDAJ	PREVOD NA UCET	573	73491	 	EF	71167778
1657416	5622	1996-07-14	VYDAJ	PREVOD NA UCET	573	110442	 	EF	71167778
1657417	5622	1996-08-14	VYDAJ	PREVOD NA UCET	573	38372	 	EF	71167778
1657418	5622	1996-09-14	VYDAJ	PREVOD NA UCET	573	38533	 	EF	71167778
1657419	5622	1996-10-14	VYDAJ	PREVOD NA UCET	573	29398	 	EF	71167778
1657420	5622	1996-11-14	VYDAJ	PREVOD NA UCET	573	39945	 	EF	71167778
1657421	5622	1996-12-14	VYDAJ	PREVOD NA UCET	573	40576	 	EF	71167778
1657422	5622	1997-01-14	VYDAJ	PREVOD NA UCET	573	38855	 	EF	71167778
1657423	5622	1997-02-14	VYDAJ	PREVOD NA UCET	573	28010	 	EF	71167778
1657424	5622	1997-03-14	VYDAJ	PREVOD NA UCET	573	37648	 	EF	71167778
1657425	5622	1997-04-14	VYDAJ	PREVOD NA UCET	573	41207	 	EF	71167778
1657426	5622	1997-05-14	VYDAJ	PREVOD NA UCET	573	43592	 	EF	71167778
1657427	5622	1997-06-14	VYDAJ	PREVOD NA UCET	573	42380	 	EF	71167778
1657428	5622	1997-07-14	VYDAJ	PREVOD NA UCET	573	42761	 	EF	71167778
1657429	5622	1997-08-14	VYDAJ	PREVOD NA UCET	573	36032	 	EF	71167778
1657430	5622	1997-09-14	VYDAJ	PREVOD NA UCET	573	41392	 	EF	71167778
1657431	5622	1997-10-14	VYDAJ	PREVOD NA UCET	573	29367	 	EF	71167778
1657432	5622	1997-11-14	VYDAJ	PREVOD NA UCET	573	47914	 	EF	71167778
1657433	5622	1997-12-14	VYDAJ	PREVOD NA UCET	573	50680	 	EF	71167778
1657434	5622	1998-01-14	VYDAJ	PREVOD NA UCET	573	49944	 	EF	71167778
1657435	5622	1998-02-14	VYDAJ	PREVOD NA UCET	573	52810	 	EF	71167778
1657436	5622	1998-03-14	VYDAJ	PREVOD NA UCET	573	63226	 	EF	71167778
1657437	5622	1998-04-14	VYDAJ	PREVOD NA UCET	573	65998	 	EF	71167778
1657438	5622	1998-05-14	VYDAJ	PREVOD NA UCET	573	74425	 	EF	71167778
1657439	5622	1998-06-14	VYDAJ	PREVOD NA UCET	573	70427	 	EF	71167778
1657440	5622	1998-07-14	VYDAJ	PREVOD NA UCET	573	95337	 	EF	71167778
1657441	5622	1998-08-14	VYDAJ	PREVOD NA UCET	573	78798	 	EF	71167778
1657442	5622	1998-09-14	VYDAJ	PREVOD NA UCET	573	70207	 	EF	71167778
1657443	5622	1998-10-14	VYDAJ	PREVOD NA UCET	573	69370	 	EF	71167778
1657444	5622	1998-11-14	VYDAJ	PREVOD NA UCET	573	63007	 	EF	71167778
1657445	5622	1998-12-14	VYDAJ	PREVOD NA UCET	573	72878	 	EF	71167778
1657448	5622	1993-10-03	VYBER	VYBER	2184	61831	\N	\N	\N
1657450	5622	1993-05-15	VYBER	VYBER	12595	23337	\N	\N	\N
1657452	5622	1993-09-18	VYBER	VYBER	21945	39658	\N	\N	\N
1657453	5622	1993-11-02	VYBER	VYBER	5469	45443	\N	\N	\N
1657455	5622	1993-08-13	VYBER	VYBER	17136	49419	\N	\N	\N
1657456	5622	1993-06-23	VYBER	VYBER	2161	57439	\N	\N	\N
1657458	5622	1993-07-11	VYBER	VYBER	3587	61117	\N	\N	\N
1657459	5622	1993-10-23	VYBER	VYBER	7393	50718	\N	\N	\N
1657460	5622	1994-09-13	VYBER	VYBER	10491	91571	\N	\N	\N
1657462	5622	1995-07-30	VYBER	VYBER	4888	77267	\N	\N	\N
1657463	5622	1995-09-08	VYBER	VYBER	2667	42429	\N	\N	\N
1657464	5622	1995-04-18	VYBER	VYBER	10459	38338	\N	\N	\N
1657465	5622	1996-06-20	VYBER	VYBER	22750	50741	\N	\N	\N
1657468	5622	1996-07-25	VYBER	VYBER	24321	44917	\N	\N	\N
1657470	5622	1996-01-12	VYBER	VYBER	13139	56760	\N	\N	\N
1657471	5622	1996-05-04	VYBER	VYBER	14016	41243	\N	\N	\N
1657473	5622	1996-01-12	VYBER	VYBER	23665	69899	\N	\N	\N
1657484	5622	1998-03-21	VYBER	VYBER	18267	78138	\N	\N	\N
1657486	5622	1998-04-30	VYBER	VYBER	20967	94040	\N	\N	\N
1657489	5622	1993-06-09	VYDAJ	VYBER	12600	67173	\N	\N	\N
1657490	5622	1994-06-28	VYDAJ	VYBER	18000	61703	\N	\N	\N
1657496	5622	1994-01-03	VYDAJ	VYBER	7500	70131	\N	\N	\N
1657497	5622	1995-01-23	VYDAJ	VYBER	3000	67733	\N	\N	\N
1657498	5622	1996-01-18	VYDAJ	VYBER	25500	30687	\N	\N	\N
1657501	5622	1993-12-22	VYDAJ	VYBER	4500	77354	\N	\N	\N
1657502	5622	1994-12-02	VYDAJ	VYBER	6900	54076	\N	\N	\N
1657503	5622	1995-12-24	VYDAJ	VYBER	3600	80032	\N	\N	\N
1657504	5622	1996-12-11	VYDAJ	VYBER	4500	41149	\N	\N	\N
1657506	5622	1998-12-10	VYDAJ	VYBER KARTOU	2100	73451	\N	\N	0
1657513	5622	1994-01-18	VYDAJ	VYBER	4500	59435	\N	\N	\N
1657514	5622	1994-01-26	VYDAJ	VYBER	2100	52235	\N	\N	\N
1657515	5622	1994-01-22	VYDAJ	VYBER	5100	54335	\N	\N	\N
1657516	5622	1994-01-10	VYDAJ	VYBER	6600	30304	\N	\N	\N
1657517	5622	1994-01-17	VYDAJ	VYBER	4200	63935	\N	\N	\N
1657518	5622	1994-01-10	VYDAJ	VYBER	2700	36904	\N	\N	\N
1657519	5622	1995-01-22	VYDAJ	VYBER	5700	70733	\N	\N	\N
1657520	5622	1995-01-27	VYDAJ	VYBER	6900	60833	\N	\N	\N
1657521	5622	1995-01-10	VYDAJ	VYBER	5100	39548	\N	\N	\N
1657522	5622	1995-01-28	VYDAJ	VYBER	1500	59333	\N	\N	\N
1657523	5622	1995-01-29	VYDAJ	VYBER	1800	57533	\N	\N	\N
1657524	5622	1995-01-04	VYDAJ	VYBER	4200	50975	\N	\N	\N
1657526	5622	1996-01-11	VYDAJ	VYBER	5100	93564	\N	\N	\N
1657527	5622	1996-01-25	VYDAJ	VYBER	3900	34087	\N	\N	\N
1657528	5622	1996-01-02	VYDAJ	VYBER	2700	60231	\N	\N	\N
1657529	5622	1996-01-25	VYDAJ	VYBER	3900	37987	\N	\N	\N
1657530	5622	1996-01-01	VYDAJ	VYBER	4500	62931	\N	\N	\N
1657533	5622	1997-01-30	VYDAJ	VYBER	3300	40455	\N	\N	\N
1657543	5622	1993-07-11	VYDAJ	VYBER	3600	57517	\N	\N	\N
1657545	5622	1993-08-19	VYDAJ	VYBER	9300	46647	\N	\N	\N
1657546	5622	1994-02-04	VYDAJ	VYBER	6600	43796	\N	\N	\N
1657547	5622	1994-09-20	VYDAJ	VYBER	5100	90297	\N	\N	\N
1657548	5622	1994-11-24	VYDAJ	VYBER	10800	83333	\N	\N	\N
1657549	5622	1994-09-11	VYDAJ	VYBER	2100	102062	\N	\N	\N
1657550	5622	1994-09-17	VYDAJ	VYBER	7200	95397	\N	\N	\N
1657551	5622	1994-12-21	VYDAJ	VYBER	13200	51980	\N	\N	\N
1657553	5622	1995-03-30	VYDAJ	VYBER	4800	83693	\N	\N	\N
1657555	5622	1995-08-13	VYDAJ	VYBER	10800	53558	\N	\N	\N
1657557	5622	1995-09-09	VYDAJ	VYBER	6300	36129	\N	\N	\N
1657559	5622	1996-09-27	VYDAJ	VYBER	5100	42433	\N	\N	\N
1657561	5622	1996-12-27	VYDAJ	VYBER	5400	45576	\N	\N	\N
1657563	5622	1996-11-25	VYDAJ	VYBER	7800	56580	\N	\N	\N
1657570	5622	1998-09-16	VYDAJ	VYBER	5100	65107	\N	\N	\N
1657571	5622	1998-08-02	VYDAJ	VYBER	3000	92653	\N	\N	\N
1657572	5622	1998-08-11	VYDAJ	VYBER	5100	72326	\N	\N	\N
1657578	5622	1993-05-31	VYDAJ	VYBER	15	62837	SLUZBY	\N	\N
1657579	5622	1993-06-30	VYDAJ	VYBER	15	92927	SLUZBY	\N	\N
1657580	5622	1993-07-31	VYDAJ	VYBER	15	77560	SLUZBY	\N	\N
1657581	5622	1993-08-31	VYDAJ	VYBER	15	46862	SLUZBY	\N	\N
1657582	5622	1993-09-30	VYDAJ	VYBER	15	27494	SLUZBY	\N	\N
1657583	5622	1993-10-31	VYDAJ	VYBER	15	50912	SLUZBY	\N	\N
1657584	5622	1993-11-30	VYDAJ	VYBER	15	56916	SLUZBY	\N	\N
1657585	5622	1993-12-31	VYDAJ	VYBER	15	77631	SLUZBY	\N	\N
1657586	5622	1994-01-31	VYDAJ	VYBER	15	47232	SLUZBY	\N	\N
1657587	5622	1994-02-28	VYDAJ	VYBER	15	37043	SLUZBY	\N	\N
1657588	5622	1994-03-31	VYDAJ	VYBER	15	73652	SLUZBY	\N	\N
1657589	5622	1994-04-30	VYDAJ	VYBER	15	84155	SLUZBY	\N	\N
1657590	5622	1994-05-31	VYDAJ	VYBER	15	85283	SLUZBY	\N	\N
1657591	5622	1994-06-30	VYDAJ	VYBER	15	62012	SLUZBY	\N	\N
1657592	5622	1994-07-31	VYDAJ	VYBER	15	95566	SLUZBY	\N	\N
1657593	5622	1994-08-31	VYDAJ	VYBER	15	105687	SLUZBY	\N	\N
1657594	5622	1994-09-30	VYDAJ	VYBER	15	91247	SLUZBY	\N	\N
1657595	5622	1994-10-31	VYDAJ	VYBER	15	93606	SLUZBY	\N	\N
1657596	5622	1994-11-30	VYDAJ	VYBER	15	60976	SLUZBY	\N	\N
1657597	5622	1994-12-31	VYDAJ	VYBER	15	55175	SLUZBY	\N	\N
1657598	5622	1995-01-31	VYDAJ	VYBER	15	48675	SLUZBY	\N	\N
1657599	5622	1995-02-28	VYDAJ	VYBER	15	64378	SLUZBY	\N	\N
1657600	5622	1995-03-31	VYDAJ	VYBER	15	62616	SLUZBY	\N	\N
1657601	5622	1995-04-30	VYDAJ	VYBER	15	41627	SLUZBY	\N	\N
1657602	5622	1995-05-31	VYDAJ	VYBER	15	64594	SLUZBY	\N	\N
1657603	5622	1995-06-30	VYDAJ	VYBER	15	56647	SLUZBY	\N	\N
1657604	5622	1995-07-31	VYDAJ	VYBER	15	77603	SLUZBY	\N	\N
1657605	5622	1995-08-31	VYDAJ	VYBER	15	51423	SLUZBY	\N	\N
1657606	5622	1995-09-30	VYDAJ	VYBER	15	43975	SLUZBY	\N	\N
1657607	5622	1995-10-31	VYDAJ	VYBER	15	42293	SLUZBY	\N	\N
1657608	5622	1995-11-30	VYDAJ	VYBER	15	54856	SLUZBY	\N	\N
1657609	5622	1995-12-31	VYDAJ	VYBER	15	67431	SLUZBY	\N	\N
1657610	5622	1996-01-31	VYDAJ	VYBER	15	34311	SLUZBY	\N	\N
1657611	5622	1996-02-29	VYDAJ	VYBER	15	38728	SLUZBY	\N	\N
1657612	5622	1996-03-31	VYDAJ	VYBER	15	63652	SLUZBY	\N	\N
1657613	5622	1996-04-30	VYDAJ	VYBER	15	55259	SLUZBY	\N	\N
1657614	5622	1996-05-31	VYDAJ	VYBER	15	45194	SLUZBY	\N	\N
1657615	5622	1996-06-30	VYDAJ	VYBER	15	54567	SLUZBY	\N	\N
1657616	5622	1996-07-31	VYDAJ	VYBER	15	45272	SLUZBY	\N	\N
1657617	5622	1996-08-31	VYDAJ	VYBER	15	45433	SLUZBY	\N	\N
1657618	5622	1996-09-30	VYDAJ	VYBER	15	42598	SLUZBY	\N	\N
1657619	5622	1996-10-31	VYDAJ	VYBER	15	46845	SLUZBY	\N	\N
1657620	5622	1996-11-30	VYDAJ	VYBER	15	56776	SLUZBY	\N	\N
1657621	5622	1996-12-31	VYDAJ	VYBER	15	45755	SLUZBY	\N	\N
1657622	5622	1997-01-31	VYDAJ	VYBER	15	40610	SLUZBY	\N	\N
1657623	5622	1997-02-28	VYDAJ	VYBER	15	44548	SLUZBY	\N	\N
1657624	5622	1997-03-31	VYDAJ	VYBER	15	48107	SLUZBY	\N	\N
1657625	5622	1997-04-30	VYDAJ	VYBER	15	50492	SLUZBY	\N	\N
1657626	5622	1997-05-31	VYDAJ	VYBER	15	49280	SLUZBY	\N	\N
1657627	5622	1997-06-30	VYDAJ	VYBER	15	49661	SLUZBY	\N	\N
1657628	5622	1997-07-31	VYDAJ	VYBER	15	48732	SLUZBY	\N	\N
1657629	5622	1997-08-31	VYDAJ	VYBER	15	48292	SLUZBY	\N	\N
1657630	5622	1997-09-30	VYDAJ	VYBER	15	36267	SLUZBY	\N	\N
1657631	5622	1997-10-31	VYDAJ	VYBER	15	47314	SLUZBY	\N	\N
1657632	5622	1997-11-30	VYDAJ	VYBER	15	48080	SLUZBY	\N	\N
1657633	5622	1997-12-31	VYDAJ	VYBER	15	44944	SLUZBY	\N	\N
1657634	5622	1998-01-31	VYDAJ	VYBER	15	44110	SLUZBY	\N	\N
1657635	5622	1998-02-28	VYDAJ	VYBER	15	46975	SLUZBY	\N	\N
1657636	5622	1998-03-31	VYDAJ	VYBER	15	72398	SLUZBY	\N	\N
1657637	5622	1998-04-30	VYDAJ	VYBER	15	94025	SLUZBY	\N	\N
1657638	5622	1998-05-31	VYDAJ	VYBER	15	74727	SLUZBY	\N	\N
1657639	5622	1998-06-30	VYDAJ	VYBER	15	70693	SLUZBY	\N	\N
1657640	5622	1998-07-31	VYDAJ	VYBER	15	95653	SLUZBY	\N	\N
1657641	5622	1998-08-31	VYDAJ	VYBER	15	79107	SLUZBY	\N	\N
1657642	5622	1998-09-30	VYDAJ	VYBER	15	65370	SLUZBY	\N	\N
1657643	5622	1998-10-31	VYDAJ	VYBER	15	62907	SLUZBY	\N	\N
1657644	5622	1998-11-30	VYDAJ	VYBER	15	68378	SLUZBY	\N	\N
1657645	5622	1993-03-10	VYDAJ	VYBER	14900	43323	\N	\N	\N
1657646	5622	1993-04-05	VYDAJ	VYBER	29500	98162	\N	\N	\N
1657647	5622	1993-04-09	VYDAJ	VYBER	36800	61362	\N	\N	\N
1657648	5622	1993-05-06	VYDAJ	VYBER	30300	74832	\N	\N	\N
1657649	5622	1993-05-09	VYDAJ	VYBER	24600	43905	\N	\N	\N
1657650	5622	1993-06-08	VYDAJ	VYBER	17800	38710	\N	\N	\N
1657651	5622	1993-07-02	VYDAJ	VYBER	15700	108531	\N	\N	\N
1657652	5622	1993-07-08	VYDAJ	VYBER	37500	64704	\N	\N	\N
1657653	5622	1993-08-06	VYDAJ	VYBER	45600	60947	\N	\N	\N
1657654	5622	1993-08-07	VYDAJ	VYBER	19900	41047	\N	\N	\N
1657655	5622	1993-09-06	VYDAJ	VYBER	10800	36062	\N	\N	\N
1657656	5622	1993-10-06	VYDAJ	VYBER	19400	42431	\N	\N	\N
1657657	5622	1993-11-05	VYDAJ	VYBER	50200	86237	\N	\N	\N
1657658	5622	1993-11-05	VYDAJ	VYBER	28100	58137	\N	\N	\N
1657659	5622	1993-11-21	VYDAJ	VYBER	64400	56592	\N	\N	\N
1657660	5622	1993-12-05	VYDAJ	VYBER	15300	41616	\N	\N	\N
1657661	5622	1993-12-11	VYDAJ	VYBER	29000	82427	\N	\N	\N
1657662	5622	1994-01-04	VYDAJ	VYBER	19000	45931	\N	\N	\N
1657663	5622	1994-02-03	VYDAJ	VYBER	20000	50396	\N	\N	\N
1657664	5622	1994-03-05	VYDAJ	VYBER	2600	34443	\N	\N	\N
1657665	5622	1994-03-31	VYDAJ	VYBER	41600	73667	\N	\N	\N
1657666	5622	1994-04-04	VYDAJ	VYBER	19600	54052	\N	\N	\N
1657667	5622	1994-04-25	VYDAJ	VYBER	35500	83827	\N	\N	\N
1657668	5622	1994-05-04	VYDAJ	VYBER	25200	58955	\N	\N	\N
1657669	5622	1994-06-03	VYDAJ	VYBER	24700	60583	\N	\N	\N
1657670	5622	1994-07-03	VYDAJ	VYBER	8800	53212	\N	\N	\N
1657671	5622	1994-08-02	VYDAJ	VYBER	24900	70666	\N	\N	\N
1657672	5622	1994-08-13	VYDAJ	VYBER	31000	99097	\N	\N	\N
1657673	5622	1994-09-01	VYDAJ	VYBER	33700	71987	\N	\N	\N
1657674	5622	1994-09-22	VYDAJ	VYBER	28900	85451	\N	\N	\N
1657675	5622	1994-10-01	VYDAJ	VYBER	22400	68847	\N	\N	\N
1657676	5622	1994-10-31	VYDAJ	VYBER	26200	67406	\N	\N	\N
1657677	5622	1994-11-08	VYDAJ	VYBER	53100	85432	\N	\N	\N
1657678	5622	1994-11-30	VYDAJ	VYBER	22700	60991	\N	\N	\N
1657679	5622	1994-12-30	VYDAJ	VYBER	11100	54950	\N	\N	\N
1657680	5622	1995-01-29	VYDAJ	VYBER	9100	48433	\N	\N	\N
1657681	5622	1995-02-28	VYDAJ	VYBER	11500	52878	\N	\N	\N
1657682	5622	1995-03-30	VYDAJ	VYBER	21400	62293	\N	\N	\N
1657683	5622	1995-04-29	PRIJEM	VKLAD	3100	41438	\N	\N	\N
1657684	5622	1995-05-29	VYDAJ	VYBER	11300	64409	\N	\N	\N
1657685	5622	1995-06-28	VYDAJ	VYBER	4000	56429	\N	\N	\N
1657686	5622	1995-07-21	VYDAJ	VYBER	19400	109655	\N	\N	\N
1657687	5622	1995-07-28	VYDAJ	VYBER	27500	82155	\N	\N	\N
1657688	5622	1995-08-27	VYDAJ	VYBER	1800	51185	\N	\N	\N
1657689	5622	1995-09-26	PRIJEM	VKLAD	15200	43838	\N	\N	\N
1657690	5622	1995-10-26	PRIJEM	VKLAD	12000	42157	\N	\N	\N
1657691	5622	1995-11-25	VYDAJ	VYBER	1300	54644	\N	\N	\N
1657692	5622	1995-12-25	VYDAJ	VYBER	12900	67132	\N	\N	\N
1657693	5622	1996-01-24	PRIJEM	VKLAD	11200	41887	\N	\N	\N
1657694	5622	1996-02-23	PRIJEM	VKLAD	16100	38611	\N	\N	\N
1657695	5622	1996-03-24	VYDAJ	VYBER	1200	63496	\N	\N	\N
1657696	5622	1996-04-23	PRIJEM	VKLAD	4600	55052	\N	\N	\N
1657697	5622	1996-05-23	PRIJEM	VKLAD	15600	45043	\N	\N	\N
1657698	5622	1996-06-22	PRIJEM	VKLAD	3600	54341	\N	\N	\N
1657699	5622	1996-07-22	VYDAJ	VYBER	19600	85642	\N	\N	\N
1657700	5622	1996-07-23	VYDAJ	VYBER	60700	69238	\N	\N	\N
1657701	5622	1996-08-21	PRIJEM	VKLAD	13400	51772	\N	\N	\N
1657702	5622	1996-09-20	PRIJEM	VKLAD	14600	53133	\N	\N	\N
1657703	5622	1996-10-20	PRIJEM	VKLAD	17300	46698	\N	\N	\N
1657704	5622	1996-11-19	VYDAJ	VYBER	7400	64380	\N	\N	\N
1657705	5622	1996-12-19	PRIJEM	VKLAD	10400	50976	\N	\N	\N
1657706	5622	1997-01-18	PRIJEM	VKLAD	13400	43755	\N	\N	\N
1657707	5622	1997-02-17	PRIJEM	VKLAD	16400	44410	\N	\N	\N
1657708	5622	1997-03-19	PRIJEM	VKLAD	16100	47948	\N	\N	\N
1657709	5622	1997-04-18	PRIJEM	VKLAD	14800	56007	\N	\N	\N
1657710	5622	1997-05-18	PRIJEM	VKLAD	12700	56292	\N	\N	\N
1657711	5622	1997-06-17	PRIJEM	VKLAD	13900	56280	\N	\N	\N
1657712	5622	1997-07-17	PRIJEM	VKLAD	13100	48561	\N	\N	\N
1657713	5622	1997-08-16	PRIJEM	VKLAD	12100	48132	\N	\N	\N
1657714	5622	1997-09-15	PRIJEM	VKLAD	10800	52192	\N	\N	\N
1657715	5622	1997-10-15	PRIJEM	VKLAD	17800	47167	\N	\N	\N
1657716	5622	1997-11-14	PRIJEM	VKLAD	13800	48487	\N	\N	\N
1657717	5622	1997-12-14	PRIJEM	VKLAD	9500	51253	\N	\N	\N
1657718	5622	1998-01-13	PRIJEM	VKLAD	11900	50517	\N	\N	\N
1657719	5622	1998-02-12	PRIJEM	VKLAD	15600	53383	\N	\N	\N
1657720	5622	1998-03-14	PRIJEM	VKLAD	7600	63799	\N	\N	\N
1657721	5622	1998-04-13	PRIJEM	VKLAD	500	66571	\N	\N	\N
1657722	5622	1998-05-13	VYDAJ	VYBER	6700	74998	\N	\N	\N
1657723	5622	1998-06-12	PRIJEM	VKLAD	9200	71000	\N	\N	\N
1657724	5622	1998-07-12	PRIJEM	VKLAD	12000	68366	\N	\N	\N
1657725	5622	1998-08-11	VYDAJ	VYBER	300	77426	\N	\N	\N
1657726	5622	1998-09-10	PRIJEM	VKLAD	4200	76980	\N	\N	\N
1657727	5622	1998-10-10	PRIJEM	VKLAD	10900	69943	\N	\N	\N
1657728	5622	1998-11-09	PRIJEM	VKLAD	13700	63580	\N	\N	\N
1657729	5622	1998-12-09	PRIJEM	VKLAD	13500	75551	\N	\N	\N
1659062	5628	1994-06-17	PRIJEM	VKLAD	200	200	\N	\N	\N
1659069	5628	1994-07-08	PRIJEM	VKLAD	13818	14018	\N	\N	\N
1659070	5628	1994-08-08	PRIJEM	VKLAD	13818	35379	\N	\N	\N
1659071	5628	1994-09-08	PRIJEM	VKLAD	13818	43104	\N	\N	\N
1659072	5628	1994-10-08	PRIJEM	VKLAD	13818	45148	\N	\N	\N
1659073	5628	1994-11-08	PRIJEM	VKLAD	13818	50207	\N	\N	\N
1659074	5628	1994-12-08	PRIJEM	VKLAD	20727	53272	\N	\N	\N
1659075	5628	1995-01-08	PRIJEM	VKLAD	13818	38586	\N	\N	\N
1659076	5628	1995-02-08	PRIJEM	VKLAD	13818	32580	\N	\N	\N
1659077	5628	1995-03-08	PRIJEM	VKLAD	13818	40682	\N	\N	\N
1659078	5628	1995-04-08	PRIJEM	VKLAD	13818	43303	\N	\N	\N
1659079	5628	1995-05-08	PRIJEM	VKLAD	13818	46338	\N	\N	\N
1659080	5628	1995-06-08	PRIJEM	VKLAD	20727	51727	\N	\N	\N
1659081	5628	1995-07-08	PRIJEM	VKLAD	13818	47409	\N	\N	\N
1659082	5628	1995-08-08	PRIJEM	VKLAD	13818	41686	\N	\N	\N
1659083	5628	1995-09-08	PRIJEM	VKLAD	13818	35089	\N	\N	\N
1659084	5628	1995-10-08	PRIJEM	VKLAD	13818	38038	\N	\N	\N
1659085	5628	1995-11-08	PRIJEM	VKLAD	13818	43903	\N	\N	\N
1659086	5628	1995-12-08	PRIJEM	VKLAD	20727	45447	\N	\N	\N
1659087	5628	1996-01-08	PRIJEM	VKLAD	13818	45225	\N	\N	\N
1659088	5628	1996-02-08	PRIJEM	VKLAD	13818	33611	\N	\N	\N
1659089	5628	1996-03-08	PRIJEM	VKLAD	13818	43766	\N	\N	\N
1659090	5628	1996-04-08	PRIJEM	VKLAD	13818	40730	\N	\N	\N
1659091	5628	1996-05-08	PRIJEM	VKLAD	13818	45427	\N	\N	\N
1659092	5628	1996-06-08	PRIJEM	VKLAD	20727	54053	\N	\N	\N
1659093	5628	1996-07-08	PRIJEM	VKLAD	13818	37770	\N	\N	\N
1659094	5628	1996-08-08	PRIJEM	VKLAD	13818	45645	\N	\N	\N
1659095	5628	1996-09-08	PRIJEM	VKLAD	13818	48261	\N	\N	\N
1659096	5628	1996-10-08	PRIJEM	VKLAD	13818	48892	\N	\N	\N
1659097	5628	1996-11-08	PRIJEM	VKLAD	13818	40189	\N	\N	\N
1659098	5628	1996-12-08	PRIJEM	VKLAD	20727	45393	\N	\N	\N
1659099	5628	1997-01-08	PRIJEM	VKLAD	13818	39019	\N	\N	\N
1659100	5628	1997-02-08	PRIJEM	VKLAD	13818	32627	\N	\N	\N
1659101	5628	1997-03-08	PRIJEM	VKLAD	13818	42222	\N	\N	\N
1659102	5628	1997-04-08	PRIJEM	VKLAD	13818	48420	\N	\N	\N
1659103	5628	1997-05-08	PRIJEM	VKLAD	13818	50848	\N	\N	\N
1659104	5628	1997-06-08	PRIJEM	VKLAD	20727	60399	\N	\N	\N
1659105	5628	1997-07-08	PRIJEM	VKLAD	13818	50788	\N	\N	\N
1659106	5628	1997-08-08	PRIJEM	VKLAD	13818	52829	\N	\N	\N
1659107	5628	1997-09-08	PRIJEM	VKLAD	13818	48872	\N	\N	\N
1659108	5628	1997-10-08	PRIJEM	VKLAD	13818	45105	\N	\N	\N
1659109	5628	1997-11-08	PRIJEM	VKLAD	13818	49915	\N	\N	\N
1659110	5628	1997-12-08	PRIJEM	VKLAD	20727	48320	\N	\N	\N
1659111	5628	1998-01-08	PRIJEM	VKLAD	13818	44353	\N	\N	\N
1659112	5628	1998-02-08	PRIJEM	VKLAD	13818	36968	\N	\N	\N
1659113	5628	1998-03-08	PRIJEM	VKLAD	13818	40932	\N	\N	\N
1659114	5628	1998-04-08	PRIJEM	VKLAD	13818	43513	\N	\N	\N
1659115	5628	1998-05-08	PRIJEM	VKLAD	13818	45904	\N	\N	\N
1659116	5628	1998-06-08	PRIJEM	VKLAD	20727	54212	\N	\N	\N
1659117	5628	1998-07-08	PRIJEM	VKLAD	13818	55735	\N	\N	\N
1659118	5628	1998-08-08	PRIJEM	VKLAD	13818	57375	\N	\N	\N
1659119	5628	1998-09-08	PRIJEM	VKLAD	13818	52613	\N	\N	\N
1659120	5628	1998-10-08	PRIJEM	VKLAD	13818	51435	\N	\N	\N
1659121	5628	1998-11-08	PRIJEM	VKLAD	13818	47848	\N	\N	\N
1659122	5628	1998-12-08	PRIJEM	VKLAD	20727	46715	\N	\N	\N
1659133	5628	1994-11-16	VYDAJ	VYBER	3000	37207	\N	\N	0
1659134	5628	1994-11-28	VYDAJ	VYBER	4800	32407	\N	\N	0
1659135	5628	1995-01-15	VYDAJ	VYBER	4400	24306	\N	\N	0
1659136	5628	1995-02-12	VYDAJ	VYBER	4100	26780	\N	\N	0
1659137	5628	1995-03-14	VYDAJ	VYBER	3000	37682	\N	\N	0
1659138	5628	1995-04-12	VYDAJ	VYBER	4100	39203	\N	\N	0
1659139	5628	1995-05-12	VYDAJ	PREVOD NA UCET	3757	42581	UVER	QR	30017256
1659140	5628	1995-06-12	VYDAJ	PREVOD NA UCET	3757	47970	UVER	QR	30017256
1659141	5628	1995-07-12	VYDAJ	PREVOD NA UCET	3757	31352	UVER	QR	30017256
1659142	5628	1995-08-12	VYDAJ	PREVOD NA UCET	3757	29329	UVER	QR	30017256
1659143	5628	1995-09-12	VYDAJ	PREVOD NA UCET	3757	24132	UVER	QR	30017256
1659144	5628	1995-10-12	VYDAJ	PREVOD NA UCET	3757	29981	UVER	QR	30017256
1659145	5628	1995-11-12	VYDAJ	PREVOD NA UCET	3757	30446	UVER	QR	30017256
1659146	5628	1995-12-12	VYDAJ	PREVOD NA UCET	3757	31290	UVER	QR	30017256
1659147	5628	1996-01-12	VYDAJ	PREVOD NA UCET	3757	27728	UVER	QR	30017256
1659148	5628	1996-02-12	VYDAJ	PREVOD NA UCET	3757	29854	UVER	QR	30017256
1659149	5628	1996-03-12	VYDAJ	PREVOD NA UCET	3757	31909	UVER	QR	30017256
1659150	5628	1996-04-12	VYDAJ	PREVOD NA UCET	3757	36973	UVER	QR	30017256
1659151	5628	1996-05-12	VYDAJ	PREVOD NA UCET	3757	41670	UVER	QR	30017256
1659152	5628	1996-06-12	VYDAJ	PREVOD NA UCET	3757	18936	UVER	QR	30017256
1659153	5628	1996-07-12	VYDAJ	PREVOD NA UCET	3757	34013	UVER	QR	30017256
1659154	5628	1996-08-12	VYDAJ	PREVOD NA UCET	3757	41888	UVER	QR	30017256
1659155	5628	1996-09-12	VYDAJ	PREVOD NA UCET	3757	44504	UVER	QR	30017256
1659156	5628	1996-10-12	VYDAJ	PREVOD NA UCET	3757	45135	UVER	QR	30017256
1659157	5628	1996-11-12	VYDAJ	PREVOD NA UCET	3757	36432	UVER	QR	30017256
1659158	5628	1996-12-12	VYDAJ	PREVOD NA UCET	3757	37476	UVER	QR	30017256
1659159	5628	1997-01-12	VYDAJ	PREVOD NA UCET	3757	23262	UVER	QR	30017256
1659160	5628	1997-02-12	VYDAJ	PREVOD NA UCET	3757	28870	UVER	QR	30017256
1659161	5628	1997-03-12	VYDAJ	PREVOD NA UCET	3757	38465	UVER	QR	30017256
1659162	5628	1997-04-12	VYDAJ	PREVOD NA UCET	3757	44663	UVER	QR	30017256
1659163	5628	1997-05-12	VYDAJ	PREVOD NA UCET	3757	47091	UVER	QR	30017256
1659164	5628	1997-06-12	VYDAJ	PREVOD NA UCET	3757	56642	UVER	QR	30017256
1659165	5628	1997-07-12	VYDAJ	PREVOD NA UCET	3757	47031	UVER	QR	30017256
1659166	5628	1997-08-12	VYDAJ	PREVOD NA UCET	3757	49072	UVER	QR	30017256
1659167	5628	1997-09-12	VYDAJ	PREVOD NA UCET	3757	45115	UVER	QR	30017256
1659168	5628	1997-10-12	VYDAJ	PREVOD NA UCET	3757	41348	UVER	QR	30017256
1659169	5628	1997-11-12	VYDAJ	PREVOD NA UCET	3757	46158	UVER	QR	30017256
1659170	5628	1997-12-12	VYDAJ	PREVOD NA UCET	3757	44563	UVER	QR	30017256
1659171	5628	1998-01-12	VYDAJ	PREVOD NA UCET	3757	35316	UVER	QR	30017256
1659172	5628	1998-02-12	VYDAJ	PREVOD NA UCET	3757	33211	UVER	QR	30017256
1659173	5628	1998-03-12	VYDAJ	PREVOD NA UCET	3757	37175	UVER	QR	30017256
1659174	5628	1998-04-12	VYDAJ	PREVOD NA UCET	3757	39756	UVER	QR	30017256
1659175	5628	1998-05-12	VYDAJ	PREVOD NA UCET	3757	42147	UVER	QR	30017256
1659176	5628	1998-06-12	VYDAJ	PREVOD NA UCET	3757	50455	UVER	QR	30017256
1659177	5628	1998-07-12	VYDAJ	PREVOD NA UCET	3757	51978	UVER	QR	30017256
1659178	5628	1998-08-12	VYDAJ	PREVOD NA UCET	3757	53618	UVER	QR	30017256
1659179	5628	1998-09-12	VYDAJ	PREVOD NA UCET	3757	48856	UVER	QR	30017256
1659180	5628	1998-10-12	VYDAJ	PREVOD NA UCET	3757	47678	UVER	QR	30017256
1659181	5628	1998-11-12	VYDAJ	PREVOD NA UCET	3757	44091	UVER	QR	30017256
1659182	5628	1998-12-12	VYDAJ	PREVOD NA UCET	3757	40398	UVER	QR	30017256
1659185	5628	1996-06-12	VYDAJ	VYBER	31360	22693	\N	\N	\N
1659186	5628	1997-06-17	VYDAJ	VYBER	12960	43682	\N	\N	\N
1659189	5628	1995-01-11	VYDAJ	VYBER	8160	30426	\N	\N	\N
1659190	5628	1996-01-18	VYDAJ	VYBER	6240	18008	\N	\N	\N
1659191	5628	1997-01-09	VYDAJ	VYBER	12000	27019	\N	\N	\N
1659193	5628	1994-12-11	VYDAJ	VYBER	2560	50712	\N	\N	\N
1659194	5628	1995-12-07	VYDAJ	VYBER	1760	24720	\N	\N	\N
1659195	5628	1996-12-12	VYDAJ	VYBER	4160	41233	\N	\N	\N
1659196	5628	1997-12-06	VYDAJ	VYBER	3040	27593	\N	\N	\N
1659197	5628	1998-12-11	VYDAJ	VYBER	2560	44155	\N	\N	\N
1659204	5628	1995-01-04	VYDAJ	VYBER	3000	27648	\N	\N	\N
1659205	5628	1995-01-06	VYDAJ	VYBER	2880	24768	\N	\N	\N
1659206	5628	1995-01-29	VYDAJ	VYBER	1200	19986	\N	\N	\N
1659207	5628	1995-01-30	VYDAJ	VYBER	1320	18666	\N	\N	\N
1659208	5628	1995-01-16	VYDAJ	VYBER	960	23346	\N	\N	\N
1659209	5628	1995-01-12	VYDAJ	VYBER	3120	27306	\N	\N	\N
1659210	5628	1996-01-25	VYDAJ	VYBER	2640	13328	\N	\N	\N
1659211	5628	1996-01-29	VYDAJ	VYBER	720	12608	\N	\N	\N
1659212	5628	1996-01-13	VYDAJ	VYBER	3480	24248	\N	\N	\N
1659213	5628	1996-01-09	VYDAJ	VYBER	1440	31485	\N	\N	\N
1659215	5628	1996-01-25	VYDAJ	VYBER	2040	15968	\N	\N	\N
1659216	5628	1997-01-24	VYDAJ	VYBER	1200	19782	\N	\N	\N
1659217	5628	1997-01-25	VYDAJ	VYBER	2280	17502	\N	\N	\N
1659218	5628	1997-01-05	VYDAJ	VYBER	2520	25201	\N	\N	\N
1659219	5628	1997-01-25	VYDAJ	VYBER	1680	15822	\N	\N	\N
1659220	5628	1997-01-23	VYDAJ	VYBER	2280	20982	\N	\N	\N
1659221	5628	1997-01-05	VYDAJ	VYBER	3000	27721	\N	\N	\N
1659222	5628	1998-01-16	VYDAJ	VYBER	3120	30516	\N	\N	\N
1659223	5628	1998-01-23	VYDAJ	VYBER	1440	27636	\N	\N	\N
1659224	5628	1998-01-03	VYDAJ	VYBER	1680	30535	\N	\N	\N
1659225	5628	1998-01-09	VYDAJ	VYBER	1200	43153	\N	\N	\N
1659226	5628	1998-01-12	VYDAJ	VYBER	840	33636	\N	\N	\N
1659227	5628	1998-01-12	VYDAJ	VYBER	840	34476	\N	\N	\N
1659231	5628	1995-08-30	VYDAJ	VYBER	4920	21769	\N	\N	\N
1659232	5628	1995-08-26	VYDAJ	VYBER	2640	26689	\N	\N	\N
1659233	5628	1995-09-07	VYDAJ	VYBER	600	21271	\N	\N	\N
1659234	5628	1995-01-01	VYDAJ	VYBER	5400	30648	\N	\N	\N
1659235	5628	1995-07-25	VYDAJ	VYBER	3600	27752	\N	\N	\N
1659236	5628	1995-01-26	VYDAJ	VYBER	2160	21186	\N	\N	\N
1659237	5628	1995-12-04	VYDAJ	VYBER	4080	26480	\N	\N	\N
1659238	5628	1996-10-27	VYDAJ	VYBER	5280	31815	\N	\N	\N
1659239	5628	1996-10-16	VYDAJ	VYBER	4440	40695	\N	\N	\N
1659240	5628	1996-04-02	VYDAJ	VYBER	4320	27712	\N	\N	\N
1659241	5628	1996-10-20	VYDAJ	VYBER	3600	37095	\N	\N	\N
1659243	5628	1997-03-03	VYDAJ	VYBER	3360	28404	\N	\N	\N
1659244	5628	1997-11-29	VYDAJ	VYBER	5280	30478	\N	\N	\N
1659245	5628	1997-09-24	VYDAJ	VYBER	3600	41515	\N	\N	\N
1659246	5628	1997-10-02	VYDAJ	VYBER	2880	31287	\N	\N	\N
1659247	5628	1998-01-19	VYDAJ	VYBER	1440	29076	\N	\N	\N
1659248	5628	1998-01-11	VYDAJ	VYBER	4080	39073	\N	\N	\N
1659249	5628	1998-12-01	VYDAJ	VYBER	5040	25988	\N	\N	\N
1659261	5628	1994-11-30	VYDAJ	VYBER	15	32545	SLUZBY	\N	\N
1659262	5628	1994-12-31	VYDAJ	VYBER	15	36048	SLUZBY	\N	\N
1659263	5628	1995-01-31	VYDAJ	VYBER	15	18762	SLUZBY	\N	\N
1659264	5628	1995-02-28	VYDAJ	VYBER	15	26864	SLUZBY	\N	\N
1659265	5628	1995-03-31	VYDAJ	VYBER	15	29485	SLUZBY	\N	\N
1659266	5628	1995-04-30	VYDAJ	VYBER	15	32520	SLUZBY	\N	\N
1659267	5628	1995-05-31	VYDAJ	VYBER	15	31000	SLUZBY	\N	\N
1659268	5628	1995-06-30	VYDAJ	VYBER	15	33591	SLUZBY	\N	\N
1659269	5628	1995-07-31	VYDAJ	VYBER	15	27868	SLUZBY	\N	\N
1659270	5628	1995-08-31	VYDAJ	VYBER	15	21871	SLUZBY	\N	\N
1659271	5628	1995-09-30	VYDAJ	VYBER	15	24220	SLUZBY	\N	\N
1659272	5628	1995-10-31	VYDAJ	VYBER	15	30085	SLUZBY	\N	\N
1659273	5628	1995-11-30	VYDAJ	VYBER	15	30560	SLUZBY	\N	\N
1659274	5628	1995-12-31	VYDAJ	VYBER	15	31407	SLUZBY	\N	\N
1659275	5628	1996-01-31	VYDAJ	VYBER	15	12693	SLUZBY	\N	\N
1659276	5628	1996-02-29	VYDAJ	VYBER	15	29948	SLUZBY	\N	\N
1659277	5628	1996-03-31	VYDAJ	VYBER	15	32032	SLUZBY	\N	\N
1659278	5628	1996-04-30	VYDAJ	VYBER	15	37109	SLUZBY	\N	\N
1659279	5628	1996-05-31	VYDAJ	VYBER	15	41826	SLUZBY	\N	\N
1659280	5628	1996-06-30	VYDAJ	VYBER	15	19052	SLUZBY	\N	\N
1659281	5628	1996-07-31	VYDAJ	VYBER	15	34127	SLUZBY	\N	\N
1659282	5628	1996-08-31	VYDAJ	VYBER	15	42043	SLUZBY	\N	\N
1659283	5628	1996-09-30	VYDAJ	VYBER	15	44674	SLUZBY	\N	\N
1659284	5628	1996-10-31	VYDAJ	VYBER	15	31971	SLUZBY	\N	\N
1659285	5628	1996-11-30	VYDAJ	VYBER	15	36566	SLUZBY	\N	\N
1659286	5628	1996-12-31	VYDAJ	VYBER	15	37621	SLUZBY	\N	\N
1659287	5628	1997-01-31	VYDAJ	VYBER	15	15909	SLUZBY	\N	\N
1659288	5628	1997-02-28	VYDAJ	VYBER	15	28964	SLUZBY	\N	\N
1659289	5628	1997-03-31	VYDAJ	VYBER	15	38602	SLUZBY	\N	\N
1659290	5628	1997-04-30	VYDAJ	VYBER	15	44830	SLUZBY	\N	\N
1659291	5628	1997-05-31	VYDAJ	VYBER	15	47272	SLUZBY	\N	\N
1659292	5628	1997-06-30	VYDAJ	VYBER	15	43870	SLUZBY	\N	\N
1659293	5628	1997-07-31	VYDAJ	VYBER	15	47211	SLUZBY	\N	\N
1659294	5628	1997-08-31	VYDAJ	VYBER	15	35054	SLUZBY	\N	\N
1659295	5628	1997-09-30	VYDAJ	VYBER	15	34167	SLUZBY	\N	\N
1659296	5628	1997-10-31	VYDAJ	VYBER	15	36097	SLUZBY	\N	\N
1659297	5628	1997-11-30	VYDAJ	VYBER	15	30633	SLUZBY	\N	\N
1659298	5628	1997-12-31	VYDAJ	VYBER	15	32215	SLUZBY	\N	\N
1659299	5628	1998-01-31	VYDAJ	VYBER	15	23150	SLUZBY	\N	\N
1659300	5628	1998-02-28	VYDAJ	VYBER	15	27114	SLUZBY	\N	\N
1659301	5628	1998-03-31	VYDAJ	VYBER	15	29695	SLUZBY	\N	\N
1659302	5628	1998-04-30	VYDAJ	VYBER	15	32086	SLUZBY	\N	\N
1659303	5628	1998-05-31	VYDAJ	VYBER	15	33485	SLUZBY	\N	\N
1659304	5628	1998-06-30	VYDAJ	VYBER	15	41917	SLUZBY	\N	\N
1659305	5628	1998-07-31	VYDAJ	VYBER	15	43557	SLUZBY	\N	\N
1659306	5628	1998-08-31	VYDAJ	VYBER	15	38795	SLUZBY	\N	\N
1659307	5628	1998-09-30	VYDAJ	VYBER	15	37617	SLUZBY	\N	\N
1659308	5628	1998-10-31	VYDAJ	VYBER	15	34030	SLUZBY	\N	\N
1659309	5628	1998-11-30	VYDAJ	VYBER	15	31028	SLUZBY	\N	\N
1659310	5628	1994-07-17	PRIJEM	VKLAD	7500	21518	\N	\N	\N
1659311	5628	1994-08-16	VYDAJ	VYBER	6200	29179	\N	\N	\N
1659312	5628	1994-09-15	VYDAJ	VYBER	11900	31204	\N	\N	\N
1659313	5628	1994-10-15	VYDAJ	VYBER	8900	36248	\N	\N	\N
1659314	5628	1994-11-14	VYDAJ	VYBER	10000	40207	\N	\N	\N
1659315	5628	1994-12-14	VYDAJ	VYBER	14800	35912	\N	\N	\N
1659316	5628	1995-01-13	PRIJEM	VKLAD	1400	28706	\N	\N	\N
1659317	5628	1995-02-12	VYDAJ	VYBER	1700	30880	\N	\N	\N
1659318	5628	1995-03-14	VYDAJ	VYBER	8300	29382	\N	\N	\N
1659319	5628	1995-04-13	VYDAJ	VYBER	6800	32403	\N	\N	\N
1659320	5628	1995-05-13	VYDAJ	VYBER	11700	30881	\N	\N	\N
1659321	5628	1995-06-12	VYDAJ	VYBER	14500	33470	\N	\N	\N
1659322	5628	1995-07-12	VYDAJ	VYBER	12300	35109	\N	\N	\N
1659323	5628	1995-08-11	VYDAJ	VYBER	8600	33086	\N	\N	\N
1659324	5628	1995-09-10	VYDAJ	VYBER	7200	27889	\N	\N	\N
1659325	5628	1995-10-10	VYDAJ	VYBER	4300	33738	\N	\N	\N
1659326	5628	1995-11-09	VYDAJ	VYBER	9700	34203	\N	\N	\N
1659327	5628	1995-12-09	VYDAJ	VYBER	10400	35047	\N	\N	\N
1659328	5628	1996-01-08	VYDAJ	VYBER	12300	32925	\N	\N	\N
1659329	5628	1996-02-07	PRIJEM	VKLAD	7100	19793	\N	\N	\N
1659330	5628	1996-03-08	VYDAJ	VYBER	8100	35666	\N	\N	\N
1659331	5628	1996-04-07	VYDAJ	VYBER	800	26912	\N	\N	\N
1659332	5628	1996-05-07	VYDAJ	VYBER	5500	31609	\N	\N	\N
1659333	5628	1996-06-06	VYDAJ	VYBER	8500	33326	\N	\N	\N
1659334	5628	1996-07-06	PRIJEM	VKLAD	4900	23952	\N	\N	\N
1659335	5628	1996-08-05	VYDAJ	VYBER	2300	31827	\N	\N	\N
1659336	5628	1996-09-04	VYDAJ	VYBER	7600	34443	\N	\N	\N
1659337	5628	1996-10-04	VYDAJ	VYBER	9600	35074	\N	\N	\N
1659338	5628	1996-11-03	VYDAJ	VYBER	5600	26371	\N	\N	\N
1659339	5628	1996-12-03	VYDAJ	VYBER	11900	24666	\N	\N	\N
1659340	5628	1997-01-02	VYDAJ	VYBER	6900	30721	\N	\N	\N
1659341	5628	1997-02-01	PRIJEM	VKLAD	2900	18809	\N	\N	\N
1659342	5628	1997-03-03	PRIJEM	VKLAD	2800	31764	\N	\N	\N
1659343	5628	1997-04-02	VYDAJ	VYBER	4000	34602	\N	\N	\N
1659344	5628	1997-05-02	VYDAJ	VYBER	7800	37030	\N	\N	\N
1659345	5628	1997-06-01	VYDAJ	VYBER	7600	39672	\N	\N	\N
1659346	5628	1997-07-01	VYDAJ	VYBER	6900	36970	\N	\N	\N
1659347	5628	1997-07-31	VYDAJ	VYBER	8200	39011	\N	\N	\N
1659348	5628	1997-08-30	VYDAJ	VYBER	14200	34872	\N	\N	\N
1659349	5628	1997-09-29	VYDAJ	VYBER	7500	34015	\N	\N	\N
1659350	5628	1997-10-29	VYDAJ	VYBER	5400	35948	\N	\N	\N
1659351	5628	1997-11-28	VYDAJ	VYBER	10400	35758	\N	\N	\N
1659352	5628	1997-12-28	VYDAJ	VYBER	12500	32063	\N	\N	\N
1659353	5628	1998-01-27	VYDAJ	VYBER	4600	23036	\N	\N	\N
1659354	5628	1998-02-26	VYDAJ	VYBER	6200	27011	\N	\N	\N
1659355	5628	1998-03-28	VYDAJ	VYBER	7600	29575	\N	\N	\N
1659356	5628	1998-04-27	VYDAJ	VYBER	7800	31956	\N	\N	\N
1659357	5628	1998-05-27	VYDAJ	VYBER	8800	33347	\N	\N	\N
1659358	5628	1998-06-26	VYDAJ	VYBER	8700	41755	\N	\N	\N
1659359	5628	1998-07-26	VYDAJ	VYBER	8600	43378	\N	\N	\N
1659360	5628	1998-08-25	VYDAJ	VYBER	15000	38618	\N	\N	\N
1659361	5628	1998-09-24	VYDAJ	VYBER	11400	37456	\N	\N	\N
1659362	5628	1998-10-24	VYDAJ	VYBER	13800	33878	\N	\N	\N
1659363	5628	1998-11-23	VYDAJ	VYBER	13200	30891	\N	\N	\N
1660375	5632	1994-11-15	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1660384	5632	1994-12-21	PRIJEM	VKLAD	7027	21027	\N	\N	\N
1660386	5632	1995-05-27	PRIJEM	VKLAD	7836	80960	\N	\N	\N
1660387	5632	1995-12-24	PRIJEM	VKLAD	37109	54279	\N	\N	\N
1660388	5632	1995-02-15	PRIJEM	VKLAD	5352	57424	\N	\N	\N
1660389	5632	1995-04-23	PRIJEM	VKLAD	10118	31690	\N	\N	\N
1660390	5632	1995-05-15	PRIJEM	VKLAD	35702	67841	\N	\N	\N
1660391	5632	1995-01-11	PRIJEM	VKLAD	42729	126077	\N	\N	\N
1660392	5632	1995-08-28	PRIJEM	VKLAD	9393	31387	\N	\N	\N
1660393	5632	1995-01-08	PRIJEM	VKLAD	32642	53700	\N	\N	\N
1660394	5632	1995-01-23	PRIJEM	VKLAD	23833	86410	\N	\N	\N
1660395	5632	1995-01-10	PRIJEM	VKLAD	29648	83348	\N	\N	\N
1660396	5632	1995-05-24	PRIJEM	VKLAD	15283	73124	\N	\N	\N
1660397	5632	1995-06-24	PRIJEM	VKLAD	28214	64340	\N	\N	\N
1660398	5632	1995-08-30	PRIJEM	VKLAD	7057	38444	\N	\N	\N
1660399	5632	1996-02-02	PRIJEM	VKLAD	31007	104070	\N	\N	\N
1660400	5632	1996-01-04	PRIJEM	VKLAD	39767	94128	\N	\N	\N
1660401	5632	1996-04-16	PRIJEM	VKLAD	32617	73209	\N	\N	\N
1660402	5632	1996-02-28	PRIJEM	VKLAD	26862	95674	\N	\N	\N
1660403	5632	1996-07-26	PRIJEM	VKLAD	29876	50471	\N	\N	\N
1660404	5632	1996-02-13	PRIJEM	VKLAD	32799	79809	\N	\N	\N
1660405	5632	1996-05-02	PRIJEM	VKLAD	43781	144826	\N	\N	\N
1660406	5632	1996-03-23	PRIJEM	VKLAD	27182	80228	\N	\N	\N
1660407	5632	1996-04-06	PRIJEM	VKLAD	31388	64752	\N	\N	\N
1660408	5632	1996-03-09	PRIJEM	VKLAD	34149	119285	\N	\N	\N
1660409	5632	1996-04-22	PRIJEM	VKLAD	35582	100790	\N	\N	\N
1660410	5632	1996-03-16	PRIJEM	VKLAD	40268	108946	\N	\N	\N
1660411	5632	1996-12-19	PRIJEM	VKLAD	31083	86341	\N	\N	\N
1660412	5632	1996-05-23	PRIJEM	VKLAD	48672	129303	\N	\N	\N
1660413	5632	1996-10-19	PRIJEM	VKLAD	6723	30279	\N	\N	\N
1660414	5632	1996-05-19	PRIJEM	VKLAD	9453	80631	\N	\N	\N
1660415	5632	1996-03-09	PRIJEM	VKLAD	13953	133238	\N	\N	\N
1660416	5632	1996-03-28	PRIJEM	VKLAD	31302	111530	\N	\N	\N
1660417	5632	1996-05-08	PRIJEM	VKLAD	46612	139338	\N	\N	\N
1660418	5632	1996-08-08	PRIJEM	VKLAD	19399	55061	\N	\N	\N
1660419	5632	1996-08-15	PRIJEM	VKLAD	21944	72245	\N	\N	\N
1660420	5632	1996-01-24	PRIJEM	VKLAD	44552	100020	\N	\N	\N
1660421	5632	1996-12-13	PRIJEM	VKLAD	42859	58558	\N	\N	\N
1660422	5632	1996-10-22	PRIJEM	VKLAD	48593	78872	\N	\N	\N
1660423	5632	1997-02-18	PRIJEM	VKLAD	35602	104344	\N	\N	\N
1660424	5632	1997-04-22	PRIJEM	VKLAD	28409	50039	\N	\N	\N
1660425	5632	1997-09-15	PRIJEM	VKLAD	29688	107974	\N	\N	\N
1660426	5632	1997-06-18	PRIJEM	VKLAD	27846	56348	\N	\N	\N
1660427	5632	1997-01-07	PRIJEM	VKLAD	48639	101781	\N	\N	\N
1660428	5632	1997-05-09	PRIJEM	VKLAD	9551	56534	\N	\N	\N
1660429	5632	1997-11-02	PRIJEM	VKLAD	29287	119271	\N	\N	\N
1660430	5632	1997-01-24	PRIJEM	VKLAD	18131	102474	\N	\N	\N
1660431	5632	1997-02-04	PRIJEM	VKLAD	41222	82202	\N	\N	\N
1660432	5632	1997-01-12	PRIJEM	VKLAD	33022	134803	\N	\N	\N
1660433	5632	1997-10-23	PRIJEM	VKLAD	17497	79969	\N	\N	\N
1660434	5632	1997-08-10	PRIJEM	VKLAD	19817	77073	\N	\N	\N
1660435	5632	1997-04-26	PRIJEM	VKLAD	36578	86617	\N	\N	\N
1660436	5632	1997-11-26	PRIJEM	VKLAD	37846	139458	\N	\N	\N
1660437	5632	1997-09-13	PRIJEM	VKLAD	30550	78286	\N	\N	\N
1660438	5632	1997-11-08	PRIJEM	VKLAD	44001	106372	\N	\N	\N
1660439	5632	1997-07-10	PRIJEM	VKLAD	44571	87290	\N	\N	\N
1660440	5632	1997-07-22	PRIJEM	VKLAD	22816	105346	\N	\N	\N
1660441	5632	1997-09-27	PRIJEM	VKLAD	12571	120545	\N	\N	\N
1660442	5632	1997-10-31	PRIJEM	VKLAD	37795	89764	\N	\N	\N
1660443	5632	1997-12-11	PRIJEM	VKLAD	39208	71527	\N	\N	\N
1660444	5632	1997-01-30	PRIJEM	VKLAD	23989	126463	\N	\N	\N
1660445	5632	1997-10-16	PRIJEM	VKLAD	18072	62472	\N	\N	\N
1660446	5632	1997-05-01	PRIJEM	VKLAD	41826	128583	\N	\N	\N
1660447	5632	1998-12-08	PRIJEM	VKLAD	37082	74199	\N	\N	\N
1660448	5632	1998-02-06	PRIJEM	VKLAD	31481	102679	\N	\N	\N
1660449	5632	1998-08-13	PRIJEM	VKLAD	43880	68349	\N	\N	\N
1660450	5632	1998-05-03	PRIJEM	VKLAD	23251	54537	\N	\N	\N
1660451	5632	1998-11-24	PRIJEM	VKLAD	20103	76603	\N	\N	\N
1660452	5632	1998-03-19	PRIJEM	VKLAD	36918	98524	\N	\N	\N
1660453	5632	1998-09-06	PRIJEM	VKLAD	32035	72428	\N	\N	\N
1660454	5632	1998-05-23	PRIJEM	VKLAD	44656	94433	\N	\N	\N
1660455	5632	1998-08-05	PRIJEM	VKLAD	14869	29229	\N	\N	\N
1660456	5632	1998-03-14	PRIJEM	VKLAD	8841	61606	\N	\N	\N
1660457	5632	1998-02-25	PRIJEM	VKLAD	40603	97439	\N	\N	\N
1660458	5632	1998-11-14	PRIJEM	VKLAD	43063	56500	\N	\N	\N
1660459	5632	1998-02-19	PRIJEM	VKLAD	12174	110093	\N	\N	\N
1660460	5632	1998-02-01	PRIJEM	VKLAD	44393	71198	\N	\N	\N
1660474	5632	1995-02-03	VYDAJ	VYBER	4200	76172	\N	\N	0
1660475	5632	1995-03-10	VYDAJ	VYBER	5900	16511	\N	\N	0
1660476	5632	1995-04-20	VYDAJ	VYBER	4000	21572	\N	\N	0
1660477	5632	1995-05-20	VYDAJ	VYBER	5800	62041	\N	\N	0
1660478	5632	1995-06-06	VYDAJ	VYBER	4800	57526	\N	\N	0
1660479	5632	1995-07-09	VYDAJ	VYBER	3900	23994	\N	\N	0
1660480	5632	1995-08-12	VYDAJ	PREVOD NA UCET	4760	21994	UVER	ST	84198254
1660481	5632	1995-09-12	VYDAJ	PREVOD NA UCET	4760	20777	UVER	ST	84198254
1660482	5632	1995-10-12	VYDAJ	PREVOD NA UCET	4760	17899	UVER	ST	84198254
1660483	5632	1995-11-12	VYDAJ	PREVOD NA UCET	4760	17188	UVER	ST	84198254
1660484	5632	1995-12-12	VYDAJ	PREVOD NA UCET	4760	17170	UVER	ST	84198254
1660485	5632	1996-01-12	VYDAJ	PREVOD NA UCET	4760	55468	UVER	ST	84198254
1660486	5632	1996-02-12	VYDAJ	PREVOD NA UCET	4760	47010	UVER	ST	84198254
1660487	5632	1996-03-12	VYDAJ	PREVOD NA UCET	4760	68678	UVER	ST	84198254
1660488	5632	1996-04-12	VYDAJ	PREVOD NA UCET	4760	40592	UVER	ST	84198254
1660489	5632	1996-05-12	VYDAJ	PREVOD NA UCET	4760	71178	UVER	ST	84198254
1660490	5632	1996-06-12	VYDAJ	PREVOD NA UCET	4760	56749	UVER	ST	84198254
1660491	5632	1996-07-12	VYDAJ	PREVOD NA UCET	4760	20595	UVER	ST	84198254
1660492	5632	1996-08-12	VYDAJ	PREVOD NA UCET	4760	50301	UVER	ST	84198254
1660493	5632	1996-09-12	VYDAJ	PREVOD NA UCET	4760	30501	UVER	ST	84198254
1660494	5632	1996-10-12	VYDAJ	PREVOD NA UCET	4760	23556	UVER	ST	84198254
1660495	5632	1996-11-12	VYDAJ	PREVOD NA UCET	4760	41467	UVER	ST	84198254
1660496	5632	1996-12-12	VYDAJ	PREVOD NA UCET	4760	15699	UVER	ST	84198254
1660497	5632	1997-01-12	VYDAJ	PREVOD NA UCET	4760	130043	UVER	ST	84198254
1660498	5632	1997-02-12	VYDAJ	PREVOD NA UCET	4760	68742	UVER	ST	84198254
1660499	5632	1997-03-12	VYDAJ	PREVOD NA UCET	4760	56714	UVER	ST	84198254
1660500	5632	1997-04-12	VYDAJ	PREVOD NA UCET	4760	21630	UVER	ST	84198254
1660501	5632	1997-05-12	VYDAJ	PREVOD NA UCET	4760	51774	UVER	ST	84198254
1660502	5632	1997-06-12	VYDAJ	PREVOD NA UCET	4760	28502	UVER	ST	84198254
1660503	5632	1997-07-12	VYDAJ	PREVOD NA UCET	4760	82530	UVER	ST	84198254
1660504	5632	1997-08-12	VYDAJ	PREVOD NA UCET	4760	72313	UVER	ST	84198254
1660505	5632	1997-09-12	VYDAJ	PREVOD NA UCET	4760	47736	UVER	ST	84198254
1660506	5632	1997-10-12	VYDAJ	PREVOD NA UCET	4760	44400	UVER	ST	84198254
1660507	5632	1997-11-12	VYDAJ	PREVOD NA UCET	4760	101612	UVER	ST	84198254
1660508	5632	1997-12-12	VYDAJ	PREVOD NA UCET	4760	66767	UVER	ST	84198254
1660509	5632	1998-01-12	VYDAJ	PREVOD NA UCET	4760	39809	UVER	ST	84198254
1660510	5632	1998-02-12	VYDAJ	PREVOD NA UCET	4760	97919	UVER	ST	84198254
1660511	5632	1998-03-12	VYDAJ	PREVOD NA UCET	4760	52765	UVER	ST	84198254
1660512	5632	1998-04-12	VYDAJ	PREVOD NA UCET	4760	46726	UVER	ST	84198254
1660513	5632	1998-05-12	VYDAJ	PREVOD NA UCET	4760	49777	UVER	ST	84198254
1660514	5632	1998-06-12	VYDAJ	PREVOD NA UCET	4760	42443	UVER	ST	84198254
1660515	5632	1998-07-12	VYDAJ	PREVOD NA UCET	4760	14314	UVER	ST	84198254
1660516	5632	1998-08-12	VYDAJ	PREVOD NA UCET	4760	24469	UVER	ST	84198254
1660517	5632	1998-09-12	VYDAJ	PREVOD NA UCET	4760	67668	UVER	ST	84198254
1660518	5632	1998-10-12	VYDAJ	PREVOD NA UCET	4760	25317	UVER	ST	84198254
1660519	5632	1998-11-12	VYDAJ	PREVOD NA UCET	4760	13437	UVER	ST	84198254
1660520	5632	1998-12-12	VYDAJ	PREVOD NA UCET	4760	69439	UVER	ST	84198254
1660534	5632	1995-09-06	VYBER	VYBER	13285	25237	\N	\N	\N
1660536	5632	1995-04-26	VYBER	VYBER	2020	29670	\N	\N	\N
1660538	5632	1995-03-01	VYBER	VYBER	22117	35556	\N	\N	\N
1660539	5632	1995-07-07	VYBER	VYBER	18338	27894	\N	\N	\N
1660540	5632	1995-06-29	VYBER	VYBER	18299	46041	\N	\N	\N
1660541	5632	1995-03-02	VYBER	VYBER	13145	22411	\N	\N	\N
1660542	5632	1995-08-10	VYBER	VYBER	4045	24254	\N	\N	\N
1660544	5632	1995-06-04	VYBER	VYBER	18821	62326	\N	\N	\N
1660545	5632	1995-01-25	VYBER	VYBER	6270	80140	\N	\N	\N
1660548	5632	1996-01-24	VYBER	VYBER	4182	95838	\N	\N	\N
1660549	5632	1996-04-16	VYBER	VYBER	8001	65208	\N	\N	\N
1660550	5632	1996-04-01	VYBER	VYBER	14240	33364	\N	\N	\N
1660551	5632	1996-08-29	VYBER	VYBER	12651	42366	\N	\N	\N
1660552	5632	1996-11-20	VYBER	VYBER	19178	22289	\N	\N	\N
1660553	5632	1996-03-29	VYBER	VYBER	23855	47275	\N	\N	\N
1660554	5632	1996-08-17	VYBER	VYBER	4928	67317	\N	\N	\N
1660556	5632	1996-02-16	VYBER	VYBER	10997	68812	\N	\N	\N
1660558	5632	1996-01-27	VYBER	VYBER	23005	72833	\N	\N	\N
1660560	5632	1998-06-15	VYBER	VYBER	15184	27259	\N	\N	\N
1660561	5632	1998-01-18	VYBER	VYBER	7432	32377	\N	\N	\N
1660562	5632	1998-09-17	VYBER	VYBER	21343	46325	\N	\N	\N
1660563	5632	1998-03-27	VYBER	VYBER	14097	84427	\N	\N	\N
1660564	5632	1998-02-24	VYBER	VYBER	10357	56836	\N	\N	\N
1660565	5632	1998-12-19	VYBER	VYBER	12533	48206	\N	\N	\N
1660567	5632	1995-06-11	VYDAJ	VYBER	13800	43726	\N	\N	\N
1660568	5632	1996-06-14	VYDAJ	VYBER	28200	28549	\N	\N	\N
1660573	5632	1996-12-15	VYDAJ	VYBER	3300	55258	\N	\N	\N
1660574	5632	1997-12-05	VYDAJ	VYBER	4800	32319	\N	\N	\N
1660575	5632	1998-12-17	VYDAJ	VYBER	8700	60739	\N	\N	\N
1660584	5632	1995-05-21	VYDAJ	VYBER	4200	57841	\N	\N	\N
1660585	5632	1996-08-02	VYDAJ	VYBER	3600	46962	\N	\N	\N
1660586	5632	1996-10-31	VYDAJ	VYBER	4500	74527	\N	\N	\N
1660587	5632	1996-03-22	VYDAJ	VYBER	3900	53046	\N	\N	\N
1660588	5632	1996-08-21	VYDAJ	VYBER	12300	55017	\N	\N	\N
1660590	5632	1996-03-03	VYDAJ	VYBER	10800	85136	\N	\N	\N
1660591	5632	1997-06-11	VYDAJ	VYBER	3900	33262	\N	\N	\N
1660592	5632	1997-02-04	VYDAJ	VYBER	8700	73502	\N	\N	\N
1660593	5632	1997-04-04	VYDAJ	VYBER	13200	26390	\N	\N	\N
1660594	5632	1997-12-01	VYDAJ	VYBER	14700	37119	\N	\N	\N
1660596	5632	1998-05-23	VYDAJ	VYBER	9300	85133	\N	\N	\N
1660597	5632	1998-04-14	VYDAJ	VYBER	2100	44626	\N	\N	\N
1660611	5632	1995-01-31	VYDAJ	VYBER	30	80372	SLUZBY	\N	\N
1660612	5632	1995-02-28	VYDAJ	VYBER	30	57673	SLUZBY	\N	\N
1660613	5632	1995-03-31	VYDAJ	VYBER	30	21372	SLUZBY	\N	\N
1660614	5632	1995-04-30	VYDAJ	VYBER	30	29739	SLUZBY	\N	\N
1660615	5632	1995-05-31	VYDAJ	VYBER	30	81147	SLUZBY	\N	\N
1660616	5632	1995-06-30	VYDAJ	VYBER	30	46232	SLUZBY	\N	\N
1660617	5632	1995-07-31	VYDAJ	VYBER	30	28299	SLUZBY	\N	\N
1660618	5632	1995-08-31	VYDAJ	VYBER	30	38522	SLUZBY	\N	\N
1660619	5632	1995-09-30	VYDAJ	VYBER	30	20859	SLUZBY	\N	\N
1660620	5632	1995-10-31	VYDAJ	VYBER	30	17948	SLUZBY	\N	\N
1660621	5632	1995-11-30	VYDAJ	VYBER	30	17230	SLUZBY	\N	\N
1660622	5632	1995-12-31	VYDAJ	VYBER	30	54361	SLUZBY	\N	\N
1660623	5632	1996-01-31	VYDAJ	VYBER	30	73063	SLUZBY	\N	\N
1660624	5632	1996-02-29	VYDAJ	VYBER	30	95936	SLUZBY	\N	\N
1660625	5632	1996-03-31	VYDAJ	VYBER	30	47604	SLUZBY	\N	\N
1660626	5632	1996-04-30	VYDAJ	VYBER	30	101045	SLUZBY	\N	\N
1660627	5632	1996-05-31	VYDAJ	VYBER	30	100109	SLUZBY	\N	\N
1660628	5632	1996-06-30	VYDAJ	VYBER	30	28755	SLUZBY	\N	\N
1660629	5632	1996-07-31	VYDAJ	VYBER	30	50562	SLUZBY	\N	\N
1660630	5632	1996-08-31	VYDAJ	VYBER	30	42561	SLUZBY	\N	\N
1660631	5632	1996-09-30	VYDAJ	VYBER	30	30616	SLUZBY	\N	\N
1660632	5632	1996-10-31	VYDAJ	VYBER	30	79027	SLUZBY	\N	\N
1660633	5632	1996-11-30	VYDAJ	VYBER	30	22459	SLUZBY	\N	\N
1660634	5632	1996-12-31	VYDAJ	VYBER	30	86542	SLUZBY	\N	\N
1660635	5632	1997-01-31	VYDAJ	VYBER	30	67880	SLUZBY	\N	\N
1660636	5632	1997-02-28	VYDAJ	VYBER	30	104674	SLUZBY	\N	\N
1660637	5632	1997-03-31	VYDAJ	VYBER	30	56990	SLUZBY	\N	\N
1660638	5632	1997-04-30	VYDAJ	VYBER	30	86757	SLUZBY	\N	\N
1660639	5632	1997-05-31	VYDAJ	VYBER	30	51962	SLUZBY	\N	\N
1660640	5632	1997-06-30	VYDAJ	VYBER	30	56519	SLUZBY	\N	\N
1660641	5632	1997-07-31	VYDAJ	VYBER	30	105656	SLUZBY	\N	\N
1660642	5632	1997-08-31	VYDAJ	VYBER	30	72596	SLUZBY	\N	\N
1660643	5632	1997-09-30	VYDAJ	VYBER	30	49160	SLUZBY	\N	\N
1660644	5632	1997-10-31	VYDAJ	VYBER	30	89984	SLUZBY	\N	\N
1660645	5632	1997-11-30	VYDAJ	VYBER	30	51819	SLUZBY	\N	\N
1660646	5632	1997-12-31	VYDAJ	VYBER	30	44569	SLUZBY	\N	\N
1660647	5632	1998-01-31	VYDAJ	VYBER	30	26805	SLUZBY	\N	\N
1660648	5632	1998-02-28	VYDAJ	VYBER	30	57525	SLUZBY	\N	\N
1660649	5632	1998-03-31	VYDAJ	VYBER	30	51486	SLUZBY	\N	\N
1660650	5632	1998-04-30	VYDAJ	VYBER	30	31286	SLUZBY	\N	\N
1660651	5632	1998-05-31	VYDAJ	VYBER	30	47203	SLUZBY	\N	\N
1660652	5632	1998-06-30	VYDAJ	VYBER	30	19074	SLUZBY	\N	\N
1660653	5632	1998-07-31	VYDAJ	VYBER	30	14360	SLUZBY	\N	\N
1660654	5632	1998-08-31	VYDAJ	VYBER	30	40393	SLUZBY	\N	\N
1660655	5632	1998-09-30	VYDAJ	VYBER	30	30077	SLUZBY	\N	\N
1660656	5632	1998-10-31	VYDAJ	VYBER	30	18197	SLUZBY	\N	\N
1660657	5632	1998-11-30	VYDAJ	VYBER	30	37117	SLUZBY	\N	\N
1660658	5632	1994-12-15	PRIJEM	VKLAD	12900	14000	\N	\N	\N
1660659	5632	1995-01-11	VYDAJ	VYBER	29900	96177	\N	\N	\N
1660660	5632	1995-01-14	VYDAJ	VYBER	33600	62577	\N	\N	\N
1660661	5632	1995-02-13	VYDAJ	VYBER	24100	52072	\N	\N	\N
1660662	5632	1995-03-15	PRIJEM	VKLAD	4800	21311	\N	\N	\N
1660663	5632	1995-04-14	PRIJEM	VKLAD	4200	25572	\N	\N	\N
1660664	5632	1995-05-14	PRIJEM	VKLAD	2400	32139	\N	\N	\N
1660665	5632	1995-06-13	VYDAJ	VYBER	7600	36126	\N	\N	\N
1660666	5632	1995-07-13	PRIJEM	VKLAD	4200	28194	\N	\N	\N
1660667	5632	1995-08-12	PRIJEM	VKLAD	2500	26754	\N	\N	\N
1660668	5632	1995-09-11	PRIJEM	VKLAD	300	25537	\N	\N	\N
1660669	5632	1995-10-11	PRIJEM	VKLAD	1800	22659	\N	\N	\N
1660670	5632	1995-11-10	PRIJEM	VKLAD	4000	21948	\N	\N	\N
1660671	5632	1995-12-10	PRIJEM	VKLAD	4700	21930	\N	\N	\N
1660672	5632	1996-01-09	VYDAJ	VYBER	33900	60228	\N	\N	\N
1660673	5632	1996-02-02	VYDAJ	VYBER	28600	75470	\N	\N	\N
1660674	5632	1996-02-08	VYDAJ	VYBER	23700	51770	\N	\N	\N
1660675	5632	1996-03-09	VYDAJ	VYBER	15700	73438	\N	\N	\N
1660676	5632	1996-03-09	VYDAJ	VYBER	44100	89138	\N	\N	\N
1660677	5632	1996-03-16	VYDAJ	VYBER	52000	56946	\N	\N	\N
1660678	5632	1996-03-28	VYDAJ	VYBER	40400	71130	\N	\N	\N
1660679	5632	1996-04-08	VYDAJ	VYBER	19400	45352	\N	\N	\N
1660680	5632	1996-05-02	VYDAJ	VYBER	52100	92726	\N	\N	\N
1660681	5632	1996-05-08	VYDAJ	VYBER	17700	75938	\N	\N	\N
1660682	5632	1996-05-08	VYDAJ	VYBER	45700	93638	\N	\N	\N
1660683	5632	1996-05-23	VYDAJ	VYBER	29600	99703	\N	\N	\N
1660684	5632	1996-06-07	VYDAJ	VYBER	38600	61509	\N	\N	\N
1660685	5632	1996-07-07	VYDAJ	VYBER	3400	25355	\N	\N	\N
1660686	5632	1996-08-06	VYDAJ	VYBER	11300	35662	\N	\N	\N
1660687	5632	1996-09-05	VYDAJ	VYBER	7300	35261	\N	\N	\N
1660688	5632	1996-10-05	VYDAJ	VYBER	2300	28316	\N	\N	\N
1660689	5632	1996-11-04	VYDAJ	VYBER	28300	46227	\N	\N	\N
1660690	5632	1996-12-04	VYDAJ	VYBER	2000	20459	\N	\N	\N
1660691	5632	1997-01-03	VYDAJ	VYBER	33400	53142	\N	\N	\N
1660692	5632	1997-01-12	VYDAJ	VYBER	18600	111443	\N	\N	\N
1660693	5632	1997-01-12	VYDAJ	VYBER	27100	84343	\N	\N	\N
1660694	5632	1997-01-30	VYDAJ	VYBER	59000	67463	\N	\N	\N
1660695	5632	1997-02-02	VYDAJ	VYBER	26900	40980	\N	\N	\N
1660696	5632	1997-03-04	VYDAJ	VYBER	43200	61474	\N	\N	\N
1660697	5632	1997-04-03	VYDAJ	VYBER	17400	39590	\N	\N	\N
1660698	5632	1997-05-01	VYDAJ	VYBER	55100	73483	\N	\N	\N
1660699	5632	1997-05-03	VYDAJ	VYBER	26500	46983	\N	\N	\N
1660700	5632	1997-06-02	VYDAJ	VYBER	14800	37162	\N	\N	\N
1660701	5632	1997-07-02	VYDAJ	VYBER	13800	42719	\N	\N	\N
1660702	5632	1997-07-31	VYDAJ	VYBER	21200	84456	\N	\N	\N
1660703	5632	1997-08-01	VYDAJ	VYBER	27200	57256	\N	\N	\N
1660704	5632	1997-08-31	VYDAJ	VYBER	20100	52496	\N	\N	\N
1660705	5632	1997-09-27	VYDAJ	VYBER	47500	73045	\N	\N	\N
1660706	5632	1997-09-30	VYDAJ	VYBER	24200	49190	\N	\N	\N
1660707	5632	1997-10-30	VYDAJ	VYBER	28000	51969	\N	\N	\N
1660708	5632	1997-11-02	VYDAJ	VYBER	56900	62371	\N	\N	\N
1660709	5632	1997-11-26	VYDAJ	VYBER	58900	80558	\N	\N	\N
1660710	5632	1997-11-29	VYDAJ	VYBER	29100	51458	\N	\N	\N
1660711	5632	1997-12-29	VYDAJ	VYBER	22400	44367	\N	\N	\N
1660712	5632	1998-01-28	VYDAJ	VYBER	5700	26677	\N	\N	\N
1660713	5632	1998-02-19	VYDAJ	VYBER	42900	67193	\N	\N	\N
1660714	5632	1998-02-27	VYDAJ	VYBER	40200	57239	\N	\N	\N
1660715	5632	1998-03-29	VYDAJ	VYBER	33200	51227	\N	\N	\N
1660716	5632	1998-04-28	VYDAJ	VYBER	13500	31126	\N	\N	\N
1660717	5632	1998-05-28	VYDAJ	VYBER	38100	47033	\N	\N	\N
1660718	5632	1998-06-27	VYDAJ	VYBER	8300	18959	\N	\N	\N
1660719	5632	1998-08-26	VYDAJ	VYBER	28100	40249	\N	\N	\N
1660720	5632	1998-09-25	VYDAJ	VYBER	16400	29925	\N	\N	\N
1660721	5632	1998-10-25	VYDAJ	VYBER	7200	18117	\N	\N	\N
1660722	5632	1998-11-24	VYDAJ	VYBER	39600	37003	\N	\N	\N
1665620	5648	1997-06-13	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1665627	5648	1997-07-07	PRIJEM	PREVOD Z UCTU	45833	46933	\N	YZ	97797196
1665628	5648	1997-08-07	PRIJEM	PREVOD Z UCTU	45833	83362	\N	YZ	97797196
1665629	5648	1997-09-07	PRIJEM	PREVOD Z UCTU	45833	99895	\N	YZ	97797196
1665630	5648	1997-10-07	PRIJEM	PREVOD Z UCTU	45833	108275	\N	YZ	97797196
1665631	5648	1997-11-07	PRIJEM	PREVOD Z UCTU	45833	102262	\N	YZ	97797196
1665632	5648	1997-12-07	PRIJEM	PREVOD Z UCTU	68750	124452	\N	YZ	97797196
1665633	5648	1998-01-07	PRIJEM	PREVOD Z UCTU	45833	95819	\N	YZ	97797196
1665634	5648	1998-02-07	PRIJEM	PREVOD Z UCTU	45833	44948	\N	YZ	97797196
1665635	5648	1998-03-07	PRIJEM	PREVOD Z UCTU	45833	87895	\N	YZ	97797196
1665636	5648	1998-04-07	PRIJEM	PREVOD Z UCTU	45833	86854	\N	YZ	97797196
1665637	5648	1998-05-07	PRIJEM	PREVOD Z UCTU	45833	77333	\N	YZ	97797196
1665638	5648	1998-06-07	PRIJEM	PREVOD Z UCTU	68750	119507	\N	YZ	97797196
1665639	5648	1998-07-07	PRIJEM	PREVOD Z UCTU	45833	103311	\N	YZ	97797196
1665640	5648	1998-08-07	PRIJEM	PREVOD Z UCTU	45833	91295	\N	YZ	97797196
1665641	5648	1998-09-07	PRIJEM	PREVOD Z UCTU	45833	90947	\N	YZ	97797196
1665642	5648	1998-10-07	PRIJEM	PREVOD Z UCTU	45833	96337	\N	YZ	97797196
1665643	5648	1998-11-07	PRIJEM	PREVOD Z UCTU	45833	105636	\N	YZ	97797196
1665644	5648	1998-12-07	PRIJEM	PREVOD Z UCTU	68750	124409	\N	YZ	97797196
1665646	5648	1998-05-25	VYBER	VYBER	2073	50560	\N	\N	\N
1665647	5648	1998-04-09	VYBER	VYBER	4338	82516	\N	\N	\N
1665649	5648	1998-04-03	VYBER	VYBER	12534	41021	\N	\N	\N
1665650	5648	1998-08-30	VYBER	VYBER	7200	55995	\N	\N	\N
1665651	5648	1998-01-09	VYBER	VYBER	24817	65302	\N	\N	\N
1665652	5648	1998-12-28	VYBER	VYBER	3389	49420	\N	\N	\N
1665653	5648	1998-09-29	VYBER	VYBER	19273	71674	\N	\N	\N
1665654	5648	1998-03-26	VYBER	VYBER	5346	53349	\N	\N	\N
1665655	5648	1998-07-09	VYBER	VYBER	20549	45262	\N	\N	\N
1665656	5648	1998-11-17	VYBER	VYBER	7768	91868	\N	\N	\N
1665657	5648	1998-07-06	VYBER	VYBER	6775	57478	\N	\N	\N
1665658	5648	1998-01-21	VYBER	VYBER	23699	7403	\N	\N	\N
1665659	5648	1998-05-05	VYBER	VYBER	6236	31500	\N	\N	\N
1665663	5648	1998-01-10	VYDAJ	VYBER	13800	34402	\N	\N	\N
1665664	5648	1997-12-06	VYDAJ	VYBER	7800	55702	\N	\N	\N
1665665	5648	1998-12-09	VYDAJ	VYBER	3000	61809	\N	\N	\N
1665672	5648	1998-01-26	VYDAJ	VYBER	6300	-997	\N	\N	\N
1665673	5648	1998-01-24	VYDAJ	VYBER	2100	5303	\N	\N	\N
1665675	5648	1998-01-12	VYDAJ	VYBER	3300	31102	\N	\N	\N
1665676	5648	1998-01-03	VYDAJ	VYBER	6000	49986	\N	\N	\N
1665677	5648	1998-01-08	VYDAJ	VYBER	5700	90119	\N	\N	\N
1665683	5648	1998-04-15	VYDAJ	VYBER	7500	50116	\N	\N	\N
1665684	5648	1998-04-23	VYDAJ	VYBER	12600	37516	\N	\N	\N
1665685	5648	1998-12-03	VYDAJ	VYBER	7500	84759	\N	\N	\N
1665686	5648	1998-12-11	VYDAJ	VYBER	4800	57009	\N	\N	\N
1665687	5648	1998-12-13	VYDAJ	VYBER	4200	52809	\N	\N	\N
1665688	5648	1998-11-07	VYDAJ	VYBER	6000	99636	\N	\N	\N
1665700	5648	1997-11-30	VYDAJ	VYBER	15	63502	SLUZBY	\N	\N
1665701	5648	1997-12-31	VYDAJ	VYBER	15	55986	SLUZBY	\N	\N
1665702	5648	1998-01-31	VYDAJ	VYBER	15	-883	SLUZBY	\N	\N
1665703	5648	1998-02-28	VYDAJ	VYBER	15	42064	SLUZBY	\N	\N
1665704	5648	1998-03-31	VYDAJ	VYBER	15	53555	SLUZBY	\N	\N
1665705	5648	1998-04-30	VYDAJ	VYBER	15	37736	SLUZBY	\N	\N
1665706	5648	1998-05-31	VYDAJ	VYBER	15	50757	SLUZBY	\N	\N
1665707	5648	1998-06-30	VYDAJ	VYBER	15	64253	SLUZBY	\N	\N
1665708	5648	1998-07-31	VYDAJ	VYBER	15	45462	SLUZBY	\N	\N
1665709	5648	1998-08-31	VYDAJ	VYBER	15	56314	SLUZBY	\N	\N
1665710	5648	1998-09-30	VYDAJ	VYBER	15	72004	SLUZBY	\N	\N
1665711	5648	1998-10-31	VYDAJ	VYBER	15	96703	SLUZBY	\N	\N
1665712	5648	1998-11-30	VYDAJ	VYBER	15	92259	SLUZBY	\N	\N
1665713	5648	1997-07-13	VYDAJ	VYBER	9500	37433	\N	\N	\N
1665714	5648	1997-08-12	VYDAJ	VYBER	29500	53862	\N	\N	\N
1665715	5648	1997-09-11	VYDAJ	VYBER	37700	62195	\N	\N	\N
1665716	5648	1997-10-07	VYDAJ	VYBER	25500	82775	\N	\N	\N
1665717	5648	1997-10-11	VYDAJ	VYBER	26600	56175	\N	\N	\N
1665718	5648	1997-11-10	VYDAJ	VYBER	39000	63262	\N	\N	\N
1665719	5648	1997-12-07	VYDAJ	VYBER	42100	82352	\N	\N	\N
1665720	5648	1997-12-10	VYDAJ	VYBER	26600	55752	\N	\N	\N
1665721	5648	1998-01-09	VYDAJ	VYBER	17100	48202	\N	\N	\N
1665722	5648	1998-02-08	VYDAJ	VYBER	3000	41948	\N	\N	\N
1665723	5648	1998-03-10	VYDAJ	VYBER	29200	58695	\N	\N	\N
1665724	5648	1998-04-09	VYDAJ	VYBER	24900	57616	\N	\N	\N
1665725	5648	1998-05-09	VYDAJ	VYBER	24700	52633	\N	\N	\N
1665726	5648	1998-06-07	VYDAJ	VYBER	18000	101507	\N	\N	\N
1665727	5648	1998-06-08	VYDAJ	VYBER	37500	64007	\N	\N	\N
1665728	5648	1998-07-08	VYDAJ	VYBER	37500	65811	\N	\N	\N
1665729	5648	1998-08-07	VYDAJ	VYBER	28100	63195	\N	\N	\N
1665730	5648	1998-09-06	VYDAJ	VYBER	11200	45114	\N	\N	\N
1665731	5648	1998-10-06	VYDAJ	VYBER	21500	50504	\N	\N	\N
1665732	5648	1998-11-05	VYDAJ	VYBER	36900	59803	\N	\N	\N
1665733	5648	1998-12-05	VYDAJ	VYBER	29100	55659	\N	\N	\N
1665734	5648	1998-12-07	VYDAJ	VYBER	59600	64809	\N	\N	\N
1665901	5650	1995-01-08	PRIJEM	VKLAD	900	900	\N	\N	\N
1665902	5650	1995-01-12	PRIJEM	PREVOD Z UCTU	24650	25550	\N	GH	10211325
1665903	5650	1995-02-12	PRIJEM	PREVOD Z UCTU	24650	49669	\N	GH	10211325
1665904	5650	1995-03-12	PRIJEM	PREVOD Z UCTU	24650	60586	\N	GH	10211325
1665905	5650	1995-04-12	PRIJEM	PREVOD Z UCTU	24650	69973	\N	GH	10211325
1665906	5650	1995-05-12	PRIJEM	PREVOD Z UCTU	24650	67100	\N	GH	10211325
1665907	5650	1995-06-12	PRIJEM	PREVOD Z UCTU	36975	78714	\N	GH	10211325
1665908	5650	1995-07-12	PRIJEM	PREVOD Z UCTU	24650	68522	\N	GH	10211325
1665909	5650	1995-08-12	PRIJEM	PREVOD Z UCTU	24650	64396	\N	GH	10211325
1665910	5650	1995-09-12	PRIJEM	PREVOD Z UCTU	24650	61842	\N	GH	10211325
1665911	5650	1995-10-12	PRIJEM	PREVOD Z UCTU	24650	63798	\N	GH	10211325
1665912	5650	1995-11-12	PRIJEM	PREVOD Z UCTU	24650	57747	\N	GH	10211325
1665913	5650	1995-12-12	PRIJEM	PREVOD Z UCTU	36975	61566	\N	GH	10211325
1665914	5650	1996-01-12	PRIJEM	PREVOD Z UCTU	24650	47887	\N	GH	10211325
1665915	5650	1996-02-12	PRIJEM	PREVOD Z UCTU	24650	39541	\N	GH	10211325
1665916	5650	1996-03-12	PRIJEM	PREVOD Z UCTU	24650	46173	\N	GH	10211325
1665917	5650	1996-04-12	PRIJEM	PREVOD Z UCTU	24650	47927	\N	GH	10211325
1665918	5650	1996-05-12	PRIJEM	PREVOD Z UCTU	24650	42170	\N	GH	10211325
1665919	5650	1996-06-12	PRIJEM	PREVOD Z UCTU	36975	61344	\N	GH	10211325
1665920	5650	1996-07-12	PRIJEM	PREVOD Z UCTU	24650	63449	\N	GH	10211325
1665921	5650	1996-08-12	PRIJEM	PREVOD Z UCTU	24650	49956	\N	GH	10211325
1665922	5650	1996-09-12	PRIJEM	PREVOD Z UCTU	24650	50131	\N	GH	10211325
1665923	5650	1996-10-12	PRIJEM	PREVOD Z UCTU	24650	56217	\N	GH	10211325
1665924	5650	1996-11-12	PRIJEM	PREVOD Z UCTU	24650	57522	\N	GH	10211325
1665925	5650	1996-12-12	PRIJEM	PREVOD Z UCTU	36975	70933	\N	GH	10211325
1665926	5650	1997-01-12	PRIJEM	PREVOD Z UCTU	24650	66080	\N	GH	10211325
1665927	5650	1997-02-12	PRIJEM	PREVOD Z UCTU	24650	54494	\N	GH	10211325
1665928	5650	1997-03-12	PRIJEM	PREVOD Z UCTU	24650	38706	\N	GH	10211325
1665929	5650	1997-04-12	PRIJEM	PREVOD Z UCTU	24650	52548	\N	GH	10211325
1665930	5650	1997-05-12	PRIJEM	PREVOD Z UCTU	24650	58841	\N	GH	10211325
1665931	5650	1997-06-12	PRIJEM	PREVOD Z UCTU	36975	72090	\N	GH	10211325
1665932	5650	1997-07-12	PRIJEM	PREVOD Z UCTU	24650	49459	\N	GH	10211325
1665933	5650	1997-08-12	PRIJEM	PREVOD Z UCTU	24650	37692	\N	GH	10211325
1665934	5650	1997-09-12	PRIJEM	PREVOD Z UCTU	24650	44939	\N	GH	10211325
1665935	5650	1997-10-12	PRIJEM	PREVOD Z UCTU	24650	55218	\N	GH	10211325
1665936	5650	1997-11-12	PRIJEM	PREVOD Z UCTU	24650	51633	\N	GH	10211325
1665937	5650	1997-12-12	PRIJEM	PREVOD Z UCTU	36975	69658	\N	GH	10211325
1665938	5650	1998-01-12	PRIJEM	PREVOD Z UCTU	24650	49991	\N	GH	10211325
1665939	5650	1998-02-12	PRIJEM	PREVOD Z UCTU	24650	50575	\N	GH	10211325
1665940	5650	1998-03-12	PRIJEM	PREVOD Z UCTU	24650	43353	\N	GH	10211325
1665941	5650	1998-04-12	PRIJEM	PREVOD Z UCTU	24650	52517	\N	GH	10211325
1665942	5650	1998-05-12	PRIJEM	PREVOD Z UCTU	24650	49591	\N	GH	10211325
1665943	5650	1998-06-12	PRIJEM	PREVOD Z UCTU	36975	70202	\N	GH	10211325
1665944	5650	1998-07-12	PRIJEM	PREVOD Z UCTU	24650	68853	\N	GH	10211325
1665945	5650	1998-08-12	PRIJEM	PREVOD Z UCTU	24650	50129	\N	GH	10211325
1665946	5650	1998-09-12	PRIJEM	PREVOD Z UCTU	24650	56269	\N	GH	10211325
1665947	5650	1998-10-12	PRIJEM	PREVOD Z UCTU	24650	66291	\N	GH	10211325
1665948	5650	1998-11-12	PRIJEM	PREVOD Z UCTU	24650	45705	\N	GH	10211325
1665949	5650	1998-12-12	PRIJEM	PREVOD Z UCTU	36975	68822	\N	GH	10211325
1665954	5650	1995-05-06	VYDAJ	VYBER	3300	66950	\N	\N	0
1665955	5650	1995-06-20	VYDAJ	VYBER	3000	75714	\N	\N	0
1665956	5650	1995-07-12	VYDAJ	PREVOD NA UCET	4108	64414	UVER	EF	10689866
1665957	5650	1995-08-12	VYDAJ	PREVOD NA UCET	4108	60288	UVER	EF	10689866
1665958	5650	1995-09-12	VYDAJ	PREVOD NA UCET	4108	57733	UVER	EF	10689866
1665959	5650	1995-10-12	VYDAJ	PREVOD NA UCET	4108	59689	UVER	EF	10689866
1665960	5650	1995-11-12	VYDAJ	PREVOD NA UCET	4108	53639	UVER	EF	10689866
1665961	5650	1995-12-12	VYDAJ	PREVOD NA UCET	4108	48757	UVER	EF	10689866
1665962	5650	1996-01-12	VYDAJ	PREVOD NA UCET	4108	35079	UVER	EF	10689866
1665963	5650	1996-02-12	VYDAJ	PREVOD NA UCET	4108	35432	UVER	EF	10689866
1665964	5650	1996-03-12	VYDAJ	PREVOD NA UCET	4108	42065	UVER	EF	10689866
1665965	5650	1996-04-12	VYDAJ	PREVOD NA UCET	4108	43819	UVER	EF	10689866
1665966	5650	1996-05-12	VYDAJ	PREVOD NA UCET	4108	38062	UVER	EF	10689866
1665967	5650	1996-06-12	VYDAJ	PREVOD NA UCET	4108	57236	UVER	EF	10689866
1665968	5650	1996-07-12	VYDAJ	PREVOD NA UCET	4108	59341	UVER	EF	10689866
1665969	5650	1996-08-12	VYDAJ	PREVOD NA UCET	4108	45847	UVER	EF	10689866
1665970	5650	1996-09-12	VYDAJ	PREVOD NA UCET	4108	46023	UVER	EF	10689866
1665971	5650	1996-10-12	VYDAJ	PREVOD NA UCET	4108	52109	UVER	EF	10689866
1665972	5650	1996-11-12	VYDAJ	PREVOD NA UCET	4108	53414	UVER	EF	10689866
1665973	5650	1996-12-12	VYDAJ	PREVOD NA UCET	4108	66824	UVER	EF	10689866
1665974	5650	1997-01-12	VYDAJ	PREVOD NA UCET	4108	61971	UVER	EF	10689866
1665975	5650	1997-02-12	VYDAJ	PREVOD NA UCET	4108	50386	UVER	EF	10689866
1665976	5650	1997-03-12	VYDAJ	PREVOD NA UCET	4108	34598	UVER	EF	10689866
1665977	5650	1997-04-12	VYDAJ	PREVOD NA UCET	4108	48440	UVER	EF	10689866
1665978	5650	1997-05-12	VYDAJ	PREVOD NA UCET	4108	54732	UVER	EF	10689866
1665979	5650	1997-06-12	VYDAJ	PREVOD NA UCET	4108	67982	UVER	EF	10689866
1665980	5650	1997-07-13	VYDAJ	VYBER	3900	34668	\N	\N	0
1665981	5650	1997-08-08	VYDAJ	VYBER	3700	13042	\N	\N	0
1665982	5650	1997-08-28	VYDAJ	VYBER	3300	30792	\N	\N	0
1665983	5650	1997-10-24	VYDAJ	VYBER	2600	52618	\N	\N	0
1665984	5650	1997-11-09	VYDAJ	VYBER	2800	26983	\N	\N	0
1665985	5650	1997-12-11	VYDAJ	VYBER	3900	32683	\N	\N	0
1665986	5650	1998-01-04	VYDAJ	VYBER	3600	35871	\N	\N	0
1665987	5650	1998-02-08	VYDAJ	VYBER	3900	25925	\N	\N	0
1665988	5650	1998-03-06	VYDAJ	VYBER	3900	18703	\N	\N	0
1665989	5650	1998-04-25	VYDAJ	VYBER	4400	47417	\N	\N	0
1665990	5650	1998-05-16	VYDAJ	VYBER	4600	44991	\N	\N	0
1665991	5650	1998-06-12	VYDAJ	VYBER	3100	67102	\N	\N	0
1665992	5650	1998-07-03	VYDAJ	VYBER	3700	54733	\N	\N	0
1665993	5650	1998-08-03	VYDAJ	VYBER	4500	36009	\N	\N	0
1665994	5650	1998-09-09	VYDAJ	VYBER	4700	31619	\N	\N	0
1665995	5650	1998-10-14	VYDAJ	VYBER	3900	52632	\N	\N	0
1665996	5650	1998-10-30	VYDAJ	VYBER	4300	31498	\N	\N	0
1665997	5650	1998-12-08	VYDAJ	VYBER	3700	31847	\N	\N	0
1666003	5650	1995-06-05	VYDAJ	PREVOD NA UCET	10530	56739	SIPO	GH	29767215
1666004	5650	1995-07-05	VYDAJ	PREVOD NA UCET	10530	65372	SIPO	GH	29767215
1666005	5650	1995-08-05	VYDAJ	PREVOD NA UCET	10530	48346	SIPO	GH	29767215
1666006	5650	1995-09-05	VYDAJ	PREVOD NA UCET	10530	49892	SIPO	GH	29767215
1666007	5650	1995-10-05	VYDAJ	PREVOD NA UCET	10530	39148	SIPO	GH	29767215
1666008	5650	1995-11-05	VYDAJ	PREVOD NA UCET	10530	33097	SIPO	GH	29767215
1666009	5650	1995-12-05	VYDAJ	PREVOD NA UCET	10530	24591	SIPO	GH	29767215
1666010	5650	1996-01-05	VYDAJ	PREVOD NA UCET	10530	29837	SIPO	GH	29767215
1666011	5650	1996-02-05	VYDAJ	PREVOD NA UCET	10530	14891	SIPO	GH	29767215
1666012	5650	1996-03-05	VYDAJ	PREVOD NA UCET	10530	21523	SIPO	GH	29767215
1666013	5650	1996-04-05	VYDAJ	PREVOD NA UCET	10530	23277	SIPO	GH	29767215
1666014	5650	1996-05-05	VYDAJ	PREVOD NA UCET	10530	17520	SIPO	GH	29767215
1666015	5650	1996-06-05	VYDAJ	PREVOD NA UCET	10530	24369	SIPO	GH	29767215
1666016	5650	1996-07-05	VYDAJ	PREVOD NA UCET	10530	38799	SIPO	GH	29767215
1666017	5650	1996-08-05	VYDAJ	PREVOD NA UCET	10530	25306	SIPO	GH	29767215
1666018	5650	1996-09-05	VYDAJ	PREVOD NA UCET	10530	25481	SIPO	GH	29767215
1666019	5650	1996-10-05	VYDAJ	PREVOD NA UCET	10530	31567	SIPO	GH	29767215
1666020	5650	1996-11-05	VYDAJ	PREVOD NA UCET	10530	32872	SIPO	GH	29767215
1666021	5650	1996-12-05	VYDAJ	PREVOD NA UCET	10530	33958	SIPO	GH	29767215
1666022	5650	1997-01-05	VYDAJ	PREVOD NA UCET	10530	43230	SIPO	GH	29767215
1666023	5650	1997-02-05	VYDAJ	PREVOD NA UCET	10530	29844	SIPO	GH	29767215
1666024	5650	1997-03-05	VYDAJ	PREVOD NA UCET	10530	14056	SIPO	GH	29767215
1666025	5650	1997-04-05	VYDAJ	PREVOD NA UCET	10530	27898	SIPO	GH	29767215
1666026	5650	1997-05-05	VYDAJ	PREVOD NA UCET	10530	34191	SIPO	GH	29767215
1666027	5650	1997-06-05	VYDAJ	PREVOD NA UCET	10530	35115	SIPO	GH	29767215
1666028	5650	1997-07-05	VYDAJ	PREVOD NA UCET	10530	29390	SIPO	GH	29767215
1666029	5650	1997-08-05	VYDAJ	PREVOD NA UCET	10530	16742	SIPO	GH	29767215
1666030	5650	1997-09-05	VYDAJ	PREVOD NA UCET	10530	20289	SIPO	GH	29767215
1666031	5650	1997-10-05	VYDAJ	PREVOD NA UCET	10530	30568	SIPO	GH	29767215
1666032	5650	1997-11-05	VYDAJ	PREVOD NA UCET	10530	29783	SIPO	GH	29767215
1666033	5650	1997-12-05	VYDAJ	PREVOD NA UCET	10530	36583	SIPO	GH	29767215
1666034	5650	1998-01-05	VYDAJ	PREVOD NA UCET	10530	25341	SIPO	GH	29767215
1666035	5650	1998-02-05	VYDAJ	PREVOD NA UCET	10530	29825	SIPO	GH	29767215
1666036	5650	1998-03-05	VYDAJ	PREVOD NA UCET	10530	22603	SIPO	GH	29767215
1666037	5650	1998-04-05	VYDAJ	PREVOD NA UCET	10530	27867	SIPO	GH	29767215
1666038	5650	1998-05-05	VYDAJ	PREVOD NA UCET	10530	24941	SIPO	GH	29767215
1666039	5650	1998-06-05	VYDAJ	PREVOD NA UCET	10530	33227	SIPO	GH	29767215
1666040	5650	1998-07-05	VYDAJ	PREVOD NA UCET	10530	44203	SIPO	GH	29767215
1666041	5650	1998-08-05	VYDAJ	PREVOD NA UCET	10530	25479	SIPO	GH	29767215
1666042	5650	1998-09-05	VYDAJ	PREVOD NA UCET	10530	36319	SIPO	GH	29767215
1666043	5650	1998-10-05	VYDAJ	PREVOD NA UCET	10530	41641	SIPO	GH	29767215
1666044	5650	1998-11-05	VYDAJ	PREVOD NA UCET	10530	21055	SIPO	GH	29767215
1666045	5650	1998-12-05	VYDAJ	PREVOD NA UCET	10530	35547	SIPO	GH	29767215
1666046	5650	1996-04-27	VYBER	VYBER	21319	22500	\N	\N	\N
1666048	5650	1996-11-15	VYBER	VYBER	3024	50390	\N	\N	\N
1666049	5650	1997-02-28	VYBER	VYBER	5004	28332	\N	\N	\N
1666050	5650	1997-02-24	VYBER	VYBER	24933	25453	\N	\N	\N
1666051	5650	1997-07-13	VYBER	VYBER	10891	38568	\N	\N	\N
1666053	5650	1997-06-30	VYBER	VYBER	13697	40020	\N	\N	\N
1666054	5650	1997-03-02	VYBER	VYBER	3646	24586	\N	\N	\N
1666055	5650	1997-07-09	VYBER	VYBER	4581	24809	\N	\N	\N
1666057	5650	1997-08-04	VYBER	VYBER	9043	27272	\N	\N	\N
1666058	5650	1998-02-22	VYBER	VYBER	8301	33074	\N	\N	\N
1666059	5650	1998-12-12	VYBER	VYBER	21625	47197	\N	\N	\N
1666060	5650	1998-05-02	VYBER	VYBER	12035	35471	\N	\N	\N
1666061	5650	1998-07-27	VYBER	VYBER	13684	40389	\N	\N	\N
1666064	5650	1998-10-17	VYBER	VYBER	9734	42898	\N	\N	\N
1666066	5650	1998-07-20	VYBER	VYBER	16280	52573	\N	\N	\N
1666067	5650	1998-08-19	VYBER	VYBER	8849	41280	\N	\N	\N
1666068	5650	1998-10-12	VYBER	VYBER	9759	56532	\N	\N	\N
1666070	5650	1995-12-12	VYDAJ	VYBER	8700	52866	\N	\N	\N
1666071	5650	1996-12-24	VYDAJ	VYBER	2100	64724	\N	\N	\N
1666072	5650	1997-12-13	VYDAJ	VYBER	3600	66058	\N	\N	\N
1666073	5650	1998-12-26	VYDAJ	VYBER	4800	42597	\N	\N	\N
1666082	5650	1996-01-11	VYDAJ	VYBER	2400	23237	\N	\N	\N
1666083	5650	1996-01-12	VYDAJ	VYBER	8700	39187	\N	\N	\N
1666084	5650	1996-01-07	VYDAJ	VYBER	4200	25637	\N	\N	\N
1666085	5650	1996-01-24	VYDAJ	VYBER	8700	26379	\N	\N	\N
1666086	5650	1997-01-16	VYDAJ	VYBER	3600	51171	\N	\N	\N
1666087	5650	1997-01-16	VYDAJ	VYBER	2400	48771	\N	\N	\N
1666088	5650	1997-01-24	VYDAJ	VYBER	6600	40071	\N	\N	\N
1666089	5650	1997-01-15	VYDAJ	VYBER	3300	54771	\N	\N	\N
1666090	5650	1997-01-11	VYDAJ	VYBER	1800	41430	\N	\N	\N
1666091	5650	1997-01-24	VYDAJ	VYBER	2100	46671	\N	\N	\N
1666093	5650	1998-01-03	VYDAJ	VYBER	2700	39471	\N	\N	\N
1666095	5650	1998-01-24	VYDAJ	VYBER	2400	40291	\N	\N	\N
1666096	5650	1998-01-02	VYDAJ	VYBER	2100	42171	\N	\N	\N
1666097	5650	1998-01-23	VYDAJ	VYBER	2400	42691	\N	\N	\N
1666098	5650	1995-07-14	VYDAJ	VYBER	5700	58714	\N	\N	\N
1666100	5650	1995-11-13	VYDAJ	VYBER	10200	43439	\N	\N	\N
1666102	5650	1995-07-07	VYDAJ	VYBER	2700	62672	\N	\N	\N
1666103	5650	1996-03-23	VYDAJ	VYBER	12600	29465	\N	\N	\N
1666104	5650	1996-08-28	VYDAJ	VYBER	9000	36847	\N	\N	\N
1666105	5650	1996-05-28	VYDAJ	VYBER	2400	35662	\N	\N	\N
1666106	5650	1996-10-22	VYDAJ	VYBER	10200	41909	\N	\N	\N
1666107	5650	1996-07-15	VYDAJ	VYBER	14100	45241	\N	\N	\N
1666108	5650	1996-08-01	VYDAJ	VYBER	7500	35836	\N	\N	\N
1666109	5650	1997-12-18	VYDAJ	VYBER	9900	56158	\N	\N	\N
1666110	5650	1997-04-21	VYDAJ	VYBER	1500	46940	\N	\N	\N
1666111	5650	1997-01-13	VYDAJ	VYBER	3900	58071	\N	\N	\N
1666112	5650	1997-11-04	VYDAJ	VYBER	4500	40313	\N	\N	\N
1666114	5650	1997-12-29	VYDAJ	VYBER	3600	44158	\N	\N	\N
1666115	5650	1998-11-30	VYDAJ	VYBER	5100	46177	\N	\N	\N
1666116	5650	1998-10-23	VYDAJ	VYBER	10200	35798	\N	\N	\N
1666117	5650	1998-02-16	VYDAJ	VYBER	4800	45775	\N	\N	\N
1666124	5650	1995-05-31	VYDAJ	VYBER	100	67269	SLUZBY	\N	\N
1666125	5650	1995-06-30	VYDAJ	VYBER	100	75902	SLUZBY	\N	\N
1666126	5650	1995-07-31	VYDAJ	VYBER	100	58876	SLUZBY	\N	\N
1666127	5650	1995-08-31	VYDAJ	VYBER	100	60422	SLUZBY	\N	\N
1666128	5650	1995-09-30	VYDAJ	VYBER	100	57878	SLUZBY	\N	\N
1666129	5650	1995-10-31	VYDAJ	VYBER	100	59827	SLUZBY	\N	\N
1666130	5650	1995-11-30	VYDAJ	VYBER	100	43521	SLUZBY	\N	\N
1666131	5650	1995-12-31	VYDAJ	VYBER	100	48867	SLUZBY	\N	\N
1666132	5650	1996-01-31	VYDAJ	VYBER	100	26421	SLUZBY	\N	\N
1666133	5650	1996-02-29	VYDAJ	VYBER	100	35453	SLUZBY	\N	\N
1666134	5650	1996-03-31	VYDAJ	VYBER	100	29507	SLUZBY	\N	\N
1666135	5650	1996-04-30	VYDAJ	VYBER	100	22550	SLUZBY	\N	\N
1666136	5650	1996-05-31	VYDAJ	VYBER	100	35699	SLUZBY	\N	\N
1666137	5650	1996-06-30	VYDAJ	VYBER	100	57329	SLUZBY	\N	\N
1666138	5650	1996-07-31	VYDAJ	VYBER	100	43336	SLUZBY	\N	\N
1666139	5650	1996-08-31	VYDAJ	VYBER	100	36011	SLUZBY	\N	\N
1666140	5650	1996-09-30	VYDAJ	VYBER	100	42097	SLUZBY	\N	\N
1666141	5650	1996-10-31	VYDAJ	VYBER	100	43402	SLUZBY	\N	\N
1666142	5650	1996-11-30	VYDAJ	VYBER	100	44488	SLUZBY	\N	\N
1666143	5650	1996-12-31	VYDAJ	VYBER	100	53760	SLUZBY	\N	\N
1666144	5650	1997-01-31	VYDAJ	VYBER	100	40374	SLUZBY	\N	\N
1666145	5650	1997-02-28	VYDAJ	VYBER	100	28232	SLUZBY	\N	\N
1666146	5650	1997-03-31	VYDAJ	VYBER	100	38428	SLUZBY	\N	\N
1666147	5650	1997-04-30	VYDAJ	VYBER	100	44721	SLUZBY	\N	\N
1666148	5650	1997-05-31	VYDAJ	VYBER	100	45645	SLUZBY	\N	\N
1666149	5650	1997-06-30	VYDAJ	VYBER	100	39920	SLUZBY	\N	\N
1666150	5650	1997-07-31	VYDAJ	VYBER	100	36315	SLUZBY	\N	\N
1666151	5650	1997-08-31	VYDAJ	VYBER	100	30819	SLUZBY	\N	\N
1666152	5650	1997-09-30	VYDAJ	VYBER	100	41098	SLUZBY	\N	\N
1666153	5650	1997-10-31	VYDAJ	VYBER	100	44813	SLUZBY	\N	\N
1666154	5650	1997-11-30	VYDAJ	VYBER	100	47113	SLUZBY	\N	\N
1666155	5650	1997-12-31	VYDAJ	VYBER	100	44271	SLUZBY	\N	\N
1666156	5650	1998-01-31	VYDAJ	VYBER	100	40355	SLUZBY	\N	\N
1666157	5650	1998-02-28	VYDAJ	VYBER	100	33133	SLUZBY	\N	\N
1666158	5650	1998-03-31	VYDAJ	VYBER	100	38397	SLUZBY	\N	\N
1666159	5650	1998-04-30	VYDAJ	VYBER	100	47506	SLUZBY	\N	\N
1666160	5650	1998-05-31	VYDAJ	VYBER	100	43757	SLUZBY	\N	\N
1666161	5650	1998-06-30	VYDAJ	VYBER	100	58433	SLUZBY	\N	\N
1666162	5650	1998-07-31	VYDAJ	VYBER	100	40509	SLUZBY	\N	\N
1666163	5650	1998-08-31	VYDAJ	VYBER	100	46849	SLUZBY	\N	\N
1666164	5650	1998-09-30	VYDAJ	VYBER	100	52171	SLUZBY	\N	\N
1666165	5650	1998-10-31	VYDAJ	VYBER	100	31585	SLUZBY	\N	\N
1666166	5650	1998-11-30	VYDAJ	VYBER	100	46077	SLUZBY	\N	\N
1666167	5650	1995-02-07	VYDAJ	VYBER	600	25019	\N	\N	\N
1666168	5650	1995-03-09	VYDAJ	VYBER	13900	35936	\N	\N	\N
1666169	5650	1995-04-08	VYDAJ	VYBER	15500	45323	\N	\N	\N
1666170	5650	1995-05-08	VYDAJ	VYBER	24500	42450	\N	\N	\N
1666171	5650	1995-06-07	VYDAJ	VYBER	15000	41739	\N	\N	\N
1666172	5650	1995-07-07	VYDAJ	VYBER	18800	43872	\N	\N	\N
1666173	5650	1995-08-06	VYDAJ	VYBER	8600	39746	\N	\N	\N
1666174	5650	1995-09-05	VYDAJ	VYBER	12700	37192	\N	\N	\N
1666175	5650	1995-10-05	VYDAJ	VYBER	8200	49678	\N	\N	\N
1666176	5650	1995-11-04	VYDAJ	VYBER	16200	43627	\N	\N	\N
1666177	5650	1995-12-04	VYDAJ	VYBER	8400	35121	\N	\N	\N
1666178	5650	1996-01-03	VYDAJ	VYBER	8500	40367	\N	\N	\N
1666179	5650	1996-02-02	VYDAJ	VYBER	1000	25421	\N	\N	\N
1666180	5650	1996-03-03	VYDAJ	VYBER	3400	32053	\N	\N	\N
1666181	5650	1996-04-02	PRIJEM	VKLAD	4300	33807	\N	\N	\N
1666182	5650	1996-05-02	PRIJEM	VKLAD	5500	28050	\N	\N	\N
1666183	5650	1996-06-01	VYDAJ	VYBER	800	34899	\N	\N	\N
1666184	5650	1996-07-01	VYDAJ	VYBER	8000	49329	\N	\N	\N
1666185	5650	1996-07-31	VYDAJ	VYBER	2000	43436	\N	\N	\N
1666186	5650	1996-08-30	VYDAJ	VYBER	900	35947	\N	\N	\N
1666187	5650	1996-09-29	VYDAJ	VYBER	4000	42023	\N	\N	\N
1666188	5650	1996-10-29	PRIJEM	VKLAD	1400	43309	\N	\N	\N
1666189	5650	1996-11-28	VYDAJ	VYBER	6000	44390	\N	\N	\N
1666190	5650	1996-12-28	VYDAJ	VYBER	11100	53624	\N	\N	\N
1666191	5650	1997-01-27	PRIJEM	VKLAD	200	40271	\N	\N	\N
1666192	5650	1997-02-26	PRIJEM	VKLAD	7700	33153	\N	\N	\N
1666193	5650	1997-03-28	PRIJEM	VKLAD	3800	38398	\N	\N	\N
1666194	5650	1997-04-27	VYDAJ	VYBER	2300	44640	\N	\N	\N
1666195	5650	1997-05-27	VYDAJ	VYBER	9200	45532	\N	\N	\N
1666196	5650	1997-06-26	VYDAJ	VYBER	14500	53482	\N	\N	\N
1666197	5650	1997-07-26	PRIJEM	VKLAD	1600	36268	\N	\N	\N
1666198	5650	1997-08-25	VYDAJ	VYBER	3600	34092	\N	\N	\N
1666199	5650	1997-09-24	VYDAJ	VYBER	3900	41039	\N	\N	\N
1666200	5650	1997-10-24	VYDAJ	VYBER	7900	44718	\N	\N	\N
1666201	5650	1997-11-23	VYDAJ	VYBER	4600	47033	\N	\N	\N
1666202	5650	1997-12-23	VYDAJ	VYBER	8400	47758	\N	\N	\N
1666203	5650	1998-01-22	VYDAJ	VYBER	4900	45091	\N	\N	\N
1666204	5650	1998-02-21	VYDAJ	VYBER	4400	41375	\N	\N	\N
1666205	5650	1998-03-23	VYDAJ	VYBER	5000	38353	\N	\N	\N
1666206	5650	1998-04-22	VYDAJ	VYBER	700	51817	\N	\N	\N
1666207	5650	1998-05-22	VYDAJ	VYBER	1300	43691	\N	\N	\N
1666208	5650	1998-06-21	VYDAJ	VYBER	8800	58302	\N	\N	\N
1666209	5650	1998-07-21	PRIJEM	VKLAD	1500	54073	\N	\N	\N
1666210	5650	1998-08-20	PRIJEM	VKLAD	5500	46780	\N	\N	\N
1666211	5650	1998-09-19	VYDAJ	VYBER	4200	52069	\N	\N	\N
1666212	5650	1998-10-19	PRIJEM	VKLAD	3100	45998	\N	\N	\N
1666213	5650	1998-11-18	PRIJEM	VKLAD	5400	51105	\N	\N	\N
1666214	5650	1998-12-18	PRIJEM	VKLAD	200	47397	\N	\N	\N
1669252	5661	1995-12-20	PRIJEM	VKLAD	600	600	\N	\N	\N
1669272	5661	1995-12-26	PRIJEM	VKLAD	48375	48975	\N	\N	\N
1669282	5661	1996-04-02	PRIJEM	VKLAD	39174	86109	\N	\N	\N
1669283	5661	1996-03-15	PRIJEM	VKLAD	37012	67535	\N	\N	\N
1669284	5661	1996-09-02	PRIJEM	VKLAD	7716	24829	\N	\N	\N
1669285	5661	1996-07-15	PRIJEM	VKLAD	38058	50558	\N	\N	\N
1669286	5661	1996-08-30	PRIJEM	VKLAD	9688	35828	\N	\N	\N
1669287	5661	1996-06-07	PRIJEM	VKLAD	33772	70406	\N	\N	\N
1669288	5661	1996-06-11	PRIJEM	VKLAD	42765	113171	\N	\N	\N
1669289	5661	1996-12-21	PRIJEM	VKLAD	31341	31996	\N	\N	\N
1669290	5661	1996-11-21	PRIJEM	VKLAD	19762	29711	\N	\N	\N
1669291	5661	1997-11-20	PRIJEM	VKLAD	12192	19370	\N	\N	\N
1669292	5661	1997-08-24	PRIJEM	VKLAD	10081	42602	\N	\N	\N
1669293	5661	1997-06-25	PRIJEM	VKLAD	9772	46032	\N	\N	\N
1669294	5661	1997-07-15	PRIJEM	VKLAD	17678	53230	\N	\N	\N
1669295	5661	1997-05-11	PRIJEM	VKLAD	27537	93885	\N	\N	\N
1669296	5661	1997-04-18	PRIJEM	VKLAD	37133	69540	\N	\N	\N
1669297	5661	1997-12-11	PRIJEM	VKLAD	18786	32480	\N	\N	\N
1669298	5661	1997-05-19	PRIJEM	VKLAD	13770	98912	\N	\N	\N
1669299	5661	1997-12-25	PRIJEM	VKLAD	37059	106044	\N	\N	\N
1669300	5661	1997-02-09	PRIJEM	VKLAD	30067	27841	\N	\N	\N
1669301	5661	1997-12-04	PRIJEM	VKLAD	20275	39664	\N	\N	\N
1669302	5661	1997-03-01	PRIJEM	VKLAD	27919	45981	\N	\N	\N
1669303	5661	1997-07-28	PRIJEM	VKLAD	36123	117984	\N	\N	\N
1669304	5661	1997-05-15	PRIJEM	VKLAD	37157	85142	\N	\N	\N
1669305	5661	1997-12-17	PRIJEM	VKLAD	43705	76185	\N	\N	\N
1669306	5661	1997-09-13	PRIJEM	VKLAD	10313	27196	\N	\N	\N
1669307	5661	1997-07-06	PRIJEM	VKLAD	26421	72652	\N	\N	\N
1669308	5661	1997-07-24	PRIJEM	VKLAD	28631	81861	\N	\N	\N
1669309	5661	1997-05-31	PRIJEM	VKLAD	46118	141730	\N	\N	\N
1669310	5661	1997-04-10	PRIJEM	VKLAD	24342	56007	\N	\N	\N
1669311	5661	1997-04-07	PRIJEM	VKLAD	38473	55944	\N	\N	\N
1669312	5661	1997-11-14	PRIJEM	VKLAD	9169	7178	\N	\N	\N
1669313	5661	1998-11-13	PRIJEM	VKLAD	48752	57504	\N	\N	\N
1669314	5661	1998-04-25	PRIJEM	VKLAD	9654	3030	\N	\N	\N
1669315	5661	1998-10-14	PRIJEM	VKLAD	44509	52224	\N	\N	\N
1669316	5661	1998-10-02	PRIJEM	VKLAD	36269	51715	\N	\N	\N
1669317	5661	1998-05-17	PRIJEM	VKLAD	12218	48482	\N	\N	\N
1669318	5661	1998-08-24	PRIJEM	VKLAD	44236	20195	\N	\N	\N
1669319	5661	1998-09-28	PRIJEM	VKLAD	26193	15380	\N	\N	\N
1669320	5661	1998-02-01	PRIJEM	VKLAD	10507	34979	\N	\N	\N
1669321	5661	1998-11-26	PRIJEM	VKLAD	42139	78104	\N	\N	\N
1669322	5661	1998-05-04	PRIJEM	VKLAD	14561	17582	\N	\N	\N
1669323	5661	1998-05-12	PRIJEM	VKLAD	38482	36264	\N	\N	\N
1669324	5661	1998-01-14	PRIJEM	VKLAD	25353	62799	\N	\N	\N
1669325	5661	1998-12-04	PRIJEM	VKLAD	33946	103952	\N	\N	\N
1669387	5661	1996-08-31	VYBER	VYBER	18842	17128	\N	\N	\N
1669388	5661	1996-10-29	VYBER	VYBER	2920	6611	\N	\N	\N
1669389	5661	1996-09-09	VYBER	VYBER	11748	13081	\N	\N	\N
1669392	5661	1997-04-07	VYBER	VYBER	24279	31665	\N	\N	\N
1669393	5661	1997-09-14	VYBER	VYBER	22262	4934	\N	\N	\N
1669394	5661	1997-03-08	VYBER	VYBER	17278	28703	\N	\N	\N
1669396	5661	1997-05-01	VYBER	VYBER	3376	66348	\N	\N	\N
1669397	5661	1997-12-05	VYBER	VYBER	5670	33994	\N	\N	\N
1669399	5661	1997-08-06	VYBER	VYBER	4976	63821	\N	\N	\N
1669400	5661	1997-12-27	VYBER	VYBER	20709	85335	\N	\N	\N
1669402	5661	1997-09-16	VYBER	VYBER	5273	-339	\N	\N	\N
1669403	5661	1998-11-22	VYBER	VYBER	21539	35965	\N	\N	\N
1669405	5661	1998-01-15	VYBER	VYBER	4625	58174	\N	\N	\N
1669407	5661	1998-06-02	VYBER	VYBER	17321	31268	\N	\N	\N
1669412	5661	1998-11-26	VYBER	VYBER	8314	69790	\N	\N	\N
1669414	5661	1998-12-11	VYBER	VYBER	10590	16662	\N	\N	\N
1669417	5661	1996-06-14	VYDAJ	VYBER	77700	-929	\N	\N	\N
1669418	5661	1997-06-01	VYDAJ	VYBER	16200	73360	\N	\N	\N
1669422	5661	1997-01-06	VYDAJ	VYBER	24600	1471	\N	\N	\N
1669423	5661	1998-01-17	VYDAJ	VYBER	7800	50374	\N	\N	\N
1669425	5661	1996-12-07	VYDAJ	VYBER	5100	14755	\N	\N	\N
1669426	5661	1997-12-17	VYDAJ	VYBER	7200	68985	\N	\N	\N
1669427	5661	1998-12-12	VYDAJ	VYBER	4200	12462	\N	\N	\N
1669440	5661	1997-01-17	VYDAJ	VYBER	1500	4671	\N	\N	\N
1669442	5661	1997-01-18	VYDAJ	VYBER	4200	471	\N	\N	\N
1669444	5661	1997-01-19	VYDAJ	VYBER	2700	-2229	\N	\N	\N
1669446	5661	1998-01-17	VYDAJ	VYBER	1500	48874	\N	\N	\N
1669447	5661	1998-01-29	VYDAJ	VYBER	8400	24274	\N	\N	\N
1669448	5661	1998-01-26	VYDAJ	VYBER	7800	37774	\N	\N	\N
1669449	5661	1998-01-02	VYDAJ	VYBER	5100	80446	\N	\N	\N
1669450	5661	1998-01-20	VYDAJ	VYBER	3300	45574	\N	\N	\N
1669451	5661	1998-01-06	VYDAJ	VYBER	3600	76846	\N	\N	\N
1669456	5661	1996-10-18	VYDAJ	VYBER	1500	9531	\N	\N	\N
1669457	5661	1996-12-16	VYDAJ	VYBER	12900	655	\N	\N	\N
1669461	5661	1996-12-03	VYDAJ	VYBER	9900	19855	\N	\N	\N
1669464	5661	1997-09-11	VYDAJ	VYBER	4200	16883	\N	\N	\N
1669465	5661	1997-01-05	VYDAJ	VYBER	6000	26071	\N	\N	\N
1669466	5661	1997-06-02	VYDAJ	VYBER	2400	70960	\N	\N	\N
1669467	5661	1997-05-21	VYDAJ	VYBER	3300	95612	\N	\N	\N
1669469	5661	1998-01-29	VYDAJ	VYBER	5100	32674	\N	\N	\N
1669489	5661	1996-06-30	VYDAJ	VYBER	15	12500	SLUZBY	\N	\N
1669490	5661	1996-07-31	VYDAJ	VYBER	15	34640	SLUZBY	\N	\N
1669491	5661	1996-08-31	VYDAJ	VYBER	15	17113	SLUZBY	\N	\N
1669492	5661	1996-09-30	VYDAJ	VYBER	15	15631	SLUZBY	\N	\N
1669493	5661	1996-10-31	VYDAJ	VYBER	15	6649	SLUZBY	\N	\N
1669494	5661	1996-11-30	VYDAJ	VYBER	15	29755	SLUZBY	\N	\N
1669495	5661	1996-12-31	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
1669496	5661	1997-01-31	VYDAJ	VYBER	15	-2227	SLUZBY	\N	\N
1669497	5661	1997-02-28	VYDAJ	VYBER	15	18071	SLUZBY	\N	\N
1669498	5661	1997-03-31	VYDAJ	VYBER	15	17471	SLUZBY	\N	\N
1669499	5661	1997-04-30	VYDAJ	VYBER	15	69724	SLUZBY	\N	\N
1669500	5661	1997-05-31	VYDAJ	VYBER	15	142060	SLUZBY	\N	\N
1669501	5661	1997-06-30	VYDAJ	VYBER	15	46231	SLUZBY	\N	\N
1669502	5661	1997-07-31	VYDAJ	VYBER	15	68797	SLUZBY	\N	\N
1669503	5661	1997-08-31	VYDAJ	VYBER	15	42783	SLUZBY	\N	\N
1669504	5661	1997-09-30	VYDAJ	VYBER	15	-287	SLUZBY	\N	\N
1669506	5661	1997-11-30	VYDAJ	VYBER	15	19389	SLUZBY	\N	\N
1669507	5661	1997-12-31	VYDAJ	VYBER	15	85546	SLUZBY	\N	\N
1669508	5661	1998-01-31	VYDAJ	VYBER	15	24472	SLUZBY	\N	\N
1669509	5661	1998-02-28	VYDAJ	VYBER	15	14433	SLUZBY	\N	\N
1669510	5661	1998-03-31	VYDAJ	VYBER	15	1376	SLUZBY	\N	\N
1669511	5661	1998-04-30	VYDAJ	VYBER	15	3021	SLUZBY	\N	\N
1669512	5661	1998-05-31	VYDAJ	VYBER	15	48592	SLUZBY	\N	\N
1669513	5661	1998-06-30	VYDAJ	VYBER	15	-1622	SLUZBY	\N	\N
1669515	5661	1998-08-31	VYDAJ	VYBER	15	20201	SLUZBY	\N	\N
1669516	5661	1998-09-30	VYDAJ	VYBER	15	15446	SLUZBY	\N	\N
1669517	5661	1998-10-31	VYDAJ	VYBER	15	52352	SLUZBY	\N	\N
1669518	5661	1998-11-30	VYDAJ	VYBER	15	70006	SLUZBY	\N	\N
1669519	5661	1996-01-19	VYDAJ	VYBER	14900	34115	\N	\N	\N
1669520	5661	1996-02-18	VYDAJ	VYBER	4000	30319	\N	\N	\N
1669521	5661	1996-03-19	VYDAJ	VYBER	20800	46735	\N	\N	\N
1669522	5661	1996-04-18	VYDAJ	VYBER	33400	52709	\N	\N	\N
1669523	5661	1996-05-18	VYDAJ	VYBER	16500	36414	\N	\N	\N
1669524	5661	1996-06-11	VYDAJ	VYBER	36400	76771	\N	\N	\N
1669525	5661	1996-06-17	PRIJEM	VKLAD	13300	12371	\N	\N	\N
1669526	5661	1996-07-17	VYDAJ	VYBER	16000	34558	\N	\N	\N
1669527	5661	1996-08-16	VYDAJ	VYBER	8500	26140	\N	\N	\N
1669528	5661	1996-09-15	PRIJEM	VKLAD	2500	15581	\N	\N	\N
1669529	5661	1996-10-15	VYDAJ	VYBER	4600	11031	\N	\N	\N
1669530	5661	1996-11-14	PRIJEM	VKLAD	3300	9949	\N	\N	\N
1669531	5661	1996-12-14	VYDAJ	VYBER	1200	13555	\N	\N	\N
1669532	5661	1997-01-13	PRIJEM	VKLAD	4700	6171	\N	\N	\N
1669533	5661	1997-02-12	VYDAJ	VYBER	9800	18041	\N	\N	\N
1669534	5661	1997-03-14	VYDAJ	VYBER	11300	17403	\N	\N	\N
1669535	5661	1997-04-13	VYDAJ	VYBER	23600	32407	\N	\N	\N
1669536	5661	1997-05-13	VYDAJ	VYBER	45900	47985	\N	\N	\N
1669537	5661	1997-05-31	VYDAJ	VYBER	32400	109660	\N	\N	\N
1669538	5661	1997-05-31	VYDAJ	VYBER	20100	89560	\N	\N	\N
1669539	5661	1997-06-12	VYDAJ	VYBER	34700	36260	\N	\N	\N
1669540	5661	1997-07-12	VYDAJ	VYBER	37100	35552	\N	\N	\N
1669541	5661	1997-07-28	VYDAJ	VYBER	49400	68584	\N	\N	\N
1669542	5661	1997-08-11	VYDAJ	VYBER	31300	32521	\N	\N	\N
1669543	5661	1997-09-10	VYDAJ	VYBER	21700	21083	\N	\N	\N
1669544	5661	1997-10-10	VYDAJ	VYBER	3300	-3587	\N	\N	\N
1669545	5661	1997-11-09	PRIJEM	VKLAD	1600	-1991	\N	\N	\N
1669546	5661	1997-12-09	VYDAJ	VYBER	20300	13694	\N	\N	\N
1669547	5661	1998-01-08	VYDAJ	VYBER	39400	37446	\N	\N	\N
1669548	5661	1998-02-07	VYDAJ	VYBER	20600	14379	\N	\N	\N
1669549	5661	1998-03-09	VYDAJ	VYBER	13100	1333	\N	\N	\N
1669550	5661	1998-04-08	VYDAJ	VYBER	8000	-6624	\N	\N	\N
1669551	5661	1998-05-08	VYDAJ	VYBER	19800	-2218	\N	\N	\N
1669552	5661	1998-06-07	VYDAJ	VYBER	32900	-1633	\N	\N	\N
1669553	5661	1998-07-07	VYDAJ	VYBER	16500	-18122	\N	\N	\N
1669554	5661	1998-08-06	VYDAJ	VYBER	5900	-24041	\N	\N	\N
1669555	5661	1998-09-05	VYDAJ	VYBER	31000	-10813	\N	\N	\N
1669556	5661	1998-10-05	VYDAJ	VYBER	44000	7715	\N	\N	\N
1669557	5661	1998-11-04	VYDAJ	VYBER	43600	8752	\N	\N	\N
1669558	5661	1998-12-04	VYDAJ	VYBER	76700	27252	\N	\N	\N
1679075	5692	1996-02-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1679076	5692	1996-03-21	PRIJEM	VKLAD	32283	33283	\N	\N	\N
1679077	5692	1996-12-05	PRIJEM	VKLAD	23473	57985	\N	\N	\N
1679078	5692	1996-11-06	PRIJEM	VKLAD	29712	59980	\N	\N	\N
1679079	5692	1996-07-26	PRIJEM	VKLAD	23122	77710	\N	\N	\N
1679080	5692	1996-06-05	PRIJEM	VKLAD	6620	43708	\N	\N	\N
1679081	5692	1996-03-26	PRIJEM	VKLAD	40927	74210	\N	\N	\N
1679082	5692	1996-07-18	PRIJEM	VKLAD	37606	75388	\N	\N	\N
1679083	5692	1997-02-22	PRIJEM	VKLAD	21048	42896	\N	\N	\N
1679084	5692	1997-10-29	PRIJEM	VKLAD	12957	39028	\N	\N	\N
1679085	5692	1997-06-18	PRIJEM	VKLAD	41707	39362	\N	\N	\N
1679086	5692	1997-12-27	PRIJEM	VKLAD	22071	48248	\N	\N	\N
1679087	5692	1998-04-03	PRIJEM	VKLAD	27649	85722	\N	\N	\N
1679088	5692	1998-10-04	PRIJEM	VKLAD	33752	56965	\N	\N	\N
1679089	5692	1998-02-22	PRIJEM	VKLAD	5107	49404	\N	\N	\N
1679090	5692	1998-06-26	PRIJEM	VKLAD	7648	51238	\N	\N	\N
1679091	5692	1998-02-02	PRIJEM	VKLAD	11103	51297	\N	\N	\N
1679092	5692	1998-12-03	PRIJEM	VKLAD	24986	45854	\N	\N	\N
1679093	5692	1998-07-11	PRIJEM	VKLAD	17493	66821	\N	\N	\N
1679094	5692	1998-02-26	PRIJEM	VKLAD	40594	89998	\N	\N	\N
1679133	5692	1996-08-29	VYBER	VYBER	17026	23556	\N	\N	\N
1679138	5692	1996-12-23	VYBER	VYBER	19029	28856	\N	\N	\N
1679139	5692	1996-08-18	VYBER	VYBER	17105	48182	\N	\N	\N
1679146	5692	1997-01-28	VYBER	VYBER	17751	15951	\N	\N	\N
1679147	5692	1997-07-11	VYBER	VYBER	19725	11444	\N	\N	\N
1679148	5692	1997-03-15	VYBER	VYBER	11641	4607	\N	\N	\N
1679149	5692	1997-05-24	VYBER	VYBER	16761	-2327	\N	\N	\N
1679152	5692	1997-07-06	VYBER	VYBER	5324	31169	\N	\N	\N
1679154	5692	1997-04-30	VYBER	VYBER	20384	749	\N	\N	\N
1679155	5692	1997-08-06	VYBER	VYBER	6807	12216	\N	\N	\N
1679156	5692	1997-10-31	VYBER	VYBER	2877	36256	\N	\N	\N
1679157	5692	1998-12-01	VYBER	VYBER	22477	20868	\N	\N	\N
1679158	5692	1998-08-04	VYBER	VYBER	5932	40192	\N	\N	\N
1679159	5692	1998-04-20	VYBER	VYBER	7290	57932	\N	\N	\N
1679160	5692	1998-01-15	VYBER	VYBER	3436	44926	\N	\N	\N
1679163	5692	1998-06-13	VYDAJ	VYBER	11100	43090	\N	\N	\N
1679164	5692	1996-12-14	VYDAJ	VYBER	2100	55885	\N	\N	\N
1679165	5692	1997-12-08	VYDAJ	VYBER	3300	24777	\N	\N	\N
1679166	5692	1998-12-21	VYDAJ	VYBER	5400	34554	\N	\N	\N
1679169	5692	1996-07-31	VYDAJ	VYBER	12600	65287	\N	\N	\N
1679170	5692	1996-11-30	VYDAJ	VYBER	11700	34526	\N	\N	\N
1679171	5692	1997-01-31	VYDAJ	VYBER	9000	7063	\N	\N	\N
1679172	5692	1997-12-03	VYDAJ	VYBER	5400	28077	\N	\N	\N
1679173	5692	1997-03-25	VYDAJ	VYBER	2100	15107	\N	\N	\N
1679174	5692	1997-03-01	VYDAJ	VYBER	13800	29148	\N	\N	\N
1679175	5692	1997-03-07	VYDAJ	VYBER	12900	16248	\N	\N	\N
1679176	5692	1998-09-14	VYDAJ	VYBER	2700	37162	\N	\N	\N
1679177	5692	1998-07-08	VYDAJ	VYBER	2100	49328	\N	\N	\N
1679178	5692	1998-07-23	VYDAJ	VYBER	9000	45921	\N	\N	\N
1679179	5692	1998-10-01	VYDAJ	VYBER	14100	23213	\N	\N	\N
1679180	5692	1998-09-10	VYDAJ	VYBER	14700	29262	\N	\N	\N
1679181	5692	1998-03-08	VYDAJ	VYBER	14100	76082	\N	\N	\N
1679189	5692	1996-07-31	VYDAJ	VYBER	15	77887	SLUZBY	\N	\N
1679190	5692	1996-08-31	VYDAJ	VYBER	15	23777	SLUZBY	\N	\N
1679191	5692	1996-09-30	VYDAJ	VYBER	15	28962	SLUZBY	\N	\N
1679192	5692	1996-10-31	VYDAJ	VYBER	15	30268	SLUZBY	\N	\N
1679193	5692	1996-11-30	VYDAJ	VYBER	15	34512	SLUZBY	\N	\N
1679194	5692	1996-12-31	VYDAJ	VYBER	15	29002	SLUZBY	\N	\N
1679195	5692	1997-01-31	VYDAJ	VYBER	15	7048	SLUZBY	\N	\N
1679196	5692	1997-02-28	VYDAJ	VYBER	15	42948	SLUZBY	\N	\N
1679197	5692	1997-03-31	VYDAJ	VYBER	15	15172	SLUZBY	\N	\N
1679198	5692	1997-04-30	VYDAJ	VYBER	15	734	SLUZBY	\N	\N
1679199	5692	1997-05-31	VYDAJ	VYBER	15	-2346	SLUZBY	\N	\N
1679200	5692	1997-06-30	VYDAJ	VYBER	15	36508	SLUZBY	\N	\N
1679201	5692	1997-07-31	VYDAJ	VYBER	15	19023	SLUZBY	\N	\N
1679202	5692	1997-08-31	VYDAJ	VYBER	15	23289	SLUZBY	\N	\N
1679203	5692	1997-09-30	VYDAJ	VYBER	15	24171	SLUZBY	\N	\N
1679204	5692	1997-10-31	VYDAJ	VYBER	15	36242	SLUZBY	\N	\N
1679205	5692	1997-11-30	VYDAJ	VYBER	15	33477	SLUZBY	\N	\N
1679206	5692	1997-12-31	VYDAJ	VYBER	15	48362	SLUZBY	\N	\N
1679207	5692	1998-01-31	VYDAJ	VYBER	15	40194	SLUZBY	\N	\N
1679208	5692	1998-02-28	VYDAJ	VYBER	15	90182	SLUZBY	\N	\N
1679209	5692	1998-03-31	VYDAJ	VYBER	15	58073	SLUZBY	\N	\N
1679210	5692	1998-04-30	VYDAJ	VYBER	15	58163	SLUZBY	\N	\N
1679211	5692	1998-05-31	VYDAJ	VYBER	15	54190	SLUZBY	\N	\N
1679212	5692	1998-06-30	VYDAJ	VYBER	15	51428	SLUZBY	\N	\N
1679213	5692	1998-07-31	VYDAJ	VYBER	15	46124	SLUZBY	\N	\N
1679214	5692	1998-08-31	VYDAJ	VYBER	15	43962	SLUZBY	\N	\N
1679215	5692	1998-09-30	VYDAJ	VYBER	15	37313	SLUZBY	\N	\N
1679216	5692	1998-10-31	VYDAJ	VYBER	15	49157	SLUZBY	\N	\N
1679217	5692	1998-11-30	VYDAJ	VYBER	15	43345	SLUZBY	\N	\N
1679218	5692	1996-03-26	VYDAJ	VYBER	21300	52910	\N	\N	\N
1679219	5692	1996-04-25	VYDAJ	VYBER	13400	39570	\N	\N	\N
1679220	5692	1996-05-25	VYDAJ	VYBER	3100	36779	\N	\N	\N
1679221	5692	1996-06-24	VYDAJ	VYBER	6200	37508	\N	\N	\N
1679222	5692	1996-07-24	VYDAJ	VYBER	20800	54588	\N	\N	\N
1679223	5692	1996-08-23	VYDAJ	VYBER	7600	40582	\N	\N	\N
1679224	5692	1996-09-22	PRIJEM	VKLAD	5100	28877	\N	\N	\N
1679225	5692	1996-10-22	PRIJEM	VKLAD	1200	30162	\N	\N	\N
1679226	5692	1996-11-21	VYDAJ	VYBER	13900	46080	\N	\N	\N
1679227	5692	1996-12-21	VYDAJ	VYBER	8000	47885	\N	\N	\N
1679228	5692	1997-01-20	PRIJEM	VKLAD	4700	33702	\N	\N	\N
1679229	5692	1997-02-19	PRIJEM	VKLAD	14800	21848	\N	\N	\N
1679230	5692	1997-03-21	PRIJEM	VKLAD	12600	17207	\N	\N	\N
1679231	5692	1997-04-20	PRIJEM	VKLAD	5900	21072	\N	\N	\N
1679232	5692	1997-05-20	PRIJEM	VKLAD	13700	14434	\N	\N	\N
1679233	5692	1997-06-19	VYDAJ	VYBER	2900	36462	\N	\N	\N
1679234	5692	1997-07-19	PRIJEM	VKLAD	7500	18944	\N	\N	\N
1679235	5692	1997-08-18	PRIJEM	VKLAD	11000	23216	\N	\N	\N
1679236	5692	1997-09-17	PRIJEM	VKLAD	800	24089	\N	\N	\N
1679237	5692	1997-10-17	PRIJEM	VKLAD	1900	26071	\N	\N	\N
1679238	5692	1997-11-16	VYDAJ	VYBER	2900	33342	\N	\N	\N
1679239	5692	1997-12-16	PRIJEM	VKLAD	1400	26177	\N	\N	\N
1679240	5692	1998-01-15	VYDAJ	VYBER	4900	40026	\N	\N	\N
1679241	5692	1998-02-14	VYDAJ	VYBER	7000	44297	\N	\N	\N
1679242	5692	1998-03-16	VYDAJ	VYBER	18300	57782	\N	\N	\N
1679243	5692	1998-04-15	VYDAJ	VYBER	20500	65222	\N	\N	\N
1679244	5692	1998-05-15	VYDAJ	VYBER	4200	53963	\N	\N	\N
1679245	5692	1998-06-14	PRIJEM	VKLAD	500	43590	\N	\N	\N
1679246	5692	1998-07-14	VYDAJ	VYBER	11900	54921	\N	\N	\N
1679247	5692	1998-08-13	PRIJEM	VKLAD	3600	43792	\N	\N	\N
1679248	5692	1998-09-12	PRIJEM	VKLAD	10600	39862	\N	\N	\N
1679249	5692	1998-10-12	VYDAJ	VYBER	8000	48965	\N	\N	\N
1679250	5692	1998-11-11	VYDAJ	VYBER	6000	43157	\N	\N	\N
1679251	5692	1998-12-11	VYDAJ	VYBER	5900	39954	\N	\N	\N
1680996	5698	1997-09-04	PRIJEM	VKLAD	300	300	\N	\N	\N
1680997	5698	1997-09-20	PRIJEM	VKLAD	44917	45217	\N	\N	\N
1680999	5698	1997-12-28	PRIJEM	VKLAD	29025	58088	\N	\N	\N
1681002	5698	1998-07-07	PRIJEM	VKLAD	20119	47132	\N	\N	\N
1681003	5698	1998-02-17	PRIJEM	VKLAD	14331	53424	\N	\N	\N
1681004	5698	1998-03-21	PRIJEM	VKLAD	17979	81005	\N	\N	\N
1681005	5698	1998-04-22	PRIJEM	VKLAD	34915	70328	\N	\N	\N
1681006	5698	1998-05-22	PRIJEM	VKLAD	21764	100084	\N	\N	\N
1681007	5698	1998-03-27	PRIJEM	VKLAD	10728	64741	\N	\N	\N
1681008	5698	1998-03-15	PRIJEM	VKLAD	44835	117526	\N	\N	\N
1681009	5698	1998-08-03	PRIJEM	VKLAD	45154	71389	\N	\N	\N
1681010	5698	1998-10-22	PRIJEM	VKLAD	10773	44164	\N	\N	\N
1681011	5698	1998-11-26	PRIJEM	VKLAD	18554	98447	\N	\N	\N
1681012	5698	1998-03-09	PRIJEM	VKLAD	40959	78012	\N	\N	\N
1681013	5698	1998-01-17	PRIJEM	VKLAD	16472	56155	\N	\N	\N
1681014	5698	1998-03-12	PRIJEM	VKLAD	33399	108811	\N	\N	\N
1681015	5698	1998-11-21	PRIJEM	VKLAD	49082	79893	\N	\N	\N
1681016	5698	1998-11-28	PRIJEM	VKLAD	17801	116248	\N	\N	\N
1681017	5698	1998-04-21	PRIJEM	VKLAD	6898	35413	\N	\N	\N
1681018	5698	1998-03-22	PRIJEM	VKLAD	26908	107913	\N	\N	\N
1681019	5698	1998-04-30	PRIJEM	VKLAD	32723	103051	\N	\N	\N
1681020	5698	1998-08-16	PRIJEM	VKLAD	24073	78719	\N	\N	\N
1681021	5698	1998-08-22	PRIJEM	VKLAD	49853	124072	\N	\N	\N
1681022	5698	1998-05-04	PRIJEM	VKLAD	22086	88440	\N	\N	\N
1681037	5698	1998-03-11	VYDAJ	VYBER	2600	75412	\N	\N	0
1681038	5698	1998-04-12	VYDAJ	VYBER	3200	38635	\N	\N	0
1681039	5698	1998-05-24	VYDAJ	VYBER	2800	97284	\N	\N	0
1681040	5698	1998-06-24	VYDAJ	VYBER	3300	48525	\N	\N	0
1681041	5698	1998-07-07	VYDAJ	VYBER	1700	45432	\N	\N	0
1681042	5698	1998-08-01	VYDAJ	VYBER	3900	26235	\N	\N	0
1681043	5698	1998-09-12	VYDAJ	VYBER	2100	66693	\N	\N	0
1681044	5698	1998-09-27	VYDAJ	VYBER	3100	53473	\N	\N	0
1681045	5698	1998-10-31	VYDAJ	VYBER	3100	40931	\N	\N	0
1681046	5698	1998-12-12	VYDAJ	PREVOD NA UCET	2756	62516	UVER	OP	81442999
1681061	5698	1998-03-13	VYDAJ	PREVOD NA UCET	10120	72691	SIPO	QR	64414620
1681062	5698	1998-04-13	VYDAJ	PREVOD NA UCET	10120	28515	SIPO	QR	64414620
1681063	5698	1998-05-13	VYDAJ	PREVOD NA UCET	10120	78320	SIPO	QR	64414620
1681064	5698	1998-06-13	VYDAJ	PREVOD NA UCET	10120	51825	SIPO	QR	64414620
1681065	5698	1998-07-13	VYDAJ	PREVOD NA UCET	10120	35312	SIPO	QR	64414620
1681066	5698	1998-08-13	VYDAJ	PREVOD NA UCET	10120	54646	SIPO	QR	64414620
1681067	5698	1998-09-13	VYDAJ	PREVOD NA UCET	10120	56573	SIPO	QR	64414620
1681068	5698	1998-10-13	VYDAJ	PREVOD NA UCET	10120	33391	SIPO	QR	64414620
1681069	5698	1998-11-13	VYDAJ	PREVOD NA UCET	10120	30811	SIPO	QR	64414620
1681070	5698	1998-12-13	VYDAJ	PREVOD NA UCET	10120	52396	SIPO	QR	64414620
1681077	5698	1998-08-10	VYBER	VYBER	6623	64766	\N	\N	\N
1681078	5698	1998-06-26	VYBER	VYBER	18966	29559	\N	\N	\N
1681079	5698	1998-07-18	VYBER	VYBER	8093	27219	\N	\N	\N
1681080	5698	1998-12-30	VYBER	VYBER	20118	26478	\N	\N	\N
1681085	5698	1998-12-16	VYDAJ	VYBER	6300	46096	\N	\N	\N
1681104	5698	1998-06-26	VYDAJ	VYBER	9300	20259	\N	\N	\N
1681105	5698	1998-08-17	VYDAJ	VYBER	4500	74219	\N	\N	\N
1681106	5698	1998-09-29	VYDAJ	VYBER	9300	43273	\N	\N	\N
1681107	5698	1998-04-07	VYDAJ	VYBER	4800	41835	\N	\N	\N
1681125	5698	1998-03-31	VYDAJ	VYBER	15	65035	SLUZBY	\N	\N
1681126	5698	1998-04-30	VYDAJ	VYBER	15	103254	SLUZBY	\N	\N
1681127	5698	1998-05-31	VYDAJ	VYBER	15	97645	SLUZBY	\N	\N
1681128	5698	1998-06-30	VYDAJ	VYBER	15	20513	SLUZBY	\N	\N
1681129	5698	1998-07-31	VYDAJ	VYBER	15	30135	SLUZBY	\N	\N
1681130	5698	1998-08-31	VYDAJ	VYBER	15	68793	SLUZBY	\N	\N
1681131	5698	1998-09-30	VYDAJ	VYBER	15	43511	SLUZBY	\N	\N
1681132	5698	1998-10-31	VYDAJ	VYBER	15	44031	SLUZBY	\N	\N
1681133	5698	1998-11-30	VYDAJ	VYBER	15	65272	SLUZBY	\N	\N
1681134	5698	1997-10-04	VYDAJ	VYBER	8100	37186	\N	\N	\N
1681135	5698	1997-11-03	VYDAJ	VYBER	6500	30875	\N	\N	\N
1681136	5698	1997-12-03	VYDAJ	VYBER	2000	29063	\N	\N	\N
1681137	5698	1998-01-02	VYDAJ	VYBER	18600	39683	\N	\N	\N
1681138	5698	1998-02-01	VYDAJ	VYBER	17300	39093	\N	\N	\N
1681139	5698	1998-03-03	VYDAJ	VYBER	16600	37053	\N	\N	\N
1681140	5698	1998-03-12	VYDAJ	VYBER	26000	82811	\N	\N	\N
1681141	5698	1998-03-15	VYDAJ	VYBER	54500	63026	\N	\N	\N
1681142	5698	1998-03-22	VYDAJ	VYBER	53900	54013	\N	\N	\N
1681143	5698	1998-04-02	VYDAJ	VYBER	18400	46635	\N	\N	\N
1681144	5698	1998-05-02	VYDAJ	VYBER	36900	66354	\N	\N	\N
1681145	5698	1998-06-01	VYDAJ	VYBER	35700	61945	\N	\N	\N
1681146	5698	1998-07-01	PRIJEM	VKLAD	6500	27013	\N	\N	\N
1681147	5698	1998-07-31	PRIJEM	VKLAD	2800	30149	\N	\N	\N
1681148	5698	1998-08-22	VYDAJ	VYBER	25300	98772	\N	\N	\N
1681149	5698	1998-08-30	VYDAJ	VYBER	30300	68472	\N	\N	\N
1681150	5698	1998-09-29	VYDAJ	VYBER	900	52573	\N	\N	\N
1681151	5698	1998-10-29	VYDAJ	VYBER	300	43864	\N	\N	\N
1681152	5698	1998-11-28	VYDAJ	VYBER	25700	90548	\N	\N	\N
1681153	5698	1998-11-28	VYDAJ	VYBER	25500	65048	\N	\N	\N
1681154	5698	1998-12-28	PRIJEM	VKLAD	500	46596	\N	\N	\N
1681571	5700	1993-07-20	PRIJEM	VKLAD	500	500	\N	\N	\N
1681579	5700	1993-08-12	PRIJEM	VKLAD	9615	10115	\N	\N	\N
1681580	5700	1993-09-12	PRIJEM	VKLAD	9615	24656	\N	\N	\N
1681581	5700	1993-10-12	PRIJEM	VKLAD	9615	33149	\N	\N	\N
1681582	5700	1993-11-12	PRIJEM	VKLAD	9615	37770	\N	\N	\N
1681583	5700	1993-12-12	PRIJEM	VKLAD	14423	46520	\N	\N	\N
1681584	5700	1994-01-12	PRIJEM	VKLAD	9615	39468	\N	\N	\N
1681585	5700	1994-02-12	PRIJEM	VKLAD	9615	20655	\N	\N	\N
1681586	5700	1994-03-12	PRIJEM	VKLAD	9615	28022	\N	\N	\N
1681587	5700	1994-04-12	PRIJEM	VKLAD	9615	35214	\N	\N	\N
1681588	5700	1994-05-12	PRIJEM	VKLAD	9615	39536	\N	\N	\N
1681589	5700	1994-06-12	PRIJEM	VKLAD	14423	45170	\N	\N	\N
1681590	5700	1994-07-12	PRIJEM	VKLAD	9615	42426	\N	\N	\N
1681591	5700	1994-08-12	PRIJEM	VKLAD	9615	38960	\N	\N	\N
1681592	5700	1994-09-12	PRIJEM	VKLAD	9615	41091	\N	\N	\N
1681593	5700	1994-10-12	PRIJEM	VKLAD	9615	43068	\N	\N	\N
1681594	5700	1994-11-12	PRIJEM	VKLAD	9615	43710	\N	\N	\N
1681595	5700	1994-12-12	PRIJEM	VKLAD	14423	45667	\N	\N	\N
1681596	5700	1995-01-12	PRIJEM	VKLAD	9615	21815	\N	\N	\N
1681597	5700	1995-02-12	PRIJEM	VKLAD	9615	29528	\N	\N	\N
1681598	5700	1995-03-12	PRIJEM	VKLAD	9615	36428	\N	\N	\N
1681599	5700	1995-04-12	PRIJEM	VKLAD	9615	37851	\N	\N	\N
1681600	5700	1995-05-12	PRIJEM	VKLAD	9615	40065	\N	\N	\N
1681601	5700	1995-06-12	PRIJEM	VKLAD	14423	32181	\N	\N	\N
1681602	5700	1995-07-12	PRIJEM	VKLAD	9615	35487	\N	\N	\N
1681603	5700	1995-08-12	PRIJEM	VKLAD	9615	37695	\N	\N	\N
1681604	5700	1995-09-12	PRIJEM	VKLAD	9615	39218	\N	\N	\N
1681605	5700	1995-10-12	PRIJEM	VKLAD	9615	39809	\N	\N	\N
1681606	5700	1995-11-12	PRIJEM	VKLAD	9615	39135	\N	\N	\N
1681607	5700	1995-12-12	PRIJEM	VKLAD	14423	36915	\N	\N	\N
1681608	5700	1996-01-12	PRIJEM	VKLAD	9615	30248	\N	\N	\N
1681609	5700	1996-02-12	PRIJEM	VKLAD	9615	30019	\N	\N	\N
1681610	5700	1996-03-12	PRIJEM	VKLAD	9615	36332	\N	\N	\N
1681611	5700	1996-04-12	PRIJEM	VKLAD	9615	37556	\N	\N	\N
1681612	5700	1996-05-12	PRIJEM	VKLAD	9615	35932	\N	\N	\N
1681613	5700	1996-06-12	PRIJEM	VKLAD	14423	30518	\N	\N	\N
1681614	5700	1996-07-12	PRIJEM	VKLAD	9615	35198	\N	\N	\N
1681615	5700	1996-08-12	PRIJEM	VKLAD	9615	32905	\N	\N	\N
1681616	5700	1996-09-12	PRIJEM	VKLAD	9615	27162	\N	\N	\N
1681617	5700	1996-10-12	PRIJEM	VKLAD	9615	28046	\N	\N	\N
1681618	5700	1996-11-12	PRIJEM	VKLAD	9615	26230	\N	\N	\N
1681619	5700	1996-12-12	PRIJEM	VKLAD	14423	29918	\N	\N	\N
1681620	5700	1997-01-12	PRIJEM	VKLAD	9615	21296	\N	\N	\N
1681621	5700	1997-02-12	PRIJEM	VKLAD	9615	16637	\N	\N	\N
1681622	5700	1997-03-12	PRIJEM	VKLAD	9615	16161	\N	\N	\N
1681623	5700	1997-04-12	PRIJEM	VKLAD	9615	16587	\N	\N	\N
1681624	5700	1997-05-12	PRIJEM	VKLAD	9615	19011	\N	\N	\N
1681625	5700	1997-06-12	PRIJEM	VKLAD	14423	26948	\N	\N	\N
1681626	5700	1997-07-12	PRIJEM	VKLAD	9615	20239	\N	\N	\N
1681627	5700	1997-08-12	PRIJEM	VKLAD	9615	18571	\N	\N	\N
1681628	5700	1997-09-12	PRIJEM	VKLAD	9615	19699	\N	\N	\N
1681629	5700	1997-10-12	PRIJEM	VKLAD	9615	11970	\N	\N	\N
1681630	5700	1997-11-12	PRIJEM	VKLAD	9615	7914	\N	\N	\N
1681631	5700	1997-12-12	PRIJEM	VKLAD	14423	16197	\N	\N	\N
1681632	5700	1998-01-12	PRIJEM	VKLAD	9615	8460	\N	\N	\N
1681633	5700	1998-02-12	PRIJEM	VKLAD	9615	6685	\N	\N	\N
1681634	5700	1998-03-12	PRIJEM	VKLAD	9615	8464	\N	\N	\N
1681635	5700	1998-04-12	PRIJEM	VKLAD	9615	2541	\N	\N	\N
1681636	5700	1998-05-12	PRIJEM	VKLAD	9615	273	\N	\N	\N
1681637	5700	1998-06-12	PRIJEM	VKLAD	14423	1487	\N	\N	\N
1681638	5700	1998-07-12	PRIJEM	VKLAD	9615	1545	\N	\N	\N
1681639	5700	1998-08-12	PRIJEM	VKLAD	9615	2173	\N	\N	\N
1681640	5700	1998-09-12	PRIJEM	VKLAD	9615	199	\N	\N	\N
1681641	5700	1998-10-12	PRIJEM	VKLAD	9615	-2096	\N	\N	\N
1681642	5700	1998-11-12	PRIJEM	VKLAD	9615	-7324	\N	\N	\N
1681643	5700	1998-12-12	PRIJEM	VKLAD	14423	-4888	\N	\N	\N
1681655	5700	1993-12-04	VYDAJ	VYBER	1400	32098	\N	\N	0
1681656	5700	1994-01-02	VYDAJ	VYBER	2000	30933	\N	\N	0
1681657	5700	1994-02-20	VYDAJ	VYBER	2300	20555	\N	\N	0
1681658	5700	1994-02-27	VYDAJ	VYBER	2200	18355	\N	\N	0
1681659	5700	1994-04-12	VYDAJ	VYBER	1200	34014	\N	\N	0
1681660	5700	1994-04-24	VYDAJ	VYBER	1500	29814	\N	\N	0
1681661	5700	1994-06-15	VYDAJ	VYBER	1300	32670	\N	\N	0
1681662	5700	1994-07-15	VYDAJ	VYBER	2300	40126	\N	\N	0
1681663	5700	1994-07-31	VYDAJ	VYBER	2000	29359	\N	\N	0
1681664	5700	1994-09-14	VYDAJ	VYBER	1500	34291	\N	\N	0
1681665	5700	1994-10-17	VYDAJ	VYBER	1700	33968	\N	\N	0
1681666	5700	1994-11-20	VYDAJ	VYBER	1400	31910	\N	\N	0
1681667	5700	1994-12-12	VYDAJ	VYBER	2100	43567	\N	\N	0
1681668	5700	1995-01-03	VYDAJ	VYBER	1900	12800	\N	\N	0
1681669	5700	1995-02-20	VYDAJ	VYBER	1400	28128	\N	\N	0
1681670	5700	1995-03-06	VYDAJ	VYBER	1400	26813	\N	\N	0
1681671	5700	1995-04-12	VYDAJ	PREVOD NA UCET	1728	36123	UVER	UV	47866308
1681672	5700	1995-05-12	VYDAJ	PREVOD NA UCET	1728	38337	UVER	UV	47866308
1681673	5700	1995-06-12	VYDAJ	PREVOD NA UCET	1728	30453	UVER	UV	47866308
1681674	5700	1995-07-12	VYDAJ	PREVOD NA UCET	1728	33759	UVER	UV	47866308
1681675	5700	1995-08-12	VYDAJ	PREVOD NA UCET	1728	35967	UVER	UV	47866308
1681676	5700	1995-09-12	VYDAJ	PREVOD NA UCET	1728	37490	UVER	UV	47866308
1681677	5700	1995-10-12	VYDAJ	PREVOD NA UCET	1728	38081	UVER	UV	47866308
1681678	5700	1995-11-12	VYDAJ	PREVOD NA UCET	1728	37407	UVER	UV	47866308
1681679	5700	1995-12-12	VYDAJ	PREVOD NA UCET	1728	35187	UVER	UV	47866308
1681680	5700	1996-01-12	VYDAJ	PREVOD NA UCET	1728	28520	UVER	UV	47866308
1681681	5700	1996-02-12	VYDAJ	PREVOD NA UCET	1728	28291	UVER	UV	47866308
1681682	5700	1996-03-12	VYDAJ	PREVOD NA UCET	1728	34604	UVER	UV	47866308
1681683	5700	1996-04-12	VYDAJ	PREVOD NA UCET	1728	35828	UVER	UV	47866308
1681684	5700	1996-05-12	VYDAJ	PREVOD NA UCET	1728	34204	UVER	UV	47866308
1681685	5700	1996-06-12	VYDAJ	PREVOD NA UCET	1728	28790	UVER	UV	47866308
1681686	5700	1996-07-12	VYDAJ	PREVOD NA UCET	1728	33470	UVER	UV	47866308
1681687	5700	1996-08-12	VYDAJ	PREVOD NA UCET	1728	31177	UVER	UV	47866308
1681688	5700	1996-09-12	VYDAJ	PREVOD NA UCET	1728	25434	UVER	UV	47866308
1681689	5700	1996-10-12	VYDAJ	PREVOD NA UCET	1728	26318	UVER	UV	47866308
1681690	5700	1996-11-12	VYDAJ	PREVOD NA UCET	1728	24502	UVER	UV	47866308
1681691	5700	1996-12-12	VYDAJ	PREVOD NA UCET	1728	28190	UVER	UV	47866308
1681692	5700	1997-01-12	VYDAJ	PREVOD NA UCET	1728	19568	UVER	UV	47866308
1681693	5700	1997-02-12	VYDAJ	PREVOD NA UCET	1728	14909	UVER	UV	47866308
1681694	5700	1997-03-12	VYDAJ	PREVOD NA UCET	1728	14433	UVER	UV	47866308
1681695	5700	1997-04-12	VYDAJ	PREVOD NA UCET	1728	14859	UVER	UV	47866308
1681696	5700	1997-05-12	VYDAJ	PREVOD NA UCET	1728	17283	UVER	UV	47866308
1681697	5700	1997-06-12	VYDAJ	PREVOD NA UCET	1728	25220	UVER	UV	47866308
1681698	5700	1997-07-12	VYDAJ	PREVOD NA UCET	1728	18511	UVER	UV	47866308
1681699	5700	1997-08-12	VYDAJ	PREVOD NA UCET	1728	16843	UVER	UV	47866308
1681700	5700	1997-09-12	VYDAJ	PREVOD NA UCET	1728	17971	UVER	UV	47866308
1681701	5700	1997-10-12	VYDAJ	PREVOD NA UCET	1728	10242	UVER	UV	47866308
1681702	5700	1997-11-12	VYDAJ	PREVOD NA UCET	1728	6186	UVER	UV	47866308
1681703	5700	1997-12-12	VYDAJ	PREVOD NA UCET	1728	14469	UVER	UV	47866308
1681704	5700	1998-01-12	VYDAJ	PREVOD NA UCET	1728	6732	UVER	UV	47866308
1681705	5700	1998-02-12	VYDAJ	PREVOD NA UCET	1728	4957	UVER	UV	47866308
1681706	5700	1998-03-12	VYDAJ	PREVOD NA UCET	1728	6736	UVER	UV	47866308
1681718	5700	1995-06-09	VYDAJ	VYBER	22560	10159	\N	\N	\N
1681719	5700	1996-06-01	VYDAJ	VYBER	26240	8096	\N	\N	\N
1681720	5700	1997-06-28	VYDAJ	VYBER	10560	14660	\N	\N	\N
1681723	5700	1994-01-24	VYDAJ	VYBER	12000	12388	\N	\N	\N
1681724	5700	1995-01-03	VYDAJ	VYBER	13920	14700	\N	\N	\N
1681725	5700	1996-01-26	VYDAJ	VYBER	8160	15320	\N	\N	\N
1681726	5700	1997-01-18	VYDAJ	VYBER	5120	11208	\N	\N	\N
1681728	5700	1993-12-25	VYDAJ	VYBER	1120	32800	\N	\N	\N
1681729	5700	1994-12-11	VYDAJ	VYBER	800	31244	\N	\N	\N
1681730	5700	1995-12-09	VYDAJ	VYBER	4160	22493	\N	\N	\N
1681731	5700	1996-12-24	VYDAJ	VYBER	3840	24350	\N	\N	\N
1681740	5700	1994-01-19	VYDAJ	VYBER	1320	24388	\N	\N	\N
1681741	5700	1994-01-17	VYDAJ	VYBER	2280	25708	\N	\N	\N
1681742	5700	1994-01-12	VYDAJ	VYBER	1680	37788	\N	\N	\N
1681743	5700	1994-01-14	VYDAJ	VYBER	3000	34788	\N	\N	\N
1681744	5700	1994-01-30	VYDAJ	VYBER	1440	10948	\N	\N	\N
1681745	5700	1994-01-07	VYDAJ	VYBER	1080	29853	\N	\N	\N
1681746	5700	1995-01-26	VYDAJ	VYBER	2760	18215	\N	\N	\N
1681747	5700	1995-01-04	VYDAJ	VYBER	2400	10400	\N	\N	\N
1681748	5700	1995-01-09	VYDAJ	VYBER	2640	7760	\N	\N	\N
1681749	5700	1995-01-27	VYDAJ	VYBER	2160	16055	\N	\N	\N
1681750	5700	1995-01-10	VYDAJ	VYBER	2760	5000	\N	\N	\N
1681751	5700	1995-01-13	VYDAJ	VYBER	840	20975	\N	\N	\N
1681752	5700	1996-01-04	VYDAJ	VYBER	600	27273	\N	\N	\N
1681753	5700	1996-01-18	VYDAJ	VYBER	1320	27200	\N	\N	\N
1681754	5700	1996-01-05	VYDAJ	VYBER	3000	21273	\N	\N	\N
1681755	5700	1996-01-04	VYDAJ	VYBER	3000	24273	\N	\N	\N
1681756	5700	1996-01-03	VYDAJ	VYBER	2160	27873	\N	\N	\N
1681757	5700	1996-01-10	VYDAJ	VYBER	840	20633	\N	\N	\N
1681758	5700	1997-01-22	VYDAJ	VYBER	1680	6888	\N	\N	\N
1681759	5700	1997-01-07	VYDAJ	VYBER	600	11681	\N	\N	\N
1681760	5700	1997-01-05	VYDAJ	VYBER	3000	13241	\N	\N	\N
1681761	5700	1997-01-21	VYDAJ	VYBER	2640	8568	\N	\N	\N
1681762	5700	1997-01-06	VYDAJ	VYBER	960	12281	\N	\N	\N
1681763	5700	1997-01-14	VYDAJ	VYBER	3240	16328	\N	\N	\N
1681766	5700	1998-01-21	VYDAJ	VYBER	3240	3492	\N	\N	\N
1681767	5700	1998-01-25	VYDAJ	VYBER	1440	-2948	\N	\N	\N
1681772	5700	1994-12-18	VYDAJ	VYBER	5160	28507	\N	\N	\N
1681773	5700	1994-09-16	VYDAJ	VYBER	960	33331	\N	\N	\N
1681774	5700	1995-12-27	VYDAJ	VYBER	5280	29907	\N	\N	\N
1681775	5700	1995-10-07	VYDAJ	VYBER	2040	35594	\N	\N	\N
1681776	5700	1995-06-04	VYDAJ	VYBER	5760	32719	\N	\N	\N
1681777	5700	1996-01-21	VYDAJ	VYBER	3720	23480	\N	\N	\N
1681778	5700	1996-03-17	VYDAJ	VYBER	1080	33524	\N	\N	\N
1681779	5700	1996-04-22	VYDAJ	VYBER	1440	34388	\N	\N	\N
1681780	5700	1996-07-30	VYDAJ	VYBER	4800	28670	\N	\N	\N
1681781	5700	1996-09-11	VYDAJ	VYBER	3840	17547	\N	\N	\N
1681782	5700	1996-03-01	VYDAJ	VYBER	2160	26217	\N	\N	\N
1681783	5700	1997-10-05	VYDAJ	VYBER	5040	2355	\N	\N	\N
1681785	5700	1997-10-22	VYDAJ	VYBER	3240	3282	\N	\N	\N
1681786	5700	1997-09-12	VYDAJ	VYBER	1320	16651	\N	\N	\N
1681787	5700	1997-03-22	VYDAJ	VYBER	5400	9033	\N	\N	\N
1681788	5700	1997-10-13	VYDAJ	VYBER	3720	6522	\N	\N	\N
1681790	5700	1998-01-02	VYDAJ	VYBER	5640	-1155	\N	\N	\N
1681791	5700	1998-06-13	VYDAJ	VYBER	1080	407	\N	\N	\N
1681807	5700	1993-12-31	VYDAJ	VYBER	15	32933	SLUZBY	\N	\N
1681808	5700	1994-01-31	VYDAJ	VYBER	15	11040	SLUZBY	\N	\N
1681809	5700	1994-02-28	VYDAJ	VYBER	15	18407	SLUZBY	\N	\N
1681810	5700	1994-03-31	VYDAJ	VYBER	15	25599	SLUZBY	\N	\N
1681811	5700	1994-04-30	VYDAJ	VYBER	15	29921	SLUZBY	\N	\N
1681812	5700	1994-05-31	VYDAJ	VYBER	15	30748	SLUZBY	\N	\N
1681813	5700	1994-06-30	VYDAJ	VYBER	15	32811	SLUZBY	\N	\N
1681814	5700	1994-07-31	VYDAJ	VYBER	15	29345	SLUZBY	\N	\N
1681815	5700	1994-08-31	VYDAJ	VYBER	15	31476	SLUZBY	\N	\N
1681816	5700	1994-09-30	VYDAJ	VYBER	15	33453	SLUZBY	\N	\N
1681817	5700	1994-10-31	VYDAJ	VYBER	15	34095	SLUZBY	\N	\N
1681818	5700	1994-11-30	VYDAJ	VYBER	15	32044	SLUZBY	\N	\N
1681819	5700	1994-12-31	VYDAJ	VYBER	15	28620	SLUZBY	\N	\N
1681820	5700	1995-01-31	VYDAJ	VYBER	15	16113	SLUZBY	\N	\N
1681821	5700	1995-02-28	VYDAJ	VYBER	15	28213	SLUZBY	\N	\N
1681822	5700	1995-03-31	VYDAJ	VYBER	15	30336	SLUZBY	\N	\N
1681823	5700	1995-04-30	VYDAJ	VYBER	15	36250	SLUZBY	\N	\N
1681824	5700	1995-05-31	VYDAJ	VYBER	15	38479	SLUZBY	\N	\N
1681825	5700	1995-06-30	VYDAJ	VYBER	15	30572	SLUZBY	\N	\N
1681826	5700	1995-07-31	VYDAJ	VYBER	15	33880	SLUZBY	\N	\N
1681827	5700	1995-08-31	VYDAJ	VYBER	15	36103	SLUZBY	\N	\N
1681828	5700	1995-09-30	VYDAJ	VYBER	15	37634	SLUZBY	\N	\N
1681829	5700	1995-10-31	VYDAJ	VYBER	15	38220	SLUZBY	\N	\N
1681830	5700	1995-11-30	VYDAJ	VYBER	15	37553	SLUZBY	\N	\N
1681831	5700	1995-12-31	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
1681832	5700	1996-01-31	VYDAJ	VYBER	15	15404	SLUZBY	\N	\N
1681833	5700	1996-02-29	VYDAJ	VYBER	15	28377	SLUZBY	\N	\N
1681834	5700	1996-03-31	VYDAJ	VYBER	15	33641	SLUZBY	\N	\N
1681835	5700	1996-04-30	VYDAJ	VYBER	15	34517	SLUZBY	\N	\N
1681836	5700	1996-05-31	VYDAJ	VYBER	15	34336	SLUZBY	\N	\N
1681837	5700	1996-06-30	VYDAJ	VYBER	15	28883	SLUZBY	\N	\N
1681838	5700	1996-07-31	VYDAJ	VYBER	15	28790	SLUZBY	\N	\N
1681839	5700	1996-08-31	VYDAJ	VYBER	15	31287	SLUZBY	\N	\N
1681840	5700	1996-09-30	VYDAJ	VYBER	15	25531	SLUZBY	\N	\N
1681841	5700	1996-10-31	VYDAJ	VYBER	15	26415	SLUZBY	\N	\N
1681842	5700	1996-11-30	VYDAJ	VYBER	15	24596	SLUZBY	\N	\N
1681843	5700	1996-12-31	VYDAJ	VYBER	15	16241	SLUZBY	\N	\N
1681844	5700	1997-01-31	VYDAJ	VYBER	15	7022	SLUZBY	\N	\N
1681845	5700	1997-02-28	VYDAJ	VYBER	15	14946	SLUZBY	\N	\N
1681846	5700	1997-03-31	VYDAJ	VYBER	15	9072	SLUZBY	\N	\N
1681847	5700	1997-04-30	VYDAJ	VYBER	15	9396	SLUZBY	\N	\N
1681848	5700	1997-05-31	VYDAJ	VYBER	15	12526	SLUZBY	\N	\N
1681849	5700	1997-06-30	VYDAJ	VYBER	15	10624	SLUZBY	\N	\N
1681850	5700	1997-07-31	VYDAJ	VYBER	15	8956	SLUZBY	\N	\N
1681851	5700	1997-08-31	VYDAJ	VYBER	15	10084	SLUZBY	\N	\N
1681852	5700	1997-09-30	VYDAJ	VYBER	15	7395	SLUZBY	\N	\N
1681854	5700	1997-11-30	VYDAJ	VYBER	15	1783	SLUZBY	\N	\N
1681855	5700	1997-12-31	VYDAJ	VYBER	15	4485	SLUZBY	\N	\N
1681857	5700	1998-02-28	VYDAJ	VYBER	15	-1151	SLUZBY	\N	\N
1681867	5700	1993-08-19	PRIJEM	VKLAD	4900	15015	\N	\N	\N
1681868	5700	1993-09-18	VYDAJ	VYBER	1200	23456	\N	\N	\N
1681869	5700	1993-10-18	VYDAJ	VYBER	5100	28049	\N	\N	\N
1681870	5700	1993-11-17	VYDAJ	VYBER	4400	33370	\N	\N	\N
1681871	5700	1993-12-17	VYDAJ	VYBER	12600	33920	\N	\N	\N
1681872	5700	1994-01-16	VYDAJ	VYBER	6800	27988	\N	\N	\N
1681873	5700	1994-02-15	PRIJEM	VKLAD	2200	22855	\N	\N	\N
1681874	5700	1994-03-17	VYDAJ	VYBER	2500	25522	\N	\N	\N
1681875	5700	1994-04-16	VYDAJ	VYBER	2700	31314	\N	\N	\N
1681876	5700	1994-05-16	VYDAJ	VYBER	8900	30636	\N	\N	\N
1681877	5700	1994-06-15	VYDAJ	VYBER	11200	33970	\N	\N	\N
1681878	5700	1994-07-15	VYDAJ	VYBER	8900	31226	\N	\N	\N
1681879	5700	1994-08-14	VYDAJ	VYBER	7600	31360	\N	\N	\N
1681880	5700	1994-09-13	VYDAJ	VYBER	5300	35791	\N	\N	\N
1681881	5700	1994-10-13	VYDAJ	VYBER	7400	35668	\N	\N	\N
1681882	5700	1994-11-12	VYDAJ	VYBER	10400	33310	\N	\N	\N
1681883	5700	1994-12-12	VYDAJ	VYBER	9900	33667	\N	\N	\N
1681884	5700	1995-01-11	PRIJEM	VKLAD	7200	12200	\N	\N	\N
1681885	5700	1995-02-10	PRIJEM	VKLAD	3800	19913	\N	\N	\N
1681886	5700	1995-03-12	VYDAJ	VYBER	6200	30228	\N	\N	\N
1681887	5700	1995-04-11	VYDAJ	VYBER	2100	28236	\N	\N	\N
1681888	5700	1995-05-11	VYDAJ	VYBER	5800	30450	\N	\N	\N
1681889	5700	1995-06-10	PRIJEM	VKLAD	7600	17759	\N	\N	\N
1681890	5700	1995-07-10	VYDAJ	VYBER	4700	25872	\N	\N	\N
1681891	5700	1995-08-09	VYDAJ	VYBER	5800	28080	\N	\N	\N
1681892	5700	1995-09-08	VYDAJ	VYBER	6500	29603	\N	\N	\N
1681893	5700	1995-10-08	VYDAJ	VYBER	5400	30194	\N	\N	\N
1681894	5700	1995-11-07	VYDAJ	VYBER	8700	29520	\N	\N	\N
1681895	5700	1995-12-07	VYDAJ	VYBER	10900	26653	\N	\N	\N
1681896	5700	1996-01-06	PRIJEM	VKLAD	200	21473	\N	\N	\N
1681897	5700	1996-02-05	PRIJEM	VKLAD	5000	20404	\N	\N	\N
1681898	5700	1996-03-06	PRIJEM	VKLAD	500	26717	\N	\N	\N
1681899	5700	1996-04-05	VYDAJ	VYBER	5700	27941	\N	\N	\N
1681900	5700	1996-05-05	VYDAJ	VYBER	8200	26317	\N	\N	\N
1681901	5700	1996-06-04	PRIJEM	VKLAD	8000	16096	\N	\N	\N
1681902	5700	1996-07-04	VYDAJ	VYBER	3300	25583	\N	\N	\N
1681903	5700	1996-08-03	VYDAJ	VYBER	5500	23290	\N	\N	\N
1681904	5700	1996-09-02	VYDAJ	VYBER	9900	21387	\N	\N	\N
1681905	5700	1996-10-02	VYDAJ	VYBER	7100	18431	\N	\N	\N
1681906	5700	1996-11-01	VYDAJ	VYBER	9800	16615	\N	\N	\N
1681907	5700	1996-12-01	VYDAJ	VYBER	9100	15496	\N	\N	\N
1681908	5700	1996-12-31	VYDAJ	VYBER	8200	16256	\N	\N	\N
1681909	5700	1997-01-30	PRIJEM	VKLAD	100	6988	\N	\N	\N
1681910	5700	1997-03-01	VYDAJ	VYBER	8400	6546	\N	\N	\N
1681911	5700	1997-03-31	VYDAJ	VYBER	2100	6972	\N	\N	\N
1681912	5700	1997-04-30	VYDAJ	VYBER	5500	9411	\N	\N	\N
1681913	5700	1997-05-30	VYDAJ	VYBER	4800	12483	\N	\N	\N
1681914	5700	1997-06-29	VYDAJ	VYBER	4100	10560	\N	\N	\N
1681915	5700	1997-07-29	VYDAJ	VYBER	9600	8911	\N	\N	\N
1681916	5700	1997-08-28	VYDAJ	VYBER	6800	10043	\N	\N	\N
1681917	5700	1997-09-27	VYDAJ	VYBER	9300	7351	\N	\N	\N
1681918	5700	1997-10-27	VYDAJ	VYBER	5000	-1718	\N	\N	\N
1681919	5700	1997-11-26	VYDAJ	VYBER	4400	1786	\N	\N	\N
1681920	5700	1997-12-26	VYDAJ	VYBER	10000	4469	\N	\N	\N
1681921	5700	1998-01-25	VYDAJ	VYBER	5000	-1508	\N	\N	\N
1681922	5700	1998-02-24	VYDAJ	VYBER	6100	-1143	\N	\N	\N
1681923	5700	1998-03-26	VYDAJ	VYBER	13800	-7064	\N	\N	\N
1681924	5700	1998-04-25	VYDAJ	VYBER	11800	-9259	\N	\N	\N
1681925	5700	1998-05-25	VYDAJ	VYBER	13100	-12827	\N	\N	\N
1681926	5700	1998-06-24	VYDAJ	VYBER	8400	-7993	\N	\N	\N
1681927	5700	1998-07-24	VYDAJ	VYBER	8900	-7355	\N	\N	\N
1681928	5700	1998-08-23	VYDAJ	VYBER	11500	-9327	\N	\N	\N
1681929	5700	1998-09-22	VYDAJ	VYBER	11800	-11601	\N	\N	\N
1681930	5700	1998-10-22	VYDAJ	VYBER	14700	-16796	\N	\N	\N
1681931	5700	1998-11-21	VYDAJ	VYBER	11800	-19124	\N	\N	\N
1683960	5708	1997-10-12	PRIJEM	VKLAD	700	700	\N	\N	\N
1683961	5708	1997-11-22	PRIJEM	VKLAD	25963	58053	\N	\N	\N
1683962	5708	1997-11-20	PRIJEM	VKLAD	16790	32090	\N	\N	\N
1683973	5708	1998-02-01	PRIJEM	VKLAD	33041	79828	\N	\N	\N
1683974	5708	1998-11-10	PRIJEM	VKLAD	44850	32979	\N	\N	\N
1683975	5708	1998-11-23	PRIJEM	VKLAD	49317	82296	\N	\N	\N
1683976	5708	1998-01-12	PRIJEM	VKLAD	5727	40203	\N	\N	\N
1683977	5708	1998-04-15	PRIJEM	VKLAD	6787	28119	\N	\N	\N
1683978	5708	1998-04-23	PRIJEM	VKLAD	24113	52232	\N	\N	\N
1683979	5708	1998-08-04	PRIJEM	VKLAD	47650	98627	\N	\N	\N
1683980	5708	1998-04-24	PRIJEM	VKLAD	35421	87653	\N	\N	\N
1683981	5708	1998-12-30	PRIJEM	VKLAD	46259	75072	\N	\N	\N
1683982	5708	1998-05-15	PRIJEM	VKLAD	39445	86152	\N	\N	\N
1683983	5708	1998-01-25	PRIJEM	VKLAD	6384	46587	\N	\N	\N
1683984	5708	1998-02-24	PRIJEM	VKLAD	30750	69078	\N	\N	\N
1683985	5708	1998-07-01	PRIJEM	VKLAD	19732	46179	\N	\N	\N
1683986	5708	1998-07-28	PRIJEM	VKLAD	30311	50890	\N	\N	\N
1684024	5708	1998-02-01	VYDAJ	VYBER	13300	66528	SIPO	\N	0
1684025	5708	1998-03-06	VYDAJ	VYBER	10700	58564	SIPO	\N	0
1684026	5708	1998-04-03	VYDAJ	VYBER	9200	27832	SIPO	\N	0
1684027	5708	1998-05-01	VYDAJ	VYBER	8900	78907	SIPO	\N	0
1684028	5708	1998-06-12	VYDAJ	VYBER	13100	37357	SIPO	\N	0
1684029	5708	1998-07-03	VYDAJ	VYBER	8700	37479	SIPO	\N	0
1684030	5708	1998-08-18	VYDAJ	VYBER	11600	45327	SIPO	\N	0
1684031	5708	1998-09-04	VYDAJ	VYBER	11500	19295	SIPO	\N	0
1684032	5708	1998-10-17	VYDAJ	VYBER	10400	-979	SIPO	\N	0
1684033	5708	1998-11-02	VYDAJ	VYBER	10900	-11871	SIPO	\N	0
1684034	5708	1998-12-13	VYDAJ	VYBER	8900	34213	SIPO	\N	0
1684048	5708	1998-12-15	VYDAJ	VYBER	5400	28813	\N	\N	\N
1684056	5708	1998-08-20	VYDAJ	VYBER KARTOU	3600	41727	\N	\N	0
1684057	5708	1998-06-24	VYDAJ	VYBER	11100	26257	\N	\N	\N
1684060	5708	1998-08-28	VYDAJ	VYBER	11100	30627	\N	\N	\N
1684077	5708	1998-02-28	VYDAJ	VYBER	30	69264	SLUZBY	\N	\N
1684078	5708	1998-03-31	VYDAJ	VYBER	30	37032	SLUZBY	\N	\N
1684079	5708	1998-04-30	VYDAJ	VYBER	30	87807	SLUZBY	\N	\N
1684080	5708	1998-05-31	VYDAJ	VYBER	30	86457	SLUZBY	\N	\N
1684081	5708	1998-06-30	VYDAJ	VYBER	30	26447	SLUZBY	\N	\N
1684082	5708	1998-07-31	VYDAJ	VYBER	30	50977	SLUZBY	\N	\N
1684083	5708	1998-08-31	VYDAJ	VYBER	30	30795	SLUZBY	\N	\N
1684084	5708	1998-09-30	VYDAJ	VYBER	30	9421	SLUZBY	\N	\N
1684085	5708	1998-10-31	VYDAJ	VYBER	30	-971	SLUZBY	\N	\N
1684086	5708	1998-11-30	VYDAJ	VYBER	30	82413	SLUZBY	\N	\N
1684087	5708	1997-11-11	PRIJEM	VKLAD	14600	15300	\N	\N	\N
1684088	5708	1997-12-11	VYDAJ	VYBER	16100	42035	\N	\N	\N
1684089	5708	1998-01-10	VYDAJ	VYBER	7800	34476	\N	\N	\N
1684090	5708	1998-02-09	VYDAJ	VYBER	28200	38328	\N	\N	\N
1684091	5708	1998-03-11	VYDAJ	VYBER	21700	36864	\N	\N	\N
1684092	5708	1998-04-10	VYDAJ	VYBER	6500	21332	\N	\N	\N
1684093	5708	1998-05-10	VYDAJ	VYBER	32200	46707	\N	\N	\N
1684094	5708	1998-06-09	VYDAJ	VYBER	36000	50457	\N	\N	\N
1684095	5708	1998-07-09	VYDAJ	VYBER	16900	20579	\N	\N	\N
1684096	5708	1998-08-08	VYDAJ	VYBER	41700	56927	\N	\N	\N
1684097	5708	1998-09-07	VYDAJ	VYBER	9900	9395	\N	\N	\N
1684098	5708	1998-12-06	VYDAJ	VYBER	39300	43113	\N	\N	\N
1688652	5724	1995-04-19	PRIJEM	VKLAD	200	200	\N	\N	\N
1688657	5724	1995-05-14	PRIJEM	PREVOD Z UCTU	29070	29270	\N	YZ	77775388
1688658	5724	1995-06-14	PRIJEM	PREVOD Z UCTU	43605	69821	\N	YZ	77775388
1688659	5724	1995-07-14	PRIJEM	PREVOD Z UCTU	29070	76237	\N	YZ	77775388
1688660	5724	1995-08-14	PRIJEM	PREVOD Z UCTU	29070	79109	\N	YZ	77775388
1688661	5724	1995-09-14	PRIJEM	PREVOD Z UCTU	29070	79287	\N	YZ	77775388
1688662	5724	1995-10-14	PRIJEM	PREVOD Z UCTU	29070	76816	\N	YZ	77775388
1688663	5724	1995-11-14	PRIJEM	PREVOD Z UCTU	29070	56924	\N	YZ	77775388
1688664	5724	1995-12-14	PRIJEM	PREVOD Z UCTU	43605	68532	\N	YZ	77775388
1688665	5724	1996-01-14	PRIJEM	PREVOD Z UCTU	29070	50124	\N	YZ	77775388
1688666	5724	1996-02-14	PRIJEM	PREVOD Z UCTU	29070	47164	\N	YZ	77775388
1688667	5724	1996-03-14	PRIJEM	PREVOD Z UCTU	29070	58870	\N	YZ	77775388
1688668	5724	1996-04-14	PRIJEM	PREVOD Z UCTU	29070	54028	\N	YZ	77775388
1688669	5724	1996-05-14	PRIJEM	PREVOD Z UCTU	29070	55691	\N	YZ	77775388
1688670	5724	1996-06-14	PRIJEM	PREVOD Z UCTU	43605	75041	\N	YZ	77775388
1688671	5724	1996-07-14	PRIJEM	PREVOD Z UCTU	29070	54172	\N	YZ	77775388
1688672	5724	1996-08-14	PRIJEM	PREVOD Z UCTU	29070	40520	\N	YZ	77775388
1688673	5724	1996-09-14	PRIJEM	PREVOD Z UCTU	29070	56488	\N	YZ	77775388
1688674	5724	1996-10-14	PRIJEM	PREVOD Z UCTU	29070	65903	\N	YZ	77775388
1688675	5724	1996-11-14	PRIJEM	PREVOD Z UCTU	29070	60852	\N	YZ	77775388
1688676	5724	1996-12-14	PRIJEM	PREVOD Z UCTU	43605	64225	\N	YZ	77775388
1688677	5724	1997-01-14	PRIJEM	PREVOD Z UCTU	29070	45917	\N	YZ	77775388
1688678	5724	1997-02-14	PRIJEM	PREVOD Z UCTU	29070	41260	\N	YZ	77775388
1688679	5724	1997-03-14	PRIJEM	PREVOD Z UCTU	29070	45258	\N	YZ	77775388
1688680	5724	1997-04-14	PRIJEM	PREVOD Z UCTU	29070	43684	\N	YZ	77775388
1688681	5724	1997-05-14	PRIJEM	PREVOD Z UCTU	29070	39546	\N	YZ	77775388
1688682	5724	1997-06-14	PRIJEM	PREVOD Z UCTU	43605	62180	\N	YZ	77775388
1688683	5724	1997-07-14	PRIJEM	PREVOD Z UCTU	29070	59353	\N	YZ	77775388
1688684	5724	1997-08-14	PRIJEM	PREVOD Z UCTU	29070	44056	\N	YZ	77775388
1688685	5724	1997-09-14	PRIJEM	PREVOD Z UCTU	29070	41107	\N	YZ	77775388
1688686	5724	1997-10-14	PRIJEM	PREVOD Z UCTU	29070	38256	\N	YZ	77775388
1688687	5724	1997-11-14	PRIJEM	PREVOD Z UCTU	29070	50352	\N	YZ	77775388
1688688	5724	1997-12-14	PRIJEM	PREVOD Z UCTU	43605	62033	\N	YZ	77775388
1688689	5724	1998-01-14	PRIJEM	PREVOD Z UCTU	29070	43460	\N	YZ	77775388
1688690	5724	1998-02-14	PRIJEM	PREVOD Z UCTU	29070	45351	\N	YZ	77775388
1688691	5724	1998-03-14	PRIJEM	PREVOD Z UCTU	29070	52670	\N	YZ	77775388
1688692	5724	1998-04-14	PRIJEM	PREVOD Z UCTU	29070	53330	\N	YZ	77775388
1688693	5724	1998-05-14	PRIJEM	PREVOD Z UCTU	29070	54197	\N	YZ	77775388
1688694	5724	1998-06-14	PRIJEM	PREVOD Z UCTU	43605	62503	\N	YZ	77775388
1688695	5724	1998-07-14	PRIJEM	PREVOD Z UCTU	29070	40516	\N	YZ	77775388
1688696	5724	1998-08-14	PRIJEM	PREVOD Z UCTU	29070	37966	\N	YZ	77775388
1688697	5724	1998-09-14	PRIJEM	PREVOD Z UCTU	29070	47360	\N	YZ	77775388
1688698	5724	1998-10-14	PRIJEM	PREVOD Z UCTU	29070	58000	\N	YZ	77775388
1688699	5724	1998-11-14	PRIJEM	PREVOD Z UCTU	29070	53882	\N	YZ	77775388
1688700	5724	1998-12-14	PRIJEM	PREVOD Z UCTU	43605	70506	\N	YZ	77775388
1688710	5724	1995-10-16	VYDAJ	VYBER	5300	49416	\N	\N	0
1688711	5724	1995-11-09	VYDAJ	VYBER	4600	29916	\N	\N	0
1688712	5724	1995-12-11	VYDAJ	VYBER	4800	25208	\N	\N	0
1688713	5724	1996-01-24	VYDAJ	VYBER	5900	17624	\N	\N	0
1688714	5724	1996-02-05	VYDAJ	VYBER	4500	13148	\N	\N	0
1688715	5724	1996-03-14	VYDAJ	VYBER	6200	37570	\N	\N	0
1688716	5724	1996-04-15	VYDAJ	VYBER	6200	47828	\N	\N	0
1688717	5724	1996-05-09	VYDAJ	VYBER	3300	35283	\N	\N	0
1688718	5724	1996-06-17	VYDAJ	VYBER	3700	71341	\N	\N	0
1688719	5724	1996-07-09	VYDAJ	VYBER	3600	54376	\N	\N	0
1688720	5724	1996-08-10	VYDAJ	VYBER	5700	12031	\N	\N	0
1688721	5724	1996-09-14	VYDAJ	VYBER	3400	53088	\N	\N	0
1688722	5724	1996-10-17	VYDAJ	VYBER	5900	60003	\N	\N	0
1688723	5724	1996-11-14	VYDAJ	VYBER	3800	57052	\N	\N	0
1688724	5724	1996-12-12	VYDAJ	VYBER	5400	20620	\N	\N	0
1688725	5724	1997-01-12	VYDAJ	PREVOD NA UCET	4845	16847	UVER	WX	9607071
1688726	5724	1997-02-12	VYDAJ	PREVOD NA UCET	4845	12190	UVER	WX	9607071
1688727	5724	1997-03-12	VYDAJ	PREVOD NA UCET	4845	16188	UVER	WX	9607071
1688728	5724	1997-04-12	VYDAJ	PREVOD NA UCET	4845	14614	UVER	WX	9607071
1688729	5724	1997-05-12	VYDAJ	PREVOD NA UCET	4845	10476	UVER	WX	9607071
1688730	5724	1997-06-12	VYDAJ	PREVOD NA UCET	4845	18575	UVER	WX	9607071
1688731	5724	1997-07-12	VYDAJ	PREVOD NA UCET	4845	30283	UVER	WX	9607071
1688732	5724	1997-08-12	VYDAJ	PREVOD NA UCET	4845	14986	UVER	WX	9607071
1688733	5724	1997-09-12	VYDAJ	PREVOD NA UCET	4845	12037	UVER	WX	9607071
1688734	5724	1997-10-12	VYDAJ	PREVOD NA UCET	4845	9186	UVER	WX	9607071
1688735	5724	1997-11-12	VYDAJ	PREVOD NA UCET	4845	21282	UVER	WX	9607071
1688736	5724	1997-12-12	VYDAJ	PREVOD NA UCET	4845	18428	UVER	WX	9607071
1688737	5724	1998-01-12	VYDAJ	PREVOD NA UCET	4845	14390	UVER	WX	9607071
1688738	5724	1998-02-12	VYDAJ	PREVOD NA UCET	4845	16281	UVER	WX	9607071
1688739	5724	1998-03-12	VYDAJ	PREVOD NA UCET	4845	23600	UVER	WX	9607071
1688740	5724	1998-04-12	VYDAJ	PREVOD NA UCET	4845	24260	UVER	WX	9607071
1688741	5724	1998-05-12	VYDAJ	PREVOD NA UCET	4845	25127	UVER	WX	9607071
1688742	5724	1998-06-12	VYDAJ	PREVOD NA UCET	4845	18898	UVER	WX	9607071
1688743	5724	1998-07-12	VYDAJ	PREVOD NA UCET	4845	11446	UVER	WX	9607071
1688744	5724	1998-08-12	VYDAJ	PREVOD NA UCET	4845	8896	UVER	WX	9607071
1688745	5724	1998-09-12	VYDAJ	PREVOD NA UCET	4845	18290	UVER	WX	9607071
1688746	5724	1998-10-12	VYDAJ	PREVOD NA UCET	4845	28930	UVER	WX	9607071
1688747	5724	1998-11-12	VYDAJ	PREVOD NA UCET	4845	24812	UVER	WX	9607071
1688748	5724	1998-12-12	VYDAJ	PREVOD NA UCET	4845	26901	UVER	WX	9607071
1688758	5724	1995-10-07	VYDAJ	PREVOD NA UCET	2692	49808	SIPO	IJ	5197179
1688759	5724	1995-11-07	VYDAJ	PREVOD NA UCET	2692	34516	SIPO	IJ	5197179
1688760	5724	1995-12-07	VYDAJ	PREVOD NA UCET	2692	31789	SIPO	IJ	5197179
1688761	5724	1996-01-07	VYDAJ	PREVOD NA UCET	2692	34916	SIPO	IJ	5197179
1688762	5724	1996-02-07	VYDAJ	PREVOD NA UCET	2692	10456	SIPO	IJ	5197179
1688763	5724	1996-03-07	VYDAJ	PREVOD NA UCET	2692	42064	SIPO	IJ	5197179
1688764	5724	1996-04-07	VYDAJ	PREVOD NA UCET	2692	22020	SIPO	IJ	5197179
1688765	5724	1996-05-07	VYDAJ	PREVOD NA UCET	2692	38583	SIPO	IJ	5197179
1688766	5724	1996-06-07	VYDAJ	PREVOD NA UCET	2692	40798	SIPO	IJ	5197179
1688767	5724	1996-07-07	VYDAJ	PREVOD NA UCET	2692	59476	SIPO	IJ	5197179
1688768	5724	1996-08-07	VYDAJ	PREVOD NA UCET	2692	19512	SIPO	IJ	5197179
1688769	5724	1996-09-07	VYDAJ	PREVOD NA UCET	2692	37880	SIPO	IJ	5197179
1688770	5724	1996-10-07	VYDAJ	PREVOD NA UCET	2692	50495	SIPO	IJ	5197179
1688771	5724	1996-11-07	VYDAJ	PREVOD NA UCET	2692	48744	SIPO	IJ	5197179
1688772	5724	1996-12-07	VYDAJ	PREVOD NA UCET	2692	44282	SIPO	IJ	5197179
1688773	5724	1997-01-07	VYDAJ	PREVOD NA UCET	2692	45754	SIPO	IJ	5197179
1688774	5724	1997-02-07	VYDAJ	PREVOD NA UCET	2692	19097	SIPO	IJ	5197179
1688775	5724	1997-03-07	VYDAJ	PREVOD NA UCET	2692	28395	SIPO	IJ	5197179
1688776	5724	1997-04-07	VYDAJ	PREVOD NA UCET	2692	28121	SIPO	IJ	5197179
1688777	5724	1997-05-07	VYDAJ	PREVOD NA UCET	2692	20483	SIPO	IJ	5197179
1688778	5724	1997-06-07	VYDAJ	PREVOD NA UCET	2692	36882	SIPO	IJ	5197179
1688779	5724	1997-07-07	VYDAJ	PREVOD NA UCET	2692	59590	SIPO	IJ	5197179
1688780	5724	1997-08-07	VYDAJ	PREVOD NA UCET	2692	36786	SIPO	IJ	5197179
1688781	5724	1997-09-07	VYDAJ	PREVOD NA UCET	2692	18944	SIPO	IJ	5197179
1688782	5724	1997-10-07	VYDAJ	PREVOD NA UCET	2692	16093	SIPO	IJ	5197179
1688783	5724	1997-11-07	VYDAJ	PREVOD NA UCET	2692	28189	SIPO	IJ	5197179
1688784	5724	1997-12-07	VYDAJ	PREVOD NA UCET	2692	25335	SIPO	IJ	5197179
1688785	5724	1998-01-07	VYDAJ	PREVOD NA UCET	2692	21297	SIPO	IJ	5197179
1688786	5724	1998-02-07	VYDAJ	PREVOD NA UCET	2692	23188	SIPO	IJ	5197179
1688787	5724	1998-03-07	VYDAJ	PREVOD NA UCET	2692	30507	SIPO	IJ	5197179
1688788	5724	1998-04-07	VYDAJ	PREVOD NA UCET	2692	31167	SIPO	IJ	5197179
1688789	5724	1998-05-07	VYDAJ	PREVOD NA UCET	2692	32034	SIPO	IJ	5197179
1688790	5724	1998-06-07	VYDAJ	PREVOD NA UCET	2692	25805	SIPO	IJ	5197179
1688791	5724	1998-07-07	VYDAJ	PREVOD NA UCET	2692	18353	SIPO	IJ	5197179
1688792	5724	1998-08-07	VYDAJ	PREVOD NA UCET	2692	15803	SIPO	IJ	5197179
1688793	5724	1998-09-07	VYDAJ	PREVOD NA UCET	2692	25197	SIPO	IJ	5197179
1688794	5724	1998-10-07	VYDAJ	PREVOD NA UCET	2692	35837	SIPO	IJ	5197179
1688795	5724	1998-11-07	VYDAJ	PREVOD NA UCET	2692	31719	SIPO	IJ	5197179
1688796	5724	1998-12-07	VYDAJ	PREVOD NA UCET	2692	33808	SIPO	IJ	5197179
1688806	5724	1995-10-10	VYDAJ	PREVOD NA UCET	561	49247	 	MN	30744582
1688807	5724	1995-11-10	VYDAJ	PREVOD NA UCET	561	28135	 	MN	30744582
1688808	5724	1995-12-10	VYDAJ	PREVOD NA UCET	561	30008	 	MN	30744582
1688809	5724	1996-01-10	VYDAJ	PREVOD NA UCET	561	21335	 	MN	30744582
1689022	5724	1997-12-26	VYDAJ	VYBER	9900	46841	\N	\N	\N
1688810	5724	1996-02-10	VYDAJ	PREVOD NA UCET	561	9895	 	MN	30744582
1688811	5724	1996-03-10	VYDAJ	PREVOD NA UCET	561	41503	 	MN	30744582
1688812	5724	1996-04-10	VYDAJ	PREVOD NA UCET	561	21459	 	MN	30744582
1688813	5724	1996-05-10	VYDAJ	PREVOD NA UCET	561	33502	 	MN	30744582
1688814	5724	1996-06-10	VYDAJ	PREVOD NA UCET	561	40237	 	MN	30744582
1688815	5724	1996-07-10	VYDAJ	PREVOD NA UCET	561	52595	 	MN	30744582
1688816	5724	1996-08-10	VYDAJ	PREVOD NA UCET	561	18951	 	MN	30744582
1688817	5724	1996-09-10	VYDAJ	PREVOD NA UCET	561	37319	 	MN	30744582
1688818	5724	1996-10-10	VYDAJ	PREVOD NA UCET	561	49934	 	MN	30744582
1688819	5724	1996-11-10	VYDAJ	PREVOD NA UCET	561	33283	 	MN	30744582
1688820	5724	1996-12-10	VYDAJ	PREVOD NA UCET	561	26301	 	MN	30744582
1688821	5724	1997-01-10	VYDAJ	PREVOD NA UCET	561	30373	 	MN	30744582
1688822	5724	1997-02-10	VYDAJ	PREVOD NA UCET	561	18536	 	MN	30744582
1688823	5724	1997-03-10	VYDAJ	PREVOD NA UCET	561	22534	 	MN	30744582
1688824	5724	1997-04-10	VYDAJ	PREVOD NA UCET	561	20960	 	MN	30744582
1688825	5724	1997-05-10	VYDAJ	PREVOD NA UCET	561	16822	 	MN	30744582
1688826	5724	1997-06-10	VYDAJ	PREVOD NA UCET	561	24921	 	MN	30744582
1688827	5724	1997-07-10	VYDAJ	PREVOD NA UCET	561	35409	 	MN	30744582
1688828	5724	1997-08-10	VYDAJ	PREVOD NA UCET	561	21332	 	MN	30744582
1688829	5724	1997-09-10	VYDAJ	PREVOD NA UCET	561	18383	 	MN	30744582
1688830	5724	1997-10-10	VYDAJ	PREVOD NA UCET	561	14312	 	MN	30744582
1688831	5724	1997-11-10	VYDAJ	PREVOD NA UCET	561	27628	 	MN	30744582
1688832	5724	1997-12-10	VYDAJ	PREVOD NA UCET	561	24774	 	MN	30744582
1688833	5724	1998-01-10	VYDAJ	PREVOD NA UCET	561	20736	 	MN	30744582
1688834	5724	1998-02-10	VYDAJ	PREVOD NA UCET	561	21407	 	MN	30744582
1688835	5724	1998-03-10	VYDAJ	PREVOD NA UCET	561	28726	 	MN	30744582
1688836	5724	1998-04-10	VYDAJ	PREVOD NA UCET	561	30606	 	MN	30744582
1688837	5724	1998-05-10	VYDAJ	PREVOD NA UCET	561	30253	 	MN	30744582
1688838	5724	1998-06-10	VYDAJ	PREVOD NA UCET	561	24024	 	MN	30744582
1688839	5724	1998-07-10	VYDAJ	PREVOD NA UCET	561	17792	 	MN	30744582
1688840	5724	1998-08-10	VYDAJ	PREVOD NA UCET	561	14022	 	MN	30744582
1688841	5724	1998-09-10	VYDAJ	PREVOD NA UCET	561	24636	 	MN	30744582
1688842	5724	1998-10-10	VYDAJ	PREVOD NA UCET	561	34056	 	MN	30744582
1688843	5724	1998-11-10	VYDAJ	PREVOD NA UCET	561	29938	 	MN	30744582
1688844	5724	1998-12-10	VYDAJ	PREVOD NA UCET	561	33247	 	MN	30744582
1688854	5724	1995-10-11	VYDAJ	PREVOD NA UCET	281	47746	POJISTNE	YZ	83046674
1688855	5724	1995-11-11	VYDAJ	PREVOD NA UCET	281	27854	POJISTNE	YZ	83046674
1688856	5724	1995-12-11	VYDAJ	PREVOD NA UCET	281	24927	POJISTNE	YZ	83046674
1688857	5724	1996-01-11	VYDAJ	PREVOD NA UCET	281	21054	POJISTNE	YZ	83046674
1688858	5724	1996-02-11	VYDAJ	PREVOD NA UCET	281	8394	POJISTNE	YZ	83046674
1688859	5724	1996-03-11	VYDAJ	PREVOD NA UCET	281	29800	POJISTNE	YZ	83046674
1688860	5724	1996-04-11	VYDAJ	PREVOD NA UCET	281	19958	POJISTNE	YZ	83046674
1688861	5724	1996-05-11	VYDAJ	PREVOD NA UCET	281	33221	POJISTNE	YZ	83046674
1688862	5724	1996-06-11	VYDAJ	PREVOD NA UCET	281	38736	POJISTNE	YZ	83046674
1688863	5724	1996-07-11	VYDAJ	PREVOD NA UCET	281	52314	POJISTNE	YZ	83046674
1688864	5724	1996-08-11	VYDAJ	PREVOD NA UCET	281	11450	POJISTNE	YZ	83046674
1688865	5724	1996-09-11	VYDAJ	PREVOD NA UCET	281	27418	POJISTNE	YZ	83046674
1688866	5724	1996-10-11	VYDAJ	PREVOD NA UCET	281	36833	POJISTNE	YZ	83046674
1688867	5724	1996-11-11	VYDAJ	PREVOD NA UCET	281	31782	POJISTNE	YZ	83046674
1688868	5724	1996-12-11	VYDAJ	PREVOD NA UCET	281	26020	POJISTNE	YZ	83046674
1688869	5724	1997-01-11	VYDAJ	PREVOD NA UCET	281	30092	POJISTNE	YZ	83046674
1688870	5724	1997-02-11	VYDAJ	PREVOD NA UCET	281	17035	POJISTNE	YZ	83046674
1688871	5724	1997-03-11	VYDAJ	PREVOD NA UCET	281	21033	POJISTNE	YZ	83046674
1688872	5724	1997-04-11	VYDAJ	PREVOD NA UCET	281	19459	POJISTNE	YZ	83046674
1688873	5724	1997-05-11	VYDAJ	PREVOD NA UCET	281	15321	POJISTNE	YZ	83046674
1688874	5724	1997-06-11	VYDAJ	PREVOD NA UCET	281	23420	POJISTNE	YZ	83046674
1688875	5724	1997-07-11	VYDAJ	PREVOD NA UCET	281	35128	POJISTNE	YZ	83046674
1688876	5724	1997-08-11	VYDAJ	PREVOD NA UCET	281	19831	POJISTNE	YZ	83046674
1688877	5724	1997-09-11	VYDAJ	PREVOD NA UCET	281	16882	POJISTNE	YZ	83046674
1688878	5724	1997-10-11	VYDAJ	PREVOD NA UCET	281	14031	POJISTNE	YZ	83046674
1688879	5724	1997-11-11	VYDAJ	PREVOD NA UCET	281	26127	POJISTNE	YZ	83046674
1688880	5724	1997-12-11	VYDAJ	PREVOD NA UCET	281	23273	POJISTNE	YZ	83046674
1688881	5724	1998-01-11	VYDAJ	PREVOD NA UCET	281	19235	POJISTNE	YZ	83046674
1688882	5724	1998-02-11	VYDAJ	PREVOD NA UCET	281	21126	POJISTNE	YZ	83046674
1688883	5724	1998-03-11	VYDAJ	PREVOD NA UCET	281	28445	POJISTNE	YZ	83046674
1688884	5724	1998-04-11	VYDAJ	PREVOD NA UCET	281	29105	POJISTNE	YZ	83046674
1688885	5724	1998-05-11	VYDAJ	PREVOD NA UCET	281	29972	POJISTNE	YZ	83046674
1688886	5724	1998-06-11	VYDAJ	PREVOD NA UCET	281	23743	POJISTNE	YZ	83046674
1688887	5724	1998-07-11	VYDAJ	PREVOD NA UCET	281	16291	POJISTNE	YZ	83046674
1688888	5724	1998-08-11	VYDAJ	PREVOD NA UCET	281	13741	POJISTNE	YZ	83046674
1688889	5724	1998-09-11	VYDAJ	PREVOD NA UCET	281	23135	POJISTNE	YZ	83046674
1688890	5724	1998-10-11	VYDAJ	PREVOD NA UCET	281	33775	POJISTNE	YZ	83046674
1688891	5724	1998-11-11	VYDAJ	PREVOD NA UCET	281	29657	POJISTNE	YZ	83046674
1688892	5724	1998-12-11	VYDAJ	PREVOD NA UCET	281	31746	POJISTNE	YZ	83046674
1688902	5724	1995-10-10	VYDAJ	PREVOD NA UCET	1220	48027	 	WX	21557212
1688903	5724	1995-11-10	VYDAJ	PREVOD NA UCET	1220	28696	 	WX	21557212
1688904	5724	1995-12-10	VYDAJ	PREVOD NA UCET	1220	30569	 	WX	21557212
1688905	5724	1996-01-10	VYDAJ	PREVOD NA UCET	1220	29696	 	WX	21557212
1688906	5724	1996-02-10	VYDAJ	PREVOD NA UCET	1220	8675	 	WX	21557212
1688907	5724	1996-03-10	VYDAJ	PREVOD NA UCET	1220	40283	 	WX	21557212
1688908	5724	1996-04-10	VYDAJ	PREVOD NA UCET	1220	20239	 	WX	21557212
1688909	5724	1996-05-10	VYDAJ	PREVOD NA UCET	1220	34063	 	WX	21557212
1688910	5724	1996-06-10	VYDAJ	PREVOD NA UCET	1220	39017	 	WX	21557212
1688911	5724	1996-07-10	VYDAJ	PREVOD NA UCET	1220	53156	 	WX	21557212
1688912	5724	1996-08-10	VYDAJ	PREVOD NA UCET	1220	17731	 	WX	21557212
1688913	5724	1996-09-10	VYDAJ	PREVOD NA UCET	1220	27699	 	WX	21557212
1688914	5724	1996-10-10	VYDAJ	PREVOD NA UCET	1220	48714	 	WX	21557212
1688915	5724	1996-11-10	VYDAJ	PREVOD NA UCET	1220	32063	 	WX	21557212
1688916	5724	1996-12-10	VYDAJ	PREVOD NA UCET	1220	26862	 	WX	21557212
1688917	5724	1997-01-10	VYDAJ	PREVOD NA UCET	1220	30934	 	WX	21557212
1688918	5724	1997-02-10	VYDAJ	PREVOD NA UCET	1220	17316	 	WX	21557212
1688919	5724	1997-03-10	VYDAJ	PREVOD NA UCET	1220	21314	 	WX	21557212
1688920	5724	1997-04-10	VYDAJ	PREVOD NA UCET	1220	19740	 	WX	21557212
1688921	5724	1997-05-10	VYDAJ	PREVOD NA UCET	1220	15602	 	WX	21557212
1688922	5724	1997-06-10	VYDAJ	PREVOD NA UCET	1220	23701	 	WX	21557212
1688923	5724	1997-07-10	VYDAJ	PREVOD NA UCET	1220	35970	 	WX	21557212
1688924	5724	1997-08-10	VYDAJ	PREVOD NA UCET	1220	20112	 	WX	21557212
1688925	5724	1997-09-10	VYDAJ	PREVOD NA UCET	1220	17163	 	WX	21557212
1688926	5724	1997-10-10	VYDAJ	PREVOD NA UCET	1220	14873	 	WX	21557212
1688927	5724	1997-11-10	VYDAJ	PREVOD NA UCET	1220	26408	 	WX	21557212
1688928	5724	1997-12-10	VYDAJ	PREVOD NA UCET	1220	23554	 	WX	21557212
1688929	5724	1998-01-10	VYDAJ	PREVOD NA UCET	1220	19516	 	WX	21557212
1688930	5724	1998-02-10	VYDAJ	PREVOD NA UCET	1220	21968	 	WX	21557212
1688931	5724	1998-03-10	VYDAJ	PREVOD NA UCET	1220	29287	 	WX	21557212
1688932	5724	1998-04-10	VYDAJ	PREVOD NA UCET	1220	29386	 	WX	21557212
1688933	5724	1998-05-10	VYDAJ	PREVOD NA UCET	1220	30814	 	WX	21557212
1688934	5724	1998-06-10	VYDAJ	PREVOD NA UCET	1220	24585	 	WX	21557212
1688935	5724	1998-07-10	VYDAJ	PREVOD NA UCET	1220	16572	 	WX	21557212
1688936	5724	1998-08-10	VYDAJ	PREVOD NA UCET	1220	14583	 	WX	21557212
1688937	5724	1998-09-10	VYDAJ	PREVOD NA UCET	1220	23416	 	WX	21557212
1688938	5724	1998-10-10	VYDAJ	PREVOD NA UCET	1220	34617	 	WX	21557212
1688939	5724	1998-11-10	VYDAJ	PREVOD NA UCET	1220	30499	 	WX	21557212
1688940	5724	1998-12-10	VYDAJ	PREVOD NA UCET	1220	32027	 	WX	21557212
1688944	5724	1996-08-04	VYBER	VYBER	18873	35426	\N	\N	\N
1688946	5724	1996-02-19	VYBER	VYBER	2438	44726	\N	\N	\N
1688947	5724	1996-01-08	VYBER	VYBER	4000	30916	\N	\N	\N
1688949	5724	1996-07-13	VYBER	VYBER	13212	25102	\N	\N	\N
1688950	5724	1996-03-11	VYBER	VYBER	10202	30081	\N	\N	\N
1688951	5724	1996-04-25	VYBER	VYBER	6604	41224	\N	\N	\N
1688952	5724	1996-08-06	VYBER	VYBER	13222	22204	\N	\N	\N
1688954	5724	1997-04-17	VYBER	VYBER	20519	23165	\N	\N	\N
1688956	5724	1997-12-29	VYBER	VYBER	23627	23214	\N	\N	\N
1688957	5724	1997-08-09	VYBER	VYBER	14893	21893	\N	\N	\N
1688959	5724	1997-08-31	VYBER	VYBER	15394	28836	\N	\N	\N
1688960	5724	1997-12-18	VYBER	VYBER	5292	56741	\N	\N	\N
1688961	5724	1997-03-14	VYBER	VYBER	11799	33459	\N	\N	\N
1688962	5724	1997-09-15	VYBER	VYBER	15623	25484	\N	\N	\N
1688966	5724	1998-07-19	VYBER	VYBER	15025	25491	\N	\N	\N
1688968	5724	1998-10-21	VYBER	VYBER	21469	36531	\N	\N	\N
1688969	5724	1998-06-14	VYBER	VYBER	24696	37807	\N	\N	\N
1688970	5724	1998-11-15	VYBER	VYBER	12735	41147	\N	\N	\N
1688979	5724	1997-01-06	VYDAJ	VYBER	15900	48446	\N	\N	\N
1688981	5724	1995-12-24	VYDAJ	VYBER	6300	42632	\N	\N	\N
1688982	5724	1996-12-07	VYDAJ	VYBER	3900	40382	\N	\N	\N
1688983	5724	1997-12-06	VYDAJ	VYBER	4200	28027	\N	\N	\N
1688984	5724	1998-12-15	VYDAJ	VYBER	8400	62106	\N	\N	\N
1688991	5724	1996-01-02	VYDAJ	VYBER	5100	37608	\N	\N	\N
1688993	5724	1996-01-20	VYDAJ	VYBER	6000	29824	\N	\N	\N
1688994	5724	1996-01-22	VYDAJ	VYBER	6300	23524	\N	\N	\N
1688995	5724	1996-01-10	VYDAJ	VYBER	7800	21896	\N	\N	\N
1688996	5724	1996-01-18	VYDAJ	VYBER	5400	35824	\N	\N	\N
1688997	5724	1997-01-12	VYDAJ	VYBER	8400	21692	\N	\N	\N
1688998	5724	1997-01-30	VYDAJ	VYBER	5400	22817	\N	\N	\N
1688999	5724	1997-01-29	VYDAJ	VYBER	5700	33917	\N	\N	\N
1689000	5724	1997-01-08	VYDAJ	VYBER	5400	32154	\N	\N	\N
1689001	5724	1997-01-30	VYDAJ	VYBER	5700	28217	\N	\N	\N
1689002	5724	1997-01-15	VYDAJ	VYBER	6300	39617	\N	\N	\N
1689003	5724	1998-01-20	VYDAJ	VYBER	8700	30560	\N	\N	\N
1689006	5724	1998-01-20	VYDAJ	VYBER	4200	39260	\N	\N	\N
1689010	5724	1995-11-30	VYDAJ	VYBER	5100	34481	\N	\N	\N
1689014	5724	1995-10-17	VYDAJ	VYBER	12300	37116	\N	\N	\N
1689015	5724	1996-06-18	VYDAJ	VYBER	9300	62041	\N	\N	\N
1689016	5724	1996-03-18	VYDAJ	VYBER	12900	24670	\N	\N	\N
1689017	5724	1996-11-27	VYDAJ	VYBER	10200	46852	\N	\N	\N
1689018	5724	1996-11-02	VYDAJ	VYBER	8700	51436	\N	\N	\N
1689019	5724	1996-05-31	VYDAJ	VYBER	12300	43590	\N	\N	\N
1689020	5724	1996-07-08	VYDAJ	VYBER	1500	57976	\N	\N	\N
1689024	5724	1997-12-04	VYDAJ	VYBER	4500	45927	\N	\N	\N
1689025	5724	1997-04-04	VYDAJ	VYBER	2700	30813	\N	\N	\N
1689026	5724	1997-02-27	VYDAJ	VYBER	10200	31060	\N	\N	\N
1689029	5724	1998-07-02	VYDAJ	VYBER	7800	30045	\N	\N	\N
1689030	5724	1998-06-02	VYDAJ	VYBER	5400	28497	\N	\N	\N
1689042	5724	1995-09-30	VYDAJ	VYBER	100	52500	SLUZBY	\N	\N
1689043	5724	1995-10-31	VYDAJ	VYBER	100	37208	SLUZBY	\N	\N
1689044	5724	1995-11-30	VYDAJ	VYBER	100	39581	SLUZBY	\N	\N
1689045	5724	1995-12-31	VYDAJ	VYBER	100	42708	SLUZBY	\N	\N
1689046	5724	1996-01-31	VYDAJ	VYBER	100	17648	SLUZBY	\N	\N
1689047	5724	1996-02-29	VYDAJ	VYBER	100	44756	SLUZBY	\N	\N
1689048	5724	1996-03-31	VYDAJ	VYBER	100	24712	SLUZBY	\N	\N
1689049	5724	1996-04-30	VYDAJ	VYBER	100	41275	SLUZBY	\N	\N
1689050	5724	1996-05-31	VYDAJ	VYBER	100	43490	SLUZBY	\N	\N
1689051	5724	1996-06-30	VYDAJ	VYBER	100	62168	SLUZBY	\N	\N
1689052	5724	1996-07-31	VYDAJ	VYBER	100	54299	SLUZBY	\N	\N
1689053	5724	1996-08-31	VYDAJ	VYBER	100	40572	SLUZBY	\N	\N
1689054	5724	1996-09-30	VYDAJ	VYBER	100	53187	SLUZBY	\N	\N
1689055	5724	1996-10-31	VYDAJ	VYBER	100	60136	SLUZBY	\N	\N
1689056	5724	1996-11-30	VYDAJ	VYBER	100	46974	SLUZBY	\N	\N
1689057	5724	1996-12-31	VYDAJ	VYBER	100	64346	SLUZBY	\N	\N
1689058	5724	1997-01-31	VYDAJ	VYBER	100	22889	SLUZBY	\N	\N
1689059	5724	1997-02-28	VYDAJ	VYBER	100	31087	SLUZBY	\N	\N
1689060	5724	1997-03-31	VYDAJ	VYBER	100	33513	SLUZBY	\N	\N
1689061	5724	1997-04-30	VYDAJ	VYBER	100	23175	SLUZBY	\N	\N
1689062	5724	1997-05-31	VYDAJ	VYBER	100	39574	SLUZBY	\N	\N
1689063	5724	1997-06-30	VYDAJ	VYBER	100	62282	SLUZBY	\N	\N
1689064	5724	1997-07-31	VYDAJ	VYBER	100	59478	SLUZBY	\N	\N
1689065	5724	1997-08-31	VYDAJ	VYBER	100	28736	SLUZBY	\N	\N
1689066	5724	1997-09-30	VYDAJ	VYBER	100	25485	SLUZBY	\N	\N
1689067	5724	1997-10-31	VYDAJ	VYBER	100	38281	SLUZBY	\N	\N
1689068	5724	1997-11-30	VYDAJ	VYBER	100	50427	SLUZBY	\N	\N
1689069	5724	1997-12-31	VYDAJ	VYBER	100	23289	SLUZBY	\N	\N
1689070	5724	1998-01-31	VYDAJ	VYBER	100	30580	SLUZBY	\N	\N
1689071	5724	1998-02-28	VYDAJ	VYBER	100	45399	SLUZBY	\N	\N
1689072	5724	1998-03-31	VYDAJ	VYBER	100	52759	SLUZBY	\N	\N
1689073	5724	1998-04-30	VYDAJ	VYBER	100	53426	SLUZBY	\N	\N
1689074	5724	1998-05-31	VYDAJ	VYBER	100	54297	SLUZBY	\N	\N
1689075	5724	1998-06-30	VYDAJ	VYBER	100	37845	SLUZBY	\N	\N
1689076	5724	1998-07-31	VYDAJ	VYBER	100	25495	SLUZBY	\N	\N
1689077	5724	1998-08-31	VYDAJ	VYBER	100	37989	SLUZBY	\N	\N
1689078	5724	1998-09-30	VYDAJ	VYBER	100	47429	SLUZBY	\N	\N
1689079	5724	1998-10-31	VYDAJ	VYBER	100	34411	SLUZBY	\N	\N
1689080	5724	1998-11-30	VYDAJ	VYBER	100	36500	SLUZBY	\N	\N
1689081	5724	1995-05-19	VYDAJ	VYBER	3100	26170	\N	\N	\N
1689082	5724	1995-06-18	VYDAJ	VYBER	22800	47021	\N	\N	\N
1689083	5724	1995-07-18	VYDAJ	VYBER	26400	49837	\N	\N	\N
1689084	5724	1995-08-17	VYDAJ	VYBER	29100	50009	\N	\N	\N
1689085	5724	1995-09-16	VYDAJ	VYBER	26900	52387	\N	\N	\N
1689086	5724	1995-10-16	VYDAJ	VYBER	22100	54716	\N	\N	\N
1689087	5724	1995-11-15	VYDAJ	VYBER	17400	39524	\N	\N	\N
1689088	5724	1995-12-15	VYDAJ	VYBER	19600	48932	\N	\N	\N
1689089	5724	1996-01-14	VYDAJ	VYBER	8900	41224	\N	\N	\N
1689090	5724	1996-02-13	PRIJEM	VKLAD	9700	18094	\N	\N	\N
1689091	5724	1996-03-14	VYDAJ	VYBER	15100	43770	\N	\N	\N
1689092	5724	1996-04-13	PRIJEM	VKLAD	5000	24958	\N	\N	\N
1689093	5724	1996-05-13	VYDAJ	VYBER	6600	26621	\N	\N	\N
1689094	5724	1996-06-12	VYDAJ	VYBER	7300	31436	\N	\N	\N
1689095	5724	1996-07-12	VYDAJ	VYBER	14000	38314	\N	\N	\N
1689096	5724	1996-08-11	VYDAJ	VYBER	300	11731	\N	\N	\N
1689097	5724	1996-09-10	VYDAJ	VYBER	8400	28919	\N	\N	\N
1689098	5724	1996-10-10	VYDAJ	VYBER	11600	37114	\N	\N	\N
1689099	5724	1996-11-09	VYDAJ	VYBER	14900	33844	\N	\N	\N
1689100	5724	1996-12-09	VYDAJ	VYBER	12300	28082	\N	\N	\N
1689101	5724	1997-01-08	VYDAJ	VYBER	8200	37554	\N	\N	\N
1689102	5724	1997-02-07	VYDAJ	VYBER	1100	21789	\N	\N	\N
1689103	5724	1997-03-09	VYDAJ	VYBER	5300	23095	\N	\N	\N
1689104	5724	1997-04-08	VYDAJ	VYBER	6600	21521	\N	\N	\N
1689105	5724	1997-05-08	VYDAJ	VYBER	3100	17383	\N	\N	\N
1689106	5724	1997-06-07	VYDAJ	VYBER	11400	25482	\N	\N	\N
1689107	5724	1997-07-07	VYDAJ	VYBER	22400	37190	\N	\N	\N
1689108	5724	1997-08-06	VYDAJ	VYBER	20000	39478	\N	\N	\N
1689109	5724	1997-09-05	VYDAJ	VYBER	7100	21636	\N	\N	\N
1689110	5724	1997-10-05	VYDAJ	VYBER	6700	18785	\N	\N	\N
1689111	5724	1997-11-04	VYDAJ	VYBER	7400	30881	\N	\N	\N
1689112	5724	1997-12-04	VYDAJ	VYBER	13700	32227	\N	\N	\N
1689113	5724	1998-01-03	PRIJEM	VKLAD	700	23989	\N	\N	\N
1689114	5724	1998-02-02	VYDAJ	VYBER	4700	25880	\N	\N	\N
1689115	5724	1998-03-04	VYDAJ	VYBER	12200	33199	\N	\N	\N
1689116	5724	1998-04-03	VYDAJ	VYBER	18900	33859	\N	\N	\N
1689117	5724	1998-05-03	VYDAJ	VYBER	18700	34726	\N	\N	\N
1689118	5724	1998-06-02	VYDAJ	VYBER	20400	33897	\N	\N	\N
1689119	5724	1998-07-02	VYDAJ	VYBER	9000	21045	\N	\N	\N
1689120	5724	1998-08-01	VYDAJ	VYBER	7000	18495	\N	\N	\N
1689121	5724	1998-08-31	VYDAJ	VYBER	10100	27889	\N	\N	\N
1689122	5724	1998-09-30	VYDAJ	VYBER	8900	38529	\N	\N	\N
1689123	5724	1998-10-30	VYDAJ	VYBER	2200	34331	\N	\N	\N
1689124	5724	1998-11-29	VYDAJ	VYBER	4700	36447	\N	\N	\N
1689324	5726	1996-04-19	PRIJEM	VKLAD	300	300	\N	\N	\N
1689325	5726	1996-10-08	PRIJEM	VKLAD	6051	66415	\N	\N	\N
1689326	5726	1996-12-12	PRIJEM	VKLAD	37684	49708	\N	\N	\N
1689329	5726	1996-07-20	PRIJEM	VKLAD	45789	93563	\N	\N	\N
1689331	5726	1996-09-30	PRIJEM	VKLAD	5969	49545	\N	\N	\N
1689332	5726	1996-06-23	PRIJEM	VKLAD	33407	51507	\N	\N	\N
1689333	5726	1996-06-27	PRIJEM	VKLAD	22497	74004	\N	\N	\N
1689335	5726	1996-10-05	PRIJEM	VKLAD	36445	74890	\N	\N	\N
1689336	5726	1996-12-20	PRIJEM	VKLAD	47407	80515	\N	\N	\N
1689339	5726	1997-02-10	PRIJEM	VKLAD	10593	29333	\N	\N	\N
1689340	5726	1997-08-15	PRIJEM	VKLAD	14909	34727	\N	\N	\N
1689341	5726	1997-06-24	PRIJEM	VKLAD	23654	72531	\N	\N	\N
1689342	5726	1997-01-01	PRIJEM	VKLAD	34040	93017	\N	\N	\N
1689343	5726	1997-06-13	PRIJEM	VKLAD	30094	81421	\N	\N	\N
1689344	5726	1997-09-05	PRIJEM	VKLAD	40345	59486	\N	\N	\N
1689345	5726	1997-01-13	PRIJEM	VKLAD	26918	95035	\N	\N	\N
1689346	5726	1997-05-22	PRIJEM	VKLAD	12479	6596	\N	\N	\N
1689347	5726	1997-06-23	PRIJEM	VKLAD	7656	48877	\N	\N	\N
1689348	5726	1997-12-11	PRIJEM	VKLAD	32855	58994	\N	\N	\N
1689349	5726	1997-10-06	PRIJEM	VKLAD	44634	64536	\N	\N	\N
1689350	5726	1997-11-23	PRIJEM	VKLAD	38029	54825	\N	\N	\N
1689351	5726	1997-05-29	PRIJEM	VKLAD	22489	59428	\N	\N	\N
1689352	5726	1997-05-25	PRIJEM	VKLAD	30343	36939	\N	\N	\N
1689353	5726	1998-07-28	PRIJEM	VKLAD	24463	77922	\N	\N	\N
1689354	5726	1998-07-28	PRIJEM	VKLAD	21079	99001	\N	\N	\N
1689355	5726	1998-11-06	PRIJEM	VKLAD	35017	65035	\N	\N	\N
1689356	5726	1998-06-20	PRIJEM	VKLAD	42517	61834	\N	\N	\N
1689357	5726	1998-07-20	PRIJEM	VKLAD	16078	53459	\N	\N	\N
1689367	5726	1996-10-02	VYDAJ	VYBER	11100	38445	SIPO	\N	0
1689368	5726	1996-11-01	VYDAJ	VYBER	9100	23609	SIPO	\N	0
1689369	5726	1996-12-03	VYDAJ	VYBER	11300	12024	SIPO	\N	0
1689370	5726	1997-01-15	VYDAJ	VYBER	11200	46235	SIPO	\N	0
1689371	5726	1997-02-10	VYDAJ	VYBER	8900	20433	SIPO	\N	0
1689372	5726	1997-03-13	VYDAJ	VYBER	11800	6511	SIPO	\N	0
1689373	5726	1997-03-29	VYDAJ	VYBER	12200	-5689	SIPO	\N	0
1689375	5726	1997-06-07	VYDAJ	VYBER	8000	51327	SIPO	\N	0
1689376	5726	1997-07-04	VYDAJ	VYBER	12300	41458	SIPO	\N	0
1689377	5726	1997-08-13	VYDAJ	VYBER	10000	19818	SIPO	\N	0
1689378	5726	1997-09-10	VYDAJ	VYBER	12500	43168	SIPO	\N	0
1689379	5726	1997-10-03	VYDAJ	VYBER	10100	19902	SIPO	\N	0
1689380	5726	1997-11-07	VYDAJ	VYBER	7900	11196	SIPO	\N	0
1689381	5726	1997-12-04	VYDAJ	VYBER	8900	38739	SIPO	\N	0
1689382	5726	1998-01-08	VYDAJ	VYBER	12700	11805	SIPO	\N	0
1689383	5726	1998-02-05	VYDAJ	VYBER	12300	3380	SIPO	\N	0
1689384	5726	1998-03-07	VYDAJ	VYBER	10900	-169	SIPO	\N	0
1689385	5726	1998-04-02	VYDAJ	VYBER	8900	3782	SIPO	\N	0
1689386	5726	1998-05-17	VYDAJ	VYBER	12000	19544	SIPO	\N	0
1689387	5726	1998-06-15	VYDAJ	VYBER	11000	19317	SIPO	\N	0
1689388	5726	1998-07-17	VYDAJ	VYBER	10000	37381	SIPO	\N	0
1689389	5726	1998-08-05	VYDAJ	VYBER	8400	14210	SIPO	\N	0
1689390	5726	1998-09-05	VYDAJ	VYBER	10400	4083	SIPO	\N	0
1689391	5726	1998-10-02	VYDAJ	VYBER	12200	3449	SIPO	\N	0
1689392	5726	1998-11-17	VYDAJ	VYBER	12100	52935	SIPO	\N	0
1689393	5726	1998-12-07	VYDAJ	VYBER	11200	24033	SIPO	\N	0
1689397	5726	1996-12-27	VYBER	VYBER	21629	58886	\N	\N	\N
1689402	5726	1996-10-06	VYBER	VYBER	14526	60364	\N	\N	\N
1689405	5726	1996-10-20	VYBER	VYBER	7392	32623	\N	\N	\N
1689413	5726	1997-10-22	VYBER	VYBER	18786	19050	\N	\N	\N
1689414	5726	1997-09-06	VYBER	VYBER	3818	55668	\N	\N	\N
1689415	5726	1997-12-19	VYBER	VYBER	21021	24443	\N	\N	\N
1689416	5726	1997-12-19	VYBER	VYBER	13530	45464	\N	\N	\N
1689426	5726	1997-06-28	VYDAJ	VYBER	18900	53631	\N	\N	\N
1689429	5726	1997-01-08	VYDAJ	VYBER	24900	68117	\N	\N	\N
1689431	5726	1996-12-12	VYDAJ	VYBER	3600	46108	\N	\N	\N
1689432	5726	1997-12-03	VYDAJ	VYBER	4200	47639	\N	\N	\N
1689433	5726	1998-12-21	VYDAJ	VYBER	8400	15633	\N	\N	\N
1689434	5726	1996-10-09	VYDAJ	VYBER	13500	52915	\N	\N	\N
1689440	5726	1997-08-22	VYDAJ	VYBER	11400	23327	\N	\N	\N
1689442	5726	1997-01-25	VYDAJ	VYBER	14100	32135	\N	\N	\N
1689443	5726	1997-11-28	VYDAJ	VYBER	3000	51825	\N	\N	\N
1689445	5726	1997-06-14	VYDAJ	VYBER	5400	41221	\N	\N	\N
1689446	5726	1997-08-29	VYDAJ	VYBER	4200	19127	\N	\N	\N
1689447	5726	1997-01-27	VYDAJ	VYBER	13500	18635	\N	\N	\N
1689448	5726	1998-04-12	VYDAJ	VYBER	2100	15282	\N	\N	\N
1689449	5726	1998-11-26	VYDAJ	VYBER	13200	32535	\N	\N	\N
1689450	5726	1998-07-31	VYDAJ	VYBER	5700	31310	\N	\N	\N
1689451	5726	1998-11-24	VYDAJ	VYBER	7200	45735	\N	\N	\N
1689453	5726	1998-07-06	VYDAJ	VYBER	6000	55881	\N	\N	\N
1689454	5726	1998-08-02	VYDAJ	VYBER	8700	22610	\N	\N	\N
1689465	5726	1996-10-31	VYDAJ	VYBER	100	32709	SLUZBY	\N	\N
1689466	5726	1996-11-30	VYDAJ	VYBER	100	23324	SLUZBY	\N	\N
1689467	5726	1996-12-31	VYDAJ	VYBER	100	58977	SLUZBY	\N	\N
1689468	5726	1997-01-31	VYDAJ	VYBER	100	18740	SLUZBY	\N	\N
1689469	5726	1997-02-28	VYDAJ	VYBER	100	18311	SLUZBY	\N	\N
1689470	5726	1997-03-31	VYDAJ	VYBER	100	-5720	SLUZBY	\N	\N
1689471	5726	1997-04-30	VYDAJ	VYBER	100	-5826	SLUZBY	\N	\N
1689472	5726	1997-05-31	VYDAJ	VYBER	100	59327	SLUZBY	\N	\N
1689473	5726	1997-06-30	VYDAJ	VYBER	100	53758	SLUZBY	\N	\N
1689474	5726	1997-07-31	VYDAJ	VYBER	100	28818	SLUZBY	\N	\N
1689475	5726	1997-08-31	VYDAJ	VYBER	100	19141	SLUZBY	\N	\N
1689476	5726	1997-09-30	VYDAJ	VYBER	100	30002	SLUZBY	\N	\N
1689477	5726	1997-10-31	VYDAJ	VYBER	100	19096	SLUZBY	\N	\N
1689478	5726	1997-11-30	VYDAJ	VYBER	100	51839	SLUZBY	\N	\N
1689479	5726	1997-12-31	VYDAJ	VYBER	100	24505	SLUZBY	\N	\N
1689480	5726	1998-01-31	VYDAJ	VYBER	100	15680	SLUZBY	\N	\N
1689481	5726	1998-02-28	VYDAJ	VYBER	100	10731	SLUZBY	\N	\N
1689482	5726	1998-03-31	VYDAJ	VYBER	100	12682	SLUZBY	\N	\N
1689483	5726	1998-04-30	VYDAJ	VYBER	100	15244	SLUZBY	\N	\N
1689484	5726	1998-05-31	VYDAJ	VYBER	100	19517	SLUZBY	\N	\N
1689485	5726	1998-06-30	VYDAJ	VYBER	100	61881	SLUZBY	\N	\N
1689486	5726	1998-07-31	VYDAJ	VYBER	100	37010	SLUZBY	\N	\N
1689487	5726	1998-08-31	VYDAJ	VYBER	100	14483	SLUZBY	\N	\N
1689488	5726	1998-09-30	VYDAJ	VYBER	100	15649	SLUZBY	\N	\N
1689489	5726	1998-10-31	VYDAJ	VYBER	100	16418	SLUZBY	\N	\N
1689490	5726	1998-11-30	VYDAJ	VYBER	100	32633	SLUZBY	\N	\N
1689491	5726	1996-05-19	PRIJEM	VKLAD	12900	13200	\N	\N	\N
1689492	5726	1996-06-18	PRIJEM	VKLAD	4900	18100	\N	\N	\N
1689493	5726	1996-07-18	VYDAJ	VYBER	26300	47774	\N	\N	\N
1689494	5726	1996-08-17	VYDAJ	VYBER	33200	60703	\N	\N	\N
1689495	5726	1996-09-16	VYDAJ	VYBER	17900	43192	\N	\N	\N
1689496	5726	1996-10-16	VYDAJ	VYBER	12900	40015	\N	\N	\N
1689497	5726	1996-11-15	VYDAJ	VYBER	300	23309	\N	\N	\N
1689498	5726	1996-12-15	VYDAJ	VYBER	13000	33108	\N	\N	\N
1689499	5726	1997-01-14	VYDAJ	VYBER	37600	57435	\N	\N	\N
1689500	5726	1997-02-13	VYDAJ	VYBER	2100	18333	\N	\N	\N
1689501	5726	1997-06-13	VYDAJ	VYBER	34800	46621	\N	\N	\N
1689502	5726	1997-07-13	VYDAJ	VYBER	12700	28758	\N	\N	\N
1689503	5726	1997-08-12	PRIJEM	VKLAD	1000	29818	\N	\N	\N
1689504	5726	1997-09-11	VYDAJ	VYBER	13200	29968	\N	\N	\N
1689505	5726	1997-10-11	VYDAJ	VYBER	26700	37836	\N	\N	\N
1689506	5726	1997-11-10	PRIJEM	VKLAD	5600	16796	\N	\N	\N
1689507	5726	1997-12-10	VYDAJ	VYBER	12600	26139	\N	\N	\N
1689508	5726	1998-01-09	PRIJEM	VKLAD	3900	15705	\N	\N	\N
1689509	5726	1998-02-08	PRIJEM	VKLAD	7400	10780	\N	\N	\N
1689510	5726	1998-03-10	PRIJEM	VKLAD	12900	12731	\N	\N	\N
1689511	5726	1998-04-09	PRIJEM	VKLAD	13600	17382	\N	\N	\N
1689512	5726	1998-05-09	PRIJEM	VKLAD	16300	31544	\N	\N	\N
1689513	5726	1998-06-08	PRIJEM	VKLAD	10800	30317	\N	\N	\N
1689514	5726	1998-07-08	VYDAJ	VYBER	8500	47381	\N	\N	\N
1689515	5726	1998-07-28	VYDAJ	VYBER	62100	36901	\N	\N	\N
1689516	5726	1998-08-07	PRIJEM	VKLAD	300	14510	\N	\N	\N
1689517	5726	1998-09-06	PRIJEM	VKLAD	11600	15683	\N	\N	\N
1689518	5726	1998-10-06	PRIJEM	VKLAD	13000	16449	\N	\N	\N
1689519	5726	1998-11-05	PRIJEM	VKLAD	13600	30018	\N	\N	\N
1689520	5726	1998-12-05	PRIJEM	VKLAD	2600	35233	\N	\N	\N
1691902	5735	1995-01-25	PRIJEM	VKLAD	300	300	\N	\N	\N
1691903	5735	1995-06-09	PRIJEM	VKLAD	8925	80908	\N	\N	\N
1691904	5735	1995-06-04	PRIJEM	VKLAD	31882	84883	\N	\N	\N
1691905	5735	1995-07-02	PRIJEM	VKLAD	14347	55064	\N	\N	\N
1691906	5735	1995-06-13	PRIJEM	VKLAD	21644	96452	\N	\N	\N
1691907	5735	1995-08-28	PRIJEM	VKLAD	20840	81500	\N	\N	\N
1691908	5735	1995-02-27	PRIJEM	VKLAD	22794	66141	\N	\N	\N
1691909	5735	1995-11-23	PRIJEM	VKLAD	10640	47448	\N	\N	\N
1691910	5735	1995-02-21	PRIJEM	VKLAD	16096	110047	\N	\N	\N
1691911	5735	1995-03-14	PRIJEM	VKLAD	41264	129626	\N	\N	\N
1691912	5735	1995-10-30	PRIJEM	VKLAD	29823	65964	\N	\N	\N
1691914	5735	1995-02-16	PRIJEM	VKLAD	25139	93951	\N	\N	\N
1691915	5735	1995-02-28	PRIJEM	VKLAD	31285	97426	\N	\N	\N
1691916	5735	1995-04-18	PRIJEM	VKLAD	17747	69441	\N	\N	\N
1691917	5735	1995-07-28	PRIJEM	VKLAD	18746	109491	\N	\N	\N
1691918	5735	1995-02-08	PRIJEM	VKLAD	30776	68812	\N	\N	\N
1691919	5735	1995-11-01	PRIJEM	VKLAD	8941	75167	\N	\N	\N
1691920	5735	1995-03-23	PRIJEM	VKLAD	13923	89049	\N	\N	\N
1691921	5735	1995-07-28	PRIJEM	VKLAD	49763	90745	\N	\N	\N
1691922	5735	1995-11-08	PRIJEM	VKLAD	43841	119008	\N	\N	\N
1691923	5735	1995-03-24	PRIJEM	VKLAD	26725	115774	\N	\N	\N
1691924	5735	1995-08-16	PRIJEM	VKLAD	40784	98660	\N	\N	\N
1691925	5735	1995-01-31	PRIJEM	VKLAD	37731	38036	\N	\N	\N
1691926	5735	1995-09-23	PRIJEM	VKLAD	36494	84047	\N	\N	\N
1691927	5735	1995-07-15	PRIJEM	VKLAD	14084	69148	\N	\N	\N
1691928	5735	1995-04-29	PRIJEM	VKLAD	48343	80081	\N	\N	\N
1691929	5735	1995-08-07	PRIJEM	VKLAD	27759	120176	\N	\N	\N
1691930	5735	1996-06-10	PRIJEM	VKLAD	12443	42681	\N	\N	\N
1691931	5735	1996-06-24	PRIJEM	VKLAD	35298	63158	\N	\N	\N
1691932	5735	1996-05-07	PRIJEM	VKLAD	27078	27822	\N	\N	\N
1691933	5735	1997-03-05	PRIJEM	VKLAD	15848	61893	\N	\N	\N
1691934	5735	1997-09-29	PRIJEM	VKLAD	35072	75736	\N	\N	\N
1691935	5735	1997-02-09	PRIJEM	VKLAD	28494	26992	\N	\N	\N
1691936	5735	1997-11-15	PRIJEM	VKLAD	40453	98847	\N	\N	\N
1691937	5735	1997-11-04	PRIJEM	VKLAD	46010	120955	\N	\N	\N
1691938	5735	1997-07-25	PRIJEM	VKLAD	9858	72514	\N	\N	\N
1691939	5735	1997-06-29	PRIJEM	VKLAD	11501	86051	\N	\N	\N
1691940	5735	1997-05-22	PRIJEM	VKLAD	21854	63195	\N	\N	\N
1691941	5735	1997-11-05	PRIJEM	VKLAD	7684	81139	\N	\N	\N
1691942	5735	1997-02-24	PRIJEM	VKLAD	16533	45980	\N	\N	\N
1691943	5735	1997-10-16	PRIJEM	VKLAD	41035	74667	\N	\N	\N
1691944	5735	1997-05-28	PRIJEM	VKLAD	12786	75981	\N	\N	\N
1691945	5735	1997-12-05	PRIJEM	VKLAD	17172	92398	\N	\N	\N
1691946	5735	1997-03-21	PRIJEM	VKLAD	21809	74732	\N	\N	\N
1691947	5735	1997-06-23	PRIJEM	VKLAD	42500	74550	\N	\N	\N
1691948	5735	1997-03-09	PRIJEM	VKLAD	16875	78768	\N	\N	\N
1691949	5735	1998-12-25	PRIJEM	VKLAD	23554	124275	\N	\N	\N
1691950	5735	1998-12-21	PRIJEM	VKLAD	36201	100721	\N	\N	\N
1691951	5735	1998-03-30	PRIJEM	VKLAD	43334	121679	\N	\N	\N
1691952	5735	1998-06-03	PRIJEM	VKLAD	24832	112451	\N	\N	\N
1691953	5735	1998-05-20	PRIJEM	VKLAD	36572	87363	\N	\N	\N
1691954	5735	1998-11-06	PRIJEM	VKLAD	14011	74141	\N	\N	\N
1691955	5735	1998-09-21	PRIJEM	VKLAD	29464	77387	\N	\N	\N
1691956	5735	1998-03-26	PRIJEM	VKLAD	42609	78345	\N	\N	\N
1691959	5735	1995-03-13	VYDAJ	VYBER	4900	88362	\N	\N	0
1691960	5735	1995-04-19	VYDAJ	VYBER	3900	56638	\N	\N	0
1691961	5735	1995-04-27	VYDAJ	VYBER	6000	31738	\N	\N	0
1691962	5735	1995-06-12	VYDAJ	VYBER	6100	74808	\N	\N	0
1691963	5735	1995-06-23	VYDAJ	VYBER	5100	58652	\N	\N	0
1691964	5735	1995-08-10	VYDAJ	VYBER	5900	57876	\N	\N	0
1691965	5735	1995-09-13	VYDAJ	VYBER	3400	78431	\N	\N	0
1691966	5735	1995-10-20	VYDAJ	VYBER	4500	70341	\N	\N	0
1691967	5735	1995-11-11	VYDAJ	VYBER	5400	65208	\N	\N	0
1691968	5735	1995-12-15	VYDAJ	VYBER	4600	33173	\N	\N	0
1691971	5735	1996-03-12	VYDAJ	PREVOD NA UCET	4845	6690	UVER	MN	1054633
1691972	5735	1996-04-12	VYDAJ	PREVOD NA UCET	4845	13990	UVER	MN	1054633
1691973	5735	1996-05-12	VYDAJ	PREVOD NA UCET	4845	22977	UVER	MN	1054633
1691974	5735	1996-06-12	VYDAJ	PREVOD NA UCET	4845	36336	UVER	MN	1054633
1691975	5735	1996-07-12	VYDAJ	PREVOD NA UCET	4845	13256	UVER	MN	1054633
1691976	5735	1996-08-12	VYDAJ	PREVOD NA UCET	4845	9416	UVER	MN	1054633
1691977	5735	1996-09-12	VYDAJ	PREVOD NA UCET	4845	5501	UVER	MN	1054633
1691979	5735	1996-11-12	VYDAJ	PREVOD NA UCET	4845	13076	UVER	MN	1054633
1691982	5735	1997-02-12	VYDAJ	PREVOD NA UCET	4845	22147	UVER	MN	1054633
1691983	5735	1997-03-12	VYDAJ	PREVOD NA UCET	4845	73923	UVER	MN	1054633
1691984	5735	1997-04-12	VYDAJ	PREVOD NA UCET	4845	70136	UVER	MN	1054633
1691985	5735	1997-05-12	VYDAJ	PREVOD NA UCET	4845	44541	UVER	MN	1054633
1691986	5735	1997-06-12	VYDAJ	PREVOD NA UCET	4845	71350	UVER	MN	1054633
1691987	5735	1997-07-12	VYDAJ	PREVOD NA UCET	4845	81456	UVER	MN	1054633
1691988	5735	1997-08-12	VYDAJ	PREVOD NA UCET	4845	67962	UVER	MN	1054633
1691989	5735	1997-09-12	VYDAJ	PREVOD NA UCET	4845	40664	UVER	MN	1054633
1691990	5735	1997-10-12	VYDAJ	PREVOD NA UCET	4845	47432	UVER	MN	1054633
1691991	5735	1997-11-12	VYDAJ	PREVOD NA UCET	4845	58394	UVER	MN	1054633
1691992	5735	1997-12-12	VYDAJ	PREVOD NA UCET	4845	62753	UVER	MN	1054633
1691993	5735	1998-01-12	VYDAJ	PREVOD NA UCET	4845	43881	UVER	MN	1054633
1691994	5735	1998-02-12	VYDAJ	PREVOD NA UCET	4845	25289	UVER	MN	1054633
1691995	5735	1998-03-12	VYDAJ	PREVOD NA UCET	4845	35736	UVER	MN	1054633
1691996	5735	1998-04-12	VYDAJ	PREVOD NA UCET	4845	75393	UVER	MN	1054633
1691997	5735	1998-05-12	VYDAJ	PREVOD NA UCET	4845	50791	UVER	MN	1054633
1691998	5735	1998-06-12	VYDAJ	PREVOD NA UCET	4845	63906	UVER	MN	1054633
1691999	5735	1998-07-12	VYDAJ	PREVOD NA UCET	4845	47945	UVER	MN	1054633
1692000	5735	1998-08-12	VYDAJ	PREVOD NA UCET	4845	48586	UVER	MN	1054633
1692001	5735	1998-09-12	VYDAJ	PREVOD NA UCET	4845	47923	UVER	MN	1054633
1692002	5735	1998-10-12	VYDAJ	PREVOD NA UCET	4845	64067	UVER	MN	1054633
1692003	5735	1998-11-12	VYDAJ	PREVOD NA UCET	4845	69296	UVER	MN	1054633
1692004	5735	1998-12-12	VYDAJ	PREVOD NA UCET	4845	64520	UVER	MN	1054633
1692005	5735	1995-09-28	VYBER	VYBER	9521	74526	\N	\N	\N
1692006	5735	1995-09-16	VYBER	VYBER	2878	75553	\N	\N	\N
1692007	5735	1995-07-24	VYBER	VYBER	12766	56382	\N	\N	\N
1692008	5735	1995-03-13	VYBER	VYBER	4377	93262	\N	\N	\N
1692009	5735	1995-12-17	VYBER	VYBER	6911	26262	\N	\N	\N
1692011	5735	1995-04-19	VYBER	VYBER	8903	60538	\N	\N	\N
1692012	5735	1996-08-30	VYBER	VYBER	12729	10287	\N	\N	\N
1692013	5735	1996-07-22	VYBER	VYBER	9276	14180	\N	\N	\N
1692014	5735	1996-06-17	VYBER	VYBER	11876	24460	\N	\N	\N
1692015	5735	1996-10-19	VYBER	VYBER	4845	17848	\N	\N	\N
1692016	5735	1996-04-27	VYBER	VYBER	24207	683	\N	\N	\N
1692018	5735	1996-11-17	VYBER	VYBER	5110	22566	\N	\N	\N
1692019	5735	1996-10-03	VYBER	VYBER	19265	4593	\N	\N	\N
1692020	5735	1996-07-12	VYBER	VYBER	3793	18101	\N	\N	\N
1692023	5735	1997-06-15	VYBER	VYBER	14145	32050	\N	\N	\N
1692024	5735	1997-11-22	VYBER	VYBER	21238	77609	\N	\N	\N
1692025	5735	1997-10-06	VYBER	VYBER	3238	72677	\N	\N	\N
1692026	5735	1997-06-13	VYBER	VYBER	13155	58195	\N	\N	\N
1692027	5735	1998-06-28	VYBER	VYBER	13783	50123	\N	\N	\N
1692028	5735	1998-04-27	VYBER	VYBER	23884	51509	\N	\N	\N
1692029	5735	1995-06-19	VYDAJ	VYBER	32700	63752	\N	\N	\N
1692030	5735	1996-06-28	VYDAJ	VYBER	24900	38258	\N	\N	\N
1692035	5735	1997-01-26	VYDAJ	VYBER	12600	-1529	\N	\N	\N
1692036	5735	1998-01-25	VYDAJ	VYBER	3000	27681	\N	\N	\N
1692037	5735	1995-12-30	VYDAJ	VYBER	5700	19462	\N	\N	\N
1692038	5735	1996-12-03	VYDAJ	VYBER	8100	721	\N	\N	\N
1692039	5735	1997-12-03	VYDAJ	VYBER	2700	75226	\N	\N	\N
1692040	5735	1998-12-01	VYDAJ	VYBER	2400	67165	\N	\N	\N
1692047	5735	1996-01-10	VYDAJ	VYBER	8700	-1722	\N	\N	\N
1692048	5735	1996-01-05	VYDAJ	VYBER	6900	6978	\N	\N	\N
1692050	5735	1996-01-27	VYDAJ	VYBER	3900	-2822	\N	\N	\N
1692051	5735	1996-01-24	VYDAJ	VYBER	8700	1078	\N	\N	\N
1692052	5735	1996-01-04	VYDAJ	VYBER	5700	13878	\N	\N	\N
1692053	5735	1997-01-23	VYDAJ	VYBER	6600	13171	\N	\N	\N
1692054	5735	1997-01-07	VYDAJ	VYBER	5100	3171	\N	\N	\N
1692055	5735	1997-01-25	VYDAJ	VYBER	2100	11071	\N	\N	\N
1692056	5735	1997-01-06	VYDAJ	VYBER	8400	8271	\N	\N	\N
1692057	5735	1997-01-04	VYDAJ	VYBER	4500	16671	\N	\N	\N
1692058	5735	1997-01-11	VYDAJ	VYBER	3900	-729	\N	\N	\N
1692059	5735	1998-01-08	VYDAJ	VYBER	3000	50726	\N	\N	\N
1692060	5735	1998-01-06	VYDAJ	VYBER	6600	53726	\N	\N	\N
1692061	5735	1998-01-27	VYDAJ	VYBER	3000	24681	\N	\N	\N
1692062	5735	1998-01-18	VYDAJ	VYBER	8400	30681	\N	\N	\N
1692063	5735	1998-01-15	VYDAJ	VYBER	1800	39081	\N	\N	\N
1692064	5735	1998-01-14	VYDAJ	VYBER	3000	40881	\N	\N	\N
1692066	5735	1995-11-28	VYDAJ	VYBER	9900	37548	\N	\N	\N
1692067	5735	1995-08-19	VYDAJ	VYBER	2700	95960	\N	\N	\N
1692068	5735	1995-06-04	VYDAJ	VYBER	12900	71983	\N	\N	\N
1692069	5735	1995-10-28	VYDAJ	VYBER	9600	36141	\N	\N	\N
1692070	5735	1995-11-19	VYDAJ	VYBER	13800	51408	\N	\N	\N
1692071	5735	1996-06-11	VYDAJ	VYBER	1500	41181	\N	\N	\N
1692072	5735	1996-07-09	VYDAJ	VYBER	6000	21894	\N	\N	\N
1692073	5735	1996-07-01	VYDAJ	VYBER	10500	27894	\N	\N	\N
1692074	5735	1996-11-22	VYDAJ	VYBER	13800	8766	\N	\N	\N
1692075	5735	1997-12-24	VYDAJ	VYBER	2700	60053	\N	\N	\N
1692076	5735	1997-08-20	VYDAJ	VYBER	3900	50562	\N	\N	\N
1692077	5735	1997-10-14	VYDAJ	VYBER	13800	33632	\N	\N	\N
1692078	5735	1997-04-19	VYDAJ	VYBER	1800	54536	\N	\N	\N
1692079	5735	1997-05-03	VYDAJ	VYBER	5400	49386	\N	\N	\N
1692080	5735	1997-03-14	VYDAJ	VYBER	3300	70623	\N	\N	\N
1692081	5735	1997-10-11	VYDAJ	VYBER	9300	63377	\N	\N	\N
1692082	5735	1998-07-26	VYDAJ	VYBER	2100	45845	\N	\N	\N
1692083	5735	1998-10-20	VYDAJ	VYBER	4800	59267	\N	\N	\N
1692084	5735	1998-02-01	VYDAJ	VYBER	14100	10734	\N	\N	\N
1692085	5735	1998-01-09	VYDAJ	VYBER	6600	48726	\N	\N	\N
1692088	5735	1995-02-28	VYDAJ	VYBER	15	97639	SLUZBY	\N	\N
1692089	5735	1995-03-31	VYDAJ	VYBER	15	51694	SLUZBY	\N	\N
1692090	5735	1995-04-30	VYDAJ	VYBER	15	80284	SLUZBY	\N	\N
1692091	5735	1995-05-31	VYDAJ	VYBER	15	53001	SLUZBY	\N	\N
1692092	5735	1995-06-30	VYDAJ	VYBER	15	40717	SLUZBY	\N	\N
1692093	5735	1995-07-31	VYDAJ	VYBER	15	92417	SLUZBY	\N	\N
1692094	5735	1995-08-31	VYDAJ	VYBER	15	81831	SLUZBY	\N	\N
1692095	5735	1995-09-30	VYDAJ	VYBER	15	74841	SLUZBY	\N	\N
1692096	5735	1995-10-31	VYDAJ	VYBER	15	66226	SLUZBY	\N	\N
1692097	5735	1995-11-30	VYDAJ	VYBER	15	37773	SLUZBY	\N	\N
1692098	5735	1995-12-31	VYDAJ	VYBER	15	19578	SLUZBY	\N	\N
1692099	5735	1996-01-31	VYDAJ	VYBER	15	-2815	SLUZBY	\N	\N
1692100	5735	1996-02-29	VYDAJ	VYBER	15	11562	SLUZBY	\N	\N
1692101	5735	1996-03-31	VYDAJ	VYBER	15	18835	SLUZBY	\N	\N
1692102	5735	1996-04-30	VYDAJ	VYBER	15	744	SLUZBY	\N	\N
1692103	5735	1996-05-31	VYDAJ	VYBER	15	30238	SLUZBY	\N	\N
1692104	5735	1996-06-30	VYDAJ	VYBER	15	38394	SLUZBY	\N	\N
1692105	5735	1996-07-31	VYDAJ	VYBER	15	14261	SLUZBY	\N	\N
1692106	5735	1996-08-31	VYDAJ	VYBER	15	10346	SLUZBY	\N	\N
1692107	5735	1996-09-30	VYDAJ	VYBER	15	23858	SLUZBY	\N	\N
1692108	5735	1996-10-31	VYDAJ	VYBER	15	17921	SLUZBY	\N	\N
1692109	5735	1996-11-30	VYDAJ	VYBER	15	8821	SLUZBY	\N	\N
1692110	5735	1996-12-31	VYDAJ	VYBER	15	21171	SLUZBY	\N	\N
1692111	5735	1997-01-31	VYDAJ	VYBER	15	-1502	SLUZBY	\N	\N
1692112	5735	1997-02-28	VYDAJ	VYBER	15	46045	SLUZBY	\N	\N
1692113	5735	1997-03-31	VYDAJ	VYBER	15	74981	SLUZBY	\N	\N
1692114	5735	1997-04-30	VYDAJ	VYBER	15	54786	SLUZBY	\N	\N
1692115	5735	1997-05-31	VYDAJ	VYBER	15	76195	SLUZBY	\N	\N
1692116	5735	1997-06-30	VYDAJ	VYBER	15	86301	SLUZBY	\N	\N
1692117	5735	1997-07-31	VYDAJ	VYBER	15	72807	SLUZBY	\N	\N
1692118	5735	1997-08-31	VYDAJ	VYBER	15	50809	SLUZBY	\N	\N
1692119	5735	1997-09-30	VYDAJ	VYBER	15	75915	SLUZBY	\N	\N
1692120	5735	1997-10-31	VYDAJ	VYBER	15	74945	SLUZBY	\N	\N
1692121	5735	1997-11-30	VYDAJ	VYBER	15	77926	SLUZBY	\N	\N
1692122	5735	1997-12-31	VYDAJ	VYBER	15	60326	SLUZBY	\N	\N
1692123	5735	1998-01-31	VYDAJ	VYBER	15	24834	SLUZBY	\N	\N
1692124	5735	1998-02-28	VYDAJ	VYBER	15	25381	SLUZBY	\N	\N
1692125	5735	1998-03-31	VYDAJ	VYBER	15	103138	SLUZBY	\N	\N
1692126	5735	1998-04-30	VYDAJ	VYBER	15	51836	SLUZBY	\N	\N
1692127	5735	1998-05-31	VYDAJ	VYBER	15	87619	SLUZBY	\N	\N
1692128	5735	1998-06-30	VYDAJ	VYBER	15	50390	SLUZBY	\N	\N
1692129	5735	1998-07-31	VYDAJ	VYBER	15	46031	SLUZBY	\N	\N
1692130	5735	1998-08-31	VYDAJ	VYBER	15	48768	SLUZBY	\N	\N
1692131	5735	1998-09-30	VYDAJ	VYBER	15	77612	SLUZBY	\N	\N
1692132	5735	1998-10-31	VYDAJ	VYBER	15	59530	SLUZBY	\N	\N
1692133	5735	1998-11-30	VYDAJ	VYBER	15	69565	SLUZBY	\N	\N
1692134	5735	1995-02-21	VYDAJ	VYBER	44400	65647	\N	\N	\N
1692135	5735	1995-02-24	VYDAJ	VYBER	22300	43347	\N	\N	\N
1692136	5735	1995-03-14	VYDAJ	VYBER	54500	75126	\N	\N	\N
1692137	5735	1995-03-24	VYDAJ	VYBER	39000	76774	\N	\N	\N
1692138	5735	1995-03-26	VYDAJ	VYBER	25400	51374	\N	\N	\N
1692139	5735	1995-04-25	VYDAJ	VYBER	18900	37738	\N	\N	\N
1692140	5735	1995-05-25	VYDAJ	VYBER	27600	52684	\N	\N	\N
1692141	5735	1995-06-24	VYDAJ	VYBER	18200	40452	\N	\N	\N
1692142	5735	1995-07-24	VYDAJ	VYBER	15400	40982	\N	\N	\N
1692143	5735	1995-07-28	VYDAJ	VYBER	17300	92191	\N	\N	\N
1692144	5735	1995-08-07	VYDAJ	VYBER	56400	63776	\N	\N	\N
1692145	5735	1995-08-23	VYDAJ	VYBER	35300	60660	\N	\N	\N
1692146	5735	1995-09-22	VYDAJ	VYBER	28000	47553	\N	\N	\N
1692147	5735	1995-10-22	VYDAJ	VYBER	24600	45741	\N	\N	\N
1692148	5735	1995-11-08	VYDAJ	VYBER	48400	70608	\N	\N	\N
1692149	5735	1995-11-21	VYDAJ	VYBER	14600	36808	\N	\N	\N
1692150	5735	1995-12-21	VYDAJ	VYBER	1100	25162	\N	\N	\N
1692151	5735	1996-01-20	PRIJEM	VKLAD	11500	9778	\N	\N	\N
1692152	5735	1996-02-19	PRIJEM	VKLAD	14400	11575	\N	\N	\N
1692153	5735	1996-03-20	PRIJEM	VKLAD	12100	18790	\N	\N	\N
1692154	5735	1996-04-19	PRIJEM	VKLAD	10900	24890	\N	\N	\N
1692155	5735	1996-05-19	PRIJEM	VKLAD	7200	30177	\N	\N	\N
1692156	5735	1996-06-18	PRIJEM	VKLAD	3400	27860	\N	\N	\N
1692157	5735	1996-07-18	PRIJEM	VKLAD	10200	23456	\N	\N	\N
1692158	5735	1996-08-17	PRIJEM	VKLAD	13600	23016	\N	\N	\N
1692159	5735	1996-09-16	PRIJEM	VKLAD	18300	23801	\N	\N	\N
1692160	5735	1996-10-16	PRIJEM	VKLAD	18100	22693	\N	\N	\N
1692161	5735	1996-11-15	PRIJEM	VKLAD	14600	27676	\N	\N	\N
1692162	5735	1996-12-15	PRIJEM	VKLAD	20400	21121	\N	\N	\N
1692163	5735	1997-01-14	PRIJEM	VKLAD	20500	19771	\N	\N	\N
1692164	5735	1997-02-13	PRIJEM	VKLAD	7300	29447	\N	\N	\N
1692165	5735	1997-03-15	VYDAJ	VYBER	17700	52923	\N	\N	\N
1692166	5735	1997-04-14	VYDAJ	VYBER	13800	56336	\N	\N	\N
1692167	5735	1997-05-14	VYDAJ	VYBER	3200	41341	\N	\N	\N
1692168	5735	1997-06-13	VYDAJ	VYBER	12000	46195	\N	\N	\N
1692169	5735	1997-07-13	VYDAJ	VYBER	18800	62656	\N	\N	\N
1692170	5735	1997-08-12	VYDAJ	VYBER	13500	54462	\N	\N	\N
1692171	5735	1997-09-11	VYDAJ	VYBER	5300	45509	\N	\N	\N
1692172	5735	1997-10-11	VYDAJ	VYBER	11100	52277	\N	\N	\N
1692173	5735	1997-11-04	VYDAJ	VYBER	47500	73455	\N	\N	\N
1692174	5735	1997-11-10	VYDAJ	VYBER	17900	63239	\N	\N	\N
1692175	5735	1997-12-10	VYDAJ	VYBER	24800	67598	\N	\N	\N
1692176	5735	1998-01-09	PRIJEM	VKLAD	4600	55326	\N	\N	\N
1692177	5735	1998-02-08	PRIJEM	VKLAD	19400	30134	\N	\N	\N
1692178	5735	1998-03-10	PRIJEM	VKLAD	15200	40581	\N	\N	\N
1692179	5735	1998-03-30	VYDAJ	VYBER	18700	102979	\N	\N	\N
1692180	5735	1998-04-09	VYDAJ	VYBER	22900	80238	\N	\N	\N
1692181	5735	1998-05-09	PRIJEM	VKLAD	3800	55636	\N	\N	\N
1692182	5735	1998-06-03	VYDAJ	VYBER	29600	82851	\N	\N	\N
1692183	5735	1998-06-08	VYDAJ	VYBER	14100	68751	\N	\N	\N
1692184	5735	1998-07-08	PRIJEM	VKLAD	2400	52790	\N	\N	\N
1692185	5735	1998-08-07	PRIJEM	VKLAD	7400	53431	\N	\N	\N
1692186	5735	1998-09-06	PRIJEM	VKLAD	4000	52768	\N	\N	\N
1692187	5735	1998-10-06	VYDAJ	VYBER	8700	68912	\N	\N	\N
1692188	5735	1998-11-05	PRIJEM	VKLAD	600	60130	\N	\N	\N
1692189	5735	1998-12-05	PRIJEM	VKLAD	2200	69365	\N	\N	\N
1692190	5735	1998-12-25	VYDAJ	VYBER	35600	88675	\N	\N	\N
1693618	5740	1993-04-16	PRIJEM	VKLAD	800	800	\N	\N	\N
1693619	5740	1993-07-15	PRIJEM	VKLAD	37371	44127	\N	\N	\N
1693621	5740	1993-04-24	PRIJEM	VKLAD	42472	43272	\N	\N	\N
1693623	5740	1993-08-21	PRIJEM	VKLAD	11685	109079	\N	\N	\N
1693624	5740	1993-09-01	PRIJEM	VKLAD	20208	105630	\N	\N	\N
1693625	5740	1993-08-16	PRIJEM	VKLAD	30607	86060	\N	\N	\N
1693626	5740	1993-09-28	PRIJEM	VKLAD	44983	89531	\N	\N	\N
1693628	5740	1993-06-01	PRIJEM	VKLAD	31779	75107	\N	\N	\N
1693631	5740	1993-11-28	PRIJEM	VKLAD	6870	21556	\N	\N	\N
1693633	5740	1993-06-15	PRIJEM	VKLAD	17652	117275	\N	\N	\N
1693634	5740	1993-08-05	PRIJEM	VKLAD	27616	87490	\N	\N	\N
1693636	5740	1993-08-12	PRIJEM	VKLAD	30063	117553	\N	\N	\N
1693637	5740	1993-06-10	PRIJEM	VKLAD	24516	99623	\N	\N	\N
1693638	5740	1993-12-16	PRIJEM	VKLAD	37050	62991	\N	\N	\N
1693639	5740	1993-11-30	PRIJEM	VKLAD	14473	30755	\N	\N	\N
1693640	5740	1993-06-30	PRIJEM	VKLAD	10315	6590	\N	\N	\N
1693642	5740	1993-05-27	PRIJEM	VKLAD	11834	43148	\N	\N	\N
1693644	5740	1993-07-26	PRIJEM	VKLAD	32964	59782	\N	\N	\N
1693645	5740	1993-08-17	PRIJEM	VKLAD	11334	97394	\N	\N	\N
1693647	5740	1994-03-22	PRIJEM	VKLAD	26254	43379	\N	\N	\N
1693648	5740	1995-07-08	PRIJEM	VKLAD	25962	63931	\N	\N	\N
1693649	5740	1995-04-29	PRIJEM	VKLAD	25234	90683	\N	\N	\N
1693650	5740	1995-02-06	PRIJEM	VKLAD	44665	54466	\N	\N	\N
1693651	5740	1995-03-31	PRIJEM	VKLAD	25891	54746	\N	\N	\N
1693652	5740	1995-06-27	PRIJEM	VKLAD	26522	59287	\N	\N	\N
1693653	5740	1995-08-29	PRIJEM	VKLAD	6062	29395	\N	\N	\N
1693654	5740	1995-08-24	PRIJEM	VKLAD	14195	23333	\N	\N	\N
1693655	5740	1995-11-28	PRIJEM	VKLAD	40335	130408	\N	\N	\N
1693656	5740	1995-04-06	PRIJEM	VKLAD	9609	44226	\N	\N	\N
1693657	5740	1995-10-10	PRIJEM	VKLAD	16664	71362	\N	\N	\N
1693658	5740	1995-12-30	PRIJEM	VKLAD	44969	113719	\N	\N	\N
1693659	5740	1995-11-15	PRIJEM	VKLAD	5506	41816	\N	\N	\N
1693660	5740	1995-01-09	PRIJEM	VKLAD	40021	41651	\N	\N	\N
1693661	5740	1995-04-18	PRIJEM	VKLAD	10216	40142	\N	\N	\N
1693662	5740	1995-10-02	PRIJEM	VKLAD	30573	101598	\N	\N	\N
1693663	5740	1995-06-27	PRIJEM	VKLAD	43682	102969	\N	\N	\N
1693664	5740	1995-11-25	PRIJEM	VKLAD	48257	90073	\N	\N	\N
1693665	5740	1995-06-01	PRIJEM	VKLAD	36222	133182	\N	\N	\N
1693666	5740	1995-09-16	PRIJEM	VKLAD	11547	70811	\N	\N	\N
1693667	5740	1995-12-04	PRIJEM	VKLAD	24719	74750	\N	\N	\N
1693668	5740	1995-06-26	PRIJEM	VKLAD	33022	32765	\N	\N	\N
1693669	5740	1995-06-01	PRIJEM	VKLAD	38015	96960	\N	\N	\N
1693670	5740	1995-05-13	PRIJEM	VKLAD	17883	72164	\N	\N	\N
1693671	5740	1995-09-11	PRIJEM	VKLAD	38551	59264	\N	\N	\N
1693672	5740	1995-04-25	PRIJEM	VKLAD	38721	78863	\N	\N	\N
1693673	5740	1996-12-02	PRIJEM	VKLAD	11794	28289	\N	\N	\N
1693674	5740	1996-03-03	PRIJEM	VKLAD	23962	29143	\N	\N	\N
1693675	5740	1996-11-03	PRIJEM	VKLAD	10612	20666	\N	\N	\N
1693676	5740	1997-07-22	PRIJEM	VKLAD	21432	94043	\N	\N	\N
1693677	5740	1997-04-16	PRIJEM	VKLAD	38881	47477	\N	\N	\N
1693678	5740	1997-11-16	PRIJEM	VKLAD	49725	62273	\N	\N	\N
1693679	5740	1997-08-19	PRIJEM	VKLAD	24069	95482	\N	\N	\N
1693680	5740	1997-02-22	PRIJEM	VKLAD	11362	12967	\N	\N	\N
1693681	5740	1997-07-29	PRIJEM	VKLAD	38293	91736	\N	\N	\N
1693682	5740	1997-06-10	PRIJEM	VKLAD	44827	64157	\N	\N	\N
1693683	5740	1997-06-19	PRIJEM	VKLAD	28546	62703	\N	\N	\N
1693684	5740	1997-07-03	PRIJEM	VKLAD	38690	76211	\N	\N	\N
1693685	5740	1997-08-06	PRIJEM	VKLAD	32569	124571	\N	\N	\N
1693686	5740	1997-08-18	PRIJEM	VKLAD	23242	116413	\N	\N	\N
1693687	5740	1998-08-18	PRIJEM	VKLAD	15506	39867	\N	\N	\N
1693688	5740	1998-05-14	PRIJEM	VKLAD	41270	40943	\N	\N	\N
1693689	5740	1998-07-04	PRIJEM	VKLAD	44035	48328	\N	\N	\N
1693690	5740	1998-12-28	PRIJEM	VKLAD	9334	13992	\N	\N	\N
1693691	5740	1998-11-14	PRIJEM	VKLAD	38315	40631	\N	\N	\N
1693765	5740	1993-11-01	VYBER	VYBER	15011	31620	\N	\N	\N
1693766	5740	1993-12-21	VYBER	VYBER	12560	50431	\N	\N	\N
1693770	5740	1993-09-15	VYBER	VYBER	3082	44548	\N	\N	\N
1693773	5740	1993-11-18	VYBER	VYBER	15134	14686	\N	\N	\N
1693774	5740	1993-07-18	VYBER	VYBER	4909	26818	\N	\N	\N
1693775	5740	1993-09-29	VYBER	VYBER	20159	69372	\N	\N	\N
1693777	5740	1994-04-08	VYBER	VYBER	22121	12026	\N	\N	\N
1693778	5740	1994-08-25	VYBER	VYBER	8246	12633	\N	\N	\N
1693779	5740	1995-10-27	VYBER	VYBER	6913	64449	\N	\N	\N
1693780	5740	1995-03-21	VYBER	VYBER	3955	28674	\N	\N	\N
1693781	5740	1995-04-26	VYBER	VYBER	13414	65449	\N	\N	\N
1693782	5740	1995-08-15	VYBER	VYBER	20746	9138	\N	\N	\N
1693783	5740	1995-06-13	VYBER	VYBER	19039	2443	\N	\N	\N
1693784	5740	1995-02-01	VYBER	VYBER	3949	901	\N	\N	\N
1693785	5740	1995-04-03	VYBER	VYBER	20115	34617	\N	\N	\N
1693786	5740	1995-02-07	VYBER	VYBER	3900	50566	\N	\N	\N
1693788	5740	1996-07-27	VYBER	VYBER	5920	-608	\N	\N	\N
1693789	5740	1996-04-27	VYBER	VYBER	8583	4732	\N	\N	\N
1693792	5740	1996-03-26	VYBER	VYBER	6047	23096	\N	\N	\N
1693793	5740	1996-12-25	VYBER	VYBER	19635	-46	\N	\N	\N
1693794	5740	1996-01-17	VYBER	VYBER	3548	965	\N	\N	\N
1693795	5740	1996-10-11	VYBER	VYBER	4886	6524	\N	\N	\N
1693801	5740	1997-09-15	VYBER	VYBER	8134	38146	\N	\N	\N
1693802	5740	1997-08-19	VYBER	VYBER	17319	78163	\N	\N	\N
1693805	5740	1993-06-18	VYDAJ	VYBER	54300	6775	\N	\N	\N
1693807	5740	1995-06-03	VYDAJ	VYBER	63300	34482	\N	\N	\N
1693809	5740	1997-06-16	VYDAJ	VYBER	30000	34157	\N	\N	\N
1693812	5740	1994-01-15	VYDAJ	VYBER	25500	1688	\N	\N	\N
1693813	5740	1995-01-05	VYDAJ	VYBER	11700	-770	\N	\N	\N
1693814	5740	1996-01-02	VYDAJ	VYBER	16800	13513	\N	\N	\N
1693817	5740	1993-12-25	VYDAJ	VYBER	6900	43531	\N	\N	\N
1693818	5740	1994-12-24	VYDAJ	VYBER	5400	10894	\N	\N	\N
1693819	5740	1995-12-19	VYDAJ	VYBER	6000	68750	\N	\N	\N
1693820	5740	1996-12-10	VYDAJ	VYBER	2400	19589	\N	\N	\N
1693821	5740	1997-12-18	VYDAJ	VYBER	3900	31338	\N	\N	\N
1693822	5740	1998-12-19	VYDAJ	VYBER	3000	4658	\N	\N	\N
1693829	5740	1994-01-09	VYDAJ	VYBER	8400	31088	\N	\N	\N
1693831	5740	1994-01-06	VYDAJ	VYBER	2400	39488	\N	\N	\N
1693832	5740	1994-01-02	VYDAJ	VYBER	1800	41888	\N	\N	\N
1693833	5740	1994-01-30	VYDAJ	VYBER	2400	-712	\N	\N	\N
1693835	5740	1995-01-19	VYDAJ	VYBER	8700	32951	\N	\N	\N
1693836	5740	1995-01-30	VYDAJ	VYBER	5100	11351	\N	\N	\N
1693837	5740	1995-01-08	VYDAJ	VYBER	8400	1630	\N	\N	\N
1693838	5740	1995-01-26	VYDAJ	VYBER	2100	30851	\N	\N	\N
1693839	5740	1995-01-30	VYDAJ	VYBER	6600	4751	\N	\N	\N
1693845	5740	1996-01-09	VYDAJ	VYBER	2700	4513	\N	\N	\N
1693846	5740	1996-01-08	VYDAJ	VYBER	6300	7213	\N	\N	\N
1693850	5740	1997-01-03	VYDAJ	VYBER	5700	-197	\N	\N	\N
1693854	5740	1998-01-03	VYDAJ	VYBER	2400	17244	\N	\N	\N
1693855	5740	1998-01-09	VYDAJ	VYBER	7200	1644	\N	\N	\N
1693857	5740	1998-01-04	VYDAJ	VYBER	8400	8844	\N	\N	\N
1693860	5740	1993-06-28	VYDAJ	VYBER	10500	-3725	\N	\N	\N
1693861	5740	1993-11-28	VYDAJ	VYBER	5400	16156	\N	\N	\N
1693862	5740	1994-05-10	VYDAJ	VYBER	14400	3508	\N	\N	\N
1693863	5740	1994-10-17	VYDAJ	VYBER	10500	8630	\N	\N	\N
1693864	5740	1994-03-27	VYDAJ	VYBER	9300	34079	\N	\N	\N
1693865	5740	1994-05-25	VYDAJ	VYBER	10800	1508	\N	\N	\N
1693867	5740	1995-06-13	VYDAJ	VYBER	2700	-257	\N	\N	\N
1693868	5740	1995-05-13	VYDAJ	VYBER	13500	58664	\N	\N	\N
1693869	5740	1995-08-10	VYDAJ	VYBER	5100	29884	\N	\N	\N
1693870	5740	1995-01-29	VYDAJ	VYBER	14400	16451	\N	\N	\N
1693871	5740	1995-07-27	VYDAJ	VYBER	2100	61831	\N	\N	\N
1693872	5740	1995-11-07	VYDAJ	VYBER	2400	36310	\N	\N	\N
1693873	5740	1996-12-06	VYDAJ	VYBER	6300	21989	\N	\N	\N
1693876	5740	1997-05-30	VYDAJ	VYBER	4500	19215	\N	\N	\N
1693877	5740	1997-06-27	VYDAJ	VYBER	1500	37403	\N	\N	\N
1693878	5740	1997-07-05	VYDAJ	VYBER	3600	72611	\N	\N	\N
1693879	5740	1997-09-26	VYDAJ	VYBER	6300	18446	\N	\N	\N
1693883	5740	1998-08-20	VYDAJ	VYBER	10200	6767	\N	\N	\N
1693891	5740	1993-06-30	VYDAJ	VYBER	15	6756	SLUZBY	\N	\N
1693892	5740	1993-07-31	VYDAJ	VYBER	15	59874	SLUZBY	\N	\N
1693893	5740	1993-08-31	VYDAJ	VYBER	15	85422	SLUZBY	\N	\N
1693894	5740	1993-09-30	VYDAJ	VYBER	15	69658	SLUZBY	\N	\N
1693895	5740	1993-10-31	VYDAJ	VYBER	15	46631	SLUZBY	\N	\N
1693896	5740	1993-11-30	VYDAJ	VYBER	15	30741	SLUZBY	\N	\N
1693897	5740	1993-12-31	VYDAJ	VYBER	15	43688	SLUZBY	\N	\N
1693898	5740	1994-01-31	VYDAJ	VYBER	15	-656	SLUZBY	\N	\N
1693899	5740	1994-02-28	VYDAJ	VYBER	15	11225	SLUZBY	\N	\N
1693900	5740	1994-03-31	VYDAJ	VYBER	15	34147	SLUZBY	\N	\N
1693901	5740	1994-04-30	VYDAJ	VYBER	15	17908	SLUZBY	\N	\N
1693902	5740	1994-05-31	VYDAJ	VYBER	15	1542	SLUZBY	\N	\N
1693903	5740	1994-06-30	VYDAJ	VYBER	15	13935	SLUZBY	\N	\N
1693904	5740	1994-07-31	VYDAJ	VYBER	15	19279	SLUZBY	\N	\N
1693905	5740	1994-08-31	VYDAJ	VYBER	15	12692	SLUZBY	\N	\N
1693906	5740	1994-09-30	VYDAJ	VYBER	15	18630	SLUZBY	\N	\N
1693907	5740	1994-10-31	VYDAJ	VYBER	15	8673	SLUZBY	\N	\N
1693908	5740	1994-11-30	VYDAJ	VYBER	15	12894	SLUZBY	\N	\N
1693909	5740	1994-12-31	VYDAJ	VYBER	15	10930	SLUZBY	\N	\N
1693910	5740	1995-01-31	VYDAJ	VYBER	15	4850	SLUZBY	\N	\N
1693911	5740	1995-02-28	VYDAJ	VYBER	15	50729	SLUZBY	\N	\N
1693912	5740	1995-03-31	VYDAJ	VYBER	15	54732	SLUZBY	\N	\N
1693913	5740	1995-04-30	VYDAJ	VYBER	15	90881	SLUZBY	\N	\N
1693914	5740	1995-05-31	VYDAJ	VYBER	15	58945	SLUZBY	\N	\N
1693915	5740	1995-06-30	VYDAJ	VYBER	15	68069	SLUZBY	\N	\N
1693916	5740	1995-07-31	VYDAJ	VYBER	15	62084	SLUZBY	\N	\N
1693917	5740	1995-08-31	VYDAJ	VYBER	15	29513	SLUZBY	\N	\N
1693918	5740	1995-09-30	VYDAJ	VYBER	15	71025	SLUZBY	\N	\N
1693919	5740	1995-10-31	VYDAJ	VYBER	15	64710	SLUZBY	\N	\N
1693920	5740	1995-11-30	VYDAJ	VYBER	15	88931	SLUZBY	\N	\N
1693921	5740	1995-12-31	VYDAJ	VYBER	15	52013	SLUZBY	\N	\N
1693922	5740	1996-01-31	VYDAJ	VYBER	15	5175	SLUZBY	\N	\N
1693923	5740	1996-02-29	VYDAJ	VYBER	15	5181	SLUZBY	\N	\N
1693924	5740	1996-03-31	VYDAJ	VYBER	15	23115	SLUZBY	\N	\N
1693925	5740	1996-04-30	VYDAJ	VYBER	15	4810	SLUZBY	\N	\N
1693926	5740	1996-05-31	VYDAJ	VYBER	15	5008	SLUZBY	\N	\N
1693927	5740	1996-06-30	VYDAJ	VYBER	15	5312	SLUZBY	\N	\N
1693928	5740	1996-07-31	VYDAJ	VYBER	15	4697	SLUZBY	\N	\N
1693929	5740	1996-08-31	VYDAJ	VYBER	15	6400	SLUZBY	\N	\N
1693930	5740	1996-09-30	VYDAJ	VYBER	15	11410	SLUZBY	\N	\N
1693931	5740	1996-10-31	VYDAJ	VYBER	15	10054	SLUZBY	\N	\N
1693932	5740	1996-11-30	VYDAJ	VYBER	15	16495	SLUZBY	\N	\N
1693933	5740	1996-12-31	VYDAJ	VYBER	15	5504	SLUZBY	\N	\N
1693934	5740	1997-01-31	VYDAJ	VYBER	15	1605	SLUZBY	\N	\N
1693935	5740	1997-02-28	VYDAJ	VYBER	15	11964	SLUZBY	\N	\N
1693936	5740	1997-03-31	VYDAJ	VYBER	15	8596	SLUZBY	\N	\N
1693937	5740	1997-04-30	VYDAJ	VYBER	15	32815	SLUZBY	\N	\N
1693938	5740	1997-05-31	VYDAJ	VYBER	15	19330	SLUZBY	\N	\N
1693939	5740	1997-06-30	VYDAJ	VYBER	15	37521	SLUZBY	\N	\N
1693940	5740	1997-07-31	VYDAJ	VYBER	15	92002	SLUZBY	\N	\N
1693941	5740	1997-08-31	VYDAJ	VYBER	15	46280	SLUZBY	\N	\N
1693942	5740	1997-09-30	VYDAJ	VYBER	15	18589	SLUZBY	\N	\N
1693943	5740	1997-10-31	VYDAJ	VYBER	15	12548	SLUZBY	\N	\N
1693944	5740	1997-11-30	VYDAJ	VYBER	15	35238	SLUZBY	\N	\N
1693945	5740	1997-12-31	VYDAJ	VYBER	15	19644	SLUZBY	\N	\N
1693946	5740	1998-01-31	VYDAJ	VYBER	15	3046	SLUZBY	\N	\N
1693950	5740	1998-05-31	VYDAJ	VYBER	15	14154	SLUZBY	\N	\N
1693951	5740	1998-06-30	VYDAJ	VYBER	15	4293	SLUZBY	\N	\N
1693952	5740	1998-07-31	VYDAJ	VYBER	15	24361	SLUZBY	\N	\N
1693953	5740	1998-08-31	VYDAJ	VYBER	15	6819	SLUZBY	\N	\N
1693954	5740	1998-09-30	VYDAJ	VYBER	15	2027	SLUZBY	\N	\N
1693955	5740	1998-10-31	VYDAJ	VYBER	15	2316	SLUZBY	\N	\N
1693956	5740	1998-11-30	VYDAJ	VYBER	15	20258	SLUZBY	\N	\N
1693957	5740	1993-05-16	VYDAJ	VYBER	12000	31314	\N	\N	\N
1693958	5740	1993-06-15	VYDAJ	VYBER	15900	61075	\N	\N	\N
1693959	5740	1993-06-15	VYDAJ	VYBER	40300	76975	\N	\N	\N
1693960	5740	1993-07-15	VYDAJ	VYBER	12400	31727	\N	\N	\N
1693961	5740	1993-08-12	VYDAJ	VYBER	28800	88753	\N	\N	\N
1693962	5740	1993-08-14	VYDAJ	VYBER	33300	55453	\N	\N	\N
1693963	5740	1993-08-21	VYDAJ	VYBER	24000	85079	\N	\N	\N
1693964	5740	1993-09-01	VYDAJ	VYBER	38200	67430	\N	\N	\N
1693965	5740	1993-09-13	VYDAJ	VYBER	19800	47630	\N	\N	\N
1693966	5740	1993-10-13	VYDAJ	VYBER	23300	46358	\N	\N	\N
1693967	5740	1993-11-12	VYDAJ	VYBER	1800	29820	\N	\N	\N
1693968	5740	1993-12-12	VYDAJ	VYBER	4800	25941	\N	\N	\N
1693969	5740	1994-01-11	VYDAJ	VYBER	3900	27188	\N	\N	\N
1693970	5740	1994-02-10	PRIJEM	VKLAD	11900	11244	\N	\N	\N
1693971	5740	1994-03-12	PRIJEM	VKLAD	5900	17125	\N	\N	\N
1693972	5740	1994-04-11	PRIJEM	VKLAD	5800	17826	\N	\N	\N
1693973	5740	1994-05-11	PRIJEM	VKLAD	8800	12308	\N	\N	\N
1693974	5740	1994-06-10	PRIJEM	VKLAD	12400	13942	\N	\N	\N
1693975	5740	1994-07-10	PRIJEM	VKLAD	5300	19235	\N	\N	\N
1693976	5740	1994-08-09	PRIJEM	VKLAD	1600	20879	\N	\N	\N
1693977	5740	1994-09-08	PRIJEM	VKLAD	5900	18592	\N	\N	\N
1693978	5740	1994-10-08	PRIJEM	VKLAD	500	19130	\N	\N	\N
1693979	5740	1994-11-07	PRIJEM	VKLAD	4200	12873	\N	\N	\N
1693980	5740	1994-12-07	PRIJEM	VKLAD	3400	16294	\N	\N	\N
1693981	5740	1995-01-06	PRIJEM	VKLAD	10800	10030	\N	\N	\N
1693982	5740	1995-02-05	PRIJEM	VKLAD	8900	9801	\N	\N	\N
1693983	5740	1995-03-07	VYDAJ	VYBER	18100	32629	\N	\N	\N
1693984	5740	1995-04-06	VYDAJ	VYBER	14300	29926	\N	\N	\N
1693985	5740	1995-05-06	VYDAJ	VYBER	36600	54281	\N	\N	\N
1693986	5740	1995-06-01	VYDAJ	VYBER	35400	97782	\N	\N	\N
1693987	5740	1995-06-05	VYDAJ	VYBER	13000	21482	\N	\N	\N
1693988	5740	1995-06-27	VYDAJ	VYBER	35000	67969	\N	\N	\N
1693989	5740	1995-07-05	VYDAJ	VYBER	30100	37969	\N	\N	\N
1693990	5740	1995-08-04	VYDAJ	VYBER	27100	34984	\N	\N	\N
1693991	5740	1995-09-03	VYDAJ	VYBER	8800	20713	\N	\N	\N
1693992	5740	1995-10-03	VYDAJ	VYBER	46900	54698	\N	\N	\N
1693993	5740	1995-11-02	VYDAJ	VYBER	26000	38710	\N	\N	\N
1693994	5740	1995-11-28	VYDAJ	VYBER	41700	88708	\N	\N	\N
1693995	5740	1995-12-02	VYDAJ	VYBER	38900	50031	\N	\N	\N
1693996	5740	1995-12-30	VYDAJ	VYBER	62000	51719	\N	\N	\N
1693997	5740	1996-01-01	VYDAJ	VYBER	21700	30313	\N	\N	\N
1693998	5740	1996-01-31	PRIJEM	VKLAD	4200	5165	\N	\N	\N
1693999	5740	1996-03-31	VYDAJ	VYBER	9800	13315	\N	\N	\N
1694000	5740	1996-04-30	VYDAJ	VYBER	1200	3610	\N	\N	\N
1694001	5740	1996-05-30	PRIJEM	VKLAD	1400	5010	\N	\N	\N
1694002	5740	1996-06-29	PRIJEM	VKLAD	300	5308	\N	\N	\N
1694003	5740	1996-07-29	PRIJEM	VKLAD	5300	4692	\N	\N	\N
1694004	5740	1996-08-28	PRIJEM	VKLAD	1700	6397	\N	\N	\N
1694005	5740	1996-09-27	PRIJEM	VKLAD	5000	11400	\N	\N	\N
1694006	5740	1996-10-27	PRIJEM	VKLAD	3500	10024	\N	\N	\N
1694007	5740	1996-11-26	VYDAJ	VYBER	4200	16466	\N	\N	\N
1694008	5740	1996-12-26	PRIJEM	VKLAD	5500	5454	\N	\N	\N
1694009	5740	1997-01-25	PRIJEM	VKLAD	1800	1603	\N	\N	\N
1694010	5740	1997-02-24	VYDAJ	VYBER	1000	11967	\N	\N	\N
1694011	5740	1997-03-26	VYDAJ	VYBER	3400	8564	\N	\N	\N
1694012	5740	1997-04-25	VYDAJ	VYBER	14700	32777	\N	\N	\N
1694013	5740	1997-05-25	VYDAJ	VYBER	9100	23715	\N	\N	\N
1694014	5740	1997-06-24	VYDAJ	VYBER	23800	38903	\N	\N	\N
1694015	5740	1997-07-24	VYDAJ	VYBER	40600	53443	\N	\N	\N
1694016	5740	1997-08-06	VYDAJ	VYBER	31400	93171	\N	\N	\N
1694017	5740	1997-08-18	VYDAJ	VYBER	45000	71413	\N	\N	\N
1694018	5740	1997-08-23	VYDAJ	VYBER	32200	45963	\N	\N	\N
1694019	5740	1997-09-22	VYDAJ	VYBER	13400	24746	\N	\N	\N
1694020	5740	1997-10-22	VYDAJ	VYBER	6100	12489	\N	\N	\N
1694021	5740	1997-11-21	VYDAJ	VYBER	27100	35173	\N	\N	\N
1694022	5740	1997-12-21	VYDAJ	VYBER	11800	19538	\N	\N	\N
1694023	5740	1998-01-20	PRIJEM	VKLAD	1400	3044	\N	\N	\N
1694024	5740	1998-02-19	VYDAJ	VYBER	4400	-1354	\N	\N	\N
1694025	5740	1998-03-21	PRIJEM	VKLAD	400	-945	\N	\N	\N
1694026	5740	1998-04-20	PRIJEM	VKLAD	600	-336	\N	\N	\N
1694027	5740	1998-05-20	VYDAJ	VYBER	26800	14143	\N	\N	\N
1694028	5740	1998-06-19	VYDAJ	VYBER	9900	4254	\N	\N	\N
1694029	5740	1998-07-19	VYDAJ	VYBER	24000	24328	\N	\N	\N
1694030	5740	1998-08-18	VYDAJ	VYBER	22900	16967	\N	\N	\N
1694031	5740	1998-09-17	VYDAJ	VYBER	4800	2019	\N	\N	\N
1694032	5740	1998-10-17	PRIJEM	VKLAD	300	2327	\N	\N	\N
1694033	5740	1998-11-16	VYDAJ	VYBER	20400	20231	\N	\N	\N
1694034	5740	1998-12-16	VYDAJ	VYBER	12600	7658	\N	\N	\N
1694641	5742	1995-07-05	PRIJEM	VKLAD	600	600	\N	\N	\N
1694647	5742	1995-10-08	PRIJEM	VKLAD	12384	72650	\N	\N	\N
1694649	5742	1995-09-22	PRIJEM	VKLAD	14439	102279	\N	\N	\N
1694651	5742	1995-10-18	PRIJEM	VKLAD	21379	94029	\N	\N	\N
1694652	5742	1995-07-06	PRIJEM	VKLAD	30247	30847	\N	\N	\N
1694654	5742	1995-09-05	PRIJEM	VKLAD	29132	87840	\N	\N	\N
1694656	5742	1995-08-31	PRIJEM	VKLAD	39741	92408	\N	\N	\N
1694663	5742	1995-08-27	PRIJEM	VKLAD	23164	52519	\N	\N	\N
1694665	5742	1995-12-07	PRIJEM	VKLAD	24595	63823	\N	\N	\N
1694666	5742	1996-02-02	PRIJEM	VKLAD	18079	70277	\N	\N	\N
1694667	5742	1996-02-05	PRIJEM	VKLAD	17914	88191	\N	\N	\N
1694668	5742	1996-07-05	PRIJEM	VKLAD	45180	75248	\N	\N	\N
1694669	5742	1996-09-16	PRIJEM	VKLAD	31839	52779	\N	\N	\N
1694670	5742	1996-07-08	PRIJEM	VKLAD	35613	130292	\N	\N	\N
1694671	5742	1996-03-24	PRIJEM	VKLAD	36721	57719	\N	\N	\N
1694672	5742	1996-01-28	PRIJEM	VKLAD	43454	93074	\N	\N	\N
1694673	5742	1996-05-22	PRIJEM	VKLAD	7383	32674	\N	\N	\N
1694674	5742	1996-12-20	PRIJEM	VKLAD	5228	41125	\N	\N	\N
1694675	5742	1996-06-19	PRIJEM	VKLAD	30664	99522	\N	\N	\N
1694676	5742	1996-10-16	PRIJEM	VKLAD	10607	99398	\N	\N	\N
1694677	5742	1996-11-05	PRIJEM	VKLAD	41747	94237	\N	\N	\N
1694678	5742	1996-02-12	PRIJEM	VKLAD	44368	139370	\N	\N	\N
1694679	5742	1996-11-07	PRIJEM	VKLAD	21738	115975	\N	\N	\N
1694680	5742	1996-12-18	PRIJEM	VKLAD	9591	35897	\N	\N	\N
1694681	5742	1996-10-26	PRIJEM	VKLAD	26494	125892	\N	\N	\N
1694682	5742	1996-07-07	PRIJEM	VKLAD	32117	107365	\N	\N	\N
1694683	5742	1996-06-06	PRIJEM	VKLAD	46702	73703	\N	\N	\N
1694684	5742	1996-01-15	PRIJEM	VKLAD	11248	49620	\N	\N	\N
1694685	5742	1996-04-17	PRIJEM	VKLAD	14206	41318	\N	\N	\N
1694686	5742	1996-02-13	PRIJEM	VKLAD	36701	107026	\N	\N	\N
1694687	5742	1996-10-07	PRIJEM	VKLAD	44583	70651	\N	\N	\N
1694688	5742	1996-02-05	PRIJEM	VKLAD	6811	95002	\N	\N	\N
1694689	5742	1996-01-14	PRIJEM	VKLAD	15978	38372	\N	\N	\N
1694690	5742	1996-10-09	PRIJEM	VKLAD	22985	93636	\N	\N	\N
1694691	5742	1997-07-25	PRIJEM	VKLAD	25012	52745	\N	\N	\N
1694692	5742	1997-06-03	PRIJEM	VKLAD	21433	45408	\N	\N	\N
1694693	5742	1997-02-10	PRIJEM	VKLAD	8168	33939	\N	\N	\N
1694694	5742	1997-09-13	PRIJEM	VKLAD	36849	72930	\N	\N	\N
1694695	5742	1997-12-03	PRIJEM	VKLAD	30041	67785	\N	\N	\N
1694696	5742	1997-08-20	PRIJEM	VKLAD	36854	84797	\N	\N	\N
1694697	5742	1998-01-17	PRIJEM	VKLAD	48320	97124	\N	\N	\N
1694698	5742	1998-03-20	PRIJEM	VKLAD	27469	50511	\N	\N	\N
1694699	5742	1998-02-18	PRIJEM	VKLAD	17625	62837	\N	\N	\N
1694700	5742	1998-06-11	PRIJEM	VKLAD	21852	47701	\N	\N	\N
1694701	5742	1998-04-21	PRIJEM	VKLAD	17806	60944	\N	\N	\N
1694711	5742	1995-10-04	VYDAJ	VYBER	5000	60266	\N	\N	0
1694712	5742	1995-11-23	VYDAJ	VYBER	4000	55877	\N	\N	0
1694713	5742	1995-12-13	VYDAJ	VYBER	3800	52808	\N	\N	0
1694714	5742	1996-01-12	VYDAJ	PREVOD NA UCET	4845	22394	UVER	GH	19201743
1694715	5742	1996-02-12	VYDAJ	PREVOD NA UCET	4845	134525	UVER	GH	19201743
1694716	5742	1996-03-12	VYDAJ	PREVOD NA UCET	4845	20998	UVER	GH	19201743
1694717	5742	1996-04-12	VYDAJ	PREVOD NA UCET	4845	27112	UVER	GH	19201743
1694718	5742	1996-05-12	VYDAJ	PREVOD NA UCET	4845	25291	UVER	GH	19201743
1694719	5742	1996-06-12	VYDAJ	PREVOD NA UCET	4845	68858	UVER	GH	19201743
1694720	5742	1996-07-12	VYDAJ	PREVOD NA UCET	4845	66685	UVER	GH	19201743
1694721	5742	1996-08-12	VYDAJ	PREVOD NA UCET	4845	36721	UVER	GH	19201743
1694722	5742	1996-09-12	VYDAJ	PREVOD NA UCET	4845	20940	UVER	GH	19201743
1694723	5742	1996-10-12	VYDAJ	PREVOD NA UCET	4845	88791	UVER	GH	19201743
1694724	5742	1996-11-12	VYDAJ	PREVOD NA UCET	4845	60030	UVER	GH	19201743
1694725	5742	1996-12-12	VYDAJ	PREVOD NA UCET	4845	26306	UVER	GH	19201743
1694726	5742	1997-01-12	VYDAJ	PREVOD NA UCET	4845	29836	UVER	GH	19201743
1694727	5742	1997-02-12	VYDAJ	PREVOD NA UCET	4845	29094	UVER	GH	19201743
1694728	5742	1997-03-12	VYDAJ	PREVOD NA UCET	4845	19954	UVER	GH	19201743
1694729	5742	1997-04-12	VYDAJ	PREVOD NA UCET	4845	21312	UVER	GH	19201743
1694730	5742	1997-05-12	VYDAJ	PREVOD NA UCET	4845	19774	UVER	GH	19201743
1694731	5742	1997-06-12	VYDAJ	PREVOD NA UCET	4845	40563	UVER	GH	19201743
1694732	5742	1997-07-12	VYDAJ	PREVOD NA UCET	4845	24633	UVER	GH	19201743
1694733	5742	1997-08-12	VYDAJ	PREVOD NA UCET	4845	47943	UVER	GH	19201743
1694734	5742	1997-09-12	VYDAJ	PREVOD NA UCET	4845	36081	UVER	GH	19201743
1694735	5742	1997-10-12	VYDAJ	PREVOD NA UCET	4845	29065	UVER	GH	19201743
1694736	5742	1997-11-12	VYDAJ	PREVOD NA UCET	4845	32190	UVER	GH	19201743
1694737	5742	1997-12-12	VYDAJ	PREVOD NA UCET	4845	59940	UVER	GH	19201743
1694738	5742	1998-01-12	VYDAJ	PREVOD NA UCET	4845	48804	UVER	GH	19201743
1694739	5742	1998-02-12	VYDAJ	PREVOD NA UCET	4845	45212	UVER	GH	19201743
1694740	5742	1998-03-12	VYDAJ	PREVOD NA UCET	4845	23042	UVER	GH	19201743
1694741	5742	1998-04-12	VYDAJ	PREVOD NA UCET	4845	43038	UVER	GH	19201743
1694742	5742	1998-05-12	VYDAJ	PREVOD NA UCET	4845	56214	UVER	GH	19201743
1694743	5742	1998-06-12	VYDAJ	PREVOD NA UCET	4845	42856	UVER	GH	19201743
1694744	5742	1998-07-12	VYDAJ	PREVOD NA UCET	4845	40383	UVER	GH	19201743
1694745	5742	1998-08-12	VYDAJ	PREVOD NA UCET	4845	23520	UVER	GH	19201743
1694746	5742	1998-09-12	VYDAJ	PREVOD NA UCET	4845	25426	UVER	GH	19201743
1694747	5742	1998-10-12	VYDAJ	PREVOD NA UCET	4845	33019	UVER	GH	19201743
1694748	5742	1998-11-12	VYDAJ	PREVOD NA UCET	4845	31328	UVER	GH	19201743
1694749	5742	1998-12-12	VYDAJ	PREVOD NA UCET	4845	26032	UVER	GH	19201743
1694750	5742	1995-12-14	VYBER	VYBER	11564	41244	\N	\N	\N
1694751	5742	1995-12-07	VYBER	VYBER	7215	56608	\N	\N	\N
1694760	5742	1996-07-08	VYBER	VYBER	12948	117344	\N	\N	\N
1694761	5742	1996-07-11	VYBER	VYBER	18714	71530	\N	\N	\N
1694762	5742	1996-03-06	VYBER	VYBER	14482	25843	\N	\N	\N
1694765	5742	1996-09-16	VYBER	VYBER	22525	30254	\N	\N	\N
1694766	5742	1996-07-07	VYBER	VYBER	12686	94679	\N	\N	\N
1694767	5742	1996-01-29	VYBER	VYBER	15759	77315	\N	\N	\N
1694768	5742	1996-04-26	VYBER	VYBER	5529	35789	\N	\N	\N
1694770	5742	1996-12-05	VYBER	VYBER	12350	31151	\N	\N	\N
1694772	5742	1996-07-26	VYBER	VYBER	3171	63514	\N	\N	\N
1694776	5742	1997-06-16	VYBER	VYBER	14600	25963	\N	\N	\N
1694777	5742	1997-10-10	VYBER	VYBER	22557	33910	\N	\N	\N
1694779	5742	1997-08-28	VYBER	VYBER	15589	46708	\N	\N	\N
1694780	5742	1997-09-04	VYBER	VYBER	5917	40926	\N	\N	\N
1694783	5742	1998-03-05	VYBER	VYBER	20860	27887	\N	\N	\N
1694786	5742	1998-08-23	VYBER	VYBER	7889	30231	\N	\N	\N
1694789	5742	1998-01-25	VYBER	VYBER	21514	49910	\N	\N	\N
1694791	5742	1998-06-03	VYBER	VYBER	11446	25849	\N	\N	\N
1694792	5742	1998-05-19	VYBER	VYBER	22629	33585	\N	\N	\N
1694795	5742	1998-10-13	VYBER	VYBER	5092	27927	\N	\N	\N
1694797	5742	1996-06-28	VYDAJ	VYBER	63300	36222	\N	\N	\N
1694801	5742	1995-12-27	VYDAJ	VYBER	11400	29844	\N	\N	\N
1694806	5742	1996-03-24	VYDAJ	VYBER	13200	44519	\N	\N	\N
1694807	5742	1996-07-10	VYDAJ	VYBER	5400	90244	\N	\N	\N
1694809	5742	1997-02-12	VYDAJ	VYBER	3000	26094	\N	\N	\N
1694811	5742	1997-12-11	VYDAJ	VYBER	3000	64785	\N	\N	\N
1694812	5742	1997-02-21	VYDAJ	VYBER	3300	22794	\N	\N	\N
1694815	5742	1998-07-22	VYDAJ	VYBER	5100	41783	\N	\N	\N
1694816	5742	1998-02-24	VYDAJ	VYBER	5100	48637	\N	\N	\N
1694818	5742	1998-12-09	VYDAJ	VYBER	6600	30877	\N	\N	\N
1694819	5742	1998-08-10	VYDAJ	VYBER	13500	28365	\N	\N	\N
1694829	5742	1995-09-30	VYDAJ	VYBER	100	102566	SLUZBY	\N	\N
1694830	5742	1995-10-31	VYDAJ	VYBER	100	94277	SLUZBY	\N	\N
1694831	5742	1995-11-30	VYDAJ	VYBER	100	56128	SLUZBY	\N	\N
1694832	5742	1995-12-31	VYDAJ	VYBER	100	29939	SLUZBY	\N	\N
1694833	5742	1996-01-31	VYDAJ	VYBER	100	77398	SLUZBY	\N	\N
1694834	5742	1996-02-29	VYDAJ	VYBER	100	56125	SLUZBY	\N	\N
1694835	5742	1996-03-31	VYDAJ	VYBER	100	44557	SLUZBY	\N	\N
1694836	5742	1996-04-30	VYDAJ	VYBER	100	35836	SLUZBY	\N	\N
1694837	5742	1996-05-31	VYDAJ	VYBER	100	27001	SLUZBY	\N	\N
1694838	5742	1996-06-30	VYDAJ	VYBER	100	30068	SLUZBY	\N	\N
1694839	5742	1996-07-31	VYDAJ	VYBER	100	41566	SLUZBY	\N	\N
1694840	5742	1996-08-31	VYDAJ	VYBER	100	25785	SLUZBY	\N	\N
1694841	5742	1996-09-30	VYDAJ	VYBER	100	26068	SLUZBY	\N	\N
1694842	5742	1996-10-31	VYDAJ	VYBER	100	52490	SLUZBY	\N	\N
1694843	5742	1996-11-30	VYDAJ	VYBER	100	43501	SLUZBY	\N	\N
1694844	5742	1996-12-31	VYDAJ	VYBER	100	34681	SLUZBY	\N	\N
1694845	5742	1997-01-31	VYDAJ	VYBER	100	25771	SLUZBY	\N	\N
1694846	5742	1997-02-28	VYDAJ	VYBER	100	24799	SLUZBY	\N	\N
1694847	5742	1997-03-31	VYDAJ	VYBER	100	26157	SLUZBY	\N	\N
1694848	5742	1997-04-30	VYDAJ	VYBER	100	24619	SLUZBY	\N	\N
1694849	5742	1997-05-31	VYDAJ	VYBER	100	23975	SLUZBY	\N	\N
1694850	5742	1997-06-30	VYDAJ	VYBER	100	29478	SLUZBY	\N	\N
1694851	5742	1997-07-31	VYDAJ	VYBER	100	52788	SLUZBY	\N	\N
1694852	5742	1997-08-31	VYDAJ	VYBER	100	46843	SLUZBY	\N	\N
1694853	5742	1997-09-30	VYDAJ	VYBER	100	56467	SLUZBY	\N	\N
1694854	5742	1997-10-31	VYDAJ	VYBER	100	37035	SLUZBY	\N	\N
1694855	5742	1997-11-30	VYDAJ	VYBER	100	37744	SLUZBY	\N	\N
1694856	5742	1997-12-31	VYDAJ	VYBER	100	53649	SLUZBY	\N	\N
1694857	5742	1998-01-31	VYDAJ	VYBER	100	50057	SLUZBY	\N	\N
1694858	5742	1998-02-28	VYDAJ	VYBER	100	48747	SLUZBY	\N	\N
1694859	5742	1998-03-31	VYDAJ	VYBER	100	47883	SLUZBY	\N	\N
1694860	5742	1998-04-30	VYDAJ	VYBER	100	61059	SLUZBY	\N	\N
1694861	5742	1998-05-31	VYDAJ	VYBER	100	37295	SLUZBY	\N	\N
1694862	5742	1998-06-30	VYDAJ	VYBER	100	45228	SLUZBY	\N	\N
1694863	5742	1998-07-31	VYDAJ	VYBER	100	41865	SLUZBY	\N	\N
1694864	5742	1998-08-31	VYDAJ	VYBER	100	30271	SLUZBY	\N	\N
1694865	5742	1998-09-30	VYDAJ	VYBER	100	37864	SLUZBY	\N	\N
1694866	5742	1998-10-31	VYDAJ	VYBER	100	36173	SLUZBY	\N	\N
1694867	5742	1998-11-30	VYDAJ	VYBER	100	37477	SLUZBY	\N	\N
1694868	5742	1995-08-04	VYDAJ	VYBER	1600	29355	\N	\N	\N
1694869	5742	1995-09-03	VYDAJ	VYBER	33700	58708	\N	\N	\N
1694870	5742	1995-10-03	VYDAJ	VYBER	37300	65266	\N	\N	\N
1694871	5742	1995-11-02	VYDAJ	VYBER	34400	59877	\N	\N	\N
1694872	5742	1995-12-02	VYDAJ	VYBER	16900	39228	\N	\N	\N
1694873	5742	1996-01-01	VYDAJ	VYBER	2700	27239	\N	\N	\N
1694874	5742	1996-01-31	VYDAJ	VYBER	25200	52198	\N	\N	\N
1694875	5742	1996-02-12	VYDAJ	VYBER	64200	70325	\N	\N	\N
1694876	5742	1996-02-29	VYDAJ	VYBER	51200	56225	\N	\N	\N
1694877	5742	1996-03-01	VYDAJ	VYBER	15800	40325	\N	\N	\N
1694878	5742	1996-03-31	VYDAJ	VYBER	12600	31957	\N	\N	\N
1694879	5742	1996-04-30	VYDAJ	VYBER	5700	30136	\N	\N	\N
1694880	5742	1996-05-30	VYDAJ	VYBER	5700	26974	\N	\N	\N
1694881	5742	1996-06-29	VYDAJ	VYBER	6300	29922	\N	\N	\N
1694882	5742	1996-07-08	VYDAJ	VYBER	21700	95644	\N	\N	\N
1694883	5742	1996-07-29	VYDAJ	VYBER	22100	41414	\N	\N	\N
1694884	5742	1996-08-28	VYDAJ	VYBER	11000	25721	\N	\N	\N
1694885	5742	1996-09-27	VYDAJ	VYBER	4200	26054	\N	\N	\N
1694886	5742	1996-10-26	VYDAJ	VYBER	42800	83092	\N	\N	\N
1694887	5742	1996-10-27	VYDAJ	VYBER	30800	52292	\N	\N	\N
1694888	5742	1996-11-07	VYDAJ	VYBER	51100	64875	\N	\N	\N
1694889	5742	1996-11-26	VYDAJ	VYBER	16700	43330	\N	\N	\N
1694890	5742	1996-12-26	VYDAJ	VYBER	6500	34625	\N	\N	\N
1694891	5742	1997-01-25	VYDAJ	VYBER	4100	25736	\N	\N	\N
1694892	5742	1997-02-24	PRIJEM	VKLAD	2000	24794	\N	\N	\N
1694893	5742	1997-03-26	PRIJEM	VKLAD	6200	26154	\N	\N	\N
1694894	5742	1997-04-25	PRIJEM	VKLAD	3300	24612	\N	\N	\N
1694895	5742	1997-05-25	PRIJEM	VKLAD	4200	23974	\N	\N	\N
1694896	5742	1997-06-24	PRIJEM	VKLAD	3500	29463	\N	\N	\N
1694897	5742	1997-07-24	PRIJEM	VKLAD	3100	27733	\N	\N	\N
1694898	5742	1997-08-23	VYDAJ	VYBER	22500	62297	\N	\N	\N
1694899	5742	1997-09-22	VYDAJ	VYBER	16600	56330	\N	\N	\N
1694900	5742	1997-10-22	PRIJEM	VKLAD	7900	36965	\N	\N	\N
1694901	5742	1997-11-21	PRIJEM	VKLAD	5500	37690	\N	\N	\N
1694902	5742	1997-12-21	VYDAJ	VYBER	6400	53540	\N	\N	\N
1694903	5742	1998-01-20	VYDAJ	VYBER	25700	71424	\N	\N	\N
1694904	5742	1998-02-19	VYDAJ	VYBER	9100	53737	\N	\N	\N
1694905	5742	1998-03-21	VYDAJ	VYBER	2700	47811	\N	\N	\N
1694906	5742	1998-04-20	PRIJEM	VKLAD	100	43138	\N	\N	\N
1694907	5742	1998-05-20	PRIJEM	VKLAD	3600	37185	\N	\N	\N
1694908	5742	1998-06-19	PRIJEM	VKLAD	2300	45156	\N	\N	\N
1694909	5742	1998-07-19	PRIJEM	VKLAD	6500	46883	\N	\N	\N
1694910	5742	1998-08-18	PRIJEM	VKLAD	14600	38120	\N	\N	\N
1694911	5742	1998-09-17	PRIJEM	VKLAD	12400	37826	\N	\N	\N
1694912	5742	1998-10-17	PRIJEM	VKLAD	8200	36127	\N	\N	\N
1694913	5742	1998-11-16	PRIJEM	VKLAD	6100	37428	\N	\N	\N
1699124	5758	1997-07-28	PRIJEM	VKLAD	200	200	\N	\N	\N
1699132	5758	1997-08-08	PRIJEM	PREVOD Z UCTU	34204	34404	\N	CD	54844158
1699133	5758	1997-09-08	PRIJEM	PREVOD Z UCTU	34204	65729	\N	CD	54844158
1699134	5758	1997-10-08	PRIJEM	PREVOD Z UCTU	34204	82976	\N	CD	54844158
1699135	5758	1997-11-08	PRIJEM	PREVOD Z UCTU	34204	91690	\N	CD	54844158
1699136	5758	1997-12-08	PRIJEM	PREVOD Z UCTU	51306	109635	\N	CD	54844158
1699137	5758	1998-01-08	PRIJEM	PREVOD Z UCTU	34204	57904	\N	CD	54844158
1699138	5758	1998-02-08	PRIJEM	PREVOD Z UCTU	34204	43414	\N	CD	54844158
1699139	5758	1998-03-08	PRIJEM	PREVOD Z UCTU	34204	49390	\N	CD	54844158
1699140	5758	1998-04-08	PRIJEM	PREVOD Z UCTU	34204	42037	\N	CD	54844158
1699141	5758	1998-05-08	PRIJEM	PREVOD Z UCTU	34204	45223	\N	CD	54844158
1699142	5758	1998-06-08	PRIJEM	PREVOD Z UCTU	51306	57907	\N	CD	54844158
1699143	5758	1998-07-08	PRIJEM	PREVOD Z UCTU	34204	30008	\N	CD	54844158
1699144	5758	1998-08-08	PRIJEM	PREVOD Z UCTU	34204	47640	\N	CD	54844158
1699145	5758	1998-09-08	PRIJEM	PREVOD Z UCTU	34204	42411	\N	CD	54844158
1699146	5758	1998-10-08	PRIJEM	PREVOD Z UCTU	34204	37296	\N	CD	54844158
1699147	5758	1998-11-08	PRIJEM	PREVOD Z UCTU	34204	44632	\N	CD	54844158
1699148	5758	1998-12-08	PRIJEM	PREVOD Z UCTU	51306	61289	\N	CD	54844158
1699160	5758	1997-12-24	VYDAJ	VYBER	5200	75935	\N	\N	0
1699161	5758	1998-01-12	VYDAJ	VYBER	5400	52504	\N	\N	0
1699162	5758	1998-02-04	VYDAJ	VYBER	6300	23472	\N	\N	0
1699163	5758	1998-02-24	VYDAJ	VYBER	7200	29314	\N	\N	0
1699164	5758	1998-04-03	VYDAJ	VYBER	7100	22095	\N	\N	0
1699165	5758	1998-05-12	VYDAJ	VYBER	5300	39923	\N	\N	0
1699166	5758	1998-06-12	VYDAJ	VYBER	6200	51707	\N	\N	0
1699167	5758	1998-07-06	VYDAJ	VYBER	6500	3800	\N	\N	0
1699168	5758	1998-08-28	VYDAJ	VYBER	5300	29040	\N	\N	0
1699169	5758	1998-09-06	VYDAJ	VYBER	6700	16203	\N	\N	0
1699170	5758	1998-10-24	VYDAJ	VYBER	3700	24596	\N	\N	0
1699171	5758	1998-11-18	VYDAJ	VYBER	6100	31332	\N	\N	0
1699172	5758	1998-12-20	VYDAJ	VYBER	4800	56489	\N	\N	0
1699185	5758	1998-01-06	VYDAJ	PREVOD NA UCET	3063	37996	SIPO	IJ	690603
1699186	5758	1998-02-06	VYDAJ	PREVOD NA UCET	3063	17206	SIPO	IJ	690603
1699187	5758	1998-03-06	VYDAJ	PREVOD NA UCET	3063	23182	SIPO	IJ	690603
1699188	5758	1998-04-06	VYDAJ	PREVOD NA UCET	3063	15829	SIPO	IJ	690603
1699189	5758	1998-05-06	VYDAJ	PREVOD NA UCET	3063	19015	SIPO	IJ	690603
1699190	5758	1998-06-06	VYDAJ	PREVOD NA UCET	3063	14597	SIPO	IJ	690603
1699191	5758	1998-07-06	VYDAJ	PREVOD NA UCET	3063	10300	SIPO	IJ	690603
1699192	5758	1998-08-06	VYDAJ	PREVOD NA UCET	3063	21432	SIPO	IJ	690603
1699193	5758	1998-09-06	VYDAJ	PREVOD NA UCET	3063	22903	SIPO	IJ	690603
1699194	5758	1998-10-06	VYDAJ	PREVOD NA UCET	3063	11088	SIPO	IJ	690603
1699195	5758	1998-11-06	VYDAJ	PREVOD NA UCET	3063	18424	SIPO	IJ	690603
1699196	5758	1998-12-06	VYDAJ	PREVOD NA UCET	3063	17979	SIPO	IJ	690603
1699209	5758	1998-01-05	VYDAJ	PREVOD NA UCET	3203	41059	 	WX	15063757
1699210	5758	1998-02-05	VYDAJ	PREVOD NA UCET	3203	20269	 	WX	15063757
1699211	5758	1998-03-05	VYDAJ	PREVOD NA UCET	3203	26245	 	WX	15063757
1699212	5758	1998-04-05	VYDAJ	PREVOD NA UCET	3203	18892	 	WX	15063757
1699213	5758	1998-05-05	VYDAJ	PREVOD NA UCET	3203	22078	 	WX	15063757
1699214	5758	1998-06-05	VYDAJ	PREVOD NA UCET	3203	17660	 	WX	15063757
1699215	5758	1998-07-05	VYDAJ	PREVOD NA UCET	3203	13363	 	WX	15063757
1699216	5758	1998-08-05	VYDAJ	PREVOD NA UCET	3203	24495	 	WX	15063757
1699217	5758	1998-09-05	VYDAJ	PREVOD NA UCET	3203	25966	 	WX	15063757
1699218	5758	1998-10-05	VYDAJ	PREVOD NA UCET	3203	14151	 	WX	15063757
1699219	5758	1998-11-05	VYDAJ	PREVOD NA UCET	3203	21487	 	WX	15063757
1699220	5758	1998-12-05	VYDAJ	PREVOD NA UCET	3203	21042	 	WX	15063757
1699233	5758	1998-01-07	VYDAJ	PREVOD NA UCET	7996	30000	POJISTNE	UV	75170343
1699234	5758	1998-02-07	VYDAJ	PREVOD NA UCET	7996	9210	POJISTNE	UV	75170343
1699235	5758	1998-03-07	VYDAJ	PREVOD NA UCET	7996	15186	POJISTNE	UV	75170343
1699236	5758	1998-04-07	VYDAJ	PREVOD NA UCET	7996	7833	POJISTNE	UV	75170343
1699237	5758	1998-05-07	VYDAJ	PREVOD NA UCET	7996	11019	POJISTNE	UV	75170343
1699238	5758	1998-06-07	VYDAJ	PREVOD NA UCET	7996	6601	POJISTNE	UV	75170343
1699239	5758	1998-07-07	VYDAJ	PREVOD NA UCET	7996	-4197	POJISTNE	UV	75170343
1699240	5758	1998-08-07	VYDAJ	PREVOD NA UCET	7996	13436	POJISTNE	UV	75170343
1699241	5758	1998-09-07	VYDAJ	PREVOD NA UCET	7996	8207	POJISTNE	UV	75170343
1699242	5758	1998-10-07	VYDAJ	PREVOD NA UCET	7996	3092	POJISTNE	UV	75170343
1699243	5758	1998-11-07	VYDAJ	PREVOD NA UCET	7996	10428	POJISTNE	UV	75170343
1699244	5758	1998-12-07	VYDAJ	PREVOD NA UCET	7996	9983	POJISTNE	UV	75170343
1699256	5758	1997-12-29	VYBER	VYBER	7847	43988	\N	\N	\N
1699260	5758	1998-03-17	VYBER	VYBER	3683	35556	\N	\N	\N
1699261	5758	1998-03-16	VYBER	VYBER	10151	39239	\N	\N	\N
1699263	5758	1998-04-08	VYBER	VYBER	19982	22055	\N	\N	\N
1699265	5758	1998-05-26	VYBER	VYBER	12080	20743	\N	\N	\N
1699266	5758	1998-06-28	VYBER	VYBER	14390	16417	\N	\N	\N
1699267	5758	1998-03-25	VYBER	VYBER	7001	29055	\N	\N	\N
1699268	5758	1998-09-18	VYBER	VYBER	20358	22053	\N	\N	\N
1699271	5758	1997-12-12	VYDAJ	VYBER	5700	81135	\N	\N	\N
1699272	5758	1998-12-20	VYDAJ	VYBER	2100	54389	\N	\N	\N
1699279	5758	1998-01-07	VYDAJ	VYBER	6300	23700	\N	\N	\N
1699280	5758	1998-01-29	VYDAJ	VYBER	4800	29604	\N	\N	\N
1699281	5758	1998-01-27	VYDAJ	VYBER	3300	34404	\N	\N	\N
1699282	5758	1998-01-12	VYDAJ	VYBER	4800	47704	\N	\N	\N
1699283	5758	1998-01-22	VYDAJ	VYBER	1500	46204	\N	\N	\N
1699288	5758	1998-11-17	VYDAJ	VYBER	7200	37432	\N	\N	\N
1699290	5758	1998-10-11	VYDAJ	VYBER	6000	31296	\N	\N	\N
1699291	5758	1998-08-12	VYDAJ	VYBER	9600	38040	\N	\N	\N
1699292	5758	1998-06-27	VYDAJ	VYBER	11100	30807	\N	\N	\N
1699293	5758	1998-07-28	VYDAJ	VYBER	1800	27608	\N	\N	\N
1699307	5758	1997-12-31	VYDAJ	VYBER	15	44262	SLUZBY	\N	\N
1699308	5758	1998-01-31	VYDAJ	VYBER	15	29772	SLUZBY	\N	\N
1699309	5758	1998-02-28	VYDAJ	VYBER	15	29448	SLUZBY	\N	\N
1699310	5758	1998-03-31	VYDAJ	VYBER	15	29195	SLUZBY	\N	\N
1699311	5758	1998-04-30	VYDAJ	VYBER	15	25281	SLUZBY	\N	\N
1699312	5758	1998-05-31	VYDAJ	VYBER	15	20863	SLUZBY	\N	\N
1699313	5758	1998-06-30	VYDAJ	VYBER	15	16566	SLUZBY	\N	\N
1699314	5758	1998-07-31	VYDAJ	VYBER	15	27698	SLUZBY	\N	\N
1699315	5758	1998-08-31	VYDAJ	VYBER	15	29169	SLUZBY	\N	\N
1699316	5758	1998-09-30	VYDAJ	VYBER	15	17354	SLUZBY	\N	\N
1699317	5758	1998-10-31	VYDAJ	VYBER	15	24690	SLUZBY	\N	\N
1699318	5758	1998-11-30	VYDAJ	VYBER	15	24245	SLUZBY	\N	\N
1699319	5758	1997-08-27	VYDAJ	VYBER	2900	31504	\N	\N	\N
1699320	5758	1997-09-26	VYDAJ	VYBER	17100	48629	\N	\N	\N
1699321	5758	1997-10-26	VYDAJ	VYBER	25700	57276	\N	\N	\N
1699322	5758	1997-11-25	VYDAJ	VYBER	33600	58090	\N	\N	\N
1699323	5758	1997-12-08	VYDAJ	VYBER	22800	86835	\N	\N	\N
1699324	5758	1997-12-25	VYDAJ	VYBER	24100	51835	\N	\N	\N
1699325	5758	1998-01-24	VYDAJ	VYBER	8500	37704	\N	\N	\N
1699326	5758	1998-02-23	VYDAJ	VYBER	6900	36514	\N	\N	\N
1699327	5758	1998-03-25	PRIJEM	VKLAD	500	36056	\N	\N	\N
1699328	5758	1998-04-24	PRIJEM	VKLAD	3100	25155	\N	\N	\N
1699329	5758	1998-05-24	VYDAJ	VYBER	7100	32823	\N	\N	\N
1699330	5758	1998-06-23	VYDAJ	VYBER	9800	41907	\N	\N	\N
1699331	5758	1998-07-23	VYDAJ	VYBER	600	29408	\N	\N	\N
1699332	5758	1998-08-22	VYDAJ	VYBER	3700	34340	\N	\N	\N
1699333	5758	1998-09-21	VYDAJ	VYBER	4800	17253	\N	\N	\N
1699334	5758	1998-10-21	VYDAJ	VYBER	3000	28296	\N	\N	\N
1699335	5758	1998-11-20	VYDAJ	VYBER	7200	24132	\N	\N	\N
1701162	5767	1993-06-16	PRIJEM	VKLAD	800	800	\N	\N	\N
1701169	5767	1993-07-11	PRIJEM	VKLAD	8608	9408	\N	\N	\N
1701170	5767	1993-08-11	PRIJEM	VKLAD	8608	27356	\N	\N	\N
1701171	5767	1993-09-11	PRIJEM	VKLAD	8608	36262	\N	\N	\N
1701172	5767	1993-10-11	PRIJEM	VKLAD	8608	36887	\N	\N	\N
1701173	5767	1993-11-11	PRIJEM	VKLAD	8608	37414	\N	\N	\N
1701174	5767	1993-12-11	PRIJEM	VKLAD	12912	45844	\N	\N	\N
1701175	5767	1994-01-11	PRIJEM	VKLAD	8608	28893	\N	\N	\N
1701176	5767	1994-02-11	PRIJEM	VKLAD	8608	22039	\N	\N	\N
1701177	5767	1994-03-11	PRIJEM	VKLAD	8608	30412	\N	\N	\N
1701178	5767	1994-04-11	PRIJEM	VKLAD	8608	27207	\N	\N	\N
1701179	5767	1994-05-11	PRIJEM	VKLAD	8608	34808	\N	\N	\N
1701180	5767	1994-06-11	PRIJEM	VKLAD	12912	39920	\N	\N	\N
1701181	5767	1994-07-11	PRIJEM	VKLAD	8608	21672	\N	\N	\N
1701182	5767	1994-08-11	PRIJEM	VKLAD	8608	30334	\N	\N	\N
1701183	5767	1994-09-11	PRIJEM	VKLAD	8608	36340	\N	\N	\N
1701184	5767	1994-10-11	PRIJEM	VKLAD	8608	35059	\N	\N	\N
1701185	5767	1994-11-11	PRIJEM	VKLAD	8608	31576	\N	\N	\N
1701186	5767	1994-12-11	PRIJEM	VKLAD	12912	31179	\N	\N	\N
1701187	5767	1995-01-11	PRIJEM	VKLAD	8608	26890	\N	\N	\N
1701188	5767	1995-02-11	PRIJEM	VKLAD	8608	27603	\N	\N	\N
1701189	5767	1995-03-11	PRIJEM	VKLAD	8608	29288	\N	\N	\N
1701190	5767	1995-04-11	PRIJEM	VKLAD	8608	37874	\N	\N	\N
1701191	5767	1995-05-11	PRIJEM	VKLAD	8608	28267	\N	\N	\N
1701192	5767	1995-06-11	PRIJEM	VKLAD	12912	37050	\N	\N	\N
1701193	5767	1995-07-11	PRIJEM	VKLAD	8608	38819	\N	\N	\N
1701194	5767	1995-08-11	PRIJEM	VKLAD	8608	37449	\N	\N	\N
1701195	5767	1995-09-11	PRIJEM	VKLAD	8608	29173	\N	\N	\N
1701196	5767	1995-10-11	PRIJEM	VKLAD	8608	32684	\N	\N	\N
1701197	5767	1995-11-11	PRIJEM	VKLAD	8608	38603	\N	\N	\N
1701198	5767	1995-12-11	PRIJEM	VKLAD	12912	32090	\N	\N	\N
1701199	5767	1996-01-11	PRIJEM	VKLAD	8608	36766	\N	\N	\N
1701200	5767	1996-02-11	PRIJEM	VKLAD	8608	16880	\N	\N	\N
1701201	5767	1996-03-11	PRIJEM	VKLAD	8608	30432	\N	\N	\N
1701202	5767	1996-04-11	PRIJEM	VKLAD	8608	28018	\N	\N	\N
1701203	5767	1996-05-11	PRIJEM	VKLAD	8608	35917	\N	\N	\N
1701204	5767	1996-06-11	PRIJEM	VKLAD	12912	32260	\N	\N	\N
1701205	5767	1996-07-11	PRIJEM	VKLAD	8608	37884	\N	\N	\N
1701206	5767	1996-08-11	PRIJEM	VKLAD	8608	27983	\N	\N	\N
1701207	5767	1996-09-11	PRIJEM	VKLAD	8608	31242	\N	\N	\N
1701208	5767	1996-10-11	PRIJEM	VKLAD	8608	30139	\N	\N	\N
1701209	5767	1996-11-11	PRIJEM	VKLAD	8608	25429	\N	\N	\N
1701210	5767	1996-12-11	PRIJEM	VKLAD	12912	37943	\N	\N	\N
1701211	5767	1997-01-11	PRIJEM	VKLAD	8608	14376	\N	\N	\N
1701212	5767	1997-02-11	PRIJEM	VKLAD	8608	20519	\N	\N	\N
1701213	5767	1997-03-11	PRIJEM	VKLAD	8608	19911	\N	\N	\N
1701214	5767	1997-04-11	PRIJEM	VKLAD	8608	28673	\N	\N	\N
1701215	5767	1997-05-11	PRIJEM	VKLAD	8608	26754	\N	\N	\N
1701216	5767	1997-06-11	PRIJEM	VKLAD	12912	34148	\N	\N	\N
1701217	5767	1997-07-11	PRIJEM	VKLAD	8608	29151	\N	\N	\N
1701218	5767	1997-08-11	PRIJEM	VKLAD	8608	23216	\N	\N	\N
1701219	5767	1997-09-11	PRIJEM	VKLAD	8608	29595	\N	\N	\N
1701220	5767	1997-10-11	PRIJEM	VKLAD	8608	30179	\N	\N	\N
1701221	5767	1997-11-11	PRIJEM	VKLAD	8608	24159	\N	\N	\N
1701222	5767	1997-12-11	PRIJEM	VKLAD	12912	33443	\N	\N	\N
1701223	5767	1998-01-11	PRIJEM	VKLAD	8608	18528	\N	\N	\N
1701224	5767	1998-02-11	PRIJEM	VKLAD	8608	21094	\N	\N	\N
1701225	5767	1998-03-11	PRIJEM	VKLAD	8608	24946	\N	\N	\N
1701226	5767	1998-04-11	PRIJEM	VKLAD	8608	15401	\N	\N	\N
1701227	5767	1998-05-11	PRIJEM	VKLAD	8608	17440	\N	\N	\N
1701228	5767	1998-06-11	PRIJEM	VKLAD	12912	19486	\N	\N	\N
1701229	5767	1998-07-11	PRIJEM	VKLAD	8608	19130	\N	\N	\N
1701230	5767	1998-08-11	PRIJEM	VKLAD	8608	14473	\N	\N	\N
1701231	5767	1998-09-11	PRIJEM	VKLAD	8608	13303	\N	\N	\N
1701232	5767	1998-10-11	PRIJEM	VKLAD	8608	15623	\N	\N	\N
1701233	5767	1998-11-11	PRIJEM	VKLAD	8608	11133	\N	\N	\N
1701234	5767	1998-12-11	PRIJEM	VKLAD	12912	12444	\N	\N	\N
1701245	5767	1993-11-04	VYDAJ	VYBER	300	28806	SIPO	\N	0
1701246	5767	1993-12-14	VYDAJ	VYBER	300	34444	SIPO	\N	0
1701247	5767	1994-01-12	VYDAJ	VYBER	300	31593	SIPO	\N	0
1701248	5767	1994-02-12	VYDAJ	VYBER	300	21739	SIPO	\N	0
1701249	5767	1994-03-13	VYDAJ	VYBER	200	30212	SIPO	\N	0
1701250	5767	1994-04-10	VYDAJ	VYBER	300	24699	SIPO	\N	0
1701251	5767	1994-05-06	VYDAJ	VYBER	300	26200	SIPO	\N	0
1701252	5767	1994-06-08	VYDAJ	VYBER	300	27008	SIPO	\N	0
1701253	5767	1994-07-20	VYDAJ	VYBER	300	21372	SIPO	\N	0
1701254	5767	1994-08-15	VYDAJ	VYBER	300	30034	SIPO	\N	0
1701255	5767	1994-09-12	VYDAJ	VYBER	300	36040	SIPO	\N	0
1701256	5767	1994-10-17	VYDAJ	VYBER	300	30459	SIPO	\N	0
1701257	5767	1994-11-19	VYDAJ	VYBER	300	31276	SIPO	\N	0
1701258	5767	1994-12-20	VYDAJ	VYBER	300	30879	SIPO	\N	0
1701259	5767	1995-01-16	VYDAJ	VYBER	300	26590	SIPO	\N	0
1701260	5767	1995-02-01	VYDAJ	VYBER	200	15995	SIPO	\N	0
1701261	5767	1995-03-08	VYDAJ	VYBER	300	20680	SIPO	\N	0
1701262	5767	1995-04-16	VYDAJ	VYBER	300	30874	SIPO	\N	0
1701263	5767	1995-05-18	VYDAJ	VYBER	300	27967	SIPO	\N	0
1701264	5767	1995-06-16	VYDAJ	VYBER	200	36850	SIPO	\N	0
1701265	5767	1995-07-16	VYDAJ	VYBER	300	31819	SIPO	\N	0
1701266	5767	1995-08-12	VYDAJ	VYBER	200	37249	SIPO	\N	0
1701267	5767	1995-09-12	VYDAJ	VYBER	300	28873	SIPO	\N	0
1701268	5767	1995-10-17	VYDAJ	VYBER	200	32484	SIPO	\N	0
1701269	5767	1995-11-15	VYDAJ	VYBER	200	32103	SIPO	\N	0
1701270	5767	1995-12-01	VYDAJ	VYBER	300	31938	SIPO	\N	0
1701271	5767	1996-01-20	VYDAJ	VYBER	400	19006	SIPO	\N	0
1701272	5767	1996-02-08	VYDAJ	VYBER	300	10192	SIPO	\N	0
1701273	5767	1996-03-12	VYDAJ	VYBER	300	25032	SIPO	\N	0
1701274	5767	1996-04-13	VYDAJ	VYBER	300	27718	SIPO	\N	0
1701275	5767	1996-05-04	VYDAJ	VYBER	300	27309	SIPO	\N	0
1701276	5767	1996-06-15	VYDAJ	VYBER	200	32060	SIPO	\N	0
1701277	5767	1996-07-14	VYDAJ	VYBER	300	37584	SIPO	\N	0
1701278	5767	1996-08-02	VYDAJ	VYBER	300	26075	SIPO	\N	0
1701279	5767	1996-09-11	VYDAJ	VYBER	200	31042	SIPO	\N	0
1701280	5767	1996-10-13	VYDAJ	VYBER	300	29839	SIPO	\N	0
1701281	5767	1996-11-03	VYDAJ	VYBER	300	22521	SIPO	\N	0
1701282	5767	1996-12-17	VYDAJ	VYBER	300	32443	SIPO	\N	0
1701283	5767	1997-01-09	VYDAJ	VYBER	200	5768	SIPO	\N	0
1701284	5767	1997-02-19	VYDAJ	VYBER	200	20319	SIPO	\N	0
1701285	5767	1997-03-02	VYDAJ	VYBER	300	11303	SIPO	\N	0
1701286	5767	1997-04-13	VYDAJ	VYBER	300	22673	SIPO	\N	0
1701287	5767	1997-05-10	VYDAJ	VYBER	300	18146	SIPO	\N	0
1701288	5767	1997-06-18	VYDAJ	VYBER	300	23068	SIPO	\N	0
1701289	5767	1997-07-08	VYDAJ	VYBER	300	20543	SIPO	\N	0
1701290	5767	1997-08-20	VYDAJ	VYBER	200	23016	SIPO	\N	0
1701291	5767	1997-09-07	VYDAJ	VYBER	400	20987	SIPO	\N	0
1701292	5767	1997-10-18	VYDAJ	VYBER	200	24579	SIPO	\N	0
1701293	5767	1997-11-20	VYDAJ	VYBER	300	23859	SIPO	\N	0
1701294	5767	1997-12-15	VYDAJ	VYBER	300	33143	SIPO	\N	0
1701295	5767	1998-01-20	VYDAJ	VYBER	200	10048	SIPO	\N	0
1701296	5767	1998-02-15	VYDAJ	VYBER	200	20894	SIPO	\N	0
1701297	5767	1998-03-11	VYDAJ	VYBER	300	24646	SIPO	\N	0
1701298	5767	1998-04-07	VYDAJ	VYBER	300	6793	SIPO	\N	0
1701299	5767	1998-05-05	VYDAJ	VYBER	300	8832	SIPO	\N	0
1701300	5767	1998-06-07	VYDAJ	VYBER	300	6574	SIPO	\N	0
1701301	5767	1998-07-16	VYDAJ	VYBER	300	18830	SIPO	\N	0
1701302	5767	1998-08-13	VYDAJ	VYBER	300	14173	SIPO	\N	0
1701303	5767	1998-09-09	VYDAJ	VYBER	300	4695	SIPO	\N	0
1701304	5767	1998-10-01	VYDAJ	VYBER	300	7015	SIPO	\N	0
1701305	5767	1998-11-04	VYDAJ	VYBER	300	2525	SIPO	\N	0
1701306	5767	1998-12-04	VYDAJ	VYBER	200	-468	SIPO	\N	0
1701318	5767	1993-12-13	VYDAJ	VYBER	4600	41244	 	\N	0
1701319	5767	1994-01-03	VYDAJ	VYBER	6200	25805	 	\N	0
1701320	5767	1994-02-02	VYDAJ	VYBER	5200	11711	 	\N	0
1701321	5767	1994-03-17	VYDAJ	VYBER	4300	24912	 	\N	0
1701322	5767	1994-04-10	VYDAJ	VYBER	6100	18599	 	\N	0
1701323	5767	1994-05-15	VYDAJ	VYBER	4100	27208	 	\N	0
1701324	5767	1994-06-19	VYDAJ	VYBER	4300	30620	 	\N	0
1701325	5767	1994-07-05	VYDAJ	VYBER	5300	2364	 	\N	0
1701326	5767	1994-08-08	VYDAJ	VYBER	5800	14426	 	\N	0
1701327	5767	1994-09-14	VYDAJ	VYBER	6500	29540	 	\N	0
1701328	5767	1994-10-17	VYDAJ	VYBER	4300	30759	 	\N	0
1701329	5767	1994-11-04	VYDAJ	VYBER	6600	23968	 	\N	0
1701330	5767	1994-12-04	VYDAJ	VYBER	6600	24787	 	\N	0
1701331	5767	1995-01-08	VYDAJ	VYBER	5700	18282	 	\N	0
1701332	5767	1995-02-18	VYDAJ	VYBER	4400	23203	 	\N	0
1701333	5767	1995-03-08	VYDAJ	VYBER	4600	20980	 	\N	0
1701334	5767	1995-04-12	VYDAJ	VYBER	6700	31174	 	\N	0
1701335	5767	1995-05-06	VYDAJ	VYBER	4800	19459	 	\N	0
1701336	5767	1995-06-02	VYDAJ	VYBER	4900	21238	 	\N	0
1701337	5767	1995-07-14	VYDAJ	VYBER	6700	32119	 	\N	0
1701338	5767	1995-08-13	VYDAJ	VYBER	6500	30749	 	\N	0
1701339	5767	1995-09-08	VYDAJ	VYBER	5400	20565	 	\N	0
1701340	5767	1995-10-05	VYDAJ	VYBER	4100	24076	 	\N	0
1701341	5767	1995-11-15	VYDAJ	VYBER	6300	32303	 	\N	0
1701342	5767	1995-12-08	VYDAJ	VYBER	4900	19178	 	\N	0
1701343	5767	1996-01-14	VYDAJ	VYBER	6200	29006	 	\N	0
1701344	5767	1996-02-04	VYDAJ	VYBER	4100	10492	 	\N	0
1701345	5767	1996-03-11	VYDAJ	VYBER	5100	25332	 	\N	0
1701346	5767	1996-04-06	VYDAJ	VYBER	5200	19410	 	\N	0
1701347	5767	1996-05-14	VYDAJ	VYBER	4500	31417	 	\N	0
1701348	5767	1996-06-10	VYDAJ	VYBER	4900	19348	 	\N	0
1701349	5767	1996-07-15	VYDAJ	VYBER	4400	33184	 	\N	0
1701350	5767	1996-08-10	VYDAJ	VYBER	6700	19375	 	\N	0
1701351	5767	1996-09-18	VYDAJ	VYBER	5700	25342	 	\N	0
1701352	5767	1996-10-16	VYDAJ	VYBER	5000	24839	 	\N	0
1701353	5767	1996-11-07	VYDAJ	VYBER	5700	16821	 	\N	0
1701354	5767	1996-12-15	VYDAJ	VYBER	5200	32743	 	\N	0
1701355	5767	1997-01-07	VYDAJ	VYBER	5200	9688	 	\N	0
1701356	5767	1997-02-07	VYDAJ	VYBER	6200	11911	 	\N	0
1701357	5767	1997-03-01	VYDAJ	VYBER	4600	11603	 	\N	0
1701358	5767	1997-04-12	VYDAJ	VYBER	5700	22973	 	\N	0
1701359	5767	1997-05-01	VYDAJ	VYBER	4200	18446	 	\N	0
1701360	5767	1997-06-14	VYDAJ	VYBER	6100	23368	 	\N	0
1701361	5767	1997-07-17	VYDAJ	VYBER	5000	24151	 	\N	0
1701362	5767	1997-08-01	VYDAJ	VYBER	4400	14608	 	\N	0
1701363	5767	1997-09-12	VYDAJ	VYBER	4700	24895	 	\N	0
1701364	5767	1997-10-17	VYDAJ	VYBER	5400	24779	 	\N	0
1701365	5767	1997-11-09	VYDAJ	VYBER	5000	15551	 	\N	0
1701366	5767	1997-12-17	VYDAJ	VYBER	4100	29043	 	\N	0
1701369	5767	1998-03-12	VYDAJ	VYBER	6200	18446	 	\N	0
1701370	5767	1998-04-01	VYDAJ	VYBER	6300	7093	 	\N	0
1701372	5767	1998-05-31	VYDAJ	VYBER	5600	6888	 	\N	0
1701380	5767	1994-06-20	VYDAJ	VYBER	23040	7580	\N	\N	\N
1701386	5767	1994-01-12	VYDAJ	VYBER	8160	23433	\N	\N	\N
1701387	5767	1995-01-18	VYDAJ	VYBER	2560	24030	\N	\N	\N
1701388	5767	1996-01-17	VYDAJ	VYBER	9600	19406	\N	\N	\N
1701389	5767	1997-01-03	VYDAJ	VYBER	8320	15848	\N	\N	\N
1701390	5767	1998-01-10	VYDAJ	VYBER	4640	9920	\N	\N	\N
1701391	5767	1993-12-15	VYDAJ	VYBER	2560	31884	\N	\N	\N
1701392	5767	1994-12-21	VYDAJ	VYBER	2240	28639	\N	\N	\N
1701393	5767	1995-12-05	VYDAJ	VYBER	4160	24078	\N	\N	\N
1701394	5767	1996-12-09	VYDAJ	VYBER	1280	25031	\N	\N	\N
1701395	5767	1997-12-30	VYDAJ	VYBER	2080	17963	\N	\N	\N
1701403	5767	1994-01-21	VYDAJ	VYBER	3360	18273	\N	\N	\N
1701404	5767	1994-01-25	VYDAJ	VYBER	1440	16833	\N	\N	\N
1701405	5767	1994-01-16	VYDAJ	VYBER	1800	21633	\N	\N	\N
1701406	5767	1994-01-06	VYDAJ	VYBER	1080	24725	\N	\N	\N
1701407	5767	1994-01-08	VYDAJ	VYBER	1920	20285	\N	\N	\N
1701408	5767	1994-01-07	VYDAJ	VYBER	2520	22205	\N	\N	\N
1701409	5767	1995-01-30	VYDAJ	VYBER	1440	19110	\N	\N	\N
1701410	5767	1995-01-01	VYDAJ	VYBER	2760	25982	\N	\N	\N
1701411	5767	1995-01-30	VYDAJ	VYBER	3000	16110	\N	\N	\N
1701412	5767	1995-01-27	VYDAJ	VYBER	2040	20550	\N	\N	\N
1701413	5767	1995-01-21	VYDAJ	VYBER	840	23190	\N	\N	\N
1701414	5767	1995-01-24	VYDAJ	VYBER	600	22590	\N	\N	\N
1701415	5767	1996-01-12	VYDAJ	VYBER	1560	35206	\N	\N	\N
1701416	5767	1996-01-30	VYDAJ	VYBER	3360	9406	\N	\N	\N
1701417	5767	1996-01-29	VYDAJ	VYBER	3000	12766	\N	\N	\N
1701418	5767	1996-01-27	VYDAJ	VYBER	1560	15766	\N	\N	\N
1701419	5767	1996-01-26	VYDAJ	VYBER	1680	17326	\N	\N	\N
1701420	5767	1996-01-08	VYDAJ	VYBER	1440	28158	\N	\N	\N
1701421	5767	1997-01-12	VYDAJ	VYBER	2880	11496	\N	\N	\N
1701422	5767	1997-01-15	VYDAJ	VYBER	2040	7776	\N	\N	\N
1701423	5767	1997-01-08	VYDAJ	VYBER	3000	6688	\N	\N	\N
1701424	5767	1997-01-14	VYDAJ	VYBER	1680	9816	\N	\N	\N
1701425	5767	1997-01-09	VYDAJ	VYBER	720	5968	\N	\N	\N
1701426	5767	1997-01-05	VYDAJ	VYBER	960	14888	\N	\N	\N
1701427	5767	1998-01-13	VYDAJ	VYBER	2160	13728	\N	\N	\N
1701428	5767	1998-01-01	VYDAJ	VYBER	1440	16600	\N	\N	\N
1701429	5767	1998-01-03	VYDAJ	VYBER	600	16000	\N	\N	\N
1701430	5767	1998-01-07	VYDAJ	VYBER	1440	14560	\N	\N	\N
1701431	5767	1998-01-19	VYDAJ	VYBER	3480	10248	\N	\N	\N
1701432	5767	1998-01-12	VYDAJ	VYBER	2640	15888	\N	\N	\N
1701437	5767	1994-09-30	VYDAJ	VYBER	4200	25451	\N	\N	\N
1701438	5767	1994-12-06	VYDAJ	VYBER	3120	21667	\N	\N	\N
1701439	5767	1994-02-07	VYDAJ	VYBER	1080	10631	\N	\N	\N
1701440	5767	1994-07-23	VYDAJ	VYBER	1200	20172	\N	\N	\N
1701441	5767	1995-07-01	VYDAJ	VYBER	2640	33611	\N	\N	\N
1701442	5767	1995-04-23	VYDAJ	VYBER	4680	26194	\N	\N	\N
1701443	5767	1995-03-22	VYDAJ	VYBER	1320	27968	\N	\N	\N
1701444	5767	1995-04-30	VYDAJ	VYBER	2040	24259	\N	\N	\N
1701445	5767	1995-06-27	VYDAJ	VYBER	720	36130	\N	\N	\N
1701446	5767	1995-05-22	VYDAJ	VYBER	1920	26047	\N	\N	\N
1701447	5767	1996-12-24	VYDAJ	VYBER	4680	27763	\N	\N	\N
1701448	5767	1996-08-19	VYDAJ	VYBER	2640	25343	\N	\N	\N
1701449	5767	1996-02-09	VYDAJ	VYBER	1920	8272	\N	\N	\N
1701450	5767	1996-05-31	VYDAJ	VYBER	4080	24263	\N	\N	\N
1701451	5767	1996-07-25	VYDAJ	VYBER	3720	29464	\N	\N	\N
1701452	5767	1997-07-26	VYDAJ	VYBER	1920	18931	\N	\N	\N
1701454	5767	1997-03-01	VYDAJ	VYBER	4080	16203	\N	\N	\N
1701455	5767	1997-06-12	VYDAJ	VYBER	4680	29468	\N	\N	\N
1701456	5767	1997-12-29	VYDAJ	VYBER	3600	20043	\N	\N	\N
1701458	5767	1998-04-28	VYDAJ	VYBER	2400	9101	\N	\N	\N
1701460	5767	1998-10-18	VYDAJ	VYBER	1320	2803	\N	\N	\N
1701472	5767	1993-11-30	VYDAJ	VYBER	15	32932	SLUZBY	\N	\N
1701473	5767	1993-12-31	VYDAJ	VYBER	15	32005	SLUZBY	\N	\N
1701474	5767	1994-01-31	VYDAJ	VYBER	15	16911	SLUZBY	\N	\N
1701475	5767	1994-02-28	VYDAJ	VYBER	15	21804	SLUZBY	\N	\N
1701476	5767	1994-03-31	VYDAJ	VYBER	15	24999	SLUZBY	\N	\N
1701477	5767	1994-04-30	VYDAJ	VYBER	15	26500	SLUZBY	\N	\N
1701478	5767	1994-05-31	VYDAJ	VYBER	15	27308	SLUZBY	\N	\N
1701479	5767	1994-06-30	VYDAJ	VYBER	15	7664	SLUZBY	\N	\N
1701480	5767	1994-07-31	VYDAJ	VYBER	15	20226	SLUZBY	\N	\N
1701481	5767	1994-08-31	VYDAJ	VYBER	15	30132	SLUZBY	\N	\N
1701482	5767	1994-09-30	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
1701483	5767	1994-10-31	VYDAJ	VYBER	15	30568	SLUZBY	\N	\N
1701484	5767	1994-11-30	VYDAJ	VYBER	15	31387	SLUZBY	\N	\N
1701485	5767	1994-12-31	VYDAJ	VYBER	15	28742	SLUZBY	\N	\N
1701486	5767	1995-01-31	VYDAJ	VYBER	15	16195	SLUZBY	\N	\N
1701487	5767	1995-02-28	VYDAJ	VYBER	15	23280	SLUZBY	\N	\N
1701488	5767	1995-03-31	VYDAJ	VYBER	15	28066	SLUZBY	\N	\N
1701489	5767	1995-04-30	VYDAJ	VYBER	15	26299	SLUZBY	\N	\N
1701490	5767	1995-05-31	VYDAJ	VYBER	15	26138	SLUZBY	\N	\N
1701491	5767	1995-06-30	VYDAJ	VYBER	15	36251	SLUZBY	\N	\N
1701492	5767	1995-07-31	VYDAJ	VYBER	15	31941	SLUZBY	\N	\N
1701493	5767	1995-08-31	VYDAJ	VYBER	15	30865	SLUZBY	\N	\N
1701494	5767	1995-09-30	VYDAJ	VYBER	15	28976	SLUZBY	\N	\N
1701495	5767	1995-10-31	VYDAJ	VYBER	15	32595	SLUZBY	\N	\N
1701496	5767	1995-11-30	VYDAJ	VYBER	15	32238	SLUZBY	\N	\N
1701497	5767	1995-12-31	VYDAJ	VYBER	15	32198	SLUZBY	\N	\N
1701498	5767	1996-01-31	VYDAJ	VYBER	15	9492	SLUZBY	\N	\N
1701499	5767	1996-02-29	VYDAJ	VYBER	15	16924	SLUZBY	\N	\N
1701500	5767	1996-03-31	VYDAJ	VYBER	15	25110	SLUZBY	\N	\N
1701501	5767	1996-04-30	VYDAJ	VYBER	15	27809	SLUZBY	\N	\N
1701502	5767	1996-05-31	VYDAJ	VYBER	15	24248	SLUZBY	\N	\N
1701503	5767	1996-06-30	VYDAJ	VYBER	15	32176	SLUZBY	\N	\N
1701504	5767	1996-07-31	VYDAJ	VYBER	15	26375	SLUZBY	\N	\N
1701505	5767	1996-08-31	VYDAJ	VYBER	15	22634	SLUZBY	\N	\N
1701506	5767	1996-09-30	VYDAJ	VYBER	15	21531	SLUZBY	\N	\N
1701507	5767	1996-10-31	VYDAJ	VYBER	15	22821	SLUZBY	\N	\N
1701508	5767	1996-11-30	VYDAJ	VYBER	15	26311	SLUZBY	\N	\N
1701509	5767	1996-12-31	VYDAJ	VYBER	15	24168	SLUZBY	\N	\N
1701510	5767	1997-01-31	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
1701511	5767	1997-02-28	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
1701512	5767	1997-03-31	VYDAJ	VYBER	15	20065	SLUZBY	\N	\N
1701513	5767	1997-04-30	VYDAJ	VYBER	15	22646	SLUZBY	\N	\N
1701514	5767	1997-05-31	VYDAJ	VYBER	15	21236	SLUZBY	\N	\N
1701515	5767	1997-06-30	VYDAJ	VYBER	15	20843	SLUZBY	\N	\N
1701516	5767	1997-07-31	VYDAJ	VYBER	15	19008	SLUZBY	\N	\N
1701517	5767	1997-08-31	VYDAJ	VYBER	15	21387	SLUZBY	\N	\N
1701518	5767	1997-09-30	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
1701519	5767	1997-10-31	VYDAJ	VYBER	15	20551	SLUZBY	\N	\N
1701520	5767	1997-11-30	VYDAJ	VYBER	15	20531	SLUZBY	\N	\N
1701521	5767	1997-12-31	VYDAJ	VYBER	15	18040	SLUZBY	\N	\N
1701522	5767	1998-01-31	VYDAJ	VYBER	15	12486	SLUZBY	\N	\N
1701523	5767	1998-02-28	VYDAJ	VYBER	15	16338	SLUZBY	\N	\N
1701524	5767	1998-03-31	VYDAJ	VYBER	15	13393	SLUZBY	\N	\N
1701525	5767	1998-04-30	VYDAJ	VYBER	15	9132	SLUZBY	\N	\N
1701526	5767	1998-05-31	VYDAJ	VYBER	15	6874	SLUZBY	\N	\N
1701527	5767	1998-06-30	VYDAJ	VYBER	15	10522	SLUZBY	\N	\N
1701530	5767	1998-09-30	VYDAJ	VYBER	15	7315	SLUZBY	\N	\N
1701533	5767	1993-07-16	PRIJEM	VKLAD	9300	18708	\N	\N	\N
1701534	5767	1993-08-15	PRIJEM	VKLAD	200	27556	\N	\N	\N
1701535	5767	1993-09-14	VYDAJ	VYBER	8100	28162	\N	\N	\N
1701536	5767	1993-10-14	VYDAJ	VYBER	7900	28987	\N	\N	\N
1701537	5767	1993-11-13	VYDAJ	VYBER	4600	32814	\N	\N	\N
1701538	5767	1993-12-13	VYDAJ	VYBER	6500	34744	\N	\N	\N
1701539	5767	1994-01-12	PRIJEM	VKLAD	3000	31893	\N	\N	\N
1701540	5767	1994-02-11	PRIJEM	VKLAD	2800	13431	\N	\N	\N
1701541	5767	1994-03-13	VYDAJ	VYBER	1000	29212	\N	\N	\N
1701542	5767	1994-04-12	VYDAJ	VYBER	800	26407	\N	\N	\N
1701543	5767	1994-05-12	VYDAJ	VYBER	3500	31308	\N	\N	\N
1701544	5767	1994-06-11	VYDAJ	VYBER	5000	34920	\N	\N	\N
1701545	5767	1994-07-11	PRIJEM	VKLAD	10700	13064	\N	\N	\N
1701546	5767	1994-08-10	PRIJEM	VKLAD	7300	21726	\N	\N	\N
1701547	5767	1994-09-09	VYDAJ	VYBER	2400	27732	\N	\N	\N
1701548	5767	1994-10-09	PRIJEM	VKLAD	1000	26451	\N	\N	\N
1701549	5767	1994-11-08	VYDAJ	VYBER	1000	22968	\N	\N	\N
1701550	5767	1994-12-08	VYDAJ	VYBER	3400	18267	\N	\N	\N
1701551	5767	1995-01-07	VYDAJ	VYBER	2000	23982	\N	\N	\N
1701552	5767	1995-02-06	PRIJEM	VKLAD	3000	18995	\N	\N	\N
1701553	5767	1995-03-08	PRIJEM	VKLAD	2300	25580	\N	\N	\N
1701554	5767	1995-04-07	PRIJEM	VKLAD	1200	29266	\N	\N	\N
1701555	5767	1995-05-07	PRIJEM	VKLAD	200	19659	\N	\N	\N
1701556	5767	1995-06-06	PRIJEM	VKLAD	2900	24138	\N	\N	\N
1701557	5767	1995-07-06	VYDAJ	VYBER	3400	30211	\N	\N	\N
1701558	5767	1995-08-05	VYDAJ	VYBER	3100	28841	\N	\N	\N
1701559	5767	1995-09-04	VYDAJ	VYBER	4900	25965	\N	\N	\N
1701560	5767	1995-10-04	VYDAJ	VYBER	800	28176	\N	\N	\N
1701561	5767	1995-11-03	VYDAJ	VYBER	2600	29995	\N	\N	\N
1701562	5767	1995-12-03	VYDAJ	VYBER	3700	28238	\N	\N	\N
1701563	5767	1996-01-02	VYDAJ	VYBER	2600	29598	\N	\N	\N
1701564	5767	1996-02-01	PRIJEM	VKLAD	5100	14592	\N	\N	\N
1701565	5767	1996-03-02	PRIJEM	VKLAD	4900	21824	\N	\N	\N
1701566	5767	1996-04-01	VYDAJ	VYBER	500	24610	\N	\N	\N
1701567	5767	1996-05-01	VYDAJ	VYBER	200	27609	\N	\N	\N
1701568	5767	1996-05-31	VYDAJ	VYBER	3200	28343	\N	\N	\N
1701569	5767	1996-06-30	VYDAJ	VYBER	2900	29276	\N	\N	\N
1701570	5767	1996-07-30	VYDAJ	VYBER	3200	26264	\N	\N	\N
1701571	5767	1996-08-29	VYDAJ	VYBER	2800	22543	\N	\N	\N
1701572	5767	1996-09-28	VYDAJ	VYBER	3900	21442	\N	\N	\N
1701573	5767	1996-10-28	VYDAJ	VYBER	2100	22739	\N	\N	\N
1701574	5767	1996-11-27	PRIJEM	VKLAD	800	26229	\N	\N	\N
1701575	5767	1996-12-27	VYDAJ	VYBER	3700	24063	\N	\N	\N
1701576	5767	1997-01-26	PRIJEM	VKLAD	10300	18076	\N	\N	\N
1701577	5767	1997-02-25	VYDAJ	VYBER	100	20219	\N	\N	\N
1701578	5767	1997-03-27	PRIJEM	VKLAD	100	20011	\N	\N	\N
1701579	5767	1997-04-26	VYDAJ	VYBER	100	22573	\N	\N	\N
1701580	5767	1997-05-26	VYDAJ	VYBER	5600	21154	\N	\N	\N
1701581	5767	1997-06-25	VYDAJ	VYBER	2300	20768	\N	\N	\N
1701582	5767	1997-07-25	VYDAJ	VYBER	3300	20851	\N	\N	\N
1701583	5767	1997-08-24	VYDAJ	VYBER	1700	21316	\N	\N	\N
1701584	5767	1997-09-23	VYDAJ	VYBER	3400	21495	\N	\N	\N
1701585	5767	1997-10-23	VYDAJ	VYBER	4100	20479	\N	\N	\N
1701586	5767	1997-11-22	VYDAJ	VYBER	3400	20459	\N	\N	\N
1701587	5767	1997-12-22	VYDAJ	VYBER	5400	23643	\N	\N	\N
1701588	5767	1998-01-21	PRIJEM	VKLAD	2400	12448	\N	\N	\N
1701589	5767	1998-02-20	VYDAJ	VYBER	4600	16294	\N	\N	\N
1701590	5767	1998-03-22	VYDAJ	VYBER	5100	13346	\N	\N	\N
1701591	5767	1998-04-21	VYDAJ	VYBER	3900	11501	\N	\N	\N
1701592	5767	1998-05-21	VYDAJ	VYBER	5000	12440	\N	\N	\N
1701593	5767	1998-06-20	VYDAJ	VYBER	9000	10486	\N	\N	\N
1701594	5767	1998-07-20	VYDAJ	VYBER	13000	5830	\N	\N	\N
1701595	5767	1998-08-19	VYDAJ	VYBER	9200	4973	\N	\N	\N
1701596	5767	1998-09-18	VYDAJ	VYBER	6000	7303	\N	\N	\N
1701597	5767	1998-10-18	VYDAJ	VYBER	11500	4123	\N	\N	\N
1701598	5767	1998-11-17	VYDAJ	VYBER	11400	-267	\N	\N	\N
1703075	5774	1995-06-08	PRIJEM	VKLAD	700	700	\N	\N	\N
1703081	5774	1995-06-14	PRIJEM	VKLAD	29418	30118	\N	\N	\N
1703082	5774	1995-07-14	PRIJEM	VKLAD	19612	47101	\N	\N	\N
1703083	5774	1995-08-14	PRIJEM	VKLAD	19612	55880	\N	\N	\N
1703084	5774	1995-09-14	PRIJEM	VKLAD	19612	62509	\N	\N	\N
1703085	5774	1995-10-14	PRIJEM	VKLAD	19612	65770	\N	\N	\N
1703086	5774	1995-11-14	PRIJEM	VKLAD	19612	52247	\N	\N	\N
1703087	5774	1995-12-14	PRIJEM	VKLAD	29418	55666	\N	\N	\N
1703088	5774	1996-01-14	PRIJEM	VKLAD	19612	49719	\N	\N	\N
1703089	5774	1996-02-14	PRIJEM	VKLAD	19612	45926	\N	\N	\N
1703090	5774	1996-03-14	PRIJEM	VKLAD	19612	41448	\N	\N	\N
1703091	5774	1996-04-14	PRIJEM	VKLAD	19612	41158	\N	\N	\N
1703092	5774	1996-05-14	PRIJEM	VKLAD	19612	32962	\N	\N	\N
1703093	5774	1996-06-14	PRIJEM	VKLAD	29418	45235	\N	\N	\N
1703094	5774	1996-07-14	PRIJEM	VKLAD	19612	39596	\N	\N	\N
1703095	5774	1996-08-14	PRIJEM	VKLAD	19612	37015	\N	\N	\N
1703096	5774	1996-09-14	PRIJEM	VKLAD	19612	34320	\N	\N	\N
1703097	5774	1996-10-14	PRIJEM	VKLAD	19612	37388	\N	\N	\N
1703098	5774	1996-11-14	PRIJEM	VKLAD	19612	40164	\N	\N	\N
1703099	5774	1996-12-14	PRIJEM	VKLAD	29418	50216	\N	\N	\N
1703100	5774	1997-01-14	PRIJEM	VKLAD	19612	49330	\N	\N	\N
1703101	5774	1997-02-14	PRIJEM	VKLAD	19612	46953	\N	\N	\N
1703102	5774	1997-03-14	PRIJEM	VKLAD	19612	47066	\N	\N	\N
1703103	5774	1997-04-14	PRIJEM	VKLAD	19612	48583	\N	\N	\N
1703104	5774	1997-05-14	PRIJEM	VKLAD	19612	44503	\N	\N	\N
1703105	5774	1997-06-14	PRIJEM	VKLAD	29418	53411	\N	\N	\N
1703106	5774	1997-07-14	PRIJEM	VKLAD	19612	48629	\N	\N	\N
1703107	5774	1997-08-14	PRIJEM	VKLAD	19612	49247	\N	\N	\N
1703108	5774	1997-09-14	PRIJEM	VKLAD	19612	42687	\N	\N	\N
1703109	5774	1997-10-14	PRIJEM	VKLAD	19612	43684	\N	\N	\N
1703110	5774	1997-11-14	PRIJEM	VKLAD	19612	40013	\N	\N	\N
1703111	5774	1997-12-14	PRIJEM	VKLAD	29418	47795	\N	\N	\N
1703112	5774	1998-01-14	PRIJEM	VKLAD	19612	41035	\N	\N	\N
1703113	5774	1998-02-14	PRIJEM	VKLAD	19612	37809	\N	\N	\N
1703114	5774	1998-03-14	PRIJEM	VKLAD	19612	39574	\N	\N	\N
1703115	5774	1998-04-14	PRIJEM	VKLAD	19612	39687	\N	\N	\N
1703116	5774	1998-05-14	PRIJEM	VKLAD	19612	40961	\N	\N	\N
1703117	5774	1998-06-14	PRIJEM	VKLAD	29418	50746	\N	\N	\N
1703118	5774	1998-07-14	PRIJEM	VKLAD	19612	40879	\N	\N	\N
1703119	5774	1998-08-14	PRIJEM	VKLAD	19612	39537	\N	\N	\N
1703120	5774	1998-09-14	PRIJEM	VKLAD	19612	43512	\N	\N	\N
1703121	5774	1998-10-14	PRIJEM	VKLAD	19612	46701	\N	\N	\N
1703122	5774	1998-11-14	PRIJEM	VKLAD	19612	53206	\N	\N	\N
1703123	5774	1998-12-14	PRIJEM	VKLAD	29418	65035	\N	\N	\N
1703134	5774	1995-11-09	VYDAJ	PREVOD NA UCET	1413	39778	SIPO	UV	69220012
1703135	5774	1995-12-09	VYDAJ	PREVOD NA UCET	1413	39330	SIPO	UV	69220012
1703136	5774	1996-01-09	VYDAJ	PREVOD NA UCET	1413	38549	SIPO	UV	69220012
1703137	5774	1996-02-09	VYDAJ	PREVOD NA UCET	1413	34756	SIPO	UV	69220012
1703138	5774	1996-03-09	VYDAJ	PREVOD NA UCET	1413	30278	SIPO	UV	69220012
1703139	5774	1996-04-09	VYDAJ	PREVOD NA UCET	1413	29988	SIPO	UV	69220012
1703140	5774	1996-05-09	VYDAJ	PREVOD NA UCET	1413	21792	SIPO	UV	69220012
1703141	5774	1996-06-09	VYDAJ	PREVOD NA UCET	1413	24259	SIPO	UV	69220012
1703142	5774	1996-07-09	VYDAJ	PREVOD NA UCET	1413	31066	SIPO	UV	69220012
1703143	5774	1996-08-09	VYDAJ	PREVOD NA UCET	1413	25845	SIPO	UV	69220012
1703144	5774	1996-09-09	VYDAJ	PREVOD NA UCET	1413	26030	SIPO	UV	69220012
1703145	5774	1996-10-09	VYDAJ	PREVOD NA UCET	1413	26218	SIPO	UV	69220012
1703146	5774	1996-11-09	VYDAJ	PREVOD NA UCET	1413	28994	SIPO	UV	69220012
1703147	5774	1996-12-09	VYDAJ	PREVOD NA UCET	1413	31960	SIPO	UV	69220012
1703148	5774	1997-01-09	VYDAJ	PREVOD NA UCET	1413	38160	SIPO	UV	69220012
1703149	5774	1997-02-09	VYDAJ	PREVOD NA UCET	1413	35783	SIPO	UV	69220012
1703150	5774	1997-03-09	VYDAJ	PREVOD NA UCET	1413	35896	SIPO	UV	69220012
1703151	5774	1997-04-09	VYDAJ	PREVOD NA UCET	1413	37413	SIPO	UV	69220012
1703152	5774	1997-05-09	VYDAJ	PREVOD NA UCET	1413	33333	SIPO	UV	69220012
1703153	5774	1997-06-09	VYDAJ	PREVOD NA UCET	1413	32435	SIPO	UV	69220012
1703154	5774	1997-07-09	VYDAJ	PREVOD NA UCET	1413	37459	SIPO	UV	69220012
1703155	5774	1997-08-09	VYDAJ	PREVOD NA UCET	1413	38077	SIPO	UV	69220012
1703156	5774	1997-09-09	VYDAJ	PREVOD NA UCET	1413	31517	SIPO	UV	69220012
1703157	5774	1997-10-09	VYDAJ	PREVOD NA UCET	1413	32514	SIPO	UV	69220012
1703158	5774	1997-11-09	VYDAJ	PREVOD NA UCET	1413	28843	SIPO	UV	69220012
1703159	5774	1997-12-09	VYDAJ	PREVOD NA UCET	1413	27320	SIPO	UV	69220012
1703160	5774	1998-01-09	VYDAJ	PREVOD NA UCET	1413	29766	SIPO	UV	69220012
1703161	5774	1998-02-09	VYDAJ	PREVOD NA UCET	1413	25340	SIPO	UV	69220012
1703162	5774	1998-03-09	VYDAJ	PREVOD NA UCET	1413	27105	SIPO	UV	69220012
1703163	5774	1998-04-09	VYDAJ	PREVOD NA UCET	1413	27218	SIPO	UV	69220012
1703164	5774	1998-05-09	VYDAJ	PREVOD NA UCET	1413	29792	SIPO	UV	69220012
1703165	5774	1998-06-09	VYDAJ	PREVOD NA UCET	1413	28471	SIPO	UV	69220012
1703166	5774	1998-07-09	VYDAJ	PREVOD NA UCET	1413	32970	SIPO	UV	69220012
1703167	5774	1998-08-09	VYDAJ	PREVOD NA UCET	1413	27068	SIPO	UV	69220012
1703168	5774	1998-09-09	VYDAJ	PREVOD NA UCET	1413	31943	SIPO	UV	69220012
1703169	5774	1998-10-09	VYDAJ	PREVOD NA UCET	1413	34232	SIPO	UV	69220012
1703170	5774	1998-11-09	VYDAJ	PREVOD NA UCET	1413	40737	SIPO	UV	69220012
1703171	5774	1998-12-09	VYDAJ	PREVOD NA UCET	1413	42760	SIPO	UV	69220012
1703182	5774	1995-11-12	VYDAJ	PREVOD NA UCET	7143	32635	 	OP	39872121
1703183	5774	1995-12-12	VYDAJ	PREVOD NA UCET	7143	27547	 	OP	39872121
1703184	5774	1996-01-12	VYDAJ	PREVOD NA UCET	7143	30107	 	OP	39872121
1703185	5774	1996-02-12	VYDAJ	PREVOD NA UCET	7143	26314	 	OP	39872121
1703186	5774	1996-03-12	VYDAJ	PREVOD NA UCET	7143	23135	 	OP	39872121
1703187	5774	1996-04-12	VYDAJ	PREVOD NA UCET	7143	22845	 	OP	39872121
1703188	5774	1996-05-12	VYDAJ	PREVOD NA UCET	7143	14649	 	OP	39872121
1703189	5774	1996-06-12	VYDAJ	PREVOD NA UCET	7143	15817	 	OP	39872121
1703190	5774	1996-07-12	VYDAJ	PREVOD NA UCET	7143	21283	 	OP	39872121
1703191	5774	1996-08-12	VYDAJ	PREVOD NA UCET	7143	17403	 	OP	39872121
1703192	5774	1996-09-12	VYDAJ	PREVOD NA UCET	7143	16007	 	OP	39872121
1703193	5774	1996-10-12	VYDAJ	PREVOD NA UCET	7143	19075	 	OP	39872121
1703194	5774	1996-11-12	VYDAJ	PREVOD NA UCET	7143	20552	 	OP	39872121
1703195	5774	1996-12-12	VYDAJ	PREVOD NA UCET	7143	23518	 	OP	39872121
1703196	5774	1997-01-12	VYDAJ	PREVOD NA UCET	7143	29718	 	OP	39872121
1703197	5774	1997-02-12	VYDAJ	PREVOD NA UCET	7143	27341	 	OP	39872121
1703198	5774	1997-03-12	VYDAJ	PREVOD NA UCET	7143	27454	 	OP	39872121
1703199	5774	1997-04-12	VYDAJ	PREVOD NA UCET	7143	28971	 	OP	39872121
1703200	5774	1997-05-12	VYDAJ	PREVOD NA UCET	7143	26190	 	OP	39872121
1703201	5774	1997-06-12	VYDAJ	PREVOD NA UCET	7143	25292	 	OP	39872121
1703202	5774	1997-07-12	VYDAJ	PREVOD NA UCET	7143	29017	 	OP	39872121
1703203	5774	1997-08-12	VYDAJ	PREVOD NA UCET	7143	29635	 	OP	39872121
1703204	5774	1997-09-12	VYDAJ	PREVOD NA UCET	7143	23075	 	OP	39872121
1703205	5774	1997-10-12	VYDAJ	PREVOD NA UCET	7143	24072	 	OP	39872121
1703206	5774	1997-11-12	VYDAJ	PREVOD NA UCET	7143	20401	 	OP	39872121
1703207	5774	1997-12-12	VYDAJ	PREVOD NA UCET	7143	18377	 	OP	39872121
1703208	5774	1998-01-12	VYDAJ	PREVOD NA UCET	7143	22623	 	OP	39872121
1703209	5774	1998-02-12	VYDAJ	PREVOD NA UCET	7143	18197	 	OP	39872121
1703210	5774	1998-03-12	VYDAJ	PREVOD NA UCET	7143	19962	 	OP	39872121
1703211	5774	1998-04-12	VYDAJ	PREVOD NA UCET	7143	20075	 	OP	39872121
1703212	5774	1998-05-12	VYDAJ	PREVOD NA UCET	7143	21349	 	OP	39872121
1703213	5774	1998-06-12	VYDAJ	PREVOD NA UCET	7143	21328	 	OP	39872121
1703214	5774	1998-07-12	VYDAJ	PREVOD NA UCET	7143	21267	 	OP	39872121
1703215	5774	1998-08-12	VYDAJ	PREVOD NA UCET	7143	19925	 	OP	39872121
1703216	5774	1998-09-12	VYDAJ	PREVOD NA UCET	7143	24800	 	OP	39872121
1703217	5774	1998-10-12	VYDAJ	PREVOD NA UCET	7143	27089	 	OP	39872121
1703218	5774	1998-11-12	VYDAJ	PREVOD NA UCET	7143	33594	 	OP	39872121
1703219	5774	1998-12-12	VYDAJ	PREVOD NA UCET	7143	35617	 	OP	39872121
1703230	5774	1995-11-17	VYDAJ	VYBER	1600	50647	\N	\N	0
1703231	5774	1995-12-12	VYDAJ	PREVOD NA UCET	1299	26248	UVER	ST	4440504
1703232	5774	1996-01-12	VYDAJ	PREVOD NA UCET	1299	37250	UVER	ST	4440504
1703233	5774	1996-02-12	VYDAJ	PREVOD NA UCET	1299	33457	UVER	ST	4440504
1703234	5774	1996-03-12	VYDAJ	PREVOD NA UCET	1299	21836	UVER	ST	4440504
1703235	5774	1996-04-12	VYDAJ	PREVOD NA UCET	1299	21546	UVER	ST	4440504
1703236	5774	1996-05-12	VYDAJ	PREVOD NA UCET	1299	13350	UVER	ST	4440504
1703237	5774	1996-06-12	VYDAJ	PREVOD NA UCET	1299	22960	UVER	ST	4440504
1703238	5774	1996-07-12	VYDAJ	PREVOD NA UCET	1299	19984	UVER	ST	4440504
1703239	5774	1996-08-12	VYDAJ	PREVOD NA UCET	1299	24546	UVER	ST	4440504
1703240	5774	1996-09-12	VYDAJ	PREVOD NA UCET	1299	14708	UVER	ST	4440504
1703241	5774	1996-10-12	VYDAJ	PREVOD NA UCET	1299	17776	UVER	ST	4440504
1703242	5774	1996-11-12	VYDAJ	PREVOD NA UCET	1299	27695	UVER	ST	4440504
1703243	5774	1996-12-12	VYDAJ	PREVOD NA UCET	1299	30661	UVER	ST	4440504
1703244	5774	1997-01-12	VYDAJ	PREVOD NA UCET	1299	36861	UVER	ST	4440504
1703245	5774	1997-02-12	VYDAJ	PREVOD NA UCET	1299	34484	UVER	ST	4440504
1703246	5774	1997-03-12	VYDAJ	PREVOD NA UCET	1299	34597	UVER	ST	4440504
1703247	5774	1997-04-12	VYDAJ	PREVOD NA UCET	1299	36114	UVER	ST	4440504
1703248	5774	1997-05-12	VYDAJ	PREVOD NA UCET	1299	24891	UVER	ST	4440504
1703249	5774	1997-06-12	VYDAJ	PREVOD NA UCET	1299	23993	UVER	ST	4440504
1703250	5774	1997-07-12	VYDAJ	PREVOD NA UCET	1299	36160	UVER	ST	4440504
1703251	5774	1997-08-12	VYDAJ	PREVOD NA UCET	1299	36778	UVER	ST	4440504
1703252	5774	1997-09-12	VYDAJ	PREVOD NA UCET	1299	30218	UVER	ST	4440504
1703253	5774	1997-10-12	VYDAJ	PREVOD NA UCET	1299	31215	UVER	ST	4440504
1703254	5774	1997-11-12	VYDAJ	PREVOD NA UCET	1299	27544	UVER	ST	4440504
1703255	5774	1997-11-25	VYDAJ	VYBER	900	28613	\N	\N	0
1703256	5774	1998-01-12	VYDAJ	VYBER	1200	21423	\N	\N	0
1703257	5774	1998-02-23	VYDAJ	VYBER	1300	29309	\N	\N	0
1703258	5774	1998-03-02	VYDAJ	VYBER	900	28518	\N	\N	0
1703259	5774	1998-04-06	VYDAJ	VYBER	1200	28631	\N	\N	0
1703260	5774	1998-05-11	VYDAJ	VYBER	1300	28492	\N	\N	0
1703261	5774	1998-06-06	VYDAJ	VYBER	1500	29884	\N	\N	0
1703262	5774	1998-07-08	VYDAJ	VYBER	1400	34383	\N	\N	0
1703263	5774	1998-08-07	VYDAJ	VYBER	1500	28481	\N	\N	0
1703264	5774	1998-09-12	VYDAJ	VYBER	900	23900	\N	\N	0
1703265	5774	1998-10-06	VYDAJ	VYBER	1200	35645	\N	\N	0
1703266	5774	1998-11-19	VYDAJ	VYBER	1400	44006	\N	\N	0
1703267	5774	1998-12-22	VYDAJ	VYBER	1800	53015	\N	\N	0
1703268	5774	1995-12-10	VYDAJ	VYBER	4640	34690	\N	\N	\N
1703269	5774	1996-12-13	VYDAJ	VYBER	2720	20798	\N	\N	\N
1703270	5774	1997-12-15	VYDAJ	VYBER	3520	44275	\N	\N	\N
1703271	5774	1998-12-22	VYDAJ	VYBER	1120	54815	\N	\N	\N
1703273	5774	1995-10-22	VYDAJ	VYBER	5400	57850	\N	\N	\N
1703275	5774	1995-10-17	VYDAJ	VYBER	2520	63250	\N	\N	\N
1703276	5774	1996-07-23	VYDAJ	VYBER	4080	35516	\N	\N	\N
1703277	5774	1996-02-06	VYDAJ	VYBER	1440	36169	\N	\N	\N
1703278	5774	1996-09-10	VYDAJ	VYBER	2880	23150	\N	\N	\N
1703279	5774	1996-11-19	VYDAJ	VYBER	1320	38844	\N	\N	\N
1703280	5774	1996-07-10	VYDAJ	VYBER	2640	28426	\N	\N	\N
1703281	5774	1996-05-04	VYDAJ	VYBER	3000	23205	\N	\N	\N
1703282	5774	1997-10-19	VYDAJ	VYBER	2760	40924	\N	\N	\N
1703283	5774	1997-07-02	VYDAJ	VYBER	600	38872	\N	\N	\N
1703284	5774	1997-09-06	VYDAJ	VYBER	5280	32930	\N	\N	\N
1703285	5774	1997-12-23	VYDAJ	VYBER	3120	41155	\N	\N	\N
1703286	5774	1997-12-12	VYDAJ	VYBER	1800	25520	\N	\N	\N
1703287	5774	1998-07-11	VYDAJ	VYBER	4560	28410	\N	\N	\N
1703288	5774	1998-07-20	VYDAJ	VYBER	1800	37159	\N	\N	\N
1703289	5774	1998-07-16	VYDAJ	VYBER	1920	38959	\N	\N	\N
1703290	5774	1998-03-23	VYDAJ	VYBER	3360	36214	\N	\N	\N
1703301	5774	1995-10-31	VYDAJ	VYBER	15	58091	SLUZBY	\N	\N
1703302	5774	1995-11-30	VYDAJ	VYBER	15	50843	SLUZBY	\N	\N
1703303	5774	1995-12-31	VYDAJ	VYBER	15	55862	SLUZBY	\N	\N
1703304	5774	1996-01-31	VYDAJ	VYBER	15	49909	SLUZBY	\N	\N
1703305	5774	1996-02-29	VYDAJ	VYBER	15	46091	SLUZBY	\N	\N
1703306	5774	1996-03-31	VYDAJ	VYBER	15	41601	SLUZBY	\N	\N
1703307	5774	1996-04-30	VYDAJ	VYBER	15	41305	SLUZBY	\N	\N
1703308	5774	1996-05-31	VYDAJ	VYBER	15	33072	SLUZBY	\N	\N
1703309	5774	1996-06-30	VYDAJ	VYBER	15	45379	SLUZBY	\N	\N
1703310	5774	1996-07-31	VYDAJ	VYBER	15	35658	SLUZBY	\N	\N
1703311	5774	1996-08-31	VYDAJ	VYBER	15	37143	SLUZBY	\N	\N
1703312	5774	1996-09-30	VYDAJ	VYBER	15	27631	SLUZBY	\N	\N
1703313	5774	1996-10-31	VYDAJ	VYBER	15	30407	SLUZBY	\N	\N
1703314	5774	1996-11-30	VYDAJ	VYBER	15	33373	SLUZBY	\N	\N
1703315	5774	1996-12-31	VYDAJ	VYBER	15	39573	SLUZBY	\N	\N
1703316	5774	1997-01-31	VYDAJ	VYBER	15	37196	SLUZBY	\N	\N
1703317	5774	1997-02-28	VYDAJ	VYBER	15	37309	SLUZBY	\N	\N
1703318	5774	1997-03-31	VYDAJ	VYBER	15	38826	SLUZBY	\N	\N
1703319	5774	1997-04-30	VYDAJ	VYBER	15	34746	SLUZBY	\N	\N
1703320	5774	1997-05-31	VYDAJ	VYBER	15	33848	SLUZBY	\N	\N
1703321	5774	1997-06-30	VYDAJ	VYBER	15	39472	SLUZBY	\N	\N
1703322	5774	1997-07-31	VYDAJ	VYBER	15	39490	SLUZBY	\N	\N
1703323	5774	1997-08-31	VYDAJ	VYBER	15	38210	SLUZBY	\N	\N
1703324	5774	1997-09-30	VYDAJ	VYBER	15	33927	SLUZBY	\N	\N
1703325	5774	1997-10-31	VYDAJ	VYBER	15	30256	SLUZBY	\N	\N
1703326	5774	1997-11-30	VYDAJ	VYBER	15	28733	SLUZBY	\N	\N
1703327	5774	1997-12-31	VYDAJ	VYBER	15	31179	SLUZBY	\N	\N
1703328	5774	1998-01-31	VYDAJ	VYBER	15	26753	SLUZBY	\N	\N
1703329	5774	1998-02-28	VYDAJ	VYBER	15	29418	SLUZBY	\N	\N
1703330	5774	1998-03-31	VYDAJ	VYBER	15	29831	SLUZBY	\N	\N
1703331	5774	1998-04-30	VYDAJ	VYBER	15	31205	SLUZBY	\N	\N
1703332	5774	1998-05-31	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
1703333	5774	1998-06-30	VYDAJ	VYBER	15	35783	SLUZBY	\N	\N
1703334	5774	1998-07-31	VYDAJ	VYBER	15	29981	SLUZBY	\N	\N
1703335	5774	1998-08-31	VYDAJ	VYBER	15	33356	SLUZBY	\N	\N
1703336	5774	1998-09-30	VYDAJ	VYBER	15	36845	SLUZBY	\N	\N
1703337	5774	1998-10-31	VYDAJ	VYBER	15	42150	SLUZBY	\N	\N
1703338	5774	1998-11-30	VYDAJ	VYBER	15	44173	SLUZBY	\N	\N
1703339	5774	1995-07-08	VYDAJ	VYBER	2700	27489	\N	\N	\N
1703340	5774	1995-08-07	VYDAJ	VYBER	11000	36268	\N	\N	\N
1703341	5774	1995-09-06	VYDAJ	VYBER	13200	42897	\N	\N	\N
1703342	5774	1995-10-06	VYDAJ	VYBER	16600	46158	\N	\N	\N
1703343	5774	1995-11-05	VYDAJ	VYBER	16900	41191	\N	\N	\N
1703344	5774	1995-12-05	VYDAJ	VYBER	10100	40743	\N	\N	\N
1703345	5774	1996-01-04	VYDAJ	VYBER	15900	39962	\N	\N	\N
1703346	5774	1996-02-03	VYDAJ	VYBER	12300	37609	\N	\N	\N
1703347	5774	1996-03-04	VYDAJ	VYBER	14400	31691	\N	\N	\N
1703348	5774	1996-04-03	VYDAJ	VYBER	10200	31401	\N	\N	\N
1703349	5774	1996-05-03	VYDAJ	VYBER	15100	26205	\N	\N	\N
1703350	5774	1996-06-02	VYDAJ	VYBER	7400	25672	\N	\N	\N
1703351	5774	1996-07-02	VYDAJ	VYBER	12900	32479	\N	\N	\N
1703352	5774	1996-08-01	VYDAJ	VYBER	8400	27258	\N	\N	\N
1703353	5774	1996-08-31	VYDAJ	VYBER	9700	27443	\N	\N	\N
1703354	5774	1996-09-30	VYDAJ	VYBER	6800	27645	\N	\N	\N
1703355	5774	1996-10-30	VYDAJ	VYBER	7100	30288	\N	\N	\N
1703356	5774	1996-11-29	VYDAJ	VYBER	5600	33244	\N	\N	\N
1703357	5774	1996-12-29	VYDAJ	VYBER	10800	39416	\N	\N	\N
1703358	5774	1997-01-28	VYDAJ	VYBER	12300	37030	\N	\N	\N
1703359	5774	1997-02-27	VYDAJ	VYBER	9800	37153	\N	\N	\N
1703360	5774	1997-03-29	VYDAJ	VYBER	8400	38666	\N	\N	\N
1703361	5774	1997-04-28	VYDAJ	VYBER	14000	34583	\N	\N	\N
1703362	5774	1997-05-28	VYDAJ	VYBER	10800	33703	\N	\N	\N
1703363	5774	1997-06-27	VYDAJ	VYBER	14100	39311	\N	\N	\N
1703364	5774	1997-07-27	VYDAJ	VYBER	9300	39329	\N	\N	\N
1703365	5774	1997-08-26	VYDAJ	VYBER	11200	38047	\N	\N	\N
1703366	5774	1997-09-25	VYDAJ	VYBER	8900	33787	\N	\N	\N
1703367	5774	1997-10-25	VYDAJ	VYBER	10800	30124	\N	\N	\N
1703368	5774	1997-11-24	VYDAJ	VYBER	10500	29513	\N	\N	\N
1703369	5774	1997-12-24	VYDAJ	VYBER	10100	31055	\N	\N	\N
1703370	5774	1998-01-23	VYDAJ	VYBER	14400	26635	\N	\N	\N
1703371	5774	1998-02-22	VYDAJ	VYBER	7200	30609	\N	\N	\N
1703372	5774	1998-03-24	VYDAJ	VYBER	6500	29714	\N	\N	\N
1703373	5774	1998-04-23	VYDAJ	VYBER	8600	31087	\N	\N	\N
1703374	5774	1998-05-23	VYDAJ	VYBER	9700	31261	\N	\N	\N
1703375	5774	1998-06-22	VYDAJ	VYBER	15100	35646	\N	\N	\N
1703376	5774	1998-07-22	VYDAJ	VYBER	7300	29859	\N	\N	\N
1703377	5774	1998-08-21	VYDAJ	VYBER	6300	33237	\N	\N	\N
1703378	5774	1998-09-20	VYDAJ	VYBER	6800	36712	\N	\N	\N
1703379	5774	1998-10-20	VYDAJ	VYBER	4700	42001	\N	\N	\N
1703380	5774	1998-11-19	VYDAJ	VYBER	7800	45406	\N	\N	\N
1703381	5774	1998-12-19	VYDAJ	VYBER	9100	55935	\N	\N	\N
1709373	5794	1995-07-14	PRIJEM	VKLAD	300	300	\N	\N	\N
1709375	5794	1995-08-03	PRIJEM	VKLAD	15490	52323	\N	\N	\N
1709377	5794	1995-12-07	PRIJEM	VKLAD	19515	57762	\N	\N	\N
1709379	5794	1995-07-29	PRIJEM	VKLAD	36518	36818	\N	\N	\N
1709380	5794	1995-10-19	PRIJEM	VKLAD	38394	82050	\N	\N	\N
1709381	5794	1995-12-28	PRIJEM	VKLAD	11473	51995	\N	\N	\N
1709382	5794	1995-10-03	PRIJEM	VKLAD	27464	105256	\N	\N	\N
1709384	5794	1995-09-26	PRIJEM	VKLAD	47109	77596	\N	\N	\N
1709388	5794	1995-12-10	PRIJEM	VKLAD	29513	87275	\N	\N	\N
1709389	5794	1996-12-03	PRIJEM	VKLAD	14876	26133	\N	\N	\N
1709390	5794	1997-08-17	PRIJEM	VKLAD	28404	42177	\N	\N	\N
1709391	5794	1997-12-21	PRIJEM	VKLAD	29836	51347	\N	\N	\N
1709392	5794	1997-11-08	PRIJEM	VKLAD	19664	35221	\N	\N	\N
1709393	5794	1997-05-27	PRIJEM	VKLAD	13071	24606	\N	\N	\N
1709394	5794	1997-01-31	PRIJEM	VKLAD	20849	38428	\N	\N	\N
1709395	5794	1998-12-11	PRIJEM	VKLAD	36542	107382	\N	\N	\N
1709396	5794	1998-10-04	PRIJEM	VKLAD	8579	101812	\N	\N	\N
1709397	5794	1998-07-03	PRIJEM	VKLAD	24108	78344	\N	\N	\N
1709398	5794	1998-08-24	PRIJEM	VKLAD	26156	101829	\N	\N	\N
1709399	5794	1998-04-18	PRIJEM	VKLAD	42666	82394	\N	\N	\N
1709400	5794	1998-01-22	PRIJEM	VKLAD	16450	38957	\N	\N	\N
1709401	5794	1998-07-19	PRIJEM	VKLAD	29772	100656	\N	\N	\N
1709402	5794	1998-02-25	PRIJEM	VKLAD	30592	50086	\N	\N	\N
1709403	5794	1998-10-07	PRIJEM	VKLAD	23750	125562	\N	\N	\N
1709404	5794	1998-08-13	PRIJEM	VKLAD	36617	115883	\N	\N	\N
1709405	5794	1998-04-29	PRIJEM	VKLAD	35016	114176	\N	\N	\N
1709406	5794	1998-11-21	PRIJEM	VKLAD	21409	106085	\N	\N	\N
1709407	5794	1998-04-10	PRIJEM	VKLAD	18663	41788	\N	\N	\N
1709408	5794	1998-08-11	PRIJEM	VKLAD	13909	109026	\N	\N	\N
1709409	5794	1998-06-08	PRIJEM	VKLAD	38281	94284	\N	\N	\N
1709410	5794	1998-04-22	PRIJEM	VKLAD	29566	111960	\N	\N	\N
1709411	5794	1998-09-24	PRIJEM	VKLAD	36041	105120	\N	\N	\N
1709412	5794	1998-05-12	PRIJEM	VKLAD	26041	93267	\N	\N	\N
1709413	5794	1998-10-01	PRIJEM	VKLAD	19022	93233	\N	\N	\N
1709414	5794	1998-03-21	PRIJEM	VKLAD	5162	27997	\N	\N	\N
1709415	5794	1998-08-02	PRIJEM	VKLAD	31785	95117	\N	\N	\N
1709416	5794	1998-10-29	PRIJEM	VKLAD	36123	91525	\N	\N	\N
1709417	5794	1998-11-27	PRIJEM	VKLAD	5209	76494	\N	\N	\N
1709418	5794	1998-05-07	PRIJEM	VKLAD	19939	67226	\N	\N	\N
1709429	5794	1995-10-23	VYDAJ	VYBER	2500	59286	\N	\N	0
1709430	5794	1995-12-01	VYDAJ	VYBER	1400	38247	\N	\N	0
1709431	5794	1996-01-13	VYDAJ	VYBER	2500	17871	\N	\N	0
1709432	5794	1996-02-08	VYDAJ	VYBER	2000	15969	\N	\N	0
1709433	5794	1996-03-19	VYDAJ	VYBER	1400	13020	\N	\N	0
1709434	5794	1996-04-26	VYDAJ	VYBER	1700	15464	\N	\N	0
1709435	5794	1996-05-12	VYDAJ	PREVOD NA UCET	2060	12846	UVER	CD	1848161
1709436	5794	1996-06-12	VYDAJ	PREVOD NA UCET	2060	15028	UVER	CD	1848161
1709437	5794	1996-07-12	VYDAJ	PREVOD NA UCET	2060	12313	UVER	CD	1848161
1709438	5794	1996-08-12	VYDAJ	PREVOD NA UCET	2060	14594	UVER	CD	1848161
1709439	5794	1996-09-12	VYDAJ	PREVOD NA UCET	2060	12176	UVER	CD	1848161
1709440	5794	1996-10-12	VYDAJ	PREVOD NA UCET	2060	10256	UVER	CD	1848161
1709441	5794	1996-11-12	VYDAJ	PREVOD NA UCET	2060	11227	UVER	CD	1848161
1709442	5794	1996-12-12	VYDAJ	PREVOD NA UCET	2060	20173	UVER	CD	1848161
1709443	5794	1997-01-12	VYDAJ	PREVOD NA UCET	2060	17579	UVER	CD	1848161
1709444	5794	1997-02-12	VYDAJ	PREVOD NA UCET	2060	22233	UVER	CD	1848161
1709445	5794	1997-03-12	VYDAJ	PREVOD NA UCET	2060	11277	UVER	CD	1848161
1709446	5794	1997-04-12	VYDAJ	PREVOD NA UCET	2060	11462	UVER	CD	1848161
1709447	5794	1997-05-12	VYDAJ	PREVOD NA UCET	2060	11535	UVER	CD	1848161
1709448	5794	1997-06-12	VYDAJ	PREVOD NA UCET	2060	17087	UVER	CD	1848161
1709449	5794	1997-07-12	VYDAJ	PREVOD NA UCET	2060	10595	UVER	CD	1848161
1709450	5794	1997-08-12	VYDAJ	PREVOD NA UCET	2060	13773	UVER	CD	1848161
1709451	5794	1997-09-12	VYDAJ	PREVOD NA UCET	2060	16415	UVER	CD	1848161
1709452	5794	1997-10-12	VYDAJ	PREVOD NA UCET	2060	12514	UVER	CD	1848161
1709453	5794	1997-11-12	VYDAJ	PREVOD NA UCET	2060	33161	UVER	CD	1848161
1709454	5794	1997-12-12	VYDAJ	PREVOD NA UCET	2060	21511	UVER	CD	1848161
1709455	5794	1998-01-12	VYDAJ	PREVOD NA UCET	2060	22507	UVER	CD	1848161
1709456	5794	1998-02-12	VYDAJ	PREVOD NA UCET	2060	19494	UVER	CD	1848161
1709457	5794	1998-03-12	VYDAJ	PREVOD NA UCET	2060	22835	UVER	CD	1848161
1709458	5794	1998-04-12	VYDAJ	PREVOD NA UCET	2060	39728	UVER	CD	1848161
1709459	5794	1998-05-12	VYDAJ	PREVOD NA UCET	2060	91207	UVER	CD	1848161
1709460	5794	1998-06-12	VYDAJ	PREVOD NA UCET	2060	92224	UVER	CD	1848161
1709461	5794	1998-07-12	VYDAJ	PREVOD NA UCET	2060	76284	UVER	CD	1848161
1709462	5794	1998-08-12	VYDAJ	PREVOD NA UCET	2060	106966	UVER	CD	1848161
1709463	5794	1998-09-12	VYDAJ	PREVOD NA UCET	2060	69079	UVER	CD	1848161
1709464	5794	1998-10-12	VYDAJ	PREVOD NA UCET	2060	79402	UVER	CD	1848161
1709465	5794	1998-11-12	VYDAJ	PREVOD NA UCET	2060	84676	UVER	CD	1848161
1709466	5794	1998-12-12	VYDAJ	PREVOD NA UCET	2060	66722	UVER	CD	1848161
1709467	5794	1995-12-10	VYBER	VYBER	24753	62522	\N	\N	\N
1709474	5794	1995-10-20	VYBER	VYBER	20264	61786	\N	\N	\N
1709485	5794	1997-11-15	VYBER	VYBER	3377	29784	\N	\N	\N
1709487	5794	1997-08-28	VYBER	VYBER	21885	20292	\N	\N	\N
1709491	5794	1998-08-23	VYBER	VYBER	8410	75673	\N	\N	\N
1709492	5794	1998-10-31	VYBER	VYBER	5130	86751	\N	\N	\N
1709493	5794	1998-03-08	VYBER	VYBER	11082	24895	\N	\N	\N
1709494	5794	1998-06-03	VYBER	VYBER	4395	56003	\N	\N	\N
1709498	5794	1998-06-25	VYDAJ	VYBER	25200	67024	\N	\N	\N
1709503	5794	1995-12-20	VYDAJ	VYBER	2700	40522	\N	\N	\N
1709506	5794	1998-12-08	VYDAJ	VYBER	6000	70840	\N	\N	\N
1709513	5794	1996-01-07	VYDAJ	VYBER	4800	41671	\N	\N	\N
1709514	5794	1996-01-07	VYDAJ	VYBER	5700	46471	\N	\N	\N
1709516	5794	1996-01-11	VYDAJ	VYBER	6300	20371	\N	\N	\N
1709518	5794	1996-01-09	VYDAJ	VYBER	4200	37471	\N	\N	\N
1709526	5794	1998-01-07	VYDAJ	VYBER	2100	24567	\N	\N	\N
1709527	5794	1998-01-04	VYDAJ	VYBER	7500	26667	\N	\N	\N
1709529	5794	1998-01-25	VYDAJ	VYBER	4200	27557	\N	\N	\N
1709530	5794	1998-01-22	VYDAJ	VYBER	7200	31757	\N	\N	\N
1709541	5794	1997-02-28	VYDAJ	VYBER	2100	20237	\N	\N	\N
1709544	5794	1998-07-21	VYDAJ	VYBER	14100	86556	\N	\N	\N
1709546	5794	1998-04-01	VYDAJ	VYBER	6000	23125	\N	\N	\N
1709547	5794	1998-07-15	VYDAJ	VYBER	5400	70884	\N	\N	\N
1709548	5794	1998-10-21	VYDAJ	VYBER	8700	70702	\N	\N	\N
1709559	5794	1995-10-31	VYDAJ	VYBER	15	59516	SLUZBY	\N	\N
1709560	5794	1995-11-30	VYDAJ	VYBER	15	39647	SLUZBY	\N	\N
1709561	5794	1995-12-31	VYDAJ	VYBER	15	52171	SLUZBY	\N	\N
1709562	5794	1996-01-31	VYDAJ	VYBER	15	17969	SLUZBY	\N	\N
1709563	5794	1996-02-29	VYDAJ	VYBER	15	14920	SLUZBY	\N	\N
1709564	5794	1996-03-31	VYDAJ	VYBER	15	13064	SLUZBY	\N	\N
1709565	5794	1996-04-30	VYDAJ	VYBER	15	15506	SLUZBY	\N	\N
1709566	5794	1996-05-31	VYDAJ	VYBER	15	12888	SLUZBY	\N	\N
1709567	5794	1996-06-30	VYDAJ	VYBER	15	15073	SLUZBY	\N	\N
1709568	5794	1996-07-31	VYDAJ	VYBER	15	12354	SLUZBY	\N	\N
1709569	5794	1996-08-31	VYDAJ	VYBER	15	14636	SLUZBY	\N	\N
1709570	5794	1996-09-30	VYDAJ	VYBER	15	12216	SLUZBY	\N	\N
1709571	5794	1996-10-31	VYDAJ	VYBER	15	10287	SLUZBY	\N	\N
1709572	5794	1996-11-30	VYDAJ	VYBER	15	11257	SLUZBY	\N	\N
1709573	5794	1996-12-31	VYDAJ	VYBER	15	20239	SLUZBY	\N	\N
1709574	5794	1997-01-31	VYDAJ	VYBER	15	38493	SLUZBY	\N	\N
1709575	5794	1997-02-28	VYDAJ	VYBER	15	22337	SLUZBY	\N	\N
1709576	5794	1997-03-31	VYDAJ	VYBER	15	11322	SLUZBY	\N	\N
1709577	5794	1997-04-30	VYDAJ	VYBER	15	11495	SLUZBY	\N	\N
1709578	5794	1997-05-31	VYDAJ	VYBER	15	24647	SLUZBY	\N	\N
1709579	5794	1997-06-30	VYDAJ	VYBER	15	17155	SLUZBY	\N	\N
1709580	5794	1997-07-31	VYDAJ	VYBER	15	10633	SLUZBY	\N	\N
1709581	5794	1997-08-31	VYDAJ	VYBER	15	20375	SLUZBY	\N	\N
1709582	5794	1997-09-30	VYDAJ	VYBER	15	16474	SLUZBY	\N	\N
1709583	5794	1997-10-31	VYDAJ	VYBER	15	15557	SLUZBY	\N	\N
1709584	5794	1997-11-30	VYDAJ	VYBER	15	23571	SLUZBY	\N	\N
1709585	5794	1997-12-31	VYDAJ	VYBER	15	34167	SLUZBY	\N	\N
1709586	5794	1998-01-31	VYDAJ	VYBER	15	21554	SLUZBY	\N	\N
1709587	5794	1998-02-28	VYDAJ	VYBER	15	50177	SLUZBY	\N	\N
1709588	5794	1998-03-31	VYDAJ	VYBER	15	29125	SLUZBY	\N	\N
1709589	5794	1998-04-30	VYDAJ	VYBER	15	47287	SLUZBY	\N	\N
1709590	5794	1998-05-31	VYDAJ	VYBER	15	60398	SLUZBY	\N	\N
1709591	5794	1998-06-30	VYDAJ	VYBER	15	54236	SLUZBY	\N	\N
1709592	5794	1998-07-31	VYDAJ	VYBER	15	63332	SLUZBY	\N	\N
1709593	5794	1998-08-31	VYDAJ	VYBER	15	71139	SLUZBY	\N	\N
1709594	5794	1998-09-30	VYDAJ	VYBER	15	74211	SLUZBY	\N	\N
1709595	5794	1998-10-31	VYDAJ	VYBER	15	86736	SLUZBY	\N	\N
1709596	5794	1998-11-30	VYDAJ	VYBER	15	76840	SLUZBY	\N	\N
1709597	5794	1995-08-13	VYDAJ	VYBER	11400	40923	\N	\N	\N
1709598	5794	1995-09-12	VYDAJ	VYBER	10600	30487	\N	\N	\N
1709599	5794	1995-10-03	VYDAJ	VYBER	43300	61956	\N	\N	\N
1709600	5794	1995-10-12	VYDAJ	VYBER	18300	43656	\N	\N	\N
1709601	5794	1995-11-11	VYDAJ	VYBER	20100	39416	\N	\N	\N
1709602	5794	1995-12-11	VYDAJ	VYBER	19300	43222	\N	\N	\N
1709603	5794	1996-01-10	VYDAJ	VYBER	10800	26671	\N	\N	\N
1709604	5794	1996-02-09	VYDAJ	VYBER	1100	14869	\N	\N	\N
1709605	5794	1996-03-10	VYDAJ	VYBER	500	14420	\N	\N	\N
1709606	5794	1996-04-09	PRIJEM	VKLAD	4100	17164	\N	\N	\N
1709607	5794	1996-05-09	VYDAJ	VYBER	600	14906	\N	\N	\N
1709608	5794	1996-06-08	PRIJEM	VKLAD	4200	17088	\N	\N	\N
1709609	5794	1996-07-08	VYDAJ	VYBER	700	14373	\N	\N	\N
1709610	5794	1996-08-07	PRIJEM	VKLAD	4300	16654	\N	\N	\N
1709611	5794	1996-09-06	VYDAJ	VYBER	400	14236	\N	\N	\N
1709612	5794	1996-10-06	PRIJEM	VKLAD	100	12316	\N	\N	\N
1709613	5794	1996-11-05	PRIJEM	VKLAD	3000	13287	\N	\N	\N
1709614	5794	1996-12-05	VYDAJ	VYBER	3900	22233	\N	\N	\N
1709615	5794	1997-01-04	VYDAJ	VYBER	600	19639	\N	\N	\N
1709616	5794	1997-02-03	VYDAJ	VYBER	14200	24293	\N	\N	\N
1709617	5794	1997-03-05	VYDAJ	VYBER	6900	13337	\N	\N	\N
1709618	5794	1997-04-04	PRIJEM	VKLAD	2200	13522	\N	\N	\N
1709619	5794	1997-05-04	PRIJEM	VKLAD	2100	13595	\N	\N	\N
1709620	5794	1997-06-03	VYDAJ	VYBER	5500	19147	\N	\N	\N
1709621	5794	1997-07-03	VYDAJ	VYBER	4500	12655	\N	\N	\N
1709622	5794	1997-08-02	PRIJEM	VKLAD	5200	15833	\N	\N	\N
1709623	5794	1997-09-01	VYDAJ	VYBER	1900	18475	\N	\N	\N
1709624	5794	1997-10-01	VYDAJ	VYBER	1900	14574	\N	\N	\N
1709625	5794	1997-10-31	PRIJEM	VKLAD	3000	15572	\N	\N	\N
1709626	5794	1997-11-30	VYDAJ	VYBER	6300	23586	\N	\N	\N
1709627	5794	1997-12-30	VYDAJ	VYBER	17300	34047	\N	\N	\N
1709628	5794	1998-01-29	VYDAJ	VYBER	6100	21457	\N	\N	\N
1709629	5794	1998-02-28	VYDAJ	VYBER	14200	35977	\N	\N	\N
1709630	5794	1998-03-30	PRIJEM	VKLAD	1000	28997	\N	\N	\N
1709631	5794	1998-04-22	VYDAJ	VYBER	32800	79160	\N	\N	\N
1709632	5794	1998-04-29	VYDAJ	VYBER	48900	47076	\N	\N	\N
1709633	5794	1998-04-29	VYDAJ	VYBER	18200	95976	\N	\N	\N
1709634	5794	1998-05-29	VYDAJ	VYBER	31100	60107	\N	\N	\N
1709635	5794	1998-06-28	VYDAJ	VYBER	13100	53924	\N	\N	\N
1709636	5794	1998-07-28	VYDAJ	VYBER	23500	63056	\N	\N	\N
1709637	5794	1998-08-12	VYDAJ	VYBER	27700	79266	\N	\N	\N
1709638	5794	1998-08-13	VYDAJ	VYBER	31800	84083	\N	\N	\N
1709639	5794	1998-08-27	VYDAJ	VYBER	31000	70829	\N	\N	\N
1709640	5794	1998-09-26	VYDAJ	VYBER	31200	73920	\N	\N	\N
1709641	5794	1998-10-07	VYDAJ	VYBER	44100	81462	\N	\N	\N
1709642	5794	1998-10-26	VYDAJ	VYBER	15300	55402	\N	\N	\N
1709643	5794	1998-11-25	VYDAJ	VYBER	34800	71285	\N	\N	\N
1709644	5794	1998-12-11	VYDAJ	VYBER	38600	68782	\N	\N	\N
1715905	5817	1996-12-10	PRIJEM	VKLAD	400	400	\N	\N	\N
1715908	5817	1996-12-25	PRIJEM	VKLAD	12766	13166	\N	\N	\N
1715910	5817	1997-05-22	PRIJEM	VKLAD	34967	120753	\N	\N	\N
1715911	5817	1997-11-23	PRIJEM	VKLAD	33108	82660	\N	\N	\N
1715912	5817	1997-10-06	PRIJEM	VKLAD	30713	64987	\N	\N	\N
1715913	5817	1997-09-25	PRIJEM	VKLAD	25694	43621	\N	\N	\N
1715914	5817	1997-04-21	PRIJEM	VKLAD	16834	49788	\N	\N	\N
1715915	5817	1997-05-18	PRIJEM	VKLAD	16374	59074	\N	\N	\N
1715916	5817	1997-03-26	PRIJEM	VKLAD	28333	56206	\N	\N	\N
1715917	5817	1997-01-04	PRIJEM	VKLAD	33319	54126	\N	\N	\N
1715918	5817	1997-05-03	PRIJEM	VKLAD	31882	71857	\N	\N	\N
1715919	5817	1997-10-23	PRIJEM	VKLAD	29685	66167	\N	\N	\N
1715920	5817	1997-05-29	PRIJEM	VKLAD	39019	92786	\N	\N	\N
1715921	5817	1997-01-20	PRIJEM	VKLAD	47445	85671	\N	\N	\N
1715922	5817	1997-12-13	PRIJEM	VKLAD	5603	63193	\N	\N	\N
1715923	5817	1997-05-27	PRIJEM	VKLAD	32459	122112	\N	\N	\N
1715924	5817	1997-02-20	PRIJEM	VKLAD	12519	68527	\N	\N	\N
1715925	5817	1997-07-07	PRIJEM	VKLAD	20809	48974	\N	\N	\N
1715926	5817	1997-01-04	PRIJEM	VKLAD	7629	20807	\N	\N	\N
1715927	5817	1997-11-12	PRIJEM	VKLAD	21376	49552	\N	\N	\N
1715928	5817	1997-12-01	PRIJEM	VKLAD	8974	91761	\N	\N	\N
1715929	5817	1997-10-25	PRIJEM	VKLAD	44665	110832	\N	\N	\N
1715930	5817	1997-04-03	PRIJEM	VKLAD	49230	105511	\N	\N	\N
1715931	5817	1997-12-11	PRIJEM	VKLAD	7886	57590	\N	\N	\N
1715932	5817	1997-05-18	PRIJEM	VKLAD	41412	100486	\N	\N	\N
1715933	5817	1997-08-20	PRIJEM	VKLAD	11280	29780	\N	\N	\N
1715934	5817	1997-10-30	PRIJEM	VKLAD	15821	65853	\N	\N	\N
1715935	5817	1998-01-27	PRIJEM	VKLAD	45162	65773	\N	\N	\N
1715936	5817	1998-10-22	PRIJEM	VKLAD	40489	156401	\N	\N	\N
1715937	5817	1998-12-26	PRIJEM	VKLAD	24064	64663	\N	\N	\N
1715938	5817	1998-12-17	PRIJEM	VKLAD	39421	64983	\N	\N	\N
1715939	5817	1998-07-28	PRIJEM	VKLAD	48754	101121	\N	\N	\N
1715940	5817	1998-02-26	PRIJEM	VKLAD	30320	88656	\N	\N	\N
1715941	5817	1998-08-01	PRIJEM	VKLAD	45086	146339	\N	\N	\N
1715942	5817	1998-10-22	PRIJEM	VKLAD	26514	115912	\N	\N	\N
1715943	5817	1998-06-18	PRIJEM	VKLAD	48649	47424	\N	\N	\N
1715944	5817	1998-07-06	PRIJEM	VKLAD	38916	55472	\N	\N	\N
1715945	5817	1998-02-04	PRIJEM	VKLAD	28277	70793	\N	\N	\N
1715946	5817	1998-11-25	PRIJEM	VKLAD	17662	74585	\N	\N	\N
1715947	5817	1998-11-02	PRIJEM	VKLAD	35818	69380	\N	\N	\N
1715948	5817	1998-10-21	PRIJEM	VKLAD	30001	89398	\N	\N	\N
1715949	5817	1998-10-13	PRIJEM	VKLAD	7146	66597	\N	\N	\N
1715950	5817	1998-08-20	PRIJEM	VKLAD	44438	136274	\N	\N	\N
1715951	5817	1998-04-05	PRIJEM	VKLAD	24432	66930	\N	\N	\N
1715952	5817	1998-01-10	PRIJEM	VKLAD	41125	59611	\N	\N	\N
1715953	5817	1998-08-14	PRIJEM	VKLAD	49654	91836	\N	\N	\N
1715954	5817	1998-09-24	PRIJEM	VKLAD	43497	69951	\N	\N	\N
1715955	5817	1998-03-27	PRIJEM	VKLAD	29367	77729	\N	\N	\N
1715956	5817	1998-10-02	PRIJEM	VKLAD	26169	61193	\N	\N	\N
1715957	5817	1998-10-10	PRIJEM	VKLAD	10715	59451	\N	\N	\N
1716008	5817	1997-03-08	VYDAJ	PREVOD NA UCET	3105	29273	SIPO	QR	90788304
1716009	5817	1997-04-08	VYDAJ	PREVOD NA UCET	3105	43754	SIPO	QR	90788304
1716010	5817	1997-05-08	VYDAJ	PREVOD NA UCET	3105	59400	SIPO	QR	90788304
1716011	5817	1997-06-08	VYDAJ	PREVOD NA UCET	3105	80501	SIPO	QR	90788304
1716012	5817	1997-07-08	VYDAJ	PREVOD NA UCET	3105	45869	SIPO	QR	90788304
1716013	5817	1997-08-08	VYDAJ	PREVOD NA UCET	3105	18500	SIPO	QR	90788304
1716014	5817	1997-09-08	VYDAJ	PREVOD NA UCET	3105	17927	SIPO	QR	90788304
1716015	5817	1997-10-08	VYDAJ	PREVOD NA UCET	3105	36482	SIPO	QR	90788304
1716016	5817	1997-11-08	VYDAJ	PREVOD NA UCET	3105	28176	SIPO	QR	90788304
1716017	5817	1997-12-08	VYDAJ	PREVOD NA UCET	3105	49704	SIPO	QR	90788304
1716018	5817	1998-01-08	VYDAJ	PREVOD NA UCET	3105	18486	SIPO	QR	90788304
1716019	5817	1998-02-08	VYDAJ	PREVOD NA UCET	3105	58336	SIPO	QR	90788304
1716020	5817	1998-03-08	VYDAJ	PREVOD NA UCET	3105	48362	SIPO	QR	90788304
1716021	5817	1998-04-08	VYDAJ	PREVOD NA UCET	3105	54473	SIPO	QR	90788304
1716022	5817	1998-05-08	VYDAJ	PREVOD NA UCET	3105	11276	SIPO	QR	90788304
1716023	5817	1998-06-08	VYDAJ	PREVOD NA UCET	3105	-1225	SIPO	QR	90788304
1716024	5817	1998-07-08	VYDAJ	PREVOD NA UCET	3105	52367	SIPO	QR	90788304
1716025	5817	1998-08-08	VYDAJ	PREVOD NA UCET	3105	42182	SIPO	QR	90788304
1716026	5817	1998-09-08	VYDAJ	PREVOD NA UCET	3105	26454	SIPO	QR	90788304
1716027	5817	1998-10-08	VYDAJ	PREVOD NA UCET	3105	48736	SIPO	QR	90788304
1716028	5817	1998-11-08	VYDAJ	PREVOD NA UCET	3105	56923	SIPO	QR	90788304
1716029	5817	1998-12-08	VYDAJ	PREVOD NA UCET	3105	25562	SIPO	QR	90788304
1716044	5817	1997-03-05	VYDAJ	PREVOD NA UCET	9352	59409	 	WX	85494482
1716045	5817	1997-04-05	VYDAJ	PREVOD NA UCET	9352	51059	 	WX	85494482
1716046	5817	1997-05-05	VYDAJ	PREVOD NA UCET	9352	62505	 	WX	85494482
1716047	5817	1997-06-05	VYDAJ	PREVOD NA UCET	9352	83606	 	WX	85494482
1716048	5817	1997-07-05	VYDAJ	PREVOD NA UCET	9352	28165	 	WX	85494482
1716049	5817	1997-08-05	VYDAJ	PREVOD NA UCET	9352	18205	 	WX	85494482
1716050	5817	1997-09-05	VYDAJ	PREVOD NA UCET	9352	20432	 	WX	85494482
1716051	5817	1997-10-05	VYDAJ	PREVOD NA UCET	9352	34274	 	WX	85494482
1716052	5817	1997-11-05	VYDAJ	PREVOD NA UCET	9352	45181	 	WX	85494482
1716053	5817	1997-12-05	VYDAJ	PREVOD NA UCET	9352	82409	 	WX	85494482
1716054	5817	1998-01-05	VYDAJ	PREVOD NA UCET	9352	21591	 	WX	85494482
1716055	5817	1998-02-05	VYDAJ	PREVOD NA UCET	9352	61441	 	WX	85494482
1716056	5817	1998-03-05	VYDAJ	PREVOD NA UCET	9352	51467	 	WX	85494482
1716057	5817	1998-04-05	VYDAJ	PREVOD NA UCET	9352	57578	 	WX	85494482
1716058	5817	1998-05-05	VYDAJ	PREVOD NA UCET	9352	14381	 	WX	85494482
1716059	5817	1998-06-05	VYDAJ	PREVOD NA UCET	9352	1880	 	WX	85494482
1716060	5817	1998-07-05	VYDAJ	PREVOD NA UCET	9352	16556	 	WX	85494482
1716061	5817	1998-08-05	VYDAJ	PREVOD NA UCET	9352	45287	 	WX	85494482
1716062	5817	1998-09-05	VYDAJ	PREVOD NA UCET	9352	29559	 	WX	85494482
1716063	5817	1998-10-05	VYDAJ	PREVOD NA UCET	9352	51841	 	WX	85494482
1716064	5817	1998-11-05	VYDAJ	PREVOD NA UCET	9352	60028	 	WX	85494482
1716065	5817	1998-12-05	VYDAJ	PREVOD NA UCET	9352	28667	 	WX	85494482
1716071	5817	1997-08-02	VYBER	VYBER	5795	27557	\N	\N	\N
1716074	5817	1997-05-27	VYBER	VYBER	14245	107867	\N	\N	\N
1716075	5817	1997-03-08	VYBER	VYBER	16231	32378	\N	\N	\N
1716076	5817	1998-03-30	VYBER	VYBER	8816	61262	\N	\N	\N
1716079	5817	1998-03-27	VYBER	VYBER	7651	70078	\N	\N	\N
1716081	5817	1998-08-21	VYBER	VYBER	10170	81204	\N	\N	\N
1716082	5817	1998-12-24	VYBER	VYBER	9984	40599	\N	\N	\N
1716083	5817	1998-08-24	VYBER	VYBER	13372	67832	\N	\N	\N
1716085	5817	1998-06-19	VYBER	VYBER	10390	37034	\N	\N	\N
1716086	5817	1998-04-13	VYBER	VYBER	20609	33864	\N	\N	\N
1716088	5817	1997-06-12	VYDAJ	VYBER	11700	37401	\N	\N	\N
1716092	5817	1998-01-11	VYDAJ	VYBER	21300	28411	\N	\N	\N
1716094	5817	1997-12-17	VYDAJ	VYBER	4200	58993	\N	\N	\N
1716108	5817	1998-01-20	VYDAJ	VYBER	6300	20611	\N	\N	\N
1716110	5817	1998-01-10	VYDAJ	VYBER	5700	49711	\N	\N	\N
1716111	5817	1998-01-10	VYDAJ	VYBER	4200	55411	\N	\N	\N
1716112	5817	1998-01-12	VYDAJ	VYBER	1500	26911	\N	\N	\N
1716113	5817	1998-01-04	VYDAJ	VYBER	3900	30943	\N	\N	\N
1716116	5817	1997-10-31	VYDAJ	VYBER	11400	54533	\N	\N	\N
1716117	5817	1997-04-24	VYDAJ	VYBER	9900	39888	\N	\N	\N
1716119	5817	1997-05-20	VYDAJ	VYBER	14700	85786	\N	\N	\N
1716120	5817	1997-04-08	VYDAJ	VYBER	4200	46859	\N	\N	\N
1716121	5817	1997-03-07	VYDAJ	VYBER	10800	48609	\N	\N	\N
1716122	5817	1997-12-29	VYDAJ	VYBER	7500	51493	\N	\N	\N
1716124	5817	1998-10-14	VYDAJ	VYBER	7200	59397	\N	\N	\N
1716125	5817	1998-09-28	VYDAJ	VYBER	7800	62151	\N	\N	\N
1716126	5817	1998-04-20	VYDAJ	VYBER	7200	26664	\N	\N	\N
1716130	5817	1998-12-23	VYDAJ	VYBER	14400	50583	\N	\N	\N
1716145	5817	1997-02-28	VYDAJ	VYBER	100	68761	SLUZBY	\N	\N
1716146	5817	1997-03-31	VYDAJ	VYBER	100	56281	SLUZBY	\N	\N
1716147	5817	1997-04-30	VYDAJ	VYBER	100	39975	SLUZBY	\N	\N
1716148	5817	1997-05-31	VYDAJ	VYBER	100	92958	SLUZBY	\N	\N
1716149	5817	1997-06-30	VYDAJ	VYBER	100	37517	SLUZBY	\N	\N
1716150	5817	1997-07-31	VYDAJ	VYBER	100	33352	SLUZBY	\N	\N
1716151	5817	1997-08-31	VYDAJ	VYBER	100	29784	SLUZBY	\N	\N
1716152	5817	1997-09-30	VYDAJ	VYBER	100	43626	SLUZBY	\N	\N
1716153	5817	1997-10-31	VYDAJ	VYBER	100	65933	SLUZBY	\N	\N
1716154	5817	1997-11-30	VYDAJ	VYBER	100	82787	SLUZBY	\N	\N
1716155	5817	1997-12-31	VYDAJ	VYBER	100	51643	SLUZBY	\N	\N
1716156	5817	1998-01-31	VYDAJ	VYBER	100	65816	SLUZBY	\N	\N
1716157	5817	1998-02-28	VYDAJ	VYBER	100	88819	SLUZBY	\N	\N
1716158	5817	1998-03-31	VYDAJ	VYBER	100	61398	SLUZBY	\N	\N
1716159	5817	1998-04-30	VYDAJ	VYBER	100	26733	SLUZBY	\N	\N
1716160	5817	1998-05-31	VYDAJ	VYBER	100	11232	SLUZBY	\N	\N
1716161	5817	1998-06-30	VYDAJ	VYBER	100	37013	SLUZBY	\N	\N
1716162	5817	1998-07-31	VYDAJ	VYBER	100	101253	SLUZBY	\N	\N
1716163	5817	1998-08-31	VYDAJ	VYBER	100	68011	SLUZBY	\N	\N
1716164	5817	1998-09-30	VYDAJ	VYBER	100	62224	SLUZBY	\N	\N
1716165	5817	1998-10-31	VYDAJ	VYBER	100	111362	SLUZBY	\N	\N
1716166	5817	1998-11-30	VYDAJ	VYBER	100	38019	SLUZBY	\N	\N
1716167	5817	1997-01-09	VYDAJ	VYBER	15900	38226	\N	\N	\N
1716168	5817	1997-02-08	VYDAJ	VYBER	29900	56008	\N	\N	\N
1716169	5817	1997-03-10	VYDAJ	VYBER	1400	27873	\N	\N	\N
1716170	5817	1997-04-03	VYDAJ	VYBER	45100	60411	\N	\N	\N
1716171	5817	1997-04-09	VYDAJ	VYBER	10800	32954	\N	\N	\N
1716172	5817	1997-05-09	VYDAJ	VYBER	16700	42700	\N	\N	\N
1716173	5817	1997-05-22	VYDAJ	VYBER	31100	89653	\N	\N	\N
1716174	5817	1997-05-27	VYDAJ	VYBER	54100	53767	\N	\N	\N
1716175	5817	1997-06-08	VYDAJ	VYBER	31400	49101	\N	\N	\N
1716176	5817	1997-07-08	VYDAJ	VYBER	12600	33269	\N	\N	\N
1716177	5817	1997-08-07	PRIJEM	VKLAD	3400	21605	\N	\N	\N
1716178	5817	1997-09-06	PRIJEM	VKLAD	600	21032	\N	\N	\N
1716179	5817	1997-10-06	VYDAJ	VYBER	25400	39587	\N	\N	\N
1716180	5817	1997-10-25	VYDAJ	VYBER	60800	50032	\N	\N	\N
1716181	5817	1997-11-05	VYDAJ	VYBER	13900	31281	\N	\N	\N
1716182	5817	1997-12-05	VYDAJ	VYBER	29600	52809	\N	\N	\N
1716183	5817	1998-01-04	VYDAJ	VYBER	16800	34843	\N	\N	\N
1716184	5817	1998-02-03	VYDAJ	VYBER	23300	42516	\N	\N	\N
1716185	5817	1998-03-05	VYDAJ	VYBER	28000	60819	\N	\N	\N
1716186	5817	1998-04-04	VYDAJ	VYBER	18900	42498	\N	\N	\N
1716187	5817	1998-05-04	VYDAJ	VYBER	3000	23733	\N	\N	\N
1716188	5817	1998-07-03	VYDAJ	VYBER	11100	25908	\N	\N	\N
1716189	5817	1998-08-01	VYDAJ	VYBER	43200	103139	\N	\N	\N
1716190	5817	1998-08-02	VYDAJ	VYBER	48500	54639	\N	\N	\N
1716191	5817	1998-08-20	VYDAJ	VYBER	44900	91374	\N	\N	\N
1716192	5817	1998-09-01	VYDAJ	VYBER	29100	38911	\N	\N	\N
1716193	5817	1998-10-01	VYDAJ	VYBER	27200	35024	\N	\N	\N
1716194	5817	1998-10-22	VYDAJ	VYBER	21700	134701	\N	\N	\N
1716195	5817	1998-10-22	VYDAJ	VYBER	23600	111101	\N	\N	\N
1716196	5817	1998-10-31	VYDAJ	VYBER	48500	33562	\N	\N	\N
1716197	5817	1998-10-31	VYDAJ	VYBER	29300	82062	\N	\N	\N
1716198	5817	1998-11-30	VYDAJ	VYBER	36700	38119	\N	\N	\N
1721772	5837	1996-07-18	PRIJEM	VKLAD	800	800	\N	\N	\N
1721773	5837	1996-12-04	PRIJEM	VKLAD	37880	77924	\N	\N	\N
1721774	5837	1996-11-07	PRIJEM	VKLAD	46636	93364	\N	\N	\N
1721775	5837	1996-10-02	PRIJEM	VKLAD	15762	69330	\N	\N	\N
1721777	5837	1996-12-19	PRIJEM	VKLAD	37379	86317	\N	\N	\N
1721778	5837	1996-11-16	PRIJEM	VKLAD	17384	72048	\N	\N	\N
1721779	5837	1996-10-27	PRIJEM	VKLAD	24820	70365	\N	\N	\N
1721780	5837	1996-08-23	PRIJEM	VKLAD	45792	84383	\N	\N	\N
1721783	5837	1996-12-22	PRIJEM	VKLAD	28186	114503	\N	\N	\N
1721788	5837	1996-12-19	PRIJEM	VKLAD	19739	48938	\N	\N	\N
1721789	5837	1996-11-02	PRIJEM	VKLAD	35489	140728	\N	\N	\N
1721790	5837	1996-08-03	PRIJEM	VKLAD	47091	47891	\N	\N	\N
1721792	5837	1996-11-01	PRIJEM	VKLAD	29755	120639	\N	\N	\N
1721793	5837	1996-10-15	PRIJEM	VKLAD	48515	117845	\N	\N	\N
1721796	5837	1996-10-31	PRIJEM	VKLAD	20242	90899	\N	\N	\N
1721797	5837	1997-09-14	PRIJEM	VKLAD	41962	88259	\N	\N	\N
1721798	5837	1997-07-12	PRIJEM	VKLAD	11209	63193	\N	\N	\N
1721799	5837	1997-09-27	PRIJEM	VKLAD	26197	114456	\N	\N	\N
1721800	5837	1997-05-07	PRIJEM	VKLAD	19465	66340	\N	\N	\N
1721801	5837	1997-07-15	PRIJEM	VKLAD	11752	62945	\N	\N	\N
1721802	5837	1997-04-06	PRIJEM	VKLAD	35733	62400	\N	\N	\N
1721803	5837	1997-07-04	PRIJEM	VKLAD	34610	51984	\N	\N	\N
1721804	5837	1997-08-14	PRIJEM	VKLAD	29484	59802	\N	\N	\N
1721805	5837	1997-05-27	PRIJEM	VKLAD	5642	47970	\N	\N	\N
1721806	5837	1997-10-31	PRIJEM	VKLAD	14181	52239	\N	\N	\N
1721807	5837	1997-08-03	PRIJEM	VKLAD	6621	54362	\N	\N	\N
1721808	5837	1998-03-02	PRIJEM	VKLAD	40107	75071	\N	\N	\N
1721809	5837	1998-06-22	PRIJEM	VKLAD	29627	72684	\N	\N	\N
1721810	5837	1998-07-21	PRIJEM	VKLAD	24266	84921	\N	\N	\N
1721811	5837	1998-08-24	PRIJEM	VKLAD	34121	96794	\N	\N	\N
1721822	5837	1996-11-13	VYDAJ	VYBER	4700	88664	\N	\N	0
1721823	5837	1996-12-12	VYDAJ	VYBER	6300	37399	\N	\N	0
1721824	5837	1997-01-10	VYDAJ	VYBER	4800	28562	\N	\N	0
1721825	5837	1997-02-18	VYDAJ	VYBER	6400	24882	\N	\N	0
1721826	5837	1997-03-01	VYDAJ	VYBER	4100	20874	\N	\N	0
1721827	5837	1997-04-07	VYDAJ	VYBER	3400	59000	\N	\N	0
1721828	5837	1997-05-14	VYDAJ	VYBER	5600	44128	\N	\N	0
1721829	5837	1997-05-28	VYDAJ	VYBER	4700	43270	\N	\N	0
1721830	5837	1997-07-02	VYDAJ	VYBER	4300	17374	\N	\N	0
1721831	5837	1997-07-28	VYDAJ	VYBER	6400	47545	\N	\N	0
1721832	5837	1997-09-02	VYDAJ	VYBER	5200	54797	\N	\N	0
1721833	5837	1997-10-12	VYDAJ	PREVOD NA UCET	4939	48086	UVER	KL	80529534
1721834	5837	1997-11-12	VYDAJ	PREVOD NA UCET	4939	32010	UVER	KL	80529534
1721835	5837	1997-12-12	VYDAJ	PREVOD NA UCET	4939	26560	UVER	KL	80529534
1721836	5837	1998-01-12	VYDAJ	PREVOD NA UCET	4939	26002	UVER	KL	80529534
1721837	5837	1998-02-12	VYDAJ	PREVOD NA UCET	4939	34849	UVER	KL	80529534
1721838	5837	1998-03-12	VYDAJ	PREVOD NA UCET	4939	53032	UVER	KL	80529534
1721839	5837	1998-04-12	VYDAJ	PREVOD NA UCET	4939	47564	UVER	KL	80529534
1721840	5837	1998-05-12	VYDAJ	PREVOD NA UCET	4939	50106	UVER	KL	80529534
1721841	5837	1998-06-12	VYDAJ	PREVOD NA UCET	4939	43057	UVER	KL	80529534
1721842	5837	1998-07-12	VYDAJ	PREVOD NA UCET	4939	60655	UVER	KL	80529534
1721843	5837	1998-08-12	VYDAJ	PREVOD NA UCET	4939	62673	UVER	KL	80529534
1721844	5837	1998-09-12	VYDAJ	PREVOD NA UCET	4939	69668	UVER	KL	80529534
1721845	5837	1998-10-12	VYDAJ	PREVOD NA UCET	4939	57839	UVER	KL	80529534
1721846	5837	1998-11-12	VYDAJ	PREVOD NA UCET	4939	49343	UVER	KL	80529534
1721847	5837	1998-12-12	VYDAJ	PREVOD NA UCET	4939	43507	UVER	KL	80529534
1721850	5837	1996-12-10	VYBER	VYBER	21025	43699	\N	\N	\N
1721856	5837	1996-11-21	VYBER	VYBER	15826	56222	\N	\N	\N
1721860	5837	1996-11-25	VYBER	VYBER	16435	39787	\N	\N	\N
1721861	5837	1997-10-01	VYBER	VYBER	24637	61325	\N	\N	\N
1721862	5837	1997-05-13	VYBER	VYBER	16612	49728	\N	\N	\N
1721863	5837	1997-11-25	VYBER	VYBER	7350	24660	\N	\N	\N
1721864	5837	1997-08-04	VYBER	VYBER	19167	35195	\N	\N	\N
1721865	5837	1997-10-26	VYBER	VYBER	4570	37816	\N	\N	\N
1721866	5837	1997-08-12	VYBER	VYBER	15177	30318	\N	\N	\N
1721867	5837	1997-11-02	VYBER	VYBER	19975	32249	\N	\N	\N
1721872	5837	1998-06-01	VYDAJ	VYBER	14700	35596	\N	\N	\N
1721874	5837	1997-01-04	VYDAJ	VYBER	13200	33362	\N	\N	\N
1721876	5837	1996-12-22	VYDAJ	VYBER	8100	106403	\N	\N	\N
1721878	5837	1998-12-06	VYDAJ	VYBER	5700	48446	\N	\N	\N
1721879	5837	1996-11-02	VYDAJ	VYBER	1500	139228	\N	\N	\N
1721880	5837	1996-11-13	VYDAJ	VYBER	10500	78164	\N	\N	\N
1721883	5837	1996-12-09	VYDAJ	VYBER	13200	64724	\N	\N	\N
1721885	5837	1997-07-19	VYDAJ	VYBER	9000	53945	\N	\N	\N
1721886	5837	1997-12-10	VYDAJ	VYBER	2700	31499	\N	\N	\N
1721887	5837	1997-12-13	VYDAJ	VYBER	5400	21160	\N	\N	\N
1721888	5837	1997-06-24	VYDAJ	VYBER	14400	21540	\N	\N	\N
1721890	5837	1997-06-08	VYDAJ	VYBER	9000	34440	\N	\N	\N
1721891	5837	1997-10-22	VYDAJ	VYBER	5700	42386	\N	\N	\N
1721892	5837	1998-08-27	VYDAJ	VYBER	4500	92294	\N	\N	\N
1721893	5837	1998-03-10	VYDAJ	VYBER	13200	61871	\N	\N	\N
1721894	5837	1998-12-23	VYDAJ	VYBER	10800	32707	\N	\N	\N
1721895	5837	1998-03-18	VYDAJ	VYBER	7200	45832	\N	\N	\N
1721906	5837	1996-10-31	VYDAJ	VYBER	15	90884	SLUZBY	\N	\N
1721907	5837	1996-11-30	VYDAJ	VYBER	15	40044	SLUZBY	\N	\N
1721908	5837	1996-12-31	VYDAJ	VYBER	15	46562	SLUZBY	\N	\N
1721909	5837	1997-01-31	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
1721910	5837	1997-02-28	VYDAJ	VYBER	15	24974	SLUZBY	\N	\N
1721911	5837	1997-03-31	VYDAJ	VYBER	15	26667	SLUZBY	\N	\N
1721912	5837	1997-04-30	VYDAJ	VYBER	15	46875	SLUZBY	\N	\N
1721913	5837	1997-05-31	VYDAJ	VYBER	15	43440	SLUZBY	\N	\N
1721914	5837	1997-06-30	VYDAJ	VYBER	15	21674	SLUZBY	\N	\N
1721915	5837	1997-07-31	VYDAJ	VYBER	15	47741	SLUZBY	\N	\N
1721916	5837	1997-08-31	VYDAJ	VYBER	15	59997	SLUZBY	\N	\N
1721917	5837	1997-09-30	VYDAJ	VYBER	15	85962	SLUZBY	\N	\N
1721918	5837	1997-10-31	VYDAJ	VYBER	15	52224	SLUZBY	\N	\N
1721919	5837	1997-11-30	VYDAJ	VYBER	15	24799	SLUZBY	\N	\N
1721920	5837	1997-12-31	VYDAJ	VYBER	15	21241	SLUZBY	\N	\N
1721921	5837	1998-01-31	VYDAJ	VYBER	15	26088	SLUZBY	\N	\N
1721922	5837	1998-02-28	VYDAJ	VYBER	15	34964	SLUZBY	\N	\N
1721923	5837	1998-03-31	VYDAJ	VYBER	15	46003	SLUZBY	\N	\N
1721924	5837	1998-04-30	VYDAJ	VYBER	15	47745	SLUZBY	\N	\N
1721925	5837	1998-05-31	VYDAJ	VYBER	15	50296	SLUZBY	\N	\N
1721926	5837	1998-06-30	VYDAJ	VYBER	15	72894	SLUZBY	\N	\N
1721927	5837	1998-07-31	VYDAJ	VYBER	15	85212	SLUZBY	\N	\N
1721928	5837	1998-08-31	VYDAJ	VYBER	15	92607	SLUZBY	\N	\N
1721929	5837	1998-09-30	VYDAJ	VYBER	15	69978	SLUZBY	\N	\N
1721930	5837	1998-10-31	VYDAJ	VYBER	15	58082	SLUZBY	\N	\N
1721931	5837	1998-11-30	VYDAJ	VYBER	15	49546	SLUZBY	\N	\N
1721932	5837	1996-08-17	VYDAJ	VYBER	9300	38591	\N	\N	\N
1721933	5837	1996-09-16	VYDAJ	VYBER	31300	53216	\N	\N	\N
1721934	5837	1996-10-15	VYDAJ	VYBER	48200	69645	\N	\N	\N
1721935	5837	1996-10-16	VYDAJ	VYBER	24100	45545	\N	\N	\N
1721936	5837	1996-11-01	VYDAJ	VYBER	15400	105239	\N	\N	\N
1721937	5837	1996-11-02	VYDAJ	VYBER	34100	46728	\N	\N	\N
1721938	5837	1996-11-02	VYDAJ	VYBER	58400	80828	\N	\N	\N
1721939	5837	1996-11-15	VYDAJ	VYBER	23500	54664	\N	\N	\N
1721940	5837	1996-12-15	VYDAJ	VYBER	8200	29199	\N	\N	\N
1721941	5837	1996-12-22	VYDAJ	VYBER	60100	46303	\N	\N	\N
1721942	5837	1997-01-14	VYDAJ	VYBER	2500	26062	\N	\N	\N
1721943	5837	1997-02-13	PRIJEM	VKLAD	5100	31282	\N	\N	\N
1721944	5837	1997-03-15	PRIJEM	VKLAD	5700	26574	\N	\N	\N
1721945	5837	1997-04-14	VYDAJ	VYBER	12300	46700	\N	\N	\N
1721946	5837	1997-05-14	VYDAJ	VYBER	1800	42328	\N	\N	\N
1721947	5837	1997-06-13	PRIJEM	VKLAD	1500	35940	\N	\N	\N
1721948	5837	1997-07-13	VYDAJ	VYBER	12000	51193	\N	\N	\N
1721949	5837	1997-08-12	PRIJEM	VKLAD	10300	45495	\N	\N	\N
1721950	5837	1997-09-11	VYDAJ	VYBER	8500	46297	\N	\N	\N
1721951	5837	1997-09-27	VYDAJ	VYBER	28800	85656	\N	\N	\N
1721952	5837	1997-10-11	VYDAJ	VYBER	8300	53025	\N	\N	\N
1721953	5837	1997-11-10	PRIJEM	VKLAD	4700	36949	\N	\N	\N
1721954	5837	1997-12-10	PRIJEM	VKLAD	9400	34199	\N	\N	\N
1721955	5837	1998-01-09	PRIJEM	VKLAD	9700	30941	\N	\N	\N
1721956	5837	1998-02-08	PRIJEM	VKLAD	13700	39788	\N	\N	\N
1721957	5837	1998-03-10	VYDAJ	VYBER	3900	57971	\N	\N	\N
1721958	5837	1998-04-09	PRIJEM	VKLAD	6500	52503	\N	\N	\N
1721959	5837	1998-05-09	PRIJEM	VKLAD	7300	55045	\N	\N	\N
1721960	5837	1998-06-08	PRIJEM	VKLAD	12400	47996	\N	\N	\N
1721961	5837	1998-07-08	VYDAJ	VYBER	7300	65594	\N	\N	\N
1721962	5837	1998-08-07	VYDAJ	VYBER	17600	67612	\N	\N	\N
1721963	5837	1998-09-06	VYDAJ	VYBER	18000	74607	\N	\N	\N
1721964	5837	1998-10-06	VYDAJ	VYBER	7200	62778	\N	\N	\N
1721965	5837	1998-11-05	VYDAJ	VYBER	3800	54282	\N	\N	\N
1721966	5837	1998-12-05	PRIJEM	VKLAD	4600	54146	\N	\N	\N
1730428	5868	1993-02-02	PRIJEM	VKLAD	200	200	\N	\N	\N
1730429	5868	1993-07-30	PRIJEM	VKLAD	26005	95107	\N	\N	\N
1730430	5868	1993-07-09	PRIJEM	VKLAD	6217	31980	\N	\N	\N
1730431	5868	1993-08-19	PRIJEM	VKLAD	47601	109342	\N	\N	\N
1730432	5868	1993-09-18	PRIJEM	VKLAD	32814	29444	\N	\N	\N
1730433	5868	1993-07-15	PRIJEM	VKLAD	37122	69102	\N	\N	\N
1730434	5868	1993-03-30	PRIJEM	VKLAD	29849	40249	\N	\N	\N
1730435	5868	1993-12-25	PRIJEM	VKLAD	22500	29853	\N	\N	\N
1730436	5868	1994-06-30	PRIJEM	VKLAD	29060	39359	\N	\N	\N
1730437	5868	1995-08-18	PRIJEM	VKLAD	24058	121427	\N	\N	\N
1730438	5868	1995-12-20	PRIJEM	VKLAD	37745	78235	\N	\N	\N
1730439	5868	1995-01-03	PRIJEM	VKLAD	30334	36578	\N	\N	\N
1730440	5868	1995-06-04	PRIJEM	VKLAD	25781	125478	\N	\N	\N
1730441	5868	1995-08-29	PRIJEM	VKLAD	26658	107870	\N	\N	\N
1730442	5868	1995-05-29	PRIJEM	VKLAD	28669	123512	\N	\N	\N
1730443	5868	1995-06-06	PRIJEM	VKLAD	16373	111449	\N	\N	\N
1730444	5868	1995-08-08	PRIJEM	VKLAD	14617	92156	\N	\N	\N
1730445	5868	1995-07-30	PRIJEM	VKLAD	11480	50914	\N	\N	\N
1730446	5868	1995-07-01	PRIJEM	VKLAD	29749	46834	\N	\N	\N
1730447	5868	1995-08-14	PRIJEM	VKLAD	5213	97369	\N	\N	\N
1730448	5868	1995-11-01	PRIJEM	VKLAD	41305	73940	\N	\N	\N
1730449	5868	1995-05-25	PRIJEM	VKLAD	45870	87950	\N	\N	\N
1730450	5868	1995-05-01	PRIJEM	VKLAD	17098	82135	\N	\N	\N
1730451	5868	1995-05-28	PRIJEM	VKLAD	6893	94843	\N	\N	\N
1730452	5868	1995-08-07	PRIJEM	VKLAD	16217	77539	\N	\N	\N
1730453	5868	1995-05-22	PRIJEM	VKLAD	43191	153705	\N	\N	\N
1730454	5868	1995-05-22	PRIJEM	VKLAD	20975	174680	\N	\N	\N
1730455	5868	1995-02-19	PRIJEM	VKLAD	23721	37598	\N	\N	\N
1730456	5868	1995-01-04	PRIJEM	VKLAD	5118	41696	\N	\N	\N
1730457	5868	1995-08-05	PRIJEM	VKLAD	10319	61322	\N	\N	\N
1730458	5868	1995-01-18	PRIJEM	VKLAD	13276	29975	\N	\N	\N
1730459	5868	1995-03-04	PRIJEM	VKLAD	27770	62232	\N	\N	\N
1730460	5868	1995-04-26	PRIJEM	VKLAD	26663	39718	\N	\N	\N
1730461	5868	1995-04-29	PRIJEM	VKLAD	25147	64865	\N	\N	\N
1730462	5868	1995-01-26	PRIJEM	VKLAD	20038	45613	\N	\N	\N
1730463	5868	1995-05-22	PRIJEM	VKLAD	28379	110514	\N	\N	\N
1730464	5868	1995-06-05	PRIJEM	VKLAD	29898	125676	\N	\N	\N
1730465	5868	1995-08-26	PRIJEM	VKLAD	34085	81212	\N	\N	\N
1730466	5868	1996-12-28	PRIJEM	VKLAD	9967	22024	\N	\N	\N
1730467	5868	1996-01-15	PRIJEM	VKLAD	35736	80307	\N	\N	\N
1730468	5868	1997-11-29	PRIJEM	VKLAD	9556	68396	\N	\N	\N
1730469	5868	1997-03-20	PRIJEM	VKLAD	46799	100128	\N	\N	\N
1730470	5868	1997-06-17	PRIJEM	VKLAD	17955	54520	\N	\N	\N
1730471	5868	1997-10-31	PRIJEM	VKLAD	14569	75854	\N	\N	\N
1730472	5868	1997-03-19	PRIJEM	VKLAD	17501	53329	\N	\N	\N
1730473	5868	1997-04-27	PRIJEM	VKLAD	7077	47739	\N	\N	\N
1730474	5868	1997-02-23	PRIJEM	VKLAD	9428	41141	\N	\N	\N
1730475	5868	1997-08-17	PRIJEM	VKLAD	18549	35711	\N	\N	\N
1730476	5868	1997-12-01	PRIJEM	VKLAD	14875	83567	\N	\N	\N
1730477	5868	1997-10-02	PRIJEM	VKLAD	42373	102406	\N	\N	\N
1730478	5868	1997-09-06	PRIJEM	VKLAD	47469	78933	\N	\N	\N
1730479	5868	1998-01-18	PRIJEM	VKLAD	14624	80162	\N	\N	\N
1730480	5868	1998-05-17	PRIJEM	VKLAD	12585	78021	\N	\N	\N
1730481	5868	1998-09-02	PRIJEM	VKLAD	37884	136949	\N	\N	\N
1730482	5868	1998-11-23	PRIJEM	VKLAD	5912	117254	\N	\N	\N
1730483	5868	1998-06-18	PRIJEM	VKLAD	13713	87837	\N	\N	\N
1730484	5868	1998-12-23	PRIJEM	VKLAD	21310	108571	\N	\N	\N
1730485	5868	1998-12-16	PRIJEM	VKLAD	43683	87261	\N	\N	\N
1730486	5868	1998-02-14	PRIJEM	VKLAD	33546	106409	\N	\N	\N
1730487	5868	1998-03-29	PRIJEM	VKLAD	41324	137130	\N	\N	\N
1730488	5868	1998-08-23	PRIJEM	VKLAD	35008	89220	\N	\N	\N
1730489	5868	1998-10-23	PRIJEM	VKLAD	33763	112928	\N	\N	\N
1730490	5868	1998-09-14	PRIJEM	VKLAD	5473	71122	\N	\N	\N
1730491	5868	1998-09-27	PRIJEM	VKLAD	24617	105813	\N	\N	\N
1730492	5868	1998-07-27	PRIJEM	VKLAD	28123	96314	\N	\N	\N
1730493	5868	1998-01-22	PRIJEM	VKLAD	48133	128295	\N	\N	\N
1730494	5868	1998-02-18	PRIJEM	VKLAD	11806	118215	\N	\N	\N
1730495	5868	1998-05-24	PRIJEM	VKLAD	9580	87601	\N	\N	\N
1730496	5868	1998-08-31	PRIJEM	VKLAD	9555	98775	\N	\N	\N
1730497	5868	1998-11-11	PRIJEM	VKLAD	31886	111342	\N	\N	\N
1730498	5868	1998-11-07	PRIJEM	VKLAD	8355	79456	\N	\N	\N
1730499	5868	1998-03-19	PRIJEM	VKLAD	48531	153106	\N	\N	\N
1730500	5868	1998-01-16	PRIJEM	VKLAD	45156	85338	\N	\N	\N
1730501	5868	1998-03-19	PRIJEM	VKLAD	37688	104575	\N	\N	\N
1730502	5868	1998-10-06	PRIJEM	VKLAD	19138	83965	\N	\N	\N
1730503	5868	1998-04-16	PRIJEM	VKLAD	42614	109528	\N	\N	\N
1730504	5868	1998-07-05	PRIJEM	VKLAD	10230	98391	\N	\N	\N
1730505	5868	1998-06-04	PRIJEM	VKLAD	23288	111224	\N	\N	\N
1730506	5868	1998-09-20	PRIJEM	VKLAD	23874	94996	\N	\N	\N
1730507	5868	1998-04-17	PRIJEM	VKLAD	34303	112731	\N	\N	\N
1730581	5868	1993-12-08	VYBER	VYBER	13549	7353	\N	\N	\N
1730582	5868	1993-08-20	VYBER	VYBER	15816	30126	\N	\N	\N
1730583	5868	1993-08-22	VYBER	VYBER	17153	12973	\N	\N	\N
1730584	5868	1993-10-29	VYBER	VYBER	7113	21311	\N	\N	\N
1730586	5868	1993-09-14	VYBER	VYBER	20991	-3370	\N	\N	\N
1730587	5868	1994-01-11	VYBER	VYBER	5945	9687	\N	\N	\N
1730589	5868	1994-03-07	VYBER	VYBER	10847	12445	\N	\N	\N
1730590	5868	1994-05-03	VYBER	VYBER	5570	7717	\N	\N	\N
1730591	5868	1994-07-20	VYBER	VYBER	22816	16528	\N	\N	\N
1730592	5868	1994-04-01	VYBER	VYBER	13166	5426	\N	\N	\N
1730594	5868	1994-11-02	VYBER	VYBER	3024	13285	\N	\N	\N
1730595	5868	1994-09-10	VYBER	VYBER	10613	4022	\N	\N	\N
1730596	5868	1994-12-16	VYBER	VYBER	22763	-920	\N	\N	\N
1730597	5868	1995-01-04	VYBER	VYBER	24997	16699	\N	\N	\N
1730598	5868	1995-04-25	VYBER	VYBER	20817	13055	\N	\N	\N
1730599	5868	1996-10-25	VYBER	VYBER	15531	6262	\N	\N	\N
1730600	5868	1996-09-06	VYBER	VYBER	10500	17054	\N	\N	\N
1730603	5868	1996-06-30	VYBER	VYBER	13132	516	\N	\N	\N
1730605	5868	1996-11-15	VYBER	VYBER	16065	5256	\N	\N	\N
1730606	5868	1996-10-01	VYBER	VYBER	14938	5893	\N	\N	\N
1730607	5868	1996-03-10	VYBER	VYBER	10278	20454	\N	\N	\N
1730608	5868	1996-06-09	VYBER	VYBER	6210	15164	\N	\N	\N
1730610	5868	1997-04-25	VYBER	VYBER	18976	40662	\N	\N	\N
1730611	5868	1997-08-17	VYBER	VYBER	4349	31362	\N	\N	\N
1730612	5868	1997-08-14	VYBER	VYBER	3638	29762	\N	\N	\N
1730613	5868	1997-08-03	VYBER	VYBER	14109	22400	\N	\N	\N
1730614	5868	1997-04-10	VYBER	VYBER	18712	81638	\N	\N	\N
1730615	5868	1997-05-24	VYBER	VYBER	23914	24407	\N	\N	\N
1730616	5868	1997-10-04	VYBER	VYBER	9221	93185	\N	\N	\N
1730618	5868	1997-06-28	VYBER	VYBER	12748	41772	\N	\N	\N
1730619	5868	1997-10-09	VYBER	VYBER	13031	80154	\N	\N	\N
1730620	5868	1997-12-09	VYBER	VYBER	20363	41704	\N	\N	\N
1730621	5868	1997-08-03	VYBER	VYBER	2958	36509	\N	\N	\N
1730622	5868	1998-12-07	VYBER	VYBER	3150	43578	\N	\N	\N
1730625	5868	1995-06-11	VYDAJ	VYBER	61800	8849	\N	\N	\N
1730630	5868	1994-01-09	VYDAJ	VYBER	8700	15632	\N	\N	\N
1730631	5868	1995-01-29	VYDAJ	VYBER	19800	13813	\N	\N	\N
1730632	5868	1996-01-08	VYDAJ	VYBER	29400	44571	\N	\N	\N
1730633	5868	1997-01-16	VYDAJ	VYBER	5400	24435	\N	\N	\N
1730634	5868	1998-01-17	VYDAJ	VYBER	19800	65538	\N	\N	\N
1730635	5868	1993-12-30	VYDAJ	VYBER	4500	24253	\N	\N	\N
1730636	5868	1994-12-30	VYDAJ	VYBER	5100	6180	\N	\N	\N
1730637	5868	1995-12-05	VYDAJ	VYBER	3900	46490	\N	\N	\N
1730638	5868	1996-12-24	VYDAJ	VYBER	6600	12057	\N	\N	\N
1730639	5868	1997-12-15	VYDAJ	VYBER	2400	39304	\N	\N	\N
1730640	5868	1998-12-26	VYDAJ	VYBER	6900	101671	\N	\N	\N
1730641	5868	1993-11-08	VYDAJ	VYBER	4200	20714	\N	\N	\N
1730646	5868	1994-10-20	VYDAJ	VYBER	7500	9055	\N	\N	\N
1730647	5868	1994-03-10	VYDAJ	VYBER	2100	10345	\N	\N	\N
1730648	5868	1994-06-28	VYDAJ	VYBER	11100	10242	\N	\N	\N
1730649	5868	1994-05-19	VYDAJ	VYBER	6900	817	\N	\N	\N
1730650	5868	1994-09-08	VYDAJ	VYBER	6300	14635	\N	\N	\N
1730651	5868	1995-01-19	VYDAJ	VYBER	7500	22475	\N	\N	\N
1730652	5868	1995-01-26	VYDAJ	VYBER	12000	33613	\N	\N	\N
1730653	5868	1995-12-28	VYDAJ	VYBER	4500	73735	\N	\N	\N
1730654	5868	1995-10-28	VYDAJ	VYBER	2400	32473	\N	\N	\N
1730655	5868	1996-05-29	VYDAJ	VYBER	13500	21261	\N	\N	\N
1730656	5868	1996-02-18	VYDAJ	VYBER	10500	30564	\N	\N	\N
1730657	5868	1996-12-22	VYDAJ	VYBER	1500	18657	\N	\N	\N
1730658	5868	1996-11-19	VYDAJ	VYBER	3600	1656	\N	\N	\N
1730659	5868	1996-09-12	VYDAJ	VYBER	6300	10754	\N	\N	\N
1730660	5868	1996-06-26	VYDAJ	VYBER	10200	13564	\N	\N	\N
1730661	5868	1997-01-21	VYDAJ	VYBER	1500	22935	\N	\N	\N
1730662	5868	1997-08-14	VYDAJ	VYBER	12600	17162	\N	\N	\N
1730663	5868	1997-02-24	VYDAJ	VYBER	12000	29141	\N	\N	\N
1730664	5868	1998-03-25	VYDAJ	VYBER	12300	95806	\N	\N	\N
1730665	5868	1998-08-08	VYDAJ	VYBER	11700	54212	\N	\N	\N
1730666	5868	1998-09-21	VYDAJ	VYBER	13800	81196	\N	\N	\N
1730667	5868	1998-10-12	VYDAJ	VYBER	4800	79165	\N	\N	\N
1730668	5868	1998-01-25	VYDAJ	VYBER	8700	96595	\N	\N	\N
1730677	5868	1993-08-31	VYDAJ	VYBER	15	17621	SLUZBY	\N	\N
1730678	5868	1993-09-30	VYDAJ	VYBER	15	28424	SLUZBY	\N	\N
1730679	5868	1993-10-31	VYDAJ	VYBER	15	24914	SLUZBY	\N	\N
1730680	5868	1993-11-30	VYDAJ	VYBER	15	20902	SLUZBY	\N	\N
1730681	5868	1993-12-31	VYDAJ	VYBER	15	24332	SLUZBY	\N	\N
1730682	5868	1994-01-31	VYDAJ	VYBER	15	16736	SLUZBY	\N	\N
1730683	5868	1994-02-28	VYDAJ	VYBER	15	23292	SLUZBY	\N	\N
1730684	5868	1994-03-31	VYDAJ	VYBER	15	18592	SLUZBY	\N	\N
1730685	5868	1994-04-30	VYDAJ	VYBER	15	13287	SLUZBY	\N	\N
1730686	5868	1994-05-31	VYDAJ	VYBER	15	13042	SLUZBY	\N	\N
1730687	5868	1994-06-30	VYDAJ	VYBER	15	39344	SLUZBY	\N	\N
1730688	5868	1994-07-31	VYDAJ	VYBER	15	20465	SLUZBY	\N	\N
1730689	5868	1994-08-31	VYDAJ	VYBER	15	20935	SLUZBY	\N	\N
1730690	5868	1994-09-30	VYDAJ	VYBER	15	16555	SLUZBY	\N	\N
1730691	5868	1994-10-31	VYDAJ	VYBER	15	16309	SLUZBY	\N	\N
1730692	5868	1994-11-30	VYDAJ	VYBER	15	21843	SLUZBY	\N	\N
1730693	5868	1994-12-31	VYDAJ	VYBER	15	6244	SLUZBY	\N	\N
1730694	5868	1995-01-31	VYDAJ	VYBER	15	13877	SLUZBY	\N	\N
1730695	5868	1995-02-28	VYDAJ	VYBER	15	34462	SLUZBY	\N	\N
1730696	5868	1995-03-31	VYDAJ	VYBER	15	45172	SLUZBY	\N	\N
1730697	5868	1995-04-30	VYDAJ	VYBER	15	65037	SLUZBY	\N	\N
1730698	5868	1995-05-31	VYDAJ	VYBER	15	99697	SLUZBY	\N	\N
1730699	5868	1995-06-30	VYDAJ	VYBER	15	17085	SLUZBY	\N	\N
1730700	5868	1995-07-31	VYDAJ	VYBER	15	51003	SLUZBY	\N	\N
1730701	5868	1995-08-31	VYDAJ	VYBER	15	108159	SLUZBY	\N	\N
1730702	5868	1995-09-30	VYDAJ	VYBER	15	44073	SLUZBY	\N	\N
1730703	5868	1995-10-31	VYDAJ	VYBER	15	32635	SLUZBY	\N	\N
1730704	5868	1995-11-30	VYDAJ	VYBER	15	50390	SLUZBY	\N	\N
1730705	5868	1995-12-31	VYDAJ	VYBER	15	73971	SLUZBY	\N	\N
1730706	5868	1996-01-31	VYDAJ	VYBER	15	53764	SLUZBY	\N	\N
1730707	5868	1996-02-29	VYDAJ	VYBER	15	30732	SLUZBY	\N	\N
1730708	5868	1996-03-31	VYDAJ	VYBER	15	27761	SLUZBY	\N	\N
1730709	5868	1996-04-30	VYDAJ	VYBER	15	32061	SLUZBY	\N	\N
1730710	5868	1996-05-31	VYDAJ	VYBER	15	21374	SLUZBY	\N	\N
1730711	5868	1996-06-30	VYDAJ	VYBER	15	502	SLUZBY	\N	\N
1730712	5868	1996-07-31	VYDAJ	VYBER	15	18790	SLUZBY	\N	\N
1730713	5868	1996-08-31	VYDAJ	VYBER	15	27554	SLUZBY	\N	\N
1730714	5868	1996-09-30	VYDAJ	VYBER	15	20831	SLUZBY	\N	\N
1730715	5868	1996-10-31	VYDAJ	VYBER	15	6321	SLUZBY	\N	\N
1730716	5868	1996-11-30	VYDAJ	VYBER	15	1657	SLUZBY	\N	\N
1730717	5868	1996-12-31	VYDAJ	VYBER	15	22035	SLUZBY	\N	\N
1730718	5868	1997-01-31	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
1730719	5868	1997-02-28	VYDAJ	VYBER	15	29228	SLUZBY	\N	\N
1730720	5868	1997-03-31	VYDAJ	VYBER	15	100350	SLUZBY	\N	\N
1730721	5868	1997-04-30	VYDAJ	VYBER	15	48021	SLUZBY	\N	\N
1730722	5868	1997-05-31	VYDAJ	VYBER	15	24565	SLUZBY	\N	\N
1730723	5868	1997-06-30	VYDAJ	VYBER	15	41910	SLUZBY	\N	\N
1730724	5868	1997-07-31	VYDAJ	VYBER	15	39467	SLUZBY	\N	\N
1730725	5868	1997-08-31	VYDAJ	VYBER	15	31464	SLUZBY	\N	\N
1730726	5868	1997-09-30	VYDAJ	VYBER	15	60033	SLUZBY	\N	\N
1730727	5868	1997-10-31	VYDAJ	VYBER	15	75840	SLUZBY	\N	\N
1730728	5868	1997-11-30	VYDAJ	VYBER	15	68692	SLUZBY	\N	\N
1730729	5868	1997-12-31	VYDAJ	VYBER	15	39482	SLUZBY	\N	\N
1730730	5868	1998-01-31	VYDAJ	VYBER	15	96863	SLUZBY	\N	\N
1730731	5868	1998-02-28	VYDAJ	VYBER	15	85887	SLUZBY	\N	\N
1730732	5868	1998-03-31	VYDAJ	VYBER	15	92714	SLUZBY	\N	\N
1730733	5868	1998-04-30	VYDAJ	VYBER	15	86236	SLUZBY	\N	\N
1730734	5868	1998-05-31	VYDAJ	VYBER	15	87936	SLUZBY	\N	\N
1730735	5868	1998-06-30	VYDAJ	VYBER	15	88161	SLUZBY	\N	\N
1730736	5868	1998-07-31	VYDAJ	VYBER	15	96612	SLUZBY	\N	\N
1730737	5868	1998-08-31	VYDAJ	VYBER	15	99065	SLUZBY	\N	\N
1730738	5868	1998-09-30	VYDAJ	VYBER	15	106127	SLUZBY	\N	\N
1730739	5868	1998-10-31	VYDAJ	VYBER	15	113301	SLUZBY	\N	\N
1730740	5868	1998-11-30	VYDAJ	VYBER	15	62828	SLUZBY	\N	\N
1730741	5868	1993-03-04	PRIJEM	VKLAD	10200	10400	\N	\N	\N
1730742	5868	1993-04-03	VYDAJ	VYBER	7600	32660	\N	\N	\N
1730743	5868	1993-05-03	VYDAJ	VYBER	900	31928	\N	\N	\N
1730744	5868	1993-06-02	VYDAJ	VYBER	3100	28995	\N	\N	\N
1730745	5868	1993-07-02	VYDAJ	VYBER	3400	25763	\N	\N	\N
1730746	5868	1993-08-01	VYDAJ	VYBER	33600	61741	\N	\N	\N
1730747	5868	1993-08-19	VYDAJ	VYBER	63400	45942	\N	\N	\N
1730748	5868	1993-08-31	PRIJEM	VKLAD	4400	17635	\N	\N	\N
1730749	5868	1993-09-30	VYDAJ	VYBER	1100	28438	\N	\N	\N
1730750	5868	1993-10-30	PRIJEM	VKLAD	3500	24811	\N	\N	\N
1730751	5868	1993-11-29	PRIJEM	VKLAD	100	20814	\N	\N	\N
1730752	5868	1993-12-29	VYDAJ	VYBER	1100	28753	\N	\N	\N
1730753	5868	1994-01-28	PRIJEM	VKLAD	7000	16687	\N	\N	\N
1730754	5868	1994-02-27	PRIJEM	VKLAD	6500	23236	\N	\N	\N
1730755	5868	1994-03-29	PRIJEM	VKLAD	8200	18545	\N	\N	\N
1730756	5868	1994-04-28	PRIJEM	VKLAD	7800	13226	\N	\N	\N
1730757	5868	1994-05-28	PRIJEM	VKLAD	12200	13017	\N	\N	\N
1730758	5868	1994-06-27	PRIJEM	VKLAD	8300	21342	\N	\N	\N
1730759	5868	1994-07-27	PRIJEM	VKLAD	3800	20328	\N	\N	\N
1730760	5868	1994-08-26	PRIJEM	VKLAD	400	20865	\N	\N	\N
1730761	5868	1994-09-25	PRIJEM	VKLAD	12500	16522	\N	\N	\N
1730762	5868	1994-10-25	PRIJEM	VKLAD	7200	16255	\N	\N	\N
1730763	5868	1994-11-24	PRIJEM	VKLAD	8500	21785	\N	\N	\N
1730764	5868	1994-12-24	PRIJEM	VKLAD	12200	11280	\N	\N	\N
1730765	5868	1995-01-23	PRIJEM	VKLAD	3100	25575	\N	\N	\N
1730766	5868	1995-02-22	VYDAJ	VYBER	3200	34398	\N	\N	\N
1730767	5868	1995-03-24	VYDAJ	VYBER	17200	45032	\N	\N	\N
1730768	5868	1995-04-23	VYDAJ	VYBER	11300	33872	\N	\N	\N
1730769	5868	1995-05-22	VYDAJ	VYBER	64400	110280	\N	\N	\N
1730770	5868	1995-05-22	VYDAJ	VYBER	50800	59480	\N	\N	\N
1730771	5868	1995-05-23	VYDAJ	VYBER	17400	42080	\N	\N	\N
1730772	5868	1995-05-29	VYDAJ	VYBER	24100	99412	\N	\N	\N
1730773	5868	1995-06-04	VYDAJ	VYBER	29700	95778	\N	\N	\N
1730774	5868	1995-06-05	VYDAJ	VYBER	30600	95076	\N	\N	\N
1730775	5868	1995-06-06	VYDAJ	VYBER	40800	70649	\N	\N	\N
1730776	5868	1995-06-22	PRIJEM	VKLAD	8100	16949	\N	\N	\N
1730777	5868	1995-07-22	VYDAJ	VYBER	7400	39434	\N	\N	\N
1730778	5868	1995-08-18	VYDAJ	VYBER	59600	61827	\N	\N	\N
1730779	5868	1995-08-21	VYDAJ	VYBER	14700	47127	\N	\N	\N
1730780	5868	1995-08-31	VYDAJ	VYBER	52800	55359	\N	\N	\N
1730781	5868	1995-09-20	VYDAJ	VYBER	11500	43859	\N	\N	\N
1730782	5868	1995-10-20	VYDAJ	VYBER	9200	34873	\N	\N	\N
1730783	5868	1995-11-19	VYDAJ	VYBER	23700	50240	\N	\N	\N
1730784	5868	1995-12-19	VYDAJ	VYBER	6000	40490	\N	\N	\N
1730785	5868	1996-01-18	VYDAJ	VYBER	26800	53507	\N	\N	\N
1730786	5868	1996-02-17	VYDAJ	VYBER	12700	41064	\N	\N	\N
1730787	5868	1996-03-18	PRIJEM	VKLAD	7200	27654	\N	\N	\N
1730788	5868	1996-04-17	PRIJEM	VKLAD	4200	31961	\N	\N	\N
1730789	5868	1996-05-17	PRIJEM	VKLAD	2700	34761	\N	\N	\N
1730790	5868	1996-06-16	PRIJEM	VKLAD	8600	23764	\N	\N	\N
1730791	5868	1996-07-16	PRIJEM	VKLAD	18300	18802	\N	\N	\N
1730792	5868	1996-08-15	PRIJEM	VKLAD	8700	27490	\N	\N	\N
1730793	5868	1996-09-14	PRIJEM	VKLAD	10000	20754	\N	\N	\N
1730794	5868	1996-10-14	PRIJEM	VKLAD	15900	21793	\N	\N	\N
1730795	5868	1996-11-13	PRIJEM	VKLAD	15000	21321	\N	\N	\N
1730796	5868	1996-12-13	PRIJEM	VKLAD	18500	20157	\N	\N	\N
1730797	5868	1997-01-12	PRIJEM	VKLAD	7800	29835	\N	\N	\N
1730798	5868	1997-02-11	PRIJEM	VKLAD	8700	31713	\N	\N	\N
1730799	5868	1997-03-13	PRIJEM	VKLAD	6600	35828	\N	\N	\N
1730800	5868	1997-04-12	VYDAJ	VYBER	22000	59638	\N	\N	\N
1730801	5868	1997-05-12	PRIJEM	VKLAD	300	48321	\N	\N	\N
1730802	5868	1997-06-11	PRIJEM	VKLAD	12000	36565	\N	\N	\N
1730803	5868	1997-07-11	VYDAJ	VYBER	2600	39310	\N	\N	\N
1730804	5868	1997-08-10	PRIJEM	VKLAD	11000	33400	\N	\N	\N
1730805	5868	1997-09-09	VYDAJ	VYBER	19100	59833	\N	\N	\N
1730806	5868	1997-10-09	VYDAJ	VYBER	19200	60954	\N	\N	\N
1730807	5868	1997-11-08	VYDAJ	VYBER	17000	58840	\N	\N	\N
1730808	5868	1997-12-08	VYDAJ	VYBER	21500	62067	\N	\N	\N
1730809	5868	1998-01-07	PRIJEM	VKLAD	700	40182	\N	\N	\N
1730810	5868	1998-01-22	VYDAJ	VYBER	23000	105295	\N	\N	\N
1730811	5868	1998-02-06	VYDAJ	VYBER	24000	72863	\N	\N	\N
1730812	5868	1998-02-18	VYDAJ	VYBER	32700	85515	\N	\N	\N
1730813	5868	1998-03-08	VYDAJ	VYBER	19000	66887	\N	\N	\N
1730814	5868	1998-03-19	VYDAJ	VYBER	45000	108106	\N	\N	\N
1730815	5868	1998-03-29	VYDAJ	VYBER	44800	92330	\N	\N	\N
1730816	5868	1998-04-07	VYDAJ	VYBER	25800	66914	\N	\N	\N
1730817	5868	1998-04-16	VYDAJ	VYBER	31100	78428	\N	\N	\N
1730818	5868	1998-04-17	VYDAJ	VYBER	26900	85831	\N	\N	\N
1730819	5868	1998-05-07	VYDAJ	VYBER	20800	65436	\N	\N	\N
1730820	5868	1998-06-06	VYDAJ	VYBER	37100	74124	\N	\N	\N
1730821	5868	1998-07-06	VYDAJ	VYBER	30200	68191	\N	\N	\N
1730822	5868	1998-08-05	VYDAJ	VYBER	30700	65912	\N	\N	\N
1730823	5868	1998-09-02	VYDAJ	VYBER	33100	103849	\N	\N	\N
1730824	5868	1998-09-04	VYDAJ	VYBER	38200	65649	\N	\N	\N
1730825	5868	1998-10-04	VYDAJ	VYBER	41300	64827	\N	\N	\N
1730826	5868	1998-11-03	VYDAJ	VYBER	42200	71101	\N	\N	\N
1730827	5868	1998-11-23	VYDAJ	VYBER	54800	62454	\N	\N	\N
1730828	5868	1998-12-03	VYDAJ	VYBER	16100	46728	\N	\N	\N
1731066	5870	1997-09-17	PRIJEM	VKLAD	600	600	\N	\N	\N
1731071	5870	1997-09-28	PRIJEM	VKLAD	30756	31356	\N	\N	\N
1731076	5870	1997-12-06	PRIJEM	VKLAD	24913	51613	\N	\N	\N
1731077	5870	1998-01-29	PRIJEM	VKLAD	14657	57190	\N	\N	\N
1731078	5870	1998-06-30	PRIJEM	VKLAD	37741	106568	\N	\N	\N
1731079	5870	1998-05-03	PRIJEM	VKLAD	37948	158654	\N	\N	\N
1731080	5870	1998-03-10	PRIJEM	VKLAD	39431	101453	\N	\N	\N
1731081	5870	1998-10-31	PRIJEM	VKLAD	26814	72156	\N	\N	\N
1731082	5870	1998-12-14	PRIJEM	VKLAD	17112	45677	\N	\N	\N
1731083	5870	1998-06-30	PRIJEM	VKLAD	31980	68681	\N	\N	\N
1731084	5870	1998-10-18	PRIJEM	VKLAD	27948	45212	\N	\N	\N
1731085	5870	1998-12-17	PRIJEM	VKLAD	33554	79231	\N	\N	\N
1731086	5870	1998-02-01	PRIJEM	VKLAD	33524	90887	\N	\N	\N
1731087	5870	1998-03-24	PRIJEM	VKLAD	6413	74531	\N	\N	\N
1731088	5870	1998-05-03	PRIJEM	VKLAD	38357	120706	\N	\N	\N
1731089	5870	1998-07-04	PRIJEM	VKLAD	41844	127898	\N	\N	\N
1731090	5870	1998-03-18	PRIJEM	VKLAD	14665	68118	\N	\N	\N
1731091	5870	1998-06-01	PRIJEM	VKLAD	30439	50001	\N	\N	\N
1731092	5870	1998-10-15	PRIJEM	VKLAD	18383	17264	\N	\N	\N
1731093	5870	1998-04-30	PRIJEM	VKLAD	31228	82364	\N	\N	\N
1731094	5870	1998-02-05	PRIJEM	VKLAD	46427	129214	\N	\N	\N
1731095	5870	1998-01-12	PRIJEM	VKLAD	22078	59133	\N	\N	\N
1731096	5870	1998-11-06	PRIJEM	VKLAD	40208	112349	\N	\N	\N
1731097	5870	1998-08-12	PRIJEM	VKLAD	21326	75515	\N	\N	\N
1731098	5870	1998-05-23	VYBER	VYBER	24662	23792	\N	\N	\N
1731099	5870	1998-07-14	VYBER	VYBER	23155	79343	\N	\N	\N
1731100	5870	1998-10-13	VYBER	VYBER	19590	-1119	\N	\N	\N
1731103	5870	1998-05-25	VYBER	VYBER	4499	19293	\N	\N	\N
1731109	5870	1998-12-24	VYDAJ	VYBER	5400	73831	\N	\N	\N
1731130	5870	1998-09-17	VYDAJ	VYBER	7500	29421	\N	\N	\N
1731131	5870	1998-09-25	VYDAJ	VYBER	11100	18321	\N	\N	\N
1731132	5870	1998-12-26	VYDAJ	VYBER	9000	64831	\N	\N	\N
1731133	5870	1998-05-09	VYDAJ	VYBER	5400	70454	\N	\N	\N
1731134	5870	1998-02-01	VYDAJ	VYBER	8100	82787	\N	\N	\N
1731135	5870	1998-06-09	VYDAJ	VYBER	5100	44901	\N	\N	\N
1731150	5870	1998-02-28	VYDAJ	VYBER	15	62022	SLUZBY	\N	\N
1731151	5870	1998-03-31	VYDAJ	VYBER	15	74823	SLUZBY	\N	\N
1731152	5870	1998-04-30	VYDAJ	VYBER	15	82349	SLUZBY	\N	\N
1731153	5870	1998-05-31	VYDAJ	VYBER	15	19562	SLUZBY	\N	\N
1731154	5870	1998-06-30	VYDAJ	VYBER	15	106554	SLUZBY	\N	\N
1731155	5870	1998-07-31	VYDAJ	VYBER	15	54189	SLUZBY	\N	\N
1731156	5870	1998-08-31	VYDAJ	VYBER	15	52621	SLUZBY	\N	\N
1731157	5870	1998-09-30	VYDAJ	VYBER	15	18471	SLUZBY	\N	\N
1731158	5870	1998-10-31	VYDAJ	VYBER	15	72141	SLUZBY	\N	\N
1731159	5870	1998-11-30	VYDAJ	VYBER	15	45565	SLUZBY	\N	\N
1731160	5870	1997-11-16	VYDAJ	VYBER	4800	26569	\N	\N	\N
1731161	5870	1997-12-16	VYDAJ	VYBER	14700	36913	\N	\N	\N
1731162	5870	1998-01-15	VYDAJ	VYBER	16600	42533	\N	\N	\N
1731163	5870	1998-02-05	VYDAJ	VYBER	27600	101614	\N	\N	\N
1731164	5870	1998-02-14	VYDAJ	VYBER	39900	61714	\N	\N	\N
1731165	5870	1998-03-10	VYDAJ	VYBER	22400	79053	\N	\N	\N
1731166	5870	1998-03-16	VYDAJ	VYBER	25600	53453	\N	\N	\N
1731167	5870	1998-04-15	VYDAJ	VYBER	24000	50823	\N	\N	\N
1731168	5870	1998-05-03	VYDAJ	VYBER	42400	116254	\N	\N	\N
1731169	5870	1998-05-03	VYDAJ	VYBER	40400	75854	\N	\N	\N
1731170	5870	1998-05-15	VYDAJ	VYBER	22000	48454	\N	\N	\N
1731171	5870	1998-06-14	VYDAJ	VYBER	8200	36701	\N	\N	\N
1731172	5870	1998-06-30	VYDAJ	VYBER	20500	86054	\N	\N	\N
1731173	5870	1998-07-04	VYDAJ	VYBER	25400	102498	\N	\N	\N
1731174	5870	1998-07-14	VYDAJ	VYBER	25500	53843	\N	\N	\N
1731175	5870	1998-08-13	VYDAJ	VYBER	23100	52415	\N	\N	\N
1731176	5870	1998-09-12	VYDAJ	VYBER	15700	36921	\N	\N	\N
1731177	5870	1998-11-06	VYDAJ	VYBER	33200	79149	\N	\N	\N
1731178	5870	1998-11-11	VYDAJ	VYBER	33800	45349	\N	\N	\N
1731179	5870	1998-12-11	VYDAJ	VYBER	17000	28565	\N	\N	\N
1733143	5878	1996-11-19	PRIJEM	VKLAD	400	400	\N	\N	\N
1733155	5878	1996-12-09	PRIJEM	VKLAD	16210	16610	\N	\N	\N
1733156	5878	1997-01-09	PRIJEM	VKLAD	10807	33557	\N	\N	\N
1733157	5878	1997-02-09	PRIJEM	VKLAD	10807	40371	\N	\N	\N
1733158	5878	1997-03-09	PRIJEM	VKLAD	10807	43607	\N	\N	\N
1733159	5878	1997-04-09	PRIJEM	VKLAD	10807	48859	\N	\N	\N
1733160	5878	1997-05-09	PRIJEM	VKLAD	10807	50373	\N	\N	\N
1733161	5878	1997-06-09	PRIJEM	VKLAD	16210	53343	\N	\N	\N
1733162	5878	1997-07-09	PRIJEM	VKLAD	10807	10771	\N	\N	\N
1733163	5878	1997-08-09	PRIJEM	VKLAD	10807	29607	\N	\N	\N
1733164	5878	1997-09-09	PRIJEM	VKLAD	10807	40801	\N	\N	\N
1733165	5878	1997-10-09	PRIJEM	VKLAD	10807	46051	\N	\N	\N
1733166	5878	1997-11-09	PRIJEM	VKLAD	10807	52705	\N	\N	\N
1733167	5878	1997-12-09	PRIJEM	VKLAD	16210	61582	\N	\N	\N
1733168	5878	1998-01-09	PRIJEM	VKLAD	10807	53298	\N	\N	\N
1733169	5878	1998-02-09	PRIJEM	VKLAD	10807	59714	\N	\N	\N
1733170	5878	1998-03-09	PRIJEM	VKLAD	10807	66433	\N	\N	\N
1733171	5878	1998-04-09	PRIJEM	VKLAD	10807	66426	\N	\N	\N
1733172	5878	1998-05-09	PRIJEM	VKLAD	10807	70460	\N	\N	\N
1733173	5878	1998-06-09	PRIJEM	VKLAD	16210	77607	\N	\N	\N
1733174	5878	1998-07-09	PRIJEM	VKLAD	10807	55335	\N	\N	\N
1733175	5878	1998-08-09	PRIJEM	VKLAD	10807	68648	\N	\N	\N
1733176	5878	1998-09-09	PRIJEM	VKLAD	10807	73636	\N	\N	\N
1733177	5878	1998-10-09	PRIJEM	VKLAD	10807	78302	\N	\N	\N
1733178	5878	1998-11-09	PRIJEM	VKLAD	10807	80556	\N	\N	\N
1733179	5878	1998-12-09	PRIJEM	VKLAD	16210	97080	\N	\N	\N
1733181	5878	1997-06-24	VYDAJ	VYBER	33280	-137	\N	\N	\N
1733182	5878	1998-06-20	VYDAJ	VYBER	22400	44307	\N	\N	\N
1733184	5878	1997-12-20	VYDAJ	VYBER	3200	49982	\N	\N	\N
1733185	5878	1998-12-24	VYDAJ	VYBER	2080	81400	\N	\N	\N
1733198	5878	1998-01-05	VYDAJ	VYBER	3480	42491	\N	\N	\N
1733199	5878	1998-01-09	VYDAJ	VYBER	2520	50778	\N	\N	\N
1733200	5878	1998-01-01	VYDAJ	VYBER	1560	45971	\N	\N	\N
1733201	5878	1998-01-24	VYDAJ	VYBER	2040	48718	\N	\N	\N
1733202	5878	1998-01-14	VYDAJ	VYBER	720	50758	\N	\N	\N
1733203	5878	1998-01-01	VYDAJ	VYBER	2640	47531	\N	\N	\N
1733211	5878	1997-05-01	VYDAJ	VYBER	840	39566	\N	\N	\N
1733213	5878	1997-06-19	VYDAJ	VYBER	4800	33143	\N	\N	\N
1733215	5878	1997-07-11	VYDAJ	VYBER	3600	7171	\N	\N	\N
1733217	5878	1997-09-14	VYDAJ	VYBER	5880	34921	\N	\N	\N
1733218	5878	1998-08-09	VYDAJ	VYBER	3960	64688	\N	\N	\N
1733219	5878	1998-02-24	VYDAJ	VYBER	3600	55414	\N	\N	\N
1733220	5878	1998-03-28	VYDAJ	VYBER	5040	55393	\N	\N	\N
1733221	5878	1998-11-05	VYDAJ	VYBER	5040	69749	\N	\N	\N
1733238	5878	1997-04-30	VYDAJ	VYBER	15	40406	SLUZBY	\N	\N
1733239	5878	1997-05-31	VYDAJ	VYBER	15	37133	SLUZBY	\N	\N
1733240	5878	1997-06-30	VYDAJ	VYBER	15	-36	SLUZBY	\N	\N
1733241	5878	1997-07-31	VYDAJ	VYBER	15	18800	SLUZBY	\N	\N
1733242	5878	1997-08-31	VYDAJ	VYBER	15	29994	SLUZBY	\N	\N
1733243	5878	1997-09-30	VYDAJ	VYBER	15	35244	SLUZBY	\N	\N
1733244	5878	1997-10-31	VYDAJ	VYBER	15	41898	SLUZBY	\N	\N
1733245	5878	1997-11-30	VYDAJ	VYBER	15	45372	SLUZBY	\N	\N
1733246	5878	1997-12-31	VYDAJ	VYBER	15	50171	SLUZBY	\N	\N
1733247	5878	1998-01-31	VYDAJ	VYBER	15	48907	SLUZBY	\N	\N
1733248	5878	1998-02-28	VYDAJ	VYBER	15	55626	SLUZBY	\N	\N
1733249	5878	1998-03-31	VYDAJ	VYBER	15	55619	SLUZBY	\N	\N
1733250	5878	1998-04-30	VYDAJ	VYBER	15	59653	SLUZBY	\N	\N
1733251	5878	1998-05-31	VYDAJ	VYBER	15	61397	SLUZBY	\N	\N
1733252	5878	1998-06-30	VYDAJ	VYBER	15	44528	SLUZBY	\N	\N
1733253	5878	1998-07-31	VYDAJ	VYBER	15	57841	SLUZBY	\N	\N
1733254	5878	1998-08-31	VYDAJ	VYBER	15	62829	SLUZBY	\N	\N
1733255	5878	1998-09-30	VYDAJ	VYBER	15	67495	SLUZBY	\N	\N
1733256	5878	1998-10-31	VYDAJ	VYBER	15	74789	SLUZBY	\N	\N
1733257	5878	1998-11-30	VYDAJ	VYBER	15	80870	SLUZBY	\N	\N
1733258	5878	1996-12-19	PRIJEM	VKLAD	6100	22710	\N	\N	\N
1733259	5878	1997-01-18	VYDAJ	VYBER	4100	29457	\N	\N	\N
1733260	5878	1997-02-17	VYDAJ	VYBER	7700	32671	\N	\N	\N
1733261	5878	1997-03-19	VYDAJ	VYBER	5700	37907	\N	\N	\N
1733262	5878	1997-04-18	VYDAJ	VYBER	8600	40259	\N	\N	\N
1733263	5878	1997-05-18	VYDAJ	VYBER	13400	36973	\N	\N	\N
1733264	5878	1997-06-17	VYDAJ	VYBER	15400	37943	\N	\N	\N
1733265	5878	1997-07-17	PRIJEM	VKLAD	11600	18771	\N	\N	\N
1733266	5878	1997-08-16	PRIJEM	VKLAD	300	29907	\N	\N	\N
1733267	5878	1997-09-15	PRIJEM	VKLAD	200	35121	\N	\N	\N
1733268	5878	1997-10-15	VYDAJ	VYBER	4300	41751	\N	\N	\N
1733269	5878	1997-11-14	VYDAJ	VYBER	7500	45205	\N	\N	\N
1733270	5878	1997-12-14	VYDAJ	VYBER	8400	53182	\N	\N	\N
1733271	5878	1998-01-13	PRIJEM	VKLAD	700	51478	\N	\N	\N
1733272	5878	1998-02-12	VYDAJ	VYBER	700	59014	\N	\N	\N
1733273	5878	1998-03-14	VYDAJ	VYBER	6000	60433	\N	\N	\N
1733274	5878	1998-04-13	VYDAJ	VYBER	7000	59426	\N	\N	\N
1733275	5878	1998-05-13	VYDAJ	VYBER	9300	61160	\N	\N	\N
1733276	5878	1998-06-12	VYDAJ	VYBER	10900	66707	\N	\N	\N
1733277	5878	1998-07-12	PRIJEM	VKLAD	2300	57635	\N	\N	\N
1733278	5878	1998-08-11	VYDAJ	VYBER	2100	62588	\N	\N	\N
1733279	5878	1998-09-10	VYDAJ	VYBER	6400	67236	\N	\N	\N
1733280	5878	1998-10-10	VYDAJ	VYBER	3800	74502	\N	\N	\N
1733281	5878	1998-12-09	VYDAJ	VYBER	13600	83480	\N	\N	\N
1736607	5891	1993-01-25	PRIJEM	VKLAD	900	900	\N	\N	\N
1736609	5891	1993-02-12	PRIJEM	PREVOD Z UCTU	32594	33494	\N	CD	51054984
1736610	5891	1993-03-12	PRIJEM	PREVOD Z UCTU	32594	61610	\N	CD	51054984
1736611	5891	1993-04-12	PRIJEM	PREVOD Z UCTU	32594	74134	\N	CD	51054984
1736612	5891	1993-05-12	PRIJEM	PREVOD Z UCTU	32594	82708	\N	CD	51054984
1736613	5891	1993-06-12	PRIJEM	PREVOD Z UCTU	48891	102410	\N	CD	51054984
1736614	5891	1993-07-12	PRIJEM	PREVOD Z UCTU	32594	68624	\N	CD	51054984
1736615	5891	1993-08-12	PRIJEM	PREVOD Z UCTU	32594	77821	\N	CD	51054984
1736616	5891	1993-09-12	PRIJEM	PREVOD Z UCTU	32594	63123	\N	CD	51054984
1736617	5891	1993-10-12	PRIJEM	PREVOD Z UCTU	32594	65360	\N	CD	51054984
1736618	5891	1993-11-12	PRIJEM	PREVOD Z UCTU	32594	77742	\N	CD	51054984
1736619	5891	1993-12-12	PRIJEM	PREVOD Z UCTU	48891	81311	\N	CD	51054984
1736620	5891	1994-01-12	PRIJEM	PREVOD Z UCTU	32594	54227	\N	CD	51054984
1736621	5891	1994-02-12	PRIJEM	PREVOD Z UCTU	32594	59370	\N	CD	51054984
1736622	5891	1994-03-12	PRIJEM	PREVOD Z UCTU	32594	57740	\N	CD	51054984
1736623	5891	1994-04-12	PRIJEM	PREVOD Z UCTU	32594	75095	\N	CD	51054984
1736624	5891	1994-05-12	PRIJEM	PREVOD Z UCTU	32594	79973	\N	CD	51054984
1736625	5891	1994-06-12	PRIJEM	PREVOD Z UCTU	48891	79454	\N	CD	51054984
1736626	5891	1994-07-12	PRIJEM	PREVOD Z UCTU	32594	86033	\N	CD	51054984
1736627	5891	1994-08-12	PRIJEM	PREVOD Z UCTU	32594	78772	\N	CD	51054984
1736628	5891	1994-09-12	PRIJEM	PREVOD Z UCTU	32594	82334	\N	CD	51054984
1736629	5891	1994-10-12	PRIJEM	PREVOD Z UCTU	32594	76210	\N	CD	51054984
1736630	5891	1994-11-12	PRIJEM	PREVOD Z UCTU	32594	74074	\N	CD	51054984
1736631	5891	1994-12-12	PRIJEM	PREVOD Z UCTU	48891	88901	\N	CD	51054984
1736632	5891	1995-01-12	PRIJEM	PREVOD Z UCTU	32594	86676	\N	CD	51054984
1736633	5891	1995-02-12	PRIJEM	PREVOD Z UCTU	32594	71149	\N	CD	51054984
1736634	5891	1995-03-12	PRIJEM	PREVOD Z UCTU	32594	58360	\N	CD	51054984
1736635	5891	1995-04-12	PRIJEM	PREVOD Z UCTU	32594	78408	\N	CD	51054984
1736636	5891	1995-05-12	PRIJEM	PREVOD Z UCTU	32594	70435	\N	CD	51054984
1736637	5891	1995-06-12	PRIJEM	PREVOD Z UCTU	48891	75381	\N	CD	51054984
1736638	5891	1995-07-12	PRIJEM	PREVOD Z UCTU	32594	59078	\N	CD	51054984
1736639	5891	1995-08-12	PRIJEM	PREVOD Z UCTU	32594	57443	\N	CD	51054984
1736640	5891	1995-09-12	PRIJEM	PREVOD Z UCTU	32594	71686	\N	CD	51054984
1736641	5891	1995-10-12	PRIJEM	PREVOD Z UCTU	32594	74504	\N	CD	51054984
1736642	5891	1995-11-12	PRIJEM	PREVOD Z UCTU	32594	64856	\N	CD	51054984
1736643	5891	1995-12-12	PRIJEM	PREVOD Z UCTU	48891	88021	\N	CD	51054984
1736644	5891	1996-01-12	PRIJEM	PREVOD Z UCTU	32594	86915	\N	CD	51054984
1736645	5891	1996-02-12	PRIJEM	PREVOD Z UCTU	32594	74491	\N	CD	51054984
1736646	5891	1996-03-12	PRIJEM	PREVOD Z UCTU	32594	86316	\N	CD	51054984
1736647	5891	1996-04-12	PRIJEM	PREVOD Z UCTU	32594	85715	\N	CD	51054984
1736648	5891	1996-05-12	PRIJEM	PREVOD Z UCTU	32594	85487	\N	CD	51054984
1736649	5891	1996-06-12	PRIJEM	PREVOD Z UCTU	48891	110760	\N	CD	51054984
1736650	5891	1996-07-12	PRIJEM	PREVOD Z UCTU	32594	75931	\N	CD	51054984
1736651	5891	1996-08-12	PRIJEM	PREVOD Z UCTU	32594	79103	\N	CD	51054984
1736652	5891	1996-09-12	PRIJEM	PREVOD Z UCTU	32594	90986	\N	CD	51054984
1736653	5891	1996-10-12	PRIJEM	PREVOD Z UCTU	32594	94479	\N	CD	51054984
1736654	5891	1996-11-12	PRIJEM	PREVOD Z UCTU	32594	99727	\N	CD	51054984
1736655	5891	1996-12-12	PRIJEM	PREVOD Z UCTU	48891	116302	\N	CD	51054984
1736656	5891	1997-01-12	PRIJEM	PREVOD Z UCTU	32594	102492	\N	CD	51054984
1736657	5891	1997-02-12	PRIJEM	PREVOD Z UCTU	32594	86497	\N	CD	51054984
1736658	5891	1997-03-12	PRIJEM	PREVOD Z UCTU	32594	87405	\N	CD	51054984
1736659	5891	1997-04-12	PRIJEM	PREVOD Z UCTU	32594	95268	\N	CD	51054984
1736660	5891	1997-05-12	PRIJEM	PREVOD Z UCTU	32594	103593	\N	CD	51054984
1736661	5891	1997-06-12	PRIJEM	PREVOD Z UCTU	48891	105069	\N	CD	51054984
1736662	5891	1997-07-12	PRIJEM	PREVOD Z UCTU	32594	91308	\N	CD	51054984
1736663	5891	1997-08-12	PRIJEM	PREVOD Z UCTU	32594	106635	\N	CD	51054984
1736664	5891	1997-09-12	PRIJEM	PREVOD Z UCTU	32594	108762	\N	CD	51054984
1736665	5891	1997-10-12	PRIJEM	PREVOD Z UCTU	32594	114629	\N	CD	51054984
1736666	5891	1997-11-12	PRIJEM	PREVOD Z UCTU	32594	102708	\N	CD	51054984
1736667	5891	1997-12-12	PRIJEM	PREVOD Z UCTU	48891	133409	\N	CD	51054984
1736668	5891	1998-01-12	PRIJEM	PREVOD Z UCTU	32594	76647	\N	CD	51054984
1736669	5891	1998-02-12	PRIJEM	PREVOD Z UCTU	32594	101942	\N	CD	51054984
1736670	5891	1998-03-12	PRIJEM	PREVOD Z UCTU	32594	108645	\N	CD	51054984
1736671	5891	1998-04-12	PRIJEM	PREVOD Z UCTU	32594	110911	\N	CD	51054984
1736672	5891	1998-05-12	PRIJEM	PREVOD Z UCTU	32594	132599	\N	CD	51054984
1736673	5891	1998-06-12	PRIJEM	PREVOD Z UCTU	48891	139090	\N	CD	51054984
1736674	5891	1998-07-12	PRIJEM	PREVOD Z UCTU	32594	142998	\N	CD	51054984
1736675	5891	1998-08-12	PRIJEM	PREVOD Z UCTU	32594	146570	\N	CD	51054984
1736676	5891	1998-09-12	PRIJEM	PREVOD Z UCTU	32594	145641	\N	CD	51054984
1736677	5891	1998-10-12	PRIJEM	PREVOD Z UCTU	32594	140975	\N	CD	51054984
1736678	5891	1998-11-12	PRIJEM	PREVOD Z UCTU	32594	155846	\N	CD	51054984
1736679	5891	1998-12-12	PRIJEM	PREVOD Z UCTU	48891	159892	\N	CD	51054984
1736685	5891	1993-06-14	VYDAJ	VYBER	4300	98110	\N	\N	0
1736686	5891	1993-07-21	VYDAJ	VYBER	5600	63024	\N	\N	0
1736687	5891	1993-08-20	VYDAJ	VYBER	6500	71321	\N	\N	0
1736688	5891	1993-09-15	VYDAJ	VYBER	7200	49623	\N	\N	0
1736689	5891	1993-10-05	VYDAJ	VYBER	3900	32766	\N	\N	0
1736690	5891	1993-11-26	VYDAJ	VYBER	5700	38842	\N	\N	0
1736691	5891	1993-11-25	VYDAJ	VYBER	3300	44542	\N	\N	0
1736692	5891	1994-01-16	VYDAJ	VYBER	5100	46127	\N	\N	0
1736693	5891	1994-02-22	VYDAJ	VYBER	4200	29608	\N	\N	0
1736694	5891	1994-03-06	VYDAJ	VYBER	4600	25146	\N	\N	0
1736695	5891	1994-04-16	VYDAJ	VYBER	7100	67995	\N	\N	0
1736696	5891	1994-05-12	VYDAJ	PREVOD NA UCET	5432	74541	UVER	EF	95617645
1736697	5891	1994-06-12	VYDAJ	PREVOD NA UCET	5432	74021	UVER	EF	95617645
1736698	5891	1994-07-12	VYDAJ	PREVOD NA UCET	5432	80600	UVER	EF	95617645
1736699	5891	1994-08-12	VYDAJ	PREVOD NA UCET	5432	73339	UVER	EF	95617645
1736700	5891	1994-09-12	VYDAJ	PREVOD NA UCET	5432	76902	UVER	EF	95617645
1736701	5891	1994-10-12	VYDAJ	PREVOD NA UCET	5432	70777	UVER	EF	95617645
1736702	5891	1994-11-12	VYDAJ	PREVOD NA UCET	5432	68642	UVER	EF	95617645
1736703	5891	1994-12-12	VYDAJ	PREVOD NA UCET	5432	83469	UVER	EF	95617645
1736704	5891	1995-01-12	VYDAJ	PREVOD NA UCET	5432	81244	UVER	EF	95617645
1736705	5891	1995-02-12	VYDAJ	PREVOD NA UCET	5432	65717	UVER	EF	95617645
1736706	5891	1995-03-12	VYDAJ	PREVOD NA UCET	5432	52928	UVER	EF	95617645
1736707	5891	1995-04-12	VYDAJ	PREVOD NA UCET	5432	72976	UVER	EF	95617645
1736708	5891	1995-05-06	VYDAJ	VYBER	6300	37841	\N	\N	0
1736709	5891	1995-06-16	VYDAJ	VYBER	4700	53981	\N	\N	0
1736710	5891	1995-07-08	VYDAJ	VYBER	6800	26484	\N	\N	0
1736711	5891	1995-08-02	VYDAJ	VYBER	7700	24849	\N	\N	0
1736712	5891	1995-09-06	VYDAJ	VYBER	4100	39092	\N	\N	0
1736713	5891	1995-10-13	VYDAJ	VYBER	5800	51404	\N	\N	0
1736714	5891	1995-11-23	VYDAJ	VYBER	5000	59856	\N	\N	0
1736715	5891	1995-12-04	VYDAJ	VYBER	3500	56556	\N	\N	0
1736716	5891	1996-01-29	VYDAJ	VYBER	6100	49315	\N	\N	0
1736717	5891	1996-02-14	VYDAJ	VYBER	6000	68491	\N	\N	0
1736718	5891	1996-03-16	VYDAJ	VYBER	4800	81516	\N	\N	0
1736719	5891	1996-03-29	VYDAJ	VYBER	3700	77816	\N	\N	0
1736720	5891	1996-04-29	VYDAJ	VYBER	4000	61792	\N	\N	0
1736721	5891	1996-06-24	VYDAJ	VYBER	3500	49660	\N	\N	0
1736722	5891	1996-07-08	VYDAJ	VYBER	5300	44637	\N	\N	0
1736723	5891	1996-08-01	VYDAJ	VYBER	7200	46009	\N	\N	0
1736724	5891	1996-09-14	VYDAJ	VYBER	5700	85286	\N	\N	0
1736725	5891	1996-09-26	VYDAJ	VYBER	4500	80786	\N	\N	0
1736726	5891	1996-10-29	VYDAJ	VYBER	4800	89679	\N	\N	0
1736727	5891	1996-12-18	VYDAJ	VYBER	6000	110302	\N	\N	0
1736728	5891	1997-01-08	VYDAJ	VYBER	4900	75898	\N	\N	0
1736729	5891	1997-02-15	VYDAJ	VYBER	3400	83097	\N	\N	0
1736730	5891	1997-03-14	VYDAJ	VYBER	4700	74005	\N	\N	0
1736731	5891	1997-03-29	VYDAJ	VYBER	5200	68805	\N	\N	0
1736732	5891	1997-05-06	VYDAJ	VYBER	4000	70999	\N	\N	0
1736733	5891	1997-06-16	VYDAJ	VYBER	5800	79488	\N	\N	0
1736734	5891	1997-07-05	VYDAJ	VYBER	4400	72104	\N	\N	0
1736735	5891	1997-08-08	VYDAJ	VYBER	6300	74041	\N	\N	0
1736736	5891	1997-09-03	VYDAJ	VYBER	5100	76168	\N	\N	0
1736737	5891	1997-10-10	VYDAJ	VYBER	5900	82035	\N	\N	0
1736738	5891	1997-11-16	VYDAJ	VYBER	4600	98108	\N	\N	0
1736739	5891	1997-12-24	VYDAJ	VYBER	3700	71296	\N	\N	0
1736740	5891	1998-01-14	VYDAJ	VYBER	5900	70747	\N	\N	0
1736741	5891	1998-02-18	VYDAJ	VYBER	5500	96442	\N	\N	0
1736742	5891	1998-03-04	VYDAJ	VYBER	3800	90451	\N	\N	0
1736743	5891	1998-04-05	VYDAJ	VYBER	5100	78317	\N	\N	0
1736744	5891	1998-05-11	VYDAJ	VYBER	6600	100005	\N	\N	0
1736745	5891	1998-05-30	VYDAJ	VYBER	3800	89747	\N	\N	0
1736746	5891	1998-07-19	VYDAJ	VYBER	5000	120098	\N	\N	0
1736747	5891	1998-08-20	VYDAJ	VYBER	5900	122770	\N	\N	0
1736748	5891	1998-09-02	VYDAJ	VYBER	4100	116647	\N	\N	0
1736749	5891	1998-10-10	VYDAJ	VYBER	4300	108381	\N	\N	0
1736750	5891	1998-11-15	VYDAJ	VYBER	3800	112446	\N	\N	0
1736751	5891	1998-12-19	VYDAJ	VYBER	4700	114092	\N	\N	0
1736752	5891	1993-08-30	VYBER	VYBER	20077	30344	\N	\N	\N
1736756	5891	1994-07-21	VYBER	VYBER	7050	45950	\N	\N	\N
1736757	5891	1994-10-07	VYBER	VYBER	5394	43616	\N	\N	\N
1736758	5891	1994-01-09	VYBER	VYBER	5180	28833	\N	\N	\N
1736759	5891	1994-11-01	VYBER	VYBER	9007	41480	\N	\N	\N
1736761	5891	1994-05-16	VYBER	VYBER	3686	70855	\N	\N	\N
1736762	5891	1994-11-16	VYBER	VYBER	17415	51227	\N	\N	\N
1736763	5891	1994-02-12	VYBER	VYBER	22562	36808	\N	\N	\N
1736764	5891	1994-01-05	VYBER	VYBER	3717	44813	\N	\N	\N
1736765	5891	1995-10-04	VYBER	VYBER	9812	41910	\N	\N	\N
1736766	5891	1995-01-15	VYBER	VYBER	5091	69853	\N	\N	\N
1736767	5891	1995-05-22	VYBER	VYBER	11826	41009	\N	\N	\N
1736768	5891	1995-07-04	VYBER	VYBER	20893	33284	\N	\N	\N
1736769	5891	1995-10-22	VYBER	VYBER	18119	33285	\N	\N	\N
1736770	5891	1995-05-02	VYBER	VYBER	4235	44141	\N	\N	\N
1736772	5891	1995-04-26	VYBER	VYBER	5099	48177	\N	\N	\N
1736773	5891	1995-03-02	VYBER	VYBER	13633	38066	\N	\N	\N
1736774	5891	1995-12-10	VYBER	VYBER	6826	44030	\N	\N	\N
1736775	5891	1996-11-25	VYBER	VYBER	21780	77947	\N	\N	\N
1736776	5891	1996-04-26	VYBER	VYBER	19923	65792	\N	\N	\N
1736777	5891	1996-07-22	VYBER	VYBER	16655	59276	\N	\N	\N
1736778	5891	1996-09-01	VYBER	VYBER	4674	60292	\N	\N	\N
1736779	5891	1997-11-10	VYBER	VYBER	24335	70114	\N	\N	\N
1736780	5891	1997-12-24	VYBER	VYBER	18613	74996	\N	\N	\N
1736781	5891	1997-09-03	VYBER	VYBER	10359	81268	\N	\N	\N
1736782	5891	1997-11-27	VYBER	VYBER	14765	83343	\N	\N	\N
1736783	5891	1997-05-14	VYBER	VYBER	15094	88499	\N	\N	\N
1736784	5891	1997-05-30	VYBER	VYBER	20644	67855	\N	\N	\N
1736785	5891	1997-07-11	VYBER	VYBER	13390	58714	\N	\N	\N
1736786	5891	1997-06-15	VYBER	VYBER	19781	85288	\N	\N	\N
1736787	5891	1997-06-03	VYBER	VYBER	20909	56178	\N	\N	\N
1736788	5891	1997-02-02	VYBER	VYBER	18012	50003	\N	\N	\N
1736789	5891	1997-02-22	VYBER	VYBER	24046	59051	\N	\N	\N
1736790	5891	1998-03-30	VYBER	VYBER	18590	83035	\N	\N	\N
1736791	5891	1998-01-03	VYBER	VYBER	24734	47953	\N	\N	\N
1736792	5891	1998-05-26	VYBER	VYBER	16552	81247	\N	\N	\N
1736793	5891	1998-03-15	VYBER	VYBER	4198	104447	\N	\N	\N
1736794	5891	1998-03-28	VYBER	VYBER	19022	85425	\N	\N	\N
1736795	5891	1993-06-18	VYDAJ	VYBER	39900	53410	\N	\N	\N
1736798	5891	1996-06-18	VYDAJ	VYBER	57600	53160	\N	\N	\N
1736800	5891	1998-06-18	VYDAJ	VYBER	9600	111490	\N	\N	\N
1736802	5891	1994-01-08	VYDAJ	VYBER	3300	41513	\N	\N	\N
1736804	5891	1996-01-06	VYDAJ	VYBER	7500	75121	\N	\N	\N
1736805	5891	1997-01-21	VYDAJ	VYBER	7200	70692	\N	\N	\N
1736806	5891	1998-01-15	VYDAJ	VYBER	18300	52447	\N	\N	\N
1736807	5891	1993-12-10	VYDAJ	VYBER	6600	32420	\N	\N	\N
1736808	5891	1994-12-27	VYDAJ	VYBER	2100	56569	\N	\N	\N
1736809	5891	1995-12-07	VYDAJ	VYBER	5700	50856	\N	\N	\N
1736810	5891	1996-12-30	VYDAJ	VYBER	8400	101902	\N	\N	\N
1736811	5891	1997-12-24	VYDAJ	VYBER KARTOU	6600	64696	\N	\N	0
1736812	5891	1998-12-27	VYDAJ	VYBER KARTOU	7500	106392	\N	\N	0
1736819	5891	1994-01-11	VYDAJ	VYBER	7200	21633	\N	\N	\N
1736820	5891	1994-01-08	VYDAJ	VYBER	7500	34013	\N	\N	\N
1736821	5891	1994-01-02	VYDAJ	VYBER	3600	48530	\N	\N	\N
1736822	5891	1994-01-26	VYDAJ	VYBER	3000	26627	\N	\N	\N
1736823	5891	1994-01-14	VYDAJ	VYBER	3000	51227	\N	\N	\N
1736824	5891	1994-01-24	VYDAJ	VYBER	7500	29627	\N	\N	\N
1736825	5891	1995-01-13	VYDAJ	VYBER	3900	77344	\N	\N	\N
1736826	5891	1995-01-08	VYDAJ	VYBER	2700	54082	\N	\N	\N
1736827	5891	1995-01-28	VYDAJ	VYBER	7200	38353	\N	\N	\N
1736828	5891	1995-01-16	VYDAJ	VYBER	4500	48253	\N	\N	\N
1736829	5891	1995-01-14	VYDAJ	VYBER	2400	74944	\N	\N	\N
1736830	5891	1995-01-19	VYDAJ	VYBER	2700	45553	\N	\N	\N
1736831	5891	1996-01-19	VYDAJ	VYBER	1500	66815	\N	\N	\N
1736832	5891	1996-01-30	VYDAJ	VYBER	5700	43615	\N	\N	\N
1736833	5891	1996-01-05	VYDAJ	VYBER	5700	82621	\N	\N	\N
1736834	5891	1996-01-17	VYDAJ	VYBER	5400	68315	\N	\N	\N
1736835	5891	1996-01-28	VYDAJ	VYBER	6300	60515	\N	\N	\N
1736836	5891	1996-01-29	VYDAJ	VYBER	5100	55415	\N	\N	\N
1736837	5891	1997-01-14	VYDAJ	VYBER	7500	86292	\N	\N	\N
1736838	5891	1997-01-04	VYDAJ	VYBER	1800	100498	\N	\N	\N
1736839	5891	1997-01-12	VYDAJ	VYBER	8700	93792	\N	\N	\N
1736840	5891	1997-01-28	VYDAJ	VYBER	3000	67692	\N	\N	\N
1736841	5891	1997-01-18	VYDAJ	VYBER	8400	77892	\N	\N	\N
1736842	5891	1997-01-09	VYDAJ	VYBER	6000	69898	\N	\N	\N
1736843	5891	1998-01-02	VYDAJ	VYBER KARTOU	5100	72687	\N	\N	0
1736844	5891	1998-01-16	VYDAJ	VYBER KARTOU	1800	50647	\N	\N	0
1736845	5891	1998-01-17	VYDAJ	VYBER KARTOU	4800	45847	\N	\N	0
1736847	5891	1998-01-03	VYDAJ	VYBER KARTOU	3900	44053	\N	\N	0
1736849	5891	1993-09-14	VYDAJ	VYBER	6300	56823	\N	\N	\N
1736851	5891	1993-07-11	VYDAJ	VYBER	5100	36030	\N	\N	\N
1736852	5891	1993-06-17	VYDAJ	VYBER	4800	93310	\N	\N	\N
1736853	5891	1993-11-18	VYDAJ	VYBER	14100	63642	\N	\N	\N
1736854	5891	1994-09-16	VYDAJ	VYBER	8400	68502	\N	\N	\N
1736855	5891	1994-08-14	VYDAJ	VYBER	9000	64339	\N	\N	\N
1736856	5891	1994-05-22	VYDAJ	VYBER	5100	43255	\N	\N	\N
1736857	5891	1994-06-03	VYDAJ	VYBER	12900	30563	\N	\N	\N
1736858	5891	1995-03-11	VYDAJ	VYBER	12300	25766	\N	\N	\N
1736859	5891	1995-06-05	VYDAJ	VYBER	14700	26490	\N	\N	\N
1736860	5891	1995-07-31	VYDAJ	VYBER	12000	32549	\N	\N	\N
1736861	5891	1996-04-08	VYDAJ	VYBER	6000	66421	\N	\N	\N
1736862	5891	1996-01-17	VYDAJ	VYBER	13200	73715	\N	\N	\N
1736863	5891	1996-07-30	VYDAJ	VYBER	6300	52976	\N	\N	\N
1736864	5891	1996-05-20	VYDAJ	VYBER	13800	71687	\N	\N	\N
1736865	5891	1996-01-07	VYDAJ	VYBER	3900	71221	\N	\N	\N
1736866	5891	1996-04-04	VYDAJ	VYBER	5700	72421	\N	\N	\N
1736867	5891	1996-08-29	VYDAJ	VYBER	14400	64703	\N	\N	\N
1736868	5891	1997-10-27	VYDAJ	VYBER KARTOU	2400	112229	\N	\N	0
1736869	5891	1997-03-14	VYDAJ	VYBER	8700	78705	\N	\N	\N
1736870	5891	1997-02-28	VYDAJ	VYBER	8700	50611	\N	\N	\N
1736871	5891	1997-04-27	VYDAJ	VYBER	9600	85668	\N	\N	\N
1736872	5891	1997-09-19	VYDAJ	VYBER	13800	94962	\N	\N	\N
1736873	5891	1998-11-27	VYDAJ	VYBER KARTOU	2400	110546	\N	\N	0
1736874	5891	1998-09-03	VYDAJ	VYBER KARTOU	3600	113047	\N	\N	0
1736875	5891	1998-10-09	VYDAJ	VYBER KARTOU	1800	112681	\N	\N	0
1736876	5891	1998-11-18	VYDAJ	VYBER KARTOU	2400	110046	\N	\N	0
1736877	5891	1998-03-09	VYDAJ	VYBER	14400	76051	\N	\N	\N
1736884	5891	1993-06-30	VYDAJ	VYBER	15	41130	SLUZBY	\N	\N
1736885	5891	1993-07-31	VYDAJ	VYBER	15	45227	SLUZBY	\N	\N
1736886	5891	1993-08-31	VYDAJ	VYBER	15	30529	SLUZBY	\N	\N
1736887	5891	1993-09-30	VYDAJ	VYBER	15	36666	SLUZBY	\N	\N
1736888	5891	1993-10-31	VYDAJ	VYBER	15	45148	SLUZBY	\N	\N
1736889	5891	1993-11-30	VYDAJ	VYBER	15	39020	SLUZBY	\N	\N
1736890	5891	1993-12-31	VYDAJ	VYBER	15	52130	SLUZBY	\N	\N
1736891	5891	1994-01-31	VYDAJ	VYBER	15	26776	SLUZBY	\N	\N
1736892	5891	1994-02-28	VYDAJ	VYBER	15	29746	SLUZBY	\N	\N
1736893	5891	1994-03-31	VYDAJ	VYBER	15	42501	SLUZBY	\N	\N
1736894	5891	1994-04-30	VYDAJ	VYBER	15	47379	SLUZBY	\N	\N
1736895	5891	1994-05-31	VYDAJ	VYBER	15	43463	SLUZBY	\N	\N
1736896	5891	1994-06-30	VYDAJ	VYBER	15	53439	SLUZBY	\N	\N
1736897	5891	1994-07-31	VYDAJ	VYBER	15	46178	SLUZBY	\N	\N
1736898	5891	1994-08-31	VYDAJ	VYBER	15	49740	SLUZBY	\N	\N
1736899	5891	1994-09-30	VYDAJ	VYBER	15	49010	SLUZBY	\N	\N
1736900	5891	1994-10-31	VYDAJ	VYBER	15	50487	SLUZBY	\N	\N
1736901	5891	1994-11-30	VYDAJ	VYBER	15	40010	SLUZBY	\N	\N
1736902	5891	1994-12-31	VYDAJ	VYBER	15	56782	SLUZBY	\N	\N
1736903	5891	1995-01-31	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
1736904	5891	1995-02-28	VYDAJ	VYBER	15	51699	SLUZBY	\N	\N
1736905	5891	1995-03-31	VYDAJ	VYBER	15	45814	SLUZBY	\N	\N
1736906	5891	1995-04-30	VYDAJ	VYBER	15	48376	SLUZBY	\N	\N
1736907	5891	1995-05-31	VYDAJ	VYBER	15	41190	SLUZBY	\N	\N
1736908	5891	1995-06-30	VYDAJ	VYBER	15	54177	SLUZBY	\N	\N
1736909	5891	1995-07-31	VYDAJ	VYBER	15	44549	SLUZBY	\N	\N
1736910	5891	1995-08-31	VYDAJ	VYBER	15	43192	SLUZBY	\N	\N
1736911	5891	1995-09-30	VYDAJ	VYBER	15	51722	SLUZBY	\N	\N
1736912	5891	1995-10-31	VYDAJ	VYBER	15	33462	SLUZBY	\N	\N
1736913	5891	1995-11-30	VYDAJ	VYBER	15	60056	SLUZBY	\N	\N
1736914	5891	1995-12-31	VYDAJ	VYBER	15	88321	SLUZBY	\N	\N
1736915	5891	1996-01-31	VYDAJ	VYBER	15	43897	SLUZBY	\N	\N
1736916	5891	1996-02-29	VYDAJ	VYBER	15	68722	SLUZBY	\N	\N
1736917	5891	1996-03-31	VYDAJ	VYBER	15	78121	SLUZBY	\N	\N
1736918	5891	1996-04-30	VYDAJ	VYBER	15	62093	SLUZBY	\N	\N
1736919	5891	1996-05-31	VYDAJ	VYBER	15	71969	SLUZBY	\N	\N
1736920	5891	1996-06-30	VYDAJ	VYBER	15	49937	SLUZBY	\N	\N
1736921	5891	1996-07-31	VYDAJ	VYBER	15	53209	SLUZBY	\N	\N
1736922	5891	1996-08-31	VYDAJ	VYBER	15	64966	SLUZBY	\N	\N
1736923	5891	1996-09-30	VYDAJ	VYBER	15	81085	SLUZBY	\N	\N
1736924	5891	1996-10-31	VYDAJ	VYBER	15	90033	SLUZBY	\N	\N
1736925	5891	1996-11-30	VYDAJ	VYBER	15	78311	SLUZBY	\N	\N
1736926	5891	1996-12-31	VYDAJ	VYBER	15	102298	SLUZBY	\N	\N
1736927	5891	1997-01-31	VYDAJ	VYBER	15	68015	SLUZBY	\N	\N
1736928	5891	1997-02-28	VYDAJ	VYBER	15	59311	SLUZBY	\N	\N
1736929	5891	1997-03-31	VYDAJ	VYBER	15	69074	SLUZBY	\N	\N
1736930	5891	1997-04-30	VYDAJ	VYBER	15	85999	SLUZBY	\N	\N
1736931	5891	1997-05-31	VYDAJ	VYBER	15	68187	SLUZBY	\N	\N
1736932	5891	1997-06-30	VYDAJ	VYBER	15	79804	SLUZBY	\N	\N
1736933	5891	1997-07-31	VYDAJ	VYBER	15	91641	SLUZBY	\N	\N
1736934	5891	1997-08-31	VYDAJ	VYBER	15	107027	SLUZBY	\N	\N
1736935	5891	1997-09-30	VYDAJ	VYBER	15	95335	SLUZBY	\N	\N
1736936	5891	1997-10-31	VYDAJ	VYBER	15	94449	SLUZBY	\N	\N
1736937	5891	1997-11-30	VYDAJ	VYBER	15	84518	SLUZBY	\N	\N
1736938	5891	1997-12-31	VYDAJ	VYBER	15	77787	SLUZBY	\N	\N
1736939	5891	1998-01-31	VYDAJ	VYBER	15	69348	SLUZBY	\N	\N
1736940	5891	1998-02-28	VYDAJ	VYBER	15	94251	SLUZBY	\N	\N
1736941	5891	1998-03-31	VYDAJ	VYBER	15	83417	SLUZBY	\N	\N
1736942	5891	1998-04-30	VYDAJ	VYBER	15	106605	SLUZBY	\N	\N
1736943	5891	1998-05-31	VYDAJ	VYBER	15	90199	SLUZBY	\N	\N
1736944	5891	1998-06-30	VYDAJ	VYBER	15	110404	SLUZBY	\N	\N
1736945	5891	1998-07-31	VYDAJ	VYBER	15	113976	SLUZBY	\N	\N
1736946	5891	1998-08-31	VYDAJ	VYBER	15	120747	SLUZBY	\N	\N
1736947	5891	1998-09-30	VYDAJ	VYBER	15	114481	SLUZBY	\N	\N
1736948	5891	1998-10-31	VYDAJ	VYBER	15	123252	SLUZBY	\N	\N
1736949	5891	1998-11-30	VYDAJ	VYBER	15	111001	SLUZBY	\N	\N
1736950	5891	1993-02-24	VYDAJ	VYBER	4500	28994	\N	\N	\N
1736951	5891	1993-03-26	VYDAJ	VYBER	20200	41410	\N	\N	\N
1736952	5891	1993-04-25	VYDAJ	VYBER	24200	49934	\N	\N	\N
1736953	5891	1993-05-25	VYDAJ	VYBER	29400	53308	\N	\N	\N
1736954	5891	1993-06-24	VYDAJ	VYBER	12500	40910	\N	\N	\N
1736955	5891	1993-07-24	VYDAJ	VYBER	18000	45024	\N	\N	\N
1736956	5891	1993-08-23	VYDAJ	VYBER	20900	50421	\N	\N	\N
1736957	5891	1993-09-22	VYDAJ	VYBER	13100	36523	\N	\N	\N
1736958	5891	1993-10-22	VYDAJ	VYBER	20400	44960	\N	\N	\N
1736959	5891	1993-11-21	VYDAJ	VYBER	15800	47842	\N	\N	\N
1736960	5891	1993-12-21	VYDAJ	VYBER	29400	51911	\N	\N	\N
1736961	5891	1994-01-20	VYDAJ	VYBER	9000	37127	\N	\N	\N
1736962	5891	1994-02-19	VYDAJ	VYBER	3000	33808	\N	\N	\N
1736963	5891	1994-03-21	VYDAJ	VYBER	15400	42340	\N	\N	\N
1736964	5891	1994-04-20	VYDAJ	VYBER	20800	47195	\N	\N	\N
1736965	5891	1994-05-20	VYDAJ	VYBER	22500	48355	\N	\N	\N
1736966	5891	1994-06-19	VYDAJ	VYBER	20800	53221	\N	\N	\N
1736967	5891	1994-07-19	VYDAJ	VYBER	27600	53000	\N	\N	\N
1736968	5891	1994-08-18	VYDAJ	VYBER	14800	49539	\N	\N	\N
1736969	5891	1994-09-17	VYDAJ	VYBER	19700	48802	\N	\N	\N
1736970	5891	1994-10-17	VYDAJ	VYBER	20500	50277	\N	\N	\N
1736971	5891	1994-11-16	VYDAJ	VYBER	11400	39827	\N	\N	\N
1736972	5891	1994-12-16	VYDAJ	VYBER	24800	58669	\N	\N	\N
1736973	5891	1995-01-15	VYDAJ	VYBER	17100	52753	\N	\N	\N
1736974	5891	1995-02-14	VYDAJ	VYBER	14200	51517	\N	\N	\N
1736975	5891	1995-03-16	VYDAJ	VYBER	7300	45628	\N	\N	\N
1736976	5891	1995-04-15	VYDAJ	VYBER	19700	53276	\N	\N	\N
1736977	5891	1995-05-15	VYDAJ	VYBER	17600	52835	\N	\N	\N
1736978	5891	1995-06-14	VYDAJ	VYBER	16700	58681	\N	\N	\N
1736979	5891	1995-07-14	VYDAJ	VYBER	14700	44378	\N	\N	\N
1736980	5891	1995-08-13	VYDAJ	VYBER	14400	43043	\N	\N	\N
1736981	5891	1995-09-12	VYDAJ	VYBER	20200	51486	\N	\N	\N
1736982	5891	1995-10-12	VYDAJ	VYBER	17300	57204	\N	\N	\N
1736983	5891	1995-11-11	VYDAJ	VYBER	1200	32262	\N	\N	\N
1736984	5891	1995-12-11	VYDAJ	VYBER	4900	39130	\N	\N	\N
1736985	5891	1996-01-10	VYDAJ	VYBER	16900	54321	\N	\N	\N
1736986	5891	1996-02-09	VYDAJ	VYBER	2000	41897	\N	\N	\N
1736987	5891	1996-03-10	VYDAJ	VYBER	15000	53722	\N	\N	\N
1736988	5891	1996-04-09	VYDAJ	VYBER	13300	53121	\N	\N	\N
1736989	5891	1996-05-09	VYDAJ	VYBER	9200	52893	\N	\N	\N
1736990	5891	1996-06-08	VYDAJ	VYBER	10100	61869	\N	\N	\N
1736991	5891	1996-07-08	VYDAJ	VYBER	1300	43337	\N	\N	\N
1736992	5891	1996-08-07	PRIJEM	VKLAD	500	46509	\N	\N	\N
1736993	5891	1996-09-06	VYDAJ	VYBER	1900	58392	\N	\N	\N
1736994	5891	1996-10-06	VYDAJ	VYBER	19200	61885	\N	\N	\N
1736995	5891	1996-11-05	VYDAJ	VYBER	22900	67133	\N	\N	\N
1736996	5891	1996-12-05	VYDAJ	VYBER	10900	67411	\N	\N	\N
1736997	5891	1997-01-04	VYDAJ	VYBER	19700	80798	\N	\N	\N
1736998	5891	1997-02-03	PRIJEM	VKLAD	3900	53903	\N	\N	\N
1736999	5891	1997-03-05	PRIJEM	VKLAD	4200	54811	\N	\N	\N
1737000	5891	1997-04-04	VYDAJ	VYBER	6400	62674	\N	\N	\N
1737001	5891	1997-05-04	VYDAJ	VYBER	11000	74999	\N	\N	\N
1737002	5891	1997-06-03	PRIJEM	VKLAD	8900	77087	\N	\N	\N
1737003	5891	1997-07-03	VYDAJ	VYBER	3300	76504	\N	\N	\N
1737004	5891	1997-08-02	VYDAJ	VYBER	11300	80341	\N	\N	\N
1737005	5891	1997-09-01	VYDAJ	VYBER	15400	91627	\N	\N	\N
1737006	5891	1997-10-01	VYDAJ	VYBER	7400	87935	\N	\N	\N
1737007	5891	1997-10-31	VYDAJ	VYBER	18200	94464	\N	\N	\N
1737008	5891	1997-11-30	PRIJEM	VKLAD	800	84143	\N	\N	\N
1737009	5891	1997-12-12	VYDAJ	VYBER	39800	93609	\N	\N	\N
1737010	5891	1997-12-30	PRIJEM	VKLAD	12700	77396	\N	\N	\N
1737011	5891	1998-01-29	PRIJEM	VKLAD	23300	69147	\N	\N	\N
1737012	5891	1998-02-28	VYDAJ	VYBER KARTOU	2500	94266	\N	\N	0
1737013	5891	1998-03-30	PRIJEM	VKLAD	16200	101625	\N	\N	\N
1737014	5891	1998-04-29	VYDAJ	VYBER KARTOU	4700	106211	\N	\N	0
1737015	5891	1998-05-12	VYDAJ	VYBER	34800	97799	\N	\N	\N
1737016	5891	1998-05-29	PRIJEM	VKLAD	12300	93547	\N	\N	\N
1737017	5891	1998-06-12	VYDAJ	VYBER	18000	121090	\N	\N	\N
1737018	5891	1998-06-28	VYDAJ	VYBER KARTOU	1500	109990	\N	\N	0
1737019	5891	1998-07-12	VYDAJ	VYBER	17900	125098	\N	\N	\N
1737020	5891	1998-07-28	VYDAJ	VYBER KARTOU	6600	113498	\N	\N	0
1737021	5891	1998-08-12	VYDAJ	VYBER	17900	128670	\N	\N	\N
1737022	5891	1998-08-27	VYDAJ	VYBER KARTOU	2500	120270	\N	\N	0
1737023	5891	1998-09-12	VYDAJ	VYBER	35900	109741	\N	\N	\N
1737024	5891	1998-09-26	PRIJEM	VKLAD	4300	114041	\N	\N	\N
1737025	5891	1998-10-12	VYDAJ	VYBER	15000	125975	\N	\N	\N
1737026	5891	1998-10-26	VYDAJ	VYBER KARTOU	3200	122775	\N	\N	0
1737027	5891	1998-11-12	VYDAJ	VYBER	39600	116246	\N	\N	\N
1737028	5891	1998-11-25	PRIJEM	VKLAD	2900	112946	\N	\N	\N
1737029	5891	1998-12-12	VYDAJ	VYBER	41100	118792	\N	\N	\N
1737030	5891	1998-12-25	VYDAJ	VYBER KARTOU	200	113892	\N	\N	0
1743578	5912	1996-10-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1743589	5912	1996-11-09	PRIJEM	PREVOD Z UCTU	18461	19561	\N	EF	77622216
1743590	5912	1996-12-09	PRIJEM	PREVOD Z UCTU	27692	49875	\N	EF	77622216
1743591	5912	1997-01-09	PRIJEM	PREVOD Z UCTU	18461	57546	\N	EF	77622216
1743592	5912	1997-02-09	PRIJEM	PREVOD Z UCTU	18461	61474	\N	EF	77622216
1743593	5912	1997-03-09	PRIJEM	PREVOD Z UCTU	18461	65518	\N	EF	77622216
1743594	5912	1997-04-09	PRIJEM	PREVOD Z UCTU	18461	54042	\N	EF	77622216
1743595	5912	1997-05-09	PRIJEM	PREVOD Z UCTU	18461	32027	\N	EF	77622216
1743596	5912	1997-06-09	PRIJEM	PREVOD Z UCTU	27692	48681	\N	EF	77622216
1743597	5912	1997-07-09	PRIJEM	PREVOD Z UCTU	18461	37514	\N	EF	77622216
1743598	5912	1997-08-09	PRIJEM	PREVOD Z UCTU	18461	41253	\N	EF	77622216
1743599	5912	1997-09-09	PRIJEM	PREVOD Z UCTU	18461	43803	\N	EF	77622216
1743600	5912	1997-10-09	PRIJEM	PREVOD Z UCTU	18461	40695	\N	EF	77622216
1743601	5912	1997-11-09	PRIJEM	PREVOD Z UCTU	18461	38641	\N	EF	77622216
1743602	5912	1997-12-09	PRIJEM	PREVOD Z UCTU	27692	52312	\N	EF	77622216
1743603	5912	1998-01-09	PRIJEM	PREVOD Z UCTU	18461	38282	\N	EF	77622216
1743604	5912	1998-02-09	PRIJEM	PREVOD Z UCTU	18461	38083	\N	EF	77622216
1743605	5912	1998-03-09	PRIJEM	PREVOD Z UCTU	18461	41718	\N	EF	77622216
1743606	5912	1998-04-09	PRIJEM	PREVOD Z UCTU	18461	46575	\N	EF	77622216
1743607	5912	1998-05-09	PRIJEM	PREVOD Z UCTU	18461	42937	\N	EF	77622216
1743608	5912	1998-06-09	PRIJEM	PREVOD Z UCTU	27692	52423	\N	EF	77622216
1743609	5912	1998-07-09	PRIJEM	PREVOD Z UCTU	18461	47796	\N	EF	77622216
1743610	5912	1998-08-09	PRIJEM	PREVOD Z UCTU	18461	35071	\N	EF	77622216
1743611	5912	1998-09-09	PRIJEM	PREVOD Z UCTU	18461	40422	\N	EF	77622216
1743612	5912	1998-10-09	PRIJEM	PREVOD Z UCTU	18461	46296	\N	EF	77622216
1743613	5912	1998-11-09	PRIJEM	PREVOD Z UCTU	18461	46180	\N	EF	77622216
1743614	5912	1998-12-09	PRIJEM	PREVOD Z UCTU	27692	43881	\N	EF	77622216
1743629	5912	1997-03-10	VYDAJ	VYBER	2500	63018	\N	\N	0
1743630	5912	1997-04-18	VYDAJ	VYBER	3700	50342	\N	\N	0
1743631	5912	1997-05-07	VYDAJ	VYBER	2300	13566	\N	\N	0
1743632	5912	1997-06-15	VYDAJ	VYBER	2000	34081	\N	\N	0
1743633	5912	1997-07-13	VYDAJ	VYBER	1900	35614	\N	\N	0
1743634	5912	1997-08-17	VYDAJ	VYBER	2600	38653	\N	\N	0
1743635	5912	1997-09-17	VYDAJ	VYBER	2600	41203	\N	\N	0
1743636	5912	1997-10-15	VYDAJ	VYBER	4000	36695	\N	\N	0
1743637	5912	1997-11-04	VYDAJ	VYBER	3800	30026	\N	\N	0
1743638	5912	1997-12-20	VYDAJ	VYBER	4300	38212	\N	\N	0
1743639	5912	1998-01-06	VYDAJ	VYBER	2700	19821	\N	\N	0
1743640	5912	1998-02-10	VYDAJ	VYBER	3600	34483	\N	\N	0
1743641	5912	1998-03-18	VYDAJ	VYBER	3300	38418	\N	\N	0
1743642	5912	1998-04-18	VYDAJ	VYBER	2700	34175	\N	\N	0
1743643	5912	1998-05-14	VYDAJ	VYBER	3800	39137	\N	\N	0
1743644	5912	1998-05-30	VYDAJ	VYBER	2500	34437	\N	\N	0
1743645	5912	1998-07-12	VYDAJ	PREVOD NA UCET	3077	44719	UVER	CD	6367522
1743646	5912	1998-08-12	VYDAJ	PREVOD NA UCET	3077	31995	UVER	CD	6367522
1743647	5912	1998-09-12	VYDAJ	PREVOD NA UCET	3077	37345	UVER	CD	6367522
1743648	5912	1998-10-12	VYDAJ	PREVOD NA UCET	3077	43219	UVER	CD	6367522
1743649	5912	1998-11-12	VYDAJ	PREVOD NA UCET	3077	43103	UVER	CD	6367522
1743650	5912	1998-12-12	VYDAJ	PREVOD NA UCET	3077	40804	UVER	CD	6367522
1743666	5912	1997-04-06	VYDAJ	PREVOD NA UCET	9846	35581	SIPO	OP	65154915
1743667	5912	1997-05-06	VYDAJ	PREVOD NA UCET	9846	15866	SIPO	OP	65154915
1743668	5912	1997-06-06	VYDAJ	PREVOD NA UCET	9846	20989	SIPO	OP	65154915
1743669	5912	1997-07-06	VYDAJ	PREVOD NA UCET	9846	19053	SIPO	OP	65154915
1743670	5912	1997-08-06	VYDAJ	PREVOD NA UCET	9846	22792	SIPO	OP	65154915
1743671	5912	1997-09-06	VYDAJ	PREVOD NA UCET	9846	25342	SIPO	OP	65154915
1743672	5912	1997-10-06	VYDAJ	PREVOD NA UCET	9846	22234	SIPO	OP	65154915
1743673	5912	1997-11-06	VYDAJ	PREVOD NA UCET	9846	20180	SIPO	OP	65154915
1743674	5912	1997-12-06	VYDAJ	PREVOD NA UCET	9846	24620	SIPO	OP	65154915
1743675	5912	1998-01-06	VYDAJ	PREVOD NA UCET	9846	22521	SIPO	OP	65154915
1743676	5912	1998-02-06	VYDAJ	PREVOD NA UCET	9846	19622	SIPO	OP	65154915
1743677	5912	1998-03-06	VYDAJ	PREVOD NA UCET	9846	23257	SIPO	OP	65154915
1743678	5912	1998-04-06	VYDAJ	PREVOD NA UCET	9846	28114	SIPO	OP	65154915
1743679	5912	1998-05-06	VYDAJ	PREVOD NA UCET	9846	24476	SIPO	OP	65154915
1743680	5912	1998-06-06	VYDAJ	PREVOD NA UCET	9846	24731	SIPO	OP	65154915
1743681	5912	1998-07-06	VYDAJ	PREVOD NA UCET	9846	29335	SIPO	OP	65154915
1743682	5912	1998-08-06	VYDAJ	PREVOD NA UCET	9846	16610	SIPO	OP	65154915
1743683	5912	1998-09-06	VYDAJ	PREVOD NA UCET	9846	21961	SIPO	OP	65154915
1743684	5912	1998-10-06	VYDAJ	PREVOD NA UCET	9846	27835	SIPO	OP	65154915
1743685	5912	1998-11-06	VYDAJ	PREVOD NA UCET	9846	27719	SIPO	OP	65154915
1743686	5912	1998-12-06	VYDAJ	PREVOD NA UCET	9846	16189	SIPO	OP	65154915
1743698	5912	1997-10-05	VYBER	VYBER	5069	32080	\N	\N	\N
1743699	5912	1997-04-23	VYBER	VYBER	16005	34337	\N	\N	\N
1743701	5912	1998-01-11	VYBER	VYBER	18513	19769	\N	\N	\N
1743703	5912	1997-06-09	VYDAJ	VYBER	12600	36081	\N	\N	\N
1743709	5912	1997-12-27	VYDAJ	VYBER	6000	32212	\N	\N	\N
1743710	5912	1998-12-13	VYDAJ	VYBER	6000	34804	\N	\N	\N
1743716	5912	1997-11-13	VYDAJ	VYBER	3300	35341	\N	\N	\N
1743717	5912	1997-08-18	VYDAJ	VYBER	5700	32953	\N	\N	\N
1743719	5912	1998-07-24	VYDAJ	VYBER	3300	26319	\N	\N	\N
1743720	5912	1998-07-21	VYDAJ	VYBER	10200	29619	\N	\N	\N
1743721	5912	1998-11-24	VYDAJ	VYBER	9600	25903	\N	\N	\N
1743738	5912	1997-03-31	VYDAJ	VYBER	15	45427	SLUZBY	\N	\N
1743739	5912	1997-04-30	VYDAJ	VYBER	15	25712	SLUZBY	\N	\N
1743740	5912	1997-05-31	VYDAJ	VYBER	15	30835	SLUZBY	\N	\N
1743741	5912	1997-06-30	VYDAJ	VYBER	15	28899	SLUZBY	\N	\N
1743742	5912	1997-07-31	VYDAJ	VYBER	15	32638	SLUZBY	\N	\N
1743743	5912	1997-08-31	VYDAJ	VYBER	15	35188	SLUZBY	\N	\N
1743744	5912	1997-09-30	VYDAJ	VYBER	15	37149	SLUZBY	\N	\N
1743745	5912	1997-10-31	VYDAJ	VYBER	15	33826	SLUZBY	\N	\N
1743746	5912	1997-11-30	VYDAJ	VYBER	15	34466	SLUZBY	\N	\N
1743747	5912	1997-12-31	VYDAJ	VYBER	15	32367	SLUZBY	\N	\N
1743748	5912	1998-01-31	VYDAJ	VYBER	15	29468	SLUZBY	\N	\N
1743749	5912	1998-02-28	VYDAJ	VYBER	15	33103	SLUZBY	\N	\N
1743750	5912	1998-03-31	VYDAJ	VYBER	15	37960	SLUZBY	\N	\N
1743751	5912	1998-04-30	VYDAJ	VYBER	15	34322	SLUZBY	\N	\N
1743752	5912	1998-05-31	VYDAJ	VYBER	15	34577	SLUZBY	\N	\N
1743753	5912	1998-06-30	VYDAJ	VYBER	15	39181	SLUZBY	\N	\N
1743754	5912	1998-07-31	VYDAJ	VYBER	15	26456	SLUZBY	\N	\N
1743755	5912	1998-08-31	VYDAJ	VYBER	15	31807	SLUZBY	\N	\N
1743756	5912	1998-09-30	VYDAJ	VYBER	15	37681	SLUZBY	\N	\N
1743757	5912	1998-10-31	VYDAJ	VYBER	15	37565	SLUZBY	\N	\N
1743758	5912	1998-11-30	VYDAJ	VYBER	15	26035	SLUZBY	\N	\N
1743759	5912	1996-11-24	PRIJEM	VKLAD	2600	22161	\N	\N	\N
1743760	5912	1996-12-24	VYDAJ	VYBER	10900	38975	\N	\N	\N
1743761	5912	1997-01-23	VYDAJ	VYBER	14700	42846	\N	\N	\N
1743762	5912	1997-02-22	VYDAJ	VYBER	14600	46874	\N	\N	\N
1743763	5912	1997-03-24	VYDAJ	VYBER	17800	45218	\N	\N	\N
1743764	5912	1997-04-23	VYDAJ	VYBER	8800	25537	\N	\N	\N
1743765	5912	1997-05-23	VYDAJ	VYBER	1300	30727	\N	\N	\N
1743766	5912	1997-06-22	VYDAJ	VYBER	5300	28781	\N	\N	\N
1743767	5912	1997-07-22	VYDAJ	VYBER	3100	32514	\N	\N	\N
1743768	5912	1997-08-21	PRIJEM	VKLAD	2100	35053	\N	\N	\N
1743769	5912	1997-09-20	VYDAJ	VYBER	4200	37003	\N	\N	\N
1743770	5912	1997-10-20	VYDAJ	VYBER	3000	33695	\N	\N	\N
1743771	5912	1997-11-19	VYDAJ	VYBER	1000	34341	\N	\N	\N
1743772	5912	1997-12-19	VYDAJ	VYBER	9800	42512	\N	\N	\N
1743773	5912	1998-01-18	PRIJEM	VKLAD	9600	29369	\N	\N	\N
1743774	5912	1998-02-17	VYDAJ	VYBER	1500	32983	\N	\N	\N
1743775	5912	1998-03-19	VYDAJ	VYBER	600	37818	\N	\N	\N
1743776	5912	1998-04-18	VYDAJ	VYBER	9700	36875	\N	\N	\N
1743777	5912	1998-05-18	VYDAJ	VYBER	2200	36937	\N	\N	\N
1743778	5912	1998-06-17	VYDAJ	VYBER	13400	39023	\N	\N	\N
1743779	5912	1998-07-17	VYDAJ	VYBER	4900	39819	\N	\N	\N
1743780	5912	1998-08-16	VYDAJ	VYBER	300	31695	\N	\N	\N
1743781	5912	1998-09-15	PRIJEM	VKLAD	200	37545	\N	\N	\N
1743782	5912	1998-10-15	VYDAJ	VYBER	5800	37419	\N	\N	\N
1743783	5912	1998-11-14	VYDAJ	VYBER	7600	35503	\N	\N	\N
1747172	5927	1993-11-26	PRIJEM	VKLAD	200	200	\N	\N	\N
1747184	5927	1993-12-12	PRIJEM	PREVOD Z UCTU	16356	16556	\N	KL	35778999
1747185	5927	1994-01-12	PRIJEM	PREVOD Z UCTU	10904	31694	\N	KL	35778999
1747186	5927	1994-02-12	PRIJEM	PREVOD Z UCTU	10904	37381	\N	KL	35778999
1747187	5927	1994-03-12	PRIJEM	PREVOD Z UCTU	10904	41410	\N	KL	35778999
1747188	5927	1994-04-12	PRIJEM	PREVOD Z UCTU	10904	40671	\N	KL	35778999
1747189	5927	1994-05-12	PRIJEM	PREVOD Z UCTU	10904	38260	\N	KL	35778999
1747190	5927	1994-06-12	PRIJEM	PREVOD Z UCTU	16356	32447	\N	KL	35778999
1747191	5927	1994-07-12	PRIJEM	PREVOD Z UCTU	10904	28551	\N	KL	35778999
1747192	5927	1994-08-12	PRIJEM	PREVOD Z UCTU	10904	37433	\N	KL	35778999
1747193	5927	1994-09-12	PRIJEM	PREVOD Z UCTU	10904	32734	\N	KL	35778999
1747194	5927	1994-10-12	PRIJEM	PREVOD Z UCTU	10904	34642	\N	KL	35778999
1747195	5927	1994-11-12	PRIJEM	PREVOD Z UCTU	10904	23749	\N	KL	35778999
1747196	5927	1994-12-12	PRIJEM	PREVOD Z UCTU	16356	34342	\N	KL	35778999
1747197	5927	1995-01-12	PRIJEM	PREVOD Z UCTU	10904	10413	\N	KL	35778999
1747198	5927	1995-02-12	PRIJEM	PREVOD Z UCTU	10904	14318	\N	KL	35778999
1747199	5927	1995-03-12	PRIJEM	PREVOD Z UCTU	10904	22266	\N	KL	35778999
1747200	5927	1995-04-12	PRIJEM	PREVOD Z UCTU	10904	28070	\N	KL	35778999
1747201	5927	1995-05-12	PRIJEM	PREVOD Z UCTU	10904	26732	\N	KL	35778999
1747202	5927	1995-06-12	PRIJEM	PREVOD Z UCTU	16356	37431	\N	KL	35778999
1747203	5927	1995-07-12	PRIJEM	PREVOD Z UCTU	10904	39119	\N	KL	35778999
1747204	5927	1995-08-12	PRIJEM	PREVOD Z UCTU	10904	23849	\N	KL	35778999
1747205	5927	1995-09-12	PRIJEM	PREVOD Z UCTU	10904	27663	\N	KL	35778999
1747206	5927	1995-10-12	PRIJEM	PREVOD Z UCTU	10904	34392	\N	KL	35778999
1747207	5927	1995-11-12	PRIJEM	PREVOD Z UCTU	10904	8971	\N	KL	35778999
1747208	5927	1995-12-12	PRIJEM	PREVOD Z UCTU	16356	20211	\N	KL	35778999
1747209	5927	1996-01-12	PRIJEM	PREVOD Z UCTU	10904	8620	\N	KL	35778999
1747210	5927	1996-02-12	PRIJEM	PREVOD Z UCTU	10904	9412	\N	KL	35778999
1747211	5927	1996-03-12	PRIJEM	PREVOD Z UCTU	10904	23564	\N	KL	35778999
1747212	5927	1996-04-12	PRIJEM	PREVOD Z UCTU	10904	22874	\N	KL	35778999
1747213	5927	1996-05-12	PRIJEM	PREVOD Z UCTU	10904	12725	\N	KL	35778999
1747214	5927	1996-06-12	PRIJEM	PREVOD Z UCTU	16356	32174	\N	KL	35778999
1747215	5927	1996-07-12	PRIJEM	PREVOD Z UCTU	10904	27846	\N	KL	35778999
1747216	5927	1996-08-12	PRIJEM	PREVOD Z UCTU	10904	20940	\N	KL	35778999
1747217	5927	1996-09-12	PRIJEM	PREVOD Z UCTU	10904	21599	\N	KL	35778999
1747218	5927	1996-10-12	PRIJEM	PREVOD Z UCTU	10904	21149	\N	KL	35778999
1747219	5927	1996-11-12	PRIJEM	PREVOD Z UCTU	10904	31296	\N	KL	35778999
1747220	5927	1996-12-12	PRIJEM	PREVOD Z UCTU	16356	27170	\N	KL	35778999
1747221	5927	1997-01-12	PRIJEM	PREVOD Z UCTU	10904	23143	\N	KL	35778999
1747222	5927	1997-02-12	PRIJEM	PREVOD Z UCTU	10904	19146	\N	KL	35778999
1747223	5927	1997-03-12	PRIJEM	PREVOD Z UCTU	10904	27922	\N	KL	35778999
1747224	5927	1997-04-12	PRIJEM	PREVOD Z UCTU	10904	25929	\N	KL	35778999
1747225	5927	1997-05-12	PRIJEM	PREVOD Z UCTU	10904	13633	\N	KL	35778999
1747226	5927	1997-06-12	PRIJEM	PREVOD Z UCTU	16356	25067	\N	KL	35778999
1747227	5927	1997-07-12	PRIJEM	PREVOD Z UCTU	10904	28463	\N	KL	35778999
1747228	5927	1997-08-12	PRIJEM	PREVOD Z UCTU	10904	20243	\N	KL	35778999
1747229	5927	1997-09-12	PRIJEM	PREVOD Z UCTU	10904	23236	\N	KL	35778999
1747230	5927	1997-10-12	PRIJEM	PREVOD Z UCTU	10904	27053	\N	KL	35778999
1747231	5927	1997-11-12	PRIJEM	PREVOD Z UCTU	10904	25571	\N	KL	35778999
1747232	5927	1997-12-12	PRIJEM	PREVOD Z UCTU	16356	31348	\N	KL	35778999
1747233	5927	1998-01-12	PRIJEM	PREVOD Z UCTU	10904	5666	\N	KL	35778999
1747234	5927	1998-02-12	PRIJEM	PREVOD Z UCTU	10904	14861	\N	KL	35778999
1747235	5927	1998-03-12	PRIJEM	PREVOD Z UCTU	10904	20529	\N	KL	35778999
1747236	5927	1998-04-12	PRIJEM	PREVOD Z UCTU	10904	20707	\N	KL	35778999
1747237	5927	1998-05-12	PRIJEM	PREVOD Z UCTU	10904	29589	\N	KL	35778999
1747238	5927	1998-06-12	PRIJEM	PREVOD Z UCTU	16356	28767	\N	KL	35778999
1747239	5927	1998-07-12	PRIJEM	PREVOD Z UCTU	10904	26466	\N	KL	35778999
1747240	5927	1998-08-12	PRIJEM	PREVOD Z UCTU	10904	32691	\N	KL	35778999
1747241	5927	1998-09-12	PRIJEM	PREVOD Z UCTU	10904	23108	\N	KL	35778999
1747242	5927	1998-10-12	PRIJEM	PREVOD Z UCTU	10904	24480	\N	KL	35778999
1747243	5927	1998-11-12	PRIJEM	PREVOD Z UCTU	10904	29810	\N	KL	35778999
1747244	5927	1998-12-12	PRIJEM	PREVOD Z UCTU	16356	47942	\N	KL	35778999
1747260	5927	1994-04-20	VYDAJ	VYBER	1600	39071	\N	\N	0
1747261	5927	1994-05-19	VYDAJ	VYBER	2100	36160	\N	\N	0
1747262	5927	1994-06-12	VYDAJ	PREVOD NA UCET	1817	30630	UVER	OP	95520770
1747263	5927	1994-07-12	VYDAJ	PREVOD NA UCET	1817	26734	UVER	OP	95520770
1747264	5927	1994-08-12	VYDAJ	PREVOD NA UCET	1817	30916	UVER	OP	95520770
1747265	5927	1994-09-12	VYDAJ	PREVOD NA UCET	1817	30917	UVER	OP	95520770
1747266	5927	1994-10-12	VYDAJ	PREVOD NA UCET	1817	32825	UVER	OP	95520770
1747267	5927	1994-11-12	VYDAJ	PREVOD NA UCET	1817	21932	UVER	OP	95520770
1747268	5927	1994-12-12	VYDAJ	PREVOD NA UCET	1817	32524	UVER	OP	95520770
1747269	5927	1995-01-12	VYDAJ	VYBER	1800	8613	\N	\N	0
1747270	5927	1995-02-12	VYDAJ	VYBER	1800	12518	\N	\N	0
1747271	5927	1995-03-12	VYDAJ	VYBER	1800	20466	\N	\N	0
1747272	5927	1995-04-12	VYDAJ	VYBER	1800	26270	\N	\N	0
1747273	5927	1995-05-12	VYDAJ	PREVOD NA UCET	1817	24915	UVER	OP	95520770
1747274	5927	1995-06-12	VYDAJ	PREVOD NA UCET	1817	35614	UVER	OP	95520770
1747275	5927	1995-07-12	VYDAJ	PREVOD NA UCET	1817	37301	UVER	OP	95520770
1747276	5927	1995-08-12	VYDAJ	PREVOD NA UCET	1817	22032	UVER	OP	95520770
1747277	5927	1995-09-12	VYDAJ	PREVOD NA UCET	1817	25846	UVER	OP	95520770
1747278	5927	1995-10-12	VYDAJ	PREVOD NA UCET	1817	32575	UVER	OP	95520770
1747279	5927	1995-11-12	VYDAJ	PREVOD NA UCET	1817	2953	UVER	OP	95520770
1747280	5927	1995-12-12	VYDAJ	PREVOD NA UCET	1817	18393	UVER	OP	95520770
1747281	5927	1996-01-12	VYDAJ	PREVOD NA UCET	1817	6802	UVER	OP	95520770
1747282	5927	1996-02-12	VYDAJ	PREVOD NA UCET	1817	7595	UVER	OP	95520770
1747283	5927	1996-03-12	VYDAJ	PREVOD NA UCET	1817	21746	UVER	OP	95520770
1747284	5927	1996-04-12	VYDAJ	PREVOD NA UCET	1817	21057	UVER	OP	95520770
1747285	5927	1996-05-12	VYDAJ	PREVOD NA UCET	1817	10908	UVER	OP	95520770
1747286	5927	1996-06-12	VYDAJ	PREVOD NA UCET	1817	30357	UVER	OP	95520770
1747287	5927	1996-07-12	VYDAJ	PREVOD NA UCET	1817	26029	UVER	OP	95520770
1747288	5927	1996-08-12	VYDAJ	PREVOD NA UCET	1817	23023	UVER	OP	95520770
1747289	5927	1996-09-12	VYDAJ	PREVOD NA UCET	1817	19782	UVER	OP	95520770
1747290	5927	1996-10-12	VYDAJ	PREVOD NA UCET	1817	19332	UVER	OP	95520770
1747291	5927	1996-11-12	VYDAJ	PREVOD NA UCET	1817	29479	UVER	OP	95520770
1747292	5927	1996-12-12	VYDAJ	PREVOD NA UCET	1817	25353	UVER	OP	95520770
1747293	5927	1997-01-12	VYDAJ	PREVOD NA UCET	1817	21326	UVER	OP	95520770
1747294	5927	1997-02-12	VYDAJ	PREVOD NA UCET	1817	17329	UVER	OP	95520770
1747295	5927	1997-03-12	VYDAJ	PREVOD NA UCET	1817	26104	UVER	OP	95520770
1747296	5927	1997-04-12	VYDAJ	PREVOD NA UCET	1817	24112	UVER	OP	95520770
1747297	5927	1997-05-12	VYDAJ	PREVOD NA UCET	1817	11816	UVER	OP	95520770
1747298	5927	1997-06-12	VYDAJ	PREVOD NA UCET	1817	23249	UVER	OP	95520770
1747299	5927	1997-07-12	VYDAJ	PREVOD NA UCET	1817	26646	UVER	OP	95520770
1747300	5927	1997-08-12	VYDAJ	PREVOD NA UCET	1817	18426	UVER	OP	95520770
1747301	5927	1997-09-12	VYDAJ	PREVOD NA UCET	1817	21418	UVER	OP	95520770
1747302	5927	1997-10-12	VYDAJ	PREVOD NA UCET	1817	25236	UVER	OP	95520770
1747303	5927	1997-11-12	VYDAJ	PREVOD NA UCET	1817	23753	UVER	OP	95520770
1747304	5927	1997-12-12	VYDAJ	PREVOD NA UCET	1817	29531	UVER	OP	95520770
1747305	5927	1998-01-12	VYDAJ	VYBER	2000	930	\N	\N	\N
1747306	5927	1998-02-12	VYDAJ	PREVOD NA UCET	1817	13043	UVER	OP	95520770
1747307	5927	1998-03-12	VYDAJ	PREVOD NA UCET	1817	13812	UVER	OP	95520770
1747308	5927	1998-04-12	VYDAJ	PREVOD NA UCET	1817	18889	UVER	OP	95520770
1747309	5927	1998-05-12	VYDAJ	PREVOD NA UCET	1817	27771	UVER	OP	95520770
1747310	5927	1998-06-08	VYDAJ	VYBER	1000	12411	\N	\N	0
1747311	5927	1998-07-10	VYDAJ	VYBER	2100	15562	\N	\N	0
1747312	5927	1998-08-26	VYDAJ	VYBER	1600	24691	\N	\N	0
1747313	5927	1998-09-12	VYDAJ	VYBER	1500	16808	\N	\N	0
1747314	5927	1998-10-18	VYDAJ	VYBER	1900	22580	\N	\N	0
1747315	5927	1998-11-02	VYDAJ	VYBER	2200	23106	\N	\N	0
1747316	5927	1998-12-05	VYDAJ	VYBER	1500	31586	\N	\N	0
1747332	5927	1994-04-08	VYDAJ	VYBER	4000	29767	SIPO	\N	0
1747333	5927	1994-05-06	VYDAJ	VYBER	6100	27356	SIPO	\N	0
1747334	5927	1994-06-07	VYDAJ	VYBER	5600	16091	SIPO	\N	0
1747335	5927	1994-07-07	VYDAJ	VYBER	4200	17647	SIPO	\N	0
1747336	5927	1994-08-12	VYDAJ	VYBER	4700	32733	SIPO	\N	0
1747337	5927	1994-09-09	VYDAJ	VYBER	5700	21830	SIPO	\N	0
1747338	5927	1994-10-08	VYDAJ	VYBER	5200	23738	SIPO	\N	0
1747339	5927	1994-11-06	VYDAJ	VYBER	4900	12845	SIPO	\N	0
1747340	5927	1994-12-20	VYDAJ	VYBER	6100	11862	SIPO	\N	0
1747341	5927	1995-01-18	VYDAJ	VYBER	6000	-2187	SIPO	\N	0
1747342	5927	1995-02-21	VYDAJ	VYBER	6200	11318	SIPO	\N	0
1747343	5927	1995-03-16	VYDAJ	VYBER	4800	15666	SIPO	\N	0
1747344	5927	1995-04-22	VYDAJ	VYBER	6200	21870	SIPO	\N	0
1747345	5927	1995-05-05	VYDAJ	VYBER	6200	15828	SIPO	\N	0
1747346	5927	1995-06-20	VYDAJ	VYBER	3800	28014	SIPO	\N	0
1747347	5927	1995-07-19	VYDAJ	VYBER	4700	32601	SIPO	\N	0
1747348	5927	1995-08-14	VYDAJ	VYBER	5300	16732	SIPO	\N	0
1747349	5927	1995-09-14	VYDAJ	VYBER	6100	19746	SIPO	\N	0
1747350	5927	1995-10-16	VYDAJ	VYBER	6300	26275	SIPO	\N	0
1747351	5927	1995-11-12	VYDAJ	VYBER	4200	4771	SIPO	\N	0
1747352	5927	1995-12-08	VYDAJ	VYBER	4600	8055	SIPO	\N	0
1747353	5927	1996-01-07	VYDAJ	VYBER	5900	12416	SIPO	\N	0
1747354	5927	1996-02-19	VYDAJ	VYBER	5500	12595	SIPO	\N	0
1747355	5927	1996-03-17	VYDAJ	VYBER	3900	21746	SIPO	\N	0
1747356	5927	1996-04-07	VYDAJ	VYBER	4800	11970	SIPO	\N	0
1747357	5927	1996-05-19	VYDAJ	VYBER	3900	15708	SIPO	\N	0
1747358	5927	1996-06-13	VYDAJ	VYBER	6100	16757	SIPO	\N	0
1747359	5927	1996-07-13	VYDAJ	VYBER	5800	22529	SIPO	\N	0
1747360	5927	1996-08-10	VYDAJ	VYBER	4800	10036	SIPO	\N	0
1747361	5927	1996-09-04	VYDAJ	VYBER	6300	1795	SIPO	\N	0
1747362	5927	1996-10-05	VYDAJ	VYBER	4200	-3855	SIPO	\N	0
1747363	5927	1996-11-21	VYDAJ	VYBER	4900	24579	SIPO	\N	0
1747364	5927	1996-12-03	VYDAJ	VYBER	5800	4534	SIPO	\N	0
1747365	5927	1997-01-06	VYDAJ	VYBER	5100	8939	SIPO	\N	0
1747366	5927	1997-02-15	VYDAJ	VYBER	6200	11129	SIPO	\N	0
1747367	5927	1997-03-21	VYDAJ	VYBER	5800	20304	SIPO	\N	0
1747368	5927	1997-04-13	VYDAJ	VYBER	4500	19612	SIPO	\N	0
1747369	5927	1997-05-10	VYDAJ	VYBER	4700	2729	SIPO	\N	0
1747370	5927	1997-06-07	VYDAJ	VYBER	4800	2011	SIPO	\N	0
1747371	5927	1997-07-16	VYDAJ	VYBER	5800	20846	SIPO	\N	0
1747372	5927	1997-08-11	VYDAJ	VYBER	5000	9339	SIPO	\N	0
1747373	5927	1997-09-11	VYDAJ	VYBER	5800	12332	SIPO	\N	0
1747374	5927	1997-10-14	VYDAJ	VYBER	5500	19736	SIPO	\N	0
1747375	5927	1997-11-05	VYDAJ	VYBER	3900	15967	SIPO	\N	0
1747376	5927	1997-12-09	VYDAJ	VYBER	4500	14992	SIPO	\N	0
1747377	5927	1998-01-05	VYDAJ	VYBER	3800	2562	SIPO	\N	0
1747378	5927	1998-02-16	VYDAJ	VYBER	5200	7843	SIPO	\N	0
1747379	5927	1998-03-12	VYDAJ	VYBER	4900	15629	SIPO	\N	0
1747380	5927	1998-04-05	VYDAJ	VYBER	4900	9803	SIPO	\N	0
1747381	5927	1998-05-16	VYDAJ	VYBER	5500	22271	SIPO	\N	0
1747382	5927	1998-06-03	VYDAJ	VYBER	6100	13411	SIPO	\N	0
1747383	5927	1998-07-17	VYDAJ	VYBER	5200	21266	SIPO	\N	0
1747384	5927	1998-08-14	VYDAJ	VYBER	6400	26291	SIPO	\N	0
1747385	5927	1998-09-12	VYDAJ	VYBER	4800	18308	SIPO	\N	0
1747386	5927	1998-10-10	VYDAJ	VYBER	3900	13576	SIPO	\N	0
1747387	5927	1998-11-05	VYDAJ	VYBER	4200	18906	SIPO	\N	0
1747388	5927	1998-12-22	VYDAJ	VYBER	6100	41842	SIPO	\N	0
1747401	5927	1994-05-23	VYBER	VYBER	3108	20452	\N	\N	\N
1747402	5927	1994-07-07	VYBER	VYBER	8596	21847	\N	\N	\N
1747404	5927	1994-12-13	VYBER	VYBER	14562	17962	\N	\N	\N
1747405	5927	1995-10-29	VYBER	VYBER	16713	-2081	\N	\N	\N
1747406	5927	1995-07-31	VYBER	VYBER	14083	12960	\N	\N	\N
1747407	5927	1995-08-15	VYBER	VYBER	5668	11064	\N	\N	\N
1747408	5927	1995-10-27	VYBER	VYBER	9743	14632	\N	\N	\N
1747410	5927	1996-08-23	VYBER	VYBER	15019	8004	\N	\N	\N
1747411	5927	1996-02-04	VYBER	VYBER	10061	-1492	\N	\N	\N
1747412	5927	1996-12-04	VYBER	VYBER	7220	-2686	\N	\N	\N
1747414	5927	1996-09-16	VYBER	VYBER	19435	347	\N	\N	\N
1747416	5927	1996-12-02	VYBER	VYBER	14380	10334	\N	\N	\N
1747417	5927	1996-05-02	VYBER	VYBER	17774	1821	\N	\N	\N
1747418	5927	1997-12-19	VYBER	VYBER	20101	-2570	\N	\N	\N
1747419	5927	1997-08-03	VYBER	VYBER	4403	13939	\N	\N	\N
1747420	5927	1997-05-07	VYBER	VYBER	17006	2729	\N	\N	\N
1747421	5927	1997-04-08	VYBER	VYBER	8899	11525	\N	\N	\N
1747423	5927	1997-07-17	VYBER	VYBER	2635	18211	\N	\N	\N
1747424	5927	1997-05-24	VYBER	VYBER	5067	6749	\N	\N	\N
1747425	5927	1998-01-12	VYBER	VYBER	2736	2930	\N	\N	\N
1747426	5927	1998-08-29	VYBER	VYBER	21429	3262	\N	\N	\N
1747430	5927	1996-06-13	VYDAJ	VYBER	13800	22857	\N	\N	\N
1747432	5927	1998-06-16	VYDAJ	VYBER	13800	14967	\N	\N	\N
1747437	5927	1997-01-11	VYDAJ	VYBER	4500	12239	\N	\N	\N
1747440	5927	1994-12-05	VYDAJ	VYBER	6300	17986	\N	\N	\N
1747441	5927	1995-12-11	VYDAJ	VYBER	4200	3855	\N	\N	\N
1747442	5927	1996-12-17	VYDAJ	VYBER	4500	20853	\N	\N	\N
1747444	5927	1998-12-22	VYDAJ	VYBER	8100	33742	\N	\N	\N
1747457	5927	1995-01-02	VYDAJ	VYBER	5700	8509	\N	\N	\N
1747458	5927	1995-01-03	VYDAJ	VYBER	5100	3409	\N	\N	\N
1747459	5927	1995-01-02	VYDAJ	VYBER	4500	14209	\N	\N	\N
1747460	5927	1995-01-06	VYDAJ	VYBER	3900	-491	\N	\N	\N
1747462	5927	1995-01-21	VYDAJ	VYBER	4500	3413	\N	\N	\N
1747463	5927	1996-01-09	VYDAJ	VYBER	7800	4616	\N	\N	\N
1747464	5927	1996-01-01	VYDAJ	VYBER	4800	18316	\N	\N	\N
1747465	5927	1996-01-11	VYDAJ	VYBER	6900	-2285	\N	\N	\N
1747466	5927	1996-01-16	VYDAJ	VYBER	3900	12102	\N	\N	\N
1747467	5927	1996-01-25	VYDAJ	VYBER	3600	8502	\N	\N	\N
1747469	5927	1997-01-18	VYDAJ	VYBER	6300	4826	\N	\N	\N
1747470	5927	1997-01-13	VYDAJ	VYBER	4500	16826	\N	\N	\N
1747471	5927	1997-01-18	VYDAJ	VYBER	5700	11126	\N	\N	\N
1747472	5927	1997-01-21	VYDAJ	VYBER	3000	1826	\N	\N	\N
1747473	5927	1997-01-05	VYDAJ	VYBER	6900	14039	\N	\N	\N
1747474	5927	1997-01-22	VYDAJ	VYBER	4500	-2675	\N	\N	\N
1747477	5927	1998-01-10	VYDAJ	VYBER	7800	-5238	\N	\N	\N
1747478	5927	1998-01-23	VYDAJ	VYBER	1800	-870	\N	\N	\N
1747490	5927	1994-05-22	VYDAJ	VYBER	12600	23560	\N	\N	\N
1747492	5927	1994-10-28	VYDAJ	VYBER	12900	17525	\N	\N	\N
1747493	5927	1995-02-17	VYDAJ	VYBER	8700	3818	\N	\N	\N
1747494	5927	1995-03-19	VYDAJ	VYBER	3600	12066	\N	\N	\N
1747495	5927	1995-01-12	VYDAJ	VYBER	4800	3813	\N	\N	\N
1747496	5927	1996-04-14	VYDAJ	VYBER	6900	19457	\N	\N	\N
1747498	5927	1996-07-17	VYDAJ	VYBER	7800	14729	\N	\N	\N
1747499	5927	1996-10-30	VYDAJ	VYBER	9300	10032	\N	\N	\N
1747501	5927	1996-04-01	VYDAJ	VYBER	5100	16770	\N	\N	\N
1747503	5927	1997-12-17	VYDAJ	VYBER	12000	17531	\N	\N	\N
1747504	5927	1997-07-09	VYDAJ	VYBER	4200	17559	\N	\N	\N
1747507	5927	1998-12-26	VYDAJ	VYBER	3900	29842	\N	\N	\N
1747508	5927	1998-03-08	VYDAJ	VYBER	1500	9625	\N	\N	\N
1747525	5927	1994-04-30	VYDAJ	VYBER	15	33456	SLUZBY	\N	\N
1747526	5927	1994-05-31	VYDAJ	VYBER	15	21691	SLUZBY	\N	\N
1747527	5927	1994-06-30	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
1747528	5927	1994-07-31	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
1747529	5927	1994-08-31	VYDAJ	VYBER	15	27530	SLUZBY	\N	\N
1747530	5927	1994-09-30	VYDAJ	VYBER	15	28938	SLUZBY	\N	\N
1747531	5927	1994-10-31	VYDAJ	VYBER	15	17745	SLUZBY	\N	\N
1747532	5927	1994-11-30	VYDAJ	VYBER	15	24286	SLUZBY	\N	\N
1747533	5927	1994-12-31	VYDAJ	VYBER	15	18709	SLUZBY	\N	\N
1747534	5927	1995-01-31	VYDAJ	VYBER	15	3414	SLUZBY	\N	\N
1747535	5927	1995-02-28	VYDAJ	VYBER	15	11362	SLUZBY	\N	\N
1747536	5927	1995-03-31	VYDAJ	VYBER	15	17166	SLUZBY	\N	\N
1747537	5927	1995-04-30	VYDAJ	VYBER	15	22028	SLUZBY	\N	\N
1747538	5927	1995-05-31	VYDAJ	VYBER	15	21075	SLUZBY	\N	\N
1747539	5927	1995-06-30	VYDAJ	VYBER	15	28215	SLUZBY	\N	\N
1747540	5927	1995-07-31	VYDAJ	VYBER	15	12945	SLUZBY	\N	\N
1747541	5927	1995-08-31	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
1747542	5927	1995-09-30	VYDAJ	VYBER	15	23488	SLUZBY	\N	\N
1747543	5927	1995-10-31	VYDAJ	VYBER	15	-1930	SLUZBY	\N	\N
1747544	5927	1995-11-30	VYDAJ	VYBER	15	12655	SLUZBY	\N	\N
1747545	5927	1995-12-31	VYDAJ	VYBER	15	23116	SLUZBY	\N	\N
1747546	5927	1996-01-31	VYDAJ	VYBER	15	8571	SLUZBY	\N	\N
1747547	5927	1996-02-29	VYDAJ	VYBER	15	12660	SLUZBY	\N	\N
1747548	5927	1996-03-31	VYDAJ	VYBER	15	21870	SLUZBY	\N	\N
1747549	5927	1996-04-30	VYDAJ	VYBER	15	19595	SLUZBY	\N	\N
1747550	5927	1996-05-31	VYDAJ	VYBER	15	15818	SLUZBY	\N	\N
1747551	5927	1996-06-30	VYDAJ	VYBER	15	16942	SLUZBY	\N	\N
1747552	5927	1996-07-31	VYDAJ	VYBER	15	14836	SLUZBY	\N	\N
1747553	5927	1996-08-31	VYDAJ	VYBER	15	8095	SLUZBY	\N	\N
1747554	5927	1996-09-30	VYDAJ	VYBER	15	369	SLUZBY	\N	\N
1747555	5927	1996-10-31	VYDAJ	VYBER	15	10108	SLUZBY	\N	\N
1747556	5927	1996-11-30	VYDAJ	VYBER	15	24714	SLUZBY	\N	\N
1747557	5927	1996-12-31	VYDAJ	VYBER	15	20950	SLUZBY	\N	\N
1747558	5927	1997-01-31	VYDAJ	VYBER	15	-2622	SLUZBY	\N	\N
1747559	5927	1997-02-28	VYDAJ	VYBER	15	11161	SLUZBY	\N	\N
1747560	5927	1997-03-31	VYDAJ	VYBER	15	20424	SLUZBY	\N	\N
1747561	5927	1997-04-30	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
1747562	5927	1997-05-31	VYDAJ	VYBER	15	6811	SLUZBY	\N	\N
1747563	5927	1997-06-30	VYDAJ	VYBER	15	23359	SLUZBY	\N	\N
1747564	5927	1997-07-31	VYDAJ	VYBER	15	18342	SLUZBY	\N	\N
1747565	5927	1997-08-31	VYDAJ	VYBER	15	18532	SLUZBY	\N	\N
1747566	5927	1997-09-30	VYDAJ	VYBER	15	21549	SLUZBY	\N	\N
1747567	5927	1997-10-31	VYDAJ	VYBER	15	19867	SLUZBY	\N	\N
1747568	5927	1997-11-30	VYDAJ	VYBER	15	23892	SLUZBY	\N	\N
1747569	5927	1997-12-31	VYDAJ	VYBER	15	-2488	SLUZBY	\N	\N
1747570	5927	1998-01-31	VYDAJ	VYBER	15	-885	SLUZBY	\N	\N
1747571	5927	1998-02-28	VYDAJ	VYBER	15	7842	SLUZBY	\N	\N
1747572	5927	1998-03-31	VYDAJ	VYBER	15	13903	SLUZBY	\N	\N
1747573	5927	1998-04-30	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
1747574	5927	1998-05-31	VYDAJ	VYBER	15	22411	SLUZBY	\N	\N
1747575	5927	1998-06-30	VYDAJ	VYBER	15	15062	SLUZBY	\N	\N
1747576	5927	1998-07-31	VYDAJ	VYBER	15	21387	SLUZBY	\N	\N
1747577	5927	1998-08-31	VYDAJ	VYBER	15	3405	SLUZBY	\N	\N
1747578	5927	1998-09-30	VYDAJ	VYBER	15	16876	SLUZBY	\N	\N
1747579	5927	1998-10-31	VYDAJ	VYBER	15	25306	SLUZBY	\N	\N
1747580	5927	1998-11-30	VYDAJ	VYBER	15	33086	SLUZBY	\N	\N
1747581	5927	1993-12-26	PRIJEM	VKLAD	4200	20756	\N	\N	\N
1747582	5927	1994-01-25	VYDAJ	VYBER	5400	26294	\N	\N	\N
1747583	5927	1994-02-24	VYDAJ	VYBER	7100	30281	\N	\N	\N
1747584	5927	1994-03-26	VYDAJ	VYBER	7900	33510	\N	\N	\N
1747585	5927	1994-04-25	VYDAJ	VYBER	5900	33171	\N	\N	\N
1747586	5927	1994-05-25	PRIJEM	VKLAD	1000	21452	\N	\N	\N
1747587	5927	1994-06-24	VYDAJ	VYBER	400	30230	\N	\N	\N
1747588	5927	1994-07-24	VYDAJ	VYBER	400	26334	\N	\N	\N
1747589	5927	1994-08-23	VYDAJ	VYBER	3600	27316	\N	\N	\N
1747590	5927	1994-09-22	VYDAJ	VYBER	2200	28717	\N	\N	\N
1747591	5927	1994-10-22	VYDAJ	VYBER	2400	30425	\N	\N	\N
1747592	5927	1994-11-21	PRIJEM	VKLAD	2200	24132	\N	\N	\N
1747593	5927	1994-12-21	PRIJEM	VKLAD	6700	18562	\N	\N	\N
1747594	5927	1995-01-20	PRIJEM	VKLAD	10100	7913	\N	\N	\N
1747595	5927	1995-02-19	PRIJEM	VKLAD	13700	17518	\N	\N	\N
1747596	5927	1995-03-21	PRIJEM	VKLAD	5000	17066	\N	\N	\N
1747597	5927	1995-04-20	PRIJEM	VKLAD	1800	28070	\N	\N	\N
1747598	5927	1995-05-20	VYDAJ	VYBER	4000	20915	\N	\N	\N
1747599	5927	1995-06-19	VYDAJ	VYBER	3800	31814	\N	\N	\N
1747600	5927	1995-07-19	VYDAJ	VYBER	5800	26801	\N	\N	\N
1747601	5927	1995-08-18	PRIJEM	VKLAD	5600	16664	\N	\N	\N
1747602	5927	1995-09-17	PRIJEM	VKLAD	3600	23346	\N	\N	\N
1747603	5927	1995-10-17	VYDAJ	VYBER	1900	24375	\N	\N	\N
1747604	5927	1995-11-16	PRIJEM	VKLAD	9700	12653	\N	\N	\N
1747605	5927	1995-12-16	PRIJEM	VKLAD	4600	22993	\N	\N	\N
1747606	5927	1996-01-15	PRIJEM	VKLAD	9200	16002	\N	\N	\N
1747607	5927	1996-02-14	PRIJEM	VKLAD	10500	18095	\N	\N	\N
1747608	5927	1996-03-15	PRIJEM	VKLAD	3900	25646	\N	\N	\N
1747609	5927	1996-04-14	PRIJEM	VKLAD	5300	26357	\N	\N	\N
1747610	5927	1996-05-14	PRIJEM	VKLAD	8700	19608	\N	\N	\N
1747611	5927	1996-06-13	PRIJEM	VKLAD	6300	36657	\N	\N	\N
1747612	5927	1996-07-13	PRIJEM	VKLAD	2300	28329	\N	\N	\N
1747613	5927	1996-08-12	PRIJEM	VKLAD	3900	24840	\N	\N	\N
1747614	5927	1996-09-11	PRIJEM	VKLAD	8900	10695	\N	\N	\N
1747615	5927	1996-10-11	PRIJEM	VKLAD	14100	10245	\N	\N	\N
1747616	5927	1996-11-10	PRIJEM	VKLAD	10300	20392	\N	\N	\N
1747617	5927	1996-12-10	PRIJEM	VKLAD	13500	10814	\N	\N	\N
1747618	5927	1997-01-09	PRIJEM	VKLAD	7800	16739	\N	\N	\N
1747619	5927	1997-02-08	PRIJEM	VKLAD	10900	8242	\N	\N	\N
1747620	5927	1997-03-10	PRIJEM	VKLAD	5900	17018	\N	\N	\N
1747621	5927	1997-04-09	PRIJEM	VKLAD	3500	15025	\N	\N	\N
1747622	5927	1997-05-09	PRIJEM	VKLAD	4700	7429	\N	\N	\N
1747623	5927	1997-06-08	PRIJEM	VKLAD	6700	8711	\N	\N	\N
1747624	5927	1997-07-08	VYDAJ	VYBER	1600	21759	\N	\N	\N
1747625	5927	1997-08-07	PRIJEM	VKLAD	400	14339	\N	\N	\N
1747626	5927	1997-09-06	VYDAJ	VYBER	400	18132	\N	\N	\N
1747627	5927	1997-10-06	VYDAJ	VYBER	5400	16149	\N	\N	\N
1747628	5927	1997-11-05	VYDAJ	VYBER	1300	14667	\N	\N	\N
1747629	5927	1997-12-05	VYDAJ	VYBER	4400	19492	\N	\N	\N
1747630	5927	1998-01-04	PRIJEM	VKLAD	8900	6362	\N	\N	\N
1747631	5927	1998-02-03	PRIJEM	VKLAD	4900	3957	\N	\N	\N
1747632	5927	1998-03-05	PRIJEM	VKLAD	3300	11125	\N	\N	\N
1747633	5927	1998-04-04	PRIJEM	VKLAD	800	14703	\N	\N	\N
1747634	5927	1998-05-04	VYDAJ	VYBER	300	18685	\N	\N	\N
1747635	5927	1998-06-03	VYDAJ	VYBER	2900	19511	\N	\N	\N
1747636	5927	1998-07-03	PRIJEM	VKLAD	2600	17662	\N	\N	\N
1747637	5927	1998-08-02	PRIJEM	VKLAD	400	21787	\N	\N	\N
1747638	5927	1998-09-01	PRIJEM	VKLAD	8800	12204	\N	\N	\N
1747639	5927	1998-10-01	PRIJEM	VKLAD	600	17476	\N	\N	\N
1747640	5927	1998-10-31	PRIJEM	VKLAD	2600	25180	\N	\N	\N
1747641	5927	1998-11-30	PRIJEM	VKLAD	3100	33101	\N	\N	\N
1752683	5944	1997-06-06	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1752689	5944	1997-06-12	PRIJEM	VKLAD	32116	33116	\N	\N	\N
1752690	5944	1997-07-12	PRIJEM	VKLAD	21411	47614	\N	\N	\N
1752691	5944	1997-08-12	PRIJEM	VKLAD	21411	57002	\N	\N	\N
1752692	5944	1997-09-12	PRIJEM	VKLAD	21411	57737	\N	\N	\N
1752693	5944	1997-10-12	PRIJEM	VKLAD	21411	57687	\N	\N	\N
1752694	5944	1997-11-12	PRIJEM	VKLAD	21411	53036	\N	\N	\N
1752695	5944	1997-12-12	PRIJEM	VKLAD	32116	62770	\N	\N	\N
1752696	5944	1998-01-12	PRIJEM	VKLAD	21411	51602	\N	\N	\N
1752697	5944	1998-02-12	PRIJEM	VKLAD	21411	49603	\N	\N	\N
1752698	5944	1998-03-12	PRIJEM	VKLAD	21411	54014	\N	\N	\N
1752699	5944	1998-04-12	PRIJEM	VKLAD	21411	58638	\N	\N	\N
1752700	5944	1998-05-12	PRIJEM	VKLAD	21411	57174	\N	\N	\N
1752701	5944	1998-06-12	PRIJEM	VKLAD	32116	66220	\N	\N	\N
1752702	5944	1998-07-12	PRIJEM	VKLAD	21411	62278	\N	\N	\N
1752703	5944	1998-08-12	PRIJEM	VKLAD	21411	59092	\N	\N	\N
1752704	5944	1998-09-12	PRIJEM	VKLAD	21411	60881	\N	\N	\N
1752705	5944	1998-10-12	PRIJEM	VKLAD	21411	59375	\N	\N	\N
1752706	5944	1998-11-12	PRIJEM	VKLAD	21411	57858	\N	\N	\N
1752707	5944	1998-12-12	PRIJEM	VKLAD	32116	68640	\N	\N	\N
1752718	5944	1997-11-10	VYDAJ	PREVOD NA UCET	4685	31625	SIPO	AB	49417829
1752719	5944	1997-12-10	VYDAJ	PREVOD NA UCET	4685	30654	SIPO	AB	49417829
1752720	5944	1998-01-10	VYDAJ	PREVOD NA UCET	4685	31591	SIPO	AB	49417829
1752721	5944	1998-02-10	VYDAJ	PREVOD NA UCET	4685	29692	SIPO	AB	49417829
1752722	5944	1998-03-10	VYDAJ	PREVOD NA UCET	4685	32603	SIPO	AB	49417829
1752723	5944	1998-04-10	VYDAJ	PREVOD NA UCET	4685	37227	SIPO	AB	49417829
1752724	5944	1998-05-10	VYDAJ	PREVOD NA UCET	4685	35763	SIPO	AB	49417829
1752725	5944	1998-06-10	VYDAJ	PREVOD NA UCET	4685	34104	SIPO	AB	49417829
1752726	5944	1998-07-10	VYDAJ	PREVOD NA UCET	4685	40867	SIPO	AB	49417829
1752727	5944	1998-08-10	VYDAJ	PREVOD NA UCET	4685	37681	SIPO	AB	49417829
1752728	5944	1998-09-10	VYDAJ	PREVOD NA UCET	4685	39470	SIPO	AB	49417829
1752729	5944	1998-10-10	VYDAJ	PREVOD NA UCET	4685	37964	SIPO	AB	49417829
1752730	5944	1998-11-10	VYDAJ	PREVOD NA UCET	4685	36447	SIPO	AB	49417829
1752731	5944	1998-12-10	VYDAJ	PREVOD NA UCET	4685	39324	SIPO	AB	49417829
1752741	5944	1997-10-11	VYDAJ	VYBER	1300	36276	\N	\N	0
1752742	5944	1997-11-15	VYDAJ	VYBER	1900	51136	\N	\N	0
1752743	5944	1997-12-02	VYDAJ	VYBER	1400	49939	\N	\N	0
1752744	5944	1998-01-12	VYDAJ	VYBER	2400	49202	\N	\N	0
1752745	5944	1998-02-10	VYDAJ	VYBER	1500	28192	\N	\N	0
1752746	5944	1998-03-20	VYDAJ	VYBER	1300	52714	\N	\N	0
1752747	5944	1998-04-12	VYDAJ	VYBER	2200	56438	\N	\N	0
1752748	5944	1998-04-30	VYDAJ	VYBER	1700	54963	\N	\N	0
1752749	5944	1998-06-09	VYDAJ	VYBER	1400	38789	\N	\N	0
1752750	5944	1998-07-12	VYDAJ	PREVOD NA UCET	1640	60638	UVER	AB	50435006
1752751	5944	1998-08-12	VYDAJ	PREVOD NA UCET	1640	57452	UVER	AB	50435006
1752752	5944	1998-09-12	VYDAJ	PREVOD NA UCET	1640	59241	UVER	AB	50435006
1752753	5944	1998-10-12	VYDAJ	PREVOD NA UCET	1640	57735	UVER	AB	50435006
1752754	5944	1998-11-12	VYDAJ	PREVOD NA UCET	1640	56218	UVER	AB	50435006
1752755	5944	1998-12-12	VYDAJ	PREVOD NA UCET	1640	67000	UVER	AB	50435006
1752757	5944	1998-06-01	VYDAJ	VYBER	10600	40189	\N	\N	\N
1752758	5944	1997-12-22	VYDAJ	VYBER	2500	60270	\N	\N	\N
1752759	5944	1998-12-11	VYDAJ	VYBER KARTOU	2800	36524	\N	\N	0
1752766	5944	1998-01-11	VYDAJ	VYBER	1400	30191	\N	\N	\N
1752767	5944	1998-01-02	VYDAJ	VYBER	2700	40576	\N	\N	\N
1752768	5944	1998-01-06	VYDAJ	VYBER	1800	38776	\N	\N	\N
1752769	5944	1998-01-09	VYDAJ	VYBER	2500	36276	\N	\N	\N
1752770	5944	1998-01-13	VYDAJ	VYBER	900	48302	\N	\N	\N
1752771	5944	1998-01-01	VYDAJ	VYBER	2700	57776	\N	\N	\N
1752778	5944	1998-07-20	VYDAJ	VYBER	3200	57438	\N	\N	\N
1752779	5944	1998-07-08	VYDAJ	VYBER	1200	45552	\N	\N	\N
1752780	5944	1998-12-24	VYDAJ	VYBER	4800	62200	\N	\N	\N
1752791	5944	1997-10-31	VYDAJ	VYBER	15	57910	SLUZBY	\N	\N
1752792	5944	1997-11-30	VYDAJ	VYBER	15	51339	SLUZBY	\N	\N
1752793	5944	1997-12-31	VYDAJ	VYBER	15	60476	SLUZBY	\N	\N
1752794	5944	1998-01-31	VYDAJ	VYBER	15	48477	SLUZBY	\N	\N
1752795	5944	1998-02-28	VYDAJ	VYBER	15	49788	SLUZBY	\N	\N
1752796	5944	1998-03-31	VYDAJ	VYBER	15	52912	SLUZBY	\N	\N
1752797	5944	1998-04-30	VYDAJ	VYBER	15	54948	SLUZBY	\N	\N
1752798	5944	1998-05-31	VYDAJ	VYBER	15	57389	SLUZBY	\N	\N
1752799	5944	1998-06-30	VYDAJ	VYBER	15	66452	SLUZBY	\N	\N
1752800	5944	1998-07-31	VYDAJ	VYBER	15	42366	SLUZBY	\N	\N
1752801	5944	1998-08-31	VYDAJ	VYBER	15	44155	SLUZBY	\N	\N
1752802	5944	1998-09-30	VYDAJ	VYBER	15	42649	SLUZBY	\N	\N
1752803	5944	1998-10-31	VYDAJ	VYBER	15	41132	SLUZBY	\N	\N
1752804	5944	1998-11-30	VYDAJ	VYBER	15	44009	SLUZBY	\N	\N
1752805	5944	1997-07-06	VYDAJ	VYBER	7000	26203	\N	\N	\N
1752806	5944	1997-08-05	VYDAJ	VYBER	12200	35591	\N	\N	\N
1752807	5944	1997-09-04	VYDAJ	VYBER	20900	36326	\N	\N	\N
1752808	5944	1997-10-04	VYDAJ	VYBER	20400	37576	\N	\N	\N
1752809	5944	1997-11-03	VYDAJ	VYBER	21600	36310	\N	\N	\N
1752810	5944	1997-12-03	VYDAJ	VYBER	14600	35339	\N	\N	\N
1752811	5944	1998-01-02	VYDAJ	VYBER	14500	43276	\N	\N	\N
1752812	5944	1998-02-01	VYDAJ	VYBER	14100	34377	\N	\N	\N
1752813	5944	1998-03-03	VYDAJ	VYBER	12500	37288	\N	\N	\N
1752814	5944	1998-04-02	VYDAJ	VYBER	11000	41912	\N	\N	\N
1752815	5944	1998-05-02	VYDAJ	VYBER	14500	40448	\N	\N	\N
1752816	5944	1998-06-01	VYDAJ	VYBER	6600	50789	\N	\N	\N
1752817	5944	1998-07-01	VYDAJ	VYBER	19700	46752	\N	\N	\N
1752818	5944	1998-07-31	VYDAJ	VYBER	15300	42381	\N	\N	\N
1752819	5944	1998-08-30	VYDAJ	VYBER	13500	43952	\N	\N	\N
1752820	5944	1998-09-29	VYDAJ	VYBER	16800	42441	\N	\N	\N
1752821	5944	1998-10-29	VYDAJ	VYBER	16800	40935	\N	\N	\N
1752822	5944	1998-11-28	VYDAJ	VYBER	12400	43818	\N	\N	\N
1754162	5952	1993-09-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1754171	5952	1993-09-10	PRIJEM	PREVOD Z UCTU	35312	36312	\N	YZ	78708076
1754172	5952	1993-10-10	PRIJEM	PREVOD Z UCTU	35312	66130	\N	YZ	78708076
1754173	5952	1993-11-10	PRIJEM	PREVOD Z UCTU	35312	81081	\N	YZ	78708076
1754174	5952	1993-12-10	PRIJEM	PREVOD Z UCTU	52968	107369	\N	YZ	78708076
1754175	5952	1994-01-10	PRIJEM	PREVOD Z UCTU	35312	99596	\N	YZ	78708076
1754176	5952	1994-02-10	PRIJEM	PREVOD Z UCTU	35312	63026	\N	YZ	78708076
1754177	5952	1994-03-10	PRIJEM	PREVOD Z UCTU	35312	71861	\N	YZ	78708076
1754178	5952	1994-04-10	PRIJEM	PREVOD Z UCTU	35312	68337	\N	YZ	78708076
1754179	5952	1994-05-10	PRIJEM	PREVOD Z UCTU	35312	71406	\N	YZ	78708076
1754180	5952	1994-06-10	PRIJEM	PREVOD Z UCTU	52968	84110	\N	YZ	78708076
1754181	5952	1994-07-10	PRIJEM	PREVOD Z UCTU	35312	85515	\N	YZ	78708076
1754182	5952	1994-08-10	PRIJEM	PREVOD Z UCTU	35312	75338	\N	YZ	78708076
1754183	5952	1994-09-10	PRIJEM	PREVOD Z UCTU	35312	62350	\N	YZ	78708076
1754184	5952	1994-10-10	PRIJEM	PREVOD Z UCTU	35312	57894	\N	YZ	78708076
1754185	5952	1994-11-10	PRIJEM	PREVOD Z UCTU	35312	67579	\N	YZ	78708076
1754186	5952	1994-12-10	PRIJEM	PREVOD Z UCTU	52968	92358	\N	YZ	78708076
1754187	5952	1995-01-10	PRIJEM	PREVOD Z UCTU	35312	81985	\N	YZ	78708076
1754188	5952	1995-02-10	PRIJEM	PREVOD Z UCTU	35312	64954	\N	YZ	78708076
1754189	5952	1995-03-10	PRIJEM	PREVOD Z UCTU	35312	64502	\N	YZ	78708076
1754190	5952	1995-04-10	PRIJEM	PREVOD Z UCTU	35312	75532	\N	YZ	78708076
1754191	5952	1995-05-10	PRIJEM	PREVOD Z UCTU	35312	79619	\N	YZ	78708076
1754192	5952	1995-06-10	PRIJEM	PREVOD Z UCTU	52968	99866	\N	YZ	78708076
1754193	5952	1995-07-10	PRIJEM	PREVOD Z UCTU	35312	92615	\N	YZ	78708076
1754194	5952	1995-08-10	PRIJEM	PREVOD Z UCTU	35312	90256	\N	YZ	78708076
1754195	5952	1995-09-10	PRIJEM	PREVOD Z UCTU	35312	78275	\N	YZ	78708076
1754196	5952	1995-10-10	PRIJEM	PREVOD Z UCTU	35312	78435	\N	YZ	78708076
1754197	5952	1995-11-10	PRIJEM	PREVOD Z UCTU	35312	88619	\N	YZ	78708076
1754198	5952	1995-12-10	PRIJEM	PREVOD Z UCTU	52968	108096	\N	YZ	78708076
1754199	5952	1996-01-10	PRIJEM	PREVOD Z UCTU	35312	93966	\N	YZ	78708076
1754200	5952	1996-02-10	PRIJEM	PREVOD Z UCTU	35312	83382	\N	YZ	78708076
1754201	5952	1996-03-10	PRIJEM	PREVOD Z UCTU	35312	70044	\N	YZ	78708076
1754202	5952	1996-04-10	PRIJEM	PREVOD Z UCTU	35312	86418	\N	YZ	78708076
1754203	5952	1996-05-10	PRIJEM	PREVOD Z UCTU	35312	93227	\N	YZ	78708076
1754204	5952	1996-06-10	PRIJEM	PREVOD Z UCTU	52968	114517	\N	YZ	78708076
1754205	5952	1996-07-10	PRIJEM	PREVOD Z UCTU	35312	94833	\N	YZ	78708076
1754206	5952	1996-08-10	PRIJEM	PREVOD Z UCTU	35312	90574	\N	YZ	78708076
1754207	5952	1996-09-10	PRIJEM	PREVOD Z UCTU	35312	86497	\N	YZ	78708076
1754208	5952	1996-10-10	PRIJEM	PREVOD Z UCTU	35312	83465	\N	YZ	78708076
1754209	5952	1996-11-10	PRIJEM	PREVOD Z UCTU	35312	81387	\N	YZ	78708076
1754210	5952	1996-12-10	PRIJEM	PREVOD Z UCTU	52968	83452	\N	YZ	78708076
1754211	5952	1997-01-10	PRIJEM	PREVOD Z UCTU	35312	87204	\N	YZ	78708076
1754212	5952	1997-02-10	PRIJEM	PREVOD Z UCTU	35312	63471	\N	YZ	78708076
1754213	5952	1997-03-10	PRIJEM	PREVOD Z UCTU	35312	84796	\N	YZ	78708076
1754214	5952	1997-04-10	PRIJEM	PREVOD Z UCTU	35312	94779	\N	YZ	78708076
1754215	5952	1997-05-10	PRIJEM	PREVOD Z UCTU	35312	97707	\N	YZ	78708076
1754216	5952	1997-06-10	PRIJEM	PREVOD Z UCTU	52968	87340	\N	YZ	78708076
1754217	5952	1997-07-10	PRIJEM	PREVOD Z UCTU	35312	76194	\N	YZ	78708076
1754218	5952	1997-08-10	PRIJEM	PREVOD Z UCTU	35312	95579	\N	YZ	78708076
1754219	5952	1997-09-10	PRIJEM	PREVOD Z UCTU	35312	104105	\N	YZ	78708076
1754220	5952	1997-10-10	PRIJEM	PREVOD Z UCTU	35312	102654	\N	YZ	78708076
1754221	5952	1997-11-10	PRIJEM	PREVOD Z UCTU	35312	91584	\N	YZ	78708076
1754222	5952	1997-12-10	PRIJEM	PREVOD Z UCTU	52968	102665	\N	YZ	78708076
1754223	5952	1998-01-10	PRIJEM	PREVOD Z UCTU	35312	89462	\N	YZ	78708076
1754224	5952	1998-02-10	PRIJEM	PREVOD Z UCTU	35312	59746	\N	YZ	78708076
1754225	5952	1998-03-10	PRIJEM	PREVOD Z UCTU	35312	80640	\N	YZ	78708076
1754226	5952	1998-04-10	PRIJEM	PREVOD Z UCTU	35312	84801	\N	YZ	78708076
1754227	5952	1998-05-10	PRIJEM	PREVOD Z UCTU	35312	79371	\N	YZ	78708076
1754228	5952	1998-06-10	PRIJEM	PREVOD Z UCTU	52968	108498	\N	YZ	78708076
1754229	5952	1998-07-10	PRIJEM	PREVOD Z UCTU	35312	88357	\N	YZ	78708076
1754230	5952	1998-08-10	PRIJEM	PREVOD Z UCTU	35312	85033	\N	YZ	78708076
1754231	5952	1998-09-10	PRIJEM	PREVOD Z UCTU	35312	85258	\N	YZ	78708076
1754232	5952	1998-10-10	PRIJEM	PREVOD Z UCTU	35312	78323	\N	YZ	78708076
1754233	5952	1998-11-10	PRIJEM	PREVOD Z UCTU	35312	93181	\N	YZ	78708076
1754234	5952	1998-12-10	PRIJEM	PREVOD Z UCTU	52968	105032	\N	YZ	78708076
1754247	5952	1994-01-16	VYDAJ	VYBER	6700	72682	\N	\N	0
1754248	5952	1994-02-03	VYDAJ	VYBER	7400	47316	\N	\N	0
1754249	5952	1994-03-26	VYDAJ	VYBER	5100	61483	\N	\N	0
1754250	5952	1994-04-07	VYDAJ	VYBER	4200	37427	\N	\N	0
1754251	5952	1994-05-11	VYDAJ	VYBER	5300	66106	\N	\N	0
1754252	5952	1994-06-05	VYDAJ	VYBER	7700	35544	\N	\N	0
1754253	5952	1994-07-13	VYDAJ	VYBER	4900	79021	\N	\N	0
1754254	5952	1994-08-13	VYDAJ	VYBER	4200	58200	\N	\N	0
1754255	5952	1994-09-22	VYDAJ	VYBER	4900	45872	\N	\N	0
1754256	5952	1994-10-12	VYDAJ	PREVOD NA UCET	5885	50415	UVER	EF	22068012
1754257	5952	1994-11-12	VYDAJ	PREVOD NA UCET	5885	60100	UVER	EF	22068012
1754258	5952	1994-12-12	VYDAJ	PREVOD NA UCET	5885	86472	UVER	EF	22068012
1754259	5952	1995-01-12	VYDAJ	PREVOD NA UCET	5885	67905	UVER	EF	22068012
1754260	5952	1995-02-12	VYDAJ	PREVOD NA UCET	5885	35049	UVER	EF	22068012
1754261	5952	1995-03-12	VYDAJ	PREVOD NA UCET	5885	58617	UVER	EF	22068012
1754262	5952	1995-04-12	VYDAJ	PREVOD NA UCET	5885	68052	UVER	EF	22068012
1754263	5952	1995-05-12	VYDAJ	PREVOD NA UCET	5885	72140	UVER	EF	22068012
1754264	5952	1995-06-12	VYDAJ	PREVOD NA UCET	5885	93980	UVER	EF	22068012
1754265	5952	1995-07-12	VYDAJ	PREVOD NA UCET	5885	86730	UVER	EF	22068012
1754266	5952	1995-08-12	VYDAJ	PREVOD NA UCET	5885	82777	UVER	EF	22068012
1754267	5952	1995-09-12	VYDAJ	PREVOD NA UCET	5885	72390	UVER	EF	22068012
1754268	5952	1995-10-12	VYDAJ	PREVOD NA UCET	5885	72550	UVER	EF	22068012
1754269	5952	1995-11-12	VYDAJ	PREVOD NA UCET	5885	82734	UVER	EF	22068012
1754270	5952	1995-12-12	VYDAJ	PREVOD NA UCET	5885	100411	UVER	EF	22068012
1754271	5952	1996-01-12	VYDAJ	PREVOD NA UCET	5885	88081	UVER	EF	22068012
1754272	5952	1996-02-12	VYDAJ	PREVOD NA UCET	5885	75902	UVER	EF	22068012
1754273	5952	1996-03-12	VYDAJ	PREVOD NA UCET	5885	64159	UVER	EF	22068012
1754274	5952	1996-04-12	VYDAJ	PREVOD NA UCET	5885	80533	UVER	EF	22068012
1754275	5952	1996-05-12	VYDAJ	PREVOD NA UCET	5885	85747	UVER	EF	22068012
1754276	5952	1996-06-12	VYDAJ	PREVOD NA UCET	5885	74838	UVER	EF	22068012
1754277	5952	1996-07-12	VYDAJ	PREVOD NA UCET	5885	87353	UVER	EF	22068012
1754278	5952	1996-08-12	VYDAJ	PREVOD NA UCET	5885	83095	UVER	EF	22068012
1754279	5952	1996-09-12	VYDAJ	PREVOD NA UCET	5885	75118	UVER	EF	22068012
1754280	5952	1996-10-05	VYDAJ	VYBER	5800	52555	\N	\N	0
1754281	5952	1996-11-22	VYDAJ	VYBER	4900	56963	\N	\N	0
1754282	5952	1996-11-27	VYDAJ	VYBER	6000	34654	\N	\N	0
1754283	5952	1997-01-19	VYDAJ	VYBER	7000	62226	\N	\N	0
1754284	5952	1997-02-28	VYDAJ	VYBER	6700	53900	\N	\N	0
1754285	5952	1997-03-14	VYDAJ	VYBER	7300	75902	\N	\N	0
1754286	5952	1997-04-19	VYDAJ	VYBER	5100	73801	\N	\N	0
1754287	5952	1997-05-02	VYDAJ	VYBER	5800	68297	\N	\N	0
1754288	5952	1997-06-07	VYDAJ	VYBER	8400	38774	\N	\N	0
1754289	5952	1997-06-22	VYDAJ	VYBER	7700	65362	\N	\N	0
1754290	5952	1997-08-20	VYDAJ	VYBER	5900	72901	\N	\N	0
1754291	5952	1997-09-21	VYDAJ	VYBER	5700	71436	\N	\N	0
1754292	5952	1997-10-20	VYDAJ	VYBER	7200	68776	\N	\N	0
1754293	5952	1997-11-18	VYDAJ	VYBER	7900	63606	\N	\N	0
1754294	5952	1997-12-10	VYDAJ	VYBER	4400	98265	\N	\N	0
1754295	5952	1998-01-18	VYDAJ	VYBER	6100	44528	\N	\N	0
1754296	5952	1998-02-14	VYDAJ	VYBER	5300	53252	\N	\N	0
1754297	5952	1998-03-18	VYDAJ	VYBER	5800	59162	\N	\N	0
1754298	5952	1998-04-03	VYDAJ	VYBER	5500	53891	\N	\N	0
1754299	5952	1998-05-04	VYDAJ	VYBER	7900	54964	\N	\N	0
1754300	5952	1998-05-27	VYDAJ	VYBER	3800	59693	\N	\N	0
1754301	5952	1998-07-16	VYDAJ	VYBER	6000	65479	\N	\N	0
1754302	5952	1998-08-01	VYDAJ	VYBER	3800	54123	\N	\N	0
1754303	5952	1998-09-20	VYDAJ	VYBER	4000	60880	\N	\N	0
1754304	5952	1998-10-05	VYDAJ	VYBER	4700	47413	\N	\N	0
1754305	5952	1998-11-16	VYDAJ	VYBER	5800	67603	\N	\N	0
1754306	5952	1998-12-09	VYDAJ	VYBER	4800	55092	\N	\N	0
1754320	5952	1994-02-09	VYDAJ	PREVOD NA UCET	3028	27714	SIPO	GH	68812089
1754321	5952	1994-03-09	VYDAJ	PREVOD NA UCET	3028	36549	SIPO	GH	68812089
1754322	5952	1994-04-09	VYDAJ	PREVOD NA UCET	3028	33025	SIPO	GH	68812089
1754323	5952	1994-05-09	VYDAJ	PREVOD NA UCET	3028	36094	SIPO	GH	68812089
1754324	5952	1994-06-09	VYDAJ	PREVOD NA UCET	3028	31142	SIPO	GH	68812089
1754325	5952	1994-07-09	VYDAJ	PREVOD NA UCET	3028	50203	SIPO	GH	68812089
1754326	5952	1994-08-09	VYDAJ	PREVOD NA UCET	3028	40026	SIPO	GH	68812089
1754327	5952	1994-09-09	VYDAJ	PREVOD NA UCET	3028	27038	SIPO	GH	68812089
1754328	5952	1994-10-09	VYDAJ	PREVOD NA UCET	3028	22582	SIPO	GH	68812089
1754329	5952	1994-11-09	VYDAJ	PREVOD NA UCET	3028	32267	SIPO	GH	68812089
1754330	5952	1994-12-09	VYDAJ	PREVOD NA UCET	3028	39390	SIPO	GH	68812089
1754331	5952	1995-01-09	VYDAJ	PREVOD NA UCET	3028	46673	SIPO	GH	68812089
1754332	5952	1995-02-09	VYDAJ	PREVOD NA UCET	3028	29642	SIPO	GH	68812089
1754333	5952	1995-03-09	VYDAJ	PREVOD NA UCET	3028	29190	SIPO	GH	68812089
1754334	5952	1995-04-09	VYDAJ	PREVOD NA UCET	3028	40220	SIPO	GH	68812089
1754335	5952	1995-05-09	VYDAJ	PREVOD NA UCET	3028	44307	SIPO	GH	68812089
1754336	5952	1995-06-09	VYDAJ	PREVOD NA UCET	3028	46898	SIPO	GH	68812089
1754337	5952	1995-07-09	VYDAJ	PREVOD NA UCET	3028	57303	SIPO	GH	68812089
1754338	5952	1995-08-09	VYDAJ	PREVOD NA UCET	3028	54944	SIPO	GH	68812089
1754339	5952	1995-09-09	VYDAJ	PREVOD NA UCET	3028	42963	SIPO	GH	68812089
1754340	5952	1995-10-09	VYDAJ	PREVOD NA UCET	3028	43123	SIPO	GH	68812089
1754341	5952	1995-11-09	VYDAJ	PREVOD NA UCET	3028	53307	SIPO	GH	68812089
1754342	5952	1995-12-09	VYDAJ	PREVOD NA UCET	3028	55128	SIPO	GH	68812089
1754343	5952	1996-01-09	VYDAJ	PREVOD NA UCET	3028	58654	SIPO	GH	68812089
1754344	5952	1996-02-09	VYDAJ	PREVOD NA UCET	3028	48070	SIPO	GH	68812089
1754345	5952	1996-03-09	VYDAJ	PREVOD NA UCET	3028	34732	SIPO	GH	68812089
1754346	5952	1996-04-09	VYDAJ	PREVOD NA UCET	3028	51106	SIPO	GH	68812089
1754347	5952	1996-05-09	VYDAJ	PREVOD NA UCET	3028	57915	SIPO	GH	68812089
1754348	5952	1996-06-09	VYDAJ	PREVOD NA UCET	3028	61549	SIPO	GH	68812089
1754349	5952	1996-07-09	VYDAJ	PREVOD NA UCET	3028	59521	SIPO	GH	68812089
1754350	5952	1996-08-09	VYDAJ	PREVOD NA UCET	3028	55262	SIPO	GH	68812089
1754351	5952	1996-09-09	VYDAJ	PREVOD NA UCET	3028	51185	SIPO	GH	68812089
1754352	5952	1996-10-09	VYDAJ	PREVOD NA UCET	3028	48153	SIPO	GH	68812089
1754353	5952	1996-11-09	VYDAJ	PREVOD NA UCET	3028	46075	SIPO	GH	68812089
1754354	5952	1996-12-09	VYDAJ	PREVOD NA UCET	3028	30484	SIPO	GH	68812089
1754355	5952	1997-01-09	VYDAJ	PREVOD NA UCET	3028	51892	SIPO	GH	68812089
1754356	5952	1997-02-09	VYDAJ	PREVOD NA UCET	3028	28159	SIPO	GH	68812089
1754357	5952	1997-03-09	VYDAJ	PREVOD NA UCET	3028	49484	SIPO	GH	68812089
1754358	5952	1997-04-09	VYDAJ	PREVOD NA UCET	3028	59467	SIPO	GH	68812089
1754359	5952	1997-05-09	VYDAJ	PREVOD NA UCET	3028	62395	SIPO	GH	68812089
1754360	5952	1997-06-09	VYDAJ	PREVOD NA UCET	3028	34372	SIPO	GH	68812089
1754361	5952	1997-07-09	VYDAJ	PREVOD NA UCET	3028	40882	SIPO	GH	68812089
1754362	5952	1997-08-09	VYDAJ	PREVOD NA UCET	3028	60267	SIPO	GH	68812089
1754363	5952	1997-09-09	VYDAJ	PREVOD NA UCET	3028	68793	SIPO	GH	68812089
1754364	5952	1997-10-09	VYDAJ	PREVOD NA UCET	3028	67342	SIPO	GH	68812089
1754365	5952	1997-11-09	VYDAJ	PREVOD NA UCET	3028	56272	SIPO	GH	68812089
1754366	5952	1997-12-09	VYDAJ	PREVOD NA UCET	3028	49697	SIPO	GH	68812089
1754367	5952	1998-01-09	VYDAJ	PREVOD NA UCET	3028	54150	SIPO	GH	68812089
1754368	5952	1998-02-09	VYDAJ	PREVOD NA UCET	3028	24434	SIPO	GH	68812089
1754369	5952	1998-03-09	VYDAJ	PREVOD NA UCET	3028	45328	SIPO	GH	68812089
1754370	5952	1998-04-09	VYDAJ	PREVOD NA UCET	3028	49489	SIPO	GH	68812089
1754371	5952	1998-05-09	VYDAJ	PREVOD NA UCET	3028	44059	SIPO	GH	68812089
1754372	5952	1998-06-09	VYDAJ	PREVOD NA UCET	3028	55530	SIPO	GH	68812089
1754373	5952	1998-07-09	VYDAJ	PREVOD NA UCET	3028	53045	SIPO	GH	68812089
1754374	5952	1998-08-09	VYDAJ	PREVOD NA UCET	3028	49721	SIPO	GH	68812089
1754375	5952	1998-09-09	VYDAJ	PREVOD NA UCET	3028	49946	SIPO	GH	68812089
1754376	5952	1998-10-09	VYDAJ	PREVOD NA UCET	3028	43011	SIPO	GH	68812089
1754377	5952	1998-11-09	VYDAJ	PREVOD NA UCET	3028	57869	SIPO	GH	68812089
1754378	5952	1998-12-09	VYDAJ	PREVOD NA UCET	3028	52064	SIPO	GH	68812089
1754392	5952	1994-02-08	VYDAJ	PREVOD NA UCET	1374	30742	 	MN	40625691
1754393	5952	1994-03-08	VYDAJ	PREVOD NA UCET	1374	39577	 	MN	40625691
1754394	5952	1994-04-08	VYDAJ	PREVOD NA UCET	1374	36053	 	MN	40625691
1754395	5952	1994-05-08	VYDAJ	PREVOD NA UCET	1374	39122	 	MN	40625691
1754396	5952	1994-06-08	VYDAJ	PREVOD NA UCET	1374	34170	 	MN	40625691
1754397	5952	1994-07-08	VYDAJ	PREVOD NA UCET	1374	53231	 	MN	40625691
1754398	5952	1994-08-08	VYDAJ	PREVOD NA UCET	1374	43054	 	MN	40625691
1754399	5952	1994-09-08	VYDAJ	PREVOD NA UCET	1374	30066	 	MN	40625691
1754400	5952	1994-10-08	VYDAJ	PREVOD NA UCET	1374	25610	 	MN	40625691
1754401	5952	1994-11-08	VYDAJ	PREVOD NA UCET	1374	35295	 	MN	40625691
1754402	5952	1994-12-08	VYDAJ	PREVOD NA UCET	1374	42418	 	MN	40625691
1754403	5952	1995-01-08	VYDAJ	PREVOD NA UCET	1374	49701	 	MN	40625691
1754404	5952	1995-02-08	VYDAJ	PREVOD NA UCET	1374	32670	 	MN	40625691
1754405	5952	1995-03-08	VYDAJ	PREVOD NA UCET	1374	32218	 	MN	40625691
1754406	5952	1995-04-08	VYDAJ	PREVOD NA UCET	1374	43248	 	MN	40625691
1754407	5952	1995-05-08	VYDAJ	PREVOD NA UCET	1374	47335	 	MN	40625691
1754408	5952	1995-06-08	VYDAJ	PREVOD NA UCET	1374	49926	 	MN	40625691
1754409	5952	1995-07-08	VYDAJ	PREVOD NA UCET	1374	60331	 	MN	40625691
1754410	5952	1995-08-08	VYDAJ	PREVOD NA UCET	1374	57972	 	MN	40625691
1754411	5952	1995-09-08	VYDAJ	PREVOD NA UCET	1374	45991	 	MN	40625691
1754412	5952	1995-10-08	VYDAJ	PREVOD NA UCET	1374	46151	 	MN	40625691
1754413	5952	1995-11-08	VYDAJ	PREVOD NA UCET	1374	56335	 	MN	40625691
1754414	5952	1995-12-08	VYDAJ	PREVOD NA UCET	1374	58156	 	MN	40625691
1754415	5952	1996-01-08	VYDAJ	PREVOD NA UCET	1374	61682	 	MN	40625691
1754416	5952	1996-02-08	VYDAJ	PREVOD NA UCET	1374	51098	 	MN	40625691
1754417	5952	1996-03-08	VYDAJ	PREVOD NA UCET	1374	37760	 	MN	40625691
1754418	5952	1996-04-08	VYDAJ	PREVOD NA UCET	1374	54134	 	MN	40625691
1754419	5952	1996-05-08	VYDAJ	PREVOD NA UCET	1374	60943	 	MN	40625691
1754420	5952	1996-06-08	VYDAJ	PREVOD NA UCET	1374	64577	 	MN	40625691
1754421	5952	1996-07-08	VYDAJ	PREVOD NA UCET	1374	62549	 	MN	40625691
1754422	5952	1996-08-08	VYDAJ	PREVOD NA UCET	1374	68790	 	MN	40625691
1754423	5952	1996-09-08	VYDAJ	PREVOD NA UCET	1374	54213	 	MN	40625691
1754424	5952	1996-10-08	VYDAJ	PREVOD NA UCET	1374	51181	 	MN	40625691
1754425	5952	1996-11-08	VYDAJ	PREVOD NA UCET	1374	49103	 	MN	40625691
1754426	5952	1996-12-08	VYDAJ	PREVOD NA UCET	1374	33512	 	MN	40625691
1754427	5952	1997-01-08	VYDAJ	PREVOD NA UCET	1374	54920	 	MN	40625691
1754428	5952	1997-02-08	VYDAJ	PREVOD NA UCET	1374	31187	 	MN	40625691
1754429	5952	1997-03-08	VYDAJ	PREVOD NA UCET	1374	52512	 	MN	40625691
1754430	5952	1997-04-08	VYDAJ	PREVOD NA UCET	1374	62495	 	MN	40625691
1754431	5952	1997-05-08	VYDAJ	PREVOD NA UCET	1374	65423	 	MN	40625691
1754432	5952	1997-06-08	VYDAJ	PREVOD NA UCET	1374	37400	 	MN	40625691
1754433	5952	1997-07-08	VYDAJ	PREVOD NA UCET	1374	43910	 	MN	40625691
1754434	5952	1997-08-08	VYDAJ	PREVOD NA UCET	1374	63295	 	MN	40625691
1754435	5952	1997-09-08	VYDAJ	PREVOD NA UCET	1374	71821	 	MN	40625691
1754436	5952	1997-10-08	VYDAJ	PREVOD NA UCET	1374	70370	 	MN	40625691
1754437	5952	1997-11-08	VYDAJ	PREVOD NA UCET	1374	59300	 	MN	40625691
1754438	5952	1997-12-08	VYDAJ	PREVOD NA UCET	1374	52725	 	MN	40625691
1754439	5952	1998-01-08	VYDAJ	PREVOD NA UCET	1374	57178	 	MN	40625691
1754440	5952	1998-02-08	VYDAJ	PREVOD NA UCET	1374	27462	 	MN	40625691
1754441	5952	1998-03-08	VYDAJ	PREVOD NA UCET	1374	48356	 	MN	40625691
1754442	5952	1998-04-08	VYDAJ	PREVOD NA UCET	1374	52517	 	MN	40625691
1754443	5952	1998-05-08	VYDAJ	PREVOD NA UCET	1374	47087	 	MN	40625691
1754444	5952	1998-06-08	VYDAJ	PREVOD NA UCET	1374	58558	 	MN	40625691
1754445	5952	1998-07-08	VYDAJ	PREVOD NA UCET	1374	56073	 	MN	40625691
1754446	5952	1998-08-08	VYDAJ	PREVOD NA UCET	1374	52749	 	MN	40625691
1754447	5952	1998-09-08	VYDAJ	PREVOD NA UCET	1374	52974	 	MN	40625691
1754448	5952	1998-10-08	VYDAJ	PREVOD NA UCET	1374	46039	 	MN	40625691
1754449	5952	1998-11-08	VYDAJ	PREVOD NA UCET	1374	60897	 	MN	40625691
1754450	5952	1998-12-08	VYDAJ	PREVOD NA UCET	1374	59892	 	MN	40625691
1754463	5952	1994-01-14	VYDAJ	PREVOD NA UCET	3684	94318	POJISTNE	YZ	2707452
1754464	5952	1994-02-14	VYDAJ	PREVOD NA UCET	3684	57748	POJISTNE	YZ	2707452
1754465	5952	1994-03-14	VYDAJ	PREVOD NA UCET	3684	66583	POJISTNE	YZ	2707452
1754466	5952	1994-04-14	VYDAJ	PREVOD NA UCET	3684	63059	POJISTNE	YZ	2707452
1754467	5952	1994-05-14	VYDAJ	PREVOD NA UCET	3684	60828	POJISTNE	YZ	2707452
1754468	5952	1994-06-14	VYDAJ	PREVOD NA UCET	3684	78832	POJISTNE	YZ	2707452
1754469	5952	1994-07-14	VYDAJ	PREVOD NA UCET	3684	75337	POJISTNE	YZ	2707452
1754470	5952	1994-08-14	VYDAJ	PREVOD NA UCET	3684	54516	POJISTNE	YZ	2707452
1754471	5952	1994-09-14	VYDAJ	PREVOD NA UCET	3684	57072	POJISTNE	YZ	2707452
1754472	5952	1994-10-14	VYDAJ	PREVOD NA UCET	3684	46731	POJISTNE	YZ	2707452
1754473	5952	1994-11-14	VYDAJ	PREVOD NA UCET	3684	56416	POJISTNE	YZ	2707452
1754474	5952	1994-12-14	VYDAJ	PREVOD NA UCET	3684	81194	POJISTNE	YZ	2707452
1754475	5952	1995-01-14	VYDAJ	PREVOD NA UCET	3684	64221	POJISTNE	YZ	2707452
1754476	5952	1995-02-14	VYDAJ	PREVOD NA UCET	3684	29771	POJISTNE	YZ	2707452
1754477	5952	1995-03-14	VYDAJ	PREVOD NA UCET	3684	53339	POJISTNE	YZ	2707452
1754478	5952	1995-04-14	VYDAJ	PREVOD NA UCET	3684	64368	POJISTNE	YZ	2707452
1754479	5952	1995-05-14	VYDAJ	PREVOD NA UCET	3684	68456	POJISTNE	YZ	2707452
1754480	5952	1995-06-14	VYDAJ	PREVOD NA UCET	3684	88702	POJISTNE	YZ	2707452
1754481	5952	1995-07-14	VYDAJ	PREVOD NA UCET	3684	81452	POJISTNE	YZ	2707452
1754482	5952	1995-08-14	VYDAJ	PREVOD NA UCET	3684	79093	POJISTNE	YZ	2707452
1754483	5952	1995-09-14	VYDAJ	PREVOD NA UCET	3684	67112	POJISTNE	YZ	2707452
1754484	5952	1995-10-14	VYDAJ	PREVOD NA UCET	3684	67272	POJISTNE	YZ	2707452
1754485	5952	1995-11-14	VYDAJ	PREVOD NA UCET	3684	77456	POJISTNE	YZ	2707452
1754486	5952	1995-12-14	VYDAJ	PREVOD NA UCET	3684	95133	POJISTNE	YZ	2707452
1754487	5952	1996-01-14	VYDAJ	PREVOD NA UCET	3684	80403	POJISTNE	YZ	2707452
1754488	5952	1996-02-14	VYDAJ	PREVOD NA UCET	3684	72218	POJISTNE	YZ	2707452
1754489	5952	1996-03-14	VYDAJ	PREVOD NA UCET	3684	58881	POJISTNE	YZ	2707452
1754490	5952	1996-04-14	VYDAJ	PREVOD NA UCET	3684	75255	POJISTNE	YZ	2707452
1754491	5952	1996-05-14	VYDAJ	PREVOD NA UCET	3684	82063	POJISTNE	YZ	2707452
1754492	5952	1996-06-14	VYDAJ	PREVOD NA UCET	3684	71154	POJISTNE	YZ	2707452
1754493	5952	1996-07-14	VYDAJ	PREVOD NA UCET	3684	83669	POJISTNE	YZ	2707452
1754494	5952	1996-08-14	VYDAJ	PREVOD NA UCET	3684	79411	POJISTNE	YZ	2707452
1754495	5952	1996-09-14	VYDAJ	PREVOD NA UCET	3684	71434	POJISTNE	YZ	2707452
1754496	5952	1996-10-14	VYDAJ	PREVOD NA UCET	3684	78187	POJISTNE	YZ	2707452
1754497	5952	1996-11-14	VYDAJ	PREVOD NA UCET	3684	76109	POJISTNE	YZ	2707452
1754498	5952	1996-12-14	VYDAJ	PREVOD NA UCET	3684	66474	POJISTNE	YZ	2707452
1754499	5952	1997-01-14	VYDAJ	PREVOD NA UCET	3684	78026	POJISTNE	YZ	2707452
1754500	5952	1997-02-14	VYDAJ	PREVOD NA UCET	3684	58193	POJISTNE	YZ	2707452
1754501	5952	1997-03-14	VYDAJ	PREVOD NA UCET	3684	72218	POJISTNE	YZ	2707452
1754502	5952	1997-04-14	VYDAJ	PREVOD NA UCET	3684	89501	POJISTNE	YZ	2707452
1754503	5952	1997-05-14	VYDAJ	PREVOD NA UCET	3684	92429	POJISTNE	YZ	2707452
1754504	5952	1997-06-14	VYDAJ	PREVOD NA UCET	3684	82062	POJISTNE	YZ	2707452
1754505	5952	1997-07-14	VYDAJ	PREVOD NA UCET	3684	70916	POJISTNE	YZ	2707452
1754506	5952	1997-08-14	VYDAJ	PREVOD NA UCET	3684	90301	POJISTNE	YZ	2707452
1754507	5952	1997-09-14	VYDAJ	PREVOD NA UCET	3684	94836	POJISTNE	YZ	2707452
1754508	5952	1997-10-14	VYDAJ	PREVOD NA UCET	3684	97376	POJISTNE	YZ	2707452
1754509	5952	1997-11-14	VYDAJ	PREVOD NA UCET	3684	86306	POJISTNE	YZ	2707452
1754510	5952	1997-12-14	VYDAJ	PREVOD NA UCET	3684	88487	POJISTNE	YZ	2707452
1754511	5952	1998-01-14	VYDAJ	PREVOD NA UCET	3684	62484	POJISTNE	YZ	2707452
1754512	5952	1998-02-14	VYDAJ	PREVOD NA UCET	3684	49568	POJISTNE	YZ	2707452
1754513	5952	1998-03-14	VYDAJ	PREVOD NA UCET	3684	75362	POJISTNE	YZ	2707452
1754514	5952	1998-04-14	VYDAJ	PREVOD NA UCET	3684	70523	POJISTNE	YZ	2707452
1754515	5952	1998-05-14	VYDAJ	PREVOD NA UCET	3684	63493	POJISTNE	YZ	2707452
1754516	5952	1998-06-14	VYDAJ	PREVOD NA UCET	3684	57220	POJISTNE	YZ	2707452
1754517	5952	1998-07-14	VYDAJ	PREVOD NA UCET	3684	71479	POJISTNE	YZ	2707452
1754518	5952	1998-08-14	VYDAJ	PREVOD NA UCET	3684	67455	POJISTNE	YZ	2707452
1754519	5952	1998-09-14	VYDAJ	PREVOD NA UCET	3684	64880	POJISTNE	YZ	2707452
1754520	5952	1998-10-14	VYDAJ	PREVOD NA UCET	3684	62045	POJISTNE	YZ	2707452
1754521	5952	1998-11-14	VYDAJ	PREVOD NA UCET	3684	73403	POJISTNE	YZ	2707452
1754522	5952	1998-12-14	VYDAJ	PREVOD NA UCET	3684	72041	POJISTNE	YZ	2707452
1754535	5952	1994-01-12	VYDAJ	PREVOD NA UCET	1594	98002	 	WX	37493223
1754536	5952	1994-02-12	VYDAJ	PREVOD NA UCET	1594	61432	 	WX	37493223
1754537	5952	1994-03-12	VYDAJ	PREVOD NA UCET	1594	70267	 	WX	37493223
1754538	5952	1994-04-12	VYDAJ	PREVOD NA UCET	1594	66743	 	WX	37493223
1754539	5952	1994-05-12	VYDAJ	PREVOD NA UCET	1594	64512	 	WX	37493223
1754540	5952	1994-06-12	VYDAJ	PREVOD NA UCET	1594	82516	 	WX	37493223
1754541	5952	1994-07-12	VYDAJ	PREVOD NA UCET	1594	83921	 	WX	37493223
1754542	5952	1994-08-12	VYDAJ	PREVOD NA UCET	1594	62400	 	WX	37493223
1754543	5952	1994-09-12	VYDAJ	PREVOD NA UCET	1594	60756	 	WX	37493223
1754544	5952	1994-10-12	VYDAJ	PREVOD NA UCET	1594	56300	 	WX	37493223
1754545	5952	1994-11-12	VYDAJ	PREVOD NA UCET	1594	65985	 	WX	37493223
1754546	5952	1994-12-12	VYDAJ	PREVOD NA UCET	1594	84878	 	WX	37493223
1754547	5952	1995-01-12	VYDAJ	PREVOD NA UCET	1594	73791	 	WX	37493223
1754548	5952	1995-02-12	VYDAJ	PREVOD NA UCET	1594	33455	 	WX	37493223
1754549	5952	1995-03-12	VYDAJ	PREVOD NA UCET	1594	57023	 	WX	37493223
1754550	5952	1995-04-12	VYDAJ	PREVOD NA UCET	1594	73938	 	WX	37493223
1754551	5952	1995-05-12	VYDAJ	PREVOD NA UCET	1594	78025	 	WX	37493223
1754552	5952	1995-06-12	VYDAJ	PREVOD NA UCET	1594	92386	 	WX	37493223
1754553	5952	1995-07-12	VYDAJ	PREVOD NA UCET	1594	85136	 	WX	37493223
1754554	5952	1995-08-12	VYDAJ	PREVOD NA UCET	1594	88662	 	WX	37493223
1754555	5952	1995-09-12	VYDAJ	PREVOD NA UCET	1594	70796	 	WX	37493223
1754556	5952	1995-10-12	VYDAJ	PREVOD NA UCET	1594	70956	 	WX	37493223
1754557	5952	1995-11-12	VYDAJ	PREVOD NA UCET	1594	81140	 	WX	37493223
1754558	5952	1995-12-12	VYDAJ	PREVOD NA UCET	1594	98817	 	WX	37493223
1754559	5952	1996-01-12	VYDAJ	PREVOD NA UCET	1594	86487	 	WX	37493223
1754560	5952	1996-02-12	VYDAJ	PREVOD NA UCET	1594	81788	 	WX	37493223
1754561	5952	1996-03-12	VYDAJ	PREVOD NA UCET	1594	62565	 	WX	37493223
1754562	5952	1996-04-12	VYDAJ	PREVOD NA UCET	1594	78939	 	WX	37493223
1754563	5952	1996-05-12	VYDAJ	PREVOD NA UCET	1594	91633	 	WX	37493223
1754564	5952	1996-06-12	VYDAJ	PREVOD NA UCET	1594	80723	 	WX	37493223
1754565	5952	1996-07-12	VYDAJ	PREVOD NA UCET	1594	93239	 	WX	37493223
1754566	5952	1996-08-12	VYDAJ	PREVOD NA UCET	1594	88980	 	WX	37493223
1754567	5952	1996-09-12	VYDAJ	PREVOD NA UCET	1594	84903	 	WX	37493223
1754568	5952	1996-10-12	VYDAJ	PREVOD NA UCET	1594	81871	 	WX	37493223
1754569	5952	1996-11-12	VYDAJ	PREVOD NA UCET	1594	79793	 	WX	37493223
1754570	5952	1996-12-12	VYDAJ	PREVOD NA UCET	1594	70158	 	WX	37493223
1754571	5952	1997-01-12	VYDAJ	PREVOD NA UCET	1594	85610	 	WX	37493223
1754572	5952	1997-02-12	VYDAJ	PREVOD NA UCET	1594	61877	 	WX	37493223
1754573	5952	1997-03-12	VYDAJ	PREVOD NA UCET	1594	83202	 	WX	37493223
1754574	5952	1997-04-12	VYDAJ	PREVOD NA UCET	1594	93185	 	WX	37493223
1754575	5952	1997-05-12	VYDAJ	PREVOD NA UCET	1594	96113	 	WX	37493223
1754576	5952	1997-06-12	VYDAJ	PREVOD NA UCET	1594	85746	 	WX	37493223
1754577	5952	1997-07-12	VYDAJ	PREVOD NA UCET	1594	74600	 	WX	37493223
1754578	5952	1997-08-12	VYDAJ	PREVOD NA UCET	1594	93985	 	WX	37493223
1754579	5952	1997-09-12	VYDAJ	PREVOD NA UCET	1594	102511	 	WX	37493223
1754580	5952	1997-10-12	VYDAJ	PREVOD NA UCET	1594	101060	 	WX	37493223
1754581	5952	1997-11-12	VYDAJ	PREVOD NA UCET	1594	89990	 	WX	37493223
1754582	5952	1997-12-12	VYDAJ	PREVOD NA UCET	1594	92171	 	WX	37493223
1754583	5952	1998-01-12	VYDAJ	PREVOD NA UCET	1594	82468	 	WX	37493223
1754584	5952	1998-02-12	VYDAJ	PREVOD NA UCET	1594	58152	 	WX	37493223
1754585	5952	1998-03-12	VYDAJ	PREVOD NA UCET	1594	79046	 	WX	37493223
1754586	5952	1998-04-12	VYDAJ	PREVOD NA UCET	1594	74207	 	WX	37493223
1754587	5952	1998-05-12	VYDAJ	PREVOD NA UCET	1594	77777	 	WX	37493223
1754588	5952	1998-06-12	VYDAJ	PREVOD NA UCET	1594	73004	 	WX	37493223
1754589	5952	1998-07-12	VYDAJ	PREVOD NA UCET	1594	86763	 	WX	37493223
1754590	5952	1998-08-12	VYDAJ	PREVOD NA UCET	1594	71139	 	WX	37493223
1754591	5952	1998-09-12	VYDAJ	PREVOD NA UCET	1594	68564	 	WX	37493223
1754592	5952	1998-10-12	VYDAJ	PREVOD NA UCET	1594	65729	 	WX	37493223
1754593	5952	1998-11-12	VYDAJ	PREVOD NA UCET	1594	77087	 	WX	37493223
1754594	5952	1998-12-12	VYDAJ	PREVOD NA UCET	1594	75725	 	WX	37493223
1754607	5952	1994-08-19	VYBER	VYBER	16711	37805	\N	\N	\N
1754608	5952	1994-12-01	VYBER	VYBER	3728	52892	\N	\N	\N
1754609	5952	1994-01-16	VYBER	VYBER	14936	79382	\N	\N	\N
1754610	5952	1994-08-01	VYBER	VYBER	14810	60828	\N	\N	\N
1754611	5952	1994-10-08	VYBER	VYBER	13162	26984	\N	\N	\N
1754612	5952	1994-10-16	VYBER	VYBER	5229	41502	\N	\N	\N
1754613	5952	1994-08-22	VYBER	VYBER	7441	30364	\N	\N	\N
1754614	5952	1994-08-12	VYBER	VYBER	11344	63994	\N	\N	\N
1754615	5952	1995-08-27	VYBER	VYBER	22900	56193	\N	\N	\N
1754616	5952	1995-02-11	VYBER	VYBER	24020	40934	\N	\N	\N
1754617	5952	1996-11-03	VYBER	VYBER	13171	50477	\N	\N	\N
1754618	5952	1996-11-17	VYBER	VYBER	15346	60763	\N	\N	\N
1754619	5952	1996-11-26	VYBER	VYBER	16309	40654	\N	\N	\N
1754620	5952	1996-09-27	VYBER	VYBER	6939	58095	\N	\N	\N
1754621	5952	1996-03-06	VYBER	VYBER	24839	39134	\N	\N	\N
1754622	5952	1997-01-22	VYBER	VYBER	21489	36537	\N	\N	\N
1754623	5952	1997-09-14	VYBER	VYBER	3991	98520	\N	\N	\N
1754624	5952	1997-05-23	VYBER	VYBER	17938	52294	\N	\N	\N
1754626	5952	1997-07-01	VYBER	VYBER	20329	45284	\N	\N	\N
1754627	5952	1997-05-20	VYBER	VYBER	11097	70232	\N	\N	\N
1754628	5952	1997-11-28	VYBER	VYBER	9772	53834	\N	\N	\N
1754629	5952	1998-01-17	VYBER	VYBER	11856	50628	\N	\N	\N
1754630	5952	1998-09-07	VYBER	VYBER	13358	54348	\N	\N	\N
1754631	5952	1998-05-06	VYBER	VYBER	6503	48461	\N	\N	\N
1754632	5952	1998-12-10	VYBER	VYBER	3013	102019	\N	\N	\N
1754634	5952	1994-12-14	VYDAJ	VYBER	6900	74294	\N	\N	\N
1754635	5952	1995-12-11	VYDAJ	VYBER	1800	106296	\N	\N	\N
1754636	5952	1996-12-11	VYDAJ	VYBER KARTOU	1500	81952	\N	\N	0
1754637	5952	1997-12-12	VYDAJ	VYBER	4500	93765	\N	\N	\N
1754638	5952	1998-12-01	VYDAJ	VYBER	6600	61266	\N	\N	\N
1754645	5952	1994-01-18	VYDAJ	VYBER	1800	70882	\N	\N	\N
1754646	5952	1994-01-28	VYDAJ	VYBER	6000	54382	\N	\N	\N
1754647	5952	1994-01-20	VYDAJ	VYBER	3900	66982	\N	\N	\N
1754650	5952	1994-01-26	VYDAJ	VYBER	6600	60382	\N	\N	\N
1754651	5952	1995-01-18	VYDAJ	VYBER	5400	51021	\N	\N	\N
1754652	5952	1995-01-25	VYDAJ	VYBER	8400	39921	\N	\N	\N
1754653	5952	1995-01-15	VYDAJ	VYBER	7800	56421	\N	\N	\N
1754654	5952	1995-01-28	VYDAJ	VYBER	3600	36321	\N	\N	\N
1754655	5952	1995-01-19	VYDAJ	VYBER	2700	48321	\N	\N	\N
1754656	5952	1995-01-11	VYDAJ	VYBER	6600	75385	\N	\N	\N
1754657	5952	1996-01-14	VYDAJ	VYBER	8400	72003	\N	\N	\N
1754658	5952	1996-01-16	VYDAJ	VYBER	2100	69903	\N	\N	\N
1754659	5952	1996-01-28	VYDAJ	VYBER	6300	52203	\N	\N	\N
1754660	5952	1996-01-13	VYDAJ	VYBER	2400	84087	\N	\N	\N
1754661	5952	1996-01-07	VYDAJ	VYBER	2100	67856	\N	\N	\N
1754662	5952	1996-01-08	VYDAJ	VYBER	4800	63056	\N	\N	\N
1754663	5952	1997-01-04	VYDAJ	VYBER	5700	57794	\N	\N	\N
1754664	5952	1997-01-07	VYDAJ	VYBER KARTOU	1500	56294	\N	\N	0
1754665	5952	1997-01-13	VYDAJ	VYBER KARTOU	3900	81710	\N	\N	0
1754666	5952	1997-01-16	VYDAJ	VYBER	6600	71426	\N	\N	\N
1754667	5952	1997-01-19	VYDAJ	VYBER	4200	58026	\N	\N	\N
1754668	5952	1997-01-27	VYDAJ	VYBER	4200	32337	\N	\N	\N
1754669	5952	1998-01-28	VYDAJ	VYBER	5100	35828	\N	\N	\N
1754670	5952	1998-01-29	VYDAJ	VYBER	7200	28628	\N	\N	\N
1754671	5952	1998-01-10	VYDAJ	VYBER	5400	84062	\N	\N	\N
1754672	5952	1998-01-06	VYDAJ	VYBER KARTOU	2700	66652	\N	\N	0
1754673	5952	1998-01-07	VYDAJ	VYBER	8100	58552	\N	\N	\N
1754679	5952	1994-05-15	VYDAJ	VYBER	5400	55428	\N	\N	\N
1754680	5952	1994-05-05	VYDAJ	VYBER	13200	40496	\N	\N	\N
1754682	5952	1994-03-28	VYDAJ	VYBER	2400	59083	\N	\N	\N
1754683	5952	1994-09-18	VYDAJ	VYBER	6300	50772	\N	\N	\N
1754684	5952	1995-09-18	VYDAJ	VYBER	14700	52412	\N	\N	\N
1754685	5952	1995-12-01	VYDAJ	VYBER	3300	59530	\N	\N	\N
1754686	5952	1996-08-18	VYDAJ	VYBER	7200	72211	\N	\N	\N
1754687	5952	1996-09-12	VYDAJ	VYBER KARTOU	3900	81003	\N	\N	0
1754688	5952	1996-12-11	VYDAJ	VYBER	10200	71752	\N	\N	\N
1754689	5952	1996-08-08	VYDAJ	VYBER	10500	58290	\N	\N	\N
1754690	5952	1996-09-05	VYDAJ	VYBER	6600	55587	\N	\N	\N
1754691	5952	1997-05-06	VYDAJ	VYBER KARTOU	1500	66797	\N	\N	0
1754692	5952	1997-05-29	VYDAJ	VYBER	5400	46894	\N	\N	\N
1754693	5952	1997-11-01	VYDAJ	VYBER	8400	60674	\N	\N	\N
1754694	5952	1998-01-13	VYDAJ	VYBER	13800	68668	\N	\N	\N
1754695	5952	1998-01-23	VYDAJ	VYBER KARTOU	3600	40928	\N	\N	0
1754696	5952	1998-09-21	VYDAJ	VYBER	9000	51880	\N	\N	\N
1754697	5952	1998-07-24	VYDAJ	VYBER	7800	57679	\N	\N	\N
1754698	5952	1998-04-11	VYDAJ	VYBER	9000	75801	\N	\N	\N
1754712	5952	1994-01-31	VYDAJ	VYBER	15	54716	SLUZBY	\N	\N
1754713	5952	1994-02-28	VYDAJ	VYBER	15	57951	SLUZBY	\N	\N
1754714	5952	1994-03-31	VYDAJ	VYBER	15	59327	SLUZBY	\N	\N
1754715	5952	1994-04-30	VYDAJ	VYBER	15	63296	SLUZBY	\N	\N
1754716	5952	1994-05-31	VYDAJ	VYBER	15	55644	SLUZBY	\N	\N
1754717	5952	1994-06-30	VYDAJ	VYBER	15	79105	SLUZBY	\N	\N
1754718	5952	1994-07-31	VYDAJ	VYBER	15	75638	SLUZBY	\N	\N
1754719	5952	1994-08-31	VYDAJ	VYBER	15	30540	SLUZBY	\N	\N
1754720	5952	1994-09-30	VYDAJ	VYBER	15	46046	SLUZBY	\N	\N
1754721	5952	1994-10-31	VYDAJ	VYBER	15	41669	SLUZBY	\N	\N
1754722	5952	1994-11-30	VYDAJ	VYBER	15	56620	SLUZBY	\N	\N
1754723	5952	1994-12-31	VYDAJ	VYBER	15	74575	SLUZBY	\N	\N
1754724	5952	1995-01-31	VYDAJ	VYBER	15	34044	SLUZBY	\N	\N
1754725	5952	1995-02-28	VYDAJ	VYBER	15	29892	SLUZBY	\N	\N
1754726	5952	1995-03-31	VYDAJ	VYBER	15	53522	SLUZBY	\N	\N
1754727	5952	1995-04-30	VYDAJ	VYBER	15	64609	SLUZBY	\N	\N
1754728	5952	1995-05-31	VYDAJ	VYBER	15	51300	SLUZBY	\N	\N
1754729	5952	1995-06-30	VYDAJ	VYBER	15	61705	SLUZBY	\N	\N
1754730	5952	1995-07-31	VYDAJ	VYBER	15	59346	SLUZBY	\N	\N
1754731	5952	1995-08-31	VYDAJ	VYBER	15	47365	SLUZBY	\N	\N
1754732	5952	1995-09-30	VYDAJ	VYBER	15	47525	SLUZBY	\N	\N
1754733	5952	1995-10-31	VYDAJ	VYBER	15	57709	SLUZBY	\N	\N
1754734	5952	1995-11-30	VYDAJ	VYBER	15	62830	SLUZBY	\N	\N
1754735	5952	1995-12-31	VYDAJ	VYBER	15	69956	SLUZBY	\N	\N
1754736	5952	1996-01-31	VYDAJ	VYBER	15	52472	SLUZBY	\N	\N
1754737	5952	1996-02-29	VYDAJ	VYBER	15	63973	SLUZBY	\N	\N
1754738	5952	1996-03-31	VYDAJ	VYBER	15	55508	SLUZBY	\N	\N
1754739	5952	1996-04-30	VYDAJ	VYBER	15	62317	SLUZBY	\N	\N
1754740	5952	1996-05-31	VYDAJ	VYBER	15	65951	SLUZBY	\N	\N
1754741	5952	1996-06-30	VYDAJ	VYBER	15	63923	SLUZBY	\N	\N
1754742	5952	1996-07-31	VYDAJ	VYBER	15	70164	SLUZBY	\N	\N
1754743	5952	1996-08-31	VYDAJ	VYBER	15	62187	SLUZBY	\N	\N
1754744	5952	1996-09-30	VYDAJ	VYBER	15	58355	SLUZBY	\N	\N
1754745	5952	1996-10-31	VYDAJ	VYBER	15	63648	SLUZBY	\N	\N
1754746	5952	1996-11-30	VYDAJ	VYBER	15	34886	SLUZBY	\N	\N
1754747	5952	1996-12-31	VYDAJ	VYBER	15	63494	SLUZBY	\N	\N
1754748	5952	1997-01-31	VYDAJ	VYBER	15	32561	SLUZBY	\N	\N
1754749	5952	1997-02-28	VYDAJ	VYBER	15	53886	SLUZBY	\N	\N
1754750	5952	1997-03-31	VYDAJ	VYBER	15	63869	SLUZBY	\N	\N
1754751	5952	1997-04-30	VYDAJ	VYBER	15	74097	SLUZBY	\N	\N
1754752	5952	1997-05-31	VYDAJ	VYBER	15	47174	SLUZBY	\N	\N
1754753	5952	1997-06-30	VYDAJ	VYBER	15	65613	SLUZBY	\N	\N
1754754	5952	1997-07-31	VYDAJ	VYBER	15	64669	SLUZBY	\N	\N
1754755	5952	1997-08-31	VYDAJ	VYBER	15	73195	SLUZBY	\N	\N
1754756	5952	1997-09-30	VYDAJ	VYBER	15	71744	SLUZBY	\N	\N
1754757	5952	1997-10-31	VYDAJ	VYBER	15	69074	SLUZBY	\N	\N
1754758	5952	1997-11-30	VYDAJ	VYBER	15	54099	SLUZBY	\N	\N
1754759	5952	1997-12-31	VYDAJ	VYBER	15	69352	SLUZBY	\N	\N
1754760	5952	1998-01-31	VYDAJ	VYBER	15	28836	SLUZBY	\N	\N
1754761	5952	1998-02-28	VYDAJ	VYBER	15	49730	SLUZBY	\N	\N
1754762	5952	1998-03-31	VYDAJ	VYBER	15	59391	SLUZBY	\N	\N
1754763	5952	1998-04-30	VYDAJ	VYBER	15	62864	SLUZBY	\N	\N
1754764	5952	1998-05-31	VYDAJ	VYBER	15	59932	SLUZBY	\N	\N
1754765	5952	1998-06-30	VYDAJ	VYBER	15	57447	SLUZBY	\N	\N
1754766	5952	1998-07-31	VYDAJ	VYBER	15	57923	SLUZBY	\N	\N
1754767	5952	1998-08-31	VYDAJ	VYBER	15	67706	SLUZBY	\N	\N
1754768	5952	1998-09-30	VYDAJ	VYBER	15	52113	SLUZBY	\N	\N
1754769	5952	1998-10-31	VYDAJ	VYBER	15	62271	SLUZBY	\N	\N
1754770	5952	1998-11-30	VYDAJ	VYBER	15	67866	SLUZBY	\N	\N
1754771	5952	1993-10-07	VYDAJ	VYBER	5600	30818	\N	\N	\N
1754772	5952	1993-11-06	VYDAJ	VYBER	20600	45769	\N	\N	\N
1754773	5952	1993-12-06	VYDAJ	VYBER	27000	54401	\N	\N	\N
1754774	5952	1994-01-05	VYDAJ	VYBER	43500	64284	\N	\N	\N
1754775	5952	1994-02-04	VYDAJ	VYBER	15200	32116	\N	\N	\N
1754776	5952	1994-03-06	VYDAJ	VYBER	17000	40951	\N	\N	\N
1754777	5952	1994-04-05	VYDAJ	VYBER	17700	41627	\N	\N	\N
1754778	5952	1994-05-05	VYDAJ	VYBER	9600	53696	\N	\N	\N
1754779	5952	1994-06-04	VYDAJ	VYBER	12400	43244	\N	\N	\N
1754780	5952	1994-07-04	VYDAJ	VYBER	24500	54605	\N	\N	\N
1754781	5952	1994-08-03	VYDAJ	VYBER	16400	44428	\N	\N	\N
1754782	5952	1994-09-02	PRIJEM	VKLAD	900	31440	\N	\N	\N
1754783	5952	1994-10-02	VYDAJ	VYBER	5900	40146	\N	\N	\N
1754784	5952	1994-11-01	VYDAJ	VYBER	5000	36669	\N	\N	\N
1754785	5952	1994-12-01	VYDAJ	VYBER	9100	43792	\N	\N	\N
1754786	5952	1994-12-31	VYDAJ	VYBER	23500	51075	\N	\N	\N
1754787	5952	1995-01-30	VYDAJ	VYBER	2500	33821	\N	\N	\N
1754788	5952	1995-03-01	PRIJEM	VKLAD	3700	33592	\N	\N	\N
1754789	5952	1995-03-31	VYDAJ	VYBER	8900	44622	\N	\N	\N
1754790	5952	1995-04-30	VYDAJ	VYBER	15900	48709	\N	\N	\N
1754791	5952	1995-05-30	VYDAJ	VYBER	17400	51056	\N	\N	\N
1754792	5952	1995-06-29	VYDAJ	VYBER	27300	61402	\N	\N	\N
1754793	5952	1995-07-29	VYDAJ	VYBER	22400	59052	\N	\N	\N
1754794	5952	1995-08-28	VYDAJ	VYBER	9100	47093	\N	\N	\N
1754795	5952	1995-09-27	VYDAJ	VYBER	5100	47312	\N	\N	\N
1754796	5952	1995-10-27	VYDAJ	VYBER	9800	57472	\N	\N	\N
1754797	5952	1995-11-26	VYDAJ	VYBER	14900	62556	\N	\N	\N
1754798	5952	1995-12-26	VYDAJ	VYBER	25500	69633	\N	\N	\N
1754799	5952	1996-01-25	VYDAJ	VYBER	11400	58503	\N	\N	\N
1754800	5952	1996-02-24	VYDAJ	VYBER	8500	63718	\N	\N	\N
1754801	5952	1996-03-25	VYDAJ	VYBER	3600	55281	\N	\N	\N
1754802	5952	1996-04-24	VYDAJ	VYBER	13200	62055	\N	\N	\N
1754803	5952	1996-05-24	VYDAJ	VYBER	16400	65663	\N	\N	\N
1754804	5952	1996-06-10	VYDAJ	VYBER	32200	82317	\N	\N	\N
1754805	5952	1996-06-23	VYDAJ	VYBER	7500	63654	\N	\N	\N
1754806	5952	1996-07-23	VYDAJ	VYBER	13800	69869	\N	\N	\N
1754807	5952	1996-08-22	VYDAJ	VYBER	10300	61911	\N	\N	\N
1754808	5952	1996-09-21	VYDAJ	VYBER	6400	65034	\N	\N	\N
1754809	5952	1996-10-21	VYDAJ	VYBER	14800	63387	\N	\N	\N
1754810	5952	1996-11-20	PRIJEM	VKLAD	1100	61863	\N	\N	\N
1754811	5952	1996-12-20	VYDAJ	VYBER KARTOU	3200	63274	\N	\N	0
1754812	5952	1997-01-19	VYDAJ	VYBER KARTOU	2200	69226	\N	\N	0
1754813	5952	1997-02-18	PRIJEM	VKLAD	2200	60393	\N	\N	\N
1754814	5952	1997-03-20	VYDAJ	VYBER	8600	63618	\N	\N	\N
1754815	5952	1997-04-19	VYDAJ	VYBER	10600	78901	\N	\N	\N
1754816	5952	1997-05-19	VYDAJ	VYBER	11100	81329	\N	\N	\N
1754817	5952	1997-06-18	VYDAJ	VYBER	9000	73062	\N	\N	\N
1754818	5952	1997-07-18	VYDAJ	VYBER	6500	64416	\N	\N	\N
1754819	5952	1997-08-17	VYDAJ	VYBER	11500	78801	\N	\N	\N
1754820	5952	1997-09-16	VYDAJ	VYBER	17700	77136	\N	\N	\N
1754821	5952	1997-10-16	VYDAJ	VYBER	21400	75976	\N	\N	\N
1754822	5952	1997-11-15	VYDAJ	VYBER	14800	71506	\N	\N	\N
1754823	5952	1997-12-15	VYDAJ	VYBER	19400	69087	\N	\N	\N
1754824	5952	1998-01-14	VYDAJ	VYBER KARTOU	2500	66168	\N	\N	0
1754825	5952	1998-02-13	PRIJEM	VKLAD	400	58552	\N	\N	\N
1754826	5952	1998-03-15	VYDAJ	VYBER	10400	64962	\N	\N	\N
1754827	5952	1998-04-14	VYDAJ	VYBER	7900	62623	\N	\N	\N
1754828	5952	1998-05-14	VYDAJ	VYBER	10600	67177	\N	\N	\N
1754829	5952	1998-06-10	VYDAJ	VYBER	33900	74598	\N	\N	\N
1754830	5952	1998-06-13	VYDAJ	VYBER	12100	60904	\N	\N	\N
1754831	5952	1998-07-13	VYDAJ	VYBER	11600	75163	\N	\N	\N
1754832	5952	1998-08-12	VYDAJ	VYBER	12300	72733	\N	\N	\N
1754833	5952	1998-09-11	VYDAJ	VYBER	15100	70158	\N	\N	\N
1754834	5952	1998-10-11	VYDAJ	VYBER	11000	67323	\N	\N	\N
1754835	5952	1998-11-10	VYDAJ	VYBER	14500	78681	\N	\N	\N
1754836	5952	1998-12-10	VYDAJ	VYBER	24700	77319	\N	\N	\N
1764099	5984	1993-11-11	PRIJEM	VKLAD	200	200	\N	\N	\N
1764110	5984	1993-11-13	PRIJEM	VKLAD	15719	15919	\N	\N	\N
1764111	5984	1993-12-13	PRIJEM	VKLAD	23578	44537	\N	\N	\N
1764112	5984	1994-01-13	PRIJEM	VKLAD	15719	50095	\N	\N	\N
1764113	5984	1994-02-13	PRIJEM	VKLAD	15719	51514	\N	\N	\N
1764114	5984	1994-03-13	PRIJEM	VKLAD	15719	53245	\N	\N	\N
1764115	5984	1994-04-13	PRIJEM	VKLAD	15719	55069	\N	\N	\N
1764116	5984	1994-05-13	PRIJEM	VKLAD	15719	55291	\N	\N	\N
1764117	5984	1994-06-13	PRIJEM	VKLAD	23578	61978	\N	\N	\N
1764118	5984	1994-07-13	PRIJEM	VKLAD	15719	48018	\N	\N	\N
1764119	5984	1994-08-13	PRIJEM	VKLAD	15719	53317	\N	\N	\N
1764120	5984	1994-09-13	PRIJEM	VKLAD	15719	50635	\N	\N	\N
1764121	5984	1994-10-13	PRIJEM	VKLAD	15719	52142	\N	\N	\N
1764122	5984	1994-11-13	PRIJEM	VKLAD	15719	53655	\N	\N	\N
1764123	5984	1994-12-13	PRIJEM	VKLAD	23578	62430	\N	\N	\N
1764124	5984	1995-01-13	PRIJEM	VKLAD	15719	55266	\N	\N	\N
1764125	5984	1995-02-13	PRIJEM	VKLAD	15719	47076	\N	\N	\N
1764126	5984	1995-03-13	PRIJEM	VKLAD	15719	48661	\N	\N	\N
1764127	5984	1995-04-13	PRIJEM	VKLAD	15719	52766	\N	\N	\N
1764128	5984	1995-05-13	PRIJEM	VKLAD	15719	55983	\N	\N	\N
1764129	5984	1995-06-13	PRIJEM	VKLAD	23578	64375	\N	\N	\N
1764130	5984	1995-07-13	PRIJEM	VKLAD	15719	44382	\N	\N	\N
1764131	5984	1995-08-13	PRIJEM	VKLAD	15719	48448	\N	\N	\N
1764132	5984	1995-09-13	PRIJEM	VKLAD	15719	49238	\N	\N	\N
1764133	5984	1995-10-13	PRIJEM	VKLAD	15719	50441	\N	\N	\N
1764134	5984	1995-11-13	PRIJEM	VKLAD	15719	50553	\N	\N	\N
1764135	5984	1995-12-13	PRIJEM	VKLAD	23578	58226	\N	\N	\N
1764136	5984	1996-01-13	PRIJEM	VKLAD	15719	43956	\N	\N	\N
1764137	5984	1996-02-13	PRIJEM	VKLAD	15719	42018	\N	\N	\N
1764138	5984	1996-03-13	PRIJEM	VKLAD	15719	39431	\N	\N	\N
1764139	5984	1996-04-13	PRIJEM	VKLAD	15719	38174	\N	\N	\N
1764140	5984	1996-05-13	PRIJEM	VKLAD	15719	39613	\N	\N	\N
1764141	5984	1996-06-13	PRIJEM	VKLAD	23578	42989	\N	\N	\N
1764142	5984	1996-07-13	PRIJEM	VKLAD	15719	32024	\N	\N	\N
1764143	5984	1996-08-13	PRIJEM	VKLAD	15719	33796	\N	\N	\N
1764144	5984	1996-09-13	PRIJEM	VKLAD	15719	34674	\N	\N	\N
1764145	5984	1996-10-13	PRIJEM	VKLAD	15719	35556	\N	\N	\N
1764146	5984	1996-11-13	PRIJEM	VKLAD	15719	29239	\N	\N	\N
1764147	5984	1996-12-13	PRIJEM	VKLAD	23578	36886	\N	\N	\N
1764148	5984	1997-01-13	PRIJEM	VKLAD	15719	32288	\N	\N	\N
1764149	5984	1997-02-13	PRIJEM	VKLAD	15719	17081	\N	\N	\N
1764150	5984	1997-03-13	PRIJEM	VKLAD	15719	24095	\N	\N	\N
1764151	5984	1997-04-13	PRIJEM	VKLAD	15719	29537	\N	\N	\N
1764152	5984	1997-05-13	PRIJEM	VKLAD	15719	31799	\N	\N	\N
1764153	5984	1997-06-13	PRIJEM	VKLAD	23578	36728	\N	\N	\N
1764154	5984	1997-07-13	PRIJEM	VKLAD	15719	28424	\N	\N	\N
1764155	5984	1997-08-13	PRIJEM	VKLAD	15719	32283	\N	\N	\N
1764156	5984	1997-09-13	PRIJEM	VKLAD	15719	32153	\N	\N	\N
1764157	5984	1997-10-13	PRIJEM	VKLAD	15719	32724	\N	\N	\N
1764158	5984	1997-11-13	PRIJEM	VKLAD	15719	30693	\N	\N	\N
1764159	5984	1997-12-13	PRIJEM	VKLAD	23578	36915	\N	\N	\N
1764160	5984	1998-01-13	PRIJEM	VKLAD	15719	27906	\N	\N	\N
1764161	5984	1998-02-13	PRIJEM	VKLAD	15719	22265	\N	\N	\N
1764162	5984	1998-03-13	PRIJEM	VKLAD	15719	21792	\N	\N	\N
1764163	5984	1998-04-13	PRIJEM	VKLAD	15719	14418	\N	\N	\N
1764164	5984	1998-05-13	PRIJEM	VKLAD	15719	16809	\N	\N	\N
1764165	5984	1998-06-13	PRIJEM	VKLAD	23578	22780	\N	\N	\N
1764166	5984	1998-07-13	PRIJEM	VKLAD	15719	18277	\N	\N	\N
1764167	5984	1998-08-13	PRIJEM	VKLAD	15719	21894	\N	\N	\N
1764168	5984	1998-09-13	PRIJEM	VKLAD	15719	23923	\N	\N	\N
1764169	5984	1998-10-13	PRIJEM	VKLAD	15719	25460	\N	\N	\N
1764170	5984	1998-11-13	PRIJEM	VKLAD	15719	24898	\N	\N	\N
1764171	5984	1998-12-13	PRIJEM	VKLAD	23578	30690	\N	\N	\N
1764173	5984	1994-06-26	VYDAJ	VYBER	17300	44678	\N	\N	\N
1764174	5984	1995-06-16	VYDAJ	VYBER	24700	39675	\N	\N	\N
1764175	5984	1996-06-27	VYDAJ	VYBER	17100	25889	\N	\N	\N
1764180	5984	1995-01-27	VYDAJ	VYBER	2700	46066	\N	\N	\N
1764181	5984	1996-01-11	VYDAJ	VYBER	7800	28237	\N	\N	\N
1764182	5984	1997-01-29	VYDAJ	VYBER	1500	4888	\N	\N	\N
1764185	5984	1994-12-04	VYDAJ	VYBER	1100	52752	\N	\N	\N
1764186	5984	1995-12-12	VYDAJ	VYBER	2100	34648	\N	\N	\N
1764187	5984	1996-12-04	VYDAJ	VYBER	1000	13308	\N	\N	\N
1764188	5984	1997-12-06	VYDAJ	VYBER	1900	13337	\N	\N	\N
1764189	5984	1998-12-23	VYDAJ	VYBER	1100	11090	\N	\N	\N
1764202	5984	1995-01-03	VYDAJ	VYBER	1700	60947	\N	\N	\N
1764203	5984	1995-01-28	VYDAJ	VYBER	1800	44266	\N	\N	\N
1764204	5984	1995-01-10	VYDAJ	VYBER	1300	43047	\N	\N	\N
1764205	5984	1995-01-13	VYDAJ	VYBER	2600	52666	\N	\N	\N
1764206	5984	1995-01-19	VYDAJ	VYBER	2400	48766	\N	\N	\N
1764207	5984	1995-01-17	VYDAJ	VYBER	1500	51166	\N	\N	\N
1764208	5984	1996-01-03	VYDAJ	VYBER	900	36037	\N	\N	\N
1764209	5984	1996-01-19	VYDAJ	VYBER	600	43356	\N	\N	\N
1764210	5984	1996-01-19	VYDAJ	VYBER	1500	41856	\N	\N	\N
1764211	5984	1996-01-01	VYDAJ	VYBER	1000	36937	\N	\N	\N
1764212	5984	1996-01-01	VYDAJ	VYBER	1900	37937	\N	\N	\N
1764213	5984	1996-01-24	VYDAJ	VYBER	1800	40056	\N	\N	\N
1764214	5984	1997-01-13	VYDAJ	VYBER	1500	30788	\N	\N	\N
1764215	5984	1997-01-24	VYDAJ	VYBER	2100	10488	\N	\N	\N
1764216	5984	1997-01-29	VYDAJ	VYBER	2200	6388	\N	\N	\N
1764217	5984	1997-01-23	VYDAJ	VYBER	1000	27188	\N	\N	\N
1764218	5984	1997-01-19	VYDAJ	VYBER	2600	28188	\N	\N	\N
1764219	5984	1997-01-06	VYDAJ	VYBER	1500	16569	\N	\N	\N
1764220	5984	1998-01-11	VYDAJ	VYBER	2800	12187	\N	\N	\N
1764221	5984	1998-01-18	VYDAJ	VYBER	1100	23906	\N	\N	\N
1764222	5984	1998-01-18	VYDAJ	VYBER	2900	25006	\N	\N	\N
1764223	5984	1998-01-03	VYDAJ	VYBER	2200	14987	\N	\N	\N
1764224	5984	1998-01-22	VYDAJ	VYBER	1200	6506	\N	\N	\N
1764225	5984	1998-01-02	VYDAJ	VYBER	1800	17187	\N	\N	\N
1764232	5984	1994-10-21	VYDAJ	VYBER	3500	48642	\N	\N	\N
1764233	5984	1994-04-15	VYDAJ	VYBER	4100	50969	\N	\N	\N
1764234	5984	1994-09-08	VYDAJ	VYBER	3400	34916	\N	\N	\N
1764237	5984	1994-10-27	VYDAJ	VYBER	2400	46242	\N	\N	\N
1764238	5984	1995-07-08	VYDAJ	VYBER	4600	28663	\N	\N	\N
1764239	5984	1995-07-19	VYDAJ	VYBER	4100	40282	\N	\N	\N
1764240	5984	1995-01-10	VYDAJ	VYBER	3500	39547	\N	\N	\N
1764241	5984	1995-08-26	VYDAJ	VYBER	3200	45248	\N	\N	\N
1764242	5984	1995-02-08	VYDAJ	VYBER	3400	31357	\N	\N	\N
1764243	5984	1996-05-21	VYDAJ	VYBER	1200	38413	\N	\N	\N
1764244	5984	1996-06-12	VYDAJ	VYBER	3300	19411	\N	\N	\N
1764245	5984	1996-04-13	VYDAJ	VYBER	1000	37174	\N	\N	\N
1764246	5984	1996-11-02	VYDAJ	VYBER	1900	13520	\N	\N	\N
1764247	5984	1996-04-10	VYDAJ	VYBER	3800	22455	\N	\N	\N
1764248	5984	1996-03-10	VYDAJ	VYBER	2900	23712	\N	\N	\N
1764249	5984	1996-10-30	VYDAJ	VYBER	1300	15356	\N	\N	\N
1764250	5984	1997-06-20	VYDAJ	VYBER	2800	33928	\N	\N	\N
1764251	5984	1997-06-01	VYDAJ	VYBER	4500	13150	\N	\N	\N
1764252	5984	1997-01-31	VYDAJ	VYBER	3600	1377	\N	\N	\N
1764253	5984	1997-01-28	VYDAJ	VYBER	1900	8588	\N	\N	\N
1764254	5984	1997-06-26	VYDAJ	VYBER	3400	12628	\N	\N	\N
1764255	5984	1998-03-19	VYDAJ	VYBER	2400	19392	\N	\N	\N
1764256	5984	1998-04-20	VYDAJ	VYBER	2100	1118	\N	\N	\N
1764272	5984	1994-03-31	VYDAJ	VYBER	15	53450	SLUZBY	\N	\N
1764273	5984	1994-04-30	VYDAJ	VYBER	15	51172	SLUZBY	\N	\N
1764274	5984	1994-05-31	VYDAJ	VYBER	15	55500	SLUZBY	\N	\N
1764275	5984	1994-06-30	VYDAJ	VYBER	15	44899	SLUZBY	\N	\N
1764276	5984	1994-07-31	VYDAJ	VYBER	15	48198	SLUZBY	\N	\N
1764277	5984	1994-08-31	VYDAJ	VYBER	15	53516	SLUZBY	\N	\N
1764278	5984	1994-09-30	VYDAJ	VYBER	15	50823	SLUZBY	\N	\N
1764279	5984	1994-10-31	VYDAJ	VYBER	15	46436	SLUZBY	\N	\N
1764280	5984	1994-11-30	VYDAJ	VYBER	15	53852	SLUZBY	\N	\N
1764281	5984	1994-12-31	VYDAJ	VYBER	15	62647	SLUZBY	\N	\N
1764282	5984	1995-01-31	VYDAJ	VYBER	15	44457	SLUZBY	\N	\N
1764283	5984	1995-02-28	VYDAJ	VYBER	15	47242	SLUZBY	\N	\N
1764284	5984	1995-03-31	VYDAJ	VYBER	15	48847	SLUZBY	\N	\N
1764285	5984	1995-04-30	VYDAJ	VYBER	15	52964	SLUZBY	\N	\N
1764286	5984	1995-05-31	VYDAJ	VYBER	15	56197	SLUZBY	\N	\N
1764287	5984	1995-06-30	VYDAJ	VYBER	15	39863	SLUZBY	\N	\N
1764288	5984	1995-07-31	VYDAJ	VYBER	15	40429	SLUZBY	\N	\N
1764289	5984	1995-08-31	VYDAJ	VYBER	15	45419	SLUZBY	\N	\N
1764290	5984	1995-09-30	VYDAJ	VYBER	15	49422	SLUZBY	\N	\N
1764291	5984	1995-10-31	VYDAJ	VYBER	15	50634	SLUZBY	\N	\N
1764292	5984	1995-11-30	VYDAJ	VYBER	15	50748	SLUZBY	\N	\N
1764293	5984	1995-12-31	VYDAJ	VYBER	15	39837	SLUZBY	\N	\N
1764294	5984	1996-01-31	VYDAJ	VYBER	15	26299	SLUZBY	\N	\N
1764295	5984	1996-02-29	VYDAJ	VYBER	15	26612	SLUZBY	\N	\N
1764296	5984	1996-03-31	VYDAJ	VYBER	15	26255	SLUZBY	\N	\N
1764297	5984	1996-04-30	VYDAJ	VYBER	15	23894	SLUZBY	\N	\N
1764298	5984	1996-05-31	VYDAJ	VYBER	15	22711	SLUZBY	\N	\N
1764299	5984	1996-06-30	VYDAJ	VYBER	15	16305	SLUZBY	\N	\N
1764300	5984	1996-07-31	VYDAJ	VYBER	15	18077	SLUZBY	\N	\N
1764301	5984	1996-08-31	VYDAJ	VYBER	15	18955	SLUZBY	\N	\N
1764302	5984	1996-09-30	VYDAJ	VYBER	15	19837	SLUZBY	\N	\N
1764303	5984	1996-10-31	VYDAJ	VYBER	15	15420	SLUZBY	\N	\N
1764304	5984	1996-11-30	VYDAJ	VYBER	15	14308	SLUZBY	\N	\N
1764305	5984	1996-12-31	VYDAJ	VYBER	15	18069	SLUZBY	\N	\N
1764306	5984	1997-01-31	VYDAJ	VYBER	15	1362	SLUZBY	\N	\N
1764307	5984	1997-02-28	VYDAJ	VYBER	15	8376	SLUZBY	\N	\N
1764308	5984	1997-03-31	VYDAJ	VYBER	15	13818	SLUZBY	\N	\N
1764309	5984	1997-04-30	VYDAJ	VYBER	15	16080	SLUZBY	\N	\N
1764310	5984	1997-05-31	VYDAJ	VYBER	15	17650	SLUZBY	\N	\N
1764311	5984	1997-06-30	VYDAJ	VYBER	15	12705	SLUZBY	\N	\N
1764312	5984	1997-07-31	VYDAJ	VYBER	15	16564	SLUZBY	\N	\N
1764313	5984	1997-08-31	VYDAJ	VYBER	15	16434	SLUZBY	\N	\N
1764314	5984	1997-09-30	VYDAJ	VYBER	15	17005	SLUZBY	\N	\N
1764315	5984	1997-10-31	VYDAJ	VYBER	15	14974	SLUZBY	\N	\N
1764316	5984	1997-11-30	VYDAJ	VYBER	15	15237	SLUZBY	\N	\N
1764317	5984	1997-12-31	VYDAJ	VYBER	15	18987	SLUZBY	\N	\N
1764318	5984	1998-01-31	VYDAJ	VYBER	15	6546	SLUZBY	\N	\N
1764319	5984	1998-02-28	VYDAJ	VYBER	15	6073	SLUZBY	\N	\N
1764321	5984	1998-04-30	VYDAJ	VYBER	15	1104	SLUZBY	\N	\N
1764323	5984	1998-06-30	VYDAJ	VYBER	15	2558	SLUZBY	\N	\N
1764324	5984	1998-07-31	VYDAJ	VYBER	15	6175	SLUZBY	\N	\N
1764325	5984	1998-08-31	VYDAJ	VYBER	15	8204	SLUZBY	\N	\N
1764326	5984	1998-09-30	VYDAJ	VYBER	15	9741	SLUZBY	\N	\N
1764327	5984	1998-10-31	VYDAJ	VYBER	15	9179	SLUZBY	\N	\N
1764328	5984	1998-11-30	VYDAJ	VYBER	15	7112	SLUZBY	\N	\N
1764329	5984	1993-12-11	PRIJEM	VKLAD	5000	20959	\N	\N	\N
1764330	5984	1994-01-10	VYDAJ	VYBER	10300	34376	\N	\N	\N
1764331	5984	1994-02-09	VYDAJ	VYBER	14500	35795	\N	\N	\N
1764332	5984	1994-03-11	VYDAJ	VYBER	14200	37526	\N	\N	\N
1764333	5984	1994-04-10	VYDAJ	VYBER	14100	39350	\N	\N	\N
1764334	5984	1994-05-10	VYDAJ	VYBER	11600	39572	\N	\N	\N
1764335	5984	1994-06-09	VYDAJ	VYBER	17100	38400	\N	\N	\N
1764336	5984	1994-07-09	VYDAJ	VYBER	12600	32299	\N	\N	\N
1764337	5984	1994-08-08	VYDAJ	VYBER	10600	37598	\N	\N	\N
1764338	5984	1994-09-07	VYDAJ	VYBER	15200	38316	\N	\N	\N
1764339	5984	1994-10-07	VYDAJ	VYBER	14400	36423	\N	\N	\N
1764340	5984	1994-11-06	VYDAJ	VYBER	8500	37936	\N	\N	\N
1764341	5984	1994-12-06	VYDAJ	VYBER	13900	38852	\N	\N	\N
1764342	5984	1995-01-05	VYDAJ	VYBER	16600	44347	\N	\N	\N
1764343	5984	1995-02-04	VYDAJ	VYBER	9700	34757	\N	\N	\N
1764344	5984	1995-03-06	VYDAJ	VYBER	14300	32942	\N	\N	\N
1764345	5984	1995-04-05	VYDAJ	VYBER	11800	37047	\N	\N	\N
1764346	5984	1995-05-05	VYDAJ	VYBER	12700	40264	\N	\N	\N
1764347	5984	1995-06-04	VYDAJ	VYBER	15400	40797	\N	\N	\N
1764348	5984	1995-07-04	VYDAJ	VYBER	6600	33263	\N	\N	\N
1764349	5984	1995-08-03	VYDAJ	VYBER	7700	32729	\N	\N	\N
1764350	5984	1995-09-02	VYDAJ	VYBER	11900	33519	\N	\N	\N
1764351	5984	1995-10-02	VYDAJ	VYBER	14700	34722	\N	\N	\N
1764352	5984	1995-11-01	VYDAJ	VYBER	15800	34834	\N	\N	\N
1764353	5984	1995-12-01	VYDAJ	VYBER	14000	36748	\N	\N	\N
1764354	5984	1995-12-31	VYDAJ	VYBER	18600	39851	\N	\N	\N
1764355	5984	1996-01-30	VYDAJ	VYBER	13900	26156	\N	\N	\N
1764356	5984	1996-02-29	VYDAJ	VYBER	15500	26627	\N	\N	\N
1764357	5984	1996-03-30	VYDAJ	VYBER	13300	26131	\N	\N	\N
1764358	5984	1996-04-29	VYDAJ	VYBER	13400	23774	\N	\N	\N
1764359	5984	1996-05-29	VYDAJ	VYBER	15800	22613	\N	\N	\N
1764360	5984	1996-06-28	VYDAJ	VYBER	9700	16189	\N	\N	\N
1764361	5984	1996-07-28	VYDAJ	VYBER	14000	18024	\N	\N	\N
1764362	5984	1996-08-27	VYDAJ	VYBER	14900	18896	\N	\N	\N
1764363	5984	1996-09-26	VYDAJ	VYBER	14900	19774	\N	\N	\N
1764364	5984	1996-10-26	VYDAJ	VYBER	18900	16656	\N	\N	\N
1764365	5984	1996-11-25	VYDAJ	VYBER	15000	14239	\N	\N	\N
1764366	5984	1996-12-25	VYDAJ	VYBER	18900	17986	\N	\N	\N
1764367	5984	1997-01-24	VYDAJ	VYBER	14600	12588	\N	\N	\N
1764368	5984	1997-02-23	VYDAJ	VYBER	8700	8381	\N	\N	\N
1764369	5984	1997-03-25	VYDAJ	VYBER	10300	13795	\N	\N	\N
1764370	5984	1997-04-24	VYDAJ	VYBER	13500	16037	\N	\N	\N
1764371	5984	1997-05-24	VYDAJ	VYBER	14200	17599	\N	\N	\N
1764372	5984	1997-06-23	VYDAJ	VYBER	17900	16028	\N	\N	\N
1764373	5984	1997-07-23	VYDAJ	VYBER	11900	16524	\N	\N	\N
1764374	5984	1997-08-22	VYDAJ	VYBER	15900	16383	\N	\N	\N
1764375	5984	1997-09-21	VYDAJ	VYBER	15200	16953	\N	\N	\N
1764376	5984	1997-10-21	VYDAJ	VYBER	17800	14924	\N	\N	\N
1764377	5984	1997-11-20	VYDAJ	VYBER	15500	15193	\N	\N	\N
1764378	5984	1997-12-20	VYDAJ	VYBER	18000	18915	\N	\N	\N
1764379	5984	1998-01-19	VYDAJ	VYBER	16200	7706	\N	\N	\N
1764380	5984	1998-02-18	VYDAJ	VYBER	16200	6065	\N	\N	\N
1764381	5984	1998-03-20	VYDAJ	VYBER	20700	-1308	\N	\N	\N
1764382	5984	1998-04-19	VYDAJ	VYBER	11200	3218	\N	\N	\N
1764383	5984	1998-05-19	VYDAJ	VYBER	17600	-791	\N	\N	\N
1764384	5984	1998-06-18	VYDAJ	VYBER	20200	2580	\N	\N	\N
1764385	5984	1998-07-18	VYDAJ	VYBER	12100	6177	\N	\N	\N
1764386	5984	1998-08-17	VYDAJ	VYBER	13700	8194	\N	\N	\N
1764387	5984	1998-09-16	VYDAJ	VYBER	14200	9723	\N	\N	\N
1764388	5984	1998-10-16	VYDAJ	VYBER	16300	9160	\N	\N	\N
1764389	5984	1998-11-15	VYDAJ	VYBER	17800	7098	\N	\N	\N
1764390	5984	1998-12-15	VYDAJ	VYBER	18500	12190	\N	\N	\N
1765851	5991	1993-11-21	PRIJEM	VKLAD	900	900	\N	\N	\N
1765863	5991	1993-12-11	PRIJEM	VKLAD	24372	25272	\N	\N	\N
1765864	5991	1994-01-11	PRIJEM	VKLAD	16248	41357	\N	\N	\N
1765865	5991	1994-02-11	PRIJEM	VKLAD	16248	49022	\N	\N	\N
1765866	5991	1994-03-11	PRIJEM	VKLAD	16248	52912	\N	\N	\N
1765867	5991	1994-04-11	PRIJEM	VKLAD	16248	55816	\N	\N	\N
1765868	5991	1994-05-11	PRIJEM	VKLAD	16248	45713	\N	\N	\N
1765869	5991	1994-06-11	PRIJEM	VKLAD	24372	53015	\N	\N	\N
1765870	5991	1994-07-11	PRIJEM	VKLAD	16248	48907	\N	\N	\N
1765871	5991	1994-08-11	PRIJEM	VKLAD	16248	48301	\N	\N	\N
1765872	5991	1994-09-11	PRIJEM	VKLAD	16248	44483	\N	\N	\N
1765873	5991	1994-10-11	PRIJEM	VKLAD	16248	37506	\N	\N	\N
1765874	5991	1994-11-11	PRIJEM	VKLAD	16248	43560	\N	\N	\N
1765875	5991	1994-12-11	PRIJEM	VKLAD	24372	55084	\N	\N	\N
1765876	5991	1995-01-11	PRIJEM	VKLAD	16248	47266	\N	\N	\N
1765877	5991	1995-02-11	PRIJEM	VKLAD	16248	29264	\N	\N	\N
1765878	5991	1995-03-11	PRIJEM	VKLAD	16248	37312	\N	\N	\N
1765879	5991	1995-04-11	PRIJEM	VKLAD	16248	38624	\N	\N	\N
1765880	5991	1995-05-11	PRIJEM	VKLAD	16248	39233	\N	\N	\N
1765881	5991	1995-06-11	PRIJEM	VKLAD	24372	47535	\N	\N	\N
1765882	5991	1995-07-11	PRIJEM	VKLAD	16248	48531	\N	\N	\N
1765883	5991	1995-08-11	PRIJEM	VKLAD	16248	44131	\N	\N	\N
1765884	5991	1995-09-11	PRIJEM	VKLAD	16248	42718	\N	\N	\N
1765885	5991	1995-10-11	PRIJEM	VKLAD	16248	43423	\N	\N	\N
1765886	5991	1995-11-11	PRIJEM	VKLAD	16248	42097	\N	\N	\N
1765887	5991	1995-12-11	PRIJEM	VKLAD	24372	50806	\N	\N	\N
1765888	5991	1996-01-11	PRIJEM	VKLAD	16248	38722	\N	\N	\N
1765889	5991	1996-02-11	PRIJEM	VKLAD	16248	45644	\N	\N	\N
1765890	5991	1996-03-11	PRIJEM	VKLAD	16248	51758	\N	\N	\N
1765891	5991	1996-04-11	PRIJEM	VKLAD	16248	49323	\N	\N	\N
1765892	5991	1996-05-11	PRIJEM	VKLAD	16248	49463	\N	\N	\N
1765893	5991	1996-06-11	PRIJEM	VKLAD	24372	57224	\N	\N	\N
1765894	5991	1996-07-11	PRIJEM	VKLAD	16248	41747	\N	\N	\N
1765895	5991	1996-08-11	PRIJEM	VKLAD	16248	44869	\N	\N	\N
1765896	5991	1996-09-11	PRIJEM	VKLAD	16248	47586	\N	\N	\N
1765897	5991	1996-10-11	PRIJEM	VKLAD	16248	42255	\N	\N	\N
1765898	5991	1996-11-11	PRIJEM	VKLAD	16248	42369	\N	\N	\N
1765899	5991	1996-12-11	PRIJEM	VKLAD	24372	50444	\N	\N	\N
1765900	5991	1997-01-11	PRIJEM	VKLAD	16248	43844	\N	\N	\N
1765901	5991	1997-02-11	PRIJEM	VKLAD	16248	34321	\N	\N	\N
1765902	5991	1997-03-11	PRIJEM	VKLAD	16248	40764	\N	\N	\N
1765903	5991	1997-04-11	PRIJEM	VKLAD	16248	44562	\N	\N	\N
1765904	5991	1997-05-11	PRIJEM	VKLAD	16248	39872	\N	\N	\N
1765905	5991	1997-06-11	PRIJEM	VKLAD	24372	48793	\N	\N	\N
1765906	5991	1997-07-11	PRIJEM	VKLAD	16248	32032	\N	\N	\N
1765907	5991	1997-08-11	PRIJEM	VKLAD	16248	33252	\N	\N	\N
1765908	5991	1997-09-11	PRIJEM	VKLAD	16248	33917	\N	\N	\N
1765909	5991	1997-10-11	PRIJEM	VKLAD	16248	30327	\N	\N	\N
1765910	5991	1997-11-11	PRIJEM	VKLAD	16248	30348	\N	\N	\N
1765911	5991	1997-12-11	PRIJEM	VKLAD	24372	38223	\N	\N	\N
1765912	5991	1998-01-11	PRIJEM	VKLAD	16248	31193	\N	\N	\N
1765913	5991	1998-02-11	PRIJEM	VKLAD	16248	29586	\N	\N	\N
1765914	5991	1998-03-11	PRIJEM	VKLAD	16248	38434	\N	\N	\N
1765915	5991	1998-04-11	PRIJEM	VKLAD	16248	33716	\N	\N	\N
1765916	5991	1998-05-11	PRIJEM	VKLAD	16248	33279	\N	\N	\N
1765917	5991	1998-06-11	PRIJEM	VKLAD	24372	35561	\N	\N	\N
1765918	5991	1998-07-11	PRIJEM	VKLAD	16248	44423	\N	\N	\N
1765919	5991	1998-08-11	PRIJEM	VKLAD	16248	31078	\N	\N	\N
1765920	5991	1998-09-11	PRIJEM	VKLAD	16248	39933	\N	\N	\N
1765921	5991	1998-10-11	PRIJEM	VKLAD	16248	45579	\N	\N	\N
1765922	5991	1998-11-11	PRIJEM	VKLAD	16248	54494	\N	\N	\N
1765923	5991	1998-12-11	PRIJEM	VKLAD	24372	36614	\N	\N	\N
1765940	5991	1994-05-09	VYDAJ	PREVOD NA UCET	1978	29465	SIPO	UV	6799704
1765941	5991	1994-06-09	VYDAJ	PREVOD NA UCET	1978	28643	SIPO	UV	6799704
1765942	5991	1994-07-09	VYDAJ	PREVOD NA UCET	1978	33959	SIPO	UV	6799704
1765943	5991	1994-08-09	VYDAJ	PREVOD NA UCET	1978	32053	SIPO	UV	6799704
1765944	5991	1994-09-09	VYDAJ	PREVOD NA UCET	1978	28235	SIPO	UV	6799704
1765945	5991	1994-10-09	VYDAJ	PREVOD NA UCET	1978	22158	SIPO	UV	6799704
1765946	5991	1994-11-09	VYDAJ	PREVOD NA UCET	1978	27312	SIPO	UV	6799704
1765947	5991	1994-12-09	VYDAJ	PREVOD NA UCET	1978	30712	SIPO	UV	6799704
1765948	5991	1995-01-09	VYDAJ	PREVOD NA UCET	1978	31618	SIPO	UV	6799704
1765949	5991	1995-02-09	VYDAJ	PREVOD NA UCET	1978	13016	SIPO	UV	6799704
1765950	5991	1995-03-09	VYDAJ	PREVOD NA UCET	1978	21064	SIPO	UV	6799704
1765951	5991	1995-04-09	VYDAJ	PREVOD NA UCET	1978	22376	SIPO	UV	6799704
1765952	5991	1995-05-09	VYDAJ	PREVOD NA UCET	1978	22985	SIPO	UV	6799704
1765953	5991	1995-06-09	VYDAJ	PREVOD NA UCET	1978	23163	SIPO	UV	6799704
1765954	5991	1995-07-09	VYDAJ	PREVOD NA UCET	1978	32283	SIPO	UV	6799704
1765955	5991	1995-08-09	VYDAJ	PREVOD NA UCET	1978	27883	SIPO	UV	6799704
1765956	5991	1995-09-09	VYDAJ	PREVOD NA UCET	1978	26470	SIPO	UV	6799704
1765957	5991	1995-10-09	VYDAJ	PREVOD NA UCET	1978	27175	SIPO	UV	6799704
1765958	5991	1995-11-09	VYDAJ	PREVOD NA UCET	1978	28969	SIPO	UV	6799704
1765959	5991	1995-12-09	VYDAJ	PREVOD NA UCET	1978	26434	SIPO	UV	6799704
1765960	5991	1996-01-09	VYDAJ	PREVOD NA UCET	1978	19274	SIPO	UV	6799704
1765961	5991	1996-02-09	VYDAJ	PREVOD NA UCET	1978	29396	SIPO	UV	6799704
1765962	5991	1996-03-09	VYDAJ	PREVOD NA UCET	1978	38310	SIPO	UV	6799704
1765963	5991	1996-04-09	VYDAJ	PREVOD NA UCET	1978	33075	SIPO	UV	6799704
1765964	5991	1996-05-09	VYDAJ	PREVOD NA UCET	1978	33215	SIPO	UV	6799704
1765965	5991	1996-06-09	VYDAJ	PREVOD NA UCET	1978	32852	SIPO	UV	6799704
1765966	5991	1996-07-09	VYDAJ	PREVOD NA UCET	1978	25499	SIPO	UV	6799704
1765967	5991	1996-08-09	VYDAJ	PREVOD NA UCET	1978	28621	SIPO	UV	6799704
1765968	5991	1996-09-09	VYDAJ	PREVOD NA UCET	1978	31338	SIPO	UV	6799704
1765969	5991	1996-10-09	VYDAJ	PREVOD NA UCET	1978	26007	SIPO	UV	6799704
1765970	5991	1996-11-09	VYDAJ	PREVOD NA UCET	1978	26121	SIPO	UV	6799704
1765971	5991	1996-12-09	VYDAJ	PREVOD NA UCET	1978	26072	SIPO	UV	6799704
1765972	5991	1997-01-09	VYDAJ	PREVOD NA UCET	1978	27596	SIPO	UV	6799704
1765973	5991	1997-02-09	VYDAJ	PREVOD NA UCET	1978	18073	SIPO	UV	6799704
1765974	5991	1997-03-09	VYDAJ	PREVOD NA UCET	1978	24516	SIPO	UV	6799704
1765975	5991	1997-04-09	VYDAJ	PREVOD NA UCET	1978	28314	SIPO	UV	6799704
1765976	5991	1997-05-09	VYDAJ	PREVOD NA UCET	1978	23624	SIPO	UV	6799704
1765977	5991	1997-06-09	VYDAJ	PREVOD NA UCET	1978	24421	SIPO	UV	6799704
1765978	5991	1997-07-09	VYDAJ	PREVOD NA UCET	1978	15784	SIPO	UV	6799704
1765979	5991	1997-08-09	VYDAJ	PREVOD NA UCET	1978	17004	SIPO	UV	6799704
1765980	5991	1997-09-09	VYDAJ	PREVOD NA UCET	1978	17669	SIPO	UV	6799704
1765981	5991	1997-10-09	VYDAJ	PREVOD NA UCET	1978	14079	SIPO	UV	6799704
1765982	5991	1997-11-09	VYDAJ	PREVOD NA UCET	1978	14100	SIPO	UV	6799704
1765983	5991	1997-12-09	VYDAJ	PREVOD NA UCET	1978	13851	SIPO	UV	6799704
1765984	5991	1998-01-09	VYDAJ	PREVOD NA UCET	1978	14945	SIPO	UV	6799704
1765985	5991	1998-02-09	VYDAJ	PREVOD NA UCET	1978	13338	SIPO	UV	6799704
1765986	5991	1998-03-09	VYDAJ	PREVOD NA UCET	1978	22186	SIPO	UV	6799704
1765987	5991	1998-04-09	VYDAJ	PREVOD NA UCET	1978	17468	SIPO	UV	6799704
1765988	5991	1998-05-09	VYDAJ	PREVOD NA UCET	1978	17031	SIPO	UV	6799704
1765989	5991	1998-06-09	VYDAJ	PREVOD NA UCET	1978	11189	SIPO	UV	6799704
1765990	5991	1998-07-09	VYDAJ	PREVOD NA UCET	1978	28175	SIPO	UV	6799704
1765991	5991	1998-08-09	VYDAJ	PREVOD NA UCET	1978	14830	SIPO	UV	6799704
1765992	5991	1998-09-09	VYDAJ	PREVOD NA UCET	1978	23685	SIPO	UV	6799704
1765993	5991	1998-10-09	VYDAJ	PREVOD NA UCET	1978	29331	SIPO	UV	6799704
1765994	5991	1998-11-09	VYDAJ	PREVOD NA UCET	1978	38246	SIPO	UV	6799704
1765995	5991	1998-12-09	VYDAJ	PREVOD NA UCET	1978	12242	SIPO	UV	6799704
1766012	5991	1994-05-05	VYDAJ	PREVOD NA UCET	4235	31443	 	KL	83801996
1766013	5991	1994-06-05	VYDAJ	PREVOD NA UCET	4235	30621	 	KL	83801996
1766014	5991	1994-07-05	VYDAJ	PREVOD NA UCET	4235	35937	 	KL	83801996
1766015	5991	1994-08-05	VYDAJ	PREVOD NA UCET	4235	34031	 	KL	83801996
1766016	5991	1994-09-05	VYDAJ	PREVOD NA UCET	4235	31313	 	KL	83801996
1766017	5991	1994-10-05	VYDAJ	PREVOD NA UCET	4235	24136	 	KL	83801996
1766018	5991	1994-11-05	VYDAJ	PREVOD NA UCET	4235	29290	 	KL	83801996
1766019	5991	1994-12-05	VYDAJ	PREVOD NA UCET	4235	32690	 	KL	83801996
1766020	5991	1995-01-05	VYDAJ	PREVOD NA UCET	4235	33596	 	KL	83801996
1766021	5991	1995-02-05	VYDAJ	PREVOD NA UCET	4235	14994	 	KL	83801996
1766022	5991	1995-03-05	VYDAJ	PREVOD NA UCET	4235	23042	 	KL	83801996
1766023	5991	1995-04-05	VYDAJ	PREVOD NA UCET	4235	24354	 	KL	83801996
1766024	5991	1995-05-05	VYDAJ	PREVOD NA UCET	4235	24963	 	KL	83801996
1766025	5991	1995-06-05	VYDAJ	PREVOD NA UCET	4235	25141	 	KL	83801996
1766026	5991	1995-07-05	VYDAJ	PREVOD NA UCET	4235	34261	 	KL	83801996
1766027	5991	1995-08-05	VYDAJ	PREVOD NA UCET	4235	29861	 	KL	83801996
1766028	5991	1995-09-05	VYDAJ	PREVOD NA UCET	4235	28448	 	KL	83801996
1766029	5991	1995-10-05	VYDAJ	PREVOD NA UCET	4235	29153	 	KL	83801996
1766030	5991	1995-11-05	VYDAJ	PREVOD NA UCET	4235	30947	 	KL	83801996
1766031	5991	1995-12-05	VYDAJ	PREVOD NA UCET	4235	28412	 	KL	83801996
1766032	5991	1996-01-05	VYDAJ	PREVOD NA UCET	4235	25972	 	KL	83801996
1766033	5991	1996-02-05	VYDAJ	PREVOD NA UCET	4235	27574	 	KL	83801996
1766034	5991	1996-03-05	VYDAJ	PREVOD NA UCET	4235	40288	 	KL	83801996
1766035	5991	1996-04-05	VYDAJ	PREVOD NA UCET	4235	40553	 	KL	83801996
1766036	5991	1996-05-05	VYDAJ	PREVOD NA UCET	4235	43993	 	KL	83801996
1766037	5991	1996-06-05	VYDAJ	PREVOD NA UCET	4235	38730	 	KL	83801996
1766038	5991	1996-07-05	VYDAJ	PREVOD NA UCET	4235	33477	 	KL	83801996
1766039	5991	1996-08-05	VYDAJ	PREVOD NA UCET	4235	34699	 	KL	83801996
1766040	5991	1996-09-05	VYDAJ	PREVOD NA UCET	4235	39516	 	KL	83801996
1766041	5991	1996-10-05	VYDAJ	PREVOD NA UCET	4235	41165	 	KL	83801996
1766042	5991	1996-11-05	VYDAJ	PREVOD NA UCET	4235	36899	 	KL	83801996
1766043	5991	1996-12-05	VYDAJ	PREVOD NA UCET	4235	33050	 	KL	83801996
1766044	5991	1997-01-05	VYDAJ	PREVOD NA UCET	4235	33774	 	KL	83801996
1766045	5991	1997-02-05	VYDAJ	PREVOD NA UCET	4235	20051	 	KL	83801996
1766046	5991	1997-03-05	VYDAJ	PREVOD NA UCET	4235	26494	 	KL	83801996
1766047	5991	1997-04-05	VYDAJ	PREVOD NA UCET	4235	30292	 	KL	83801996
1766048	5991	1997-05-05	VYDAJ	PREVOD NA UCET	4235	25602	 	KL	83801996
1766049	5991	1997-06-05	VYDAJ	PREVOD NA UCET	4235	26399	 	KL	83801996
1766050	5991	1997-07-05	VYDAJ	PREVOD NA UCET	4235	17762	 	KL	83801996
1766051	5991	1997-08-05	VYDAJ	PREVOD NA UCET	4235	18982	 	KL	83801996
1766052	5991	1997-09-05	VYDAJ	PREVOD NA UCET	4235	19647	 	KL	83801996
1766053	5991	1997-10-05	VYDAJ	PREVOD NA UCET	4235	16057	 	KL	83801996
1766054	5991	1997-11-05	VYDAJ	PREVOD NA UCET	4235	16078	 	KL	83801996
1766055	5991	1997-12-05	VYDAJ	PREVOD NA UCET	4235	15829	 	KL	83801996
1766056	5991	1998-01-05	VYDAJ	PREVOD NA UCET	4235	16923	 	KL	83801996
1766057	5991	1998-02-05	VYDAJ	PREVOD NA UCET	4235	15316	 	KL	83801996
1766058	5991	1998-03-05	VYDAJ	PREVOD NA UCET	4235	24164	 	KL	83801996
1766059	5991	1998-04-05	VYDAJ	PREVOD NA UCET	4235	19446	 	KL	83801996
1766060	5991	1998-05-05	VYDAJ	PREVOD NA UCET	4235	19009	 	KL	83801996
1766061	5991	1998-06-05	VYDAJ	PREVOD NA UCET	4235	13167	 	KL	83801996
1766062	5991	1998-07-05	VYDAJ	PREVOD NA UCET	4235	30153	 	KL	83801996
1766063	5991	1998-08-05	VYDAJ	PREVOD NA UCET	4235	16808	 	KL	83801996
1766064	5991	1998-09-05	VYDAJ	PREVOD NA UCET	4235	25663	 	KL	83801996
1766065	5991	1998-10-05	VYDAJ	PREVOD NA UCET	4235	31309	 	KL	83801996
1766066	5991	1998-11-05	VYDAJ	PREVOD NA UCET	4235	40224	 	KL	83801996
1766067	5991	1998-12-05	VYDAJ	PREVOD NA UCET	4235	14220	 	KL	83801996
1766083	5991	1994-04-16	VYDAJ	VYBER	700	55116	\N	\N	0
1766084	5991	1994-05-03	VYDAJ	VYBER	1500	35678	\N	\N	0
1766085	5991	1994-06-11	VYDAJ	VYBER	900	52115	\N	\N	0
1766086	5991	1994-07-10	VYDAJ	VYBER	1300	32659	\N	\N	0
1766087	5991	1994-07-30	VYDAJ	VYBER	1200	38107	\N	\N	0
1766088	5991	1994-09-06	VYDAJ	VYBER	1100	30213	\N	\N	0
1766089	5991	1994-10-10	VYDAJ	VYBER	900	21258	\N	\N	0
1766090	5991	1994-11-12	VYDAJ	PREVOD NA UCET	1272	42288	UVER	MN	49866914
1766091	5991	1994-12-12	VYDAJ	PREVOD NA UCET	1272	53812	UVER	MN	49866914
1766092	5991	1995-01-12	VYDAJ	PREVOD NA UCET	1272	45994	UVER	MN	49866914
1766093	5991	1995-02-12	VYDAJ	PREVOD NA UCET	1272	27992	UVER	MN	49866914
1766094	5991	1995-03-12	VYDAJ	PREVOD NA UCET	1272	36040	UVER	MN	49866914
1766095	5991	1995-04-12	VYDAJ	PREVOD NA UCET	1272	37352	UVER	MN	49866914
1766096	5991	1995-05-12	VYDAJ	PREVOD NA UCET	1272	37961	UVER	MN	49866914
1766097	5991	1995-06-12	VYDAJ	PREVOD NA UCET	1272	46263	UVER	MN	49866914
1766098	5991	1995-07-12	VYDAJ	PREVOD NA UCET	1272	47259	UVER	MN	49866914
1766099	5991	1995-08-12	VYDAJ	PREVOD NA UCET	1272	42859	UVER	MN	49866914
1766100	5991	1995-09-12	VYDAJ	PREVOD NA UCET	1272	41446	UVER	MN	49866914
1766101	5991	1995-10-12	VYDAJ	PREVOD NA UCET	1272	35051	UVER	MN	49866914
1766102	5991	1995-11-12	VYDAJ	PREVOD NA UCET	1272	32525	UVER	MN	49866914
1766103	5991	1995-12-12	VYDAJ	PREVOD NA UCET	1272	38834	UVER	MN	49866914
1766104	5991	1996-01-12	VYDAJ	PREVOD NA UCET	1272	37450	UVER	MN	49866914
1766105	5991	1996-02-12	VYDAJ	PREVOD NA UCET	1272	44372	UVER	MN	49866914
1766106	5991	1996-03-12	VYDAJ	PREVOD NA UCET	1272	50486	UVER	MN	49866914
1766107	5991	1996-04-12	VYDAJ	PREVOD NA UCET	1272	48051	UVER	MN	49866914
1766108	5991	1996-05-12	VYDAJ	PREVOD NA UCET	1272	48191	UVER	MN	49866914
1766109	5991	1996-06-12	VYDAJ	PREVOD NA UCET	1272	55952	UVER	MN	49866914
1766110	5991	1996-07-12	VYDAJ	PREVOD NA UCET	1272	38795	UVER	MN	49866914
1766111	5991	1996-08-12	VYDAJ	PREVOD NA UCET	1272	43597	UVER	MN	49866914
1766112	5991	1996-09-12	VYDAJ	PREVOD NA UCET	1272	46314	UVER	MN	49866914
1766113	5991	1996-10-12	VYDAJ	PREVOD NA UCET	1272	40983	UVER	MN	49866914
1766114	5991	1996-11-12	VYDAJ	PREVOD NA UCET	1272	41097	UVER	MN	49866914
1766115	5991	1996-12-12	VYDAJ	PREVOD NA UCET	1272	46452	UVER	MN	49866914
1766116	5991	1997-01-12	VYDAJ	PREVOD NA UCET	1272	36932	UVER	MN	49866914
1766117	5991	1997-02-12	VYDAJ	PREVOD NA UCET	1272	33049	UVER	MN	49866914
1766118	5991	1997-03-12	VYDAJ	PREVOD NA UCET	1272	39492	UVER	MN	49866914
1766119	5991	1997-04-12	VYDAJ	PREVOD NA UCET	1272	43290	UVER	MN	49866914
1766120	5991	1997-05-12	VYDAJ	PREVOD NA UCET	1272	38600	UVER	MN	49866914
1766121	5991	1997-06-12	VYDAJ	PREVOD NA UCET	1272	47521	UVER	MN	49866914
1766122	5991	1997-07-12	VYDAJ	PREVOD NA UCET	1272	30760	UVER	MN	49866914
1766123	5991	1997-08-12	VYDAJ	PREVOD NA UCET	1272	31980	UVER	MN	49866914
1766124	5991	1997-09-12	VYDAJ	PREVOD NA UCET	1272	32645	UVER	MN	49866914
1766125	5991	1997-10-12	VYDAJ	PREVOD NA UCET	1272	29055	UVER	MN	49866914
1766126	5991	1997-11-12	VYDAJ	PREVOD NA UCET	1272	29076	UVER	MN	49866914
1766127	5991	1997-12-12	VYDAJ	PREVOD NA UCET	1272	36951	UVER	MN	49866914
1766128	5991	1998-01-12	VYDAJ	PREVOD NA UCET	1272	26921	UVER	MN	49866914
1766129	5991	1998-02-12	VYDAJ	PREVOD NA UCET	1272	28314	UVER	MN	49866914
1766130	5991	1998-03-12	VYDAJ	PREVOD NA UCET	1272	37162	UVER	MN	49866914
1766131	5991	1998-04-12	VYDAJ	PREVOD NA UCET	1272	32444	UVER	MN	49866914
1766132	5991	1998-05-12	VYDAJ	PREVOD NA UCET	1272	32007	UVER	MN	49866914
1766133	5991	1998-06-12	VYDAJ	PREVOD NA UCET	1272	34289	UVER	MN	49866914
1766134	5991	1998-07-12	VYDAJ	PREVOD NA UCET	1272	43151	UVER	MN	49866914
1766135	5991	1998-08-12	VYDAJ	PREVOD NA UCET	1272	29806	UVER	MN	49866914
1766136	5991	1998-09-12	VYDAJ	PREVOD NA UCET	1272	38661	UVER	MN	49866914
1766137	5991	1998-10-12	VYDAJ	PREVOD NA UCET	1272	44307	UVER	MN	49866914
1766138	5991	1998-11-21	VYDAJ	VYBER	700	53794	\N	\N	0
1766139	5991	1998-12-13	VYDAJ	VYBER	1300	35314	\N	\N	0
1766143	5991	1996-06-17	VYDAJ	VYBER	18400	37552	\N	\N	\N
1766144	5991	1997-06-14	VYDAJ	VYBER	16160	31361	\N	\N	\N
1766148	5991	1995-01-30	VYDAJ	VYBER	15200	19094	\N	\N	\N
1766149	5991	1996-01-08	VYDAJ	VYBER	3040	22932	\N	\N	\N
1766150	5991	1997-01-25	VYDAJ	VYBER	12960	20012	\N	\N	\N
1766153	5991	1994-12-13	VYDAJ	VYBER	3520	50292	\N	\N	\N
1766154	5991	1995-12-26	VYDAJ	VYBER	3360	35474	\N	\N	\N
1766155	5991	1996-12-11	VYDAJ	VYBER	2720	47724	\N	\N	\N
1766157	5991	1998-12-14	VYDAJ	VYBER	3360	31954	\N	\N	\N
1766170	5991	1995-01-04	VYDAJ	VYBER	3240	37831	\N	\N	\N
1766171	5991	1995-01-14	VYDAJ	VYBER	1200	44794	\N	\N	\N
1766172	5991	1995-01-17	VYDAJ	VYBER	1200	34894	\N	\N	\N
1766173	5991	1995-01-29	VYDAJ	VYBER	600	34294	\N	\N	\N
1766174	5991	1995-01-10	VYDAJ	VYBER	600	31018	\N	\N	\N
1766175	5991	1995-01-03	VYDAJ	VYBER	1680	41071	\N	\N	\N
1766176	5991	1996-01-08	VYDAJ	VYBER	1680	21252	\N	\N	\N
1766177	5991	1996-01-03	VYDAJ	VYBER	2520	30207	\N	\N	\N
1766178	5991	1996-01-02	VYDAJ	VYBER	2880	32727	\N	\N	\N
1766179	5991	1996-01-14	VYDAJ	VYBER	2520	34930	\N	\N	\N
1766180	5991	1996-01-27	VYDAJ	VYBER	1080	33850	\N	\N	\N
1766181	5991	1996-01-29	VYDAJ	VYBER	2160	31690	\N	\N	\N
1766182	5991	1997-01-08	VYDAJ	VYBER	1680	32094	\N	\N	\N
1766183	5991	1997-01-08	VYDAJ	VYBER	2520	29574	\N	\N	\N
1766184	5991	1997-01-02	VYDAJ	VYBER	3000	43609	\N	\N	\N
1766185	5991	1997-01-17	VYDAJ	VYBER	840	32972	\N	\N	\N
1766186	5991	1997-01-27	VYDAJ	VYBER	1440	18572	\N	\N	\N
1766187	5991	1997-01-13	VYDAJ	VYBER	3120	33812	\N	\N	\N
1766188	5991	1998-01-22	VYDAJ	VYBER	1200	19481	\N	\N	\N
1766190	5991	1998-01-16	VYDAJ	VYBER	3240	22121	\N	\N	\N
1766191	5991	1998-01-14	VYDAJ	VYBER	1560	25361	\N	\N	\N
1766192	5991	1998-01-18	VYDAJ	VYBER	1440	20681	\N	\N	\N
1766193	5991	1998-01-11	VYDAJ	VYBER	3000	28193	\N	\N	\N
1766199	5991	1994-09-15	VYDAJ	VYBER	1320	39083	\N	\N	\N
1766200	5991	1994-05-02	VYDAJ	VYBER	4800	37178	\N	\N	\N
1766201	5991	1994-09-13	VYDAJ	VYBER	4080	40403	\N	\N	\N
1766202	5991	1994-09-29	VYDAJ	VYBER	5040	28243	\N	\N	\N
1766203	5991	1995-04-12	VYDAJ	VYBER	5760	31592	\N	\N	\N
1766204	5991	1995-03-20	VYDAJ	VYBER	5160	28480	\N	\N	\N
1766205	5991	1995-11-10	VYDAJ	VYBER	3120	25849	\N	\N	\N
1766206	5991	1995-05-30	VYDAJ	VYBER	2400	29261	\N	\N	\N
1766207	5991	1996-10-06	VYDAJ	VYBER	5280	35885	\N	\N	\N
1766208	5991	1996-03-29	VYDAJ	VYBER	5880	44606	\N	\N	\N
1766209	5991	1996-05-23	VYDAJ	VYBER	5400	42791	\N	\N	\N
1766210	5991	1996-11-30	VYDAJ	VYBER	3960	37299	\N	\N	\N
1766211	5991	1996-07-11	VYDAJ	VYBER	1680	40067	\N	\N	\N
1766212	5991	1996-10-01	VYDAJ	VYBER	1080	45400	\N	\N	\N
1766213	5991	1997-07-30	VYDAJ	VYBER	3840	26920	\N	\N	\N
1766214	5991	1997-01-11	VYDAJ	VYBER	5640	38204	\N	\N	\N
1766215	5991	1997-10-12	VYDAJ	VYBER	3120	25935	\N	\N	\N
1766216	5991	1997-10-01	VYDAJ	VYBER	2760	20292	\N	\N	\N
1766217	5991	1997-03-03	VYDAJ	VYBER	1320	31829	\N	\N	\N
1766218	5991	1997-06-26	VYDAJ	VYBER	4680	26681	\N	\N	\N
1766219	5991	1997-04-16	VYDAJ	VYBER	1800	41490	\N	\N	\N
1766220	5991	1998-09-27	VYDAJ	VYBER	1320	35421	\N	\N	\N
1766221	5991	1998-09-17	VYDAJ	VYBER	1920	36741	\N	\N	\N
1766222	5991	1998-07-20	VYDAJ	VYBER	3240	39911	\N	\N	\N
1766239	5991	1994-04-30	VYDAJ	VYBER	15	41978	SLUZBY	\N	\N
1766240	5991	1994-05-31	VYDAJ	VYBER	15	34856	SLUZBY	\N	\N
1766241	5991	1994-06-30	VYDAJ	VYBER	15	40172	SLUZBY	\N	\N
1766242	5991	1994-07-31	VYDAJ	VYBER	15	38266	SLUZBY	\N	\N
1766243	5991	1994-08-31	VYDAJ	VYBER	15	35548	SLUZBY	\N	\N
1766244	5991	1994-09-30	VYDAJ	VYBER	15	28371	SLUZBY	\N	\N
1766245	5991	1994-10-31	VYDAJ	VYBER	15	33525	SLUZBY	\N	\N
1766246	5991	1994-11-30	VYDAJ	VYBER	15	36925	SLUZBY	\N	\N
1766247	5991	1994-12-31	VYDAJ	VYBER	15	42751	SLUZBY	\N	\N
1766248	5991	1995-01-31	VYDAJ	VYBER	15	19229	SLUZBY	\N	\N
1766249	5991	1995-02-28	VYDAJ	VYBER	15	27277	SLUZBY	\N	\N
1766250	5991	1995-03-31	VYDAJ	VYBER	15	28589	SLUZBY	\N	\N
1766251	5991	1995-04-30	VYDAJ	VYBER	15	29198	SLUZBY	\N	\N
1766252	5991	1995-05-31	VYDAJ	VYBER	15	29376	SLUZBY	\N	\N
1766253	5991	1995-06-30	VYDAJ	VYBER	15	38496	SLUZBY	\N	\N
1766254	5991	1995-07-31	VYDAJ	VYBER	15	34096	SLUZBY	\N	\N
1766255	5991	1995-08-31	VYDAJ	VYBER	15	32683	SLUZBY	\N	\N
1766256	5991	1995-09-30	VYDAJ	VYBER	15	33388	SLUZBY	\N	\N
1766257	5991	1995-10-31	VYDAJ	VYBER	15	35182	SLUZBY	\N	\N
1766258	5991	1995-11-30	VYDAJ	VYBER	15	32647	SLUZBY	\N	\N
1766259	5991	1995-12-31	VYDAJ	VYBER	15	35607	SLUZBY	\N	\N
1766260	5991	1996-01-31	VYDAJ	VYBER	15	31809	SLUZBY	\N	\N
1766261	5991	1996-02-29	VYDAJ	VYBER	15	44523	SLUZBY	\N	\N
1766262	5991	1996-03-31	VYDAJ	VYBER	15	44788	SLUZBY	\N	\N
1766263	5991	1996-04-30	VYDAJ	VYBER	15	48228	SLUZBY	\N	\N
1766264	5991	1996-05-31	VYDAJ	VYBER	15	42965	SLUZBY	\N	\N
1766265	5991	1996-06-30	VYDAJ	VYBER	15	37712	SLUZBY	\N	\N
1766266	5991	1996-07-31	VYDAJ	VYBER	15	38934	SLUZBY	\N	\N
1766267	5991	1996-08-31	VYDAJ	VYBER	15	43751	SLUZBY	\N	\N
1766268	5991	1996-09-30	VYDAJ	VYBER	15	46480	SLUZBY	\N	\N
1766269	5991	1996-10-31	VYDAJ	VYBER	15	41134	SLUZBY	\N	\N
1766270	5991	1996-11-30	VYDAJ	VYBER	15	37285	SLUZBY	\N	\N
1766271	5991	1996-12-31	VYDAJ	VYBER	15	46609	SLUZBY	\N	\N
1766272	5991	1997-01-31	VYDAJ	VYBER	15	18686	SLUZBY	\N	\N
1766273	5991	1997-02-28	VYDAJ	VYBER	15	33149	SLUZBY	\N	\N
1766274	5991	1997-03-31	VYDAJ	VYBER	15	39627	SLUZBY	\N	\N
1766275	5991	1997-04-30	VYDAJ	VYBER	15	41637	SLUZBY	\N	\N
1766276	5991	1997-05-31	VYDAJ	VYBER	15	38734	SLUZBY	\N	\N
1766277	5991	1997-06-30	VYDAJ	VYBER	15	26797	SLUZBY	\N	\N
1766278	5991	1997-07-31	VYDAJ	VYBER	15	27017	SLUZBY	\N	\N
1766279	5991	1997-08-31	VYDAJ	VYBER	15	32082	SLUZBY	\N	\N
1766280	5991	1997-09-30	VYDAJ	VYBER	15	32752	SLUZBY	\N	\N
1766281	5991	1997-10-31	VYDAJ	VYBER	15	26013	SLUZBY	\N	\N
1766282	5991	1997-11-30	VYDAJ	VYBER	15	29164	SLUZBY	\N	\N
1766283	5991	1997-12-31	VYDAJ	VYBER	15	21158	SLUZBY	\N	\N
1766284	5991	1998-01-31	VYDAJ	VYBER	15	19551	SLUZBY	\N	\N
1766285	5991	1998-02-28	VYDAJ	VYBER	15	28399	SLUZBY	\N	\N
1766286	5991	1998-03-31	VYDAJ	VYBER	15	23681	SLUZBY	\N	\N
1766287	5991	1998-04-30	VYDAJ	VYBER	15	23244	SLUZBY	\N	\N
1766288	5991	1998-05-31	VYDAJ	VYBER	15	17402	SLUZBY	\N	\N
1766289	5991	1998-06-30	VYDAJ	VYBER	15	34388	SLUZBY	\N	\N
1766290	5991	1998-07-31	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
1766291	5991	1998-08-31	VYDAJ	VYBER	15	29898	SLUZBY	\N	\N
1766292	5991	1998-09-30	VYDAJ	VYBER	15	35544	SLUZBY	\N	\N
1766293	5991	1998-10-31	VYDAJ	VYBER	15	44459	SLUZBY	\N	\N
1766294	5991	1998-11-30	VYDAJ	VYBER	15	18455	SLUZBY	\N	\N
1766295	5991	1993-12-21	VYDAJ	VYBER	200	25072	\N	\N	\N
1766296	5991	1994-01-20	VYDAJ	VYBER	8700	32657	\N	\N	\N
1766297	5991	1994-02-19	VYDAJ	VYBER	12500	36522	\N	\N	\N
1766298	5991	1994-03-21	VYDAJ	VYBER	13500	39412	\N	\N	\N
1766299	5991	1994-04-20	VYDAJ	VYBER	13300	41816	\N	\N	\N
1766300	5991	1994-05-20	VYDAJ	VYBER	11000	34713	\N	\N	\N
1766301	5991	1994-06-19	VYDAJ	VYBER	12100	40015	\N	\N	\N
1766302	5991	1994-07-19	VYDAJ	VYBER	9600	39307	\N	\N	\N
1766303	5991	1994-08-18	VYDAJ	VYBER	12900	35401	\N	\N	\N
1766304	5991	1994-09-17	VYDAJ	VYBER	5800	33283	\N	\N	\N
1766305	5991	1994-10-17	VYDAJ	VYBER	4100	33406	\N	\N	\N
1766306	5991	1994-11-16	VYDAJ	VYBER	5500	36788	\N	\N	\N
1766307	5991	1994-12-16	VYDAJ	VYBER	7700	42592	\N	\N	\N
1766308	5991	1995-01-15	VYDAJ	VYBER	8700	36094	\N	\N	\N
1766309	5991	1995-02-14	VYDAJ	VYBER	800	27192	\N	\N	\N
1766310	5991	1995-03-16	VYDAJ	VYBER	2400	33640	\N	\N	\N
1766311	5991	1995-04-15	VYDAJ	VYBER	2500	29092	\N	\N	\N
1766312	5991	1995-05-15	VYDAJ	VYBER	6300	31661	\N	\N	\N
1766313	5991	1995-06-14	VYDAJ	VYBER	7900	38363	\N	\N	\N
1766314	5991	1995-07-14	VYDAJ	VYBER	13300	33959	\N	\N	\N
1766315	5991	1995-08-13	VYDAJ	VYBER	10300	32559	\N	\N	\N
1766316	5991	1995-09-12	VYDAJ	VYBER	8200	33246	\N	\N	\N
1766317	5991	1995-10-12	VYDAJ	VYBER	7100	36323	\N	\N	\N
1766318	5991	1995-11-11	VYDAJ	VYBER	8300	33797	\N	\N	\N
1766319	5991	1995-12-11	VYDAJ	VYBER	10700	40106	\N	\N	\N
1766320	5991	1996-01-10	PRIJEM	VKLAD	3200	22474	\N	\N	\N
1766321	5991	1996-02-09	PRIJEM	VKLAD	3800	31374	\N	\N	\N
1766322	5991	1996-03-10	VYDAJ	VYBER	2800	35510	\N	\N	\N
1766323	5991	1996-04-09	VYDAJ	VYBER	5500	35053	\N	\N	\N
1766324	5991	1996-05-09	VYDAJ	VYBER	8800	35193	\N	\N	\N
1766325	5991	1996-06-08	VYDAJ	VYBER	3900	34830	\N	\N	\N
1766326	5991	1996-07-08	VYDAJ	VYBER	6000	27477	\N	\N	\N
1766327	5991	1996-08-07	VYDAJ	VYBER	4100	30599	\N	\N	\N
1766328	5991	1996-09-06	VYDAJ	VYBER	6200	33316	\N	\N	\N
1766329	5991	1996-10-06	VYDAJ	VYBER	7900	27985	\N	\N	\N
1766330	5991	1996-11-05	VYDAJ	VYBER	8800	28099	\N	\N	\N
1766331	5991	1996-12-05	VYDAJ	VYBER	5000	28050	\N	\N	\N
1766332	5991	1997-01-04	VYDAJ	VYBER	5600	38009	\N	\N	\N
1766333	5991	1997-02-03	PRIJEM	VKLAD	5600	24286	\N	\N	\N
1766334	5991	1997-03-05	VYDAJ	VYBER	1100	30729	\N	\N	\N
1766335	5991	1997-04-04	VYDAJ	VYBER	5100	34527	\N	\N	\N
1766336	5991	1997-05-04	VYDAJ	VYBER	11800	29837	\N	\N	\N
1766337	5991	1997-06-03	VYDAJ	VYBER	8100	30634	\N	\N	\N
1766338	5991	1997-07-03	VYDAJ	VYBER	4800	21997	\N	\N	\N
1766339	5991	1997-08-02	VYDAJ	VYBER	3800	23217	\N	\N	\N
1766340	5991	1997-09-01	VYDAJ	VYBER	8200	23882	\N	\N	\N
1766341	5991	1997-10-01	VYDAJ	VYBER	9700	23052	\N	\N	\N
1766342	5991	1997-10-31	VYDAJ	VYBER	5700	20313	\N	\N	\N
1766343	5991	1997-11-30	VYDAJ	VYBER	9100	20064	\N	\N	\N
1766344	5991	1997-12-30	VYDAJ	VYBER	15900	21051	\N	\N	\N
1766345	5991	1998-03-30	VYDAJ	VYBER	13600	23562	\N	\N	\N
1766346	5991	1998-04-29	VYDAJ	VYBER	9300	23144	\N	\N	\N
1766347	5991	1998-05-29	VYDAJ	VYBER	14700	17307	\N	\N	\N
1766348	5991	1998-07-28	VYDAJ	VYBER	19000	20911	\N	\N	\N
1766349	5991	1998-11-25	VYDAJ	VYBER	35500	18294	\N	\N	\N
1777714	6030	1993-08-24	PRIJEM	VKLAD	400	400	\N	\N	\N
1777723	6030	1993-09-07	PRIJEM	VKLAD	20037	20437	\N	\N	\N
1777724	6030	1993-10-07	PRIJEM	VKLAD	20037	44301	\N	\N	\N
1777725	6030	1993-11-07	PRIJEM	VKLAD	20037	56253	\N	\N	\N
1777726	6030	1993-12-07	PRIJEM	VKLAD	30056	69764	\N	\N	\N
1777727	6030	1994-01-07	PRIJEM	VKLAD	20037	66574	\N	\N	\N
1777728	6030	1994-02-07	PRIJEM	VKLAD	20037	63787	\N	\N	\N
1777729	6030	1994-03-07	PRIJEM	VKLAD	20037	63705	\N	\N	\N
1777730	6030	1994-04-07	PRIJEM	VKLAD	20037	57738	\N	\N	\N
1777731	6030	1994-05-07	PRIJEM	VKLAD	20037	56733	\N	\N	\N
1777732	6030	1994-06-07	PRIJEM	VKLAD	30056	69011	\N	\N	\N
1777733	6030	1994-07-07	PRIJEM	VKLAD	20037	63287	\N	\N	\N
1777734	6030	1994-08-07	PRIJEM	VKLAD	20037	58875	\N	\N	\N
1777735	6030	1994-09-07	PRIJEM	VKLAD	20037	60699	\N	\N	\N
1777736	6030	1994-10-07	PRIJEM	VKLAD	20037	61525	\N	\N	\N
1777737	6030	1994-11-07	PRIJEM	VKLAD	20037	59369	\N	\N	\N
1777738	6030	1994-12-07	PRIJEM	VKLAD	30056	69893	\N	\N	\N
1777739	6030	1995-01-07	PRIJEM	VKLAD	20037	63821	\N	\N	\N
1777740	6030	1995-02-07	PRIJEM	VKLAD	20037	58423	\N	\N	\N
1777741	6030	1995-03-07	PRIJEM	VKLAD	20037	53766	\N	\N	\N
1777742	6030	1995-04-07	PRIJEM	VKLAD	20037	58073	\N	\N	\N
1777743	6030	1995-05-07	PRIJEM	VKLAD	20037	60892	\N	\N	\N
1777744	6030	1995-06-07	PRIJEM	VKLAD	30056	68731	\N	\N	\N
1777745	6030	1995-07-07	PRIJEM	VKLAD	20037	48696	\N	\N	\N
1777746	6030	1995-08-07	PRIJEM	VKLAD	20037	51374	\N	\N	\N
1777747	6030	1995-09-07	PRIJEM	VKLAD	20037	54661	\N	\N	\N
1777748	6030	1995-10-07	PRIJEM	VKLAD	20037	55555	\N	\N	\N
1777749	6030	1995-11-07	PRIJEM	VKLAD	20037	55211	\N	\N	\N
1777750	6030	1995-12-07	PRIJEM	VKLAD	30056	67068	\N	\N	\N
1777751	6030	1996-01-07	PRIJEM	VKLAD	20037	50793	\N	\N	\N
1777752	6030	1996-02-07	PRIJEM	VKLAD	20037	57100	\N	\N	\N
1777753	6030	1996-03-07	PRIJEM	VKLAD	20037	59829	\N	\N	\N
1777754	6030	1996-04-07	PRIJEM	VKLAD	20037	64452	\N	\N	\N
1777755	6030	1996-05-07	PRIJEM	VKLAD	20037	62177	\N	\N	\N
1777756	6030	1996-06-07	PRIJEM	VKLAD	30056	72215	\N	\N	\N
1777757	6030	1996-07-07	PRIJEM	VKLAD	20037	51944	\N	\N	\N
1777758	6030	1996-08-07	PRIJEM	VKLAD	20037	53235	\N	\N	\N
1777759	6030	1996-09-07	PRIJEM	VKLAD	20037	62848	\N	\N	\N
1777760	6030	1996-10-07	PRIJEM	VKLAD	20037	66281	\N	\N	\N
1777761	6030	1996-11-07	PRIJEM	VKLAD	20037	67641	\N	\N	\N
1777762	6030	1996-12-07	PRIJEM	VKLAD	30056	83125	\N	\N	\N
1777763	6030	1997-01-07	PRIJEM	VKLAD	20037	78325	\N	\N	\N
1777764	6030	1997-02-07	PRIJEM	VKLAD	20037	74147	\N	\N	\N
1777765	6030	1997-03-07	PRIJEM	VKLAD	20037	77892	\N	\N	\N
1777766	6030	1997-04-07	PRIJEM	VKLAD	20037	83432	\N	\N	\N
1777767	6030	1997-05-07	PRIJEM	VKLAD	20037	86191	\N	\N	\N
1777768	6030	1997-06-07	PRIJEM	VKLAD	30056	74680	\N	\N	\N
1777769	6030	1997-07-07	PRIJEM	VKLAD	20037	82716	\N	\N	\N
1777770	6030	1997-08-07	PRIJEM	VKLAD	20037	87969	\N	\N	\N
1777771	6030	1997-09-07	PRIJEM	VKLAD	20037	86747	\N	\N	\N
1777772	6030	1997-10-07	PRIJEM	VKLAD	20037	93226	\N	\N	\N
1777773	6030	1997-11-07	PRIJEM	VKLAD	20037	95025	\N	\N	\N
1777774	6030	1997-12-07	PRIJEM	VKLAD	30056	108754	\N	\N	\N
1777775	6030	1998-01-07	PRIJEM	VKLAD	20037	89913	\N	\N	\N
1777776	6030	1998-02-07	PRIJEM	VKLAD	20037	87823	\N	\N	\N
1777777	6030	1998-03-07	PRIJEM	VKLAD	20037	98859	\N	\N	\N
1777778	6030	1998-04-07	PRIJEM	VKLAD	20037	105674	\N	\N	\N
1777779	6030	1998-05-07	PRIJEM	VKLAD	20037	110887	\N	\N	\N
1777780	6030	1998-06-07	PRIJEM	VKLAD	30056	123601	\N	\N	\N
1777781	6030	1998-07-07	PRIJEM	VKLAD	20037	84082	\N	\N	\N
1777782	6030	1998-08-07	PRIJEM	VKLAD	20037	100229	\N	\N	\N
1777783	6030	1998-09-07	PRIJEM	VKLAD	20037	104983	\N	\N	\N
1777784	6030	1998-10-07	PRIJEM	VKLAD	20037	107655	\N	\N	\N
1777785	6030	1998-11-07	PRIJEM	VKLAD	20037	111882	\N	\N	\N
1777786	6030	1998-12-07	PRIJEM	VKLAD	30056	124819	\N	\N	\N
1777799	6030	1994-01-26	VYDAJ	VYBER	1300	43574	\N	\N	0
1777800	6030	1994-02-15	VYDAJ	VYBER	1300	62487	\N	\N	0
1777801	6030	1994-03-10	VYDAJ	VYBER	1100	62605	\N	\N	0
1777802	6030	1994-04-15	VYDAJ	VYBER	1400	56338	\N	\N	0
1777803	6030	1994-05-02	VYDAJ	VYBER	1200	36696	\N	\N	0
1777804	6030	1994-06-03	VYDAJ	VYBER	1300	38955	\N	\N	0
1777805	6030	1994-07-08	VYDAJ	VYBER	1500	61787	\N	\N	0
1777806	6030	1994-08-21	VYDAJ	VYBER	1100	41975	\N	\N	0
1777807	6030	1994-09-06	VYDAJ	VYBER	1500	40662	\N	\N	0
1777808	6030	1994-09-28	VYDAJ	VYBER	900	41299	\N	\N	0
1777809	6030	1994-11-10	VYDAJ	VYBER	800	58569	\N	\N	0
1777810	6030	1994-12-10	VYDAJ	VYBER	900	68993	\N	\N	0
1777811	6030	1995-01-24	VYDAJ	VYBER	900	43721	\N	\N	0
1777812	6030	1995-02-04	VYDAJ	VYBER	900	38386	\N	\N	0
1777813	6030	1995-03-12	VYDAJ	PREVOD NA UCET	1177	52589	UVER	WX	18410075
1777814	6030	1995-04-12	VYDAJ	PREVOD NA UCET	1177	56896	UVER	WX	18410075
1777815	6030	1995-05-12	VYDAJ	PREVOD NA UCET	1177	59715	UVER	WX	18410075
1777816	6030	1995-06-12	VYDAJ	PREVOD NA UCET	1177	40514	UVER	WX	18410075
1777817	6030	1995-07-12	VYDAJ	PREVOD NA UCET	1177	47519	UVER	WX	18410075
1777818	6030	1995-08-12	VYDAJ	PREVOD NA UCET	1177	50197	UVER	WX	18410075
1777819	6030	1995-09-12	VYDAJ	PREVOD NA UCET	1177	53484	UVER	WX	18410075
1777820	6030	1995-10-12	VYDAJ	PREVOD NA UCET	1177	54378	UVER	WX	18410075
1777821	6030	1995-11-12	VYDAJ	PREVOD NA UCET	1177	54034	UVER	WX	18410075
1777822	6030	1995-12-12	VYDAJ	PREVOD NA UCET	1177	41491	UVER	WX	18410075
1777823	6030	1996-01-12	VYDAJ	PREVOD NA UCET	1177	36916	UVER	WX	18410075
1777824	6030	1996-02-12	VYDAJ	PREVOD NA UCET	1177	41323	UVER	WX	18410075
1777825	6030	1996-03-12	VYDAJ	PREVOD NA UCET	1177	44252	UVER	WX	18410075
1777826	6030	1996-04-12	VYDAJ	PREVOD NA UCET	1177	44375	UVER	WX	18410075
1777827	6030	1996-05-12	VYDAJ	PREVOD NA UCET	1177	42000	UVER	WX	18410075
1777828	6030	1996-06-12	VYDAJ	PREVOD NA UCET	1177	39078	UVER	WX	18410075
1777829	6030	1996-07-12	VYDAJ	PREVOD NA UCET	1177	37867	UVER	WX	18410075
1777830	6030	1996-08-12	VYDAJ	PREVOD NA UCET	1177	42658	UVER	WX	18410075
1777831	6030	1996-09-12	VYDAJ	PREVOD NA UCET	1177	46071	UVER	WX	18410075
1777832	6030	1996-10-12	VYDAJ	PREVOD NA UCET	1177	50004	UVER	WX	18410075
1777833	6030	1996-11-12	VYDAJ	PREVOD NA UCET	1177	66464	UVER	WX	18410075
1777834	6030	1996-12-12	VYDAJ	PREVOD NA UCET	1177	77788	UVER	WX	18410075
1777835	6030	1997-01-12	VYDAJ	PREVOD NA UCET	1177	77148	UVER	WX	18410075
1777836	6030	1997-02-12	VYDAJ	PREVOD NA UCET	1177	72970	UVER	WX	18410075
1777837	6030	1997-02-24	VYDAJ	VYBER	800	72170	\N	\N	0
1777838	6030	1997-04-08	VYDAJ	VYBER	1200	82232	\N	\N	0
1777839	6030	1997-05-05	VYDAJ	VYBER	1400	81154	\N	\N	0
1777840	6030	1997-06-27	VYDAJ	VYBER	1100	70700	\N	\N	0
1777841	6030	1997-07-28	VYDAJ	VYBER	1100	81616	\N	\N	0
1777842	6030	1997-08-11	VYDAJ	VYBER	1000	86969	\N	\N	0
1777843	6030	1997-08-30	VYDAJ	VYBER	1500	85469	\N	\N	0
1777844	6030	1997-10-09	VYDAJ	VYBER	1100	92126	\N	\N	0
1777845	6030	1997-11-23	VYDAJ	VYBER	1300	93725	\N	\N	0
1777846	6030	1997-12-05	VYDAJ	VYBER	1400	78699	\N	\N	0
1777847	6030	1998-01-23	VYDAJ	VYBER	1000	86913	\N	\N	0
1777848	6030	1998-02-16	VYDAJ	VYBER	1100	86723	\N	\N	0
1777849	6030	1998-02-24	VYDAJ	VYBER	1400	85323	\N	\N	0
1777850	6030	1998-03-27	VYDAJ	VYBER	900	93559	\N	\N	0
1777851	6030	1998-04-27	VYDAJ	VYBER	800	104874	\N	\N	0
1777852	6030	1998-06-15	VYDAJ	VYBER	1100	89501	\N	\N	0
1777853	6030	1998-07-07	VYDAJ	VYBER	900	83182	\N	\N	0
1777854	6030	1998-07-31	VYDAJ	VYBER	1000	80207	\N	\N	0
1777855	6030	1998-08-31	VYDAJ	VYBER	1300	84960	\N	\N	0
1777856	6030	1998-10-06	VYDAJ	VYBER	900	87618	\N	\N	0
1777857	6030	1998-10-29	VYDAJ	VYBER	1000	91455	\N	\N	0
1777858	6030	1998-12-21	VYDAJ	VYBER	800	75419	\N	\N	0
1777860	6030	1994-06-11	VYDAJ	VYBER	8160	60851	\N	\N	\N
1777861	6030	1995-06-07	VYDAJ	VYBER	27040	41691	\N	\N	\N
1777862	6030	1996-06-11	VYDAJ	VYBER	7360	40255	\N	\N	\N
1777863	6030	1997-06-02	VYDAJ	VYBER	44000	38925	\N	\N	\N
1777864	6030	1998-06-24	VYDAJ	VYBER	38080	51421	\N	\N	\N
1777867	6030	1995-01-26	VYDAJ	VYBER	3520	40201	\N	\N	\N
1777868	6030	1996-01-06	VYDAJ	VYBER	7840	30756	\N	\N	\N
1777869	6030	1997-01-27	VYDAJ	VYBER	6240	70908	\N	\N	\N
1777870	6030	1998-01-28	VYDAJ	VYBER	13440	73473	\N	\N	\N
1777872	6030	1994-12-26	VYDAJ	VYBER	4000	43593	\N	\N	\N
1777873	6030	1995-12-16	VYDAJ	VYBER	3040	38451	\N	\N	\N
1777874	6030	1996-12-07	VYDAJ	VYBER	4160	78965	\N	\N	\N
1777875	6030	1997-12-18	VYDAJ	VYBER KARTOU	1600	72754	\N	\N	0
1777876	6030	1998-12-10	VYDAJ	VYBER KARTOU	4600	76219	\N	\N	0
1777883	6030	1994-05-23	VYDAJ	VYBER	1560	40073	\N	\N	\N
1777884	6030	1994-08-02	VYDAJ	VYBER	2040	38838	\N	\N	\N
1777885	6030	1994-03-30	VYDAJ	VYBER	5400	37505	\N	\N	\N
1777886	6030	1994-10-15	VYDAJ	VYBER	5160	55165	\N	\N	\N
1777887	6030	1994-10-12	VYDAJ	VYBER	1200	60325	\N	\N	\N
1777888	6030	1995-02-04	VYDAJ	VYBER	1080	39286	\N	\N	\N
1777889	6030	1995-02-25	VYDAJ	VYBER	5400	33563	\N	\N	\N
1777890	6030	1995-10-19	VYDAJ	VYBER	3240	35038	\N	\N	\N
1777891	6030	1995-02-09	VYDAJ	VYBER	2760	55663	\N	\N	\N
1777892	6030	1996-06-30	VYDAJ	VYBER	3960	31922	\N	\N	\N
1777893	6030	1996-04-20	VYDAJ	VYBER	2400	41975	\N	\N	\N
1777894	6030	1996-02-24	VYDAJ	VYBER	1680	39643	\N	\N	\N
1777895	6030	1996-07-25	VYDAJ	VYBER	4800	33067	\N	\N	\N
1777896	6030	1996-06-25	VYDAJ	VYBER	3360	35718	\N	\N	\N
1777897	6030	1996-11-27	VYDAJ	VYBER	2640	63824	\N	\N	\N
1777898	6030	1997-12-29	VYDAJ	VYBER KARTOU	2500	70254	\N	\N	0
1777899	6030	1997-05-07	VYDAJ	VYBER	3600	82591	\N	\N	\N
1777900	6030	1997-06-18	VYDAJ	VYBER	2880	71800	\N	\N	\N
1777901	6030	1998-03-07	VYDAJ	VYBER KARTOU	4400	94459	\N	\N	0
1777902	6030	1998-11-20	VYDAJ	VYBER KARTOU	1700	107182	\N	\N	0
1777903	6030	1998-10-12	VYDAJ	VYBER KARTOU	4000	103655	\N	\N	0
1777904	6030	1998-01-11	VYDAJ	VYBER KARTOU	2000	87913	\N	\N	0
1777905	6030	1998-11-18	VYDAJ	VYBER KARTOU	3000	108882	\N	\N	0
1777906	6030	1998-10-21	VYDAJ	VYBER KARTOU	4300	99355	\N	\N	0
1777920	6030	1994-01-31	VYDAJ	VYBER	15	43750	SLUZBY	\N	\N
1777921	6030	1994-02-28	VYDAJ	VYBER	15	43668	SLUZBY	\N	\N
1777922	6030	1994-03-31	VYDAJ	VYBER	15	37701	SLUZBY	\N	\N
1777923	6030	1994-04-30	VYDAJ	VYBER	15	37896	SLUZBY	\N	\N
1777924	6030	1994-05-31	VYDAJ	VYBER	15	40255	SLUZBY	\N	\N
1777925	6030	1994-06-30	VYDAJ	VYBER	15	43250	SLUZBY	\N	\N
1777926	6030	1994-07-31	VYDAJ	VYBER	15	40878	SLUZBY	\N	\N
1777927	6030	1994-08-31	VYDAJ	VYBER	15	42162	SLUZBY	\N	\N
1777928	6030	1994-09-30	VYDAJ	VYBER	15	41488	SLUZBY	\N	\N
1777929	6030	1994-10-31	VYDAJ	VYBER	15	39332	SLUZBY	\N	\N
1777930	6030	1994-11-30	VYDAJ	VYBER	15	39838	SLUZBY	\N	\N
1777931	6030	1994-12-31	VYDAJ	VYBER	15	43784	SLUZBY	\N	\N
1777932	6030	1995-01-31	VYDAJ	VYBER	15	40366	SLUZBY	\N	\N
1777933	6030	1995-02-28	VYDAJ	VYBER	15	33729	SLUZBY	\N	\N
1777934	6030	1995-03-31	VYDAJ	VYBER	15	38036	SLUZBY	\N	\N
1777935	6030	1995-04-30	VYDAJ	VYBER	15	40855	SLUZBY	\N	\N
1777936	6030	1995-05-31	VYDAJ	VYBER	15	38675	SLUZBY	\N	\N
1777937	6030	1995-06-30	VYDAJ	VYBER	15	28659	SLUZBY	\N	\N
1777938	6030	1995-07-31	VYDAJ	VYBER	15	31337	SLUZBY	\N	\N
1777939	6030	1995-08-31	VYDAJ	VYBER	15	34624	SLUZBY	\N	\N
1777940	6030	1995-09-30	VYDAJ	VYBER	15	35518	SLUZBY	\N	\N
1777941	6030	1995-10-31	VYDAJ	VYBER	15	35174	SLUZBY	\N	\N
1777942	6030	1995-11-30	VYDAJ	VYBER	15	37013	SLUZBY	\N	\N
1777943	6030	1995-12-31	VYDAJ	VYBER	15	38596	SLUZBY	\N	\N
1777944	6030	1996-01-31	VYDAJ	VYBER	15	37063	SLUZBY	\N	\N
1777945	6030	1996-02-29	VYDAJ	VYBER	15	39792	SLUZBY	\N	\N
1777946	6030	1996-03-31	VYDAJ	VYBER	15	44415	SLUZBY	\N	\N
1777947	6030	1996-04-30	VYDAJ	VYBER	15	42140	SLUZBY	\N	\N
1777948	6030	1996-05-31	VYDAJ	VYBER	15	42159	SLUZBY	\N	\N
1777949	6030	1996-06-30	VYDAJ	VYBER	15	31907	SLUZBY	\N	\N
1777950	6030	1996-07-31	VYDAJ	VYBER	15	33198	SLUZBY	\N	\N
1777951	6030	1996-08-31	VYDAJ	VYBER	15	42811	SLUZBY	\N	\N
1777952	6030	1996-09-30	VYDAJ	VYBER	15	46244	SLUZBY	\N	\N
1777953	6030	1996-10-31	VYDAJ	VYBER	15	50204	SLUZBY	\N	\N
1777954	6030	1996-11-30	VYDAJ	VYBER	15	64070	SLUZBY	\N	\N
1777955	6030	1996-12-31	VYDAJ	VYBER	15	78088	SLUZBY	\N	\N
1777956	6030	1997-01-31	VYDAJ	VYBER	15	71210	SLUZBY	\N	\N
1777957	6030	1997-02-28	VYDAJ	VYBER	15	72455	SLUZBY	\N	\N
1777958	6030	1997-03-31	VYDAJ	VYBER	15	78195	SLUZBY	\N	\N
1777959	6030	1997-04-30	VYDAJ	VYBER	15	82554	SLUZBY	\N	\N
1777960	6030	1997-05-31	VYDAJ	VYBER	15	82925	SLUZBY	\N	\N
1777961	6030	1997-06-30	VYDAJ	VYBER	15	70979	SLUZBY	\N	\N
1777962	6030	1997-07-31	VYDAJ	VYBER	15	81932	SLUZBY	\N	\N
1777963	6030	1997-08-31	VYDAJ	VYBER	15	85810	SLUZBY	\N	\N
1777964	6030	1997-09-30	VYDAJ	VYBER	15	87089	SLUZBY	\N	\N
1777965	6030	1997-10-31	VYDAJ	VYBER	15	92488	SLUZBY	\N	\N
1777966	6030	1997-11-30	VYDAJ	VYBER	15	94099	SLUZBY	\N	\N
1777967	6030	1997-12-31	VYDAJ	VYBER	15	70576	SLUZBY	\N	\N
1777968	6030	1998-01-31	VYDAJ	VYBER	15	67786	SLUZBY	\N	\N
1777969	6030	1998-02-28	VYDAJ	VYBER	15	85622	SLUZBY	\N	\N
1777970	6030	1998-03-31	VYDAJ	VYBER	15	93937	SLUZBY	\N	\N
1777971	6030	1998-04-30	VYDAJ	VYBER	15	105250	SLUZBY	\N	\N
1777972	6030	1998-05-31	VYDAJ	VYBER	15	93546	SLUZBY	\N	\N
1777973	6030	1998-06-30	VYDAJ	VYBER	15	64045	SLUZBY	\N	\N
1777974	6030	1998-07-31	VYDAJ	VYBER	15	80192	SLUZBY	\N	\N
1777975	6030	1998-08-31	VYDAJ	VYBER	15	84946	SLUZBY	\N	\N
1777976	6030	1998-09-30	VYDAJ	VYBER	15	88518	SLUZBY	\N	\N
1777977	6030	1998-10-31	VYDAJ	VYBER	15	91845	SLUZBY	\N	\N
1777978	6030	1998-11-30	VYDAJ	VYBER	15	94764	SLUZBY	\N	\N
1777979	6030	1993-09-23	PRIJEM	VKLAD	3800	24237	\N	\N	\N
1777980	6030	1993-10-23	VYDAJ	VYBER	8200	36101	\N	\N	\N
1777981	6030	1993-11-22	VYDAJ	VYBER	16700	39553	\N	\N	\N
1777982	6030	1993-12-22	VYDAJ	VYBER	23400	46364	\N	\N	\N
1777983	6030	1994-01-21	VYDAJ	VYBER	21700	44874	\N	\N	\N
1777984	6030	1994-02-20	VYDAJ	VYBER	19000	43487	\N	\N	\N
1777985	6030	1994-03-22	VYDAJ	VYBER	19700	42905	\N	\N	\N
1777986	6030	1994-04-21	VYDAJ	VYBER	18600	37738	\N	\N	\N
1777987	6030	1994-05-21	VYDAJ	VYBER	15100	41633	\N	\N	\N
1777988	6030	1994-06-20	VYDAJ	VYBER	17800	43051	\N	\N	\N
1777989	6030	1994-07-20	VYDAJ	VYBER	21100	40687	\N	\N	\N
1777990	6030	1994-08-19	VYDAJ	VYBER	15800	43075	\N	\N	\N
1777991	6030	1994-09-18	VYDAJ	VYBER	18500	42199	\N	\N	\N
1777992	6030	1994-10-18	VYDAJ	VYBER	16000	39165	\N	\N	\N
1777993	6030	1994-11-17	VYDAJ	VYBER	18900	39669	\N	\N	\N
1777994	6030	1994-12-17	VYDAJ	VYBER	21400	47593	\N	\N	\N
1777995	6030	1995-01-16	VYDAJ	VYBER	19200	44621	\N	\N	\N
1777996	6030	1995-02-15	VYDAJ	VYBER	16700	38963	\N	\N	\N
1777997	6030	1995-03-17	VYDAJ	VYBER	14700	37889	\N	\N	\N
1777998	6030	1995-04-16	VYDAJ	VYBER	16200	40696	\N	\N	\N
1777999	6030	1995-05-16	VYDAJ	VYBER	21200	38515	\N	\N	\N
1778000	6030	1995-06-15	VYDAJ	VYBER	12000	28514	\N	\N	\N
1778001	6030	1995-07-15	VYDAJ	VYBER	16300	31219	\N	\N	\N
1778002	6030	1995-08-14	VYDAJ	VYBER	15700	34497	\N	\N	\N
1778003	6030	1995-09-13	VYDAJ	VYBER	18100	35384	\N	\N	\N
1778004	6030	1995-10-13	VYDAJ	VYBER	16100	38278	\N	\N	\N
1778005	6030	1995-11-12	VYDAJ	VYBER	17200	36834	\N	\N	\N
1778006	6030	1995-12-12	VYDAJ	VYBER	24400	42668	\N	\N	\N
1778007	6030	1996-01-11	VYDAJ	VYBER	12700	38093	\N	\N	\N
1778008	6030	1996-02-10	VYDAJ	VYBER	14600	42500	\N	\N	\N
1778009	6030	1996-03-11	VYDAJ	VYBER	14400	45429	\N	\N	\N
1778010	6030	1996-04-10	VYDAJ	VYBER	18900	45552	\N	\N	\N
1778011	6030	1996-05-10	VYDAJ	VYBER	19000	43177	\N	\N	\N
1778012	6030	1996-06-09	VYDAJ	VYBER	24600	47615	\N	\N	\N
1778013	6030	1996-07-09	VYDAJ	VYBER	12900	39044	\N	\N	\N
1778014	6030	1996-08-08	VYDAJ	VYBER	9400	43835	\N	\N	\N
1778015	6030	1996-09-07	VYDAJ	VYBER	15600	47248	\N	\N	\N
1778016	6030	1996-10-07	VYDAJ	VYBER	15100	51181	\N	\N	\N
1778017	6030	1996-11-06	VYDAJ	VYBER	2600	47604	\N	\N	\N
1778018	6030	1996-12-06	VYDAJ	VYBER	11000	53070	\N	\N	\N
1778019	6030	1997-01-05	VYDAJ	VYBER	19800	58288	\N	\N	\N
1778020	6030	1997-02-04	VYDAJ	VYBER	17100	54110	\N	\N	\N
1778021	6030	1997-03-06	VYDAJ	VYBER	14600	57855	\N	\N	\N
1778022	6030	1997-04-05	VYDAJ	VYBER	14800	63395	\N	\N	\N
1778023	6030	1997-05-05	VYDAJ	VYBER	15000	66154	\N	\N	\N
1778024	6030	1997-06-04	PRIJEM	VKLAD	5700	44625	\N	\N	\N
1778025	6030	1997-07-04	VYDAJ	VYBER	8300	62679	\N	\N	\N
1778026	6030	1997-08-03	VYDAJ	VYBER	14000	67932	\N	\N	\N
1778027	6030	1997-09-02	VYDAJ	VYBER	19100	66710	\N	\N	\N
1778028	6030	1997-10-02	VYDAJ	VYBER	13900	73189	\N	\N	\N
1778029	6030	1997-11-01	VYDAJ	VYBER	17500	74988	\N	\N	\N
1778030	6030	1997-12-01	VYDAJ	VYBER	14000	80099	\N	\N	\N
1778031	6030	1997-12-12	VYDAJ	VYBER	34400	74354	\N	\N	\N
1778032	6030	1997-12-31	VYDAJ	VYBER KARTOU	700	69876	\N	\N	0
1778033	6030	1998-01-30	VYDAJ	VYBER KARTOU	6000	67473	\N	\N	0
1778034	6030	1998-03-01	VYDAJ	VYBER KARTOU	6800	78822	\N	\N	0
1778035	6030	1998-03-31	VYDAJ	VYBER	8300	85637	\N	\N	\N
1778036	6030	1998-04-30	VYDAJ	VYBER	14400	90850	\N	\N	\N
1778037	6030	1998-05-30	VYDAJ	VYBER	17700	93187	\N	\N	\N
1778038	6030	1998-06-07	VYDAJ	VYBER	33000	90601	\N	\N	\N
1778039	6030	1998-06-29	PRIJEM	VKLAD	12300	63721	\N	\N	\N
1778040	6030	1998-07-29	VYDAJ	VYBER KARTOU	2300	80882	\N	\N	0
1778041	6030	1998-08-28	VYDAJ	VYBER	14300	85929	\N	\N	\N
1778042	6030	1998-09-27	VYDAJ	VYBER	16800	88183	\N	\N	\N
1778043	6030	1998-10-27	VYDAJ	VYBER KARTOU	6900	92455	\N	\N	0
1778044	6030	1998-11-26	VYDAJ	VYBER	12800	94382	\N	\N	\N
1778045	6030	1998-12-07	VYDAJ	VYBER	44000	80819	\N	\N	\N
1779017	6034	1993-03-19	PRIJEM	VKLAD	200	200	\N	\N	\N
1779018	6034	1993-05-17	PRIJEM	VKLAD	27555	125943	\N	\N	\N
1779020	6034	1993-04-29	PRIJEM	VKLAD	5911	50987	\N	\N	\N
1779021	6034	1993-08-07	PRIJEM	VKLAD	30157	73661	\N	\N	\N
1779022	6034	1993-06-18	PRIJEM	VKLAD	36127	71263	\N	\N	\N
1779023	6034	1993-05-04	PRIJEM	VKLAD	47148	98388	\N	\N	\N
1779024	6034	1993-08-06	PRIJEM	VKLAD	9505	43504	\N	\N	\N
1779025	6034	1993-10-09	PRIJEM	VKLAD	36708	51584	\N	\N	\N
1779026	6034	1993-07-01	PRIJEM	VKLAD	42922	85438	\N	\N	\N
1779027	6034	1993-12-16	PRIJEM	VKLAD	43841	95670	\N	\N	\N
1779028	6034	1993-11-07	PRIJEM	VKLAD	29528	52873	\N	\N	\N
1779030	6034	1993-06-19	PRIJEM	VKLAD	10698	81961	\N	\N	\N
1779031	6034	1993-11-06	PRIJEM	VKLAD	5759	23345	\N	\N	\N
1779032	6034	1993-09-15	PRIJEM	VKLAD	19242	38665	\N	\N	\N
1779033	6034	1993-06-02	PRIJEM	VKLAD	9462	83112	\N	\N	\N
1779034	6034	1993-03-26	PRIJEM	VKLAD	23851	24051	\N	\N	\N
1779035	6034	1993-11-15	PRIJEM	VKLAD	17477	53750	\N	\N	\N
1779036	6034	1993-11-30	PRIJEM	VKLAD	19803	121600	\N	\N	\N
1779037	6034	1993-03-28	PRIJEM	VKLAD	15436	61334	\N	\N	\N
1779039	6034	1993-05-29	PRIJEM	VKLAD	20832	73450	\N	\N	\N
1779040	6034	1993-11-16	PRIJEM	VKLAD	47757	101507	\N	\N	\N
1779041	6034	1993-03-27	PRIJEM	VKLAD	21847	45898	\N	\N	\N
1779043	6034	1993-11-05	PRIJEM	VKLAD	17428	30022	\N	\N	\N
1779045	6034	1994-02-23	PRIJEM	VKLAD	15843	30566	\N	\N	\N
1779046	6034	1994-11-29	PRIJEM	VKLAD	47738	128770	\N	\N	\N
1779047	6034	1994-10-02	PRIJEM	VKLAD	9389	33094	\N	\N	\N
1779048	6034	1994-04-25	PRIJEM	VKLAD	43114	62032	\N	\N	\N
1779049	6034	1994-10-15	PRIJEM	VKLAD	43908	65060	\N	\N	\N
1779050	6034	1994-06-16	PRIJEM	VKLAD	48998	82706	\N	\N	\N
1779051	6034	1994-06-10	PRIJEM	VKLAD	8824	44050	\N	\N	\N
1779052	6034	1994-08-15	PRIJEM	VKLAD	20844	30067	\N	\N	\N
1779053	6034	1994-11-12	PRIJEM	VKLAD	48841	93464	\N	\N	\N
1779054	6034	1994-12-04	PRIJEM	VKLAD	6611	94776	\N	\N	\N
1779055	6034	1994-09-25	PRIJEM	VKLAD	16208	23689	\N	\N	\N
1779056	6034	1994-12-15	PRIJEM	VKLAD	32150	84584	\N	\N	\N
1779057	6034	1995-11-03	PRIJEM	VKLAD	48631	79203	\N	\N	\N
1779058	6034	1995-01-17	PRIJEM	VKLAD	35104	53052	\N	\N	\N
1779059	6034	1995-09-13	PRIJEM	VKLAD	39843	50066	\N	\N	\N
1779060	6034	1995-06-16	PRIJEM	VKLAD	28360	86518	\N	\N	\N
1779061	6034	1995-07-02	PRIJEM	VKLAD	45350	132074	\N	\N	\N
1779062	6034	1995-06-12	PRIJEM	VKLAD	43764	65900	\N	\N	\N
1779063	6034	1996-08-01	PRIJEM	VKLAD	22332	38039	\N	\N	\N
1779064	6034	1996-02-24	PRIJEM	VKLAD	22987	35572	\N	\N	\N
1779065	6034	1996-01-03	PRIJEM	VKLAD	5729	33008	\N	\N	\N
1779066	6034	1996-05-20	PRIJEM	VKLAD	24577	34779	\N	\N	\N
1779067	6034	1997-12-17	PRIJEM	VKLAD	5581	32304	\N	\N	\N
1779068	6034	1997-10-09	PRIJEM	VKLAD	24297	65517	\N	\N	\N
1779069	6034	1997-07-08	PRIJEM	VKLAD	24878	47421	\N	\N	\N
1779070	6034	1997-09-05	PRIJEM	VKLAD	26865	70264	\N	\N	\N
1779071	6034	1997-11-03	PRIJEM	VKLAD	38079	62882	\N	\N	\N
1779072	6034	1997-01-20	PRIJEM	VKLAD	11490	14157	\N	\N	\N
1779073	6034	1997-03-18	PRIJEM	VKLAD	42024	64734	\N	\N	\N
1779074	6034	1997-06-23	PRIJEM	VKLAD	22846	31777	\N	\N	\N
1779075	6034	1997-01-03	PRIJEM	VKLAD	16896	22767	\N	\N	\N
1779076	6034	1997-07-11	PRIJEM	VKLAD	45708	93129	\N	\N	\N
1779077	6034	1997-07-19	PRIJEM	VKLAD	33801	115589	\N	\N	\N
1779078	6034	1997-03-25	PRIJEM	VKLAD	28158	92892	\N	\N	\N
1779079	6034	1997-03-07	PRIJEM	VKLAD	13596	30452	\N	\N	\N
1779080	6034	1997-10-02	PRIJEM	VKLAD	6036	41220	\N	\N	\N
1779081	6034	1997-07-31	PRIJEM	VKLAD	36968	82157	\N	\N	\N
1779082	6034	1997-05-19	PRIJEM	VKLAD	13643	28489	\N	\N	\N
1779083	6034	1998-01-06	PRIJEM	VKLAD	21122	84688	\N	\N	\N
1779084	6034	1998-09-05	PRIJEM	VKLAD	35928	32006	\N	\N	\N
1779085	6034	1998-03-27	PRIJEM	VKLAD	44170	48278	\N	\N	\N
1779086	6034	1998-12-26	PRIJEM	VKLAD	5726	35482	\N	\N	\N
1779087	6034	1998-02-06	PRIJEM	VKLAD	18641	50310	\N	\N	\N
1779088	6034	1998-07-08	PRIJEM	VKLAD	12586	20120	\N	\N	\N
1779089	6034	1998-05-26	PRIJEM	VKLAD	49995	57506	\N	\N	\N
1779090	6034	1998-12-05	PRIJEM	VKLAD	21279	67031	\N	\N	\N
1779091	6034	1998-09-13	PRIJEM	VKLAD	6784	31049	\N	\N	\N
1779092	6034	1998-01-12	PRIJEM	VKLAD	24390	109078	\N	\N	\N
1779093	6034	1998-11-23	PRIJEM	VKLAD	7915	15335	\N	\N	\N
1779094	6034	1998-05-31	PRIJEM	VKLAD	17716	75343	\N	\N	\N
1779095	6034	1998-12-11	PRIJEM	VKLAD	21168	88199	\N	\N	\N
1779096	6034	1998-05-06	PRIJEM	VKLAD	31899	48815	\N	\N	\N
1779097	6034	1998-11-23	PRIJEM	VKLAD	12961	7420	\N	\N	\N
1779098	6034	1998-11-30	PRIJEM	VKLAD	40323	45782	\N	\N	\N
1779099	6034	1998-02-27	PRIJEM	VKLAD	19364	31227	\N	\N	\N
1779100	6034	1998-06-02	PRIJEM	VKLAD	13250	88563	\N	\N	\N
1779101	6034	1998-01-04	PRIJEM	VKLAD	48368	63566	\N	\N	\N
1779102	6034	1998-12-30	PRIJEM	VKLAD	28214	63696	\N	\N	\N
1779107	6034	1993-05-18	VYDAJ	VYBER	5900	54643	\N	\N	0
1779108	6034	1993-06-08	VYDAJ	VYBER	10600	72512	\N	\N	0
1779109	6034	1993-06-29	VYDAJ	VYBER	4600	42289	\N	\N	0
1779110	6034	1993-08-24	VYDAJ	VYBER	8900	43161	\N	\N	0
1779111	6034	1993-09-16	VYDAJ	VYBER	7600	27965	\N	\N	0
1779112	6034	1993-10-29	VYDAJ	VYBER	8200	20015	\N	\N	0
1779113	6034	1993-10-30	VYDAJ	VYBER	7500	12515	\N	\N	0
1779114	6034	1993-12-12	VYDAJ	PREVOD NA UCET	7742	79629	UVER	MN	6834680
1779115	6034	1994-01-12	VYDAJ	PREVOD NA UCET	7742	41164	UVER	MN	6834680
1779116	6034	1994-02-12	VYDAJ	PREVOD NA UCET	7742	17123	UVER	MN	6834680
1779117	6034	1994-03-12	VYDAJ	PREVOD NA UCET	7742	17372	UVER	MN	6834680
1779118	6034	1994-04-12	VYDAJ	PREVOD NA UCET	7742	10418	UVER	MN	6834680
1779119	6034	1994-05-12	VYDAJ	PREVOD NA UCET	7742	39970	UVER	MN	6834680
1779120	6034	1994-06-12	VYDAJ	PREVOD NA UCET	7742	33708	UVER	MN	6834680
1779121	6034	1994-07-12	VYDAJ	PREVOD NA UCET	7742	28277	UVER	MN	6834680
1779122	6034	1994-08-12	VYDAJ	PREVOD NA UCET	7742	9223	UVER	MN	6834680
1779123	6034	1994-09-12	VYDAJ	PREVOD NA UCET	7742	7481	UVER	MN	6834680
1779124	6034	1994-10-12	VYDAJ	PREVOD NA UCET	7742	21152	UVER	MN	6834680
1779125	6034	1994-11-12	VYDAJ	PREVOD NA UCET	7742	85722	UVER	MN	6834680
1779126	6034	1994-12-12	VYDAJ	PREVOD NA UCET	7742	52434	UVER	MN	6834680
1779127	6034	1995-01-12	VYDAJ	PREVOD NA UCET	7742	17948	UVER	MN	6834680
1779128	6034	1995-02-12	VYDAJ	PREVOD NA UCET	7742	15456	UVER	MN	6834680
1779129	6034	1995-03-12	VYDAJ	PREVOD NA UCET	7742	10962	UVER	MN	6834680
1779130	6034	1995-04-12	VYDAJ	PREVOD NA UCET	7742	11540	UVER	MN	6834680
1779131	6034	1995-05-12	VYDAJ	PREVOD NA UCET	7742	13315	UVER	MN	6834680
1779132	6034	1995-06-12	VYDAJ	PREVOD NA UCET	7742	58158	UVER	MN	6834680
1779133	6034	1995-07-12	VYDAJ	PREVOD NA UCET	7742	47033	UVER	MN	6834680
1779134	6034	1995-08-12	VYDAJ	PREVOD NA UCET	7742	19301	UVER	MN	6834680
1779135	6034	1995-09-12	VYDAJ	PREVOD NA UCET	7742	10223	UVER	MN	6834680
1779136	6034	1995-10-12	VYDAJ	PREVOD NA UCET	7742	30447	UVER	MN	6834680
1779137	6034	1995-11-12	VYDAJ	PREVOD NA UCET	7742	43961	UVER	MN	6834680
1779138	6034	1995-12-12	VYDAJ	PREVOD NA UCET	7742	27173	UVER	MN	6834680
1779139	6034	1996-01-12	VYDAJ	PREVOD NA UCET	7742	14267	UVER	MN	6834680
1779142	6034	1996-04-12	VYDAJ	PREVOD NA UCET	7742	8638	UVER	MN	6834680
1779143	6034	1996-05-12	VYDAJ	PREVOD NA UCET	7742	10202	UVER	MN	6834680
1779146	6034	1996-08-12	VYDAJ	PREVOD NA UCET	7742	30297	UVER	MN	6834680
1779152	6034	1997-02-12	VYDAJ	PREVOD NA UCET	7742	9419	UVER	MN	6834680
1779153	6034	1997-03-12	VYDAJ	PREVOD NA UCET	7742	22710	UVER	MN	6834680
1779154	6034	1997-04-12	VYDAJ	PREVOD NA UCET	7742	51190	UVER	MN	6834680
1779155	6034	1997-05-12	VYDAJ	PREVOD NA UCET	7742	14846	UVER	MN	6834680
1779156	6034	1997-06-12	VYDAJ	PREVOD NA UCET	7742	16166	UVER	MN	6834680
1779157	6034	1997-07-12	VYDAJ	PREVOD NA UCET	7742	85388	UVER	MN	6834680
1779158	6034	1997-08-12	VYDAJ	PREVOD NA UCET	7742	74627	UVER	MN	6834680
1779159	6034	1997-09-12	VYDAJ	PREVOD NA UCET	7742	53522	UVER	MN	6834680
1779160	6034	1997-10-12	VYDAJ	PREVOD NA UCET	7742	57775	UVER	MN	6834680
1779161	6034	1997-11-12	VYDAJ	PREVOD NA UCET	7742	55140	UVER	MN	6834680
1779162	6034	1997-12-12	VYDAJ	PREVOD NA UCET	7742	26723	UVER	MN	6834680
1779163	6034	1998-01-12	VYDAJ	PREVOD NA UCET	7742	101336	UVER	MN	6834680
1779164	6034	1998-02-12	VYDAJ	PREVOD NA UCET	7742	42568	UVER	MN	6834680
1779165	6034	1998-03-12	VYDAJ	PREVOD NA UCET	7742	7408	UVER	MN	6834680
1779166	6034	1998-04-12	VYDAJ	PREVOD NA UCET	7742	40590	UVER	MN	6834680
1779167	6034	1998-05-12	VYDAJ	PREVOD NA UCET	7742	41074	UVER	MN	6834680
1779168	6034	1998-06-12	VYDAJ	PREVOD NA UCET	7742	62522	UVER	MN	6834680
1779169	6034	1998-07-12	VYDAJ	PREVOD NA UCET	7742	12378	UVER	MN	6834680
1779171	6034	1998-09-12	VYDAJ	PREVOD NA UCET	7742	24265	UVER	MN	6834680
1779174	6034	1998-12-12	VYDAJ	VYBER	10200	77999	\N	\N	0
1779175	6034	1993-10-25	VYBER	VYBER	16269	28215	\N	\N	\N
1779177	6034	1993-07-13	VYBER	VYBER	12449	42321	\N	\N	\N
1779178	6034	1993-06-12	VYBER	VYBER	4214	50936	\N	\N	\N
1779179	6034	1993-09-10	VYBER	VYBER	23927	19423	\N	\N	\N
1779180	6034	1993-07-12	VYBER	VYBER	22268	54770	\N	\N	\N
1779181	6034	1993-12-27	VYBER	VYBER	17154	78516	\N	\N	\N
1779182	6034	1993-05-22	VYBER	VYBER	2025	52618	\N	\N	\N
1779183	6034	1993-06-11	VYBER	VYBER	17362	55150	\N	\N	\N
1779184	6034	1993-11-05	VYBER	VYBER	12436	17586	\N	\N	\N
1779186	6034	1993-06-27	VYBER	VYBER	9272	46889	\N	\N	\N
1779187	6034	1994-01-27	VYBER	VYBER	17238	11226	\N	\N	\N
1779189	6034	1994-03-12	VYBER	VYBER	5494	25114	\N	\N	\N
1779190	6034	1994-07-02	VYBER	VYBER	20289	41318	\N	\N	\N
1779191	6034	1994-12-16	VYBER	VYBER	19850	64734	\N	\N	\N
1779192	6034	1994-08-25	VYBER	VYBER	21072	8995	\N	\N	\N
1779193	6034	1994-07-18	VYBER	VYBER	21112	7165	\N	\N	\N
1779194	6034	1994-03-24	VYBER	VYBER	3380	18092	\N	\N	\N
1779195	6034	1994-05-08	VYBER	VYBER	14404	47711	\N	\N	\N
1779196	6034	1994-11-27	VYBER	VYBER	4690	81032	\N	\N	\N
1779198	6034	1995-07-14	VYBER	VYBER	14587	32446	\N	\N	\N
1779199	6034	1996-08-19	VYBER	VYBER	19828	2277	\N	\N	\N
1779200	6034	1996-03-07	VYBER	VYBER	11579	10166	\N	\N	\N
1779204	6034	1996-08-15	VYBER	VYBER	8192	22105	\N	\N	\N
1779205	6034	1996-06-24	VYBER	VYBER	5490	1036	\N	\N	\N
1779207	6034	1996-10-09	VYBER	VYBER	12100	4105	\N	\N	\N
1779212	6034	1996-02-25	VYBER	VYBER	20316	15256	\N	\N	\N
1779213	6034	1997-06-21	VYBER	VYBER	7235	8931	\N	\N	\N
1779214	6034	1997-10-28	VYBER	VYBER	7726	24649	\N	\N	\N
1779215	6034	1997-05-21	VYBER	VYBER	3458	25031	\N	\N	\N
1779217	6034	1998-07-06	VYBER	VYBER	10054	7534	\N	\N	\N
1779218	6034	1998-02-15	VYBER	VYBER	21205	21363	\N	\N	\N
1779219	6034	1998-03-02	VYBER	VYBER	11952	19350	\N	\N	\N
1779220	6034	1998-12-17	VYBER	VYBER	11743	66256	\N	\N	\N
1779221	6034	1998-05-18	VYBER	VYBER	9963	31111	\N	\N	\N
1779222	6034	1998-09-26	VYBER	VYBER	6300	4549	\N	\N	\N
1779223	6034	1993-06-22	VYDAJ	VYBER	25800	56161	\N	\N	\N
1779224	6034	1994-06-25	VYDAJ	VYBER	21300	61406	\N	\N	\N
1779226	6034	1996-06-03	VYDAJ	VYBER	21600	6526	\N	\N	\N
1779228	6034	1998-06-02	VYDAJ	VYBER	18300	70263	\N	\N	\N
1779230	6034	1994-01-08	VYDAJ	VYBER	10500	60306	\N	\N	\N
1779231	6034	1995-01-07	VYDAJ	VYBER	13800	30790	\N	\N	\N
1779233	6034	1997-01-07	VYDAJ	VYBER	9900	2667	\N	\N	\N
1779234	6034	1998-01-28	VYDAJ	VYBER	6900	31436	\N	\N	\N
1779241	6034	1994-01-11	VYDAJ	VYBER	8700	48906	\N	\N	\N
1779242	6034	1994-01-25	VYDAJ	VYBER	1800	28464	\N	\N	\N
1779243	6034	1994-01-01	VYDAJ	VYBER	6000	72906	\N	\N	\N
1779244	6034	1994-01-13	VYDAJ	VYBER	5100	36064	\N	\N	\N
1779245	6034	1994-01-08	VYDAJ	VYBER	2700	57606	\N	\N	\N
1779246	6034	1994-01-01	VYDAJ	VYBER	2100	70806	\N	\N	\N
1779247	6034	1995-01-25	VYDAJ	VYBER	5700	47352	\N	\N	\N
1779248	6034	1995-01-05	VYDAJ	VYBER	5700	50290	\N	\N	\N
1779249	6034	1995-01-01	VYDAJ	VYBER	6900	55990	\N	\N	\N
1779250	6034	1995-01-26	VYDAJ	VYBER	3000	44352	\N	\N	\N
1779251	6034	1995-01-30	VYDAJ	VYBER	1800	42552	\N	\N	\N
1779252	6034	1995-01-07	VYDAJ	VYBER	5700	44590	\N	\N	\N
1779254	6034	1996-01-08	VYDAJ	VYBER	6000	22008	\N	\N	\N
1779255	6034	1996-01-15	VYDAJ	VYBER	6000	1667	\N	\N	\N
1779258	6034	1996-01-14	VYDAJ	VYBER	6600	7667	\N	\N	\N
1779259	6034	1997-01-06	VYDAJ	VYBER	2400	16767	\N	\N	\N
1779260	6034	1997-01-01	VYDAJ	VYBER	7500	5871	\N	\N	\N
1779261	6034	1997-01-22	VYDAJ	VYBER	6600	5457	\N	\N	\N
1779263	6034	1997-01-06	VYDAJ	VYBER	4200	12567	\N	\N	\N
1779264	6034	1997-01-21	VYDAJ	VYBER	2100	12057	\N	\N	\N
1779265	6034	1998-01-01	VYDAJ	VYBER	6900	16698	\N	\N	\N
1779266	6034	1998-01-02	VYDAJ	VYBER	1500	15198	\N	\N	\N
1779267	6034	1998-01-17	VYDAJ	VYBER	5100	87536	\N	\N	\N
1779268	6034	1998-01-18	VYDAJ	VYBER	3900	83636	\N	\N	\N
1779269	6034	1998-01-26	VYDAJ	VYBER	6600	38336	\N	\N	\N
1779270	6034	1998-01-12	VYDAJ	VYBER	8700	92636	\N	\N	\N
1779271	6034	1993-07-02	VYDAJ	VYBER	8400	77038	\N	\N	\N
1779273	6034	1993-09-27	VYDAJ	VYBER	13200	14765	\N	\N	\N
1779275	6034	1993-11-07	VYDAJ	VYBER	8100	44773	\N	\N	\N
1779276	6034	1994-07-30	VYDAJ	VYBER	3600	3565	\N	\N	\N
1779277	6034	1994-12-17	VYDAJ	VYBER	2100	62634	\N	\N	\N
1779278	6034	1994-02-17	VYDAJ	VYBER	2400	14723	\N	\N	\N
1779279	6034	1995-02-01	VYDAJ	VYBER	11400	31298	\N	\N	\N
1779281	6034	1995-03-07	VYDAJ	VYBER	1500	11304	\N	\N	\N
1779282	6034	1995-08-01	VYDAJ	VYBER	4500	28143	\N	\N	\N
1779283	6034	1995-09-06	VYDAJ	VYBER	7200	17965	\N	\N	\N
1779284	6034	1995-02-28	VYDAJ	VYBER	2700	12804	\N	\N	\N
1779285	6034	1995-02-02	VYDAJ	VYBER	8700	22598	\N	\N	\N
1779288	6034	1996-11-17	VYDAJ	VYBER	3000	7436	\N	\N	\N
1779289	6034	1996-12-08	VYDAJ	VYBER	7200	6548	\N	\N	\N
1779290	6034	1997-07-18	VYDAJ	VYBER	3600	81788	\N	\N	\N
1779292	6034	1997-07-04	VYDAJ	VYBER	4200	22543	\N	\N	\N
1779293	6034	1997-10-24	VYDAJ	VYBER	5700	52075	\N	\N	\N
1779294	6034	1997-09-09	VYDAJ	VYBER	9000	61264	\N	\N	\N
1779295	6034	1997-05-07	VYDAJ	VYBER	13200	22588	\N	\N	\N
1779296	6034	1997-01-05	VYDAJ	VYBER	3600	19167	\N	\N	\N
1779297	6034	1998-07-17	VYDAJ	VYBER	1800	10578	\N	\N	\N
1779299	6034	1998-03-11	VYDAJ	VYBER	4200	15150	\N	\N	\N
1779300	6034	1998-06-14	VYDAJ	VYBER	8100	54422	\N	\N	\N
1779302	6034	1998-11-27	VYDAJ	VYBER	9900	5435	\N	\N	\N
1779308	6034	1993-05-31	VYDAJ	VYBER	30	73650	SLUZBY	\N	\N
1779309	6034	1993-06-30	VYDAJ	VYBER	30	42516	SLUZBY	\N	\N
1779310	6034	1993-07-31	VYDAJ	VYBER	30	33999	SLUZBY	\N	\N
1779311	6034	1993-08-31	VYDAJ	VYBER	30	43350	SLUZBY	\N	\N
1779312	6034	1993-09-30	VYDAJ	VYBER	30	14876	SLUZBY	\N	\N
1779313	6034	1993-10-31	VYDAJ	VYBER	30	12594	SLUZBY	\N	\N
1779314	6034	1993-11-30	VYDAJ	VYBER	30	121570	SLUZBY	\N	\N
1779315	6034	1993-12-31	VYDAJ	VYBER	30	78906	SLUZBY	\N	\N
1779316	6034	1994-01-31	VYDAJ	VYBER	30	11365	SLUZBY	\N	\N
1779317	6034	1994-02-28	VYDAJ	VYBER	30	30608	SLUZBY	\N	\N
1779318	6034	1994-03-31	VYDAJ	VYBER	30	18160	SLUZBY	\N	\N
1779319	6034	1994-04-30	VYDAJ	VYBER	30	62115	SLUZBY	\N	\N
1779320	6034	1994-05-31	VYDAJ	VYBER	30	35226	SLUZBY	\N	\N
1779321	6034	1994-06-30	VYDAJ	VYBER	30	61607	SLUZBY	\N	\N
1779322	6034	1994-07-31	VYDAJ	VYBER	30	3665	SLUZBY	\N	\N
1779323	6034	1994-08-31	VYDAJ	VYBER	30	9022	SLUZBY	\N	\N
1779324	6034	1994-09-30	VYDAJ	VYBER	30	23705	SLUZBY	\N	\N
1779325	6034	1994-10-31	VYDAJ	VYBER	30	65223	SLUZBY	\N	\N
1779326	6034	1994-11-30	VYDAJ	VYBER	30	88165	SLUZBY	\N	\N
1779327	6034	1994-12-31	VYDAJ	VYBER	30	62890	SLUZBY	\N	\N
1779328	6034	1995-01-31	VYDAJ	VYBER	30	42698	SLUZBY	\N	\N
1779329	6034	1995-02-28	VYDAJ	VYBER	30	15504	SLUZBY	\N	\N
1779330	6034	1995-03-31	VYDAJ	VYBER	30	10982	SLUZBY	\N	\N
1779331	6034	1995-04-30	VYDAJ	VYBER	30	11556	SLUZBY	\N	\N
1779332	6034	1995-05-31	VYDAJ	VYBER	30	13336	SLUZBY	\N	\N
1779333	6034	1995-06-30	VYDAJ	VYBER	30	86724	SLUZBY	\N	\N
1779334	6034	1995-07-31	VYDAJ	VYBER	30	32643	SLUZBY	\N	\N
1779335	6034	1995-08-31	VYDAJ	VYBER	30	19365	SLUZBY	\N	\N
1779336	6034	1995-09-30	VYDAJ	VYBER	30	50189	SLUZBY	\N	\N
1779337	6034	1995-10-31	VYDAJ	VYBER	30	30572	SLUZBY	\N	\N
1779338	6034	1995-11-30	VYDAJ	VYBER	30	44115	SLUZBY	\N	\N
1779339	6034	1995-12-31	VYDAJ	VYBER	30	27279	SLUZBY	\N	\N
1779340	6034	1996-01-31	VYDAJ	VYBER	30	1685	SLUZBY	\N	\N
1779341	6034	1996-02-29	VYDAJ	VYBER	30	15245	SLUZBY	\N	\N
1779342	6034	1996-03-31	VYDAJ	VYBER	30	10180	SLUZBY	\N	\N
1779343	6034	1996-04-30	VYDAJ	VYBER	30	8644	SLUZBY	\N	\N
1779344	6034	1996-05-31	VYDAJ	VYBER	30	34826	SLUZBY	\N	\N
1779345	6034	1996-06-30	VYDAJ	VYBER	30	1033	SLUZBY	\N	\N
1779346	6034	1996-07-31	VYDAJ	VYBER	30	15707	SLUZBY	\N	\N
1779347	6034	1996-08-31	VYDAJ	VYBER	30	9597	SLUZBY	\N	\N
1779348	6034	1996-09-30	VYDAJ	VYBER	30	16205	SLUZBY	\N	\N
1779349	6034	1996-10-31	VYDAJ	VYBER	30	10436	SLUZBY	\N	\N
1779350	6034	1996-11-30	VYDAJ	VYBER	30	13748	SLUZBY	\N	\N
1779351	6034	1996-12-31	VYDAJ	VYBER	30	13371	SLUZBY	\N	\N
1779352	6034	1997-01-31	VYDAJ	VYBER	30	17161	SLUZBY	\N	\N
1779353	6034	1997-02-28	VYDAJ	VYBER	30	16856	SLUZBY	\N	\N
1779354	6034	1997-03-31	VYDAJ	VYBER	30	58932	SLUZBY	\N	\N
1779355	6034	1997-04-30	VYDAJ	VYBER	30	35788	SLUZBY	\N	\N
1779356	6034	1997-05-31	VYDAJ	VYBER	30	23908	SLUZBY	\N	\N
1779357	6034	1997-06-30	VYDAJ	VYBER	30	26743	SLUZBY	\N	\N
1779358	6034	1997-07-31	VYDAJ	VYBER	30	82369	SLUZBY	\N	\N
1779359	6034	1997-08-31	VYDAJ	VYBER	30	43399	SLUZBY	\N	\N
1779360	6034	1997-09-30	VYDAJ	VYBER	30	35184	SLUZBY	\N	\N
1779361	6034	1997-10-31	VYDAJ	VYBER	30	24803	SLUZBY	\N	\N
1779362	6034	1997-11-30	VYDAJ	VYBER	30	34465	SLUZBY	\N	\N
1779363	6034	1997-12-31	VYDAJ	VYBER	30	23598	SLUZBY	\N	\N
1779364	6034	1998-01-31	VYDAJ	VYBER	30	31669	SLUZBY	\N	\N
1779365	6034	1998-02-28	VYDAJ	VYBER	30	31302	SLUZBY	\N	\N
1779366	6034	1998-03-31	VYDAJ	VYBER	30	48332	SLUZBY	\N	\N
1779367	6034	1998-04-30	VYDAJ	VYBER	30	16916	SLUZBY	\N	\N
1779368	6034	1998-05-31	VYDAJ	VYBER	30	75313	SLUZBY	\N	\N
1779369	6034	1998-06-30	VYDAJ	VYBER	30	17588	SLUZBY	\N	\N
1779372	6034	1998-09-30	VYDAJ	VYBER	30	4547	SLUZBY	\N	\N
1779374	6034	1998-11-30	VYDAJ	VYBER	30	45752	SLUZBY	\N	\N
1779375	6034	1993-04-18	VYDAJ	VYBER	16300	45076	\N	\N	\N
1779376	6034	1993-05-17	VYDAJ	VYBER	41000	84943	\N	\N	\N
1779377	6034	1993-05-18	VYDAJ	VYBER	24400	60543	\N	\N	\N
1779378	6034	1993-06-17	VYDAJ	VYBER	15800	35136	\N	\N	\N
1779379	6034	1993-07-17	VYDAJ	VYBER	8500	33821	\N	\N	\N
1779380	6034	1993-08-16	VYDAJ	VYBER	21600	52061	\N	\N	\N
1779381	6034	1993-09-15	VYDAJ	VYBER	3100	35565	\N	\N	\N
1779382	6034	1993-10-15	VYDAJ	VYBER	7100	44484	\N	\N	\N
1779383	6034	1993-11-14	VYDAJ	VYBER	8500	36273	\N	\N	\N
1779384	6034	1993-11-30	VYDAJ	VYBER	34200	87370	\N	\N	\N
1779385	6034	1993-12-14	VYDAJ	VYBER	27800	51829	\N	\N	\N
1779386	6034	1994-01-13	VYDAJ	VYBER	5800	30264	\N	\N	\N
1779387	6034	1994-02-12	PRIJEM	VKLAD	13500	24865	\N	\N	\N
1779388	6034	1994-03-14	PRIJEM	VKLAD	4100	21472	\N	\N	\N
1779389	6034	1994-04-13	PRIJEM	VKLAD	8500	18918	\N	\N	\N
1779390	6034	1994-05-13	VYDAJ	VYBER	4900	35070	\N	\N	\N
1779391	6034	1994-06-12	VYDAJ	VYBER	2600	41450	\N	\N	\N
1779392	6034	1994-07-12	VYDAJ	VYBER	5300	36018	\N	\N	\N
1779393	6034	1994-08-11	PRIJEM	VKLAD	13300	16965	\N	\N	\N
1779394	6034	1994-09-10	PRIJEM	VKLAD	6200	15222	\N	\N	\N
1779395	6034	1994-10-10	VYDAJ	VYBER	4200	28894	\N	\N	\N
1779396	6034	1994-11-09	VYDAJ	VYBER	20600	44623	\N	\N	\N
1779397	6034	1994-11-29	VYDAJ	VYBER	40900	87870	\N	\N	\N
1779398	6034	1994-12-09	VYDAJ	VYBER	34600	60176	\N	\N	\N
1779399	6034	1995-01-08	VYDAJ	VYBER	5100	25690	\N	\N	\N
1779400	6034	1995-02-07	PRIJEM	VKLAD	600	23198	\N	\N	\N
1779401	6034	1995-03-09	PRIJEM	VKLAD	7400	18704	\N	\N	\N
1779402	6034	1995-04-08	PRIJEM	VKLAD	8300	19282	\N	\N	\N
1779403	6034	1995-05-08	PRIJEM	VKLAD	9500	21056	\N	\N	\N
1779404	6034	1995-06-07	PRIJEM	VKLAD	8800	22136	\N	\N	\N
1779405	6034	1995-07-02	VYDAJ	VYBER	53300	78774	\N	\N	\N
1779406	6034	1995-07-07	VYDAJ	VYBER	24000	54774	\N	\N	\N
1779407	6034	1995-08-06	VYDAJ	VYBER	1100	27043	\N	\N	\N
1779408	6034	1995-09-05	PRIJEM	VKLAD	5800	25165	\N	\N	\N
1779409	6034	1995-10-05	VYDAJ	VYBER	12000	38189	\N	\N	\N
1779410	6034	1995-11-04	VYDAJ	VYBER	27500	51703	\N	\N	\N
1779411	6034	1995-12-04	VYDAJ	VYBER	9200	34915	\N	\N	\N
1779412	6034	1996-01-03	VYDAJ	VYBER	5000	28008	\N	\N	\N
1779413	6034	1996-02-02	PRIJEM	VKLAD	10900	12585	\N	\N	\N
1779414	6034	1996-03-03	PRIJEM	VKLAD	6500	21745	\N	\N	\N
1779415	6034	1996-04-02	PRIJEM	VKLAD	6200	16380	\N	\N	\N
1779416	6034	1996-05-02	PRIJEM	VKLAD	9300	17944	\N	\N	\N
1779417	6034	1996-06-01	VYDAJ	VYBER	6700	28126	\N	\N	\N
1779418	6034	1996-07-01	PRIJEM	VKLAD	11400	12433	\N	\N	\N
1779419	6034	1996-07-31	PRIJEM	VKLAD	3300	15737	\N	\N	\N
1779420	6034	1996-08-30	PRIJEM	VKLAD	7300	9577	\N	\N	\N
1779421	6034	1996-09-29	PRIJEM	VKLAD	6600	16197	\N	\N	\N
1779422	6034	1996-10-29	PRIJEM	VKLAD	6300	10405	\N	\N	\N
1779423	6034	1996-11-28	PRIJEM	VKLAD	6300	13736	\N	\N	\N
1779424	6034	1996-12-28	PRIJEM	VKLAD	6800	13348	\N	\N	\N
1779425	6034	1997-01-27	PRIJEM	VKLAD	11700	17157	\N	\N	\N
1779426	6034	1997-02-26	PRIJEM	VKLAD	7400	16819	\N	\N	\N
1779427	6034	1997-03-28	VYDAJ	VYBER	34100	58792	\N	\N	\N
1779428	6034	1997-04-27	VYDAJ	VYBER	15600	35590	\N	\N	\N
1779429	6034	1997-05-27	VYDAJ	VYBER	1200	23831	\N	\N	\N
1779430	6034	1997-06-26	VYDAJ	VYBER	5100	26677	\N	\N	\N
1779431	6034	1997-07-19	VYDAJ	VYBER	42600	72989	\N	\N	\N
1779432	6034	1997-07-26	VYDAJ	VYBER	27800	45189	\N	\N	\N
1779433	6034	1997-08-25	VYDAJ	VYBER	31500	43127	\N	\N	\N
1779434	6034	1997-09-24	VYDAJ	VYBER	18500	35022	\N	\N	\N
1779435	6034	1997-10-24	VYDAJ	VYBER	19700	32375	\N	\N	\N
1779436	6034	1997-11-23	VYDAJ	VYBER	20800	34340	\N	\N	\N
1779437	6034	1997-12-23	VYDAJ	VYBER	8800	23504	\N	\N	\N
1779438	6034	1998-01-22	VYDAJ	VYBER	38700	44936	\N	\N	\N
1779439	6034	1998-02-21	VYDAJ	VYBER	9500	11863	\N	\N	\N
1779440	6034	1998-03-23	VYDAJ	VYBER	3300	4108	\N	\N	\N
1779441	6034	1998-04-22	VYDAJ	VYBER	23800	16790	\N	\N	\N
1779442	6034	1998-05-22	VYDAJ	VYBER	23600	7511	\N	\N	\N
1779443	6034	1998-06-21	VYDAJ	VYBER	37000	17422	\N	\N	\N
1779444	6034	1998-07-21	VYDAJ	VYBER	11900	-1322	\N	\N	\N
1779445	6034	1998-08-20	VYDAJ	VYBER	2600	-3894	\N	\N	\N
1779446	6034	1998-09-19	VYDAJ	VYBER	20200	10849	\N	\N	\N
1779447	6034	1998-10-19	VYDAJ	VYBER	5200	-653	\N	\N	\N
1779448	6034	1998-11-18	VYDAJ	VYBER	4900	-5541	\N	\N	\N
1779449	6034	1998-12-18	VYDAJ	VYBER	36500	29756	\N	\N	\N
1781282	6040	1993-04-22	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1781287	6040	1993-05-11	PRIJEM	VKLAD	22065	23165	\N	\N	\N
1781288	6040	1993-06-11	PRIJEM	VKLAD	33098	58998	\N	\N	\N
1781289	6040	1993-07-11	PRIJEM	VKLAD	22065	63993	\N	\N	\N
1781290	6040	1993-08-11	PRIJEM	VKLAD	22065	66836	\N	\N	\N
1781291	6040	1993-09-11	PRIJEM	VKLAD	22065	66586	\N	\N	\N
1781292	6040	1993-10-11	PRIJEM	VKLAD	22065	63067	\N	\N	\N
1781293	6040	1993-11-11	PRIJEM	VKLAD	22065	57939	\N	\N	\N
1781294	6040	1993-12-11	PRIJEM	VKLAD	33098	70827	\N	\N	\N
1781295	6040	1994-01-11	PRIJEM	VKLAD	22065	51499	\N	\N	\N
1781296	6040	1994-02-11	PRIJEM	VKLAD	22065	49524	\N	\N	\N
1781297	6040	1994-03-11	PRIJEM	VKLAD	22065	52741	\N	\N	\N
1781298	6040	1994-04-11	PRIJEM	VKLAD	22065	55175	\N	\N	\N
1781299	6040	1994-05-11	PRIJEM	VKLAD	22065	57016	\N	\N	\N
1781300	6040	1994-06-11	PRIJEM	VKLAD	33098	69596	\N	\N	\N
1781301	6040	1994-07-11	PRIJEM	VKLAD	22065	54257	\N	\N	\N
1781302	6040	1994-08-11	PRIJEM	VKLAD	22065	49388	\N	\N	\N
1781303	6040	1994-09-11	PRIJEM	VKLAD	22065	53212	\N	\N	\N
1781304	6040	1994-10-11	PRIJEM	VKLAD	22065	47728	\N	\N	\N
1781305	6040	1994-11-11	PRIJEM	VKLAD	22065	51168	\N	\N	\N
1781306	6040	1994-12-11	PRIJEM	VKLAD	33098	62524	\N	\N	\N
1781307	6040	1995-01-11	PRIJEM	VKLAD	22065	49454	\N	\N	\N
1781308	6040	1995-02-11	PRIJEM	VKLAD	22065	41756	\N	\N	\N
1781309	6040	1995-03-11	PRIJEM	VKLAD	22065	45746	\N	\N	\N
1781310	6040	1995-04-11	PRIJEM	VKLAD	22065	45144	\N	\N	\N
1781311	6040	1995-05-11	PRIJEM	VKLAD	22065	45644	\N	\N	\N
1781312	6040	1995-06-11	PRIJEM	VKLAD	33098	51362	\N	\N	\N
1781313	6040	1995-07-11	PRIJEM	VKLAD	22065	46454	\N	\N	\N
1781314	6040	1995-08-11	PRIJEM	VKLAD	22065	38654	\N	\N	\N
1781315	6040	1995-09-11	PRIJEM	VKLAD	22065	46463	\N	\N	\N
1781316	6040	1995-10-11	PRIJEM	VKLAD	22065	48502	\N	\N	\N
1781317	6040	1995-11-11	PRIJEM	VKLAD	22065	47456	\N	\N	\N
1781318	6040	1995-12-11	PRIJEM	VKLAD	33098	55640	\N	\N	\N
1781319	6040	1996-01-11	PRIJEM	VKLAD	22065	42106	\N	\N	\N
1781320	6040	1996-02-11	PRIJEM	VKLAD	22065	38209	\N	\N	\N
1781321	6040	1996-03-11	PRIJEM	VKLAD	22065	42807	\N	\N	\N
1781322	6040	1996-04-11	PRIJEM	VKLAD	22065	43132	\N	\N	\N
1781323	6040	1996-05-11	PRIJEM	VKLAD	22065	40859	\N	\N	\N
1781324	6040	1996-06-11	PRIJEM	VKLAD	33098	48399	\N	\N	\N
1781325	6040	1996-07-11	PRIJEM	VKLAD	22065	42232	\N	\N	\N
1781326	6040	1996-08-11	PRIJEM	VKLAD	22065	37252	\N	\N	\N
1781327	6040	1996-09-11	PRIJEM	VKLAD	22065	36555	\N	\N	\N
1781328	6040	1996-10-11	PRIJEM	VKLAD	22065	36755	\N	\N	\N
1781329	6040	1996-11-11	PRIJEM	VKLAD	22065	37140	\N	\N	\N
1781330	6040	1996-12-11	PRIJEM	VKLAD	33098	50065	\N	\N	\N
1781331	6040	1997-01-11	PRIJEM	VKLAD	22065	39192	\N	\N	\N
1781332	6040	1997-02-11	PRIJEM	VKLAD	22065	36358	\N	\N	\N
1781333	6040	1997-03-11	PRIJEM	VKLAD	22065	41136	\N	\N	\N
1781334	6040	1997-04-11	PRIJEM	VKLAD	22065	40138	\N	\N	\N
1781335	6040	1997-05-11	PRIJEM	VKLAD	22065	36341	\N	\N	\N
1781336	6040	1997-06-11	PRIJEM	VKLAD	33098	60366	\N	\N	\N
1781337	6040	1997-07-11	PRIJEM	VKLAD	22065	54909	\N	\N	\N
1781338	6040	1997-08-11	PRIJEM	VKLAD	22065	39858	\N	\N	\N
1781339	6040	1997-09-11	PRIJEM	VKLAD	22065	53054	\N	\N	\N
1781340	6040	1997-10-11	PRIJEM	VKLAD	22065	39689	\N	\N	\N
1781341	6040	1997-11-11	PRIJEM	VKLAD	22065	52481	\N	\N	\N
1781342	6040	1997-12-11	PRIJEM	VKLAD	33098	55549	\N	\N	\N
1781343	6040	1998-01-11	PRIJEM	VKLAD	22065	45580	\N	\N	\N
1781344	6040	1998-02-11	PRIJEM	VKLAD	22065	46974	\N	\N	\N
1781345	6040	1998-03-11	PRIJEM	VKLAD	22065	42086	\N	\N	\N
1781346	6040	1998-04-11	PRIJEM	VKLAD	22065	40578	\N	\N	\N
1781347	6040	1998-05-11	PRIJEM	VKLAD	22065	40265	\N	\N	\N
1781348	6040	1998-06-11	PRIJEM	VKLAD	33098	52083	\N	\N	\N
1781349	6040	1998-07-11	PRIJEM	VKLAD	22065	48298	\N	\N	\N
1781350	6040	1998-08-11	PRIJEM	VKLAD	22065	42108	\N	\N	\N
1781351	6040	1998-09-11	PRIJEM	VKLAD	22065	43597	\N	\N	\N
1781352	6040	1998-10-11	PRIJEM	VKLAD	22065	43590	\N	\N	\N
1781353	6040	1998-11-11	PRIJEM	VKLAD	22065	51791	\N	\N	\N
1781354	6040	1998-12-11	PRIJEM	VKLAD	33098	53139	\N	\N	\N
1781363	6040	1993-09-11	VYDAJ	PREVOD NA UCET	2635	63951	SIPO	UV	45750951
1781364	6040	1993-10-11	VYDAJ	PREVOD NA UCET	2635	60432	SIPO	UV	45750951
1781365	6040	1993-11-11	VYDAJ	PREVOD NA UCET	2635	55304	SIPO	UV	45750951
1781366	6040	1993-12-11	VYDAJ	PREVOD NA UCET	2635	68192	SIPO	UV	45750951
1781367	6040	1994-01-11	VYDAJ	PREVOD NA UCET	2635	48864	SIPO	UV	45750951
1781368	6040	1994-02-11	VYDAJ	PREVOD NA UCET	2635	46889	SIPO	UV	45750951
1781369	6040	1994-03-11	VYDAJ	PREVOD NA UCET	2635	50106	SIPO	UV	45750951
1781370	6040	1994-04-11	VYDAJ	PREVOD NA UCET	2635	52540	SIPO	UV	45750951
1781371	6040	1994-05-11	VYDAJ	PREVOD NA UCET	2635	54381	SIPO	UV	45750951
1781372	6040	1994-06-11	VYDAJ	PREVOD NA UCET	2635	66961	SIPO	UV	45750951
1781373	6040	1994-07-11	VYDAJ	PREVOD NA UCET	2635	51622	SIPO	UV	45750951
1781374	6040	1994-08-11	VYDAJ	PREVOD NA UCET	2635	46753	SIPO	UV	45750951
1781375	6040	1994-09-11	VYDAJ	PREVOD NA UCET	2635	50577	SIPO	UV	45750951
1781376	6040	1994-10-11	VYDAJ	PREVOD NA UCET	2635	45093	SIPO	UV	45750951
1781377	6040	1994-11-11	VYDAJ	PREVOD NA UCET	2635	48533	SIPO	UV	45750951
1781378	6040	1994-12-11	VYDAJ	PREVOD NA UCET	2635	59889	SIPO	UV	45750951
1781379	6040	1995-01-11	VYDAJ	PREVOD NA UCET	2635	46819	SIPO	UV	45750951
1781380	6040	1995-02-11	VYDAJ	PREVOD NA UCET	2635	39121	SIPO	UV	45750951
1781381	6040	1995-03-11	VYDAJ	PREVOD NA UCET	2635	43111	SIPO	UV	45750951
1781382	6040	1995-04-11	VYDAJ	PREVOD NA UCET	2635	42509	SIPO	UV	45750951
1781383	6040	1995-05-11	VYDAJ	PREVOD NA UCET	2635	43009	SIPO	UV	45750951
1781384	6040	1995-06-11	VYDAJ	PREVOD NA UCET	2635	48727	SIPO	UV	45750951
1781385	6040	1995-07-11	VYDAJ	PREVOD NA UCET	2635	43819	SIPO	UV	45750951
1781386	6040	1995-08-11	VYDAJ	PREVOD NA UCET	2635	36019	SIPO	UV	45750951
1781387	6040	1995-09-11	VYDAJ	PREVOD NA UCET	2635	43828	SIPO	UV	45750951
1781388	6040	1995-10-11	VYDAJ	PREVOD NA UCET	2635	45867	SIPO	UV	45750951
1781389	6040	1995-11-11	VYDAJ	PREVOD NA UCET	2635	44821	SIPO	UV	45750951
1781390	6040	1995-12-11	VYDAJ	PREVOD NA UCET	2635	53005	SIPO	UV	45750951
1781391	6040	1996-01-11	VYDAJ	PREVOD NA UCET	2635	39471	SIPO	UV	45750951
1781392	6040	1996-02-11	VYDAJ	PREVOD NA UCET	2635	35574	SIPO	UV	45750951
1781393	6040	1996-03-11	VYDAJ	PREVOD NA UCET	2635	40172	SIPO	UV	45750951
1781394	6040	1996-04-11	VYDAJ	PREVOD NA UCET	2635	40497	SIPO	UV	45750951
1781395	6040	1996-05-11	VYDAJ	PREVOD NA UCET	2635	33724	SIPO	UV	45750951
1781396	6040	1996-06-11	VYDAJ	PREVOD NA UCET	2635	45764	SIPO	UV	45750951
1781397	6040	1996-07-11	VYDAJ	PREVOD NA UCET	2635	39597	SIPO	UV	45750951
1781398	6040	1996-08-11	VYDAJ	PREVOD NA UCET	2635	34617	SIPO	UV	45750951
1781399	6040	1996-09-11	VYDAJ	PREVOD NA UCET	2635	33920	SIPO	UV	45750951
1781400	6040	1996-10-11	VYDAJ	PREVOD NA UCET	2635	34120	SIPO	UV	45750951
1781401	6040	1996-11-11	VYDAJ	PREVOD NA UCET	2635	34505	SIPO	UV	45750951
1781402	6040	1996-12-11	VYDAJ	PREVOD NA UCET	2635	47430	SIPO	UV	45750951
1781403	6040	1997-01-11	VYDAJ	PREVOD NA UCET	2635	36557	SIPO	UV	45750951
1781404	6040	1997-02-11	VYDAJ	PREVOD NA UCET	2635	33723	SIPO	UV	45750951
1781405	6040	1997-03-11	VYDAJ	PREVOD NA UCET	2635	38501	SIPO	UV	45750951
1781406	6040	1997-04-11	VYDAJ	PREVOD NA UCET	2635	37503	SIPO	UV	45750951
1781407	6040	1997-05-11	VYDAJ	PREVOD NA UCET	2635	33706	SIPO	UV	45750951
1781408	6040	1997-06-11	VYDAJ	PREVOD NA UCET	2635	57731	SIPO	UV	45750951
1781409	6040	1997-07-11	VYDAJ	PREVOD NA UCET	2635	52274	SIPO	UV	45750951
1781410	6040	1997-08-11	VYDAJ	PREVOD NA UCET	2635	37223	SIPO	UV	45750951
1781411	6040	1997-09-11	VYDAJ	PREVOD NA UCET	2635	50419	SIPO	UV	45750951
1781412	6040	1997-10-11	VYDAJ	PREVOD NA UCET	2635	37054	SIPO	UV	45750951
1781413	6040	1997-11-11	VYDAJ	PREVOD NA UCET	2635	49846	SIPO	UV	45750951
1781414	6040	1997-12-11	VYDAJ	PREVOD NA UCET	2635	52914	SIPO	UV	45750951
1781415	6040	1998-01-11	VYDAJ	PREVOD NA UCET	2635	42645	SIPO	UV	45750951
1781416	6040	1998-02-11	VYDAJ	PREVOD NA UCET	2635	44339	SIPO	UV	45750951
1781417	6040	1998-03-11	VYDAJ	PREVOD NA UCET	2635	39451	SIPO	UV	45750951
1781418	6040	1998-04-11	VYDAJ	PREVOD NA UCET	2635	37943	SIPO	UV	45750951
1781419	6040	1998-05-11	VYDAJ	PREVOD NA UCET	2635	37630	SIPO	UV	45750951
1781420	6040	1998-06-11	VYDAJ	PREVOD NA UCET	2635	49448	SIPO	UV	45750951
1781421	6040	1998-07-11	VYDAJ	PREVOD NA UCET	2635	45663	SIPO	UV	45750951
1781422	6040	1998-08-11	VYDAJ	PREVOD NA UCET	2635	39473	SIPO	UV	45750951
1781423	6040	1998-09-11	VYDAJ	PREVOD NA UCET	2635	40962	SIPO	UV	45750951
1781424	6040	1998-10-11	VYDAJ	PREVOD NA UCET	2635	40955	SIPO	UV	45750951
1781425	6040	1998-11-11	VYDAJ	PREVOD NA UCET	2635	49156	SIPO	UV	45750951
1781426	6040	1998-12-11	VYDAJ	PREVOD NA UCET	2635	50504	SIPO	UV	45750951
1781436	6040	1993-10-06	VYDAJ	PREVOD NA UCET	1321	42602	 	EF	96697401
1781437	6040	1993-11-06	VYDAJ	PREVOD NA UCET	1321	35874	 	EF	96697401
1781438	6040	1993-12-06	VYDAJ	PREVOD NA UCET	1321	37729	 	EF	96697401
1781439	6040	1994-01-06	VYDAJ	PREVOD NA UCET	1321	36134	 	EF	96697401
1781440	6040	1994-02-06	VYDAJ	PREVOD NA UCET	1321	27959	 	EF	96697401
1781441	6040	1994-03-06	VYDAJ	PREVOD NA UCET	1321	30676	 	EF	96697401
1781442	6040	1994-04-06	VYDAJ	PREVOD NA UCET	1321	33110	 	EF	96697401
1781443	6040	1994-05-06	VYDAJ	PREVOD NA UCET	1321	35451	 	EF	96697401
1781444	6040	1994-06-06	VYDAJ	PREVOD NA UCET	1321	36498	 	EF	96697401
1781445	6040	1994-07-06	VYDAJ	PREVOD NA UCET	1321	32692	 	EF	96697401
1781446	6040	1994-08-06	VYDAJ	PREVOD NA UCET	1321	32223	 	EF	96697401
1781447	6040	1994-09-06	VYDAJ	PREVOD NA UCET	1321	31147	 	EF	96697401
1781448	6040	1994-10-06	VYDAJ	PREVOD NA UCET	1321	25663	 	EF	96697401
1781449	6040	1994-11-06	VYDAJ	PREVOD NA UCET	1321	29103	 	EF	96697401
1781450	6040	1994-12-06	VYDAJ	PREVOD NA UCET	1321	29426	 	EF	96697401
1781451	6040	1995-01-06	VYDAJ	PREVOD NA UCET	1321	27389	 	EF	96697401
1781452	6040	1995-02-06	VYDAJ	PREVOD NA UCET	1321	19691	 	EF	96697401
1781453	6040	1995-03-06	VYDAJ	PREVOD NA UCET	1321	23681	 	EF	96697401
1781454	6040	1995-04-06	VYDAJ	PREVOD NA UCET	1321	23079	 	EF	96697401
1781455	6040	1995-05-06	VYDAJ	PREVOD NA UCET	1321	23579	 	EF	96697401
1781456	6040	1995-06-06	VYDAJ	PREVOD NA UCET	1321	18264	 	EF	96697401
1781457	6040	1995-07-06	VYDAJ	PREVOD NA UCET	1321	24389	 	EF	96697401
1781458	6040	1995-08-06	VYDAJ	PREVOD NA UCET	1321	21289	 	EF	96697401
1781459	6040	1995-09-06	VYDAJ	PREVOD NA UCET	1321	29298	 	EF	96697401
1781460	6040	1995-10-06	VYDAJ	PREVOD NA UCET	1321	37137	 	EF	96697401
1781461	6040	1995-11-06	VYDAJ	PREVOD NA UCET	1321	39191	 	EF	96697401
1781462	6040	1995-12-06	VYDAJ	PREVOD NA UCET	1321	38142	 	EF	96697401
1781463	6040	1996-01-06	VYDAJ	PREVOD NA UCET	1321	40741	 	EF	96697401
1781464	6040	1996-02-06	VYDAJ	PREVOD NA UCET	1321	16144	 	EF	96697401
1781465	6040	1996-03-06	VYDAJ	PREVOD NA UCET	1321	28842	 	EF	96697401
1781466	6040	1996-04-06	VYDAJ	PREVOD NA UCET	1321	21067	 	EF	96697401
1781467	6040	1996-05-06	VYDAJ	PREVOD NA UCET	1321	18794	 	EF	96697401
1781468	6040	1996-06-06	VYDAJ	PREVOD NA UCET	1321	15301	 	EF	96697401
1781469	6040	1996-07-06	VYDAJ	PREVOD NA UCET	1321	22367	 	EF	96697401
1781470	6040	1996-08-06	VYDAJ	PREVOD NA UCET	1321	15187	 	EF	96697401
1781471	6040	1996-09-06	VYDAJ	PREVOD NA UCET	1321	14490	 	EF	96697401
1781472	6040	1996-10-06	VYDAJ	PREVOD NA UCET	1321	14690	 	EF	96697401
1781473	6040	1996-11-06	VYDAJ	PREVOD NA UCET	1321	15075	 	EF	96697401
1781474	6040	1996-12-06	VYDAJ	PREVOD NA UCET	1321	16967	 	EF	96697401
1781475	6040	1997-01-06	VYDAJ	PREVOD NA UCET	1321	18327	 	EF	96697401
1781476	6040	1997-02-06	VYDAJ	PREVOD NA UCET	1321	14293	 	EF	96697401
1781477	6040	1997-03-06	VYDAJ	PREVOD NA UCET	1321	19071	 	EF	96697401
1781478	6040	1997-04-06	VYDAJ	PREVOD NA UCET	1321	18073	 	EF	96697401
1781479	6040	1997-05-06	VYDAJ	PREVOD NA UCET	1321	14276	 	EF	96697401
1781480	6040	1997-06-06	VYDAJ	PREVOD NA UCET	1321	27268	 	EF	96697401
1781481	6040	1997-07-06	VYDAJ	PREVOD NA UCET	1321	33144	 	EF	96697401
1781482	6040	1997-08-06	VYDAJ	PREVOD NA UCET	1321	18193	 	EF	96697401
1781483	6040	1997-09-06	VYDAJ	PREVOD NA UCET	1321	30989	 	EF	96697401
1781484	6040	1997-10-06	VYDAJ	PREVOD NA UCET	1321	17624	 	EF	96697401
1781485	6040	1997-11-06	VYDAJ	PREVOD NA UCET	1321	30416	 	EF	96697401
1781486	6040	1997-12-06	VYDAJ	PREVOD NA UCET	1321	22451	 	EF	96697401
1781487	6040	1998-01-06	VYDAJ	PREVOD NA UCET	1321	25115	 	EF	96697401
1781488	6040	1998-02-06	VYDAJ	PREVOD NA UCET	1321	24909	 	EF	96697401
1781489	6040	1998-03-06	VYDAJ	PREVOD NA UCET	1321	20021	 	EF	96697401
1781490	6040	1998-04-06	VYDAJ	PREVOD NA UCET	1321	18513	 	EF	96697401
1781491	6040	1998-05-06	VYDAJ	PREVOD NA UCET	1321	18200	 	EF	96697401
1781492	6040	1998-06-06	VYDAJ	PREVOD NA UCET	1321	19285	 	EF	96697401
1781493	6040	1998-07-06	VYDAJ	PREVOD NA UCET	1321	26233	 	EF	96697401
1781494	6040	1998-08-06	VYDAJ	PREVOD NA UCET	1321	20443	 	EF	96697401
1781495	6040	1998-09-06	VYDAJ	PREVOD NA UCET	1321	21532	 	EF	96697401
1781496	6040	1998-10-06	VYDAJ	PREVOD NA UCET	1321	21525	 	EF	96697401
1781497	6040	1998-11-06	VYDAJ	PREVOD NA UCET	1321	30026	 	EF	96697401
1781498	6040	1998-12-06	VYDAJ	PREVOD NA UCET	1321	20041	 	EF	96697401
1781507	6040	1993-09-14	VYDAJ	PREVOD NA UCET	5015	58936	POJISTNE	GH	15017515
1781508	6040	1993-10-14	VYDAJ	PREVOD NA UCET	5015	55417	POJISTNE	GH	15017515
1781509	6040	1993-11-14	VYDAJ	PREVOD NA UCET	5015	50089	POJISTNE	GH	15017515
1781510	6040	1993-12-14	VYDAJ	PREVOD NA UCET	5015	63177	POJISTNE	GH	15017515
1781511	6040	1994-01-14	VYDAJ	PREVOD NA UCET	5015	42049	POJISTNE	GH	15017515
1781512	6040	1994-02-14	VYDAJ	PREVOD NA UCET	5015	41874	POJISTNE	GH	15017515
1781513	6040	1994-03-14	VYDAJ	PREVOD NA UCET	5015	45091	POJISTNE	GH	15017515
1781514	6040	1994-04-14	VYDAJ	PREVOD NA UCET	5015	47525	POJISTNE	GH	15017515
1781515	6040	1994-05-14	VYDAJ	PREVOD NA UCET	5015	49366	POJISTNE	GH	15017515
1781516	6040	1994-06-14	VYDAJ	PREVOD NA UCET	5015	61946	POJISTNE	GH	15017515
1781517	6040	1994-07-14	VYDAJ	PREVOD NA UCET	5015	46607	POJISTNE	GH	15017515
1781518	6040	1994-08-14	VYDAJ	PREVOD NA UCET	5015	41438	POJISTNE	GH	15017515
1781519	6040	1994-09-14	VYDAJ	PREVOD NA UCET	5015	33762	POJISTNE	GH	15017515
1781520	6040	1994-10-14	VYDAJ	PREVOD NA UCET	5015	39589	POJISTNE	GH	15017515
1781521	6040	1994-11-14	VYDAJ	PREVOD NA UCET	5015	30629	POJISTNE	GH	15017515
1781522	6040	1994-12-14	VYDAJ	PREVOD NA UCET	5015	31985	POJISTNE	GH	15017515
1781523	6040	1995-01-14	VYDAJ	PREVOD NA UCET	5015	27715	POJISTNE	GH	15017515
1781524	6040	1995-02-14	VYDAJ	PREVOD NA UCET	5015	24917	POJISTNE	GH	15017515
1781525	6040	1995-03-14	VYDAJ	PREVOD NA UCET	5015	24307	POJISTNE	GH	15017515
1781526	6040	1995-04-14	VYDAJ	PREVOD NA UCET	5015	24805	POJISTNE	GH	15017515
1781527	6040	1995-05-14	VYDAJ	PREVOD NA UCET	5015	22005	POJISTNE	GH	15017515
1781528	6040	1995-06-14	VYDAJ	PREVOD NA UCET	5015	25623	POJISTNE	GH	15017515
1781529	6040	1995-07-14	VYDAJ	PREVOD NA UCET	5015	25715	POJISTNE	GH	15017515
1781530	6040	1995-08-14	VYDAJ	PREVOD NA UCET	5015	30515	POJISTNE	GH	15017515
1781531	6040	1995-09-14	VYDAJ	PREVOD NA UCET	5015	38324	POJISTNE	GH	15017515
1781532	6040	1995-10-14	VYDAJ	PREVOD NA UCET	5015	40363	POJISTNE	GH	15017515
1781533	6040	1995-11-14	VYDAJ	PREVOD NA UCET	5015	39317	POJISTNE	GH	15017515
1781534	6040	1995-12-14	VYDAJ	PREVOD NA UCET	5015	47501	POJISTNE	GH	15017515
1781535	6040	1996-01-14	VYDAJ	PREVOD NA UCET	5015	27667	POJISTNE	GH	15017515
1781536	6040	1996-02-14	VYDAJ	PREVOD NA UCET	5015	30070	POJISTNE	GH	15017515
1781537	6040	1996-03-14	VYDAJ	PREVOD NA UCET	5015	34668	POJISTNE	GH	15017515
1781538	6040	1996-04-14	VYDAJ	PREVOD NA UCET	5015	34993	POJISTNE	GH	15017515
1781539	6040	1996-05-14	VYDAJ	PREVOD NA UCET	5015	28220	POJISTNE	GH	15017515
1781540	6040	1996-06-14	VYDAJ	PREVOD NA UCET	5015	40260	POJISTNE	GH	15017515
1781541	6040	1996-07-14	VYDAJ	PREVOD NA UCET	5015	34093	POJISTNE	GH	15017515
1781542	6040	1996-08-14	VYDAJ	PREVOD NA UCET	5015	29113	POJISTNE	GH	15017515
1781543	6040	1996-09-14	VYDAJ	PREVOD NA UCET	5015	28416	POJISTNE	GH	15017515
1781544	6040	1996-10-14	VYDAJ	PREVOD NA UCET	5015	29105	POJISTNE	GH	15017515
1781545	6040	1996-11-14	VYDAJ	PREVOD NA UCET	5015	29490	POJISTNE	GH	15017515
1781546	6040	1996-12-14	VYDAJ	PREVOD NA UCET	5015	42115	POJISTNE	GH	15017515
1781547	6040	1997-01-14	VYDAJ	PREVOD NA UCET	5015	20242	POJISTNE	GH	15017515
1781548	6040	1997-02-14	VYDAJ	PREVOD NA UCET	5015	28208	POJISTNE	GH	15017515
1781549	6040	1997-03-14	VYDAJ	PREVOD NA UCET	5015	33186	POJISTNE	GH	15017515
1781550	6040	1997-04-14	VYDAJ	PREVOD NA UCET	5015	32488	POJISTNE	GH	15017515
1781551	6040	1997-05-14	VYDAJ	PREVOD NA UCET	5015	28691	POJISTNE	GH	15017515
1781552	6040	1997-06-14	VYDAJ	PREVOD NA UCET	5015	52716	POJISTNE	GH	15017515
1781553	6040	1997-07-14	VYDAJ	PREVOD NA UCET	5015	47259	POJISTNE	GH	15017515
1781554	6040	1997-08-14	VYDAJ	PREVOD NA UCET	5015	32208	POJISTNE	GH	15017515
1781555	6040	1997-09-14	VYDAJ	PREVOD NA UCET	5015	44404	POJISTNE	GH	15017515
1781556	6040	1997-10-14	VYDAJ	PREVOD NA UCET	5015	31639	POJISTNE	GH	15017515
1781557	6040	1997-11-14	VYDAJ	PREVOD NA UCET	5015	44531	POJISTNE	GH	15017515
1781558	6040	1997-12-14	VYDAJ	PREVOD NA UCET	5015	47899	POJISTNE	GH	15017515
1781559	6040	1998-01-14	VYDAJ	PREVOD NA UCET	5015	32330	POJISTNE	GH	15017515
1781560	6040	1998-02-14	VYDAJ	PREVOD NA UCET	5015	39324	POJISTNE	GH	15017515
1781561	6040	1998-03-14	VYDAJ	PREVOD NA UCET	5015	34436	POJISTNE	GH	15017515
1781562	6040	1998-04-14	VYDAJ	PREVOD NA UCET	5015	32928	POJISTNE	GH	15017515
1781563	6040	1998-05-14	VYDAJ	PREVOD NA UCET	5015	32615	POJISTNE	GH	15017515
1781564	6040	1998-06-14	VYDAJ	PREVOD NA UCET	5015	44433	POJISTNE	GH	15017515
1781565	6040	1998-07-14	VYDAJ	PREVOD NA UCET	5015	40248	POJISTNE	GH	15017515
1781566	6040	1998-08-14	VYDAJ	PREVOD NA UCET	5015	34458	POJISTNE	GH	15017515
1781567	6040	1998-09-14	VYDAJ	PREVOD NA UCET	5015	35647	POJISTNE	GH	15017515
1781568	6040	1998-10-14	VYDAJ	PREVOD NA UCET	5015	35940	POJISTNE	GH	15017515
1781569	6040	1998-11-14	VYDAJ	PREVOD NA UCET	5015	44141	POJISTNE	GH	15017515
1781570	6040	1998-12-14	VYDAJ	PREVOD NA UCET	5015	45489	POJISTNE	GH	15017515
1781579	6040	1993-09-16	VYDAJ	VYBER	300	57036	\N	\N	0
1781580	6040	1993-10-29	VYDAJ	VYBER	400	41317	\N	\N	0
1781581	6040	1993-11-12	VYDAJ	VYBER	200	55104	\N	\N	0
1781582	6040	1993-12-04	VYDAJ	VYBER	600	39050	\N	\N	0
1781583	6040	1994-01-04	VYDAJ	VYBER	300	37455	\N	\N	0
1781584	6040	1994-02-08	VYDAJ	VYBER	500	27459	\N	\N	0
1781585	6040	1994-03-25	VYDAJ	VYBER	600	34891	\N	\N	0
1781586	6040	1994-03-30	VYDAJ	VYBER	600	34291	\N	\N	0
1781587	6040	1994-05-08	VYDAJ	VYBER	500	34951	\N	\N	0
1781588	6040	1994-06-20	VYDAJ	VYBER	400	41846	\N	\N	0
1781589	6040	1994-07-09	VYDAJ	VYBER	500	32192	\N	\N	0
1781590	6040	1994-08-11	VYDAJ	VYBER	300	46453	\N	\N	0
1781591	6040	1994-09-04	VYDAJ	VYBER	600	32468	\N	\N	0
1781592	6040	1994-10-12	VYDAJ	PREVOD NA UCET	489	44604	UVER	QR	12242263
1781593	6040	1994-11-12	VYDAJ	PREVOD NA UCET	489	48044	UVER	QR	12242263
1781594	6040	1994-12-12	VYDAJ	PREVOD NA UCET	489	59400	UVER	QR	12242263
1781595	6040	1995-01-12	VYDAJ	PREVOD NA UCET	489	33630	UVER	QR	12242263
1781596	6040	1995-02-12	VYDAJ	PREVOD NA UCET	489	29932	UVER	QR	12242263
1781597	6040	1995-03-12	VYDAJ	PREVOD NA UCET	489	42622	UVER	QR	12242263
1781598	6040	1995-04-12	VYDAJ	PREVOD NA UCET	489	42020	UVER	QR	12242263
1781599	6040	1995-05-12	VYDAJ	PREVOD NA UCET	489	27020	UVER	QR	12242263
1781600	6040	1995-06-12	VYDAJ	PREVOD NA UCET	489	30638	UVER	QR	12242263
1781601	6040	1995-07-12	VYDAJ	PREVOD NA UCET	489	30730	UVER	QR	12242263
1781602	6040	1995-08-12	VYDAJ	PREVOD NA UCET	489	35530	UVER	QR	12242263
1781603	6040	1995-09-12	VYDAJ	PREVOD NA UCET	489	43339	UVER	QR	12242263
1781604	6040	1995-10-12	VYDAJ	PREVOD NA UCET	489	45378	UVER	QR	12242263
1781605	6040	1995-11-12	VYDAJ	PREVOD NA UCET	489	44332	UVER	QR	12242263
1781606	6040	1995-12-12	VYDAJ	PREVOD NA UCET	489	52516	UVER	QR	12242263
1781607	6040	1996-01-12	VYDAJ	PREVOD NA UCET	489	38982	UVER	QR	12242263
1781608	6040	1996-02-12	VYDAJ	PREVOD NA UCET	489	35085	UVER	QR	12242263
1781609	6040	1996-03-12	VYDAJ	PREVOD NA UCET	489	39683	UVER	QR	12242263
1781610	6040	1996-04-12	VYDAJ	PREVOD NA UCET	489	40008	UVER	QR	12242263
1781611	6040	1996-05-12	VYDAJ	PREVOD NA UCET	489	33235	UVER	QR	12242263
1781612	6040	1996-06-12	VYDAJ	PREVOD NA UCET	489	45275	UVER	QR	12242263
1781613	6040	1996-07-12	VYDAJ	PREVOD NA UCET	489	39108	UVER	QR	12242263
1781614	6040	1996-08-12	VYDAJ	PREVOD NA UCET	489	34128	UVER	QR	12242263
1781615	6040	1996-09-12	VYDAJ	PREVOD NA UCET	489	33431	UVER	QR	12242263
1781616	6040	1996-10-18	VYDAJ	VYBER	400	28705	\N	\N	0
1781617	6040	1996-11-18	VYDAJ	VYBER	500	28990	\N	\N	0
1781618	6040	1996-12-14	VYDAJ	VYBER	300	47130	\N	\N	0
1781619	6040	1997-01-01	VYDAJ	VYBER	300	22348	\N	\N	0
1781620	6040	1997-02-12	VYDAJ	VYBER	500	33223	\N	\N	0
1781621	6040	1997-03-12	VYDAJ	VYBER	300	38201	\N	\N	0
1781622	6040	1997-04-26	VYDAJ	VYBER	400	32088	\N	\N	0
1781623	6040	1997-05-22	VYDAJ	VYBER	200	28491	\N	\N	0
1781624	6040	1997-06-16	VYDAJ	VYBER	300	52416	\N	\N	0
1781625	6040	1997-07-07	VYDAJ	VYBER	300	32844	\N	\N	0
1781626	6040	1997-08-08	VYDAJ	VYBER	400	17793	\N	\N	0
1781627	6040	1997-09-17	VYDAJ	VYBER	500	43904	\N	\N	0
1781628	6040	1997-10-12	VYDAJ	VYBER	400	36654	\N	\N	0
1781629	6040	1997-11-11	VYDAJ	VYBER	300	49546	\N	\N	0
1781630	6040	1997-12-19	VYDAJ	VYBER	500	47399	\N	\N	0
1781631	6040	1998-01-11	VYDAJ	VYBER	300	45280	\N	\N	0
1781632	6040	1998-02-20	VYDAJ	VYBER	400	38924	\N	\N	0
1781633	6040	1998-03-04	VYDAJ	VYBER	600	21342	\N	\N	0
1781634	6040	1998-04-26	VYDAJ	VYBER	300	19428	\N	\N	0
1781635	6040	1998-05-25	VYDAJ	VYBER	500	32115	\N	\N	0
1781636	6040	1998-06-09	VYDAJ	VYBER	300	18985	\N	\N	0
1781637	6040	1998-07-13	VYDAJ	VYBER	400	45263	\N	\N	0
1781638	6040	1998-08-09	VYDAJ	VYBER	400	20043	\N	\N	0
1781639	6040	1998-09-12	VYDAJ	VYBER	300	40662	\N	\N	0
1781640	6040	1998-10-18	VYDAJ	VYBER	400	34440	\N	\N	0
1781641	6040	1998-11-09	VYDAJ	VYBER	300	29726	\N	\N	0
1781642	6040	1998-12-03	VYDAJ	VYBER	500	21362	\N	\N	0
1781644	6040	1994-06-28	VYDAJ	VYBER	4500	37346	\N	\N	\N
1781647	6040	1997-06-23	VYDAJ	VYBER	18100	34316	\N	\N	\N
1781650	6040	1994-01-03	VYDAJ	VYBER	4900	37755	\N	\N	\N
1781651	6040	1995-01-14	VYDAJ	VYBER	1300	26415	\N	\N	\N
1781652	6040	1996-01-13	VYDAJ	VYBER	6300	32682	\N	\N	\N
1781653	6040	1997-01-13	VYDAJ	VYBER	9300	25257	\N	\N	\N
1781654	6040	1998-01-15	VYDAJ	VYBER	1000	31330	\N	\N	\N
1781655	6040	1993-12-15	VYDAJ	VYBER	2600	60577	\N	\N	\N
1781656	6040	1994-12-13	VYDAJ	VYBER	2300	37000	\N	\N	\N
1781657	6040	1995-12-19	VYDAJ	VYBER	2900	44601	\N	\N	\N
1781658	6040	1996-12-21	VYDAJ	VYBER	1000	41115	\N	\N	\N
1781659	6040	1997-12-01	VYDAJ	VYBER	1000	23772	\N	\N	\N
1781667	6040	1994-01-21	VYDAJ	VYBER	2400	29149	\N	\N	\N
1781668	6040	1994-01-13	VYDAJ	VYBER	1800	47064	\N	\N	\N
1781669	6040	1994-01-09	VYDAJ	VYBER	1800	29434	\N	\N	\N
1781670	6040	1994-01-09	VYDAJ	VYBER	1300	33234	\N	\N	\N
1781671	6040	1994-01-08	VYDAJ	VYBER	1600	34534	\N	\N	\N
1781672	6040	1994-01-09	VYDAJ	VYBER	2000	31234	\N	\N	\N
1781673	6040	1995-01-23	VYDAJ	VYBER	600	25815	\N	\N	\N
1781674	6040	1995-01-12	VYDAJ	VYBER	900	32730	\N	\N	\N
1781675	6040	1995-01-29	VYDAJ	VYBER	2000	20915	\N	\N	\N
1781676	6040	1995-01-02	VYDAJ	VYBER	1300	30810	\N	\N	\N
1781677	6040	1995-01-02	VYDAJ	VYBER	2100	28710	\N	\N	\N
1781678	6040	1995-01-24	VYDAJ	VYBER	2900	22915	\N	\N	\N
1781679	6040	1996-01-25	VYDAJ	VYBER	2400	17367	\N	\N	\N
1781680	6040	1996-01-19	VYDAJ	VYBER	900	21367	\N	\N	\N
1781681	6040	1996-01-17	VYDAJ	VYBER	2800	24867	\N	\N	\N
1781682	6040	1996-01-05	VYDAJ	VYBER	2700	42062	\N	\N	\N
1781683	6040	1996-01-24	VYDAJ	VYBER	1600	19767	\N	\N	\N
1781684	6040	1996-01-17	VYDAJ	VYBER	2600	22267	\N	\N	\N
1781685	6040	1997-01-26	VYDAJ	VYBER	2700	17542	\N	\N	\N
1781686	6040	1997-01-01	VYDAJ	VYBER	2200	39048	\N	\N	\N
1781688	6040	1997-01-13	VYDAJ	VYBER	2000	34557	\N	\N	\N
1781689	6040	1997-01-10	VYDAJ	VYBER	1200	17127	\N	\N	\N
1781690	6040	1997-01-05	VYDAJ	VYBER	2700	19648	\N	\N	\N
1781691	6040	1998-01-16	VYDAJ	VYBER	1800	29530	\N	\N	\N
1781692	6040	1998-01-11	VYDAJ	VYBER	2800	39845	\N	\N	\N
1781693	6040	1998-01-13	VYDAJ	VYBER	700	39145	\N	\N	\N
1781694	6040	1998-01-07	VYDAJ	VYBER	1600	23515	\N	\N	\N
1781695	6040	1998-01-14	VYDAJ	VYBER	1800	37345	\N	\N	\N
1781696	6040	1998-01-20	VYDAJ	VYBER	2800	26730	\N	\N	\N
1781698	6040	1993-10-09	VYDAJ	VYBER	1600	41002	\N	\N	\N
1781699	6040	1993-09-14	VYDAJ	VYBER	1600	57336	\N	\N	\N
1781700	6040	1993-11-03	VYDAJ	VYBER	4300	37195	\N	\N	\N
1781704	6040	1994-06-29	VYDAJ	VYBER	3500	33846	\N	\N	\N
1781705	6040	1994-09-17	VYDAJ	VYBER	4700	29062	\N	\N	\N
1781706	6040	1994-01-16	VYDAJ	VYBER	2200	39849	\N	\N	\N
1781707	6040	1994-10-01	VYDAJ	VYBER	2200	26984	\N	\N	\N
1781708	6040	1994-08-10	VYDAJ	VYBER	4900	27323	\N	\N	\N
1781709	6040	1995-08-04	VYDAJ	VYBER	3200	22610	\N	\N	\N
1781710	6040	1995-05-19	VYDAJ	VYBER	2500	19505	\N	\N	\N
1781711	6040	1996-05-11	VYDAJ	VYBER	4500	36359	\N	\N	\N
1781712	6040	1996-10-02	VYDAJ	VYBER	1900	26611	\N	\N	\N
1781713	6040	1996-07-01	VYDAJ	VYBER	3800	36588	\N	\N	\N
1781714	6040	1996-07-17	VYDAJ	VYBER	3300	30793	\N	\N	\N
1781715	6040	1996-01-10	VYDAJ	VYBER	3700	20041	\N	\N	\N
1781716	6040	1996-07-10	VYDAJ	VYBER	2200	20167	\N	\N	\N
1781717	6040	1997-03-25	VYDAJ	VYBER	1800	31386	\N	\N	\N
1781718	6040	1997-09-12	VYDAJ	VYBER	1000	49419	\N	\N	\N
1781719	6040	1998-01-28	VYDAJ	VYBER	600	26130	\N	\N	\N
1781721	6040	1998-10-15	VYDAJ	VYBER	1100	34840	\N	\N	\N
1781722	6040	1998-11-23	VYDAJ	VYBER	700	21741	\N	\N	\N
1781723	6040	1998-10-23	VYDAJ	VYBER	3200	31240	\N	\N	\N
1781734	6040	1993-09-30	VYDAJ	VYBER	15	43923	SLUZBY	\N	\N
1781735	6040	1993-10-31	VYDAJ	VYBER	15	41495	SLUZBY	\N	\N
1781736	6040	1993-11-30	VYDAJ	VYBER	15	39650	SLUZBY	\N	\N
1781737	6040	1993-12-31	VYDAJ	VYBER	15	42655	SLUZBY	\N	\N
1781738	6040	1994-01-31	VYDAJ	VYBER	15	29280	SLUZBY	\N	\N
1781739	6040	1994-02-28	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
1781740	6040	1994-03-31	VYDAJ	VYBER	15	34431	SLUZBY	\N	\N
1781741	6040	1994-04-30	VYDAJ	VYBER	15	36772	SLUZBY	\N	\N
1781742	6040	1994-05-31	VYDAJ	VYBER	15	37819	SLUZBY	\N	\N
1781743	6040	1994-06-30	VYDAJ	VYBER	15	34013	SLUZBY	\N	\N
1781744	6040	1994-07-31	VYDAJ	VYBER	15	33544	SLUZBY	\N	\N
1781745	6040	1994-08-31	VYDAJ	VYBER	15	33068	SLUZBY	\N	\N
1781746	6040	1994-09-30	VYDAJ	VYBER	15	29184	SLUZBY	\N	\N
1781747	6040	1994-10-31	VYDAJ	VYBER	15	30424	SLUZBY	\N	\N
1781748	6040	1994-11-30	VYDAJ	VYBER	15	30747	SLUZBY	\N	\N
1781749	6040	1994-12-31	VYDAJ	VYBER	15	32110	SLUZBY	\N	\N
1781750	6040	1995-01-31	VYDAJ	VYBER	15	21012	SLUZBY	\N	\N
1781751	6040	1995-02-28	VYDAJ	VYBER	15	25002	SLUZBY	\N	\N
1781752	6040	1995-03-31	VYDAJ	VYBER	15	24400	SLUZBY	\N	\N
1781753	6040	1995-04-30	VYDAJ	VYBER	15	24900	SLUZBY	\N	\N
1781754	6040	1995-05-31	VYDAJ	VYBER	15	19585	SLUZBY	\N	\N
1781755	6040	1995-06-30	VYDAJ	VYBER	15	25710	SLUZBY	\N	\N
1781756	6040	1995-07-31	VYDAJ	VYBER	15	25810	SLUZBY	\N	\N
1781757	6040	1995-08-31	VYDAJ	VYBER	15	30619	SLUZBY	\N	\N
1781758	6040	1995-09-30	VYDAJ	VYBER	15	38458	SLUZBY	\N	\N
1781759	6040	1995-10-31	VYDAJ	VYBER	15	40512	SLUZBY	\N	\N
1781760	6040	1995-11-30	VYDAJ	VYBER	15	39463	SLUZBY	\N	\N
1781761	6040	1995-12-31	VYDAJ	VYBER	15	44762	SLUZBY	\N	\N
1781762	6040	1996-01-31	VYDAJ	VYBER	15	17465	SLUZBY	\N	\N
1781763	6040	1996-02-29	VYDAJ	VYBER	15	30163	SLUZBY	\N	\N
1781764	6040	1996-03-31	VYDAJ	VYBER	15	34788	SLUZBY	\N	\N
1781765	6040	1996-04-30	VYDAJ	VYBER	15	35115	SLUZBY	\N	\N
1781766	6040	1996-05-31	VYDAJ	VYBER	15	28322	SLUZBY	\N	\N
1781767	6040	1996-06-30	VYDAJ	VYBER	15	40388	SLUZBY	\N	\N
1781768	6040	1996-07-31	VYDAJ	VYBER	15	30908	SLUZBY	\N	\N
1781769	6040	1996-08-31	VYDAJ	VYBER	15	29211	SLUZBY	\N	\N
1781770	6040	1996-09-30	VYDAJ	VYBER	15	28511	SLUZBY	\N	\N
1781771	6040	1996-10-31	VYDAJ	VYBER	15	28796	SLUZBY	\N	\N
1781772	6040	1996-11-30	VYDAJ	VYBER	15	29088	SLUZBY	\N	\N
1781773	6040	1996-12-31	VYDAJ	VYBER	15	41248	SLUZBY	\N	\N
1781774	6040	1997-01-31	VYDAJ	VYBER	15	17614	SLUZBY	\N	\N
1781775	6040	1997-02-28	VYDAJ	VYBER	15	28292	SLUZBY	\N	\N
1781776	6040	1997-03-31	VYDAJ	VYBER	15	31494	SLUZBY	\N	\N
1781777	6040	1997-04-30	VYDAJ	VYBER	15	32197	SLUZBY	\N	\N
1781778	6040	1997-05-31	VYDAJ	VYBER	15	28589	SLUZBY	\N	\N
1781779	6040	1997-06-30	VYDAJ	VYBER	15	34465	SLUZBY	\N	\N
1781780	6040	1997-07-31	VYDAJ	VYBER	15	19514	SLUZBY	\N	\N
1781781	6040	1997-08-31	VYDAJ	VYBER	15	32310	SLUZBY	\N	\N
1781782	6040	1997-09-30	VYDAJ	VYBER	15	18945	SLUZBY	\N	\N
1781783	6040	1997-10-31	VYDAJ	VYBER	15	31737	SLUZBY	\N	\N
1781784	6040	1997-11-30	VYDAJ	VYBER	15	24772	SLUZBY	\N	\N
1781785	6040	1997-12-31	VYDAJ	VYBER	15	26436	SLUZBY	\N	\N
1781786	6040	1998-01-31	VYDAJ	VYBER	15	26230	SLUZBY	\N	\N
1781787	6040	1998-02-28	VYDAJ	VYBER	15	21942	SLUZBY	\N	\N
1781788	6040	1998-03-31	VYDAJ	VYBER	15	19834	SLUZBY	\N	\N
1781789	6040	1998-04-30	VYDAJ	VYBER	15	19521	SLUZBY	\N	\N
1781790	6040	1998-05-31	VYDAJ	VYBER	15	20606	SLUZBY	\N	\N
1781791	6040	1998-06-30	VYDAJ	VYBER	15	27554	SLUZBY	\N	\N
1781792	6040	1998-07-31	VYDAJ	VYBER	15	21764	SLUZBY	\N	\N
1781793	6040	1998-08-31	VYDAJ	VYBER	15	22853	SLUZBY	\N	\N
1781794	6040	1998-09-30	VYDAJ	VYBER	15	22846	SLUZBY	\N	\N
1781795	6040	1998-10-31	VYDAJ	VYBER	15	31347	SLUZBY	\N	\N
1781796	6040	1998-11-30	VYDAJ	VYBER	15	21862	SLUZBY	\N	\N
1781797	6040	1993-05-22	PRIJEM	VKLAD	2700	25865	\N	\N	\N
1781798	6040	1993-06-21	VYDAJ	VYBER	17200	41798	\N	\N	\N
1781799	6040	1993-07-21	VYDAJ	VYBER	19400	44593	\N	\N	\N
1781800	6040	1993-08-20	VYDAJ	VYBER	22500	44336	\N	\N	\N
1781801	6040	1993-09-19	VYDAJ	VYBER	13300	43736	\N	\N	\N
1781802	6040	1993-10-19	VYDAJ	VYBER	13700	41717	\N	\N	\N
1781803	6040	1993-11-18	VYDAJ	VYBER	10600	39489	\N	\N	\N
1781804	6040	1993-12-18	VYDAJ	VYBER	18100	42477	\N	\N	\N
1781805	6040	1994-01-17	VYDAJ	VYBER	8300	31549	\N	\N	\N
1781806	6040	1994-02-16	VYDAJ	VYBER	10000	31874	\N	\N	\N
1781807	6040	1994-03-18	VYDAJ	VYBER	9600	35491	\N	\N	\N
1781808	6040	1994-04-17	VYDAJ	VYBER	10900	36625	\N	\N	\N
1781809	6040	1994-05-17	VYDAJ	VYBER	11700	37666	\N	\N	\N
1781810	6040	1994-06-16	VYDAJ	VYBER	19700	42246	\N	\N	\N
1781811	6040	1994-07-16	VYDAJ	VYBER	13200	33407	\N	\N	\N
1781812	6040	1994-08-15	VYDAJ	VYBER	8500	32938	\N	\N	\N
1781813	6040	1994-09-14	VYDAJ	VYBER	11800	38777	\N	\N	\N
1781814	6040	1994-10-14	VYDAJ	VYBER	9300	30289	\N	\N	\N
1781815	6040	1994-11-13	VYDAJ	VYBER	12400	35644	\N	\N	\N
1781816	6040	1994-12-13	VYDAJ	VYBER	20100	39300	\N	\N	\N
1781817	6040	1995-01-12	VYDAJ	VYBER	12700	34119	\N	\N	\N
1781818	6040	1995-02-11	VYDAJ	VYBER	8700	30421	\N	\N	\N
1781819	6040	1995-03-13	VYDAJ	VYBER	13300	29322	\N	\N	\N
1781820	6040	1995-04-12	VYDAJ	VYBER	12200	29820	\N	\N	\N
1781821	6040	1995-05-12	VYDAJ	VYBER	15500	27509	\N	\N	\N
1781822	6040	1995-06-11	VYDAJ	VYBER	17600	31127	\N	\N	\N
1781823	6040	1995-07-11	VYDAJ	VYBER	12600	31219	\N	\N	\N
1781824	6040	1995-08-10	VYDAJ	VYBER	4700	16589	\N	\N	\N
1781825	6040	1995-09-09	VYDAJ	VYBER	4900	24398	\N	\N	\N
1781826	6040	1995-10-09	VYDAJ	VYBER	10700	26437	\N	\N	\N
1781827	6040	1995-11-08	VYDAJ	VYBER	13800	25391	\N	\N	\N
1781828	6040	1995-12-08	VYDAJ	VYBER	15600	22542	\N	\N	\N
1781829	6040	1996-01-07	VYDAJ	VYBER	17000	23741	\N	\N	\N
1781830	6040	1996-03-07	VYDAJ	VYBER	8100	20742	\N	\N	\N
1781831	6040	1996-04-06	VYDAJ	VYBER	12400	22388	\N	\N	\N
1781832	6040	1996-05-06	VYDAJ	VYBER	15000	20115	\N	\N	\N
1781833	6040	1996-06-05	VYDAJ	VYBER	11700	16622	\N	\N	\N
1781834	6040	1996-07-05	VYDAJ	VYBER	12900	23688	\N	\N	\N
1781835	6040	1996-08-04	VYDAJ	VYBER	14400	16508	\N	\N	\N
1781836	6040	1996-09-03	VYDAJ	VYBER	13400	15811	\N	\N	\N
1781837	6040	1996-10-03	VYDAJ	VYBER	10600	16011	\N	\N	\N
1781838	6040	1996-11-02	VYDAJ	VYBER	12400	16396	\N	\N	\N
1781839	6040	1996-12-02	VYDAJ	VYBER	10800	18288	\N	\N	\N
1781840	6040	1997-01-01	VYDAJ	VYBER	16400	22648	\N	\N	\N
1781841	6040	1997-01-31	VYDAJ	VYBER	2000	15614	\N	\N	\N
1781842	6040	1997-03-02	VYDAJ	VYBER	7900	20392	\N	\N	\N
1781843	6040	1997-04-01	VYDAJ	VYBER	12100	19394	\N	\N	\N
1781844	6040	1997-05-01	VYDAJ	VYBER	16600	15597	\N	\N	\N
1781845	6040	1997-07-30	VYDAJ	VYBER	27900	19359	\N	\N	\N
1781846	6040	1997-09-28	VYDAJ	VYBER	25100	18804	\N	\N	\N
1781847	6040	1997-11-27	VYDAJ	VYBER	19900	24631	\N	\N	\N
1781848	6040	1997-12-27	VYDAJ	VYBER	21100	26299	\N	\N	\N
1781849	6040	1998-02-25	VYDAJ	VYBER	17100	21824	\N	\N	\N
1781850	6040	1998-03-27	VYDAJ	VYBER	14700	19736	\N	\N	\N
1781851	6040	1998-04-26	VYDAJ	VYBER	13200	19728	\N	\N	\N
1781852	6040	1998-05-26	VYDAJ	VYBER	11600	20515	\N	\N	\N
1781853	6040	1998-06-25	VYDAJ	VYBER	17000	27433	\N	\N	\N
1781854	6040	1998-07-25	VYDAJ	VYBER	18600	21648	\N	\N	\N
1781855	6040	1998-08-24	VYDAJ	VYBER	11700	22758	\N	\N	\N
1781856	6040	1998-09-23	VYDAJ	VYBER	12900	22747	\N	\N	\N
1781857	6040	1998-11-22	VYDAJ	VYBER	21700	22441	\N	\N	\N
1781858	6040	1998-12-22	VYDAJ	VYBER	23000	22489	\N	\N	\N
1784342	6051	1993-08-28	PRIJEM	VKLAD	500	500	\N	\N	\N
1784351	6051	1993-09-07	PRIJEM	VKLAD	4987	5487	\N	\N	\N
1784352	6051	1993-10-07	PRIJEM	VKLAD	4987	22084	\N	\N	\N
1784353	6051	1993-11-07	PRIJEM	VKLAD	4987	27445	\N	\N	\N
1784354	6051	1993-12-07	PRIJEM	VKLAD	7480	32720	\N	\N	\N
1784355	6051	1994-01-07	PRIJEM	VKLAD	4987	31914	\N	\N	\N
1784356	6051	1994-02-07	PRIJEM	VKLAD	4987	11843	\N	\N	\N
1784357	6051	1994-03-07	PRIJEM	VKLAD	4987	22467	\N	\N	\N
1784358	6051	1994-04-07	PRIJEM	VKLAD	4987	18907	\N	\N	\N
1784359	6051	1994-05-07	PRIJEM	VKLAD	4987	25652	\N	\N	\N
1784360	6051	1994-06-07	PRIJEM	VKLAD	7480	24701	\N	\N	\N
1784361	6051	1994-07-07	PRIJEM	VKLAD	4987	19783	\N	\N	\N
1784362	6051	1994-08-07	PRIJEM	VKLAD	4987	21137	\N	\N	\N
1784363	6051	1994-09-07	PRIJEM	VKLAD	4987	25039	\N	\N	\N
1784364	6051	1994-10-07	PRIJEM	VKLAD	4987	22937	\N	\N	\N
1784365	6051	1994-11-07	PRIJEM	VKLAD	4987	29711	\N	\N	\N
1784366	6051	1994-12-07	PRIJEM	VKLAD	7480	33289	\N	\N	\N
1784367	6051	1995-01-07	PRIJEM	VKLAD	4987	27000	\N	\N	\N
1784368	6051	1995-02-07	PRIJEM	VKLAD	4987	23140	\N	\N	\N
1784369	6051	1995-03-07	PRIJEM	VKLAD	4987	26201	\N	\N	\N
1784370	6051	1995-04-07	PRIJEM	VKLAD	4987	21269	\N	\N	\N
1784371	6051	1995-05-07	PRIJEM	VKLAD	4987	27535	\N	\N	\N
1784372	6051	1995-06-07	PRIJEM	VKLAD	7480	26666	\N	\N	\N
1784373	6051	1995-07-07	PRIJEM	VKLAD	4987	28946	\N	\N	\N
1784374	6051	1995-08-07	PRIJEM	VKLAD	4987	23149	\N	\N	\N
1784375	6051	1995-09-07	PRIJEM	VKLAD	4987	24618	\N	\N	\N
1784376	6051	1995-10-07	PRIJEM	VKLAD	4987	26888	\N	\N	\N
1784377	6051	1995-11-07	PRIJEM	VKLAD	4987	24057	\N	\N	\N
1784378	6051	1995-12-07	PRIJEM	VKLAD	7480	27414	\N	\N	\N
1784379	6051	1996-01-07	PRIJEM	VKLAD	4987	22860	\N	\N	\N
1784380	6051	1996-02-07	PRIJEM	VKLAD	4987	16736	\N	\N	\N
1784381	6051	1996-03-07	PRIJEM	VKLAD	4987	22089	\N	\N	\N
1784382	6051	1996-04-07	PRIJEM	VKLAD	4987	23347	\N	\N	\N
1784383	6051	1996-05-07	PRIJEM	VKLAD	4987	19308	\N	\N	\N
1784384	6051	1996-06-07	PRIJEM	VKLAD	7480	26863	\N	\N	\N
1784385	6051	1996-07-07	PRIJEM	VKLAD	4987	26738	\N	\N	\N
1784386	6051	1996-08-07	PRIJEM	VKLAD	4987	25112	\N	\N	\N
1784387	6051	1996-09-07	PRIJEM	VKLAD	4987	24797	\N	\N	\N
1784388	6051	1996-10-07	PRIJEM	VKLAD	4987	23571	\N	\N	\N
1784389	6051	1996-11-07	PRIJEM	VKLAD	4987	23336	\N	\N	\N
1784390	6051	1996-12-07	PRIJEM	VKLAD	7480	21392	\N	\N	\N
1784391	6051	1997-01-07	PRIJEM	VKLAD	4987	16747	\N	\N	\N
1784392	6051	1997-02-07	PRIJEM	VKLAD	4987	10519	\N	\N	\N
1784393	6051	1997-03-07	PRIJEM	VKLAD	4987	13039	\N	\N	\N
1784394	6051	1997-04-07	PRIJEM	VKLAD	4987	13665	\N	\N	\N
1784395	6051	1997-05-07	PRIJEM	VKLAD	4987	10188	\N	\N	\N
1784396	6051	1997-06-07	PRIJEM	VKLAD	7480	15796	\N	\N	\N
1784397	6051	1997-07-07	PRIJEM	VKLAD	4987	319	\N	\N	\N
1784398	6051	1997-08-07	PRIJEM	VKLAD	4987	11211	\N	\N	\N
1784399	6051	1997-09-07	PRIJEM	VKLAD	4987	13917	\N	\N	\N
1784400	6051	1997-10-07	PRIJEM	VKLAD	4987	14926	\N	\N	\N
1784401	6051	1997-11-07	PRIJEM	VKLAD	4987	16839	\N	\N	\N
1784402	6051	1997-12-07	PRIJEM	VKLAD	7480	13038	\N	\N	\N
1784403	6051	1998-01-07	PRIJEM	VKLAD	4987	1112	\N	\N	\N
1784404	6051	1998-02-07	PRIJEM	VKLAD	4987	6084	\N	\N	\N
1784405	6051	1998-03-07	PRIJEM	VKLAD	4987	15163	\N	\N	\N
1784406	6051	1998-04-07	PRIJEM	VKLAD	4987	17465	\N	\N	\N
1784407	6051	1998-05-07	PRIJEM	VKLAD	4987	18967	\N	\N	\N
1784408	6051	1998-06-07	PRIJEM	VKLAD	7480	22665	\N	\N	\N
1784409	6051	1998-07-07	PRIJEM	VKLAD	4987	25302	\N	\N	\N
1784410	6051	1998-08-07	PRIJEM	VKLAD	4987	23649	\N	\N	\N
1784411	6051	1998-09-07	PRIJEM	VKLAD	4987	10502	\N	\N	\N
1784412	6051	1998-10-07	PRIJEM	VKLAD	4987	11041	\N	\N	\N
1784413	6051	1998-11-07	PRIJEM	VKLAD	4987	14866	\N	\N	\N
1784414	6051	1998-12-07	PRIJEM	VKLAD	7480	18968	\N	\N	\N
1784427	6051	1994-01-07	VYDAJ	VYBER	3900	28014	SIPO	\N	0
1784428	6051	1994-02-09	VYDAJ	VYBER	2800	9043	SIPO	\N	0
1784429	6051	1994-03-12	VYDAJ	VYBER	2600	14967	SIPO	\N	0
1784430	6051	1994-04-01	VYDAJ	VYBER	3800	13920	SIPO	\N	0
1784431	6051	1994-05-16	VYDAJ	VYBER	3500	22152	SIPO	\N	0
1784432	6051	1994-06-04	VYDAJ	VYBER	2900	17221	SIPO	\N	0
1784433	6051	1994-07-01	VYDAJ	VYBER	2400	20676	SIPO	\N	0
1784434	6051	1994-08-01	VYDAJ	VYBER	3000	16150	SIPO	\N	0
1784435	6051	1994-09-08	VYDAJ	VYBER	3800	21239	SIPO	\N	0
1784436	6051	1994-10-03	VYDAJ	VYBER	3500	17950	SIPO	\N	0
1784437	6051	1994-11-14	VYDAJ	VYBER	3300	18726	SIPO	\N	0
1784438	6051	1994-12-16	VYDAJ	VYBER	3700	20304	SIPO	\N	0
1784439	6051	1995-01-10	VYDAJ	VYBER	2500	16700	SIPO	\N	0
1784440	6051	1995-02-14	VYDAJ	VYBER	3700	11755	SIPO	\N	0
1784441	6051	1995-03-12	VYDAJ	VYBER	3900	22301	SIPO	\N	0
1784442	6051	1995-04-01	VYDAJ	VYBER	3200	18682	SIPO	\N	0
1784443	6051	1995-05-10	VYDAJ	VYBER	2900	24635	SIPO	\N	0
1784444	6051	1995-06-12	VYDAJ	VYBER	3800	15181	SIPO	\N	0
1784445	6051	1995-07-07	VYDAJ	VYBER	3800	25146	SIPO	\N	0
1784446	6051	1995-08-04	VYDAJ	VYBER	3700	20442	SIPO	\N	0
1784447	6051	1995-09-16	VYDAJ	VYBER	2600	14333	SIPO	\N	0
1784448	6051	1995-10-09	VYDAJ	VYBER	3500	23388	SIPO	\N	0
1784449	6051	1995-11-11	VYDAJ	VYBER	4000	20057	SIPO	\N	0
1784450	6051	1995-12-14	VYDAJ	VYBER	3600	16129	SIPO	\N	0
1784451	6051	1996-01-18	VYDAJ	VYBER	3100	14995	SIPO	\N	0
1784452	6051	1996-02-05	VYDAJ	VYBER	3300	11749	SIPO	\N	0
1784453	6051	1996-03-08	VYDAJ	VYBER	3200	18889	SIPO	\N	0
1784454	6051	1996-04-15	VYDAJ	VYBER	3000	17862	SIPO	\N	0
1784455	6051	1996-05-02	VYDAJ	VYBER	3600	14321	SIPO	\N	0
1784456	6051	1996-06-19	VYDAJ	VYBER	3000	21678	SIPO	\N	0
1784457	6051	1996-07-19	VYDAJ	VYBER	3100	20053	SIPO	\N	0
1784458	6051	1996-08-12	VYDAJ	VYBER	3000	31012	SIPO	\N	0
1784459	6051	1996-09-02	VYDAJ	VYBER	3600	19810	SIPO	\N	0
1784460	6051	1996-10-16	VYDAJ	VYBER	3500	18286	SIPO	\N	0
1784461	6051	1996-11-18	VYDAJ	VYBER	2900	16851	SIPO	\N	0
1784462	6051	1996-12-04	VYDAJ	VYBER	3000	13912	SIPO	\N	0
1784463	6051	1997-01-02	VYDAJ	VYBER	3900	11760	SIPO	\N	0
1784464	6051	1997-01-31	VYDAJ	VYBER	3100	5532	SIPO	\N	0
1784465	6051	1997-03-19	VYDAJ	VYBER	3400	8654	SIPO	\N	0
1784466	6051	1997-04-12	VYDAJ	VYBER	3600	5180	SIPO	\N	0
1784467	6051	1997-05-17	VYDAJ	VYBER	3900	11388	SIPO	\N	0
1784468	6051	1997-06-03	VYDAJ	VYBER	3100	8316	SIPO	\N	0
1784469	6051	1997-07-05	VYDAJ	VYBER	2800	-4668	SIPO	\N	0
1784470	6051	1997-08-11	VYDAJ	VYBER	3700	13711	SIPO	\N	0
1784471	6051	1997-09-13	VYDAJ	VYBER	4000	9917	SIPO	\N	0
1784472	6051	1997-10-13	VYDAJ	VYBER	3700	11226	SIPO	\N	0
1784473	6051	1997-10-31	VYDAJ	VYBER	2600	8667	SIPO	\N	0
1784474	6051	1997-12-17	VYDAJ	VYBER	3200	-162	SIPO	\N	0
1784475	6051	1998-01-04	VYDAJ	VYBER	3700	-3875	SIPO	\N	0
1784476	6051	1998-02-09	VYDAJ	VYBER	3000	3084	SIPO	\N	0
1784477	6051	1998-03-19	VYDAJ	VYBER	3400	5863	SIPO	\N	0
1784478	6051	1998-03-31	VYDAJ	VYBER	3900	1978	SIPO	\N	0
1784479	6051	1998-05-18	VYDAJ	VYBER	3300	6867	SIPO	\N	0
1784480	6051	1998-06-04	VYDAJ	VYBER	3200	15185	SIPO	\N	0
1784481	6051	1998-07-17	VYDAJ	VYBER	3900	21402	SIPO	\N	0
1784482	6051	1998-08-13	VYDAJ	VYBER	3400	20249	SIPO	\N	0
1784483	6051	1998-09-08	VYDAJ	VYBER	3500	7002	SIPO	\N	0
1784484	6051	1998-10-03	VYDAJ	VYBER	2700	8814	SIPO	\N	0
1784485	6051	1998-11-18	VYDAJ	VYBER	3800	4466	SIPO	\N	0
1784486	6051	1998-12-01	VYDAJ	VYBER	2800	11488	SIPO	\N	0
1784499	6051	1994-01-11	VYDAJ	VYBER	8800	16814	\N	\N	0
1784500	6051	1994-02-01	VYDAJ	VYBER	9800	6856	\N	\N	0
1784501	6051	1994-03-08	VYDAJ	VYBER	4900	17567	\N	\N	0
1784502	6051	1994-04-17	VYDAJ	VYBER	6400	12507	\N	\N	0
1784503	6051	1994-05-22	VYDAJ	VYBER	8100	14052	\N	\N	0
1784504	6051	1994-06-08	VYDAJ	VYBER	5400	15701	\N	\N	0
1784505	6051	1994-07-12	VYDAJ	PREVOD NA UCET	7685	12098	UVER	AB	22275466
1784506	6051	1994-08-12	VYDAJ	PREVOD NA UCET	7685	13452	UVER	AB	22275466
1784507	6051	1994-09-12	VYDAJ	PREVOD NA UCET	7685	9594	UVER	AB	22275466
1784508	6051	1994-10-12	VYDAJ	PREVOD NA UCET	7685	15252	UVER	AB	22275466
1784509	6051	1994-11-12	VYDAJ	PREVOD NA UCET	7685	22026	UVER	AB	22275466
1784510	6051	1994-12-12	VYDAJ	PREVOD NA UCET	7685	24004	UVER	AB	22275466
1784511	6051	1995-01-12	VYDAJ	PREVOD NA UCET	7685	9015	UVER	AB	22275466
1784512	6051	1995-02-12	VYDAJ	PREVOD NA UCET	7685	15455	UVER	AB	22275466
1784513	6051	1995-03-12	VYDAJ	PREVOD NA UCET	7685	14616	UVER	AB	22275466
1784514	6051	1995-04-12	VYDAJ	PREVOD NA UCET	7685	13584	UVER	AB	22275466
1784515	6051	1995-05-12	VYDAJ	PREVOD NA UCET	7685	16950	UVER	AB	22275466
1784516	6051	1995-06-12	VYDAJ	PREVOD NA UCET	7685	18981	UVER	AB	22275466
1784517	6051	1995-07-12	VYDAJ	PREVOD NA UCET	7685	17461	UVER	AB	22275466
1784518	6051	1995-08-12	VYDAJ	PREVOD NA UCET	7685	15464	UVER	AB	22275466
1784681	6051	1996-03-31	VYDAJ	VYBER	15	18360	SLUZBY	\N	\N
1784519	6051	1995-09-12	VYDAJ	PREVOD NA UCET	7685	16933	UVER	AB	22275466
1784520	6051	1995-10-12	VYDAJ	PREVOD NA UCET	7685	15703	UVER	AB	22275466
1784521	6051	1995-11-12	VYDAJ	PREVOD NA UCET	7685	12372	UVER	AB	22275466
1784522	6051	1995-12-12	VYDAJ	PREVOD NA UCET	7685	19729	UVER	AB	22275466
1784523	6051	1996-01-12	VYDAJ	PREVOD NA UCET	7685	12295	UVER	AB	22275466
1784524	6051	1996-02-12	VYDAJ	PREVOD NA UCET	7685	9051	UVER	AB	22275466
1784525	6051	1996-03-12	VYDAJ	PREVOD NA UCET	7685	11204	UVER	AB	22275466
1784526	6051	1996-04-12	VYDAJ	PREVOD NA UCET	7685	15662	UVER	AB	22275466
1784527	6051	1996-05-12	VYDAJ	PREVOD NA UCET	7685	11623	UVER	AB	22275466
1784528	6051	1996-06-12	VYDAJ	PREVOD NA UCET	7685	19178	UVER	AB	22275466
1784529	6051	1996-07-12	VYDAJ	PREVOD NA UCET	7685	19053	UVER	AB	22275466
1784530	6051	1996-08-12	VYDAJ	PREVOD NA UCET	7685	23327	UVER	AB	22275466
1784531	6051	1996-09-12	VYDAJ	PREVOD NA UCET	7685	22712	UVER	AB	22275466
1784532	6051	1996-10-12	VYDAJ	PREVOD NA UCET	7685	21786	UVER	AB	22275466
1784533	6051	1996-11-12	VYDAJ	PREVOD NA UCET	7685	19751	UVER	AB	22275466
1784534	6051	1996-12-12	VYDAJ	PREVOD NA UCET	7685	15607	UVER	AB	22275466
1784535	6051	1997-01-12	VYDAJ	PREVOD NA UCET	7685	8602	UVER	AB	22275466
1784536	6051	1997-02-12	VYDAJ	PREVOD NA UCET	7685	8034	UVER	AB	22275466
1784537	6051	1997-03-12	VYDAJ	PREVOD NA UCET	7685	12054	UVER	AB	22275466
1784538	6051	1997-04-12	VYDAJ	PREVOD NA UCET	7685	8780	UVER	AB	22275466
1784540	6051	1997-06-12	VYDAJ	PREVOD NA UCET	7685	7311	UVER	AB	22275466
1784541	6051	1997-07-05	VYDAJ	VYBER	9200	-1868	\N	\N	0
1784542	6051	1997-08-12	VYDAJ	VYBER	4800	8911	\N	\N	0
1784545	6051	1997-11-13	VYDAJ	VYBER	11300	5539	\N	\N	0
1784546	6051	1997-12-08	VYDAJ	VYBER	10000	3038	\N	\N	0
1784549	6051	1998-03-15	VYDAJ	VYBER	5900	9263	\N	\N	0
1784550	6051	1998-04-10	VYDAJ	VYBER	9100	8365	\N	\N	0
1784551	6051	1998-05-09	VYDAJ	VYBER	8800	10167	\N	\N	0
1784552	6051	1998-06-16	VYDAJ	VYBER	7700	14965	\N	\N	0
1784553	6051	1998-07-23	VYDAJ	VYBER	9500	11902	\N	\N	0
1784554	6051	1998-08-23	VYDAJ	VYBER	9000	11249	\N	\N	0
1784555	6051	1998-09-06	VYDAJ	VYBER	6000	5515	\N	\N	0
1784556	6051	1998-10-29	VYDAJ	VYBER	5000	4361	\N	\N	0
1784557	6051	1998-11-07	VYDAJ	VYBER	6600	8266	\N	\N	0
1784558	6051	1998-12-26	VYDAJ	VYBER	8100	10868	\N	\N	0
1784561	6051	1995-06-02	VYDAJ	VYBER	5440	19186	\N	\N	\N
1784567	6051	1995-01-01	VYDAJ	VYBER	1920	22973	\N	\N	\N
1784572	6051	1994-12-08	VYDAJ	VYBER	1600	31689	\N	\N	\N
1784573	6051	1995-12-26	VYDAJ	VYBER	1920	17809	\N	\N	\N
1784583	6051	1994-01-08	VYDAJ	VYBER	1440	26574	\N	\N	\N
1784584	6051	1994-01-09	VYDAJ	VYBER	960	25614	\N	\N	\N
1784585	6051	1994-01-14	VYDAJ	VYBER	2040	12614	\N	\N	\N
1784586	6051	1994-01-26	VYDAJ	VYBER	1920	16594	\N	\N	\N
1784587	6051	1994-01-12	VYDAJ	VYBER	2160	14654	\N	\N	\N
1784589	6051	1995-01-08	VYDAJ	VYBER	3480	19200	\N	\N	\N
1784590	6051	1995-01-23	VYDAJ	VYBER	3120	18095	\N	\N	\N
1784592	6051	1995-01-02	VYDAJ	VYBER	960	22013	\N	\N	\N
1784596	6051	1996-01-07	VYDAJ	VYBER	2880	19980	\N	\N	\N
1784601	6051	1997-01-09	VYDAJ	VYBER	960	16287	\N	\N	\N
1784621	6051	1994-07-02	VYDAJ	VYBER	5880	14796	\N	\N	\N
1784622	6051	1994-06-08	VYDAJ	VYBER	3600	21101	\N	\N	\N
1784623	6051	1994-09-02	VYDAJ	VYBER	960	20052	\N	\N	\N
1784625	6051	1994-09-09	VYDAJ	VYBER	3960	17279	\N	\N	\N
1784626	6051	1995-08-05	VYDAJ	VYBER	2280	18162	\N	\N	\N
1784627	6051	1995-04-03	VYDAJ	VYBER	2400	16282	\N	\N	\N
1784628	6051	1995-10-24	VYDAJ	VYBER	1200	19003	\N	\N	\N
1784629	6051	1995-01-08	VYDAJ	VYBER	4320	22680	\N	\N	\N
1784630	6051	1996-09-17	VYDAJ	VYBER	4200	18512	\N	\N	\N
1784638	6051	1998-08-24	VYDAJ	VYBER	4080	7169	\N	\N	\N
1784640	6051	1998-10-12	VYDAJ	VYBER	1680	9361	\N	\N	\N
1784641	6051	1998-10-04	VYDAJ	VYBER	2760	6054	\N	\N	\N
1784655	6051	1994-01-31	VYDAJ	VYBER	15	16656	SLUZBY	\N	\N
1784656	6051	1994-02-28	VYDAJ	VYBER	15	17480	SLUZBY	\N	\N
1784657	6051	1994-03-31	VYDAJ	VYBER	15	17720	SLUZBY	\N	\N
1784658	6051	1994-04-30	VYDAJ	VYBER	15	20665	SLUZBY	\N	\N
1784659	6051	1994-05-31	VYDAJ	VYBER	15	20121	SLUZBY	\N	\N
1784660	6051	1994-06-30	VYDAJ	VYBER	15	23076	SLUZBY	\N	\N
1784661	6051	1994-07-31	VYDAJ	VYBER	15	19150	SLUZBY	\N	\N
1784662	6051	1994-08-31	VYDAJ	VYBER	15	21012	SLUZBY	\N	\N
1784663	6051	1994-09-30	VYDAJ	VYBER	15	21450	SLUZBY	\N	\N
1784664	6051	1994-10-31	VYDAJ	VYBER	15	24724	SLUZBY	\N	\N
1784665	6051	1994-11-30	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
1784666	6051	1994-12-31	VYDAJ	VYBER	15	24893	SLUZBY	\N	\N
1784667	6051	1995-01-31	VYDAJ	VYBER	15	18153	SLUZBY	\N	\N
1784668	6051	1995-02-28	VYDAJ	VYBER	15	21214	SLUZBY	\N	\N
1784669	6051	1995-03-31	VYDAJ	VYBER	15	21882	SLUZBY	\N	\N
1784670	6051	1995-04-30	VYDAJ	VYBER	15	22548	SLUZBY	\N	\N
1784671	6051	1995-05-31	VYDAJ	VYBER	15	24626	SLUZBY	\N	\N
1784672	6051	1995-06-30	VYDAJ	VYBER	15	23959	SLUZBY	\N	\N
1784673	6051	1995-07-31	VYDAJ	VYBER	15	24142	SLUZBY	\N	\N
1784674	6051	1995-08-31	VYDAJ	VYBER	15	19631	SLUZBY	\N	\N
1784675	6051	1995-09-30	VYDAJ	VYBER	15	21901	SLUZBY	\N	\N
1784676	6051	1995-10-31	VYDAJ	VYBER	15	19070	SLUZBY	\N	\N
1784677	6051	1995-11-30	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
1784678	6051	1995-12-31	VYDAJ	VYBER	15	17873	SLUZBY	\N	\N
1784679	6051	1996-01-31	VYDAJ	VYBER	15	15049	SLUZBY	\N	\N
1784680	6051	1996-02-29	VYDAJ	VYBER	15	17102	SLUZBY	\N	\N
1784682	6051	1996-04-30	VYDAJ	VYBER	15	17921	SLUZBY	\N	\N
1784683	6051	1996-05-31	VYDAJ	VYBER	15	19383	SLUZBY	\N	\N
1784684	6051	1996-06-30	VYDAJ	VYBER	15	21751	SLUZBY	\N	\N
1784685	6051	1996-07-31	VYDAJ	VYBER	15	20125	SLUZBY	\N	\N
1784686	6051	1996-08-31	VYDAJ	VYBER	15	23410	SLUZBY	\N	\N
1784687	6051	1996-09-30	VYDAJ	VYBER	15	18584	SLUZBY	\N	\N
1784688	6051	1996-10-31	VYDAJ	VYBER	15	18349	SLUZBY	\N	\N
1784689	6051	1996-11-30	VYDAJ	VYBER	15	16912	SLUZBY	\N	\N
1784690	6051	1996-12-31	VYDAJ	VYBER	15	15660	SLUZBY	\N	\N
1784691	6051	1997-01-31	VYDAJ	VYBER	15	8632	SLUZBY	\N	\N
1784692	6051	1997-02-28	VYDAJ	VYBER	15	8052	SLUZBY	\N	\N
1784693	6051	1997-03-31	VYDAJ	VYBER	15	8678	SLUZBY	\N	\N
1784694	6051	1997-04-30	VYDAJ	VYBER	15	5201	SLUZBY	\N	\N
1784695	6051	1997-05-31	VYDAJ	VYBER	15	11416	SLUZBY	\N	\N
1784696	6051	1997-06-30	VYDAJ	VYBER	15	7332	SLUZBY	\N	\N
1784697	6051	1997-07-31	VYDAJ	VYBER	15	6224	SLUZBY	\N	\N
1784698	6051	1997-08-31	VYDAJ	VYBER	15	8930	SLUZBY	\N	\N
1784699	6051	1997-09-30	VYDAJ	VYBER	15	9939	SLUZBY	\N	\N
1784700	6051	1997-10-31	VYDAJ	VYBER	15	8652	SLUZBY	\N	\N
1784701	6051	1997-11-30	VYDAJ	VYBER	15	5558	SLUZBY	\N	\N
1784702	6051	1997-12-31	VYDAJ	VYBER	15	-170	SLUZBY	\N	\N
1784703	6051	1998-01-31	VYDAJ	VYBER	15	1099	SLUZBY	\N	\N
1784704	6051	1998-02-28	VYDAJ	VYBER	15	3076	SLUZBY	\N	\N
1784705	6051	1998-03-31	VYDAJ	VYBER	15	5878	SLUZBY	\N	\N
1784706	6051	1998-04-30	VYDAJ	VYBER	15	8380	SLUZBY	\N	\N
1784707	6051	1998-05-31	VYDAJ	VYBER	15	6885	SLUZBY	\N	\N
1784708	6051	1998-06-30	VYDAJ	VYBER	15	15015	SLUZBY	\N	\N
1784709	6051	1998-07-31	VYDAJ	VYBER	15	11962	SLUZBY	\N	\N
1784710	6051	1998-08-31	VYDAJ	VYBER	15	7215	SLUZBY	\N	\N
1784711	6051	1998-09-30	VYDAJ	VYBER	15	7014	SLUZBY	\N	\N
1784712	6051	1998-10-31	VYDAJ	VYBER	15	9879	SLUZBY	\N	\N
1784713	6051	1998-11-30	VYDAJ	VYBER	15	14288	SLUZBY	\N	\N
1784714	6051	1993-09-27	PRIJEM	VKLAD	11600	17087	\N	\N	\N
1784715	6051	1993-10-27	PRIJEM	VKLAD	300	22384	\N	\N	\N
1784716	6051	1993-11-26	VYDAJ	VYBER	2300	25145	\N	\N	\N
1784717	6051	1993-12-26	VYDAJ	VYBER	5900	26820	\N	\N	\N
1784718	6051	1994-01-25	PRIJEM	VKLAD	5900	18514	\N	\N	\N
1784719	6051	1994-02-24	PRIJEM	VKLAD	8400	17443	\N	\N	\N
1784720	6051	1994-03-26	PRIJEM	VKLAD	2700	17667	\N	\N	\N
1784721	6051	1994-04-25	PRIJEM	VKLAD	8100	20607	\N	\N	\N
1784722	6051	1994-05-25	PRIJEM	VKLAD	6000	20052	\N	\N	\N
1784723	6051	1994-06-24	PRIJEM	VKLAD	7300	23001	\N	\N	\N
1784724	6051	1994-07-24	PRIJEM	VKLAD	7000	19098	\N	\N	\N
1784725	6051	1994-08-23	PRIJEM	VKLAD	7500	20952	\N	\N	\N
1784726	6051	1994-09-22	PRIJEM	VKLAD	11800	21394	\N	\N	\N
1784727	6051	1994-10-22	PRIJEM	VKLAD	9400	24652	\N	\N	\N
1784728	6051	1994-11-21	PRIJEM	VKLAD	7000	25726	\N	\N	\N
1784729	6051	1994-12-21	PRIJEM	VKLAD	4500	24804	\N	\N	\N
1784730	6051	1995-01-20	PRIJEM	VKLAD	12200	21215	\N	\N	\N
1784731	6051	1995-02-19	PRIJEM	VKLAD	9400	21155	\N	\N	\N
1784732	6051	1995-03-21	PRIJEM	VKLAD	7200	21816	\N	\N	\N
1784733	6051	1995-04-20	PRIJEM	VKLAD	8900	22484	\N	\N	\N
1784734	6051	1995-05-20	PRIJEM	VKLAD	7600	24550	\N	\N	\N
1784735	6051	1995-06-19	PRIJEM	VKLAD	8700	23881	\N	\N	\N
1784736	6051	1995-07-19	PRIJEM	VKLAD	6600	24061	\N	\N	\N
1784737	6051	1995-08-18	PRIJEM	VKLAD	4100	19564	\N	\N	\N
1784738	6051	1995-09-17	PRIJEM	VKLAD	7500	21833	\N	\N	\N
1784739	6051	1995-10-17	PRIJEM	VKLAD	4500	20203	\N	\N	\N
1784740	6051	1995-11-16	PRIJEM	VKLAD	7500	19872	\N	\N	\N
1784741	6051	1995-12-16	PRIJEM	VKLAD	3600	19729	\N	\N	\N
1784742	6051	1996-01-15	PRIJEM	VKLAD	5800	18095	\N	\N	\N
1784743	6051	1996-02-14	PRIJEM	VKLAD	8000	17051	\N	\N	\N
1784744	6051	1996-03-15	PRIJEM	VKLAD	7100	18304	\N	\N	\N
1784745	6051	1996-04-14	PRIJEM	VKLAD	5200	20862	\N	\N	\N
1784746	6051	1996-05-14	PRIJEM	VKLAD	7700	19323	\N	\N	\N
1784747	6051	1996-06-13	PRIJEM	VKLAD	5500	24678	\N	\N	\N
1784748	6051	1996-07-13	PRIJEM	VKLAD	4100	23153	\N	\N	\N
1784749	6051	1996-08-12	PRIJEM	VKLAD	8900	34012	\N	\N	\N
1784750	6051	1996-09-11	PRIJEM	VKLAD	5600	30397	\N	\N	\N
1784751	6051	1996-10-11	PRIJEM	VKLAD	5900	29471	\N	\N	\N
1784752	6051	1996-11-10	PRIJEM	VKLAD	4100	27436	\N	\N	\N
1784753	6051	1996-12-10	PRIJEM	VKLAD	1900	23292	\N	\N	\N
1784754	6051	1997-01-09	PRIJEM	VKLAD	500	17247	\N	\N	\N
1784755	6051	1997-02-08	PRIJEM	VKLAD	5200	15719	\N	\N	\N
1784756	6051	1997-03-10	PRIJEM	VKLAD	6700	19739	\N	\N	\N
1784757	6051	1997-04-09	PRIJEM	VKLAD	2800	16465	\N	\N	\N
1784758	6051	1997-05-09	PRIJEM	VKLAD	5100	15288	\N	\N	\N
1784759	6051	1997-06-08	VYDAJ	VYBER	800	14996	\N	\N	\N
1784760	6051	1997-07-08	PRIJEM	VKLAD	5900	6219	\N	\N	\N
1784761	6051	1997-08-07	PRIJEM	VKLAD	6200	17411	\N	\N	\N
1784762	6051	1997-11-05	PRIJEM	VKLAD	3200	11852	\N	\N	\N
1784763	6051	1998-03-05	PRIJEM	VKLAD	7100	10176	\N	\N	\N
1784764	6051	1998-04-04	PRIJEM	VKLAD	10500	12478	\N	\N	\N
1784765	6051	1998-05-04	PRIJEM	VKLAD	5600	13980	\N	\N	\N
1784766	6051	1998-06-03	PRIJEM	VKLAD	11500	18385	\N	\N	\N
1784767	6051	1998-07-03	PRIJEM	VKLAD	5300	20315	\N	\N	\N
1784768	6051	1998-08-02	PRIJEM	VKLAD	6700	18662	\N	\N	\N
1784769	6051	1998-09-01	PRIJEM	VKLAD	4300	11515	\N	\N	\N
1784770	6051	1998-10-01	PRIJEM	VKLAD	4500	11514	\N	\N	\N
1784771	6051	1998-10-31	PRIJEM	VKLAD	5500	9894	\N	\N	\N
1784772	6051	1998-11-30	PRIJEM	VKLAD	9800	14266	\N	\N	\N
1787007	6061	1997-03-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1787011	6061	1997-04-07	PRIJEM	VKLAD	21417	22417	\N	\N	\N
1787012	6061	1997-05-07	PRIJEM	VKLAD	21417	43106	\N	\N	\N
1787013	6061	1997-06-07	PRIJEM	VKLAD	32126	58163	\N	\N	\N
1787014	6061	1997-07-07	PRIJEM	VKLAD	21417	63002	\N	\N	\N
1787015	6061	1997-08-07	PRIJEM	VKLAD	21417	66177	\N	\N	\N
1787016	6061	1997-09-07	PRIJEM	VKLAD	21417	54942	\N	\N	\N
1787017	6061	1997-10-07	PRIJEM	VKLAD	21417	49555	\N	\N	\N
1787018	6061	1997-11-07	PRIJEM	VKLAD	21417	55637	\N	\N	\N
1787019	6061	1997-12-07	PRIJEM	VKLAD	32126	62369	\N	\N	\N
1787020	6061	1998-01-07	PRIJEM	VKLAD	21417	53596	\N	\N	\N
1787021	6061	1998-02-07	PRIJEM	VKLAD	21417	37724	\N	\N	\N
1787022	6061	1998-03-07	PRIJEM	VKLAD	21417	46749	\N	\N	\N
1787023	6061	1998-04-07	PRIJEM	VKLAD	21417	50614	\N	\N	\N
1787024	6061	1998-05-07	PRIJEM	VKLAD	21417	49297	\N	\N	\N
1787025	6061	1998-06-07	PRIJEM	VKLAD	32126	63285	\N	\N	\N
1787026	6061	1998-07-07	PRIJEM	VKLAD	21417	38090	\N	\N	\N
1787027	6061	1998-08-07	PRIJEM	VKLAD	21417	42387	\N	\N	\N
1787028	6061	1998-09-07	PRIJEM	VKLAD	21417	44908	\N	\N	\N
1787029	6061	1998-10-07	PRIJEM	VKLAD	21417	41231	\N	\N	\N
1787030	6061	1998-11-07	PRIJEM	VKLAD	21417	40538	\N	\N	\N
1787031	6061	1998-12-07	PRIJEM	VKLAD	32126	54651	\N	\N	\N
1787040	6061	1997-09-05	VYDAJ	PREVOD NA UCET	8521	33525	SIPO	YZ	38191717
1787041	6061	1997-10-05	VYDAJ	PREVOD NA UCET	8521	28138	SIPO	YZ	38191717
1787042	6061	1997-11-05	VYDAJ	PREVOD NA UCET	8521	34220	SIPO	YZ	38191717
1787043	6061	1997-12-05	VYDAJ	PREVOD NA UCET	8521	30244	SIPO	YZ	38191717
1787044	6061	1998-01-05	VYDAJ	PREVOD NA UCET	8521	35179	SIPO	YZ	38191717
1787045	6061	1998-02-05	VYDAJ	PREVOD NA UCET	8521	16307	SIPO	YZ	38191717
1787046	6061	1998-03-05	VYDAJ	PREVOD NA UCET	8521	25332	SIPO	YZ	38191717
1787047	6061	1998-04-05	VYDAJ	PREVOD NA UCET	8521	29197	SIPO	YZ	38191717
1787048	6061	1998-05-05	VYDAJ	PREVOD NA UCET	8521	27880	SIPO	YZ	38191717
1787049	6061	1998-06-05	VYDAJ	PREVOD NA UCET	8521	31160	SIPO	YZ	38191717
1787050	6061	1998-07-05	VYDAJ	PREVOD NA UCET	8521	16673	SIPO	YZ	38191717
1787051	6061	1998-08-05	VYDAJ	PREVOD NA UCET	8521	20970	SIPO	YZ	38191717
1787052	6061	1998-09-05	VYDAJ	PREVOD NA UCET	8521	23491	SIPO	YZ	38191717
1787053	6061	1998-10-05	VYDAJ	PREVOD NA UCET	8521	19814	SIPO	YZ	38191717
1787054	6061	1998-11-05	VYDAJ	PREVOD NA UCET	8521	19121	SIPO	YZ	38191717
1787055	6061	1998-12-05	VYDAJ	PREVOD NA UCET	8521	22526	SIPO	YZ	38191717
1787063	6061	1997-07-29	VYDAJ	VYBER	400	62602	\N	\N	0
1787064	6061	1997-09-16	VYDAJ	VYBER	300	49962	\N	\N	0
1787065	6061	1997-10-07	VYDAJ	VYBER	200	49355	\N	\N	0
1787066	6061	1997-11-14	VYDAJ	VYBER	300	55337	\N	\N	0
1787067	6061	1997-12-07	VYDAJ	VYBER	200	62169	\N	\N	0
1787068	6061	1998-01-23	VYDAJ	VYBER	300	46096	\N	\N	0
1787069	6061	1998-02-18	VYDAJ	VYBER	300	37424	\N	\N	0
1787070	6061	1998-03-19	VYDAJ	VYBER	300	46449	\N	\N	0
1787071	6061	1998-04-18	VYDAJ	VYBER	500	50114	\N	\N	0
1787072	6061	1998-05-04	VYDAJ	VYBER	300	36401	\N	\N	0
1787073	6061	1998-06-12	VYDAJ	PREVOD NA UCET	429	62856	UVER	KL	92930179
1787074	6061	1998-07-12	VYDAJ	PREVOD NA UCET	429	37661	UVER	KL	92930179
1787075	6061	1998-08-12	VYDAJ	PREVOD NA UCET	429	41958	UVER	KL	92930179
1787076	6061	1998-09-12	VYDAJ	PREVOD NA UCET	429	44479	UVER	KL	92930179
1787077	6061	1998-10-12	VYDAJ	PREVOD NA UCET	429	40802	UVER	KL	92930179
1787078	6061	1998-11-12	VYDAJ	PREVOD NA UCET	429	40109	UVER	KL	92930179
1787079	6061	1998-12-12	VYDAJ	PREVOD NA UCET	429	52142	UVER	KL	92930179
1787081	6061	1998-06-21	VYDAJ	VYBER	38240	24616	\N	\N	\N
1787083	6061	1998-01-23	VYDAJ	VYBER	14880	31216	\N	\N	\N
1787084	6061	1997-12-04	VYDAJ	VYBER	2080	38765	\N	\N	\N
1787085	6061	1998-12-11	VYDAJ	VYBER	2080	52571	\N	\N	\N
1787092	6061	1998-01-06	VYDAJ	VYBER	3000	32179	\N	\N	\N
1787093	6061	1998-01-23	VYDAJ	VYBER	2760	28456	\N	\N	\N
1787094	6061	1998-01-21	VYDAJ	VYBER	1440	49876	\N	\N	\N
1787095	6061	1998-01-12	VYDAJ	VYBER	2280	51316	\N	\N	\N
1787096	6061	1998-01-26	VYDAJ	VYBER	1800	26656	\N	\N	\N
1787097	6061	1998-01-22	VYDAJ	VYBER	3480	46396	\N	\N	\N
1787099	6061	1997-09-08	VYDAJ	VYBER	4680	50262	\N	\N	\N
1787100	6061	1997-08-11	VYDAJ	VYBER	3480	62697	\N	\N	\N
1787102	6061	1998-12-15	VYDAJ	VYBER	1200	50942	\N	\N	\N
1787111	6061	1997-08-31	VYDAJ	VYBER	15	62946	SLUZBY	\N	\N
1787112	6061	1997-09-30	VYDAJ	VYBER	15	50159	SLUZBY	\N	\N
1787113	6061	1997-10-31	VYDAJ	VYBER	15	49541	SLUZBY	\N	\N
1787114	6061	1997-11-30	VYDAJ	VYBER	15	55545	SLUZBY	\N	\N
1787115	6061	1997-12-31	VYDAJ	VYBER	15	62400	SLUZBY	\N	\N
1787116	6061	1998-01-31	VYDAJ	VYBER	15	26828	SLUZBY	\N	\N
1787117	6061	1998-02-28	VYDAJ	VYBER	15	37553	SLUZBY	\N	\N
1787118	6061	1998-03-31	VYDAJ	VYBER	15	46618	SLUZBY	\N	\N
1787119	6061	1998-04-30	VYDAJ	VYBER	15	50301	SLUZBY	\N	\N
1787120	6061	1998-05-31	VYDAJ	VYBER	15	49481	SLUZBY	\N	\N
1787121	6061	1998-06-30	VYDAJ	VYBER	15	24794	SLUZBY	\N	\N
1787122	6061	1998-07-31	VYDAJ	VYBER	15	37791	SLUZBY	\N	\N
1787123	6061	1998-08-31	VYDAJ	VYBER	15	32012	SLUZBY	\N	\N
1787124	6061	1998-09-30	VYDAJ	VYBER	15	28335	SLUZBY	\N	\N
1787125	6061	1998-10-31	VYDAJ	VYBER	15	27642	SLUZBY	\N	\N
1787126	6061	1998-11-30	VYDAJ	VYBER	15	31047	SLUZBY	\N	\N
1787127	6061	1997-04-07	VYDAJ	VYBER	800	21617	\N	\N	\N
1787128	6061	1997-05-07	VYDAJ	VYBER	9300	33806	\N	\N	\N
1787129	6061	1997-06-06	VYDAJ	VYBER	7900	26037	\N	\N	\N
1787130	6061	1997-07-06	VYDAJ	VYBER	16800	41585	\N	\N	\N
1787131	6061	1997-08-05	VYDAJ	VYBER	18100	44760	\N	\N	\N
1787132	6061	1997-09-04	VYDAJ	VYBER	20900	42046	\N	\N	\N
1787133	6061	1997-10-04	VYDAJ	VYBER	13500	36659	\N	\N	\N
1787134	6061	1997-11-03	VYDAJ	VYBER	6800	42741	\N	\N	\N
1787135	6061	1997-12-03	VYDAJ	VYBER	14700	40845	\N	\N	\N
1787136	6061	1998-01-02	VYDAJ	VYBER	18700	43700	\N	\N	\N
1787137	6061	1998-02-01	VYDAJ	VYBER	2000	24828	\N	\N	\N
1787138	6061	1998-03-03	VYDAJ	VYBER	3700	33853	\N	\N	\N
1787139	6061	1998-04-02	VYDAJ	VYBER	8900	37718	\N	\N	\N
1787140	6061	1998-05-02	VYDAJ	VYBER	13600	36701	\N	\N	\N
1787141	6061	1998-06-01	VYDAJ	VYBER	9800	39681	\N	\N	\N
1787142	6061	1998-07-01	PRIJEM	VKLAD	400	25194	\N	\N	\N
1787143	6061	1998-07-31	VYDAJ	VYBER	8300	29491	\N	\N	\N
1787144	6061	1998-08-30	VYDAJ	VYBER	10100	31858	\N	\N	\N
1787145	6061	1998-09-29	VYDAJ	VYBER	16300	28179	\N	\N	\N
1787146	6061	1998-10-29	VYDAJ	VYBER	13300	27502	\N	\N	\N
1787147	6061	1998-11-28	VYDAJ	VYBER	9200	30909	\N	\N	\N
1787169	6062	1996-08-28	PRIJEM	VKLAD	700	700	\N	\N	\N
1787178	6062	1996-09-07	PRIJEM	PREVOD Z UCTU	37379	38079	\N	QR	87766652
1787179	6062	1996-10-07	PRIJEM	PREVOD Z UCTU	37379	69876	\N	QR	87766652
1787180	6062	1996-11-07	PRIJEM	PREVOD Z UCTU	37379	85901	\N	QR	87766652
1787181	6062	1996-12-07	PRIJEM	PREVOD Z UCTU	56068	114077	\N	QR	87766652
1787182	6062	1997-01-07	PRIJEM	PREVOD Z UCTU	37379	89021	\N	QR	87766652
1787183	6062	1997-02-07	PRIJEM	PREVOD Z UCTU	37379	70162	\N	QR	87766652
1787184	6062	1997-03-07	PRIJEM	PREVOD Z UCTU	37379	81146	\N	QR	87766652
1787185	6062	1997-04-07	PRIJEM	PREVOD Z UCTU	37379	84150	\N	QR	87766652
1787186	6062	1997-05-07	PRIJEM	PREVOD Z UCTU	37379	75677	\N	QR	87766652
1787187	6062	1997-06-07	PRIJEM	PREVOD Z UCTU	56068	88872	\N	QR	87766652
1787188	6062	1997-07-07	PRIJEM	PREVOD Z UCTU	37379	82788	\N	QR	87766652
1787189	6062	1997-08-07	PRIJEM	PREVOD Z UCTU	37379	88377	\N	QR	87766652
1787190	6062	1997-09-07	PRIJEM	PREVOD Z UCTU	37379	68006	\N	QR	87766652
1787191	6062	1997-10-07	PRIJEM	PREVOD Z UCTU	37379	71305	\N	QR	87766652
1787192	6062	1997-11-07	PRIJEM	PREVOD Z UCTU	37379	89388	\N	QR	87766652
1787193	6062	1997-12-07	PRIJEM	PREVOD Z UCTU	56068	116394	\N	QR	87766652
1787194	6062	1998-01-07	PRIJEM	PREVOD Z UCTU	37379	63168	\N	QR	87766652
1787195	6062	1998-02-07	PRIJEM	PREVOD Z UCTU	37379	59030	\N	QR	87766652
1787196	6062	1998-03-07	PRIJEM	PREVOD Z UCTU	37379	55179	\N	QR	87766652
1787197	6062	1998-04-07	PRIJEM	PREVOD Z UCTU	37379	77132	\N	QR	87766652
1787198	6062	1998-05-07	PRIJEM	PREVOD Z UCTU	37379	89615	\N	QR	87766652
1787199	6062	1998-06-07	PRIJEM	PREVOD Z UCTU	56068	116559	\N	QR	87766652
1787200	6062	1998-07-07	PRIJEM	PREVOD Z UCTU	37379	75216	\N	QR	87766652
1787201	6062	1998-08-07	PRIJEM	PREVOD Z UCTU	37379	73535	\N	QR	87766652
1787202	6062	1998-09-07	PRIJEM	PREVOD Z UCTU	37379	89640	\N	QR	87766652
1787203	6062	1998-10-07	PRIJEM	PREVOD Z UCTU	37379	81093	\N	QR	87766652
1787204	6062	1998-11-07	PRIJEM	PREVOD Z UCTU	37379	72556	\N	QR	87766652
1787205	6062	1998-12-07	PRIJEM	PREVOD Z UCTU	56068	88135	\N	QR	87766652
1787218	6062	1997-01-22	VYDAJ	VYBER	5700	51168	\N	\N	0
1787219	6062	1997-02-06	VYDAJ	VYBER	3800	32783	\N	\N	0
1787220	6062	1997-02-27	VYDAJ	VYBER	5300	43554	\N	\N	0
1787221	6062	1997-04-05	VYDAJ	VYBER	4400	46771	\N	\N	0
1787222	6062	1997-05-11	VYDAJ	VYBER	5300	66469	\N	\N	0
1787223	6062	1997-06-11	VYDAJ	VYBER	7100	81772	\N	\N	0
1787224	6062	1997-07-11	VYDAJ	VYBER	4300	78488	\N	\N	0
1787225	6062	1997-08-11	VYDAJ	VYBER	4600	78612	\N	\N	0
1787226	6062	1997-09-19	VYDAJ	VYBER	6600	50798	\N	\N	0
1787227	6062	1997-10-12	VYDAJ	VYBER	5000	66305	\N	\N	0
1787228	6062	1997-11-24	VYDAJ	VYBER	7400	60080	\N	\N	0
1787229	6062	1997-12-21	VYDAJ	VYBER	6200	50986	\N	\N	0
1787230	6062	1998-01-20	VYDAJ	VYBER	5800	31743	\N	\N	0
1787231	6062	1998-01-25	VYDAJ	VYBER	7200	24543	\N	\N	0
1787232	6062	1998-03-02	VYDAJ	VYBER	5200	17800	\N	\N	0
1787233	6062	1998-04-10	VYDAJ	VYBER	5300	71832	\N	\N	0
1787234	6062	1998-05-12	VYDAJ	PREVOD NA UCET	5356	84259	UVER	OP	96754401
1787235	6062	1998-06-12	VYDAJ	PREVOD NA UCET	5356	30756	UVER	OP	96754401
1787236	6062	1998-07-12	VYDAJ	PREVOD NA UCET	5356	69860	UVER	OP	96754401
1787237	6062	1998-08-12	VYDAJ	PREVOD NA UCET	5356	68179	UVER	OP	96754401
1787238	6062	1998-09-12	VYDAJ	PREVOD NA UCET	5356	72396	UVER	OP	96754401
1787239	6062	1998-10-12	VYDAJ	PREVOD NA UCET	5356	53204	UVER	OP	96754401
1787240	6062	1998-11-12	VYDAJ	PREVOD NA UCET	5356	67200	UVER	OP	96754401
1787241	6062	1998-12-12	VYDAJ	PREVOD NA UCET	5356	82779	UVER	OP	96754401
1787254	6062	1997-01-13	VYDAJ	PREVOD NA UCET	10608	64368	SIPO	KL	65052980
1787255	6062	1997-02-13	VYDAJ	PREVOD NA UCET	10608	59554	SIPO	KL	65052980
1787256	6062	1997-03-13	VYDAJ	PREVOD NA UCET	10608	70538	SIPO	KL	65052980
1787257	6062	1997-04-13	VYDAJ	PREVOD NA UCET	10608	73542	SIPO	KL	65052980
1787258	6062	1997-05-13	VYDAJ	PREVOD NA UCET	10608	55861	SIPO	KL	65052980
1787259	6062	1997-06-13	VYDAJ	PREVOD NA UCET	10608	71164	SIPO	KL	65052980
1787260	6062	1997-07-13	VYDAJ	PREVOD NA UCET	10608	67880	SIPO	KL	65052980
1787261	6062	1997-08-13	VYDAJ	PREVOD NA UCET	10608	68004	SIPO	KL	65052980
1787262	6062	1997-09-13	VYDAJ	PREVOD NA UCET	10608	57398	SIPO	KL	65052980
1787263	6062	1997-10-13	VYDAJ	PREVOD NA UCET	10608	55697	SIPO	KL	65052980
1787264	6062	1997-11-13	VYDAJ	PREVOD NA UCET	10608	78780	SIPO	KL	65052980
1787265	6062	1997-12-13	VYDAJ	PREVOD NA UCET	10608	65886	SIPO	KL	65052980
1787266	6062	1998-01-13	VYDAJ	PREVOD NA UCET	10608	50460	SIPO	KL	65052980
1787267	6062	1998-02-13	VYDAJ	PREVOD NA UCET	10608	35222	SIPO	KL	65052980
1787268	6062	1998-03-13	VYDAJ	PREVOD NA UCET	10608	42096	SIPO	KL	65052980
1787269	6062	1998-04-13	VYDAJ	PREVOD NA UCET	10608	51924	SIPO	KL	65052980
1787270	6062	1998-05-13	VYDAJ	PREVOD NA UCET	10608	73651	SIPO	KL	65052980
1787271	6062	1998-06-13	VYDAJ	PREVOD NA UCET	10608	20148	SIPO	KL	65052980
1787272	6062	1998-07-13	VYDAJ	PREVOD NA UCET	10608	59252	SIPO	KL	65052980
1787273	6062	1998-08-13	VYDAJ	PREVOD NA UCET	10608	57571	SIPO	KL	65052980
1787274	6062	1998-09-13	VYDAJ	PREVOD NA UCET	10608	61788	SIPO	KL	65052980
1787275	6062	1998-10-13	VYDAJ	PREVOD NA UCET	10608	42596	SIPO	KL	65052980
1787276	6062	1998-11-13	VYDAJ	PREVOD NA UCET	10608	56592	SIPO	KL	65052980
1787277	6062	1998-12-13	VYDAJ	PREVOD NA UCET	10608	72171	SIPO	KL	65052980
1787289	6062	1997-08-11	VYBER	VYBER	5165	83212	\N	\N	\N
1787290	6062	1997-05-01	VYBER	VYBER	15861	38298	\N	\N	\N
1787291	6062	1997-10-06	VYBER	VYBER	7079	33926	\N	\N	\N
1787292	6062	1997-09-23	VYBER	VYBER	6150	40848	\N	\N	\N
1787293	6062	1997-06-24	VYBER	VYBER	22212	48952	\N	\N	\N
1787294	6062	1997-04-24	VYBER	VYBER	7048	66494	\N	\N	\N
1787295	6062	1997-01-13	VYBER	VYBER	8645	80376	\N	\N	\N
1787296	6062	1997-03-21	VYBER	VYBER	12180	58358	\N	\N	\N
1787297	6062	1997-05-08	VYBER	VYBER	3908	71769	\N	\N	\N
1787299	6062	1997-12-28	VYBER	VYBER	17520	32466	\N	\N	\N
1787300	6062	1997-06-04	VYBER	VYBER	18581	32804	\N	\N	\N
1787301	6062	1998-09-19	VYBER	VYBER	12497	43491	\N	\N	\N
1787302	6062	1998-07-15	VYBER	VYBER	13965	45287	\N	\N	\N
1787303	6062	1998-06-11	VYBER	VYBER	17247	36112	\N	\N	\N
1787304	6062	1998-12-30	VYBER	VYBER	14988	41483	\N	\N	\N
1787306	6062	1998-01-19	VYBER	VYBER	9017	29143	\N	\N	\N
1787307	6062	1998-03-07	VYBER	VYBER	2475	52704	\N	\N	\N
1787308	6062	1998-09-07	VYBER	VYBER	11888	77752	\N	\N	\N
1787309	6062	1998-10-29	VYBER	VYBER	9685	35011	\N	\N	\N
1787310	6062	1998-11-26	VYBER	VYBER	24097	31895	\N	\N	\N
1787311	6062	1998-02-20	VYBER	VYBER	13428	22894	\N	\N	\N
1787312	6062	1998-10-12	VYBER	VYBER	22533	58560	\N	\N	\N
1787320	6062	1997-12-15	VYDAJ	VYBER	8700	57186	\N	\N	\N
1787321	6062	1998-12-20	VYDAJ	VYBER	7200	56471	\N	\N	\N
1787328	6062	1997-01-22	VYDAJ	VYBER	3600	47568	\N	\N	\N
1787329	6062	1997-01-13	VYDAJ	VYBER	5400	74976	\N	\N	\N
1787332	6062	1997-01-20	VYDAJ	VYBER	7500	56868	\N	\N	\N
1787334	6062	1998-01-27	VYDAJ	VYBER	1500	21543	\N	\N	\N
1787335	6062	1998-01-26	VYDAJ	VYBER	1500	23043	\N	\N	\N
1787336	6062	1998-01-16	VYDAJ	VYBER	3000	38160	\N	\N	\N
1787337	6062	1998-01-14	VYDAJ	VYBER	6300	44160	\N	\N	\N
1787338	6062	1998-01-15	VYDAJ	VYBER	3000	41160	\N	\N	\N
1787339	6062	1998-01-13	VYDAJ	VYBER	2100	61068	\N	\N	\N
1787346	6062	1997-08-28	VYDAJ	VYBER	13500	41804	\N	\N	\N
1787347	6062	1997-08-30	VYDAJ	VYBER	11400	30404	\N	\N	\N
1787348	6062	1997-12-28	VYDAJ	VYBER	6900	25566	\N	\N	\N
1787349	6062	1997-07-21	VYDAJ	VYBER	10800	57080	\N	\N	\N
1787350	6062	1997-01-25	VYDAJ	VYBER	10800	36768	\N	\N	\N
1787351	6062	1998-02-09	VYDAJ	VYBER	13200	45830	\N	\N	\N
1787352	6062	1998-04-11	VYDAJ	VYBER	9300	62532	\N	\N	\N
1787354	6062	1998-08-30	VYDAJ	VYBER	3300	52071	\N	\N	\N
1787355	6062	1998-07-27	VYDAJ	VYBER	14400	35987	\N	\N	\N
1787356	6062	1998-04-01	VYDAJ	VYBER	4800	39753	\N	\N	\N
1787370	6062	1997-01-31	VYDAJ	VYBER	15	36583	SLUZBY	\N	\N
1787371	6062	1997-02-28	VYDAJ	VYBER	15	43767	SLUZBY	\N	\N
1787372	6062	1997-03-31	VYDAJ	VYBER	15	51171	SLUZBY	\N	\N
1787373	6062	1997-04-30	VYDAJ	VYBER	15	54159	SLUZBY	\N	\N
1787374	6062	1997-05-31	VYDAJ	VYBER	15	51385	SLUZBY	\N	\N
1787375	6062	1997-06-30	VYDAJ	VYBER	15	45409	SLUZBY	\N	\N
1787376	6062	1997-07-31	VYDAJ	VYBER	15	50998	SLUZBY	\N	\N
1787377	6062	1997-08-31	VYDAJ	VYBER	15	30627	SLUZBY	\N	\N
1787378	6062	1997-09-30	VYDAJ	VYBER	15	41005	SLUZBY	\N	\N
1787379	6062	1997-10-31	VYDAJ	VYBER	15	52009	SLUZBY	\N	\N
1787380	6062	1997-11-30	VYDAJ	VYBER	15	60326	SLUZBY	\N	\N
1787381	6062	1997-12-31	VYDAJ	VYBER	15	25789	SLUZBY	\N	\N
1787382	6062	1998-01-31	VYDAJ	VYBER	15	21651	SLUZBY	\N	\N
1787383	6062	1998-02-28	VYDAJ	VYBER	15	23000	SLUZBY	\N	\N
1787384	6062	1998-03-31	VYDAJ	VYBER	15	44553	SLUZBY	\N	\N
1787385	6062	1998-04-30	VYDAJ	VYBER	15	52236	SLUZBY	\N	\N
1787386	6062	1998-05-31	VYDAJ	VYBER	15	60491	SLUZBY	\N	\N
1787387	6062	1998-06-30	VYDAJ	VYBER	15	37837	SLUZBY	\N	\N
1787388	6062	1998-07-31	VYDAJ	VYBER	15	36156	SLUZBY	\N	\N
1787389	6062	1998-08-31	VYDAJ	VYBER	15	52261	SLUZBY	\N	\N
1787390	6062	1998-09-30	VYDAJ	VYBER	15	43714	SLUZBY	\N	\N
1787391	6062	1998-10-31	VYDAJ	VYBER	15	35177	SLUZBY	\N	\N
1787392	6062	1998-11-30	VYDAJ	VYBER	15	32067	SLUZBY	\N	\N
1787393	6062	1996-09-27	VYDAJ	VYBER	5600	32479	\N	\N	\N
1787394	6062	1996-10-27	VYDAJ	VYBER	21500	48376	\N	\N	\N
1787395	6062	1996-11-26	VYDAJ	VYBER	28100	57801	\N	\N	\N
1787396	6062	1996-12-07	VYDAJ	VYBER	44800	69277	\N	\N	\N
1787397	6062	1996-12-26	VYDAJ	VYBER	17900	51377	\N	\N	\N
1787398	6062	1997-01-25	VYDAJ	VYBER	400	36368	\N	\N	\N
1787399	6062	1997-02-24	VYDAJ	VYBER	10700	48854	\N	\N	\N
1787400	6062	1997-03-26	VYDAJ	VYBER	7400	50958	\N	\N	\N
1787401	6062	1997-04-25	VYDAJ	VYBER	12600	53894	\N	\N	\N
1787402	6062	1997-05-25	VYDAJ	VYBER	4700	51161	\N	\N	\N
1787403	6062	1997-06-24	VYDAJ	VYBER	3800	45152	\N	\N	\N
1787404	6062	1997-07-24	VYDAJ	VYBER	6300	50780	\N	\N	\N
1787405	6062	1997-08-23	VYDAJ	VYBER	12700	55304	\N	\N	\N
1787406	6062	1997-09-22	VYDAJ	VYBER	3800	46998	\N	\N	\N
1787407	6062	1997-10-22	VYDAJ	VYBER	3900	51797	\N	\N	\N
1787408	6062	1997-11-21	VYDAJ	VYBER	11300	67480	\N	\N	\N
1787409	6062	1997-12-07	VYDAJ	VYBER	39900	76494	\N	\N	\N
1787410	6062	1997-12-21	VYDAJ	VYBER	1000	49986	\N	\N	\N
1787411	6062	1998-01-20	PRIJEM	VKLAD	8400	37543	\N	\N	\N
1787412	6062	1998-02-19	PRIJEM	VKLAD	1100	36322	\N	\N	\N
1787413	6062	1998-03-21	PRIJEM	VKLAD	2300	44396	\N	\N	\N
1787414	6062	1998-04-20	PRIJEM	VKLAD	100	52024	\N	\N	\N
1787415	6062	1998-05-20	VYDAJ	VYBER	13400	60251	\N	\N	\N
1787416	6062	1998-06-07	VYDAJ	VYBER	63200	53359	\N	\N	\N
1787417	6062	1998-06-19	PRIJEM	VKLAD	17500	37648	\N	\N	\N
1787418	6062	1998-07-19	PRIJEM	VKLAD	5100	50387	\N	\N	\N
1787419	6062	1998-08-18	VYDAJ	VYBER	2200	55371	\N	\N	\N
1787420	6062	1998-09-17	VYDAJ	VYBER	5800	55988	\N	\N	\N
1787421	6062	1998-10-17	PRIJEM	VKLAD	2100	44696	\N	\N	\N
1787422	6062	1998-11-16	VYDAJ	VYBER	600	55992	\N	\N	\N
1787423	6062	1998-12-16	VYDAJ	VYBER	8500	63671	\N	\N	\N
1787814	6064	1997-01-11	PRIJEM	VKLAD	900	900	\N	\N	\N
1787816	6064	1997-02-10	PRIJEM	VKLAD	5644	6544	\N	\N	\N
1787817	6064	1997-03-10	PRIJEM	VKLAD	5644	22135	\N	\N	\N
1787818	6064	1997-04-10	PRIJEM	VKLAD	5644	26559	\N	\N	\N
1787819	6064	1997-05-10	PRIJEM	VKLAD	5644	29698	\N	\N	\N
1787820	6064	1997-06-10	PRIJEM	VKLAD	8466	34068	\N	\N	\N
1787821	6064	1997-07-10	PRIJEM	VKLAD	5644	26302	\N	\N	\N
1787822	6064	1997-08-10	PRIJEM	VKLAD	5644	25533	\N	\N	\N
1787823	6064	1997-09-10	PRIJEM	VKLAD	5644	25861	\N	\N	\N
1787824	6064	1997-10-10	PRIJEM	VKLAD	5644	23498	\N	\N	\N
1787825	6064	1997-11-10	PRIJEM	VKLAD	5644	24328	\N	\N	\N
1787826	6064	1997-12-10	PRIJEM	VKLAD	8466	22212	\N	\N	\N
1787827	6064	1998-01-10	PRIJEM	VKLAD	5644	8258	\N	\N	\N
1787828	6064	1998-02-10	PRIJEM	VKLAD	5644	8182	\N	\N	\N
1787829	6064	1998-03-10	PRIJEM	VKLAD	5644	11524	\N	\N	\N
1787830	6064	1998-04-10	PRIJEM	VKLAD	5644	11097	\N	\N	\N
1787831	6064	1998-05-10	PRIJEM	VKLAD	5644	13673	\N	\N	\N
1787832	6064	1998-06-10	PRIJEM	VKLAD	8466	19578	\N	\N	\N
1787833	6064	1998-07-10	PRIJEM	VKLAD	5644	14775	\N	\N	\N
1787834	6064	1998-08-10	PRIJEM	VKLAD	5644	17069	\N	\N	\N
1787835	6064	1998-09-10	PRIJEM	VKLAD	5644	11084	\N	\N	\N
1787836	6064	1998-10-10	PRIJEM	VKLAD	5644	10162	\N	\N	\N
1787837	6064	1998-11-10	PRIJEM	VKLAD	5644	12634	\N	\N	\N
1787838	6064	1998-12-10	PRIJEM	VKLAD	8466	7895	\N	\N	\N
1787841	6064	1997-12-15	VYDAJ	VYBER	2560	19652	\N	\N	\N
1787842	6064	1998-12-23	VYDAJ	VYBER	4320	3575	\N	\N	\N
1787849	6064	1998-01-14	VYDAJ	VYBER	3000	5258	\N	\N	\N
1787850	6064	1998-01-27	VYDAJ	VYBER	3480	-3262	\N	\N	\N
1787851	6064	1998-01-15	VYDAJ	VYBER	2880	2378	\N	\N	\N
1787852	6064	1998-01-23	VYDAJ	VYBER	2160	218	\N	\N	\N
1787853	6064	1998-01-04	VYDAJ	VYBER	3360	13474	\N	\N	\N
1787854	6064	1998-01-04	VYDAJ	VYBER	3240	10234	\N	\N	\N
1787855	6064	1997-11-21	VYDAJ	VYBER	5760	18568	\N	\N	\N
1787856	6064	1997-06-26	VYDAJ	VYBER	5400	20568	\N	\N	\N
1787857	6064	1997-12-18	VYDAJ	VYBER	2880	16772	\N	\N	\N
1787859	6064	1998-01-08	VYDAJ	VYBER	5760	2614	\N	\N	\N
1787860	6064	1998-08-28	VYDAJ	VYBER	4080	12989	\N	\N	\N
1787861	6064	1998-06-12	VYDAJ	VYBER	2400	17178	\N	\N	\N
1787862	6064	1998-12-09	VYDAJ	VYBER	5640	-571	\N	\N	\N
1787863	6064	1998-01-05	VYDAJ	VYBER	4560	5674	\N	\N	\N
1787870	6064	1997-06-30	VYDAJ	VYBER	15	20658	SLUZBY	\N	\N
1787871	6064	1997-07-31	VYDAJ	VYBER	15	19189	SLUZBY	\N	\N
1787872	6064	1997-08-31	VYDAJ	VYBER	15	25617	SLUZBY	\N	\N
1787873	6064	1997-09-30	VYDAJ	VYBER	15	25954	SLUZBY	\N	\N
1787874	6064	1997-10-31	VYDAJ	VYBER	15	23584	SLUZBY	\N	\N
1787875	6064	1997-11-30	VYDAJ	VYBER	15	18646	SLUZBY	\N	\N
1787876	6064	1997-12-31	VYDAJ	VYBER	15	16834	SLUZBY	\N	\N
1787877	6064	1998-01-31	VYDAJ	VYBER	15	-3262	SLUZBY	\N	\N
1787878	6064	1998-02-28	VYDAJ	VYBER	15	8190	SLUZBY	\N	\N
1787879	6064	1998-03-31	VYDAJ	VYBER	15	11553	SLUZBY	\N	\N
1787880	6064	1998-04-30	VYDAJ	VYBER	15	11129	SLUZBY	\N	\N
1787881	6064	1998-05-31	VYDAJ	VYBER	15	13712	SLUZBY	\N	\N
1787882	6064	1998-06-30	VYDAJ	VYBER	15	17231	SLUZBY	\N	\N
1787883	6064	1998-07-31	VYDAJ	VYBER	15	14825	SLUZBY	\N	\N
1787884	6064	1998-08-31	VYDAJ	VYBER	15	13040	SLUZBY	\N	\N
1787885	6064	1998-09-30	VYDAJ	VYBER	15	11118	SLUZBY	\N	\N
1787886	6064	1998-10-31	VYDAJ	VYBER	15	10190	SLUZBY	\N	\N
1787887	6064	1998-11-30	VYDAJ	VYBER	15	12669	SLUZBY	\N	\N
1787888	6064	1997-02-10	PRIJEM	VKLAD	9900	16444	\N	\N	\N
1787889	6064	1997-03-12	VYDAJ	VYBER	1300	20835	\N	\N	\N
1787890	6064	1997-04-11	VYDAJ	VYBER	2600	23959	\N	\N	\N
1787891	6064	1997-05-11	VYDAJ	VYBER	4200	25498	\N	\N	\N
1787892	6064	1997-06-10	VYDAJ	VYBER	8100	25968	\N	\N	\N
1787893	6064	1997-07-10	VYDAJ	VYBER	7200	19102	\N	\N	\N
1787894	6064	1997-08-09	PRIJEM	VKLAD	700	19889	\N	\N	\N
1787895	6064	1997-09-08	VYDAJ	VYBER	5400	20217	\N	\N	\N
1787896	6064	1997-10-08	VYDAJ	VYBER	8100	17854	\N	\N	\N
1787897	6064	1997-11-07	VYDAJ	VYBER	4900	18684	\N	\N	\N
1787898	6064	1997-12-07	VYDAJ	VYBER	4900	13746	\N	\N	\N
1787899	6064	1998-01-06	PRIJEM	VKLAD	2700	8374	\N	\N	\N
1787900	6064	1998-02-05	PRIJEM	VKLAD	5800	2538	\N	\N	\N
1787901	6064	1998-03-07	VYDAJ	VYBER	2300	5880	\N	\N	\N
1787902	6064	1998-04-06	VYDAJ	VYBER	6100	5453	\N	\N	\N
1787903	6064	1998-05-06	VYDAJ	VYBER	3100	8029	\N	\N	\N
1787904	6064	1998-06-05	VYDAJ	VYBER	2600	11112	\N	\N	\N
1787905	6064	1998-07-05	VYDAJ	VYBER	8100	9131	\N	\N	\N
1787906	6064	1998-08-04	VYDAJ	VYBER	3400	11425	\N	\N	\N
1787907	6064	1998-09-03	VYDAJ	VYBER	7600	5440	\N	\N	\N
1787908	6064	1998-10-03	VYDAJ	VYBER	6600	4518	\N	\N	\N
1787909	6064	1998-11-02	VYDAJ	VYBER	3200	6990	\N	\N	\N
1787910	6064	1998-12-02	VYDAJ	VYBER	7600	5069	\N	\N	\N
1791303	6075	1996-09-15	PRIJEM	VKLAD	800	800	\N	\N	\N
1791313	6075	1996-10-07	PRIJEM	VKLAD	5553	6353	\N	\N	\N
1791314	6075	1996-11-07	PRIJEM	VKLAD	5553	21442	\N	\N	\N
1791315	6075	1996-12-07	PRIJEM	VKLAD	8330	29050	\N	\N	\N
1791316	6075	1997-01-07	PRIJEM	VKLAD	5553	29697	\N	\N	\N
1791317	6075	1997-02-07	PRIJEM	VKLAD	5553	28848	\N	\N	\N
1791318	6075	1997-03-07	PRIJEM	VKLAD	5553	12706	\N	\N	\N
1791319	6075	1997-04-07	PRIJEM	VKLAD	5553	16803	\N	\N	\N
1791320	6075	1997-05-07	PRIJEM	VKLAD	5553	19906	\N	\N	\N
1791321	6075	1997-06-07	PRIJEM	VKLAD	8330	26294	\N	\N	\N
1791322	6075	1997-07-07	PRIJEM	VKLAD	5553	11821	\N	\N	\N
1791323	6075	1997-08-07	PRIJEM	VKLAD	5553	21323	\N	\N	\N
1791324	6075	1997-09-07	PRIJEM	VKLAD	5553	4103	\N	\N	\N
1791325	6075	1997-10-07	PRIJEM	VKLAD	5553	11876	\N	\N	\N
1791326	6075	1997-11-07	PRIJEM	VKLAD	5553	13257	\N	\N	\N
1791327	6075	1997-12-07	PRIJEM	VKLAD	8330	18226	\N	\N	\N
1791328	6075	1998-01-07	PRIJEM	VKLAD	5553	16317	\N	\N	\N
1791329	6075	1998-02-07	PRIJEM	VKLAD	5553	17803	\N	\N	\N
1791330	6075	1998-03-07	PRIJEM	VKLAD	5553	19898	\N	\N	\N
1791331	6075	1998-04-07	PRIJEM	VKLAD	5553	22402	\N	\N	\N
1791332	6075	1998-05-07	PRIJEM	VKLAD	5553	13193	\N	\N	\N
1791333	6075	1998-06-07	PRIJEM	VKLAD	8330	18940	\N	\N	\N
1791334	6075	1998-07-07	PRIJEM	VKLAD	5553	21325	\N	\N	\N
1791335	6075	1998-08-07	PRIJEM	VKLAD	5553	15319	\N	\N	\N
1791336	6075	1998-09-07	PRIJEM	VKLAD	5553	20897	\N	\N	\N
1791337	6075	1998-10-07	PRIJEM	VKLAD	5553	23605	\N	\N	\N
1791338	6075	1998-11-07	PRIJEM	VKLAD	5553	17202	\N	\N	\N
1791339	6075	1998-12-07	PRIJEM	VKLAD	8330	21668	\N	\N	\N
1791354	6075	1997-02-27	VYDAJ	VYBER	3100	15068	SIPO	\N	0
1791355	6075	1997-03-30	VYDAJ	VYBER	3900	11206	SIPO	\N	0
1791356	6075	1997-05-03	VYDAJ	VYBER	2600	14353	SIPO	\N	0
1791357	6075	1997-06-08	VYDAJ	VYBER	2700	23594	SIPO	\N	0
1791358	6075	1997-06-25	VYDAJ	VYBER	4100	16094	SIPO	\N	0
1791359	6075	1997-08-13	VYDAJ	VYBER	3800	8423	SIPO	\N	0
1791360	6075	1997-08-28	VYDAJ	VYBER	3700	4723	SIPO	\N	0
1791361	6075	1997-10-04	VYDAJ	VYBER	3500	6323	SIPO	\N	0
1791362	6075	1997-11-01	VYDAJ	VYBER	3400	7704	SIPO	\N	0
1791363	6075	1997-12-05	VYDAJ	VYBER	3400	9896	SIPO	\N	0
1791364	6075	1998-01-13	VYDAJ	VYBER	4100	12217	SIPO	\N	0
1791365	6075	1998-02-09	VYDAJ	VYBER	3500	14303	SIPO	\N	0
1791366	6075	1998-03-10	VYDAJ	VYBER	3100	16798	SIPO	\N	0
1791367	6075	1998-04-09	VYDAJ	VYBER	3300	19102	SIPO	\N	0
1791368	6075	1998-04-25	VYDAJ	VYBER	3000	7603	SIPO	\N	0
1791369	6075	1998-05-30	VYDAJ	VYBER	2600	10593	SIPO	\N	0
1791370	6075	1998-06-25	VYDAJ	VYBER	3200	15740	SIPO	\N	0
1791371	6075	1998-07-27	VYDAJ	VYBER	3100	9726	SIPO	\N	0
1791372	6075	1998-09-11	VYDAJ	VYBER	2900	17997	SIPO	\N	0
1791373	6075	1998-10-14	VYDAJ	VYBER	3500	11606	SIPO	\N	0
1791374	6075	1998-11-09	VYDAJ	VYBER	3900	13302	SIPO	\N	0
1791375	6075	1998-12-08	VYDAJ	VYBER	3700	17968	SIPO	\N	0
1791389	6075	1997-02-08	VYDAJ	VYBER	9100	19748	\N	\N	0
1791390	6075	1997-03-06	VYDAJ	VYBER	5700	7153	\N	\N	0
1791391	6075	1997-04-16	VYDAJ	VYBER	7000	16903	\N	\N	0
1791392	6075	1997-05-10	VYDAJ	VYBER	6100	13806	\N	\N	0
1791393	6075	1997-06-19	VYDAJ	VYBER	8700	20194	\N	\N	0
1791394	6075	1997-07-06	VYDAJ	VYBER	9900	6268	\N	\N	0
1791395	6075	1997-08-08	VYDAJ	VYBER	9600	11723	\N	\N	0
1791396	6075	1997-09-04	VYDAJ	VYBER	6200	-1450	\N	\N	0
1791397	6075	1997-10-07	VYDAJ	VYBER	6500	5376	\N	\N	0
1791399	6075	1997-12-14	VYDAJ	VYBER	7000	10726	\N	\N	0
1791403	6075	1998-04-12	VYDAJ	PREVOD NA UCET	8499	10603	UVER	ST	38067519
1791406	6075	1998-07-12	VYDAJ	PREVOD NA UCET	8499	12826	UVER	ST	38067519
1791409	6075	1998-10-12	VYDAJ	PREVOD NA UCET	8499	15106	UVER	ST	38067519
1791427	6075	1997-02-10	VYDAJ	VYBER	4080	15668	\N	\N	\N
1791430	6075	1997-03-01	VYDAJ	VYBER	2280	12853	\N	\N	\N
1791453	6075	1997-02-28	VYDAJ	VYBER	15	15133	SLUZBY	\N	\N
1791454	6075	1997-03-31	VYDAJ	VYBER	15	11250	SLUZBY	\N	\N
1791455	6075	1997-04-30	VYDAJ	VYBER	15	16953	SLUZBY	\N	\N
1791456	6075	1997-05-31	VYDAJ	VYBER	15	17964	SLUZBY	\N	\N
1791457	6075	1997-06-30	VYDAJ	VYBER	15	16168	SLUZBY	\N	\N
1791458	6075	1997-07-31	VYDAJ	VYBER	15	15770	SLUZBY	\N	\N
1791459	6075	1997-08-31	VYDAJ	VYBER	15	4750	SLUZBY	\N	\N
1791460	6075	1997-09-30	VYDAJ	VYBER	15	9823	SLUZBY	\N	\N
1791461	6075	1997-10-31	VYDAJ	VYBER	15	11104	SLUZBY	\N	\N
1791462	6075	1997-11-30	VYDAJ	VYBER	15	13296	SLUZBY	\N	\N
1791463	6075	1997-12-31	VYDAJ	VYBER	15	10764	SLUZBY	\N	\N
1791464	6075	1998-01-31	VYDAJ	VYBER	15	12250	SLUZBY	\N	\N
1791465	6075	1998-02-28	VYDAJ	VYBER	15	14345	SLUZBY	\N	\N
1791466	6075	1998-03-31	VYDAJ	VYBER	15	16849	SLUZBY	\N	\N
1791467	6075	1998-04-30	VYDAJ	VYBER	15	7640	SLUZBY	\N	\N
1791468	6075	1998-05-31	VYDAJ	VYBER	15	10610	SLUZBY	\N	\N
1791469	6075	1998-06-30	VYDAJ	VYBER	15	15772	SLUZBY	\N	\N
1791470	6075	1998-07-31	VYDAJ	VYBER	15	9766	SLUZBY	\N	\N
1791471	6075	1998-08-31	VYDAJ	VYBER	15	15344	SLUZBY	\N	\N
1791472	6075	1998-09-30	VYDAJ	VYBER	15	18052	SLUZBY	\N	\N
1791473	6075	1998-10-31	VYDAJ	VYBER	15	11649	SLUZBY	\N	\N
1791474	6075	1998-11-30	VYDAJ	VYBER	15	13338	SLUZBY	\N	\N
1791475	6075	1996-10-15	PRIJEM	VKLAD	9500	15853	\N	\N	\N
1791476	6075	1996-11-14	VYDAJ	VYBER	800	20642	\N	\N	\N
1791477	6075	1996-12-14	VYDAJ	VYBER	5000	24050	\N	\N	\N
1791478	6075	1997-01-13	VYDAJ	VYBER	6500	23197	\N	\N	\N
1791479	6075	1997-02-12	PRIJEM	VKLAD	2500	18168	\N	\N	\N
1791480	6075	1997-03-14	PRIJEM	VKLAD	2400	15106	\N	\N	\N
1791481	6075	1997-04-13	PRIJEM	VKLAD	7100	23903	\N	\N	\N
1791482	6075	1997-05-13	PRIJEM	VKLAD	4100	17906	\N	\N	\N
1791483	6075	1997-06-12	PRIJEM	VKLAD	5300	28894	\N	\N	\N
1791484	6075	1997-07-12	PRIJEM	VKLAD	3900	15721	\N	\N	\N
1791485	6075	1997-08-11	PRIJEM	VKLAD	500	12223	\N	\N	\N
1791486	6075	1997-09-10	PRIJEM	VKLAD	5700	9803	\N	\N	\N
1791487	6075	1997-10-10	PRIJEM	VKLAD	5700	11076	\N	\N	\N
1791488	6075	1997-12-09	VYDAJ	VYBER	500	17726	\N	\N	\N
1793810	6083	1996-09-19	PRIJEM	VKLAD	500	500	\N	\N	\N
1793824	6083	1996-12-15	PRIJEM	VKLAD	48488	68888	\N	\N	\N
1793830	6083	1997-06-07	PRIJEM	VKLAD	37477	59502	\N	\N	\N
1793831	6083	1997-09-02	PRIJEM	VKLAD	40682	67996	\N	\N	\N
1793832	6083	1997-11-20	PRIJEM	VKLAD	42510	112805	\N	\N	\N
1793833	6083	1997-10-16	PRIJEM	VKLAD	18329	55310	\N	\N	\N
1793834	6083	1997-01-24	PRIJEM	VKLAD	42449	124715	\N	\N	\N
1793835	6083	1997-03-14	PRIJEM	VKLAD	27818	110072	\N	\N	\N
1793836	6083	1997-03-17	PRIJEM	VKLAD	38230	84302	\N	\N	\N
1793837	6083	1997-10-08	PRIJEM	VKLAD	38205	72979	\N	\N	\N
1793838	6083	1997-10-28	PRIJEM	VKLAD	26965	91270	\N	\N	\N
1793839	6083	1997-09-03	PRIJEM	VKLAD	29134	97130	\N	\N	\N
1793840	6083	1997-01-25	PRIJEM	VKLAD	11087	93802	\N	\N	\N
1793841	6083	1997-11-20	PRIJEM	VKLAD	28106	70295	\N	\N	\N
1793842	6083	1997-05-15	PRIJEM	VKLAD	18733	42456	\N	\N	\N
1793843	6083	1997-12-19	PRIJEM	VKLAD	23995	67429	\N	\N	\N
1793844	6083	1997-05-06	PRIJEM	VKLAD	45391	103623	\N	\N	\N
1793845	6083	1997-01-22	PRIJEM	VKLAD	26813	82266	\N	\N	\N
1793846	6083	1997-12-03	PRIJEM	VKLAD	6788	73672	\N	\N	\N
1793847	6083	1997-02-28	PRIJEM	VKLAD	48724	135088	\N	\N	\N
1793848	6083	1997-09-30	PRIJEM	VKLAD	18030	45804	\N	\N	\N
1793849	6083	1997-08-25	PRIJEM	VKLAD	6311	35471	\N	\N	\N
1793850	6083	1997-10-20	PRIJEM	VKLAD	8995	64305	\N	\N	\N
1793851	6083	1997-01-14	PRIJEM	VKLAD	39093	84953	\N	\N	\N
1793852	6083	1997-04-26	PRIJEM	VKLAD	25969	57894	\N	\N	\N
1793853	6083	1997-12-25	PRIJEM	VKLAD	29288	96717	\N	\N	\N
1793854	6083	1997-11-21	PRIJEM	VKLAD	49544	110849	\N	\N	\N
1793855	6083	1997-07-30	PRIJEM	VKLAD	32830	48554	\N	\N	\N
1793856	6083	1997-11-27	PRIJEM	VKLAD	48751	100900	\N	\N	\N
1793857	6083	1997-10-31	PRIJEM	VKLAD	46635	138401	\N	\N	\N
1793858	6083	1997-02-26	PRIJEM	VKLAD	46456	86074	\N	\N	\N
1793859	6083	1998-03-30	PRIJEM	VKLAD	26279	96420	\N	\N	\N
1793860	6083	1998-02-10	PRIJEM	VKLAD	37402	60220	\N	\N	\N
1793861	6083	1998-03-15	PRIJEM	VKLAD	46727	70141	\N	\N	\N
1793862	6083	1998-03-31	PRIJEM	VKLAD	11132	107766	\N	\N	\N
1793876	6083	1997-02-18	VYDAJ	VYBER	10900	39618	\N	\N	0
1793877	6083	1997-03-18	VYDAJ	VYBER	7900	53802	\N	\N	0
1793878	6083	1997-04-16	VYDAJ	VYBER	9700	30425	\N	\N	0
1793879	6083	1997-05-14	VYDAJ	VYBER	8500	23723	\N	\N	0
1793880	6083	1997-05-28	VYDAJ	VYBER	7600	21756	\N	\N	0
1793881	6083	1997-07-09	VYDAJ	VYBER	7100	3224	\N	\N	0
1793882	6083	1997-08-23	VYDAJ	VYBER	7800	29160	\N	\N	0
1793883	6083	1997-08-28	VYDAJ	VYBER	8400	27071	\N	\N	0
1793884	6083	1997-10-12	VYDAJ	PREVOD NA UCET	7518	55487	UVER	MN	44330716
1793885	6083	1997-11-12	VYDAJ	PREVOD NA UCET	7518	57307	UVER	MN	44330716
1793886	6083	1997-12-12	VYDAJ	PREVOD NA UCET	7518	46434	UVER	MN	44330716
1793887	6083	1998-01-12	VYDAJ	PREVOD NA UCET	7518	63613	UVER	MN	44330716
1793888	6083	1998-02-12	VYDAJ	PREVOD NA UCET	7518	42702	UVER	MN	44330716
1793889	6083	1998-03-12	VYDAJ	PREVOD NA UCET	7518	16214	UVER	MN	44330716
1793890	6083	1998-04-12	VYDAJ	PREVOD NA UCET	7518	39631	UVER	MN	44330716
1793891	6083	1998-05-12	VYDAJ	PREVOD NA UCET	7518	24397	UVER	MN	44330716
1793892	6083	1998-06-12	VYDAJ	PREVOD NA UCET	7518	15786	UVER	MN	44330716
1793893	6083	1998-07-12	VYDAJ	VYBER	7000	-1495	\N	\N	\N
1793894	6083	1998-08-12	VYDAJ	PREVOD NA UCET	7518	6095	UVER	MN	44330716
1793895	6083	1998-09-12	VYDAJ	PREVOD NA UCET	7518	3396	UVER	MN	44330716
1793897	6083	1998-11-12	VYDAJ	PREVOD NA UCET	7518	6689	UVER	MN	44330716
1793912	6083	1997-02-04	VYDAJ	VYBER	11500	82786	SIPO	\N	0
1793913	6083	1997-03-12	VYDAJ	VYBER	11700	82254	SIPO	\N	0
1793914	6083	1997-04-11	VYDAJ	VYBER	10000	40125	SIPO	\N	0
1793915	6083	1997-05-07	VYDAJ	VYBER	9500	32223	SIPO	\N	0
1793916	6083	1997-06-17	VYDAJ	VYBER	11600	28986	SIPO	\N	0
1793917	6083	1997-07-16	VYDAJ	VYBER	7700	15724	SIPO	\N	0
1793918	6083	1997-08-03	VYDAJ	VYBER	10100	38569	SIPO	\N	0
1793919	6083	1997-09-06	VYDAJ	VYBER	8300	69130	SIPO	\N	0
1793920	6083	1997-10-06	VYDAJ	VYBER	11000	34774	SIPO	\N	0
1793921	6083	1997-11-20	VYDAJ	VYBER	10000	102805	SIPO	\N	0
1793922	6083	1997-12-04	VYDAJ	VYBER	10700	62972	SIPO	\N	0
1793923	6083	1998-01-14	VYDAJ	VYBER	7700	40113	SIPO	\N	0
1793924	6083	1998-02-18	VYDAJ	VYBER	11300	31402	SIPO	\N	0
1793925	6083	1998-03-14	VYDAJ	VYBER	8100	23414	SIPO	\N	0
1793926	6083	1998-04-10	VYDAJ	VYBER	11900	49049	SIPO	\N	0
1793927	6083	1998-05-03	VYDAJ	VYBER	11900	28215	SIPO	\N	0
1793928	6083	1998-06-12	VYDAJ	VYBER	11400	4386	SIPO	\N	0
1793929	6083	1998-07-03	VYDAJ	VYBER	11700	-7295	SIPO	\N	0
1793930	6083	1998-08-13	VYDAJ	VYBER	12000	-5905	SIPO	\N	0
1793931	6083	1998-09-20	VYDAJ	VYBER	11800	-8404	SIPO	\N	0
1793932	6083	1998-10-05	VYDAJ	VYBER	9800	-18391	SIPO	\N	0
1793933	6083	1998-11-13	VYDAJ	VYBER	8600	-1911	SIPO	\N	0
1793934	6083	1998-12-11	VYDAJ	VYBER	10600	5193	SIPO	\N	0
1793940	6083	1997-11-15	VYBER	VYBER	12718	42189	\N	\N	\N
1793941	6083	1997-02-11	VYBER	VYBER	16468	66318	\N	\N	\N
1793942	6083	1997-10-09	VYBER	VYBER	9974	63005	\N	\N	\N
1793943	6083	1997-09-12	VYBER	VYBER	14835	54295	\N	\N	\N
1793944	6083	1997-06-19	VYBER	VYBER	18781	10205	\N	\N	\N
1793945	6083	1997-11-04	VYBER	VYBER	6646	64825	\N	\N	\N
1793946	6083	1997-12-10	VYBER	VYBER	9020	53952	\N	\N	\N
1793947	6083	1997-08-06	VYBER	VYBER	11209	27360	\N	\N	\N
1793948	6083	1997-09-24	VYBER	VYBER	7824	27383	\N	\N	\N
1793949	6083	1997-10-15	VYBER	VYBER	11106	36981	\N	\N	\N
1793950	6083	1997-06-17	VYBER	VYBER	10816	40586	\N	\N	\N
1793951	6083	1997-04-02	VYBER	VYBER	4305	50125	\N	\N	\N
1793952	6083	1997-09-14	VYBER	VYBER	14088	40207	\N	\N	\N
1793953	6083	1998-03-04	VYBER	VYBER	7880	23732	\N	\N	\N
1793955	6083	1998-05-13	VYBER	VYBER	7150	17247	\N	\N	\N
1793967	6083	1998-01-12	VYDAJ	VYBER	26100	71131	\N	\N	\N
1793969	6083	1997-12-01	VYDAJ	VYBER	5400	66884	\N	\N	\N
1793983	6083	1998-01-14	VYDAJ	VYBER	4500	35613	\N	\N	\N
1793984	6083	1998-01-17	VYDAJ	VYBER	6300	22413	\N	\N	\N
1793986	6083	1998-01-17	VYDAJ	VYBER	6900	28713	\N	\N	\N
1793987	6083	1998-01-13	VYDAJ	VYBER	1800	47813	\N	\N	\N
1793988	6083	1998-01-13	VYDAJ	VYBER	7200	49613	\N	\N	\N
1793996	6083	1997-05-23	VYDAJ	VYBER	6600	29356	\N	\N	\N
1794014	6083	1997-01-31	VYDAJ	VYBER	30	94286	SLUZBY	\N	\N
1794015	6083	1997-02-28	VYDAJ	VYBER	30	135354	SLUZBY	\N	\N
1794016	6083	1997-03-31	VYDAJ	VYBER	30	54430	SLUZBY	\N	\N
1794017	6083	1997-04-30	VYDAJ	VYBER	30	58232	SLUZBY	\N	\N
1794018	6083	1997-05-31	VYDAJ	VYBER	30	22025	SLUZBY	\N	\N
1794019	6083	1997-06-30	VYDAJ	VYBER	30	10324	SLUZBY	\N	\N
1794020	6083	1997-07-31	VYDAJ	VYBER	30	48669	SLUZBY	\N	\N
1794021	6083	1997-08-31	VYDAJ	VYBER	30	27314	SLUZBY	\N	\N
1794022	6083	1997-09-30	VYDAJ	VYBER	30	45774	SLUZBY	\N	\N
1794023	6083	1997-10-31	VYDAJ	VYBER	30	138371	SLUZBY	\N	\N
1794024	6083	1997-11-30	VYDAJ	VYBER	30	72284	SLUZBY	\N	\N
1794025	6083	1997-12-31	VYDAJ	VYBER	30	97231	SLUZBY	\N	\N
1794026	6083	1998-01-31	VYDAJ	VYBER	30	22818	SLUZBY	\N	\N
1794027	6083	1998-02-28	VYDAJ	VYBER	30	31612	SLUZBY	\N	\N
1794028	6083	1998-03-31	VYDAJ	VYBER	30	107949	SLUZBY	\N	\N
1794029	6083	1998-04-30	VYDAJ	VYBER	30	40115	SLUZBY	\N	\N
1794030	6083	1998-05-31	VYDAJ	VYBER	30	17404	SLUZBY	\N	\N
1794031	6083	1998-06-30	VYDAJ	VYBER	30	4405	SLUZBY	\N	\N
1794032	6083	1998-07-31	VYDAJ	VYBER	30	-1522	SLUZBY	\N	\N
1794033	6083	1998-08-31	VYDAJ	VYBER	30	-6010	SLUZBY	\N	\N
1794034	6083	1998-09-30	VYDAJ	VYBER	30	-8513	SLUZBY	\N	\N
1794035	6083	1998-10-31	VYDAJ	VYBER	30	-921	SLUZBY	\N	\N
1794036	6083	1998-11-30	VYDAJ	VYBER	30	-1940	SLUZBY	\N	\N
1794037	6083	1996-10-19	PRIJEM	VKLAD	14400	14900	\N	\N	\N
1794038	6083	1996-11-18	PRIJEM	VKLAD	5500	20400	\N	\N	\N
1794039	6083	1996-12-18	VYDAJ	VYBER	23200	45688	\N	\N	\N
1794040	6083	1997-01-17	VYDAJ	VYBER	29500	55453	\N	\N	\N
1794041	6083	1997-01-24	VYDAJ	VYBER	42000	82715	\N	\N	\N
1794042	6083	1997-02-16	VYDAJ	VYBER	15800	50518	\N	\N	\N
1794043	6083	1997-02-28	VYDAJ	VYBER	41400	93954	\N	\N	\N
1794044	6083	1997-03-14	VYDAJ	VYBER	64000	46072	\N	\N	\N
1794045	6083	1997-03-18	VYDAJ	VYBER	22600	61702	\N	\N	\N
1794046	6083	1997-04-17	PRIJEM	VKLAD	1500	31925	\N	\N	\N
1794047	6083	1997-05-06	VYDAJ	VYBER	61900	41723	\N	\N	\N
1794048	6083	1997-05-17	VYDAJ	VYBER	6500	35956	\N	\N	\N
1794049	6083	1997-06-16	VYDAJ	VYBER	8100	51402	\N	\N	\N
1794050	6083	1997-07-16	PRIJEM	VKLAD	20200	23424	\N	\N	\N
1794051	6083	1997-08-15	PRIJEM	VKLAD	9600	36960	\N	\N	\N
1794052	6083	1997-09-03	VYDAJ	VYBER	19700	77430	\N	\N	\N
1794053	6083	1997-09-14	VYDAJ	VYBER	5000	35207	\N	\N	\N
1794054	6083	1997-10-14	VYDAJ	VYBER	7400	48087	\N	\N	\N
1794055	6083	1997-10-31	VYDAJ	VYBER	27300	71471	\N	\N	\N
1794056	6083	1997-10-31	VYDAJ	VYBER	39600	98771	\N	\N	\N
1794057	6083	1997-11-13	VYDAJ	VYBER	2400	54907	\N	\N	\N
1794058	6083	1997-11-20	VYDAJ	VYBER	41500	61305	\N	\N	\N
1794059	6083	1997-11-21	VYDAJ	VYBER	58700	52149	\N	\N	\N
1794060	6083	1997-11-27	VYDAJ	VYBER	29300	71600	\N	\N	\N
1794061	6083	1997-12-13	VYDAJ	VYBER	3000	43434	\N	\N	\N
1794062	6083	1998-01-12	VYDAJ	VYBER	6800	56813	\N	\N	\N
1794063	6083	1998-02-11	VYDAJ	VYBER	10000	50220	\N	\N	\N
1794064	6083	1998-03-13	PRIJEM	VKLAD	15300	31514	\N	\N	\N
1794065	6083	1998-03-31	VYDAJ	VYBER	47000	60949	\N	\N	\N
1794066	6083	1998-04-12	VYDAJ	VYBER	1900	47149	\N	\N	\N
1794067	6083	1998-05-12	PRIJEM	VKLAD	3700	31915	\N	\N	\N
1794068	6083	1998-06-11	PRIJEM	VKLAD	5900	23304	\N	\N	\N
1794069	6083	1998-07-11	PRIJEM	VKLAD	12800	5505	\N	\N	\N
1794070	6083	1998-08-10	PRIJEM	VKLAD	15200	13613	\N	\N	\N
1794071	6083	1998-09-09	PRIJEM	VKLAD	17000	10914	\N	\N	\N
1794072	6083	1998-10-09	PRIJEM	VKLAD	17500	-891	\N	\N	\N
1794073	6083	1998-11-08	PRIJEM	VKLAD	15300	14207	\N	\N	\N
1794074	6083	1998-12-08	PRIJEM	VKLAD	17900	15793	\N	\N	\N
1798342	6097	1997-06-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1798349	6097	1997-07-09	PRIJEM	VKLAD	8014	9014	\N	\N	\N
1798350	6097	1997-08-09	PRIJEM	VKLAD	8014	28374	\N	\N	\N
1798351	6097	1997-09-09	PRIJEM	VKLAD	8014	37595	\N	\N	\N
1798352	6097	1997-10-09	PRIJEM	VKLAD	8014	43948	\N	\N	\N
1798353	6097	1997-11-09	PRIJEM	VKLAD	8014	45816	\N	\N	\N
1798354	6097	1997-12-09	PRIJEM	VKLAD	12021	41562	\N	\N	\N
1798355	6097	1998-01-09	PRIJEM	VKLAD	8014	32678	\N	\N	\N
1798356	6097	1998-02-09	PRIJEM	VKLAD	8014	34804	\N	\N	\N
1798357	6097	1998-03-09	PRIJEM	VKLAD	8014	30281	\N	\N	\N
1798358	6097	1998-04-09	PRIJEM	VKLAD	8014	34101	\N	\N	\N
1798359	6097	1998-05-09	PRIJEM	VKLAD	8014	28434	\N	\N	\N
1798360	6097	1998-06-09	PRIJEM	VKLAD	12021	32644	\N	\N	\N
1798361	6097	1998-07-09	PRIJEM	VKLAD	8014	21587	\N	\N	\N
1798362	6097	1998-08-09	PRIJEM	VKLAD	8014	23567	\N	\N	\N
1798363	6097	1998-09-09	PRIJEM	VKLAD	8014	31569	\N	\N	\N
1798364	6097	1998-10-09	PRIJEM	VKLAD	8014	30634	\N	\N	\N
1798365	6097	1998-11-09	PRIJEM	VKLAD	8014	32164	\N	\N	\N
1798366	6097	1998-12-09	PRIJEM	VKLAD	12021	33365	\N	\N	\N
1798377	6097	1997-11-13	VYDAJ	PREVOD NA UCET	3155	32133	SIPO	WX	87940978
1798378	6097	1997-12-13	VYDAJ	PREVOD NA UCET	3155	24559	SIPO	WX	87940978
1798379	6097	1998-01-13	VYDAJ	PREVOD NA UCET	3155	26695	SIPO	WX	87940978
1798380	6097	1998-02-13	VYDAJ	PREVOD NA UCET	3155	22181	SIPO	WX	87940978
1798381	6097	1998-03-13	VYDAJ	PREVOD NA UCET	3155	25998	SIPO	WX	87940978
1798382	6097	1998-04-13	VYDAJ	PREVOD NA UCET	3155	23218	SIPO	WX	87940978
1798383	6097	1998-05-13	VYDAJ	PREVOD NA UCET	3155	20551	SIPO	WX	87940978
1798384	6097	1998-06-13	VYDAJ	PREVOD NA UCET	3155	20861	SIPO	WX	87940978
1798385	6097	1998-07-13	VYDAJ	PREVOD NA UCET	3155	15504	SIPO	WX	87940978
1798386	6097	1998-08-13	VYDAJ	PREVOD NA UCET	3155	21884	SIPO	WX	87940978
1798387	6097	1998-09-13	VYDAJ	PREVOD NA UCET	3155	27686	SIPO	WX	87940978
1798388	6097	1998-10-13	VYDAJ	PREVOD NA UCET	3155	26751	SIPO	WX	87940978
1798389	6097	1998-11-13	VYDAJ	PREVOD NA UCET	3155	28281	SIPO	WX	87940978
1798390	6097	1998-12-13	VYDAJ	PREVOD NA UCET	3155	29482	SIPO	WX	87940978
1798401	6097	1997-11-12	VYDAJ	PREVOD NA UCET	728	45088	UVER	KL	34494578
1798402	6097	1997-12-12	VYDAJ	PREVOD NA UCET	728	40834	UVER	KL	34494578
1798403	6097	1998-01-12	VYDAJ	PREVOD NA UCET	728	29850	UVER	KL	34494578
1798404	6097	1998-02-12	VYDAJ	PREVOD NA UCET	728	25336	UVER	KL	34494578
1798405	6097	1998-03-12	VYDAJ	PREVOD NA UCET	728	29553	UVER	KL	34494578
1798406	6097	1998-04-12	VYDAJ	PREVOD NA UCET	728	26373	UVER	KL	34494578
1798407	6097	1998-05-12	VYDAJ	PREVOD NA UCET	728	23706	UVER	KL	34494578
1798408	6097	1998-06-12	VYDAJ	PREVOD NA UCET	728	24016	UVER	KL	34494578
1798409	6097	1998-07-12	VYDAJ	PREVOD NA UCET	728	18659	UVER	KL	34494578
1798410	6097	1998-08-12	VYDAJ	PREVOD NA UCET	728	25039	UVER	KL	34494578
1798411	6097	1998-09-12	VYDAJ	PREVOD NA UCET	728	30841	UVER	KL	34494578
1798412	6097	1998-10-12	VYDAJ	PREVOD NA UCET	728	29906	UVER	KL	34494578
1798413	6097	1998-11-12	VYDAJ	PREVOD NA UCET	728	31436	UVER	KL	34494578
1798414	6097	1998-12-12	VYDAJ	PREVOD NA UCET	728	32637	UVER	KL	34494578
1798416	6097	1998-06-13	VYDAJ	VYBER	7360	13501	\N	\N	\N
1798419	6097	1997-12-03	VYDAJ	VYBER	2720	29541	\N	\N	\N
1798420	6097	1998-12-07	VYDAJ	VYBER	2240	21344	\N	\N	\N
1798427	6097	1997-12-12	VYDAJ	VYBER	4320	36514	\N	\N	\N
1798428	6097	1998-04-19	VYDAJ	VYBER	2880	20338	\N	\N	\N
1798430	6097	1998-09-17	VYDAJ	VYBER	960	26726	\N	\N	\N
1798431	6097	1998-02-11	VYDAJ	VYBER	5640	26064	\N	\N	\N
1798443	6097	1997-11-30	VYDAJ	VYBER	15	32261	SLUZBY	\N	\N
1798444	6097	1997-12-31	VYDAJ	VYBER	15	24664	SLUZBY	\N	\N
1798445	6097	1998-01-31	VYDAJ	VYBER	15	26790	SLUZBY	\N	\N
1798446	6097	1998-02-28	VYDAJ	VYBER	15	22267	SLUZBY	\N	\N
1798447	6097	1998-03-31	VYDAJ	VYBER	15	26087	SLUZBY	\N	\N
1798448	6097	1998-04-30	VYDAJ	VYBER	15	20420	SLUZBY	\N	\N
1798449	6097	1998-05-31	VYDAJ	VYBER	15	20623	SLUZBY	\N	\N
1798450	6097	1998-06-30	VYDAJ	VYBER	15	13573	SLUZBY	\N	\N
1798451	6097	1998-07-31	VYDAJ	VYBER	15	15553	SLUZBY	\N	\N
1798452	6097	1998-08-31	VYDAJ	VYBER	15	21955	SLUZBY	\N	\N
1798453	6097	1998-09-30	VYDAJ	VYBER	15	26820	SLUZBY	\N	\N
1798454	6097	1998-10-31	VYDAJ	VYBER	15	26850	SLUZBY	\N	\N
1798455	6097	1998-11-30	VYDAJ	VYBER	15	28384	SLUZBY	\N	\N
1798456	6097	1997-07-15	PRIJEM	VKLAD	11300	20314	\N	\N	\N
1798457	6097	1997-08-14	PRIJEM	VKLAD	1100	29474	\N	\N	\N
1798458	6097	1997-09-13	VYDAJ	VYBER	1800	35795	\N	\N	\N
1798459	6097	1997-10-13	VYDAJ	VYBER	6300	37648	\N	\N	\N
1798460	6097	1997-11-12	VYDAJ	VYBER	9800	35288	\N	\N	\N
1798461	6097	1997-12-12	VYDAJ	VYBER	8800	27714	\N	\N	\N
1798462	6097	1998-01-11	VYDAJ	VYBER	2100	30578	\N	\N	\N
1798463	6097	1998-02-10	VYDAJ	VYBER	3100	31704	\N	\N	\N
1798464	6097	1998-03-12	VYDAJ	VYBER	400	29153	\N	\N	\N
1798465	6097	1998-04-11	VYDAJ	VYBER	7000	27101	\N	\N	\N
1798466	6097	1998-05-11	VYDAJ	VYBER	4000	24434	\N	\N	\N
1798467	6097	1998-06-10	VYDAJ	VYBER	7900	24744	\N	\N	\N
1798468	6097	1998-07-10	VYDAJ	VYBER	2200	19387	\N	\N	\N
1798469	6097	1998-08-09	PRIJEM	VKLAD	2200	25767	\N	\N	\N
1798470	6097	1998-09-08	PRIJEM	VKLAD	1600	23555	\N	\N	\N
1798471	6097	1998-10-08	VYDAJ	VYBER	4200	22620	\N	\N	\N
1798472	6097	1998-11-07	VYDAJ	VYBER	2700	24150	\N	\N	\N
1798473	6097	1998-12-07	VYDAJ	VYBER	4800	23584	\N	\N	\N
1803934	6118	1994-03-07	PRIJEM	VKLAD	200	200	\N	\N	\N
1803935	6118	1994-12-05	PRIJEM	VKLAD	42063	93633	\N	\N	\N
1803936	6118	1994-03-08	PRIJEM	VKLAD	42157	42357	\N	\N	\N
1803937	6118	1994-06-23	PRIJEM	VKLAD	46357	103167	\N	\N	\N
1803938	6118	1994-11-17	PRIJEM	VKLAD	46815	67050	\N	\N	\N
1803939	6118	1994-08-25	PRIJEM	VKLAD	7351	26407	\N	\N	\N
1803940	6118	1994-06-28	PRIJEM	VKLAD	47433	124395	\N	\N	\N
1803941	6118	1994-08-25	PRIJEM	VKLAD	27967	54374	\N	\N	\N
1803942	6118	1994-12-12	PRIJEM	VKLAD	8441	91774	\N	\N	\N
1803945	6118	1994-11-25	PRIJEM	VKLAD	30153	97203	\N	\N	\N
1803946	6118	1994-11-28	PRIJEM	VKLAD	32902	130105	\N	\N	\N
1803947	6118	1994-10-07	PRIJEM	VKLAD	34448	60603	\N	\N	\N
1803950	6118	1994-05-17	PRIJEM	VKLAD	28461	88750	\N	\N	\N
1803951	6118	1994-06-24	PRIJEM	VKLAD	16495	76962	\N	\N	\N
1803952	6118	1994-05-10	PRIJEM	VKLAD	33707	60289	\N	\N	\N
1803955	6118	1994-12-12	PRIJEM	VKLAD	42727	134501	\N	\N	\N
1803956	6118	1995-02-06	PRIJEM	VKLAD	6653	28777	\N	\N	\N
1803957	6118	1995-07-05	PRIJEM	VKLAD	13599	28748	\N	\N	\N
1803958	6118	1996-10-01	PRIJEM	VKLAD	37053	108054	\N	\N	\N
1803959	6118	1996-05-05	PRIJEM	VKLAD	45498	78905	\N	\N	\N
1803960	6118	1996-11-20	PRIJEM	VKLAD	17276	113358	\N	\N	\N
1803961	6118	1996-01-24	PRIJEM	VKLAD	17729	103937	\N	\N	\N
1803962	6118	1996-09-19	PRIJEM	VKLAD	39397	102785	\N	\N	\N
1803963	6118	1996-10-28	PRIJEM	VKLAD	10211	66347	\N	\N	\N
1803964	6118	1996-01-20	PRIJEM	VKLAD	47258	86208	\N	\N	\N
1803965	6118	1996-01-07	PRIJEM	VKLAD	40636	62899	\N	\N	\N
1803966	6118	1996-06-17	PRIJEM	VKLAD	48199	106250	\N	\N	\N
1803967	6118	1996-12-01	PRIJEM	VKLAD	23202	103074	\N	\N	\N
1803968	6118	1996-08-11	PRIJEM	VKLAD	18142	58273	\N	\N	\N
1803969	6118	1996-08-30	PRIJEM	VKLAD	39321	75727	\N	\N	\N
1803970	6118	1996-11-04	PRIJEM	VKLAD	42914	109900	\N	\N	\N
1803971	6118	1996-06-11	PRIJEM	VKLAD	34570	65569	\N	\N	\N
1803972	6118	1997-05-17	PRIJEM	VKLAD	5195	26317	\N	\N	\N
1803973	6118	1997-01-13	PRIJEM	VKLAD	48351	85896	\N	\N	\N
1803974	6118	1997-06-20	PRIJEM	VKLAD	27849	61228	\N	\N	\N
1803975	6118	1997-06-19	PRIJEM	VKLAD	10736	33379	\N	\N	\N
1803976	6118	1997-10-05	PRIJEM	VKLAD	35800	83116	\N	\N	\N
1803977	6118	1997-09-24	PRIJEM	VKLAD	5670	52878	\N	\N	\N
1803978	6118	1997-08-19	PRIJEM	VKLAD	20645	67238	\N	\N	\N
1803979	6118	1997-10-23	PRIJEM	VKLAD	8164	65262	\N	\N	\N
1803980	6118	1997-07-06	PRIJEM	VKLAD	33089	89849	\N	\N	\N
1803981	6118	1997-03-21	PRIJEM	VKLAD	30183	58845	\N	\N	\N
1803988	6118	1994-07-11	VYDAJ	VYBER	8500	40294	\N	\N	0
1803989	6118	1994-07-31	VYDAJ	VYBER	7700	32986	\N	\N	0
1803990	6118	1994-08-29	VYDAJ	VYBER	6700	40774	\N	\N	0
1803991	6118	1994-10-15	VYDAJ	VYBER	10000	44503	\N	\N	0
1803992	6118	1994-11-06	VYDAJ	VYBER	7300	20235	\N	\N	0
1803993	6118	1994-12-10	VYDAJ	VYBER	10300	83333	\N	\N	0
1803994	6118	1995-01-12	VYDAJ	PREVOD NA UCET	7518	36179	UVER	UV	16368747
1803995	6118	1995-02-12	VYDAJ	PREVOD NA UCET	7518	11059	UVER	UV	16368747
1803996	6118	1995-03-12	VYDAJ	PREVOD NA UCET	7518	5732	UVER	UV	16368747
1803997	6118	1995-04-12	VYDAJ	VYBER	7500	1837	\N	\N	\N
1803998	6118	1995-05-12	VYDAJ	VYBER	6000	1859	\N	\N	\N
1803999	6118	1995-06-12	VYDAJ	PREVOD NA UCET	7518	7844	UVER	UV	16368747
1804000	6118	1995-07-12	VYDAJ	PREVOD NA UCET	7518	11030	UVER	UV	16368747
1804001	6118	1995-08-12	VYDAJ	PREVOD NA UCET	7518	4042	UVER	UV	16368747
1804002	6118	1995-09-12	VYDAJ	PREVOD NA UCET	7518	3054	UVER	UV	16368747
1804003	6118	1995-10-12	VYDAJ	PREVOD NA UCET	7518	1509	UVER	UV	16368747
1804005	6118	1995-12-12	VYDAJ	PREVOD NA UCET	7518	7939	UVER	UV	16368747
1804006	6118	1996-01-12	VYDAJ	PREVOD NA UCET	7518	49781	UVER	UV	16368747
1804007	6118	1996-02-12	VYDAJ	PREVOD NA UCET	7518	57198	UVER	UV	16368747
1804008	6118	1996-03-12	VYDAJ	PREVOD NA UCET	7518	23637	UVER	UV	16368747
1804009	6118	1996-04-12	VYDAJ	PREVOD NA UCET	7518	19175	UVER	UV	16368747
1804010	6118	1996-05-12	VYDAJ	PREVOD NA UCET	7518	68224	UVER	UV	16368747
1804011	6118	1996-06-12	VYDAJ	PREVOD NA UCET	7518	58051	UVER	UV	16368747
1804012	6118	1996-07-12	VYDAJ	PREVOD NA UCET	7518	56882	UVER	UV	16368747
1804013	6118	1996-08-12	VYDAJ	PREVOD NA UCET	7518	50755	UVER	UV	16368747
1804014	6118	1996-09-12	VYDAJ	PREVOD NA UCET	7518	63388	UVER	UV	16368747
1804015	6118	1996-10-12	VYDAJ	PREVOD NA UCET	7518	95636	UVER	UV	16368747
1804016	6118	1996-11-12	VYDAJ	PREVOD NA UCET	7518	96082	UVER	UV	16368747
1804017	6118	1996-12-12	VYDAJ	PREVOD NA UCET	7518	69698	UVER	UV	16368747
1804018	6118	1997-01-12	VYDAJ	PREVOD NA UCET	7518	37545	UVER	UV	16368747
1804019	6118	1997-02-12	VYDAJ	PREVOD NA UCET	7518	45487	UVER	UV	16368747
1804020	6118	1997-03-12	VYDAJ	PREVOD NA UCET	7518	28662	UVER	UV	16368747
1804021	6118	1997-04-12	VYDAJ	PREVOD NA UCET	7518	27557	UVER	UV	16368747
1804022	6118	1997-05-12	VYDAJ	PREVOD NA UCET	7518	21122	UVER	UV	16368747
1804023	6118	1997-06-12	VYDAJ	PREVOD NA UCET	7518	20343	UVER	UV	16368747
1804024	6118	1997-07-12	VYDAJ	PREVOD NA UCET	7518	82331	UVER	UV	16368747
1804025	6118	1997-08-12	VYDAJ	PREVOD NA UCET	7518	50193	UVER	UV	16368747
1804026	6118	1997-09-12	VYDAJ	PREVOD NA UCET	7518	52908	UVER	UV	16368747
1804027	6118	1997-10-12	VYDAJ	PREVOD NA UCET	7518	75598	UVER	UV	16368747
1804028	6118	1997-11-12	VYDAJ	PREVOD NA UCET	7518	41110	UVER	UV	16368747
1804029	6118	1997-12-12	VYDAJ	PREVOD NA UCET	7518	34246	UVER	UV	16368747
1804030	6118	1998-01-12	VYDAJ	VYBER	7300	19921	\N	\N	0
1804034	6118	1998-05-27	VYDAJ	VYBER	6300	33662	\N	\N	0
1804035	6118	1998-06-15	VYDAJ	VYBER	6200	39134	\N	\N	0
1804036	6118	1998-07-26	VYDAJ	VYBER	7400	41409	\N	\N	0
1804037	6118	1998-08-15	VYDAJ	VYBER	6200	41531	\N	\N	0
1804038	6118	1998-08-29	VYDAJ	VYBER	10100	31431	\N	\N	0
1804039	6118	1998-10-28	VYDAJ	VYBER	7600	41345	\N	\N	0
1804040	6118	1998-11-02	VYDAJ	VYBER	6800	34785	\N	\N	0
1804041	6118	1998-12-11	VYDAJ	VYBER	7400	37788	\N	\N	0
1804048	6118	1994-06-28	VYDAJ	VYBER	4400	96895	SIPO	\N	0
1804049	6118	1994-08-01	VYDAJ	VYBER	4400	28556	SIPO	\N	0
1804050	6118	1994-08-29	VYDAJ	VYBER	6900	47474	SIPO	\N	0
1804051	6118	1994-10-12	VYDAJ	VYBER	6100	54503	SIPO	\N	0
1804052	6118	1994-11-01	VYDAJ	VYBER	6400	38435	SIPO	\N	0
1804053	6118	1994-12-01	VYDAJ	VYBER	6000	82970	SIPO	\N	0
1804054	6118	1995-01-09	VYDAJ	VYBER	7300	43697	SIPO	\N	0
1804055	6118	1995-02-02	VYDAJ	VYBER	6200	22124	SIPO	\N	0
1804056	6118	1995-03-07	VYDAJ	VYBER	4600	13250	SIPO	\N	0
1804057	6118	1995-03-28	VYDAJ	VYBER	6300	-568	SIPO	\N	0
1804058	6118	1995-04-27	VYDAJ	VYBER	6900	-5063	SIPO	\N	0
1804059	6118	1995-06-12	VYDAJ	VYBER	5200	2644	SIPO	\N	0
1804060	6118	1995-07-14	VYDAJ	VYBER	6300	4730	SIPO	\N	0
1804061	6118	1995-08-10	VYDAJ	VYBER	7100	11560	SIPO	\N	0
1804062	6118	1995-08-31	VYDAJ	VYBER	5400	10572	SIPO	\N	0
1804063	6118	1995-09-29	VYDAJ	VYBER	4900	8954	SIPO	\N	0
1804064	6118	1995-11-11	VYDAJ	VYBER	6700	7633	SIPO	\N	0
1804065	6118	1995-12-10	VYDAJ	VYBER	5200	15457	SIPO	\N	0
1804066	6118	1996-01-07	VYDAJ	VYBER	5600	57299	SIPO	\N	0
1804067	6118	1996-01-28	VYDAJ	VYBER	6700	64337	SIPO	\N	0
1804068	6118	1996-03-04	VYDAJ	VYBER	4700	31155	SIPO	\N	0
1804069	6118	1996-04-07	VYDAJ	VYBER	6400	26693	SIPO	\N	0
1804070	6118	1996-05-13	VYDAJ	VYBER	5900	62324	SIPO	\N	0
1804071	6118	1996-06-06	VYDAJ	VYBER	6400	30999	SIPO	\N	0
1804072	6118	1996-07-05	VYDAJ	VYBER	4800	66200	SIPO	\N	0
1804073	6118	1996-08-02	VYDAJ	VYBER	6000	40131	SIPO	\N	0
1804074	6118	1996-09-02	VYDAJ	VYBER	5100	70906	SIPO	\N	0
1804075	6118	1996-10-01	VYDAJ	VYBER	4900	103154	SIPO	\N	0
1804076	6118	1996-11-07	VYDAJ	VYBER	6300	103600	SIPO	\N	0
1804077	6118	1996-12-16	VYDAJ	VYBER	5100	51549	SIPO	\N	0
1804078	6118	1997-01-05	VYDAJ	VYBER	6800	45063	SIPO	\N	0
1804079	6118	1997-01-31	VYDAJ	VYBER	6700	53035	SIPO	\N	0
1804080	6118	1997-03-08	VYDAJ	VYBER	5300	36180	SIPO	\N	0
1804081	6118	1997-03-31	VYDAJ	VYBER	6000	40775	SIPO	\N	0
1804082	6118	1997-05-02	VYDAJ	VYBER	5700	28640	SIPO	\N	0
1804083	6118	1997-05-31	VYDAJ	VYBER	6600	27891	SIPO	\N	0
1804084	6118	1997-07-04	VYDAJ	VYBER	4700	56760	SIPO	\N	0
1804085	6118	1997-08-06	VYDAJ	VYBER	5000	57711	SIPO	\N	0
1804086	6118	1997-08-30	VYDAJ	VYBER	7200	60038	SIPO	\N	0
1804087	6118	1997-09-30	VYDAJ	VYBER	5900	47346	SIPO	\N	0
1804088	6118	1997-11-02	VYDAJ	VYBER	6800	58828	SIPO	\N	0
1804089	6118	1997-12-15	VYDAJ	VYBER	5800	28446	SIPO	\N	0
1804090	6118	1998-01-11	VYDAJ	VYBER	5100	27221	SIPO	\N	0
1804091	6118	1998-01-28	VYDAJ	VYBER	4800	24821	SIPO	\N	0
1804092	6118	1998-03-02	VYDAJ	VYBER	6000	22211	SIPO	\N	0
1804093	6118	1998-04-11	VYDAJ	VYBER	5800	24323	SIPO	\N	0
1804094	6118	1998-05-01	VYDAJ	VYBER	6800	27862	SIPO	\N	0
1804095	6118	1998-06-12	VYDAJ	VYBER	7200	26634	SIPO	\N	0
1804096	6118	1998-07-16	VYDAJ	VYBER	5400	48809	SIPO	\N	0
1804097	6118	1998-08-05	VYDAJ	VYBER	6900	34731	SIPO	\N	0
1804098	6118	1998-08-31	VYDAJ	VYBER	5100	26535	SIPO	\N	0
1804099	6118	1998-10-02	VYDAJ	VYBER	4600	38645	SIPO	\N	0
1804100	6118	1998-11-11	VYDAJ	VYBER	5600	38185	SIPO	\N	0
1804101	6118	1998-12-10	VYDAJ	VYBER	4900	33488	SIPO	\N	0
1804109	6118	1996-12-03	VYBER	VYBER	9982	93092	\N	\N	\N
1804110	6118	1996-02-23	VYBER	VYBER	21033	36165	\N	\N	\N
1804111	6118	1996-12-05	VYBER	VYBER	8976	77216	\N	\N	\N
1804112	6118	1996-08-17	VYBER	VYBER	12349	38406	\N	\N	\N
1804113	6118	1996-05-05	VYBER	VYBER	3163	75742	\N	\N	\N
1804114	6118	1996-12-14	VYBER	VYBER	13049	56649	\N	\N	\N
1804115	6118	1996-07-15	VYBER	VYBER	3634	53248	\N	\N	\N
1804116	6118	1996-01-16	VYBER	VYBER	10831	38950	\N	\N	\N
1804117	6118	1996-05-21	VYBER	VYBER	17550	33674	\N	\N	\N
1804123	6118	1994-12-23	VYDAJ	VYBER	5700	76101	\N	\N	\N
1804125	6118	1996-12-03	VYDAJ	VYBER	6900	86192	\N	\N	\N
1804129	6118	1994-07-02	VYDAJ	VYBER	11400	77494	\N	\N	\N
1804131	6118	1994-06-30	VYDAJ	VYBER	8700	88894	\N	\N	\N
1804134	6118	1995-07-06	VYDAJ	VYBER	10200	18548	\N	\N	\N
1804138	6118	1995-02-07	VYDAJ	VYBER	10200	18577	\N	\N	\N
1804139	6118	1996-10-25	VYDAJ	VYBER	13800	56136	\N	\N	\N
1804140	6118	1996-07-11	VYDAJ	VYBER	1800	64400	\N	\N	\N
1804141	6118	1996-02-23	VYDAJ	VYBER	5700	30465	\N	\N	\N
1804142	6118	1996-05-13	VYDAJ	VYBER	11100	51224	\N	\N	\N
1804143	6118	1997-11-02	VYDAJ	VYBER	10200	48628	\N	\N	\N
1804144	6118	1997-04-06	VYDAJ	VYBER	5700	35075	\N	\N	\N
1804146	6118	1997-01-24	VYDAJ	VYBER	5400	59296	\N	\N	\N
1804147	6118	1998-10-09	VYDAJ	VYBER	1500	37145	\N	\N	\N
1804160	6118	1994-06-30	VYDAJ	VYBER	30	97594	SLUZBY	\N	\N
1804161	6118	1994-07-31	VYDAJ	VYBER	30	32956	SLUZBY	\N	\N
1804162	6118	1994-08-31	VYDAJ	VYBER	30	40958	SLUZBY	\N	\N
1804163	6118	1994-09-30	VYDAJ	VYBER	30	28155	SLUZBY	\N	\N
1804164	6118	1994-10-31	VYDAJ	VYBER	30	44835	SLUZBY	\N	\N
1804165	6118	1994-11-30	VYDAJ	VYBER	30	88970	SLUZBY	\N	\N
1804166	6118	1994-12-31	VYDAJ	VYBER	30	76797	SLUZBY	\N	\N
1804167	6118	1995-01-31	VYDAJ	VYBER	30	36524	SLUZBY	\N	\N
1804168	6118	1995-02-28	VYDAJ	VYBER	30	11150	SLUZBY	\N	\N
1804169	6118	1995-03-31	VYDAJ	VYBER	30	-556	SLUZBY	\N	\N
1804170	6118	1995-04-30	VYDAJ	VYBER	30	-5117	SLUZBY	\N	\N
1804171	6118	1995-05-31	VYDAJ	VYBER	30	15362	SLUZBY	\N	\N
1804172	6118	1995-06-30	VYDAJ	VYBER	30	15156	SLUZBY	\N	\N
1804173	6118	1995-07-31	VYDAJ	VYBER	30	18660	SLUZBY	\N	\N
1804174	6118	1995-08-31	VYDAJ	VYBER	30	15972	SLUZBY	\N	\N
1804175	6118	1995-09-30	VYDAJ	VYBER	30	9027	SLUZBY	\N	\N
1804176	6118	1995-10-31	VYDAJ	VYBER	30	14333	SLUZBY	\N	\N
1804177	6118	1995-11-30	VYDAJ	VYBER	30	20676	SLUZBY	\N	\N
1804178	6118	1995-12-31	VYDAJ	VYBER	30	22263	SLUZBY	\N	\N
1804179	6118	1996-01-31	VYDAJ	VYBER	30	64716	SLUZBY	\N	\N
1804180	6118	1996-02-29	VYDAJ	VYBER	30	35855	SLUZBY	\N	\N
1804181	6118	1996-03-31	VYDAJ	VYBER	30	33093	SLUZBY	\N	\N
1804182	6118	1996-04-30	VYDAJ	VYBER	30	33407	SLUZBY	\N	\N
1804183	6118	1996-05-31	VYDAJ	VYBER	30	37399	SLUZBY	\N	\N
1804184	6118	1996-06-30	VYDAJ	VYBER	30	71000	SLUZBY	\N	\N
1804185	6118	1996-07-31	VYDAJ	VYBER	30	46131	SLUZBY	\N	\N
1804186	6118	1996-08-31	VYDAJ	VYBER	30	76006	SLUZBY	\N	\N
1804187	6118	1996-09-30	VYDAJ	VYBER	30	71001	SLUZBY	\N	\N
1804188	6118	1996-10-31	VYDAJ	VYBER	30	66986	SLUZBY	\N	\N
1804189	6118	1996-11-30	VYDAJ	VYBER	30	79872	SLUZBY	\N	\N
1804190	6118	1996-12-31	VYDAJ	VYBER	30	51863	SLUZBY	\N	\N
1804191	6118	1997-01-31	VYDAJ	VYBER	30	53005	SLUZBY	\N	\N
1804192	6118	1997-02-28	VYDAJ	VYBER	30	41480	SLUZBY	\N	\N
1804193	6118	1997-03-31	VYDAJ	VYBER	30	46775	SLUZBY	\N	\N
1804194	6118	1997-04-30	VYDAJ	VYBER	30	34340	SLUZBY	\N	\N
1804195	6118	1997-05-31	VYDAJ	VYBER	30	27861	SLUZBY	\N	\N
1804196	6118	1997-06-30	VYDAJ	VYBER	30	61460	SLUZBY	\N	\N
1804197	6118	1997-07-31	VYDAJ	VYBER	30	62711	SLUZBY	\N	\N
1804198	6118	1997-08-31	VYDAJ	VYBER	30	60426	SLUZBY	\N	\N
1804199	6118	1997-09-30	VYDAJ	VYBER	30	47316	SLUZBY	\N	\N
1804200	6118	1997-10-31	VYDAJ	VYBER	30	65628	SLUZBY	\N	\N
1804201	6118	1997-11-30	VYDAJ	VYBER	30	41764	SLUZBY	\N	\N
1804202	6118	1997-12-31	VYDAJ	VYBER	30	32321	SLUZBY	\N	\N
1804203	6118	1998-01-31	VYDAJ	VYBER	30	24933	SLUZBY	\N	\N
1804204	6118	1998-02-28	VYDAJ	VYBER	30	28211	SLUZBY	\N	\N
1804205	6118	1998-03-31	VYDAJ	VYBER	30	30123	SLUZBY	\N	\N
1804206	6118	1998-04-30	VYDAJ	VYBER	30	34662	SLUZBY	\N	\N
1804207	6118	1998-05-31	VYDAJ	VYBER	30	33834	SLUZBY	\N	\N
1804208	6118	1998-06-30	VYDAJ	VYBER	30	39309	SLUZBY	\N	\N
1804209	6118	1998-07-31	VYDAJ	VYBER	30	41631	SLUZBY	\N	\N
1804210	6118	1998-08-31	VYDAJ	VYBER	30	31635	SLUZBY	\N	\N
1804211	6118	1998-09-30	VYDAJ	VYBER	30	43245	SLUZBY	\N	\N
1804212	6118	1998-10-31	VYDAJ	VYBER	30	41585	SLUZBY	\N	\N
1804213	6118	1998-11-30	VYDAJ	VYBER	30	38388	SLUZBY	\N	\N
1804214	6118	1994-04-06	VYDAJ	VYBER	10200	32430	\N	\N	\N
1804215	6118	1994-05-06	VYDAJ	VYBER	6200	26582	\N	\N	\N
1804216	6118	1994-06-05	VYDAJ	VYBER	32500	56810	\N	\N	\N
1804217	6118	1994-06-23	VYDAJ	VYBER	42700	60467	\N	\N	\N
1804218	6118	1994-06-28	VYDAJ	VYBER	23100	101295	\N	\N	\N
1804219	6118	1994-07-05	VYDAJ	VYBER	28700	48794	\N	\N	\N
1804220	6118	1994-08-04	VYDAJ	VYBER	9500	19056	\N	\N	\N
1804221	6118	1994-09-03	VYDAJ	VYBER	13100	27858	\N	\N	\N
1804222	6118	1994-10-03	VYDAJ	VYBER	2000	26155	\N	\N	\N
1804223	6118	1994-11-02	VYDAJ	VYBER	10900	27535	\N	\N	\N
1804224	6118	1994-11-28	VYDAJ	VYBER	41500	88605	\N	\N	\N
1804225	6118	1994-12-02	VYDAJ	VYBER	31400	51570	\N	\N	\N
1804226	6118	1994-12-12	VYDAJ	VYBER	52700	81801	\N	\N	\N
1804227	6118	1995-01-01	VYDAJ	VYBER	25800	50997	\N	\N	\N
1804228	6118	1995-01-31	VYDAJ	VYBER	8200	28324	\N	\N	\N
1804229	6118	1995-03-02	PRIJEM	VKLAD	6700	17850	\N	\N	\N
1804230	6118	1995-04-01	PRIJEM	VKLAD	9900	9337	\N	\N	\N
1804231	6118	1995-05-01	PRIJEM	VKLAD	13000	7859	\N	\N	\N
1804232	6118	1995-05-31	PRIJEM	VKLAD	13600	15462	\N	\N	\N
1804233	6118	1995-06-30	PRIJEM	VKLAD	12500	15166	\N	\N	\N
1804234	6118	1995-07-30	PRIJEM	VKLAD	13900	18630	\N	\N	\N
1804235	6118	1995-08-29	PRIJEM	VKLAD	11900	15942	\N	\N	\N
1804236	6118	1995-09-28	PRIJEM	VKLAD	10800	13854	\N	\N	\N
1804237	6118	1995-10-28	PRIJEM	VKLAD	12800	14309	\N	\N	\N
1804238	6118	1995-11-27	PRIJEM	VKLAD	13000	20633	\N	\N	\N
1804239	6118	1995-12-27	PRIJEM	VKLAD	14300	22239	\N	\N	\N
1804240	6118	1996-01-26	VYDAJ	VYBER	32900	71037	\N	\N	\N
1804241	6118	1996-02-25	PRIJEM	VKLAD	5000	35465	\N	\N	\N
1804242	6118	1996-03-26	PRIJEM	VKLAD	9300	32937	\N	\N	\N
1804243	6118	1996-04-25	PRIJEM	VKLAD	14100	33275	\N	\N	\N
1804244	6118	1996-05-25	PRIJEM	VKLAD	3400	37074	\N	\N	\N
1804245	6118	1996-06-24	VYDAJ	VYBER	35700	70550	\N	\N	\N
1804246	6118	1996-07-24	VYDAJ	VYBER	7500	45748	\N	\N	\N
1804247	6118	1996-08-23	VYDAJ	VYBER	2000	36406	\N	\N	\N
1804248	6118	1996-09-22	VYDAJ	VYBER	32300	70485	\N	\N	\N
1804249	6118	1996-10-22	VYDAJ	VYBER	25700	69936	\N	\N	\N
1804250	6118	1996-11-21	VYDAJ	VYBER	34100	79258	\N	\N	\N
1804251	6118	1996-12-21	VYDAJ	VYBER	100	51449	\N	\N	\N
1804252	6118	1997-01-20	VYDAJ	VYBER	21200	64696	\N	\N	\N
1804253	6118	1997-02-19	VYDAJ	VYBER	4300	41187	\N	\N	\N
1804254	6118	1997-03-21	VYDAJ	VYBER	12300	46545	\N	\N	\N
1804255	6118	1997-04-20	PRIJEM	VKLAD	6600	34157	\N	\N	\N
1804256	6118	1997-05-20	PRIJEM	VKLAD	8000	34317	\N	\N	\N
1804257	6118	1997-06-19	PRIJEM	VKLAD	2300	22643	\N	\N	\N
1804258	6118	1997-07-19	VYDAJ	VYBER	20100	62231	\N	\N	\N
1804259	6118	1997-08-18	VYDAJ	VYBER	3600	46593	\N	\N	\N
1804260	6118	1997-09-17	VYDAJ	VYBER	5700	47208	\N	\N	\N
1804261	6118	1997-10-17	VYDAJ	VYBER	18500	57098	\N	\N	\N
1804262	6118	1997-11-16	PRIJEM	VKLAD	400	41510	\N	\N	\N
1804263	6118	1997-12-16	PRIJEM	VKLAD	3700	32146	\N	\N	\N
1804264	6118	1998-01-15	PRIJEM	VKLAD	9700	29621	\N	\N	\N
1804265	6118	1998-02-14	PRIJEM	VKLAD	3200	28133	\N	\N	\N
1804266	6118	1998-03-16	PRIJEM	VKLAD	7800	30011	\N	\N	\N
1804267	6118	1998-04-15	PRIJEM	VKLAD	10200	34523	\N	\N	\N
1804268	6118	1998-05-15	PRIJEM	VKLAD	12100	39962	\N	\N	\N
1804269	6118	1998-06-14	PRIJEM	VKLAD	18700	45334	\N	\N	\N
1804270	6118	1998-07-14	PRIJEM	VKLAD	14900	54209	\N	\N	\N
1804271	6118	1998-08-13	PRIJEM	VKLAD	13000	47731	\N	\N	\N
1804272	6118	1998-09-12	PRIJEM	VKLAD	16600	43135	\N	\N	\N
1804273	6118	1998-10-12	PRIJEM	VKLAD	11800	48945	\N	\N	\N
1804274	6118	1998-11-11	PRIJEM	VKLAD	9000	43785	\N	\N	\N
1804275	6118	1998-12-11	PRIJEM	VKLAD	11700	45188	\N	\N	\N
1811066	6138	1997-01-22	PRIJEM	VKLAD	200	200	\N	\N	\N
1811068	6138	1997-02-12	PRIJEM	PREVOD Z UCTU	16904	17104	\N	UV	74129926
1811069	6138	1997-03-12	PRIJEM	PREVOD Z UCTU	16904	38734	\N	UV	74129926
1811070	6138	1997-04-12	PRIJEM	PREVOD Z UCTU	16904	45437	\N	UV	74129926
1811071	6138	1997-05-12	PRIJEM	PREVOD Z UCTU	16904	50365	\N	UV	74129926
1811072	6138	1997-06-12	PRIJEM	PREVOD Z UCTU	25356	54658	\N	UV	74129926
1811073	6138	1997-07-12	PRIJEM	PREVOD Z UCTU	16904	36906	\N	UV	74129926
1811074	6138	1997-08-12	PRIJEM	PREVOD Z UCTU	16904	23342	\N	UV	74129926
1811075	6138	1997-09-12	PRIJEM	PREVOD Z UCTU	16904	18813	\N	UV	74129926
1811076	6138	1997-10-12	PRIJEM	PREVOD Z UCTU	16904	22078	\N	UV	74129926
1811077	6138	1997-11-12	PRIJEM	PREVOD Z UCTU	16904	25364	\N	UV	74129926
1811078	6138	1997-12-12	PRIJEM	PREVOD Z UCTU	25356	37115	\N	UV	74129926
1811079	6138	1998-01-12	PRIJEM	PREVOD Z UCTU	16904	20488	\N	UV	74129926
1811080	6138	1998-02-12	PRIJEM	PREVOD Z UCTU	16904	23760	\N	UV	74129926
1811081	6138	1998-03-12	PRIJEM	PREVOD Z UCTU	16904	27045	\N	UV	74129926
1811082	6138	1998-04-12	PRIJEM	PREVOD Z UCTU	16904	30344	\N	UV	74129926
1811083	6138	1998-05-12	PRIJEM	PREVOD Z UCTU	16904	33657	\N	UV	74129926
1811084	6138	1998-06-12	PRIJEM	PREVOD Z UCTU	25356	45443	\N	UV	74129926
1811085	6138	1998-07-12	PRIJEM	PREVOD Z UCTU	16904	21951	\N	UV	74129926
1811086	6138	1998-08-12	PRIJEM	PREVOD Z UCTU	16904	25229	\N	UV	74129926
1811087	6138	1998-09-12	PRIJEM	PREVOD Z UCTU	16904	28521	\N	UV	74129926
1811088	6138	1998-10-12	PRIJEM	PREVOD Z UCTU	16904	31826	\N	UV	74129926
1811089	6138	1998-11-12	PRIJEM	PREVOD Z UCTU	16904	35152	\N	UV	74129926
1811090	6138	1998-12-12	PRIJEM	PREVOD Z UCTU	25356	44543	\N	UV	74129926
1811096	6138	1997-05-31	VYDAJ	VYBER	2800	29302	\N	\N	0
1811097	6138	1997-07-07	VYDAJ	VYBER	2200	30871	\N	\N	0
1811098	6138	1997-08-12	VYDAJ	PREVOD NA UCET	2817	20524	UVER	EF	68264150
1811099	6138	1997-09-12	VYDAJ	PREVOD NA UCET	2817	15996	UVER	EF	68264150
1811100	6138	1997-10-12	VYDAJ	PREVOD NA UCET	2817	19261	UVER	EF	68264150
1811101	6138	1997-11-12	VYDAJ	PREVOD NA UCET	2817	22546	UVER	EF	68264150
1811102	6138	1997-12-12	VYDAJ	PREVOD NA UCET	2817	34298	UVER	EF	68264150
1811103	6138	1998-01-12	VYDAJ	PREVOD NA UCET	2817	17671	UVER	EF	68264150
1811104	6138	1998-02-12	VYDAJ	PREVOD NA UCET	2817	20942	UVER	EF	68264150
1811105	6138	1998-03-12	VYDAJ	PREVOD NA UCET	2817	24227	UVER	EF	68264150
1811106	6138	1998-04-12	VYDAJ	PREVOD NA UCET	2817	27527	UVER	EF	68264150
1811107	6138	1998-05-12	VYDAJ	PREVOD NA UCET	2817	30840	UVER	EF	68264150
1811108	6138	1998-06-12	VYDAJ	PREVOD NA UCET	2817	42625	UVER	EF	68264150
1811109	6138	1998-07-12	VYDAJ	PREVOD NA UCET	2817	19134	UVER	EF	68264150
1811110	6138	1998-08-12	VYDAJ	PREVOD NA UCET	2817	22412	UVER	EF	68264150
1811111	6138	1998-09-12	VYDAJ	PREVOD NA UCET	2817	25703	UVER	EF	68264150
1811112	6138	1998-10-12	VYDAJ	PREVOD NA UCET	2817	29008	UVER	EF	68264150
1811113	6138	1998-11-12	VYDAJ	PREVOD NA UCET	2817	32334	UVER	EF	68264150
1811114	6138	1998-12-12	VYDAJ	PREVOD NA UCET	2817	41726	UVER	EF	68264150
1811121	6138	1997-07-10	VYDAJ	PREVOD NA UCET	10869	20002	SIPO	WX	42320823
1811122	6138	1997-08-10	VYDAJ	PREVOD NA UCET	10869	6438	SIPO	WX	42320823
1811123	6138	1997-09-10	VYDAJ	PREVOD NA UCET	10869	1909	SIPO	WX	42320823
1811124	6138	1997-10-10	VYDAJ	PREVOD NA UCET	10869	5174	SIPO	WX	42320823
1811125	6138	1997-11-10	VYDAJ	PREVOD NA UCET	10869	8460	SIPO	WX	42320823
1811126	6138	1997-12-10	VYDAJ	PREVOD NA UCET	10869	11759	SIPO	WX	42320823
1811127	6138	1998-01-10	VYDAJ	PREVOD NA UCET	10869	3584	SIPO	WX	42320823
1811128	6138	1998-02-10	VYDAJ	PREVOD NA UCET	10869	6856	SIPO	WX	42320823
1811129	6138	1998-03-10	VYDAJ	PREVOD NA UCET	10869	10141	SIPO	WX	42320823
1811130	6138	1998-04-10	VYDAJ	PREVOD NA UCET	10869	13440	SIPO	WX	42320823
1811131	6138	1998-05-10	VYDAJ	PREVOD NA UCET	10869	16753	SIPO	WX	42320823
1811132	6138	1998-06-10	VYDAJ	PREVOD NA UCET	10869	20087	SIPO	WX	42320823
1811133	6138	1998-07-10	VYDAJ	PREVOD NA UCET	10869	5047	SIPO	WX	42320823
1811134	6138	1998-08-10	VYDAJ	PREVOD NA UCET	10869	8325	SIPO	WX	42320823
1811135	6138	1998-09-10	VYDAJ	PREVOD NA UCET	10869	11617	SIPO	WX	42320823
1811136	6138	1998-10-10	VYDAJ	PREVOD NA UCET	10869	14922	SIPO	WX	42320823
1811137	6138	1998-11-10	VYDAJ	PREVOD NA UCET	10869	18248	SIPO	WX	42320823
1811138	6138	1998-12-10	VYDAJ	PREVOD NA UCET	10869	19187	SIPO	WX	42320823
1811143	6138	1997-12-14	VYBER	VYBER	2118	32180	\N	\N	\N
1811153	6138	1998-12-16	VYDAJ	VYBER	3600	38126	\N	\N	\N
1811157	6138	1997-07-12	VYDAJ	VYBER	14100	22806	\N	\N	\N
1811164	6138	1998-11-12	VYDAJ	VYBER	2400	29934	\N	\N	\N
1811173	6138	1997-06-30	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
1811174	6138	1997-07-31	VYDAJ	VYBER	15	17307	SLUZBY	\N	\N
1811175	6138	1997-08-31	VYDAJ	VYBER	15	12778	SLUZBY	\N	\N
1811176	6138	1997-09-30	VYDAJ	VYBER	15	16043	SLUZBY	\N	\N
1811177	6138	1997-10-31	VYDAJ	VYBER	15	19329	SLUZBY	\N	\N
1811178	6138	1997-11-30	VYDAJ	VYBER	15	22628	SLUZBY	\N	\N
1811179	6138	1997-12-31	VYDAJ	VYBER	15	14453	SLUZBY	\N	\N
1811180	6138	1998-01-31	VYDAJ	VYBER	15	17725	SLUZBY	\N	\N
1811181	6138	1998-02-28	VYDAJ	VYBER	15	21010	SLUZBY	\N	\N
1811182	6138	1998-03-31	VYDAJ	VYBER	15	24309	SLUZBY	\N	\N
1811183	6138	1998-04-30	VYDAJ	VYBER	15	27622	SLUZBY	\N	\N
1811184	6138	1998-05-31	VYDAJ	VYBER	15	30956	SLUZBY	\N	\N
1811185	6138	1998-06-30	VYDAJ	VYBER	15	15916	SLUZBY	\N	\N
1811186	6138	1998-07-31	VYDAJ	VYBER	15	19194	SLUZBY	\N	\N
1811187	6138	1998-08-31	VYDAJ	VYBER	15	22486	SLUZBY	\N	\N
1811188	6138	1998-09-30	VYDAJ	VYBER	15	25791	SLUZBY	\N	\N
1811189	6138	1998-10-31	VYDAJ	VYBER	15	29117	SLUZBY	\N	\N
1811190	6138	1998-11-30	VYDAJ	VYBER	15	30056	SLUZBY	\N	\N
1811191	6138	1997-02-21	PRIJEM	VKLAD	4700	21804	\N	\N	\N
1811192	6138	1997-03-23	VYDAJ	VYBER	10300	28434	\N	\N	\N
1811193	6138	1997-04-22	VYDAJ	VYBER	12100	33337	\N	\N	\N
1811194	6138	1997-05-22	VYDAJ	VYBER	18400	31965	\N	\N	\N
1811195	6138	1997-06-21	VYDAJ	VYBER	21700	32958	\N	\N	\N
1811196	6138	1997-07-21	VYDAJ	VYBER	5600	17206	\N	\N	\N
1811197	6138	1997-08-20	VYDAJ	VYBER	7800	12724	\N	\N	\N
1811198	6138	1997-12-18	VYDAJ	VYBER	17800	14380	\N	\N	\N
1811199	6138	1998-06-16	VYDAJ	VYBER	26800	15825	\N	\N	\N
1814522	6148	1993-12-27	PRIJEM	VKLAD	300	300	\N	\N	\N
1814535	6148	1994-01-13	PRIJEM	VKLAD	23038	23338	\N	\N	\N
1814536	6148	1994-02-13	PRIJEM	VKLAD	23038	47196	\N	\N	\N
1814537	6148	1994-03-13	PRIJEM	VKLAD	23038	59741	\N	\N	\N
1814538	6148	1994-04-13	PRIJEM	VKLAD	23038	63134	\N	\N	\N
1814539	6148	1994-05-13	PRIJEM	VKLAD	23038	69643	\N	\N	\N
1814540	6148	1994-06-13	PRIJEM	VKLAD	34557	48978	\N	\N	\N
1814541	6148	1994-07-13	PRIJEM	VKLAD	23038	51047	\N	\N	\N
1814542	6148	1994-08-13	PRIJEM	VKLAD	23038	49520	\N	\N	\N
1814543	6148	1994-09-13	PRIJEM	VKLAD	23038	52971	\N	\N	\N
1814544	6148	1994-10-13	PRIJEM	VKLAD	23038	53762	\N	\N	\N
1814545	6148	1994-11-13	PRIJEM	VKLAD	23038	53834	\N	\N	\N
1814546	6148	1994-12-13	PRIJEM	VKLAD	34557	65150	\N	\N	\N
1814547	6148	1995-01-13	PRIJEM	VKLAD	23038	43406	\N	\N	\N
1814548	6148	1995-02-13	PRIJEM	VKLAD	23038	45962	\N	\N	\N
1814549	6148	1995-03-13	PRIJEM	VKLAD	23038	52507	\N	\N	\N
1814550	6148	1995-04-13	PRIJEM	VKLAD	23038	52254	\N	\N	\N
1814551	6148	1995-05-13	PRIJEM	VKLAD	23038	55262	\N	\N	\N
1814552	6148	1995-06-13	PRIJEM	VKLAD	34557	63722	\N	\N	\N
1814553	6148	1995-07-13	PRIJEM	VKLAD	23038	45836	\N	\N	\N
1814554	6148	1995-08-13	PRIJEM	VKLAD	23038	51722	\N	\N	\N
1814555	6148	1995-09-13	PRIJEM	VKLAD	23038	53421	\N	\N	\N
1814556	6148	1995-10-13	PRIJEM	VKLAD	23038	59595	\N	\N	\N
1814557	6148	1995-11-13	PRIJEM	VKLAD	23038	63189	\N	\N	\N
1814558	6148	1995-12-13	PRIJEM	VKLAD	34557	74595	\N	\N	\N
1814559	6148	1996-01-13	PRIJEM	VKLAD	23038	64941	\N	\N	\N
1814560	6148	1996-02-13	PRIJEM	VKLAD	23038	42460	\N	\N	\N
1814561	6148	1996-03-13	PRIJEM	VKLAD	23038	52144	\N	\N	\N
1814562	6148	1996-04-13	PRIJEM	VKLAD	23038	55136	\N	\N	\N
1814563	6148	1996-05-13	PRIJEM	VKLAD	23038	62215	\N	\N	\N
1814564	6148	1996-06-13	PRIJEM	VKLAD	34557	46176	\N	\N	\N
1814565	6148	1996-07-13	PRIJEM	VKLAD	23038	59545	\N	\N	\N
1814566	6148	1996-08-13	PRIJEM	VKLAD	23038	59779	\N	\N	\N
1814567	6148	1996-09-13	PRIJEM	VKLAD	23038	66517	\N	\N	\N
1814568	6148	1996-10-13	PRIJEM	VKLAD	23038	78849	\N	\N	\N
1814569	6148	1996-11-13	PRIJEM	VKLAD	23038	83130	\N	\N	\N
1814570	6148	1996-12-13	PRIJEM	VKLAD	34557	93275	\N	\N	\N
1814571	6148	1997-01-13	PRIJEM	VKLAD	23038	87806	\N	\N	\N
1814572	6148	1997-02-13	PRIJEM	VKLAD	23038	71656	\N	\N	\N
1814573	6148	1997-03-13	PRIJEM	VKLAD	23038	80106	\N	\N	\N
1814574	6148	1997-04-13	PRIJEM	VKLAD	23038	84111	\N	\N	\N
1814575	6148	1997-05-13	PRIJEM	VKLAD	23038	89012	\N	\N	\N
1814576	6148	1997-06-13	PRIJEM	VKLAD	34557	96699	\N	\N	\N
1814577	6148	1997-07-13	PRIJEM	VKLAD	23038	86594	\N	\N	\N
1814578	6148	1997-08-13	PRIJEM	VKLAD	23038	88204	\N	\N	\N
1814579	6148	1997-09-13	PRIJEM	VKLAD	23038	87787	\N	\N	\N
1814580	6148	1997-10-13	PRIJEM	VKLAD	23038	90402	\N	\N	\N
1814581	6148	1997-11-13	PRIJEM	VKLAD	23038	93732	\N	\N	\N
1814582	6148	1997-12-13	PRIJEM	VKLAD	34557	108193	\N	\N	\N
1814583	6148	1998-01-13	PRIJEM	VKLAD	23038	101469	\N	\N	\N
1814584	6148	1998-02-13	PRIJEM	VKLAD	23038	94865	\N	\N	\N
1814585	6148	1998-03-13	PRIJEM	VKLAD	23038	103604	\N	\N	\N
1814586	6148	1998-04-13	PRIJEM	VKLAD	23038	104980	\N	\N	\N
1814587	6148	1998-05-13	PRIJEM	VKLAD	23038	102263	\N	\N	\N
1814588	6148	1998-06-13	PRIJEM	VKLAD	34557	106577	\N	\N	\N
1814589	6148	1998-07-13	PRIJEM	VKLAD	23038	107051	\N	\N	\N
1814590	6148	1998-08-13	PRIJEM	VKLAD	23038	104447	\N	\N	\N
1814591	6148	1998-09-13	PRIJEM	VKLAD	23038	106029	\N	\N	\N
1814592	6148	1998-10-13	PRIJEM	VKLAD	23038	107613	\N	\N	\N
1814593	6148	1998-11-13	PRIJEM	VKLAD	23038	102503	\N	\N	\N
1814594	6148	1998-12-13	PRIJEM	VKLAD	34557	117397	\N	\N	\N
1814612	6148	1994-06-09	VYDAJ	PREVOD NA UCET	7847	16221	SIPO	YZ	26888096
1814613	6148	1994-07-09	VYDAJ	PREVOD NA UCET	7847	29809	SIPO	YZ	26888096
1814614	6148	1994-08-09	VYDAJ	PREVOD NA UCET	7847	31162	SIPO	YZ	26888096
1814615	6148	1994-09-09	VYDAJ	PREVOD NA UCET	7847	29933	SIPO	YZ	26888096
1814616	6148	1994-10-09	VYDAJ	PREVOD NA UCET	7847	30724	SIPO	YZ	26888096
1814617	6148	1994-11-09	VYDAJ	PREVOD NA UCET	7847	33286	SIPO	YZ	26888096
1814618	6148	1994-12-09	VYDAJ	PREVOD NA UCET	7847	33083	SIPO	YZ	26888096
1814619	6148	1995-01-09	VYDAJ	PREVOD NA UCET	7847	23578	SIPO	YZ	26888096
1814620	6148	1995-02-09	VYDAJ	PREVOD NA UCET	7847	25414	SIPO	YZ	26888096
1814621	6148	1995-03-09	VYDAJ	PREVOD NA UCET	7847	31959	SIPO	YZ	26888096
1814622	6148	1995-04-09	VYDAJ	PREVOD NA UCET	7847	31706	SIPO	YZ	26888096
1814623	6148	1995-05-09	VYDAJ	PREVOD NA UCET	7847	34714	SIPO	YZ	26888096
1814624	6148	1995-06-09	VYDAJ	PREVOD NA UCET	7847	31655	SIPO	YZ	26888096
1814625	6148	1995-07-09	VYDAJ	PREVOD NA UCET	7847	25288	SIPO	YZ	26888096
1814626	6148	1995-08-09	VYDAJ	PREVOD NA UCET	7847	31174	SIPO	YZ	26888096
1814627	6148	1995-09-09	VYDAJ	PREVOD NA UCET	7847	32873	SIPO	YZ	26888096
1814628	6148	1995-10-09	VYDAJ	PREVOD NA UCET	7847	39047	SIPO	YZ	26888096
1814629	6148	1995-11-09	VYDAJ	PREVOD NA UCET	7847	42641	SIPO	YZ	26888096
1814630	6148	1995-12-09	VYDAJ	PREVOD NA UCET	7847	46048	SIPO	YZ	26888096
1814631	6148	1996-01-09	VYDAJ	PREVOD NA UCET	7847	44393	SIPO	YZ	26888096
1814632	6148	1996-02-09	VYDAJ	PREVOD NA UCET	7847	26832	SIPO	YZ	26888096
1814633	6148	1996-03-09	VYDAJ	PREVOD NA UCET	7847	31596	SIPO	YZ	26888096
1814634	6148	1996-04-09	VYDAJ	PREVOD NA UCET	7847	34588	SIPO	YZ	26888096
1814635	6148	1996-05-09	VYDAJ	PREVOD NA UCET	7847	41667	SIPO	YZ	26888096
1814636	6148	1996-06-09	VYDAJ	PREVOD NA UCET	7847	14109	SIPO	YZ	26888096
1814637	6148	1996-07-09	VYDAJ	PREVOD NA UCET	7847	38997	SIPO	YZ	26888096
1814638	6148	1996-08-09	VYDAJ	PREVOD NA UCET	7847	44991	SIPO	YZ	26888096
1814639	6148	1996-09-09	VYDAJ	PREVOD NA UCET	7847	41669	SIPO	YZ	26888096
1814640	6148	1996-10-09	VYDAJ	PREVOD NA UCET	7847	58901	SIPO	YZ	26888096
1814641	6148	1996-11-09	VYDAJ	PREVOD NA UCET	7847	69092	SIPO	YZ	26888096
1814642	6148	1996-12-09	VYDAJ	PREVOD NA UCET	7847	71118	SIPO	YZ	26888096
1814643	6148	1997-01-09	VYDAJ	PREVOD NA UCET	7847	82968	SIPO	YZ	26888096
1814644	6148	1997-02-09	VYDAJ	PREVOD NA UCET	7847	48618	SIPO	YZ	26888096
1814645	6148	1997-03-09	VYDAJ	PREVOD NA UCET	7847	64068	SIPO	YZ	26888096
1814646	6148	1997-04-09	VYDAJ	PREVOD NA UCET	7847	62573	SIPO	YZ	26888096
1814647	6148	1997-05-09	VYDAJ	PREVOD NA UCET	7847	74774	SIPO	YZ	26888096
1814648	6148	1997-06-09	VYDAJ	PREVOD NA UCET	7847	74342	SIPO	YZ	26888096
1814649	6148	1997-07-09	VYDAJ	PREVOD NA UCET	7847	69056	SIPO	YZ	26888096
1814650	6148	1997-08-09	VYDAJ	PREVOD NA UCET	7847	65166	SIPO	YZ	26888096
1814651	6148	1997-09-09	VYDAJ	PREVOD NA UCET	7847	64749	SIPO	YZ	26888096
1814652	6148	1997-10-09	VYDAJ	PREVOD NA UCET	7847	67364	SIPO	YZ	26888096
1814653	6148	1997-11-09	VYDAJ	PREVOD NA UCET	7847	70694	SIPO	YZ	26888096
1814654	6148	1997-12-09	VYDAJ	PREVOD NA UCET	7847	73636	SIPO	YZ	26888096
1814655	6148	1998-01-09	VYDAJ	PREVOD NA UCET	7847	80031	SIPO	YZ	26888096
1814656	6148	1998-02-09	VYDAJ	PREVOD NA UCET	7847	74627	SIPO	YZ	26888096
1814657	6148	1998-03-09	VYDAJ	PREVOD NA UCET	7847	80566	SIPO	YZ	26888096
1814658	6148	1998-04-09	VYDAJ	PREVOD NA UCET	7847	81942	SIPO	YZ	26888096
1814659	6148	1998-05-09	VYDAJ	PREVOD NA UCET	7847	79225	SIPO	YZ	26888096
1814660	6148	1998-06-09	VYDAJ	PREVOD NA UCET	7847	75620	SIPO	YZ	26888096
1814661	6148	1998-07-09	VYDAJ	PREVOD NA UCET	7847	84013	SIPO	YZ	26888096
1814662	6148	1998-08-09	VYDAJ	PREVOD NA UCET	7847	81409	SIPO	YZ	26888096
1814663	6148	1998-09-09	VYDAJ	PREVOD NA UCET	7847	82991	SIPO	YZ	26888096
1814664	6148	1998-10-09	VYDAJ	PREVOD NA UCET	7847	84575	SIPO	YZ	26888096
1814665	6148	1998-11-09	VYDAJ	PREVOD NA UCET	7847	84265	SIPO	YZ	26888096
1814666	6148	1998-12-09	VYDAJ	PREVOD NA UCET	7847	83940	SIPO	YZ	26888096
1814684	6148	1994-06-09	VYDAJ	VYBER	1800	14421	\N	\N	0
1814685	6148	1994-07-11	VYDAJ	VYBER	1800	28009	\N	\N	0
1814686	6148	1994-08-18	VYDAJ	VYBER	2100	47420	\N	\N	0
1814687	6148	1994-09-08	VYDAJ	VYBER	2200	37780	\N	\N	0
1814688	6148	1994-10-23	VYDAJ	VYBER	2000	40962	\N	\N	0
1814689	6148	1994-11-12	VYDAJ	PREVOD NA UCET	2490	30796	UVER	QR	40286940
1814690	6148	1994-12-12	VYDAJ	PREVOD NA UCET	2490	30593	UVER	QR	40286940
1814691	6148	1995-01-12	VYDAJ	PREVOD NA UCET	2490	20368	UVER	QR	40286940
1814692	6148	1995-02-12	VYDAJ	PREVOD NA UCET	2490	22924	UVER	QR	40286940
1814693	6148	1995-03-12	VYDAJ	PREVOD NA UCET	2490	29469	UVER	QR	40286940
1814694	6148	1995-04-12	VYDAJ	PREVOD NA UCET	2490	29216	UVER	QR	40286940
1814695	6148	1995-05-12	VYDAJ	PREVOD NA UCET	2490	32224	UVER	QR	40286940
1814696	6148	1995-06-12	VYDAJ	PREVOD NA UCET	2490	29165	UVER	QR	40286940
1814697	6148	1995-07-12	VYDAJ	PREVOD NA UCET	2490	22798	UVER	QR	40286940
1814698	6148	1995-08-12	VYDAJ	PREVOD NA UCET	2490	28684	UVER	QR	40286940
1814699	6148	1995-09-12	VYDAJ	PREVOD NA UCET	2490	30383	UVER	QR	40286940
1814700	6148	1995-10-12	VYDAJ	PREVOD NA UCET	2490	36557	UVER	QR	40286940
1814701	6148	1995-11-12	VYDAJ	PREVOD NA UCET	2490	40151	UVER	QR	40286940
1814702	6148	1995-12-12	VYDAJ	PREVOD NA UCET	2490	40038	UVER	QR	40286940
1814703	6148	1996-01-12	VYDAJ	PREVOD NA UCET	2490	41903	UVER	QR	40286940
1814704	6148	1996-02-12	VYDAJ	PREVOD NA UCET	2490	19422	UVER	QR	40286940
1814705	6148	1996-03-12	VYDAJ	PREVOD NA UCET	2490	29106	UVER	QR	40286940
1814706	6148	1996-04-12	VYDAJ	PREVOD NA UCET	2490	32098	UVER	QR	40286940
1814707	6148	1996-05-12	VYDAJ	PREVOD NA UCET	2490	39177	UVER	QR	40286940
1814708	6148	1996-06-12	VYDAJ	PREVOD NA UCET	2490	11619	UVER	QR	40286940
1814709	6148	1996-07-12	VYDAJ	PREVOD NA UCET	2490	36507	UVER	QR	40286940
1814710	6148	1996-08-12	VYDAJ	PREVOD NA UCET	2490	42501	UVER	QR	40286940
1814711	6148	1996-09-12	VYDAJ	PREVOD NA UCET	2490	43479	UVER	QR	40286940
1814712	6148	1996-10-12	VYDAJ	PREVOD NA UCET	2490	56411	UVER	QR	40286940
1814713	6148	1996-11-08	VYDAJ	VYBER	2200	76939	\N	\N	0
1814714	6148	1996-12-19	VYDAJ	VYBER	2800	90475	\N	\N	0
1814715	6148	1997-01-15	VYDAJ	VYBER	2400	85406	\N	\N	0
1814716	6148	1997-02-09	VYDAJ	VYBER	2100	56465	\N	\N	0
1814717	6148	1997-03-18	VYDAJ	VYBER	2500	77606	\N	\N	0
1814718	6148	1997-04-06	VYDAJ	VYBER	2800	70420	\N	\N	0
1814719	6148	1997-05-01	VYDAJ	VYBER	1800	82621	\N	\N	0
1814720	6148	1997-06-10	VYDAJ	VYBER	2200	62142	\N	\N	0
1814721	6148	1997-07-09	VYDAJ	VYBER	1800	63556	\N	\N	0
1814722	6148	1997-08-20	VYDAJ	VYBER	2000	86204	\N	\N	0
1814723	6148	1997-09-19	VYDAJ	VYBER	2300	85487	\N	\N	0
1814724	6148	1997-09-25	VYDAJ	VYBER	1600	83887	\N	\N	0
1814725	6148	1997-11-07	VYDAJ	VYBER	1600	78541	\N	\N	0
1814726	6148	1997-12-06	VYDAJ	VYBER	2500	81483	\N	\N	0
1814727	6148	1998-01-03	VYDAJ	VYBER	2600	102278	\N	\N	0
1814728	6148	1998-02-11	VYDAJ	VYBER	1600	71827	\N	\N	0
1814729	6148	1998-03-19	VYDAJ	VYBER	2700	100904	\N	\N	0
1814730	6148	1998-04-15	VYDAJ	VYBER	3200	101780	\N	\N	0
1814731	6148	1998-05-02	VYDAJ	VYBER	3000	99172	\N	\N	0
1814732	6148	1998-06-19	VYDAJ	VYBER	2100	104477	\N	\N	0
1814733	6148	1998-07-16	VYDAJ	VYBER	2000	105051	\N	\N	0
1814734	6148	1998-08-08	VYDAJ	VYBER	2000	89256	\N	\N	0
1814735	6148	1998-09-14	VYDAJ	VYBER	2800	103229	\N	\N	0
1814736	6148	1998-10-13	VYDAJ	VYBER	2500	105113	\N	\N	0
1814737	6148	1998-11-03	VYDAJ	VYBER	2800	92112	\N	\N	0
1814738	6148	1998-12-05	VYDAJ	VYBER	3300	91787	\N	\N	0
1814740	6148	1994-06-04	VYDAJ	VYBER	21440	24068	\N	\N	\N
1814741	6148	1995-06-24	VYDAJ	VYBER	15360	32962	\N	\N	\N
1814742	6148	1996-06-04	VYDAJ	VYBER	32160	21956	\N	\N	\N
1814743	6148	1997-06-19	VYDAJ	VYBER	18720	77979	\N	\N	\N
1814744	6148	1998-06-03	VYDAJ	VYBER	7680	94967	\N	\N	\N
1814747	6148	1995-01-01	VYDAJ	VYBER	13760	34185	\N	\N	\N
1814748	6148	1996-01-18	VYDAJ	VYBER	11520	43021	\N	\N	\N
1814749	6148	1997-01-30	VYDAJ	VYBER	11360	63646	\N	\N	\N
1814750	6148	1998-01-20	VYDAJ	VYBER	10080	91389	\N	\N	\N
1814752	6148	1994-12-09	VYDAJ	VYBER	4480	40930	\N	\N	\N
1814753	6148	1995-12-12	VYDAJ	VYBER	3520	42528	\N	\N	\N
1814754	6148	1996-12-05	VYDAJ	VYBER	4480	78965	\N	\N	\N
1814755	6148	1997-12-16	VYDAJ	VYBER KARTOU	3700	104493	\N	\N	0
1814756	6148	1998-12-09	VYDAJ	VYBER KARTOU	1100	82840	\N	\N	0
1814769	6148	1995-01-03	VYDAJ	VYBER	600	33585	\N	\N	\N
1814770	6148	1995-01-28	VYDAJ	VYBER	2400	33126	\N	\N	\N
1814771	6148	1995-01-24	VYDAJ	VYBER	1920	35526	\N	\N	\N
1814772	6148	1995-01-09	VYDAJ	VYBER	2160	31425	\N	\N	\N
1814773	6148	1995-01-17	VYDAJ	VYBER	960	42446	\N	\N	\N
1814774	6148	1995-01-10	VYDAJ	VYBER	720	22858	\N	\N	\N
1814775	6148	1996-01-04	VYDAJ	VYBER	1800	52240	\N	\N	\N
1814776	6148	1996-01-29	VYDAJ	VYBER	2520	34501	\N	\N	\N
1814777	6148	1996-01-03	VYDAJ	VYBER	1440	56080	\N	\N	\N
1814778	6148	1996-01-20	VYDAJ	VYBER	3480	39541	\N	\N	\N
1814779	6148	1996-01-25	VYDAJ	VYBER	2520	37021	\N	\N	\N
1814780	6148	1996-01-04	VYDAJ	VYBER	2040	54040	\N	\N	\N
1814781	6148	1997-01-12	VYDAJ	VYBER KARTOU	1800	64768	\N	\N	0
1814782	6148	1997-01-16	VYDAJ	VYBER KARTOU	2400	82406	\N	\N	0
1814783	6148	1997-01-25	VYDAJ	VYBER KARTOU	1000	78006	\N	\N	0
1814784	6148	1997-01-25	VYDAJ	VYBER KARTOU	3000	75006	\N	\N	0
1814785	6148	1997-01-20	VYDAJ	VYBER KARTOU	3400	79006	\N	\N	0
1814786	6148	1997-01-15	VYDAJ	VYBER KARTOU	600	84806	\N	\N	0
1814787	6148	1998-01-20	VYDAJ	VYBER KARTOU	1900	89489	\N	\N	0
1814788	6148	1998-01-11	VYDAJ	VYBER KARTOU	1600	78431	\N	\N	0
1814789	6148	1998-01-30	VYDAJ	VYBER KARTOU	1400	85789	\N	\N	0
1814790	6148	1998-01-24	VYDAJ	VYBER KARTOU	1100	88389	\N	\N	0
1814791	6148	1998-01-06	VYDAJ	VYBER KARTOU	2000	87878	\N	\N	0
1814792	6148	1998-01-29	VYDAJ	VYBER KARTOU	1200	87189	\N	\N	0
1814797	6148	1994-08-11	VYDAJ	VYBER	4680	26482	\N	\N	\N
1814798	6148	1994-09-13	VYDAJ	VYBER	1440	51531	\N	\N	\N
1814799	6148	1994-05-25	VYDAJ	VYBER	600	63523	\N	\N	\N
1814800	6148	1994-09-17	VYDAJ	VYBER	720	50811	\N	\N	\N
1814801	6148	1994-05-23	VYDAJ	VYBER	5520	64123	\N	\N	\N
1814802	6148	1994-06-25	VYDAJ	VYBER	5880	43098	\N	\N	\N
1814803	6148	1995-04-25	VYDAJ	VYBER	4560	42394	\N	\N	\N
1814804	6148	1995-06-05	VYDAJ	VYBER	3960	42382	\N	\N	\N
1814805	6148	1995-04-01	VYDAJ	VYBER	1560	39553	\N	\N	\N
1814806	6148	1995-03-24	VYDAJ	VYBER	960	40947	\N	\N	\N
1814807	6148	1995-08-26	VYDAJ	VYBER	960	40562	\N	\N	\N
1814808	6148	1995-06-08	VYDAJ	VYBER	2880	39502	\N	\N	\N
1814809	6148	1995-08-06	VYDAJ	VYBER	1560	39021	\N	\N	\N
1814810	6148	1996-02-29	VYDAJ	VYBER	2160	39443	\N	\N	\N
1814811	6148	1996-08-12	VYDAJ	VYBER	5760	36741	\N	\N	\N
1814812	6148	1996-02-12	VYDAJ	VYBER	4920	21912	\N	\N	\N
1814813	6148	1996-08-31	VYDAJ	VYBER	2880	49531	\N	\N	\N
1814814	6148	1996-03-29	VYDAJ	VYBER	5280	42264	\N	\N	\N
1814815	6148	1997-06-01	VYDAJ	VYBER	5760	83589	\N	\N	\N
1814816	6148	1997-06-22	VYDAJ	VYBER KARTOU	1400	76579	\N	\N	0
1814817	6148	1997-06-08	VYDAJ	VYBER KARTOU	1400	82189	\N	\N	0
1814818	6148	1997-02-03	VYDAJ	VYBER KARTOU	2000	61965	\N	\N	0
1814819	6148	1997-04-02	VYDAJ	VYBER	4680	73220	\N	\N	\N
1814820	6148	1997-02-04	VYDAJ	VYBER	5400	56565	\N	\N	\N
1814821	6148	1997-02-09	VYDAJ	VYBER KARTOU	1000	58565	\N	\N	0
1814822	6148	1997-09-07	VYDAJ	VYBER	4440	72596	\N	\N	\N
1814823	6148	1998-06-10	VYDAJ	VYBER KARTOU	3600	72020	\N	\N	0
1814824	6148	1998-08-14	VYDAJ	VYBER KARTOU	3600	100847	\N	\N	0
1814825	6148	1998-02-03	VYDAJ	VYBER	4080	82074	\N	\N	\N
1814826	6148	1998-09-28	VYDAJ	VYBER KARTOU	3100	100129	\N	\N	0
1814827	6148	1998-02-10	VYDAJ	VYBER KARTOU	1200	73427	\N	\N	0
1814828	6148	1998-11-11	VYDAJ	VYBER	4800	79465	\N	\N	\N
1814846	6148	1994-05-31	VYDAJ	VYBER	15	45508	SLUZBY	\N	\N
1814847	6148	1994-06-30	VYDAJ	VYBER	15	37656	SLUZBY	\N	\N
1814848	6148	1994-07-31	VYDAJ	VYBER	15	39009	SLUZBY	\N	\N
1814849	6148	1994-08-31	VYDAJ	VYBER	15	39980	SLUZBY	\N	\N
1814850	6148	1994-09-30	VYDAJ	VYBER	15	38571	SLUZBY	\N	\N
1814851	6148	1994-10-31	VYDAJ	VYBER	15	41133	SLUZBY	\N	\N
1814852	6148	1994-11-30	VYDAJ	VYBER	15	45410	SLUZBY	\N	\N
1814853	6148	1994-12-31	VYDAJ	VYBER	15	47945	SLUZBY	\N	\N
1814854	6148	1995-01-31	VYDAJ	VYBER	15	33261	SLUZBY	\N	\N
1814855	6148	1995-02-28	VYDAJ	VYBER	15	39806	SLUZBY	\N	\N
1814856	6148	1995-03-31	VYDAJ	VYBER	15	41113	SLUZBY	\N	\N
1814857	6148	1995-04-30	VYDAJ	VYBER	15	42561	SLUZBY	\N	\N
1814858	6148	1995-05-31	VYDAJ	VYBER	15	46342	SLUZBY	\N	\N
1814859	6148	1995-06-30	VYDAJ	VYBER	15	33135	SLUZBY	\N	\N
1814860	6148	1995-07-31	VYDAJ	VYBER	15	40581	SLUZBY	\N	\N
1814861	6148	1995-08-31	VYDAJ	VYBER	15	40720	SLUZBY	\N	\N
1814862	6148	1995-09-30	VYDAJ	VYBER	15	46894	SLUZBY	\N	\N
1814863	6148	1995-10-31	VYDAJ	VYBER	15	50488	SLUZBY	\N	\N
1814864	6148	1995-11-30	VYDAJ	VYBER	15	53895	SLUZBY	\N	\N
1814865	6148	1995-12-31	VYDAJ	VYBER	15	57520	SLUZBY	\N	\N
1814866	6148	1996-01-31	VYDAJ	VYBER	15	34679	SLUZBY	\N	\N
1814867	6148	1996-02-29	VYDAJ	VYBER	15	41603	SLUZBY	\N	\N
1814868	6148	1996-03-31	VYDAJ	VYBER	15	42435	SLUZBY	\N	\N
1814869	6148	1996-04-30	VYDAJ	VYBER	15	49514	SLUZBY	\N	\N
1814870	6148	1996-05-31	VYDAJ	VYBER	15	54116	SLUZBY	\N	\N
1814871	6148	1996-06-30	VYDAJ	VYBER	15	46844	SLUZBY	\N	\N
1814872	6148	1996-07-31	VYDAJ	VYBER	15	52838	SLUZBY	\N	\N
1814873	6148	1996-08-31	VYDAJ	VYBER	15	49516	SLUZBY	\N	\N
1814874	6148	1996-09-30	VYDAJ	VYBER	15	66748	SLUZBY	\N	\N
1814875	6148	1996-10-31	VYDAJ	VYBER	15	79139	SLUZBY	\N	\N
1814876	6148	1996-11-30	VYDAJ	VYBER	15	83445	SLUZBY	\N	\N
1814877	6148	1996-12-31	VYDAJ	VYBER	15	90815	SLUZBY	\N	\N
1814878	6148	1997-01-31	VYDAJ	VYBER	15	63965	SLUZBY	\N	\N
1814879	6148	1997-02-28	VYDAJ	VYBER	15	71915	SLUZBY	\N	\N
1814880	6148	1997-03-31	VYDAJ	VYBER	15	77900	SLUZBY	\N	\N
1814881	6148	1997-04-30	VYDAJ	VYBER	15	84421	SLUZBY	\N	\N
1814882	6148	1997-05-31	VYDAJ	VYBER	15	89349	SLUZBY	\N	\N
1814883	6148	1997-06-30	VYDAJ	VYBER	15	76903	SLUZBY	\N	\N
1814884	6148	1997-07-31	VYDAJ	VYBER	15	86913	SLUZBY	\N	\N
1814885	6148	1997-08-31	VYDAJ	VYBER	15	86536	SLUZBY	\N	\N
1814886	6148	1997-09-30	VYDAJ	VYBER	15	84211	SLUZBY	\N	\N
1814887	6148	1997-10-31	VYDAJ	VYBER	15	90741	SLUZBY	\N	\N
1814888	6148	1997-11-30	VYDAJ	VYBER	15	94083	SLUZBY	\N	\N
1814889	6148	1997-12-31	VYDAJ	VYBER	15	104878	SLUZBY	\N	\N
1814890	6148	1998-01-31	VYDAJ	VYBER	15	86154	SLUZBY	\N	\N
1814891	6148	1998-02-28	VYDAJ	VYBER	15	95213	SLUZBY	\N	\N
1814892	6148	1998-03-31	VYDAJ	VYBER	15	101289	SLUZBY	\N	\N
1814893	6148	1998-04-30	VYDAJ	VYBER	15	102172	SLUZBY	\N	\N
1814894	6148	1998-05-31	VYDAJ	VYBER	15	102647	SLUZBY	\N	\N
1814895	6148	1998-06-30	VYDAJ	VYBER	15	104860	SLUZBY	\N	\N
1814896	6148	1998-07-31	VYDAJ	VYBER	15	105456	SLUZBY	\N	\N
1814897	6148	1998-08-31	VYDAJ	VYBER	15	101238	SLUZBY	\N	\N
1814898	6148	1998-09-30	VYDAJ	VYBER	15	100522	SLUZBY	\N	\N
1814899	6148	1998-10-31	VYDAJ	VYBER	15	105512	SLUZBY	\N	\N
1814900	6148	1998-11-30	VYDAJ	VYBER	15	102887	SLUZBY	\N	\N
1814901	6148	1994-01-26	PRIJEM	VKLAD	800	24138	\N	\N	\N
1814902	6148	1994-02-25	VYDAJ	VYBER	10600	36596	\N	\N	\N
1814903	6148	1994-03-27	VYDAJ	VYBER	19800	39941	\N	\N	\N
1814904	6148	1994-04-26	VYDAJ	VYBER	16700	46434	\N	\N	\N
1814905	6148	1994-05-26	VYDAJ	VYBER	18200	45323	\N	\N	\N
1814906	6148	1994-06-25	VYDAJ	VYBER	5600	37498	\N	\N	\N
1814907	6148	1994-07-25	VYDAJ	VYBER	12200	38847	\N	\N	\N
1814908	6148	1994-08-24	VYDAJ	VYBER	7600	39820	\N	\N	\N
1814909	6148	1994-09-23	VYDAJ	VYBER	12400	38411	\N	\N	\N
1814910	6148	1994-10-23	VYDAJ	VYBER	10800	42962	\N	\N	\N
1814911	6148	1994-11-22	VYDAJ	VYBER	8600	45234	\N	\N	\N
1814912	6148	1994-12-22	VYDAJ	VYBER	17400	47750	\N	\N	\N
1814913	6148	1995-01-21	VYDAJ	VYBER	5000	37446	\N	\N	\N
1814914	6148	1995-02-20	VYDAJ	VYBER	6300	39662	\N	\N	\N
1814915	6148	1995-03-22	VYDAJ	VYBER	10600	41907	\N	\N	\N
1814916	6148	1995-04-21	VYDAJ	VYBER	5300	46954	\N	\N	\N
1814917	6148	1995-05-21	VYDAJ	VYBER	9100	46162	\N	\N	\N
1814918	6148	1995-06-20	VYDAJ	VYBER	15400	48322	\N	\N	\N
1814919	6148	1995-07-20	VYDAJ	VYBER	5400	40436	\N	\N	\N
1814920	6148	1995-08-19	VYDAJ	VYBER	10200	41522	\N	\N	\N
1814921	6148	1995-09-18	VYDAJ	VYBER	6700	46721	\N	\N	\N
1814922	6148	1995-10-18	VYDAJ	VYBER	9300	50295	\N	\N	\N
1814923	6148	1995-11-17	VYDAJ	VYBER	9500	53689	\N	\N	\N
1814924	6148	1995-12-17	VYDAJ	VYBER	17300	57295	\N	\N	\N
1814925	6148	1996-01-16	VYDAJ	VYBER	10400	54541	\N	\N	\N
1814926	6148	1996-02-15	VYDAJ	VYBER	1000	41460	\N	\N	\N
1814927	6148	1996-03-16	VYDAJ	VYBER	4600	47544	\N	\N	\N
1814928	6148	1996-04-15	VYDAJ	VYBER	5800	49336	\N	\N	\N
1814929	6148	1996-05-15	VYDAJ	VYBER	8300	53915	\N	\N	\N
1814930	6148	1996-06-14	PRIJEM	VKLAD	500	46676	\N	\N	\N
1814931	6148	1996-07-14	VYDAJ	VYBER	6900	52645	\N	\N	\N
1814932	6148	1996-08-13	VYDAJ	VYBER	7600	52179	\N	\N	\N
1814933	6148	1996-09-12	PRIJEM	VKLAD	4300	45969	\N	\N	\N
1814934	6148	1996-10-12	VYDAJ	VYBER KARTOU	600	55811	\N	\N	0
1814935	6148	1996-11-11	VYDAJ	VYBER	9000	60092	\N	\N	\N
1814936	6148	1996-12-11	VYDAJ	VYBER	12400	58718	\N	\N	\N
1814937	6148	1997-01-10	VYDAJ	VYBER	16400	66568	\N	\N	\N
1814938	6148	1997-02-09	PRIJEM	VKLAD	3000	59565	\N	\N	\N
1814939	6148	1997-03-11	VYDAJ	VYBER	7000	57068	\N	\N	\N
1814940	6148	1997-04-10	VYDAJ	VYBER KARTOU	1500	61073	\N	\N	0
1814941	6148	1997-05-10	VYDAJ	VYBER	8800	65974	\N	\N	\N
1814942	6148	1997-06-09	VYDAJ	VYBER	10000	64342	\N	\N	\N
1814943	6148	1997-07-09	VYDAJ	VYBER KARTOU	3700	65356	\N	\N	0
1814944	6148	1997-08-08	VYDAJ	VYBER	13900	73013	\N	\N	\N
1814945	6148	1997-09-07	VYDAJ	VYBER	9500	77036	\N	\N	\N
1814946	6148	1997-10-07	VYDAJ	VYBER	9000	75211	\N	\N	\N
1814947	6148	1997-11-06	VYDAJ	VYBER	10600	80141	\N	\N	\N
1814948	6148	1997-12-06	VYDAJ	VYBER	10100	83983	\N	\N	\N
1814949	6148	1998-01-05	VYDAJ	VYBER	12400	89878	\N	\N	\N
1814950	6148	1998-02-04	PRIJEM	VKLAD	400	82474	\N	\N	\N
1814951	6148	1998-03-06	VYDAJ	VYBER	6800	88413	\N	\N	\N
1814952	6148	1998-04-05	VYDAJ	VYBER	11500	89789	\N	\N	\N
1814953	6148	1998-05-05	VYDAJ	VYBER	12100	87072	\N	\N	\N
1814954	6148	1998-06-04	VYDAJ	VYBER	11500	83467	\N	\N	\N
1814955	6148	1998-07-04	VYDAJ	VYBER	13000	91860	\N	\N	\N
1814956	6148	1998-08-03	VYDAJ	VYBER	14200	91256	\N	\N	\N
1814957	6148	1998-09-02	VYDAJ	VYBER	10400	90838	\N	\N	\N
1814958	6148	1998-10-02	VYDAJ	VYBER	8100	92422	\N	\N	\N
1814959	6148	1998-11-01	VYDAJ	VYBER	10600	94912	\N	\N	\N
1814960	6148	1998-12-01	VYDAJ	VYBER	7800	95087	\N	\N	\N
1817705	6157	1996-11-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1817709	6157	1996-12-01	PRIJEM	VKLAD	31757	32757	\N	\N	\N
1817710	6157	1997-03-14	PRIJEM	VKLAD	40230	77567	\N	\N	\N
1817711	6157	1997-03-10	PRIJEM	VKLAD	11274	67160	\N	\N	\N
1817712	6157	1997-01-18	PRIJEM	VKLAD	10181	72962	\N	\N	\N
1817713	6157	1997-11-01	PRIJEM	VKLAD	18414	99881	\N	\N	\N
1817714	6157	1997-10-25	PRIJEM	VKLAD	7661	81199	\N	\N	\N
1817715	6157	1997-04-27	PRIJEM	VKLAD	24761	48530	\N	\N	\N
1817716	6157	1997-04-06	PRIJEM	VKLAD	11019	110892	\N	\N	\N
1817717	6157	1997-01-26	PRIJEM	VKLAD	21079	94041	\N	\N	\N
1817718	6157	1997-11-09	PRIJEM	VKLAD	32749	98630	\N	\N	\N
1817719	6157	1997-01-11	PRIJEM	VKLAD	35441	62781	\N	\N	\N
1817720	6157	1997-09-14	PRIJEM	VKLAD	16132	59037	\N	\N	\N
1817721	6157	1997-08-30	PRIJEM	VKLAD	12995	54360	\N	\N	\N
1817722	6157	1997-08-24	PRIJEM	VKLAD	13124	41365	\N	\N	\N
1817723	6157	1997-03-28	PRIJEM	VKLAD	21980	99547	\N	\N	\N
1817724	6157	1997-09-05	PRIJEM	VKLAD	13499	68028	\N	\N	\N
1817725	6157	1997-04-28	PRIJEM	VKLAD	20990	69520	\N	\N	\N
1817726	6157	1997-08-01	PRIJEM	VKLAD	10242	66164	\N	\N	\N
1817727	6157	1997-07-27	PRIJEM	VKLAD	42494	55842	\N	\N	\N
1817728	6157	1997-10-24	PRIJEM	VKLAD	31182	73538	\N	\N	\N
1817729	6157	1997-09-19	PRIJEM	VKLAD	27597	78534	\N	\N	\N
1817730	6157	1998-08-07	PRIJEM	VKLAD	34255	78391	\N	\N	\N
1817731	6157	1998-06-10	PRIJEM	VKLAD	43650	133662	\N	\N	\N
1817732	6157	1998-09-29	PRIJEM	VKLAD	30659	59369	\N	\N	\N
1817733	6157	1998-10-08	PRIJEM	VKLAD	48308	99537	\N	\N	\N
1817734	6157	1998-01-02	PRIJEM	VKLAD	45797	65989	\N	\N	\N
1817735	6157	1998-09-01	PRIJEM	VKLAD	33486	112598	\N	\N	\N
1817736	6157	1998-03-25	PRIJEM	VKLAD	37835	91226	\N	\N	\N
1817737	6157	1998-12-03	PRIJEM	VKLAD	10809	45679	\N	\N	\N
1817738	6157	1998-08-18	PRIJEM	VKLAD	49536	78836	\N	\N	\N
1817739	6157	1998-07-25	PRIJEM	VKLAD	33256	110750	\N	\N	\N
1817740	6157	1998-08-11	PRIJEM	VKLAD	45833	124224	\N	\N	\N
1817741	6157	1998-04-26	PRIJEM	VKLAD	38363	124013	\N	\N	\N
1817742	6157	1998-10-31	PRIJEM	VKLAD	32662	77242	\N	\N	\N
1817743	6157	1998-04-24	PRIJEM	VKLAD	17671	116550	\N	\N	\N
1817744	6157	1998-07-25	PRIJEM	VKLAD	7038	77494	\N	\N	\N
1817745	6157	1998-01-08	PRIJEM	VKLAD	17437	69426	\N	\N	\N
1817746	6157	1998-03-27	PRIJEM	VKLAD	8382	99608	\N	\N	\N
1817747	6157	1998-06-26	PRIJEM	VKLAD	15581	65355	\N	\N	\N
1817748	6157	1998-04-13	PRIJEM	VKLAD	46102	98879	\N	\N	\N
1817749	6157	1998-09-29	PRIJEM	VKLAD	34891	94260	\N	\N	\N
1817750	6157	1998-03-20	PRIJEM	VKLAD	38417	53391	\N	\N	\N
1817751	6157	1998-07-22	PRIJEM	VKLAD	42476	70456	\N	\N	\N
1817752	6157	1998-12-18	PRIJEM	VKLAD	32439	61030	\N	\N	\N
1817753	6157	1998-05-04	PRIJEM	VKLAD	40471	123911	\N	\N	\N
1817754	6157	1998-06-07	PRIJEM	VKLAD	30502	90012	\N	\N	\N
1817755	6157	1998-05-19	PRIJEM	VKLAD	32988	87311	\N	\N	\N
1817756	6157	1998-05-04	PRIJEM	VKLAD	7734	83440	\N	\N	\N
1817771	6157	1997-03-05	VYDAJ	VYBER	3700	55886	\N	\N	0
1817772	6157	1997-04-24	VYDAJ	VYBER	6000	23769	\N	\N	0
1817773	6157	1997-05-28	VYDAJ	VYBER	3900	29044	\N	\N	0
1817774	6157	1997-06-05	VYDAJ	VYBER	4100	25110	\N	\N	0
1817775	6157	1997-07-05	VYDAJ	VYBER	5400	15471	\N	\N	0
1817776	6157	1997-08-01	VYDAJ	VYBER	5600	60564	\N	\N	0
1817777	6157	1997-09-07	VYDAJ	VYBER	4400	63628	\N	\N	0
1817778	6157	1997-10-11	VYDAJ	VYBER	6000	51879	\N	\N	0
1817779	6157	1997-11-12	VYDAJ	VYBER	7600	81507	\N	\N	0
1817780	6157	1997-12-03	VYDAJ	VYBER	5200	76631	\N	\N	0
1817781	6157	1998-01-12	VYDAJ	PREVOD NA UCET	5165	48628	UVER	GH	85308313
1817782	6157	1998-02-12	VYDAJ	PREVOD NA UCET	5165	19285	UVER	GH	85308313
1817783	6157	1998-03-12	VYDAJ	PREVOD NA UCET	5165	14974	UVER	GH	85308313
1817784	6157	1998-04-12	VYDAJ	PREVOD NA UCET	5165	52777	UVER	GH	85308313
1817785	6157	1998-05-12	VYDAJ	PREVOD NA UCET	5165	54323	UVER	GH	85308313
1817786	6157	1998-06-12	VYDAJ	PREVOD NA UCET	5165	80374	UVER	GH	85308313
1817787	6157	1998-07-12	VYDAJ	PREVOD NA UCET	5165	27980	UVER	GH	85308313
1817788	6157	1998-08-12	VYDAJ	PREVOD NA UCET	5165	55236	UVER	GH	85308313
1817789	6157	1998-09-12	VYDAJ	PREVOD NA UCET	5165	28710	UVER	GH	85308313
1817790	6157	1998-10-12	VYDAJ	PREVOD NA UCET	5165	84849	UVER	GH	85308313
1817791	6157	1998-11-12	VYDAJ	PREVOD NA UCET	5165	40166	UVER	GH	85308313
1817792	6157	1998-12-12	VYDAJ	PREVOD NA UCET	5165	28591	UVER	GH	85308313
1817807	6157	1997-03-11	VYDAJ	PREVOD NA UCET	9523	37337	SIPO	MN	97978877
1817808	6157	1997-04-11	VYDAJ	PREVOD NA UCET	9523	29769	SIPO	MN	97978877
1817809	6157	1997-05-11	VYDAJ	PREVOD NA UCET	9523	32944	SIPO	MN	97978877
1817810	6157	1997-06-11	VYDAJ	PREVOD NA UCET	9523	20787	SIPO	MN	97978877
1817811	6157	1997-07-11	VYDAJ	PREVOD NA UCET	9523	13348	SIPO	MN	97978877
1817812	6157	1997-08-11	VYDAJ	PREVOD NA UCET	9523	35141	SIPO	MN	97978877
1817813	6157	1997-09-11	VYDAJ	PREVOD NA UCET	9523	42905	SIPO	MN	97978877
1817814	6157	1997-10-11	VYDAJ	PREVOD NA UCET	9523	42356	SIPO	MN	97978877
1817815	6157	1997-11-11	VYDAJ	PREVOD NA UCET	9523	89107	SIPO	MN	97978877
1817816	6157	1997-12-11	VYDAJ	PREVOD NA UCET	9523	23060	SIPO	MN	97978877
1817817	6157	1998-01-11	VYDAJ	PREVOD NA UCET	9523	53794	SIPO	MN	97978877
1817818	6157	1998-02-11	VYDAJ	PREVOD NA UCET	9523	24451	SIPO	MN	97978877
1817819	6157	1998-03-11	VYDAJ	PREVOD NA UCET	9523	20139	SIPO	MN	97978877
1817820	6157	1998-04-11	VYDAJ	PREVOD NA UCET	9523	57942	SIPO	MN	97978877
1817821	6157	1998-05-11	VYDAJ	PREVOD NA UCET	9523	59488	SIPO	MN	97978877
1817822	6157	1998-06-11	VYDAJ	PREVOD NA UCET	9523	85539	SIPO	MN	97978877
1817823	6157	1998-07-11	VYDAJ	PREVOD NA UCET	9523	33145	SIPO	MN	97978877
1817824	6157	1998-08-11	VYDAJ	PREVOD NA UCET	9523	60401	SIPO	MN	97978877
1817825	6157	1998-09-11	VYDAJ	PREVOD NA UCET	9523	33875	SIPO	MN	97978877
1817826	6157	1998-10-11	VYDAJ	PREVOD NA UCET	9523	90014	SIPO	MN	97978877
1817827	6157	1998-11-11	VYDAJ	PREVOD NA UCET	9523	45331	SIPO	MN	97978877
1817828	6157	1998-12-11	VYDAJ	PREVOD NA UCET	9523	33756	SIPO	MN	97978877
1817833	6157	1997-05-01	VYBER	VYBER	17439	52267	\N	\N	\N
1817834	6157	1997-12-09	VYBER	VYBER	17148	32583	\N	\N	\N
1817837	6157	1998-09-29	VYBER	VYBER	23778	70482	\N	\N	\N
1817838	6157	1998-10-25	VYBER	VYBER	10759	69310	\N	\N	\N
1817839	6157	1998-01-09	VYBER	VYBER	6109	63317	\N	\N	\N
1817841	6157	1998-10-29	VYBER	VYBER	13156	56154	\N	\N	\N
1817842	6157	1998-08-16	VYBER	VYBER	14379	29300	\N	\N	\N
1817843	6157	1998-10-29	VYBER	VYBER	11574	44580	\N	\N	\N
1817844	6157	1998-08-15	VYBER	VYBER	11557	43679	\N	\N	\N
1817848	6157	1998-10-22	VYBER	VYBER	4780	80069	\N	\N	\N
1817851	6157	1998-06-25	VYDAJ	VYBER	30600	49774	\N	\N	\N
1817853	6157	1997-12-22	VYDAJ	VYBER	3000	20060	\N	\N	\N
1817854	6157	1998-12-10	VYDAJ	VYBER KARTOU	2400	43279	\N	\N	0
1817869	6157	1998-01-30	VYDAJ	VYBER KARTOU	1800	26428	\N	\N	0
1817870	6157	1998-01-16	VYDAJ	VYBER KARTOU	3000	45628	\N	\N	0
1817871	6157	1998-01-21	VYDAJ	VYBER	8100	28228	\N	\N	\N
1817872	6157	1998-01-19	VYDAJ	VYBER KARTOU	3900	36328	\N	\N	0
1817880	6157	1997-09-15	VYDAJ	VYBER	8100	50937	\N	\N	\N
1817881	6157	1997-12-08	VYDAJ	VYBER	7800	49731	\N	\N	\N
1817883	6157	1997-08-23	VYDAJ	VYBER	6900	28241	\N	\N	\N
1817887	6157	1998-01-18	VYDAJ	VYBER	5400	40228	\N	\N	\N
1817888	6157	1998-06-28	VYDAJ	VYBER	10500	54855	\N	\N	\N
1817905	6157	1997-03-31	VYDAJ	VYBER	15	99873	SLUZBY	\N	\N
1817906	6157	1997-04-30	VYDAJ	VYBER	15	69706	SLUZBY	\N	\N
1817907	6157	1997-05-31	VYDAJ	VYBER	15	29210	SLUZBY	\N	\N
1817908	6157	1997-06-30	VYDAJ	VYBER	15	20871	SLUZBY	\N	\N
1817909	6157	1997-07-31	VYDAJ	VYBER	15	55922	SLUZBY	\N	\N
1817910	6157	1997-08-31	VYDAJ	VYBER	15	54529	SLUZBY	\N	\N
1817911	6157	1997-09-30	VYDAJ	VYBER	15	78779	SLUZBY	\N	\N
1817912	6157	1997-10-31	VYDAJ	VYBER	15	81467	SLUZBY	\N	\N
1817913	6157	1997-11-30	VYDAJ	VYBER	15	81831	SLUZBY	\N	\N
1817914	6157	1997-12-31	VYDAJ	VYBER	15	20192	SLUZBY	\N	\N
1817915	6157	1998-01-31	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
1817916	6157	1998-02-28	VYDAJ	VYBER	15	19362	SLUZBY	\N	\N
1817917	6157	1998-03-31	VYDAJ	VYBER	15	99765	SLUZBY	\N	\N
1817918	6157	1998-04-30	VYDAJ	VYBER	15	75706	SLUZBY	\N	\N
1817919	6157	1998-05-31	VYDAJ	VYBER	15	87610	SLUZBY	\N	\N
1817920	6157	1998-06-30	VYDAJ	VYBER	15	55168	SLUZBY	\N	\N
1817921	6157	1998-07-31	VYDAJ	VYBER	15	60336	SLUZBY	\N	\N
1817922	6157	1998-08-31	VYDAJ	VYBER	15	79112	SLUZBY	\N	\N
1817923	6157	1998-09-30	VYDAJ	VYBER	15	70629	SLUZBY	\N	\N
1817924	6157	1998-10-31	VYDAJ	VYBER	15	77554	SLUZBY	\N	\N
1817925	6157	1998-11-30	VYDAJ	VYBER	15	40370	SLUZBY	\N	\N
1817926	6157	1996-12-11	VYDAJ	VYBER	3400	29357	\N	\N	\N
1817927	6157	1997-01-10	VYDAJ	VYBER	2100	27340	\N	\N	\N
1817928	6157	1997-02-09	VYDAJ	VYBER	35100	59194	\N	\N	\N
1817929	6157	1997-03-11	VYDAJ	VYBER	20300	46860	\N	\N	\N
1817930	6157	1997-04-06	VYDAJ	VYBER	63800	47092	\N	\N	\N
1817931	6157	1997-04-10	VYDAJ	VYBER	7800	39292	\N	\N	\N
1817932	6157	1997-05-10	VYDAJ	VYBER	9800	42467	\N	\N	\N
1817933	6157	1997-06-09	PRIJEM	VKLAD	5200	30310	\N	\N	\N
1817934	6157	1997-07-09	PRIJEM	VKLAD	7400	22871	\N	\N	\N
1817935	6157	1997-08-08	VYDAJ	VYBER	15900	44664	\N	\N	\N
1817936	6157	1997-09-07	VYDAJ	VYBER	11200	52428	\N	\N	\N
1817937	6157	1997-10-07	VYDAJ	VYBER	20900	57879	\N	\N	\N
1817938	6157	1997-11-06	VYDAJ	VYBER	34000	65881	\N	\N	\N
1817939	6157	1997-12-06	VYDAJ	VYBER	19100	57531	\N	\N	\N
1817940	6157	1998-01-05	VYDAJ	VYBER	14000	51989	\N	\N	\N
1817941	6157	1998-02-04	PRIJEM	VKLAD	7400	33974	\N	\N	\N
1817942	6157	1998-03-06	PRIJEM	VKLAD	10300	29662	\N	\N	\N
1817943	6157	1998-04-05	VYDAJ	VYBER	32300	67465	\N	\N	\N
1817944	6157	1998-04-24	VYDAJ	VYBER	30900	85650	\N	\N	\N
1817945	6157	1998-04-26	VYDAJ	VYBER	48700	75313	\N	\N	\N
1817946	6157	1998-05-04	VYDAJ	VYBER	23500	100411	\N	\N	\N
1817947	6157	1998-05-05	VYDAJ	VYBER	31400	69011	\N	\N	\N
1817948	6157	1998-06-04	VYDAJ	VYBER	28100	59510	\N	\N	\N
1817949	6157	1998-06-10	VYDAJ	VYBER	38600	95062	\N	\N	\N
1817950	6157	1998-07-04	VYDAJ	VYBER	12500	42668	\N	\N	\N
1817951	6157	1998-07-25	VYDAJ	VYBER	50600	60150	\N	\N	\N
1817952	6157	1998-08-03	VYDAJ	VYBER	16200	44136	\N	\N	\N
1817953	6157	1998-08-11	VYDAJ	VYBER	54300	69924	\N	\N	\N
1817954	6157	1998-09-01	VYDAJ	VYBER	54300	58298	\N	\N	\N
1817955	6157	1998-09-02	VYDAJ	VYBER	14900	43398	\N	\N	\N
1817956	6157	1998-10-02	VYDAJ	VYBER	19400	51229	\N	\N	\N
1817957	6157	1998-11-01	VYDAJ	VYBER	22700	54854	\N	\N	\N
1817958	6157	1998-12-01	VYDAJ	VYBER	5500	34870	\N	\N	\N
1817984	6158	1996-05-13	PRIJEM	VKLAD	200	200	\N	\N	\N
1817986	6158	1996-10-26	PRIJEM	VKLAD	5570	31570	\N	\N	\N
1817987	6158	1997-08-10	PRIJEM	VKLAD	33796	60028	\N	\N	\N
1817988	6158	1997-03-16	PRIJEM	VKLAD	40253	64375	\N	\N	\N
1817989	6158	1998-12-29	PRIJEM	VKLAD	24532	61104	\N	\N	\N
1817990	6158	1998-08-22	PRIJEM	VKLAD	38411	88131	\N	\N	\N
1817991	6158	1998-07-25	PRIJEM	VKLAD	15193	68449	\N	\N	\N
1817992	6158	1998-07-01	PRIJEM	VKLAD	25580	24494	\N	\N	\N
1817993	6158	1998-01-17	PRIJEM	VKLAD	45637	126697	\N	\N	\N
1817994	6158	1998-10-11	PRIJEM	VKLAD	37854	98056	\N	\N	\N
1817995	6158	1998-02-06	PRIJEM	VKLAD	5661	51006	\N	\N	\N
1817996	6158	1998-01-15	PRIJEM	VKLAD	34049	81060	\N	\N	\N
1817997	6158	1998-05-18	PRIJEM	VKLAD	25225	57326	\N	\N	\N
1817998	6158	1998-09-30	PRIJEM	VKLAD	19430	85217	\N	\N	\N
1817999	6158	1998-08-27	PRIJEM	VKLAD	22342	110473	\N	\N	\N
1818000	6158	1998-07-12	PRIJEM	VKLAD	26727	58421	\N	\N	\N
1818001	6158	1998-03-26	PRIJEM	VKLAD	27216	62187	\N	\N	\N
1818002	6158	1998-09-11	PRIJEM	VKLAD	18402	70673	\N	\N	\N
1818003	6158	1998-07-26	PRIJEM	VKLAD	22633	91082	\N	\N	\N
1818004	6158	1998-01-08	PRIJEM	VKLAD	25167	47011	\N	\N	\N
1818030	6158	1998-02-12	VYDAJ	PREVOD NA UCET	5165	45841	UVER	ST	22791475
1818031	6158	1998-03-12	VYDAJ	PREVOD NA UCET	5165	34971	UVER	ST	22791475
1818032	6158	1998-04-12	VYDAJ	PREVOD NA UCET	5165	41387	UVER	ST	22791475
1818033	6158	1998-05-12	VYDAJ	PREVOD NA UCET	5165	32101	UVER	ST	22791475
1818034	6158	1998-06-12	VYDAJ	PREVOD NA UCET	5165	42336	UVER	ST	22791475
1818035	6158	1998-07-12	VYDAJ	PREVOD NA UCET	5165	53256	UVER	ST	22791475
1818036	6158	1998-08-12	VYDAJ	PREVOD NA UCET	5165	61420	UVER	ST	22791475
1818037	6158	1998-09-12	VYDAJ	PREVOD NA UCET	5165	65508	UVER	ST	22791475
1818038	6158	1998-10-12	VYDAJ	PREVOD NA UCET	5165	92891	UVER	ST	22791475
1818039	6158	1998-11-12	VYDAJ	PREVOD NA UCET	5165	64143	UVER	ST	22791475
1818040	6158	1998-12-12	VYDAJ	PREVOD NA UCET	5165	38972	UVER	ST	22791475
1818053	6158	1998-11-19	VYBER	VYBER	17341	46802	\N	\N	\N
1818056	6158	1998-06-14	VYDAJ	VYBER	43500	-1164	\N	\N	\N
1818062	6158	1998-12-24	VYDAJ	VYBER	2400	36572	\N	\N	\N
1818079	6158	1998-01-27	VYDAJ	VYBER	3900	64297	\N	\N	\N
1818091	6158	1998-03-28	VYDAJ	VYBER	6900	55287	\N	\N	\N
1818092	6158	1998-01-20	VYDAJ	VYBER	12600	68197	\N	\N	\N
1818094	6158	1998-08-15	VYDAJ	VYBER	11700	49720	\N	\N	\N
1818095	6158	1998-05-03	VYDAJ	VYBER	4800	37267	\N	\N	\N
1818121	6158	1998-01-31	VYDAJ	VYBER	15	64545	SLUZBY	\N	\N
1818122	6158	1998-02-28	VYDAJ	VYBER	15	46036	SLUZBY	\N	\N
1818123	6158	1998-03-31	VYDAJ	VYBER	15	55452	SLUZBY	\N	\N
1818124	6158	1998-04-30	VYDAJ	VYBER	15	41567	SLUZBY	\N	\N
1818125	6158	1998-05-31	VYDAJ	VYBER	15	57502	SLUZBY	\N	\N
1818126	6158	1998-06-30	VYDAJ	VYBER	15	-1079	SLUZBY	\N	\N
1818127	6158	1998-07-31	VYDAJ	VYBER	15	91285	SLUZBY	\N	\N
1818128	6158	1998-08-31	VYDAJ	VYBER	15	70371	SLUZBY	\N	\N
1818129	6158	1998-09-30	VYDAJ	VYBER	15	85202	SLUZBY	\N	\N
1818130	6158	1998-10-31	VYDAJ	VYBER	15	69308	SLUZBY	\N	\N
1818131	6158	1998-11-30	VYDAJ	VYBER	15	44137	SLUZBY	\N	\N
1818132	6158	1996-06-12	PRIJEM	VKLAD	16100	16300	\N	\N	\N
1818133	6158	1996-07-12	PRIJEM	VKLAD	6700	23000	\N	\N	\N
1818134	6158	1996-08-11	VYDAJ	VYBER	900	22100	\N	\N	\N
1818135	6158	1996-09-10	PRIJEM	VKLAD	5500	27600	\N	\N	\N
1818136	6158	1996-10-10	VYDAJ	VYBER	1600	26000	\N	\N	\N
1818137	6158	1996-11-09	VYDAJ	VYBER	3400	28196	\N	\N	\N
1818138	6158	1996-12-09	VYDAJ	VYBER	5000	23327	\N	\N	\N
1818139	6158	1997-01-08	PRIJEM	VKLAD	600	24059	\N	\N	\N
1818140	6158	1997-02-07	VYDAJ	VYBER	200	23990	\N	\N	\N
1818141	6158	1997-04-08	VYDAJ	VYBER	20100	44406	\N	\N	\N
1818142	6158	1997-05-08	VYDAJ	VYBER	11000	33538	\N	\N	\N
1818143	6158	1997-06-07	VYDAJ	VYBER	3700	29969	\N	\N	\N
1818144	6158	1997-07-07	VYDAJ	VYBER	2500	27601	\N	\N	\N
1818145	6158	1997-08-06	VYDAJ	VYBER	1500	26232	\N	\N	\N
1818146	6158	1997-09-05	VYDAJ	VYBER	18000	42244	\N	\N	\N
1818147	6158	1997-10-05	VYDAJ	VYBER	13600	28894	\N	\N	\N
1818148	6158	1997-11-04	VYDAJ	VYBER	3300	25844	\N	\N	\N
1818149	6158	1997-12-04	VYDAJ	VYBER	3800	22294	\N	\N	\N
1818150	6158	1998-01-03	VYDAJ	VYBER	700	21844	\N	\N	\N
1818151	6158	1998-01-17	VYDAJ	VYBER	45900	80797	\N	\N	\N
1818152	6158	1998-02-02	VYDAJ	VYBER	19200	45345	\N	\N	\N
1818153	6158	1998-03-04	VYDAJ	VYBER	5900	40136	\N	\N	\N
1818154	6158	1998-04-03	VYDAJ	VYBER	8900	46552	\N	\N	\N
1818155	6158	1998-05-03	PRIJEM	VKLAD	500	42067	\N	\N	\N
1818156	6158	1998-06-02	VYDAJ	VYBER	10000	47502	\N	\N	\N
1818157	6158	1998-07-02	PRIJEM	VKLAD	7200	31694	\N	\N	\N
1818158	6158	1998-08-01	VYDAJ	VYBER	24700	66585	\N	\N	\N
1818159	6158	1998-08-27	VYDAJ	VYBER	40400	70073	\N	\N	\N
1818160	6158	1998-08-31	VYDAJ	VYBER	18100	52271	\N	\N	\N
1818161	6158	1998-09-30	VYDAJ	VYBER	25000	60202	\N	\N	\N
1818162	6158	1998-10-30	VYDAJ	VYBER	23900	68991	\N	\N	\N
1818163	6158	1998-11-29	VYDAJ	VYBER	2900	43902	\N	\N	\N
1838282	6226	1993-07-26	PRIJEM	VKLAD	400	400	\N	\N	\N
1838290	6226	1993-08-07	PRIJEM	PREVOD Z UCTU	39862	40262	\N	UV	68360191
1838291	6226	1993-09-07	PRIJEM	PREVOD Z UCTU	39862	74056	\N	UV	68360191
1838292	6226	1993-10-07	PRIJEM	PREVOD Z UCTU	39862	89976	\N	UV	68360191
1838293	6226	1993-11-07	PRIJEM	PREVOD Z UCTU	39862	97154	\N	UV	68360191
1838294	6226	1993-12-07	PRIJEM	PREVOD Z UCTU	59793	121690	\N	UV	68360191
1838295	6226	1994-01-07	PRIJEM	PREVOD Z UCTU	39862	85080	\N	UV	68360191
1838296	6226	1994-02-07	PRIJEM	PREVOD Z UCTU	39862	92834	\N	UV	68360191
1838297	6226	1994-03-07	PRIJEM	PREVOD Z UCTU	39862	91195	\N	UV	68360191
1838298	6226	1994-04-07	PRIJEM	PREVOD Z UCTU	39862	99542	\N	UV	68360191
1838299	6226	1994-05-07	PRIJEM	PREVOD Z UCTU	39862	99126	\N	UV	68360191
1838300	6226	1994-06-07	PRIJEM	PREVOD Z UCTU	59793	120489	\N	UV	68360191
1838301	6226	1994-07-07	PRIJEM	PREVOD Z UCTU	39862	71103	\N	UV	68360191
1838302	6226	1994-08-07	PRIJEM	PREVOD Z UCTU	39862	83716	\N	UV	68360191
1838303	6226	1994-09-07	PRIJEM	PREVOD Z UCTU	39862	95697	\N	UV	68360191
1838304	6226	1994-10-07	PRIJEM	PREVOD Z UCTU	39862	97070	\N	UV	68360191
1838305	6226	1994-11-07	PRIJEM	PREVOD Z UCTU	39862	69134	\N	UV	68360191
1838306	6226	1994-12-07	PRIJEM	PREVOD Z UCTU	59793	107017	\N	UV	68360191
1838307	6226	1995-01-07	PRIJEM	PREVOD Z UCTU	39862	99420	\N	UV	68360191
1838308	6226	1995-02-07	PRIJEM	PREVOD Z UCTU	39862	100079	\N	UV	68360191
1838309	6226	1995-03-07	PRIJEM	PREVOD Z UCTU	39862	84528	\N	UV	68360191
1838310	6226	1995-04-07	PRIJEM	PREVOD Z UCTU	39862	95149	\N	UV	68360191
1838311	6226	1995-05-07	PRIJEM	PREVOD Z UCTU	39862	82464	\N	UV	68360191
1838312	6226	1995-06-07	PRIJEM	PREVOD Z UCTU	59793	114807	\N	UV	68360191
1838313	6226	1995-07-07	PRIJEM	PREVOD Z UCTU	39862	50616	\N	UV	68360191
1838314	6226	1995-08-07	PRIJEM	PREVOD Z UCTU	39862	75018	\N	UV	68360191
1838315	6226	1995-09-07	PRIJEM	PREVOD Z UCTU	39862	79062	\N	UV	68360191
1838316	6226	1995-10-07	PRIJEM	PREVOD Z UCTU	39862	93089	\N	UV	68360191
1838317	6226	1995-11-07	PRIJEM	PREVOD Z UCTU	39862	96324	\N	UV	68360191
1838318	6226	1995-12-07	PRIJEM	PREVOD Z UCTU	59793	123700	\N	UV	68360191
1838319	6226	1996-01-07	PRIJEM	PREVOD Z UCTU	39862	92664	\N	UV	68360191
1838320	6226	1996-02-07	PRIJEM	PREVOD Z UCTU	39862	80733	\N	UV	68360191
1838321	6226	1996-03-07	PRIJEM	PREVOD Z UCTU	39862	70186	\N	UV	68360191
1838322	6226	1996-04-07	PRIJEM	PREVOD Z UCTU	39862	55705	\N	UV	68360191
1838323	6226	1996-05-07	PRIJEM	PREVOD Z UCTU	39862	57592	\N	UV	68360191
1838324	6226	1996-06-07	PRIJEM	PREVOD Z UCTU	59793	95338	\N	UV	68360191
1838325	6226	1996-07-07	PRIJEM	PREVOD Z UCTU	39862	56097	\N	UV	68360191
1838326	6226	1996-08-07	PRIJEM	PREVOD Z UCTU	39862	56810	\N	UV	68360191
1838327	6226	1996-09-07	PRIJEM	PREVOD Z UCTU	39862	67252	\N	UV	68360191
1838328	6226	1996-10-07	PRIJEM	PREVOD Z UCTU	39862	56090	\N	UV	68360191
1838329	6226	1996-11-07	PRIJEM	PREVOD Z UCTU	39862	85355	\N	UV	68360191
1838330	6226	1996-12-07	PRIJEM	PREVOD Z UCTU	59793	106616	\N	UV	68360191
1838331	6226	1997-01-07	PRIJEM	PREVOD Z UCTU	39862	97233	\N	UV	68360191
1838332	6226	1997-02-07	PRIJEM	PREVOD Z UCTU	39862	95616	\N	UV	68360191
1838333	6226	1997-03-07	PRIJEM	PREVOD Z UCTU	39862	129144	\N	UV	68360191
1838334	6226	1997-04-07	PRIJEM	PREVOD Z UCTU	39862	106979	\N	UV	68360191
1838335	6226	1997-05-07	PRIJEM	PREVOD Z UCTU	39862	94439	\N	UV	68360191
1838336	6226	1997-06-07	PRIJEM	PREVOD Z UCTU	59793	111927	\N	UV	68360191
1838337	6226	1997-07-07	PRIJEM	PREVOD Z UCTU	39862	106774	\N	UV	68360191
1838338	6226	1997-08-07	PRIJEM	PREVOD Z UCTU	39862	124733	\N	UV	68360191
1838339	6226	1997-09-07	PRIJEM	PREVOD Z UCTU	39862	61925	\N	UV	68360191
1838340	6226	1997-10-07	PRIJEM	PREVOD Z UCTU	39862	99224	\N	UV	68360191
1838341	6226	1997-11-07	PRIJEM	PREVOD Z UCTU	39862	123666	\N	UV	68360191
1838342	6226	1997-12-07	PRIJEM	PREVOD Z UCTU	59793	114409	\N	UV	68360191
1838343	6226	1998-01-07	PRIJEM	PREVOD Z UCTU	39862	131893	\N	UV	68360191
1838344	6226	1998-02-07	PRIJEM	PREVOD Z UCTU	39862	97616	\N	UV	68360191
1838345	6226	1998-03-07	PRIJEM	PREVOD Z UCTU	39862	123546	\N	UV	68360191
1838346	6226	1998-04-07	PRIJEM	PREVOD Z UCTU	39862	131349	\N	UV	68360191
1838347	6226	1998-05-07	PRIJEM	PREVOD Z UCTU	39862	117717	\N	UV	68360191
1838348	6226	1998-06-07	PRIJEM	PREVOD Z UCTU	59793	151864	\N	UV	68360191
1838349	6226	1998-07-07	PRIJEM	PREVOD Z UCTU	39862	105472	\N	UV	68360191
1838350	6226	1998-08-07	PRIJEM	PREVOD Z UCTU	39862	107794	\N	UV	68360191
1838351	6226	1998-09-07	PRIJEM	PREVOD Z UCTU	39862	107529	\N	UV	68360191
1838352	6226	1998-10-07	PRIJEM	PREVOD Z UCTU	39862	113094	\N	UV	68360191
1838353	6226	1998-11-07	PRIJEM	PREVOD Z UCTU	39862	133459	\N	UV	68360191
1838354	6226	1998-12-07	PRIJEM	PREVOD Z UCTU	59793	147300	\N	UV	68360191
1838366	6226	1993-12-09	VYDAJ	VYBER	8400	72390	\N	\N	0
1838367	6226	1994-01-17	VYDAJ	VYBER	5500	79580	\N	\N	0
1838368	6226	1994-02-25	VYDAJ	VYBER	4700	57534	\N	\N	0
1838369	6226	1994-03-02	VYDAJ	VYBER	6400	51333	\N	\N	0
1838370	6226	1994-04-26	VYDAJ	VYBER	6900	59042	\N	\N	0
1838371	6226	1994-05-10	VYDAJ	VYBER	7800	91326	\N	\N	0
1838372	6226	1994-06-08	VYDAJ	VYBER	7400	64989	\N	\N	0
1838373	6226	1994-07-14	VYDAJ	VYBER	6400	64703	\N	\N	0
1838374	6226	1994-08-10	VYDAJ	VYBER	4300	79416	\N	\N	0
1838375	6226	1994-09-22	VYDAJ	VYBER	6300	59697	\N	\N	0
1838376	6226	1994-10-08	VYDAJ	VYBER	4900	92170	\N	\N	0
1838377	6226	1994-10-29	VYDAJ	VYBER	8400	51370	\N	\N	0
1838378	6226	1994-12-11	VYDAJ	VYBER	4600	102417	\N	\N	0
1838379	6226	1995-01-12	VYDAJ	PREVOD NA UCET	6644	92776	UVER	KL	83721154
1838380	6226	1995-02-12	VYDAJ	PREVOD NA UCET	6644	93435	UVER	KL	83721154
1838381	6226	1995-03-12	VYDAJ	PREVOD NA UCET	6644	77885	UVER	KL	83721154
1838382	6226	1995-04-12	VYDAJ	PREVOD NA UCET	6644	78605	UVER	KL	83721154
1838383	6226	1995-05-12	VYDAJ	PREVOD NA UCET	6644	75820	UVER	KL	83721154
1838384	6226	1995-06-12	VYDAJ	PREVOD NA UCET	6644	82663	UVER	KL	83721154
1838385	6226	1995-07-12	VYDAJ	PREVOD NA UCET	6644	43972	UVER	KL	83721154
1838386	6226	1995-08-12	VYDAJ	PREVOD NA UCET	6644	68375	UVER	KL	83721154
1838387	6226	1995-09-12	VYDAJ	PREVOD NA UCET	6644	72418	UVER	KL	83721154
1838388	6226	1995-10-12	VYDAJ	PREVOD NA UCET	6644	78345	UVER	KL	83721154
1838389	6226	1995-11-12	VYDAJ	PREVOD NA UCET	6644	89681	UVER	KL	83721154
1838390	6226	1995-12-12	VYDAJ	PREVOD NA UCET	6644	89556	UVER	KL	83721154
1838391	6226	1996-01-12	VYDAJ	PREVOD NA UCET	6644	86020	UVER	KL	83721154
1838392	6226	1996-02-12	VYDAJ	PREVOD NA UCET	6644	53490	UVER	KL	83721154
1838393	6226	1996-03-12	VYDAJ	PREVOD NA UCET	6644	63543	UVER	KL	83721154
1838394	6226	1996-04-12	VYDAJ	PREVOD NA UCET	6644	17687	UVER	KL	83721154
1838395	6226	1996-05-12	VYDAJ	PREVOD NA UCET	6644	43548	UVER	KL	83721154
1838396	6226	1996-06-12	VYDAJ	PREVOD NA UCET	6644	61195	UVER	KL	83721154
1838397	6226	1996-07-12	VYDAJ	PREVOD NA UCET	6644	42453	UVER	KL	83721154
1838398	6226	1996-08-12	VYDAJ	PREVOD NA UCET	6644	34066	UVER	KL	83721154
1838399	6226	1996-09-12	VYDAJ	PREVOD NA UCET	6644	49309	UVER	KL	83721154
1838400	6226	1996-10-12	VYDAJ	PREVOD NA UCET	6644	45347	UVER	KL	83721154
1838401	6226	1996-11-12	VYDAJ	PREVOD NA UCET	6644	61011	UVER	KL	83721154
1838402	6226	1996-12-12	VYDAJ	PREVOD NA UCET	6644	61342	UVER	KL	83721154
1838403	6226	1997-01-12	VYDAJ	PREVOD NA UCET	6644	90590	UVER	KL	83721154
1838404	6226	1997-02-12	VYDAJ	PREVOD NA UCET	6644	88972	UVER	KL	83721154
1838405	6226	1997-03-12	VYDAJ	PREVOD NA UCET	6644	71900	UVER	KL	83721154
1838406	6226	1997-04-12	VYDAJ	PREVOD NA UCET	6644	100336	UVER	KL	83721154
1838407	6226	1997-05-12	VYDAJ	PREVOD NA UCET	6644	78726	UVER	KL	83721154
1838408	6226	1997-06-12	VYDAJ	PREVOD NA UCET	6644	105284	UVER	KL	83721154
1838409	6226	1997-07-12	VYDAJ	PREVOD NA UCET	6644	94431	UVER	KL	83721154
1838410	6226	1997-08-12	VYDAJ	PREVOD NA UCET	6644	53417	UVER	KL	83721154
1838411	6226	1997-09-12	VYDAJ	PREVOD NA UCET	6644	55281	UVER	KL	83721154
1838412	6226	1997-10-12	VYDAJ	PREVOD NA UCET	6644	92580	UVER	KL	83721154
1838413	6226	1997-11-12	VYDAJ	PREVOD NA UCET	6644	73722	UVER	KL	83721154
1838414	6226	1997-12-12	VYDAJ	PREVOD NA UCET	6644	107765	UVER	KL	83721154
1838415	6226	1998-01-12	VYDAJ	PREVOD NA UCET	6644	67249	UVER	KL	83721154
1838416	6226	1998-02-12	VYDAJ	PREVOD NA UCET	6644	90973	UVER	KL	83721154
1838417	6226	1998-03-12	VYDAJ	PREVOD NA UCET	6644	101202	UVER	KL	83721154
1838418	6226	1998-04-12	VYDAJ	PREVOD NA UCET	6644	80405	UVER	KL	83721154
1838419	6226	1998-05-12	VYDAJ	PREVOD NA UCET	6644	111073	UVER	KL	83721154
1838420	6226	1998-06-12	VYDAJ	PREVOD NA UCET	6644	110220	UVER	KL	83721154
1838421	6226	1998-07-12	VYDAJ	PREVOD NA UCET	6644	98828	UVER	KL	83721154
1838422	6226	1998-08-12	VYDAJ	PREVOD NA UCET	6644	87820	UVER	KL	83721154
1838423	6226	1998-09-12	VYDAJ	PREVOD NA UCET	6644	100885	UVER	KL	83721154
1838424	6226	1998-10-12	VYDAJ	PREVOD NA UCET	6644	106450	UVER	KL	83721154
1838425	6226	1998-11-12	VYDAJ	PREVOD NA UCET	6644	102016	UVER	KL	83721154
1838426	6226	1998-12-12	VYDAJ	PREVOD NA UCET	6644	102857	UVER	KL	83721154
1838428	6226	1994-11-02	VYBER	VYBER	19059	32572	\N	\N	\N
1838429	6226	1995-09-02	VYBER	VYBER	8832	39200	\N	\N	\N
1838430	6226	1996-10-04	VYBER	VYBER	11933	16228	\N	\N	\N
1838431	6226	1996-08-06	VYBER	VYBER	7479	16948	\N	\N	\N
1838432	6226	1996-02-26	VYBER	VYBER	15246	30174	\N	\N	\N
1838433	6226	1996-09-20	VYBER	VYBER	21269	28040	\N	\N	\N
1838434	6226	1996-07-23	VYBER	VYBER	18118	24335	\N	\N	\N
1838435	6226	1996-03-13	VYBER	VYBER	14025	38818	\N	\N	\N
1838436	6226	1996-03-20	VYBER	VYBER	23056	15762	\N	\N	\N
1838437	6226	1996-04-12	VYBER	VYBER	22674	24331	\N	\N	\N
1838438	6226	1996-06-17	VYBER	VYBER	8779	52416	\N	\N	\N
1838439	6226	1996-02-18	VYBER	VYBER	8070	45420	\N	\N	\N
1838440	6226	1996-12-09	VYBER	VYBER	5330	74286	\N	\N	\N
1838442	6226	1996-01-20	VYBER	VYBER	13935	47585	\N	\N	\N
1838443	6226	1996-08-29	VYBER	VYBER	6785	27281	\N	\N	\N
1838444	6226	1997-08-11	VYBER	VYBER	17272	60061	\N	\N	\N
1838445	6226	1997-08-18	VYBER	VYBER	24772	28645	\N	\N	\N
1838446	6226	1997-09-05	VYBER	VYBER	3258	46486	\N	\N	\N
1838447	6226	1997-05-09	VYBER	VYBER	9070	85369	\N	\N	\N
1838448	6226	1997-01-13	VYBER	VYBER	4809	85781	\N	\N	\N
1838449	6226	1997-05-06	VYBER	VYBER	20795	54577	\N	\N	\N
1838450	6226	1997-01-31	VYBER	VYBER	21214	53484	\N	\N	\N
1838451	6226	1997-11-16	VYBER	VYBER	10414	63308	\N	\N	\N
1838452	6226	1997-11-25	VYBER	VYBER	23572	39736	\N	\N	\N
1838453	6226	1997-04-27	VYBER	VYBER	19701	70735	\N	\N	\N
1838454	6226	1997-05-25	VYBER	VYBER	22717	44978	\N	\N	\N
1838455	6226	1997-05-23	VYBER	VYBER	11031	67695	\N	\N	\N
1838456	6226	1997-09-02	VYBER	VYBER	4888	23944	\N	\N	\N
1838457	6226	1997-09-05	VYBER	VYBER	24423	22063	\N	\N	\N
1838458	6226	1998-09-16	VYBER	VYBER	17675	83210	\N	\N	\N
1838459	6226	1998-08-03	VYBER	VYBER	11658	72132	\N	\N	\N
1838460	6226	1998-07-29	VYBER	VYBER	4857	93971	\N	\N	\N
1838461	6226	1998-08-12	VYBER	VYBER	13330	94464	\N	\N	\N
1838462	6226	1998-11-27	VYBER	VYBER	15206	87110	\N	\N	\N
1838464	6226	1994-06-09	VYDAJ	VYBER	27600	37389	\N	\N	\N
1838465	6226	1995-06-23	VYDAJ	VYBER	47700	10563	\N	\N	\N
1838466	6226	1996-06-20	VYDAJ	VYBER	36300	16116	\N	\N	\N
1838467	6226	1997-06-26	VYDAJ	VYBER	42900	62384	\N	\N	\N
1838468	6226	1998-06-16	VYDAJ	VYBER	58800	51420	\N	\N	\N
1838469	6226	1993-12-19	VYDAJ	VYBER	6000	66390	\N	\N	\N
1838470	6226	1994-12-17	VYDAJ	VYBER	8700	90117	\N	\N	\N
1838471	6226	1995-12-28	VYDAJ	VYBER	7800	52556	\N	\N	\N
1838472	6226	1996-12-02	VYDAJ	VYBER	2400	46823	\N	\N	\N
1838473	6226	1997-12-05	VYDAJ	VYBER	4800	54616	\N	\N	\N
1838474	6226	1998-12-15	VYDAJ	VYBER	8400	94457	\N	\N	\N
1838481	6226	1994-12-17	VYDAJ	VYBER	3600	98817	\N	\N	\N
1838482	6226	1994-09-28	VYDAJ	VYBER	2700	56997	\N	\N	\N
1838483	6226	1994-11-04	VYDAJ	VYBER	3300	29272	\N	\N	\N
1838484	6226	1994-11-11	VYDAJ	VYBER	4500	64634	\N	\N	\N
1838485	6226	1995-10-09	VYDAJ	VYBER	8100	84989	\N	\N	\N
1838486	6226	1995-04-18	VYDAJ	VYBER	13200	42405	\N	\N	\N
1838487	6226	1995-02-26	VYDAJ	VYBER	9300	44435	\N	\N	\N
1838488	6226	1995-04-11	VYDAJ	VYBER	9900	85249	\N	\N	\N
1838489	6226	1995-02-24	VYDAJ	VYBER	6300	53735	\N	\N	\N
1838490	6226	1996-12-01	VYDAJ	VYBER	12000	49223	\N	\N	\N
1838491	6226	1996-12-12	VYDAJ	VYBER	6300	67986	\N	\N	\N
1838492	6226	1996-01-29	VYDAJ	VYBER	6900	40685	\N	\N	\N
1838493	6226	1996-08-11	VYDAJ	VYBER	10500	40710	\N	\N	\N
1838494	6226	1996-05-16	VYDAJ	VYBER	8100	35448	\N	\N	\N
1838495	6226	1997-07-07	VYDAJ	VYBER	5700	101074	\N	\N	\N
1838496	6226	1997-01-18	VYDAJ	VYBER	11400	74381	\N	\N	\N
1838497	6226	1997-06-06	VYDAJ	VYBER	5700	52134	\N	\N	\N
1838498	6226	1997-05-04	VYDAJ	VYBER	8700	62372	\N	\N	\N
1838499	6226	1997-04-20	VYDAJ	VYBER	9900	90436	\N	\N	\N
1838500	6226	1998-02-14	VYDAJ	VYBER	7200	83773	\N	\N	\N
1838501	6226	1998-08-06	VYDAJ	VYBER	4200	67932	\N	\N	\N
1838502	6226	1998-02-04	VYDAJ	VYBER	11700	57754	\N	\N	\N
1838503	6226	1998-09-25	VYDAJ	VYBER	10800	72410	\N	\N	\N
1838504	6226	1998-05-19	VYDAJ	VYBER	2400	108673	\N	\N	\N
1838505	6226	1998-09-02	VYDAJ	VYBER	11700	67667	\N	\N	\N
1838506	6226	1998-01-22	VYDAJ	VYBER	11700	55549	\N	\N	\N
1838519	6226	1993-12-31	VYDAJ	VYBER	30	45218	SLUZBY	\N	\N
1838520	6226	1994-01-31	VYDAJ	VYBER	30	52972	SLUZBY	\N	\N
1838521	6226	1994-02-28	VYDAJ	VYBER	30	57733	SLUZBY	\N	\N
1838522	6226	1994-03-31	VYDAJ	VYBER	30	59680	SLUZBY	\N	\N
1838523	6226	1994-04-30	VYDAJ	VYBER	30	59264	SLUZBY	\N	\N
1838524	6226	1994-05-31	VYDAJ	VYBER	30	60696	SLUZBY	\N	\N
1838525	6226	1994-06-30	VYDAJ	VYBER	30	31241	SLUZBY	\N	\N
1838526	6226	1994-07-31	VYDAJ	VYBER	30	43854	SLUZBY	\N	\N
1838527	6226	1994-08-31	VYDAJ	VYBER	30	55835	SLUZBY	\N	\N
1838528	6226	1994-09-30	VYDAJ	VYBER	30	57208	SLUZBY	\N	\N
1838529	6226	1994-10-31	VYDAJ	VYBER	30	51631	SLUZBY	\N	\N
1838530	6226	1994-11-30	VYDAJ	VYBER	30	47224	SLUZBY	\N	\N
1838531	6226	1994-12-31	VYDAJ	VYBER	30	59558	SLUZBY	\N	\N
1838532	6226	1995-01-31	VYDAJ	VYBER	30	60217	SLUZBY	\N	\N
1838533	6226	1995-02-28	VYDAJ	VYBER	30	44666	SLUZBY	\N	\N
1838534	6226	1995-03-31	VYDAJ	VYBER	30	55287	SLUZBY	\N	\N
1838535	6226	1995-04-30	VYDAJ	VYBER	30	42602	SLUZBY	\N	\N
1838536	6226	1995-05-31	VYDAJ	VYBER	30	55014	SLUZBY	\N	\N
1838537	6226	1995-06-30	VYDAJ	VYBER	30	10754	SLUZBY	\N	\N
1838538	6226	1995-07-31	VYDAJ	VYBER	30	35156	SLUZBY	\N	\N
1838539	6226	1995-08-31	VYDAJ	VYBER	30	48032	SLUZBY	\N	\N
1838540	6226	1995-09-30	VYDAJ	VYBER	30	53227	SLUZBY	\N	\N
1838541	6226	1995-10-31	VYDAJ	VYBER	30	56462	SLUZBY	\N	\N
1838542	6226	1995-11-30	VYDAJ	VYBER	30	63907	SLUZBY	\N	\N
1838543	6226	1995-12-31	VYDAJ	VYBER	30	52802	SLUZBY	\N	\N
1838544	6226	1996-01-31	VYDAJ	VYBER	30	40871	SLUZBY	\N	\N
1838545	6226	1996-02-29	VYDAJ	VYBER	30	30324	SLUZBY	\N	\N
1838546	6226	1996-03-31	VYDAJ	VYBER	30	15843	SLUZBY	\N	\N
1838547	6226	1996-04-30	VYDAJ	VYBER	30	17730	SLUZBY	\N	\N
1838548	6226	1996-05-31	VYDAJ	VYBER	30	35545	SLUZBY	\N	\N
1838549	6226	1996-06-30	VYDAJ	VYBER	30	16235	SLUZBY	\N	\N
1838550	6226	1996-07-31	VYDAJ	VYBER	30	24427	SLUZBY	\N	\N
1838551	6226	1996-08-31	VYDAJ	VYBER	30	27390	SLUZBY	\N	\N
1838552	6226	1996-09-30	VYDAJ	VYBER	30	28161	SLUZBY	\N	\N
1838553	6226	1996-10-31	VYDAJ	VYBER	30	45493	SLUZBY	\N	\N
1838554	6226	1996-11-30	VYDAJ	VYBER	30	61223	SLUZBY	\N	\N
1838555	6226	1996-12-31	VYDAJ	VYBER	30	61571	SLUZBY	\N	\N
1838556	6226	1997-01-31	VYDAJ	VYBER	30	53454	SLUZBY	\N	\N
1838557	6226	1997-02-28	VYDAJ	VYBER	30	89282	SLUZBY	\N	\N
1838558	6226	1997-03-31	VYDAJ	VYBER	30	72217	SLUZBY	\N	\N
1838559	6226	1997-04-30	VYDAJ	VYBER	30	71072	SLUZBY	\N	\N
1838560	6226	1997-05-31	VYDAJ	VYBER	30	45234	SLUZBY	\N	\N
1838561	6226	1997-06-30	VYDAJ	VYBER	30	62712	SLUZBY	\N	\N
1838562	6226	1997-07-31	VYDAJ	VYBER	30	94771	SLUZBY	\N	\N
1838563	6226	1997-08-31	VYDAJ	VYBER	30	28832	SLUZBY	\N	\N
1838564	6226	1997-09-30	VYDAJ	VYBER	30	55462	SLUZBY	\N	\N
1838565	6226	1997-10-31	VYDAJ	VYBER	30	92904	SLUZBY	\N	\N
1838566	6226	1997-11-30	VYDAJ	VYBER	30	40016	SLUZBY	\N	\N
1838567	6226	1997-12-31	VYDAJ	VYBER	30	108131	SLUZBY	\N	\N
1838568	6226	1998-01-31	VYDAJ	VYBER	30	69454	SLUZBY	\N	\N
1838569	6226	1998-02-28	VYDAJ	VYBER	30	84084	SLUZBY	\N	\N
1838570	6226	1998-03-31	VYDAJ	VYBER	30	101587	SLUZBY	\N	\N
1838571	6226	1998-04-30	VYDAJ	VYBER	30	80755	SLUZBY	\N	\N
1838572	6226	1998-05-31	VYDAJ	VYBER	30	92071	SLUZBY	\N	\N
1838573	6226	1998-06-30	VYDAJ	VYBER	30	65610	SLUZBY	\N	\N
1838574	6226	1998-07-31	VYDAJ	VYBER	30	83790	SLUZBY	\N	\N
1838575	6226	1998-08-31	VYDAJ	VYBER	30	79367	SLUZBY	\N	\N
1838576	6226	1998-09-30	VYDAJ	VYBER	30	73232	SLUZBY	\N	\N
1838577	6226	1998-10-31	VYDAJ	VYBER	30	93597	SLUZBY	\N	\N
1838578	6226	1998-11-30	VYDAJ	VYBER	30	87507	SLUZBY	\N	\N
1838579	6226	1993-08-25	VYDAJ	VYBER	6100	34162	\N	\N	\N
1838580	6226	1993-09-24	VYDAJ	VYBER	24100	49956	\N	\N	\N
1838581	6226	1993-10-24	VYDAJ	VYBER	32900	57076	\N	\N	\N
1838582	6226	1993-11-23	VYDAJ	VYBER	35500	61654	\N	\N	\N
1838583	6226	1993-12-07	VYDAJ	VYBER	40900	80790	\N	\N	\N
1838584	6226	1993-12-23	VYDAJ	VYBER	21400	44990	\N	\N	\N
1838585	6226	1994-01-22	VYDAJ	VYBER	26800	52780	\N	\N	\N
1838586	6226	1994-02-21	VYDAJ	VYBER	30600	62234	\N	\N	\N
1838587	6226	1994-03-23	VYDAJ	VYBER	31800	59395	\N	\N	\N
1838588	6226	1994-04-22	VYDAJ	VYBER	33600	65942	\N	\N	\N
1838589	6226	1994-05-22	VYDAJ	VYBER	30900	60426	\N	\N	\N
1838590	6226	1994-06-07	VYDAJ	VYBER	48100	72389	\N	\N	\N
1838591	6226	1994-06-21	VYDAJ	VYBER	6300	31089	\N	\N	\N
1838592	6226	1994-07-21	VYDAJ	VYBER	21000	43703	\N	\N	\N
1838593	6226	1994-08-20	VYDAJ	VYBER	23800	55616	\N	\N	\N
1838594	6226	1994-09-19	VYDAJ	VYBER	29700	65997	\N	\N	\N
1838595	6226	1994-10-19	VYDAJ	VYBER	32400	59770	\N	\N	\N
1838596	6226	1994-11-18	VYDAJ	VYBER	17600	47034	\N	\N	\N
1838597	6226	1994-12-18	VYDAJ	VYBER	30800	59317	\N	\N	\N
1838598	6226	1995-01-17	VYDAJ	VYBER	32800	59976	\N	\N	\N
1838599	6226	1995-02-16	VYDAJ	VYBER	33400	60035	\N	\N	\N
1838600	6226	1995-03-18	VYDAJ	VYBER	22800	55085	\N	\N	\N
1838601	6226	1995-04-17	VYDAJ	VYBER	23000	55605	\N	\N	\N
1838602	6226	1995-05-17	VYDAJ	VYBER	21000	54820	\N	\N	\N
1838603	6226	1995-06-07	VYDAJ	VYBER	25500	89307	\N	\N	\N
1838604	6226	1995-06-16	VYDAJ	VYBER	24400	58263	\N	\N	\N
1838605	6226	1995-07-16	VYDAJ	VYBER	8900	35072	\N	\N	\N
1838606	6226	1995-08-15	VYDAJ	VYBER	20500	47875	\N	\N	\N
1838607	6226	1995-09-14	VYDAJ	VYBER	19400	53018	\N	\N	\N
1838608	6226	1995-10-14	VYDAJ	VYBER	22100	56245	\N	\N	\N
1838609	6226	1995-11-13	VYDAJ	VYBER	26000	63681	\N	\N	\N
1838610	6226	1995-12-07	VYDAJ	VYBER	27500	96200	\N	\N	\N
1838611	6226	1995-12-13	VYDAJ	VYBER	29200	60356	\N	\N	\N
1838612	6226	1996-01-12	VYDAJ	VYBER	24500	61520	\N	\N	\N
1838613	6226	1996-02-11	VYDAJ	VYBER	20600	60133	\N	\N	\N
1838614	6226	1996-03-12	VYDAJ	VYBER	10700	52843	\N	\N	\N
1838615	6226	1996-04-11	VYDAJ	VYBER	8700	47005	\N	\N	\N
1838616	6226	1996-05-11	VYDAJ	VYBER	7400	50192	\N	\N	\N
1838617	6226	1996-06-10	VYDAJ	VYBER	27500	67838	\N	\N	\N
1838618	6226	1996-07-10	VYDAJ	VYBER	7000	49097	\N	\N	\N
1838619	6226	1996-08-09	VYDAJ	VYBER	5600	51210	\N	\N	\N
1838620	6226	1996-09-08	VYDAJ	VYBER	11300	55952	\N	\N	\N
1838621	6226	1996-10-08	VYDAJ	VYBER	4100	51990	\N	\N	\N
1838622	6226	1996-11-07	VYDAJ	VYBER	17700	67655	\N	\N	\N
1838623	6226	1996-12-07	VYDAJ	VYBER	27000	79616	\N	\N	\N
1838624	6226	1997-01-06	VYDAJ	VYBER	4200	57371	\N	\N	\N
1838625	6226	1997-02-05	PRIJEM	VKLAD	2300	55754	\N	\N	\N
1838626	6226	1997-03-07	VYDAJ	VYBER	27800	101344	\N	\N	\N
1838627	6226	1997-03-07	VYDAJ	VYBER	22800	78544	\N	\N	\N
1838628	6226	1997-04-06	VYDAJ	VYBER	5100	67117	\N	\N	\N
1838629	6226	1997-05-06	PRIJEM	VKLAD	13000	75372	\N	\N	\N
1838630	6226	1997-06-05	PRIJEM	VKLAD	12600	57834	\N	\N	\N
1838631	6226	1997-07-05	PRIJEM	VKLAD	4200	66912	\N	\N	\N
1838632	6226	1997-08-04	VYDAJ	VYBER	9900	84871	\N	\N	\N
1838633	6226	1997-08-07	VYDAJ	VYBER	47400	77333	\N	\N	\N
1838634	6226	1997-09-03	PRIJEM	VKLAD	25800	49744	\N	\N	\N
1838635	6226	1997-10-03	PRIJEM	VKLAD	3900	59362	\N	\N	\N
1838636	6226	1997-11-02	VYDAJ	VYBER	9100	83804	\N	\N	\N
1838637	6226	1997-11-07	VYDAJ	VYBER	43300	80366	\N	\N	\N
1838638	6226	1997-12-02	PRIJEM	VKLAD	19400	59416	\N	\N	\N
1838639	6226	1998-01-01	VYDAJ	VYBER	16100	92031	\N	\N	\N
1838640	6226	1998-01-07	VYDAJ	VYBER	58000	73893	\N	\N	\N
1838641	6226	1998-01-31	PRIJEM	VKLAD	13600	69484	\N	\N	\N
1838642	6226	1998-03-02	VYDAJ	VYBER	400	83684	\N	\N	\N
1838643	6226	1998-03-07	VYDAJ	VYBER	15700	107846	\N	\N	\N
1838644	6226	1998-04-01	VYDAJ	VYBER	10100	91487	\N	\N	\N
1838645	6226	1998-04-07	VYDAJ	VYBER	44300	87049	\N	\N	\N
1838646	6226	1998-05-01	VYDAJ	VYBER	2900	77855	\N	\N	\N
1838647	6226	1998-05-31	VYDAJ	VYBER	17000	92101	\N	\N	\N
1838648	6226	1998-06-07	VYDAJ	VYBER	35000	116864	\N	\N	\N
1838649	6226	1998-06-30	PRIJEM	VKLAD	13900	65640	\N	\N	\N
1838650	6226	1998-07-30	VYDAJ	VYBER	10500	83471	\N	\N	\N
1838651	6226	1998-08-29	VYDAJ	VYBER	8800	79020	\N	\N	\N
1838652	6226	1998-09-28	PRIJEM	VKLAD	500	72910	\N	\N	\N
1838653	6226	1998-10-28	VYDAJ	VYBER	13200	93250	\N	\N	\N
1838654	6226	1998-11-07	VYDAJ	VYBER	24800	108659	\N	\N	\N
1838655	6226	1998-11-27	PRIJEM	VKLAD	300	102316	\N	\N	\N
1838656	6226	1998-12-07	VYDAJ	VYBER	37800	109500	\N	\N	\N
1850343	6265	1996-11-01	PRIJEM	VKLAD	200	200	\N	\N	\N
1850350	6265	1996-12-30	PRIJEM	VKLAD	46656	134714	\N	\N	\N
1850353	6265	1996-12-04	PRIJEM	VKLAD	47583	59183	\N	\N	\N
1850357	6265	1996-12-11	PRIJEM	VKLAD	33053	92236	\N	\N	\N
1850358	6265	1996-12-27	PRIJEM	VKLAD	42985	114158	\N	\N	\N
1850359	6265	1996-12-20	PRIJEM	VKLAD	37337	129573	\N	\N	\N
1850364	6265	1997-02-13	PRIJEM	VKLAD	18111	54678	\N	\N	\N
1850365	6265	1997-06-08	PRIJEM	VKLAD	32138	58492	\N	\N	\N
1850366	6265	1997-03-10	PRIJEM	VKLAD	28576	71783	\N	\N	\N
1850367	6265	1997-08-02	PRIJEM	VKLAD	20782	83532	\N	\N	\N
1850368	6265	1997-05-11	PRIJEM	VKLAD	11561	55774	\N	\N	\N
1850369	6265	1997-07-02	PRIJEM	VKLAD	49345	78216	\N	\N	\N
1850370	6265	1997-01-27	PRIJEM	VKLAD	13851	74393	\N	\N	\N
1850371	6265	1997-04-19	PRIJEM	VKLAD	26994	98834	\N	\N	\N
1850372	6265	1997-07-08	PRIJEM	VKLAD	11079	71821	\N	\N	\N
1850373	6265	1997-10-13	PRIJEM	VKLAD	32569	115509	\N	\N	\N
1850374	6265	1997-01-30	PRIJEM	VKLAD	20937	61773	\N	\N	\N
1850375	6265	1997-07-13	PRIJEM	VKLAD	28412	96593	\N	\N	\N
1850376	6265	1997-01-15	PRIJEM	VKLAD	47624	99242	\N	\N	\N
1850377	6265	1997-03-18	PRIJEM	VKLAD	35445	107228	\N	\N	\N
1850378	6265	1997-07-13	PRIJEM	VKLAD	37552	134145	\N	\N	\N
1850379	6265	1997-02-27	PRIJEM	VKLAD	49495	101973	\N	\N	\N
1850380	6265	1997-09-30	PRIJEM	VKLAD	26297	93868	\N	\N	\N
1850381	6265	1997-03-21	PRIJEM	VKLAD	13875	113490	\N	\N	\N
1850382	6265	1997-05-21	PRIJEM	VKLAD	26804	91216	\N	\N	\N
1850383	6265	1997-10-23	PRIJEM	VKLAD	28212	108821	\N	\N	\N
1850384	6265	1997-05-11	PRIJEM	VKLAD	18838	74612	\N	\N	\N
1850385	6265	1997-04-07	PRIJEM	VKLAD	28525	79114	\N	\N	\N
1850386	6265	1997-09-28	PRIJEM	VKLAD	39690	67407	\N	\N	\N
1850387	6265	1998-04-01	PRIJEM	VKLAD	22699	53907	\N	\N	\N
1850388	6265	1998-10-29	PRIJEM	VKLAD	49154	90600	\N	\N	\N
1850389	6265	1998-03-03	PRIJEM	VKLAD	19499	38652	\N	\N	\N
1850390	6265	1998-08-15	PRIJEM	VKLAD	20372	68508	\N	\N	\N
1850391	6265	1998-10-16	PRIJEM	VKLAD	30662	49926	\N	\N	\N
1850392	6265	1998-08-15	PRIJEM	VKLAD	32619	48136	\N	\N	\N
1850393	6265	1998-03-21	PRIJEM	VKLAD	21903	49642	\N	\N	\N
1850394	6265	1998-05-03	PRIJEM	VKLAD	7950	41177	\N	\N	\N
1850395	6265	1998-08-25	PRIJEM	VKLAD	17339	69247	\N	\N	\N
1850408	6265	1997-01-09	VYDAJ	VYBER	3200	51618	\N	\N	0
1850409	6265	1997-02-11	VYDAJ	VYBER	2700	36567	\N	\N	0
1850410	6265	1997-02-20	VYDAJ	VYBER	2200	52478	\N	\N	0
1850411	6265	1997-04-22	VYDAJ	VYBER	3700	95134	\N	\N	0
1850412	6265	1997-05-13	VYDAJ	VYBER	3300	64412	\N	\N	0
1850413	6265	1997-06-12	VYDAJ	PREVOD NA UCET	3640	54853	UVER	WX	43599933
1850414	6265	1997-07-12	VYDAJ	PREVOD NA UCET	3640	68181	UVER	WX	43599933
1850415	6265	1997-08-12	VYDAJ	PREVOD NA UCET	3640	52218	UVER	WX	43599933
1850416	6265	1997-09-12	VYDAJ	PREVOD NA UCET	3640	31017	UVER	WX	43599933
1850417	6265	1997-10-12	VYDAJ	PREVOD NA UCET	3640	82940	UVER	WX	43599933
1850418	6265	1997-11-12	VYDAJ	PREVOD NA UCET	3640	52547	UVER	WX	43599933
1850419	6265	1997-12-12	VYDAJ	PREVOD NA UCET	3640	28146	UVER	WX	43599933
1850420	6265	1998-01-12	VYDAJ	PREVOD NA UCET	3640	12952	UVER	WX	43599933
1850421	6265	1998-02-12	VYDAJ	PREVOD NA UCET	3640	10401	UVER	WX	43599933
1850422	6265	1998-03-12	VYDAJ	PREVOD NA UCET	3640	27739	UVER	WX	43599933
1850423	6265	1998-04-12	VYDAJ	PREVOD NA UCET	3640	35287	UVER	WX	43599933
1850424	6265	1998-05-12	VYDAJ	PREVOD NA UCET	3640	30263	UVER	WX	43599933
1850425	6265	1998-06-12	VYDAJ	PREVOD NA UCET	3640	21067	UVER	WX	43599933
1850426	6265	1998-07-12	VYDAJ	PREVOD NA UCET	3640	16949	UVER	WX	43599933
1850427	6265	1998-08-12	VYDAJ	PREVOD NA UCET	3640	15517	UVER	WX	43599933
1850428	6265	1998-09-12	VYDAJ	PREVOD NA UCET	3640	58494	UVER	WX	43599933
1850429	6265	1998-10-12	VYDAJ	PREVOD NA UCET	3640	19264	UVER	WX	43599933
1850430	6265	1998-11-12	VYDAJ	PREVOD NA UCET	3640	79854	UVER	WX	43599933
1850431	6265	1998-12-12	VYDAJ	PREVOD NA UCET	3640	42532	UVER	WX	43599933
1850444	6265	1997-01-07	VYDAJ	PREVOD NA UCET	7274	54818	SIPO	EF	11553663
1850445	6265	1997-02-07	VYDAJ	PREVOD NA UCET	7274	39267	SIPO	EF	11553663
1850446	6265	1997-03-07	VYDAJ	PREVOD NA UCET	7274	46207	SIPO	EF	11553663
1850447	6265	1997-04-07	VYDAJ	PREVOD NA UCET	7274	71840	SIPO	EF	11553663
1850448	6265	1997-05-07	VYDAJ	PREVOD NA UCET	7274	44213	SIPO	EF	11553663
1850449	6265	1997-06-07	VYDAJ	PREVOD NA UCET	7274	26354	SIPO	EF	11553663
1850450	6265	1997-07-07	VYDAJ	PREVOD NA UCET	7274	60742	SIPO	EF	11553663
1850451	6265	1997-08-07	VYDAJ	PREVOD NA UCET	7274	62758	SIPO	EF	11553663
1850452	6265	1997-09-07	VYDAJ	PREVOD NA UCET	7274	34657	SIPO	EF	11553663
1850453	6265	1997-10-07	VYDAJ	PREVOD NA UCET	7274	86580	SIPO	EF	11553663
1850454	6265	1997-11-07	VYDAJ	PREVOD NA UCET	7274	56187	SIPO	EF	11553663
1850455	6265	1997-12-07	VYDAJ	PREVOD NA UCET	7274	31786	SIPO	EF	11553663
1850456	6265	1998-01-07	VYDAJ	PREVOD NA UCET	7274	16591	SIPO	EF	11553663
1850457	6265	1998-02-07	VYDAJ	PREVOD NA UCET	7274	14040	SIPO	EF	11553663
1850458	6265	1998-03-07	VYDAJ	PREVOD NA UCET	7274	31378	SIPO	EF	11553663
1850459	6265	1998-04-07	VYDAJ	PREVOD NA UCET	7274	38926	SIPO	EF	11553663
1850460	6265	1998-05-07	VYDAJ	PREVOD NA UCET	7274	33903	SIPO	EF	11553663
1850461	6265	1998-06-07	VYDAJ	PREVOD NA UCET	7274	24706	SIPO	EF	11553663
1850462	6265	1998-07-07	VYDAJ	PREVOD NA UCET	7274	20588	SIPO	EF	11553663
1850463	6265	1998-08-07	VYDAJ	PREVOD NA UCET	7274	19156	SIPO	EF	11553663
1850464	6265	1998-09-07	VYDAJ	PREVOD NA UCET	7274	62133	SIPO	EF	11553663
1850465	6265	1998-10-07	VYDAJ	PREVOD NA UCET	7274	22903	SIPO	EF	11553663
1850466	6265	1998-11-07	VYDAJ	PREVOD NA UCET	7274	83494	SIPO	EF	11553663
1850467	6265	1998-12-07	VYDAJ	PREVOD NA UCET	7274	46172	SIPO	EF	11553663
1850472	6265	1997-03-21	VYBER	VYBER	10897	102593	\N	\N	\N
1850473	6265	1997-01-29	VYBER	VYBER	21257	47736	\N	\N	\N
1850475	6265	1997-05-07	VYBER	VYBER	8885	51487	\N	\N	\N
1850476	6265	1997-06-27	VYBER	VYBER	7047	30106	\N	\N	\N
1850477	6265	1997-11-01	VYBER	VYBER	7110	63461	\N	\N	\N
1850478	6265	1997-03-18	VYBER	VYBER	7613	99615	\N	\N	\N
1850479	6265	1997-06-01	VYBER	VYBER	23092	33628	\N	\N	\N
1850480	6265	1997-02-28	VYBER	VYBER	19397	82795	\N	\N	\N
1850482	6265	1998-03-26	VYBER	VYBER	16416	31085	\N	\N	\N
1850483	6265	1998-03-25	VYBER	VYBER	8441	41201	\N	\N	\N
1850484	6265	1998-10-28	VYBER	VYBER	2880	41446	\N	\N	\N
1850487	6265	1998-10-06	VYBER	VYBER	3534	30177	\N	\N	\N
1850488	6265	1998-04-02	VYBER	VYBER	7707	46200	\N	\N	\N
1850491	6265	1998-11-15	VYBER	VYBER	4401	75453	\N	\N	\N
1850492	6265	1998-10-03	VYBER	VYBER	19220	33711	\N	\N	\N
1850494	6265	1997-06-13	VYDAJ	VYBER	17700	37153	\N	\N	\N
1850497	6265	1997-01-22	VYDAJ	VYBER	18900	74042	\N	\N	\N
1850501	6265	1998-12-24	VYDAJ	VYBER KARTOU	1800	34232	\N	\N	0
1850508	6265	1997-01-29	VYDAJ	VYBER	6900	40836	\N	\N	\N
1850509	6265	1997-01-24	VYDAJ	VYBER	8400	60542	\N	\N	\N
1850510	6265	1997-01-03	VYDAJ	VYBER	4200	62092	\N	\N	\N
1850511	6265	1997-01-27	VYDAJ	VYBER	5400	68993	\N	\N	\N
1850512	6265	1997-01-23	VYDAJ	VYBER	5100	68942	\N	\N	\N
1850513	6265	1997-01-18	VYDAJ	VYBER	6300	92942	\N	\N	\N
1850516	6265	1998-01-06	VYDAJ	VYBER	5100	23865	\N	\N	\N
1850528	6265	1997-08-06	VYDAJ	VYBER	13500	70032	\N	\N	\N
1850529	6265	1997-08-10	VYDAJ	VYBER	6900	55858	\N	\N	\N
1850530	6265	1997-05-12	VYDAJ	VYBER	6900	67712	\N	\N	\N
1850531	6265	1997-03-08	VYDAJ	VYBER	3000	43207	\N	\N	\N
1850532	6265	1997-07-04	VYDAJ	VYBER	10200	68016	\N	\N	\N
1850533	6265	1998-12-15	VYDAJ	VYBER	4800	37732	\N	\N	\N
1850549	6265	1996-12-31	VYDAJ	VYBER	15	66292	SLUZBY	\N	\N
1850550	6265	1997-01-31	VYDAJ	VYBER	15	46541	SLUZBY	\N	\N
1850551	6265	1997-02-28	VYDAJ	VYBER	15	82781	SLUZBY	\N	\N
1850552	6265	1997-03-31	VYDAJ	VYBER	15	72089	SLUZBY	\N	\N
1850553	6265	1997-04-30	VYDAJ	VYBER	15	95472	SLUZBY	\N	\N
1850554	6265	1997-05-31	VYDAJ	VYBER	15	56720	SLUZBY	\N	\N
1850555	6265	1997-06-30	VYDAJ	VYBER	15	28871	SLUZBY	\N	\N
1850556	6265	1997-07-31	VYDAJ	VYBER	15	62750	SLUZBY	\N	\N
1850557	6265	1997-08-31	VYDAJ	VYBER	15	41931	SLUZBY	\N	\N
1850558	6265	1997-09-30	VYDAJ	VYBER	15	93854	SLUZBY	\N	\N
1850559	6265	1997-10-31	VYDAJ	VYBER	15	70571	SLUZBY	\N	\N
1850560	6265	1997-11-30	VYDAJ	VYBER	15	39060	SLUZBY	\N	\N
1850561	6265	1997-12-31	VYDAJ	VYBER	15	28965	SLUZBY	\N	\N
1850562	6265	1998-01-31	VYDAJ	VYBER	15	21314	SLUZBY	\N	\N
1850563	6265	1998-02-28	VYDAJ	VYBER	15	19153	SLUZBY	\N	\N
1850564	6265	1998-03-31	VYDAJ	VYBER	15	31208	SLUZBY	\N	\N
1850565	6265	1998-04-30	VYDAJ	VYBER	15	33227	SLUZBY	\N	\N
1850566	6265	1998-05-31	VYDAJ	VYBER	15	31980	SLUZBY	\N	\N
1850567	6265	1998-06-30	VYDAJ	VYBER	15	27862	SLUZBY	\N	\N
1850568	6265	1998-07-31	VYDAJ	VYBER	15	26430	SLUZBY	\N	\N
1850569	6265	1998-08-31	VYDAJ	VYBER	15	69407	SLUZBY	\N	\N
1850570	6265	1998-09-30	VYDAJ	VYBER	15	52931	SLUZBY	\N	\N
1850571	6265	1998-10-31	VYDAJ	VYBER	15	90768	SLUZBY	\N	\N
1850572	6265	1998-11-30	VYDAJ	VYBER	15	53446	SLUZBY	\N	\N
1850573	6265	1996-12-01	PRIJEM	VKLAD	11400	11600	\N	\N	\N
1850574	6265	1996-12-20	VYDAJ	VYBER	58400	71173	\N	\N	\N
1850575	6265	1996-12-27	VYDAJ	VYBER	26100	88058	\N	\N	\N
1850576	6265	1996-12-30	VYDAJ	VYBER	32000	102714	\N	\N	\N
1850577	6265	1996-12-31	VYDAJ	VYBER	36700	66306	\N	\N	\N
1850578	6265	1997-01-30	VYDAJ	VYBER	15500	46273	\N	\N	\N
1850579	6265	1997-03-01	VYDAJ	VYBER	29300	53481	\N	\N	\N
1850580	6265	1997-03-21	VYDAJ	VYBER	30800	71793	\N	\N	\N
1850581	6265	1997-03-31	VYDAJ	VYBER	21500	50589	\N	\N	\N
1850582	6265	1997-04-30	VYDAJ	VYBER	35100	60372	\N	\N	\N
1850583	6265	1997-05-30	VYDAJ	VYBER	34800	56416	\N	\N	\N
1850584	6265	1997-06-29	VYDAJ	VYBER	1400	28706	\N	\N	\N
1850585	6265	1997-07-13	VYDAJ	VYBER	41600	92545	\N	\N	\N
1850586	6265	1997-07-29	VYDAJ	VYBER	30100	62445	\N	\N	\N
1850587	6265	1997-08-28	VYDAJ	VYBER	10500	41718	\N	\N	\N
1850588	6265	1997-09-27	VYDAJ	VYBER KARTOU	3300	27717	\N	\N	0
1850589	6265	1997-10-13	VYDAJ	VYBER	34900	80609	\N	\N	\N
1850590	6265	1997-10-27	VYDAJ	VYBER	38600	70221	\N	\N	\N
1850591	6265	1997-11-26	VYDAJ	VYBER	13700	38847	\N	\N	\N
1850592	6265	1997-12-26	PRIJEM	VKLAD	700	28846	\N	\N	\N
1850593	6265	1998-01-25	PRIJEM	VKLAD	8300	21252	\N	\N	\N
1850594	6265	1998-02-24	PRIJEM	VKLAD	8700	19101	\N	\N	\N
1850595	6265	1998-03-26	PRIJEM	VKLAD	6300	47501	\N	\N	\N
1850596	6265	1998-04-25	VYDAJ	VYBER KARTOU	2200	33087	\N	\N	0
1850597	6265	1998-05-25	PRIJEM	VKLAD	1600	31863	\N	\N	\N
1850598	6265	1998-06-24	PRIJEM	VKLAD	6700	27767	\N	\N	\N
1850599	6265	1998-07-24	PRIJEM	VKLAD	9400	26349	\N	\N	\N
1850600	6265	1998-08-23	VYDAJ	VYBER	16600	51908	\N	\N	\N
1850601	6265	1998-09-22	VYDAJ	VYBER	5800	52694	\N	\N	\N
1850602	6265	1998-10-22	VYDAJ	VYBER	5600	44326	\N	\N	\N
1850603	6265	1998-11-21	VYDAJ	VYBER	22300	53153	\N	\N	\N
1850604	6265	1998-12-21	VYDAJ	VYBER KARTOU	1700	36032	\N	\N	0
1852830	6273	1993-07-21	PRIJEM	VKLAD	200	200	\N	\N	\N
1852832	6273	1993-12-02	PRIJEM	VKLAD	9323	34118	\N	\N	\N
1852833	6273	1993-08-11	PRIJEM	VKLAD	49341	49541	\N	\N	\N
1852835	6273	1994-07-19	PRIJEM	VKLAD	34758	57433	\N	\N	\N
1852836	6273	1994-03-31	PRIJEM	VKLAD	25229	54651	\N	\N	\N
1852837	6273	1994-01-06	PRIJEM	VKLAD	40814	69175	\N	\N	\N
1852838	6273	1994-11-20	PRIJEM	VKLAD	35714	63452	\N	\N	\N
1852839	6273	1994-09-16	PRIJEM	VKLAD	9082	32044	\N	\N	\N
1852840	6273	1994-04-17	PRIJEM	VKLAD	10222	65067	\N	\N	\N
1852841	6273	1994-10-18	PRIJEM	VKLAD	5463	31475	\N	\N	\N
1852842	6273	1995-06-03	PRIJEM	VKLAD	9890	37939	\N	\N	\N
1852843	6273	1995-06-07	PRIJEM	VKLAD	15936	53875	\N	\N	\N
1852844	6273	1995-11-11	PRIJEM	VKLAD	9150	29057	\N	\N	\N
1852845	6273	1995-03-17	PRIJEM	VKLAD	49731	82922	\N	\N	\N
1852846	6273	1995-01-21	PRIJEM	VKLAD	47370	62804	\N	\N	\N
1852847	6273	1995-12-28	PRIJEM	VKLAD	25291	120633	\N	\N	\N
1852848	6273	1995-09-01	PRIJEM	VKLAD	21664	61559	\N	\N	\N
1852849	6273	1995-06-16	PRIJEM	VKLAD	12281	50117	\N	\N	\N
1852850	6273	1995-05-05	PRIJEM	VKLAD	24661	70295	\N	\N	\N
1852851	6273	1995-12-16	PRIJEM	VKLAD	39985	95342	\N	\N	\N
1852852	6273	1995-12-09	PRIJEM	VKLAD	10519	42560	\N	\N	\N
1852853	6273	1995-12-11	PRIJEM	VKLAD	16437	58997	\N	\N	\N
1852854	6273	1995-01-31	PRIJEM	VKLAD	12188	62692	\N	\N	\N
1852855	6273	1995-08-01	PRIJEM	VKLAD	18820	44612	\N	\N	\N
1852856	6273	1995-11-24	PRIJEM	VKLAD	9928	35345	\N	\N	\N
1852857	6273	1995-08-26	PRIJEM	VKLAD	10102	39774	\N	\N	\N
1852858	6273	1996-04-06	PRIJEM	VKLAD	7062	69153	\N	\N	\N
1852859	6273	1996-05-10	PRIJEM	VKLAD	36033	54019	\N	\N	\N
1852860	6273	1996-12-20	PRIJEM	VKLAD	48663	75332	\N	\N	\N
1852861	6273	1996-02-15	PRIJEM	VKLAD	21897	54825	\N	\N	\N
1852862	6273	1996-07-07	PRIJEM	VKLAD	24561	49254	\N	\N	\N
1852863	6273	1996-08-27	PRIJEM	VKLAD	13037	69979	\N	\N	\N
1852864	6273	1996-12-14	PRIJEM	VKLAD	17354	37315	\N	\N	\N
1852865	6273	1996-07-29	PRIJEM	VKLAD	15960	89266	\N	\N	\N
1852866	6273	1996-01-26	PRIJEM	VKLAD	23727	56280	\N	\N	\N
1852867	6273	1996-01-24	PRIJEM	VKLAD	28953	57282	\N	\N	\N
1852868	6273	1996-07-28	PRIJEM	VKLAD	11405	73306	\N	\N	\N
1852869	6273	1996-09-01	PRIJEM	VKLAD	14668	84938	\N	\N	\N
1852870	6273	1996-07-26	PRIJEM	VKLAD	32355	61901	\N	\N	\N
1852871	6273	1996-05-27	PRIJEM	VKLAD	18940	62420	\N	\N	\N
1852872	6273	1996-03-27	PRIJEM	VKLAD	32244	61947	\N	\N	\N
1852873	6273	1996-01-19	PRIJEM	VKLAD	30874	46929	\N	\N	\N
1852874	6273	1996-10-20	PRIJEM	VKLAD	31133	95401	\N	\N	\N
1852875	6273	1996-10-05	PRIJEM	VKLAD	34171	88819	\N	\N	\N
1852876	6273	1996-09-25	PRIJEM	VKLAD	45439	85038	\N	\N	\N
1852877	6273	1996-11-16	PRIJEM	VKLAD	24700	75775	\N	\N	\N
1852878	6273	1997-10-05	PRIJEM	VKLAD	14017	63085	\N	\N	\N
1852879	6273	1997-12-16	PRIJEM	VKLAD	49926	119012	\N	\N	\N
1852880	6273	1997-03-31	PRIJEM	VKLAD	39177	56260	\N	\N	\N
1852881	6273	1997-12-01	PRIJEM	VKLAD	19571	69160	\N	\N	\N
1852882	6273	1997-06-12	PRIJEM	VKLAD	19840	51915	\N	\N	\N
1852883	6273	1997-12-05	PRIJEM	VKLAD	15188	84348	\N	\N	\N
1852884	6273	1997-04-08	PRIJEM	VKLAD	22244	69260	\N	\N	\N
1852885	6273	1997-09-09	PRIJEM	VKLAD	8554	55861	\N	\N	\N
1852886	6273	1997-07-28	PRIJEM	VKLAD	23026	57350	\N	\N	\N
1852887	6273	1997-08-27	PRIJEM	VKLAD	20007	65616	\N	\N	\N
1852888	6273	1998-11-06	PRIJEM	VKLAD	9571	83576	\N	\N	\N
1852889	6273	1998-10-05	PRIJEM	VKLAD	7621	76456	\N	\N	\N
1852890	6273	1998-06-21	PRIJEM	VKLAD	31572	146350	\N	\N	\N
1852891	6273	1998-09-09	PRIJEM	VKLAD	13091	74839	\N	\N	\N
1852892	6273	1998-11-08	PRIJEM	VKLAD	12880	96456	\N	\N	\N
1852893	6273	1998-05-29	PRIJEM	VKLAD	43605	102771	\N	\N	\N
1852894	6273	1998-07-21	PRIJEM	VKLAD	6188	103239	\N	\N	\N
1852895	6273	1998-12-24	PRIJEM	VKLAD	16526	65411	\N	\N	\N
1852896	6273	1998-05-02	PRIJEM	VKLAD	15891	76566	\N	\N	\N
1852897	6273	1998-06-19	PRIJEM	VKLAD	44556	114778	\N	\N	\N
1852898	6273	1998-10-06	PRIJEM	VKLAD	49421	125877	\N	\N	\N
1852899	6273	1998-02-01	PRIJEM	VKLAD	42684	122257	\N	\N	\N
1852900	6273	1998-01-15	PRIJEM	VKLAD	44817	89018	\N	\N	\N
1852901	6273	1998-09-16	PRIJEM	VKLAD	21395	88434	\N	\N	\N
1852902	6273	1998-01-20	PRIJEM	VKLAD	34557	113975	\N	\N	\N
1852903	6273	1998-07-14	PRIJEM	VKLAD	31119	97051	\N	\N	\N
1852904	6273	1998-09-26	PRIJEM	VKLAD	5636	73970	\N	\N	\N
1852921	6273	1994-05-10	VYDAJ	VYBER	4000	33034	\N	\N	0
1852922	6273	1994-06-12	VYDAJ	PREVOD NA UCET	3640	25418	UVER	QR	34498596
1852923	6273	1994-07-12	VYDAJ	PREVOD NA UCET	3640	20675	UVER	QR	34498596
1852924	6273	1994-08-12	VYDAJ	PREVOD NA UCET	3640	53938	UVER	QR	34498596
1852925	6273	1994-09-12	VYDAJ	PREVOD NA UCET	3640	19362	UVER	QR	34498596
1852926	6273	1994-10-12	VYDAJ	PREVOD NA UCET	3640	21912	UVER	QR	34498596
1852927	6273	1994-11-12	VYDAJ	PREVOD NA UCET	3640	27938	UVER	QR	34498596
1852928	6273	1994-12-12	VYDAJ	PREVOD NA UCET	3640	59975	UVER	QR	34498596
1852929	6273	1995-01-12	VYDAJ	PREVOD NA UCET	3640	26534	UVER	QR	34498596
1852930	6273	1995-02-12	VYDAJ	PREVOD NA UCET	3640	38847	UVER	QR	34498596
1852931	6273	1995-03-12	VYDAJ	PREVOD NA UCET	3640	35391	UVER	QR	34498596
1852932	6273	1995-04-12	VYDAJ	PREVOD NA UCET	3640	57935	UVER	QR	34498596
1852933	6273	1995-05-12	VYDAJ	PREVOD NA UCET	3640	61856	UVER	QR	34498596
1852934	6273	1995-06-12	VYDAJ	PREVOD NA UCET	3640	37836	UVER	QR	34498596
1852935	6273	1995-07-12	VYDAJ	PREVOD NA UCET	3640	25707	UVER	QR	34498596
1852936	6273	1995-08-12	VYDAJ	PREVOD NA UCET	3640	35072	UVER	QR	34498596
1852937	6273	1995-09-12	VYDAJ	PREVOD NA UCET	3640	43220	UVER	QR	34498596
1852938	6273	1995-10-12	VYDAJ	PREVOD NA UCET	3640	22368	UVER	QR	34498596
1852939	6273	1995-11-12	VYDAJ	PREVOD NA UCET	3640	25417	UVER	QR	34498596
1852940	6273	1995-12-12	VYDAJ	PREVOD NA UCET	3640	55357	UVER	QR	34498596
1852941	6273	1996-01-12	VYDAJ	PREVOD NA UCET	3640	29255	UVER	QR	34498596
1852942	6273	1996-02-12	VYDAJ	PREVOD NA UCET	3640	32928	UVER	QR	34498596
1852943	6273	1996-03-12	VYDAJ	PREVOD NA UCET	3640	29703	UVER	QR	34498596
1852944	6273	1996-04-12	VYDAJ	PREVOD NA UCET	3640	45514	UVER	QR	34498596
1852945	6273	1996-05-12	VYDAJ	PREVOD NA UCET	3640	43480	UVER	QR	34498596
1852946	6273	1996-06-06	VYDAJ	VYBER	2900	43974	\N	\N	0
1852947	6273	1996-07-18	VYDAJ	VYBER	4500	44754	\N	\N	0
1852948	6273	1996-08-15	VYDAJ	VYBER	3000	56942	\N	\N	0
1852949	6273	1996-09-08	VYDAJ	VYBER	3500	46538	\N	\N	0
1852950	6273	1996-10-17	VYDAJ	VYBER	4100	84719	\N	\N	0
1852951	6273	1996-11-19	VYDAJ	VYBER	2900	72875	\N	\N	0
1852952	6273	1996-12-25	VYDAJ	VYBER	3100	63832	\N	\N	0
1852953	6273	1997-01-03	VYDAJ	VYBER	3500	45528	\N	\N	0
1852954	6273	1997-02-13	VYDAJ	VYBER	3800	8039	\N	\N	0
1852955	6273	1997-03-04	VYDAJ	VYBER	4500	17083	\N	\N	0
1852956	6273	1997-04-20	VYDAJ	VYBER	2800	66460	\N	\N	0
1852957	6273	1997-05-15	VYDAJ	VYBER	3900	47615	\N	\N	0
1852958	6273	1997-06-04	VYDAJ	VYBER	4400	32075	\N	\N	0
1852959	6273	1997-07-18	VYDAJ	VYBER	2300	34324	\N	\N	0
1852960	6273	1997-08-13	VYDAJ	VYBER	3500	45609	\N	\N	0
1852961	6273	1997-09-08	VYDAJ	VYBER	3600	47307	\N	\N	0
1852962	6273	1997-10-13	VYDAJ	VYBER	3500	59585	\N	\N	0
1852963	6273	1997-11-23	VYDAJ	VYBER	3900	47793	\N	\N	0
1852964	6273	1997-12-22	VYDAJ	VYBER	2600	80712	\N	\N	0
1852965	6273	1998-01-10	VYDAJ	VYBER	3400	50801	\N	\N	0
1852966	6273	1998-02-16	VYDAJ	VYBER	2600	82457	\N	\N	0
1852967	6273	1998-03-24	VYDAJ	VYBER	2100	67763	\N	\N	0
1852968	6273	1998-04-06	VYDAJ	VYBER	3600	60131	\N	\N	0
1852969	6273	1998-05-22	VYDAJ	VYBER	4000	62966	\N	\N	0
1852970	6273	1998-06-11	VYDAJ	VYBER	2600	81836	\N	\N	0
1852971	6273	1998-07-07	VYDAJ	VYBER	3500	65932	\N	\N	0
1852972	6273	1998-08-11	VYDAJ	VYBER	3400	74960	\N	\N	0
1852973	6273	1998-09-27	VYDAJ	VYBER	5400	68570	\N	\N	0
1852974	6273	1998-10-15	VYDAJ	VYBER	4300	91277	\N	\N	0
1852975	6273	1998-11-28	VYDAJ	VYBER	3300	74856	\N	\N	0
1852976	6273	1998-11-29	VYDAJ	VYBER	3400	58856	\N	\N	0
1852977	6273	1994-09-10	VYBER	VYBER	13015	23001	\N	\N	\N
1852979	6273	1994-04-30	VYBER	VYBER	8126	37049	\N	\N	\N
1852980	6273	1995-11-02	VYBER	VYBER	11941	10507	\N	\N	\N
1852981	6273	1995-02-03	VYBER	VYBER	11058	51786	\N	\N	\N
1852982	6273	1995-03-18	VYBER	VYBER	21540	61382	\N	\N	\N
1852983	6273	1995-05-27	VYBER	VYBER	17189	27867	\N	\N	\N
1852984	6273	1995-09-20	VYBER	VYBER	21342	21878	\N	\N	\N
1852985	6273	1996-02-04	VYBER	VYBER	13986	36167	\N	\N	\N
1852986	6273	1996-12-18	VYBER	VYBER	10646	26669	\N	\N	\N
1852987	6273	1996-07-20	VYBER	VYBER	15208	29546	\N	\N	\N
1852988	6273	1996-12-03	VYBER	VYBER	11327	40435	\N	\N	\N
1852989	6273	1996-10-18	VYBER	VYBER	20451	64268	\N	\N	\N
1852990	6273	1996-09-15	VYBER	VYBER	4530	42008	\N	\N	\N
1852991	6273	1996-09-17	VYBER	VYBER	2409	39599	\N	\N	\N
1852992	6273	1996-10-20	VYBER	VYBER	23379	72022	\N	\N	\N
1852993	6273	1996-05-06	VYBER	VYBER	9089	17986	\N	\N	\N
1852994	6273	1996-04-19	VYBER	VYBER	19805	25709	\N	\N	\N
1852995	6273	1996-01-24	VYBER	VYBER	24729	32553	\N	\N	\N
1852996	6273	1996-02-17	VYBER	VYBER	15837	38988	\N	\N	\N
1852997	6273	1996-12-10	VYBER	VYBER	20474	19961	\N	\N	\N
1852998	6273	1997-05-20	VYBER	VYBER	16031	31584	\N	\N	\N
1852999	6273	1997-06-30	VYBER	VYBER	11365	40739	\N	\N	\N
1853000	6273	1997-12-09	VYBER	VYBER	6262	78086	\N	\N	\N
1853001	6273	1998-06-17	VYBER	VYBER	11614	70222	\N	\N	\N
1853004	6273	1995-06-21	VYDAJ	VYBER	29100	21017	\N	\N	\N
1853005	6273	1996-06-07	VYDAJ	VYBER	18600	25374	\N	\N	\N
1853007	6273	1998-06-07	VYDAJ	VYBER	18600	84436	\N	\N	\N
1853010	6273	1995-01-07	VYDAJ	VYBER	7200	28473	\N	\N	\N
1853011	6273	1996-01-19	VYDAJ	VYBER	18600	28329	\N	\N	\N
1853013	6273	1998-01-17	VYDAJ	VYBER	9600	79418	\N	\N	\N
1853015	6273	1994-12-27	VYDAJ	VYBER	3000	41175	\N	\N	\N
1853016	6273	1995-12-01	VYDAJ	VYBER	5400	30041	\N	\N	\N
1853017	6273	1996-12-25	VYDAJ	VYBER	8400	66932	\N	\N	\N
1853018	6273	1997-12-14	VYDAJ	VYBER	4500	69086	\N	\N	\N
1853019	6273	1998-12-15	VYDAJ	VYBER	5400	47485	\N	\N	\N
1853032	6273	1995-01-19	VYDAJ	VYBER	6300	15434	\N	\N	\N
1853033	6273	1995-01-29	VYDAJ	VYBER	8100	54704	\N	\N	\N
1853034	6273	1995-01-17	VYDAJ	VYBER	4800	21734	\N	\N	\N
1853035	6273	1995-01-03	VYDAJ	VYBER	3900	35673	\N	\N	\N
1853036	6273	1995-01-01	VYDAJ	VYBER	1800	39573	\N	\N	\N
1853037	6273	1995-01-30	VYDAJ	VYBER	4200	50504	\N	\N	\N
1853038	6273	1996-01-18	VYDAJ	VYBER	5100	16055	\N	\N	\N
1853039	6273	1996-01-10	VYDAJ	VYBER	5100	32894	\N	\N	\N
1853040	6273	1996-01-30	VYDAJ	VYBER	6300	49980	\N	\N	\N
1853041	6273	1996-01-18	VYDAJ	VYBER	8100	21155	\N	\N	\N
1853042	6273	1996-01-08	VYDAJ	VYBER	6900	37994	\N	\N	\N
1853043	6273	1996-01-04	VYDAJ	VYBER	7500	59394	\N	\N	\N
1853044	6273	1997-01-04	VYDAJ	VYBER	6600	38928	\N	\N	\N
1853045	6273	1997-01-30	VYDAJ	VYBER	3000	9828	\N	\N	\N
1853046	6273	1997-01-27	VYDAJ	VYBER	8400	12828	\N	\N	\N
1853047	6273	1997-01-17	VYDAJ	VYBER	6600	27528	\N	\N	\N
1853048	6273	1997-01-05	VYDAJ	VYBER	4800	34128	\N	\N	\N
1853049	6273	1997-01-23	VYDAJ	VYBER	6300	21228	\N	\N	\N
1853050	6273	1998-01-06	VYDAJ	VYBER	1500	59601	\N	\N	\N
1853051	6273	1998-01-06	VYDAJ	VYBER	5400	54201	\N	\N	\N
1853052	6273	1998-01-12	VYDAJ	VYBER	6600	44201	\N	\N	\N
1853053	6273	1998-01-04	VYDAJ	VYBER	6000	61101	\N	\N	\N
1853054	6273	1998-01-26	VYDAJ	VYBER	6000	79275	\N	\N	\N
1853055	6273	1998-01-21	VYDAJ	VYBER	7800	106175	\N	\N	\N
1853061	6273	1994-08-23	VYDAJ	VYBER	2700	35838	\N	\N	\N
1853062	6273	1994-09-18	VYDAJ	VYBER	6600	25444	\N	\N	\N
1853063	6273	1994-11-13	VYDAJ	VYBER	2100	27738	\N	\N	\N
1853065	6273	1995-05-07	VYDAJ	VYBER	4800	65495	\N	\N	\N
1853066	6273	1995-10-09	VYDAJ	VYBER	4200	26008	\N	\N	\N
1853067	6273	1995-08-21	VYDAJ	VYBER	5400	29672	\N	\N	\N
1853068	6273	1996-04-26	VYDAJ	VYBER	8400	17309	\N	\N	\N
1853069	6273	1996-05-10	VYDAJ	VYBER	6900	47119	\N	\N	\N
1853070	6273	1996-09-04	VYDAJ	VYBER	2700	50038	\N	\N	\N
1853071	6273	1997-02-04	VYDAJ	VYBER	12000	11839	\N	\N	\N
1853072	6273	1997-04-30	VYDAJ	VYBER	5100	61615	\N	\N	\N
1853073	6273	1997-12-11	VYDAJ	VYBER	4500	73586	\N	\N	\N
1853074	6273	1998-05-27	VYDAJ	VYBER KARTOU	2100	59166	\N	\N	0
1853075	6273	1998-12-04	VYDAJ	VYBER	6300	52885	\N	\N	\N
1853076	6273	1998-11-28	VYDAJ	VYBER	12600	62256	\N	\N	\N
1853077	6273	1998-05-05	VYDAJ	VYBER	9600	66966	\N	\N	\N
1853078	6273	1998-09-18	VYDAJ	VYBER	14700	73734	\N	\N	\N
1853079	6273	1998-09-10	VYDAJ	VYBER	7800	67039	\N	\N	\N
1853096	6273	1994-04-30	VYDAJ	VYBER	15	37034	SLUZBY	\N	\N
1853097	6273	1994-05-31	VYDAJ	VYBER	15	29058	SLUZBY	\N	\N
1853098	6273	1994-06-30	VYDAJ	VYBER	15	24315	SLUZBY	\N	\N
1853099	6273	1994-07-31	VYDAJ	VYBER	15	57577	SLUZBY	\N	\N
1853100	6273	1994-08-31	VYDAJ	VYBER	15	36016	SLUZBY	\N	\N
1853101	6273	1994-09-30	VYDAJ	VYBER	15	25551	SLUZBY	\N	\N
1853102	6273	1994-10-31	VYDAJ	VYBER	15	31578	SLUZBY	\N	\N
1853103	6273	1994-11-30	VYDAJ	VYBER	15	63614	SLUZBY	\N	\N
1853104	6273	1994-12-31	VYDAJ	VYBER	15	41373	SLUZBY	\N	\N
1853105	6273	1995-01-31	VYDAJ	VYBER	15	62844	SLUZBY	\N	\N
1853106	6273	1995-02-28	VYDAJ	VYBER	15	39030	SLUZBY	\N	\N
1853107	6273	1995-03-31	VYDAJ	VYBER	15	61575	SLUZBY	\N	\N
1853108	6273	1995-04-30	VYDAJ	VYBER	15	45634	SLUZBY	\N	\N
1853109	6273	1995-05-31	VYDAJ	VYBER	15	28049	SLUZBY	\N	\N
1853110	6273	1995-06-30	VYDAJ	VYBER	15	21146	SLUZBY	\N	\N
1853111	6273	1995-07-31	VYDAJ	VYBER	15	25792	SLUZBY	\N	\N
1853112	6273	1995-08-31	VYDAJ	VYBER	15	39895	SLUZBY	\N	\N
1853113	6273	1995-09-30	VYDAJ	VYBER	15	22008	SLUZBY	\N	\N
1853114	6273	1995-10-31	VYDAJ	VYBER	15	22448	SLUZBY	\N	\N
1853115	6273	1995-11-30	VYDAJ	VYBER	15	35441	SLUZBY	\N	\N
1853116	6273	1995-12-31	VYDAJ	VYBER	15	66894	SLUZBY	\N	\N
1853117	6273	1996-01-31	VYDAJ	VYBER	15	50153	SLUZBY	\N	\N
1853118	6273	1996-02-29	VYDAJ	VYBER	15	39143	SLUZBY	\N	\N
1853119	6273	1996-03-31	VYDAJ	VYBER	15	62091	SLUZBY	\N	\N
1853120	6273	1996-04-30	VYDAJ	VYBER	15	17475	SLUZBY	\N	\N
1853121	6273	1996-05-31	VYDAJ	VYBER	15	62574	SLUZBY	\N	\N
1853122	6273	1996-06-30	VYDAJ	VYBER	15	25493	SLUZBY	\N	\N
1853123	6273	1996-07-31	VYDAJ	VYBER	15	89442	SLUZBY	\N	\N
1853124	6273	1996-08-31	VYDAJ	VYBER	15	70270	SLUZBY	\N	\N
1853125	6273	1996-09-30	VYDAJ	VYBER	15	85248	SLUZBY	\N	\N
1853126	6273	1996-10-31	VYDAJ	VYBER	15	72375	SLUZBY	\N	\N
1853127	6273	1996-11-30	VYDAJ	VYBER	15	73162	SLUZBY	\N	\N
1853128	6273	1996-12-31	VYDAJ	VYBER	15	64028	SLUZBY	\N	\N
1853129	6273	1997-01-31	VYDAJ	VYBER	15	23839	SLUZBY	\N	\N
1853130	6273	1997-02-28	VYDAJ	VYBER	15	8083	SLUZBY	\N	\N
1853131	6273	1997-03-31	VYDAJ	VYBER	15	56316	SLUZBY	\N	\N
1853132	6273	1997-04-30	VYDAJ	VYBER	15	66715	SLUZBY	\N	\N
1853133	6273	1997-05-31	VYDAJ	VYBER	15	36475	SLUZBY	\N	\N
1853134	6273	1997-06-30	VYDAJ	VYBER	15	36624	SLUZBY	\N	\N
1853135	6273	1997-07-31	VYDAJ	VYBER	15	49109	SLUZBY	\N	\N
1853136	6273	1997-08-31	VYDAJ	VYBER	15	50907	SLUZBY	\N	\N
1853137	6273	1997-09-30	VYDAJ	VYBER	15	49068	SLUZBY	\N	\N
1853138	6273	1997-10-31	VYDAJ	VYBER	15	51693	SLUZBY	\N	\N
1853139	6273	1997-11-30	VYDAJ	VYBER	15	49589	SLUZBY	\N	\N
1853140	6273	1997-12-31	VYDAJ	VYBER	15	67101	SLUZBY	\N	\N
1853141	6273	1998-01-31	VYDAJ	VYBER	15	79573	SLUZBY	\N	\N
1853142	6273	1998-02-28	VYDAJ	VYBER	15	69863	SLUZBY	\N	\N
1853143	6273	1998-03-31	VYDAJ	VYBER	15	63731	SLUZBY	\N	\N
1853144	6273	1998-04-30	VYDAJ	VYBER	15	60675	SLUZBY	\N	\N
1853145	6273	1998-05-31	VYDAJ	VYBER	15	103036	SLUZBY	\N	\N
1853146	6273	1998-06-30	VYDAJ	VYBER	15	69432	SLUZBY	\N	\N
1853147	6273	1998-07-31	VYDAJ	VYBER	15	78360	SLUZBY	\N	\N
1853148	6273	1998-08-31	VYDAJ	VYBER	15	61748	SLUZBY	\N	\N
1853149	6273	1998-09-30	VYDAJ	VYBER	15	68835	SLUZBY	\N	\N
1853150	6273	1998-10-31	VYDAJ	VYBER	15	74005	SLUZBY	\N	\N
1853151	6273	1998-11-30	VYDAJ	VYBER	15	59185	SLUZBY	\N	\N
1853152	6273	1993-08-20	VYDAJ	VYBER	10300	39241	\N	\N	\N
1853153	6273	1993-09-19	VYDAJ	VYBER	8400	30904	\N	\N	\N
1853154	6273	1993-10-19	VYDAJ	VYBER	5100	25968	\N	\N	\N
1853155	6273	1993-11-18	VYDAJ	VYBER	1500	24631	\N	\N	\N
1853156	6273	1993-12-18	VYDAJ	VYBER	5900	28218	\N	\N	\N
1853157	6273	1994-01-17	VYDAJ	VYBER	22800	46375	\N	\N	\N
1853158	6273	1994-02-16	VYDAJ	VYBER	11300	35229	\N	\N	\N
1853159	6273	1994-03-18	VYDAJ	VYBER	6000	29422	\N	\N	\N
1853160	6273	1994-04-17	VYDAJ	VYBER	20100	44967	\N	\N	\N
1853161	6273	1994-05-17	VYDAJ	VYBER	4100	28934	\N	\N	\N
1853162	6273	1994-06-16	VYDAJ	VYBER	1200	24218	\N	\N	\N
1853163	6273	1994-07-16	PRIJEM	VKLAD	2000	22675	\N	\N	\N
1853164	6273	1994-08-15	VYDAJ	VYBER	15400	38538	\N	\N	\N
1853165	6273	1994-09-14	PRIJEM	VKLAD	3600	22962	\N	\N	\N
1853166	6273	1994-10-14	PRIJEM	VKLAD	4100	26012	\N	\N	\N
1853167	6273	1994-11-13	PRIJEM	VKLAD	1900	29838	\N	\N	\N
1853168	6273	1994-12-13	VYDAJ	VYBER	15800	44175	\N	\N	\N
1853169	6273	1995-01-12	PRIJEM	VKLAD	1700	30173	\N	\N	\N
1853170	6273	1995-02-11	VYDAJ	VYBER	9300	42486	\N	\N	\N
1853171	6273	1995-03-13	VYDAJ	VYBER	2200	33191	\N	\N	\N
1853172	6273	1995-04-12	VYDAJ	VYBER	12500	45435	\N	\N	\N
1853173	6273	1995-05-12	VYDAJ	VYBER	16800	45056	\N	\N	\N
1853174	6273	1995-06-11	VYDAJ	VYBER	12400	41475	\N	\N	\N
1853175	6273	1995-07-11	PRIJEM	VKLAD	8200	29346	\N	\N	\N
1853176	6273	1995-08-10	VYDAJ	VYBER	5900	38712	\N	\N	\N
1853177	6273	1995-09-09	VYDAJ	VYBER	14700	46859	\N	\N	\N
1853178	6273	1995-10-09	PRIJEM	VKLAD	8200	30208	\N	\N	\N
1853179	6273	1995-11-08	PRIJEM	VKLAD	9400	19907	\N	\N	\N
1853180	6273	1995-12-08	PRIJEM	VKLAD	2000	32041	\N	\N	\N
1853181	6273	1995-12-28	VYDAJ	VYBER	54000	66633	\N	\N	\N
1853182	6273	1996-01-07	VYDAJ	VYBER	14500	44894	\N	\N	\N
1853183	6273	1996-02-06	PRIJEM	VKLAD	400	36567	\N	\N	\N
1853184	6273	1996-03-07	VYDAJ	VYBER	5800	33343	\N	\N	\N
1853185	6273	1996-04-06	VYDAJ	VYBER	20000	49153	\N	\N	\N
1853186	6273	1996-05-06	PRIJEM	VKLAD	9600	27075	\N	\N	\N
1853187	6273	1996-06-05	VYDAJ	VYBER	15700	46874	\N	\N	\N
1853188	6273	1996-07-05	VYDAJ	VYBER	800	24693	\N	\N	\N
1853189	6273	1996-08-04	VYDAJ	VYBER	29500	59942	\N	\N	\N
1853190	6273	1996-09-03	VYDAJ	VYBER	32200	52738	\N	\N	\N
1853191	6273	1996-10-03	VYDAJ	VYBER	30600	54648	\N	\N	\N
1853192	6273	1996-11-02	VYDAJ	VYBER	21300	51075	\N	\N	\N
1853193	6273	1996-12-02	VYDAJ	VYBER	21400	51762	\N	\N	\N
1853194	6273	1997-01-01	VYDAJ	VYBER	15000	49028	\N	\N	\N
1853195	6273	1997-01-31	PRIJEM	VKLAD	13900	23728	\N	\N	\N
1853196	6273	1997-03-02	PRIJEM	VKLAD	13500	21583	\N	\N	\N
1853197	6273	1997-04-01	VYDAJ	VYBER	9300	47016	\N	\N	\N
1853198	6273	1997-05-01	VYDAJ	VYBER	10100	51515	\N	\N	\N
1853199	6273	1997-05-31	PRIJEM	VKLAD	4700	36284	\N	\N	\N
1853200	6273	1997-06-30	VYDAJ	VYBER	4100	36639	\N	\N	\N
1853201	6273	1997-07-30	VYDAJ	VYBER	8400	48950	\N	\N	\N
1853202	6273	1997-08-29	VYDAJ	VYBER	14900	50716	\N	\N	\N
1853203	6273	1997-09-28	VYDAJ	VYBER	7000	48861	\N	\N	\N
1853204	6273	1997-10-28	VYDAJ	VYBER	8100	51485	\N	\N	\N
1853205	6273	1997-11-27	PRIJEM	VKLAD	1600	49393	\N	\N	\N
1853206	6273	1997-12-16	VYDAJ	VYBER	35700	83312	\N	\N	\N
1853207	6273	1997-12-27	VYDAJ	VYBER	13900	66812	\N	\N	\N
1853208	6273	1998-01-26	VYDAJ	VYBER	20900	85275	\N	\N	\N
1853209	6273	1998-02-01	VYDAJ	VYBER	37200	85057	\N	\N	\N
1853210	6273	1998-02-25	VYDAJ	VYBER	13000	69457	\N	\N	\N
1853211	6273	1998-03-27	VYDAJ	VYBER	4300	63463	\N	\N	\N
1853212	6273	1998-04-26	PRIJEM	VKLAD	300	60431	\N	\N	\N
1853213	6273	1998-05-26	VYDAJ	VYBER KARTOU	1700	61266	\N	\N	0
1853214	6273	1998-06-21	VYDAJ	VYBER	59400	86950	\N	\N	\N
1853215	6273	1998-06-25	VYDAJ	VYBER	17900	69050	\N	\N	\N
1853216	6273	1998-07-25	VYDAJ	VYBER	25200	78039	\N	\N	\N
1853217	6273	1998-08-24	VYDAJ	VYBER	13500	61460	\N	\N	\N
1853218	6273	1998-09-23	VYDAJ	VYBER	5400	68334	\N	\N	\N
1853219	6273	1998-10-06	VYDAJ	VYBER	30300	95577	\N	\N	\N
1853220	6273	1998-10-23	VYDAJ	VYBER	17600	73677	\N	\N	\N
1853221	6273	1998-11-22	VYDAJ	VYBER	18300	78156	\N	\N	\N
1853222	6273	1998-12-22	PRIJEM	VKLAD	1400	48885	\N	\N	\N
1855304	6281	1993-06-08	PRIJEM	VKLAD	900	16960	\N	\N	\N
1855310	6281	1993-06-08	PRIJEM	PREVOD Z UCTU	16060	16060	\N	AB	58915007
1855311	6281	1993-07-08	PRIJEM	PREVOD Z UCTU	10707	27718	\N	AB	58915007
1855312	6281	1993-08-08	PRIJEM	PREVOD Z UCTU	10707	38128	\N	AB	58915007
1855313	6281	1993-09-08	PRIJEM	PREVOD Z UCTU	10707	39884	\N	AB	58915007
1855314	6281	1993-10-08	PRIJEM	PREVOD Z UCTU	10707	44855	\N	AB	58915007
1855315	6281	1993-11-08	PRIJEM	PREVOD Z UCTU	10707	44016	\N	AB	58915007
1855316	6281	1993-12-08	PRIJEM	PREVOD Z UCTU	16060	39848	\N	AB	58915007
1855317	6281	1994-01-08	PRIJEM	PREVOD Z UCTU	10707	35472	\N	AB	58915007
1855318	6281	1994-02-08	PRIJEM	PREVOD Z UCTU	10707	25653	\N	AB	58915007
1855319	6281	1994-03-08	PRIJEM	PREVOD Z UCTU	10707	32177	\N	AB	58915007
1855320	6281	1994-04-08	PRIJEM	PREVOD Z UCTU	10707	30433	\N	AB	58915007
1855321	6281	1994-05-08	PRIJEM	PREVOD Z UCTU	10707	24876	\N	AB	58915007
1855322	6281	1994-06-08	PRIJEM	PREVOD Z UCTU	16060	36892	\N	AB	58915007
1855323	6281	1994-07-08	PRIJEM	PREVOD Z UCTU	10707	36123	\N	AB	58915007
1855324	6281	1994-08-08	PRIJEM	PREVOD Z UCTU	10707	27861	\N	AB	58915007
1855325	6281	1994-09-08	PRIJEM	PREVOD Z UCTU	10707	22099	\N	AB	58915007
1855326	6281	1994-10-08	PRIJEM	PREVOD Z UCTU	10707	34272	\N	AB	58915007
1855327	6281	1994-11-08	PRIJEM	PREVOD Z UCTU	10707	38295	\N	AB	58915007
1855328	6281	1994-12-08	PRIJEM	PREVOD Z UCTU	16060	20390	\N	AB	58915007
1855329	6281	1995-01-08	PRIJEM	PREVOD Z UCTU	10707	22366	\N	AB	58915007
1855330	6281	1995-02-08	PRIJEM	PREVOD Z UCTU	10707	9054	\N	AB	58915007
1855331	6281	1995-03-08	PRIJEM	PREVOD Z UCTU	10707	24970	\N	AB	58915007
1855332	6281	1995-04-08	PRIJEM	PREVOD Z UCTU	10707	22226	\N	AB	58915007
1855333	6281	1995-05-08	PRIJEM	PREVOD Z UCTU	10707	31069	\N	AB	58915007
1855334	6281	1995-06-08	PRIJEM	PREVOD Z UCTU	16060	26815	\N	AB	58915007
1855335	6281	1995-07-08	PRIJEM	PREVOD Z UCTU	10707	30162	\N	AB	58915007
1855336	6281	1995-08-08	PRIJEM	PREVOD Z UCTU	10707	24344	\N	AB	58915007
1855337	6281	1995-09-08	PRIJEM	PREVOD Z UCTU	10707	32402	\N	AB	58915007
1855338	6281	1995-10-08	PRIJEM	PREVOD Z UCTU	10707	15804	\N	AB	58915007
1855339	6281	1995-11-08	PRIJEM	PREVOD Z UCTU	10707	26926	\N	AB	58915007
1855340	6281	1995-12-08	PRIJEM	PREVOD Z UCTU	16060	19560	\N	AB	58915007
1855341	6281	1996-01-08	PRIJEM	PREVOD Z UCTU	10707	17012	\N	AB	58915007
1855342	6281	1996-02-08	PRIJEM	PREVOD Z UCTU	10707	11239	\N	AB	58915007
1855343	6281	1996-03-08	PRIJEM	PREVOD Z UCTU	10707	23245	\N	AB	58915007
1855344	6281	1996-04-08	PRIJEM	PREVOD Z UCTU	10707	29796	\N	AB	58915007
1855345	6281	1996-05-08	PRIJEM	PREVOD Z UCTU	10707	20763	\N	AB	58915007
1855346	6281	1996-06-08	PRIJEM	PREVOD Z UCTU	16060	29253	\N	AB	58915007
1855347	6281	1996-07-08	PRIJEM	PREVOD Z UCTU	10707	24466	\N	AB	58915007
1855348	6281	1996-08-08	PRIJEM	PREVOD Z UCTU	10707	13534	\N	AB	58915007
1855349	6281	1996-09-08	PRIJEM	PREVOD Z UCTU	10707	14440	\N	AB	58915007
1855350	6281	1996-10-08	PRIJEM	PREVOD Z UCTU	10707	13745	\N	AB	58915007
1855351	6281	1996-11-08	PRIJEM	PREVOD Z UCTU	10707	19859	\N	AB	58915007
1855352	6281	1996-12-08	PRIJEM	PREVOD Z UCTU	16060	16810	\N	AB	58915007
1855353	6281	1997-01-08	PRIJEM	PREVOD Z UCTU	10707	7353	\N	AB	58915007
1855354	6281	1997-02-08	PRIJEM	PREVOD Z UCTU	10707	8025	\N	AB	58915007
1855355	6281	1997-03-08	PRIJEM	PREVOD Z UCTU	10707	11000	\N	AB	58915007
1855356	6281	1997-04-08	PRIJEM	PREVOD Z UCTU	10707	7655	\N	AB	58915007
1855357	6281	1997-05-08	PRIJEM	PREVOD Z UCTU	10707	10488	\N	AB	58915007
1855358	6281	1997-06-08	PRIJEM	PREVOD Z UCTU	16060	19536	\N	AB	58915007
1855359	6281	1997-07-08	PRIJEM	PREVOD Z UCTU	10707	16449	\N	AB	58915007
1855360	6281	1997-08-08	PRIJEM	PREVOD Z UCTU	10707	14250	\N	AB	58915007
1855361	6281	1997-09-08	PRIJEM	PREVOD Z UCTU	10707	16676	\N	AB	58915007
1855362	6281	1997-10-08	PRIJEM	PREVOD Z UCTU	10707	10472	\N	AB	58915007
1855363	6281	1997-11-08	PRIJEM	PREVOD Z UCTU	10707	18979	\N	AB	58915007
1855364	6281	1997-12-08	PRIJEM	PREVOD Z UCTU	16060	14417	\N	AB	58915007
1855365	6281	1998-01-08	PRIJEM	PREVOD Z UCTU	10707	7510	\N	AB	58915007
1855366	6281	1998-02-08	PRIJEM	PREVOD Z UCTU	10707	7593	\N	AB	58915007
1855367	6281	1998-03-08	PRIJEM	PREVOD Z UCTU	10707	13277	\N	AB	58915007
1855368	6281	1998-04-08	PRIJEM	PREVOD Z UCTU	10707	16586	\N	AB	58915007
1855369	6281	1998-05-08	PRIJEM	PREVOD Z UCTU	10707	21212	\N	AB	58915007
1855370	6281	1998-06-08	PRIJEM	PREVOD Z UCTU	16060	28704	\N	AB	58915007
1855371	6281	1998-07-08	PRIJEM	PREVOD Z UCTU	10707	21843	\N	AB	58915007
1855372	6281	1998-08-08	PRIJEM	PREVOD Z UCTU	10707	16275	\N	AB	58915007
1855373	6281	1998-09-08	PRIJEM	PREVOD Z UCTU	10707	8566	\N	AB	58915007
1855374	6281	1998-10-08	PRIJEM	PREVOD Z UCTU	10707	12153	\N	AB	58915007
1855375	6281	1998-11-08	PRIJEM	PREVOD Z UCTU	10707	8191	\N	AB	58915007
1855376	6281	1998-12-08	PRIJEM	PREVOD Z UCTU	16060	14826	\N	AB	58915007
1855377	6281	1993-11-12	VYBER	VYBER	20040	23976	\N	\N	\N
1855383	6281	1994-03-16	VYBER	VYBER	3403	28774	\N	\N	\N
1855384	6281	1994-05-27	VYBER	VYBER	3016	21860	\N	\N	\N
1855385	6281	1994-04-04	VYBER	VYBER	16343	19726	\N	\N	\N
1855386	6281	1994-12-14	VYBER	VYBER	23043	-2653	\N	\N	\N
1855387	6281	1994-12-06	VYBER	VYBER	18663	4330	\N	\N	\N
1855388	6281	1994-05-29	VYBER	VYBER	6607	15253	\N	\N	\N
1855389	6281	1994-04-26	VYBER	VYBER	17867	12566	\N	\N	\N
1855391	6281	1994-06-11	VYBER	VYBER	6476	30416	\N	\N	\N
1855392	6281	1994-02-13	VYBER	VYBER	11132	14521	\N	\N	\N
1855393	6281	1994-08-21	VYBER	VYBER	5515	7946	\N	\N	\N
1855394	6281	1995-11-09	VYBER	VYBER	21550	5376	\N	\N	\N
1855395	6281	1995-02-13	VYBER	VYBER	3807	5247	\N	\N	\N
1855396	6281	1995-05-17	VYBER	VYBER	15389	15680	\N	\N	\N
1855397	6281	1995-05-20	VYBER	VYBER	16562	-882	\N	\N	\N
1855398	6281	1995-03-08	VYBER	VYBER	8012	16958	\N	\N	\N
1855399	6281	1995-07-21	VYBER	VYBER	23576	6586	\N	\N	\N
1855402	6281	1995-03-17	VYBER	VYBER	17956	-998	\N	\N	\N
1855403	6281	1995-02-04	VYBER	VYBER	11037	-1653	\N	\N	\N
1855404	6281	1995-09-12	VYBER	VYBER	22647	9755	\N	\N	\N
1855406	6281	1996-07-30	VYBER	VYBER	3310	2779	\N	\N	\N
1855407	6281	1996-04-17	VYBER	VYBER	21185	8611	\N	\N	\N
1855408	6281	1996-12-19	VYBER	VYBER	5879	10931	\N	\N	\N
1855411	6281	1996-07-12	VYBER	VYBER	3594	20872	\N	\N	\N
1855412	6281	1996-07-19	VYBER	VYBER	5083	15789	\N	\N	\N
1855413	6281	1996-11-29	VYBER	VYBER	3527	3432	\N	\N	\N
1855414	6281	1996-07-05	VYBER	VYBER	4439	13759	\N	\N	\N
1855415	6281	1997-08-07	VYBER	VYBER	4419	3543	\N	\N	\N
1855416	6281	1997-03-09	VYBER	VYBER	3829	7171	\N	\N	\N
1855421	6281	1997-11-11	VYBER	VYBER	17507	1472	\N	\N	\N
1855422	6281	1997-04-10	VYBER	VYBER	4950	2705	\N	\N	\N
1855423	6281	1997-09-11	VYBER	VYBER	18463	-1787	\N	\N	\N
1855424	6281	1997-09-20	VYBER	VYBER	2337	-224	\N	\N	\N
1855431	6281	1998-12-23	VYBER	VYBER	3171	-1745	\N	\N	\N
1855434	6281	1998-11-03	VYBER	VYBER	5362	-2516	\N	\N	\N
1855443	6281	1993-12-09	VYDAJ	VYBER	6300	33548	\N	\N	\N
1855445	6281	1995-12-19	VYDAJ	VYBER	6000	13560	\N	\N	\N
1855446	6281	1996-12-03	VYDAJ	VYBER	2700	750	\N	\N	\N
1855448	6281	1998-12-13	VYDAJ	VYBER	3300	1426	\N	\N	\N
1855455	6281	1994-01-19	VYDAJ	VYBER	2700	17772	\N	\N	\N
1855456	6281	1994-01-03	VYDAJ	VYBER	4800	24965	\N	\N	\N
1855457	6281	1994-01-01	VYDAJ	VYBER	3900	29765	\N	\N	\N
1855458	6281	1994-01-19	VYDAJ	VYBER	8400	9372	\N	\N	\N
1855459	6281	1994-01-16	VYDAJ	VYBER	7500	20472	\N	\N	\N
1855460	6281	1994-01-08	VYDAJ	VYBER	7500	27972	\N	\N	\N
1855462	6281	1995-01-24	VYDAJ	VYBER	1800	466	\N	\N	\N
1855463	6281	1995-01-14	VYDAJ	VYBER	6600	8266	\N	\N	\N
1855464	6281	1995-01-13	VYDAJ	VYBER	7500	14866	\N	\N	\N
1855465	6281	1995-01-14	VYDAJ	VYBER	2100	2266	\N	\N	\N
1855466	6281	1995-01-14	VYDAJ	VYBER	3900	4366	\N	\N	\N
1855467	6281	1996-01-23	VYDAJ	VYBER	5400	2012	\N	\N	\N
1855468	6281	1996-01-28	VYDAJ	VYBER	7500	512	\N	\N	\N
1855469	6281	1996-01-05	VYDAJ	VYBER	5400	6305	\N	\N	\N
1855470	6281	1996-01-17	VYDAJ	VYBER	1500	7412	\N	\N	\N
1855471	6281	1996-01-13	VYDAJ	VYBER	2700	8912	\N	\N	\N
1855472	6281	1996-01-09	VYDAJ	VYBER	5400	11612	\N	\N	\N
1855475	6281	1997-01-15	VYDAJ	VYBER	2400	-147	\N	\N	\N
1855477	6281	1997-01-19	VYDAJ	VYBER	2400	-2647	\N	\N	\N
1855478	6281	1997-01-11	VYDAJ	VYBER	5100	2253	\N	\N	\N
1855479	6281	1998-01-15	VYDAJ	VYBER	1500	210	\N	\N	\N
1855481	6281	1998-01-23	VYDAJ	VYBER	3300	-3090	\N	\N	\N
1855482	6281	1998-01-02	VYDAJ	VYBER	3600	703	\N	\N	\N
1855485	6281	1993-10-10	VYDAJ	VYBER	4800	40055	\N	\N	\N
1855490	6281	1994-09-01	VYDAJ	VYBER	10500	11392	\N	\N	\N
1855491	6281	1994-08-10	VYDAJ	VYBER	14400	13461	\N	\N	\N
1855492	6281	1994-08-03	VYDAJ	VYBER	13800	17154	\N	\N	\N
1855493	6281	1994-05-04	VYDAJ	VYBER	11400	14169	\N	\N	\N
1855494	6281	1994-11-22	VYDAJ	VYBER	12600	25695	\N	\N	\N
1855495	6281	1995-08-22	VYDAJ	VYBER	4500	19844	\N	\N	\N
1855496	6281	1995-06-23	VYDAJ	VYBER	5400	21415	\N	\N	\N
1855497	6281	1995-09-27	VYDAJ	VYBER	9900	5055	\N	\N	\N
1855498	6281	1995-12-03	VYDAJ	VYBER	7200	3500	\N	\N	\N
1855499	6281	1996-12-19	VYDAJ	VYBER	13500	-3369	\N	\N	\N
1855503	6281	1996-11-17	VYDAJ	VYBER	7500	12359	\N	\N	\N
1855504	6281	1996-09-17	VYDAJ	VYBER	11700	2740	\N	\N	\N
1855506	6281	1996-08-16	VYDAJ	VYBER	9300	4234	\N	\N	\N
1855508	6281	1997-03-17	VYDAJ	VYBER	10200	-3029	\N	\N	\N
1855511	6281	1997-06-12	VYDAJ	VYBER	10500	9036	\N	\N	\N
1855513	6281	1998-01-04	VYDAJ	VYBER	3900	-3197	\N	\N	\N
1855516	6281	1998-06-11	VYDAJ	VYBER	12900	15804	\N	\N	\N
1855517	6281	1998-08-18	VYDAJ	VYBER	7800	-2125	\N	\N	\N
1855518	6281	1998-07-28	VYDAJ	VYBER	4800	5543	\N	\N	\N
1855529	6281	1993-10-31	VYDAJ	VYBER	15	40209	SLUZBY	\N	\N
1855530	6281	1993-11-30	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
1855531	6281	1993-12-31	VYDAJ	VYBER	15	33665	SLUZBY	\N	\N
1855532	6281	1994-01-31	VYDAJ	VYBER	15	9446	SLUZBY	\N	\N
1855533	6281	1994-02-28	VYDAJ	VYBER	15	14570	SLUZBY	\N	\N
1855534	6281	1994-03-31	VYDAJ	VYBER	15	28869	SLUZBY	\N	\N
1855535	6281	1994-04-30	VYDAJ	VYBER	15	12669	SLUZBY	\N	\N
1855536	6281	1994-05-31	VYDAJ	VYBER	15	15332	SLUZBY	\N	\N
1855537	6281	1994-06-30	VYDAJ	VYBER	15	30516	SLUZBY	\N	\N
1855538	6281	1994-07-31	VYDAJ	VYBER	15	36254	SLUZBY	\N	\N
1855539	6281	1994-08-31	VYDAJ	VYBER	15	7992	SLUZBY	\N	\N
1855540	6281	1994-09-30	VYDAJ	VYBER	15	22165	SLUZBY	\N	\N
1855541	6281	1994-10-31	VYDAJ	VYBER	15	27588	SLUZBY	\N	\N
1855542	6281	1994-11-30	VYDAJ	VYBER	15	22993	SLUZBY	\N	\N
1855543	6281	1994-12-31	VYDAJ	VYBER	15	11673	SLUZBY	\N	\N
1855544	6281	1995-01-31	VYDAJ	VYBER	15	9384	SLUZBY	\N	\N
1855545	6281	1995-02-28	VYDAJ	VYBER	15	14263	SLUZBY	\N	\N
1855546	6281	1995-03-31	VYDAJ	VYBER	15	11524	SLUZBY	\N	\N
1855547	6281	1995-04-30	VYDAJ	VYBER	15	20362	SLUZBY	\N	\N
1855548	6281	1995-05-31	VYDAJ	VYBER	15	10755	SLUZBY	\N	\N
1855549	6281	1995-06-30	VYDAJ	VYBER	15	19455	SLUZBY	\N	\N
1855550	6281	1995-07-31	VYDAJ	VYBER	15	13637	SLUZBY	\N	\N
1855551	6281	1995-08-31	VYDAJ	VYBER	15	21695	SLUZBY	\N	\N
1855552	6281	1995-09-30	VYDAJ	VYBER	15	5097	SLUZBY	\N	\N
1855553	6281	1995-10-31	VYDAJ	VYBER	15	16219	SLUZBY	\N	\N
1855554	6281	1995-11-30	VYDAJ	VYBER	15	10700	SLUZBY	\N	\N
1855555	6281	1995-12-31	VYDAJ	VYBER	15	11705	SLUZBY	\N	\N
1855556	6281	1996-01-31	VYDAJ	VYBER	15	532	SLUZBY	\N	\N
1855557	6281	1996-02-29	VYDAJ	VYBER	15	12538	SLUZBY	\N	\N
1855558	6281	1996-03-31	VYDAJ	VYBER	15	19089	SLUZBY	\N	\N
1855559	6281	1996-04-30	VYDAJ	VYBER	15	10056	SLUZBY	\N	\N
1855560	6281	1996-05-31	VYDAJ	VYBER	15	13193	SLUZBY	\N	\N
1855561	6281	1996-06-30	VYDAJ	VYBER	15	18198	SLUZBY	\N	\N
1855562	6281	1996-07-31	VYDAJ	VYBER	15	2827	SLUZBY	\N	\N
1855563	6281	1996-08-31	VYDAJ	VYBER	15	3733	SLUZBY	\N	\N
1855564	6281	1996-09-30	VYDAJ	VYBER	15	3038	SLUZBY	\N	\N
1855565	6281	1996-10-31	VYDAJ	VYBER	15	9152	SLUZBY	\N	\N
1855566	6281	1996-11-30	VYDAJ	VYBER	15	3450	SLUZBY	\N	\N
1855568	6281	1997-01-31	VYDAJ	VYBER	15	-2682	SLUZBY	\N	\N
1855569	6281	1997-02-28	VYDAJ	VYBER	15	293	SLUZBY	\N	\N
1855570	6281	1997-03-31	VYDAJ	VYBER	15	-3036	SLUZBY	\N	\N
1855571	6281	1997-04-30	VYDAJ	VYBER	15	-220	SLUZBY	\N	\N
1855572	6281	1997-05-31	VYDAJ	VYBER	15	3479	SLUZBY	\N	\N
1855573	6281	1997-06-30	VYDAJ	VYBER	15	5742	SLUZBY	\N	\N
1855574	6281	1997-07-31	VYDAJ	VYBER	15	7962	SLUZBY	\N	\N
1855575	6281	1997-08-31	VYDAJ	VYBER	15	5969	SLUZBY	\N	\N
1855576	6281	1997-09-30	VYDAJ	VYBER	15	-235	SLUZBY	\N	\N
1855577	6281	1997-10-31	VYDAJ	VYBER	15	8272	SLUZBY	\N	\N
1855578	6281	1997-11-30	VYDAJ	VYBER	15	-1631	SLUZBY	\N	\N
1855579	6281	1997-12-31	VYDAJ	VYBER	15	4312	SLUZBY	\N	\N
1855580	6281	1998-01-31	VYDAJ	VYBER	15	-3098	SLUZBY	\N	\N
1855581	6281	1998-02-28	VYDAJ	VYBER	15	2584	SLUZBY	\N	\N
1855582	6281	1998-03-31	VYDAJ	VYBER	15	5879	SLUZBY	\N	\N
1855583	6281	1998-04-30	VYDAJ	VYBER	15	10505	SLUZBY	\N	\N
1855584	6281	1998-05-31	VYDAJ	VYBER	15	12644	SLUZBY	\N	\N
1855585	6281	1998-06-30	VYDAJ	VYBER	15	11136	SLUZBY	\N	\N
1855586	6281	1998-07-31	VYDAJ	VYBER	15	5568	SLUZBY	\N	\N
1855587	6281	1998-08-31	VYDAJ	VYBER	15	-2128	SLUZBY	\N	\N
1855588	6281	1998-09-30	VYDAJ	VYBER	15	1446	SLUZBY	\N	\N
1855589	6281	1998-10-31	VYDAJ	VYBER	15	2846	SLUZBY	\N	\N
1855590	6281	1998-11-30	VYDAJ	VYBER	15	-1220	SLUZBY	\N	\N
1855591	6281	1993-07-08	VYDAJ	VYBER	500	27218	\N	\N	\N
1855592	6281	1993-08-07	PRIJEM	VKLAD	100	27421	\N	\N	\N
1855593	6281	1993-09-06	VYDAJ	VYBER	9100	29177	\N	\N	\N
1855594	6281	1993-10-06	VYDAJ	VYBER	5900	34148	\N	\N	\N
1855595	6281	1993-11-05	VYDAJ	VYBER	6900	33309	\N	\N	\N
1855596	6281	1993-12-05	VYDAJ	VYBER	300	23788	\N	\N	\N
1855597	6281	1994-01-04	VYDAJ	VYBER	200	24765	\N	\N	\N
1855598	6281	1994-02-03	PRIJEM	VKLAD	5500	14946	\N	\N	\N
1855599	6281	1994-03-05	PRIJEM	VKLAD	6900	21470	\N	\N	\N
1855600	6281	1994-04-04	PRIJEM	VKLAD	7200	36069	\N	\N	\N
1855601	6281	1994-05-04	PRIJEM	VKLAD	12900	25569	\N	\N	\N
1855602	6281	1994-06-03	PRIJEM	VKLAD	5500	20832	\N	\N	\N
1855603	6281	1994-07-03	VYDAJ	VYBER	5100	25416	\N	\N	\N
1855604	6281	1994-08-02	VYDAJ	VYBER	5300	30954	\N	\N	\N
1855605	6281	1994-09-01	PRIJEM	VKLAD	13900	21892	\N	\N	\N
1855606	6281	1994-10-01	PRIJEM	VKLAD	1400	23565	\N	\N	\N
1855607	6281	1994-10-31	VYDAJ	VYBER	6800	27603	\N	\N	\N
1855608	6281	1994-11-30	VYDAJ	VYBER	2800	23007	\N	\N	\N
1855609	6281	1994-12-30	PRIJEM	VKLAD	14300	11647	\N	\N	\N
1855610	6281	1995-01-29	PRIJEM	VKLAD	8900	9366	\N	\N	\N
1855611	6281	1995-02-28	PRIJEM	VKLAD	9000	14277	\N	\N	\N
1855612	6281	1995-03-30	PRIJEM	VKLAD	12500	11502	\N	\N	\N
1855613	6281	1995-04-29	VYDAJ	VYBER	1900	20326	\N	\N	\N
1855614	6281	1995-05-29	PRIJEM	VKLAD	11600	10718	\N	\N	\N
1855615	6281	1995-06-28	VYDAJ	VYBER	2000	19415	\N	\N	\N
1855616	6281	1995-07-28	PRIJEM	VKLAD	7000	13586	\N	\N	\N
1855617	6281	1995-08-27	PRIJEM	VKLAD	1800	21644	\N	\N	\N
1855618	6281	1995-09-26	PRIJEM	VKLAD	5200	14955	\N	\N	\N
1855619	6281	1995-10-26	PRIJEM	VKLAD	400	16204	\N	\N	\N
1855620	6281	1995-11-25	PRIJEM	VKLAD	5300	10676	\N	\N	\N
1855621	6281	1995-12-25	VYDAJ	VYBER	1900	11660	\N	\N	\N
1855622	6281	1996-01-24	PRIJEM	VKLAD	6000	8012	\N	\N	\N
1855623	6281	1996-02-23	PRIJEM	VKLAD	1300	12539	\N	\N	\N
1855624	6281	1996-03-24	VYDAJ	VYBER	4200	19045	\N	\N	\N
1855625	6281	1996-04-23	PRIJEM	VKLAD	1400	10011	\N	\N	\N
1855626	6281	1996-05-23	VYDAJ	VYBER	7600	13163	\N	\N	\N
1855627	6281	1996-06-22	VYDAJ	VYBER	11100	18153	\N	\N	\N
1855628	6281	1996-07-22	VYDAJ	VYBER	9700	6089	\N	\N	\N
1855629	6281	1996-08-21	VYDAJ	VYBER	500	3734	\N	\N	\N
1855630	6281	1996-09-20	PRIJEM	VKLAD	300	3040	\N	\N	\N
1855631	6281	1996-10-20	VYDAJ	VYBER	4600	9145	\N	\N	\N
1855632	6281	1996-11-19	VYDAJ	VYBER	5400	6959	\N	\N	\N
1855633	6281	1996-12-19	VYDAJ	VYBER	800	10131	\N	\N	\N
1855634	6281	1997-01-18	VYDAJ	VYBER	100	-247	\N	\N	\N
1855635	6281	1997-02-17	VYDAJ	VYBER	7700	325	\N	\N	\N
1855636	6281	1997-04-18	VYDAJ	VYBER	2900	-195	\N	\N	\N
1855637	6281	1997-05-18	VYDAJ	VYBER	7000	3488	\N	\N	\N
1855638	6281	1997-06-17	VYDAJ	VYBER	3300	5736	\N	\N	\N
1855639	6281	1997-07-17	VYDAJ	VYBER	8500	7949	\N	\N	\N
1855640	6281	1997-08-16	VYDAJ	VYBER	8300	5950	\N	\N	\N
1855641	6281	1997-09-15	PRIJEM	VKLAD	3900	2113	\N	\N	\N
1855642	6281	1997-10-15	VYDAJ	VYBER	2200	8272	\N	\N	\N
1855643	6281	1997-11-14	VYDAJ	VYBER	3100	-1628	\N	\N	\N
1855644	6281	1997-12-14	VYDAJ	VYBER	10100	4317	\N	\N	\N
1855645	6281	1998-01-13	VYDAJ	VYBER	5800	1710	\N	\N	\N
1855646	6281	1998-02-12	VYDAJ	VYBER	5000	2593	\N	\N	\N
1855647	6281	1998-03-14	VYDAJ	VYBER	7400	5877	\N	\N	\N
1855648	6281	1998-04-13	VYDAJ	VYBER	6100	10486	\N	\N	\N
1855649	6281	1998-05-13	VYDAJ	VYBER	8600	12612	\N	\N	\N
1855650	6281	1998-06-12	VYDAJ	VYBER	4700	11104	\N	\N	\N
1855651	6281	1998-07-12	VYDAJ	VYBER	11500	10343	\N	\N	\N
1855652	6281	1998-08-11	VYDAJ	VYBER	10600	5675	\N	\N	\N
1855653	6281	1998-09-10	VYDAJ	VYBER	7100	1466	\N	\N	\N
1855654	6281	1998-10-10	VYDAJ	VYBER	9300	2853	\N	\N	\N
1855655	6281	1998-11-09	VYDAJ	VYBER	9400	-1209	\N	\N	\N
1855656	6281	1998-12-09	VYDAJ	VYBER	10100	4726	\N	\N	\N
1857715	6289	1995-04-05	PRIJEM	VKLAD	800	800	\N	\N	\N
1857716	6289	1995-11-22	PRIJEM	VKLAD	10240	51188	\N	\N	\N
1857717	6289	1995-07-25	PRIJEM	VKLAD	20668	80273	\N	\N	\N
1857719	6289	1995-10-19	PRIJEM	VKLAD	14265	53077	\N	\N	\N
1857720	6289	1995-07-03	PRIJEM	VKLAD	26475	90905	\N	\N	\N
1857722	6289	1995-06-10	PRIJEM	VKLAD	33905	64196	\N	\N	\N
1857723	6289	1995-12-25	PRIJEM	VKLAD	8722	61970	\N	\N	\N
1857724	6289	1995-05-02	PRIJEM	VKLAD	49055	49855	\N	\N	\N
1857726	6289	1995-12-19	PRIJEM	VKLAD	12370	53248	\N	\N	\N
1857727	6289	1996-03-31	PRIJEM	VKLAD	45369	109585	\N	\N	\N
1857728	6289	1996-01-09	PRIJEM	VKLAD	49917	79921	\N	\N	\N
1857729	6289	1996-09-27	PRIJEM	VKLAD	8245	88929	\N	\N	\N
1857730	6289	1996-07-11	PRIJEM	VKLAD	37237	90419	\N	\N	\N
1857731	6289	1996-12-05	PRIJEM	VKLAD	42064	114123	\N	\N	\N
1857732	6289	1996-12-17	PRIJEM	VKLAD	8089	95127	\N	\N	\N
1857733	6289	1996-06-18	PRIJEM	VKLAD	18026	72536	\N	\N	\N
1857734	6289	1996-04-18	PRIJEM	VKLAD	46390	127712	\N	\N	\N
1857735	6289	1996-03-07	PRIJEM	VKLAD	44503	112541	\N	\N	\N
1857736	6289	1996-03-11	PRIJEM	VKLAD	30611	132182	\N	\N	\N
1857737	6289	1996-03-09	PRIJEM	VKLAD	45867	141571	\N	\N	\N
1857738	6289	1996-09-18	PRIJEM	VKLAD	28234	111784	\N	\N	\N
1857739	6289	1996-03-06	PRIJEM	VKLAD	27571	68038	\N	\N	\N
1857740	6289	1996-04-12	PRIJEM	VKLAD	26451	81322	\N	\N	\N
1857741	6289	1996-01-11	PRIJEM	VKLAD	37473	117394	\N	\N	\N
1857742	6289	1996-11-09	PRIJEM	VKLAD	34120	104256	\N	\N	\N
1857743	6289	1996-08-10	PRIJEM	VKLAD	48419	117239	\N	\N	\N
1857744	6289	1996-06-07	PRIJEM	VKLAD	14966	64710	\N	\N	\N
1857745	6289	1996-11-15	PRIJEM	VKLAD	32066	134537	\N	\N	\N
1857746	6289	1996-09-10	PRIJEM	VKLAD	12038	85335	\N	\N	\N
1857747	6289	1996-03-07	PRIJEM	VKLAD	43963	156504	\N	\N	\N
1857748	6289	1997-12-30	PRIJEM	VKLAD	5104	29214	\N	\N	\N
1857749	6289	1997-02-03	PRIJEM	VKLAD	44371	74006	\N	\N	\N
1857750	6289	1997-08-18	PRIJEM	VKLAD	31157	44614	\N	\N	\N
1857751	6289	1997-03-18	PRIJEM	VKLAD	10107	48084	\N	\N	\N
1857752	6289	1997-06-09	PRIJEM	VKLAD	49051	72550	\N	\N	\N
1857753	6289	1998-10-07	PRIJEM	VKLAD	14136	91118	\N	\N	\N
1857754	6289	1998-08-23	PRIJEM	VKLAD	5636	83321	\N	\N	\N
1857755	6289	1998-06-29	PRIJEM	VKLAD	8504	92839	\N	\N	\N
1857756	6289	1998-04-09	PRIJEM	VKLAD	6206	67609	\N	\N	\N
1857757	6289	1998-11-21	PRIJEM	VKLAD	25002	98407	\N	\N	\N
1857758	6289	1998-07-10	PRIJEM	VKLAD	31925	124961	\N	\N	\N
1857759	6289	1998-04-27	PRIJEM	VKLAD	6613	55050	\N	\N	\N
1857760	6289	1998-10-18	PRIJEM	VKLAD	47768	122001	\N	\N	\N
1857761	6289	1998-06-25	PRIJEM	VKLAD	26268	71750	\N	\N	\N
1857762	6289	1998-07-10	PRIJEM	VKLAD	18232	143193	\N	\N	\N
1857763	6289	1998-05-15	PRIJEM	VKLAD	17547	59345	\N	\N	\N
1857764	6289	1998-09-27	PRIJEM	VKLAD	48656	76663	\N	\N	\N
1857765	6289	1998-06-18	PRIJEM	VKLAD	11630	53282	\N	\N	\N
1857766	6289	1998-12-03	PRIJEM	VKLAD	42803	141577	\N	\N	\N
1857767	6289	1998-03-12	PRIJEM	VKLAD	25507	76750	\N	\N	\N
1857768	6289	1998-01-28	PRIJEM	VKLAD	46686	80326	\N	\N	\N
1857769	6289	1998-08-22	PRIJEM	VKLAD	6422	77685	\N	\N	\N
1857770	6289	1998-01-11	PRIJEM	VKLAD	18648	41936	\N	\N	\N
1857771	6289	1998-06-28	PRIJEM	VKLAD	12585	84335	\N	\N	\N
1857772	6289	1998-01-18	PRIJEM	VKLAD	15688	55840	\N	\N	\N
1857773	6289	1998-03-23	PRIJEM	VKLAD	45119	112893	\N	\N	\N
1857774	6289	1998-08-24	PRIJEM	VKLAD	31042	114363	\N	\N	\N
1857775	6289	1998-08-03	PRIJEM	VKLAD	26264	98520	\N	\N	\N
1857776	6289	1998-09-01	PRIJEM	VKLAD	23008	84215	\N	\N	\N
1857777	6289	1998-04-19	PRIJEM	VKLAD	13835	66137	\N	\N	\N
1857778	6289	1998-08-12	PRIJEM	VKLAD	45027	143547	\N	\N	\N
1857779	6289	1998-12-20	PRIJEM	VKLAD	21919	95211	\N	\N	\N
1857780	6289	1998-03-20	PRIJEM	VKLAD	27008	101974	\N	\N	\N
1857791	6289	1995-10-27	VYDAJ	VYBER	2000	51077	\N	\N	0
1857792	6289	1995-12-06	VYDAJ	VYBER	1500	42978	\N	\N	0
1857793	6289	1996-01-20	VYDAJ	VYBER	1700	56294	\N	\N	0
1857794	6289	1996-02-13	VYDAJ	VYBER	1200	44692	\N	\N	0
1857795	6289	1996-03-22	VYDAJ	VYBER	1900	87182	\N	\N	0
1857796	6289	1996-04-21	VYDAJ	VYBER	1200	80012	\N	\N	0
1857797	6289	1996-05-14	VYDAJ	VYBER	1400	58514	\N	\N	0
1857798	6289	1996-06-20	VYDAJ	VYBER	1800	70736	\N	\N	0
1857799	6289	1996-07-06	VYDAJ	VYBER	1100	53182	\N	\N	0
1857800	6289	1996-08-12	VYDAJ	PREVOD NA UCET	1785	98154	UVER	GH	34028458
1857801	6289	1996-09-12	VYDAJ	PREVOD NA UCET	1785	83550	UVER	GH	34028458
1857802	6289	1996-10-12	VYDAJ	PREVOD NA UCET	1785	87495	UVER	GH	34028458
1857803	6289	1996-11-12	VYDAJ	PREVOD NA UCET	1785	102471	UVER	GH	34028458
1857804	6289	1996-12-12	VYDAJ	PREVOD NA UCET	1785	87038	UVER	GH	34028458
1857805	6289	1997-01-12	VYDAJ	PREVOD NA UCET	1785	41995	UVER	GH	34028458
1857806	6289	1997-02-12	VYDAJ	PREVOD NA UCET	1785	72221	UVER	GH	34028458
1857807	6289	1997-03-12	VYDAJ	PREVOD NA UCET	1785	37977	UVER	GH	34028458
1857808	6289	1997-04-12	VYDAJ	PREVOD NA UCET	1785	47078	UVER	GH	34028458
1857809	6289	1997-05-12	VYDAJ	PREVOD NA UCET	1785	48681	UVER	GH	34028458
1857810	6289	1997-06-12	VYDAJ	PREVOD NA UCET	1785	70766	UVER	GH	34028458
1857811	6289	1997-07-12	VYDAJ	PREVOD NA UCET	1785	27130	UVER	GH	34028458
1857812	6289	1997-08-12	VYDAJ	PREVOD NA UCET	1785	20957	UVER	GH	34028458
1857813	6289	1997-09-12	VYDAJ	PREVOD NA UCET	1785	27030	UVER	GH	34028458
1857814	6289	1997-10-12	VYDAJ	PREVOD NA UCET	1785	26643	UVER	GH	34028458
1857815	6289	1997-11-12	VYDAJ	PREVOD NA UCET	1785	11941	UVER	GH	34028458
1857816	6289	1997-12-12	VYDAJ	PREVOD NA UCET	1785	15010	UVER	GH	34028458
1857817	6289	1998-01-12	VYDAJ	PREVOD NA UCET	1785	40152	UVER	GH	34028458
1857818	6289	1998-02-12	VYDAJ	PREVOD NA UCET	1785	72395	UVER	GH	34028458
1857819	6289	1998-03-12	VYDAJ	PREVOD NA UCET	1785	74966	UVER	GH	34028458
1857820	6289	1998-04-12	VYDAJ	PREVOD NA UCET	1785	65825	UVER	GH	34028458
1857821	6289	1998-05-12	VYDAJ	PREVOD NA UCET	1785	41798	UVER	GH	34028458
1857822	6289	1998-06-12	VYDAJ	PREVOD NA UCET	1785	41652	UVER	GH	34028458
1857823	6289	1998-07-12	VYDAJ	PREVOD NA UCET	1785	98909	UVER	GH	34028458
1857824	6289	1998-08-12	VYDAJ	PREVOD NA UCET	1785	141763	UVER	GH	34028458
1857825	6289	1998-09-12	VYDAJ	PREVOD NA UCET	1785	82430	UVER	GH	34028458
1857826	6289	1998-10-12	VYDAJ	PREVOD NA UCET	1785	89333	UVER	GH	34028458
1857827	6289	1998-11-12	VYDAJ	PREVOD NA UCET	1785	95605	UVER	GH	34028458
1857828	6289	1998-12-12	VYDAJ	PREVOD NA UCET	1785	102392	UVER	GH	34028458
1857829	6289	1995-12-27	VYBER	VYBER	5457	56513	\N	\N	\N
1857840	6289	1997-10-25	VYBER	VYBER	19307	13636	\N	\N	\N
1857841	6289	1997-07-16	VYBER	VYBER	22562	4568	\N	\N	\N
1857842	6289	1997-01-24	VYBER	VYBER	22938	29457	\N	\N	\N
1857843	6289	1997-06-29	VYBER	VYBER	7503	28764	\N	\N	\N
1857844	6289	1997-03-08	VYBER	VYBER	9738	39761	\N	\N	\N
1857845	6289	1997-06-13	VYBER	VYBER	23699	47067	\N	\N	\N
1857847	6289	1997-06-01	VYBER	VYBER	21770	23499	\N	\N	\N
1857848	6289	1997-02-23	VYBER	VYBER	18220	54001	\N	\N	\N
1857849	6289	1998-09-22	VYBER	VYBER	22793	28007	\N	\N	\N
1857850	6289	1998-12-27	VYBER	VYBER	22245	72966	\N	\N	\N
1857851	6289	1998-09-15	VYBER	VYBER	16623	65807	\N	\N	\N
1857852	6289	1998-09-16	VYBER	VYBER	17307	50800	\N	\N	\N
1857853	6289	1998-04-16	VYBER	VYBER	13523	52302	\N	\N	\N
1857855	6289	1996-06-07	VYDAJ	VYBER	10200	54510	\N	\N	\N
1857856	6289	1997-06-14	VYDAJ	VYBER	21000	26067	\N	\N	\N
1857859	6289	1996-01-08	VYDAJ	VYBER	20100	30004	\N	\N	\N
1857860	6289	1997-01-07	VYDAJ	VYBER	21600	43779	\N	\N	\N
1857861	6289	1998-01-05	VYDAJ	VYBER	6000	23288	\N	\N	\N
1857862	6289	1995-12-13	VYDAJ	VYBER	2100	40878	\N	\N	\N
1857863	6289	1996-12-25	VYDAJ	VYBER	7500	65027	\N	\N	\N
1857864	6289	1997-12-06	VYDAJ	VYBER	7200	16795	\N	\N	\N
1857865	6289	1998-12-04	VYDAJ	VYBER	5400	104177	\N	\N	\N
1857867	6289	1995-11-16	VYDAJ	VYBER	3300	40948	\N	\N	\N
1857872	6289	1996-08-16	VYDAJ	VYBER	2400	95754	\N	\N	\N
1857873	6289	1997-08-26	VYDAJ	VYBER	12900	28714	\N	\N	\N
1857874	6289	1997-01-21	VYDAJ	VYBER	5100	36895	\N	\N	\N
1857875	6289	1997-11-18	VYDAJ	VYBER	3600	8341	\N	\N	\N
1857877	6289	1997-09-19	VYDAJ	VYBER	13500	13530	\N	\N	\N
1857878	6289	1997-08-15	VYDAJ	VYBER	7500	13457	\N	\N	\N
1857879	6289	1998-01-31	VYDAJ	VYBER	6300	74179	\N	\N	\N
1857880	6289	1998-09-15	VYDAJ	VYBER	1500	64307	\N	\N	\N
1857881	6289	1998-04-05	VYDAJ	VYBER	11100	61403	\N	\N	\N
1857882	6289	1998-02-13	VYDAJ	VYBER	4200	68195	\N	\N	\N
1857883	6289	1998-01-21	VYDAJ	VYBER	12000	33640	\N	\N	\N
1857884	6289	1998-06-05	VYDAJ	VYBER	2100	43437	\N	\N	\N
1857885	6289	1998-05-08	VYDAJ	VYBER	11700	43583	\N	\N	\N
1857896	6289	1995-10-31	VYDAJ	VYBER	15	51348	SLUZBY	\N	\N
1857897	6289	1995-11-30	VYDAJ	VYBER	15	51378	SLUZBY	\N	\N
1857898	6289	1995-12-31	VYDAJ	VYBER	15	56704	SLUZBY	\N	\N
1857899	6289	1996-01-31	VYDAJ	VYBER	15	45892	SLUZBY	\N	\N
1857900	6289	1996-02-29	VYDAJ	VYBER	15	44867	SLUZBY	\N	\N
1857901	6289	1996-03-31	VYDAJ	VYBER	15	109571	SLUZBY	\N	\N
1857902	6289	1996-04-30	VYDAJ	VYBER	15	59914	SLUZBY	\N	\N
1857903	6289	1996-05-31	VYDAJ	VYBER	15	49744	SLUZBY	\N	\N
1857904	6289	1996-06-30	VYDAJ	VYBER	15	54282	SLUZBY	\N	\N
1857905	6289	1996-07-31	VYDAJ	VYBER	15	68820	SLUZBY	\N	\N
1857906	6289	1996-08-31	VYDAJ	VYBER	15	73297	SLUZBY	\N	\N
1857907	6289	1996-09-30	VYDAJ	VYBER	15	89280	SLUZBY	\N	\N
1857908	6289	1996-10-31	VYDAJ	VYBER	15	70136	SLUZBY	\N	\N
1857909	6289	1996-11-30	VYDAJ	VYBER	15	72059	SLUZBY	\N	\N
1857910	6289	1996-12-31	VYDAJ	VYBER	15	65379	SLUZBY	\N	\N
1857911	6289	1997-01-31	VYDAJ	VYBER	15	29635	SLUZBY	\N	\N
1857912	6289	1997-02-28	VYDAJ	VYBER	15	49499	SLUZBY	\N	\N
1857913	6289	1997-03-31	VYDAJ	VYBER	15	48862	SLUZBY	\N	\N
1857914	6289	1997-04-30	VYDAJ	VYBER	15	50466	SLUZBY	\N	\N
1857915	6289	1997-05-31	VYDAJ	VYBER	15	45269	SLUZBY	\N	\N
1857916	6289	1997-06-30	VYDAJ	VYBER	15	28915	SLUZBY	\N	\N
1857917	6289	1997-07-31	VYDAJ	VYBER	15	22741	SLUZBY	\N	\N
1857918	6289	1997-08-31	VYDAJ	VYBER	15	28814	SLUZBY	\N	\N
1857919	6289	1997-09-30	VYDAJ	VYBER	15	28428	SLUZBY	\N	\N
1857920	6289	1997-10-31	VYDAJ	VYBER	15	13726	SLUZBY	\N	\N
1857921	6289	1997-11-30	VYDAJ	VYBER	15	23995	SLUZBY	\N	\N
1857922	6289	1997-12-31	VYDAJ	VYBER	15	29288	SLUZBY	\N	\N
1857923	6289	1998-01-31	VYDAJ	VYBER	15	80479	SLUZBY	\N	\N
1857924	6289	1998-02-28	VYDAJ	VYBER	15	51243	SLUZBY	\N	\N
1857925	6289	1998-03-31	VYDAJ	VYBER	15	113203	SLUZBY	\N	\N
1857926	6289	1998-04-30	VYDAJ	VYBER	15	55283	SLUZBY	\N	\N
1857927	6289	1998-05-31	VYDAJ	VYBER	15	45537	SLUZBY	\N	\N
1857928	6289	1998-06-30	VYDAJ	VYBER	15	93036	SLUZBY	\N	\N
1857929	6289	1998-07-31	VYDAJ	VYBER	15	72256	SLUZBY	\N	\N
1857930	6289	1998-08-31	VYDAJ	VYBER	15	61207	SLUZBY	\N	\N
1857931	6289	1998-09-30	VYDAJ	VYBER	15	76982	SLUZBY	\N	\N
1857932	6289	1998-10-31	VYDAJ	VYBER	15	97389	SLUZBY	\N	\N
1857933	6289	1998-11-30	VYDAJ	VYBER	15	98774	SLUZBY	\N	\N
1857934	6289	1995-05-05	VYDAJ	VYBER	12400	37455	\N	\N	\N
1857935	6289	1995-06-04	VYDAJ	VYBER	7300	30291	\N	\N	\N
1857936	6289	1995-07-04	VYDAJ	VYBER	31300	59605	\N	\N	\N
1857937	6289	1995-08-03	VYDAJ	VYBER	24900	55643	\N	\N	\N
1857938	6289	1995-09-02	VYDAJ	VYBER	13600	42377	\N	\N	\N
1857939	6289	1995-10-02	VYDAJ	VYBER	3900	38812	\N	\N	\N
1857940	6289	1995-11-01	VYDAJ	VYBER	7100	44248	\N	\N	\N
1857941	6289	1995-12-01	VYDAJ	VYBER	6900	44478	\N	\N	\N
1857942	6289	1995-12-31	VYDAJ	VYBER	6600	50104	\N	\N	\N
1857943	6289	1996-01-11	VYDAJ	VYBER	59400	57994	\N	\N	\N
1857944	6289	1996-01-30	VYDAJ	VYBER	10700	45594	\N	\N	\N
1857945	6289	1996-02-29	VYDAJ	VYBER	4400	40467	\N	\N	\N
1857946	6289	1996-03-07	VYDAJ	VYBER	60800	95704	\N	\N	\N
1857947	6289	1996-03-09	VYDAJ	VYBER	40000	101571	\N	\N	\N
1857948	6289	1996-03-11	VYDAJ	VYBER	43100	89082	\N	\N	\N
1857949	6289	1996-03-30	VYDAJ	VYBER	23300	63882	\N	\N	\N
1857950	6289	1996-03-31	VYDAJ	VYBER	54700	54871	\N	\N	\N
1857951	6289	1996-04-18	VYDAJ	VYBER	46500	81212	\N	\N	\N
1857952	6289	1996-04-29	VYDAJ	VYBER	20500	59512	\N	\N	\N
1857953	6289	1996-05-29	VYDAJ	VYBER	9000	49514	\N	\N	\N
1857954	6289	1996-06-28	VYDAJ	VYBER	16700	54036	\N	\N	\N
1857955	6289	1996-07-28	VYDAJ	VYBER	21900	68519	\N	\N	\N
1857956	6289	1996-08-10	VYDAJ	VYBER	17300	99939	\N	\N	\N
1857957	6289	1996-08-27	VYDAJ	VYBER	22800	72954	\N	\N	\N
1857958	6289	1996-09-26	VYDAJ	VYBER	31100	80684	\N	\N	\N
1857959	6289	1996-10-26	VYDAJ	VYBER	17700	69795	\N	\N	\N
1857960	6289	1996-11-15	VYDAJ	VYBER	42500	92037	\N	\N	\N
1857961	6289	1996-11-25	VYDAJ	VYBER	20300	71737	\N	\N	\N
1857962	6289	1996-12-05	VYDAJ	VYBER	25300	88823	\N	\N	\N
1857963	6289	1996-12-25	VYDAJ	VYBER	22600	72527	\N	\N	\N
1857964	6289	1997-01-24	PRIJEM	VKLAD	15500	52395	\N	\N	\N
1857965	6289	1997-02-23	VYDAJ	VYBER	4700	49301	\N	\N	\N
1857966	6289	1997-03-25	PRIJEM	VKLAD	600	48684	\N	\N	\N
1857967	6289	1997-04-24	PRIJEM	VKLAD	3200	50278	\N	\N	\N
1857968	6289	1997-05-24	VYDAJ	VYBER	3600	45081	\N	\N	\N
1857969	6289	1997-06-23	PRIJEM	VKLAD	10200	36267	\N	\N	\N
1857970	6289	1997-07-23	PRIJEM	VKLAD	18100	22668	\N	\N	\N
1857971	6289	1997-08-22	VYDAJ	VYBER	3000	41614	\N	\N	\N
1857972	6289	1997-09-21	PRIJEM	VKLAD	14800	28330	\N	\N	\N
1857973	6289	1997-10-21	PRIJEM	VKLAD	6300	32943	\N	\N	\N
1857974	6289	1997-11-20	PRIJEM	VKLAD	15600	23941	\N	\N	\N
1857975	6289	1997-12-20	PRIJEM	VKLAD	9100	24110	\N	\N	\N
1857976	6289	1998-01-19	VYDAJ	VYBER	10200	45640	\N	\N	\N
1857977	6289	1998-02-18	VYDAJ	VYBER	17200	50995	\N	\N	\N
1857978	6289	1998-03-20	VYDAJ	VYBER	34200	67774	\N	\N	\N
1857979	6289	1998-03-31	VYDAJ	VYBER	40700	72503	\N	\N	\N
1857980	6289	1998-04-19	VYDAJ	VYBER	17700	48437	\N	\N	\N
1857981	6289	1998-05-19	VYDAJ	VYBER	14000	45345	\N	\N	\N
1857982	6289	1998-06-18	VYDAJ	VYBER	7800	45482	\N	\N	\N
1857983	6289	1998-07-10	VYDAJ	VYBER	42500	100693	\N	\N	\N
1857984	6289	1998-07-18	VYDAJ	VYBER	27000	71909	\N	\N	\N
1857985	6289	1998-08-12	VYDAJ	VYBER	48500	93263	\N	\N	\N
1857986	6289	1998-08-17	VYDAJ	VYBER	22000	71263	\N	\N	\N
1857987	6289	1998-08-31	VYDAJ	VYBER	53500	61221	\N	\N	\N
1857988	6289	1998-09-16	PRIJEM	VKLAD	3800	68107	\N	\N	\N
1857989	6289	1998-10-16	VYDAJ	VYBER	15100	74233	\N	\N	\N
1857990	6289	1998-10-18	VYDAJ	VYBER	25000	97001	\N	\N	\N
1857991	6289	1998-11-15	VYDAJ	VYBER	22200	73405	\N	\N	\N
1857992	6289	1998-12-03	VYDAJ	VYBER	32000	109577	\N	\N	\N
1857993	6289	1998-12-15	VYDAJ	VYBER	29100	73292	\N	\N	\N
1863615	6306	1997-03-04	PRIJEM	VKLAD	200	200	\N	\N	\N
1863616	6306	1997-10-02	PRIJEM	VKLAD	49145	86446	\N	\N	\N
1863617	6306	1997-09-14	PRIJEM	VKLAD	36922	54724	\N	\N	\N
1863619	6306	1998-03-13	PRIJEM	VKLAD	11665	83938	\N	\N	\N
1863620	6306	1998-02-07	PRIJEM	VKLAD	32693	71160	\N	\N	\N
1863621	6306	1998-09-01	PRIJEM	VKLAD	9479	11476	\N	\N	\N
1863622	6306	1998-01-02	PRIJEM	VKLAD	25875	58145	\N	\N	\N
1863623	6306	1998-07-26	PRIJEM	VKLAD	18802	18071	\N	\N	\N
1863624	6306	1998-03-03	PRIJEM	VKLAD	25952	72273	\N	\N	\N
1863638	6306	1998-04-05	VYBER	VYBER	17889	19380	\N	\N	\N
1863639	6306	1998-05-12	VYBER	VYBER	4372	9639	\N	\N	\N
1863640	6306	1998-03-15	VYBER	VYBER	23081	60857	\N	\N	\N
1863645	6306	1998-09-21	VYBER	VYBER	9583	1893	\N	\N	\N
1863646	6306	1998-06-28	VYBER	VYBER	12333	-753	\N	\N	\N
1863654	6306	1998-12-03	VYDAJ	VYBER	1800	-192	\N	\N	\N
1863673	6306	1998-11-09	VYDAJ	VYBER	7500	-1597	\N	\N	\N
1863674	6306	1998-08-01	VYDAJ	VYBER	2100	13961	\N	\N	\N
1863675	6306	1998-08-24	VYDAJ	VYBER	14400	-439	\N	\N	\N
1863678	6306	1998-06-26	VYDAJ	VYBER	1800	7981	\N	\N	\N
1863694	6306	1998-03-31	VYDAJ	VYBER	15	37269	SLUZBY	\N	\N
1863695	6306	1998-04-30	VYDAJ	VYBER	15	14011	SLUZBY	\N	\N
1863696	6306	1998-05-31	VYDAJ	VYBER	15	9781	SLUZBY	\N	\N
1863697	6306	1998-06-30	VYDAJ	VYBER	15	-730	SLUZBY	\N	\N
1863698	6306	1998-07-31	VYDAJ	VYBER	15	16067	SLUZBY	\N	\N
1863699	6306	1998-08-31	VYDAJ	VYBER	15	1997	SLUZBY	\N	\N
1863700	6306	1998-09-30	VYDAJ	VYBER	15	6590	SLUZBY	\N	\N
1863701	6306	1998-10-31	VYDAJ	VYBER	15	5903	SLUZBY	\N	\N
1863702	6306	1998-11-30	VYDAJ	VYBER	15	1608	SLUZBY	\N	\N
1863703	6306	1997-04-03	PRIJEM	VKLAD	10400	10600	\N	\N	\N
1863704	6306	1997-05-03	PRIJEM	VKLAD	3700	14300	\N	\N	\N
1863705	6306	1997-06-02	VYDAJ	VYBER	1900	12400	\N	\N	\N
1863706	6306	1997-07-02	PRIJEM	VKLAD	3300	15700	\N	\N	\N
1863707	6306	1997-08-01	PRIJEM	VKLAD	1800	17500	\N	\N	\N
1863708	6306	1997-08-31	PRIJEM	VKLAD	300	17800	\N	\N	\N
1863709	6306	1997-09-30	VYDAJ	VYBER	17500	37301	\N	\N	\N
1863710	6306	1997-10-30	VYDAJ	VYBER	30900	55546	\N	\N	\N
1863711	6306	1997-11-29	VYDAJ	VYBER	20100	35607	\N	\N	\N
1863712	6306	1997-12-29	VYDAJ	VYBER	3800	32038	\N	\N	\N
1863713	6306	1998-01-28	VYDAJ	VYBER	19900	38245	\N	\N	\N
1863714	6306	1998-02-27	VYDAJ	VYBER	25000	46160	\N	\N	\N
1863715	6306	1998-03-29	VYDAJ	VYBER	23800	37057	\N	\N	\N
1863716	6306	1998-04-28	VYDAJ	VYBER	5500	13880	\N	\N	\N
1863717	6306	1998-05-28	PRIJEM	VKLAD	100	9739	\N	\N	\N
1863718	6306	1998-06-27	PRIJEM	VKLAD	3600	11581	\N	\N	\N
1863719	6306	1998-07-27	VYDAJ	VYBER	2000	16071	\N	\N	\N
1863720	6306	1998-08-26	PRIJEM	VKLAD	2400	1961	\N	\N	\N
1863721	6306	1998-09-25	PRIJEM	VKLAD	4700	6593	\N	\N	\N
1863722	6306	1998-10-25	VYDAJ	VYBER	700	5890	\N	\N	\N
1863723	6306	1998-11-24	PRIJEM	VKLAD	3200	1603	\N	\N	\N
1867563	6321	1994-09-10	PRIJEM	VKLAD	800	800	\N	\N	\N
1867566	6321	1994-10-23	PRIJEM	VKLAD	26648	40648	\N	\N	\N
1867567	6321	1994-11-30	PRIJEM	VKLAD	35769	70666	\N	\N	\N
1867568	6321	1995-08-18	PRIJEM	VKLAD	29398	63139	\N	\N	\N
1867569	6321	1995-02-14	PRIJEM	VKLAD	46016	73345	\N	\N	\N
1867570	6321	1995-09-24	PRIJEM	VKLAD	16641	46614	\N	\N	\N
1867571	6321	1995-05-03	PRIJEM	VKLAD	9357	45212	\N	\N	\N
1867572	6321	1995-04-06	PRIJEM	VKLAD	30124	76775	\N	\N	\N
1867573	6321	1995-07-20	PRIJEM	VKLAD	26401	77143	\N	\N	\N
1867574	6321	1995-04-14	PRIJEM	VKLAD	9777	58552	\N	\N	\N
1867575	6321	1995-07-01	PRIJEM	VKLAD	34637	55593	\N	\N	\N
1867576	6321	1995-06-29	PRIJEM	VKLAD	6140	20850	\N	\N	\N
1867577	6321	1995-07-16	PRIJEM	VKLAD	22049	50742	\N	\N	\N
1867578	6321	1996-04-03	PRIJEM	VKLAD	17917	34894	\N	\N	\N
1867579	6321	1996-11-07	PRIJEM	VKLAD	22062	100332	\N	\N	\N
1867580	6321	1996-10-25	PRIJEM	VKLAD	9241	106032	\N	\N	\N
1867581	6321	1996-04-25	PRIJEM	VKLAD	5171	51458	\N	\N	\N
1867582	6321	1996-10-01	PRIJEM	VKLAD	47969	67859	\N	\N	\N
1867583	6321	1996-10-12	PRIJEM	VKLAD	45432	96791	\N	\N	\N
1867584	6321	1996-06-09	PRIJEM	VKLAD	20628	33070	\N	\N	\N
1867585	6321	1996-04-11	PRIJEM	VKLAD	27193	46287	\N	\N	\N
1867586	6321	1996-09-14	PRIJEM	VKLAD	16988	39377	\N	\N	\N
1867587	6321	1996-11-16	PRIJEM	VKLAD	44028	128460	\N	\N	\N
1867588	6321	1996-11-05	PRIJEM	VKLAD	29835	129170	\N	\N	\N
1867589	6321	1996-11-05	PRIJEM	VKLAD	36625	99335	\N	\N	\N
1867590	6321	1996-11-19	PRIJEM	VKLAD	25981	101941	\N	\N	\N
1867591	6321	1996-01-14	PRIJEM	VKLAD	26926	24362	\N	\N	\N
1867592	6321	1996-02-05	PRIJEM	VKLAD	28534	48987	\N	\N	\N
1867593	6321	1996-07-08	PRIJEM	VKLAD	48518	63416	\N	\N	\N
1867594	6321	1997-11-06	PRIJEM	VKLAD	39291	91398	\N	\N	\N
1867595	6321	1997-02-03	PRIJEM	VKLAD	26624	37639	\N	\N	\N
1867596	6321	1997-10-05	PRIJEM	VKLAD	13800	54918	\N	\N	\N
1867597	6321	1997-11-01	PRIJEM	VKLAD	21438	52107	\N	\N	\N
1867598	6321	1997-06-10	PRIJEM	VKLAD	5199	93502	\N	\N	\N
1867599	6321	1997-08-08	PRIJEM	VKLAD	16734	39090	\N	\N	\N
1867600	6321	1997-03-15	PRIJEM	VKLAD	32232	60053	\N	\N	\N
1867601	6321	1997-04-29	PRIJEM	VKLAD	29347	55894	\N	\N	\N
1867602	6321	1997-08-18	PRIJEM	VKLAD	49530	88620	\N	\N	\N
1867603	6321	1997-06-02	PRIJEM	VKLAD	39064	88303	\N	\N	\N
1867604	6321	1997-07-17	PRIJEM	VKLAD	38309	68163	\N	\N	\N
1867605	6321	1997-05-04	PRIJEM	VKLAD	39957	79300	\N	\N	\N
1867606	6321	1997-03-08	PRIJEM	VKLAD	18324	27821	\N	\N	\N
1867607	6321	1997-06-02	PRIJEM	VKLAD	12954	49239	\N	\N	\N
1867608	6321	1997-09-06	PRIJEM	VKLAD	26074	88370	\N	\N	\N
1867609	6321	1997-12-11	PRIJEM	VKLAD	44676	83311	\N	\N	\N
1867610	6321	1998-01-21	PRIJEM	VKLAD	39015	65854	\N	\N	\N
1867611	6321	1998-08-11	PRIJEM	VKLAD	27167	42172	\N	\N	\N
1867612	6321	1998-03-30	PRIJEM	VKLAD	34673	68702	\N	\N	\N
1867613	6321	1998-03-15	PRIJEM	VKLAD	26963	52529	\N	\N	\N
1867614	6321	1998-10-03	PRIJEM	VKLAD	22663	34779	\N	\N	\N
1867615	6321	1998-06-10	PRIJEM	VKLAD	7315	26292	\N	\N	\N
1867692	6321	1995-05-05	VYDAJ	VYBER	15500	29712	SIPO	\N	0
1867693	6321	1995-06-07	VYDAJ	VYBER	15900	14710	SIPO	\N	0
1867694	6321	1995-07-03	VYDAJ	VYBER	17500	38093	SIPO	\N	0
1867695	6321	1995-08-10	VYDAJ	VYBER	14300	33741	SIPO	\N	0
1867696	6321	1995-09-03	VYDAJ	VYBER	12200	51173	SIPO	\N	0
1867697	6321	1995-10-05	VYDAJ	VYBER	15900	30858	SIPO	\N	0
1867698	6321	1995-11-07	VYDAJ	VYBER	12500	6839	SIPO	\N	0
1867699	6321	1995-12-08	VYDAJ	VYBER	15800	-2537	SIPO	\N	0
1867701	6321	1996-02-07	VYDAJ	VYBER	16100	32887	SIPO	\N	0
1867702	6321	1996-02-28	VYDAJ	VYBER	12800	14028	SIPO	\N	0
1867703	6321	1996-04-03	VYDAJ	VYBER	15800	19094	SIPO	\N	0
1867704	6321	1996-04-28	VYDAJ	VYBER	12700	38758	SIPO	\N	0
1867705	6321	1996-05-31	VYDAJ	VYBER	11500	15242	SIPO	\N	0
1867706	6321	1996-07-06	VYDAJ	VYBER	12700	14898	SIPO	\N	0
1867707	6321	1996-08-12	VYDAJ	VYBER	17000	26927	SIPO	\N	0
1867708	6321	1996-09-14	VYDAJ	VYBER	15200	24177	SIPO	\N	0
1867709	6321	1996-10-09	VYDAJ	VYBER	16500	51359	SIPO	\N	0
1867710	6321	1996-11-10	VYDAJ	VYBER	15900	84432	SIPO	\N	0
1867711	6321	1996-11-29	VYDAJ	VYBER	11900	50041	SIPO	\N	0
1867712	6321	1996-12-31	VYDAJ	VYBER	14600	18097	SIPO	\N	0
1867713	6321	1997-02-15	VYDAJ	VYBER	12800	24839	SIPO	\N	0
1867714	6321	1997-03-07	VYDAJ	VYBER	13300	9497	SIPO	\N	0
1867715	6321	1997-04-11	VYDAJ	VYBER	13400	26147	SIPO	\N	0
1867716	6321	1997-05-01	VYDAJ	VYBER	16700	39343	SIPO	\N	0
1867717	6321	1997-05-31	VYDAJ	VYBER	16000	36285	SIPO	\N	0
1867718	6321	1997-07-03	VYDAJ	VYBER	11900	29854	SIPO	\N	0
1867719	6321	1997-07-30	VYDAJ	VYBER	11200	22182	SIPO	\N	0
1867720	6321	1997-09-12	VYDAJ	VYBER	16100	72270	SIPO	\N	0
1867721	6321	1997-09-29	VYDAJ	VYBER	12600	40870	SIPO	\N	0
1867722	6321	1997-10-28	VYDAJ	VYBER	16500	30518	SIPO	\N	0
1867723	6321	1997-12-15	VYDAJ	VYBER	11800	71511	SIPO	\N	0
1867724	6321	1998-01-09	VYDAJ	VYBER	14100	26839	SIPO	\N	0
1867725	6321	1998-02-10	VYDAJ	VYBER	15700	30104	SIPO	\N	0
1867726	6321	1998-03-11	VYDAJ	VYBER	11400	25566	SIPO	\N	0
1867727	6321	1998-03-28	VYDAJ	VYBER	13400	34029	SIPO	\N	0
1867728	6321	1998-04-27	VYDAJ	VYBER	15600	31057	SIPO	\N	0
1867729	6321	1998-06-06	VYDAJ	VYBER	16800	18977	SIPO	\N	0
1867730	6321	1998-07-07	VYDAJ	VYBER	15400	14900	SIPO	\N	0
1867732	6321	1998-09-01	VYDAJ	VYBER	16400	28662	SIPO	\N	0
1867733	6321	1998-10-02	VYDAJ	VYBER	17500	12116	SIPO	\N	0
1867734	6321	1998-10-29	VYDAJ	VYBER	11500	20879	SIPO	\N	0
1867735	6321	1998-12-08	VYDAJ	VYBER	12100	19269	SIPO	\N	0
1867748	6321	1995-04-27	VYBER	VYBER	22920	35632	\N	\N	\N
1867753	6321	1996-06-28	VYBER	VYBER	2787	30283	\N	\N	\N
1867754	6321	1996-02-18	VYBER	VYBER	6059	26828	\N	\N	\N
1867757	6321	1997-12-06	VYBER	VYBER	5522	38635	\N	\N	\N
1867758	6321	1997-03-30	VYBER	VYBER	5565	39388	\N	\N	\N
1867761	6321	1997-07-20	VYBER	VYBER	10381	57782	\N	\N	\N
1867762	6321	1997-11-08	VYBER	VYBER	2954	88444	\N	\N	\N
1867763	6321	1997-06-30	VYBER	VYBER	7745	41769	\N	\N	\N
1867764	6321	1997-12-02	VYBER	VYBER	17069	44157	\N	\N	\N
1867767	6321	1998-04-11	VYBER	VYBER	3747	54257	\N	\N	\N
1867769	6321	1998-09-07	VYBER	VYBER	8546	20116	\N	\N	\N
1867770	6321	1998-04-06	VYBER	VYBER	10865	58004	\N	\N	\N
1867776	6321	1997-06-14	VYDAJ	VYBER	18000	75502	\N	\N	\N
1867785	6321	1996-12-24	VYDAJ	VYBER	3300	47112	\N	\N	\N
1867786	6321	1997-12-27	VYDAJ	VYBER	6300	49111	\N	\N	\N
1867804	6321	1996-01-23	VYDAJ	VYBER	2700	21662	\N	\N	\N
1867805	6321	1996-01-28	VYDAJ	VYBER	3300	18362	\N	\N	\N
1867809	6321	1997-01-01	VYDAJ	VYBER	7200	10897	\N	\N	\N
1867812	6321	1998-01-06	VYDAJ	VYBER	6600	42739	\N	\N	\N
1867813	6321	1998-01-26	VYDAJ	VYBER	7500	45654	\N	\N	\N
1867815	6321	1998-01-06	VYDAJ	VYBER	1800	40939	\N	\N	\N
1867828	6321	1997-07-28	VYDAJ	VYBER	11100	33382	\N	\N	\N
1867832	6321	1997-12-16	VYDAJ	VYBER	6300	65211	\N	\N	\N
1867833	6321	1998-04-20	VYDAJ	VYBER	3600	50657	\N	\N	\N
1867838	6321	1998-10-26	VYDAJ	VYBER	7500	32379	\N	\N	\N
1867855	6321	1995-04-30	VYDAJ	VYBER	15	35855	SLUZBY	\N	\N
1867856	6321	1995-05-31	VYDAJ	VYBER	15	25410	SLUZBY	\N	\N
1867857	6321	1995-06-30	VYDAJ	VYBER	15	20956	SLUZBY	\N	\N
1867858	6321	1995-07-31	VYDAJ	VYBER	15	77341	SLUZBY	\N	\N
1867859	6321	1995-08-31	VYDAJ	VYBER	15	63373	SLUZBY	\N	\N
1867860	6321	1995-09-30	VYDAJ	VYBER	15	46758	SLUZBY	\N	\N
1867861	6321	1995-10-31	VYDAJ	VYBER	15	19439	SLUZBY	\N	\N
1867862	6321	1995-11-30	VYDAJ	VYBER	15	6864	SLUZBY	\N	\N
1867863	6321	1995-12-31	VYDAJ	VYBER	15	-2545	SLUZBY	\N	\N
1867864	6321	1996-01-31	VYDAJ	VYBER	15	18353	SLUZBY	\N	\N
1867865	6321	1996-02-29	VYDAJ	VYBER	15	14133	SLUZBY	\N	\N
1867866	6321	1996-03-31	VYDAJ	VYBER	15	13977	SLUZBY	\N	\N
1867867	6321	1996-04-30	VYDAJ	VYBER	15	38896	SLUZBY	\N	\N
1867868	6321	1996-05-31	VYDAJ	VYBER	15	26742	SLUZBY	\N	\N
1867869	6321	1996-06-30	VYDAJ	VYBER	15	30398	SLUZBY	\N	\N
1867870	6321	1996-07-31	VYDAJ	VYBER	15	43927	SLUZBY	\N	\N
1867871	6321	1996-08-31	VYDAJ	VYBER	15	22389	SLUZBY	\N	\N
1867872	6321	1996-09-30	VYDAJ	VYBER	15	19890	SLUZBY	\N	\N
1867873	6321	1996-10-31	VYDAJ	VYBER	15	62710	SLUZBY	\N	\N
1867874	6321	1996-11-30	VYDAJ	VYBER	15	50412	SLUZBY	\N	\N
1867875	6321	1996-12-31	VYDAJ	VYBER	15	32697	SLUZBY	\N	\N
1867876	6321	1997-01-31	VYDAJ	VYBER	15	11015	SLUZBY	\N	\N
1867877	6321	1997-02-28	VYDAJ	VYBER	15	22797	SLUZBY	\N	\N
1867878	6321	1997-03-31	VYDAJ	VYBER	15	39547	SLUZBY	\N	\N
1867879	6321	1997-04-30	VYDAJ	VYBER	15	56043	SLUZBY	\N	\N
1867880	6321	1997-05-31	VYDAJ	VYBER	15	52285	SLUZBY	\N	\N
1867881	6321	1997-06-30	VYDAJ	VYBER	15	41754	SLUZBY	\N	\N
1867882	6321	1997-07-31	VYDAJ	VYBER	15	22356	SLUZBY	\N	\N
1867883	6321	1997-08-31	VYDAJ	VYBER	15	62296	SLUZBY	\N	\N
1867884	6321	1997-09-30	VYDAJ	VYBER	15	41118	SLUZBY	\N	\N
1867885	6321	1997-10-31	VYDAJ	VYBER	15	30669	SLUZBY	\N	\N
1867886	6321	1997-11-30	VYDAJ	VYBER	15	61226	SLUZBY	\N	\N
1867887	6321	1997-12-31	VYDAJ	VYBER	15	49339	SLUZBY	\N	\N
1867888	6321	1998-01-31	VYDAJ	VYBER	15	45804	SLUZBY	\N	\N
1867889	6321	1998-02-28	VYDAJ	VYBER	15	36966	SLUZBY	\N	\N
1867890	6321	1998-03-31	VYDAJ	VYBER	15	68869	SLUZBY	\N	\N
1867891	6321	1998-04-30	VYDAJ	VYBER	15	31265	SLUZBY	\N	\N
1867892	6321	1998-05-31	VYDAJ	VYBER	15	35777	SLUZBY	\N	\N
1867893	6321	1998-06-30	VYDAJ	VYBER	15	30300	SLUZBY	\N	\N
1867894	6321	1998-07-31	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
1867895	6321	1998-08-31	VYDAJ	VYBER	15	45062	SLUZBY	\N	\N
1867896	6321	1998-09-30	VYDAJ	VYBER	15	29616	SLUZBY	\N	\N
1867897	6321	1998-10-31	VYDAJ	VYBER	15	21001	SLUZBY	\N	\N
1867898	6321	1998-11-30	VYDAJ	VYBER	15	31369	SLUZBY	\N	\N
1867899	6321	1994-10-10	PRIJEM	VKLAD	13200	14000	\N	\N	\N
1867900	6321	1994-11-09	VYDAJ	VYBER	5800	34897	\N	\N	\N
1867901	6321	1994-12-09	VYDAJ	VYBER	24300	46540	\N	\N	\N
1867902	6321	1995-01-08	VYDAJ	VYBER	10600	36234	\N	\N	\N
1867903	6321	1995-02-07	VYDAJ	VYBER	9200	27329	\N	\N	\N
1867904	6321	1995-03-09	VYDAJ	VYBER	27300	46345	\N	\N	\N
1867905	6321	1995-04-08	VYDAJ	VYBER	28000	48775	\N	\N	\N
1867906	6321	1995-05-08	VYDAJ	VYBER	4400	25312	\N	\N	\N
1867907	6321	1995-06-07	PRIJEM	VKLAD	5200	30610	\N	\N	\N
1867908	6321	1995-07-07	VYDAJ	VYBER	9400	28693	\N	\N	\N
1867909	6321	1995-08-06	VYDAJ	VYBER	29300	48041	\N	\N	\N
1867910	6321	1995-09-05	VYDAJ	VYBER	21200	29973	\N	\N	\N
1867911	6321	1995-10-05	VYDAJ	VYBER	11500	19358	\N	\N	\N
1867912	6321	1995-11-04	VYDAJ	VYBER	100	19339	\N	\N	\N
1867913	6321	1995-12-04	PRIJEM	VKLAD	6400	13264	\N	\N	\N
1867914	6321	1996-02-02	PRIJEM	VKLAD	2100	20453	\N	\N	\N
1867915	6321	1996-03-03	VYDAJ	VYBER	200	13933	\N	\N	\N
1867916	6321	1996-04-02	PRIJEM	VKLAD	3000	16977	\N	\N	\N
1867917	6321	1996-05-02	VYDAJ	VYBER	12300	26596	\N	\N	\N
1867918	6321	1996-06-01	VYDAJ	VYBER	2800	12442	\N	\N	\N
1867919	6321	1996-07-01	VYDAJ	VYBER	2800	27598	\N	\N	\N
1867920	6321	1996-07-31	VYDAJ	VYBER	19700	43942	\N	\N	\N
1867921	6321	1996-08-30	VYDAJ	VYBER	4700	22227	\N	\N	\N
1867922	6321	1996-09-29	VYDAJ	VYBER	4400	19777	\N	\N	\N
1867923	6321	1996-10-29	VYDAJ	VYBER	43600	62432	\N	\N	\N
1867924	6321	1996-11-05	VYDAJ	VYBER	50900	78270	\N	\N	\N
1867925	6321	1996-11-16	VYDAJ	VYBER	52500	75960	\N	\N	\N
1867926	6321	1996-11-28	VYDAJ	VYBER	40000	61941	\N	\N	\N
1867927	6321	1996-12-28	VYDAJ	VYBER	14600	32512	\N	\N	\N
1867928	6321	1997-02-26	VYDAJ	VYBER	2100	22739	\N	\N	\N
1867929	6321	1997-03-28	VYDAJ	VYBER	15100	44953	\N	\N	\N
1867930	6321	1997-04-27	PRIJEM	VKLAD	400	26547	\N	\N	\N
1867931	6321	1997-05-27	VYDAJ	VYBER	27300	52000	\N	\N	\N
1867932	6321	1997-06-26	VYDAJ	VYBER	26300	49202	\N	\N	\N
1867933	6321	1997-07-26	VYDAJ	VYBER	13300	44482	\N	\N	\N
1867934	6321	1997-08-25	VYDAJ	VYBER	26500	62120	\N	\N	\N
1867935	6321	1997-09-24	VYDAJ	VYBER	18800	53470	\N	\N	\N
1867936	6321	1997-10-24	VYDAJ	VYBER	7900	47018	\N	\N	\N
1867937	6321	1997-11-23	VYDAJ	VYBER	27500	60944	\N	\N	\N
1867938	6321	1997-12-23	VYDAJ	VYBER	9800	55411	\N	\N	\N
1867939	6321	1998-01-22	VYDAJ	VYBER	12700	53154	\N	\N	\N
1867940	6321	1998-02-21	PRIJEM	VKLAD	6700	36804	\N	\N	\N
1867941	6321	1998-03-23	VYDAJ	VYBER	5100	47429	\N	\N	\N
1867942	6321	1998-04-22	VYDAJ	VYBER	4000	46657	\N	\N	\N
1867943	6321	1998-05-22	PRIJEM	VKLAD	4400	35665	\N	\N	\N
1867944	6321	1998-06-21	PRIJEM	VKLAD	3900	30192	\N	\N	\N
1867945	6321	1998-08-20	PRIJEM	VKLAD	2800	44972	\N	\N	\N
1867946	6321	1998-09-19	PRIJEM	VKLAD	9400	29516	\N	\N	\N
1867947	6321	1998-10-19	PRIJEM	VKLAD	5100	39879	\N	\N	\N
1867948	6321	1998-11-18	PRIJEM	VKLAD	10300	31301	\N	\N	\N
1876106	6353	1993-11-26	PRIJEM	VKLAD	700	700	\N	\N	\N
1876118	6353	1993-12-12	PRIJEM	VKLAD	36635	37335	\N	\N	\N
1876119	6353	1994-01-12	PRIJEM	VKLAD	24423	54582	\N	\N	\N
1876120	6353	1994-02-12	PRIJEM	VKLAD	24423	61837	\N	\N	\N
1876121	6353	1994-03-12	PRIJEM	VKLAD	24423	69521	\N	\N	\N
1876122	6353	1994-04-12	PRIJEM	VKLAD	24423	72534	\N	\N	\N
1876123	6353	1994-05-12	PRIJEM	VKLAD	24423	64571	\N	\N	\N
1876124	6353	1994-06-12	PRIJEM	VKLAD	36635	56964	\N	\N	\N
1876125	6353	1994-07-12	PRIJEM	VKLAD	24423	54817	\N	\N	\N
1876126	6353	1994-08-12	PRIJEM	VKLAD	24423	56742	\N	\N	\N
1876127	6353	1994-09-12	PRIJEM	VKLAD	24423	55769	\N	\N	\N
1876128	6353	1994-10-12	PRIJEM	VKLAD	24423	55728	\N	\N	\N
1876129	6353	1994-11-12	PRIJEM	VKLAD	24423	59353	\N	\N	\N
1876130	6353	1994-12-12	PRIJEM	VKLAD	36635	74200	\N	\N	\N
1876131	6353	1995-01-12	PRIJEM	VKLAD	24423	65906	\N	\N	\N
1876132	6353	1995-02-12	PRIJEM	VKLAD	24423	55695	\N	\N	\N
1876133	6353	1995-03-12	PRIJEM	VKLAD	24423	61382	\N	\N	\N
1876134	6353	1995-04-12	PRIJEM	VKLAD	24423	65295	\N	\N	\N
1876135	6353	1995-05-12	PRIJEM	VKLAD	24423	65816	\N	\N	\N
1876136	6353	1995-06-12	PRIJEM	VKLAD	36635	47534	\N	\N	\N
1876137	6353	1995-07-12	PRIJEM	VKLAD	24423	55691	\N	\N	\N
1876138	6353	1995-08-12	PRIJEM	VKLAD	24423	55208	\N	\N	\N
1876139	6353	1995-09-12	PRIJEM	VKLAD	24423	58488	\N	\N	\N
1876140	6353	1995-10-12	PRIJEM	VKLAD	24423	57895	\N	\N	\N
1876141	6353	1995-11-12	PRIJEM	VKLAD	24423	60883	\N	\N	\N
1876142	6353	1995-12-12	PRIJEM	VKLAD	36635	69627	\N	\N	\N
1876143	6353	1996-01-12	PRIJEM	VKLAD	24423	62071	\N	\N	\N
1876144	6353	1996-02-12	PRIJEM	VKLAD	24423	57542	\N	\N	\N
1876145	6353	1996-03-12	PRIJEM	VKLAD	24423	58618	\N	\N	\N
1876146	6353	1996-04-12	PRIJEM	VKLAD	24423	61704	\N	\N	\N
1876147	6353	1996-05-12	PRIJEM	VKLAD	24423	62879	\N	\N	\N
1876148	6353	1996-06-12	PRIJEM	VKLAD	36635	72710	\N	\N	\N
1876149	6353	1996-07-12	PRIJEM	VKLAD	24423	67415	\N	\N	\N
1876150	6353	1996-08-12	PRIJEM	VKLAD	24423	59909	\N	\N	\N
1876151	6353	1996-09-12	PRIJEM	VKLAD	24423	58333	\N	\N	\N
1876152	6353	1996-10-12	PRIJEM	VKLAD	24423	65755	\N	\N	\N
1876153	6353	1996-11-12	PRIJEM	VKLAD	24423	66717	\N	\N	\N
1876154	6353	1996-12-12	PRIJEM	VKLAD	36635	76932	\N	\N	\N
1876155	6353	1997-01-12	PRIJEM	VKLAD	24423	58970	\N	\N	\N
1876156	6353	1997-02-12	PRIJEM	VKLAD	24423	54673	\N	\N	\N
1876157	6353	1997-03-12	PRIJEM	VKLAD	24423	54029	\N	\N	\N
1876158	6353	1997-04-12	PRIJEM	VKLAD	24423	53165	\N	\N	\N
1876159	6353	1997-05-12	PRIJEM	VKLAD	24423	51633	\N	\N	\N
1876160	6353	1997-06-12	PRIJEM	VKLAD	36635	62621	\N	\N	\N
1876161	6353	1997-07-12	PRIJEM	VKLAD	24423	49022	\N	\N	\N
1876162	6353	1997-08-12	PRIJEM	VKLAD	24423	50506	\N	\N	\N
1876163	6353	1997-09-12	PRIJEM	VKLAD	24423	51200	\N	\N	\N
1876164	6353	1997-10-12	PRIJEM	VKLAD	24423	57094	\N	\N	\N
1876165	6353	1997-11-12	PRIJEM	VKLAD	24423	58313	\N	\N	\N
1876166	6353	1997-12-12	PRIJEM	VKLAD	36635	68075	\N	\N	\N
1876167	6353	1998-01-12	PRIJEM	VKLAD	24423	53750	\N	\N	\N
1876168	6353	1998-02-12	PRIJEM	VKLAD	24423	44408	\N	\N	\N
1876169	6353	1998-03-12	PRIJEM	VKLAD	24423	46967	\N	\N	\N
1876170	6353	1998-04-12	PRIJEM	VKLAD	24423	48844	\N	\N	\N
1876171	6353	1998-05-12	PRIJEM	VKLAD	24423	48024	\N	\N	\N
1876172	6353	1998-06-12	PRIJEM	VKLAD	36635	59012	\N	\N	\N
1876173	6353	1998-07-12	PRIJEM	VKLAD	24423	47121	\N	\N	\N
1876174	6353	1998-08-12	PRIJEM	VKLAD	24423	38805	\N	\N	\N
1876175	6353	1998-09-12	PRIJEM	VKLAD	24423	52041	\N	\N	\N
1876176	6353	1998-10-12	PRIJEM	VKLAD	24423	63799	\N	\N	\N
1876177	6353	1998-11-12	PRIJEM	VKLAD	24423	44032	\N	\N	\N
1876178	6353	1998-12-12	PRIJEM	VKLAD	36635	69198	\N	\N	\N
1876195	6353	1994-05-05	VYDAJ	PREVOD NA UCET	586	46132	SIPO	EF	55760598
1876196	6353	1994-06-05	VYDAJ	PREVOD NA UCET	586	26313	SIPO	EF	55760598
1876197	6353	1994-07-05	VYDAJ	PREVOD NA UCET	586	36378	SIPO	EF	55760598
1876198	6353	1994-08-05	VYDAJ	PREVOD NA UCET	586	40103	SIPO	EF	55760598
1876199	6353	1994-09-05	VYDAJ	PREVOD NA UCET	586	37330	SIPO	EF	55760598
1876200	6353	1994-10-05	VYDAJ	PREVOD NA UCET	586	37289	SIPO	EF	55760598
1876201	6353	1994-11-05	VYDAJ	PREVOD NA UCET	586	40914	SIPO	EF	55760598
1876202	6353	1994-12-05	VYDAJ	PREVOD NA UCET	586	43549	SIPO	EF	55760598
1876203	6353	1995-01-05	VYDAJ	PREVOD NA UCET	586	50107	SIPO	EF	55760598
1876204	6353	1995-02-05	VYDAJ	PREVOD NA UCET	586	37256	SIPO	EF	55760598
1876205	6353	1995-03-05	VYDAJ	PREVOD NA UCET	586	42943	SIPO	EF	55760598
1876206	6353	1995-04-05	VYDAJ	PREVOD NA UCET	586	46856	SIPO	EF	55760598
1876207	6353	1995-05-05	VYDAJ	PREVOD NA UCET	586	47377	SIPO	EF	55760598
1876208	6353	1995-06-05	VYDAJ	PREVOD NA UCET	586	16883	SIPO	EF	55760598
1876209	6353	1995-07-05	VYDAJ	PREVOD NA UCET	586	37252	SIPO	EF	55760598
1876210	6353	1995-08-05	VYDAJ	PREVOD NA UCET	586	36769	SIPO	EF	55760598
1876211	6353	1995-09-05	VYDAJ	PREVOD NA UCET	586	40049	SIPO	EF	55760598
1876212	6353	1995-10-05	VYDAJ	PREVOD NA UCET	586	39456	SIPO	EF	55760598
1876213	6353	1995-11-05	VYDAJ	PREVOD NA UCET	586	42444	SIPO	EF	55760598
1876214	6353	1995-12-05	VYDAJ	PREVOD NA UCET	586	38977	SIPO	EF	55760598
1876215	6353	1996-01-05	VYDAJ	PREVOD NA UCET	586	46752	SIPO	EF	55760598
1876216	6353	1996-02-05	VYDAJ	PREVOD NA UCET	586	39103	SIPO	EF	55760598
1876217	6353	1996-03-05	VYDAJ	PREVOD NA UCET	586	40179	SIPO	EF	55760598
1876218	6353	1996-04-05	VYDAJ	PREVOD NA UCET	586	43265	SIPO	EF	55760598
1876219	6353	1996-05-05	VYDAJ	PREVOD NA UCET	586	44440	SIPO	EF	55760598
1876220	6353	1996-06-05	VYDAJ	PREVOD NA UCET	586	46139	SIPO	EF	55760598
1876221	6353	1996-07-05	VYDAJ	PREVOD NA UCET	586	48976	SIPO	EF	55760598
1876222	6353	1996-08-05	VYDAJ	PREVOD NA UCET	586	41470	SIPO	EF	55760598
1876223	6353	1996-09-05	VYDAJ	PREVOD NA UCET	586	44794	SIPO	EF	55760598
1876224	6353	1996-10-05	VYDAJ	PREVOD NA UCET	586	56616	SIPO	EF	55760598
1876225	6353	1996-11-05	VYDAJ	PREVOD NA UCET	586	64078	SIPO	EF	55760598
1876226	6353	1996-12-05	VYDAJ	PREVOD NA UCET	586	62281	SIPO	EF	55760598
1876227	6353	1997-01-05	VYDAJ	PREVOD NA UCET	586	69931	SIPO	EF	55760598
1876228	6353	1997-02-05	VYDAJ	PREVOD NA UCET	586	51634	SIPO	EF	55760598
1876229	6353	1997-03-05	VYDAJ	PREVOD NA UCET	586	52950	SIPO	EF	55760598
1876230	6353	1997-04-05	VYDAJ	PREVOD NA UCET	586	48826	SIPO	EF	55760598
1876231	6353	1997-05-05	VYDAJ	PREVOD NA UCET	586	47594	SIPO	EF	55760598
1876232	6353	1997-06-05	VYDAJ	PREVOD NA UCET	586	44971	SIPO	EF	55760598
1876233	6353	1997-07-05	VYDAJ	PREVOD NA UCET	586	35583	SIPO	EF	55760598
1876234	6353	1997-08-05	VYDAJ	PREVOD NA UCET	586	47267	SIPO	EF	55760598
1876235	6353	1997-09-05	VYDAJ	PREVOD NA UCET	586	48761	SIPO	EF	55760598
1876236	6353	1997-10-05	VYDAJ	PREVOD NA UCET	586	49455	SIPO	EF	55760598
1876237	6353	1997-11-05	VYDAJ	PREVOD NA UCET	586	55374	SIPO	EF	55760598
1876238	6353	1997-12-05	VYDAJ	PREVOD NA UCET	586	51325	SIPO	EF	55760598
1876239	6353	1998-01-05	VYDAJ	PREVOD NA UCET	586	41671	SIPO	EF	55760598
1876240	6353	1998-02-05	VYDAJ	PREVOD NA UCET	586	25969	SIPO	EF	55760598
1876241	6353	1998-03-05	VYDAJ	PREVOD NA UCET	586	42628	SIPO	EF	55760598
1876242	6353	1998-04-05	VYDAJ	PREVOD NA UCET	586	30405	SIPO	EF	55760598
1876243	6353	1998-05-05	VYDAJ	PREVOD NA UCET	586	29585	SIPO	EF	55760598
1876244	6353	1998-06-05	VYDAJ	PREVOD NA UCET	586	28362	SIPO	EF	55760598
1876245	6353	1998-07-05	VYDAJ	PREVOD NA UCET	586	28682	SIPO	EF	55760598
1876246	6353	1998-08-05	VYDAJ	PREVOD NA UCET	586	20366	SIPO	EF	55760598
1876247	6353	1998-09-05	VYDAJ	PREVOD NA UCET	586	33602	SIPO	EF	55760598
1876248	6353	1998-10-05	VYDAJ	PREVOD NA UCET	586	45360	SIPO	EF	55760598
1876249	6353	1998-11-05	VYDAJ	PREVOD NA UCET	586	25593	SIPO	EF	55760598
1876250	6353	1998-12-05	VYDAJ	PREVOD NA UCET	586	42247	SIPO	EF	55760598
1876267	6353	1994-05-10	VYDAJ	PREVOD NA UCET	5984	40148	 	OP	1903015
1876268	6353	1994-06-10	VYDAJ	PREVOD NA UCET	5984	20329	 	OP	1903015
1876269	6353	1994-07-10	VYDAJ	PREVOD NA UCET	5984	30394	 	OP	1903015
1876270	6353	1994-08-10	VYDAJ	PREVOD NA UCET	5984	32319	 	OP	1903015
1876271	6353	1994-09-10	VYDAJ	PREVOD NA UCET	5984	31346	 	OP	1903015
1876272	6353	1994-10-10	VYDAJ	PREVOD NA UCET	5984	31305	 	OP	1903015
1876273	6353	1994-11-10	VYDAJ	PREVOD NA UCET	5984	34930	 	OP	1903015
1876274	6353	1994-12-10	VYDAJ	PREVOD NA UCET	5984	37565	 	OP	1903015
1876275	6353	1995-01-10	VYDAJ	PREVOD NA UCET	5984	41483	 	OP	1903015
1876276	6353	1995-02-10	VYDAJ	PREVOD NA UCET	5984	31272	 	OP	1903015
1876277	6353	1995-03-10	VYDAJ	PREVOD NA UCET	5984	36959	 	OP	1903015
1876278	6353	1995-04-10	VYDAJ	PREVOD NA UCET	5984	40872	 	OP	1903015
1876279	6353	1995-05-10	VYDAJ	PREVOD NA UCET	5984	41393	 	OP	1903015
1876280	6353	1995-06-10	VYDAJ	PREVOD NA UCET	5984	10899	 	OP	1903015
1876281	6353	1995-07-10	VYDAJ	PREVOD NA UCET	5984	31268	 	OP	1903015
1876282	6353	1995-08-10	VYDAJ	PREVOD NA UCET	5984	30785	 	OP	1903015
1876283	6353	1995-09-10	VYDAJ	PREVOD NA UCET	5984	34065	 	OP	1903015
1876284	6353	1995-10-10	VYDAJ	PREVOD NA UCET	5984	33472	 	OP	1903015
1876285	6353	1995-11-10	VYDAJ	PREVOD NA UCET	5984	36460	 	OP	1903015
1876286	6353	1995-12-10	VYDAJ	PREVOD NA UCET	5984	32993	 	OP	1903015
1876287	6353	1996-01-10	VYDAJ	PREVOD NA UCET	5984	40768	 	OP	1903015
1876288	6353	1996-02-10	VYDAJ	PREVOD NA UCET	5984	33119	 	OP	1903015
1876289	6353	1996-03-10	VYDAJ	PREVOD NA UCET	5984	34195	 	OP	1903015
1876290	6353	1996-04-10	VYDAJ	PREVOD NA UCET	5984	37281	 	OP	1903015
1876291	6353	1996-05-10	VYDAJ	PREVOD NA UCET	5984	38456	 	OP	1903015
1876292	6353	1996-06-10	VYDAJ	PREVOD NA UCET	5984	36075	 	OP	1903015
1876293	6353	1996-07-10	VYDAJ	PREVOD NA UCET	5984	42992	 	OP	1903015
1876294	6353	1996-08-10	VYDAJ	PREVOD NA UCET	5984	35486	 	OP	1903015
1876295	6353	1996-09-10	VYDAJ	PREVOD NA UCET	5984	38810	 	OP	1903015
1876296	6353	1996-10-10	VYDAJ	PREVOD NA UCET	5984	50632	 	OP	1903015
1876297	6353	1996-11-10	VYDAJ	PREVOD NA UCET	5984	58094	 	OP	1903015
1876298	6353	1996-12-10	VYDAJ	PREVOD NA UCET	5984	56297	 	OP	1903015
1876299	6353	1997-01-10	VYDAJ	PREVOD NA UCET	5984	35987	 	OP	1903015
1876300	6353	1997-02-10	VYDAJ	PREVOD NA UCET	5984	30250	 	OP	1903015
1876301	6353	1997-03-10	VYDAJ	PREVOD NA UCET	5984	45406	 	OP	1903015
1876302	6353	1997-04-10	VYDAJ	PREVOD NA UCET	5984	28742	 	OP	1903015
1876303	6353	1997-05-10	VYDAJ	PREVOD NA UCET	5984	27210	 	OP	1903015
1876304	6353	1997-06-10	VYDAJ	PREVOD NA UCET	5984	25987	 	OP	1903015
1876305	6353	1997-07-10	VYDAJ	PREVOD NA UCET	5984	24599	 	OP	1903015
1876306	6353	1997-08-10	VYDAJ	PREVOD NA UCET	5984	26083	 	OP	1903015
1876307	6353	1997-09-10	VYDAJ	PREVOD NA UCET	5984	26777	 	OP	1903015
1876308	6353	1997-10-10	VYDAJ	PREVOD NA UCET	5984	32671	 	OP	1903015
1876309	6353	1997-11-10	VYDAJ	PREVOD NA UCET	5984	33890	 	OP	1903015
1876310	6353	1997-12-10	VYDAJ	PREVOD NA UCET	5984	31441	 	OP	1903015
1876311	6353	1998-01-10	VYDAJ	PREVOD NA UCET	5984	29327	 	OP	1903015
1876312	6353	1998-02-10	VYDAJ	PREVOD NA UCET	5984	19985	 	OP	1903015
1876313	6353	1998-03-10	VYDAJ	PREVOD NA UCET	5984	22544	 	OP	1903015
1876314	6353	1998-04-10	VYDAJ	PREVOD NA UCET	5984	24421	 	OP	1903015
1876315	6353	1998-05-10	VYDAJ	PREVOD NA UCET	5984	23601	 	OP	1903015
1876316	6353	1998-06-10	VYDAJ	PREVOD NA UCET	5984	22378	 	OP	1903015
1876317	6353	1998-07-10	VYDAJ	PREVOD NA UCET	5984	22698	 	OP	1903015
1876318	6353	1998-08-10	VYDAJ	PREVOD NA UCET	5984	14382	 	OP	1903015
1876319	6353	1998-09-10	VYDAJ	PREVOD NA UCET	5984	27618	 	OP	1903015
1876320	6353	1998-10-10	VYDAJ	PREVOD NA UCET	5984	39376	 	OP	1903015
1876321	6353	1998-11-10	VYDAJ	PREVOD NA UCET	5984	19609	 	OP	1903015
1876322	6353	1998-12-10	VYDAJ	PREVOD NA UCET	5984	36263	 	OP	1903015
1876338	6353	1994-04-27	VYDAJ	VYBER	1700	46534	\N	\N	0
1876339	6353	1994-05-28	VYDAJ	VYBER	1100	44271	\N	\N	0
1876340	6353	1994-06-02	VYDAJ	VYBER	1100	26899	\N	\N	0
1876341	6353	1994-07-03	VYDAJ	VYBER	1300	36964	\N	\N	0
1876342	6353	1994-08-07	VYDAJ	VYBER	1800	38303	\N	\N	0
1876343	6353	1994-09-12	VYDAJ	VYBER	800	54969	\N	\N	0
1876344	6353	1994-10-20	VYDAJ	VYBER	1000	54728	\N	\N	0
1876345	6353	1994-11-04	VYDAJ	VYBER	1000	41500	\N	\N	0
1876346	6353	1994-12-21	VYDAJ	VYBER	1100	71180	\N	\N	0
1876347	6353	1994-12-30	VYDAJ	VYBER	1100	50480	\N	\N	0
1876348	6353	1995-02-12	VYDAJ	PREVOD NA UCET	1332	54363	UVER	CD	62611573
1876349	6353	1995-03-12	VYDAJ	PREVOD NA UCET	1332	60050	UVER	CD	62611573
1876350	6353	1995-04-12	VYDAJ	PREVOD NA UCET	1332	63963	UVER	CD	62611573
1876351	6353	1995-05-12	VYDAJ	PREVOD NA UCET	1332	64484	UVER	CD	62611573
1876352	6353	1995-06-12	VYDAJ	PREVOD NA UCET	1332	46202	UVER	CD	62611573
1876353	6353	1995-07-12	VYDAJ	PREVOD NA UCET	1332	54359	UVER	CD	62611573
1876354	6353	1995-08-12	VYDAJ	PREVOD NA UCET	1332	53876	UVER	CD	62611573
1876355	6353	1995-09-12	VYDAJ	PREVOD NA UCET	1332	57156	UVER	CD	62611573
1876356	6353	1995-10-12	VYDAJ	PREVOD NA UCET	1332	56563	UVER	CD	62611573
1876357	6353	1995-11-12	VYDAJ	PREVOD NA UCET	1332	59551	UVER	CD	62611573
1876358	6353	1995-12-12	VYDAJ	PREVOD NA UCET	1332	68295	UVER	CD	62611573
1876359	6353	1996-01-12	VYDAJ	PREVOD NA UCET	1332	59899	UVER	CD	62611573
1876360	6353	1996-02-12	VYDAJ	PREVOD NA UCET	1332	56210	UVER	CD	62611573
1876361	6353	1996-03-12	VYDAJ	PREVOD NA UCET	1332	57286	UVER	CD	62611573
1876362	6353	1996-04-12	VYDAJ	PREVOD NA UCET	1332	60372	UVER	CD	62611573
1876363	6353	1996-05-12	VYDAJ	PREVOD NA UCET	1332	61547	UVER	CD	62611573
1876364	6353	1996-06-12	VYDAJ	PREVOD NA UCET	1332	71378	UVER	CD	62611573
1876365	6353	1996-07-12	VYDAJ	PREVOD NA UCET	1332	66083	UVER	CD	62611573
1876366	6353	1996-08-12	VYDAJ	PREVOD NA UCET	1332	58577	UVER	CD	62611573
1876367	6353	1996-09-12	VYDAJ	PREVOD NA UCET	1332	57001	UVER	CD	62611573
1876368	6353	1996-10-12	VYDAJ	PREVOD NA UCET	1332	64423	UVER	CD	62611573
1876369	6353	1996-11-12	VYDAJ	PREVOD NA UCET	1332	65385	UVER	CD	62611573
1876370	6353	1996-12-12	VYDAJ	PREVOD NA UCET	1332	75600	UVER	CD	62611573
1876371	6353	1997-01-12	VYDAJ	PREVOD NA UCET	1332	57638	UVER	CD	62611573
1876372	6353	1997-02-12	VYDAJ	PREVOD NA UCET	1332	53341	UVER	CD	62611573
1876373	6353	1997-03-12	VYDAJ	PREVOD NA UCET	1332	52697	UVER	CD	62611573
1876374	6353	1997-04-12	VYDAJ	PREVOD NA UCET	1332	51833	UVER	CD	62611573
1876375	6353	1997-05-12	VYDAJ	PREVOD NA UCET	1332	50301	UVER	CD	62611573
1876376	6353	1997-06-12	VYDAJ	PREVOD NA UCET	1332	61289	UVER	CD	62611573
1876377	6353	1997-07-12	VYDAJ	PREVOD NA UCET	1332	47690	UVER	CD	62611573
1876378	6353	1997-08-12	VYDAJ	PREVOD NA UCET	1332	49174	UVER	CD	62611573
1876379	6353	1997-09-12	VYDAJ	PREVOD NA UCET	1332	49868	UVER	CD	62611573
1876380	6353	1997-10-12	VYDAJ	PREVOD NA UCET	1332	55762	UVER	CD	62611573
1876381	6353	1997-11-12	VYDAJ	PREVOD NA UCET	1332	56981	UVER	CD	62611573
1876382	6353	1997-12-12	VYDAJ	PREVOD NA UCET	1332	66743	UVER	CD	62611573
1876383	6353	1998-01-12	VYDAJ	PREVOD NA UCET	1332	52418	UVER	CD	62611573
1876384	6353	1998-02-12	VYDAJ	PREVOD NA UCET	1332	43076	UVER	CD	62611573
1876385	6353	1998-03-12	VYDAJ	PREVOD NA UCET	1332	45635	UVER	CD	62611573
1876386	6353	1998-04-12	VYDAJ	PREVOD NA UCET	1332	47512	UVER	CD	62611573
1876387	6353	1998-05-12	VYDAJ	PREVOD NA UCET	1332	46692	UVER	CD	62611573
1876388	6353	1998-06-12	VYDAJ	PREVOD NA UCET	1332	57680	UVER	CD	62611573
1876389	6353	1998-07-12	VYDAJ	PREVOD NA UCET	1332	45789	UVER	CD	62611573
1876390	6353	1998-08-12	VYDAJ	PREVOD NA UCET	1332	37473	UVER	CD	62611573
1876391	6353	1998-09-12	VYDAJ	PREVOD NA UCET	1332	50709	UVER	CD	62611573
1876392	6353	1998-10-12	VYDAJ	PREVOD NA UCET	1332	62467	UVER	CD	62611573
1876393	6353	1998-11-12	VYDAJ	PREVOD NA UCET	1332	42700	UVER	CD	62611573
1876394	6353	1998-12-12	VYDAJ	PREVOD NA UCET	1332	67866	UVER	CD	62611573
1876396	6353	1994-06-01	VYDAJ	VYBER	16480	27999	\N	\N	\N
1876397	6353	1995-06-04	VYDAJ	VYBER	32320	17469	\N	\N	\N
1876399	6353	1997-06-18	VYDAJ	VYBER	25280	36009	\N	\N	\N
1876403	6353	1995-01-30	VYDAJ	VYBER	3200	37646	\N	\N	\N
1876404	6353	1996-01-14	VYDAJ	VYBER	4640	55259	\N	\N	\N
1876405	6353	1997-01-09	VYDAJ	VYBER	10880	41971	\N	\N	\N
1876406	6353	1998-01-28	VYDAJ	VYBER	11520	38378	\N	\N	\N
1876408	6353	1994-12-16	VYDAJ	VYBER	1920	72280	\N	\N	\N
1876409	6353	1995-12-02	VYDAJ	VYBER	3360	39563	\N	\N	\N
1876410	6353	1996-12-19	VYDAJ	VYBER	800	74800	\N	\N	\N
1876411	6353	1997-12-26	VYDAJ	VYBER	1120	65623	\N	\N	\N
1876412	6353	1998-12-20	VYDAJ	VYBER KARTOU	1900	65966	\N	\N	0
1876425	6353	1995-01-23	VYDAJ	VYBER	1200	41446	\N	\N	\N
1876426	6353	1995-01-20	VYDAJ	VYBER	2400	45886	\N	\N	\N
1876427	6353	1995-01-20	VYDAJ	VYBER	3120	48286	\N	\N	\N
1876428	6353	1995-01-06	VYDAJ	VYBER	2640	47467	\N	\N	\N
1876429	6353	1995-01-22	VYDAJ	VYBER	3240	42646	\N	\N	\N
1876430	6353	1995-01-23	VYDAJ	VYBER	600	40846	\N	\N	\N
1876431	6353	1996-01-11	VYDAJ	VYBER	3120	37648	\N	\N	\N
1876432	6353	1996-01-05	VYDAJ	VYBER	840	47338	\N	\N	\N
1876433	6353	1996-01-28	VYDAJ	VYBER	960	39519	\N	\N	\N
1876434	6353	1996-01-22	VYDAJ	VYBER	1080	41079	\N	\N	\N
1876435	6353	1996-01-12	VYDAJ	VYBER	840	61231	\N	\N	\N
1876436	6353	1996-01-22	VYDAJ	VYBER	600	40479	\N	\N	\N
1876437	6353	1997-01-02	VYDAJ	VYBER	3240	71837	\N	\N	\N
1876438	6353	1997-01-11	VYDAJ	VYBER	1440	34547	\N	\N	\N
1876439	6353	1997-01-17	VYDAJ	VYBER	3120	54518	\N	\N	\N
1876440	6353	1997-01-29	VYDAJ	VYBER	2520	51998	\N	\N	\N
1876441	6353	1997-01-03	VYDAJ	VYBER	1320	70517	\N	\N	\N
1876442	6353	1997-01-08	VYDAJ	VYBER	3480	66451	\N	\N	\N
1876443	6353	1998-01-03	VYDAJ	VYBER	3240	59857	\N	\N	\N
1876444	6353	1998-01-02	VYDAJ	VYBER	2760	63097	\N	\N	\N
1876445	6353	1998-01-22	VYDAJ	VYBER	1320	51098	\N	\N	\N
1876446	6353	1998-01-08	VYDAJ	VYBER	3000	35311	\N	\N	\N
1876447	6353	1998-01-06	VYDAJ	VYBER	3360	38311	\N	\N	\N
1876448	6353	1998-01-24	VYDAJ	VYBER KARTOU	1200	49898	\N	\N	0
1876453	6353	1994-08-26	VYDAJ	VYBER	4200	37742	\N	\N	\N
1876455	6353	1994-07-03	VYDAJ	VYBER	2160	38264	\N	\N	\N
1876457	6353	1994-09-23	VYDAJ	VYBER	3360	37709	\N	\N	\N
1876458	6353	1995-07-20	VYDAJ	VYBER	5760	37199	\N	\N	\N
1876459	6353	1995-09-23	VYDAJ	VYBER	4080	39876	\N	\N	\N
1876460	6353	1996-11-14	VYDAJ	VYBER	2760	62625	\N	\N	\N
1876461	6353	1996-07-16	VYDAJ	VYBER	840	46443	\N	\N	\N
1876462	6353	1996-06-07	VYDAJ	VYBER	4080	42059	\N	\N	\N
1876463	6353	1996-07-16	VYDAJ	VYBER	4560	41883	\N	\N	\N
1876464	6353	1996-04-23	VYDAJ	VYBER	1320	44852	\N	\N	\N
1876465	6353	1997-03-08	VYDAJ	VYBER	1560	51390	\N	\N	\N
1876466	6353	1997-04-12	VYDAJ	VYBER	3840	47993	\N	\N	\N
1876467	6353	1997-03-19	VYDAJ	VYBER	3480	49217	\N	\N	\N
1876468	6353	1997-05-22	VYDAJ	VYBER	4920	45381	\N	\N	\N
1876469	6353	1997-11-26	VYDAJ	VYBER	5280	51701	\N	\N	\N
1876470	6353	1998-09-20	VYDAJ	VYBER	4920	45789	\N	\N	\N
1876471	6353	1998-12-10	VYDAJ	VYBER KARTOU	1400	34863	\N	\N	0
1876472	6353	1998-12-10	VYDAJ	VYBER KARTOU	2300	32563	\N	\N	0
1876473	6353	1998-04-27	VYDAJ	VYBER	4200	43312	\N	\N	\N
1876474	6353	1998-08-14	VYDAJ	VYBER KARTOU	3400	34073	\N	\N	0
1876491	6353	1994-04-30	VYDAJ	VYBER	15	46718	SLUZBY	\N	\N
1876492	6353	1994-05-31	VYDAJ	VYBER	15	44479	SLUZBY	\N	\N
1876493	6353	1994-06-30	VYDAJ	VYBER	15	40424	SLUZBY	\N	\N
1876494	6353	1994-07-31	VYDAJ	VYBER	15	40689	SLUZBY	\N	\N
1876495	6353	1994-08-31	VYDAJ	VYBER	15	37916	SLUZBY	\N	\N
1876496	6353	1994-09-30	VYDAJ	VYBER	15	37875	SLUZBY	\N	\N
1876497	6353	1994-10-31	VYDAJ	VYBER	15	42500	SLUZBY	\N	\N
1876498	6353	1994-11-30	VYDAJ	VYBER	15	44135	SLUZBY	\N	\N
1876499	6353	1994-12-31	VYDAJ	VYBER	15	50693	SLUZBY	\N	\N
1876500	6353	1995-01-31	VYDAJ	VYBER	15	37842	SLUZBY	\N	\N
1876501	6353	1995-02-28	VYDAJ	VYBER	15	43529	SLUZBY	\N	\N
1876502	6353	1995-03-31	VYDAJ	VYBER	15	47442	SLUZBY	\N	\N
1876503	6353	1995-04-30	VYDAJ	VYBER	15	47963	SLUZBY	\N	\N
1876504	6353	1995-05-31	VYDAJ	VYBER	15	49789	SLUZBY	\N	\N
1876505	6353	1995-06-30	VYDAJ	VYBER	15	37838	SLUZBY	\N	\N
1876506	6353	1995-07-31	VYDAJ	VYBER	15	37355	SLUZBY	\N	\N
1876507	6353	1995-08-31	VYDAJ	VYBER	15	40635	SLUZBY	\N	\N
1876508	6353	1995-09-30	VYDAJ	VYBER	15	40042	SLUZBY	\N	\N
1876509	6353	1995-10-31	VYDAJ	VYBER	15	43030	SLUZBY	\N	\N
1876510	6353	1995-11-30	VYDAJ	VYBER	15	42923	SLUZBY	\N	\N
1876511	6353	1995-12-31	VYDAJ	VYBER	15	48178	SLUZBY	\N	\N
1876512	6353	1996-01-31	VYDAJ	VYBER	15	39689	SLUZBY	\N	\N
1876513	6353	1996-02-29	VYDAJ	VYBER	15	40765	SLUZBY	\N	\N
1876514	6353	1996-03-31	VYDAJ	VYBER	15	43851	SLUZBY	\N	\N
1876515	6353	1996-04-30	VYDAJ	VYBER	15	45026	SLUZBY	\N	\N
1876516	6353	1996-05-31	VYDAJ	VYBER	15	46725	SLUZBY	\N	\N
1876517	6353	1996-06-30	VYDAJ	VYBER	15	49562	SLUZBY	\N	\N
1876518	6353	1996-07-31	VYDAJ	VYBER	15	42056	SLUZBY	\N	\N
1876519	6353	1996-08-31	VYDAJ	VYBER	15	45380	SLUZBY	\N	\N
1876520	6353	1996-09-30	VYDAJ	VYBER	15	57202	SLUZBY	\N	\N
1876521	6353	1996-10-31	VYDAJ	VYBER	15	64664	SLUZBY	\N	\N
1876522	6353	1996-11-30	VYDAJ	VYBER	15	62867	SLUZBY	\N	\N
1876523	6353	1996-12-31	VYDAJ	VYBER	15	75077	SLUZBY	\N	\N
1876524	6353	1997-01-31	VYDAJ	VYBER	15	52220	SLUZBY	\N	\N
1876525	6353	1997-02-28	VYDAJ	VYBER	15	53536	SLUZBY	\N	\N
1876526	6353	1997-03-31	VYDAJ	VYBER	15	49412	SLUZBY	\N	\N
1876527	6353	1997-04-30	VYDAJ	VYBER	15	48180	SLUZBY	\N	\N
1876528	6353	1997-05-31	VYDAJ	VYBER	15	45557	SLUZBY	\N	\N
1876529	6353	1997-06-30	VYDAJ	VYBER	15	36169	SLUZBY	\N	\N
1876530	6353	1997-07-31	VYDAJ	VYBER	15	47853	SLUZBY	\N	\N
1876531	6353	1997-08-31	VYDAJ	VYBER	15	49347	SLUZBY	\N	\N
1876532	6353	1997-09-30	VYDAJ	VYBER	15	50041	SLUZBY	\N	\N
1876533	6353	1997-10-31	VYDAJ	VYBER	15	55960	SLUZBY	\N	\N
1876534	6353	1997-11-30	VYDAJ	VYBER	15	51911	SLUZBY	\N	\N
1876535	6353	1997-12-31	VYDAJ	VYBER	15	65857	SLUZBY	\N	\N
1876536	6353	1998-01-31	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
1876537	6353	1998-02-28	VYDAJ	VYBER	15	43214	SLUZBY	\N	\N
1876538	6353	1998-03-31	VYDAJ	VYBER	15	45791	SLUZBY	\N	\N
1876539	6353	1998-04-30	VYDAJ	VYBER	15	43471	SLUZBY	\N	\N
1876540	6353	1998-05-31	VYDAJ	VYBER	15	46848	SLUZBY	\N	\N
1876541	6353	1998-06-30	VYDAJ	VYBER	15	57868	SLUZBY	\N	\N
1876542	6353	1998-07-31	VYDAJ	VYBER	15	45952	SLUZBY	\N	\N
1876543	6353	1998-08-31	VYDAJ	VYBER	15	34188	SLUZBY	\N	\N
1876544	6353	1998-09-30	VYDAJ	VYBER	15	45946	SLUZBY	\N	\N
1876545	6353	1998-10-31	VYDAJ	VYBER	15	26179	SLUZBY	\N	\N
1876546	6353	1998-11-30	VYDAJ	VYBER	15	42833	SLUZBY	\N	\N
1876547	6353	1993-12-26	VYDAJ	VYBER	7200	30135	\N	\N	\N
1876548	6353	1994-01-25	VYDAJ	VYBER	17300	37282	\N	\N	\N
1876549	6353	1994-02-24	VYDAJ	VYBER	16900	44937	\N	\N	\N
1876550	6353	1994-03-26	VYDAJ	VYBER	21600	47921	\N	\N	\N
1876551	6353	1994-04-25	VYDAJ	VYBER	24300	48234	\N	\N	\N
1876552	6353	1994-05-25	VYDAJ	VYBER	19200	45371	\N	\N	\N
1876553	6353	1994-06-24	VYDAJ	VYBER	16700	40264	\N	\N	\N
1876554	6353	1994-07-24	VYDAJ	VYBER	14300	40517	\N	\N	\N
1876555	6353	1994-08-23	VYDAJ	VYBER	14800	41942	\N	\N	\N
1876556	6353	1994-09-22	VYDAJ	VYBER	13900	41069	\N	\N	\N
1876557	6353	1994-10-22	VYDAJ	VYBER	12400	42328	\N	\N	\N
1876558	6353	1994-11-21	VYDAJ	VYBER	15400	43953	\N	\N	\N
1876559	6353	1994-12-21	VYDAJ	VYBER	19600	51580	\N	\N	\N
1876560	6353	1995-01-20	VYDAJ	VYBER	14500	51406	\N	\N	\N
1876561	6353	1995-02-19	VYDAJ	VYBER	11000	43363	\N	\N	\N
1876562	6353	1995-03-21	VYDAJ	VYBER	12800	47250	\N	\N	\N
1876563	6353	1995-04-20	VYDAJ	VYBER	16200	47763	\N	\N	\N
1876564	6353	1995-05-20	VYDAJ	VYBER	14900	49584	\N	\N	\N
1876565	6353	1995-06-19	VYDAJ	VYBER	8500	37702	\N	\N	\N
1876566	6353	1995-07-19	VYDAJ	VYBER	11400	42959	\N	\N	\N
1876567	6353	1995-08-18	VYDAJ	VYBER	13400	40476	\N	\N	\N
1876568	6353	1995-09-17	VYDAJ	VYBER	13200	43956	\N	\N	\N
1876569	6353	1995-10-17	VYDAJ	VYBER	13700	42863	\N	\N	\N
1876570	6353	1995-11-16	VYDAJ	VYBER	16800	42751	\N	\N	\N
1876571	6353	1995-12-16	VYDAJ	VYBER	20300	47995	\N	\N	\N
1876572	6353	1996-01-15	VYDAJ	VYBER	13100	42159	\N	\N	\N
1876573	6353	1996-02-14	VYDAJ	VYBER	15600	40610	\N	\N	\N
1876574	6353	1996-03-15	VYDAJ	VYBER	13600	43686	\N	\N	\N
1876575	6353	1996-04-14	VYDAJ	VYBER	14200	46172	\N	\N	\N
1876576	6353	1996-05-14	VYDAJ	VYBER	15000	46547	\N	\N	\N
1876577	6353	1996-06-13	VYDAJ	VYBER	22000	49378	\N	\N	\N
1876578	6353	1996-07-13	VYDAJ	VYBER	18800	47283	\N	\N	\N
1876579	6353	1996-08-12	VYDAJ	VYBER	13400	45177	\N	\N	\N
1876580	6353	1996-09-11	VYDAJ	VYBER	4900	33910	\N	\N	\N
1876581	6353	1996-10-11	VYDAJ	VYBER	9300	41332	\N	\N	\N
1876582	6353	1996-11-10	VYDAJ	VYBER	15800	42294	\N	\N	\N
1876583	6353	1996-12-10	VYDAJ	VYBER	16000	40297	\N	\N	\N
1876584	6353	1997-01-09	VYDAJ	VYBER	13600	52851	\N	\N	\N
1876585	6353	1997-02-08	VYDAJ	VYBER	15400	36234	\N	\N	\N
1876586	6353	1997-03-10	VYDAJ	VYBER	15800	29606	\N	\N	\N
1876587	6353	1997-04-09	VYDAJ	VYBER	14100	34726	\N	\N	\N
1876588	6353	1997-05-09	VYDAJ	VYBER	14400	33194	\N	\N	\N
1876589	6353	1997-06-08	VYDAJ	VYBER	13000	31971	\N	\N	\N
1876590	6353	1997-07-08	VYDAJ	VYBER	5000	30583	\N	\N	\N
1876591	6353	1997-08-07	VYDAJ	VYBER	15200	32067	\N	\N	\N
1876592	6353	1997-09-06	VYDAJ	VYBER	16000	32761	\N	\N	\N
1876593	6353	1997-10-06	VYDAJ	VYBER	10800	38655	\N	\N	\N
1876594	6353	1997-11-05	VYDAJ	VYBER	15500	39874	\N	\N	\N
1876595	6353	1997-12-05	VYDAJ	VYBER	13900	37425	\N	\N	\N
1876596	6353	1998-01-04	VYDAJ	VYBER	17600	42257	\N	\N	\N
1876597	6353	1998-02-03	VYDAJ	VYBER	12000	26555	\N	\N	\N
1876598	6353	1998-03-05	VYDAJ	VYBER	14100	28528	\N	\N	\N
1876599	6353	1998-04-04	VYDAJ	VYBER	14800	30991	\N	\N	\N
1876600	6353	1998-05-04	VYDAJ	VYBER	13300	30171	\N	\N	\N
1876601	6353	1998-06-03	VYDAJ	VYBER	17900	28948	\N	\N	\N
1876602	6353	1998-07-03	VYDAJ	VYBER	28600	29268	\N	\N	\N
1876603	6353	1998-08-02	VYDAJ	VYBER	25000	20952	\N	\N	\N
1876604	6353	1998-10-31	VYDAJ	VYBER	36500	26193	\N	\N	\N
1877866	6358	1995-05-27	PRIJEM	VKLAD	700	700	\N	\N	\N
1877872	6358	1995-06-05	PRIJEM	PREVOD Z UCTU	50696	51396	\N	YZ	58887272
1877873	6358	1995-07-05	PRIJEM	PREVOD Z UCTU	33797	70619	\N	YZ	58887272
1877874	6358	1995-08-05	PRIJEM	PREVOD Z UCTU	33797	79076	\N	YZ	58887272
1877875	6358	1995-09-05	PRIJEM	PREVOD Z UCTU	33797	88069	\N	YZ	58887272
1877876	6358	1995-10-05	PRIJEM	PREVOD Z UCTU	33797	91294	\N	YZ	58887272
1877877	6358	1995-11-05	PRIJEM	PREVOD Z UCTU	33797	86162	\N	YZ	58887272
1877878	6358	1995-12-05	PRIJEM	PREVOD Z UCTU	50696	82754	\N	YZ	58887272
1877879	6358	1996-01-05	PRIJEM	PREVOD Z UCTU	33797	64190	\N	YZ	58887272
1877880	6358	1996-02-05	PRIJEM	PREVOD Z UCTU	33797	60445	\N	YZ	58887272
1877881	6358	1996-03-05	PRIJEM	PREVOD Z UCTU	33797	69637	\N	YZ	58887272
1877882	6358	1996-04-05	PRIJEM	PREVOD Z UCTU	33797	71538	\N	YZ	58887272
1877883	6358	1996-05-05	PRIJEM	PREVOD Z UCTU	33797	77740	\N	YZ	58887272
1877884	6358	1996-06-05	PRIJEM	PREVOD Z UCTU	50696	82606	\N	YZ	58887272
1877885	6358	1996-07-05	PRIJEM	PREVOD Z UCTU	33797	52877	\N	YZ	58887272
1877886	6358	1996-08-05	PRIJEM	PREVOD Z UCTU	33797	57835	\N	YZ	58887272
1877887	6358	1996-09-05	PRIJEM	PREVOD Z UCTU	33797	69144	\N	YZ	58887272
1877888	6358	1996-10-05	PRIJEM	PREVOD Z UCTU	33797	59914	\N	YZ	58887272
1877889	6358	1996-11-05	PRIJEM	PREVOD Z UCTU	33797	63349	\N	YZ	58887272
1877890	6358	1996-12-05	PRIJEM	PREVOD Z UCTU	50696	77419	\N	YZ	58887272
1877891	6358	1997-01-05	PRIJEM	PREVOD Z UCTU	33797	62280	\N	YZ	58887272
1877892	6358	1997-02-05	PRIJEM	PREVOD Z UCTU	33797	61075	\N	YZ	58887272
1877893	6358	1997-03-05	PRIJEM	PREVOD Z UCTU	33797	66581	\N	YZ	58887272
1877894	6358	1997-04-05	PRIJEM	PREVOD Z UCTU	33797	73115	\N	YZ	58887272
1877895	6358	1997-05-05	PRIJEM	PREVOD Z UCTU	33797	69939	\N	YZ	58887272
1877896	6358	1997-06-05	PRIJEM	PREVOD Z UCTU	50696	94187	\N	YZ	58887272
1877897	6358	1997-07-05	PRIJEM	PREVOD Z UCTU	33797	82578	\N	YZ	58887272
1877898	6358	1997-08-05	PRIJEM	PREVOD Z UCTU	33797	67312	\N	YZ	58887272
1877899	6358	1997-09-05	PRIJEM	PREVOD Z UCTU	33797	64936	\N	YZ	58887272
1877900	6358	1997-10-05	PRIJEM	PREVOD Z UCTU	33797	75779	\N	YZ	58887272
1877901	6358	1997-11-05	PRIJEM	PREVOD Z UCTU	33797	74570	\N	YZ	58887272
1877902	6358	1997-12-05	PRIJEM	PREVOD Z UCTU	50696	85846	\N	YZ	58887272
1877903	6358	1998-01-05	PRIJEM	PREVOD Z UCTU	33797	79996	\N	YZ	58887272
1877904	6358	1998-02-05	PRIJEM	PREVOD Z UCTU	33797	71157	\N	YZ	58887272
1877905	6358	1998-03-05	PRIJEM	PREVOD Z UCTU	33797	75103	\N	YZ	58887272
1877906	6358	1998-04-05	PRIJEM	PREVOD Z UCTU	33797	77153	\N	YZ	58887272
1877907	6358	1998-05-05	PRIJEM	PREVOD Z UCTU	33797	68288	\N	YZ	58887272
1877908	6358	1998-06-05	PRIJEM	PREVOD Z UCTU	50696	82297	\N	YZ	58887272
1877909	6358	1998-07-05	PRIJEM	PREVOD Z UCTU	33797	69887	\N	YZ	58887272
1877910	6358	1998-08-05	PRIJEM	PREVOD Z UCTU	33797	69012	\N	YZ	58887272
1877911	6358	1998-09-05	PRIJEM	PREVOD Z UCTU	33797	67032	\N	YZ	58887272
1877912	6358	1998-10-05	PRIJEM	PREVOD Z UCTU	33797	62447	\N	YZ	58887272
1877913	6358	1998-11-05	PRIJEM	PREVOD Z UCTU	33797	69972	\N	YZ	58887272
1877914	6358	1998-12-05	PRIJEM	PREVOD Z UCTU	50696	75581	\N	YZ	58887272
1877924	6358	1995-10-19	VYDAJ	VYBER	4900	73318	\N	\N	0
1877925	6358	1995-11-14	VYDAJ	VYBER	7200	52086	\N	\N	0
1877926	6358	1995-12-14	VYDAJ	VYBER	5100	51337	\N	\N	0
1877927	6358	1996-01-02	VYDAJ	VYBER	5400	30393	\N	\N	0
1877928	6358	1996-02-02	VYDAJ	VYBER	5500	26648	\N	\N	0
1877929	6358	1996-03-06	VYDAJ	VYBER	5500	64137	\N	\N	0
1877930	6358	1996-04-10	VYDAJ	VYBER	4700	66838	\N	\N	0
1877931	6358	1996-05-19	VYDAJ	VYBER	4100	41640	\N	\N	0
1877932	6358	1996-05-25	VYDAJ	VYBER	6200	31740	\N	\N	0
1877933	6358	1996-07-03	VYDAJ	VYBER	6800	19080	\N	\N	0
1877934	6358	1996-08-12	VYDAJ	PREVOD NA UCET	5633	52202	UVER	GH	31235045
1877935	6358	1996-09-12	VYDAJ	PREVOD NA UCET	5633	49783	UVER	GH	31235045
1877936	6358	1996-10-12	VYDAJ	PREVOD NA UCET	5633	54281	UVER	GH	31235045
1877937	6358	1996-11-12	VYDAJ	PREVOD NA UCET	5633	57716	UVER	GH	31235045
1877938	6358	1996-12-12	VYDAJ	PREVOD NA UCET	5633	66987	UVER	GH	31235045
1877939	6358	1997-01-12	VYDAJ	PREVOD NA UCET	5633	44047	UVER	GH	31235045
1877940	6358	1997-02-12	VYDAJ	PREVOD NA UCET	5633	55442	UVER	GH	31235045
1877941	6358	1997-03-12	VYDAJ	PREVOD NA UCET	5633	60948	UVER	GH	31235045
1877942	6358	1997-04-12	VYDAJ	PREVOD NA UCET	5633	51363	UVER	GH	31235045
1877943	6358	1997-05-12	VYDAJ	PREVOD NA UCET	5633	64306	UVER	GH	31235045
1877944	6358	1997-06-12	VYDAJ	PREVOD NA UCET	5633	76254	UVER	GH	31235045
1877945	6358	1997-07-12	VYDAJ	PREVOD NA UCET	5633	73100	UVER	GH	31235045
1877946	6358	1997-08-12	VYDAJ	PREVOD NA UCET	5633	39594	UVER	GH	31235045
1877947	6358	1997-09-12	VYDAJ	PREVOD NA UCET	5633	59303	UVER	GH	31235045
1877948	6358	1997-10-12	VYDAJ	PREVOD NA UCET	5633	52146	UVER	GH	31235045
1877949	6358	1997-11-12	VYDAJ	PREVOD NA UCET	5633	68938	UVER	GH	31235045
1877950	6358	1997-12-12	VYDAJ	PREVOD NA UCET	5633	61213	UVER	GH	31235045
1877951	6358	1998-01-12	VYDAJ	PREVOD NA UCET	5633	50263	UVER	GH	31235045
1877952	6358	1998-02-12	VYDAJ	PREVOD NA UCET	5633	54224	UVER	GH	31235045
1877953	6358	1998-03-12	VYDAJ	PREVOD NA UCET	5633	56270	UVER	GH	31235045
1877954	6358	1998-04-12	VYDAJ	PREVOD NA UCET	5633	50121	UVER	GH	31235045
1877955	6358	1998-05-12	VYDAJ	PREVOD NA UCET	5633	44555	UVER	GH	31235045
1877956	6358	1998-06-12	VYDAJ	PREVOD NA UCET	5633	53465	UVER	GH	31235045
1877957	6358	1998-07-12	VYDAJ	PREVOD NA UCET	5633	48154	UVER	GH	31235045
1877958	6358	1998-08-12	VYDAJ	PREVOD NA UCET	5633	46179	UVER	GH	31235045
1877959	6358	1998-09-12	VYDAJ	PREVOD NA UCET	5633	49400	UVER	GH	31235045
1877960	6358	1998-10-12	VYDAJ	PREVOD NA UCET	5633	49114	UVER	GH	31235045
1877961	6358	1998-11-12	VYDAJ	PREVOD NA UCET	5633	46640	UVER	GH	31235045
1877962	6358	1998-12-12	VYDAJ	PREVOD NA UCET	5633	51549	UVER	GH	31235045
1877972	6358	1995-10-13	VYDAJ	PREVOD NA UCET	13076	78218	SIPO	EF	69701927
1877973	6358	1995-11-13	VYDAJ	PREVOD NA UCET	13076	59286	SIPO	EF	69701927
1877974	6358	1995-12-13	VYDAJ	PREVOD NA UCET	13076	56437	SIPO	EF	69701927
1877975	6358	1996-01-13	VYDAJ	PREVOD NA UCET	13076	30414	SIPO	EF	69701927
1877976	6358	1996-02-13	VYDAJ	PREVOD NA UCET	13076	44969	SIPO	EF	69701927
1877977	6358	1996-03-13	VYDAJ	PREVOD NA UCET	13076	51061	SIPO	EF	69701927
1877978	6358	1996-04-13	VYDAJ	PREVOD NA UCET	13076	53762	SIPO	EF	69701927
1877979	6358	1996-05-13	VYDAJ	PREVOD NA UCET	13076	45740	SIPO	EF	69701927
1877980	6358	1996-06-13	VYDAJ	PREVOD NA UCET	13076	55730	SIPO	EF	69701927
1877981	6358	1996-07-13	VYDAJ	PREVOD NA UCET	13076	17838	SIPO	EF	69701927
1877982	6358	1996-08-13	VYDAJ	PREVOD NA UCET	13076	39126	SIPO	EF	69701927
1877983	6358	1996-09-13	VYDAJ	PREVOD NA UCET	13076	23807	SIPO	EF	69701927
1877984	6358	1996-10-13	VYDAJ	PREVOD NA UCET	13076	41205	SIPO	EF	69701927
1877985	6358	1996-11-13	VYDAJ	PREVOD NA UCET	13076	44640	SIPO	EF	69701927
1877986	6358	1996-12-13	VYDAJ	PREVOD NA UCET	13076	53911	SIPO	EF	69701927
1877987	6358	1997-01-13	VYDAJ	PREVOD NA UCET	13076	30971	SIPO	EF	69701927
1877988	6358	1997-02-13	VYDAJ	PREVOD NA UCET	13076	42366	SIPO	EF	69701927
1877989	6358	1997-03-13	VYDAJ	PREVOD NA UCET	13076	47872	SIPO	EF	69701927
1877990	6358	1997-04-13	VYDAJ	PREVOD NA UCET	13076	38287	SIPO	EF	69701927
1877991	6358	1997-05-13	VYDAJ	PREVOD NA UCET	13076	51230	SIPO	EF	69701927
1877992	6358	1997-06-13	VYDAJ	PREVOD NA UCET	13076	63178	SIPO	EF	69701927
1877993	6358	1997-07-13	VYDAJ	PREVOD NA UCET	13076	60024	SIPO	EF	69701927
1877994	6358	1997-08-13	VYDAJ	PREVOD NA UCET	13076	26518	SIPO	EF	69701927
1877995	6358	1997-09-13	VYDAJ	PREVOD NA UCET	13076	46227	SIPO	EF	69701927
1877996	6358	1997-10-13	VYDAJ	PREVOD NA UCET	13076	40570	SIPO	EF	69701927
1877997	6358	1997-11-13	VYDAJ	PREVOD NA UCET	13076	39362	SIPO	EF	69701927
1877998	6358	1997-12-13	VYDAJ	PREVOD NA UCET	13076	48137	SIPO	EF	69701927
1877999	6358	1998-01-13	VYDAJ	PREVOD NA UCET	13076	37187	SIPO	EF	69701927
1878000	6358	1998-02-13	VYDAJ	PREVOD NA UCET	13076	41148	SIPO	EF	69701927
1878001	6358	1998-03-13	VYDAJ	PREVOD NA UCET	13076	43194	SIPO	EF	69701927
1878002	6358	1998-04-13	VYDAJ	PREVOD NA UCET	13076	37045	SIPO	EF	69701927
1878003	6358	1998-05-13	VYDAJ	PREVOD NA UCET	13076	31479	SIPO	EF	69701927
1878004	6358	1998-06-13	VYDAJ	PREVOD NA UCET	13076	40389	SIPO	EF	69701927
1878005	6358	1998-07-13	VYDAJ	PREVOD NA UCET	13076	35078	SIPO	EF	69701927
1878006	6358	1998-08-13	VYDAJ	PREVOD NA UCET	13076	33103	SIPO	EF	69701927
1878007	6358	1998-09-13	VYDAJ	PREVOD NA UCET	13076	36324	SIPO	EF	69701927
1878008	6358	1998-10-13	VYDAJ	PREVOD NA UCET	13076	36038	SIPO	EF	69701927
1878009	6358	1998-11-13	VYDAJ	PREVOD NA UCET	13076	33564	SIPO	EF	69701927
1878010	6358	1998-12-13	VYDAJ	PREVOD NA UCET	13076	38473	SIPO	EF	69701927
1878016	6358	1995-12-11	VYBER	VYBER	13241	69513	\N	\N	\N
1878017	6358	1996-07-11	VYBER	VYBER	14428	30914	\N	\N	\N
1878019	6358	1996-10-25	VYBER	VYBER	3871	29434	\N	\N	\N
1878020	6358	1996-07-06	VYBER	VYBER	7535	45342	\N	\N	\N
1878022	6358	1996-05-05	VYBER	VYBER	18924	58816	\N	\N	\N
1878024	6358	1996-02-29	VYBER	VYBER	2901	35855	\N	\N	\N
1878025	6358	1996-12-02	VYBER	VYBER	6043	26723	\N	\N	\N
1878026	6358	1996-09-12	VYBER	VYBER	13728	55416	\N	\N	\N
1878030	6358	1997-04-07	VYBER	VYBER	16119	56996	\N	\N	\N
1878031	6358	1997-07-08	VYBER	VYBER	3845	78733	\N	\N	\N
1878033	6358	1997-11-16	VYBER	VYBER	4357	35005	\N	\N	\N
1878034	6358	1997-08-10	VYBER	VYBER	22085	45227	\N	\N	\N
1878035	6358	1998-11-14	VYBER	VYBER	8804	24760	\N	\N	\N
1878036	6358	1998-06-14	VYBER	VYBER	4436	35953	\N	\N	\N
1878038	6358	1996-06-23	VYDAJ	VYBER	18900	25730	\N	\N	\N
1878039	6358	1997-06-09	VYDAJ	VYBER	12300	81887	\N	\N	\N
1878042	6358	1996-01-06	VYDAJ	VYBER	20700	43490	\N	\N	\N
1878043	6358	1997-01-11	VYDAJ	VYBER	12600	49680	\N	\N	\N
1878045	6358	1995-12-19	VYDAJ	VYBER	7200	44137	\N	\N	\N
1878046	6358	1996-12-12	VYDAJ	VYBER	4800	72619	\N	\N	\N
1878047	6358	1997-12-14	VYDAJ	VYBER	2100	46037	\N	\N	\N
1878048	6358	1998-12-16	VYDAJ	VYBER	1800	36673	\N	\N	\N
1878049	6358	1995-11-18	VYDAJ	VYBER	13200	38886	\N	\N	\N
1878055	6358	1995-11-13	VYDAJ	VYBER	13800	72362	\N	\N	\N
1878056	6358	1996-06-11	VYDAJ	VYBER	13800	68806	\N	\N	\N
1878057	6358	1996-09-12	VYDAJ	VYBER	12900	36883	\N	\N	\N
1878058	6358	1996-02-07	VYDAJ	VYBER	2400	58045	\N	\N	\N
1878059	6358	1996-03-19	VYDAJ	VYBER	6300	44761	\N	\N	\N
1878060	6358	1996-12-18	VYDAJ	VYBER	8700	28311	\N	\N	\N
1878061	6358	1997-10-05	VYDAJ	VYBER	3300	57779	\N	\N	\N
1878062	6358	1997-10-05	VYDAJ	VYBER	14700	61079	\N	\N	\N
1878063	6358	1997-07-26	VYDAJ	VYBER	11100	33324	\N	\N	\N
1878064	6358	1998-11-05	VYDAJ	VYBER	8100	61872	\N	\N	\N
1878066	6358	1998-04-18	VYDAJ	VYBER	2700	34345	\N	\N	\N
1878067	6358	1998-01-06	VYDAJ	VYBER	6300	73696	\N	\N	\N
1878068	6358	1998-09-15	VYDAJ	VYBER	7800	28524	\N	\N	\N
1878079	6358	1995-10-31	VYDAJ	VYBER	15	52365	SLUZBY	\N	\N
1878080	6358	1995-11-30	VYDAJ	VYBER	15	32058	SLUZBY	\N	\N
1878081	6358	1995-12-31	VYDAJ	VYBER	15	35793	SLUZBY	\N	\N
1878082	6358	1996-01-31	VYDAJ	VYBER	15	32148	SLUZBY	\N	\N
1878083	6358	1996-02-29	VYDAJ	VYBER	15	35840	SLUZBY	\N	\N
1878084	6358	1996-03-31	VYDAJ	VYBER	15	37741	SLUZBY	\N	\N
1878085	6358	1996-04-30	VYDAJ	VYBER	15	43943	SLUZBY	\N	\N
1878086	6358	1996-05-31	VYDAJ	VYBER	15	31910	SLUZBY	\N	\N
1878087	6358	1996-06-30	VYDAJ	VYBER	15	25880	SLUZBY	\N	\N
1878088	6358	1996-07-31	VYDAJ	VYBER	15	24038	SLUZBY	\N	\N
1878089	6358	1996-08-31	VYDAJ	VYBER	15	35347	SLUZBY	\N	\N
1878090	6358	1996-09-30	VYDAJ	VYBER	15	26117	SLUZBY	\N	\N
1878091	6358	1996-10-31	VYDAJ	VYBER	15	29552	SLUZBY	\N	\N
1878092	6358	1996-11-30	VYDAJ	VYBER	15	32766	SLUZBY	\N	\N
1878093	6358	1996-12-31	VYDAJ	VYBER	15	28483	SLUZBY	\N	\N
1878094	6358	1997-01-31	VYDAJ	VYBER	15	27278	SLUZBY	\N	\N
1878095	6358	1997-02-28	VYDAJ	VYBER	15	32784	SLUZBY	\N	\N
1878096	6358	1997-03-31	VYDAJ	VYBER	15	39318	SLUZBY	\N	\N
1878097	6358	1997-04-30	VYDAJ	VYBER	15	36142	SLUZBY	\N	\N
1878098	6358	1997-05-31	VYDAJ	VYBER	15	43491	SLUZBY	\N	\N
1878099	6358	1997-06-30	VYDAJ	VYBER	15	48781	SLUZBY	\N	\N
1878100	6358	1997-07-31	VYDAJ	VYBER	15	33515	SLUZBY	\N	\N
1878101	6358	1997-08-31	VYDAJ	VYBER	15	31139	SLUZBY	\N	\N
1878102	6358	1997-09-30	VYDAJ	VYBER	15	41982	SLUZBY	\N	\N
1878103	6358	1997-10-31	VYDAJ	VYBER	15	40773	SLUZBY	\N	\N
1878104	6358	1997-11-30	VYDAJ	VYBER	15	35150	SLUZBY	\N	\N
1878105	6358	1997-12-31	VYDAJ	VYBER	15	46199	SLUZBY	\N	\N
1878106	6358	1998-01-31	VYDAJ	VYBER	15	37360	SLUZBY	\N	\N
1878107	6358	1998-02-28	VYDAJ	VYBER	15	41306	SLUZBY	\N	\N
1878108	6358	1998-03-31	VYDAJ	VYBER	15	43356	SLUZBY	\N	\N
1878109	6358	1998-04-30	VYDAJ	VYBER	15	34491	SLUZBY	\N	\N
1878110	6358	1998-05-31	VYDAJ	VYBER	15	31601	SLUZBY	\N	\N
1878111	6358	1998-06-30	VYDAJ	VYBER	15	36090	SLUZBY	\N	\N
1878112	6358	1998-07-31	VYDAJ	VYBER	15	35215	SLUZBY	\N	\N
1878113	6358	1998-08-31	VYDAJ	VYBER	15	33235	SLUZBY	\N	\N
1878114	6358	1998-09-30	VYDAJ	VYBER	15	28650	SLUZBY	\N	\N
1878115	6358	1998-10-31	VYDAJ	VYBER	15	36175	SLUZBY	\N	\N
1878116	6358	1998-11-30	VYDAJ	VYBER	15	24885	SLUZBY	\N	\N
1878117	6358	1995-06-26	VYDAJ	VYBER	14600	36796	\N	\N	\N
1878118	6358	1995-07-26	VYDAJ	VYBER	25500	45119	\N	\N	\N
1878119	6358	1995-08-25	VYDAJ	VYBER	25000	54076	\N	\N	\N
1878120	6358	1995-09-24	VYDAJ	VYBER	30800	57269	\N	\N	\N
1878121	6358	1995-10-24	VYDAJ	VYBER	21200	52118	\N	\N	\N
1878122	6358	1995-11-23	VYDAJ	VYBER	7000	31886	\N	\N	\N
1878123	6358	1995-12-23	VYDAJ	VYBER	8500	35637	\N	\N	\N
1878124	6358	1996-01-22	PRIJEM	VKLAD	1600	32014	\N	\N	\N
1878125	6358	1996-02-21	VYDAJ	VYBER	6400	38569	\N	\N	\N
1878126	6358	1996-03-22	VYDAJ	VYBER	7200	37561	\N	\N	\N
1878127	6358	1996-04-21	VYDAJ	VYBER	10000	43762	\N	\N	\N
1878128	6358	1996-05-21	VYDAJ	VYBER	3700	37940	\N	\N	\N
1878129	6358	1996-06-20	VYDAJ	VYBER	11100	44630	\N	\N	\N
1878130	6358	1996-07-20	PRIJEM	VKLAD	6100	23938	\N	\N	\N
1878131	6358	1996-08-19	VYDAJ	VYBER	3900	35226	\N	\N	\N
1878132	6358	1996-09-18	PRIJEM	VKLAD	2200	26007	\N	\N	\N
1878133	6358	1996-10-18	VYDAJ	VYBER	7900	33305	\N	\N	\N
1878134	6358	1996-11-17	VYDAJ	VYBER	12000	32640	\N	\N	\N
1878135	6358	1996-12-17	VYDAJ	VYBER	16900	37011	\N	\N	\N
1878136	6358	1997-01-16	VYDAJ	VYBER	3800	27171	\N	\N	\N
1878137	6358	1997-02-15	VYDAJ	VYBER	9700	32666	\N	\N	\N
1878138	6358	1997-03-17	VYDAJ	VYBER	8700	39172	\N	\N	\N
1878139	6358	1997-04-16	VYDAJ	VYBER	2300	35987	\N	\N	\N
1878140	6358	1997-05-16	VYDAJ	VYBER	7900	43330	\N	\N	\N
1878141	6358	1997-06-15	VYDAJ	VYBER	14600	48578	\N	\N	\N
1878142	6358	1997-07-15	VYDAJ	VYBER	15600	44424	\N	\N	\N
1878143	6358	1997-08-14	PRIJEM	VKLAD	4500	31018	\N	\N	\N
1878144	6358	1997-09-13	VYDAJ	VYBER	4400	41827	\N	\N	\N
1878145	6358	1997-10-13	PRIJEM	VKLAD	1500	53646	\N	\N	\N
1878146	6358	1997-11-12	VYDAJ	VYBER	16500	52438	\N	\N	\N
1878147	6358	1997-12-12	VYDAJ	VYBER	19000	66846	\N	\N	\N
1878148	6358	1998-01-11	VYDAJ	VYBER	17800	55896	\N	\N	\N
1878149	6358	1998-02-10	VYDAJ	VYBER	11300	59857	\N	\N	\N
1878150	6358	1998-03-12	VYDAJ	VYBER	13200	61903	\N	\N	\N
1878151	6358	1998-04-11	VYDAJ	VYBER	21400	55753	\N	\N	\N
1878152	6358	1998-05-11	VYDAJ	VYBER	18100	50188	\N	\N	\N
1878153	6358	1998-06-10	VYDAJ	VYBER	23200	59097	\N	\N	\N
1878154	6358	1998-07-10	VYDAJ	VYBER	16100	53787	\N	\N	\N
1878155	6358	1998-08-09	VYDAJ	VYBER	17200	51812	\N	\N	\N
1878156	6358	1998-09-08	VYDAJ	VYBER	12000	55032	\N	\N	\N
1878157	6358	1998-10-08	VYDAJ	VYBER	7700	54747	\N	\N	\N
1878158	6358	1998-11-07	VYDAJ	VYBER	9600	52272	\N	\N	\N
1878159	6358	1998-12-07	VYDAJ	VYBER	18400	57181	\N	\N	\N
1879388	6363	1993-08-01	PRIJEM	VKLAD	900	900	\N	\N	\N
1879396	6363	1993-08-11	PRIJEM	VKLAD	11720	12620	\N	\N	\N
1879397	6363	1993-09-11	PRIJEM	VKLAD	11720	32177	\N	\N	\N
1879398	6363	1993-10-11	PRIJEM	VKLAD	11720	38383	\N	\N	\N
1879399	6363	1993-11-11	PRIJEM	VKLAD	11720	44415	\N	\N	\N
1879400	6363	1993-12-11	PRIJEM	VKLAD	17580	54432	\N	\N	\N
1879401	6363	1994-01-11	PRIJEM	VKLAD	11720	48699	\N	\N	\N
1879402	6363	1994-02-11	PRIJEM	VKLAD	11720	48046	\N	\N	\N
1879403	6363	1994-03-11	PRIJEM	VKLAD	11720	47923	\N	\N	\N
1879404	6363	1994-04-11	PRIJEM	VKLAD	11720	48110	\N	\N	\N
1879405	6363	1994-05-11	PRIJEM	VKLAD	11720	46695	\N	\N	\N
1879406	6363	1994-06-11	PRIJEM	VKLAD	17580	52529	\N	\N	\N
1879407	6363	1994-07-11	PRIJEM	VKLAD	11720	53024	\N	\N	\N
1879408	6363	1994-08-11	PRIJEM	VKLAD	11720	47617	\N	\N	\N
1879409	6363	1994-09-11	PRIJEM	VKLAD	11720	49182	\N	\N	\N
1879410	6363	1994-10-11	PRIJEM	VKLAD	11720	48747	\N	\N	\N
1879411	6363	1994-11-11	PRIJEM	VKLAD	11720	51299	\N	\N	\N
1879412	6363	1994-12-11	PRIJEM	VKLAD	17580	54468	\N	\N	\N
1879413	6363	1995-01-11	PRIJEM	VKLAD	11720	53306	\N	\N	\N
1879414	6363	1995-02-11	PRIJEM	VKLAD	11720	52139	\N	\N	\N
1879415	6363	1995-03-11	PRIJEM	VKLAD	11720	51868	\N	\N	\N
1879416	6363	1995-04-11	PRIJEM	VKLAD	11720	53099	\N	\N	\N
1879417	6363	1995-05-11	PRIJEM	VKLAD	11720	53370	\N	\N	\N
1879418	6363	1995-06-11	PRIJEM	VKLAD	17580	57462	\N	\N	\N
1879419	6363	1995-07-11	PRIJEM	VKLAD	11720	28768	\N	\N	\N
1879420	6363	1995-08-11	PRIJEM	VKLAD	11720	35014	\N	\N	\N
1879421	6363	1995-09-11	PRIJEM	VKLAD	11720	44789	\N	\N	\N
1879422	6363	1995-10-11	PRIJEM	VKLAD	11720	50893	\N	\N	\N
1879423	6363	1995-11-11	PRIJEM	VKLAD	11720	55019	\N	\N	\N
1879424	6363	1995-12-11	PRIJEM	VKLAD	17580	63370	\N	\N	\N
1879425	6363	1996-01-11	PRIJEM	VKLAD	11720	52085	\N	\N	\N
1879426	6363	1996-02-11	PRIJEM	VKLAD	11720	51705	\N	\N	\N
1879427	6363	1996-03-11	PRIJEM	VKLAD	11720	53178	\N	\N	\N
1879428	6363	1996-04-11	PRIJEM	VKLAD	11720	50438	\N	\N	\N
1879429	6363	1996-05-11	PRIJEM	VKLAD	11720	50713	\N	\N	\N
1879430	6363	1996-06-11	PRIJEM	VKLAD	17580	56947	\N	\N	\N
1879431	6363	1996-07-11	PRIJEM	VKLAD	11720	58033	\N	\N	\N
1879432	6363	1996-08-11	PRIJEM	VKLAD	11720	57435	\N	\N	\N
1879433	6363	1996-09-11	PRIJEM	VKLAD	11720	58438	\N	\N	\N
1879434	6363	1996-10-11	PRIJEM	VKLAD	11720	57939	\N	\N	\N
1879435	6363	1996-11-11	PRIJEM	VKLAD	11720	53215	\N	\N	\N
1879436	6363	1996-12-11	PRIJEM	VKLAD	17580	59775	\N	\N	\N
1879437	6363	1997-01-11	PRIJEM	VKLAD	11720	60981	\N	\N	\N
1879438	6363	1997-02-11	PRIJEM	VKLAD	11720	66403	\N	\N	\N
1879439	6363	1997-03-11	PRIJEM	VKLAD	11720	59660	\N	\N	\N
1879440	6363	1997-04-11	PRIJEM	VKLAD	11720	64779	\N	\N	\N
1879441	6363	1997-05-11	PRIJEM	VKLAD	11720	69013	\N	\N	\N
1879442	6363	1997-06-11	PRIJEM	VKLAD	17580	76818	\N	\N	\N
1879443	6363	1997-07-11	PRIJEM	VKLAD	11720	76687	\N	\N	\N
1879444	6363	1997-08-11	PRIJEM	VKLAD	11720	68963	\N	\N	\N
1879445	6363	1997-09-11	PRIJEM	VKLAD	11720	72239	\N	\N	\N
1879446	6363	1997-10-11	PRIJEM	VKLAD	11720	75483	\N	\N	\N
1879447	6363	1997-11-11	PRIJEM	VKLAD	11720	75203	\N	\N	\N
1879448	6363	1997-12-11	PRIJEM	VKLAD	17580	81870	\N	\N	\N
1879449	6363	1998-01-11	PRIJEM	VKLAD	11720	79660	\N	\N	\N
1879450	6363	1998-02-11	PRIJEM	VKLAD	11720	75085	\N	\N	\N
1879451	6363	1998-03-11	PRIJEM	VKLAD	11720	74319	\N	\N	\N
1879452	6363	1998-04-11	PRIJEM	VKLAD	11720	69279	\N	\N	\N
1879453	6363	1998-05-11	PRIJEM	VKLAD	11720	70781	\N	\N	\N
1879454	6363	1998-06-11	PRIJEM	VKLAD	17580	85423	\N	\N	\N
1879455	6363	1998-07-11	PRIJEM	VKLAD	11720	67863	\N	\N	\N
1879456	6363	1998-08-11	PRIJEM	VKLAD	11720	77316	\N	\N	\N
1879457	6363	1998-09-11	PRIJEM	VKLAD	11720	81823	\N	\N	\N
1879458	6363	1998-10-11	PRIJEM	VKLAD	11720	79852	\N	\N	\N
1879459	6363	1998-11-11	PRIJEM	VKLAD	11720	79581	\N	\N	\N
1879460	6363	1998-12-11	PRIJEM	VKLAD	17580	74655	\N	\N	\N
1879472	6363	1993-12-25	VYDAJ	VYBER	1700	51132	\N	\N	0
1879473	6363	1994-01-17	VYDAJ	VYBER	1300	47399	\N	\N	0
1879474	6363	1994-02-14	VYDAJ	VYBER	1200	46846	\N	\N	0
1879475	6363	1994-03-03	VYDAJ	VYBER	1100	36203	\N	\N	0
1879476	6363	1994-04-04	VYDAJ	VYBER	1300	36390	\N	\N	0
1879477	6363	1994-05-12	VYDAJ	VYBER	1300	45395	\N	\N	0
1879478	6363	1994-06-07	VYDAJ	VYBER	1100	34949	\N	\N	0
1879479	6363	1994-07-13	VYDAJ	VYBER	1000	52024	\N	\N	0
1879480	6363	1994-07-29	VYDAJ	VYBER	1300	35724	\N	\N	0
1879481	6363	1994-09-23	VYDAJ	VYBER	1100	48082	\N	\N	0
1879482	6363	1994-09-30	VYDAJ	VYBER	1600	37027	\N	\N	0
1879483	6363	1994-11-12	VYDAJ	PREVOD NA UCET	1459	49840	UVER	UV	2478039
1879484	6363	1994-12-12	VYDAJ	PREVOD NA UCET	1459	53009	UVER	UV	2478039
1879485	6363	1995-01-12	VYDAJ	PREVOD NA UCET	1459	51847	UVER	UV	2478039
1879486	6363	1995-02-12	VYDAJ	PREVOD NA UCET	1459	50680	UVER	UV	2478039
1879487	6363	1995-03-12	VYDAJ	PREVOD NA UCET	1459	50409	UVER	UV	2478039
1879488	6363	1995-04-12	VYDAJ	PREVOD NA UCET	1459	51640	UVER	UV	2478039
1879489	6363	1995-05-12	VYDAJ	PREVOD NA UCET	1459	51911	UVER	UV	2478039
1879490	6363	1995-06-12	VYDAJ	PREVOD NA UCET	1459	56003	UVER	UV	2478039
1879491	6363	1995-07-12	VYDAJ	PREVOD NA UCET	1459	27309	UVER	UV	2478039
1879492	6363	1995-08-12	VYDAJ	PREVOD NA UCET	1459	33555	UVER	UV	2478039
1879493	6363	1995-09-12	VYDAJ	PREVOD NA UCET	1459	43330	UVER	UV	2478039
1879494	6363	1995-10-12	VYDAJ	PREVOD NA UCET	1459	49434	UVER	UV	2478039
1879495	6363	1995-11-17	VYDAJ	VYBER	1200	53819	\N	\N	0
1879496	6363	1995-12-22	VYDAJ	VYBER	1200	46870	\N	\N	0
1879497	6363	1996-01-13	VYDAJ	VYBER	1500	50585	\N	\N	0
1879498	6363	1996-02-19	VYDAJ	VYBER	1000	41305	\N	\N	0
1879499	6363	1996-03-17	VYDAJ	VYBER	1500	51678	\N	\N	0
1879500	6363	1996-04-11	VYDAJ	VYBER	1100	49338	\N	\N	0
1879501	6363	1996-05-11	VYDAJ	VYBER	2000	48713	\N	\N	0
1879502	6363	1996-06-14	VYDAJ	VYBER	900	56047	\N	\N	0
1879503	6363	1996-07-13	VYDAJ	VYBER	1700	56333	\N	\N	0
1879504	6363	1996-08-10	VYDAJ	VYBER	1300	45715	\N	\N	0
1879505	6363	1996-09-25	VYDAJ	VYBER	1200	47338	\N	\N	0
1879506	6363	1996-09-28	VYDAJ	VYBER	1300	46038	\N	\N	0
1879507	6363	1996-11-01	VYDAJ	VYBER	1100	45815	\N	\N	0
1879508	6363	1996-12-12	VYDAJ	VYBER	1400	58375	\N	\N	0
1879509	6363	1997-01-12	VYDAJ	VYBER	1000	59981	\N	\N	0
1879510	6363	1997-02-14	VYDAJ	VYBER	900	51343	\N	\N	0
1879511	6363	1997-03-02	VYDAJ	VYBER	1200	47940	\N	\N	0
1879512	6363	1997-04-16	VYDAJ	VYBER	1300	57079	\N	\N	0
1879513	6363	1997-05-15	VYDAJ	VYBER	1000	59013	\N	\N	0
1879514	6363	1997-06-14	VYDAJ	VYBER	1500	66318	\N	\N	0
1879515	6363	1997-07-09	VYDAJ	VYBER	1600	64967	\N	\N	0
1879516	6363	1997-08-05	VYDAJ	VYBER	1100	64943	\N	\N	0
1879517	6363	1997-08-28	VYDAJ	VYBER	1300	65503	\N	\N	0
1879518	6363	1997-10-14	VYDAJ	VYBER	1800	73683	\N	\N	0
1879519	6363	1997-11-08	VYDAJ	VYBER	1300	63483	\N	\N	0
1879520	6363	1997-11-29	VYDAJ	VYBER	1100	74103	\N	\N	0
1879521	6363	1998-01-11	VYDAJ	VYBER	1500	78160	\N	\N	0
1879522	6363	1998-02-23	VYDAJ	VYBER	1000	74085	\N	\N	0
1879523	6363	1998-03-19	VYDAJ	VYBER	900	73419	\N	\N	0
1879524	6363	1998-04-04	VYDAJ	VYBER	1700	71999	\N	\N	0
1879525	6363	1998-05-01	VYDAJ	VYBER	1300	62961	\N	\N	0
1879526	6363	1998-06-24	VYDAJ	VYBER	1300	49403	\N	\N	0
1879527	6363	1998-06-28	VYDAJ	VYBER	2100	47303	\N	\N	0
1879528	6363	1998-08-05	VYDAJ	VYBER	1200	65596	\N	\N	0
1879529	6363	1998-09-08	VYDAJ	VYBER	1600	70103	\N	\N	0
1879530	6363	1998-10-18	VYDAJ	VYBER	1100	78752	\N	\N	0
1879531	6363	1998-11-25	VYDAJ	VYBER	1800	73681	\N	\N	0
1879532	6363	1998-12-05	VYDAJ	VYBER	1200	60575	\N	\N	0
1879535	6363	1995-06-28	VYDAJ	VYBER	24320	16883	\N	\N	\N
1879538	6363	1998-06-16	VYDAJ	VYBER	34720	50703	\N	\N	\N
1879539	6363	1993-12-16	VYDAJ	VYBER	1600	52832	\N	\N	\N
1879540	6363	1994-12-01	VYDAJ	VYBER	3520	36888	\N	\N	\N
1879541	6363	1995-12-29	VYDAJ	VYBER	3680	43190	\N	\N	\N
1879542	6363	1996-12-07	VYDAJ	VYBER	4320	42195	\N	\N	\N
1879543	6363	1997-12-30	VYDAJ	VYBER	4640	77230	\N	\N	\N
1879544	6363	1998-12-07	VYDAJ	VYBER KARTOU	3500	57075	\N	\N	0
1879549	6363	1994-08-19	VYDAJ	VYBER	1800	45817	\N	\N	\N
1879550	6363	1994-07-26	VYDAJ	VYBER	4080	46624	\N	\N	\N
1879551	6363	1994-10-21	VYDAJ	VYBER	720	48027	\N	\N	\N
1879552	6363	1994-01-01	VYDAJ	VYBER	3120	36979	\N	\N	\N
1879553	6363	1994-07-20	VYDAJ	VYBER	1320	50704	\N	\N	\N
1879554	6363	1994-01-21	VYDAJ	VYBER	2040	45359	\N	\N	\N
1879555	6363	1995-07-27	VYDAJ	VYBER	3480	26929	\N	\N	\N
1879556	6363	1995-12-29	VYDAJ	VYBER	3000	40190	\N	\N	\N
1879557	6363	1995-08-02	VYDAJ	VYBER	3720	23294	\N	\N	\N
1879558	6363	1995-04-16	VYDAJ	VYBER	2760	48880	\N	\N	\N
1879559	6363	1996-11-28	VYDAJ	VYBER	2160	46335	\N	\N	\N
1879560	6363	1996-11-06	VYDAJ	VYBER	4320	41495	\N	\N	\N
1879561	6363	1996-03-30	VYDAJ	VYBER	4320	38558	\N	\N	\N
1879562	6363	1996-01-27	VYDAJ	VYBER	2160	39825	\N	\N	\N
1879563	6363	1996-11-18	VYDAJ	VYBER	720	48495	\N	\N	\N
1879564	6363	1997-09-02	VYDAJ	VYBER	5040	60719	\N	\N	\N
1879565	6363	1997-09-16	VYDAJ	VYBER	3600	68639	\N	\N	\N
1879566	6363	1997-10-09	VYDAJ	VYBER	1440	67463	\N	\N	\N
1879567	6363	1997-11-04	VYDAJ	VYBER	1080	72883	\N	\N	\N
1879568	6363	1997-08-11	VYDAJ	VYBER	2160	66803	\N	\N	\N
1879569	6363	1997-02-12	VYDAJ	VYBER	5160	52243	\N	\N	\N
1879570	6363	1997-02-14	VYDAJ	VYBER	2400	48943	\N	\N	\N
1879571	6363	1998-04-07	VYDAJ	VYBER	3840	57559	\N	\N	\N
1879572	6363	1998-10-10	VYDAJ	VYBER KARTOU	1300	68132	\N	\N	0
1879573	6363	1998-12-26	VYDAJ	VYBER KARTOU	4400	70255	\N	\N	0
1879574	6363	1998-04-25	VYDAJ	VYBER	5280	63999	\N	\N	\N
1879575	6363	1998-11-23	VYDAJ	VYBER KARTOU	4100	75481	\N	\N	0
1879576	6363	1998-02-26	VYDAJ	VYBER	5280	68805	\N	\N	\N
1879577	6363	1998-11-06	VYDAJ	VYBER KARTOU	700	67861	\N	\N	0
1879590	6363	1993-12-31	VYDAJ	VYBER	15	40099	SLUZBY	\N	\N
1879591	6363	1994-01-31	VYDAJ	VYBER	15	36326	SLUZBY	\N	\N
1879592	6363	1994-02-28	VYDAJ	VYBER	15	37303	SLUZBY	\N	\N
1879593	6363	1994-03-31	VYDAJ	VYBER	15	37690	SLUZBY	\N	\N
1879594	6363	1994-04-30	VYDAJ	VYBER	15	34975	SLUZBY	\N	\N
1879595	6363	1994-05-31	VYDAJ	VYBER	15	36049	SLUZBY	\N	\N
1879596	6363	1994-06-30	VYDAJ	VYBER	15	41304	SLUZBY	\N	\N
1879597	6363	1994-07-31	VYDAJ	VYBER	15	35897	SLUZBY	\N	\N
1879598	6363	1994-08-31	VYDAJ	VYBER	15	37462	SLUZBY	\N	\N
1879599	6363	1994-09-30	VYDAJ	VYBER	15	38627	SLUZBY	\N	\N
1879600	6363	1994-10-31	VYDAJ	VYBER	15	39579	SLUZBY	\N	\N
1879601	6363	1994-11-30	VYDAJ	VYBER	15	40408	SLUZBY	\N	\N
1879602	6363	1994-12-31	VYDAJ	VYBER	15	41586	SLUZBY	\N	\N
1879603	6363	1995-01-31	VYDAJ	VYBER	15	40419	SLUZBY	\N	\N
1879604	6363	1995-02-28	VYDAJ	VYBER	15	40148	SLUZBY	\N	\N
1879605	6363	1995-03-31	VYDAJ	VYBER	15	41379	SLUZBY	\N	\N
1879606	6363	1995-04-30	VYDAJ	VYBER	15	41650	SLUZBY	\N	\N
1879607	6363	1995-05-31	VYDAJ	VYBER	15	39882	SLUZBY	\N	\N
1879608	6363	1995-06-30	VYDAJ	VYBER	15	17048	SLUZBY	\N	\N
1879609	6363	1995-07-31	VYDAJ	VYBER	15	27014	SLUZBY	\N	\N
1879610	6363	1995-08-31	VYDAJ	VYBER	15	33069	SLUZBY	\N	\N
1879611	6363	1995-09-30	VYDAJ	VYBER	15	39173	SLUZBY	\N	\N
1879612	6363	1995-10-31	VYDAJ	VYBER	15	43299	SLUZBY	\N	\N
1879613	6363	1995-11-30	VYDAJ	VYBER	15	45790	SLUZBY	\N	\N
1879614	6363	1995-12-31	VYDAJ	VYBER	15	40365	SLUZBY	\N	\N
1879615	6363	1996-01-31	VYDAJ	VYBER	15	39985	SLUZBY	\N	\N
1879616	6363	1996-02-29	VYDAJ	VYBER	15	41458	SLUZBY	\N	\N
1879617	6363	1996-03-31	VYDAJ	VYBER	15	38718	SLUZBY	\N	\N
1879618	6363	1996-04-30	VYDAJ	VYBER	15	38993	SLUZBY	\N	\N
1879619	6363	1996-05-31	VYDAJ	VYBER	15	39367	SLUZBY	\N	\N
1879620	6363	1996-06-30	VYDAJ	VYBER	15	46313	SLUZBY	\N	\N
1879621	6363	1996-07-31	VYDAJ	VYBER	15	47015	SLUZBY	\N	\N
1879622	6363	1996-08-31	VYDAJ	VYBER	15	46718	SLUZBY	\N	\N
1879623	6363	1996-09-30	VYDAJ	VYBER	15	46219	SLUZBY	\N	\N
1879624	6363	1996-10-31	VYDAJ	VYBER	15	46915	SLUZBY	\N	\N
1879625	6363	1996-11-30	VYDAJ	VYBER	15	46515	SLUZBY	\N	\N
1879626	6363	1996-12-31	VYDAJ	VYBER	15	49261	SLUZBY	\N	\N
1879627	6363	1997-01-31	VYDAJ	VYBER	15	54683	SLUZBY	\N	\N
1879628	6363	1997-02-28	VYDAJ	VYBER	15	49140	SLUZBY	\N	\N
1879629	6363	1997-03-31	VYDAJ	VYBER	15	53059	SLUZBY	\N	\N
1879630	6363	1997-04-30	VYDAJ	VYBER	15	57293	SLUZBY	\N	\N
1879631	6363	1997-05-31	VYDAJ	VYBER	15	59238	SLUZBY	\N	\N
1879632	6363	1997-06-30	VYDAJ	VYBER	15	66567	SLUZBY	\N	\N
1879633	6363	1997-07-31	VYDAJ	VYBER	15	66043	SLUZBY	\N	\N
1879634	6363	1997-08-31	VYDAJ	VYBER	15	65759	SLUZBY	\N	\N
1879635	6363	1997-09-30	VYDAJ	VYBER	15	68903	SLUZBY	\N	\N
1879636	6363	1997-10-31	VYDAJ	VYBER	15	73963	SLUZBY	\N	\N
1879637	6363	1997-11-30	VYDAJ	VYBER	15	74390	SLUZBY	\N	\N
1879638	6363	1997-12-31	VYDAJ	VYBER	15	77540	SLUZBY	\N	\N
1879639	6363	1998-01-31	VYDAJ	VYBER	15	78465	SLUZBY	\N	\N
1879640	6363	1998-02-28	VYDAJ	VYBER	15	69099	SLUZBY	\N	\N
1879641	6363	1998-03-31	VYDAJ	VYBER	15	73699	SLUZBY	\N	\N
1879642	6363	1998-04-30	VYDAJ	VYBER	15	64261	SLUZBY	\N	\N
1879643	6363	1998-05-31	VYDAJ	VYBER	15	71043	SLUZBY	\N	\N
1879644	6363	1998-06-30	VYDAJ	VYBER	15	47543	SLUZBY	\N	\N
1879645	6363	1998-07-31	VYDAJ	VYBER	15	68096	SLUZBY	\N	\N
1879646	6363	1998-08-31	VYDAJ	VYBER	15	77603	SLUZBY	\N	\N
1879647	6363	1998-09-30	VYDAJ	VYBER	15	82132	SLUZBY	\N	\N
1879648	6363	1998-10-31	VYDAJ	VYBER	15	79061	SLUZBY	\N	\N
1879649	6363	1998-11-30	VYDAJ	VYBER	15	73975	SLUZBY	\N	\N
1879650	6363	1993-08-31	PRIJEM	VKLAD	7800	20457	\N	\N	\N
1879651	6363	1993-09-30	VYDAJ	VYBER	5600	26663	\N	\N	\N
1879652	6363	1993-10-30	VYDAJ	VYBER	5800	32583	\N	\N	\N
1879653	6363	1993-11-29	VYDAJ	VYBER	7700	36715	\N	\N	\N
1879654	6363	1993-12-29	VYDAJ	VYBER	11200	39932	\N	\N	\N
1879655	6363	1994-01-28	VYDAJ	VYBER	9200	36159	\N	\N	\N
1879656	6363	1994-02-27	VYDAJ	VYBER	9700	37146	\N	\N	\N
1879657	6363	1994-03-29	VYDAJ	VYBER	10400	37523	\N	\N	\N
1879658	6363	1994-04-28	VYDAJ	VYBER	13300	34810	\N	\N	\N
1879659	6363	1994-05-28	VYDAJ	VYBER	9500	35895	\N	\N	\N
1879660	6363	1994-06-27	VYDAJ	VYBER	11400	41129	\N	\N	\N
1879661	6363	1994-07-27	VYDAJ	VYBER	9600	37024	\N	\N	\N
1879662	6363	1994-08-26	VYDAJ	VYBER	8500	37317	\N	\N	\N
1879663	6363	1994-09-25	VYDAJ	VYBER	9600	38482	\N	\N	\N
1879664	6363	1994-10-25	VYDAJ	VYBER	8600	39427	\N	\N	\N
1879665	6363	1994-11-24	VYDAJ	VYBER	9600	40240	\N	\N	\N
1879666	6363	1994-12-24	VYDAJ	VYBER	11600	41409	\N	\N	\N
1879667	6363	1995-01-23	VYDAJ	VYBER	11600	40247	\N	\N	\N
1879668	6363	1995-02-22	VYDAJ	VYBER	10700	39980	\N	\N	\N
1879669	6363	1995-03-24	VYDAJ	VYBER	9200	41209	\N	\N	\N
1879670	6363	1995-04-23	VYDAJ	VYBER	7400	41480	\N	\N	\N
1879671	6363	1995-05-23	VYDAJ	VYBER	12200	39711	\N	\N	\N
1879672	6363	1995-06-22	VYDAJ	VYBER	14800	41203	\N	\N	\N
1879673	6363	1995-07-22	PRIJEM	VKLAD	3100	30409	\N	\N	\N
1879674	6363	1995-08-21	VYDAJ	VYBER	600	32955	\N	\N	\N
1879675	6363	1995-09-20	VYDAJ	VYBER	4300	39030	\N	\N	\N
1879676	6363	1995-10-20	VYDAJ	VYBER	6300	43134	\N	\N	\N
1879677	6363	1995-11-19	VYDAJ	VYBER	8200	45619	\N	\N	\N
1879678	6363	1995-12-19	VYDAJ	VYBER	15300	48070	\N	\N	\N
1879679	6363	1996-01-18	VYDAJ	VYBER	8600	41985	\N	\N	\N
1879680	6363	1996-02-17	VYDAJ	VYBER	9400	42305	\N	\N	\N
1879681	6363	1996-03-18	VYDAJ	VYBER	8800	42878	\N	\N	\N
1879682	6363	1996-04-17	VYDAJ	VYBER	10500	38838	\N	\N	\N
1879683	6363	1996-05-17	VYDAJ	VYBER	9500	39213	\N	\N	\N
1879684	6363	1996-06-16	VYDAJ	VYBER	9900	46147	\N	\N	\N
1879685	6363	1996-07-16	VYDAJ	VYBER	9500	46833	\N	\N	\N
1879686	6363	1996-08-15	VYDAJ	VYBER	10900	46535	\N	\N	\N
1879687	6363	1996-09-14	VYDAJ	VYBER	9900	48538	\N	\N	\N
1879688	6363	1996-10-14	VYDAJ	VYBER	11200	46739	\N	\N	\N
1879689	6363	1996-11-13	VYDAJ	VYBER	4000	49215	\N	\N	\N
1879690	6363	1996-12-13	VYDAJ	VYBER	9300	49075	\N	\N	\N
1879691	6363	1997-01-12	VYDAJ	VYBER	5500	54481	\N	\N	\N
1879692	6363	1997-02-11	VYDAJ	VYBER	9000	57403	\N	\N	\N
1879693	6363	1997-03-13	VYDAJ	VYBER	6800	52860	\N	\N	\N
1879694	6363	1997-04-12	VYDAJ	VYBER	6400	58379	\N	\N	\N
1879695	6363	1997-05-12	VYDAJ	VYBER	9000	60013	\N	\N	\N
1879696	6363	1997-06-11	VYDAJ	VYBER	9000	67818	\N	\N	\N
1879697	6363	1997-07-11	VYDAJ	VYBER	10900	65787	\N	\N	\N
1879698	6363	1997-08-10	VYDAJ	VYBER	7700	57243	\N	\N	\N
1879699	6363	1997-09-09	VYDAJ	VYBER	200	60519	\N	\N	\N
1879700	6363	1997-10-09	VYDAJ	VYBER	3700	63763	\N	\N	\N
1879701	6363	1997-11-08	VYDAJ	VYBER	8100	64783	\N	\N	\N
1879702	6363	1997-12-08	VYDAJ	VYBER	10100	64290	\N	\N	\N
1879703	6363	1998-01-07	VYDAJ	VYBER	9600	67940	\N	\N	\N
1879704	6363	1998-02-06	VYDAJ	VYBER	15100	63365	\N	\N	\N
1879705	6363	1998-03-08	VYDAJ	VYBER	6500	62599	\N	\N	\N
1879706	6363	1998-04-07	VYDAJ	VYBER	10600	61399	\N	\N	\N
1879707	6363	1998-05-07	VYDAJ	VYBER	3900	59061	\N	\N	\N
1879708	6363	1998-06-06	VYDAJ	VYBER KARTOU	3200	67843	\N	\N	0
1879709	6363	1998-07-06	PRIJEM	VKLAD	8600	56143	\N	\N	\N
1879710	6363	1998-08-05	VYDAJ	VYBER KARTOU	1300	66796	\N	\N	0
1879711	6363	1998-09-04	VYDAJ	VYBER KARTOU	5900	71703	\N	\N	0
1879712	6363	1998-10-04	VYDAJ	VYBER	12700	69432	\N	\N	\N
1879713	6363	1998-11-03	VYDAJ	VYBER	10500	68561	\N	\N	\N
1879714	6363	1998-12-03	VYDAJ	VYBER	12200	61775	\N	\N	\N
1889927	6397	1995-03-15	PRIJEM	VKLAD	500	500	\N	\N	\N
1889931	6397	1995-04-06	PRIJEM	PREVOD Z UCTU	18100	18600	\N	GH	84178596
1889932	6397	1995-05-06	PRIJEM	PREVOD Z UCTU	18100	40553	\N	GH	84178596
1889933	6397	1995-06-06	PRIJEM	PREVOD Z UCTU	27150	58518	\N	GH	84178596
1889934	6397	1995-07-06	PRIJEM	PREVOD Z UCTU	18100	60475	\N	GH	84178596
1889935	6397	1995-08-06	PRIJEM	PREVOD Z UCTU	18100	56150	\N	GH	84178596
1889936	6397	1995-09-06	PRIJEM	PREVOD Z UCTU	18100	41695	\N	GH	84178596
1889937	6397	1995-10-06	PRIJEM	PREVOD Z UCTU	18100	46893	\N	GH	84178596
1889938	6397	1995-11-06	PRIJEM	PREVOD Z UCTU	18100	50925	\N	GH	84178596
1889939	6397	1995-12-06	PRIJEM	PREVOD Z UCTU	27150	58095	\N	GH	84178596
1889940	6397	1996-01-06	PRIJEM	PREVOD Z UCTU	18100	40024	\N	GH	84178596
1889941	6397	1996-02-06	PRIJEM	PREVOD Z UCTU	18100	38623	\N	GH	84178596
1889942	6397	1996-03-06	PRIJEM	PREVOD Z UCTU	18100	46728	\N	GH	84178596
1889943	6397	1996-04-06	PRIJEM	PREVOD Z UCTU	18100	47163	\N	GH	84178596
1889944	6397	1996-05-06	PRIJEM	PREVOD Z UCTU	18100	50493	\N	GH	84178596
1889945	6397	1996-06-06	PRIJEM	PREVOD Z UCTU	27150	51070	\N	GH	84178596
1889946	6397	1996-07-06	PRIJEM	PREVOD Z UCTU	18100	46544	\N	GH	84178596
1889947	6397	1996-08-06	PRIJEM	PREVOD Z UCTU	18100	45115	\N	GH	84178596
1889948	6397	1996-09-06	PRIJEM	PREVOD Z UCTU	18100	45526	\N	GH	84178596
1889949	6397	1996-10-06	PRIJEM	PREVOD Z UCTU	18100	43569	\N	GH	84178596
1889950	6397	1996-11-06	PRIJEM	PREVOD Z UCTU	18100	52602	\N	GH	84178596
1889951	6397	1996-12-06	PRIJEM	PREVOD Z UCTU	27150	54771	\N	GH	84178596
1889952	6397	1997-01-06	PRIJEM	PREVOD Z UCTU	18100	44286	\N	GH	84178596
1889953	6397	1997-02-06	PRIJEM	PREVOD Z UCTU	18100	41964	\N	GH	84178596
1889954	6397	1997-03-06	PRIJEM	PREVOD Z UCTU	18100	48317	\N	GH	84178596
1889955	6397	1997-04-06	PRIJEM	PREVOD Z UCTU	18100	48153	\N	GH	84178596
1889956	6397	1997-05-06	PRIJEM	PREVOD Z UCTU	18100	48521	\N	GH	84178596
1889957	6397	1997-06-06	PRIJEM	PREVOD Z UCTU	27150	63792	\N	GH	84178596
1889958	6397	1997-07-06	PRIJEM	PREVOD Z UCTU	18100	65592	\N	GH	84178596
1889959	6397	1997-08-06	PRIJEM	PREVOD Z UCTU	18100	66907	\N	GH	84178596
1889960	6397	1997-09-06	PRIJEM	PREVOD Z UCTU	18100	56462	\N	GH	84178596
1889961	6397	1997-10-06	PRIJEM	PREVOD Z UCTU	18100	62527	\N	GH	84178596
1889962	6397	1997-11-06	PRIJEM	PREVOD Z UCTU	18100	61011	\N	GH	84178596
1889963	6397	1997-12-06	PRIJEM	PREVOD Z UCTU	27150	73443	\N	GH	84178596
1889964	6397	1998-01-06	PRIJEM	PREVOD Z UCTU	18100	54053	\N	GH	84178596
1889965	6397	1998-02-06	PRIJEM	PREVOD Z UCTU	18100	54160	\N	GH	84178596
1889966	6397	1998-03-06	PRIJEM	PREVOD Z UCTU	18100	61511	\N	GH	84178596
1889967	6397	1998-04-06	PRIJEM	PREVOD Z UCTU	18100	57636	\N	GH	84178596
1889968	6397	1998-05-06	PRIJEM	PREVOD Z UCTU	18100	64802	\N	GH	84178596
1889969	6397	1998-06-06	PRIJEM	PREVOD Z UCTU	27150	65835	\N	GH	84178596
1889970	6397	1998-07-06	PRIJEM	PREVOD Z UCTU	18100	61146	\N	GH	84178596
1889971	6397	1998-08-06	PRIJEM	PREVOD Z UCTU	18100	62011	\N	GH	84178596
1889972	6397	1998-09-06	PRIJEM	PREVOD Z UCTU	18100	68291	\N	GH	84178596
1889973	6397	1998-10-06	PRIJEM	PREVOD Z UCTU	18100	68892	\N	GH	84178596
1889974	6397	1998-11-06	PRIJEM	PREVOD Z UCTU	18100	55791	\N	GH	84178596
1889975	6397	1998-12-06	PRIJEM	PREVOD Z UCTU	27150	79501	\N	GH	84178596
1889983	6397	1995-08-04	VYDAJ	VYBER	3700	38050	\N	\N	0
1889984	6397	1995-08-28	VYDAJ	VYBER	2900	23450	\N	\N	0
1889985	6397	1995-10-10	VYDAJ	VYBER	2200	42501	\N	\N	0
1889986	6397	1995-11-10	VYDAJ	VYBER	2700	33825	\N	\N	0
1889987	6397	1995-12-15	VYDAJ	VYBER	2300	35895	\N	\N	0
1889988	6397	1996-01-15	VYDAJ	VYBER	1600	28424	\N	\N	0
1889989	6397	1996-01-29	VYDAJ	VYBER	2900	20424	\N	\N	0
1889990	6397	1996-03-01	VYDAJ	VYBER	2900	28628	\N	\N	0
1889991	6397	1996-04-27	VYDAJ	VYBER	2100	34663	\N	\N	0
1889992	6397	1996-05-03	VYDAJ	VYBER	2400	32393	\N	\N	0
1889993	6397	1996-06-26	VYDAJ	VYBER	3900	35870	\N	\N	0
1889994	6397	1996-07-12	VYDAJ	VYBER	2500	34244	\N	\N	0
1889995	6397	1996-08-07	VYDAJ	VYBER	1600	31815	\N	\N	0
1889996	6397	1996-09-06	VYDAJ	VYBER	3000	42526	\N	\N	0
1889997	6397	1996-10-12	VYDAJ	PREVOD NA UCET	3017	40552	UVER	GH	75494760
1889998	6397	1996-11-12	VYDAJ	PREVOD NA UCET	3017	29695	UVER	GH	75494760
1889999	6397	1996-12-12	VYDAJ	PREVOD NA UCET	3017	41952	UVER	GH	75494760
1890000	6397	1997-01-12	VYDAJ	PREVOD NA UCET	3017	23870	UVER	GH	75494760
1890001	6397	1997-02-12	VYDAJ	PREVOD NA UCET	3017	34394	UVER	GH	75494760
1890002	6397	1997-03-12	VYDAJ	PREVOD NA UCET	3017	45300	UVER	GH	75494760
1890003	6397	1997-04-12	VYDAJ	PREVOD NA UCET	3017	45136	UVER	GH	75494760
1890004	6397	1997-05-12	VYDAJ	PREVOD NA UCET	3017	45504	UVER	GH	75494760
1890005	6397	1997-06-12	VYDAJ	PREVOD NA UCET	3017	60776	UVER	GH	75494760
1890006	6397	1997-07-12	VYDAJ	PREVOD NA UCET	3017	62575	UVER	GH	75494760
1890007	6397	1997-08-12	VYDAJ	PREVOD NA UCET	3017	40299	UVER	GH	75494760
1890008	6397	1997-09-12	VYDAJ	PREVOD NA UCET	3017	53445	UVER	GH	75494760
1890009	6397	1997-10-12	VYDAJ	PREVOD NA UCET	3017	59510	UVER	GH	75494760
1890010	6397	1997-11-12	VYDAJ	PREVOD NA UCET	3017	57995	UVER	GH	75494760
1890011	6397	1997-12-12	VYDAJ	PREVOD NA UCET	3017	29526	UVER	GH	75494760
1890012	6397	1998-01-12	VYDAJ	PREVOD NA UCET	3017	42936	UVER	GH	75494760
1890013	6397	1998-02-12	VYDAJ	PREVOD NA UCET	3017	51143	UVER	GH	75494760
1890014	6397	1998-03-12	VYDAJ	PREVOD NA UCET	3017	58494	UVER	GH	75494760
1890015	6397	1998-04-12	VYDAJ	PREVOD NA UCET	3017	54619	UVER	GH	75494760
1890016	6397	1998-05-12	VYDAJ	PREVOD NA UCET	3017	56985	UVER	GH	75494760
1890017	6397	1998-06-12	VYDAJ	PREVOD NA UCET	3017	47379	UVER	GH	75494760
1890018	6397	1998-07-12	VYDAJ	PREVOD NA UCET	3017	58129	UVER	GH	75494760
1890019	6397	1998-08-12	VYDAJ	PREVOD NA UCET	3017	58995	UVER	GH	75494760
1890150	6397	1995-05-14	VYDAJ	VYBER	9300	31253	\N	\N	\N
1890020	6397	1998-09-12	VYDAJ	PREVOD NA UCET	3017	65274	UVER	GH	75494760
1890021	6397	1998-10-12	VYDAJ	PREVOD NA UCET	3017	51775	UVER	GH	75494760
1890022	6397	1998-11-12	VYDAJ	PREVOD NA UCET	3017	52775	UVER	GH	75494760
1890023	6397	1998-12-12	VYDAJ	PREVOD NA UCET	3017	69885	UVER	GH	75494760
1890026	6397	1995-10-07	VYBER	VYBER	2192	44701	\N	\N	\N
1890028	6397	1996-07-17	VYBER	VYBER	7339	26905	\N	\N	\N
1890029	6397	1996-12-12	VYBER	VYBER	9803	44968	\N	\N	\N
1890031	6397	1996-05-14	VYBER	VYBER	15084	23809	\N	\N	\N
1890032	6397	1996-06-30	VYBER	VYBER	7559	28459	\N	\N	\N
1890033	6397	1996-09-04	VYBER	VYBER	2903	29026	\N	\N	\N
1890035	6397	1996-11-09	VYBER	VYBER	19890	32712	\N	\N	\N
1890039	6397	1997-12-07	VYBER	VYBER	23800	34043	\N	\N	\N
1890040	6397	1997-02-08	VYBER	VYBER	4554	37410	\N	\N	\N
1890042	6397	1997-05-26	VYBER	VYBER	11322	34182	\N	\N	\N
1890043	6397	1997-12-06	VYBER	VYBER	15600	57843	\N	\N	\N
1890046	6397	1997-05-02	VYBER	VYBER	16982	28321	\N	\N	\N
1890048	6397	1997-08-06	VYBER	VYBER	23592	43315	\N	\N	\N
1890050	6397	1998-06-10	VYBER	VYBER	15439	50396	\N	\N	\N
1890051	6397	1998-10-22	VYBER	VYBER	5744	32831	\N	\N	\N
1890052	6397	1998-05-18	VYBER	VYBER	10489	46496	\N	\N	\N
1890053	6397	1998-03-27	VYBER	VYBER	18749	39745	\N	\N	\N
1890054	6397	1995-12-15	VYDAJ	VYBER	8400	27495	\N	\N	\N
1890055	6397	1996-12-27	VYDAJ	VYBER	1800	26652	\N	\N	\N
1890056	6397	1997-12-08	VYDAJ	VYBER	1500	32543	\N	\N	\N
1890057	6397	1998-12-11	VYDAJ	VYBER	6600	72901	\N	\N	\N
1890064	6397	1996-01-09	VYDAJ	VYBER	1500	30024	\N	\N	\N
1890065	6397	1996-01-01	VYDAJ	VYBER	5700	21924	\N	\N	\N
1890066	6397	1996-01-16	VYDAJ	VYBER	5100	23324	\N	\N	\N
1890070	6397	1997-01-07	VYDAJ	VYBER	7500	30786	\N	\N	\N
1890071	6397	1997-01-07	VYDAJ	VYBER	6000	38286	\N	\N	\N
1890075	6397	1997-01-10	VYDAJ	VYBER	3900	26886	\N	\N	\N
1890076	6397	1998-01-12	VYDAJ	VYBER	8400	34536	\N	\N	\N
1890078	6397	1998-01-08	VYDAJ	VYBER	8100	45953	\N	\N	\N
1890079	6397	1998-01-17	VYDAJ	VYBER	7500	27036	\N	\N	\N
1890082	6397	1995-08-21	VYDAJ	VYBER	14400	26350	\N	\N	\N
1890083	6397	1995-11-18	VYDAJ	VYBER	3000	30825	\N	\N	\N
1890085	6397	1996-09-23	VYDAJ	VYBER	9900	32626	\N	\N	\N
1890086	6397	1996-03-30	VYDAJ	VYBER	7500	28928	\N	\N	\N
1890087	6397	1996-12-17	VYDAJ	VYBER	13500	28452	\N	\N	\N
1890089	6397	1996-10-01	VYDAJ	VYBER	6600	26169	\N	\N	\N
1890090	6397	1997-03-18	VYDAJ	VYBER	8100	37200	\N	\N	\N
1890091	6397	1997-04-04	VYDAJ	VYBER	6900	30053	\N	\N	\N
1890092	6397	1997-07-19	VYDAJ	VYBER	6900	55675	\N	\N	\N
1890093	6397	1997-10-28	VYDAJ	VYBER	9300	50210	\N	\N	\N
1890094	6397	1997-06-15	VYDAJ	VYBER	1800	58976	\N	\N	\N
1890095	6397	1998-07-21	VYDAJ	VYBER	8100	50029	\N	\N	\N
1890096	6397	1998-08-21	VYDAJ	VYBER	1500	57495	\N	\N	\N
1890097	6397	1998-10-12	VYDAJ	VYBER	14100	54792	\N	\N	\N
1890098	6397	1998-05-07	VYDAJ	VYBER	4800	60002	\N	\N	\N
1890099	6397	1998-10-14	VYDAJ	VYBER	13200	38575	\N	\N	\N
1890100	6397	1998-07-22	VYDAJ	VYBER	3600	46429	\N	\N	\N
1890109	6397	1995-08-31	VYDAJ	VYBER	15	23595	SLUZBY	\N	\N
1890110	6397	1995-09-30	VYDAJ	VYBER	15	28793	SLUZBY	\N	\N
1890111	6397	1995-10-31	VYDAJ	VYBER	15	32825	SLUZBY	\N	\N
1890112	6397	1995-11-30	VYDAJ	VYBER	15	30945	SLUZBY	\N	\N
1890113	6397	1995-12-31	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
1890114	6397	1996-01-31	VYDAJ	VYBER	15	20523	SLUZBY	\N	\N
1890115	6397	1996-02-29	VYDAJ	VYBER	15	31528	SLUZBY	\N	\N
1890116	6397	1996-03-31	VYDAJ	VYBER	15	29063	SLUZBY	\N	\N
1890117	6397	1996-04-30	VYDAJ	VYBER	15	34793	SLUZBY	\N	\N
1890118	6397	1996-05-31	VYDAJ	VYBER	15	23920	SLUZBY	\N	\N
1890119	6397	1996-06-30	VYDAJ	VYBER	15	28444	SLUZBY	\N	\N
1890120	6397	1996-07-31	VYDAJ	VYBER	15	27015	SLUZBY	\N	\N
1890121	6397	1996-08-31	VYDAJ	VYBER	15	31929	SLUZBY	\N	\N
1890122	6397	1996-09-30	VYDAJ	VYBER	15	32769	SLUZBY	\N	\N
1890123	6397	1996-10-31	VYDAJ	VYBER	15	40702	SLUZBY	\N	\N
1890124	6397	1996-11-30	VYDAJ	VYBER	15	29821	SLUZBY	\N	\N
1890125	6397	1996-12-31	VYDAJ	VYBER	15	26786	SLUZBY	\N	\N
1890126	6397	1997-01-31	VYDAJ	VYBER	15	23964	SLUZBY	\N	\N
1890127	6397	1997-02-28	VYDAJ	VYBER	15	34517	SLUZBY	\N	\N
1890128	6397	1997-03-31	VYDAJ	VYBER	15	37353	SLUZBY	\N	\N
1890129	6397	1997-04-30	VYDAJ	VYBER	15	45303	SLUZBY	\N	\N
1890130	6397	1997-05-31	VYDAJ	VYBER	15	34342	SLUZBY	\N	\N
1890131	6397	1997-06-30	VYDAJ	VYBER	15	59192	SLUZBY	\N	\N
1890132	6397	1997-07-31	VYDAJ	VYBER	15	55907	SLUZBY	\N	\N
1890133	6397	1997-08-31	VYDAJ	VYBER	15	38362	SLUZBY	\N	\N
1890134	6397	1997-09-30	VYDAJ	VYBER	15	44427	SLUZBY	\N	\N
1890135	6397	1997-10-31	VYDAJ	VYBER	15	42911	SLUZBY	\N	\N
1890136	6397	1997-11-30	VYDAJ	VYBER	15	46293	SLUZBY	\N	\N
1890137	6397	1997-12-31	VYDAJ	VYBER	15	35953	SLUZBY	\N	\N
1890138	6397	1998-01-31	VYDAJ	VYBER	15	36060	SLUZBY	\N	\N
1890139	6397	1998-02-28	VYDAJ	VYBER	15	43411	SLUZBY	\N	\N
1890140	6397	1998-03-31	VYDAJ	VYBER	15	39536	SLUZBY	\N	\N
1890141	6397	1998-04-30	VYDAJ	VYBER	15	46702	SLUZBY	\N	\N
1890142	6397	1998-05-31	VYDAJ	VYBER	15	38685	SLUZBY	\N	\N
1890143	6397	1998-06-30	VYDAJ	VYBER	15	43046	SLUZBY	\N	\N
1890144	6397	1998-07-31	VYDAJ	VYBER	15	43911	SLUZBY	\N	\N
1890145	6397	1998-08-31	VYDAJ	VYBER	15	50191	SLUZBY	\N	\N
1890146	6397	1998-09-30	VYDAJ	VYBER	15	50792	SLUZBY	\N	\N
1890147	6397	1998-10-31	VYDAJ	VYBER	15	37691	SLUZBY	\N	\N
1890148	6397	1998-11-30	VYDAJ	VYBER	15	52351	SLUZBY	\N	\N
1890149	6397	1995-04-14	PRIJEM	VKLAD	3800	22400	\N	\N	\N
1890151	6397	1995-06-13	VYDAJ	VYBER	16300	42218	\N	\N	\N
1890152	6397	1995-07-13	VYDAJ	VYBER	18900	41575	\N	\N	\N
1890153	6397	1995-08-12	VYDAJ	VYBER	15400	40750	\N	\N	\N
1890154	6397	1995-09-11	VYDAJ	VYBER	13000	28695	\N	\N	\N
1890155	6397	1995-10-11	VYDAJ	VYBER	9800	32701	\N	\N	\N
1890156	6397	1995-11-10	VYDAJ	VYBER	14400	36525	\N	\N	\N
1890157	6397	1995-12-10	VYDAJ	VYBER	19900	38195	\N	\N	\N
1890158	6397	1996-01-09	VYDAJ	VYBER	8500	31524	\N	\N	\N
1890159	6397	1996-02-08	VYDAJ	VYBER	7200	31423	\N	\N	\N
1890160	6397	1996-03-09	VYDAJ	VYBER	10300	36428	\N	\N	\N
1890161	6397	1996-04-08	VYDAJ	VYBER	10400	36763	\N	\N	\N
1890162	6397	1996-05-08	VYDAJ	VYBER	11600	38893	\N	\N	\N
1890163	6397	1996-06-07	VYDAJ	VYBER	11300	39770	\N	\N	\N
1890164	6397	1996-07-07	VYDAJ	VYBER	9800	36744	\N	\N	\N
1890165	6397	1996-08-06	VYDAJ	VYBER	11700	33415	\N	\N	\N
1890166	6397	1996-09-05	VYDAJ	VYBER	1600	27426	\N	\N	\N
1890167	6397	1996-10-05	VYDAJ	VYBER	700	25469	\N	\N	\N
1890168	6397	1996-11-04	VYDAJ	VYBER	6200	34502	\N	\N	\N
1890169	6397	1996-12-04	VYDAJ	VYBER	2200	27621	\N	\N	\N
1890170	6397	1997-01-03	VYDAJ	VYBER	600	26186	\N	\N	\N
1890171	6397	1997-02-02	VYDAJ	VYBER	100	23864	\N	\N	\N
1890172	6397	1997-03-04	VYDAJ	VYBER	4300	30217	\N	\N	\N
1890173	6397	1997-04-03	VYDAJ	VYBER	400	36953	\N	\N	\N
1890174	6397	1997-05-03	PRIJEM	VKLAD	2100	30421	\N	\N	\N
1890175	6397	1997-06-02	PRIJEM	VKLAD	2300	36642	\N	\N	\N
1890176	6397	1997-07-02	VYDAJ	VYBER	11700	47492	\N	\N	\N
1890177	6397	1997-08-01	VYDAJ	VYBER	7100	48807	\N	\N	\N
1890178	6397	1997-08-31	VYDAJ	VYBER	2100	38377	\N	\N	\N
1890179	6397	1997-09-30	VYDAJ	VYBER	9200	44441	\N	\N	\N
1890180	6397	1997-10-30	VYDAJ	VYBER	7500	42710	\N	\N	\N
1890181	6397	1997-11-29	VYDAJ	VYBER	11900	46095	\N	\N	\N
1890182	6397	1997-12-29	PRIJEM	VKLAD	6300	35826	\N	\N	\N
1890183	6397	1998-01-28	PRIJEM	VKLAD	8900	35936	\N	\N	\N
1890184	6397	1998-02-27	VYDAJ	VYBER	7900	43243	\N	\N	\N
1890185	6397	1998-03-29	VYDAJ	VYBER	400	39345	\N	\N	\N
1890186	6397	1998-04-28	VYDAJ	VYBER	8100	46519	\N	\N	\N
1890187	6397	1998-05-28	VYDAJ	VYBER	8000	38496	\N	\N	\N
1890188	6397	1998-06-27	VYDAJ	VYBER	4500	42879	\N	\N	\N
1890189	6397	1998-07-27	VYDAJ	VYBER	2700	43729	\N	\N	\N
1890190	6397	1998-08-26	VYDAJ	VYBER	7500	49995	\N	\N	\N
1890191	6397	1998-09-25	VYDAJ	VYBER	14700	50574	\N	\N	\N
1890192	6397	1998-10-25	PRIJEM	VKLAD	4700	37531	\N	\N	\N
1890193	6397	1998-11-24	VYDAJ	VYBER	600	52175	\N	\N	\N
1890848	6400	1995-10-09	PRIJEM	VKLAD	700	700	\N	\N	\N
1890857	6400	1995-10-20	PRIJEM	VKLAD	49634	50334	\N	\N	\N
1890859	6400	1995-10-20	PRIJEM	VKLAD	9493	59827	\N	\N	\N
1890860	6400	1995-11-06	PRIJEM	VKLAD	23696	83620	\N	\N	\N
1890863	6400	1996-09-02	PRIJEM	VKLAD	17916	44058	\N	\N	\N
1890864	6400	1996-01-15	PRIJEM	VKLAD	24901	50154	\N	\N	\N
1890865	6400	1996-08-25	PRIJEM	VKLAD	26601	43700	\N	\N	\N
1890866	6400	1996-08-11	PRIJEM	VKLAD	8957	34975	\N	\N	\N
1890867	6400	1997-08-06	PRIJEM	VKLAD	40598	91613	\N	\N	\N
1890868	6400	1997-06-25	PRIJEM	VKLAD	30086	76164	\N	\N	\N
1890869	6400	1997-08-15	PRIJEM	VKLAD	26502	75339	\N	\N	\N
1890870	6400	1997-01-16	PRIJEM	VKLAD	25940	24777	\N	\N	\N
1890871	6400	1997-07-16	PRIJEM	VKLAD	13643	69355	\N	\N	\N
1890872	6400	1997-02-14	PRIJEM	VKLAD	40314	56194	\N	\N	\N
1890873	6400	1997-09-12	PRIJEM	VKLAD	8914	64114	\N	\N	\N
1890874	6400	1997-07-10	PRIJEM	VKLAD	5855	60486	\N	\N	\N
1890875	6400	1997-12-14	PRIJEM	VKLAD	41748	66475	\N	\N	\N
1890876	6400	1997-07-10	PRIJEM	VKLAD	13102	73588	\N	\N	\N
1890877	6400	1997-05-31	PRIJEM	VKLAD	32640	54155	\N	\N	\N
1890878	6400	1997-10-06	PRIJEM	VKLAD	27134	67378	\N	\N	\N
1890879	6400	1997-06-21	PRIJEM	VKLAD	32911	46078	\N	\N	\N
1890880	6400	1997-05-22	PRIJEM	VKLAD	20453	21474	\N	\N	\N
1890881	6400	1998-06-29	PRIJEM	VKLAD	7766	60792	\N	\N	\N
1890882	6400	1998-01-28	PRIJEM	VKLAD	24718	56719	\N	\N	\N
1890883	6400	1998-07-07	PRIJEM	VKLAD	13038	74058	\N	\N	\N
1890884	6400	1998-10-16	PRIJEM	VKLAD	27106	68386	\N	\N	\N
1890885	6400	1998-07-08	PRIJEM	VKLAD	33931	107989	\N	\N	\N
1890886	6400	1998-08-31	PRIJEM	VKLAD	29806	84926	\N	\N	\N
1890887	6400	1998-01-29	PRIJEM	VKLAD	10177	66896	\N	\N	\N
1890888	6400	1998-01-16	PRIJEM	VKLAD	13529	20728	\N	\N	\N
1890889	6400	1998-06-16	PRIJEM	VKLAD	21297	83155	\N	\N	\N
1890890	6400	1998-05-25	PRIJEM	VKLAD	47097	64448	\N	\N	\N
1890891	6400	1998-01-20	PRIJEM	VKLAD	39806	60534	\N	\N	\N
1890892	6400	1998-05-28	PRIJEM	VKLAD	46269	106817	\N	\N	\N
1890893	6400	1998-02-03	PRIJEM	VKLAD	10666	76117	\N	\N	\N
1890913	6400	1996-08-12	VYDAJ	PREVOD NA UCET	3017	31958	UVER	OP	68610131
1890914	6400	1996-09-12	VYDAJ	PREVOD NA UCET	3017	30798	UVER	OP	68610131
1890915	6400	1996-10-12	VYDAJ	PREVOD NA UCET	3017	20317	UVER	OP	68610131
1890916	6400	1996-11-12	VYDAJ	PREVOD NA UCET	3017	12484	UVER	OP	68610131
1890917	6400	1996-12-12	VYDAJ	PREVOD NA UCET	3017	11106	UVER	OP	68610131
1890918	6400	1997-01-12	VYDAJ	PREVOD NA UCET	3017	13553	UVER	OP	68610131
1890919	6400	1997-02-12	VYDAJ	PREVOD NA UCET	3017	23276	UVER	OP	68610131
1890920	6400	1997-03-12	VYDAJ	PREVOD NA UCET	3017	28102	UVER	OP	68610131
1890921	6400	1997-04-12	VYDAJ	PREVOD NA UCET	3017	18823	UVER	OP	68610131
1890922	6400	1997-05-12	VYDAJ	PREVOD NA UCET	3017	15737	UVER	OP	68610131
1890923	6400	1997-06-12	VYDAJ	PREVOD NA UCET	3017	28026	UVER	OP	68610131
1890924	6400	1997-07-12	VYDAJ	PREVOD NA UCET	3017	70428	UVER	OP	68610131
1890925	6400	1997-08-12	VYDAJ	PREVOD NA UCET	3017	63553	UVER	OP	68610131
1890926	6400	1997-09-12	VYDAJ	PREVOD NA UCET	3017	60955	UVER	OP	68610131
1890927	6400	1997-10-12	VYDAJ	PREVOD NA UCET	3017	64219	UVER	OP	68610131
1890928	6400	1997-11-12	VYDAJ	PREVOD NA UCET	3017	45180	UVER	OP	68610131
1890929	6400	1997-12-12	VYDAJ	PREVOD NA UCET	3017	32266	UVER	OP	68610131
1890930	6400	1998-01-12	VYDAJ	PREVOD NA UCET	3017	21915	UVER	OP	68610131
1890931	6400	1998-02-13	VYDAJ	VYBER	1900	74074	\N	\N	0
1890932	6400	1998-03-20	VYDAJ	VYBER	2400	6220	\N	\N	0
1890933	6400	1998-04-11	VYDAJ	VYBER	2700	23189	\N	\N	0
1890934	6400	1998-05-28	VYDAJ	VYBER	2900	103917	\N	\N	0
1890935	6400	1998-06-10	VYDAJ	VYBER	2600	76717	\N	\N	0
1890936	6400	1998-06-28	VYDAJ	VYBER	2600	53026	\N	\N	0
1890937	6400	1998-08-08	VYDAJ	VYBER	2200	57856	\N	\N	0
1890938	6400	1998-09-13	VYDAJ	VYBER	2700	81983	\N	\N	0
1890939	6400	1998-10-11	VYDAJ	VYBER	2900	56139	\N	\N	0
1890940	6400	1998-11-05	VYDAJ	VYBER	3100	27912	\N	\N	0
1890941	6400	1998-12-01	VYDAJ	VYBER	3200	34172	\N	\N	0
1890961	6400	1996-08-14	VYDAJ	PREVOD NA UCET	7320	17099	SIPO	OP	10098511
1890962	6400	1996-09-14	VYDAJ	PREVOD NA UCET	7320	16082	SIPO	OP	10098511
1890963	6400	1996-10-14	VYDAJ	PREVOD NA UCET	7320	5601	SIPO	OP	10098511
1890964	6400	1996-11-14	VYDAJ	PREVOD NA UCET	7320	-2232	SIPO	OP	10098511
1890966	6400	1997-01-14	VYDAJ	PREVOD NA UCET	7320	-1163	SIPO	OP	10098511
1890967	6400	1997-02-14	VYDAJ	PREVOD NA UCET	7320	48874	SIPO	OP	10098511
1890968	6400	1997-03-14	VYDAJ	PREVOD NA UCET	7320	13243	SIPO	OP	10098511
1890969	6400	1997-04-14	VYDAJ	PREVOD NA UCET	7320	3964	SIPO	OP	10098511
1890970	6400	1997-05-14	VYDAJ	PREVOD NA UCET	7320	1021	SIPO	OP	10098511
1890971	6400	1997-06-14	VYDAJ	PREVOD NA UCET	7320	13167	SIPO	OP	10098511
1890972	6400	1997-07-14	VYDAJ	PREVOD NA UCET	7320	55712	SIPO	OP	10098511
1890973	6400	1997-08-14	VYDAJ	PREVOD NA UCET	7320	48837	SIPO	OP	10098511
1890974	6400	1997-09-14	VYDAJ	PREVOD NA UCET	7320	46239	SIPO	OP	10098511
1890975	6400	1997-10-14	VYDAJ	PREVOD NA UCET	7320	49503	SIPO	OP	10098511
1890976	6400	1997-11-14	VYDAJ	PREVOD NA UCET	7320	30321	SIPO	OP	10098511
1890977	6400	1997-12-14	VYDAJ	PREVOD NA UCET	7320	59155	SIPO	OP	10098511
1890978	6400	1998-01-14	VYDAJ	PREVOD NA UCET	7320	7199	SIPO	OP	10098511
1890979	6400	1998-02-14	VYDAJ	PREVOD NA UCET	7320	59358	SIPO	OP	10098511
1890980	6400	1998-03-14	VYDAJ	PREVOD NA UCET	7320	8620	SIPO	OP	10098511
1890981	6400	1998-04-14	VYDAJ	PREVOD NA UCET	7320	8330	SIPO	OP	10098511
1890982	6400	1998-05-14	VYDAJ	PREVOD NA UCET	7320	17351	SIPO	OP	10098511
1890983	6400	1998-06-14	VYDAJ	PREVOD NA UCET	7320	61858	SIPO	OP	10098511
1890984	6400	1998-07-14	VYDAJ	PREVOD NA UCET	7320	65130	SIPO	OP	10098511
1890985	6400	1998-08-14	VYDAJ	PREVOD NA UCET	7320	42997	SIPO	OP	10098511
1890986	6400	1998-09-14	VYDAJ	PREVOD NA UCET	7320	67267	SIPO	OP	10098511
1890987	6400	1998-10-14	VYDAJ	PREVOD NA UCET	7320	41280	SIPO	OP	10098511
1890988	6400	1998-11-14	VYDAJ	PREVOD NA UCET	7320	13053	SIPO	OP	10098511
1890989	6400	1998-12-14	VYDAJ	PREVOD NA UCET	7320	13313	SIPO	OP	10098511
1891009	6400	1996-08-12	VYDAJ	PREVOD NA UCET	143	31815	 	QR	30437541
1891010	6400	1996-09-12	VYDAJ	PREVOD NA UCET	143	33815	 	QR	30437541
1891011	6400	1996-10-12	VYDAJ	PREVOD NA UCET	143	23334	 	QR	30437541
1891012	6400	1996-11-12	VYDAJ	PREVOD NA UCET	143	15500	 	QR	30437541
1891013	6400	1996-12-12	VYDAJ	PREVOD NA UCET	143	14123	 	QR	30437541
1891014	6400	1997-01-12	VYDAJ	PREVOD NA UCET	143	16570	 	QR	30437541
1891015	6400	1997-02-12	VYDAJ	PREVOD NA UCET	143	26293	 	QR	30437541
1891016	6400	1997-03-12	VYDAJ	PREVOD NA UCET	143	27959	 	QR	30437541
1891017	6400	1997-04-12	VYDAJ	PREVOD NA UCET	143	18680	 	QR	30437541
1891018	6400	1997-05-12	VYDAJ	PREVOD NA UCET	143	18754	 	QR	30437541
1891019	6400	1997-06-12	VYDAJ	PREVOD NA UCET	143	27883	 	QR	30437541
1891020	6400	1997-07-12	VYDAJ	PREVOD NA UCET	143	73445	 	QR	30437541
1891021	6400	1997-08-12	VYDAJ	PREVOD NA UCET	143	66570	 	QR	30437541
1891022	6400	1997-09-12	VYDAJ	PREVOD NA UCET	143	63971	 	QR	30437541
1891023	6400	1997-10-12	VYDAJ	PREVOD NA UCET	143	67235	 	QR	30437541
1891024	6400	1997-11-12	VYDAJ	PREVOD NA UCET	143	45037	 	QR	30437541
1891025	6400	1997-12-12	VYDAJ	PREVOD NA UCET	143	32123	 	QR	30437541
1891026	6400	1998-01-12	VYDAJ	PREVOD NA UCET	143	24932	 	QR	30437541
1891027	6400	1998-02-12	VYDAJ	PREVOD NA UCET	143	75974	 	QR	30437541
1891028	6400	1998-03-12	VYDAJ	PREVOD NA UCET	143	23336	 	QR	30437541
1891029	6400	1998-04-12	VYDAJ	PREVOD NA UCET	143	23046	 	QR	30437541
1891030	6400	1998-05-12	VYDAJ	PREVOD NA UCET	143	32067	 	QR	30437541
1891031	6400	1998-06-12	VYDAJ	PREVOD NA UCET	143	76574	 	QR	30437541
1891032	6400	1998-07-12	VYDAJ	PREVOD NA UCET	143	79846	 	QR	30437541
1891033	6400	1998-08-12	VYDAJ	PREVOD NA UCET	143	57713	 	QR	30437541
1891034	6400	1998-09-12	VYDAJ	PREVOD NA UCET	143	84683	 	QR	30437541
1891035	6400	1998-10-12	VYDAJ	PREVOD NA UCET	143	55996	 	QR	30437541
1891036	6400	1998-11-12	VYDAJ	PREVOD NA UCET	143	27769	 	QR	30437541
1891037	6400	1998-12-12	VYDAJ	PREVOD NA UCET	143	28029	 	QR	30437541
1891057	6400	1996-08-13	VYDAJ	PREVOD NA UCET	7396	24419	POJISTNE	EF	79846286
1891058	6400	1996-09-13	VYDAJ	PREVOD NA UCET	7396	23402	POJISTNE	EF	79846286
1891059	6400	1996-10-13	VYDAJ	PREVOD NA UCET	7396	12921	POJISTNE	EF	79846286
1891060	6400	1996-11-13	VYDAJ	PREVOD NA UCET	7396	5088	POJISTNE	EF	79846286
1891061	6400	1996-12-13	VYDAJ	PREVOD NA UCET	7396	3710	POJISTNE	EF	79846286
1891062	6400	1997-01-13	VYDAJ	PREVOD NA UCET	7396	6157	POJISTNE	EF	79846286
1891063	6400	1997-02-13	VYDAJ	PREVOD NA UCET	7396	15880	POJISTNE	EF	79846286
1891064	6400	1997-03-13	VYDAJ	PREVOD NA UCET	7396	20563	POJISTNE	EF	79846286
1891065	6400	1997-04-13	VYDAJ	PREVOD NA UCET	7396	11284	POJISTNE	EF	79846286
1891066	6400	1997-05-13	VYDAJ	PREVOD NA UCET	7396	8341	POJISTNE	EF	79846286
1891067	6400	1997-06-13	VYDAJ	PREVOD NA UCET	7396	20487	POJISTNE	EF	79846286
1891068	6400	1997-07-13	VYDAJ	PREVOD NA UCET	7396	63032	POJISTNE	EF	79846286
1891069	6400	1997-08-13	VYDAJ	PREVOD NA UCET	7396	56157	POJISTNE	EF	79846286
1891070	6400	1997-09-13	VYDAJ	PREVOD NA UCET	7396	53559	POJISTNE	EF	79846286
1891071	6400	1997-10-13	VYDAJ	PREVOD NA UCET	7396	56823	POJISTNE	EF	79846286
1891072	6400	1997-11-13	VYDAJ	PREVOD NA UCET	7396	37641	POJISTNE	EF	79846286
1891073	6400	1997-12-13	VYDAJ	PREVOD NA UCET	7396	24727	POJISTNE	EF	79846286
1891074	6400	1998-01-13	VYDAJ	PREVOD NA UCET	7396	14519	POJISTNE	EF	79846286
1891075	6400	1998-02-13	VYDAJ	PREVOD NA UCET	7396	66678	POJISTNE	EF	79846286
1891076	6400	1998-03-13	VYDAJ	PREVOD NA UCET	7396	15940	POJISTNE	EF	79846286
1891077	6400	1998-04-13	VYDAJ	PREVOD NA UCET	7396	15650	POJISTNE	EF	79846286
1891078	6400	1998-05-13	VYDAJ	PREVOD NA UCET	7396	24671	POJISTNE	EF	79846286
1891079	6400	1998-06-13	VYDAJ	PREVOD NA UCET	7396	69178	POJISTNE	EF	79846286
1891080	6400	1998-07-13	VYDAJ	PREVOD NA UCET	7396	72450	POJISTNE	EF	79846286
1891081	6400	1998-08-13	VYDAJ	PREVOD NA UCET	7396	50317	POJISTNE	EF	79846286
1891082	6400	1998-09-13	VYDAJ	PREVOD NA UCET	7396	74587	POJISTNE	EF	79846286
1891083	6400	1998-10-13	VYDAJ	PREVOD NA UCET	7396	48600	POJISTNE	EF	79846286
1891084	6400	1998-11-13	VYDAJ	PREVOD NA UCET	7396	20373	POJISTNE	EF	79846286
1891085	6400	1998-12-13	VYDAJ	PREVOD NA UCET	7396	20633	POJISTNE	EF	79846286
1891104	6400	1996-08-28	VYBER	VYBER	17595	26105	\N	\N	\N
1891111	6400	1997-06-05	VYBER	VYBER	9513	31042	\N	\N	\N
1891112	6400	1997-08-12	VYBER	VYBER	24900	66713	\N	\N	\N
1891113	6400	1998-01-08	VYBER	VYBER	16984	25075	\N	\N	\N
1891114	6400	1998-06-25	VYBER	VYBER	18129	55626	\N	\N	\N
1891116	6400	1998-10-05	VYBER	VYBER	4929	59039	\N	\N	\N
1891118	6400	1998-11-03	VYBER	VYBER	15241	31012	\N	\N	\N
1891119	6400	1998-06-08	VYBER	VYBER	15362	79317	\N	\N	\N
1891120	6400	1998-02-20	VYBER	VYBER	15645	43713	\N	\N	\N
1891121	6400	1998-02-27	VYBER	VYBER	22468	23345	\N	\N	\N
1891122	6400	1998-01-23	VYBER	VYBER	18833	36901	\N	\N	\N
1891124	6400	1998-10-30	VYBER	VYBER	23592	46094	\N	\N	\N
1891126	6400	1998-07-22	VYBER	VYBER	6543	58587	\N	\N	\N
1891130	6400	1998-06-02	VYDAJ	VYBER	9300	94679	\N	\N	\N
1891133	6400	1997-12-26	VYDAJ	VYBER	5400	53755	\N	\N	\N
1891134	6400	1998-12-03	VYDAJ	VYBER	6000	28172	\N	\N	\N
1891150	6400	1997-01-21	VYDAJ	VYBER	1500	23277	\N	\N	\N
1891153	6400	1998-01-21	VYDAJ	VYBER	4800	55734	\N	\N	\N
1891154	6400	1998-01-25	VYDAJ	VYBER	6300	30601	\N	\N	\N
1891155	6400	1998-01-04	VYDAJ	VYBER	4200	44459	\N	\N	\N
1891156	6400	1998-01-06	VYDAJ	VYBER	2400	42059	\N	\N	\N
1891157	6400	1998-01-29	VYDAJ	VYBER	1500	65396	\N	\N	\N
1891158	6400	1998-01-27	VYDAJ	VYBER	5100	32001	\N	\N	\N
1891169	6400	1997-09-27	VYDAJ	VYBER	3300	42939	\N	\N	\N
1891170	6400	1997-02-17	VYDAJ	VYBER	9300	39574	\N	\N	\N
1891171	6400	1997-12-12	VYDAJ	VYBER	5700	35283	\N	\N	\N
1891173	6400	1998-09-16	VYDAJ	VYBER	4500	62767	\N	\N	\N
1891177	6400	1998-06-23	VYDAJ	VYBER	12300	70855	\N	\N	\N
1891198	6400	1996-08-31	VYDAJ	VYBER	100	26142	SLUZBY	\N	\N
1891199	6400	1996-09-30	VYDAJ	VYBER	100	16077	SLUZBY	\N	\N
1891200	6400	1996-10-31	VYDAJ	VYBER	100	5543	SLUZBY	\N	\N
1891201	6400	1996-11-30	VYDAJ	VYBER	100	-2321	SLUZBY	\N	\N
1891202	6400	1996-12-31	VYDAJ	VYBER	100	3613	SLUZBY	\N	\N
1891203	6400	1997-01-31	VYDAJ	VYBER	100	26436	SLUZBY	\N	\N
1891204	6400	1997-02-28	VYDAJ	VYBER	100	39618	SLUZBY	\N	\N
1891205	6400	1997-03-31	VYDAJ	VYBER	100	13239	SLUZBY	\N	\N
1891206	6400	1997-04-30	VYDAJ	VYBER	100	3897	SLUZBY	\N	\N
1891207	6400	1997-05-31	VYDAJ	VYBER	100	40555	SLUZBY	\N	\N
1891208	6400	1997-06-30	VYDAJ	VYBER	100	54631	SLUZBY	\N	\N
1891209	6400	1997-07-31	VYDAJ	VYBER	100	51015	SLUZBY	\N	\N
1891210	6400	1997-08-31	VYDAJ	VYBER	100	55200	SLUZBY	\N	\N
1891211	6400	1997-09-30	VYDAJ	VYBER	100	40244	SLUZBY	\N	\N
1891212	6400	1997-10-31	VYDAJ	VYBER	100	48197	SLUZBY	\N	\N
1891213	6400	1997-11-30	VYDAJ	VYBER	100	40983	SLUZBY	\N	\N
1891214	6400	1997-12-31	VYDAJ	VYBER	100	48659	SLUZBY	\N	\N
1891215	6400	1998-01-31	VYDAJ	VYBER	100	65451	SLUZBY	\N	\N
1891216	6400	1998-02-28	VYDAJ	VYBER	100	23479	SLUZBY	\N	\N
1891217	6400	1998-03-31	VYDAJ	VYBER	100	25889	SLUZBY	\N	\N
1891218	6400	1998-04-30	VYDAJ	VYBER	100	32210	SLUZBY	\N	\N
1891219	6400	1998-05-31	VYDAJ	VYBER	100	103979	SLUZBY	\N	\N
1891220	6400	1998-06-30	VYDAJ	VYBER	100	61020	SLUZBY	\N	\N
1891221	6400	1998-07-31	VYDAJ	VYBER	100	60056	SLUZBY	\N	\N
1891222	6400	1998-08-31	VYDAJ	VYBER	100	84826	SLUZBY	\N	\N
1891223	6400	1998-09-30	VYDAJ	VYBER	100	63968	SLUZBY	\N	\N
1891224	6400	1998-10-31	VYDAJ	VYBER	100	46253	SLUZBY	\N	\N
1891225	6400	1998-11-30	VYDAJ	VYBER	100	37372	SLUZBY	\N	\N
1891226	6400	1995-11-08	VYDAJ	VYBER	32700	50920	\N	\N	\N
1891227	6400	1995-12-08	VYDAJ	VYBER	17400	33740	\N	\N	\N
1891228	6400	1996-01-07	VYDAJ	VYBER	8700	25253	\N	\N	\N
1891229	6400	1996-02-06	VYDAJ	VYBER	14000	36364	\N	\N	\N
1891230	6400	1996-03-07	VYDAJ	VYBER	7000	29573	\N	\N	\N
1891231	6400	1996-04-06	VYDAJ	VYBER	1300	28482	\N	\N	\N
1891232	6400	1996-05-06	VYDAJ	VYBER	700	27991	\N	\N	\N
1891233	6400	1996-06-05	VYDAJ	VYBER	700	27500	\N	\N	\N
1891234	6400	1996-07-05	PRIJEM	VKLAD	600	28309	\N	\N	\N
1891235	6400	1996-08-04	VYDAJ	VYBER	2500	26018	\N	\N	\N
1891236	6400	1996-09-03	VYDAJ	VYBER	10100	33958	\N	\N	\N
1891237	6400	1996-10-03	PRIJEM	VKLAD	7400	23477	\N	\N	\N
1891238	6400	1996-11-02	PRIJEM	VKLAD	10100	15643	\N	\N	\N
1891239	6400	1996-12-02	PRIJEM	VKLAD	16600	14266	\N	\N	\N
1891240	6400	1997-01-01	PRIJEM	VKLAD	13100	16713	\N	\N	\N
1891241	6400	1997-01-31	PRIJEM	VKLAD	3200	26477	\N	\N	\N
1891242	6400	1997-03-02	VYDAJ	VYBER	8500	31118	\N	\N	\N
1891243	6400	1997-04-01	PRIJEM	VKLAD	8600	21839	\N	\N	\N
1891244	6400	1997-05-01	PRIJEM	VKLAD	15000	18897	\N	\N	\N
1891245	6400	1997-05-31	VYDAJ	VYBER	13500	40655	\N	\N	\N
1891246	6400	1997-06-30	VYDAJ	VYBER	21600	54731	\N	\N	\N
1891247	6400	1997-07-30	VYDAJ	VYBER	18500	50855	\N	\N	\N
1891248	6400	1997-08-29	VYDAJ	VYBER	20300	55039	\N	\N	\N
1891249	6400	1997-09-28	VYDAJ	VYBER	2800	40139	\N	\N	\N
1891250	6400	1997-10-28	VYDAJ	VYBER	1400	48103	\N	\N	\N
1891251	6400	1997-11-27	PRIJEM	VKLAD	10600	40921	\N	\N	\N
1891252	6400	1997-12-27	VYDAJ	VYBER	5200	48555	\N	\N	\N
1891253	6400	1998-01-26	PRIJEM	VKLAD	6500	37101	\N	\N	\N
1891254	6400	1998-02-25	PRIJEM	VKLAD	2100	45813	\N	\N	\N
1891255	6400	1998-03-27	PRIJEM	VKLAD	19700	25920	\N	\N	\N
1891256	6400	1998-04-26	PRIJEM	VKLAD	23900	32230	\N	\N	\N
1891257	6400	1998-05-26	VYDAJ	VYBER	3900	60548	\N	\N	\N
1891258	6400	1998-06-25	PRIJEM	VKLAD	2900	73755	\N	\N	\N
1891259	6400	1998-07-08	VYDAJ	VYBER	28000	79989	\N	\N	\N
1891260	6400	1998-07-25	PRIJEM	VKLAD	1300	59887	\N	\N	\N
1891261	6400	1998-08-24	PRIJEM	VKLAD	11900	54897	\N	\N	\N
1891262	6400	1998-09-23	PRIJEM	VKLAD	1000	63767	\N	\N	\N
1891263	6400	1998-10-23	PRIJEM	VKLAD	1300	69686	\N	\N	\N
1891264	6400	1998-11-22	PRIJEM	VKLAD	24300	37353	\N	\N	\N
1897316	6425	1993-03-29	PRIJEM	VKLAD	700	700	\N	\N	\N
1897320	6425	1993-04-07	PRIJEM	VKLAD	12368	13068	\N	\N	\N
1897321	6425	1993-05-07	PRIJEM	VKLAD	12368	32344	\N	\N	\N
1897322	6425	1993-06-07	PRIJEM	VKLAD	18552	45483	\N	\N	\N
1897323	6425	1993-07-07	PRIJEM	VKLAD	12368	49069	\N	\N	\N
1897324	6425	1993-08-07	PRIJEM	VKLAD	12368	50390	\N	\N	\N
1897325	6425	1993-09-07	PRIJEM	VKLAD	12368	50774	\N	\N	\N
1897326	6425	1993-10-07	PRIJEM	VKLAD	12368	37294	\N	\N	\N
1897327	6425	1993-11-07	PRIJEM	VKLAD	12368	37304	\N	\N	\N
1897328	6425	1993-12-07	PRIJEM	VKLAD	18552	40545	\N	\N	\N
1897329	6425	1994-01-07	PRIJEM	VKLAD	12368	36419	\N	\N	\N
1897330	6425	1994-02-07	PRIJEM	VKLAD	12368	40114	\N	\N	\N
1897331	6425	1994-03-07	PRIJEM	VKLAD	12368	29293	\N	\N	\N
1897332	6425	1994-04-07	PRIJEM	VKLAD	12368	38998	\N	\N	\N
1897333	6425	1994-05-07	PRIJEM	VKLAD	12368	36370	\N	\N	\N
1897334	6425	1994-06-07	PRIJEM	VKLAD	18552	45240	\N	\N	\N
1897335	6425	1994-07-07	PRIJEM	VKLAD	12368	29150	\N	\N	\N
1897336	6425	1994-08-07	PRIJEM	VKLAD	12368	29523	\N	\N	\N
1897337	6425	1994-09-07	PRIJEM	VKLAD	12368	36192	\N	\N	\N
1897338	6425	1994-10-07	PRIJEM	VKLAD	12368	37077	\N	\N	\N
1897339	6425	1994-11-07	PRIJEM	VKLAD	12368	41572	\N	\N	\N
1897340	6425	1994-12-07	PRIJEM	VKLAD	18552	40793	\N	\N	\N
1897341	6425	1995-01-07	PRIJEM	VKLAD	12368	40691	\N	\N	\N
1897342	6425	1995-02-07	PRIJEM	VKLAD	12368	45032	\N	\N	\N
1897343	6425	1995-03-07	PRIJEM	VKLAD	12368	46471	\N	\N	\N
1897344	6425	1995-04-07	PRIJEM	VKLAD	12368	38344	\N	\N	\N
1897345	6425	1995-05-07	PRIJEM	VKLAD	12368	37437	\N	\N	\N
1897346	6425	1995-06-07	PRIJEM	VKLAD	18552	38144	\N	\N	\N
1897347	6425	1995-07-07	PRIJEM	VKLAD	12368	33695	\N	\N	\N
1897348	6425	1995-08-07	PRIJEM	VKLAD	12368	24834	\N	\N	\N
1897349	6425	1995-09-07	PRIJEM	VKLAD	12368	30174	\N	\N	\N
1897350	6425	1995-10-07	PRIJEM	VKLAD	12368	26857	\N	\N	\N
1897351	6425	1995-11-07	PRIJEM	VKLAD	12368	35647	\N	\N	\N
1897352	6425	1995-12-07	PRIJEM	VKLAD	18552	44232	\N	\N	\N
1897353	6425	1996-01-07	PRIJEM	VKLAD	12368	41791	\N	\N	\N
1897354	6425	1996-02-07	PRIJEM	VKLAD	12368	36651	\N	\N	\N
1897355	6425	1996-03-07	PRIJEM	VKLAD	12368	39339	\N	\N	\N
1897356	6425	1996-04-07	PRIJEM	VKLAD	12368	38180	\N	\N	\N
1897357	6425	1996-05-07	PRIJEM	VKLAD	12368	33914	\N	\N	\N
1897358	6425	1996-06-07	PRIJEM	VKLAD	18552	44800	\N	\N	\N
1897359	6425	1996-07-07	PRIJEM	VKLAD	12368	39060	\N	\N	\N
1897360	6425	1996-08-07	PRIJEM	VKLAD	12368	32721	\N	\N	\N
1897361	6425	1996-09-07	PRIJEM	VKLAD	12368	26772	\N	\N	\N
1897362	6425	1996-10-07	PRIJEM	VKLAD	12368	33607	\N	\N	\N
1897363	6425	1996-11-07	PRIJEM	VKLAD	12368	33953	\N	\N	\N
1897364	6425	1996-12-07	PRIJEM	VKLAD	18552	25272	\N	\N	\N
1897365	6425	1997-01-07	PRIJEM	VKLAD	12368	26035	\N	\N	\N
1897366	6425	1997-02-07	PRIJEM	VKLAD	12368	28698	\N	\N	\N
1897367	6425	1997-03-07	PRIJEM	VKLAD	12368	36549	\N	\N	\N
1897368	6425	1997-04-07	PRIJEM	VKLAD	12368	28696	\N	\N	\N
1897369	6425	1997-05-07	PRIJEM	VKLAD	12368	25239	\N	\N	\N
1897370	6425	1997-06-07	PRIJEM	VKLAD	18552	24364	\N	\N	\N
1897371	6425	1997-07-07	PRIJEM	VKLAD	12368	32499	\N	\N	\N
1897372	6425	1997-08-07	PRIJEM	VKLAD	12368	27248	\N	\N	\N
1897373	6425	1997-09-07	PRIJEM	VKLAD	12368	27122	\N	\N	\N
1897374	6425	1997-10-07	PRIJEM	VKLAD	12368	26764	\N	\N	\N
1897375	6425	1997-11-07	PRIJEM	VKLAD	12368	26951	\N	\N	\N
1897376	6425	1997-12-07	PRIJEM	VKLAD	18552	32684	\N	\N	\N
1897377	6425	1998-01-07	PRIJEM	VKLAD	12368	26313	\N	\N	\N
1897378	6425	1998-02-07	PRIJEM	VKLAD	12368	20912	\N	\N	\N
1897379	6425	1998-03-07	PRIJEM	VKLAD	12368	27927	\N	\N	\N
1897380	6425	1998-04-07	PRIJEM	VKLAD	12368	27775	\N	\N	\N
1897381	6425	1998-05-07	PRIJEM	VKLAD	12368	27518	\N	\N	\N
1897382	6425	1998-06-07	PRIJEM	VKLAD	18552	39972	\N	\N	\N
1897383	6425	1998-07-07	PRIJEM	VKLAD	12368	33847	\N	\N	\N
1897384	6425	1998-08-07	PRIJEM	VKLAD	12368	31516	\N	\N	\N
1897385	6425	1998-09-07	PRIJEM	VKLAD	12368	24250	\N	\N	\N
1897386	6425	1998-10-07	PRIJEM	VKLAD	12368	33843	\N	\N	\N
1897387	6425	1998-11-07	PRIJEM	VKLAD	12368	28477	\N	\N	\N
1897388	6425	1998-12-07	PRIJEM	VKLAD	18552	35249	\N	\N	\N
1897397	6425	1993-09-10	VYDAJ	VYBER	5300	42674	SIPO	\N	0
1897398	6425	1993-09-29	VYDAJ	VYBER	5400	27974	SIPO	\N	0
1897399	6425	1993-11-15	VYDAJ	VYBER	7600	29704	SIPO	\N	0
1897400	6425	1993-12-15	VYDAJ	VYBER	5100	28205	SIPO	\N	0
1897401	6425	1994-01-08	VYDAJ	VYBER	4800	31619	SIPO	\N	0
1897402	6425	1994-02-08	VYDAJ	VYBER	7000	33114	SIPO	\N	0
1897403	6425	1994-03-05	VYDAJ	VYBER	6400	16925	SIPO	\N	0
1897404	6425	1994-04-14	VYDAJ	VYBER	5700	33298	SIPO	\N	0
1897405	6425	1994-05-04	VYDAJ	VYBER	5400	24002	SIPO	\N	0
1897406	6425	1994-06-13	VYDAJ	VYBER	7400	37840	SIPO	\N	0
1897407	6425	1994-07-12	VYDAJ	VYBER	4800	20750	SIPO	\N	0
1897408	6425	1994-08-06	VYDAJ	VYBER	4800	17155	SIPO	\N	0
1897409	6425	1994-09-05	VYDAJ	VYBER	5200	23824	SIPO	\N	0
1897410	6425	1994-10-03	VYDAJ	VYBER	4600	24709	SIPO	\N	0
1897411	6425	1994-10-31	VYDAJ	VYBER	5000	29218	SIPO	\N	0
1897412	6425	1994-11-26	VYDAJ	VYBER	7200	26772	SIPO	\N	0
1897413	6425	1995-01-06	VYDAJ	VYBER	4800	28323	SIPO	\N	0
1897414	6425	1995-02-15	VYDAJ	VYBER	4600	37375	SIPO	\N	0
1897415	6425	1995-03-07	VYDAJ	VYBER	6400	40071	SIPO	\N	0
1897416	6425	1995-04-06	VYDAJ	VYBER	4700	25976	SIPO	\N	0
1897417	6425	1995-05-01	VYDAJ	VYBER	6000	25069	SIPO	\N	0
1897418	6425	1995-06-06	VYDAJ	VYBER	6700	19592	SIPO	\N	0
1897419	6425	1995-07-14	VYDAJ	VYBER	7200	23438	SIPO	\N	0
1897420	6425	1995-08-04	VYDAJ	VYBER	4900	12466	SIPO	\N	0
1897421	6425	1995-09-10	VYDAJ	VYBER	6800	23374	SIPO	\N	0
1897422	6425	1995-10-05	VYDAJ	VYBER	5700	14489	SIPO	\N	0
1897423	6425	1995-11-14	VYDAJ	VYBER	5700	26890	SIPO	\N	0
1897424	6425	1995-12-10	VYDAJ	VYBER	5300	38932	SIPO	\N	0
1897425	6425	1996-01-12	VYDAJ	VYBER	6100	33791	SIPO	\N	0
1897426	6425	1996-01-31	VYDAJ	VYBER	5200	27198	SIPO	\N	0
1897427	6425	1996-03-04	VYDAJ	VYBER	5100	26971	SIPO	\N	0
1897428	6425	1996-04-12	VYDAJ	VYBER	7000	26380	SIPO	\N	0
1897429	6425	1996-05-14	VYDAJ	VYBER	5600	26154	SIPO	\N	0
1897430	6425	1996-06-11	VYDAJ	VYBER	7400	29700	SIPO	\N	0
1897431	6425	1996-07-13	VYDAJ	VYBER	5800	24560	SIPO	\N	0
1897432	6425	1996-08-13	VYDAJ	VYBER	7300	22921	SIPO	\N	0
1897433	6425	1996-08-31	VYDAJ	VYBER	4900	18119	SIPO	\N	0
1897434	6425	1996-10-15	VYDAJ	VYBER	5100	25407	SIPO	\N	0
1897435	6425	1996-11-14	VYDAJ	VYBER	6900	20453	SIPO	\N	0
1897436	6425	1996-12-01	VYDAJ	VYBER	7100	10420	SIPO	\N	0
1897437	6425	1997-01-02	VYDAJ	VYBER	6000	13667	SIPO	\N	0
1897438	6425	1997-02-03	VYDAJ	VYBER	4600	12730	SIPO	\N	0
1897439	6425	1997-03-09	VYDAJ	VYBER	7600	19749	SIPO	\N	0
1897442	6425	1997-05-31	VYDAJ	VYBER	6500	11712	SIPO	\N	0
1897443	6425	1997-07-10	VYDAJ	VYBER	5900	26599	SIPO	\N	0
1897452	6425	1998-04-05	VYDAJ	VYBER	6000	15407	SIPO	\N	0
1897454	6425	1998-06-09	VYDAJ	VYBER	6000	33972	SIPO	\N	0
1897455	6425	1998-06-28	VYDAJ	VYBER	6000	27972	SIPO	\N	0
1897456	6425	1998-08-02	VYDAJ	VYBER	7000	19148	SIPO	\N	0
1897457	6425	1998-08-31	VYDAJ	VYBER	4800	11882	SIPO	\N	0
1897458	6425	1998-10-12	VYDAJ	VYBER	6600	27243	SIPO	\N	0
1897459	6425	1998-10-29	VYDAJ	VYBER	5300	16043	SIPO	\N	0
1897468	6425	1993-08-17	VYDAJ	VYBER	2200	48190	\N	\N	0
1897469	6425	1993-09-08	VYDAJ	VYBER	2800	47974	\N	\N	0
1897470	6425	1993-10-06	VYDAJ	VYBER	3200	24926	\N	\N	0
1897471	6425	1993-11-18	VYDAJ	VYBER	4200	25504	\N	\N	0
1897472	6425	1993-12-08	VYDAJ	VYBER	2600	37945	\N	\N	0
1897473	6425	1994-01-27	VYDAJ	VYBER	3200	27639	\N	\N	0
1897474	6425	1994-02-27	VYDAJ	VYBER	2700	23214	\N	\N	0
1897475	6425	1994-02-26	VYDAJ	VYBER	3300	25914	\N	\N	0
1897476	6425	1994-04-17	VYDAJ	VYBER	3700	29598	\N	\N	0
1897477	6425	1994-05-19	VYDAJ	VYBER	3000	33370	\N	\N	0
1897478	6425	1994-06-17	VYDAJ	VYBER	2800	35040	\N	\N	0
1897479	6425	1994-07-11	VYDAJ	VYBER	3600	25550	\N	\N	0
1897480	6425	1994-08-22	VYDAJ	VYBER	2700	28923	\N	\N	0
1897481	6425	1994-09-16	VYDAJ	VYBER	3800	32392	\N	\N	0
1897482	6425	1994-10-19	VYDAJ	VYBER	3600	33477	\N	\N	0
1897483	6425	1994-11-20	VYDAJ	VYBER	2700	33972	\N	\N	0
1897484	6425	1994-12-20	VYDAJ	VYBER	2100	32993	\N	\N	0
1897485	6425	1995-01-12	VYDAJ	PREVOD NA UCET	3057	37634	UVER	KL	41016417
1897486	6425	1995-02-12	VYDAJ	PREVOD NA UCET	3057	41975	UVER	KL	41016417
1897487	6425	1995-03-12	VYDAJ	PREVOD NA UCET	3057	33654	UVER	KL	41016417
1897488	6425	1995-04-12	VYDAJ	PREVOD NA UCET	3057	35287	UVER	KL	41016417
1897489	6425	1995-05-12	VYDAJ	PREVOD NA UCET	3057	34380	UVER	KL	41016417
1897490	6425	1995-06-12	VYDAJ	PREVOD NA UCET	3057	35087	UVER	KL	41016417
1897491	6425	1995-07-12	VYDAJ	PREVOD NA UCET	3057	30638	UVER	KL	41016417
1897492	6425	1995-08-12	VYDAJ	PREVOD NA UCET	3057	21777	UVER	KL	41016417
1897493	6425	1995-09-12	VYDAJ	PREVOD NA UCET	3057	20317	UVER	KL	41016417
1897494	6425	1995-10-12	VYDAJ	PREVOD NA UCET	3057	23800	UVER	KL	41016417
1897495	6425	1995-11-12	VYDAJ	PREVOD NA UCET	3057	32590	UVER	KL	41016417
1897496	6425	1995-12-12	VYDAJ	PREVOD NA UCET	3057	35875	UVER	KL	41016417
1897497	6425	1996-01-12	VYDAJ	VYBER	1900	39891	\N	\N	0
1897498	6425	1996-02-06	VYDAJ	VYBER	2900	24283	\N	\N	0
1897499	6425	1996-02-27	VYDAJ	VYBER	2800	31951	\N	\N	0
1897500	6425	1996-03-29	VYDAJ	VYBER	2600	25699	\N	\N	0
1897501	6425	1996-05-03	VYDAJ	VYBER	3000	21546	\N	\N	0
1897502	6425	1996-06-12	VYDAJ	VYBER	3100	26600	\N	\N	0
1897503	6425	1996-07-07	VYDAJ	VYBER	2800	36260	\N	\N	0
1897504	6425	1996-08-05	VYDAJ	VYBER	4300	20353	\N	\N	0
1897505	6425	1996-09-05	VYDAJ	VYBER	3700	14404	\N	\N	0
1897506	6425	1996-10-19	VYDAJ	VYBER	3900	21507	\N	\N	0
1897507	6425	1996-11-22	VYDAJ	VYBER	3000	17453	\N	\N	0
1897508	6425	1996-12-03	VYDAJ	VYBER	3700	6720	\N	\N	0
1897509	6425	1997-01-13	VYDAJ	VYBER	3200	17275	\N	\N	0
1897510	6425	1997-02-15	VYDAJ	VYBER	2100	26598	\N	\N	0
1897511	6425	1997-03-05	VYDAJ	VYBER	2500	24181	\N	\N	0
1897512	6425	1997-04-27	VYDAJ	VYBER	2800	16896	\N	\N	0
1897514	6425	1997-06-06	VYDAJ	VYBER	4000	5812	\N	\N	0
1897515	6425	1997-07-11	VYDAJ	VYBER	2500	24099	\N	\N	0
1897516	6425	1997-08-12	VYDAJ	VYBER	2100	25148	\N	\N	0
1897517	6425	1997-09-13	VYDAJ	VYBER	3700	23422	\N	\N	0
1897518	6425	1997-10-20	VYDAJ	VYBER	3300	23464	\N	\N	0
1897519	6425	1997-11-06	VYDAJ	VYBER	2300	14583	\N	\N	0
1897520	6425	1997-12-08	VYDAJ	VYBER	3900	28784	\N	\N	0
1897521	6425	1998-01-07	VYDAJ	VYBER	3900	22413	\N	\N	0
1897522	6425	1998-02-13	VYDAJ	VYBER	2800	18112	\N	\N	0
1897523	6425	1998-03-24	VYDAJ	VYBER	2200	25727	\N	\N	0
1897524	6425	1998-04-10	VYDAJ	VYBER	2600	25175	\N	\N	0
1897525	6425	1998-04-26	VYDAJ	VYBER	2500	22675	\N	\N	0
1897526	6425	1998-06-05	VYDAJ	VYBER	3400	21420	\N	\N	0
1897527	6425	1998-07-16	VYDAJ	VYBER	3000	30847	\N	\N	0
1897528	6425	1998-08-22	VYDAJ	VYBER	2800	28716	\N	\N	0
1897529	6425	1998-08-28	VYDAJ	VYBER	2700	21096	\N	\N	0
1897530	6425	1998-10-15	VYDAJ	VYBER	3300	23943	\N	\N	0
1897531	6425	1998-10-26	VYDAJ	VYBER	2800	21143	\N	\N	0
1897532	6425	1998-12-25	VYDAJ	VYBER	3700	27109	\N	\N	0
1897534	6425	1994-06-22	VYDAJ	VYBER	24480	16660	\N	\N	\N
1897535	6425	1995-06-19	VYDAJ	VYBER	11360	21227	\N	\N	\N
1897539	6425	1993-12-12	VYDAJ	VYBER	4640	33305	\N	\N	\N
1897540	6425	1994-12-03	VYDAJ	VYBER	4640	22241	\N	\N	\N
1897541	6425	1995-12-26	VYDAJ	VYBER	2560	29315	\N	\N	\N
1897542	6425	1996-12-22	VYDAJ	VYBER	960	19612	\N	\N	\N
1897543	6425	1997-12-11	VYDAJ	VYBER	1920	26864	\N	\N	\N
1897544	6425	1998-12-01	VYDAJ	VYBER	4000	16697	\N	\N	\N
1897545	6425	1993-08-30	VYDAJ	VYBER	840	38250	\N	\N	\N
1897546	6425	1993-10-12	VYDAJ	VYBER	2280	35014	\N	\N	\N
1897548	6425	1993-12-02	VYDAJ	VYBER	3120	21993	\N	\N	\N
1897549	6425	1993-11-05	VYDAJ	VYBER	4800	24936	\N	\N	\N
1897550	6425	1993-12-25	VYDAJ	VYBER	5160	23945	\N	\N	\N
1897551	6425	1994-03-24	VYDAJ	VYBER	3600	26533	\N	\N	\N
1897552	6425	1994-08-07	VYDAJ	VYBER	1200	28323	\N	\N	\N
1897553	6425	1994-05-24	VYDAJ	VYBER	1800	26570	\N	\N	\N
1897554	6425	1994-07-14	VYDAJ	VYBER	3360	17390	\N	\N	\N
1897555	6425	1994-01-24	VYDAJ	VYBER	1680	30839	\N	\N	\N
1897556	6425	1994-03-13	VYDAJ	VYBER	3960	25333	\N	\N	\N
1897557	6425	1995-07-18	VYDAJ	VYBER	5640	17298	\N	\N	\N
1897558	6425	1995-04-24	VYDAJ	VYBER	840	30947	\N	\N	\N
1897559	6425	1995-05-25	VYDAJ	VYBER	3720	26180	\N	\N	\N
1897560	6425	1995-03-08	VYDAJ	VYBER	3360	36711	\N	\N	\N
1897561	6425	1995-05-14	VYDAJ	VYBER	5280	29100	\N	\N	\N
1897562	6425	1995-09-01	VYDAJ	VYBER	2640	17806	\N	\N	\N
1897563	6425	1996-04-16	VYDAJ	VYBER	1920	24460	\N	\N	\N
1897564	6425	1996-01-19	VYDAJ	VYBER	720	32271	\N	\N	\N
1897565	6425	1996-05-09	VYDAJ	VYBER	1560	32354	\N	\N	\N
1897566	6425	1996-03-17	VYDAJ	VYBER	5040	28299	\N	\N	\N
1897567	6425	1997-12-03	VYDAJ	VYBER	4800	22232	\N	\N	\N
1897568	6425	1997-03-11	VYDAJ	VYBER	3480	16269	\N	\N	\N
1897569	6425	1997-01-08	VYDAJ	VYBER	2160	20475	\N	\N	\N
1897571	6425	1997-11-01	VYDAJ	VYBER	4560	18983	\N	\N	\N
1897572	6425	1997-08-14	VYDAJ	VYBER	5160	19988	\N	\N	\N
1897573	6425	1997-05-05	VYDAJ	VYBER	4080	12871	\N	\N	\N
1897574	6425	1997-08-02	VYDAJ	VYBER	3000	21180	\N	\N	\N
1897575	6425	1998-01-10	VYDAJ	VYBER	5280	17133	\N	\N	\N
1897576	6425	1998-05-17	VYDAJ	VYBER	1080	26438	\N	\N	\N
1897577	6425	1998-08-22	VYDAJ	VYBER	4920	23796	\N	\N	\N
1897578	6425	1998-11-10	VYDAJ	VYBER	5040	23437	\N	\N	\N
1897579	6425	1998-12-11	VYDAJ	VYBER	4440	30809	\N	\N	\N
1897580	6425	1998-01-21	VYDAJ	VYBER	5040	12093	\N	\N	\N
1897581	6425	1998-07-30	VYDAJ	VYBER	4200	26647	\N	\N	\N
1897590	6425	1993-08-31	VYDAJ	VYBER	15	38406	SLUZBY	\N	\N
1897591	6425	1993-09-30	VYDAJ	VYBER	15	28126	SLUZBY	\N	\N
1897592	6425	1993-10-31	VYDAJ	VYBER	15	29736	SLUZBY	\N	\N
1897593	6425	1993-11-30	VYDAJ	VYBER	15	25113	SLUZBY	\N	\N
1897594	6425	1993-12-31	VYDAJ	VYBER	15	24051	SLUZBY	\N	\N
1897595	6425	1994-01-31	VYDAJ	VYBER	15	27746	SLUZBY	\N	\N
1897596	6425	1994-02-28	VYDAJ	VYBER	15	23325	SLUZBY	\N	\N
1897597	6425	1994-03-31	VYDAJ	VYBER	15	26630	SLUZBY	\N	\N
1897598	6425	1994-04-30	VYDAJ	VYBER	15	29402	SLUZBY	\N	\N
1897599	6425	1994-05-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
1897600	6425	1994-06-30	VYDAJ	VYBER	15	16782	SLUZBY	\N	\N
1897601	6425	1994-07-31	VYDAJ	VYBER	15	21955	SLUZBY	\N	\N
1897602	6425	1994-08-31	VYDAJ	VYBER	15	29024	SLUZBY	\N	\N
1897603	6425	1994-09-30	VYDAJ	VYBER	15	29309	SLUZBY	\N	\N
1897604	6425	1994-10-31	VYDAJ	VYBER	15	29204	SLUZBY	\N	\N
1897605	6425	1994-11-30	VYDAJ	VYBER	15	26881	SLUZBY	\N	\N
1897606	6425	1994-12-31	VYDAJ	VYBER	15	33123	SLUZBY	\N	\N
1897607	6425	1995-01-31	VYDAJ	VYBER	15	32664	SLUZBY	\N	\N
1897608	6425	1995-02-28	VYDAJ	VYBER	15	34103	SLUZBY	\N	\N
1897609	6425	1995-03-31	VYDAJ	VYBER	15	30676	SLUZBY	\N	\N
1897610	6425	1995-04-30	VYDAJ	VYBER	15	31069	SLUZBY	\N	\N
1897611	6425	1995-05-31	VYDAJ	VYBER	15	26292	SLUZBY	\N	\N
1897612	6425	1995-06-30	VYDAJ	VYBER	15	21327	SLUZBY	\N	\N
1897613	6425	1995-07-31	VYDAJ	VYBER	15	17366	SLUZBY	\N	\N
1897614	6425	1995-08-31	VYDAJ	VYBER	15	20446	SLUZBY	\N	\N
1897615	6425	1995-09-30	VYDAJ	VYBER	15	20189	SLUZBY	\N	\N
1897616	6425	1995-10-31	VYDAJ	VYBER	15	23279	SLUZBY	\N	\N
1897617	6425	1995-11-30	VYDAJ	VYBER	15	25680	SLUZBY	\N	\N
1897618	6425	1995-12-31	VYDAJ	VYBER	15	29423	SLUZBY	\N	\N
1897619	6425	1996-01-31	VYDAJ	VYBER	15	27183	SLUZBY	\N	\N
1897620	6425	1996-02-29	VYDAJ	VYBER	15	32071	SLUZBY	\N	\N
1897621	6425	1996-03-31	VYDAJ	VYBER	15	25812	SLUZBY	\N	\N
1897622	6425	1996-04-30	VYDAJ	VYBER	15	24546	SLUZBY	\N	\N
1897623	6425	1996-05-31	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
1897624	6425	1996-06-30	VYDAJ	VYBER	15	26692	SLUZBY	\N	\N
1897625	6425	1996-07-31	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
1897626	6425	1996-08-31	VYDAJ	VYBER	15	18104	SLUZBY	\N	\N
1897627	6425	1996-09-30	VYDAJ	VYBER	15	21239	SLUZBY	\N	\N
1897628	6425	1996-10-31	VYDAJ	VYBER	15	21585	SLUZBY	\N	\N
1897629	6425	1996-11-30	VYDAJ	VYBER	15	17520	SLUZBY	\N	\N
1897630	6425	1996-12-31	VYDAJ	VYBER	15	19667	SLUZBY	\N	\N
1897631	6425	1997-01-31	VYDAJ	VYBER	15	17330	SLUZBY	\N	\N
1897632	6425	1997-02-28	VYDAJ	VYBER	15	26681	SLUZBY	\N	\N
1897633	6425	1997-03-31	VYDAJ	VYBER	15	16328	SLUZBY	\N	\N
1897634	6425	1997-04-30	VYDAJ	VYBER	15	16951	SLUZBY	\N	\N
1897635	6425	1997-05-31	VYDAJ	VYBER	15	18212	SLUZBY	\N	\N
1897636	6425	1997-06-30	VYDAJ	VYBER	15	24431	SLUZBY	\N	\N
1897637	6425	1997-07-31	VYDAJ	VYBER	15	24180	SLUZBY	\N	\N
1897638	6425	1997-08-31	VYDAJ	VYBER	15	20054	SLUZBY	\N	\N
1897639	6425	1997-09-30	VYDAJ	VYBER	15	23496	SLUZBY	\N	\N
1897640	6425	1997-10-31	VYDAJ	VYBER	15	23543	SLUZBY	\N	\N
1897641	6425	1997-11-30	VYDAJ	VYBER	15	27032	SLUZBY	\N	\N
1897642	6425	1997-12-31	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
1897643	6425	1998-01-31	VYDAJ	VYBER	15	12144	SLUZBY	\N	\N
1897644	6425	1998-02-28	VYDAJ	VYBER	15	18159	SLUZBY	\N	\N
1897645	6425	1998-03-31	VYDAJ	VYBER	15	25807	SLUZBY	\N	\N
1897646	6425	1998-04-30	VYDAJ	VYBER	15	22750	SLUZBY	\N	\N
1897647	6425	1998-05-31	VYDAJ	VYBER	15	26520	SLUZBY	\N	\N
1897648	6425	1998-06-30	VYDAJ	VYBER	15	28079	SLUZBY	\N	\N
1897649	6425	1998-07-31	VYDAJ	VYBER	15	26748	SLUZBY	\N	\N
1897650	6425	1998-08-31	VYDAJ	VYBER	15	16682	SLUZBY	\N	\N
1897651	6425	1998-09-30	VYDAJ	VYBER	15	21475	SLUZBY	\N	\N
1897652	6425	1998-10-31	VYDAJ	VYBER	15	16109	SLUZBY	\N	\N
1897653	6425	1998-11-30	VYDAJ	VYBER	15	20697	SLUZBY	\N	\N
1897654	6425	1993-04-28	PRIJEM	VKLAD	6900	19968	\N	\N	\N
1897655	6425	1993-05-28	VYDAJ	VYBER	5500	26844	\N	\N	\N
1897656	6425	1993-06-27	VYDAJ	VYBER	8900	36583	\N	\N	\N
1897657	6425	1993-07-27	VYDAJ	VYBER	11200	37869	\N	\N	\N
1897658	6425	1993-08-26	VYDAJ	VYBER	9100	39090	\N	\N	\N
1897659	6425	1993-09-25	VYDAJ	VYBER	9300	33374	\N	\N	\N
1897660	6425	1993-10-25	VYDAJ	VYBER	5400	29614	\N	\N	\N
1897661	6425	1993-11-24	VYDAJ	VYBER	500	25004	\N	\N	\N
1897662	6425	1993-12-24	PRIJEM	VKLAD	900	29105	\N	\N	\N
1897663	6425	1994-01-23	PRIJEM	VKLAD	900	32519	\N	\N	\N
1897664	6425	1994-02-22	VYDAJ	VYBER	3900	29214	\N	\N	\N
1897665	6425	1994-03-24	PRIJEM	VKLAD	4800	30133	\N	\N	\N
1897666	6425	1994-04-23	VYDAJ	VYBER	300	29298	\N	\N	\N
1897667	6425	1994-05-23	VYDAJ	VYBER	5000	28370	\N	\N	\N
1897668	6425	1994-06-22	PRIJEM	VKLAD	6100	41140	\N	\N	\N
1897669	6425	1994-07-22	PRIJEM	VKLAD	4500	21890	\N	\N	\N
1897670	6425	1994-08-21	PRIJEM	VKLAD	3300	31623	\N	\N	\N
1897671	6425	1994-09-20	VYDAJ	VYBER	3200	29192	\N	\N	\N
1897672	6425	1994-10-20	PRIJEM	VKLAD	600	34077	\N	\N	\N
1897673	6425	1994-11-19	VYDAJ	VYBER	4900	36672	\N	\N	\N
1897674	6425	1994-12-19	VYDAJ	VYBER	5700	35093	\N	\N	\N
1897675	6425	1995-01-18	VYDAJ	VYBER	5100	32534	\N	\N	\N
1897676	6425	1995-02-17	VYDAJ	VYBER	3400	33975	\N	\N	\N
1897677	6425	1995-03-19	VYDAJ	VYBER	3100	30554	\N	\N	\N
1897678	6425	1995-04-18	VYDAJ	VYBER	3500	31787	\N	\N	\N
1897679	6425	1995-05-18	PRIJEM	VKLAD	800	29900	\N	\N	\N
1897680	6425	1995-06-17	VYDAJ	VYBER	2500	32587	\N	\N	\N
1897681	6425	1995-07-17	VYDAJ	VYBER	500	22938	\N	\N	\N
1897682	6425	1995-08-16	VYDAJ	VYBER	1400	20377	\N	\N	\N
1897683	6425	1995-09-15	VYDAJ	VYBER	200	20117	\N	\N	\N
1897684	6425	1995-10-15	VYDAJ	VYBER	600	23200	\N	\N	\N
1897685	6425	1995-11-14	VYDAJ	VYBER	1300	25590	\N	\N	\N
1897686	6425	1995-12-14	VYDAJ	VYBER	4000	31875	\N	\N	\N
1897687	6425	1996-01-13	VYDAJ	VYBER	800	32991	\N	\N	\N
1897688	6425	1996-02-12	VYDAJ	VYBER	1900	34751	\N	\N	\N
1897689	6425	1996-03-13	VYDAJ	VYBER	6000	33339	\N	\N	\N
1897690	6425	1996-04-12	VYDAJ	VYBER	4800	33380	\N	\N	\N
1897691	6425	1996-05-12	VYDAJ	VYBER	600	31754	\N	\N	\N
1897692	6425	1996-06-11	VYDAJ	VYBER	7700	37100	\N	\N	\N
1897693	6425	1996-07-11	VYDAJ	VYBER	5900	30360	\N	\N	\N
1897694	6425	1996-08-10	VYDAJ	VYBER	2500	30221	\N	\N	\N
1897695	6425	1996-09-09	VYDAJ	VYBER	5600	21172	\N	\N	\N
1897696	6425	1996-10-09	VYDAJ	VYBER	3100	30507	\N	\N	\N
1897697	6425	1996-11-08	VYDAJ	VYBER	6600	27353	\N	\N	\N
1897698	6425	1996-12-08	VYDAJ	VYBER	4700	20572	\N	\N	\N
1897699	6425	1997-01-07	VYDAJ	VYBER	3400	22635	\N	\N	\N
1897700	6425	1997-02-06	PRIJEM	VKLAD	3600	16330	\N	\N	\N
1897701	6425	1997-03-08	VYDAJ	VYBER	9200	27349	\N	\N	\N
1897702	6425	1997-04-07	VYDAJ	VYBER	9000	19696	\N	\N	\N
1897703	6425	1997-05-07	VYDAJ	VYBER	7100	18139	\N	\N	\N
1897704	6425	1997-06-06	VYDAJ	VYBER	1900	9812	\N	\N	\N
1897705	6425	1997-07-06	VYDAJ	VYBER	4300	20131	\N	\N	\N
1897706	6425	1997-08-05	VYDAJ	VYBER	6300	14880	\N	\N	\N
1897707	6425	1997-09-04	VYDAJ	VYBER	5300	14754	\N	\N	\N
1897708	6425	1997-10-04	VYDAJ	VYBER	9100	14396	\N	\N	\N
1897709	6425	1997-11-03	VYDAJ	VYBER	2100	16883	\N	\N	\N
1897710	6425	1997-12-03	VYDAJ	VYBER	8100	14132	\N	\N	\N
1897711	6425	1998-01-02	VYDAJ	VYBER	13000	13945	\N	\N	\N
1897712	6425	1998-02-01	VYDAJ	VYBER	3600	8544	\N	\N	\N
1897713	6425	1998-03-03	VYDAJ	VYBER	2600	15559	\N	\N	\N
1897714	6425	1998-04-02	VYDAJ	VYBER	4400	21407	\N	\N	\N
1897715	6425	1998-05-02	VYDAJ	VYBER	7600	15150	\N	\N	\N
1897716	6425	1998-06-01	VYDAJ	VYBER	1700	24820	\N	\N	\N
1897717	6425	1998-07-01	VYDAJ	VYBER	6600	21479	\N	\N	\N
1897718	6425	1998-07-31	VYDAJ	VYBER	600	26148	\N	\N	\N
1897719	6425	1998-08-30	VYDAJ	VYBER	4500	16596	\N	\N	\N
1897720	6425	1998-09-29	VYDAJ	VYBER	2800	21450	\N	\N	\N
1897721	6425	1998-10-29	PRIJEM	VKLAD	200	21343	\N	\N	\N
1897722	6425	1998-11-28	VYDAJ	VYBER	2800	20637	\N	\N	\N
1899697	6434	1995-05-08	PRIJEM	VKLAD	400	400	\N	\N	\N
1899699	6434	1995-11-19	PRIJEM	VKLAD	25725	50125	\N	\N	\N
1899701	6434	1996-03-01	PRIJEM	VKLAD	32418	74152	\N	\N	\N
1899702	6434	1996-12-03	PRIJEM	VKLAD	45472	86908	\N	\N	\N
1899703	6434	1996-12-23	PRIJEM	VKLAD	43478	96241	\N	\N	\N
1899704	6434	1996-11-21	PRIJEM	VKLAD	7747	34004	\N	\N	\N
1899705	6434	1996-07-10	PRIJEM	VKLAD	43582	63931	\N	\N	\N
1899706	6434	1996-07-14	PRIJEM	VKLAD	5363	69294	\N	\N	\N
1899707	6434	1996-10-25	PRIJEM	VKLAD	37270	66596	\N	\N	\N
1899708	6434	1996-07-28	PRIJEM	VKLAD	39807	95901	\N	\N	\N
1899709	6434	1996-11-23	PRIJEM	VKLAD	43540	77544	\N	\N	\N
1899710	6434	1996-01-15	PRIJEM	VKLAD	17687	51904	\N	\N	\N
1899711	6434	1996-09-27	PRIJEM	VKLAD	37489	52520	\N	\N	\N
1899712	6434	1996-04-26	PRIJEM	VKLAD	35499	79365	\N	\N	\N
1899713	6434	1996-05-22	PRIJEM	VKLAD	38204	94903	\N	\N	\N
1899714	6434	1996-05-24	PRIJEM	VKLAD	45640	140543	\N	\N	\N
1899715	6434	1997-07-11	PRIJEM	VKLAD	20179	82987	\N	\N	\N
1899716	6434	1997-04-10	PRIJEM	VKLAD	21839	51856	\N	\N	\N
1899717	6434	1997-10-26	PRIJEM	VKLAD	13237	56062	\N	\N	\N
1899718	6434	1997-08-10	PRIJEM	VKLAD	16423	94368	\N	\N	\N
1899719	6434	1997-02-01	PRIJEM	VKLAD	28064	51308	\N	\N	\N
1899720	6434	1997-05-17	PRIJEM	VKLAD	46967	89752	\N	\N	\N
1899721	6434	1997-03-30	PRIJEM	VKLAD	6874	44925	\N	\N	\N
1899722	6434	1997-12-08	PRIJEM	VKLAD	26527	56429	\N	\N	\N
1899723	6434	1997-08-23	PRIJEM	VKLAD	5305	105009	\N	\N	\N
1899724	6434	1997-08-07	PRIJEM	VKLAD	33965	82836	\N	\N	\N
1899725	6434	1997-02-26	PRIJEM	VKLAD	41246	83074	\N	\N	\N
1899726	6434	1997-04-24	PRIJEM	VKLAD	33403	80670	\N	\N	\N
1899727	6434	1997-06-30	PRIJEM	VKLAD	44915	67533	\N	\N	\N
1899728	6434	1997-08-20	PRIJEM	VKLAD	9925	99704	\N	\N	\N
1899729	6434	1997-10-19	PRIJEM	VKLAD	45185	65425	\N	\N	\N
1899730	6434	1998-01-18	PRIJEM	VKLAD	46914	62116	\N	\N	\N
1899731	6434	1998-05-21	PRIJEM	VKLAD	25616	60364	\N	\N	\N
1899732	6434	1998-10-19	PRIJEM	VKLAD	41942	67311	\N	\N	\N
1899733	6434	1998-06-28	PRIJEM	VKLAD	13408	69194	\N	\N	\N
1899734	6434	1998-09-17	PRIJEM	VKLAD	44940	70413	\N	\N	\N
1899735	6434	1998-06-24	PRIJEM	VKLAD	21257	55786	\N	\N	\N
1899736	6434	1998-08-08	PRIJEM	VKLAD	33335	71655	\N	\N	\N
1899737	6434	1998-05-03	PRIJEM	VKLAD	31620	44228	\N	\N	\N
1899738	6434	1998-12-07	PRIJEM	VKLAD	34870	86563	\N	\N	\N
1899739	6434	1998-11-07	PRIJEM	VKLAD	29812	64651	\N	\N	\N
1899740	6434	1998-06-15	PRIJEM	VKLAD	12996	52229	\N	\N	\N
1899741	6434	1998-05-24	PRIJEM	VKLAD	7519	48583	\N	\N	\N
1899742	6434	1998-02-02	PRIJEM	VKLAD	33513	60841	\N	\N	\N
1899743	6434	1998-12-01	PRIJEM	VKLAD	22564	56793	\N	\N	\N
1899761	6434	1996-06-01	VYDAJ	VYBER	6300	36802	\N	\N	0
1899762	6434	1996-07-05	VYDAJ	VYBER	4200	25240	\N	\N	0
1899763	6434	1996-07-29	VYDAJ	VYBER	4000	91901	\N	\N	0
1899764	6434	1996-09-21	VYDAJ	VYBER	3700	15031	\N	\N	0
1899765	6434	1996-10-05	VYDAJ	VYBER	2800	34217	\N	\N	0
1899766	6434	1996-11-12	VYDAJ	PREVOD NA UCET	4589	36157	UVER	GH	56125944
1899767	6434	1996-12-12	VYDAJ	PREVOD NA UCET	4589	77428	UVER	GH	56125944
1899768	6434	1997-01-12	VYDAJ	PREVOD NA UCET	4589	24437	UVER	GH	56125944
1899769	6434	1997-02-12	VYDAJ	PREVOD NA UCET	4589	41828	UVER	GH	56125944
1899770	6434	1997-03-12	VYDAJ	PREVOD NA UCET	4589	44751	UVER	GH	56125944
1899771	6434	1997-04-12	VYDAJ	PREVOD NA UCET	4589	47267	UVER	GH	56125944
1899772	6434	1997-05-12	VYDAJ	PREVOD NA UCET	4589	42785	UVER	GH	56125944
1899773	6434	1997-06-12	VYDAJ	PREVOD NA UCET	4589	46621	UVER	GH	56125944
1899774	6434	1997-07-12	VYDAJ	PREVOD NA UCET	4589	78398	UVER	GH	56125944
1899775	6434	1997-08-12	VYDAJ	PREVOD NA UCET	4589	89779	UVER	GH	56125944
1899776	6434	1997-09-12	VYDAJ	PREVOD NA UCET	4589	51227	UVER	GH	56125944
1899777	6434	1997-10-12	VYDAJ	PREVOD NA UCET	4589	20240	UVER	GH	56125944
1899778	6434	1997-11-12	VYDAJ	PREVOD NA UCET	4589	46730	UVER	GH	56125944
1899779	6434	1997-12-12	VYDAJ	PREVOD NA UCET	4589	46949	UVER	GH	56125944
1899780	6434	1998-01-12	VYDAJ	PREVOD NA UCET	4589	15202	UVER	GH	56125944
1899781	6434	1998-02-12	VYDAJ	PREVOD NA UCET	4589	51361	UVER	GH	56125944
1899782	6434	1998-03-12	VYDAJ	PREVOD NA UCET	4589	25937	UVER	GH	56125944
1899783	6434	1998-04-12	VYDAJ	PREVOD NA UCET	4589	12558	UVER	GH	56125944
1899784	6434	1998-05-12	VYDAJ	PREVOD NA UCET	4589	34748	UVER	GH	56125944
1899785	6434	1998-06-12	VYDAJ	PREVOD NA UCET	4589	39233	UVER	GH	56125944
1899786	6434	1998-07-12	VYDAJ	PREVOD NA UCET	4589	59906	UVER	GH	56125944
1899787	6434	1998-08-12	VYDAJ	PREVOD NA UCET	4589	62175	UVER	GH	56125944
1899788	6434	1998-09-12	VYDAJ	PREVOD NA UCET	4589	25473	UVER	GH	56125944
1899789	6434	1998-10-12	VYDAJ	PREVOD NA UCET	4589	25369	UVER	GH	56125944
1899790	6434	1998-11-01	VYDAJ	VYBER	4900	34839	\N	\N	0
1899791	6434	1998-12-05	VYDAJ	VYBER	5100	51693	\N	\N	0
1899809	6434	1996-06-08	VYDAJ	PREVOD NA UCET	4891	31911	SIPO	EF	10144585
1899810	6434	1996-07-08	VYDAJ	PREVOD NA UCET	4891	20349	SIPO	EF	10144585
1899811	6434	1996-08-08	VYDAJ	PREVOD NA UCET	4891	49315	SIPO	EF	10144585
1899812	6434	1996-09-08	VYDAJ	PREVOD NA UCET	4891	31631	SIPO	EF	10144585
1899813	6434	1996-10-08	VYDAJ	PREVOD NA UCET	4891	29326	SIPO	EF	10144585
1899814	6434	1996-11-08	VYDAJ	PREVOD NA UCET	4891	40747	SIPO	EF	10144585
1899815	6434	1996-12-08	VYDAJ	PREVOD NA UCET	4891	82017	SIPO	EF	10144585
1899816	6434	1997-01-08	VYDAJ	PREVOD NA UCET	4891	29026	SIPO	EF	10144585
1899817	6434	1997-02-08	VYDAJ	PREVOD NA UCET	4891	46417	SIPO	EF	10144585
1899818	6434	1997-03-08	VYDAJ	PREVOD NA UCET	4891	49340	SIPO	EF	10144585
1899819	6434	1997-04-08	VYDAJ	PREVOD NA UCET	4891	40217	SIPO	EF	10144585
1899820	6434	1997-05-08	VYDAJ	PREVOD NA UCET	4891	47374	SIPO	EF	10144585
1899821	6434	1997-06-08	VYDAJ	PREVOD NA UCET	4891	51210	SIPO	EF	10144585
1899822	6434	1997-07-08	VYDAJ	PREVOD NA UCET	4891	62808	SIPO	EF	10144585
1899823	6434	1997-08-08	VYDAJ	PREVOD NA UCET	4891	77945	SIPO	EF	10144585
1899824	6434	1997-09-08	VYDAJ	PREVOD NA UCET	4891	55817	SIPO	EF	10144585
1899825	6434	1997-10-08	VYDAJ	PREVOD NA UCET	4891	24829	SIPO	EF	10144585
1899826	6434	1997-11-08	VYDAJ	PREVOD NA UCET	4891	51319	SIPO	EF	10144585
1899827	6434	1997-12-08	VYDAJ	PREVOD NA UCET	4891	51538	SIPO	EF	10144585
1899828	6434	1998-01-08	VYDAJ	PREVOD NA UCET	4891	19792	SIPO	EF	10144585
1899829	6434	1998-02-08	VYDAJ	PREVOD NA UCET	4891	55950	SIPO	EF	10144585
1899830	6434	1998-03-08	VYDAJ	PREVOD NA UCET	4891	30526	SIPO	EF	10144585
1899831	6434	1998-04-08	VYDAJ	PREVOD NA UCET	4891	17147	SIPO	EF	10144585
1899832	6434	1998-05-08	VYDAJ	PREVOD NA UCET	4891	39337	SIPO	EF	10144585
1899833	6434	1998-06-08	VYDAJ	PREVOD NA UCET	4891	43822	SIPO	EF	10144585
1899834	6434	1998-07-08	VYDAJ	PREVOD NA UCET	4891	64495	SIPO	EF	10144585
1899835	6434	1998-08-08	VYDAJ	PREVOD NA UCET	4891	66764	SIPO	EF	10144585
1899836	6434	1998-09-08	VYDAJ	PREVOD NA UCET	4891	30062	SIPO	EF	10144585
1899837	6434	1998-10-08	VYDAJ	PREVOD NA UCET	4891	29958	SIPO	EF	10144585
1899838	6434	1998-11-08	VYDAJ	PREVOD NA UCET	4891	59760	SIPO	EF	10144585
1899839	6434	1998-12-08	VYDAJ	PREVOD NA UCET	4891	81672	SIPO	EF	10144585
1899851	6434	1996-11-24	VYBER	VYBER	3716	73828	\N	\N	\N
1899852	6434	1996-12-17	VYBER	VYBER	6365	63263	\N	\N	\N
1899856	6434	1996-12-27	VYBER	VYBER	24205	72036	\N	\N	\N
1899857	6434	1996-12-02	VYBER	VYBER	7665	41436	\N	\N	\N
1899859	6434	1997-06-20	VYBER	VYBER	20603	26018	\N	\N	\N
1899870	6434	1996-12-12	VYDAJ	VYBER	7800	69628	\N	\N	\N
1899871	6434	1997-12-22	VYDAJ	VYBER	7800	32849	\N	\N	\N
1899872	6434	1998-12-29	VYDAJ	VYBER	8400	38472	\N	\N	\N
1899885	6434	1997-01-04	VYDAJ	VYBER	3900	42317	\N	\N	\N
1899886	6434	1997-01-07	VYDAJ	VYBER	8400	33917	\N	\N	\N
1899890	6434	1997-01-02	VYDAJ	VYBER	2100	46217	\N	\N	\N
1899892	6434	1998-01-26	VYDAJ	VYBER	2100	33516	\N	\N	\N
1899896	6434	1998-01-22	VYDAJ	VYBER	6300	35616	\N	\N	\N
1899904	6434	1996-11-14	VYDAJ	VYBER	9900	26257	\N	\N	\N
1899905	6434	1996-09-10	VYDAJ	VYBER	12900	18731	\N	\N	\N
1899906	6434	1996-07-15	VYDAJ	VYBER	13200	56094	\N	\N	\N
1899907	6434	1996-12-20	VYDAJ	VYBER	10500	52763	\N	\N	\N
1899909	6434	1997-09-26	VYDAJ	VYBER	6000	29527	\N	\N	\N
1899910	6434	1997-04-09	VYDAJ	VYBER	10200	30017	\N	\N	\N
1899912	6434	1997-11-17	VYDAJ	VYBER	3300	43430	\N	\N	\N
1899913	6434	1997-12-18	VYDAJ	VYBER	6300	40649	\N	\N	\N
1899914	6434	1998-09-29	VYDAJ	VYBER	3600	34713	\N	\N	\N
1899915	6434	1998-01-27	VYDAJ	VYBER	6300	27216	\N	\N	\N
1899935	6434	1996-05-31	VYDAJ	VYBER	15	123602	SLUZBY	\N	\N
1899936	6434	1996-06-30	VYDAJ	VYBER	15	32040	SLUZBY	\N	\N
1899937	6434	1996-07-31	VYDAJ	VYBER	15	92106	SLUZBY	\N	\N
1899938	6434	1996-08-31	VYDAJ	VYBER	15	36522	SLUZBY	\N	\N
1899939	6434	1996-09-30	VYDAJ	VYBER	15	37017	SLUZBY	\N	\N
1899940	6434	1996-10-31	VYDAJ	VYBER	15	45638	SLUZBY	\N	\N
1899941	6434	1996-11-30	VYDAJ	VYBER	15	49101	SLUZBY	\N	\N
1899942	6434	1996-12-31	VYDAJ	VYBER	15	48317	SLUZBY	\N	\N
1899943	6434	1997-01-31	VYDAJ	VYBER	15	23244	SLUZBY	\N	\N
1899944	6434	1997-02-28	VYDAJ	VYBER	15	54231	SLUZBY	\N	\N
1899945	6434	1997-03-31	VYDAJ	VYBER	15	45108	SLUZBY	\N	\N
1899946	6434	1997-04-30	VYDAJ	VYBER	15	52265	SLUZBY	\N	\N
1899947	6434	1997-05-31	VYDAJ	VYBER	15	56101	SLUZBY	\N	\N
1899948	6434	1997-06-30	VYDAJ	VYBER	15	67699	SLUZBY	\N	\N
1899949	6434	1997-07-31	VYDAJ	VYBER	15	48871	SLUZBY	\N	\N
1899950	6434	1997-08-31	VYDAJ	VYBER	15	60708	SLUZBY	\N	\N
1899951	6434	1997-09-30	VYDAJ	VYBER	15	29720	SLUZBY	\N	\N
1899952	6434	1997-10-31	VYDAJ	VYBER	15	56210	SLUZBY	\N	\N
1899953	6434	1997-11-30	VYDAJ	VYBER	15	29902	SLUZBY	\N	\N
1899954	6434	1997-12-31	VYDAJ	VYBER	15	24683	SLUZBY	\N	\N
1899955	6434	1998-01-31	VYDAJ	VYBER	15	27328	SLUZBY	\N	\N
1899956	6434	1998-02-28	VYDAJ	VYBER	15	35417	SLUZBY	\N	\N
1899957	6434	1998-03-31	VYDAJ	VYBER	15	22038	SLUZBY	\N	\N
1899958	6434	1998-04-30	VYDAJ	VYBER	15	12608	SLUZBY	\N	\N
1899959	6434	1998-05-31	VYDAJ	VYBER	15	48713	SLUZBY	\N	\N
1899960	6434	1998-06-30	VYDAJ	VYBER	15	69386	SLUZBY	\N	\N
1899961	6434	1998-07-31	VYDAJ	VYBER	15	38320	SLUZBY	\N	\N
1899962	6434	1998-08-31	VYDAJ	VYBER	15	34953	SLUZBY	\N	\N
1899963	6434	1998-09-30	VYDAJ	VYBER	15	34849	SLUZBY	\N	\N
1899964	6434	1998-10-31	VYDAJ	VYBER	15	39739	SLUZBY	\N	\N
1899965	6434	1998-11-30	VYDAJ	VYBER	15	34229	SLUZBY	\N	\N
1899966	6434	1995-06-07	PRIJEM	VKLAD	11100	11500	\N	\N	\N
1899967	6434	1995-07-07	PRIJEM	VKLAD	8600	20100	\N	\N	\N
1899968	6434	1995-08-06	PRIJEM	VKLAD	4000	24100	\N	\N	\N
1899969	6434	1995-09-05	PRIJEM	VKLAD	2400	26500	\N	\N	\N
1899970	6434	1995-10-05	PRIJEM	VKLAD	100	26600	\N	\N	\N
1899971	6434	1995-11-04	VYDAJ	VYBER	2200	24400	\N	\N	\N
1899972	6434	1995-12-04	VYDAJ	VYBER	11000	39209	\N	\N	\N
1899973	6434	1996-01-03	VYDAJ	VYBER	5200	34217	\N	\N	\N
1899974	6434	1996-02-02	VYDAJ	VYBER	10600	41517	\N	\N	\N
1899975	6434	1996-03-03	VYDAJ	VYBER	22700	51452	\N	\N	\N
1899976	6434	1996-04-02	VYDAJ	VYBER	7800	43866	\N	\N	\N
1899977	6434	1996-05-02	VYDAJ	VYBER	22900	56699	\N	\N	\N
1899978	6434	1996-05-24	VYDAJ	VYBER	17300	123243	\N	\N	\N
1899979	6434	1996-05-31	VYDAJ	VYBER	60700	62902	\N	\N	\N
1899980	6434	1996-06-01	VYDAJ	VYBER	19800	43102	\N	\N	\N
1899981	6434	1996-07-01	VYDAJ	VYBER	2600	29440	\N	\N	\N
1899982	6434	1996-07-31	VYDAJ	VYBER	37900	54206	\N	\N	\N
1899983	6434	1996-08-30	VYDAJ	VYBER	13000	36315	\N	\N	\N
1899984	6434	1996-09-29	VYDAJ	VYBER	15600	36920	\N	\N	\N
1899985	6434	1996-10-29	VYDAJ	VYBER	21100	45496	\N	\N	\N
1899986	6434	1996-11-28	VYDAJ	VYBER	24900	48928	\N	\N	\N
1899987	6434	1996-12-28	VYDAJ	VYBER	24000	48036	\N	\N	\N
1899988	6434	1997-01-27	VYDAJ	VYBER	1300	23137	\N	\N	\N
1899989	6434	1997-02-26	VYDAJ	VYBER	29000	54074	\N	\N	\N
1899990	6434	1997-03-28	VYDAJ	VYBER	6700	38051	\N	\N	\N
1899991	6434	1997-04-27	VYDAJ	VYBER	28600	52070	\N	\N	\N
1899992	6434	1997-05-27	VYDAJ	VYBER	33900	55852	\N	\N	\N
1899993	6434	1997-06-26	VYDAJ	VYBER	3400	22618	\N	\N	\N
1899994	6434	1997-07-26	VYDAJ	VYBER	29800	48598	\N	\N	\N
1899995	6434	1997-08-25	VYDAJ	VYBER	44600	60409	\N	\N	\N
1899996	6434	1997-09-24	VYDAJ	VYBER	15700	35527	\N	\N	\N
1899997	6434	1997-10-24	VYDAJ	VYBER	22600	42825	\N	\N	\N
1899998	6434	1997-11-23	VYDAJ	VYBER	13700	29730	\N	\N	\N
1899999	6434	1997-12-23	VYDAJ	VYBER	8300	24549	\N	\N	\N
1900000	6434	1998-01-22	VYDAJ	VYBER	20200	41916	\N	\N	\N
1900001	6434	1998-02-21	VYDAJ	VYBER	16100	35261	\N	\N	\N
1900002	6434	1998-03-23	VYDAJ	VYBER	4000	21937	\N	\N	\N
1900003	6434	1998-05-22	VYDAJ	VYBER	19300	41064	\N	\N	\N
1900004	6434	1998-06-21	VYDAJ	VYBER	17700	34529	\N	\N	\N
1900005	6434	1998-07-21	VYDAJ	VYBER	21800	38106	\N	\N	\N
1900006	6434	1998-08-20	VYDAJ	VYBER	27400	34775	\N	\N	\N
1900007	6434	1998-09-19	VYDAJ	VYBER	32100	38313	\N	\N	\N
1900008	6434	1998-10-19	VYDAJ	VYBER	27700	39611	\N	\N	\N
1900009	6434	1998-11-18	VYDAJ	VYBER	25700	34060	\N	\N	\N
1900010	6434	1998-12-18	VYDAJ	VYBER	34800	46872	\N	\N	\N
1901427	6440	1996-11-01	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1901434	6440	1996-12-26	PRIJEM	VKLAD	43409	65803	\N	\N	\N
1901435	6440	1996-12-10	PRIJEM	VKLAD	11394	22394	\N	\N	\N
1901438	6440	1997-01-04	PRIJEM	VKLAD	17425	64027	\N	\N	\N
1901439	6440	1997-05-31	PRIJEM	VKLAD	34065	63190	\N	\N	\N
1901440	6440	1997-08-10	PRIJEM	VKLAD	28890	104411	\N	\N	\N
1901441	6440	1997-02-05	PRIJEM	VKLAD	5354	51075	\N	\N	\N
1901442	6440	1997-06-03	PRIJEM	VKLAD	23372	86662	\N	\N	\N
1901443	6440	1997-03-10	PRIJEM	VKLAD	26638	121368	\N	\N	\N
1901444	6440	1997-03-04	PRIJEM	VKLAD	43477	94730	\N	\N	\N
1901445	6440	1997-04-23	PRIJEM	VKLAD	14512	48528	\N	\N	\N
1901446	6440	1997-08-03	PRIJEM	VKLAD	41682	80122	\N	\N	\N
1901447	6440	1997-02-27	PRIJEM	VKLAD	19385	117444	\N	\N	\N
1901448	6440	1997-02-12	PRIJEM	VKLAD	49784	100859	\N	\N	\N
1901449	6440	1997-11-04	PRIJEM	VKLAD	40555	97183	\N	\N	\N
1901450	6440	1997-11-10	PRIJEM	VKLAD	44604	141787	\N	\N	\N
1901451	6440	1997-06-20	PRIJEM	VKLAD	32542	116204	\N	\N	\N
1901452	6440	1997-10-18	PRIJEM	VKLAD	49942	79933	\N	\N	\N
1901453	6440	1998-06-09	PRIJEM	VKLAD	46964	83025	\N	\N	\N
1901454	6440	1998-11-19	PRIJEM	VKLAD	15134	41600	\N	\N	\N
1901455	6440	1998-08-13	PRIJEM	VKLAD	6716	32449	\N	\N	\N
1901456	6440	1998-02-08	PRIJEM	VKLAD	25936	52013	\N	\N	\N
1901457	6440	1998-04-13	PRIJEM	VKLAD	41205	63113	\N	\N	\N
1901471	6440	1997-02-15	VYDAJ	VYBER	2800	98059	\N	\N	0
1901472	6440	1997-03-21	VYDAJ	VYBER	3100	76897	\N	\N	0
1901473	6440	1997-04-24	VYDAJ	VYBER	2900	45628	\N	\N	0
1901474	6440	1997-05-27	VYDAJ	VYBER	3500	22825	\N	\N	0
1901475	6440	1997-06-05	VYDAJ	VYBER	3000	83662	\N	\N	0
1901476	6440	1997-07-12	VYDAJ	PREVOD NA UCET	2881	51833	UVER	UV	75896376
1901477	6440	1997-08-12	VYDAJ	PREVOD NA UCET	2881	101530	UVER	UV	75896376
1901478	6440	1997-09-12	VYDAJ	PREVOD NA UCET	2881	28726	UVER	UV	75896376
1901479	6440	1997-10-12	VYDAJ	PREVOD NA UCET	2881	29991	UVER	UV	75896376
1901480	6440	1997-11-12	VYDAJ	PREVOD NA UCET	2881	92506	UVER	UV	75896376
1901481	6440	1997-12-12	VYDAJ	PREVOD NA UCET	2881	56426	UVER	UV	75896376
1901482	6440	1998-01-12	VYDAJ	PREVOD NA UCET	2881	19368	UVER	UV	75896376
1901483	6440	1998-02-12	VYDAJ	PREVOD NA UCET	2881	49132	UVER	UV	75896376
1901484	6440	1998-03-12	VYDAJ	PREVOD NA UCET	2881	17001	UVER	UV	75896376
1901485	6440	1998-04-12	VYDAJ	PREVOD NA UCET	2881	21908	UVER	UV	75896376
1901486	6440	1998-05-12	VYDAJ	PREVOD NA UCET	2881	39502	UVER	UV	75896376
1901487	6440	1998-06-12	VYDAJ	PREVOD NA UCET	2881	80144	UVER	UV	75896376
1901488	6440	1998-07-09	VYDAJ	VYBER	2700	25903	\N	\N	0
1901489	6440	1998-07-29	VYDAJ	VYBER	3000	29803	\N	\N	0
1901490	6440	1998-09-07	VYDAJ	VYBER	3200	35272	\N	\N	0
1901491	6440	1998-10-17	VYDAJ	VYBER	2100	24865	\N	\N	0
1901492	6440	1998-11-16	VYDAJ	VYBER	3600	26466	\N	\N	0
1901493	6440	1998-12-14	VYDAJ	VYBER	3900	19784	\N	\N	0
1901508	6440	1997-08-09	VYBER	VYBER	4601	75521	\N	\N	\N
1901509	6440	1997-09-08	VYBER	VYBER	14425	31607	\N	\N	\N
1901510	6440	1997-04-30	VYBER	VYBER	21136	26339	\N	\N	\N
1901512	6440	1997-03-10	VYBER	VYBER	16171	105197	\N	\N	\N
1901514	6440	1997-09-03	VYBER	VYBER	20917	46032	\N	\N	\N
1901517	6440	1998-09-28	VYBER	VYBER	14750	26822	\N	\N	\N
1901518	6440	1998-05-31	VYBER	VYBER	3301	36076	\N	\N	\N
1901521	6440	1998-03-04	VYBER	VYBER	14081	19882	\N	\N	\N
1901522	6440	1998-12-09	VYBER	VYBER	7543	23684	\N	\N	\N
1901524	6440	1998-08-01	VYBER	VYBER	4177	25733	\N	\N	\N
1901527	6440	1998-06-18	VYDAJ	VYBER	51300	28844	\N	\N	\N
1901532	6440	1997-12-26	VYDAJ	VYBER	6900	41826	\N	\N	\N
1901533	6440	1998-12-06	VYDAJ	VYBER	6000	31227	\N	\N	\N
1901548	6440	1998-01-06	VYDAJ	VYBER	6600	35449	\N	\N	\N
1901549	6440	1998-01-12	VYDAJ	VYBER	1800	24949	\N	\N	\N
1901550	6440	1998-01-09	VYDAJ	VYBER	8700	26749	\N	\N	\N
1901551	6440	1998-01-12	VYDAJ	VYBER	2700	22249	\N	\N	\N
1901559	6440	1997-04-07	VYDAJ	VYBER	13200	34016	\N	\N	\N
1901560	6440	1997-11-24	VYDAJ	VYBER	7800	84706	\N	\N	\N
1901562	6440	1997-03-29	VYDAJ	VYBER	12300	64597	\N	\N	\N
1901565	6440	1998-05-02	VYDAJ	VYBER	4800	42383	\N	\N	\N
1901566	6440	1998-02-18	VYDAJ	VYBER	10800	38332	\N	\N	\N
1901567	6440	1998-11-26	VYDAJ	VYBER	6000	37100	\N	\N	\N
1901583	6440	1997-02-28	VYDAJ	VYBER	15	76953	SLUZBY	\N	\N
1901584	6440	1997-03-31	VYDAJ	VYBER	15	64916	SLUZBY	\N	\N
1901585	6440	1997-04-30	VYDAJ	VYBER	15	26325	SLUZBY	\N	\N
1901586	6440	1997-05-31	VYDAJ	VYBER	15	63290	SLUZBY	\N	\N
1901587	6440	1997-06-30	VYDAJ	VYBER	15	54714	SLUZBY	\N	\N
1901588	6440	1997-07-31	VYDAJ	VYBER	15	38440	SLUZBY	\N	\N
1901589	6440	1997-08-31	VYDAJ	VYBER	15	66949	SLUZBY	\N	\N
1901590	6440	1997-09-30	VYDAJ	VYBER	15	32872	SLUZBY	\N	\N
1901591	6440	1997-10-31	VYDAJ	VYBER	15	56628	SLUZBY	\N	\N
1901592	6440	1997-11-30	VYDAJ	VYBER	15	59307	SLUZBY	\N	\N
1901593	6440	1997-12-31	VYDAJ	VYBER	15	42049	SLUZBY	\N	\N
1901594	6440	1998-01-31	VYDAJ	VYBER	15	26077	SLUZBY	\N	\N
1901595	6440	1998-02-28	VYDAJ	VYBER	15	33963	SLUZBY	\N	\N
1901596	6440	1998-03-31	VYDAJ	VYBER	15	24789	SLUZBY	\N	\N
1901597	6440	1998-04-30	VYDAJ	VYBER	15	47183	SLUZBY	\N	\N
1901598	6440	1998-05-31	VYDAJ	VYBER	15	36061	SLUZBY	\N	\N
1901599	6440	1998-06-30	VYDAJ	VYBER	15	28603	SLUZBY	\N	\N
1901600	6440	1998-07-31	VYDAJ	VYBER	15	29910	SLUZBY	\N	\N
1901601	6440	1998-08-31	VYDAJ	VYBER	15	38472	SLUZBY	\N	\N
1901602	6440	1998-09-30	VYDAJ	VYBER	15	26965	SLUZBY	\N	\N
1901603	6440	1998-10-31	VYDAJ	VYBER	15	30066	SLUZBY	\N	\N
1901604	6440	1998-11-30	VYDAJ	VYBER	15	37227	SLUZBY	\N	\N
1901605	6440	1996-12-01	PRIJEM	VKLAD	9900	11000	\N	\N	\N
1901606	6440	1996-12-31	VYDAJ	VYBER	19300	46602	\N	\N	\N
1901607	6440	1997-01-30	VYDAJ	VYBER	18500	45527	\N	\N	\N
1901608	6440	1997-02-27	VYDAJ	VYBER	40800	76644	\N	\N	\N
1901609	6440	1997-03-01	VYDAJ	VYBER	25700	51253	\N	\N	\N
1901610	6440	1997-03-10	VYDAJ	VYBER	25200	79997	\N	\N	\N
1901611	6440	1997-03-31	VYDAJ	VYBER	17700	47216	\N	\N	\N
1901612	6440	1997-04-30	PRIJEM	VKLAD	1600	47228	\N	\N	\N
1901613	6440	1997-05-30	PRIJEM	VKLAD	6300	29125	\N	\N	\N
1901614	6440	1997-06-20	VYDAJ	VYBER	35500	80704	\N	\N	\N
1901615	6440	1997-06-29	VYDAJ	VYBER	26300	54404	\N	\N	\N
1901616	6440	1997-07-29	VYDAJ	VYBER	13600	38233	\N	\N	\N
1901617	6440	1997-08-28	VYDAJ	VYBER	34900	66630	\N	\N	\N
1901618	6440	1997-09-27	PRIJEM	VKLAD	4000	32726	\N	\N	\N
1901619	6440	1997-10-27	VYDAJ	VYBER	23500	56433	\N	\N	\N
1901620	6440	1997-11-10	VYDAJ	VYBER	46400	95387	\N	\N	\N
1901621	6440	1997-11-26	VYDAJ	VYBER	25700	59006	\N	\N	\N
1901622	6440	1997-12-26	VYDAJ	VYBER	7700	48726	\N	\N	\N
1901623	6440	1998-01-25	PRIJEM	VKLAD	6600	25968	\N	\N	\N
1901624	6440	1998-02-24	VYDAJ	VYBER	4500	33832	\N	\N	\N
1901625	6440	1998-03-26	PRIJEM	VKLAD	7700	24701	\N	\N	\N
1901626	6440	1998-04-25	VYDAJ	VYBER	16100	47013	\N	\N	\N
1901627	6440	1998-05-25	VYDAJ	VYBER	300	39202	\N	\N	\N
1901628	6440	1998-06-24	VYDAJ	VYBER	400	28444	\N	\N	\N
1901629	6440	1998-07-24	PRIJEM	VKLAD	6900	32803	\N	\N	\N
1901630	6440	1998-08-23	PRIJEM	VKLAD	5900	38349	\N	\N	\N
1901631	6440	1998-09-22	PRIJEM	VKLAD	6300	41572	\N	\N	\N
1901632	6440	1998-10-22	PRIJEM	VKLAD	5100	29965	\N	\N	\N
1901633	6440	1998-11-21	PRIJEM	VKLAD	1500	43100	\N	\N	\N
1905197	6453	1996-07-27	PRIJEM	VKLAD	300	300	\N	\N	\N
1905205	6453	1996-08-05	PRIJEM	VKLAD	4125	4425	\N	\N	\N
1905206	6453	1996-09-05	PRIJEM	VKLAD	4125	17661	\N	\N	\N
1905207	6453	1996-10-05	PRIJEM	VKLAD	4125	26350	\N	\N	\N
1905208	6453	1996-11-05	PRIJEM	VKLAD	4125	27668	\N	\N	\N
1905209	6453	1996-12-05	PRIJEM	VKLAD	6188	34558	\N	\N	\N
1905210	6453	1997-01-05	PRIJEM	VKLAD	4125	26812	\N	\N	\N
1905211	6453	1997-02-05	PRIJEM	VKLAD	4125	19706	\N	\N	\N
1905212	6453	1997-03-05	PRIJEM	VKLAD	4125	23110	\N	\N	\N
1905213	6453	1997-04-05	PRIJEM	VKLAD	4125	27056	\N	\N	\N
1905214	6453	1997-05-05	PRIJEM	VKLAD	4125	28818	\N	\N	\N
1905215	6453	1997-06-05	PRIJEM	VKLAD	6188	32150	\N	\N	\N
1905216	6453	1997-07-05	PRIJEM	VKLAD	4125	30725	\N	\N	\N
1905217	6453	1997-08-05	PRIJEM	VKLAD	4125	27694	\N	\N	\N
1905218	6453	1997-09-05	PRIJEM	VKLAD	4125	24650	\N	\N	\N
1905219	6453	1997-10-05	PRIJEM	VKLAD	4125	26099	\N	\N	\N
1905220	6453	1997-11-05	PRIJEM	VKLAD	4125	23348	\N	\N	\N
1905221	6453	1997-12-05	PRIJEM	VKLAD	6188	24789	\N	\N	\N
1905222	6453	1998-01-05	PRIJEM	VKLAD	4125	25499	\N	\N	\N
1905223	6453	1998-02-05	PRIJEM	VKLAD	4125	19826	\N	\N	\N
1905224	6453	1998-03-05	PRIJEM	VKLAD	4125	25362	\N	\N	\N
1905225	6453	1998-04-05	PRIJEM	VKLAD	4125	28818	\N	\N	\N
1905226	6453	1998-05-05	PRIJEM	VKLAD	4125	31885	\N	\N	\N
1905227	6453	1998-06-05	PRIJEM	VKLAD	6188	35828	\N	\N	\N
1905228	6453	1998-07-05	PRIJEM	VKLAD	4125	29801	\N	\N	\N
1905229	6453	1998-08-05	PRIJEM	VKLAD	4125	27560	\N	\N	\N
1905230	6453	1998-09-05	PRIJEM	VKLAD	4125	21723	\N	\N	\N
1905231	6453	1998-10-05	PRIJEM	VKLAD	4125	21051	\N	\N	\N
1905232	6453	1998-11-05	PRIJEM	VKLAD	4125	20775	\N	\N	\N
1905233	6453	1998-12-05	PRIJEM	VKLAD	6188	27374	\N	\N	\N
1905245	6453	1996-12-13	VYDAJ	PREVOD NA UCET	1514	28128	SIPO	MN	92548077
1905246	6453	1997-01-13	VYDAJ	PREVOD NA UCET	1514	13662	SIPO	MN	92548077
1905247	6453	1997-02-13	VYDAJ	PREVOD NA UCET	1514	12536	SIPO	MN	92548077
1905248	6453	1997-03-13	VYDAJ	PREVOD NA UCET	1514	20360	SIPO	MN	92548077
1905249	6453	1997-04-13	VYDAJ	PREVOD NA UCET	1514	24006	SIPO	MN	92548077
1905250	6453	1997-05-13	VYDAJ	PREVOD NA UCET	1514	25968	SIPO	MN	92548077
1905251	6453	1997-06-13	VYDAJ	PREVOD NA UCET	1514	29400	SIPO	MN	92548077
1905252	6453	1997-07-13	VYDAJ	PREVOD NA UCET	1514	27975	SIPO	MN	92548077
1905253	6453	1997-08-13	VYDAJ	PREVOD NA UCET	1514	24944	SIPO	MN	92548077
1905254	6453	1997-09-13	VYDAJ	PREVOD NA UCET	1514	21900	SIPO	MN	92548077
1905255	6453	1997-10-13	VYDAJ	PREVOD NA UCET	1514	23149	SIPO	MN	92548077
1905256	6453	1997-11-13	VYDAJ	PREVOD NA UCET	1514	18438	SIPO	MN	92548077
1905257	6453	1997-12-13	VYDAJ	PREVOD NA UCET	1514	20279	SIPO	MN	92548077
1905258	6453	1998-01-13	VYDAJ	PREVOD NA UCET	1514	17949	SIPO	MN	92548077
1905259	6453	1998-02-13	VYDAJ	PREVOD NA UCET	1514	17076	SIPO	MN	92548077
1905260	6453	1998-03-13	VYDAJ	PREVOD NA UCET	1514	22612	SIPO	MN	92548077
1905261	6453	1998-04-13	VYDAJ	PREVOD NA UCET	1514	22468	SIPO	MN	92548077
1905262	6453	1998-05-13	VYDAJ	PREVOD NA UCET	1514	29135	SIPO	MN	92548077
1905263	6453	1998-06-13	VYDAJ	PREVOD NA UCET	1514	32774	SIPO	MN	92548077
1905264	6453	1998-07-13	VYDAJ	PREVOD NA UCET	1514	26747	SIPO	MN	92548077
1905265	6453	1998-08-13	VYDAJ	PREVOD NA UCET	1514	24506	SIPO	MN	92548077
1905266	6453	1998-09-13	VYDAJ	PREVOD NA UCET	1514	18669	SIPO	MN	92548077
1905267	6453	1998-10-13	VYDAJ	PREVOD NA UCET	1514	13797	SIPO	MN	92548077
1905268	6453	1998-11-13	VYDAJ	PREVOD NA UCET	1514	17721	SIPO	MN	92548077
1905269	6453	1998-12-13	VYDAJ	PREVOD NA UCET	1514	24320	SIPO	MN	92548077
1905281	6453	1996-12-12	VYDAJ	PREVOD NA UCET	695	29642	 	KL	17806643
1905282	6453	1997-01-12	VYDAJ	PREVOD NA UCET	695	26117	 	KL	17806643
1905283	6453	1997-02-12	VYDAJ	PREVOD NA UCET	695	14691	 	KL	17806643
1905284	6453	1997-03-12	VYDAJ	PREVOD NA UCET	695	22415	 	KL	17806643
1905285	6453	1997-04-12	VYDAJ	PREVOD NA UCET	695	25820	 	KL	17806643
1905286	6453	1997-05-12	VYDAJ	PREVOD NA UCET	695	28023	 	KL	17806643
1905287	6453	1997-06-12	VYDAJ	PREVOD NA UCET	695	30914	 	KL	17806643
1905288	6453	1997-07-12	VYDAJ	PREVOD NA UCET	695	30030	 	KL	17806643
1905289	6453	1997-08-12	VYDAJ	PREVOD NA UCET	695	26458	 	KL	17806643
1905290	6453	1997-09-12	VYDAJ	PREVOD NA UCET	695	23955	 	KL	17806643
1905291	6453	1997-10-12	VYDAJ	PREVOD NA UCET	695	24863	 	KL	17806643
1905292	6453	1997-11-12	VYDAJ	PREVOD NA UCET	695	22653	 	KL	17806643
1905293	6453	1997-12-12	VYDAJ	PREVOD NA UCET	695	21793	 	KL	17806643
1905294	6453	1998-01-12	VYDAJ	PREVOD NA UCET	695	20004	 	KL	17806643
1905295	6453	1998-02-12	VYDAJ	PREVOD NA UCET	695	19131	 	KL	17806643
1905296	6453	1998-03-12	VYDAJ	PREVOD NA UCET	695	24667	 	KL	17806643
1905297	6453	1998-04-12	VYDAJ	PREVOD NA UCET	695	23982	 	KL	17806643
1905298	6453	1998-05-12	VYDAJ	PREVOD NA UCET	695	30649	 	KL	17806643
1905299	6453	1998-06-12	VYDAJ	PREVOD NA UCET	695	34288	 	KL	17806643
1905300	6453	1998-07-12	VYDAJ	PREVOD NA UCET	695	28261	 	KL	17806643
1905301	6453	1998-08-12	VYDAJ	PREVOD NA UCET	695	26865	 	KL	17806643
1905302	6453	1998-09-12	VYDAJ	PREVOD NA UCET	695	20183	 	KL	17806643
1905303	6453	1998-10-12	VYDAJ	PREVOD NA UCET	695	15311	 	KL	17806643
1905304	6453	1998-11-12	VYDAJ	PREVOD NA UCET	695	19235	 	KL	17806643
1905305	6453	1998-12-12	VYDAJ	PREVOD NA UCET	695	26679	 	KL	17806643
1905317	6453	1996-12-12	VYDAJ	PREVOD NA UCET	541	30337	POJISTNE	EF	98467659
1905318	6453	1997-01-12	VYDAJ	PREVOD NA UCET	541	25576	POJISTNE	EF	98467659
1905319	6453	1997-02-12	VYDAJ	PREVOD NA UCET	541	14150	POJISTNE	EF	98467659
1905320	6453	1997-03-12	VYDAJ	PREVOD NA UCET	541	21874	POJISTNE	EF	98467659
1905321	6453	1997-04-12	VYDAJ	PREVOD NA UCET	541	26515	POJISTNE	EF	98467659
1905322	6453	1997-05-12	VYDAJ	PREVOD NA UCET	541	27482	POJISTNE	EF	98467659
1905323	6453	1997-06-12	VYDAJ	PREVOD NA UCET	541	31609	POJISTNE	EF	98467659
1905324	6453	1997-07-12	VYDAJ	PREVOD NA UCET	541	29489	POJISTNE	EF	98467659
1905325	6453	1997-08-12	VYDAJ	PREVOD NA UCET	541	27153	POJISTNE	EF	98467659
1905326	6453	1997-09-12	VYDAJ	PREVOD NA UCET	541	23414	POJISTNE	EF	98467659
1905327	6453	1997-10-12	VYDAJ	PREVOD NA UCET	541	25558	POJISTNE	EF	98467659
1905328	6453	1997-11-12	VYDAJ	PREVOD NA UCET	541	22112	POJISTNE	EF	98467659
1905329	6453	1997-12-12	VYDAJ	PREVOD NA UCET	541	22488	POJISTNE	EF	98467659
1905330	6453	1998-01-12	VYDAJ	PREVOD NA UCET	541	19463	POJISTNE	EF	98467659
1905331	6453	1998-02-12	VYDAJ	PREVOD NA UCET	541	18590	POJISTNE	EF	98467659
1905332	6453	1998-03-12	VYDAJ	PREVOD NA UCET	541	24126	POJISTNE	EF	98467659
1905333	6453	1998-04-12	VYDAJ	PREVOD NA UCET	541	24677	POJISTNE	EF	98467659
1905334	6453	1998-05-12	VYDAJ	PREVOD NA UCET	541	31344	POJISTNE	EF	98467659
1905335	6453	1998-06-12	VYDAJ	PREVOD NA UCET	541	34983	POJISTNE	EF	98467659
1905336	6453	1998-07-12	VYDAJ	PREVOD NA UCET	541	28956	POJISTNE	EF	98467659
1905337	6453	1998-08-12	VYDAJ	PREVOD NA UCET	541	26324	POJISTNE	EF	98467659
1905338	6453	1998-09-12	VYDAJ	PREVOD NA UCET	541	21182	POJISTNE	EF	98467659
1905339	6453	1998-10-12	VYDAJ	PREVOD NA UCET	541	16006	POJISTNE	EF	98467659
1905340	6453	1998-11-12	VYDAJ	PREVOD NA UCET	541	20234	POJISTNE	EF	98467659
1905341	6453	1998-12-12	VYDAJ	PREVOD NA UCET	541	25834	POJISTNE	EF	98467659
1905353	6453	1996-12-18	VYDAJ	VYBER	100	28028	\N	\N	0
1905354	6453	1997-01-15	VYDAJ	VYBER	200	12622	\N	\N	0
1905355	6453	1997-02-13	VYDAJ	VYBER	100	14050	\N	\N	0
1905356	6453	1997-03-17	VYDAJ	VYBER	200	20160	\N	\N	0
1905357	6453	1997-04-13	VYDAJ	VYBER	300	25520	\N	\N	0
1905358	6453	1997-05-07	VYDAJ	VYBER	100	28718	\N	\N	0
1905359	6453	1997-06-17	VYDAJ	VYBER	100	29300	\N	\N	0
1905360	6453	1997-06-30	VYDAJ	VYBER	200	26614	\N	\N	0
1905361	6453	1997-07-31	VYDAJ	VYBER	300	23583	\N	\N	0
1905362	6453	1997-08-29	VYDAJ	VYBER	200	20444	\N	\N	0
1905363	6453	1997-10-12	VYDAJ	VYBER	200	24663	\N	\N	0
1905364	6453	1997-11-29	VYDAJ	VYBER	200	18538	\N	\N	0
1905365	6453	1997-12-21	VYDAJ	VYBER	200	23579	\N	\N	0
1905366	6453	1998-01-19	VYDAJ	VYBER	300	19949	\N	\N	0
1905367	6453	1998-02-24	VYDAJ	VYBER	200	21376	\N	\N	0
1905368	6453	1998-02-26	VYDAJ	VYBER	200	21176	\N	\N	0
1905369	6453	1998-03-28	VYDAJ	VYBER	100	24612	\N	\N	0
1905370	6453	1998-05-14	VYDAJ	VYBER	100	29035	\N	\N	0
1905371	6453	1998-06-12	VYDAJ	PREVOD NA UCET	304	35524	UVER	KL	10349285
1905372	6453	1998-07-12	VYDAJ	PREVOD NA UCET	304	29497	UVER	KL	10349285
1905373	6453	1998-08-12	VYDAJ	PREVOD NA UCET	304	26020	UVER	KL	10349285
1905374	6453	1998-09-12	VYDAJ	PREVOD NA UCET	304	20878	UVER	KL	10349285
1905375	6453	1998-10-12	VYDAJ	PREVOD NA UCET	304	16547	UVER	KL	10349285
1905376	6453	1998-11-12	VYDAJ	PREVOD NA UCET	304	19930	UVER	KL	10349285
1905377	6453	1998-12-12	VYDAJ	PREVOD NA UCET	304	26375	UVER	KL	10349285
1905382	6453	1997-01-13	VYDAJ	VYBER	10400	15176	\N	\N	\N
1905384	6453	1996-12-10	VYDAJ	VYBER	3680	30878	\N	\N	\N
1905385	6453	1997-12-05	VYDAJ	VYBER	1760	23029	\N	\N	\N
1905386	6453	1998-12-30	VYDAJ	VYBER	3520	20300	\N	\N	\N
1905390	6453	1996-12-27	VYDAJ	VYBER	3840	22588	\N	\N	\N
1905391	6453	1997-02-09	VYDAJ	VYBER	4320	15386	\N	\N	\N
1905392	6453	1997-11-12	VYDAJ	VYBER	2160	19952	\N	\N	\N
1905394	6453	1997-12-24	VYDAJ	VYBER	2280	21299	\N	\N	\N
1905395	6453	1997-01-15	VYDAJ	VYBER	840	12822	\N	\N	\N
1905396	6453	1998-01-30	VYDAJ	VYBER	3720	15629	\N	\N	\N
1905397	6453	1998-01-05	VYDAJ	VYBER	4800	20699	\N	\N	\N
1905398	6453	1998-04-10	VYDAJ	VYBER	3600	25218	\N	\N	\N
1905399	6453	1998-01-26	VYDAJ	VYBER	600	19349	\N	\N	\N
1905400	6453	1998-08-18	VYDAJ	VYBER	5280	17526	\N	\N	\N
1905401	6453	1998-10-09	VYDAJ	VYBER	4200	16851	\N	\N	\N
1905414	6453	1996-12-31	VYDAJ	VYBER	15	22687	SLUZBY	\N	\N
1905415	6453	1997-01-31	VYDAJ	VYBER	15	15581	SLUZBY	\N	\N
1905416	6453	1997-02-28	VYDAJ	VYBER	15	18985	SLUZBY	\N	\N
1905417	6453	1997-03-31	VYDAJ	VYBER	15	22931	SLUZBY	\N	\N
1905418	6453	1997-04-30	VYDAJ	VYBER	15	24693	SLUZBY	\N	\N
1905419	6453	1997-05-31	VYDAJ	VYBER	15	25963	SLUZBY	\N	\N
1905420	6453	1997-06-30	VYDAJ	VYBER	15	26600	SLUZBY	\N	\N
1905421	6453	1997-07-31	VYDAJ	VYBER	15	23569	SLUZBY	\N	\N
1905422	6453	1997-08-31	VYDAJ	VYBER	15	20525	SLUZBY	\N	\N
1905423	6453	1997-09-30	VYDAJ	VYBER	15	21974	SLUZBY	\N	\N
1905424	6453	1997-10-31	VYDAJ	VYBER	15	19223	SLUZBY	\N	\N
1905425	6453	1997-11-30	VYDAJ	VYBER	15	18602	SLUZBY	\N	\N
1905426	6453	1997-12-31	VYDAJ	VYBER	15	21374	SLUZBY	\N	\N
1905427	6453	1998-01-31	VYDAJ	VYBER	15	15701	SLUZBY	\N	\N
1905428	6453	1998-02-28	VYDAJ	VYBER	15	21237	SLUZBY	\N	\N
1905429	6453	1998-03-31	VYDAJ	VYBER	15	24693	SLUZBY	\N	\N
1905430	6453	1998-04-30	VYDAJ	VYBER	15	27760	SLUZBY	\N	\N
1905431	6453	1998-05-31	VYDAJ	VYBER	15	29640	SLUZBY	\N	\N
1905432	6453	1998-06-30	VYDAJ	VYBER	15	25676	SLUZBY	\N	\N
1905433	6453	1998-07-31	VYDAJ	VYBER	15	23435	SLUZBY	\N	\N
1905434	6453	1998-08-31	VYDAJ	VYBER	15	17598	SLUZBY	\N	\N
1905435	6453	1998-09-30	VYDAJ	VYBER	15	16926	SLUZBY	\N	\N
1905436	6453	1998-10-31	VYDAJ	VYBER	15	16650	SLUZBY	\N	\N
1905437	6453	1998-11-30	VYDAJ	VYBER	15	21186	SLUZBY	\N	\N
1905438	6453	1996-08-26	PRIJEM	VKLAD	9100	13525	\N	\N	\N
1905439	6453	1996-09-25	PRIJEM	VKLAD	4500	22161	\N	\N	\N
1905440	6453	1996-10-25	VYDAJ	VYBER	2900	23450	\N	\N	\N
1905441	6453	1996-11-24	PRIJEM	VKLAD	600	28268	\N	\N	\N
1905442	6453	1996-12-24	VYDAJ	VYBER	1600	26428	\N	\N	\N
1905443	6453	1997-01-23	PRIJEM	VKLAD	2900	15522	\N	\N	\N
1905444	6453	1997-02-22	PRIJEM	VKLAD	6400	18936	\N	\N	\N
1905445	6453	1997-03-24	PRIJEM	VKLAD	2700	22860	\N	\N	\N
1905446	6453	1997-04-23	PRIJEM	VKLAD	600	24606	\N	\N	\N
1905447	6453	1997-05-23	VYDAJ	VYBER	100	25868	\N	\N	\N
1905448	6453	1997-06-22	VYDAJ	VYBER	2600	26700	\N	\N	\N
1905449	6453	1997-07-22	VYDAJ	VYBER	4200	23775	\N	\N	\N
1905450	6453	1997-08-21	VYDAJ	VYBER	4300	20644	\N	\N	\N
1905451	6453	1997-10-20	VYDAJ	VYBER	4000	19149	\N	\N	\N
1905452	6453	1997-11-19	PRIJEM	VKLAD	300	18738	\N	\N	\N
1905453	6453	1997-12-19	PRIJEM	VKLAD	3500	23779	\N	\N	\N
1905454	6453	1998-01-18	PRIJEM	VKLAD	2300	20249	\N	\N	\N
1905455	6453	1998-02-17	PRIJEM	VKLAD	4500	21576	\N	\N	\N
1905456	6453	1998-03-19	PRIJEM	VKLAD	2100	24712	\N	\N	\N
1905457	6453	1998-04-18	PRIJEM	VKLAD	5200	27668	\N	\N	\N
1905458	6453	1998-05-18	PRIJEM	VKLAD	500	29535	\N	\N	\N
1905459	6453	1998-06-17	VYDAJ	VYBER	7200	25574	\N	\N	\N
1905460	6453	1998-07-17	VYDAJ	VYBER	3400	23347	\N	\N	\N
1905461	6453	1998-08-16	VYDAJ	VYBER	1700	22806	\N	\N	\N
1905462	6453	1998-09-15	VYDAJ	VYBER	1800	16869	\N	\N	\N
1905463	6453	1998-10-15	PRIJEM	VKLAD	2800	16597	\N	\N	\N
1905464	6453	1998-11-14	PRIJEM	VKLAD	3400	21121	\N	\N	\N
1905465	6453	1998-12-14	VYDAJ	VYBER	500	23820	\N	\N	\N
1907402	6461	1996-07-17	PRIJEM	VKLAD	700	700	\N	\N	\N
1907405	6461	1996-12-19	PRIJEM	VKLAD	10598	62558	\N	\N	\N
1907406	6461	1996-12-08	PRIJEM	VKLAD	22687	65751	\N	\N	\N
1907411	6461	1996-10-03	PRIJEM	VKLAD	32344	98041	\N	\N	\N
1907412	6461	1996-08-24	PRIJEM	VKLAD	7089	38041	\N	\N	\N
1907413	6461	1996-09-23	PRIJEM	VKLAD	22385	65404	\N	\N	\N
1907414	6461	1996-08-28	PRIJEM	VKLAD	25850	63891	\N	\N	\N
1907416	6461	1996-12-09	PRIJEM	VKLAD	24898	90649	\N	\N	\N
1907419	6461	1996-08-07	PRIJEM	VKLAD	31452	32152	\N	\N	\N
1907422	6461	1996-09-15	PRIJEM	VKLAD	28763	111219	\N	\N	\N
1907424	6461	1996-09-09	PRIJEM	VKLAD	24085	106956	\N	\N	\N
1907425	6461	1996-10-25	PRIJEM	VKLAD	14990	77031	\N	\N	\N
1907426	6461	1996-08-31	PRIJEM	VKLAD	46089	110071	\N	\N	\N
1907428	6461	1997-07-11	PRIJEM	VKLAD	14388	74209	\N	\N	\N
1907429	6461	1997-07-12	PRIJEM	VKLAD	42854	117063	\N	\N	\N
1907430	6461	1997-08-11	PRIJEM	VKLAD	16794	94085	\N	\N	\N
1907431	6461	1997-06-17	PRIJEM	VKLAD	9507	46344	\N	\N	\N
1907432	6461	1997-06-29	PRIJEM	VKLAD	31694	59667	\N	\N	\N
1907433	6461	1997-11-15	PRIJEM	VKLAD	8805	45062	\N	\N	\N
1907434	6461	1997-08-11	PRIJEM	VKLAD	27154	77291	\N	\N	\N
1907435	6461	1997-05-16	PRIJEM	VKLAD	28961	71847	\N	\N	\N
1907436	6461	1997-12-22	PRIJEM	VKLAD	37728	72682	\N	\N	\N
1907437	6461	1998-09-29	PRIJEM	VKLAD	34543	109564	\N	\N	\N
1907438	6461	1998-02-02	PRIJEM	VKLAD	29905	97053	\N	\N	\N
1907439	6461	1998-02-18	PRIJEM	VKLAD	7426	65986	\N	\N	\N
1907440	6461	1998-09-21	PRIJEM	VKLAD	45941	85623	\N	\N	\N
1907441	6461	1998-04-22	PRIJEM	VKLAD	17561	51826	\N	\N	\N
1907442	6461	1998-04-15	PRIJEM	VKLAD	9478	46265	\N	\N	\N
1907443	6461	1998-06-22	PRIJEM	VKLAD	25248	65617	\N	\N	\N
1907444	6461	1998-10-13	PRIJEM	VKLAD	41325	115582	\N	\N	\N
1907445	6461	1998-11-01	PRIJEM	VKLAD	20886	88827	\N	\N	\N
1907446	6461	1998-02-28	PRIJEM	VKLAD	38213	104199	\N	\N	\N
1907447	6461	1998-01-19	PRIJEM	VKLAD	48182	81954	\N	\N	\N
1907448	6461	1998-05-20	PRIJEM	VKLAD	16624	56102	\N	\N	\N
1907449	6461	1998-11-26	PRIJEM	VKLAD	13601	72974	\N	\N	\N
1907450	6461	1998-10-04	PRIJEM	VKLAD	17870	110149	\N	\N	\N
1907459	6461	1996-09-08	VYDAJ	VYBER	5200	82871	\N	\N	0
1907460	6461	1996-10-14	VYDAJ	VYBER	4400	93641	\N	\N	0
1907461	6461	1996-11-19	VYDAJ	VYBER	4100	50600	\N	\N	0
1907462	6461	1996-12-16	VYDAJ	VYBER	4300	51960	\N	\N	0
1907463	6461	1997-01-25	VYDAJ	VYBER	3600	23194	\N	\N	0
1907464	6461	1997-02-15	VYDAJ	VYBER	3700	26649	\N	\N	0
1907465	6461	1997-03-19	VYDAJ	VYBER	3900	24635	\N	\N	0
1907466	6461	1997-03-24	VYDAJ	VYBER	3200	21435	\N	\N	0
1907467	6461	1997-05-19	VYDAJ	VYBER	3900	67947	\N	\N	0
1907468	6461	1997-06-06	VYDAJ	VYBER	3400	41437	\N	\N	0
1907469	6461	1997-07-12	VYDAJ	PREVOD NA UCET	4193	107771	UVER	MN	30961704
1907470	6461	1997-08-12	VYDAJ	PREVOD NA UCET	4193	58693	UVER	MN	30961704
1907471	6461	1997-09-12	VYDAJ	PREVOD NA UCET	4193	43414	UVER	MN	30961704
1907472	6461	1997-10-12	VYDAJ	PREVOD NA UCET	4193	40990	UVER	MN	30961704
1907473	6461	1997-11-12	VYDAJ	PREVOD NA UCET	4193	36257	UVER	MN	30961704
1907474	6461	1997-12-12	VYDAJ	PREVOD NA UCET	4193	41833	UVER	MN	30961704
1907475	6461	1998-01-12	VYDAJ	PREVOD NA UCET	4193	33772	UVER	MN	30961704
1907476	6461	1998-02-12	VYDAJ	PREVOD NA UCET	4193	70260	UVER	MN	30961704
1907477	6461	1998-03-12	VYDAJ	PREVOD NA UCET	4193	49434	UVER	MN	30961704
1907478	6461	1998-04-12	VYDAJ	PREVOD NA UCET	4193	36787	UVER	MN	30961704
1907479	6461	1998-05-12	VYDAJ	PREVOD NA UCET	4193	39478	UVER	MN	30961704
1907480	6461	1998-06-12	VYDAJ	PREVOD NA UCET	4193	47575	UVER	MN	30961704
1907481	6461	1998-07-12	VYDAJ	PREVOD NA UCET	4193	54224	UVER	MN	30961704
1907482	6461	1998-08-12	VYDAJ	PREVOD NA UCET	4193	45244	UVER	MN	30961704
1907483	6461	1998-09-12	VYDAJ	PREVOD NA UCET	4193	39682	UVER	MN	30961704
1907484	6461	1998-10-12	VYDAJ	PREVOD NA UCET	4193	74257	UVER	MN	30961704
1907485	6461	1998-11-12	VYDAJ	PREVOD NA UCET	4193	59373	UVER	MN	30961704
1907486	6461	1998-12-12	VYDAJ	PREVOD NA UCET	4193	50334	UVER	MN	30961704
1907487	6461	1996-12-14	VYBER	VYBER	15189	75460	\N	\N	\N
1907491	6461	1997-06-20	VYBER	VYBER	18371	27973	\N	\N	\N
1907492	6461	1997-12-22	VYBER	VYBER	20233	52449	\N	\N	\N
1907493	6461	1997-12-20	VYBER	VYBER	5079	34954	\N	\N	\N
1907494	6461	1997-02-21	VYBER	VYBER	6995	19654	\N	\N	\N
1907495	6461	1997-01-21	VYBER	VYBER	15413	26794	\N	\N	\N
1907496	6461	1997-05-24	VYBER	VYBER	23285	44662	\N	\N	\N
1907499	6461	1998-04-04	VYBER	VYBER	2428	29680	\N	\N	\N
1907500	6461	1998-06-13	VYBER	VYBER	7206	40369	\N	\N	\N
1907501	6461	1998-03-12	VYBER	VYBER	21244	53627	\N	\N	\N
1907503	6461	1998-03-13	VYBER	VYBER	10967	38467	\N	\N	\N
1907504	6461	1998-04-23	VYBER	VYBER	19488	32338	\N	\N	\N
1907505	6461	1998-09-25	VYBER	VYBER	10602	75021	\N	\N	\N
1907506	6461	1998-10-13	VYBER	VYBER	22992	92590	\N	\N	\N
1907507	6461	1998-07-14	VYBER	VYBER	11288	42936	\N	\N	\N
1907508	6461	1998-09-03	VYBER	VYBER	4518	32475	\N	\N	\N
1907509	6461	1998-01-01	VYBER	VYBER	14162	38464	\N	\N	\N
1907510	6461	1998-11-02	VYBER	VYBER	11661	77166	\N	\N	\N
1907511	6461	1998-12-15	VYBER	VYBER	24964	25370	\N	\N	\N
1907515	6461	1996-12-05	VYDAJ	VYBER	7800	43064	\N	\N	\N
1907516	6461	1997-12-19	VYDAJ	VYBER	1800	40033	\N	\N	\N
1907517	6461	1998-12-01	VYDAJ	VYBER	8400	64826	\N	\N	\N
1907524	6461	1997-01-12	VYDAJ	VYBER	3600	45707	\N	\N	\N
1907525	6461	1997-01-17	VYDAJ	VYBER	3600	42207	\N	\N	\N
1907526	6461	1997-01-01	VYDAJ	VYBER	4500	58307	\N	\N	\N
1907527	6461	1997-01-04	VYDAJ	VYBER	7200	51107	\N	\N	\N
1907528	6461	1997-01-09	VYDAJ	VYBER	1800	49307	\N	\N	\N
1907530	6461	1998-01-02	VYDAJ	VYBER	6900	24664	\N	\N	\N
1907531	6461	1998-01-26	VYDAJ	VYBER	4200	77754	\N	\N	\N
1907533	6461	1998-01-27	VYDAJ	VYBER	2400	66954	\N	\N	\N
1907534	6461	1998-01-26	VYDAJ	VYBER	8400	69354	\N	\N	\N
1907535	6461	1998-01-03	VYDAJ	VYBER	1800	22864	\N	\N	\N
1907540	6461	1997-11-08	VYDAJ	VYBER	9000	32150	\N	\N	\N
1907541	6461	1997-08-11	VYDAJ	VYBER	12600	81485	\N	\N	\N
1907542	6461	1997-08-29	VYDAJ	VYBER	14400	44293	\N	\N	\N
1907544	6461	1997-06-15	VYDAJ	VYBER	6900	36837	\N	\N	\N
1907545	6461	1998-02-15	VYDAJ	VYBER	11700	58560	\N	\N	\N
1907546	6461	1998-08-13	VYDAJ	VYBER	8400	36844	\N	\N	\N
1907547	6461	1998-04-17	VYDAJ	VYBER	12000	34265	\N	\N	\N
1907548	6461	1998-04-06	VYDAJ	VYBER	5100	24580	\N	\N	\N
1907549	6461	1998-03-27	VYDAJ	VYBER	6600	31867	\N	\N	\N
1907550	6461	1998-05-31	VYDAJ	VYBER	6300	49982	\N	\N	\N
1907551	6461	1998-01-01	VYDAJ	VYBER	6900	31564	\N	\N	\N
1907561	6461	1996-09-30	VYDAJ	VYBER	15	65697	SLUZBY	\N	\N
1907562	6461	1996-10-31	VYDAJ	VYBER	15	77300	SLUZBY	\N	\N
1907563	6461	1996-11-30	VYDAJ	VYBER	15	50864	SLUZBY	\N	\N
1907564	6461	1996-12-31	VYDAJ	VYBER	15	62807	SLUZBY	\N	\N
1907565	6461	1997-01-31	VYDAJ	VYBER	15	23349	SLUZBY	\N	\N
1907566	6461	1997-02-28	VYDAJ	VYBER	15	19735	SLUZBY	\N	\N
1907567	6461	1997-03-31	VYDAJ	VYBER	15	21508	SLUZBY	\N	\N
1907568	6461	1997-04-30	VYDAJ	VYBER	15	33386	SLUZBY	\N	\N
1907569	6461	1997-05-31	VYDAJ	VYBER	15	44837	SLUZBY	\N	\N
1907570	6461	1997-06-30	VYDAJ	VYBER	15	59821	SLUZBY	\N	\N
1907571	6461	1997-07-31	VYDAJ	VYBER	15	50137	SLUZBY	\N	\N
1907572	6461	1997-08-31	VYDAJ	VYBER	15	44506	SLUZBY	\N	\N
1907573	6461	1997-09-30	VYDAJ	VYBER	15	43582	SLUZBY	\N	\N
1907574	6461	1997-10-31	VYDAJ	VYBER	15	41150	SLUZBY	\N	\N
1907575	6461	1997-11-30	VYDAJ	VYBER	15	45226	SLUZBY	\N	\N
1907576	6461	1997-12-31	VYDAJ	VYBER	15	52626	SLUZBY	\N	\N
1907577	6461	1998-01-31	VYDAJ	VYBER	15	67148	SLUZBY	\N	\N
1907578	6461	1998-02-28	VYDAJ	VYBER	15	104471	SLUZBY	\N	\N
1907579	6461	1998-03-31	VYDAJ	VYBER	15	32108	SLUZBY	\N	\N
1907580	6461	1998-04-30	VYDAJ	VYBER	15	32470	SLUZBY	\N	\N
1907581	6461	1998-05-31	VYDAJ	VYBER	15	49967	SLUZBY	\N	\N
1907582	6461	1998-06-30	VYDAJ	VYBER	15	65817	SLUZBY	\N	\N
1907583	6461	1998-07-31	VYDAJ	VYBER	15	43137	SLUZBY	\N	\N
1907584	6461	1998-08-31	VYDAJ	VYBER	15	36993	SLUZBY	\N	\N
1907585	6461	1998-09-30	VYDAJ	VYBER	15	92279	SLUZBY	\N	\N
1907586	6461	1998-10-31	VYDAJ	VYBER	15	67941	SLUZBY	\N	\N
1907587	6461	1998-11-30	VYDAJ	VYBER	15	73226	SLUZBY	\N	\N
1907588	6461	1996-08-16	VYDAJ	VYBER	1200	30952	\N	\N	\N
1907589	6461	1996-08-31	VYDAJ	VYBER	22000	88071	\N	\N	\N
1907590	6461	1996-09-09	VYDAJ	VYBER	24500	82456	\N	\N	\N
1907591	6461	1996-09-15	VYDAJ	VYBER	50600	60619	\N	\N	\N
1907592	6461	1996-09-15	VYDAJ	VYBER	17600	43019	\N	\N	\N
1907593	6461	1996-10-15	VYDAJ	VYBER	31600	62041	\N	\N	\N
1907594	6461	1996-11-14	VYDAJ	VYBER	22600	54700	\N	\N	\N
1907595	6461	1996-12-14	VYDAJ	VYBER	19200	56260	\N	\N	\N
1907596	6461	1997-01-13	PRIJEM	VKLAD	100	45807	\N	\N	\N
1907597	6461	1997-02-12	PRIJEM	VKLAD	7000	30349	\N	\N	\N
1907598	6461	1997-03-14	PRIJEM	VKLAD	8800	28535	\N	\N	\N
1907599	6461	1997-04-13	PRIJEM	VKLAD	11800	33308	\N	\N	\N
1907600	6461	1997-05-13	PRIJEM	VKLAD	9500	42886	\N	\N	\N
1907601	6461	1997-06-12	PRIJEM	VKLAD	2300	43737	\N	\N	\N
1907602	6461	1997-07-12	VYDAJ	VYBER	58000	49771	\N	\N	\N
1907603	6461	1997-07-12	VYDAJ	VYBER	5100	111963	\N	\N	\N
1907604	6461	1997-08-11	VYDAJ	VYBER	18600	62885	\N	\N	\N
1907605	6461	1997-09-10	PRIJEM	VKLAD	3100	47606	\N	\N	\N
1907606	6461	1997-10-10	PRIJEM	VKLAD	1600	45182	\N	\N	\N
1907607	6461	1997-11-09	PRIJEM	VKLAD	8300	40450	\N	\N	\N
1907608	6461	1997-12-09	PRIJEM	VKLAD	800	46026	\N	\N	\N
1907609	6461	1998-01-08	PRIJEM	VKLAD	15100	37964	\N	\N	\N
1907610	6461	1998-02-07	VYDAJ	VYBER	22600	74453	\N	\N	\N
1907611	6461	1998-03-09	VYDAJ	VYBER	29600	74871	\N	\N	\N
1907612	6461	1998-04-08	PRIJEM	VKLAD	16400	40980	\N	\N	\N
1907613	6461	1998-05-08	PRIJEM	VKLAD	11200	43670	\N	\N	\N
1907614	6461	1998-06-07	PRIJEM	VKLAD	1800	51767	\N	\N	\N
1907615	6461	1998-07-07	VYDAJ	VYBER	7400	58417	\N	\N	\N
1907616	6461	1998-08-06	PRIJEM	VKLAD	6300	49437	\N	\N	\N
1907617	6461	1998-09-05	PRIJEM	VKLAD	11400	43875	\N	\N	\N
1907618	6461	1998-09-29	VYDAJ	VYBER	17500	92064	\N	\N	\N
1907619	6461	1998-10-05	VYDAJ	VYBER	31700	78449	\N	\N	\N
1907620	6461	1998-10-13	VYDAJ	VYBER	25000	67590	\N	\N	\N
1907621	6461	1998-11-04	VYDAJ	VYBER	13600	63566	\N	\N	\N
1907622	6461	1998-12-04	VYDAJ	VYBER	10300	54526	\N	\N	\N
1907836	6463	1995-09-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1907839	6463	1995-10-01	PRIJEM	VKLAD	38660	81403	\N	\N	\N
1907840	6463	1995-12-17	PRIJEM	VKLAD	22566	75298	\N	\N	\N
1907844	6463	1995-12-06	PRIJEM	VKLAD	8141	82400	\N	\N	\N
1907850	6463	1995-11-13	PRIJEM	VKLAD	12722	52539	\N	\N	\N
1907854	6463	1995-09-24	PRIJEM	VKLAD	41701	42701	\N	\N	\N
1907856	6463	1995-11-26	PRIJEM	VKLAD	21482	74021	\N	\N	\N
1907857	6463	1997-11-20	PRIJEM	VKLAD	19642	119258	\N	\N	\N
1907858	6463	1997-06-23	PRIJEM	VKLAD	38516	53202	\N	\N	\N
1907859	6463	1997-11-11	PRIJEM	VKLAD	30636	122582	\N	\N	\N
1907860	6463	1997-10-01	PRIJEM	VKLAD	47484	73922	\N	\N	\N
1907861	6463	1997-11-02	PRIJEM	VKLAD	21540	68008	\N	\N	\N
1907862	6463	1997-11-27	PRIJEM	VKLAD	12402	78060	\N	\N	\N
1907863	6463	1997-08-29	PRIJEM	VKLAD	36819	45785	\N	\N	\N
1907864	6463	1997-03-14	PRIJEM	VKLAD	24075	26024	\N	\N	\N
1907865	6463	1997-04-15	PRIJEM	VKLAD	44341	70719	\N	\N	\N
1907866	6463	1997-11-04	PRIJEM	VKLAD	23938	91946	\N	\N	\N
1907867	6463	1997-04-16	PRIJEM	VKLAD	17641	88360	\N	\N	\N
1907868	6463	1998-07-17	PRIJEM	VKLAD	34606	120764	\N	\N	\N
1907869	6463	1998-10-16	PRIJEM	VKLAD	33670	67342	\N	\N	\N
1907870	6463	1998-10-22	PRIJEM	VKLAD	47582	114924	\N	\N	\N
1907871	6463	1998-04-19	PRIJEM	VKLAD	36303	99700	\N	\N	\N
1907872	6463	1998-05-03	PRIJEM	VKLAD	33945	157981	\N	\N	\N
1907873	6463	1998-12-14	PRIJEM	VKLAD	27590	111237	\N	\N	\N
1907874	6463	1998-04-29	PRIJEM	VKLAD	36678	104278	\N	\N	\N
1907875	6463	1998-08-28	PRIJEM	VKLAD	17489	60923	\N	\N	\N
1907876	6463	1998-12-26	PRIJEM	VKLAD	38512	108249	\N	\N	\N
1907877	6463	1998-06-17	PRIJEM	VKLAD	13714	79074	\N	\N	\N
1907878	6463	1998-11-17	PRIJEM	VKLAD	47008	96783	\N	\N	\N
1907879	6463	1998-07-06	PRIJEM	VKLAD	22442	113301	\N	\N	\N
1907880	6463	1998-06-26	PRIJEM	VKLAD	10886	89960	\N	\N	\N
1907881	6463	1998-04-08	PRIJEM	VKLAD	15266	75497	\N	\N	\N
1907882	6463	1998-01-14	PRIJEM	VKLAD	17599	74806	\N	\N	\N
1907883	6463	1998-12-10	PRIJEM	VKLAD	42395	91447	\N	\N	\N
1907884	6463	1998-08-04	PRIJEM	VKLAD	7165	73267	\N	\N	\N
1907885	6463	1998-03-21	PRIJEM	VKLAD	42111	99554	\N	\N	\N
1907886	6463	1998-05-17	PRIJEM	VKLAD	37242	118473	\N	\N	\N
1907887	6463	1998-03-07	PRIJEM	VKLAD	21471	67943	\N	\N	\N
1907888	6463	1998-05-03	PRIJEM	VKLAD	19460	124036	\N	\N	\N
1907889	6463	1998-07-16	PRIJEM	VKLAD	23257	136558	\N	\N	\N
1907890	6463	1998-12-28	PRIJEM	VKLAD	6994	115243	\N	\N	\N
1907891	6463	1998-01-31	PRIJEM	VKLAD	14184	52464	\N	\N	\N
1907892	6463	1998-07-04	PRIJEM	VKLAD	43398	90859	\N	\N	\N
1907893	6463	1998-05-13	PRIJEM	VKLAD	9350	91631	\N	\N	\N
1907894	6463	1998-01-02	PRIJEM	VKLAD	22678	67107	\N	\N	\N
1907895	6463	1998-08-30	PRIJEM	VKLAD	27940	88863	\N	\N	\N
1907896	6463	1998-02-28	PRIJEM	VKLAD	10623	48972	\N	\N	\N
1907956	6463	1995-12-18	VYDAJ	VYBER	14500	50898	SIPO	\N	0
1907957	6463	1996-01-13	VYDAJ	VYBER	11200	17442	SIPO	\N	0
1907958	6463	1996-02-06	VYDAJ	VYBER	13000	4535	SIPO	\N	0
1907959	6463	1996-03-15	VYDAJ	VYBER	10100	5466	SIPO	\N	0
1907960	6463	1996-04-13	VYDAJ	VYBER	11600	3280	SIPO	\N	0
1907961	6463	1996-05-06	VYDAJ	VYBER	15300	-12017	SIPO	\N	0
1907962	6463	1996-05-31	VYDAJ	VYBER	10800	-9126	SIPO	\N	0
1907963	6463	1996-07-04	VYDAJ	VYBER	14700	-11029	SIPO	\N	0
1907964	6463	1996-08-12	VYDAJ	VYBER	14400	4570	SIPO	\N	0
1907965	6463	1996-09-15	VYDAJ	VYBER	15100	2573	SIPO	\N	0
1907966	6463	1996-10-15	VYDAJ	VYBER	11500	4173	SIPO	\N	0
1907967	6463	1996-11-01	VYDAJ	VYBER	12200	-8028	SIPO	\N	0
1907968	6463	1996-12-04	VYDAJ	VYBER	11000	2268	SIPO	\N	0
1907969	6463	1996-12-31	VYDAJ	VYBER	12600	-10323	SIPO	\N	0
1907970	6463	1997-02-05	VYDAJ	VYBER	13600	4645	SIPO	\N	0
1907971	6463	1997-03-09	VYDAJ	VYBER	13500	1949	SIPO	\N	0
1907972	6463	1997-04-16	VYDAJ	VYBER	10900	77460	SIPO	\N	0
1907973	6463	1997-05-04	VYDAJ	VYBER	15700	36368	SIPO	\N	0
1907974	6463	1997-06-02	VYDAJ	VYBER	12600	14686	SIPO	\N	0
1907975	6463	1997-07-19	VYDAJ	VYBER	11900	15383	SIPO	\N	0
1907976	6463	1997-08-02	VYDAJ	VYBER	9600	8966	SIPO	\N	0
1907977	6463	1997-09-18	VYDAJ	VYBER	9800	22123	SIPO	\N	0
1907978	6463	1997-10-15	VYDAJ	VYBER	11200	52226	SIPO	\N	0
1907979	6463	1997-11-18	VYDAJ	VYBER	11200	111382	SIPO	\N	0
1907980	6463	1997-12-16	VYDAJ	VYBER	11200	48405	SIPO	\N	0
1907981	6463	1998-01-15	VYDAJ	VYBER	12100	47983	SIPO	\N	0
1907982	6463	1998-02-14	VYDAJ	VYBER	15600	36849	SIPO	\N	0
1907983	6463	1998-03-16	VYDAJ	VYBER	10500	57443	SIPO	\N	0
1907984	6463	1998-04-17	VYDAJ	VYBER	12100	63397	SIPO	\N	0
1907985	6463	1998-05-16	VYDAJ	VYBER	10400	81231	SIPO	\N	0
1907986	6463	1998-06-01	VYDAJ	VYBER	13400	65360	SIPO	\N	0
1907987	6463	1998-06-30	VYDAJ	VYBER	13100	47461	SIPO	\N	0
1907988	6463	1998-08-04	VYDAJ	VYBER	11000	62267	SIPO	\N	0
1907989	6463	1998-09-06	VYDAJ	VYBER	11600	77505	SIPO	\N	0
1907990	6463	1998-10-03	VYDAJ	VYBER	15100	33672	SIPO	\N	0
1907991	6463	1998-11-01	VYDAJ	VYBER	10900	49775	SIPO	\N	0
1907992	6463	1998-12-02	VYDAJ	VYBER	11800	49052	SIPO	\N	0
1908002	6463	1995-12-10	VYBER	VYBER	16168	66232	\N	\N	\N
1908018	6463	1997-10-01	VYBER	VYBER	10496	63426	\N	\N	\N
1908019	6463	1997-11-19	VYBER	VYBER	11766	99616	\N	\N	\N
1908022	6463	1998-07-17	VYBER	VYBER	24321	96443	\N	\N	\N
1908023	6463	1998-10-24	VYBER	VYBER	17985	96939	\N	\N	\N
1908024	6463	1998-08-22	VYBER	VYBER	5933	56334	\N	\N	\N
1908025	6463	1998-01-14	VYBER	VYBER	14723	60083	\N	\N	\N
1908026	6463	1998-09-08	VYBER	VYBER	10600	66905	\N	\N	\N
1908037	6463	1997-12-28	VYDAJ	VYBER	4800	43605	\N	\N	\N
1908038	6463	1998-12-10	VYDAJ	VYBER	7800	83647	\N	\N	\N
1908047	6463	1996-01-05	VYDAJ	VYBER	7800	37942	\N	\N	\N
1908048	6463	1996-01-03	VYDAJ	VYBER	5400	45742	\N	\N	\N
1908058	6463	1998-01-13	VYDAJ	VYBER	2100	57207	\N	\N	\N
1908059	6463	1998-01-16	VYDAJ	VYBER	2700	45283	\N	\N	\N
1908060	6463	1998-01-05	VYDAJ	VYBER	7800	59307	\N	\N	\N
1908061	6463	1998-01-26	VYDAJ	VYBER	1800	34783	\N	\N	\N
1908062	6463	1998-01-20	VYDAJ	VYBER	8700	36583	\N	\N	\N
1908065	6463	1995-12-17	VYDAJ	VYBER	9900	65398	\N	\N	\N
1908074	6463	1997-06-26	VYDAJ	VYBER	8700	44502	\N	\N	\N
1908076	6463	1997-09-04	VYDAJ	VYBER	6000	31923	\N	\N	\N
1908077	6463	1997-06-28	VYDAJ	VYBER	8100	36402	\N	\N	\N
1908078	6463	1997-05-09	VYDAJ	VYBER	11700	24668	\N	\N	\N
1908080	6463	1997-07-05	VYDAJ	VYBER	3300	27283	\N	\N	\N
1908081	6463	1998-03-30	VYDAJ	VYBER	6000	59954	\N	\N	\N
1908082	6463	1998-03-01	VYDAJ	VYBER	2700	46472	\N	\N	\N
1908095	6463	1995-12-31	VYDAJ	VYBER	15	51142	SLUZBY	\N	\N
1908096	6463	1996-01-31	VYDAJ	VYBER	15	17535	SLUZBY	\N	\N
1908097	6463	1996-02-29	VYDAJ	VYBER	15	8866	SLUZBY	\N	\N
1908098	6463	1996-03-31	VYDAJ	VYBER	15	5480	SLUZBY	\N	\N
1908099	6463	1996-04-30	VYDAJ	VYBER	15	3283	SLUZBY	\N	\N
1908100	6463	1996-05-31	VYDAJ	VYBER	15	1674	SLUZBY	\N	\N
1908101	6463	1996-06-30	VYDAJ	VYBER	15	3671	SLUZBY	\N	\N
1908102	6463	1996-07-31	VYDAJ	VYBER	15	3170	SLUZBY	\N	\N
1908103	6463	1996-08-31	VYDAJ	VYBER	15	4573	SLUZBY	\N	\N
1908104	6463	1996-09-30	VYDAJ	VYBER	15	2573	SLUZBY	\N	\N
1908105	6463	1996-10-31	VYDAJ	VYBER	15	4172	SLUZBY	\N	\N
1908106	6463	1996-11-30	VYDAJ	VYBER	15	2168	SLUZBY	\N	\N
1908107	6463	1996-12-31	VYDAJ	VYBER	15	-10341	SLUZBY	\N	\N
1908108	6463	1997-01-31	VYDAJ	VYBER	15	2945	SLUZBY	\N	\N
1908109	6463	1997-02-28	VYDAJ	VYBER	15	4649	SLUZBY	\N	\N
1908110	6463	1997-03-31	VYDAJ	VYBER	15	26078	SLUZBY	\N	\N
1908111	6463	1997-04-30	VYDAJ	VYBER	15	77668	SLUZBY	\N	\N
1908112	6463	1997-05-31	VYDAJ	VYBER	15	24786	SLUZBY	\N	\N
1908113	6463	1997-06-30	VYDAJ	VYBER	15	36483	SLUZBY	\N	\N
1908114	6463	1997-07-31	VYDAJ	VYBER	15	15466	SLUZBY	\N	\N
1908115	6463	1997-08-31	VYDAJ	VYBER	15	37923	SLUZBY	\N	\N
1908116	6463	1997-09-30	VYDAJ	VYBER	15	26438	SLUZBY	\N	\N
1908117	6463	1997-10-31	VYDAJ	VYBER	15	46468	SLUZBY	\N	\N
1908118	6463	1997-11-30	VYDAJ	VYBER	15	59605	SLUZBY	\N	\N
1908119	6463	1997-12-31	VYDAJ	VYBER	15	44429	SLUZBY	\N	\N
1908120	6463	1998-01-31	VYDAJ	VYBER	15	52449	SLUZBY	\N	\N
1908121	6463	1998-02-28	VYDAJ	VYBER	15	49172	SLUZBY	\N	\N
1908122	6463	1998-03-31	VYDAJ	VYBER	15	60231	SLUZBY	\N	\N
1908123	6463	1998-04-30	VYDAJ	VYBER	15	104576	SLUZBY	\N	\N
1908124	6463	1998-05-31	VYDAJ	VYBER	15	78760	SLUZBY	\N	\N
1908125	6463	1998-06-30	VYDAJ	VYBER	15	60561	SLUZBY	\N	\N
1908126	6463	1998-07-31	VYDAJ	VYBER	15	66102	SLUZBY	\N	\N
1908127	6463	1998-08-31	VYDAJ	VYBER	15	89105	SLUZBY	\N	\N
1908128	6463	1998-09-30	VYDAJ	VYBER	15	48772	SLUZBY	\N	\N
1908129	6463	1998-10-31	VYDAJ	VYBER	15	60675	SLUZBY	\N	\N
1908130	6463	1998-11-30	VYDAJ	VYBER	15	60852	SLUZBY	\N	\N
1908131	6463	1995-10-11	VYDAJ	VYBER	25900	55503	\N	\N	\N
1908132	6463	1995-11-10	VYDAJ	VYBER	15900	39817	\N	\N	\N
1908133	6463	1995-12-10	VYDAJ	VYBER	13500	52732	\N	\N	\N
1908134	6463	1996-01-09	VYDAJ	VYBER	9300	28642	\N	\N	\N
1908135	6463	1996-02-08	PRIJEM	VKLAD	4300	8835	\N	\N	\N
1908136	6463	1996-03-09	PRIJEM	VKLAD	6700	15566	\N	\N	\N
1908137	6463	1996-04-08	PRIJEM	VKLAD	9400	14880	\N	\N	\N
1908138	6463	1996-05-08	PRIJEM	VKLAD	13700	1683	\N	\N	\N
1908139	6463	1996-06-07	PRIJEM	VKLAD	12900	3774	\N	\N	\N
1908140	6463	1996-07-07	PRIJEM	VKLAD	14200	3171	\N	\N	\N
1908141	6463	1996-08-06	PRIJEM	VKLAD	15800	18970	\N	\N	\N
1908142	6463	1996-09-05	PRIJEM	VKLAD	13100	17673	\N	\N	\N
1908143	6463	1996-10-05	PRIJEM	VKLAD	13100	15673	\N	\N	\N
1908144	6463	1996-11-04	PRIJEM	VKLAD	10200	2172	\N	\N	\N
1908145	6463	1996-12-04	PRIJEM	VKLAD	11100	13268	\N	\N	\N
1908146	6463	1997-01-03	PRIJEM	VKLAD	13300	2959	\N	\N	\N
1908147	6463	1997-02-02	PRIJEM	VKLAD	15400	18245	\N	\N	\N
1908148	6463	1997-03-04	PRIJEM	VKLAD	10800	15449	\N	\N	\N
1908149	6463	1997-04-03	PRIJEM	VKLAD	300	26378	\N	\N	\N
1908150	6463	1997-05-03	VYDAJ	VYBER	25600	52068	\N	\N	\N
1908151	6463	1997-06-02	PRIJEM	VKLAD	2500	27286	\N	\N	\N
1908152	6463	1997-07-02	VYDAJ	VYBER	5900	30583	\N	\N	\N
1908153	6463	1997-08-01	PRIJEM	VKLAD	3100	18566	\N	\N	\N
1908154	6463	1997-08-31	VYDAJ	VYBER	7900	37938	\N	\N	\N
1908155	6463	1997-09-30	PRIJEM	VKLAD	4200	26323	\N	\N	\N
1908156	6463	1997-10-30	VYDAJ	VYBER	6000	46226	\N	\N	\N
1908157	6463	1997-11-20	VYDAJ	VYBER	53600	65658	\N	\N	\N
1908158	6463	1997-11-29	VYDAJ	VYBER	18800	59260	\N	\N	\N
1908159	6463	1997-12-29	PRIJEM	VKLAD	600	44205	\N	\N	\N
1908160	6463	1998-01-28	PRIJEM	VKLAD	3300	38083	\N	\N	\N
1908161	6463	1998-02-27	PRIJEM	VKLAD	1500	38349	\N	\N	\N
1908162	6463	1998-03-29	VYDAJ	VYBER	33600	65954	\N	\N	\N
1908163	6463	1998-04-28	VYDAJ	VYBER	32100	67600	\N	\N	\N
1908164	6463	1998-05-03	VYDAJ	VYBER	35000	82281	\N	\N	\N
1908165	6463	1998-05-03	VYDAJ	VYBER	40700	117281	\N	\N	\N
1908166	6463	1998-05-28	VYDAJ	VYBER	40100	78373	\N	\N	\N
1908167	6463	1998-06-27	VYDAJ	VYBER	29700	60260	\N	\N	\N
1908168	6463	1998-07-16	VYDAJ	VYBER	50400	86158	\N	\N	\N
1908169	6463	1998-07-27	VYDAJ	VYBER	30700	65743	\N	\N	\N
1908170	6463	1998-08-26	VYDAJ	VYBER	12900	43434	\N	\N	\N
1908171	6463	1998-09-25	VYDAJ	VYBER	18400	48505	\N	\N	\N
1908172	6463	1998-10-25	VYDAJ	VYBER	36500	60439	\N	\N	\N
1908173	6463	1998-11-24	VYDAJ	VYBER	36200	60583	\N	\N	\N
1908174	6463	1998-12-24	VYDAJ	VYBER	41500	69737	\N	\N	\N
1910370	6472	1994-02-08	PRIJEM	VKLAD	800	800	\N	\N	\N
1910372	6472	1994-02-10	PRIJEM	PREVOD Z UCTU	38453	39253	\N	ST	71542995
1910373	6472	1994-03-10	PRIJEM	PREVOD Z UCTU	38453	77817	\N	ST	71542995
1910374	6472	1994-04-10	PRIJEM	PREVOD Z UCTU	38453	75573	\N	ST	71542995
1910375	6472	1994-05-10	PRIJEM	PREVOD Z UCTU	38453	88811	\N	ST	71542995
1910376	6472	1994-06-10	PRIJEM	PREVOD Z UCTU	57680	113345	\N	ST	71542995
1910377	6472	1994-07-10	PRIJEM	PREVOD Z UCTU	38453	78091	\N	ST	71542995
1910378	6472	1994-08-10	PRIJEM	PREVOD Z UCTU	38453	87135	\N	ST	71542995
1910379	6472	1994-09-10	PRIJEM	PREVOD Z UCTU	38453	95413	\N	ST	71542995
1910380	6472	1994-10-10	PRIJEM	PREVOD Z UCTU	38453	102125	\N	ST	71542995
1910381	6472	1994-11-10	PRIJEM	PREVOD Z UCTU	38453	88971	\N	ST	71542995
1910382	6472	1994-12-10	PRIJEM	PREVOD Z UCTU	57680	120071	\N	ST	71542995
1910383	6472	1995-01-10	PRIJEM	PREVOD Z UCTU	38453	84503	\N	ST	71542995
1910384	6472	1995-02-10	PRIJEM	PREVOD Z UCTU	38453	61080	\N	ST	71542995
1910385	6472	1995-03-10	PRIJEM	PREVOD Z UCTU	38453	66181	\N	ST	71542995
1910386	6472	1995-04-10	PRIJEM	PREVOD Z UCTU	38453	76930	\N	ST	71542995
1910387	6472	1995-05-10	PRIJEM	PREVOD Z UCTU	38453	84890	\N	ST	71542995
1910388	6472	1995-06-10	PRIJEM	PREVOD Z UCTU	57680	106075	\N	ST	71542995
1910389	6472	1995-07-10	PRIJEM	PREVOD Z UCTU	38453	83692	\N	ST	71542995
1910390	6472	1995-08-10	PRIJEM	PREVOD Z UCTU	38453	92639	\N	ST	71542995
1910391	6472	1995-09-10	PRIJEM	PREVOD Z UCTU	38453	82481	\N	ST	71542995
1910392	6472	1995-10-10	PRIJEM	PREVOD Z UCTU	38453	70835	\N	ST	71542995
1910393	6472	1995-11-10	PRIJEM	PREVOD Z UCTU	38453	85836	\N	ST	71542995
1910394	6472	1995-12-10	PRIJEM	PREVOD Z UCTU	57680	109992	\N	ST	71542995
1910395	6472	1996-01-10	PRIJEM	PREVOD Z UCTU	38453	55935	\N	ST	71542995
1910396	6472	1996-02-10	PRIJEM	PREVOD Z UCTU	38453	72853	\N	ST	71542995
1910397	6472	1996-03-10	PRIJEM	PREVOD Z UCTU	38453	62374	\N	ST	71542995
1910398	6472	1996-04-10	PRIJEM	PREVOD Z UCTU	38453	80022	\N	ST	71542995
1910399	6472	1996-05-10	PRIJEM	PREVOD Z UCTU	38453	83054	\N	ST	71542995
1910400	6472	1996-06-10	PRIJEM	PREVOD Z UCTU	57680	102086	\N	ST	71542995
1910401	6472	1996-07-10	PRIJEM	PREVOD Z UCTU	38453	81158	\N	ST	71542995
1910402	6472	1996-08-10	PRIJEM	PREVOD Z UCTU	38453	91869	\N	ST	71542995
1910403	6472	1996-09-10	PRIJEM	PREVOD Z UCTU	38453	67543	\N	ST	71542995
1910404	6472	1996-10-10	PRIJEM	PREVOD Z UCTU	38453	74576	\N	ST	71542995
1910405	6472	1996-11-10	PRIJEM	PREVOD Z UCTU	38453	85674	\N	ST	71542995
1910406	6472	1996-12-10	PRIJEM	PREVOD Z UCTU	57680	107594	\N	ST	71542995
1910407	6472	1997-01-10	PRIJEM	PREVOD Z UCTU	38453	73150	\N	ST	71542995
1910408	6472	1997-02-10	PRIJEM	PREVOD Z UCTU	38453	70161	\N	ST	71542995
1910409	6472	1997-03-10	PRIJEM	PREVOD Z UCTU	38453	87212	\N	ST	71542995
1910410	6472	1997-04-10	PRIJEM	PREVOD Z UCTU	38453	79651	\N	ST	71542995
1910411	6472	1997-05-10	PRIJEM	PREVOD Z UCTU	38453	89144	\N	ST	71542995
1910412	6472	1997-06-10	PRIJEM	PREVOD Z UCTU	57680	118096	\N	ST	71542995
1910413	6472	1997-07-10	PRIJEM	PREVOD Z UCTU	38453	91844	\N	ST	71542995
1910414	6472	1997-08-10	PRIJEM	PREVOD Z UCTU	38453	95707	\N	ST	71542995
1910415	6472	1997-09-10	PRIJEM	PREVOD Z UCTU	38453	97984	\N	ST	71542995
1910416	6472	1997-10-10	PRIJEM	PREVOD Z UCTU	38453	97618	\N	ST	71542995
1910417	6472	1997-11-10	PRIJEM	PREVOD Z UCTU	38453	89488	\N	ST	71542995
1910418	6472	1997-12-10	PRIJEM	PREVOD Z UCTU	57680	116110	\N	ST	71542995
1910419	6472	1998-01-10	PRIJEM	PREVOD Z UCTU	38453	86459	\N	ST	71542995
1910420	6472	1998-02-10	PRIJEM	PREVOD Z UCTU	38453	58162	\N	ST	71542995
1910421	6472	1998-03-10	PRIJEM	PREVOD Z UCTU	38453	71702	\N	ST	71542995
1910422	6472	1998-04-10	PRIJEM	PREVOD Z UCTU	38453	90037	\N	ST	71542995
1910423	6472	1998-05-10	PRIJEM	PREVOD Z UCTU	38453	99049	\N	ST	71542995
1910424	6472	1998-06-10	PRIJEM	PREVOD Z UCTU	57680	83555	\N	ST	71542995
1910425	6472	1998-07-10	PRIJEM	PREVOD Z UCTU	38453	85238	\N	ST	71542995
1910426	6472	1998-08-10	PRIJEM	PREVOD Z UCTU	38453	52324	\N	ST	71542995
1910427	6472	1998-09-10	PRIJEM	PREVOD Z UCTU	38453	55781	\N	ST	71542995
1910428	6472	1998-10-10	PRIJEM	PREVOD Z UCTU	38453	67136	\N	ST	71542995
1910429	6472	1998-11-10	PRIJEM	PREVOD Z UCTU	38453	60928	\N	ST	71542995
1910430	6472	1998-12-10	PRIJEM	PREVOD Z UCTU	57680	91950	\N	ST	71542995
1910436	6472	1994-06-13	VYDAJ	VYBER	2400	67245	\N	\N	0
1910437	6472	1994-06-29	VYDAJ	VYBER	2900	64345	\N	\N	0
1910438	6472	1994-07-30	VYDAJ	VYBER	3200	74891	\N	\N	0
1910439	6472	1994-09-13	VYDAJ	VYBER	3300	92113	\N	\N	0
1910440	6472	1994-10-12	VYDAJ	VYBER	3700	98425	\N	\N	0
1910441	6472	1994-11-01	VYDAJ	VYBER	2700	69918	\N	\N	0
1910442	6472	1994-12-14	VYDAJ	VYBER	3000	92971	\N	\N	0
1910443	6472	1995-01-18	VYDAJ	VYBER	2700	50335	\N	\N	0
1910444	6472	1995-02-12	VYDAJ	PREVOD NA UCET	3597	57483	UVER	QR	3375345
1910445	6472	1995-03-12	VYDAJ	PREVOD NA UCET	3597	62584	UVER	QR	3375345
1910446	6472	1995-04-12	VYDAJ	PREVOD NA UCET	3597	73333	UVER	QR	3375345
1910447	6472	1995-05-12	VYDAJ	PREVOD NA UCET	3597	81293	UVER	QR	3375345
1910448	6472	1995-06-12	VYDAJ	PREVOD NA UCET	3597	80754	UVER	QR	3375345
1910449	6472	1995-07-12	VYDAJ	PREVOD NA UCET	3597	80095	UVER	QR	3375345
1910450	6472	1995-08-12	VYDAJ	PREVOD NA UCET	3597	89042	UVER	QR	3375345
1910451	6472	1995-09-12	VYDAJ	PREVOD NA UCET	3597	73484	UVER	QR	3375345
1910452	6472	1995-10-12	VYDAJ	PREVOD NA UCET	3597	67238	UVER	QR	3375345
1910453	6472	1995-11-12	VYDAJ	PREVOD NA UCET	3597	82239	UVER	QR	3375345
1910454	6472	1995-12-12	VYDAJ	PREVOD NA UCET	3597	102573	UVER	QR	3375345
1910455	6472	1996-01-12	VYDAJ	PREVOD NA UCET	3597	52338	UVER	QR	3375345
1910456	6472	1996-02-13	VYDAJ	VYBER	3800	69053	\N	\N	0
1910457	6472	1996-03-14	VYDAJ	VYBER	2500	59874	\N	\N	0
1910458	6472	1996-04-04	VYDAJ	VYBER	2700	41569	\N	\N	0
1910459	6472	1996-05-09	VYDAJ	VYBER	2400	44601	\N	\N	0
1910460	6472	1996-06-04	VYDAJ	VYBER	3700	52323	\N	\N	0
1910461	6472	1996-07-11	VYDAJ	VYBER	3700	77458	\N	\N	0
1910462	6472	1996-08-05	VYDAJ	VYBER	2800	53416	\N	\N	0
1910463	6472	1996-09-23	VYDAJ	VYBER	2800	38328	\N	\N	0
1910464	6472	1996-10-30	VYDAJ	VYBER	4900	47076	\N	\N	0
1910465	6472	1996-11-26	VYDAJ	VYBER	2400	54082	\N	\N	0
1910466	6472	1996-11-29	VYDAJ	VYBER	4400	49682	\N	\N	0
1910467	6472	1996-12-28	VYDAJ	VYBER	2800	64194	\N	\N	0
1910468	6472	1997-02-10	VYDAJ	VYBER	3900	66261	\N	\N	0
1910469	6472	1997-03-23	VYDAJ	VYBER	3000	84212	\N	\N	0
1910470	6472	1997-04-07	VYDAJ	VYBER	4600	41198	\N	\N	0
1910471	6472	1997-05-02	VYDAJ	VYBER	2800	50691	\N	\N	0
1910472	6472	1997-06-17	VYDAJ	VYBER	4700	101996	\N	\N	0
1910473	6472	1997-07-23	VYDAJ	VYBER	3000	59944	\N	\N	0
1910474	6472	1997-07-31	VYDAJ	VYBER	2900	57254	\N	\N	0
1910475	6472	1997-08-31	VYDAJ	VYBER	2800	59531	\N	\N	0
1910476	6472	1997-10-21	VYDAJ	VYBER	4500	61918	\N	\N	0
1910477	6472	1997-11-11	VYDAJ	VYBER	3200	86288	\N	\N	0
1910478	6472	1997-12-11	VYDAJ	VYBER	4500	111610	\N	\N	0
1910479	6472	1998-01-02	VYDAJ	VYBER	2900	61506	\N	\N	0
1910480	6472	1998-02-08	VYDAJ	VYBER	3900	19709	\N	\N	0
1910481	6472	1998-03-13	VYDAJ	VYBER	2500	69202	\N	\N	0
1910482	6472	1998-04-02	VYDAJ	VYBER	3500	51584	\N	\N	0
1910483	6472	1998-05-09	VYDAJ	VYBER	3000	60596	\N	\N	0
1910484	6472	1998-06-17	VYDAJ	VYBER	4600	56755	\N	\N	0
1910485	6472	1998-07-12	VYDAJ	VYBER	4400	80838	\N	\N	0
1910486	6472	1998-07-27	VYDAJ	VYBER	4100	13719	\N	\N	0
1910487	6472	1998-08-28	VYDAJ	VYBER	4700	17274	\N	\N	0
1910488	6472	1998-10-04	VYDAJ	VYBER	3900	38283	\N	\N	0
1910489	6472	1998-11-14	VYDAJ	VYBER	4300	56628	\N	\N	0
1910490	6472	1998-12-07	VYDAJ	VYBER	3100	34270	\N	\N	0
1910491	6472	1994-10-22	VYBER	VYBER	18060	72265	\N	\N	\N
1910493	6472	1994-12-21	VYBER	VYBER	19575	73396	\N	\N	\N
1910494	6472	1995-06-12	VYBER	VYBER	21724	84351	\N	\N	\N
1910495	6472	1995-02-07	VYBER	VYBER	8723	22627	\N	\N	\N
1910496	6472	1995-09-03	VYBER	VYBER	3531	44028	\N	\N	\N
1910497	6472	1995-04-25	VYBER	VYBER	8650	64683	\N	\N	\N
1910498	6472	1995-12-12	VYBER	VYBER	3822	106170	\N	\N	\N
1910499	6472	1995-03-03	VYBER	VYBER	19852	25428	\N	\N	\N
1910500	6472	1995-01-17	VYBER	VYBER	20968	61735	\N	\N	\N
1910501	6472	1995-10-05	VYBER	VYBER	19063	32382	\N	\N	\N
1910502	6472	1995-12-18	VYBER	VYBER	20932	81641	\N	\N	\N
1910503	6472	1995-03-29	VYBER	VYBER	13315	49269	\N	\N	\N
1910504	6472	1995-02-21	VYBER	VYBER	12374	45109	\N	\N	\N
1910505	6472	1995-08-16	VYBER	VYBER	2922	86120	\N	\N	\N
1910506	6472	1995-11-20	VYBER	VYBER	12511	69728	\N	\N	\N
1910507	6472	1996-09-22	VYBER	VYBER	22515	41128	\N	\N	\N
1910508	6472	1996-03-21	VYBER	VYBER	4594	55280	\N	\N	\N
1910509	6472	1996-04-20	VYBER	VYBER	8868	71154	\N	\N	\N
1910510	6472	1996-06-07	VYBER	VYBER	7917	44406	\N	\N	\N
1910511	6472	1996-08-21	VYBER	VYBER	24144	67725	\N	\N	\N
1910512	6472	1996-02-22	VYBER	VYBER	13700	37461	\N	\N	\N
1910513	6472	1996-02-17	VYBER	VYBER	17892	51161	\N	\N	\N
1910514	6472	1996-07-05	VYBER	VYBER	7754	42705	\N	\N	\N
1910515	6472	1996-11-14	VYBER	VYBER	3292	82382	\N	\N	\N
1910516	6472	1996-01-02	VYBER	VYBER	19578	30682	\N	\N	\N
1910517	6472	1996-09-02	VYBER	VYBER	18703	29090	\N	\N	\N
1910518	6472	1997-01-16	VYBER	VYBER	14129	57221	\N	\N	\N
1910519	6472	1997-09-15	VYBER	VYBER	9370	88614	\N	\N	\N
1910521	6472	1998-02-06	VYBER	VYBER	2555	23609	\N	\N	\N
1910523	6472	1998-12-10	VYBER	VYBER	3185	88765	\N	\N	\N
1910524	6472	1998-07-25	VYBER	VYBER	13525	17819	\N	\N	\N
1910527	6472	1998-07-19	VYBER	VYBER	22894	31344	\N	\N	\N
1910528	6472	1998-08-19	VYBER	VYBER	17350	21974	\N	\N	\N
1910529	6472	1998-10-19	VYBER	VYBER	12316	35820	\N	\N	\N
1910530	6472	1998-05-28	VYBER	VYBER	14251	52298	\N	\N	\N
1910531	6472	1998-02-19	VYBER	VYBER	8334	33128	\N	\N	\N
1910533	6472	1995-06-18	VYDAJ	VYBER	13800	66954	\N	\N	\N
1910534	6472	1996-06-16	VYDAJ	VYBER	23700	75386	\N	\N	\N
1910535	6472	1997-06-29	VYDAJ	VYBER	12300	53096	\N	\N	\N
1910536	6472	1998-06-01	VYDAJ	VYBER	26700	25875	\N	\N	\N
1910538	6472	1995-01-30	VYDAJ	VYBER	7500	30235	\N	\N	\N
1910540	6472	1997-01-06	VYDAJ	VYBER	21000	34697	\N	\N	\N
1910541	6472	1998-01-26	VYDAJ	VYBER	18300	25959	\N	\N	\N
1910548	6472	1995-01-02	VYDAJ	VYBER	4200	69550	\N	\N	\N
1910549	6472	1995-01-02	VYDAJ	VYBER	5700	63850	\N	\N	\N
1910550	6472	1995-01-22	VYDAJ	VYBER	5100	45235	\N	\N	\N
1910551	6472	1995-01-23	VYDAJ	VYBER	7500	37735	\N	\N	\N
1910552	6472	1995-01-17	VYDAJ	VYBER	2700	59035	\N	\N	\N
1910553	6472	1995-01-10	VYDAJ	VYBER	1800	82703	\N	\N	\N
1910554	6472	1996-01-29	VYDAJ	VYBER	8400	34238	\N	\N	\N
1910555	6472	1996-01-03	VYDAJ	VYBER	6300	21982	\N	\N	\N
1910556	6472	1996-01-07	VYDAJ	VYBER	2400	17482	\N	\N	\N
1910557	6472	1996-01-01	VYDAJ	VYBER	7800	50260	\N	\N	\N
1910558	6472	1996-01-02	VYDAJ	VYBER	2400	28282	\N	\N	\N
1910559	6472	1996-01-05	VYDAJ	VYBER	2100	19882	\N	\N	\N
1910560	6472	1997-01-27	VYDAJ	VYBER	2700	35421	\N	\N	\N
1910561	6472	1997-01-10	VYDAJ	VYBER	1800	71350	\N	\N	\N
1910562	6472	1997-01-03	VYDAJ	VYBER	2400	55697	\N	\N	\N
1910563	6472	1997-01-30	VYDAJ	VYBER	3900	31521	\N	\N	\N
1910564	6472	1997-01-18	VYDAJ	VYBER	6900	50321	\N	\N	\N
1910565	6472	1997-01-20	VYDAJ	VYBER	1500	48821	\N	\N	\N
1910566	6472	1998-01-21	VYDAJ	VYBER	8400	44259	\N	\N	\N
1910567	6472	1998-01-06	VYDAJ	VYBER	8700	48006	\N	\N	\N
1910568	6472	1998-01-05	VYDAJ	VYBER	4800	56706	\N	\N	\N
1910569	6472	1998-01-15	VYDAJ	VYBER	6900	79559	\N	\N	\N
1910570	6472	1998-01-17	VYDAJ	VYBER	7500	66359	\N	\N	\N
1910571	6472	1998-01-16	VYDAJ	VYBER	5700	73859	\N	\N	\N
1910572	6472	1994-07-08	VYDAJ	VYBER	10800	53838	\N	\N	\N
1910573	6472	1994-10-21	VYDAJ	VYBER	8100	90325	\N	\N	\N
1910574	6472	1994-08-18	VYDAJ	VYBER	4500	82635	\N	\N	\N
1910575	6472	1995-01-17	VYDAJ	VYBER	6000	53035	\N	\N	\N
1910576	6472	1995-09-02	VYDAJ	VYBER	9000	47559	\N	\N	\N
1910577	6472	1995-06-07	VYDAJ	VYBER	5100	48395	\N	\N	\N
1910578	6472	1995-05-30	VYDAJ	VYBER	8700	72593	\N	\N	\N
1910579	6472	1995-06-30	VYDAJ	VYBER	9900	57353	\N	\N	\N
1910580	6472	1995-09-11	VYDAJ	VYBER	5400	77081	\N	\N	\N
1910581	6472	1996-06-11	VYDAJ	VYBER	3000	99086	\N	\N	\N
1910582	6472	1996-12-29	VYDAJ	VYBER	6300	57894	\N	\N	\N
1910583	6472	1996-03-02	VYDAJ	VYBER	8700	23921	\N	\N	\N
1910584	6472	1996-09-14	VYDAJ	VYBER	3900	63643	\N	\N	\N
1910585	6472	1997-10-24	VYDAJ	VYBER	11100	50818	\N	\N	\N
1910586	6472	1997-03-25	VYDAJ	VYBER	9900	45612	\N	\N	\N
1910587	6472	1997-06-12	VYDAJ	VYBER	11400	106696	\N	\N	\N
1910588	6472	1997-12-29	VYDAJ	VYBER	8400	64110	\N	\N	\N
1910589	6472	1997-12-13	VYDAJ	VYBER	4200	107410	\N	\N	\N
1910590	6472	1998-11-09	VYDAJ	VYBER	13500	22475	\N	\N	\N
1910591	6472	1998-02-13	VYDAJ	VYBER	2400	43162	\N	\N	\N
1910592	6472	1998-11-15	VYDAJ	VYBER	9600	37228	\N	\N	\N
1910593	6472	1998-06-29	VYDAJ	VYBER	10200	46555	\N	\N	\N
1910594	6472	1998-02-12	VYDAJ	VYBER	12600	45562	\N	\N	\N
1910595	6472	1998-12-30	VYDAJ	VYBER	2100	58765	\N	\N	\N
1910596	6472	1998-10-08	VYDAJ	VYBER	9600	28683	\N	\N	\N
1910603	6472	1994-06-30	VYDAJ	VYBER	15	64638	SLUZBY	\N	\N
1910604	6472	1994-07-31	VYDAJ	VYBER	15	75182	SLUZBY	\N	\N
1910605	6472	1994-08-31	VYDAJ	VYBER	15	82960	SLUZBY	\N	\N
1910606	6472	1994-09-30	VYDAJ	VYBER	15	92472	SLUZBY	\N	\N
1910607	6472	1994-10-31	VYDAJ	VYBER	15	72618	SLUZBY	\N	\N
1910608	6472	1994-11-30	VYDAJ	VYBER	15	89291	SLUZBY	\N	\N
1910609	6472	1994-12-31	VYDAJ	VYBER	15	73750	SLUZBY	\N	\N
1910610	6472	1995-01-31	VYDAJ	VYBER	15	30450	SLUZBY	\N	\N
1910611	6472	1995-02-28	VYDAJ	VYBER	15	45280	SLUZBY	\N	\N
1910612	6472	1995-03-31	VYDAJ	VYBER	15	49477	SLUZBY	\N	\N
1910613	6472	1995-04-30	VYDAJ	VYBER	15	64937	SLUZBY	\N	\N
1910614	6472	1995-05-31	VYDAJ	VYBER	15	72895	SLUZBY	\N	\N
1910615	6472	1995-06-30	VYDAJ	VYBER	15	57339	SLUZBY	\N	\N
1910616	6472	1995-07-31	VYDAJ	VYBER	15	80386	SLUZBY	\N	\N
1910617	6472	1995-08-31	VYDAJ	VYBER	15	86459	SLUZBY	\N	\N
1910618	6472	1995-09-30	VYDAJ	VYBER	15	73745	SLUZBY	\N	\N
1910619	6472	1995-10-31	VYDAJ	VYBER	15	67483	SLUZBY	\N	\N
1910620	6472	1995-11-30	VYDAJ	VYBER	15	70012	SLUZBY	\N	\N
1910621	6472	1995-12-31	VYDAJ	VYBER	15	58060	SLUZBY	\N	\N
1910622	6472	1996-01-31	VYDAJ	VYBER	15	34400	SLUZBY	\N	\N
1910623	6472	1996-02-29	VYDAJ	VYBER	15	32621	SLUZBY	\N	\N
1910624	6472	1996-03-31	VYDAJ	VYBER	15	44269	SLUZBY	\N	\N
1910625	6472	1996-04-30	VYDAJ	VYBER	15	47001	SLUZBY	\N	\N
1910626	6472	1996-05-31	VYDAJ	VYBER	15	56023	SLUZBY	\N	\N
1910627	6472	1996-06-30	VYDAJ	VYBER	15	50459	SLUZBY	\N	\N
1910628	6472	1996-07-31	VYDAJ	VYBER	15	56216	SLUZBY	\N	\N
1910629	6472	1996-08-31	VYDAJ	VYBER	15	47793	SLUZBY	\N	\N
1910630	6472	1996-09-30	VYDAJ	VYBER	15	36123	SLUZBY	\N	\N
1910631	6472	1996-10-31	VYDAJ	VYBER	15	47221	SLUZBY	\N	\N
1910632	6472	1996-11-30	VYDAJ	VYBER	15	49914	SLUZBY	\N	\N
1910633	6472	1996-12-31	VYDAJ	VYBER	15	58097	SLUZBY	\N	\N
1910634	6472	1997-01-31	VYDAJ	VYBER	15	31708	SLUZBY	\N	\N
1910635	6472	1997-02-28	VYDAJ	VYBER	15	48759	SLUZBY	\N	\N
1910636	6472	1997-03-31	VYDAJ	VYBER	15	45798	SLUZBY	\N	\N
1910637	6472	1997-04-30	VYDAJ	VYBER	15	53491	SLUZBY	\N	\N
1910638	6472	1997-05-31	VYDAJ	VYBER	15	60416	SLUZBY	\N	\N
1910639	6472	1997-06-30	VYDAJ	VYBER	15	53391	SLUZBY	\N	\N
1910640	6472	1997-07-31	VYDAJ	VYBER	15	60154	SLUZBY	\N	\N
1910641	6472	1997-08-31	VYDAJ	VYBER	15	62331	SLUZBY	\N	\N
1910642	6472	1997-09-30	VYDAJ	VYBER	15	59165	SLUZBY	\N	\N
1910643	6472	1997-10-31	VYDAJ	VYBER	15	51035	SLUZBY	\N	\N
1910644	6472	1997-11-30	VYDAJ	VYBER	15	58430	SLUZBY	\N	\N
1910645	6472	1997-12-31	VYDAJ	VYBER	15	64406	SLUZBY	\N	\N
1910646	6472	1998-01-31	VYDAJ	VYBER	15	26164	SLUZBY	\N	\N
1910647	6472	1998-02-28	VYDAJ	VYBER	15	33249	SLUZBY	\N	\N
1910648	6472	1998-03-31	VYDAJ	VYBER	15	55084	SLUZBY	\N	\N
1910649	6472	1998-04-30	VYDAJ	VYBER	15	63596	SLUZBY	\N	\N
1910650	6472	1998-05-31	VYDAJ	VYBER	15	52575	SLUZBY	\N	\N
1910651	6472	1998-06-30	VYDAJ	VYBER	15	46785	SLUZBY	\N	\N
1910652	6472	1998-07-31	VYDAJ	VYBER	15	13871	SLUZBY	\N	\N
1910653	6472	1998-08-31	VYDAJ	VYBER	15	17328	SLUZBY	\N	\N
1910654	6472	1998-09-30	VYDAJ	VYBER	15	42183	SLUZBY	\N	\N
1910655	6472	1998-10-31	VYDAJ	VYBER	15	35975	SLUZBY	\N	\N
1910656	6472	1998-11-30	VYDAJ	VYBER	15	37370	SLUZBY	\N	\N
1910657	6472	1994-03-10	VYDAJ	VYBER	25400	52417	\N	\N	\N
1910658	6472	1994-04-09	VYDAJ	VYBER	15500	37120	\N	\N	\N
1910659	6472	1994-05-09	VYDAJ	VYBER	25500	50358	\N	\N	\N
1910660	6472	1994-06-08	VYDAJ	VYBER	33500	55665	\N	\N	\N
1910661	6472	1994-06-10	VYDAJ	VYBER	43700	69645	\N	\N	\N
1910662	6472	1994-07-08	VYDAJ	VYBER	14200	39638	\N	\N	\N
1910663	6472	1994-08-07	VYDAJ	VYBER	26500	48682	\N	\N	\N
1910664	6472	1994-09-06	VYDAJ	VYBER	26000	56960	\N	\N	\N
1910665	6472	1994-10-06	VYDAJ	VYBER	28800	63672	\N	\N	\N
1910666	6472	1994-11-05	VYDAJ	VYBER	19400	50518	\N	\N	\N
1910667	6472	1994-12-05	VYDAJ	VYBER	26900	62391	\N	\N	\N
1910668	6472	1994-12-10	VYDAJ	VYBER	24100	95971	\N	\N	\N
1910669	6472	1995-01-04	VYDAJ	VYBER	17800	46050	\N	\N	\N
1910670	6472	1995-02-03	PRIJEM	VKLAD	900	31350	\N	\N	\N
1910671	6472	1995-03-05	PRIJEM	VKLAD	2300	27728	\N	\N	\N
1910672	6472	1995-04-04	VYDAJ	VYBER	11000	38477	\N	\N	\N
1910673	6472	1995-05-04	VYDAJ	VYBER	18500	46437	\N	\N	\N
1910674	6472	1995-06-03	VYDAJ	VYBER	19400	53495	\N	\N	\N
1910675	6472	1995-07-03	VYDAJ	VYBER	12100	45239	\N	\N	\N
1910676	6472	1995-08-02	VYDAJ	VYBER	26200	54186	\N	\N	\N
1910677	6472	1995-09-01	VYDAJ	VYBER	29900	56559	\N	\N	\N
1910678	6472	1995-10-01	VYDAJ	VYBER	22300	51445	\N	\N	\N
1910679	6472	1995-10-31	VYDAJ	VYBER	20100	47383	\N	\N	\N
1910680	6472	1995-11-30	VYDAJ	VYBER	17700	52312	\N	\N	\N
1910681	6472	1995-12-30	VYDAJ	VYBER	23900	57741	\N	\N	\N
1910682	6472	1996-01-29	VYDAJ	VYBER	9700	42638	\N	\N	\N
1910683	6472	1996-02-28	VYDAJ	VYBER	5000	32461	\N	\N	\N
1910684	6472	1996-03-29	VYDAJ	VYBER	11200	44080	\N	\N	\N
1910685	6472	1996-04-28	VYDAJ	VYBER	24400	46754	\N	\N	\N
1910686	6472	1996-05-28	VYDAJ	VYBER	27300	55754	\N	\N	\N
1910687	6472	1996-06-27	VYDAJ	VYBER	25200	50186	\N	\N	\N
1910688	6472	1996-07-27	VYDAJ	VYBER	21500	55958	\N	\N	\N
1910689	6472	1996-08-26	VYDAJ	VYBER	20200	47525	\N	\N	\N
1910690	6472	1996-09-25	VYDAJ	VYBER	2400	35928	\N	\N	\N
1910691	6472	1996-10-25	VYDAJ	VYBER	22600	51976	\N	\N	\N
1910692	6472	1996-11-24	VYDAJ	VYBER	25900	56482	\N	\N	\N
1910693	6472	1996-12-24	VYDAJ	VYBER	40600	66994	\N	\N	\N
1910694	6472	1997-01-23	VYDAJ	VYBER	10700	38121	\N	\N	\N
1910695	6472	1997-02-22	VYDAJ	VYBER	17700	48561	\N	\N	\N
1910696	6472	1997-03-24	VYDAJ	VYBER	28700	55512	\N	\N	\N
1910697	6472	1997-04-23	VYDAJ	VYBER	26400	53251	\N	\N	\N
1910698	6472	1997-05-23	VYDAJ	VYBER	29000	60144	\N	\N	\N
1910699	6472	1997-06-22	VYDAJ	VYBER	36600	65396	\N	\N	\N
1910700	6472	1997-07-22	VYDAJ	VYBER	28900	62944	\N	\N	\N
1910701	6472	1997-08-21	VYDAJ	VYBER	33600	62107	\N	\N	\N
1910702	6472	1997-09-20	VYDAJ	VYBER	29700	58914	\N	\N	\N
1910703	6472	1997-10-20	VYDAJ	VYBER	31200	66418	\N	\N	\N
1910704	6472	1997-11-19	VYDAJ	VYBER	28100	58188	\N	\N	\N
1910705	6472	1997-12-19	VYDAJ	VYBER	34900	72510	\N	\N	\N
1910706	6472	1998-01-18	VYDAJ	VYBER	13700	52659	\N	\N	\N
1910707	6472	1998-02-17	VYDAJ	VYBER	1700	41462	\N	\N	\N
1910708	6472	1998-03-19	VYDAJ	VYBER	14300	54902	\N	\N	\N
1910709	6472	1998-04-18	VYDAJ	VYBER	26700	63337	\N	\N	\N
1910710	6472	1998-05-18	VYDAJ	VYBER	32500	66549	\N	\N	\N
1910711	6472	1998-06-17	VYDAJ	VYBER	22200	61355	\N	\N	\N
1910712	6472	1998-07-17	VYDAJ	VYBER	26600	54238	\N	\N	\N
1910713	6472	1998-08-16	VYDAJ	VYBER	13000	39324	\N	\N	\N
1910714	6472	1998-09-15	VYDAJ	VYBER	13700	42081	\N	\N	\N
1910715	6472	1998-10-15	VYDAJ	VYBER	19000	48136	\N	\N	\N
1910716	6472	1998-11-14	VYDAJ	VYBER	9800	46828	\N	\N	\N
1910717	6472	1998-12-14	VYDAJ	VYBER	27900	60865	\N	\N	\N
1910780	6473	1993-01-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1910781	6473	1993-09-04	PRIJEM	VKLAD	45556	100386	\N	\N	\N
1910782	6473	1993-11-15	PRIJEM	VKLAD	42260	80165	\N	\N	\N
1910783	6473	1993-02-25	PRIJEM	VKLAD	23990	45068	\N	\N	\N
1910784	6473	1993-07-19	PRIJEM	VKLAD	29594	91731	\N	\N	\N
1910785	6473	1993-11-03	PRIJEM	VKLAD	12843	37905	\N	\N	\N
1910786	6473	1993-07-17	PRIJEM	VKLAD	44959	62137	\N	\N	\N
1910787	6473	1993-11-17	PRIJEM	VKLAD	22303	102468	\N	\N	\N
1910788	6473	1993-09-07	PRIJEM	VKLAD	5664	106050	\N	\N	\N
1910789	6473	1993-04-27	PRIJEM	VKLAD	33772	74261	\N	\N	\N
1910790	6473	1993-01-26	PRIJEM	VKLAD	19961	21061	\N	\N	\N
1910791	6473	1993-08-24	PRIJEM	VKLAD	37135	82545	\N	\N	\N
1910792	6473	1993-09-15	PRIJEM	VKLAD	47434	69878	\N	\N	\N
1910793	6473	1993-07-20	PRIJEM	VKLAD	34272	126003	\N	\N	\N
1910794	6473	1993-05-27	PRIJEM	VKLAD	20639	69124	\N	\N	\N
1910795	6473	1993-12-06	PRIJEM	VKLAD	8829	87003	\N	\N	\N
1910796	6473	1993-11-27	PRIJEM	VKLAD	23000	77968	\N	\N	\N
1910797	6473	1993-03-05	PRIJEM	VKLAD	42227	78497	\N	\N	\N
1910798	6473	1994-09-08	PRIJEM	VKLAD	18904	28717	\N	\N	\N
1910799	6473	1994-02-04	PRIJEM	VKLAD	34796	73791	\N	\N	\N
1910800	6473	1994-07-22	PRIJEM	VKLAD	34751	77925	\N	\N	\N
1910801	6473	1994-04-15	PRIJEM	VKLAD	29176	75627	\N	\N	\N
1910802	6473	1994-09-22	PRIJEM	VKLAD	44924	64733	\N	\N	\N
1910803	6473	1994-11-16	PRIJEM	VKLAD	37520	71122	\N	\N	\N
1910804	6473	1994-06-26	PRIJEM	VKLAD	46129	55796	\N	\N	\N
1910805	6473	1994-07-15	PRIJEM	VKLAD	13315	62774	\N	\N	\N
1910806	6473	1994-12-03	PRIJEM	VKLAD	7870	50437	\N	\N	\N
1910807	6473	1994-03-30	PRIJEM	VKLAD	25229	46354	\N	\N	\N
1910808	6473	1994-01-12	PRIJEM	VKLAD	36278	89298	\N	\N	\N
1910809	6473	1994-01-03	PRIJEM	VKLAD	21563	63631	\N	\N	\N
1910810	6473	1994-01-06	PRIJEM	VKLAD	9189	72820	\N	\N	\N
1910811	6473	1994-10-24	PRIJEM	VKLAD	10953	39862	\N	\N	\N
1910812	6473	1994-11-17	PRIJEM	VKLAD	32469	103591	\N	\N	\N
1910813	6473	1995-01-21	PRIJEM	VKLAD	42640	47927	\N	\N	\N
1910814	6473	1995-07-06	PRIJEM	VKLAD	16511	48969	\N	\N	\N
1910815	6473	1995-05-06	PRIJEM	VKLAD	44193	93365	\N	\N	\N
1910816	6473	1995-11-09	PRIJEM	VKLAD	26461	49772	\N	\N	\N
1910817	6473	1995-05-15	PRIJEM	VKLAD	7551	94507	\N	\N	\N
1910818	6473	1995-04-16	PRIJEM	VKLAD	45986	62541	\N	\N	\N
1910819	6473	1995-02-27	PRIJEM	VKLAD	41978	77372	\N	\N	\N
1910820	6473	1995-09-06	PRIJEM	VKLAD	29069	60767	\N	\N	\N
1910821	6473	1995-04-06	PRIJEM	VKLAD	8926	31496	\N	\N	\N
1910822	6473	1995-08-10	PRIJEM	VKLAD	39422	88354	\N	\N	\N
1910823	6473	1995-05-24	PRIJEM	VKLAD	37434	92941	\N	\N	\N
1910824	6473	1995-01-29	PRIJEM	VKLAD	29004	58931	\N	\N	\N
1910825	6473	1995-04-23	PRIJEM	VKLAD	15762	61312	\N	\N	\N
1910826	6473	1995-07-28	PRIJEM	VKLAD	32787	55997	\N	\N	\N
1910827	6473	1995-12-19	PRIJEM	VKLAD	39286	53567	\N	\N	\N
1910828	6473	1995-04-22	PRIJEM	VKLAD	14772	45550	\N	\N	\N
1910829	6473	1996-10-12	PRIJEM	VKLAD	45647	98707	\N	\N	\N
1910830	6473	1996-10-11	PRIJEM	VKLAD	38184	53060	\N	\N	\N
1910831	6473	1996-02-05	PRIJEM	VKLAD	44502	56596	\N	\N	\N
1910832	6473	1996-08-08	PRIJEM	VKLAD	20251	67862	\N	\N	\N
1910833	6473	1996-08-04	PRIJEM	VKLAD	39483	47611	\N	\N	\N
1910834	6473	1996-09-30	PRIJEM	VKLAD	32498	31441	\N	\N	\N
1910835	6473	1997-05-07	PRIJEM	VKLAD	47609	93120	\N	\N	\N
1910836	6473	1997-06-13	PRIJEM	VKLAD	22673	62526	\N	\N	\N
1910837	6473	1997-02-26	PRIJEM	VKLAD	45196	105233	\N	\N	\N
1910838	6473	1997-01-31	PRIJEM	VKLAD	17861	59162	\N	\N	\N
1910839	6473	1997-03-18	PRIJEM	VKLAD	18959	76952	\N	\N	\N
1910840	6473	1997-10-31	PRIJEM	VKLAD	25381	75219	\N	\N	\N
1910841	6473	1997-04-14	PRIJEM	VKLAD	29533	88013	\N	\N	\N
1910842	6473	1997-04-06	PRIJEM	VKLAD	11585	58480	\N	\N	\N
1910843	6473	1997-01-01	PRIJEM	VKLAD	49708	58954	\N	\N	\N
1910844	6473	1997-08-17	PRIJEM	VKLAD	7205	49755	\N	\N	\N
1910845	6473	1997-05-13	PRIJEM	VKLAD	46692	128712	\N	\N	\N
1910846	6473	1997-07-17	PRIJEM	VKLAD	37742	69356	\N	\N	\N
1910847	6473	1997-07-04	PRIJEM	VKLAD	30629	49314	\N	\N	\N
1910848	6473	1997-11-11	PRIJEM	VKLAD	20109	65196	\N	\N	\N
1910849	6473	1997-09-19	PRIJEM	VKLAD	24362	101891	\N	\N	\N
1910850	6473	1997-10-25	PRIJEM	VKLAD	30522	49838	\N	\N	\N
1910851	6473	1997-09-16	PRIJEM	VKLAD	44450	77529	\N	\N	\N
1910852	6473	1997-05-28	PRIJEM	VKLAD	43638	120250	\N	\N	\N
1910853	6473	1997-02-13	PRIJEM	VKLAD	48433	84564	\N	\N	\N
1910854	6473	1997-01-17	PRIJEM	VKLAD	42947	73801	\N	\N	\N
1910855	6473	1998-01-20	PRIJEM	VKLAD	18360	27129	\N	\N	\N
1910856	6473	1998-06-15	PRIJEM	VKLAD	25187	64836	\N	\N	\N
1910857	6473	1998-11-15	PRIJEM	VKLAD	18351	50335	\N	\N	\N
1910858	6473	1998-05-14	PRIJEM	VKLAD	39808	97439	\N	\N	\N
1910859	6473	1998-09-30	PRIJEM	VKLAD	12237	49367	\N	\N	\N
1910860	6473	1998-05-05	PRIJEM	VKLAD	5462	57631	\N	\N	\N
1910861	6473	1998-08-15	PRIJEM	VKLAD	24214	58710	\N	\N	\N
1910862	6473	1998-01-20	PRIJEM	VKLAD	33027	60156	\N	\N	\N
1910863	6473	1998-08-28	PRIJEM	VKLAD	45296	118533	\N	\N	\N
1910864	6473	1998-01-29	PRIJEM	VKLAD	24770	81326	\N	\N	\N
1910865	6473	1998-03-08	PRIJEM	VKLAD	34024	63603	\N	\N	\N
1910866	6473	1998-06-24	PRIJEM	VKLAD	40680	105516	\N	\N	\N
1910867	6473	1998-11-21	PRIJEM	VKLAD	18416	68751	\N	\N	\N
1910868	6473	1998-08-20	PRIJEM	VKLAD	46042	94623	\N	\N	\N
1910869	6473	1998-04-19	PRIJEM	VKLAD	29171	57304	\N	\N	\N
1910875	6473	1993-06-12	VYDAJ	VYBER	6500	62916	\N	\N	0
1910876	6473	1993-06-30	VYDAJ	VYBER	9000	28829	\N	\N	0
1910877	6473	1993-07-31	VYDAJ	VYBER	4500	45410	\N	\N	0
1910878	6473	1993-09-12	VYDAJ	VYBER	5000	33565	\N	\N	0
1910879	6473	1993-10-07	VYDAJ	VYBER	4800	40809	\N	\N	0
1910880	6473	1993-11-23	VYDAJ	VYBER	8500	54968	\N	\N	0
1910881	6473	1993-12-11	VYDAJ	VYBER	7100	79903	\N	\N	0
1910882	6473	1993-12-31	VYDAJ	VYBER	6900	42068	\N	\N	0
1910883	6473	1994-01-24	VYDAJ	VYBER	4300	50098	\N	\N	0
1910884	6473	1994-03-22	VYDAJ	VYBER	6000	25025	\N	\N	0
1910885	6473	1994-04-15	VYDAJ	VYBER	7700	67927	\N	\N	0
1910886	6473	1994-05-04	VYDAJ	VYBER	7600	37522	\N	\N	0
1910888	6473	1994-07-12	VYDAJ	PREVOD NA UCET	6409	49459	UVER	KL	93282901
1910889	6473	1994-08-12	VYDAJ	PREVOD NA UCET	6409	47018	UVER	KL	93282901
1910890	6473	1994-09-12	VYDAJ	PREVOD NA UCET	6409	22309	UVER	KL	93282901
1910891	6473	1994-10-12	VYDAJ	PREVOD NA UCET	6409	35809	UVER	KL	93282901
1910892	6473	1994-11-12	VYDAJ	PREVOD NA UCET	6409	33602	UVER	KL	93282901
1910893	6473	1994-12-12	VYDAJ	PREVOD NA UCET	6409	39528	UVER	KL	93282901
1910895	6473	1995-02-12	VYDAJ	PREVOD NA UCET	6409	52594	UVER	KL	93282901
1910896	6473	1995-03-12	VYDAJ	PREVOD NA UCET	6409	58569	UVER	KL	93282901
1910897	6473	1995-04-12	VYDAJ	PREVOD NA UCET	6409	25087	UVER	KL	93282901
1910898	6473	1995-05-12	VYDAJ	PREVOD NA UCET	6409	86956	UVER	KL	93282901
1910899	6473	1995-06-04	VYDAJ	VYBER	6100	69064	\N	\N	0
1910900	6473	1995-07-04	VYDAJ	VYBER	7300	32458	\N	\N	0
1910901	6473	1995-08-07	VYDAJ	VYBER	7200	48932	\N	\N	0
1910902	6473	1995-09-07	VYDAJ	VYBER	5900	54867	\N	\N	0
1910903	6473	1995-10-25	VYDAJ	VYBER	7300	23208	\N	\N	0
1910904	6473	1995-11-15	VYDAJ	VYBER	5600	32872	\N	\N	0
1910905	6473	1995-12-17	VYDAJ	VYBER	7600	14281	\N	\N	0
1910906	6473	1995-12-27	VYDAJ	VYBER	7000	46567	\N	\N	0
1910907	6473	1996-02-06	VYDAJ	VYBER	7200	49396	\N	\N	0
1910908	6473	1996-03-13	VYDAJ	VYBER	6200	17233	\N	\N	0
1910909	6473	1996-04-15	VYDAJ	VYBER	4800	5797	\N	\N	0
1910910	6473	1996-05-01	VYDAJ	VYBER	6000	-196	\N	\N	0
1910911	6473	1996-06-16	VYDAJ	VYBER	6100	5609	\N	\N	0
1910912	6473	1996-07-04	VYDAJ	VYBER	5700	-87	\N	\N	0
1910913	6473	1996-08-19	VYDAJ	VYBER	8400	35562	\N	\N	0
1910914	6473	1996-09-10	VYDAJ	VYBER	6700	13343	\N	\N	0
1910915	6473	1996-10-07	VYDAJ	VYBER	5900	25576	\N	\N	0
1910916	6473	1996-11-13	VYDAJ	VYBER	4500	16875	\N	\N	0
1910918	6473	1997-01-19	VYDAJ	VYBER	6700	67101	\N	\N	0
1910919	6473	1997-02-22	VYDAJ	VYBER	4100	60037	\N	\N	0
1910920	6473	1997-03-14	VYDAJ	VYBER	5700	57993	\N	\N	0
1910921	6473	1997-04-16	VYDAJ	VYBER	5200	82813	\N	\N	0
1910922	6473	1997-05-02	VYDAJ	VYBER	7800	75311	\N	\N	0
1910923	6473	1997-06-10	VYDAJ	VYBER	6100	39853	\N	\N	0
1910924	6473	1997-07-14	VYDAJ	VYBER	6800	31614	\N	\N	0
1910925	6473	1997-08-15	VYDAJ	VYBER	4200	42550	\N	\N	0
1910926	6473	1997-09-21	VYDAJ	VYBER	6300	95591	\N	\N	0
1910927	6473	1997-10-08	VYDAJ	VYBER	7300	41467	\N	\N	0
1910928	6473	1997-11-09	VYDAJ	VYBER	5100	45087	\N	\N	0
1910929	6473	1997-12-18	VYDAJ	VYBER	5500	23975	\N	\N	0
1910931	6473	1998-02-07	VYDAJ	VYBER	7300	48040	\N	\N	0
1910932	6473	1998-03-09	VYDAJ	VYBER	7800	55803	\N	\N	0
1910933	6473	1998-04-04	VYDAJ	VYBER	8700	34979	\N	\N	0
1910934	6473	1998-05-26	VYDAJ	VYBER	7700	89739	\N	\N	0
1910935	6473	1998-06-06	VYDAJ	VYBER	5800	39649	\N	\N	0
1910936	6473	1998-07-21	VYDAJ	VYBER	6500	68560	\N	\N	0
1910937	6473	1998-08-05	VYDAJ	VYBER	6600	40496	\N	\N	0
1910938	6473	1998-09-01	VYDAJ	VYBER	7300	66074	\N	\N	0
1910939	6473	1998-10-12	VYDAJ	VYBER	6700	33938	\N	\N	0
1910940	6473	1998-11-12	VYDAJ	VYBER	5800	31984	\N	\N	0
1910941	6473	1998-12-23	VYDAJ	VYBER	7900	31611	\N	\N	0
1910942	6473	1993-09-18	VYBER	VYBER	9192	60686	\N	\N	\N
1910943	6473	1993-09-07	VYBER	VYBER	21185	84865	\N	\N	\N
1910945	6473	1993-09-13	VYBER	VYBER	11121	22444	\N	\N	\N
1910946	6473	1993-12-21	VYBER	VYBER	2803	71100	\N	\N	\N
1910948	6473	1993-07-02	VYBER	VYBER	11651	17178	\N	\N	\N
1910949	6473	1994-08-24	VYBER	VYBER	23039	9679	\N	\N	\N
1910950	6473	1994-09-30	VYBER	VYBER	22622	42233	\N	\N	\N
1910951	6473	1994-06-08	VYBER	VYBER	14991	-33	\N	\N	\N
1910952	6473	1994-11-29	VYBER	VYBER	14892	42322	\N	\N	\N
1910954	6473	1994-01-25	VYBER	VYBER	2942	47156	\N	\N	\N
1910955	6473	1994-05-09	VYBER	VYBER	21533	15989	\N	\N	\N
1910956	6473	1994-07-29	VYBER	VYBER	24738	53187	\N	\N	\N
1910958	6473	1994-11-17	VYBER	VYBER	10277	93314	\N	\N	\N
1910959	6473	1994-12-24	VYBER	VYBER	16056	11372	\N	\N	\N
1910960	6473	1994-02-23	VYBER	VYBER	22007	25984	\N	\N	\N
1910962	6473	1995-06-06	VYBER	VYBER	5595	59758	\N	\N	\N
1910963	6473	1995-06-06	VYBER	VYBER	3711	65353	\N	\N	\N
1910964	6473	1995-05-03	VYBER	VYBER	12274	49172	\N	\N	\N
1910965	6473	1995-04-13	VYBER	VYBER	8532	16555	\N	\N	\N
1910966	6473	1995-05-28	VYBER	VYBER	18076	74865	\N	\N	\N
1910967	6473	1995-07-13	VYBER	VYBER	21459	27510	\N	\N	\N
1910968	6473	1995-04-19	VYBER	VYBER	10763	30778	\N	\N	\N
1910969	6473	1995-03-29	VYBER	VYBER	15709	22360	\N	\N	\N
1910970	6473	1995-08-23	VYBER	VYBER	16659	34495	\N	\N	\N
1910971	6473	1995-03-09	VYBER	VYBER	12588	64978	\N	\N	\N
1910975	6473	1996-02-25	VYBER	VYBER	2864	25832	\N	\N	\N
1910976	6473	1996-09-09	VYBER	VYBER	4873	20043	\N	\N	\N
1910977	6473	1996-11-09	VYBER	VYBER	7174	21375	\N	\N	\N
1910978	6473	1997-11-14	VYBER	VYBER	16732	48464	\N	\N	\N
1910979	6473	1997-11-24	VYBER	VYBER	17791	30673	\N	\N	\N
1910980	6473	1997-06-14	VYBER	VYBER	19103	43423	\N	\N	\N
1910981	6473	1997-10-24	VYBER	VYBER	14478	19316	\N	\N	\N
1910982	6473	1997-02-14	VYBER	VYBER	20427	64137	\N	\N	\N
1910983	6473	1997-10-18	VYBER	VYBER	7673	33794	\N	\N	\N
1910984	6473	1998-06-02	VYBER	VYBER	12376	45449	\N	\N	\N
1910985	6473	1998-12-28	VYBER	VYBER	3119	29692	\N	\N	\N
1910986	6473	1998-08-17	VYBER	VYBER	10129	48581	\N	\N	\N
1910988	6473	1998-10-05	VYBER	VYBER	8932	40638	\N	\N	\N
1910989	6473	1998-08-25	VYBER	VYBER	21386	73237	\N	\N	\N
1910990	6473	1998-09-11	VYBER	VYBER	19844	46230	\N	\N	\N
1910991	6473	1998-04-10	VYBER	VYBER	6846	28133	\N	\N	\N
1910993	6473	1998-02-24	VYBER	VYBER	22749	25291	\N	\N	\N
1910994	6473	1998-11-28	VYBER	VYBER	19014	39337	\N	\N	\N
1910995	6473	1998-07-22	VYBER	VYBER	19520	49040	\N	\N	\N
1910996	6473	1993-06-13	VYDAJ	VYBER	13800	49116	\N	\N	\N
1911000	6473	1997-06-21	VYDAJ	VYBER	24900	18523	\N	\N	\N
1911002	6473	1993-12-15	VYDAJ	VYBER	6000	73903	\N	\N	\N
1911003	6473	1994-12-05	VYDAJ	VYBER	4500	45937	\N	\N	\N
1911004	6473	1995-12-11	VYDAJ	VYBER	4800	16481	\N	\N	\N
1911006	6473	1997-12-22	VYDAJ	VYBER	2100	21875	\N	\N	\N
1911007	6473	1998-12-26	VYDAJ	VYBER	3900	32811	\N	\N	\N
1911014	6473	1994-01-17	VYDAJ	VYBER	6000	83298	\N	\N	\N
1911015	6473	1994-01-10	VYDAJ	VYBER	6900	53020	\N	\N	\N
1911016	6473	1994-01-07	VYDAJ	VYBER	4800	68020	\N	\N	\N
1911017	6473	1994-01-26	VYDAJ	VYBER	2700	38756	\N	\N	\N
1911018	6473	1994-01-25	VYDAJ	VYBER	5700	41456	\N	\N	\N
1911019	6473	1994-01-09	VYDAJ	VYBER	8100	59920	\N	\N	\N
1911020	6473	1995-01-18	VYDAJ	VYBER	6600	5287	\N	\N	\N
1911021	6473	1995-01-28	VYDAJ	VYBER	5400	29927	\N	\N	\N
1911022	6473	1995-01-22	VYDAJ	VYBER	5700	42227	\N	\N	\N
1911023	6473	1995-01-23	VYDAJ	VYBER	6900	35327	\N	\N	\N
1911024	6473	1995-01-11	VYDAJ	VYBER	2100	4887	\N	\N	\N
1911025	6473	1995-01-01	VYDAJ	VYBER	4500	6987	\N	\N	\N
1911026	6473	1996-01-23	VYDAJ	VYBER	4200	12003	\N	\N	\N
1911027	6473	1996-01-01	VYDAJ	VYBER	3300	43403	\N	\N	\N
1911028	6473	1996-01-20	VYDAJ	VYBER	3300	16203	\N	\N	\N
1911029	6473	1996-01-06	VYDAJ	VYBER	1800	41603	\N	\N	\N
1911030	6473	1996-01-07	VYDAJ	VYBER	3300	38303	\N	\N	\N
1911031	6473	1996-01-15	VYDAJ	VYBER	7800	19503	\N	\N	\N
1911032	6473	1997-01-22	VYDAJ	VYBER	4800	62301	\N	\N	\N
1911033	6473	1997-01-24	VYDAJ	VYBER	2100	60201	\N	\N	\N
1911034	6473	1997-01-29	VYDAJ	VYBER	7500	48501	\N	\N	\N
1911035	6473	1997-01-30	VYDAJ	VYBER	7200	41301	\N	\N	\N
1911036	6473	1997-01-15	VYDAJ	VYBER	6300	30854	\N	\N	\N
1911037	6473	1997-01-26	VYDAJ	VYBER	4200	56001	\N	\N	\N
1911038	6473	1998-01-17	VYDAJ	VYBER	4200	8769	\N	\N	\N
1911040	6473	1998-01-29	VYDAJ	VYBER	6300	75026	\N	\N	\N
1911041	6473	1998-01-22	VYDAJ	VYBER	3600	56556	\N	\N	\N
1911042	6473	1998-01-04	VYDAJ	VYBER	4500	21369	\N	\N	\N
1911046	6473	1993-10-25	VYDAJ	VYBER	8700	24909	\N	\N	\N
1911048	6473	1993-11-19	VYDAJ	VYBER	9000	93468	\N	\N	\N
1911050	6473	1994-03-27	VYDAJ	VYBER	3900	21125	\N	\N	\N
1911051	6473	1994-12-15	VYDAJ	VYBER	5700	33828	\N	\N	\N
1911052	6473	1994-05-10	VYDAJ	VYBER	8100	7889	\N	\N	\N
1911053	6473	1994-08-12	VYDAJ	VYBER	6600	40418	\N	\N	\N
1911055	6473	1995-12-03	VYDAJ	VYBER	1800	31181	\N	\N	\N
1911056	6473	1995-09-16	VYDAJ	VYBER	9300	29767	\N	\N	\N
1911057	6473	1995-12-10	VYDAJ	VYBER	9900	21281	\N	\N	\N
1911058	6473	1995-09-03	VYDAJ	VYBER	3000	31698	\N	\N	\N
1911060	6473	1996-09-16	VYDAJ	VYBER	14400	-1057	\N	\N	\N
1911062	6473	1996-11-28	VYDAJ	VYBER	14700	2175	\N	\N	\N
1911063	6473	1996-03-28	VYDAJ	VYBER	11700	5533	\N	\N	\N
1911065	6473	1997-10-01	VYDAJ	VYBER	12300	75167	\N	\N	\N
1911066	6473	1997-09-29	VYDAJ	VYBER	8400	87191	\N	\N	\N
1911067	6473	1997-05-08	VYDAJ	VYBER	11100	82020	\N	\N	\N
1911068	6473	1998-03-06	VYDAJ	VYBER	1500	29579	\N	\N	\N
1911069	6473	1998-01-05	VYDAJ	VYBER	8400	12969	\N	\N	\N
1911070	6473	1998-03-26	VYDAJ	VYBER	12000	43803	\N	\N	\N
1911071	6473	1998-08-11	VYDAJ	VYBER	6000	34496	\N	\N	\N
1911072	6473	1998-09-29	VYDAJ	VYBER	8400	37130	\N	\N	\N
1911073	6473	1998-09-18	VYDAJ	VYBER	4200	42030	\N	\N	\N
1911074	6473	1998-05-27	VYDAJ	VYBER	13200	76539	\N	\N	\N
1911080	6473	1993-05-31	VYDAJ	VYBER	15	69416	SLUZBY	\N	\N
1911081	6473	1993-06-30	VYDAJ	VYBER	15	37829	SLUZBY	\N	\N
1911082	6473	1993-07-31	VYDAJ	VYBER	15	49910	SLUZBY	\N	\N
1911083	6473	1993-08-31	VYDAJ	VYBER	15	54830	SLUZBY	\N	\N
1911084	6473	1993-09-30	VYDAJ	VYBER	15	45609	SLUZBY	\N	\N
1911085	6473	1993-10-31	VYDAJ	VYBER	15	25062	SLUZBY	\N	\N
1911086	6473	1993-11-30	VYDAJ	VYBER	15	78174	SLUZBY	\N	\N
1911087	6473	1993-12-31	VYDAJ	VYBER	15	48968	SLUZBY	\N	\N
1911088	6473	1994-01-31	VYDAJ	VYBER	15	38995	SLUZBY	\N	\N
1911089	6473	1994-02-28	VYDAJ	VYBER	15	26125	SLUZBY	\N	\N
1911090	6473	1994-03-31	VYDAJ	VYBER	15	46451	SLUZBY	\N	\N
1911091	6473	1994-04-30	VYDAJ	VYBER	15	45122	SLUZBY	\N	\N
1911092	6473	1994-05-31	VYDAJ	VYBER	15	14958	SLUZBY	\N	\N
1911093	6473	1994-06-30	VYDAJ	VYBER	15	55868	SLUZBY	\N	\N
1911094	6473	1994-07-31	VYDAJ	VYBER	15	53426	SLUZBY	\N	\N
1911095	6473	1994-08-31	VYDAJ	VYBER	15	9813	SLUZBY	\N	\N
1911096	6473	1994-09-30	VYDAJ	VYBER	15	42218	SLUZBY	\N	\N
1911097	6473	1994-10-31	VYDAJ	VYBER	15	40010	SLUZBY	\N	\N
1911098	6473	1994-11-30	VYDAJ	VYBER	15	42567	SLUZBY	\N	\N
1911099	6473	1994-12-31	VYDAJ	VYBER	15	11487	SLUZBY	\N	\N
1911100	6473	1995-01-31	VYDAJ	VYBER	15	59003	SLUZBY	\N	\N
1911101	6473	1995-02-28	VYDAJ	VYBER	15	77566	SLUZBY	\N	\N
1911102	6473	1995-03-31	VYDAJ	VYBER	15	22570	SLUZBY	\N	\N
1911103	6473	1995-04-30	VYDAJ	VYBER	15	61446	SLUZBY	\N	\N
1911104	6473	1995-05-31	VYDAJ	VYBER	15	75164	SLUZBY	\N	\N
1911105	6473	1995-06-30	VYDAJ	VYBER	15	39758	SLUZBY	\N	\N
1911106	6473	1995-07-31	VYDAJ	VYBER	15	56132	SLUZBY	\N	\N
1911107	6473	1995-08-31	VYDAJ	VYBER	15	34698	SLUZBY	\N	\N
1911108	6473	1995-09-30	VYDAJ	VYBER	15	29908	SLUZBY	\N	\N
1911109	6473	1995-10-31	VYDAJ	VYBER	15	23311	SLUZBY	\N	\N
1911110	6473	1995-11-30	VYDAJ	VYBER	15	32981	SLUZBY	\N	\N
1911111	6473	1995-12-31	VYDAJ	VYBER	15	46703	SLUZBY	\N	\N
1911112	6473	1996-01-31	VYDAJ	VYBER	15	12094	SLUZBY	\N	\N
1911113	6473	1996-02-29	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
1911114	6473	1996-03-31	VYDAJ	VYBER	15	5597	SLUZBY	\N	\N
1911115	6473	1996-04-30	VYDAJ	VYBER	15	5805	SLUZBY	\N	\N
1911116	6473	1996-05-31	VYDAJ	VYBER	15	4509	SLUZBY	\N	\N
1911117	6473	1996-06-30	VYDAJ	VYBER	15	5614	SLUZBY	\N	\N
1911118	6473	1996-07-31	VYDAJ	VYBER	15	8128	SLUZBY	\N	\N
1911119	6473	1996-08-31	VYDAJ	VYBER	15	35716	SLUZBY	\N	\N
1911120	6473	1996-09-30	VYDAJ	VYBER	15	31476	SLUZBY	\N	\N
1911121	6473	1996-10-31	VYDAJ	VYBER	15	41749	SLUZBY	\N	\N
1911122	6473	1996-11-30	VYDAJ	VYBER	15	2252	SLUZBY	\N	\N
1911123	6473	1996-12-31	VYDAJ	VYBER	15	9246	SLUZBY	\N	\N
1911124	6473	1997-01-31	VYDAJ	VYBER	15	59331	SLUZBY	\N	\N
1911125	6473	1997-02-28	VYDAJ	VYBER	15	105493	SLUZBY	\N	\N
1911126	6473	1997-03-31	VYDAJ	VYBER	15	77295	SLUZBY	\N	\N
1911127	6473	1997-04-30	VYDAJ	VYBER	15	83111	SLUZBY	\N	\N
1911128	6473	1997-05-31	VYDAJ	VYBER	15	69253	SLUZBY	\N	\N
1911129	6473	1997-06-30	VYDAJ	VYBER	15	18685	SLUZBY	\N	\N
1911130	6473	1997-07-31	VYDAJ	VYBER	15	69550	SLUZBY	\N	\N
1911131	6473	1997-08-31	VYDAJ	VYBER	15	49979	SLUZBY	\N	\N
1911132	6473	1997-09-30	VYDAJ	VYBER	15	87467	SLUZBY	\N	\N
1911133	6473	1997-10-31	VYDAJ	VYBER	15	75387	SLUZBY	\N	\N
1911134	6473	1997-11-30	VYDAJ	VYBER	15	30875	SLUZBY	\N	\N
1911135	6473	1997-12-31	VYDAJ	VYBER	15	25869	SLUZBY	\N	\N
1911136	6473	1998-01-31	VYDAJ	VYBER	15	55340	SLUZBY	\N	\N
1911137	6473	1998-02-28	VYDAJ	VYBER	15	25479	SLUZBY	\N	\N
1911138	6473	1998-03-31	VYDAJ	VYBER	15	43679	SLUZBY	\N	\N
1911139	6473	1998-04-30	VYDAJ	VYBER	15	52169	SLUZBY	\N	\N
1911140	6473	1998-05-31	VYDAJ	VYBER	15	57825	SLUZBY	\N	\N
1911141	6473	1998-06-30	VYDAJ	VYBER	15	75060	SLUZBY	\N	\N
1911142	6473	1998-07-31	VYDAJ	VYBER	15	47096	SLUZBY	\N	\N
1911143	6473	1998-08-31	VYDAJ	VYBER	15	73374	SLUZBY	\N	\N
1911144	6473	1998-09-30	VYDAJ	VYBER	15	49570	SLUZBY	\N	\N
1911145	6473	1998-10-31	VYDAJ	VYBER	15	37784	SLUZBY	\N	\N
1911146	6473	1998-11-30	VYDAJ	VYBER	15	39511	SLUZBY	\N	\N
1911147	6473	1993-02-25	VYDAJ	VYBER	8900	36168	\N	\N	\N
1911148	6473	1993-03-27	VYDAJ	VYBER	27700	50797	\N	\N	\N
1911149	6473	1993-04-26	VYDAJ	VYBER	10500	40489	\N	\N	\N
1911150	6473	1993-05-26	VYDAJ	VYBER	26000	48485	\N	\N	\N
1911151	6473	1993-06-25	VYDAJ	VYBER	11500	37616	\N	\N	\N
1911152	6473	1993-07-20	VYDAJ	VYBER	52200	73803	\N	\N	\N
1911153	6473	1993-07-25	VYDAJ	VYBER	24100	49703	\N	\N	\N
1911154	6473	1993-08-24	VYDAJ	VYBER	27900	54645	\N	\N	\N
1911155	6473	1993-09-07	VYDAJ	VYBER	46300	38565	\N	\N	\N
1911156	6473	1993-09-23	VYDAJ	VYBER	15300	45386	\N	\N	\N
1911157	6473	1993-10-23	VYDAJ	VYBER	7200	33609	\N	\N	\N
1911158	6473	1993-11-22	VYDAJ	VYBER	30000	63468	\N	\N	\N
1911159	6473	1993-12-22	VYDAJ	VYBER	22400	48700	\N	\N	\N
1911160	6473	1994-01-21	VYDAJ	VYBER	28900	54398	\N	\N	\N
1911161	6473	1994-02-20	VYDAJ	VYBER	25800	47991	\N	\N	\N
1911162	6473	1994-03-22	PRIJEM	VKLAD	4900	31025	\N	\N	\N
1911163	6473	1994-04-21	VYDAJ	VYBER	23000	44927	\N	\N	\N
1911164	6473	1994-05-21	PRIJEM	VKLAD	7000	14889	\N	\N	\N
1911165	6473	1994-06-20	PRIJEM	VKLAD	9700	9667	\N	\N	\N
1911166	6473	1994-07-20	VYDAJ	VYBER	19600	43174	\N	\N	\N
1911167	6473	1994-08-19	VYDAJ	VYBER	7700	32718	\N	\N	\N
1911168	6473	1994-09-18	VYDAJ	VYBER	2500	19809	\N	\N	\N
1911169	6473	1994-10-18	VYDAJ	VYBER	6900	28909	\N	\N	\N
1911170	6473	1994-11-17	VYDAJ	VYBER	36100	57214	\N	\N	\N
1911171	6473	1994-12-17	VYDAJ	VYBER	6400	27428	\N	\N	\N
1911172	6473	1995-01-16	PRIJEM	VKLAD	7000	11887	\N	\N	\N
1911173	6473	1995-02-15	VYDAJ	VYBER	17200	35394	\N	\N	\N
1911174	6473	1995-03-17	VYDAJ	VYBER	20500	38069	\N	\N	\N
1911175	6473	1995-04-16	VYDAJ	VYBER	21000	41541	\N	\N	\N
1911176	6473	1995-05-16	VYDAJ	VYBER	39000	55507	\N	\N	\N
1911177	6473	1995-06-15	VYDAJ	VYBER	20200	39558	\N	\N	\N
1911178	6473	1995-07-15	VYDAJ	VYBER	4300	23210	\N	\N	\N
1911179	6473	1995-08-14	VYDAJ	VYBER	37200	51154	\N	\N	\N
1911180	6473	1995-09-13	VYDAJ	VYBER	15800	39067	\N	\N	\N
1911181	6473	1995-10-13	PRIJEM	VKLAD	600	30508	\N	\N	\N
1911182	6473	1995-11-12	VYDAJ	VYBER	11300	38472	\N	\N	\N
1911183	6473	1995-12-12	PRIJEM	VKLAD	5400	21881	\N	\N	\N
1911184	6473	1996-01-11	VYDAJ	VYBER	11000	27303	\N	\N	\N
1911185	6473	1996-02-10	VYDAJ	VYBER	20700	28696	\N	\N	\N
1911186	6473	1996-03-11	VYDAJ	VYBER	2500	23433	\N	\N	\N
1911187	6473	1996-04-10	PRIJEM	VKLAD	5000	10597	\N	\N	\N
1911188	6473	1996-05-10	PRIJEM	VKLAD	4700	4505	\N	\N	\N
1911189	6473	1996-06-09	PRIJEM	VKLAD	7200	11709	\N	\N	\N
1911190	6473	1996-07-09	PRIJEM	VKLAD	8200	8114	\N	\N	\N
1911191	6473	1996-08-08	VYDAJ	VYBER	23900	43962	\N	\N	\N
1911192	6473	1996-09-07	VYDAJ	VYBER	10800	24916	\N	\N	\N
1911193	6473	1996-10-07	VYDAJ	VYBER	10700	14876	\N	\N	\N
1911194	6473	1996-10-12	VYDAJ	VYBER	57100	41607	\N	\N	\N
1911195	6473	1996-11-06	VYDAJ	VYBER	13200	28549	\N	\N	\N
1911196	6473	1996-12-06	PRIJEM	VKLAD	7000	9252	\N	\N	\N
1911197	6473	1997-01-05	VYDAJ	VYBER	21800	37154	\N	\N	\N
1911198	6473	1997-02-04	VYDAJ	VYBER	23200	36131	\N	\N	\N
1911199	6473	1997-03-06	VYDAJ	VYBER	41800	63693	\N	\N	\N
1911200	6473	1997-04-05	VYDAJ	VYBER	30400	46895	\N	\N	\N
1911201	6473	1997-05-05	VYDAJ	VYBER	29800	45511	\N	\N	\N
1911202	6473	1997-05-13	VYDAJ	VYBER	52100	76612	\N	\N	\N
1911203	6473	1997-05-28	VYDAJ	VYBER	51400	68850	\N	\N	\N
1911204	6473	1997-06-04	VYDAJ	VYBER	23300	45953	\N	\N	\N
1911205	6473	1997-07-04	VYDAJ	VYBER	10900	38414	\N	\N	\N
1911206	6473	1997-08-03	VYDAJ	VYBER	22800	46750	\N	\N	\N
1911207	6473	1997-09-02	VYDAJ	VYBER	16900	33079	\N	\N	\N
1911208	6473	1997-10-02	VYDAJ	VYBER	26400	48767	\N	\N	\N
1911209	6473	1997-11-01	VYDAJ	VYBER	25200	50187	\N	\N	\N
1911210	6473	1997-12-01	VYDAJ	VYBER	1400	29475	\N	\N	\N
1911211	6473	1997-12-31	PRIJEM	VKLAD	3900	25775	\N	\N	\N
1911212	6473	1998-01-30	VYDAJ	VYBER	19800	55226	\N	\N	\N
1911213	6473	1998-03-01	PRIJEM	VKLAD	5600	31079	\N	\N	\N
1911214	6473	1998-03-31	VYDAJ	VYBER	300	43694	\N	\N	\N
1911215	6473	1998-04-30	VYDAJ	VYBER	5300	52183	\N	\N	\N
1911216	6473	1998-05-30	VYDAJ	VYBER	19000	57539	\N	\N	\N
1911217	6473	1998-06-29	VYDAJ	VYBER	30700	74816	\N	\N	\N
1911218	6473	1998-07-29	VYDAJ	VYBER	2200	46840	\N	\N	\N
1911219	6473	1998-08-28	VYDAJ	VYBER	15700	73133	\N	\N	\N
1911220	6473	1998-08-28	VYDAJ	VYBER	29700	88833	\N	\N	\N
1911221	6473	1998-09-27	PRIJEM	VKLAD	3500	45530	\N	\N	\N
1911222	6473	1998-10-27	PRIJEM	VKLAD	3700	37638	\N	\N	\N
1911223	6473	1998-11-26	VYDAJ	VYBER	10400	58351	\N	\N	\N
1911224	6473	1998-12-26	PRIJEM	VKLAD	5100	36711	\N	\N	\N
1916602	6495	1996-07-23	PRIJEM	VKLAD	500	500	\N	\N	\N
1916610	6495	1996-08-05	PRIJEM	VKLAD	18481	18981	\N	\N	\N
1916611	6495	1996-09-05	PRIJEM	VKLAD	18481	39390	\N	\N	\N
1916612	6495	1996-10-05	PRIJEM	VKLAD	18481	54779	\N	\N	\N
1916613	6495	1996-11-05	PRIJEM	VKLAD	18481	60820	\N	\N	\N
1916614	6495	1996-12-05	PRIJEM	VKLAD	27722	67028	\N	\N	\N
1916615	6495	1997-01-05	PRIJEM	VKLAD	18481	50436	\N	\N	\N
1916616	6495	1997-02-05	PRIJEM	VKLAD	18481	46183	\N	\N	\N
1916617	6495	1997-03-05	PRIJEM	VKLAD	18481	49573	\N	\N	\N
1916618	6495	1997-04-05	PRIJEM	VKLAD	18481	50954	\N	\N	\N
1916619	6495	1997-05-05	PRIJEM	VKLAD	18481	49482	\N	\N	\N
1916620	6495	1997-06-05	PRIJEM	VKLAD	27722	58938	\N	\N	\N
1916621	6495	1997-07-05	PRIJEM	VKLAD	18481	58904	\N	\N	\N
1916622	6495	1997-08-05	PRIJEM	VKLAD	18481	56700	\N	\N	\N
1916623	6495	1997-09-05	PRIJEM	VKLAD	18481	65170	\N	\N	\N
1916624	6495	1997-10-05	PRIJEM	VKLAD	18481	65236	\N	\N	\N
1916625	6495	1997-11-05	PRIJEM	VKLAD	18481	57292	\N	\N	\N
1916626	6495	1997-12-05	PRIJEM	VKLAD	27722	59296	\N	\N	\N
1916627	6495	1998-01-05	PRIJEM	VKLAD	18481	49799	\N	\N	\N
1916628	6495	1998-02-05	PRIJEM	VKLAD	18481	49799	\N	\N	\N
1916629	6495	1998-03-05	PRIJEM	VKLAD	18481	50798	\N	\N	\N
1916630	6495	1998-04-05	PRIJEM	VKLAD	18481	51519	\N	\N	\N
1916631	6495	1998-05-05	PRIJEM	VKLAD	18481	51417	\N	\N	\N
1916632	6495	1998-06-05	PRIJEM	VKLAD	27722	52979	\N	\N	\N
1916633	6495	1998-07-05	PRIJEM	VKLAD	18481	41785	\N	\N	\N
1916634	6495	1998-08-05	PRIJEM	VKLAD	18481	45812	\N	\N	\N
1916635	6495	1998-09-05	PRIJEM	VKLAD	18481	44442	\N	\N	\N
1916636	6495	1998-10-05	PRIJEM	VKLAD	18481	42327	\N	\N	\N
1916637	6495	1998-11-05	PRIJEM	VKLAD	18481	43750	\N	\N	\N
1916638	6495	1998-12-05	PRIJEM	VKLAD	27722	52314	\N	\N	\N
1916650	6495	1996-12-05	VYDAJ	PREVOD NA UCET	8606	58422	SIPO	OP	70482468
1916651	6495	1997-01-05	VYDAJ	PREVOD NA UCET	8606	41830	SIPO	OP	70482468
1916652	6495	1997-02-05	VYDAJ	PREVOD NA UCET	8606	37577	SIPO	OP	70482468
1916653	6495	1997-03-05	VYDAJ	PREVOD NA UCET	8606	40967	SIPO	OP	70482468
1916654	6495	1997-04-05	VYDAJ	PREVOD NA UCET	8606	42348	SIPO	OP	70482468
1916655	6495	1997-05-05	VYDAJ	PREVOD NA UCET	8606	40876	SIPO	OP	70482468
1916656	6495	1997-06-05	VYDAJ	PREVOD NA UCET	8606	50332	SIPO	OP	70482468
1916657	6495	1997-07-05	VYDAJ	PREVOD NA UCET	8606	50298	SIPO	OP	70482468
1916658	6495	1997-08-05	VYDAJ	PREVOD NA UCET	8606	48094	SIPO	OP	70482468
1916659	6495	1997-09-05	VYDAJ	PREVOD NA UCET	8606	56564	SIPO	OP	70482468
1916660	6495	1997-10-05	VYDAJ	PREVOD NA UCET	8606	56630	SIPO	OP	70482468
1916661	6495	1997-11-05	VYDAJ	PREVOD NA UCET	8606	48686	SIPO	OP	70482468
1916662	6495	1997-12-05	VYDAJ	PREVOD NA UCET	8606	50690	SIPO	OP	70482468
1916663	6495	1998-01-05	VYDAJ	PREVOD NA UCET	8606	41193	SIPO	OP	70482468
1916664	6495	1998-02-05	VYDAJ	PREVOD NA UCET	8606	41193	SIPO	OP	70482468
1916665	6495	1998-03-05	VYDAJ	PREVOD NA UCET	8606	42192	SIPO	OP	70482468
1916666	6495	1998-04-05	VYDAJ	PREVOD NA UCET	8606	42913	SIPO	OP	70482468
1916667	6495	1998-05-05	VYDAJ	PREVOD NA UCET	8606	42811	SIPO	OP	70482468
1916668	6495	1998-06-05	VYDAJ	PREVOD NA UCET	8606	44373	SIPO	OP	70482468
1916669	6495	1998-07-05	VYDAJ	PREVOD NA UCET	8606	33179	SIPO	OP	70482468
1916670	6495	1998-08-05	VYDAJ	PREVOD NA UCET	8606	37206	SIPO	OP	70482468
1916671	6495	1998-09-05	VYDAJ	PREVOD NA UCET	8606	35836	SIPO	OP	70482468
1916672	6495	1998-10-05	VYDAJ	PREVOD NA UCET	8606	33721	SIPO	OP	70482468
1916673	6495	1998-11-05	VYDAJ	PREVOD NA UCET	8606	35144	SIPO	OP	70482468
1916674	6495	1998-12-05	VYDAJ	PREVOD NA UCET	8606	43708	SIPO	OP	70482468
1916686	6495	1996-12-04	VYDAJ	VYBER	9500	39306	\N	\N	0
1916687	6495	1996-12-31	VYDAJ	VYBER	9300	31970	\N	\N	0
1916688	6495	1997-02-06	VYDAJ	VYBER	6000	31577	\N	\N	0
1916689	6495	1997-03-15	VYDAJ	VYBER	6300	34667	\N	\N	0
1916690	6495	1997-04-11	VYDAJ	VYBER	10600	31748	\N	\N	0
1916691	6495	1997-05-11	VYDAJ	VYBER	6700	34176	\N	\N	0
1916692	6495	1997-06-01	VYDAJ	VYBER	7800	31216	\N	\N	0
1916693	6495	1997-07-02	VYDAJ	VYBER	5300	40423	\N	\N	0
1916694	6495	1997-08-04	VYDAJ	VYBER	8100	38219	\N	\N	0
1916695	6495	1997-09-08	VYDAJ	VYBER	6900	49664	\N	\N	0
1916696	6495	1997-10-19	VYDAJ	VYBER	11200	38630	\N	\N	0
1916697	6495	1997-11-08	VYDAJ	VYBER	7900	40786	\N	\N	0
1916698	6495	1997-12-11	VYDAJ	VYBER	12200	38490	\N	\N	0
1916699	6495	1998-01-13	VYDAJ	VYBER	8600	32593	\N	\N	0
1916700	6495	1998-02-07	VYDAJ	VYBER	7500	33693	\N	\N	0
1916701	6495	1998-03-17	VYDAJ	VYBER	6100	32892	\N	\N	0
1916702	6495	1998-04-19	VYDAJ	VYBER	11700	34113	\N	\N	0
1916703	6495	1998-05-12	VYDAJ	PREVOD NA UCET	8747	34064	UVER	EF	70085698
1916704	6495	1998-06-12	VYDAJ	PREVOD NA UCET	8747	35626	UVER	EF	70085698
1916705	6495	1998-07-12	VYDAJ	PREVOD NA UCET	8747	24432	UVER	EF	70085698
1916706	6495	1998-08-12	VYDAJ	PREVOD NA UCET	8747	28459	UVER	EF	70085698
1916707	6495	1998-09-12	VYDAJ	PREVOD NA UCET	8747	23749	UVER	EF	70085698
1916708	6495	1998-10-12	VYDAJ	PREVOD NA UCET	8747	25174	UVER	EF	70085698
1916709	6495	1998-11-12	VYDAJ	PREVOD NA UCET	8747	24497	UVER	EF	70085698
1916710	6495	1998-12-12	VYDAJ	PREVOD NA UCET	8747	27961	UVER	EF	70085698
1916713	6495	1998-06-20	VYDAJ	VYBER	11840	23186	\N	\N	\N
1916715	6495	1997-01-25	VYDAJ	VYBER	7680	27550	\N	\N	\N
1916717	6495	1996-12-26	VYDAJ	VYBER	2720	41062	\N	\N	\N
1916718	6495	1997-12-22	VYDAJ	VYBER	4320	31170	\N	\N	\N
1916719	6495	1998-12-20	VYDAJ	VYBER	3840	24121	\N	\N	\N
1916721	6495	1996-12-10	VYDAJ	VYBER	2040	56382	\N	\N	\N
1916726	6495	1997-04-30	VYDAJ	VYBER	4680	31001	\N	\N	\N
1916727	6495	1997-06-15	VYDAJ	VYBER	1200	49132	\N	\N	\N
1916728	6495	1997-12-02	VYDAJ	VYBER	4200	31574	\N	\N	\N
1916729	6495	1997-07-21	VYDAJ	VYBER	3480	46118	\N	\N	\N
1916730	6495	1997-03-28	VYDAJ	VYBER	2040	32327	\N	\N	\N
1916731	6495	1997-11-27	VYDAJ	VYBER	2160	35626	\N	\N	\N
1916732	6495	1998-09-08	VYDAJ	VYBER	1440	34396	\N	\N	\N
1916733	6495	1998-06-02	VYDAJ	VYBER	5640	25257	\N	\N	\N
1916734	6495	1998-04-21	VYDAJ	VYBER	1320	32793	\N	\N	\N
1916747	6495	1996-12-31	VYDAJ	VYBER	15	31955	SLUZBY	\N	\N
1916748	6495	1997-01-31	VYDAJ	VYBER	15	27702	SLUZBY	\N	\N
1916749	6495	1997-02-28	VYDAJ	VYBER	15	31092	SLUZBY	\N	\N
1916750	6495	1997-03-31	VYDAJ	VYBER	15	32473	SLUZBY	\N	\N
1916751	6495	1997-04-30	VYDAJ	VYBER	15	35681	SLUZBY	\N	\N
1916752	6495	1997-05-31	VYDAJ	VYBER	15	39016	SLUZBY	\N	\N
1916753	6495	1997-06-30	VYDAJ	VYBER	15	45723	SLUZBY	\N	\N
1916754	6495	1997-07-31	VYDAJ	VYBER	15	46319	SLUZBY	\N	\N
1916755	6495	1997-08-31	VYDAJ	VYBER	15	46689	SLUZBY	\N	\N
1916756	6495	1997-09-30	VYDAJ	VYBER	15	46755	SLUZBY	\N	\N
1916757	6495	1997-10-31	VYDAJ	VYBER	15	38811	SLUZBY	\N	\N
1916758	6495	1997-11-30	VYDAJ	VYBER	15	35774	SLUZBY	\N	\N
1916759	6495	1997-12-31	VYDAJ	VYBER	15	31318	SLUZBY	\N	\N
1916760	6495	1998-01-31	VYDAJ	VYBER	15	31318	SLUZBY	\N	\N
1916761	6495	1998-02-28	VYDAJ	VYBER	15	32317	SLUZBY	\N	\N
1916762	6495	1998-03-31	VYDAJ	VYBER	15	33038	SLUZBY	\N	\N
1916763	6495	1998-04-30	VYDAJ	VYBER	15	32936	SLUZBY	\N	\N
1916764	6495	1998-05-31	VYDAJ	VYBER	15	30897	SLUZBY	\N	\N
1916765	6495	1998-06-30	VYDAJ	VYBER	15	23304	SLUZBY	\N	\N
1916766	6495	1998-07-31	VYDAJ	VYBER	15	27331	SLUZBY	\N	\N
1916767	6495	1998-08-31	VYDAJ	VYBER	15	25961	SLUZBY	\N	\N
1916768	6495	1998-09-30	VYDAJ	VYBER	15	23846	SLUZBY	\N	\N
1916769	6495	1998-10-31	VYDAJ	VYBER	15	25269	SLUZBY	\N	\N
1916770	6495	1998-11-30	VYDAJ	VYBER	15	24592	SLUZBY	\N	\N
1916771	6495	1996-08-22	PRIJEM	VKLAD	1900	20881	\N	\N	\N
1916772	6495	1996-09-21	VYDAJ	VYBER	3200	36190	\N	\N	\N
1916773	6495	1996-10-21	VYDAJ	VYBER	12600	42179	\N	\N	\N
1916774	6495	1996-11-20	VYDAJ	VYBER	12200	48620	\N	\N	\N
1916775	6495	1996-12-20	VYDAJ	VYBER	12600	43782	\N	\N	\N
1916776	6495	1997-01-19	VYDAJ	VYBER	6600	35230	\N	\N	\N
1916777	6495	1997-02-18	VYDAJ	VYBER	600	30977	\N	\N	\N
1916778	6495	1997-03-20	VYDAJ	VYBER	300	34367	\N	\N	\N
1916779	6495	1997-04-19	PRIJEM	VKLAD	3800	35548	\N	\N	\N
1916780	6495	1997-05-19	PRIJEM	VKLAD	4700	38876	\N	\N	\N
1916781	6495	1997-06-18	VYDAJ	VYBER	3600	45532	\N	\N	\N
1916782	6495	1997-07-18	VYDAJ	VYBER	700	49598	\N	\N	\N
1916783	6495	1997-08-17	VYDAJ	VYBER	1600	46494	\N	\N	\N
1916784	6495	1997-09-16	VYDAJ	VYBER	3100	46564	\N	\N	\N
1916785	6495	1997-10-16	VYDAJ	VYBER	6800	49830	\N	\N	\N
1916786	6495	1997-11-15	VYDAJ	VYBER	3000	37786	\N	\N	\N
1916787	6495	1997-12-15	VYDAJ	VYBER	3000	35490	\N	\N	\N
1916788	6495	1998-01-14	VYDAJ	VYBER	1400	31193	\N	\N	\N
1916789	6495	1998-02-13	VYDAJ	VYBER	1500	32193	\N	\N	\N
1916790	6495	1998-03-15	VYDAJ	VYBER	3200	38992	\N	\N	\N
1916791	6495	1998-04-14	PRIJEM	VKLAD	2900	45813	\N	\N	\N
1916792	6495	1998-05-14	VYDAJ	VYBER	3300	30764	\N	\N	\N
1916793	6495	1998-06-13	VYDAJ	VYBER	600	35026	\N	\N	\N
1916794	6495	1998-07-13	PRIJEM	VKLAD	2800	27232	\N	\N	\N
1916795	6495	1998-08-12	VYDAJ	VYBER	2600	25859	\N	\N	\N
1916796	6495	1998-09-11	VYDAJ	VYBER	1900	32496	\N	\N	\N
1916797	6495	1998-10-11	PRIJEM	VKLAD	200	33921	\N	\N	\N
1916798	6495	1998-11-10	VYDAJ	VYBER	1900	33244	\N	\N	\N
1916799	6495	1998-12-10	VYDAJ	VYBER	7000	36708	\N	\N	\N
1919705	6505	1997-09-13	PRIJEM	VKLAD	800	800	\N	\N	\N
1919709	6505	1997-09-28	PRIJEM	VKLAD	35231	36031	\N	\N	\N
1919710	6505	1998-07-18	PRIJEM	VKLAD	28344	62718	\N	\N	\N
1919711	6505	1998-11-09	PRIJEM	VKLAD	21739	62931	\N	\N	\N
1919712	6505	1998-09-24	PRIJEM	VKLAD	25058	91911	\N	\N	\N
1919713	6505	1998-09-09	PRIJEM	VKLAD	12315	70753	\N	\N	\N
1919714	6505	1998-08-17	PRIJEM	VKLAD	31585	73045	\N	\N	\N
1919715	6505	1998-06-10	PRIJEM	VKLAD	38123	54470	\N	\N	\N
1919716	6505	1998-08-29	PRIJEM	VKLAD	12420	85465	\N	\N	\N
1919737	6505	1998-09-15	VYDAJ	VYBER	3900	66853	\N	\N	0
1919738	6505	1998-10-12	VYDAJ	PREVOD NA UCET	3208	57516	UVER	WX	49671936
1919739	6505	1998-11-12	VYDAJ	PREVOD NA UCET	3208	59723	UVER	WX	49671936
1919740	6505	1998-12-12	VYDAJ	PREVOD NA UCET	3208	39749	UVER	WX	49671936
1919745	6505	1998-12-01	VYDAJ	VYBER	6300	53656	\N	\N	\N
1919790	6505	1998-08-31	VYDAJ	VYBER	15	85738	SLUZBY	\N	\N
1919791	6505	1998-09-30	VYDAJ	VYBER	15	92223	SLUZBY	\N	\N
1919792	6505	1998-10-31	VYDAJ	VYBER	15	57792	SLUZBY	\N	\N
1919793	6505	1998-11-30	VYDAJ	VYBER	15	59956	SLUZBY	\N	\N
1919794	6505	1997-10-13	VYDAJ	VYBER	9900	26146	\N	\N	\N
1919795	6505	1997-11-12	VYDAJ	VYBER	3200	23096	\N	\N	\N
1919796	6505	1997-12-12	VYDAJ	VYBER	400	22846	\N	\N	\N
1919797	6505	1998-01-11	VYDAJ	VYBER	1600	21396	\N	\N	\N
1919798	6505	1998-02-10	VYDAJ	VYBER	3000	18547	\N	\N	\N
1919799	6505	1998-03-12	VYDAJ	VYBER	500	18197	\N	\N	\N
1919800	6505	1998-04-11	PRIJEM	VKLAD	500	18847	\N	\N	\N
1919801	6505	1998-05-11	VYDAJ	VYBER	2800	16197	\N	\N	\N
1919802	6505	1998-06-10	VYDAJ	VYBER	16900	37570	\N	\N	\N
1919803	6505	1998-07-10	VYDAJ	VYBER	3400	34374	\N	\N	\N
1919804	6505	1998-08-09	VYDAJ	VYBER	21500	41460	\N	\N	\N
1919805	6505	1998-09-08	VYDAJ	VYBER	27300	58438	\N	\N	\N
1919806	6505	1998-10-08	VYDAJ	VYBER	31500	60723	\N	\N	\N
1919807	6505	1998-11-07	VYDAJ	VYBER	16600	41192	\N	\N	\N
1919808	6505	1998-12-07	VYDAJ	VYBER	10700	42956	\N	\N	\N
1920880	6510	1996-12-18	PRIJEM	VKLAD	900	900	\N	\N	\N
1920888	6510	1996-12-22	PRIJEM	VKLAD	40044	40944	\N	\N	\N
1920889	6510	1997-12-07	PRIJEM	VKLAD	12570	53499	\N	\N	\N
1920890	6510	1997-04-01	PRIJEM	VKLAD	44561	71706	\N	\N	\N
1920891	6510	1997-01-04	PRIJEM	VKLAD	37308	78307	\N	\N	\N
1920892	6510	1997-09-13	PRIJEM	VKLAD	38010	101283	\N	\N	\N
1920893	6510	1997-02-03	PRIJEM	VKLAD	30586	112176	\N	\N	\N
1920894	6510	1997-08-08	PRIJEM	VKLAD	42573	56530	\N	\N	\N
1920895	6510	1997-09-03	PRIJEM	VKLAD	27200	66481	\N	\N	\N
1920896	6510	1997-01-06	PRIJEM	VKLAD	17042	95349	\N	\N	\N
1920897	6510	1997-12-01	PRIJEM	VKLAD	21912	53229	\N	\N	\N
1920898	6510	1997-01-07	PRIJEM	VKLAD	9902	105251	\N	\N	\N
1920899	6510	1997-03-04	PRIJEM	VKLAD	6716	54047	\N	\N	\N
1920900	6510	1997-05-09	PRIJEM	VKLAD	44721	97200	\N	\N	\N
1920901	6510	1997-09-23	PRIJEM	VKLAD	19353	64382	\N	\N	\N
1920902	6510	1997-04-24	PRIJEM	VKLAD	16793	64899	\N	\N	\N
1920903	6510	1997-11-07	PRIJEM	VKLAD	23075	106723	\N	\N	\N
1920904	6510	1997-11-17	PRIJEM	VKLAD	6022	41648	\N	\N	\N
1920905	6510	1997-01-14	PRIJEM	VKLAD	22666	107017	\N	\N	\N
1920906	6510	1997-02-16	PRIJEM	VKLAD	16071	98247	\N	\N	\N
1920907	6510	1997-07-10	PRIJEM	VKLAD	11700	19548	\N	\N	\N
1920908	6510	1997-11-04	PRIJEM	VKLAD	39745	83648	\N	\N	\N
1920909	6510	1997-01-24	PRIJEM	VKLAD	21064	60281	\N	\N	\N
1920910	6510	1997-06-10	PRIJEM	VKLAD	45639	105509	\N	\N	\N
1920911	6510	1997-12-10	PRIJEM	VKLAD	43716	97215	\N	\N	\N
1920912	6510	1997-01-27	PRIJEM	VKLAD	21021	81302	\N	\N	\N
1920913	6510	1998-06-19	PRIJEM	VKLAD	15475	30537	\N	\N	\N
1920914	6510	1998-08-19	PRIJEM	VKLAD	7265	83235	\N	\N	\N
1920915	6510	1998-08-22	PRIJEM	VKLAD	19432	102667	\N	\N	\N
1920916	6510	1998-10-29	PRIJEM	VKLAD	25937	82614	\N	\N	\N
1920917	6510	1998-01-22	PRIJEM	VKLAD	35010	55711	\N	\N	\N
1920918	6510	1998-07-29	PRIJEM	VKLAD	8930	24602	\N	\N	\N
1920919	6510	1998-08-18	PRIJEM	VKLAD	42020	75970	\N	\N	\N
1920933	6510	1997-02-19	VYDAJ	VYBER	1900	60847	\N	\N	0
1920934	6510	1997-03-08	VYDAJ	VYBER	4000	50047	\N	\N	0
1920935	6510	1997-04-15	VYDAJ	VYBER	3800	67906	\N	\N	0
1920936	6510	1997-05-12	VYDAJ	PREVOD NA UCET	3208	93992	UVER	EF	50882208
1920937	6510	1997-06-12	VYDAJ	PREVOD NA UCET	3208	42901	UVER	EF	50882208
1920938	6510	1997-07-12	VYDAJ	PREVOD NA UCET	3208	16341	UVER	EF	50882208
1920939	6510	1997-08-12	VYDAJ	PREVOD NA UCET	3208	53322	UVER	EF	50882208
1920940	6510	1997-09-12	VYDAJ	PREVOD NA UCET	3208	63273	UVER	EF	50882208
1920941	6510	1997-10-12	VYDAJ	PREVOD NA UCET	3208	61385	UVER	EF	50882208
1920942	6510	1997-11-12	VYDAJ	PREVOD NA UCET	3208	54215	UVER	EF	50882208
1920943	6510	1997-12-12	VYDAJ	PREVOD NA UCET	3208	94007	UVER	EF	50882208
1920944	6510	1998-01-12	VYDAJ	PREVOD NA UCET	3208	31635	UVER	EF	50882208
1920945	6510	1998-02-12	VYDAJ	PREVOD NA UCET	3208	25877	UVER	EF	50882208
1920946	6510	1998-03-12	VYDAJ	PREVOD NA UCET	3208	10638	UVER	EF	50882208
1920947	6510	1998-04-12	VYDAJ	PREVOD NA UCET	3208	19183	UVER	EF	50882208
1920948	6510	1998-05-12	VYDAJ	PREVOD NA UCET	3208	21824	UVER	EF	50882208
1920949	6510	1998-06-12	VYDAJ	PREVOD NA UCET	3208	15062	UVER	EF	50882208
1920950	6510	1998-07-12	VYDAJ	PREVOD NA UCET	3208	24372	UVER	EF	50882208
1920951	6510	1998-08-12	VYDAJ	PREVOD NA UCET	3208	33950	UVER	EF	50882208
1920952	6510	1998-09-12	VYDAJ	PREVOD NA UCET	3208	61890	UVER	EF	50882208
1920953	6510	1998-10-12	VYDAJ	PREVOD NA UCET	3208	56677	UVER	EF	50882208
1920954	6510	1998-11-12	VYDAJ	PREVOD NA UCET	3208	66246	UVER	EF	50882208
1920955	6510	1998-12-12	VYDAJ	PREVOD NA UCET	3208	47707	UVER	EF	50882208
1920957	6510	1997-08-15	VYBER	VYBER	13659	39663	\N	\N	\N
1920958	6510	1997-05-01	VYBER	VYBER	12587	52479	\N	\N	\N
1920959	6510	1997-11-13	VYBER	VYBER	19089	35626	\N	\N	\N
1920960	6510	1997-06-23	VYBER	VYBER	4503	30298	\N	\N	\N
1920961	6510	1997-07-07	VYBER	VYBER	8785	7848	\N	\N	\N
1920962	6510	1997-06-23	VYBER	VYBER	13844	16454	\N	\N	\N
1920963	6510	1997-03-09	VYBER	VYBER	22523	27524	\N	\N	\N
1920964	6510	1997-07-30	VYBER	VYBER	10453	13888	\N	\N	\N
1920965	6510	1997-09-19	VYBER	VYBER	21754	45029	\N	\N	\N
1920966	6510	1998-09-09	VYBER	VYBER	24300	78597	\N	\N	\N
1920967	6510	1998-02-18	VYBER	VYBER	12147	13730	\N	\N	\N
1920968	6510	1998-11-20	VYBER	VYBER	6007	60239	\N	\N	\N
1920970	6510	1998-01-10	VYBER	VYBER	17785	33643	\N	\N	\N
1920971	6510	1998-05-16	VYBER	VYBER	13102	8722	\N	\N	\N
1920972	6510	1998-02-02	VYBER	VYBER	21901	32485	\N	\N	\N
1920973	6510	1998-06-27	VYBER	VYBER	19113	11424	\N	\N	\N
1920974	6510	1998-01-18	VYBER	VYBER	3734	20701	\N	\N	\N
1920975	6510	1998-06-11	VYBER	VYBER	10196	18270	\N	\N	\N
1920980	6510	1997-01-18	VYDAJ	VYBER	27300	39217	\N	\N	\N
1920981	6510	1998-01-17	VYDAJ	VYBER	7200	24435	\N	\N	\N
1920983	6510	1997-12-16	VYDAJ	VYBER	8100	56007	\N	\N	\N
1920984	6510	1998-12-15	VYDAJ	VYBER	4200	43507	\N	\N	\N
1920995	6510	1997-10-31	VYDAJ	VYBER	5700	43903	\N	\N	\N
1920996	6510	1997-02-20	VYDAJ	VYBER	13800	47047	\N	\N	\N
1920997	6510	1997-12-04	VYDAJ	VYBER	12300	40929	\N	\N	\N
1920998	6510	1997-11-27	VYDAJ	VYBER	10500	31148	\N	\N	\N
1920999	6510	1998-11-29	VYDAJ	VYBER	3300	56939	\N	\N	\N
1921000	6510	1998-03-28	VYDAJ	VYBER	12300	8238	\N	\N	\N
1921001	6510	1998-12-09	VYDAJ	VYBER	8400	50915	\N	\N	\N
1921002	6510	1998-07-19	VYDAJ	VYBER	8700	15672	\N	\N	\N
1921003	6510	1998-01-01	VYDAJ	VYBER	4800	51428	\N	\N	\N
1921004	6510	1998-01-29	VYDAJ	VYBER	1500	54211	\N	\N	\N
1921018	6510	1997-01-31	VYDAJ	VYBER	15	81590	SLUZBY	\N	\N
1921019	6510	1997-02-28	VYDAJ	VYBER	15	47331	SLUZBY	\N	\N
1921020	6510	1997-03-31	VYDAJ	VYBER	15	27145	SLUZBY	\N	\N
1921021	6510	1997-04-30	VYDAJ	VYBER	15	65066	SLUZBY	\N	\N
1921022	6510	1997-05-31	VYDAJ	VYBER	15	59870	SLUZBY	\N	\N
1921023	6510	1997-06-30	VYDAJ	VYBER	15	16633	SLUZBY	\N	\N
1921024	6510	1997-07-31	VYDAJ	VYBER	15	13957	SLUZBY	\N	\N
1921025	6510	1997-08-31	VYDAJ	VYBER	15	39281	SLUZBY	\N	\N
1921026	6510	1997-09-30	VYDAJ	VYBER	15	64593	SLUZBY	\N	\N
1921027	6510	1997-10-31	VYDAJ	VYBER	15	49603	SLUZBY	\N	\N
1921028	6510	1997-11-30	VYDAJ	VYBER	15	31317	SLUZBY	\N	\N
1921029	6510	1997-12-31	VYDAJ	VYBER	15	56228	SLUZBY	\N	\N
1921030	6510	1998-01-31	VYDAJ	VYBER	15	54386	SLUZBY	\N	\N
1921031	6510	1998-02-28	VYDAJ	VYBER	15	13846	SLUZBY	\N	\N
1921032	6510	1998-03-31	VYDAJ	VYBER	15	8291	SLUZBY	\N	\N
1921033	6510	1998-04-30	VYDAJ	VYBER	15	19232	SLUZBY	\N	\N
1921034	6510	1998-05-31	VYDAJ	VYBER	15	8766	SLUZBY	\N	\N
1921035	6510	1998-06-30	VYDAJ	VYBER	15	11480	SLUZBY	\N	\N
1921036	6510	1998-07-31	VYDAJ	VYBER	15	24658	SLUZBY	\N	\N
1921037	6510	1998-08-31	VYDAJ	VYBER	15	102897	SLUZBY	\N	\N
1921038	6510	1998-09-30	VYDAJ	VYBER	15	62185	SLUZBY	\N	\N
1921039	6510	1998-10-31	VYDAJ	VYBER	15	82853	SLUZBY	\N	\N
1921040	6510	1998-11-30	VYDAJ	VYBER	15	57215	SLUZBY	\N	\N
1921041	6510	1997-01-07	VYDAJ	VYBER	20900	84351	\N	\N	\N
1921042	6510	1997-01-17	VYDAJ	VYBER	40500	66517	\N	\N	\N
1921043	6510	1997-02-03	VYDAJ	VYBER	30000	82176	\N	\N	\N
1921044	6510	1997-02-16	VYDAJ	VYBER	35500	62747	\N	\N	\N
1921045	6510	1997-03-18	VYDAJ	VYBER	500	27024	\N	\N	\N
1921046	6510	1997-04-17	VYDAJ	VYBER	19800	48106	\N	\N	\N
1921047	6510	1997-05-17	VYDAJ	VYBER	34400	59592	\N	\N	\N
1921048	6510	1997-06-10	VYDAJ	VYBER	59400	46109	\N	\N	\N
1921049	6510	1997-06-16	VYDAJ	VYBER	8100	34801	\N	\N	\N
1921050	6510	1997-07-16	PRIJEM	VKLAD	8000	24341	\N	\N	\N
1921051	6510	1997-08-15	VYDAJ	VYBER	500	39163	\N	\N	\N
1921052	6510	1997-09-14	VYDAJ	VYBER	34500	66783	\N	\N	\N
1921053	6510	1997-10-14	VYDAJ	VYBER	12000	49385	\N	\N	\N
1921054	6510	1997-11-07	VYDAJ	VYBER	49300	57423	\N	\N	\N
1921055	6510	1997-11-13	PRIJEM	VKLAD	500	54715	\N	\N	\N
1921056	6510	1997-12-13	VYDAJ	VYBER	29900	64107	\N	\N	\N
1921057	6510	1998-01-12	PRIJEM	VKLAD	1200	34843	\N	\N	\N
1921058	6510	1998-02-11	VYDAJ	VYBER	3400	29085	\N	\N	\N
1921059	6510	1998-03-13	PRIJEM	VKLAD	9900	20538	\N	\N	\N
1921060	6510	1998-04-12	PRIJEM	VKLAD	14100	22391	\N	\N	\N
1921061	6510	1998-05-12	PRIJEM	VKLAD	5800	25032	\N	\N	\N
1921062	6510	1998-06-11	PRIJEM	VKLAD	19700	28466	\N	\N	\N
1921063	6510	1998-07-11	PRIJEM	VKLAD	16100	27580	\N	\N	\N
1921064	6510	1998-08-10	PRIJEM	VKLAD	12500	37158	\N	\N	\N
1921065	6510	1998-09-09	VYDAJ	VYBER	13500	65097	\N	\N	\N
1921066	6510	1998-10-09	VYDAJ	VYBER	2300	59885	\N	\N	\N
1921067	6510	1998-11-08	VYDAJ	VYBER	13400	69453	\N	\N	\N
1921068	6510	1998-12-08	PRIJEM	VKLAD	2100	59315	\N	\N	\N
1921094	6511	1994-06-10	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1921096	6511	1994-08-03	PRIJEM	VKLAD	10785	23885	\N	\N	\N
1921104	6511	1995-12-02	PRIJEM	VKLAD	22909	64433	\N	\N	\N
1921105	6511	1995-09-24	PRIJEM	VKLAD	47945	95383	\N	\N	\N
1921106	6511	1995-01-08	PRIJEM	VKLAD	37031	61494	\N	\N	\N
1921107	6511	1995-02-14	PRIJEM	VKLAD	40157	108046	\N	\N	\N
1921108	6511	1995-12-20	PRIJEM	VKLAD	12932	91718	\N	\N	\N
1921109	6511	1995-07-26	PRIJEM	VKLAD	12161	71924	\N	\N	\N
1921110	6511	1995-02-18	PRIJEM	VKLAD	21057	97503	\N	\N	\N
1921111	6511	1995-06-26	PRIJEM	VKLAD	41105	53676	\N	\N	\N
1921112	6511	1995-05-30	PRIJEM	VKLAD	18872	67390	\N	\N	\N
1921113	6511	1995-02-01	PRIJEM	VKLAD	42288	132089	\N	\N	\N
1921114	6511	1995-10-22	PRIJEM	VKLAD	37183	118367	\N	\N	\N
1921115	6511	1995-07-28	PRIJEM	VKLAD	6109	78033	\N	\N	\N
1921116	6511	1995-04-11	PRIJEM	VKLAD	17724	59696	\N	\N	\N
1921117	6511	1995-08-04	PRIJEM	VKLAD	21277	99531	\N	\N	\N
1921118	6511	1995-10-10	PRIJEM	VKLAD	21975	81184	\N	\N	\N
1921119	6511	1995-12-11	PRIJEM	VKLAD	39254	82386	\N	\N	\N
1921120	6511	1995-08-13	PRIJEM	VKLAD	46248	87531	\N	\N	\N
1921121	6511	1995-07-13	PRIJEM	VKLAD	9970	42698	\N	\N	\N
1921122	6511	1995-01-12	PRIJEM	VKLAD	28011	89505	\N	\N	\N
1921123	6511	1995-07-22	PRIJEM	VKLAD	28765	71463	\N	\N	\N
1921124	6511	1995-12-30	PRIJEM	VKLAD	43470	125019	\N	\N	\N
1921125	6511	1995-12-25	PRIJEM	VKLAD	44600	129049	\N	\N	\N
1921126	6511	1995-05-02	PRIJEM	VKLAD	21390	81318	\N	\N	\N
1921127	6511	1995-03-31	PRIJEM	VKLAD	29507	58161	\N	\N	\N
1921128	6511	1996-06-05	PRIJEM	VKLAD	5018	20865	\N	\N	\N
1921129	6511	1996-10-04	PRIJEM	VKLAD	13051	40834	\N	\N	\N
1921130	6511	1997-03-31	PRIJEM	VKLAD	15487	57525	\N	\N	\N
1921131	6511	1997-09-19	PRIJEM	VKLAD	21439	93544	\N	\N	\N
1921132	6511	1997-12-23	PRIJEM	VKLAD	48558	100442	\N	\N	\N
1921133	6511	1997-12-11	PRIJEM	VKLAD	32134	64984	\N	\N	\N
1921134	6511	1997-09-06	PRIJEM	VKLAD	37352	55271	\N	\N	\N
1921135	6511	1997-04-07	PRIJEM	VKLAD	44066	101809	\N	\N	\N
1921136	6511	1997-05-24	PRIJEM	VKLAD	34804	116674	\N	\N	\N
1921137	6511	1997-02-08	PRIJEM	VKLAD	21771	84202	\N	\N	\N
1921138	6511	1997-01-26	PRIJEM	VKLAD	19889	62342	\N	\N	\N
1921139	6511	1997-04-08	PRIJEM	VKLAD	29150	130959	\N	\N	\N
1921140	6511	1997-01-25	PRIJEM	VKLAD	10825	58453	\N	\N	\N
1921141	6511	1997-01-04	PRIJEM	VKLAD	33291	47628	\N	\N	\N
1921142	6511	1997-10-24	PRIJEM	VKLAD	9527	63406	\N	\N	\N
1921143	6511	1997-05-15	PRIJEM	VKLAD	34547	81870	\N	\N	\N
1921144	6511	1997-10-14	PRIJEM	VKLAD	47307	126079	\N	\N	\N
1921145	6511	1997-09-29	PRIJEM	VKLAD	27867	100627	\N	\N	\N
1921146	6511	1997-09-14	PRIJEM	VKLAD	16834	72105	\N	\N	\N
1921147	6511	1997-09-23	PRIJEM	VKLAD	20374	85018	\N	\N	\N
1921148	6511	1997-12-24	PRIJEM	VKLAD	10328	110770	\N	\N	\N
1921149	6511	1997-03-04	PRIJEM	VKLAD	15191	64334	\N	\N	\N
1921150	6511	1997-06-08	PRIJEM	VKLAD	39020	71479	\N	\N	\N
1921151	6511	1998-08-22	PRIJEM	VKLAD	28418	60396	\N	\N	\N
1921218	6511	1995-07-05	VYBER	VYBER	21418	32728	\N	\N	\N
1921219	6511	1995-08-10	VYBER	VYBER	14164	41283	\N	\N	\N
1921220	6511	1995-08-08	VYBER	VYBER	11284	55447	\N	\N	\N
1921222	6511	1995-12-05	VYBER	VYBER	3801	43132	\N	\N	\N
1921224	6511	1995-12-21	VYBER	VYBER	7269	84449	\N	\N	\N
1921225	6511	1995-02-25	VYBER	VYBER	2800	94703	\N	\N	\N
1921226	6511	1995-11-05	VYBER	VYBER	9797	48747	\N	\N	\N
1921227	6511	1995-06-04	VYBER	VYBER	3238	64371	\N	\N	\N
1921230	6511	1995-03-06	VYBER	VYBER	20911	74154	\N	\N	\N
1921231	6511	1995-11-17	VYBER	VYBER	7421	41326	\N	\N	\N
1921232	6511	1996-02-06	VYBER	VYBER	15914	4806	\N	\N	\N
1921234	6511	1996-10-15	VYBER	VYBER	12769	17783	\N	\N	\N
1921237	6511	1996-01-02	VYBER	VYBER	13007	36933	\N	\N	\N
1921239	6511	1996-05-21	VYBER	VYBER	8410	-585	\N	\N	\N
1921241	6511	1996-05-12	VYBER	VYBER	3852	13225	\N	\N	\N
1921242	6511	1996-10-10	VYBER	VYBER	10282	30552	\N	\N	\N
1921243	6511	1996-12-17	VYBER	VYBER	12964	3291	\N	\N	\N
1921244	6511	1996-03-02	VYBER	VYBER	11983	1839	\N	\N	\N
1921245	6511	1997-10-08	VYBER	VYBER	7872	78772	\N	\N	\N
1921246	6511	1997-04-15	VYBER	VYBER	19895	69064	\N	\N	\N
1921247	6511	1997-11-09	VYBER	VYBER	15672	30993	\N	\N	\N
1921248	6511	1997-09-25	VYBER	VYBER	12258	72760	\N	\N	\N
1921249	6511	1997-10-05	VYBER	VYBER	5389	86644	\N	\N	\N
1921250	6511	1997-10-01	VYBER	VYBER	8799	92033	\N	\N	\N
1921251	6511	1997-10-26	VYBER	VYBER	17082	46324	\N	\N	\N
1921252	6511	1997-06-29	VYBER	VYBER	16439	9340	\N	\N	\N
1921253	6511	1997-08-05	VYBER	VYBER	12402	6458	\N	\N	\N
1921254	6511	1997-03-05	VYBER	VYBER	3396	60938	\N	\N	\N
1921255	6511	1998-12-02	VYBER	VYBER	3871	12797	\N	\N	\N
1921256	6511	1998-01-14	VYBER	VYBER	22102	35078	\N	\N	\N
1921257	6511	1998-11-18	VYBER	VYBER	5716	16635	\N	\N	\N
1921258	6511	1998-02-01	VYBER	VYBER	16526	23562	\N	\N	\N
1921260	6511	1998-09-21	VYBER	VYBER	19640	24197	\N	\N	\N
1921261	6511	1998-02-23	VYBER	VYBER	13582	18580	\N	\N	\N
1921262	6511	1998-03-23	VYBER	VYBER	12595	12210	\N	\N	\N
1921263	6511	1998-10-22	VYBER	VYBER	13980	8890	\N	\N	\N
1921264	6511	1998-10-14	VYBER	VYBER	15378	8970	\N	\N	\N
1921266	6511	1995-06-20	VYDAJ	VYBER	35100	12571	\N	\N	\N
1921268	6511	1997-06-11	VYDAJ	VYBER	45300	26179	\N	\N	\N
1921272	6511	1996-01-05	VYDAJ	VYBER	13500	23433	\N	\N	\N
1921274	6511	1998-01-01	VYDAJ	VYBER	21300	59580	\N	\N	\N
1921276	6511	1995-12-19	VYDAJ	VYBER	3600	78786	\N	\N	\N
1921277	6511	1996-12-10	VYDAJ	VYBER	5400	16255	\N	\N	\N
1921278	6511	1997-12-30	VYDAJ	VYBER	1500	109270	\N	\N	\N
1921279	6511	1998-12-04	VYDAJ	VYBER	3300	9497	\N	\N	\N
1921284	6511	1995-03-20	VYDAJ	VYBER	14400	37654	\N	\N	\N
1921285	6511	1995-09-26	VYDAJ	VYBER	8100	87283	\N	\N	\N
1921286	6511	1995-09-19	VYDAJ	VYBER	10800	51338	\N	\N	\N
1921287	6511	1995-09-20	VYDAJ	VYBER	3900	47438	\N	\N	\N
1921288	6511	1995-05-24	VYDAJ	VYBER	7800	48518	\N	\N	\N
1921289	6511	1995-03-26	VYDAJ	VYBER	9000	28654	\N	\N	\N
1921290	6511	1995-07-24	VYDAJ	VYBER	11700	59763	\N	\N	\N
1921291	6511	1996-01-09	VYDAJ	VYBER	2700	20733	\N	\N	\N
1921292	6511	1996-05-13	VYDAJ	VYBER	5400	7825	\N	\N	\N
1921294	6511	1996-08-30	VYDAJ	VYBER	13500	19112	\N	\N	\N
1921295	6511	1996-02-06	VYDAJ	VYBER	3300	1506	\N	\N	\N
1921296	6511	1996-11-05	VYDAJ	VYBER	12600	13067	\N	\N	\N
1921297	6511	1996-05-08	VYDAJ	VYBER	7200	17077	\N	\N	\N
1921299	6511	1997-04-19	VYDAJ	VYBER	2400	66664	\N	\N	\N
1921301	6511	1997-05-31	VYDAJ	VYBER	11400	32474	\N	\N	\N
1921302	6511	1997-02-19	VYDAJ	VYBER	11400	72802	\N	\N	\N
1921303	6511	1998-01-12	VYDAJ	VYBER	2400	57180	\N	\N	\N
1921304	6511	1998-08-28	VYDAJ	VYBER	11700	48696	\N	\N	\N
1921319	6511	1995-02-28	VYDAJ	VYBER	15	95065	SLUZBY	\N	\N
1921320	6511	1995-03-31	VYDAJ	VYBER	15	58372	SLUZBY	\N	\N
1921321	6511	1995-04-30	VYDAJ	VYBER	15	59928	SLUZBY	\N	\N
1921322	6511	1995-05-31	VYDAJ	VYBER	15	67609	SLUZBY	\N	\N
1921323	6511	1995-06-30	VYDAJ	VYBER	15	53846	SLUZBY	\N	\N
1921324	6511	1995-07-31	VYDAJ	VYBER	15	78254	SLUZBY	\N	\N
1921325	6511	1995-08-31	VYDAJ	VYBER	15	87838	SLUZBY	\N	\N
1921326	6511	1995-09-30	VYDAJ	VYBER	15	87609	SLUZBY	\N	\N
1921327	6511	1995-10-31	VYDAJ	VYBER	15	91644	SLUZBY	\N	\N
1921328	6511	1995-11-30	VYDAJ	VYBER	15	41524	SLUZBY	\N	\N
1921329	6511	1995-12-31	VYDAJ	VYBER	15	75340	SLUZBY	\N	\N
1921330	6511	1996-01-31	VYDAJ	VYBER	15	20820	SLUZBY	\N	\N
1921331	6511	1996-02-29	VYDAJ	VYBER	15	1522	SLUZBY	\N	\N
1921332	6511	1996-03-31	VYDAJ	VYBER	15	14032	SLUZBY	\N	\N
1921333	6511	1996-04-30	VYDAJ	VYBER	15	24277	SLUZBY	\N	\N
1921334	6511	1996-05-31	VYDAJ	VYBER	15	15850	SLUZBY	\N	\N
1921335	6511	1996-06-30	VYDAJ	VYBER	15	26019	SLUZBY	\N	\N
1921336	6511	1996-07-31	VYDAJ	VYBER	15	30012	SLUZBY	\N	\N
1921337	6511	1996-08-31	VYDAJ	VYBER	15	19218	SLUZBY	\N	\N
1921338	6511	1996-09-30	VYDAJ	VYBER	15	27783	SLUZBY	\N	\N
1921339	6511	1996-10-31	VYDAJ	VYBER	15	25667	SLUZBY	\N	\N
1921340	6511	1996-11-30	VYDAJ	VYBER	15	21655	SLUZBY	\N	\N
1921341	6511	1996-12-31	VYDAJ	VYBER	15	14337	SLUZBY	\N	\N
1921342	6511	1997-01-31	VYDAJ	VYBER	15	62431	SLUZBY	\N	\N
1921343	6511	1997-02-28	VYDAJ	VYBER	15	49143	SLUZBY	\N	\N
1921344	6511	1997-03-31	VYDAJ	VYBER	15	57743	SLUZBY	\N	\N
1921345	6511	1997-04-30	VYDAJ	VYBER	15	47323	SLUZBY	\N	\N
1921346	6511	1997-05-31	VYDAJ	VYBER	15	32459	SLUZBY	\N	\N
1921347	6511	1997-06-30	VYDAJ	VYBER	15	9436	SLUZBY	\N	\N
1921348	6511	1997-07-31	VYDAJ	VYBER	15	18860	SLUZBY	\N	\N
1921349	6511	1997-08-31	VYDAJ	VYBER	15	17919	SLUZBY	\N	\N
1921350	6511	1997-09-30	VYDAJ	VYBER	15	100832	SLUZBY	\N	\N
1921351	6511	1997-10-31	VYDAJ	VYBER	15	46665	SLUZBY	\N	\N
1921352	6511	1997-11-30	VYDAJ	VYBER	15	32850	SLUZBY	\N	\N
1921353	6511	1997-12-31	VYDAJ	VYBER	15	80880	SLUZBY	\N	\N
1921354	6511	1998-01-31	VYDAJ	VYBER	15	40088	SLUZBY	\N	\N
1921355	6511	1998-02-28	VYDAJ	VYBER	15	18705	SLUZBY	\N	\N
1921356	6511	1998-03-31	VYDAJ	VYBER	15	12262	SLUZBY	\N	\N
1921357	6511	1998-04-30	VYDAJ	VYBER	15	22897	SLUZBY	\N	\N
1921358	6511	1998-05-31	VYDAJ	VYBER	15	27975	SLUZBY	\N	\N
1921359	6511	1998-06-30	VYDAJ	VYBER	15	29374	SLUZBY	\N	\N
1921360	6511	1998-07-31	VYDAJ	VYBER	15	30078	SLUZBY	\N	\N
1921361	6511	1998-08-31	VYDAJ	VYBER	15	48837	SLUZBY	\N	\N
1921362	6511	1998-09-30	VYDAJ	VYBER	15	24348	SLUZBY	\N	\N
1921363	6511	1998-10-31	VYDAJ	VYBER	15	8951	SLUZBY	\N	\N
1921364	6511	1998-11-30	VYDAJ	VYBER	15	16668	SLUZBY	\N	\N
1921365	6511	1994-07-10	PRIJEM	VKLAD	12000	13100	\N	\N	\N
1921366	6511	1994-08-09	PRIJEM	VKLAD	300	24185	\N	\N	\N
1921367	6511	1994-09-08	PRIJEM	VKLAD	1900	26160	\N	\N	\N
1921368	6511	1994-10-08	VYDAJ	VYBER	1700	24561	\N	\N	\N
1921369	6511	1994-11-07	PRIJEM	VKLAD	800	25461	\N	\N	\N
1921370	6511	1994-12-07	VYDAJ	VYBER	200	25362	\N	\N	\N
1921371	6511	1995-01-06	VYDAJ	VYBER	1000	24463	\N	\N	\N
1921372	6511	1995-02-01	VYDAJ	VYBER	25500	106589	\N	\N	\N
1921373	6511	1995-02-05	VYDAJ	VYBER	38700	67889	\N	\N	\N
1921374	6511	1995-02-14	VYDAJ	VYBER	31600	76446	\N	\N	\N
1921375	6511	1995-03-07	VYDAJ	VYBER	22100	52054	\N	\N	\N
1921376	6511	1995-04-06	VYDAJ	VYBER	16400	41972	\N	\N	\N
1921377	6511	1995-05-06	VYDAJ	VYBER	25000	56318	\N	\N	\N
1921378	6511	1995-06-05	VYDAJ	VYBER	16700	47671	\N	\N	\N
1921379	6511	1995-07-05	PRIJEM	VKLAD	300	54146	\N	\N	\N
1921380	6511	1995-08-04	VYDAJ	VYBER	32800	66731	\N	\N	\N
1921381	6511	1995-09-03	VYDAJ	VYBER	25700	62138	\N	\N	\N
1921382	6511	1995-10-03	VYDAJ	VYBER	28400	59209	\N	\N	\N
1921383	6511	1995-10-22	VYDAJ	VYBER	27100	91267	\N	\N	\N
1921384	6511	1995-11-02	VYDAJ	VYBER	33100	58544	\N	\N	\N
1921385	6511	1995-12-02	VYDAJ	VYBER	17500	46933	\N	\N	\N
1921386	6511	1995-12-25	VYDAJ	VYBER	47500	81549	\N	\N	\N
1921387	6511	1995-12-30	VYDAJ	VYBER	50000	75019	\N	\N	\N
1921388	6511	1996-01-01	VYDAJ	VYBER	25400	49940	\N	\N	\N
1921389	6511	1996-01-31	VYDAJ	VYBER	100	20720	\N	\N	\N
1921390	6511	1996-03-01	PRIJEM	VKLAD	12300	13822	\N	\N	\N
1921391	6511	1996-03-31	PRIJEM	VKLAD	12200	14039	\N	\N	\N
1921392	6511	1996-04-30	PRIJEM	VKLAD	10200	24232	\N	\N	\N
1921393	6511	1996-05-30	PRIJEM	VKLAD	16400	15815	\N	\N	\N
1921394	6511	1996-06-29	PRIJEM	VKLAD	5100	25965	\N	\N	\N
1921395	6511	1996-07-29	PRIJEM	VKLAD	3900	29919	\N	\N	\N
1921396	6511	1996-08-28	PRIJEM	VKLAD	2600	32612	\N	\N	\N
1921397	6511	1996-09-27	PRIJEM	VKLAD	8500	27718	\N	\N	\N
1921398	6511	1996-10-27	PRIJEM	VKLAD	7800	25583	\N	\N	\N
1921399	6511	1996-11-26	PRIJEM	VKLAD	8500	21567	\N	\N	\N
1921400	6511	1996-12-26	PRIJEM	VKLAD	11000	14291	\N	\N	\N
1921401	6511	1997-01-25	VYDAJ	VYBER	16000	42453	\N	\N	\N
1921402	6511	1997-02-24	VYDAJ	VYBER	23900	48902	\N	\N	\N
1921403	6511	1997-03-26	VYDAJ	VYBER	18900	42038	\N	\N	\N
1921404	6511	1997-04-08	VYDAJ	VYBER	42000	88959	\N	\N	\N
1921405	6511	1997-04-25	VYDAJ	VYBER	19600	47064	\N	\N	\N
1921406	6511	1997-05-24	VYDAJ	VYBER	49300	67374	\N	\N	\N
1921407	6511	1997-05-25	VYDAJ	VYBER	23700	43674	\N	\N	\N
1921408	6511	1997-06-24	VYDAJ	VYBER	400	25779	\N	\N	\N
1921409	6511	1997-07-24	PRIJEM	VKLAD	9400	18836	\N	\N	\N
1921410	6511	1997-08-23	PRIJEM	VKLAD	11400	17858	\N	\N	\N
1921411	6511	1997-09-22	VYDAJ	VYBER	28900	64644	\N	\N	\N
1921412	6511	1997-10-14	VYDAJ	VYBER	55600	70479	\N	\N	\N
1921413	6511	1997-10-22	VYDAJ	VYBER	16600	53879	\N	\N	\N
1921414	6511	1997-11-21	PRIJEM	VKLAD	1700	32693	\N	\N	\N
1921415	6511	1997-12-21	VYDAJ	VYBER	13100	51884	\N	\N	\N
1921416	6511	1997-12-30	VYDAJ	VYBER	28600	80670	\N	\N	\N
1921417	6511	1998-01-20	PRIJEM	VKLAD	4800	39878	\N	\N	\N
1921418	6511	1998-02-19	PRIJEM	VKLAD	8600	32162	\N	\N	\N
1921419	6511	1998-03-21	PRIJEM	VKLAD	6100	24805	\N	\N	\N
1921420	6511	1998-04-20	PRIJEM	VKLAD	10600	22862	\N	\N	\N
1921421	6511	1998-05-20	PRIJEM	VKLAD	5000	27897	\N	\N	\N
1921422	6511	1998-06-19	PRIJEM	VKLAD	1300	29275	\N	\N	\N
1921423	6511	1998-07-19	PRIJEM	VKLAD	600	29974	\N	\N	\N
1921424	6511	1998-08-18	PRIJEM	VKLAD	1900	31978	\N	\N	\N
1921425	6511	1998-09-17	VYDAJ	VYBER	5000	43837	\N	\N	\N
1921426	6511	1998-10-17	PRIJEM	VKLAD	13900	22870	\N	\N	\N
1921427	6511	1998-11-16	PRIJEM	VKLAD	13400	22351	\N	\N	\N
1921485	6512	1996-02-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1921487	6512	1996-02-05	PRIJEM	PREVOD Z UCTU	10768	11868	\N	ST	20248377
1921488	6512	1996-03-05	PRIJEM	PREVOD Z UCTU	10768	29979	\N	ST	20248377
1921489	6512	1996-04-05	PRIJEM	PREVOD Z UCTU	10768	39062	\N	ST	20248377
1921490	6512	1996-05-05	PRIJEM	PREVOD Z UCTU	10768	44688	\N	ST	20248377
1921491	6512	1996-06-05	PRIJEM	PREVOD Z UCTU	16152	48223	\N	ST	20248377
1921492	6512	1996-07-05	PRIJEM	PREVOD Z UCTU	10768	26772	\N	ST	20248377
1921493	6512	1996-08-05	PRIJEM	PREVOD Z UCTU	10768	22459	\N	ST	20248377
1921494	6512	1996-09-05	PRIJEM	PREVOD Z UCTU	10768	31779	\N	ST	20248377
1921495	6512	1996-10-05	PRIJEM	PREVOD Z UCTU	10768	39605	\N	ST	20248377
1921496	6512	1996-11-05	PRIJEM	PREVOD Z UCTU	10768	47465	\N	ST	20248377
1921497	6512	1996-12-05	PRIJEM	PREVOD Z UCTU	16152	56541	\N	ST	20248377
1921498	6512	1997-01-05	PRIJEM	PREVOD Z UCTU	10768	53686	\N	ST	20248377
1921499	6512	1997-02-05	PRIJEM	PREVOD Z UCTU	10768	39382	\N	ST	20248377
1921500	6512	1997-03-05	PRIJEM	PREVOD Z UCTU	10768	51643	\N	ST	20248377
1921501	6512	1997-04-05	PRIJEM	PREVOD Z UCTU	10768	52751	\N	ST	20248377
1921502	6512	1997-05-05	PRIJEM	PREVOD Z UCTU	10768	42465	\N	ST	20248377
1921503	6512	1997-06-05	PRIJEM	PREVOD Z UCTU	16152	47630	\N	ST	20248377
1921504	6512	1997-07-05	PRIJEM	PREVOD Z UCTU	10768	29204	\N	ST	20248377
1921505	6512	1997-08-05	PRIJEM	PREVOD Z UCTU	10768	41827	\N	ST	20248377
1921506	6512	1997-09-05	PRIJEM	PREVOD Z UCTU	10768	33293	\N	ST	20248377
1921507	6512	1997-10-05	PRIJEM	PREVOD Z UCTU	10768	42432	\N	ST	20248377
1921508	6512	1997-11-05	PRIJEM	PREVOD Z UCTU	10768	22591	\N	ST	20248377
1921509	6512	1997-12-05	PRIJEM	PREVOD Z UCTU	16152	31007	\N	ST	20248377
1921510	6512	1998-01-05	PRIJEM	PREVOD Z UCTU	10768	31520	\N	ST	20248377
1921511	6512	1998-02-05	PRIJEM	PREVOD Z UCTU	10768	18017	\N	ST	20248377
1921512	6512	1998-03-05	PRIJEM	PREVOD Z UCTU	10768	21501	\N	ST	20248377
1921513	6512	1998-04-05	PRIJEM	PREVOD Z UCTU	10768	27089	\N	ST	20248377
1921514	6512	1998-05-05	PRIJEM	PREVOD Z UCTU	10768	28797	\N	ST	20248377
1921515	6512	1998-06-05	PRIJEM	PREVOD Z UCTU	16152	14270	\N	ST	20248377
1921516	6512	1998-07-05	PRIJEM	PREVOD Z UCTU	10768	25264	\N	ST	20248377
1921517	6512	1998-08-05	PRIJEM	PREVOD Z UCTU	10768	31971	\N	ST	20248377
1921518	6512	1998-09-05	PRIJEM	PREVOD Z UCTU	10768	23032	\N	ST	20248377
1921519	6512	1998-10-05	PRIJEM	PREVOD Z UCTU	10768	19934	\N	ST	20248377
1921520	6512	1998-11-05	PRIJEM	PREVOD Z UCTU	10768	10187	\N	ST	20248377
1921521	6512	1998-12-05	PRIJEM	PREVOD Z UCTU	16152	25222	\N	ST	20248377
1921523	6512	1996-06-16	VYBER	VYBER	4804	16618	\N	\N	\N
1921526	6512	1996-12-19	VYBER	VYBER	2287	52754	\N	\N	\N
1921527	6512	1996-08-16	VYBER	VYBER	6682	15777	\N	\N	\N
1921528	6512	1996-07-16	VYBER	VYBER	17426	9346	\N	\N	\N
1921532	6512	1996-06-09	VYBER	VYBER	14201	34022	\N	\N	\N
1921533	6512	1996-07-26	VYBER	VYBER	12679	-3334	\N	\N	\N
1921535	6512	1997-11-08	VYBER	VYBER	16944	5647	\N	\N	\N
1921536	6512	1997-06-05	VYBER	VYBER	6784	40846	\N	\N	\N
1921537	6512	1997-05-13	VYBER	VYBER	10807	31658	\N	\N	\N
1921538	6512	1997-06-24	VYBER	VYBER	20693	6053	\N	\N	\N
1921539	6512	1998-10-28	VYBER	VYBER	5539	6608	\N	\N	\N
1921540	6512	1998-08-14	VYBER	VYBER	14550	17421	\N	\N	\N
1921541	6512	1998-02-07	VYBER	VYBER	10687	7330	\N	\N	\N
1921542	6512	1998-12-07	VYBER	VYBER	4740	20482	\N	\N	\N
1921543	6512	1998-05-08	VYBER	VYBER	15129	13668	\N	\N	\N
1921544	6512	1998-10-23	VYBER	VYBER	5287	12147	\N	\N	\N
1921545	6512	1998-01-06	VYBER	VYBER	10179	21341	\N	\N	\N
1921546	6512	1998-11-16	VYBER	VYBER	9897	290	\N	\N	\N
1921547	6512	1998-06-02	VYBER	VYBER	11074	-1882	\N	\N	\N
1921548	6512	1998-09-09	VYBER	VYBER	20566	2466	\N	\N	\N
1921555	6512	1996-12-15	VYDAJ	VYBER	1500	55041	\N	\N	\N
1921556	6512	1997-12-24	VYDAJ	VYBER	8700	20707	\N	\N	\N
1921557	6512	1998-12-17	VYDAJ	VYBER	6600	13882	\N	\N	\N
1921564	6512	1997-01-10	VYDAJ	VYBER	4200	42586	\N	\N	\N
1921565	6512	1997-01-16	VYDAJ	VYBER	2400	35986	\N	\N	\N
1921566	6512	1997-01-10	VYDAJ	VYBER	6900	46786	\N	\N	\N
1921567	6512	1997-01-11	VYDAJ	VYBER	4200	38386	\N	\N	\N
1921568	6512	1997-01-28	VYDAJ	VYBER	8100	28486	\N	\N	\N
1921569	6512	1997-01-22	VYDAJ	VYBER	3600	32386	\N	\N	\N
1921571	6512	1998-01-07	VYDAJ	VYBER	3000	18341	\N	\N	\N
1921572	6512	1998-01-17	VYDAJ	VYBER	6900	941	\N	\N	\N
1921573	6512	1998-01-08	VYDAJ	VYBER	5100	13241	\N	\N	\N
1921574	6512	1998-01-17	VYDAJ	VYBER	2100	-1159	\N	\N	\N
1921575	6512	1998-01-12	VYDAJ	VYBER	5400	7841	\N	\N	\N
1921576	6512	1996-07-03	VYDAJ	VYBER	7500	16004	\N	\N	\N
1921577	6512	1996-06-14	VYDAJ	VYBER	12600	21422	\N	\N	\N
1921580	6512	1997-08-30	VYDAJ	VYBER	12300	22427	\N	\N	\N
1921581	6512	1997-10-30	VYDAJ	VYBER	8400	11732	\N	\N	\N
1921582	6512	1997-10-26	VYDAJ	VYBER	12900	20132	\N	\N	\N
1921583	6512	1997-05-03	VYDAJ	VYBER	13200	31697	\N	\N	\N
1921584	6512	1997-06-09	VYDAJ	VYBER	14100	26746	\N	\N	\N
1921587	6512	1998-08-31	VYDAJ	VYBER	1800	12294	\N	\N	\N
1921588	6512	1998-10-28	VYDAJ	VYBER	7200	-592	\N	\N	\N
1921589	6512	1998-10-15	VYDAJ	VYBER	5100	14834	\N	\N	\N
1921596	6512	1996-06-30	VYDAJ	VYBER	30	16704	SLUZBY	\N	\N
1921597	6512	1996-07-31	VYDAJ	VYBER	30	-3303	SLUZBY	\N	\N
1921598	6512	1996-08-31	VYDAJ	VYBER	30	21015	SLUZBY	\N	\N
1921599	6512	1996-09-30	VYDAJ	VYBER	30	28837	SLUZBY	\N	\N
1921600	6512	1996-10-31	VYDAJ	VYBER	30	36697	SLUZBY	\N	\N
1921601	6512	1996-11-30	VYDAJ	VYBER	30	40389	SLUZBY	\N	\N
1921602	6512	1996-12-31	VYDAJ	VYBER	30	42918	SLUZBY	\N	\N
1921603	6512	1997-01-31	VYDAJ	VYBER	30	28614	SLUZBY	\N	\N
1921604	6512	1997-02-28	VYDAJ	VYBER	30	40875	SLUZBY	\N	\N
1921605	6512	1997-03-31	VYDAJ	VYBER	30	41983	SLUZBY	\N	\N
1921606	6512	1997-04-30	VYDAJ	VYBER	30	44897	SLUZBY	\N	\N
1921607	6512	1997-05-31	VYDAJ	VYBER	30	31478	SLUZBY	\N	\N
1921608	6512	1997-06-30	VYDAJ	VYBER	30	18436	SLUZBY	\N	\N
1921609	6512	1997-07-31	VYDAJ	VYBER	30	31059	SLUZBY	\N	\N
1921610	6512	1997-08-31	VYDAJ	VYBER	30	22525	SLUZBY	\N	\N
1921611	6512	1997-09-30	VYDAJ	VYBER	30	31664	SLUZBY	\N	\N
1921612	6512	1997-10-31	VYDAJ	VYBER	30	11823	SLUZBY	\N	\N
1921613	6512	1997-11-30	VYDAJ	VYBER	30	14855	SLUZBY	\N	\N
1921614	6512	1997-12-31	VYDAJ	VYBER	30	20752	SLUZBY	\N	\N
1921615	6512	1998-01-31	VYDAJ	VYBER	30	7251	SLUZBY	\N	\N
1921616	6512	1998-02-28	VYDAJ	VYBER	30	10733	SLUZBY	\N	\N
1921617	6512	1998-03-31	VYDAJ	VYBER	30	16321	SLUZBY	\N	\N
1921618	6512	1998-04-30	VYDAJ	VYBER	30	18029	SLUZBY	\N	\N
1921619	6512	1998-05-31	VYDAJ	VYBER	30	9192	SLUZBY	\N	\N
1921620	6512	1998-06-30	VYDAJ	VYBER	30	14496	SLUZBY	\N	\N
1921621	6512	1998-07-31	VYDAJ	VYBER	30	21203	SLUZBY	\N	\N
1921622	6512	1998-08-31	VYDAJ	VYBER	30	12264	SLUZBY	\N	\N
1921623	6512	1998-09-30	VYDAJ	VYBER	30	9166	SLUZBY	\N	\N
1921624	6512	1998-10-31	VYDAJ	VYBER	30	-580	SLUZBY	\N	\N
1921625	6512	1998-11-30	VYDAJ	VYBER	30	9070	SLUZBY	\N	\N
1921626	6512	1996-03-04	PRIJEM	VKLAD	7300	19211	\N	\N	\N
1921627	6512	1996-04-03	VYDAJ	VYBER	1800	28294	\N	\N	\N
1921628	6512	1996-05-03	VYDAJ	VYBER	5300	33920	\N	\N	\N
1921629	6512	1996-06-02	VYDAJ	VYBER	12800	32071	\N	\N	\N
1921630	6512	1996-07-02	PRIJEM	VKLAD	6800	23504	\N	\N	\N
1921631	6512	1996-08-01	PRIJEM	VKLAD	15000	11691	\N	\N	\N
1921632	6512	1996-08-31	PRIJEM	VKLAD	5200	20977	\N	\N	\N
1921633	6512	1996-09-30	VYDAJ	VYBER	3000	28867	\N	\N	\N
1921634	6512	1996-10-30	VYDAJ	VYBER	3000	36605	\N	\N	\N
1921635	6512	1996-11-29	VYDAJ	VYBER	7200	40265	\N	\N	\N
1921636	6512	1996-12-29	VYDAJ	VYBER	10000	42754	\N	\N	\N
1921637	6512	1997-01-28	PRIJEM	VKLAD	4200	36586	\N	\N	\N
1921638	6512	1997-02-27	PRIJEM	VKLAD	1400	40782	\N	\N	\N
1921639	6512	1997-03-29	VYDAJ	VYBER	9800	41843	\N	\N	\N
1921640	6512	1997-04-28	VYDAJ	VYBER	8000	44751	\N	\N	\N
1921641	6512	1997-05-28	VYDAJ	VYBER	300	31358	\N	\N	\N
1921642	6512	1997-06-27	PRIJEM	VKLAD	12300	18353	\N	\N	\N
1921643	6512	1997-07-27	PRIJEM	VKLAD	1800	31004	\N	\N	\N
1921644	6512	1997-08-26	VYDAJ	VYBER	7100	34727	\N	\N	\N
1921645	6512	1997-09-25	VYDAJ	VYBER	1700	31593	\N	\N	\N
1921646	6512	1997-10-25	VYDAJ	VYBER	9400	33032	\N	\N	\N
1921647	6512	1997-11-24	PRIJEM	VKLAD	9200	14847	\N	\N	\N
1921648	6512	1997-12-24	VYDAJ	VYBER	1600	29407	\N	\N	\N
1921649	6512	1998-01-23	PRIJEM	VKLAD	8400	7241	\N	\N	\N
1921650	6512	1998-02-22	PRIJEM	VKLAD	3400	10730	\N	\N	\N
1921651	6512	1998-03-24	VYDAJ	VYBER	5200	16301	\N	\N	\N
1921652	6512	1998-04-23	VYDAJ	VYBER	9100	17989	\N	\N	\N
1921653	6512	1998-05-23	VYDAJ	VYBER	4500	9168	\N	\N	\N
1921654	6512	1998-06-22	PRIJEM	VKLAD	200	14470	\N	\N	\N
1921655	6512	1998-07-22	VYDAJ	VYBER	4100	21164	\N	\N	\N
1921656	6512	1998-08-21	VYDAJ	VYBER	3400	14021	\N	\N	\N
1921657	6512	1998-09-20	PRIJEM	VKLAD	6700	9166	\N	\N	\N
1921658	6512	1998-10-20	PRIJEM	VKLAD	2600	17434	\N	\N	\N
1921659	6512	1998-11-19	PRIJEM	VKLAD	8800	9090	\N	\N	\N
1935476	6555	1993-03-05	PRIJEM	VKLAD	300	300	\N	\N	\N
1935477	6555	1993-09-27	PRIJEM	VKLAD	38050	133215	\N	\N	\N
1935478	6555	1993-03-23	PRIJEM	VKLAD	39703	52804	\N	\N	\N
1935479	6555	1993-08-27	PRIJEM	VKLAD	12225	33414	\N	\N	\N
1935480	6555	1993-09-11	PRIJEM	VKLAD	36252	60735	\N	\N	\N
1935484	6555	1993-10-13	PRIJEM	VKLAD	8391	92592	\N	\N	\N
1935485	6555	1993-06-22	PRIJEM	VKLAD	41351	73648	\N	\N	\N
1935487	6555	1993-03-28	PRIJEM	VKLAD	7707	60511	\N	\N	\N
1935489	6555	1993-09-18	PRIJEM	VKLAD	34430	95165	\N	\N	\N
1935490	6555	1993-10-05	PRIJEM	VKLAD	10943	60293	\N	\N	\N
1935491	6555	1993-03-21	PRIJEM	VKLAD	12801	13101	\N	\N	\N
1935494	6555	1993-10-05	PRIJEM	VKLAD	23908	84201	\N	\N	\N
1935495	6555	1993-04-06	PRIJEM	VKLAD	8763	53546	\N	\N	\N
1935496	6555	1993-12-13	PRIJEM	VKLAD	38316	60562	\N	\N	\N
1935497	6555	1994-02-13	PRIJEM	VKLAD	22170	50114	\N	\N	\N
1935498	6555	1994-09-19	PRIJEM	VKLAD	43689	72529	\N	\N	\N
1935499	6555	1994-07-31	PRIJEM	VKLAD	8989	46818	\N	\N	\N
1935500	6555	1994-02-15	PRIJEM	VKLAD	48828	98942	\N	\N	\N
1935501	6555	1994-06-23	PRIJEM	VKLAD	44184	73318	\N	\N	\N
1935502	6555	1994-04-30	PRIJEM	VKLAD	41118	78078	\N	\N	\N
1935503	6555	1994-07-02	PRIJEM	VKLAD	24565	72463	\N	\N	\N
1935504	6555	1994-03-08	PRIJEM	VKLAD	42459	104821	\N	\N	\N
1935505	6555	1994-12-13	PRIJEM	VKLAD	17843	40890	\N	\N	\N
1935506	6555	1995-07-21	PRIJEM	VKLAD	5007	38838	\N	\N	\N
1935507	6555	1995-10-18	PRIJEM	VKLAD	16077	88110	\N	\N	\N
1935508	6555	1995-01-27	PRIJEM	VKLAD	13413	42401	\N	\N	\N
1935509	6555	1995-09-03	PRIJEM	VKLAD	36293	83178	\N	\N	\N
1935510	6555	1995-09-17	PRIJEM	VKLAD	11420	88964	\N	\N	\N
1935511	6555	1995-04-14	PRIJEM	VKLAD	27956	61386	\N	\N	\N
1935512	6555	1995-12-11	PRIJEM	VKLAD	22805	88671	\N	\N	\N
1935513	6555	1995-01-19	PRIJEM	VKLAD	8186	29888	\N	\N	\N
1935514	6555	1995-09-11	PRIJEM	VKLAD	49768	132946	\N	\N	\N
1935515	6555	1995-05-06	PRIJEM	VKLAD	24907	79737	\N	\N	\N
1935516	6555	1995-05-22	PRIJEM	VKLAD	11760	96361	\N	\N	\N
1935517	6555	1995-03-06	PRIJEM	VKLAD	11305	56876	\N	\N	\N
1935518	6555	1995-04-20	PRIJEM	VKLAD	10561	71947	\N	\N	\N
1935519	6555	1995-03-03	PRIJEM	VKLAD	11524	45571	\N	\N	\N
1935520	6555	1995-02-20	PRIJEM	VKLAD	21609	58201	\N	\N	\N
1935521	6555	1995-09-30	PRIJEM	VKLAD	12626	77690	\N	\N	\N
1935522	6555	1995-11-05	PRIJEM	VKLAD	46576	104793	\N	\N	\N
1935523	6555	1995-08-06	PRIJEM	VKLAD	12789	46869	\N	\N	\N
1935524	6555	1995-09-15	PRIJEM	VKLAD	7198	77544	\N	\N	\N
1935525	6555	1995-05-12	PRIJEM	VKLAD	10764	90501	\N	\N	\N
1935526	6555	1995-08-29	PRIJEM	VKLAD	10353	46764	\N	\N	\N
1935527	6555	1996-10-05	PRIJEM	VKLAD	32097	63312	\N	\N	\N
1935528	6555	1997-12-30	PRIJEM	VKLAD	13476	105998	\N	\N	\N
1935529	6555	1997-08-03	PRIJEM	VKLAD	16700	126007	\N	\N	\N
1935530	6555	1997-10-18	PRIJEM	VKLAD	36148	132659	\N	\N	\N
1935531	6555	1997-03-07	PRIJEM	VKLAD	12559	68117	\N	\N	\N
1935532	6555	1997-07-13	PRIJEM	VKLAD	15159	105137	\N	\N	\N
1935533	6555	1997-06-30	PRIJEM	VKLAD	15190	102208	\N	\N	\N
1935534	6555	1997-12-10	PRIJEM	VKLAD	7662	101622	\N	\N	\N
1935535	6555	1997-06-06	PRIJEM	VKLAD	27102	115072	\N	\N	\N
1935536	6555	1997-03-23	PRIJEM	VKLAD	19350	79593	\N	\N	\N
1935537	6555	1997-10-02	PRIJEM	VKLAD	37662	115093	\N	\N	\N
1935538	6555	1997-06-08	PRIJEM	VKLAD	27661	142733	\N	\N	\N
1935539	6555	1997-03-13	PRIJEM	VKLAD	6926	69143	\N	\N	\N
1935540	6555	1997-03-27	PRIJEM	VKLAD	16228	95821	\N	\N	\N
1935541	6555	1997-10-05	PRIJEM	VKLAD	40718	155811	\N	\N	\N
1935542	6555	1997-10-23	PRIJEM	VKLAD	20583	125642	\N	\N	\N
1935543	6555	1997-04-27	PRIJEM	VKLAD	36955	111647	\N	\N	\N
1935544	6555	1997-02-07	PRIJEM	VKLAD	5111	52662	\N	\N	\N
1935545	6555	1997-06-05	PRIJEM	VKLAD	18229	122170	\N	\N	\N
1935546	6555	1997-03-31	PRIJEM	VKLAD	21253	117074	\N	\N	\N
1935547	6555	1997-05-28	PRIJEM	VKLAD	25630	103578	\N	\N	\N
1935548	6555	1997-04-10	PRIJEM	VKLAD	16959	113186	\N	\N	\N
1935549	6555	1997-09-02	PRIJEM	VKLAD	23830	77976	\N	\N	\N
1935550	6555	1997-01-24	PRIJEM	VKLAD	17390	47420	\N	\N	\N
1935551	6555	1997-04-26	PRIJEM	VKLAD	42406	131292	\N	\N	\N
1935552	6555	1997-07-25	PRIJEM	VKLAD	46872	146909	\N	\N	\N
1935553	6555	1997-12-07	PRIJEM	VKLAD	13422	102160	\N	\N	\N
1935554	6555	1998-06-13	PRIJEM	VKLAD	14917	82549	\N	\N	\N
1935555	6555	1998-08-04	PRIJEM	VKLAD	36317	135762	\N	\N	\N
1935556	6555	1998-12-12	PRIJEM	VKLAD	36320	134397	\N	\N	\N
1935557	6555	1998-06-22	PRIJEM	VKLAD	35435	85684	\N	\N	\N
1935558	6555	1998-07-07	PRIJEM	VKLAD	41758	104280	\N	\N	\N
1935559	6555	1998-01-17	PRIJEM	VKLAD	24806	86465	\N	\N	\N
1935560	6555	1998-11-16	PRIJEM	VKLAD	39989	108756	\N	\N	\N
1935561	6555	1998-06-24	PRIJEM	VKLAD	43886	129570	\N	\N	\N
1935568	6555	1993-07-17	VYDAJ	VYBER	4200	22017	\N	\N	0
1935569	6555	1993-08-20	VYDAJ	VYBER	5300	21189	\N	\N	0
1935570	6555	1993-09-03	VYDAJ	VYBER	5800	24483	\N	\N	0
1935571	6555	1993-09-30	VYDAJ	VYBER	6000	84550	\N	\N	0
1935572	6555	1993-11-07	VYDAJ	VYBER	3800	27550	\N	\N	0
1935573	6555	1993-12-04	VYDAJ	VYBER	4400	22246	\N	\N	0
1935574	6555	1994-01-06	VYDAJ	VYBER	5400	40628	\N	\N	0
1935575	6555	1994-02-20	VYDAJ	VYBER	7300	91642	\N	\N	0
1935576	6555	1994-03-12	VYDAJ	VYBER	7100	97721	\N	\N	0
1935577	6555	1994-04-12	VYDAJ	PREVOD NA UCET	5900	46337	UVER	UV	80658405
1935578	6555	1994-05-12	VYDAJ	PREVOD NA UCET	5900	72148	UVER	UV	80658405
1935579	6555	1994-06-12	VYDAJ	PREVOD NA UCET	5900	46432	UVER	UV	80658405
1935580	6555	1994-07-12	VYDAJ	PREVOD NA UCET	5900	57882	UVER	UV	80658405
1935581	6555	1994-08-12	VYDAJ	PREVOD NA UCET	5900	34409	UVER	UV	80658405
1935582	6555	1994-09-12	VYDAJ	PREVOD NA UCET	5900	28840	UVER	UV	80658405
1935583	6555	1994-10-12	VYDAJ	PREVOD NA UCET	5900	36813	UVER	UV	80658405
1935584	6555	1994-11-12	VYDAJ	PREVOD NA UCET	5900	25351	UVER	UV	80658405
1935585	6555	1994-12-12	VYDAJ	PREVOD NA UCET	5900	23047	UVER	UV	80658405
1935586	6555	1995-01-12	VYDAJ	PREVOD NA UCET	5900	21702	UVER	UV	80658405
1935587	6555	1995-02-12	VYDAJ	PREVOD NA UCET	5900	36592	UVER	UV	80658405
1935588	6555	1995-03-12	VYDAJ	PREVOD NA UCET	5900	50976	UVER	UV	80658405
1935589	6555	1995-04-12	VYDAJ	PREVOD NA UCET	5900	33430	UVER	UV	80658405
1935590	6555	1995-05-12	VYDAJ	PREVOD NA UCET	5900	84601	UVER	UV	80658405
1935591	6555	1995-06-12	VYDAJ	PREVOD NA UCET	5900	57918	UVER	UV	80658405
1935592	6555	1995-07-12	VYDAJ	PREVOD NA UCET	5900	33831	UVER	UV	80658405
1935593	6555	1995-08-12	VYDAJ	PREVOD NA UCET	5900	40969	UVER	UV	80658405
1935594	6555	1995-09-12	VYDAJ	PREVOD NA UCET	5900	70346	UVER	UV	80658405
1935595	6555	1995-10-12	VYDAJ	PREVOD NA UCET	5900	72033	UVER	UV	80658405
1935596	6555	1995-11-12	VYDAJ	PREVOD NA UCET	5900	98893	UVER	UV	80658405
1935597	6555	1995-12-12	VYDAJ	PREVOD NA UCET	5900	82771	UVER	UV	80658405
1935598	6555	1996-01-12	VYDAJ	PREVOD NA UCET	5900	24714	UVER	UV	80658405
1935599	6555	1996-02-12	VYDAJ	PREVOD NA UCET	5900	23831	UVER	UV	80658405
1935600	6555	1996-03-12	VYDAJ	PREVOD NA UCET	5900	25624	UVER	UV	80658405
1935601	6555	1996-04-12	VYDAJ	PREVOD NA UCET	5900	28026	UVER	UV	80658405
1935602	6555	1996-05-12	VYDAJ	PREVOD NA UCET	5900	31038	UVER	UV	80658405
1935603	6555	1996-06-12	VYDAJ	PREVOD NA UCET	5900	24260	UVER	UV	80658405
1935604	6555	1996-07-12	VYDAJ	PREVOD NA UCET	5900	29862	UVER	UV	80658405
1935605	6555	1996-08-12	VYDAJ	PREVOD NA UCET	5900	26179	UVER	UV	80658405
1935606	6555	1996-09-12	VYDAJ	PREVOD NA UCET	5900	30593	UVER	UV	80658405
1935607	6555	1996-10-12	VYDAJ	PREVOD NA UCET	5900	57412	UVER	UV	80658405
1935608	6555	1996-11-12	VYDAJ	PREVOD NA UCET	5900	39521	UVER	UV	80658405
1935609	6555	1996-12-12	VYDAJ	PREVOD NA UCET	5900	26412	UVER	UV	80658405
1935610	6555	1997-01-12	VYDAJ	PREVOD NA UCET	5900	24330	UVER	UV	80658405
1935611	6555	1997-02-12	VYDAJ	PREVOD NA UCET	5900	55362	UVER	UV	80658405
1935612	6555	1997-03-12	VYDAJ	PREVOD NA UCET	5900	62217	UVER	UV	80658405
1935613	6555	1997-04-15	VYDAJ	VYBER	5300	88886	\N	\N	0
1935614	6555	1997-05-24	VYDAJ	VYBER	4600	77948	\N	\N	0
1935615	6555	1997-06-05	VYDAJ	VYBER	5600	87970	\N	\N	0
1935616	6555	1997-07-22	VYDAJ	VYBER	5100	100037	\N	\N	0
1935617	6555	1997-08-10	VYDAJ	VYBER	6800	101007	\N	\N	0
1935618	6555	1997-08-31	VYDAJ	VYBER	7100	54146	\N	\N	0
1935619	6555	1997-10-12	VYDAJ	VYBER	5600	102811	\N	\N	0
1935620	6555	1997-11-12	VYDAJ	VYBER	5000	91080	\N	\N	0
1935621	6555	1997-12-18	VYDAJ	VYBER	5500	96122	\N	\N	0
1935622	6555	1997-12-30	VYDAJ	VYBER	5000	100998	\N	\N	0
1935623	6555	1998-01-25	VYDAJ	VYBER	4700	73965	\N	\N	0
1935624	6555	1998-03-06	VYDAJ	VYBER	7100	40205	\N	\N	0
1935625	6555	1998-04-15	VYDAJ	VYBER	5400	68393	\N	\N	0
1935626	6555	1998-05-01	VYDAJ	VYBER	5800	49620	\N	\N	0
1935627	6555	1998-06-15	VYDAJ	VYBER	4700	77849	\N	\N	0
1935628	6555	1998-07-06	VYDAJ	VYBER	6300	62522	\N	\N	0
1935629	6555	1998-08-17	VYDAJ	VYBER	7200	97362	\N	\N	0
1935630	6555	1998-08-28	VYDAJ	VYBER	5200	92162	\N	\N	0
1935631	6555	1998-10-28	VYDAJ	VYBER	4600	50433	\N	\N	0
1935632	6555	1998-11-16	VYDAJ	VYBER	4800	103956	\N	\N	0
1935633	6555	1998-12-23	VYDAJ	VYBER	5100	68697	\N	\N	0
1935636	6555	1993-07-02	VYBER	VYBER	3014	29117	\N	\N	\N
1935642	6555	1993-11-04	VYBER	VYBER	10969	31350	\N	\N	\N
1935643	6555	1993-10-16	VYBER	VYBER	11742	80850	\N	\N	\N
1935644	6555	1994-09-29	VYBER	VYBER	3880	42548	\N	\N	\N
1935646	6555	1994-07-16	VYBER	VYBER	9677	48205	\N	\N	\N
1935647	6555	1994-08-05	VYBER	VYBER	6479	40309	\N	\N	\N
1935649	6555	1994-07-04	VYBER	VYBER	8681	63782	\N	\N	\N
1935650	6555	1994-06-16	VYBER	VYBER	17298	29134	\N	\N	\N
1935651	6555	1994-09-26	VYBER	VYBER	6901	65628	\N	\N	\N
1935652	6555	1995-08-18	VYBER	VYBER	7758	33211	\N	\N	\N
1935654	6555	1995-10-27	VYBER	VYBER	2359	57951	\N	\N	\N
1935655	6555	1996-11-04	VYBER	VYBER	9149	45421	\N	\N	\N
1935659	6555	1996-08-10	VYBER	VYBER	6503	32079	\N	\N	\N
1935661	6555	1996-11-17	VYBER	VYBER	11759	36362	\N	\N	\N
1935663	6555	1998-02-13	VYBER	VYBER	24358	47100	\N	\N	\N
1935665	6555	1998-09-01	VYBER	VYBER	9824	82716	\N	\N	\N
1935666	6555	1998-04-23	VYBER	VYBER	13182	55211	\N	\N	\N
1935667	6555	1998-10-24	VYBER	VYBER	24182	55033	\N	\N	\N
1935668	6555	1998-09-07	VYBER	VYBER	7689	73285	\N	\N	\N
1935669	6555	1998-11-04	VYBER	VYBER	4362	71767	\N	\N	\N
1935670	6555	1998-09-05	VYBER	VYBER	3842	80974	\N	\N	\N
1935671	6555	1993-06-25	VYDAJ	VYBER	41700	31948	\N	\N	\N
1935676	6555	1998-06-21	VYDAJ	VYBER	27600	50249	\N	\N	\N
1935679	6555	1995-12-21	VYDAJ	VYBER	6000	55271	\N	\N	\N
1935680	6555	1996-12-15	VYDAJ	VYBER	3300	38212	\N	\N	\N
1935681	6555	1997-12-29	VYDAJ	VYBER	3600	92522	\N	\N	\N
1935682	6555	1998-12-28	VYDAJ	VYBER	7500	61197	\N	\N	\N
1935690	6555	1994-01-12	VYDAJ	VYBER	4800	35828	\N	\N	\N
1935691	6555	1994-01-02	VYDAJ	VYBER	1500	46028	\N	\N	\N
1935693	6555	1994-01-20	VYDAJ	VYBER	5400	27728	\N	\N	\N
1935694	6555	1994-01-16	VYDAJ	VYBER	2700	33128	\N	\N	\N
1935695	6555	1995-01-22	VYDAJ	VYBER	4500	25388	\N	\N	\N
1935699	6555	1995-01-08	VYDAJ	VYBER	1800	27602	\N	\N	\N
1935701	6555	1996-01-08	VYDAJ	VYBER	5400	50114	\N	\N	\N
1935702	6555	1996-01-08	VYDAJ	VYBER	6000	44114	\N	\N	\N
1935703	6555	1996-01-12	VYDAJ	VYBER	7800	30614	\N	\N	\N
1935704	6555	1996-01-28	VYDAJ	VYBER	1500	29614	\N	\N	\N
1935706	6555	1996-01-09	VYDAJ	VYBER	5700	38414	\N	\N	\N
1935708	6555	1997-01-20	VYDAJ	VYBER	2100	34830	\N	\N	\N
1935710	6555	1997-01-02	VYDAJ	VYBER	8100	30230	\N	\N	\N
1935711	6555	1997-01-17	VYDAJ	VYBER	5100	36930	\N	\N	\N
1935712	6555	1997-01-23	VYDAJ	VYBER	4800	30030	\N	\N	\N
1935713	6555	1998-01-10	VYDAJ	VYBER	5400	73359	\N	\N	\N
1935714	6555	1998-01-01	VYDAJ	VYBER	6300	95059	\N	\N	\N
1935715	6555	1998-01-21	VYDAJ	VYBER	6000	80465	\N	\N	\N
1935716	6555	1998-01-06	VYDAJ	VYBER	8400	82759	\N	\N	\N
1935717	6555	1998-01-04	VYDAJ	VYBER	3900	91159	\N	\N	\N
1935718	6555	1998-01-25	VYDAJ	VYBER	1800	78665	\N	\N	\N
1935719	6555	1993-11-01	VYDAJ	VYBER	10500	42319	\N	\N	\N
1935720	6555	1993-10-01	VYDAJ	VYBER	5400	49350	\N	\N	\N
1935723	6555	1994-07-01	VYDAJ	VYBER	5400	47898	\N	\N	\N
1935725	6555	1994-04-11	VYDAJ	VYBER	12300	52237	\N	\N	\N
1935726	6555	1994-12-28	VYDAJ	VYBER	7800	29290	\N	\N	\N
1935727	6555	1995-06-30	VYDAJ	VYBER	6000	39731	\N	\N	\N
1935728	6555	1995-02-24	VYDAJ	VYBER	9900	33901	\N	\N	\N
1935729	6555	1995-03-18	VYDAJ	VYBER	9900	41076	\N	\N	\N
1935730	6555	1995-11-28	VYDAJ	VYBER	6300	65593	\N	\N	\N
1935731	6555	1995-10-18	VYDAJ	VYBER	6000	82110	\N	\N	\N
1935732	6555	1996-12-02	VYDAJ	VYBER	4200	32312	\N	\N	\N
1935733	6555	1996-05-30	VYDAJ	VYBER	9600	30038	\N	\N	\N
1935735	6555	1996-09-30	VYDAJ	VYBER	7800	31245	\N	\N	\N
1935737	6555	1997-11-27	VYDAJ	VYBER	2700	88380	\N	\N	\N
1935738	6555	1997-05-11	VYDAJ	VYBER	13200	98848	\N	\N	\N
1935739	6555	1997-03-21	VYDAJ	VYBER	6900	60243	\N	\N	\N
1935740	6555	1997-08-30	VYDAJ	VYBER	12600	60907	\N	\N	\N
1935741	6555	1997-08-18	VYDAJ	VYBER	12300	73507	\N	\N	\N
1935742	6555	1997-10-16	VYDAJ	VYBER	6300	96511	\N	\N	\N
1935743	6555	1998-09-08	VYDAJ	VYBER	14700	58585	\N	\N	\N
1935744	6555	1998-01-11	VYDAJ	VYBER	11700	61659	\N	\N	\N
1935745	6555	1998-11-07	VYDAJ	VYBER	3000	68767	\N	\N	\N
1935746	6555	1998-05-04	VYDAJ	VYBER	6000	43620	\N	\N	\N
1935747	6555	1998-06-11	VYDAJ	VYBER	11100	67632	\N	\N	\N
1935748	6555	1998-12-23	VYDAJ	VYBER	9600	73797	\N	\N	\N
1935755	6555	1993-06-30	VYDAJ	VYBER	30	32131	SLUZBY	\N	\N
1935756	6555	1993-07-31	VYDAJ	VYBER	30	22089	SLUZBY	\N	\N
1935757	6555	1993-08-31	VYDAJ	VYBER	30	33483	SLUZBY	\N	\N
1935758	6555	1993-09-30	VYDAJ	VYBER	30	90550	SLUZBY	\N	\N
1935759	6555	1993-10-31	VYDAJ	VYBER	30	52819	SLUZBY	\N	\N
1935760	6555	1993-11-30	VYDAJ	VYBER	30	27646	SLUZBY	\N	\N
1935761	6555	1993-12-31	VYDAJ	VYBER	30	47528	SLUZBY	\N	\N
1935762	6555	1994-01-31	VYDAJ	VYBER	30	27944	SLUZBY	\N	\N
1935763	6555	1994-02-28	VYDAJ	VYBER	30	91862	SLUZBY	\N	\N
1935764	6555	1994-03-31	VYDAJ	VYBER	30	64537	SLUZBY	\N	\N
1935765	6555	1994-04-30	VYDAJ	VYBER	30	78048	SLUZBY	\N	\N
1935766	6555	1994-05-31	VYDAJ	VYBER	30	52332	SLUZBY	\N	\N
1935767	6555	1994-06-30	VYDAJ	VYBER	30	53298	SLUZBY	\N	\N
1935768	6555	1994-07-31	VYDAJ	VYBER	30	46788	SLUZBY	\N	\N
1935769	6555	1994-08-31	VYDAJ	VYBER	30	34740	SLUZBY	\N	\N
1935770	6555	1994-09-30	VYDAJ	VYBER	30	42713	SLUZBY	\N	\N
1935771	6555	1994-10-31	VYDAJ	VYBER	30	31251	SLUZBY	\N	\N
1935772	6555	1994-11-30	VYDAJ	VYBER	30	28947	SLUZBY	\N	\N
1935773	6555	1994-12-31	VYDAJ	VYBER	30	29402	SLUZBY	\N	\N
1935774	6555	1995-01-31	VYDAJ	VYBER	30	42492	SLUZBY	\N	\N
1935775	6555	1995-02-28	VYDAJ	VYBER	30	34047	SLUZBY	\N	\N
1935776	6555	1995-03-31	VYDAJ	VYBER	30	39330	SLUZBY	\N	\N
1935777	6555	1995-04-30	VYDAJ	VYBER	30	54830	SLUZBY	\N	\N
1935778	6555	1995-05-31	VYDAJ	VYBER	30	63818	SLUZBY	\N	\N
1935779	6555	1995-06-30	VYDAJ	VYBER	30	45731	SLUZBY	\N	\N
1935780	6555	1995-07-31	VYDAJ	VYBER	30	34080	SLUZBY	\N	\N
1935781	6555	1995-08-31	VYDAJ	VYBER	30	46885	SLUZBY	\N	\N
1935782	6555	1995-09-30	VYDAJ	VYBER	30	77933	SLUZBY	\N	\N
1935783	6555	1995-10-31	VYDAJ	VYBER	30	58217	SLUZBY	\N	\N
1935784	6555	1995-11-30	VYDAJ	VYBER	30	65866	SLUZBY	\N	\N
1935785	6555	1995-12-31	VYDAJ	VYBER	30	55514	SLUZBY	\N	\N
1935786	6555	1996-01-31	VYDAJ	VYBER	30	29731	SLUZBY	\N	\N
1935787	6555	1996-02-29	VYDAJ	VYBER	30	31524	SLUZBY	\N	\N
1935788	6555	1996-03-31	VYDAJ	VYBER	30	33926	SLUZBY	\N	\N
1935789	6555	1996-04-30	VYDAJ	VYBER	30	36938	SLUZBY	\N	\N
1935790	6555	1996-05-31	VYDAJ	VYBER	30	30160	SLUZBY	\N	\N
1935791	6555	1996-06-30	VYDAJ	VYBER	30	35762	SLUZBY	\N	\N
1935792	6555	1996-07-31	VYDAJ	VYBER	30	38582	SLUZBY	\N	\N
1935793	6555	1996-08-31	VYDAJ	VYBER	30	36493	SLUZBY	\N	\N
1935794	6555	1996-09-30	VYDAJ	VYBER	30	31215	SLUZBY	\N	\N
1935795	6555	1996-10-31	VYDAJ	VYBER	30	54570	SLUZBY	\N	\N
1935796	6555	1996-11-30	VYDAJ	VYBER	30	36512	SLUZBY	\N	\N
1935797	6555	1996-12-31	VYDAJ	VYBER	30	38330	SLUZBY	\N	\N
1935798	6555	1997-01-31	VYDAJ	VYBER	30	47551	SLUZBY	\N	\N
1935799	6555	1997-02-28	VYDAJ	VYBER	30	55558	SLUZBY	\N	\N
1935800	6555	1997-03-31	VYDAJ	VYBER	30	117327	SLUZBY	\N	\N
1935801	6555	1997-04-30	VYDAJ	VYBER	30	112048	SLUZBY	\N	\N
1935802	6555	1997-05-31	VYDAJ	VYBER	30	103941	SLUZBY	\N	\N
1935803	6555	1997-06-30	VYDAJ	VYBER	30	102178	SLUZBY	\N	\N
1935804	6555	1997-07-31	VYDAJ	VYBER	30	109307	SLUZBY	\N	\N
1935805	6555	1997-08-31	VYDAJ	VYBER	30	61246	SLUZBY	\N	\N
1935806	6555	1997-09-30	VYDAJ	VYBER	30	77431	SLUZBY	\N	\N
1935807	6555	1997-10-31	VYDAJ	VYBER	30	103180	SLUZBY	\N	\N
1935808	6555	1997-11-30	VYDAJ	VYBER	30	88738	SLUZBY	\N	\N
1935809	6555	1997-12-31	VYDAJ	VYBER	30	101359	SLUZBY	\N	\N
1935810	6555	1998-01-31	VYDAJ	VYBER	30	74258	SLUZBY	\N	\N
1935811	6555	1998-02-28	VYDAJ	VYBER	30	47305	SLUZBY	\N	\N
1935812	6555	1998-03-31	VYDAJ	VYBER	30	57193	SLUZBY	\N	\N
1935813	6555	1998-04-30	VYDAJ	VYBER	30	55420	SLUZBY	\N	\N
1935814	6555	1998-05-31	VYDAJ	VYBER	30	64132	SLUZBY	\N	\N
1935815	6555	1998-06-30	VYDAJ	VYBER	30	68822	SLUZBY	\N	\N
1935816	6555	1998-07-31	VYDAJ	VYBER	30	99445	SLUZBY	\N	\N
1935817	6555	1998-08-31	VYDAJ	VYBER	30	92540	SLUZBY	\N	\N
1935818	6555	1998-09-30	VYDAJ	VYBER	30	58815	SLUZBY	\N	\N
1935819	6555	1998-10-31	VYDAJ	VYBER	30	50629	SLUZBY	\N	\N
1935820	6555	1998-11-30	VYDAJ	VYBER	30	104277	SLUZBY	\N	\N
1935821	6555	1993-04-04	VYDAJ	VYBER	15800	44783	\N	\N	\N
1935822	6555	1993-05-04	VYDAJ	VYBER	16700	37074	\N	\N	\N
1935823	6555	1993-06-03	VYDAJ	VYBER	5000	32297	\N	\N	\N
1935824	6555	1993-07-03	VYDAJ	VYBER	2900	26217	\N	\N	\N
1935825	6555	1993-08-02	PRIJEM	VKLAD	4400	26489	\N	\N	\N
1935826	6555	1993-09-01	VYDAJ	VYBER	3200	30283	\N	\N	\N
1935827	6555	1993-09-27	VYDAJ	VYBER	42900	90315	\N	\N	\N
1935828	6555	1993-10-01	VYDAJ	VYBER	29800	54750	\N	\N	\N
1935829	6555	1993-10-31	VYDAJ	VYBER	28300	52849	\N	\N	\N
1935830	6555	1993-11-30	VYDAJ	VYBER	1000	26646	\N	\N	\N
1935831	6555	1993-12-30	VYDAJ	VYBER	13200	47362	\N	\N	\N
1935832	6555	1994-01-29	PRIJEM	VKLAD	100	27828	\N	\N	\N
1935833	6555	1994-02-28	VYDAJ	VYBER	29500	62362	\N	\N	\N
1935834	6555	1994-03-30	VYDAJ	VYBER	33500	64221	\N	\N	\N
1935835	6555	1994-04-29	VYDAJ	VYBER	9600	36737	\N	\N	\N
1935836	6555	1994-05-29	VYDAJ	VYBER	20100	52048	\N	\N	\N
1935837	6555	1994-06-28	VYDAJ	VYBER	20200	53118	\N	\N	\N
1935838	6555	1994-07-28	VYDAJ	VYBER	10600	37605	\N	\N	\N
1935839	6555	1994-08-27	PRIJEM	VKLAD	200	34609	\N	\N	\N
1935840	6555	1994-09-26	VYDAJ	VYBER	19200	46428	\N	\N	\N
1935841	6555	1994-10-26	VYDAJ	VYBER	5700	31113	\N	\N	\N
1935842	6555	1994-11-25	PRIJEM	VKLAD	3500	28851	\N	\N	\N
1935843	6555	1994-12-25	VYDAJ	VYBER	3800	37090	\N	\N	\N
1935844	6555	1995-01-24	PRIJEM	VKLAD	3600	28988	\N	\N	\N
1935845	6555	1995-02-23	VYDAJ	VYBER	14400	43801	\N	\N	\N
1935846	6555	1995-03-25	VYDAJ	VYBER	1900	39176	\N	\N	\N
1935847	6555	1995-04-24	VYDAJ	VYBER	17300	54647	\N	\N	\N
1935848	6555	1995-05-24	VYDAJ	VYBER	32800	63561	\N	\N	\N
1935849	6555	1995-06-23	VYDAJ	VYBER	12400	45518	\N	\N	\N
1935850	6555	1995-07-23	VYDAJ	VYBER	4900	33938	\N	\N	\N
1935851	6555	1995-08-22	PRIJEM	VKLAD	3200	36411	\N	\N	\N
1935852	6555	1995-09-11	VYDAJ	VYBER	56700	76246	\N	\N	\N
1935853	6555	1995-09-21	VYDAJ	VYBER	23900	65064	\N	\N	\N
1935854	6555	1995-10-21	VYDAJ	VYBER	21800	60310	\N	\N	\N
1935855	6555	1995-11-20	VYDAJ	VYBER	27000	71893	\N	\N	\N
1935856	6555	1995-12-20	VYDAJ	VYBER	21500	61271	\N	\N	\N
1935857	6555	1996-01-19	PRIJEM	VKLAD	6400	31114	\N	\N	\N
1935858	6555	1996-02-18	PRIJEM	VKLAD	7600	31431	\N	\N	\N
1935859	6555	1996-03-19	PRIJEM	VKLAD	8200	33824	\N	\N	\N
1935860	6555	1996-04-18	PRIJEM	VKLAD	8800	36826	\N	\N	\N
1935861	6555	1996-05-18	PRIJEM	VKLAD	8600	39638	\N	\N	\N
1935862	6555	1996-06-17	PRIJEM	VKLAD	11400	35660	\N	\N	\N
1935863	6555	1996-07-17	PRIJEM	VKLAD	8600	38462	\N	\N	\N
1935864	6555	1996-08-16	PRIJEM	VKLAD	10200	36379	\N	\N	\N
1935865	6555	1996-09-15	PRIJEM	VKLAD	8300	38893	\N	\N	\N
1935866	6555	1996-10-15	VYDAJ	VYBER	3000	54412	\N	\N	\N
1935867	6555	1996-11-14	PRIJEM	VKLAD	8600	48121	\N	\N	\N
1935868	6555	1996-12-14	PRIJEM	VKLAD	15100	41512	\N	\N	\N
1935869	6555	1997-01-13	PRIJEM	VKLAD	17700	42030	\N	\N	\N
1935870	6555	1997-02-12	PRIJEM	VKLAD	8600	61262	\N	\N	\N
1935871	6555	1997-03-14	VYDAJ	VYBER	2000	67143	\N	\N	\N
1935872	6555	1997-03-31	VYDAJ	VYBER	21100	96227	\N	\N	\N
1935873	6555	1997-04-13	VYDAJ	VYBER	19000	94186	\N	\N	\N
1935874	6555	1997-04-26	VYDAJ	VYBER	56600	74692	\N	\N	\N
1935875	6555	1997-05-13	VYDAJ	VYBER	16300	82548	\N	\N	\N
1935876	6555	1997-06-05	VYDAJ	VYBER	28600	93570	\N	\N	\N
1935877	6555	1997-06-08	VYDAJ	VYBER	36200	106533	\N	\N	\N
1935878	6555	1997-06-12	VYDAJ	VYBER	19900	86633	\N	\N	\N
1935879	6555	1997-07-12	VYDAJ	VYBER	12200	89978	\N	\N	\N
1935880	6555	1997-07-25	VYDAJ	VYBER	38000	108909	\N	\N	\N
1935881	6555	1997-08-03	VYDAJ	VYBER	18200	107807	\N	\N	\N
1935882	6555	1997-08-11	VYDAJ	VYBER	15200	85807	\N	\N	\N
1935883	6555	1997-09-10	VYDAJ	VYBER	800	77176	\N	\N	\N
1935884	6555	1997-10-05	VYDAJ	VYBER	22300	133511	\N	\N	\N
1935885	6555	1997-10-10	VYDAJ	VYBER	25100	108411	\N	\N	\N
1935886	6555	1997-10-18	VYDAJ	VYBER	27600	105059	\N	\N	\N
1935887	6555	1997-10-23	VYDAJ	VYBER	22900	102742	\N	\N	\N
1935888	6555	1997-11-09	VYDAJ	VYBER	7100	96080	\N	\N	\N
1935889	6555	1997-12-09	VYDAJ	VYBER	8200	93960	\N	\N	\N
1935890	6555	1998-01-08	VYDAJ	VYBER	4000	78759	\N	\N	\N
1935891	6555	1998-02-07	VYDAJ	VYBER	2800	71458	\N	\N	\N
1935892	6555	1998-03-09	PRIJEM	VKLAD	16800	57005	\N	\N	\N
1935893	6555	1998-04-08	PRIJEM	VKLAD	16600	73793	\N	\N	\N
1935894	6555	1998-05-08	PRIJEM	VKLAD	20300	63920	\N	\N	\N
1935895	6555	1998-06-07	PRIJEM	VKLAD	14600	78732	\N	\N	\N
1935896	6555	1998-06-24	VYDAJ	VYBER	61000	68570	\N	\N	\N
1935897	6555	1998-07-07	VYDAJ	VYBER	5200	99080	\N	\N	\N
1935898	6555	1998-08-04	VYDAJ	VYBER	18400	117362	\N	\N	\N
1935899	6555	1998-08-06	VYDAJ	VYBER	12800	104562	\N	\N	\N
1935900	6555	1998-09-05	PRIJEM	VKLAD	2100	84816	\N	\N	\N
1935901	6555	1998-10-05	PRIJEM	VKLAD	20400	79215	\N	\N	\N
1935902	6555	1998-11-04	PRIJEM	VKLAD	25500	76129	\N	\N	\N
1935903	6555	1998-12-04	VYDAJ	VYBER	6200	98077	\N	\N	\N
1935904	6555	1998-12-12	VYDAJ	VYBER	51000	83397	\N	\N	\N
1945869	6592	1996-10-20	PRIJEM	VKLAD	300	300	\N	\N	\N
1945874	6592	1996-12-16	PRIJEM	VKLAD	38105	64252	\N	\N	\N
1945878	6592	1996-11-02	PRIJEM	VKLAD	29603	29903	\N	\N	\N
1945880	6592	1996-12-29	PRIJEM	VKLAD	45279	86731	\N	\N	\N
1945885	6592	1996-12-29	PRIJEM	VKLAD	49094	135825	\N	\N	\N
1945886	6592	1997-02-23	PRIJEM	VKLAD	27854	58133	\N	\N	\N
1945887	6592	1997-04-21	PRIJEM	VKLAD	29889	91532	\N	\N	\N
1945888	6592	1997-10-25	PRIJEM	VKLAD	20224	85809	\N	\N	\N
1945889	6592	1997-12-26	PRIJEM	VKLAD	18897	70385	\N	\N	\N
1945890	6592	1997-11-15	PRIJEM	VKLAD	35406	90688	\N	\N	\N
1945891	6592	1997-07-23	PRIJEM	VKLAD	12471	47900	\N	\N	\N
1945892	6592	1997-05-13	PRIJEM	VKLAD	39993	91711	\N	\N	\N
1945893	6592	1997-01-01	PRIJEM	VKLAD	30575	132967	\N	\N	\N
1945894	6592	1997-09-27	PRIJEM	VKLAD	39294	100574	\N	\N	\N
1945895	6592	1997-01-23	PRIJEM	VKLAD	36615	79870	\N	\N	\N
1945896	6592	1997-05-25	PRIJEM	VKLAD	24601	80512	\N	\N	\N
1945897	6592	1997-11-27	PRIJEM	VKLAD	47834	127422	\N	\N	\N
1945898	6592	1997-06-05	PRIJEM	VKLAD	21700	68872	\N	\N	\N
1945899	6592	1997-01-01	PRIJEM	VKLAD	31943	164910	\N	\N	\N
1945900	6592	1997-08-22	PRIJEM	VKLAD	15642	60957	\N	\N	\N
1945901	6592	1997-04-02	PRIJEM	VKLAD	40022	65084	\N	\N	\N
1945902	6592	1997-10-29	PRIJEM	VKLAD	21756	97365	\N	\N	\N
1945903	6592	1997-05-25	PRIJEM	VKLAD	35654	116166	\N	\N	\N
1945904	6592	1997-04-12	PRIJEM	VKLAD	32914	87243	\N	\N	\N
1945905	6592	1997-08-26	PRIJEM	VKLAD	5317	66274	\N	\N	\N
1945906	6592	1997-07-15	PRIJEM	VKLAD	23048	43429	\N	\N	\N
1945907	6592	1997-08-06	PRIJEM	VKLAD	35026	66315	\N	\N	\N
1945908	6592	1997-06-09	PRIJEM	VKLAD	6917	65034	\N	\N	\N
1945909	6592	1997-04-24	PRIJEM	VKLAD	38223	123455	\N	\N	\N
1945910	6592	1997-05-09	PRIJEM	VKLAD	21117	109418	\N	\N	\N
1945911	6592	1997-10-11	PRIJEM	VKLAD	34916	119396	\N	\N	\N
1945912	6592	1997-09-17	PRIJEM	VKLAD	26354	61280	\N	\N	\N
1945913	6592	1998-11-28	PRIJEM	VKLAD	27915	118095	\N	\N	\N
1945914	6592	1998-09-02	PRIJEM	VKLAD	39811	108735	\N	\N	\N
1945915	6592	1998-11-25	PRIJEM	VKLAD	25067	90180	\N	\N	\N
1945916	6592	1998-10-23	PRIJEM	VKLAD	33624	120749	\N	\N	\N
1945917	6592	1998-12-27	PRIJEM	VKLAD	9395	87642	\N	\N	\N
1945918	6592	1998-01-29	PRIJEM	VKLAD	27682	53619	\N	\N	\N
1945919	6592	1998-10-30	PRIJEM	VKLAD	46907	146356	\N	\N	\N
1945920	6592	1998-07-22	PRIJEM	VKLAD	14188	82834	\N	\N	\N
1945921	6592	1998-04-17	PRIJEM	VKLAD	5550	63734	\N	\N	\N
1945922	6592	1998-03-01	PRIJEM	VKLAD	47790	80257	\N	\N	\N
1945923	6592	1998-10-09	PRIJEM	VKLAD	45288	104805	\N	\N	\N
1945924	6592	1998-08-11	PRIJEM	VKLAD	21287	75132	\N	\N	\N
1945925	6592	1998-10-13	PRIJEM	VKLAD	39430	135625	\N	\N	\N
1945926	6592	1998-08-07	PRIJEM	VKLAD	37580	109945	\N	\N	\N
1945927	6592	1998-10-08	PRIJEM	VKLAD	42207	107217	\N	\N	\N
1945928	6592	1998-04-12	PRIJEM	VKLAD	27874	69994	\N	\N	\N
1945929	6592	1998-03-12	PRIJEM	VKLAD	47600	117102	\N	\N	\N
1945930	6592	1998-12-11	PRIJEM	VKLAD	11135	84758	\N	\N	\N
1945931	6592	1998-11-11	PRIJEM	VKLAD	29422	99039	\N	\N	\N
1945932	6592	1998-01-01	PRIJEM	VKLAD	49790	120422	\N	\N	\N
1945933	6592	1998-07-07	PRIJEM	VKLAD	37641	78256	\N	\N	\N
1945946	6592	1996-12-28	VYDAJ	VYBER	5700	41452	\N	\N	0
1945947	6592	1997-02-15	VYDAJ	VYBER	8200	36879	\N	\N	0
1945948	6592	1997-03-21	VYDAJ	VYBER	5100	37169	\N	\N	0
1945949	6592	1997-04-22	VYDAJ	VYBER	6300	85232	\N	\N	0
1945950	6592	1997-05-13	VYDAJ	VYBER	6600	85111	\N	\N	0
1945951	6592	1997-05-31	VYDAJ	VYBER	7700	47186	\N	\N	0
1945952	6592	1997-07-13	VYDAJ	VYBER	7100	20381	\N	\N	0
1945953	6592	1997-08-18	VYDAJ	VYBER	6400	45315	\N	\N	0
1945954	6592	1997-09-12	VYDAJ	PREVOD NA UCET	6511	36926	UVER	QR	62818646
1945955	6592	1997-10-12	VYDAJ	PREVOD NA UCET	6511	93385	UVER	QR	62818646
1945956	6592	1997-11-12	VYDAJ	PREVOD NA UCET	6511	65082	UVER	QR	62818646
1945957	6592	1997-12-12	VYDAJ	PREVOD NA UCET	6511	54788	UVER	QR	62818646
1945958	6592	1998-01-12	VYDAJ	PREVOD NA UCET	6511	53656	UVER	QR	62818646
1945959	6592	1998-02-12	VYDAJ	PREVOD NA UCET	6511	32337	UVER	QR	62818646
1945960	6592	1998-03-12	VYDAJ	PREVOD NA UCET	6511	79891	UVER	QR	62818646
1945961	6592	1998-04-12	VYDAJ	PREVOD NA UCET	6511	63484	UVER	QR	62818646
1945962	6592	1998-05-12	VYDAJ	PREVOD NA UCET	6511	44299	UVER	QR	62818646
1945963	6592	1998-06-12	VYDAJ	PREVOD NA UCET	6511	51151	UVER	QR	62818646
1945964	6592	1998-07-12	VYDAJ	PREVOD NA UCET	6511	68646	UVER	QR	62818646
1945965	6592	1998-08-12	VYDAJ	PREVOD NA UCET	6511	68621	UVER	QR	62818646
1945966	6592	1998-09-12	VYDAJ	PREVOD NA UCET	6511	75449	UVER	QR	62818646
1945967	6592	1998-10-12	VYDAJ	PREVOD NA UCET	6511	96195	UVER	QR	62818646
1945968	6592	1998-11-12	VYDAJ	PREVOD NA UCET	6511	92528	UVER	QR	62818646
1945969	6592	1998-12-12	VYDAJ	PREVOD NA UCET	6511	78247	UVER	QR	62818646
1945982	6592	1997-01-05	VYDAJ	PREVOD NA UCET	10755	64755	SIPO	QR	16516280
1945983	6592	1997-02-05	VYDAJ	PREVOD NA UCET	10755	45079	SIPO	QR	16516280
1945984	6592	1997-03-05	VYDAJ	PREVOD NA UCET	10755	47569	SIPO	QR	16516280
1945985	6592	1997-04-05	VYDAJ	PREVOD NA UCET	10755	54329	SIPO	QR	16516280
1945986	6592	1997-05-05	VYDAJ	PREVOD NA UCET	10755	88301	SIPO	QR	16516280
1945987	6592	1997-06-05	VYDAJ	PREVOD NA UCET	10755	58117	SIPO	QR	16516280
1945988	6592	1997-07-05	VYDAJ	PREVOD NA UCET	10755	27481	SIPO	QR	16516280
1945989	6592	1997-08-05	VYDAJ	PREVOD NA UCET	10755	31289	SIPO	QR	16516280
1945990	6592	1997-09-05	VYDAJ	PREVOD NA UCET	10755	43437	SIPO	QR	16516280
1945991	6592	1997-10-05	VYDAJ	PREVOD NA UCET	10755	90054	SIPO	QR	16516280
1945992	6592	1997-11-05	VYDAJ	PREVOD NA UCET	10755	71593	SIPO	QR	16516280
1945993	6592	1997-12-05	VYDAJ	PREVOD NA UCET	10755	61299	SIPO	QR	16516280
1945994	6592	1998-01-05	VYDAJ	PREVOD NA UCET	10755	60167	SIPO	QR	16516280
1945995	6592	1998-02-05	VYDAJ	PREVOD NA UCET	10755	18447	SIPO	QR	16516280
1945996	6592	1998-03-05	VYDAJ	PREVOD NA UCET	10755	69502	SIPO	QR	16516280
1945997	6592	1998-04-05	VYDAJ	PREVOD NA UCET	10755	42120	SIPO	QR	16516280
1945998	6592	1998-05-05	VYDAJ	PREVOD NA UCET	10755	53210	SIPO	QR	16516280
1945999	6592	1998-06-05	VYDAJ	PREVOD NA UCET	10755	43462	SIPO	QR	16516280
1946000	6592	1998-07-05	VYDAJ	PREVOD NA UCET	10755	40615	SIPO	QR	16516280
1946001	6592	1998-08-05	VYDAJ	PREVOD NA UCET	10755	72365	SIPO	QR	16516280
1946002	6592	1998-09-05	VYDAJ	PREVOD NA UCET	10755	78660	SIPO	QR	16516280
1946003	6592	1998-10-05	VYDAJ	PREVOD NA UCET	10755	65010	SIPO	QR	16516280
1946004	6592	1998-11-05	VYDAJ	PREVOD NA UCET	10755	43717	SIPO	QR	16516280
1946005	6592	1998-12-05	VYDAJ	PREVOD NA UCET	10755	51523	SIPO	QR	16516280
1946015	6592	1997-08-28	VYBER	VYBER	12302	53972	\N	\N	\N
1946016	6592	1997-11-01	VYBER	VYBER	15357	82348	\N	\N	\N
1946018	6592	1997-10-09	VYBER	VYBER	5574	84480	\N	\N	\N
1946019	6592	1998-11-17	VYBER	VYBER	8090	65113	\N	\N	\N
1946020	6592	1998-03-20	VYBER	VYBER	4148	59543	\N	\N	\N
1946021	6592	1998-11-13	VYBER	VYBER	19325	73203	\N	\N	\N
1946022	6592	1998-01-16	VYBER	VYBER	2319	39737	\N	\N	\N
1946023	6592	1998-09-02	VYBER	VYBER	19320	89415	\N	\N	\N
1946025	6592	1997-06-21	VYDAJ	VYBER	12000	38034	\N	\N	\N
1946028	6592	1997-01-28	VYDAJ	VYBER	15000	55570	\N	\N	\N
1946029	6592	1998-01-29	VYDAJ	VYBER	24600	29019	\N	\N	\N
1946036	6592	1997-01-10	VYDAJ	VYBER	6600	58155	\N	\N	\N
1946037	6592	1997-01-23	VYDAJ	VYBER	7200	72670	\N	\N	\N
1946038	6592	1997-01-27	VYDAJ	VYBER	2100	70570	\N	\N	\N
1946039	6592	1997-01-03	VYDAJ	VYBER	2100	75510	\N	\N	\N
1946040	6592	1997-01-01	VYDAJ	VYBER	6000	83010	\N	\N	\N
1946041	6592	1997-01-03	VYDAJ	VYBER	5400	77610	\N	\N	\N
1946042	6592	1998-01-18	VYDAJ	VYBER	5700	34037	\N	\N	\N
1946043	6592	1998-01-04	VYDAJ	VYBER	2100	70922	\N	\N	\N
1946044	6592	1998-01-15	VYDAJ	VYBER	7200	42056	\N	\N	\N
1946045	6592	1998-01-03	VYDAJ	VYBER	2100	73022	\N	\N	\N
1946046	6592	1998-01-13	VYDAJ	VYBER	2700	50956	\N	\N	\N
1946047	6592	1998-01-20	VYDAJ	VYBER	1500	32537	\N	\N	\N
1946053	6592	1997-10-28	VYDAJ	VYBER	10200	75609	\N	\N	\N
1946054	6592	1997-07-23	VYDAJ	VYBER	6000	41900	\N	\N	\N
1946055	6592	1997-11-16	VYDAJ	VYBER	11100	79588	\N	\N	\N
1946056	6592	1997-04-01	VYDAJ	VYBER	12300	25062	\N	\N	\N
1946057	6592	1998-01-21	VYDAJ	VYBER	6600	25937	\N	\N	\N
1946058	6592	1998-07-09	VYDAJ	VYBER	12000	66256	\N	\N	\N
1946059	6592	1998-05-09	VYDAJ	VYBER KARTOU	2400	50810	\N	\N	0
1946060	6592	1998-03-27	VYDAJ	VYBER	6900	52643	\N	\N	\N
1946074	6592	1997-01-31	VYDAJ	VYBER	15	55834	SLUZBY	\N	\N
1946075	6592	1997-02-28	VYDAJ	VYBER	15	58324	SLUZBY	\N	\N
1946076	6592	1997-03-31	VYDAJ	VYBER	15	37362	SLUZBY	\N	\N
1946077	6592	1997-04-30	VYDAJ	VYBER	15	99056	SLUZBY	\N	\N
1946078	6592	1997-05-31	VYDAJ	VYBER	15	47172	SLUZBY	\N	\N
1946079	6592	1997-06-30	VYDAJ	VYBER	15	38236	SLUZBY	\N	\N
1946080	6592	1997-07-31	VYDAJ	VYBER	15	42044	SLUZBY	\N	\N
1946081	6592	1997-08-31	VYDAJ	VYBER	15	54192	SLUZBY	\N	\N
1946082	6592	1997-09-30	VYDAJ	VYBER	15	100809	SLUZBY	\N	\N
1946083	6592	1997-10-31	VYDAJ	VYBER	15	97705	SLUZBY	\N	\N
1946084	6592	1997-11-30	VYDAJ	VYBER	15	72054	SLUZBY	\N	\N
1946085	6592	1997-12-31	VYDAJ	VYBER	15	70632	SLUZBY	\N	\N
1946086	6592	1998-01-31	VYDAJ	VYBER	15	29202	SLUZBY	\N	\N
1946087	6592	1998-02-28	VYDAJ	VYBER	15	32467	SLUZBY	\N	\N
1946088	6592	1998-03-31	VYDAJ	VYBER	15	52875	SLUZBY	\N	\N
1946089	6592	1998-04-30	VYDAJ	VYBER	15	63965	SLUZBY	\N	\N
1946090	6592	1998-05-31	VYDAJ	VYBER	15	54217	SLUZBY	\N	\N
1946091	6592	1998-06-30	VYDAJ	VYBER	15	51370	SLUZBY	\N	\N
1946092	6592	1998-07-31	VYDAJ	VYBER	15	83120	SLUZBY	\N	\N
1946093	6592	1998-08-31	VYDAJ	VYBER	15	68924	SLUZBY	\N	\N
1946094	6592	1998-09-30	VYDAJ	VYBER	15	75765	SLUZBY	\N	\N
1946095	6592	1998-10-31	VYDAJ	VYBER	15	54472	SLUZBY	\N	\N
1946096	6592	1998-11-30	VYDAJ	VYBER	15	62278	SLUZBY	\N	\N
1946097	6592	1996-11-19	VYDAJ	VYBER	3800	26103	\N	\N	\N
1946098	6592	1996-12-19	VYDAJ	VYBER	17100	47152	\N	\N	\N
1946099	6592	1996-12-29	VYDAJ	VYBER	33600	102225	\N	\N	\N
1946100	6592	1997-01-01	VYDAJ	VYBER	41400	89010	\N	\N	\N
1946101	6592	1997-01-01	VYDAJ	VYBER	34500	130410	\N	\N	\N
1946102	6592	1997-01-18	VYDAJ	VYBER	14900	43255	\N	\N	\N
1946103	6592	1997-02-17	VYDAJ	VYBER	6600	30279	\N	\N	\N
1946104	6592	1997-03-19	VYDAJ	VYBER	5300	42269	\N	\N	\N
1946105	6592	1997-04-18	VYDAJ	VYBER	25600	61643	\N	\N	\N
1946106	6592	1997-04-24	VYDAJ	VYBER	24700	98755	\N	\N	\N
1946107	6592	1997-05-09	VYDAJ	VYBER	57700	51718	\N	\N	\N
1946108	6592	1997-05-18	VYDAJ	VYBER	29200	55911	\N	\N	\N
1946109	6592	1997-05-25	VYDAJ	VYBER	61600	54566	\N	\N	\N
1946110	6592	1997-06-17	VYDAJ	VYBER	15000	50034	\N	\N	\N
1946111	6592	1997-07-17	VYDAJ	VYBER	8000	35429	\N	\N	\N
1946112	6592	1997-08-16	VYDAJ	VYBER	14600	51715	\N	\N	\N
1946113	6592	1997-09-15	VYDAJ	VYBER	2000	34926	\N	\N	\N
1946114	6592	1997-10-11	VYDAJ	VYBER	19500	99896	\N	\N	\N
1946115	6592	1997-10-15	VYDAJ	VYBER	27800	65585	\N	\N	\N
1946116	6592	1997-11-14	VYDAJ	VYBER	9800	55282	\N	\N	\N
1946117	6592	1997-11-27	VYDAJ	VYBER	55700	71722	\N	\N	\N
1946118	6592	1997-12-14	VYDAJ	VYBER	3300	51488	\N	\N	\N
1946119	6592	1998-01-01	VYDAJ	VYBER	45300	75122	\N	\N	\N
1946120	6592	1998-01-13	VYDAJ	VYBER	1700	49256	\N	\N	\N
1946121	6592	1998-02-12	PRIJEM	VKLAD	20400	38847	\N	\N	\N
1946122	6592	1998-03-12	VYDAJ	VYBER	30700	86402	\N	\N	\N
1946123	6592	1998-03-14	VYDAJ	VYBER	16200	63691	\N	\N	\N
1946124	6592	1998-04-13	VYDAJ	VYBER	5300	58184	\N	\N	\N
1946125	6592	1998-05-13	PRIJEM	VKLAD	9700	53999	\N	\N	\N
1946126	6592	1998-06-12	PRIJEM	VKLAD	14200	57662	\N	\N	\N
1946127	6592	1998-07-12	PRIJEM	VKLAD	8900	75156	\N	\N	\N
1946128	6592	1998-08-07	VYDAJ	VYBER	58400	51545	\N	\N	\N
1946129	6592	1998-08-11	PRIJEM	VKLAD	2300	53845	\N	\N	\N
1946130	6592	1998-09-10	PRIJEM	VKLAD	3300	81960	\N	\N	\N
1946131	6592	1998-10-08	VYDAJ	VYBER	47700	59517	\N	\N	\N
1946132	6592	1998-10-10	VYDAJ	VYBER KARTOU	2100	102705	\N	\N	0
1946133	6592	1998-10-13	VYDAJ	VYBER	48500	87125	\N	\N	\N
1946134	6592	1998-10-23	VYDAJ	VYBER	21300	99449	\N	\N	\N
1946135	6592	1998-10-30	VYDAJ	VYBER	40200	106156	\N	\N	\N
1946136	6592	1998-10-31	VYDAJ	VYBER	52100	54486	\N	\N	\N
1946137	6592	1998-11-09	PRIJEM	VKLAD	25900	69617	\N	\N	\N
1946138	6592	1998-11-28	VYDAJ	VYBER	56100	61995	\N	\N	\N
1946139	6592	1998-12-09	PRIJEM	VKLAD	22100	73623	\N	\N	\N
1948926	6602	1997-08-04	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1948934	6602	1997-08-05	PRIJEM	VKLAD	14961	15961	\N	\N	\N
1948935	6602	1997-09-05	PRIJEM	VKLAD	14961	31280	\N	\N	\N
1948936	6602	1997-10-05	PRIJEM	VKLAD	14961	43563	\N	\N	\N
1948937	6602	1997-11-05	PRIJEM	VKLAD	14961	47199	\N	\N	\N
1948938	6602	1997-12-05	PRIJEM	VKLAD	22442	42535	\N	\N	\N
1948939	6602	1998-01-05	PRIJEM	VKLAD	14961	38286	\N	\N	\N
1948940	6602	1998-02-05	PRIJEM	VKLAD	14961	28805	\N	\N	\N
1948941	6602	1998-03-05	PRIJEM	VKLAD	14961	14687	\N	\N	\N
1948942	6602	1998-04-05	PRIJEM	VKLAD	14961	17475	\N	\N	\N
1948943	6602	1998-05-05	PRIJEM	VKLAD	14961	26869	\N	\N	\N
1948944	6602	1998-06-05	PRIJEM	VKLAD	22442	37571	\N	\N	\N
1948945	6602	1998-07-05	PRIJEM	VKLAD	14961	38390	\N	\N	\N
1948946	6602	1998-08-05	PRIJEM	VKLAD	14961	40699	\N	\N	\N
1948947	6602	1998-09-05	PRIJEM	VKLAD	14961	39378	\N	\N	\N
1948948	6602	1998-10-05	PRIJEM	VKLAD	14961	37959	\N	\N	\N
1948949	6602	1998-11-05	PRIJEM	VKLAD	14961	50151	\N	\N	\N
1948950	6602	1998-12-05	PRIJEM	VKLAD	22442	57728	\N	\N	\N
1948962	6602	1997-12-17	VYDAJ	VYBER	6300	31195	SIPO	\N	0
1948963	6602	1998-01-19	VYDAJ	VYBER	6200	15746	SIPO	\N	0
1948964	6602	1998-02-08	VYDAJ	VYBER	6500	9905	SIPO	\N	0
1948965	6602	1998-03-17	VYDAJ	VYBER	7100	7587	SIPO	\N	0
1948966	6602	1998-04-02	VYDAJ	VYBER	5100	2514	SIPO	\N	0
1948967	6602	1998-05-08	VYDAJ	VYBER	6900	19969	SIPO	\N	0
1948968	6602	1998-06-11	VYDAJ	VYBER	5500	25471	SIPO	\N	0
1948969	6602	1998-07-17	VYDAJ	VYBER	5100	29930	SIPO	\N	0
1948970	6602	1998-08-06	VYDAJ	VYBER	5100	35599	SIPO	\N	0
1948971	6602	1998-09-06	VYDAJ	VYBER	7500	31878	SIPO	\N	0
1948972	6602	1998-10-19	VYDAJ	VYBER	6600	31359	SIPO	\N	0
1948973	6602	1998-11-13	VYDAJ	VYBER	6700	35651	SIPO	\N	0
1948974	6602	1998-12-12	VYDAJ	VYBER	5900	39828	SIPO	\N	0
1948986	6602	1997-12-03	VYDAJ	VYBER	8600	20093	\N	\N	0
1948987	6602	1998-01-16	VYDAJ	VYBER	6500	27706	\N	\N	0
1948988	6602	1998-02-07	VYDAJ	VYBER	12400	16405	\N	\N	0
1948989	6602	1998-03-04	VYDAJ	VYBER	9300	-274	\N	\N	0
1948990	6602	1998-04-08	VYDAJ	VYBER	6100	11375	\N	\N	0
1948991	6602	1998-05-25	VYDAJ	VYBER	7600	12369	\N	\N	0
1948992	6602	1998-06-08	VYDAJ	VYBER	6600	30971	\N	\N	0
1948993	6602	1998-07-24	VYDAJ	VYBER	7400	22530	\N	\N	0
1948994	6602	1998-08-23	VYDAJ	VYBER	8900	26699	\N	\N	0
1948995	6602	1998-09-02	VYDAJ	VYBER	8000	24417	\N	\N	0
1948996	6602	1998-10-03	VYDAJ	VYBER	10900	22998	\N	\N	0
1948997	6602	1998-11-10	VYDAJ	VYBER	7800	42351	\N	\N	0
1948998	6602	1998-12-10	VYDAJ	VYBER	12000	45728	\N	\N	0
1949000	6602	1998-06-11	VYDAJ	VYBER	9600	15871	\N	\N	\N
1949002	6602	1998-01-16	VYDAJ	VYBER	5760	21946	\N	\N	\N
1949004	6602	1998-12-27	VYDAJ	VYBER	3520	35228	\N	\N	\N
1949011	6602	1998-01-07	VYDAJ	VYBER	600	37686	\N	\N	\N
1949013	6602	1998-01-04	VYDAJ	VYBER	1200	23325	\N	\N	\N
1949014	6602	1998-01-16	VYDAJ	VYBER	3480	34206	\N	\N	\N
1949021	6602	1997-12-09	VYDAJ	VYBER	5040	37495	\N	\N	\N
1949025	6602	1998-02-11	VYDAJ	VYBER	3600	6305	\N	\N	\N
1949026	6602	1998-07-05	VYDAJ	VYBER	3360	35030	\N	\N	\N
1949027	6602	1998-12-24	VYDAJ	VYBER	1080	38748	\N	\N	\N
1949040	6602	1997-12-31	VYDAJ	VYBER	15	31325	SLUZBY	\N	\N
1949041	6602	1998-01-31	VYDAJ	VYBER	15	15844	SLUZBY	\N	\N
1949042	6602	1998-02-28	VYDAJ	VYBER	15	6326	SLUZBY	\N	\N
1949043	6602	1998-03-31	VYDAJ	VYBER	15	7614	SLUZBY	\N	\N
1949044	6602	1998-04-30	VYDAJ	VYBER	15	11408	SLUZBY	\N	\N
1949045	6602	1998-05-31	VYDAJ	VYBER	15	15129	SLUZBY	\N	\N
1949046	6602	1998-06-30	VYDAJ	VYBER	15	23429	SLUZBY	\N	\N
1949047	6602	1998-07-31	VYDAJ	VYBER	15	25738	SLUZBY	\N	\N
1949048	6602	1998-08-31	VYDAJ	VYBER	15	32417	SLUZBY	\N	\N
1949049	6602	1998-09-30	VYDAJ	VYBER	15	33898	SLUZBY	\N	\N
1949050	6602	1998-10-31	VYDAJ	VYBER	15	35190	SLUZBY	\N	\N
1949051	6602	1998-11-30	VYDAJ	VYBER	15	35286	SLUZBY	\N	\N
1949052	6602	1997-09-03	PRIJEM	VKLAD	300	16319	\N	\N	\N
1949053	6602	1997-10-03	VYDAJ	VYBER	2800	28602	\N	\N	\N
1949054	6602	1997-11-02	VYDAJ	VYBER	11500	32238	\N	\N	\N
1949055	6602	1997-12-02	VYDAJ	VYBER	18700	28693	\N	\N	\N
1949056	6602	1998-01-01	VYDAJ	VYBER	6800	24525	\N	\N	\N
1949057	6602	1998-01-31	VYDAJ	VYBER	2000	13844	\N	\N	\N
1949058	6602	1998-03-02	PRIJEM	VKLAD	2700	9026	\N	\N	\N
1949059	6602	1998-05-01	PRIJEM	VKLAD	500	11908	\N	\N	\N
1949060	6602	1998-05-31	PRIJEM	VKLAD	2700	15069	\N	\N	\N
1949061	6602	1998-06-30	PRIJEM	VKLAD	7500	23371	\N	\N	\N
1949062	6602	1998-07-30	PRIJEM	VKLAD	3100	25630	\N	\N	\N
1949063	6602	1998-08-29	PRIJEM	VKLAD	5600	32299	\N	\N	\N
1949064	6602	1998-09-28	PRIJEM	VKLAD	1900	33778	\N	\N	\N
1949065	6602	1998-10-28	PRIJEM	VKLAD	3700	35059	\N	\N	\N
1949066	6602	1998-11-27	VYDAJ	VYBER	500	35151	\N	\N	\N
1951070	6609	1995-03-27	PRIJEM	VKLAD	400	400	\N	\N	\N
1951071	6609	1995-08-15	PRIJEM	VKLAD	46509	82184	\N	\N	\N
1951072	6609	1995-06-29	PRIJEM	VKLAD	28622	100922	\N	\N	\N
1951073	6609	1995-11-30	PRIJEM	VKLAD	27611	70740	\N	\N	\N
1951074	6609	1995-06-26	PRIJEM	VKLAD	40766	72300	\N	\N	\N
1951076	6609	1995-10-27	PRIJEM	VKLAD	33948	75824	\N	\N	\N
1951077	6609	1995-09-09	PRIJEM	VKLAD	48348	145494	\N	\N	\N
1951078	6609	1995-10-10	PRIJEM	VKLAD	27574	71381	\N	\N	\N
1951079	6609	1995-07-05	PRIJEM	VKLAD	39779	140885	\N	\N	\N
1951080	6609	1995-05-16	PRIJEM	VKLAD	29665	52628	\N	\N	\N
1951081	6609	1995-11-02	PRIJEM	VKLAD	6504	82550	\N	\N	\N
1951084	6609	1995-11-10	PRIJEM	VKLAD	27396	159713	\N	\N	\N
1951085	6609	1995-11-21	PRIJEM	VKLAD	6692	66229	\N	\N	\N
1951087	6609	1995-09-15	PRIJEM	VKLAD	10585	111774	\N	\N	\N
1951088	6609	1995-08-30	PRIJEM	VKLAD	14155	66139	\N	\N	\N
1951090	6609	1995-08-30	PRIJEM	VKLAD	32271	98410	\N	\N	\N
1951091	6609	1995-08-11	PRIJEM	VKLAD	5372	41180	\N	\N	\N
1951092	6609	1995-04-13	PRIJEM	VKLAD	19847	20247	\N	\N	\N
1951094	6609	1995-07-17	PRIJEM	VKLAD	14918	74998	\N	\N	\N
1951096	6609	1995-11-10	PRIJEM	VKLAD	49767	132317	\N	\N	\N
1951097	6609	1996-01-03	PRIJEM	VKLAD	13622	49982	\N	\N	\N
1951098	6609	1996-12-24	PRIJEM	VKLAD	37904	36691	\N	\N	\N
1951099	6609	1997-09-09	PRIJEM	VKLAD	17101	30384	\N	\N	\N
1951100	6609	1997-11-30	PRIJEM	VKLAD	10543	19539	\N	\N	\N
1951101	6609	1997-07-10	PRIJEM	VKLAD	36692	35243	\N	\N	\N
1951102	6609	1997-08-11	PRIJEM	VKLAD	26132	39217	\N	\N	\N
1951103	6609	1998-11-25	PRIJEM	VKLAD	36534	52273	\N	\N	\N
1951104	6609	1998-09-29	PRIJEM	VKLAD	34611	129701	\N	\N	\N
1951105	6609	1998-02-08	PRIJEM	VKLAD	9630	14930	\N	\N	\N
1951106	6609	1998-09-10	PRIJEM	VKLAD	8179	35672	\N	\N	\N
1951107	6609	1998-09-14	PRIJEM	VKLAD	48092	76588	\N	\N	\N
1951108	6609	1998-10-10	PRIJEM	VKLAD	6487	29562	\N	\N	\N
1951109	6609	1998-08-28	PRIJEM	VKLAD	7221	27386	\N	\N	\N
1951110	6609	1998-04-02	PRIJEM	VKLAD	37877	146059	\N	\N	\N
1951111	6609	1998-11-25	PRIJEM	VKLAD	12716	64989	\N	\N	\N
1951112	6609	1998-02-20	PRIJEM	VKLAD	24248	32002	\N	\N	\N
1951113	6609	1998-03-25	PRIJEM	VKLAD	42310	67180	\N	\N	\N
1951114	6609	1998-03-26	PRIJEM	VKLAD	40829	108009	\N	\N	\N
1951115	6609	1998-06-11	PRIJEM	VKLAD	13663	42149	\N	\N	\N
1951116	6609	1998-05-18	PRIJEM	VKLAD	27184	33623	\N	\N	\N
1951117	6609	1998-09-27	PRIJEM	VKLAD	18502	95090	\N	\N	\N
1951118	6609	1998-12-21	PRIJEM	VKLAD	49488	99671	\N	\N	\N
1951119	6609	1998-05-10	PRIJEM	VKLAD	28013	59415	\N	\N	\N
1951120	6609	1998-09-30	PRIJEM	VKLAD	34037	109376	\N	\N	\N
1951121	6609	1998-06-13	PRIJEM	VKLAD	14481	49454	\N	\N	\N
1951122	6609	1998-10-06	PRIJEM	VKLAD	7013	97075	\N	\N	\N
1951129	6609	1995-07-21	VYDAJ	VYBER	1500	73498	\N	\N	0
1951130	6609	1995-08-18	VYDAJ	VYBER	1400	80784	\N	\N	0
1951131	6609	1995-08-31	VYDAJ	VYBER	1500	97146	\N	\N	0
1951132	6609	1995-10-25	VYDAJ	VYBER	1700	41876	\N	\N	0
1951133	6609	1995-11-12	VYDAJ	PREVOD NA UCET	1671	59537	UVER	ST	70020216
1951134	6609	1995-12-12	VYDAJ	PREVOD NA UCET	1671	65450	UVER	ST	70020216
1951135	6609	1996-01-12	VYDAJ	PREVOD NA UCET	1671	39911	UVER	ST	70020216
1951136	6609	1996-02-12	VYDAJ	PREVOD NA UCET	1671	19955	UVER	ST	70020216
1951137	6609	1996-03-12	VYDAJ	PREVOD NA UCET	1671	13721	UVER	ST	70020216
1951138	6609	1996-04-12	VYDAJ	PREVOD NA UCET	1671	13419	UVER	ST	70020216
1951139	6609	1996-05-12	VYDAJ	PREVOD NA UCET	1671	11581	UVER	ST	70020216
1951140	6609	1996-06-12	VYDAJ	PREVOD NA UCET	1671	545	UVER	ST	70020216
1951147	6609	1997-01-12	VYDAJ	PREVOD NA UCET	1671	16023	UVER	ST	70020216
1951148	6609	1997-02-12	VYDAJ	PREVOD NA UCET	1671	8912	UVER	ST	70020216
1951153	6609	1997-07-12	VYDAJ	PREVOD NA UCET	1671	28067	UVER	ST	70020216
1951154	6609	1997-08-12	VYDAJ	PREVOD NA UCET	1671	37546	UVER	ST	70020216
1951155	6609	1997-09-12	VYDAJ	PREVOD NA UCET	1671	23208	UVER	ST	70020216
1951156	6609	1997-10-12	VYDAJ	PREVOD NA UCET	1671	21606	UVER	ST	70020216
1951157	6609	1997-11-12	VYDAJ	PREVOD NA UCET	1671	8996	UVER	ST	70020216
1951158	6609	1997-12-12	VYDAJ	PREVOD NA UCET	1671	17915	UVER	ST	70020216
1951159	6609	1998-01-12	VYDAJ	PREVOD NA UCET	1671	5284	UVER	ST	70020216
1951160	6609	1998-02-12	VYDAJ	PREVOD NA UCET	1671	13259	UVER	ST	70020216
1951161	6609	1998-03-12	VYDAJ	PREVOD NA UCET	1671	30375	UVER	ST	70020216
1951162	6609	1998-04-12	VYDAJ	PREVOD NA UCET	1671	36688	UVER	ST	70020216
1951163	6609	1998-05-12	VYDAJ	PREVOD NA UCET	1671	8063	UVER	ST	70020216
1951164	6609	1998-06-12	VYDAJ	PREVOD NA UCET	1671	34973	UVER	ST	70020216
1951165	6609	1998-07-12	VYDAJ	PREVOD NA UCET	1671	42433	UVER	ST	70020216
1951166	6609	1998-08-12	VYDAJ	PREVOD NA UCET	1671	21789	UVER	ST	70020216
1951167	6609	1998-09-12	VYDAJ	PREVOD NA UCET	1671	28496	UVER	ST	70020216
1951168	6609	1998-10-12	VYDAJ	PREVOD NA UCET	1671	27891	UVER	ST	70020216
1951169	6609	1998-11-07	VYDAJ	VYBER	1300	21244	\N	\N	0
1951170	6609	1998-12-19	VYDAJ	VYBER	1900	50183	\N	\N	0
1951177	6609	1995-07-12	VYDAJ	PREVOD NA UCET	3881	103880	SIPO	UV	11188424
1951178	6609	1995-08-12	VYDAJ	PREVOD NA UCET	3881	37299	SIPO	UV	11188424
1951179	6609	1995-09-12	VYDAJ	PREVOD NA UCET	3881	101189	SIPO	UV	11188424
1951180	6609	1995-10-12	VYDAJ	PREVOD NA UCET	3881	67500	SIPO	UV	11188424
1951181	6609	1995-11-12	VYDAJ	PREVOD NA UCET	3881	62832	SIPO	UV	11188424
1951182	6609	1995-12-12	VYDAJ	PREVOD NA UCET	3881	67121	SIPO	UV	11188424
1951183	6609	1996-01-12	VYDAJ	PREVOD NA UCET	3881	34406	SIPO	UV	11188424
1951184	6609	1996-02-12	VYDAJ	PREVOD NA UCET	3881	16074	SIPO	UV	11188424
1951185	6609	1996-03-12	VYDAJ	PREVOD NA UCET	3881	9840	SIPO	UV	11188424
1951186	6609	1996-04-12	VYDAJ	PREVOD NA UCET	3881	9538	SIPO	UV	11188424
1951187	6609	1996-05-12	VYDAJ	PREVOD NA UCET	3881	7700	SIPO	UV	11188424
1951188	6609	1996-06-12	VYDAJ	PREVOD NA UCET	3881	2216	SIPO	UV	11188424
1951195	6609	1997-01-12	VYDAJ	PREVOD NA UCET	3881	17694	SIPO	UV	11188424
1951196	6609	1997-02-12	VYDAJ	PREVOD NA UCET	3881	12207	SIPO	UV	11188424
1951197	6609	1997-03-12	VYDAJ	PREVOD NA UCET	3881	5068	SIPO	UV	11188424
1951201	6609	1997-07-12	VYDAJ	PREVOD NA UCET	3881	31362	SIPO	UV	11188424
1951202	6609	1997-08-12	VYDAJ	PREVOD NA UCET	3881	33665	SIPO	UV	11188424
1951203	6609	1997-09-12	VYDAJ	PREVOD NA UCET	3881	24879	SIPO	UV	11188424
1951204	6609	1997-10-12	VYDAJ	PREVOD NA UCET	3881	16101	SIPO	UV	11188424
1951205	6609	1997-11-12	VYDAJ	PREVOD NA UCET	3881	10667	SIPO	UV	11188424
1951206	6609	1997-12-12	VYDAJ	PREVOD NA UCET	3881	14034	SIPO	UV	11188424
1951207	6609	1998-01-12	VYDAJ	PREVOD NA UCET	3881	8579	SIPO	UV	11188424
1951208	6609	1998-02-12	VYDAJ	PREVOD NA UCET	3881	7754	SIPO	UV	11188424
1951209	6609	1998-03-12	VYDAJ	PREVOD NA UCET	3881	26494	SIPO	UV	11188424
1951210	6609	1998-04-12	VYDAJ	PREVOD NA UCET	3881	31183	SIPO	UV	11188424
1951211	6609	1998-05-12	VYDAJ	PREVOD NA UCET	3881	9734	SIPO	UV	11188424
1951212	6609	1998-06-12	VYDAJ	PREVOD NA UCET	3881	38268	SIPO	UV	11188424
1951213	6609	1998-07-12	VYDAJ	PREVOD NA UCET	3881	45728	SIPO	UV	11188424
1951214	6609	1998-08-12	VYDAJ	PREVOD NA UCET	3881	23460	SIPO	UV	11188424
1951215	6609	1998-09-12	VYDAJ	PREVOD NA UCET	3881	30167	SIPO	UV	11188424
1951216	6609	1998-10-12	VYDAJ	PREVOD NA UCET	3881	22386	SIPO	UV	11188424
1951217	6609	1998-11-12	VYDAJ	PREVOD NA UCET	3881	17363	SIPO	UV	11188424
1951218	6609	1998-12-12	VYDAJ	PREVOD NA UCET	3881	57783	SIPO	UV	11188424
1951225	6609	1995-07-12	VYDAJ	PREVOD NA UCET	1624	107761	 	GH	27650201
1951226	6609	1995-08-12	VYDAJ	PREVOD NA UCET	1624	35675	 	GH	27650201
1951227	6609	1995-09-12	VYDAJ	PREVOD NA UCET	1624	105070	 	GH	27650201
1951228	6609	1995-10-12	VYDAJ	PREVOD NA UCET	1624	65876	 	GH	27650201
1951229	6609	1995-11-12	VYDAJ	PREVOD NA UCET	1624	61208	 	GH	27650201
1951230	6609	1995-12-12	VYDAJ	PREVOD NA UCET	1624	63826	 	GH	27650201
1951231	6609	1996-01-12	VYDAJ	PREVOD NA UCET	1624	38287	 	GH	27650201
1951232	6609	1996-02-12	VYDAJ	PREVOD NA UCET	1624	14450	 	GH	27650201
1951233	6609	1996-03-12	VYDAJ	PREVOD NA UCET	1624	15392	 	GH	27650201
1951234	6609	1996-04-12	VYDAJ	PREVOD NA UCET	1624	7914	 	GH	27650201
1951235	6609	1996-05-12	VYDAJ	PREVOD NA UCET	1624	6076	 	GH	27650201
1951236	6609	1996-06-12	VYDAJ	PREVOD NA UCET	1624	-1079	 	GH	27650201
1951243	6609	1997-01-12	VYDAJ	PREVOD NA UCET	1624	21575	 	GH	27650201
1951244	6609	1997-02-12	VYDAJ	PREVOD NA UCET	1624	10583	 	GH	27650201
1951245	6609	1997-03-12	VYDAJ	PREVOD NA UCET	1624	3444	 	GH	27650201
1951246	6609	1997-04-12	VYDAJ	PREVOD NA UCET	1624	1827	 	GH	27650201
1951247	6609	1997-05-12	VYDAJ	PREVOD NA UCET	1624	201	 	GH	27650201
1951248	6609	1997-06-12	VYDAJ	PREVOD NA UCET	1624	-1432	 	GH	27650201
1951249	6609	1997-07-12	VYDAJ	PREVOD NA UCET	1624	29738	 	GH	27650201
1951250	6609	1997-08-12	VYDAJ	PREVOD NA UCET	1624	32041	 	GH	27650201
1951251	6609	1997-09-12	VYDAJ	PREVOD NA UCET	1624	28760	 	GH	27650201
1951252	6609	1997-10-12	VYDAJ	PREVOD NA UCET	1624	19982	 	GH	27650201
1951253	6609	1997-11-12	VYDAJ	PREVOD NA UCET	1624	14548	 	GH	27650201
1951254	6609	1997-12-12	VYDAJ	PREVOD NA UCET	1624	12410	 	GH	27650201
1951255	6609	1998-01-12	VYDAJ	PREVOD NA UCET	1624	6955	 	GH	27650201
1951256	6609	1998-02-12	VYDAJ	PREVOD NA UCET	1624	11635	 	GH	27650201
1951257	6609	1998-03-12	VYDAJ	PREVOD NA UCET	1624	24870	 	GH	27650201
1951258	6609	1998-04-12	VYDAJ	PREVOD NA UCET	1624	35064	 	GH	27650201
1951259	6609	1998-05-12	VYDAJ	PREVOD NA UCET	1624	6439	 	GH	27650201
1951260	6609	1998-06-12	VYDAJ	PREVOD NA UCET	1624	36644	 	GH	27650201
1951261	6609	1998-07-12	VYDAJ	PREVOD NA UCET	1624	44104	 	GH	27650201
1951262	6609	1998-08-12	VYDAJ	PREVOD NA UCET	1624	20165	 	GH	27650201
1951263	6609	1998-09-12	VYDAJ	PREVOD NA UCET	1624	34048	 	GH	27650201
1951264	6609	1998-10-12	VYDAJ	PREVOD NA UCET	1624	26267	 	GH	27650201
1951265	6609	1998-11-12	VYDAJ	PREVOD NA UCET	1624	15739	 	GH	27650201
1951266	6609	1998-12-12	VYDAJ	PREVOD NA UCET	1624	61664	 	GH	27650201
1951267	6609	1995-09-18	VYBER	VYBER	23289	67985	\N	\N	\N
1951269	6609	1998-05-24	VYBER	VYBER	5238	28385	\N	\N	\N
1951271	6609	1998-08-04	VYBER	VYBER	15267	27341	\N	\N	\N
1951272	6609	1995-12-28	VYDAJ	VYBER	5400	36126	\N	\N	\N
1951275	6609	1998-12-06	VYDAJ	VYBER	1800	63288	\N	\N	\N
1951282	6609	1996-01-06	VYDAJ	VYBER	1800	41582	\N	\N	\N
1951283	6609	1996-01-14	VYDAJ	VYBER	6000	28406	\N	\N	\N
1951284	6609	1996-01-30	VYDAJ	VYBER	1800	21506	\N	\N	\N
1951285	6609	1996-01-05	VYDAJ	VYBER	2400	43382	\N	\N	\N
1951286	6609	1996-01-03	VYDAJ	VYBER	4200	45782	\N	\N	\N
1951287	6609	1996-01-24	VYDAJ	VYBER	2400	23306	\N	\N	\N
1951289	6609	1997-01-06	VYDAJ	VYBER	3000	23199	\N	\N	\N
1951300	6609	1995-08-01	VYDAJ	VYBER	14700	35808	\N	\N	\N
1951302	6609	1996-12-29	VYDAJ	VYBER	4500	26191	\N	\N	\N
1951306	6609	1996-12-24	VYDAJ	VYBER	6000	30691	\N	\N	\N
1951313	6609	1998-12-19	VYDAJ	VYBER	5700	52083	\N	\N	\N
1951314	6609	1998-04-04	VYDAJ	VYBER	14700	105359	\N	\N	\N
1951325	6609	1995-07-31	VYDAJ	VYBER	15	50508	SLUZBY	\N	\N
1951326	6609	1995-08-31	VYDAJ	VYBER	15	98646	SLUZBY	\N	\N
1951327	6609	1995-09-30	VYDAJ	VYBER	15	43807	SLUZBY	\N	\N
1951328	6609	1995-10-31	VYDAJ	VYBER	15	76046	SLUZBY	\N	\N
1951329	6609	1995-11-30	VYDAJ	VYBER	15	71002	SLUZBY	\N	\N
1951330	6609	1995-12-31	VYDAJ	VYBER	15	36360	SLUZBY	\N	\N
1951331	6609	1996-01-31	VYDAJ	VYBER	15	21626	SLUZBY	\N	\N
1951332	6609	1996-02-29	VYDAJ	VYBER	15	17016	SLUZBY	\N	\N
1951333	6609	1996-03-31	VYDAJ	VYBER	15	15090	SLUZBY	\N	\N
1951334	6609	1996-04-30	VYDAJ	VYBER	15	13252	SLUZBY	\N	\N
1951335	6609	1996-05-31	VYDAJ	VYBER	15	6097	SLUZBY	\N	\N
1951336	6609	1996-06-30	VYDAJ	VYBER	15	-1079	SLUZBY	\N	\N
1951337	6609	1996-07-31	VYDAJ	VYBER	15	-1094	SLUZBY	\N	\N
1951338	6609	1996-08-31	VYDAJ	VYBER	15	-1121	SLUZBY	\N	\N
1951339	6609	1996-09-30	VYDAJ	VYBER	15	-1135	SLUZBY	\N	\N
1951340	6609	1996-10-31	VYDAJ	VYBER	15	-1174	SLUZBY	\N	\N
1951341	6609	1996-11-30	VYDAJ	VYBER	15	-1189	SLUZBY	\N	\N
1951342	6609	1996-12-31	VYDAJ	VYBER	15	26199	SLUZBY	\N	\N
1951343	6609	1997-01-31	VYDAJ	VYBER	15	16088	SLUZBY	\N	\N
1951344	6609	1997-02-28	VYDAJ	VYBER	15	8949	SLUZBY	\N	\N
1951345	6609	1997-03-31	VYDAJ	VYBER	15	3451	SLUZBY	\N	\N
1951346	6609	1997-04-30	VYDAJ	VYBER	15	1825	SLUZBY	\N	\N
1951347	6609	1997-05-31	VYDAJ	VYBER	15	192	SLUZBY	\N	\N
1951348	6609	1997-06-30	VYDAJ	VYBER	15	-1446	SLUZBY	\N	\N
1951349	6609	1997-07-31	VYDAJ	VYBER	15	13085	SLUZBY	\N	\N
1951350	6609	1997-08-31	VYDAJ	VYBER	15	13283	SLUZBY	\N	\N
1951351	6609	1997-09-30	VYDAJ	VYBER	15	23277	SLUZBY	\N	\N
1951352	6609	1997-10-31	VYDAJ	VYBER	15	16172	SLUZBY	\N	\N
1951353	6609	1997-11-30	VYDAJ	VYBER	15	19586	SLUZBY	\N	\N
1951354	6609	1997-12-31	VYDAJ	VYBER	15	12460	SLUZBY	\N	\N
1951355	6609	1998-01-31	VYDAJ	VYBER	15	5300	SLUZBY	\N	\N
1951356	6609	1998-02-28	VYDAJ	VYBER	15	32046	SLUZBY	\N	\N
1951357	6609	1998-03-31	VYDAJ	VYBER	15	108182	SLUZBY	\N	\N
1951358	6609	1998-04-30	VYDAJ	VYBER	15	31402	SLUZBY	\N	\N
1951359	6609	1998-05-31	VYDAJ	VYBER	15	28486	SLUZBY	\N	\N
1951360	6609	1998-06-30	VYDAJ	VYBER	15	49609	SLUZBY	\N	\N
1951361	6609	1998-07-31	VYDAJ	VYBER	15	42608	SLUZBY	\N	\N
1951362	6609	1998-08-31	VYDAJ	VYBER	15	27493	SLUZBY	\N	\N
1951363	6609	1998-09-30	VYDAJ	VYBER	15	109362	SLUZBY	\N	\N
1951364	6609	1998-10-31	VYDAJ	VYBER	15	22544	SLUZBY	\N	\N
1951365	6609	1998-11-30	VYDAJ	VYBER	15	65088	SLUZBY	\N	\N
1951366	6609	1995-04-26	PRIJEM	VKLAD	2700	22947	\N	\N	\N
1951367	6609	1995-05-26	VYDAJ	VYBER	16400	36228	\N	\N	\N
1951368	6609	1995-06-25	VYDAJ	VYBER	4800	31534	\N	\N	\N
1951369	6609	1995-07-05	VYDAJ	VYBER	31500	109385	\N	\N	\N
1951370	6609	1995-07-12	VYDAJ	VYBER	43800	60080	\N	\N	\N
1951371	6609	1995-07-25	VYDAJ	VYBER	23300	50198	\N	\N	\N
1951372	6609	1995-08-24	VYDAJ	VYBER	28800	51984	\N	\N	\N
1951373	6609	1995-09-09	VYDAJ	VYBER	38800	106694	\N	\N	\N
1951374	6609	1995-09-15	VYDAJ	VYBER	20500	91274	\N	\N	\N
1951375	6609	1995-09-23	VYDAJ	VYBER	24500	43485	\N	\N	\N
1951376	6609	1995-10-23	VYDAJ	VYBER	22300	43576	\N	\N	\N
1951377	6609	1995-11-10	VYDAJ	VYBER	39400	66713	\N	\N	\N
1951378	6609	1995-11-10	VYDAJ	VYBER	53600	106113	\N	\N	\N
1951379	6609	1995-11-22	VYDAJ	VYBER	23100	43129	\N	\N	\N
1951380	6609	1995-12-22	VYDAJ	VYBER	22300	41526	\N	\N	\N
1951381	6609	1996-01-21	VYDAJ	VYBER	2700	25706	\N	\N	\N
1951382	6609	1996-02-20	PRIJEM	VKLAD	2500	16950	\N	\N	\N
1951383	6609	1996-03-21	PRIJEM	VKLAD	5200	15040	\N	\N	\N
1951384	6609	1996-04-20	PRIJEM	VKLAD	5300	13214	\N	\N	\N
1951385	6609	1997-07-14	VYDAJ	VYBER	15000	13067	\N	\N	\N
1951386	6609	1997-08-13	VYDAJ	VYBER	18800	13241	\N	\N	\N
1951387	6609	1998-04-02	VYDAJ	VYBER	26000	120059	\N	\N	\N
1951388	6609	1998-04-10	VYDAJ	VYBER	67000	38359	\N	\N	\N
1951389	6609	1998-05-10	VYDAJ	VYBER	45800	13615	\N	\N	\N
1951390	6609	1998-09-29	VYDAJ	VYBER	54600	75101	\N	\N	\N
1951391	6609	1998-09-30	VYDAJ	VYBER	19300	90062	\N	\N	\N
1951392	6609	1998-10-07	VYDAJ	VYBER	74000	23075	\N	\N	\N
1958815	6636	1993-08-04	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1958817	6636	1994-12-26	PRIJEM	VKLAD	39528	55266	\N	\N	\N
1958818	6636	1994-12-26	PRIJEM	VKLAD	13057	68323	\N	\N	\N
1958819	6636	1994-02-17	PRIJEM	VKLAD	31600	93553	\N	\N	\N
1958820	6636	1994-02-01	PRIJEM	VKLAD	12034	39630	\N	\N	\N
1958821	6636	1994-04-26	PRIJEM	VKLAD	25400	51601	\N	\N	\N
1958822	6636	1994-06-21	PRIJEM	VKLAD	28331	25072	\N	\N	\N
1958823	6636	1994-01-12	PRIJEM	VKLAD	10902	35302	\N	\N	\N
1958824	6636	1994-02-05	PRIJEM	VKLAD	22323	61953	\N	\N	\N
1958825	6636	1994-06-26	PRIJEM	VKLAD	42106	67178	\N	\N	\N
1958826	6636	1994-07-03	PRIJEM	VKLAD	35640	81193	\N	\N	\N
1958827	6636	1994-02-18	PRIJEM	VKLAD	49306	142859	\N	\N	\N
1958828	6636	1994-06-12	PRIJEM	VKLAD	31557	57541	\N	\N	\N
1958829	6636	1995-04-05	PRIJEM	VKLAD	25436	50613	\N	\N	\N
1958830	6636	1995-06-25	PRIJEM	VKLAD	41153	147828	\N	\N	\N
1958831	6636	1995-09-29	PRIJEM	VKLAD	47527	63044	\N	\N	\N
1958832	6636	1995-12-05	PRIJEM	VKLAD	36703	88039	\N	\N	\N
1958833	6636	1995-03-27	PRIJEM	VKLAD	23051	25178	\N	\N	\N
1958834	6636	1995-06-20	PRIJEM	VKLAD	46622	68474	\N	\N	\N
1958835	6636	1995-06-21	PRIJEM	VKLAD	24190	92664	\N	\N	\N
1958836	6636	1995-12-23	PRIJEM	VKLAD	28682	90021	\N	\N	\N
1958837	6636	1995-06-25	PRIJEM	VKLAD	14011	106675	\N	\N	\N
1958838	6636	1995-10-22	PRIJEM	VKLAD	38608	98472	\N	\N	\N
1958839	6636	1995-07-09	PRIJEM	VKLAD	27168	97049	\N	\N	\N
1958840	6636	1996-12-05	PRIJEM	VKLAD	20792	46799	\N	\N	\N
1958841	6636	1996-12-22	PRIJEM	VKLAD	16961	55727	\N	\N	\N
1958842	6636	1996-07-05	PRIJEM	VKLAD	44495	70949	\N	\N	\N
1958843	6636	1996-11-10	PRIJEM	VKLAD	17966	53649	\N	\N	\N
1958844	6636	1997-09-27	PRIJEM	VKLAD	21759	128284	\N	\N	\N
1958845	6636	1997-01-26	PRIJEM	VKLAD	34252	77447	\N	\N	\N
1958846	6636	1997-04-25	PRIJEM	VKLAD	41144	90339	\N	\N	\N
1958847	6636	1997-08-10	PRIJEM	VKLAD	30754	105277	\N	\N	\N
1958848	6636	1997-06-13	PRIJEM	VKLAD	28045	95712	\N	\N	\N
1958849	6636	1997-04-17	PRIJEM	VKLAD	33385	52295	\N	\N	\N
1958850	6636	1997-10-11	PRIJEM	VKLAD	11404	98720	\N	\N	\N
1958851	6636	1997-12-08	PRIJEM	VKLAD	15737	102228	\N	\N	\N
1958852	6636	1997-10-31	PRIJEM	VKLAD	6670	112243	\N	\N	\N
1958853	6636	1997-06-20	PRIJEM	VKLAD	9982	106434	\N	\N	\N
1958854	6636	1997-12-30	PRIJEM	VKLAD	16505	89833	\N	\N	\N
1958855	6636	1997-06-22	PRIJEM	VKLAD	23196	129630	\N	\N	\N
1958856	6636	1997-09-17	PRIJEM	VKLAD	42735	106525	\N	\N	\N
1958857	6636	1997-01-16	PRIJEM	VKLAD	9945	43195	\N	\N	\N
1958858	6636	1997-12-06	PRIJEM	VKLAD	19555	86491	\N	\N	\N
1958859	6636	1997-11-05	PRIJEM	VKLAD	36103	145716	\N	\N	\N
1958860	6636	1997-10-23	PRIJEM	VKLAD	27981	105201	\N	\N	\N
1958861	6636	1997-06-19	PRIJEM	VKLAD	48940	126452	\N	\N	\N
1958862	6636	1998-04-19	PRIJEM	VKLAD	35622	121631	\N	\N	\N
1958863	6636	1998-11-06	PRIJEM	VKLAD	48333	119588	\N	\N	\N
1958864	6636	1998-11-19	PRIJEM	VKLAD	15484	118272	\N	\N	\N
1958865	6636	1998-04-23	PRIJEM	VKLAD	37091	97622	\N	\N	\N
1958866	6636	1998-07-03	PRIJEM	VKLAD	49324	106478	\N	\N	\N
1958867	6636	1998-05-11	PRIJEM	VKLAD	26852	105598	\N	\N	\N
1958868	6636	1998-05-06	PRIJEM	VKLAD	48959	143064	\N	\N	\N
1958869	6636	1998-05-09	PRIJEM	VKLAD	39582	124346	\N	\N	\N
1958870	6636	1998-03-02	PRIJEM	VKLAD	37692	102316	\N	\N	\N
1958871	6636	1998-09-27	PRIJEM	VKLAD	20649	95382	\N	\N	\N
1958872	6636	1998-09-06	PRIJEM	VKLAD	24460	116525	\N	\N	\N
1958873	6636	1998-08-08	PRIJEM	VKLAD	11088	103507	\N	\N	\N
1958874	6636	1998-03-20	PRIJEM	VKLAD	24216	111132	\N	\N	\N
1958875	6636	1998-05-26	PRIJEM	VKLAD	16121	118919	\N	\N	\N
1958890	6636	1994-03-07	VYDAJ	VYBER	600	50715	SIPO	\N	0
1958891	6636	1994-04-03	VYDAJ	VYBER	400	28901	SIPO	\N	0
1958892	6636	1994-04-30	VYDAJ	VYBER	400	51305	SIPO	\N	0
1958893	6636	1994-06-13	VYDAJ	VYBER	400	57141	SIPO	\N	0
1958894	6636	1994-07-05	VYDAJ	VYBER	300	80893	SIPO	\N	0
1958895	6636	1994-08-15	VYDAJ	VYBER	400	21288	SIPO	\N	0
1958896	6636	1994-09-18	VYDAJ	VYBER	600	21491	SIPO	\N	0
1958897	6636	1994-10-08	VYDAJ	VYBER	600	17749	SIPO	\N	0
1958898	6636	1994-11-12	VYDAJ	VYBER	500	20790	SIPO	\N	0
1958899	6636	1994-12-06	VYDAJ	VYBER	400	15738	SIPO	\N	0
1958900	6636	1995-01-06	VYDAJ	VYBER	400	40188	SIPO	\N	0
1958901	6636	1995-01-30	VYDAJ	VYBER	400	25322	SIPO	\N	0
1958902	6636	1995-03-12	VYDAJ	VYBER	500	2127	SIPO	\N	0
1958903	6636	1995-04-07	VYDAJ	VYBER	400	50213	SIPO	\N	0
1958904	6636	1995-05-06	VYDAJ	VYBER	300	15210	SIPO	\N	0
1958905	6636	1995-06-12	VYDAJ	VYBER	400	21852	SIPO	\N	0
1958906	6636	1995-07-13	VYDAJ	VYBER	400	96649	SIPO	\N	0
1958907	6636	1995-08-10	VYDAJ	VYBER	500	33385	SIPO	\N	0
1958908	6636	1995-09-06	VYDAJ	VYBER	300	16517	SIPO	\N	0
1958909	6636	1995-10-03	VYDAJ	VYBER	400	62664	SIPO	\N	0
1958910	6636	1995-11-17	VYDAJ	VYBER	400	64111	SIPO	\N	0
1958911	6636	1995-12-06	VYDAJ	VYBER	500	87539	SIPO	\N	0
1958912	6636	1996-01-12	VYDAJ	VYBER	500	77665	SIPO	\N	0
1958913	6636	1996-02-08	VYDAJ	VYBER	400	43319	SIPO	\N	0
1958914	6636	1996-03-08	VYDAJ	VYBER	500	37066	SIPO	\N	0
1958915	6636	1996-04-09	VYDAJ	VYBER	500	23932	SIPO	\N	0
1958916	6636	1996-05-18	VYDAJ	VYBER	400	29226	SIPO	\N	0
1958917	6636	1996-06-13	VYDAJ	VYBER	300	36835	SIPO	\N	0
1958918	6636	1996-07-02	VYDAJ	VYBER	400	26454	SIPO	\N	0
1958919	6636	1996-08-10	VYDAJ	VYBER	300	41051	SIPO	\N	0
1958920	6636	1996-09-17	VYDAJ	VYBER	500	42801	SIPO	\N	0
1958921	6636	1996-10-05	VYDAJ	VYBER	500	36759	SIPO	\N	0
1958922	6636	1996-10-30	VYDAJ	VYBER	500	37759	SIPO	\N	0
1958923	6636	1996-12-04	VYDAJ	VYBER	400	26007	SIPO	\N	0
1958924	6636	1997-01-07	VYDAJ	VYBER	300	22150	SIPO	\N	0
1958925	6636	1997-01-31	VYDAJ	VYBER	500	77130	SIPO	\N	0
1958926	6636	1997-03-11	VYDAJ	VYBER	500	13297	SIPO	\N	0
1958927	6636	1997-04-03	VYDAJ	VYBER	500	19410	SIPO	\N	0
1958928	6636	1997-05-06	VYDAJ	VYBER	500	86982	SIPO	\N	0
1958929	6636	1997-06-15	VYDAJ	VYBER	500	77512	SIPO	\N	0
1958930	6636	1997-07-13	VYDAJ	VYBER	400	109157	SIPO	\N	0
1958931	6636	1997-08-01	VYDAJ	VYBER	500	84123	SIPO	\N	0
1958932	6636	1997-08-31	VYDAJ	VYBER	400	80920	SIPO	\N	0
1958933	6636	1997-09-30	VYDAJ	VYBER	400	91846	SIPO	\N	0
1958934	6636	1997-11-13	VYDAJ	VYBER	400	72016	SIPO	\N	0
1958935	6636	1997-12-11	VYDAJ	VYBER	500	101728	SIPO	\N	0
1958936	6636	1998-01-11	VYDAJ	VYBER	500	64530	SIPO	\N	0
1958937	6636	1998-01-31	VYDAJ	VYBER	600	64223	SIPO	\N	0
1958938	6636	1998-03-03	VYDAJ	VYBER	500	99116	SIPO	\N	0
1958939	6636	1998-04-09	VYDAJ	VYBER	600	97709	SIPO	\N	0
1958940	6636	1998-05-11	VYDAJ	VYBER	500	105098	SIPO	\N	0
1958941	6636	1998-06-15	VYDAJ	VYBER	500	66521	SIPO	\N	0
1958942	6636	1998-07-04	VYDAJ	VYBER	400	106078	SIPO	\N	0
1958943	6636	1998-08-08	VYDAJ	VYBER	500	94507	SIPO	\N	0
1958944	6636	1998-09-08	VYDAJ	VYBER	500	99825	SIPO	\N	0
1958945	6636	1998-10-02	VYDAJ	VYBER	400	95342	SIPO	\N	0
1958946	6636	1998-11-05	VYDAJ	VYBER	400	71255	SIPO	\N	0
1958947	6636	1998-12-04	VYDAJ	VYBER	500	108251	SIPO	\N	0
1958962	6636	1994-03-01	VYDAJ	VYBER	3000	90144	 	\N	0
1958963	6636	1994-04-13	VYDAJ	VYBER	2700	26201	 	\N	0
1958964	6636	1994-05-06	VYDAJ	VYBER	2400	27293	 	\N	0
1958965	6636	1994-06-14	VYDAJ	VYBER	2200	-3259	 	\N	0
1958966	6636	1994-07-20	VYDAJ	VYBER	2100	70598	 	\N	0
1958967	6636	1994-08-13	VYDAJ	VYBER	2000	21688	 	\N	0
1958968	6636	1994-09-04	VYDAJ	VYBER	2400	22091	 	\N	0
1958969	6636	1994-10-09	VYDAJ	VYBER	2600	15149	 	\N	0
1958970	6636	1994-11-09	VYDAJ	VYBER	1900	21290	 	\N	0
1958971	6636	1994-12-04	VYDAJ	VYBER	2100	19138	 	\N	0
1958972	6636	1995-01-18	VYDAJ	VYBER	2500	17722	 	\N	0
1958973	6636	1995-02-07	VYDAJ	VYBER	1900	6642	 	\N	0
1958974	6636	1995-03-08	VYDAJ	VYBER	2900	2627	 	\N	0
1958975	6636	1995-04-04	VYDAJ	VYBER	2300	25177	 	\N	0
1958976	6636	1995-05-04	VYDAJ	VYBER	2500	15510	 	\N	0
1958977	6636	1995-06-05	VYDAJ	VYBER	2200	22252	 	\N	0
1958978	6636	1995-07-05	VYDAJ	VYBER	3100	69881	 	\N	0
1958979	6636	1995-08-04	VYDAJ	VYBER	2700	51557	 	\N	0
1958980	6636	1995-09-13	VYDAJ	VYBER	2300	3117	 	\N	0
1958981	6636	1995-10-18	VYDAJ	VYBER	2800	59864	 	\N	0
1958982	6636	1995-11-06	VYDAJ	VYBER	2000	64511	 	\N	0
1958983	6636	1995-12-14	VYDAJ	VYBER	2000	85539	 	\N	0
1958984	6636	1996-01-18	VYDAJ	VYBER	2400	68365	 	\N	0
1958985	6636	1996-02-04	VYDAJ	VYBER	1900	43719	 	\N	0
1958986	6636	1996-03-04	VYDAJ	VYBER	2700	37566	 	\N	0
1958987	6636	1996-04-16	VYDAJ	VYBER	1900	22032	 	\N	0
1958988	6636	1996-05-05	VYDAJ	VYBER	2500	29626	 	\N	0
1958989	6636	1996-06-19	VYDAJ	VYBER	2400	36935	 	\N	0
1958990	6636	1996-07-10	VYDAJ	VYBER	2500	68449	 	\N	0
1958991	6636	1996-08-09	VYDAJ	VYBER	2800	47651	 	\N	0
1958992	6636	1996-09-04	VYDAJ	VYBER	2800	39101	 	\N	0
1958993	6636	1996-10-02	VYDAJ	VYBER	2600	37259	 	\N	0
1958994	6636	1996-11-03	VYDAJ	VYBER	2200	35683	 	\N	0
1958995	6636	1996-12-06	VYDAJ	VYBER	2100	44699	 	\N	0
1958996	6636	1997-01-15	VYDAJ	VYBER	2100	33250	 	\N	0
1958997	6636	1997-02-08	VYDAJ	VYBER	2500	60058	 	\N	0
1958998	6636	1997-03-20	VYDAJ	VYBER	3100	31397	 	\N	0
1958999	6636	1997-04-18	VYDAJ	VYBER	3100	49195	 	\N	0
1959000	6636	1997-05-04	VYDAJ	VYBER	3000	87482	 	\N	0
1959001	6636	1997-06-19	VYDAJ	VYBER	2800	123652	 	\N	0
1959002	6636	1997-07-06	VYDAJ	VYBER	2300	112378	 	\N	0
1959003	6636	1997-08-06	VYDAJ	VYBER	2400	81723	 	\N	0
1959004	6636	1997-09-07	VYDAJ	VYBER	2700	78190	 	\N	0
1959005	6636	1997-10-09	VYDAJ	VYBER	2400	87316	 	\N	0
1959006	6636	1997-11-03	VYDAJ	VYBER	2600	109613	 	\N	0
1959007	6636	1997-12-14	VYDAJ	VYBER	2600	80828	 	\N	0
1959008	6636	1998-01-05	VYDAJ	VYBER	3100	87030	 	\N	0
1959009	6636	1998-02-20	VYDAJ	VYBER	3000	64393	 	\N	0
1959010	6636	1998-03-02	VYDAJ	VYBER	2700	99616	 	\N	0
1959011	6636	1998-04-13	VYDAJ	VYBER	2100	86009	 	\N	0
1959012	6636	1998-05-11	VYDAJ	VYBER	2300	102798	 	\N	0
1959013	6636	1998-06-08	VYDAJ	VYBER	2000	62821	 	\N	0
1959014	6636	1998-07-11	VYDAJ	VYBER	2800	92078	 	\N	0
1959015	6636	1998-08-17	VYDAJ	VYBER	2800	91707	 	\N	0
1959016	6636	1998-09-20	VYDAJ	VYBER	1900	97925	 	\N	0
1959017	6636	1998-10-16	VYDAJ	VYBER	2200	86442	 	\N	0
1959018	6636	1998-11-04	VYDAJ	VYBER	1900	71655	 	\N	0
1959019	6636	1998-12-08	VYDAJ	VYBER	2200	95751	 	\N	0
1959031	6636	1994-05-03	VYBER	VYBER	9312	29693	\N	\N	\N
1959032	6636	1994-03-05	VYBER	VYBER	4829	51315	\N	\N	\N
1959035	6636	1994-08-02	VYBER	VYBER	24278	23688	\N	\N	\N
1959036	6636	1994-07-20	VYBER	VYBER	8195	72698	\N	\N	\N
1959037	6636	1995-07-23	VYBER	VYBER	17394	79255	\N	\N	\N
1959038	6636	1995-12-23	VYBER	VYBER	9150	80871	\N	\N	\N
1959039	6636	1995-04-21	VYBER	VYBER	16936	33277	\N	\N	\N
1959041	6636	1995-08-06	VYBER	VYBER	17672	33885	\N	\N	\N
1959042	6636	1995-03-03	VYBER	VYBER	12836	5527	\N	\N	\N
1959044	6636	1995-02-01	VYBER	VYBER	16870	8542	\N	\N	\N
1959045	6636	1995-08-15	VYBER	VYBER	18664	14721	\N	\N	\N
1959046	6636	1995-08-18	VYBER	VYBER	12176	2545	\N	\N	\N
1959047	6636	1995-01-16	VYBER	VYBER	14566	20222	\N	\N	\N
1959050	6636	1996-07-20	VYBER	VYBER	6999	50250	\N	\N	\N
1959051	6636	1996-01-31	VYBER	VYBER	7300	45649	\N	\N	\N
1959052	6636	1996-12-13	VYBER	VYBER	3433	41266	\N	\N	\N
1959053	6636	1996-04-03	VYBER	VYBER	12959	24432	\N	\N	\N
1959054	6636	1996-09-19	VYBER	VYBER	3080	39721	\N	\N	\N
1959055	6636	1996-11-10	VYBER	VYBER	8169	45480	\N	\N	\N
1959056	6636	1997-02-01	VYBER	VYBER	14542	62558	\N	\N	\N
1959057	6636	1997-01-03	VYBER	VYBER	19621	31150	\N	\N	\N
1959058	6636	1997-02-15	VYBER	VYBER	22434	32824	\N	\N	\N
1959059	6636	1997-04-16	VYBER	VYBER	18200	18910	\N	\N	\N
1959061	6636	1997-03-30	VYBER	VYBER	11566	19831	\N	\N	\N
1959062	6636	1997-02-26	VYBER	VYBER	4501	28323	\N	\N	\N
1959063	6636	1997-07-10	VYBER	VYBER	2821	109557	\N	\N	\N
1959064	6636	1998-09-25	VYBER	VYBER	23192	74733	\N	\N	\N
1959066	6636	1994-06-14	VYDAJ	VYBER	58200	-1059	\N	\N	\N
1959070	6636	1998-06-27	VYDAJ	VYBER	9600	56921	\N	\N	\N
1959073	6636	1995-01-08	VYDAJ	VYBER	5400	34788	\N	\N	\N
1959074	6636	1996-01-18	VYDAJ	VYBER	6900	70765	\N	\N	\N
1959075	6636	1997-01-06	VYDAJ	VYBER	8700	22450	\N	\N	\N
1959076	6636	1998-01-10	VYDAJ	VYBER	20400	65030	\N	\N	\N
1959078	6636	1994-12-30	VYDAJ	VYBER	7200	40523	\N	\N	\N
1959079	6636	1995-12-30	VYDAJ	VYBER	3000	77871	\N	\N	\N
1959080	6636	1996-12-26	VYDAJ	VYBER	5100	50627	\N	\N	\N
1959081	6636	1997-12-28	VYDAJ	VYBER	7500	73328	\N	\N	\N
1959082	6636	1998-12-28	VYDAJ	VYBER	7500	88251	\N	\N	\N
1959089	6636	1994-03-30	VYDAJ	VYBER	13200	37515	\N	\N	\N
1959090	6636	1994-09-24	VYDAJ	VYBER	12000	9491	\N	\N	\N
1959091	6636	1994-02-21	VYDAJ	VYBER	14400	92859	\N	\N	\N
1959092	6636	1994-12-05	VYDAJ	VYBER	3000	16138	\N	\N	\N
1959093	6636	1994-11-19	VYDAJ	VYBER	10800	9990	\N	\N	\N
1959094	6636	1995-04-27	VYDAJ	VYBER	14400	17877	\N	\N	\N
1959095	6636	1995-09-06	VYDAJ	VYBER	11100	5417	\N	\N	\N
1959097	6636	1996-11-16	VYDAJ	VYBER	14700	36480	\N	\N	\N
1959098	6636	1996-06-29	VYDAJ	VYBER	10200	26735	\N	\N	\N
1959099	6636	1996-11-22	VYDAJ	VYBER	10200	26280	\N	\N	\N
1959100	6636	1996-12-14	VYDAJ	VYBER	13200	28066	\N	\N	\N
1959101	6636	1996-08-09	VYDAJ	VYBER	6300	41351	\N	\N	\N
1959102	6636	1997-10-08	VYDAJ	VYBER	2100	89716	\N	\N	\N
1959103	6636	1997-08-09	VYDAJ	VYBER	7200	74523	\N	\N	\N
1959105	6636	1997-11-29	VYDAJ	VYBER	5400	66616	\N	\N	\N
1959106	6636	1997-03-04	VYDAJ	VYBER	14700	13797	\N	\N	\N
1959107	6636	1998-11-20	VYDAJ	VYBER	9900	108372	\N	\N	\N
1959108	6636	1998-10-20	VYDAJ	VYBER	6300	80142	\N	\N	\N
1959109	6636	1998-04-23	VYDAJ	VYBER	3900	93722	\N	\N	\N
1959110	6636	1998-10-24	VYDAJ	VYBER	6900	73242	\N	\N	\N
1959111	6636	1998-04-06	VYDAJ	VYBER	13200	98309	\N	\N	\N
1959126	6636	1994-02-28	VYDAJ	VYBER	30	93144	SLUZBY	\N	\N
1959127	6636	1994-03-31	VYDAJ	VYBER	30	37701	SLUZBY	\N	\N
1959128	6636	1994-04-30	VYDAJ	VYBER	30	51705	SLUZBY	\N	\N
1959129	6636	1994-05-31	VYDAJ	VYBER	30	27384	SLUZBY	\N	\N
1959130	6636	1994-06-30	VYDAJ	VYBER	30	45553	SLUZBY	\N	\N
1959131	6636	1994-07-31	VYDAJ	VYBER	30	47966	SLUZBY	\N	\N
1959132	6636	1994-08-31	VYDAJ	VYBER	30	24491	SLUZBY	\N	\N
1959133	6636	1994-09-30	VYDAJ	VYBER	30	18349	SLUZBY	\N	\N
1959134	6636	1994-10-31	VYDAJ	VYBER	30	23190	SLUZBY	\N	\N
1959135	6636	1994-11-30	VYDAJ	VYBER	30	21238	SLUZBY	\N	\N
1959136	6636	1994-12-31	VYDAJ	VYBER	30	40588	SLUZBY	\N	\N
1959137	6636	1995-01-31	VYDAJ	VYBER	30	25412	SLUZBY	\N	\N
1959138	6636	1995-02-28	VYDAJ	VYBER	30	18363	SLUZBY	\N	\N
1959139	6636	1995-03-31	VYDAJ	VYBER	30	27477	SLUZBY	\N	\N
1959140	6636	1995-04-30	VYDAJ	VYBER	30	18010	SLUZBY	\N	\N
1959141	6636	1995-05-31	VYDAJ	VYBER	30	24452	SLUZBY	\N	\N
1959142	6636	1995-06-30	VYDAJ	VYBER	30	72981	SLUZBY	\N	\N
1959143	6636	1995-07-31	VYDAJ	VYBER	30	54257	SLUZBY	\N	\N
1959144	6636	1995-08-31	VYDAJ	VYBER	30	16817	SLUZBY	\N	\N
1959145	6636	1995-09-30	VYDAJ	VYBER	30	63064	SLUZBY	\N	\N
1959146	6636	1995-10-31	VYDAJ	VYBER	30	66511	SLUZBY	\N	\N
1959147	6636	1995-11-30	VYDAJ	VYBER	30	51336	SLUZBY	\N	\N
1959148	6636	1995-12-31	VYDAJ	VYBER	30	78165	SLUZBY	\N	\N
1959149	6636	1996-01-31	VYDAJ	VYBER	30	45619	SLUZBY	\N	\N
1959150	6636	1996-02-29	VYDAJ	VYBER	30	40266	SLUZBY	\N	\N
1959151	6636	1996-03-31	VYDAJ	VYBER	30	37391	SLUZBY	\N	\N
1959152	6636	1996-04-30	VYDAJ	VYBER	30	32126	SLUZBY	\N	\N
1959153	6636	1996-05-31	VYDAJ	VYBER	30	37135	SLUZBY	\N	\N
1959154	6636	1996-06-30	VYDAJ	VYBER	30	26854	SLUZBY	\N	\N
1959155	6636	1996-07-31	VYDAJ	VYBER	30	50451	SLUZBY	\N	\N
1959156	6636	1996-08-31	VYDAJ	VYBER	30	41901	SLUZBY	\N	\N
1959157	6636	1996-09-30	VYDAJ	VYBER	30	39859	SLUZBY	\N	\N
1959158	6636	1996-10-31	VYDAJ	VYBER	30	37883	SLUZBY	\N	\N
1959159	6636	1996-11-30	VYDAJ	VYBER	30	26407	SLUZBY	\N	\N
1959160	6636	1996-12-31	VYDAJ	VYBER	30	50771	SLUZBY	\N	\N
1959161	6636	1997-01-31	VYDAJ	VYBER	30	77100	SLUZBY	\N	\N
1959162	6636	1997-02-28	VYDAJ	VYBER	30	28497	SLUZBY	\N	\N
1959163	6636	1997-03-31	VYDAJ	VYBER	30	19910	SLUZBY	\N	\N
1959164	6636	1997-04-30	VYDAJ	VYBER	30	90482	SLUZBY	\N	\N
1959165	6636	1997-05-31	VYDAJ	VYBER	30	67667	SLUZBY	\N	\N
1959166	6636	1997-06-30	VYDAJ	VYBER	30	114678	SLUZBY	\N	\N
1959167	6636	1997-07-31	VYDAJ	VYBER	30	84623	SLUZBY	\N	\N
1959168	6636	1997-08-31	VYDAJ	VYBER	30	80890	SLUZBY	\N	\N
1959169	6636	1997-09-30	VYDAJ	VYBER	30	91816	SLUZBY	\N	\N
1959170	6636	1997-10-31	VYDAJ	VYBER	30	112213	SLUZBY	\N	\N
1959171	6636	1997-11-30	VYDAJ	VYBER	30	66936	SLUZBY	\N	\N
1959172	6636	1997-12-31	VYDAJ	VYBER	30	90130	SLUZBY	\N	\N
1959173	6636	1998-01-31	VYDAJ	VYBER	30	64193	SLUZBY	\N	\N
1959174	6636	1998-02-28	VYDAJ	VYBER	30	64624	SLUZBY	\N	\N
1959175	6636	1998-03-31	VYDAJ	VYBER	30	111509	SLUZBY	\N	\N
1959176	6636	1998-04-30	VYDAJ	VYBER	30	94105	SLUZBY	\N	\N
1959177	6636	1998-05-31	VYDAJ	VYBER	30	64821	SLUZBY	\N	\N
1959178	6636	1998-06-30	VYDAJ	VYBER	30	57154	SLUZBY	\N	\N
1959179	6636	1998-07-31	VYDAJ	VYBER	30	92419	SLUZBY	\N	\N
1959180	6636	1998-08-31	VYDAJ	VYBER	30	92065	SLUZBY	\N	\N
1959181	6636	1998-09-30	VYDAJ	VYBER	30	95742	SLUZBY	\N	\N
1959182	6636	1998-10-31	VYDAJ	VYBER	30	73555	SLUZBY	\N	\N
1959183	6636	1998-11-30	VYDAJ	VYBER	30	108751	SLUZBY	\N	\N
1959184	6636	1993-09-03	PRIJEM	VKLAD	12500	13600	\N	\N	\N
1959185	6636	1993-10-03	PRIJEM	VKLAD	7600	21200	\N	\N	\N
1959186	6636	1993-11-02	PRIJEM	VKLAD	1300	22500	\N	\N	\N
1959187	6636	1993-12-02	VYDAJ	VYBER	1400	21100	\N	\N	\N
1959188	6636	1994-01-01	PRIJEM	VKLAD	3300	24400	\N	\N	\N
1959189	6636	1994-01-31	VYDAJ	VYBER	7800	27596	\N	\N	\N
1959190	6636	1994-02-18	VYDAJ	VYBER	35600	107259	\N	\N	\N
1959191	6636	1994-03-02	VYDAJ	VYBER	34000	56144	\N	\N	\N
1959192	6636	1994-04-01	VYDAJ	VYBER	8400	29301	\N	\N	\N
1959193	6636	1994-05-01	VYDAJ	VYBER	12300	39005	\N	\N	\N
1959194	6636	1994-05-31	VYDAJ	VYBER	1400	25984	\N	\N	\N
1959195	6636	1994-06-30	VYDAJ	VYBER	21700	45590	\N	\N	\N
1959196	6636	1994-07-30	VYDAJ	VYBER	22900	47698	\N	\N	\N
1959197	6636	1994-08-29	PRIJEM	VKLAD	3100	24388	\N	\N	\N
1959198	6636	1994-09-28	PRIJEM	VKLAD	8800	18291	\N	\N	\N
1959199	6636	1994-10-28	PRIJEM	VKLAD	8000	23149	\N	\N	\N
1959200	6636	1994-11-27	PRIJEM	VKLAD	11200	21190	\N	\N	\N
1959201	6636	1994-12-27	VYDAJ	VYBER	20600	47723	\N	\N	\N
1959202	6636	1995-01-26	PRIJEM	VKLAD	8000	25722	\N	\N	\N
1959203	6636	1995-02-25	PRIJEM	VKLAD	11700	18342	\N	\N	\N
1959204	6636	1995-03-27	PRIJEM	VKLAD	2300	27478	\N	\N	\N
1959205	6636	1995-04-26	VYDAJ	VYBER	1000	32277	\N	\N	\N
1959206	6636	1995-05-26	PRIJEM	VKLAD	9200	24410	\N	\N	\N
1959207	6636	1995-06-25	VYDAJ	VYBER	37000	72828	\N	\N	\N
1959208	6636	1995-06-25	VYDAJ	VYBER	38000	109828	\N	\N	\N
1959209	6636	1995-07-25	VYDAJ	VYBER	25300	53955	\N	\N	\N
1959210	6636	1995-08-24	PRIJEM	VKLAD	14200	16745	\N	\N	\N
1959211	6636	1995-09-23	PRIJEM	VKLAD	12400	15517	\N	\N	\N
1959212	6636	1995-10-23	VYDAJ	VYBER	32200	66272	\N	\N	\N
1959213	6636	1995-11-22	VYDAJ	VYBER	13000	51111	\N	\N	\N
1959214	6636	1995-12-22	VYDAJ	VYBER	24200	61339	\N	\N	\N
1959215	6636	1996-01-21	VYDAJ	VYBER	15700	52665	\N	\N	\N
1959216	6636	1996-02-20	VYDAJ	VYBER	3200	40119	\N	\N	\N
1959217	6636	1996-03-21	PRIJEM	VKLAD	200	37266	\N	\N	\N
1959218	6636	1996-04-20	PRIJEM	VKLAD	10000	32032	\N	\N	\N
1959219	6636	1996-05-20	PRIJEM	VKLAD	7800	37026	\N	\N	\N
1959220	6636	1996-06-19	PRIJEM	VKLAD	2500	39335	\N	\N	\N
1959221	6636	1996-07-19	VYDAJ	VYBER	11200	57249	\N	\N	\N
1959222	6636	1996-08-18	PRIJEM	VKLAD	700	41751	\N	\N	\N
1959223	6636	1996-09-17	PRIJEM	VKLAD	4200	43301	\N	\N	\N
1959224	6636	1996-10-17	PRIJEM	VKLAD	1500	38259	\N	\N	\N
1959225	6636	1996-11-16	PRIJEM	VKLAD	5700	51180	\N	\N	\N
1959226	6636	1996-12-16	PRIJEM	VKLAD	10700	38766	\N	\N	\N
1959227	6636	1997-01-15	PRIJEM	VKLAD	13200	35350	\N	\N	\N
1959228	6636	1997-02-14	VYDAJ	VYBER	4800	55258	\N	\N	\N
1959229	6636	1997-03-16	PRIJEM	VKLAD	21200	34497	\N	\N	\N
1959230	6636	1997-04-15	PRIJEM	VKLAD	17700	37110	\N	\N	\N
1959231	6636	1997-05-15	VYDAJ	VYBER	19600	67382	\N	\N	\N
1959232	6636	1997-06-14	VYDAJ	VYBER	17700	78012	\N	\N	\N
1959233	6636	1997-06-19	VYDAJ	VYBER	27200	96452	\N	\N	\N
1959234	6636	1997-06-22	VYDAJ	VYBER	15300	114330	\N	\N	\N
1959235	6636	1997-07-14	VYDAJ	VYBER	24900	84257	\N	\N	\N
1959236	6636	1997-08-13	VYDAJ	VYBER	24300	80977	\N	\N	\N
1959237	6636	1997-09-12	VYDAJ	VYBER	14400	63790	\N	\N	\N
1959238	6636	1997-09-27	VYDAJ	VYBER	36400	91884	\N	\N	\N
1959239	6636	1997-10-12	VYDAJ	VYBER	21500	77220	\N	\N	\N
1959240	6636	1997-11-05	VYDAJ	VYBER	15500	130216	\N	\N	\N
1959241	6636	1997-11-09	VYDAJ	VYBER	49200	81016	\N	\N	\N
1959242	6636	1997-11-11	VYDAJ	VYBER	8600	72416	\N	\N	\N
1959243	6636	1997-12-11	VYDAJ	VYBER	18300	83428	\N	\N	\N
1959244	6636	1998-01-10	VYDAJ	VYBER	1600	85430	\N	\N	\N
1959245	6636	1998-02-09	PRIJEM	VKLAD	3200	67393	\N	\N	\N
1959246	6636	1998-03-11	VYDAJ	VYBER	12200	86916	\N	\N	\N
1959247	6636	1998-04-10	VYDAJ	VYBER	9600	88109	\N	\N	\N
1959248	6636	1998-04-19	VYDAJ	VYBER	61100	60531	\N	\N	\N
1959249	6636	1998-05-06	VYDAJ	VYBER	58300	84764	\N	\N	\N
1959250	6636	1998-05-09	VYDAJ	VYBER	40200	84146	\N	\N	\N
1959251	6636	1998-05-10	VYDAJ	VYBER	5400	78746	\N	\N	\N
1959252	6636	1998-05-26	VYDAJ	VYBER	54500	64419	\N	\N	\N
1959253	6636	1998-06-09	PRIJEM	VKLAD	4200	67021	\N	\N	\N
1959254	6636	1998-07-09	VYDAJ	VYBER	11200	94878	\N	\N	\N
1959255	6636	1998-08-08	VYDAJ	VYBER	8500	95007	\N	\N	\N
1959256	6636	1998-09-07	VYDAJ	VYBER	16200	100325	\N	\N	\N
1959257	6636	1998-10-07	VYDAJ	VYBER	6700	88642	\N	\N	\N
1959258	6636	1998-11-06	VYDAJ	VYBER	16800	102788	\N	\N	\N
1959259	6636	1998-12-06	VYDAJ	VYBER	10300	97951	\N	\N	\N
1962837	6649	1995-07-08	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1962838	6649	1995-12-08	PRIJEM	VKLAD	34601	61101	\N	\N	\N
1962839	6649	1996-03-22	PRIJEM	VKLAD	10931	36638	\N	\N	\N
1962840	6649	1996-11-01	PRIJEM	VKLAD	12840	34466	\N	\N	\N
1962841	6649	1997-10-19	PRIJEM	VKLAD	9265	83178	\N	\N	\N
1962842	6649	1997-07-16	PRIJEM	VKLAD	26126	112519	\N	\N	\N
1962843	6649	1997-08-01	PRIJEM	VKLAD	40645	95325	\N	\N	\N
1962844	6649	1997-01-25	PRIJEM	VKLAD	38740	106482	\N	\N	\N
1962845	6649	1997-09-17	PRIJEM	VKLAD	20944	89076	\N	\N	\N
1962846	6649	1997-08-29	PRIJEM	VKLAD	12446	69459	\N	\N	\N
1962847	6649	1997-12-11	PRIJEM	VKLAD	18466	62049	\N	\N	\N
1962848	6649	1997-10-10	PRIJEM	VKLAD	27614	82139	\N	\N	\N
1962849	6649	1997-01-02	PRIJEM	VKLAD	42148	67742	\N	\N	\N
1962850	6649	1997-06-27	PRIJEM	VKLAD	35280	101366	\N	\N	\N
1962851	6649	1997-03-14	PRIJEM	VKLAD	16943	19435	\N	\N	\N
1962852	6649	1997-04-07	PRIJEM	VKLAD	40665	80944	\N	\N	\N
1962853	6649	1997-05-03	PRIJEM	VKLAD	40468	88955	\N	\N	\N
1962854	6649	1997-12-19	PRIJEM	VKLAD	27940	88318	\N	\N	\N
1962855	6649	1997-11-07	PRIJEM	VKLAD	20891	72925	\N	\N	\N
1962856	6649	1997-02-21	PRIJEM	VKLAD	31244	65723	\N	\N	\N
1962857	6649	1997-03-15	PRIJEM	VKLAD	46073	65508	\N	\N	\N
1962858	6649	1997-07-02	PRIJEM	VKLAD	36944	143764	\N	\N	\N
1962859	6649	1997-07-01	PRIJEM	VKLAD	43956	106820	\N	\N	\N
1962860	6649	1997-09-19	PRIJEM	VKLAD	32156	121232	\N	\N	\N
1962861	6649	1997-05-30	PRIJEM	VKLAD	39209	91478	\N	\N	\N
1962862	6649	1998-03-31	PRIJEM	VKLAD	24546	54183	\N	\N	\N
1962863	6649	1998-11-05	PRIJEM	VKLAD	18571	36581	\N	\N	\N
1962864	6649	1998-04-13	PRIJEM	VKLAD	28180	80873	\N	\N	\N
1962865	6649	1998-11-29	PRIJEM	VKLAD	32579	64189	\N	\N	\N
1962866	6649	1998-07-31	PRIJEM	VKLAD	30964	43907	\N	\N	\N
1962867	6649	1998-01-29	PRIJEM	VKLAD	28034	69402	\N	\N	\N
1962868	6649	1998-04-27	PRIJEM	VKLAD	38678	87251	\N	\N	\N
1962869	6649	1998-01-22	PRIJEM	VKLAD	40093	83668	\N	\N	\N
1962870	6649	1998-02-04	PRIJEM	VKLAD	35879	101580	\N	\N	\N
1962896	6649	1997-02-11	VYDAJ	VYBER	2000	39579	\N	\N	0
1962898	6649	1997-04-12	VYDAJ	VYBER	1700	79244	\N	\N	0
1962899	6649	1997-05-18	VYDAJ	VYBER	1900	77814	\N	\N	0
1962900	6649	1997-06-12	VYDAJ	PREVOD NA UCET	1671	66086	UVER	CD	71315157
1962901	6649	1997-07-12	VYDAJ	PREVOD NA UCET	1671	86393	UVER	CD	71315157
1962902	6649	1997-08-12	VYDAJ	PREVOD NA UCET	1671	88913	UVER	CD	71315157
1962903	6649	1997-09-12	VYDAJ	PREVOD NA UCET	1671	68132	UVER	CD	71315157
1962904	6649	1997-10-12	VYDAJ	PREVOD NA UCET	1671	80468	UVER	CD	71315157
1962905	6649	1997-11-12	VYDAJ	PREVOD NA UCET	1671	71254	UVER	CD	71315157
1962906	6649	1997-12-12	VYDAJ	PREVOD NA UCET	1671	60378	UVER	CD	71315157
1962907	6649	1998-01-12	VYDAJ	PREVOD NA UCET	1671	48075	UVER	CD	71315157
1962908	6649	1998-02-12	VYDAJ	PREVOD NA UCET	1671	99909	UVER	CD	71315157
1962909	6649	1998-03-12	VYDAJ	PREVOD NA UCET	1671	50637	UVER	CD	71315157
1962910	6649	1998-04-12	VYDAJ	PREVOD NA UCET	1671	52693	UVER	CD	71315157
1962911	6649	1998-05-12	VYDAJ	PREVOD NA UCET	1671	85843	UVER	CD	71315157
1962912	6649	1998-06-12	VYDAJ	PREVOD NA UCET	1671	52581	UVER	CD	71315157
1962913	6649	1998-07-12	VYDAJ	PREVOD NA UCET	1671	26143	UVER	CD	71315157
1962914	6649	1998-08-12	VYDAJ	PREVOD NA UCET	1671	42328	UVER	CD	71315157
1962915	6649	1998-09-12	VYDAJ	PREVOD NA UCET	1671	12662	UVER	CD	71315157
1962916	6649	1998-10-12	VYDAJ	PREVOD NA UCET	1671	10965	UVER	CD	71315157
1962917	6649	1998-11-12	VYDAJ	PREVOD NA UCET	1671	34910	UVER	CD	71315157
1962918	6649	1998-12-12	VYDAJ	PREVOD NA UCET	1671	59326	UVER	CD	71315157
1962927	6649	1997-05-23	VYBER	VYBER	3045	74769	\N	\N	\N
1962928	6649	1997-05-08	VYBER	VYBER	9241	79714	\N	\N	\N
1962930	6649	1997-02-03	VYBER	VYBER	10355	41579	\N	\N	\N
1962931	6649	1997-08-01	VYBER	VYBER	4741	90584	\N	\N	\N
1962933	6649	1997-03-03	VYBER	VYBER	23991	2492	\N	\N	\N
1962934	6649	1997-10-17	VYBER	VYBER	6555	73913	\N	\N	\N
1962935	6649	1997-02-23	VYBER	VYBER	22411	43312	\N	\N	\N
1962936	6649	1998-06-23	VYBER	VYBER	7445	27636	\N	\N	\N
1962937	6649	1998-09-09	VYBER	VYBER	22452	14333	\N	\N	\N
1962940	6649	1997-06-07	VYDAJ	VYBER	24000	67757	\N	\N	\N
1962944	6649	1997-12-08	VYDAJ	VYBER	4200	43583	\N	\N	\N
1962945	6649	1998-12-07	VYDAJ	VYBER KARTOU	3300	60997	\N	\N	0
1962959	6649	1997-01-30	VYDAJ	VYBER	5700	51782	\N	\N	\N
1962964	6649	1998-01-16	VYDAJ	VYBER KARTOU	2100	43575	\N	\N	0
1962965	6649	1998-01-01	VYDAJ	VYBER KARTOU	3900	49746	\N	\N	0
1962966	6649	1998-01-22	VYDAJ	VYBER	7200	76468	\N	\N	\N
1962967	6649	1998-01-14	VYDAJ	VYBER KARTOU	2400	45675	\N	\N	0
1962968	6649	1998-01-30	VYDAJ	VYBER KARTOU	3900	65502	\N	\N	0
1962969	6649	1998-01-26	VYDAJ	VYBER	8100	41368	\N	\N	\N
1962978	6649	1997-12-19	VYDAJ	VYBER	4500	83818	\N	\N	\N
1962980	6649	1997-02-16	VYDAJ	VYBER	5100	34479	\N	\N	\N
1962981	6649	1997-09-25	VYDAJ	VYBER KARTOU	2700	54232	\N	\N	0
1962982	6649	1997-03-19	VYDAJ	VYBER	1800	63708	\N	\N	\N
1962983	6649	1998-07-26	VYDAJ	VYBER	14400	12943	\N	\N	\N
1962984	6649	1998-02-23	VYDAJ	VYBER	5400	55309	\N	\N	\N
1962985	6649	1998-09-21	VYDAJ	VYBER	6000	12562	\N	\N	\N
1962986	6649	1998-03-22	VYDAJ	VYBER	10800	39837	\N	\N	\N
1962987	6649	1998-03-09	VYDAJ	VYBER KARTOU	3300	52308	\N	\N	0
1963013	6649	1997-01-31	VYDAJ	VYBER	15	51934	SLUZBY	\N	\N
1963014	6649	1997-02-28	VYDAJ	VYBER	15	26483	SLUZBY	\N	\N
1963015	6649	1997-03-31	VYDAJ	VYBER	15	40279	SLUZBY	\N	\N
1963016	6649	1997-04-30	VYDAJ	VYBER	15	48487	SLUZBY	\N	\N
1963017	6649	1997-05-31	VYDAJ	VYBER	15	91757	SLUZBY	\N	\N
1963018	6649	1997-06-30	VYDAJ	VYBER	15	62864	SLUZBY	\N	\N
1963019	6649	1997-07-31	VYDAJ	VYBER	15	54680	SLUZBY	\N	\N
1963020	6649	1997-08-31	VYDAJ	VYBER	15	69803	SLUZBY	\N	\N
1963021	6649	1997-09-30	VYDAJ	VYBER	15	54525	SLUZBY	\N	\N
1963022	6649	1997-10-31	VYDAJ	VYBER	15	52034	SLUZBY	\N	\N
1963023	6649	1997-11-30	VYDAJ	VYBER	15	47783	SLUZBY	\N	\N
1963024	6649	1997-12-31	VYDAJ	VYBER	15	53646	SLUZBY	\N	\N
1963025	6649	1998-01-31	VYDAJ	VYBER	15	65701	SLUZBY	\N	\N
1963026	6649	1998-02-28	VYDAJ	VYBER	15	55608	SLUZBY	\N	\N
1963027	6649	1998-03-31	VYDAJ	VYBER	15	54364	SLUZBY	\N	\N
1963028	6649	1998-04-30	VYDAJ	VYBER	15	87514	SLUZBY	\N	\N
1963029	6649	1998-05-31	VYDAJ	VYBER	15	54252	SLUZBY	\N	\N
1963030	6649	1998-06-30	VYDAJ	VYBER	15	27814	SLUZBY	\N	\N
1963031	6649	1998-07-31	VYDAJ	VYBER	15	43999	SLUZBY	\N	\N
1963032	6649	1998-08-31	VYDAJ	VYBER	15	36785	SLUZBY	\N	\N
1963033	6649	1998-09-30	VYDAJ	VYBER	15	12636	SLUZBY	\N	\N
1963034	6649	1998-10-31	VYDAJ	VYBER	15	18010	SLUZBY	\N	\N
1963035	6649	1998-11-30	VYDAJ	VYBER	15	64297	SLUZBY	\N	\N
1963036	6649	1995-08-07	PRIJEM	VKLAD	13400	14400	\N	\N	\N
1963037	6649	1995-09-06	PRIJEM	VKLAD	3300	17700	\N	\N	\N
1963038	6649	1995-10-06	PRIJEM	VKLAD	5200	22900	\N	\N	\N
1963039	6649	1995-11-05	PRIJEM	VKLAD	1300	24200	\N	\N	\N
1963040	6649	1995-12-05	PRIJEM	VKLAD	2300	26500	\N	\N	\N
1963041	6649	1996-01-04	VYDAJ	VYBER	16900	44398	\N	\N	\N
1963042	6649	1996-02-03	VYDAJ	VYBER	11500	33153	\N	\N	\N
1963043	6649	1996-03-04	VYDAJ	VYBER	7700	25707	\N	\N	\N
1963044	6649	1996-04-03	VYDAJ	VYBER	7900	28960	\N	\N	\N
1963045	6649	1996-05-03	VYDAJ	VYBER	2400	26713	\N	\N	\N
1963046	6649	1996-06-02	VYDAJ	VYBER	600	26265	\N	\N	\N
1963047	6649	1996-07-02	PRIJEM	VKLAD	1400	27818	\N	\N	\N
1963048	6649	1996-08-01	VYDAJ	VYBER	2400	25571	\N	\N	\N
1963049	6649	1996-08-31	VYDAJ	VYBER	700	25022	\N	\N	\N
1963050	6649	1996-10-30	VYDAJ	VYBER	3500	21522	\N	\N	\N
1963051	6649	1996-11-29	VYDAJ	VYBER	5100	29366	\N	\N	\N
1963052	6649	1996-12-29	VYDAJ	VYBER	4000	25471	\N	\N	\N
1963053	6649	1997-01-28	VYDAJ	VYBER	49000	57482	\N	\N	\N
1963054	6649	1997-02-27	VYDAJ	VYBER	17000	26312	\N	\N	\N
1963055	6649	1997-03-29	VYDAJ	VYBER	23600	40108	\N	\N	\N
1963056	6649	1997-04-28	VYDAJ	VYBER	31000	48244	\N	\N	\N
1963057	6649	1997-05-28	VYDAJ	VYBER	22500	52269	\N	\N	\N
1963058	6649	1997-06-27	VYDAJ	VYBER	38800	62566	\N	\N	\N
1963059	6649	1997-07-02	VYDAJ	VYBER	55700	88064	\N	\N	\N
1963060	6649	1997-07-16	VYDAJ	VYBER	16700	95819	\N	\N	\N
1963061	6649	1997-07-27	VYDAJ	VYBER	41500	54319	\N	\N	\N
1963062	6649	1997-08-26	VYDAJ	VYBER	31900	57013	\N	\N	\N
1963063	6649	1997-09-19	VYDAJ	VYBER	24300	96932	\N	\N	\N
1963064	6649	1997-09-25	VYDAJ	VYBER	40000	56932	\N	\N	\N
1963065	6649	1997-10-25	VYDAJ	VYBER	31400	51778	\N	\N	\N
1963066	6649	1997-11-24	VYDAJ	VYBER	23700	47554	\N	\N	\N
1963067	6649	1997-12-24	VYDAJ	VYBER	30400	53418	\N	\N	\N
1963068	6649	1998-01-23	VYDAJ	VYBER	27000	49468	\N	\N	\N
1963069	6649	1998-02-22	VYDAJ	VYBER	39200	60709	\N	\N	\N
1963070	6649	1998-03-24	VYDAJ	VYBER	10200	29637	\N	\N	\N
1963071	6649	1998-04-23	VYDAJ	VYBER	32300	48573	\N	\N	\N
1963072	6649	1998-05-23	VYDAJ	VYBER	31900	53943	\N	\N	\N
1963073	6649	1998-06-22	VYDAJ	VYBER	17500	35081	\N	\N	\N
1963074	6649	1998-07-22	PRIJEM	VKLAD	1200	27343	\N	\N	\N
1963075	6649	1998-08-21	VYDAJ	VYBER	5700	36628	\N	\N	\N
1963076	6649	1998-09-20	PRIJEM	VKLAD	5900	18562	\N	\N	\N
1963077	6649	1998-10-20	PRIJEM	VKLAD	7000	17965	\N	\N	\N
1963078	6649	1998-11-19	VYDAJ	VYBER KARTOU	3300	31610	\N	\N	0
1971164	6678	1996-01-03	PRIJEM	VKLAD	1100	1100	\N	\N	\N
1971165	6678	1996-10-30	PRIJEM	VKLAD	38523	86073	\N	\N	\N
1971166	6678	1996-10-02	PRIJEM	VKLAD	13011	37581	\N	\N	\N
1971167	6678	1996-11-14	PRIJEM	VKLAD	44662	115390	\N	\N	\N
1971168	6678	1996-12-05	PRIJEM	VKLAD	48420	110053	\N	\N	\N
1971169	6678	1996-11-09	PRIJEM	VKLAD	49771	129328	\N	\N	\N
1971170	6678	1996-06-14	PRIJEM	VKLAD	17256	34171	\N	\N	\N
1971171	6678	1996-05-12	PRIJEM	VKLAD	19983	77519	\N	\N	\N
1971172	6678	1996-01-31	PRIJEM	VKLAD	25331	70137	\N	\N	\N
1971173	6678	1996-11-01	PRIJEM	VKLAD	13230	99445	\N	\N	\N
1971174	6678	1996-07-01	PRIJEM	VKLAD	14674	54139	\N	\N	\N
1971175	6678	1996-12-30	PRIJEM	VKLAD	8388	55914	\N	\N	\N
1971176	6678	1996-10-22	PRIJEM	VKLAD	25793	52425	\N	\N	\N
1971177	6678	1996-06-24	PRIJEM	VKLAD	15668	39339	\N	\N	\N
1971178	6678	1996-04-29	PRIJEM	VKLAD	21194	82255	\N	\N	\N
1971179	6678	1996-09-19	PRIJEM	VKLAD	18251	36053	\N	\N	\N
1971180	6678	1996-07-31	PRIJEM	VKLAD	35148	67042	\N	\N	\N
1971181	6678	1996-02-01	PRIJEM	VKLAD	15185	85464	\N	\N	\N
1971182	6678	1996-07-31	PRIJEM	VKLAD	19701	86743	\N	\N	\N
1971183	6678	1996-04-17	PRIJEM	VKLAD	30521	61061	\N	\N	\N
1971184	6678	1996-05-02	PRIJEM	VKLAD	16945	99436	\N	\N	\N
1971185	6678	1996-01-09	PRIJEM	VKLAD	43706	44806	\N	\N	\N
1971186	6678	1996-08-09	PRIJEM	VKLAD	27531	62259	\N	\N	\N
1971187	6678	1996-10-26	PRIJEM	VKLAD	21225	73650	\N	\N	\N
1971188	6678	1996-12-11	PRIJEM	VKLAD	25434	135487	\N	\N	\N
1971189	6678	1997-07-13	PRIJEM	VKLAD	15874	100195	\N	\N	\N
1971190	6678	1997-07-13	PRIJEM	VKLAD	47583	147778	\N	\N	\N
1971191	6678	1997-12-15	PRIJEM	VKLAD	15342	92255	\N	\N	\N
1971192	6678	1997-02-07	PRIJEM	VKLAD	39040	75145	\N	\N	\N
1971193	6678	1997-11-02	PRIJEM	VKLAD	39642	121507	\N	\N	\N
1971194	6678	1997-10-30	PRIJEM	VKLAD	43394	94224	\N	\N	\N
1971195	6678	1997-07-06	PRIJEM	VKLAD	39732	111014	\N	\N	\N
1971196	6678	1997-10-31	PRIJEM	VKLAD	7406	101943	\N	\N	\N
1971197	6678	1997-02-07	PRIJEM	VKLAD	14606	89751	\N	\N	\N
1971198	6678	1997-05-25	PRIJEM	VKLAD	40131	100992	\N	\N	\N
1971199	6678	1997-05-15	PRIJEM	VKLAD	28866	68171	\N	\N	\N
1971200	6678	1997-06-14	PRIJEM	VKLAD	31113	134272	\N	\N	\N
1971201	6678	1997-10-08	PRIJEM	VKLAD	16551	57837	\N	\N	\N
1971202	6678	1997-04-05	PRIJEM	VKLAD	44847	84944	\N	\N	\N
1971203	6678	1997-10-18	PRIJEM	VKLAD	46221	142440	\N	\N	\N
1971204	6678	1997-05-16	PRIJEM	VKLAD	6473	74644	\N	\N	\N
1971205	6678	1997-07-22	PRIJEM	VKLAD	12276	114354	\N	\N	\N
1971206	6678	1997-11-01	PRIJEM	VKLAD	28737	130665	\N	\N	\N
1971207	6678	1997-08-01	PRIJEM	VKLAD	12542	86231	\N	\N	\N
1971208	6678	1997-08-24	PRIJEM	VKLAD	30188	110286	\N	\N	\N
1971209	6678	1997-12-08	PRIJEM	VKLAD	17095	91025	\N	\N	\N
1971210	6678	1997-06-11	PRIJEM	VKLAD	39634	109159	\N	\N	\N
1971211	6678	1997-07-10	PRIJEM	VKLAD	43340	90454	\N	\N	\N
1971212	6678	1997-06-21	PRIJEM	VKLAD	16848	102220	\N	\N	\N
1971213	6678	1997-08-29	PRIJEM	VKLAD	27339	78825	\N	\N	\N
1971214	6678	1997-10-11	PRIJEM	VKLAD	44515	102352	\N	\N	\N
1971215	6678	1997-12-06	PRIJEM	VKLAD	21391	73930	\N	\N	\N
1971216	6678	1997-09-04	PRIJEM	VKLAD	36438	94751	\N	\N	\N
1971217	6678	1997-03-28	PRIJEM	VKLAD	42855	66148	\N	\N	\N
1971218	6678	1998-06-05	PRIJEM	VKLAD	24620	83354	\N	\N	\N
1971219	6678	1998-05-17	PRIJEM	VKLAD	11346	53501	\N	\N	\N
1971220	6678	1998-11-16	PRIJEM	VKLAD	15861	90506	\N	\N	\N
1971221	6678	1998-10-09	PRIJEM	VKLAD	24819	91520	\N	\N	\N
1971222	6678	1998-08-04	PRIJEM	VKLAD	22878	58200	\N	\N	\N
1971223	6678	1998-04-02	PRIJEM	VKLAD	49850	123021	\N	\N	\N
1971224	6678	1998-04-05	PRIJEM	VKLAD	40060	112781	\N	\N	\N
1971225	6678	1998-08-10	PRIJEM	VKLAD	41565	89865	\N	\N	\N
1971226	6678	1998-09-27	PRIJEM	VKLAD	29145	119291	\N	\N	\N
1971227	6678	1998-03-30	PRIJEM	VKLAD	21223	72970	\N	\N	\N
1971228	6678	1998-03-20	PRIJEM	VKLAD	7110	48318	\N	\N	\N
1971229	6678	1998-05-28	PRIJEM	VKLAD	12241	58542	\N	\N	\N
1971230	6678	1998-07-29	PRIJEM	VKLAD	10310	35214	\N	\N	\N
1971231	6678	1998-09-20	PRIJEM	VKLAD	32450	90146	\N	\N	\N
1971232	6678	1998-01-22	PRIJEM	VKLAD	24873	115440	\N	\N	\N
1971233	6678	1998-12-11	PRIJEM	VKLAD	7620	78337	\N	\N	\N
1971234	6678	1998-02-20	PRIJEM	VKLAD	18336	56252	\N	\N	\N
1971235	6678	1998-01-01	PRIJEM	VKLAD	11218	77465	\N	\N	\N
1971236	6678	1998-09-02	PRIJEM	VKLAD	27541	88629	\N	\N	\N
1971237	6678	1998-03-20	PRIJEM	VKLAD	20429	68747	\N	\N	\N
1971238	6678	1998-04-15	PRIJEM	VKLAD	32769	139417	\N	\N	\N
1971239	6678	1998-11-10	PRIJEM	VKLAD	43419	80778	\N	\N	\N
1971240	6678	1998-01-09	PRIJEM	VKLAD	23135	100600	\N	\N	\N
1971241	6678	1998-11-25	PRIJEM	VKLAD	32850	72008	\N	\N	\N
1971246	6678	1996-05-06	VYDAJ	VYBER	5800	57536	\N	\N	0
1971247	6678	1996-06-13	VYDAJ	VYBER	7900	16915	\N	\N	0
1971248	6678	1996-07-18	VYDAJ	VYBER	6600	31739	\N	\N	0
1971249	6678	1996-08-07	VYDAJ	VYBER	7600	47328	\N	\N	0
1971250	6678	1996-09-11	VYDAJ	VYBER	4200	32202	\N	\N	0
1971251	6678	1996-09-25	VYDAJ	VYBER	5000	31053	\N	\N	0
1971252	6678	1996-11-23	VYDAJ	VYBER	4900	93090	\N	\N	0
1971253	6678	1996-12-18	VYDAJ	VYBER	5400	67026	\N	\N	0
1971254	6678	1997-01-12	VYDAJ	VYBER	6400	49811	\N	\N	0
1971255	6678	1997-02-11	VYDAJ	VYBER	6300	79251	\N	\N	0
1971256	6678	1997-03-12	VYDAJ	VYBER	6700	39093	\N	\N	0
1971257	6678	1997-04-11	VYDAJ	VYBER	4600	80344	\N	\N	0
1971258	6678	1997-05-03	VYDAJ	VYBER	4400	39305	\N	\N	0
1971259	6678	1997-06-11	VYDAJ	VYBER	6000	103159	\N	\N	0
1971260	6678	1997-07-12	VYDAJ	PREVOD NA UCET	6133	84321	UVER	AB	46673387
1971261	6678	1997-08-12	VYDAJ	PREVOD NA UCET	6133	80098	UVER	AB	46673387
1971262	6678	1997-09-12	VYDAJ	PREVOD NA UCET	6133	66166	UVER	AB	46673387
1971263	6678	1997-10-12	VYDAJ	PREVOD NA UCET	6133	96219	UVER	AB	46673387
1971264	6678	1997-11-12	VYDAJ	PREVOD NA UCET	6133	82974	UVER	AB	46673387
1971265	6678	1997-12-12	VYDAJ	PREVOD NA UCET	6133	76913	UVER	AB	46673387
1971266	6678	1998-01-12	VYDAJ	PREVOD NA UCET	6133	90567	UVER	AB	46673387
1971267	6678	1998-02-12	VYDAJ	PREVOD NA UCET	6133	49003	UVER	AB	46673387
1971268	6678	1998-03-12	VYDAJ	PREVOD NA UCET	6133	41208	UVER	AB	46673387
1971269	6678	1998-04-12	VYDAJ	PREVOD NA UCET	6133	106648	UVER	AB	46673387
1971270	6678	1998-05-12	VYDAJ	PREVOD NA UCET	6133	42155	UVER	AB	46673387
1971271	6678	1998-06-12	VYDAJ	PREVOD NA UCET	6133	77221	UVER	AB	46673387
1971272	6678	1998-07-12	VYDAJ	PREVOD NA UCET	6133	15404	UVER	AB	46673387
1971273	6678	1998-08-12	VYDAJ	PREVOD NA UCET	6133	83732	UVER	AB	46673387
1971274	6678	1998-09-12	VYDAJ	PREVOD NA UCET	6133	82496	UVER	AB	46673387
1971275	6678	1998-10-12	VYDAJ	PREVOD NA UCET	6133	82687	UVER	AB	46673387
1971276	6678	1998-11-12	VYDAJ	PREVOD NA UCET	6133	74645	UVER	AB	46673387
1971277	6678	1998-12-12	VYDAJ	PREVOD NA UCET	6133	72204	UVER	AB	46673387
1971278	6678	1996-09-04	VYBER	VYBER	3379	36402	\N	\N	\N
1971280	6678	1996-10-16	VYBER	VYBER	10949	26632	\N	\N	\N
1971281	6678	1996-10-28	VYBER	VYBER	7676	62650	\N	\N	\N
1971282	6678	1996-12-11	VYBER	VYBER	12261	123226	\N	\N	\N
1971283	6678	1996-10-27	VYBER	VYBER	3324	70326	\N	\N	\N
1971284	6678	1996-05-21	VYBER	VYBER	11646	65873	\N	\N	\N
1971286	6678	1996-06-03	VYBER	VYBER	20646	24815	\N	\N	\N
1971287	6678	1996-11-02	VYBER	VYBER	11788	87657	\N	\N	\N
1971290	6678	1996-08-22	VYBER	VYBER	5231	57028	\N	\N	\N
1971292	6678	1997-04-17	VYBER	VYBER	22259	58085	\N	\N	\N
1971293	6678	1997-12-08	VYBER	VYBER	7979	83046	\N	\N	\N
1971294	6678	1997-03-19	VYBER	VYBER	15800	23293	\N	\N	\N
1971295	6678	1997-05-21	VYBER	VYBER	13783	60861	\N	\N	\N
1971296	6678	1997-09-10	VYBER	VYBER	22452	72299	\N	\N	\N
1971297	6678	1997-09-20	VYBER	VYBER	8387	47579	\N	\N	\N
1971298	6678	1997-10-25	VYBER	VYBER	7547	66993	\N	\N	\N
1971299	6678	1997-10-28	VYBER	VYBER	16163	50830	\N	\N	\N
1971300	6678	1997-08-30	VYBER	VYBER	20804	58021	\N	\N	\N
1971301	6678	1998-12-18	VYBER	VYBER	14046	58158	\N	\N	\N
1971303	6678	1998-12-23	VYBER	VYBER	17000	28058	\N	\N	\N
1971304	6678	1998-01-24	VYBER	VYBER	19510	54830	\N	\N	\N
1971305	6678	1998-02-14	VYBER	VYBER	11087	37916	\N	\N	\N
1971306	6678	1998-10-22	VYBER	VYBER	12658	37129	\N	\N	\N
1971307	6678	1998-11-20	VYBER	VYBER	21748	39158	\N	\N	\N
1971308	6678	1998-04-18	VYBER	VYBER	23633	58084	\N	\N	\N
1971309	6678	1998-07-09	VYBER	VYBER	22702	21537	\N	\N	\N
1971312	6678	1998-06-18	VYDAJ	VYBER	30900	46321	\N	\N	\N
1971314	6678	1997-01-22	VYDAJ	VYBER	11700	38111	\N	\N	\N
1971315	6678	1998-01-10	VYDAJ	VYBER	3900	96700	\N	\N	\N
1971316	6678	1996-12-16	VYDAJ	VYBER	6300	72426	\N	\N	\N
1971317	6678	1997-12-23	VYDAJ	VYBER	3600	65955	\N	\N	\N
1971318	6678	1998-12-25	VYDAJ	VYBER	2700	25358	\N	\N	\N
1971319	6678	1996-11-07	VYDAJ	VYBER	8100	79557	\N	\N	\N
1971320	6678	1996-06-14	VYDAJ	VYBER	10500	23671	\N	\N	\N
1971321	6678	1996-08-08	VYDAJ	VYBER	12600	34728	\N	\N	\N
1971322	6678	1996-11-13	VYDAJ	VYBER	1500	70728	\N	\N	\N
1971323	6678	1996-09-12	VYDAJ	VYBER	14400	17802	\N	\N	\N
1971326	6678	1997-02-13	VYDAJ	VYBER	12600	66651	\N	\N	\N
1971327	6678	1997-03-31	VYDAJ	VYBER	5100	40097	\N	\N	\N
1971328	6678	1997-11-29	VYDAJ	VYBER	9900	52174	\N	\N	\N
1971329	6678	1997-02-08	VYDAJ	VYBER	4200	85551	\N	\N	\N
1971330	6678	1997-09-13	VYDAJ	VYBER	10200	55966	\N	\N	\N
1971331	6678	1997-06-19	VYDAJ	VYBER	2400	85372	\N	\N	\N
1971332	6678	1998-11-28	VYDAJ	VYBER	1500	70508	\N	\N	\N
1971333	6678	1998-08-04	VYDAJ	VYBER	9900	48300	\N	\N	\N
1971334	6678	1998-10-17	VYDAJ	VYBER	11700	70987	\N	\N	\N
1971335	6678	1998-10-12	VYDAJ	VYBER	2700	88820	\N	\N	\N
1971340	6678	1996-04-30	VYDAJ	VYBER	15	82491	SLUZBY	\N	\N
1971341	6678	1996-05-31	VYDAJ	VYBER	15	66161	SLUZBY	\N	\N
1971342	6678	1996-06-30	VYDAJ	VYBER	15	39465	SLUZBY	\N	\N
1971343	6678	1996-07-31	VYDAJ	VYBER	15	86728	SLUZBY	\N	\N
1971344	6678	1996-08-31	VYDAJ	VYBER	15	39781	SLUZBY	\N	\N
1971345	6678	1996-09-30	VYDAJ	VYBER	15	24570	SLUZBY	\N	\N
1971346	6678	1996-10-31	VYDAJ	VYBER	15	86215	SLUZBY	\N	\N
1971347	6678	1996-11-30	VYDAJ	VYBER	15	61633	SLUZBY	\N	\N
1971348	6678	1996-12-31	VYDAJ	VYBER	15	56211	SLUZBY	\N	\N
1971349	6678	1997-01-31	VYDAJ	VYBER	15	36105	SLUZBY	\N	\N
1971350	6678	1997-02-28	VYDAJ	VYBER	15	45793	SLUZBY	\N	\N
1971351	6678	1997-03-31	VYDAJ	VYBER	15	45197	SLUZBY	\N	\N
1971352	6678	1997-04-30	VYDAJ	VYBER	15	43705	SLUZBY	\N	\N
1971353	6678	1997-05-31	VYDAJ	VYBER	15	69525	SLUZBY	\N	\N
1971354	6678	1997-06-30	VYDAJ	VYBER	15	71282	SLUZBY	\N	\N
1971355	6678	1997-07-31	VYDAJ	VYBER	15	73689	SLUZBY	\N	\N
1971356	6678	1997-08-31	VYDAJ	VYBER	15	58313	SLUZBY	\N	\N
1971357	6678	1997-09-30	VYDAJ	VYBER	15	41286	SLUZBY	\N	\N
1971358	6678	1997-10-31	VYDAJ	VYBER	15	101928	SLUZBY	\N	\N
1971359	6678	1997-11-30	VYDAJ	VYBER	15	52539	SLUZBY	\N	\N
1971360	6678	1997-12-31	VYDAJ	VYBER	15	66247	SLUZBY	\N	\N
1971361	6678	1998-01-31	VYDAJ	VYBER	15	55136	SLUZBY	\N	\N
1971362	6678	1998-02-28	VYDAJ	VYBER	15	47341	SLUZBY	\N	\N
1971363	6678	1998-03-31	VYDAJ	VYBER	15	73171	SLUZBY	\N	\N
1971364	6678	1998-04-30	VYDAJ	VYBER	15	48288	SLUZBY	\N	\N
1971365	6678	1998-05-31	VYDAJ	VYBER	15	58734	SLUZBY	\N	\N
1971366	6678	1998-06-30	VYDAJ	VYBER	15	44239	SLUZBY	\N	\N
1971367	6678	1998-07-31	VYDAJ	VYBER	15	35322	SLUZBY	\N	\N
1971368	6678	1998-08-31	VYDAJ	VYBER	15	61088	SLUZBY	\N	\N
1971369	6678	1998-09-30	VYDAJ	VYBER	15	66701	SLUZBY	\N	\N
1971370	6678	1998-10-31	VYDAJ	VYBER	15	37359	SLUZBY	\N	\N
1971371	6678	1998-11-30	VYDAJ	VYBER	15	70717	SLUZBY	\N	\N
1971372	6678	1996-02-02	VYDAJ	VYBER	28600	56864	\N	\N	\N
1971373	6678	1996-03-03	VYDAJ	VYBER	17600	39503	\N	\N	\N
1971374	6678	1996-04-02	VYDAJ	VYBER	9200	30540	\N	\N	\N
1971375	6678	1996-05-02	VYDAJ	VYBER	36100	63336	\N	\N	\N
1971376	6678	1996-06-01	VYDAJ	VYBER	20700	45461	\N	\N	\N
1971377	6678	1996-07-01	VYDAJ	VYBER	15800	38339	\N	\N	\N
1971378	6678	1996-07-31	VYDAJ	VYBER	31800	54928	\N	\N	\N
1971379	6678	1996-08-30	VYDAJ	VYBER	17500	39528	\N	\N	\N
1971380	6678	1996-09-29	VYDAJ	VYBER	6600	24453	\N	\N	\N
1971381	6678	1996-10-29	VYDAJ	VYBER	15100	47550	\N	\N	\N
1971382	6678	1996-11-09	VYDAJ	VYBER	57100	72228	\N	\N	\N
1971383	6678	1996-11-14	VYDAJ	VYBER	17400	97990	\N	\N	\N
1971384	6678	1996-11-28	VYDAJ	VYBER	31800	61290	\N	\N	\N
1971385	6678	1996-12-11	VYDAJ	VYBER	44500	78726	\N	\N	\N
1971386	6678	1996-12-28	VYDAJ	VYBER	19500	47526	\N	\N	\N
1971387	6678	1997-01-27	VYDAJ	VYBER	2200	35911	\N	\N	\N
1971388	6678	1997-02-26	VYDAJ	VYBER	21100	45551	\N	\N	\N
1971389	6678	1997-03-28	VYDAJ	VYBER	21100	45048	\N	\N	\N
1971390	6678	1997-04-27	VYDAJ	VYBER	14600	43485	\N	\N	\N
1971391	6678	1997-05-27	VYDAJ	VYBER	31700	69292	\N	\N	\N
1971392	6678	1997-06-14	VYDAJ	VYBER	46500	87772	\N	\N	\N
1971393	6678	1997-06-26	VYDAJ	VYBER	31300	70920	\N	\N	\N
1971394	6678	1997-07-06	VYDAJ	VYBER	63900	47114	\N	\N	\N
1971395	6678	1997-07-13	VYDAJ	VYBER	45700	102078	\N	\N	\N
1971396	6678	1997-07-26	VYDAJ	VYBER	41000	73354	\N	\N	\N
1971397	6678	1997-08-24	VYDAJ	VYBER	38900	71386	\N	\N	\N
1971398	6678	1997-08-25	VYDAJ	VYBER	19900	51486	\N	\N	\N
1971399	6678	1997-09-24	VYDAJ	VYBER	6500	41079	\N	\N	\N
1971400	6678	1997-10-18	VYDAJ	VYBER	30700	111740	\N	\N	\N
1971401	6678	1997-10-24	VYDAJ	VYBER	37200	74540	\N	\N	\N
1971402	6678	1997-11-01	VYDAJ	VYBER	48800	81865	\N	\N	\N
1971403	6678	1997-11-02	VYDAJ	VYBER	32400	89107	\N	\N	\N
1971404	6678	1997-11-23	VYDAJ	VYBER	20900	62074	\N	\N	\N
1971405	6678	1997-12-23	VYDAJ	VYBER	22700	69555	\N	\N	\N
1971406	6678	1998-01-22	VYDAJ	VYBER	41100	74340	\N	\N	\N
1971407	6678	1998-02-21	VYDAJ	VYBER	9100	47152	\N	\N	\N
1971408	6678	1998-03-23	VYDAJ	VYBER	17000	51747	\N	\N	\N
1971409	6678	1998-04-02	VYDAJ	VYBER	50300	72721	\N	\N	\N
1971410	6678	1998-04-15	VYDAJ	VYBER	57700	81717	\N	\N	\N
1971411	6678	1998-04-22	VYDAJ	VYBER	10100	47984	\N	\N	\N
1971412	6678	1998-05-22	VYDAJ	VYBER	7200	46301	\N	\N	\N
1971413	6678	1998-06-21	VYDAJ	VYBER	2300	44021	\N	\N	\N
1971414	6678	1998-07-21	PRIJEM	VKLAD	9500	24904	\N	\N	\N
1971415	6678	1998-08-20	VYDAJ	VYBER	22900	60832	\N	\N	\N
1971416	6678	1998-09-19	VYDAJ	VYBER	24800	57696	\N	\N	\N
1971417	6678	1998-09-27	VYDAJ	VYBER	52900	66391	\N	\N	\N
1971418	6678	1998-10-19	VYDAJ	VYBER	21200	49787	\N	\N	\N
1971419	6678	1998-11-18	VYDAJ	VYBER	29600	60906	\N	\N	\N
1971420	6678	1998-12-18	VYDAJ	VYBER	13100	45058	\N	\N	\N
1973464	6686	1996-02-10	PRIJEM	VKLAD	600	600	\N	\N	\N
1973467	6686	1996-03-08	PRIJEM	PREVOD Z UCTU	29123	29723	\N	KL	23504835
1973468	6686	1996-04-08	PRIJEM	PREVOD Z UCTU	29123	54618	\N	KL	23504835
1973561	6686	1998-06-12	VYBER	VYBER	23256	27983	\N	\N	\N
1973469	6686	1996-05-08	PRIJEM	PREVOD Z UCTU	29123	65478	\N	KL	23504835
1973470	6686	1996-06-08	PRIJEM	PREVOD Z UCTU	43684	84727	\N	KL	23504835
1973471	6686	1996-07-08	PRIJEM	PREVOD Z UCTU	29123	79850	\N	KL	23504835
1973472	6686	1996-08-08	PRIJEM	PREVOD Z UCTU	29123	70052	\N	KL	23504835
1973473	6686	1996-09-08	PRIJEM	PREVOD Z UCTU	29123	55721	\N	KL	23504835
1973474	6686	1996-10-08	PRIJEM	PREVOD Z UCTU	29123	51374	\N	KL	23504835
1973475	6686	1996-11-08	PRIJEM	PREVOD Z UCTU	29123	46545	\N	KL	23504835
1973476	6686	1996-12-08	PRIJEM	PREVOD Z UCTU	43684	62449	\N	KL	23504835
1973477	6686	1997-01-08	PRIJEM	PREVOD Z UCTU	29123	55366	\N	KL	23504835
1973478	6686	1997-02-08	PRIJEM	PREVOD Z UCTU	29123	39614	\N	KL	23504835
1973479	6686	1997-03-08	PRIJEM	PREVOD Z UCTU	29123	53639	\N	KL	23504835
1973480	6686	1997-04-08	PRIJEM	PREVOD Z UCTU	29123	53682	\N	KL	23504835
1973481	6686	1997-05-08	PRIJEM	PREVOD Z UCTU	29123	57385	\N	KL	23504835
1973482	6686	1997-06-08	PRIJEM	PREVOD Z UCTU	43684	67971	\N	KL	23504835
1973483	6686	1997-07-08	PRIJEM	PREVOD Z UCTU	29123	60205	\N	KL	23504835
1973484	6686	1997-08-08	PRIJEM	PREVOD Z UCTU	29123	47559	\N	KL	23504835
1973485	6686	1997-09-08	PRIJEM	PREVOD Z UCTU	29123	46785	\N	KL	23504835
1973486	6686	1997-10-08	PRIJEM	PREVOD Z UCTU	29123	70973	\N	KL	23504835
1973487	6686	1997-11-08	PRIJEM	PREVOD Z UCTU	29123	54657	\N	KL	23504835
1973488	6686	1997-12-08	PRIJEM	PREVOD Z UCTU	43684	64492	\N	KL	23504835
1973489	6686	1998-01-08	PRIJEM	PREVOD Z UCTU	29123	53526	\N	KL	23504835
1973490	6686	1998-02-08	PRIJEM	PREVOD Z UCTU	29123	49239	\N	KL	23504835
1973491	6686	1998-03-08	PRIJEM	PREVOD Z UCTU	29123	55717	\N	KL	23504835
1973492	6686	1998-04-08	PRIJEM	PREVOD Z UCTU	29123	48638	\N	KL	23504835
1973493	6686	1998-05-08	PRIJEM	PREVOD Z UCTU	29123	50033	\N	KL	23504835
1973494	6686	1998-06-08	PRIJEM	PREVOD Z UCTU	43684	65370	\N	KL	23504835
1973495	6686	1998-07-08	PRIJEM	PREVOD Z UCTU	29123	52334	\N	KL	23504835
1973496	6686	1998-08-08	PRIJEM	PREVOD Z UCTU	29123	55876	\N	KL	23504835
1973497	6686	1998-09-08	PRIJEM	PREVOD Z UCTU	29123	49844	\N	KL	23504835
1973498	6686	1998-10-08	PRIJEM	PREVOD Z UCTU	29123	49333	\N	KL	23504835
1973499	6686	1998-11-08	PRIJEM	PREVOD Z UCTU	29123	46517	\N	KL	23504835
1973500	6686	1998-12-08	PRIJEM	PREVOD Z UCTU	43684	65853	\N	KL	23504835
1973507	6686	1996-07-17	VYDAJ	VYBER	2900	45750	\N	\N	0
1973508	6686	1996-07-24	VYDAJ	VYBER	5000	40750	\N	\N	0
1973509	6686	1996-09-09	VYDAJ	VYBER	6600	49121	\N	\N	0
1973510	6686	1996-10-15	VYDAJ	VYBER	2900	35484	\N	\N	0
1973511	6686	1996-11-17	VYDAJ	VYBER	6400	27845	\N	\N	0
1973512	6686	1996-12-23	VYDAJ	VYBER	6200	52649	\N	\N	0
1973513	6686	1996-12-30	VYDAJ	VYBER	4500	48149	\N	\N	0
1973514	6686	1997-02-01	VYDAJ	VYBER	6400	24245	\N	\N	0
1973515	6686	1997-03-20	VYDAJ	VYBER	3200	40784	\N	\N	0
1973516	6686	1997-04-15	VYDAJ	VYBER	4400	49282	\N	\N	0
1973517	6686	1997-05-12	VYDAJ	VYBER	4400	52985	\N	\N	0
1973518	6686	1997-05-26	VYDAJ	VYBER	3600	49385	\N	\N	0
1973519	6686	1997-07-08	VYDAJ	VYBER	4600	55605	\N	\N	0
1973520	6686	1997-08-03	VYDAJ	VYBER	4600	41636	\N	\N	0
1973521	6686	1997-09-24	VYDAJ	VYBER	5100	41685	\N	\N	0
1973522	6686	1997-10-08	VYDAJ	VYBER	5200	65773	\N	\N	0
1973523	6686	1997-11-14	VYDAJ	VYBER	4000	50657	\N	\N	0
1973524	6686	1997-12-17	VYDAJ	VYBER	4600	24271	\N	\N	0
1973525	6686	1998-01-12	VYDAJ	PREVOD NA UCET	4854	48673	UVER	ST	36217254
1973526	6686	1998-02-12	VYDAJ	PREVOD NA UCET	4854	44385	UVER	ST	36217254
1973527	6686	1998-03-12	VYDAJ	PREVOD NA UCET	4854	50864	UVER	ST	36217254
1973528	6686	1998-04-12	VYDAJ	PREVOD NA UCET	4854	43784	UVER	ST	36217254
1973529	6686	1998-05-12	VYDAJ	PREVOD NA UCET	4854	21613	UVER	ST	36217254
1973530	6686	1998-06-12	VYDAJ	PREVOD NA UCET	4854	23129	UVER	ST	36217254
1973531	6686	1998-07-12	VYDAJ	PREVOD NA UCET	4854	26656	UVER	ST	36217254
1973532	6686	1998-08-12	VYDAJ	PREVOD NA UCET	4854	51022	UVER	ST	36217254
1973533	6686	1998-09-12	VYDAJ	PREVOD NA UCET	4854	44990	UVER	ST	36217254
1973534	6686	1998-10-12	VYDAJ	PREVOD NA UCET	4854	44479	UVER	ST	36217254
1973535	6686	1998-11-12	VYDAJ	PREVOD NA UCET	4854	41663	UVER	ST	36217254
1973536	6686	1998-12-12	VYDAJ	PREVOD NA UCET	4854	55899	UVER	ST	36217254
1973537	6686	1996-09-20	VYBER	VYBER	13855	30102	\N	\N	\N
1973540	6686	1996-10-12	VYBER	VYBER	12990	38384	\N	\N	\N
1973541	6686	1996-09-14	VYBER	VYBER	5164	43957	\N	\N	\N
1973542	6686	1997-08-15	VYBER	VYBER	4434	36525	\N	\N	\N
1973543	6686	1997-02-02	VYBER	VYBER	5154	19091	\N	\N	\N
1973544	6686	1997-10-27	VYBER	VYBER	17305	25366	\N	\N	\N
1973545	6686	1997-07-09	VYBER	VYBER	5147	50458	\N	\N	\N
1973546	6686	1997-03-11	VYBER	VYBER	9655	43984	\N	\N	\N
1973547	6686	1997-03-23	VYBER	VYBER	6079	34705	\N	\N	\N
1973548	6686	1997-02-09	VYBER	VYBER	2017	37597	\N	\N	\N
1973549	6686	1997-10-13	VYBER	VYBER	23102	42671	\N	\N	\N
1973551	6686	1997-12-09	VYBER	VYBER	24221	40271	\N	\N	\N
1973552	6686	1997-07-15	VYBER	VYBER	4411	46047	\N	\N	\N
1973553	6686	1998-06-11	VYBER	VYBER	14131	51239	\N	\N	\N
1973554	6686	1998-07-09	VYBER	VYBER	12724	31510	\N	\N	\N
1973555	6686	1998-02-14	VYBER	VYBER	17880	26505	\N	\N	\N
1973560	6686	1998-08-19	VYBER	VYBER	4633	43189	\N	\N	\N
1973563	6686	1998-08-14	VYBER	VYBER	3200	47822	\N	\N	\N
1973564	6686	1998-05-11	VYBER	VYBER	23566	26467	\N	\N	\N
1973565	6686	1998-12-14	VYBER	VYBER	17404	38495	\N	\N	\N
1973567	6686	1997-06-08	VYDAJ	VYBER	11400	56571	\N	\N	\N
1973570	6686	1997-01-23	VYDAJ	VYBER	24900	30466	\N	\N	\N
1973572	6686	1996-12-12	VYDAJ	VYBER	3600	58849	\N	\N	\N
1973577	6686	1996-10-31	VYDAJ	VYBER	13800	21822	\N	\N	\N
1973578	6686	1996-11-10	VYDAJ	VYBER	12300	34245	\N	\N	\N
1973582	6686	1997-08-14	VYDAJ	VYBER	6600	40959	\N	\N	\N
1973583	6686	1997-12-09	VYDAJ	VYBER	11400	28871	\N	\N	\N
1973585	6686	1997-06-12	VYDAJ	VYBER	3300	53271	\N	\N	\N
1973586	6686	1998-07-08	VYDAJ	VYBER	8100	44234	\N	\N	\N
1973587	6686	1998-03-26	VYDAJ	VYBER	7200	43664	\N	\N	\N
1973588	6686	1998-12-09	VYDAJ	VYBER	5100	60753	\N	\N	\N
1973597	6686	1996-07-31	VYDAJ	VYBER	15	40929	SLUZBY	\N	\N
1973598	6686	1996-08-31	VYDAJ	VYBER	15	41298	SLUZBY	\N	\N
1973599	6686	1996-09-30	VYDAJ	VYBER	15	30251	SLUZBY	\N	\N
1973600	6686	1996-10-31	VYDAJ	VYBER	15	35622	SLUZBY	\N	\N
1973601	6686	1996-11-30	VYDAJ	VYBER	15	27965	SLUZBY	\N	\N
1973602	6686	1996-12-31	VYDAJ	VYBER	15	48343	SLUZBY	\N	\N
1973603	6686	1997-01-31	VYDAJ	VYBER	15	30645	SLUZBY	\N	\N
1973604	6686	1997-02-28	VYDAJ	VYBER	15	37716	SLUZBY	\N	\N
1973605	6686	1997-03-31	VYDAJ	VYBER	15	34859	SLUZBY	\N	\N
1973606	6686	1997-04-30	VYDAJ	VYBER	15	49462	SLUZBY	\N	\N
1973607	6686	1997-05-31	VYDAJ	VYBER	15	49587	SLUZBY	\N	\N
1973608	6686	1997-06-30	VYDAJ	VYBER	15	53482	SLUZBY	\N	\N
1973609	6686	1997-07-31	VYDAJ	VYBER	15	46236	SLUZBY	\N	\N
1973610	6686	1997-08-31	VYDAJ	VYBER	15	36662	SLUZBY	\N	\N
1973611	6686	1997-09-30	VYDAJ	VYBER	15	41850	SLUZBY	\N	\N
1973612	6686	1997-10-31	VYDAJ	VYBER	15	25534	SLUZBY	\N	\N
1973613	6686	1997-11-30	VYDAJ	VYBER	15	50808	SLUZBY	\N	\N
1973614	6686	1997-12-31	VYDAJ	VYBER	15	24403	SLUZBY	\N	\N
1973615	6686	1998-01-31	VYDAJ	VYBER	15	20116	SLUZBY	\N	\N
1973616	6686	1998-02-28	VYDAJ	VYBER	15	26594	SLUZBY	\N	\N
1973617	6686	1998-03-31	VYDAJ	VYBER	15	19515	SLUZBY	\N	\N
1973618	6686	1998-04-30	VYDAJ	VYBER	15	43910	SLUZBY	\N	\N
1973619	6686	1998-05-31	VYDAJ	VYBER	15	21686	SLUZBY	\N	\N
1973620	6686	1998-06-30	VYDAJ	VYBER	15	23211	SLUZBY	\N	\N
1973621	6686	1998-07-31	VYDAJ	VYBER	15	26753	SLUZBY	\N	\N
1973622	6686	1998-08-31	VYDAJ	VYBER	15	20721	SLUZBY	\N	\N
1973623	6686	1998-09-30	VYDAJ	VYBER	15	20210	SLUZBY	\N	\N
1973624	6686	1998-10-31	VYDAJ	VYBER	15	17394	SLUZBY	\N	\N
1973625	6686	1998-11-30	VYDAJ	VYBER	15	22169	SLUZBY	\N	\N
1973626	6686	1996-03-11	VYDAJ	VYBER	4300	25423	\N	\N	\N
1973627	6686	1996-04-10	VYDAJ	VYBER	18400	36218	\N	\N	\N
1973628	6686	1996-05-10	VYDAJ	VYBER	24600	40878	\N	\N	\N
1973629	6686	1996-06-09	VYDAJ	VYBER	34200	50527	\N	\N	\N
1973630	6686	1996-07-09	VYDAJ	VYBER	31200	48650	\N	\N	\N
1973631	6686	1996-08-08	VYDAJ	VYBER	29000	41052	\N	\N	\N
1973632	6686	1996-09-07	VYDAJ	VYBER	14700	26598	\N	\N	\N
1973633	6686	1996-10-07	VYDAJ	VYBER	8000	22251	\N	\N	\N
1973634	6686	1996-11-06	VYDAJ	VYBER	4400	17422	\N	\N	\N
1973635	6686	1996-12-06	VYDAJ	VYBER	9200	18765	\N	\N	\N
1973636	6686	1997-01-05	VYDAJ	VYBER	22100	26243	\N	\N	\N
1973637	6686	1997-02-04	VYDAJ	VYBER	8600	10491	\N	\N	\N
1973638	6686	1997-03-06	VYDAJ	VYBER	13200	24516	\N	\N	\N
1973639	6686	1997-04-05	VYDAJ	VYBER	10300	24559	\N	\N	\N
1973640	6686	1997-05-05	VYDAJ	VYBER	21200	28262	\N	\N	\N
1973641	6686	1997-06-04	VYDAJ	VYBER	25300	24287	\N	\N	\N
1973642	6686	1997-07-04	VYDAJ	VYBER	22400	31082	\N	\N	\N
1973643	6686	1997-08-03	VYDAJ	VYBER	23200	18436	\N	\N	\N
1973644	6686	1997-09-02	VYDAJ	VYBER	19000	17662	\N	\N	\N
1973645	6686	1997-12-01	VYDAJ	VYBER	30000	20808	\N	\N	\N
1973646	6686	1998-01-30	VYDAJ	VYBER	28700	19973	\N	\N	\N
1973647	6686	1998-03-31	VYDAJ	VYBER	24300	19529	\N	\N	\N
1973648	6686	1998-04-30	VYDAJ	VYBER	23000	20910	\N	\N	\N
1973649	6686	1998-08-28	VYDAJ	VYBER	22600	20589	\N	\N	\N
1973650	6686	1998-09-27	VYDAJ	VYBER	24900	20090	\N	\N	\N
1973651	6686	1998-10-27	VYDAJ	VYBER	27200	17279	\N	\N	\N
1973652	6686	1998-11-26	VYDAJ	VYBER	19600	22063	\N	\N	\N
1973653	6686	1998-12-26	VYDAJ	VYBER	16900	21595	\N	\N	\N
1974052	6688	1996-06-25	PRIJEM	VKLAD	1000	1000	\N	\N	\N
1974059	6688	1996-07-12	PRIJEM	VKLAD	8155	9155	\N	\N	\N
1974060	6688	1996-08-12	PRIJEM	VKLAD	8155	25526	\N	\N	\N
1974061	6688	1996-09-12	PRIJEM	VKLAD	8155	34163	\N	\N	\N
1974062	6688	1996-10-12	PRIJEM	VKLAD	8155	38831	\N	\N	\N
1974063	6688	1996-11-12	PRIJEM	VKLAD	8155	41517	\N	\N	\N
1974064	6688	1996-12-12	PRIJEM	VKLAD	12232	41434	\N	\N	\N
1974065	6688	1997-01-12	PRIJEM	VKLAD	8155	23563	\N	\N	\N
1974066	6688	1997-02-12	PRIJEM	VKLAD	8155	27145	\N	\N	\N
1974067	6688	1997-03-12	PRIJEM	VKLAD	8155	26537	\N	\N	\N
1974068	6688	1997-04-12	PRIJEM	VKLAD	8155	32533	\N	\N	\N
1974069	6688	1997-05-12	PRIJEM	VKLAD	8155	37147	\N	\N	\N
1974070	6688	1997-06-12	PRIJEM	VKLAD	12232	42557	\N	\N	\N
1974071	6688	1997-07-12	PRIJEM	VKLAD	8155	42408	\N	\N	\N
1974072	6688	1997-08-12	PRIJEM	VKLAD	8155	44964	\N	\N	\N
1974073	6688	1997-09-12	PRIJEM	VKLAD	8155	48827	\N	\N	\N
1974074	6688	1997-10-12	PRIJEM	VKLAD	8155	52508	\N	\N	\N
1974075	6688	1997-11-12	PRIJEM	VKLAD	8155	47792	\N	\N	\N
1974076	6688	1997-12-12	PRIJEM	VKLAD	12232	53742	\N	\N	\N
1974077	6688	1998-01-12	PRIJEM	VKLAD	8155	49921	\N	\N	\N
1974078	6688	1998-02-12	PRIJEM	VKLAD	8155	42793	\N	\N	\N
1974079	6688	1998-03-12	PRIJEM	VKLAD	8155	52659	\N	\N	\N
1974080	6688	1998-04-12	PRIJEM	VKLAD	8155	53348	\N	\N	\N
1974081	6688	1998-05-12	PRIJEM	VKLAD	8155	57747	\N	\N	\N
1974082	6688	1998-06-12	PRIJEM	VKLAD	12232	43727	\N	\N	\N
1974083	6688	1998-07-12	PRIJEM	VKLAD	8155	50608	\N	\N	\N
1974084	6688	1998-08-12	PRIJEM	VKLAD	8155	54594	\N	\N	\N
1974085	6688	1998-09-12	PRIJEM	VKLAD	8155	57999	\N	\N	\N
1974086	6688	1998-10-12	PRIJEM	VKLAD	8155	53299	\N	\N	\N
1974087	6688	1998-11-12	PRIJEM	VKLAD	8155	51084	\N	\N	\N
1974088	6688	1998-12-12	PRIJEM	VKLAD	12232	54142	\N	\N	\N
1974099	6688	1996-11-12	VYDAJ	PREVOD NA UCET	1753	39764	SIPO	AB	1844835
1974100	6688	1996-12-12	VYDAJ	PREVOD NA UCET	1753	39681	SIPO	AB	1844835
1974101	6688	1997-01-12	VYDAJ	PREVOD NA UCET	1753	21172	SIPO	AB	1844835
1974102	6688	1997-02-12	VYDAJ	PREVOD NA UCET	1753	24754	SIPO	AB	1844835
1974103	6688	1997-03-12	VYDAJ	PREVOD NA UCET	1753	24784	SIPO	AB	1844835
1974104	6688	1997-04-12	VYDAJ	PREVOD NA UCET	1753	30780	SIPO	AB	1844835
1974105	6688	1997-05-12	VYDAJ	PREVOD NA UCET	1753	34756	SIPO	AB	1844835
1974106	6688	1997-06-12	VYDAJ	PREVOD NA UCET	1753	40166	SIPO	AB	1844835
1974107	6688	1997-07-12	VYDAJ	PREVOD NA UCET	1753	40017	SIPO	AB	1844835
1974108	6688	1997-08-12	VYDAJ	PREVOD NA UCET	1753	43211	SIPO	AB	1844835
1974109	6688	1997-09-12	VYDAJ	PREVOD NA UCET	1753	46436	SIPO	AB	1844835
1974110	6688	1997-10-12	VYDAJ	PREVOD NA UCET	1753	50117	SIPO	AB	1844835
1974111	6688	1997-11-12	VYDAJ	PREVOD NA UCET	1753	45401	SIPO	AB	1844835
1974112	6688	1997-12-12	VYDAJ	PREVOD NA UCET	1753	51351	SIPO	AB	1844835
1974113	6688	1998-01-12	VYDAJ	PREVOD NA UCET	1753	47530	SIPO	AB	1844835
1974114	6688	1998-02-12	VYDAJ	PREVOD NA UCET	1753	41040	SIPO	AB	1844835
1974115	6688	1998-03-12	VYDAJ	PREVOD NA UCET	1753	50906	SIPO	AB	1844835
1974116	6688	1998-04-12	VYDAJ	PREVOD NA UCET	1753	51595	SIPO	AB	1844835
1974117	6688	1998-05-12	VYDAJ	PREVOD NA UCET	1753	55356	SIPO	AB	1844835
1974118	6688	1998-06-12	VYDAJ	PREVOD NA UCET	1753	41974	SIPO	AB	1844835
1974119	6688	1998-07-12	VYDAJ	PREVOD NA UCET	1753	48855	SIPO	AB	1844835
1974120	6688	1998-08-12	VYDAJ	PREVOD NA UCET	1753	52203	SIPO	AB	1844835
1974121	6688	1998-09-12	VYDAJ	PREVOD NA UCET	1753	56246	SIPO	AB	1844835
1974122	6688	1998-10-12	VYDAJ	PREVOD NA UCET	1753	50908	SIPO	AB	1844835
1974123	6688	1998-11-12	VYDAJ	PREVOD NA UCET	1753	45831	SIPO	AB	1844835
1974124	6688	1998-12-12	VYDAJ	PREVOD NA UCET	1753	51051	SIPO	AB	1844835
1974135	6688	1996-11-14	VYDAJ	PREVOD NA UCET	1282	37844	 	OP	24286341
1974136	6688	1996-12-14	VYDAJ	PREVOD NA UCET	1282	34661	 	OP	24286341
1974137	6688	1997-01-14	VYDAJ	PREVOD NA UCET	1282	19890	 	OP	24286341
1974138	6688	1997-02-14	VYDAJ	PREVOD NA UCET	1282	23472	 	OP	24286341
1974139	6688	1997-03-14	VYDAJ	PREVOD NA UCET	1282	22864	 	OP	24286341
1974140	6688	1997-04-14	VYDAJ	PREVOD NA UCET	1282	28860	 	OP	24286341
1974141	6688	1997-05-14	VYDAJ	PREVOD NA UCET	1282	33474	 	OP	24286341
1974142	6688	1997-06-14	VYDAJ	PREVOD NA UCET	1282	38884	 	OP	24286341
1974143	6688	1997-07-14	VYDAJ	PREVOD NA UCET	1282	38735	 	OP	24286341
1974144	6688	1997-08-14	VYDAJ	PREVOD NA UCET	1282	41291	 	OP	24286341
1974145	6688	1997-09-14	VYDAJ	PREVOD NA UCET	1282	45154	 	OP	24286341
1974146	6688	1997-10-14	VYDAJ	PREVOD NA UCET	1282	48835	 	OP	24286341
1974147	6688	1997-11-14	VYDAJ	PREVOD NA UCET	1282	44119	 	OP	24286341
1974148	6688	1997-12-14	VYDAJ	PREVOD NA UCET	1282	48369	 	OP	24286341
1974149	6688	1998-01-14	VYDAJ	PREVOD NA UCET	1282	46248	 	OP	24286341
1974150	6688	1998-02-14	VYDAJ	PREVOD NA UCET	1282	39120	 	OP	24286341
1974151	6688	1998-03-14	VYDAJ	PREVOD NA UCET	1282	48986	 	OP	24286341
1974152	6688	1998-04-14	VYDAJ	PREVOD NA UCET	1282	49675	 	OP	24286341
1974153	6688	1998-05-14	VYDAJ	PREVOD NA UCET	1282	54074	 	OP	24286341
1974154	6688	1998-06-14	VYDAJ	PREVOD NA UCET	1282	40054	 	OP	24286341
1974155	6688	1998-07-14	VYDAJ	PREVOD NA UCET	1282	46935	 	OP	24286341
1974156	6688	1998-08-14	VYDAJ	PREVOD NA UCET	1282	50221	 	OP	24286341
1974157	6688	1998-09-14	VYDAJ	PREVOD NA UCET	1282	47626	 	OP	24286341
1974158	6688	1998-10-14	VYDAJ	PREVOD NA UCET	1282	44226	 	OP	24286341
1974159	6688	1998-11-14	VYDAJ	PREVOD NA UCET	1282	43911	 	OP	24286341
1974160	6688	1998-12-14	VYDAJ	PREVOD NA UCET	1282	49769	 	OP	24286341
1974172	6688	1996-12-08	VYDAJ	PREVOD NA UCET	570	29202	POJISTNE	AB	44432550
1974173	6688	1997-01-08	VYDAJ	PREVOD NA UCET	570	15408	POJISTNE	AB	44432550
1974174	6688	1997-02-08	VYDAJ	PREVOD NA UCET	570	18990	POJISTNE	AB	44432550
1974175	6688	1997-03-08	VYDAJ	PREVOD NA UCET	570	22082	POJISTNE	AB	44432550
1974176	6688	1997-04-08	VYDAJ	PREVOD NA UCET	570	24378	POJISTNE	AB	44432550
1974177	6688	1997-05-08	VYDAJ	PREVOD NA UCET	570	28992	POJISTNE	AB	44432550
1974178	6688	1997-06-08	VYDAJ	PREVOD NA UCET	570	30325	POJISTNE	AB	44432550
1974179	6688	1997-07-08	VYDAJ	PREVOD NA UCET	570	34253	POJISTNE	AB	44432550
1974180	6688	1997-08-08	VYDAJ	PREVOD NA UCET	570	36809	POJISTNE	AB	44432550
1974181	6688	1997-09-08	VYDAJ	PREVOD NA UCET	570	40672	POJISTNE	AB	44432550
1974182	6688	1997-10-08	VYDAJ	PREVOD NA UCET	570	44353	POJISTNE	AB	44432550
1974183	6688	1997-11-08	VYDAJ	PREVOD NA UCET	570	39637	POJISTNE	AB	44432550
1974184	6688	1997-12-08	VYDAJ	PREVOD NA UCET	570	41510	POJISTNE	AB	44432550
1974185	6688	1998-01-08	VYDAJ	PREVOD NA UCET	570	41766	POJISTNE	AB	44432550
1974186	6688	1998-02-08	VYDAJ	PREVOD NA UCET	570	34638	POJISTNE	AB	44432550
1974187	6688	1998-03-08	VYDAJ	PREVOD NA UCET	570	44504	POJISTNE	AB	44432550
1974188	6688	1998-04-08	VYDAJ	PREVOD NA UCET	570	45193	POJISTNE	AB	44432550
1974189	6688	1998-05-08	VYDAJ	PREVOD NA UCET	570	49592	POJISTNE	AB	44432550
1974190	6688	1998-06-08	VYDAJ	PREVOD NA UCET	570	46895	POJISTNE	AB	44432550
1974191	6688	1998-07-08	VYDAJ	PREVOD NA UCET	570	42453	POJISTNE	AB	44432550
1974192	6688	1998-08-08	VYDAJ	PREVOD NA UCET	570	46439	POJISTNE	AB	44432550
1974193	6688	1998-09-08	VYDAJ	PREVOD NA UCET	570	49844	POJISTNE	AB	44432550
1974194	6688	1998-10-08	VYDAJ	PREVOD NA UCET	570	45144	POJISTNE	AB	44432550
1974195	6688	1998-11-08	VYDAJ	PREVOD NA UCET	570	42929	POJISTNE	AB	44432550
1974196	6688	1998-12-08	VYDAJ	PREVOD NA UCET	570	43510	POJISTNE	AB	44432550
1974207	6688	1996-11-12	VYDAJ	PREVOD NA UCET	638	39126	UVER	EF	9123272
1974208	6688	1996-12-12	VYDAJ	PREVOD NA UCET	638	35943	UVER	EF	9123272
1974209	6688	1997-01-12	VYDAJ	PREVOD NA UCET	638	22925	UVER	EF	9123272
1974210	6688	1997-02-12	VYDAJ	PREVOD NA UCET	638	26507	UVER	EF	9123272
1974211	6688	1997-03-12	VYDAJ	PREVOD NA UCET	638	24146	UVER	EF	9123272
1974212	6688	1997-04-12	VYDAJ	PREVOD NA UCET	638	30142	UVER	EF	9123272
1974213	6688	1997-05-12	VYDAJ	PREVOD NA UCET	638	36509	UVER	EF	9123272
1974214	6688	1997-06-12	VYDAJ	PREVOD NA UCET	638	41919	UVER	EF	9123272
1974215	6688	1997-07-12	VYDAJ	PREVOD NA UCET	638	41770	UVER	EF	9123272
1974216	6688	1997-08-12	VYDAJ	PREVOD NA UCET	638	42573	UVER	EF	9123272
1974217	6688	1997-09-12	VYDAJ	PREVOD NA UCET	638	48189	UVER	EF	9123272
1974218	6688	1997-10-12	VYDAJ	PREVOD NA UCET	638	51870	UVER	EF	9123272
1974219	6688	1997-11-12	VYDAJ	PREVOD NA UCET	638	47154	UVER	EF	9123272
1974220	6688	1997-12-12	VYDAJ	PREVOD NA UCET	638	53104	UVER	EF	9123272
1974221	6688	1998-01-12	VYDAJ	PREVOD NA UCET	638	49283	UVER	EF	9123272
1974222	6688	1998-02-12	VYDAJ	PREVOD NA UCET	638	40402	UVER	EF	9123272
1974223	6688	1998-03-12	VYDAJ	PREVOD NA UCET	638	50268	UVER	EF	9123272
1974224	6688	1998-04-12	VYDAJ	PREVOD NA UCET	638	50957	UVER	EF	9123272
1974225	6688	1998-05-12	VYDAJ	PREVOD NA UCET	638	57109	UVER	EF	9123272
1974226	6688	1998-06-12	VYDAJ	PREVOD NA UCET	638	41336	UVER	EF	9123272
1974227	6688	1998-07-12	VYDAJ	PREVOD NA UCET	638	48217	UVER	EF	9123272
1974228	6688	1998-08-12	VYDAJ	PREVOD NA UCET	638	53956	UVER	EF	9123272
1974229	6688	1998-09-12	VYDAJ	PREVOD NA UCET	638	55608	UVER	EF	9123272
1974230	6688	1998-10-12	VYDAJ	PREVOD NA UCET	638	52661	UVER	EF	9123272
1974231	6688	1998-11-12	VYDAJ	PREVOD NA UCET	638	45193	UVER	EF	9123272
1974232	6688	1998-12-12	VYDAJ	PREVOD NA UCET	638	52804	UVER	EF	9123272
1974234	6688	1997-06-06	VYDAJ	VYBER	3600	30895	\N	\N	\N
1974235	6688	1998-06-10	VYDAJ	VYBER	15400	31495	\N	\N	\N
1974237	6688	1997-01-02	VYDAJ	VYBER	9600	18378	\N	\N	\N
1974238	6688	1998-01-21	VYDAJ	VYBER	1400	40248	\N	\N	\N
1974239	6688	1996-12-07	VYDAJ	VYBER	1800	29772	\N	\N	\N
1974240	6688	1997-12-12	VYDAJ	VYBER	1700	49651	\N	\N	\N
1974241	6688	1998-12-08	VYDAJ	VYBER	1600	41910	\N	\N	\N
1974248	6688	1997-01-07	VYDAJ	VYBER	2400	15978	\N	\N	\N
1974249	6688	1997-01-19	VYDAJ	VYBER	1100	16390	\N	\N	\N
1974250	6688	1997-01-15	VYDAJ	VYBER	2400	17490	\N	\N	\N
1974251	6688	1997-01-21	VYDAJ	VYBER	500	23590	\N	\N	\N
1974252	6688	1997-01-22	VYDAJ	VYBER	2200	21390	\N	\N	\N
1974253	6688	1997-01-23	VYDAJ	VYBER	1900	19490	\N	\N	\N
1974254	6688	1998-01-14	VYDAJ	VYBER	1700	44548	\N	\N	\N
1974255	6688	1998-01-01	VYDAJ	VYBER	800	42336	\N	\N	\N
1974256	6688	1998-01-28	VYDAJ	VYBER	1000	39248	\N	\N	\N
1974257	6688	1998-01-20	VYDAJ	VYBER	1000	41648	\N	\N	\N
1974258	6688	1998-01-29	VYDAJ	VYBER	2900	36348	\N	\N	\N
1974259	6688	1998-01-30	VYDAJ	VYBER	1300	35048	\N	\N	\N
1974263	6688	1996-12-12	VYDAJ	VYBER	3100	36581	\N	\N	\N
1974267	6688	1997-03-06	VYDAJ	VYBER	2300	22652	\N	\N	\N
1974268	6688	1997-09-29	VYDAJ	VYBER	1000	44754	\N	\N	\N
1974269	6688	1997-11-07	VYDAJ	VYBER	2500	40207	\N	\N	\N
1974270	6688	1997-07-04	VYDAJ	VYBER	4500	34823	\N	\N	\N
1974271	6688	1997-03-10	VYDAJ	VYBER	3700	18382	\N	\N	\N
1974272	6688	1998-09-25	VYDAJ	VYBER	2100	45526	\N	\N	\N
1974273	6688	1998-06-15	VYDAJ	VYBER	700	43654	\N	\N	\N
1974274	6688	1998-10-14	VYDAJ	VYBER	4400	45508	\N	\N	\N
1974275	6688	1998-11-07	VYDAJ	VYBER	900	43499	\N	\N	\N
1974276	6688	1998-06-15	VYDAJ	VYBER	800	42854	\N	\N	\N
1974288	6688	1996-11-30	VYDAJ	VYBER	15	31572	SLUZBY	\N	\N
1974289	6688	1996-12-31	VYDAJ	VYBER	15	27978	SLUZBY	\N	\N
1974290	6688	1997-01-31	VYDAJ	VYBER	15	19560	SLUZBY	\N	\N
1974291	6688	1997-02-28	VYDAJ	VYBER	15	24952	SLUZBY	\N	\N
1974292	6688	1997-03-31	VYDAJ	VYBER	15	24948	SLUZBY	\N	\N
1974293	6688	1997-04-30	VYDAJ	VYBER	15	29562	SLUZBY	\N	\N
1974294	6688	1997-05-31	VYDAJ	VYBER	15	34495	SLUZBY	\N	\N
1974295	6688	1997-06-30	VYDAJ	VYBER	15	39323	SLUZBY	\N	\N
1974296	6688	1997-07-31	VYDAJ	VYBER	15	37379	SLUZBY	\N	\N
1974297	6688	1997-08-31	VYDAJ	VYBER	15	41242	SLUZBY	\N	\N
1974298	6688	1997-09-30	VYDAJ	VYBER	15	44923	SLUZBY	\N	\N
1974299	6688	1997-10-31	VYDAJ	VYBER	15	42707	SLUZBY	\N	\N
1974300	6688	1997-11-30	VYDAJ	VYBER	15	42080	SLUZBY	\N	\N
1974301	6688	1997-12-31	VYDAJ	VYBER	15	43136	SLUZBY	\N	\N
1974302	6688	1998-01-31	VYDAJ	VYBER	15	35208	SLUZBY	\N	\N
1974303	6688	1998-02-28	VYDAJ	VYBER	15	45074	SLUZBY	\N	\N
1974304	6688	1998-03-31	VYDAJ	VYBER	15	45763	SLUZBY	\N	\N
1974305	6688	1998-04-30	VYDAJ	VYBER	15	50162	SLUZBY	\N	\N
1974306	6688	1998-05-31	VYDAJ	VYBER	15	47465	SLUZBY	\N	\N
1974307	6688	1998-06-30	VYDAJ	VYBER	15	43023	SLUZBY	\N	\N
1974308	6688	1998-07-31	VYDAJ	VYBER	15	47009	SLUZBY	\N	\N
1974309	6688	1998-08-31	VYDAJ	VYBER	15	50414	SLUZBY	\N	\N
1974310	6688	1998-09-30	VYDAJ	VYBER	15	45714	SLUZBY	\N	\N
1974311	6688	1998-10-31	VYDAJ	VYBER	15	44399	SLUZBY	\N	\N
1974312	6688	1998-11-30	VYDAJ	VYBER	15	44080	SLUZBY	\N	\N
1974313	6688	1996-07-25	PRIJEM	VKLAD	8200	17355	\N	\N	\N
1974314	6688	1996-08-24	PRIJEM	VKLAD	400	25926	\N	\N	\N
1974315	6688	1996-09-23	VYDAJ	VYBER	3600	30563	\N	\N	\N
1974316	6688	1996-10-23	VYDAJ	VYBER	5600	33231	\N	\N	\N
1974317	6688	1996-11-22	VYDAJ	VYBER	6400	31444	\N	\N	\N
1974318	6688	1996-12-22	VYDAJ	VYBER	6800	27861	\N	\N	\N
1974319	6688	1997-01-21	PRIJEM	VKLAD	7700	24090	\N	\N	\N
1974320	6688	1997-02-20	PRIJEM	VKLAD	1400	24872	\N	\N	\N
1974321	6688	1997-03-22	PRIJEM	VKLAD	2000	24864	\N	\N	\N
1974322	6688	1997-04-21	PRIJEM	VKLAD	600	29460	\N	\N	\N
1974323	6688	1997-05-21	PRIJEM	VKLAD	900	34374	\N	\N	\N
1974324	6688	1997-06-20	PRIJEM	VKLAD	300	39184	\N	\N	\N
1974325	6688	1997-07-20	VYDAJ	VYBER	1500	37235	\N	\N	\N
1974326	6688	1997-08-19	VYDAJ	VYBER	200	41091	\N	\N	\N
1974327	6688	1997-09-18	PRIJEM	VKLAD	600	45754	\N	\N	\N
1974328	6688	1997-10-18	VYDAJ	VYBER	6300	42535	\N	\N	\N
1974329	6688	1997-11-17	VYDAJ	VYBER	2200	41919	\N	\N	\N
1974330	6688	1997-12-17	VYDAJ	VYBER	5400	42969	\N	\N	\N
1974331	6688	1998-01-16	VYDAJ	VYBER	1900	42648	\N	\N	\N
1974332	6688	1998-02-15	PRIJEM	VKLAD	5800	44920	\N	\N	\N
1974333	6688	1998-03-17	VYDAJ	VYBER	3400	45586	\N	\N	\N
1974334	6688	1998-04-16	PRIJEM	VKLAD	300	49975	\N	\N	\N
1974335	6688	1998-05-16	VYDAJ	VYBER	6800	47274	\N	\N	\N
1974336	6688	1998-06-15	PRIJEM	VKLAD	4300	44354	\N	\N	\N
1974337	6688	1998-07-15	VYDAJ	VYBER	100	46835	\N	\N	\N
1974338	6688	1998-08-14	VYDAJ	VYBER	700	51503	\N	\N	\N
1974339	6688	1998-09-13	VYDAJ	VYBER	6700	48908	\N	\N	\N
1974340	6688	1998-10-13	VYDAJ	VYBER	1000	49908	\N	\N	\N
1974341	6688	1998-11-12	VYDAJ	VYBER	3500	47584	\N	\N	\N
1974342	6688	1998-12-12	VYDAJ	VYBER	700	53442	\N	\N	\N
1977083	6699	1996-06-08	PRIJEM	VKLAD	400	400	\N	\N	\N
1977090	6699	1996-07-06	PRIJEM	PREVOD Z UCTU	15901	16301	\N	YZ	42545414
1977091	6699	1996-08-06	PRIJEM	PREVOD Z UCTU	15901	37070	\N	YZ	42545414
1977092	6699	1996-09-06	PRIJEM	PREVOD Z UCTU	15901	45788	\N	YZ	42545414
1977093	6699	1996-10-06	PRIJEM	PREVOD Z UCTU	15901	52869	\N	YZ	42545414
1977094	6699	1996-11-06	PRIJEM	PREVOD Z UCTU	15901	43185	\N	YZ	42545414
1977095	6699	1996-12-06	PRIJEM	PREVOD Z UCTU	23852	50481	\N	YZ	42545414
1977096	6699	1997-01-06	PRIJEM	PREVOD Z UCTU	15901	30896	\N	YZ	42545414
1977097	6699	1997-02-06	PRIJEM	PREVOD Z UCTU	15901	28958	\N	YZ	42545414
1977098	6699	1997-03-06	PRIJEM	PREVOD Z UCTU	15901	38134	\N	YZ	42545414
1977099	6699	1997-04-06	PRIJEM	PREVOD Z UCTU	15901	34238	\N	YZ	42545414
1977100	6699	1997-05-06	PRIJEM	PREVOD Z UCTU	15901	32013	\N	YZ	42545414
1977101	6699	1997-06-06	PRIJEM	PREVOD Z UCTU	23852	46452	\N	YZ	42545414
1977102	6699	1997-07-06	PRIJEM	PREVOD Z UCTU	15901	36363	\N	YZ	42545414
1977103	6699	1997-08-06	PRIJEM	PREVOD Z UCTU	15901	40662	\N	YZ	42545414
1977104	6699	1997-09-06	PRIJEM	PREVOD Z UCTU	15901	44582	\N	YZ	42545414
1977105	6699	1997-10-06	PRIJEM	PREVOD Z UCTU	15901	47319	\N	YZ	42545414
1977106	6699	1997-11-06	PRIJEM	PREVOD Z UCTU	15901	52012	\N	YZ	42545414
1977107	6699	1997-12-06	PRIJEM	PREVOD Z UCTU	23852	64181	\N	YZ	42545414
1977108	6699	1998-01-06	PRIJEM	PREVOD Z UCTU	15901	58530	\N	YZ	42545414
1977109	6699	1998-02-06	PRIJEM	PREVOD Z UCTU	15901	50928	\N	YZ	42545414
1977110	6699	1998-03-06	PRIJEM	PREVOD Z UCTU	15901	56941	\N	YZ	42545414
1977111	6699	1998-04-06	PRIJEM	PREVOD Z UCTU	15901	52991	\N	YZ	42545414
1977112	6699	1998-05-06	PRIJEM	PREVOD Z UCTU	15901	47262	\N	YZ	42545414
1977113	6699	1998-06-06	PRIJEM	PREVOD Z UCTU	23852	60491	\N	YZ	42545414
1977114	6699	1998-07-06	PRIJEM	PREVOD Z UCTU	15901	37063	\N	YZ	42545414
1977115	6699	1998-08-06	PRIJEM	PREVOD Z UCTU	15901	54038	\N	YZ	42545414
1977116	6699	1998-09-06	PRIJEM	PREVOD Z UCTU	15901	54348	\N	YZ	42545414
1977117	6699	1998-10-06	PRIJEM	PREVOD Z UCTU	15901	54161	\N	YZ	42545414
1977118	6699	1998-11-06	PRIJEM	PREVOD Z UCTU	15901	64393	\N	YZ	42545414
1977119	6699	1998-12-06	PRIJEM	PREVOD Z UCTU	23852	77515	\N	YZ	42545414
1977130	6699	1996-11-11	VYDAJ	VYBER	2000	41185	\N	\N	0
1977131	6699	1996-12-13	VYDAJ	VYBER	3000	35977	\N	\N	0
1977132	6699	1997-01-01	VYDAJ	VYBER	2700	21398	\N	\N	0
1977133	6699	1997-02-04	VYDAJ	VYBER	2700	20360	\N	\N	0
1977134	6699	1997-03-28	VYDAJ	VYBER	2300	24030	\N	\N	0
1977135	6699	1997-04-14	VYDAJ	VYBER	3600	22734	\N	\N	0
1977136	6699	1997-05-03	VYDAJ	VYBER	1600	16715	\N	\N	0
1977137	6699	1997-06-05	VYDAJ	VYBER	2800	29903	\N	\N	0
1977138	6699	1997-07-09	VYDAJ	VYBER	1900	34463	\N	\N	0
1977139	6699	1997-08-18	VYDAJ	VYBER	1800	33358	\N	\N	0
1977140	6699	1997-09-03	VYDAJ	VYBER	1600	35984	\N	\N	0
1977141	6699	1997-10-12	VYDAJ	PREVOD NA UCET	2650	39165	UVER	AB	40932357
1977142	6699	1997-11-12	VYDAJ	PREVOD NA UCET	2650	43858	UVER	AB	40932357
1977143	6699	1997-12-12	VYDAJ	PREVOD NA UCET	2650	52727	UVER	AB	40932357
1977144	6699	1998-01-12	VYDAJ	PREVOD NA UCET	2650	44976	UVER	AB	40932357
1977145	6699	1998-02-12	VYDAJ	PREVOD NA UCET	2650	42773	UVER	AB	40932357
1977146	6699	1998-03-12	VYDAJ	PREVOD NA UCET	2650	48787	UVER	AB	40932357
1977147	6699	1998-04-12	VYDAJ	PREVOD NA UCET	2650	21059	UVER	AB	40932357
1977148	6699	1998-05-12	VYDAJ	PREVOD NA UCET	2650	39108	UVER	AB	40932357
1977149	6699	1998-06-12	VYDAJ	PREVOD NA UCET	2650	52337	UVER	AB	40932357
1977150	6699	1998-07-12	VYDAJ	PREVOD NA UCET	2650	28909	UVER	AB	40932357
1977151	6699	1998-08-12	VYDAJ	PREVOD NA UCET	2650	40184	UVER	AB	40932357
1977152	6699	1998-09-12	VYDAJ	PREVOD NA UCET	2650	46194	UVER	AB	40932357
1977153	6699	1998-10-12	VYDAJ	PREVOD NA UCET	2650	46007	UVER	AB	40932357
1977154	6699	1998-11-12	VYDAJ	PREVOD NA UCET	2650	56239	UVER	AB	40932357
1977155	6699	1998-12-12	VYDAJ	PREVOD NA UCET	2650	69361	UVER	AB	40932357
1977167	6699	1996-12-05	VYDAJ	PREVOD NA UCET	7303	26629	SIPO	UV	79769712
1977168	6699	1997-01-05	VYDAJ	PREVOD NA UCET	7303	14995	SIPO	UV	79769712
1977169	6699	1997-02-05	VYDAJ	PREVOD NA UCET	7303	13057	SIPO	UV	79769712
1977170	6699	1997-03-05	VYDAJ	PREVOD NA UCET	7303	22233	SIPO	UV	79769712
1977171	6699	1997-04-05	VYDAJ	PREVOD NA UCET	7303	18337	SIPO	UV	79769712
1977172	6699	1997-05-05	VYDAJ	PREVOD NA UCET	7303	16112	SIPO	UV	79769712
1977173	6699	1997-06-05	VYDAJ	PREVOD NA UCET	7303	22600	SIPO	UV	79769712
1977174	6699	1997-07-05	VYDAJ	PREVOD NA UCET	7303	20462	SIPO	UV	79769712
1977175	6699	1997-08-05	VYDAJ	PREVOD NA UCET	7303	24761	SIPO	UV	79769712
1977176	6699	1997-09-05	VYDAJ	PREVOD NA UCET	7303	28681	SIPO	UV	79769712
1977177	6699	1997-10-05	VYDAJ	PREVOD NA UCET	7303	31418	SIPO	UV	79769712
1977178	6699	1997-11-05	VYDAJ	PREVOD NA UCET	7303	36111	SIPO	UV	79769712
1977179	6699	1997-12-05	VYDAJ	PREVOD NA UCET	7303	40329	SIPO	UV	79769712
1977180	6699	1998-01-05	VYDAJ	PREVOD NA UCET	7303	42629	SIPO	UV	79769712
1977181	6699	1998-02-05	VYDAJ	PREVOD NA UCET	7303	35027	SIPO	UV	79769712
1977182	6699	1998-03-05	VYDAJ	PREVOD NA UCET	7303	41040	SIPO	UV	79769712
1977183	6699	1998-04-05	VYDAJ	PREVOD NA UCET	7303	37090	SIPO	UV	79769712
1977184	6699	1998-05-05	VYDAJ	PREVOD NA UCET	7303	31361	SIPO	UV	79769712
1977185	6699	1998-06-05	VYDAJ	PREVOD NA UCET	7303	36639	SIPO	UV	79769712
1977186	6699	1998-07-05	VYDAJ	PREVOD NA UCET	7303	21162	SIPO	UV	79769712
1977187	6699	1998-08-05	VYDAJ	PREVOD NA UCET	7303	38137	SIPO	UV	79769712
1977188	6699	1998-09-05	VYDAJ	PREVOD NA UCET	7303	38447	SIPO	UV	79769712
1977189	6699	1998-10-05	VYDAJ	PREVOD NA UCET	7303	38260	SIPO	UV	79769712
1977190	6699	1998-11-05	VYDAJ	PREVOD NA UCET	7303	48492	SIPO	UV	79769712
1977191	6699	1998-12-05	VYDAJ	PREVOD NA UCET	7303	53663	SIPO	UV	79769712
1977202	6699	1996-11-11	VYDAJ	PREVOD NA UCET	5504	35681	 	EF	81050043
1977203	6699	1996-12-11	VYDAJ	PREVOD NA UCET	5504	38977	 	EF	81050043
1977204	6699	1997-01-11	VYDAJ	PREVOD NA UCET	5504	17292	 	EF	81050043
1977205	6699	1997-02-11	VYDAJ	PREVOD NA UCET	5504	23454	 	EF	81050043
1977206	6699	1997-03-11	VYDAJ	PREVOD NA UCET	5504	32630	 	EF	81050043
1977207	6699	1997-04-11	VYDAJ	PREVOD NA UCET	5504	26334	 	EF	81050043
1977208	6699	1997-05-11	VYDAJ	PREVOD NA UCET	5504	26509	 	EF	81050043
1977209	6699	1997-06-11	VYDAJ	PREVOD NA UCET	5504	40948	 	EF	81050043
1977210	6699	1997-07-11	VYDAJ	PREVOD NA UCET	5504	28959	 	EF	81050043
1977211	6699	1997-08-11	VYDAJ	PREVOD NA UCET	5504	35158	 	EF	81050043
1977212	6699	1997-09-11	VYDAJ	PREVOD NA UCET	5504	39078	 	EF	81050043
1977213	6699	1997-10-11	VYDAJ	PREVOD NA UCET	5504	41815	 	EF	81050043
1977214	6699	1997-11-11	VYDAJ	PREVOD NA UCET	5504	46508	 	EF	81050043
1977215	6699	1997-12-11	VYDAJ	PREVOD NA UCET	5504	55377	 	EF	81050043
1977216	6699	1998-01-11	VYDAJ	PREVOD NA UCET	5504	47626	 	EF	81050043
1977217	6699	1998-02-11	VYDAJ	PREVOD NA UCET	5504	45424	 	EF	81050043
1977218	6699	1998-03-11	VYDAJ	PREVOD NA UCET	5504	51437	 	EF	81050043
1977219	6699	1998-04-11	VYDAJ	PREVOD NA UCET	5504	23709	 	EF	81050043
1977220	6699	1998-05-11	VYDAJ	PREVOD NA UCET	5504	41758	 	EF	81050043
1977221	6699	1998-06-11	VYDAJ	PREVOD NA UCET	5504	54987	 	EF	81050043
1977222	6699	1998-07-11	VYDAJ	PREVOD NA UCET	5504	31559	 	EF	81050043
1977223	6699	1998-08-11	VYDAJ	PREVOD NA UCET	5504	42834	 	EF	81050043
1977224	6699	1998-09-11	VYDAJ	PREVOD NA UCET	5504	48844	 	EF	81050043
1977225	6699	1998-10-11	VYDAJ	PREVOD NA UCET	5504	48657	 	EF	81050043
1977226	6699	1998-11-11	VYDAJ	PREVOD NA UCET	5504	58889	 	EF	81050043
1977227	6699	1998-12-11	VYDAJ	PREVOD NA UCET	5504	72011	 	EF	81050043
1977231	6699	1998-12-25	VYBER	VYBER	9997	55164	\N	\N	\N
1977232	6699	1998-06-21	VYBER	VYBER	8394	43943	\N	\N	\N
1977233	6699	1998-03-27	VYBER	VYBER	15979	32808	\N	\N	\N
1977234	6699	1998-12-30	VYBER	VYBER	17897	37267	\N	\N	\N
1977235	6699	1998-07-04	VYBER	VYBER	24572	28465	\N	\N	\N
1977236	6699	1998-04-08	VYBER	VYBER	23778	29213	\N	\N	\N
1977239	6699	1997-06-17	VYDAJ	VYBER	9600	31348	\N	\N	\N
1977244	6699	1996-12-07	VYDAJ	VYBER	6000	44481	\N	\N	\N
1977245	6699	1997-12-09	VYDAJ	VYBER	3300	60881	\N	\N	\N
1977246	6699	1998-12-20	VYDAJ	VYBER	7200	54661	\N	\N	\N
1977254	6699	1997-01-10	VYDAJ	VYBER	8100	22796	\N	\N	\N
1977259	6699	1998-01-15	VYDAJ	VYBER	6300	38676	\N	\N	\N
1977260	6699	1998-01-08	VYDAJ	VYBER	5400	53130	\N	\N	\N
1977261	6699	1998-01-21	VYDAJ	VYBER	3600	26676	\N	\N	\N
1977262	6699	1998-01-28	VYDAJ	VYBER	1800	24876	\N	\N	\N
1977263	6699	1998-01-19	VYDAJ	VYBER	3000	30276	\N	\N	\N
1977264	6699	1998-01-18	VYDAJ	VYBER	5400	33276	\N	\N	\N
1977265	6699	1996-12-19	VYDAJ	VYBER	12000	23977	\N	\N	\N
1977267	6699	1997-12-29	VYDAJ	VYBER	9600	43127	\N	\N	\N
1977269	6699	1997-06-21	VYDAJ	VYBER	9600	21748	\N	\N	\N
1977270	6699	1997-09-25	VYDAJ	VYBER	6300	32778	\N	\N	\N
1977271	6699	1997-04-06	VYDAJ	VYBER	2400	31838	\N	\N	\N
1977272	6699	1997-04-21	VYDAJ	VYBER	4500	18234	\N	\N	\N
1977273	6699	1997-03-22	VYDAJ	VYBER	6300	26330	\N	\N	\N
1977274	6699	1998-08-09	VYDAJ	VYBER	5700	48338	\N	\N	\N
1977275	6699	1998-12-19	VYDAJ	VYBER	7500	61861	\N	\N	\N
1977276	6699	1998-09-20	VYDAJ	VYBER	14700	31494	\N	\N	\N
1977277	6699	1998-05-16	VYDAJ	VYBER	11700	27408	\N	\N	\N
1977289	6699	1996-11-30	VYDAJ	VYBER	15	35832	SLUZBY	\N	\N
1977290	6699	1996-12-31	VYDAJ	VYBER	15	24098	SLUZBY	\N	\N
1977291	6699	1997-01-31	VYDAJ	VYBER	15	17360	SLUZBY	\N	\N
1977292	6699	1997-02-28	VYDAJ	VYBER	15	23536	SLUZBY	\N	\N
1977293	6699	1997-03-31	VYDAJ	VYBER	15	24140	SLUZBY	\N	\N
1977294	6699	1997-04-30	VYDAJ	VYBER	15	18315	SLUZBY	\N	\N
1977295	6699	1997-05-31	VYDAJ	VYBER	15	26603	SLUZBY	\N	\N
1977296	6699	1997-06-30	VYDAJ	VYBER	15	21865	SLUZBY	\N	\N
1977297	6699	1997-07-31	VYDAJ	VYBER	15	29064	SLUZBY	\N	\N
1977298	6699	1997-08-31	VYDAJ	VYBER	15	33484	SLUZBY	\N	\N
1977299	6699	1997-09-30	VYDAJ	VYBER	15	32921	SLUZBY	\N	\N
1977300	6699	1997-10-31	VYDAJ	VYBER	15	43414	SLUZBY	\N	\N
1977301	6699	1997-11-30	VYDAJ	VYBER	15	47632	SLUZBY	\N	\N
1977302	6699	1997-12-31	VYDAJ	VYBER	15	49932	SLUZBY	\N	\N
1977303	6699	1998-01-31	VYDAJ	VYBER	15	42330	SLUZBY	\N	\N
1977304	6699	1998-02-28	VYDAJ	VYBER	15	48343	SLUZBY	\N	\N
1977305	6699	1998-03-31	VYDAJ	VYBER	15	44393	SLUZBY	\N	\N
1977306	6699	1998-04-30	VYDAJ	VYBER	15	38664	SLUZBY	\N	\N
1977307	6699	1998-05-31	VYDAJ	VYBER	15	43942	SLUZBY	\N	\N
1977308	6699	1998-06-30	VYDAJ	VYBER	15	53037	SLUZBY	\N	\N
1977309	6699	1998-07-31	VYDAJ	VYBER	15	45440	SLUZBY	\N	\N
1977310	6699	1998-08-31	VYDAJ	VYBER	15	45750	SLUZBY	\N	\N
1977311	6699	1998-09-30	VYDAJ	VYBER	15	45563	SLUZBY	\N	\N
1977312	6699	1998-10-31	VYDAJ	VYBER	15	55795	SLUZBY	\N	\N
1977313	6699	1998-11-30	VYDAJ	VYBER	15	60966	SLUZBY	\N	\N
1977314	6699	1996-07-08	PRIJEM	VKLAD	4800	21101	\N	\N	\N
1977315	6699	1996-08-07	VYDAJ	VYBER	7300	29770	\N	\N	\N
1977316	6699	1996-09-06	VYDAJ	VYBER	9000	36788	\N	\N	\N
1977317	6699	1996-10-06	VYDAJ	VYBER	15900	36969	\N	\N	\N
1977318	6699	1996-11-05	VYDAJ	VYBER	9900	27284	\N	\N	\N
1977319	6699	1996-12-05	VYDAJ	VYBER	1900	33932	\N	\N	\N
1977320	6699	1997-01-04	PRIJEM	VKLAD	900	22298	\N	\N	\N
1977321	6699	1997-02-03	PRIJEM	VKLAD	5700	23060	\N	\N	\N
1977322	6699	1997-03-05	PRIJEM	VKLAD	6000	29536	\N	\N	\N
1977323	6699	1997-04-04	PRIJEM	VKLAD	1500	25640	\N	\N	\N
1977324	6699	1997-05-04	PRIJEM	VKLAD	6700	23415	\N	\N	\N
1977325	6699	1997-06-03	PRIJEM	VKLAD	6100	32703	\N	\N	\N
1977326	6699	1997-07-03	PRIJEM	VKLAD	5900	27765	\N	\N	\N
1977327	6699	1997-08-02	PRIJEM	VKLAD	3000	32064	\N	\N	\N
1977328	6699	1997-09-01	PRIJEM	VKLAD	4100	37584	\N	\N	\N
1977329	6699	1997-10-01	PRIJEM	VKLAD	5800	38721	\N	\N	\N
1977330	6699	1997-10-31	PRIJEM	VKLAD	4100	43429	\N	\N	\N
1977331	6699	1997-11-30	PRIJEM	VKLAD	3600	47458	\N	\N	\N
1977332	6699	1997-12-30	PRIJEM	VKLAD	6600	49727	\N	\N	\N
1977333	6699	1998-01-29	PRIJEM	VKLAD	17300	42176	\N	\N	\N
1977334	6699	1998-02-28	PRIJEM	VKLAD	5400	48173	\N	\N	\N
1977335	6699	1998-03-30	PRIJEM	VKLAD	11400	44208	\N	\N	\N
1977336	6699	1998-04-29	PRIJEM	VKLAD	17500	38559	\N	\N	\N
1977337	6699	1998-05-29	PRIJEM	VKLAD	16400	43808	\N	\N	\N
1977338	6699	1998-06-28	PRIJEM	VKLAD	8900	52843	\N	\N	\N
1977339	6699	1998-07-28	PRIJEM	VKLAD	16400	45309	\N	\N	\N
1977340	6699	1998-08-27	PRIJEM	VKLAD	5400	45584	\N	\N	\N
1977341	6699	1998-09-26	PRIJEM	VKLAD	13900	45394	\N	\N	\N
1977342	6699	1998-10-26	PRIJEM	VKLAD	9600	55607	\N	\N	\N
1977343	6699	1998-11-25	PRIJEM	VKLAD	4500	60739	\N	\N	\N
1977344	6699	1998-12-25	PRIJEM	VKLAD	10500	65161	\N	\N	\N
1977570	6701	1993-03-15	PRIJEM	VKLAD	200	200	\N	\N	\N
1977571	6701	1993-05-14	PRIJEM	VKLAD	35760	92355	\N	\N	\N
1977572	6701	1993-10-03	PRIJEM	VKLAD	34070	86088	\N	\N	\N
1977575	6701	1993-03-26	PRIJEM	VKLAD	29082	29282	\N	\N	\N
1977576	6701	1993-08-12	PRIJEM	VKLAD	17957	34393	\N	\N	\N
1977577	6701	1993-05-30	PRIJEM	VKLAD	20984	80739	\N	\N	\N
1977578	6701	1993-06-12	PRIJEM	VKLAD	9082	90070	\N	\N	\N
1977580	6701	1993-08-29	PRIJEM	VKLAD	29255	68745	\N	\N	\N
1977581	6701	1993-09-17	PRIJEM	VKLAD	19355	64683	\N	\N	\N
1977583	6701	1993-04-23	PRIJEM	VKLAD	28137	56443	\N	\N	\N
1977584	6701	1993-07-10	PRIJEM	VKLAD	6024	10117	\N	\N	\N
1977585	6701	1993-08-27	PRIJEM	VKLAD	17743	39490	\N	\N	\N
1977587	6701	1994-10-02	PRIJEM	VKLAD	48799	138460	\N	\N	\N
1977588	6701	1994-05-17	PRIJEM	VKLAD	34808	36263	\N	\N	\N
1977589	6701	1994-10-01	PRIJEM	VKLAD	20959	89661	\N	\N	\N
1977590	6701	1994-08-19	PRIJEM	VKLAD	27467	87982	\N	\N	\N
1977591	6701	1994-08-20	PRIJEM	VKLAD	28834	116816	\N	\N	\N
1977592	6701	1994-09-26	PRIJEM	VKLAD	43785	68503	\N	\N	\N
1977593	6701	1994-10-27	PRIJEM	VKLAD	44675	95885	\N	\N	\N
1977594	6701	1994-07-12	PRIJEM	VKLAD	42149	59230	\N	\N	\N
1977595	6701	1994-12-18	PRIJEM	VKLAD	37086	98631	\N	\N	\N
1977596	6701	1994-01-12	PRIJEM	VKLAD	38117	44602	\N	\N	\N
1977597	6701	1994-06-01	PRIJEM	VKLAD	39226	75562	\N	\N	\N
1977598	6701	1994-07-14	PRIJEM	VKLAD	43249	99829	\N	\N	\N
1977599	6701	1994-12-04	PRIJEM	VKLAD	48264	88110	\N	\N	\N
1977600	6701	1994-12-04	PRIJEM	VKLAD	15186	103296	\N	\N	\N
1977601	6701	1995-11-12	PRIJEM	VKLAD	32078	49205	\N	\N	\N
1977602	6701	1995-11-30	PRIJEM	VKLAD	17049	63757	\N	\N	\N
1977603	6701	1995-02-07	PRIJEM	VKLAD	9467	31484	\N	\N	\N
1977604	6701	1995-12-07	PRIJEM	VKLAD	32772	81907	\N	\N	\N
1977605	6701	1995-03-31	PRIJEM	VKLAD	8963	65554	\N	\N	\N
1977606	6701	1995-12-02	PRIJEM	VKLAD	10157	60384	\N	\N	\N
1977607	6701	1995-06-19	PRIJEM	VKLAD	47676	62401	\N	\N	\N
1977608	6701	1995-01-17	PRIJEM	VKLAD	18805	67511	\N	\N	\N
1977609	6701	1995-12-08	PRIJEM	VKLAD	37639	119546	\N	\N	\N
1977610	6701	1995-07-10	PRIJEM	VKLAD	37658	81949	\N	\N	\N
1977611	6701	1995-03-28	PRIJEM	VKLAD	19956	56385	\N	\N	\N
1977612	6701	1995-02-18	PRIJEM	VKLAD	37265	63145	\N	\N	\N
1977613	6701	1995-12-20	PRIJEM	VKLAD	5188	83884	\N	\N	\N
1977614	6701	1995-12-21	PRIJEM	VKLAD	28295	112179	\N	\N	\N
1977615	6701	1996-08-01	PRIJEM	VKLAD	35350	99342	\N	\N	\N
1977616	6701	1996-07-21	PRIJEM	VKLAD	27029	94865	\N	\N	\N
1977617	6701	1996-03-03	PRIJEM	VKLAD	47775	139856	\N	\N	\N
1977618	6701	1996-02-02	PRIJEM	VKLAD	37715	123792	\N	\N	\N
1977619	6701	1996-02-29	PRIJEM	VKLAD	43687	92111	\N	\N	\N
1977620	6701	1996-08-26	PRIJEM	VKLAD	43573	147455	\N	\N	\N
1977621	6701	1996-02-20	PRIJEM	VKLAD	30252	146798	\N	\N	\N
1977622	6701	1996-08-18	PRIJEM	VKLAD	47221	156165	\N	\N	\N
1977623	6701	1996-09-18	PRIJEM	VKLAD	14153	141717	\N	\N	\N
1977624	6701	1996-09-15	PRIJEM	VKLAD	46926	143464	\N	\N	\N
1977625	6701	1996-02-16	PRIJEM	VKLAD	7916	107449	\N	\N	\N
1977626	6701	1996-01-18	PRIJEM	VKLAD	48558	148124	\N	\N	\N
1977627	6701	1996-01-13	PRIJEM	VKLAD	47491	99110	\N	\N	\N
1977628	6701	1996-10-08	PRIJEM	VKLAD	43790	96285	\N	\N	\N
1977629	6701	1996-08-14	PRIJEM	VKLAD	41080	137772	\N	\N	\N
1977630	6701	1996-08-24	PRIJEM	VKLAD	44558	152182	\N	\N	\N
1977631	6701	1996-11-29	PRIJEM	VKLAD	34212	106918	\N	\N	\N
1977632	6701	1996-01-16	PRIJEM	VKLAD	38756	122866	\N	\N	\N
1977633	6701	1996-05-11	PRIJEM	VKLAD	36075	84976	\N	\N	\N
1977634	6701	1996-02-18	PRIJEM	VKLAD	47197	154646	\N	\N	\N
1977635	6701	1996-08-31	PRIJEM	VKLAD	37092	107247	\N	\N	\N
1977636	6701	1996-05-07	PRIJEM	VKLAD	11809	48901	\N	\N	\N
1977637	6701	1996-11-09	PRIJEM	VKLAD	37748	111596	\N	\N	\N
1977638	6701	1996-02-04	PRIJEM	VKLAD	10091	102183	\N	\N	\N
1977639	6701	1996-08-16	PRIJEM	VKLAD	43672	158344	\N	\N	\N
1977640	6701	1996-09-02	PRIJEM	VKLAD	30820	138388	\N	\N	\N
1977641	6701	1996-11-21	PRIJEM	VKLAD	26960	135906	\N	\N	\N
1977642	6701	1996-07-07	PRIJEM	VKLAD	30997	70486	\N	\N	\N
1977643	6701	1996-08-21	PRIJEM	VKLAD	33759	135724	\N	\N	\N
1977644	6701	1997-08-16	PRIJEM	VKLAD	33179	102427	\N	\N	\N
1977645	6701	1997-03-17	PRIJEM	VKLAD	49943	115171	\N	\N	\N
1977646	6701	1997-12-06	PRIJEM	VKLAD	17364	95013	\N	\N	\N
1977647	6701	1997-04-13	PRIJEM	VKLAD	30503	142947	\N	\N	\N
1977648	6701	1997-05-14	PRIJEM	VKLAD	48436	151407	\N	\N	\N
1977649	6701	1997-01-29	PRIJEM	VKLAD	49491	136891	\N	\N	\N
1977650	6701	1997-06-11	PRIJEM	VKLAD	33377	114625	\N	\N	\N
1977651	6701	1997-11-06	PRIJEM	VKLAD	40367	142412	\N	\N	\N
1977652	6701	1997-01-10	PRIJEM	VKLAD	8938	101476	\N	\N	\N
1977653	6701	1997-12-22	PRIJEM	VKLAD	24524	103637	\N	\N	\N
1977654	6701	1997-03-19	PRIJEM	VKLAD	38284	153455	\N	\N	\N
1977655	6701	1997-01-01	PRIJEM	VKLAD	36054	110138	\N	\N	\N
1977656	6701	1997-06-27	PRIJEM	VKLAD	28877	122902	\N	\N	\N
1977657	6701	1997-11-18	PRIJEM	VKLAD	12768	128180	\N	\N	\N
1977658	6701	1997-02-07	PRIJEM	VKLAD	11627	116392	\N	\N	\N
1977659	6701	1997-07-07	PRIJEM	VKLAD	13455	79807	\N	\N	\N
1977660	6701	1997-09-19	PRIJEM	VKLAD	26273	113155	\N	\N	\N
1977661	6701	1997-06-28	PRIJEM	VKLAD	41404	144506	\N	\N	\N
1977662	6701	1997-04-21	PRIJEM	VKLAD	18029	110976	\N	\N	\N
1977663	6701	1997-02-11	PRIJEM	VKLAD	14164	67756	\N	\N	\N
1977664	6701	1997-04-06	PRIJEM	VKLAD	15474	112444	\N	\N	\N
1977665	6701	1997-09-06	PRIJEM	VKLAD	14565	86882	\N	\N	\N
1977666	6701	1997-11-01	PRIJEM	VKLAD	49689	127745	\N	\N	\N
1977667	6701	1997-12-24	PRIJEM	VKLAD	12979	116616	\N	\N	\N
1977668	6701	1997-09-26	PRIJEM	VKLAD	39655	134410	\N	\N	\N
1977669	6701	1997-01-22	PRIJEM	VKLAD	5838	111200	\N	\N	\N
1977670	6701	1997-01-18	PRIJEM	VKLAD	48886	122162	\N	\N	\N
1977671	6701	1997-04-01	PRIJEM	VKLAD	30400	109870	\N	\N	\N
1977672	6701	1997-05-07	PRIJEM	VKLAD	13322	104871	\N	\N	\N
1977673	6701	1998-05-06	PRIJEM	VKLAD	23813	112157	\N	\N	\N
1977674	6701	1998-05-03	PRIJEM	VKLAD	10241	88344	\N	\N	\N
1977675	6701	1998-03-21	PRIJEM	VKLAD	27581	93735	\N	\N	\N
1977681	6701	1993-06-17	VYDAJ	VYBER	2000	21270	\N	\N	0
1977682	6701	1993-07-16	VYDAJ	VYBER	2200	16417	\N	\N	0
1977683	6701	1993-08-17	VYDAJ	VYBER	2700	21747	\N	\N	0
1977684	6701	1993-09-15	VYDAJ	VYBER	2700	45328	\N	\N	0
1977685	6701	1993-10-15	VYDAJ	VYBER	1500	53188	\N	\N	0
1977686	6701	1993-11-03	VYDAJ	VYBER	3100	37962	\N	\N	0
1977687	6701	1993-12-12	VYDAJ	PREVOD NA UCET	2650	25917	UVER	CD	54543888
1977688	6701	1994-01-12	VYDAJ	PREVOD NA UCET	2650	41951	UVER	CD	54543888
1977689	6701	1994-02-12	VYDAJ	PREVOD NA UCET	2650	17297	UVER	CD	54543888
1977690	6701	1994-03-12	VYDAJ	PREVOD NA UCET	2650	9708	UVER	CD	54543888
1977691	6701	1994-04-12	VYDAJ	PREVOD NA UCET	2650	17656	UVER	CD	54543888
1977692	6701	1994-05-12	VYDAJ	PREVOD NA UCET	2650	10455	UVER	CD	54543888
1977693	6701	1994-06-12	VYDAJ	PREVOD NA UCET	2650	27212	UVER	CD	54543888
1977694	6701	1994-07-12	VYDAJ	PREVOD NA UCET	2650	56580	UVER	CD	54543888
1977695	6701	1994-08-12	VYDAJ	PREVOD NA UCET	2650	60515	UVER	CD	54543888
1977696	6701	1994-09-12	VYDAJ	PREVOD NA UCET	2650	47736	UVER	CD	54543888
1977697	6701	1994-10-12	VYDAJ	PREVOD NA UCET	2650	51210	UVER	CD	54543888
1977698	6701	1994-11-12	VYDAJ	PREVOD NA UCET	2650	59300	UVER	CD	54543888
1977699	6701	1994-12-12	VYDAJ	PREVOD NA UCET	2650	61545	UVER	CD	54543888
1977700	6701	1995-01-12	VYDAJ	PREVOD NA UCET	2650	48706	UVER	CD	54543888
1977701	6701	1995-02-12	VYDAJ	PREVOD NA UCET	2650	25880	UVER	CD	54543888
1977702	6701	1995-03-12	VYDAJ	PREVOD NA UCET	2650	43329	UVER	CD	54543888
1977703	6701	1995-04-12	VYDAJ	PREVOD NA UCET	2650	44174	UVER	CD	54543888
1977704	6701	1995-05-12	VYDAJ	PREVOD NA UCET	2650	13295	UVER	CD	54543888
1977705	6701	1995-06-12	VYDAJ	PREVOD NA UCET	2650	14725	UVER	CD	54543888
1977706	6701	1995-07-12	VYDAJ	PREVOD NA UCET	2650	79299	UVER	CD	54543888
1977707	6701	1995-08-12	VYDAJ	PREVOD NA UCET	2650	37673	UVER	CD	54543888
1977708	6701	1995-09-12	VYDAJ	PREVOD NA UCET	2650	31978	UVER	CD	54543888
1977709	6701	1995-10-12	VYDAJ	PREVOD NA UCET	2650	31938	UVER	CD	54543888
1977710	6701	1995-11-12	VYDAJ	PREVOD NA UCET	2650	46555	UVER	CD	54543888
1977711	6701	1995-12-12	VYDAJ	PREVOD NA UCET	2650	81696	UVER	CD	54543888
1977712	6701	1996-01-12	VYDAJ	PREVOD NA UCET	2650	51619	UVER	CD	54543888
1977713	6701	1996-02-12	VYDAJ	PREVOD NA UCET	2650	99533	UVER	CD	54543888
1977714	6701	1996-03-12	VYDAJ	PREVOD NA UCET	2650	75106	UVER	CD	54543888
1977715	6701	1996-04-12	VYDAJ	PREVOD NA UCET	2650	54011	UVER	CD	54543888
1977716	6701	1996-05-12	VYDAJ	PREVOD NA UCET	2650	82326	UVER	CD	54543888
1977717	6701	1996-06-12	VYDAJ	PREVOD NA UCET	2650	59814	UVER	CD	54543888
1977718	6701	1996-07-12	VYDAJ	PREVOD NA UCET	2650	67836	UVER	CD	54543888
1977719	6701	1996-08-12	VYDAJ	PREVOD NA UCET	2650	96692	UVER	CD	54543888
1977720	6701	1996-09-12	VYDAJ	PREVOD NA UCET	2650	96538	UVER	CD	54543888
1977721	6701	1996-10-12	VYDAJ	PREVOD NA UCET	2650	93634	UVER	CD	54543888
1977722	6701	1996-11-12	VYDAJ	PREVOD NA UCET	2650	108946	UVER	CD	54543888
1977723	6701	1996-12-29	VYDAJ	VYBER	3100	73722	\N	\N	0
1977724	6701	1997-01-06	VYDAJ	VYBER	2600	92538	\N	\N	0
1977725	6701	1997-02-06	VYDAJ	VYBER	2200	104765	\N	\N	0
1977726	6701	1997-03-29	VYDAJ	VYBER	3100	81155	\N	\N	0
1977727	6701	1997-03-31	VYDAJ	VYBER	2000	79500	\N	\N	0
1977728	6701	1997-05-13	VYDAJ	VYBER	1900	102971	\N	\N	0
1977729	6701	1997-06-16	VYDAJ	VYBER	2000	112625	\N	\N	0
1977730	6701	1997-07-13	VYDAJ	VYBER	2400	63607	\N	\N	0
1977731	6701	1997-08-17	VYDAJ	VYBER	1700	100727	\N	\N	0
1977732	6701	1997-08-31	VYDAJ	VYBER	2000	72347	\N	\N	0
1977733	6701	1997-10-03	VYDAJ	VYBER	2400	87337	\N	\N	0
1977734	6701	1997-11-13	VYDAJ	VYBER	2800	115412	\N	\N	0
1977735	6701	1997-12-16	VYDAJ	VYBER	2700	85113	\N	\N	0
1977736	6701	1998-01-06	VYDAJ	VYBER	3400	113562	\N	\N	0
1977737	6701	1998-02-25	VYDAJ	VYBER	2700	64002	\N	\N	0
1977738	6701	1998-02-20	VYDAJ	VYBER	2600	66702	\N	\N	0
1977739	6701	1998-04-20	VYDAJ	VYBER	2300	77803	\N	\N	0
1977740	6701	1998-05-18	VYDAJ	VYBER	1900	86207	\N	\N	0
1977741	6701	1998-06-10	VYDAJ	VYBER	2200	79867	\N	\N	0
1977742	6701	1998-07-29	VYDAJ	VYBER	3300	72639	\N	\N	0
1977743	6701	1998-08-13	VYDAJ	VYBER	3700	66679	\N	\N	0
1977744	6701	1998-09-15	VYDAJ	VYBER	3000	77039	\N	\N	0
1977746	6701	1998-11-07	VYDAJ	VYBER	2200	42550	\N	\N	0
1977747	6701	1998-12-05	VYDAJ	VYBER	1800	47795	\N	\N	0
1977748	6701	1993-08-16	VYBER	VYBER	8446	24447	\N	\N	\N
1977749	6701	1993-06-30	VYBER	VYBER	17352	4123	\N	\N	\N
1977750	6701	1994-02-22	VYBER	VYBER	9004	1528	\N	\N	\N
1977751	6701	1994-11-22	VYBER	VYBER	19702	39598	\N	\N	\N
1977752	6701	1994-02-22	VYBER	VYBER	6765	10532	\N	\N	\N
1977754	6701	1994-05-07	VYBER	VYBER	14481	3205	\N	\N	\N
1977755	6701	1994-09-16	VYBER	VYBER	23018	24718	\N	\N	\N
1977756	6701	1994-06-17	VYBER	VYBER	13807	13405	\N	\N	\N
1977757	6701	1994-12-20	VYBER	VYBER	19035	79596	\N	\N	\N
1977758	6701	1995-05-08	VYBER	VYBER	21614	15945	\N	\N	\N
1977759	6701	1995-02-08	VYBER	VYBER	2954	28530	\N	\N	\N
1977760	6701	1995-01-19	VYBER	VYBER	12099	55412	\N	\N	\N
1977762	6701	1995-01-27	VYBER	VYBER	21106	34306	\N	\N	\N
1977763	6701	1995-12-06	VYBER	VYBER	11249	49135	\N	\N	\N
1977765	6701	1995-08-06	VYBER	VYBER	17546	40323	\N	\N	\N
1977766	6701	1995-11-03	VYBER	VYBER	14128	19411	\N	\N	\N
1977767	6701	1995-11-03	VYBER	VYBER	2284	17127	\N	\N	\N
1977768	6701	1995-05-15	VYBER	VYBER	8455	4840	\N	\N	\N
1977769	6701	1996-10-07	VYBER	VYBER	13729	52495	\N	\N	\N
1977770	6701	1996-04-17	VYBER	VYBER	17781	36230	\N	\N	\N
1977771	6701	1996-12-01	VYBER	VYBER	3426	103844	\N	\N	\N
1977772	6701	1996-12-13	VYBER	VYBER	3322	100522	\N	\N	\N
1977773	6701	1998-05-17	VYBER	VYBER	11050	101107	\N	\N	\N
1977775	6701	1998-09-27	VYBER	VYBER	15177	38162	\N	\N	\N
1977776	6701	1998-01-25	VYBER	VYBER	5719	71043	\N	\N	\N
1977777	6701	1998-07-31	VYBER	VYBER	2514	70409	\N	\N	\N
1977778	6701	1998-10-11	VYBER	VYBER	9457	16038	\N	\N	\N
1977779	6701	1993-06-17	VYDAJ	VYBER	33300	23270	\N	\N	\N
1977780	6701	1994-06-12	VYDAJ	VYBER	22500	29862	\N	\N	\N
1977782	6701	1996-06-18	VYDAJ	VYBER	28500	31314	\N	\N	\N
1977783	6701	1997-06-29	VYDAJ	VYBER	25500	66006	\N	\N	\N
1977786	6701	1994-01-29	VYDAJ	VYBER	10200	20051	\N	\N	\N
1977787	6701	1995-01-28	VYDAJ	VYBER	15600	18706	\N	\N	\N
1977788	6701	1996-01-15	VYDAJ	VYBER	15000	84110	\N	\N	\N
1977789	6701	1997-01-11	VYDAJ	VYBER	24000	73276	\N	\N	\N
1977790	6701	1998-01-22	VYDAJ	VYBER	11100	76762	\N	\N	\N
1977791	6701	1993-12-20	VYDAJ	VYBER	7800	18117	\N	\N	\N
1977792	6701	1994-12-11	VYDAJ	VYBER	2700	64196	\N	\N	\N
1977793	6701	1995-12-19	VYDAJ	VYBER	3000	78696	\N	\N	\N
1977794	6701	1996-12-15	VYDAJ	VYBER	5700	94822	\N	\N	\N
1977795	6701	1997-12-11	VYDAJ	VYBER	2100	87813	\N	\N	\N
1977796	6701	1998-12-07	VYDAJ	VYBER	5700	42095	\N	\N	\N
1977797	6701	1993-11-24	VYDAJ	VYBER	1800	27562	\N	\N	\N
1977800	6701	1993-10-22	VYDAJ	VYBER	12300	40888	\N	\N	\N
1977802	6701	1993-09-27	VYDAJ	VYBER	12900	51783	\N	\N	\N
1977803	6701	1994-01-10	VYDAJ	VYBER	14400	6485	\N	\N	\N
1977804	6701	1994-02-01	VYDAJ	VYBER	4800	15347	\N	\N	\N
1977805	6701	1994-05-16	VYDAJ	VYBER	9000	1455	\N	\N	\N
1977806	6701	1994-01-25	VYDAJ	VYBER	11700	30251	\N	\N	\N
1977807	6701	1994-06-26	VYDAJ	VYBER	6300	7105	\N	\N	\N
1977808	6701	1994-10-11	VYDAJ	VYBER	2100	53860	\N	\N	\N
1977811	6701	1995-03-17	VYDAJ	VYBER	6900	36429	\N	\N	\N
1977812	6701	1995-12-24	VYDAJ	VYBER	12000	72079	\N	\N	\N
1977813	6701	1995-06-27	VYDAJ	VYBER	7200	55201	\N	\N	\N
1977814	6701	1996-02-26	VYDAJ	VYBER	11700	109698	\N	\N	\N
1977815	6701	1996-07-28	VYDAJ	VYBER	8100	63765	\N	\N	\N
1977816	6701	1996-09-11	VYDAJ	VYBER	10200	99188	\N	\N	\N
1977817	6701	1996-04-20	VYDAJ	VYBER	1800	34430	\N	\N	\N
1977818	6701	1997-04-03	VYDAJ	VYBER	12900	96970	\N	\N	\N
1977819	6701	1997-08-29	VYDAJ	VYBER	12600	74027	\N	\N	\N
1977820	6701	1997-07-08	VYDAJ	VYBER	13800	66007	\N	\N	\N
1977821	6701	1997-12-11	VYDAJ	VYBER	5100	89913	\N	\N	\N
1977822	6701	1997-01-11	VYDAJ	VYBER	4200	97276	\N	\N	\N
1977823	6701	1998-03-28	VYDAJ	VYBER	11100	82635	\N	\N	\N
1977824	6701	1998-09-21	VYDAJ	VYBER	10200	66839	\N	\N	\N
1977825	6701	1998-11-07	VYDAJ	VYBER	9300	33250	\N	\N	\N
1977826	6701	1998-06-04	VYDAJ	VYBER	4500	82067	\N	\N	\N
1977827	6701	1998-01-07	VYDAJ	VYBER	8100	105462	\N	\N	\N
1977828	6701	1998-09-23	VYDAJ	VYBER	13500	53339	\N	\N	\N
1977829	6701	1998-06-11	VYDAJ	VYBER	12600	67267	\N	\N	\N
1977830	6701	1998-10-21	VYDAJ	VYBER	2100	44638	\N	\N	\N
1977831	6701	1998-09-28	VYDAJ	VYBER	12900	25262	\N	\N	\N
1977832	6701	1998-11-12	VYDAJ	VYBER	6900	26350	\N	\N	\N
1977839	6701	1993-06-30	VYDAJ	VYBER	30	4093	SLUZBY	\N	\N
1977840	6701	1993-07-31	VYDAJ	VYBER	30	16436	SLUZBY	\N	\N
1977841	6701	1993-08-31	VYDAJ	VYBER	30	68828	SLUZBY	\N	\N
1977842	6701	1993-09-30	VYDAJ	VYBER	30	52018	SLUZBY	\N	\N
1977843	6701	1993-10-31	VYDAJ	VYBER	30	41062	SLUZBY	\N	\N
1977844	6701	1993-11-30	VYDAJ	VYBER	30	27667	SLUZBY	\N	\N
1977845	6701	1993-12-31	VYDAJ	VYBER	30	18185	SLUZBY	\N	\N
1977846	6701	1994-01-31	VYDAJ	VYBER	30	20147	SLUZBY	\N	\N
1977847	6701	1994-02-28	VYDAJ	VYBER	30	1558	SLUZBY	\N	\N
1977848	6701	1994-03-31	VYDAJ	VYBER	30	9706	SLUZBY	\N	\N
1977849	6701	1994-04-30	VYDAJ	VYBER	30	17686	SLUZBY	\N	\N
1977850	6701	1994-05-31	VYDAJ	VYBER	30	36336	SLUZBY	\N	\N
1977851	6701	1994-06-30	VYDAJ	VYBER	30	7181	SLUZBY	\N	\N
1977852	6701	1994-07-31	VYDAJ	VYBER	30	100066	SLUZBY	\N	\N
1977853	6701	1994-08-31	VYDAJ	VYBER	30	79986	SLUZBY	\N	\N
1977854	6701	1994-09-30	VYDAJ	VYBER	30	68702	SLUZBY	\N	\N
1977855	6701	1994-10-31	VYDAJ	VYBER	30	96150	SLUZBY	\N	\N
1977856	6701	1994-11-30	VYDAJ	VYBER	30	39846	SLUZBY	\N	\N
1977857	6701	1994-12-31	VYDAJ	VYBER	30	79856	SLUZBY	\N	\N
1977858	6701	1995-01-31	VYDAJ	VYBER	30	18917	SLUZBY	\N	\N
1977859	6701	1995-02-28	VYDAJ	VYBER	30	63279	SLUZBY	\N	\N
1977860	6701	1995-03-31	VYDAJ	VYBER	30	65524	SLUZBY	\N	\N
1977861	6701	1995-04-30	VYDAJ	VYBER	30	44359	SLUZBY	\N	\N
1977862	6701	1995-05-31	VYDAJ	VYBER	30	4875	SLUZBY	\N	\N
1977863	6701	1995-06-30	VYDAJ	VYBER	30	55291	SLUZBY	\N	\N
1977864	6701	1995-07-31	VYDAJ	VYBER	30	79569	SLUZBY	\N	\N
1977865	6701	1995-08-31	VYDAJ	VYBER	30	37828	SLUZBY	\N	\N
1977866	6701	1995-09-30	VYDAJ	VYBER	30	32088	SLUZBY	\N	\N
1977867	6701	1995-10-31	VYDAJ	VYBER	30	33539	SLUZBY	\N	\N
1977868	6701	1995-11-30	VYDAJ	VYBER	30	50227	SLUZBY	\N	\N
1977869	6701	1995-12-31	VYDAJ	VYBER	30	54269	SLUZBY	\N	\N
1977870	6701	1996-01-31	VYDAJ	VYBER	30	86077	SLUZBY	\N	\N
1977871	6701	1996-02-29	VYDAJ	VYBER	30	92081	SLUZBY	\N	\N
1977872	6701	1996-03-31	VYDAJ	VYBER	30	56662	SLUZBY	\N	\N
1977873	6701	1996-04-30	VYDAJ	VYBER	30	37092	SLUZBY	\N	\N
1977874	6701	1996-05-31	VYDAJ	VYBER	30	62464	SLUZBY	\N	\N
1977875	6701	1996-06-30	VYDAJ	VYBER	30	39489	SLUZBY	\N	\N
1977876	6701	1996-07-31	VYDAJ	VYBER	30	63992	SLUZBY	\N	\N
1977877	6701	1996-08-31	VYDAJ	VYBER	30	107568	SLUZBY	\N	\N
1977878	6701	1996-09-30	VYDAJ	VYBER	30	66224	SLUZBY	\N	\N
1977879	6701	1996-10-31	VYDAJ	VYBER	30	73848	SLUZBY	\N	\N
1977880	6701	1996-11-30	VYDAJ	VYBER	30	107270	SLUZBY	\N	\N
1977881	6701	1996-12-31	VYDAJ	VYBER	30	74084	SLUZBY	\N	\N
1977882	6701	1997-01-31	VYDAJ	VYBER	30	106965	SLUZBY	\N	\N
1977883	6701	1997-02-28	VYDAJ	VYBER	30	65228	SLUZBY	\N	\N
1977884	6701	1997-03-31	VYDAJ	VYBER	30	79470	SLUZBY	\N	\N
1977885	6701	1997-04-30	VYDAJ	VYBER	30	91549	SLUZBY	\N	\N
1977886	6701	1997-05-31	VYDAJ	VYBER	30	81248	SLUZBY	\N	\N
1977887	6701	1997-06-30	VYDAJ	VYBER	30	66352	SLUZBY	\N	\N
1977888	6701	1997-07-31	VYDAJ	VYBER	30	69248	SLUZBY	\N	\N
1977889	6701	1997-08-31	VYDAJ	VYBER	30	72317	SLUZBY	\N	\N
1977890	6701	1997-09-30	VYDAJ	VYBER	30	89737	SLUZBY	\N	\N
1977891	6701	1997-10-31	VYDAJ	VYBER	30	78056	SLUZBY	\N	\N
1977892	6701	1997-11-30	VYDAJ	VYBER	30	77649	SLUZBY	\N	\N
1977893	6701	1997-12-31	VYDAJ	VYBER	30	116962	SLUZBY	\N	\N
1977894	6701	1998-01-31	VYDAJ	VYBER	30	71402	SLUZBY	\N	\N
1977895	6701	1998-02-28	VYDAJ	VYBER	30	64254	SLUZBY	\N	\N
1977896	6701	1998-03-31	VYDAJ	VYBER	30	82903	SLUZBY	\N	\N
1977897	6701	1998-04-30	VYDAJ	VYBER	30	78103	SLUZBY	\N	\N
1977898	6701	1998-05-31	VYDAJ	VYBER	30	86567	SLUZBY	\N	\N
1977899	6701	1998-06-30	VYDAJ	VYBER	30	69939	SLUZBY	\N	\N
1977900	6701	1998-07-31	VYDAJ	VYBER	30	70379	SLUZBY	\N	\N
1977901	6701	1998-08-31	VYDAJ	VYBER	30	73139	SLUZBY	\N	\N
1977902	6701	1998-09-30	VYDAJ	VYBER	30	25495	SLUZBY	\N	\N
1977903	6701	1998-10-31	VYDAJ	VYBER	30	44750	SLUZBY	\N	\N
1977904	6701	1998-11-30	VYDAJ	VYBER	30	49595	SLUZBY	\N	\N
1977905	6701	1993-04-14	VYDAJ	VYBER	1000	28306	\N	\N	\N
1977906	6701	1993-05-14	VYDAJ	VYBER	32600	59755	\N	\N	\N
1977907	6701	1993-06-13	VYDAJ	VYBER	33500	56570	\N	\N	\N
1977908	6701	1993-07-13	PRIJEM	VKLAD	8500	18617	\N	\N	\N
1977909	6701	1993-08-12	VYDAJ	VYBER	1500	32893	\N	\N	\N
1977910	6701	1993-09-11	VYDAJ	VYBER	20800	48028	\N	\N	\N
1977911	6701	1993-10-11	VYDAJ	VYBER	31400	54688	\N	\N	\N
1977912	6701	1993-11-10	VYDAJ	VYBER	8600	29362	\N	\N	\N
1977913	6701	1993-12-10	PRIJEM	VKLAD	900	28567	\N	\N	\N
1977914	6701	1994-01-09	PRIJEM	VKLAD	2700	20885	\N	\N	\N
1977915	6701	1994-02-08	PRIJEM	VKLAD	4600	19947	\N	\N	\N
1977916	6701	1994-03-10	PRIJEM	VKLAD	10800	12358	\N	\N	\N
1977917	6701	1994-04-09	PRIJEM	VKLAD	10600	20306	\N	\N	\N
1977918	6701	1994-05-09	PRIJEM	VKLAD	9900	13105	\N	\N	\N
1977919	6701	1994-06-08	VYDAJ	VYBER	23200	52362	\N	\N	\N
1977920	6701	1994-07-08	PRIJEM	VKLAD	9900	17081	\N	\N	\N
1977921	6701	1994-08-07	VYDAJ	VYBER	36900	63166	\N	\N	\N
1977922	6701	1994-08-20	VYDAJ	VYBER	37200	79616	\N	\N	\N
1977923	6701	1994-09-06	VYDAJ	VYBER	29600	50386	\N	\N	\N
1977924	6701	1994-10-02	VYDAJ	VYBER	49400	89060	\N	\N	\N
1977925	6701	1994-10-06	VYDAJ	VYBER	33100	55960	\N	\N	\N
1977926	6701	1994-11-05	VYDAJ	VYBER	34200	61950	\N	\N	\N
1977927	6701	1994-12-05	VYDAJ	VYBER	36400	66896	\N	\N	\N
1977928	6701	1995-01-04	VYDAJ	VYBER	28500	51356	\N	\N	\N
1977929	6701	1995-02-03	PRIJEM	VKLAD	3100	22017	\N	\N	\N
1977930	6701	1995-03-05	VYDAJ	VYBER	17300	45979	\N	\N	\N
1977931	6701	1995-04-04	VYDAJ	VYBER	18700	46824	\N	\N	\N
1977932	6701	1995-05-04	VYDAJ	VYBER	6800	37559	\N	\N	\N
1977933	6701	1995-06-03	PRIJEM	VKLAD	12500	17375	\N	\N	\N
1977934	6701	1995-07-03	VYDAJ	VYBER	11000	44291	\N	\N	\N
1977935	6701	1995-08-02	VYDAJ	VYBER	21700	57869	\N	\N	\N
1977936	6701	1995-09-01	VYDAJ	VYBER	3200	34628	\N	\N	\N
1977937	6701	1995-10-01	PRIJEM	VKLAD	2500	34588	\N	\N	\N
1977938	6701	1995-10-31	PRIJEM	VKLAD	1500	33438	\N	\N	\N
1977939	6701	1995-11-30	VYDAJ	VYBER	13500	50257	\N	\N	\N
1977940	6701	1995-12-08	VYDAJ	VYBER	35200	84346	\N	\N	\N
1977941	6701	1995-12-21	VYDAJ	VYBER	28100	84079	\N	\N	\N
1977942	6701	1995-12-30	VYDAJ	VYBER	18100	53979	\N	\N	\N
1977943	6701	1996-01-16	VYDAJ	VYBER	23300	99566	\N	\N	\N
1977944	6701	1996-01-18	VYDAJ	VYBER	17700	130424	\N	\N	\N
1977945	6701	1996-01-29	VYDAJ	VYBER	44700	85724	\N	\N	\N
1977946	6701	1996-02-02	VYDAJ	VYBER	31700	92092	\N	\N	\N
1977947	6701	1996-02-18	VYDAJ	VYBER	38100	116546	\N	\N	\N
1977948	6701	1996-02-20	VYDAJ	VYBER	25400	121398	\N	\N	\N
1977949	6701	1996-02-26	VYDAJ	VYBER	49600	60098	\N	\N	\N
1977950	6701	1996-02-28	VYDAJ	VYBER	12100	47998	\N	\N	\N
1977951	6701	1996-03-03	VYDAJ	VYBER	62100	77756	\N	\N	\N
1977952	6701	1996-03-29	VYDAJ	VYBER	18800	56306	\N	\N	\N
1977953	6701	1996-04-28	PRIJEM	VKLAD	2500	36930	\N	\N	\N
1977954	6701	1996-05-28	VYDAJ	VYBER	20100	62226	\N	\N	\N
1977955	6701	1996-06-27	PRIJEM	VKLAD	8000	39314	\N	\N	\N
1977956	6701	1996-07-27	VYDAJ	VYBER	23000	71865	\N	\N	\N
1977957	6701	1996-08-14	VYDAJ	VYBER	23100	114672	\N	\N	\N
1977958	6701	1996-08-16	VYDAJ	VYBER	49400	108944	\N	\N	\N
1977959	6701	1996-08-18	VYDAJ	VYBER	54200	101965	\N	\N	\N
1977960	6701	1996-08-21	VYDAJ	VYBER	28100	107624	\N	\N	\N
1977961	6701	1996-08-24	VYDAJ	VYBER	48300	103882	\N	\N	\N
1977962	6701	1996-08-26	VYDAJ	VYBER	50000	97455	\N	\N	\N
1977963	6701	1996-08-26	VYDAJ	VYBER	27300	70155	\N	\N	\N
1977964	6701	1996-09-02	VYDAJ	VYBER	29000	109388	\N	\N	\N
1977965	6701	1996-09-15	VYDAJ	VYBER	15900	127564	\N	\N	\N
1977966	6701	1996-09-18	VYDAJ	VYBER	55300	86417	\N	\N	\N
1977967	6701	1996-09-25	VYDAJ	VYBER	20600	65817	\N	\N	\N
1977968	6701	1996-10-25	VYDAJ	VYBER	20100	73534	\N	\N	\N
1977969	6701	1996-11-21	VYDAJ	VYBER	45700	90206	\N	\N	\N
1977970	6701	1996-11-24	VYDAJ	VYBER	17500	72706	\N	\N	\N
1977971	6701	1996-12-24	VYDAJ	VYBER	18000	76822	\N	\N	\N
1977972	6701	1997-01-01	VYDAJ	VYBER	15000	95138	\N	\N	\N
1977973	6701	1997-01-18	VYDAJ	VYBER	16800	105362	\N	\N	\N
1977974	6701	1997-01-23	VYDAJ	VYBER	23800	87400	\N	\N	\N
1977975	6701	1997-01-29	VYDAJ	VYBER	30300	106591	\N	\N	\N
1977976	6701	1997-02-07	VYDAJ	VYBER	62800	53592	\N	\N	\N
1977977	6701	1997-02-22	VYDAJ	VYBER	2800	64956	\N	\N	\N
1977978	6701	1997-03-19	VYDAJ	VYBER	55200	98255	\N	\N	\N
1977979	6701	1997-03-24	VYDAJ	VYBER	14000	84255	\N	\N	\N
1977980	6701	1997-04-13	VYDAJ	VYBER	50000	92947	\N	\N	\N
1977981	6701	1997-04-23	VYDAJ	VYBER	19800	91176	\N	\N	\N
1977982	6701	1997-05-14	VYDAJ	VYBER	55200	96207	\N	\N	\N
1977983	6701	1997-05-23	VYDAJ	VYBER	15300	80907	\N	\N	\N
1977984	6701	1997-06-22	VYDAJ	VYBER	18600	94025	\N	\N	\N
1977985	6701	1997-06-27	VYDAJ	VYBER	19800	103102	\N	\N	\N
1977986	6701	1997-06-28	VYDAJ	VYBER	53000	91506	\N	\N	\N
1977987	6701	1997-07-22	PRIJEM	VKLAD	5400	69007	\N	\N	\N
1977988	6701	1997-08-21	VYDAJ	VYBER	14100	86627	\N	\N	\N
1977989	6701	1997-09-20	VYDAJ	VYBER	18400	94755	\N	\N	\N
1977990	6701	1997-09-26	VYDAJ	VYBER	45000	89410	\N	\N	\N
1977991	6701	1997-10-20	VYDAJ	VYBER	9600	77737	\N	\N	\N
1977992	6701	1997-11-01	VYDAJ	VYBER	25700	102045	\N	\N	\N
1977993	6701	1997-11-06	VYDAJ	VYBER	24200	118212	\N	\N	\N
1977994	6701	1997-11-18	VYDAJ	VYBER	52900	75280	\N	\N	\N
1977995	6701	1997-11-19	PRIJEM	VKLAD	2000	77280	\N	\N	\N
1977996	6701	1997-12-19	VYDAJ	VYBER	6000	79113	\N	\N	\N
1977997	6701	1998-01-18	VYDAJ	VYBER	17600	87862	\N	\N	\N
1977998	6701	1998-02-17	VYDAJ	VYBER	2100	69302	\N	\N	\N
1977999	6701	1998-03-19	PRIJEM	VKLAD	1900	66154	\N	\N	\N
1978000	6701	1998-04-18	VYDAJ	VYBER	2800	80103	\N	\N	\N
1978001	6701	1998-05-18	VYDAJ	VYBER	13000	88107	\N	\N	\N
1978002	6701	1998-06-17	PRIJEM	VKLAD	2400	69667	\N	\N	\N
1978003	6701	1998-07-17	PRIJEM	VKLAD	6000	75939	\N	\N	\N
1978004	6701	1998-08-16	PRIJEM	VKLAD	6200	72879	\N	\N	\N
1978005	6701	1998-09-15	PRIJEM	VKLAD	6900	80039	\N	\N	\N
1978006	6701	1998-10-15	PRIJEM	VKLAD	30700	46738	\N	\N	\N
1978007	6701	1998-11-14	PRIJEM	VKLAD	23100	49450	\N	\N	\N
1978995	6706	1996-12-28	PRIJEM	VKLAD	200	200	\N	\N	\N
1979008	6706	1997-01-10	PRIJEM	VKLAD	13405	13605	\N	\N	\N
1979009	6706	1997-02-10	PRIJEM	VKLAD	13405	34224	\N	\N	\N
1979010	6706	1997-03-10	PRIJEM	VKLAD	13405	43120	\N	\N	\N
1979011	6706	1997-04-10	PRIJEM	VKLAD	13405	52053	\N	\N	\N
1979012	6706	1997-05-10	PRIJEM	VKLAD	13405	57022	\N	\N	\N
1979013	6706	1997-06-10	PRIJEM	VKLAD	20108	67060	\N	\N	\N
1979014	6706	1997-07-10	PRIJEM	VKLAD	13405	49022	\N	\N	\N
1979015	6706	1997-08-10	PRIJEM	VKLAD	13405	56928	\N	\N	\N
1979016	6706	1997-09-10	PRIJEM	VKLAD	13405	54956	\N	\N	\N
1979017	6706	1997-10-10	PRIJEM	VKLAD	13405	54533	\N	\N	\N
1979018	6706	1997-11-10	PRIJEM	VKLAD	13405	55552	\N	\N	\N
1979019	6706	1997-12-10	PRIJEM	VKLAD	20108	63678	\N	\N	\N
1979020	6706	1998-01-10	PRIJEM	VKLAD	13405	60941	\N	\N	\N
1979021	6706	1998-02-10	PRIJEM	VKLAD	13405	51194	\N	\N	\N
1979022	6706	1998-03-10	PRIJEM	VKLAD	13405	50597	\N	\N	\N
1979023	6706	1998-04-10	PRIJEM	VKLAD	13405	49495	\N	\N	\N
1979024	6706	1998-05-10	PRIJEM	VKLAD	13405	51992	\N	\N	\N
1979025	6706	1998-06-10	PRIJEM	VKLAD	20108	60200	\N	\N	\N
1979026	6706	1998-07-10	PRIJEM	VKLAD	13405	54222	\N	\N	\N
1979027	6706	1998-08-10	PRIJEM	VKLAD	13405	50855	\N	\N	\N
1979028	6706	1998-09-10	PRIJEM	VKLAD	13405	50975	\N	\N	\N
1979029	6706	1998-10-10	PRIJEM	VKLAD	13405	51992	\N	\N	\N
1979030	6706	1998-11-10	PRIJEM	VKLAD	13405	46610	\N	\N	\N
1979031	6706	1998-12-10	PRIJEM	VKLAD	20108	50629	\N	\N	\N
1979048	6706	1997-05-14	VYDAJ	PREVOD NA UCET	1982	55040	SIPO	ST	63843142
1979049	6706	1997-06-14	VYDAJ	PREVOD NA UCET	1982	65078	SIPO	ST	63843142
1979050	6706	1997-07-14	VYDAJ	PREVOD NA UCET	1982	47040	SIPO	ST	63843142
1979051	6706	1997-08-14	VYDAJ	PREVOD NA UCET	1982	54946	SIPO	ST	63843142
1979052	6706	1997-09-14	VYDAJ	PREVOD NA UCET	1982	50334	SIPO	ST	63843142
1979053	6706	1997-10-14	VYDAJ	PREVOD NA UCET	1982	51551	SIPO	ST	63843142
1979054	6706	1997-11-14	VYDAJ	PREVOD NA UCET	1982	53570	SIPO	ST	63843142
1979055	6706	1997-12-14	VYDAJ	PREVOD NA UCET	1982	59616	SIPO	ST	63843142
1979056	6706	1998-01-14	VYDAJ	PREVOD NA UCET	1982	48399	SIPO	ST	63843142
1979057	6706	1998-02-14	VYDAJ	PREVOD NA UCET	1982	49212	SIPO	ST	63843142
1979058	6706	1998-03-14	VYDAJ	PREVOD NA UCET	1982	47715	SIPO	ST	63843142
1979059	6706	1998-04-14	VYDAJ	PREVOD NA UCET	1982	47513	SIPO	ST	63843142
1979060	6706	1998-05-14	VYDAJ	PREVOD NA UCET	1982	49210	SIPO	ST	63843142
1979061	6706	1998-06-14	VYDAJ	PREVOD NA UCET	1982	58218	SIPO	ST	63843142
1979062	6706	1998-07-14	VYDAJ	PREVOD NA UCET	1982	51159	SIPO	ST	63843142
1979063	6706	1998-08-14	VYDAJ	PREVOD NA UCET	1982	47792	SIPO	ST	63843142
1979064	6706	1998-09-14	VYDAJ	PREVOD NA UCET	1982	47912	SIPO	ST	63843142
1979065	6706	1998-10-14	VYDAJ	PREVOD NA UCET	1982	48929	SIPO	ST	63843142
1979066	6706	1998-11-14	VYDAJ	PREVOD NA UCET	1982	38387	SIPO	ST	63843142
1979067	6706	1998-12-14	VYDAJ	PREVOD NA UCET	1982	45966	SIPO	ST	63843142
1979085	6706	1997-06-07	VYDAJ	PREVOD NA UCET	671	46953	 	IJ	19147312
1979086	6706	1997-07-07	VYDAJ	PREVOD NA UCET	671	35617	 	IJ	19147312
1979087	6706	1997-08-07	VYDAJ	PREVOD NA UCET	671	43523	 	IJ	19147312
1979088	6706	1997-09-07	VYDAJ	PREVOD NA UCET	671	41551	 	IJ	19147312
1979089	6706	1997-10-07	VYDAJ	PREVOD NA UCET	671	41128	 	IJ	19147312
1979090	6706	1997-11-07	VYDAJ	PREVOD NA UCET	671	42147	 	IJ	19147312
1979091	6706	1997-12-07	VYDAJ	PREVOD NA UCET	671	43570	 	IJ	19147312
1979092	6706	1998-01-07	VYDAJ	PREVOD NA UCET	671	47536	 	IJ	19147312
1979093	6706	1998-02-07	VYDAJ	PREVOD NA UCET	671	38604	 	IJ	19147312
1979094	6706	1998-03-07	VYDAJ	PREVOD NA UCET	671	38007	 	IJ	19147312
1979095	6706	1998-04-07	VYDAJ	PREVOD NA UCET	671	36905	 	IJ	19147312
1979096	6706	1998-05-07	VYDAJ	PREVOD NA UCET	671	39402	 	IJ	19147312
1979097	6706	1998-06-07	VYDAJ	PREVOD NA UCET	671	40908	 	IJ	19147312
1979098	6706	1998-07-07	VYDAJ	PREVOD NA UCET	671	41632	 	IJ	19147312
1979099	6706	1998-08-07	VYDAJ	PREVOD NA UCET	671	37450	 	IJ	19147312
1979100	6706	1998-09-07	VYDAJ	PREVOD NA UCET	671	38385	 	IJ	19147312
1979101	6706	1998-10-07	VYDAJ	PREVOD NA UCET	671	39402	 	IJ	19147312
1979102	6706	1998-11-07	VYDAJ	PREVOD NA UCET	671	33205	 	IJ	19147312
1979103	6706	1998-12-07	VYDAJ	PREVOD NA UCET	671	30522	 	IJ	19147312
1979121	6706	1997-06-07	VYDAJ	PREVOD NA UCET	815	47624	POJISTNE	CD	23725885
1979122	6706	1997-07-07	VYDAJ	PREVOD NA UCET	815	36288	POJISTNE	CD	23725885
1979123	6706	1997-08-07	VYDAJ	PREVOD NA UCET	815	44194	POJISTNE	CD	23725885
1979124	6706	1997-09-07	VYDAJ	PREVOD NA UCET	815	42222	POJISTNE	CD	23725885
1979125	6706	1997-10-07	VYDAJ	PREVOD NA UCET	815	41799	POJISTNE	CD	23725885
1979126	6706	1997-11-07	VYDAJ	PREVOD NA UCET	815	42818	POJISTNE	CD	23725885
1979127	6706	1997-12-07	VYDAJ	PREVOD NA UCET	815	44241	POJISTNE	CD	23725885
1979128	6706	1998-01-07	VYDAJ	PREVOD NA UCET	815	48207	POJISTNE	CD	23725885
1979129	6706	1998-02-07	VYDAJ	PREVOD NA UCET	815	37789	POJISTNE	CD	23725885
1979130	6706	1998-03-07	VYDAJ	PREVOD NA UCET	815	37192	POJISTNE	CD	23725885
1979131	6706	1998-04-07	VYDAJ	PREVOD NA UCET	815	36090	POJISTNE	CD	23725885
1979132	6706	1998-05-07	VYDAJ	PREVOD NA UCET	815	38587	POJISTNE	CD	23725885
1979133	6706	1998-06-07	VYDAJ	PREVOD NA UCET	815	40093	POJISTNE	CD	23725885
1979134	6706	1998-07-07	VYDAJ	PREVOD NA UCET	815	40817	POJISTNE	CD	23725885
1979135	6706	1998-08-07	VYDAJ	PREVOD NA UCET	815	38121	POJISTNE	CD	23725885
1979136	6706	1998-09-07	VYDAJ	PREVOD NA UCET	815	37570	POJISTNE	CD	23725885
1979137	6706	1998-10-07	VYDAJ	PREVOD NA UCET	815	38587	POJISTNE	CD	23725885
1979138	6706	1998-11-07	VYDAJ	PREVOD NA UCET	815	33876	POJISTNE	CD	23725885
1979139	6706	1998-12-07	VYDAJ	PREVOD NA UCET	815	31193	POJISTNE	CD	23725885
1979156	6706	1997-05-08	VYDAJ	VYBER	900	43617	\N	\N	0
1979157	6706	1997-06-07	VYDAJ	VYBER	900	48439	\N	\N	0
1979158	6706	1997-06-28	VYDAJ	VYBER	800	52078	\N	\N	0
1979159	6706	1997-08-03	VYDAJ	VYBER	1100	45009	\N	\N	0
1979160	6706	1997-09-03	VYDAJ	VYBER	800	43037	\N	\N	0
1979161	6706	1997-10-13	VYDAJ	VYBER	1000	53533	\N	\N	0
1979162	6706	1997-11-21	VYDAJ	VYBER	900	52670	\N	\N	0
1979163	6706	1997-12-25	VYDAJ	VYBER	800	49916	\N	\N	0
1979164	6706	1998-01-01	VYDAJ	VYBER	1100	49022	\N	\N	0
1979165	6706	1998-02-23	VYDAJ	VYBER	800	38512	\N	\N	0
1979166	6706	1998-03-10	VYDAJ	VYBER	900	49697	\N	\N	0
1979167	6706	1998-04-14	VYDAJ	VYBER	1300	46213	\N	\N	0
1979168	6706	1998-05-10	VYDAJ	VYBER	800	51192	\N	\N	0
1979169	6706	1998-06-18	VYDAJ	VYBER	1500	56718	\N	\N	0
1979170	6706	1998-07-12	VYDAJ	PREVOD NA UCET	1081	53141	UVER	WX	83129149
1979171	6706	1998-08-12	VYDAJ	PREVOD NA UCET	1081	49774	UVER	WX	83129149
1979172	6706	1998-09-12	VYDAJ	PREVOD NA UCET	1081	49894	UVER	WX	83129149
1979173	6706	1998-10-12	VYDAJ	PREVOD NA UCET	1081	50911	UVER	WX	83129149
1979174	6706	1998-11-12	VYDAJ	PREVOD NA UCET	1081	40369	UVER	WX	83129149
1979175	6706	1998-12-12	VYDAJ	PREVOD NA UCET	1081	49548	UVER	WX	83129149
1979177	6706	1997-06-29	VYDAJ	VYBER	15200	36878	\N	\N	\N
1979181	6706	1998-01-10	VYDAJ	VYBER	10560	50381	\N	\N	\N
1979183	6706	1997-12-13	VYDAJ	VYBER	2080	61598	\N	\N	\N
1979184	6706	1998-12-14	VYDAJ	VYBER	1600	47948	\N	\N	\N
1979191	6706	1997-09-11	VYDAJ	VYBER	2640	52316	\N	\N	\N
1979192	6706	1997-08-19	VYDAJ	VYBER	1800	53146	\N	\N	\N
1979193	6706	1998-06-24	VYDAJ	VYBER	1800	42118	\N	\N	\N
1979194	6706	1998-11-07	VYDAJ	VYBER	4800	34691	\N	\N	\N
1979195	6706	1998-08-02	VYDAJ	VYBER	4800	38936	\N	\N	\N
1979196	6706	1998-12-05	VYDAJ	VYBER	4320	32008	\N	\N	\N
1979197	6706	1998-11-10	VYDAJ	VYBER	5160	41450	\N	\N	\N
1979215	6706	1997-05-31	VYDAJ	VYBER	15	49339	SLUZBY	\N	\N
1979216	6706	1997-06-30	VYDAJ	VYBER	15	37103	SLUZBY	\N	\N
1979217	6706	1997-07-31	VYDAJ	VYBER	15	46109	SLUZBY	\N	\N
1979218	6706	1997-08-31	VYDAJ	VYBER	15	43837	SLUZBY	\N	\N
1979219	6706	1997-09-30	VYDAJ	VYBER	15	42614	SLUZBY	\N	\N
1979220	6706	1997-10-31	VYDAJ	VYBER	15	43633	SLUZBY	\N	\N
1979221	6706	1997-11-30	VYDAJ	VYBER	15	45056	SLUZBY	\N	\N
1979222	6706	1997-12-31	VYDAJ	VYBER	15	50122	SLUZBY	\N	\N
1979223	6706	1998-01-31	VYDAJ	VYBER	15	39275	SLUZBY	\N	\N
1979224	6706	1998-02-28	VYDAJ	VYBER	15	38678	SLUZBY	\N	\N
1979225	6706	1998-03-31	VYDAJ	VYBER	15	37576	SLUZBY	\N	\N
1979226	6706	1998-04-30	VYDAJ	VYBER	15	40073	SLUZBY	\N	\N
1979227	6706	1998-05-31	VYDAJ	VYBER	15	41579	SLUZBY	\N	\N
1979228	6706	1998-06-30	VYDAJ	VYBER	15	42303	SLUZBY	\N	\N
1979229	6706	1998-07-31	VYDAJ	VYBER	15	43736	SLUZBY	\N	\N
1979230	6706	1998-08-31	VYDAJ	VYBER	15	39056	SLUZBY	\N	\N
1979231	6706	1998-09-30	VYDAJ	VYBER	15	40073	SLUZBY	\N	\N
1979232	6706	1998-10-31	VYDAJ	VYBER	15	39491	SLUZBY	\N	\N
1979233	6706	1998-11-30	VYDAJ	VYBER	15	36328	SLUZBY	\N	\N
1979234	6706	1997-01-27	PRIJEM	VKLAD	7200	20805	\N	\N	\N
1979235	6706	1997-02-26	VYDAJ	VYBER	4600	29624	\N	\N	\N
1979236	6706	1997-03-28	VYDAJ	VYBER	4600	38520	\N	\N	\N
1979237	6706	1997-04-27	VYDAJ	VYBER	7700	44353	\N	\N	\N
1979238	6706	1997-05-27	VYDAJ	VYBER	5900	49140	\N	\N	\N
1979239	6706	1997-06-26	VYDAJ	VYBER	12200	52878	\N	\N	\N
1979240	6706	1997-07-26	VYDAJ	VYBER	1100	45940	\N	\N	\N
1979241	6706	1997-08-25	VYDAJ	VYBER	9500	43646	\N	\N	\N
1979242	6706	1997-09-24	VYDAJ	VYBER	7900	42434	\N	\N	\N
1979243	6706	1997-10-24	VYDAJ	VYBER	8100	43451	\N	\N	\N
1979244	6706	1997-11-23	VYDAJ	VYBER	7800	44870	\N	\N	\N
1979245	6706	1997-12-23	VYDAJ	VYBER	8900	50716	\N	\N	\N
1979246	6706	1998-01-22	VYDAJ	VYBER	9300	39099	\N	\N	\N
1979247	6706	1998-02-21	VYDAJ	VYBER	9900	39312	\N	\N	\N
1979248	6706	1998-03-23	VYDAJ	VYBER	10300	37415	\N	\N	\N
1979249	6706	1998-04-22	VYDAJ	VYBER	6300	39913	\N	\N	\N
1979250	6706	1998-05-22	VYDAJ	VYBER	7800	41410	\N	\N	\N
1979251	6706	1998-06-21	VYDAJ	VYBER	12800	43918	\N	\N	\N
1979252	6706	1998-07-21	VYDAJ	VYBER	7600	43559	\N	\N	\N
1979253	6706	1998-08-20	VYDAJ	VYBER	8900	38892	\N	\N	\N
1979254	6706	1998-09-19	VYDAJ	VYBER	8000	39912	\N	\N	\N
1979255	6706	1998-10-19	VYDAJ	VYBER	9600	39329	\N	\N	\N
1979256	6706	1998-11-18	VYDAJ	VYBER	2200	36187	\N	\N	\N
1982194	6715	1993-09-15	PRIJEM	VKLAD	200	200	\N	\N	\N
1982204	6715	1993-10-05	PRIJEM	PREVOD Z UCTU	13789	13989	\N	OP	84352767
1982205	6715	1993-11-05	PRIJEM	PREVOD Z UCTU	13789	35327	\N	OP	84352767
1982206	6715	1993-12-05	PRIJEM	PREVOD Z UCTU	20684	51422	\N	OP	84352767
1982207	6715	1994-01-05	PRIJEM	PREVOD Z UCTU	13789	52658	\N	OP	84352767
1982208	6715	1994-02-05	PRIJEM	PREVOD Z UCTU	13789	49806	\N	OP	84352767
1982209	6715	1994-03-05	PRIJEM	PREVOD Z UCTU	13789	49320	\N	OP	84352767
1982210	6715	1994-04-05	PRIJEM	PREVOD Z UCTU	13789	43560	\N	OP	84352767
1982211	6715	1994-05-05	PRIJEM	PREVOD Z UCTU	13789	40514	\N	OP	84352767
1982212	6715	1994-06-05	PRIJEM	PREVOD Z UCTU	20684	22466	\N	OP	84352767
1982213	6715	1994-07-05	PRIJEM	PREVOD Z UCTU	13789	14111	\N	OP	84352767
1982214	6715	1994-08-05	PRIJEM	PREVOD Z UCTU	13789	20728	\N	OP	84352767
1982215	6715	1994-09-05	PRIJEM	PREVOD Z UCTU	13789	32368	\N	OP	84352767
1982216	6715	1994-10-05	PRIJEM	PREVOD Z UCTU	13789	37311	\N	OP	84352767
1982217	6715	1994-11-05	PRIJEM	PREVOD Z UCTU	13789	25843	\N	OP	84352767
1982218	6715	1994-12-05	PRIJEM	PREVOD Z UCTU	20684	35688	\N	OP	84352767
1982219	6715	1995-01-05	PRIJEM	PREVOD Z UCTU	13789	31167	\N	OP	84352767
1982220	6715	1995-02-05	PRIJEM	PREVOD Z UCTU	13789	15390	\N	OP	84352767
1982221	6715	1995-03-05	PRIJEM	PREVOD Z UCTU	13789	19833	\N	OP	84352767
1982222	6715	1995-04-05	PRIJEM	PREVOD Z UCTU	13789	33863	\N	OP	84352767
1982223	6715	1995-05-05	PRIJEM	PREVOD Z UCTU	13789	12111	\N	OP	84352767
1982224	6715	1995-06-05	PRIJEM	PREVOD Z UCTU	20684	33311	\N	OP	84352767
1982225	6715	1995-07-05	PRIJEM	PREVOD Z UCTU	13789	42653	\N	OP	84352767
1982226	6715	1995-08-05	PRIJEM	PREVOD Z UCTU	13789	49458	\N	OP	84352767
1982227	6715	1995-09-05	PRIJEM	PREVOD Z UCTU	13789	14230	\N	OP	84352767
1982228	6715	1995-10-05	PRIJEM	PREVOD Z UCTU	13789	35069	\N	OP	84352767
1982229	6715	1995-11-05	PRIJEM	PREVOD Z UCTU	13789	44256	\N	OP	84352767
1982230	6715	1995-12-05	PRIJEM	PREVOD Z UCTU	20684	37338	\N	OP	84352767
1982231	6715	1996-01-05	PRIJEM	PREVOD Z UCTU	13789	38768	\N	OP	84352767
1982232	6715	1996-02-05	PRIJEM	PREVOD Z UCTU	13789	38623	\N	OP	84352767
1982233	6715	1996-03-05	PRIJEM	PREVOD Z UCTU	13789	46569	\N	OP	84352767
1982234	6715	1996-04-05	PRIJEM	PREVOD Z UCTU	13789	55703	\N	OP	84352767
1982235	6715	1996-05-05	PRIJEM	PREVOD Z UCTU	13789	50174	\N	OP	84352767
1982236	6715	1996-06-05	PRIJEM	PREVOD Z UCTU	20684	65426	\N	OP	84352767
1982237	6715	1996-07-05	PRIJEM	PREVOD Z UCTU	13789	67922	\N	OP	84352767
1982238	6715	1996-08-05	PRIJEM	PREVOD Z UCTU	13789	70651	\N	OP	84352767
1982239	6715	1996-09-05	PRIJEM	PREVOD Z UCTU	13789	64395	\N	OP	84352767
1982240	6715	1996-10-05	PRIJEM	PREVOD Z UCTU	13789	74195	\N	OP	84352767
1982241	6715	1996-11-05	PRIJEM	PREVOD Z UCTU	13789	72508	\N	OP	84352767
1982242	6715	1996-12-05	PRIJEM	PREVOD Z UCTU	20684	59123	\N	OP	84352767
1982243	6715	1997-01-05	PRIJEM	PREVOD Z UCTU	13789	56984	\N	OP	84352767
1982244	6715	1997-02-05	PRIJEM	PREVOD Z UCTU	13789	41939	\N	OP	84352767
1982245	6715	1997-03-05	PRIJEM	PREVOD Z UCTU	13789	49692	\N	OP	84352767
1982246	6715	1997-04-05	PRIJEM	PREVOD Z UCTU	13789	62433	\N	OP	84352767
1982247	6715	1997-05-05	PRIJEM	PREVOD Z UCTU	13789	71838	\N	OP	84352767
1982248	6715	1997-06-05	PRIJEM	PREVOD Z UCTU	20684	78056	\N	OP	84352767
1982249	6715	1997-07-05	PRIJEM	PREVOD Z UCTU	13789	37284	\N	OP	84352767
1982250	6715	1997-08-05	PRIJEM	PREVOD Z UCTU	13789	49561	\N	OP	84352767
1982251	6715	1997-09-05	PRIJEM	PREVOD Z UCTU	13789	59898	\N	OP	84352767
1982252	6715	1997-10-05	PRIJEM	PREVOD Z UCTU	13789	30509	\N	OP	84352767
1982253	6715	1997-11-05	PRIJEM	PREVOD Z UCTU	13789	46195	\N	OP	84352767
1982254	6715	1997-12-05	PRIJEM	PREVOD Z UCTU	20684	65213	\N	OP	84352767
1982255	6715	1998-01-05	PRIJEM	PREVOD Z UCTU	13789	47954	\N	OP	84352767
1982256	6715	1998-02-05	PRIJEM	PREVOD Z UCTU	13789	16983	\N	OP	84352767
1982257	6715	1998-03-05	PRIJEM	PREVOD Z UCTU	13789	26797	\N	OP	84352767
1982258	6715	1998-04-05	PRIJEM	PREVOD Z UCTU	13789	30379	\N	OP	84352767
1982259	6715	1998-05-05	PRIJEM	PREVOD Z UCTU	13789	43900	\N	OP	84352767
1982260	6715	1998-06-05	PRIJEM	PREVOD Z UCTU	20684	48599	\N	OP	84352767
1982261	6715	1998-07-05	PRIJEM	PREVOD Z UCTU	13789	51807	\N	OP	84352767
1982262	6715	1998-08-05	PRIJEM	PREVOD Z UCTU	13789	55317	\N	OP	84352767
1982263	6715	1998-09-05	PRIJEM	PREVOD Z UCTU	13789	67177	\N	OP	84352767
1982264	6715	1998-10-05	PRIJEM	PREVOD Z UCTU	13789	70257	\N	OP	84352767
1982265	6715	1998-11-05	PRIJEM	PREVOD Z UCTU	13789	60471	\N	OP	84352767
1982266	6715	1998-12-05	PRIJEM	PREVOD Z UCTU	20684	50181	\N	OP	84352767
1982280	6715	1994-01-31	VYDAJ	VYBER	2000	36017	\N	\N	0
1982281	6715	1994-02-27	VYDAJ	VYBER	2700	35406	\N	\N	0
1982282	6715	1994-04-12	VYDAJ	VYBER	2800	30136	\N	\N	0
1982283	6715	1994-05-08	VYDAJ	VYBER	2000	38514	\N	\N	0
1982285	6715	1994-07-17	VYDAJ	VYBER	2500	15609	\N	\N	0
1982286	6715	1994-08-20	VYDAJ	VYBER	2700	18528	\N	\N	0
1982287	6715	1994-09-27	VYDAJ	VYBER	1700	23447	\N	\N	0
1982288	6715	1994-10-11	VYDAJ	VYBER	1700	17311	\N	\N	0
1982289	6715	1994-10-28	VYDAJ	VYBER	2000	12011	\N	\N	0
1982290	6715	1994-12-16	VYDAJ	VYBER	1700	30188	\N	\N	0
1982291	6715	1995-01-14	VYDAJ	VYBER	2200	17767	\N	\N	0
1982292	6715	1995-02-12	VYDAJ	PREVOD NA UCET	2298	8792	UVER	GH	85509657
1982293	6715	1995-03-12	VYDAJ	PREVOD NA UCET	2298	20035	UVER	GH	85509657
1982294	6715	1995-04-12	VYDAJ	PREVOD NA UCET	2298	21497	UVER	GH	85509657
1982295	6715	1995-05-12	VYDAJ	PREVOD NA UCET	2298	12613	UVER	GH	85509657
1982296	6715	1995-06-12	VYDAJ	PREVOD NA UCET	2298	31213	UVER	GH	85509657
1982297	6715	1995-07-12	VYDAJ	PREVOD NA UCET	2298	35555	UVER	GH	85509657
1982298	6715	1995-08-12	VYDAJ	PREVOD NA UCET	2298	35560	UVER	GH	85509657
1982299	6715	1995-09-12	VYDAJ	PREVOD NA UCET	2298	21232	UVER	GH	85509657
1982300	6715	1995-10-12	VYDAJ	PREVOD NA UCET	2298	30471	UVER	GH	85509657
1982301	6715	1995-11-12	VYDAJ	PREVOD NA UCET	2298	22785	UVER	GH	85509657
1982302	6715	1995-12-12	VYDAJ	PREVOD NA UCET	2298	24911	UVER	GH	85509657
1982303	6715	1996-01-12	VYDAJ	PREVOD NA UCET	2298	29570	UVER	GH	85509657
1982304	6715	1996-02-12	VYDAJ	PREVOD NA UCET	2298	36325	UVER	GH	85509657
1982305	6715	1996-03-12	VYDAJ	PREVOD NA UCET	2298	44271	UVER	GH	85509657
1982306	6715	1996-04-12	VYDAJ	PREVOD NA UCET	2298	53405	UVER	GH	85509657
1982307	6715	1996-05-12	VYDAJ	PREVOD NA UCET	2298	47876	UVER	GH	85509657
1982308	6715	1996-06-12	VYDAJ	PREVOD NA UCET	2298	63128	UVER	GH	85509657
1982309	6715	1996-07-12	VYDAJ	PREVOD NA UCET	2298	65624	UVER	GH	85509657
1982310	6715	1996-08-12	VYDAJ	PREVOD NA UCET	2298	68353	UVER	GH	85509657
1982311	6715	1996-09-12	VYDAJ	PREVOD NA UCET	2298	62097	UVER	GH	85509657
1982312	6715	1996-10-12	VYDAJ	PREVOD NA UCET	2298	61397	UVER	GH	85509657
1982313	6715	1996-11-12	VYDAJ	PREVOD NA UCET	2298	55510	UVER	GH	85509657
1982314	6715	1996-12-12	VYDAJ	PREVOD NA UCET	2298	56825	UVER	GH	85509657
1982315	6715	1997-01-12	VYDAJ	PREVOD NA UCET	2298	24365	UVER	GH	85509657
1982316	6715	1997-02-12	VYDAJ	PREVOD NA UCET	2298	39641	UVER	GH	85509657
1982317	6715	1997-03-12	VYDAJ	PREVOD NA UCET	2298	47394	UVER	GH	85509657
1982318	6715	1997-04-12	VYDAJ	PREVOD NA UCET	2298	60135	UVER	GH	85509657
1982319	6715	1997-05-12	VYDAJ	PREVOD NA UCET	2298	69540	UVER	GH	85509657
1982320	6715	1997-06-12	VYDAJ	PREVOD NA UCET	2298	75758	UVER	GH	85509657
1982321	6715	1997-07-12	VYDAJ	PREVOD NA UCET	2298	34986	UVER	GH	85509657
1982322	6715	1997-08-12	VYDAJ	PREVOD NA UCET	2298	47263	UVER	GH	85509657
1982323	6715	1997-09-12	VYDAJ	PREVOD NA UCET	2298	57600	UVER	GH	85509657
1982324	6715	1997-10-12	VYDAJ	PREVOD NA UCET	2298	28211	UVER	GH	85509657
1982325	6715	1997-11-12	VYDAJ	PREVOD NA UCET	2298	43897	UVER	GH	85509657
1982326	6715	1997-12-12	VYDAJ	PREVOD NA UCET	2298	50915	UVER	GH	85509657
1982327	6715	1998-01-12	VYDAJ	PREVOD NA UCET	2298	45656	UVER	GH	85509657
1982328	6715	1998-02-12	VYDAJ	PREVOD NA UCET	2298	9621	UVER	GH	85509657
1982329	6715	1998-03-12	VYDAJ	PREVOD NA UCET	2298	24499	UVER	GH	85509657
1982331	6715	1998-05-12	VYDAJ	PREVOD NA UCET	2298	41602	UVER	GH	85509657
1982332	6715	1998-06-12	VYDAJ	PREVOD NA UCET	2298	46301	UVER	GH	85509657
1982333	6715	1998-07-12	VYDAJ	PREVOD NA UCET	2298	49509	UVER	GH	85509657
1982334	6715	1998-08-12	VYDAJ	PREVOD NA UCET	2298	53018	UVER	GH	85509657
1982335	6715	1998-09-12	VYDAJ	PREVOD NA UCET	2298	64879	UVER	GH	85509657
1982336	6715	1998-10-12	VYDAJ	PREVOD NA UCET	2298	49957	UVER	GH	85509657
1982337	6715	1998-11-12	VYDAJ	PREVOD NA UCET	2298	58173	UVER	GH	85509657
1982338	6715	1998-12-12	VYDAJ	PREVOD NA UCET	2298	40683	UVER	GH	85509657
1982346	6715	1994-03-24	VYBER	VYBER	9065	29655	\N	\N	\N
1982347	6715	1994-07-08	VYBER	VYBER	2002	12109	\N	\N	\N
1982348	6715	1994-09-05	VYBER	VYBER	5221	27147	\N	\N	\N
1982349	6715	1994-06-30	VYBER	VYBER	2732	8016	\N	\N	\N
1982350	6715	1994-07-04	VYBER	VYBER	7664	322	\N	\N	\N
1982351	6715	1994-04-05	VYBER	VYBER	10624	32936	\N	\N	\N
1982352	6715	1994-06-08	VYBER	VYBER	20848	1618	\N	\N	\N
1982355	6715	1995-04-24	VYBER	VYBER	23239	-1742	\N	\N	\N
1982356	6715	1995-06-22	VYBER	VYBER	2431	28782	\N	\N	\N
1982358	6715	1995-04-08	VYBER	VYBER	20468	23795	\N	\N	\N
1982359	6715	1995-12-06	VYBER	VYBER	7428	29910	\N	\N	\N
1982360	6715	1995-08-17	VYBER	VYBER	24482	11078	\N	\N	\N
1982361	6715	1995-11-11	VYBER	VYBER	19173	25083	\N	\N	\N
1982362	6715	1995-02-24	VYBER	VYBER	2750	6042	\N	\N	\N
1982363	6715	1995-08-23	VYBER	VYBER	10694	384	\N	\N	\N
1982366	6715	1996-06-25	VYBER	VYBER	7914	55214	\N	\N	\N
1982368	6715	1996-08-27	VYBER	VYBER	13173	55180	\N	\N	\N
1982369	6715	1996-11-22	VYBER	VYBER	17833	23277	\N	\N	\N
1982370	6715	1996-02-19	VYBER	VYBER	14929	21396	\N	\N	\N
1982371	6715	1997-10-02	VYBER	VYBER	18259	16720	\N	\N	\N
1982372	6715	1997-02-23	VYBER	VYBER	23340	16301	\N	\N	\N
1982373	6715	1997-01-19	VYBER	VYBER	6808	17557	\N	\N	\N
1982374	6715	1997-01-08	VYBER	VYBER	22221	26663	\N	\N	\N
1982375	6715	1997-09-26	VYBER	VYBER	17193	34807	\N	\N	\N
1982376	6715	1998-04-12	VYBER	VYBER	17929	8152	\N	\N	\N
1982377	6715	1998-09-13	VYBER	VYBER	7209	57670	\N	\N	\N
1982378	6715	1998-11-16	VYBER	VYBER	24947	8867	\N	\N	\N
1982379	6715	1998-02-12	VYBER	VYBER	5064	11919	\N	\N	\N
1982380	6715	1998-10-06	VYBER	VYBER	15902	54355	\N	\N	\N
1982381	6715	1998-07-21	VYBER	VYBER	15946	41363	\N	\N	\N
1982382	6715	1998-11-14	VYBER	VYBER	24359	33814	\N	\N	\N
1982383	6715	1998-01-19	VYBER	VYBER	22800	11156	\N	\N	\N
1982384	6715	1998-02-26	VYBER	VYBER	14724	12997	\N	\N	\N
1982385	6715	1998-10-30	VYBER	VYBER	7161	46496	\N	\N	\N
1982386	6715	1998-03-25	VYBER	VYBER	7668	29131	\N	\N	\N
1982387	6715	1998-01-24	VYBER	VYBER	19942	4614	\N	\N	\N
1982388	6715	1998-04-08	VYBER	VYBER	4298	26081	\N	\N	\N
1982389	6715	1998-11-19	VYBER	VYBER	4988	29379	\N	\N	\N
1982394	6715	1997-06-18	VYDAJ	VYBER	73500	2258	\N	\N	\N
1982395	6715	1998-06-20	VYDAJ	VYBER	15900	30401	\N	\N	\N
1982398	6715	1995-01-10	VYDAJ	VYBER	5100	19967	\N	\N	\N
1982403	6715	1994-12-23	VYDAJ	VYBER	6300	23888	\N	\N	\N
1982404	6715	1995-12-09	VYDAJ	VYBER	2700	27210	\N	\N	\N
1982405	6715	1996-12-20	VYDAJ	VYBER	5700	51125	\N	\N	\N
1982406	6715	1997-12-14	VYDAJ	VYBER	7500	43415	\N	\N	\N
1982407	6715	1998-12-07	VYDAJ	VYBER	7200	42981	\N	\N	\N
1982420	6715	1995-01-26	VYDAJ	VYBER	2400	1567	\N	\N	\N
1982421	6715	1995-01-05	VYDAJ	VYBER	5100	26067	\N	\N	\N
1982423	6715	1995-01-18	VYDAJ	VYBER	4800	12967	\N	\N	\N
1982424	6715	1995-01-08	VYDAJ	VYBER	7200	25067	\N	\N	\N
1982425	6715	1995-01-03	VYDAJ	VYBER	6600	17378	\N	\N	\N
1982426	6715	1996-01-21	VYDAJ	VYBER	8700	18170	\N	\N	\N
1982427	6715	1996-01-01	VYDAJ	VYBER	4500	11779	\N	\N	\N
1982428	6715	1996-01-17	VYDAJ	VYBER	2700	26870	\N	\N	\N
1982429	6715	1996-01-22	VYDAJ	VYBER	8100	10070	\N	\N	\N
1982430	6715	1996-01-02	VYDAJ	VYBER	2100	9679	\N	\N	\N
1982431	6715	1996-01-10	VYDAJ	VYBER	6900	31868	\N	\N	\N
1982432	6715	1997-01-23	VYDAJ	VYBER	2100	12757	\N	\N	\N
1982433	6715	1997-01-27	VYDAJ	VYBER	6000	32557	\N	\N	\N
1982434	6715	1997-01-07	VYDAJ	VYBER	8100	48884	\N	\N	\N
1982435	6715	1997-01-21	VYDAJ	VYBER	2700	14857	\N	\N	\N
1982436	6715	1997-01-30	VYDAJ	VYBER	4500	28057	\N	\N	\N
1982437	6715	1997-01-25	VYDAJ	VYBER	1500	11257	\N	\N	\N
1982440	6715	1998-01-02	VYDAJ	VYBER	3600	34165	\N	\N	\N
1982441	6715	1998-01-14	VYDAJ	VYBER	3000	33956	\N	\N	\N
1982442	6715	1998-01-13	VYDAJ	VYBER	8700	36956	\N	\N	\N
1982443	6715	1998-01-24	VYDAJ	VYBER	1500	3114	\N	\N	\N
1982450	6715	1994-05-31	VYDAJ	VYBER	8100	1782	\N	\N	\N
1982451	6715	1994-10-06	VYDAJ	VYBER	13200	13311	\N	\N	\N
1982452	6715	1994-10-26	VYDAJ	VYBER	3300	14011	\N	\N	\N
1982453	6715	1994-05-19	VYDAJ	VYBER	11400	19714	\N	\N	\N
1982454	6715	1994-10-05	VYDAJ	VYBER	10800	26511	\N	\N	\N
1982455	6715	1994-05-23	VYDAJ	VYBER	9900	9814	\N	\N	\N
1982456	6715	1994-08-04	VYDAJ	VYBER	8700	6939	\N	\N	\N
1982457	6715	1994-12-01	VYDAJ	VYBER	10500	15004	\N	\N	\N
1982458	6715	1995-12-28	VYDAJ	VYBER	8700	16211	\N	\N	\N
1982459	6715	1995-12-04	VYDAJ	VYBER	11700	16654	\N	\N	\N
1982460	6715	1995-11-20	VYDAJ	VYBER	11700	11085	\N	\N	\N
1982461	6715	1995-05-05	VYDAJ	VYBER	11700	411	\N	\N	\N
1982462	6715	1995-01-23	VYDAJ	VYBER	9000	3967	\N	\N	\N
1982463	6715	1995-02-09	VYDAJ	VYBER	9600	11090	\N	\N	\N
1982464	6715	1996-11-12	VYDAJ	VYBER	5700	57808	\N	\N	\N
1982465	6715	1996-04-25	VYDAJ	VYBER	10200	43205	\N	\N	\N
1982466	6715	1996-05-03	VYDAJ	VYBER	8700	36385	\N	\N	\N
1982467	6715	1996-10-10	VYDAJ	VYBER	10500	63695	\N	\N	\N
1982468	6715	1996-11-15	VYDAJ	VYBER	14400	41110	\N	\N	\N
1982469	6715	1996-11-06	VYDAJ	VYBER	9000	63508	\N	\N	\N
1982470	6715	1997-04-03	VYDAJ	VYBER	1500	48644	\N	\N	\N
1982471	6715	1997-12-05	VYDAJ	VYBER	12000	53213	\N	\N	\N
1982472	6715	1997-12-21	VYDAJ	VYBER	10800	32615	\N	\N	\N
1982473	6715	1997-01-02	VYDAJ	VYBER	12300	43195	\N	\N	\N
1982474	6715	1997-07-16	VYDAJ	VYBER	7800	27186	\N	\N	\N
1982476	6715	1998-10-10	VYDAJ	VYBER	2100	52255	\N	\N	\N
1982477	6715	1998-04-02	VYDAJ	VYBER	12600	16590	\N	\N	\N
1982478	6715	1998-05-27	VYDAJ	VYBER	14100	27802	\N	\N	\N
1982479	6715	1998-12-17	VYDAJ	VYBER	7800	32883	\N	\N	\N
1982494	6715	1994-02-28	VYDAJ	VYBER	30	35531	SLUZBY	\N	\N
1982495	6715	1994-03-31	VYDAJ	VYBER	30	29771	SLUZBY	\N	\N
1982496	6715	1994-04-30	VYDAJ	VYBER	30	26725	SLUZBY	\N	\N
1982497	6715	1994-05-31	VYDAJ	VYBER	30	9882	SLUZBY	\N	\N
1982498	6715	1994-06-30	VYDAJ	VYBER	30	7986	SLUZBY	\N	\N
1982499	6715	1994-07-31	VYDAJ	VYBER	30	15639	SLUZBY	\N	\N
1982500	6715	1994-08-31	VYDAJ	VYBER	30	18579	SLUZBY	\N	\N
1982501	6715	1994-09-30	VYDAJ	VYBER	30	23522	SLUZBY	\N	\N
1982502	6715	1994-10-31	VYDAJ	VYBER	30	12054	SLUZBY	\N	\N
1982503	6715	1994-11-30	VYDAJ	VYBER	30	25504	SLUZBY	\N	\N
1982504	6715	1994-12-31	VYDAJ	VYBER	30	23978	SLUZBY	\N	\N
1982505	6715	1995-01-31	VYDAJ	VYBER	30	1601	SLUZBY	\N	\N
1982506	6715	1995-02-28	VYDAJ	VYBER	30	6044	SLUZBY	\N	\N
1982507	6715	1995-03-31	VYDAJ	VYBER	30	20074	SLUZBY	\N	\N
1982509	6715	1995-05-31	VYDAJ	VYBER	30	12629	SLUZBY	\N	\N
1982510	6715	1995-06-30	VYDAJ	VYBER	30	28864	SLUZBY	\N	\N
1982511	6715	1995-07-31	VYDAJ	VYBER	30	35669	SLUZBY	\N	\N
1982512	6715	1995-08-31	VYDAJ	VYBER	30	441	SLUZBY	\N	\N
1982513	6715	1995-09-30	VYDAJ	VYBER	30	21280	SLUZBY	\N	\N
1982514	6715	1995-10-31	VYDAJ	VYBER	30	30567	SLUZBY	\N	\N
1982515	6715	1995-11-30	VYDAJ	VYBER	30	11154	SLUZBY	\N	\N
1982516	6715	1995-12-31	VYDAJ	VYBER	30	16279	SLUZBY	\N	\N
1982517	6715	1996-01-31	VYDAJ	VYBER	30	10134	SLUZBY	\N	\N
1982518	6715	1996-02-29	VYDAJ	VYBER	30	21480	SLUZBY	\N	\N
1982519	6715	1996-03-31	VYDAJ	VYBER	30	44414	SLUZBY	\N	\N
1982520	6715	1996-04-30	VYDAJ	VYBER	30	43385	SLUZBY	\N	\N
1982521	6715	1996-05-31	VYDAJ	VYBER	30	48042	SLUZBY	\N	\N
1982522	6715	1996-06-30	VYDAJ	VYBER	30	55433	SLUZBY	\N	\N
1982523	6715	1996-07-31	VYDAJ	VYBER	30	56862	SLUZBY	\N	\N
1982524	6715	1996-08-31	VYDAJ	VYBER	30	50606	SLUZBY	\N	\N
1982525	6715	1996-09-30	VYDAJ	VYBER	30	60406	SLUZBY	\N	\N
1982526	6715	1996-10-31	VYDAJ	VYBER	30	58719	SLUZBY	\N	\N
1982527	6715	1996-11-30	VYDAJ	VYBER	30	38439	SLUZBY	\N	\N
1982528	6715	1996-12-31	VYDAJ	VYBER	30	55495	SLUZBY	\N	\N
1982529	6715	1997-01-31	VYDAJ	VYBER	30	28150	SLUZBY	\N	\N
1982530	6715	1997-02-28	VYDAJ	VYBER	30	35903	SLUZBY	\N	\N
1982531	6715	1997-03-31	VYDAJ	VYBER	30	50144	SLUZBY	\N	\N
1982532	6715	1997-04-30	VYDAJ	VYBER	30	58049	SLUZBY	\N	\N
1982533	6715	1997-05-31	VYDAJ	VYBER	30	57372	SLUZBY	\N	\N
1982534	6715	1997-06-30	VYDAJ	VYBER	30	23495	SLUZBY	\N	\N
1982535	6715	1997-07-31	VYDAJ	VYBER	30	35772	SLUZBY	\N	\N
1982536	6715	1997-08-31	VYDAJ	VYBER	30	46109	SLUZBY	\N	\N
1982537	6715	1997-09-30	VYDAJ	VYBER	30	34979	SLUZBY	\N	\N
1982538	6715	1997-10-31	VYDAJ	VYBER	30	32406	SLUZBY	\N	\N
1982539	6715	1997-11-30	VYDAJ	VYBER	30	44529	SLUZBY	\N	\N
1982540	6715	1997-12-31	VYDAJ	VYBER	30	37765	SLUZBY	\N	\N
1982541	6715	1998-01-31	VYDAJ	VYBER	30	3194	SLUZBY	\N	\N
1982542	6715	1998-02-28	VYDAJ	VYBER	30	13008	SLUZBY	\N	\N
1982543	6715	1998-03-31	VYDAJ	VYBER	30	29190	SLUZBY	\N	\N
1982544	6715	1998-04-30	VYDAJ	VYBER	30	30111	SLUZBY	\N	\N
1982545	6715	1998-05-31	VYDAJ	VYBER	30	27915	SLUZBY	\N	\N
1982546	6715	1998-06-30	VYDAJ	VYBER	30	38018	SLUZBY	\N	\N
1982547	6715	1998-07-31	VYDAJ	VYBER	30	41528	SLUZBY	\N	\N
1982548	6715	1998-08-31	VYDAJ	VYBER	30	53388	SLUZBY	\N	\N
1982549	6715	1998-09-30	VYDAJ	VYBER	30	56468	SLUZBY	\N	\N
1982550	6715	1998-10-31	VYDAJ	VYBER	30	46682	SLUZBY	\N	\N
1982551	6715	1998-11-30	VYDAJ	VYBER	30	29497	SLUZBY	\N	\N
1982552	6715	1993-10-15	PRIJEM	VKLAD	7500	21489	\N	\N	\N
1982553	6715	1993-11-14	VYDAJ	VYBER	4700	30627	\N	\N	\N
1982554	6715	1993-12-14	VYDAJ	VYBER	12700	38722	\N	\N	\N
1982555	6715	1994-01-13	VYDAJ	VYBER	14800	37858	\N	\N	\N
1982556	6715	1994-02-12	VYDAJ	VYBER	11700	38106	\N	\N	\N
1982557	6715	1994-03-14	VYDAJ	VYBER	10600	38720	\N	\N	\N
1982558	6715	1994-04-13	VYDAJ	VYBER	3500	26636	\N	\N	\N
1982559	6715	1994-05-13	VYDAJ	VYBER	7400	31114	\N	\N	\N
1982560	6715	1994-06-12	PRIJEM	VKLAD	9100	10718	\N	\N	\N
1982561	6715	1994-07-12	PRIJEM	VKLAD	6000	18109	\N	\N	\N
1982562	6715	1994-08-11	PRIJEM	VKLAD	500	21228	\N	\N	\N
1982563	6715	1994-09-10	VYDAJ	VYBER	2000	25147	\N	\N	\N
1982564	6715	1994-10-10	PRIJEM	VKLAD	5700	19011	\N	\N	\N
1982565	6715	1994-11-09	VYDAJ	VYBER	400	25443	\N	\N	\N
1982566	6715	1994-12-09	VYDAJ	VYBER	3800	31888	\N	\N	\N
1982567	6715	1995-01-08	PRIJEM	VKLAD	6200	32267	\N	\N	\N
1982568	6715	1995-02-07	PRIJEM	VKLAD	5300	20690	\N	\N	\N
1982569	6715	1995-03-09	PRIJEM	VKLAD	2500	22333	\N	\N	\N
1982570	6715	1995-04-08	PRIJEM	VKLAD	10400	44263	\N	\N	\N
1982571	6715	1995-05-08	PRIJEM	VKLAD	14500	14911	\N	\N	\N
1982572	6715	1995-06-07	PRIJEM	VKLAD	200	33511	\N	\N	\N
1982573	6715	1995-07-07	VYDAJ	VYBER	4800	37853	\N	\N	\N
1982574	6715	1995-08-06	VYDAJ	VYBER	11600	37858	\N	\N	\N
1982575	6715	1995-09-05	PRIJEM	VKLAD	9300	23530	\N	\N	\N
1982576	6715	1995-10-05	VYDAJ	VYBER	2300	32769	\N	\N	\N
1982577	6715	1995-11-04	VYDAJ	VYBER	100	30467	\N	\N	\N
1982578	6715	1995-12-04	PRIJEM	VKLAD	17200	28354	\N	\N	\N
1982579	6715	1996-01-03	PRIJEM	VKLAD	15300	24979	\N	\N	\N
1982580	6715	1996-02-02	PRIJEM	VKLAD	14700	24834	\N	\N	\N
1982581	6715	1996-03-03	PRIJEM	VKLAD	11300	32780	\N	\N	\N
1982582	6715	1996-04-02	VYDAJ	VYBER	2500	41914	\N	\N	\N
1982583	6715	1996-05-02	PRIJEM	VKLAD	1700	45085	\N	\N	\N
1982584	6715	1996-06-01	VYDAJ	VYBER	3300	44742	\N	\N	\N
1982585	6715	1996-07-01	VYDAJ	VYBER	1300	54133	\N	\N	\N
1982586	6715	1996-07-31	VYDAJ	VYBER	9000	56892	\N	\N	\N
1982587	6715	1996-08-30	VYDAJ	VYBER	4800	50380	\N	\N	\N
1982588	6715	1996-09-29	VYDAJ	VYBER	1900	60197	\N	\N	\N
1982589	6715	1996-10-29	VYDAJ	VYBER	2900	58497	\N	\N	\N
1982590	6715	1996-11-28	PRIJEM	VKLAD	15000	38277	\N	\N	\N
1982591	6715	1996-12-28	PRIJEM	VKLAD	4200	55325	\N	\N	\N
1982592	6715	1997-01-27	PRIJEM	VKLAD	27300	38557	\N	\N	\N
1982593	6715	1997-02-26	PRIJEM	VKLAD	19500	35801	\N	\N	\N
1982594	6715	1997-03-28	PRIJEM	VKLAD	2600	49994	\N	\N	\N
1982595	6715	1997-04-27	VYDAJ	VYBER	2300	57835	\N	\N	\N
1982596	6715	1997-05-27	VYDAJ	VYBER	12400	57140	\N	\N	\N
1982597	6715	1997-06-26	PRIJEM	VKLAD	21100	23358	\N	\N	\N
1982598	6715	1997-07-26	PRIJEM	VKLAD	8500	35686	\N	\N	\N
1982599	6715	1997-08-25	VYDAJ	VYBER	1300	45963	\N	\N	\N
1982600	6715	1997-09-24	VYDAJ	VYBER	5600	52000	\N	\N	\N
1982601	6715	1997-10-24	PRIJEM	VKLAD	4100	32311	\N	\N	\N
1982602	6715	1997-11-23	PRIJEM	VKLAD	500	44397	\N	\N	\N
1982603	6715	1997-12-23	PRIJEM	VKLAD	5000	37615	\N	\N	\N
1982604	6715	1998-01-22	PRIJEM	VKLAD	13400	24556	\N	\N	\N
1982605	6715	1998-02-21	PRIJEM	VKLAD	18100	27721	\N	\N	\N
1982606	6715	1998-03-23	PRIJEM	VKLAD	12300	36799	\N	\N	\N
1982607	6715	1998-04-22	PRIJEM	VKLAD	21900	30052	\N	\N	\N
1982608	6715	1998-05-22	PRIJEM	VKLAD	300	41902	\N	\N	\N
1982609	6715	1998-06-21	PRIJEM	VKLAD	7500	37901	\N	\N	\N
1982610	6715	1998-07-21	PRIJEM	VKLAD	7800	57309	\N	\N	\N
1982611	6715	1998-08-20	PRIJEM	VKLAD	200	53218	\N	\N	\N
1982612	6715	1998-09-19	VYDAJ	VYBER	1400	56270	\N	\N	\N
1982613	6715	1998-10-19	PRIJEM	VKLAD	3700	53657	\N	\N	\N
1982614	6715	1998-11-18	PRIJEM	VKLAD	25500	34367	\N	\N	\N
1988680	6738	1994-07-28	PRIJEM	VKLAD	800	800	\N	\N	\N
1988688	6738	1994-08-08	PRIJEM	PREVOD Z UCTU	18954	19754	\N	EF	22608131
1988689	6738	1994-09-08	PRIJEM	PREVOD Z UCTU	18954	39922	\N	EF	22608131
1988690	6738	1994-10-08	PRIJEM	PREVOD Z UCTU	18954	49470	\N	EF	22608131
1988691	6738	1994-11-08	PRIJEM	PREVOD Z UCTU	18954	55656	\N	EF	22608131
1988692	6738	1994-12-08	PRIJEM	PREVOD Z UCTU	28431	67441	\N	EF	22608131
1988693	6738	1995-01-08	PRIJEM	PREVOD Z UCTU	18954	48113	\N	EF	22608131
1988694	6738	1995-02-08	PRIJEM	PREVOD Z UCTU	18954	37296	\N	EF	22608131
1988695	6738	1995-03-08	PRIJEM	PREVOD Z UCTU	18954	51571	\N	EF	22608131
1988696	6738	1995-04-08	PRIJEM	PREVOD Z UCTU	18954	47702	\N	EF	22608131
1988697	6738	1995-05-08	PRIJEM	PREVOD Z UCTU	18954	58518	\N	EF	22608131
1988698	6738	1995-06-08	PRIJEM	PREVOD Z UCTU	28431	69530	\N	EF	22608131
1988699	6738	1995-07-08	PRIJEM	PREVOD Z UCTU	18954	65875	\N	EF	22608131
1988700	6738	1995-08-08	PRIJEM	PREVOD Z UCTU	18954	63811	\N	EF	22608131
1988701	6738	1995-09-08	PRIJEM	PREVOD Z UCTU	18954	61556	\N	EF	22608131
1988702	6738	1995-10-08	PRIJEM	PREVOD Z UCTU	18954	63614	\N	EF	22608131
1988703	6738	1995-11-08	PRIJEM	PREVOD Z UCTU	18954	65266	\N	EF	22608131
1988704	6738	1995-12-08	PRIJEM	PREVOD Z UCTU	28431	71123	\N	EF	22608131
1988705	6738	1996-01-08	PRIJEM	PREVOD Z UCTU	18954	47411	\N	EF	22608131
1988706	6738	1996-02-08	PRIJEM	PREVOD Z UCTU	18954	45532	\N	EF	22608131
1988707	6738	1996-03-08	PRIJEM	PREVOD Z UCTU	18954	42923	\N	EF	22608131
1988708	6738	1996-04-08	PRIJEM	PREVOD Z UCTU	18954	50731	\N	EF	22608131
1988709	6738	1996-05-08	PRIJEM	PREVOD Z UCTU	18954	55364	\N	EF	22608131
1988710	6738	1996-06-08	PRIJEM	PREVOD Z UCTU	28431	57586	\N	EF	22608131
1988711	6738	1996-07-08	PRIJEM	PREVOD Z UCTU	18954	56420	\N	EF	22608131
1988712	6738	1996-08-08	PRIJEM	PREVOD Z UCTU	18954	54261	\N	EF	22608131
1988713	6738	1996-09-08	PRIJEM	PREVOD Z UCTU	18954	52291	\N	EF	22608131
1988714	6738	1996-10-08	PRIJEM	PREVOD Z UCTU	18954	47319	\N	EF	22608131
1988715	6738	1996-11-08	PRIJEM	PREVOD Z UCTU	18954	49327	\N	EF	22608131
1988716	6738	1996-12-08	PRIJEM	PREVOD Z UCTU	28431	55175	\N	EF	22608131
1988717	6738	1997-01-08	PRIJEM	PREVOD Z UCTU	18954	47962	\N	EF	22608131
1988718	6738	1997-02-08	PRIJEM	PREVOD Z UCTU	18954	44112	\N	EF	22608131
1988719	6738	1997-03-08	PRIJEM	PREVOD Z UCTU	18954	40753	\N	EF	22608131
1988720	6738	1997-04-08	PRIJEM	PREVOD Z UCTU	18954	43688	\N	EF	22608131
1988721	6738	1997-05-08	PRIJEM	PREVOD Z UCTU	18954	48353	\N	EF	22608131
1988722	6738	1997-06-08	PRIJEM	PREVOD Z UCTU	28431	59294	\N	EF	22608131
1988723	6738	1997-07-08	PRIJEM	PREVOD Z UCTU	18954	53679	\N	EF	22608131
1988724	6738	1997-08-08	PRIJEM	PREVOD Z UCTU	18954	50862	\N	EF	22608131
1988725	6738	1997-09-08	PRIJEM	PREVOD Z UCTU	18954	49338	\N	EF	22608131
1988726	6738	1997-10-08	PRIJEM	PREVOD Z UCTU	18954	40785	\N	EF	22608131
1988727	6738	1997-11-08	PRIJEM	PREVOD Z UCTU	18954	40209	\N	EF	22608131
1988728	6738	1997-12-08	PRIJEM	PREVOD Z UCTU	28431	46815	\N	EF	22608131
1988729	6738	1998-01-08	PRIJEM	PREVOD Z UCTU	18954	42865	\N	EF	22608131
1988730	6738	1998-02-08	PRIJEM	PREVOD Z UCTU	18954	43363	\N	EF	22608131
1988731	6738	1998-03-08	PRIJEM	PREVOD Z UCTU	18954	45029	\N	EF	22608131
1988732	6738	1998-04-08	PRIJEM	PREVOD Z UCTU	18954	41078	\N	EF	22608131
1988733	6738	1998-05-08	PRIJEM	PREVOD Z UCTU	18954	44318	\N	EF	22608131
1988734	6738	1998-06-08	PRIJEM	PREVOD Z UCTU	28431	44749	\N	EF	22608131
1988735	6738	1998-07-08	PRIJEM	PREVOD Z UCTU	18954	44049	\N	EF	22608131
1988736	6738	1998-08-08	PRIJEM	PREVOD Z UCTU	18954	45256	\N	EF	22608131
1988737	6738	1998-09-08	PRIJEM	PREVOD Z UCTU	18954	46731	\N	EF	22608131
1988738	6738	1998-10-08	PRIJEM	PREVOD Z UCTU	18954	54035	\N	EF	22608131
1988739	6738	1998-11-08	PRIJEM	PREVOD Z UCTU	18954	49042	\N	EF	22608131
1988740	6738	1998-12-08	PRIJEM	PREVOD Z UCTU	28431	56443	\N	EF	22608131
1988752	6738	1994-12-08	VYDAJ	VYBER	3500	63941	\N	\N	0
1988753	6738	1995-01-08	VYDAJ	VYBER	2300	45813	\N	\N	0
1988754	6738	1995-02-01	VYDAJ	VYBER	3900	18342	\N	\N	0
1988755	6738	1995-03-13	VYDAJ	VYBER	2400	49171	\N	\N	0
1988756	6738	1995-04-13	VYDAJ	VYBER	2500	45202	\N	\N	0
1988757	6738	1995-05-11	VYDAJ	VYBER	2800	55718	\N	\N	0
1988758	6738	1995-05-28	VYDAJ	VYBER	2400	40918	\N	\N	0
1988759	6738	1995-07-23	VYDAJ	VYBER	2900	44675	\N	\N	0
1988760	6738	1995-08-14	VYDAJ	VYBER	3100	60711	\N	\N	0
1988761	6738	1995-09-05	VYDAJ	VYBER	4200	42602	\N	\N	0
1988762	6738	1995-10-14	VYDAJ	VYBER	1900	58414	\N	\N	0
1988763	6738	1995-11-12	VYDAJ	PREVOD NA UCET	3159	62107	UVER	ST	11352903
1988764	6738	1995-12-12	VYDAJ	PREVOD NA UCET	3159	67964	UVER	ST	11352903
1988765	6738	1996-01-12	VYDAJ	PREVOD NA UCET	3159	44252	UVER	ST	11352903
1988766	6738	1996-02-12	VYDAJ	PREVOD NA UCET	3159	42373	UVER	ST	11352903
1988767	6738	1996-03-12	VYDAJ	PREVOD NA UCET	3159	39764	UVER	ST	11352903
1988768	6738	1996-04-12	VYDAJ	PREVOD NA UCET	3159	47572	UVER	ST	11352903
1988769	6738	1996-05-12	VYDAJ	PREVOD NA UCET	3159	52205	UVER	ST	11352903
1988770	6738	1996-06-12	VYDAJ	PREVOD NA UCET	3159	54427	UVER	ST	11352903
1988771	6738	1996-07-12	VYDAJ	PREVOD NA UCET	3159	53261	UVER	ST	11352903
1988772	6738	1996-08-12	VYDAJ	PREVOD NA UCET	3159	51102	UVER	ST	11352903
1988773	6738	1996-09-12	VYDAJ	PREVOD NA UCET	3159	49132	UVER	ST	11352903
1988774	6738	1996-10-12	VYDAJ	PREVOD NA UCET	3159	44160	UVER	ST	11352903
1988775	6738	1996-11-12	VYDAJ	VYBER	2100	47227	\N	\N	0
1988776	6738	1996-12-16	VYDAJ	VYBER	2900	31875	\N	\N	0
1988777	6738	1996-12-27	VYDAJ	VYBER	3000	28875	\N	\N	0
1988778	6738	1997-02-19	VYDAJ	VYBER	3000	24112	\N	\N	0
1988779	6738	1997-02-24	VYDAJ	VYBER	2400	21712	\N	\N	0
1988780	6738	1997-04-08	VYDAJ	VYBER	1900	41788	\N	\N	0
1988781	6738	1997-05-17	VYDAJ	VYBER	3600	30753	\N	\N	0
1988782	6738	1997-06-10	VYDAJ	VYBER	2600	52494	\N	\N	0
1988783	6738	1997-07-12	VYDAJ	VYBER	3100	50579	\N	\N	0
1988784	6738	1997-08-04	VYDAJ	VYBER	3900	31908	\N	\N	0
1988785	6738	1997-09-21	VYDAJ	VYBER	3000	24138	\N	\N	0
1988786	6738	1997-09-24	VYDAJ	VYBER	2400	21738	\N	\N	0
1988787	6738	1997-11-14	VYDAJ	VYBER	2200	22209	\N	\N	0
1988788	6738	1997-12-05	VYDAJ	VYBER	3900	18384	\N	\N	0
1988789	6738	1998-01-07	VYDAJ	VYBER	4500	23911	\N	\N	0
1988790	6738	1998-02-16	VYDAJ	VYBER	3900	28383	\N	\N	0
1988791	6738	1998-03-07	VYDAJ	VYBER	2400	26075	\N	\N	0
1988792	6738	1998-04-01	VYDAJ	VYBER	4100	22124	\N	\N	0
1988793	6738	1998-05-13	VYDAJ	VYBER	3600	25618	\N	\N	0
1988794	6738	1998-06-04	VYDAJ	VYBER	3300	22418	\N	\N	0
1988795	6738	1998-07-05	VYDAJ	VYBER	2900	41995	\N	\N	0
1988796	6738	1998-08-24	VYDAJ	VYBER	3100	31056	\N	\N	0
1988797	6738	1998-08-30	VYDAJ	VYBER	2000	29056	\N	\N	0
1988798	6738	1998-10-19	VYDAJ	VYBER	2800	51235	\N	\N	0
1988799	6738	1998-10-31	VYDAJ	VYBER	4000	36103	\N	\N	0
1988800	6738	1998-12-04	VYDAJ	VYBER	3100	42012	\N	\N	0
1988803	6738	1994-12-24	VYBER	VYBER	22479	41462	\N	\N	\N
1988807	6738	1995-03-14	VYBER	VYBER	6067	43104	\N	\N	\N
1988809	6738	1996-05-24	VYBER	VYBER	4889	29016	\N	\N	\N
1988810	6738	1996-02-14	VYBER	VYBER	19297	23076	\N	\N	\N
1988819	6738	1998-02-14	VYBER	VYBER	11080	32283	\N	\N	\N
1988820	6738	1998-12-08	VYBER	VYBER	9738	46705	\N	\N	\N
1988827	6738	1998-10-30	VYBER	VYBER	11329	39906	\N	\N	\N
1988830	6738	1998-12-02	VYBER	VYBER	4101	45112	\N	\N	\N
1988838	6738	1995-12-27	VYDAJ	VYBER	6600	40864	\N	\N	\N
1988839	6738	1996-12-05	VYDAJ	VYBER	4500	26744	\N	\N	\N
1988841	6738	1998-12-07	VYDAJ	VYBER	2700	28012	\N	\N	\N
1988848	6738	1995-01-16	VYDAJ	VYBER	3900	36813	\N	\N	\N
1988849	6738	1995-01-22	VYDAJ	VYBER	5400	31413	\N	\N	\N
1988850	6738	1995-01-05	VYDAJ	VYBER	5400	29159	\N	\N	\N
1988851	6738	1995-01-14	VYDAJ	VYBER	5100	40713	\N	\N	\N
1988853	6738	1995-01-25	VYDAJ	VYBER	6900	22113	\N	\N	\N
1988854	6738	1996-01-04	VYDAJ	VYBER	4800	28457	\N	\N	\N
1988856	6738	1996-01-12	VYDAJ	VYBER	3600	40652	\N	\N	\N
1988857	6738	1996-01-02	VYDAJ	VYBER	7800	33257	\N	\N	\N
1988858	6738	1996-01-14	VYDAJ	VYBER	4500	36152	\N	\N	\N
1988859	6738	1996-01-21	VYDAJ	VYBER	5400	26452	\N	\N	\N
1988862	6738	1997-01-21	VYDAJ	VYBER	2100	25062	\N	\N	\N
1988877	6738	1995-04-01	VYDAJ	VYBER	9300	28748	\N	\N	\N
1988878	6738	1995-06-12	VYDAJ	VYBER	9900	59630	\N	\N	\N
1988879	6738	1995-11-14	VYDAJ	VYBER	6600	55507	\N	\N	\N
1988880	6738	1995-10-08	VYDAJ	VYBER	3300	60314	\N	\N	\N
1988882	6738	1996-07-19	VYDAJ	VYBER	1500	35161	\N	\N	\N
1988884	6738	1996-09-15	VYDAJ	VYBER	7200	28232	\N	\N	\N
1988889	6738	1997-06-09	VYDAJ	VYBER	4200	55094	\N	\N	\N
1988894	6738	1998-09-23	VYDAJ	VYBER	7200	39531	\N	\N	\N
1988895	6738	1998-07-25	VYDAJ	VYBER	9600	34449	\N	\N	\N
1988896	6738	1998-08-10	VYDAJ	VYBER	11100	34156	\N	\N	\N
1988912	6738	1994-12-31	VYDAJ	VYBER	15	34559	SLUZBY	\N	\N
1988913	6738	1995-01-31	VYDAJ	VYBER	15	22242	SLUZBY	\N	\N
1988914	6738	1995-02-28	VYDAJ	VYBER	15	32617	SLUZBY	\N	\N
1988915	6738	1995-03-31	VYDAJ	VYBER	15	38048	SLUZBY	\N	\N
1988916	6738	1995-04-30	VYDAJ	VYBER	15	39564	SLUZBY	\N	\N
1988917	6738	1995-05-31	VYDAJ	VYBER	15	41099	SLUZBY	\N	\N
1988918	6738	1995-06-30	VYDAJ	VYBER	15	46921	SLUZBY	\N	\N
1988919	6738	1995-07-31	VYDAJ	VYBER	15	44857	SLUZBY	\N	\N
1988920	6738	1995-08-31	VYDAJ	VYBER	15	46802	SLUZBY	\N	\N
1988921	6738	1995-09-30	VYDAJ	VYBER	15	44660	SLUZBY	\N	\N
1988922	6738	1995-10-31	VYDAJ	VYBER	15	46312	SLUZBY	\N	\N
1988923	6738	1995-11-30	VYDAJ	VYBER	15	42692	SLUZBY	\N	\N
1988924	6738	1995-12-31	VYDAJ	VYBER	15	41057	SLUZBY	\N	\N
1988925	6738	1996-01-31	VYDAJ	VYBER	15	26578	SLUZBY	\N	\N
1988926	6738	1996-02-29	VYDAJ	VYBER	15	23969	SLUZBY	\N	\N
1988927	6738	1996-03-31	VYDAJ	VYBER	15	31777	SLUZBY	\N	\N
1988928	6738	1996-04-30	VYDAJ	VYBER	15	36410	SLUZBY	\N	\N
1988929	6738	1996-05-31	VYDAJ	VYBER	15	29155	SLUZBY	\N	\N
1988930	6738	1996-06-30	VYDAJ	VYBER	15	37466	SLUZBY	\N	\N
1988931	6738	1996-07-31	VYDAJ	VYBER	15	35307	SLUZBY	\N	\N
1988932	6738	1996-08-31	VYDAJ	VYBER	15	33337	SLUZBY	\N	\N
1988933	6738	1996-09-30	VYDAJ	VYBER	15	28365	SLUZBY	\N	\N
1988934	6738	1996-10-31	VYDAJ	VYBER	15	30373	SLUZBY	\N	\N
1988935	6738	1996-11-30	VYDAJ	VYBER	15	31244	SLUZBY	\N	\N
1988936	6738	1996-12-31	VYDAJ	VYBER	15	29008	SLUZBY	\N	\N
1988937	6738	1997-01-31	VYDAJ	VYBER	15	25158	SLUZBY	\N	\N
1988938	6738	1997-02-28	VYDAJ	VYBER	15	21799	SLUZBY	\N	\N
1988939	6738	1997-03-31	VYDAJ	VYBER	15	24734	SLUZBY	\N	\N
1988940	6738	1997-04-30	VYDAJ	VYBER	15	29399	SLUZBY	\N	\N
1988941	6738	1997-05-31	VYDAJ	VYBER	15	30863	SLUZBY	\N	\N
1988942	6738	1997-06-30	VYDAJ	VYBER	15	34725	SLUZBY	\N	\N
1988943	6738	1997-07-31	VYDAJ	VYBER	15	35808	SLUZBY	\N	\N
1988944	6738	1997-08-31	VYDAJ	VYBER	15	30384	SLUZBY	\N	\N
1988945	6738	1997-09-30	VYDAJ	VYBER	15	21831	SLUZBY	\N	\N
1988946	6738	1997-10-31	VYDAJ	VYBER	15	21255	SLUZBY	\N	\N
1988947	6738	1997-11-30	VYDAJ	VYBER	15	22284	SLUZBY	\N	\N
1988948	6738	1997-12-31	VYDAJ	VYBER	15	28411	SLUZBY	\N	\N
1988949	6738	1998-01-31	VYDAJ	VYBER	15	24409	SLUZBY	\N	\N
1988950	6738	1998-02-28	VYDAJ	VYBER	15	28475	SLUZBY	\N	\N
1988951	6738	1998-03-31	VYDAJ	VYBER	15	26224	SLUZBY	\N	\N
1988952	6738	1998-04-30	VYDAJ	VYBER	15	25364	SLUZBY	\N	\N
1988953	6738	1998-05-31	VYDAJ	VYBER	15	25718	SLUZBY	\N	\N
1988954	6738	1998-06-30	VYDAJ	VYBER	15	44895	SLUZBY	\N	\N
1988955	6738	1998-07-31	VYDAJ	VYBER	15	34602	SLUZBY	\N	\N
1988956	6738	1998-08-31	VYDAJ	VYBER	15	29177	SLUZBY	\N	\N
1988957	6738	1998-09-30	VYDAJ	VYBER	15	39681	SLUZBY	\N	\N
1988958	6738	1998-10-31	VYDAJ	VYBER	15	36088	SLUZBY	\N	\N
1988959	6738	1998-11-30	VYDAJ	VYBER	15	49213	SLUZBY	\N	\N
1988960	6738	1994-08-27	PRIJEM	VKLAD	1200	20954	\N	\N	\N
1988961	6738	1994-09-26	VYDAJ	VYBER	9500	30422	\N	\N	\N
1988962	6738	1994-10-26	VYDAJ	VYBER	12900	36570	\N	\N	\N
1988963	6738	1994-11-25	VYDAJ	VYBER	16800	38856	\N	\N	\N
1988964	6738	1994-12-25	VYDAJ	VYBER	7100	34362	\N	\N	\N
1988965	6738	1995-01-24	VYDAJ	VYBER	2400	29013	\N	\N	\N
1988966	6738	1995-02-23	VYDAJ	VYBER	4800	32496	\N	\N	\N
1988967	6738	1995-03-25	VYDAJ	VYBER	5200	37904	\N	\N	\N
1988968	6738	1995-04-24	VYDAJ	VYBER	5800	39402	\N	\N	\N
1988969	6738	1995-05-24	VYDAJ	VYBER	12400	43318	\N	\N	\N
1988970	6738	1995-06-23	VYDAJ	VYBER	12900	46730	\N	\N	\N
1988971	6738	1995-07-23	VYDAJ	VYBER	18300	47575	\N	\N	\N
1988972	6738	1995-08-22	VYDAJ	VYBER	14100	46611	\N	\N	\N
1988973	6738	1995-09-21	VYDAJ	VYBER	17100	44456	\N	\N	\N
1988974	6738	1995-10-21	VYDAJ	VYBER	12300	46114	\N	\N	\N
1988975	6738	1995-11-20	VYDAJ	VYBER	13000	42507	\N	\N	\N
1988976	6738	1995-12-20	VYDAJ	VYBER	20500	47464	\N	\N	\N
1988977	6738	1996-01-19	VYDAJ	VYBER	4300	31852	\N	\N	\N
1988978	6738	1996-02-18	PRIJEM	VKLAD	800	23876	\N	\N	\N
1988979	6738	1996-03-19	VYDAJ	VYBER	8100	31664	\N	\N	\N
1988980	6738	1996-04-18	VYDAJ	VYBER	11300	36272	\N	\N	\N
1988981	6738	1996-05-18	VYDAJ	VYBER	18300	33905	\N	\N	\N
1988982	6738	1996-06-17	VYDAJ	VYBER	17100	37327	\N	\N	\N
1988983	6738	1996-07-17	VYDAJ	VYBER	16600	36661	\N	\N	\N
1988984	6738	1996-08-16	VYDAJ	VYBER	17900	33202	\N	\N	\N
1988985	6738	1996-09-15	VYDAJ	VYBER	13700	35432	\N	\N	\N
1988986	6738	1996-10-15	VYDAJ	VYBER	13900	30260	\N	\N	\N
1988987	6738	1996-11-14	VYDAJ	VYBER	16100	31127	\N	\N	\N
1988988	6738	1996-12-14	VYDAJ	VYBER	20400	34775	\N	\N	\N
1988989	6738	1997-01-13	VYDAJ	VYBER	20800	27162	\N	\N	\N
1988990	6738	1997-02-12	VYDAJ	VYBER	17000	27112	\N	\N	\N
1988991	6738	1997-03-14	VYDAJ	VYBER	16100	24653	\N	\N	\N
1988992	6738	1997-04-13	VYDAJ	VYBER	12500	29288	\N	\N	\N
1988993	6738	1997-05-13	VYDAJ	VYBER	14000	34353	\N	\N	\N
1988994	6738	1997-06-12	VYDAJ	VYBER	17900	34594	\N	\N	\N
1988995	6738	1997-07-12	VYDAJ	VYBER	14900	35679	\N	\N	\N
1988996	6738	1997-08-11	VYDAJ	VYBER	20600	30262	\N	\N	\N
1988997	6738	1997-09-10	VYDAJ	VYBER	22200	27138	\N	\N	\N
1988998	6738	1997-10-10	VYDAJ	VYBER	19600	21185	\N	\N	\N
1988999	6738	1997-11-09	VYDAJ	VYBER	15800	24409	\N	\N	\N
1989000	6738	1997-12-09	VYDAJ	VYBER	18500	28315	\N	\N	\N
1989001	6738	1998-01-08	VYDAJ	VYBER	18600	24265	\N	\N	\N
1989002	6738	1998-03-09	VYDAJ	VYBER	18900	26129	\N	\N	\N
1989003	6738	1998-04-08	VYDAJ	VYBER	15800	25278	\N	\N	\N
1989004	6738	1998-05-08	VYDAJ	VYBER	15100	29218	\N	\N	\N
1989005	6738	1998-06-07	VYDAJ	VYBER	6100	16318	\N	\N	\N
1989006	6738	1998-07-07	VYDAJ	VYBER	16900	25095	\N	\N	\N
1989007	6738	1998-08-06	VYDAJ	VYBER	8300	26302	\N	\N	\N
1989008	6738	1998-09-05	VYDAJ	VYBER	1400	27777	\N	\N	\N
1989009	6738	1998-10-05	VYDAJ	VYBER	4600	35081	\N	\N	\N
1989010	6738	1998-11-04	VYDAJ	VYBER	6000	30088	\N	\N	\N
1989011	6738	1998-12-04	VYDAJ	VYBER	11300	30712	\N	\N	\N
2005125	6792	1996-05-11	PRIJEM	VKLAD	400	400	\N	\N	\N
2005130	6792	1996-05-14	PRIJEM	VKLAD	11793	12193	\N	\N	\N
2005131	6792	1996-06-14	PRIJEM	VKLAD	17690	33812	\N	\N	\N
2005132	6792	1996-07-14	PRIJEM	VKLAD	11793	39507	\N	\N	\N
2005133	6792	1996-08-14	PRIJEM	VKLAD	11793	43455	\N	\N	\N
2005134	6792	1996-09-14	PRIJEM	VKLAD	11793	44322	\N	\N	\N
2005135	6792	1996-10-14	PRIJEM	VKLAD	11793	39491	\N	\N	\N
2005136	6792	1996-11-14	PRIJEM	VKLAD	11793	37436	\N	\N	\N
2005137	6792	1996-12-14	PRIJEM	VKLAD	17690	39226	\N	\N	\N
2005138	6792	1997-01-14	PRIJEM	VKLAD	11793	28958	\N	\N	\N
2005139	6792	1997-02-14	PRIJEM	VKLAD	11793	32171	\N	\N	\N
2005140	6792	1997-03-14	PRIJEM	VKLAD	11793	40773	\N	\N	\N
2005141	6792	1997-04-14	PRIJEM	VKLAD	11793	46281	\N	\N	\N
2005142	6792	1997-05-14	PRIJEM	VKLAD	11793	46432	\N	\N	\N
2005143	6792	1997-06-14	PRIJEM	VKLAD	17690	30664	\N	\N	\N
2005144	6792	1997-07-14	PRIJEM	VKLAD	11793	41761	\N	\N	\N
2005145	6792	1997-08-14	PRIJEM	VKLAD	11793	42679	\N	\N	\N
2005146	6792	1997-09-14	PRIJEM	VKLAD	11793	42274	\N	\N	\N
2005147	6792	1997-10-14	PRIJEM	VKLAD	11793	45193	\N	\N	\N
2005148	6792	1997-11-14	PRIJEM	VKLAD	11793	46725	\N	\N	\N
2005149	6792	1997-12-14	PRIJEM	VKLAD	17690	47760	\N	\N	\N
2005150	6792	1998-01-14	PRIJEM	VKLAD	11793	34995	\N	\N	\N
2005151	6792	1998-02-14	PRIJEM	VKLAD	11793	30158	\N	\N	\N
2005152	6792	1998-03-14	PRIJEM	VKLAD	11793	31522	\N	\N	\N
2005153	6792	1998-04-14	PRIJEM	VKLAD	11793	30190	\N	\N	\N
2005154	6792	1998-05-14	PRIJEM	VKLAD	11793	32485	\N	\N	\N
2005155	6792	1998-06-14	PRIJEM	VKLAD	17690	40888	\N	\N	\N
2005156	6792	1998-07-14	PRIJEM	VKLAD	11793	41071	\N	\N	\N
2005157	6792	1998-08-14	PRIJEM	VKLAD	11793	40009	\N	\N	\N
2005158	6792	1998-09-14	PRIJEM	VKLAD	11793	41942	\N	\N	\N
2005159	6792	1998-10-14	PRIJEM	VKLAD	11793	38878	\N	\N	\N
2005160	6792	1998-11-14	PRIJEM	VKLAD	11793	41406	\N	\N	\N
2005161	6792	1998-12-14	PRIJEM	VKLAD	17690	44036	\N	\N	\N
2005171	6792	1996-10-09	VYDAJ	PREVOD NA UCET	3520	28121	SIPO	GH	65384101
2005172	6792	1996-11-09	VYDAJ	PREVOD NA UCET	3520	27666	SIPO	GH	65384101
2005173	6792	1996-12-09	VYDAJ	PREVOD NA UCET	3520	21959	SIPO	GH	65384101
2005174	6792	1997-01-09	VYDAJ	PREVOD NA UCET	3520	20828	SIPO	GH	65384101
2005175	6792	1997-02-09	VYDAJ	PREVOD NA UCET	3520	20801	SIPO	GH	65384101
2005176	6792	1997-03-09	VYDAJ	PREVOD NA UCET	3520	29403	SIPO	GH	65384101
2005177	6792	1997-04-09	VYDAJ	PREVOD NA UCET	3520	36343	SIPO	GH	65384101
2005178	6792	1997-05-09	VYDAJ	PREVOD NA UCET	3520	36494	SIPO	GH	65384101
2005179	6792	1997-06-09	VYDAJ	PREVOD NA UCET	3520	38829	SIPO	GH	65384101
2005180	6792	1997-07-09	VYDAJ	PREVOD NA UCET	3520	31823	SIPO	GH	65384101
2005181	6792	1997-08-09	VYDAJ	PREVOD NA UCET	3520	32741	SIPO	GH	65384101
2005182	6792	1997-09-09	VYDAJ	PREVOD NA UCET	3520	32336	SIPO	GH	65384101
2005183	6792	1997-10-09	VYDAJ	PREVOD NA UCET	3520	35255	SIPO	GH	65384101
2005184	6792	1997-11-09	VYDAJ	PREVOD NA UCET	3520	36787	SIPO	GH	65384101
2005185	6792	1997-12-09	VYDAJ	PREVOD NA UCET	3520	31926	SIPO	GH	65384101
2005186	6792	1998-01-09	VYDAJ	PREVOD NA UCET	3520	25057	SIPO	GH	65384101
2005187	6792	1998-02-09	VYDAJ	PREVOD NA UCET	3520	20220	SIPO	GH	65384101
2005188	6792	1998-03-09	VYDAJ	PREVOD NA UCET	3520	21584	SIPO	GH	65384101
2005189	6792	1998-04-09	VYDAJ	PREVOD NA UCET	3520	18820	SIPO	GH	65384101
2005190	6792	1998-05-09	VYDAJ	PREVOD NA UCET	3520	21115	SIPO	GH	65384101
2005191	6792	1998-06-09	VYDAJ	PREVOD NA UCET	3520	24921	SIPO	GH	65384101
2005192	6792	1998-07-09	VYDAJ	PREVOD NA UCET	3520	29701	SIPO	GH	65384101
2005193	6792	1998-08-09	VYDAJ	PREVOD NA UCET	3520	28639	SIPO	GH	65384101
2005194	6792	1998-09-09	VYDAJ	PREVOD NA UCET	3520	30572	SIPO	GH	65384101
2005195	6792	1998-10-09	VYDAJ	PREVOD NA UCET	3520	27508	SIPO	GH	65384101
2005196	6792	1998-11-09	VYDAJ	PREVOD NA UCET	3520	31136	SIPO	GH	65384101
2005197	6792	1998-12-09	VYDAJ	PREVOD NA UCET	3520	26769	SIPO	GH	65384101
2005207	6792	1996-10-08	VYDAJ	PREVOD NA UCET	49	31641	 	AB	20771622
2005208	6792	1996-11-08	VYDAJ	PREVOD NA UCET	49	31186	 	AB	20771622
2005209	6792	1996-12-08	VYDAJ	PREVOD NA UCET	49	25479	 	AB	20771622
2005210	6792	1997-01-08	VYDAJ	PREVOD NA UCET	49	24348	 	AB	20771622
2005211	6792	1997-02-08	VYDAJ	PREVOD NA UCET	49	24321	 	AB	20771622
2005212	6792	1997-03-08	VYDAJ	PREVOD NA UCET	49	33823	 	AB	20771622
2005213	6792	1997-04-08	VYDAJ	PREVOD NA UCET	49	39863	 	AB	20771622
2005214	6792	1997-05-08	VYDAJ	PREVOD NA UCET	49	40014	 	AB	20771622
2005215	6792	1997-06-08	VYDAJ	PREVOD NA UCET	49	42349	 	AB	20771622
2005216	6792	1997-07-08	VYDAJ	PREVOD NA UCET	49	35343	 	AB	20771622
2005217	6792	1997-08-08	VYDAJ	PREVOD NA UCET	49	36261	 	AB	20771622
2005218	6792	1997-09-08	VYDAJ	PREVOD NA UCET	49	35856	 	AB	20771622
2005219	6792	1997-10-08	VYDAJ	PREVOD NA UCET	49	38775	 	AB	20771622
2005220	6792	1997-11-08	VYDAJ	PREVOD NA UCET	49	40307	 	AB	20771622
2005221	6792	1997-12-08	VYDAJ	PREVOD NA UCET	49	35446	 	AB	20771622
2005222	6792	1998-01-08	VYDAJ	PREVOD NA UCET	49	28577	 	AB	20771622
2005223	6792	1998-02-08	VYDAJ	PREVOD NA UCET	49	23740	 	AB	20771622
2005224	6792	1998-03-08	VYDAJ	PREVOD NA UCET	49	25104	 	AB	20771622
2005225	6792	1998-04-08	VYDAJ	PREVOD NA UCET	49	22340	 	AB	20771622
2005226	6792	1998-05-08	VYDAJ	PREVOD NA UCET	49	24635	 	AB	20771622
2005227	6792	1998-06-08	VYDAJ	PREVOD NA UCET	49	28441	 	AB	20771622
2005228	6792	1998-07-08	VYDAJ	PREVOD NA UCET	49	33221	 	AB	20771622
2005229	6792	1998-08-08	VYDAJ	PREVOD NA UCET	49	32159	 	AB	20771622
2005342	6792	1998-04-04	VYDAJ	VYBER	3840	22389	\N	\N	\N
2005230	6792	1998-09-08	VYDAJ	PREVOD NA UCET	49	34092	 	AB	20771622
2005231	6792	1998-10-08	VYDAJ	PREVOD NA UCET	49	31028	 	AB	20771622
2005232	6792	1998-11-08	VYDAJ	PREVOD NA UCET	49	34656	 	AB	20771622
2005233	6792	1998-12-08	VYDAJ	PREVOD NA UCET	49	30289	 	AB	20771622
2005243	6792	1996-10-12	VYDAJ	PREVOD NA UCET	423	27698	POJISTNE	YZ	5785042
2005244	6792	1996-11-12	VYDAJ	PREVOD NA UCET	423	25643	POJISTNE	YZ	5785042
2005245	6792	1996-12-12	VYDAJ	PREVOD NA UCET	423	21536	POJISTNE	YZ	5785042
2005246	6792	1997-01-12	VYDAJ	PREVOD NA UCET	423	17165	POJISTNE	YZ	5785042
2005247	6792	1997-02-12	VYDAJ	PREVOD NA UCET	423	20378	POJISTNE	YZ	5785042
2005248	6792	1997-03-12	VYDAJ	PREVOD NA UCET	423	28980	POJISTNE	YZ	5785042
2005249	6792	1997-04-12	VYDAJ	PREVOD NA UCET	423	35920	POJISTNE	YZ	5785042
2005250	6792	1997-05-12	VYDAJ	PREVOD NA UCET	423	36071	POJISTNE	YZ	5785042
2005251	6792	1997-06-12	VYDAJ	PREVOD NA UCET	423	36974	POJISTNE	YZ	5785042
2005252	6792	1997-07-12	VYDAJ	PREVOD NA UCET	423	31400	POJISTNE	YZ	5785042
2005253	6792	1997-08-12	VYDAJ	PREVOD NA UCET	423	32318	POJISTNE	YZ	5785042
2005254	6792	1997-09-12	VYDAJ	PREVOD NA UCET	423	30481	POJISTNE	YZ	5785042
2005255	6792	1997-10-12	VYDAJ	PREVOD NA UCET	423	34832	POJISTNE	YZ	5785042
2005256	6792	1997-11-12	VYDAJ	PREVOD NA UCET	423	36364	POJISTNE	YZ	5785042
2005257	6792	1997-12-12	VYDAJ	PREVOD NA UCET	423	30071	POJISTNE	YZ	5785042
2005258	6792	1998-01-12	VYDAJ	PREVOD NA UCET	423	24634	POJISTNE	YZ	5785042
2005259	6792	1998-02-12	VYDAJ	PREVOD NA UCET	423	19797	POJISTNE	YZ	5785042
2005260	6792	1998-03-12	VYDAJ	PREVOD NA UCET	423	21161	POJISTNE	YZ	5785042
2005261	6792	1998-04-12	VYDAJ	PREVOD NA UCET	423	18397	POJISTNE	YZ	5785042
2005262	6792	1998-05-12	VYDAJ	PREVOD NA UCET	423	20692	POJISTNE	YZ	5785042
2005263	6792	1998-06-12	VYDAJ	PREVOD NA UCET	423	24498	POJISTNE	YZ	5785042
2005264	6792	1998-07-12	VYDAJ	PREVOD NA UCET	423	29278	POJISTNE	YZ	5785042
2005265	6792	1998-08-12	VYDAJ	PREVOD NA UCET	423	28216	POJISTNE	YZ	5785042
2005266	6792	1998-09-12	VYDAJ	PREVOD NA UCET	423	30149	POJISTNE	YZ	5785042
2005267	6792	1998-10-12	VYDAJ	PREVOD NA UCET	423	27085	POJISTNE	YZ	5785042
2005268	6792	1998-11-12	VYDAJ	PREVOD NA UCET	423	29613	POJISTNE	YZ	5785042
2005269	6792	1998-12-12	VYDAJ	PREVOD NA UCET	423	26346	POJISTNE	YZ	5785042
2005279	6792	1996-10-23	VYDAJ	VYBER	1700	37791	\N	\N	0
2005280	6792	1996-11-11	VYDAJ	VYBER	1600	26066	\N	\N	0
2005281	6792	1996-11-24	VYDAJ	VYBER	1300	36136	\N	\N	0
2005282	6792	1997-01-25	VYDAJ	VYBER	1000	23278	\N	\N	0
2005283	6792	1997-02-05	VYDAJ	VYBER	1400	24370	\N	\N	0
2005284	6792	1997-03-08	VYDAJ	VYBER	900	32923	\N	\N	0
2005285	6792	1997-04-12	VYDAJ	PREVOD NA UCET	1432	34488	UVER	YZ	76593392
2005286	6792	1997-05-12	VYDAJ	PREVOD NA UCET	1432	34639	UVER	YZ	76593392
2005287	6792	1997-06-12	VYDAJ	PREVOD NA UCET	1432	37397	UVER	YZ	76593392
2005288	6792	1997-07-12	VYDAJ	PREVOD NA UCET	1432	29968	UVER	YZ	76593392
2005289	6792	1997-08-12	VYDAJ	PREVOD NA UCET	1432	30886	UVER	YZ	76593392
2005290	6792	1997-09-12	VYDAJ	PREVOD NA UCET	1432	30904	UVER	YZ	76593392
2005291	6792	1997-10-12	VYDAJ	PREVOD NA UCET	1432	33400	UVER	YZ	76593392
2005292	6792	1997-11-12	VYDAJ	PREVOD NA UCET	1432	34932	UVER	YZ	76593392
2005293	6792	1997-12-12	VYDAJ	PREVOD NA UCET	1432	30494	UVER	YZ	76593392
2005294	6792	1998-01-12	VYDAJ	PREVOD NA UCET	1432	23202	UVER	YZ	76593392
2005295	6792	1998-02-12	VYDAJ	PREVOD NA UCET	1432	18365	UVER	YZ	76593392
2005296	6792	1998-03-12	VYDAJ	PREVOD NA UCET	1432	19729	UVER	YZ	76593392
2005297	6792	1998-04-16	VYDAJ	VYBER	1600	28590	\N	\N	0
2005298	6792	1998-05-05	VYDAJ	VYBER	1500	24684	\N	\N	0
2005299	6792	1998-06-13	VYDAJ	VYBER	1300	23198	\N	\N	0
2005300	6792	1998-07-26	VYDAJ	VYBER	1300	39771	\N	\N	0
2005301	6792	1998-08-14	VYDAJ	VYBER	1100	38909	\N	\N	0
2005302	6792	1998-09-15	VYDAJ	VYBER	1300	40642	\N	\N	0
2005303	6792	1998-09-22	VYDAJ	VYBER	1000	39642	\N	\N	0
2005304	6792	1998-11-11	VYDAJ	VYBER	1100	30036	\N	\N	0
2005305	6792	1998-12-24	VYDAJ	VYBER	1700	40736	\N	\N	0
2005307	6792	1997-06-12	VYDAJ	VYBER	24000	12974	\N	\N	\N
2005310	6792	1997-01-04	VYDAJ	VYBER	7360	27197	\N	\N	\N
2005311	6792	1998-01-06	VYDAJ	VYBER	5920	28626	\N	\N	\N
2005312	6792	1996-12-02	VYDAJ	VYBER	2240	34028	\N	\N	\N
2005313	6792	1997-12-18	VYDAJ	VYBER	2560	45200	\N	\N	\N
2005314	6792	1998-12-20	VYDAJ	VYBER	1600	42436	\N	\N	\N
2005321	6792	1997-01-16	VYDAJ	VYBER	1200	27758	\N	\N	\N
2005322	6792	1997-01-02	VYDAJ	VYBER	3480	35877	\N	\N	\N
2005323	6792	1997-01-24	VYDAJ	VYBER	3480	24278	\N	\N	\N
2005324	6792	1997-01-26	VYDAJ	VYBER	600	22678	\N	\N	\N
2005325	6792	1997-01-02	VYDAJ	VYBER	1320	34557	\N	\N	\N
2005326	6792	1997-01-09	VYDAJ	VYBER	3240	17588	\N	\N	\N
2005327	6792	1998-01-30	VYDAJ	VYBER	600	21075	\N	\N	\N
2005328	6792	1998-01-24	VYDAJ	VYBER	2880	27075	\N	\N	\N
2005329	6792	1998-01-05	VYDAJ	VYBER	1920	34546	\N	\N	\N
2005330	6792	1998-01-25	VYDAJ	VYBER	720	26355	\N	\N	\N
2005331	6792	1998-01-18	VYDAJ	VYBER	2640	32355	\N	\N	\N
2005332	6792	1998-01-23	VYDAJ	VYBER	2400	29955	\N	\N	\N
2005338	6792	1997-07-17	VYDAJ	VYBER	5880	35881	\N	\N	\N
2005339	6792	1997-08-26	VYDAJ	VYBER	3720	38959	\N	\N	\N
2005340	6792	1997-04-28	VYDAJ	VYBER	5280	41001	\N	\N	\N
2005341	6792	1998-01-25	VYDAJ	VYBER	4680	21675	\N	\N	\N
2005343	6792	1998-06-22	VYDAJ	VYBER	5640	35248	\N	\N	\N
2005344	6792	1998-11-14	VYDAJ	VYBER	1800	39606	\N	\N	\N
2005354	6792	1996-09-30	VYDAJ	VYBER	15	44490	SLUZBY	\N	\N
2005355	6792	1996-10-31	VYDAJ	VYBER	15	37935	SLUZBY	\N	\N
2005356	6792	1996-11-30	VYDAJ	VYBER	15	36268	SLUZBY	\N	\N
2005357	6792	1996-12-31	VYDAJ	VYBER	15	39357	SLUZBY	\N	\N
2005358	6792	1997-01-31	VYDAJ	VYBER	15	22770	SLUZBY	\N	\N
2005359	6792	1997-02-28	VYDAJ	VYBER	15	32272	SLUZBY	\N	\N
2005360	6792	1997-03-31	VYDAJ	VYBER	15	40912	SLUZBY	\N	\N
2005361	6792	1997-04-30	VYDAJ	VYBER	15	41163	SLUZBY	\N	\N
2005362	6792	1997-05-31	VYDAJ	VYBER	15	46598	SLUZBY	\N	\N
2005363	6792	1997-06-30	VYDAJ	VYBER	15	30792	SLUZBY	\N	\N
2005364	6792	1997-07-31	VYDAJ	VYBER	15	36010	SLUZBY	\N	\N
2005365	6792	1997-08-31	VYDAJ	VYBER	15	39105	SLUZBY	\N	\N
2005366	6792	1997-09-30	VYDAJ	VYBER	15	42424	SLUZBY	\N	\N
2005367	6792	1997-10-31	VYDAJ	VYBER	15	45356	SLUZBY	\N	\N
2005368	6792	1997-11-30	VYDAJ	VYBER	15	46895	SLUZBY	\N	\N
2005369	6792	1997-12-31	VYDAJ	VYBER	15	45366	SLUZBY	\N	\N
2005370	6792	1998-01-31	VYDAJ	VYBER	15	23789	SLUZBY	\N	\N
2005371	6792	1998-02-28	VYDAJ	VYBER	15	30253	SLUZBY	\N	\N
2005372	6792	1998-03-31	VYDAJ	VYBER	15	31629	SLUZBY	\N	\N
2005373	6792	1998-04-30	VYDAJ	VYBER	15	28684	SLUZBY	\N	\N
2005374	6792	1998-05-31	VYDAJ	VYBER	15	28490	SLUZBY	\N	\N
2005375	6792	1998-06-30	VYDAJ	VYBER	15	33270	SLUZBY	\N	\N
2005376	6792	1998-07-31	VYDAJ	VYBER	15	32208	SLUZBY	\N	\N
2005377	6792	1998-08-31	VYDAJ	VYBER	15	34141	SLUZBY	\N	\N
2005378	6792	1998-09-30	VYDAJ	VYBER	15	31077	SLUZBY	\N	\N
2005379	6792	1998-10-31	VYDAJ	VYBER	15	34705	SLUZBY	\N	\N
2005380	6792	1998-11-30	VYDAJ	VYBER	15	30338	SLUZBY	\N	\N
2005381	6792	1996-06-10	PRIJEM	VKLAD	3900	16123	\N	\N	\N
2005382	6792	1996-07-10	VYDAJ	VYBER	6200	27714	\N	\N	\N
2005383	6792	1996-08-09	VYDAJ	VYBER	8000	31662	\N	\N	\N
2005384	6792	1996-09-08	VYDAJ	VYBER	11100	32529	\N	\N	\N
2005385	6792	1996-10-08	VYDAJ	VYBER	12800	31690	\N	\N	\N
2005386	6792	1996-11-07	VYDAJ	VYBER	6700	31235	\N	\N	\N
2005387	6792	1996-12-07	VYDAJ	VYBER	8500	25528	\N	\N	\N
2005388	6792	1997-01-06	VYDAJ	VYBER	2800	24397	\N	\N	\N
2005389	6792	1997-02-05	PRIJEM	VKLAD	3000	25770	\N	\N	\N
2005390	6792	1997-03-07	PRIJEM	VKLAD	1600	33872	\N	\N	\N
2005391	6792	1997-04-06	VYDAJ	VYBER	1000	39912	\N	\N	\N
2005392	6792	1997-05-06	VYDAJ	VYBER	1100	40063	\N	\N	\N
2005393	6792	1997-06-05	VYDAJ	VYBER	4200	42398	\N	\N	\N
2005394	6792	1997-07-05	PRIJEM	VKLAD	4600	35392	\N	\N	\N
2005395	6792	1997-08-04	PRIJEM	VKLAD	300	36310	\N	\N	\N
2005396	6792	1997-09-03	VYDAJ	VYBER	3200	35905	\N	\N	\N
2005397	6792	1997-10-03	VYDAJ	VYBER	3600	38824	\N	\N	\N
2005398	6792	1997-11-02	VYDAJ	VYBER	5000	40356	\N	\N	\N
2005399	6792	1997-12-02	VYDAJ	VYBER	11400	35495	\N	\N	\N
2005400	6792	1998-01-01	VYDAJ	VYBER	8900	36466	\N	\N	\N
2005401	6792	1998-01-31	PRIJEM	VKLAD	2600	23803	\N	\N	\N
2005402	6792	1998-03-02	VYDAJ	VYBER	5100	25153	\N	\N	\N
2005403	6792	1998-04-01	VYDAJ	VYBER	5400	26229	\N	\N	\N
2005404	6792	1998-05-01	VYDAJ	VYBER	2500	26184	\N	\N	\N
2005405	6792	1998-05-31	VYDAJ	VYBER	4100	28505	\N	\N	\N
2005406	6792	1998-06-30	VYDAJ	VYBER	2100	33285	\N	\N	\N
2005407	6792	1998-07-30	VYDAJ	VYBER	7700	32071	\N	\N	\N
2005408	6792	1998-08-29	VYDAJ	VYBER	4900	34009	\N	\N	\N
2005409	6792	1998-09-28	VYDAJ	VYBER	8700	30942	\N	\N	\N
2005410	6792	1998-10-28	VYDAJ	VYBER	4300	34578	\N	\N	\N
2005411	6792	1998-11-27	VYDAJ	VYBER	9400	30206	\N	\N	\N
2008830	6806	1993-11-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2008842	6806	1993-12-09	PRIJEM	PREVOD Z UCTU	36434	37534	\N	MN	49623239
2008843	6806	1994-01-09	PRIJEM	PREVOD Z UCTU	24289	55548	\N	MN	49623239
2008844	6806	1994-02-09	PRIJEM	PREVOD Z UCTU	24289	65577	\N	MN	49623239
2008845	6806	1994-03-09	PRIJEM	PREVOD Z UCTU	24289	70040	\N	MN	49623239
2008846	6806	1994-04-09	PRIJEM	PREVOD Z UCTU	24289	72321	\N	MN	49623239
2008847	6806	1994-05-09	PRIJEM	PREVOD Z UCTU	24289	53278	\N	MN	49623239
2008848	6806	1994-06-09	PRIJEM	PREVOD Z UCTU	36434	75027	\N	MN	49623239
2008849	6806	1994-07-09	PRIJEM	PREVOD Z UCTU	24289	59848	\N	MN	49623239
2008850	6806	1994-08-09	PRIJEM	PREVOD Z UCTU	24289	61664	\N	MN	49623239
2008851	6806	1994-09-09	PRIJEM	PREVOD Z UCTU	24289	59342	\N	MN	49623239
2008852	6806	1994-10-09	PRIJEM	PREVOD Z UCTU	24289	62367	\N	MN	49623239
2008853	6806	1994-11-09	PRIJEM	PREVOD Z UCTU	24289	67306	\N	MN	49623239
2008854	6806	1994-12-09	PRIJEM	PREVOD Z UCTU	36434	80509	\N	MN	49623239
2008855	6806	1995-01-09	PRIJEM	PREVOD Z UCTU	24289	64393	\N	MN	49623239
2008856	6806	1995-02-09	PRIJEM	PREVOD Z UCTU	24289	49763	\N	MN	49623239
2008857	6806	1995-03-09	PRIJEM	PREVOD Z UCTU	24289	61761	\N	MN	49623239
2008858	6806	1995-04-09	PRIJEM	PREVOD Z UCTU	24289	50645	\N	MN	49623239
2008859	6806	1995-05-09	PRIJEM	PREVOD Z UCTU	24289	63005	\N	MN	49623239
2008860	6806	1995-06-09	PRIJEM	PREVOD Z UCTU	36434	73945	\N	MN	49623239
2008861	6806	1995-07-09	PRIJEM	PREVOD Z UCTU	24289	68512	\N	MN	49623239
2008862	6806	1995-08-09	PRIJEM	PREVOD Z UCTU	24289	75882	\N	MN	49623239
2008863	6806	1995-09-09	PRIJEM	PREVOD Z UCTU	24289	47350	\N	MN	49623239
2008864	6806	1995-10-09	PRIJEM	PREVOD Z UCTU	24289	37666	\N	MN	49623239
2009031	6806	1998-12-03	VYDAJ	VYBER	8400	35929	\N	\N	\N
2008865	6806	1995-11-09	PRIJEM	PREVOD Z UCTU	24289	61172	\N	MN	49623239
2008866	6806	1995-12-09	PRIJEM	PREVOD Z UCTU	36434	66035	\N	MN	49623239
2008867	6806	1996-01-09	PRIJEM	PREVOD Z UCTU	24289	44160	\N	MN	49623239
2008868	6806	1996-02-09	PRIJEM	PREVOD Z UCTU	24289	24064	\N	MN	49623239
2008869	6806	1996-03-09	PRIJEM	PREVOD Z UCTU	24289	48801	\N	MN	49623239
2008870	6806	1996-04-09	PRIJEM	PREVOD Z UCTU	24289	50796	\N	MN	49623239
2008871	6806	1996-05-09	PRIJEM	PREVOD Z UCTU	24289	64712	\N	MN	49623239
2008872	6806	1996-06-09	PRIJEM	PREVOD Z UCTU	36434	58168	\N	MN	49623239
2008873	6806	1996-07-09	PRIJEM	PREVOD Z UCTU	24289	26360	\N	MN	49623239
2008874	6806	1996-08-09	PRIJEM	PREVOD Z UCTU	24289	28000	\N	MN	49623239
2008875	6806	1996-09-09	PRIJEM	PREVOD Z UCTU	24289	51552	\N	MN	49623239
2008876	6806	1996-10-09	PRIJEM	PREVOD Z UCTU	24289	59595	\N	MN	49623239
2008877	6806	1996-11-09	PRIJEM	PREVOD Z UCTU	24289	71248	\N	MN	49623239
2008878	6806	1996-12-09	PRIJEM	PREVOD Z UCTU	36434	74702	\N	MN	49623239
2008879	6806	1997-01-09	PRIJEM	PREVOD Z UCTU	24289	62081	\N	MN	49623239
2008880	6806	1997-02-09	PRIJEM	PREVOD Z UCTU	24289	47219	\N	MN	49623239
2008881	6806	1997-03-09	PRIJEM	PREVOD Z UCTU	24289	69254	\N	MN	49623239
2008882	6806	1997-04-09	PRIJEM	PREVOD Z UCTU	24289	61091	\N	MN	49623239
2008883	6806	1997-05-09	PRIJEM	PREVOD Z UCTU	24289	68088	\N	MN	49623239
2008884	6806	1997-06-09	PRIJEM	PREVOD Z UCTU	36434	64891	\N	MN	49623239
2008885	6806	1997-07-09	PRIJEM	PREVOD Z UCTU	24289	59049	\N	MN	49623239
2008886	6806	1997-08-09	PRIJEM	PREVOD Z UCTU	24289	65942	\N	MN	49623239
2008887	6806	1997-09-09	PRIJEM	PREVOD Z UCTU	24289	73074	\N	MN	49623239
2008888	6806	1997-10-09	PRIJEM	PREVOD Z UCTU	24289	76743	\N	MN	49623239
2008889	6806	1997-11-09	PRIJEM	PREVOD Z UCTU	24289	77421	\N	MN	49623239
2008890	6806	1997-12-09	PRIJEM	PREVOD Z UCTU	36434	83456	\N	MN	49623239
2008891	6806	1998-01-09	PRIJEM	PREVOD Z UCTU	24289	64153	\N	MN	49623239
2008892	6806	1998-02-09	PRIJEM	PREVOD Z UCTU	24289	51465	\N	MN	49623239
2008893	6806	1998-03-09	PRIJEM	PREVOD Z UCTU	24289	60829	\N	MN	49623239
2008894	6806	1998-04-09	PRIJEM	PREVOD Z UCTU	24289	57353	\N	MN	49623239
2008895	6806	1998-05-09	PRIJEM	PREVOD Z UCTU	24289	45792	\N	MN	49623239
2008896	6806	1998-06-09	PRIJEM	PREVOD Z UCTU	36434	66176	\N	MN	49623239
2008897	6806	1998-07-09	PRIJEM	PREVOD Z UCTU	24289	52727	\N	MN	49623239
2008898	6806	1998-08-09	PRIJEM	PREVOD Z UCTU	24289	66891	\N	MN	49623239
2008899	6806	1998-09-09	PRIJEM	PREVOD Z UCTU	24289	61082	\N	MN	49623239
2008900	6806	1998-10-09	PRIJEM	PREVOD Z UCTU	24289	48790	\N	MN	49623239
2008901	6806	1998-11-09	PRIJEM	PREVOD Z UCTU	24289	58006	\N	MN	49623239
2008902	6806	1998-12-09	PRIJEM	PREVOD Z UCTU	36434	72363	\N	MN	49623239
2008975	6806	1994-06-30	VYBER	VYBER	8799	40398	\N	\N	\N
2008976	6806	1994-07-01	VYBER	VYBER	4824	35559	\N	\N	\N
2008978	6806	1994-08-02	VYBER	VYBER	6870	37375	\N	\N	\N
2008981	6806	1994-12-12	VYBER	VYBER	4487	76022	\N	\N	\N
2008982	6806	1995-12-09	VYBER	VYBER	21551	44484	\N	\N	\N
2008983	6806	1995-08-16	VYBER	VYBER	19919	55963	\N	\N	\N
2008984	6806	1995-08-22	VYBER	VYBER	23562	22901	\N	\N	\N
2008985	6806	1995-01-07	VYBER	VYBER	2856	43404	\N	\N	\N
2008986	6806	1995-12-17	VYBER	VYBER	13534	24250	\N	\N	\N
2008987	6806	1995-11-30	VYBER	VYBER	8432	40116	\N	\N	\N
2008988	6806	1995-01-18	VYBER	VYBER	6180	44713	\N	\N	\N
2008989	6806	1995-09-24	VYBER	VYBER	22440	19010	\N	\N	\N
2008990	6806	1995-10-05	VYBER	VYBER	3028	16077	\N	\N	\N
2008991	6806	1995-05-13	VYBER	VYBER	4016	58989	\N	\N	\N
2008992	6806	1995-04-07	VYBER	VYBER	18658	26356	\N	\N	\N
2008993	6806	1995-05-19	VYBER	VYBER	6740	52249	\N	\N	\N
2008994	6806	1996-03-12	VYBER	VYBER	21400	27401	\N	\N	\N
2008995	6806	1996-07-01	VYBER	VYBER	13235	2071	\N	\N	\N
2008996	6806	1996-05-24	VYBER	VYBER	24726	21586	\N	\N	\N
2008997	6806	1996-06-18	VYBER	VYBER	7414	39554	\N	\N	\N
2009001	6806	1996-06-28	VYBER	VYBER	24362	15192	\N	\N	\N
2009002	6806	1996-07-19	VYBER	VYBER	11964	3675	\N	\N	\N
2009003	6806	1996-11-14	VYBER	VYBER	3458	45890	\N	\N	\N
2009004	6806	1996-07-14	VYBER	VYBER	15121	15639	\N	\N	\N
2009005	6806	1996-09-15	VYBER	VYBER	5468	35184	\N	\N	\N
2009006	6806	1998-03-26	VYBER	VYBER	7982	52847	\N	\N	\N
2009007	6806	1998-04-26	VYBER	VYBER	5539	51814	\N	\N	\N
2009008	6806	1998-10-04	VYBER	VYBER	18620	24501	\N	\N	\N
2009009	6806	1998-05-05	VYBER	VYBER	3460	21503	\N	\N	\N
2009010	6806	1998-05-04	VYBER	VYBER	16458	35563	\N	\N	\N
2009011	6806	1998-08-17	VYBER	VYBER	17882	34817	\N	\N	\N
2009012	6806	1998-08-15	VYBER	VYBER	14192	52699	\N	\N	\N
2009013	6806	1998-09-13	VYBER	VYBER	4955	56127	\N	\N	\N
2009016	6806	1995-06-10	VYDAJ	VYBER	16500	57445	\N	\N	\N
2009018	6806	1997-06-15	VYDAJ	VYBER	23400	41491	\N	\N	\N
2009019	6806	1998-06-20	VYDAJ	VYBER	27600	28076	\N	\N	\N
2009022	6806	1995-01-19	VYDAJ	VYBER	10800	33913	\N	\N	\N
2009023	6806	1996-01-20	VYDAJ	VYBER	29400	-340	\N	\N	\N
2009024	6806	1997-01-01	VYDAJ	VYBER	8700	41392	\N	\N	\N
2009025	6806	1998-01-28	VYDAJ	VYBER	16800	41053	\N	\N	\N
2009027	6806	1994-12-04	VYDAJ	VYBER	2400	44075	\N	\N	\N
2009028	6806	1995-12-08	VYDAJ	VYBER	7500	29601	\N	\N	\N
2009029	6806	1996-12-07	VYDAJ	VYBER	7800	38268	\N	\N	\N
2009030	6806	1997-12-02	VYDAJ	VYBER	7800	69922	\N	\N	\N
2009044	6806	1995-01-07	VYDAJ	VYBER	3300	40104	\N	\N	\N
2009045	6806	1995-01-11	VYDAJ	VYBER	8100	56293	\N	\N	\N
2009046	6806	1995-01-23	VYDAJ	VYBER	1500	28613	\N	\N	\N
2009047	6806	1995-01-29	VYDAJ	VYBER	3300	25313	\N	\N	\N
2009048	6806	1995-01-12	VYDAJ	VYBER	5400	50893	\N	\N	\N
2009049	6806	1995-01-05	VYDAJ	VYBER	7200	46260	\N	\N	\N
2009050	6806	1996-01-20	VYDAJ	VYBER	8100	29060	\N	\N	\N
2009051	6806	1996-01-05	VYDAJ	VYBER	4500	19871	\N	\N	\N
2009056	6806	1997-01-20	VYDAJ	VYBER	1800	33181	\N	\N	\N
2009057	6806	1997-01-09	VYDAJ	VYBER	5400	41881	\N	\N	\N
2009058	6806	1997-01-27	VYDAJ	VYBER	3900	22681	\N	\N	\N
2009059	6806	1997-01-20	VYDAJ	VYBER	2400	30781	\N	\N	\N
2009060	6806	1997-01-14	VYDAJ	VYBER	6900	34981	\N	\N	\N
2009061	6806	1997-01-24	VYDAJ	VYBER	4200	26581	\N	\N	\N
2009062	6806	1998-01-20	VYDAJ	VYBER	4500	59653	\N	\N	\N
2009063	6806	1998-01-01	VYDAJ	VYBER	4200	79564	\N	\N	\N
2009064	6806	1998-01-25	VYDAJ	VYBER KARTOU	1800	57853	\N	\N	0
2009065	6806	1998-01-07	VYDAJ	VYBER	6000	39864	\N	\N	\N
2009066	6806	1998-01-29	VYDAJ	VYBER	8400	32653	\N	\N	\N
2009067	6806	1998-01-05	VYDAJ	VYBER	5100	45864	\N	\N	\N
2009070	6806	1994-09-23	VYDAJ	VYBER	2700	37942	\N	\N	\N
2009071	6806	1994-04-20	VYDAJ	VYBER	13200	46521	\N	\N	\N
2009073	6806	1994-04-25	VYDAJ	VYBER	4200	28821	\N	\N	\N
2009074	6806	1994-08-22	VYDAJ	VYBER	14100	47564	\N	\N	\N
2009075	6806	1994-04-24	VYDAJ	VYBER	13500	33021	\N	\N	\N
2009076	6806	1994-04-19	VYDAJ	VYBER	12600	59721	\N	\N	\N
2009077	6806	1995-12-01	VYDAJ	VYBER	3000	37101	\N	\N	\N
2009078	6806	1995-10-05	VYDAJ	VYBER	2700	13377	\N	\N	\N
2009079	6806	1995-12-15	VYDAJ	VYBER	4800	39684	\N	\N	\N
2009080	6806	1995-05-19	VYDAJ	VYBER	7500	44749	\N	\N	\N
2009082	6806	1996-08-14	VYDAJ	VYBER	2700	27200	\N	\N	\N
2009083	6806	1996-03-05	VYDAJ	VYBER	3900	24512	\N	\N	\N
2009084	6806	1996-05-11	VYDAJ	VYBER	4500	60212	\N	\N	\N
2009085	6806	1997-03-11	VYDAJ	VYBER	13800	36654	\N	\N	\N
2009086	6806	1997-05-28	VYDAJ	VYBER	10800	35788	\N	\N	\N
2009087	6806	1997-02-16	VYDAJ	VYBER	2400	44819	\N	\N	\N
2009088	6806	1997-01-08	VYDAJ	VYBER	3600	37792	\N	\N	\N
2009089	6806	1997-07-18	VYDAJ	VYBER KARTOU	1800	57249	\N	\N	0
2009090	6806	1997-10-13	VYDAJ	VYBER KARTOU	3600	73143	\N	\N	0
2009091	6806	1997-07-28	VYDAJ	VYBER	4800	52449	\N	\N	\N
2009092	6806	1997-12-07	VYDAJ	VYBER	4800	47022	\N	\N	\N
2009093	6806	1998-03-28	VYDAJ	VYBER KARTOU	3900	48947	\N	\N	0
2009094	6806	1998-12-16	VYDAJ	VYBER	13800	58563	\N	\N	\N
2009095	6806	1998-10-09	VYDAJ	VYBER	11700	37090	\N	\N	\N
2009096	6806	1998-06-15	VYDAJ	VYBER	10500	55676	\N	\N	\N
2009097	6806	1998-05-20	VYDAJ	VYBER	6600	39192	\N	\N	\N
2009098	6806	1998-10-16	VYDAJ	VYBER KARTOU	3600	33490	\N	\N	0
2009115	6806	1994-04-30	VYDAJ	VYBER	15	28989	SLUZBY	\N	\N
2009116	6806	1994-05-31	VYDAJ	VYBER	15	38593	SLUZBY	\N	\N
2009117	6806	1994-06-30	VYDAJ	VYBER	15	40383	SLUZBY	\N	\N
2009118	6806	1994-07-31	VYDAJ	VYBER	15	44245	SLUZBY	\N	\N
2009119	6806	1994-08-31	VYDAJ	VYBER	15	35053	SLUZBY	\N	\N
2009120	6806	1994-09-30	VYDAJ	VYBER	15	38078	SLUZBY	\N	\N
2009121	6806	1994-10-31	VYDAJ	VYBER	15	43017	SLUZBY	\N	\N
2009122	6806	1994-11-30	VYDAJ	VYBER	15	46475	SLUZBY	\N	\N
2009123	6806	1994-12-31	VYDAJ	VYBER	15	53460	SLUZBY	\N	\N
2009124	6806	1995-01-31	VYDAJ	VYBER	15	25474	SLUZBY	\N	\N
2009125	6806	1995-02-28	VYDAJ	VYBER	15	37472	SLUZBY	\N	\N
2009126	6806	1995-03-31	VYDAJ	VYBER	15	45014	SLUZBY	\N	\N
2009127	6806	1995-04-30	VYDAJ	VYBER	15	38716	SLUZBY	\N	\N
2009128	6806	1995-05-31	VYDAJ	VYBER	15	37511	SLUZBY	\N	\N
2009129	6806	1995-06-30	VYDAJ	VYBER	15	44223	SLUZBY	\N	\N
2009130	6806	1995-07-31	VYDAJ	VYBER	15	51593	SLUZBY	\N	\N
2009131	6806	1995-08-31	VYDAJ	VYBER	15	23061	SLUZBY	\N	\N
2009132	6806	1995-09-30	VYDAJ	VYBER	15	19105	SLUZBY	\N	\N
2009133	6806	1995-10-31	VYDAJ	VYBER	15	36883	SLUZBY	\N	\N
2009134	6806	1995-11-30	VYDAJ	VYBER	15	40101	SLUZBY	\N	\N
2009135	6806	1995-12-31	VYDAJ	VYBER	15	24371	SLUZBY	\N	\N
2009136	6806	1996-01-31	VYDAJ	VYBER	15	-225	SLUZBY	\N	\N
2009137	6806	1996-02-29	VYDAJ	VYBER	15	28412	SLUZBY	\N	\N
2009138	6806	1996-03-31	VYDAJ	VYBER	15	26507	SLUZBY	\N	\N
2009139	6806	1996-04-30	VYDAJ	VYBER	15	40423	SLUZBY	\N	\N
2009140	6806	1996-05-31	VYDAJ	VYBER	15	21734	SLUZBY	\N	\N
2009141	6806	1996-06-30	VYDAJ	VYBER	15	15306	SLUZBY	\N	\N
2009142	6806	1996-07-31	VYDAJ	VYBER	15	3711	SLUZBY	\N	\N
2009143	6806	1996-08-31	VYDAJ	VYBER	15	27263	SLUZBY	\N	\N
2009144	6806	1996-09-30	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
2009145	6806	1996-10-31	VYDAJ	VYBER	15	46959	SLUZBY	\N	\N
2009146	6806	1996-11-30	VYDAJ	VYBER	15	46068	SLUZBY	\N	\N
2009147	6806	1996-12-31	VYDAJ	VYBER	15	50092	SLUZBY	\N	\N
2009148	6806	1997-01-31	VYDAJ	VYBER	15	22830	SLUZBY	\N	\N
2009149	6806	1997-02-28	VYDAJ	VYBER	15	44965	SLUZBY	\N	\N
2009150	6806	1997-03-31	VYDAJ	VYBER	15	36802	SLUZBY	\N	\N
2009151	6806	1997-04-30	VYDAJ	VYBER	15	43799	SLUZBY	\N	\N
2009152	6806	1997-05-31	VYDAJ	VYBER	15	35957	SLUZBY	\N	\N
2009153	6806	1997-06-30	VYDAJ	VYBER	15	41660	SLUZBY	\N	\N
2009154	6806	1997-07-31	VYDAJ	VYBER	15	52653	SLUZBY	\N	\N
2009155	6806	1997-08-31	VYDAJ	VYBER	15	66185	SLUZBY	\N	\N
2009156	6806	1997-09-30	VYDAJ	VYBER	15	73354	SLUZBY	\N	\N
2009157	6806	1997-10-31	VYDAJ	VYBER	15	73432	SLUZBY	\N	\N
2009158	6806	1997-11-30	VYDAJ	VYBER	15	77722	SLUZBY	\N	\N
2009159	6806	1997-12-31	VYDAJ	VYBER	15	83764	SLUZBY	\N	\N
2009160	6806	1998-01-31	VYDAJ	VYBER	15	32876	SLUZBY	\N	\N
2009161	6806	1998-02-28	VYDAJ	VYBER	15	51640	SLUZBY	\N	\N
2009162	6806	1998-03-31	VYDAJ	VYBER	15	49164	SLUZBY	\N	\N
2009163	6806	1998-04-30	VYDAJ	VYBER	15	52021	SLUZBY	\N	\N
2009164	6806	1998-05-31	VYDAJ	VYBER	15	39342	SLUZBY	\N	\N
2009165	6806	1998-06-30	VYDAJ	VYBER	15	28238	SLUZBY	\N	\N
2009166	6806	1998-07-31	VYDAJ	VYBER	15	52902	SLUZBY	\N	\N
2009167	6806	1998-08-31	VYDAJ	VYBER	15	34993	SLUZBY	\N	\N
2009168	6806	1998-09-30	VYDAJ	VYBER	15	56321	SLUZBY	\N	\N
2009169	6806	1998-10-31	VYDAJ	VYBER	15	33717	SLUZBY	\N	\N
2009170	6806	1998-11-30	VYDAJ	VYBER	15	58129	SLUZBY	\N	\N
2009171	6806	1993-12-26	VYDAJ	VYBER	6300	31234	\N	\N	\N
2009172	6806	1994-01-25	VYDAJ	VYBER	14400	41148	\N	\N	\N
2009173	6806	1994-02-24	VYDAJ	VYBER	20000	45577	\N	\N	\N
2009174	6806	1994-03-26	VYDAJ	VYBER	22200	47840	\N	\N	\N
2009175	6806	1994-05-25	VYDAJ	VYBER	14800	38478	\N	\N	\N
2009176	6806	1994-06-24	VYDAJ	VYBER	26000	49027	\N	\N	\N
2009177	6806	1994-07-24	VYDAJ	VYBER	15800	44048	\N	\N	\N
2009178	6806	1994-08-23	VYDAJ	VYBER	12700	34864	\N	\N	\N
2009179	6806	1994-09-22	VYDAJ	VYBER	18700	40642	\N	\N	\N
2009180	6806	1994-10-22	VYDAJ	VYBER	19500	42867	\N	\N	\N
2009181	6806	1994-11-21	VYDAJ	VYBER	21000	46306	\N	\N	\N
2009182	6806	1994-12-21	VYDAJ	VYBER	22800	53222	\N	\N	\N
2009183	6806	1995-01-20	VYDAJ	VYBER	3800	30113	\N	\N	\N
2009184	6806	1995-02-19	VYDAJ	VYBER	12400	37363	\N	\N	\N
2009185	6806	1995-03-21	VYDAJ	VYBER	16900	44861	\N	\N	\N
2009186	6806	1995-04-20	VYDAJ	VYBER	12100	38545	\N	\N	\N
2009187	6806	1995-05-20	VYDAJ	VYBER	7400	37349	\N	\N	\N
2009188	6806	1995-06-19	VYDAJ	VYBER	13400	44045	\N	\N	\N
2009189	6806	1995-07-19	VYDAJ	VYBER	17100	51412	\N	\N	\N
2009190	6806	1995-08-18	VYDAJ	VYBER	9500	46463	\N	\N	\N
2009191	6806	1995-09-17	VYDAJ	VYBER	5900	41450	\N	\N	\N
2009192	6806	1995-10-17	VYDAJ	VYBER	900	36766	\N	\N	\N
2009193	6806	1995-11-16	VYDAJ	VYBER	12800	48372	\N	\N	\N
2009194	6806	1995-12-16	VYDAJ	VYBER	1900	37784	\N	\N	\N
2009195	6806	1996-01-15	VYDAJ	VYBER	7000	37160	\N	\N	\N
2009196	6806	1996-02-14	PRIJEM	VKLAD	4300	28364	\N	\N	\N
2009197	6806	1996-03-15	VYDAJ	VYBER	1000	26401	\N	\N	\N
2009198	6806	1996-04-14	VYDAJ	VYBER	10500	40296	\N	\N	\N
2009199	6806	1996-05-14	VYDAJ	VYBER	13900	46312	\N	\N	\N
2009200	6806	1996-06-13	VYDAJ	VYBER	11200	46968	\N	\N	\N
2009201	6806	1996-07-13	PRIJEM	VKLAD	4400	30760	\N	\N	\N
2009202	6806	1996-08-12	PRIJEM	VKLAD	1900	29900	\N	\N	\N
2009203	6806	1996-09-11	VYDAJ	VYBER	10900	40652	\N	\N	\N
2009204	6806	1996-10-11	VYDAJ	VYBER	12800	46795	\N	\N	\N
2009205	6806	1996-11-10	VYDAJ	VYBER	21900	49348	\N	\N	\N
2009206	6806	1996-12-10	VYDAJ	VYBER	24800	49902	\N	\N	\N
2009207	6806	1997-01-09	VYDAJ	VYBER	14800	47281	\N	\N	\N
2009208	6806	1997-02-08	PRIJEM	VKLAD	100	22930	\N	\N	\N
2009209	6806	1997-03-10	VYDAJ	VYBER	18800	50454	\N	\N	\N
2009210	6806	1997-04-09	VYDAJ	VYBER	17500	43591	\N	\N	\N
2009211	6806	1997-05-09	VYDAJ	VYBER	21500	46588	\N	\N	\N
2009212	6806	1997-06-08	VYDAJ	VYBER	7500	28457	\N	\N	\N
2009213	6806	1997-07-08	VYDAJ	VYBER	6900	34760	\N	\N	\N
2009214	6806	1997-08-07	VYDAJ	VYBER	11000	41653	\N	\N	\N
2009215	6806	1997-09-06	VYDAJ	VYBER	17400	48785	\N	\N	\N
2009216	6806	1997-10-06	VYDAJ	VYBER	20900	52454	\N	\N	\N
2009217	6806	1997-11-05	VYDAJ	VYBER	20300	53132	\N	\N	\N
2009218	6806	1997-12-05	VYDAJ	VYBER	18100	51822	\N	\N	\N
2009219	6806	1998-01-04	VYDAJ	VYBER	28600	50964	\N	\N	\N
2009220	6806	1998-02-03	VYDAJ	VYBER	5700	27176	\N	\N	\N
2009221	6806	1998-03-05	VYDAJ	VYBER	15100	36540	\N	\N	\N
2009222	6806	1998-04-04	VYDAJ	VYBER	16100	33064	\N	\N	\N
2009223	6806	1998-05-04	VYDAJ	VYBER	10600	24963	\N	\N	\N
2009224	6806	1998-06-03	VYDAJ	VYBER	9600	29742	\N	\N	\N
2009225	6806	1998-07-03	PRIJEM	VKLAD	200	28438	\N	\N	\N
2009226	6806	1998-08-02	VYDAJ	VYBER	10300	42602	\N	\N	\N
2009227	6806	1998-09-01	PRIJEM	VKLAD	1800	36793	\N	\N	\N
2009228	6806	1998-10-01	VYDAJ	VYBER	13200	43121	\N	\N	\N
2009229	6806	1998-10-31	PRIJEM	VKLAD	100	33732	\N	\N	\N
2009230	6806	1998-11-30	VYDAJ	VYBER	13800	44329	\N	\N	\N
2023082	6856	1995-08-19	PRIJEM	VKLAD	600	600	\N	\N	\N
2023084	6856	1995-11-28	PRIJEM	VKLAD	39017	72170	\N	\N	\N
2023086	6856	1995-11-07	PRIJEM	VKLAD	17251	55458	\N	\N	\N
2023090	6856	1995-12-21	PRIJEM	VKLAD	26414	63257	\N	\N	\N
2023092	6856	1995-11-16	PRIJEM	VKLAD	48295	103753	\N	\N	\N
2023093	6856	1995-08-22	PRIJEM	VKLAD	28120	28720	\N	\N	\N
2023096	6856	1995-08-30	PRIJEM	VKLAD	29571	58291	\N	\N	\N
2023097	6856	1995-11-02	PRIJEM	VKLAD	7484	38207	\N	\N	\N
2023098	6856	1996-12-01	PRIJEM	VKLAD	27229	40455	\N	\N	\N
2023099	6856	1997-08-21	PRIJEM	VKLAD	5380	31485	\N	\N	\N
2023100	6856	1997-09-04	PRIJEM	VKLAD	29044	60645	\N	\N	\N
2023101	6856	1997-06-15	PRIJEM	VKLAD	14131	44757	\N	\N	\N
2023102	6856	1997-12-09	PRIJEM	VKLAD	11407	50122	\N	\N	\N
2023103	6856	1997-03-02	PRIJEM	VKLAD	22852	40887	\N	\N	\N
2023104	6856	1997-05-17	PRIJEM	VKLAD	21983	53091	\N	\N	\N
2023105	6856	1997-04-27	PRIJEM	VKLAD	46774	66450	\N	\N	\N
2023106	6856	1997-01-10	PRIJEM	VKLAD	45964	53769	\N	\N	\N
2023107	6856	1997-06-29	PRIJEM	VKLAD	25760	58517	\N	\N	\N
2023108	6856	1997-03-03	PRIJEM	VKLAD	20247	61134	\N	\N	\N
2023109	6856	1997-03-24	PRIJEM	VKLAD	5010	43028	\N	\N	\N
2023110	6856	1997-11-12	PRIJEM	VKLAD	19764	45585	\N	\N	\N
2023111	6856	1998-01-01	PRIJEM	VKLAD	16535	52292	\N	\N	\N
2023112	6856	1998-08-29	PRIJEM	VKLAD	41717	83196	\N	\N	\N
2023113	6856	1998-07-31	PRIJEM	VKLAD	47454	75329	\N	\N	\N
2023114	6856	1998-02-19	PRIJEM	VKLAD	23465	30549	\N	\N	\N
2023126	6856	1995-12-15	VYDAJ	VYBER	3600	47943	\N	\N	0
2023127	6856	1996-01-18	VYDAJ	VYBER	2500	24973	\N	\N	0
2023128	6856	1996-02-11	VYDAJ	VYBER	4500	7468	\N	\N	0
2023129	6856	1996-03-13	VYDAJ	VYBER	3700	2103	\N	\N	0
2023131	6856	1996-05-04	VYDAJ	VYBER	3700	11954	\N	\N	0
2023132	6856	1996-06-03	VYDAJ	VYBER	3300	12476	\N	\N	0
2023134	6856	1996-07-28	VYDAJ	VYBER	2900	14281	\N	\N	0
2023137	6856	1996-11-07	VYDAJ	VYBER	3400	8942	\N	\N	0
2023138	6856	1996-11-22	VYDAJ	VYBER	2900	13183	\N	\N	0
2023139	6856	1997-01-07	VYDAJ	VYBER	3800	14770	\N	\N	0
2023140	6856	1997-02-12	VYDAJ	VYBER	3900	18757	\N	\N	0
2023141	6856	1997-03-28	VYDAJ	VYBER	3500	39528	\N	\N	0
2023142	6856	1997-04-12	VYDAJ	VYBER	3000	26770	\N	\N	0
2023143	6856	1997-05-12	VYDAJ	PREVOD NA UCET	3454	45402	UVER	CD	38296979
2023144	6856	1997-06-12	VYDAJ	PREVOD NA UCET	3454	31420	UVER	CD	38296979
2023145	6856	1997-07-12	VYDAJ	PREVOD NA UCET	3454	38799	UVER	CD	38296979
2023146	6856	1997-08-12	VYDAJ	PREVOD NA UCET	3454	26899	UVER	CD	38296979
2023147	6856	1997-09-12	VYDAJ	PREVOD NA UCET	3454	36469	UVER	CD	38296979
2023148	6856	1997-10-12	VYDAJ	PREVOD NA UCET	3454	26831	UVER	CD	38296979
2023149	6856	1997-11-12	VYDAJ	PREVOD NA UCET	3454	42131	UVER	CD	38296979
2023150	6856	1997-12-12	VYDAJ	PREVOD NA UCET	3454	39703	UVER	CD	38296979
2023151	6856	1998-01-12	VYDAJ	PREVOD NA UCET	3454	29916	UVER	CD	38296979
2023152	6856	1998-02-12	VYDAJ	PREVOD NA UCET	3454	7878	UVER	CD	38296979
2023153	6856	1998-03-12	VYDAJ	PREVOD NA UCET	3454	26440	UVER	CD	38296979
2023154	6856	1998-04-12	VYDAJ	PREVOD NA UCET	3454	25970	UVER	CD	38296979
2023155	6856	1998-05-12	VYDAJ	PREVOD NA UCET	3454	29795	UVER	CD	38296979
2023156	6856	1998-06-12	VYDAJ	PREVOD NA UCET	3454	31332	UVER	CD	38296979
2023157	6856	1998-07-12	VYDAJ	PREVOD NA UCET	3454	31378	UVER	CD	38296979
2023158	6856	1998-08-12	VYDAJ	PREVOD NA UCET	3454	42273	UVER	CD	38296979
2023159	6856	1998-09-12	VYDAJ	PREVOD NA UCET	3454	24560	UVER	CD	38296979
2023160	6856	1998-10-12	VYDAJ	PREVOD NA UCET	3454	27517	UVER	CD	38296979
2023161	6856	1998-11-12	VYDAJ	PREVOD NA UCET	3454	22316	UVER	CD	38296979
2023162	6856	1998-12-12	VYDAJ	PREVOD NA UCET	3454	30027	UVER	CD	38296979
2023174	6856	1995-12-07	VYDAJ	PREVOD NA UCET	2557	59302	SIPO	CD	71201121
2023175	6856	1996-01-07	VYDAJ	PREVOD NA UCET	2557	33732	SIPO	CD	71201121
2023176	6856	1996-02-07	VYDAJ	PREVOD NA UCET	2557	18933	SIPO	CD	71201121
2023177	6856	1996-03-07	VYDAJ	PREVOD NA UCET	2557	12768	SIPO	CD	71201121
2023178	6856	1996-04-07	VYDAJ	PREVOD NA UCET	2557	8080	SIPO	CD	71201121
2023179	6856	1996-05-07	VYDAJ	PREVOD NA UCET	2557	9397	SIPO	CD	71201121
2023180	6856	1996-06-07	VYDAJ	PREVOD NA UCET	2557	9919	SIPO	CD	71201121
2023181	6856	1996-07-07	VYDAJ	PREVOD NA UCET	2557	10940	SIPO	CD	71201121
2023182	6856	1996-08-07	VYDAJ	PREVOD NA UCET	2557	11768	SIPO	CD	71201121
2023183	6856	1996-09-07	VYDAJ	PREVOD NA UCET	2557	11491	SIPO	CD	71201121
2023184	6856	1996-10-07	VYDAJ	PREVOD NA UCET	2557	11715	SIPO	CD	71201121
2023185	6856	1996-11-07	VYDAJ	PREVOD NA UCET	2557	12342	SIPO	CD	71201121
2023186	6856	1996-12-07	VYDAJ	PREVOD NA UCET	2557	37898	SIPO	CD	71201121
2023187	6856	1997-01-07	VYDAJ	PREVOD NA UCET	2557	18570	SIPO	CD	71201121
2023188	6856	1997-02-07	VYDAJ	PREVOD NA UCET	2557	21222	SIPO	CD	71201121
2023189	6856	1997-03-07	VYDAJ	PREVOD NA UCET	2557	58577	SIPO	CD	71201121
2023190	6856	1997-04-07	VYDAJ	PREVOD NA UCET	2557	37135	SIPO	CD	71201121
2023191	6856	1997-05-07	VYDAJ	PREVOD NA UCET	2557	64021	SIPO	CD	71201121
2023192	6856	1997-06-07	VYDAJ	PREVOD NA UCET	2557	41439	SIPO	CD	71201121
2023193	6856	1997-07-07	VYDAJ	PREVOD NA UCET	2557	56118	SIPO	CD	71201121
2023194	6856	1997-08-07	VYDAJ	PREVOD NA UCET	2557	35618	SIPO	CD	71201121
2023195	6856	1997-09-07	VYDAJ	PREVOD NA UCET	2557	48388	SIPO	CD	71201121
2023196	6856	1997-10-07	VYDAJ	PREVOD NA UCET	2557	37250	SIPO	CD	71201121
2023197	6856	1997-11-07	VYDAJ	PREVOD NA UCET	2557	32786	SIPO	CD	71201121
2023198	6856	1997-12-07	VYDAJ	PREVOD NA UCET	2557	38715	SIPO	CD	71201121
2023199	6856	1998-01-07	VYDAJ	PREVOD NA UCET	2557	40335	SIPO	CD	71201121
2023200	6856	1998-02-07	VYDAJ	PREVOD NA UCET	2557	18297	SIPO	CD	71201121
2023201	6856	1998-03-07	VYDAJ	PREVOD NA UCET	2557	36859	SIPO	CD	71201121
2023202	6856	1998-04-07	VYDAJ	PREVOD NA UCET	2557	36389	SIPO	CD	71201121
2023203	6856	1998-05-07	VYDAJ	PREVOD NA UCET	2557	40214	SIPO	CD	71201121
2023204	6856	1998-06-07	VYDAJ	PREVOD NA UCET	2557	41751	SIPO	CD	71201121
2023205	6856	1998-07-07	VYDAJ	PREVOD NA UCET	2557	41797	SIPO	CD	71201121
2023206	6856	1998-08-07	VYDAJ	PREVOD NA UCET	2557	64092	SIPO	CD	71201121
2023207	6856	1998-09-07	VYDAJ	PREVOD NA UCET	2557	34979	SIPO	CD	71201121
2023208	6856	1998-10-07	VYDAJ	PREVOD NA UCET	2557	37936	SIPO	CD	71201121
2023209	6856	1998-11-07	VYDAJ	PREVOD NA UCET	2557	40141	SIPO	CD	71201121
2023210	6856	1998-12-07	VYDAJ	PREVOD NA UCET	2557	46146	SIPO	CD	71201121
2023222	6856	1995-12-14	VYDAJ	PREVOD NA UCET	794	51543	 	YZ	61659604
2023223	6856	1996-01-14	VYDAJ	PREVOD NA UCET	794	25973	 	YZ	61659604
2023224	6856	1996-02-14	VYDAJ	PREVOD NA UCET	794	6674	 	YZ	61659604
2023225	6856	1996-03-14	VYDAJ	PREVOD NA UCET	794	1309	 	YZ	61659604
2023226	6856	1996-04-14	VYDAJ	PREVOD NA UCET	794	321	 	YZ	61659604
2023227	6856	1996-05-14	VYDAJ	PREVOD NA UCET	794	1638	 	YZ	61659604
2023228	6856	1996-06-14	VYDAJ	PREVOD NA UCET	794	13460	 	YZ	61659604
2023229	6856	1996-07-14	VYDAJ	PREVOD NA UCET	794	17181	 	YZ	61659604
2023230	6856	1996-08-14	VYDAJ	PREVOD NA UCET	794	14009	 	YZ	61659604
2023231	6856	1996-09-14	VYDAJ	PREVOD NA UCET	794	14232	 	YZ	61659604
2023232	6856	1996-10-14	VYDAJ	PREVOD NA UCET	794	14856	 	YZ	61659604
2023233	6856	1996-11-14	VYDAJ	PREVOD NA UCET	794	16083	 	YZ	61659604
2023234	6856	1996-12-14	VYDAJ	PREVOD NA UCET	794	26139	 	YZ	61659604
2023235	6856	1997-01-14	VYDAJ	PREVOD NA UCET	794	36875	 	YZ	61659604
2023236	6856	1997-02-14	VYDAJ	PREVOD NA UCET	794	17963	 	YZ	61659604
2023237	6856	1997-03-14	VYDAJ	PREVOD NA UCET	794	38018	 	YZ	61659604
2023238	6856	1997-04-14	VYDAJ	PREVOD NA UCET	794	25976	 	YZ	61659604
2023239	6856	1997-05-14	VYDAJ	PREVOD NA UCET	794	44608	 	YZ	61659604
2023240	6856	1997-06-14	VYDAJ	PREVOD NA UCET	794	30626	 	YZ	61659604
2023241	6856	1997-07-14	VYDAJ	PREVOD NA UCET	794	38005	 	YZ	61659604
2023242	6856	1997-08-14	VYDAJ	PREVOD NA UCET	794	26105	 	YZ	61659604
2023243	6856	1997-09-14	VYDAJ	PREVOD NA UCET	794	35675	 	YZ	61659604
2023244	6856	1997-10-14	VYDAJ	PREVOD NA UCET	794	26037	 	YZ	61659604
2023245	6856	1997-11-14	VYDAJ	PREVOD NA UCET	794	41337	 	YZ	61659604
2023246	6856	1997-12-14	VYDAJ	PREVOD NA UCET	794	38909	 	YZ	61659604
2023247	6856	1998-01-14	VYDAJ	PREVOD NA UCET	794	25522	 	YZ	61659604
2023248	6856	1998-02-14	VYDAJ	PREVOD NA UCET	794	7084	 	YZ	61659604
2023249	6856	1998-03-14	VYDAJ	PREVOD NA UCET	794	25646	 	YZ	61659604
2023250	6856	1998-04-14	VYDAJ	PREVOD NA UCET	794	25176	 	YZ	61659604
2023251	6856	1998-05-14	VYDAJ	PREVOD NA UCET	794	29001	 	YZ	61659604
2023252	6856	1998-06-14	VYDAJ	PREVOD NA UCET	794	30538	 	YZ	61659604
2023253	6856	1998-07-14	VYDAJ	PREVOD NA UCET	794	30584	 	YZ	61659604
2023254	6856	1998-08-14	VYDAJ	PREVOD NA UCET	794	41479	 	YZ	61659604
2023255	6856	1998-09-14	VYDAJ	PREVOD NA UCET	794	23766	 	YZ	61659604
2023256	6856	1998-10-14	VYDAJ	PREVOD NA UCET	794	26723	 	YZ	61659604
2023257	6856	1998-11-14	VYDAJ	PREVOD NA UCET	794	21522	 	YZ	61659604
2023258	6856	1998-12-14	VYDAJ	PREVOD NA UCET	794	29233	 	YZ	61659604
2023270	6856	1995-12-09	VYDAJ	PREVOD NA UCET	6965	52337	POJISTNE	WX	70674234
2023271	6856	1996-01-09	VYDAJ	PREVOD NA UCET	6965	26767	POJISTNE	WX	70674234
2023272	6856	1996-02-09	VYDAJ	PREVOD NA UCET	6965	11968	POJISTNE	WX	70674234
2023273	6856	1996-03-09	VYDAJ	PREVOD NA UCET	6965	5803	POJISTNE	WX	70674234
2023274	6856	1996-04-09	VYDAJ	PREVOD NA UCET	6965	1115	POJISTNE	WX	70674234
2023275	6856	1996-05-09	VYDAJ	PREVOD NA UCET	6965	2432	POJISTNE	WX	70674234
2023276	6856	1996-06-09	VYDAJ	PREVOD NA UCET	6965	2954	POJISTNE	WX	70674234
2023277	6856	1996-07-09	VYDAJ	PREVOD NA UCET	6965	3975	POJISTNE	WX	70674234
2023278	6856	1996-08-09	VYDAJ	PREVOD NA UCET	6965	4803	POJISTNE	WX	70674234
2023279	6856	1996-09-09	VYDAJ	PREVOD NA UCET	6965	4526	POJISTNE	WX	70674234
2023280	6856	1996-10-09	VYDAJ	PREVOD NA UCET	6965	4750	POJISTNE	WX	70674234
2023281	6856	1996-11-09	VYDAJ	PREVOD NA UCET	6965	1977	POJISTNE	WX	70674234
2023282	6856	1996-12-09	VYDAJ	PREVOD NA UCET	6965	30933	POJISTNE	WX	70674234
2023283	6856	1997-01-09	VYDAJ	PREVOD NA UCET	6965	7805	POJISTNE	WX	70674234
2023284	6856	1997-02-09	VYDAJ	PREVOD NA UCET	6965	22657	POJISTNE	WX	70674234
2023285	6856	1997-03-09	VYDAJ	PREVOD NA UCET	6965	51612	POJISTNE	WX	70674234
2023286	6856	1997-04-09	VYDAJ	PREVOD NA UCET	6965	30170	POJISTNE	WX	70674234
2023287	6856	1997-05-09	VYDAJ	PREVOD NA UCET	6965	57056	POJISTNE	WX	70674234
2023288	6856	1997-06-09	VYDAJ	PREVOD NA UCET	6965	34874	POJISTNE	WX	70674234
2023289	6856	1997-07-09	VYDAJ	PREVOD NA UCET	6965	49153	POJISTNE	WX	70674234
2023290	6856	1997-08-09	VYDAJ	PREVOD NA UCET	6965	30353	POJISTNE	WX	70674234
2023291	6856	1997-09-09	VYDAJ	PREVOD NA UCET	6965	41423	POJISTNE	WX	70674234
2023292	6856	1997-10-09	VYDAJ	PREVOD NA UCET	6965	30285	POJISTNE	WX	70674234
2023293	6856	1997-11-09	VYDAJ	PREVOD NA UCET	6965	25821	POJISTNE	WX	70674234
2023294	6856	1997-12-09	VYDAJ	PREVOD NA UCET	6965	43157	POJISTNE	WX	70674234
2023295	6856	1998-01-09	VYDAJ	PREVOD NA UCET	6965	33370	POJISTNE	WX	70674234
2023296	6856	1998-02-09	VYDAJ	PREVOD NA UCET	6965	11332	POJISTNE	WX	70674234
2023297	6856	1998-03-09	VYDAJ	PREVOD NA UCET	6965	29894	POJISTNE	WX	70674234
2023298	6856	1998-04-09	VYDAJ	PREVOD NA UCET	6965	29424	POJISTNE	WX	70674234
2023299	6856	1998-05-09	VYDAJ	PREVOD NA UCET	6965	33249	POJISTNE	WX	70674234
2023300	6856	1998-06-09	VYDAJ	PREVOD NA UCET	6965	34786	POJISTNE	WX	70674234
2023301	6856	1998-07-09	VYDAJ	PREVOD NA UCET	6965	34832	POJISTNE	WX	70674234
2023302	6856	1998-08-09	VYDAJ	PREVOD NA UCET	6965	45727	POJISTNE	WX	70674234
2023303	6856	1998-09-09	VYDAJ	PREVOD NA UCET	6965	28014	POJISTNE	WX	70674234
2023304	6856	1998-10-09	VYDAJ	PREVOD NA UCET	6965	30971	POJISTNE	WX	70674234
2023305	6856	1998-11-09	VYDAJ	PREVOD NA UCET	6965	25770	POJISTNE	WX	70674234
2023306	6856	1998-12-09	VYDAJ	PREVOD NA UCET	6965	39181	POJISTNE	WX	70674234
2023311	6856	1996-01-07	VYBER	VYBER	7381	49489	\N	\N	\N
2023314	6856	1998-09-07	VYBER	VYBER	17167	37536	\N	\N	\N
2023317	6856	1998-02-06	VYBER	VYBER	15774	20854	\N	\N	\N
2023319	6856	1998-07-24	VYBER	VYBER	2709	27875	\N	\N	\N
2023320	6856	1998-11-08	VYBER	VYBER	7406	32735	\N	\N	\N
2023322	6856	1998-10-24	VYBER	VYBER	3220	23503	\N	\N	\N
2023325	6856	1997-06-23	VYDAJ	VYBER	12000	32757	\N	\N	\N
2023327	6856	1995-12-24	VYDAJ	VYBER	6600	56657	\N	\N	\N
2023329	6856	1997-12-02	VYDAJ	VYBER	3300	38172	\N	\N	\N
2023330	6856	1998-12-10	VYDAJ	VYBER	5700	33481	\N	\N	\N
2023337	6856	1996-01-07	VYDAJ	VYBER	4500	36289	\N	\N	\N
2023338	6856	1996-01-21	VYDAJ	VYBER	3600	21373	\N	\N	\N
2023341	6856	1996-01-07	VYDAJ	VYBER	8700	40789	\N	\N	\N
2023343	6856	1997-01-18	VYDAJ	VYBER	5100	25175	\N	\N	\N
2023344	6856	1997-01-22	VYDAJ	VYBER	1500	23675	\N	\N	\N
2023345	6856	1997-01-03	VYDAJ	VYBER	2100	21127	\N	\N	\N
2023346	6856	1997-01-18	VYDAJ	VYBER	6600	30275	\N	\N	\N
2023348	6856	1997-01-02	VYDAJ	VYBER	3000	23227	\N	\N	\N
2023349	6856	1998-01-07	VYDAJ	VYBER	7800	42892	\N	\N	\N
2023351	6856	1998-01-22	VYDAJ	VYBER	4500	21022	\N	\N	\N
2023352	6856	1998-01-12	VYDAJ	VYBER	1800	28116	\N	\N	\N
2023354	6856	1998-01-12	VYDAJ	VYBER	1800	26316	\N	\N	\N
2023358	6856	1995-11-30	VYDAJ	VYBER	10500	61873	\N	\N	\N
2023365	6856	1997-09-11	VYDAJ	VYBER	1500	39923	\N	\N	\N
2023366	6856	1997-12-19	VYDAJ	VYBER	3300	35609	\N	\N	\N
2023367	6856	1997-09-15	VYDAJ	VYBER	1800	33875	\N	\N	\N
2023368	6856	1997-05-15	VYDAJ	VYBER	13500	31108	\N	\N	\N
2023369	6856	1997-04-22	VYDAJ	VYBER	6300	19676	\N	\N	\N
2023370	6856	1997-05-27	VYDAJ	VYBER	9300	43791	\N	\N	\N
2023372	6856	1998-08-08	VYDAJ	VYBER	11400	52692	\N	\N	\N
2023375	6856	1998-09-04	VYDAJ	VYBER	13200	54703	\N	\N	\N
2023387	6856	1995-11-30	VYDAJ	VYBER	15	61859	SLUZBY	\N	\N
2023388	6856	1995-12-31	VYDAJ	VYBER	15	56870	SLUZBY	\N	\N
2023389	6856	1996-01-31	VYDAJ	VYBER	15	21490	SLUZBY	\N	\N
2023390	6856	1996-02-29	VYDAJ	VYBER	15	15325	SLUZBY	\N	\N
2023391	6856	1996-03-31	VYDAJ	VYBER	15	10637	SLUZBY	\N	\N
2023392	6856	1996-04-30	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
2023393	6856	1996-05-31	VYDAJ	VYBER	15	15776	SLUZBY	\N	\N
2023394	6856	1996-06-30	VYDAJ	VYBER	15	13497	SLUZBY	\N	\N
2023395	6856	1996-07-31	VYDAJ	VYBER	15	14325	SLUZBY	\N	\N
2023396	6856	1996-08-31	VYDAJ	VYBER	15	14048	SLUZBY	\N	\N
2023397	6856	1996-09-30	VYDAJ	VYBER	15	14272	SLUZBY	\N	\N
2023398	6856	1996-10-31	VYDAJ	VYBER	15	14899	SLUZBY	\N	\N
2023399	6856	1996-11-30	VYDAJ	VYBER	15	13226	SLUZBY	\N	\N
2023400	6856	1996-12-31	VYDAJ	VYBER	15	26227	SLUZBY	\N	\N
2023401	6856	1997-01-31	VYDAJ	VYBER	15	23779	SLUZBY	\N	\N
2023402	6856	1997-02-28	VYDAJ	VYBER	15	18035	SLUZBY	\N	\N
2023403	6856	1997-03-31	VYDAJ	VYBER	15	39692	SLUZBY	\N	\N
2023404	6856	1997-04-30	VYDAJ	VYBER	15	66578	SLUZBY	\N	\N
2023405	6856	1997-05-31	VYDAJ	VYBER	15	43996	SLUZBY	\N	\N
2023406	6856	1997-06-30	VYDAJ	VYBER	15	58675	SLUZBY	\N	\N
2023407	6856	1997-07-31	VYDAJ	VYBER	15	38175	SLUZBY	\N	\N
2023408	6856	1997-08-31	VYDAJ	VYBER	15	31601	SLUZBY	\N	\N
2023409	6856	1997-09-30	VYDAJ	VYBER	15	34007	SLUZBY	\N	\N
2023410	6856	1997-10-31	VYDAJ	VYBER	15	26143	SLUZBY	\N	\N
2023411	6856	1997-11-30	VYDAJ	VYBER	15	41472	SLUZBY	\N	\N
2023412	6856	1997-12-31	VYDAJ	VYBER	15	35757	SLUZBY	\N	\N
2023413	6856	1998-01-31	VYDAJ	VYBER	15	21128	SLUZBY	\N	\N
2023414	6856	1998-02-28	VYDAJ	VYBER	15	30616	SLUZBY	\N	\N
2023415	6856	1998-03-31	VYDAJ	VYBER	15	25746	SLUZBY	\N	\N
2023416	6856	1998-04-30	VYDAJ	VYBER	15	25271	SLUZBY	\N	\N
2023417	6856	1998-05-31	VYDAJ	VYBER	15	29108	SLUZBY	\N	\N
2023418	6856	1998-06-30	VYDAJ	VYBER	15	30654	SLUZBY	\N	\N
2023419	6856	1998-07-31	VYDAJ	VYBER	15	75449	SLUZBY	\N	\N
2023420	6856	1998-08-31	VYDAJ	VYBER	15	83403	SLUZBY	\N	\N
2023421	6856	1998-09-30	VYDAJ	VYBER	15	23893	SLUZBY	\N	\N
2023422	6856	1998-10-31	VYDAJ	VYBER	15	23598	SLUZBY	\N	\N
2023423	6856	1998-11-30	VYDAJ	VYBER	15	21603	SLUZBY	\N	\N
2023424	6856	1995-09-18	VYDAJ	VYBER	17000	41338	\N	\N	\N
2023425	6856	1995-10-18	VYDAJ	VYBER	11100	30480	\N	\N	\N
2023426	6856	1995-11-16	VYDAJ	VYBER	63000	40753	\N	\N	\N
2023427	6856	1995-11-17	VYDAJ	VYBER	7600	33153	\N	\N	\N
2023428	6856	1995-12-17	VYDAJ	VYBER	11100	36843	\N	\N	\N
2023429	6856	1996-01-16	PRIJEM	VKLAD	1500	27473	\N	\N	\N
2023430	6856	1996-02-15	PRIJEM	VKLAD	8600	15274	\N	\N	\N
2023431	6856	1996-03-16	PRIJEM	VKLAD	9300	10609	\N	\N	\N
2023432	6856	1996-04-15	PRIJEM	VKLAD	15300	15621	\N	\N	\N
2023433	6856	1996-05-15	PRIJEM	VKLAD	14100	15738	\N	\N	\N
2023434	6856	1996-06-14	PRIJEM	VKLAD	11300	14254	\N	\N	\N
2023435	6856	1996-07-14	PRIJEM	VKLAD	14000	17975	\N	\N	\N
2023436	6856	1996-08-13	PRIJEM	VKLAD	10000	14803	\N	\N	\N
2023437	6856	1996-09-12	PRIJEM	VKLAD	10500	15026	\N	\N	\N
2023438	6856	1996-10-12	PRIJEM	VKLAD	10900	15650	\N	\N	\N
2023439	6856	1996-11-11	PRIJEM	VKLAD	14900	16877	\N	\N	\N
2023440	6856	1996-12-11	VYDAJ	VYBER	4000	26933	\N	\N	\N
2023441	6856	1997-01-10	VYDAJ	VYBER	16100	37669	\N	\N	\N
2023442	6856	1997-02-09	PRIJEM	VKLAD	8400	29622	\N	\N	\N
2023443	6856	1997-03-11	VYDAJ	VYBER	12800	38812	\N	\N	\N
2023444	6856	1997-04-10	VYDAJ	VYBER	400	29770	\N	\N	\N
2023445	6856	1997-05-10	VYDAJ	VYBER	8200	48856	\N	\N	\N
2023446	6856	1997-06-09	PRIJEM	VKLAD	400	41839	\N	\N	\N
2023447	6856	1997-07-09	VYDAJ	VYBER	6900	42253	\N	\N	\N
2023448	6856	1997-08-08	PRIJEM	VKLAD	1700	37318	\N	\N	\N
2023449	6856	1997-09-07	VYDAJ	VYBER	9700	50945	\N	\N	\N
2023450	6856	1997-10-07	PRIJEM	VKLAD	5800	39807	\N	\N	\N
2023451	6856	1997-11-06	PRIJEM	VKLAD	9200	35343	\N	\N	\N
2023452	6856	1997-12-06	PRIJEM	VKLAD	3100	41272	\N	\N	\N
2023453	6856	1998-01-05	VYDAJ	VYBER	1600	50692	\N	\N	\N
2023454	6856	1998-02-04	PRIJEM	VKLAD	15500	36628	\N	\N	\N
2023455	6856	1998-03-06	PRIJEM	VKLAD	8800	39416	\N	\N	\N
2023456	6856	1998-04-05	PRIJEM	VKLAD	13200	38946	\N	\N	\N
2023457	6856	1998-05-05	PRIJEM	VKLAD	17500	42771	\N	\N	\N
2023458	6856	1998-06-04	PRIJEM	VKLAD	15200	44308	\N	\N	\N
2023459	6856	1998-07-04	PRIJEM	VKLAD	13700	44354	\N	\N	\N
2023460	6856	1998-08-03	VYDAJ	VYBER	8800	66649	\N	\N	\N
2023461	6856	1998-09-02	VYDAJ	VYBER	15500	67903	\N	\N	\N
2023462	6856	1998-10-02	PRIJEM	VKLAD	16600	40493	\N	\N	\N
2023463	6856	1998-11-01	PRIJEM	VKLAD	19100	42698	\N	\N	\N
2023464	6856	1998-12-01	PRIJEM	VKLAD	27100	48703	\N	\N	\N
2026355	6866	1997-10-02	PRIJEM	VKLAD	400	400	\N	\N	\N
2026365	6866	1997-10-07	PRIJEM	PREVOD Z UCTU	20977	21377	\N	IJ	53895574
2026366	6866	1997-11-07	PRIJEM	PREVOD Z UCTU	20977	43226	\N	IJ	53895574
2026367	6866	1997-12-07	PRIJEM	PREVOD Z UCTU	31466	64654	\N	IJ	53895574
2026368	6866	1998-01-07	PRIJEM	PREVOD Z UCTU	20977	62180	\N	IJ	53895574
2026369	6866	1998-02-07	PRIJEM	PREVOD Z UCTU	20977	59628	\N	IJ	53895574
2026370	6866	1998-03-07	PRIJEM	PREVOD Z UCTU	20977	47363	\N	IJ	53895574
2026371	6866	1998-04-07	PRIJEM	PREVOD Z UCTU	20977	37979	\N	IJ	53895574
2026372	6866	1998-05-07	PRIJEM	PREVOD Z UCTU	20977	42113	\N	IJ	53895574
2026373	6866	1998-06-07	PRIJEM	PREVOD Z UCTU	31466	36854	\N	IJ	53895574
2026374	6866	1998-07-07	PRIJEM	PREVOD Z UCTU	20977	25062	\N	IJ	53895574
2026375	6866	1998-08-07	PRIJEM	PREVOD Z UCTU	20977	28647	\N	IJ	53895574
2026376	6866	1998-09-07	PRIJEM	PREVOD Z UCTU	20977	28810	\N	IJ	53895574
2026377	6866	1998-10-07	PRIJEM	PREVOD Z UCTU	20977	21385	\N	IJ	53895574
2026378	6866	1998-11-07	PRIJEM	PREVOD Z UCTU	20977	30955	\N	IJ	53895574
2026379	6866	1998-12-07	PRIJEM	PREVOD Z UCTU	31466	41775	\N	IJ	53895574
2026393	6866	1998-09-13	VYBER	VYBER	8720	-986	\N	\N	\N
2026395	6866	1998-12-15	VYBER	VYBER	16344	25431	\N	\N	\N
2026397	6866	1998-11-10	VYBER	VYBER	3205	27750	\N	\N	\N
2026398	6866	1998-05-08	VYBER	VYBER	24893	17220	\N	\N	\N
2026399	6866	1998-05-23	VYBER	VYBER	17872	-652	\N	\N	\N
2026400	6866	1998-11-19	VYBER	VYBER	9295	16655	\N	\N	\N
2026401	6866	1998-12-25	VYBER	VYBER	21068	4363	\N	\N	\N
2026402	6866	1998-03-08	VYBER	VYBER	19285	28078	\N	\N	\N
2026403	6866	1998-03-06	VYBER	VYBER	11091	26386	\N	\N	\N
2026405	6866	1998-06-28	VYBER	VYBER	16992	2162	\N	\N	\N
2026406	6866	1998-09-09	VYBER	VYBER	21076	7734	\N	\N	\N
2026412	6866	1998-12-28	VYDAJ	VYBER	1500	5363	\N	\N	\N
2026433	6866	1998-11-13	VYDAJ	VYBER	1800	25950	\N	\N	\N
2026434	6866	1998-06-21	VYDAJ	VYBER	10200	26654	\N	\N	\N
2026435	6866	1998-08-04	VYDAJ	VYBER	9600	7670	\N	\N	\N
2026436	6866	1998-06-24	VYDAJ	VYBER	7500	19154	\N	\N	\N
2026437	6866	1998-08-29	VYDAJ	VYBER	11400	7747	\N	\N	\N
2026453	6866	1998-02-28	VYDAJ	VYBER	15	59777	SLUZBY	\N	\N
2026454	6866	1998-03-31	VYDAJ	VYBER	15	28202	SLUZBY	\N	\N
2026455	6866	1998-04-30	VYDAJ	VYBER	15	38036	SLUZBY	\N	\N
2026456	6866	1998-05-31	VYDAJ	VYBER	15	5389	SLUZBY	\N	\N
2026457	6866	1998-06-30	VYDAJ	VYBER	15	4085	SLUZBY	\N	\N
2026458	6866	1998-07-31	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
2026459	6866	1998-08-31	VYDAJ	VYBER	15	7833	SLUZBY	\N	\N
2026460	6866	1998-09-30	VYDAJ	VYBER	15	408	SLUZBY	\N	\N
2026461	6866	1998-10-31	VYDAJ	VYBER	15	9978	SLUZBY	\N	\N
2026462	6866	1998-11-30	VYDAJ	VYBER	15	10309	SLUZBY	\N	\N
2026463	6866	1997-11-01	PRIJEM	VKLAD	800	22249	\N	\N	\N
2026464	6866	1997-12-01	VYDAJ	VYBER	10200	33188	\N	\N	\N
2026465	6866	1997-12-31	VYDAJ	VYBER	23700	41203	\N	\N	\N
2026466	6866	1998-01-30	VYDAJ	VYBER	23700	38480	\N	\N	\N
2026467	6866	1998-03-01	VYDAJ	VYBER	22300	37477	\N	\N	\N
2026468	6866	1998-03-31	VYDAJ	VYBER	11200	17002	\N	\N	\N
2026469	6866	1998-04-30	VYDAJ	VYBER	16900	21136	\N	\N	\N
2026470	6866	1998-05-30	PRIJEM	VKLAD	6000	5348	\N	\N	\N
2026471	6866	1998-06-29	PRIJEM	VKLAD	1900	4062	\N	\N	\N
2026472	6866	1998-07-29	VYDAJ	VYBER	7800	17262	\N	\N	\N
2026473	6866	1998-08-28	VYDAJ	VYBER	9500	19147	\N	\N	\N
2026474	6866	1998-09-27	PRIJEM	VKLAD	1400	414	\N	\N	\N
2026475	6866	1998-10-27	VYDAJ	VYBER	11400	9985	\N	\N	\N
2026476	6866	1998-11-26	VYDAJ	VYBER	6400	10255	\N	\N	\N
2026477	6866	1998-12-26	PRIJEM	VKLAD	2500	6863	\N	\N	\N
2028097	6872	1995-09-02	PRIJEM	VKLAD	900	900	\N	\N	\N
2028106	6872	1995-09-14	PRIJEM	PREVOD Z UCTU	20116	21016	\N	AB	58239436
2028107	6872	1995-10-14	PRIJEM	PREVOD Z UCTU	20116	42882	\N	AB	58239436
2028108	6872	1995-11-14	PRIJEM	PREVOD Z UCTU	20116	54838	\N	AB	58239436
2028109	6872	1995-12-14	PRIJEM	PREVOD Z UCTU	30174	69819	\N	AB	58239436
2028110	6872	1996-01-14	PRIJEM	PREVOD Z UCTU	20116	70897	\N	AB	58239436
2028111	6872	1996-02-14	PRIJEM	PREVOD Z UCTU	20116	52347	\N	AB	58239436
2028112	6872	1996-03-14	PRIJEM	PREVOD Z UCTU	20116	30432	\N	AB	58239436
2028113	6872	1996-04-14	PRIJEM	PREVOD Z UCTU	20116	34737	\N	AB	58239436
2028114	6872	1996-05-14	PRIJEM	PREVOD Z UCTU	20116	44948	\N	AB	58239436
2028115	6872	1996-06-14	PRIJEM	PREVOD Z UCTU	30174	68717	\N	AB	58239436
2028116	6872	1996-07-14	PRIJEM	PREVOD Z UCTU	20116	69983	\N	AB	58239436
2028117	6872	1996-08-14	PRIJEM	PREVOD Z UCTU	20116	68346	\N	AB	58239436
2028118	6872	1996-09-14	PRIJEM	PREVOD Z UCTU	20116	77698	\N	AB	58239436
2028119	6872	1996-10-14	PRIJEM	PREVOD Z UCTU	20116	72543	\N	AB	58239436
2028120	6872	1996-11-14	PRIJEM	PREVOD Z UCTU	20116	59383	\N	AB	58239436
2028121	6872	1996-12-14	PRIJEM	PREVOD Z UCTU	30174	52686	\N	AB	58239436
2028122	6872	1997-01-14	PRIJEM	PREVOD Z UCTU	20116	56208	\N	AB	58239436
2028123	6872	1997-02-14	PRIJEM	PREVOD Z UCTU	20116	18692	\N	AB	58239436
2028124	6872	1997-03-14	PRIJEM	PREVOD Z UCTU	20116	29509	\N	AB	58239436
2028125	6872	1997-04-14	PRIJEM	PREVOD Z UCTU	20116	46644	\N	AB	58239436
2028126	6872	1997-05-14	PRIJEM	PREVOD Z UCTU	20116	50977	\N	AB	58239436
2028127	6872	1997-06-14	PRIJEM	PREVOD Z UCTU	30174	73020	\N	AB	58239436
2028128	6872	1997-07-14	PRIJEM	PREVOD Z UCTU	20116	78586	\N	AB	58239436
2028129	6872	1997-08-14	PRIJEM	PREVOD Z UCTU	20116	72265	\N	AB	58239436
2028130	6872	1997-09-14	PRIJEM	PREVOD Z UCTU	20116	70900	\N	AB	58239436
2028131	6872	1997-10-14	PRIJEM	PREVOD Z UCTU	20116	64405	\N	AB	58239436
2028132	6872	1997-11-14	PRIJEM	PREVOD Z UCTU	20116	75455	\N	AB	58239436
2028133	6872	1997-12-14	PRIJEM	PREVOD Z UCTU	30174	57356	\N	AB	58239436
2028134	6872	1998-01-14	PRIJEM	PREVOD Z UCTU	20116	26301	\N	AB	58239436
2028135	6872	1998-02-14	PRIJEM	PREVOD Z UCTU	20116	27132	\N	AB	58239436
2028136	6872	1998-03-14	PRIJEM	PREVOD Z UCTU	20116	58409	\N	AB	58239436
2028137	6872	1998-04-14	PRIJEM	PREVOD Z UCTU	20116	67796	\N	AB	58239436
2028138	6872	1998-05-14	PRIJEM	PREVOD Z UCTU	20116	81965	\N	AB	58239436
2028139	6872	1998-06-14	PRIJEM	PREVOD Z UCTU	30174	84570	\N	AB	58239436
2028140	6872	1998-07-14	PRIJEM	PREVOD Z UCTU	20116	88053	\N	AB	58239436
2028141	6872	1998-08-14	PRIJEM	PREVOD Z UCTU	20116	99379	\N	AB	58239436
2028142	6872	1998-09-14	PRIJEM	PREVOD Z UCTU	20116	79156	\N	AB	58239436
2028143	6872	1998-10-14	PRIJEM	PREVOD Z UCTU	20116	52960	\N	AB	58239436
2028144	6872	1998-11-14	PRIJEM	PREVOD Z UCTU	20116	29472	\N	AB	58239436
2028145	6872	1998-12-14	PRIJEM	PREVOD Z UCTU	30174	59709	\N	AB	58239436
2028157	6872	1996-04-11	VYBER	VYBER	13631	14621	\N	\N	\N
2028158	6872	1996-03-04	VYBER	VYBER	21450	10316	\N	\N	\N
2028159	6872	1996-02-13	VYBER	VYBER	2709	32231	\N	\N	\N
2028160	6872	1996-12-25	VYBER	VYBER	9460	46726	\N	\N	\N
2028161	6872	1996-08-05	VYBER	VYBER	4550	48230	\N	\N	\N
2028162	6872	1996-12-06	VYBER	VYBER	24830	22512	\N	\N	\N
2028163	6872	1996-01-16	VYBER	VYBER	17067	53830	\N	\N	\N
2028164	6872	1996-02-27	VYBER	VYBER	17149	35198	\N	\N	\N
2028165	6872	1996-10-29	VYBER	VYBER	14925	39018	\N	\N	\N
2028166	6872	1996-02-02	VYBER	VYBER	2780	34940	\N	\N	\N
2028167	6872	1997-12-30	VYBER	VYBER	23387	14399	\N	\N	\N
2028168	6872	1997-02-05	VYBER	VYBER	16776	18091	\N	\N	\N
2028169	6872	1997-02-13	VYBER	VYBER	19515	-1424	\N	\N	\N
2028170	6872	1997-12-25	VYBER	VYBER	17870	37786	\N	\N	\N
2028171	6872	1997-05-29	VYBER	VYBER	7901	42676	\N	\N	\N
2028172	6872	1997-04-14	VYBER	VYBER	19191	27453	\N	\N	\N
2028173	6872	1997-05-07	VYBER	VYBER	6420	30861	\N	\N	\N
2028174	6872	1997-12-12	VYBER	VYBER	23488	27182	\N	\N	\N
2028175	6872	1997-02-25	VYBER	VYBER	19673	9319	\N	\N	\N
2028176	6872	1997-07-08	VYBER	VYBER	6037	58470	\N	\N	\N
2028177	6872	1997-04-12	VYBER	VYBER	12033	26528	\N	\N	\N
2028178	6872	1997-10-01	VYBER	VYBER	17067	44289	\N	\N	\N
2028179	6872	1998-07-08	VYBER	VYBER	6616	67937	\N	\N	\N
2028180	6872	1998-10-28	VYBER	VYBER	14021	20785	\N	\N	\N
2028181	6872	1998-10-29	VYBER	VYBER	11618	9167	\N	\N	\N
2028182	6872	1998-08-27	VYBER	VYBER	24144	58735	\N	\N	\N
2028183	6872	1998-10-04	VYBER	VYBER	18694	48714	\N	\N	\N
2028184	6872	1998-03-15	VYBER	VYBER	21487	36922	\N	\N	\N
2028185	6872	1998-01-25	VYBER	VYBER	18737	13564	\N	\N	\N
2028186	6872	1998-05-06	VYBER	VYBER	7466	61849	\N	\N	\N
2028187	6872	1998-10-09	VYBER	VYBER	15870	32844	\N	\N	\N
2028188	6872	1998-06-07	VYBER	VYBER	10563	54396	\N	\N	\N
2028189	6872	1998-02-17	VYBER	VYBER	4806	22326	\N	\N	\N
2028191	6872	1998-10-27	VYBER	VYBER	22954	34806	\N	\N	\N
2028192	6872	1998-11-21	VYBER	VYBER	20521	29451	\N	\N	\N
2028194	6872	1996-12-02	VYDAJ	VYBER	4500	47342	\N	\N	\N
2028195	6872	1997-12-30	VYDAJ	VYBER KARTOU	2700	11699	\N	\N	0
2028196	6872	1998-12-14	VYDAJ	VYBER	5700	54009	\N	\N	\N
2028204	6872	1996-01-27	VYDAJ	VYBER	6300	41230	\N	\N	\N
2028206	6872	1996-01-23	VYDAJ	VYBER	3900	47530	\N	\N	\N
2028208	6872	1996-01-19	VYDAJ	VYBER	2400	51430	\N	\N	\N
2028209	6872	1997-01-27	VYDAJ	VYBER	5400	34708	\N	\N	\N
2028210	6872	1997-01-10	VYDAJ	VYBER	2700	36092	\N	\N	\N
2028211	6872	1997-01-18	VYDAJ	VYBER	8400	39708	\N	\N	\N
2028212	6872	1997-01-06	VYDAJ	VYBER	8100	38792	\N	\N	\N
2028213	6872	1997-01-25	VYDAJ	VYBER	7500	40108	\N	\N	\N
2028214	6872	1997-01-14	VYDAJ	VYBER	8100	48108	\N	\N	\N
2028215	6872	1998-01-08	VYDAJ	VYBER	5700	6185	\N	\N	\N
2028216	6872	1998-01-26	VYDAJ	VYBER	6600	6964	\N	\N	\N
2028218	6872	1998-01-18	VYDAJ	VYBER	4200	17301	\N	\N	\N
2028219	6872	1998-01-19	VYDAJ	VYBER	5100	32301	\N	\N	\N
2028220	6872	1998-01-14	VYDAJ	VYBER	4800	21501	\N	\N	\N
2028226	6872	1996-10-02	VYDAJ	VYBER	12000	52427	\N	\N	\N
2028227	6872	1996-04-17	VYDAJ	VYBER	12000	22737	\N	\N	\N
2028228	6872	1996-10-22	VYDAJ	VYBER	6900	65643	\N	\N	\N
2028229	6872	1996-07-27	VYDAJ	VYBER	2400	67583	\N	\N	\N
2028230	6872	1997-07-27	VYDAJ	VYBER	12300	51886	\N	\N	\N
2028231	6872	1997-02-17	VYDAJ	VYBER	13800	4892	\N	\N	\N
2028232	6872	1997-11-24	VYDAJ	VYBER	13800	50455	\N	\N	\N
2028233	6872	1997-09-01	VYDAJ	VYBER	14400	50784	\N	\N	\N
2028234	6872	1998-06-04	VYDAJ	VYBER	12300	64959	\N	\N	\N
2028235	6872	1998-09-25	VYDAJ	VYBER	4500	67156	\N	\N	\N
2028236	6872	1998-12-28	VYDAJ	VYBER	6300	52709	\N	\N	\N
2028251	6872	1996-01-31	VYDAJ	VYBER	15	37720	SLUZBY	\N	\N
2028252	6872	1996-02-29	VYDAJ	VYBER	15	35366	SLUZBY	\N	\N
2028253	6872	1996-03-31	VYDAJ	VYBER	15	28252	SLUZBY	\N	\N
2028254	6872	1996-04-30	VYDAJ	VYBER	15	24832	SLUZBY	\N	\N
2028255	6872	1996-05-31	VYDAJ	VYBER	15	38543	SLUZBY	\N	\N
2028256	6872	1996-06-30	VYDAJ	VYBER	15	49867	SLUZBY	\N	\N
2028257	6872	1996-07-31	VYDAJ	VYBER	15	52780	SLUZBY	\N	\N
2028258	6872	1996-08-31	VYDAJ	VYBER	15	57582	SLUZBY	\N	\N
2028259	6872	1996-09-30	VYDAJ	VYBER	15	64427	SLUZBY	\N	\N
2028260	6872	1996-10-31	VYDAJ	VYBER	15	39267	SLUZBY	\N	\N
2028261	6872	1996-11-30	VYDAJ	VYBER	15	51842	SLUZBY	\N	\N
2028262	6872	1996-12-31	VYDAJ	VYBER	15	46892	SLUZBY	\N	\N
2028263	6872	1997-01-31	VYDAJ	VYBER	15	34867	SLUZBY	\N	\N
2028264	6872	1997-02-28	VYDAJ	VYBER	15	9394	SLUZBY	\N	\N
2028265	6872	1997-03-31	VYDAJ	VYBER	15	38561	SLUZBY	\N	\N
2028266	6872	1997-04-30	VYDAJ	VYBER	15	37281	SLUZBY	\N	\N
2028267	6872	1997-05-31	VYDAJ	VYBER	15	42846	SLUZBY	\N	\N
2028268	6872	1997-06-30	VYDAJ	VYBER	15	64507	SLUZBY	\N	\N
2028269	6872	1997-07-31	VYDAJ	VYBER	15	52149	SLUZBY	\N	\N
2028270	6872	1997-08-31	VYDAJ	VYBER	15	65184	SLUZBY	\N	\N
2028271	6872	1997-09-30	VYDAJ	VYBER	15	61356	SLUZBY	\N	\N
2028272	6872	1997-10-31	VYDAJ	VYBER	15	55339	SLUZBY	\N	\N
2028273	6872	1997-11-30	VYDAJ	VYBER	15	50670	SLUZBY	\N	\N
2028274	6872	1997-12-31	VYDAJ	VYBER	15	11885	SLUZBY	\N	\N
2028275	6872	1998-01-31	VYDAJ	VYBER	15	7016	SLUZBY	\N	\N
2028276	6872	1998-02-28	VYDAJ	VYBER	15	38293	SLUZBY	\N	\N
2028277	6872	1998-03-31	VYDAJ	VYBER	15	47680	SLUZBY	\N	\N
2028278	6872	1998-04-30	VYDAJ	VYBER	15	69315	SLUZBY	\N	\N
2028279	6872	1998-05-31	VYDAJ	VYBER	15	77259	SLUZBY	\N	\N
2028280	6872	1998-06-30	VYDAJ	VYBER	15	74553	SLUZBY	\N	\N
2028281	6872	1998-07-31	VYDAJ	VYBER	15	79263	SLUZBY	\N	\N
2028282	6872	1998-08-31	VYDAJ	VYBER	15	59040	SLUZBY	\N	\N
2028283	6872	1998-09-30	VYDAJ	VYBER	15	67408	SLUZBY	\N	\N
2028284	6872	1998-10-31	VYDAJ	VYBER	15	9356	SLUZBY	\N	\N
2028285	6872	1998-11-30	VYDAJ	VYBER	15	29535	SLUZBY	\N	\N
2028286	6872	1995-10-02	PRIJEM	VKLAD	1700	22766	\N	\N	\N
2028287	6872	1995-11-01	VYDAJ	VYBER	8300	34722	\N	\N	\N
2028288	6872	1995-12-01	VYDAJ	VYBER	15400	39645	\N	\N	\N
2028289	6872	1995-12-31	VYDAJ	VYBER	19300	50781	\N	\N	\N
2028290	6872	1996-01-30	VYDAJ	VYBER	3700	37530	\N	\N	\N
2028291	6872	1996-02-29	VYDAJ	VYBER	3600	31766	\N	\N	\N
2028292	6872	1996-03-30	VYDAJ	VYBER	2300	28132	\N	\N	\N
2028293	6872	1996-04-29	PRIJEM	VKLAD	2000	24737	\N	\N	\N
2028294	6872	1996-05-29	VYDAJ	VYBER	6500	38448	\N	\N	\N
2028295	6872	1996-06-28	VYDAJ	VYBER	19000	49717	\N	\N	\N
2028296	6872	1996-07-28	VYDAJ	VYBER	15000	52583	\N	\N	\N
2028297	6872	1996-08-27	VYDAJ	VYBER	11000	57346	\N	\N	\N
2028298	6872	1996-09-26	VYDAJ	VYBER	13500	64198	\N	\N	\N
2028299	6872	1996-10-26	VYDAJ	VYBER	11700	53943	\N	\N	\N
2028300	6872	1996-11-25	VYDAJ	VYBER	7700	51683	\N	\N	\N
2028301	6872	1996-12-25	PRIJEM	VKLAD	3500	56186	\N	\N	\N
2028302	6872	1997-01-24	PRIJEM	VKLAD	7900	47608	\N	\N	\N
2028303	6872	1997-02-23	PRIJEM	VKLAD	24100	28992	\N	\N	\N
2028304	6872	1997-03-25	PRIJEM	VKLAD	9000	38509	\N	\N	\N
2028305	6872	1997-04-24	PRIJEM	VKLAD	9700	37153	\N	\N	\N
2028306	6872	1997-05-24	VYDAJ	VYBER	400	50577	\N	\N	\N
2028307	6872	1997-06-23	VYDAJ	VYBER	8700	64320	\N	\N	\N
2028308	6872	1997-07-23	VYDAJ	VYBER	14400	64186	\N	\N	\N
2028309	6872	1997-08-22	VYDAJ	VYBER	7300	64965	\N	\N	\N
2028310	6872	1997-09-21	VYDAJ	VYBER	9800	61100	\N	\N	\N
2028311	6872	1997-10-21	VYDAJ	VYBER	9300	55105	\N	\N	\N
2028312	6872	1997-11-20	VYDAJ	VYBER	11200	64255	\N	\N	\N
2028313	6872	1997-12-20	VYDAJ	VYBER KARTOU	1700	55656	\N	\N	0
2028314	6872	1998-01-19	PRIJEM	VKLAD	20100	37401	\N	\N	\N
2028315	6872	1998-02-18	PRIJEM	VKLAD	15900	38226	\N	\N	\N
2028316	6872	1998-03-20	PRIJEM	VKLAD	10600	47522	\N	\N	\N
2028317	6872	1998-04-19	PRIJEM	VKLAD	1300	69096	\N	\N	\N
2028318	6872	1998-05-19	VYDAJ	VYBER	5000	76965	\N	\N	\N
2028319	6872	1998-06-18	VYDAJ	VYBER	10300	74270	\N	\N	\N
2028320	6872	1998-07-18	VYDAJ	VYBER	9100	78953	\N	\N	\N
2028321	6872	1998-08-17	VYDAJ	VYBER	16500	82879	\N	\N	\N
2028322	6872	1998-09-16	VYDAJ	VYBER	7500	71656	\N	\N	\N
2028323	6872	1998-10-16	PRIJEM	VKLAD	4800	57760	\N	\N	\N
2028324	6872	1998-11-15	PRIJEM	VKLAD	20500	49972	\N	\N	\N
2028325	6872	1998-12-15	PRIJEM	VKLAD	5000	59009	\N	\N	\N
2034892	6897	1993-04-23	PRIJEM	VKLAD	200	200	\N	\N	\N
2034893	6897	1993-12-05	PRIJEM	VKLAD	49455	98904	\N	\N	\N
2034894	6897	1993-05-26	PRIJEM	VKLAD	49018	77201	\N	\N	\N
2034895	6897	1993-12-30	PRIJEM	VKLAD	43606	101142	\N	\N	\N
2034897	6897	1993-06-15	PRIJEM	VKLAD	22897	100255	\N	\N	\N
2034899	6897	1993-12-10	PRIJEM	VKLAD	31032	129936	\N	\N	\N
2034900	6897	1993-12-03	PRIJEM	VKLAD	19777	49449	\N	\N	\N
2034902	6897	1993-06-25	PRIJEM	VKLAD	48269	110624	\N	\N	\N
2034903	6897	1993-04-26	PRIJEM	VKLAD	28163	28363	\N	\N	\N
2034905	6897	1994-08-02	PRIJEM	VKLAD	19022	78381	\N	\N	\N
2034906	6897	1994-06-21	PRIJEM	VKLAD	41074	58562	\N	\N	\N
2034907	6897	1994-09-09	PRIJEM	VKLAD	14418	42768	\N	\N	\N
2034908	6897	1994-06-24	PRIJEM	VKLAD	20928	79490	\N	\N	\N
2034909	6897	1994-06-28	PRIJEM	VKLAD	24728	104218	\N	\N	\N
2034910	6897	1994-03-17	PRIJEM	VKLAD	38329	37837	\N	\N	\N
2034911	6897	1994-10-09	PRIJEM	VKLAD	42846	66134	\N	\N	\N
2034912	6897	1994-05-10	PRIJEM	VKLAD	34954	59420	\N	\N	\N
2034913	6897	1995-05-25	PRIJEM	VKLAD	26273	90343	\N	\N	\N
2034914	6897	1995-01-29	PRIJEM	VKLAD	47064	79187	\N	\N	\N
2034915	6897	1995-11-03	PRIJEM	VKLAD	18687	95243	\N	\N	\N
2034916	6897	1995-10-01	PRIJEM	VKLAD	6326	66009	\N	\N	\N
2034917	6897	1995-11-17	PRIJEM	VKLAD	34837	93973	\N	\N	\N
2034918	6897	1995-12-05	PRIJEM	VKLAD	41747	117007	\N	\N	\N
2034919	6897	1995-12-08	PRIJEM	VKLAD	39261	122668	\N	\N	\N
2034920	6897	1995-07-30	PRIJEM	VKLAD	42301	81730	\N	\N	\N
2034921	6897	1995-10-26	PRIJEM	VKLAD	5859	121256	\N	\N	\N
2034922	6897	1995-01-15	PRIJEM	VKLAD	26206	49823	\N	\N	\N
2034923	6897	1995-10-12	PRIJEM	VKLAD	36718	114503	\N	\N	\N
2034924	6897	1995-10-03	PRIJEM	VKLAD	40376	106385	\N	\N	\N
2034925	6897	1995-11-09	PRIJEM	VKLAD	42193	137436	\N	\N	\N
2034926	6897	1995-03-14	PRIJEM	VKLAD	26126	103573	\N	\N	\N
2034927	6897	1995-06-15	PRIJEM	VKLAD	17232	77021	\N	\N	\N
2034928	6897	1995-02-01	PRIJEM	VKLAD	11121	90411	\N	\N	\N
2034929	6897	1995-02-27	PRIJEM	VKLAD	13958	77169	\N	\N	\N
2034930	6897	1995-10-31	PRIJEM	VKLAD	42583	137071	\N	\N	\N
2034931	6897	1995-10-25	PRIJEM	VKLAD	35494	115397	\N	\N	\N
2034932	6897	1995-04-02	PRIJEM	VKLAD	41744	112783	\N	\N	\N
2034933	6897	1995-11-19	PRIJEM	VKLAD	31040	125013	\N	\N	\N
2034934	6897	1995-07-06	PRIJEM	VKLAD	29546	38929	\N	\N	\N
2034935	6897	1995-12-25	PRIJEM	VKLAD	37207	88975	\N	\N	\N
2034936	6897	1995-05-01	PRIJEM	VKLAD	48597	98370	\N	\N	\N
2034937	6897	1995-09-26	PRIJEM	VKLAD	15589	59464	\N	\N	\N
2034938	6897	1995-06-11	PRIJEM	VKLAD	6372	77189	\N	\N	\N
2034939	6897	1996-06-08	PRIJEM	VKLAD	42960	76862	\N	\N	\N
2034940	6897	1996-10-07	PRIJEM	VKLAD	18060	91221	\N	\N	\N
2034941	6897	1996-09-02	PRIJEM	VKLAD	23670	107958	\N	\N	\N
2034942	6897	1996-10-01	PRIJEM	VKLAD	49079	131361	\N	\N	\N
2034943	6897	1996-04-08	PRIJEM	VKLAD	29526	76117	\N	\N	\N
2034944	6897	1996-08-07	PRIJEM	VKLAD	26925	83973	\N	\N	\N
2034945	6897	1996-04-23	PRIJEM	VKLAD	11390	83007	\N	\N	\N
2034946	6897	1997-01-02	PRIJEM	VKLAD	37853	96262	\N	\N	\N
2034947	6897	1997-03-04	PRIJEM	VKLAD	14639	79379	\N	\N	\N
2034948	6897	1997-02-26	PRIJEM	VKLAD	27034	71110	\N	\N	\N
2034949	6897	1998-04-18	PRIJEM	VKLAD	48535	133459	\N	\N	\N
2034950	6897	1998-03-24	PRIJEM	VKLAD	23309	78418	\N	\N	\N
2034951	6897	1998-01-07	PRIJEM	VKLAD	49106	79365	\N	\N	\N
2034952	6897	1998-03-07	PRIJEM	VKLAD	14237	73207	\N	\N	\N
2034953	6897	1998-08-18	PRIJEM	VKLAD	19513	70488	\N	\N	\N
2034954	6897	1998-12-17	PRIJEM	VKLAD	36371	143768	\N	\N	\N
2034955	6897	1998-02-04	PRIJEM	VKLAD	25026	72295	\N	\N	\N
2034956	6897	1998-11-06	PRIJEM	VKLAD	7788	100102	\N	\N	\N
2034957	6897	1998-07-01	PRIJEM	VKLAD	8970	58932	\N	\N	\N
2034958	6897	1998-04-14	PRIJEM	VKLAD	9031	84924	\N	\N	\N
2034959	6897	1998-06-16	PRIJEM	VKLAD	26862	123261	\N	\N	\N
2034960	6897	1998-05-24	PRIJEM	VKLAD	5376	74649	\N	\N	\N
2034961	6897	1998-09-28	PRIJEM	VKLAD	41802	110096	\N	\N	\N
2034962	6897	1998-10-02	PRIJEM	VKLAD	30345	140724	\N	\N	\N
2034963	6897	1998-03-06	PRIJEM	VKLAD	46113	123470	\N	\N	\N
2034964	6897	1998-05-29	PRIJEM	VKLAD	20472	96121	\N	\N	\N
2034965	6897	1998-10-11	PRIJEM	VKLAD	14232	113656	\N	\N	\N
2034966	6897	1998-02-19	PRIJEM	VKLAD	21320	109865	\N	\N	\N
2034967	6897	1998-02-23	PRIJEM	VKLAD	46852	144437	\N	\N	\N
2034968	6897	1998-12-14	PRIJEM	VKLAD	44747	107397	\N	\N	\N
2034969	6897	1998-02-07	PRIJEM	VKLAD	31311	103606	\N	\N	\N
2034977	6897	1994-08-09	VYBER	VYBER	4516	73865	\N	\N	\N
2034978	6897	1994-06-13	VYBER	VYBER	5004	3288	\N	\N	\N
2034979	6897	1994-03-23	VYBER	VYBER	2188	29249	\N	\N	\N
2034980	6897	1994-05-27	VYBER	VYBER	15506	17799	\N	\N	\N
2034981	6897	1994-05-19	VYBER	VYBER	11815	33305	\N	\N	\N
2034982	6897	1994-12-15	VYBER	VYBER	5132	17280	\N	\N	\N
2034983	6897	1994-10-09	VYBER	VYBER	11270	54864	\N	\N	\N
2034984	6897	1994-01-11	VYBER	VYBER	7603	83092	\N	\N	\N
2034985	6897	1994-04-03	VYBER	VYBER	7915	21368	\N	\N	\N
2034986	6897	1994-11-28	VYBER	VYBER	23061	8877	\N	\N	\N
2034987	6897	1994-02-04	VYBER	VYBER	5902	13066	\N	\N	\N
2034988	6897	1994-08-31	VYBER	VYBER	22740	28364	\N	\N	\N
2034989	6897	1994-07-03	VYBER	VYBER	2216	102127	\N	\N	\N
2034990	6897	1995-05-30	VYBER	VYBER	19792	70551	\N	\N	\N
2034991	6897	1995-07-01	VYBER	VYBER	10815	9383	\N	\N	\N
2034992	6897	1997-08-25	VYBER	VYBER	10187	41374	\N	\N	\N
2034993	6897	1998-01-10	VYBER	VYBER	13491	65874	\N	\N	\N
2034994	6897	1998-07-27	VYBER	VYBER	10232	50789	\N	\N	\N
2034995	6897	1998-06-28	VYBER	VYBER	13315	49632	\N	\N	\N
2034996	6897	1998-06-23	VYBER	VYBER	22314	58147	\N	\N	\N
2034997	6897	1998-02-12	VYBER	VYBER	15061	88545	\N	\N	\N
2034998	6897	1998-03-15	VYBER	VYBER	18098	55109	\N	\N	\N
2034999	6897	1998-07-16	VYBER	VYBER	4711	54221	\N	\N	\N
2035000	6897	1998-02-20	VYBER	VYBER	12280	97585	\N	\N	\N
2035003	6897	1995-06-17	VYDAJ	VYBER	57000	20021	\N	\N	\N
2035004	6897	1996-06-01	VYDAJ	VYBER	37500	30702	\N	\N	\N
2035005	6897	1997-06-05	VYDAJ	VYBER	52200	11572	\N	\N	\N
2035008	6897	1994-01-30	VYDAJ	VYBER	15600	18692	\N	\N	\N
2035009	6897	1995-01-20	VYDAJ	VYBER	4800	32123	\N	\N	\N
2035010	6897	1996-01-23	VYDAJ	VYBER	14400	29960	\N	\N	\N
2035011	6897	1997-01-22	VYDAJ	VYBER	11400	38262	\N	\N	\N
2035012	6897	1998-01-05	VYDAJ	VYBER	28200	30259	\N	\N	\N
2035013	6897	1993-12-27	VYDAJ	VYBER	4500	57536	\N	\N	\N
2035014	6897	1994-12-28	VYDAJ	VYBER	6600	10680	\N	\N	\N
2035015	6897	1995-12-23	VYDAJ	VYBER	8400	51768	\N	\N	\N
2035016	6897	1996-12-25	VYDAJ	VYBER	8400	58134	\N	\N	\N
2035017	6897	1997-12-03	VYDAJ	VYBER	5700	53638	\N	\N	\N
2035018	6897	1998-12-13	VYDAJ	VYBER	4500	62650	\N	\N	\N
2035025	6897	1994-01-25	VYDAJ	VYBER	6900	34292	\N	\N	\N
2035026	6897	1994-01-18	VYDAJ	VYBER	8100	74992	\N	\N	\N
2035027	6897	1994-01-10	VYDAJ	VYBER	6000	90695	\N	\N	\N
2035028	6897	1994-01-23	VYDAJ	VYBER	3900	41192	\N	\N	\N
2035029	6897	1994-01-20	VYDAJ	VYBER	7800	45092	\N	\N	\N
2035030	6897	1994-01-09	VYDAJ	VYBER	4800	96695	\N	\N	\N
2035031	6897	1995-01-04	VYDAJ	VYBER	1800	8917	\N	\N	\N
2035032	6897	1995-01-20	VYDAJ	VYBER	3000	36923	\N	\N	\N
2035033	6897	1995-01-16	VYDAJ	VYBER	8400	39923	\N	\N	\N
2035034	6897	1995-01-16	VYDAJ	VYBER	1500	48323	\N	\N	\N
2035035	6897	1995-01-11	VYDAJ	VYBER	1800	4417	\N	\N	\N
2035036	6897	1995-01-07	VYDAJ	VYBER	2700	6217	\N	\N	\N
2035037	6897	1996-01-02	VYDAJ	VYBER	6000	68560	\N	\N	\N
2035038	6897	1996-01-26	VYDAJ	VYBER	3000	26960	\N	\N	\N
2035039	6897	1996-01-19	VYDAJ	VYBER	6000	44360	\N	\N	\N
2035040	6897	1996-01-13	VYDAJ	VYBER	1500	50360	\N	\N	\N
2035041	6897	1996-01-12	VYDAJ	VYBER	3900	51860	\N	\N	\N
2035042	6897	1996-01-11	VYDAJ	VYBER	3300	55760	\N	\N	\N
2035043	6897	1997-01-06	VYDAJ	VYBER	7500	67062	\N	\N	\N
2035044	6897	1997-01-06	VYDAJ	VYBER	3300	63762	\N	\N	\N
2035045	6897	1997-01-19	VYDAJ	VYBER	8100	53262	\N	\N	\N
2035046	6897	1997-01-12	VYDAJ	VYBER	2400	61362	\N	\N	\N
2035047	6897	1997-01-21	VYDAJ	VYBER	3600	49662	\N	\N	\N
2035048	6897	1997-01-24	VYDAJ	VYBER	6600	31662	\N	\N	\N
2035049	6897	1998-01-14	VYDAJ	VYBER	8400	43974	\N	\N	\N
2035050	6897	1998-01-26	VYDAJ	VYBER	4200	30474	\N	\N	\N
2035051	6897	1998-01-13	VYDAJ	VYBER	6900	58974	\N	\N	\N
2035052	6897	1998-01-14	VYDAJ	VYBER	6600	52374	\N	\N	\N
2035053	6897	1998-01-17	VYDAJ	VYBER	4200	39774	\N	\N	\N
2035054	6897	1998-01-24	VYDAJ	VYBER	5100	34674	\N	\N	\N
2035055	6897	1993-12-22	VYDAJ	VYBER	2100	62036	\N	\N	\N
2035056	6897	1993-12-13	VYDAJ	VYBER	6900	100036	\N	\N	\N
2035059	6897	1994-11-13	VYDAJ	VYBER	12900	33838	\N	\N	\N
2035061	6897	1994-07-22	VYDAJ	VYBER	6300	59027	\N	\N	\N
2035062	6897	1994-02-23	VYDAJ	VYBER	13200	-534	\N	\N	\N
2035063	6897	1994-02-18	VYDAJ	VYBER	5400	12666	\N	\N	\N
2035064	6897	1994-05-30	VYDAJ	VYBER	9600	8199	\N	\N	\N
2035065	6897	1994-10-05	VYDAJ	VYBER	12900	23288	\N	\N	\N
2035066	6897	1995-05-09	VYDAJ	VYBER	12300	86070	\N	\N	\N
2035067	6897	1995-07-12	VYDAJ	VYBER	2400	39429	\N	\N	\N
2035068	6897	1995-08-23	VYDAJ	VYBER	6900	56781	\N	\N	\N
2035069	6897	1995-12-04	VYDAJ	VYBER	2400	75260	\N	\N	\N
2035070	6897	1995-09-24	VYDAJ	VYBER	6600	43875	\N	\N	\N
2035071	6897	1996-01-01	VYDAJ	VYBER	14700	74560	\N	\N	\N
2035072	6897	1996-08-03	VYDAJ	VYBER	6900	60248	\N	\N	\N
2035073	6897	1996-04-08	VYDAJ	VYBER	4500	71617	\N	\N	\N
2035074	6897	1996-06-07	VYDAJ	VYBER	5400	33902	\N	\N	\N
2035075	6897	1996-04-05	VYDAJ	VYBER	8700	38691	\N	\N	\N
2035076	6897	1997-09-26	VYDAJ	VYBER	9600	31468	\N	\N	\N
2035077	6897	1997-12-26	VYDAJ	VYBER	7800	45838	\N	\N	\N
2035078	6897	1997-09-06	VYDAJ	VYBER	11400	41068	\N	\N	\N
2035079	6897	1997-10-01	VYDAJ	VYBER	5400	41255	\N	\N	\N
2035080	6897	1997-10-27	VYDAJ	VYBER	2100	39155	\N	\N	\N
2035081	6897	1998-04-22	VYDAJ	VYBER	11100	66159	\N	\N	\N
2035082	6897	1998-07-17	VYDAJ	VYBER	5400	48821	\N	\N	\N
2035083	6897	1998-01-26	VYDAJ	VYBER	14400	16074	\N	\N	\N
2035084	6897	1998-12-12	VYDAJ	VYBER	14100	67150	\N	\N	\N
2035085	6897	1998-06-18	VYDAJ	VYBER	8100	80461	\N	\N	\N
2035098	6897	1993-12-31	VYDAJ	VYBER	15	101495	SLUZBY	\N	\N
2035099	6897	1994-01-31	VYDAJ	VYBER	15	18968	SLUZBY	\N	\N
2035100	6897	1994-02-28	VYDAJ	VYBER	15	-491	SLUZBY	\N	\N
2035101	6897	1994-03-31	VYDAJ	VYBER	15	29286	SLUZBY	\N	\N
2035102	6897	1994-04-30	VYDAJ	VYBER	15	24466	SLUZBY	\N	\N
2035103	6897	1994-05-31	VYDAJ	VYBER	15	8292	SLUZBY	\N	\N
2035104	6897	1994-06-30	VYDAJ	VYBER	15	104343	SLUZBY	\N	\N
2035105	6897	1994-07-31	VYDAJ	VYBER	15	59359	SLUZBY	\N	\N
2035106	6897	1994-08-31	VYDAJ	VYBER	15	28350	SLUZBY	\N	\N
2035107	6897	1994-09-30	VYDAJ	VYBER	15	36188	SLUZBY	\N	\N
2035108	6897	1994-10-31	VYDAJ	VYBER	15	46738	SLUZBY	\N	\N
2035109	6897	1994-11-30	VYDAJ	VYBER	15	9012	SLUZBY	\N	\N
2035110	6897	1994-12-31	VYDAJ	VYBER	15	10717	SLUZBY	\N	\N
2035111	6897	1995-01-31	VYDAJ	VYBER	15	79290	SLUZBY	\N	\N
2035112	6897	1995-02-28	VYDAJ	VYBER	15	77447	SLUZBY	\N	\N
2035113	6897	1995-03-31	VYDAJ	VYBER	15	71039	SLUZBY	\N	\N
2035114	6897	1995-04-30	VYDAJ	VYBER	15	49773	SLUZBY	\N	\N
2035115	6897	1995-05-31	VYDAJ	VYBER	15	70817	SLUZBY	\N	\N
2035116	6897	1995-06-30	VYDAJ	VYBER	15	20198	SLUZBY	\N	\N
2035117	6897	1995-07-31	VYDAJ	VYBER	15	81881	SLUZBY	\N	\N
2035118	6897	1995-08-31	VYDAJ	VYBER	15	57075	SLUZBY	\N	\N
2035119	6897	1995-09-30	VYDAJ	VYBER	15	59683	SLUZBY	\N	\N
2035120	6897	1995-10-31	VYDAJ	VYBER	15	137056	SLUZBY	\N	\N
2035121	6897	1995-11-30	VYDAJ	VYBER	15	77660	SLUZBY	\N	\N
2035122	6897	1995-12-31	VYDAJ	VYBER	15	89260	SLUZBY	\N	\N
2035123	6897	1996-01-31	VYDAJ	VYBER	15	27146	SLUZBY	\N	\N
2035124	6897	1996-02-29	VYDAJ	VYBER	15	39543	SLUZBY	\N	\N
2035125	6897	1996-03-31	VYDAJ	VYBER	15	47391	SLUZBY	\N	\N
2035126	6897	1996-04-30	VYDAJ	VYBER	15	83276	SLUZBY	\N	\N
2035127	6897	1996-05-31	VYDAJ	VYBER	15	68202	SLUZBY	\N	\N
2035128	6897	1996-06-30	VYDAJ	VYBER	15	77147	SLUZBY	\N	\N
2035129	6897	1996-07-31	VYDAJ	VYBER	15	67148	SLUZBY	\N	\N
2035130	6897	1996-08-31	VYDAJ	VYBER	15	84288	SLUZBY	\N	\N
2035131	6897	1996-09-30	VYDAJ	VYBER	15	82282	SLUZBY	\N	\N
2035132	6897	1996-10-31	VYDAJ	VYBER	15	91574	SLUZBY	\N	\N
2035133	6897	1996-11-30	VYDAJ	VYBER	15	74334	SLUZBY	\N	\N
2035134	6897	1996-12-31	VYDAJ	VYBER	15	58409	SLUZBY	\N	\N
2035135	6897	1997-01-31	VYDAJ	VYBER	15	31876	SLUZBY	\N	\N
2035136	6897	1997-02-28	VYDAJ	VYBER	15	71240	SLUZBY	\N	\N
2035137	6897	1997-03-31	VYDAJ	VYBER	15	79687	SLUZBY	\N	\N
2035138	6897	1997-04-30	VYDAJ	VYBER	15	71197	SLUZBY	\N	\N
2035139	6897	1997-05-31	VYDAJ	VYBER	15	62472	SLUZBY	\N	\N
2035140	6897	1997-06-30	VYDAJ	VYBER	15	11628	SLUZBY	\N	\N
2035141	6897	1997-07-31	VYDAJ	VYBER	15	51561	SLUZBY	\N	\N
2035142	6897	1997-08-31	VYDAJ	VYBER	15	52468	SLUZBY	\N	\N
2035143	6897	1997-09-30	VYDAJ	VYBER	15	46655	SLUZBY	\N	\N
2035144	6897	1997-10-31	VYDAJ	VYBER	15	55229	SLUZBY	\N	\N
2035145	6897	1997-11-30	VYDAJ	VYBER	15	59338	SLUZBY	\N	\N
2035146	6897	1997-12-31	VYDAJ	VYBER	15	58459	SLUZBY	\N	\N
2035147	6897	1998-01-31	VYDAJ	VYBER	15	47269	SLUZBY	\N	\N
2035148	6897	1998-02-28	VYDAJ	VYBER	15	77357	SLUZBY	\N	\N
2035149	6897	1998-03-31	VYDAJ	VYBER	15	75893	SLUZBY	\N	\N
2035150	6897	1998-04-30	VYDAJ	VYBER	15	69273	SLUZBY	\N	\N
2035151	6897	1998-05-31	VYDAJ	VYBER	15	96399	SLUZBY	\N	\N
2035152	6897	1998-06-30	VYDAJ	VYBER	15	49962	SLUZBY	\N	\N
2035153	6897	1998-07-31	VYDAJ	VYBER	15	50975	SLUZBY	\N	\N
2035154	6897	1998-08-31	VYDAJ	VYBER	15	69694	SLUZBY	\N	\N
2035155	6897	1998-09-30	VYDAJ	VYBER	15	110379	SLUZBY	\N	\N
2035156	6897	1998-10-31	VYDAJ	VYBER	15	92314	SLUZBY	\N	\N
2035157	6897	1998-11-30	VYDAJ	VYBER	15	81250	SLUZBY	\N	\N
2035158	6897	1993-05-23	VYDAJ	VYBER	200	28183	\N	\N	\N
2035159	6897	1993-06-22	VYDAJ	VYBER	37900	62355	\N	\N	\N
2035160	6897	1993-06-25	VYDAJ	VYBER	47400	63224	\N	\N	\N
2035161	6897	1993-07-22	VYDAJ	VYBER	17200	46368	\N	\N	\N
2035162	6897	1993-08-21	VYDAJ	VYBER	11600	35229	\N	\N	\N
2035163	6897	1993-09-20	VYDAJ	VYBER	2900	32789	\N	\N	\N
2035164	6897	1993-10-20	VYDAJ	VYBER	5300	27950	\N	\N	\N
2035165	6897	1993-11-19	PRIJEM	VKLAD	800	29211	\N	\N	\N
2035166	6897	1993-12-10	VYDAJ	VYBER	23000	106936	\N	\N	\N
2035167	6897	1993-12-19	VYDAJ	VYBER	35900	64136	\N	\N	\N
2035168	6897	1994-01-18	VYDAJ	VYBER	22100	52892	\N	\N	\N
2035169	6897	1994-02-17	PRIJEM	VKLAD	5000	18066	\N	\N	\N
2035170	6897	1994-03-19	VYDAJ	VYBER	6400	31437	\N	\N	\N
2035171	6897	1994-04-18	PRIJEM	VKLAD	3000	24368	\N	\N	\N
2035172	6897	1994-05-18	VYDAJ	VYBER	14300	45120	\N	\N	\N
2035173	6897	1994-06-17	PRIJEM	VKLAD	14200	17488	\N	\N	\N
2035174	6897	1994-07-17	VYDAJ	VYBER	36800	65327	\N	\N	\N
2035175	6897	1994-08-16	VYDAJ	VYBER	23000	50865	\N	\N	\N
2035176	6897	1994-09-15	VYDAJ	VYBER	6700	36068	\N	\N	\N
2035177	6897	1994-10-15	VYDAJ	VYBER	8300	46564	\N	\N	\N
2035178	6897	1994-11-14	VYDAJ	VYBER	1900	31938	\N	\N	\N
2035179	6897	1994-12-14	PRIJEM	VKLAD	13400	22412	\N	\N	\N
2035180	6897	1995-01-13	PRIJEM	VKLAD	19200	23617	\N	\N	\N
2035181	6897	1995-02-12	VYDAJ	VYBER	27200	63211	\N	\N	\N
2035182	6897	1995-03-14	VYDAJ	VYBER	32900	70673	\N	\N	\N
2035183	6897	1995-04-02	VYDAJ	VYBER	54500	58283	\N	\N	\N
2035184	6897	1995-04-13	VYDAJ	VYBER	8800	49483	\N	\N	\N
2035185	6897	1995-05-13	VYDAJ	VYBER	22000	64070	\N	\N	\N
2035186	6897	1995-06-12	VYDAJ	VYBER	17400	59789	\N	\N	\N
2035187	6897	1995-07-12	PRIJEM	VKLAD	2900	41829	\N	\N	\N
2035188	6897	1995-08-11	VYDAJ	VYBER	18200	63681	\N	\N	\N
2035189	6897	1995-09-10	VYDAJ	VYBER	6600	50475	\N	\N	\N
2035190	6897	1995-10-10	VYDAJ	VYBER	28600	77785	\N	\N	\N
2035191	6897	1995-10-12	VYDAJ	VYBER	34600	79903	\N	\N	\N
2035192	6897	1995-10-26	VYDAJ	VYBER	27200	94056	\N	\N	\N
2035193	6897	1995-10-31	VYDAJ	VYBER	60500	76556	\N	\N	\N
2035194	6897	1995-11-09	VYDAJ	VYBER	61500	75936	\N	\N	\N
2035195	6897	1995-11-09	VYDAJ	VYBER	16800	59136	\N	\N	\N
2035196	6897	1995-11-19	VYDAJ	VYBER	47800	77213	\N	\N	\N
2035197	6897	1995-12-05	VYDAJ	VYBER	33600	83407	\N	\N	\N
2035198	6897	1995-12-08	VYDAJ	VYBER	49500	73168	\N	\N	\N
2035199	6897	1995-12-09	VYDAJ	VYBER	13000	60168	\N	\N	\N
2035200	6897	1996-01-08	VYDAJ	VYBER	9500	59060	\N	\N	\N
2035201	6897	1996-02-07	PRIJEM	VKLAD	12300	39446	\N	\N	\N
2035202	6897	1996-03-08	PRIJEM	VKLAD	7700	47243	\N	\N	\N
2035203	6897	1996-04-07	PRIJEM	VKLAD	7900	46591	\N	\N	\N
2035204	6897	1996-05-07	VYDAJ	VYBER	15400	67876	\N	\N	\N
2035205	6897	1996-06-06	PRIJEM	VKLAD	8600	39302	\N	\N	\N
2035206	6897	1996-07-06	VYDAJ	VYBER	10300	66847	\N	\N	\N
2035207	6897	1996-08-05	VYDAJ	VYBER	3200	57048	\N	\N	\N
2035208	6897	1996-09-04	VYDAJ	VYBER	26000	81958	\N	\N	\N
2035209	6897	1996-10-01	VYDAJ	VYBER	42200	89161	\N	\N	\N
2035210	6897	1996-10-04	VYDAJ	VYBER	16000	73161	\N	\N	\N
2035211	6897	1996-11-03	VYDAJ	VYBER	17600	73974	\N	\N	\N
2035212	6897	1996-12-03	VYDAJ	VYBER	7800	66534	\N	\N	\N
2035213	6897	1997-01-02	VYDAJ	VYBER	21700	74562	\N	\N	\N
2035214	6897	1997-02-01	PRIJEM	VKLAD	12200	44076	\N	\N	\N
2035215	6897	1997-03-03	VYDAJ	VYBER	6500	64740	\N	\N	\N
2035216	6897	1997-04-02	VYDAJ	VYBER	8800	70887	\N	\N	\N
2035217	6897	1997-05-02	VYDAJ	VYBER	9000	62197	\N	\N	\N
2035218	6897	1997-06-01	PRIJEM	VKLAD	1300	63772	\N	\N	\N
2035219	6897	1997-07-01	PRIJEM	VKLAD	25300	36928	\N	\N	\N
2035220	6897	1997-07-31	PRIJEM	VKLAD	14600	51528	\N	\N	\N
2035221	6897	1997-08-30	PRIJEM	VKLAD	10900	52274	\N	\N	\N
2035222	6897	1997-09-29	PRIJEM	VKLAD	15000	46468	\N	\N	\N
2035223	6897	1997-10-29	PRIJEM	VKLAD	15900	55055	\N	\N	\N
2035224	6897	1997-11-28	PRIJEM	VKLAD	3900	59129	\N	\N	\N
2035225	6897	1997-12-28	PRIJEM	VKLAD	12400	58238	\N	\N	\N
2035226	6897	1998-01-27	PRIJEM	VKLAD	31000	47074	\N	\N	\N
2035227	6897	1998-02-23	VYDAJ	VYBER	62000	82437	\N	\N	\N
2035228	6897	1998-02-26	VYDAJ	VYBER	5400	77037	\N	\N	\N
2035229	6897	1998-03-06	VYDAJ	VYBER	64500	58970	\N	\N	\N
2035230	6897	1998-03-28	VYDAJ	VYBER	2800	75618	\N	\N	\N
2035231	6897	1998-04-18	VYDAJ	VYBER	56200	77259	\N	\N	\N
2035232	6897	1998-04-27	PRIJEM	VKLAD	2800	68959	\N	\N	\N
2035233	6897	1998-05-27	PRIJEM	VKLAD	1000	75649	\N	\N	\N
2035234	6897	1998-06-16	VYDAJ	VYBER	34700	88561	\N	\N	\N
2035235	6897	1998-06-26	PRIJEM	VKLAD	4800	62947	\N	\N	\N
2035236	6897	1998-07-26	PRIJEM	VKLAD	12200	61021	\N	\N	\N
2035237	6897	1998-08-25	VYDAJ	VYBER	1000	69488	\N	\N	\N
2035238	6897	1998-09-24	VYDAJ	VYBER	1400	68294	\N	\N	\N
2035239	6897	1998-10-02	VYDAJ	VYBER	41300	99424	\N	\N	\N
2035240	6897	1998-10-24	VYDAJ	VYBER	21800	91856	\N	\N	\N
2035241	6897	1998-11-23	VYDAJ	VYBER	19200	80902	\N	\N	\N
2035242	6897	1998-12-17	VYDAJ	VYBER	50400	93368	\N	\N	\N
2036659	6902	1996-10-22	PRIJEM	VKLAD	900	900	\N	\N	\N
2036670	6902	1996-11-11	PRIJEM	VKLAD	10378	11278	\N	\N	\N
2036671	6902	1996-12-11	PRIJEM	VKLAD	15567	32769	\N	\N	\N
2036672	6902	1997-01-11	PRIJEM	VKLAD	10378	39736	\N	\N	\N
2036673	6902	1997-02-11	PRIJEM	VKLAD	10378	44244	\N	\N	\N
2036674	6902	1997-03-11	PRIJEM	VKLAD	10378	46167	\N	\N	\N
2036675	6902	1997-04-11	PRIJEM	VKLAD	10378	49729	\N	\N	\N
2036676	6902	1997-05-11	PRIJEM	VKLAD	10378	48799	\N	\N	\N
2036677	6902	1997-06-11	PRIJEM	VKLAD	15567	48847	\N	\N	\N
2036678	6902	1997-07-11	PRIJEM	VKLAD	10378	46804	\N	\N	\N
2036679	6902	1997-08-11	PRIJEM	VKLAD	10378	44058	\N	\N	\N
2036680	6902	1997-09-11	PRIJEM	VKLAD	10378	40798	\N	\N	\N
2036681	6902	1997-10-11	PRIJEM	VKLAD	10378	36723	\N	\N	\N
2036682	6902	1997-11-11	PRIJEM	VKLAD	10378	38842	\N	\N	\N
2036683	6902	1997-12-11	PRIJEM	VKLAD	15567	44252	\N	\N	\N
2036684	6902	1998-01-11	PRIJEM	VKLAD	10378	35172	\N	\N	\N
2036685	6902	1998-02-11	PRIJEM	VKLAD	10378	26916	\N	\N	\N
2036686	6902	1998-03-11	PRIJEM	VKLAD	10378	30624	\N	\N	\N
2036687	6902	1998-04-11	PRIJEM	VKLAD	10378	29718	\N	\N	\N
2036688	6902	1998-05-11	PRIJEM	VKLAD	10378	27826	\N	\N	\N
2036689	6902	1998-06-11	PRIJEM	VKLAD	15567	31415	\N	\N	\N
2036690	6902	1998-07-11	PRIJEM	VKLAD	10378	24410	\N	\N	\N
2036691	6902	1998-08-11	PRIJEM	VKLAD	10378	25902	\N	\N	\N
2036692	6902	1998-09-11	PRIJEM	VKLAD	10378	25095	\N	\N	\N
2036693	6902	1998-10-11	PRIJEM	VKLAD	10378	26690	\N	\N	\N
2036694	6902	1998-11-11	PRIJEM	VKLAD	10378	30296	\N	\N	\N
2036695	6902	1998-12-11	PRIJEM	VKLAD	15567	30990	\N	\N	\N
2036710	6902	1997-03-12	VYDAJ	PREVOD NA UCET	3738	41602	SIPO	OP	39091980
2036711	6902	1997-04-12	VYDAJ	PREVOD NA UCET	3738	45164	SIPO	OP	39091980
2036712	6902	1997-05-12	VYDAJ	PREVOD NA UCET	3738	44234	SIPO	OP	39091980
2036713	6902	1997-06-12	VYDAJ	PREVOD NA UCET	3738	44282	SIPO	OP	39091980
2036714	6902	1997-07-12	VYDAJ	PREVOD NA UCET	3738	42239	SIPO	OP	39091980
2036715	6902	1997-08-12	VYDAJ	PREVOD NA UCET	3738	39493	SIPO	OP	39091980
2036716	6902	1997-09-12	VYDAJ	PREVOD NA UCET	3738	36233	SIPO	OP	39091980
2036717	6902	1997-10-12	VYDAJ	PREVOD NA UCET	3738	32158	SIPO	OP	39091980
2036718	6902	1997-11-12	VYDAJ	PREVOD NA UCET	3738	34277	SIPO	OP	39091980
2036719	6902	1997-12-12	VYDAJ	PREVOD NA UCET	3738	39687	SIPO	OP	39091980
2036720	6902	1998-01-12	VYDAJ	PREVOD NA UCET	3738	30607	SIPO	OP	39091980
2036721	6902	1998-02-12	VYDAJ	PREVOD NA UCET	3738	20981	SIPO	OP	39091980
2036722	6902	1998-03-12	VYDAJ	PREVOD NA UCET	3738	24689	SIPO	OP	39091980
2036723	6902	1998-04-12	VYDAJ	PREVOD NA UCET	3738	25153	SIPO	OP	39091980
2036724	6902	1998-05-12	VYDAJ	PREVOD NA UCET	3738	23261	SIPO	OP	39091980
2036725	6902	1998-06-12	VYDAJ	PREVOD NA UCET	3738	25480	SIPO	OP	39091980
2036726	6902	1998-07-12	VYDAJ	PREVOD NA UCET	3738	18475	SIPO	OP	39091980
2036727	6902	1998-08-12	VYDAJ	PREVOD NA UCET	3738	21337	SIPO	OP	39091980
2036728	6902	1998-09-12	VYDAJ	PREVOD NA UCET	3738	16260	SIPO	OP	39091980
2036729	6902	1998-10-12	VYDAJ	PREVOD NA UCET	3738	19855	SIPO	OP	39091980
2036730	6902	1998-11-12	VYDAJ	PREVOD NA UCET	3738	16961	SIPO	OP	39091980
2036731	6902	1998-12-12	VYDAJ	PREVOD NA UCET	3738	19325	SIPO	OP	39091980
2036746	6902	1997-03-11	VYDAJ	PREVOD NA UCET	827	45340	 	YZ	4458135
2036747	6902	1997-04-11	VYDAJ	PREVOD NA UCET	827	48902	 	YZ	4458135
2036748	6902	1997-05-11	VYDAJ	PREVOD NA UCET	827	47972	 	YZ	4458135
2036749	6902	1997-06-11	VYDAJ	PREVOD NA UCET	827	48020	 	YZ	4458135
2036750	6902	1997-07-11	VYDAJ	PREVOD NA UCET	827	45977	 	YZ	4458135
2036751	6902	1997-08-11	VYDAJ	PREVOD NA UCET	827	43231	 	YZ	4458135
2036752	6902	1997-09-11	VYDAJ	PREVOD NA UCET	827	39971	 	YZ	4458135
2036753	6902	1997-10-11	VYDAJ	PREVOD NA UCET	827	35896	 	YZ	4458135
2036754	6902	1997-11-11	VYDAJ	PREVOD NA UCET	827	38015	 	YZ	4458135
2036755	6902	1997-12-11	VYDAJ	PREVOD NA UCET	827	43425	 	YZ	4458135
2036756	6902	1998-01-11	VYDAJ	PREVOD NA UCET	827	34345	 	YZ	4458135
2036757	6902	1998-02-11	VYDAJ	PREVOD NA UCET	827	26089	 	YZ	4458135
2036758	6902	1998-03-11	VYDAJ	PREVOD NA UCET	827	29797	 	YZ	4458135
2036759	6902	1998-04-11	VYDAJ	PREVOD NA UCET	827	28891	 	YZ	4458135
2036760	6902	1998-05-11	VYDAJ	PREVOD NA UCET	827	26999	 	YZ	4458135
2036761	6902	1998-06-11	VYDAJ	PREVOD NA UCET	827	30588	 	YZ	4458135
2036762	6902	1998-07-11	VYDAJ	PREVOD NA UCET	827	23583	 	YZ	4458135
2036763	6902	1998-08-11	VYDAJ	PREVOD NA UCET	827	25075	 	YZ	4458135
2036764	6902	1998-09-11	VYDAJ	PREVOD NA UCET	827	24268	 	YZ	4458135
2036765	6902	1998-10-11	VYDAJ	PREVOD NA UCET	827	25863	 	YZ	4458135
2036766	6902	1998-11-11	VYDAJ	PREVOD NA UCET	827	29469	 	YZ	4458135
2036767	6902	1998-12-11	VYDAJ	PREVOD NA UCET	827	23063	 	YZ	4458135
2036782	6902	1997-03-04	VYDAJ	VYBER	1300	35789	\N	\N	0
2036783	6902	1997-04-25	VYDAJ	VYBER	1200	38264	\N	\N	0
2036784	6902	1997-05-13	VYDAJ	VYBER	1100	43134	\N	\N	0
2036785	6902	1997-06-09	VYDAJ	VYBER	1600	33280	\N	\N	0
2036786	6902	1997-07-20	VYDAJ	VYBER	1200	34839	\N	\N	0
2036787	6902	1997-08-04	VYDAJ	VYBER	1300	33680	\N	\N	0
2036788	6902	1997-09-19	VYDAJ	VYBER	1500	27333	\N	\N	0
2036789	6902	1997-10-02	VYDAJ	VYBER	1100	26345	\N	\N	0
2036790	6902	1997-11-14	VYDAJ	VYBER	1800	32477	\N	\N	0
2036791	6902	1997-12-15	VYDAJ	VYBER	1300	38387	\N	\N	0
2036792	6902	1998-01-12	VYDAJ	PREVOD NA UCET	1370	29237	UVER	ST	86353617
2036793	6902	1998-02-12	VYDAJ	PREVOD NA UCET	1370	24719	UVER	ST	86353617
2036794	6902	1998-03-12	VYDAJ	PREVOD NA UCET	1370	28427	UVER	ST	86353617
2036795	6902	1998-04-12	VYDAJ	PREVOD NA UCET	1370	23783	UVER	ST	86353617
2036796	6902	1998-05-12	VYDAJ	PREVOD NA UCET	1370	21891	UVER	ST	86353617
2036797	6902	1998-06-12	VYDAJ	PREVOD NA UCET	1370	29218	UVER	ST	86353617
2036798	6902	1998-07-12	VYDAJ	PREVOD NA UCET	1370	22213	UVER	ST	86353617
2036799	6902	1998-08-12	VYDAJ	PREVOD NA UCET	1370	19967	UVER	ST	86353617
2036800	6902	1998-09-12	VYDAJ	PREVOD NA UCET	1370	19998	UVER	ST	86353617
2036801	6902	1998-10-12	VYDAJ	PREVOD NA UCET	1370	23593	UVER	ST	86353617
2036802	6902	1998-11-12	VYDAJ	PREVOD NA UCET	1370	20699	UVER	ST	86353617
2036803	6902	1998-12-12	VYDAJ	PREVOD NA UCET	1370	17955	UVER	ST	86353617
2036811	6902	1997-12-27	VYDAJ	VYBER	1280	25407	\N	\N	\N
2036812	6902	1998-12-04	VYDAJ	VYBER	1600	15423	\N	\N	\N
2036825	6902	1998-01-30	VYDAJ	VYBER	1440	16457	\N	\N	\N
2036826	6902	1998-01-20	VYDAJ	VYBER	1800	18857	\N	\N	\N
2036827	6902	1998-01-17	VYDAJ	VYBER	2280	20657	\N	\N	\N
2036828	6902	1998-01-21	VYDAJ	VYBER	960	17897	\N	\N	\N
2036829	6902	1998-01-15	VYDAJ	VYBER	1800	27437	\N	\N	\N
2036830	6902	1998-01-01	VYDAJ	VYBER	720	24794	\N	\N	\N
2036841	6902	1998-03-13	VYDAJ	VYBER	1920	22769	\N	\N	\N
2036857	6902	1997-03-31	VYDAJ	VYBER	15	39351	SLUZBY	\N	\N
2036858	6902	1997-04-30	VYDAJ	VYBER	15	38421	SLUZBY	\N	\N
2036859	6902	1997-05-31	VYDAJ	VYBER	15	34880	SLUZBY	\N	\N
2036860	6902	1997-06-30	VYDAJ	VYBER	15	36426	SLUZBY	\N	\N
2036861	6902	1997-07-31	VYDAJ	VYBER	15	34980	SLUZBY	\N	\N
2036862	6902	1997-08-31	VYDAJ	VYBER	15	30420	SLUZBY	\N	\N
2036863	6902	1997-09-30	VYDAJ	VYBER	15	27445	SLUZBY	\N	\N
2036864	6902	1997-10-31	VYDAJ	VYBER	15	28464	SLUZBY	\N	\N
2036865	6902	1997-11-30	VYDAJ	VYBER	15	28685	SLUZBY	\N	\N
2036866	6902	1997-12-31	VYDAJ	VYBER	15	25514	SLUZBY	\N	\N
2036867	6902	1998-01-31	VYDAJ	VYBER	15	16538	SLUZBY	\N	\N
2036868	6902	1998-02-28	VYDAJ	VYBER	15	20246	SLUZBY	\N	\N
2036869	6902	1998-03-31	VYDAJ	VYBER	15	19340	SLUZBY	\N	\N
2036870	6902	1998-04-30	VYDAJ	VYBER	15	17448	SLUZBY	\N	\N
2036871	6902	1998-05-31	VYDAJ	VYBER	15	15848	SLUZBY	\N	\N
2036872	6902	1998-06-30	VYDAJ	VYBER	15	14032	SLUZBY	\N	\N
2036873	6902	1998-07-31	VYDAJ	VYBER	15	15524	SLUZBY	\N	\N
2036874	6902	1998-08-31	VYDAJ	VYBER	15	14717	SLUZBY	\N	\N
2036875	6902	1998-09-30	VYDAJ	VYBER	15	16312	SLUZBY	\N	\N
2036876	6902	1998-10-31	VYDAJ	VYBER	15	19918	SLUZBY	\N	\N
2036877	6902	1998-11-30	VYDAJ	VYBER	15	17023	SLUZBY	\N	\N
2036878	6902	1996-11-21	PRIJEM	VKLAD	5900	17178	\N	\N	\N
2036879	6902	1996-12-21	VYDAJ	VYBER	3500	29269	\N	\N	\N
2036880	6902	1997-01-20	VYDAJ	VYBER	6000	33736	\N	\N	\N
2036881	6902	1997-02-19	VYDAJ	VYBER	7300	36944	\N	\N	\N
2036882	6902	1997-03-21	VYDAJ	VYBER	2400	39202	\N	\N	\N
2036883	6902	1997-04-20	VYDAJ	VYBER	5700	39464	\N	\N	\N
2036884	6902	1997-05-20	VYDAJ	VYBER	8400	34734	\N	\N	\N
2036885	6902	1997-06-19	VYDAJ	VYBER	8000	36282	\N	\N	\N
2036886	6902	1997-07-19	VYDAJ	VYBER	6200	36039	\N	\N	\N
2036887	6902	1997-08-18	VYDAJ	VYBER	9200	30293	\N	\N	\N
2036888	6902	1997-09-17	VYDAJ	VYBER	7400	28833	\N	\N	\N
2036889	6902	1997-10-17	VYDAJ	VYBER	3800	28358	\N	\N	\N
2036890	6902	1997-11-16	VYDAJ	VYBER	3900	28577	\N	\N	\N
2036891	6902	1997-12-16	VYDAJ	VYBER	11700	26687	\N	\N	\N
2036892	6902	1998-01-15	VYDAJ	VYBER	4500	22937	\N	\N	\N
2036893	6902	1998-02-14	VYDAJ	VYBER	800	20181	\N	\N	\N
2036894	6902	1998-03-16	VYDAJ	VYBER	3500	19269	\N	\N	\N
2036895	6902	1998-04-15	VYDAJ	VYBER	6400	17383	\N	\N	\N
2036896	6902	1998-05-15	VYDAJ	VYBER	6100	15791	\N	\N	\N
2036897	6902	1998-06-14	VYDAJ	VYBER	11500	13980	\N	\N	\N
2036898	6902	1998-07-14	VYDAJ	VYBER	3000	15475	\N	\N	\N
2036899	6902	1998-08-13	VYDAJ	VYBER	5300	14667	\N	\N	\N
2036900	6902	1998-09-12	VYDAJ	VYBER	2900	21368	\N	\N	\N
2036901	6902	1998-10-12	VYDAJ	VYBER	900	24963	\N	\N	\N
2036902	6902	1998-11-11	VYDAJ	VYBER	7400	22069	\N	\N	\N
2036903	6902	1998-12-11	VYDAJ	VYBER	7100	23890	\N	\N	\N
2038988	6910	1995-04-04	PRIJEM	VKLAD	200	200	\N	\N	\N
2038990	6910	1996-02-01	PRIJEM	VKLAD	12148	51612	\N	\N	\N
2038991	6910	1996-12-21	PRIJEM	VKLAD	46685	52209	\N	\N	\N
2038992	6910	1996-03-20	PRIJEM	VKLAD	42223	106188	\N	\N	\N
2038993	6910	1996-05-07	PRIJEM	VKLAD	21897	83953	\N	\N	\N
2038994	6910	1996-05-20	PRIJEM	VKLAD	39936	99250	\N	\N	\N
2038995	6910	1996-11-15	PRIJEM	VKLAD	8539	7300	\N	\N	\N
2038996	6910	1996-04-08	PRIJEM	VKLAD	29777	85610	\N	\N	\N
2038997	6910	1996-04-15	PRIJEM	VKLAD	7658	93268	\N	\N	\N
2038998	6910	1996-03-06	PRIJEM	VKLAD	26789	63965	\N	\N	\N
2038999	6910	1996-01-03	PRIJEM	VKLAD	25266	52862	\N	\N	\N
2039000	6910	1996-06-11	PRIJEM	VKLAD	45709	111542	\N	\N	\N
2039001	6910	1996-08-16	PRIJEM	VKLAD	19606	58673	\N	\N	\N
2039002	6910	1997-10-08	PRIJEM	VKLAD	7540	69655	\N	\N	\N
2039003	6910	1997-06-13	PRIJEM	VKLAD	35905	134220	\N	\N	\N
2039004	6910	1997-03-22	PRIJEM	VKLAD	30165	74790	\N	\N	\N
2039005	6910	1997-07-10	PRIJEM	VKLAD	36789	64056	\N	\N	\N
2039006	6910	1997-01-13	PRIJEM	VKLAD	13445	23426	\N	\N	\N
2039007	6910	1997-02-20	PRIJEM	VKLAD	24229	30613	\N	\N	\N
2039008	6910	1997-04-25	PRIJEM	VKLAD	16708	61584	\N	\N	\N
2039009	6910	1997-05-21	PRIJEM	VKLAD	20311	70113	\N	\N	\N
2039010	6910	1997-12-30	PRIJEM	VKLAD	41848	96664	\N	\N	\N
2039011	6910	1997-10-24	PRIJEM	VKLAD	25191	86646	\N	\N	\N
2039012	6910	1997-03-08	PRIJEM	VKLAD	28397	44625	\N	\N	\N
2039013	6910	1997-05-24	PRIJEM	VKLAD	17800	68213	\N	\N	\N
2039014	6910	1997-09-11	PRIJEM	VKLAD	39860	90126	\N	\N	\N
2039015	6910	1997-09-15	PRIJEM	VKLAD	12797	102923	\N	\N	\N
2039016	6910	1997-12-04	PRIJEM	VKLAD	11289	57716	\N	\N	\N
2039017	6910	1997-05-31	PRIJEM	VKLAD	38770	106983	\N	\N	\N
2039018	6910	1997-11-28	PRIJEM	VKLAD	48110	116686	\N	\N	\N
2039019	6910	1998-04-01	PRIJEM	VKLAD	47409	134276	\N	\N	\N
2039020	6910	1998-11-25	PRIJEM	VKLAD	34425	118127	\N	\N	\N
2039021	6910	1998-11-06	PRIJEM	VKLAD	25379	99902	\N	\N	\N
2039022	6910	1998-06-09	PRIJEM	VKLAD	36742	98912	\N	\N	\N
2039023	6910	1998-10-21	PRIJEM	VKLAD	6524	84497	\N	\N	\N
2039024	6910	1998-05-11	PRIJEM	VKLAD	49706	154162	\N	\N	\N
2039025	6910	1998-01-04	PRIJEM	VKLAD	12127	103320	\N	\N	\N
2039026	6910	1998-05-03	PRIJEM	VKLAD	45491	106172	\N	\N	\N
2039027	6910	1998-02-04	PRIJEM	VKLAD	22384	30926	\N	\N	\N
2039028	6910	1998-09-09	PRIJEM	VKLAD	31473	106913	\N	\N	\N
2039029	6910	1998-07-28	PRIJEM	VKLAD	19289	90141	\N	\N	\N
2039030	6910	1998-08-29	PRIJEM	VKLAD	31242	155241	\N	\N	\N
2039031	6910	1998-03-25	PRIJEM	VKLAD	40782	86684	\N	\N	\N
2039032	6910	1998-12-02	PRIJEM	VKLAD	31869	123837	\N	\N	\N
2039033	6910	1998-10-03	PRIJEM	VKLAD	21134	109373	\N	\N	\N
2039034	6910	1998-05-06	PRIJEM	VKLAD	32423	138595	\N	\N	\N
2039035	6910	1998-08-26	PRIJEM	VKLAD	47591	140599	\N	\N	\N
2039036	6910	1998-01-10	PRIJEM	VKLAD	13736	110558	\N	\N	\N
2039037	6910	1998-05-10	PRIJEM	VKLAD	43261	121156	\N	\N	\N
2039038	6910	1998-07-14	PRIJEM	VKLAD	9419	85052	\N	\N	\N
2039039	6910	1998-08-20	PRIJEM	VKLAD	46259	116908	\N	\N	\N
2039096	6910	1996-05-14	VYBER	VYBER	24639	59314	\N	\N	\N
2039099	6910	1996-10-27	VYBER	VYBER	15980	8420	\N	\N	\N
2039102	6910	1996-11-10	VYBER	VYBER	9773	-1239	\N	\N	\N
2039105	6910	1997-09-18	VYBER	VYBER	12402	90521	\N	\N	\N
2039106	6910	1997-07-08	VYBER	VYBER	19687	27267	\N	\N	\N
2039107	6910	1997-03-05	VYBER	VYBER	7202	23348	\N	\N	\N
2039108	6910	1997-06-12	VYBER	VYBER	8921	98315	\N	\N	\N
2039109	6910	1997-09-23	VYBER	VYBER	4655	65466	\N	\N	\N
2039110	6910	1997-03-07	VYBER	VYBER	7120	16228	\N	\N	\N
2039111	6910	1997-01-07	VYBER	VYBER	17570	9981	\N	\N	\N
2039113	6910	1997-04-10	VYBER	VYBER	8289	46976	\N	\N	\N
2039114	6910	1997-11-24	VYBER	VYBER	2839	68576	\N	\N	\N
2039115	6910	1998-01-13	VYBER	VYBER	23500	38758	\N	\N	\N
2039116	6910	1998-01-07	VYBER	VYBER	6498	96822	\N	\N	\N
2039117	6910	1998-01-15	VYBER	VYBER	15112	23646	\N	\N	\N
2039118	6910	1998-04-01	VYBER	VYBER	17851	116425	\N	\N	\N
2039119	6910	1998-08-31	VYBER	VYBER	24893	75455	\N	\N	\N
2039120	6910	1998-10-31	VYBER	VYBER	10344	74538	\N	\N	\N
2039121	6910	1998-08-01	VYBER	VYBER	17492	72949	\N	\N	\N
2039124	6910	1997-06-28	VYDAJ	VYBER	16500	46620	\N	\N	\N
2039125	6910	1998-06-08	VYDAJ	VYBER	10800	62170	\N	\N	\N
2039129	6910	1998-01-11	VYDAJ	VYBER	9300	67958	\N	\N	\N
2039131	6910	1996-12-27	VYDAJ	VYBER	6300	35009	\N	\N	\N
2039132	6910	1997-12-04	VYDAJ	VYBER KARTOU	3300	54416	\N	\N	0
2039133	6910	1998-12-09	VYDAJ	VYBER KARTOU	1800	66237	\N	\N	0
2039146	6910	1997-01-03	VYDAJ	VYBER	5400	29651	\N	\N	\N
2039147	6910	1997-01-05	VYDAJ	VYBER KARTOU	2100	27551	\N	\N	0
2039148	6910	1997-01-30	VYDAJ	VYBER	7200	6326	\N	\N	\N
2039149	6910	1997-01-14	VYDAJ	VYBER	8100	15326	\N	\N	\N
2039150	6910	1997-01-16	VYDAJ	VYBER KARTOU	2400	12926	\N	\N	0
2039151	6910	1997-01-28	VYDAJ	VYBER	6900	13526	\N	\N	\N
2039152	6910	1998-01-16	VYDAJ	VYBER	8400	15246	\N	\N	\N
2039153	6910	1998-01-02	VYDAJ	VYBER	5700	91193	\N	\N	\N
2039154	6910	1998-01-22	VYDAJ	VYBER	8400	17046	\N	\N	\N
2039155	6910	1998-01-22	VYDAJ	VYBER	7800	25446	\N	\N	\N
2039156	6910	1998-01-20	VYDAJ	VYBER	4800	33246	\N	\N	\N
2039157	6910	1998-01-12	VYDAJ	VYBER	5700	62258	\N	\N	\N
2039162	6910	1996-10-23	VYDAJ	VYBER	12000	24000	\N	\N	\N
2039164	6910	1996-06-12	VYDAJ	VYBER	12600	62742	\N	\N	\N
2039165	6910	1996-09-21	VYDAJ	VYBER	10800	36528	\N	\N	\N
2039166	6910	1996-11-30	VYDAJ	VYBER	9600	5539	\N	\N	\N
2039167	6910	1997-09-23	VYDAJ	VYBER KARTOU	3600	61866	\N	\N	0
2039168	6910	1997-05-16	VYDAJ	VYBER	12000	49802	\N	\N	\N
2039169	6910	1997-12-02	VYDAJ	VYBER	7500	46427	\N	\N	\N
2039170	6910	1997-05-22	VYDAJ	VYBER	14400	55713	\N	\N	\N
2039171	6910	1997-07-11	VYDAJ	VYBER	4200	59856	\N	\N	\N
2039172	6910	1998-02-12	VYDAJ	VYBER KARTOU	2700	28226	\N	\N	0
2039173	6910	1998-02-13	VYDAJ	VYBER	13200	15026	\N	\N	\N
2039174	6910	1998-11-25	VYDAJ	VYBER	5100	113027	\N	\N	\N
2039175	6910	1998-04-16	VYDAJ	VYBER	12600	72225	\N	\N	\N
2039176	6910	1998-01-31	VYDAJ	VYBER	8700	8556	\N	\N	\N
2039178	6910	1998-12-29	VYDAJ	VYBER KARTOU	1800	68737	\N	\N	0
2039195	6910	1996-04-30	VYDAJ	VYBER	15	62056	SLUZBY	\N	\N
2039196	6910	1996-05-31	VYDAJ	VYBER	15	65833	SLUZBY	\N	\N
2039197	6910	1996-06-30	VYDAJ	VYBER	15	46091	SLUZBY	\N	\N
2039198	6910	1996-07-31	VYDAJ	VYBER	15	39067	SLUZBY	\N	\N
2039199	6910	1996-08-31	VYDAJ	VYBER	15	47328	SLUZBY	\N	\N
2039200	6910	1996-09-30	VYDAJ	VYBER	15	36000	SLUZBY	\N	\N
2039201	6910	1996-10-31	VYDAJ	VYBER	15	8534	SLUZBY	\N	\N
2039202	6910	1996-11-30	VYDAJ	VYBER	15	5524	SLUZBY	\N	\N
2039203	6910	1996-12-31	VYDAJ	VYBER	15	35051	SLUZBY	\N	\N
2039204	6910	1997-01-31	VYDAJ	VYBER	15	6384	SLUZBY	\N	\N
2039205	6910	1997-02-28	VYDAJ	VYBER	15	30550	SLUZBY	\N	\N
2039206	6910	1997-03-31	VYDAJ	VYBER	15	55265	SLUZBY	\N	\N
2039207	6910	1997-04-30	VYDAJ	VYBER	15	61802	SLUZBY	\N	\N
2039208	6910	1997-05-31	VYDAJ	VYBER	15	107236	SLUZBY	\N	\N
2039209	6910	1997-06-30	VYDAJ	VYBER	15	46954	SLUZBY	\N	\N
2039210	6910	1997-07-31	VYDAJ	VYBER	15	51965	SLUZBY	\N	\N
2039211	6910	1997-08-31	VYDAJ	VYBER	15	50266	SLUZBY	\N	\N
2039212	6910	1997-09-30	VYDAJ	VYBER	15	62115	SLUZBY	\N	\N
2039213	6910	1997-10-31	VYDAJ	VYBER	15	86915	SLUZBY	\N	\N
2039214	6910	1997-11-30	VYDAJ	VYBER	15	53927	SLUZBY	\N	\N
2039215	6910	1997-12-31	VYDAJ	VYBER	15	96893	SLUZBY	\N	\N
2039216	6910	1998-01-31	VYDAJ	VYBER	15	8542	SLUZBY	\N	\N
2039217	6910	1998-02-28	VYDAJ	VYBER	15	36202	SLUZBY	\N	\N
2039218	6910	1998-03-31	VYDAJ	VYBER	15	86867	SLUZBY	\N	\N
2039219	6910	1998-04-30	VYDAJ	VYBER	15	60681	SLUZBY	\N	\N
2039220	6910	1998-05-31	VYDAJ	VYBER	15	72970	SLUZBY	\N	\N
2039221	6910	1998-06-30	VYDAJ	VYBER	15	75633	SLUZBY	\N	\N
2039222	6910	1998-07-31	VYDAJ	VYBER	15	90441	SLUZBY	\N	\N
2039223	6910	1998-08-31	VYDAJ	VYBER	15	75440	SLUZBY	\N	\N
2039224	6910	1998-09-30	VYDAJ	VYBER	15	88239	SLUZBY	\N	\N
2039225	6910	1998-10-31	VYDAJ	VYBER	15	74523	SLUZBY	\N	\N
2039226	6910	1998-11-30	VYDAJ	VYBER	15	91968	SLUZBY	\N	\N
2039227	6910	1995-05-04	PRIJEM	VKLAD	12200	12400	\N	\N	\N
2039228	6910	1995-06-03	PRIJEM	VKLAD	4900	17300	\N	\N	\N
2039229	6910	1995-07-03	PRIJEM	VKLAD	7000	24300	\N	\N	\N
2039230	6910	1995-08-02	VYDAJ	VYBER	200	24100	\N	\N	\N
2039231	6910	1995-09-01	VYDAJ	VYBER	2000	22100	\N	\N	\N
2039232	6910	1995-10-01	PRIJEM	VKLAD	900	23000	\N	\N	\N
2039233	6910	1995-10-31	PRIJEM	VKLAD	100	23103	\N	\N	\N
2039234	6910	1995-11-30	PRIJEM	VKLAD	100	23299	\N	\N	\N
2039235	6910	1995-12-30	PRIJEM	VKLAD	4200	27499	\N	\N	\N
2039236	6910	1996-01-29	VYDAJ	VYBER	13500	39362	\N	\N	\N
2039237	6910	1996-02-28	VYDAJ	VYBER	14600	37012	\N	\N	\N
2039238	6910	1996-03-20	VYDAJ	VYBER	23400	82788	\N	\N	\N
2039239	6910	1996-03-29	VYDAJ	VYBER	27200	55588	\N	\N	\N
2039240	6910	1996-04-28	VYDAJ	VYBER	31500	61768	\N	\N	\N
2039241	6910	1996-05-28	VYDAJ	VYBER	33700	65550	\N	\N	\N
2039242	6910	1996-06-11	VYDAJ	VYBER	36200	75342	\N	\N	\N
2039243	6910	1996-06-27	VYDAJ	VYBER	16900	45842	\N	\N	\N
2039244	6910	1996-07-27	VYDAJ	VYBER	7200	38891	\N	\N	\N
2039245	6910	1996-08-26	VYDAJ	VYBER	11500	47173	\N	\N	\N
2039246	6910	1996-09-25	VYDAJ	VYBER KARTOU	700	35828	\N	\N	0
2039247	6910	1996-10-25	PRIJEM	VKLAD	400	24400	\N	\N	\N
2039248	6910	1996-11-24	PRIJEM	VKLAD	7800	15100	\N	\N	\N
2039249	6910	1996-12-24	VYDAJ	VYBER	10900	41309	\N	\N	\N
2039250	6910	1997-01-23	PRIJEM	VKLAD	7500	20426	\N	\N	\N
2039251	6910	1997-02-22	VYDAJ	VYBER KARTOU	100	30513	\N	\N	0
2039252	6910	1997-03-24	VYDAJ	VYBER	19700	55090	\N	\N	\N
2039253	6910	1997-04-23	VYDAJ	VYBER KARTOU	2100	44876	\N	\N	0
2039254	6910	1997-05-23	VYDAJ	VYBER	5300	50413	\N	\N	\N
2039255	6910	1997-06-13	VYDAJ	VYBER	55300	78920	\N	\N	\N
2039256	6910	1997-06-22	VYDAJ	VYBER	15800	63120	\N	\N	\N
2039257	6910	1997-07-22	VYDAJ	VYBER	8100	51756	\N	\N	\N
2039258	6910	1997-08-21	VYDAJ	VYBER KARTOU	1900	50065	\N	\N	0
2039259	6910	1997-09-20	VYDAJ	VYBER	20400	70121	\N	\N	\N
2039260	6910	1997-10-20	VYDAJ	VYBER	8200	61455	\N	\N	\N
2039261	6910	1997-11-19	VYDAJ	VYBER	15500	71415	\N	\N	\N
2039262	6910	1997-11-28	VYDAJ	VYBER	63100	53586	\N	\N	\N
2039263	6910	1997-12-19	PRIJEM	VKLAD	400	54816	\N	\N	\N
2039264	6910	1998-01-10	VYDAJ	VYBER	33300	77258	\N	\N	\N
2039265	6910	1998-01-18	PRIJEM	VKLAD	22800	38046	\N	\N	\N
2039266	6910	1998-02-17	PRIJEM	VKLAD	21100	36126	\N	\N	\N
2039267	6910	1998-03-19	PRIJEM	VKLAD	9700	45902	\N	\N	\N
2039268	6910	1998-04-01	VYDAJ	VYBER	31600	84825	\N	\N	\N
2039269	6910	1998-04-18	VYDAJ	VYBER	11900	60325	\N	\N	\N
2039270	6910	1998-05-06	VYDAJ	VYBER	60700	77895	\N	\N	\N
2039271	6910	1998-05-10	VYDAJ	VYBER	16700	104456	\N	\N	\N
2039272	6910	1998-05-11	VYDAJ	VYBER	57600	96562	\N	\N	\N
2039273	6910	1998-05-18	VYDAJ	VYBER	23900	72662	\N	\N	\N
2039274	6910	1998-06-17	VYDAJ	VYBER	23600	75312	\N	\N	\N
2039275	6910	1998-07-17	VYDAJ	VYBER	14200	70852	\N	\N	\N
2039276	6910	1998-08-16	VYDAJ	VYBER KARTOU	2300	70649	\N	\N	0
2039277	6910	1998-08-20	VYDAJ	VYBER	23900	93008	\N	\N	\N
2039278	6910	1998-08-26	VYDAJ	VYBER	16600	123999	\N	\N	\N
2039279	6910	1998-08-29	VYDAJ	VYBER	55300	99941	\N	\N	\N
2039280	6910	1998-09-15	VYDAJ	VYBER	19000	87913	\N	\N	\N
2039281	6910	1998-10-03	VYDAJ	VYBER	26400	82973	\N	\N	\N
2039282	6910	1998-10-15	VYDAJ	VYBER	5000	77973	\N	\N	\N
2039283	6910	1998-11-14	VYDAJ	VYBER	16200	83702	\N	\N	\N
2039284	6910	1998-11-25	VYDAJ	VYBER	21400	91627	\N	\N	\N
2039285	6910	1998-12-02	VYDAJ	VYBER	55800	68037	\N	\N	\N
2039286	6910	1998-12-14	PRIJEM	VKLAD	4300	70537	\N	\N	\N
2042212	6922	1997-05-12	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2042218	6922	1997-06-07	PRIJEM	PREVOD Z UCTU	52305	53405	\N	KL	95470785
2042219	6922	1997-07-07	PRIJEM	PREVOD Z UCTU	34870	73983	\N	KL	95470785
2042220	6922	1997-08-07	PRIJEM	PREVOD Z UCTU	34870	83844	\N	KL	95470785
2042221	6922	1997-09-07	PRIJEM	PREVOD Z UCTU	34870	90236	\N	KL	95470785
2042222	6922	1997-10-07	PRIJEM	PREVOD Z UCTU	34870	94248	\N	KL	95470785
2042223	6922	1997-11-07	PRIJEM	PREVOD Z UCTU	34870	67906	\N	KL	95470785
2042224	6922	1997-12-07	PRIJEM	PREVOD Z UCTU	52305	95976	\N	KL	95470785
2042225	6922	1998-01-07	PRIJEM	PREVOD Z UCTU	34870	92955	\N	KL	95470785
2042226	6922	1998-02-07	PRIJEM	PREVOD Z UCTU	34870	52336	\N	KL	95470785
2042227	6922	1998-03-07	PRIJEM	PREVOD Z UCTU	34870	74930	\N	KL	95470785
2042228	6922	1998-04-07	PRIJEM	PREVOD Z UCTU	34870	58731	\N	KL	95470785
2042229	6922	1998-05-07	PRIJEM	PREVOD Z UCTU	34870	39493	\N	KL	95470785
2042230	6922	1998-06-07	PRIJEM	PREVOD Z UCTU	52305	67769	\N	KL	95470785
2042231	6922	1998-07-07	PRIJEM	PREVOD Z UCTU	34870	66311	\N	KL	95470785
2042232	6922	1998-08-07	PRIJEM	PREVOD Z UCTU	34870	71587	\N	KL	95470785
2042233	6922	1998-09-07	PRIJEM	PREVOD Z UCTU	34870	69792	\N	KL	95470785
2042234	6922	1998-10-07	PRIJEM	PREVOD Z UCTU	34870	68488	\N	KL	95470785
2042235	6922	1998-11-07	PRIJEM	PREVOD Z UCTU	34870	77187	\N	KL	95470785
2042236	6922	1998-12-07	PRIJEM	PREVOD Z UCTU	52305	100261	\N	KL	95470785
2042246	6922	1997-10-13	VYDAJ	VYBER	6100	50248	\N	\N	0
2042247	6922	1997-11-22	VYDAJ	VYBER	4700	43506	\N	\N	0
2042248	6922	1997-12-24	VYDAJ	VYBER	5100	57876	\N	\N	0
2042249	6922	1998-01-13	VYDAJ	VYBER	8500	30055	\N	\N	0
2042250	6922	1998-02-13	VYDAJ	VYBER	7800	44536	\N	\N	0
2042251	6922	1998-02-27	VYDAJ	VYBER	4600	39936	\N	\N	0
2042252	6922	1998-04-10	VYDAJ	VYBER	7900	34431	\N	\N	0
2042253	6922	1998-05-06	VYDAJ	VYBER	5600	4623	\N	\N	0
2042254	6922	1998-06-21	VYDAJ	VYBER	5700	39374	\N	\N	0
2042255	6922	1998-07-26	VYDAJ	VYBER	6800	46608	\N	\N	0
2042256	6922	1998-08-17	VYDAJ	VYBER	6200	65387	\N	\N	0
2042257	6922	1998-09-29	VYDAJ	VYBER	6600	47592	\N	\N	0
2042258	6922	1998-10-11	VYDAJ	VYBER	3400	65088	\N	\N	0
2042259	6922	1998-11-08	VYDAJ	VYBER	4000	73187	\N	\N	0
2042260	6922	1998-12-12	VYDAJ	PREVOD NA UCET	5812	94450	UVER	UV	54632151
2042269	6922	1998-07-26	VYBER	VYBER	12903	53408	\N	\N	\N
2042270	6922	1998-03-15	VYBER	VYBER	24076	23754	\N	\N	\N
2042271	6922	1998-06-20	VYBER	VYBER	22695	45074	\N	\N	\N
2042272	6922	1998-04-16	VYBER	VYBER	24265	10166	\N	\N	\N
2042273	6922	1998-12-25	VYBER	VYBER	14879	79571	\N	\N	\N
2042277	6922	1998-01-10	VYDAJ	VYBER	18900	40955	\N	\N	\N
2042284	6922	1998-01-07	VYDAJ	VYBER	1500	91455	\N	\N	\N
2042285	6922	1998-01-16	VYDAJ	VYBER	5400	15955	\N	\N	\N
2042286	6922	1998-01-29	VYDAJ	VYBER	6900	3055	\N	\N	\N
2042287	6922	1998-01-16	VYDAJ	VYBER	8700	21355	\N	\N	\N
2042288	6922	1998-01-18	VYDAJ	VYBER	1500	14455	\N	\N	\N
2042289	6922	1998-01-12	VYDAJ	VYBER	2400	38555	\N	\N	\N
2042290	6922	1997-10-07	VYDAJ	VYBER	13800	80448	\N	\N	\N
2042292	6922	1997-10-20	VYDAJ	VYBER	5700	44548	\N	\N	\N
2042295	6922	1997-11-05	VYDAJ	VYBER	11700	33036	\N	\N	\N
2042296	6922	1998-09-03	VYDAJ	VYBER	14400	51222	\N	\N	\N
2042297	6922	1998-01-29	VYDAJ	VYBER	4500	9955	\N	\N	\N
2042298	6922	1998-06-02	VYDAJ	VYBER	3000	13564	\N	\N	\N
2042299	6922	1998-09-25	VYDAJ	VYBER	13500	54192	\N	\N	\N
2042300	6922	1998-06-01	VYDAJ	VYBER	11100	16564	\N	\N	\N
2042301	6922	1998-09-11	VYDAJ	VYBER	2100	67692	\N	\N	\N
2042312	6922	1997-10-31	VYDAJ	VYBER	30	44736	SLUZBY	\N	\N
2042313	6922	1997-11-30	VYDAJ	VYBER	30	43671	SLUZBY	\N	\N
2042314	6922	1997-12-31	VYDAJ	VYBER	30	58085	SLUZBY	\N	\N
2042315	6922	1998-01-31	VYDAJ	VYBER	30	3166	SLUZBY	\N	\N
2042316	6922	1998-02-28	VYDAJ	VYBER	30	40060	SLUZBY	\N	\N
2042317	6922	1998-03-31	VYDAJ	VYBER	30	23861	SLUZBY	\N	\N
2042318	6922	1998-04-30	VYDAJ	VYBER	30	10223	SLUZBY	\N	\N
2042319	6922	1998-05-31	VYDAJ	VYBER	30	27664	SLUZBY	\N	\N
2042320	6922	1998-06-30	VYDAJ	VYBER	30	39541	SLUZBY	\N	\N
2042321	6922	1998-07-31	VYDAJ	VYBER	30	46817	SLUZBY	\N	\N
2042322	6922	1998-08-31	VYDAJ	VYBER	30	65622	SLUZBY	\N	\N
2042323	6922	1998-09-30	VYDAJ	VYBER	30	47818	SLUZBY	\N	\N
2042324	6922	1998-10-31	VYDAJ	VYBER	30	65317	SLUZBY	\N	\N
2042325	6922	1998-11-30	VYDAJ	VYBER	30	73456	SLUZBY	\N	\N
2042326	6922	1997-06-11	VYDAJ	VYBER	14400	39005	\N	\N	\N
2042327	6922	1997-07-11	VYDAJ	VYBER	25200	48783	\N	\N	\N
2042328	6922	1997-08-10	VYDAJ	VYBER	28700	55144	\N	\N	\N
2042329	6922	1997-09-09	VYDAJ	VYBER	31100	59136	\N	\N	\N
2042330	6922	1997-10-09	VYDAJ	VYBER	24100	56348	\N	\N	\N
2042331	6922	1997-11-08	VYDAJ	VYBER	19700	48206	\N	\N	\N
2042332	6922	1997-12-08	VYDAJ	VYBER	33000	62976	\N	\N	\N
2042333	6922	1998-01-07	VYDAJ	VYBER	31600	59855	\N	\N	\N
2042334	6922	1998-02-06	PRIJEM	VKLAD	14300	17466	\N	\N	\N
2042335	6922	1998-03-08	VYDAJ	VYBER	27100	47830	\N	\N	\N
2042336	6922	1998-04-07	VYDAJ	VYBER	16400	42331	\N	\N	\N
2042337	6922	1998-05-07	VYDAJ	VYBER	11900	27593	\N	\N	\N
2042338	6922	1998-06-06	PRIJEM	VKLAD	1900	15464	\N	\N	\N
2042339	6922	1998-07-06	VYDAJ	VYBER	8100	31441	\N	\N	\N
2042340	6922	1998-08-05	VYDAJ	VYBER	10100	36717	\N	\N	\N
2042341	6922	1998-09-04	VYDAJ	VYBER	16300	34922	\N	\N	\N
2042342	6922	1998-10-04	VYDAJ	VYBER	14200	33618	\N	\N	\N
2042343	6922	1998-11-03	VYDAJ	VYBER	23000	42317	\N	\N	\N
2042344	6922	1998-12-03	VYDAJ	VYBER	25500	47956	\N	\N	\N
2042547	6924	1994-06-01	PRIJEM	VKLAD	300	300	\N	\N	\N
2042553	6924	1994-06-07	PRIJEM	PREVOD Z UCTU	36536	36836	\N	IJ	17466515
2042554	6924	1994-07-07	PRIJEM	PREVOD Z UCTU	24357	55516	\N	IJ	17466515
2042555	6924	1994-08-07	PRIJEM	PREVOD Z UCTU	24357	63287	\N	IJ	17466515
2042556	6924	1994-09-07	PRIJEM	PREVOD Z UCTU	24357	66207	\N	IJ	17466515
2042557	6924	1994-10-07	PRIJEM	PREVOD Z UCTU	24357	71139	\N	IJ	17466515
2042558	6924	1994-11-07	PRIJEM	PREVOD Z UCTU	24357	46346	\N	IJ	17466515
2042559	6924	1994-12-07	PRIJEM	PREVOD Z UCTU	36536	63931	\N	IJ	17466515
2042560	6924	1995-01-07	PRIJEM	PREVOD Z UCTU	24357	39886	\N	IJ	17466515
2042561	6924	1995-02-07	PRIJEM	PREVOD Z UCTU	24357	43552	\N	IJ	17466515
2042562	6924	1995-03-07	PRIJEM	PREVOD Z UCTU	24357	50540	\N	IJ	17466515
2042563	6924	1995-04-07	PRIJEM	PREVOD Z UCTU	24357	52261	\N	IJ	17466515
2042564	6924	1995-05-07	PRIJEM	PREVOD Z UCTU	24357	41031	\N	IJ	17466515
2042565	6924	1995-06-07	PRIJEM	PREVOD Z UCTU	36536	62814	\N	IJ	17466515
2042566	6924	1995-07-07	PRIJEM	PREVOD Z UCTU	24357	49860	\N	IJ	17466515
2042567	6924	1995-08-07	PRIJEM	PREVOD Z UCTU	24357	48268	\N	IJ	17466515
2042568	6924	1995-09-07	PRIJEM	PREVOD Z UCTU	24357	52085	\N	IJ	17466515
2042569	6924	1995-10-07	PRIJEM	PREVOD Z UCTU	24357	51303	\N	IJ	17466515
2042570	6924	1995-11-07	PRIJEM	PREVOD Z UCTU	24357	58235	\N	IJ	17466515
2042571	6924	1995-12-07	PRIJEM	PREVOD Z UCTU	36536	67543	\N	IJ	17466515
2042572	6924	1996-01-07	PRIJEM	PREVOD Z UCTU	24357	57032	\N	IJ	17466515
2042573	6924	1996-02-07	PRIJEM	PREVOD Z UCTU	24357	36420	\N	IJ	17466515
2042574	6924	1996-03-07	PRIJEM	PREVOD Z UCTU	24357	46439	\N	IJ	17466515
2042575	6924	1996-04-07	PRIJEM	PREVOD Z UCTU	24357	48065	\N	IJ	17466515
2042576	6924	1996-05-07	PRIJEM	PREVOD Z UCTU	24357	52000	\N	IJ	17466515
2042577	6924	1996-06-07	PRIJEM	PREVOD Z UCTU	36536	52589	\N	IJ	17466515
2042578	6924	1996-07-07	PRIJEM	PREVOD Z UCTU	24357	53129	\N	IJ	17466515
2042579	6924	1996-08-07	PRIJEM	PREVOD Z UCTU	24357	45587	\N	IJ	17466515
2042580	6924	1996-09-07	PRIJEM	PREVOD Z UCTU	24357	52415	\N	IJ	17466515
2042581	6924	1996-10-07	PRIJEM	PREVOD Z UCTU	24357	53358	\N	IJ	17466515
2042582	6924	1996-11-07	PRIJEM	PREVOD Z UCTU	24357	49520	\N	IJ	17466515
2042583	6924	1996-12-07	PRIJEM	PREVOD Z UCTU	36536	59483	\N	IJ	17466515
2042584	6924	1997-01-07	PRIJEM	PREVOD Z UCTU	24357	51724	\N	IJ	17466515
2042585	6924	1997-02-07	PRIJEM	PREVOD Z UCTU	24357	42944	\N	IJ	17466515
2042586	6924	1997-03-07	PRIJEM	PREVOD Z UCTU	24357	53463	\N	IJ	17466515
2042587	6924	1997-04-07	PRIJEM	PREVOD Z UCTU	24357	54772	\N	IJ	17466515
2042588	6924	1997-05-07	PRIJEM	PREVOD Z UCTU	24357	61736	\N	IJ	17466515
2042589	6924	1997-06-07	PRIJEM	PREVOD Z UCTU	36536	79100	\N	IJ	17466515
2042590	6924	1997-07-07	PRIJEM	PREVOD Z UCTU	24357	45673	\N	IJ	17466515
2042591	6924	1997-08-07	PRIJEM	PREVOD Z UCTU	24357	45686	\N	IJ	17466515
2042592	6924	1997-09-07	PRIJEM	PREVOD Z UCTU	24357	48214	\N	IJ	17466515
2042593	6924	1997-10-07	PRIJEM	PREVOD Z UCTU	24357	57277	\N	IJ	17466515
2042594	6924	1997-11-07	PRIJEM	PREVOD Z UCTU	24357	53542	\N	IJ	17466515
2042595	6924	1997-12-07	PRIJEM	PREVOD Z UCTU	36536	66489	\N	IJ	17466515
2042596	6924	1998-01-07	PRIJEM	PREVOD Z UCTU	24357	46842	\N	IJ	17466515
2042597	6924	1998-02-07	PRIJEM	PREVOD Z UCTU	24357	46368	\N	IJ	17466515
2042598	6924	1998-03-07	PRIJEM	PREVOD Z UCTU	24357	57798	\N	IJ	17466515
2042599	6924	1998-04-07	PRIJEM	PREVOD Z UCTU	24357	56237	\N	IJ	17466515
2042600	6924	1998-05-07	PRIJEM	PREVOD Z UCTU	24357	58992	\N	IJ	17466515
2042601	6924	1998-06-07	PRIJEM	PREVOD Z UCTU	36536	78145	\N	IJ	17466515
2042602	6924	1998-07-07	PRIJEM	PREVOD Z UCTU	24357	70790	\N	IJ	17466515
2042603	6924	1998-08-07	PRIJEM	PREVOD Z UCTU	24357	60030	\N	IJ	17466515
2042604	6924	1998-09-07	PRIJEM	PREVOD Z UCTU	24357	67816	\N	IJ	17466515
2042605	6924	1998-10-07	PRIJEM	PREVOD Z UCTU	24357	46404	\N	IJ	17466515
2042606	6924	1998-11-07	PRIJEM	PREVOD Z UCTU	24357	60851	\N	IJ	17466515
2042851	6924	1995-03-31	VYDAJ	VYBER	15	27904	SLUZBY	\N	\N
2042607	6924	1998-12-07	PRIJEM	PREVOD Z UCTU	36536	73720	\N	IJ	17466515
2042617	6924	1994-10-11	VYDAJ	VYBER	3800	62754	\N	\N	0
2042618	6924	1994-11-04	VYDAJ	VYBER	3400	21989	\N	\N	0
2042619	6924	1994-12-12	VYDAJ	VYBER	5000	48646	\N	\N	0
2042620	6924	1995-01-06	VYDAJ	VYBER	3800	15529	\N	\N	0
2042621	6924	1995-02-09	VYDAJ	VYBER	3600	35367	\N	\N	0
2042622	6924	1995-03-22	VYDAJ	VYBER	4600	31155	\N	\N	0
2042623	6924	1995-04-09	VYDAJ	VYBER	5100	42576	\N	\N	0
2042624	6924	1995-05-05	VYDAJ	VYBER	3300	16674	\N	\N	0
2042625	6924	1995-06-09	VYDAJ	VYBER	5700	28997	\N	\N	0
2042626	6924	1995-07-07	VYDAJ	VYBER	3800	46060	\N	\N	0
2042627	6924	1995-08-23	VYDAJ	VYBER	4200	39483	\N	\N	0
2042628	6924	1995-09-13	VYDAJ	VYBER	5100	42400	\N	\N	0
2042629	6924	1995-09-30	VYDAJ	VYBER	3500	26960	\N	\N	0
2042630	6924	1995-11-09	VYDAJ	VYBER	5000	48650	\N	\N	0
2042631	6924	1995-12-12	VYDAJ	PREVOD NA UCET	4060	58899	UVER	UV	50566107
2042632	6924	1996-01-12	VYDAJ	PREVOD NA UCET	4060	12988	UVER	UV	50566107
2042633	6924	1996-02-12	VYDAJ	PREVOD NA UCET	4060	24106	UVER	UV	50566107
2042634	6924	1996-03-12	VYDAJ	PREVOD NA UCET	4060	37795	UVER	UV	50566107
2042635	6924	1996-04-12	VYDAJ	PREVOD NA UCET	4060	39421	UVER	UV	50566107
2042636	6924	1996-05-12	VYDAJ	PREVOD NA UCET	4060	43356	UVER	UV	50566107
2042637	6924	1996-06-12	VYDAJ	PREVOD NA UCET	4060	43945	UVER	UV	50566107
2042638	6924	1996-07-12	VYDAJ	PREVOD NA UCET	4060	44485	UVER	UV	50566107
2042639	6924	1996-08-12	VYDAJ	PREVOD NA UCET	4060	36942	UVER	UV	50566107
2042640	6924	1996-09-12	VYDAJ	PREVOD NA UCET	4060	43771	UVER	UV	50566107
2042641	6924	1996-10-12	VYDAJ	PREVOD NA UCET	4060	44714	UVER	UV	50566107
2042642	6924	1996-11-12	VYDAJ	PREVOD NA UCET	4060	31540	UVER	UV	50566107
2042643	6924	1996-12-12	VYDAJ	PREVOD NA UCET	4060	40638	UVER	UV	50566107
2042644	6924	1997-01-12	VYDAJ	PREVOD NA UCET	4060	35580	UVER	UV	50566107
2042645	6924	1997-02-12	VYDAJ	PREVOD NA UCET	4060	34300	UVER	UV	50566107
2042646	6924	1997-03-12	VYDAJ	PREVOD NA UCET	4060	44818	UVER	UV	50566107
2042647	6924	1997-04-12	VYDAJ	PREVOD NA UCET	4060	46127	UVER	UV	50566107
2042648	6924	1997-05-12	VYDAJ	PREVOD NA UCET	4060	53091	UVER	UV	50566107
2042649	6924	1997-06-12	VYDAJ	PREVOD NA UCET	4060	70456	UVER	UV	50566107
2042650	6924	1997-07-12	VYDAJ	PREVOD NA UCET	4060	37029	UVER	UV	50566107
2042651	6924	1997-08-12	VYDAJ	PREVOD NA UCET	4060	37041	UVER	UV	50566107
2042652	6924	1997-09-12	VYDAJ	PREVOD NA UCET	4060	31498	UVER	UV	50566107
2042653	6924	1997-10-12	VYDAJ	PREVOD NA UCET	4060	48633	UVER	UV	50566107
2042654	6924	1997-11-12	VYDAJ	PREVOD NA UCET	4060	44898	UVER	UV	50566107
2042655	6924	1997-12-12	VYDAJ	PREVOD NA UCET	4060	38544	UVER	UV	50566107
2042656	6924	1998-01-12	VYDAJ	PREVOD NA UCET	4060	29097	UVER	UV	50566107
2042657	6924	1998-02-12	VYDAJ	PREVOD NA UCET	4060	33323	UVER	UV	50566107
2042658	6924	1998-03-12	VYDAJ	PREVOD NA UCET	4060	31754	UVER	UV	50566107
2042659	6924	1998-04-12	VYDAJ	PREVOD NA UCET	4060	37192	UVER	UV	50566107
2042660	6924	1998-05-12	VYDAJ	PREVOD NA UCET	4060	41448	UVER	UV	50566107
2042661	6924	1998-06-12	VYDAJ	PREVOD NA UCET	4060	53801	UVER	UV	50566107
2042662	6924	1998-07-12	VYDAJ	PREVOD NA UCET	4060	48645	UVER	UV	50566107
2042663	6924	1998-08-12	VYDAJ	PREVOD NA UCET	4060	43285	UVER	UV	50566107
2042664	6924	1998-09-12	VYDAJ	PREVOD NA UCET	4060	44472	UVER	UV	50566107
2042665	6924	1998-10-12	VYDAJ	PREVOD NA UCET	4060	36359	UVER	UV	50566107
2042666	6924	1998-11-12	VYDAJ	PREVOD NA UCET	4060	47507	UVER	UV	50566107
2042667	6924	1998-12-12	VYDAJ	PREVOD NA UCET	4060	46775	UVER	UV	50566107
2042677	6924	1994-10-07	VYDAJ	PREVOD NA UCET	4585	66554	SIPO	CD	76091629
2042678	6924	1994-11-07	VYDAJ	PREVOD NA UCET	4585	41761	SIPO	CD	76091629
2042679	6924	1994-12-07	VYDAJ	PREVOD NA UCET	4585	59346	SIPO	CD	76091629
2042680	6924	1995-01-07	VYDAJ	PREVOD NA UCET	4585	35301	SIPO	CD	76091629
2042681	6924	1995-02-07	VYDAJ	PREVOD NA UCET	4585	38967	SIPO	CD	76091629
2042682	6924	1995-03-07	VYDAJ	PREVOD NA UCET	4585	45955	SIPO	CD	76091629
2042683	6924	1995-04-07	VYDAJ	PREVOD NA UCET	4585	47676	SIPO	CD	76091629
2042684	6924	1995-05-07	VYDAJ	PREVOD NA UCET	4585	36446	SIPO	CD	76091629
2042685	6924	1995-06-07	VYDAJ	PREVOD NA UCET	4585	58229	SIPO	CD	76091629
2042686	6924	1995-07-07	VYDAJ	PREVOD NA UCET	4585	41475	SIPO	CD	76091629
2042687	6924	1995-08-07	VYDAJ	PREVOD NA UCET	4585	43683	SIPO	CD	76091629
2042688	6924	1995-09-07	VYDAJ	PREVOD NA UCET	4585	47500	SIPO	CD	76091629
2042689	6924	1995-10-07	VYDAJ	PREVOD NA UCET	4585	46718	SIPO	CD	76091629
2042690	6924	1995-11-07	VYDAJ	PREVOD NA UCET	4585	53650	SIPO	CD	76091629
2042691	6924	1995-12-07	VYDAJ	PREVOD NA UCET	4585	62958	SIPO	CD	76091629
2042692	6924	1996-01-07	VYDAJ	PREVOD NA UCET	4585	52447	SIPO	CD	76091629
2042693	6924	1996-02-07	VYDAJ	PREVOD NA UCET	4585	31835	SIPO	CD	76091629
2042694	6924	1996-03-07	VYDAJ	PREVOD NA UCET	4585	41854	SIPO	CD	76091629
2042695	6924	1996-04-07	VYDAJ	PREVOD NA UCET	4585	43480	SIPO	CD	76091629
2042696	6924	1996-05-07	VYDAJ	PREVOD NA UCET	4585	47415	SIPO	CD	76091629
2042697	6924	1996-06-07	VYDAJ	PREVOD NA UCET	4585	48004	SIPO	CD	76091629
2042698	6924	1996-07-07	VYDAJ	PREVOD NA UCET	4585	48544	SIPO	CD	76091629
2042699	6924	1996-08-07	VYDAJ	PREVOD NA UCET	4585	41002	SIPO	CD	76091629
2042700	6924	1996-09-07	VYDAJ	PREVOD NA UCET	4585	47830	SIPO	CD	76091629
2042701	6924	1996-10-07	VYDAJ	PREVOD NA UCET	4585	48773	SIPO	CD	76091629
2042702	6924	1996-11-07	VYDAJ	PREVOD NA UCET	4585	44935	SIPO	CD	76091629
2042703	6924	1996-12-07	VYDAJ	PREVOD NA UCET	4585	54898	SIPO	CD	76091629
2042704	6924	1997-01-07	VYDAJ	PREVOD NA UCET	4585	47139	SIPO	CD	76091629
2042705	6924	1997-02-07	VYDAJ	PREVOD NA UCET	4585	38359	SIPO	CD	76091629
2042706	6924	1997-03-07	VYDAJ	PREVOD NA UCET	4585	48878	SIPO	CD	76091629
2042707	6924	1997-04-07	VYDAJ	PREVOD NA UCET	4585	50187	SIPO	CD	76091629
2042708	6924	1997-05-07	VYDAJ	PREVOD NA UCET	4585	57151	SIPO	CD	76091629
2042709	6924	1997-06-07	VYDAJ	PREVOD NA UCET	4585	74515	SIPO	CD	76091629
2042710	6924	1997-07-07	VYDAJ	PREVOD NA UCET	4585	41088	SIPO	CD	76091629
2042711	6924	1997-08-07	VYDAJ	PREVOD NA UCET	4585	41101	SIPO	CD	76091629
2042712	6924	1997-09-07	VYDAJ	PREVOD NA UCET	4585	43629	SIPO	CD	76091629
2042713	6924	1997-10-07	VYDAJ	PREVOD NA UCET	4585	52692	SIPO	CD	76091629
2042714	6924	1997-11-07	VYDAJ	PREVOD NA UCET	4585	48957	SIPO	CD	76091629
2042715	6924	1997-12-07	VYDAJ	PREVOD NA UCET	4585	61904	SIPO	CD	76091629
2042716	6924	1998-01-07	VYDAJ	PREVOD NA UCET	4585	42257	SIPO	CD	76091629
2042717	6924	1998-02-07	VYDAJ	PREVOD NA UCET	4585	41783	SIPO	CD	76091629
2042718	6924	1998-03-07	VYDAJ	PREVOD NA UCET	4585	53213	SIPO	CD	76091629
2042719	6924	1998-04-07	VYDAJ	PREVOD NA UCET	4585	51652	SIPO	CD	76091629
2042720	6924	1998-05-07	VYDAJ	PREVOD NA UCET	4585	54407	SIPO	CD	76091629
2042721	6924	1998-06-07	VYDAJ	PREVOD NA UCET	4585	73560	SIPO	CD	76091629
2042722	6924	1998-07-07	VYDAJ	PREVOD NA UCET	4585	66205	SIPO	CD	76091629
2042723	6924	1998-08-07	VYDAJ	PREVOD NA UCET	4585	55445	SIPO	CD	76091629
2042724	6924	1998-09-07	VYDAJ	PREVOD NA UCET	4585	63231	SIPO	CD	76091629
2042725	6924	1998-10-07	VYDAJ	PREVOD NA UCET	4585	41819	SIPO	CD	76091629
2042726	6924	1998-11-07	VYDAJ	PREVOD NA UCET	4585	56266	SIPO	CD	76091629
2042727	6924	1998-12-07	VYDAJ	PREVOD NA UCET	4585	69135	SIPO	CD	76091629
2042734	6924	1994-11-03	VYBER	VYBER	2074	28089	\N	\N	\N
2042740	6924	1994-10-25	VYBER	VYBER	22004	40750	\N	\N	\N
2042742	6924	1995-04-18	VYBER	VYBER	19117	23459	\N	\N	\N
2042743	6924	1995-07-22	VYBER	VYBER	2894	38581	\N	\N	\N
2042744	6924	1995-06-08	VYBER	VYBER	23532	34697	\N	\N	\N
2042746	6924	1996-05-18	VYBER	VYBER	8838	23847	\N	\N	\N
2042749	6924	1996-11-11	VYBER	VYBER	9336	35599	\N	\N	\N
2042752	6924	1996-05-15	VYBER	VYBER	10671	32685	\N	\N	\N
2042753	6924	1996-02-08	VYBER	VYBER	3670	28165	\N	\N	\N
2042754	6924	1996-11-01	VYBER	VYBER	2880	25163	\N	\N	\N
2042755	6924	1997-07-22	VYBER	VYBER	5130	21221	\N	\N	\N
2042758	6924	1997-07-13	VYBER	VYBER	17778	19251	\N	\N	\N
2042759	6924	1997-09-11	VYBER	VYBER	8072	35557	\N	\N	\N
2042760	6924	1997-03-14	VYBER	VYBER	6733	38085	\N	\N	\N
2042761	6924	1997-07-04	VYBER	VYBER	21258	21316	\N	\N	\N
2042763	6924	1998-10-06	VYBER	VYBER	9972	22047	\N	\N	\N
2042764	6924	1998-08-02	VYBER	VYBER	13167	35673	\N	\N	\N
2042766	6924	1998-06-24	VYBER	VYBER	7570	46231	\N	\N	\N
2042774	6924	1996-01-07	VYDAJ	VYBER	27600	24847	\N	\N	\N
2042777	6924	1994-12-12	VYDAJ	VYBER	5700	53646	\N	\N	\N
2042778	6924	1995-12-16	VYDAJ	VYBER	1800	57099	\N	\N	\N
2042780	6924	1997-12-09	VYDAJ	VYBER	7200	54704	\N	\N	\N
2042781	6924	1998-12-17	VYDAJ	VYBER	5700	41075	\N	\N	\N
2042789	6924	1995-01-02	VYDAJ	VYBER	5400	19329	\N	\N	\N
2042790	6924	1995-01-24	VYDAJ	VYBER	4200	24501	\N	\N	\N
2042791	6924	1995-01-08	VYDAJ	VYBER	6600	28701	\N	\N	\N
2042792	6924	1995-01-30	VYDAJ	VYBER	3600	19101	\N	\N	\N
2042798	6924	1996-01-11	VYDAJ	VYBER	7800	17047	\N	\N	\N
2042800	6924	1997-01-23	VYDAJ	VYBER	2400	18480	\N	\N	\N
2042801	6924	1997-01-06	VYDAJ	VYBER	4500	27367	\N	\N	\N
2042802	6924	1997-01-19	VYDAJ	VYBER	2400	20880	\N	\N	\N
2042803	6924	1997-01-18	VYDAJ	VYBER	4500	23280	\N	\N	\N
2042804	6924	1997-01-13	VYDAJ	VYBER	2400	33180	\N	\N	\N
2042805	6924	1997-01-07	VYDAJ	VYBER	7500	39639	\N	\N	\N
2042806	6924	1998-01-05	VYDAJ	VYBER	8100	22485	\N	\N	\N
2042809	6924	1998-01-24	VYDAJ	VYBER	2100	21897	\N	\N	\N
2042811	6924	1998-01-22	VYDAJ	VYBER	5100	23997	\N	\N	\N
2042812	6924	1994-11-21	VYDAJ	VYBER	6000	35761	\N	\N	\N
2042813	6924	1994-11-03	VYDAJ	VYBER	2700	25389	\N	\N	\N
2042815	6924	1995-05-27	VYDAJ	VYBER	5700	30746	\N	\N	\N
2042816	6924	1995-12-20	VYDAJ	VYBER	8700	48399	\N	\N	\N
2042817	6924	1995-01-01	VYDAJ	VYBER	12900	24729	\N	\N	\N
2042818	6924	1995-07-27	VYDAJ	VYBER	5100	23781	\N	\N	\N
2042819	6924	1995-03-22	VYDAJ	VYBER	10200	35755	\N	\N	\N
2042821	6924	1996-07-20	VYDAJ	VYBER	12900	21085	\N	\N	\N
2042822	6924	1996-12-10	VYDAJ	VYBER	10200	44698	\N	\N	\N
2042823	6924	1997-07-01	VYDAJ	VYBER	9000	42574	\N	\N	\N
2042824	6924	1997-11-28	VYDAJ	VYBER	9600	29798	\N	\N	\N
2042825	6924	1997-12-19	VYDAJ	VYBER	8100	30444	\N	\N	\N
2042826	6924	1997-10-27	VYDAJ	VYBER	11700	29033	\N	\N	\N
2042827	6924	1997-08-28	VYDAJ	VYBER	10200	23741	\N	\N	\N
2042829	6924	1998-09-16	VYDAJ	VYBER	12600	31872	\N	\N	\N
2042830	6924	1998-03-10	VYDAJ	VYBER	6600	35213	\N	\N	\N
2042831	6924	1998-01-12	VYDAJ	VYBER	1800	33157	\N	\N	\N
2042832	6924	1998-11-30	VYDAJ	VYBER	10500	37199	\N	\N	\N
2042833	6924	1998-03-09	VYDAJ	VYBER	11400	41813	\N	\N	\N
2042834	6924	1998-04-23	VYDAJ	VYBER KARTOU	2700	34492	\N	\N	0
2042835	6924	1998-03-11	VYDAJ	VYBER	7800	27413	\N	\N	\N
2042846	6924	1994-10-31	VYDAJ	VYBER	15	30163	SLUZBY	\N	\N
2042847	6924	1994-11-30	VYDAJ	VYBER	15	27395	SLUZBY	\N	\N
2042848	6924	1994-12-31	VYDAJ	VYBER	15	37629	SLUZBY	\N	\N
2042849	6924	1995-01-31	VYDAJ	VYBER	15	19195	SLUZBY	\N	\N
2042850	6924	1995-02-28	VYDAJ	VYBER	15	26183	SLUZBY	\N	\N
2042852	6924	1995-04-30	VYDAJ	VYBER	15	19974	SLUZBY	\N	\N
2042853	6924	1995-05-31	VYDAJ	VYBER	15	26278	SLUZBY	\N	\N
2042854	6924	1995-06-30	VYDAJ	VYBER	15	25503	SLUZBY	\N	\N
2042855	6924	1995-07-31	VYDAJ	VYBER	15	23911	SLUZBY	\N	\N
2042856	6924	1995-08-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
2042857	6924	1995-09-30	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
2042858	6924	1995-10-31	VYDAJ	VYBER	15	33878	SLUZBY	\N	\N
2042859	6924	1995-11-30	VYDAJ	VYBER	15	31007	SLUZBY	\N	\N
2042860	6924	1995-12-31	VYDAJ	VYBER	15	32675	SLUZBY	\N	\N
2042861	6924	1996-01-31	VYDAJ	VYBER	15	12063	SLUZBY	\N	\N
2042862	6924	1996-02-29	VYDAJ	VYBER	15	22082	SLUZBY	\N	\N
2042863	6924	1996-03-31	VYDAJ	VYBER	15	23708	SLUZBY	\N	\N
2042864	6924	1996-04-30	VYDAJ	VYBER	15	27643	SLUZBY	\N	\N
2042865	6924	1996-05-31	VYDAJ	VYBER	15	16053	SLUZBY	\N	\N
2042866	6924	1996-06-30	VYDAJ	VYBER	15	28772	SLUZBY	\N	\N
2042867	6924	1996-07-31	VYDAJ	VYBER	15	21230	SLUZBY	\N	\N
2042868	6924	1996-08-31	VYDAJ	VYBER	15	28058	SLUZBY	\N	\N
2042869	6924	1996-09-30	VYDAJ	VYBER	15	29001	SLUZBY	\N	\N
2042870	6924	1996-10-31	VYDAJ	VYBER	15	28043	SLUZBY	\N	\N
2042871	6924	1996-11-30	VYDAJ	VYBER	15	22947	SLUZBY	\N	\N
2042872	6924	1996-12-31	VYDAJ	VYBER	15	31867	SLUZBY	\N	\N
2042873	6924	1997-01-31	VYDAJ	VYBER	15	18587	SLUZBY	\N	\N
2042874	6924	1997-02-28	VYDAJ	VYBER	15	29106	SLUZBY	\N	\N
2042875	6924	1997-03-31	VYDAJ	VYBER	15	30415	SLUZBY	\N	\N
2042876	6924	1997-04-30	VYDAJ	VYBER	15	37379	SLUZBY	\N	\N
2042877	6924	1997-05-31	VYDAJ	VYBER	15	42564	SLUZBY	\N	\N
2042878	6924	1997-06-30	VYDAJ	VYBER	15	51574	SLUZBY	\N	\N
2042879	6924	1997-07-31	VYDAJ	VYBER	15	21329	SLUZBY	\N	\N
2042880	6924	1997-08-31	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
2042881	6924	1997-09-30	VYDAJ	VYBER	15	32920	SLUZBY	\N	\N
2042882	6924	1997-10-31	VYDAJ	VYBER	15	29185	SLUZBY	\N	\N
2042883	6924	1997-11-30	VYDAJ	VYBER	15	29953	SLUZBY	\N	\N
2042884	6924	1997-12-31	VYDAJ	VYBER	15	30585	SLUZBY	\N	\N
2042885	6924	1998-01-31	VYDAJ	VYBER	15	22011	SLUZBY	\N	\N
2042886	6924	1998-02-28	VYDAJ	VYBER	15	33441	SLUZBY	\N	\N
2042887	6924	1998-03-31	VYDAJ	VYBER	15	31880	SLUZBY	\N	\N
2042888	6924	1998-04-30	VYDAJ	VYBER	15	34635	SLUZBY	\N	\N
2042889	6924	1998-05-31	VYDAJ	VYBER	15	41609	SLUZBY	\N	\N
2042890	6924	1998-06-30	VYDAJ	VYBER	15	46433	SLUZBY	\N	\N
2042891	6924	1998-07-31	VYDAJ	VYBER	15	48840	SLUZBY	\N	\N
2042892	6924	1998-08-31	VYDAJ	VYBER	15	43459	SLUZBY	\N	\N
2042893	6924	1998-09-30	VYDAJ	VYBER	15	32019	SLUZBY	\N	\N
2042894	6924	1998-10-31	VYDAJ	VYBER	15	36494	SLUZBY	\N	\N
2042895	6924	1998-11-30	VYDAJ	VYBER	15	37184	SLUZBY	\N	\N
2042896	6924	1994-07-01	VYDAJ	VYBER	5800	31159	\N	\N	\N
2042897	6924	1994-07-31	VYDAJ	VYBER	16800	38930	\N	\N	\N
2042898	6924	1994-08-30	VYDAJ	VYBER	21600	41687	\N	\N	\N
2042899	6924	1994-09-29	VYDAJ	VYBER	19600	46607	\N	\N	\N
2042900	6924	1994-10-29	VYDAJ	VYBER	10800	29950	\N	\N	\N
2042901	6924	1994-11-28	VYDAJ	VYBER	8500	27261	\N	\N	\N
2042902	6924	1994-12-28	VYDAJ	VYBER	11200	37446	\N	\N	\N
2042903	6924	1995-01-27	VYDAJ	VYBER	1800	22701	\N	\N	\N
2042904	6924	1995-02-26	VYDAJ	VYBER	9300	26067	\N	\N	\N
2042905	6924	1995-03-28	VYDAJ	VYBER	3400	27755	\N	\N	\N
2042906	6924	1995-04-27	VYDAJ	VYBER	3600	19859	\N	\N	\N
2042907	6924	1995-05-27	VYDAJ	VYBER	4600	26146	\N	\N	\N
2042908	6924	1995-06-26	VYDAJ	VYBER	3600	25397	\N	\N	\N
2042909	6924	1995-07-26	VYDAJ	VYBER	9700	28881	\N	\N	\N
2042910	6924	1995-08-25	VYDAJ	VYBER	11900	27583	\N	\N	\N
2042911	6924	1995-09-24	VYDAJ	VYBER	12100	30300	\N	\N	\N
2042912	6924	1995-10-24	VYDAJ	VYBER	13000	33718	\N	\N	\N
2042913	6924	1995-11-23	VYDAJ	VYBER	17800	30850	\N	\N	\N
2042914	6924	1995-12-23	VYDAJ	VYBER	15900	32499	\N	\N	\N
2042915	6924	1996-01-22	VYDAJ	VYBER	1000	11988	\N	\N	\N
2042916	6924	1996-02-21	VYDAJ	VYBER	2100	22006	\N	\N	\N
2042917	6924	1996-03-22	VYDAJ	VYBER	14200	23595	\N	\N	\N
2042918	6924	1996-04-21	VYDAJ	VYBER	11900	27521	\N	\N	\N
2042919	6924	1996-05-21	VYDAJ	VYBER	7900	15947	\N	\N	\N
2042920	6924	1996-06-20	VYDAJ	VYBER	15300	28645	\N	\N	\N
2042921	6924	1996-07-20	VYDAJ	VYBER	10500	33985	\N	\N	\N
2042922	6924	1996-08-19	VYDAJ	VYBER	9000	27942	\N	\N	\N
2042923	6924	1996-09-18	VYDAJ	VYBER	14900	28871	\N	\N	\N
2042924	6924	1996-10-18	VYDAJ	VYBER	16800	27914	\N	\N	\N
2042925	6924	1996-11-17	VYDAJ	VYBER	8700	22840	\N	\N	\N
2042926	6924	1996-12-17	VYDAJ	VYBER	8900	31738	\N	\N	\N
2042927	6924	1997-01-16	VYDAJ	VYBER	5400	27780	\N	\N	\N
2042928	6924	1997-02-15	VYDAJ	VYBER	5300	29000	\N	\N	\N
2042929	6924	1997-03-17	VYDAJ	VYBER	7800	30285	\N	\N	\N
2042930	6924	1997-04-16	VYDAJ	VYBER	8900	37227	\N	\N	\N
2042931	6924	1997-05-16	VYDAJ	VYBER	10700	42391	\N	\N	\N
2042932	6924	1997-06-15	VYDAJ	VYBER	19100	51356	\N	\N	\N
2042933	6924	1997-07-15	PRIJEM	VKLAD	7100	26351	\N	\N	\N
2042934	6924	1997-08-14	VYDAJ	VYBER	3100	33941	\N	\N	\N
2042935	6924	1997-09-13	PRIJEM	VKLAD	1300	32798	\N	\N	\N
2042936	6924	1997-10-13	VYDAJ	VYBER	7900	40733	\N	\N	\N
2042937	6924	1997-11-12	VYDAJ	VYBER	5500	39398	\N	\N	\N
2042938	6924	1997-12-12	VYDAJ	VYBER	12100	42604	\N	\N	\N
2042939	6924	1998-01-11	VYDAJ	VYBER	7300	34957	\N	\N	\N
2042940	6924	1998-02-10	VYDAJ	VYBER	4400	37383	\N	\N	\N
2042941	6924	1998-03-12	PRIJEM	VKLAD	8400	35813	\N	\N	\N
2042942	6924	1998-04-11	VYDAJ	VYBER	10400	41252	\N	\N	\N
2042943	6924	1998-05-11	VYDAJ	VYBER	8900	45507	\N	\N	\N
2042944	6924	1998-06-10	VYDAJ	VYBER	15700	57860	\N	\N	\N
2042945	6924	1998-07-10	VYDAJ	VYBER	13500	52705	\N	\N	\N
2042946	6924	1998-08-09	VYDAJ	VYBER	8100	47345	\N	\N	\N
2042947	6924	1998-09-08	VYDAJ	VYBER	14700	48531	\N	\N	\N
2042948	6924	1998-10-08	VYDAJ	VYBER KARTOU	1400	40419	\N	\N	0
2042949	6924	1998-11-07	VYDAJ	VYBER	4700	51566	\N	\N	\N
2042950	6924	1998-12-07	VYDAJ	VYBER	18300	50835	\N	\N	\N
2043554	6927	1995-12-08	PRIJEM	VKLAD	600	600	\N	\N	\N
2043563	6927	1995-12-19	PRIJEM	VKLAD	41363	41963	\N	\N	\N
2043565	6927	1996-01-08	PRIJEM	VKLAD	6646	41882	\N	\N	\N
2043566	6927	1996-08-22	PRIJEM	VKLAD	43815	52232	\N	\N	\N
2043567	6927	1996-05-14	PRIJEM	VKLAD	19929	65029	\N	\N	\N
2043568	6927	1996-09-13	PRIJEM	VKLAD	21786	60510	\N	\N	\N
2043569	6927	1996-05-16	PRIJEM	VKLAD	32532	97561	\N	\N	\N
2043570	6927	1996-09-24	PRIJEM	VKLAD	8060	51534	\N	\N	\N
2043571	6927	1996-06-03	PRIJEM	VKLAD	24596	122462	\N	\N	\N
2043572	6927	1996-04-30	PRIJEM	VKLAD	32017	61500	\N	\N	\N
2043573	6927	1997-02-08	PRIJEM	VKLAD	8595	37890	\N	\N	\N
2043574	6927	1997-01-19	PRIJEM	VKLAD	34631	41240	\N	\N	\N
2043575	6927	1997-09-17	PRIJEM	VKLAD	45500	61633	\N	\N	\N
2043576	6927	1997-06-26	PRIJEM	VKLAD	44762	50888	\N	\N	\N
2043577	6927	1997-04-26	PRIJEM	VKLAD	28598	81354	\N	\N	\N
2043578	6927	1997-04-11	PRIJEM	VKLAD	44891	52756	\N	\N	\N
2043579	6927	1997-08-04	PRIJEM	VKLAD	49990	65161	\N	\N	\N
2043580	6927	1997-02-07	PRIJEM	VKLAD	14551	29295	\N	\N	\N
2043581	6927	1997-04-02	PRIJEM	VKLAD	21118	27434	\N	\N	\N
2043582	6927	1998-06-12	PRIJEM	VKLAD	6615	13667	\N	\N	\N
2043583	6927	1998-10-21	PRIJEM	VKLAD	30808	30513	\N	\N	\N
2043584	6927	1998-12-30	PRIJEM	VKLAD	13358	57767	\N	\N	\N
2043585	6927	1998-07-27	PRIJEM	VKLAD	12155	24562	\N	\N	\N
2043586	6927	1998-12-21	PRIJEM	VKLAD	31401	66209	\N	\N	\N
2043587	6927	1998-04-20	PRIJEM	VKLAD	47733	54434	\N	\N	\N
2043588	6927	1998-02-15	PRIJEM	VKLAD	20359	21176	\N	\N	\N
2043589	6927	1998-11-29	PRIJEM	VKLAD	27218	47929	\N	\N	\N
2043655	6927	1996-06-04	VYDAJ	VYBER	9600	74362	SIPO	\N	0
2043656	6927	1996-07-23	VYDAJ	VYBER	11500	19305	SIPO	\N	0
2043657	6927	1996-08-20	VYDAJ	VYBER	14000	8417	SIPO	\N	0
2043658	6927	1996-09-13	VYDAJ	VYBER	13500	47010	SIPO	\N	0
2043659	6927	1996-10-09	VYDAJ	VYBER	11900	25612	SIPO	\N	0
2043660	6927	1996-11-05	VYDAJ	VYBER	13100	7017	SIPO	\N	0
2043661	6927	1996-12-14	VYDAJ	VYBER	12900	326	SIPO	\N	0
2043662	6927	1997-01-21	VYDAJ	VYBER	13100	16740	SIPO	\N	0
2043663	6927	1997-02-21	VYDAJ	VYBER	9100	21255	SIPO	\N	0
2043664	6927	1997-03-04	VYDAJ	VYBER	14400	3026	SIPO	\N	0
2043665	6927	1997-04-08	VYDAJ	VYBER	8900	7865	SIPO	\N	0
2043666	6927	1997-05-07	VYDAJ	VYBER	11400	37317	SIPO	\N	0
2043667	6927	1997-06-08	VYDAJ	VYBER	9600	6126	SIPO	\N	0
2043668	6927	1997-07-22	VYDAJ	VYBER	9900	19682	SIPO	\N	0
2043669	6927	1997-08-09	VYDAJ	VYBER	10400	35154	SIPO	\N	0
2043670	6927	1997-09-17	VYDAJ	VYBER	13300	41433	SIPO	\N	0
2043671	6927	1997-10-09	VYDAJ	VYBER	10800	10403	SIPO	\N	0
2043672	6927	1997-11-18	VYDAJ	VYBER	9600	860	SIPO	\N	0
2043676	6927	1998-03-23	VYDAJ	VYBER	9900	6664	SIPO	\N	0
2043678	6927	1998-05-15	VYDAJ	VYBER	11800	22252	SIPO	\N	0
2043679	6927	1998-06-07	VYDAJ	VYBER	13100	7052	SIPO	\N	0
2043680	6927	1998-07-15	VYDAJ	VYBER	13300	5107	SIPO	\N	0
2043681	6927	1998-08-21	VYDAJ	VYBER	11000	13611	SIPO	\N	0
2043682	6927	1998-09-17	VYDAJ	VYBER	14000	-319	SIPO	\N	0
2043684	6927	1998-11-18	VYDAJ	VYBER	12000	14111	SIPO	\N	0
2043685	6927	1998-12-13	VYDAJ	VYBER	13200	34808	SIPO	\N	0
2043692	6927	1996-06-14	VYBER	VYBER	2792	43570	\N	\N	\N
2043694	6927	1996-09-23	VYBER	VYBER	3536	43474	\N	\N	\N
2043703	6927	1996-06-17	VYBER	VYBER	3743	39827	\N	\N	\N
2043705	6927	1997-04-02	VYBER	VYBER	10669	16765	\N	\N	\N
2043706	6927	1997-05-25	VYBER	VYBER	18934	18383	\N	\N	\N
2043710	6927	1997-02-09	VYBER	VYBER	7535	30355	\N	\N	\N
2043711	6927	1997-08-16	VYBER	VYBER	11888	23266	\N	\N	\N
2043712	6927	1997-08-09	VYBER	VYBER	19607	45554	\N	\N	\N
2043714	6927	1997-07-13	VYBER	VYBER	3264	29582	\N	\N	\N
2043726	6927	1998-12-30	VYDAJ	VYBER	7200	50567	\N	\N	\N
2043739	6927	1997-01-19	VYDAJ	VYBER	5100	36140	\N	\N	\N
2043741	6927	1997-01-20	VYDAJ	VYBER	6300	29840	\N	\N	\N
2043764	6927	1997-09-22	VYDAJ	VYBER	9300	32133	\N	\N	\N
2043766	6927	1997-09-17	VYDAJ	VYBER	6900	54733	\N	\N	\N
2043768	6927	1998-04-29	VYDAJ	VYBER	3300	34034	\N	\N	\N
2043791	6927	1996-05-31	VYDAJ	VYBER	30	97866	SLUZBY	\N	\N
2043792	6927	1996-06-30	VYDAJ	VYBER	30	40005	SLUZBY	\N	\N
2043793	6927	1996-07-31	VYDAJ	VYBER	30	19417	SLUZBY	\N	\N
2043794	6927	1996-08-31	VYDAJ	VYBER	30	52324	SLUZBY	\N	\N
2043795	6927	1996-09-30	VYDAJ	VYBER	30	51712	SLUZBY	\N	\N
2043796	6927	1996-10-31	VYDAJ	VYBER	30	25717	SLUZBY	\N	\N
2043797	6927	1996-11-30	VYDAJ	VYBER	30	7026	SLUZBY	\N	\N
2043798	6927	1996-12-31	VYDAJ	VYBER	30	309	SLUZBY	\N	\N
2043799	6927	1997-01-31	VYDAJ	VYBER	30	14744	SLUZBY	\N	\N
2043800	6927	1997-02-28	VYDAJ	VYBER	30	21326	SLUZBY	\N	\N
2043801	6927	1997-03-31	VYDAJ	VYBER	30	3016	SLUZBY	\N	\N
2043802	6927	1997-04-30	VYDAJ	VYBER	30	81517	SLUZBY	\N	\N
2043803	6927	1997-05-31	VYDAJ	VYBER	30	18526	SLUZBY	\N	\N
2043804	6927	1997-06-30	VYDAJ	VYBER	30	50946	SLUZBY	\N	\N
2043805	6927	1997-07-31	VYDAJ	VYBER	30	15171	SLUZBY	\N	\N
2043806	6927	1997-08-31	VYDAJ	VYBER	30	16133	SLUZBY	\N	\N
2043807	6927	1997-09-30	VYDAJ	VYBER	30	21203	SLUZBY	\N	\N
2043808	6927	1997-10-31	VYDAJ	VYBER	30	10460	SLUZBY	\N	\N
2043809	6927	1997-11-30	VYDAJ	VYBER	30	873	SLUZBY	\N	\N
2043810	6927	1997-12-31	VYDAJ	VYBER	30	847	SLUZBY	\N	\N
2043811	6927	1998-01-31	VYDAJ	VYBER	30	817	SLUZBY	\N	\N
2043812	6927	1998-02-28	VYDAJ	VYBER	30	16564	SLUZBY	\N	\N
2043813	6927	1998-03-31	VYDAJ	VYBER	30	6701	SLUZBY	\N	\N
2043814	6927	1998-04-30	VYDAJ	VYBER	30	34052	SLUZBY	\N	\N
2043815	6927	1998-05-31	VYDAJ	VYBER	30	20152	SLUZBY	\N	\N
2043816	6927	1998-06-30	VYDAJ	VYBER	30	18407	SLUZBY	\N	\N
2043817	6927	1998-07-31	VYDAJ	VYBER	30	24611	SLUZBY	\N	\N
2043818	6927	1998-08-31	VYDAJ	VYBER	30	13681	SLUZBY	\N	\N
2043819	6927	1998-09-30	VYDAJ	VYBER	30	-295	SLUZBY	\N	\N
2043820	6927	1998-10-31	VYDAJ	VYBER	30	26111	SLUZBY	\N	\N
2043821	6927	1998-11-30	VYDAJ	VYBER	30	48008	SLUZBY	\N	\N
2043822	6927	1996-01-07	VYDAJ	VYBER	6800	35236	\N	\N	\N
2043823	6927	1996-02-06	VYDAJ	VYBER	7000	35057	\N	\N	\N
2043824	6927	1996-03-07	VYDAJ	VYBER	6300	28931	\N	\N	\N
2043825	6927	1996-04-06	PRIJEM	VKLAD	200	29306	\N	\N	\N
2043826	6927	1996-05-06	VYDAJ	VYBER	16400	45100	\N	\N	\N
2043827	6927	1996-06-03	VYDAJ	VYBER	38500	83962	\N	\N	\N
2043828	6927	1996-06-05	VYDAJ	VYBER	28000	46362	\N	\N	\N
2043829	6927	1996-07-05	VYDAJ	VYBER	9200	30805	\N	\N	\N
2043830	6927	1996-08-04	PRIJEM	VKLAD	3000	22417	\N	\N	\N
2043831	6927	1996-09-03	VYDAJ	VYBER	13600	38724	\N	\N	\N
2043832	6927	1996-10-03	VYDAJ	VYBER	14200	37512	\N	\N	\N
2043833	6927	1996-11-02	VYDAJ	VYBER	5600	20117	\N	\N	\N
2043834	6927	1996-12-02	PRIJEM	VKLAD	6200	13226	\N	\N	\N
2043835	6927	1997-01-01	PRIJEM	VKLAD	6300	6609	\N	\N	\N
2043836	6927	1997-01-31	VYDAJ	VYBER	2000	14774	\N	\N	\N
2043837	6927	1997-03-02	VYDAJ	VYBER	3900	17426	\N	\N	\N
2043838	6927	1997-04-01	PRIJEM	VKLAD	3300	6316	\N	\N	\N
2043839	6927	1997-05-01	VYDAJ	VYBER	32800	48717	\N	\N	\N
2043840	6927	1997-05-31	VYDAJ	VYBER	2800	15726	\N	\N	\N
2043841	6927	1997-06-30	VYDAJ	VYBER	18100	32846	\N	\N	\N
2043842	6927	1997-07-30	VYDAJ	VYBER	4600	15082	\N	\N	\N
2043843	6927	1997-08-29	VYDAJ	VYBER	7200	16066	\N	\N	\N
2043844	6927	1997-09-28	VYDAJ	VYBER	11000	21133	\N	\N	\N
2043845	6927	1998-02-25	VYDAJ	VYBER	4600	16576	\N	\N	\N
2043846	6927	1998-04-26	VYDAJ	VYBER	17100	37334	\N	\N	\N
2043847	6927	1998-05-26	VYDAJ	VYBER	2200	20052	\N	\N	\N
2043848	6927	1998-06-25	PRIJEM	VKLAD	4700	18367	\N	\N	\N
2043849	6927	1998-07-25	PRIJEM	VKLAD	7300	12407	\N	\N	\N
2043850	6927	1998-10-23	VYDAJ	VYBER	4400	26113	\N	\N	\N
2043851	6927	1998-11-22	PRIJEM	VKLAD	6600	20711	\N	\N	\N
2043852	6927	1998-12-22	VYDAJ	VYBER	21800	44409	\N	\N	\N
2044612	6930	1993-09-08	PRIJEM	VKLAD	600	600	\N	\N	\N
2044621	6930	1993-09-12	PRIJEM	VKLAD	24193	24793	\N	\N	\N
2044622	6930	1993-10-12	PRIJEM	VKLAD	24193	49451	\N	\N	\N
2044623	6930	1993-11-12	PRIJEM	VKLAD	24193	63514	\N	\N	\N
2044624	6930	1993-12-12	PRIJEM	VKLAD	36290	79847	\N	\N	\N
2044625	6930	1994-01-12	PRIJEM	VKLAD	24193	74448	\N	\N	\N
2044626	6930	1994-02-12	PRIJEM	VKLAD	24193	66794	\N	\N	\N
2044627	6930	1994-03-12	PRIJEM	VKLAD	24193	66194	\N	\N	\N
2044628	6930	1994-04-12	PRIJEM	VKLAD	24193	70238	\N	\N	\N
2044629	6930	1994-05-12	PRIJEM	VKLAD	24193	69399	\N	\N	\N
2044630	6930	1994-06-12	PRIJEM	VKLAD	36290	84744	\N	\N	\N
2044631	6930	1994-07-12	PRIJEM	VKLAD	24193	64109	\N	\N	\N
2044632	6930	1994-08-12	PRIJEM	VKLAD	24193	67665	\N	\N	\N
2044633	6930	1994-09-12	PRIJEM	VKLAD	24193	68735	\N	\N	\N
2044634	6930	1994-10-12	PRIJEM	VKLAD	24193	69127	\N	\N	\N
2044635	6930	1994-11-12	PRIJEM	VKLAD	24193	69405	\N	\N	\N
2044636	6930	1994-12-12	PRIJEM	VKLAD	36290	75203	\N	\N	\N
2044637	6930	1995-01-12	PRIJEM	VKLAD	24193	68626	\N	\N	\N
2044638	6930	1995-02-12	PRIJEM	VKLAD	24193	66115	\N	\N	\N
2044639	6930	1995-03-12	PRIJEM	VKLAD	24193	64228	\N	\N	\N
2044640	6930	1995-04-12	PRIJEM	VKLAD	24193	67577	\N	\N	\N
2044641	6930	1995-05-12	PRIJEM	VKLAD	24193	70349	\N	\N	\N
2044642	6930	1995-06-12	PRIJEM	VKLAD	36290	82087	\N	\N	\N
2044643	6930	1995-07-12	PRIJEM	VKLAD	24193	63312	\N	\N	\N
2044644	6930	1995-08-12	PRIJEM	VKLAD	24193	67950	\N	\N	\N
2044645	6930	1995-09-12	PRIJEM	VKLAD	24193	66681	\N	\N	\N
2044646	6930	1995-10-12	PRIJEM	VKLAD	24193	63604	\N	\N	\N
2044647	6930	1995-11-12	PRIJEM	VKLAD	24193	61774	\N	\N	\N
2044648	6930	1995-12-12	PRIJEM	VKLAD	36290	69694	\N	\N	\N
2044649	6930	1996-01-12	PRIJEM	VKLAD	24193	50235	\N	\N	\N
2044650	6930	1996-02-12	PRIJEM	VKLAD	24193	51270	\N	\N	\N
2044651	6930	1996-03-12	PRIJEM	VKLAD	24193	55234	\N	\N	\N
2044652	6930	1996-04-12	PRIJEM	VKLAD	24193	58507	\N	\N	\N
2044653	6930	1996-05-12	PRIJEM	VKLAD	24193	61191	\N	\N	\N
2044654	6930	1996-06-12	PRIJEM	VKLAD	36290	74880	\N	\N	\N
2044655	6930	1996-07-12	PRIJEM	VKLAD	24193	50855	\N	\N	\N
2044656	6930	1996-08-12	PRIJEM	VKLAD	24193	52001	\N	\N	\N
2044657	6930	1996-09-12	PRIJEM	VKLAD	24193	57560	\N	\N	\N
2044658	6930	1996-10-12	PRIJEM	VKLAD	24193	55675	\N	\N	\N
2044659	6930	1996-11-12	PRIJEM	VKLAD	24193	58509	\N	\N	\N
2044660	6930	1996-12-12	PRIJEM	VKLAD	36290	75965	\N	\N	\N
2044661	6930	1997-01-12	PRIJEM	VKLAD	24193	70863	\N	\N	\N
2044662	6930	1997-02-12	PRIJEM	VKLAD	24193	61531	\N	\N	\N
2044663	6930	1997-03-12	PRIJEM	VKLAD	24193	66669	\N	\N	\N
2044664	6930	1997-04-12	PRIJEM	VKLAD	24193	65520	\N	\N	\N
2044665	6930	1997-05-12	PRIJEM	VKLAD	24193	61761	\N	\N	\N
2044666	6930	1997-06-12	PRIJEM	VKLAD	36290	81934	\N	\N	\N
2044667	6930	1997-07-12	PRIJEM	VKLAD	24193	57741	\N	\N	\N
2044668	6930	1997-08-12	PRIJEM	VKLAD	24193	67595	\N	\N	\N
2044669	6930	1997-09-12	PRIJEM	VKLAD	24193	70565	\N	\N	\N
2044670	6930	1997-10-12	PRIJEM	VKLAD	24193	73038	\N	\N	\N
2044671	6930	1997-11-12	PRIJEM	VKLAD	24193	78526	\N	\N	\N
2044672	6930	1997-12-12	PRIJEM	VKLAD	36290	93629	\N	\N	\N
2044673	6930	1998-01-12	PRIJEM	VKLAD	24193	84550	\N	\N	\N
2044674	6930	1998-02-12	PRIJEM	VKLAD	24193	71924	\N	\N	\N
2044675	6930	1998-03-12	PRIJEM	VKLAD	24193	71597	\N	\N	\N
2044676	6930	1998-04-12	PRIJEM	VKLAD	24193	76492	\N	\N	\N
2044677	6930	1998-05-12	PRIJEM	VKLAD	24193	76894	\N	\N	\N
2044678	6930	1998-06-12	PRIJEM	VKLAD	36290	64448	\N	\N	\N
2044679	6930	1998-07-12	PRIJEM	VKLAD	24193	67502	\N	\N	\N
2044680	6930	1998-08-12	PRIJEM	VKLAD	24193	60767	\N	\N	\N
2044681	6930	1998-09-12	PRIJEM	VKLAD	24193	63099	\N	\N	\N
2044682	6930	1998-10-12	PRIJEM	VKLAD	24193	59760	\N	\N	\N
2044683	6930	1998-11-12	PRIJEM	VKLAD	24193	50180	\N	\N	\N
2044684	6930	1998-12-12	PRIJEM	VKLAD	36290	70634	\N	\N	\N
2044697	6930	1994-01-22	VYDAJ	VYBER	800	73648	\N	\N	0
2044698	6930	1994-02-12	VYDAJ	VYBER	800	65994	\N	\N	0
2044699	6930	1994-03-19	VYDAJ	VYBER	1400	64794	\N	\N	0
2044700	6930	1994-04-15	VYDAJ	VYBER	900	69338	\N	\N	0
2044701	6930	1994-05-05	VYDAJ	VYBER	900	68706	\N	\N	0
2044702	6930	1994-06-12	VYDAJ	PREVOD NA UCET	1081	83663	UVER	WX	22201913
2044703	6930	1994-07-12	VYDAJ	PREVOD NA UCET	1081	63028	UVER	WX	22201913
2044704	6930	1994-08-12	VYDAJ	PREVOD NA UCET	1081	66584	UVER	WX	22201913
2044705	6930	1994-09-12	VYDAJ	PREVOD NA UCET	1081	67654	UVER	WX	22201913
2044706	6930	1994-10-12	VYDAJ	PREVOD NA UCET	1081	68046	UVER	WX	22201913
2044707	6930	1994-11-12	VYDAJ	PREVOD NA UCET	1081	68324	UVER	WX	22201913
2044708	6930	1994-12-12	VYDAJ	PREVOD NA UCET	1081	74122	UVER	WX	22201913
2044709	6930	1995-01-12	VYDAJ	PREVOD NA UCET	1081	67545	UVER	WX	22201913
2044710	6930	1995-02-12	VYDAJ	PREVOD NA UCET	1081	65034	UVER	WX	22201913
2044711	6930	1995-03-12	VYDAJ	PREVOD NA UCET	1081	63147	UVER	WX	22201913
2044712	6930	1995-04-12	VYDAJ	PREVOD NA UCET	1081	66496	UVER	WX	22201913
2044713	6930	1995-05-12	VYDAJ	PREVOD NA UCET	1081	69268	UVER	WX	22201913
2044714	6930	1995-06-12	VYDAJ	PREVOD NA UCET	1081	81006	UVER	WX	22201913
2044715	6930	1995-07-12	VYDAJ	PREVOD NA UCET	1081	62231	UVER	WX	22201913
2044716	6930	1995-08-12	VYDAJ	PREVOD NA UCET	1081	66869	UVER	WX	22201913
2044717	6930	1995-09-12	VYDAJ	PREVOD NA UCET	1081	65600	UVER	WX	22201913
2044718	6930	1995-10-12	VYDAJ	PREVOD NA UCET	1081	62523	UVER	WX	22201913
2044719	6930	1995-11-12	VYDAJ	PREVOD NA UCET	1081	60693	UVER	WX	22201913
2044720	6930	1995-12-12	VYDAJ	PREVOD NA UCET	1081	68613	UVER	WX	22201913
2044721	6930	1996-01-12	VYDAJ	PREVOD NA UCET	1081	49154	UVER	WX	22201913
2044722	6930	1996-02-12	VYDAJ	PREVOD NA UCET	1081	50189	UVER	WX	22201913
2044723	6930	1996-03-12	VYDAJ	PREVOD NA UCET	1081	54153	UVER	WX	22201913
2044724	6930	1996-04-12	VYDAJ	PREVOD NA UCET	1081	57426	UVER	WX	22201913
2044725	6930	1996-05-12	VYDAJ	PREVOD NA UCET	1081	60110	UVER	WX	22201913
2044726	6930	1996-06-17	VYDAJ	VYBER	1300	73580	\N	\N	0
2044727	6930	1996-07-07	VYDAJ	VYBER	1300	26662	\N	\N	0
2044728	6930	1996-07-27	VYDAJ	VYBER	900	27675	\N	\N	0
2044729	6930	1996-09-25	VYDAJ	VYBER	900	33640	\N	\N	0
2044730	6930	1996-10-15	VYDAJ	VYBER	900	54775	\N	\N	0
2044731	6930	1996-11-05	VYDAJ	VYBER	800	34316	\N	\N	0
2044732	6930	1996-11-24	VYDAJ	VYBER	600	41109	\N	\N	0
2044733	6930	1996-12-30	VYDAJ	VYBER	800	46465	\N	\N	0
2044734	6930	1997-01-27	VYDAJ	VYBER	600	37163	\N	\N	0
2044735	6930	1997-03-25	VYDAJ	VYBER	1400	41169	\N	\N	0
2044736	6930	1997-04-15	VYDAJ	VYBER	600	64920	\N	\N	0
2044737	6930	1997-04-30	VYDAJ	VYBER	1100	40448	\N	\N	0
2044738	6930	1997-06-26	VYDAJ	VYBER	1000	38574	\N	\N	0
2044739	6930	1997-07-09	VYDAJ	VYBER	900	33548	\N	\N	0
2044740	6930	1997-08-15	VYDAJ	VYBER	900	66695	\N	\N	0
2044741	6930	1997-09-20	VYDAJ	VYBER	600	49865	\N	\N	0
2044742	6930	1997-09-27	VYDAJ	VYBER	1200	48665	\N	\N	0
2044743	6930	1997-11-20	VYDAJ	VYBER	800	57126	\N	\N	0
2044744	6930	1997-12-21	VYDAJ	VYBER	1100	63029	\N	\N	0
2044745	6930	1998-01-22	VYDAJ	VYBER	800	48710	\N	\N	0
2044746	6930	1998-01-30	VYDAJ	VYBER	1200	47510	\N	\N	0
2044747	6930	1998-03-09	VYDAJ	VYBER	900	47404	\N	\N	0
2044748	6930	1998-04-12	VYDAJ	VYBER	900	75592	\N	\N	0
2044749	6930	1998-05-11	VYDAJ	VYBER	600	52701	\N	\N	0
2044750	6930	1998-06-01	VYDAJ	VYBER	1200	49598	\N	\N	0
2044751	6930	1998-07-14	VYDAJ	VYBER	700	42302	\N	\N	0
2044752	6930	1998-07-26	VYDAJ	VYBER	1200	41102	\N	\N	0
2044753	6930	1998-09-01	VYDAJ	VYBER	800	38906	\N	\N	0
2044754	6930	1998-09-26	VYDAJ	VYBER	1000	35399	\N	\N	0
2044755	6930	1998-10-27	VYDAJ	VYBER	1000	35160	\N	\N	0
2044756	6930	1998-12-10	VYDAJ	VYBER	1000	48344	\N	\N	0
2044758	6930	1994-06-26	VYDAJ	VYBER	20640	58223	\N	\N	\N
2044759	6930	1995-06-23	VYDAJ	VYBER	28960	52046	\N	\N	\N
2044760	6930	1996-06-23	VYDAJ	VYBER	34080	39500	\N	\N	\N
2044761	6930	1997-06-12	VYDAJ	VYBER	32960	48974	\N	\N	\N
2044762	6930	1998-06-07	VYDAJ	VYBER	21440	28158	\N	\N	\N
2044764	6930	1994-01-24	VYDAJ	VYBER	9440	64208	\N	\N	\N
2044765	6930	1995-01-04	VYDAJ	VYBER	5600	44433	\N	\N	\N
2044766	6930	1996-01-04	VYDAJ	VYBER	14720	26042	\N	\N	\N
2044767	6930	1997-01-15	VYDAJ	VYBER	5440	65423	\N	\N	\N
2044768	6930	1998-01-15	VYDAJ	VYBER	15840	49510	\N	\N	\N
2044770	6930	1994-12-05	VYDAJ	VYBER	4160	38913	\N	\N	\N
2044771	6930	1995-12-12	VYDAJ	VYBER	1600	61853	\N	\N	\N
2044772	6930	1996-12-07	VYDAJ	VYBER	1600	39676	\N	\N	\N
2044773	6930	1997-12-23	VYDAJ	VYBER KARTOU	2900	60129	\N	\N	0
2044774	6930	1998-12-03	VYDAJ	VYBER KARTOU	1000	49344	\N	\N	0
2044779	6930	1994-09-17	VYDAJ	VYBER	3480	64174	\N	\N	\N
2044780	6930	1994-12-29	VYDAJ	VYBER	2640	69682	\N	\N	\N
2044781	6930	1994-06-24	VYDAJ	VYBER	4800	78863	\N	\N	\N
2044782	6930	1994-11-30	VYDAJ	VYBER	3720	64888	\N	\N	\N
2044783	6930	1994-12-16	VYDAJ	VYBER	1800	72322	\N	\N	\N
2044784	6930	1994-02-14	VYDAJ	VYBER	5040	60954	\N	\N	\N
2044785	6930	1995-12-08	VYDAJ	VYBER	5760	33404	\N	\N	\N
2044786	6930	1995-01-25	VYDAJ	VYBER	4560	62985	\N	\N	\N
2044787	6930	1995-05-22	VYDAJ	VYBER	840	68428	\N	\N	\N
2044788	6930	1995-11-22	VYDAJ	VYBER	720	59973	\N	\N	\N
2044789	6930	1995-11-10	VYDAJ	VYBER	2040	37581	\N	\N	\N
2044790	6930	1995-03-08	VYDAJ	VYBER	4320	40035	\N	\N	\N
2044791	6930	1995-12-12	VYDAJ	VYBER	5160	63453	\N	\N	\N
2044792	6930	1996-07-24	VYDAJ	VYBER	5400	28575	\N	\N	\N
2044793	6930	1996-09-29	VYDAJ	VYBER	2280	31360	\N	\N	\N
2044794	6930	1996-02-09	VYDAJ	VYBER	5640	27077	\N	\N	\N
2044795	6930	1996-10-23	VYDAJ	VYBER	3600	34975	\N	\N	\N
2044796	6930	1996-09-24	VYDAJ	VYBER	3720	34540	\N	\N	\N
2044797	6930	1996-08-26	VYDAJ	VYBER	840	33261	\N	\N	\N
2044798	6930	1996-07-14	VYDAJ	VYBER	2280	48575	\N	\N	\N
2044799	6930	1997-01-19	VYDAJ	VYBER	3960	61463	\N	\N	\N
2044800	6930	1997-01-21	VYDAJ	VYBER	3600	37763	\N	\N	\N
2044801	6930	1997-05-06	VYDAJ	VYBER	2880	37568	\N	\N	\N
2044802	6930	1997-06-28	VYDAJ	VYBER	4320	34254	\N	\N	\N
2044803	6930	1997-07-15	VYDAJ	VYBER	1800	55941	\N	\N	\N
2044804	6930	1997-04-16	VYDAJ	VYBER	3840	61080	\N	\N	\N
2044805	6930	1998-12-26	VYDAJ	VYBER KARTOU	1200	67534	\N	\N	0
2044806	6930	1998-07-27	VYDAJ	VYBER	4680	36422	\N	\N	\N
2044807	6930	1998-09-21	VYDAJ	VYBER KARTOU	2800	36399	\N	\N	0
2044808	6930	1998-12-18	VYDAJ	VYBER KARTOU	1900	68734	\N	\N	0
2044822	6930	1994-01-31	VYDAJ	VYBER	15	64501	SLUZBY	\N	\N
2044823	6930	1994-02-28	VYDAJ	VYBER	15	61201	SLUZBY	\N	\N
2044824	6930	1994-03-31	VYDAJ	VYBER	15	65045	SLUZBY	\N	\N
2044825	6930	1994-04-30	VYDAJ	VYBER	15	69606	SLUZBY	\N	\N
2044826	6930	1994-05-31	VYDAJ	VYBER	15	69654	SLUZBY	\N	\N
2044827	6930	1994-06-30	VYDAJ	VYBER	15	58516	SLUZBY	\N	\N
2044828	6930	1994-07-31	VYDAJ	VYBER	15	63272	SLUZBY	\N	\N
2044829	6930	1994-08-31	VYDAJ	VYBER	15	66842	SLUZBY	\N	\N
2044830	6930	1994-09-30	VYDAJ	VYBER	15	64434	SLUZBY	\N	\N
2044831	6930	1994-10-31	VYDAJ	VYBER	15	68312	SLUZBY	\N	\N
2044832	6930	1994-11-30	VYDAJ	VYBER	15	64873	SLUZBY	\N	\N
2044833	6930	1994-12-31	VYDAJ	VYBER	15	69933	SLUZBY	\N	\N
2044834	6930	1995-01-31	VYDAJ	VYBER	15	41922	SLUZBY	\N	\N
2044835	6930	1995-02-28	VYDAJ	VYBER	15	65255	SLUZBY	\N	\N
2044836	6930	1995-03-31	VYDAJ	VYBER	15	63384	SLUZBY	\N	\N
2044837	6930	1995-04-30	VYDAJ	VYBER	15	66756	SLUZBY	\N	\N
2044838	6930	1995-05-31	VYDAJ	VYBER	15	68698	SLUZBY	\N	\N
2044839	6930	1995-06-30	VYDAJ	VYBER	15	52319	SLUZBY	\N	\N
2044840	6930	1995-07-31	VYDAJ	VYBER	15	43757	SLUZBY	\N	\N
2044841	6930	1995-08-31	VYDAJ	VYBER	15	42488	SLUZBY	\N	\N
2044842	6930	1995-09-30	VYDAJ	VYBER	15	39411	SLUZBY	\N	\N
2044843	6930	1995-10-31	VYDAJ	VYBER	15	39621	SLUZBY	\N	\N
2044844	6930	1995-11-30	VYDAJ	VYBER	15	39164	SLUZBY	\N	\N
2044845	6930	1995-12-31	VYDAJ	VYBER	15	40762	SLUZBY	\N	\N
2044846	6930	1996-01-31	VYDAJ	VYBER	15	32717	SLUZBY	\N	\N
2044847	6930	1996-02-29	VYDAJ	VYBER	15	31041	SLUZBY	\N	\N
2044848	6930	1996-03-31	VYDAJ	VYBER	15	34314	SLUZBY	\N	\N
2044849	6930	1996-04-30	VYDAJ	VYBER	15	36998	SLUZBY	\N	\N
2044850	6930	1996-05-31	VYDAJ	VYBER	15	38590	SLUZBY	\N	\N
2044851	6930	1996-06-30	VYDAJ	VYBER	15	27962	SLUZBY	\N	\N
2044852	6930	1996-07-31	VYDAJ	VYBER	15	27808	SLUZBY	\N	\N
2044853	6930	1996-08-31	VYDAJ	VYBER	15	33367	SLUZBY	\N	\N
2044854	6930	1996-09-30	VYDAJ	VYBER	15	31482	SLUZBY	\N	\N
2044855	6930	1996-10-31	VYDAJ	VYBER	15	35116	SLUZBY	\N	\N
2044856	6930	1996-11-30	VYDAJ	VYBER	15	41276	SLUZBY	\N	\N
2044857	6930	1996-12-31	VYDAJ	VYBER	15	46670	SLUZBY	\N	\N
2044858	6930	1997-01-31	VYDAJ	VYBER	15	37338	SLUZBY	\N	\N
2044859	6930	1997-02-28	VYDAJ	VYBER	15	42476	SLUZBY	\N	\N
2044860	6930	1997-03-31	VYDAJ	VYBER	15	41327	SLUZBY	\N	\N
2044861	6930	1997-04-30	VYDAJ	VYBER	15	41548	SLUZBY	\N	\N
2044862	6930	1997-05-31	VYDAJ	VYBER	15	45644	SLUZBY	\N	\N
2044863	6930	1997-06-30	VYDAJ	VYBER	15	34448	SLUZBY	\N	\N
2044864	6930	1997-07-31	VYDAJ	VYBER	15	43402	SLUZBY	\N	\N
2044865	6930	1997-08-31	VYDAJ	VYBER	15	46372	SLUZBY	\N	\N
2044866	6930	1997-09-30	VYDAJ	VYBER	15	48845	SLUZBY	\N	\N
2044867	6930	1997-10-31	VYDAJ	VYBER	15	54333	SLUZBY	\N	\N
2044868	6930	1997-11-30	VYDAJ	VYBER	15	57339	SLUZBY	\N	\N
2044869	6930	1997-12-31	VYDAJ	VYBER	15	60357	SLUZBY	\N	\N
2044870	6930	1998-01-31	VYDAJ	VYBER	15	47731	SLUZBY	\N	\N
2044871	6930	1998-02-28	VYDAJ	VYBER	15	48304	SLUZBY	\N	\N
2044872	6930	1998-03-31	VYDAJ	VYBER	15	52299	SLUZBY	\N	\N
2044873	6930	1998-04-30	VYDAJ	VYBER	15	53301	SLUZBY	\N	\N
2044874	6930	1998-05-31	VYDAJ	VYBER	15	50798	SLUZBY	\N	\N
2044875	6930	1998-06-30	VYDAJ	VYBER	15	43309	SLUZBY	\N	\N
2044876	6930	1998-07-31	VYDAJ	VYBER	15	36574	SLUZBY	\N	\N
2044877	6930	1998-08-31	VYDAJ	VYBER	15	39706	SLUZBY	\N	\N
2044878	6930	1998-09-30	VYDAJ	VYBER	15	35567	SLUZBY	\N	\N
2044879	6930	1998-10-31	VYDAJ	VYBER	15	35287	SLUZBY	\N	\N
2044880	6930	1998-11-30	VYDAJ	VYBER	15	50344	SLUZBY	\N	\N
2044881	6930	1993-10-08	PRIJEM	VKLAD	400	25258	\N	\N	\N
2044882	6930	1993-11-07	VYDAJ	VYBER	10300	39321	\N	\N	\N
2044883	6930	1993-12-07	VYDAJ	VYBER	20200	43557	\N	\N	\N
2044884	6930	1994-01-06	VYDAJ	VYBER	29900	50255	\N	\N	\N
2044885	6930	1994-02-05	VYDAJ	VYBER	21900	42601	\N	\N	\N
2044886	6930	1994-03-07	VYDAJ	VYBER	19200	42001	\N	\N	\N
2044887	6930	1994-04-06	VYDAJ	VYBER	19000	46045	\N	\N	\N
2044888	6930	1994-05-06	VYDAJ	VYBER	23500	45206	\N	\N	\N
2044889	6930	1994-06-05	VYDAJ	VYBER	21200	48454	\N	\N	\N
2044890	6930	1994-07-05	VYDAJ	VYBER	18600	39916	\N	\N	\N
2044891	6930	1994-08-04	VYDAJ	VYBER	19800	43472	\N	\N	\N
2044892	6930	1994-09-03	VYDAJ	VYBER	22300	44542	\N	\N	\N
2044893	6930	1994-10-03	VYDAJ	VYBER	19500	44934	\N	\N	\N
2044894	6930	1994-11-02	VYDAJ	VYBER	23100	45212	\N	\N	\N
2044895	6930	1994-12-02	VYDAJ	VYBER	21800	43073	\N	\N	\N
2044896	6930	1995-01-01	VYDAJ	VYBER	19900	50033	\N	\N	\N
2044897	6930	1995-01-31	VYDAJ	VYBER	21300	41937	\N	\N	\N
2044898	6930	1995-03-02	VYDAJ	VYBER	20900	44355	\N	\N	\N
2044899	6930	1995-04-01	VYDAJ	VYBER	20000	43384	\N	\N	\N
2044900	6930	1995-05-01	VYDAJ	VYBER	20600	46156	\N	\N	\N
2044901	6930	1995-05-31	VYDAJ	VYBER	22900	45798	\N	\N	\N
2044902	6930	1995-06-30	VYDAJ	VYBER	13200	39119	\N	\N	\N
2044903	6930	1995-07-30	VYDAJ	VYBER	18700	43531	\N	\N	\N
2044904	6930	1995-08-29	VYDAJ	VYBER	24600	42269	\N	\N	\N
2044905	6930	1995-09-28	VYDAJ	VYBER	26400	39200	\N	\N	\N
2044906	6930	1995-10-28	VYDAJ	VYBER	23100	39423	\N	\N	\N
2044907	6930	1995-11-27	VYDAJ	VYBER	21000	38973	\N	\N	\N
2044908	6930	1995-12-27	VYDAJ	VYBER	21300	40553	\N	\N	\N
2044909	6930	1996-01-26	VYDAJ	VYBER	16600	32554	\N	\N	\N
2044910	6930	1996-02-25	VYDAJ	VYBER	19300	30889	\N	\N	\N
2044911	6930	1996-03-26	VYDAJ	VYBER	20000	34153	\N	\N	\N
2044912	6930	1996-04-25	VYDAJ	VYBER	20600	36826	\N	\N	\N
2044913	6930	1996-05-25	VYDAJ	VYBER	21700	38410	\N	\N	\N
2044914	6930	1996-06-24	VYDAJ	VYBER	11700	27800	\N	\N	\N
2044915	6930	1996-07-24	VYDAJ	VYBER	14600	33975	\N	\N	\N
2044916	6930	1996-08-23	VYDAJ	VYBER	17900	34101	\N	\N	\N
2044917	6930	1996-09-22	VYDAJ	VYBER	19300	38260	\N	\N	\N
2044918	6930	1996-10-22	VYDAJ	VYBER	16200	38575	\N	\N	\N
2044919	6930	1996-11-21	VYDAJ	VYBER	16800	41709	\N	\N	\N
2044920	6930	1996-12-21	VYDAJ	VYBER	28700	47265	\N	\N	\N
2044921	6930	1997-01-20	VYDAJ	VYBER	20100	41363	\N	\N	\N
2044922	6930	1997-02-19	VYDAJ	VYBER	19200	42331	\N	\N	\N
2044923	6930	1997-03-21	VYDAJ	VYBER	24100	42569	\N	\N	\N
2044924	6930	1997-04-20	VYDAJ	VYBER	19700	41380	\N	\N	\N
2044925	6930	1997-05-20	VYDAJ	VYBER	16300	45461	\N	\N	\N
2044926	6930	1997-06-19	VYDAJ	VYBER	9400	39574	\N	\N	\N
2044927	6930	1997-07-19	VYDAJ	VYBER	12700	43241	\N	\N	\N
2044928	6930	1997-08-18	VYDAJ	VYBER	20500	46195	\N	\N	\N
2044929	6930	1997-09-17	VYDAJ	VYBER	20100	50465	\N	\N	\N
2044930	6930	1997-10-17	VYDAJ	VYBER	18900	54138	\N	\N	\N
2044931	6930	1997-11-16	VYDAJ	VYBER	20600	57926	\N	\N	\N
2044932	6930	1997-12-16	VYDAJ	VYBER	29500	64129	\N	\N	\N
2044933	6930	1998-01-15	VYDAJ	VYBER	19200	65350	\N	\N	\N
2044934	6930	1998-02-14	VYDAJ	VYBER	23800	48124	\N	\N	\N
2044935	6930	1998-03-16	VYDAJ	VYBER	19500	52097	\N	\N	\N
2044936	6930	1998-04-15	VYDAJ	VYBER	22500	53092	\N	\N	\N
2044937	6930	1998-05-15	VYDAJ	VYBER	26300	50594	\N	\N	\N
2044938	6930	1998-06-14	VYDAJ	VYBER	21300	43148	\N	\N	\N
2044939	6930	1998-07-14	VYDAJ	VYBER	24500	43002	\N	\N	\N
2044940	6930	1998-08-13	VYDAJ	VYBER	21200	39567	\N	\N	\N
2044941	6930	1998-09-12	VYDAJ	VYBER	23900	39199	\N	\N	\N
2044942	6930	1998-10-12	VYDAJ	VYBER	23600	36160	\N	\N	\N
2044943	6930	1998-11-11	VYDAJ	VYBER	9300	25987	\N	\N	\N
2044944	6930	1998-12-11	VYDAJ	VYBER	14000	34344	\N	\N	\N
2051886	6950	1996-10-12	PRIJEM	VKLAD	700	700	\N	\N	\N
2051897	6950	1996-11-05	PRIJEM	VKLAD	22733	23433	\N	\N	\N
2051898	6950	1996-12-05	PRIJEM	VKLAD	34100	57297	\N	\N	\N
2051899	6950	1997-01-05	PRIJEM	VKLAD	22733	65181	\N	\N	\N
2051900	6950	1997-02-05	PRIJEM	VKLAD	22733	70405	\N	\N	\N
2051901	6950	1997-03-05	PRIJEM	VKLAD	22733	69433	\N	\N	\N
2051902	6950	1997-04-05	PRIJEM	VKLAD	22733	48002	\N	\N	\N
2051903	6950	1997-05-05	PRIJEM	VKLAD	22733	41141	\N	\N	\N
2051904	6950	1997-06-05	PRIJEM	VKLAD	34100	49328	\N	\N	\N
2051905	6950	1997-07-05	PRIJEM	VKLAD	22733	44769	\N	\N	\N
2051906	6950	1997-08-05	PRIJEM	VKLAD	22733	43211	\N	\N	\N
2051907	6950	1997-09-05	PRIJEM	VKLAD	22733	39210	\N	\N	\N
2051908	6950	1997-10-05	PRIJEM	VKLAD	22733	37094	\N	\N	\N
2051909	6950	1997-11-05	PRIJEM	VKLAD	22733	37545	\N	\N	\N
2051910	6950	1997-12-05	PRIJEM	VKLAD	34100	54557	\N	\N	\N
2051911	6950	1998-01-05	PRIJEM	VKLAD	22733	52380	\N	\N	\N
2051912	6950	1998-02-05	PRIJEM	VKLAD	22733	65812	\N	\N	\N
2051913	6950	1998-03-05	PRIJEM	VKLAD	22733	70265	\N	\N	\N
2051914	6950	1998-04-05	PRIJEM	VKLAD	22733	73236	\N	\N	\N
2051915	6950	1998-05-05	PRIJEM	VKLAD	22733	74717	\N	\N	\N
2051916	6950	1998-06-05	PRIJEM	VKLAD	34100	90868	\N	\N	\N
2051917	6950	1998-07-05	PRIJEM	VKLAD	22733	69874	\N	\N	\N
2051918	6950	1998-08-05	PRIJEM	VKLAD	22733	83442	\N	\N	\N
2051919	6950	1998-09-05	PRIJEM	VKLAD	22733	88044	\N	\N	\N
2051920	6950	1998-10-05	PRIJEM	VKLAD	22733	94195	\N	\N	\N
2051921	6950	1998-11-05	PRIJEM	VKLAD	22733	102973	\N	\N	\N
2051922	6950	1998-12-05	PRIJEM	VKLAD	34100	114953	\N	\N	\N
2051937	6950	1997-03-13	VYDAJ	PREVOD NA UCET	8561	27062	SIPO	ST	88771885
2051938	6950	1997-04-13	VYDAJ	PREVOD NA UCET	8561	18331	SIPO	ST	88771885
2051939	6950	1997-05-13	VYDAJ	PREVOD NA UCET	8561	15170	SIPO	ST	88771885
2051940	6950	1997-06-13	VYDAJ	PREVOD NA UCET	8561	21957	SIPO	ST	88771885
2051941	6950	1997-07-13	VYDAJ	PREVOD NA UCET	8561	20398	SIPO	ST	88771885
2051942	6950	1997-08-13	VYDAJ	PREVOD NA UCET	8561	22040	SIPO	ST	88771885
2051943	6950	1997-09-13	VYDAJ	PREVOD NA UCET	8561	20159	SIPO	ST	88771885
2051944	6950	1997-10-13	VYDAJ	PREVOD NA UCET	8561	14743	SIPO	ST	88771885
2051945	6950	1997-11-13	VYDAJ	PREVOD NA UCET	8561	20374	SIPO	ST	88771885
2051946	6950	1997-12-13	VYDAJ	PREVOD NA UCET	8561	30126	SIPO	ST	88771885
2051947	6950	1998-01-13	VYDAJ	PREVOD NA UCET	8561	30589	SIPO	ST	88771885
2051948	6950	1998-02-13	VYDAJ	PREVOD NA UCET	8561	47341	SIPO	ST	88771885
2051949	6950	1998-03-13	VYDAJ	PREVOD NA UCET	8561	50294	SIPO	ST	88771885
2051950	6950	1998-04-13	VYDAJ	PREVOD NA UCET	8561	51765	SIPO	ST	88771885
2051951	6950	1998-05-13	VYDAJ	PREVOD NA UCET	8561	51146	SIPO	ST	88771885
2051952	6950	1998-06-13	VYDAJ	PREVOD NA UCET	8561	72397	SIPO	ST	88771885
2051953	6950	1998-07-13	VYDAJ	PREVOD NA UCET	8561	51403	SIPO	ST	88771885
2051954	6950	1998-08-13	VYDAJ	PREVOD NA UCET	8561	64971	SIPO	ST	88771885
2051955	6950	1998-09-13	VYDAJ	PREVOD NA UCET	8561	69573	SIPO	ST	88771885
2051956	6950	1998-10-13	VYDAJ	PREVOD NA UCET	8561	75724	SIPO	ST	88771885
2051957	6950	1998-11-13	VYDAJ	PREVOD NA UCET	8561	84502	SIPO	ST	88771885
2051958	6950	1998-12-13	VYDAJ	PREVOD NA UCET	8561	59382	SIPO	ST	88771885
2051973	6950	1997-03-12	VYDAJ	PREVOD NA UCET	9910	35623	UVER	IJ	13666057
2051974	6950	1997-04-12	VYDAJ	PREVOD NA UCET	9910	26892	UVER	IJ	13666057
2051975	6950	1997-05-12	VYDAJ	PREVOD NA UCET	9910	23731	UVER	IJ	13666057
2051976	6950	1997-06-12	VYDAJ	PREVOD NA UCET	9910	30518	UVER	IJ	13666057
2051977	6950	1997-07-12	VYDAJ	PREVOD NA UCET	9910	28959	UVER	IJ	13666057
2051978	6950	1997-08-12	VYDAJ	PREVOD NA UCET	9910	30601	UVER	IJ	13666057
2051979	6950	1997-09-12	VYDAJ	PREVOD NA UCET	9910	28720	UVER	IJ	13666057
2051980	6950	1997-10-12	VYDAJ	PREVOD NA UCET	9910	23304	UVER	IJ	13666057
2051981	6950	1997-11-12	VYDAJ	PREVOD NA UCET	9910	28935	UVER	IJ	13666057
2051982	6950	1997-12-12	VYDAJ	PREVOD NA UCET	9910	38687	UVER	IJ	13666057
2051983	6950	1998-01-12	VYDAJ	PREVOD NA UCET	9910	39150	UVER	IJ	13666057
2051984	6950	1998-02-12	VYDAJ	PREVOD NA UCET	9910	55902	UVER	IJ	13666057
2051985	6950	1998-03-12	VYDAJ	PREVOD NA UCET	9910	58855	UVER	IJ	13666057
2051986	6950	1998-04-12	VYDAJ	PREVOD NA UCET	9910	60326	UVER	IJ	13666057
2051987	6950	1998-05-12	VYDAJ	PREVOD NA UCET	9910	59707	UVER	IJ	13666057
2051988	6950	1998-06-12	VYDAJ	PREVOD NA UCET	9910	80958	UVER	IJ	13666057
2051989	6950	1998-07-12	VYDAJ	PREVOD NA UCET	9910	59964	UVER	IJ	13666057
2051990	6950	1998-08-12	VYDAJ	PREVOD NA UCET	9910	73532	UVER	IJ	13666057
2051991	6950	1998-09-12	VYDAJ	PREVOD NA UCET	9910	78134	UVER	IJ	13666057
2051992	6950	1998-10-12	VYDAJ	PREVOD NA UCET	9910	84285	UVER	IJ	13666057
2051993	6950	1998-11-12	VYDAJ	PREVOD NA UCET	9910	93063	UVER	IJ	13666057
2051994	6950	1998-12-12	VYDAJ	PREVOD NA UCET	9910	67943	UVER	IJ	13666057
2051997	6950	1998-06-19	VYDAJ	VYBER	42080	30317	\N	\N	\N
2051999	6950	1997-12-11	VYDAJ	VYBER	960	48597	\N	\N	\N
2052000	6950	1998-12-04	VYDAJ	VYBER KARTOU	2100	80853	\N	\N	0
2052013	6950	1998-01-26	VYDAJ	VYBER	2520	27469	\N	\N	\N
2052014	6950	1998-01-03	VYDAJ	VYBER	600	29647	\N	\N	\N
2052015	6950	1998-01-25	VYDAJ	VYBER	600	29989	\N	\N	\N
2052016	6950	1998-01-07	VYDAJ	VYBER	720	51460	\N	\N	\N
2052017	6950	1998-01-28	VYDAJ	VYBER	720	26749	\N	\N	\N
2052018	6950	1998-01-11	VYDAJ	VYBER	2400	49060	\N	\N	\N
2052022	6950	1997-09-12	VYDAJ	VYBER	2280	38630	\N	\N	\N
2052023	6950	1997-08-19	VYDAJ	VYBER	5640	16400	\N	\N	\N
2052024	6950	1997-10-02	VYDAJ	VYBER	5880	14361	\N	\N	\N
2052025	6950	1997-10-06	VYDAJ	VYBER	2880	34214	\N	\N	\N
2052027	6950	1997-03-27	VYDAJ	VYBER	1920	25142	\N	\N	\N
2052028	6950	1998-08-13	VYDAJ	VYBER	3120	61851	\N	\N	\N
2052029	6950	1998-12-16	VYDAJ	VYBER KARTOU	600	58782	\N	\N	0
2052045	6950	1997-03-31	VYDAJ	VYBER	15	25269	SLUZBY	\N	\N
2052046	6950	1997-04-30	VYDAJ	VYBER	15	18408	SLUZBY	\N	\N
2052047	6950	1997-05-31	VYDAJ	VYBER	15	15228	SLUZBY	\N	\N
2052048	6950	1997-06-30	VYDAJ	VYBER	15	22036	SLUZBY	\N	\N
2052049	6950	1997-07-31	VYDAJ	VYBER	15	20478	SLUZBY	\N	\N
2052050	6950	1997-08-31	VYDAJ	VYBER	15	16477	SLUZBY	\N	\N
2052051	6950	1997-09-30	VYDAJ	VYBER	15	20241	SLUZBY	\N	\N
2052052	6950	1997-10-31	VYDAJ	VYBER	15	14812	SLUZBY	\N	\N
2052053	6950	1997-11-30	VYDAJ	VYBER	15	20457	SLUZBY	\N	\N
2052054	6950	1997-12-31	VYDAJ	VYBER	15	30247	SLUZBY	\N	\N
2052055	6950	1998-01-31	VYDAJ	VYBER	15	26879	SLUZBY	\N	\N
2052056	6950	1998-02-28	VYDAJ	VYBER	15	47532	SLUZBY	\N	\N
2052057	6950	1998-03-31	VYDAJ	VYBER	15	50503	SLUZBY	\N	\N
2052058	6950	1998-04-30	VYDAJ	VYBER	15	51984	SLUZBY	\N	\N
2052059	6950	1998-05-31	VYDAJ	VYBER	15	51368	SLUZBY	\N	\N
2052060	6950	1998-06-30	VYDAJ	VYBER	15	30541	SLUZBY	\N	\N
2052061	6950	1998-07-31	VYDAJ	VYBER	15	51609	SLUZBY	\N	\N
2052062	6950	1998-08-31	VYDAJ	VYBER	15	62111	SLUZBY	\N	\N
2052063	6950	1998-09-30	VYDAJ	VYBER	15	69862	SLUZBY	\N	\N
2052064	6950	1998-10-31	VYDAJ	VYBER	15	76040	SLUZBY	\N	\N
2052065	6950	1998-11-30	VYDAJ	VYBER	15	84853	SLUZBY	\N	\N
2052066	6950	1996-11-11	VYDAJ	VYBER	300	23133	\N	\N	\N
2052067	6950	1996-12-11	VYDAJ	VYBER	15000	42297	\N	\N	\N
2052068	6950	1997-01-10	VYDAJ	VYBER	17700	47481	\N	\N	\N
2052069	6950	1997-02-09	VYDAJ	VYBER	23900	46505	\N	\N	\N
2052070	6950	1997-03-11	VYDAJ	VYBER	23900	45533	\N	\N	\N
2052071	6950	1997-04-10	VYDAJ	VYBER	11200	36802	\N	\N	\N
2052072	6950	1997-05-10	VYDAJ	VYBER	7500	33641	\N	\N	\N
2052073	6950	1997-06-09	VYDAJ	VYBER	8900	40428	\N	\N	\N
2052074	6950	1997-07-09	VYDAJ	VYBER	5900	38869	\N	\N	\N
2052075	6950	1997-08-08	VYDAJ	VYBER	2700	40511	\N	\N	\N
2052076	6950	1997-09-07	PRIJEM	VKLAD	1700	40910	\N	\N	\N
2052077	6950	1997-10-07	VYDAJ	VYBER	1000	33214	\N	\N	\N
2052078	6950	1997-11-06	PRIJEM	VKLAD	1300	38845	\N	\N	\N
2052079	6950	1997-12-06	VYDAJ	VYBER	5000	49557	\N	\N	\N
2052080	6950	1998-01-05	VYDAJ	VYBER	200	52180	\N	\N	\N
2052081	6950	1998-02-04	PRIJEM	VKLAD	16200	43079	\N	\N	\N
2052082	6950	1998-03-06	VYDAJ	VYBER	1500	68765	\N	\N	\N
2052083	6950	1998-04-05	VYDAJ	VYBER	3000	70236	\N	\N	\N
2052084	6950	1998-05-05	VYDAJ	VYBER	5100	69617	\N	\N	\N
2052085	6950	1998-06-04	PRIJEM	VKLAD	5400	56768	\N	\N	\N
2052086	6950	1998-07-04	PRIJEM	VKLAD	16600	47141	\N	\N	\N
2052087	6950	1998-08-03	PRIJEM	VKLAD	9100	60709	\N	\N	\N
2052088	6950	1998-09-02	PRIJEM	VKLAD	3200	65311	\N	\N	\N
2052089	6950	1998-10-02	PRIJEM	VKLAD	1600	71462	\N	\N	\N
2052090	6950	1998-11-01	PRIJEM	VKLAD	4200	80240	\N	\N	\N
2052091	6950	1998-12-01	VYDAJ	VYBER KARTOU	1900	82953	\N	\N	0
2052092	6950	1998-12-05	VYDAJ	VYBER	37100	77853	\N	\N	\N
2060952	6985	1995-07-27	PRIJEM	VKLAD	900	900	\N	\N	\N
2060954	6985	1995-12-10	PRIJEM	VKLAD	10539	72381	\N	\N	\N
2060955	6985	1995-08-17	PRIJEM	VKLAD	12506	13406	\N	\N	\N
2060956	6985	1995-10-20	PRIJEM	VKLAD	18526	84172	\N	\N	\N
2060959	6985	1995-10-30	PRIJEM	VKLAD	46379	102551	\N	\N	\N
2060964	6985	1995-10-18	PRIJEM	VKLAD	46857	65646	\N	\N	\N
2060966	6985	1996-04-23	PRIJEM	VKLAD	24106	71407	\N	\N	\N
2060967	6985	1996-08-24	PRIJEM	VKLAD	47062	136159	\N	\N	\N
2060968	6985	1996-02-21	PRIJEM	VKLAD	25379	71635	\N	\N	\N
2060969	6985	1996-04-17	PRIJEM	VKLAD	48172	71901	\N	\N	\N
2060970	6985	1996-08-30	PRIJEM	VKLAD	32223	135482	\N	\N	\N
2060971	6985	1996-05-22	PRIJEM	VKLAD	36483	92326	\N	\N	\N
2060972	6985	1996-01-02	PRIJEM	VKLAD	32521	73181	\N	\N	\N
2060973	6985	1996-08-23	PRIJEM	VKLAD	43586	89097	\N	\N	\N
2060974	6985	1996-02-21	PRIJEM	VKLAD	46196	117831	\N	\N	\N
2060975	6985	1996-07-16	PRIJEM	VKLAD	29394	42596	\N	\N	\N
2060976	6985	1996-01-26	PRIJEM	VKLAD	33094	69408	\N	\N	\N
2060977	6985	1996-08-10	PRIJEM	VKLAD	43160	67498	\N	\N	\N
2060978	6985	1996-03-03	PRIJEM	VKLAD	37131	72977	\N	\N	\N
2060979	6985	1996-12-08	PRIJEM	VKLAD	35747	56753	\N	\N	\N
2060980	6985	1996-11-12	PRIJEM	VKLAD	26680	37647	\N	\N	\N
2060981	6985	1997-04-01	PRIJEM	VKLAD	47214	101824	\N	\N	\N
2060982	6985	1997-05-12	PRIJEM	VKLAD	27704	91352	\N	\N	\N
2060983	6985	1997-04-25	PRIJEM	VKLAD	21498	82967	\N	\N	\N
2060984	6985	1997-01-14	PRIJEM	VKLAD	27528	79141	\N	\N	\N
2060985	6985	1997-02-28	PRIJEM	VKLAD	31272	88862	\N	\N	\N
2060986	6985	1997-04-29	PRIJEM	VKLAD	37734	120701	\N	\N	\N
2060987	6985	1997-11-23	PRIJEM	VKLAD	8269	34472	\N	\N	\N
2060988	6985	1997-05-14	PRIJEM	VKLAD	12049	100713	\N	\N	\N
2060989	6985	1997-12-22	PRIJEM	VKLAD	14170	84619	\N	\N	\N
2060990	6985	1997-05-06	PRIJEM	VKLAD	38719	130415	\N	\N	\N
2060991	6985	1997-02-20	PRIJEM	VKLAD	16303	59603	\N	\N	\N
2060992	6985	1997-01-18	PRIJEM	VKLAD	31833	86674	\N	\N	\N
2060993	6985	1997-08-14	PRIJEM	VKLAD	34600	103081	\N	\N	\N
2060994	6985	1997-09-14	PRIJEM	VKLAD	18905	46348	\N	\N	\N
2060995	6985	1997-08-05	PRIJEM	VKLAD	29800	84336	\N	\N	\N
2060996	6985	1997-01-23	PRIJEM	VKLAD	34697	115071	\N	\N	\N
2060997	6985	1997-11-23	PRIJEM	VKLAD	27898	62370	\N	\N	\N
2060998	6985	1997-09-14	PRIJEM	VKLAD	26302	72650	\N	\N	\N
2060999	6985	1997-12-16	PRIJEM	VKLAD	30852	70449	\N	\N	\N
2061000	6985	1997-08-25	PRIJEM	VKLAD	39470	108951	\N	\N	\N
2061001	6985	1997-01-06	PRIJEM	VKLAD	28537	67467	\N	\N	\N
2061002	6985	1997-02-27	PRIJEM	VKLAD	11187	57590	\N	\N	\N
2061003	6985	1997-07-25	PRIJEM	VKLAD	21944	54381	\N	\N	\N
2061004	6985	1997-10-28	PRIJEM	VKLAD	23499	55490	\N	\N	\N
2061005	6985	1997-01-24	PRIJEM	VKLAD	12635	67206	\N	\N	\N
2061006	6985	1998-12-18	PRIJEM	VKLAD	45365	72558	\N	\N	\N
2061007	6985	1998-09-01	PRIJEM	VKLAD	44996	109113	\N	\N	\N
2061008	6985	1998-02-14	PRIJEM	VKLAD	43753	108978	\N	\N	\N
2061009	6985	1998-09-07	PRIJEM	VKLAD	28755	144652	\N	\N	\N
2061010	6985	1998-10-20	PRIJEM	VKLAD	16962	61845	\N	\N	\N
2061011	6985	1998-09-11	PRIJEM	VKLAD	7035	61420	\N	\N	\N
2061012	6985	1998-10-01	PRIJEM	VKLAD	41053	76138	\N	\N	\N
2061013	6985	1998-01-01	PRIJEM	VKLAD	40010	124899	\N	\N	\N
2061014	6985	1998-04-21	PRIJEM	VKLAD	33225	80954	\N	\N	\N
2061015	6985	1998-03-21	PRIJEM	VKLAD	18095	82035	\N	\N	\N
2061016	6985	1998-08-23	PRIJEM	VKLAD	47830	64020	\N	\N	\N
2061017	6985	1998-09-03	PRIJEM	VKLAD	31084	140197	\N	\N	\N
2061018	6985	1998-05-02	PRIJEM	VKLAD	43639	113768	\N	\N	\N
2061019	6985	1998-01-18	PRIJEM	VKLAD	28541	84485	\N	\N	\N
2061020	6985	1998-01-28	PRIJEM	VKLAD	22357	106842	\N	\N	\N
2061032	6985	1995-12-17	VYDAJ	VYBER	2400	63981	\N	\N	0
2061033	6985	1996-01-20	VYDAJ	VYBER	3200	56814	\N	\N	0
2061034	6985	1996-02-17	VYDAJ	VYBER	2300	46256	\N	\N	0
2061035	6985	1996-03-11	VYDAJ	VYBER	2100	57710	\N	\N	0
2061036	6985	1996-03-29	VYDAJ	VYBER	3400	36710	\N	\N	0
2061037	6985	1996-05-06	VYDAJ	VYBER	2600	69010	\N	\N	0
2061038	6985	1996-06-09	VYDAJ	VYBER	2400	43394	\N	\N	0
2061039	6985	1996-07-01	VYDAJ	VYBER	2400	26369	\N	\N	0
2061040	6985	1996-08-12	VYDAJ	PREVOD NA UCET	2688	64811	UVER	ST	77922910
2061041	6985	1996-09-12	VYDAJ	PREVOD NA UCET	2688	42512	UVER	ST	77922910
2061042	6985	1996-10-12	VYDAJ	PREVOD NA UCET	2688	20235	UVER	ST	77922910
2061043	6985	1996-11-12	VYDAJ	PREVOD NA UCET	2688	34960	UVER	ST	77922910
2061044	6985	1996-12-12	VYDAJ	PREVOD NA UCET	2688	54065	UVER	ST	77922910
2061045	6985	1997-01-12	VYDAJ	PREVOD NA UCET	2688	51613	UVER	ST	77922910
2061046	6985	1997-02-12	VYDAJ	PREVOD NA UCET	2688	51600	UVER	ST	77922910
2061047	6985	1997-03-12	VYDAJ	PREVOD NA UCET	2688	73232	UVER	ST	77922910
2061048	6985	1997-04-12	VYDAJ	PREVOD NA UCET	2688	85969	UVER	ST	77922910
2061049	6985	1997-05-12	VYDAJ	PREVOD NA UCET	2688	88664	UVER	ST	77922910
2061050	6985	1997-06-12	VYDAJ	PREVOD NA UCET	2688	54278	UVER	ST	77922910
2061051	6985	1997-07-12	VYDAJ	PREVOD NA UCET	2688	28037	UVER	ST	77922910
2061052	6985	1997-08-12	VYDAJ	PREVOD NA UCET	2688	68481	UVER	ST	77922910
2061053	6985	1997-09-12	VYDAJ	PREVOD NA UCET	2688	27443	UVER	ST	77922910
2061054	6985	1997-10-12	VYDAJ	PREVOD NA UCET	2688	38391	UVER	ST	77922910
2061055	6985	1997-11-12	VYDAJ	PREVOD NA UCET	2688	39803	UVER	ST	77922910
2061056	6985	1997-12-12	VYDAJ	PREVOD NA UCET	2688	46697	UVER	ST	77922910
2061057	6985	1998-01-12	VYDAJ	PREVOD NA UCET	2688	82944	UVER	ST	77922910
2061058	6985	1998-02-12	VYDAJ	PREVOD NA UCET	2688	65225	UVER	ST	77922910
2061059	6985	1998-03-12	VYDAJ	PREVOD NA UCET	2688	93540	UVER	ST	77922910
2061060	6985	1998-04-12	VYDAJ	PREVOD NA UCET	2688	66529	UVER	ST	77922910
2061061	6985	1998-05-12	VYDAJ	PREVOD NA UCET	2688	64513	UVER	ST	77922910
2061062	6985	1998-06-12	VYDAJ	PREVOD NA UCET	2688	23780	UVER	ST	77922910
2061063	6985	1998-07-12	VYDAJ	PREVOD NA UCET	2688	8037	UVER	ST	77922910
2061064	6985	1998-08-12	VYDAJ	PREVOD NA UCET	2688	16190	UVER	ST	77922910
2061065	6985	1998-09-12	VYDAJ	PREVOD NA UCET	2688	58732	UVER	ST	77922910
2061066	6985	1998-10-12	VYDAJ	PREVOD NA UCET	2688	44883	UVER	ST	77922910
2061067	6985	1998-11-12	VYDAJ	PREVOD NA UCET	2688	37386	UVER	ST	77922910
2061068	6985	1998-12-12	VYDAJ	PREVOD NA UCET	2688	27193	UVER	ST	77922910
2061081	6985	1996-01-07	VYDAJ	PREVOD NA UCET	13167	60014	SIPO	ST	73746818
2061082	6985	1996-02-07	VYDAJ	PREVOD NA UCET	13167	56458	SIPO	ST	73746818
2061083	6985	1996-03-07	VYDAJ	PREVOD NA UCET	13167	59810	SIPO	ST	73746818
2061084	6985	1996-04-07	VYDAJ	PREVOD NA UCET	13167	23729	SIPO	ST	73746818
2061085	6985	1996-05-07	VYDAJ	PREVOD NA UCET	13167	55843	SIPO	ST	73746818
2061086	6985	1996-06-07	VYDAJ	PREVOD NA UCET	13167	45794	SIPO	ST	73746818
2061087	6985	1996-07-07	VYDAJ	PREVOD NA UCET	13167	13202	SIPO	ST	73746818
2061088	6985	1996-08-07	VYDAJ	PREVOD NA UCET	13167	24338	SIPO	ST	73746818
2061089	6985	1996-09-07	VYDAJ	PREVOD NA UCET	13167	45199	SIPO	ST	73746818
2061090	6985	1996-10-07	VYDAJ	PREVOD NA UCET	13167	22922	SIPO	ST	73746818
2061091	6985	1996-11-07	VYDAJ	PREVOD NA UCET	13167	10967	SIPO	ST	73746818
2061092	6985	1996-12-07	VYDAJ	PREVOD NA UCET	13167	21006	SIPO	ST	73746818
2061093	6985	1997-01-07	VYDAJ	PREVOD NA UCET	13167	54300	SIPO	ST	73746818
2061094	6985	1997-02-07	VYDAJ	PREVOD NA UCET	13167	54288	SIPO	ST	73746818
2061095	6985	1997-03-07	VYDAJ	PREVOD NA UCET	13167	75919	SIPO	ST	73746818
2061096	6985	1997-04-07	VYDAJ	PREVOD NA UCET	13167	88657	SIPO	ST	73746818
2061097	6985	1997-05-07	VYDAJ	PREVOD NA UCET	13167	63648	SIPO	ST	73746818
2061098	6985	1997-06-07	VYDAJ	PREVOD NA UCET	13167	56966	SIPO	ST	73746818
2061099	6985	1997-07-07	VYDAJ	PREVOD NA UCET	13167	30724	SIPO	ST	73746818
2061100	6985	1997-08-07	VYDAJ	PREVOD NA UCET	13167	71169	SIPO	ST	73746818
2061101	6985	1997-09-07	VYDAJ	PREVOD NA UCET	13167	30130	SIPO	ST	73746818
2061102	6985	1997-10-07	VYDAJ	PREVOD NA UCET	13167	41079	SIPO	ST	73746818
2061103	6985	1997-11-07	VYDAJ	PREVOD NA UCET	13167	42491	SIPO	ST	73746818
2061104	6985	1997-12-07	VYDAJ	PREVOD NA UCET	13167	49385	SIPO	ST	73746818
2061105	6985	1998-01-07	VYDAJ	PREVOD NA UCET	13167	85632	SIPO	ST	73746818
2061106	6985	1998-02-07	VYDAJ	PREVOD NA UCET	13167	94013	SIPO	ST	73746818
2061107	6985	1998-03-07	VYDAJ	PREVOD NA UCET	13167	96228	SIPO	ST	73746818
2061108	6985	1998-04-07	VYDAJ	PREVOD NA UCET	13167	69217	SIPO	ST	73746818
2061109	6985	1998-05-07	VYDAJ	PREVOD NA UCET	13167	100601	SIPO	ST	73746818
2061110	6985	1998-06-07	VYDAJ	PREVOD NA UCET	13167	22168	SIPO	ST	73746818
2061111	6985	1998-07-07	VYDAJ	PREVOD NA UCET	13167	10725	SIPO	ST	73746818
2061113	6985	1998-09-07	VYDAJ	PREVOD NA UCET	13167	80285	SIPO	ST	73746818
2061114	6985	1998-10-07	VYDAJ	PREVOD NA UCET	13167	62971	SIPO	ST	73746818
2061115	6985	1998-11-07	VYDAJ	PREVOD NA UCET	13167	44074	SIPO	ST	73746818
2061116	6985	1998-12-07	VYDAJ	PREVOD NA UCET	13167	24381	SIPO	ST	73746818
2061120	6985	1996-06-22	VYBER	VYBER	4288	28606	\N	\N	\N
2061121	6985	1996-02-15	VYBER	VYBER	7902	48556	\N	\N	\N
2061122	6985	1997-09-04	VYBER	VYBER	24453	43297	\N	\N	\N
2061124	6985	1998-09-13	VYBER	VYBER	23854	34878	\N	\N	\N
2061127	6985	1998-06-02	VYBER	VYBER	23749	35335	\N	\N	\N
2061128	6985	1995-12-11	VYDAJ	VYBER	6000	66381	\N	\N	\N
2061129	6985	1996-12-19	VYDAJ	VYBER	5700	38765	\N	\N	\N
2061130	6985	1997-12-12	VYDAJ	VYBER	5100	41597	\N	\N	\N
2061131	6985	1998-12-26	VYDAJ	VYBER	7800	64758	\N	\N	\N
2061136	6985	1995-12-23	VYDAJ	VYBER	9600	54381	\N	\N	\N
2061137	6985	1996-01-20	VYDAJ	VYBER	6000	50814	\N	\N	\N
2061138	6985	1996-09-25	VYDAJ	VYBER	2100	35912	\N	\N	\N
2061140	6985	1997-11-14	VYDAJ	VYBER	9000	26203	\N	\N	\N
2061141	6985	1997-01-23	VYDAJ	VYBER	3900	111171	\N	\N	\N
2061143	6985	1997-01-19	VYDAJ	VYBER	6300	80374	\N	\N	\N
2061144	6985	1997-05-01	VYDAJ	VYBER	11400	91696	\N	\N	\N
2061145	6985	1997-10-24	VYDAJ	VYBER	1500	31991	\N	\N	\N
2061146	6985	1997-02-21	VYDAJ	VYBER	13200	46403	\N	\N	\N
2061147	6985	1998-04-24	VYDAJ	VYBER	11100	69854	\N	\N	\N
2061149	6985	1998-01-12	VYDAJ	VYBER	9000	73944	\N	\N	\N
2061150	6985	1998-05-16	VYDAJ	VYBER	5700	58813	\N	\N	\N
2061152	6985	1998-11-05	VYDAJ	VYBER	4800	57241	\N	\N	\N
2061165	6985	1995-12-31	VYDAJ	VYBER	15	40660	SLUZBY	\N	\N
2061166	6985	1996-01-31	VYDAJ	VYBER	15	69625	SLUZBY	\N	\N
2061167	6985	1996-02-29	VYDAJ	VYBER	15	35846	SLUZBY	\N	\N
2061168	6985	1996-03-31	VYDAJ	VYBER	15	36896	SLUZBY	\N	\N
2061169	6985	1996-04-30	VYDAJ	VYBER	15	71610	SLUZBY	\N	\N
2061170	6985	1996-05-31	VYDAJ	VYBER	15	58961	SLUZBY	\N	\N
2061171	6985	1996-06-30	VYDAJ	VYBER	15	28769	SLUZBY	\N	\N
2061172	6985	1996-07-31	VYDAJ	VYBER	15	37505	SLUZBY	\N	\N
2061173	6985	1996-08-31	VYDAJ	VYBER	15	58366	SLUZBY	\N	\N
2061174	6985	1996-09-30	VYDAJ	VYBER	15	36089	SLUZBY	\N	\N
2061175	6985	1996-10-31	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
2061176	6985	1996-11-30	VYDAJ	VYBER	15	34173	SLUZBY	\N	\N
2061177	6985	1996-12-31	VYDAJ	VYBER	15	38930	SLUZBY	\N	\N
2061178	6985	1997-01-31	VYDAJ	VYBER	15	67455	SLUZBY	\N	\N
2061179	6985	1997-02-28	VYDAJ	VYBER	15	89086	SLUZBY	\N	\N
2061180	6985	1997-03-31	VYDAJ	VYBER	15	54610	SLUZBY	\N	\N
2061181	6985	1997-04-30	VYDAJ	VYBER	15	103096	SLUZBY	\N	\N
2061182	6985	1997-05-31	VYDAJ	VYBER	15	70133	SLUZBY	\N	\N
2061183	6985	1997-06-30	VYDAJ	VYBER	15	43891	SLUZBY	\N	\N
2061184	6985	1997-07-31	VYDAJ	VYBER	15	54536	SLUZBY	\N	\N
2061185	6985	1997-08-31	VYDAJ	VYBER	15	67750	SLUZBY	\N	\N
2061186	6985	1997-09-30	VYDAJ	VYBER	15	54246	SLUZBY	\N	\N
2061187	6985	1997-10-31	VYDAJ	VYBER	15	55658	SLUZBY	\N	\N
2061188	6985	1997-11-30	VYDAJ	VYBER	15	62552	SLUZBY	\N	\N
2061189	6985	1997-12-31	VYDAJ	VYBER	15	84889	SLUZBY	\N	\N
2061190	6985	1998-01-31	VYDAJ	VYBER	15	107180	SLUZBY	\N	\N
2061191	6985	1998-02-28	VYDAJ	VYBER	15	109395	SLUZBY	\N	\N
2061192	6985	1998-03-31	VYDAJ	VYBER	15	82384	SLUZBY	\N	\N
2061193	6985	1998-04-30	VYDAJ	VYBER	15	70129	SLUZBY	\N	\N
2061194	6985	1998-05-31	VYDAJ	VYBER	15	59084	SLUZBY	\N	\N
2061195	6985	1998-06-30	VYDAJ	VYBER	15	23892	SLUZBY	\N	\N
2061196	6985	1998-07-31	VYDAJ	VYBER	15	8078	SLUZBY	\N	\N
2061197	6985	1998-08-31	VYDAJ	VYBER	15	64117	SLUZBY	\N	\N
2061198	6985	1998-09-30	VYDAJ	VYBER	15	35085	SLUZBY	\N	\N
2061199	6985	1998-10-31	VYDAJ	VYBER	15	62041	SLUZBY	\N	\N
2061200	6985	1998-11-30	VYDAJ	VYBER	15	37548	SLUZBY	\N	\N
2061201	6985	1995-08-26	PRIJEM	VKLAD	3200	16606	\N	\N	\N
2061202	6985	1995-09-25	PRIJEM	VKLAD	2100	18719	\N	\N	\N
2061203	6985	1995-10-25	VYDAJ	VYBER	28000	56172	\N	\N	\N
2061204	6985	1995-11-24	VYDAJ	VYBER	41300	61415	\N	\N	\N
2061205	6985	1995-12-24	VYDAJ	VYBER	14000	40381	\N	\N	\N
2061206	6985	1996-01-23	VYDAJ	VYBER	14500	36314	\N	\N	\N
2061207	6985	1996-02-21	VYDAJ	VYBER	64100	53731	\N	\N	\N
2061208	6985	1996-02-22	VYDAJ	VYBER	18100	35631	\N	\N	\N
2061209	6985	1996-03-23	VYDAJ	VYBER	17600	40110	\N	\N	\N
2061210	6985	1996-04-22	VYDAJ	VYBER	24600	47301	\N	\N	\N
2061211	6985	1996-05-22	VYDAJ	VYBER	33600	58726	\N	\N	\N
2061212	6985	1996-06-21	VYDAJ	VYBER	10500	32894	\N	\N	\N
2061213	6985	1996-07-21	VYDAJ	VYBER	5200	37396	\N	\N	\N
2061214	6985	1996-08-20	VYDAJ	VYBER	19300	45511	\N	\N	\N
2061215	6985	1996-08-24	VYDAJ	VYBER	32900	103259	\N	\N	\N
2061216	6985	1996-08-30	VYDAJ	VYBER	21700	113782	\N	\N	\N
2061217	6985	1996-08-31	VYDAJ	VYBER	55700	58381	\N	\N	\N
2061218	6985	1996-09-19	VYDAJ	VYBER	4500	38012	\N	\N	\N
2061219	6985	1996-10-19	PRIJEM	VKLAD	3800	24035	\N	\N	\N
2061220	6985	1996-11-18	VYDAJ	VYBER	900	34060	\N	\N	\N
2061221	6985	1996-12-18	VYDAJ	VYBER	9600	44465	\N	\N	\N
2061222	6985	1997-01-17	VYDAJ	VYBER	24300	54841	\N	\N	\N
2061223	6985	1997-01-23	VYDAJ	VYBER	56600	54571	\N	\N	\N
2061224	6985	1997-02-16	VYDAJ	VYBER	8300	43300	\N	\N	\N
2061225	6985	1997-03-18	VYDAJ	VYBER	18900	54332	\N	\N	\N
2061226	6985	1997-04-17	VYDAJ	VYBER	24500	61469	\N	\N	\N
2061227	6985	1997-04-29	VYDAJ	VYBER	17900	102801	\N	\N	\N
2061228	6985	1997-05-06	VYDAJ	VYBER	53600	76815	\N	\N	\N
2061229	6985	1997-05-17	VYDAJ	VYBER	30900	69813	\N	\N	\N
2061230	6985	1997-06-16	VYDAJ	VYBER	10600	43678	\N	\N	\N
2061231	6985	1997-07-16	PRIJEM	VKLAD	4400	32437	\N	\N	\N
2061232	6985	1997-08-15	VYDAJ	VYBER	33600	69481	\N	\N	\N
2061233	6985	1997-08-25	VYDAJ	VYBER	41500	67451	\N	\N	\N
2061234	6985	1997-09-14	VYDAJ	VYBER	18600	54050	\N	\N	\N
2061235	6985	1997-10-14	VYDAJ	VYBER	4900	33491	\N	\N	\N
2061236	6985	1997-11-13	VYDAJ	VYBER	4600	35203	\N	\N	\N
2061237	6985	1997-12-13	VYDAJ	VYBER	2000	39597	\N	\N	\N
2061238	6985	1998-01-01	VYDAJ	VYBER	26100	98799	\N	\N	\N
2061239	6985	1998-01-12	VYDAJ	VYBER	18000	55944	\N	\N	\N
2061240	6985	1998-02-11	VYDAJ	VYBER	26100	67913	\N	\N	\N
2061241	6985	1998-03-13	VYDAJ	VYBER	29600	63940	\N	\N	\N
2061242	6985	1998-04-12	VYDAJ	VYBER	18800	47729	\N	\N	\N
2061243	6985	1998-05-12	VYDAJ	VYBER	33400	67201	\N	\N	\N
2061244	6985	1998-06-11	PRIJEM	VKLAD	4300	26468	\N	\N	\N
2061245	6985	1998-08-10	PRIJEM	VKLAD	10800	18878	\N	\N	\N
2061246	6985	1998-09-03	VYDAJ	VYBER	24300	115897	\N	\N	\N
2061247	6985	1998-09-07	VYDAJ	VYBER	51200	93452	\N	\N	\N
2061248	6985	1998-09-09	VYDAJ	VYBER	25900	54385	\N	\N	\N
2061249	6985	1998-10-09	VYDAJ	VYBER	15400	47571	\N	\N	\N
2061250	6985	1998-11-08	VYDAJ	VYBER	4000	40074	\N	\N	\N
2061251	6985	1998-12-08	PRIJEM	VKLAD	5500	29881	\N	\N	\N
2068771	7011	1993-10-08	PRIJEM	VKLAD	200	200	\N	\N	\N
2068776	7011	1993-10-27	PRIJEM	VKLAD	41347	41547	\N	\N	\N
2068778	7011	1993-11-26	PRIJEM	VKLAD	27775	94759	\N	\N	\N
2068782	7011	1993-12-10	PRIJEM	VKLAD	36877	92006	\N	\N	\N
2068783	7011	1993-11-30	PRIJEM	VKLAD	37077	131836	\N	\N	\N
2068789	7011	1993-11-25	PRIJEM	VKLAD	29993	66984	\N	\N	\N
2068791	7011	1993-11-01	PRIJEM	VKLAD	7416	48991	\N	\N	\N
2068792	7011	1994-08-02	PRIJEM	VKLAD	27196	35505	\N	\N	\N
2068793	7011	1994-12-17	PRIJEM	VKLAD	49120	98612	\N	\N	\N
2068794	7011	1994-10-17	PRIJEM	VKLAD	48431	79078	\N	\N	\N
2068795	7011	1994-11-07	PRIJEM	VKLAD	37675	101787	\N	\N	\N
2068796	7011	1994-11-05	PRIJEM	VKLAD	12338	64112	\N	\N	\N
2068797	7011	1994-09-01	PRIJEM	VKLAD	45001	74113	\N	\N	\N
2068798	7011	1994-05-20	PRIJEM	VKLAD	7711	54751	\N	\N	\N
2068799	7011	1994-04-26	PRIJEM	VKLAD	43369	68074	\N	\N	\N
2068800	7011	1994-09-22	PRIJEM	VKLAD	38134	54582	\N	\N	\N
2068801	7011	1994-11-02	PRIJEM	VKLAD	48163	127474	\N	\N	\N
2068802	7011	1994-05-02	PRIJEM	VKLAD	45185	113362	\N	\N	\N
2068803	7011	1995-08-14	PRIJEM	VKLAD	26422	59812	\N	\N	\N
2068804	7011	1995-11-07	PRIJEM	VKLAD	27599	70490	\N	\N	\N
2068805	7011	1995-05-29	PRIJEM	VKLAD	49931	82053	\N	\N	\N
2068806	7011	1995-02-16	PRIJEM	VKLAD	19118	38866	\N	\N	\N
2068807	7011	1996-11-04	PRIJEM	VKLAD	24038	74473	\N	\N	\N
2068808	7011	1996-03-05	PRIJEM	VKLAD	7516	45158	\N	\N	\N
2068809	7011	1996-08-15	PRIJEM	VKLAD	5345	42187	\N	\N	\N
2068810	7011	1996-06-28	PRIJEM	VKLAD	22028	59489	\N	\N	\N
2068811	7011	1996-04-26	PRIJEM	VKLAD	25674	69376	\N	\N	\N
2068812	7011	1996-06-03	PRIJEM	VKLAD	22461	71461	\N	\N	\N
2068813	7011	1996-09-15	PRIJEM	VKLAD	6826	42283	\N	\N	\N
2068814	7011	1996-01-27	PRIJEM	VKLAD	8158	30792	\N	\N	\N
2068815	7011	1997-06-29	PRIJEM	VKLAD	44339	96733	\N	\N	\N
2068816	7011	1997-04-24	PRIJEM	VKLAD	18611	48300	\N	\N	\N
2068817	7011	1997-06-13	PRIJEM	VKLAD	34439	55094	\N	\N	\N
2068818	7011	1997-12-30	PRIJEM	VKLAD	40806	75237	\N	\N	\N
2068819	7011	1997-05-06	PRIJEM	VKLAD	20821	105008	\N	\N	\N
2068820	7011	1997-08-01	PRIJEM	VKLAD	22853	96320	\N	\N	\N
2068821	7011	1997-05-05	PRIJEM	VKLAD	35753	84187	\N	\N	\N
2068822	7011	1998-12-25	PRIJEM	VKLAD	11443	63051	\N	\N	\N
2068823	7011	1998-10-19	PRIJEM	VKLAD	38477	98565	\N	\N	\N
2068824	7011	1998-08-30	PRIJEM	VKLAD	7841	97314	\N	\N	\N
2068825	7011	1998-07-13	PRIJEM	VKLAD	34122	134554	\N	\N	\N
2068826	7011	1998-11-23	PRIJEM	VKLAD	41174	104018	\N	\N	\N
2068827	7011	1998-08-17	PRIJEM	VKLAD	41900	105079	\N	\N	\N
2068828	7011	1998-08-06	PRIJEM	VKLAD	46250	122258	\N	\N	\N
2068829	7011	1998-05-24	PRIJEM	VKLAD	43226	72367	\N	\N	\N
2068830	7011	1998-08-09	PRIJEM	VKLAD	18921	90379	\N	\N	\N
2068831	7011	1998-07-03	PRIJEM	VKLAD	28874	116909	\N	\N	\N
2068832	7011	1998-02-20	PRIJEM	VKLAD	39278	137949	\N	\N	\N
2068833	7011	1998-02-04	PRIJEM	VKLAD	27807	85358	\N	\N	\N
2068834	7011	1998-07-05	PRIJEM	VKLAD	36112	153021	\N	\N	\N
2068835	7011	1998-01-28	PRIJEM	VKLAD	12254	60054	\N	\N	\N
2068836	7011	1998-01-26	PRIJEM	VKLAD	12611	47800	\N	\N	\N
2068837	7011	1998-09-20	PRIJEM	VKLAD	39039	88857	\N	\N	\N
2068838	7011	1998-05-29	PRIJEM	VKLAD	13317	85684	\N	\N	\N
2068839	7011	1998-06-30	PRIJEM	VKLAD	42159	87803	\N	\N	\N
2068840	7011	1998-10-26	PRIJEM	VKLAD	12326	97091	\N	\N	\N
2068841	7011	1998-02-16	PRIJEM	VKLAD	41612	98671	\N	\N	\N
2068852	7011	1994-11-29	VYBER	VYBER	3900	97887	\N	\N	\N
2068853	7011	1994-12-30	VYBER	VYBER	9771	58815	\N	\N	\N
2068854	7011	1994-06-09	VYBER	VYBER	5657	14611	\N	\N	\N
2068855	7011	1994-12-29	VYBER	VYBER	19526	68586	\N	\N	\N
2068856	7011	1994-01-08	VYBER	VYBER	15973	37146	\N	\N	\N
2068857	7011	1994-09-09	VYBER	VYBER	13065	36848	\N	\N	\N
2068858	7011	1994-05-09	VYBER	VYBER	7022	47040	\N	\N	\N
2068859	7011	1995-03-29	VYBER	VYBER	12057	27679	\N	\N	\N
2068860	7011	1995-11-13	VYBER	VYBER	19408	51082	\N	\N	\N
2068861	7011	1995-01-07	VYBER	VYBER	7162	37062	\N	\N	\N
2068862	7011	1996-05-17	VYBER	VYBER	5288	64240	\N	\N	\N
2068863	7011	1996-11-22	VYBER	VYBER	22456	38317	\N	\N	\N
2068864	7011	1996-07-06	VYBER	VYBER	18091	41526	\N	\N	\N
2068865	7011	1997-05-11	VYBER	VYBER	9975	95033	\N	\N	\N
2068866	7011	1997-04-18	VYBER	VYBER	18971	7989	\N	\N	\N
2068867	7011	1997-08-14	VYBER	VYBER	18428	77892	\N	\N	\N
2068868	7011	1997-12-18	VYBER	VYBER	4494	37731	\N	\N	\N
2068869	7011	1998-04-30	VYBER	VYBER	12079	24121	\N	\N	\N
2068870	7011	1998-07-08	VYBER	VYBER	14089	100432	\N	\N	\N
2068871	7011	1998-09-14	VYBER	VYBER	7334	59418	\N	\N	\N
2068872	7011	1998-04-22	VYBER	VYBER	10521	35981	\N	\N	\N
2068873	7011	1998-05-09	VYBER	VYBER	5466	18641	\N	\N	\N
2068874	7011	1998-02-13	VYBER	VYBER	12899	72459	\N	\N	\N
2068875	7011	1998-08-21	VYBER	VYBER	15606	89473	\N	\N	\N
2068876	7011	1998-06-04	VYBER	VYBER	2784	72244	\N	\N	\N
2068877	7011	1998-11-24	VYBER	VYBER	24179	79839	\N	\N	\N
2068879	7011	1994-06-01	VYDAJ	VYBER	39900	15068	\N	\N	\N
2068880	7011	1995-06-16	VYDAJ	VYBER	29100	26575	\N	\N	\N
2068881	7011	1996-06-08	VYDAJ	VYBER	45600	25861	\N	\N	\N
2068882	7011	1997-06-02	VYDAJ	VYBER	53400	20655	\N	\N	\N
2068883	7011	1998-06-15	VYDAJ	VYBER	13200	45644	\N	\N	\N
2068885	7011	1994-01-16	VYDAJ	VYBER	13500	5346	\N	\N	\N
2068886	7011	1995-01-01	VYDAJ	VYBER	5400	53724	\N	\N	\N
2068887	7011	1996-01-07	VYDAJ	VYBER	27300	3534	\N	\N	\N
2068888	7011	1997-01-23	VYDAJ	VYBER	15000	14540	\N	\N	\N
2068889	7011	1998-01-11	VYDAJ	VYBER	15600	52589	\N	\N	\N
2068890	7011	1993-12-26	VYDAJ	VYBER	4800	87206	\N	\N	\N
2068891	7011	1994-12-07	VYDAJ	VYBER	8400	55492	\N	\N	\N
2068892	7011	1995-12-11	VYDAJ	VYBER	3000	42461	\N	\N	\N
2068893	7011	1996-12-22	VYDAJ	VYBER	3600	38097	\N	\N	\N
2068894	7011	1997-12-27	VYDAJ	VYBER	3300	34431	\N	\N	\N
2068895	7011	1998-12-13	VYDAJ	VYBER	1800	51608	\N	\N	\N
2068902	7011	1994-01-01	VYDAJ	VYBER	3000	84619	\N	\N	\N
2068904	7011	1994-01-19	VYDAJ	VYBER	3000	-3354	\N	\N	\N
2068905	7011	1994-01-16	VYDAJ	VYBER	5700	-354	\N	\N	\N
2068907	7011	1994-01-14	VYDAJ	VYBER	6900	18846	\N	\N	\N
2068908	7011	1995-01-14	VYDAJ	VYBER	2400	19962	\N	\N	\N
2068909	7011	1995-01-11	VYDAJ	VYBER	6000	31062	\N	\N	\N
2068910	7011	1995-01-22	VYDAJ	VYBER	8400	10062	\N	\N	\N
2068911	7011	1995-01-25	VYDAJ	VYBER	1500	8562	\N	\N	\N
2068912	7011	1995-01-15	VYDAJ	VYBER	1500	18462	\N	\N	\N
2068913	7011	1995-01-13	VYDAJ	VYBER	8700	22362	\N	\N	\N
2068914	7011	1996-01-29	VYDAJ	VYBER	1800	28992	\N	\N	\N
2068916	7011	1996-01-23	VYDAJ	VYBER	3900	-366	\N	\N	\N
2068918	7011	1996-01-03	VYDAJ	VYBER	5100	39234	\N	\N	\N
2068919	7011	1996-01-04	VYDAJ	VYBER	8400	30834	\N	\N	\N
2068920	7011	1997-01-03	VYDAJ	VYBER	8700	29540	\N	\N	\N
2068921	7011	1997-01-25	VYDAJ	VYBER	1500	13040	\N	\N	\N
2068922	7011	1997-01-16	VYDAJ	VYBER	3300	16340	\N	\N	\N
2068923	7011	1997-01-06	VYDAJ	VYBER	2700	19640	\N	\N	\N
2068924	7011	1997-01-19	VYDAJ	VYBER	6600	9740	\N	\N	\N
2068925	7011	1997-01-03	VYDAJ	VYBER	7200	22340	\N	\N	\N
2068926	7011	1998-01-08	VYDAJ	VYBER	4800	68189	\N	\N	\N
2068927	7011	1998-01-29	VYDAJ	VYBER	2700	57354	\N	\N	\N
2068928	7011	1998-01-11	VYDAJ	VYBER	6600	45989	\N	\N	\N
2068929	7011	1998-01-14	VYDAJ	VYBER	7800	29489	\N	\N	\N
2068930	7011	1998-01-13	VYDAJ	VYBER	8700	37289	\N	\N	\N
2068931	7011	1998-01-06	VYDAJ	VYBER	2400	72989	\N	\N	\N
2068935	7011	1994-10-08	VYDAJ	VYBER	9000	30647	\N	\N	\N
2068936	7011	1994-12-15	VYDAJ	VYBER	6000	49492	\N	\N	\N
2068937	7011	1994-06-29	VYDAJ	VYBER	2700	11911	\N	\N	\N
2068938	7011	1994-09-21	VYDAJ	VYBER	6600	16448	\N	\N	\N
2068939	7011	1994-01-08	VYDAJ	VYBER	11400	25746	\N	\N	\N
2068940	7011	1994-08-10	VYDAJ	VYBER	2400	29005	\N	\N	\N
2068941	7011	1994-09-20	VYDAJ	VYBER	13800	23048	\N	\N	\N
2068942	7011	1994-08-02	VYDAJ	VYBER	1800	33705	\N	\N	\N
2068943	7011	1994-07-14	VYDAJ	VYBER	10800	8282	\N	\N	\N
2068944	7011	1994-12-20	VYDAJ	VYBER	10500	88112	\N	\N	\N
2068945	7011	1995-08-23	VYDAJ	VYBER	5100	54712	\N	\N	\N
2068946	7011	1995-05-31	VYDAJ	VYBER	5400	76789	\N	\N	\N
2068947	7011	1995-11-25	VYDAJ	VYBER	3000	48082	\N	\N	\N
2068948	7011	1995-04-20	VYDAJ	VYBER	5100	27721	\N	\N	\N
2068949	7011	1995-09-11	VYDAJ	VYBER	4200	41958	\N	\N	\N
2068950	7011	1996-06-15	VYDAJ	VYBER	4800	21061	\N	\N	\N
2068951	7011	1996-05-30	VYDAJ	VYBER	9000	48740	\N	\N	\N
2068952	7011	1996-03-29	VYDAJ	VYBER	13800	34458	\N	\N	\N
2068953	7011	1996-08-08	VYDAJ	VYBER	8100	36842	\N	\N	\N
2068954	7011	1996-10-13	VYDAJ	VYBER	2700	42956	\N	\N	\N
2068955	7011	1996-09-06	VYDAJ	VYBER	11400	35457	\N	\N	\N
2068956	7011	1997-02-09	VYDAJ	VYBER	3900	9207	\N	\N	\N
2068957	7011	1997-02-11	VYDAJ	VYBER	1800	7407	\N	\N	\N
2068958	7011	1997-11-12	VYDAJ	VYBER	11700	27480	\N	\N	\N
2068959	7011	1997-10-26	VYDAJ	VYBER	13500	38986	\N	\N	\N
2068960	7011	1997-05-28	VYDAJ	VYBER	1800	73733	\N	\N	\N
2068961	7011	1997-08-19	VYDAJ	VYBER	7500	59192	\N	\N	\N
2068962	7011	1997-04-14	VYDAJ	VYBER	9300	26960	\N	\N	\N
2068963	7011	1998-08-08	VYDAJ	VYBER	14700	71458	\N	\N	\N
2068964	7011	1998-10-24	VYDAJ	VYBER	13800	84765	\N	\N	\N
2068965	7011	1998-03-06	VYDAJ	VYBER	11100	83198	\N	\N	\N
2068966	7011	1998-09-22	VYDAJ	VYBER	4200	84657	\N	\N	\N
2068967	7011	1998-06-03	VYDAJ	VYBER	10800	75028	\N	\N	\N
2068968	7011	1998-09-16	VYDAJ	VYBER	9600	49818	\N	\N	\N
2068980	7011	1993-11-30	VYDAJ	VYBER	15	132029	SLUZBY	\N	\N
2068981	7011	1993-12-31	VYDAJ	VYBER	15	87619	SLUZBY	\N	\N
2068982	7011	1994-01-31	VYDAJ	VYBER	15	-3270	SLUZBY	\N	\N
2068983	7011	1994-02-28	VYDAJ	VYBER	15	11203	SLUZBY	\N	\N
2068984	7011	1994-03-31	VYDAJ	VYBER	15	20505	SLUZBY	\N	\N
2068985	7011	1994-04-30	VYDAJ	VYBER	15	68177	SLUZBY	\N	\N
2068986	7011	1994-05-31	VYDAJ	VYBER	15	54968	SLUZBY	\N	\N
2068987	7011	1994-06-30	VYDAJ	VYBER	15	11982	SLUZBY	\N	\N
2068988	7011	1994-07-31	VYDAJ	VYBER	15	8309	SLUZBY	\N	\N
2068989	7011	1994-08-31	VYDAJ	VYBER	15	29112	SLUZBY	\N	\N
2068990	7011	1994-09-30	VYDAJ	VYBER	15	54747	SLUZBY	\N	\N
2068991	7011	1994-10-31	VYDAJ	VYBER	15	79311	SLUZBY	\N	\N
2068992	7011	1994-11-30	VYDAJ	VYBER	15	98292	SLUZBY	\N	\N
2068993	7011	1994-12-31	VYDAJ	VYBER	15	59124	SLUZBY	\N	\N
2068994	7011	1995-01-31	VYDAJ	VYBER	15	19748	SLUZBY	\N	\N
2068995	7011	1995-02-28	VYDAJ	VYBER	15	38936	SLUZBY	\N	\N
2068996	7011	1995-03-31	VYDAJ	VYBER	15	27821	SLUZBY	\N	\N
2068997	7011	1995-04-30	VYDAJ	VYBER	15	27822	SLUZBY	\N	\N
2068998	7011	1995-05-31	VYDAJ	VYBER	15	76775	SLUZBY	\N	\N
2068999	7011	1995-06-30	VYDAJ	VYBER	15	31773	SLUZBY	\N	\N
2069000	7011	1995-07-31	VYDAJ	VYBER	15	33390	SLUZBY	\N	\N
2069001	7011	1995-08-31	VYDAJ	VYBER	15	46158	SLUZBY	\N	\N
2069002	7011	1995-09-30	VYDAJ	VYBER	15	41833	SLUZBY	\N	\N
2069003	7011	1995-10-31	VYDAJ	VYBER	15	42891	SLUZBY	\N	\N
2069004	7011	1995-11-30	VYDAJ	VYBER	15	45461	SLUZBY	\N	\N
2069005	7011	1995-12-31	VYDAJ	VYBER	15	44334	SLUZBY	\N	\N
2069006	7011	1996-01-31	VYDAJ	VYBER	15	29036	SLUZBY	\N	\N
2069007	7011	1996-02-29	VYDAJ	VYBER	15	37642	SLUZBY	\N	\N
2069008	7011	1996-03-31	VYDAJ	VYBER	15	34602	SLUZBY	\N	\N
2069009	7011	1996-04-30	VYDAJ	VYBER	15	69528	SLUZBY	\N	\N
2069010	7011	1996-05-31	VYDAJ	VYBER	15	49000	SLUZBY	\N	\N
2069011	7011	1996-06-30	VYDAJ	VYBER	15	59617	SLUZBY	\N	\N
2069012	7011	1996-07-31	VYDAJ	VYBER	15	44942	SLUZBY	\N	\N
2069013	7011	1996-08-31	VYDAJ	VYBER	15	46857	SLUZBY	\N	\N
2069014	7011	1996-09-30	VYDAJ	VYBER	15	45656	SLUZBY	\N	\N
2069015	7011	1996-10-31	VYDAJ	VYBER	15	50435	SLUZBY	\N	\N
2069016	7011	1996-11-30	VYDAJ	VYBER	15	38497	SLUZBY	\N	\N
2069017	7011	1996-12-31	VYDAJ	VYBER	15	38240	SLUZBY	\N	\N
2069018	7011	1997-01-31	VYDAJ	VYBER	15	13107	SLUZBY	\N	\N
2069019	7011	1997-02-28	VYDAJ	VYBER	15	27960	SLUZBY	\N	\N
2069020	7011	1997-03-31	VYDAJ	VYBER	15	36260	SLUZBY	\N	\N
2069021	7011	1997-04-30	VYDAJ	VYBER	15	48434	SLUZBY	\N	\N
2069022	7011	1997-05-31	VYDAJ	VYBER	15	74055	SLUZBY	\N	\N
2069023	7011	1997-06-30	VYDAJ	VYBER	15	96984	SLUZBY	\N	\N
2069024	7011	1997-07-31	VYDAJ	VYBER	15	73467	SLUZBY	\N	\N
2069025	7011	1997-08-31	VYDAJ	VYBER	15	59457	SLUZBY	\N	\N
2069026	7011	1997-09-30	VYDAJ	VYBER	15	53886	SLUZBY	\N	\N
2069027	7011	1997-10-31	VYDAJ	VYBER	15	39180	SLUZBY	\N	\N
2069028	7011	1997-11-30	VYDAJ	VYBER	15	39325	SLUZBY	\N	\N
2069029	7011	1997-12-31	VYDAJ	VYBER	15	75389	SLUZBY	\N	\N
2069030	7011	1998-01-31	VYDAJ	VYBER	15	57551	SLUZBY	\N	\N
2069031	7011	1998-02-28	VYDAJ	VYBER	15	94298	SLUZBY	\N	\N
2069032	7011	1998-03-31	VYDAJ	VYBER	15	62002	SLUZBY	\N	\N
2069033	7011	1998-04-30	VYDAJ	VYBER	15	24107	SLUZBY	\N	\N
2069034	7011	1998-05-31	VYDAJ	VYBER	15	85828	SLUZBY	\N	\N
2069035	7011	1998-06-30	VYDAJ	VYBER	15	88035	SLUZBY	\N	\N
2069036	7011	1998-07-31	VYDAJ	VYBER	15	76008	SLUZBY	\N	\N
2069037	7011	1998-08-31	VYDAJ	VYBER	15	97652	SLUZBY	\N	\N
2069038	7011	1998-09-30	VYDAJ	VYBER	15	84988	SLUZBY	\N	\N
2069039	7011	1998-10-31	VYDAJ	VYBER	15	97444	SLUZBY	\N	\N
2069040	7011	1998-11-30	VYDAJ	VYBER	15	80208	SLUZBY	\N	\N
2069041	7011	1993-11-07	VYDAJ	VYBER	12000	36991	\N	\N	\N
2069042	7011	1993-11-30	VYDAJ	VYBER	50000	82029	\N	\N	\N
2069043	7011	1993-12-07	VYDAJ	VYBER	26900	55129	\N	\N	\N
2069044	7011	1994-01-06	VYDAJ	VYBER	31500	53119	\N	\N	\N
2069045	7011	1994-02-05	PRIJEM	VKLAD	14500	11216	\N	\N	\N
2069046	7011	1994-03-07	PRIJEM	VKLAD	9300	20471	\N	\N	\N
2069047	7011	1994-04-06	PRIJEM	VKLAD	4200	24705	\N	\N	\N
2069048	7011	1994-05-02	VYDAJ	VYBER	33800	79562	\N	\N	\N
2069049	7011	1994-05-06	VYDAJ	VYBER	25500	54062	\N	\N	\N
2069050	7011	1994-06-05	PRIJEM	VKLAD	5200	20268	\N	\N	\N
2069051	7011	1994-07-05	PRIJEM	VKLAD	7100	19082	\N	\N	\N
2069052	7011	1994-08-04	VYDAJ	VYBER	2300	31405	\N	\N	\N
2069053	7011	1994-09-03	VYDAJ	VYBER	24200	49913	\N	\N	\N
2069054	7011	1994-10-03	VYDAJ	VYBER	15100	39647	\N	\N	\N
2069055	7011	1994-11-02	VYDAJ	VYBER	56000	71474	\N	\N	\N
2069056	7011	1994-11-02	VYDAJ	VYBER	19700	51774	\N	\N	\N
2069057	7011	1994-12-02	VYDAJ	VYBER	34400	63892	\N	\N	\N
2069058	7011	1995-01-01	VYDAJ	VYBER	9500	44224	\N	\N	\N
2069059	7011	1995-01-31	PRIJEM	VKLAD	11100	19762	\N	\N	\N
2069060	7011	1995-03-02	PRIJEM	VKLAD	800	39736	\N	\N	\N
2069061	7011	1995-04-01	PRIJEM	VKLAD	5000	32821	\N	\N	\N
2069062	7011	1995-05-01	PRIJEM	VKLAD	4300	32122	\N	\N	\N
2069063	7011	1995-05-31	VYDAJ	VYBER	21100	55675	\N	\N	\N
2069064	7011	1995-06-30	PRIJEM	VKLAD	4900	31475	\N	\N	\N
2069065	7011	1995-07-30	PRIJEM	VKLAD	1500	33273	\N	\N	\N
2069066	7011	1995-08-29	VYDAJ	VYBER	8700	46012	\N	\N	\N
2069067	7011	1995-09-28	VYDAJ	VYBER	300	41658	\N	\N	\N
2069068	7011	1995-10-28	PRIJEM	VKLAD	900	42733	\N	\N	\N
2069069	7011	1995-11-27	VYDAJ	VYBER	2800	45282	\N	\N	\N
2069070	7011	1995-12-27	PRIJEM	VKLAD	1700	44161	\N	\N	\N
2069071	7011	1996-01-26	PRIJEM	VKLAD	23000	22634	\N	\N	\N
2069072	7011	1996-02-25	PRIJEM	VKLAD	8500	37536	\N	\N	\N
2069073	7011	1996-03-26	PRIJEM	VKLAD	3100	48258	\N	\N	\N
2069074	7011	1996-04-25	PRIJEM	VKLAD	9100	43702	\N	\N	\N
2069075	7011	1996-05-25	VYDAJ	VYBER	6500	57740	\N	\N	\N
2069076	7011	1996-06-24	PRIJEM	VKLAD	16400	37461	\N	\N	\N
2069077	7011	1996-07-24	PRIJEM	VKLAD	3200	44726	\N	\N	\N
2069078	7011	1996-08-23	PRIJEM	VKLAD	4500	46687	\N	\N	\N
2069079	7011	1996-09-22	PRIJEM	VKLAD	3200	45483	\N	\N	\N
2069080	7011	1996-10-22	PRIJEM	VKLAD	7300	50256	\N	\N	\N
2069081	7011	1996-11-21	VYDAJ	VYBER	13700	60773	\N	\N	\N
2069082	7011	1996-12-21	PRIJEM	VKLAD	3200	41697	\N	\N	\N
2069083	7011	1997-01-20	PRIJEM	VKLAD	19800	29540	\N	\N	\N
2069084	7011	1997-02-19	PRIJEM	VKLAD	20500	27907	\N	\N	\N
2069085	7011	1997-03-21	PRIJEM	VKLAD	8200	36160	\N	\N	\N
2069086	7011	1997-04-20	PRIJEM	VKLAD	21700	29689	\N	\N	\N
2069087	7011	1997-05-20	VYDAJ	VYBER	19500	75533	\N	\N	\N
2069088	7011	1997-06-19	VYDAJ	VYBER	2700	52394	\N	\N	\N
2069089	7011	1997-07-19	VYDAJ	VYBER	23900	73084	\N	\N	\N
2069090	7011	1997-08-18	VYDAJ	VYBER	11200	66692	\N	\N	\N
2069091	7011	1997-09-17	VYDAJ	VYBER	5800	53657	\N	\N	\N
2069092	7011	1997-10-17	VYDAJ	VYBER	1400	52486	\N	\N	\N
2069093	7011	1997-11-16	PRIJEM	VKLAD	11700	39180	\N	\N	\N
2069094	7011	1997-12-16	PRIJEM	VKLAD	2900	42225	\N	\N	\N
2069095	7011	1998-01-15	PRIJEM	VKLAD	5700	35189	\N	\N	\N
2069096	7011	1998-02-14	VYDAJ	VYBER	15400	57059	\N	\N	\N
2069097	7011	1998-02-20	VYDAJ	VYBER	44000	93949	\N	\N	\N
2069098	7011	1998-03-16	VYDAJ	VYBER	21500	61698	\N	\N	\N
2069099	7011	1998-04-15	VYDAJ	VYBER	15500	46502	\N	\N	\N
2069100	7011	1998-05-15	PRIJEM	VKLAD	10500	29141	\N	\N	\N
2069101	7011	1998-06-14	VYDAJ	VYBER	13400	58844	\N	\N	\N
2069102	7011	1998-07-05	VYDAJ	VYBER	38500	114521	\N	\N	\N
2069103	7011	1998-07-13	VYDAJ	VYBER	32600	101954	\N	\N	\N
2069104	7011	1998-07-14	VYDAJ	VYBER	26300	75654	\N	\N	\N
2069105	7011	1998-08-06	VYDAJ	VYBER	36100	86158	\N	\N	\N
2069106	7011	1998-08-13	VYDAJ	VYBER	27200	63179	\N	\N	\N
2069107	7011	1998-09-12	VYDAJ	VYBER	30900	66752	\N	\N	\N
2069108	7011	1998-10-12	VYDAJ	VYBER	24900	60088	\N	\N	\N
2069109	7011	1998-11-11	VYDAJ	VYBER	34600	62844	\N	\N	\N
2069110	7011	1998-12-11	VYDAJ	VYBER	26800	53408	\N	\N	\N
2074981	7033	1996-07-03	PRIJEM	VKLAD	500	500	\N	\N	\N
2074988	7033	1996-07-11	PRIJEM	VKLAD	4101	4601	\N	\N	\N
2074989	7033	1996-08-11	PRIJEM	VKLAD	4101	16715	\N	\N	\N
2074990	7033	1996-09-11	PRIJEM	VKLAD	4101	25269	\N	\N	\N
2074991	7033	1996-10-11	PRIJEM	VKLAD	4101	29764	\N	\N	\N
2074992	7033	1996-11-11	PRIJEM	VKLAD	4101	32983	\N	\N	\N
2074993	7033	1996-12-11	PRIJEM	VKLAD	6152	32640	\N	\N	\N
2074994	7033	1997-01-11	PRIJEM	VKLAD	4101	18436	\N	\N	\N
2074995	7033	1997-02-11	PRIJEM	VKLAD	4101	18987	\N	\N	\N
2074996	7033	1997-03-11	PRIJEM	VKLAD	4101	27037	\N	\N	\N
2074997	7033	1997-04-11	PRIJEM	VKLAD	4101	29620	\N	\N	\N
2074998	7033	1997-05-11	PRIJEM	VKLAD	4101	28615	\N	\N	\N
2074999	7033	1997-06-11	PRIJEM	VKLAD	6152	29856	\N	\N	\N
2075000	7033	1997-07-11	PRIJEM	VKLAD	4101	29661	\N	\N	\N
2075001	7033	1997-08-11	PRIJEM	VKLAD	4101	30954	\N	\N	\N
2075002	7033	1997-09-11	PRIJEM	VKLAD	4101	28152	\N	\N	\N
2075003	7033	1997-10-11	PRIJEM	VKLAD	4101	19434	\N	\N	\N
2075004	7033	1997-11-11	PRIJEM	VKLAD	4101	17994	\N	\N	\N
2075005	7033	1997-12-11	PRIJEM	VKLAD	6152	11982	\N	\N	\N
2075006	7033	1998-01-11	PRIJEM	VKLAD	4101	4599	\N	\N	\N
2075007	7033	1998-02-11	PRIJEM	VKLAD	4101	10602	\N	\N	\N
2075008	7033	1998-03-11	PRIJEM	VKLAD	4101	9414	\N	\N	\N
2075009	7033	1998-04-11	PRIJEM	VKLAD	4101	6620	\N	\N	\N
2075010	7033	1998-05-11	PRIJEM	VKLAD	4101	5215	\N	\N	\N
2075011	7033	1998-06-11	PRIJEM	VKLAD	6152	6456	\N	\N	\N
2075012	7033	1998-07-11	PRIJEM	VKLAD	4101	3040	\N	\N	\N
2075013	7033	1998-08-11	PRIJEM	VKLAD	4101	2217	\N	\N	\N
2075014	7033	1998-09-11	PRIJEM	VKLAD	4101	781	\N	\N	\N
2075015	7033	1998-10-11	PRIJEM	VKLAD	4101	-3065	\N	\N	\N
2075016	7033	1998-11-11	PRIJEM	VKLAD	4101	-5846	\N	\N	\N
2075017	7033	1998-12-11	PRIJEM	VKLAD	6152	-2590	\N	\N	\N
2075019	7033	1997-06-05	VYDAJ	VYBER	3300	23704	\N	\N	\N
2075022	7033	1997-01-04	VYDAJ	VYBER	4900	16635	\N	\N	\N
2075023	7033	1998-01-07	VYDAJ	VYBER	1500	1698	\N	\N	\N
2075024	7033	1996-12-30	VYDAJ	VYBER	700	31940	\N	\N	\N
2075025	7033	1997-12-12	VYDAJ	VYBER	2900	9082	\N	\N	\N
2075033	7033	1997-01-06	VYDAJ	VYBER	2300	14335	\N	\N	\N
2075034	7033	1997-01-16	VYDAJ	VYBER	2200	13736	\N	\N	\N
2075035	7033	1997-01-24	VYDAJ	VYBER	500	13236	\N	\N	\N
2075036	7033	1997-01-26	VYDAJ	VYBER	1500	11736	\N	\N	\N
2075037	7033	1997-01-14	VYDAJ	VYBER	2500	15936	\N	\N	\N
2075038	7033	1997-01-01	VYDAJ	VYBER	2000	21535	\N	\N	\N
2075039	7033	1998-01-10	VYDAJ	VYBER	1200	498	\N	\N	\N
2075040	7033	1998-01-11	VYDAJ	VYBER	1100	3499	\N	\N	\N
2075041	7033	1998-01-01	VYDAJ	VYBER	1800	5198	\N	\N	\N
2075042	7033	1998-01-17	VYDAJ	VYBER	1100	1699	\N	\N	\N
2075043	7033	1998-01-05	VYDAJ	VYBER	2000	3198	\N	\N	\N
2075044	7033	1998-01-16	VYDAJ	VYBER	700	2799	\N	\N	\N
2075045	7033	1996-11-22	VYDAJ	VYBER	3900	29083	\N	\N	\N
2075047	7033	1997-10-01	VYDAJ	VYBER	1900	15333	\N	\N	\N
2075048	7033	1997-04-04	VYDAJ	VYBER	2400	25519	\N	\N	\N
2075049	7033	1997-08-22	VYDAJ	VYBER	1500	27254	\N	\N	\N
2075050	7033	1997-08-17	VYDAJ	VYBER	2200	28754	\N	\N	\N
2075051	7033	1997-04-11	VYDAJ	VYBER	4100	25520	\N	\N	\N
2075052	7033	1997-11-22	VYDAJ	VYBER	4300	13694	\N	\N	\N
2075054	7033	1998-08-11	VYDAJ	VYBER	3400	-1183	\N	\N	\N
2075056	7033	1998-07-16	VYDAJ	VYBER	1800	1240	\N	\N	\N
2075069	7033	1996-11-30	VYDAJ	VYBER	15	26488	SLUZBY	\N	\N
2075070	7033	1996-12-31	VYDAJ	VYBER	15	23535	SLUZBY	\N	\N
2075071	7033	1997-01-31	VYDAJ	VYBER	15	14886	SLUZBY	\N	\N
2075072	7033	1997-02-28	VYDAJ	VYBER	15	22936	SLUZBY	\N	\N
2075073	7033	1997-03-31	VYDAJ	VYBER	15	27919	SLUZBY	\N	\N
2075074	7033	1997-04-30	VYDAJ	VYBER	15	24514	SLUZBY	\N	\N
2075075	7033	1997-05-31	VYDAJ	VYBER	15	27004	SLUZBY	\N	\N
2075076	7033	1997-06-30	VYDAJ	VYBER	15	25560	SLUZBY	\N	\N
2075077	7033	1997-07-31	VYDAJ	VYBER	15	26853	SLUZBY	\N	\N
2075078	7033	1997-08-31	VYDAJ	VYBER	15	24051	SLUZBY	\N	\N
2075079	7033	1997-09-30	VYDAJ	VYBER	15	17233	SLUZBY	\N	\N
2075080	7033	1997-10-31	VYDAJ	VYBER	15	13893	SLUZBY	\N	\N
2075081	7033	1997-11-30	VYDAJ	VYBER	15	5830	SLUZBY	\N	\N
2075082	7033	1997-12-31	VYDAJ	VYBER	15	6998	SLUZBY	\N	\N
2075083	7033	1998-01-31	VYDAJ	VYBER	15	6501	SLUZBY	\N	\N
2075084	7033	1998-02-28	VYDAJ	VYBER	15	5313	SLUZBY	\N	\N
2075085	7033	1998-03-31	VYDAJ	VYBER	15	2519	SLUZBY	\N	\N
2075086	7033	1998-04-30	VYDAJ	VYBER	15	1114	SLUZBY	\N	\N
2075087	7033	1998-05-31	VYDAJ	VYBER	15	304	SLUZBY	\N	\N
2075088	7033	1998-06-30	VYDAJ	VYBER	15	-1061	SLUZBY	\N	\N
2075089	7033	1998-07-31	VYDAJ	VYBER	15	-1884	SLUZBY	\N	\N
2075090	7033	1998-08-31	VYDAJ	VYBER	15	-3320	SLUZBY	\N	\N
2075094	7033	1996-08-02	PRIJEM	VKLAD	8000	12614	\N	\N	\N
2075095	7033	1996-09-01	PRIJEM	VKLAD	4400	21168	\N	\N	\N
2075096	7033	1996-10-01	PRIJEM	VKLAD	300	25663	\N	\N	\N
2075097	7033	1996-10-31	VYDAJ	VYBER	1000	28882	\N	\N	\N
2075098	7033	1996-11-30	VYDAJ	VYBER	2700	26503	\N	\N	\N
2075099	7033	1996-12-30	VYDAJ	VYBER	8500	23440	\N	\N	\N
2075100	7033	1997-01-29	PRIJEM	VKLAD	3100	14836	\N	\N	\N
2075101	7033	1997-02-28	PRIJEM	VKLAD	3900	22887	\N	\N	\N
2075102	7033	1997-03-30	PRIJEM	VKLAD	800	27837	\N	\N	\N
2075103	7033	1997-04-29	VYDAJ	VYBER	1100	24420	\N	\N	\N
2075104	7033	1997-05-29	VYDAJ	VYBER	1700	26915	\N	\N	\N
2075105	7033	1997-06-28	VYDAJ	VYBER	4400	25456	\N	\N	\N
2075106	7033	1997-07-28	VYDAJ	VYBER	2900	26761	\N	\N	\N
2075107	7033	1997-08-27	VYDAJ	VYBER	3300	23954	\N	\N	\N
2075108	7033	1997-09-26	VYDAJ	VYBER	11000	17152	\N	\N	\N
2075109	7033	1997-10-26	VYDAJ	VYBER	5600	13834	\N	\N	\N
2075110	7033	1997-11-25	VYDAJ	VYBER	7900	5794	\N	\N	\N
2075111	7033	1997-12-25	VYDAJ	VYBER	2100	6982	\N	\N	\N
2075112	7033	1998-01-24	PRIJEM	VKLAD	4800	6499	\N	\N	\N
2075113	7033	1998-02-23	VYDAJ	VYBER	5300	5302	\N	\N	\N
2075114	7033	1998-03-25	VYDAJ	VYBER	6900	2514	\N	\N	\N
2075115	7033	1998-04-24	VYDAJ	VYBER	5500	1120	\N	\N	\N
2075116	7033	1998-05-24	VYDAJ	VYBER	4900	315	\N	\N	\N
2075117	7033	1998-06-23	VYDAJ	VYBER	7500	-1044	\N	\N	\N
2075118	7033	1998-07-23	VYDAJ	VYBER	3100	-1860	\N	\N	\N
2075119	7033	1998-08-22	VYDAJ	VYBER	2100	-3283	\N	\N	\N
2075120	7033	1998-09-21	VYDAJ	VYBER	7900	-7119	\N	\N	\N
2075121	7033	1998-10-21	VYDAJ	VYBER	6800	-9865	\N	\N	\N
2075122	7033	1998-11-20	VYDAJ	VYBER	2800	-8646	\N	\N	\N
2078073	7045	1996-12-26	PRIJEM	VKLAD	400	400	\N	\N	\N
2078086	7045	1997-01-07	PRIJEM	PREVOD Z UCTU	36092	36492	\N	AB	17507797
2078087	7045	1997-02-07	PRIJEM	PREVOD Z UCTU	36092	69215	\N	AB	17507797
2078088	7045	1997-03-07	PRIJEM	PREVOD Z UCTU	36092	81154	\N	AB	17507797
2078089	7045	1997-04-07	PRIJEM	PREVOD Z UCTU	36092	88339	\N	AB	17507797
2078090	7045	1997-05-07	PRIJEM	PREVOD Z UCTU	36092	87648	\N	AB	17507797
2078091	7045	1997-06-07	PRIJEM	PREVOD Z UCTU	54138	102188	\N	AB	17507797
2078092	7045	1997-07-07	PRIJEM	PREVOD Z UCTU	36092	87208	\N	AB	17507797
2078093	7045	1997-08-07	PRIJEM	PREVOD Z UCTU	36092	91885	\N	AB	17507797
2078094	7045	1997-09-07	PRIJEM	PREVOD Z UCTU	36092	93926	\N	AB	17507797
2078095	7045	1997-10-07	PRIJEM	PREVOD Z UCTU	36092	80113	\N	AB	17507797
2078096	7045	1997-11-07	PRIJEM	PREVOD Z UCTU	36092	89044	\N	AB	17507797
2078097	7045	1997-12-07	PRIJEM	PREVOD Z UCTU	54138	101678	\N	AB	17507797
2078098	7045	1998-01-07	PRIJEM	PREVOD Z UCTU	36092	88972	\N	AB	17507797
2078099	7045	1998-02-07	PRIJEM	PREVOD Z UCTU	36092	68002	\N	AB	17507797
2078100	7045	1998-03-07	PRIJEM	PREVOD Z UCTU	36092	85254	\N	AB	17507797
2078101	7045	1998-04-07	PRIJEM	PREVOD Z UCTU	36092	93368	\N	AB	17507797
2078102	7045	1998-05-07	PRIJEM	PREVOD Z UCTU	36092	88005	\N	AB	17507797
2078103	7045	1998-06-07	PRIJEM	PREVOD Z UCTU	54138	95559	\N	AB	17507797
2078104	7045	1998-07-07	PRIJEM	PREVOD Z UCTU	36092	91829	\N	AB	17507797
2078105	7045	1998-08-07	PRIJEM	PREVOD Z UCTU	36092	93354	\N	AB	17507797
2078106	7045	1998-09-07	PRIJEM	PREVOD Z UCTU	36092	70058	\N	AB	17507797
2078107	7045	1998-10-07	PRIJEM	PREVOD Z UCTU	36092	74692	\N	AB	17507797
2078108	7045	1998-11-07	PRIJEM	PREVOD Z UCTU	36092	82149	\N	AB	17507797
2078109	7045	1998-12-07	PRIJEM	PREVOD Z UCTU	54138	104827	\N	AB	17507797
2078126	7045	1997-04-26	VYDAJ	VYBER	6000	51339	\N	\N	0
2078127	7045	1997-06-19	VYDAJ	VYBER	5500	87088	\N	\N	0
2078128	7045	1997-07-12	VYDAJ	PREVOD NA UCET	6015	78727	UVER	MN	36153978
2078129	7045	1997-08-12	VYDAJ	PREVOD NA UCET	6015	85869	UVER	MN	36153978
2078130	7045	1997-09-12	VYDAJ	PREVOD NA UCET	6015	73873	UVER	MN	36153978
2078131	7045	1997-10-12	VYDAJ	PREVOD NA UCET	6015	74097	UVER	MN	36153978
2078132	7045	1997-11-12	VYDAJ	PREVOD NA UCET	6015	65791	UVER	MN	36153978
2078133	7045	1997-12-12	VYDAJ	PREVOD NA UCET	6015	95662	UVER	MN	36153978
2078134	7045	1998-01-12	VYDAJ	PREVOD NA UCET	6015	75456	UVER	MN	36153978
2078135	7045	1998-02-12	VYDAJ	PREVOD NA UCET	6015	61987	UVER	MN	36153978
2078136	7045	1998-03-12	VYDAJ	PREVOD NA UCET	6015	79238	UVER	MN	36153978
2078137	7045	1998-04-12	VYDAJ	PREVOD NA UCET	6015	87353	UVER	MN	36153978
2078138	7045	1998-05-12	VYDAJ	PREVOD NA UCET	6015	81990	UVER	MN	36153978
2078139	7045	1998-06-12	VYDAJ	PREVOD NA UCET	6015	89544	UVER	MN	36153978
2078140	7045	1998-07-12	VYDAJ	PREVOD NA UCET	6015	85814	UVER	MN	36153978
2078141	7045	1998-08-12	VYDAJ	PREVOD NA UCET	6015	87338	UVER	MN	36153978
2078142	7045	1998-09-12	VYDAJ	PREVOD NA UCET	6015	64043	UVER	MN	36153978
2078143	7045	1998-10-12	VYDAJ	PREVOD NA UCET	6015	68677	UVER	MN	36153978
2078144	7045	1998-11-12	VYDAJ	PREVOD NA UCET	6015	76134	UVER	MN	36153978
2078145	7045	1998-12-12	VYDAJ	PREVOD NA UCET	6015	98811	UVER	MN	36153978
2078160	7045	1997-11-07	VYBER	VYBER	17237	71807	\N	\N	\N
2078163	7045	1997-07-08	VYBER	VYBER	2466	84742	\N	\N	\N
2078164	7045	1997-09-11	VYBER	VYBER	14038	79888	\N	\N	\N
2078165	7045	1998-09-25	VYBER	VYBER	3537	38406	\N	\N	\N
2078166	7045	1998-08-16	VYBER	VYBER	19060	68278	\N	\N	\N
2078167	7045	1998-12-16	VYBER	VYBER	12481	83030	\N	\N	\N
2078168	7045	1998-06-15	VYBER	VYBER	5224	73820	\N	\N	\N
2078169	7045	1998-09-02	VYBER	VYBER	5039	44166	\N	\N	\N
2078170	7045	1998-11-27	VYBER	VYBER	2952	50482	\N	\N	\N
2078171	7045	1998-04-15	VYBER	VYBER	14878	72475	\N	\N	\N
2078172	7045	1998-05-26	VYBER	VYBER	19101	41189	\N	\N	\N
2078174	7045	1997-06-24	VYDAJ	VYBER	12000	75088	\N	\N	\N
2078175	7045	1998-06-14	VYDAJ	VYBER	10500	79044	\N	\N	\N
2078178	7045	1998-01-01	VYDAJ	VYBER	9900	60680	\N	\N	\N
2078180	7045	1997-12-06	VYDAJ	VYBER	6600	47540	\N	\N	\N
2078181	7045	1998-12-13	VYDAJ	VYBER KARTOU	3300	95511	\N	\N	0
2078194	7045	1998-01-12	VYDAJ	VYBER	1800	81472	\N	\N	\N
2078195	7045	1998-01-04	VYDAJ	VYBER	7800	52880	\N	\N	\N
2078196	7045	1998-01-09	VYDAJ	VYBER	5700	83272	\N	\N	\N
2078197	7045	1998-01-30	VYDAJ	VYBER	8100	40056	\N	\N	\N
2078198	7045	1998-01-19	VYDAJ	VYBER	4500	70956	\N	\N	\N
2078199	7045	1998-01-21	VYDAJ	VYBER	5100	48156	\N	\N	\N
2078206	7045	1997-05-30	VYDAJ	VYBER	3000	52648	\N	\N	\N
2078207	7045	1997-06-17	VYDAJ	VYBER	9600	92588	\N	\N	\N
2078208	7045	1997-10-05	VYDAJ	VYBER	11100	44021	\N	\N	\N
2078209	7045	1997-06-01	VYDAJ	VYBER	4800	48050	\N	\N	\N
2078211	7045	1998-07-19	VYDAJ	VYBER	4800	57014	\N	\N	\N
2078212	7045	1998-09-02	VYDAJ	VYBER	10200	33966	\N	\N	\N
2078213	7045	1998-12-30	VYDAJ	VYBER	10200	47030	\N	\N	\N
2078214	7045	1998-01-31	VYDAJ	VYBER	8400	31925	\N	\N	\N
2078232	7045	1997-05-31	VYDAJ	VYBER	15	52850	SLUZBY	\N	\N
2078233	7045	1997-06-30	VYDAJ	VYBER	15	51116	SLUZBY	\N	\N
2078234	7045	1997-07-31	VYDAJ	VYBER	15	55793	SLUZBY	\N	\N
2078235	7045	1997-08-31	VYDAJ	VYBER	15	57834	SLUZBY	\N	\N
2078236	7045	1997-09-30	VYDAJ	VYBER	15	55121	SLUZBY	\N	\N
2078237	7045	1997-10-31	VYDAJ	VYBER	15	52952	SLUZBY	\N	\N
2078238	7045	1997-11-30	VYDAJ	VYBER	15	54140	SLUZBY	\N	\N
2078239	7045	1997-12-31	VYDAJ	VYBER	15	70580	SLUZBY	\N	\N
2078240	7045	1998-01-31	VYDAJ	VYBER	15	31910	SLUZBY	\N	\N
2078241	7045	1998-02-28	VYDAJ	VYBER	15	49162	SLUZBY	\N	\N
2078242	7045	1998-03-31	VYDAJ	VYBER	15	57276	SLUZBY	\N	\N
2078243	7045	1998-04-30	VYDAJ	VYBER	15	51913	SLUZBY	\N	\N
2078244	7045	1998-05-31	VYDAJ	VYBER	15	41421	SLUZBY	\N	\N
2078245	7045	1998-06-30	VYDAJ	VYBER	15	55737	SLUZBY	\N	\N
2078246	7045	1998-07-31	VYDAJ	VYBER	15	57262	SLUZBY	\N	\N
2078247	7045	1998-08-31	VYDAJ	VYBER	15	49205	SLUZBY	\N	\N
2078248	7045	1998-09-30	VYDAJ	VYBER	15	38600	SLUZBY	\N	\N
2078249	7045	1998-10-31	VYDAJ	VYBER	15	46057	SLUZBY	\N	\N
2078250	7045	1998-11-30	VYDAJ	VYBER	15	50689	SLUZBY	\N	\N
2078251	7045	1997-01-25	VYDAJ	VYBER	3400	33092	\N	\N	\N
2078252	7045	1997-02-24	VYDAJ	VYBER	24300	44915	\N	\N	\N
2078253	7045	1997-03-26	VYDAJ	VYBER	29100	52054	\N	\N	\N
2078254	7045	1997-04-25	VYDAJ	VYBER	31000	57339	\N	\N	\N
2078255	7045	1997-05-25	VYDAJ	VYBER	32000	55648	\N	\N	\N
2078256	7045	1997-06-24	VYDAJ	VYBER	24300	50788	\N	\N	\N
2078257	7045	1997-07-24	VYDAJ	VYBER	23200	55527	\N	\N	\N
2078258	7045	1997-08-23	VYDAJ	VYBER	28300	57569	\N	\N	\N
2078259	7045	1997-09-22	VYDAJ	VYBER	19000	54873	\N	\N	\N
2078260	7045	1997-10-22	VYDAJ	VYBER	21400	52697	\N	\N	\N
2078261	7045	1997-11-21	VYDAJ	VYBER	11900	53891	\N	\N	\N
2078262	7045	1997-12-21	VYDAJ	VYBER	25400	70262	\N	\N	\N
2078263	7045	1998-01-20	VYDAJ	VYBER	17700	53256	\N	\N	\N
2078264	7045	1998-02-19	VYDAJ	VYBER	13000	48987	\N	\N	\N
2078265	7045	1998-03-21	VYDAJ	VYBER	22200	57038	\N	\N	\N
2078266	7045	1998-04-20	VYDAJ	VYBER	20800	51675	\N	\N	\N
2078267	7045	1998-05-20	VYDAJ	VYBER	21700	60290	\N	\N	\N
2078268	7045	1998-06-19	VYDAJ	VYBER	18300	55520	\N	\N	\N
2078269	7045	1998-07-19	VYDAJ	VYBER	24000	61814	\N	\N	\N
2078270	7045	1998-08-18	VYDAJ	VYBER	19300	48978	\N	\N	\N
2078271	7045	1998-09-17	VYDAJ	VYBER	22100	41943	\N	\N	\N
2078272	7045	1998-10-17	VYDAJ	VYBER	22800	45877	\N	\N	\N
2078273	7045	1998-11-16	VYDAJ	VYBER	22700	53434	\N	\N	\N
2078274	7045	1998-12-16	VYDAJ	VYBER	25800	57230	\N	\N	\N
2079494	7049	1997-10-12	PRIJEM	VKLAD	600	600	\N	\N	\N
2079505	7049	1997-11-05	PRIJEM	PREVOD Z UCTU	49519	50119	\N	UV	84626191
2079506	7049	1997-12-05	PRIJEM	PREVOD Z UCTU	74278	109695	\N	UV	84626191
2079507	7049	1998-01-05	PRIJEM	PREVOD Z UCTU	49519	84674	\N	UV	84626191
2079508	7049	1998-02-05	PRIJEM	PREVOD Z UCTU	49519	100686	\N	UV	84626191
2079509	7049	1998-03-05	PRIJEM	PREVOD Z UCTU	49519	111650	\N	UV	84626191
2079510	7049	1998-04-05	PRIJEM	PREVOD Z UCTU	49519	62531	\N	UV	84626191
2079511	7049	1998-05-05	PRIJEM	PREVOD Z UCTU	49519	67136	\N	UV	84626191
2079512	7049	1998-06-05	PRIJEM	PREVOD Z UCTU	74278	108631	\N	UV	84626191
2079513	7049	1998-07-05	PRIJEM	PREVOD Z UCTU	49519	80985	\N	UV	84626191
2079514	7049	1998-08-05	PRIJEM	PREVOD Z UCTU	49519	91348	\N	UV	84626191
2079515	7049	1998-09-05	PRIJEM	PREVOD Z UCTU	49519	107630	\N	UV	84626191
2079516	7049	1998-10-05	PRIJEM	PREVOD Z UCTU	49519	96193	\N	UV	84626191
2079517	7049	1998-11-05	PRIJEM	PREVOD Z UCTU	49519	103882	\N	UV	84626191
2079518	7049	1998-12-05	PRIJEM	PREVOD Z UCTU	74278	126715	\N	UV	84626191
2079533	7049	1998-03-17	VYDAJ	VYBER	9400	12850	\N	\N	0
2079534	7049	1998-04-10	VYDAJ	VYBER	5300	34631	\N	\N	0
2079535	7049	1998-04-23	VYDAJ	VYBER	7800	17531	\N	\N	0
2079536	7049	1998-06-12	VYDAJ	PREVOD NA UCET	8253	45678	UVER	GH	52499610
2079537	7049	1998-07-12	VYDAJ	PREVOD NA UCET	8253	41648	UVER	GH	52499610
2079538	7049	1998-08-12	VYDAJ	PREVOD NA UCET	8253	57895	UVER	GH	52499610
2079539	7049	1998-09-12	VYDAJ	PREVOD NA UCET	8253	46477	UVER	GH	52499610
2079540	7049	1998-10-12	VYDAJ	PREVOD NA UCET	8253	61640	UVER	GH	52499610
2079541	7049	1998-11-12	VYDAJ	PREVOD NA UCET	8253	66228	UVER	GH	52499610
2079542	7049	1998-12-12	VYDAJ	PREVOD NA UCET	8253	44062	UVER	GH	52499610
2079544	7049	1998-11-20	VYBER	VYBER	14030	52198	\N	\N	\N
2079545	7049	1998-12-12	VYBER	VYBER	17100	52315	\N	\N	\N
2079547	7049	1998-07-02	VYBER	VYBER	14398	31466	\N	\N	\N
2079548	7049	1998-07-07	VYBER	VYBER	18184	62801	\N	\N	\N
2079552	7049	1998-12-30	VYDAJ	VYBER	5400	38662	\N	\N	\N
2079571	7049	1998-05-16	VYDAJ	VYBER	11700	34236	\N	\N	\N
2079572	7049	1998-03-16	VYDAJ	VYBER	13500	22250	\N	\N	\N
2079573	7049	1998-04-19	VYDAJ	VYBER	9300	25331	\N	\N	\N
2079574	7049	1998-10-19	VYDAJ	VYBER	7500	54140	\N	\N	\N
2079590	7049	1998-03-31	VYDAJ	VYBER	15	13012	SLUZBY	\N	\N
2079591	7049	1998-04-30	VYDAJ	VYBER	15	17617	SLUZBY	\N	\N
2079592	7049	1998-05-31	VYDAJ	VYBER	15	34353	SLUZBY	\N	\N
2079593	7049	1998-06-30	VYDAJ	VYBER	15	45864	SLUZBY	\N	\N
2079594	7049	1998-07-31	VYDAJ	VYBER	15	41829	SLUZBY	\N	\N
2079595	7049	1998-08-31	VYDAJ	VYBER	15	58111	SLUZBY	\N	\N
2079596	7049	1998-09-30	VYDAJ	VYBER	15	46674	SLUZBY	\N	\N
2079597	7049	1998-10-31	VYDAJ	VYBER	15	54363	SLUZBY	\N	\N
2079598	7049	1998-11-30	VYDAJ	VYBER	15	52437	SLUZBY	\N	\N
2079599	7049	1997-11-11	VYDAJ	VYBER	14800	35319	\N	\N	\N
2079600	7049	1997-12-05	VYDAJ	VYBER	57300	52395	\N	\N	\N
2079601	7049	1997-12-11	VYDAJ	VYBER	17400	34995	\N	\N	\N
2079602	7049	1998-01-10	VYDAJ	VYBER	33700	50974	\N	\N	\N
2079603	7049	1998-02-09	VYDAJ	VYBER	38800	61886	\N	\N	\N
2079604	7049	1998-03-05	VYDAJ	VYBER	58700	52950	\N	\N	\N
2079605	7049	1998-03-11	VYDAJ	VYBER	17200	35750	\N	\N	\N
2079606	7049	1998-04-10	VYDAJ	VYBER	22600	39931	\N	\N	\N
2079607	7049	1998-05-10	VYDAJ	VYBER	21200	45936	\N	\N	\N
2079608	7049	1998-06-05	VYDAJ	VYBER	38700	69931	\N	\N	\N
2079609	7049	1998-06-09	VYDAJ	VYBER	16000	53931	\N	\N	\N
2079610	7049	1998-07-09	VYDAJ	VYBER	12900	49901	\N	\N	\N
2079611	7049	1998-08-08	VYDAJ	VYBER	25200	66148	\N	\N	\N
2079612	7049	1998-09-05	VYDAJ	VYBER	40100	67530	\N	\N	\N
2079613	7049	1998-09-07	VYDAJ	VYBER	12800	54730	\N	\N	\N
2079614	7049	1998-10-07	VYDAJ	VYBER	26300	69893	\N	\N	\N
2079615	7049	1998-11-06	VYDAJ	VYBER	29400	74482	\N	\N	\N
2079616	7049	1998-12-05	VYDAJ	VYBER	39700	87015	\N	\N	\N
2079617	7049	1998-12-06	VYDAJ	VYBER	17600	69415	\N	\N	\N
2080018	7052	1997-07-17	PRIJEM	VKLAD	300	300	\N	\N	\N
2080026	7052	1997-08-05	PRIJEM	PREVOD Z UCTU	10660	10960	\N	IJ	13141370
2080027	7052	1997-09-05	PRIJEM	PREVOD Z UCTU	10660	24750	\N	IJ	13141370
2080028	7052	1997-10-05	PRIJEM	PREVOD Z UCTU	10660	32787	\N	IJ	13141370
2080029	7052	1997-11-05	PRIJEM	PREVOD Z UCTU	10660	39053	\N	IJ	13141370
2080030	7052	1997-12-05	PRIJEM	PREVOD Z UCTU	15990	48470	\N	IJ	13141370
2080031	7052	1998-01-05	PRIJEM	PREVOD Z UCTU	10660	30098	\N	IJ	13141370
2080032	7052	1998-02-05	PRIJEM	PREVOD Z UCTU	10660	9146	\N	IJ	13141370
2080033	7052	1998-03-05	PRIJEM	PREVOD Z UCTU	10660	24135	\N	IJ	13141370
2080034	7052	1998-04-05	PRIJEM	PREVOD Z UCTU	10660	34601	\N	IJ	13141370
2080035	7052	1998-05-05	PRIJEM	PREVOD Z UCTU	10660	23580	\N	IJ	13141370
2080036	7052	1998-06-05	PRIJEM	PREVOD Z UCTU	15990	36966	\N	IJ	13141370
2080037	7052	1998-07-05	PRIJEM	PREVOD Z UCTU	10660	18664	\N	IJ	13141370
2080038	7052	1998-08-05	PRIJEM	PREVOD Z UCTU	10660	37952	\N	IJ	13141370
2080039	7052	1998-09-05	PRIJEM	PREVOD Z UCTU	10660	32684	\N	IJ	13141370
2080040	7052	1998-10-05	PRIJEM	PREVOD Z UCTU	10660	8968	\N	IJ	13141370
2080041	7052	1998-11-05	PRIJEM	PREVOD Z UCTU	10660	33131	\N	IJ	13141370
2080042	7052	1998-12-05	PRIJEM	PREVOD Z UCTU	15990	26959	\N	IJ	13141370
2080054	7052	1997-12-12	VYDAJ	PREVOD NA UCET	1777	46694	UVER	AB	10413468
2080055	7052	1998-01-12	VYDAJ	PREVOD NA UCET	1777	24422	UVER	AB	10413468
2080057	7052	1998-03-12	VYDAJ	PREVOD NA UCET	1777	22359	UVER	AB	10413468
2080058	7052	1998-04-12	VYDAJ	PREVOD NA UCET	1777	21642	UVER	AB	10413468
2080059	7052	1998-05-12	VYDAJ	PREVOD NA UCET	1777	7403	UVER	AB	10413468
2080060	7052	1998-06-12	VYDAJ	PREVOD NA UCET	1777	33649	UVER	AB	10413468
2080061	7052	1998-07-12	VYDAJ	PREVOD NA UCET	1777	27288	UVER	AB	10413468
2080062	7052	1998-08-12	VYDAJ	PREVOD NA UCET	1777	31294	UVER	AB	10413468
2089153	7082	1997-09-01	VYDAJ	VYBER	300	22381	\N	\N	\N
2080063	7052	1998-09-12	VYDAJ	PREVOD NA UCET	1777	34107	UVER	AB	10413468
2080064	7052	1998-10-12	VYDAJ	PREVOD NA UCET	1777	22491	UVER	AB	10413468
2080065	7052	1998-11-12	VYDAJ	PREVOD NA UCET	1777	13396	UVER	AB	10413468
2080066	7052	1998-12-12	VYDAJ	PREVOD NA UCET	1777	30682	UVER	AB	10413468
2080075	7052	1998-04-06	VYBER	VYBER	11183	23418	\N	\N	\N
2080077	7052	1998-11-11	VYBER	VYBER	21558	15173	\N	\N	\N
2080078	7052	1998-10-03	VYBER	VYBER	14632	-1692	\N	\N	\N
2080079	7052	1998-06-22	VYBER	VYBER	2640	16405	\N	\N	\N
2080080	7052	1998-08-05	VYBER	VYBER	14281	23671	\N	\N	\N
2080082	7052	1998-06-13	VYBER	VYBER	2604	31045	\N	\N	\N
2080083	7052	1998-06-06	VYBER	VYBER	3840	33126	\N	\N	\N
2080084	7052	1998-09-15	VYBER	VYBER	21148	12959	\N	\N	\N
2080088	7052	1998-01-19	VYDAJ	VYBER	17100	2122	\N	\N	\N
2080089	7052	1997-12-21	VYDAJ	VYBER	8100	31694	\N	\N	\N
2080090	7052	1998-12-06	VYDAJ	VYBER	5700	21259	\N	\N	\N
2080097	7052	1998-01-04	VYDAJ	VYBER	4200	19438	\N	\N	\N
2080098	7052	1998-01-14	VYDAJ	VYBER	8400	21322	\N	\N	\N
2080099	7052	1998-01-11	VYDAJ	VYBER	3900	26198	\N	\N	\N
2080100	7052	1998-01-19	VYDAJ	VYBER	2100	19222	\N	\N	\N
2080101	7052	1998-01-04	VYDAJ	VYBER	2400	23638	\N	\N	\N
2080102	7052	1998-01-01	VYDAJ	VYBER	5700	26038	\N	\N	\N
2080107	7052	1998-01-21	VYDAJ	VYBER	3600	-1479	\N	\N	\N
2080108	7052	1998-04-17	VYDAJ	VYBER	12300	12942	\N	\N	\N
2080109	7052	1998-05-09	VYDAJ	VYBER	14400	9180	\N	\N	\N
2080110	7052	1998-06-18	VYDAJ	VYBER	12000	19045	\N	\N	\N
2080111	7052	1998-07-04	VYDAJ	VYBER	8400	8004	\N	\N	\N
2080112	7052	1998-03-12	VYDAJ	VYBER	3900	18459	\N	\N	\N
2080113	7052	1998-12-04	VYDAJ	VYBER	2400	10969	\N	\N	\N
2080114	7052	1998-08-29	VYDAJ	VYBER	9300	21994	\N	\N	\N
2080115	7052	1998-02-11	VYDAJ	VYBER	7500	1646	\N	\N	\N
2080128	7052	1997-12-31	VYDAJ	VYBER	100	31738	SLUZBY	\N	\N
2080129	7052	1998-01-31	VYDAJ	VYBER	100	-1514	SLUZBY	\N	\N
2080130	7052	1998-02-28	VYDAJ	VYBER	100	13481	SLUZBY	\N	\N
2080131	7052	1998-03-31	VYDAJ	VYBER	100	23941	SLUZBY	\N	\N
2080132	7052	1998-04-30	VYDAJ	VYBER	100	12920	SLUZBY	\N	\N
2080133	7052	1998-05-31	VYDAJ	VYBER	100	20976	SLUZBY	\N	\N
2080134	7052	1998-06-30	VYDAJ	VYBER	100	16404	SLUZBY	\N	\N
2080135	7052	1998-07-31	VYDAJ	VYBER	100	27292	SLUZBY	\N	\N
2080136	7052	1998-08-31	VYDAJ	VYBER	100	22024	SLUZBY	\N	\N
2080137	7052	1998-09-30	VYDAJ	VYBER	100	12940	SLUZBY	\N	\N
2080138	7052	1998-10-31	VYDAJ	VYBER	100	22471	SLUZBY	\N	\N
2080139	7052	1998-11-30	VYDAJ	VYBER	100	13369	SLUZBY	\N	\N
2080140	7052	1997-08-16	PRIJEM	VKLAD	3100	14060	\N	\N	\N
2080141	7052	1997-09-15	VYDAJ	VYBER	2700	22050	\N	\N	\N
2080142	7052	1997-10-15	VYDAJ	VYBER	4500	28287	\N	\N	\N
2080143	7052	1997-11-14	VYDAJ	VYBER	6700	32353	\N	\N	\N
2080144	7052	1997-12-14	VYDAJ	VYBER	6900	39794	\N	\N	\N
2080145	7052	1998-01-13	PRIJEM	VKLAD	5300	29722	\N	\N	\N
2080146	7052	1998-02-12	PRIJEM	VKLAD	11900	13546	\N	\N	\N
2080147	7052	1998-03-14	PRIJEM	VKLAD	5500	23959	\N	\N	\N
2080148	7052	1998-04-13	PRIJEM	VKLAD	3600	25242	\N	\N	\N
2080149	7052	1998-05-13	PRIJEM	VKLAD	13600	21003	\N	\N	\N
2080150	7052	1998-06-12	PRIJEM	VKLAD	2300	35426	\N	\N	\N
2080151	7052	1998-07-12	PRIJEM	VKLAD	10400	29064	\N	\N	\N
2080152	7052	1998-08-11	PRIJEM	VKLAD	9400	33071	\N	\N	\N
2080153	7052	1998-09-10	PRIJEM	VKLAD	3200	35884	\N	\N	\N
2080154	7052	1998-10-10	PRIJEM	VKLAD	15300	24268	\N	\N	\N
2080155	7052	1998-11-09	PRIJEM	VKLAD	3600	36731	\N	\N	\N
2080156	7052	1998-12-09	PRIJEM	VKLAD	11200	32459	\N	\N	\N
2088852	7082	1996-09-06	PRIJEM	VKLAD	900	900	\N	\N	\N
2088862	7082	1996-10-05	PRIJEM	VKLAD	11761	12661	\N	\N	\N
2088863	7082	1996-11-05	PRIJEM	VKLAD	11761	30387	\N	\N	\N
2088864	7082	1996-12-05	PRIJEM	VKLAD	17642	48106	\N	\N	\N
2088865	7082	1997-01-05	PRIJEM	VKLAD	11761	42412	\N	\N	\N
2088866	7082	1997-02-05	PRIJEM	VKLAD	11761	45247	\N	\N	\N
2088867	7082	1997-03-05	PRIJEM	VKLAD	11761	46612	\N	\N	\N
2088868	7082	1997-04-05	PRIJEM	VKLAD	11761	35245	\N	\N	\N
2088869	7082	1997-05-05	PRIJEM	VKLAD	11761	35964	\N	\N	\N
2088870	7082	1997-06-05	PRIJEM	VKLAD	17642	37260	\N	\N	\N
2088871	7082	1997-07-05	PRIJEM	VKLAD	11761	33240	\N	\N	\N
2088872	7082	1997-08-05	PRIJEM	VKLAD	11761	30439	\N	\N	\N
2088873	7082	1997-09-05	PRIJEM	VKLAD	11761	34142	\N	\N	\N
2088874	7082	1997-10-05	PRIJEM	VKLAD	11761	33655	\N	\N	\N
2088875	7082	1997-11-05	PRIJEM	VKLAD	11761	29863	\N	\N	\N
2088876	7082	1997-12-05	PRIJEM	VKLAD	17642	37768	\N	\N	\N
2088877	7082	1998-01-05	PRIJEM	VKLAD	11761	36004	\N	\N	\N
2088878	7082	1998-02-05	PRIJEM	VKLAD	11761	30933	\N	\N	\N
2088879	7082	1998-03-05	PRIJEM	VKLAD	11761	33684	\N	\N	\N
2088880	7082	1998-04-05	PRIJEM	VKLAD	11761	30384	\N	\N	\N
2088881	7082	1998-05-05	PRIJEM	VKLAD	11761	29331	\N	\N	\N
2088882	7082	1998-06-05	PRIJEM	VKLAD	17642	41057	\N	\N	\N
2088883	7082	1998-07-05	PRIJEM	VKLAD	11761	32717	\N	\N	\N
2088884	7082	1998-08-05	PRIJEM	VKLAD	11761	30272	\N	\N	\N
2088885	7082	1998-09-05	PRIJEM	VKLAD	11761	34220	\N	\N	\N
2088886	7082	1998-10-05	PRIJEM	VKLAD	11761	39286	\N	\N	\N
2088887	7082	1998-11-05	PRIJEM	VKLAD	11761	39969	\N	\N	\N
2088888	7082	1998-12-05	PRIJEM	VKLAD	17642	41597	\N	\N	\N
2088902	7082	1997-02-11	VYDAJ	PREVOD NA UCET	6359	37407	SIPO	CD	91626292
2088903	7082	1997-03-11	VYDAJ	PREVOD NA UCET	6359	29572	SIPO	CD	91626292
2088904	7082	1997-04-11	VYDAJ	PREVOD NA UCET	6359	27405	SIPO	CD	91626292
2088905	7082	1997-05-11	VYDAJ	PREVOD NA UCET	6359	24724	SIPO	CD	91626292
2088906	7082	1997-06-11	VYDAJ	PREVOD NA UCET	6359	29420	SIPO	CD	91626292
2088907	7082	1997-07-11	VYDAJ	PREVOD NA UCET	6359	21700	SIPO	CD	91626292
2088908	7082	1997-08-11	VYDAJ	PREVOD NA UCET	6359	22599	SIPO	CD	91626292
2088909	7082	1997-09-11	VYDAJ	PREVOD NA UCET	6359	26302	SIPO	CD	91626292
2088910	7082	1997-10-11	VYDAJ	PREVOD NA UCET	6359	25815	SIPO	CD	91626292
2088911	7082	1997-11-11	VYDAJ	PREVOD NA UCET	6359	15763	SIPO	CD	91626292
2088912	7082	1997-12-11	VYDAJ	PREVOD NA UCET	6359	29928	SIPO	CD	91626292
2088913	7082	1998-01-11	VYDAJ	PREVOD NA UCET	6359	19404	SIPO	CD	91626292
2088914	7082	1998-02-11	VYDAJ	PREVOD NA UCET	6359	23093	SIPO	CD	91626292
2088915	7082	1998-03-11	VYDAJ	PREVOD NA UCET	6359	25844	SIPO	CD	91626292
2088916	7082	1998-04-11	VYDAJ	PREVOD NA UCET	6359	22544	SIPO	CD	91626292
2088917	7082	1998-05-11	VYDAJ	PREVOD NA UCET	6359	21491	SIPO	CD	91626292
2088918	7082	1998-06-11	VYDAJ	PREVOD NA UCET	6359	25217	SIPO	CD	91626292
2088919	7082	1998-07-11	VYDAJ	PREVOD NA UCET	6359	24877	SIPO	CD	91626292
2088920	7082	1998-08-11	VYDAJ	PREVOD NA UCET	6359	22432	SIPO	CD	91626292
2088921	7082	1998-09-11	VYDAJ	PREVOD NA UCET	6359	26380	SIPO	CD	91626292
2088922	7082	1998-10-11	VYDAJ	PREVOD NA UCET	6359	31446	SIPO	CD	91626292
2088923	7082	1998-11-11	VYDAJ	PREVOD NA UCET	6359	32129	SIPO	CD	91626292
2088924	7082	1998-12-11	VYDAJ	PREVOD NA UCET	6359	29197	SIPO	CD	91626292
2088938	7082	1997-02-05	VYDAJ	PREVOD NA UCET	1204	44043	 	AB	93874412
2088939	7082	1997-03-05	VYDAJ	PREVOD NA UCET	1204	45408	 	AB	93874412
2088940	7082	1997-04-05	VYDAJ	PREVOD NA UCET	1204	34041	 	AB	93874412
2088941	7082	1997-05-05	VYDAJ	PREVOD NA UCET	1204	34760	 	AB	93874412
2088942	7082	1997-06-05	VYDAJ	PREVOD NA UCET	1204	36056	 	AB	93874412
2088943	7082	1997-07-05	VYDAJ	PREVOD NA UCET	1204	32036	 	AB	93874412
2088944	7082	1997-08-05	VYDAJ	PREVOD NA UCET	1204	29235	 	AB	93874412
2088945	7082	1997-09-05	VYDAJ	PREVOD NA UCET	1204	32938	 	AB	93874412
2088946	7082	1997-10-05	VYDAJ	PREVOD NA UCET	1204	32451	 	AB	93874412
2088947	7082	1997-11-05	VYDAJ	PREVOD NA UCET	1204	28659	 	AB	93874412
2088948	7082	1997-12-05	VYDAJ	PREVOD NA UCET	1204	36564	 	AB	93874412
2088949	7082	1998-01-05	VYDAJ	PREVOD NA UCET	1204	34800	 	AB	93874412
2088950	7082	1998-02-05	VYDAJ	PREVOD NA UCET	1204	29729	 	AB	93874412
2088951	7082	1998-03-05	VYDAJ	PREVOD NA UCET	1204	32480	 	AB	93874412
2088952	7082	1998-04-05	VYDAJ	PREVOD NA UCET	1204	29180	 	AB	93874412
2088953	7082	1998-05-05	VYDAJ	PREVOD NA UCET	1204	28127	 	AB	93874412
2088954	7082	1998-06-05	VYDAJ	PREVOD NA UCET	1204	39853	 	AB	93874412
2088955	7082	1998-07-05	VYDAJ	PREVOD NA UCET	1204	31513	 	AB	93874412
2088956	7082	1998-08-05	VYDAJ	PREVOD NA UCET	1204	29068	 	AB	93874412
2088957	7082	1998-09-05	VYDAJ	PREVOD NA UCET	1204	33016	 	AB	93874412
2088958	7082	1998-10-05	VYDAJ	PREVOD NA UCET	1204	38082	 	AB	93874412
2088959	7082	1998-11-05	VYDAJ	PREVOD NA UCET	1204	38765	 	AB	93874412
2088960	7082	1998-12-05	VYDAJ	PREVOD NA UCET	1204	40393	 	AB	93874412
2088974	7082	1997-02-07	VYDAJ	PREVOD NA UCET	15	44028	POJISTNE	CD	47163563
2088975	7082	1997-03-07	VYDAJ	PREVOD NA UCET	15	36193	POJISTNE	CD	47163563
2088976	7082	1997-04-07	VYDAJ	PREVOD NA UCET	15	34026	POJISTNE	CD	47163563
2088977	7082	1997-05-07	VYDAJ	PREVOD NA UCET	15	31345	POJISTNE	CD	47163563
2088978	7082	1997-06-07	VYDAJ	PREVOD NA UCET	15	36041	POJISTNE	CD	47163563
2088979	7082	1997-07-07	VYDAJ	PREVOD NA UCET	15	28321	POJISTNE	CD	47163563
2088980	7082	1997-08-07	VYDAJ	PREVOD NA UCET	15	29220	POJISTNE	CD	47163563
2088981	7082	1997-09-07	VYDAJ	PREVOD NA UCET	15	32923	POJISTNE	CD	47163563
2088982	7082	1997-10-07	VYDAJ	PREVOD NA UCET	15	32436	POJISTNE	CD	47163563
2088983	7082	1997-11-07	VYDAJ	PREVOD NA UCET	15	26484	POJISTNE	CD	47163563
2088984	7082	1997-12-07	VYDAJ	PREVOD NA UCET	15	36549	POJISTNE	CD	47163563
2088985	7082	1998-01-07	VYDAJ	PREVOD NA UCET	15	34785	POJISTNE	CD	47163563
2088986	7082	1998-02-07	VYDAJ	PREVOD NA UCET	15	29714	POJISTNE	CD	47163563
2088987	7082	1998-03-07	VYDAJ	PREVOD NA UCET	15	32465	POJISTNE	CD	47163563
2088988	7082	1998-04-07	VYDAJ	PREVOD NA UCET	15	29165	POJISTNE	CD	47163563
2088989	7082	1998-05-07	VYDAJ	PREVOD NA UCET	15	28112	POJISTNE	CD	47163563
2088990	7082	1998-06-07	VYDAJ	PREVOD NA UCET	15	31838	POJISTNE	CD	47163563
2088991	7082	1998-07-07	VYDAJ	PREVOD NA UCET	15	31498	POJISTNE	CD	47163563
2088992	7082	1998-08-07	VYDAJ	PREVOD NA UCET	15	29053	POJISTNE	CD	47163563
2088993	7082	1998-09-07	VYDAJ	PREVOD NA UCET	15	33001	POJISTNE	CD	47163563
2088994	7082	1998-10-07	VYDAJ	PREVOD NA UCET	15	38067	POJISTNE	CD	47163563
2088995	7082	1998-11-07	VYDAJ	PREVOD NA UCET	15	38750	POJISTNE	CD	47163563
2088996	7082	1998-12-07	VYDAJ	PREVOD NA UCET	15	35818	POJISTNE	CD	47163563
2089010	7082	1997-02-08	VYDAJ	PREVOD NA UCET	262	43766	 	AB	18123281
2089011	7082	1997-03-08	VYDAJ	PREVOD NA UCET	262	35931	 	AB	18123281
2089012	7082	1997-04-08	VYDAJ	PREVOD NA UCET	262	33764	 	AB	18123281
2089013	7082	1997-05-08	VYDAJ	PREVOD NA UCET	262	31083	 	AB	18123281
2089014	7082	1997-06-08	VYDAJ	PREVOD NA UCET	262	35779	 	AB	18123281
2089015	7082	1997-07-08	VYDAJ	PREVOD NA UCET	262	28059	 	AB	18123281
2089016	7082	1997-08-08	VYDAJ	PREVOD NA UCET	262	28958	 	AB	18123281
2089154	7082	1997-10-01	VYDAJ	VYBER	1600	21894	\N	\N	\N
2089017	7082	1997-09-08	VYDAJ	PREVOD NA UCET	262	32661	 	AB	18123281
2089018	7082	1997-10-08	VYDAJ	PREVOD NA UCET	262	32174	 	AB	18123281
2089019	7082	1997-11-08	VYDAJ	PREVOD NA UCET	262	26222	 	AB	18123281
2089020	7082	1997-12-08	VYDAJ	PREVOD NA UCET	262	36287	 	AB	18123281
2089021	7082	1998-01-08	VYDAJ	PREVOD NA UCET	262	32723	 	AB	18123281
2089022	7082	1998-02-08	VYDAJ	PREVOD NA UCET	262	29452	 	AB	18123281
2089023	7082	1998-03-08	VYDAJ	PREVOD NA UCET	262	32203	 	AB	18123281
2089024	7082	1998-04-08	VYDAJ	PREVOD NA UCET	262	28903	 	AB	18123281
2089025	7082	1998-05-08	VYDAJ	PREVOD NA UCET	262	27850	 	AB	18123281
2089026	7082	1998-06-08	VYDAJ	PREVOD NA UCET	262	31576	 	AB	18123281
2089027	7082	1998-07-08	VYDAJ	PREVOD NA UCET	262	31236	 	AB	18123281
2089028	7082	1998-08-08	VYDAJ	PREVOD NA UCET	262	28791	 	AB	18123281
2089029	7082	1998-09-08	VYDAJ	PREVOD NA UCET	262	32739	 	AB	18123281
2089030	7082	1998-10-08	VYDAJ	PREVOD NA UCET	262	37805	 	AB	18123281
2089031	7082	1998-11-08	VYDAJ	PREVOD NA UCET	262	38488	 	AB	18123281
2089032	7082	1998-12-08	VYDAJ	PREVOD NA UCET	262	35556	 	AB	18123281
2089046	7082	1997-02-15	VYDAJ	VYBER	2700	34707	\N	\N	0
2089047	7082	1997-03-25	VYDAJ	VYBER	4000	23172	\N	\N	0
2089048	7082	1997-04-18	VYDAJ	VYBER	2600	24805	\N	\N	0
2089049	7082	1997-05-06	VYDAJ	VYBER	3400	31360	\N	\N	0
2089050	7082	1997-06-17	VYDAJ	VYBER	3700	25720	\N	\N	0
2089051	7082	1997-07-05	VYDAJ	VYBER	3700	28336	\N	\N	0
2089052	7082	1997-07-26	VYDAJ	VYBER	3400	18300	\N	\N	0
2089053	7082	1997-09-14	VYDAJ	VYBER	2900	23402	\N	\N	0
2089054	7082	1997-10-15	VYDAJ	VYBER	4200	21615	\N	\N	0
2089055	7082	1997-11-08	VYDAJ	VYBER	3500	22722	\N	\N	0
2089056	7082	1997-12-15	VYDAJ	VYBER	4100	23748	\N	\N	0
2089057	7082	1998-01-13	VYDAJ	VYBER	5100	14304	\N	\N	0
2089058	7082	1998-02-12	VYDAJ	PREVOD NA UCET	4045	19048	UVER	YZ	25515216
2089059	7082	1998-03-12	VYDAJ	PREVOD NA UCET	4045	21799	UVER	YZ	25515216
2089060	7082	1998-04-12	VYDAJ	PREVOD NA UCET	4045	18499	UVER	YZ	25515216
2089061	7082	1998-05-12	VYDAJ	PREVOD NA UCET	4045	17446	UVER	YZ	25515216
2089062	7082	1998-06-12	VYDAJ	PREVOD NA UCET	4045	21172	UVER	YZ	25515216
2089063	7082	1998-07-12	VYDAJ	PREVOD NA UCET	4045	20832	UVER	YZ	25515216
2089064	7082	1998-08-12	VYDAJ	PREVOD NA UCET	4045	18387	UVER	YZ	25515216
2089065	7082	1998-09-12	VYDAJ	PREVOD NA UCET	4045	22335	UVER	YZ	25515216
2089066	7082	1998-10-12	VYDAJ	PREVOD NA UCET	4045	27401	UVER	YZ	25515216
2089067	7082	1998-11-12	VYDAJ	PREVOD NA UCET	4045	28084	UVER	YZ	25515216
2089068	7082	1998-12-12	VYDAJ	PREVOD NA UCET	4045	25152	UVER	YZ	25515216
2089070	7082	1997-06-26	VYDAJ	VYBER	6240	19480	\N	\N	\N
2089071	7082	1998-06-06	VYDAJ	VYBER	8000	31853	\N	\N	\N
2089076	7082	1997-12-12	VYDAJ	VYBER	2080	27848	\N	\N	\N
2089077	7082	1998-12-02	VYDAJ	VYBER	4640	23955	\N	\N	\N
2089090	7082	1998-01-11	VYDAJ	VYBER	2160	25763	\N	\N	\N
2089091	7082	1998-01-07	VYDAJ	VYBER	1800	32985	\N	\N	\N
2089092	7082	1998-01-10	VYDAJ	VYBER	1560	31163	\N	\N	\N
2089094	7082	1998-01-10	VYDAJ	VYBER	3240	27923	\N	\N	\N
2089099	7082	1997-03-19	VYDAJ	VYBER	2400	27172	\N	\N	\N
2089100	7082	1997-11-05	VYDAJ	VYBER	2160	26499	\N	\N	\N
2089101	7082	1997-11-09	VYDAJ	VYBER	600	22122	\N	\N	\N
2089102	7082	1998-12-07	VYDAJ	VYBER	4560	35833	\N	\N	\N
2089104	7082	1998-12-28	VYDAJ	VYBER	3120	22232	\N	\N	\N
2089105	7082	1998-04-01	VYDAJ	VYBER	1560	18623	\N	\N	\N
2089121	7082	1997-02-28	VYDAJ	VYBER	15	34851	SLUZBY	\N	\N
2089122	7082	1997-03-31	VYDAJ	VYBER	15	23284	SLUZBY	\N	\N
2089123	7082	1997-04-30	VYDAJ	VYBER	15	24903	SLUZBY	\N	\N
2089124	7082	1997-05-31	VYDAJ	VYBER	15	24818	SLUZBY	\N	\N
2089125	7082	1997-06-30	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
2089126	7082	1997-07-31	VYDAJ	VYBER	15	18378	SLUZBY	\N	\N
2089127	7082	1997-08-31	VYDAJ	VYBER	15	22681	SLUZBY	\N	\N
2089128	7082	1997-09-30	VYDAJ	VYBER	15	23494	SLUZBY	\N	\N
2089129	7082	1997-10-31	VYDAJ	VYBER	15	21702	SLUZBY	\N	\N
2089130	7082	1997-11-30	VYDAJ	VYBER	15	20126	SLUZBY	\N	\N
2089131	7082	1997-12-31	VYDAJ	VYBER	15	24243	SLUZBY	\N	\N
2089132	7082	1998-01-31	VYDAJ	VYBER	15	19172	SLUZBY	\N	\N
2089133	7082	1998-02-28	VYDAJ	VYBER	15	21923	SLUZBY	\N	\N
2089134	7082	1998-03-31	VYDAJ	VYBER	15	20183	SLUZBY	\N	\N
2089135	7082	1998-04-30	VYDAJ	VYBER	15	17570	SLUZBY	\N	\N
2089136	7082	1998-05-31	VYDAJ	VYBER	15	23415	SLUZBY	\N	\N
2089137	7082	1998-06-30	VYDAJ	VYBER	15	20956	SLUZBY	\N	\N
2089138	7082	1998-07-31	VYDAJ	VYBER	15	18511	SLUZBY	\N	\N
2089139	7082	1998-08-31	VYDAJ	VYBER	15	22459	SLUZBY	\N	\N
2089140	7082	1998-09-30	VYDAJ	VYBER	15	27525	SLUZBY	\N	\N
2089141	7082	1998-10-31	VYDAJ	VYBER	15	28208	SLUZBY	\N	\N
2089142	7082	1998-11-30	VYDAJ	VYBER	15	28595	SLUZBY	\N	\N
2089143	7082	1996-10-06	PRIJEM	VKLAD	5900	18561	\N	\N	\N
2089144	7082	1996-12-05	VYDAJ	VYBER	11000	37106	\N	\N	\N
2089145	7082	1997-01-04	VYDAJ	VYBER	6600	30651	\N	\N	\N
2089146	7082	1997-02-03	VYDAJ	VYBER	9100	33486	\N	\N	\N
2089147	7082	1997-03-05	VYDAJ	VYBER	9200	36208	\N	\N	\N
2089148	7082	1997-04-04	PRIJEM	VKLAD	200	23484	\N	\N	\N
2089149	7082	1997-05-04	VYDAJ	VYBER	700	24203	\N	\N	\N
2089150	7082	1997-06-03	VYDAJ	VYBER	5200	19618	\N	\N	\N
2089151	7082	1997-07-03	PRIJEM	VKLAD	1900	21479	\N	\N	\N
2089152	7082	1997-08-02	PRIJEM	VKLAD	300	18678	\N	\N	\N
2089155	7082	1997-10-31	VYDAJ	VYBER	3600	18102	\N	\N	\N
2089156	7082	1997-11-30	PRIJEM	VKLAD	4300	20063	\N	\N	\N
2089157	7082	1997-12-30	PRIJEM	VKLAD	400	24148	\N	\N	\N
2089158	7082	1998-01-29	PRIJEM	VKLAD	4800	19104	\N	\N	\N
2089159	7082	1998-02-28	PRIJEM	VKLAD	2800	21937	\N	\N	\N
2089160	7082	1998-03-30	VYDAJ	VYBER	1700	20099	\N	\N	\N
2089161	7082	1998-04-29	VYDAJ	VYBER	1000	17499	\N	\N	\N
2089162	7082	1998-05-29	PRIJEM	VKLAD	5900	23346	\N	\N	\N
2089163	7082	1998-06-28	VYDAJ	VYBER	300	20872	\N	\N	\N
2089164	7082	1998-07-28	VYDAJ	VYBER	2400	18432	\N	\N	\N
2089165	7082	1998-08-27	PRIJEM	VKLAD	4000	22387	\N	\N	\N
2089166	7082	1998-09-26	PRIJEM	VKLAD	5100	27435	\N	\N	\N
2089167	7082	1998-10-26	PRIJEM	VKLAD	700	28101	\N	\N	\N
2089168	7082	1998-11-25	PRIJEM	VKLAD	400	28484	\N	\N	\N
2089169	7082	1998-12-25	PRIJEM	VKLAD	200	25352	\N	\N	\N
2094541	7099	1996-08-20	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2094550	7099	1996-09-08	PRIJEM	PREVOD Z UCTU	29295	30295	\N	EF	22873711
2094551	7099	1996-10-08	PRIJEM	PREVOD Z UCTU	29295	58038	\N	EF	22873711
2094552	7099	1996-11-08	PRIJEM	PREVOD Z UCTU	29295	69072	\N	EF	22873711
2094553	7099	1996-12-08	PRIJEM	PREVOD Z UCTU	43942	90491	\N	EF	22873711
2094554	7099	1997-01-08	PRIJEM	PREVOD Z UCTU	29295	84796	\N	EF	22873711
2094555	7099	1997-02-08	PRIJEM	PREVOD Z UCTU	29295	47939	\N	EF	22873711
2094556	7099	1997-03-08	PRIJEM	PREVOD Z UCTU	29295	49818	\N	EF	22873711
2094557	7099	1997-04-08	PRIJEM	PREVOD Z UCTU	29295	56697	\N	EF	22873711
2094558	7099	1997-05-08	PRIJEM	PREVOD Z UCTU	29295	65712	\N	EF	22873711
2094559	7099	1997-06-08	PRIJEM	PREVOD Z UCTU	43942	79994	\N	EF	22873711
2094560	7099	1997-07-08	PRIJEM	PREVOD Z UCTU	29295	62898	\N	EF	22873711
2094561	7099	1997-08-08	PRIJEM	PREVOD Z UCTU	29295	66726	\N	EF	22873711
2094562	7099	1997-09-08	PRIJEM	PREVOD Z UCTU	29295	68957	\N	EF	22873711
2094563	7099	1997-10-08	PRIJEM	PREVOD Z UCTU	29295	69996	\N	EF	22873711
2094564	7099	1997-11-08	PRIJEM	PREVOD Z UCTU	29295	59126	\N	EF	22873711
2094565	7099	1997-12-08	PRIJEM	PREVOD Z UCTU	43942	73422	\N	EF	22873711
2094566	7099	1998-01-08	PRIJEM	PREVOD Z UCTU	29295	59046	\N	EF	22873711
2094567	7099	1998-02-08	PRIJEM	PREVOD Z UCTU	29295	35889	\N	EF	22873711
2094568	7099	1998-03-08	PRIJEM	PREVOD Z UCTU	29295	33179	\N	EF	22873711
2094569	7099	1998-04-08	PRIJEM	PREVOD Z UCTU	29295	51539	\N	EF	22873711
2094570	7099	1998-05-08	PRIJEM	PREVOD Z UCTU	29295	49203	\N	EF	22873711
2094571	7099	1998-06-08	PRIJEM	PREVOD Z UCTU	43942	66813	\N	EF	22873711
2094572	7099	1998-07-08	PRIJEM	PREVOD Z UCTU	29295	56408	\N	EF	22873711
2094573	7099	1998-08-08	PRIJEM	PREVOD Z UCTU	29295	49482	\N	EF	22873711
2094574	7099	1998-09-08	PRIJEM	PREVOD Z UCTU	29295	46938	\N	EF	22873711
2094575	7099	1998-10-08	PRIJEM	PREVOD Z UCTU	29295	47090	\N	EF	22873711
2094576	7099	1998-11-08	PRIJEM	PREVOD Z UCTU	29295	45737	\N	EF	22873711
2094577	7099	1998-12-08	PRIJEM	PREVOD Z UCTU	43942	60228	\N	EF	22873711
2094590	7099	1997-01-12	VYDAJ	VYBER	3600	73768	\N	\N	0
2094591	7099	1997-02-04	VYDAJ	VYBER	6200	18644	\N	\N	0
2094592	7099	1997-03-12	VYDAJ	VYBER	4500	41464	\N	\N	0
2094593	7099	1997-04-26	VYDAJ	VYBER	2800	36267	\N	\N	0
2094594	7099	1997-05-11	VYDAJ	VYBER	3100	62084	\N	\N	0
2094595	7099	1997-06-05	VYDAJ	VYBER	3900	36052	\N	\N	0
2094596	7099	1997-07-23	VYDAJ	VYBER	4500	37268	\N	\N	0
2094597	7099	1997-08-10	VYDAJ	VYBER	4800	61398	\N	\N	0
2094598	7099	1997-09-13	VYDAJ	VYBER	4000	52427	\N	\N	0
2094599	7099	1997-10-28	VYDAJ	VYBER	4000	34766	\N	\N	0
2094600	7099	1997-11-01	VYDAJ	VYBER	5100	29831	\N	\N	0
2094601	7099	1997-12-13	VYDAJ	VYBER	4900	67758	\N	\N	0
2094602	7099	1998-01-14	VYDAJ	VYBER	6000	12216	\N	\N	0
2094603	7099	1998-02-02	VYDAJ	VYBER	5700	6594	\N	\N	0
2094604	7099	1998-02-25	VYDAJ	VYBER	4500	3851	\N	\N	0
2094605	7099	1998-04-13	VYDAJ	VYBER	3100	35875	\N	\N	0
2094606	7099	1998-05-04	VYDAJ	VYBER	4300	19908	\N	\N	0
2094607	7099	1998-06-12	VYDAJ	PREVOD NA UCET	4883	38766	UVER	AB	75017177
2094608	7099	1998-07-12	VYDAJ	PREVOD NA UCET	4883	31861	UVER	AB	75017177
2094609	7099	1998-08-12	VYDAJ	PREVOD NA UCET	4883	29572	UVER	AB	75017177
2094610	7099	1998-09-12	VYDAJ	PREVOD NA UCET	4883	29728	UVER	AB	75017177
2094611	7099	1998-10-12	VYDAJ	PREVOD NA UCET	4883	28141	UVER	AB	75017177
2094612	7099	1998-11-12	VYDAJ	PREVOD NA UCET	4883	27991	UVER	AB	75017177
2094613	7099	1998-12-12	VYDAJ	PREVOD NA UCET	4883	31118	UVER	AB	75017177
2094626	7099	1997-01-12	VYDAJ	PREVOD NA UCET	236	73532	SIPO	UV	96372824
2094627	7099	1997-02-12	VYDAJ	PREVOD NA UCET	236	47175	SIPO	UV	96372824
2094628	7099	1997-03-12	VYDAJ	PREVOD NA UCET	236	45964	SIPO	UV	96372824
2094629	7099	1997-04-12	VYDAJ	PREVOD NA UCET	236	55933	SIPO	UV	96372824
2094630	7099	1997-05-12	VYDAJ	PREVOD NA UCET	236	61848	SIPO	UV	96372824
2094631	7099	1997-06-12	VYDAJ	PREVOD NA UCET	236	79230	SIPO	UV	96372824
2094632	7099	1997-07-12	VYDAJ	PREVOD NA UCET	236	62134	SIPO	UV	96372824
2094633	7099	1997-08-12	VYDAJ	PREVOD NA UCET	236	61162	SIPO	UV	96372824
2094634	7099	1997-09-12	VYDAJ	PREVOD NA UCET	236	68193	SIPO	UV	96372824
2094635	7099	1997-10-12	VYDAJ	PREVOD NA UCET	236	59332	SIPO	UV	96372824
2094636	7099	1997-11-12	VYDAJ	PREVOD NA UCET	236	50218	SIPO	UV	96372824
2094637	7099	1997-12-12	VYDAJ	PREVOD NA UCET	236	72658	SIPO	UV	96372824
2094638	7099	1998-01-12	VYDAJ	PREVOD NA UCET	236	33382	SIPO	UV	96372824
2094639	7099	1998-02-12	VYDAJ	PREVOD NA UCET	236	20117	SIPO	UV	96372824
2094640	7099	1998-03-12	VYDAJ	PREVOD NA UCET	236	32415	SIPO	UV	96372824
2094641	7099	1998-04-12	VYDAJ	PREVOD NA UCET	236	38975	SIPO	UV	96372824
2094642	7099	1998-05-12	VYDAJ	PREVOD NA UCET	236	48439	SIPO	UV	96372824
2094643	7099	1998-06-12	VYDAJ	PREVOD NA UCET	236	43649	SIPO	UV	96372824
2094644	7099	1998-07-12	VYDAJ	PREVOD NA UCET	236	36744	SIPO	UV	96372824
2094645	7099	1998-08-12	VYDAJ	PREVOD NA UCET	236	29336	SIPO	UV	96372824
2094646	7099	1998-09-12	VYDAJ	PREVOD NA UCET	236	29492	SIPO	UV	96372824
2094647	7099	1998-10-12	VYDAJ	PREVOD NA UCET	236	33024	SIPO	UV	96372824
2094648	7099	1998-11-12	VYDAJ	PREVOD NA UCET	236	32873	SIPO	UV	96372824
2094649	7099	1998-12-12	VYDAJ	PREVOD NA UCET	236	30882	SIPO	UV	96372824
2094662	7099	1997-01-13	VYDAJ	PREVOD NA UCET	11766	56666	 	QR	8235311
2094663	7099	1997-02-13	VYDAJ	PREVOD NA UCET	11766	35409	 	QR	8235311
2094664	7099	1997-03-13	VYDAJ	PREVOD NA UCET	11766	29698	 	QR	8235311
2094665	7099	1997-04-13	VYDAJ	PREVOD NA UCET	11766	44167	 	QR	8235311
2094666	7099	1997-05-13	VYDAJ	PREVOD NA UCET	11766	50082	 	QR	8235311
2094667	7099	1997-06-13	VYDAJ	PREVOD NA UCET	11766	42837	 	QR	8235311
2094668	7099	1997-07-13	VYDAJ	PREVOD NA UCET	11766	50368	 	QR	8235311
2094669	7099	1997-08-13	VYDAJ	PREVOD NA UCET	11766	49396	 	QR	8235311
2094670	7099	1997-09-13	VYDAJ	PREVOD NA UCET	11766	56427	 	QR	8235311
2094671	7099	1997-10-13	VYDAJ	PREVOD NA UCET	11766	47566	 	QR	8235311
2094672	7099	1997-11-13	VYDAJ	PREVOD NA UCET	11766	29352	 	QR	8235311
2094673	7099	1997-12-13	VYDAJ	PREVOD NA UCET	11766	39792	 	QR	8235311
2094674	7099	1998-01-13	VYDAJ	PREVOD NA UCET	11766	18216	 	QR	8235311
2094675	7099	1998-02-13	VYDAJ	PREVOD NA UCET	11766	8351	 	QR	8235311
2094676	7099	1998-03-13	VYDAJ	PREVOD NA UCET	11766	22149	 	QR	8235311
2094677	7099	1998-04-13	VYDAJ	PREVOD NA UCET	11766	24109	 	QR	8235311
2094678	7099	1998-05-13	VYDAJ	PREVOD NA UCET	11766	22773	 	QR	8235311
2094679	7099	1998-06-13	VYDAJ	PREVOD NA UCET	11766	27000	 	QR	8235311
2094680	7099	1998-07-13	VYDAJ	PREVOD NA UCET	11766	20095	 	QR	8235311
2094681	7099	1998-08-13	VYDAJ	PREVOD NA UCET	11766	17570	 	QR	8235311
2094682	7099	1998-09-13	VYDAJ	PREVOD NA UCET	11766	17726	 	QR	8235311
2094683	7099	1998-10-13	VYDAJ	PREVOD NA UCET	11766	16375	 	QR	8235311
2094684	7099	1998-11-13	VYDAJ	PREVOD NA UCET	11766	16225	 	QR	8235311
2094685	7099	1998-12-13	VYDAJ	PREVOD NA UCET	11766	19116	 	QR	8235311
2094698	7099	1997-01-08	VYDAJ	PREVOD NA UCET	528	77368	POJISTNE	AB	62618040
2094699	7099	1997-02-08	VYDAJ	PREVOD NA UCET	528	47411	POJISTNE	AB	62618040
2094700	7099	1997-03-08	VYDAJ	PREVOD NA UCET	528	49290	POJISTNE	AB	62618040
2094701	7099	1997-04-08	VYDAJ	PREVOD NA UCET	528	56169	POJISTNE	AB	62618040
2094702	7099	1997-05-08	VYDAJ	PREVOD NA UCET	528	65184	POJISTNE	AB	62618040
2094703	7099	1997-06-08	VYDAJ	PREVOD NA UCET	528	79466	POJISTNE	AB	62618040
2094704	7099	1997-07-08	VYDAJ	PREVOD NA UCET	528	62370	POJISTNE	AB	62618040
2094705	7099	1997-08-08	VYDAJ	PREVOD NA UCET	528	66198	POJISTNE	AB	62618040
2094706	7099	1997-09-08	VYDAJ	PREVOD NA UCET	528	68429	POJISTNE	AB	62618040
2094707	7099	1997-10-08	VYDAJ	PREVOD NA UCET	528	69468	POJISTNE	AB	62618040
2094708	7099	1997-11-08	VYDAJ	PREVOD NA UCET	528	58598	POJISTNE	AB	62618040
2094709	7099	1997-12-08	VYDAJ	PREVOD NA UCET	528	72894	POJISTNE	AB	62618040
2094710	7099	1998-01-08	VYDAJ	PREVOD NA UCET	528	58518	POJISTNE	AB	62618040
2094711	7099	1998-02-08	VYDAJ	PREVOD NA UCET	528	35361	POJISTNE	AB	62618040
2094712	7099	1998-03-08	VYDAJ	PREVOD NA UCET	528	32651	POJISTNE	AB	62618040
2094713	7099	1998-04-08	VYDAJ	PREVOD NA UCET	528	51011	POJISTNE	AB	62618040
2094714	7099	1998-05-08	VYDAJ	PREVOD NA UCET	528	48675	POJISTNE	AB	62618040
2094715	7099	1998-06-08	VYDAJ	PREVOD NA UCET	528	66285	POJISTNE	AB	62618040
2094716	7099	1998-07-08	VYDAJ	PREVOD NA UCET	528	55880	POJISTNE	AB	62618040
2094717	7099	1998-08-08	VYDAJ	PREVOD NA UCET	528	48954	POJISTNE	AB	62618040
2094718	7099	1998-09-08	VYDAJ	PREVOD NA UCET	528	46410	POJISTNE	AB	62618040
2094719	7099	1998-10-08	VYDAJ	PREVOD NA UCET	528	46562	POJISTNE	AB	62618040
2094720	7099	1998-11-08	VYDAJ	PREVOD NA UCET	528	33109	POJISTNE	AB	62618040
2094721	7099	1998-12-08	VYDAJ	PREVOD NA UCET	528	36000	POJISTNE	AB	62618040
2094736	7099	1997-02-19	VYBER	VYBER	7692	20417	\N	\N	\N
2094738	7099	1997-03-09	VYBER	VYBER	3090	46200	\N	\N	\N
2094741	7099	1997-06-13	VYBER	VYBER	24627	54603	\N	\N	\N
2094742	7099	1997-11-09	VYBER	VYBER	8144	50454	\N	\N	\N
2094746	7099	1998-02-09	VYBER	VYBER	8708	26653	\N	\N	\N
2094750	7099	1998-10-12	VYBER	VYBER	3802	33260	\N	\N	\N
2094761	7099	1998-01-11	VYDAJ	VYBER	20100	33618	\N	\N	\N
2094763	7099	1997-12-19	VYDAJ	VYBER	7800	31992	\N	\N	\N
2094771	7099	1997-01-30	VYDAJ	VYBER	2400	24666	\N	\N	\N
2094772	7099	1997-01-18	VYDAJ	VYBER	7800	30366	\N	\N	\N
2094773	7099	1997-01-21	VYDAJ	VYBER	3300	27066	\N	\N	\N
2094774	7099	1997-01-13	VYDAJ	VYBER	5100	68432	\N	\N	\N
2094775	7099	1997-01-15	VYDAJ	VYBER	6000	50666	\N	\N	\N
2094776	7099	1997-01-08	VYDAJ	VYBER	6900	77896	\N	\N	\N
2094779	7099	1998-01-09	VYDAJ	VYBER	4800	53718	\N	\N	\N
2094780	7099	1998-01-02	VYDAJ	VYBER	2400	29751	\N	\N	\N
2094787	7099	1997-06-14	VYDAJ	VYBER	3300	39537	\N	\N	\N
2094788	7099	1997-10-11	VYDAJ	VYBER	9900	59568	\N	\N	\N
2094789	7099	1997-03-14	VYDAJ	VYBER	6300	23398	\N	\N	\N
2094809	7099	1997-01-31	VYDAJ	VYBER	15	24844	SLUZBY	\N	\N
2094810	7099	1997-02-28	VYDAJ	VYBER	15	20523	SLUZBY	\N	\N
2094811	7099	1997-03-31	VYDAJ	VYBER	15	27402	SLUZBY	\N	\N
2094812	7099	1997-04-30	VYDAJ	VYBER	15	36417	SLUZBY	\N	\N
2094813	7099	1997-05-31	VYDAJ	VYBER	15	39952	SLUZBY	\N	\N
2094814	7099	1997-06-30	VYDAJ	VYBER	15	33603	SLUZBY	\N	\N
2094815	7099	1997-07-31	VYDAJ	VYBER	15	37431	SLUZBY	\N	\N
2094816	7099	1997-08-31	VYDAJ	VYBER	15	39662	SLUZBY	\N	\N
2094817	7099	1997-09-30	VYDAJ	VYBER	15	40701	SLUZBY	\N	\N
2094818	7099	1997-10-31	VYDAJ	VYBER	15	34931	SLUZBY	\N	\N
2094819	7099	1997-11-30	VYDAJ	VYBER	15	29480	SLUZBY	\N	\N
2094820	7099	1997-12-31	VYDAJ	VYBER	15	32151	SLUZBY	\N	\N
2094821	7099	1998-01-31	VYDAJ	VYBER	15	12294	SLUZBY	\N	\N
2094822	7099	1998-02-28	VYDAJ	VYBER	15	3884	SLUZBY	\N	\N
2094823	7099	1998-03-31	VYDAJ	VYBER	15	22244	SLUZBY	\N	\N
2094824	7099	1998-04-30	VYDAJ	VYBER	15	24208	SLUZBY	\N	\N
2094825	7099	1998-05-31	VYDAJ	VYBER	15	22871	SLUZBY	\N	\N
2094826	7099	1998-06-30	VYDAJ	VYBER	15	27113	SLUZBY	\N	\N
2094827	7099	1998-07-31	VYDAJ	VYBER	15	20187	SLUZBY	\N	\N
2094828	7099	1998-08-31	VYDAJ	VYBER	15	17643	SLUZBY	\N	\N
2094829	7099	1998-09-30	VYDAJ	VYBER	15	17795	SLUZBY	\N	\N
2094830	7099	1998-10-31	VYDAJ	VYBER	15	16442	SLUZBY	\N	\N
2094831	7099	1998-11-30	VYDAJ	VYBER	15	16286	SLUZBY	\N	\N
2094832	7099	1996-09-19	VYDAJ	VYBER	1600	28695	\N	\N	\N
2094833	7099	1996-10-19	VYDAJ	VYBER	18400	39638	\N	\N	\N
2094834	7099	1996-11-18	VYDAJ	VYBER	22700	46372	\N	\N	\N
2094835	7099	1996-12-18	VYDAJ	VYBER	35200	55291	\N	\N	\N
2094836	7099	1997-01-17	VYDAJ	VYBER	12500	38166	\N	\N	\N
2094837	7099	1997-02-16	VYDAJ	VYBER	7300	28109	\N	\N	\N
2094838	7099	1997-03-18	PRIJEM	VKLAD	3900	27298	\N	\N	\N
2094839	7099	1997-04-17	VYDAJ	VYBER	5100	39067	\N	\N	\N
2094840	7099	1997-05-17	VYDAJ	VYBER	10300	39782	\N	\N	\N
2094841	7099	1997-06-16	VYDAJ	VYBER	6100	33437	\N	\N	\N
2094842	7099	1997-07-16	VYDAJ	VYBER	8600	41768	\N	\N	\N
2094843	7099	1997-08-15	VYDAJ	VYBER	9900	39496	\N	\N	\N
2094844	7099	1997-09-14	VYDAJ	VYBER	11900	40527	\N	\N	\N
2094845	7099	1997-10-14	VYDAJ	VYBER	8800	38766	\N	\N	\N
2094846	7099	1997-11-13	VYDAJ	VYBER	9100	41118	\N	\N	\N
2094847	7099	1997-12-13	VYDAJ	VYBER	16200	51558	\N	\N	\N
2094848	7099	1998-01-12	VYDAJ	VYBER	3400	29982	\N	\N	\N
2094849	7099	1998-02-11	VYDAJ	VYBER	6300	20353	\N	\N	\N
2094850	7099	1998-03-13	PRIJEM	VKLAD	1500	33915	\N	\N	\N
2094851	7099	1998-04-12	VYDAJ	VYBER	11800	39211	\N	\N	\N
2094852	7099	1998-05-12	VYDAJ	VYBER	13900	34539	\N	\N	\N
2094853	7099	1998-06-11	VYDAJ	VYBER	22400	43885	\N	\N	\N
2094854	7099	1998-07-11	VYDAJ	VYBER	18900	36980	\N	\N	\N
2094855	7099	1998-08-10	VYDAJ	VYBER	14500	34454	\N	\N	\N
2094856	7099	1998-09-09	VYDAJ	VYBER	11800	34610	\N	\N	\N
2094857	7099	1998-10-09	VYDAJ	VYBER	9500	37062	\N	\N	\N
2094858	7099	1998-11-08	VYDAJ	VYBER	12100	33637	\N	\N	\N
2094859	7099	1998-12-08	VYDAJ	VYBER	23700	36528	\N	\N	\N
2095359	7101	1996-07-06	PRIJEM	VKLAD	400	400	\N	\N	\N
2095361	7101	1996-08-01	PRIJEM	VKLAD	37968	47629	\N	\N	\N
2095362	7101	1996-07-22	PRIJEM	VKLAD	9248	9648	\N	\N	\N
2095363	7101	1996-09-25	PRIJEM	VKLAD	33173	77087	\N	\N	\N
2095364	7101	1996-08-27	PRIJEM	VKLAD	22624	61453	\N	\N	\N
2095367	7101	1996-10-16	PRIJEM	VKLAD	46900	96556	\N	\N	\N
2095371	7101	1997-03-07	PRIJEM	VKLAD	36453	51121	\N	\N	\N
2095372	7101	1997-11-17	PRIJEM	VKLAD	16766	17733	\N	\N	\N
2095373	7101	1997-02-03	PRIJEM	VKLAD	9974	21421	\N	\N	\N
2095374	7101	1997-07-04	PRIJEM	VKLAD	19825	51438	\N	\N	\N
2095375	7101	1997-05-26	PRIJEM	VKLAD	49831	115330	\N	\N	\N
2095376	7101	1997-05-17	PRIJEM	VKLAD	39475	65499	\N	\N	\N
2095377	7101	1998-07-09	PRIJEM	VKLAD	11245	16243	\N	\N	\N
2095378	7101	1998-02-14	PRIJEM	VKLAD	25304	25114	\N	\N	\N
2095379	7101	1998-08-19	PRIJEM	VKLAD	34252	36607	\N	\N	\N
2095380	7101	1996-12-13	VYBER	VYBER	22760	-2167	\N	\N	\N
2095385	7101	1996-11-09	VYBER	VYBER	7190	51602	\N	\N	\N
2095388	7101	1996-12-03	VYBER	VYBER	17845	27394	\N	\N	\N
2095395	7101	1997-10-12	VYBER	VYBER	12764	6356	\N	\N	\N
2095396	7101	1997-10-31	VYBER	VYBER	3021	7292	\N	\N	\N
2095397	7101	1997-10-13	VYBER	VYBER	5676	-2020	\N	\N	\N
2095398	7101	1997-01-08	VYBER	VYBER	3165	-519	\N	\N	\N
2095399	7101	1997-11-27	VYBER	VYBER	7386	10347	\N	\N	\N
2095401	7101	1997-03-29	VYBER	VYBER	6227	44894	\N	\N	\N
2095402	7101	1997-02-15	VYBER	VYBER	15787	5634	\N	\N	\N
2095403	7101	1998-04-13	VYBER	VYBER	21654	289	\N	\N	\N
2095407	7101	1998-06-20	VYDAJ	VYBER	13500	367	\N	\N	\N
2095411	7101	1996-12-04	VYDAJ	VYBER	4800	20594	\N	\N	\N
2095412	7101	1997-12-04	VYDAJ	VYBER	5100	5981	\N	\N	\N
2095413	7101	1998-12-20	VYDAJ	VYBER	8700	14163	\N	\N	\N
2095424	7101	1997-01-07	VYDAJ	VYBER	8700	2646	\N	\N	\N
2095425	7101	1997-01-15	VYDAJ	VYBER	2100	-2619	\N	\N	\N
2095427	7101	1998-01-13	VYDAJ	VYBER	2100	10593	\N	\N	\N
2095428	7101	1998-01-29	VYDAJ	VYBER	8700	2193	\N	\N	\N
2095429	7101	1998-01-22	VYDAJ	VYBER	4200	-507	\N	\N	\N
2095430	7101	1998-01-17	VYDAJ	VYBER	6900	3693	\N	\N	\N
2095431	7101	1998-01-25	VYDAJ	VYBER	1500	-2007	\N	\N	\N
2095433	7101	1996-10-23	VYDAJ	VYBER	10500	86056	\N	\N	\N
2095435	7101	1996-11-28	VYDAJ	VYBER	6600	45002	\N	\N	\N
2095436	7101	1997-10-12	VYDAJ	VYBER	2700	3656	\N	\N	\N
2095437	7101	1997-11-05	VYDAJ	VYBER	6300	967	\N	\N	\N
2095438	7101	1997-07-05	VYDAJ	VYBER	14100	37338	\N	\N	\N
2095439	7101	1997-07-09	VYDAJ	VYBER	9000	28338	\N	\N	\N
2095440	7101	1997-12-01	VYDAJ	VYBER	6300	11081	\N	\N	\N
2095441	7101	1997-12-14	VYDAJ	VYBER	3300	2681	\N	\N	\N
2095443	7101	1998-08-12	VYDAJ	VYBER	11100	2355	\N	\N	\N
2095444	7101	1998-02-12	VYDAJ	VYBER	2400	-190	\N	\N	\N
2095445	7101	1998-04-06	VYDAJ	VYBER	6300	21943	\N	\N	\N
2095446	7101	1998-06-03	VYDAJ	VYBER	2100	13867	\N	\N	\N
2095447	7101	1998-09-04	VYDAJ	VYBER	2100	24379	\N	\N	\N
2095458	7101	1996-10-31	VYDAJ	VYBER	15	86392	SLUZBY	\N	\N
2095459	7101	1996-11-30	VYDAJ	VYBER	15	45239	SLUZBY	\N	\N
2095460	7101	1996-12-31	VYDAJ	VYBER	15	-2154	SLUZBY	\N	\N
2095461	7101	1997-01-31	VYDAJ	VYBER	15	-2633	SLUZBY	\N	\N
2095462	7101	1997-02-28	VYDAJ	VYBER	15	5668	SLUZBY	\N	\N
2095463	7101	1997-03-31	VYDAJ	VYBER	15	45053	SLUZBY	\N	\N
2095464	7101	1997-04-30	VYDAJ	VYBER	15	30724	SLUZBY	\N	\N
2095465	7101	1997-05-31	VYDAJ	VYBER	15	74620	SLUZBY	\N	\N
2095466	7101	1997-06-30	VYDAJ	VYBER	15	49213	SLUZBY	\N	\N
2095467	7101	1997-07-31	VYDAJ	VYBER	15	28457	SLUZBY	\N	\N
2095468	7101	1997-08-31	VYDAJ	VYBER	15	21745	SLUZBY	\N	\N
2095469	7101	1997-09-30	VYDAJ	VYBER	15	19120	SLUZBY	\N	\N
2095470	7101	1997-10-31	VYDAJ	VYBER	15	7267	SLUZBY	\N	\N
2095471	7101	1997-11-30	VYDAJ	VYBER	15	17381	SLUZBY	\N	\N
2095472	7101	1997-12-31	VYDAJ	VYBER	15	12693	SLUZBY	\N	\N
2095473	7101	1998-01-31	VYDAJ	VYBER	15	2210	SLUZBY	\N	\N
2095474	7101	1998-02-28	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
2095475	7101	1998-03-31	VYDAJ	VYBER	15	28243	SLUZBY	\N	\N
2095476	7101	1998-04-30	VYDAJ	VYBER	15	12729	SLUZBY	\N	\N
2095477	7101	1998-05-31	VYDAJ	VYBER	15	15967	SLUZBY	\N	\N
2095478	7101	1998-06-30	VYDAJ	VYBER	15	4998	SLUZBY	\N	\N
2095479	7101	1998-07-31	VYDAJ	VYBER	15	13455	SLUZBY	\N	\N
2095480	7101	1998-08-31	VYDAJ	VYBER	15	26479	SLUZBY	\N	\N
2095481	7101	1998-09-30	VYDAJ	VYBER	15	27174	SLUZBY	\N	\N
2095482	7101	1998-10-31	VYDAJ	VYBER	15	25572	SLUZBY	\N	\N
2095483	7101	1998-11-30	VYDAJ	VYBER	15	22863	SLUZBY	\N	\N
2095484	7101	1996-08-05	VYDAJ	VYBER	8800	38829	\N	\N	\N
2095485	7101	1996-09-04	VYDAJ	VYBER	17700	43914	\N	\N	\N
2095486	7101	1996-10-04	VYDAJ	VYBER	27700	49656	\N	\N	\N
2095487	7101	1996-11-03	VYDAJ	VYBER	27600	58792	\N	\N	\N
2095488	7101	1996-12-03	VYDAJ	VYBER	2000	25394	\N	\N	\N
2095489	7101	1997-01-02	PRIJEM	VKLAD	13500	11346	\N	\N	\N
2095490	7101	1997-02-01	PRIJEM	VKLAD	14100	11447	\N	\N	\N
2095491	7101	1997-03-03	PRIJEM	VKLAD	9000	14668	\N	\N	\N
2095492	7101	1997-04-02	VYDAJ	VYBER	14500	30553	\N	\N	\N
2095493	7101	1997-05-02	VYDAJ	VYBER	4700	26024	\N	\N	\N
2095494	7101	1997-05-26	VYDAJ	VYBER	40900	74430	\N	\N	\N
2095495	7101	1997-06-01	VYDAJ	VYBER	25700	48920	\N	\N	\N
2095496	7101	1997-07-01	VYDAJ	VYBER	17600	31613	\N	\N	\N
2095497	7101	1997-07-31	VYDAJ	VYBER	3900	24557	\N	\N	\N
2095498	7101	1997-08-30	VYDAJ	VYBER	2900	21657	\N	\N	\N
2095499	7101	1997-09-29	VYDAJ	VYBER	2700	19045	\N	\N	\N
2095500	7101	1997-10-29	PRIJEM	VKLAD	12300	10280	\N	\N	\N
2095501	7101	1997-11-28	PRIJEM	VKLAD	7000	17347	\N	\N	\N
2095502	7101	1997-12-28	PRIJEM	VKLAD	10000	12681	\N	\N	\N
2095503	7101	1998-01-27	PRIJEM	VKLAD	12900	10893	\N	\N	\N
2095504	7101	1998-02-26	VYDAJ	VYBER	1400	23714	\N	\N	\N
2095505	7101	1998-03-28	PRIJEM	VKLAD	4400	28159	\N	\N	\N
2095506	7101	1998-04-27	PRIJEM	VKLAD	12400	12689	\N	\N	\N
2095507	7101	1998-05-27	PRIJEM	VKLAD	3200	15929	\N	\N	\N
2095508	7101	1998-06-26	PRIJEM	VKLAD	4600	4967	\N	\N	\N
2095509	7101	1998-07-26	VYDAJ	VYBER	2800	13443	\N	\N	\N
2095510	7101	1998-08-25	VYDAJ	VYBER	10200	26407	\N	\N	\N
2095511	7101	1998-09-24	PRIJEM	VKLAD	2700	27079	\N	\N	\N
2095512	7101	1998-10-24	VYDAJ	VYBER	1700	25474	\N	\N	\N
2095513	7101	1998-11-23	VYDAJ	VYBER	2800	22772	\N	\N	\N
2102564	7123	1993-04-14	PRIJEM	VKLAD	200	200	\N	\N	\N
2102566	7123	1993-12-23	PRIJEM	VKLAD	30458	103236	\N	\N	\N
2102567	7123	1993-10-20	PRIJEM	VKLAD	12074	50698	\N	\N	\N
2102568	7123	1993-10-27	PRIJEM	VKLAD	6108	53506	\N	\N	\N
2102572	7123	1993-07-13	PRIJEM	VKLAD	26565	52116	\N	\N	\N
2102575	7123	1993-10-27	PRIJEM	VKLAD	25770	79276	\N	\N	\N
2102576	7123	1993-11-01	PRIJEM	VKLAD	12041	91459	\N	\N	\N
2102577	7123	1993-08-03	PRIJEM	VKLAD	47705	112902	\N	\N	\N
2102578	7123	1993-07-29	PRIJEM	VKLAD	24200	65016	\N	\N	\N
2102579	7123	1993-11-23	PRIJEM	VKLAD	19867	73171	\N	\N	\N
2102582	7123	1993-12-09	PRIJEM	VKLAD	25111	83884	\N	\N	\N
2102583	7123	1993-04-22	PRIJEM	VKLAD	26000	26200	\N	\N	\N
2102585	7123	1993-08-29	PRIJEM	VKLAD	35565	80367	\N	\N	\N
2102586	7123	1993-12-14	PRIJEM	VKLAD	24012	72778	\N	\N	\N
2102587	7123	1993-11-04	PRIJEM	VKLAD	9826	101285	\N	\N	\N
2102588	7123	1993-09-23	PRIJEM	VKLAD	37778	75367	\N	\N	\N
2102590	7123	1994-01-02	PRIJEM	VKLAD	13941	85370	\N	\N	\N
2102591	7123	1994-09-14	PRIJEM	VKLAD	38827	66477	\N	\N	\N
2102592	7123	1994-10-24	PRIJEM	VKLAD	14250	41775	\N	\N	\N
2102593	7123	1994-09-08	PRIJEM	VKLAD	8670	31568	\N	\N	\N
2102594	7123	1994-12-04	PRIJEM	VKLAD	31406	117265	\N	\N	\N
2102595	7123	1994-01-22	PRIJEM	VKLAD	15175	88591	\N	\N	\N
2102596	7123	1994-07-04	PRIJEM	VKLAD	18874	87916	\N	\N	\N
2102597	7123	1994-06-05	PRIJEM	VKLAD	27650	67606	\N	\N	\N
2102598	7123	1994-02-27	PRIJEM	VKLAD	43541	135971	\N	\N	\N
2102599	7123	1994-05-06	PRIJEM	VKLAD	46206	108161	\N	\N	\N
2102600	7123	1994-12-30	PRIJEM	VKLAD	44545	113296	\N	\N	\N
2102601	7123	1994-01-08	PRIJEM	VKLAD	46216	110705	\N	\N	\N
2102602	7123	1994-12-29	PRIJEM	VKLAD	8355	68751	\N	\N	\N
2102603	7123	1994-04-05	PRIJEM	VKLAD	24012	76938	\N	\N	\N
2102604	7123	1994-07-14	PRIJEM	VKLAD	20095	65411	\N	\N	\N
2102605	7123	1994-09-02	PRIJEM	VKLAD	8843	40179	\N	\N	\N
2102606	7123	1994-04-04	PRIJEM	VKLAD	11125	52926	\N	\N	\N
2102607	7123	1994-02-18	PRIJEM	VKLAD	41075	92430	\N	\N	\N
2102608	7123	1994-02-16	PRIJEM	VKLAD	12869	51355	\N	\N	\N
2102609	7123	1994-06-22	PRIJEM	VKLAD	26647	68924	\N	\N	\N
2102610	7123	1994-10-08	PRIJEM	VKLAD	16892	55797	\N	\N	\N
2102611	7123	1994-06-11	PRIJEM	VKLAD	7770	46195	\N	\N	\N
2102612	7123	1994-01-18	PRIJEM	VKLAD	26229	80316	\N	\N	\N
2102613	7123	1994-11-27	PRIJEM	VKLAD	39884	85799	\N	\N	\N
2102614	7123	1994-11-19	PRIJEM	VKLAD	27963	45915	\N	\N	\N
2102615	7123	1994-04-22	PRIJEM	VKLAD	34860	76398	\N	\N	\N
2102616	7123	1994-05-06	PRIJEM	VKLAD	22053	130214	\N	\N	\N
2102617	7123	1994-05-08	PRIJEM	VKLAD	20451	107965	\N	\N	\N
2102618	7123	1994-12-16	PRIJEM	VKLAD	16412	64396	\N	\N	\N
2102619	7123	1996-04-25	PRIJEM	VKLAD	33234	130983	\N	\N	\N
2102620	7123	1996-07-23	PRIJEM	VKLAD	39386	93572	\N	\N	\N
2102621	7123	1996-11-15	PRIJEM	VKLAD	36576	151367	\N	\N	\N
2102622	7123	1996-05-08	PRIJEM	VKLAD	5235	31425	\N	\N	\N
2102623	7123	1996-01-16	PRIJEM	VKLAD	6181	26508	\N	\N	\N
2102624	7123	1996-03-12	PRIJEM	VKLAD	19367	23461	\N	\N	\N
2102625	7123	1996-07-08	PRIJEM	VKLAD	22560	77603	\N	\N	\N
2102626	7123	1996-06-21	PRIJEM	VKLAD	24501	77783	\N	\N	\N
2102627	7123	1996-11-09	PRIJEM	VKLAD	48317	96208	\N	\N	\N
2102628	7123	1996-04-20	PRIJEM	VKLAD	27212	62017	\N	\N	\N
2102629	7123	1996-04-21	PRIJEM	VKLAD	35732	97749	\N	\N	\N
2102630	7123	1996-01-04	PRIJEM	VKLAD	31126	35068	\N	\N	\N
2102631	7123	1996-11-13	PRIJEM	VKLAD	45583	141791	\N	\N	\N
2102632	7123	1996-10-24	PRIJEM	VKLAD	26382	76521	\N	\N	\N
2102633	7123	1996-08-28	PRIJEM	VKLAD	17229	37291	\N	\N	\N
2102634	7123	1996-10-15	PRIJEM	VKLAD	35327	53839	\N	\N	\N
2102635	7123	1996-06-11	PRIJEM	VKLAD	44935	53282	\N	\N	\N
2102636	7123	1996-01-23	PRIJEM	VKLAD	34476	82760	\N	\N	\N
2102637	7123	1996-07-06	PRIJEM	VKLAD	35451	59743	\N	\N	\N
2102638	7123	1996-04-07	PRIJEM	VKLAD	22711	38305	\N	\N	\N
2102639	7123	1996-09-19	PRIJEM	VKLAD	6843	25868	\N	\N	\N
2102640	7123	1996-04-04	PRIJEM	VKLAD	10735	30175	\N	\N	\N
2102641	7123	1996-10-30	PRIJEM	VKLAD	38565	79986	\N	\N	\N
2102642	7123	1996-01-17	PRIJEM	VKLAD	21776	48284	\N	\N	\N
2102643	7123	1996-02-04	PRIJEM	VKLAD	7794	52722	\N	\N	\N
2102644	7123	1996-01-05	PRIJEM	VKLAD	13540	45608	\N	\N	\N
2102645	7123	1996-01-29	PRIJEM	VKLAD	12003	83363	\N	\N	\N
2102646	7123	1996-05-12	PRIJEM	VKLAD	36413	67838	\N	\N	\N
2102647	7123	1996-09-25	PRIJEM	VKLAD	37791	63659	\N	\N	\N
2102648	7123	1997-11-28	PRIJEM	VKLAD	42119	102124	\N	\N	\N
2102649	7123	1997-05-29	PRIJEM	VKLAD	38494	122919	\N	\N	\N
2102650	7123	1997-05-25	PRIJEM	VKLAD	32116	87425	\N	\N	\N
2102651	7123	1997-04-16	PRIJEM	VKLAD	8431	67509	\N	\N	\N
2102652	7123	1997-11-03	PRIJEM	VKLAD	31221	67480	\N	\N	\N
2102653	7123	1997-12-30	PRIJEM	VKLAD	42409	121897	\N	\N	\N
2102654	7123	1997-07-02	PRIJEM	VKLAD	40326	69221	\N	\N	\N
2102655	7123	1997-06-09	PRIJEM	VKLAD	19087	77254	\N	\N	\N
2102656	7123	1997-02-10	PRIJEM	VKLAD	7986	16615	\N	\N	\N
2102657	7123	1997-11-28	PRIJEM	VKLAD	21073	60005	\N	\N	\N
2102658	7123	1997-01-19	PRIJEM	VKLAD	8306	59171	\N	\N	\N
2102659	7123	1997-05-24	PRIJEM	VKLAD	45943	55309	\N	\N	\N
2102660	7123	1997-09-16	PRIJEM	VKLAD	25083	73948	\N	\N	\N
2102661	7123	1997-01-18	PRIJEM	VKLAD	43502	50865	\N	\N	\N
2102662	7123	1997-02-21	PRIJEM	VKLAD	17198	29513	\N	\N	\N
2102663	7123	1997-12-22	PRIJEM	VKLAD	9304	55153	\N	\N	\N
2102664	7123	1997-12-12	PRIJEM	VKLAD	40257	127949	\N	\N	\N
2102665	7123	1997-04-05	PRIJEM	VKLAD	44414	69941	\N	\N	\N
2102666	7123	1997-06-08	PRIJEM	VKLAD	19478	58167	\N	\N	\N
2102667	7123	1997-03-14	PRIJEM	VKLAD	21428	25536	\N	\N	\N
2102668	7123	1997-12-23	PRIJEM	VKLAD	28835	83988	\N	\N	\N
2102669	7123	1997-11-06	PRIJEM	VKLAD	26733	79632	\N	\N	\N
2102670	7123	1997-09-07	PRIJEM	VKLAD	41446	57465	\N	\N	\N
2102671	7123	1997-10-11	PRIJEM	VKLAD	49027	70066	\N	\N	\N
2102672	7123	1997-04-09	PRIJEM	VKLAD	6218	61578	\N	\N	\N
2102673	7123	1998-06-17	PRIJEM	VKLAD	8580	42641	\N	\N	\N
2102674	7123	1998-06-17	PRIJEM	VKLAD	14540	34061	\N	\N	\N
2102675	7123	1998-01-04	PRIJEM	VKLAD	33823	125816	\N	\N	\N
2102676	7123	1998-04-18	PRIJEM	VKLAD	10677	58111	\N	\N	\N
2102677	7123	1998-08-21	PRIJEM	VKLAD	34670	82843	\N	\N	\N
2102678	7123	1998-02-08	PRIJEM	VKLAD	23866	111265	\N	\N	\N
2102679	7123	1998-02-05	PRIJEM	VKLAD	23409	76391	\N	\N	\N
2102680	7123	1998-09-16	PRIJEM	VKLAD	12803	65917	\N	\N	\N
2102681	7123	1998-11-07	PRIJEM	VKLAD	16412	31665	\N	\N	\N
2102682	7123	1998-06-20	PRIJEM	VKLAD	17964	60605	\N	\N	\N
2102683	7123	1998-04-23	PRIJEM	VKLAD	46091	74502	\N	\N	\N
2102684	7123	1998-02-15	PRIJEM	VKLAD	44184	157371	\N	\N	\N
2102685	7123	1998-04-01	PRIJEM	VKLAD	49101	62015	\N	\N	\N
2102686	7123	1998-11-14	PRIJEM	VKLAD	44491	76156	\N	\N	\N
2102687	7123	1998-07-18	PRIJEM	VKLAD	35794	78282	\N	\N	\N
2102688	7123	1998-09-08	PRIJEM	VKLAD	5174	53114	\N	\N	\N
2102689	7123	1998-02-11	PRIJEM	VKLAD	45922	157187	\N	\N	\N
2102690	7123	1998-11-26	PRIJEM	VKLAD	42121	105774	\N	\N	\N
2102691	7123	1998-02-08	PRIJEM	VKLAD	25589	87399	\N	\N	\N
2102692	7123	1998-01-20	PRIJEM	VKLAD	13392	63927	\N	\N	\N
2102693	7123	1998-05-17	PRIJEM	VKLAD	30454	90465	\N	\N	\N
2102694	7123	1998-12-02	PRIJEM	VKLAD	43046	148949	\N	\N	\N
2102703	7123	1993-09-04	VYDAJ	VYBER	3500	77056	\N	\N	0
2102704	7123	1993-09-28	VYDAJ	VYBER	4500	70867	\N	\N	0
2102705	7123	1993-11-07	VYDAJ	VYBER	4400	82304	\N	\N	0
2102706	7123	1993-12-12	VYDAJ	PREVOD NA UCET	3918	48766	UVER	WX	42583918
2102707	7123	1994-01-12	VYDAJ	PREVOD NA UCET	3918	54087	UVER	WX	42583918
2102708	7123	1994-02-12	VYDAJ	PREVOD NA UCET	3918	38486	UVER	WX	42583918
2102709	7123	1994-03-12	VYDAJ	PREVOD NA UCET	3918	47965	UVER	WX	42583918
2102710	7123	1994-04-12	VYDAJ	PREVOD NA UCET	3918	41538	UVER	WX	42583918
2102711	7123	1994-05-12	VYDAJ	PREVOD NA UCET	3918	62547	UVER	WX	42583918
2102712	7123	1994-06-12	VYDAJ	PREVOD NA UCET	3918	42277	UVER	WX	42583918
2102713	7123	1994-07-12	VYDAJ	PREVOD NA UCET	3918	45316	UVER	WX	42583918
2102714	7123	1994-08-12	VYDAJ	PREVOD NA UCET	3918	31275	UVER	WX	42583918
2102715	7123	1994-09-12	VYDAJ	PREVOD NA UCET	3918	27650	UVER	WX	42583918
2102716	7123	1994-10-12	VYDAJ	PREVOD NA UCET	3918	44978	UVER	WX	42583918
2102717	7123	1994-11-12	VYDAJ	PREVOD NA UCET	3918	17952	UVER	WX	42583918
2102718	7123	1994-12-20	VYDAJ	VYBER	4000	60396	\N	\N	0
2102719	7123	1995-01-11	VYDAJ	VYBER	3000	21783	\N	\N	0
2102731	7123	1996-01-15	VYDAJ	VYBER	2900	20327	\N	\N	0
2102732	7123	1996-02-05	VYDAJ	VYBER	5200	33265	\N	\N	0
2102733	7123	1996-03-13	VYDAJ	VYBER	4000	19461	\N	\N	0
2102734	7123	1996-04-09	VYDAJ	VYBER	3500	34805	\N	\N	0
2102735	7123	1996-05-14	VYDAJ	VYBER	4000	63838	\N	\N	0
2102736	7123	1996-06-09	VYDAJ	VYBER	3000	8347	\N	\N	0
2102737	7123	1996-07-06	VYDAJ	VYBER	4700	55043	\N	\N	0
2102738	7123	1996-08-11	VYDAJ	VYBER	3700	20062	\N	\N	0
2102739	7123	1996-09-08	VYDAJ	VYBER	3700	19025	\N	\N	0
2102740	7123	1996-10-21	VYDAJ	VYBER	3700	50139	\N	\N	0
2102741	7123	1996-11-20	VYDAJ	VYBER	4700	123667	\N	\N	0
2102742	7123	1996-12-09	VYDAJ	VYBER	3500	44877	\N	\N	0
2102744	7123	1997-02-15	VYDAJ	VYBER	4300	12315	\N	\N	0
2102746	7123	1997-04-14	VYDAJ	VYBER	2500	59078	\N	\N	0
2102747	7123	1997-05-15	VYDAJ	VYBER	4200	9366	\N	\N	0
2102748	7123	1997-05-28	VYDAJ	VYBER	3000	84425	\N	\N	0
2102749	7123	1997-07-21	VYDAJ	VYBER	2700	49082	\N	\N	0
2102750	7123	1997-08-27	VYDAJ	VYBER	3900	16040	\N	\N	0
2102751	7123	1997-09-07	VYDAJ	VYBER	2900	54565	\N	\N	0
2102752	7123	1997-10-10	VYDAJ	VYBER	3500	21039	\N	\N	0
2102753	7123	1997-10-27	VYDAJ	VYBER	3300	36166	\N	\N	0
2102754	7123	1997-11-24	VYDAJ	VYBER	3400	38932	\N	\N	0
2102755	7123	1998-01-06	VYDAJ	VYBER	3400	63135	\N	\N	0
2102756	7123	1998-02-03	VYDAJ	VYBER	2700	52982	\N	\N	0
2102757	7123	1998-03-14	VYDAJ	VYBER	3700	16420	\N	\N	0
2102758	7123	1998-03-28	VYDAJ	VYBER	3500	12920	\N	\N	0
2102759	7123	1998-05-18	VYDAJ	VYBER	4100	37565	\N	\N	0
2102760	7123	1998-06-10	VYDAJ	VYBER	3600	19521	\N	\N	0
2102761	7123	1998-06-29	VYDAJ	VYBER	3600	57005	\N	\N	0
2102762	7123	1998-08-10	VYDAJ	VYBER	4000	59873	\N	\N	0
2102763	7123	1998-09-06	VYDAJ	VYBER	4300	47940	\N	\N	0
2102764	7123	1998-10-10	VYDAJ	VYBER	3500	32386	\N	\N	0
2102765	7123	1998-10-28	VYDAJ	VYBER	2600	29786	\N	\N	0
2102766	7123	1998-12-17	VYDAJ	VYBER	3900	76668	\N	\N	0
2102775	7123	1993-09-05	VYDAJ	PREVOD NA UCET	14581	62475	SIPO	KL	42013669
2102776	7123	1993-10-05	VYDAJ	PREVOD NA UCET	14581	56424	SIPO	KL	42013669
2102777	7123	1993-11-05	VYDAJ	PREVOD NA UCET	14581	86704	SIPO	KL	42013669
2102778	7123	1993-12-05	VYDAJ	PREVOD NA UCET	14581	58773	SIPO	KL	42013669
2102779	7123	1994-01-05	VYDAJ	PREVOD NA UCET	14581	70789	SIPO	KL	42013669
2102780	7123	1994-02-05	VYDAJ	PREVOD NA UCET	14581	59204	SIPO	KL	42013669
2102781	7123	1994-03-05	VYDAJ	PREVOD NA UCET	14581	77083	SIPO	KL	42013669
2102782	7123	1994-04-05	VYDAJ	PREVOD NA UCET	14581	62357	SIPO	KL	42013669
2102783	7123	1994-05-05	VYDAJ	PREVOD NA UCET	14581	61955	SIPO	KL	42013669
2102784	7123	1994-06-05	VYDAJ	PREVOD NA UCET	14581	53025	SIPO	KL	42013669
2102785	7123	1994-07-05	VYDAJ	PREVOD NA UCET	14581	73335	SIPO	KL	42013669
2102786	7123	1994-08-05	VYDAJ	PREVOD NA UCET	14581	50994	SIPO	KL	42013669
2102787	7123	1994-09-05	VYDAJ	PREVOD NA UCET	14581	25598	SIPO	KL	42013669
2102788	7123	1994-10-05	VYDAJ	PREVOD NA UCET	14581	52005	SIPO	KL	42013669
2102789	7123	1994-11-05	VYDAJ	PREVOD NA UCET	14581	27270	SIPO	KL	42013669
2102790	7123	1994-12-05	VYDAJ	PREVOD NA UCET	14581	53684	SIPO	KL	42013669
2102791	7123	1995-01-05	VYDAJ	PREVOD NA UCET	14581	24783	SIPO	KL	42013669
2102792	7123	1995-02-05	VYDAJ	PREVOD NA UCET	14581	4820	SIPO	KL	42013669
2102803	7123	1996-01-05	VYDAJ	PREVOD NA UCET	14581	31027	SIPO	KL	42013669
2102804	7123	1996-02-05	VYDAJ	PREVOD NA UCET	14581	18684	SIPO	KL	42013669
2102805	7123	1996-03-05	VYDAJ	PREVOD NA UCET	14581	4094	SIPO	KL	42013669
2102806	7123	1996-04-05	VYDAJ	PREVOD NA UCET	14581	15594	SIPO	KL	42013669
2102807	7123	1996-05-05	VYDAJ	PREVOD NA UCET	14581	26190	SIPO	KL	42013669
2102808	7123	1996-06-05	VYDAJ	PREVOD NA UCET	14581	11347	SIPO	KL	42013669
2102809	7123	1996-07-05	VYDAJ	PREVOD NA UCET	14581	24292	SIPO	KL	42013669
2102810	7123	1996-08-05	VYDAJ	PREVOD NA UCET	14581	23762	SIPO	KL	42013669
2102811	7123	1996-09-05	VYDAJ	PREVOD NA UCET	14581	22725	SIPO	KL	42013669
2102812	7123	1996-10-05	VYDAJ	PREVOD NA UCET	14581	18512	SIPO	KL	42013669
2102813	7123	1996-11-05	VYDAJ	PREVOD NA UCET	14581	47891	SIPO	KL	42013669
2102814	7123	1996-12-05	VYDAJ	PREVOD NA UCET	14581	48377	SIPO	KL	42013669
2102815	7123	1997-01-05	VYDAJ	PREVOD NA UCET	14581	7363	SIPO	KL	42013669
2102816	7123	1997-02-05	VYDAJ	PREVOD NA UCET	14581	8629	SIPO	KL	42013669
2102817	7123	1997-03-05	VYDAJ	PREVOD NA UCET	14581	4108	SIPO	KL	42013669
2102818	7123	1997-04-05	VYDAJ	PREVOD NA UCET	14581	55360	SIPO	KL	42013669
2102819	7123	1997-05-05	VYDAJ	PREVOD NA UCET	14581	13566	SIPO	KL	42013669
2102820	7123	1997-06-05	VYDAJ	PREVOD NA UCET	14581	38689	SIPO	KL	42013669
2102821	7123	1997-07-05	VYDAJ	PREVOD NA UCET	14581	54640	SIPO	KL	42013669
2102824	7123	1997-10-05	VYDAJ	PREVOD NA UCET	14581	24539	SIPO	KL	42013669
2102825	7123	1997-11-05	VYDAJ	PREVOD NA UCET	14581	52899	SIPO	KL	42013669
2102826	7123	1997-12-05	VYDAJ	PREVOD NA UCET	14581	87692	SIPO	KL	42013669
2102827	7123	1998-01-05	VYDAJ	PREVOD NA UCET	14581	66535	SIPO	KL	42013669
2102828	7123	1998-02-05	VYDAJ	PREVOD NA UCET	14581	61810	SIPO	KL	42013669
2102829	7123	1998-03-05	VYDAJ	PREVOD NA UCET	14581	20120	SIPO	KL	42013669
2102830	7123	1998-04-05	VYDAJ	PREVOD NA UCET	14581	47434	SIPO	KL	42013669
2102831	7123	1998-05-05	VYDAJ	PREVOD NA UCET	14581	60011	SIPO	KL	42013669
2102832	7123	1998-06-05	VYDAJ	PREVOD NA UCET	14581	23121	SIPO	KL	42013669
2102833	7123	1998-07-05	VYDAJ	PREVOD NA UCET	14581	42488	SIPO	KL	42013669
2102834	7123	1998-08-05	VYDAJ	PREVOD NA UCET	14581	63873	SIPO	KL	42013669
2102835	7123	1998-09-05	VYDAJ	PREVOD NA UCET	14581	60940	SIPO	KL	42013669
2102836	7123	1998-10-05	VYDAJ	PREVOD NA UCET	14581	35886	SIPO	KL	42013669
2102837	7123	1998-11-05	VYDAJ	PREVOD NA UCET	14581	15253	SIPO	KL	42013669
2102838	7123	1998-12-05	VYDAJ	PREVOD NA UCET	14581	80568	SIPO	KL	42013669
2102839	7123	1993-09-07	VYBER	VYBER	5486	56989	\N	\N	\N
2102844	7123	1994-10-14	VYBER	VYBER	17453	27525	\N	\N	\N
2102845	7123	1994-05-21	VYBER	VYBER	20339	39808	\N	\N	\N
2102856	7123	1996-11-03	VYBER	VYBER	17597	62472	\N	\N	\N
2102857	7123	1996-02-05	VYBER	VYBER	14257	38465	\N	\N	\N
2102858	7123	1996-07-13	VYBER	VYBER	23417	54186	\N	\N	\N
2102860	7123	1996-07-29	VYBER	VYBER	10873	38199	\N	\N	\N
2102864	7123	1996-05-21	VYBER	VYBER	11804	52034	\N	\N	\N
2102868	7123	1997-04-23	VYBER	VYBER	4645	62864	\N	\N	\N
2102870	7123	1997-06-15	VYBER	VYBER	13977	63277	\N	\N	\N
2102878	7123	1997-07-08	VYBER	VYBER	2858	51782	\N	\N	\N
2102879	7123	1997-04-26	VYBER	VYBER	6137	28027	\N	\N	\N
2102880	7123	1998-02-26	VYBER	VYBER	12051	34520	\N	\N	\N
2102881	7123	1998-11-15	VYBER	VYBER	12503	63653	\N	\N	\N
2102882	7123	1998-09-21	VYBER	VYBER	15584	50333	\N	\N	\N
2102883	7123	1993-12-26	VYDAJ	VYBER	3900	71236	\N	\N	\N
2102884	7123	1994-12-11	VYDAJ	VYBER	5700	47984	\N	\N	\N
2102886	7123	1996-12-16	VYDAJ	VYBER	4800	40077	\N	\N	\N
2102887	7123	1997-12-23	VYDAJ	VYBER	4500	79488	\N	\N	\N
2102888	7123	1998-12-30	VYDAJ	VYBER	1800	74868	\N	\N	\N
2102895	7123	1994-01-06	VYDAJ	VYBER	6300	64489	\N	\N	\N
2102896	7123	1994-01-29	VYDAJ	VYBER	8100	73591	\N	\N	\N
2102897	7123	1994-01-28	VYDAJ	VYBER	2700	81691	\N	\N	\N
2102898	7123	1994-01-24	VYDAJ	VYBER	4200	84391	\N	\N	\N
2102899	7123	1994-01-08	VYDAJ	VYBER	3300	87405	\N	\N	\N
2102900	7123	1994-01-19	VYDAJ	VYBER	6900	73416	\N	\N	\N
2102901	7123	1995-01-03	VYDAJ	VYBER	3300	71664	\N	\N	\N
2102906	7123	1995-01-02	VYDAJ	VYBER	3600	74964	\N	\N	\N
2102908	7123	1996-01-04	VYDAJ	VYBER	3000	32068	\N	\N	\N
2102910	7123	1996-01-06	VYDAJ	VYBER	7800	23227	\N	\N	\N
2102911	7123	1996-01-27	VYDAJ	VYBER	8400	71360	\N	\N	\N
2102912	7123	1996-01-24	VYDAJ	VYBER	3000	79760	\N	\N	\N
2102915	7123	1997-01-22	VYDAJ	VYBER	7200	51971	\N	\N	\N
2102918	7123	1997-01-23	VYDAJ	VYBER	4200	23171	\N	\N	\N
2102919	7123	1998-01-04	VYDAJ	VYBER	1800	124016	\N	\N	\N
2102920	7123	1998-01-25	VYDAJ	VYBER	6600	57327	\N	\N	\N
2102921	7123	1998-01-28	VYDAJ	VYBER	1800	55527	\N	\N	\N
2102922	7123	1998-01-08	VYDAJ	VYBER	3300	59835	\N	\N	\N
2102923	7123	1998-01-13	VYDAJ	VYBER	5100	54735	\N	\N	\N
2102924	7123	1998-01-15	VYDAJ	VYBER	4200	50535	\N	\N	\N
2102930	7123	1993-10-20	VYDAJ	VYBER	3300	47398	\N	\N	\N
2102931	7123	1994-10-09	VYDAJ	VYBER	6900	48897	\N	\N	\N
2102932	7123	1994-03-03	VYDAJ	VYBER	6000	91664	\N	\N	\N
2102933	7123	1994-03-19	VYDAJ	VYBER	6300	41665	\N	\N	\N
2102934	7123	1994-05-17	VYDAJ	VYBER	2400	60147	\N	\N	\N
2102936	7123	1995-01-04	VYDAJ	VYBER	6900	64764	\N	\N	\N
2102941	7123	1996-12-03	VYDAJ	VYBER	2100	62958	\N	\N	\N
2102950	7123	1997-09-08	VYDAJ	VYBER	5700	48865	\N	\N	\N
2102953	7123	1998-08-14	VYDAJ	VYBER	11700	48173	\N	\N	\N
2102954	7123	1998-08-22	VYDAJ	VYBER	7500	75343	\N	\N	\N
2102955	7123	1998-09-06	VYDAJ	VYBER	8700	52240	\N	\N	\N
2102964	7123	1993-08-31	VYDAJ	VYBER	100	80556	SLUZBY	\N	\N
2102965	7123	1993-09-30	VYDAJ	VYBER	100	71005	SLUZBY	\N	\N
2102966	7123	1993-10-31	VYDAJ	VYBER	100	79418	SLUZBY	\N	\N
2102967	7123	1993-11-30	VYDAJ	VYBER	100	73354	SLUZBY	\N	\N
2102968	7123	1993-12-31	VYDAJ	VYBER	100	71429	SLUZBY	\N	\N
2102969	7123	1994-01-31	VYDAJ	VYBER	100	73785	SLUZBY	\N	\N
2102970	7123	1994-02-28	VYDAJ	VYBER	100	97664	SLUZBY	\N	\N
2102971	7123	1994-03-31	VYDAJ	VYBER	100	41801	SLUZBY	\N	\N
2102972	7123	1994-04-30	VYDAJ	VYBER	100	76536	SLUZBY	\N	\N
2102973	7123	1994-05-31	VYDAJ	VYBER	100	39956	SLUZBY	\N	\N
2102974	7123	1994-06-30	VYDAJ	VYBER	100	69042	SLUZBY	\N	\N
2102975	7123	1994-07-31	VYDAJ	VYBER	100	65575	SLUZBY	\N	\N
2102976	7123	1994-08-31	VYDAJ	VYBER	100	31336	SLUZBY	\N	\N
2102977	7123	1994-09-30	VYDAJ	VYBER	100	66586	SLUZBY	\N	\N
2102978	7123	1994-10-31	VYDAJ	VYBER	100	41851	SLUZBY	\N	\N
2102979	7123	1994-11-30	VYDAJ	VYBER	100	85859	SLUZBY	\N	\N
2102980	7123	1994-12-31	VYDAJ	VYBER	100	78564	SLUZBY	\N	\N
2102981	7123	1995-01-31	VYDAJ	VYBER	100	21801	SLUZBY	\N	\N
2102982	7123	1995-02-28	VYDAJ	VYBER	100	4750	SLUZBY	\N	\N
2102983	7123	1995-03-31	VYDAJ	VYBER	100	4650	SLUZBY	\N	\N
2102984	7123	1995-04-30	VYDAJ	VYBER	100	4588	SLUZBY	\N	\N
2102985	7123	1995-05-31	VYDAJ	VYBER	100	4488	SLUZBY	\N	\N
2102986	7123	1995-06-30	VYDAJ	VYBER	100	4427	SLUZBY	\N	\N
2102987	7123	1995-07-31	VYDAJ	VYBER	100	4346	SLUZBY	\N	\N
2102988	7123	1995-08-31	VYDAJ	VYBER	100	4246	SLUZBY	\N	\N
2102989	7123	1995-09-30	VYDAJ	VYBER	100	4184	SLUZBY	\N	\N
2102990	7123	1995-10-31	VYDAJ	VYBER	100	4084	SLUZBY	\N	\N
2102991	7123	1995-11-30	VYDAJ	VYBER	100	4023	SLUZBY	\N	\N
2102992	7123	1995-12-31	VYDAJ	VYBER	100	3942	SLUZBY	\N	\N
2102993	7123	1996-01-31	VYDAJ	VYBER	100	44928	SLUZBY	\N	\N
2102994	7123	1996-02-29	VYDAJ	VYBER	100	18675	SLUZBY	\N	\N
2102995	7123	1996-03-31	VYDAJ	VYBER	100	19440	SLUZBY	\N	\N
2102996	7123	1996-04-30	VYDAJ	VYBER	100	40771	SLUZBY	\N	\N
2102997	7123	1996-05-31	VYDAJ	VYBER	100	25928	SLUZBY	\N	\N
2102998	7123	1996-06-30	VYDAJ	VYBER	100	38873	SLUZBY	\N	\N
2102999	7123	1996-07-31	VYDAJ	VYBER	100	38343	SLUZBY	\N	\N
2103000	7123	1996-08-31	VYDAJ	VYBER	100	37306	SLUZBY	\N	\N
2103001	7123	1996-09-30	VYDAJ	VYBER	100	33093	SLUZBY	\N	\N
2103002	7123	1996-10-31	VYDAJ	VYBER	100	80069	SLUZBY	\N	\N
2103003	7123	1996-11-30	VYDAJ	VYBER	100	65058	SLUZBY	\N	\N
2103004	7123	1996-12-31	VYDAJ	VYBER	100	21944	SLUZBY	\N	\N
2103005	7123	1997-01-31	VYDAJ	VYBER	100	23210	SLUZBY	\N	\N
2103006	7123	1997-02-28	VYDAJ	VYBER	100	18689	SLUZBY	\N	\N
2103007	7123	1997-03-31	VYDAJ	VYBER	100	25527	SLUZBY	\N	\N
2103008	7123	1997-04-30	VYDAJ	VYBER	100	28147	SLUZBY	\N	\N
2103009	7123	1997-05-31	VYDAJ	VYBER	100	107570	SLUZBY	\N	\N
2103010	7123	1997-06-30	VYDAJ	VYBER	100	28895	SLUZBY	\N	\N
2103011	7123	1997-07-31	VYDAJ	VYBER	100	19940	SLUZBY	\N	\N
2103012	7123	1997-08-31	VYDAJ	VYBER	100	16019	SLUZBY	\N	\N
2103013	7123	1997-09-30	VYDAJ	VYBER	100	39120	SLUZBY	\N	\N
2103014	7123	1997-10-31	VYDAJ	VYBER	100	36259	SLUZBY	\N	\N
2103015	7123	1997-11-30	VYDAJ	VYBER	100	102273	SLUZBY	\N	\N
2103016	7123	1997-12-31	VYDAJ	VYBER	100	122193	SLUZBY	\N	\N
2103017	7123	1998-01-31	VYDAJ	VYBER	100	55682	SLUZBY	\N	\N
2103018	7123	1998-02-28	VYDAJ	VYBER	100	34701	SLUZBY	\N	\N
2103019	7123	1998-03-31	VYDAJ	VYBER	100	12914	SLUZBY	\N	\N
2103020	7123	1998-04-30	VYDAJ	VYBER	100	74592	SLUZBY	\N	\N
2103021	7123	1998-05-31	VYDAJ	VYBER	100	37702	SLUZBY	\N	\N
2103022	7123	1998-06-30	VYDAJ	VYBER	100	57069	SLUZBY	\N	\N
2103023	7123	1998-07-31	VYDAJ	VYBER	100	78454	SLUZBY	\N	\N
2103024	7123	1998-08-31	VYDAJ	VYBER	100	75521	SLUZBY	\N	\N
2103025	7123	1998-09-30	VYDAJ	VYBER	100	50467	SLUZBY	\N	\N
2103026	7123	1998-10-31	VYDAJ	VYBER	100	29834	SLUZBY	\N	\N
2103027	7123	1998-11-30	VYDAJ	VYBER	100	105903	SLUZBY	\N	\N
2103028	7123	1993-05-14	VYDAJ	VYBER	2400	23833	\N	\N	\N
2103029	7123	1993-06-13	PRIJEM	VKLAD	1500	25442	\N	\N	\N
2103030	7123	1993-07-13	VYDAJ	VYBER	11300	40816	\N	\N	\N
2103031	7123	1993-08-03	VYDAJ	VYBER	51800	61102	\N	\N	\N
2103032	7123	1993-08-12	VYDAJ	VYBER	16300	44802	\N	\N	\N
2103033	7123	1993-09-11	VYDAJ	VYBER	19400	37589	\N	\N	\N
2103034	7123	1993-10-11	VYDAJ	VYBER	17800	38624	\N	\N	\N
2103035	7123	1993-11-10	VYDAJ	VYBER	29000	53304	\N	\N	\N
2103036	7123	1993-12-10	VYDAJ	VYBER	31200	52684	\N	\N	\N
2103037	7123	1993-12-23	VYDAJ	VYBER	28100	75136	\N	\N	\N
2103038	7123	1994-01-08	VYDAJ	VYBER	20000	90705	\N	\N	\N
2103039	7123	1994-01-09	VYDAJ	VYBER	29400	58005	\N	\N	\N
2103040	7123	1994-02-08	VYDAJ	VYBER	16800	42404	\N	\N	\N
2103041	7123	1994-02-27	VYDAJ	VYBER	38500	97471	\N	\N	\N
2103042	7123	1994-03-10	VYDAJ	VYBER	25200	51883	\N	\N	\N
2103043	7123	1994-04-09	VYDAJ	VYBER	16900	45457	\N	\N	\N
2103044	7123	1994-05-06	VYDAJ	VYBER	42700	87514	\N	\N	\N
2103045	7123	1994-05-09	VYDAJ	VYBER	41500	66465	\N	\N	\N
2103046	7123	1994-06-08	VYDAJ	VYBER	14600	38425	\N	\N	\N
2103047	7123	1994-07-08	VYDAJ	VYBER	24100	49235	\N	\N	\N
2103048	7123	1994-08-07	VYDAJ	VYBER	15800	35194	\N	\N	\N
2103049	7123	1994-09-06	VYDAJ	VYBER	2700	22898	\N	\N	\N
2103050	7123	1994-10-06	VYDAJ	VYBER	13100	38905	\N	\N	\N
2103051	7123	1994-11-05	VYDAJ	VYBER	5400	21870	\N	\N	\N
2103052	7123	1994-12-04	VYDAJ	VYBER	15300	101965	\N	\N	\N
2103053	7123	1994-12-05	VYDAJ	VYBER	33700	68265	\N	\N	\N
2103054	7123	1994-12-30	VYDAJ	VYBER	34900	78396	\N	\N	\N
2103055	7123	1995-01-04	VYDAJ	VYBER	25400	39364	\N	\N	\N
2103056	7123	1995-02-03	VYDAJ	VYBER	2400	19401	\N	\N	\N
2103057	7123	1996-01-29	VYDAJ	VYBER	38500	44863	\N	\N	\N
2103058	7123	1996-04-25	VYDAJ	VYBER	57000	73983	\N	\N	\N
2103059	7123	1996-04-28	VYDAJ	VYBER	33300	40683	\N	\N	\N
2103060	7123	1996-05-28	VYDAJ	VYBER	26200	25834	\N	\N	\N
2103061	7123	1996-06-27	VYDAJ	VYBER	39000	38783	\N	\N	\N
2103062	7123	1996-07-27	VYDAJ	VYBER	44500	49072	\N	\N	\N
2103063	7123	1996-09-25	VYDAJ	VYBER	30600	33059	\N	\N	\N
2103064	7123	1996-10-25	VYDAJ	VYBER	35100	41421	\N	\N	\N
2103065	7123	1996-11-13	VYDAJ	VYBER	27000	114791	\N	\N	\N
2103066	7123	1996-11-15	VYDAJ	VYBER	23000	128367	\N	\N	\N
2103067	7123	1996-11-24	VYDAJ	VYBER	58900	64767	\N	\N	\N
2103068	7123	1996-12-24	VYDAJ	VYBER	18200	21877	\N	\N	\N
2103069	7123	1997-01-23	VYDAJ	VYBER	24600	27371	\N	\N	\N
2103070	7123	1997-02-22	VYDAJ	VYBER	10800	18713	\N	\N	\N
2103071	7123	1997-04-23	VYDAJ	VYBER	28700	34164	\N	\N	\N
2103072	7123	1997-05-29	VYDAJ	VYBER	15400	107519	\N	\N	\N
2103073	7123	1997-05-31	VYDAJ	VYBER	54300	53270	\N	\N	\N
2103074	7123	1997-06-22	VYDAJ	VYBER	34500	28777	\N	\N	\N
2103075	7123	1997-07-22	VYDAJ	VYBER	29200	19882	\N	\N	\N
2103076	7123	1997-09-20	VYDAJ	VYBER	34900	39048	\N	\N	\N
2103077	7123	1997-10-20	VYDAJ	VYBER	30600	39466	\N	\N	\N
2103078	7123	1997-11-19	VYDAJ	VYBER	37300	42332	\N	\N	\N
2103079	7123	1997-12-12	VYDAJ	VYBER	33100	94849	\N	\N	\N
2103080	7123	1997-12-19	VYDAJ	VYBER	49000	45849	\N	\N	\N
2103081	7123	1997-12-31	VYDAJ	VYBER	30200	91993	\N	\N	\N
2103082	7123	1998-01-04	VYDAJ	VYBER	42900	81116	\N	\N	\N
2103083	7123	1998-02-11	VYDAJ	VYBER	17500	139687	\N	\N	\N
2103084	7123	1998-02-12	VYDAJ	VYBER	26500	113187	\N	\N	\N
2103085	7123	1998-02-15	VYDAJ	VYBER	53300	104071	\N	\N	\N
2103086	7123	1998-02-17	VYDAJ	VYBER	57500	46571	\N	\N	\N
2103087	7123	1998-04-18	VYDAJ	VYBER	29700	28411	\N	\N	\N
2103088	7123	1998-05-18	VYDAJ	VYBER	48800	41665	\N	\N	\N
2103089	7123	1998-12-02	VYDAJ	VYBER	53800	95149	\N	\N	\N
2106509	7133	1993-09-17	PRIJEM	VKLAD	300	300	\N	\N	\N
2106519	7133	1993-10-12	PRIJEM	VKLAD	4347	4647	\N	\N	\N
2106520	7133	1993-11-12	PRIJEM	VKLAD	4347	21128	\N	\N	\N
2106521	7133	1993-12-12	PRIJEM	VKLAD	6520	29130	\N	\N	\N
2106522	7133	1994-01-12	PRIJEM	VKLAD	4347	33484	\N	\N	\N
2106523	7133	1994-02-12	PRIJEM	VKLAD	4347	33152	\N	\N	\N
2106524	7133	1994-03-12	PRIJEM	VKLAD	4347	27400	\N	\N	\N
2106525	7133	1994-04-12	PRIJEM	VKLAD	4347	16431	\N	\N	\N
2106526	7133	1994-05-12	PRIJEM	VKLAD	4347	23634	\N	\N	\N
2106527	7133	1994-06-12	PRIJEM	VKLAD	6520	24884	\N	\N	\N
2106528	7133	1994-07-12	PRIJEM	VKLAD	4347	27809	\N	\N	\N
2106529	7133	1994-08-12	PRIJEM	VKLAD	4347	28449	\N	\N	\N
2106530	7133	1994-09-12	PRIJEM	VKLAD	4347	27683	\N	\N	\N
2106531	7133	1994-10-12	PRIJEM	VKLAD	4347	27823	\N	\N	\N
2106532	7133	1994-11-12	PRIJEM	VKLAD	4347	29557	\N	\N	\N
2106533	7133	1994-12-12	PRIJEM	VKLAD	6520	33815	\N	\N	\N
2106534	7133	1995-01-12	PRIJEM	VKLAD	4347	27725	\N	\N	\N
2106535	7133	1995-02-12	PRIJEM	VKLAD	4347	21054	\N	\N	\N
2106536	7133	1995-03-12	PRIJEM	VKLAD	4347	26500	\N	\N	\N
2106537	7133	1995-04-12	PRIJEM	VKLAD	4347	24323	\N	\N	\N
2106538	7133	1995-05-12	PRIJEM	VKLAD	4347	29585	\N	\N	\N
2106539	7133	1995-06-12	PRIJEM	VKLAD	6520	32138	\N	\N	\N
2106540	7133	1995-07-12	PRIJEM	VKLAD	4347	31733	\N	\N	\N
2106541	7133	1995-08-12	PRIJEM	VKLAD	4347	28595	\N	\N	\N
2106542	7133	1995-09-12	PRIJEM	VKLAD	4347	30774	\N	\N	\N
2106543	7133	1995-10-12	PRIJEM	VKLAD	4347	27704	\N	\N	\N
2106544	7133	1995-11-12	PRIJEM	VKLAD	4347	27687	\N	\N	\N
2106545	7133	1995-12-12	PRIJEM	VKLAD	6520	31640	\N	\N	\N
2106546	7133	1996-01-12	PRIJEM	VKLAD	4347	19163	\N	\N	\N
2106547	7133	1996-02-12	PRIJEM	VKLAD	4347	18308	\N	\N	\N
2106548	7133	1996-03-12	PRIJEM	VKLAD	4347	21647	\N	\N	\N
2106549	7133	1996-04-12	PRIJEM	VKLAD	4347	20597	\N	\N	\N
2106550	7133	1996-05-12	PRIJEM	VKLAD	4347	18666	\N	\N	\N
2106551	7133	1996-06-12	PRIJEM	VKLAD	6520	18983	\N	\N	\N
2106552	7133	1996-07-12	PRIJEM	VKLAD	4347	19727	\N	\N	\N
2106553	7133	1996-08-12	PRIJEM	VKLAD	4347	17472	\N	\N	\N
2106554	7133	1996-09-12	PRIJEM	VKLAD	4347	14852	\N	\N	\N
2106555	7133	1996-10-12	PRIJEM	VKLAD	4347	14781	\N	\N	\N
2106556	7133	1996-11-12	PRIJEM	VKLAD	4347	14907	\N	\N	\N
2106557	7133	1996-12-12	PRIJEM	VKLAD	6520	17207	\N	\N	\N
2106558	7133	1997-01-12	PRIJEM	VKLAD	4347	17940	\N	\N	\N
2106559	7133	1997-02-12	PRIJEM	VKLAD	4347	17379	\N	\N	\N
2106560	7133	1997-03-12	PRIJEM	VKLAD	4347	20916	\N	\N	\N
2106561	7133	1997-04-12	PRIJEM	VKLAD	4347	18957	\N	\N	\N
2106562	7133	1997-05-12	PRIJEM	VKLAD	4347	21402	\N	\N	\N
2106563	7133	1997-06-12	PRIJEM	VKLAD	6520	21428	\N	\N	\N
2106564	7133	1997-07-12	PRIJEM	VKLAD	4347	19983	\N	\N	\N
2106565	7133	1997-08-12	PRIJEM	VKLAD	4347	19229	\N	\N	\N
2106566	7133	1997-09-12	PRIJEM	VKLAD	4347	16372	\N	\N	\N
2106567	7133	1997-10-12	PRIJEM	VKLAD	4347	18806	\N	\N	\N
2106568	7133	1997-11-12	PRIJEM	VKLAD	4347	16948	\N	\N	\N
2106569	7133	1997-12-12	PRIJEM	VKLAD	6520	18975	\N	\N	\N
2106570	7133	1998-01-12	PRIJEM	VKLAD	4347	15466	\N	\N	\N
2106571	7133	1998-02-12	PRIJEM	VKLAD	4347	15548	\N	\N	\N
2106572	7133	1998-03-12	PRIJEM	VKLAD	4347	17032	\N	\N	\N
2106573	7133	1998-04-12	PRIJEM	VKLAD	4347	18422	\N	\N	\N
2106574	7133	1998-05-12	PRIJEM	VKLAD	4347	19018	\N	\N	\N
2106575	7133	1998-06-12	PRIJEM	VKLAD	6520	22291	\N	\N	\N
2106576	7133	1998-07-12	PRIJEM	VKLAD	4347	20498	\N	\N	\N
2106577	7133	1998-08-12	PRIJEM	VKLAD	4347	15694	\N	\N	\N
2106578	7133	1998-09-12	PRIJEM	VKLAD	4347	16181	\N	\N	\N
2106579	7133	1998-10-12	PRIJEM	VKLAD	4347	16868	\N	\N	\N
2106580	7133	1998-11-12	PRIJEM	VKLAD	4347	17257	\N	\N	\N
2106581	7133	1998-12-12	PRIJEM	VKLAD	6520	20920	\N	\N	\N
2106595	7133	1994-02-12	VYDAJ	PREVOD NA UCET	2683	30469	SIPO	CD	49628651
2106596	7133	1994-03-12	VYDAJ	PREVOD NA UCET	2683	24602	SIPO	CD	49628651
2106597	7133	1994-04-12	VYDAJ	PREVOD NA UCET	2683	13633	SIPO	CD	49628651
2106598	7133	1994-05-12	VYDAJ	PREVOD NA UCET	2683	20836	SIPO	CD	49628651
2106599	7133	1994-06-12	VYDAJ	PREVOD NA UCET	2683	22201	SIPO	CD	49628651
2106600	7133	1994-07-12	VYDAJ	PREVOD NA UCET	2683	25011	SIPO	CD	49628651
2106601	7133	1994-08-12	VYDAJ	PREVOD NA UCET	2683	25766	SIPO	CD	49628651
2106602	7133	1994-09-12	VYDAJ	PREVOD NA UCET	2683	27000	SIPO	CD	49628651
2106603	7133	1994-10-12	VYDAJ	PREVOD NA UCET	2683	25140	SIPO	CD	49628651
2106604	7133	1994-11-12	VYDAJ	PREVOD NA UCET	2683	26874	SIPO	CD	49628651
2106605	7133	1994-12-12	VYDAJ	PREVOD NA UCET	2683	29665	SIPO	CD	49628651
2106606	7133	1995-01-12	VYDAJ	PREVOD NA UCET	2683	25042	SIPO	CD	49628651
2106607	7133	1995-02-12	VYDAJ	PREVOD NA UCET	2683	17019	SIPO	CD	49628651
2106608	7133	1995-03-12	VYDAJ	PREVOD NA UCET	2683	22350	SIPO	CD	49628651
2106609	7133	1995-04-12	VYDAJ	PREVOD NA UCET	2683	21525	SIPO	CD	49628651
2106610	7133	1995-05-12	VYDAJ	PREVOD NA UCET	2683	25550	SIPO	CD	49628651
2106611	7133	1995-06-12	VYDAJ	PREVOD NA UCET	2683	29455	SIPO	CD	49628651
2106612	7133	1995-07-12	VYDAJ	PREVOD NA UCET	2683	29050	SIPO	CD	49628651
2106613	7133	1995-08-12	VYDAJ	PREVOD NA UCET	2683	24560	SIPO	CD	49628651
2106614	7133	1995-09-12	VYDAJ	PREVOD NA UCET	2683	26624	SIPO	CD	49628651
2106615	7133	1995-10-12	VYDAJ	PREVOD NA UCET	2683	25021	SIPO	CD	49628651
2106616	7133	1995-11-12	VYDAJ	PREVOD NA UCET	2683	23537	SIPO	CD	49628651
2106617	7133	1995-12-12	VYDAJ	PREVOD NA UCET	2683	28957	SIPO	CD	49628651
2106618	7133	1996-01-12	VYDAJ	PREVOD NA UCET	2683	15013	SIPO	CD	49628651
2106619	7133	1996-02-12	VYDAJ	PREVOD NA UCET	2683	15625	SIPO	CD	49628651
2106620	7133	1996-03-12	VYDAJ	PREVOD NA UCET	2683	17612	SIPO	CD	49628651
2106621	7133	1996-04-12	VYDAJ	PREVOD NA UCET	2683	17914	SIPO	CD	49628651
2106622	7133	1996-05-12	VYDAJ	PREVOD NA UCET	2683	14516	SIPO	CD	49628651
2106623	7133	1996-06-12	VYDAJ	PREVOD NA UCET	2683	16185	SIPO	CD	49628651
2106624	7133	1996-07-12	VYDAJ	PREVOD NA UCET	2683	16929	SIPO	CD	49628651
2106625	7133	1996-08-12	VYDAJ	PREVOD NA UCET	2683	13322	SIPO	CD	49628651
2106626	7133	1996-09-12	VYDAJ	PREVOD NA UCET	2683	12054	SIPO	CD	49628651
2106627	7133	1996-10-12	VYDAJ	PREVOD NA UCET	2683	12098	SIPO	CD	49628651
2106628	7133	1996-11-12	VYDAJ	PREVOD NA UCET	2683	12109	SIPO	CD	49628651
2106629	7133	1996-12-12	VYDAJ	PREVOD NA UCET	2683	13057	SIPO	CD	49628651
2106630	7133	1997-01-12	VYDAJ	PREVOD NA UCET	2683	13790	SIPO	CD	49628651
2106631	7133	1997-02-12	VYDAJ	PREVOD NA UCET	2683	13344	SIPO	CD	49628651
2106632	7133	1997-03-12	VYDAJ	PREVOD NA UCET	2683	18118	SIPO	CD	49628651
2106633	7133	1997-04-12	VYDAJ	PREVOD NA UCET	2683	14807	SIPO	CD	49628651
2106634	7133	1997-05-12	VYDAJ	PREVOD NA UCET	2683	17367	SIPO	CD	49628651
2106635	7133	1997-06-12	VYDAJ	PREVOD NA UCET	2683	17393	SIPO	CD	49628651
2106636	7133	1997-07-12	VYDAJ	PREVOD NA UCET	2683	17300	SIPO	CD	49628651
2106637	7133	1997-08-12	VYDAJ	PREVOD NA UCET	2683	15194	SIPO	CD	49628651
2106638	7133	1997-09-12	VYDAJ	PREVOD NA UCET	2683	12337	SIPO	CD	49628651
2106639	7133	1997-10-12	VYDAJ	PREVOD NA UCET	2683	14771	SIPO	CD	49628651
2106640	7133	1997-11-12	VYDAJ	PREVOD NA UCET	2683	14150	SIPO	CD	49628651
2106641	7133	1997-12-12	VYDAJ	PREVOD NA UCET	2683	16292	SIPO	CD	49628651
2106642	7133	1998-01-12	VYDAJ	PREVOD NA UCET	2683	12668	SIPO	CD	49628651
2106643	7133	1998-02-12	VYDAJ	PREVOD NA UCET	2683	12865	SIPO	CD	49628651
2106644	7133	1998-03-12	VYDAJ	PREVOD NA UCET	2683	14234	SIPO	CD	49628651
2106645	7133	1998-04-12	VYDAJ	PREVOD NA UCET	2683	15739	SIPO	CD	49628651
2106646	7133	1998-05-12	VYDAJ	PREVOD NA UCET	2683	16335	SIPO	CD	49628651
2106647	7133	1998-06-12	VYDAJ	PREVOD NA UCET	2683	19608	SIPO	CD	49628651
2106648	7133	1998-07-12	VYDAJ	PREVOD NA UCET	2683	17815	SIPO	CD	49628651
2106649	7133	1998-08-12	VYDAJ	PREVOD NA UCET	2683	13011	SIPO	CD	49628651
2106650	7133	1998-09-12	VYDAJ	PREVOD NA UCET	2683	13498	SIPO	CD	49628651
2106651	7133	1998-10-12	VYDAJ	PREVOD NA UCET	2683	14070	SIPO	CD	49628651
2106652	7133	1998-11-12	VYDAJ	PREVOD NA UCET	2683	14574	SIPO	CD	49628651
2106653	7133	1998-12-12	VYDAJ	PREVOD NA UCET	2683	18237	SIPO	CD	49628651
2106667	7133	1994-02-13	VYDAJ	PREVOD NA UCET	44	30310	 	YZ	28418004
2106668	7133	1994-03-13	VYDAJ	PREVOD NA UCET	44	24502	 	YZ	28418004
2106669	7133	1994-04-13	VYDAJ	PREVOD NA UCET	44	13589	 	YZ	28418004
2106670	7133	1994-05-13	VYDAJ	PREVOD NA UCET	44	20736	 	YZ	28418004
2106671	7133	1994-06-13	VYDAJ	PREVOD NA UCET	44	21986	 	YZ	28418004
2106672	7133	1994-07-13	VYDAJ	PREVOD NA UCET	44	24911	 	YZ	28418004
2106673	7133	1994-08-13	VYDAJ	PREVOD NA UCET	44	23251	 	YZ	28418004
2106674	7133	1994-09-13	VYDAJ	PREVOD NA UCET	44	26841	 	YZ	28418004
2106675	7133	1994-10-13	VYDAJ	PREVOD NA UCET	44	23025	 	YZ	28418004
2106676	7133	1994-11-13	VYDAJ	PREVOD NA UCET	44	25363	 	YZ	28418004
2106677	7133	1994-12-13	VYDAJ	PREVOD NA UCET	44	29565	 	YZ	28418004
2106678	7133	1995-01-13	VYDAJ	PREVOD NA UCET	44	23531	 	YZ	28418004
2106679	7133	1995-02-13	VYDAJ	PREVOD NA UCET	44	16804	 	YZ	28418004
2106680	7133	1995-03-13	VYDAJ	PREVOD NA UCET	44	22250	 	YZ	28418004
2106681	7133	1995-04-13	VYDAJ	PREVOD NA UCET	44	20073	 	YZ	28418004
2106682	7133	1995-05-13	VYDAJ	PREVOD NA UCET	44	25335	 	YZ	28418004
2106683	7133	1995-06-13	VYDAJ	PREVOD NA UCET	44	27944	 	YZ	28418004
2106684	7133	1995-07-13	VYDAJ	PREVOD NA UCET	44	27539	 	YZ	28418004
2106685	7133	1995-08-13	VYDAJ	PREVOD NA UCET	44	24345	 	YZ	28418004
2106686	7133	1995-09-13	VYDAJ	PREVOD NA UCET	44	26524	 	YZ	28418004
2106687	7133	1995-10-13	VYDAJ	PREVOD NA UCET	44	23454	 	YZ	28418004
2106688	7133	1995-11-13	VYDAJ	PREVOD NA UCET	44	23493	 	YZ	28418004
2106689	7133	1995-12-13	VYDAJ	PREVOD NA UCET	44	27390	 	YZ	28418004
2106690	7133	1996-01-13	VYDAJ	PREVOD NA UCET	44	14969	 	YZ	28418004
2106691	7133	1996-02-13	VYDAJ	PREVOD NA UCET	44	14058	 	YZ	28418004
2106692	7133	1996-03-13	VYDAJ	PREVOD NA UCET	44	17397	 	YZ	28418004
2106693	7133	1996-04-13	VYDAJ	PREVOD NA UCET	44	16347	 	YZ	28418004
2106694	7133	1996-05-13	VYDAJ	PREVOD NA UCET	44	14472	 	YZ	28418004
2106695	7133	1996-06-13	VYDAJ	PREVOD NA UCET	44	14733	 	YZ	28418004
2106696	7133	1996-07-13	VYDAJ	PREVOD NA UCET	44	15533	 	YZ	28418004
2106697	7133	1996-08-13	VYDAJ	PREVOD NA UCET	44	13222	 	YZ	28418004
2106698	7133	1996-09-13	VYDAJ	PREVOD NA UCET	44	10658	 	YZ	28418004
2106699	7133	1996-10-13	VYDAJ	PREVOD NA UCET	44	10587	 	YZ	28418004
2106700	7133	1996-11-13	VYDAJ	PREVOD NA UCET	44	10657	 	YZ	28418004
2106701	7133	1996-12-13	VYDAJ	PREVOD NA UCET	44	12957	 	YZ	28418004
2106702	7133	1997-01-13	VYDAJ	PREVOD NA UCET	44	13746	 	YZ	28418004
2106703	7133	1997-02-13	VYDAJ	PREVOD NA UCET	44	13185	 	YZ	28418004
2106704	7133	1997-03-13	VYDAJ	PREVOD NA UCET	44	16722	 	YZ	28418004
2106705	7133	1997-04-13	VYDAJ	PREVOD NA UCET	44	14707	 	YZ	28418004
2106706	7133	1997-05-13	VYDAJ	PREVOD NA UCET	44	17208	 	YZ	28418004
2106707	7133	1997-06-13	VYDAJ	PREVOD NA UCET	44	17234	 	YZ	28418004
2106708	7133	1997-07-13	VYDAJ	PREVOD NA UCET	44	15789	 	YZ	28418004
2106709	7133	1997-08-13	VYDAJ	PREVOD NA UCET	44	14979	 	YZ	28418004
2106710	7133	1997-09-13	VYDAJ	PREVOD NA UCET	44	12122	 	YZ	28418004
2106711	7133	1997-10-13	VYDAJ	PREVOD NA UCET	44	14556	 	YZ	28418004
2106712	7133	1997-11-13	VYDAJ	PREVOD NA UCET	44	14106	 	YZ	28418004
2106713	7133	1997-12-13	VYDAJ	PREVOD NA UCET	44	16133	 	YZ	28418004
2106714	7133	1998-01-13	VYDAJ	PREVOD NA UCET	44	12624	 	YZ	28418004
2106715	7133	1998-02-13	VYDAJ	PREVOD NA UCET	44	12706	 	YZ	28418004
2106716	7133	1998-03-13	VYDAJ	PREVOD NA UCET	44	14134	 	YZ	28418004
2106717	7133	1998-04-13	VYDAJ	PREVOD NA UCET	44	15524	 	YZ	28418004
2106718	7133	1998-05-13	VYDAJ	PREVOD NA UCET	44	16176	 	YZ	28418004
2106719	7133	1998-06-13	VYDAJ	PREVOD NA UCET	44	19449	 	YZ	28418004
2106720	7133	1998-07-13	VYDAJ	PREVOD NA UCET	44	17600	 	YZ	28418004
2106721	7133	1998-08-13	VYDAJ	PREVOD NA UCET	44	12796	 	YZ	28418004
2106722	7133	1998-09-13	VYDAJ	PREVOD NA UCET	44	13283	 	YZ	28418004
2106723	7133	1998-10-13	VYDAJ	PREVOD NA UCET	44	13970	 	YZ	28418004
2106724	7133	1998-11-13	VYDAJ	PREVOD NA UCET	44	14415	 	YZ	28418004
2106725	7133	1998-12-13	VYDAJ	PREVOD NA UCET	44	18078	 	YZ	28418004
2106739	7133	1994-02-12	VYDAJ	PREVOD NA UCET	115	30354	POJISTNE	IJ	89750158
2106740	7133	1994-03-12	VYDAJ	PREVOD NA UCET	115	27285	POJISTNE	IJ	89750158
2106741	7133	1994-04-12	VYDAJ	PREVOD NA UCET	115	16316	POJISTNE	IJ	89750158
2106742	7133	1994-05-12	VYDAJ	PREVOD NA UCET	115	23519	POJISTNE	IJ	89750158
2106743	7133	1994-06-12	VYDAJ	PREVOD NA UCET	115	22086	POJISTNE	IJ	89750158
2106744	7133	1994-07-12	VYDAJ	PREVOD NA UCET	115	27694	POJISTNE	IJ	89750158
2106745	7133	1994-08-12	VYDAJ	PREVOD NA UCET	115	25651	POJISTNE	IJ	89750158
2106746	7133	1994-09-12	VYDAJ	PREVOD NA UCET	115	26885	POJISTNE	IJ	89750158
2106747	7133	1994-10-12	VYDAJ	PREVOD NA UCET	115	23125	POJISTNE	IJ	89750158
2106748	7133	1994-11-12	VYDAJ	PREVOD NA UCET	115	26759	POJISTNE	IJ	89750158
2106749	7133	1994-12-12	VYDAJ	PREVOD NA UCET	115	33700	POJISTNE	IJ	89750158
2106750	7133	1995-01-12	VYDAJ	PREVOD NA UCET	115	23575	POJISTNE	IJ	89750158
2106751	7133	1995-02-12	VYDAJ	PREVOD NA UCET	115	16904	POJISTNE	IJ	89750158
2106752	7133	1995-03-12	VYDAJ	PREVOD NA UCET	115	25033	POJISTNE	IJ	89750158
2106753	7133	1995-04-12	VYDAJ	PREVOD NA UCET	115	24208	POJISTNE	IJ	89750158
2106754	7133	1995-05-12	VYDAJ	PREVOD NA UCET	115	25435	POJISTNE	IJ	89750158
2106755	7133	1995-06-12	VYDAJ	PREVOD NA UCET	115	27988	POJISTNE	IJ	89750158
2106756	7133	1995-07-12	VYDAJ	PREVOD NA UCET	115	28935	POJISTNE	IJ	89750158
2106757	7133	1995-08-12	VYDAJ	PREVOD NA UCET	115	24445	POJISTNE	IJ	89750158
2106758	7133	1995-09-12	VYDAJ	PREVOD NA UCET	115	29307	POJISTNE	IJ	89750158
2106759	7133	1995-10-12	VYDAJ	PREVOD NA UCET	115	23554	POJISTNE	IJ	89750158
2106760	7133	1995-11-12	VYDAJ	PREVOD NA UCET	115	27572	POJISTNE	IJ	89750158
2106761	7133	1995-12-12	VYDAJ	PREVOD NA UCET	115	28842	POJISTNE	IJ	89750158
2106762	7133	1996-01-12	VYDAJ	PREVOD NA UCET	115	17696	POJISTNE	IJ	89750158
2106763	7133	1996-02-12	VYDAJ	PREVOD NA UCET	115	14158	POJISTNE	IJ	89750158
2106764	7133	1996-03-12	VYDAJ	PREVOD NA UCET	115	17497	POJISTNE	IJ	89750158
2106765	7133	1996-04-12	VYDAJ	PREVOD NA UCET	115	17799	POJISTNE	IJ	89750158
2106766	7133	1996-05-12	VYDAJ	PREVOD NA UCET	115	18551	POJISTNE	IJ	89750158
2106767	7133	1996-06-12	VYDAJ	PREVOD NA UCET	115	18868	POJISTNE	IJ	89750158
2106768	7133	1996-07-12	VYDAJ	PREVOD NA UCET	115	19612	POJISTNE	IJ	89750158
2106769	7133	1996-08-12	VYDAJ	PREVOD NA UCET	115	16005	POJISTNE	IJ	89750158
2106770	7133	1996-09-12	VYDAJ	PREVOD NA UCET	115	14737	POJISTNE	IJ	89750158
2106771	7133	1996-10-12	VYDAJ	PREVOD NA UCET	115	10631	POJISTNE	IJ	89750158
2106772	7133	1996-11-12	VYDAJ	PREVOD NA UCET	115	14792	POJISTNE	IJ	89750158
2106773	7133	1996-12-12	VYDAJ	PREVOD NA UCET	115	15740	POJISTNE	IJ	89750158
2106774	7133	1997-01-12	VYDAJ	PREVOD NA UCET	115	17825	POJISTNE	IJ	89750158
2106775	7133	1997-02-12	VYDAJ	PREVOD NA UCET	115	13229	POJISTNE	IJ	89750158
2106776	7133	1997-03-12	VYDAJ	PREVOD NA UCET	115	20801	POJISTNE	IJ	89750158
2106777	7133	1997-04-12	VYDAJ	PREVOD NA UCET	115	18842	POJISTNE	IJ	89750158
2106778	7133	1997-05-12	VYDAJ	PREVOD NA UCET	115	17252	POJISTNE	IJ	89750158
2106779	7133	1997-06-12	VYDAJ	PREVOD NA UCET	115	17278	POJISTNE	IJ	89750158
2106780	7133	1997-07-12	VYDAJ	PREVOD NA UCET	115	17185	POJISTNE	IJ	89750158
2106781	7133	1997-08-12	VYDAJ	PREVOD NA UCET	115	15079	POJISTNE	IJ	89750158
2106782	7133	1997-09-12	VYDAJ	PREVOD NA UCET	115	12222	POJISTNE	IJ	89750158
2106783	7133	1997-10-12	VYDAJ	PREVOD NA UCET	115	14656	POJISTNE	IJ	89750158
2106784	7133	1997-11-12	VYDAJ	PREVOD NA UCET	115	16833	POJISTNE	IJ	89750158
2106785	7133	1997-12-12	VYDAJ	PREVOD NA UCET	115	16177	POJISTNE	IJ	89750158
2106786	7133	1998-01-12	VYDAJ	PREVOD NA UCET	115	15351	POJISTNE	IJ	89750158
2106787	7133	1998-02-12	VYDAJ	PREVOD NA UCET	115	12750	POJISTNE	IJ	89750158
2106788	7133	1998-03-12	VYDAJ	PREVOD NA UCET	115	16917	POJISTNE	IJ	89750158
2106789	7133	1998-04-12	VYDAJ	PREVOD NA UCET	115	15624	POJISTNE	IJ	89750158
2106790	7133	1998-05-12	VYDAJ	PREVOD NA UCET	115	16220	POJISTNE	IJ	89750158
2106791	7133	1998-06-12	VYDAJ	PREVOD NA UCET	115	19493	POJISTNE	IJ	89750158
2106792	7133	1998-07-12	VYDAJ	PREVOD NA UCET	115	17700	POJISTNE	IJ	89750158
2106793	7133	1998-08-12	VYDAJ	PREVOD NA UCET	115	12896	POJISTNE	IJ	89750158
2106794	7133	1998-09-12	VYDAJ	PREVOD NA UCET	115	13383	POJISTNE	IJ	89750158
2106795	7133	1998-10-12	VYDAJ	PREVOD NA UCET	115	16753	POJISTNE	IJ	89750158
2106796	7133	1998-11-12	VYDAJ	PREVOD NA UCET	115	14459	POJISTNE	IJ	89750158
2106797	7133	1998-12-12	VYDAJ	PREVOD NA UCET	115	18122	POJISTNE	IJ	89750158
2106811	7133	1994-02-13	VYDAJ	PREVOD NA UCET	56	30254	 	ST	56658023
2106812	7133	1994-03-13	VYDAJ	PREVOD NA UCET	56	24546	 	ST	56658023
2106813	7133	1994-04-13	VYDAJ	PREVOD NA UCET	56	13533	 	ST	56658023
2106814	7133	1994-05-13	VYDAJ	PREVOD NA UCET	56	20780	 	ST	56658023
2106815	7133	1994-06-13	VYDAJ	PREVOD NA UCET	56	22030	 	ST	56658023
2106816	7133	1994-07-13	VYDAJ	PREVOD NA UCET	56	24955	 	ST	56658023
2106817	7133	1994-08-13	VYDAJ	PREVOD NA UCET	56	25595	 	ST	56658023
2106818	7133	1994-09-13	VYDAJ	PREVOD NA UCET	56	26785	 	ST	56658023
2106819	7133	1994-10-13	VYDAJ	PREVOD NA UCET	56	23069	 	ST	56658023
2106820	7133	1994-11-13	VYDAJ	PREVOD NA UCET	56	25307	 	ST	56658023
2106821	7133	1994-12-13	VYDAJ	PREVOD NA UCET	56	29609	 	ST	56658023
2106822	7133	1995-01-13	VYDAJ	PREVOD NA UCET	56	21315	 	ST	56658023
2106823	7133	1995-02-13	VYDAJ	PREVOD NA UCET	56	16848	 	ST	56658023
2106824	7133	1995-03-13	VYDAJ	PREVOD NA UCET	56	22294	 	ST	56658023
2106825	7133	1995-04-13	VYDAJ	PREVOD NA UCET	56	20117	 	ST	56658023
2106826	7133	1995-05-13	VYDAJ	PREVOD NA UCET	56	25379	 	ST	56658023
2106827	7133	1995-06-13	VYDAJ	PREVOD NA UCET	56	27888	 	ST	56658023
2106828	7133	1995-07-13	VYDAJ	PREVOD NA UCET	56	27483	 	ST	56658023
2106829	7133	1995-08-13	VYDAJ	PREVOD NA UCET	56	24389	 	ST	56658023
2106830	7133	1995-09-13	VYDAJ	PREVOD NA UCET	56	26568	 	ST	56658023
2106831	7133	1995-10-13	VYDAJ	PREVOD NA UCET	56	23498	 	ST	56658023
2106832	7133	1995-11-13	VYDAJ	PREVOD NA UCET	56	23437	 	ST	56658023
2106833	7133	1995-12-13	VYDAJ	PREVOD NA UCET	56	27434	 	ST	56658023
2106834	7133	1996-01-13	VYDAJ	PREVOD NA UCET	56	14913	 	ST	56658023
2106835	7133	1996-02-13	VYDAJ	PREVOD NA UCET	56	14102	 	ST	56658023
2106836	7133	1996-03-13	VYDAJ	PREVOD NA UCET	56	17441	 	ST	56658023
2106837	7133	1996-04-13	VYDAJ	PREVOD NA UCET	56	16391	 	ST	56658023
2106838	7133	1996-05-13	VYDAJ	PREVOD NA UCET	56	14416	 	ST	56658023
2106839	7133	1996-06-13	VYDAJ	PREVOD NA UCET	56	14777	 	ST	56658023
2106840	7133	1996-07-13	VYDAJ	PREVOD NA UCET	56	15477	 	ST	56658023
2106841	7133	1996-08-13	VYDAJ	PREVOD NA UCET	56	13266	 	ST	56658023
2106842	7133	1996-09-13	VYDAJ	PREVOD NA UCET	56	10602	 	ST	56658023
2106843	7133	1996-10-13	VYDAJ	PREVOD NA UCET	56	10531	 	ST	56658023
2106844	7133	1996-11-13	VYDAJ	PREVOD NA UCET	56	10701	 	ST	56658023
2106845	7133	1996-12-13	VYDAJ	PREVOD NA UCET	56	13001	 	ST	56658023
2106846	7133	1997-01-13	VYDAJ	PREVOD NA UCET	56	13690	 	ST	56658023
2106847	7133	1997-02-13	VYDAJ	PREVOD NA UCET	56	13129	 	ST	56658023
2106848	7133	1997-03-13	VYDAJ	PREVOD NA UCET	56	12466	 	ST	56658023
2106849	7133	1997-04-13	VYDAJ	PREVOD NA UCET	56	14751	 	ST	56658023
2106850	7133	1997-05-13	VYDAJ	PREVOD NA UCET	56	17152	 	ST	56658023
2106851	7133	1997-06-13	VYDAJ	PREVOD NA UCET	56	17178	 	ST	56658023
2106852	7133	1997-07-13	VYDAJ	PREVOD NA UCET	56	15733	 	ST	56658023
2106853	7133	1997-08-13	VYDAJ	PREVOD NA UCET	56	15023	 	ST	56658023
2106854	7133	1997-09-13	VYDAJ	PREVOD NA UCET	56	12166	 	ST	56658023
2106855	7133	1997-10-13	VYDAJ	PREVOD NA UCET	56	14600	 	ST	56658023
2106856	7133	1997-11-13	VYDAJ	PREVOD NA UCET	56	14050	 	ST	56658023
2106857	7133	1997-12-13	VYDAJ	PREVOD NA UCET	56	16077	 	ST	56658023
2106858	7133	1998-01-13	VYDAJ	PREVOD NA UCET	56	12568	 	ST	56658023
2106859	7133	1998-02-13	VYDAJ	PREVOD NA UCET	56	12650	 	ST	56658023
2106860	7133	1998-03-13	VYDAJ	PREVOD NA UCET	56	14178	 	ST	56658023
2106861	7133	1998-04-13	VYDAJ	PREVOD NA UCET	56	15568	 	ST	56658023
2106862	7133	1998-05-13	VYDAJ	PREVOD NA UCET	56	16120	 	ST	56658023
2106863	7133	1998-06-13	VYDAJ	PREVOD NA UCET	56	19393	 	ST	56658023
2106864	7133	1998-07-13	VYDAJ	PREVOD NA UCET	56	17644	 	ST	56658023
2106865	7133	1998-08-13	VYDAJ	PREVOD NA UCET	56	12840	 	ST	56658023
2106866	7133	1998-09-13	VYDAJ	PREVOD NA UCET	56	13327	 	ST	56658023
2106867	7133	1998-10-13	VYDAJ	PREVOD NA UCET	56	14014	 	ST	56658023
2106868	7133	1998-11-13	VYDAJ	PREVOD NA UCET	56	14359	 	ST	56658023
2106869	7133	1998-12-13	VYDAJ	PREVOD NA UCET	56	18022	 	ST	56658023
2106883	7133	1994-02-14	VYDAJ	VYBER	1700	24554	\N	\N	0
2106884	7133	1994-03-07	VYDAJ	VYBER	1600	23053	\N	\N	0
2106885	7133	1994-04-08	VYDAJ	VYBER	1400	12084	\N	\N	0
2106886	7133	1994-05-20	VYDAJ	VYBER	1100	19396	\N	\N	0
2106887	7133	1994-06-02	VYDAJ	VYBER	1100	18364	\N	\N	0
2106888	7133	1994-07-25	VYDAJ	VYBER	1900	24911	\N	\N	0
2106889	7133	1994-08-02	VYDAJ	VYBER	900	24102	\N	\N	0
2106890	7133	1994-09-24	VYDAJ	VYBER	1500	25285	\N	\N	0
2106891	7133	1994-10-05	VYDAJ	VYBER	1900	23476	\N	\N	0
2106892	7133	1994-11-12	VYDAJ	PREVOD NA UCET	1352	25407	UVER	AB	27370810
2106893	7133	1994-12-12	VYDAJ	PREVOD NA UCET	1352	32348	UVER	AB	27370810
2106894	7133	1995-01-12	VYDAJ	PREVOD NA UCET	1352	23690	UVER	AB	27370810
2106895	7133	1995-02-12	VYDAJ	PREVOD NA UCET	1352	19702	UVER	AB	27370810
2106896	7133	1995-03-12	VYDAJ	PREVOD NA UCET	1352	25148	UVER	AB	27370810
2106897	7133	1995-04-12	VYDAJ	PREVOD NA UCET	1352	20173	UVER	AB	27370810
2106898	7133	1995-05-12	VYDAJ	PREVOD NA UCET	1352	28233	UVER	AB	27370810
2106899	7133	1995-06-12	VYDAJ	PREVOD NA UCET	1352	28103	UVER	AB	27370810
2106900	7133	1995-07-12	VYDAJ	PREVOD NA UCET	1352	27583	UVER	AB	27370810
2106901	7133	1995-08-12	VYDAJ	PREVOD NA UCET	1352	27243	UVER	AB	27370810
2106902	7133	1995-09-12	VYDAJ	PREVOD NA UCET	1352	29422	UVER	AB	27370810
2106903	7133	1995-10-12	VYDAJ	PREVOD NA UCET	1352	23669	UVER	AB	27370810
2106904	7133	1995-11-12	VYDAJ	PREVOD NA UCET	1352	26220	UVER	AB	27370810
2106905	7133	1995-12-12	VYDAJ	PREVOD NA UCET	1352	27490	UVER	AB	27370810
2106906	7133	1996-01-12	VYDAJ	PREVOD NA UCET	1352	17811	UVER	AB	27370810
2106907	7133	1996-02-12	VYDAJ	PREVOD NA UCET	1352	14273	UVER	AB	27370810
2106908	7133	1996-03-12	VYDAJ	PREVOD NA UCET	1352	20295	UVER	AB	27370810
2106909	7133	1996-04-12	VYDAJ	PREVOD NA UCET	1352	16447	UVER	AB	27370810
2106910	7133	1996-05-12	VYDAJ	PREVOD NA UCET	1352	17199	UVER	AB	27370810
2106911	7133	1996-06-12	VYDAJ	PREVOD NA UCET	1352	14833	UVER	AB	27370810
2106912	7133	1996-07-12	VYDAJ	PREVOD NA UCET	1352	15577	UVER	AB	27370810
2106913	7133	1996-08-12	VYDAJ	PREVOD NA UCET	1352	16120	UVER	AB	27370810
2106914	7133	1996-09-12	VYDAJ	PREVOD NA UCET	1352	10702	UVER	AB	27370810
2106915	7133	1996-10-12	VYDAJ	PREVOD NA UCET	1352	10746	UVER	AB	27370810
2106916	7133	1996-11-12	VYDAJ	PREVOD NA UCET	1352	10757	UVER	AB	27370810
2106917	7133	1996-12-12	VYDAJ	PREVOD NA UCET	1352	15855	UVER	AB	27370810
2106918	7133	1997-01-12	VYDAJ	PREVOD NA UCET	1352	16473	UVER	AB	27370810
2106919	7133	1997-02-12	VYDAJ	PREVOD NA UCET	1352	16027	UVER	AB	27370810
2106920	7133	1997-03-12	VYDAJ	PREVOD NA UCET	1352	16766	UVER	AB	27370810
2106921	7133	1997-04-12	VYDAJ	PREVOD NA UCET	1352	17490	UVER	AB	27370810
2106922	7133	1997-05-12	VYDAJ	PREVOD NA UCET	1352	20050	UVER	AB	27370810
2106923	7133	1997-06-12	VYDAJ	PREVOD NA UCET	1352	20076	UVER	AB	27370810
2106924	7133	1997-07-12	VYDAJ	PREVOD NA UCET	1352	15833	UVER	AB	27370810
2106925	7133	1997-08-12	VYDAJ	PREVOD NA UCET	1352	17877	UVER	AB	27370810
2106926	7133	1997-09-12	VYDAJ	PREVOD NA UCET	1352	15020	UVER	AB	27370810
2106927	7133	1997-10-12	VYDAJ	PREVOD NA UCET	1352	17454	UVER	AB	27370810
2106928	7133	1997-11-11	VYDAJ	VYBER	1800	12601	\N	\N	0
2106929	7133	1997-12-08	VYDAJ	VYBER	1800	12455	\N	\N	0
2106930	7133	1998-01-17	VYDAJ	VYBER	900	11668	\N	\N	0
2106931	7133	1998-01-31	VYDAJ	VYBER	1300	11201	\N	\N	0
2106932	7133	1998-03-26	VYDAJ	VYBER	1300	14634	\N	\N	0
2106933	7133	1998-04-25	VYDAJ	VYBER	900	15424	\N	\N	0
2106934	7133	1998-05-11	VYDAJ	VYBER	800	14671	\N	\N	0
2106935	7133	1998-06-03	VYDAJ	VYBER	900	15771	\N	\N	0
2106936	7133	1998-07-14	VYDAJ	VYBER	1200	16400	\N	\N	0
2106937	7133	1998-08-07	VYDAJ	VYBER	1400	11347	\N	\N	0
2106938	7133	1998-09-06	VYDAJ	VYBER	1000	11834	\N	\N	0
2106939	7133	1998-09-29	VYDAJ	VYBER	800	12483	\N	\N	0
2106940	7133	1998-10-30	VYDAJ	VYBER	1100	12870	\N	\N	0
2106941	7133	1998-12-25	VYDAJ	VYBER	1200	16822	\N	\N	0
2106955	7133	1994-12-16	VYDAJ	VYBER	4480	25085	\N	\N	\N
2106956	7133	1995-12-14	VYDAJ	VYBER	1120	26270	\N	\N	\N
2106958	7133	1997-12-18	VYDAJ	VYBER	2240	13837	\N	\N	\N
2106972	7133	1995-01-26	VYDAJ	VYBER	1200	13875	\N	\N	\N
2106973	7133	1995-01-27	VYDAJ	VYBER	840	13035	\N	\N	\N
2106974	7133	1995-01-21	VYDAJ	VYBER	3360	17115	\N	\N	\N
2106975	7133	1995-01-20	VYDAJ	VYBER	840	20475	\N	\N	\N
2106976	7133	1995-01-13	VYDAJ	VYBER	2160	21371	\N	\N	\N
2106977	7133	1995-01-22	VYDAJ	VYBER	2040	15075	\N	\N	\N
2106978	7133	1996-01-11	VYDAJ	VYBER	2400	14816	\N	\N	\N
2106979	7133	1996-01-14	VYDAJ	VYBER	1680	13233	\N	\N	\N
2106981	7133	1996-01-15	VYDAJ	VYBER	720	12513	\N	\N	\N
2106982	7133	1996-01-03	VYDAJ	VYBER	2400	18676	\N	\N	\N
2106983	7133	1996-01-07	VYDAJ	VYBER	2160	17216	\N	\N	\N
2106988	7133	1997-01-29	VYDAJ	VYBER	1200	12990	\N	\N	\N
2107000	7133	1994-03-27	VYDAJ	VYBER	5880	18322	\N	\N	\N
2107001	7133	1994-03-29	VYDAJ	VYBER	4920	13402	\N	\N	\N
2107002	7133	1994-05-13	VYDAJ	VYBER	1440	19296	\N	\N	\N
2107003	7133	1995-07-21	VYDAJ	VYBER	2760	20163	\N	\N	\N
2107004	7133	1995-07-14	VYDAJ	VYBER	4560	22923	\N	\N	\N
2107005	7133	1995-12-25	VYDAJ	VYBER	5280	20990	\N	\N	\N
2107006	7133	1995-03-25	VYDAJ	VYBER	5040	17210	\N	\N	\N
2107007	7133	1995-10-03	VYDAJ	VYBER	600	26017	\N	\N	\N
2107008	7133	1995-10-11	VYDAJ	VYBER	2160	23357	\N	\N	\N
2107010	7133	1996-08-25	VYDAJ	VYBER	960	12262	\N	\N	\N
2107011	7133	1996-04-17	VYDAJ	VYBER	1080	15267	\N	\N	\N
2107012	7133	1997-12-03	VYDAJ	VYBER	2040	14255	\N	\N	\N
2107013	7133	1997-12-20	VYDAJ	VYBER	1560	12277	\N	\N	\N
2107015	7133	1997-03-13	VYDAJ	VYBER	4200	12522	\N	\N	\N
2107016	7133	1997-06-05	VYDAJ	VYBER	3600	14908	\N	\N	\N
2107019	7133	1998-03-30	VYDAJ	VYBER	600	14034	\N	\N	\N
2107034	7133	1994-02-28	VYDAJ	VYBER	15	24653	SLUZBY	\N	\N
2107035	7133	1994-03-31	VYDAJ	VYBER	15	13484	SLUZBY	\N	\N
2107036	7133	1994-04-30	VYDAJ	VYBER	15	19287	SLUZBY	\N	\N
2107037	7133	1994-05-31	VYDAJ	VYBER	15	19464	SLUZBY	\N	\N
2107038	7133	1994-06-30	VYDAJ	VYBER	15	23462	SLUZBY	\N	\N
2107039	7133	1994-07-31	VYDAJ	VYBER	15	25002	SLUZBY	\N	\N
2107040	7133	1994-08-31	VYDAJ	VYBER	15	23336	SLUZBY	\N	\N
2107041	7133	1994-09-30	VYDAJ	VYBER	15	25376	SLUZBY	\N	\N
2107042	7133	1994-10-31	VYDAJ	VYBER	15	23110	SLUZBY	\N	\N
2107043	7133	1994-11-30	VYDAJ	VYBER	15	25395	SLUZBY	\N	\N
2107044	7133	1994-12-31	VYDAJ	VYBER	15	25178	SLUZBY	\N	\N
2107045	7133	1995-01-31	VYDAJ	VYBER	15	13107	SLUZBY	\N	\N
2107046	7133	1995-02-28	VYDAJ	VYBER	15	16853	SLUZBY	\N	\N
2107047	7133	1995-03-31	VYDAJ	VYBER	15	17276	SLUZBY	\N	\N
2107048	7133	1995-04-30	VYDAJ	VYBER	15	20138	SLUZBY	\N	\N
2107049	7133	1995-05-31	VYDAJ	VYBER	15	25418	SLUZBY	\N	\N
2107050	7133	1995-06-30	VYDAJ	VYBER	15	27986	SLUZBY	\N	\N
2107051	7133	1995-07-31	VYDAJ	VYBER	15	20248	SLUZBY	\N	\N
2107052	7133	1995-08-31	VYDAJ	VYBER	15	24427	SLUZBY	\N	\N
2107053	7133	1995-09-30	VYDAJ	VYBER	15	26617	SLUZBY	\N	\N
2107054	7133	1995-10-31	VYDAJ	VYBER	15	23540	SLUZBY	\N	\N
2107055	7133	1995-11-30	VYDAJ	VYBER	15	23520	SLUZBY	\N	\N
2107056	7133	1995-12-31	VYDAJ	VYBER	15	21076	SLUZBY	\N	\N
2107057	7133	1996-01-31	VYDAJ	VYBER	15	12561	SLUZBY	\N	\N
2107058	7133	1996-02-29	VYDAJ	VYBER	15	14100	SLUZBY	\N	\N
2107059	7133	1996-03-31	VYDAJ	VYBER	15	17450	SLUZBY	\N	\N
2107060	7133	1996-04-30	VYDAJ	VYBER	15	15319	SLUZBY	\N	\N
2107061	7133	1996-05-31	VYDAJ	VYBER	15	14463	SLUZBY	\N	\N
2107062	7133	1996-06-30	VYDAJ	VYBER	15	14780	SLUZBY	\N	\N
2107063	7133	1996-07-31	VYDAJ	VYBER	15	15525	SLUZBY	\N	\N
2107064	7133	1996-08-31	VYDAJ	VYBER	15	12305	SLUZBY	\N	\N
2107065	7133	1996-09-30	VYDAJ	VYBER	15	10634	SLUZBY	\N	\N
2107066	7133	1996-10-31	VYDAJ	VYBER	15	10560	SLUZBY	\N	\N
2107067	7133	1996-11-30	VYDAJ	VYBER	15	10687	SLUZBY	\N	\N
2107068	7133	1996-12-31	VYDAJ	VYBER	15	13593	SLUZBY	\N	\N
2107069	7133	1997-01-31	VYDAJ	VYBER	15	13032	SLUZBY	\N	\N
2107070	7133	1997-02-28	VYDAJ	VYBER	15	16569	SLUZBY	\N	\N
2107071	7133	1997-03-31	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
2107072	7133	1997-04-30	VYDAJ	VYBER	15	17055	SLUZBY	\N	\N
2107073	7133	1997-05-31	VYDAJ	VYBER	15	18508	SLUZBY	\N	\N
2107074	7133	1997-06-30	VYDAJ	VYBER	15	15636	SLUZBY	\N	\N
2107075	7133	1997-07-31	VYDAJ	VYBER	15	14882	SLUZBY	\N	\N
2107076	7133	1997-08-31	VYDAJ	VYBER	15	12025	SLUZBY	\N	\N
2107077	7133	1997-09-30	VYDAJ	VYBER	15	14459	SLUZBY	\N	\N
2107078	7133	1997-10-31	VYDAJ	VYBER	15	14401	SLUZBY	\N	\N
2107079	7133	1997-11-30	VYDAJ	VYBER	15	16295	SLUZBY	\N	\N
2107080	7133	1997-12-31	VYDAJ	VYBER	15	11119	SLUZBY	\N	\N
2107081	7133	1998-01-31	VYDAJ	VYBER	15	12501	SLUZBY	\N	\N
2107082	7133	1998-02-28	VYDAJ	VYBER	15	12685	SLUZBY	\N	\N
2107083	7133	1998-03-31	VYDAJ	VYBER	15	14075	SLUZBY	\N	\N
2107084	7133	1998-04-30	VYDAJ	VYBER	15	15471	SLUZBY	\N	\N
2107085	7133	1998-05-31	VYDAJ	VYBER	15	16671	SLUZBY	\N	\N
2107086	7133	1998-06-30	VYDAJ	VYBER	15	16151	SLUZBY	\N	\N
2107087	7133	1998-07-31	VYDAJ	VYBER	15	12747	SLUZBY	\N	\N
2107088	7133	1998-08-31	VYDAJ	VYBER	15	12834	SLUZBY	\N	\N
2107089	7133	1998-09-30	VYDAJ	VYBER	15	12521	SLUZBY	\N	\N
2107090	7133	1998-10-31	VYDAJ	VYBER	15	12910	SLUZBY	\N	\N
2107091	7133	1998-11-30	VYDAJ	VYBER	15	14400	SLUZBY	\N	\N
2107092	7133	1993-10-17	PRIJEM	VKLAD	12100	16747	\N	\N	\N
2107093	7133	1993-11-16	PRIJEM	VKLAD	1400	22528	\N	\N	\N
2107094	7133	1993-12-16	VYDAJ	VYBER	100	29030	\N	\N	\N
2107095	7133	1994-01-15	VYDAJ	VYBER	4800	28684	\N	\N	\N
2107096	7133	1994-02-14	VYDAJ	VYBER	4000	26254	\N	\N	\N
2107097	7133	1994-03-16	VYDAJ	VYBER	300	24202	\N	\N	\N
2107098	7133	1994-04-15	PRIJEM	VKLAD	5700	19233	\N	\N	\N
2107099	7133	1994-05-15	PRIJEM	VKLAD	1200	20496	\N	\N	\N
2107100	7133	1994-06-14	PRIJEM	VKLAD	1400	23386	\N	\N	\N
2107101	7133	1994-07-14	PRIJEM	VKLAD	1900	26811	\N	\N	\N
2107102	7133	1994-08-13	VYDAJ	VYBER	2300	23295	\N	\N	\N
2107103	7133	1994-09-12	PRIJEM	VKLAD	2000	29683	\N	\N	\N
2107104	7133	1994-10-12	VYDAJ	VYBER	1900	23240	\N	\N	\N
2107105	7133	1994-11-11	PRIJEM	VKLAD	2100	25210	\N	\N	\N
2107106	7133	1994-12-11	PRIJEM	VKLAD	1900	27295	\N	\N	\N
2107107	7133	1995-01-10	VYDAJ	VYBER	1800	23378	\N	\N	\N
2107108	7133	1995-02-09	PRIJEM	VKLAD	3600	16707	\N	\N	\N
2107109	7133	1995-03-11	PRIJEM	VKLAD	5300	22153	\N	\N	\N
2107110	7133	1995-04-10	PRIJEM	VKLAD	2700	19976	\N	\N	\N
2107111	7133	1995-05-10	PRIJEM	VKLAD	5100	25238	\N	\N	\N
2107112	7133	1995-06-09	PRIJEM	VKLAD	200	25618	\N	\N	\N
2107113	7133	1995-07-09	VYDAJ	VYBER	600	27386	\N	\N	\N
2107114	7133	1995-08-08	PRIJEM	VKLAD	4000	24248	\N	\N	\N
2107115	7133	1995-09-07	PRIJEM	VKLAD	2000	26427	\N	\N	\N
2107116	7133	1995-10-07	VYDAJ	VYBER	500	25517	\N	\N	\N
2107117	7133	1995-11-06	VYDAJ	VYBER	200	23340	\N	\N	\N
2107118	7133	1995-12-06	PRIJEM	VKLAD	1600	25120	\N	\N	\N
2107119	7133	1996-01-05	PRIJEM	VKLAD	700	19376	\N	\N	\N
2107120	7133	1996-02-04	PRIJEM	VKLAD	1400	13961	\N	\N	\N
2107121	7133	1996-03-05	PRIJEM	VKLAD	3200	17300	\N	\N	\N
2107122	7133	1996-04-04	VYDAJ	VYBER	1200	16250	\N	\N	\N
2107123	7133	1996-05-04	VYDAJ	VYBER	1000	14319	\N	\N	\N
2107124	7133	1996-06-03	VYDAJ	VYBER	2000	12463	\N	\N	\N
2107125	7133	1996-07-03	PRIJEM	VKLAD	600	15380	\N	\N	\N
2107126	7133	1996-08-02	VYDAJ	VYBER	2400	13125	\N	\N	\N
2107127	7133	1996-09-01	VYDAJ	VYBER	1800	10505	\N	\N	\N
2107128	7133	1996-10-01	VYDAJ	VYBER	200	10434	\N	\N	\N
2107129	7133	1996-12-30	PRIJEM	VKLAD	600	13557	\N	\N	\N
2107130	7133	1997-01-29	PRIJEM	VKLAD	500	14190	\N	\N	\N
2107131	7133	1997-02-28	PRIJEM	VKLAD	3400	16529	\N	\N	\N
2107132	7133	1997-03-30	PRIJEM	VKLAD	2100	14566	\N	\N	\N
2107133	7133	1997-04-29	PRIJEM	VKLAD	2300	17007	\N	\N	\N
2107134	7133	1997-05-29	PRIJEM	VKLAD	1300	18452	\N	\N	\N
2107135	7133	1997-06-28	VYDAJ	VYBER	1600	15578	\N	\N	\N
2107136	7133	1997-07-28	VYDAJ	VYBER	900	14833	\N	\N	\N
2107137	7133	1997-08-27	VYDAJ	VYBER	3000	11979	\N	\N	\N
2107138	7133	1997-09-26	PRIJEM	VKLAD	2300	14422	\N	\N	\N
2107139	7133	1997-10-26	VYDAJ	VYBER	200	14356	\N	\N	\N
2107140	7133	1997-11-25	PRIJEM	VKLAD	2200	16250	\N	\N	\N
2107141	7133	1997-12-25	VYDAJ	VYBER	1200	11077	\N	\N	\N
2107142	7133	1998-01-24	PRIJEM	VKLAD	800	12468	\N	\N	\N
2107143	7133	1998-03-25	PRIJEM	VKLAD	1800	15934	\N	\N	\N
2107144	7133	1998-04-24	PRIJEM	VKLAD	800	16324	\N	\N	\N
2107145	7133	1998-05-24	PRIJEM	VKLAD	500	16620	\N	\N	\N
2107146	7133	1998-06-23	VYDAJ	VYBER	3300	16093	\N	\N	\N
2107147	7133	1998-07-23	VYDAJ	VYBER	3700	12700	\N	\N	\N
2108013	7136	1995-04-09	PRIJEM	VKLAD	400	400	\N	\N	\N
2108014	7136	1995-11-04	PRIJEM	VKLAD	6673	100626	\N	\N	\N
2108015	7136	1995-10-13	PRIJEM	VKLAD	6847	87401	\N	\N	\N
2108016	7136	1995-09-22	PRIJEM	VKLAD	49816	78916	\N	\N	\N
2108019	7136	1995-12-26	PRIJEM	VKLAD	40466	81379	\N	\N	\N
2108022	7136	1995-10-11	PRIJEM	VKLAD	24897	80554	\N	\N	\N
2108023	7136	1995-11-18	PRIJEM	VKLAD	40521	159766	\N	\N	\N
2108024	7136	1995-10-29	PRIJEM	VKLAD	34804	131522	\N	\N	\N
2108025	7136	1995-11-21	PRIJEM	VKLAD	38916	143582	\N	\N	\N
2108026	7136	1995-11-09	PRIJEM	VKLAD	13437	77428	\N	\N	\N
2108027	7136	1995-10-24	PRIJEM	VKLAD	9317	96718	\N	\N	\N
2108029	7136	1995-06-22	PRIJEM	VKLAD	30433	48733	\N	\N	\N
2108030	7136	1995-11-18	PRIJEM	VKLAD	45244	119245	\N	\N	\N
2108032	7136	1996-11-26	PRIJEM	VKLAD	6380	40001	\N	\N	\N
2108033	7136	1996-02-21	PRIJEM	VKLAD	12703	36382	\N	\N	\N
2108034	7136	1996-12-20	PRIJEM	VKLAD	32750	58749	\N	\N	\N
2108035	7136	1996-04-20	PRIJEM	VKLAD	38944	102195	\N	\N	\N
2108036	7136	1996-08-01	PRIJEM	VKLAD	34096	83838	\N	\N	\N
2108037	7136	1996-03-17	PRIJEM	VKLAD	7664	36180	\N	\N	\N
2108038	7136	1996-04-13	PRIJEM	VKLAD	37019	65251	\N	\N	\N
2108039	7136	1996-05-03	PRIJEM	VKLAD	28896	103194	\N	\N	\N
2108040	7136	1996-12-26	PRIJEM	VKLAD	47422	100171	\N	\N	\N
2108041	7136	1996-08-01	PRIJEM	VKLAD	26385	49742	\N	\N	\N
2108042	7136	1996-05-20	PRIJEM	VKLAD	14648	61880	\N	\N	\N
2108043	7136	1996-10-12	PRIJEM	VKLAD	44859	64737	\N	\N	\N
2108044	7136	1997-07-10	PRIJEM	VKLAD	31112	67750	\N	\N	\N
2108045	7136	1997-01-23	PRIJEM	VKLAD	25511	61517	\N	\N	\N
2108046	7136	1997-03-30	PRIJEM	VKLAD	48768	75895	\N	\N	\N
2108047	7136	1997-06-06	PRIJEM	VKLAD	43553	74819	\N	\N	\N
2108048	7136	1997-07-28	PRIJEM	VKLAD	23344	82895	\N	\N	\N
2108049	7136	1997-07-30	PRIJEM	VKLAD	14533	97428	\N	\N	\N
2108050	7136	1997-07-17	PRIJEM	VKLAD	30340	87151	\N	\N	\N
2108051	7136	1997-11-23	PRIJEM	VKLAD	16083	97031	\N	\N	\N
2108052	7136	1997-10-04	PRIJEM	VKLAD	31570	72944	\N	\N	\N
2108053	7136	1997-12-25	PRIJEM	VKLAD	47657	98315	\N	\N	\N
2108054	7136	1997-09-27	PRIJEM	VKLAD	5241	41211	\N	\N	\N
2108055	7136	1997-08-08	PRIJEM	VKLAD	31233	128918	\N	\N	\N
2108056	7136	1997-06-25	PRIJEM	VKLAD	42278	85462	\N	\N	\N
2108057	7136	1997-11-19	PRIJEM	VKLAD	48265	80948	\N	\N	\N
2108058	7136	1997-04-22	PRIJEM	VKLAD	48904	118981	\N	\N	\N
2108059	7136	1997-10-14	PRIJEM	VKLAD	47891	114914	\N	\N	\N
2108060	7136	1997-11-28	PRIJEM	VKLAD	45468	115199	\N	\N	\N
2108061	7136	1998-06-24	PRIJEM	VKLAD	40161	95558	\N	\N	\N
2108062	7136	1998-05-25	PRIJEM	VKLAD	37744	84449	\N	\N	\N
2108063	7136	1998-02-27	PRIJEM	VKLAD	42243	86067	\N	\N	\N
2108064	7136	1998-01-10	PRIJEM	VKLAD	26446	107056	\N	\N	\N
2108065	7136	1998-05-06	PRIJEM	VKLAD	30230	73544	\N	\N	\N
2108066	7136	1998-05-28	PRIJEM	VKLAD	5361	67427	\N	\N	\N
2108067	7136	1998-01-16	PRIJEM	VKLAD	38764	133974	\N	\N	\N
2108078	7136	1995-11-13	VYDAJ	VYBER	1800	74001	\N	\N	0
2108079	7136	1995-12-18	VYDAJ	VYBER	2200	40913	\N	\N	0
2108080	7136	1996-01-05	VYDAJ	VYBER	2400	55214	\N	\N	0
2108081	7136	1996-02-01	VYDAJ	VYBER	1500	40741	\N	\N	0
2108082	7136	1996-03-15	VYDAJ	VYBER	2800	28516	\N	\N	0
2108083	7136	1996-04-17	VYDAJ	VYBER	2000	63251	\N	\N	0
2108084	7136	1996-04-28	VYDAJ	VYBER	1400	74095	\N	\N	0
2108085	7136	1996-06-20	VYDAJ	VYBER	2000	29038	\N	\N	0
2108086	7136	1996-07-05	VYDAJ	VYBER	1300	27148	\N	\N	0
2108087	7136	1996-08-13	VYDAJ	VYBER	2200	46876	\N	\N	0
2108088	7136	1996-09-03	VYDAJ	VYBER	1900	29520	\N	\N	0
2108089	7136	1996-10-12	VYDAJ	PREVOD NA UCET	2059	62678	UVER	ST	16474801
2108090	7136	1996-11-12	VYDAJ	PREVOD NA UCET	2059	33621	UVER	ST	16474801
2108091	7136	1996-12-12	VYDAJ	PREVOD NA UCET	2059	25999	UVER	ST	16474801
2108092	7136	1997-01-12	VYDAJ	PREVOD NA UCET	2059	36006	UVER	ST	16474801
2108093	7136	1997-02-12	VYDAJ	PREVOD NA UCET	2059	37316	UVER	ST	16474801
2108094	7136	1997-03-12	VYDAJ	PREVOD NA UCET	2059	27327	UVER	ST	16474801
2108095	7136	1997-04-12	VYDAJ	PREVOD NA UCET	2059	70077	UVER	ST	16474801
2108096	7136	1997-05-12	VYDAJ	PREVOD NA UCET	2059	44158	UVER	ST	16474801
2108097	7136	1997-06-12	VYDAJ	PREVOD NA UCET	2059	68898	UVER	ST	16474801
2108098	7136	1997-07-12	VYDAJ	PREVOD NA UCET	2059	64611	UVER	ST	16474801
2108099	7136	1997-08-12	VYDAJ	PREVOD NA UCET	2059	96097	UVER	ST	16474801
2108100	7136	1997-09-12	VYDAJ	PREVOD NA UCET	2059	45617	UVER	ST	16474801
2108101	7136	1997-10-12	VYDAJ	PREVOD NA UCET	2059	67023	UVER	ST	16474801
2108102	7136	1997-11-12	VYDAJ	PREVOD NA UCET	2059	32683	UVER	ST	16474801
2108103	7136	1997-12-12	VYDAJ	PREVOD NA UCET	2059	54658	UVER	ST	16474801
2108104	7136	1998-01-12	VYDAJ	PREVOD NA UCET	2059	103917	UVER	ST	16474801
2108105	7136	1998-02-12	VYDAJ	PREVOD NA UCET	2059	37124	UVER	ST	16474801
2108106	7136	1998-03-12	VYDAJ	PREVOD NA UCET	2059	80310	UVER	ST	16474801
2108107	7136	1998-04-12	VYDAJ	PREVOD NA UCET	2059	43642	UVER	ST	16474801
2108108	7136	1998-05-12	VYDAJ	PREVOD NA UCET	2059	45805	UVER	ST	16474801
2108109	7136	1998-06-12	VYDAJ	PREVOD NA UCET	2059	61697	UVER	ST	16474801
2108110	7136	1998-07-12	VYDAJ	PREVOD NA UCET	2059	70229	UVER	ST	16474801
2108111	7136	1998-08-12	VYDAJ	PREVOD NA UCET	2059	40984	UVER	ST	16474801
2108112	7136	1998-09-12	VYDAJ	PREVOD NA UCET	2059	42227	UVER	ST	16474801
2108113	7136	1998-10-12	VYDAJ	PREVOD NA UCET	2059	42766	UVER	ST	16474801
2108114	7136	1998-11-12	VYDAJ	PREVOD NA UCET	2059	26136	UVER	ST	16474801
2108115	7136	1998-12-12	VYDAJ	PREVOD NA UCET	2059	23632	UVER	ST	16474801
2108126	7136	1995-11-10	VYDAJ	PREVOD NA UCET	1080	75801	SIPO	ST	35699868
2108127	7136	1995-12-10	VYDAJ	PREVOD NA UCET	1080	43113	SIPO	ST	35699868
2108128	7136	1996-01-10	VYDAJ	PREVOD NA UCET	1080	51352	SIPO	ST	35699868
2108129	7136	1996-02-10	VYDAJ	PREVOD NA UCET	1080	23679	SIPO	ST	35699868
2108130	7136	1996-03-10	VYDAJ	PREVOD NA UCET	1080	31316	SIPO	ST	35699868
2108131	7136	1996-04-10	VYDAJ	PREVOD NA UCET	1080	28232	SIPO	ST	35699868
2108132	7136	1996-05-10	VYDAJ	PREVOD NA UCET	1080	47232	SIPO	ST	35699868
2108133	7136	1996-06-10	VYDAJ	PREVOD NA UCET	1080	31038	SIPO	ST	35699868
2108134	7136	1996-07-10	VYDAJ	PREVOD NA UCET	1080	23286	SIPO	ST	35699868
2108135	7136	1996-08-10	VYDAJ	PREVOD NA UCET	1080	49076	SIPO	ST	35699868
2108136	7136	1996-09-10	VYDAJ	PREVOD NA UCET	1080	25658	SIPO	ST	35699868
2108137	7136	1996-10-10	VYDAJ	PREVOD NA UCET	1080	19878	SIPO	ST	35699868
2108138	7136	1996-11-10	VYDAJ	PREVOD NA UCET	1080	35680	SIPO	ST	35699868
2108139	7136	1996-12-10	VYDAJ	PREVOD NA UCET	1080	28058	SIPO	ST	35699868
2108140	7136	1997-01-10	VYDAJ	PREVOD NA UCET	1080	38065	SIPO	ST	35699868
2108141	7136	1997-02-10	VYDAJ	PREVOD NA UCET	1080	39375	SIPO	ST	35699868
2108142	7136	1997-03-10	VYDAJ	PREVOD NA UCET	1080	29386	SIPO	ST	35699868
2108143	7136	1997-04-10	VYDAJ	PREVOD NA UCET	1080	72136	SIPO	ST	35699868
2108144	7136	1997-05-10	VYDAJ	PREVOD NA UCET	1080	46217	SIPO	ST	35699868
2108145	7136	1997-06-10	VYDAJ	PREVOD NA UCET	1080	70957	SIPO	ST	35699868
2108146	7136	1997-07-10	VYDAJ	PREVOD NA UCET	1080	66670	SIPO	ST	35699868
2108147	7136	1997-08-10	VYDAJ	PREVOD NA UCET	1080	98156	SIPO	ST	35699868
2108148	7136	1997-09-10	VYDAJ	PREVOD NA UCET	1080	47676	SIPO	ST	35699868
2108149	7136	1997-10-10	VYDAJ	PREVOD NA UCET	1080	69082	SIPO	ST	35699868
2108150	7136	1997-11-10	VYDAJ	PREVOD NA UCET	1080	34742	SIPO	ST	35699868
2108151	7136	1997-12-10	VYDAJ	PREVOD NA UCET	1080	56717	SIPO	ST	35699868
2108152	7136	1998-01-10	VYDAJ	PREVOD NA UCET	1080	105976	SIPO	ST	35699868
2108153	7136	1998-02-10	VYDAJ	PREVOD NA UCET	1080	39183	SIPO	ST	35699868
2108154	7136	1998-03-10	VYDAJ	PREVOD NA UCET	1080	82369	SIPO	ST	35699868
2108155	7136	1998-04-10	VYDAJ	PREVOD NA UCET	1080	45701	SIPO	ST	35699868
2108156	7136	1998-05-10	VYDAJ	PREVOD NA UCET	1080	69682	SIPO	ST	35699868
2108157	7136	1998-06-10	VYDAJ	PREVOD NA UCET	1080	63756	SIPO	ST	35699868
2108158	7136	1998-07-10	VYDAJ	PREVOD NA UCET	1080	72288	SIPO	ST	35699868
2108159	7136	1998-08-10	VYDAJ	PREVOD NA UCET	1080	43043	SIPO	ST	35699868
2108160	7136	1998-09-10	VYDAJ	PREVOD NA UCET	1080	44286	SIPO	ST	35699868
2108161	7136	1998-10-10	VYDAJ	PREVOD NA UCET	1080	44825	SIPO	ST	35699868
2108162	7136	1998-11-10	VYDAJ	PREVOD NA UCET	1080	28195	SIPO	ST	35699868
2108163	7136	1998-12-10	VYDAJ	PREVOD NA UCET	1080	25691	SIPO	ST	35699868
2108174	7136	1995-11-08	VYDAJ	PREVOD NA UCET	2235	63991	 	UV	45092648
2108175	7136	1995-12-08	VYDAJ	PREVOD NA UCET	2235	44740	 	UV	45092648
2108176	7136	1996-01-08	VYDAJ	PREVOD NA UCET	2235	52979	 	UV	45092648
2108177	7136	1996-02-08	VYDAJ	PREVOD NA UCET	2235	25306	 	UV	45092648
2108178	7136	1996-03-08	VYDAJ	PREVOD NA UCET	2235	32943	 	UV	45092648
2108179	7136	1996-04-08	VYDAJ	PREVOD NA UCET	2235	29859	 	UV	45092648
2108180	7136	1996-05-08	VYDAJ	PREVOD NA UCET	2235	48859	 	UV	45092648
2108181	7136	1996-06-08	VYDAJ	PREVOD NA UCET	2235	32665	 	UV	45092648
2108182	7136	1996-07-08	VYDAJ	PREVOD NA UCET	2235	24913	 	UV	45092648
2108183	7136	1996-08-08	VYDAJ	PREVOD NA UCET	2235	50703	 	UV	45092648
2108184	7136	1996-09-08	VYDAJ	PREVOD NA UCET	2235	27285	 	UV	45092648
2108185	7136	1996-10-08	VYDAJ	PREVOD NA UCET	2235	21505	 	UV	45092648
2108186	7136	1996-11-08	VYDAJ	PREVOD NA UCET	2235	37307	 	UV	45092648
2108187	7136	1996-12-08	VYDAJ	PREVOD NA UCET	2235	29685	 	UV	45092648
2108188	7136	1997-01-08	VYDAJ	PREVOD NA UCET	2235	39692	 	UV	45092648
2108189	7136	1997-02-08	VYDAJ	PREVOD NA UCET	2235	41002	 	UV	45092648
2108190	7136	1997-03-08	VYDAJ	PREVOD NA UCET	2235	31013	 	UV	45092648
2108191	7136	1997-04-08	VYDAJ	PREVOD NA UCET	2235	73763	 	UV	45092648
2108192	7136	1997-05-08	VYDAJ	PREVOD NA UCET	2235	47844	 	UV	45092648
2108193	7136	1997-06-08	VYDAJ	PREVOD NA UCET	2235	72584	 	UV	45092648
2108194	7136	1997-07-08	VYDAJ	PREVOD NA UCET	2235	37185	 	UV	45092648
2108195	7136	1997-08-08	VYDAJ	PREVOD NA UCET	2235	99783	 	UV	45092648
2108196	7136	1997-09-08	VYDAJ	PREVOD NA UCET	2235	49303	 	UV	45092648
2108197	7136	1997-10-08	VYDAJ	PREVOD NA UCET	2235	70709	 	UV	45092648
2108198	7136	1997-11-08	VYDAJ	PREVOD NA UCET	2235	36369	 	UV	45092648
2108199	7136	1997-12-08	VYDAJ	PREVOD NA UCET	2235	58344	 	UV	45092648
2108200	7136	1998-01-08	VYDAJ	PREVOD NA UCET	2235	81157	 	UV	45092648
2108201	7136	1998-02-08	VYDAJ	PREVOD NA UCET	2235	40810	 	UV	45092648
2108202	7136	1998-03-08	VYDAJ	PREVOD NA UCET	2235	83996	 	UV	45092648
2108203	7136	1998-04-08	VYDAJ	PREVOD NA UCET	2235	47328	 	UV	45092648
2108204	7136	1998-05-08	VYDAJ	PREVOD NA UCET	2235	71309	 	UV	45092648
2108205	7136	1998-06-08	VYDAJ	PREVOD NA UCET	2235	65383	 	UV	45092648
2108206	7136	1998-07-08	VYDAJ	PREVOD NA UCET	2235	73915	 	UV	45092648
2108207	7136	1998-08-08	VYDAJ	PREVOD NA UCET	2235	51471	 	UV	45092648
2108208	7136	1998-09-08	VYDAJ	PREVOD NA UCET	2235	45913	 	UV	45092648
2108209	7136	1998-10-08	VYDAJ	PREVOD NA UCET	2235	46452	 	UV	45092648
2108210	7136	1998-11-08	VYDAJ	PREVOD NA UCET	2235	29822	 	UV	45092648
2108211	7136	1998-12-08	VYDAJ	PREVOD NA UCET	2235	27318	 	UV	45092648
2108222	7136	1995-11-09	VYDAJ	PREVOD NA UCET	547	76881	POJISTNE	AB	13272279
2108223	7136	1995-12-09	VYDAJ	PREVOD NA UCET	547	44193	POJISTNE	AB	13272279
2108224	7136	1996-01-09	VYDAJ	PREVOD NA UCET	547	52432	POJISTNE	AB	13272279
2108225	7136	1996-02-09	VYDAJ	PREVOD NA UCET	547	24759	POJISTNE	AB	13272279
2108226	7136	1996-03-09	VYDAJ	PREVOD NA UCET	547	32396	POJISTNE	AB	13272279
2108227	7136	1996-04-09	VYDAJ	PREVOD NA UCET	547	29312	POJISTNE	AB	13272279
2108228	7136	1996-05-09	VYDAJ	PREVOD NA UCET	547	48312	POJISTNE	AB	13272279
2108229	7136	1996-06-09	VYDAJ	PREVOD NA UCET	547	32118	POJISTNE	AB	13272279
2108230	7136	1996-07-09	VYDAJ	PREVOD NA UCET	547	24366	POJISTNE	AB	13272279
2108231	7136	1996-08-09	VYDAJ	PREVOD NA UCET	547	50156	POJISTNE	AB	13272279
2108232	7136	1996-09-09	VYDAJ	PREVOD NA UCET	547	26738	POJISTNE	AB	13272279
2108233	7136	1996-10-09	VYDAJ	PREVOD NA UCET	547	20958	POJISTNE	AB	13272279
2108234	7136	1996-11-09	VYDAJ	PREVOD NA UCET	547	36760	POJISTNE	AB	13272279
2108235	7136	1996-12-09	VYDAJ	PREVOD NA UCET	547	29138	POJISTNE	AB	13272279
2108236	7136	1997-01-09	VYDAJ	PREVOD NA UCET	547	39145	POJISTNE	AB	13272279
2108237	7136	1997-02-09	VYDAJ	PREVOD NA UCET	547	40455	POJISTNE	AB	13272279
2108238	7136	1997-03-09	VYDAJ	PREVOD NA UCET	547	30466	POJISTNE	AB	13272279
2108239	7136	1997-04-09	VYDAJ	PREVOD NA UCET	547	73216	POJISTNE	AB	13272279
2108240	7136	1997-05-09	VYDAJ	PREVOD NA UCET	547	47297	POJISTNE	AB	13272279
2108241	7136	1997-06-09	VYDAJ	PREVOD NA UCET	547	72037	POJISTNE	AB	13272279
2108242	7136	1997-07-09	VYDAJ	PREVOD NA UCET	547	36638	POJISTNE	AB	13272279
2108243	7136	1997-08-09	VYDAJ	PREVOD NA UCET	547	99236	POJISTNE	AB	13272279
2108244	7136	1997-09-09	VYDAJ	PREVOD NA UCET	547	48756	POJISTNE	AB	13272279
2108245	7136	1997-10-09	VYDAJ	PREVOD NA UCET	547	70162	POJISTNE	AB	13272279
2108246	7136	1997-11-09	VYDAJ	PREVOD NA UCET	547	35822	POJISTNE	AB	13272279
2108247	7136	1997-12-09	VYDAJ	PREVOD NA UCET	547	57797	POJISTNE	AB	13272279
2108248	7136	1998-01-09	VYDAJ	PREVOD NA UCET	547	80610	POJISTNE	AB	13272279
2108249	7136	1998-02-09	VYDAJ	PREVOD NA UCET	547	40263	POJISTNE	AB	13272279
2108250	7136	1998-03-09	VYDAJ	PREVOD NA UCET	547	83449	POJISTNE	AB	13272279
2108251	7136	1998-04-09	VYDAJ	PREVOD NA UCET	547	46781	POJISTNE	AB	13272279
2108252	7136	1998-05-09	VYDAJ	PREVOD NA UCET	547	70762	POJISTNE	AB	13272279
2108253	7136	1998-06-09	VYDAJ	PREVOD NA UCET	547	64836	POJISTNE	AB	13272279
2108254	7136	1998-07-09	VYDAJ	PREVOD NA UCET	547	73368	POJISTNE	AB	13272279
2108255	7136	1998-08-09	VYDAJ	PREVOD NA UCET	547	50924	POJISTNE	AB	13272279
2108256	7136	1998-09-09	VYDAJ	PREVOD NA UCET	547	45366	POJISTNE	AB	13272279
2108257	7136	1998-10-09	VYDAJ	PREVOD NA UCET	547	45905	POJISTNE	AB	13272279
2108258	7136	1998-11-09	VYDAJ	PREVOD NA UCET	547	29275	POJISTNE	AB	13272279
2108259	7136	1998-12-09	VYDAJ	PREVOD NA UCET	547	26771	POJISTNE	AB	13272279
2108262	7136	1997-01-24	VYBER	VYBER	7042	54475	\N	\N	\N
2108264	7136	1997-06-18	VYBER	VYBER	8102	60796	\N	\N	\N
2108266	7136	1997-05-25	VYBER	VYBER	12641	31517	\N	\N	\N
2108267	7136	1997-10-20	VYBER	VYBER	19745	47969	\N	\N	\N
2108268	7136	1997-10-26	VYBER	VYBER	6152	38417	\N	\N	\N
2108269	7136	1997-09-25	VYBER	VYBER	2547	43070	\N	\N	\N
2108270	7136	1997-04-30	VYBER	VYBER	15207	50109	\N	\N	\N
2108271	7136	1997-06-23	VYBER	VYBER	17612	43184	\N	\N	\N
2108272	7136	1997-06-28	VYBER	VYBER	12944	47918	\N	\N	\N
2108273	7136	1998-07-14	VYBER	VYBER	7762	62467	\N	\N	\N
2108274	7136	1998-01-04	VYBER	VYBER	11563	83392	\N	\N	\N
2108275	7136	1998-08-10	VYBER	VYBER	6801	44123	\N	\N	\N
2108276	7136	1998-06-30	VYBER	VYBER	15769	80080	\N	\N	\N
2108277	7136	1998-05-27	VYBER	VYBER	22383	62066	\N	\N	\N
2108280	7136	1998-01-13	VYBER	VYBER	8707	95210	\N	\N	\N
2108281	7136	1998-10-25	VYBER	VYBER	23360	31906	\N	\N	\N
2108282	7136	1998-04-08	VYBER	VYBER	16141	49563	\N	\N	\N
2108283	7136	1998-05-11	VYBER	VYBER	21818	47864	\N	\N	\N
2108284	7136	1998-12-25	VYBER	VYBER	7213	37719	\N	\N	\N
2108290	7136	1996-01-21	VYDAJ	VYBER	9300	42052	\N	\N	\N
2108291	7136	1997-01-02	VYDAJ	VYBER	20400	41927	\N	\N	\N
2108292	7136	1998-01-30	VYDAJ	VYBER	16200	56774	\N	\N	\N
2108293	7136	1995-12-07	VYDAJ	VYBER	3600	46975	\N	\N	\N
2108294	7136	1996-12-25	VYDAJ	VYBER	6000	52749	\N	\N	\N
2108295	7136	1997-12-26	VYDAJ	VYBER	3600	94715	\N	\N	\N
2108296	7136	1998-12-28	VYDAJ	VYBER	7500	30219	\N	\N	\N
2108297	7136	1995-11-02	VYDAJ	VYBER	3300	93953	\N	\N	\N
2108301	7136	1996-10-29	VYDAJ	VYBER	11700	50978	\N	\N	\N
2108303	7136	1996-05-30	VYDAJ	VYBER	3600	44780	\N	\N	\N
2108304	7136	1996-02-06	VYDAJ	VYBER	6000	27541	\N	\N	\N
2108305	7136	1996-08-14	VYDAJ	VYBER	11700	35176	\N	\N	\N
2108306	7136	1996-05-24	VYDAJ	VYBER	13500	48380	\N	\N	\N
2108307	7136	1997-08-27	VYDAJ	VYBER	11400	51197	\N	\N	\N
2108308	7136	1997-07-01	VYDAJ	VYBER	8700	39420	\N	\N	\N
2108309	7136	1997-07-14	VYDAJ	VYBER	7800	56811	\N	\N	\N
2108310	7136	1998-11-30	VYDAJ	VYBER	8400	38553	\N	\N	\N
2108311	7136	1998-07-02	VYDAJ	VYBER	3900	76150	\N	\N	\N
2108312	7136	1998-12-02	VYDAJ	VYBER	9000	29553	\N	\N	\N
2108313	7136	1998-02-04	VYDAJ	VYBER	14100	43045	\N	\N	\N
2108314	7136	1998-07-21	VYDAJ	VYBER	5400	57067	\N	\N	\N
2108325	7136	1995-10-31	VYDAJ	VYBER	30	97253	SLUZBY	\N	\N
2108326	7136	1995-11-30	VYDAJ	VYBER	30	112475	SLUZBY	\N	\N
2108327	7136	1995-12-31	VYDAJ	VYBER	30	81614	SLUZBY	\N	\N
2108328	7136	1996-01-31	VYDAJ	VYBER	30	42241	SLUZBY	\N	\N
2108329	7136	1996-02-29	VYDAJ	VYBER	30	36478	SLUZBY	\N	\N
2108330	7136	1996-03-31	VYDAJ	VYBER	30	36294	SLUZBY	\N	\N
2108331	7136	1996-04-30	VYDAJ	VYBER	30	74298	SLUZBY	\N	\N
2108332	7136	1996-05-31	VYDAJ	VYBER	30	45000	SLUZBY	\N	\N
2108333	7136	1996-06-30	VYDAJ	VYBER	30	29148	SLUZBY	\N	\N
2108334	7136	1996-07-31	VYDAJ	VYBER	30	23357	SLUZBY	\N	\N
2108335	7136	1996-08-31	VYDAJ	VYBER	30	35320	SLUZBY	\N	\N
2108336	7136	1996-09-30	VYDAJ	VYBER	30	25740	SLUZBY	\N	\N
2108337	7136	1996-10-31	VYDAJ	VYBER	30	39542	SLUZBY	\N	\N
2108338	7136	1996-11-30	VYDAJ	VYBER	30	31920	SLUZBY	\N	\N
2108339	7136	1996-12-31	VYDAJ	VYBER	30	62327	SLUZBY	\N	\N
2108340	7136	1997-01-31	VYDAJ	VYBER	30	43237	SLUZBY	\N	\N
2108341	7136	1997-02-28	VYDAJ	VYBER	30	33248	SLUZBY	\N	\N
2108342	7136	1997-03-31	VYDAJ	VYBER	30	75998	SLUZBY	\N	\N
2108343	7136	1997-04-30	VYDAJ	VYBER	30	50079	SLUZBY	\N	\N
2108344	7136	1997-05-31	VYDAJ	VYBER	30	31266	SLUZBY	\N	\N
2108345	7136	1997-06-30	VYDAJ	VYBER	30	48120	SLUZBY	\N	\N
2108346	7136	1997-07-31	VYDAJ	VYBER	30	97685	SLUZBY	\N	\N
2108347	7136	1997-08-31	VYDAJ	VYBER	30	51538	SLUZBY	\N	\N
2108348	7136	1997-09-30	VYDAJ	VYBER	30	41374	SLUZBY	\N	\N
2108349	7136	1997-10-31	VYDAJ	VYBER	30	38604	SLUZBY	\N	\N
2108350	7136	1997-11-30	VYDAJ	VYBER	30	60579	SLUZBY	\N	\N
2108351	7136	1997-12-31	VYDAJ	VYBER	30	94955	SLUZBY	\N	\N
2108352	7136	1998-01-31	VYDAJ	VYBER	30	57145	SLUZBY	\N	\N
2108353	7136	1998-02-28	VYDAJ	VYBER	30	86231	SLUZBY	\N	\N
2108354	7136	1998-03-31	VYDAJ	VYBER	30	65704	SLUZBY	\N	\N
2108355	7136	1998-04-30	VYDAJ	VYBER	30	43314	SLUZBY	\N	\N
2108356	7136	1998-05-31	VYDAJ	VYBER	30	67618	SLUZBY	\N	\N
2108357	7136	1998-06-30	VYDAJ	VYBER	30	80050	SLUZBY	\N	\N
2108358	7136	1998-07-31	VYDAJ	VYBER	30	53706	SLUZBY	\N	\N
2108359	7136	1998-08-31	VYDAJ	VYBER	30	48148	SLUZBY	\N	\N
2108360	7136	1998-09-30	VYDAJ	VYBER	30	48687	SLUZBY	\N	\N
2108361	7136	1998-10-31	VYDAJ	VYBER	30	32057	SLUZBY	\N	\N
2108362	7136	1998-11-30	VYDAJ	VYBER	30	46953	SLUZBY	\N	\N
2108363	7136	1995-05-09	PRIJEM	VKLAD	10600	11000	\N	\N	\N
2108364	7136	1995-06-08	PRIJEM	VKLAD	7300	18300	\N	\N	\N
2108365	7136	1995-07-08	VYDAJ	VYBER	13300	35494	\N	\N	\N
2108366	7136	1995-08-07	VYDAJ	VYBER	6900	28797	\N	\N	\N
2108367	7136	1995-09-06	PRIJEM	VKLAD	100	29100	\N	\N	\N
2108368	7136	1995-10-06	VYDAJ	VYBER	23500	55657	\N	\N	\N
2108369	7136	1995-10-29	VYDAJ	VYBER	34600	96922	\N	\N	\N
2108370	7136	1995-11-05	VYDAJ	VYBER	34400	66226	\N	\N	\N
2108371	7136	1995-11-18	VYDAJ	VYBER	22900	104666	\N	\N	\N
2108372	7136	1995-11-18	VYDAJ	VYBER	32200	127566	\N	\N	\N
2108373	7136	1995-11-21	VYDAJ	VYBER	31500	112082	\N	\N	\N
2108374	7136	1995-11-30	VYDAJ	VYBER	43200	69275	\N	\N	\N
2108375	7136	1995-12-05	VYDAJ	VYBER	18700	50575	\N	\N	\N
2108376	7136	1996-01-04	VYDAJ	VYBER	24000	57614	\N	\N	\N
2108377	7136	1996-02-03	VYDAJ	VYBER	7200	33541	\N	\N	\N
2108378	7136	1996-03-04	VYDAJ	VYBER	1300	35178	\N	\N	\N
2108379	7136	1996-04-03	VYDAJ	VYBER	4200	32094	\N	\N	\N
2108380	7136	1996-04-20	VYDAJ	VYBER	26700	75495	\N	\N	\N
2108381	7136	1996-05-03	VYDAJ	VYBER	25100	51094	\N	\N	\N
2108382	7136	1996-05-03	VYDAJ	VYBER	27000	76194	\N	\N	\N
2108383	7136	1996-06-02	VYDAJ	VYBER	10100	34900	\N	\N	\N
2108384	7136	1996-07-02	VYDAJ	VYBER	700	28448	\N	\N	\N
2108385	7136	1996-08-01	VYDAJ	VYBER	30900	52938	\N	\N	\N
2108386	7136	1996-08-31	VYDAJ	VYBER	3900	31420	\N	\N	\N
2108387	7136	1996-09-30	VYDAJ	VYBER	2000	23740	\N	\N	\N
2108388	7136	1996-10-30	VYDAJ	VYBER	11600	39378	\N	\N	\N
2108389	7136	1996-11-29	VYDAJ	VYBER	8200	31801	\N	\N	\N
2108390	7136	1996-12-29	VYDAJ	VYBER	38000	62171	\N	\N	\N
2108391	7136	1997-01-28	VYDAJ	VYBER	11400	43075	\N	\N	\N
2108392	7136	1997-02-27	VYDAJ	VYBER	4200	33116	\N	\N	\N
2108393	7136	1997-03-29	VYDAJ	VYBER	200	27127	\N	\N	\N
2108394	7136	1997-04-22	VYDAJ	VYBER	18700	100281	\N	\N	\N
2108395	7136	1997-04-28	VYDAJ	VYBER	35300	64981	\N	\N	\N
2108396	7136	1997-05-28	VYDAJ	VYBER	400	31117	\N	\N	\N
2108397	7136	1997-06-27	VYDAJ	VYBER	24600	60862	\N	\N	\N
2108398	7136	1997-07-27	VYDAJ	VYBER	27600	59551	\N	\N	\N
2108399	7136	1997-08-08	VYDAJ	VYBER	26900	102018	\N	\N	\N
2108400	7136	1997-08-26	VYDAJ	VYBER	33500	62597	\N	\N	\N
2108401	7136	1997-09-25	VYDAJ	VYBER	7100	35970	\N	\N	\N
2108402	7136	1997-10-14	VYDAJ	VYBER	47200	67714	\N	\N	\N
2108403	7136	1997-10-25	VYDAJ	VYBER	3400	44569	\N	\N	\N
2108404	7136	1997-11-24	VYDAJ	VYBER	27300	69731	\N	\N	\N
2108405	7136	1997-11-28	VYDAJ	VYBER	54800	60399	\N	\N	\N
2108406	7136	1997-12-24	VYDAJ	VYBER	4000	50658	\N	\N	\N
2108407	7136	1998-01-16	VYDAJ	VYBER	43000	90974	\N	\N	\N
2108408	7136	1998-01-23	VYDAJ	VYBER	18000	72974	\N	\N	\N
2108409	7136	1998-02-22	PRIJEM	VKLAD	6700	43824	\N	\N	\N
2108410	7136	1998-03-24	VYDAJ	VYBER	14900	65410	\N	\N	\N
2108411	7136	1998-04-23	VYDAJ	VYBER	500	43142	\N	\N	\N
2108412	7136	1998-05-23	PRIJEM	VKLAD	900	46705	\N	\N	\N
2108413	7136	1998-06-22	VYDAJ	VYBER	6300	55397	\N	\N	\N
2108414	7136	1998-07-22	VYDAJ	VYBER	3600	53467	\N	\N	\N
2108415	7136	1998-08-21	PRIJEM	VKLAD	7000	47984	\N	\N	\N
2108416	7136	1998-09-20	PRIJEM	VKLAD	6300	48527	\N	\N	\N
2108417	7136	1998-10-20	PRIJEM	VKLAD	12500	55266	\N	\N	\N
2108418	7136	1998-11-19	PRIJEM	VKLAD	20700	46836	\N	\N	\N
2108419	7136	1998-12-19	PRIJEM	VKLAD	21300	44932	\N	\N	\N
2114374	7156	1997-09-11	PRIJEM	VKLAD	300	300	\N	\N	\N
2114383	7156	1997-09-13	PRIJEM	PREVOD Z UCTU	20646	20946	\N	MN	11192852
2114384	7156	1997-10-13	PRIJEM	PREVOD Z UCTU	20646	47944	\N	MN	11192852
2114385	7156	1997-11-13	PRIJEM	PREVOD Z UCTU	20646	64247	\N	MN	11192852
2114386	7156	1997-12-13	PRIJEM	PREVOD Z UCTU	30969	79556	\N	MN	11192852
2114387	7156	1998-01-13	PRIJEM	PREVOD Z UCTU	20646	75309	\N	MN	11192852
2114388	7156	1998-02-13	PRIJEM	PREVOD Z UCTU	20646	69438	\N	MN	11192852
2114389	7156	1998-03-13	PRIJEM	PREVOD Z UCTU	20646	59937	\N	MN	11192852
2114390	7156	1998-04-13	PRIJEM	PREVOD Z UCTU	20646	59456	\N	MN	11192852
2114391	7156	1998-05-13	PRIJEM	PREVOD Z UCTU	20646	48626	\N	MN	11192852
2114392	7156	1998-06-13	PRIJEM	PREVOD Z UCTU	30969	64772	\N	MN	11192852
2114393	7156	1998-07-13	PRIJEM	PREVOD Z UCTU	20646	55724	\N	MN	11192852
2114394	7156	1998-08-13	PRIJEM	PREVOD Z UCTU	20646	42642	\N	MN	11192852
2114395	7156	1998-09-13	PRIJEM	PREVOD Z UCTU	20646	42193	\N	MN	11192852
2114396	7156	1998-10-13	PRIJEM	PREVOD Z UCTU	20646	48203	\N	MN	11192852
2114397	7156	1998-11-13	PRIJEM	PREVOD Z UCTU	20646	64750	\N	MN	11192852
2114398	7156	1998-12-13	PRIJEM	PREVOD Z UCTU	30969	82684	\N	MN	11192852
2114412	7156	1998-02-16	VYDAJ	VYBER	2000	67438	\N	\N	0
2114413	7156	1998-03-08	VYDAJ	VYBER	1700	41191	\N	\N	0
2114414	7156	1998-04-18	VYDAJ	VYBER	2100	57356	\N	\N	0
2114415	7156	1998-05-12	VYDAJ	PREVOD NA UCET	2062	27980	UVER	MN	60879224
2114416	7156	1998-06-12	VYDAJ	PREVOD NA UCET	2062	33803	UVER	MN	60879224
2114417	7156	1998-07-12	VYDAJ	PREVOD NA UCET	2062	35078	UVER	MN	60879224
2114418	7156	1998-08-12	VYDAJ	PREVOD NA UCET	2062	21996	UVER	MN	60879224
2114419	7156	1998-09-12	VYDAJ	PREVOD NA UCET	2062	21547	UVER	MN	60879224
2114420	7156	1998-10-12	VYDAJ	PREVOD NA UCET	2062	27557	UVER	MN	60879224
2114421	7156	1998-11-12	VYDAJ	PREVOD NA UCET	2062	44104	UVER	MN	60879224
2114422	7156	1998-12-12	VYDAJ	PREVOD NA UCET	2062	51715	UVER	MN	60879224
2114437	7156	1998-05-03	VYBER	VYBER	15055	27942	\N	\N	\N
2114438	7156	1998-03-20	VYBER	VYBER	20719	39218	\N	\N	\N
2114440	7156	1998-08-29	VYBER	VYBER	20694	21948	\N	\N	\N
2114441	7156	1998-04-20	VYBER	VYBER	14528	42828	\N	\N	\N
2114442	7156	1998-07-02	VYBER	VYBER	18965	31940	\N	\N	\N
2114443	7156	1998-09-12	VYBER	VYBER	11777	23609	\N	\N	\N
2114444	7156	1998-07-17	VYBER	VYBER	17531	38193	\N	\N	\N
2114445	7156	1998-03-08	VYBER	VYBER	24807	42891	\N	\N	\N
2114446	7156	1998-12-16	VYBER	VYBER	23178	59506	\N	\N	\N
2114447	7156	1998-06-23	VYBER	VYBER	14053	50719	\N	\N	\N
2114448	7156	1998-05-21	VYBER	VYBER	16209	32417	\N	\N	\N
2114455	7156	1998-12-03	VYDAJ	VYBER	4200	60777	\N	\N	\N
2114459	7156	1998-08-08	VYDAJ	VYBER	13800	24058	\N	\N	\N
2114460	7156	1998-10-12	VYDAJ	VYBER	8700	29619	\N	\N	\N
2114461	7156	1998-09-30	VYDAJ	VYBER	7800	34534	\N	\N	\N
2114462	7156	1998-03-22	VYDAJ	VYBER	2700	36518	\N	\N	\N
2114463	7156	1998-01-18	VYDAJ	VYBER	12300	63009	\N	\N	\N
2114477	7156	1998-01-31	VYDAJ	VYBER	15	63292	SLUZBY	\N	\N
2114478	7156	1998-02-28	VYDAJ	VYBER	15	67698	SLUZBY	\N	\N
2114479	7156	1998-03-31	VYDAJ	VYBER	15	36710	SLUZBY	\N	\N
2114480	7156	1998-04-30	VYDAJ	VYBER	15	42997	SLUZBY	\N	\N
2114481	7156	1998-05-31	VYDAJ	VYBER	15	32565	SLUZBY	\N	\N
2114482	7156	1998-06-30	VYDAJ	VYBER	15	50905	SLUZBY	\N	\N
2114483	7156	1998-07-31	VYDAJ	VYBER	15	38358	SLUZBY	\N	\N
2114484	7156	1998-08-31	VYDAJ	VYBER	15	22086	SLUZBY	\N	\N
2114485	7156	1998-09-30	VYDAJ	VYBER	15	34519	SLUZBY	\N	\N
2114486	7156	1998-10-31	VYDAJ	VYBER	15	48366	SLUZBY	\N	\N
2114487	7156	1998-11-30	VYDAJ	VYBER	15	64977	SLUZBY	\N	\N
2114488	7156	1997-10-11	PRIJEM	VKLAD	6300	27298	\N	\N	\N
2114489	7156	1997-11-10	VYDAJ	VYBER	4500	43601	\N	\N	\N
2114490	7156	1997-12-10	VYDAJ	VYBER	15900	48587	\N	\N	\N
2114491	7156	1998-01-09	VYDAJ	VYBER	25200	54663	\N	\N	\N
2114492	7156	1998-02-08	VYDAJ	VYBER	14500	48792	\N	\N	\N
2114493	7156	1998-03-10	VYDAJ	VYBER	1900	39291	\N	\N	\N
2114494	7156	1998-04-09	PRIJEM	VKLAD	2100	38810	\N	\N	\N
2114495	7156	1998-05-09	PRIJEM	VKLAD	2100	30042	\N	\N	\N
2114496	7156	1998-06-08	PRIJEM	VKLAD	3300	35865	\N	\N	\N
2114497	7156	1998-07-08	PRIJEM	VKLAD	5200	37140	\N	\N	\N
2114498	7156	1998-08-07	VYDAJ	VYBER KARTOU	500	37858	\N	\N	0
2114499	7156	1998-09-06	PRIJEM	VKLAD	13300	35386	\N	\N	\N
2114500	7156	1998-10-06	PRIJEM	VKLAD	3800	38319	\N	\N	\N
2114501	7156	1998-11-05	VYDAJ	VYBER KARTOU	2200	46166	\N	\N	0
2114502	7156	1998-12-05	VYDAJ	VYBER	7000	53777	\N	\N	\N
2119239	7176	1996-12-07	PRIJEM	VKLAD	400	400	\N	\N	\N
2119252	7176	1997-01-05	PRIJEM	VKLAD	24800	25200	\N	\N	\N
2119253	7176	1997-02-05	PRIJEM	VKLAD	24800	51192	\N	\N	\N
2119254	7176	1997-03-05	PRIJEM	VKLAD	24800	61090	\N	\N	\N
2119255	7176	1997-04-05	PRIJEM	VKLAD	24800	67274	\N	\N	\N
2119256	7176	1997-05-05	PRIJEM	VKLAD	24800	70561	\N	\N	\N
2119257	7176	1997-06-05	PRIJEM	VKLAD	37200	72580	\N	\N	\N
2119258	7176	1997-07-05	PRIJEM	VKLAD	24800	64534	\N	\N	\N
2119259	7176	1997-08-05	PRIJEM	VKLAD	24800	44227	\N	\N	\N
2119260	7176	1997-09-05	PRIJEM	VKLAD	24800	51776	\N	\N	\N
2119261	7176	1997-10-05	PRIJEM	VKLAD	24800	51531	\N	\N	\N
2119262	7176	1997-11-05	PRIJEM	VKLAD	24800	60091	\N	\N	\N
2119263	7176	1997-12-05	PRIJEM	VKLAD	37200	70178	\N	\N	\N
2119264	7176	1998-01-05	PRIJEM	VKLAD	24800	63227	\N	\N	\N
2119265	7176	1998-02-05	PRIJEM	VKLAD	24800	53552	\N	\N	\N
2119266	7176	1998-03-05	PRIJEM	VKLAD	24800	57814	\N	\N	\N
2119267	7176	1998-04-05	PRIJEM	VKLAD	24800	54243	\N	\N	\N
2119268	7176	1998-05-05	PRIJEM	VKLAD	24800	58714	\N	\N	\N
2119269	7176	1998-06-05	PRIJEM	VKLAD	37200	70393	\N	\N	\N
2119270	7176	1998-07-05	PRIJEM	VKLAD	24800	47119	\N	\N	\N
2119271	7176	1998-08-05	PRIJEM	VKLAD	24800	54246	\N	\N	\N
2119272	7176	1998-09-05	PRIJEM	VKLAD	24800	52192	\N	\N	\N
2119273	7176	1998-10-05	PRIJEM	VKLAD	24800	51832	\N	\N	\N
2119274	7176	1998-11-05	PRIJEM	VKLAD	24800	55472	\N	\N	\N
2119275	7176	1998-12-05	PRIJEM	VKLAD	37200	68425	\N	\N	\N
2119292	7176	1997-05-05	VYDAJ	PREVOD NA UCET	6110	64451	SIPO	KL	12137484
2119293	7176	1997-06-05	VYDAJ	PREVOD NA UCET	6110	39470	SIPO	KL	12137484
2119294	7176	1997-07-05	VYDAJ	PREVOD NA UCET	6110	37424	SIPO	KL	12137484
2119295	7176	1997-08-05	VYDAJ	PREVOD NA UCET	6110	38117	SIPO	KL	12137484
2119296	7176	1997-09-05	VYDAJ	PREVOD NA UCET	6110	45666	SIPO	KL	12137484
2119297	7176	1997-10-05	VYDAJ	PREVOD NA UCET	6110	45421	SIPO	KL	12137484
2119298	7176	1997-11-05	VYDAJ	PREVOD NA UCET	6110	53981	SIPO	KL	12137484
2119299	7176	1997-12-05	VYDAJ	PREVOD NA UCET	6110	64068	SIPO	KL	12137484
2119300	7176	1998-01-05	VYDAJ	PREVOD NA UCET	6110	57117	SIPO	KL	12137484
2119301	7176	1998-02-05	VYDAJ	PREVOD NA UCET	6110	47442	SIPO	KL	12137484
2119302	7176	1998-03-05	VYDAJ	PREVOD NA UCET	6110	51704	SIPO	KL	12137484
2119303	7176	1998-04-05	VYDAJ	PREVOD NA UCET	6110	48133	SIPO	KL	12137484
2119304	7176	1998-05-05	VYDAJ	PREVOD NA UCET	6110	52604	SIPO	KL	12137484
2119305	7176	1998-06-05	VYDAJ	PREVOD NA UCET	6110	64283	SIPO	KL	12137484
2119306	7176	1998-07-05	VYDAJ	PREVOD NA UCET	6110	41009	SIPO	KL	12137484
2119307	7176	1998-08-05	VYDAJ	PREVOD NA UCET	6110	48136	SIPO	KL	12137484
2119308	7176	1998-09-05	VYDAJ	PREVOD NA UCET	6110	46082	SIPO	KL	12137484
2119309	7176	1998-10-05	VYDAJ	PREVOD NA UCET	6110	45722	SIPO	KL	12137484
2119310	7176	1998-11-05	VYDAJ	PREVOD NA UCET	6110	49362	SIPO	KL	12137484
2119311	7176	1998-12-05	VYDAJ	PREVOD NA UCET	6110	62315	SIPO	KL	12137484
2119328	7176	1997-05-06	VYDAJ	VYBER	3400	61051	\N	\N	0
2119329	7176	1997-06-02	VYDAJ	VYBER	2600	35380	\N	\N	0
2119330	7176	1997-07-14	VYDAJ	VYBER	3500	33924	\N	\N	0
2119331	7176	1997-08-01	VYDAJ	VYBER	4400	27527	\N	\N	0
2119332	7176	1997-09-14	VYDAJ	VYBER	2600	43066	\N	\N	0
2119333	7176	1997-10-04	VYDAJ	VYBER	2500	26731	\N	\N	0
2119334	7176	1997-11-12	VYDAJ	VYBER	2900	51081	\N	\N	0
2119335	7176	1997-12-12	VYDAJ	PREVOD NA UCET	3399	60669	UVER	CD	11141997
2119336	7176	1998-01-12	VYDAJ	PREVOD NA UCET	3399	52518	UVER	CD	11141997
2119337	7176	1998-02-12	VYDAJ	PREVOD NA UCET	3399	44043	UVER	CD	11141997
2119338	7176	1998-03-12	VYDAJ	PREVOD NA UCET	3399	44465	UVER	CD	11141997
2119339	7176	1998-04-12	VYDAJ	PREVOD NA UCET	3399	44734	UVER	CD	11141997
2119340	7176	1998-05-12	VYDAJ	PREVOD NA UCET	3399	49205	UVER	CD	11141997
2119341	7176	1998-06-12	VYDAJ	PREVOD NA UCET	3399	33204	UVER	CD	11141997
2119342	7176	1998-07-12	VYDAJ	PREVOD NA UCET	3399	37610	UVER	CD	11141997
2119343	7176	1998-08-12	VYDAJ	PREVOD NA UCET	3399	43537	UVER	CD	11141997
2119344	7176	1998-09-12	VYDAJ	PREVOD NA UCET	3399	42683	UVER	CD	11141997
2119345	7176	1998-10-12	VYDAJ	PREVOD NA UCET	3399	42323	UVER	CD	11141997
2119346	7176	1998-11-12	VYDAJ	PREVOD NA UCET	3399	45963	UVER	CD	11141997
2119347	7176	1998-12-12	VYDAJ	PREVOD NA UCET	3399	57156	UVER	CD	11141997
2119350	7176	1998-06-06	VYDAJ	VYBER	27680	36603	\N	\N	\N
2119352	7176	1997-12-21	VYDAJ	VYBER	2720	57949	\N	\N	\N
2119353	7176	1998-12-08	VYDAJ	VYBER	1760	60555	\N	\N	\N
2119366	7176	1998-01-22	VYDAJ	VYBER	1680	45918	\N	\N	\N
2119367	7176	1998-01-24	VYDAJ	VYBER	600	45318	\N	\N	\N
2119368	7176	1998-01-02	VYDAJ	VYBER	960	38427	\N	\N	\N
2119369	7176	1998-01-16	VYDAJ	VYBER	2400	50118	\N	\N	\N
2119370	7176	1998-01-20	VYDAJ	VYBER	2520	47598	\N	\N	\N
2119371	7176	1998-01-30	VYDAJ	VYBER	2160	43158	\N	\N	\N
2119376	7176	1997-07-21	VYDAJ	VYBER	2160	31764	\N	\N	\N
2119378	7176	1998-03-09	VYDAJ	VYBER	3840	47864	\N	\N	\N
2119379	7176	1998-06-13	VYDAJ	VYBER	4920	28284	\N	\N	\N
2119380	7176	1998-01-11	VYDAJ	VYBER	1200	55917	\N	\N	\N
2119381	7176	1998-08-30	VYDAJ	VYBER	4200	27237	\N	\N	\N
2119382	7176	1998-06-28	VYDAJ	VYBER	840	26604	\N	\N	\N
2119383	7176	1998-06-20	VYDAJ	VYBER	840	27444	\N	\N	\N
2119384	7176	1998-08-06	VYDAJ	VYBER	1200	46936	\N	\N	\N
2119402	7176	1997-05-31	VYDAJ	VYBER	15	37980	SLUZBY	\N	\N
2119403	7176	1997-06-30	VYDAJ	VYBER	15	39734	SLUZBY	\N	\N
2119404	7176	1997-07-31	VYDAJ	VYBER	15	31927	SLUZBY	\N	\N
2119405	7176	1997-08-31	VYDAJ	VYBER	15	38276	SLUZBY	\N	\N
2119406	7176	1997-09-30	VYDAJ	VYBER	15	43231	SLUZBY	\N	\N
2119407	7176	1997-10-31	VYDAJ	VYBER	15	45591	SLUZBY	\N	\N
2119408	7176	1997-11-30	VYDAJ	VYBER	15	51278	SLUZBY	\N	\N
2119409	7176	1997-12-31	VYDAJ	VYBER	15	58187	SLUZBY	\N	\N
2119410	7176	1998-01-31	VYDAJ	VYBER	15	43352	SLUZBY	\N	\N
2119411	7176	1998-02-28	VYDAJ	VYBER	15	44214	SLUZBY	\N	\N
2119412	7176	1998-03-31	VYDAJ	VYBER	15	44643	SLUZBY	\N	\N
2119413	7176	1998-04-30	VYDAJ	VYBER	15	44914	SLUZBY	\N	\N
2119414	7176	1998-05-31	VYDAJ	VYBER	15	33193	SLUZBY	\N	\N
2119415	7176	1998-06-30	VYDAJ	VYBER	15	26719	SLUZBY	\N	\N
2119416	7176	1998-07-31	VYDAJ	VYBER	15	29446	SLUZBY	\N	\N
2119417	7176	1998-08-31	VYDAJ	VYBER	15	27392	SLUZBY	\N	\N
2119418	7176	1998-09-30	VYDAJ	VYBER	15	27032	SLUZBY	\N	\N
2119419	7176	1998-10-31	VYDAJ	VYBER	15	30672	SLUZBY	\N	\N
2119420	7176	1998-11-30	VYDAJ	VYBER	15	31225	SLUZBY	\N	\N
2119421	7176	1997-01-06	PRIJEM	VKLAD	1100	26300	\N	\N	\N
2119422	7176	1997-02-05	VYDAJ	VYBER	15100	36092	\N	\N	\N
2119423	7176	1997-03-07	VYDAJ	VYBER	18800	42290	\N	\N	\N
2119424	7176	1997-04-06	VYDAJ	VYBER	21700	45574	\N	\N	\N
2119425	7176	1997-05-06	VYDAJ	VYBER	23300	37751	\N	\N	\N
2119426	7176	1997-06-05	VYDAJ	VYBER	27000	45580	\N	\N	\N
2119427	7176	1997-07-05	VYDAJ	VYBER	21000	43534	\N	\N	\N
2119428	7176	1997-08-04	VYDAJ	VYBER	8100	19427	\N	\N	\N
2119429	7176	1997-09-03	VYDAJ	VYBER	11300	26976	\N	\N	\N
2119430	7176	1997-10-03	VYDAJ	VYBER	14000	29231	\N	\N	\N
2119431	7176	1997-11-02	VYDAJ	VYBER	10300	35291	\N	\N	\N
2119432	7176	1997-12-02	VYDAJ	VYBER	18300	32978	\N	\N	\N
2119433	7176	1998-01-01	VYDAJ	VYBER	18800	39387	\N	\N	\N
2119434	7176	1998-01-31	VYDAJ	VYBER	14600	28752	\N	\N	\N
2119435	7176	1998-03-02	VYDAJ	VYBER	11200	33014	\N	\N	\N
2119436	7176	1998-04-01	VYDAJ	VYBER	15200	29443	\N	\N	\N
2119437	7176	1998-05-01	VYDAJ	VYBER	11000	33914	\N	\N	\N
2119438	7176	1998-05-31	VYDAJ	VYBER	16200	33207	\N	\N	\N
2119439	7176	1998-06-30	VYDAJ	VYBER	4400	22319	\N	\N	\N
2119440	7176	1998-07-30	VYDAJ	VYBER	8300	29310	\N	\N	\N
2119441	7176	1998-08-29	VYDAJ	VYBER	12100	31437	\N	\N	\N
2119442	7176	1998-09-28	VYDAJ	VYBER	15800	26883	\N	\N	\N
2119443	7176	1998-10-28	VYDAJ	VYBER	11800	30523	\N	\N	\N
2119444	7176	1998-11-27	VYDAJ	VYBER	14900	31063	\N	\N	\N
2120014	7180	1997-06-12	PRIJEM	VKLAD	700	700	\N	\N	\N
2120021	7180	1997-07-09	PRIJEM	PREVOD Z UCTU	24939	25639	\N	AB	19714105
2120022	7180	1997-08-09	PRIJEM	PREVOD Z UCTU	24939	49845	\N	AB	19714105
2120023	7180	1997-09-09	PRIJEM	PREVOD Z UCTU	24939	62623	\N	AB	19714105
2120024	7180	1997-10-09	PRIJEM	PREVOD Z UCTU	24939	71444	\N	AB	19714105
2120025	7180	1997-11-09	PRIJEM	PREVOD Z UCTU	24939	64370	\N	AB	19714105
2120026	7180	1997-12-09	PRIJEM	PREVOD Z UCTU	37408	67096	\N	AB	19714105
2120027	7180	1998-01-09	PRIJEM	PREVOD Z UCTU	24939	44427	\N	AB	19714105
2120028	7180	1998-02-09	PRIJEM	PREVOD Z UCTU	24939	46574	\N	AB	19714105
2120029	7180	1998-03-09	PRIJEM	PREVOD Z UCTU	24939	40014	\N	AB	19714105
2120030	7180	1998-04-09	PRIJEM	PREVOD Z UCTU	24939	46417	\N	AB	19714105
2120031	7180	1998-05-09	PRIJEM	PREVOD Z UCTU	24939	48429	\N	AB	19714105
2120032	7180	1998-06-09	PRIJEM	PREVOD Z UCTU	37408	75661	\N	AB	19714105
2120033	7180	1998-07-09	PRIJEM	PREVOD Z UCTU	24939	57506	\N	AB	19714105
2120034	7180	1998-08-09	PRIJEM	PREVOD Z UCTU	24939	71919	\N	AB	19714105
2120035	7180	1998-09-09	PRIJEM	PREVOD Z UCTU	24939	61112	\N	AB	19714105
2120036	7180	1998-10-09	PRIJEM	PREVOD Z UCTU	24939	70629	\N	AB	19714105
2120037	7180	1998-11-09	PRIJEM	PREVOD Z UCTU	24939	79968	\N	AB	19714105
2120038	7180	1998-12-09	PRIJEM	PREVOD Z UCTU	37408	96940	\N	AB	19714105
2120049	7180	1997-10-29	VYDAJ	VYBER	5700	39244	\N	\N	0
2120050	7180	1997-12-27	VYDAJ	VYBER	4200	19707	\N	\N	0
2120051	7180	1998-01-11	VYDAJ	VYBER	5000	39427	\N	\N	0
2120052	7180	1998-02-16	VYDAJ	VYBER	5800	20085	\N	\N	0
2120053	7180	1998-03-11	VYDAJ	VYBER	5200	26314	\N	\N	0
2120054	7180	1998-04-16	VYDAJ	VYBER	3400	34928	\N	\N	0
2120055	7180	1998-05-14	VYDAJ	VYBER	3500	36840	\N	\N	0
2120056	7180	1998-06-12	VYDAJ	VYBER	3900	71761	\N	\N	0
2120057	7180	1998-07-05	VYDAJ	VYBER	2700	31567	\N	\N	0
2120058	7180	1998-08-12	VYDAJ	VYBER	5500	66419	\N	\N	0
2120059	7180	1998-09-15	VYDAJ	VYBER	3900	49123	\N	\N	0
2120060	7180	1998-10-19	VYDAJ	VYBER	4800	57740	\N	\N	0
2120061	7180	1998-10-24	VYDAJ	VYBER	4300	53440	\N	\N	0
2120062	7180	1998-12-12	VYDAJ	PREVOD NA UCET	4157	84694	UVER	YZ	5624032
2120073	7180	1997-11-12	VYDAJ	PREVOD NA UCET	8089	29581	SIPO	ST	71244883
2120074	7180	1997-12-12	VYDAJ	PREVOD NA UCET	8089	23907	SIPO	ST	71244883
2120075	7180	1998-01-12	VYDAJ	PREVOD NA UCET	8089	31338	SIPO	ST	71244883
2120076	7180	1998-02-12	VYDAJ	PREVOD NA UCET	8089	38485	SIPO	ST	71244883
2120077	7180	1998-03-12	VYDAJ	PREVOD NA UCET	8089	18225	SIPO	ST	71244883
2120078	7180	1998-04-12	VYDAJ	PREVOD NA UCET	8089	38328	SIPO	ST	71244883
2120079	7180	1998-05-12	VYDAJ	PREVOD NA UCET	8089	40340	SIPO	ST	71244883
2120080	7180	1998-06-12	VYDAJ	PREVOD NA UCET	8089	63672	SIPO	ST	71244883
2120081	7180	1998-07-12	VYDAJ	PREVOD NA UCET	8089	49417	SIPO	ST	71244883
2120082	7180	1998-08-12	VYDAJ	PREVOD NA UCET	8089	58330	SIPO	ST	71244883
2120083	7180	1998-09-12	VYDAJ	PREVOD NA UCET	8089	53023	SIPO	ST	71244883
2120084	7180	1998-10-12	VYDAJ	PREVOD NA UCET	8089	62540	SIPO	ST	71244883
2120085	7180	1998-11-12	VYDAJ	PREVOD NA UCET	8089	71879	SIPO	ST	71244883
2120086	7180	1998-12-12	VYDAJ	PREVOD NA UCET	8089	88851	SIPO	ST	71244883
2120094	7180	1998-06-19	VYBER	VYBER	14696	34101	\N	\N	\N
2120095	7180	1998-06-18	VYBER	VYBER	14875	48797	\N	\N	\N
2120096	7180	1998-03-04	VYBER	VYBER	5081	15075	\N	\N	\N
2120097	7180	1998-09-07	VYBER	VYBER	9802	42755	\N	\N	\N
2120099	7180	1998-09-08	VYBER	VYBER	6582	36173	\N	\N	\N
2120100	7180	1998-04-27	VYBER	VYBER	13934	20994	\N	\N	\N
2120101	7180	1998-01-13	VYBER	VYBER	12863	18475	\N	\N	\N
2120103	7180	1998-09-18	VYBER	VYBER	9993	39130	\N	\N	\N
2120109	7180	1998-12-07	VYDAJ	VYBER	6900	59532	\N	\N	\N
2120122	7180	1997-11-10	VYDAJ	VYBER	1800	37670	\N	\N	\N
2120123	7180	1997-12-10	VYDAJ	VYBER	12600	31996	\N	\N	\N
2120125	7180	1998-09-28	VYDAJ	VYBER	6600	32530	\N	\N	\N
2120126	7180	1998-08-30	VYDAJ	VYBER	6900	51430	\N	\N	\N
2120127	7180	1998-02-14	VYDAJ	VYBER	12600	25885	\N	\N	\N
2120128	7180	1998-12-25	VYDAJ	VYBER	2700	81994	\N	\N	\N
2120140	7180	1997-11-30	VYDAJ	VYBER	30	29688	SLUZBY	\N	\N
2120141	7180	1997-12-31	VYDAJ	VYBER	30	19788	SLUZBY	\N	\N
2120142	7180	1998-01-31	VYDAJ	VYBER	30	18535	SLUZBY	\N	\N
2120143	7180	1998-02-28	VYDAJ	VYBER	30	20156	SLUZBY	\N	\N
2120144	7180	1998-03-31	VYDAJ	VYBER	30	18278	SLUZBY	\N	\N
2120145	7180	1998-04-30	VYDAJ	VYBER	30	21090	SLUZBY	\N	\N
2120146	7180	1998-05-31	VYDAJ	VYBER	30	36953	SLUZBY	\N	\N
2120147	7180	1998-06-30	VYDAJ	VYBER	30	34267	SLUZBY	\N	\N
2120148	7180	1998-07-31	VYDAJ	VYBER	30	49580	SLUZBY	\N	\N
2120149	7180	1998-08-31	VYDAJ	VYBER	30	51657	SLUZBY	\N	\N
2120150	7180	1998-09-30	VYDAJ	VYBER	30	32690	SLUZBY	\N	\N
2120151	7180	1998-10-31	VYDAJ	VYBER	30	53629	SLUZBY	\N	\N
2120152	7180	1998-11-30	VYDAJ	VYBER	30	72132	SLUZBY	\N	\N
2120153	7180	1997-07-12	VYDAJ	VYBER	800	24839	\N	\N	\N
2120154	7180	1997-08-11	VYDAJ	VYBER	12300	37545	\N	\N	\N
2120155	7180	1997-09-10	VYDAJ	VYBER	16300	46323	\N	\N	\N
2120156	7180	1997-10-10	VYDAJ	VYBER	26500	44944	\N	\N	\N
2120157	7180	1997-11-09	VYDAJ	VYBER	24900	39470	\N	\N	\N
2120158	7180	1997-12-09	VYDAJ	VYBER	22500	44596	\N	\N	\N
2120159	7180	1998-01-08	VYDAJ	VYBER	300	19488	\N	\N	\N
2120160	7180	1998-02-07	PRIJEM	VKLAD	3100	21635	\N	\N	\N
2120161	7180	1998-03-09	VYDAJ	VYBER	8500	31514	\N	\N	\N
2120162	7180	1998-04-08	PRIJEM	VKLAD	3200	21478	\N	\N	\N
2120163	7180	1998-05-08	PRIJEM	VKLAD	2400	23490	\N	\N	\N
2120164	7180	1998-06-07	PRIJEM	VKLAD	1300	38253	\N	\N	\N
2120165	7180	1998-07-07	PRIJEM	VKLAD	1000	32567	\N	\N	\N
2120166	7180	1998-08-06	VYDAJ	VYBER	2600	46980	\N	\N	\N
2120167	7180	1998-09-05	PRIJEM	VKLAD	900	52557	\N	\N	\N
2120168	7180	1998-10-05	PRIJEM	VKLAD	13000	45690	\N	\N	\N
2120169	7180	1998-11-04	PRIJEM	VKLAD	1400	55029	\N	\N	\N
2120170	7180	1998-12-04	VYDAJ	VYBER	5700	66432	\N	\N	\N
2120189	7181	1996-07-02	PRIJEM	VKLAD	600	600	\N	\N	\N
2120190	7181	1996-07-30	PRIJEM	VKLAD	11735	100483	\N	\N	\N
2120191	7181	1996-07-19	PRIJEM	VKLAD	38742	77281	\N	\N	\N
2120192	7181	1996-07-26	PRIJEM	VKLAD	11467	88748	\N	\N	\N
2120193	7181	1996-09-03	PRIJEM	VKLAD	10432	69749	\N	\N	\N
2120194	7181	1996-09-28	PRIJEM	VKLAD	18522	78890	\N	\N	\N
2120195	7181	1996-08-26	PRIJEM	VKLAD	45557	93252	\N	\N	\N
2120199	7181	1996-12-10	PRIJEM	VKLAD	43290	73852	\N	\N	\N
2120200	7181	1996-08-20	PRIJEM	VKLAD	44402	106595	\N	\N	\N
2120202	7181	1996-11-14	PRIJEM	VKLAD	40517	66833	\N	\N	\N
2120203	7181	1996-07-07	PRIJEM	VKLAD	37939	38539	\N	\N	\N
2120205	7181	1997-08-26	PRIJEM	VKLAD	14790	43761	\N	\N	\N
2120206	7181	1997-02-17	PRIJEM	VKLAD	16787	31561	\N	\N	\N
2120207	7181	1997-05-06	PRIJEM	VKLAD	10025	33736	\N	\N	\N
2120208	7181	1997-11-04	PRIJEM	VKLAD	19095	57462	\N	\N	\N
2120209	7181	1997-02-26	PRIJEM	VKLAD	32577	64138	\N	\N	\N
2120210	7181	1997-08-02	PRIJEM	VKLAD	13082	45552	\N	\N	\N
2120211	7181	1998-01-09	PRIJEM	VKLAD	37494	72529	\N	\N	\N
2120212	7181	1998-09-08	PRIJEM	VKLAD	35885	103137	\N	\N	\N
2120213	7181	1998-02-16	PRIJEM	VKLAD	33543	67791	\N	\N	\N
2120214	7181	1998-07-17	PRIJEM	VKLAD	9229	51278	\N	\N	\N
2120215	7181	1998-12-26	PRIJEM	VKLAD	8732	83390	\N	\N	\N
2120216	7181	1998-09-21	PRIJEM	VKLAD	11740	103328	\N	\N	\N
2120217	7181	1998-08-15	PRIJEM	VKLAD	38649	121677	\N	\N	\N
2120218	7181	1998-07-25	PRIJEM	VKLAD	31841	93019	\N	\N	\N
2120219	7181	1998-03-04	PRIJEM	VKLAD	47226	106023	\N	\N	\N
2120220	7181	1998-05-23	PRIJEM	VKLAD	43058	127831	\N	\N	\N
2120221	7181	1998-09-13	PRIJEM	VKLAD	49322	148302	\N	\N	\N
2120222	7181	1998-12-23	PRIJEM	VKLAD	27222	74658	\N	\N	\N
2120223	7181	1998-04-21	PRIJEM	VKLAD	44542	109652	\N	\N	\N
2120224	7181	1998-04-01	PRIJEM	VKLAD	8922	88892	\N	\N	\N
2120225	7181	1998-05-30	PRIJEM	VKLAD	12323	82154	\N	\N	\N
2120226	7181	1998-03-25	PRIJEM	VKLAD	11213	87355	\N	\N	\N
2120227	7181	1998-05-19	PRIJEM	VKLAD	8259	84773	\N	\N	\N
2120228	7181	1998-04-02	PRIJEM	VKLAD	22559	111451	\N	\N	\N
2120237	7181	1996-09-17	VYDAJ	VYBER	3400	60368	\N	\N	0
2120238	7181	1996-10-25	VYDAJ	VYBER	2900	47673	\N	\N	0
2120239	7181	1996-11-08	VYDAJ	VYBER	5000	26316	\N	\N	0
2120240	7181	1996-12-08	VYDAJ	VYBER	4500	37162	\N	\N	0
2120241	7181	1997-01-11	VYDAJ	VYBER	2800	27320	\N	\N	0
2120242	7181	1997-02-14	VYDAJ	VYBER	2600	15288	\N	\N	0
2120243	7181	1997-03-05	VYDAJ	VYBER	3600	44230	\N	\N	0
2120244	7181	1997-04-07	VYDAJ	VYBER	5100	15369	\N	\N	0
2120245	7181	1997-04-30	VYDAJ	VYBER	3200	24132	\N	\N	0
2120246	7181	1997-06-13	VYDAJ	VYBER	4400	24830	\N	\N	0
2120247	7181	1997-06-30	VYDAJ	VYBER	4100	31435	\N	\N	0
2120248	7181	1997-08-25	VYDAJ	VYBER	4000	28971	\N	\N	0
2120249	7181	1997-09-12	VYDAJ	VYBER	4800	33756	\N	\N	0
2120250	7181	1997-10-04	VYDAJ	VYBER	3200	38699	\N	\N	0
2120251	7181	1997-10-26	VYDAJ	VYBER	4000	38318	\N	\N	0
2120252	7181	1997-12-19	VYDAJ	VYBER	4100	40709	\N	\N	0
2120253	7181	1998-01-17	VYDAJ	VYBER	5100	52515	\N	\N	0
2120254	7181	1998-02-07	VYDAJ	VYBER	3400	39792	\N	\N	0
2120255	7181	1998-03-13	VYDAJ	VYBER	3800	96756	\N	\N	0
2120256	7181	1998-04-15	VYDAJ	VYBER	3500	74410	\N	\N	0
2120257	7181	1998-04-30	VYDAJ	VYBER	3900	82495	\N	\N	0
2120258	7181	1998-06-12	VYDAJ	PREVOD NA UCET	4157	60460	UVER	KL	76611220
2120259	7181	1998-07-12	VYDAJ	PREVOD NA UCET	4157	42563	UVER	KL	76611220
2120260	7181	1998-08-12	VYDAJ	PREVOD NA UCET	4157	83542	UVER	KL	76611220
2120261	7181	1998-09-12	VYDAJ	PREVOD NA UCET	4157	98980	UVER	KL	76611220
2120262	7181	1998-10-12	VYDAJ	PREVOD NA UCET	4157	69057	UVER	KL	76611220
2120263	7181	1998-11-12	VYDAJ	PREVOD NA UCET	4157	47808	UVER	KL	76611220
2120264	7181	1998-12-12	VYDAJ	PREVOD NA UCET	4157	35750	UVER	KL	76611220
2120273	7181	1996-09-07	VYDAJ	PREVOD NA UCET	5030	64282	SIPO	UV	66605192
2120274	7181	1996-10-07	VYDAJ	PREVOD NA UCET	5030	51087	SIPO	UV	66605192
2120275	7181	1996-11-07	VYDAJ	PREVOD NA UCET	5030	31316	SIPO	UV	66605192
2120276	7181	1996-12-07	VYDAJ	PREVOD NA UCET	5030	41662	SIPO	UV	66605192
2120277	7181	1997-01-07	VYDAJ	PREVOD NA UCET	5030	43020	SIPO	UV	66605192
2120278	7181	1997-02-07	VYDAJ	PREVOD NA UCET	5030	17888	SIPO	UV	66605192
2120279	7181	1997-03-07	VYDAJ	PREVOD NA UCET	5030	39184	SIPO	UV	66605192
2120280	7181	1997-04-07	VYDAJ	PREVOD NA UCET	5030	20469	SIPO	UV	66605192
2120281	7181	1997-05-07	VYDAJ	PREVOD NA UCET	5030	28690	SIPO	UV	66605192
2120282	7181	1997-06-07	VYDAJ	PREVOD NA UCET	5030	29230	SIPO	UV	66605192
2120283	7181	1997-07-07	VYDAJ	PREVOD NA UCET	5030	25968	SIPO	UV	66605192
2120284	7181	1997-08-07	VYDAJ	PREVOD NA UCET	5030	40085	SIPO	UV	66605192
2120285	7181	1997-09-07	VYDAJ	PREVOD NA UCET	5030	38556	SIPO	UV	66605192
2120286	7181	1997-10-07	VYDAJ	PREVOD NA UCET	5030	33232	SIPO	UV	66605192
2120287	7181	1997-11-07	VYDAJ	PREVOD NA UCET	5030	51995	SIPO	UV	66605192
2120288	7181	1997-12-07	VYDAJ	PREVOD NA UCET	5030	47423	SIPO	UV	66605192
2120289	7181	1998-01-07	VYDAJ	PREVOD NA UCET	5030	35035	SIPO	UV	66605192
2120290	7181	1998-02-07	VYDAJ	PREVOD NA UCET	5030	34762	SIPO	UV	66605192
2120291	7181	1998-03-07	VYDAJ	PREVOD NA UCET	5030	100556	SIPO	UV	66605192
2120292	7181	1998-04-07	VYDAJ	PREVOD NA UCET	5030	78424	SIPO	UV	66605192
2120510	7181	1997-08-26	PRIJEM	VKLAD	200	43961	\N	\N	\N
2120293	7181	1998-05-07	VYDAJ	PREVOD NA UCET	5030	77028	SIPO	UV	66605192
2120294	7181	1998-06-07	VYDAJ	PREVOD NA UCET	5030	64617	SIPO	UV	66605192
2120295	7181	1998-07-07	VYDAJ	PREVOD NA UCET	5030	46719	SIPO	UV	66605192
2120296	7181	1998-08-07	VYDAJ	PREVOD NA UCET	5030	87698	SIPO	UV	66605192
2120297	7181	1998-09-07	VYDAJ	PREVOD NA UCET	5030	67252	SIPO	UV	66605192
2120298	7181	1998-10-07	VYDAJ	PREVOD NA UCET	5030	98169	SIPO	UV	66605192
2120299	7181	1998-11-07	VYDAJ	PREVOD NA UCET	5030	51964	SIPO	UV	66605192
2120300	7181	1998-12-07	VYDAJ	PREVOD NA UCET	5030	41406	SIPO	UV	66605192
2120309	7181	1996-09-05	VYDAJ	PREVOD NA UCET	421	69328	 	OP	86960434
2120310	7181	1996-10-05	VYDAJ	PREVOD NA UCET	421	56133	 	OP	86960434
2120311	7181	1996-11-05	VYDAJ	PREVOD NA UCET	421	36362	 	OP	86960434
2120312	7181	1996-12-05	VYDAJ	PREVOD NA UCET	421	46708	 	OP	86960434
2120313	7181	1997-01-05	VYDAJ	PREVOD NA UCET	421	48066	 	OP	86960434
2120314	7181	1997-02-05	VYDAJ	PREVOD NA UCET	421	22934	 	OP	86960434
2120315	7181	1997-03-05	VYDAJ	PREVOD NA UCET	421	47830	 	OP	86960434
2120316	7181	1997-04-05	VYDAJ	PREVOD NA UCET	421	25515	 	OP	86960434
2120317	7181	1997-05-05	VYDAJ	PREVOD NA UCET	421	23711	 	OP	86960434
2120318	7181	1997-06-05	VYDAJ	PREVOD NA UCET	421	34276	 	OP	86960434
2120319	7181	1997-07-05	VYDAJ	PREVOD NA UCET	421	31014	 	OP	86960434
2120320	7181	1997-08-05	VYDAJ	PREVOD NA UCET	421	45131	 	OP	86960434
2120321	7181	1997-09-05	VYDAJ	PREVOD NA UCET	421	43602	 	OP	86960434
2120322	7181	1997-10-05	VYDAJ	PREVOD NA UCET	421	38278	 	OP	86960434
2120323	7181	1997-11-05	VYDAJ	PREVOD NA UCET	421	57041	 	OP	86960434
2120324	7181	1997-12-05	VYDAJ	PREVOD NA UCET	421	52469	 	OP	86960434
2120325	7181	1998-01-05	VYDAJ	PREVOD NA UCET	421	44581	 	OP	86960434
2120326	7181	1998-02-05	VYDAJ	PREVOD NA UCET	421	43208	 	OP	86960434
2120327	7181	1998-03-05	VYDAJ	PREVOD NA UCET	421	105602	 	OP	86960434
2120328	7181	1998-04-05	VYDAJ	PREVOD NA UCET	421	83470	 	OP	86960434
2120329	7181	1998-05-05	VYDAJ	PREVOD NA UCET	421	82074	 	OP	86960434
2120330	7181	1998-06-05	VYDAJ	PREVOD NA UCET	421	81963	 	OP	86960434
2120331	7181	1998-07-05	VYDAJ	PREVOD NA UCET	421	51765	 	OP	86960434
2120332	7181	1998-08-05	VYDAJ	PREVOD NA UCET	421	92744	 	OP	86960434
2120333	7181	1998-09-05	VYDAJ	PREVOD NA UCET	421	72298	 	OP	86960434
2120334	7181	1998-10-05	VYDAJ	PREVOD NA UCET	421	103215	 	OP	86960434
2120335	7181	1998-11-05	VYDAJ	PREVOD NA UCET	421	57010	 	OP	86960434
2120336	7181	1998-12-05	VYDAJ	PREVOD NA UCET	421	46452	 	OP	86960434
2120345	7181	1996-09-06	VYDAJ	PREVOD NA UCET	16	69312	POJISTNE	IJ	99126499
2120346	7181	1996-10-06	VYDAJ	PREVOD NA UCET	16	56117	POJISTNE	IJ	99126499
2120347	7181	1996-11-06	VYDAJ	PREVOD NA UCET	16	36346	POJISTNE	IJ	99126499
2120348	7181	1996-12-06	VYDAJ	PREVOD NA UCET	16	46692	POJISTNE	IJ	99126499
2120349	7181	1997-01-06	VYDAJ	PREVOD NA UCET	16	48050	POJISTNE	IJ	99126499
2120350	7181	1997-02-06	VYDAJ	PREVOD NA UCET	16	22918	POJISTNE	IJ	99126499
2120351	7181	1997-03-06	VYDAJ	PREVOD NA UCET	16	44214	POJISTNE	IJ	99126499
2120352	7181	1997-04-06	VYDAJ	PREVOD NA UCET	16	25499	POJISTNE	IJ	99126499
2120353	7181	1997-05-06	VYDAJ	PREVOD NA UCET	16	33720	POJISTNE	IJ	99126499
2120354	7181	1997-06-06	VYDAJ	PREVOD NA UCET	16	34260	POJISTNE	IJ	99126499
2120355	7181	1997-07-06	VYDAJ	PREVOD NA UCET	16	30998	POJISTNE	IJ	99126499
2120356	7181	1997-08-06	VYDAJ	PREVOD NA UCET	16	45115	POJISTNE	IJ	99126499
2120357	7181	1997-09-06	VYDAJ	PREVOD NA UCET	16	43586	POJISTNE	IJ	99126499
2120358	7181	1997-10-06	VYDAJ	PREVOD NA UCET	16	38262	POJISTNE	IJ	99126499
2120359	7181	1997-11-06	VYDAJ	PREVOD NA UCET	16	57025	POJISTNE	IJ	99126499
2120360	7181	1997-12-06	VYDAJ	PREVOD NA UCET	16	52453	POJISTNE	IJ	99126499
2120361	7181	1998-01-06	VYDAJ	PREVOD NA UCET	16	40065	POJISTNE	IJ	99126499
2120362	7181	1998-02-06	VYDAJ	PREVOD NA UCET	16	43192	POJISTNE	IJ	99126499
2120363	7181	1998-03-06	VYDAJ	PREVOD NA UCET	16	105586	POJISTNE	IJ	99126499
2120364	7181	1998-04-06	VYDAJ	PREVOD NA UCET	16	83454	POJISTNE	IJ	99126499
2120365	7181	1998-05-06	VYDAJ	PREVOD NA UCET	16	82058	POJISTNE	IJ	99126499
2120366	7181	1998-06-06	VYDAJ	PREVOD NA UCET	16	69647	POJISTNE	IJ	99126499
2120367	7181	1998-07-06	VYDAJ	PREVOD NA UCET	16	51749	POJISTNE	IJ	99126499
2120368	7181	1998-08-06	VYDAJ	PREVOD NA UCET	16	92728	POJISTNE	IJ	99126499
2120369	7181	1998-09-06	VYDAJ	PREVOD NA UCET	16	72282	POJISTNE	IJ	99126499
2120370	7181	1998-10-06	VYDAJ	PREVOD NA UCET	16	103199	POJISTNE	IJ	99126499
2120371	7181	1998-11-06	VYDAJ	PREVOD NA UCET	16	56994	POJISTNE	IJ	99126499
2120372	7181	1998-12-06	VYDAJ	PREVOD NA UCET	16	46436	POJISTNE	IJ	99126499
2120381	7181	1996-09-14	VYDAJ	PREVOD NA UCET	514	63768	 	OP	40795511
2120382	7181	1996-10-14	VYDAJ	PREVOD NA UCET	514	50573	 	OP	40795511
2120383	7181	1996-11-14	VYDAJ	PREVOD NA UCET	514	66319	 	OP	40795511
2120384	7181	1996-12-14	VYDAJ	PREVOD NA UCET	514	73338	 	OP	40795511
2120385	7181	1997-01-14	VYDAJ	PREVOD NA UCET	514	26806	 	OP	40795511
2120386	7181	1997-02-14	VYDAJ	PREVOD NA UCET	514	14774	 	OP	40795511
2120387	7181	1997-03-14	VYDAJ	PREVOD NA UCET	514	38670	 	OP	40795511
2120388	7181	1997-04-14	VYDAJ	PREVOD NA UCET	514	14855	 	OP	40795511
2120389	7181	1997-05-14	VYDAJ	PREVOD NA UCET	514	28176	 	OP	40795511
2120390	7181	1997-06-14	VYDAJ	PREVOD NA UCET	514	24316	 	OP	40795511
2120391	7181	1997-07-14	VYDAJ	PREVOD NA UCET	514	25454	 	OP	40795511
2120392	7181	1997-08-14	VYDAJ	PREVOD NA UCET	514	39571	 	OP	40795511
2120393	7181	1997-09-14	VYDAJ	PREVOD NA UCET	514	33242	 	OP	40795511
2120394	7181	1997-10-14	VYDAJ	PREVOD NA UCET	514	32718	 	OP	40795511
2120395	7181	1997-11-14	VYDAJ	PREVOD NA UCET	514	51481	 	OP	40795511
2120396	7181	1997-12-14	VYDAJ	PREVOD NA UCET	514	46909	 	OP	40795511
2120397	7181	1998-01-14	VYDAJ	PREVOD NA UCET	514	69315	 	OP	40795511
2120398	7181	1998-02-14	VYDAJ	PREVOD NA UCET	514	34248	 	OP	40795511
2120399	7181	1998-03-14	VYDAJ	PREVOD NA UCET	514	96242	 	OP	40795511
2120400	7181	1998-04-14	VYDAJ	PREVOD NA UCET	514	77910	 	OP	40795511
2120401	7181	1998-05-14	VYDAJ	PREVOD NA UCET	514	76514	 	OP	40795511
2120402	7181	1998-06-14	VYDAJ	PREVOD NA UCET	514	59946	 	OP	40795511
2120403	7181	1998-07-14	VYDAJ	PREVOD NA UCET	514	42049	 	OP	40795511
2120404	7181	1998-08-14	VYDAJ	PREVOD NA UCET	514	83028	 	OP	40795511
2120405	7181	1998-09-14	VYDAJ	PREVOD NA UCET	514	131288	 	OP	40795511
2120406	7181	1998-10-14	VYDAJ	PREVOD NA UCET	514	68543	 	OP	40795511
2120407	7181	1998-11-14	VYDAJ	PREVOD NA UCET	514	47294	 	OP	40795511
2120408	7181	1998-12-14	VYDAJ	PREVOD NA UCET	514	35236	 	OP	40795511
2120413	7181	1997-01-27	VYBER	VYBER	3383	21623	\N	\N	\N
2120414	7181	1998-11-23	VYBER	VYBER	13433	46761	\N	\N	\N
2120415	7181	1998-10-20	VYBER	VYBER	21156	57187	\N	\N	\N
2120416	7181	1998-10-12	VYBER	VYBER	24956	73213	\N	\N	\N
2120417	7181	1998-06-22	VYBER	VYBER	8219	52027	\N	\N	\N
2120418	7181	1998-04-02	VYBER	VYBER	8660	102791	\N	\N	\N
2120419	7181	1998-08-22	VYBER	VYBER	3829	72448	\N	\N	\N
2120420	7181	1998-03-31	VYBER	VYBER	7658	80070	\N	\N	\N
2120426	7181	1996-12-18	VYDAJ	VYBER	6600	66738	\N	\N	\N
2120427	7181	1997-12-18	VYDAJ	VYBER	2100	44809	\N	\N	\N
2120428	7181	1998-12-08	VYDAJ	VYBER	1500	39906	\N	\N	\N
2120436	7181	1997-01-09	VYDAJ	VYBER	4500	38520	\N	\N	\N
2120437	7181	1997-01-19	VYDAJ	VYBER	1800	25006	\N	\N	\N
2120439	7181	1997-01-29	VYDAJ	VYBER	1800	23323	\N	\N	\N
2120440	7181	1997-01-11	VYDAJ	VYBER	8400	30120	\N	\N	\N
2120441	7181	1998-01-15	VYDAJ	VYBER	5700	63615	\N	\N	\N
2120442	7181	1998-01-14	VYDAJ	VYBER	2700	69829	\N	\N	\N
2120443	7181	1998-01-25	VYDAJ	VYBER	3300	43515	\N	\N	\N
2120444	7181	1998-01-06	VYDAJ	VYBER	4500	40081	\N	\N	\N
2120445	7181	1998-01-20	VYDAJ	VYBER	8100	44415	\N	\N	\N
2120446	7181	1998-01-17	VYDAJ	VYBER	6000	57615	\N	\N	\N
2120450	7181	1996-12-08	VYDAJ	VYBER	6600	30562	\N	\N	\N
2120453	7181	1997-03-31	VYDAJ	VYBER	12900	26036	\N	\N	\N
2120456	7181	1997-08-22	VYDAJ	VYBER	6600	32971	\N	\N	\N
2120457	7181	1998-06-18	VYDAJ	VYBER	12300	47646	\N	\N	\N
2120458	7181	1998-04-15	VYDAJ	VYBER	9300	65110	\N	\N	\N
2120459	7181	1998-06-05	VYDAJ	VYBER	12300	69663	\N	\N	\N
2120468	7181	1996-08-31	VYDAJ	VYBER	100	59317	SLUZBY	\N	\N
2120469	7181	1996-09-30	VYDAJ	VYBER	100	79054	SLUZBY	\N	\N
2120470	7181	1996-10-31	VYDAJ	VYBER	100	36783	SLUZBY	\N	\N
2120471	7181	1996-11-30	VYDAJ	VYBER	100	47129	SLUZBY	\N	\N
2120472	7181	1996-12-31	VYDAJ	VYBER	100	48487	SLUZBY	\N	\N
2120473	7181	1997-01-31	VYDAJ	VYBER	100	23355	SLUZBY	\N	\N
2120474	7181	1997-02-28	VYDAJ	VYBER	100	48251	SLUZBY	\N	\N
2120475	7181	1997-03-31	VYDAJ	VYBER	100	25936	SLUZBY	\N	\N
2120476	7181	1997-04-30	VYDAJ	VYBER	100	27332	SLUZBY	\N	\N
2120477	7181	1997-05-31	VYDAJ	VYBER	100	34697	SLUZBY	\N	\N
2120478	7181	1997-06-30	VYDAJ	VYBER	100	35535	SLUZBY	\N	\N
2120479	7181	1997-07-31	VYDAJ	VYBER	100	32470	SLUZBY	\N	\N
2120480	7181	1997-08-31	VYDAJ	VYBER	100	44023	SLUZBY	\N	\N
2120481	7181	1997-09-30	VYDAJ	VYBER	100	41899	SLUZBY	\N	\N
2120482	7181	1997-10-31	VYDAJ	VYBER	100	38367	SLUZBY	\N	\N
2120483	7181	1997-11-30	VYDAJ	VYBER	100	52890	SLUZBY	\N	\N
2120484	7181	1997-12-31	VYDAJ	VYBER	100	45002	SLUZBY	\N	\N
2120485	7181	1998-01-31	VYDAJ	VYBER	100	43629	SLUZBY	\N	\N
2120486	7181	1998-02-28	VYDAJ	VYBER	100	58797	SLUZBY	\N	\N
2120487	7181	1998-03-31	VYDAJ	VYBER	100	79970	SLUZBY	\N	\N
2120488	7181	1998-04-30	VYDAJ	VYBER	100	86395	SLUZBY	\N	\N
2120489	7181	1998-05-31	VYDAJ	VYBER	100	82384	SLUZBY	\N	\N
2120490	7181	1998-06-30	VYDAJ	VYBER	100	52186	SLUZBY	\N	\N
2120491	7181	1998-07-31	VYDAJ	VYBER	100	93165	SLUZBY	\N	\N
2120492	7181	1998-08-31	VYDAJ	VYBER	100	72719	SLUZBY	\N	\N
2120493	7181	1998-09-30	VYDAJ	VYBER	100	103636	SLUZBY	\N	\N
2120494	7181	1998-10-31	VYDAJ	VYBER	100	57431	SLUZBY	\N	\N
2120495	7181	1998-11-30	VYDAJ	VYBER	100	46873	SLUZBY	\N	\N
2120496	7181	1996-08-01	VYDAJ	VYBER	38500	62193	\N	\N	\N
2120497	7181	1996-08-20	VYDAJ	VYBER	58900	47695	\N	\N	\N
2120498	7181	1996-08-31	VYDAJ	VYBER	34200	59417	\N	\N	\N
2120499	7181	1996-09-30	VYDAJ	VYBER	22500	56554	\N	\N	\N
2120500	7181	1996-10-30	VYDAJ	VYBER	11000	36673	\N	\N	\N
2120501	7181	1996-11-29	VYDAJ	VYBER	19300	47019	\N	\N	\N
2120502	7181	1996-12-29	VYDAJ	VYBER	18400	48338	\N	\N	\N
2120503	7181	1997-01-28	PRIJEM	VKLAD	3500	25123	\N	\N	\N
2120504	7181	1997-02-27	VYDAJ	VYBER	15900	48238	\N	\N	\N
2120505	7181	1997-03-29	PRIJEM	VKLAD	100	38770	\N	\N	\N
2120506	7181	1997-04-28	PRIJEM	VKLAD	12500	27355	\N	\N	\N
2120507	7181	1997-05-28	PRIJEM	VKLAD	6500	34676	\N	\N	\N
2120508	7181	1997-06-27	PRIJEM	VKLAD	11200	35516	\N	\N	\N
2120509	7181	1997-07-27	PRIJEM	VKLAD	7000	32454	\N	\N	\N
2120511	7181	1997-09-25	PRIJEM	VKLAD	8600	41842	\N	\N	\N
2120512	7181	1997-10-25	PRIJEM	VKLAD	9600	42318	\N	\N	\N
2120513	7181	1997-11-24	PRIJEM	VKLAD	1300	52781	\N	\N	\N
2120514	7181	1997-12-24	PRIJEM	VKLAD	4200	44909	\N	\N	\N
2120515	7181	1998-01-23	PRIJEM	VKLAD	2400	46815	\N	\N	\N
2120516	7181	1998-02-22	VYDAJ	VYBER	9100	58691	\N	\N	\N
2120517	7181	1998-03-24	VYDAJ	VYBER	20100	76142	\N	\N	\N
2120518	7181	1998-04-02	VYDAJ	VYBER	18900	83891	\N	\N	\N
2120519	7181	1998-04-23	VYDAJ	VYBER	23500	86152	\N	\N	\N
2120520	7181	1998-05-23	VYDAJ	VYBER	52600	75231	\N	\N	\N
2120521	7181	1998-05-23	VYDAJ	VYBER	5400	69831	\N	\N	\N
2120522	7181	1998-06-22	PRIJEM	VKLAD	12600	60246	\N	\N	\N
2120523	7181	1998-07-22	PRIJEM	VKLAD	9900	61178	\N	\N	\N
2120524	7181	1998-08-15	VYDAJ	VYBER	50000	71677	\N	\N	\N
2120525	7181	1998-08-21	PRIJEM	VKLAD	4600	76277	\N	\N	\N
2120526	7181	1998-09-13	VYDAJ	VYBER	16500	131802	\N	\N	\N
2120527	7181	1998-09-14	VYDAJ	VYBER	19900	111388	\N	\N	\N
2120528	7181	1998-09-20	VYDAJ	VYBER	19800	91588	\N	\N	\N
2120529	7181	1998-10-20	PRIJEM	VKLAD	9800	78343	\N	\N	\N
2120530	7181	1998-11-19	PRIJEM	VKLAD	12900	60194	\N	\N	\N
2120531	7181	1998-12-19	PRIJEM	VKLAD	12200	47436	\N	\N	\N
2121509	7184	1995-06-19	PRIJEM	VKLAD	500	500	\N	\N	\N
2121516	7184	1995-07-05	PRIJEM	VKLAD	22991	23491	\N	\N	\N
2121517	7184	1995-08-05	PRIJEM	VKLAD	22991	45121	\N	\N	\N
2121518	7184	1995-09-05	PRIJEM	VKLAD	22991	59330	\N	\N	\N
2121519	7184	1995-10-05	PRIJEM	VKLAD	22991	65484	\N	\N	\N
2121520	7184	1995-11-05	PRIJEM	VKLAD	22991	66954	\N	\N	\N
2121521	7184	1995-12-05	PRIJEM	VKLAD	34486	72839	\N	\N	\N
2121522	7184	1996-01-05	PRIJEM	VKLAD	22991	64785	\N	\N	\N
2121523	7184	1996-02-05	PRIJEM	VKLAD	22991	42718	\N	\N	\N
2121524	7184	1996-03-05	PRIJEM	VKLAD	22991	51818	\N	\N	\N
2121525	7184	1996-04-05	PRIJEM	VKLAD	22991	55358	\N	\N	\N
2121526	7184	1996-05-05	PRIJEM	VKLAD	22991	58356	\N	\N	\N
2121527	7184	1996-06-05	PRIJEM	VKLAD	34486	70312	\N	\N	\N
2121528	7184	1996-07-05	PRIJEM	VKLAD	22991	60701	\N	\N	\N
2121529	7184	1996-08-05	PRIJEM	VKLAD	22991	63486	\N	\N	\N
2121530	7184	1996-09-05	PRIJEM	VKLAD	22991	63802	\N	\N	\N
2121531	7184	1996-10-05	PRIJEM	VKLAD	22991	55718	\N	\N	\N
2121532	7184	1996-11-05	PRIJEM	VKLAD	22991	52474	\N	\N	\N
2121533	7184	1996-12-05	PRIJEM	VKLAD	34486	56132	\N	\N	\N
2121534	7184	1997-01-05	PRIJEM	VKLAD	22991	45668	\N	\N	\N
2121535	7184	1997-02-05	PRIJEM	VKLAD	22991	42756	\N	\N	\N
2121536	7184	1997-03-05	PRIJEM	VKLAD	22991	36643	\N	\N	\N
2121537	7184	1997-04-05	PRIJEM	VKLAD	22991	37627	\N	\N	\N
2121538	7184	1997-05-05	PRIJEM	VKLAD	22991	39116	\N	\N	\N
2121539	7184	1997-06-05	PRIJEM	VKLAD	34486	49799	\N	\N	\N
2121540	7184	1997-07-05	PRIJEM	VKLAD	22991	40899	\N	\N	\N
2121541	7184	1997-08-05	PRIJEM	VKLAD	22991	36280	\N	\N	\N
2121542	7184	1997-09-05	PRIJEM	VKLAD	22991	33044	\N	\N	\N
2121543	7184	1997-10-05	PRIJEM	VKLAD	22991	43340	\N	\N	\N
2121544	7184	1997-11-05	PRIJEM	VKLAD	22991	37322	\N	\N	\N
2121545	7184	1997-12-05	PRIJEM	VKLAD	34486	45682	\N	\N	\N
2121546	7184	1998-01-05	PRIJEM	VKLAD	22991	41072	\N	\N	\N
2121547	7184	1998-02-05	PRIJEM	VKLAD	22991	45150	\N	\N	\N
2121548	7184	1998-03-05	PRIJEM	VKLAD	22991	54539	\N	\N	\N
2121549	7184	1998-04-05	PRIJEM	VKLAD	22991	43262	\N	\N	\N
2121550	7184	1998-05-05	PRIJEM	VKLAD	22991	53600	\N	\N	\N
2121551	7184	1998-06-05	PRIJEM	VKLAD	34486	58575	\N	\N	\N
2121552	7184	1998-07-05	PRIJEM	VKLAD	22991	39245	\N	\N	\N
2121553	7184	1998-08-05	PRIJEM	VKLAD	22991	49565	\N	\N	\N
2121554	7184	1998-09-05	PRIJEM	VKLAD	22991	62121	\N	\N	\N
2121555	7184	1998-10-05	PRIJEM	VKLAD	22991	73025	\N	\N	\N
2121556	7184	1998-11-05	PRIJEM	VKLAD	22991	49860	\N	\N	\N
2121557	7184	1998-12-05	PRIJEM	VKLAD	34486	71097	\N	\N	\N
2121568	7184	1995-11-05	VYDAJ	PREVOD NA UCET	3434	63520	SIPO	GH	64944064
2121569	7184	1995-12-05	VYDAJ	PREVOD NA UCET	3434	69405	SIPO	GH	64944064
2121570	7184	1996-01-05	VYDAJ	PREVOD NA UCET	3434	61351	SIPO	GH	64944064
2121571	7184	1996-02-05	VYDAJ	PREVOD NA UCET	3434	33764	SIPO	GH	64944064
2121572	7184	1996-03-05	VYDAJ	PREVOD NA UCET	3434	48384	SIPO	GH	64944064
2121573	7184	1996-04-05	VYDAJ	PREVOD NA UCET	3434	51924	SIPO	GH	64944064
2121574	7184	1996-05-05	VYDAJ	PREVOD NA UCET	3434	54922	SIPO	GH	64944064
2121575	7184	1996-06-05	VYDAJ	PREVOD NA UCET	3434	66878	SIPO	GH	64944064
2121576	7184	1996-07-05	VYDAJ	PREVOD NA UCET	3434	57267	SIPO	GH	64944064
2121577	7184	1996-08-05	VYDAJ	PREVOD NA UCET	3434	60052	SIPO	GH	64944064
2121578	7184	1996-09-05	VYDAJ	PREVOD NA UCET	3434	60368	SIPO	GH	64944064
2121579	7184	1996-10-05	VYDAJ	PREVOD NA UCET	3434	52284	SIPO	GH	64944064
2121580	7184	1996-11-05	VYDAJ	PREVOD NA UCET	3434	49040	SIPO	GH	64944064
2121581	7184	1996-12-05	VYDAJ	PREVOD NA UCET	3434	52698	SIPO	GH	64944064
2121582	7184	1997-01-05	VYDAJ	PREVOD NA UCET	3434	42234	SIPO	GH	64944064
2121583	7184	1997-02-05	VYDAJ	PREVOD NA UCET	3434	39322	SIPO	GH	64944064
2121584	7184	1997-03-05	VYDAJ	PREVOD NA UCET	3434	33209	SIPO	GH	64944064
2121585	7184	1997-04-05	VYDAJ	PREVOD NA UCET	3434	34193	SIPO	GH	64944064
2121586	7184	1997-05-05	VYDAJ	PREVOD NA UCET	3434	35682	SIPO	GH	64944064
2121587	7184	1997-06-05	VYDAJ	PREVOD NA UCET	3434	46365	SIPO	GH	64944064
2121588	7184	1997-07-05	VYDAJ	PREVOD NA UCET	3434	37465	SIPO	GH	64944064
2121589	7184	1997-08-05	VYDAJ	PREVOD NA UCET	3434	32846	SIPO	GH	64944064
2121590	7184	1997-09-05	VYDAJ	PREVOD NA UCET	3434	29610	SIPO	GH	64944064
2121591	7184	1997-10-05	VYDAJ	PREVOD NA UCET	3434	39906	SIPO	GH	64944064
2121592	7184	1997-11-05	VYDAJ	PREVOD NA UCET	3434	20488	SIPO	GH	64944064
2121593	7184	1997-12-05	VYDAJ	PREVOD NA UCET	3434	27348	SIPO	GH	64944064
2121594	7184	1998-01-05	VYDAJ	PREVOD NA UCET	3434	37638	SIPO	GH	64944064
2121595	7184	1998-02-05	VYDAJ	PREVOD NA UCET	3434	41716	SIPO	GH	64944064
2121596	7184	1998-03-05	VYDAJ	PREVOD NA UCET	3434	29505	SIPO	GH	64944064
2121597	7184	1998-04-05	VYDAJ	PREVOD NA UCET	3434	39828	SIPO	GH	64944064
2121598	7184	1998-05-05	VYDAJ	PREVOD NA UCET	3434	50166	SIPO	GH	64944064
2121599	7184	1998-06-05	VYDAJ	PREVOD NA UCET	3434	26341	SIPO	GH	64944064
2121600	7184	1998-07-05	VYDAJ	PREVOD NA UCET	3434	35811	SIPO	GH	64944064
2121601	7184	1998-08-05	VYDAJ	PREVOD NA UCET	3434	46131	SIPO	GH	64944064
2121602	7184	1998-09-05	VYDAJ	PREVOD NA UCET	3434	58687	SIPO	GH	64944064
2121603	7184	1998-10-05	VYDAJ	PREVOD NA UCET	3434	69591	SIPO	GH	64944064
2121604	7184	1998-11-05	VYDAJ	PREVOD NA UCET	3434	46426	SIPO	GH	64944064
2121605	7184	1998-12-05	VYDAJ	PREVOD NA UCET	3434	67663	SIPO	GH	64944064
2121616	7184	1995-11-11	VYDAJ	PREVOD NA UCET	1879	54274	 	AB	5196965
2121617	7184	1995-12-11	VYDAJ	PREVOD NA UCET	1879	61559	 	AB	5196965
2121618	7184	1996-01-11	VYDAJ	PREVOD NA UCET	1879	55745	 	AB	5196965
2121619	7184	1996-02-11	VYDAJ	PREVOD NA UCET	1879	30918	 	AB	5196965
2121620	7184	1996-03-11	VYDAJ	PREVOD NA UCET	1879	37238	 	AB	5196965
2121621	7184	1996-04-11	VYDAJ	PREVOD NA UCET	1879	44678	 	AB	5196965
2121622	7184	1996-05-11	VYDAJ	PREVOD NA UCET	1879	45476	 	AB	5196965
2121623	7184	1996-06-11	VYDAJ	PREVOD NA UCET	1879	56732	 	AB	5196965
2121624	7184	1996-07-11	VYDAJ	PREVOD NA UCET	1879	54421	 	AB	5196965
2121625	7184	1996-08-11	VYDAJ	PREVOD NA UCET	1879	57206	 	AB	5196965
2121626	7184	1996-09-11	VYDAJ	PREVOD NA UCET	1879	56442	 	AB	5196965
2121627	7184	1996-10-11	VYDAJ	PREVOD NA UCET	1879	49438	 	AB	5196965
2121628	7184	1996-11-11	VYDAJ	PREVOD NA UCET	1879	33694	 	AB	5196965
2121629	7184	1996-12-11	VYDAJ	PREVOD NA UCET	1879	30852	 	AB	5196965
2121630	7184	1997-01-11	VYDAJ	PREVOD NA UCET	1879	26168	 	AB	5196965
2121631	7184	1997-02-11	VYDAJ	PREVOD NA UCET	1879	20076	 	AB	5196965
2121632	7184	1997-03-11	VYDAJ	PREVOD NA UCET	1879	21063	 	AB	5196965
2121633	7184	1997-04-11	VYDAJ	PREVOD NA UCET	1879	22547	 	AB	5196965
2121634	7184	1997-05-11	VYDAJ	PREVOD NA UCET	1879	21736	 	AB	5196965
2121635	7184	1997-06-11	VYDAJ	PREVOD NA UCET	1879	24319	 	AB	5196965
2121636	7184	1997-07-11	VYDAJ	PREVOD NA UCET	1879	19719	 	AB	5196965
2121637	7184	1997-08-11	VYDAJ	PREVOD NA UCET	1879	16500	 	AB	5196965
2121638	7184	1997-09-11	VYDAJ	PREVOD NA UCET	1879	26764	 	AB	5196965
2121639	7184	1997-10-11	VYDAJ	PREVOD NA UCET	1879	20760	 	AB	5196965
2121640	7184	1997-11-11	VYDAJ	PREVOD NA UCET	1879	17642	 	AB	5196965
2121641	7184	1997-12-11	VYDAJ	PREVOD NA UCET	1879	24502	 	AB	5196965
2121642	7184	1998-01-11	VYDAJ	PREVOD NA UCET	1879	32392	 	AB	5196965
2121643	7184	1998-02-11	VYDAJ	PREVOD NA UCET	1879	38870	 	AB	5196965
2121644	7184	1998-03-11	VYDAJ	PREVOD NA UCET	1879	26659	 	AB	5196965
2121645	7184	1998-04-11	VYDAJ	PREVOD NA UCET	1879	36982	 	AB	5196965
2121646	7184	1998-05-11	VYDAJ	PREVOD NA UCET	1879	47320	 	AB	5196965
2121647	7184	1998-06-11	VYDAJ	PREVOD NA UCET	1879	22655	 	AB	5196965
2121648	7184	1998-07-11	VYDAJ	PREVOD NA UCET	1879	32965	 	AB	5196965
2121649	7184	1998-08-11	VYDAJ	PREVOD NA UCET	1879	43285	 	AB	5196965
2121650	7184	1998-09-11	VYDAJ	PREVOD NA UCET	1879	55841	 	AB	5196965
2121651	7184	1998-10-11	VYDAJ	PREVOD NA UCET	1879	57845	 	AB	5196965
2121652	7184	1998-11-11	VYDAJ	PREVOD NA UCET	1879	36480	 	AB	5196965
2121653	7184	1998-12-11	VYDAJ	PREVOD NA UCET	1879	60817	 	AB	5196965
2121664	7184	1995-11-10	VYDAJ	PREVOD NA UCET	691	56153	POJISTNE	QR	43513906
2121665	7184	1995-12-10	VYDAJ	PREVOD NA UCET	691	63714	POJISTNE	QR	43513906
2121666	7184	1996-01-10	VYDAJ	PREVOD NA UCET	691	57624	POJISTNE	QR	43513906
2121667	7184	1996-02-10	VYDAJ	PREVOD NA UCET	691	33073	POJISTNE	QR	43513906
2121668	7184	1996-03-10	VYDAJ	PREVOD NA UCET	691	39117	POJISTNE	QR	43513906
2121669	7184	1996-04-10	VYDAJ	PREVOD NA UCET	691	46557	POJISTNE	QR	43513906
2121670	7184	1996-05-10	VYDAJ	PREVOD NA UCET	691	47355	POJISTNE	QR	43513906
2121671	7184	1996-06-10	VYDAJ	PREVOD NA UCET	691	58611	POJISTNE	QR	43513906
2121672	7184	1996-07-10	VYDAJ	PREVOD NA UCET	691	56300	POJISTNE	QR	43513906
2121673	7184	1996-08-10	VYDAJ	PREVOD NA UCET	691	59085	POJISTNE	QR	43513906
2121674	7184	1996-09-10	VYDAJ	PREVOD NA UCET	691	58321	POJISTNE	QR	43513906
2121675	7184	1996-10-10	VYDAJ	PREVOD NA UCET	691	51317	POJISTNE	QR	43513906
2121676	7184	1996-11-10	VYDAJ	PREVOD NA UCET	691	35573	POJISTNE	QR	43513906
2121677	7184	1996-12-10	VYDAJ	PREVOD NA UCET	691	32731	POJISTNE	QR	43513906
2121678	7184	1997-01-10	VYDAJ	PREVOD NA UCET	691	28323	POJISTNE	QR	43513906
2121679	7184	1997-02-10	VYDAJ	PREVOD NA UCET	691	22231	POJISTNE	QR	43513906
2121680	7184	1997-03-10	VYDAJ	PREVOD NA UCET	691	23218	POJISTNE	QR	43513906
2121681	7184	1997-04-10	VYDAJ	PREVOD NA UCET	691	24426	POJISTNE	QR	43513906
2121682	7184	1997-05-10	VYDAJ	PREVOD NA UCET	691	23615	POJISTNE	QR	43513906
2121683	7184	1997-06-10	VYDAJ	PREVOD NA UCET	691	26198	POJISTNE	QR	43513906
2121684	7184	1997-07-10	VYDAJ	PREVOD NA UCET	691	21874	POJISTNE	QR	43513906
2121685	7184	1997-08-10	VYDAJ	PREVOD NA UCET	691	18655	POJISTNE	QR	43513906
2121686	7184	1997-09-10	VYDAJ	PREVOD NA UCET	691	28919	POJISTNE	QR	43513906
2121687	7184	1997-10-10	VYDAJ	PREVOD NA UCET	691	22915	POJISTNE	QR	43513906
2121688	7184	1997-11-10	VYDAJ	PREVOD NA UCET	691	19521	POJISTNE	QR	43513906
2121689	7184	1997-12-10	VYDAJ	PREVOD NA UCET	691	26381	POJISTNE	QR	43513906
2121690	7184	1998-01-10	VYDAJ	PREVOD NA UCET	691	34271	POJISTNE	QR	43513906
2121691	7184	1998-02-10	VYDAJ	PREVOD NA UCET	691	41025	POJISTNE	QR	43513906
2121692	7184	1998-03-10	VYDAJ	PREVOD NA UCET	691	28538	POJISTNE	QR	43513906
2121693	7184	1998-04-10	VYDAJ	PREVOD NA UCET	691	38861	POJISTNE	QR	43513906
2121694	7184	1998-05-10	VYDAJ	PREVOD NA UCET	691	49475	POJISTNE	QR	43513906
2121695	7184	1998-06-10	VYDAJ	PREVOD NA UCET	691	24534	POJISTNE	QR	43513906
2121696	7184	1998-07-10	VYDAJ	PREVOD NA UCET	691	35120	POJISTNE	QR	43513906
2121697	7184	1998-08-10	VYDAJ	PREVOD NA UCET	691	45440	POJISTNE	QR	43513906
2121698	7184	1998-09-10	VYDAJ	PREVOD NA UCET	691	57720	POJISTNE	QR	43513906
2121699	7184	1998-10-10	VYDAJ	PREVOD NA UCET	691	68900	POJISTNE	QR	43513906
2121700	7184	1998-11-10	VYDAJ	PREVOD NA UCET	691	38635	POJISTNE	QR	43513906
2121701	7184	1998-12-10	VYDAJ	PREVOD NA UCET	691	66696	POJISTNE	QR	43513906
2121712	7184	1995-11-10	VYDAJ	PREVOD NA UCET	276	56844	 	EF	15510481
2121713	7184	1995-12-10	VYDAJ	PREVOD NA UCET	276	63438	 	EF	15510481
2121714	7184	1996-01-10	VYDAJ	PREVOD NA UCET	276	58315	 	EF	15510481
2121715	7184	1996-02-10	VYDAJ	PREVOD NA UCET	276	32797	 	EF	15510481
2121716	7184	1996-03-10	VYDAJ	PREVOD NA UCET	276	39808	 	EF	15510481
2121717	7184	1996-04-10	VYDAJ	PREVOD NA UCET	276	47248	 	EF	15510481
2121718	7184	1996-05-10	VYDAJ	PREVOD NA UCET	276	48046	 	EF	15510481
2121719	7184	1996-06-10	VYDAJ	PREVOD NA UCET	276	59302	 	EF	15510481
2121720	7184	1996-07-10	VYDAJ	PREVOD NA UCET	276	56991	 	EF	15510481
2121721	7184	1996-08-10	VYDAJ	PREVOD NA UCET	276	59776	 	EF	15510481
2121722	7184	1996-09-10	VYDAJ	PREVOD NA UCET	276	59012	 	EF	15510481
2121723	7184	1996-10-10	VYDAJ	PREVOD NA UCET	276	52008	 	EF	15510481
2121724	7184	1996-11-10	VYDAJ	PREVOD NA UCET	276	36264	 	EF	15510481
2121725	7184	1996-12-10	VYDAJ	PREVOD NA UCET	276	33422	 	EF	15510481
2121726	7184	1997-01-10	VYDAJ	PREVOD NA UCET	276	28047	 	EF	15510481
2121727	7184	1997-02-10	VYDAJ	PREVOD NA UCET	276	21955	 	EF	15510481
2121728	7184	1997-03-10	VYDAJ	PREVOD NA UCET	276	22942	 	EF	15510481
2121729	7184	1997-04-10	VYDAJ	PREVOD NA UCET	276	25117	 	EF	15510481
2121730	7184	1997-05-10	VYDAJ	PREVOD NA UCET	276	24306	 	EF	15510481
2121731	7184	1997-06-10	VYDAJ	PREVOD NA UCET	276	26889	 	EF	15510481
2121732	7184	1997-07-10	VYDAJ	PREVOD NA UCET	276	21598	 	EF	15510481
2121733	7184	1997-08-10	VYDAJ	PREVOD NA UCET	276	18379	 	EF	15510481
2121734	7184	1997-09-10	VYDAJ	PREVOD NA UCET	276	28643	 	EF	15510481
2121735	7184	1997-10-10	VYDAJ	PREVOD NA UCET	276	22639	 	EF	15510481
2121736	7184	1997-11-10	VYDAJ	PREVOD NA UCET	276	20212	 	EF	15510481
2121737	7184	1997-12-10	VYDAJ	PREVOD NA UCET	276	27072	 	EF	15510481
2121738	7184	1998-01-10	VYDAJ	PREVOD NA UCET	276	34962	 	EF	15510481
2121739	7184	1998-02-10	VYDAJ	PREVOD NA UCET	276	40749	 	EF	15510481
2121740	7184	1998-03-10	VYDAJ	PREVOD NA UCET	276	29229	 	EF	15510481
2121741	7184	1998-04-10	VYDAJ	PREVOD NA UCET	276	39552	 	EF	15510481
2121742	7184	1998-05-10	VYDAJ	PREVOD NA UCET	276	49199	 	EF	15510481
2121743	7184	1998-06-10	VYDAJ	PREVOD NA UCET	276	25225	 	EF	15510481
2121744	7184	1998-07-10	VYDAJ	PREVOD NA UCET	276	34844	 	EF	15510481
2121745	7184	1998-08-10	VYDAJ	PREVOD NA UCET	276	45164	 	EF	15510481
2121746	7184	1998-09-10	VYDAJ	PREVOD NA UCET	276	58411	 	EF	15510481
2121747	7184	1998-10-10	VYDAJ	PREVOD NA UCET	276	68624	 	EF	15510481
2121748	7184	1998-11-10	VYDAJ	PREVOD NA UCET	276	38359	 	EF	15510481
2121749	7184	1998-12-10	VYDAJ	PREVOD NA UCET	276	67387	 	EF	15510481
2121760	7184	1995-11-08	VYDAJ	VYBER	6400	57120	\N	\N	0
2121761	7184	1995-12-08	VYDAJ	VYBER	5000	64405	\N	\N	0
2121762	7184	1996-01-23	VYDAJ	VYBER	5100	30705	\N	\N	0
2121763	7184	1996-01-29	VYDAJ	VYBER	4700	19565	\N	\N	0
2121764	7184	1996-03-08	VYDAJ	VYBER	8300	40084	\N	\N	0
2121765	7184	1996-04-09	VYDAJ	VYBER	4400	47524	\N	\N	0
2121766	7184	1996-05-07	VYDAJ	VYBER	6600	48322	\N	\N	0
2121767	7184	1996-06-05	VYDAJ	VYBER	7300	59578	\N	\N	0
2121768	7184	1996-07-04	VYDAJ	VYBER	3900	37710	\N	\N	0
2121769	7184	1996-08-12	VYDAJ	PREVOD NA UCET	6485	50721	UVER	AB	95096921
2121770	7184	1996-09-12	VYDAJ	PREVOD NA UCET	6485	35457	UVER	AB	95096921
2121771	7184	1996-10-12	VYDAJ	PREVOD NA UCET	6485	29353	UVER	AB	95096921
2121772	7184	1996-11-12	VYDAJ	PREVOD NA UCET	6485	27209	UVER	AB	95096921
2121773	7184	1996-12-12	VYDAJ	PREVOD NA UCET	6485	24367	UVER	AB	95096921
2121774	7184	1997-01-12	VYDAJ	PREVOD NA UCET	6485	19683	UVER	AB	95096921
2121775	7184	1997-02-12	VYDAJ	PREVOD NA UCET	6485	13591	UVER	AB	95096921
2121776	7184	1997-03-12	VYDAJ	PREVOD NA UCET	6485	14578	UVER	AB	95096921
2121777	7184	1997-04-12	VYDAJ	PREVOD NA UCET	6485	16062	UVER	AB	95096921
2121778	7184	1997-05-12	VYDAJ	PREVOD NA UCET	6485	15251	UVER	AB	95096921
2121779	7184	1997-06-12	VYDAJ	PREVOD NA UCET	6485	17834	UVER	AB	95096921
2121780	7184	1997-07-12	VYDAJ	PREVOD NA UCET	6485	13234	UVER	AB	95096921
2121781	7184	1997-08-12	VYDAJ	PREVOD NA UCET	6485	10015	UVER	AB	95096921
2121782	7184	1997-09-12	VYDAJ	PREVOD NA UCET	6485	20279	UVER	AB	95096921
2121783	7184	1997-10-12	VYDAJ	PREVOD NA UCET	6485	14275	UVER	AB	95096921
2121784	7184	1997-11-12	VYDAJ	PREVOD NA UCET	6485	11157	UVER	AB	95096921
2121785	7184	1997-12-12	VYDAJ	PREVOD NA UCET	6485	18017	UVER	AB	95096921
2121786	7184	1998-01-12	VYDAJ	PREVOD NA UCET	6485	25907	UVER	AB	95096921
2121787	7184	1998-02-12	VYDAJ	PREVOD NA UCET	6485	32385	UVER	AB	95096921
2121788	7184	1998-03-12	VYDAJ	PREVOD NA UCET	6485	20174	UVER	AB	95096921
2121789	7184	1998-04-12	VYDAJ	PREVOD NA UCET	6485	30497	UVER	AB	95096921
2121790	7184	1998-05-12	VYDAJ	PREVOD NA UCET	6485	40835	UVER	AB	95096921
2121791	7184	1998-06-12	VYDAJ	PREVOD NA UCET	6485	16170	UVER	AB	95096921
2121792	7184	1998-07-12	VYDAJ	PREVOD NA UCET	6485	26480	UVER	AB	95096921
2121793	7184	1998-08-16	VYDAJ	VYBER	4300	38985	\N	\N	0
2121794	7184	1998-09-16	VYDAJ	VYBER	6000	49841	\N	\N	0
2121795	7184	1998-10-10	VYDAJ	VYBER	8900	59724	\N	\N	0
2121796	7184	1998-11-07	VYDAJ	VYBER	7100	39326	\N	\N	0
2121797	7184	1998-12-19	VYDAJ	VYBER	8200	52617	\N	\N	0
2121801	7184	1998-06-05	VYDAJ	VYBER	28800	29775	\N	\N	\N
2121803	7184	1996-01-26	VYDAJ	VYBER	5120	24265	\N	\N	\N
2121806	7184	1995-12-15	VYDAJ	VYBER	800	60759	\N	\N	\N
2121807	7184	1996-12-03	VYDAJ	VYBER	4000	21646	\N	\N	\N
2121809	7184	1998-12-11	VYDAJ	VYBER	4000	62696	\N	\N	\N
2121816	7184	1996-01-08	VYDAJ	VYBER	2760	58591	\N	\N	\N
2121817	7184	1996-01-01	VYDAJ	VYBER	1560	41794	\N	\N	\N
2121818	7184	1996-01-17	VYDAJ	VYBER	3480	38325	\N	\N	\N
2121819	7184	1996-01-12	VYDAJ	VYBER	3240	52505	\N	\N	\N
2121820	7184	1996-01-24	VYDAJ	VYBER	1320	29385	\N	\N	\N
2121821	7184	1996-01-15	VYDAJ	VYBER	600	51905	\N	\N	\N
2121822	7184	1997-01-06	VYDAJ	VYBER	2280	39954	\N	\N	\N
2121823	7184	1997-01-01	VYDAJ	VYBER	720	23757	\N	\N	\N
2121824	7184	1997-01-08	VYDAJ	VYBER	840	39114	\N	\N	\N
2121825	7184	1997-01-04	VYDAJ	VYBER	1080	22677	\N	\N	\N
2121828	7184	1998-01-07	VYDAJ	VYBER	2400	35238	\N	\N	\N
2121829	7184	1998-01-24	VYDAJ	VYBER	1560	24347	\N	\N	\N
2121833	7184	1998-01-26	VYDAJ	VYBER	2280	22067	\N	\N	\N
2121839	7184	1996-02-05	VYDAJ	VYBER	5520	37198	\N	\N	\N
2121840	7184	1996-04-13	VYDAJ	VYBER	1560	43118	\N	\N	\N
2121841	7184	1996-11-16	VYDAJ	VYBER	1680	25529	\N	\N	\N
2121842	7184	1996-09-15	VYDAJ	VYBER	2880	32577	\N	\N	\N
2121843	7184	1996-01-22	VYDAJ	VYBER	2520	35805	\N	\N	\N
2121844	7184	1996-09-06	VYDAJ	VYBER	1080	59288	\N	\N	\N
2121852	7184	1998-03-01	VYDAJ	VYBER	960	31548	\N	\N	\N
2121853	7184	1998-06-08	VYDAJ	VYBER	840	25501	\N	\N	\N
2121865	7184	1995-11-30	VYDAJ	VYBER	15	38353	SLUZBY	\N	\N
2121866	7184	1995-12-31	VYDAJ	VYBER	15	43354	SLUZBY	\N	\N
2121867	7184	1996-01-31	VYDAJ	VYBER	15	19727	SLUZBY	\N	\N
2121868	7184	1996-02-29	VYDAJ	VYBER	15	28827	SLUZBY	\N	\N
2121869	7184	1996-03-31	VYDAJ	VYBER	15	32367	SLUZBY	\N	\N
2121870	7184	1996-04-30	VYDAJ	VYBER	15	35365	SLUZBY	\N	\N
2121871	7184	1996-05-31	VYDAJ	VYBER	15	35826	SLUZBY	\N	\N
2121872	7184	1996-06-30	VYDAJ	VYBER	15	41610	SLUZBY	\N	\N
2121873	7184	1996-07-31	VYDAJ	VYBER	15	40495	SLUZBY	\N	\N
2121874	7184	1996-08-31	VYDAJ	VYBER	15	40811	SLUZBY	\N	\N
2121875	7184	1996-09-30	VYDAJ	VYBER	15	32727	SLUZBY	\N	\N
2121876	7184	1996-10-31	VYDAJ	VYBER	15	29483	SLUZBY	\N	\N
2121877	7184	1996-11-30	VYDAJ	VYBER	15	25646	SLUZBY	\N	\N
2121878	7184	1996-12-31	VYDAJ	VYBER	15	24477	SLUZBY	\N	\N
2121879	7184	1997-01-31	VYDAJ	VYBER	15	19765	SLUZBY	\N	\N
2121880	7184	1997-02-28	VYDAJ	VYBER	15	13652	SLUZBY	\N	\N
2121881	7184	1997-03-31	VYDAJ	VYBER	15	14636	SLUZBY	\N	\N
2121882	7184	1997-04-30	VYDAJ	VYBER	15	16125	SLUZBY	\N	\N
2121883	7184	1997-05-31	VYDAJ	VYBER	15	15313	SLUZBY	\N	\N
2121884	7184	1997-06-30	VYDAJ	VYBER	15	17908	SLUZBY	\N	\N
2121885	7184	1997-07-31	VYDAJ	VYBER	15	13289	SLUZBY	\N	\N
2121886	7184	1997-08-31	VYDAJ	VYBER	15	10053	SLUZBY	\N	\N
2121887	7184	1997-09-30	VYDAJ	VYBER	15	20349	SLUZBY	\N	\N
2121888	7184	1997-10-31	VYDAJ	VYBER	15	14331	SLUZBY	\N	\N
2121889	7184	1997-11-30	VYDAJ	VYBER	15	11196	SLUZBY	\N	\N
2121890	7184	1997-12-31	VYDAJ	VYBER	15	18081	SLUZBY	\N	\N
2121891	7184	1998-01-31	VYDAJ	VYBER	15	22159	SLUZBY	\N	\N
2121892	7184	1998-02-28	VYDAJ	VYBER	15	32508	SLUZBY	\N	\N
2121893	7184	1998-03-31	VYDAJ	VYBER	15	20271	SLUZBY	\N	\N
2121894	7184	1998-04-30	VYDAJ	VYBER	15	30609	SLUZBY	\N	\N
2121895	7184	1998-05-31	VYDAJ	VYBER	15	40989	SLUZBY	\N	\N
2121896	7184	1998-06-30	VYDAJ	VYBER	15	16254	SLUZBY	\N	\N
2121897	7184	1998-07-31	VYDAJ	VYBER	15	26574	SLUZBY	\N	\N
2121898	7184	1998-08-31	VYDAJ	VYBER	15	39130	SLUZBY	\N	\N
2121899	7184	1998-09-30	VYDAJ	VYBER	15	50034	SLUZBY	\N	\N
2121900	7184	1998-10-31	VYDAJ	VYBER	15	26869	SLUZBY	\N	\N
2121901	7184	1998-11-30	VYDAJ	VYBER	15	36611	SLUZBY	\N	\N
2121902	7184	1995-07-19	VYDAJ	VYBER	1400	22091	\N	\N	\N
2121903	7184	1995-08-18	VYDAJ	VYBER	8900	36221	\N	\N	\N
2121904	7184	1995-09-17	VYDAJ	VYBER	17000	42330	\N	\N	\N
2121905	7184	1995-10-17	VYDAJ	VYBER	21700	43784	\N	\N	\N
2121906	7184	1995-11-16	VYDAJ	VYBER	16100	38174	\N	\N	\N
2121907	7184	1995-12-16	VYDAJ	VYBER	17600	43159	\N	\N	\N
2121908	7184	1996-01-15	VYDAJ	VYBER	10100	41805	\N	\N	\N
2121909	7184	1996-02-14	VYDAJ	VYBER	2200	28718	\N	\N	\N
2121910	7184	1996-03-15	VYDAJ	VYBER	5000	32238	\N	\N	\N
2121911	7184	1996-04-14	VYDAJ	VYBER	7900	35218	\N	\N	\N
2121912	7184	1996-05-14	VYDAJ	VYBER	9800	35676	\N	\N	\N
2121913	7184	1996-06-13	VYDAJ	VYBER	15300	41432	\N	\N	\N
2121914	7184	1996-07-13	VYDAJ	VYBER	14100	40321	\N	\N	\N
2121915	7184	1996-08-12	VYDAJ	VYBER	10100	40621	\N	\N	\N
2121916	7184	1996-09-11	VYDAJ	VYBER	14500	41942	\N	\N	\N
2121917	7184	1996-10-11	VYDAJ	VYBER	13600	35838	\N	\N	\N
2121918	7184	1996-11-10	VYDAJ	VYBER	12500	36540	\N	\N	\N
2121919	7184	1996-12-10	VYDAJ	VYBER	19000	33698	\N	\N	\N
2121920	7184	1997-01-09	VYDAJ	VYBER	10100	29014	\N	\N	\N
2121921	7184	1997-02-08	VYDAJ	VYBER	16400	22922	\N	\N	\N
2121922	7184	1997-03-10	VYDAJ	VYBER	9300	23909	\N	\N	\N
2121923	7184	1997-04-09	VYDAJ	VYBER	8800	25393	\N	\N	\N
2121924	7184	1997-05-09	VYDAJ	VYBER	11100	24582	\N	\N	\N
2121925	7184	1997-06-08	VYDAJ	VYBER	19200	27165	\N	\N	\N
2121926	7184	1997-07-08	VYDAJ	VYBER	14900	22565	\N	\N	\N
2121927	7184	1997-08-07	VYDAJ	VYBER	13500	19346	\N	\N	\N
2121928	7184	1997-10-06	VYDAJ	VYBER	16300	23606	\N	\N	\N
2121929	7184	1997-11-05	VYDAJ	VYBER	13400	23922	\N	\N	\N
2121930	7184	1997-12-05	VYDAJ	VYBER	14900	30782	\N	\N	\N
2121931	7184	1998-03-05	VYDAJ	VYBER	21600	32939	\N	\N	\N
2121932	7184	1998-06-03	VYDAJ	VYBER	16900	24089	\N	\N	\N
2121933	7184	1998-10-31	VYDAJ	VYBER	31200	26884	\N	\N	\N
2123330	7190	1993-09-06	PRIJEM	VKLAD	700	700	\N	\N	\N
2123340	7190	1993-10-06	PRIJEM	VKLAD	8092	8792	\N	\N	\N
2123341	7190	1993-11-06	PRIJEM	VKLAD	8092	29436	\N	\N	\N
2123342	7190	1993-12-06	PRIJEM	VKLAD	12138	38886	\N	\N	\N
2123343	7190	1994-01-06	PRIJEM	VKLAD	8092	40734	\N	\N	\N
2123344	7190	1994-02-06	PRIJEM	VKLAD	8092	40694	\N	\N	\N
2123345	7190	1994-03-06	PRIJEM	VKLAD	8092	38671	\N	\N	\N
2123346	7190	1994-04-06	PRIJEM	VKLAD	8092	33997	\N	\N	\N
2123347	7190	1994-05-06	PRIJEM	VKLAD	8092	36805	\N	\N	\N
2123348	7190	1994-06-06	PRIJEM	VKLAD	12138	39423	\N	\N	\N
2123349	7190	1994-07-06	PRIJEM	VKLAD	8092	34608	\N	\N	\N
2123350	7190	1994-08-06	PRIJEM	VKLAD	8092	36019	\N	\N	\N
2123351	7190	1994-09-06	PRIJEM	VKLAD	8092	32730	\N	\N	\N
2123352	7190	1994-10-06	PRIJEM	VKLAD	8092	31984	\N	\N	\N
2123353	7190	1994-11-06	PRIJEM	VKLAD	8092	31177	\N	\N	\N
2123354	7190	1994-12-06	PRIJEM	VKLAD	12138	35398	\N	\N	\N
2123355	7190	1995-01-06	PRIJEM	VKLAD	8092	32215	\N	\N	\N
2123356	7190	1995-02-06	PRIJEM	VKLAD	8092	31748	\N	\N	\N
2123357	7190	1995-03-06	PRIJEM	VKLAD	8092	34636	\N	\N	\N
2123358	7190	1995-04-06	PRIJEM	VKLAD	8092	37945	\N	\N	\N
2123359	7190	1995-05-06	PRIJEM	VKLAD	8092	35056	\N	\N	\N
2123360	7190	1995-06-06	PRIJEM	VKLAD	12138	37773	\N	\N	\N
2123361	7190	1995-07-06	PRIJEM	VKLAD	8092	27320	\N	\N	\N
2123362	7190	1995-08-06	PRIJEM	VKLAD	8092	29942	\N	\N	\N
2123363	7190	1995-09-06	PRIJEM	VKLAD	8092	33767	\N	\N	\N
2123364	7190	1995-10-06	PRIJEM	VKLAD	8092	31435	\N	\N	\N
2123365	7190	1995-11-06	PRIJEM	VKLAD	8092	35265	\N	\N	\N
2123366	7190	1995-12-06	PRIJEM	VKLAD	12138	40456	\N	\N	\N
2123367	7190	1996-01-06	PRIJEM	VKLAD	8092	35688	\N	\N	\N
2123368	7190	1996-02-06	PRIJEM	VKLAD	8092	31112	\N	\N	\N
2123369	7190	1996-03-06	PRIJEM	VKLAD	8092	32438	\N	\N	\N
2123370	7190	1996-04-06	PRIJEM	VKLAD	8092	36574	\N	\N	\N
2123371	7190	1996-05-06	PRIJEM	VKLAD	8092	36221	\N	\N	\N
2123372	7190	1996-06-06	PRIJEM	VKLAD	12138	36910	\N	\N	\N
2123373	7190	1996-07-06	PRIJEM	VKLAD	8092	34149	\N	\N	\N
2123374	7190	1996-08-06	PRIJEM	VKLAD	8092	30882	\N	\N	\N
2123375	7190	1996-09-06	PRIJEM	VKLAD	8092	27239	\N	\N	\N
2123376	7190	1996-10-06	PRIJEM	VKLAD	8092	26129	\N	\N	\N
2123377	7190	1996-11-06	PRIJEM	VKLAD	8092	31741	\N	\N	\N
2123378	7190	1996-12-06	PRIJEM	VKLAD	12138	37516	\N	\N	\N
2123379	7190	1997-01-06	PRIJEM	VKLAD	8092	31170	\N	\N	\N
2123380	7190	1997-02-06	PRIJEM	VKLAD	8092	28667	\N	\N	\N
2123381	7190	1997-03-06	PRIJEM	VKLAD	8092	24380	\N	\N	\N
2123382	7190	1997-04-06	PRIJEM	VKLAD	8092	25286	\N	\N	\N
2123383	7190	1997-05-06	PRIJEM	VKLAD	8092	26597	\N	\N	\N
2123384	7190	1997-06-06	PRIJEM	VKLAD	12138	37671	\N	\N	\N
2123385	7190	1997-07-06	PRIJEM	VKLAD	8092	43213	\N	\N	\N
2123386	7190	1997-08-06	PRIJEM	VKLAD	8092	43229	\N	\N	\N
2123387	7190	1997-09-06	PRIJEM	VKLAD	8092	40295	\N	\N	\N
2123388	7190	1997-10-06	PRIJEM	VKLAD	8092	41759	\N	\N	\N
2123389	7190	1997-11-06	PRIJEM	VKLAD	8092	41925	\N	\N	\N
2123390	7190	1997-12-06	PRIJEM	VKLAD	12138	48544	\N	\N	\N
2123391	7190	1998-01-06	PRIJEM	VKLAD	8092	45246	\N	\N	\N
2123392	7190	1998-02-06	PRIJEM	VKLAD	8092	34195	\N	\N	\N
2123393	7190	1998-03-06	PRIJEM	VKLAD	8092	35432	\N	\N	\N
2123394	7190	1998-04-06	PRIJEM	VKLAD	8092	35571	\N	\N	\N
2123395	7190	1998-05-06	PRIJEM	VKLAD	8092	40021	\N	\N	\N
2123396	7190	1998-06-06	PRIJEM	VKLAD	12138	42320	\N	\N	\N
2123397	7190	1998-07-06	PRIJEM	VKLAD	8092	32820	\N	\N	\N
2123398	7190	1998-08-06	PRIJEM	VKLAD	8092	31365	\N	\N	\N
2123399	7190	1998-09-06	PRIJEM	VKLAD	8092	30429	\N	\N	\N
2123400	7190	1998-10-06	PRIJEM	VKLAD	8092	30829	\N	\N	\N
2123401	7190	1998-11-06	PRIJEM	VKLAD	8092	33658	\N	\N	\N
2123402	7190	1998-12-06	PRIJEM	VKLAD	12138	37135	\N	\N	\N
2123416	7190	1994-02-13	VYDAJ	PREVOD NA UCET	5394	35300	SIPO	WX	11074567
2123417	7190	1994-03-13	VYDAJ	PREVOD NA UCET	5394	32377	SIPO	WX	11074567
2123418	7190	1994-04-13	VYDAJ	PREVOD NA UCET	5394	28603	SIPO	WX	11074567
2123419	7190	1994-05-13	VYDAJ	PREVOD NA UCET	5394	29871	SIPO	WX	11074567
2123420	7190	1994-06-13	VYDAJ	PREVOD NA UCET	5394	32929	SIPO	WX	11074567
2123421	7190	1994-07-13	VYDAJ	PREVOD NA UCET	5394	29214	SIPO	WX	11074567
2123422	7190	1994-08-13	VYDAJ	PREVOD NA UCET	5394	29725	SIPO	WX	11074567
2123423	7190	1994-09-13	VYDAJ	PREVOD NA UCET	5394	27336	SIPO	WX	11074567
2123424	7190	1994-10-13	VYDAJ	PREVOD NA UCET	5394	25590	SIPO	WX	11074567
2123425	7190	1994-11-13	VYDAJ	PREVOD NA UCET	5394	25783	SIPO	WX	11074567
2123426	7190	1994-12-13	VYDAJ	PREVOD NA UCET	5394	28704	SIPO	WX	11074567
2123427	7190	1995-01-13	VYDAJ	PREVOD NA UCET	5394	18781	SIPO	WX	11074567
2123428	7190	1995-02-13	VYDAJ	PREVOD NA UCET	5394	26354	SIPO	WX	11074567
2123429	7190	1995-03-13	VYDAJ	PREVOD NA UCET	5394	29242	SIPO	WX	11074567
2123430	7190	1995-04-13	VYDAJ	PREVOD NA UCET	5394	32551	SIPO	WX	11074567
2123431	7190	1995-05-13	VYDAJ	PREVOD NA UCET	5394	28562	SIPO	WX	11074567
2123432	7190	1995-06-13	VYDAJ	PREVOD NA UCET	5394	31323	SIPO	WX	11074567
2123433	7190	1995-07-13	VYDAJ	PREVOD NA UCET	5394	20870	SIPO	WX	11074567
2123434	7190	1995-08-13	VYDAJ	PREVOD NA UCET	5394	23492	SIPO	WX	11074567
2123435	7190	1995-09-13	VYDAJ	PREVOD NA UCET	5394	22157	SIPO	WX	11074567
2123436	7190	1995-10-13	VYDAJ	PREVOD NA UCET	5394	24985	SIPO	WX	11074567
2123437	7190	1995-11-13	VYDAJ	PREVOD NA UCET	5394	28815	SIPO	WX	11074567
2123438	7190	1995-12-13	VYDAJ	PREVOD NA UCET	5394	32886	SIPO	WX	11074567
2123439	7190	1996-01-13	VYDAJ	PREVOD NA UCET	5394	19638	SIPO	WX	11074567
2123440	7190	1996-02-13	VYDAJ	PREVOD NA UCET	5394	24662	SIPO	WX	11074567
2123441	7190	1996-03-13	VYDAJ	PREVOD NA UCET	5394	25988	SIPO	WX	11074567
2123442	7190	1996-04-13	VYDAJ	PREVOD NA UCET	5394	30124	SIPO	WX	11074567
2123443	7190	1996-05-13	VYDAJ	PREVOD NA UCET	5394	29771	SIPO	WX	11074567
2123444	7190	1996-06-13	VYDAJ	PREVOD NA UCET	5394	30460	SIPO	WX	11074567
2123445	7190	1996-07-13	VYDAJ	PREVOD NA UCET	5394	27699	SIPO	WX	11074567
2123446	7190	1996-08-13	VYDAJ	PREVOD NA UCET	5394	20232	SIPO	WX	11074567
2123447	7190	1996-09-13	VYDAJ	PREVOD NA UCET	5394	17069	SIPO	WX	11074567
2123448	7190	1996-10-13	VYDAJ	PREVOD NA UCET	5394	19679	SIPO	WX	11074567
2123449	7190	1996-11-13	VYDAJ	PREVOD NA UCET	5394	25291	SIPO	WX	11074567
2123450	7190	1996-12-13	VYDAJ	PREVOD NA UCET	5394	27386	SIPO	WX	11074567
2123451	7190	1997-01-13	VYDAJ	PREVOD NA UCET	5394	24720	SIPO	WX	11074567
2123452	7190	1997-02-13	VYDAJ	PREVOD NA UCET	5394	22217	SIPO	WX	11074567
2123453	7190	1997-03-13	VYDAJ	PREVOD NA UCET	5394	17930	SIPO	WX	11074567
2123454	7190	1997-04-13	VYDAJ	PREVOD NA UCET	5394	18836	SIPO	WX	11074567
2123455	7190	1997-05-13	VYDAJ	PREVOD NA UCET	5394	20147	SIPO	WX	11074567
2123456	7190	1997-06-13	VYDAJ	PREVOD NA UCET	5394	30501	SIPO	WX	11074567
2123457	7190	1997-07-13	VYDAJ	PREVOD NA UCET	5394	35203	SIPO	WX	11074567
2123458	7190	1997-08-13	VYDAJ	PREVOD NA UCET	5394	36779	SIPO	WX	11074567
2123459	7190	1997-09-13	VYDAJ	PREVOD NA UCET	5394	33845	SIPO	WX	11074567
2123460	7190	1997-10-13	VYDAJ	PREVOD NA UCET	5394	35309	SIPO	WX	11074567
2123461	7190	1997-11-13	VYDAJ	PREVOD NA UCET	5394	35475	SIPO	WX	11074567
2123462	7190	1997-12-13	VYDAJ	PREVOD NA UCET	5394	42094	SIPO	WX	11074567
2123463	7190	1998-01-13	VYDAJ	PREVOD NA UCET	5394	37116	SIPO	WX	11074567
2123464	7190	1998-02-13	VYDAJ	PREVOD NA UCET	5394	27245	SIPO	WX	11074567
2123465	7190	1998-03-13	VYDAJ	PREVOD NA UCET	5394	28982	SIPO	WX	11074567
2123466	7190	1998-04-13	VYDAJ	PREVOD NA UCET	5394	31821	SIPO	WX	11074567
2123467	7190	1998-05-13	VYDAJ	PREVOD NA UCET	5394	30071	SIPO	WX	11074567
2123468	7190	1998-06-13	VYDAJ	PREVOD NA UCET	5394	30070	SIPO	WX	11074567
2123469	7190	1998-07-13	VYDAJ	PREVOD NA UCET	5394	23190	SIPO	WX	11074567
2123470	7190	1998-08-13	VYDAJ	PREVOD NA UCET	5394	26215	SIPO	WX	11074567
2123471	7190	1998-09-13	VYDAJ	PREVOD NA UCET	5394	22659	SIPO	WX	11074567
2123472	7190	1998-10-13	VYDAJ	PREVOD NA UCET	5394	25479	SIPO	WX	11074567
2123473	7190	1998-11-13	VYDAJ	PREVOD NA UCET	5394	24908	SIPO	WX	11074567
2123474	7190	1998-12-13	VYDAJ	PREVOD NA UCET	5394	31785	SIPO	WX	11074567
2123488	7190	1994-01-26	VYDAJ	VYBER	1000	39734	\N	\N	0
2123489	7190	1994-03-12	VYDAJ	VYBER	900	37771	\N	\N	0
2123490	7190	1994-04-02	VYDAJ	VYBER	1400	31105	\N	\N	0
2123491	7190	1994-05-07	VYDAJ	VYBER	700	36105	\N	\N	0
2123492	7190	1994-06-10	VYDAJ	VYBER	1100	38323	\N	\N	0
2123493	7190	1994-07-24	VYDAJ	VYBER	700	28514	\N	\N	0
2123494	7190	1994-08-09	VYDAJ	VYBER	900	35119	\N	\N	0
2123495	7190	1994-08-28	VYDAJ	VYBER	1100	28625	\N	\N	0
2123496	7190	1994-10-06	VYDAJ	VYBER	1000	30984	\N	\N	0
2123497	7190	1994-11-02	VYDAJ	VYBER	1000	23085	\N	\N	0
2123498	7190	1994-12-13	VYDAJ	VYBER	1300	34098	\N	\N	0
2123499	7190	1994-12-28	VYDAJ	VYBER	900	27804	\N	\N	0
2123500	7190	1995-01-29	VYDAJ	VYBER	1100	23581	\N	\N	0
2123501	7190	1995-03-04	VYDAJ	VYBER	1100	26544	\N	\N	0
2123502	7190	1995-04-13	VYDAJ	VYBER	700	31851	\N	\N	0
2123503	7190	1995-05-10	VYDAJ	VYBER	1100	33956	\N	\N	0
2123504	7190	1995-06-12	VYDAJ	PREVOD NA UCET	1056	36717	UVER	MN	63233262
2123505	7190	1995-07-12	VYDAJ	PREVOD NA UCET	1056	26264	UVER	MN	63233262
2123506	7190	1995-08-12	VYDAJ	PREVOD NA UCET	1056	28886	UVER	MN	63233262
2123507	7190	1995-09-12	VYDAJ	PREVOD NA UCET	1056	27551	UVER	MN	63233262
2123508	7190	1995-10-12	VYDAJ	PREVOD NA UCET	1056	30379	UVER	MN	63233262
2123509	7190	1995-11-12	VYDAJ	PREVOD NA UCET	1056	34209	UVER	MN	63233262
2123510	7190	1995-12-12	VYDAJ	PREVOD NA UCET	1056	38280	UVER	MN	63233262
2123511	7190	1996-01-12	VYDAJ	PREVOD NA UCET	1056	25032	UVER	MN	63233262
2123512	7190	1996-02-12	VYDAJ	PREVOD NA UCET	1056	30056	UVER	MN	63233262
2123513	7190	1996-03-12	VYDAJ	PREVOD NA UCET	1056	31382	UVER	MN	63233262
2123514	7190	1996-04-12	VYDAJ	PREVOD NA UCET	1056	35518	UVER	MN	63233262
2123515	7190	1996-05-12	VYDAJ	PREVOD NA UCET	1056	35165	UVER	MN	63233262
2123516	7190	1996-06-12	VYDAJ	PREVOD NA UCET	1056	35854	UVER	MN	63233262
2123517	7190	1996-07-12	VYDAJ	PREVOD NA UCET	1056	33093	UVER	MN	63233262
2123518	7190	1996-08-12	VYDAJ	PREVOD NA UCET	1056	25626	UVER	MN	63233262
2123519	7190	1996-09-12	VYDAJ	PREVOD NA UCET	1056	22463	UVER	MN	63233262
2123520	7190	1996-10-12	VYDAJ	PREVOD NA UCET	1056	25073	UVER	MN	63233262
2123521	7190	1996-11-12	VYDAJ	PREVOD NA UCET	1056	30685	UVER	MN	63233262
2123522	7190	1996-12-12	VYDAJ	PREVOD NA UCET	1056	32780	UVER	MN	63233262
2123523	7190	1997-01-12	VYDAJ	PREVOD NA UCET	1056	30114	UVER	MN	63233262
2123524	7190	1997-02-12	VYDAJ	PREVOD NA UCET	1056	27611	UVER	MN	63233262
2123525	7190	1997-03-12	VYDAJ	PREVOD NA UCET	1056	23324	UVER	MN	63233262
2123526	7190	1997-04-12	VYDAJ	PREVOD NA UCET	1056	24230	UVER	MN	63233262
2123527	7190	1997-05-12	VYDAJ	PREVOD NA UCET	1056	25541	UVER	MN	63233262
2123528	7190	1997-06-12	VYDAJ	PREVOD NA UCET	1056	35895	UVER	MN	63233262
2123529	7190	1997-07-12	VYDAJ	PREVOD NA UCET	1056	40597	UVER	MN	63233262
2123530	7190	1997-08-12	VYDAJ	PREVOD NA UCET	1056	42173	UVER	MN	63233262
2123531	7190	1997-09-12	VYDAJ	PREVOD NA UCET	1056	39239	UVER	MN	63233262
2123532	7190	1997-10-12	VYDAJ	PREVOD NA UCET	1056	40703	UVER	MN	63233262
2123533	7190	1997-11-12	VYDAJ	PREVOD NA UCET	1056	40869	UVER	MN	63233262
2123534	7190	1997-12-12	VYDAJ	PREVOD NA UCET	1056	47488	UVER	MN	63233262
2123535	7190	1998-01-12	VYDAJ	PREVOD NA UCET	1056	42510	UVER	MN	63233262
2123536	7190	1998-02-12	VYDAJ	PREVOD NA UCET	1056	33139	UVER	MN	63233262
2123537	7190	1998-03-12	VYDAJ	PREVOD NA UCET	1056	34376	UVER	MN	63233262
2123538	7190	1998-04-12	VYDAJ	PREVOD NA UCET	1056	34515	UVER	MN	63233262
2123539	7190	1998-05-12	VYDAJ	PREVOD NA UCET	1056	38965	UVER	MN	63233262
2123540	7190	1998-06-12	VYDAJ	PREVOD NA UCET	1056	35464	UVER	MN	63233262
2123541	7190	1998-07-12	VYDAJ	PREVOD NA UCET	1056	28584	UVER	MN	63233262
2123542	7190	1998-08-12	VYDAJ	PREVOD NA UCET	1056	31609	UVER	MN	63233262
2123543	7190	1998-09-12	VYDAJ	PREVOD NA UCET	1056	28053	UVER	MN	63233262
2123544	7190	1998-10-12	VYDAJ	PREVOD NA UCET	1056	30873	UVER	MN	63233262
2123545	7190	1998-11-12	VYDAJ	PREVOD NA UCET	1056	30302	UVER	MN	63233262
2123546	7190	1998-12-12	VYDAJ	PREVOD NA UCET	1056	37179	UVER	MN	63233262
2123552	7190	1998-06-17	VYDAJ	VYBER	5440	24630	\N	\N	\N
2123555	7190	1995-01-08	VYDAJ	VYBER	6240	25975	\N	\N	\N
2123556	7190	1996-01-09	VYDAJ	VYBER	9600	26088	\N	\N	\N
2123557	7190	1997-01-16	VYDAJ	VYBER	7520	17200	\N	\N	\N
2123558	7190	1998-01-29	VYDAJ	VYBER	7840	25976	\N	\N	\N
2123560	7190	1994-12-03	VYDAJ	VYBER	3520	23260	\N	\N	\N
2123561	7190	1995-12-12	VYDAJ	VYBER	1120	39336	\N	\N	\N
2123562	7190	1996-12-08	VYDAJ	VYBER	3680	33836	\N	\N	\N
2123563	7190	1997-12-22	VYDAJ	VYBER	2080	37014	\N	\N	\N
2123564	7190	1998-12-23	VYDAJ	VYBER	2560	22625	\N	\N	\N
2123570	7190	1994-07-05	VYDAJ	VYBER	3240	26516	\N	\N	\N
2123571	7190	1994-09-20	VYDAJ	VYBER	3720	22296	\N	\N	\N
2123572	7190	1994-02-17	VYDAJ	VYBER	960	34340	\N	\N	\N
2123573	7190	1994-05-13	VYDAJ	VYBER	840	35265	\N	\N	\N
2123574	7190	1994-09-01	VYDAJ	VYBER	2400	26338	\N	\N	\N
2123575	7190	1994-09-17	VYDAJ	VYBER	1320	26016	\N	\N	\N
2123576	7190	1995-06-30	VYDAJ	VYBER	1320	24523	\N	\N	\N
2123577	7190	1995-09-07	VYDAJ	VYBER	5160	28607	\N	\N	\N
2123578	7190	1995-07-01	VYDAJ	VYBER	5280	19228	\N	\N	\N
2123579	7190	1995-01-12	VYDAJ	VYBER	1800	24175	\N	\N	\N
2123580	7190	1995-05-16	VYDAJ	VYBER	5520	23042	\N	\N	\N
2123581	7190	1996-08-08	VYDAJ	VYBER	4200	26682	\N	\N	\N
2123582	7190	1996-08-14	VYDAJ	VYBER	2040	18192	\N	\N	\N
2123583	7190	1996-09-02	VYDAJ	VYBER	2520	19147	\N	\N	\N
2123584	7190	1996-09-10	VYDAJ	VYBER	3720	23519	\N	\N	\N
2123585	7190	1997-07-07	VYDAJ	VYBER	1560	41653	\N	\N	\N
2123586	7190	1997-06-07	VYDAJ	VYBER	720	36951	\N	\N	\N
2123587	7190	1997-03-02	VYDAJ	VYBER	4200	16288	\N	\N	\N
2123588	7190	1997-05-04	VYDAJ	VYBER	5400	18505	\N	\N	\N
2123589	7190	1998-12-20	VYDAJ	VYBER	1560	25185	\N	\N	\N
2123590	7190	1998-09-12	VYDAJ	VYBER	720	29109	\N	\N	\N
2123591	7190	1998-08-20	VYDAJ	VYBER	3960	22255	\N	\N	\N
2123592	7190	1998-07-09	VYDAJ	VYBER	4080	28740	\N	\N	\N
2123593	7190	1998-07-09	VYDAJ	VYBER	1200	27540	\N	\N	\N
2123594	7190	1998-12-14	VYDAJ	VYBER	5040	26745	\N	\N	\N
2123595	7190	1998-01-11	VYDAJ	VYBER	1680	43566	\N	\N	\N
2123610	7190	1994-02-28	VYDAJ	VYBER	15	34479	SLUZBY	\N	\N
2123611	7190	1994-03-31	VYDAJ	VYBER	15	32505	SLUZBY	\N	\N
2123612	7190	1994-04-30	VYDAJ	VYBER	15	28713	SLUZBY	\N	\N
2123613	7190	1994-05-31	VYDAJ	VYBER	15	29985	SLUZBY	\N	\N
2123614	7190	1994-06-30	VYDAJ	VYBER	15	33056	SLUZBY	\N	\N
2123615	7190	1994-07-31	VYDAJ	VYBER	15	28627	SLUZBY	\N	\N
2123616	7190	1994-08-31	VYDAJ	VYBER	15	28738	SLUZBY	\N	\N
2123617	7190	1994-09-30	VYDAJ	VYBER	15	22392	SLUZBY	\N	\N
2123618	7190	1994-10-31	VYDAJ	VYBER	15	24085	SLUZBY	\N	\N
2123619	7190	1994-11-30	VYDAJ	VYBER	15	26780	SLUZBY	\N	\N
2123620	7190	1994-12-31	VYDAJ	VYBER	15	24123	SLUZBY	\N	\N
2123621	7190	1995-01-31	VYDAJ	VYBER	15	23656	SLUZBY	\N	\N
2123622	7190	1995-02-28	VYDAJ	VYBER	15	27644	SLUZBY	\N	\N
2123623	7190	1995-03-31	VYDAJ	VYBER	15	29853	SLUZBY	\N	\N
2123624	7190	1995-04-30	VYDAJ	VYBER	15	26964	SLUZBY	\N	\N
2123625	7190	1995-05-31	VYDAJ	VYBER	15	25635	SLUZBY	\N	\N
2123626	7190	1995-06-30	VYDAJ	VYBER	15	24508	SLUZBY	\N	\N
2123627	7190	1995-07-31	VYDAJ	VYBER	15	21850	SLUZBY	\N	\N
2123628	7190	1995-08-31	VYDAJ	VYBER	15	25675	SLUZBY	\N	\N
2123629	7190	1995-09-30	VYDAJ	VYBER	15	23343	SLUZBY	\N	\N
2123630	7190	1995-10-31	VYDAJ	VYBER	15	27173	SLUZBY	\N	\N
2123631	7190	1995-11-30	VYDAJ	VYBER	15	28318	SLUZBY	\N	\N
2123632	7190	1995-12-31	VYDAJ	VYBER	15	27596	SLUZBY	\N	\N
2123633	7190	1996-01-31	VYDAJ	VYBER	15	23020	SLUZBY	\N	\N
2123634	7190	1996-02-29	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
2123635	7190	1996-03-31	VYDAJ	VYBER	15	28482	SLUZBY	\N	\N
2123636	7190	1996-04-30	VYDAJ	VYBER	15	28129	SLUZBY	\N	\N
2123637	7190	1996-05-31	VYDAJ	VYBER	15	24772	SLUZBY	\N	\N
2123638	7190	1996-06-30	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
2123639	7190	1996-07-31	VYDAJ	VYBER	15	22790	SLUZBY	\N	\N
2123640	7190	1996-08-31	VYDAJ	VYBER	15	21667	SLUZBY	\N	\N
2123641	7190	1996-09-30	VYDAJ	VYBER	15	18037	SLUZBY	\N	\N
2123642	7190	1996-10-31	VYDAJ	VYBER	15	23649	SLUZBY	\N	\N
2123643	7190	1996-11-30	VYDAJ	VYBER	15	25378	SLUZBY	\N	\N
2123644	7190	1996-12-31	VYDAJ	VYBER	15	23078	SLUZBY	\N	\N
2123645	7190	1997-01-31	VYDAJ	VYBER	15	20575	SLUZBY	\N	\N
2123646	7190	1997-02-28	VYDAJ	VYBER	15	20488	SLUZBY	\N	\N
2123647	7190	1997-03-31	VYDAJ	VYBER	15	17194	SLUZBY	\N	\N
2123648	7190	1997-04-30	VYDAJ	VYBER	15	23905	SLUZBY	\N	\N
2123649	7190	1997-05-31	VYDAJ	VYBER	15	25533	SLUZBY	\N	\N
2123650	7190	1997-06-30	VYDAJ	VYBER	15	35121	SLUZBY	\N	\N
2123651	7190	1997-07-31	VYDAJ	VYBER	15	35137	SLUZBY	\N	\N
2123652	7190	1997-08-31	VYDAJ	VYBER	15	32203	SLUZBY	\N	\N
2123653	7190	1997-09-30	VYDAJ	VYBER	15	33667	SLUZBY	\N	\N
2123654	7190	1997-10-31	VYDAJ	VYBER	15	33833	SLUZBY	\N	\N
2123655	7190	1997-11-30	VYDAJ	VYBER	15	36406	SLUZBY	\N	\N
2123656	7190	1997-12-31	VYDAJ	VYBER	15	37154	SLUZBY	\N	\N
2123657	7190	1998-01-31	VYDAJ	VYBER	15	26103	SLUZBY	\N	\N
2123658	7190	1998-02-28	VYDAJ	VYBER	15	27340	SLUZBY	\N	\N
2123659	7190	1998-03-31	VYDAJ	VYBER	15	27479	SLUZBY	\N	\N
2123660	7190	1998-04-30	VYDAJ	VYBER	15	31929	SLUZBY	\N	\N
2123661	7190	1998-05-31	VYDAJ	VYBER	15	30182	SLUZBY	\N	\N
2123662	7190	1998-06-30	VYDAJ	VYBER	15	24728	SLUZBY	\N	\N
2123663	7190	1998-07-31	VYDAJ	VYBER	15	23273	SLUZBY	\N	\N
2123664	7190	1998-08-31	VYDAJ	VYBER	15	22337	SLUZBY	\N	\N
2123665	7190	1998-09-30	VYDAJ	VYBER	15	22737	SLUZBY	\N	\N
2123666	7190	1998-10-31	VYDAJ	VYBER	15	25566	SLUZBY	\N	\N
2123667	7190	1998-11-30	VYDAJ	VYBER	15	24997	SLUZBY	\N	\N
2123668	7190	1993-10-06	PRIJEM	VKLAD	6000	14792	\N	\N	\N
2123669	7190	1993-11-05	PRIJEM	VKLAD	6500	21344	\N	\N	\N
2123670	7190	1993-12-05	VYDAJ	VYBER	2800	26748	\N	\N	\N
2123671	7190	1994-01-04	VYDAJ	VYBER	6400	32642	\N	\N	\N
2123672	7190	1994-02-03	VYDAJ	VYBER	7300	32602	\N	\N	\N
2123673	7190	1994-03-05	VYDAJ	VYBER	3900	30579	\N	\N	\N
2123674	7190	1994-04-04	VYDAJ	VYBER	5200	25905	\N	\N	\N
2123675	7190	1994-06-03	VYDAJ	VYBER	2700	27285	\N	\N	\N
2123676	7190	1994-07-03	VYDAJ	VYBER	3300	29756	\N	\N	\N
2123677	7190	1994-08-02	VYDAJ	VYBER	700	27927	\N	\N	\N
2123678	7190	1994-09-01	VYDAJ	VYBER	1700	24638	\N	\N	\N
2123679	7190	1994-10-01	PRIJEM	VKLAD	1500	23892	\N	\N	\N
2123680	7190	1994-10-31	VYDAJ	VYBER	1600	24100	\N	\N	\N
2123681	7190	1994-11-30	PRIJEM	VKLAD	900	26683	\N	\N	\N
2123682	7190	1994-12-30	VYDAJ	VYBER	3800	24004	\N	\N	\N
2123683	7190	1995-01-29	PRIJEM	VKLAD	5900	24681	\N	\N	\N
2123684	7190	1995-02-28	PRIJEM	VKLAD	1200	27554	\N	\N	\N
2123685	7190	1995-03-30	PRIJEM	VKLAD	500	29742	\N	\N	\N
2123686	7190	1995-04-29	VYDAJ	VYBER	5000	26851	\N	\N	\N
2123687	7190	1995-05-29	PRIJEM	VKLAD	2500	25542	\N	\N	\N
2123688	7190	1995-06-28	VYDAJ	VYBER	5600	25723	\N	\N	\N
2123689	7190	1995-07-28	PRIJEM	VKLAD	900	21770	\N	\N	\N
2123690	7190	1995-08-27	PRIJEM	VKLAD	2100	25592	\N	\N	\N
2123691	7190	1995-09-26	PRIJEM	VKLAD	1100	23257	\N	\N	\N
2123692	7190	1995-10-26	PRIJEM	VKLAD	2100	27085	\N	\N	\N
2123693	7190	1995-11-25	VYDAJ	VYBER	600	28215	\N	\N	\N
2123694	7190	1995-12-25	VYDAJ	VYBER	5400	27486	\N	\N	\N
2123695	7190	1996-01-24	PRIJEM	VKLAD	3300	22938	\N	\N	\N
2123696	7190	1996-02-23	VYDAJ	VYBER	400	24262	\N	\N	\N
2123697	7190	1996-03-24	PRIJEM	VKLAD	2400	28388	\N	\N	\N
2123698	7190	1996-04-23	VYDAJ	VYBER	2100	28024	\N	\N	\N
2123699	7190	1996-05-23	VYDAJ	VYBER	5100	24671	\N	\N	\N
2123700	7190	1996-06-22	VYDAJ	VYBER	4500	25960	\N	\N	\N
2123701	7190	1996-07-22	VYDAJ	VYBER	5000	22699	\N	\N	\N
2123702	7190	1996-08-21	PRIJEM	VKLAD	3400	21592	\N	\N	\N
2123703	7190	1996-09-20	PRIJEM	VKLAD	900	17969	\N	\N	\N
2123704	7190	1996-10-20	PRIJEM	VKLAD	3900	23579	\N	\N	\N
2123705	7190	1996-12-19	VYDAJ	VYBER	4400	22986	\N	\N	\N
2123706	7190	1997-01-18	PRIJEM	VKLAD	3300	20500	\N	\N	\N
2123707	7190	1997-02-17	VYDAJ	VYBER	1800	20417	\N	\N	\N
2123708	7190	1997-03-19	VYDAJ	VYBER	800	17130	\N	\N	\N
2123709	7190	1997-04-18	PRIJEM	VKLAD	5000	23836	\N	\N	\N
2123710	7190	1997-05-18	PRIJEM	VKLAD	5300	25447	\N	\N	\N
2123711	7190	1997-06-17	PRIJEM	VKLAD	4500	35001	\N	\N	\N
2123712	7190	1997-07-17	VYDAJ	VYBER	200	35003	\N	\N	\N
2123713	7190	1997-08-16	VYDAJ	VYBER	4700	32079	\N	\N	\N
2123714	7190	1997-09-15	VYDAJ	VYBER	300	33545	\N	\N	\N
2123715	7190	1997-10-15	VYDAJ	VYBER	1600	33709	\N	\N	\N
2123716	7190	1997-11-14	PRIJEM	VKLAD	800	36275	\N	\N	\N
2123717	7190	1997-12-14	VYDAJ	VYBER	3000	39094	\N	\N	\N
2123718	7190	1998-01-13	VYDAJ	VYBER	3300	33816	\N	\N	\N
2123719	7190	1998-02-12	VYDAJ	VYBER	500	32639	\N	\N	\N
2123720	7190	1998-03-14	VYDAJ	VYBER	1600	27382	\N	\N	\N
2123721	7190	1998-04-13	PRIJEM	VKLAD	2700	37215	\N	\N	\N
2123722	7190	1998-05-13	VYDAJ	VYBER	3500	35465	\N	\N	\N
2123723	7190	1998-06-12	VYDAJ	VYBER	5800	36520	\N	\N	\N
2123724	7190	1998-07-12	PRIJEM	VKLAD	2100	29640	\N	\N	\N
2123725	7190	1998-08-11	PRIJEM	VKLAD	1300	32665	\N	\N	\N
2123726	7190	1998-09-10	VYDAJ	VYBER	600	29829	\N	\N	\N
2123727	7190	1998-10-10	PRIJEM	VKLAD	1100	31929	\N	\N	\N
2123728	7190	1998-11-09	VYDAJ	VYBER	2300	31358	\N	\N	\N
2123729	7190	1998-12-09	PRIJEM	VKLAD	1100	38235	\N	\N	\N
2127306	7203	1993-03-26	PRIJEM	VKLAD	900	900	\N	\N	\N
2127307	7203	1993-06-21	PRIJEM	VKLAD	18286	36286	\N	\N	\N
2127308	7203	1993-06-24	PRIJEM	VKLAD	9110	45396	\N	\N	\N
2127309	7203	1994-11-04	PRIJEM	VKLAD	8639	69917	\N	\N	\N
2127310	7203	1994-08-08	PRIJEM	VKLAD	36741	84472	\N	\N	\N
2127311	7203	1994-08-26	PRIJEM	VKLAD	34914	92816	\N	\N	\N
2127312	7203	1994-09-13	PRIJEM	VKLAD	43315	136358	\N	\N	\N
2127313	7203	1994-12-28	PRIJEM	VKLAD	49982	75525	\N	\N	\N
2127314	7203	1994-09-22	PRIJEM	VKLAD	7032	73290	\N	\N	\N
2127315	7203	1994-11-03	PRIJEM	VKLAD	21402	61278	\N	\N	\N
2127316	7203	1994-01-28	PRIJEM	VKLAD	46557	71022	\N	\N	\N
2127317	7203	1994-06-08	PRIJEM	VKLAD	32795	64916	\N	\N	\N
2127318	7203	1994-07-07	PRIJEM	VKLAD	20093	73033	\N	\N	\N
2127319	7203	1994-04-16	PRIJEM	VKLAD	28606	65595	\N	\N	\N
2127320	7203	1994-04-25	PRIJEM	VKLAD	18268	64163	\N	\N	\N
2127321	7203	1994-06-19	PRIJEM	VKLAD	20120	85036	\N	\N	\N
2127322	7203	1994-08-23	PRIJEM	VKLAD	13280	57902	\N	\N	\N
2127323	7203	1995-03-17	PRIJEM	VKLAD	8771	51435	\N	\N	\N
2127324	7203	1995-04-27	PRIJEM	VKLAD	14017	50284	\N	\N	\N
2127325	7203	1995-02-02	PRIJEM	VKLAD	8944	92632	\N	\N	\N
2127326	7203	1995-02-15	PRIJEM	VKLAD	10235	67667	\N	\N	\N
2127327	7203	1995-01-15	PRIJEM	VKLAD	16853	79233	\N	\N	\N
2127328	7203	1995-01-02	PRIJEM	VKLAD	8922	77680	\N	\N	\N
2127329	7203	1995-12-09	PRIJEM	VKLAD	27643	69872	\N	\N	\N
2127330	7203	1995-01-21	PRIJEM	VKLAD	39523	104690	\N	\N	\N
2127331	7203	1995-10-24	PRIJEM	VKLAD	19455	61091	\N	\N	\N
2127332	7203	1995-08-02	PRIJEM	VKLAD	23424	83931	\N	\N	\N
2127333	7203	1995-07-08	PRIJEM	VKLAD	32876	79103	\N	\N	\N
2127334	7203	1995-06-05	PRIJEM	VKLAD	39025	75503	\N	\N	\N
2127335	7203	1995-09-11	PRIJEM	VKLAD	36640	89889	\N	\N	\N
2127336	7203	1995-07-11	PRIJEM	VKLAD	13073	92176	\N	\N	\N
2127337	7203	1995-12-28	PRIJEM	VKLAD	29587	60259	\N	\N	\N
2127338	7203	1995-10-07	PRIJEM	VKLAD	8236	63436	\N	\N	\N
2127339	7203	1995-06-27	PRIJEM	VKLAD	18859	67962	\N	\N	\N
2127340	7203	1995-01-21	PRIJEM	VKLAD	26934	65167	\N	\N	\N
2127341	7203	1996-01-12	PRIJEM	VKLAD	24041	58659	\N	\N	\N
2127342	7203	1996-12-26	PRIJEM	VKLAD	33472	35342	\N	\N	\N
2127343	7203	1997-09-01	PRIJEM	VKLAD	5088	13219	\N	\N	\N
2127344	7203	1997-04-06	PRIJEM	VKLAD	17921	21952	\N	\N	\N
2127345	7203	1997-01-31	PRIJEM	VKLAD	40091	43690	\N	\N	\N
2127346	7203	1998-06-20	PRIJEM	VKLAD	14683	18704	\N	\N	\N
2127350	7203	1994-10-17	VYBER	VYBER	15421	58216	\N	\N	\N
2127351	7203	1994-08-22	VYBER	VYBER	7350	44622	\N	\N	\N
2127352	7203	1994-05-28	VYBER	VYBER	12138	31884	\N	\N	\N
2127354	7203	1994-11-09	VYBER	VYBER	21335	48582	\N	\N	\N
2127357	7203	1996-01-20	VYBER	VYBER	4315	37544	\N	\N	\N
2127358	7203	1996-07-14	VYBER	VYBER	2675	4438	\N	\N	\N
2127364	7203	1996-04-19	VYBER	VYBER	11251	2894	\N	\N	\N
2127365	7203	1997-05-06	VYBER	VYBER	15257	1255	\N	\N	\N
2127373	7203	1997-03-01	VYBER	VYBER	10472	4220	\N	\N	\N
2127378	7203	1998-02-25	VYBER	VYBER	5235	891	\N	\N	\N
2127384	7203	1995-06-27	VYDAJ	VYBER	21900	46062	\N	\N	\N
2127389	7203	1994-12-30	VYDAJ	VYBER	6900	68625	\N	\N	\N
2127390	7203	1995-12-14	VYDAJ	VYBER	7500	36372	\N	\N	\N
2127391	7203	1996-12-30	VYDAJ	VYBER	3900	31442	\N	\N	\N
2127392	7203	1997-12-05	VYDAJ	VYBER	8700	2991	\N	\N	\N
2127406	7203	1995-01-05	VYDAJ	VYBER	4800	70180	\N	\N	\N
2127407	7203	1995-01-07	VYDAJ	VYBER	7800	62380	\N	\N	\N
2127408	7203	1995-01-20	VYDAJ	VYBER	6600	38233	\N	\N	\N
2127409	7203	1995-01-03	VYDAJ	VYBER	2700	74980	\N	\N	\N
2127410	7203	1995-01-18	VYDAJ	VYBER	7200	44833	\N	\N	\N
2127411	7203	1995-01-29	VYDAJ	VYBER	8700	83390	\N	\N	\N
2127412	7203	1996-01-19	VYDAJ	VYBER	5400	41859	\N	\N	\N
2127413	7203	1996-01-17	VYDAJ	VYBER	3000	47259	\N	\N	\N
2127414	7203	1996-01-25	VYDAJ	VYBER	8700	28844	\N	\N	\N
2127415	7203	1996-01-28	VYDAJ	VYBER	4500	24344	\N	\N	\N
2127416	7203	1996-01-10	VYDAJ	VYBER	4200	47818	\N	\N	\N
2127417	7203	1996-01-15	VYDAJ	VYBER	8400	50259	\N	\N	\N
2127418	7203	1997-01-06	VYDAJ	VYBER	7200	8662	\N	\N	\N
2127420	7203	1997-01-12	VYDAJ	VYBER	5100	3562	\N	\N	\N
2127421	7203	1997-01-02	VYDAJ	VYBER	1500	29962	\N	\N	\N
2127422	7203	1997-01-05	VYDAJ	VYBER	2700	15862	\N	\N	\N
2127426	7203	1998-01-17	VYDAJ	VYBER	2100	3220	\N	\N	\N
2127429	7203	1998-01-04	VYDAJ	VYBER	1500	7720	\N	\N	\N
2127439	7203	1994-11-16	VYDAJ	VYBER	13200	35382	\N	\N	\N
2127440	7203	1994-09-15	VYDAJ	VYBER	9000	110458	\N	\N	\N
2127441	7203	1995-01-24	VYDAJ	VYBER	12600	92090	\N	\N	\N
2127442	7203	1995-12-27	VYDAJ	VYBER	5700	30672	\N	\N	\N
2127443	7203	1995-03-07	VYDAJ	VYBER	4500	63464	\N	\N	\N
2127445	7203	1996-01-09	VYDAJ	VYBER	8400	52018	\N	\N	\N
2127447	7203	1996-03-12	VYDAJ	VYBER	7200	10802	\N	\N	\N
2127448	7203	1996-06-14	VYDAJ	VYBER	8400	2507	\N	\N	\N
2127451	7203	1997-02-18	VYDAJ	VYBER	6900	14575	\N	\N	\N
2127452	7203	1997-11-27	VYDAJ	VYBER	10800	2056	\N	\N	\N
2127453	7203	1997-03-31	VYDAJ	VYBER	3900	1931	\N	\N	\N
2127456	7203	1998-01-13	VYDAJ	VYBER	2400	5320	\N	\N	\N
2127473	7203	1994-04-30	VYDAJ	VYBER	15	64422	SLUZBY	\N	\N
2127474	7203	1994-05-31	VYDAJ	VYBER	15	32121	SLUZBY	\N	\N
2127475	7203	1994-06-30	VYDAJ	VYBER	15	52940	SLUZBY	\N	\N
2127476	7203	1994-07-31	VYDAJ	VYBER	15	47731	SLUZBY	\N	\N
2127477	7203	1994-08-31	VYDAJ	VYBER	15	93043	SLUZBY	\N	\N
2127478	7203	1994-09-30	VYDAJ	VYBER	15	73637	SLUZBY	\N	\N
2127479	7203	1994-10-31	VYDAJ	VYBER	15	39876	SLUZBY	\N	\N
2127480	7203	1994-11-30	VYDAJ	VYBER	15	30143	SLUZBY	\N	\N
2127481	7203	1994-12-31	VYDAJ	VYBER	15	68758	SLUZBY	\N	\N
2127482	7203	1995-01-31	VYDAJ	VYBER	15	83688	SLUZBY	\N	\N
2127483	7203	1995-02-28	VYDAJ	VYBER	15	67964	SLUZBY	\N	\N
2127484	7203	1995-03-31	VYDAJ	VYBER	15	51667	SLUZBY	\N	\N
2127485	7203	1995-04-30	VYDAJ	VYBER	15	50484	SLUZBY	\N	\N
2127486	7203	1995-05-31	VYDAJ	VYBER	15	36478	SLUZBY	\N	\N
2127487	7203	1995-06-30	VYDAJ	VYBER	15	46227	SLUZBY	\N	\N
2127488	7203	1995-07-31	VYDAJ	VYBER	15	60507	SLUZBY	\N	\N
2127489	7203	1995-08-31	VYDAJ	VYBER	15	53249	SLUZBY	\N	\N
2127490	7203	1995-09-30	VYDAJ	VYBER	15	55200	SLUZBY	\N	\N
2127491	7203	1995-10-31	VYDAJ	VYBER	15	61291	SLUZBY	\N	\N
2127492	7203	1995-11-30	VYDAJ	VYBER	15	42229	SLUZBY	\N	\N
2127493	7203	1995-12-31	VYDAJ	VYBER	15	60418	SLUZBY	\N	\N
2127494	7203	1996-01-31	VYDAJ	VYBER	15	24516	SLUZBY	\N	\N
2127495	7203	1996-02-29	VYDAJ	VYBER	15	19502	SLUZBY	\N	\N
2127496	7203	1996-03-31	VYDAJ	VYBER	15	10845	SLUZBY	\N	\N
2127497	7203	1996-04-30	VYDAJ	VYBER	15	2910	SLUZBY	\N	\N
2127498	7203	1996-05-31	VYDAJ	VYBER	15	9207	SLUZBY	\N	\N
2127499	7203	1996-06-30	VYDAJ	VYBER	15	2513	SLUZBY	\N	\N
2127500	7203	1996-07-31	VYDAJ	VYBER	15	4437	SLUZBY	\N	\N
2127501	7203	1996-08-31	VYDAJ	VYBER	15	7440	SLUZBY	\N	\N
2127502	7203	1996-09-30	VYDAJ	VYBER	15	7454	SLUZBY	\N	\N
2127503	7203	1996-10-31	VYDAJ	VYBER	15	4568	SLUZBY	\N	\N
2127504	7203	1996-11-30	VYDAJ	VYBER	15	2870	SLUZBY	\N	\N
2127505	7203	1996-12-31	VYDAJ	VYBER	15	31462	SLUZBY	\N	\N
2127506	7203	1997-01-31	VYDAJ	VYBER	15	43675	SLUZBY	\N	\N
2127507	7203	1997-02-28	VYDAJ	VYBER	15	14692	SLUZBY	\N	\N
2127508	7203	1997-03-31	VYDAJ	VYBER	15	5831	SLUZBY	\N	\N
2127509	7203	1997-04-30	VYDAJ	VYBER	15	22012	SLUZBY	\N	\N
2127510	7203	1997-05-31	VYDAJ	VYBER	15	1256	SLUZBY	\N	\N
2127511	7203	1997-06-30	VYDAJ	VYBER	15	2544	SLUZBY	\N	\N
2127512	7203	1997-07-31	VYDAJ	VYBER	15	3136	SLUZBY	\N	\N
2127513	7203	1997-08-31	VYDAJ	VYBER	15	8131	SLUZBY	\N	\N
2127514	7203	1997-09-30	VYDAJ	VYBER	15	8938	SLUZBY	\N	\N
2127515	7203	1997-10-31	VYDAJ	VYBER	15	12856	SLUZBY	\N	\N
2127516	7203	1997-11-30	VYDAJ	VYBER	15	11691	SLUZBY	\N	\N
2127517	7203	1997-12-31	VYDAJ	VYBER	15	9220	SLUZBY	\N	\N
2127518	7203	1998-01-31	VYDAJ	VYBER	15	6126	SLUZBY	\N	\N
2127519	7203	1998-02-28	VYDAJ	VYBER	15	4397	SLUZBY	\N	\N
2127520	7203	1998-03-31	VYDAJ	VYBER	15	6796	SLUZBY	\N	\N
2127521	7203	1998-04-30	VYDAJ	VYBER	15	8805	SLUZBY	\N	\N
2127522	7203	1998-05-31	VYDAJ	VYBER	15	4021	SLUZBY	\N	\N
2127523	7203	1998-06-30	VYDAJ	VYBER	15	6101	SLUZBY	\N	\N
2127529	7203	1993-04-25	PRIJEM	VKLAD	12900	13800	\N	\N	\N
2127530	7203	1993-05-25	PRIJEM	VKLAD	4200	18000	\N	\N	\N
2127531	7203	1993-06-24	VYDAJ	VYBER	8100	37296	\N	\N	\N
2127532	7203	1993-07-24	VYDAJ	VYBER	6900	30432	\N	\N	\N
2127533	7203	1993-08-23	VYDAJ	VYBER	2400	28188	\N	\N	\N
2127534	7203	1993-09-22	VYDAJ	VYBER	2300	26043	\N	\N	\N
2127535	7203	1993-10-22	PRIJEM	VKLAD	1300	27499	\N	\N	\N
2127536	7203	1993-11-21	VYDAJ	VYBER	2400	25254	\N	\N	\N
2127537	7203	1993-12-21	VYDAJ	VYBER	1900	23509	\N	\N	\N
2127538	7203	1994-01-20	PRIJEM	VKLAD	800	24465	\N	\N	\N
2127539	7203	1994-02-19	VYDAJ	VYBER	21100	50095	\N	\N	\N
2127540	7203	1994-03-21	VYDAJ	VYBER	13700	36692	\N	\N	\N
2127541	7203	1994-04-20	VYDAJ	VYBER	19700	45895	\N	\N	\N
2127542	7203	1994-05-20	VYDAJ	VYBER	20400	44022	\N	\N	\N
2127543	7203	1994-06-19	VYDAJ	VYBER	32300	52736	\N	\N	\N
2127544	7203	1994-07-19	VYDAJ	VYBER	25500	47533	\N	\N	\N
2127545	7203	1994-08-18	VYDAJ	VYBER	32500	51972	\N	\N	\N
2127546	7203	1994-09-13	VYDAJ	VYBER	16900	119458	\N	\N	\N
2127547	7203	1994-09-17	VYDAJ	VYBER	44200	66258	\N	\N	\N
2127548	7203	1994-10-17	VYDAJ	VYBER	18600	39616	\N	\N	\N
2127549	7203	1994-11-16	VYDAJ	VYBER	5400	29982	\N	\N	\N
2127550	7203	1994-12-16	VYDAJ	VYBER	4600	25543	\N	\N	\N
2127551	7203	1995-01-15	VYDAJ	VYBER	27200	52033	\N	\N	\N
2127552	7203	1995-02-14	VYDAJ	VYBER	35200	57432	\N	\N	\N
2127553	7203	1995-03-16	VYDAJ	VYBER	20800	42664	\N	\N	\N
2127554	7203	1995-04-15	VYDAJ	VYBER	15400	36267	\N	\N	\N
2127555	7203	1995-05-15	VYDAJ	VYBER	14200	36284	\N	\N	\N
2127556	7203	1995-06-14	VYDAJ	VYBER	26400	49103	\N	\N	\N
2127557	7203	1995-07-14	VYDAJ	VYBER	31900	60276	\N	\N	\N
2127558	7203	1995-08-13	VYDAJ	VYBER	30900	53031	\N	\N	\N
2127559	7203	1995-09-12	VYDAJ	VYBER	34900	54989	\N	\N	\N
2127560	7203	1995-10-12	VYDAJ	VYBER	21800	41636	\N	\N	\N
2127561	7203	1995-11-11	VYDAJ	VYBER	19300	41991	\N	\N	\N
2127562	7203	1995-12-11	VYDAJ	VYBER	26000	43872	\N	\N	\N
2127563	7203	1996-01-10	VYDAJ	VYBER	13200	34618	\N	\N	\N
2127564	7203	1996-02-09	VYDAJ	VYBER	5100	19416	\N	\N	\N
2127565	7203	1996-03-10	VYDAJ	VYBER	1500	18002	\N	\N	\N
2127566	7203	1996-04-09	PRIJEM	VKLAD	3300	14145	\N	\N	\N
2127567	7203	1996-05-09	PRIJEM	VKLAD	6300	9210	\N	\N	\N
2127568	7203	1996-06-08	PRIJEM	VKLAD	1700	10907	\N	\N	\N
2127569	7203	1996-07-08	PRIJEM	VKLAD	4600	7113	\N	\N	\N
2127570	7203	1996-08-07	PRIJEM	VKLAD	3000	7437	\N	\N	\N
2127571	7203	1996-10-06	VYDAJ	VYBER	2900	4554	\N	\N	\N
2127572	7203	1996-11-05	VYDAJ	VYBER	1700	2868	\N	\N	\N
2127573	7203	1996-12-05	VYDAJ	VYBER	1000	1870	\N	\N	\N
2127574	7203	1997-01-04	VYDAJ	VYBER	11400	18562	\N	\N	\N
2127575	7203	1997-02-03	VYDAJ	VYBER	22200	21475	\N	\N	\N
2127576	7203	1997-03-05	PRIJEM	VKLAD	1600	5820	\N	\N	\N
2127577	7203	1997-04-04	PRIJEM	VKLAD	2100	4031	\N	\N	\N
2127578	7203	1997-05-04	VYDAJ	VYBER	5500	16512	\N	\N	\N
2127579	7203	1997-06-03	PRIJEM	VKLAD	1300	2556	\N	\N	\N
2127580	7203	1997-07-03	PRIJEM	VKLAD	600	3144	\N	\N	\N
2127581	7203	1997-08-02	PRIJEM	VKLAD	5000	8136	\N	\N	\N
2127582	7203	1997-09-01	VYDAJ	VYBER	4300	8919	\N	\N	\N
2127583	7203	1997-10-01	PRIJEM	VKLAD	2600	11538	\N	\N	\N
2127584	7203	1997-10-31	PRIJEM	VKLAD	1300	12838	\N	\N	\N
2127585	7203	1997-11-30	PRIJEM	VKLAD	9600	11656	\N	\N	\N
2127586	7203	1997-12-30	PRIJEM	VKLAD	6200	9191	\N	\N	\N
2127587	7203	1998-01-29	PRIJEM	VKLAD	2900	6120	\N	\N	\N
2127588	7203	1998-02-28	PRIJEM	VKLAD	3500	4411	\N	\N	\N
2127589	7203	1998-03-30	PRIJEM	VKLAD	2400	6797	\N	\N	\N
2127590	7203	1998-04-29	PRIJEM	VKLAD	2000	8796	\N	\N	\N
2127591	7203	1998-05-29	VYDAJ	VYBER	4800	4005	\N	\N	\N
2127592	7203	1998-06-28	VYDAJ	VYBER	12600	6104	\N	\N	\N
2127593	7203	1998-07-28	VYDAJ	VYBER	7500	-1399	\N	\N	\N
2127594	7203	1998-08-27	VYDAJ	VYBER	4600	-5979	\N	\N	\N
2127595	7203	1998-09-26	VYDAJ	VYBER	4200	-10159	\N	\N	\N
2127596	7203	1998-10-26	PRIJEM	VKLAD	2000	-8139	\N	\N	\N
2127597	7203	1998-11-25	VYDAJ	VYBER	1600	-9719	\N	\N	\N
2135180	7231	1993-03-14	PRIJEM	VKLAD	500	500	\N	\N	\N
2135181	7231	1993-05-24	PRIJEM	VKLAD	36092	113301	\N	\N	\N
2135184	7231	1993-12-24	PRIJEM	VKLAD	5428	46732	\N	\N	\N
2135185	7231	1993-03-23	PRIJEM	VKLAD	14949	15449	\N	\N	\N
2135186	7231	1993-08-10	PRIJEM	VKLAD	26558	113348	\N	\N	\N
2135187	7231	1993-04-02	PRIJEM	VKLAD	26812	89160	\N	\N	\N
2135188	7231	1993-05-05	PRIJEM	VKLAD	13554	69357	\N	\N	\N
2135189	7231	1993-03-23	PRIJEM	VKLAD	46824	62273	\N	\N	\N
2135190	7231	1993-05-15	PRIJEM	VKLAD	32052	77209	\N	\N	\N
2135191	7231	1993-12-12	PRIJEM	VKLAD	18825	34845	\N	\N	\N
2135193	7231	1993-12-30	PRIJEM	VKLAD	40157	86889	\N	\N	\N
2135194	7231	1993-09-28	PRIJEM	VKLAD	40824	52634	\N	\N	\N
2135196	7231	1993-07-03	PRIJEM	VKLAD	26709	43650	\N	\N	\N
2135197	7231	1993-05-31	PRIJEM	VKLAD	19403	81804	\N	\N	\N
2135198	7231	1993-07-21	PRIJEM	VKLAD	47973	100663	\N	\N	\N
2135199	7231	1993-12-17	PRIJEM	VKLAD	6459	41304	\N	\N	\N
2135200	7231	1993-08-02	PRIJEM	VKLAD	27562	128490	\N	\N	\N
2135202	7231	1993-07-07	PRIJEM	VKLAD	35240	78890	\N	\N	\N
2135204	7231	1993-06-02	PRIJEM	VKLAD	18300	100354	\N	\N	\N
2135205	7231	1994-09-29	PRIJEM	VKLAD	48990	86200	\N	\N	\N
2135206	7231	1994-10-21	PRIJEM	VKLAD	38267	96336	\N	\N	\N
2135207	7231	1994-06-14	PRIJEM	VKLAD	34012	74298	\N	\N	\N
2135208	7231	1994-08-30	PRIJEM	VKLAD	38489	79336	\N	\N	\N
2135209	7231	1994-09-03	PRIJEM	VKLAD	36210	115710	\N	\N	\N
2135210	7231	1994-01-16	PRIJEM	VKLAD	15052	44271	\N	\N	\N
2135211	7231	1994-07-05	PRIJEM	VKLAD	21298	123401	\N	\N	\N
2135212	7231	1994-06-13	PRIJEM	VKLAD	25011	40286	\N	\N	\N
2135213	7231	1994-02-28	PRIJEM	VKLAD	13395	43463	\N	\N	\N
2135214	7231	1994-05-07	PRIJEM	VKLAD	21051	48331	\N	\N	\N
2135215	7231	1994-06-17	PRIJEM	VKLAD	42286	101884	\N	\N	\N
2135216	7231	1994-10-22	PRIJEM	VKLAD	6877	103213	\N	\N	\N
2135217	7231	1994-08-13	PRIJEM	VKLAD	11944	42947	\N	\N	\N
2135218	7231	1994-05-20	PRIJEM	VKLAD	23854	22630	\N	\N	\N
2135219	7231	1994-04-01	PRIJEM	VKLAD	30289	60824	\N	\N	\N
2135220	7231	1995-07-23	PRIJEM	VKLAD	16546	35628	\N	\N	\N
2135221	7231	1995-01-30	PRIJEM	VKLAD	34119	32841	\N	\N	\N
2135222	7231	1995-08-05	PRIJEM	VKLAD	33561	67958	\N	\N	\N
2135223	7231	1995-03-20	PRIJEM	VKLAD	17558	49501	\N	\N	\N
2135224	7231	1995-02-18	PRIJEM	VKLAD	22255	54187	\N	\N	\N
2135225	7231	1996-12-02	PRIJEM	VKLAD	45622	118307	\N	\N	\N
2135226	7231	1996-11-24	PRIJEM	VKLAD	49103	106715	\N	\N	\N
2135227	7231	1996-05-10	PRIJEM	VKLAD	29336	53957	\N	\N	\N
2135228	7231	1996-11-21	PRIJEM	VKLAD	44058	122112	\N	\N	\N
2135229	7231	1996-11-19	PRIJEM	VKLAD	42659	111354	\N	\N	\N
2135230	7231	1996-11-29	PRIJEM	VKLAD	17557	124272	\N	\N	\N
2135231	7231	1996-06-04	PRIJEM	VKLAD	16522	82799	\N	\N	\N
2135232	7231	1996-11-03	PRIJEM	VKLAD	28613	68695	\N	\N	\N
2135233	7231	1996-07-03	PRIJEM	VKLAD	37642	50971	\N	\N	\N
2135234	7231	1996-01-31	PRIJEM	VKLAD	8309	28610	\N	\N	\N
2135235	7231	1996-05-30	PRIJEM	VKLAD	31415	66170	\N	\N	\N
2135236	7231	1996-11-02	PRIJEM	VKLAD	10823	40082	\N	\N	\N
2135237	7231	1996-07-29	PRIJEM	VKLAD	41052	66866	\N	\N	\N
2135238	7231	1996-08-14	PRIJEM	VKLAD	25686	92645	\N	\N	\N
2135239	7231	1996-03-20	PRIJEM	VKLAD	22974	37222	\N	\N	\N
2135240	7231	1996-01-04	PRIJEM	VKLAD	26305	38901	\N	\N	\N
2135241	7231	1996-03-25	PRIJEM	VKLAD	13449	50671	\N	\N	\N
2135242	7231	1997-09-12	PRIJEM	VKLAD	35831	77691	\N	\N	\N
2135243	7231	1997-08-12	PRIJEM	VKLAD	19766	60208	\N	\N	\N
2135244	7231	1997-05-26	PRIJEM	VKLAD	35594	84100	\N	\N	\N
2135245	7231	1997-12-20	PRIJEM	VKLAD	24245	58180	\N	\N	\N
2135246	7231	1997-02-19	PRIJEM	VKLAD	45426	50181	\N	\N	\N
2135247	7231	1997-05-17	PRIJEM	VKLAD	18454	77406	\N	\N	\N
2135248	7231	1997-11-02	PRIJEM	VKLAD	44743	101359	\N	\N	\N
2135249	7231	1997-05-13	PRIJEM	VKLAD	25247	65810	\N	\N	\N
2135250	7231	1997-06-29	PRIJEM	VKLAD	42358	73562	\N	\N	\N
2135251	7231	1997-11-03	PRIJEM	VKLAD	17073	116418	\N	\N	\N
2135252	7231	1997-04-22	PRIJEM	VKLAD	43437	84088	\N	\N	\N
2135253	7231	1997-11-21	PRIJEM	VKLAD	23555	66213	\N	\N	\N
2135254	7231	1997-03-14	PRIJEM	VKLAD	27702	61620	\N	\N	\N
2135255	7231	1997-11-13	PRIJEM	VKLAD	25315	96433	\N	\N	\N
2135256	7231	1997-06-26	PRIJEM	VKLAD	28885	80404	\N	\N	\N
2135257	7231	1997-09-22	PRIJEM	VKLAD	39055	83646	\N	\N	\N
2135258	7231	1998-08-22	PRIJEM	VKLAD	42238	109283	\N	\N	\N
2135259	7231	1998-01-20	PRIJEM	VKLAD	31148	59534	\N	\N	\N
2135260	7231	1998-10-02	PRIJEM	VKLAD	25263	117903	\N	\N	\N
2135261	7231	1998-06-10	PRIJEM	VKLAD	30095	82578	\N	\N	\N
2135262	7231	1998-09-16	PRIJEM	VKLAD	31274	99738	\N	\N	\N
2135263	7231	1998-04-08	PRIJEM	VKLAD	43614	119673	\N	\N	\N
2135264	7231	1998-12-30	PRIJEM	VKLAD	12693	89406	\N	\N	\N
2135265	7231	1998-07-08	PRIJEM	VKLAD	9119	51203	\N	\N	\N
2135266	7231	1998-02-09	PRIJEM	VKLAD	41867	90487	\N	\N	\N
2135267	7231	1998-03-22	PRIJEM	VKLAD	43364	127145	\N	\N	\N
2135268	7231	1998-12-03	PRIJEM	VKLAD	5210	33340	\N	\N	\N
2135269	7231	1998-12-18	PRIJEM	VKLAD	29710	76713	\N	\N	\N
2135270	7231	1998-05-13	PRIJEM	VKLAD	28597	86760	\N	\N	\N
2135271	7231	1998-08-30	PRIJEM	VKLAD	26640	143645	\N	\N	\N
2135272	7231	1998-04-11	PRIJEM	VKLAD	13999	89072	\N	\N	\N
2135273	7231	1998-07-27	PRIJEM	VKLAD	12525	110476	\N	\N	\N
2135274	7231	1998-07-31	PRIJEM	VKLAD	42377	134859	\N	\N	\N
2135275	7231	1998-07-19	PRIJEM	VKLAD	46639	97951	\N	\N	\N
2135276	7231	1998-08-23	PRIJEM	VKLAD	22822	132105	\N	\N	\N
2135277	7231	1998-07-29	PRIJEM	VKLAD	36424	124700	\N	\N	\N
2135278	7231	1998-12-10	PRIJEM	VKLAD	27945	63103	\N	\N	\N
2135279	7231	1998-07-12	PRIJEM	VKLAD	11009	62212	\N	\N	\N
2135280	7231	1998-12-07	PRIJEM	VKLAD	10518	43858	\N	\N	\N
2135281	7231	1998-03-07	PRIJEM	VKLAD	45971	103314	\N	\N	\N
2135282	7231	1998-03-20	PRIJEM	VKLAD	26367	83781	\N	\N	\N
2135283	7231	1998-06-21	PRIJEM	VKLAD	19353	41931	\N	\N	\N
2135356	7231	1993-09-24	VYBER	VYBER	14150	11810	\N	\N	\N
2135357	7231	1993-06-04	VYBER	VYBER	16149	84205	\N	\N	\N
2135358	7231	1993-09-08	VYBER	VYBER	20468	25060	\N	\N	\N
2135359	7231	1993-11-18	VYBER	VYBER	16784	13626	\N	\N	\N
2135364	7231	1994-05-13	VYBER	VYBER	21514	17717	\N	\N	\N
2135365	7231	1994-05-25	VYBER	VYBER	21925	705	\N	\N	\N
2135366	7231	1994-08-07	VYBER	VYBER	5191	31003	\N	\N	\N
2135367	7231	1994-03-01	VYBER	VYBER	4180	39409	\N	\N	\N
2135368	7231	1994-05-15	VYBER	VYBER	18941	-1224	\N	\N	\N
2135369	7231	1994-12-18	VYBER	VYBER	10020	12176	\N	\N	\N
2135370	7231	1994-07-05	VYBER	VYBER	22324	101077	\N	\N	\N
2135371	7231	1995-05-31	VYBER	VYBER	12712	6481	\N	\N	\N
2135372	7231	1995-06-15	VYBER	VYBER	4013	14154	\N	\N	\N
2135373	7231	1995-01-05	VYBER	VYBER	10518	8922	\N	\N	\N
2135374	7231	1995-04-01	VYBER	VYBER	15728	33949	\N	\N	\N
2135375	7231	1995-09-28	VYBER	VYBER	8061	41446	\N	\N	\N
2135377	7231	1996-07-06	VYBER	VYBER	20557	30414	\N	\N	\N
2135378	7231	1996-06-13	VYBER	VYBER	4091	69389	\N	\N	\N
2135379	7231	1996-05-24	VYBER	VYBER	14702	39255	\N	\N	\N
2135380	7231	1996-03-29	VYBER	VYBER	9945	33026	\N	\N	\N
2135381	7231	1996-04-23	VYBER	VYBER	19289	13805	\N	\N	\N
2135382	7231	1996-06-06	VYBER	VYBER	9319	73480	\N	\N	\N
2135383	7231	1996-09-13	VYBER	VYBER	4545	48328	\N	\N	\N
2135384	7231	1996-02-25	VYBER	VYBER	24652	2259	\N	\N	\N
2135385	7231	1996-11-30	VYBER	VYBER	2805	72699	\N	\N	\N
2135386	7231	1996-08-20	VYBER	VYBER	16326	76319	\N	\N	\N
2135387	7231	1997-12-13	VYBER	VYBER	5538	41435	\N	\N	\N
2135389	7231	1997-07-11	VYBER	VYBER	17282	56603	\N	\N	\N
2135390	7231	1997-11-02	VYBER	VYBER	2014	99345	\N	\N	\N
2135391	7231	1997-05-15	VYBER	VYBER	6858	58952	\N	\N	\N
2135392	7231	1997-11-18	VYBER	VYBER	8208	68558	\N	\N	\N
2135393	7231	1997-11-14	VYBER	VYBER	19667	76766	\N	\N	\N
2135394	7231	1997-04-28	VYBER	VYBER	13086	40402	\N	\N	\N
2135395	7231	1997-12-06	VYBER	VYBER	12906	53573	\N	\N	\N
2135396	7231	1993-06-10	VYDAJ	VYBER	76500	7705	\N	\N	\N
2135399	7231	1996-06-27	VYDAJ	VYBER	23400	27789	\N	\N	\N
2135400	7231	1997-06-28	VYDAJ	VYBER	38700	41704	\N	\N	\N
2135401	7231	1998-06-14	VYDAJ	VYBER	65100	17478	\N	\N	\N
2135402	7231	1993-12-06	VYDAJ	VYBER	2700	11020	\N	\N	\N
2135403	7231	1994-12-08	VYDAJ	VYBER	3900	22196	\N	\N	\N
2135405	7231	1996-12-04	VYDAJ	VYBER	6300	53507	\N	\N	\N
2135406	7231	1997-12-09	VYDAJ	VYBER	6600	46973	\N	\N	\N
2135407	7231	1998-12-09	VYDAJ	VYBER	8700	35158	\N	\N	\N
2135414	7231	1994-01-03	VYDAJ	VYBER	2700	84319	\N	\N	\N
2135415	7231	1994-01-05	VYDAJ	VYBER	3300	81019	\N	\N	\N
2135416	7231	1994-01-27	VYDAJ	VYBER	3600	40671	\N	\N	\N
2135417	7231	1994-01-15	VYDAJ	VYBER	6600	29219	\N	\N	\N
2135418	7231	1994-01-12	VYDAJ	VYBER	7200	35819	\N	\N	\N
2135419	7231	1994-01-28	VYDAJ	VYBER	7200	33471	\N	\N	\N
2135420	7231	1995-01-07	VYDAJ	VYBER	6300	-1278	\N	\N	\N
2135424	7231	1995-01-06	VYDAJ	VYBER	3900	5022	\N	\N	\N
2135426	7231	1996-01-18	VYDAJ	VYBER	8400	21801	\N	\N	\N
2135427	7231	1996-01-28	VYDAJ	VYBER	8700	20301	\N	\N	\N
2135428	7231	1996-01-17	VYDAJ	VYBER	8700	30201	\N	\N	\N
2135429	7231	1996-01-26	VYDAJ	VYBER	3000	18801	\N	\N	\N
2135430	7231	1996-01-01	VYDAJ	VYBER	4200	14096	\N	\N	\N
2135431	7231	1996-01-02	VYDAJ	VYBER	1500	12596	\N	\N	\N
2135432	7231	1997-01-30	VYDAJ	VYBER	2100	4700	\N	\N	\N
2135433	7231	1997-01-03	VYDAJ	VYBER	8700	31800	\N	\N	\N
2135434	7231	1997-01-23	VYDAJ	VYBER	6300	6800	\N	\N	\N
2135436	7231	1997-01-17	VYDAJ	VYBER	8100	2700	\N	\N	\N
2135437	7231	1997-01-09	VYDAJ	VYBER	7500	24300	\N	\N	\N
2135438	7231	1998-01-08	VYDAJ	VYBER	2400	48486	\N	\N	\N
2135439	7231	1998-01-13	VYDAJ	VYBER	6000	32886	\N	\N	\N
2135440	7231	1998-01-11	VYDAJ	VYBER	5100	38886	\N	\N	\N
2135441	7231	1998-01-05	VYDAJ	VYBER	1800	50886	\N	\N	\N
2135442	7231	1998-01-09	VYDAJ	VYBER	4500	43986	\N	\N	\N
2135443	7231	1998-01-01	VYDAJ	VYBER	4200	52686	\N	\N	\N
2135445	7231	1993-10-07	VYDAJ	VYBER	6900	45855	\N	\N	\N
2135448	7231	1994-05-05	VYDAJ	VYBER	3300	41080	\N	\N	\N
2135449	7231	1994-05-06	VYDAJ	VYBER	13800	27280	\N	\N	\N
2135450	7231	1994-06-16	VYDAJ	VYBER	14700	59598	\N	\N	\N
2135451	7231	1994-08-25	VYDAJ	VYBER	2100	40847	\N	\N	\N
2135452	7231	1994-11-06	VYDAJ	VYBER	11100	28775	\N	\N	\N
2135453	7231	1994-01-09	VYDAJ	VYBER	11100	43019	\N	\N	\N
2135454	7231	1995-04-22	VYDAJ	VYBER	3000	15549	\N	\N	\N
2135455	7231	1995-12-03	VYDAJ	VYBER	8100	4059	\N	\N	\N
2135456	7231	1995-10-31	VYDAJ	VYBER	10500	12040	\N	\N	\N
2135457	7231	1995-11-30	VYDAJ	VYBER	9000	12174	\N	\N	\N
2135458	7231	1995-04-16	VYDAJ	VYBER	8400	18549	\N	\N	\N
2135459	7231	1995-03-11	VYDAJ	VYBER	6000	31943	\N	\N	\N
2135460	7231	1995-10-20	VYDAJ	VYBER	14100	18809	\N	\N	\N
2135461	7231	1996-07-11	VYDAJ	VYBER	8700	21714	\N	\N	\N
2135462	7231	1996-06-27	VYDAJ	VYBER	14700	13089	\N	\N	\N
2135463	7231	1996-10-10	VYDAJ	VYBER	6600	34319	\N	\N	\N
2135464	7231	1996-02-17	VYDAJ	VYBER	1800	26911	\N	\N	\N
2135465	7231	1997-12-20	VYDAJ	VYBER	1500	56680	\N	\N	\N
2135466	7231	1997-06-28	VYDAJ	VYBER	10500	31204	\N	\N	\N
2135467	7231	1997-01-13	VYDAJ	VYBER	13500	10800	\N	\N	\N
2135468	7231	1997-09-12	VYDAJ	VYBER	14100	63591	\N	\N	\N
2135469	7231	1998-02-06	VYDAJ	VYBER	11100	48620	\N	\N	\N
2135470	7231	1998-05-17	VYDAJ	VYBER	6300	56160	\N	\N	\N
2135471	7231	1998-11-10	VYDAJ	VYBER	7800	37894	\N	\N	\N
2135472	7231	1998-11-22	VYDAJ	VYBER	8700	27994	\N	\N	\N
2135473	7231	1998-03-19	VYDAJ	VYBER	6300	57414	\N	\N	\N
2135474	7231	1998-05-26	VYDAJ	VYBER	3900	52260	\N	\N	\N
2135475	7231	1998-09-18	VYDAJ	VYBER	7500	92238	\N	\N	\N
2135481	7231	1993-05-31	VYDAJ	VYBER	15	82054	SLUZBY	\N	\N
2135482	7231	1993-06-30	VYDAJ	VYBER	15	16941	SLUZBY	\N	\N
2135483	7231	1993-07-31	VYDAJ	VYBER	15	100928	SLUZBY	\N	\N
2135484	7231	1993-08-31	VYDAJ	VYBER	15	45528	SLUZBY	\N	\N
2135485	7231	1993-09-30	VYDAJ	VYBER	15	52755	SLUZBY	\N	\N
2135486	7231	1993-10-31	VYDAJ	VYBER	15	35910	SLUZBY	\N	\N
2135487	7231	1993-11-30	VYDAJ	VYBER	15	13720	SLUZBY	\N	\N
2135488	7231	1993-12-31	VYDAJ	VYBER	15	87019	SLUZBY	\N	\N
2135489	7231	1994-01-31	VYDAJ	VYBER	15	33668	SLUZBY	\N	\N
2135490	7231	1994-02-28	VYDAJ	VYBER	15	43589	SLUZBY	\N	\N
2135491	7231	1994-03-31	VYDAJ	VYBER	15	30535	SLUZBY	\N	\N
2135492	7231	1994-04-30	VYDAJ	VYBER	15	44380	SLUZBY	\N	\N
2135493	7231	1994-05-31	VYDAJ	VYBER	15	777	SLUZBY	\N	\N
2135494	7231	1994-06-30	VYDAJ	VYBER	15	102103	SLUZBY	\N	\N
2135495	7231	1994-07-31	VYDAJ	VYBER	15	44994	SLUZBY	\N	\N
2135496	7231	1994-08-31	VYDAJ	VYBER	15	79500	SLUZBY	\N	\N
2135497	7231	1994-09-30	VYDAJ	VYBER	15	86369	SLUZBY	\N	\N
2135498	7231	1994-10-31	VYDAJ	VYBER	15	103575	SLUZBY	\N	\N
2135499	7231	1994-11-30	VYDAJ	VYBER	15	28896	SLUZBY	\N	\N
2135500	7231	1994-12-31	VYDAJ	VYBER	15	12240	SLUZBY	\N	\N
2135501	7231	1995-01-31	VYDAJ	VYBER	15	32844	SLUZBY	\N	\N
2135502	7231	1995-02-28	VYDAJ	VYBER	15	54343	SLUZBY	\N	\N
2135503	7231	1995-03-31	VYDAJ	VYBER	15	49677	SLUZBY	\N	\N
2135504	7231	1995-04-30	VYDAJ	VYBER	15	15631	SLUZBY	\N	\N
2135505	7231	1995-05-31	VYDAJ	VYBER	15	6467	SLUZBY	\N	\N
2135506	7231	1995-06-30	VYDAJ	VYBER	15	14182	SLUZBY	\N	\N
2135507	7231	1995-07-31	VYDAJ	VYBER	15	35697	SLUZBY	\N	\N
2135508	7231	1995-08-31	VYDAJ	VYBER	15	49507	SLUZBY	\N	\N
2135509	7231	1995-09-30	VYDAJ	VYBER	15	41709	SLUZBY	\N	\N
2135510	7231	1995-10-31	VYDAJ	VYBER	15	12026	SLUZBY	\N	\N
2135511	7231	1995-11-30	VYDAJ	VYBER	15	12159	SLUZBY	\N	\N
2135512	7231	1995-12-31	VYDAJ	VYBER	15	18296	SLUZBY	\N	\N
2135513	7231	1996-01-31	VYDAJ	VYBER	15	28711	SLUZBY	\N	\N
2135514	7231	1996-02-29	VYDAJ	VYBER	15	14248	SLUZBY	\N	\N
2135515	7231	1996-03-31	VYDAJ	VYBER	15	33094	SLUZBY	\N	\N
2135516	7231	1996-04-30	VYDAJ	VYBER	15	24621	SLUZBY	\N	\N
2135517	7231	1996-05-31	VYDAJ	VYBER	15	66277	SLUZBY	\N	\N
2135518	7231	1996-06-30	VYDAJ	VYBER	15	13329	SLUZBY	\N	\N
2135519	7231	1996-07-31	VYDAJ	VYBER	15	66959	SLUZBY	\N	\N
2135520	7231	1996-08-31	VYDAJ	VYBER	15	52873	SLUZBY	\N	\N
2135521	7231	1996-09-30	VYDAJ	VYBER	15	40919	SLUZBY	\N	\N
2135522	7231	1996-10-31	VYDAJ	VYBER	15	29259	SLUZBY	\N	\N
2135523	7231	1996-11-30	VYDAJ	VYBER	15	72685	SLUZBY	\N	\N
2135524	7231	1996-12-31	VYDAJ	VYBER	15	40500	SLUZBY	\N	\N
2135525	7231	1997-01-31	VYDAJ	VYBER	15	4755	SLUZBY	\N	\N
2135526	7231	1997-02-28	VYDAJ	VYBER	15	33918	SLUZBY	\N	\N
2135527	7231	1997-03-31	VYDAJ	VYBER	15	40651	SLUZBY	\N	\N
2135528	7231	1997-04-30	VYDAJ	VYBER	15	40563	SLUZBY	\N	\N
2135529	7231	1997-05-31	VYDAJ	VYBER	15	84319	SLUZBY	\N	\N
2135530	7231	1997-06-30	VYDAJ	VYBER	15	73885	SLUZBY	\N	\N
2135531	7231	1997-07-31	VYDAJ	VYBER	15	40442	SLUZBY	\N	\N
2135532	7231	1997-08-31	VYDAJ	VYBER	15	41860	SLUZBY	\N	\N
2135533	7231	1997-09-30	VYDAJ	VYBER	15	83889	SLUZBY	\N	\N
2135534	7231	1997-10-31	VYDAJ	VYBER	15	56616	SLUZBY	\N	\N
2135535	7231	1997-11-30	VYDAJ	VYBER	15	66479	SLUZBY	\N	\N
2135536	7231	1997-12-31	VYDAJ	VYBER	15	56886	SLUZBY	\N	\N
2135537	7231	1998-01-31	VYDAJ	VYBER	15	59720	SLUZBY	\N	\N
2135538	7231	1998-02-28	VYDAJ	VYBER	15	57343	SLUZBY	\N	\N
2135539	7231	1998-03-31	VYDAJ	VYBER	15	76059	SLUZBY	\N	\N
2135540	7231	1998-04-30	VYDAJ	VYBER	15	58163	SLUZBY	\N	\N
2135541	7231	1998-05-31	VYDAJ	VYBER	15	52483	SLUZBY	\N	\N
2135542	7231	1998-06-30	VYDAJ	VYBER	15	42084	SLUZBY	\N	\N
2135543	7231	1998-07-31	VYDAJ	VYBER	15	134845	SLUZBY	\N	\N
2135544	7231	1998-08-31	VYDAJ	VYBER	15	109864	SLUZBY	\N	\N
2135545	7231	1998-09-30	VYDAJ	VYBER	15	92640	SLUZBY	\N	\N
2135546	7231	1998-10-31	VYDAJ	VYBER	15	45694	SLUZBY	\N	\N
2135547	7231	1998-11-30	VYDAJ	VYBER	15	28130	SLUZBY	\N	\N
2135548	7231	1993-04-13	VYDAJ	VYBER	33600	55560	\N	\N	\N
2135549	7231	1993-05-13	VYDAJ	VYBER	24200	45157	\N	\N	\N
2135550	7231	1993-05-24	VYDAJ	VYBER	50900	62401	\N	\N	\N
2135551	7231	1993-06-12	PRIJEM	VKLAD	9100	16805	\N	\N	\N
2135552	7231	1993-07-12	VYDAJ	VYBER	26200	52690	\N	\N	\N
2135553	7231	1993-08-02	VYDAJ	VYBER	41700	86790	\N	\N	\N
2135554	7231	1993-08-10	VYDAJ	VYBER	52300	61048	\N	\N	\N
2135555	7231	1993-08-11	VYDAJ	VYBER	15800	45248	\N	\N	\N
2135556	7231	1993-09-10	PRIJEM	VKLAD	900	25960	\N	\N	\N
2135557	7231	1993-10-10	VYDAJ	VYBER	10100	35755	\N	\N	\N
2135558	7231	1993-11-09	VYDAJ	VYBER	5500	30410	\N	\N	\N
2135559	7231	1993-12-09	PRIJEM	VKLAD	5000	16020	\N	\N	\N
2135560	7231	1994-01-08	VYDAJ	VYBER	26900	54119	\N	\N	\N
2135561	7231	1994-02-07	VYDAJ	VYBER	3600	30068	\N	\N	\N
2135562	7231	1994-03-09	VYDAJ	VYBER	9000	30409	\N	\N	\N
2135563	7231	1994-04-08	VYDAJ	VYBER	16600	44224	\N	\N	\N
2135564	7231	1994-05-08	VYDAJ	VYBER	9100	39231	\N	\N	\N
2135565	7231	1994-06-07	PRIJEM	VKLAD	14500	15275	\N	\N	\N
2135566	7231	1994-07-05	VYDAJ	VYBER	42200	58877	\N	\N	\N
2135567	7231	1994-07-07	VYDAJ	VYBER	14100	44777	\N	\N	\N
2135568	7231	1994-08-06	VYDAJ	VYBER	8800	36194	\N	\N	\N
2135569	7231	1994-09-03	VYDAJ	VYBER	64400	51310	\N	\N	\N
2135570	7231	1994-09-05	VYDAJ	VYBER	14100	37210	\N	\N	\N
2135571	7231	1994-10-05	VYDAJ	VYBER	28300	58069	\N	\N	\N
2135572	7231	1994-10-31	VYDAJ	VYBER	51200	52375	\N	\N	\N
2135573	7231	1994-11-04	VYDAJ	VYBER	12500	39875	\N	\N	\N
2135574	7231	1994-12-04	VYDAJ	VYBER	2800	26096	\N	\N	\N
2135575	7231	1995-01-03	PRIJEM	VKLAD	7200	19440	\N	\N	\N
2135576	7231	1995-02-02	VYDAJ	VYBER	900	31932	\N	\N	\N
2135577	7231	1995-03-04	VYDAJ	VYBER	16400	37943	\N	\N	\N
2135578	7231	1995-04-03	VYDAJ	VYBER	7000	26949	\N	\N	\N
2135579	7231	1995-05-03	PRIJEM	VKLAD	3500	19131	\N	\N	\N
2135580	7231	1995-06-02	PRIJEM	VKLAD	11700	18167	\N	\N	\N
2135581	7231	1995-07-02	PRIJEM	VKLAD	4900	19082	\N	\N	\N
2135582	7231	1995-08-01	VYDAJ	VYBER	1300	34397	\N	\N	\N
2135583	7231	1995-08-31	VYDAJ	VYBER	18700	49522	\N	\N	\N
2135584	7231	1995-09-30	VYDAJ	VYBER	8800	32909	\N	\N	\N
2135585	7231	1995-10-30	PRIJEM	VKLAD	3600	22409	\N	\N	\N
2135586	7231	1995-11-29	PRIJEM	VKLAD	9100	21126	\N	\N	\N
2135587	7231	1995-12-29	PRIJEM	VKLAD	14200	18259	\N	\N	\N
2135588	7231	1996-01-28	PRIJEM	VKLAD	10200	29001	\N	\N	\N
2135589	7231	1996-02-27	PRIJEM	VKLAD	11900	14159	\N	\N	\N
2135590	7231	1996-03-28	VYDAJ	VYBER	7700	42971	\N	\N	\N
2135591	7231	1996-04-27	PRIJEM	VKLAD	10700	24505	\N	\N	\N
2135592	7231	1996-05-27	VYDAJ	VYBER	4500	34755	\N	\N	\N
2135593	7231	1996-06-26	VYDAJ	VYBER	18200	51189	\N	\N	\N
2135594	7231	1996-07-26	PRIJEM	VKLAD	4100	25814	\N	\N	\N
2135595	7231	1996-08-25	VYDAJ	VYBER	23700	52619	\N	\N	\N
2135596	7231	1996-09-24	VYDAJ	VYBER	7600	40728	\N	\N	\N
2135597	7231	1996-10-24	VYDAJ	VYBER	5200	29119	\N	\N	\N
2135598	7231	1996-11-19	VYDAJ	VYBER	33300	78054	\N	\N	\N
2135599	7231	1996-11-21	VYDAJ	VYBER	31300	90812	\N	\N	\N
2135600	7231	1996-11-23	VYDAJ	VYBER	33200	57612	\N	\N	\N
2135601	7231	1996-11-29	VYDAJ	VYBER	49100	75172	\N	\N	\N
2135602	7231	1996-12-02	VYDAJ	VYBER	58500	59807	\N	\N	\N
2135603	7231	1996-12-23	VYDAJ	VYBER	13200	40307	\N	\N	\N
2135604	7231	1997-01-22	PRIJEM	VKLAD	10400	13100	\N	\N	\N
2135605	7231	1997-02-21	VYDAJ	VYBER	16300	33881	\N	\N	\N
2135606	7231	1997-03-23	VYDAJ	VYBER	21100	40520	\N	\N	\N
2135607	7231	1997-04-22	VYDAJ	VYBER	30600	53488	\N	\N	\N
2135608	7231	1997-05-22	VYDAJ	VYBER	28900	48506	\N	\N	\N
2135609	7231	1997-06-21	VYDAJ	VYBER	32800	51519	\N	\N	\N
2135610	7231	1997-07-21	VYDAJ	VYBER	16400	40203	\N	\N	\N
2135611	7231	1997-08-20	VYDAJ	VYBER	18500	41708	\N	\N	\N
2135612	7231	1997-09-19	VYDAJ	VYBER	19000	44591	\N	\N	\N
2135613	7231	1997-10-19	VYDAJ	VYBER	27600	56289	\N	\N	\N
2135614	7231	1997-11-03	VYDAJ	VYBER	45300	71118	\N	\N	\N
2135615	7231	1997-11-18	VYDAJ	VYBER	25900	42658	\N	\N	\N
2135616	7231	1997-12-18	VYDAJ	VYBER	7500	33935	\N	\N	\N
2135617	7231	1998-01-17	VYDAJ	VYBER	4500	28386	\N	\N	\N
2135618	7231	1998-02-16	VYDAJ	VYBER	33400	57087	\N	\N	\N
2135619	7231	1998-03-18	VYDAJ	VYBER	39600	63714	\N	\N	\N
2135620	7231	1998-03-22	VYDAJ	VYBER	51400	75745	\N	\N	\N
2135621	7231	1998-04-08	VYDAJ	VYBER	44600	75073	\N	\N	\N
2135622	7231	1998-04-17	VYDAJ	VYBER	31200	57872	\N	\N	\N
2135623	7231	1998-05-17	VYDAJ	VYBER	24300	62460	\N	\N	\N
2135624	7231	1998-06-16	PRIJEM	VKLAD	5100	22578	\N	\N	\N
2135625	7231	1998-07-16	VYDAJ	VYBER	10900	51312	\N	\N	\N
2135626	7231	1998-07-27	VYDAJ	VYBER	22200	88276	\N	\N	\N
2135627	7231	1998-07-29	VYDAJ	VYBER	32500	92200	\N	\N	\N
2135628	7231	1998-07-31	VYDAJ	VYBER	36500	98345	\N	\N	\N
2135629	7231	1998-08-15	VYDAJ	VYBER	31300	67045	\N	\N	\N
2135630	7231	1998-08-23	VYDAJ	VYBER	15100	117005	\N	\N	\N
2135631	7231	1998-08-30	VYDAJ	VYBER	34300	109345	\N	\N	\N
2135632	7231	1998-09-14	VYDAJ	VYBER	41400	68464	\N	\N	\N
2135633	7231	1998-10-02	VYDAJ	VYBER	60100	57803	\N	\N	\N
2135634	7231	1998-10-14	VYDAJ	VYBER	12400	45403	\N	\N	\N
2135635	7231	1998-11-13	VYDAJ	VYBER	1200	36694	\N	\N	\N
2135636	7231	1998-12-13	VYDAJ	VYBER	16100	47003	\N	\N	\N
2137860	7240	1996-04-23	PRIJEM	VKLAD	500	500	\N	\N	\N
2137865	7240	1996-05-09	PRIJEM	PREVOD Z UCTU	15214	15714	\N	EF	60677164
2137866	7240	1996-06-09	PRIJEM	PREVOD Z UCTU	22821	41558	\N	EF	60677164
2137867	7240	1996-07-09	PRIJEM	PREVOD Z UCTU	15214	49469	\N	EF	60677164
2137868	7240	1996-08-09	PRIJEM	PREVOD Z UCTU	15214	56535	\N	EF	60677164
2137869	7240	1996-09-09	PRIJEM	PREVOD Z UCTU	15214	55623	\N	EF	60677164
2137870	7240	1996-10-09	PRIJEM	PREVOD Z UCTU	15214	49986	\N	EF	60677164
2137871	7240	1996-11-09	PRIJEM	PREVOD Z UCTU	15214	44629	\N	EF	60677164
2137872	7240	1996-12-09	PRIJEM	PREVOD Z UCTU	22821	47058	\N	EF	60677164
2137873	7240	1997-01-09	PRIJEM	PREVOD Z UCTU	15214	31482	\N	EF	60677164
2137874	7240	1997-02-09	PRIJEM	PREVOD Z UCTU	15214	27051	\N	EF	60677164
2137875	7240	1997-03-09	PRIJEM	PREVOD Z UCTU	15214	33920	\N	EF	60677164
2137876	7240	1997-04-09	PRIJEM	PREVOD Z UCTU	15214	29789	\N	EF	60677164
2137877	7240	1997-05-09	PRIJEM	PREVOD Z UCTU	15214	31067	\N	EF	60677164
2137878	7240	1997-06-09	PRIJEM	PREVOD Z UCTU	22821	40151	\N	EF	60677164
2137879	7240	1997-07-09	PRIJEM	PREVOD Z UCTU	15214	28050	\N	EF	60677164
2137880	7240	1997-08-09	PRIJEM	PREVOD Z UCTU	15214	28718	\N	EF	60677164
2137881	7240	1997-09-09	PRIJEM	PREVOD Z UCTU	15214	26783	\N	EF	60677164
2137882	7240	1997-10-09	PRIJEM	PREVOD Z UCTU	15214	28947	\N	EF	60677164
2137883	7240	1997-11-09	PRIJEM	PREVOD Z UCTU	15214	30213	\N	EF	60677164
2137884	7240	1997-12-09	PRIJEM	PREVOD Z UCTU	22821	39693	\N	EF	60677164
2137885	7240	1998-01-09	PRIJEM	PREVOD Z UCTU	15214	22287	\N	EF	60677164
2137886	7240	1998-02-09	PRIJEM	PREVOD Z UCTU	15214	26129	\N	EF	60677164
2137887	7240	1998-03-09	PRIJEM	PREVOD Z UCTU	15214	28253	\N	EF	60677164
2137888	7240	1998-04-09	PRIJEM	PREVOD Z UCTU	15214	22963	\N	EF	60677164
2137889	7240	1998-05-09	PRIJEM	PREVOD Z UCTU	15214	20457	\N	EF	60677164
2137890	7240	1998-06-09	PRIJEM	PREVOD Z UCTU	22821	33166	\N	EF	60677164
2137891	7240	1998-07-09	PRIJEM	PREVOD Z UCTU	15214	29108	\N	EF	60677164
2137892	7240	1998-08-09	PRIJEM	PREVOD Z UCTU	15214	26526	\N	EF	60677164
2137893	7240	1998-09-09	PRIJEM	PREVOD Z UCTU	15214	21927	\N	EF	60677164
2137894	7240	1998-10-09	PRIJEM	PREVOD Z UCTU	15214	17407	\N	EF	60677164
2137895	7240	1998-11-09	PRIJEM	PREVOD Z UCTU	15214	16179	\N	EF	60677164
2137896	7240	1998-12-09	PRIJEM	PREVOD Z UCTU	22821	27366	\N	EF	60677164
2137905	7240	1996-09-08	VYDAJ	VYBER	2700	40409	\N	\N	0
2137906	7240	1996-10-11	VYDAJ	VYBER	2500	47486	\N	\N	0
2137907	7240	1996-11-13	VYDAJ	VYBER	1500	43129	\N	\N	0
2137908	7240	1996-12-19	VYDAJ	VYBER	1800	25258	\N	\N	0
2137909	7240	1997-01-24	VYDAJ	VYBER	3200	24682	\N	\N	0
2137910	7240	1997-02-06	VYDAJ	VYBER	2300	20973	\N	\N	0
2137911	7240	1997-03-21	VYDAJ	VYBER	2500	28820	\N	\N	0
2137912	7240	1997-04-23	VYDAJ	VYBER	1500	27489	\N	\N	0
2137913	7240	1997-04-28	VYDAJ	VYBER	2600	24889	\N	\N	0
2137914	7240	1997-06-17	VYDAJ	VYBER	2700	21859	\N	\N	0
2137915	7240	1997-07-20	VYDAJ	VYBER	3000	24650	\N	\N	0
2137916	7240	1997-08-01	VYDAJ	VYBER	2100	22640	\N	\N	0
2137917	7240	1997-09-07	VYDAJ	VYBER	3400	20705	\N	\N	0
2137918	7240	1997-09-30	VYDAJ	VYBER	2600	22884	\N	\N	0
2137919	7240	1997-11-17	VYDAJ	VYBER	3300	25913	\N	\N	0
2137920	7240	1997-12-14	VYDAJ	VYBER	2800	25726	\N	\N	0
2137921	7240	1998-01-02	VYDAJ	VYBER	2200	16209	\N	\N	0
2137922	7240	1998-02-12	VYDAJ	PREVOD NA UCET	2536	22093	UVER	WX	51813179
2137923	7240	1998-03-12	VYDAJ	PREVOD NA UCET	2536	25718	UVER	WX	51813179
2137924	7240	1998-04-12	VYDAJ	PREVOD NA UCET	2536	20427	UVER	WX	51813179
2137925	7240	1998-05-12	VYDAJ	PREVOD NA UCET	2536	17921	UVER	WX	51813179
2137926	7240	1998-06-12	VYDAJ	PREVOD NA UCET	2536	30631	UVER	WX	51813179
2137927	7240	1998-07-12	VYDAJ	PREVOD NA UCET	2536	20373	UVER	WX	51813179
2137928	7240	1998-08-12	VYDAJ	PREVOD NA UCET	2536	15790	UVER	WX	51813179
2137929	7240	1998-09-12	VYDAJ	PREVOD NA UCET	2536	11291	UVER	WX	51813179
2137930	7240	1998-10-12	VYDAJ	PREVOD NA UCET	2536	10072	UVER	WX	51813179
2137931	7240	1998-11-12	VYDAJ	PREVOD NA UCET	2536	13643	UVER	WX	51813179
2137932	7240	1998-12-12	VYDAJ	PREVOD NA UCET	2536	13930	UVER	WX	51813179
2137942	7240	1996-10-07	VYDAJ	PREVOD NA UCET	9136	34772	SIPO	QR	38210588
2137943	7240	1996-11-07	VYDAJ	PREVOD NA UCET	9136	29415	SIPO	QR	38210588
2137944	7240	1996-12-07	VYDAJ	PREVOD NA UCET	9136	24237	SIPO	QR	38210588
2137945	7240	1997-01-07	VYDAJ	PREVOD NA UCET	9136	16268	SIPO	QR	38210588
2137946	7240	1997-02-07	VYDAJ	PREVOD NA UCET	9136	11837	SIPO	QR	38210588
2137947	7240	1997-03-07	VYDAJ	PREVOD NA UCET	9136	18706	SIPO	QR	38210588
2137948	7240	1997-04-07	VYDAJ	PREVOD NA UCET	9136	14575	SIPO	QR	38210588
2137949	7240	1997-05-07	VYDAJ	PREVOD NA UCET	9136	15853	SIPO	QR	38210588
2137950	7240	1997-06-07	VYDAJ	PREVOD NA UCET	9136	17330	SIPO	QR	38210588
2137951	7240	1997-07-07	VYDAJ	PREVOD NA UCET	9136	12836	SIPO	QR	38210588
2137952	7240	1997-08-07	VYDAJ	PREVOD NA UCET	9136	13504	SIPO	QR	38210588
2137953	7240	1997-09-07	VYDAJ	PREVOD NA UCET	9136	11569	SIPO	QR	38210588
2137954	7240	1997-10-07	VYDAJ	PREVOD NA UCET	9136	13733	SIPO	QR	38210588
2137955	7240	1997-11-07	VYDAJ	PREVOD NA UCET	9136	14999	SIPO	QR	38210588
2137956	7240	1997-12-07	VYDAJ	PREVOD NA UCET	9136	16872	SIPO	QR	38210588
2137957	7240	1998-01-07	VYDAJ	PREVOD NA UCET	9136	7073	SIPO	QR	38210588
2137958	7240	1998-02-07	VYDAJ	PREVOD NA UCET	9136	10915	SIPO	QR	38210588
2137959	7240	1998-03-07	VYDAJ	PREVOD NA UCET	9136	13039	SIPO	QR	38210588
2137960	7240	1998-04-07	VYDAJ	PREVOD NA UCET	9136	7749	SIPO	QR	38210588
2137961	7240	1998-05-07	VYDAJ	PREVOD NA UCET	9136	5243	SIPO	QR	38210588
2137962	7240	1998-06-07	VYDAJ	PREVOD NA UCET	9136	10345	SIPO	QR	38210588
2137963	7240	1998-07-07	VYDAJ	PREVOD NA UCET	9136	13894	SIPO	QR	38210588
2137964	7240	1998-08-07	VYDAJ	PREVOD NA UCET	9136	11312	SIPO	QR	38210588
2137965	7240	1998-09-07	VYDAJ	PREVOD NA UCET	9136	6713	SIPO	QR	38210588
2137966	7240	1998-10-07	VYDAJ	PREVOD NA UCET	9136	2193	SIPO	QR	38210588
2137967	7240	1998-11-07	VYDAJ	PREVOD NA UCET	9136	965	SIPO	QR	38210588
2137968	7240	1998-12-07	VYDAJ	PREVOD NA UCET	9136	4545	SIPO	QR	38210588
2137973	7240	1997-12-14	VYBER	VYBER	9367	28526	\N	\N	\N
2137974	7240	1997-04-03	VYBER	VYBER	5221	23711	\N	\N	\N
2137975	7240	1997-06-17	VYBER	VYBER	4192	28459	\N	\N	\N
2137992	7240	1996-12-16	VYDAJ	VYBER	8100	38958	\N	\N	\N
2137993	7240	1997-12-11	VYDAJ	VYBER	1800	37893	\N	\N	\N
2138001	7240	1997-01-10	VYDAJ	VYBER	6900	24582	\N	\N	\N
2138003	7240	1997-01-25	VYDAJ	VYBER	1500	23182	\N	\N	\N
2138014	7240	1996-12-19	VYDAJ	VYBER	10800	27058	\N	\N	\N
2138018	7240	1997-06-09	VYDAJ	VYBER	7500	32651	\N	\N	\N
2138037	7240	1996-09-30	VYDAJ	VYBER	15	43908	SLUZBY	\N	\N
2138038	7240	1996-10-31	VYDAJ	VYBER	15	38551	SLUZBY	\N	\N
2138039	7240	1996-11-30	VYDAJ	VYBER	15	33373	SLUZBY	\N	\N
2138040	7240	1996-12-31	VYDAJ	VYBER	15	25404	SLUZBY	\N	\N
2138041	7240	1997-01-31	VYDAJ	VYBER	15	23273	SLUZBY	\N	\N
2138042	7240	1997-02-28	VYDAJ	VYBER	15	27842	SLUZBY	\N	\N
2138043	7240	1997-03-31	VYDAJ	VYBER	15	28932	SLUZBY	\N	\N
2138044	7240	1997-04-30	VYDAJ	VYBER	15	24989	SLUZBY	\N	\N
2138045	7240	1997-05-31	VYDAJ	VYBER	15	26466	SLUZBY	\N	\N
2138046	7240	1997-06-30	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
2138047	7240	1997-07-31	VYDAJ	VYBER	15	24740	SLUZBY	\N	\N
2138048	7240	1997-08-31	VYDAJ	VYBER	15	24105	SLUZBY	\N	\N
2138049	7240	1997-09-30	VYDAJ	VYBER	15	22869	SLUZBY	\N	\N
2138050	7240	1997-10-31	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
2138051	7240	1997-11-30	VYDAJ	VYBER	15	26008	SLUZBY	\N	\N
2138052	7240	1997-12-31	VYDAJ	VYBER	15	18409	SLUZBY	\N	\N
2138053	7240	1998-01-31	VYDAJ	VYBER	15	20051	SLUZBY	\N	\N
2138054	7240	1998-02-28	VYDAJ	VYBER	15	22175	SLUZBY	\N	\N
2138055	7240	1998-03-31	VYDAJ	VYBER	15	16885	SLUZBY	\N	\N
2138056	7240	1998-04-30	VYDAJ	VYBER	15	14379	SLUZBY	\N	\N
2138057	7240	1998-05-31	VYDAJ	VYBER	15	19481	SLUZBY	\N	\N
2138058	7240	1998-06-30	VYDAJ	VYBER	15	23030	SLUZBY	\N	\N
2138059	7240	1998-07-31	VYDAJ	VYBER	15	20448	SLUZBY	\N	\N
2138060	7240	1998-08-31	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
2138061	7240	1998-09-30	VYDAJ	VYBER	15	11329	SLUZBY	\N	\N
2138062	7240	1998-10-31	VYDAJ	VYBER	15	10101	SLUZBY	\N	\N
2138063	7240	1998-11-30	VYDAJ	VYBER	15	13681	SLUZBY	\N	\N
2138064	7240	1996-05-23	PRIJEM	VKLAD	3000	18714	\N	\N	\N
2138065	7240	1996-06-22	VYDAJ	VYBER	7400	34158	\N	\N	\N
2138066	7240	1996-07-22	VYDAJ	VYBER	8300	41169	\N	\N	\N
2138067	7240	1996-08-21	VYDAJ	VYBER	13600	42935	\N	\N	\N
2138068	7240	1996-09-20	VYDAJ	VYBER	11900	43723	\N	\N	\N
2138069	7240	1996-10-20	VYDAJ	VYBER	9100	38386	\N	\N	\N
2138070	7240	1996-11-19	VYDAJ	VYBER	9900	33229	\N	\N	\N
2138071	7240	1996-12-19	VYDAJ	VYBER	1100	37858	\N	\N	\N
2138072	7240	1997-01-18	PRIJEM	VKLAD	3300	27882	\N	\N	\N
2138073	7240	1997-02-17	PRIJEM	VKLAD	700	27751	\N	\N	\N
2138074	7240	1997-03-19	VYDAJ	VYBER	2600	31320	\N	\N	\N
2138075	7240	1997-04-18	VYDAJ	VYBER	800	28989	\N	\N	\N
2138076	7240	1997-05-18	VYDAJ	VYBER	4700	26367	\N	\N	\N
2138077	7240	1997-06-17	VYDAJ	VYBER	3900	24559	\N	\N	\N
2138078	7240	1997-07-17	VYDAJ	VYBER	400	27650	\N	\N	\N
2138079	7240	1997-08-16	VYDAJ	VYBER	4700	24018	\N	\N	\N
2138080	7240	1997-09-15	VYDAJ	VYBER	1400	25383	\N	\N	\N
2138081	7240	1997-10-15	VYDAJ	VYBER	4900	24047	\N	\N	\N
2138082	7240	1997-11-14	VYDAJ	VYBER	1000	29213	\N	\N	\N
2138083	7240	1997-12-14	VYDAJ	VYBER	7400	18326	\N	\N	\N
2138084	7240	1998-01-13	VYDAJ	VYBER	2300	19987	\N	\N	\N
2138085	7240	1998-02-12	VYDAJ	VYBER	1500	24629	\N	\N	\N
2138086	7240	1998-03-14	VYDAJ	VYBER	8900	16818	\N	\N	\N
2138087	7240	1998-04-13	VYDAJ	VYBER	6100	14327	\N	\N	\N
2138088	7240	1998-05-13	PRIJEM	VKLAD	1500	19421	\N	\N	\N
2138089	7240	1998-06-12	VYDAJ	VYBER	7700	22931	\N	\N	\N
2138090	7240	1998-07-12	VYDAJ	VYBER	6200	22908	\N	\N	\N
2138091	7240	1998-08-11	VYDAJ	VYBER	8200	18326	\N	\N	\N
2138092	7240	1998-09-10	VYDAJ	VYBER	8100	13827	\N	\N	\N
2138093	7240	1998-10-10	VYDAJ	VYBER	4800	12607	\N	\N	\N
2138094	7240	1998-12-09	VYDAJ	VYBER	10900	16466	\N	\N	\N
2144207	7262	1996-08-30	PRIJEM	VKLAD	900	900	\N	\N	\N
2144216	7262	1996-09-11	PRIJEM	VKLAD	17103	18003	\N	\N	\N
2144217	7262	1996-10-11	PRIJEM	VKLAD	17103	38512	\N	\N	\N
2144218	7262	1996-11-11	PRIJEM	VKLAD	17103	48808	\N	\N	\N
2144219	7262	1996-12-11	PRIJEM	VKLAD	25655	58295	\N	\N	\N
2144220	7262	1997-01-11	PRIJEM	VKLAD	17103	53136	\N	\N	\N
2144221	7262	1997-02-11	PRIJEM	VKLAD	17103	38266	\N	\N	\N
2144222	7262	1997-03-11	PRIJEM	VKLAD	17103	34996	\N	\N	\N
2144223	7262	1997-04-11	PRIJEM	VKLAD	17103	32714	\N	\N	\N
2144224	7262	1997-05-11	PRIJEM	VKLAD	17103	28083	\N	\N	\N
2144225	7262	1997-06-11	PRIJEM	VKLAD	25655	37729	\N	\N	\N
2144226	7262	1997-07-11	PRIJEM	VKLAD	17103	37746	\N	\N	\N
2144227	7262	1997-08-11	PRIJEM	VKLAD	17103	39175	\N	\N	\N
2144228	7262	1997-09-11	PRIJEM	VKLAD	17103	39809	\N	\N	\N
2144229	7262	1997-10-11	PRIJEM	VKLAD	17103	43727	\N	\N	\N
2144230	7262	1997-11-11	PRIJEM	VKLAD	17103	42676	\N	\N	\N
2144231	7262	1997-12-11	PRIJEM	VKLAD	25655	50814	\N	\N	\N
2144232	7262	1998-01-11	PRIJEM	VKLAD	17103	35236	\N	\N	\N
2144233	7262	1998-02-11	PRIJEM	VKLAD	17103	37580	\N	\N	\N
2144234	7262	1998-03-11	PRIJEM	VKLAD	17103	41107	\N	\N	\N
2144235	7262	1998-04-11	PRIJEM	VKLAD	17103	43750	\N	\N	\N
2144236	7262	1998-05-11	PRIJEM	VKLAD	17103	43399	\N	\N	\N
2144237	7262	1998-06-11	PRIJEM	VKLAD	25655	33398	\N	\N	\N
2144238	7262	1998-07-11	PRIJEM	VKLAD	17103	40920	\N	\N	\N
2144239	7262	1998-08-11	PRIJEM	VKLAD	17103	45402	\N	\N	\N
2144240	7262	1998-09-11	PRIJEM	VKLAD	17103	45656	\N	\N	\N
2144241	7262	1998-10-11	PRIJEM	VKLAD	17103	42988	\N	\N	\N
2144242	7262	1998-11-11	PRIJEM	VKLAD	17103	43933	\N	\N	\N
2144243	7262	1998-12-11	PRIJEM	VKLAD	25655	50828	\N	\N	\N
2144257	7262	1997-02-08	VYDAJ	PREVOD NA UCET	1900	28038	SIPO	EF	83855402
2144258	7262	1997-03-08	VYDAJ	PREVOD NA UCET	1900	24768	SIPO	EF	83855402
2144259	7262	1997-04-08	VYDAJ	PREVOD NA UCET	1900	22486	SIPO	EF	83855402
2144260	7262	1997-05-08	VYDAJ	PREVOD NA UCET	1900	17855	SIPO	EF	83855402
2144261	7262	1997-06-08	VYDAJ	PREVOD NA UCET	1900	18950	SIPO	EF	83855402
2144262	7262	1997-07-08	VYDAJ	PREVOD NA UCET	1900	27518	SIPO	EF	83855402
2144263	7262	1997-08-08	VYDAJ	PREVOD NA UCET	1900	28947	SIPO	EF	83855402
2144264	7262	1997-09-08	VYDAJ	PREVOD NA UCET	1900	29581	SIPO	EF	83855402
2144265	7262	1997-10-08	VYDAJ	PREVOD NA UCET	1900	33499	SIPO	EF	83855402
2144266	7262	1997-11-08	VYDAJ	PREVOD NA UCET	1900	32448	SIPO	EF	83855402
2144267	7262	1997-12-08	VYDAJ	PREVOD NA UCET	1900	32034	SIPO	EF	83855402
2144268	7262	1998-01-08	VYDAJ	PREVOD NA UCET	1900	25008	SIPO	EF	83855402
2144269	7262	1998-02-08	VYDAJ	PREVOD NA UCET	1900	27352	SIPO	EF	83855402
2144270	7262	1998-03-08	VYDAJ	PREVOD NA UCET	1900	30879	SIPO	EF	83855402
2144271	7262	1998-04-08	VYDAJ	PREVOD NA UCET	1900	33522	SIPO	EF	83855402
2144272	7262	1998-05-08	VYDAJ	PREVOD NA UCET	1900	33171	SIPO	EF	83855402
2144273	7262	1998-06-08	VYDAJ	PREVOD NA UCET	1900	14619	SIPO	EF	83855402
2144274	7262	1998-07-08	VYDAJ	PREVOD NA UCET	1900	30692	SIPO	EF	83855402
2144275	7262	1998-08-08	VYDAJ	PREVOD NA UCET	1900	35174	SIPO	EF	83855402
2144276	7262	1998-09-08	VYDAJ	PREVOD NA UCET	1900	35428	SIPO	EF	83855402
2144277	7262	1998-10-08	VYDAJ	PREVOD NA UCET	1900	32760	SIPO	EF	83855402
2144278	7262	1998-11-08	VYDAJ	PREVOD NA UCET	1900	33705	SIPO	EF	83855402
2144279	7262	1998-12-08	VYDAJ	PREVOD NA UCET	1900	32048	SIPO	EF	83855402
2144293	7262	1997-02-10	VYDAJ	PREVOD NA UCET	6875	21163	 	UV	4781288
2144294	7262	1997-03-10	VYDAJ	PREVOD NA UCET	6875	17893	 	UV	4781288
2144295	7262	1997-04-10	VYDAJ	PREVOD NA UCET	6875	15611	 	UV	4781288
2144296	7262	1997-05-10	VYDAJ	PREVOD NA UCET	6875	10980	 	UV	4781288
2144297	7262	1997-06-10	VYDAJ	PREVOD NA UCET	6875	12075	 	UV	4781288
2144298	7262	1997-07-10	VYDAJ	PREVOD NA UCET	6875	20643	 	UV	4781288
2144299	7262	1997-08-10	VYDAJ	PREVOD NA UCET	6875	22072	 	UV	4781288
2144300	7262	1997-09-10	VYDAJ	PREVOD NA UCET	6875	22706	 	UV	4781288
2144301	7262	1997-10-10	VYDAJ	PREVOD NA UCET	6875	26624	 	UV	4781288
2144302	7262	1997-11-10	VYDAJ	PREVOD NA UCET	6875	25573	 	UV	4781288
2144303	7262	1997-12-10	VYDAJ	PREVOD NA UCET	6875	25159	 	UV	4781288
2144304	7262	1998-01-10	VYDAJ	PREVOD NA UCET	6875	18133	 	UV	4781288
2144305	7262	1998-02-10	VYDAJ	PREVOD NA UCET	6875	20477	 	UV	4781288
2144306	7262	1998-03-10	VYDAJ	PREVOD NA UCET	6875	24004	 	UV	4781288
2144307	7262	1998-04-10	VYDAJ	PREVOD NA UCET	6875	26647	 	UV	4781288
2144308	7262	1998-05-10	VYDAJ	PREVOD NA UCET	6875	26296	 	UV	4781288
2144309	7262	1998-06-10	VYDAJ	PREVOD NA UCET	6875	7744	 	UV	4781288
2144310	7262	1998-07-10	VYDAJ	PREVOD NA UCET	6875	23817	 	UV	4781288
2144311	7262	1998-08-10	VYDAJ	PREVOD NA UCET	6875	28299	 	UV	4781288
2144312	7262	1998-09-10	VYDAJ	PREVOD NA UCET	6875	28553	 	UV	4781288
2144313	7262	1998-10-10	VYDAJ	PREVOD NA UCET	6875	25885	 	UV	4781288
2144314	7262	1998-11-10	VYDAJ	PREVOD NA UCET	6875	26830	 	UV	4781288
2144315	7262	1998-12-10	VYDAJ	PREVOD NA UCET	6875	25173	 	UV	4781288
2144328	7262	1997-01-02	VYDAJ	VYBER	1800	36033	\N	\N	0
2144329	7262	1997-02-12	VYDAJ	PREVOD NA UCET	1221	37045	UVER	UV	99959164
2144330	7262	1997-03-12	VYDAJ	PREVOD NA UCET	1221	33775	UVER	UV	99959164
2144331	7262	1997-04-12	VYDAJ	PREVOD NA UCET	1221	31493	UVER	UV	99959164
2144332	7262	1997-05-12	VYDAJ	PREVOD NA UCET	1221	26862	UVER	UV	99959164
2144333	7262	1997-06-12	VYDAJ	PREVOD NA UCET	1221	36508	UVER	UV	99959164
2144334	7262	1997-07-12	VYDAJ	PREVOD NA UCET	1221	36525	UVER	UV	99959164
2144335	7262	1997-08-12	VYDAJ	PREVOD NA UCET	1221	37954	UVER	UV	99959164
2144336	7262	1997-09-12	VYDAJ	PREVOD NA UCET	1221	38588	UVER	UV	99959164
2144337	7262	1997-10-12	VYDAJ	PREVOD NA UCET	1221	42506	UVER	UV	99959164
2144338	7262	1997-11-12	VYDAJ	PREVOD NA UCET	1221	41455	UVER	UV	99959164
2144339	7262	1997-12-12	VYDAJ	PREVOD NA UCET	1221	49593	UVER	UV	99959164
2144340	7262	1998-01-12	VYDAJ	PREVOD NA UCET	1221	34015	UVER	UV	99959164
2144341	7262	1998-02-12	VYDAJ	PREVOD NA UCET	1221	36359	UVER	UV	99959164
2144342	7262	1998-03-12	VYDAJ	PREVOD NA UCET	1221	39886	UVER	UV	99959164
2144343	7262	1998-04-12	VYDAJ	PREVOD NA UCET	1221	42529	UVER	UV	99959164
2144344	7262	1998-05-12	VYDAJ	PREVOD NA UCET	1221	42178	UVER	UV	99959164
2144345	7262	1998-06-12	VYDAJ	PREVOD NA UCET	1221	32177	UVER	UV	99959164
2144346	7262	1998-07-12	VYDAJ	PREVOD NA UCET	1221	39699	UVER	UV	99959164
2144347	7262	1998-08-12	VYDAJ	PREVOD NA UCET	1221	44181	UVER	UV	99959164
2144348	7262	1998-09-12	VYDAJ	PREVOD NA UCET	1221	44435	UVER	UV	99959164
2144349	7262	1998-10-12	VYDAJ	PREVOD NA UCET	1221	41767	UVER	UV	99959164
2144350	7262	1998-11-12	VYDAJ	PREVOD NA UCET	1221	42712	UVER	UV	99959164
2144351	7262	1998-12-12	VYDAJ	PREVOD NA UCET	1221	49607	UVER	UV	99959164
2144354	7262	1998-06-03	VYDAJ	VYBER	19200	16519	\N	\N	\N
2144356	7262	1997-01-13	VYDAJ	VYBER	3840	49296	\N	\N	\N
2144357	7262	1998-01-06	VYDAJ	VYBER	10080	26908	\N	\N	\N
2144359	7262	1997-12-29	VYDAJ	VYBER	960	36833	\N	\N	\N
2144360	7262	1998-12-27	VYDAJ	VYBER	1120	40687	\N	\N	\N
2144363	7262	1997-01-25	VYDAJ	VYBER	4320	44976	\N	\N	\N
2144364	7262	1997-09-19	VYDAJ	VYBER	1920	36668	\N	\N	\N
2144365	7262	1997-05-07	VYDAJ	VYBER	5640	19755	\N	\N	\N
2144366	7262	1997-11-25	VYDAJ	VYBER	960	33795	\N	\N	\N
2144367	7262	1998-07-19	VYDAJ	VYBER	5160	34539	\N	\N	\N
2144368	7262	1998-10-05	VYDAJ	VYBER	1320	34660	\N	\N	\N
2144369	7262	1998-01-19	VYDAJ	VYBER	5880	28135	\N	\N	\N
2144383	7262	1997-01-31	VYDAJ	VYBER	15	29938	SLUZBY	\N	\N
2144384	7262	1997-02-28	VYDAJ	VYBER	15	26668	SLUZBY	\N	\N
2144385	7262	1997-03-31	VYDAJ	VYBER	15	24386	SLUZBY	\N	\N
2144386	7262	1997-04-30	VYDAJ	VYBER	15	25395	SLUZBY	\N	\N
2144387	7262	1997-05-31	VYDAJ	VYBER	15	20850	SLUZBY	\N	\N
2144388	7262	1997-06-30	VYDAJ	VYBER	15	29418	SLUZBY	\N	\N
2144389	7262	1997-07-31	VYDAJ	VYBER	15	30847	SLUZBY	\N	\N
2144390	7262	1997-08-31	VYDAJ	VYBER	15	31481	SLUZBY	\N	\N
2144391	7262	1997-09-30	VYDAJ	VYBER	15	35399	SLUZBY	\N	\N
2144392	7262	1997-10-31	VYDAJ	VYBER	15	34348	SLUZBY	\N	\N
2144393	7262	1997-11-30	VYDAJ	VYBER	15	33934	SLUZBY	\N	\N
2144394	7262	1997-12-31	VYDAJ	VYBER	15	36988	SLUZBY	\N	\N
2144395	7262	1998-01-31	VYDAJ	VYBER	15	29252	SLUZBY	\N	\N
2144396	7262	1998-02-28	VYDAJ	VYBER	15	32779	SLUZBY	\N	\N
2144397	7262	1998-03-31	VYDAJ	VYBER	15	35422	SLUZBY	\N	\N
2144398	7262	1998-04-30	VYDAJ	VYBER	15	35071	SLUZBY	\N	\N
2144399	7262	1998-05-31	VYDAJ	VYBER	15	35719	SLUZBY	\N	\N
2144400	7262	1998-06-30	VYDAJ	VYBER	15	32592	SLUZBY	\N	\N
2144401	7262	1998-07-31	VYDAJ	VYBER	15	37074	SLUZBY	\N	\N
2144402	7262	1998-08-31	VYDAJ	VYBER	15	37328	SLUZBY	\N	\N
2144403	7262	1998-09-30	VYDAJ	VYBER	15	35980	SLUZBY	\N	\N
2144404	7262	1998-10-31	VYDAJ	VYBER	15	35605	SLUZBY	\N	\N
2144405	7262	1998-11-30	VYDAJ	VYBER	15	33948	SLUZBY	\N	\N
2144406	7262	1996-09-29	PRIJEM	VKLAD	3400	21403	\N	\N	\N
2144407	7262	1996-10-29	VYDAJ	VYBER	6900	31612	\N	\N	\N
2144408	7262	1996-11-28	VYDAJ	VYBER	16300	32508	\N	\N	\N
2144409	7262	1996-12-28	VYDAJ	VYBER	20600	37695	\N	\N	\N
2144410	7262	1997-01-27	VYDAJ	VYBER	15200	29776	\N	\N	\N
2144411	7262	1997-02-26	VYDAJ	VYBER	10500	26545	\N	\N	\N
2144412	7262	1997-03-28	VYDAJ	VYBER	9500	24275	\N	\N	\N
2144413	7262	1997-04-27	VYDAJ	VYBER	6200	25293	\N	\N	\N
2144414	7262	1997-05-27	VYDAJ	VYBER	6100	20762	\N	\N	\N
2144415	7262	1997-06-26	VYDAJ	VYBER	7200	29308	\N	\N	\N
2144416	7262	1997-07-26	VYDAJ	VYBER	5800	30725	\N	\N	\N
2144417	7262	1997-08-25	VYDAJ	VYBER	6600	31354	\N	\N	\N
2144418	7262	1997-09-24	VYDAJ	VYBER	1400	35268	\N	\N	\N
2144419	7262	1997-10-24	VYDAJ	VYBER	8300	34206	\N	\N	\N
2144420	7262	1997-11-23	VYDAJ	VYBER	6700	34755	\N	\N	\N
2144421	7262	1997-12-23	VYDAJ	VYBER	11800	37793	\N	\N	\N
2144422	7262	1998-01-22	PRIJEM	VKLAD	1000	29135	\N	\N	\N
2144423	7262	1998-02-21	VYDAJ	VYBER	3700	32659	\N	\N	\N
2144424	7262	1998-03-23	VYDAJ	VYBER	4600	35286	\N	\N	\N
2144425	7262	1998-04-22	VYDAJ	VYBER	7600	34929	\N	\N	\N
2144426	7262	1998-05-22	VYDAJ	VYBER	6600	35578	\N	\N	\N
2144427	7262	1998-06-21	PRIJEM	VKLAD	300	32477	\N	\N	\N
2144428	7262	1998-07-21	PRIJEM	VKLAD	2400	36939	\N	\N	\N
2144429	7262	1998-08-20	VYDAJ	VYBER	7000	37181	\N	\N	\N
2144430	7262	1998-09-19	VYDAJ	VYBER	8600	35835	\N	\N	\N
2144431	7262	1998-10-19	VYDAJ	VYBER	6300	35467	\N	\N	\N
2144432	7262	1998-11-18	VYDAJ	VYBER	8900	33812	\N	\N	\N
2144433	7262	1998-12-18	VYDAJ	VYBER	7800	41807	\N	\N	\N
2147632	7274	1997-09-28	PRIJEM	VKLAD	400	400	\N	\N	\N
2147634	7274	1997-12-16	PRIJEM	VKLAD	36675	79933	\N	\N	\N
2147641	7274	1997-10-21	PRIJEM	VKLAD	44426	44826	\N	\N	\N
2147642	7274	1997-11-26	PRIJEM	VKLAD	43275	75418	\N	\N	\N
2147644	7274	1997-12-22	PRIJEM	VKLAD	23248	103181	\N	\N	\N
2147654	7274	1998-07-05	PRIJEM	VKLAD	21219	42911	\N	\N	\N
2147655	7274	1998-03-30	PRIJEM	VKLAD	31205	62047	\N	\N	\N
2147656	7274	1998-11-29	PRIJEM	VKLAD	18834	40014	\N	\N	\N
2147657	7274	1998-01-18	PRIJEM	VKLAD	44748	105561	\N	\N	\N
2147658	7274	1998-08-29	PRIJEM	VKLAD	5741	27557	\N	\N	\N
2147659	7274	1998-04-05	PRIJEM	VKLAD	17107	79263	\N	\N	\N
2147660	7274	1998-12-09	PRIJEM	VKLAD	28755	56161	\N	\N	\N
2147661	7274	1998-03-23	PRIJEM	VKLAD	15248	36342	\N	\N	\N
2147662	7274	1998-07-07	PRIJEM	VKLAD	21180	64091	\N	\N	\N
2147663	7274	1998-05-25	PRIJEM	VKLAD	29537	40914	\N	\N	\N
2147677	7274	1998-02-14	VYDAJ	VYBER	3300	37432	\N	\N	0
2147678	7274	1998-03-12	VYDAJ	PREVOD NA UCET	4087	21094	UVER	WX	91164630
2147679	7274	1998-04-12	VYDAJ	PREVOD NA UCET	4087	70573	UVER	WX	91164630
2147680	7274	1998-05-12	VYDAJ	PREVOD NA UCET	4087	11377	UVER	WX	91164630
2147681	7274	1998-06-12	VYDAJ	PREVOD NA UCET	4087	22899	UVER	WX	91164630
2147682	7274	1998-07-12	VYDAJ	PREVOD NA UCET	4087	55401	UVER	WX	91164630
2147683	7274	1998-08-12	VYDAJ	PREVOD NA UCET	4087	18516	UVER	WX	91164630
2147684	7274	1998-09-12	VYDAJ	PREVOD NA UCET	4087	18948	UVER	WX	91164630
2147685	7274	1998-10-12	VYDAJ	PREVOD NA UCET	4087	12011	UVER	WX	91164630
2147686	7274	1998-11-12	VYDAJ	PREVOD NA UCET	4087	10880	UVER	WX	91164630
2147687	7274	1998-12-12	VYDAJ	PREVOD NA UCET	4087	47471	UVER	WX	91164630
2147701	7274	1998-02-11	VYDAJ	PREVOD NA UCET	4603	40732	SIPO	WX	33532422
2147702	7274	1998-03-11	VYDAJ	PREVOD NA UCET	4603	25181	SIPO	WX	33532422
2147703	7274	1998-04-11	VYDAJ	PREVOD NA UCET	4603	74660	SIPO	WX	33532422
2147704	7274	1998-05-11	VYDAJ	PREVOD NA UCET	4603	15464	SIPO	WX	33532422
2147705	7274	1998-06-11	VYDAJ	PREVOD NA UCET	4603	26986	SIPO	WX	33532422
2147706	7274	1998-07-11	VYDAJ	PREVOD NA UCET	4603	59488	SIPO	WX	33532422
2147707	7274	1998-08-11	VYDAJ	PREVOD NA UCET	4603	22603	SIPO	WX	33532422
2147708	7274	1998-09-11	VYDAJ	PREVOD NA UCET	4603	23035	SIPO	WX	33532422
2147709	7274	1998-10-11	VYDAJ	PREVOD NA UCET	4603	16098	SIPO	WX	33532422
2147710	7274	1998-11-11	VYDAJ	PREVOD NA UCET	4603	14967	SIPO	WX	33532422
2147711	7274	1998-12-11	VYDAJ	PREVOD NA UCET	4603	51558	SIPO	WX	33532422
2147725	7274	1998-04-30	VYBER	VYBER	19555	26982	\N	\N	\N
2147728	7274	1998-10-05	VYBER	VYBER	2229	20701	\N	\N	\N
2147729	7274	1998-12-01	VYBER	VYBER	12670	27406	\N	\N	\N
2147730	7274	1998-07-17	VYBER	VYBER	14933	31168	\N	\N	\N
2147736	7274	1998-12-30	VYDAJ	VYBER	1800	29871	\N	\N	\N
2147743	7274	1998-12-20	VYDAJ	VYBER	11100	36371	\N	\N	\N
2147744	7274	1998-05-03	VYDAJ	VYBER	6900	20067	\N	\N	\N
2147745	7274	1998-07-14	VYDAJ	VYBER	9300	46101	\N	\N	\N
2147760	7274	1998-01-31	VYDAJ	VYBER	15	45335	SLUZBY	\N	\N
2147761	7274	1998-02-28	VYDAJ	VYBER	15	29784	SLUZBY	\N	\N
2147762	7274	1998-03-31	VYDAJ	VYBER	15	62156	SLUZBY	\N	\N
2147763	7274	1998-04-30	VYDAJ	VYBER	15	26967	SLUZBY	\N	\N
2147764	7274	1998-05-31	VYDAJ	VYBER	15	31589	SLUZBY	\N	\N
2147765	7274	1998-06-30	VYDAJ	VYBER	15	21692	SLUZBY	\N	\N
2147766	7274	1998-07-31	VYDAJ	VYBER	15	27206	SLUZBY	\N	\N
2147767	7274	1998-08-31	VYDAJ	VYBER	15	27638	SLUZBY	\N	\N
2147768	7274	1998-09-30	VYDAJ	VYBER	15	22930	SLUZBY	\N	\N
2147769	7274	1998-10-31	VYDAJ	VYBER	15	19570	SLUZBY	\N	\N
2147770	7274	1998-11-30	VYDAJ	VYBER	15	40076	SLUZBY	\N	\N
2147771	7274	1997-10-28	VYDAJ	VYBER	12700	32126	\N	\N	\N
2147772	7274	1997-11-27	VYDAJ	VYBER	32300	43118	\N	\N	\N
2147773	7274	1997-12-27	VYDAJ	VYBER	42600	60581	\N	\N	\N
2147774	7274	1998-01-18	VYDAJ	VYBER	30700	74861	\N	\N	\N
2147775	7274	1998-01-26	VYDAJ	VYBER	29800	45061	\N	\N	\N
2147776	7274	1998-02-25	VYDAJ	VYBER	7800	29632	\N	\N	\N
2147777	7274	1998-03-27	VYDAJ	VYBER	5500	30842	\N	\N	\N
2147778	7274	1998-04-26	VYDAJ	VYBER	24300	46273	\N	\N	\N
2147779	7274	1998-05-26	VYDAJ	VYBER	9400	31514	\N	\N	\N
2147780	7274	1998-06-25	VYDAJ	VYBER	1300	21599	\N	\N	\N
2147781	7274	1998-07-25	VYDAJ	VYBER	4100	27068	\N	\N	\N
2147782	7274	1998-08-24	PRIJEM	VKLAD	3300	21816	\N	\N	\N
2147783	7274	1998-09-23	PRIJEM	VKLAD	3900	22848	\N	\N	\N
2147784	7274	1998-10-23	PRIJEM	VKLAD	7500	19511	\N	\N	\N
2147785	7274	1998-11-22	PRIJEM	VKLAD	10300	21180	\N	\N	\N
2147786	7274	1998-12-22	VYDAJ	VYBER	4700	31671	\N	\N	\N
2242710	7401	1993-02-26	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2242713	7401	1993-03-12	PRIJEM	PREVOD Z UCTU	20236	21336	\N	ST	66487163
2242714	7401	1993-04-12	PRIJEM	PREVOD Z UCTU	20236	45286	\N	ST	66487163
2242792	7401	1993-10-05	VYDAJ	VYBER	2800	11099	\N	\N	0
2242715	7401	1993-05-12	PRIJEM	PREVOD Z UCTU	20236	54631	\N	ST	66487163
2242716	7401	1993-06-12	PRIJEM	PREVOD Z UCTU	30354	67530	\N	ST	66487163
2242717	7401	1993-07-12	PRIJEM	PREVOD Z UCTU	20236	62126	\N	ST	66487163
2242718	7401	1993-08-12	PRIJEM	PREVOD Z UCTU	20236	48038	\N	ST	66487163
2242719	7401	1993-09-12	PRIJEM	PREVOD Z UCTU	20236	38854	\N	ST	66487163
2242720	7401	1993-10-12	PRIJEM	PREVOD Z UCTU	20236	31335	\N	ST	66487163
2242721	7401	1993-11-12	PRIJEM	PREVOD Z UCTU	20236	41393	\N	ST	66487163
2242722	7401	1993-12-12	PRIJEM	PREVOD Z UCTU	30354	52010	\N	ST	66487163
2242723	7401	1994-01-12	PRIJEM	PREVOD Z UCTU	20236	41719	\N	ST	66487163
2242724	7401	1994-02-12	PRIJEM	PREVOD Z UCTU	20236	33921	\N	ST	66487163
2242725	7401	1994-03-12	PRIJEM	PREVOD Z UCTU	20236	40116	\N	ST	66487163
2242726	7401	1994-04-12	PRIJEM	PREVOD Z UCTU	20236	44931	\N	ST	66487163
2242727	7401	1994-05-12	PRIJEM	PREVOD Z UCTU	20236	47068	\N	ST	66487163
2242728	7401	1994-06-12	PRIJEM	PREVOD Z UCTU	30354	44309	\N	ST	66487163
2242729	7401	1994-07-12	PRIJEM	PREVOD Z UCTU	20236	39621	\N	ST	66487163
2242730	7401	1994-08-12	PRIJEM	PREVOD Z UCTU	20236	44829	\N	ST	66487163
2242731	7401	1994-09-12	PRIJEM	PREVOD Z UCTU	20236	46758	\N	ST	66487163
2242732	7401	1994-10-12	PRIJEM	PREVOD Z UCTU	20236	39643	\N	ST	66487163
2242733	7401	1994-11-12	PRIJEM	PREVOD Z UCTU	20236	45959	\N	ST	66487163
2242734	7401	1994-12-12	PRIJEM	PREVOD Z UCTU	30354	52102	\N	ST	66487163
2242735	7401	1995-01-12	PRIJEM	PREVOD Z UCTU	20236	46837	\N	ST	66487163
2242736	7401	1995-02-12	PRIJEM	PREVOD Z UCTU	20236	34342	\N	ST	66487163
2242737	7401	1995-03-12	PRIJEM	PREVOD Z UCTU	20236	42039	\N	ST	66487163
2242738	7401	1995-04-12	PRIJEM	PREVOD Z UCTU	20236	47560	\N	ST	66487163
2242739	7401	1995-05-12	PRIJEM	PREVOD Z UCTU	20236	39867	\N	ST	66487163
2242740	7401	1995-06-12	PRIJEM	PREVOD Z UCTU	30354	47094	\N	ST	66487163
2242741	7401	1995-07-12	PRIJEM	PREVOD Z UCTU	20236	50551	\N	ST	66487163
2242742	7401	1995-08-12	PRIJEM	PREVOD Z UCTU	20236	51898	\N	ST	66487163
2242743	7401	1995-09-12	PRIJEM	PREVOD Z UCTU	20236	35232	\N	ST	66487163
2242744	7401	1995-10-12	PRIJEM	PREVOD Z UCTU	20236	43329	\N	ST	66487163
2242745	7401	1995-11-12	PRIJEM	PREVOD Z UCTU	20236	40802	\N	ST	66487163
2242746	7401	1995-12-12	PRIJEM	PREVOD Z UCTU	30354	59140	\N	ST	66487163
2242747	7401	1996-01-12	PRIJEM	PREVOD Z UCTU	20236	35089	\N	ST	66487163
2242748	7401	1996-02-12	PRIJEM	PREVOD Z UCTU	20236	40747	\N	ST	66487163
2242749	7401	1996-03-12	PRIJEM	PREVOD Z UCTU	20236	50437	\N	ST	66487163
2242750	7401	1996-04-12	PRIJEM	PREVOD Z UCTU	20236	46055	\N	ST	66487163
2242751	7401	1996-05-12	PRIJEM	PREVOD Z UCTU	20236	43126	\N	ST	66487163
2242752	7401	1996-06-12	PRIJEM	PREVOD Z UCTU	30354	55447	\N	ST	66487163
2242753	7401	1996-07-12	PRIJEM	PREVOD Z UCTU	20236	56078	\N	ST	66487163
2242754	7401	1996-08-12	PRIJEM	PREVOD Z UCTU	20236	43885	\N	ST	66487163
2242755	7401	1996-09-12	PRIJEM	PREVOD Z UCTU	20236	54202	\N	ST	66487163
2242756	7401	1996-10-12	PRIJEM	PREVOD Z UCTU	20236	46774	\N	ST	66487163
2242757	7401	1996-11-12	PRIJEM	PREVOD Z UCTU	20236	54789	\N	ST	66487163
2242758	7401	1996-12-12	PRIJEM	PREVOD Z UCTU	30354	62649	\N	ST	66487163
2242759	7401	1997-01-12	PRIJEM	PREVOD Z UCTU	20236	46210	\N	ST	66487163
2242760	7401	1997-02-12	PRIJEM	PREVOD Z UCTU	20236	39794	\N	ST	66487163
2242761	7401	1997-03-12	PRIJEM	PREVOD Z UCTU	20236	51488	\N	ST	66487163
2242762	7401	1997-04-12	PRIJEM	PREVOD Z UCTU	20236	50191	\N	ST	66487163
2242763	7401	1997-05-12	PRIJEM	PREVOD Z UCTU	20236	59730	\N	ST	66487163
2242764	7401	1997-06-12	PRIJEM	PREVOD Z UCTU	30354	69178	\N	ST	66487163
2242765	7401	1997-07-12	PRIJEM	PREVOD Z UCTU	20236	47076	\N	ST	66487163
2242766	7401	1997-08-12	PRIJEM	PREVOD Z UCTU	20236	48388	\N	ST	66487163
2242767	7401	1997-09-12	PRIJEM	PREVOD Z UCTU	20236	51242	\N	ST	66487163
2242768	7401	1997-10-12	PRIJEM	PREVOD Z UCTU	20236	48176	\N	ST	66487163
2242769	7401	1997-11-12	PRIJEM	PREVOD Z UCTU	20236	51416	\N	ST	66487163
2242770	7401	1997-12-12	PRIJEM	PREVOD Z UCTU	30354	54974	\N	ST	66487163
2242771	7401	1998-01-12	PRIJEM	PREVOD Z UCTU	20236	44113	\N	ST	66487163
2242772	7401	1998-02-12	PRIJEM	PREVOD Z UCTU	20236	40505	\N	ST	66487163
2242773	7401	1998-03-12	PRIJEM	PREVOD Z UCTU	20236	41595	\N	ST	66487163
2242774	7401	1998-04-12	PRIJEM	PREVOD Z UCTU	20236	35049	\N	ST	66487163
2242775	7401	1998-05-12	PRIJEM	PREVOD Z UCTU	20236	41320	\N	ST	66487163
2242776	7401	1998-06-12	PRIJEM	PREVOD Z UCTU	30354	55039	\N	ST	66487163
2242777	7401	1998-07-12	PRIJEM	PREVOD Z UCTU	20236	53285	\N	ST	66487163
2242778	7401	1998-08-12	PRIJEM	PREVOD Z UCTU	20236	53138	\N	ST	66487163
2242779	7401	1998-09-12	PRIJEM	PREVOD Z UCTU	20236	48760	\N	ST	66487163
2242780	7401	1998-10-12	PRIJEM	PREVOD Z UCTU	20236	50782	\N	ST	66487163
2242781	7401	1998-11-12	PRIJEM	PREVOD Z UCTU	20236	48314	\N	ST	66487163
2242782	7401	1998-12-12	PRIJEM	PREVOD Z UCTU	30354	51127	\N	ST	66487163
2242789	7401	1993-07-06	VYDAJ	VYBER	3400	41890	\N	\N	0
2242790	7401	1993-08-05	VYDAJ	VYBER	3800	35068	\N	\N	0
2242791	7401	1993-09-17	VYDAJ	VYBER	3100	35754	\N	\N	0
2242793	7401	1993-11-12	VYDAJ	VYBER	3100	38293	\N	\N	0
2242794	7401	1993-12-19	VYDAJ	VYBER	3900	45110	\N	\N	0
2242795	7401	1994-01-12	VYDAJ	PREVOD NA UCET	3373	36247	UVER	ST	89597016
2242796	7401	1994-02-12	VYDAJ	PREVOD NA UCET	3373	30548	UVER	ST	89597016
2242797	7401	1994-03-12	VYDAJ	PREVOD NA UCET	3373	36743	UVER	ST	89597016
2242798	7401	1994-04-12	VYDAJ	PREVOD NA UCET	3373	41559	UVER	ST	89597016
2242799	7401	1994-05-12	VYDAJ	PREVOD NA UCET	3373	43695	UVER	ST	89597016
2242800	7401	1994-06-12	VYDAJ	PREVOD NA UCET	3373	40936	UVER	ST	89597016
2242801	7401	1994-07-12	VYDAJ	PREVOD NA UCET	3373	36249	UVER	ST	89597016
2242802	7401	1994-08-12	VYDAJ	PREVOD NA UCET	3373	41456	UVER	ST	89597016
2242803	7401	1994-09-12	VYDAJ	PREVOD NA UCET	3373	43386	UVER	ST	89597016
2242804	7401	1994-10-12	VYDAJ	PREVOD NA UCET	3373	36270	UVER	ST	89597016
2242805	7401	1994-11-12	VYDAJ	PREVOD NA UCET	3373	42587	UVER	ST	89597016
2242806	7401	1994-12-12	VYDAJ	PREVOD NA UCET	3373	48729	UVER	ST	89597016
2242807	7401	1995-01-12	VYDAJ	PREVOD NA UCET	3373	37165	UVER	ST	89597016
2242808	7401	1995-02-12	VYDAJ	PREVOD NA UCET	3373	30969	UVER	ST	89597016
2242809	7401	1995-03-12	VYDAJ	PREVOD NA UCET	3373	38666	UVER	ST	89597016
2242810	7401	1995-04-12	VYDAJ	PREVOD NA UCET	3373	44187	UVER	ST	89597016
2242811	7401	1995-05-12	VYDAJ	PREVOD NA UCET	3373	36494	UVER	ST	89597016
2242812	7401	1995-06-12	VYDAJ	PREVOD NA UCET	3373	43721	UVER	ST	89597016
2242813	7401	1995-07-12	VYDAJ	PREVOD NA UCET	3373	47179	UVER	ST	89597016
2242814	7401	1995-08-12	VYDAJ	PREVOD NA UCET	3373	48525	UVER	ST	89597016
2242815	7401	1995-09-12	VYDAJ	PREVOD NA UCET	3373	31860	UVER	ST	89597016
2242816	7401	1995-10-12	VYDAJ	PREVOD NA UCET	3373	39956	UVER	ST	89597016
2242817	7401	1995-11-12	VYDAJ	PREVOD NA UCET	3373	37429	UVER	ST	89597016
2242818	7401	1995-12-12	VYDAJ	PREVOD NA UCET	3373	55767	UVER	ST	89597016
2242819	7401	1996-01-02	VYDAJ	VYBER	2700	37719	\N	\N	0
2242820	7401	1996-02-04	VYDAJ	VYBER	3800	21977	\N	\N	0
2242821	7401	1996-03-09	VYDAJ	VYBER	3400	30201	\N	\N	0
2242822	7401	1996-04-09	VYDAJ	VYBER	3400	29519	\N	\N	0
2242823	7401	1996-05-19	VYDAJ	VYBER	3000	33226	\N	\N	0
2242824	7401	1996-06-16	VYDAJ	VYBER	3400	52047	\N	\N	0
2242825	7401	1996-07-10	VYDAJ	VYBER	3700	35842	\N	\N	0
2242826	7401	1996-08-08	VYDAJ	VYBER	3400	23949	\N	\N	0
2242827	7401	1996-09-18	VYDAJ	VYBER	4200	30361	\N	\N	0
2242828	7401	1996-10-15	VYDAJ	VYBER	3200	43574	\N	\N	0
2242829	7401	1996-11-14	VYDAJ	VYBER	3200	51589	\N	\N	0
2242830	7401	1996-12-18	VYDAJ	VYBER	2500	55649	\N	\N	0
2242831	7401	1997-01-21	VYDAJ	VYBER	2800	28110	\N	\N	0
2242832	7401	1997-02-05	VYDAJ	VYBER	3900	23158	\N	\N	0
2242833	7401	1997-03-21	VYDAJ	VYBER	3000	42964	\N	\N	0
2242834	7401	1997-04-02	VYDAJ	VYBER	4100	39021	\N	\N	0
2242835	7401	1997-05-16	VYDAJ	VYBER	3500	56230	\N	\N	0
2242836	7401	1997-06-19	VYDAJ	VYBER	3400	23778	\N	\N	0
2242837	7401	1997-07-15	VYDAJ	VYBER	2700	44376	\N	\N	0
2242838	7401	1997-08-13	VYDAJ	VYBER	4200	44188	\N	\N	0
2242839	7401	1997-09-19	VYDAJ	VYBER	3900	47342	\N	\N	0
2242840	7401	1997-10-05	VYDAJ	VYBER	2500	35206	\N	\N	0
2242841	7401	1997-11-20	VYDAJ	VYBER	3600	47816	\N	\N	0
2242842	7401	1997-12-06	VYDAJ	VYBER	3400	24620	\N	\N	0
2242843	7401	1998-01-13	VYDAJ	VYBER	3000	41113	\N	\N	0
2242844	7401	1998-02-13	VYDAJ	VYBER	4000	36505	\N	\N	0
2242845	7401	1998-03-08	VYDAJ	VYBER	3900	21359	\N	\N	0
2242846	7401	1998-04-03	VYDAJ	VYBER	3300	22079	\N	\N	0
2242847	7401	1998-05-12	VYDAJ	VYBER	3000	38320	\N	\N	0
2242848	7401	1998-06-13	VYDAJ	VYBER	3300	51739	\N	\N	0
2242849	7401	1998-07-09	VYDAJ	VYBER	3600	33049	\N	\N	0
2242850	7401	1998-08-09	VYDAJ	VYBER	3900	32902	\N	\N	0
2242851	7401	1998-09-13	VYDAJ	VYBER	3900	44860	\N	\N	0
2242852	7401	1998-10-16	VYDAJ	VYBER	3200	47582	\N	\N	0
2242853	7401	1998-11-19	VYDAJ	VYBER	2700	40504	\N	\N	0
2242854	7401	1998-12-18	VYDAJ	VYBER	3800	35627	\N	\N	0
2242862	7401	1993-08-05	VYDAJ	PREVOD NA UCET	7266	27802	SIPO	QR	13943797
2242863	7401	1993-09-05	VYDAJ	PREVOD NA UCET	7266	18618	SIPO	QR	13943797
2242864	7401	1993-10-05	VYDAJ	PREVOD NA UCET	7266	13899	SIPO	QR	13943797
2242865	7401	1993-11-05	VYDAJ	PREVOD NA UCET	7266	21157	SIPO	QR	13943797
2242866	7401	1993-12-05	VYDAJ	PREVOD NA UCET	7266	25856	SIPO	QR	13943797
2242867	7401	1994-01-05	VYDAJ	PREVOD NA UCET	7266	21483	SIPO	QR	13943797
2242868	7401	1994-02-05	VYDAJ	PREVOD NA UCET	7266	13685	SIPO	QR	13943797
2242869	7401	1994-03-05	VYDAJ	PREVOD NA UCET	7266	19880	SIPO	QR	13943797
2242870	7401	1994-04-05	VYDAJ	PREVOD NA UCET	7266	24695	SIPO	QR	13943797
2242871	7401	1994-05-05	VYDAJ	PREVOD NA UCET	7266	26832	SIPO	QR	13943797
2242872	7401	1994-06-05	VYDAJ	PREVOD NA UCET	7266	13955	SIPO	QR	13943797
2242873	7401	1994-07-05	VYDAJ	PREVOD NA UCET	7266	19385	SIPO	QR	13943797
2242874	7401	1994-08-05	VYDAJ	PREVOD NA UCET	7266	24593	SIPO	QR	13943797
2242875	7401	1994-09-05	VYDAJ	PREVOD NA UCET	7266	26522	SIPO	QR	13943797
2242876	7401	1994-10-05	VYDAJ	PREVOD NA UCET	7266	19407	SIPO	QR	13943797
2242877	7401	1994-11-05	VYDAJ	PREVOD NA UCET	7266	25723	SIPO	QR	13943797
2242878	7401	1994-12-05	VYDAJ	PREVOD NA UCET	7266	24748	SIPO	QR	13943797
2242879	7401	1995-01-05	VYDAJ	PREVOD NA UCET	7266	26601	SIPO	QR	13943797
2242880	7401	1995-02-05	VYDAJ	PREVOD NA UCET	7266	14106	SIPO	QR	13943797
2242881	7401	1995-03-05	VYDAJ	PREVOD NA UCET	7266	21803	SIPO	QR	13943797
2242882	7401	1995-04-05	VYDAJ	PREVOD NA UCET	7266	27324	SIPO	QR	13943797
2242883	7401	1995-05-05	VYDAJ	PREVOD NA UCET	7266	19631	SIPO	QR	13943797
2242884	7401	1995-06-05	VYDAJ	PREVOD NA UCET	7266	16740	SIPO	QR	13943797
2242885	7401	1995-07-05	VYDAJ	PREVOD NA UCET	7266	30315	SIPO	QR	13943797
2242886	7401	1995-08-05	VYDAJ	PREVOD NA UCET	7266	31662	SIPO	QR	13943797
2242887	7401	1995-09-05	VYDAJ	PREVOD NA UCET	7266	14996	SIPO	QR	13943797
2242888	7401	1995-10-05	VYDAJ	PREVOD NA UCET	7266	23093	SIPO	QR	13943797
2242889	7401	1995-11-05	VYDAJ	PREVOD NA UCET	7266	20566	SIPO	QR	13943797
2242890	7401	1995-12-05	VYDAJ	PREVOD NA UCET	7266	28786	SIPO	QR	13943797
2242891	7401	1996-01-05	VYDAJ	PREVOD NA UCET	7266	14853	SIPO	QR	13943797
2242892	7401	1996-02-05	VYDAJ	PREVOD NA UCET	7266	14711	SIPO	QR	13943797
2242893	7401	1996-03-05	VYDAJ	PREVOD NA UCET	7266	33601	SIPO	QR	13943797
2242894	7401	1996-04-05	VYDAJ	PREVOD NA UCET	7266	32919	SIPO	QR	13943797
2242895	7401	1996-05-05	VYDAJ	PREVOD NA UCET	7266	16190	SIPO	QR	13943797
2242896	7401	1996-06-05	VYDAJ	PREVOD NA UCET	7266	17593	SIPO	QR	13943797
2242897	7401	1996-07-05	VYDAJ	PREVOD NA UCET	7266	44942	SIPO	QR	13943797
2242898	7401	1996-08-05	VYDAJ	PREVOD NA UCET	7266	27349	SIPO	QR	13943797
2242899	7401	1996-09-05	VYDAJ	PREVOD NA UCET	7266	36766	SIPO	QR	13943797
2242900	7401	1996-10-05	VYDAJ	PREVOD NA UCET	7266	23238	SIPO	QR	13943797
2242901	7401	1996-11-05	VYDAJ	PREVOD NA UCET	7266	36453	SIPO	QR	13943797
2242902	7401	1996-12-05	VYDAJ	PREVOD NA UCET	7266	40295	SIPO	QR	13943797
2242903	7401	1997-01-05	VYDAJ	PREVOD NA UCET	7266	31174	SIPO	QR	13943797
2242904	7401	1997-02-05	VYDAJ	PREVOD NA UCET	7266	27058	SIPO	QR	13943797
2242905	7401	1997-03-05	VYDAJ	PREVOD NA UCET	7266	32652	SIPO	QR	13943797
2242906	7401	1997-04-05	VYDAJ	PREVOD NA UCET	7266	31755	SIPO	QR	13943797
2242907	7401	1997-05-05	VYDAJ	PREVOD NA UCET	7266	43094	SIPO	QR	13943797
2242908	7401	1997-06-05	VYDAJ	PREVOD NA UCET	7266	38824	SIPO	QR	13943797
2242909	7401	1997-07-05	VYDAJ	PREVOD NA UCET	7266	26840	SIPO	QR	13943797
2242910	7401	1997-08-05	VYDAJ	PREVOD NA UCET	7266	32652	SIPO	QR	13943797
2242911	7401	1997-09-05	VYDAJ	PREVOD NA UCET	7266	31006	SIPO	QR	13943797
2242912	7401	1997-10-05	VYDAJ	PREVOD NA UCET	7266	27940	SIPO	QR	13943797
2242913	7401	1997-11-05	VYDAJ	PREVOD NA UCET	7266	31180	SIPO	QR	13943797
2242914	7401	1997-12-05	VYDAJ	PREVOD NA UCET	7266	28020	SIPO	QR	13943797
2242915	7401	1998-01-05	VYDAJ	PREVOD NA UCET	7266	31977	SIPO	QR	13943797
2242916	7401	1998-02-05	VYDAJ	PREVOD NA UCET	7266	20269	SIPO	QR	13943797
2242917	7401	1998-03-05	VYDAJ	PREVOD NA UCET	7266	25259	SIPO	QR	13943797
2242918	7401	1998-04-05	VYDAJ	PREVOD NA UCET	7266	14813	SIPO	QR	13943797
2242919	7401	1998-05-05	VYDAJ	PREVOD NA UCET	7266	21084	SIPO	QR	13943797
2242920	7401	1998-06-05	VYDAJ	PREVOD NA UCET	7266	24685	SIPO	QR	13943797
2242921	7401	1998-07-05	VYDAJ	PREVOD NA UCET	7266	36649	SIPO	QR	13943797
2242922	7401	1998-08-05	VYDAJ	PREVOD NA UCET	7266	36802	SIPO	QR	13943797
2242923	7401	1998-09-05	VYDAJ	PREVOD NA UCET	7266	28524	SIPO	QR	13943797
2242924	7401	1998-10-05	VYDAJ	PREVOD NA UCET	7266	30546	SIPO	QR	13943797
2242925	7401	1998-11-05	VYDAJ	PREVOD NA UCET	7266	32578	SIPO	QR	13943797
2242926	7401	1998-12-05	VYDAJ	PREVOD NA UCET	7266	20773	SIPO	QR	13943797
2242927	7401	1993-08-22	VYBER	VYBER	21286	26752	\N	\N	\N
2242929	7401	1993-12-21	VYBER	VYBER	13396	31714	\N	\N	\N
2242931	7401	1993-07-19	VYBER	VYBER	13145	48981	\N	\N	\N
2242937	7401	1994-09-20	VYBER	VYBER	12041	26545	\N	\N	\N
2242942	7401	1995-10-17	VYBER	VYBER	9336	27720	\N	\N	\N
2242943	7401	1995-04-20	VYBER	VYBER	6011	34576	\N	\N	\N
2242944	7401	1995-06-29	VYBER	VYBER	3672	37449	\N	\N	\N
2242946	7401	1995-04-26	VYBER	VYBER	2696	31880	\N	\N	\N
2242947	7401	1995-04-30	VYBER	VYBER	5119	26911	\N	\N	\N
2242948	7401	1995-08-17	VYBER	VYBER	19480	22145	\N	\N	\N
2242951	7401	1996-04-26	VYBER	VYBER	22745	23310	\N	\N	\N
2242953	7401	1996-09-17	VYBER	VYBER	19641	34561	\N	\N	\N
2242955	7401	1996-07-19	VYBER	VYBER	7935	48143	\N	\N	\N
2242956	7401	1996-07-25	VYBER	VYBER	13709	34434	\N	\N	\N
2242957	7401	1996-05-31	VYBER	VYBER	8477	24873	\N	\N	\N
2242960	7401	1997-05-18	VYBER	VYBER	2736	53494	\N	\N	\N
2242961	7401	1997-08-27	VYBER	VYBER	5166	39022	\N	\N	\N
2242962	7401	1997-03-14	VYBER	VYBER	5524	45964	\N	\N	\N
2242963	7401	1998-08-13	VYBER	VYBER	4198	48940	\N	\N	\N
2242966	7401	1998-03-19	VYBER	VYBER	18119	23476	\N	\N	\N
2242967	7401	1998-11-19	VYBER	VYBER	3010	43204	\N	\N	\N
2242972	7401	1997-06-14	VYDAJ	VYBER	42000	27178	\N	\N	\N
2242976	7401	1995-01-22	VYDAJ	VYBER	5100	24265	\N	\N	\N
2242977	7401	1996-01-02	VYDAJ	VYBER	9900	27819	\N	\N	\N
2242979	7401	1998-01-20	VYDAJ	VYBER	11700	26113	\N	\N	\N
2242980	7401	1993-12-10	VYDAJ	VYBER	4200	21656	\N	\N	\N
2242981	7401	1994-12-07	VYDAJ	VYBER	3000	21748	\N	\N	\N
2242982	7401	1995-12-19	VYDAJ	VYBER	4500	40267	\N	\N	\N
2242983	7401	1996-12-21	VYDAJ	VYBER	3300	52349	\N	\N	\N
2242984	7401	1997-12-19	VYDAJ	VYBER	5700	49274	\N	\N	\N
2242985	7401	1998-12-02	VYDAJ	VYBER	1800	28039	\N	\N	\N
2242994	7401	1994-01-18	VYDAJ	VYBER	2400	33847	\N	\N	\N
2242995	7401	1994-01-19	VYDAJ	VYBER	6000	27847	\N	\N	\N
2242996	7401	1994-01-26	VYDAJ	VYBER	6600	20847	\N	\N	\N
2242997	7401	1994-01-12	VYDAJ	VYBER	2100	39619	\N	\N	\N
2242999	7401	1995-01-12	VYDAJ	VYBER	6300	40537	\N	\N	\N
2243000	7401	1995-01-13	VYDAJ	VYBER	7500	29665	\N	\N	\N
2243003	7401	1995-01-30	VYDAJ	VYBER	3000	21265	\N	\N	\N
2243008	7401	1996-01-12	VYDAJ	VYBER	7800	27489	\N	\N	\N
2243009	7401	1996-01-16	VYDAJ	VYBER	1800	25689	\N	\N	\N
2243010	7401	1997-01-12	VYDAJ	VYBER	1800	44410	\N	\N	\N
2243011	7401	1997-01-09	VYDAJ	VYBER	4800	25974	\N	\N	\N
2243012	7401	1997-01-01	VYDAJ	VYBER	8700	38440	\N	\N	\N
2243014	7401	1997-01-01	VYDAJ	VYBER	5400	47140	\N	\N	\N
2243017	7401	1998-01-10	VYDAJ	VYBER	4200	23877	\N	\N	\N
2243018	7401	1998-01-08	VYDAJ	VYBER	3900	28077	\N	\N	\N
2243020	7401	1998-01-18	VYDAJ	VYBER	3300	37813	\N	\N	\N
2243024	7401	1993-12-19	VYDAJ	VYBER	3000	49010	\N	\N	\N
2243026	7401	1993-09-26	VYDAJ	VYBER	10200	21054	\N	\N	\N
2243029	7401	1994-12-27	VYDAJ	VYBER	5700	33729	\N	\N	\N
2243030	7401	1994-06-21	VYDAJ	VYBER	6900	34036	\N	\N	\N
2243032	7401	1994-07-04	VYDAJ	VYBER	3600	26651	\N	\N	\N
2243033	7401	1994-05-25	VYDAJ	VYBER	8400	21095	\N	\N	\N
2243034	7401	1994-08-22	VYDAJ	VYBER	2400	33656	\N	\N	\N
2243035	7401	1994-11-17	VYDAJ	VYBER	8700	33887	\N	\N	\N
2243036	7401	1994-05-19	VYDAJ	VYBER	9300	34395	\N	\N	\N
2243037	7401	1995-02-23	VYDAJ	VYBER	2700	28969	\N	\N	\N
2243041	7401	1995-05-27	VYDAJ	VYBER	10500	23894	\N	\N	\N
2243042	7401	1996-11-15	VYDAJ	VYBER	4200	47389	\N	\N	\N
2243044	7401	1996-01-03	VYDAJ	VYBER	5700	22119	\N	\N	\N
2243045	7401	1996-12-13	VYDAJ	VYBER	4500	58149	\N	\N	\N
2243046	7401	1996-05-12	VYDAJ	VYBER	6900	36226	\N	\N	\N
2243048	7401	1997-01-12	VYDAJ	VYBER	13500	30910	\N	\N	\N
2243050	7401	1997-08-08	VYDAJ	VYBER	4500	28152	\N	\N	\N
2243052	7401	1997-02-06	VYDAJ	VYBER	3600	19558	\N	\N	\N
2243053	7401	1998-12-15	VYDAJ	VYBER	8700	42427	\N	\N	\N
2243054	7401	1998-11-21	VYDAJ	VYBER	6000	34504	\N	\N	\N
2243055	7401	1998-11-06	VYDAJ	VYBER	4500	28078	\N	\N	\N
2243056	7401	1998-12-17	VYDAJ	VYBER	3000	39427	\N	\N	\N
2243057	7401	1998-08-16	VYDAJ	VYBER	10200	38740	\N	\N	\N
2243058	7401	1998-11-16	VYDAJ	VYBER	2100	46214	\N	\N	\N
2243066	7401	1993-07-31	VYDAJ	VYBER	15	38868	SLUZBY	\N	\N
2243067	7401	1993-08-31	VYDAJ	VYBER	15	25884	SLUZBY	\N	\N
2243068	7401	1993-09-30	VYDAJ	VYBER	15	21165	SLUZBY	\N	\N
2243069	7401	1993-10-31	VYDAJ	VYBER	15	28423	SLUZBY	\N	\N
2243070	7401	1993-11-30	VYDAJ	VYBER	15	33122	SLUZBY	\N	\N
2243071	7401	1993-12-31	VYDAJ	VYBER	15	28749	SLUZBY	\N	\N
2243072	7401	1994-01-31	VYDAJ	VYBER	15	20951	SLUZBY	\N	\N
2243073	7401	1994-02-28	VYDAJ	VYBER	15	27146	SLUZBY	\N	\N
2243074	7401	1994-03-31	VYDAJ	VYBER	15	31961	SLUZBY	\N	\N
2243075	7401	1994-04-30	VYDAJ	VYBER	15	34098	SLUZBY	\N	\N
2243076	7401	1994-05-31	VYDAJ	VYBER	15	21221	SLUZBY	\N	\N
2243077	7401	1994-06-30	VYDAJ	VYBER	15	30251	SLUZBY	\N	\N
2243078	7401	1994-07-31	VYDAJ	VYBER	15	31859	SLUZBY	\N	\N
2243079	7401	1994-08-31	VYDAJ	VYBER	15	33788	SLUZBY	\N	\N
2243080	7401	1994-09-30	VYDAJ	VYBER	15	26673	SLUZBY	\N	\N
2243081	7401	1994-10-31	VYDAJ	VYBER	15	32989	SLUZBY	\N	\N
2243082	7401	1994-11-30	VYDAJ	VYBER	15	32014	SLUZBY	\N	\N
2243083	7401	1994-12-31	VYDAJ	VYBER	15	33867	SLUZBY	\N	\N
2243084	7401	1995-01-31	VYDAJ	VYBER	15	21372	SLUZBY	\N	\N
2243085	7401	1995-02-28	VYDAJ	VYBER	15	29069	SLUZBY	\N	\N
2243086	7401	1995-03-31	VYDAJ	VYBER	15	34590	SLUZBY	\N	\N
2243087	7401	1995-04-30	VYDAJ	VYBER	15	26897	SLUZBY	\N	\N
2243088	7401	1995-05-31	VYDAJ	VYBER	15	24006	SLUZBY	\N	\N
2243089	7401	1995-06-30	VYDAJ	VYBER	15	37581	SLUZBY	\N	\N
2243090	7401	1995-07-31	VYDAJ	VYBER	15	38928	SLUZBY	\N	\N
2243091	7401	1995-08-31	VYDAJ	VYBER	15	22262	SLUZBY	\N	\N
2243092	7401	1995-09-30	VYDAJ	VYBER	15	30359	SLUZBY	\N	\N
2243093	7401	1995-10-31	VYDAJ	VYBER	15	27832	SLUZBY	\N	\N
2243094	7401	1995-11-30	VYDAJ	VYBER	15	36052	SLUZBY	\N	\N
2243095	7401	1995-12-31	VYDAJ	VYBER	15	40419	SLUZBY	\N	\N
2243096	7401	1996-01-31	VYDAJ	VYBER	15	25777	SLUZBY	\N	\N
2243097	7401	1996-02-29	VYDAJ	VYBER	15	40867	SLUZBY	\N	\N
2243098	7401	1996-03-31	VYDAJ	VYBER	15	40185	SLUZBY	\N	\N
2243099	7401	1996-04-30	VYDAJ	VYBER	15	23456	SLUZBY	\N	\N
2243100	7401	1996-05-31	VYDAJ	VYBER	15	24859	SLUZBY	\N	\N
2243101	7401	1996-06-30	VYDAJ	VYBER	15	52208	SLUZBY	\N	\N
2243102	7401	1996-07-31	VYDAJ	VYBER	15	34615	SLUZBY	\N	\N
2243103	7401	1996-08-31	VYDAJ	VYBER	15	44032	SLUZBY	\N	\N
2243104	7401	1996-09-30	VYDAJ	VYBER	15	30504	SLUZBY	\N	\N
2243105	7401	1996-10-31	VYDAJ	VYBER	15	43719	SLUZBY	\N	\N
2243106	7401	1996-11-30	VYDAJ	VYBER	15	47561	SLUZBY	\N	\N
2243107	7401	1996-12-31	VYDAJ	VYBER	15	52540	SLUZBY	\N	\N
2243108	7401	1997-01-31	VYDAJ	VYBER	15	28224	SLUZBY	\N	\N
2243109	7401	1997-02-28	VYDAJ	VYBER	15	39918	SLUZBY	\N	\N
2243110	7401	1997-03-31	VYDAJ	VYBER	15	43121	SLUZBY	\N	\N
2243111	7401	1997-04-30	VYDAJ	VYBER	15	50360	SLUZBY	\N	\N
2243112	7401	1997-05-31	VYDAJ	VYBER	15	53690	SLUZBY	\N	\N
2243113	7401	1997-06-30	VYDAJ	VYBER	15	23906	SLUZBY	\N	\N
2243114	7401	1997-07-31	VYDAJ	VYBER	15	44518	SLUZBY	\N	\N
2243115	7401	1997-08-31	VYDAJ	VYBER	15	39172	SLUZBY	\N	\N
2243116	7401	1997-09-30	VYDAJ	VYBER	15	47506	SLUZBY	\N	\N
2243117	7401	1997-10-31	VYDAJ	VYBER	15	48346	SLUZBY	\N	\N
2243118	7401	1997-11-30	VYDAJ	VYBER	15	47986	SLUZBY	\N	\N
2243119	7401	1997-12-31	VYDAJ	VYBER	15	49443	SLUZBY	\N	\N
2243120	7401	1998-01-31	VYDAJ	VYBER	15	27535	SLUZBY	\N	\N
2243121	7401	1998-02-28	VYDAJ	VYBER	15	36625	SLUZBY	\N	\N
2243122	7401	1998-03-31	VYDAJ	VYBER	15	23579	SLUZBY	\N	\N
2243123	7401	1998-04-30	VYDAJ	VYBER	15	35150	SLUZBY	\N	\N
2243124	7401	1998-05-31	VYDAJ	VYBER	15	38451	SLUZBY	\N	\N
2243125	7401	1998-06-30	VYDAJ	VYBER	15	43915	SLUZBY	\N	\N
2243126	7401	1998-07-31	VYDAJ	VYBER	15	44068	SLUZBY	\N	\N
2243127	7401	1998-08-31	VYDAJ	VYBER	15	35790	SLUZBY	\N	\N
2243128	7401	1998-09-30	VYDAJ	VYBER	15	37812	SLUZBY	\N	\N
2243129	7401	1998-10-31	VYDAJ	VYBER	15	39844	SLUZBY	\N	\N
2243130	7401	1998-11-30	VYDAJ	VYBER	15	29839	SLUZBY	\N	\N
2243131	7401	1993-03-28	PRIJEM	VKLAD	3700	25036	\N	\N	\N
2243132	7401	1993-04-27	VYDAJ	VYBER	11000	34286	\N	\N	\N
2243133	7401	1993-05-27	VYDAJ	VYBER	17600	37031	\N	\N	\N
2243134	7401	1993-06-26	VYDAJ	VYBER	22400	45130	\N	\N	\N
2243135	7401	1993-07-26	VYDAJ	VYBER	10300	38681	\N	\N	\N
2243136	7401	1993-08-25	VYDAJ	VYBER	1000	25752	\N	\N	\N
2243137	7401	1993-09-24	VYDAJ	VYBER	4500	31254	\N	\N	\N
2243138	7401	1993-10-24	VYDAJ	VYBER	3000	28335	\N	\N	\N
2243139	7401	1993-11-23	VYDAJ	VYBER	5300	32993	\N	\N	\N
2243140	7401	1993-12-23	VYDAJ	VYBER	3100	28614	\N	\N	\N
2243141	7401	1994-01-22	VYDAJ	VYBER	400	27447	\N	\N	\N
2243142	7401	1994-02-21	VYDAJ	VYBER	3500	27048	\N	\N	\N
2243143	7401	1994-03-23	VYDAJ	VYBER	4900	31843	\N	\N	\N
2243144	7401	1994-04-22	VYDAJ	VYBER	7600	33959	\N	\N	\N
2243145	7401	1994-05-22	VYDAJ	VYBER	4900	29495	\N	\N	\N
2243146	7401	1994-06-21	VYDAJ	VYBER	3900	30136	\N	\N	\N
2243147	7401	1994-07-21	VYDAJ	VYBER	4500	31749	\N	\N	\N
2243148	7401	1994-08-20	VYDAJ	VYBER	5400	36056	\N	\N	\N
2243149	7401	1994-09-19	VYDAJ	VYBER	4800	38586	\N	\N	\N
2243150	7401	1994-10-19	VYDAJ	VYBER	3400	32870	\N	\N	\N
2243151	7401	1994-11-18	VYDAJ	VYBER	2000	31887	\N	\N	\N
2243152	7401	1994-12-18	VYDAJ	VYBER	9300	39429	\N	\N	\N
2243153	7401	1995-01-17	VYDAJ	VYBER	300	29365	\N	\N	\N
2243154	7401	1995-02-16	PRIJEM	VKLAD	700	31669	\N	\N	\N
2243155	7401	1995-03-18	VYDAJ	VYBER	4200	34466	\N	\N	\N
2243156	7401	1995-04-17	VYDAJ	VYBER	3600	40587	\N	\N	\N
2243157	7401	1995-05-17	VYDAJ	VYBER	2100	34394	\N	\N	\N
2243158	7401	1995-06-16	VYDAJ	VYBER	2600	41121	\N	\N	\N
2243159	7401	1995-07-16	VYDAJ	VYBER	8400	38779	\N	\N	\N
2243160	7401	1995-08-15	VYDAJ	VYBER	6900	41625	\N	\N	\N
2243161	7401	1995-09-14	VYDAJ	VYBER	1600	30260	\N	\N	\N
2243162	7401	1995-10-14	VYDAJ	VYBER	2900	37056	\N	\N	\N
2243163	7401	1995-11-13	VYDAJ	VYBER	1500	35929	\N	\N	\N
2243164	7401	1995-12-13	VYDAJ	VYBER	11000	44767	\N	\N	\N
2243165	7401	1996-01-12	PRIJEM	VKLAD	200	35289	\N	\N	\N
2243166	7401	1996-02-11	PRIJEM	VKLAD	5800	20511	\N	\N	\N
2243167	7401	1996-03-12	VYDAJ	VYBER	10400	40037	\N	\N	\N
2243168	7401	1996-04-11	VYDAJ	VYBER	3700	25819	\N	\N	\N
2243169	7401	1996-05-11	PRIJEM	VKLAD	6700	22890	\N	\N	\N
2243170	7401	1996-06-10	PRIJEM	VKLAD	7500	25093	\N	\N	\N
2243171	7401	1996-07-10	VYDAJ	VYBER	5400	39542	\N	\N	\N
2243172	7401	1996-08-09	VYDAJ	VYBER	300	23649	\N	\N	\N
2243173	7401	1996-09-08	VYDAJ	VYBER	2800	33966	\N	\N	\N
2243174	7401	1996-10-08	PRIJEM	VKLAD	3300	26538	\N	\N	\N
2243175	7401	1996-11-07	VYDAJ	VYBER	1900	34553	\N	\N	\N
2243176	7401	1996-12-07	VYDAJ	VYBER	8000	32295	\N	\N	\N
2243177	7401	1997-01-06	VYDAJ	VYBER	400	30774	\N	\N	\N
2243178	7401	1997-02-05	PRIJEM	VKLAD	6100	34324	\N	\N	\N
2243179	7401	1997-03-07	VYDAJ	VYBER	1400	31252	\N	\N	\N
2243180	7401	1997-04-06	VYDAJ	VYBER	1800	29955	\N	\N	\N
2243181	7401	1997-05-06	VYDAJ	VYBER	3600	39494	\N	\N	\N
2243182	7401	1997-06-05	VYDAJ	VYBER	7600	46090	\N	\N	\N
2243183	7401	1997-07-05	PRIJEM	VKLAD	10200	34106	\N	\N	\N
2243184	7401	1997-08-04	VYDAJ	VYBER	4600	39918	\N	\N	\N
2243185	7401	1997-09-03	VYDAJ	VYBER	900	38272	\N	\N	\N
2243186	7401	1997-10-03	VYDAJ	VYBER	9800	37706	\N	\N	\N
2243187	7401	1997-11-02	VYDAJ	VYBER	9900	38446	\N	\N	\N
2243188	7401	1997-12-02	VYDAJ	VYBER	12700	35286	\N	\N	\N
2243189	7401	1998-01-01	VYDAJ	VYBER	10200	39243	\N	\N	\N
2243190	7401	1998-01-31	PRIJEM	VKLAD	1300	27549	\N	\N	\N
2243191	7401	1998-03-02	VYDAJ	VYBER	4100	32525	\N	\N	\N
2243192	7401	1998-04-01	PRIJEM	VKLAD	1800	25379	\N	\N	\N
2243193	7401	1998-05-01	VYDAJ	VYBER	6800	28350	\N	\N	\N
2243194	7401	1998-05-31	VYDAJ	VYBER	6500	31951	\N	\N	\N
2243195	7401	1998-06-30	VYDAJ	VYBER	8000	43930	\N	\N	\N
2243196	7401	1998-07-30	VYDAJ	VYBER	9400	43885	\N	\N	\N
2243197	7401	1998-08-29	VYDAJ	VYBER	3100	35640	\N	\N	\N
2243198	7401	1998-09-28	VYDAJ	VYBER	7200	37660	\N	\N	\N
2243199	7401	1998-10-28	VYDAJ	VYBER	7900	39682	\N	\N	\N
2243200	7401	1998-11-27	VYDAJ	VYBER	4800	29704	\N	\N	\N
2246964	7418	1995-04-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2246968	7418	1995-04-10	PRIJEM	PREVOD Z UCTU	15139	16139	\N	OP	29053187
2246969	7418	1995-05-10	PRIJEM	PREVOD Z UCTU	15139	35817	\N	OP	29053187
2246970	7418	1995-06-10	PRIJEM	PREVOD Z UCTU	22708	55976	\N	OP	29053187
2246971	7418	1995-07-10	PRIJEM	PREVOD Z UCTU	15139	57985	\N	OP	29053187
2246972	7418	1995-08-10	PRIJEM	PREVOD Z UCTU	15139	55660	\N	OP	29053187
2246973	7418	1995-09-10	PRIJEM	PREVOD Z UCTU	15139	23462	\N	OP	29053187
2246974	7418	1995-10-10	PRIJEM	PREVOD Z UCTU	15139	40171	\N	OP	29053187
2246975	7418	1995-11-10	PRIJEM	PREVOD Z UCTU	15139	29585	\N	OP	29053187
2246976	7418	1995-12-10	PRIJEM	PREVOD Z UCTU	22708	37003	\N	OP	29053187
2246977	7418	1996-01-10	PRIJEM	PREVOD Z UCTU	15139	32810	\N	OP	29053187
2246978	7418	1996-02-10	PRIJEM	PREVOD Z UCTU	15139	26645	\N	OP	29053187
2246979	7418	1996-03-10	PRIJEM	PREVOD Z UCTU	15139	42007	\N	OP	29053187
2246980	7418	1996-04-10	PRIJEM	PREVOD Z UCTU	15139	43430	\N	OP	29053187
2246981	7418	1996-05-10	PRIJEM	PREVOD Z UCTU	15139	22153	\N	OP	29053187
2246982	7418	1996-06-10	PRIJEM	PREVOD Z UCTU	22708	24650	\N	OP	29053187
2246983	7418	1996-07-10	PRIJEM	PREVOD Z UCTU	15139	34595	\N	OP	29053187
2246984	7418	1996-08-10	PRIJEM	PREVOD Z UCTU	15139	24545	\N	OP	29053187
2246985	7418	1996-09-10	PRIJEM	PREVOD Z UCTU	15139	42197	\N	OP	29053187
2246986	7418	1996-10-10	PRIJEM	PREVOD Z UCTU	15139	36160	\N	OP	29053187
2246987	7418	1996-11-10	PRIJEM	PREVOD Z UCTU	15139	17856	\N	OP	29053187
2246988	7418	1996-12-10	PRIJEM	PREVOD Z UCTU	22708	38584	\N	OP	29053187
2246989	7418	1997-01-10	PRIJEM	PREVOD Z UCTU	15139	11654	\N	OP	29053187
2246990	7418	1997-02-10	PRIJEM	PREVOD Z UCTU	15139	22239	\N	OP	29053187
2246991	7418	1997-03-10	PRIJEM	PREVOD Z UCTU	15139	5296	\N	OP	29053187
2246992	7418	1997-04-10	PRIJEM	PREVOD Z UCTU	15139	19565	\N	OP	29053187
2246993	7418	1997-05-10	PRIJEM	PREVOD Z UCTU	15139	17385	\N	OP	29053187
2246994	7418	1997-06-10	PRIJEM	PREVOD Z UCTU	22708	28048	\N	OP	29053187
2246995	7418	1997-07-10	PRIJEM	PREVOD Z UCTU	15139	24676	\N	OP	29053187
2246996	7418	1997-08-10	PRIJEM	PREVOD Z UCTU	15139	6349	\N	OP	29053187
2246997	7418	1997-09-10	PRIJEM	PREVOD Z UCTU	15139	22806	\N	OP	29053187
2246998	7418	1997-10-10	PRIJEM	PREVOD Z UCTU	15139	17636	\N	OP	29053187
2246999	7418	1997-11-10	PRIJEM	PREVOD Z UCTU	15139	19935	\N	OP	29053187
2247000	7418	1997-12-10	PRIJEM	PREVOD Z UCTU	22708	23406	\N	OP	29053187
2247001	7418	1998-01-10	PRIJEM	PREVOD Z UCTU	15139	2934	\N	OP	29053187
2247002	7418	1998-02-10	PRIJEM	PREVOD Z UCTU	15139	17973	\N	OP	29053187
2247003	7418	1998-03-10	PRIJEM	PREVOD Z UCTU	15139	17899	\N	OP	29053187
2247004	7418	1998-04-10	PRIJEM	PREVOD Z UCTU	15139	17940	\N	OP	29053187
2247005	7418	1998-05-10	PRIJEM	PREVOD Z UCTU	15139	22091	\N	OP	29053187
2247006	7418	1998-06-10	PRIJEM	PREVOD Z UCTU	22708	16243	\N	OP	29053187
2247007	7418	1998-07-10	PRIJEM	PREVOD Z UCTU	15139	24406	\N	OP	29053187
2247008	7418	1998-08-10	PRIJEM	PREVOD Z UCTU	15139	24443	\N	OP	29053187
2247009	7418	1998-09-10	PRIJEM	PREVOD Z UCTU	15139	31352	\N	OP	29053187
2247010	7418	1998-10-10	PRIJEM	PREVOD Z UCTU	15139	28117	\N	OP	29053187
2247011	7418	1998-11-10	PRIJEM	PREVOD Z UCTU	15139	33402	\N	OP	29053187
2247012	7418	1998-12-10	PRIJEM	PREVOD Z UCTU	22708	36882	\N	OP	29053187
2247020	7418	1995-08-05	VYDAJ	VYBER	2900	55721	\N	\N	0
2247021	7418	1995-09-12	VYDAJ	VYBER	2900	20562	\N	\N	0
2247022	7418	1995-10-13	VYDAJ	VYBER	2300	37871	\N	\N	0
2247023	7418	1995-11-04	VYDAJ	VYBER	2800	30146	\N	\N	0
2247024	7418	1995-12-02	VYDAJ	VYBER	1900	27995	\N	\N	0
2247025	7418	1996-01-14	VYDAJ	VYBER	2200	23710	\N	\N	0
2247026	7418	1996-02-15	VYDAJ	VYBER	2600	24045	\N	\N	0
2247027	7418	1996-03-14	VYDAJ	VYBER	2300	27307	\N	\N	0
2247028	7418	1996-04-08	VYDAJ	VYBER	1900	28291	\N	\N	0
2247029	7418	1996-05-12	VYDAJ	PREVOD NA UCET	2523	19630	UVER	QR	14132368
2247030	7418	1996-06-12	VYDAJ	PREVOD NA UCET	2523	22127	UVER	QR	14132368
2247031	7418	1996-07-12	VYDAJ	PREVOD NA UCET	2523	18371	UVER	QR	14132368
2247032	7418	1996-08-12	VYDAJ	PREVOD NA UCET	2523	22022	UVER	QR	14132368
2247033	7418	1996-09-12	VYDAJ	PREVOD NA UCET	2523	22474	UVER	QR	14132368
2247034	7418	1996-10-12	VYDAJ	PREVOD NA UCET	2523	33637	UVER	QR	14132368
2247035	7418	1996-11-12	VYDAJ	PREVOD NA UCET	2523	15333	UVER	QR	14132368
2247036	7418	1996-12-12	VYDAJ	PREVOD NA UCET	2523	33361	UVER	QR	14132368
2247037	7418	1997-01-12	VYDAJ	VYBER	2500	9154	\N	\N	0
2247038	7418	1997-02-12	VYDAJ	VYBER	2500	19739	\N	\N	0
2247039	7418	1997-03-12	VYDAJ	VYBER	2500	2796	\N	\N	0
2247040	7418	1997-04-12	VYDAJ	VYBER	2500	17065	\N	\N	0
2247041	7418	1997-05-11	VYDAJ	VYBER	2900	14485	\N	\N	0
2247042	7418	1997-06-04	VYDAJ	VYBER	2000	5340	\N	\N	0
2247043	7418	1997-07-12	VYDAJ	VYBER	2300	22376	\N	\N	0
2247044	7418	1997-08-12	VYDAJ	VYBER	1900	4449	\N	\N	0
2247045	7418	1997-09-17	VYDAJ	VYBER	3000	2506	\N	\N	0
2247046	7418	1997-10-10	VYDAJ	VYBER	2200	15436	\N	\N	0
2247047	7418	1997-11-14	VYDAJ	VYBER	3100	16835	\N	\N	0
2247048	7418	1997-12-15	VYDAJ	VYBER	2500	18806	\N	\N	0
2247049	7418	1998-01-02	VYDAJ	VYBER	2500	-12205	\N	\N	0
2247050	7418	1998-02-18	VYDAJ	VYBER	2600	15373	\N	\N	0
2247051	7418	1998-03-17	VYDAJ	VYBER	2100	15799	\N	\N	0
2247052	7418	1998-04-21	VYDAJ	VYBER	2300	15640	\N	\N	0
2247053	7418	1998-05-21	VYDAJ	VYBER	1900	8391	\N	\N	0
2247054	7418	1998-06-02	VYDAJ	VYBER	2400	6035	\N	\N	0
2247055	7418	1998-07-05	VYDAJ	VYBER	2600	9267	\N	\N	0
2247056	7418	1998-08-06	VYDAJ	VYBER	2500	9304	\N	\N	0
2247057	7418	1998-09-04	VYDAJ	VYBER	2200	16213	\N	\N	0
2247058	7418	1998-10-15	VYDAJ	VYBER	2500	25617	\N	\N	0
2247059	7418	1998-11-06	VYDAJ	VYBER	2700	18263	\N	\N	0
2247060	7418	1998-12-10	VYDAJ	VYBER	2600	34282	\N	\N	0
2247069	7418	1995-09-09	VYDAJ	VYBER	11600	8323	SIPO	\N	0
2247070	7418	1995-10-15	VYDAJ	VYBER	11700	26171	SIPO	\N	0
2247071	7418	1995-11-08	VYDAJ	VYBER	15700	14446	SIPO	\N	0
2247072	7418	1995-12-07	VYDAJ	VYBER	16300	14295	SIPO	\N	0
2247073	7418	1996-01-09	VYDAJ	VYBER	18000	17671	SIPO	\N	0
2247074	7418	1996-02-03	VYDAJ	VYBER	15000	11506	SIPO	\N	0
2247075	7418	1996-03-14	VYDAJ	VYBER	12400	29607	SIPO	\N	0
2247076	7418	1996-04-11	VYDAJ	VYBER	18500	24930	SIPO	\N	0
2247077	7418	1996-05-09	VYDAJ	VYBER	17500	7014	SIPO	\N	0
2247078	7418	1996-06-05	VYDAJ	VYBER	18300	1942	SIPO	\N	0
2247079	7418	1996-07-12	VYDAJ	VYBER	13700	20895	SIPO	\N	0
2247080	7418	1996-08-02	VYDAJ	VYBER	15000	9406	SIPO	\N	0
2247081	7418	1996-09-12	VYDAJ	VYBER	17200	24997	SIPO	\N	0
2247082	7418	1996-10-14	VYDAJ	VYBER	17800	15837	SIPO	\N	0
2247083	7418	1996-11-02	VYDAJ	VYBER	14200	2717	SIPO	\N	0
2247084	7418	1996-12-14	VYDAJ	VYBER	17800	15561	SIPO	\N	0
2247085	7418	1997-01-09	VYDAJ	VYBER	15400	-3485	SIPO	\N	0
2247086	7418	1997-02-16	VYDAJ	VYBER	13000	6739	SIPO	\N	0
2247087	7418	1997-02-27	VYDAJ	VYBER	16600	-9861	SIPO	\N	0
2247088	7418	1997-04-14	VYDAJ	VYBER	14800	2265	SIPO	\N	0
2247090	7418	1997-06-11	VYDAJ	VYBER	12700	15348	SIPO	\N	0
2247091	7418	1997-07-12	VYDAJ	VYBER	17900	4476	SIPO	\N	0
2247092	7418	1997-07-30	VYDAJ	VYBER	13300	-8824	SIPO	\N	0
2247093	7418	1997-09-14	VYDAJ	VYBER	17300	5506	SIPO	\N	0
2247095	7418	1997-11-14	VYDAJ	VYBER	16100	735	SIPO	\N	0
2247097	7418	1997-12-30	VYDAJ	VYBER	12500	-9694	SIPO	\N	0
2247101	7418	1998-05-13	VYDAJ	VYBER	11800	10291	SIPO	\N	0
2247102	7418	1998-06-04	VYDAJ	VYBER	12500	-6465	SIPO	\N	0
2247103	7418	1998-07-13	VYDAJ	VYBER	12700	11706	SIPO	\N	0
2247105	7418	1998-09-11	VYDAJ	VYBER	14100	17252	SIPO	\N	0
2247107	7418	1998-11-13	VYDAJ	VYBER	16700	16702	SIPO	\N	0
2247108	7418	1998-12-17	VYDAJ	VYBER	11100	23182	SIPO	\N	0
2247119	7418	1995-08-23	VYBER	VYBER	11765	43895	\N	\N	\N
2247122	7418	1995-09-06	VYBER	VYBER	16543	19923	\N	\N	\N
2247132	7418	1996-06-28	VYBER	VYBER	3886	18241	\N	\N	\N
2247147	7418	1995-12-19	VYDAJ	VYBER	2700	34303	\N	\N	\N
2247148	7418	1996-12-11	VYDAJ	VYBER	2700	35884	\N	\N	\N
2247149	7418	1997-12-14	VYDAJ	VYBER	2100	21306	\N	\N	\N
2247157	7418	1996-01-12	VYDAJ	VYBER	2100	25910	\N	\N	\N
2247159	7418	1996-01-10	VYDAJ	VYBER	4800	28010	\N	\N	\N
2247163	7418	1997-01-08	VYDAJ	VYBER	1500	11915	\N	\N	\N
2247204	7418	1995-08-31	VYDAJ	VYBER	15	44466	SLUZBY	\N	\N
2247205	7418	1995-09-30	VYDAJ	VYBER	15	20832	SLUZBY	\N	\N
2247206	7418	1995-10-31	VYDAJ	VYBER	15	26446	SLUZBY	\N	\N
2247207	7418	1995-11-30	VYDAJ	VYBER	15	29895	SLUZBY	\N	\N
2247208	7418	1995-12-31	VYDAJ	VYBER	15	34671	SLUZBY	\N	\N
2247209	7418	1996-01-31	VYDAJ	VYBER	15	24006	SLUZBY	\N	\N
2247210	7418	1996-02-29	VYDAJ	VYBER	15	24268	SLUZBY	\N	\N
2247211	7418	1996-03-31	VYDAJ	VYBER	15	27591	SLUZBY	\N	\N
2247212	7418	1996-04-30	VYDAJ	VYBER	15	25214	SLUZBY	\N	\N
2247213	7418	1996-05-31	VYDAJ	VYBER	15	20242	SLUZBY	\N	\N
2247214	7418	1996-06-30	VYDAJ	VYBER	15	19456	SLUZBY	\N	\N
2247215	7418	1996-07-31	VYDAJ	VYBER	15	24406	SLUZBY	\N	\N
2247216	7418	1996-08-31	VYDAJ	VYBER	15	27058	SLUZBY	\N	\N
2247217	7418	1996-09-30	VYDAJ	VYBER	15	21021	SLUZBY	\N	\N
2247218	7418	1996-10-31	VYDAJ	VYBER	15	16917	SLUZBY	\N	\N
2247219	7418	1996-11-30	VYDAJ	VYBER	15	15876	SLUZBY	\N	\N
2247220	7418	1996-12-31	VYDAJ	VYBER	15	13415	SLUZBY	\N	\N
2247221	7418	1997-01-31	VYDAJ	VYBER	15	7102	SLUZBY	\N	\N
2247222	7418	1997-02-28	VYDAJ	VYBER	15	-9843	SLUZBY	\N	\N
2247223	7418	1997-03-31	VYDAJ	VYBER	15	4469	SLUZBY	\N	\N
2247224	7418	1997-04-30	VYDAJ	VYBER	15	2266	SLUZBY	\N	\N
2247225	7418	1997-05-31	VYDAJ	VYBER	15	7340	SLUZBY	\N	\N
2247226	7418	1997-06-30	VYDAJ	VYBER	15	9537	SLUZBY	\N	\N
2247227	7418	1997-07-31	VYDAJ	VYBER	15	-8783	SLUZBY	\N	\N
2247228	7418	1997-08-31	VYDAJ	VYBER	15	7667	SLUZBY	\N	\N
2247229	7418	1997-09-30	VYDAJ	VYBER	15	2510	SLUZBY	\N	\N
2247230	7418	1997-10-31	VYDAJ	VYBER	15	4796	SLUZBY	\N	\N
2247231	7418	1997-11-30	VYDAJ	VYBER	15	726	SLUZBY	\N	\N
2247232	7418	1997-12-31	VYDAJ	VYBER	15	-9690	SLUZBY	\N	\N
2247233	7418	1998-01-31	VYDAJ	VYBER	15	2921	SLUZBY	\N	\N
2247234	7418	1998-02-28	VYDAJ	VYBER	15	2771	SLUZBY	\N	\N
2247235	7418	1998-03-31	VYDAJ	VYBER	15	2811	SLUZBY	\N	\N
2247236	7418	1998-04-30	VYDAJ	VYBER	15	6952	SLUZBY	\N	\N
2247237	7418	1998-05-31	VYDAJ	VYBER	15	8435	SLUZBY	\N	\N
2247238	7418	1998-06-30	VYDAJ	VYBER	15	11867	SLUZBY	\N	\N
2247239	7418	1998-07-31	VYDAJ	VYBER	15	11804	SLUZBY	\N	\N
2247240	7418	1998-08-31	VYDAJ	VYBER	15	18413	SLUZBY	\N	\N
2247241	7418	1998-09-30	VYDAJ	VYBER	15	12978	SLUZBY	\N	\N
2247242	7418	1998-10-31	VYDAJ	VYBER	15	20963	SLUZBY	\N	\N
2247243	7418	1998-11-30	VYDAJ	VYBER	15	14174	SLUZBY	\N	\N
2247244	7418	1995-05-07	PRIJEM	VKLAD	4400	20678	\N	\N	\N
2247245	7418	1995-06-06	VYDAJ	VYBER	2900	33268	\N	\N	\N
2247246	7418	1995-07-06	VYDAJ	VYBER	13700	42846	\N	\N	\N
2247247	7418	1995-08-05	VYDAJ	VYBER	15200	40521	\N	\N	\N
2247248	7418	1995-09-04	VYDAJ	VYBER	8000	36466	\N	\N	\N
2247249	7418	1995-10-04	PRIJEM	VKLAD	4200	25032	\N	\N	\N
2247250	7418	1995-11-03	PRIJEM	VKLAD	6500	32946	\N	\N	\N
2247251	7418	1995-12-03	PRIJEM	VKLAD	2600	30595	\N	\N	\N
2247252	7418	1996-01-02	PRIJEM	VKLAD	1000	35671	\N	\N	\N
2247253	7418	1996-02-01	PRIJEM	VKLAD	2500	26506	\N	\N	\N
2247254	7418	1996-03-02	PRIJEM	VKLAD	2600	26868	\N	\N	\N
2247255	7418	1996-04-01	PRIJEM	VKLAD	2600	30191	\N	\N	\N
2247256	7418	1996-05-01	VYDAJ	VYBER	700	24514	\N	\N	\N
2247257	7418	1996-05-31	PRIJEM	VKLAD	400	20257	\N	\N	\N
2247258	7418	1996-06-30	PRIJEM	VKLAD	1000	19241	\N	\N	\N
2247259	7418	1996-07-30	PRIJEM	VKLAD	5800	24171	\N	\N	\N
2247260	7418	1996-08-29	PRIJEM	VKLAD	4800	26822	\N	\N	\N
2247261	7418	1996-09-28	VYDAJ	VYBER	1700	20774	\N	\N	\N
2247262	7418	1996-10-28	PRIJEM	VKLAD	900	16737	\N	\N	\N
2247263	7418	1996-11-27	PRIJEM	VKLAD	400	15733	\N	\N	\N
2247264	7418	1996-12-27	VYDAJ	VYBER	2300	13261	\N	\N	\N
2247265	7418	1997-01-26	VYDAJ	VYBER	2100	7054	\N	\N	\N
2247266	7418	1997-03-27	PRIJEM	VKLAD	1800	4596	\N	\N	\N
2247267	7418	1997-05-26	VYDAJ	VYBER	7200	7285	\N	\N	\N
2247268	7418	1997-06-25	VYDAJ	VYBER	5900	9448	\N	\N	\N
2247269	7418	1997-08-24	PRIJEM	VKLAD	3300	7749	\N	\N	\N
2247270	7418	1997-10-23	VYDAJ	VYBER	10700	4736	\N	\N	\N
2247271	7418	1997-12-22	VYDAJ	VYBER	16000	2806	\N	\N	\N
2247272	7418	1998-02-20	VYDAJ	VYBER	12600	2773	\N	\N	\N
2247273	7418	1998-03-22	VYDAJ	VYBER	13000	2799	\N	\N	\N
2247274	7418	1998-04-21	VYDAJ	VYBER	8700	6940	\N	\N	\N
2247275	7418	1998-06-20	VYDAJ	VYBER	4400	11843	\N	\N	\N
2247276	7418	1998-08-19	VYDAJ	VYBER	6200	18243	\N	\N	\N
2247277	7418	1998-09-18	VYDAJ	VYBER	4400	12852	\N	\N	\N
2247278	7418	1998-10-18	VYDAJ	VYBER	4800	20817	\N	\N	\N
2247279	7418	1998-11-17	VYDAJ	VYBER	2700	14002	\N	\N	\N
2247280	7418	1998-12-17	VYDAJ	VYBER	6600	16582	\N	\N	\N
2248579	7424	1996-07-28	PRIJEM	VKLAD	900	900	\N	\N	\N
2248584	7424	1996-09-03	PRIJEM	VKLAD	13067	29767	\N	\N	\N
2248585	7424	1996-11-10	PRIJEM	VKLAD	19946	86030	\N	\N	\N
2248586	7424	1996-12-16	PRIJEM	VKLAD	48955	102065	\N	\N	\N
2248588	7424	1996-11-07	PRIJEM	VKLAD	48119	113148	\N	\N	\N
2248590	7424	1996-11-29	PRIJEM	VKLAD	29361	67575	\N	\N	\N
2248592	7424	1996-09-06	PRIJEM	VKLAD	41759	113580	\N	\N	\N
2248596	7424	1996-10-03	PRIJEM	VKLAD	22573	80615	\N	\N	\N
2248597	7424	1996-12-10	PRIJEM	VKLAD	25125	75957	\N	\N	\N
2248598	7424	1996-12-09	PRIJEM	VKLAD	47179	113732	\N	\N	\N
2248600	7424	1996-11-15	PRIJEM	VKLAD	31101	110314	\N	\N	\N
2248601	7424	1996-11-06	PRIJEM	VKLAD	29145	116439	\N	\N	\N
2248602	7424	1996-09-25	PRIJEM	VKLAD	13794	91374	\N	\N	\N
2248605	7424	1996-09-05	PRIJEM	VKLAD	42054	71821	\N	\N	\N
2248607	7424	1996-10-28	PRIJEM	VKLAD	40895	87019	\N	\N	\N
2248609	7424	1997-04-07	PRIJEM	VKLAD	39433	112858	\N	\N	\N
2248610	7424	1997-05-09	PRIJEM	VKLAD	8802	59242	\N	\N	\N
2248611	7424	1997-05-03	PRIJEM	VKLAD	18951	54414	\N	\N	\N
2248612	7424	1997-06-09	PRIJEM	VKLAD	5271	70783	\N	\N	\N
2248613	7424	1997-02-06	PRIJEM	VKLAD	39485	82186	\N	\N	\N
2248614	7424	1997-05-28	PRIJEM	VKLAD	30931	85410	\N	\N	\N
2248615	7424	1997-10-23	PRIJEM	VKLAD	8094	60963	\N	\N	\N
2248616	7424	1997-09-17	PRIJEM	VKLAD	42433	83139	\N	\N	\N
2248617	7424	1997-09-01	PRIJEM	VKLAD	12761	50897	\N	\N	\N
2248618	7424	1997-04-05	PRIJEM	VKLAD	49734	74535	\N	\N	\N
2248619	7424	1997-11-20	PRIJEM	VKLAD	36216	115856	\N	\N	\N
2248620	7424	1997-02-02	PRIJEM	VKLAD	15549	42701	\N	\N	\N
2248621	7424	1997-01-11	PRIJEM	VKLAD	41021	88595	\N	\N	\N
2248622	7424	1997-05-10	PRIJEM	VKLAD	36054	95296	\N	\N	\N
2248623	7424	1997-07-26	PRIJEM	VKLAD	20895	47533	\N	\N	\N
2248624	7424	1997-07-06	PRIJEM	VKLAD	37842	69029	\N	\N	\N
2248625	7424	1997-09-27	PRIJEM	VKLAD	18292	67831	\N	\N	\N
2248626	7424	1997-10-11	PRIJEM	VKLAD	26124	86069	\N	\N	\N
2248627	7424	1997-08-09	PRIJEM	VKLAD	18228	62567	\N	\N	\N
2248628	7424	1997-10-29	PRIJEM	VKLAD	29180	90143	\N	\N	\N
2248629	7424	1998-02-02	PRIJEM	VKLAD	22281	51632	\N	\N	\N
2248630	7424	1998-05-04	PRIJEM	VKLAD	39037	83451	\N	\N	\N
2248631	7424	1998-01-29	PRIJEM	VKLAD	6293	35314	\N	\N	\N
2248632	7424	1998-08-09	PRIJEM	VKLAD	17165	68040	\N	\N	\N
2248633	7424	1998-10-06	PRIJEM	VKLAD	7578	26694	\N	\N	\N
2248634	7424	1998-05-25	PRIJEM	VKLAD	11875	65541	\N	\N	\N
2248635	7424	1998-06-25	PRIJEM	VKLAD	33290	53354	\N	\N	\N
2248636	7424	1998-05-09	PRIJEM	VKLAD	48185	130362	\N	\N	\N
2248637	7424	1998-08-27	PRIJEM	VKLAD	44221	67421	\N	\N	\N
2248638	7424	1998-12-09	PRIJEM	VKLAD	48853	89669	\N	\N	\N
2248639	7424	1998-01-27	PRIJEM	VKLAD	25817	30821	\N	\N	\N
2248640	7424	1998-10-29	PRIJEM	VKLAD	23516	39596	\N	\N	\N
2248641	7424	1998-05-20	PRIJEM	VKLAD	25444	53666	\N	\N	\N
2248642	7424	1998-07-14	PRIJEM	VKLAD	44083	105001	\N	\N	\N
2248643	7424	1998-11-18	PRIJEM	VKLAD	20900	44851	\N	\N	\N
2248644	7424	1998-04-26	PRIJEM	VKLAD	6373	44362	\N	\N	\N
2248645	7424	1998-07-07	PRIJEM	VKLAD	25185	77622	\N	\N	\N
2248646	7424	1998-04-25	PRIJEM	VKLAD	33007	37989	\N	\N	\N
2248656	7424	1996-10-06	VYDAJ	VYBER	2600	76905	\N	\N	0
2248657	7424	1996-11-16	VYDAJ	VYBER	2500	45014	\N	\N	0
2248658	7424	1996-12-17	VYDAJ	VYBER	2500	99565	\N	\N	0
2248659	7424	1997-01-06	VYDAJ	VYBER	2200	54555	\N	\N	0
2248660	7424	1997-02-18	VYDAJ	VYBER	2700	71395	\N	\N	0
2248661	7424	1997-03-02	VYDAJ	VYBER	2000	34387	\N	\N	0
2248662	7424	1997-04-15	VYDAJ	VYBER	3000	62536	\N	\N	0
2248663	7424	1997-05-08	VYDAJ	VYBER	2700	50440	\N	\N	0
2248664	7424	1997-06-17	VYDAJ	VYBER	2800	61166	\N	\N	0
2248665	7424	1997-07-19	VYDAJ	VYBER	2100	48638	\N	\N	0
2248666	7424	1997-08-08	VYDAJ	VYBER	2100	44503	\N	\N	0
2248667	7424	1997-09-05	VYDAJ	VYBER	2100	48797	\N	\N	0
2248668	7424	1997-10-13	VYDAJ	VYBER	2500	83569	\N	\N	0
2248669	7424	1997-11-10	VYDAJ	VYBER	2700	79640	\N	\N	0
2248670	7424	1997-12-12	VYDAJ	PREVOD NA UCET	2523	18343	UVER	YZ	1301700
2248671	7424	1998-01-12	VYDAJ	PREVOD NA UCET	2523	5004	UVER	YZ	1301700
2248672	7424	1998-02-12	VYDAJ	PREVOD NA UCET	2523	41018	UVER	YZ	1301700
2248673	7424	1998-03-12	VYDAJ	PREVOD NA UCET	2523	15533	UVER	YZ	1301700
2248674	7424	1998-04-12	VYDAJ	PREVOD NA UCET	2523	4982	UVER	YZ	1301700
2248675	7424	1998-05-12	VYDAJ	PREVOD NA UCET	2523	57722	UVER	YZ	1301700
2248676	7424	1998-06-12	VYDAJ	PREVOD NA UCET	2523	55164	UVER	YZ	1301700
2248677	7424	1998-07-12	VYDAJ	PREVOD NA UCET	2523	60918	UVER	YZ	1301700
2248678	7424	1998-08-12	VYDAJ	PREVOD NA UCET	2523	58700	UVER	YZ	1301700
2248679	7424	1998-09-12	VYDAJ	PREVOD NA UCET	2523	45276	UVER	YZ	1301700
2248680	7424	1998-10-12	VYDAJ	PREVOD NA UCET	2523	16080	UVER	YZ	1301700
2248681	7424	1998-11-12	VYDAJ	PREVOD NA UCET	2523	23951	UVER	YZ	1301700
2248682	7424	1998-12-03	VYDAJ	VYBER	2900	42090	\N	\N	0
2248692	7424	1996-10-10	VYDAJ	PREVOD NA UCET	6817	69924	SIPO	IJ	4896235
2248693	7424	1996-11-10	VYDAJ	PREVOD NA UCET	6817	79213	SIPO	IJ	4896235
2248694	7424	1996-12-10	VYDAJ	PREVOD NA UCET	6817	69140	SIPO	IJ	4896235
2248695	7424	1997-01-10	VYDAJ	PREVOD NA UCET	6817	47574	SIPO	IJ	4896235
2248696	7424	1997-02-10	VYDAJ	PREVOD NA UCET	6817	74095	SIPO	IJ	4896235
2248697	7424	1997-03-10	VYDAJ	PREVOD NA UCET	6817	26296	SIPO	IJ	4896235
2248698	7424	1997-04-10	VYDAJ	PREVOD NA UCET	6817	78677	SIPO	IJ	4896235
2248699	7424	1997-05-10	VYDAJ	PREVOD NA UCET	6817	88479	SIPO	IJ	4896235
2248700	7424	1997-06-10	VYDAJ	PREVOD NA UCET	6817	63966	SIPO	IJ	4896235
2248701	7424	1997-07-10	VYDAJ	PREVOD NA UCET	6817	50738	SIPO	IJ	4896235
2248702	7424	1997-08-10	VYDAJ	PREVOD NA UCET	6817	55750	SIPO	IJ	4896235
2248703	7424	1997-09-10	VYDAJ	PREVOD NA UCET	6817	40706	SIPO	IJ	4896235
2248704	7424	1997-10-10	VYDAJ	PREVOD NA UCET	6817	59945	SIPO	IJ	4896235
2248705	7424	1997-11-10	VYDAJ	PREVOD NA UCET	6817	82340	SIPO	IJ	4896235
2248706	7424	1997-12-10	VYDAJ	PREVOD NA UCET	6817	20866	SIPO	IJ	4896235
2248707	7424	1998-01-10	VYDAJ	PREVOD NA UCET	6817	7527	SIPO	IJ	4896235
2248708	7424	1998-02-10	VYDAJ	PREVOD NA UCET	6817	43541	SIPO	IJ	4896235
2248709	7424	1998-03-10	VYDAJ	PREVOD NA UCET	6817	18056	SIPO	IJ	4896235
2248710	7424	1998-04-10	VYDAJ	PREVOD NA UCET	6817	7505	SIPO	IJ	4896235
2248711	7424	1998-05-10	VYDAJ	PREVOD NA UCET	6817	60245	SIPO	IJ	4896235
2248712	7424	1998-06-10	VYDAJ	PREVOD NA UCET	6817	57687	SIPO	IJ	4896235
2248713	7424	1998-07-10	VYDAJ	PREVOD NA UCET	6817	70641	SIPO	IJ	4896235
2248714	7424	1998-08-10	VYDAJ	PREVOD NA UCET	6817	61223	SIPO	IJ	4896235
2248715	7424	1998-09-10	VYDAJ	PREVOD NA UCET	6817	47799	SIPO	IJ	4896235
2248716	7424	1998-10-10	VYDAJ	PREVOD NA UCET	6817	18603	SIPO	IJ	4896235
2248717	7424	1998-11-10	VYDAJ	PREVOD NA UCET	6817	26474	SIPO	IJ	4896235
2248718	7424	1998-12-10	VYDAJ	PREVOD NA UCET	6817	82852	SIPO	IJ	4896235
2248728	7424	1996-10-06	VYDAJ	PREVOD NA UCET	1110	79505	 	AB	79838293
2248729	7424	1996-11-06	VYDAJ	PREVOD NA UCET	1110	65029	 	AB	79838293
2248730	7424	1996-12-06	VYDAJ	PREVOD NA UCET	1110	66717	 	AB	79838293
2248731	7424	1997-01-06	VYDAJ	PREVOD NA UCET	1110	56755	 	AB	79838293
2248732	7424	1997-02-06	VYDAJ	PREVOD NA UCET	1110	81076	 	AB	79838293
2248733	7424	1997-03-06	VYDAJ	PREVOD NA UCET	1110	33277	 	AB	79838293
2248734	7424	1997-04-06	VYDAJ	PREVOD NA UCET	1110	73425	 	AB	79838293
2248735	7424	1997-05-06	VYDAJ	PREVOD NA UCET	1110	53304	 	AB	79838293
2248736	7424	1997-06-06	VYDAJ	PREVOD NA UCET	1110	73176	 	AB	79838293
2248737	7424	1997-07-06	VYDAJ	PREVOD NA UCET	1110	67919	 	AB	79838293
2248738	7424	1997-08-06	VYDAJ	PREVOD NA UCET	1110	46603	 	AB	79838293
2248739	7424	1997-09-06	VYDAJ	PREVOD NA UCET	1110	47687	 	AB	79838293
2248740	7424	1997-10-06	VYDAJ	PREVOD NA UCET	1110	66926	 	AB	79838293
2248741	7424	1997-11-06	VYDAJ	PREVOD NA UCET	1110	89321	 	AB	79838293
2248742	7424	1997-12-06	VYDAJ	PREVOD NA UCET	1110	27847	 	AB	79838293
2248743	7424	1998-01-06	VYDAJ	PREVOD NA UCET	1110	14508	 	AB	79838293
2248744	7424	1998-02-06	VYDAJ	PREVOD NA UCET	1110	50522	 	AB	79838293
2248745	7424	1998-03-06	VYDAJ	PREVOD NA UCET	1110	25037	 	AB	79838293
2248746	7424	1998-04-06	VYDAJ	PREVOD NA UCET	1110	14486	 	AB	79838293
2248747	7424	1998-05-06	VYDAJ	PREVOD NA UCET	1110	82341	 	AB	79838293
2248748	7424	1998-06-06	VYDAJ	PREVOD NA UCET	1110	64668	 	AB	79838293
2248749	7424	1998-07-06	VYDAJ	PREVOD NA UCET	1110	52437	 	AB	79838293
2248750	7424	1998-08-06	VYDAJ	PREVOD NA UCET	1110	51039	 	AB	79838293
2248751	7424	1998-09-06	VYDAJ	PREVOD NA UCET	1110	54780	 	AB	79838293
2248752	7424	1998-10-06	VYDAJ	PREVOD NA UCET	1110	25584	 	AB	79838293
2248753	7424	1998-11-06	VYDAJ	PREVOD NA UCET	1110	33455	 	AB	79838293
2248754	7424	1998-12-06	VYDAJ	PREVOD NA UCET	1110	40980	 	AB	79838293
2248764	7424	1996-10-08	VYDAJ	PREVOD NA UCET	164	76741	POJISTNE	WX	52864879
2248765	7424	1996-11-08	VYDAJ	PREVOD NA UCET	164	66084	POJISTNE	WX	52864879
2248766	7424	1996-12-08	VYDAJ	PREVOD NA UCET	164	66553	POJISTNE	WX	52864879
2248767	7424	1997-01-08	VYDAJ	PREVOD NA UCET	164	54391	POJISTNE	WX	52864879
2248768	7424	1997-02-08	VYDAJ	PREVOD NA UCET	164	80912	POJISTNE	WX	52864879
2248769	7424	1997-03-08	VYDAJ	PREVOD NA UCET	164	33113	POJISTNE	WX	52864879
2248770	7424	1997-04-08	VYDAJ	PREVOD NA UCET	164	85494	POJISTNE	WX	52864879
2248771	7424	1997-05-08	VYDAJ	PREVOD NA UCET	164	53140	POJISTNE	WX	52864879
2248772	7424	1997-06-08	VYDAJ	PREVOD NA UCET	164	65512	POJISTNE	WX	52864879
2248773	7424	1997-07-08	VYDAJ	PREVOD NA UCET	164	57555	POJISTNE	WX	52864879
2248774	7424	1997-08-08	VYDAJ	PREVOD NA UCET	164	44339	POJISTNE	WX	52864879
2248775	7424	1997-09-08	VYDAJ	PREVOD NA UCET	164	47523	POJISTNE	WX	52864879
2248776	7424	1997-10-08	VYDAJ	PREVOD NA UCET	164	66762	POJISTNE	WX	52864879
2248777	7424	1997-11-08	VYDAJ	PREVOD NA UCET	164	89157	POJISTNE	WX	52864879
2248778	7424	1997-12-08	VYDAJ	PREVOD NA UCET	164	27683	POJISTNE	WX	52864879
2248779	7424	1998-01-08	VYDAJ	PREVOD NA UCET	164	14344	POJISTNE	WX	52864879
2248780	7424	1998-02-08	VYDAJ	PREVOD NA UCET	164	50358	POJISTNE	WX	52864879
2248781	7424	1998-03-08	VYDAJ	PREVOD NA UCET	164	24873	POJISTNE	WX	52864879
2248782	7424	1998-04-08	VYDAJ	PREVOD NA UCET	164	14322	POJISTNE	WX	52864879
2248783	7424	1998-05-08	VYDAJ	PREVOD NA UCET	164	82177	POJISTNE	WX	52864879
2248784	7424	1998-06-08	VYDAJ	PREVOD NA UCET	164	64504	POJISTNE	WX	52864879
2248785	7424	1998-07-08	VYDAJ	PREVOD NA UCET	164	77458	POJISTNE	WX	52864879
2248786	7424	1998-08-08	VYDAJ	PREVOD NA UCET	164	50875	POJISTNE	WX	52864879
2248787	7424	1998-09-08	VYDAJ	PREVOD NA UCET	164	54616	POJISTNE	WX	52864879
2248788	7424	1998-10-08	VYDAJ	PREVOD NA UCET	164	25420	POJISTNE	WX	52864879
2248789	7424	1998-11-08	VYDAJ	PREVOD NA UCET	164	33291	POJISTNE	WX	52864879
2248790	7424	1998-12-08	VYDAJ	PREVOD NA UCET	164	40816	POJISTNE	WX	52864879
2248792	7424	1996-12-12	VYBER	VYBER	16030	53110	\N	\N	\N
2248802	7424	1997-01-18	VYBER	VYBER	3627	78127	\N	\N	\N
2248803	7424	1997-01-11	VYBER	VYBER	3841	84754	\N	\N	\N
2248804	7424	1997-12-02	VYBER	VYBER	7278	28957	\N	\N	\N
2248806	7424	1997-02-20	VYBER	VYBER	22926	48469	\N	\N	\N
2248807	7424	1997-04-15	VYBER	VYBER	13141	65536	\N	\N	\N
2248808	7424	1998-07-11	VYBER	VYBER	7200	63441	\N	\N	\N
2248815	7424	1998-09-02	VYBER	VYBER	11715	55890	\N	\N	\N
2248817	7424	1997-06-22	VYDAJ	VYBER	16800	44366	\N	\N	\N
2248820	7424	1997-01-19	VYDAJ	VYBER	7800	54427	\N	\N	\N
2248822	7424	1996-12-27	VYDAJ	VYBER	2400	60865	\N	\N	\N
2248824	7424	1998-12-27	VYDAJ	VYBER	3300	25852	\N	\N	\N
2248831	7424	1997-01-17	VYDAJ	VYBER	3000	81754	\N	\N	\N
2248832	7424	1997-01-19	VYDAJ	VYBER	7500	70627	\N	\N	\N
2248833	7424	1997-01-19	VYDAJ	VYBER	8400	62227	\N	\N	\N
2248834	7424	1997-01-29	VYDAJ	VYBER	7800	26927	\N	\N	\N
2248835	7424	1997-01-21	VYDAJ	VYBER	8700	45727	\N	\N	\N
2248836	7424	1997-01-01	VYDAJ	VYBER	3300	57865	\N	\N	\N
2248837	7424	1998-01-28	VYDAJ	VYBER	1800	29021	\N	\N	\N
2248838	7424	1998-01-29	VYDAJ	VYBER	6000	29314	\N	\N	\N
2248846	7424	1997-05-29	VYDAJ	VYBER	11400	74010	\N	\N	\N
2248847	7424	1997-06-07	VYDAJ	VYBER	7500	65676	\N	\N	\N
2248848	7424	1997-07-25	VYDAJ	VYBER	6900	26638	\N	\N	\N
2248849	7424	1997-04-29	VYDAJ	VYBER	5700	35236	\N	\N	\N
2248851	7424	1997-07-06	VYDAJ	VYBER	10200	57719	\N	\N	\N
2248852	7424	1998-11-04	VYDAJ	VYBER	5100	34565	\N	\N	\N
2248853	7424	1998-08-23	VYDAJ	VYBER	3000	23200	\N	\N	\N
2248864	7424	1996-10-31	VYDAJ	VYBER	15	87294	SLUZBY	\N	\N
2248865	7424	1996-11-30	VYDAJ	VYBER	15	67827	SLUZBY	\N	\N
2248866	7424	1996-12-31	VYDAJ	VYBER	15	61165	SLUZBY	\N	\N
2248867	7424	1997-01-31	VYDAJ	VYBER	15	27152	SLUZBY	\N	\N
2248868	7424	1997-02-28	VYDAJ	VYBER	15	36387	SLUZBY	\N	\N
2248869	7424	1997-03-31	VYDAJ	VYBER	15	24801	SLUZBY	\N	\N
2248870	7424	1997-04-30	VYDAJ	VYBER	15	35463	SLUZBY	\N	\N
2248871	7424	1997-05-31	VYDAJ	VYBER	15	74286	SLUZBY	\N	\N
2248872	7424	1997-06-30	VYDAJ	VYBER	15	31187	SLUZBY	\N	\N
2248873	7424	1997-07-31	VYDAJ	VYBER	15	47713	SLUZBY	\N	\N
2248874	7424	1997-08-31	VYDAJ	VYBER	15	38136	SLUZBY	\N	\N
2248875	7424	1997-09-30	VYDAJ	VYBER	15	68036	SLUZBY	\N	\N
2248876	7424	1997-10-31	VYDAJ	VYBER	15	90431	SLUZBY	\N	\N
2248877	7424	1997-11-30	VYDAJ	VYBER	15	36235	SLUZBY	\N	\N
2248878	7424	1997-12-31	VYDAJ	VYBER	15	15618	SLUZBY	\N	\N
2248879	7424	1998-01-31	VYDAJ	VYBER	15	29351	SLUZBY	\N	\N
2248880	7424	1998-02-28	VYDAJ	VYBER	15	26147	SLUZBY	\N	\N
2248881	7424	1998-03-31	VYDAJ	VYBER	15	15596	SLUZBY	\N	\N
2248882	7424	1998-04-30	VYDAJ	VYBER	15	44414	SLUZBY	\N	\N
2248883	7424	1998-05-31	VYDAJ	VYBER	15	65778	SLUZBY	\N	\N
2248884	7424	1998-06-30	VYDAJ	VYBER	15	53547	SLUZBY	\N	\N
2248885	7424	1998-07-31	VYDAJ	VYBER	15	52149	SLUZBY	\N	\N
2248886	7424	1998-08-31	VYDAJ	VYBER	15	67605	SLUZBY	\N	\N
2248887	7424	1998-09-30	VYDAJ	VYBER	15	19116	SLUZBY	\N	\N
2248888	7424	1998-10-31	VYDAJ	VYBER	15	39665	SLUZBY	\N	\N
2248889	7424	1998-11-30	VYDAJ	VYBER	15	44990	SLUZBY	\N	\N
2248890	7424	1996-08-27	PRIJEM	VKLAD	15800	16700	\N	\N	\N
2248891	7424	1996-09-06	VYDAJ	VYBER	36000	77580	\N	\N	\N
2248892	7424	1996-09-26	VYDAJ	VYBER	33600	57774	\N	\N	\N
2248893	7424	1996-10-26	VYDAJ	VYBER	23800	46124	\N	\N	\N
2248894	7424	1996-11-06	VYDAJ	VYBER	50300	66139	\N	\N	\N
2248895	7424	1996-11-07	VYDAJ	VYBER	46900	66248	\N	\N	\N
2248896	7424	1996-11-15	VYDAJ	VYBER	62800	47514	\N	\N	\N
2248897	7424	1996-11-25	VYDAJ	VYBER	6800	38214	\N	\N	\N
2248898	7424	1996-12-09	VYDAJ	VYBER	62900	50832	\N	\N	\N
2248899	7424	1996-12-25	VYDAJ	VYBER	36300	63265	\N	\N	\N
2248900	7424	1997-01-24	VYDAJ	VYBER	11000	34727	\N	\N	\N
2248901	7424	1997-02-23	VYDAJ	VYBER	12300	36169	\N	\N	\N
2248902	7424	1997-03-25	VYDAJ	VYBER	1600	24696	\N	\N	\N
2248903	7424	1997-04-07	VYDAJ	VYBER	27200	85658	\N	\N	\N
2248904	7424	1997-04-24	VYDAJ	VYBER	21600	40936	\N	\N	\N
2248905	7424	1997-05-24	VYDAJ	VYBER	34000	54479	\N	\N	\N
2248906	7424	1997-06-23	VYDAJ	VYBER	13400	30966	\N	\N	\N
2248907	7424	1997-07-23	VYDAJ	VYBER	15100	33538	\N	\N	\N
2248908	7424	1997-08-22	VYDAJ	VYBER	17800	37950	\N	\N	\N
2248909	7424	1997-09-21	VYDAJ	VYBER	33600	49539	\N	\N	\N
2248910	7424	1997-10-21	VYDAJ	VYBER	30700	52869	\N	\N	\N
2248911	7424	1997-11-20	VYDAJ	VYBER	59200	35856	\N	\N	\N
2248912	7424	1997-11-20	VYDAJ	VYBER	20800	95056	\N	\N	\N
2248913	7424	1997-12-20	VYDAJ	VYBER	2800	15543	\N	\N	\N
2248914	7424	1998-02-18	VYDAJ	VYBER	15000	26018	\N	\N	\N
2248915	7424	1998-05-09	VYDAJ	VYBER	63300	67062	\N	\N	\N
2248916	7424	1998-05-19	VYDAJ	VYBER	29500	28222	\N	\N	\N
2248917	7424	1998-06-18	VYDAJ	VYBER	35100	20064	\N	\N	\N
2248918	7424	1998-07-18	VYDAJ	VYBER	53100	51901	\N	\N	\N
2248919	7424	1998-08-17	VYDAJ	VYBER	32500	26200	\N	\N	\N
2248920	7424	1998-09-16	VYDAJ	VYBER	26300	18976	\N	\N	\N
2248921	7424	1998-12-15	VYDAJ	VYBER	53700	29152	\N	\N	\N
2253695	7437	1997-08-08	PRIJEM	VKLAD	1100	14941	\N	\N	\N
2253703	7437	1997-08-08	PRIJEM	PREVOD Z UCTU	13841	13841	\N	YZ	66502475
2253704	7437	1997-09-08	PRIJEM	PREVOD Z UCTU	13841	35430	\N	YZ	66502475
2253705	7437	1997-10-08	PRIJEM	PREVOD Z UCTU	13841	46699	\N	YZ	66502475
2253706	7437	1997-11-08	PRIJEM	PREVOD Z UCTU	13841	50024	\N	YZ	66502475
2253707	7437	1997-12-08	PRIJEM	PREVOD Z UCTU	20762	55991	\N	YZ	66502475
2253708	7437	1998-01-08	PRIJEM	PREVOD Z UCTU	13841	30644	\N	YZ	66502475
2253709	7437	1998-02-08	PRIJEM	PREVOD Z UCTU	13841	26909	\N	YZ	66502475
2253710	7437	1998-03-08	PRIJEM	PREVOD Z UCTU	13841	26868	\N	YZ	66502475
2253711	7437	1998-04-08	PRIJEM	PREVOD Z UCTU	13841	37426	\N	YZ	66502475
2253712	7437	1998-05-08	PRIJEM	PREVOD Z UCTU	13841	29804	\N	YZ	66502475
2253713	7437	1998-06-08	PRIJEM	PREVOD Z UCTU	20762	45173	\N	YZ	66502475
2253714	7437	1998-07-08	PRIJEM	PREVOD Z UCTU	13841	41979	\N	YZ	66502475
2253715	7437	1998-08-08	PRIJEM	PREVOD Z UCTU	13841	42430	\N	YZ	66502475
2253716	7437	1998-09-08	PRIJEM	PREVOD Z UCTU	13841	40570	\N	YZ	66502475
2253717	7437	1998-10-08	PRIJEM	PREVOD Z UCTU	13841	40202	\N	YZ	66502475
2253718	7437	1998-11-08	PRIJEM	PREVOD Z UCTU	13841	42795	\N	YZ	66502475
2253719	7437	1998-12-08	PRIJEM	PREVOD Z UCTU	20762	51814	\N	YZ	66502475
2253731	7437	1997-12-18	VYDAJ	VYBER	2300	46860	\N	\N	0
2253732	7437	1998-01-05	VYDAJ	VYBER	2600	40732	\N	\N	0
2253733	7437	1998-02-05	VYDAJ	VYBER	2700	19969	\N	\N	0
2253734	7437	1998-03-06	VYDAJ	VYBER	2600	19928	\N	\N	0
2253735	7437	1998-04-10	VYDAJ	VYBER	2600	34826	\N	\N	0
2253736	7437	1998-05-12	VYDAJ	PREVOD NA UCET	2307	27266	UVER	QR	79067885
2253737	7437	1998-06-12	VYDAJ	PREVOD NA UCET	2307	42635	UVER	QR	79067885
2253738	7437	1998-07-12	VYDAJ	PREVOD NA UCET	2307	39441	UVER	QR	79067885
2253739	7437	1998-08-12	VYDAJ	PREVOD NA UCET	2307	39892	UVER	QR	79067885
2253740	7437	1998-09-12	VYDAJ	PREVOD NA UCET	2307	29194	UVER	QR	79067885
2253741	7437	1998-10-12	VYDAJ	PREVOD NA UCET	2307	37664	UVER	QR	79067885
2253742	7437	1998-11-12	VYDAJ	PREVOD NA UCET	2307	40257	UVER	QR	79067885
2253743	7437	1998-12-12	VYDAJ	PREVOD NA UCET	2307	49277	UVER	QR	79067885
2253756	7437	1998-01-07	VYDAJ	PREVOD NA UCET	6901	16803	SIPO	EF	2692229
2253757	7437	1998-02-07	VYDAJ	PREVOD NA UCET	6901	13068	SIPO	EF	2692229
2253758	7437	1998-03-07	VYDAJ	PREVOD NA UCET	6901	13027	SIPO	EF	2692229
2253759	7437	1998-04-07	VYDAJ	PREVOD NA UCET	6901	23585	SIPO	EF	2692229
2253760	7437	1998-05-07	VYDAJ	PREVOD NA UCET	6901	15963	SIPO	EF	2692229
2253761	7437	1998-06-07	VYDAJ	PREVOD NA UCET	6901	24411	SIPO	EF	2692229
2253762	7437	1998-07-07	VYDAJ	PREVOD NA UCET	6901	28138	SIPO	EF	2692229
2253763	7437	1998-08-07	VYDAJ	PREVOD NA UCET	6901	28589	SIPO	EF	2692229
2253764	7437	1998-09-07	VYDAJ	PREVOD NA UCET	6901	26729	SIPO	EF	2692229
2253765	7437	1998-10-07	VYDAJ	PREVOD NA UCET	6901	26361	SIPO	EF	2692229
2253766	7437	1998-11-07	VYDAJ	PREVOD NA UCET	6901	28954	SIPO	EF	2692229
2253767	7437	1998-12-07	VYDAJ	PREVOD NA UCET	6901	31052	SIPO	EF	2692229
2253779	7437	1997-12-10	VYDAJ	PREVOD NA UCET	231	49160	 	KL	83435654
2253780	7437	1998-01-10	VYDAJ	PREVOD NA UCET	231	25613	 	KL	83435654
2253781	7437	1998-02-10	VYDAJ	PREVOD NA UCET	231	26678	 	KL	83435654
2253782	7437	1998-03-10	VYDAJ	PREVOD NA UCET	231	26637	 	KL	83435654
2253783	7437	1998-04-10	VYDAJ	PREVOD NA UCET	231	34595	 	KL	83435654
2253784	7437	1998-05-10	VYDAJ	PREVOD NA UCET	231	29573	 	KL	83435654
2253785	7437	1998-06-10	VYDAJ	PREVOD NA UCET	231	44942	 	KL	83435654
2253786	7437	1998-07-10	VYDAJ	PREVOD NA UCET	231	41748	 	KL	83435654
2253787	7437	1998-08-10	VYDAJ	PREVOD NA UCET	231	42199	 	KL	83435654
2253788	7437	1998-09-10	VYDAJ	PREVOD NA UCET	231	31501	 	KL	83435654
2253789	7437	1998-10-10	VYDAJ	PREVOD NA UCET	231	39971	 	KL	83435654
2253790	7437	1998-11-10	VYDAJ	PREVOD NA UCET	231	42564	 	KL	83435654
2253791	7437	1998-12-10	VYDAJ	PREVOD NA UCET	231	51583	 	KL	83435654
2253804	7437	1998-01-05	VYDAJ	PREVOD NA UCET	228	40504	POJISTNE	OP	64685678
2253805	7437	1998-02-05	VYDAJ	PREVOD NA UCET	228	22669	POJISTNE	OP	64685678
2253806	7437	1998-03-05	VYDAJ	PREVOD NA UCET	228	20628	POJISTNE	OP	64685678
2253807	7437	1998-04-05	VYDAJ	PREVOD NA UCET	228	30486	POJISTNE	OP	64685678
2253808	7437	1998-05-05	VYDAJ	PREVOD NA UCET	228	22864	POJISTNE	OP	64685678
2253809	7437	1998-06-05	VYDAJ	PREVOD NA UCET	228	31312	POJISTNE	OP	64685678
2253810	7437	1998-07-05	VYDAJ	PREVOD NA UCET	228	35039	POJISTNE	OP	64685678
2253811	7437	1998-08-05	VYDAJ	PREVOD NA UCET	228	35490	POJISTNE	OP	64685678
2253812	7437	1998-09-05	VYDAJ	PREVOD NA UCET	228	33630	POJISTNE	OP	64685678
2253813	7437	1998-10-05	VYDAJ	PREVOD NA UCET	228	33262	POJISTNE	OP	64685678
2253814	7437	1998-11-05	VYDAJ	PREVOD NA UCET	228	35855	POJISTNE	OP	64685678
2253815	7437	1998-12-05	VYDAJ	PREVOD NA UCET	228	37953	POJISTNE	OP	64685678
2253817	7437	1998-07-24	VYBER	VYBER	12339	27102	\N	\N	\N
2253821	7437	1998-09-09	VYBER	VYBER	8838	31732	\N	\N	\N
2253824	7437	1998-10-13	VYBER	VYBER	2088	35576	\N	\N	\N
2253826	7437	1998-03-05	VYBER	VYBER	5896	20856	\N	\N	\N
2253828	7437	1998-08-28	VYBER	VYBER	8658	31234	\N	\N	\N
2253832	7437	1998-01-05	VYDAJ	VYBER	16800	23704	\N	\N	\N
2253833	7437	1997-12-09	VYDAJ	VYBER	6600	49391	\N	\N	\N
2253834	7437	1998-12-18	VYDAJ	VYBER	7800	41477	\N	\N	\N
2253841	7437	1998-01-12	VYDAJ	VYBER	1500	24113	\N	\N	\N
2253842	7437	1998-01-10	VYDAJ	VYBER	4800	25844	\N	\N	\N
2253843	7437	1998-01-21	VYDAJ	VYBER	3300	20813	\N	\N	\N
2253846	7437	1998-01-03	VYDAJ	VYBER	3900	43132	\N	\N	\N
2253851	7437	1998-06-30	VYDAJ	VYBER	10500	32297	\N	\N	\N
2253852	7437	1998-04-25	VYDAJ	VYBER	14400	20195	\N	\N	\N
2253853	7437	1998-11-17	VYDAJ	VYBER	3600	36657	\N	\N	\N
2253854	7437	1998-05-19	VYDAJ	VYBER	2400	24866	\N	\N	\N
2253855	7437	1998-10-17	VYDAJ	VYBER	4500	31076	\N	\N	\N
2253868	7437	1997-12-31	VYDAJ	VYBER	30	47032	SLUZBY	\N	\N
2253869	7437	1998-01-31	VYDAJ	VYBER	30	20897	SLUZBY	\N	\N
2253870	7437	1998-02-28	VYDAJ	VYBER	30	26752	SLUZBY	\N	\N
2253871	7437	1998-03-31	VYDAJ	VYBER	30	26714	SLUZBY	\N	\N
2253872	7437	1998-04-30	VYDAJ	VYBER	30	20292	SLUZBY	\N	\N
2253873	7437	1998-05-31	VYDAJ	VYBER	30	24940	SLUZBY	\N	\N
2253874	7437	1998-06-30	VYDAJ	VYBER	30	32267	SLUZBY	\N	\N
2253875	7437	1998-07-31	VYDAJ	VYBER	30	27218	SLUZBY	\N	\N
2253876	7437	1998-08-31	VYDAJ	VYBER	30	31358	SLUZBY	\N	\N
2253877	7437	1998-09-30	VYDAJ	VYBER	30	29290	SLUZBY	\N	\N
2253878	7437	1998-10-31	VYDAJ	VYBER	30	31183	SLUZBY	\N	\N
2253879	7437	1998-11-30	VYDAJ	VYBER	30	36781	SLUZBY	\N	\N
2253880	7437	1997-09-07	PRIJEM	VKLAD	6600	21589	\N	\N	\N
2253881	7437	1997-10-07	VYDAJ	VYBER	2700	32858	\N	\N	\N
2253882	7437	1997-11-06	VYDAJ	VYBER	10700	36183	\N	\N	\N
2253883	7437	1997-12-06	VYDAJ	VYBER	15000	35229	\N	\N	\N
2253884	7437	1998-01-05	PRIJEM	VKLAD	200	43332	\N	\N	\N
2253885	7437	1998-02-04	PRIJEM	VKLAD	2000	22897	\N	\N	\N
2253886	7437	1998-03-06	PRIJEM	VKLAD	1900	22528	\N	\N	\N
2253887	7437	1998-04-05	PRIJEM	VKLAD	4000	30714	\N	\N	\N
2253888	7437	1998-05-05	PRIJEM	VKLAD	2800	23092	\N	\N	\N
2253889	7437	1998-06-04	PRIJEM	VKLAD	6600	31540	\N	\N	\N
2253890	7437	1998-07-04	PRIJEM	VKLAD	3000	35267	\N	\N	\N
2253891	7437	1998-08-03	PRIJEM	VKLAD	8500	35718	\N	\N	\N
2253892	7437	1998-09-02	PRIJEM	VKLAD	2500	33858	\N	\N	\N
2253893	7437	1998-10-02	PRIJEM	VKLAD	4200	33490	\N	\N	\N
2253894	7437	1998-11-01	PRIJEM	VKLAD	4900	36083	\N	\N	\N
2253895	7437	1998-12-01	PRIJEM	VKLAD	1400	38181	\N	\N	\N
2256133	7445	1993-03-18	PRIJEM	VKLAD	200	200	\N	\N	\N
2256134	7445	1993-11-25	PRIJEM	VKLAD	20049	58921	\N	\N	\N
2256135	7445	1993-12-12	PRIJEM	VKLAD	48139	87038	\N	\N	\N
2256136	7445	1993-10-13	PRIJEM	VKLAD	13427	45385	\N	\N	\N
2256137	7445	1993-07-27	PRIJEM	VKLAD	15808	64080	\N	\N	\N
2256138	7445	1993-07-07	PRIJEM	VKLAD	12866	82122	\N	\N	\N
2256139	7445	1993-05-30	PRIJEM	VKLAD	14480	83817	\N	\N	\N
2256140	7445	1993-05-06	PRIJEM	VKLAD	34334	74774	\N	\N	\N
2256141	7445	1993-04-29	PRIJEM	VKLAD	13472	40326	\N	\N	\N
2256142	7445	1993-08-14	PRIJEM	VKLAD	32316	76619	\N	\N	\N
2256144	7445	1993-09-03	PRIJEM	VKLAD	21459	69577	\N	\N	\N
2256145	7445	1993-04-10	PRIJEM	VKLAD	17877	18077	\N	\N	\N
2256146	7445	1993-12-22	PRIJEM	VKLAD	29464	44448	\N	\N	\N
2256147	7445	1993-10-08	PRIJEM	VKLAD	10661	31958	\N	\N	\N
2256148	7445	1993-07-06	PRIJEM	VKLAD	16220	69256	\N	\N	\N
2256150	7445	1993-06-05	PRIJEM	VKLAD	29205	113351	\N	\N	\N
2256152	7445	1993-12-02	PRIJEM	VKLAD	10115	56411	\N	\N	\N
2256153	7445	1993-04-16	PRIJEM	VKLAD	8677	26754	\N	\N	\N
2256154	7445	1993-05-21	PRIJEM	VKLAD	17763	69337	\N	\N	\N
2256155	7445	1993-10-18	PRIJEM	VKLAD	5285	40870	\N	\N	\N
2256156	7445	1993-10-18	PRIJEM	VKLAD	12216	53086	\N	\N	\N
2256158	7445	1994-03-18	PRIJEM	VKLAD	20982	33396	\N	\N	\N
2256159	7445	1994-06-25	PRIJEM	VKLAD	20918	36180	\N	\N	\N
2256160	7445	1994-01-31	PRIJEM	VKLAD	21578	27554	\N	\N	\N
2256161	7445	1995-05-28	PRIJEM	VKLAD	27861	48936	\N	\N	\N
2256162	7445	1995-06-07	PRIJEM	VKLAD	44230	84204	\N	\N	\N
2256163	7445	1995-09-05	PRIJEM	VKLAD	30231	49086	\N	\N	\N
2256164	7445	1995-06-13	PRIJEM	VKLAD	49936	113746	\N	\N	\N
2256165	7445	1995-09-09	PRIJEM	VKLAD	30989	80075	\N	\N	\N
2256166	7445	1995-05-30	PRIJEM	VKLAD	6330	55266	\N	\N	\N
2256167	7445	1995-02-12	PRIJEM	VKLAD	39685	53009	\N	\N	\N
2256168	7445	1996-07-30	PRIJEM	VKLAD	6334	49008	\N	\N	\N
2256169	7445	1996-12-27	PRIJEM	VKLAD	47500	157941	\N	\N	\N
2256170	7445	1996-11-15	PRIJEM	VKLAD	44028	152883	\N	\N	\N
2256171	7445	1996-12-18	PRIJEM	VKLAD	44602	111851	\N	\N	\N
2256172	7445	1996-05-30	PRIJEM	VKLAD	43714	114932	\N	\N	\N
2256173	7445	1996-10-30	PRIJEM	VKLAD	48747	107791	\N	\N	\N
2256174	7445	1996-07-13	PRIJEM	VKLAD	8715	18155	\N	\N	\N
2256175	7445	1996-10-13	PRIJEM	VKLAD	27948	64759	\N	\N	\N
2256176	7445	1996-02-11	PRIJEM	VKLAD	39251	101968	\N	\N	\N
2256177	7445	1996-11-19	PRIJEM	VKLAD	12310	143893	\N	\N	\N
2256178	7445	1996-10-12	PRIJEM	VKLAD	29393	36811	\N	\N	\N
2256179	7445	1996-11-14	PRIJEM	VKLAD	21609	108855	\N	\N	\N
2256180	7445	1996-05-11	PRIJEM	VKLAD	5270	49400	\N	\N	\N
2256181	7445	1996-04-04	PRIJEM	VKLAD	49127	105956	\N	\N	\N
2256182	7445	1996-07-25	PRIJEM	VKLAD	24519	42674	\N	\N	\N
2256183	7445	1996-08-25	PRIJEM	VKLAD	11720	44959	\N	\N	\N
2256184	7445	1996-12-20	PRIJEM	VKLAD	41990	153841	\N	\N	\N
2256185	7445	1996-04-27	PRIJEM	VKLAD	26154	133771	\N	\N	\N
2256186	7445	1996-03-15	PRIJEM	VKLAD	11696	66970	\N	\N	\N
2256187	7445	1996-01-21	PRIJEM	VKLAD	21680	56355	\N	\N	\N
2256188	7445	1996-05-28	PRIJEM	VKLAD	45018	71218	\N	\N	\N
2256189	7445	1996-03-17	PRIJEM	VKLAD	38863	105833	\N	\N	\N
2256190	7445	1996-12-02	PRIJEM	VKLAD	40162	83597	\N	\N	\N
2256191	7445	1996-01-18	PRIJEM	VKLAD	44657	45775	\N	\N	\N
2256192	7445	1996-04-06	PRIJEM	VKLAD	42853	148809	\N	\N	\N
2256193	7445	1996-04-28	PRIJEM	VKLAD	28740	113411	\N	\N	\N
2256194	7445	1996-04-27	PRIJEM	VKLAD	33299	107617	\N	\N	\N
2256195	7445	1996-02-05	PRIJEM	VKLAD	21083	62717	\N	\N	\N
2256196	7445	1996-10-15	PRIJEM	VKLAD	39385	101644	\N	\N	\N
2256197	7445	1997-09-09	PRIJEM	VKLAD	42260	64660	\N	\N	\N
2256198	7445	1997-10-20	PRIJEM	VKLAD	45596	143283	\N	\N	\N
2256199	7445	1997-09-11	PRIJEM	VKLAD	36039	82062	\N	\N	\N
2256200	7445	1997-03-31	PRIJEM	VKLAD	21267	45148	\N	\N	\N
2256201	7445	1997-03-05	PRIJEM	VKLAD	12040	51726	\N	\N	\N
2256202	7445	1997-01-19	PRIJEM	VKLAD	29952	61598	\N	\N	\N
2256203	7445	1997-02-18	PRIJEM	VKLAD	42239	69672	\N	\N	\N
2256204	7445	1997-12-22	PRIJEM	VKLAD	5044	22647	\N	\N	\N
2256205	7445	1997-12-24	PRIJEM	VKLAD	27794	40341	\N	\N	\N
2256206	7445	1997-04-06	PRIJEM	VKLAD	7596	52880	\N	\N	\N
2256207	7445	1997-07-09	PRIJEM	VKLAD	28813	56260	\N	\N	\N
2256208	7445	1997-10-12	PRIJEM	VKLAD	44214	126887	\N	\N	\N
2256209	7445	1997-03-23	PRIJEM	VKLAD	20372	30581	\N	\N	\N
2256210	7445	1997-06-05	PRIJEM	VKLAD	31197	43189	\N	\N	\N
2256211	7445	1997-10-02	PRIJEM	VKLAD	19777	113173	\N	\N	\N
2256212	7445	1997-10-01	PRIJEM	VKLAD	39924	93396	\N	\N	\N
2256213	7445	1997-09-18	PRIJEM	VKLAD	45080	114642	\N	\N	\N
2256214	7445	1998-10-09	PRIJEM	VKLAD	43665	80194	\N	\N	\N
2256215	7445	1998-08-28	PRIJEM	VKLAD	35946	73043	\N	\N	\N
2256216	7445	1998-08-25	PRIJEM	VKLAD	29768	37097	\N	\N	\N
2256217	7445	1998-04-30	PRIJEM	VKLAD	26298	32766	\N	\N	\N
2256218	7445	1998-12-06	PRIJEM	VKLAD	36734	48716	\N	\N	\N
2256224	7445	1993-06-12	VYDAJ	VYBER	1800	93751	\N	\N	0
2256225	7445	1993-07-09	VYDAJ	VYBER	2800	79322	\N	\N	0
2256226	7445	1993-08-14	VYDAJ	VYBER	2100	74519	\N	\N	0
2256227	7445	1993-09-21	VYDAJ	VYBER	2800	44677	\N	\N	0
2256228	7445	1993-10-05	VYDAJ	VYBER	2800	42238	\N	\N	0
2256229	7445	1993-11-07	VYDAJ	VYBER	2500	47972	\N	\N	0
2256230	7445	1993-12-05	VYDAJ	VYBER	2200	54211	\N	\N	0
2256232	7445	1994-02-21	VYDAJ	VYBER	2600	2236	\N	\N	0
2256234	7445	1994-04-12	VYDAJ	PREVOD NA UCET	2307	23183	UVER	WX	21391058
2256235	7445	1994-05-12	VYDAJ	PREVOD NA UCET	2307	18668	UVER	WX	21391058
2256236	7445	1994-06-12	VYDAJ	PREVOD NA UCET	2307	20962	UVER	WX	21391058
2256237	7445	1994-07-12	VYDAJ	PREVOD NA UCET	2307	27698	UVER	WX	21391058
2256238	7445	1994-08-12	VYDAJ	PREVOD NA UCET	2307	17551	UVER	WX	21391058
2256239	7445	1994-09-12	VYDAJ	PREVOD NA UCET	2307	19525	UVER	WX	21391058
2256240	7445	1994-10-12	VYDAJ	PREVOD NA UCET	2307	19739	UVER	WX	21391058
2256241	7445	1994-11-12	VYDAJ	PREVOD NA UCET	2307	10483	UVER	WX	21391058
2256242	7445	1994-12-12	VYDAJ	PREVOD NA UCET	2307	16798	UVER	WX	21391058
2256243	7445	1995-01-12	VYDAJ	PREVOD NA UCET	2307	14488	UVER	WX	21391058
2256244	7445	1995-02-12	VYDAJ	PREVOD NA UCET	2307	50702	UVER	WX	21391058
2256245	7445	1995-03-12	VYDAJ	PREVOD NA UCET	2307	31977	UVER	WX	21391058
2256246	7445	1995-04-12	VYDAJ	PREVOD NA UCET	2307	23255	UVER	WX	21391058
2256247	7445	1995-05-12	VYDAJ	PREVOD NA UCET	2307	21075	UVER	WX	21391058
2256248	7445	1995-06-12	VYDAJ	PREVOD NA UCET	2307	63810	UVER	WX	21391058
2256249	7445	1995-07-12	VYDAJ	PREVOD NA UCET	2307	40360	UVER	WX	21391058
2256250	7445	1995-08-12	VYDAJ	PREVOD NA UCET	2307	17840	UVER	WX	21391058
2256251	7445	1995-09-12	VYDAJ	PREVOD NA UCET	2307	77768	UVER	WX	21391058
2256252	7445	1995-10-12	VYDAJ	PREVOD NA UCET	2307	26852	UVER	WX	21391058
2256253	7445	1995-11-12	VYDAJ	PREVOD NA UCET	2307	20646	UVER	WX	21391058
2256254	7445	1995-12-12	VYDAJ	PREVOD NA UCET	2307	18036	UVER	WX	21391058
2256255	7445	1996-01-12	VYDAJ	PREVOD NA UCET	2307	2918	UVER	WX	21391058
2256256	7445	1996-02-12	VYDAJ	PREVOD NA UCET	2307	99661	UVER	WX	21391058
2256257	7445	1996-03-12	VYDAJ	PREVOD NA UCET	2307	55274	UVER	WX	21391058
2256258	7445	1996-04-08	VYDAJ	VYBER	2600	82609	\N	\N	0
2256259	7445	1996-05-15	VYDAJ	VYBER	2200	33100	\N	\N	0
2256260	7445	1996-06-17	VYDAJ	VYBER	2800	15019	\N	\N	0
2256261	7445	1996-07-03	VYDAJ	VYBER	1900	15833	\N	\N	0
2256262	7445	1996-08-04	VYDAJ	VYBER	2100	33239	\N	\N	0
2256263	7445	1996-09-13	VYDAJ	VYBER	2300	19160	\N	\N	0
2256264	7445	1996-10-14	VYDAJ	VYBER	2500	62259	\N	\N	0
2256265	7445	1996-11-07	VYDAJ	VYBER	1900	87246	\N	\N	0
2256266	7445	1996-12-11	VYDAJ	VYBER	2300	67249	\N	\N	0
2256267	7445	1997-01-18	VYDAJ	VYBER	1800	31646	\N	\N	0
2256268	7445	1997-02-18	VYDAJ	VYBER	2700	66972	\N	\N	0
2256269	7445	1997-03-17	VYDAJ	VYBER	1800	33794	\N	\N	0
2256270	7445	1997-04-09	VYDAJ	VYBER	2700	50180	\N	\N	0
2256272	7445	1997-06-09	VYDAJ	VYBER	2200	35690	\N	\N	0
2256273	7445	1997-07-20	VYDAJ	VYBER	2200	54060	\N	\N	0
2256274	7445	1997-08-05	VYDAJ	VYBER	2100	29504	\N	\N	0
2256275	7445	1997-09-11	VYDAJ	VYBER	2600	79462	\N	\N	0
2256276	7445	1997-10-04	VYDAJ	VYBER	2500	85073	\N	\N	0
2256277	7445	1997-11-07	VYDAJ	VYBER	2400	44578	\N	\N	0
2256278	7445	1997-12-03	VYDAJ	VYBER	2500	22122	\N	\N	0
2256287	7445	1998-09-13	VYDAJ	VYBER	2400	70725	\N	\N	0
2256288	7445	1998-10-05	VYDAJ	VYBER	2800	36529	\N	\N	0
2256289	7445	1998-11-17	VYDAJ	VYBER	2400	11836	\N	\N	0
2256290	7445	1998-12-15	VYDAJ	VYBER	1900	42779	\N	\N	0
2256292	7445	1993-12-21	VYBER	VYBER	21799	14984	\N	\N	\N
2256295	7445	1993-08-08	VYBER	VYBER	20282	44303	\N	\N	\N
2256296	7445	1993-10-30	VYBER	VYBER	2910	50176	\N	\N	\N
2256297	7445	1993-07-24	VYBER	VYBER	4250	48272	\N	\N	\N
2256298	7445	1993-10-07	VYBER	VYBER	20941	21297	\N	\N	\N
2256299	7445	1993-12-14	VYBER	VYBER	17355	36783	\N	\N	\N
2256300	7445	1993-12-08	VYBER	VYBER	15312	38899	\N	\N	\N
2256302	7445	1993-08-15	VYBER	VYBER	11145	63374	\N	\N	\N
2256303	7445	1994-01-04	VYBER	VYBER	12861	31926	\N	\N	\N
2256305	7445	1994-10-19	VYBER	VYBER	19605	134	\N	\N	\N
2256306	7445	1994-02-01	VYBER	VYBER	3565	24134	\N	\N	\N
2256309	7445	1994-07-21	VYBER	VYBER	11957	10641	\N	\N	\N
2256310	7445	1994-12-26	VYBER	VYBER	2857	5241	\N	\N	\N
2256312	7445	1994-04-20	VYBER	VYBER	7423	15760	\N	\N	\N
2256313	7445	1994-02-19	VYBER	VYBER	18198	4836	\N	\N	\N
2256315	7445	1994-01-08	VYBER	VYBER	7350	24576	\N	\N	\N
2256316	7445	1995-10-08	VYBER	VYBER	3206	29159	\N	\N	\N
2256317	7445	1995-06-17	VYBER	VYBER	13002	74305	\N	\N	\N
2256318	7445	1995-06-15	VYBER	VYBER	5039	87307	\N	\N	\N
2256320	7445	1995-10-31	VYBER	VYBER	8644	18468	\N	\N	\N
2256321	7445	1995-06-21	VYBER	VYBER	12642	61663	\N	\N	\N
2256322	7445	1995-06-10	VYBER	VYBER	18087	66117	\N	\N	\N
2256323	7445	1995-10-06	VYBER	VYBER	10715	32365	\N	\N	\N
2256325	7445	1995-02-15	VYBER	VYBER	11796	38906	\N	\N	\N
2256326	7445	1995-08-10	VYBER	VYBER	15972	20147	\N	\N	\N
2256327	7445	1996-03-31	VYBER	VYBER	20594	85844	\N	\N	\N
2256328	7445	1996-08-27	VYBER	VYBER	21825	23134	\N	\N	\N
2256329	7445	1996-06-17	VYBER	VYBER	3198	17819	\N	\N	\N
2256330	7445	1996-05-01	VYBER	VYBER	16660	60530	\N	\N	\N
2256331	7445	1996-04-22	VYBER	VYBER	8291	74318	\N	\N	\N
2256332	7445	1996-11-24	VYBER	VYBER	20732	77861	\N	\N	\N
2256333	7445	1996-12-11	VYBER	VYBER	14048	69549	\N	\N	\N
2256334	7445	1996-06-01	VYBER	VYBER	24492	21017	\N	\N	\N
2256335	7445	1996-07-11	VYBER	VYBER	6393	9440	\N	\N	\N
2256336	7445	1996-11-06	VYBER	VYBER	19131	89146	\N	\N	\N
2256338	7445	1997-12-24	VYBER	VYBER	9438	30903	\N	\N	\N
2256339	7445	1997-06-09	VYBER	VYBER	5299	37890	\N	\N	\N
2256341	7445	1997-03-18	VYBER	VYBER	23585	10209	\N	\N	\N
2256342	7445	1997-12-14	VYBER	VYBER	4519	17603	\N	\N	\N
2256343	7445	1997-09-09	VYBER	VYBER	18637	46023	\N	\N	\N
2256344	7445	1997-01-14	VYBER	VYBER	11616	33446	\N	\N	\N
2256345	7445	1997-04-29	VYBER	VYBER	18152	6528	\N	\N	\N
2256346	7445	1997-10-24	VYBER	VYBER	2993	63590	\N	\N	\N
2256347	7445	1997-10-25	VYBER	VYBER	17234	46356	\N	\N	\N
2256348	7445	1997-09-20	VYBER	VYBER	17968	96674	\N	\N	\N
2256349	7445	1997-03-14	VYBER	VYBER	16132	35594	\N	\N	\N
2256350	7445	1997-02-25	VYBER	VYBER	4153	62819	\N	\N	\N
2256351	7445	1998-12-27	VYBER	VYBER	5539	16340	\N	\N	\N
2256354	7445	1998-05-04	VYBER	VYBER	23871	8880	\N	\N	\N
2256357	7445	1998-12-08	VYBER	VYBER	4037	44679	\N	\N	\N
2256360	7445	1998-11-16	VYBER	VYBER	12611	21736	\N	\N	\N
2256370	7445	1996-01-18	VYDAJ	VYBER	11100	34675	\N	\N	\N
2256371	7445	1997-01-03	VYDAJ	VYBER	11100	53462	\N	\N	\N
2256373	7445	1993-12-12	VYDAJ	VYBER	5700	81338	\N	\N	\N
2256374	7445	1994-12-24	VYDAJ	VYBER	8700	8098	\N	\N	\N
2256375	7445	1995-12-09	VYDAJ	VYBER	3000	20343	\N	\N	\N
2256376	7445	1996-12-24	VYDAJ	VYBER	2700	110441	\N	\N	\N
2256377	7445	1997-12-24	VYDAJ	VYBER	6300	24603	\N	\N	\N
2256378	7445	1998-12-16	VYDAJ	VYBER	3900	38879	\N	\N	\N
2256385	7445	1994-01-08	VYDAJ	VYBER	7500	17076	\N	\N	\N
2256386	7445	1994-01-11	VYDAJ	VYBER	7200	3576	\N	\N	\N
2256387	7445	1994-01-09	VYDAJ	VYBER	1500	10776	\N	\N	\N
2256388	7445	1994-01-28	VYDAJ	VYBER	8700	5976	\N	\N	\N
2256389	7445	1994-01-23	VYDAJ	VYBER	2100	14676	\N	\N	\N
2256390	7445	1994-01-08	VYDAJ	VYBER	4800	12276	\N	\N	\N
2256391	7445	1995-01-20	VYDAJ	VYBER	2700	6388	\N	\N	\N
2256393	7445	1995-01-05	VYDAJ	VYBER	2100	3195	\N	\N	\N
2256395	7445	1995-01-19	VYDAJ	VYBER	5400	9088	\N	\N	\N
2256396	7445	1995-01-23	VYDAJ	VYBER	4200	2188	\N	\N	\N
2256397	7445	1996-01-28	VYDAJ	VYBER	4800	48255	\N	\N	\N
2256398	7445	1996-01-24	VYDAJ	VYBER	3300	53055	\N	\N	\N
2256399	7445	1996-01-04	VYDAJ	VYBER	6000	18725	\N	\N	\N
2256400	7445	1996-01-14	VYDAJ	VYBER	1800	1118	\N	\N	\N
2256401	7445	1996-01-05	VYDAJ	VYBER	6300	12425	\N	\N	\N
2256402	7445	1996-01-12	VYDAJ	VYBER	7200	5225	\N	\N	\N
2256403	7445	1997-01-29	VYDAJ	VYBER	8700	27098	\N	\N	\N
2256404	7445	1997-01-13	VYDAJ	VYBER	3300	50162	\N	\N	\N
2256405	7445	1997-01-25	VYDAJ	VYBER	5100	51398	\N	\N	\N
2256406	7445	1997-01-13	VYDAJ	VYBER	5100	45062	\N	\N	\N
2256407	7445	1997-01-02	VYDAJ	VYBER	7800	64562	\N	\N	\N
2256408	7445	1997-01-19	VYDAJ	VYBER	5100	56498	\N	\N	\N
2256411	7445	1998-01-06	VYDAJ	VYBER	4500	20234	\N	\N	\N
2256413	7445	1998-01-27	VYDAJ	VYBER	2100	9334	\N	\N	\N
2256414	7445	1998-01-08	VYDAJ	VYBER	6900	13334	\N	\N	\N
2256415	7445	1993-06-30	VYDAJ	VYBER	3300	56951	\N	\N	\N
2256417	7445	1993-07-11	VYDAJ	VYBER	2700	76622	\N	\N	\N
2256418	7445	1993-11-27	VYDAJ	VYBER	12900	46021	\N	\N	\N
2256419	7445	1993-07-04	VYDAJ	VYBER	3900	53036	\N	\N	\N
2256420	7445	1994-05-05	VYDAJ	VYBER	3900	11974	\N	\N	\N
2256421	7445	1994-03-27	VYDAJ	VYBER	8700	24696	\N	\N	\N
2256424	7445	1994-06-20	VYDAJ	VYBER	5700	15262	\N	\N	\N
2256425	7445	1994-07-12	VYDAJ	VYBER	5100	22598	\N	\N	\N
2256426	7445	1994-08-26	VYDAJ	VYBER	1500	16051	\N	\N	\N
2256427	7445	1995-10-05	VYDAJ	VYBER	7800	43080	\N	\N	\N
2256428	7445	1995-11-19	VYDAJ	VYBER	7500	13146	\N	\N	\N
2256429	7445	1995-03-26	VYDAJ	VYBER	7500	24477	\N	\N	\N
2256430	7445	1995-08-18	VYDAJ	VYBER	1500	16340	\N	\N	\N
2256431	7445	1996-10-03	VYDAJ	VYBER	10200	7418	\N	\N	\N
2256432	7445	1996-12-29	VYDAJ	VYBER	6000	71741	\N	\N	\N
2256433	7445	1996-11-23	VYDAJ	VYBER	11700	98593	\N	\N	\N
2256434	7445	1996-05-16	VYDAJ	VYBER	6900	26200	\N	\N	\N
2256435	7445	1996-05-12	VYDAJ	VYBER	14100	35300	\N	\N	\N
2256436	7445	1996-02-28	VYDAJ	VYBER	12600	87061	\N	\N	\N
2256437	7445	1997-04-21	VYDAJ	VYBER	12600	37580	\N	\N	\N
2256438	7445	1997-10-12	VYDAJ	VYBER	12900	113987	\N	\N	\N
2256439	7445	1997-10-02	VYDAJ	VYBER	2700	87573	\N	\N	\N
2256440	7445	1997-09-12	VYDAJ	VYBER	9900	69562	\N	\N	\N
2256442	7445	1997-10-06	VYDAJ	VYBER	2400	82673	\N	\N	\N
2256443	7445	1997-07-24	VYDAJ	VYBER	4200	49860	\N	\N	\N
2256444	7445	1998-11-15	VYDAJ	VYBER	3900	34347	\N	\N	\N
2256445	7445	1998-11-04	VYDAJ	VYBER	4200	38247	\N	\N	\N
2256452	7445	1993-05-31	VYDAJ	VYBER	15	84146	SLUZBY	\N	\N
2256453	7445	1993-06-30	VYDAJ	VYBER	15	56936	SLUZBY	\N	\N
2256454	7445	1993-07-31	VYDAJ	VYBER	15	64585	SLUZBY	\N	\N
2256455	7445	1993-08-31	VYDAJ	VYBER	15	48118	SLUZBY	\N	\N
2256456	7445	1993-09-30	VYDAJ	VYBER	15	45038	SLUZBY	\N	\N
2256457	7445	1993-10-31	VYDAJ	VYBER	15	50472	SLUZBY	\N	\N
2256458	7445	1993-11-30	VYDAJ	VYBER	15	46296	SLUZBY	\N	\N
2256459	7445	1993-12-31	VYDAJ	VYBER	15	44787	SLUZBY	\N	\N
2256460	7445	1994-01-31	VYDAJ	VYBER	15	27699	SLUZBY	\N	\N
2256461	7445	1994-02-28	VYDAJ	VYBER	15	2314	SLUZBY	\N	\N
2256462	7445	1994-03-31	VYDAJ	VYBER	15	24790	SLUZBY	\N	\N
2256463	7445	1994-04-30	VYDAJ	VYBER	15	15874	SLUZBY	\N	\N
2256464	7445	1994-05-31	VYDAJ	VYBER	15	18769	SLUZBY	\N	\N
2256465	7445	1994-06-30	VYDAJ	VYBER	15	36305	SLUZBY	\N	\N
2256466	7445	1994-07-31	VYDAJ	VYBER	15	10758	SLUZBY	\N	\N
2256467	7445	1994-08-31	VYDAJ	VYBER	15	16131	SLUZBY	\N	\N
2256468	7445	1994-09-30	VYDAJ	VYBER	15	19646	SLUZBY	\N	\N
2256469	7445	1994-10-31	VYDAJ	VYBER	15	197	SLUZBY	\N	\N
2256470	7445	1994-11-30	VYDAJ	VYBER	15	10512	SLUZBY	\N	\N
2256471	7445	1994-12-31	VYDAJ	VYBER	15	5295	SLUZBY	\N	\N
2256472	7445	1995-01-31	VYDAJ	VYBER	15	2224	SLUZBY	\N	\N
2256473	7445	1995-02-28	VYDAJ	VYBER	15	39084	SLUZBY	\N	\N
2256474	7445	1995-03-31	VYDAJ	VYBER	15	24662	SLUZBY	\N	\N
2256475	7445	1995-04-30	VYDAJ	VYBER	15	23382	SLUZBY	\N	\N
2256476	7445	1995-05-31	VYDAJ	VYBER	15	55374	SLUZBY	\N	\N
2256477	7445	1995-06-30	VYDAJ	VYBER	15	62167	SLUZBY	\N	\N
2256478	7445	1995-07-31	VYDAJ	VYBER	15	40719	SLUZBY	\N	\N
2256479	7445	1995-08-31	VYDAJ	VYBER	15	16455	SLUZBY	\N	\N
2256480	7445	1995-09-30	VYDAJ	VYBER	15	78280	SLUZBY	\N	\N
2256481	7445	1995-10-31	VYDAJ	VYBER	15	18453	SLUZBY	\N	\N
2256482	7445	1995-11-30	VYDAJ	VYBER	15	13243	SLUZBY	\N	\N
2256483	7445	1995-12-31	VYDAJ	VYBER	15	18125	SLUZBY	\N	\N
2256484	7445	1996-01-31	VYDAJ	VYBER	15	48434	SLUZBY	\N	\N
2256485	7445	1996-02-29	VYDAJ	VYBER	15	87681	SLUZBY	\N	\N
2256486	7445	1996-03-31	VYDAJ	VYBER	15	85829	SLUZBY	\N	\N
2256487	7445	1996-04-30	VYDAJ	VYBER	15	77190	SLUZBY	\N	\N
2256488	7445	1996-05-31	VYDAJ	VYBER	15	45509	SLUZBY	\N	\N
2256489	7445	1996-06-30	VYDAJ	VYBER	15	17733	SLUZBY	\N	\N
2256490	7445	1996-07-31	VYDAJ	VYBER	15	35339	SLUZBY	\N	\N
2256491	7445	1996-08-31	VYDAJ	VYBER	15	21460	SLUZBY	\N	\N
2256492	7445	1996-09-30	VYDAJ	VYBER	15	17618	SLUZBY	\N	\N
2256493	7445	1996-10-31	VYDAJ	VYBER	15	108277	SLUZBY	\N	\N
2256494	7445	1996-11-30	VYDAJ	VYBER	15	43435	SLUZBY	\N	\N
2256495	7445	1996-12-31	VYDAJ	VYBER	15	72362	SLUZBY	\N	\N
2256496	7445	1997-01-31	VYDAJ	VYBER	15	27433	SLUZBY	\N	\N
2256497	7445	1997-02-28	VYDAJ	VYBER	15	39686	SLUZBY	\N	\N
2256498	7445	1997-03-31	VYDAJ	VYBER	15	45284	SLUZBY	\N	\N
2256499	7445	1997-04-30	VYDAJ	VYBER	15	6805	SLUZBY	\N	\N
2256500	7445	1997-05-31	VYDAJ	VYBER	15	11992	SLUZBY	\N	\N
2256501	7445	1997-06-30	VYDAJ	VYBER	15	27447	SLUZBY	\N	\N
2256502	7445	1997-07-31	VYDAJ	VYBER	15	31604	SLUZBY	\N	\N
2256503	7445	1997-08-31	VYDAJ	VYBER	15	22400	SLUZBY	\N	\N
2256504	7445	1997-09-30	VYDAJ	VYBER	15	53472	SLUZBY	\N	\N
2256505	7445	1997-10-31	VYDAJ	VYBER	15	46978	SLUZBY	\N	\N
2256506	7445	1997-11-30	VYDAJ	VYBER	15	24622	SLUZBY	\N	\N
2256507	7445	1997-12-31	VYDAJ	VYBER	15	24734	SLUZBY	\N	\N
2256508	7445	1998-01-31	VYDAJ	VYBER	15	9365	SLUZBY	\N	\N
2256509	7445	1998-02-28	VYDAJ	VYBER	15	9058	SLUZBY	\N	\N
2256510	7445	1998-03-31	VYDAJ	VYBER	15	8956	SLUZBY	\N	\N
2256511	7445	1998-04-30	VYDAJ	VYBER	15	32751	SLUZBY	\N	\N
2256514	7445	1998-07-31	VYDAJ	VYBER	15	8929	SLUZBY	\N	\N
2256515	7445	1998-08-31	VYDAJ	VYBER	15	73125	SLUZBY	\N	\N
2256516	7445	1998-09-30	VYDAJ	VYBER	15	39329	SLUZBY	\N	\N
2256517	7445	1998-10-31	VYDAJ	VYBER	15	42447	SLUZBY	\N	\N
2256518	7445	1998-11-30	VYDAJ	VYBER	15	11982	SLUZBY	\N	\N
2256519	7445	1993-04-17	PRIJEM	VKLAD	100	26854	\N	\N	\N
2256520	7445	1993-05-17	VYDAJ	VYBER	23200	51574	\N	\N	\N
2256521	7445	1993-06-05	VYDAJ	VYBER	17800	95551	\N	\N	\N
2256522	7445	1993-06-16	VYDAJ	VYBER	34100	59651	\N	\N	\N
2256523	7445	1993-07-16	VYDAJ	VYBER	24100	52522	\N	\N	\N
2256524	7445	1993-08-15	VYDAJ	VYBER	15700	47674	\N	\N	\N
2256525	7445	1993-09-14	VYDAJ	VYBER	22100	47477	\N	\N	\N
2256526	7445	1993-10-14	VYDAJ	VYBER	9800	35585	\N	\N	\N
2256527	7445	1993-11-13	VYDAJ	VYBER	9100	38872	\N	\N	\N
2256528	7445	1993-12-13	VYDAJ	VYBER	27200	54138	\N	\N	\N
2256529	7445	1994-01-12	PRIJEM	VKLAD	13200	16776	\N	\N	\N
2256530	7445	1994-02-11	VYDAJ	VYBER	1100	23034	\N	\N	\N
2256531	7445	1994-03-13	PRIJEM	VKLAD	10100	12414	\N	\N	\N
2256532	7445	1994-04-12	PRIJEM	VKLAD	700	25490	\N	\N	\N
2256533	7445	1994-05-12	PRIJEM	VKLAD	9000	20974	\N	\N	\N
2256534	7445	1994-06-11	PRIJEM	VKLAD	4500	23269	\N	\N	\N
2256535	7445	1994-07-11	VYDAJ	VYBER	6300	30005	\N	\N	\N
2256536	7445	1994-08-10	PRIJEM	VKLAD	9100	19858	\N	\N	\N
2256537	7445	1994-09-09	PRIJEM	VKLAD	5700	21831	\N	\N	\N
2256538	7445	1994-10-09	PRIJEM	VKLAD	2400	22046	\N	\N	\N
2256539	7445	1994-11-08	PRIJEM	VKLAD	12600	12790	\N	\N	\N
2256540	7445	1994-12-08	PRIJEM	VKLAD	8600	19105	\N	\N	\N
2256541	7445	1995-01-07	PRIJEM	VKLAD	13600	16795	\N	\N	\N
2256542	7445	1995-02-06	PRIJEM	VKLAD	11100	13324	\N	\N	\N
2256543	7445	1995-03-08	VYDAJ	VYBER	4800	34284	\N	\N	\N
2256544	7445	1995-04-07	PRIJEM	VKLAD	900	25562	\N	\N	\N
2256545	7445	1995-06-06	VYDAJ	VYBER	15400	39974	\N	\N	\N
2256546	7445	1995-06-13	VYDAJ	VYBER	21400	92346	\N	\N	\N
2256547	7445	1995-07-06	VYDAJ	VYBER	19500	42667	\N	\N	\N
2256548	7445	1995-08-05	VYDAJ	VYBER	4600	36119	\N	\N	\N
2256549	7445	1995-09-04	PRIJEM	VKLAD	2400	18855	\N	\N	\N
2256550	7445	1995-10-04	VYDAJ	VYBER	27400	50880	\N	\N	\N
2256551	7445	1995-11-03	PRIJEM	VKLAD	4500	22953	\N	\N	\N
2256552	7445	1995-12-03	PRIJEM	VKLAD	10100	23343	\N	\N	\N
2256553	7445	1996-01-02	PRIJEM	VKLAD	6600	24725	\N	\N	\N
2256554	7445	1996-02-01	VYDAJ	VYBER	6800	41634	\N	\N	\N
2256555	7445	1996-03-02	VYDAJ	VYBER	30100	57581	\N	\N	\N
2256556	7445	1996-04-01	VYDAJ	VYBER	29000	56829	\N	\N	\N
2256557	7445	1996-04-06	VYDAJ	VYBER	63600	85209	\N	\N	\N
2256558	7445	1996-04-27	VYDAJ	VYBER	49100	84671	\N	\N	\N
2256559	7445	1996-04-28	VYDAJ	VYBER	36900	76511	\N	\N	\N
2256560	7445	1996-05-01	VYDAJ	VYBER	16400	44130	\N	\N	\N
2256561	7445	1996-05-30	VYDAJ	VYBER	50200	64732	\N	\N	\N
2256562	7445	1996-05-31	VYDAJ	VYBER	19500	45523	\N	\N	\N
2256563	7445	1996-06-30	PRIJEM	VKLAD	2500	17519	\N	\N	\N
2256564	7445	1996-07-30	VYDAJ	VYBER	13800	35208	\N	\N	\N
2256565	7445	1996-08-29	VYDAJ	VYBER	1800	21334	\N	\N	\N
2256566	7445	1996-09-28	VYDAJ	VYBER	1600	17560	\N	\N	\N
2256567	7445	1996-10-28	VYDAJ	VYBER	42600	59044	\N	\N	\N
2256568	7445	1996-11-15	VYDAJ	VYBER	21300	131583	\N	\N	\N
2256569	7445	1996-11-19	VYDAJ	VYBER	33600	110293	\N	\N	\N
2256570	7445	1996-11-27	VYDAJ	VYBER	35200	42661	\N	\N	\N
2256571	7445	1996-12-20	VYDAJ	VYBER	40700	113141	\N	\N	\N
2256572	7445	1996-12-27	VYDAJ	VYBER	20400	77741	\N	\N	\N
2256573	7445	1996-12-27	VYDAJ	VYBER	59800	98141	\N	\N	\N
2256574	7445	1997-01-26	VYDAJ	VYBER	15600	35798	\N	\N	\N
2256575	7445	1997-02-25	VYDAJ	VYBER	23400	39419	\N	\N	\N
2256576	7445	1997-03-27	VYDAJ	VYBER	6700	23881	\N	\N	\N
2256577	7445	1997-04-26	VYDAJ	VYBER	12900	24680	\N	\N	\N
2256578	7445	1997-05-26	PRIJEM	VKLAD	5200	12005	\N	\N	\N
2256579	7445	1997-06-25	VYDAJ	VYBER	8400	27290	\N	\N	\N
2256580	7445	1997-07-25	VYDAJ	VYBER	18400	31460	\N	\N	\N
2256581	7445	1997-08-24	VYDAJ	VYBER	7200	22304	\N	\N	\N
2256582	7445	1997-09-23	VYDAJ	VYBER	43600	53074	\N	\N	\N
2256583	7445	1997-10-02	VYDAJ	VYBER	22900	90273	\N	\N	\N
2256584	7445	1997-10-12	VYDAJ	VYBER	16300	97687	\N	\N	\N
2256585	7445	1997-10-20	VYDAJ	VYBER	18100	125183	\N	\N	\N
2256586	7445	1997-10-23	VYDAJ	VYBER	58600	66583	\N	\N	\N
2256587	7445	1997-11-22	VYDAJ	VYBER	20100	24478	\N	\N	\N
2256588	7445	1997-12-22	VYDAJ	VYBER	10100	12547	\N	\N	\N
2256589	7445	1998-01-21	VYDAJ	VYBER	1900	11434	\N	\N	\N
2256590	7445	1998-02-20	VYDAJ	VYBER	300	9065	\N	\N	\N
2256591	7445	1998-03-22	VYDAJ	VYBER	100	8958	\N	\N	\N
2256592	7445	1998-04-21	VYDAJ	VYBER	2500	6456	\N	\N	\N
2256593	7445	1998-05-21	VYDAJ	VYBER	3900	4980	\N	\N	\N
2256594	7445	1998-06-20	PRIJEM	VKLAD	1700	6797	\N	\N	\N
2256595	7445	1998-07-20	PRIJEM	VKLAD	2200	8969	\N	\N	\N
2256596	7445	1998-08-19	VYDAJ	VYBER	1600	7329	\N	\N	\N
2256597	7445	1998-09-18	VYDAJ	VYBER	31800	38925	\N	\N	\N
2256598	7445	1998-10-18	VYDAJ	VYBER	38100	42094	\N	\N	\N
2256599	7445	1998-11-17	VYDAJ	VYBER	7500	14236	\N	\N	\N
2256600	7445	1998-12-17	VYDAJ	VYBER	17000	21879	\N	\N	\N
2257488	7449	1993-11-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2257500	7449	1993-12-07	PRIJEM	VKLAD	7779	8879	\N	\N	\N
2257501	7449	1994-01-07	PRIJEM	VKLAD	5186	21097	\N	\N	\N
2257502	7449	1994-02-07	PRIJEM	VKLAD	5186	29786	\N	\N	\N
2257503	7449	1994-03-07	PRIJEM	VKLAD	5186	32802	\N	\N	\N
2257504	7449	1994-04-07	PRIJEM	VKLAD	5186	36335	\N	\N	\N
2257505	7449	1994-05-07	PRIJEM	VKLAD	5186	37467	\N	\N	\N
2257506	7449	1994-06-07	PRIJEM	VKLAD	7779	35770	\N	\N	\N
2257507	7449	1994-07-07	PRIJEM	VKLAD	5186	33894	\N	\N	\N
2257508	7449	1994-08-07	PRIJEM	VKLAD	5186	34304	\N	\N	\N
2257509	7449	1994-09-07	PRIJEM	VKLAD	5186	38021	\N	\N	\N
2257510	7449	1994-10-07	PRIJEM	VKLAD	5186	35163	\N	\N	\N
2257511	7449	1994-11-07	PRIJEM	VKLAD	5186	33395	\N	\N	\N
2257512	7449	1994-12-07	PRIJEM	VKLAD	7779	35114	\N	\N	\N
2257513	7449	1995-01-07	PRIJEM	VKLAD	5186	33428	\N	\N	\N
2257514	7449	1995-02-07	PRIJEM	VKLAD	5186	32162	\N	\N	\N
2257515	7449	1995-03-07	PRIJEM	VKLAD	5186	26776	\N	\N	\N
2257516	7449	1995-04-07	PRIJEM	VKLAD	5186	28876	\N	\N	\N
2257517	7449	1995-05-07	PRIJEM	VKLAD	5186	32045	\N	\N	\N
2257518	7449	1995-06-07	PRIJEM	VKLAD	7779	35124	\N	\N	\N
2257519	7449	1995-07-07	PRIJEM	VKLAD	5186	16570	\N	\N	\N
2257520	7449	1995-08-07	PRIJEM	VKLAD	5186	21448	\N	\N	\N
2257521	7449	1995-09-07	PRIJEM	VKLAD	5186	28673	\N	\N	\N
2257522	7449	1995-10-07	PRIJEM	VKLAD	5186	30754	\N	\N	\N
2257523	7449	1995-11-07	PRIJEM	VKLAD	5186	34595	\N	\N	\N
2257524	7449	1995-12-07	PRIJEM	VKLAD	7779	39251	\N	\N	\N
2257525	7449	1996-01-07	PRIJEM	VKLAD	5186	22048	\N	\N	\N
2257526	7449	1996-02-07	PRIJEM	VKLAD	5186	29590	\N	\N	\N
2257527	7449	1996-03-07	PRIJEM	VKLAD	5186	34134	\N	\N	\N
2257528	7449	1996-04-07	PRIJEM	VKLAD	5186	38619	\N	\N	\N
2257529	7449	1996-05-07	PRIJEM	VKLAD	5186	42071	\N	\N	\N
2257530	7449	1996-06-07	PRIJEM	VKLAD	7779	13340	\N	\N	\N
2257531	7449	1996-07-07	PRIJEM	VKLAD	5186	28008	\N	\N	\N
2257532	7449	1996-08-07	PRIJEM	VKLAD	5186	37504	\N	\N	\N
2257533	7449	1996-09-07	PRIJEM	VKLAD	5186	45370	\N	\N	\N
2257534	7449	1996-10-07	PRIJEM	VKLAD	5186	48276	\N	\N	\N
2257535	7449	1996-11-07	PRIJEM	VKLAD	5186	47686	\N	\N	\N
2257536	7449	1996-12-07	PRIJEM	VKLAD	7779	47480	\N	\N	\N
2257537	7449	1997-01-07	PRIJEM	VKLAD	5186	51545	\N	\N	\N
2257538	7449	1997-02-07	PRIJEM	VKLAD	5186	46832	\N	\N	\N
2257539	7449	1997-03-07	PRIJEM	VKLAD	5186	52316	\N	\N	\N
2257540	7449	1997-04-07	PRIJEM	VKLAD	5186	54925	\N	\N	\N
2257541	7449	1997-05-07	PRIJEM	VKLAD	5186	53807	\N	\N	\N
2257542	7449	1997-06-07	PRIJEM	VKLAD	7779	54715	\N	\N	\N
2257543	7449	1997-07-07	PRIJEM	VKLAD	5186	34725	\N	\N	\N
2257544	7449	1997-08-07	PRIJEM	VKLAD	5186	46014	\N	\N	\N
2257545	7449	1997-09-07	PRIJEM	VKLAD	5186	50015	\N	\N	\N
2257546	7449	1997-10-07	PRIJEM	VKLAD	5186	52854	\N	\N	\N
2257547	7449	1997-11-07	PRIJEM	VKLAD	5186	50486	\N	\N	\N
2257548	7449	1997-12-07	PRIJEM	VKLAD	7779	43787	\N	\N	\N
2257549	7449	1998-01-07	PRIJEM	VKLAD	5186	41597	\N	\N	\N
2257550	7449	1998-02-07	PRIJEM	VKLAD	5186	34815	\N	\N	\N
2257551	7449	1998-03-07	PRIJEM	VKLAD	5186	36939	\N	\N	\N
2257552	7449	1998-04-07	PRIJEM	VKLAD	5186	36969	\N	\N	\N
2257553	7449	1998-05-07	PRIJEM	VKLAD	5186	37497	\N	\N	\N
2257554	7449	1998-06-07	PRIJEM	VKLAD	7779	38240	\N	\N	\N
2257555	7449	1998-07-07	PRIJEM	VKLAD	5186	41742	\N	\N	\N
2257556	7449	1998-08-07	PRIJEM	VKLAD	5186	45174	\N	\N	\N
2257557	7449	1998-09-07	PRIJEM	VKLAD	5186	46691	\N	\N	\N
2257558	7449	1998-10-07	PRIJEM	VKLAD	5186	49115	\N	\N	\N
2257559	7449	1998-11-07	PRIJEM	VKLAD	5186	43292	\N	\N	\N
2257560	7449	1998-12-07	PRIJEM	VKLAD	7779	47647	\N	\N	\N
2257563	7449	1995-06-09	VYDAJ	VYBER	36480	-1356	\N	\N	\N
2257564	7449	1996-06-05	VYDAJ	VYBER	35200	5561	\N	\N	\N
2257565	7449	1997-06-12	VYDAJ	VYBER	38080	16635	\N	\N	\N
2257569	7449	1995-01-14	VYDAJ	VYBER	6560	26868	\N	\N	\N
2257570	7449	1996-01-06	VYDAJ	VYBER	14560	16862	\N	\N	\N
2257571	7449	1997-01-20	VYDAJ	VYBER	11200	41245	\N	\N	\N
2257572	7449	1998-01-15	VYDAJ	VYBER	3040	38557	\N	\N	\N
2257574	7449	1994-12-15	VYDAJ	VYBER	1440	33674	\N	\N	\N
2257575	7449	1995-12-17	VYDAJ	VYBER	960	31191	\N	\N	\N
2257576	7449	1996-12-02	VYDAJ	VYBER	2560	39701	\N	\N	\N
2257577	7449	1997-12-10	VYDAJ	VYBER	4160	39627	\N	\N	\N
2257578	7449	1998-12-06	VYDAJ	VYBER	1280	39868	\N	\N	\N
2257586	7449	1994-05-24	VYDAJ	VYBER	720	27847	\N	\N	\N
2257589	7449	1995-05-20	VYDAJ	VYBER	840	27205	\N	\N	\N
2257590	7449	1995-07-15	VYDAJ	VYBER	3480	13090	\N	\N	\N
2257591	7449	1995-02-22	VYDAJ	VYBER	4560	21402	\N	\N	\N
2257592	7449	1995-09-23	VYDAJ	VYBER	840	25433	\N	\N	\N
2257593	7449	1996-10-06	VYDAJ	VYBER	1800	43090	\N	\N	\N
2257594	7449	1996-11-09	VYDAJ	VYBER	3000	41986	\N	\N	\N
2257595	7449	1996-03-07	VYDAJ	VYBER	720	33414	\N	\N	\N
2257596	7449	1996-06-25	VYDAJ	VYBER	4680	22660	\N	\N	\N
2257597	7449	1996-10-10	VYDAJ	VYBER	4560	42216	\N	\N	\N
2257598	7449	1997-11-16	VYDAJ	VYBER	3120	43766	\N	\N	\N
2257599	7449	1997-06-25	VYDAJ	VYBER	5280	11355	\N	\N	\N
2257600	7449	1997-11-07	VYDAJ	VYBER	3600	46886	\N	\N	\N
2257601	7449	1997-01-03	VYDAJ	VYBER	960	46359	\N	\N	\N
2257602	7449	1998-10-31	VYDAJ	VYBER	5160	38106	\N	\N	\N
2257603	7449	1998-06-11	VYDAJ	VYBER	600	37640	\N	\N	\N
2257604	7449	1998-05-14	VYDAJ	VYBER	3240	34257	\N	\N	\N
2257605	7449	1998-11-23	VYDAJ	VYBER	1200	42092	\N	\N	\N
2257622	7449	1994-04-30	VYDAJ	VYBER	15	32281	SLUZBY	\N	\N
2257623	7449	1994-05-31	VYDAJ	VYBER	15	27991	SLUZBY	\N	\N
2257624	7449	1994-06-30	VYDAJ	VYBER	15	28708	SLUZBY	\N	\N
2257625	7449	1994-07-31	VYDAJ	VYBER	15	29118	SLUZBY	\N	\N
2257626	7449	1994-08-31	VYDAJ	VYBER	15	32835	SLUZBY	\N	\N
2257627	7449	1994-09-30	VYDAJ	VYBER	15	29977	SLUZBY	\N	\N
2257628	7449	1994-10-31	VYDAJ	VYBER	15	28209	SLUZBY	\N	\N
2257629	7449	1994-11-30	VYDAJ	VYBER	15	27335	SLUZBY	\N	\N
2257630	7449	1994-12-31	VYDAJ	VYBER	15	28242	SLUZBY	\N	\N
2257631	7449	1995-01-31	VYDAJ	VYBER	15	26976	SLUZBY	\N	\N
2257632	7449	1995-02-28	VYDAJ	VYBER	15	21590	SLUZBY	\N	\N
2257633	7449	1995-03-31	VYDAJ	VYBER	15	23690	SLUZBY	\N	\N
2257634	7449	1995-04-30	VYDAJ	VYBER	15	26859	SLUZBY	\N	\N
2257635	7449	1995-05-31	VYDAJ	VYBER	15	27345	SLUZBY	\N	\N
2257636	7449	1995-06-30	VYDAJ	VYBER	15	11397	SLUZBY	\N	\N
2257637	7449	1995-07-31	VYDAJ	VYBER	15	16262	SLUZBY	\N	\N
2257638	7449	1995-08-31	VYDAJ	VYBER	15	23487	SLUZBY	\N	\N
2257639	7449	1995-09-30	VYDAJ	VYBER	15	25568	SLUZBY	\N	\N
2257640	7449	1995-10-31	VYDAJ	VYBER	15	29409	SLUZBY	\N	\N
2257641	7449	1995-11-30	VYDAJ	VYBER	15	31472	SLUZBY	\N	\N
2257642	7449	1995-12-31	VYDAJ	VYBER	15	31422	SLUZBY	\N	\N
2257643	7449	1996-01-31	VYDAJ	VYBER	15	24404	SLUZBY	\N	\N
2257644	7449	1996-02-29	VYDAJ	VYBER	15	28948	SLUZBY	\N	\N
2257645	7449	1996-03-31	VYDAJ	VYBER	15	33433	SLUZBY	\N	\N
2257646	7449	1996-04-30	VYDAJ	VYBER	15	36885	SLUZBY	\N	\N
2257647	7449	1996-05-31	VYDAJ	VYBER	15	40761	SLUZBY	\N	\N
2257648	7449	1996-06-30	VYDAJ	VYBER	15	22822	SLUZBY	\N	\N
2257649	7449	1996-07-31	VYDAJ	VYBER	15	32318	SLUZBY	\N	\N
2257650	7449	1996-08-31	VYDAJ	VYBER	15	40184	SLUZBY	\N	\N
2257651	7449	1996-09-30	VYDAJ	VYBER	15	44890	SLUZBY	\N	\N
2257652	7449	1996-10-31	VYDAJ	VYBER	15	42500	SLUZBY	\N	\N
2257653	7449	1996-11-30	VYDAJ	VYBER	15	42261	SLUZBY	\N	\N
2257654	7449	1996-12-31	VYDAJ	VYBER	15	47319	SLUZBY	\N	\N
2257655	7449	1997-01-31	VYDAJ	VYBER	15	41546	SLUZBY	\N	\N
2257656	7449	1997-02-28	VYDAJ	VYBER	15	47130	SLUZBY	\N	\N
2257657	7449	1997-03-31	VYDAJ	VYBER	15	49739	SLUZBY	\N	\N
2257658	7449	1997-04-30	VYDAJ	VYBER	15	48621	SLUZBY	\N	\N
2257659	7449	1997-05-31	VYDAJ	VYBER	15	46036	SLUZBY	\N	\N
2257660	7449	1997-06-30	VYDAJ	VYBER	15	11539	SLUZBY	\N	\N
2257661	7449	1997-07-31	VYDAJ	VYBER	15	34928	SLUZBY	\N	\N
2257662	7449	1997-08-31	VYDAJ	VYBER	15	46329	SLUZBY	\N	\N
2257663	7449	1997-09-30	VYDAJ	VYBER	15	50368	SLUZBY	\N	\N
2257664	7449	1997-10-31	VYDAJ	VYBER	15	53200	SLUZBY	\N	\N
2257665	7449	1997-11-30	VYDAJ	VYBER	15	44108	SLUZBY	\N	\N
2257666	7449	1997-12-31	VYDAJ	VYBER	15	39911	SLUZBY	\N	\N
2257667	7449	1998-01-31	VYDAJ	VYBER	15	38829	SLUZBY	\N	\N
2257668	7449	1998-02-28	VYDAJ	VYBER	15	35053	SLUZBY	\N	\N
2257669	7449	1998-03-31	VYDAJ	VYBER	15	37183	SLUZBY	\N	\N
2257670	7449	1998-04-30	VYDAJ	VYBER	15	37211	SLUZBY	\N	\N
2257671	7449	1998-05-31	VYDAJ	VYBER	15	34461	SLUZBY	\N	\N
2257672	7449	1998-06-30	VYDAJ	VYBER	15	37856	SLUZBY	\N	\N
2257673	7449	1998-07-31	VYDAJ	VYBER	15	39988	SLUZBY	\N	\N
2257674	7449	1998-08-31	VYDAJ	VYBER	15	41505	SLUZBY	\N	\N
2257675	7449	1998-09-30	VYDAJ	VYBER	15	43929	SLUZBY	\N	\N
2257676	7449	1998-10-31	VYDAJ	VYBER	15	43266	SLUZBY	\N	\N
2257677	7449	1998-11-30	VYDAJ	VYBER	15	41148	SLUZBY	\N	\N
2257678	7449	1993-12-24	PRIJEM	VKLAD	7000	15879	\N	\N	\N
2257679	7449	1994-01-23	PRIJEM	VKLAD	3400	24497	\N	\N	\N
2257680	7449	1994-02-22	VYDAJ	VYBER	2300	27486	\N	\N	\N
2257681	7449	1994-03-24	VYDAJ	VYBER	1800	31002	\N	\N	\N
2257682	7449	1994-04-23	VYDAJ	VYBER	4200	32135	\N	\N	\N
2257683	7449	1994-05-23	VYDAJ	VYBER	8900	28567	\N	\N	\N
2257684	7449	1994-06-22	VYDAJ	VYBER	7200	28570	\N	\N	\N
2257685	7449	1994-07-22	VYDAJ	VYBER	5000	28894	\N	\N	\N
2257686	7449	1994-08-21	VYDAJ	VYBER	1700	32604	\N	\N	\N
2257687	7449	1994-09-20	VYDAJ	VYBER	8200	29821	\N	\N	\N
2257688	7449	1994-10-20	VYDAJ	VYBER	7100	28063	\N	\N	\N
2257689	7449	1994-11-19	VYDAJ	VYBER	6200	27195	\N	\N	\N
2257690	7449	1994-12-19	VYDAJ	VYBER	5600	28074	\N	\N	\N
2257691	7449	1995-01-18	VYDAJ	VYBER	100	26768	\N	\N	\N
2257692	7449	1995-02-17	VYDAJ	VYBER	6200	25962	\N	\N	\N
2257693	7449	1995-03-19	VYDAJ	VYBER	3200	23576	\N	\N	\N
2257694	7449	1995-04-18	VYDAJ	VYBER	2200	26676	\N	\N	\N
2257695	7449	1995-05-18	VYDAJ	VYBER	4000	28045	\N	\N	\N
2257696	7449	1995-06-17	PRIJEM	VKLAD	12700	11344	\N	\N	\N
2257697	7449	1995-07-17	PRIJEM	VKLAD	3100	16190	\N	\N	\N
2257698	7449	1995-08-16	PRIJEM	VKLAD	1900	23348	\N	\N	\N
2257699	7449	1995-09-15	VYDAJ	VYBER	2400	26273	\N	\N	\N
2257700	7449	1995-10-15	VYDAJ	VYBER	1500	29254	\N	\N	\N
2257701	7449	1995-11-14	VYDAJ	VYBER	3300	31295	\N	\N	\N
2257702	7449	1995-12-14	VYDAJ	VYBER	7100	32151	\N	\N	\N
2257703	7449	1996-01-13	PRIJEM	VKLAD	2200	24248	\N	\N	\N
2257704	7449	1996-02-12	VYDAJ	VYBER	800	28790	\N	\N	\N
2257705	7449	1996-03-13	VYDAJ	VYBER	200	33214	\N	\N	\N
2257706	7449	1996-04-12	VYDAJ	VYBER	2000	36619	\N	\N	\N
2257707	7449	1996-05-12	VYDAJ	VYBER	1600	40471	\N	\N	\N
2257708	7449	1996-06-11	PRIJEM	VKLAD	14000	27340	\N	\N	\N
2257709	7449	1996-07-11	PRIJEM	VKLAD	4100	32108	\N	\N	\N
2257710	7449	1996-08-10	PRIJEM	VKLAD	2400	39904	\N	\N	\N
2257711	7449	1996-09-09	VYDAJ	VYBER	800	44570	\N	\N	\N
2257712	7449	1996-10-09	VYDAJ	VYBER	1500	46776	\N	\N	\N
2257713	7449	1996-11-08	VYDAJ	VYBER	2700	44986	\N	\N	\N
2257714	7449	1996-12-08	VYDAJ	VYBER	500	46980	\N	\N	\N
2257715	7449	1997-01-07	PRIJEM	VKLAD	900	52445	\N	\N	\N
2257716	7449	1997-02-06	PRIJEM	VKLAD	100	41646	\N	\N	\N
2257717	7449	1997-03-08	VYDAJ	VYBER	2900	49416	\N	\N	\N
2257718	7449	1997-04-07	VYDAJ	VYBER	6700	48225	\N	\N	\N
2257719	7449	1997-05-07	VYDAJ	VYBER	8100	45707	\N	\N	\N
2257720	7449	1997-06-06	PRIJEM	VKLAD	900	46936	\N	\N	\N
2257721	7449	1997-07-06	PRIJEM	VKLAD	18000	29539	\N	\N	\N
2257722	7449	1997-08-05	PRIJEM	VKLAD	5900	40828	\N	\N	\N
2257723	7449	1997-09-04	VYDAJ	VYBER	1500	44829	\N	\N	\N
2257724	7449	1997-10-04	VYDAJ	VYBER	2700	47668	\N	\N	\N
2257725	7449	1997-11-03	VYDAJ	VYBER	7900	45300	\N	\N	\N
2257726	7449	1997-12-03	VYDAJ	VYBER	8100	36008	\N	\N	\N
2257727	7449	1998-01-02	VYDAJ	VYBER	3500	36411	\N	\N	\N
2257728	7449	1998-02-01	VYDAJ	VYBER	9200	29629	\N	\N	\N
2257729	7449	1998-03-03	VYDAJ	VYBER	3300	31753	\N	\N	\N
2257730	7449	1998-04-02	VYDAJ	VYBER	5400	31783	\N	\N	\N
2257731	7449	1998-05-02	VYDAJ	VYBER	4900	32311	\N	\N	\N
2257732	7449	1998-06-01	VYDAJ	VYBER	4000	30461	\N	\N	\N
2257733	7449	1998-07-01	VYDAJ	VYBER	1300	36556	\N	\N	\N
2257734	7449	1998-07-31	VYDAJ	VYBER	2000	40003	\N	\N	\N
2257735	7449	1998-08-30	VYDAJ	VYBER	3800	41374	\N	\N	\N
2257736	7449	1998-09-29	VYDAJ	VYBER	2900	43791	\N	\N	\N
2257737	7449	1998-10-29	VYDAJ	VYBER	6000	43115	\N	\N	\N
2257738	7449	1998-11-28	VYDAJ	VYBER	1100	40992	\N	\N	\N
2258770	7454	1993-04-19	PRIJEM	VKLAD	500	500	\N	\N	\N
2258775	7454	1993-05-08	PRIJEM	VKLAD	4166	4666	\N	\N	\N
2258776	7454	1993-06-08	PRIJEM	VKLAD	6249	21442	\N	\N	\N
2258777	7454	1993-07-08	PRIJEM	VKLAD	4166	29289	\N	\N	\N
2258778	7454	1993-08-08	PRIJEM	VKLAD	4166	31463	\N	\N	\N
2258779	7454	1993-09-08	PRIJEM	VKLAD	4166	29942	\N	\N	\N
2258780	7454	1993-10-08	PRIJEM	VKLAD	4166	30434	\N	\N	\N
2258781	7454	1993-11-08	PRIJEM	VKLAD	4166	21658	\N	\N	\N
2258782	7454	1993-12-08	PRIJEM	VKLAD	6249	27110	\N	\N	\N
2258783	7454	1994-01-08	PRIJEM	VKLAD	4166	21148	\N	\N	\N
2258784	7454	1994-02-08	PRIJEM	VKLAD	4166	16218	\N	\N	\N
2258785	7454	1994-03-08	PRIJEM	VKLAD	4166	21669	\N	\N	\N
2258786	7454	1994-04-08	PRIJEM	VKLAD	4166	25840	\N	\N	\N
2258787	7454	1994-05-08	PRIJEM	VKLAD	4166	28125	\N	\N	\N
2258788	7454	1994-06-08	PRIJEM	VKLAD	6249	31039	\N	\N	\N
2258789	7454	1994-07-08	PRIJEM	VKLAD	4166	28670	\N	\N	\N
2258790	7454	1994-08-08	PRIJEM	VKLAD	4166	25129	\N	\N	\N
2258791	7454	1994-09-08	PRIJEM	VKLAD	4166	24480	\N	\N	\N
2258792	7454	1994-10-08	PRIJEM	VKLAD	4166	22224	\N	\N	\N
2258793	7454	1994-11-08	PRIJEM	VKLAD	4166	22768	\N	\N	\N
2258794	7454	1994-12-08	PRIJEM	VKLAD	6249	21985	\N	\N	\N
2258795	7454	1995-01-08	PRIJEM	VKLAD	4166	16872	\N	\N	\N
2258796	7454	1995-02-08	PRIJEM	VKLAD	4166	17076	\N	\N	\N
2258797	7454	1995-03-08	PRIJEM	VKLAD	4166	16694	\N	\N	\N
2258798	7454	1995-04-08	PRIJEM	VKLAD	4166	15308	\N	\N	\N
2258799	7454	1995-05-08	PRIJEM	VKLAD	4166	15420	\N	\N	\N
2258800	7454	1995-06-08	PRIJEM	VKLAD	6249	17716	\N	\N	\N
2258801	7454	1995-07-08	PRIJEM	VKLAD	4166	14227	\N	\N	\N
2258802	7454	1995-08-08	PRIJEM	VKLAD	4166	14334	\N	\N	\N
2258803	7454	1995-09-08	PRIJEM	VKLAD	4166	14442	\N	\N	\N
2258804	7454	1995-10-08	PRIJEM	VKLAD	4166	14553	\N	\N	\N
2258805	7454	1995-11-08	PRIJEM	VKLAD	4166	14662	\N	\N	\N
2258806	7454	1995-12-08	PRIJEM	VKLAD	6249	16855	\N	\N	\N
2258807	7454	1996-01-08	PRIJEM	VKLAD	4166	14271	\N	\N	\N
2258808	7454	1996-02-08	PRIJEM	VKLAD	4166	16980	\N	\N	\N
2258809	7454	1996-03-08	PRIJEM	VKLAD	4166	16597	\N	\N	\N
2258810	7454	1996-04-08	PRIJEM	VKLAD	4166	16114	\N	\N	\N
2258811	7454	1996-05-08	PRIJEM	VKLAD	4166	18029	\N	\N	\N
2258812	7454	1996-06-08	PRIJEM	VKLAD	6249	20234	\N	\N	\N
2258813	7454	1996-07-08	PRIJEM	VKLAD	4166	16155	\N	\N	\N
2258814	7454	1996-08-08	PRIJEM	VKLAD	4166	16271	\N	\N	\N
2258815	7454	1996-09-08	PRIJEM	VKLAD	4166	16386	\N	\N	\N
2258816	7454	1996-10-08	PRIJEM	VKLAD	4166	16501	\N	\N	\N
2258817	7454	1996-11-08	PRIJEM	VKLAD	4166	14518	\N	\N	\N
2258818	7454	1996-12-08	PRIJEM	VKLAD	6249	16712	\N	\N	\N
2258819	7454	1997-01-08	PRIJEM	VKLAD	4166	15707	\N	\N	\N
2258820	7454	1997-02-08	PRIJEM	VKLAD	4166	14977	\N	\N	\N
2258821	7454	1997-03-08	PRIJEM	VKLAD	4166	15087	\N	\N	\N
2258822	7454	1997-04-08	PRIJEM	VKLAD	4166	16298	\N	\N	\N
2258823	7454	1997-05-08	PRIJEM	VKLAD	4166	14813	\N	\N	\N
2258824	7454	1997-06-08	PRIJEM	VKLAD	6249	17006	\N	\N	\N
2258825	7454	1997-07-08	PRIJEM	VKLAD	4166	17122	\N	\N	\N
2258826	7454	1997-08-08	PRIJEM	VKLAD	4166	16441	\N	\N	\N
2258827	7454	1997-09-08	PRIJEM	VKLAD	4166	16559	\N	\N	\N
2258828	7454	1997-10-08	PRIJEM	VKLAD	4166	16877	\N	\N	\N
2258829	7454	1997-11-08	PRIJEM	VKLAD	4166	16393	\N	\N	\N
2258830	7454	1997-12-08	PRIJEM	VKLAD	6249	17790	\N	\N	\N
2258831	7454	1998-01-08	PRIJEM	VKLAD	4166	17709	\N	\N	\N
2258832	7454	1998-02-08	PRIJEM	VKLAD	4166	16868	\N	\N	\N
2258833	7454	1998-03-08	PRIJEM	VKLAD	4166	16987	\N	\N	\N
2258834	7454	1998-04-08	PRIJEM	VKLAD	4166	17105	\N	\N	\N
2258835	7454	1998-05-08	PRIJEM	VKLAD	4166	17222	\N	\N	\N
2258836	7454	1998-06-08	PRIJEM	VKLAD	6249	18324	\N	\N	\N
2258837	7454	1998-07-08	PRIJEM	VKLAD	4166	18167	\N	\N	\N
2258838	7454	1998-08-08	PRIJEM	VKLAD	4166	19612	\N	\N	\N
2258839	7454	1998-09-08	PRIJEM	VKLAD	4166	19960	\N	\N	\N
2258840	7454	1998-10-08	PRIJEM	VKLAD	4166	18407	\N	\N	\N
2258841	7454	1998-11-08	PRIJEM	VKLAD	4166	18852	\N	\N	\N
2258842	7454	1998-12-08	PRIJEM	VKLAD	6249	20818	\N	\N	\N
2258852	7454	1993-10-07	VYDAJ	PREVOD NA UCET	2306	26268	SIPO	QR	96140414
2258853	7454	1993-11-07	VYDAJ	PREVOD NA UCET	2306	17492	SIPO	QR	96140414
2258854	7454	1993-12-07	VYDAJ	PREVOD NA UCET	2306	20861	SIPO	QR	96140414
2258855	7454	1994-01-07	VYDAJ	PREVOD NA UCET	2306	19862	SIPO	QR	96140414
2258856	7454	1994-02-07	VYDAJ	PREVOD NA UCET	2306	12052	SIPO	QR	96140414
2258857	7454	1994-03-07	VYDAJ	PREVOD NA UCET	2306	17503	SIPO	QR	96140414
2258858	7454	1994-04-07	VYDAJ	PREVOD NA UCET	2306	21674	SIPO	QR	96140414
2258859	7454	1994-05-07	VYDAJ	PREVOD NA UCET	2306	23959	SIPO	QR	96140414
2258860	7454	1994-06-07	VYDAJ	PREVOD NA UCET	2306	24790	SIPO	QR	96140414
2258861	7454	1994-07-07	VYDAJ	PREVOD NA UCET	2306	24504	SIPO	QR	96140414
2258862	7454	1994-08-07	VYDAJ	PREVOD NA UCET	2306	20963	SIPO	QR	96140414
2258863	7454	1994-09-07	VYDAJ	PREVOD NA UCET	2306	20314	SIPO	QR	96140414
2258864	7454	1994-10-07	VYDAJ	PREVOD NA UCET	2306	18058	SIPO	QR	96140414
2258865	7454	1994-11-07	VYDAJ	PREVOD NA UCET	2306	18602	SIPO	QR	96140414
2258866	7454	1994-12-07	VYDAJ	PREVOD NA UCET	2306	15736	SIPO	QR	96140414
2258867	7454	1995-01-07	VYDAJ	PREVOD NA UCET	2306	12706	SIPO	QR	96140414
2258868	7454	1995-02-07	VYDAJ	PREVOD NA UCET	2306	12910	SIPO	QR	96140414
2258869	7454	1995-03-07	VYDAJ	PREVOD NA UCET	2306	12528	SIPO	QR	96140414
2258870	7454	1995-04-07	VYDAJ	PREVOD NA UCET	2306	11142	SIPO	QR	96140414
2258871	7454	1995-05-07	VYDAJ	PREVOD NA UCET	2306	11254	SIPO	QR	96140414
2258872	7454	1995-06-07	VYDAJ	PREVOD NA UCET	2306	11467	SIPO	QR	96140414
2258873	7454	1995-07-07	VYDAJ	PREVOD NA UCET	2306	9861	SIPO	QR	96140414
2258874	7454	1995-08-07	VYDAJ	PREVOD NA UCET	2306	10168	SIPO	QR	96140414
2258875	7454	1995-09-07	VYDAJ	PREVOD NA UCET	2306	10276	SIPO	QR	96140414
2258876	7454	1995-10-07	VYDAJ	PREVOD NA UCET	2306	10387	SIPO	QR	96140414
2258877	7454	1995-11-07	VYDAJ	PREVOD NA UCET	2306	10496	SIPO	QR	96140414
2258878	7454	1995-12-07	VYDAJ	PREVOD NA UCET	2306	10606	SIPO	QR	96140414
2258879	7454	1996-01-07	VYDAJ	PREVOD NA UCET	2306	10105	SIPO	QR	96140414
2258880	7454	1996-02-07	VYDAJ	PREVOD NA UCET	2306	12814	SIPO	QR	96140414
2258881	7454	1996-03-07	VYDAJ	PREVOD NA UCET	2306	12431	SIPO	QR	96140414
2258882	7454	1996-04-07	VYDAJ	PREVOD NA UCET	2306	11948	SIPO	QR	96140414
2258883	7454	1996-05-07	VYDAJ	PREVOD NA UCET	2306	13863	SIPO	QR	96140414
2258884	7454	1996-06-07	VYDAJ	PREVOD NA UCET	2306	13985	SIPO	QR	96140414
2258885	7454	1996-07-07	VYDAJ	PREVOD NA UCET	2306	11989	SIPO	QR	96140414
2258886	7454	1996-08-07	VYDAJ	PREVOD NA UCET	2306	12105	SIPO	QR	96140414
2258887	7454	1996-09-07	VYDAJ	PREVOD NA UCET	2306	12220	SIPO	QR	96140414
2258888	7454	1996-10-07	VYDAJ	PREVOD NA UCET	2306	12335	SIPO	QR	96140414
2258889	7454	1996-11-07	VYDAJ	PREVOD NA UCET	2306	10352	SIPO	QR	96140414
2258890	7454	1996-12-07	VYDAJ	PREVOD NA UCET	2306	10463	SIPO	QR	96140414
2258891	7454	1997-01-07	VYDAJ	PREVOD NA UCET	2306	11541	SIPO	QR	96140414
2258892	7454	1997-02-07	VYDAJ	PREVOD NA UCET	2306	10811	SIPO	QR	96140414
2258893	7454	1997-03-07	VYDAJ	PREVOD NA UCET	2306	10921	SIPO	QR	96140414
2258894	7454	1997-04-07	VYDAJ	PREVOD NA UCET	2306	12132	SIPO	QR	96140414
2258895	7454	1997-05-07	VYDAJ	PREVOD NA UCET	2306	10647	SIPO	QR	96140414
2258896	7454	1997-06-07	VYDAJ	PREVOD NA UCET	2306	10757	SIPO	QR	96140414
2258897	7454	1997-07-07	VYDAJ	PREVOD NA UCET	2306	12956	SIPO	QR	96140414
2258898	7454	1997-08-07	VYDAJ	PREVOD NA UCET	2306	12275	SIPO	QR	96140414
2258899	7454	1997-09-07	VYDAJ	PREVOD NA UCET	2306	12393	SIPO	QR	96140414
2258900	7454	1997-10-07	VYDAJ	PREVOD NA UCET	2306	12711	SIPO	QR	96140414
2258901	7454	1997-11-07	VYDAJ	PREVOD NA UCET	2306	12227	SIPO	QR	96140414
2258902	7454	1997-12-07	VYDAJ	PREVOD NA UCET	2306	11541	SIPO	QR	96140414
2258903	7454	1998-01-07	VYDAJ	PREVOD NA UCET	2306	13543	SIPO	QR	96140414
2258904	7454	1998-02-07	VYDAJ	PREVOD NA UCET	2306	12702	SIPO	QR	96140414
2258905	7454	1998-03-07	VYDAJ	PREVOD NA UCET	2306	12821	SIPO	QR	96140414
2258906	7454	1998-04-07	VYDAJ	PREVOD NA UCET	2306	12939	SIPO	QR	96140414
2258907	7454	1998-05-07	VYDAJ	PREVOD NA UCET	2306	13056	SIPO	QR	96140414
2258908	7454	1998-06-07	VYDAJ	PREVOD NA UCET	2306	12075	SIPO	QR	96140414
2258909	7454	1998-07-07	VYDAJ	PREVOD NA UCET	2306	14001	SIPO	QR	96140414
2258910	7454	1998-08-07	VYDAJ	PREVOD NA UCET	2306	15446	SIPO	QR	96140414
2258911	7454	1998-09-07	VYDAJ	PREVOD NA UCET	2306	15794	SIPO	QR	96140414
2258912	7454	1998-10-07	VYDAJ	PREVOD NA UCET	2306	14241	SIPO	QR	96140414
2258913	7454	1998-11-07	VYDAJ	PREVOD NA UCET	2306	14686	SIPO	QR	96140414
2258914	7454	1998-12-07	VYDAJ	PREVOD NA UCET	2306	14569	SIPO	QR	96140414
2258923	7454	1993-09-12	VYDAJ	PREVOD NA UCET	471	29471	 	AB	52242457
2258924	7454	1993-10-12	VYDAJ	PREVOD NA UCET	471	28863	 	AB	52242457
2258925	7454	1993-11-12	VYDAJ	PREVOD NA UCET	471	21187	 	AB	52242457
2258926	7454	1993-12-12	VYDAJ	PREVOD NA UCET	471	23399	 	AB	52242457
2258927	7454	1994-01-12	VYDAJ	PREVOD NA UCET	471	20677	 	AB	52242457
2258928	7454	1994-02-12	VYDAJ	PREVOD NA UCET	471	15747	 	AB	52242457
2258929	7454	1994-03-12	VYDAJ	PREVOD NA UCET	471	21198	 	AB	52242457
2258930	7454	1994-04-12	VYDAJ	PREVOD NA UCET	471	25369	 	AB	52242457
2258931	7454	1994-05-12	VYDAJ	PREVOD NA UCET	471	27654	 	AB	52242457
2258932	7454	1994-06-12	VYDAJ	PREVOD NA UCET	471	29249	 	AB	52242457
2258933	7454	1994-07-12	VYDAJ	PREVOD NA UCET	471	28199	 	AB	52242457
2258934	7454	1994-08-12	VYDAJ	PREVOD NA UCET	471	22539	 	AB	52242457
2258935	7454	1994-09-12	VYDAJ	PREVOD NA UCET	471	21609	 	AB	52242457
2258936	7454	1994-10-12	VYDAJ	PREVOD NA UCET	471	20834	 	AB	52242457
2258937	7454	1994-11-12	VYDAJ	PREVOD NA UCET	471	19297	 	AB	52242457
2258938	7454	1994-12-12	VYDAJ	PREVOD NA UCET	471	18795	 	AB	52242457
2258939	7454	1995-01-12	VYDAJ	PREVOD NA UCET	471	16482	 	AB	52242457
2258940	7454	1995-02-12	VYDAJ	PREVOD NA UCET	471	16105	 	AB	52242457
2258941	7454	1995-03-12	VYDAJ	PREVOD NA UCET	471	13404	 	AB	52242457
2258942	7454	1995-04-12	VYDAJ	PREVOD NA UCET	471	13518	 	AB	52242457
2258943	7454	1995-05-12	VYDAJ	PREVOD NA UCET	471	15049	 	AB	52242457
2258944	7454	1995-06-12	VYDAJ	PREVOD NA UCET	471	12126	 	AB	52242457
2258945	7454	1995-07-12	VYDAJ	PREVOD NA UCET	471	13756	 	AB	52242457
2258946	7454	1995-08-12	VYDAJ	PREVOD NA UCET	471	13863	 	AB	52242457
2258947	7454	1995-09-12	VYDAJ	PREVOD NA UCET	471	13971	 	AB	52242457
2258948	7454	1995-10-12	VYDAJ	PREVOD NA UCET	471	12763	 	AB	52242457
2258949	7454	1995-11-12	VYDAJ	PREVOD NA UCET	471	12872	 	AB	52242457
2258950	7454	1995-12-12	VYDAJ	PREVOD NA UCET	471	16384	 	AB	52242457
2258951	7454	1996-01-12	VYDAJ	PREVOD NA UCET	471	13800	 	AB	52242457
2258952	7454	1996-02-12	VYDAJ	PREVOD NA UCET	471	15190	 	AB	52242457
2258953	7454	1996-03-12	VYDAJ	PREVOD NA UCET	471	16126	 	AB	52242457
2258954	7454	1996-04-12	VYDAJ	PREVOD NA UCET	471	14324	 	AB	52242457
2258955	7454	1996-05-12	VYDAJ	PREVOD NA UCET	471	16239	 	AB	52242457
2258956	7454	1996-06-12	VYDAJ	PREVOD NA UCET	471	19763	 	AB	52242457
2258957	7454	1996-07-12	VYDAJ	PREVOD NA UCET	471	14365	 	AB	52242457
2258958	7454	1996-08-12	VYDAJ	PREVOD NA UCET	471	14481	 	AB	52242457
2258959	7454	1996-09-12	VYDAJ	PREVOD NA UCET	471	15915	 	AB	52242457
2258960	7454	1996-10-12	VYDAJ	PREVOD NA UCET	471	14711	 	AB	52242457
2258961	7454	1996-11-12	VYDAJ	PREVOD NA UCET	471	14047	 	AB	52242457
2258962	7454	1996-12-12	VYDAJ	PREVOD NA UCET	471	15121	 	AB	52242457
2258963	7454	1997-01-12	VYDAJ	PREVOD NA UCET	471	13077	 	AB	52242457
2258964	7454	1997-02-12	VYDAJ	PREVOD NA UCET	471	14506	 	AB	52242457
2258965	7454	1997-03-12	VYDAJ	PREVOD NA UCET	471	13297	 	AB	52242457
2258966	7454	1997-04-12	VYDAJ	PREVOD NA UCET	471	14508	 	AB	52242457
2258967	7454	1997-05-12	VYDAJ	PREVOD NA UCET	471	13023	 	AB	52242457
2258968	7454	1997-06-12	VYDAJ	PREVOD NA UCET	471	15216	 	AB	52242457
2258969	7454	1997-07-12	VYDAJ	PREVOD NA UCET	471	15332	 	AB	52242457
2258970	7454	1997-08-12	VYDAJ	PREVOD NA UCET	471	15970	 	AB	52242457
2258971	7454	1997-09-12	VYDAJ	PREVOD NA UCET	471	16088	 	AB	52242457
2258972	7454	1997-10-12	VYDAJ	PREVOD NA UCET	471	15087	 	AB	52242457
2258973	7454	1997-11-12	VYDAJ	PREVOD NA UCET	471	15922	 	AB	52242457
2258974	7454	1997-12-12	VYDAJ	PREVOD NA UCET	471	16000	 	AB	52242457
2258975	7454	1998-01-12	VYDAJ	PREVOD NA UCET	471	15919	 	AB	52242457
2258976	7454	1998-02-12	VYDAJ	PREVOD NA UCET	471	16397	 	AB	52242457
2258977	7454	1998-03-12	VYDAJ	PREVOD NA UCET	471	15197	 	AB	52242457
2258978	7454	1998-04-12	VYDAJ	PREVOD NA UCET	471	16634	 	AB	52242457
2258979	7454	1998-05-12	VYDAJ	PREVOD NA UCET	471	15432	 	AB	52242457
2258980	7454	1998-06-12	VYDAJ	PREVOD NA UCET	471	17853	 	AB	52242457
2258981	7454	1998-07-12	VYDAJ	PREVOD NA UCET	471	17696	 	AB	52242457
2258982	7454	1998-08-12	VYDAJ	PREVOD NA UCET	471	18041	 	AB	52242457
2258983	7454	1998-09-12	VYDAJ	PREVOD NA UCET	471	17989	 	AB	52242457
2258984	7454	1998-10-12	VYDAJ	PREVOD NA UCET	471	17936	 	AB	52242457
2258985	7454	1998-11-12	VYDAJ	PREVOD NA UCET	471	16821	 	AB	52242457
2258986	7454	1998-12-12	VYDAJ	PREVOD NA UCET	471	17347	 	AB	52242457
2258995	7454	1993-09-03	VYDAJ	VYBER	1200	25776	\N	\N	0
2258996	7454	1993-10-08	VYDAJ	VYBER	1100	29334	\N	\N	0
2258997	7454	1993-11-02	VYDAJ	VYBER	1400	19798	\N	\N	0
2258998	7454	1993-12-05	VYDAJ	VYBER	1300	23167	\N	\N	0
2258999	7454	1994-01-12	VYDAJ	VYBER	1000	19677	\N	\N	0
2259000	7454	1994-02-15	VYDAJ	VYBER	1400	20847	\N	\N	0
2259001	7454	1994-03-04	VYDAJ	VYBER	1100	19809	\N	\N	0
2259002	7454	1994-04-06	VYDAJ	VYBER	1300	23980	\N	\N	0
2259003	7454	1994-05-06	VYDAJ	VYBER	1200	26265	\N	\N	0
2259004	7454	1994-06-12	VYDAJ	PREVOD NA UCET	1319	29720	UVER	QR	90570520
2259005	7454	1994-07-12	VYDAJ	PREVOD NA UCET	1319	26880	UVER	QR	90570520
2259006	7454	1994-08-12	VYDAJ	PREVOD NA UCET	1319	23010	UVER	QR	90570520
2259007	7454	1994-09-12	VYDAJ	PREVOD NA UCET	1319	20290	UVER	QR	90570520
2259008	7454	1994-10-12	VYDAJ	PREVOD NA UCET	1319	21305	UVER	QR	90570520
2259009	7454	1994-11-12	VYDAJ	PREVOD NA UCET	1319	17978	UVER	QR	90570520
2259010	7454	1994-12-12	VYDAJ	PREVOD NA UCET	1319	19266	UVER	QR	90570520
2259011	7454	1995-01-12	VYDAJ	PREVOD NA UCET	1319	16953	UVER	QR	90570520
2259012	7454	1995-02-12	VYDAJ	PREVOD NA UCET	1319	14786	UVER	QR	90570520
2259013	7454	1995-03-12	VYDAJ	PREVOD NA UCET	1319	13875	UVER	QR	90570520
2259014	7454	1995-04-12	VYDAJ	PREVOD NA UCET	1319	13989	UVER	QR	90570520
2259166	7454	1995-06-30	VYDAJ	VYBER	15	12167	SLUZBY	\N	\N
2259015	7454	1995-05-12	VYDAJ	PREVOD NA UCET	1319	13730	UVER	QR	90570520
2259016	7454	1995-06-12	VYDAJ	PREVOD NA UCET	1319	12597	UVER	QR	90570520
2259017	7454	1995-07-12	VYDAJ	PREVOD NA UCET	1319	12437	UVER	QR	90570520
2259018	7454	1995-08-12	VYDAJ	PREVOD NA UCET	1319	12544	UVER	QR	90570520
2259019	7454	1995-09-12	VYDAJ	PREVOD NA UCET	1319	12652	UVER	QR	90570520
2259020	7454	1995-10-12	VYDAJ	PREVOD NA UCET	1319	13234	UVER	QR	90570520
2259021	7454	1995-11-12	VYDAJ	PREVOD NA UCET	1319	13343	UVER	QR	90570520
2259022	7454	1995-12-12	VYDAJ	PREVOD NA UCET	1319	15065	UVER	QR	90570520
2259023	7454	1996-01-12	VYDAJ	PREVOD NA UCET	1319	12481	UVER	QR	90570520
2259024	7454	1996-02-12	VYDAJ	PREVOD NA UCET	1319	15661	UVER	QR	90570520
2259025	7454	1996-03-12	VYDAJ	PREVOD NA UCET	1319	14807	UVER	QR	90570520
2259026	7454	1996-04-12	VYDAJ	PREVOD NA UCET	1319	14795	UVER	QR	90570520
2259027	7454	1996-05-12	VYDAJ	PREVOD NA UCET	1319	16710	UVER	QR	90570520
2259028	7454	1996-06-12	VYDAJ	PREVOD NA UCET	1319	18444	UVER	QR	90570520
2259029	7454	1996-07-12	VYDAJ	PREVOD NA UCET	1319	14836	UVER	QR	90570520
2259030	7454	1996-08-12	VYDAJ	PREVOD NA UCET	1319	14952	UVER	QR	90570520
2259031	7454	1996-09-12	VYDAJ	PREVOD NA UCET	1319	14596	UVER	QR	90570520
2259032	7454	1996-10-12	VYDAJ	PREVOD NA UCET	1319	15182	UVER	QR	90570520
2259033	7454	1996-11-12	VYDAJ	PREVOD NA UCET	1319	12728	UVER	QR	90570520
2259034	7454	1996-12-12	VYDAJ	PREVOD NA UCET	1319	13802	UVER	QR	90570520
2259035	7454	1997-01-12	VYDAJ	PREVOD NA UCET	1319	13548	UVER	QR	90570520
2259036	7454	1997-02-12	VYDAJ	PREVOD NA UCET	1319	13187	UVER	QR	90570520
2259037	7454	1997-03-12	VYDAJ	PREVOD NA UCET	1319	13768	UVER	QR	90570520
2259038	7454	1997-04-12	VYDAJ	PREVOD NA UCET	1319	14979	UVER	QR	90570520
2259039	7454	1997-05-12	VYDAJ	PREVOD NA UCET	1319	13494	UVER	QR	90570520
2259040	7454	1997-06-12	VYDAJ	PREVOD NA UCET	1319	15687	UVER	QR	90570520
2259041	7454	1997-07-12	VYDAJ	PREVOD NA UCET	1319	15803	UVER	QR	90570520
2259042	7454	1997-08-12	VYDAJ	PREVOD NA UCET	1319	14651	UVER	QR	90570520
2259043	7454	1997-09-12	VYDAJ	PREVOD NA UCET	1319	14769	UVER	QR	90570520
2259044	7454	1997-10-12	VYDAJ	PREVOD NA UCET	1319	15558	UVER	QR	90570520
2259045	7454	1997-11-12	VYDAJ	PREVOD NA UCET	1319	14603	UVER	QR	90570520
2259046	7454	1997-12-12	VYDAJ	PREVOD NA UCET	1319	16471	UVER	QR	90570520
2259047	7454	1998-01-12	VYDAJ	PREVOD NA UCET	1319	16390	UVER	QR	90570520
2259048	7454	1998-02-12	VYDAJ	PREVOD NA UCET	1319	15078	UVER	QR	90570520
2259049	7454	1998-03-12	VYDAJ	PREVOD NA UCET	1319	15668	UVER	QR	90570520
2259050	7454	1998-04-12	VYDAJ	PREVOD NA UCET	1319	15315	UVER	QR	90570520
2259051	7454	1998-05-12	VYDAJ	PREVOD NA UCET	1319	15903	UVER	QR	90570520
2259052	7454	1998-06-06	VYDAJ	VYBER	1100	14381	\N	\N	0
2259053	7454	1998-07-02	VYDAJ	VYBER	1600	16307	\N	\N	0
2259054	7454	1998-08-12	VYDAJ	VYBER	1100	18512	\N	\N	0
2259055	7454	1998-09-10	VYDAJ	VYBER	1500	18460	\N	\N	0
2259056	7454	1998-10-02	VYDAJ	VYBER	1500	16547	\N	\N	0
2259057	7454	1998-11-04	VYDAJ	VYBER	1000	16992	\N	\N	0
2259058	7454	1998-12-08	VYDAJ	VYBER	1400	19418	\N	\N	0
2259065	7454	1993-12-28	VYDAJ	VYBER	2720	23279	\N	\N	\N
2259066	7454	1994-12-18	VYDAJ	VYBER	3840	14955	\N	\N	\N
2259068	7454	1996-12-10	VYDAJ	VYBER	1120	15592	\N	\N	\N
2259070	7454	1998-12-10	VYDAJ	VYBER	1600	17818	\N	\N	\N
2259077	7454	1994-01-07	VYDAJ	VYBER	2880	16982	\N	\N	\N
2259078	7454	1994-01-22	VYDAJ	VYBER	2520	14297	\N	\N	\N
2259079	7454	1994-01-02	VYDAJ	VYBER	1200	22168	\N	\N	\N
2259080	7454	1994-01-13	VYDAJ	VYBER	3480	14757	\N	\N	\N
2259081	7454	1994-01-13	VYDAJ	VYBER	1440	18237	\N	\N	\N
2259082	7454	1994-01-16	VYDAJ	VYBER	1440	16817	\N	\N	\N
2259087	7454	1995-01-28	VYDAJ	VYBER	1320	15162	\N	\N	\N
2259095	7454	1997-01-08	VYDAJ	VYBER	840	14867	\N	\N	\N
2259101	7454	1998-01-19	VYDAJ	VYBER	960	14959	\N	\N	\N
2259109	7454	1993-12-10	VYDAJ	VYBER	3240	23870	\N	\N	\N
2259110	7454	1993-10-24	VYDAJ	VYBER	4560	21103	\N	\N	\N
2259111	7454	1994-06-18	VYDAJ	VYBER	1440	26709	\N	\N	\N
2259112	7454	1994-06-07	VYDAJ	VYBER	1560	27096	\N	\N	\N
2259121	7454	1996-06-15	VYDAJ	VYBER	4200	14244	\N	\N	\N
2259134	7454	1998-11-11	VYDAJ	VYBER	1560	17292	\N	\N	\N
2259145	7454	1993-09-30	VYDAJ	VYBER	15	28574	SLUZBY	\N	\N
2259146	7454	1993-10-31	VYDAJ	VYBER	15	21198	SLUZBY	\N	\N
2259147	7454	1993-11-30	VYDAJ	VYBER	15	24467	SLUZBY	\N	\N
2259148	7454	1993-12-31	VYDAJ	VYBER	15	23368	SLUZBY	\N	\N
2259149	7454	1994-01-31	VYDAJ	VYBER	15	14358	SLUZBY	\N	\N
2259150	7454	1994-02-28	VYDAJ	VYBER	15	20909	SLUZBY	\N	\N
2259151	7454	1994-03-31	VYDAJ	VYBER	15	25280	SLUZBY	\N	\N
2259152	7454	1994-04-30	VYDAJ	VYBER	15	27465	SLUZBY	\N	\N
2259153	7454	1994-05-31	VYDAJ	VYBER	15	28656	SLUZBY	\N	\N
2259154	7454	1994-06-30	VYDAJ	VYBER	15	26810	SLUZBY	\N	\N
2259155	7454	1994-07-31	VYDAJ	VYBER	15	23269	SLUZBY	\N	\N
2259156	7454	1994-08-31	VYDAJ	VYBER	15	22620	SLUZBY	\N	\N
2259157	7454	1994-09-30	VYDAJ	VYBER	15	20364	SLUZBY	\N	\N
2259158	7454	1994-10-31	VYDAJ	VYBER	15	20908	SLUZBY	\N	\N
2259159	7454	1994-11-30	VYDAJ	VYBER	15	18042	SLUZBY	\N	\N
2259160	7454	1994-12-31	VYDAJ	VYBER	15	15012	SLUZBY	\N	\N
2259161	7454	1995-01-31	VYDAJ	VYBER	15	15216	SLUZBY	\N	\N
2259162	7454	1995-02-28	VYDAJ	VYBER	15	14834	SLUZBY	\N	\N
2259163	7454	1995-03-31	VYDAJ	VYBER	15	13448	SLUZBY	\N	\N
2259164	7454	1995-04-30	VYDAJ	VYBER	15	13560	SLUZBY	\N	\N
2259165	7454	1995-05-31	VYDAJ	VYBER	15	13773	SLUZBY	\N	\N
2259167	7454	1995-07-31	VYDAJ	VYBER	15	12474	SLUZBY	\N	\N
2259168	7454	1995-08-31	VYDAJ	VYBER	15	12582	SLUZBY	\N	\N
2259169	7454	1995-09-30	VYDAJ	VYBER	15	12693	SLUZBY	\N	\N
2259170	7454	1995-10-31	VYDAJ	VYBER	15	12802	SLUZBY	\N	\N
2259171	7454	1995-11-30	VYDAJ	VYBER	15	12912	SLUZBY	\N	\N
2259172	7454	1995-12-31	VYDAJ	VYBER	15	15111	SLUZBY	\N	\N
2259173	7454	1996-01-31	VYDAJ	VYBER	15	12520	SLUZBY	\N	\N
2259174	7454	1996-02-29	VYDAJ	VYBER	15	15237	SLUZBY	\N	\N
2259175	7454	1996-03-31	VYDAJ	VYBER	15	14854	SLUZBY	\N	\N
2259176	7454	1996-04-30	VYDAJ	VYBER	15	14369	SLUZBY	\N	\N
2259177	7454	1996-05-31	VYDAJ	VYBER	15	16291	SLUZBY	\N	\N
2259178	7454	1996-06-30	VYDAJ	VYBER	15	14295	SLUZBY	\N	\N
2259179	7454	1996-07-31	VYDAJ	VYBER	15	14411	SLUZBY	\N	\N
2259180	7454	1996-08-31	VYDAJ	VYBER	15	14526	SLUZBY	\N	\N
2259181	7454	1996-09-30	VYDAJ	VYBER	15	14641	SLUZBY	\N	\N
2259182	7454	1996-10-31	VYDAJ	VYBER	15	12658	SLUZBY	\N	\N
2259183	7454	1996-11-30	VYDAJ	VYBER	15	12769	SLUZBY	\N	\N
2259184	7454	1996-12-31	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
2259185	7454	1997-01-31	VYDAJ	VYBER	15	13117	SLUZBY	\N	\N
2259186	7454	1997-02-28	VYDAJ	VYBER	15	13227	SLUZBY	\N	\N
2259187	7454	1997-03-31	VYDAJ	VYBER	15	14438	SLUZBY	\N	\N
2259188	7454	1997-04-30	VYDAJ	VYBER	15	12953	SLUZBY	\N	\N
2259189	7454	1997-05-31	VYDAJ	VYBER	15	13063	SLUZBY	\N	\N
2259190	7454	1997-06-30	VYDAJ	VYBER	15	15262	SLUZBY	\N	\N
2259191	7454	1997-07-31	VYDAJ	VYBER	15	14581	SLUZBY	\N	\N
2259192	7454	1997-08-31	VYDAJ	VYBER	15	14699	SLUZBY	\N	\N
2259193	7454	1997-09-30	VYDAJ	VYBER	15	15017	SLUZBY	\N	\N
2259194	7454	1997-10-31	VYDAJ	VYBER	15	14533	SLUZBY	\N	\N
2259195	7454	1997-11-30	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
2259196	7454	1997-12-31	VYDAJ	VYBER	15	15849	SLUZBY	\N	\N
2259197	7454	1998-01-31	VYDAJ	VYBER	15	15008	SLUZBY	\N	\N
2259198	7454	1998-02-28	VYDAJ	VYBER	15	15127	SLUZBY	\N	\N
2259199	7454	1998-03-31	VYDAJ	VYBER	15	15245	SLUZBY	\N	\N
2259200	7454	1998-04-30	VYDAJ	VYBER	15	15362	SLUZBY	\N	\N
2259201	7454	1998-05-31	VYDAJ	VYBER	15	15481	SLUZBY	\N	\N
2259202	7454	1998-06-30	VYDAJ	VYBER	15	17907	SLUZBY	\N	\N
2259203	7454	1998-07-31	VYDAJ	VYBER	15	17752	SLUZBY	\N	\N
2259204	7454	1998-08-31	VYDAJ	VYBER	15	18100	SLUZBY	\N	\N
2259205	7454	1998-09-30	VYDAJ	VYBER	15	18047	SLUZBY	\N	\N
2259206	7454	1998-10-31	VYDAJ	VYBER	15	17992	SLUZBY	\N	\N
2259207	7454	1998-11-30	VYDAJ	VYBER	15	16875	SLUZBY	\N	\N
2259208	7454	1993-05-19	PRIJEM	VKLAD	10500	15166	\N	\N	\N
2259209	7454	1993-06-18	PRIJEM	VKLAD	3600	25042	\N	\N	\N
2259210	7454	1993-07-18	VYDAJ	VYBER	2100	27189	\N	\N	\N
2259211	7454	1993-08-17	VYDAJ	VYBER	4600	26863	\N	\N	\N
2259212	7454	1993-09-16	VYDAJ	VYBER	1000	28471	\N	\N	\N
2259213	7454	1993-10-16	VYDAJ	VYBER	3200	25663	\N	\N	\N
2259214	7454	1993-11-15	PRIJEM	VKLAD	3200	24387	\N	\N	\N
2259215	7454	1993-12-15	PRIJEM	VKLAD	2600	25999	\N	\N	\N
2259216	7454	1994-01-14	PRIJEM	VKLAD	3500	18257	\N	\N	\N
2259217	7454	1994-02-13	PRIJEM	VKLAD	6500	22247	\N	\N	\N
2259218	7454	1994-03-15	PRIJEM	VKLAD	4000	25198	\N	\N	\N
2259219	7454	1994-04-14	PRIJEM	VKLAD	2000	27369	\N	\N	\N
2259220	7454	1994-05-14	PRIJEM	VKLAD	900	28554	\N	\N	\N
2259221	7454	1994-06-13	VYDAJ	VYBER	1100	28149	\N	\N	\N
2259222	7454	1994-07-13	VYDAJ	VYBER	3700	23180	\N	\N	\N
2259223	7454	1994-08-12	VYDAJ	VYBER	800	24329	\N	\N	\N
2259224	7454	1994-09-11	VYDAJ	VYBER	2400	22080	\N	\N	\N
2259225	7454	1994-10-11	PRIJEM	VKLAD	400	22624	\N	\N	\N
2259226	7454	1994-11-10	VYDAJ	VYBER	3000	19768	\N	\N	\N
2259227	7454	1994-12-10	VYDAJ	VYBER	1400	20585	\N	\N	\N
2259228	7454	1995-01-09	PRIJEM	VKLAD	1400	18272	\N	\N	\N
2259229	7454	1995-02-08	VYDAJ	VYBER	500	16576	\N	\N	\N
2259230	7454	1995-03-10	VYDAJ	VYBER	1500	15194	\N	\N	\N
2259231	7454	1995-05-09	PRIJEM	VKLAD	100	15520	\N	\N	\N
2259232	7454	1995-06-08	VYDAJ	VYBER	3800	13916	\N	\N	\N
2259233	7454	1995-07-08	PRIJEM	VKLAD	200	10061	\N	\N	\N
2259234	7454	1996-01-04	VYDAJ	VYBER	2700	12411	\N	\N	\N
2259235	7454	1996-02-03	PRIJEM	VKLAD	2600	15120	\N	\N	\N
2259236	7454	1996-03-04	VYDAJ	VYBER	500	14737	\N	\N	\N
2259237	7454	1996-04-03	VYDAJ	VYBER	600	14254	\N	\N	\N
2259238	7454	1996-05-03	PRIJEM	VKLAD	1800	16169	\N	\N	\N
2259239	7454	1996-10-30	VYDAJ	VYBER	2100	12611	\N	\N	\N
2259240	7454	1997-03-29	PRIJEM	VKLAD	1100	14397	\N	\N	\N
2259241	7454	1997-04-28	VYDAJ	VYBER	1600	12908	\N	\N	\N
2259242	7454	1997-07-27	VYDAJ	VYBER	800	14532	\N	\N	\N
2259243	7454	1997-09-25	PRIJEM	VKLAD	200	14969	\N	\N	\N
2259244	7454	1997-10-25	VYDAJ	VYBER	600	14487	\N	\N	\N
2259245	7454	1997-11-24	VYDAJ	VYBER	800	13803	\N	\N	\N
2259246	7454	1997-12-24	VYDAJ	VYBER	200	15800	\N	\N	\N
2262732	7465	1996-12-19	PRIJEM	VKLAD	600	600	\N	\N	\N
2262738	7465	1997-09-09	PRIJEM	VKLAD	45811	58711	\N	\N	\N
2262739	7465	1997-10-05	PRIJEM	VKLAD	5092	42987	\N	\N	\N
2262740	7465	1998-05-07	PRIJEM	VKLAD	13232	49083	\N	\N	\N
2262741	7465	1998-12-02	PRIJEM	VKLAD	28573	26257	\N	\N	\N
2262742	7465	1998-09-24	PRIJEM	VKLAD	10865	9379	\N	\N	\N
2262743	7465	1998-03-30	PRIJEM	VKLAD	47016	64530	\N	\N	\N
2262744	7465	1998-04-08	PRIJEM	VKLAD	39585	104188	\N	\N	\N
2262745	7465	1998-12-02	PRIJEM	VKLAD	15127	41384	\N	\N	\N
2262746	7465	1998-02-09	PRIJEM	VKLAD	19272	29826	\N	\N	\N
2262747	7465	1998-12-20	PRIJEM	VKLAD	27448	84773	\N	\N	\N
2262748	7465	1998-12-18	PRIJEM	VKLAD	41411	57325	\N	\N	\N
2262749	7465	1998-06-08	PRIJEM	VKLAD	12976	38194	\N	\N	\N
2262814	7465	1998-05-05	VYDAJ	PREVOD NA UCET	1391	35851	SIPO	ST	29852605
2262815	7465	1998-06-05	VYDAJ	PREVOD NA UCET	1391	25218	SIPO	ST	29852605
2262816	7465	1998-07-05	VYDAJ	PREVOD NA UCET	1391	17591	SIPO	ST	29852605
2262817	7465	1998-08-05	VYDAJ	PREVOD NA UCET	1391	8744	SIPO	ST	29852605
2262818	7465	1998-09-05	VYDAJ	PREVOD NA UCET	1391	1666	SIPO	ST	29852605
2262819	7465	1998-10-05	VYDAJ	PREVOD NA UCET	1391	7962	SIPO	ST	29852605
2262820	7465	1998-11-05	VYDAJ	PREVOD NA UCET	1391	881	SIPO	ST	29852605
2262821	7465	1998-12-05	VYDAJ	PREVOD NA UCET	1391	34293	SIPO	ST	29852605
2262849	7465	1998-04-08	VYDAJ	PREVOD NA UCET	2850	101338	 	CD	49864357
2262850	7465	1998-05-08	VYDAJ	PREVOD NA UCET	2850	46233	 	CD	49864357
2262851	7465	1998-06-08	VYDAJ	PREVOD NA UCET	2850	35344	 	CD	49864357
2262852	7465	1998-07-08	VYDAJ	PREVOD NA UCET	2850	14741	 	CD	49864357
2262853	7465	1998-08-08	VYDAJ	PREVOD NA UCET	2850	5894	 	CD	49864357
2262854	7465	1998-09-08	VYDAJ	PREVOD NA UCET	2850	-1184	 	CD	49864357
2262855	7465	1998-10-08	VYDAJ	PREVOD NA UCET	2850	5112	 	CD	49864357
2262856	7465	1998-11-08	VYDAJ	PREVOD NA UCET	2850	-1969	 	CD	49864357
2262857	7465	1998-12-08	VYDAJ	PREVOD NA UCET	2850	31443	 	CD	49864357
2262885	7465	1998-04-13	VYDAJ	PREVOD NA UCET	302	75536	POJISTNE	OP	112665
2262886	7465	1998-05-13	VYDAJ	PREVOD NA UCET	302	29031	POJISTNE	OP	112665
2262887	7465	1998-06-13	VYDAJ	PREVOD NA UCET	302	21442	POJISTNE	OP	112665
2262888	7465	1998-07-13	VYDAJ	PREVOD NA UCET	302	12639	POJISTNE	OP	112665
2262889	7465	1998-08-13	VYDAJ	PREVOD NA UCET	302	5592	POJISTNE	OP	112665
2262890	7465	1998-09-13	VYDAJ	PREVOD NA UCET	302	-1486	POJISTNE	OP	112665
2262891	7465	1998-10-13	VYDAJ	PREVOD NA UCET	302	4810	POJISTNE	OP	112665
2262892	7465	1998-11-13	VYDAJ	PREVOD NA UCET	302	-2271	POJISTNE	OP	112665
2262893	7465	1998-12-13	VYDAJ	PREVOD NA UCET	302	18441	POJISTNE	OP	112665
2262921	7465	1998-04-14	VYDAJ	PREVOD NA UCET	2527	37109	 	MN	72408258
2262922	7465	1998-05-14	VYDAJ	PREVOD NA UCET	2527	26504	 	MN	72408258
2262923	7465	1998-06-14	VYDAJ	PREVOD NA UCET	2527	18915	 	MN	72408258
2262924	7465	1998-07-14	VYDAJ	PREVOD NA UCET	2527	10112	 	MN	72408258
2262925	7465	1998-08-14	VYDAJ	PREVOD NA UCET	2527	3065	 	MN	72408258
2262927	7465	1998-10-14	VYDAJ	PREVOD NA UCET	2527	2283	 	MN	72408258
2262929	7465	1998-12-14	VYDAJ	PREVOD NA UCET	2527	15914	 	MN	72408258
2262938	7465	1998-12-04	VYDAJ	VYBER	5700	35684	\N	\N	\N
2263002	7465	1998-04-30	VYDAJ	VYBER	30	37242	SLUZBY	\N	\N
2263003	7465	1998-05-31	VYDAJ	VYBER	30	26609	SLUZBY	\N	\N
2263004	7465	1998-06-30	VYDAJ	VYBER	30	18982	SLUZBY	\N	\N
2263005	7465	1998-07-31	VYDAJ	VYBER	30	10135	SLUZBY	\N	\N
2263006	7465	1998-08-31	VYDAJ	VYBER	30	3057	SLUZBY	\N	\N
2263007	7465	1998-09-30	VYDAJ	VYBER	30	9353	SLUZBY	\N	\N
2263008	7465	1998-10-31	VYDAJ	VYBER	30	2272	SLUZBY	\N	\N
2263009	7465	1998-11-30	VYDAJ	VYBER	30	-2316	SLUZBY	\N	\N
2263010	7465	1997-01-18	PRIJEM	VKLAD	14500	15100	\N	\N	\N
2263011	7465	1997-02-17	PRIJEM	VKLAD	5000	20100	\N	\N	\N
2263012	7465	1997-03-19	PRIJEM	VKLAD	3200	23300	\N	\N	\N
2263013	7465	1997-04-18	VYDAJ	VYBER	4500	18800	\N	\N	\N
2263014	7465	1997-05-18	VYDAJ	VYBER	1200	17600	\N	\N	\N
2263015	7465	1997-06-17	VYDAJ	VYBER	5700	11900	\N	\N	\N
2263016	7465	1997-07-17	VYDAJ	VYBER	1100	10800	\N	\N	\N
2263017	7465	1997-08-16	PRIJEM	VKLAD	2100	12900	\N	\N	\N
2263018	7465	1997-09-15	VYDAJ	VYBER	20900	37811	\N	\N	\N
2263019	7465	1997-10-15	VYDAJ	VYBER	16200	26787	\N	\N	\N
2263020	7465	1997-11-14	VYDAJ	VYBER	7000	19919	\N	\N	\N
2263021	7465	1997-12-14	VYDAJ	VYBER	7500	12531	\N	\N	\N
2263022	7465	1998-01-13	VYDAJ	VYBER	2200	10443	\N	\N	\N
2263023	7465	1998-02-12	VYDAJ	VYBER	12400	17426	\N	\N	\N
2263024	7465	1998-04-08	VYDAJ	VYBER	25500	75838	\N	\N	\N
2263025	7465	1998-04-13	VYDAJ	VYBER	35900	39636	\N	\N	\N
2263026	7465	1998-05-13	VYDAJ	VYBER	16900	29333	\N	\N	\N
2263027	7465	1998-06-12	VYDAJ	VYBER	13600	21744	\N	\N	\N
2263028	7465	1998-07-12	VYDAJ	VYBER	1800	12941	\N	\N	\N
2263029	7465	1998-12-09	VYDAJ	VYBER	12700	18743	\N	\N	\N
2267828	7485	1993-07-28	PRIJEM	VKLAD	700	700	\N	\N	\N
2267836	7485	1993-08-13	PRIJEM	PREVOD Z UCTU	22799	23499	\N	KL	17457235
2267837	7485	1993-09-13	PRIJEM	PREVOD Z UCTU	22799	46614	\N	KL	17457235
2267838	7485	1993-10-13	PRIJEM	PREVOD Z UCTU	22799	56719	\N	KL	17457235
2267839	7485	1993-11-13	PRIJEM	PREVOD Z UCTU	22799	64465	\N	KL	17457235
2267840	7485	1993-12-13	PRIJEM	PREVOD Z UCTU	34198	76737	\N	KL	17457235
2267841	7485	1994-01-13	PRIJEM	PREVOD Z UCTU	22799	31684	\N	KL	17457235
2267842	7485	1994-02-13	PRIJEM	PREVOD Z UCTU	22799	37692	\N	KL	17457235
2267843	7485	1994-03-13	PRIJEM	PREVOD Z UCTU	22799	32715	\N	KL	17457235
2267844	7485	1994-04-13	PRIJEM	PREVOD Z UCTU	22799	34928	\N	KL	17457235
2267845	7485	1994-05-13	PRIJEM	PREVOD Z UCTU	22799	36956	\N	KL	17457235
2267846	7485	1994-06-13	PRIJEM	PREVOD Z UCTU	34198	48748	\N	KL	17457235
2267847	7485	1994-07-13	PRIJEM	PREVOD Z UCTU	22799	43606	\N	KL	17457235
2267848	7485	1994-08-13	PRIJEM	PREVOD Z UCTU	22799	45368	\N	KL	17457235
2267849	7485	1994-09-13	PRIJEM	PREVOD Z UCTU	22799	36063	\N	KL	17457235
2267850	7485	1994-10-13	PRIJEM	PREVOD Z UCTU	22799	40896	\N	KL	17457235
2267851	7485	1994-11-13	PRIJEM	PREVOD Z UCTU	22799	32014	\N	KL	17457235
2267852	7485	1994-12-13	PRIJEM	PREVOD Z UCTU	34198	41522	\N	KL	17457235
2267853	7485	1995-01-13	PRIJEM	PREVOD Z UCTU	22799	31345	\N	KL	17457235
2267854	7485	1995-02-13	PRIJEM	PREVOD Z UCTU	22799	33043	\N	KL	17457235
2267855	7485	1995-03-13	PRIJEM	PREVOD Z UCTU	22799	40766	\N	KL	17457235
2267856	7485	1995-04-13	PRIJEM	PREVOD Z UCTU	22799	43715	\N	KL	17457235
2267857	7485	1995-05-13	PRIJEM	PREVOD Z UCTU	22799	35273	\N	KL	17457235
2267858	7485	1995-06-13	PRIJEM	PREVOD Z UCTU	34198	51501	\N	KL	17457235
2267859	7485	1995-07-13	PRIJEM	PREVOD Z UCTU	22799	37040	\N	KL	17457235
2267860	7485	1995-08-13	PRIJEM	PREVOD Z UCTU	22799	33733	\N	KL	17457235
2267861	7485	1995-09-13	PRIJEM	PREVOD Z UCTU	22799	36238	\N	KL	17457235
2267862	7485	1995-10-13	PRIJEM	PREVOD Z UCTU	22799	45177	\N	KL	17457235
2267863	7485	1995-11-13	PRIJEM	PREVOD Z UCTU	22799	47540	\N	KL	17457235
2267864	7485	1995-12-13	PRIJEM	PREVOD Z UCTU	34198	54613	\N	KL	17457235
2267865	7485	1996-01-13	PRIJEM	PREVOD Z UCTU	22799	42081	\N	KL	17457235
2267866	7485	1996-02-13	PRIJEM	PREVOD Z UCTU	22799	32808	\N	KL	17457235
2267867	7485	1996-03-13	PRIJEM	PREVOD Z UCTU	22799	42832	\N	KL	17457235
2267868	7485	1996-04-13	PRIJEM	PREVOD Z UCTU	22799	46787	\N	KL	17457235
2267869	7485	1996-05-13	PRIJEM	PREVOD Z UCTU	22799	55660	\N	KL	17457235
2267870	7485	1996-06-13	PRIJEM	PREVOD Z UCTU	34198	59946	\N	KL	17457235
2267871	7485	1996-07-13	PRIJEM	PREVOD Z UCTU	22799	49273	\N	KL	17457235
2267872	7485	1996-08-13	PRIJEM	PREVOD Z UCTU	22799	57439	\N	KL	17457235
2267873	7485	1996-09-13	PRIJEM	PREVOD Z UCTU	22799	63745	\N	KL	17457235
2267874	7485	1996-10-13	PRIJEM	PREVOD Z UCTU	22799	56884	\N	KL	17457235
2267875	7485	1996-11-13	PRIJEM	PREVOD Z UCTU	22799	55009	\N	KL	17457235
2267876	7485	1996-12-13	PRIJEM	PREVOD Z UCTU	34198	58500	\N	KL	17457235
2267877	7485	1997-01-13	PRIJEM	PREVOD Z UCTU	22799	49501	\N	KL	17457235
2267878	7485	1997-02-13	PRIJEM	PREVOD Z UCTU	22799	48059	\N	KL	17457235
2267879	7485	1997-03-13	PRIJEM	PREVOD Z UCTU	22799	59223	\N	KL	17457235
2267880	7485	1997-04-13	PRIJEM	PREVOD Z UCTU	22799	50323	\N	KL	17457235
2267881	7485	1997-05-13	PRIJEM	PREVOD Z UCTU	22799	42704	\N	KL	17457235
2267882	7485	1997-06-13	PRIJEM	PREVOD Z UCTU	34198	61960	\N	KL	17457235
2267883	7485	1997-07-13	PRIJEM	PREVOD Z UCTU	22799	46571	\N	KL	17457235
2267884	7485	1997-08-13	PRIJEM	PREVOD Z UCTU	22799	46549	\N	KL	17457235
2267885	7485	1997-09-13	PRIJEM	PREVOD Z UCTU	22799	40325	\N	KL	17457235
2267886	7485	1997-10-13	PRIJEM	PREVOD Z UCTU	22799	35973	\N	KL	17457235
2267887	7485	1997-11-13	PRIJEM	PREVOD Z UCTU	22799	36195	\N	KL	17457235
2267888	7485	1997-12-13	PRIJEM	PREVOD Z UCTU	34198	45121	\N	KL	17457235
2267889	7485	1998-01-13	PRIJEM	PREVOD Z UCTU	22799	38334	\N	KL	17457235
2267890	7485	1998-02-13	PRIJEM	PREVOD Z UCTU	22799	37659	\N	KL	17457235
2267891	7485	1998-03-13	PRIJEM	PREVOD Z UCTU	22799	35586	\N	KL	17457235
2267892	7485	1998-04-13	PRIJEM	PREVOD Z UCTU	22799	36115	\N	KL	17457235
2267893	7485	1998-05-13	PRIJEM	PREVOD Z UCTU	22799	33644	\N	KL	17457235
2267894	7485	1998-06-13	PRIJEM	PREVOD Z UCTU	34198	57664	\N	KL	17457235
2267895	7485	1998-07-13	PRIJEM	PREVOD Z UCTU	22799	39158	\N	KL	17457235
2267896	7485	1998-08-13	PRIJEM	PREVOD Z UCTU	22799	38313	\N	KL	17457235
2267897	7485	1998-09-13	PRIJEM	PREVOD Z UCTU	22799	37942	\N	KL	17457235
2267898	7485	1998-10-13	PRIJEM	PREVOD Z UCTU	22799	39878	\N	KL	17457235
2267899	7485	1998-11-13	PRIJEM	PREVOD Z UCTU	22799	38329	\N	KL	17457235
2267900	7485	1998-12-13	PRIJEM	PREVOD Z UCTU	34198	49262	\N	KL	17457235
2267913	7485	1994-01-17	VYDAJ	VYBER	3100	27084	\N	\N	0
2267914	7485	1994-02-14	VYDAJ	VYBER	2900	34792	\N	\N	0
2267915	7485	1994-03-20	VYDAJ	VYBER	3800	28915	\N	\N	0
2267916	7485	1994-04-12	VYDAJ	PREVOD NA UCET	3800	12129	UVER	OP	40248417
2267917	7485	1994-05-12	VYDAJ	PREVOD NA UCET	3800	14157	UVER	OP	40248417
2267918	7485	1994-06-12	VYDAJ	PREVOD NA UCET	3800	14550	UVER	OP	40248417
2267919	7485	1994-07-12	VYDAJ	PREVOD NA UCET	3800	20807	UVER	OP	40248417
2267920	7485	1994-08-12	VYDAJ	PREVOD NA UCET	3800	22569	UVER	OP	40248417
2267921	7485	1994-09-12	VYDAJ	PREVOD NA UCET	3800	13264	UVER	OP	40248417
2267922	7485	1994-10-12	VYDAJ	PREVOD NA UCET	3800	18097	UVER	OP	40248417
2267923	7485	1994-11-12	VYDAJ	PREVOD NA UCET	3800	9215	UVER	OP	40248417
2267924	7485	1994-12-12	VYDAJ	PREVOD NA UCET	3800	7324	UVER	OP	40248417
2267925	7485	1995-01-12	VYDAJ	PREVOD NA UCET	3800	8546	UVER	OP	40248417
2267926	7485	1995-02-12	VYDAJ	PREVOD NA UCET	3800	10244	UVER	OP	40248417
2267927	7485	1995-03-12	VYDAJ	PREVOD NA UCET	3800	17967	UVER	OP	40248417
2267928	7485	1995-04-12	VYDAJ	PREVOD NA UCET	3800	20916	UVER	OP	40248417
2267929	7485	1995-05-12	VYDAJ	PREVOD NA UCET	3800	12474	UVER	OP	40248417
2267930	7485	1995-06-12	VYDAJ	PREVOD NA UCET	3800	17303	UVER	OP	40248417
2267931	7485	1995-07-12	VYDAJ	PREVOD NA UCET	3800	14241	UVER	OP	40248417
2267932	7485	1995-08-12	VYDAJ	PREVOD NA UCET	3800	10934	UVER	OP	40248417
2267933	7485	1995-09-12	VYDAJ	PREVOD NA UCET	3800	13439	UVER	OP	40248417
2267934	7485	1995-10-12	VYDAJ	PREVOD NA UCET	3800	22378	UVER	OP	40248417
2267935	7485	1995-11-12	VYDAJ	PREVOD NA UCET	3800	24741	UVER	OP	40248417
2267936	7485	1995-12-12	VYDAJ	PREVOD NA UCET	3800	20415	UVER	OP	40248417
2267937	7485	1996-01-12	VYDAJ	PREVOD NA UCET	3800	19282	UVER	OP	40248417
2267938	7485	1996-02-12	VYDAJ	PREVOD NA UCET	3800	10009	UVER	OP	40248417
2267939	7485	1996-03-12	VYDAJ	PREVOD NA UCET	3800	20033	UVER	OP	40248417
2267940	7485	1996-04-12	VYDAJ	VYBER	3900	23988	\N	\N	0
2267941	7485	1996-05-17	VYDAJ	VYBER	3400	41560	\N	\N	0
2267942	7485	1996-06-09	VYDAJ	VYBER	3800	27648	\N	\N	0
2267943	7485	1996-07-20	VYDAJ	VYBER	2900	46373	\N	\N	0
2267944	7485	1996-08-18	VYDAJ	VYBER	3500	53939	\N	\N	0
2267945	7485	1996-09-14	VYDAJ	VYBER	3400	60345	\N	\N	0
2267946	7485	1996-10-03	VYDAJ	VYBER	4200	56364	\N	\N	0
2267947	7485	1996-11-14	VYDAJ	VYBER	3200	51809	\N	\N	0
2267948	7485	1996-12-21	VYDAJ	VYBER	4000	50000	\N	\N	0
2267949	7485	1997-01-10	VYDAJ	VYBER	3800	26702	\N	\N	0
2267950	7485	1997-02-04	VYDAJ	VYBER	2900	26339	\N	\N	0
2267951	7485	1997-03-16	VYDAJ	VYBER	3700	55523	\N	\N	0
2267952	7485	1997-04-21	VYDAJ	VYBER	3900	46423	\N	\N	0
2267953	7485	1997-05-04	VYDAJ	VYBER	4000	42584	\N	\N	0
2267954	7485	1997-06-21	VYDAJ	VYBER	4000	57960	\N	\N	0
2267955	7485	1997-07-02	VYDAJ	VYBER	4500	53651	\N	\N	0
2267956	7485	1997-08-08	VYDAJ	VYBER	3800	23750	\N	\N	0
2267957	7485	1997-09-21	VYDAJ	VYBER	3000	37325	\N	\N	0
2267958	7485	1997-10-13	VYDAJ	VYBER	3100	32873	\N	\N	0
2267961	7485	1998-01-02	VYDAJ	VYBER	3800	25814	\N	\N	0
2267962	7485	1998-02-02	VYDAJ	VYBER	4000	25139	\N	\N	0
2267965	7485	1998-05-07	VYDAJ	VYBER	4400	10845	\N	\N	0
2267966	7485	1998-06-18	VYDAJ	VYBER	3400	54264	\N	\N	0
2267967	7485	1998-07-06	VYDAJ	VYBER	3100	26638	\N	\N	0
2267968	7485	1998-08-13	VYDAJ	VYBER	3200	35113	\N	\N	0
2267970	7485	1998-10-14	VYDAJ	VYBER	3800	36078	\N	\N	0
2267972	7485	1998-12-06	VYDAJ	VYBER	3200	25343	\N	\N	0
2267985	7485	1994-01-06	VYDAJ	PREVOD NA UCET	10279	8885	SIPO	UV	56684088
2267986	7485	1994-02-06	VYDAJ	PREVOD NA UCET	10279	14893	SIPO	UV	56684088
2267987	7485	1994-03-06	VYDAJ	PREVOD NA UCET	10279	9916	SIPO	UV	56684088
2267988	7485	1994-04-06	VYDAJ	PREVOD NA UCET	10279	15929	SIPO	UV	56684088
2267989	7485	1994-05-06	VYDAJ	PREVOD NA UCET	10279	17957	SIPO	UV	56684088
2267990	7485	1994-06-06	VYDAJ	PREVOD NA UCET	10279	18350	SIPO	UV	56684088
2267991	7485	1994-07-06	VYDAJ	PREVOD NA UCET	10279	24607	SIPO	UV	56684088
2267992	7485	1994-08-06	VYDAJ	PREVOD NA UCET	10279	26369	SIPO	UV	56684088
2267993	7485	1994-09-06	VYDAJ	PREVOD NA UCET	10279	17064	SIPO	UV	56684088
2267994	7485	1994-10-06	VYDAJ	PREVOD NA UCET	10279	21897	SIPO	UV	56684088
2267995	7485	1994-11-06	VYDAJ	PREVOD NA UCET	10279	13014	SIPO	UV	56684088
2267996	7485	1994-12-06	VYDAJ	PREVOD NA UCET	10279	11124	SIPO	UV	56684088
2267997	7485	1995-01-06	VYDAJ	PREVOD NA UCET	10279	12346	SIPO	UV	56684088
2267998	7485	1995-02-06	VYDAJ	PREVOD NA UCET	10279	14044	SIPO	UV	56684088
2267999	7485	1995-03-06	VYDAJ	PREVOD NA UCET	10279	21767	SIPO	UV	56684088
2268000	7485	1995-04-06	VYDAJ	PREVOD NA UCET	10279	24716	SIPO	UV	56684088
2268001	7485	1995-05-06	VYDAJ	PREVOD NA UCET	10279	16274	SIPO	UV	56684088
2268002	7485	1995-06-06	VYDAJ	PREVOD NA UCET	10279	21103	SIPO	UV	56684088
2268003	7485	1995-07-06	VYDAJ	PREVOD NA UCET	10279	18040	SIPO	UV	56684088
2268004	7485	1995-08-06	VYDAJ	PREVOD NA UCET	10279	14734	SIPO	UV	56684088
2268005	7485	1995-09-06	VYDAJ	PREVOD NA UCET	10279	17239	SIPO	UV	56684088
2268006	7485	1995-10-06	VYDAJ	PREVOD NA UCET	10279	26178	SIPO	UV	56684088
2268007	7485	1995-11-06	VYDAJ	PREVOD NA UCET	10279	28541	SIPO	UV	56684088
2268008	7485	1995-12-06	VYDAJ	PREVOD NA UCET	10279	32015	SIPO	UV	56684088
2268009	7485	1996-01-06	VYDAJ	PREVOD NA UCET	10279	23082	SIPO	UV	56684088
2268010	7485	1996-02-06	VYDAJ	PREVOD NA UCET	10279	13809	SIPO	UV	56684088
2268011	7485	1996-03-06	VYDAJ	PREVOD NA UCET	10279	23833	SIPO	UV	56684088
2268012	7485	1996-04-06	VYDAJ	PREVOD NA UCET	10279	27888	SIPO	UV	56684088
2268013	7485	1996-05-06	VYDAJ	PREVOD NA UCET	10279	32861	SIPO	UV	56684088
2268014	7485	1996-06-06	VYDAJ	PREVOD NA UCET	10279	31448	SIPO	UV	56684088
2268015	7485	1996-07-06	VYDAJ	PREVOD NA UCET	10279	14974	SIPO	UV	56684088
2268016	7485	1996-08-06	VYDAJ	PREVOD NA UCET	10279	31440	SIPO	UV	56684088
2268017	7485	1996-09-06	VYDAJ	PREVOD NA UCET	10279	43846	SIPO	UV	56684088
2268018	7485	1996-10-06	VYDAJ	PREVOD NA UCET	10279	42485	SIPO	UV	56684088
2268019	7485	1996-11-06	VYDAJ	PREVOD NA UCET	10279	34510	SIPO	UV	56684088
2268020	7485	1996-12-06	VYDAJ	PREVOD NA UCET	10279	20502	SIPO	UV	56684088
2268021	7485	1997-01-06	VYDAJ	PREVOD NA UCET	10279	39894	SIPO	UV	56684088
2268022	7485	1997-02-06	VYDAJ	PREVOD NA UCET	10279	16060	SIPO	UV	56684088
2268023	7485	1997-03-06	VYDAJ	PREVOD NA UCET	10279	37924	SIPO	UV	56684088
2268024	7485	1997-04-06	VYDAJ	PREVOD NA UCET	10279	29524	SIPO	UV	56684088
2268025	7485	1997-05-06	VYDAJ	PREVOD NA UCET	10279	20905	SIPO	UV	56684088
2268026	7485	1997-06-06	VYDAJ	PREVOD NA UCET	10279	32562	SIPO	UV	56684088
2268027	7485	1997-07-06	VYDAJ	PREVOD NA UCET	10279	30772	SIPO	UV	56684088
2268028	7485	1997-08-06	VYDAJ	PREVOD NA UCET	10279	36450	SIPO	UV	56684088
2268029	7485	1997-09-06	VYDAJ	PREVOD NA UCET	10279	17526	SIPO	UV	56684088
2268030	7485	1997-10-06	VYDAJ	PREVOD NA UCET	10279	13174	SIPO	UV	56684088
2268031	7485	1997-11-06	VYDAJ	PREVOD NA UCET	10279	13396	SIPO	UV	56684088
2268032	7485	1997-12-06	VYDAJ	PREVOD NA UCET	10279	10923	SIPO	UV	56684088
2268033	7485	1998-01-06	VYDAJ	PREVOD NA UCET	10279	15535	SIPO	UV	56684088
2268034	7485	1998-02-06	VYDAJ	PREVOD NA UCET	10279	14860	SIPO	UV	56684088
2268035	7485	1998-03-06	VYDAJ	PREVOD NA UCET	10279	12787	SIPO	UV	56684088
2268036	7485	1998-04-06	VYDAJ	PREVOD NA UCET	10279	13316	SIPO	UV	56684088
2268037	7485	1998-05-06	VYDAJ	PREVOD NA UCET	10279	15245	SIPO	UV	56684088
2268038	7485	1998-06-06	VYDAJ	PREVOD NA UCET	10279	23466	SIPO	UV	56684088
2268039	7485	1998-07-06	VYDAJ	PREVOD NA UCET	10279	16359	SIPO	UV	56684088
2268040	7485	1998-08-06	VYDAJ	PREVOD NA UCET	10279	15514	SIPO	UV	56684088
2268041	7485	1998-09-06	VYDAJ	PREVOD NA UCET	10279	15143	SIPO	UV	56684088
2268042	7485	1998-10-06	VYDAJ	PREVOD NA UCET	10279	17079	SIPO	UV	56684088
2268043	7485	1998-11-06	VYDAJ	PREVOD NA UCET	10279	15530	SIPO	UV	56684088
2268044	7485	1998-12-06	VYDAJ	PREVOD NA UCET	10279	15064	SIPO	UV	56684088
2268047	7485	1993-12-17	VYBER	VYBER	16402	60335	\N	\N	\N
2268053	7485	1994-08-18	VYBER	VYBER	14951	30417	\N	\N	\N
2268054	7485	1994-11-26	VYBER	VYBER	4103	23411	\N	\N	\N
2268057	7485	1994-05-21	VYBER	VYBER	5239	31717	\N	\N	\N
2268058	7485	1994-01-02	VYBER	VYBER	21751	19164	\N	\N	\N
2268059	7485	1994-10-24	VYBER	VYBER	9320	23176	\N	\N	\N
2268065	7485	1995-04-19	VYBER	VYBER	19884	26431	\N	\N	\N
2268067	7485	1995-07-23	VYBER	VYBER	6431	24909	\N	\N	\N
2268071	7485	1995-08-26	VYBER	VYBER	5919	27414	\N	\N	\N
2268078	7485	1996-11-21	VYBER	VYBER	21179	30630	\N	\N	\N
2268083	7485	1997-01-10	VYBER	VYBER	3292	30502	\N	\N	\N
2268091	7485	1995-06-17	VYDAJ	VYBER	20700	30801	\N	\N	\N
2268092	7485	1996-06-13	VYDAJ	VYBER	34800	25146	\N	\N	\N
2268098	7485	1996-01-15	VYDAJ	VYBER	5100	25481	\N	\N	\N
2268100	7485	1998-01-17	VYDAJ	VYBER	6300	29034	\N	\N	\N
2268103	7485	1995-12-06	VYDAJ	VYBER	7800	24215	\N	\N	\N
2268104	7485	1996-12-21	VYDAJ	VYBER	4500	54000	\N	\N	\N
2268105	7485	1997-12-03	VYDAJ	VYBER	6900	29402	\N	\N	\N
2268106	7485	1998-12-23	VYDAJ	VYBER	2100	47162	\N	\N	\N
2268113	7485	1994-01-14	VYDAJ	VYBER	1500	30184	\N	\N	\N
2268116	7485	1994-01-19	VYDAJ	VYBER	2700	24384	\N	\N	\N
2268119	7485	1995-01-16	VYDAJ	VYBER	8400	22945	\N	\N	\N
2268120	7485	1995-01-05	VYDAJ	VYBER	3900	22625	\N	\N	\N
2268126	7485	1996-01-03	VYDAJ	VYBER	8100	35161	\N	\N	\N
2268128	7485	1996-01-06	VYDAJ	VYBER	1800	33361	\N	\N	\N
2268129	7485	1996-01-16	VYDAJ	VYBER	1500	23981	\N	\N	\N
2268131	7485	1997-01-16	VYDAJ	VYBER	7200	34801	\N	\N	\N
2268132	7485	1997-01-22	VYDAJ	VYBER	3900	30901	\N	\N	\N
2268133	7485	1997-01-24	VYDAJ	VYBER	1800	29101	\N	\N	\N
2268134	7485	1997-01-13	VYDAJ	VYBER	2700	46801	\N	\N	\N
2268135	7485	1997-01-15	VYDAJ	VYBER	4800	42001	\N	\N	\N
2268136	7485	1997-01-08	VYDAJ	VYBER	5100	34794	\N	\N	\N
2268140	7485	1998-01-01	VYDAJ	VYBER	1500	29614	\N	\N	\N
2268141	7485	1998-01-17	VYDAJ	VYBER	3000	35334	\N	\N	\N
2268151	7485	1994-12-02	VYDAJ	VYBER	2100	21403	\N	\N	\N
2268152	7485	1994-02-25	VYDAJ	VYBER	9600	20092	\N	\N	\N
2268153	7485	1994-12-29	VYDAJ	VYBER	8700	26422	\N	\N	\N
2268156	7485	1996-08-04	VYDAJ	VYBER	4800	41719	\N	\N	\N
2268157	7485	1996-06-11	VYDAJ	VYBER	5400	22248	\N	\N	\N
2268158	7485	1996-10-06	VYDAJ	VYBER	3600	52764	\N	\N	\N
2268160	7485	1996-01-13	VYDAJ	VYBER	13800	28281	\N	\N	\N
2268161	7485	1996-10-31	VYDAJ	VYBER	12300	44789	\N	\N	\N
2268162	7485	1997-05-04	VYDAJ	VYBER	11400	31184	\N	\N	\N
2268164	7485	1997-07-04	VYDAJ	VYBER	12600	41051	\N	\N	\N
2268165	7485	1997-03-20	VYDAJ	VYBER	6000	49523	\N	\N	\N
2268166	7485	1997-03-26	VYDAJ	VYBER	9900	39623	\N	\N	\N
2268167	7485	1997-12-14	VYDAJ	VYBER	14100	31021	\N	\N	\N
2268168	7485	1997-10-05	VYDAJ	VYBER	5700	23453	\N	\N	\N
2268187	7485	1993-12-31	VYDAJ	VYBER	15	40915	SLUZBY	\N	\N
2268188	7485	1994-01-31	VYDAJ	VYBER	15	25172	SLUZBY	\N	\N
2268189	7485	1994-02-28	VYDAJ	VYBER	15	20195	SLUZBY	\N	\N
2268190	7485	1994-03-31	VYDAJ	VYBER	15	26208	SLUZBY	\N	\N
2268191	7485	1994-04-30	VYDAJ	VYBER	15	28236	SLUZBY	\N	\N
2268192	7485	1994-05-31	VYDAJ	VYBER	15	28629	SLUZBY	\N	\N
2268193	7485	1994-06-30	VYDAJ	VYBER	15	34886	SLUZBY	\N	\N
2268194	7485	1994-07-31	VYDAJ	VYBER	15	36648	SLUZBY	\N	\N
2268195	7485	1994-08-31	VYDAJ	VYBER	15	27343	SLUZBY	\N	\N
2268196	7485	1994-09-30	VYDAJ	VYBER	15	32176	SLUZBY	\N	\N
2268197	7485	1994-10-31	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
2268198	7485	1994-11-30	VYDAJ	VYBER	15	23503	SLUZBY	\N	\N
2268199	7485	1994-12-31	VYDAJ	VYBER	15	26525	SLUZBY	\N	\N
2268200	7485	1995-01-31	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
2268201	7485	1995-02-28	VYDAJ	VYBER	15	32046	SLUZBY	\N	\N
2268202	7485	1995-03-31	VYDAJ	VYBER	15	34995	SLUZBY	\N	\N
2268203	7485	1995-04-30	VYDAJ	VYBER	15	26553	SLUZBY	\N	\N
2268204	7485	1995-05-31	VYDAJ	VYBER	15	31382	SLUZBY	\N	\N
2268205	7485	1995-06-30	VYDAJ	VYBER	15	28319	SLUZBY	\N	\N
2268206	7485	1995-07-31	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
2268207	7485	1995-08-31	VYDAJ	VYBER	15	27518	SLUZBY	\N	\N
2268208	7485	1995-09-30	VYDAJ	VYBER	15	36457	SLUZBY	\N	\N
2268209	7485	1995-10-31	VYDAJ	VYBER	15	38820	SLUZBY	\N	\N
2268210	7485	1995-11-30	VYDAJ	VYBER	15	42294	SLUZBY	\N	\N
2268211	7485	1995-12-31	VYDAJ	VYBER	15	43261	SLUZBY	\N	\N
2268212	7485	1996-01-31	VYDAJ	VYBER	15	24088	SLUZBY	\N	\N
2268213	7485	1996-02-29	VYDAJ	VYBER	15	34112	SLUZBY	\N	\N
2268214	7485	1996-03-31	VYDAJ	VYBER	15	38167	SLUZBY	\N	\N
2268215	7485	1996-04-30	VYDAJ	VYBER	15	43140	SLUZBY	\N	\N
2268216	7485	1996-05-31	VYDAJ	VYBER	15	41727	SLUZBY	\N	\N
2268217	7485	1996-06-30	VYDAJ	VYBER	15	25253	SLUZBY	\N	\N
2268218	7485	1996-07-31	VYDAJ	VYBER	15	46519	SLUZBY	\N	\N
2268219	7485	1996-08-31	VYDAJ	VYBER	15	54125	SLUZBY	\N	\N
2268220	7485	1996-09-30	VYDAJ	VYBER	15	60564	SLUZBY	\N	\N
2268221	7485	1996-10-31	VYDAJ	VYBER	15	57089	SLUZBY	\N	\N
2268222	7485	1996-11-30	VYDAJ	VYBER	15	30781	SLUZBY	\N	\N
2268223	7485	1996-12-31	VYDAJ	VYBER	15	50173	SLUZBY	\N	\N
2268224	7485	1997-01-31	VYDAJ	VYBER	15	29239	SLUZBY	\N	\N
2268225	7485	1997-02-28	VYDAJ	VYBER	15	48203	SLUZBY	\N	\N
2268226	7485	1997-03-31	VYDAJ	VYBER	15	39803	SLUZBY	\N	\N
2268227	7485	1997-04-30	VYDAJ	VYBER	15	46584	SLUZBY	\N	\N
2268228	7485	1997-05-31	VYDAJ	VYBER	15	42841	SLUZBY	\N	\N
2268229	7485	1997-06-30	VYDAJ	VYBER	15	58151	SLUZBY	\N	\N
2268230	7485	1997-07-31	VYDAJ	VYBER	15	46729	SLUZBY	\N	\N
2268231	7485	1997-08-31	VYDAJ	VYBER	15	46705	SLUZBY	\N	\N
2268232	7485	1997-09-30	VYDAJ	VYBER	15	37453	SLUZBY	\N	\N
2268233	7485	1997-10-31	VYDAJ	VYBER	15	32975	SLUZBY	\N	\N
2268234	7485	1997-11-30	VYDAJ	VYBER	15	36302	SLUZBY	\N	\N
2268235	7485	1997-12-31	VYDAJ	VYBER	15	31114	SLUZBY	\N	\N
2268236	7485	1998-01-31	VYDAJ	VYBER	15	29139	SLUZBY	\N	\N
2268237	7485	1998-02-28	VYDAJ	VYBER	15	37766	SLUZBY	\N	\N
2268238	7485	1998-03-31	VYDAJ	VYBER	15	35695	SLUZBY	\N	\N
2268239	7485	1998-04-30	VYDAJ	VYBER	15	36224	SLUZBY	\N	\N
2268240	7485	1998-05-31	VYDAJ	VYBER	15	33745	SLUZBY	\N	\N
2268241	7485	1998-06-30	VYDAJ	VYBER	15	54438	SLUZBY	\N	\N
2268242	7485	1998-07-31	VYDAJ	VYBER	15	39293	SLUZBY	\N	\N
2268243	7485	1998-08-31	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
2268244	7485	1998-09-30	VYDAJ	VYBER	15	38058	SLUZBY	\N	\N
2268245	7485	1998-10-31	VYDAJ	VYBER	15	25809	SLUZBY	\N	\N
2268246	7485	1998-11-30	VYDAJ	VYBER	15	28543	SLUZBY	\N	\N
2268247	7485	1993-08-27	PRIJEM	VKLAD	300	23799	\N	\N	\N
2268248	7485	1993-09-26	VYDAJ	VYBER	12800	33814	\N	\N	\N
2268249	7485	1993-10-26	VYDAJ	VYBER	15200	41519	\N	\N	\N
2268250	7485	1993-11-25	VYDAJ	VYBER	22100	42365	\N	\N	\N
2268251	7485	1993-12-25	VYDAJ	VYBER	19600	40735	\N	\N	\N
2268252	7485	1994-01-24	PRIJEM	VKLAD	700	25084	\N	\N	\N
2268253	7485	1994-02-23	VYDAJ	VYBER	5100	29692	\N	\N	\N
2268254	7485	1994-03-25	VYDAJ	VYBER	2800	26115	\N	\N	\N
2268255	7485	1994-04-24	VYDAJ	VYBER	6800	28128	\N	\N	\N
2268256	7485	1994-05-24	VYDAJ	VYBER	3200	28517	\N	\N	\N
2268257	7485	1994-06-23	VYDAJ	VYBER	14000	34748	\N	\N	\N
2268258	7485	1994-07-23	VYDAJ	VYBER	7100	36506	\N	\N	\N
2268259	7485	1994-08-22	VYDAJ	VYBER	3200	27217	\N	\N	\N
2268260	7485	1994-09-21	VYDAJ	VYBER	4000	32063	\N	\N	\N
2268261	7485	1994-10-21	VYDAJ	VYBER	8400	32496	\N	\N	\N
2268262	7485	1994-11-20	VYDAJ	VYBER	4500	27514	\N	\N	\N
2268263	7485	1994-12-20	VYDAJ	VYBER	6400	35122	\N	\N	\N
2268264	7485	1995-01-19	PRIJEM	VKLAD	1300	24245	\N	\N	\N
2268265	7485	1995-02-18	VYDAJ	VYBER	1100	31943	\N	\N	\N
2268266	7485	1995-03-20	VYDAJ	VYBER	5900	34866	\N	\N	\N
2268267	7485	1995-04-19	PRIJEM	VKLAD	2600	46315	\N	\N	\N
2268268	7485	1995-05-19	VYDAJ	VYBER	4000	31273	\N	\N	\N
2268269	7485	1995-06-18	VYDAJ	VYBER	2600	28201	\N	\N	\N
2268270	7485	1995-07-18	VYDAJ	VYBER	5700	31340	\N	\N	\N
2268271	7485	1995-08-17	VYDAJ	VYBER	400	33333	\N	\N	\N
2268272	7485	1995-09-16	PRIJEM	VKLAD	100	36338	\N	\N	\N
2268273	7485	1995-10-16	VYDAJ	VYBER	6500	38677	\N	\N	\N
2268274	7485	1995-11-15	VYDAJ	VYBER	5400	42140	\N	\N	\N
2268275	7485	1995-12-15	VYDAJ	VYBER	11500	43113	\N	\N	\N
2268276	7485	1996-01-14	PRIJEM	VKLAD	2300	30581	\N	\N	\N
2268277	7485	1996-02-13	PRIJEM	VKLAD	1200	34008	\N	\N	\N
2268278	7485	1996-03-14	VYDAJ	VYBER	4800	38032	\N	\N	\N
2268279	7485	1996-04-13	VYDAJ	VYBER	3800	42987	\N	\N	\N
2268280	7485	1996-05-13	VYDAJ	VYBER	10700	44960	\N	\N	\N
2268281	7485	1996-06-12	PRIJEM	VKLAD	3500	25748	\N	\N	\N
2268282	7485	1996-07-12	PRIJEM	VKLAD	11500	26474	\N	\N	\N
2268283	7485	1996-08-11	PRIJEM	VKLAD	3200	34640	\N	\N	\N
2268284	7485	1996-09-10	VYDAJ	VYBER	2900	40946	\N	\N	\N
2268285	7485	1996-10-10	VYDAJ	VYBER	8400	34085	\N	\N	\N
2268286	7485	1996-11-09	VYDAJ	VYBER	2300	32210	\N	\N	\N
2268287	7485	1996-12-09	PRIJEM	VKLAD	3800	24302	\N	\N	\N
2268288	7485	1997-01-08	VYDAJ	VYBER	1000	33794	\N	\N	\N
2268289	7485	1997-02-07	PRIJEM	VKLAD	9200	25260	\N	\N	\N
2268290	7485	1997-03-09	VYDAJ	VYBER	1500	36424	\N	\N	\N
2268291	7485	1997-04-08	VYDAJ	VYBER	2000	27524	\N	\N	\N
2268292	7485	1997-05-08	VYDAJ	VYBER	1000	19905	\N	\N	\N
2268293	7485	1997-06-07	VYDAJ	VYBER	4800	27762	\N	\N	\N
2268294	7485	1997-07-07	VYDAJ	VYBER	7000	23772	\N	\N	\N
2268295	7485	1997-08-06	VYDAJ	VYBER	8900	27550	\N	\N	\N
2268296	7485	1997-09-05	VYDAJ	VYBER	18900	27805	\N	\N	\N
2268297	7485	1997-10-05	VYDAJ	VYBER	8300	29153	\N	\N	\N
2268298	7485	1997-11-04	VYDAJ	VYBER	9300	23675	\N	\N	\N
2268299	7485	1997-12-04	VYDAJ	VYBER	8200	21202	\N	\N	\N
2268300	7485	1998-03-04	VYDAJ	VYBER	14700	23066	\N	\N	\N
2268301	7485	1998-04-03	VYDAJ	VYBER	12100	23595	\N	\N	\N
2268302	7485	1998-05-03	VYDAJ	VYBER	10700	25524	\N	\N	\N
2268303	7485	1998-07-02	VYDAJ	VYBER	24700	29738	\N	\N	\N
2268304	7485	1998-08-01	VYDAJ	VYBER	13500	25793	\N	\N	\N
2268305	7485	1998-08-31	VYDAJ	VYBER	9800	25436	\N	\N	\N
2268306	7485	1998-09-30	VYDAJ	VYBER	10700	27358	\N	\N	\N
2268307	7485	1998-10-30	VYDAJ	VYBER	10400	25678	\N	\N	\N
2268308	7485	1998-11-29	VYDAJ	VYBER	9900	28429	\N	\N	\N
2268695	7487	1995-10-01	PRIJEM	VKLAD	800	800	\N	\N	\N
2268698	7487	1995-12-11	PRIJEM	VKLAD	29881	47735	\N	\N	\N
2268704	7487	1996-02-23	PRIJEM	VKLAD	36601	104941	\N	\N	\N
2268705	7487	1996-07-20	PRIJEM	VKLAD	7386	16688	\N	\N	\N
2268706	7487	1996-04-19	PRIJEM	VKLAD	31645	99051	\N	\N	\N
2268707	7487	1996-06-15	PRIJEM	VKLAD	22218	39616	\N	\N	\N
2268708	7487	1996-04-12	PRIJEM	VKLAD	25059	126925	\N	\N	\N
2268709	7487	1996-11-06	PRIJEM	VKLAD	7264	18665	\N	\N	\N
2268710	7487	1996-09-28	PRIJEM	VKLAD	19340	18682	\N	\N	\N
2268711	7487	1996-03-04	PRIJEM	VKLAD	35618	98356	\N	\N	\N
2268712	7487	1996-04-05	PRIJEM	VKLAD	47965	104779	\N	\N	\N
2268713	7487	1996-04-11	PRIJEM	VKLAD	9208	101866	\N	\N	\N
2268714	7487	1996-02-13	PRIJEM	VKLAD	43911	68340	\N	\N	\N
2268715	7487	1996-04-24	PRIJEM	VKLAD	5435	104300	\N	\N	\N
2268716	7487	1996-04-23	PRIJEM	VKLAD	34414	133465	\N	\N	\N
2268717	7487	1996-11-16	PRIJEM	VKLAD	5066	11610	\N	\N	\N
2268718	7487	1997-09-11	PRIJEM	VKLAD	41820	92150	\N	\N	\N
2268719	7487	1997-06-25	PRIJEM	VKLAD	22801	65418	\N	\N	\N
2268720	7487	1997-03-27	PRIJEM	VKLAD	10104	18611	\N	\N	\N
2268721	7487	1997-08-28	PRIJEM	VKLAD	39632	62293	\N	\N	\N
2268722	7487	1997-12-16	PRIJEM	VKLAD	47083	58018	\N	\N	\N
2268723	7487	1997-05-25	PRIJEM	VKLAD	16950	51946	\N	\N	\N
2268724	7487	1997-05-23	PRIJEM	VKLAD	18486	57196	\N	\N	\N
2268725	7487	1997-06-11	PRIJEM	VKLAD	34431	113917	\N	\N	\N
2268726	7487	1997-05-28	PRIJEM	VKLAD	39517	91463	\N	\N	\N
2268727	7487	1997-11-12	PRIJEM	VKLAD	32048	36974	\N	\N	\N
2268728	7487	1997-09-17	PRIJEM	VKLAD	48064	140214	\N	\N	\N
2268729	7487	1997-02-13	PRIJEM	VKLAD	18900	25896	\N	\N	\N
2268730	7487	1997-07-14	PRIJEM	VKLAD	19145	72737	\N	\N	\N
2268731	7487	1997-05-19	PRIJEM	VKLAD	23292	38710	\N	\N	\N
2268732	7487	1997-07-31	PRIJEM	VKLAD	10618	50696	\N	\N	\N
2268733	7487	1997-02-13	PRIJEM	VKLAD	9059	6996	\N	\N	\N
2268734	7487	1997-03-27	PRIJEM	VKLAD	40129	58740	\N	\N	\N
2268735	7487	1998-04-18	PRIJEM	VKLAD	47315	100606	\N	\N	\N
2268736	7487	1998-06-07	PRIJEM	VKLAD	5725	41988	\N	\N	\N
2268737	7487	1998-01-27	PRIJEM	VKLAD	33924	61010	\N	\N	\N
2268738	7487	1998-02-01	PRIJEM	VKLAD	17769	71705	\N	\N	\N
2268739	7487	1998-11-30	PRIJEM	VKLAD	30373	82197	\N	\N	\N
2268740	7487	1998-05-07	PRIJEM	VKLAD	13255	79392	\N	\N	\N
2268741	7487	1998-04-20	PRIJEM	VKLAD	11737	69243	\N	\N	\N
2268742	7487	1998-02-09	PRIJEM	VKLAD	43479	110392	\N	\N	\N
2268743	7487	1998-11-18	PRIJEM	VKLAD	40321	46432	\N	\N	\N
2268744	7487	1998-12-03	PRIJEM	VKLAD	44824	127137	\N	\N	\N
2268745	7487	1998-04-11	PRIJEM	VKLAD	44180	53291	\N	\N	\N
2268746	7487	1998-11-24	PRIJEM	VKLAD	5392	51824	\N	\N	\N
2268747	7487	1998-01-20	PRIJEM	VKLAD	11878	29786	\N	\N	\N
2268748	7487	1998-10-31	PRIJEM	VKLAD	7904	10917	\N	\N	\N
2268749	7487	1998-01-07	PRIJEM	VKLAD	18511	48529	\N	\N	\N
2268813	7487	1996-04-10	VYDAJ	PREVOD NA UCET	7329	92658	SIPO	IJ	21018159
2268814	7487	1996-05-10	VYDAJ	PREVOD NA UCET	7329	47932	SIPO	IJ	21018159
2268815	7487	1996-06-10	VYDAJ	PREVOD NA UCET	7329	17398	SIPO	IJ	21018159
2268816	7487	1996-07-10	VYDAJ	PREVOD NA UCET	7329	9302	SIPO	IJ	21018159
2268817	7487	1996-08-10	VYDAJ	PREVOD NA UCET	7329	4117	SIPO	IJ	21018159
2268819	7487	1996-10-10	VYDAJ	PREVOD NA UCET	7329	6570	SIPO	IJ	21018159
2268820	7487	1996-11-10	VYDAJ	PREVOD NA UCET	7329	6544	SIPO	IJ	21018159
2268821	7487	1996-12-10	VYDAJ	PREVOD NA UCET	7329	2722	SIPO	IJ	21018159
2268824	7487	1997-03-10	VYDAJ	PREVOD NA UCET	7329	8507	SIPO	IJ	21018159
2268825	7487	1997-04-10	VYDAJ	PREVOD NA UCET	7329	46666	SIPO	IJ	21018159
2268826	7487	1997-05-10	VYDAJ	PREVOD NA UCET	7329	15418	SIPO	IJ	21018159
2268827	7487	1997-06-10	VYDAJ	PREVOD NA UCET	7329	79486	SIPO	IJ	21018159
2268828	7487	1997-07-10	VYDAJ	PREVOD NA UCET	7329	53592	SIPO	IJ	21018159
2268829	7487	1997-08-10	VYDAJ	PREVOD NA UCET	7329	38561	SIPO	IJ	21018159
2268830	7487	1997-09-10	VYDAJ	PREVOD NA UCET	7329	50330	SIPO	IJ	21018159
2268831	7487	1997-10-10	VYDAJ	PREVOD NA UCET	7329	25747	SIPO	IJ	21018159
2268832	7487	1997-11-10	VYDAJ	PREVOD NA UCET	7329	4926	SIPO	IJ	21018159
2268833	7487	1997-12-10	VYDAJ	PREVOD NA UCET	7329	10935	SIPO	IJ	21018159
2268834	7487	1998-01-10	VYDAJ	PREVOD NA UCET	7329	25608	SIPO	IJ	21018159
2268835	7487	1998-02-10	VYDAJ	PREVOD NA UCET	7329	103063	SIPO	IJ	21018159
2268836	7487	1998-03-10	VYDAJ	PREVOD NA UCET	7329	24916	SIPO	IJ	21018159
2268837	7487	1998-04-10	VYDAJ	PREVOD NA UCET	7329	9111	SIPO	IJ	21018159
2268838	7487	1998-05-10	VYDAJ	PREVOD NA UCET	7329	67271	SIPO	IJ	21018159
2268839	7487	1998-06-10	VYDAJ	PREVOD NA UCET	7329	29867	SIPO	IJ	21018159
2268840	7487	1998-07-10	VYDAJ	PREVOD NA UCET	7329	9776	SIPO	IJ	21018159
2268841	7487	1998-08-10	VYDAJ	PREVOD NA UCET	7329	3005	SIPO	IJ	21018159
2268845	7487	1998-12-10	VYDAJ	PREVOD NA UCET	7329	67013	SIPO	IJ	21018159
2268861	7487	1996-04-08	VYDAJ	PREVOD NA UCET	4792	99987	 	KL	47784578
2268862	7487	1996-05-08	VYDAJ	PREVOD NA UCET	4792	55261	 	KL	47784578
2268863	7487	1996-06-08	VYDAJ	PREVOD NA UCET	4792	24727	 	KL	47784578
2268864	7487	1996-07-08	VYDAJ	PREVOD NA UCET	4792	16631	 	KL	47784578
2268865	7487	1996-08-08	VYDAJ	PREVOD NA UCET	4792	11446	 	KL	47784578
2268866	7487	1996-09-08	VYDAJ	PREVOD NA UCET	4792	-658	 	KL	47784578
2269025	7487	1996-11-24	PRIJEM	VKLAD	3200	14810	\N	\N	\N
2268867	7487	1996-10-08	VYDAJ	PREVOD NA UCET	4792	13899	 	KL	47784578
2268868	7487	1996-11-08	VYDAJ	PREVOD NA UCET	4792	13873	 	KL	47784578
2268869	7487	1996-12-08	VYDAJ	PREVOD NA UCET	4792	10051	 	KL	47784578
2268870	7487	1997-01-08	VYDAJ	PREVOD NA UCET	4792	-2059	 	KL	47784578
2268872	7487	1997-03-08	VYDAJ	PREVOD NA UCET	4792	15836	 	KL	47784578
2268873	7487	1997-04-08	VYDAJ	PREVOD NA UCET	4792	53995	 	KL	47784578
2268874	7487	1997-05-08	VYDAJ	PREVOD NA UCET	4792	22747	 	KL	47784578
2268875	7487	1997-06-08	VYDAJ	PREVOD NA UCET	4792	86815	 	KL	47784578
2268876	7487	1997-07-08	VYDAJ	PREVOD NA UCET	4792	60921	 	KL	47784578
2268877	7487	1997-08-08	VYDAJ	PREVOD NA UCET	4792	45890	 	KL	47784578
2268878	7487	1997-09-08	VYDAJ	PREVOD NA UCET	4792	57659	 	KL	47784578
2268879	7487	1997-10-08	VYDAJ	PREVOD NA UCET	4792	40876	 	KL	47784578
2268880	7487	1997-11-08	VYDAJ	PREVOD NA UCET	4792	12255	 	KL	47784578
2268881	7487	1997-12-08	VYDAJ	PREVOD NA UCET	4792	18264	 	KL	47784578
2268882	7487	1998-01-08	VYDAJ	PREVOD NA UCET	4792	43737	 	KL	47784578
2268883	7487	1998-02-08	VYDAJ	PREVOD NA UCET	4792	66913	 	KL	47784578
2268884	7487	1998-03-08	VYDAJ	PREVOD NA UCET	4792	32245	 	KL	47784578
2268885	7487	1998-04-08	VYDAJ	PREVOD NA UCET	4792	16440	 	KL	47784578
2268886	7487	1998-05-08	VYDAJ	PREVOD NA UCET	4792	74600	 	KL	47784578
2268887	7487	1998-06-08	VYDAJ	PREVOD NA UCET	4792	37196	 	KL	47784578
2268888	7487	1998-07-08	VYDAJ	PREVOD NA UCET	4792	17105	 	KL	47784578
2268889	7487	1998-08-08	VYDAJ	PREVOD NA UCET	4792	10334	 	KL	47784578
2268892	7487	1998-11-08	VYDAJ	PREVOD NA UCET	4792	6111	 	KL	47784578
2268893	7487	1998-12-08	VYDAJ	PREVOD NA UCET	4792	74342	 	KL	47784578
2268897	7487	1996-05-12	VYBER	VYBER	4893	43039	\N	\N	\N
2268898	7487	1996-04-17	VYBER	VYBER	10919	67406	\N	\N	\N
2268901	7487	1998-12-24	VYBER	VYBER	6958	34555	\N	\N	\N
2268903	7487	1998-03-05	VYBER	VYBER	22306	37037	\N	\N	\N
2268905	7487	1998-12-04	VYBER	VYBER	14103	79134	\N	\N	\N
2268911	7487	1998-06-16	VYBER	VYBER	6970	22897	\N	\N	\N
2268912	7487	1998-05-18	VYBER	VYBER	10651	56620	\N	\N	\N
2268914	7487	1996-06-24	VYDAJ	VYBER	10800	28816	\N	\N	\N
2268923	7487	1997-12-24	VYDAJ	VYBER	4200	29918	\N	\N	\N
2268924	7487	1998-12-20	VYDAJ	VYBER KARTOU	2100	41513	\N	\N	0
2268943	7487	1998-01-23	VYDAJ	VYBER KARTOU	2700	27086	\N	\N	0
2268945	7487	1998-01-10	VYDAJ	VYBER	4500	32937	\N	\N	\N
2268946	7487	1998-01-17	VYDAJ	VYBER	4200	21408	\N	\N	\N
2268947	7487	1998-01-08	VYDAJ	VYBER	6300	37437	\N	\N	\N
2268948	7487	1998-01-27	VYDAJ	VYBER	7200	53810	\N	\N	\N
2268960	7487	1997-10-09	VYDAJ	VYBER	7800	33076	\N	\N	\N
2268963	7487	1998-04-22	VYDAJ	VYBER KARTOU	3300	65943	\N	\N	0
2268980	7487	1996-04-30	VYDAJ	VYBER	15	60053	SLUZBY	\N	\N
2268981	7487	1996-05-31	VYDAJ	VYBER	15	29519	SLUZBY	\N	\N
2268982	7487	1996-06-30	VYDAJ	VYBER	15	21423	SLUZBY	\N	\N
2268983	7487	1996-07-31	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
2268984	7487	1996-08-31	VYDAJ	VYBER	15	4134	SLUZBY	\N	\N
2268985	7487	1996-09-30	VYDAJ	VYBER	15	18691	SLUZBY	\N	\N
2268986	7487	1996-10-31	VYDAJ	VYBER	15	11401	SLUZBY	\N	\N
2268987	7487	1996-11-30	VYDAJ	VYBER	15	14843	SLUZBY	\N	\N
2268988	7487	1996-12-31	VYDAJ	VYBER	15	2733	SLUZBY	\N	\N
2268989	7487	1997-01-31	VYDAJ	VYBER	15	-2063	SLUZBY	\N	\N
2268990	7487	1997-02-28	VYDAJ	VYBER	15	20637	SLUZBY	\N	\N
2268991	7487	1997-03-31	VYDAJ	VYBER	15	58787	SLUZBY	\N	\N
2268992	7487	1997-04-30	VYDAJ	VYBER	15	27539	SLUZBY	\N	\N
2268993	7487	1997-05-31	VYDAJ	VYBER	15	91607	SLUZBY	\N	\N
2268994	7487	1997-06-30	VYDAJ	VYBER	15	65713	SLUZBY	\N	\N
2268995	7487	1997-07-31	VYDAJ	VYBER	15	50682	SLUZBY	\N	\N
2268996	7487	1997-08-31	VYDAJ	VYBER	15	62451	SLUZBY	\N	\N
2268997	7487	1997-09-30	VYDAJ	VYBER	15	45668	SLUZBY	\N	\N
2268998	7487	1997-10-31	VYDAJ	VYBER	15	17047	SLUZBY	\N	\N
2268999	7487	1997-11-30	VYDAJ	VYBER	15	23056	SLUZBY	\N	\N
2269000	7487	1997-12-31	VYDAJ	VYBER	15	30018	SLUZBY	\N	\N
2269001	7487	1998-01-31	VYDAJ	VYBER	15	53936	SLUZBY	\N	\N
2269002	7487	1998-02-28	VYDAJ	VYBER	15	59343	SLUZBY	\N	\N
2269003	7487	1998-03-31	VYDAJ	VYBER	15	21232	SLUZBY	\N	\N
2269004	7487	1998-04-30	VYDAJ	VYBER	15	66137	SLUZBY	\N	\N
2269005	7487	1998-05-31	VYDAJ	VYBER	15	36263	SLUZBY	\N	\N
2269006	7487	1998-06-30	VYDAJ	VYBER	15	21897	SLUZBY	\N	\N
2269007	7487	1998-07-31	VYDAJ	VYBER	15	15126	SLUZBY	\N	\N
2269008	7487	1998-08-31	VYDAJ	VYBER	15	3017	SLUZBY	\N	\N
2269009	7487	1998-09-30	VYDAJ	VYBER	15	3013	SLUZBY	\N	\N
2269010	7487	1998-10-31	VYDAJ	VYBER	15	10903	SLUZBY	\N	\N
2269011	7487	1998-11-30	VYDAJ	VYBER	15	82313	SLUZBY	\N	\N
2269012	7487	1995-10-31	PRIJEM	VKLAD	11700	12500	\N	\N	\N
2269013	7487	1995-11-30	PRIJEM	VKLAD	5300	17802	\N	\N	\N
2269014	7487	1995-12-30	VYDAJ	VYBER	15000	32735	\N	\N	\N
2269015	7487	1996-01-29	VYDAJ	VYBER	8500	24292	\N	\N	\N
2269016	7487	1996-02-28	VYDAJ	VYBER	42400	62541	\N	\N	\N
2269017	7487	1996-03-29	VYDAJ	VYBER	41800	56556	\N	\N	\N
2269018	7487	1996-04-12	VYDAJ	VYBER	48600	78325	\N	\N	\N
2269019	7487	1996-04-23	VYDAJ	VYBER	34600	98865	\N	\N	\N
2269020	7487	1996-04-28	VYDAJ	VYBER	44600	59700	\N	\N	\N
2269021	7487	1996-05-28	VYDAJ	VYBER	13700	29339	\N	\N	\N
2269022	7487	1996-06-27	VYDAJ	VYBER	7500	21316	\N	\N	\N
2269023	7487	1996-07-27	VYDAJ	VYBER KARTOU	500	16188	\N	\N	0
2269024	7487	1996-10-25	PRIJEM	VKLAD	4800	11370	\N	\N	\N
2269026	7487	1997-02-22	VYDAJ	VYBER	5300	20596	\N	\N	\N
2269027	7487	1997-04-23	VYDAJ	VYBER	19300	27366	\N	\N	\N
2269028	7487	1997-05-23	VYDAJ	VYBER	22200	34996	\N	\N	\N
2269029	7487	1997-06-11	VYDAJ	VYBER	40100	73817	\N	\N	\N
2269030	7487	1997-06-22	VYDAJ	VYBER	31200	42617	\N	\N	\N
2269031	7487	1997-07-22	VYDAJ	VYBER	32900	39837	\N	\N	\N
2269032	7487	1997-08-21	VYDAJ	VYBER	15900	22661	\N	\N	\N
2269033	7487	1997-09-17	VYDAJ	VYBER	49900	90314	\N	\N	\N
2269034	7487	1997-09-20	VYDAJ	VYBER	44900	45414	\N	\N	\N
2269035	7487	1997-10-20	VYDAJ	VYBER	8800	16947	\N	\N	\N
2269036	7487	1997-11-19	VYDAJ	VYBER	14000	22974	\N	\N	\N
2269037	7487	1997-12-19	VYDAJ	VYBER	23900	34118	\N	\N	\N
2269038	7487	1998-01-18	VYDAJ	VYBER KARTOU	3500	17908	\N	\N	0
2269039	7487	1998-02-17	VYDAJ	VYBER	44000	59063	\N	\N	\N
2269040	7487	1998-03-19	VYDAJ	VYBER KARTOU	3800	21116	\N	\N	0
2269041	7487	1998-04-18	VYDAJ	VYBER	43100	57506	\N	\N	\N
2269042	7487	1998-05-18	VYDAJ	VYBER	20600	36020	\N	\N	\N
2269043	7487	1998-06-17	VYDAJ	VYBER KARTOU	1100	21797	\N	\N	0
2269044	7487	1998-07-17	PRIJEM	VKLAD	5300	15076	\N	\N	\N
2269045	7487	1998-12-03	VYDAJ	VYBER	33900	93237	\N	\N	\N
2269046	7487	1998-12-14	VYDAJ	VYBER	23400	43613	\N	\N	\N
2279203	7520	1996-03-29	PRIJEM	VKLAD	900	900	\N	\N	\N
2279207	7520	1996-04-09	PRIJEM	VKLAD	16169	17069	\N	\N	\N
2279208	7520	1996-05-09	PRIJEM	VKLAD	16169	38353	\N	\N	\N
2279209	7520	1996-06-09	PRIJEM	VKLAD	24254	54817	\N	\N	\N
2279210	7520	1996-07-09	PRIJEM	VKLAD	16169	57335	\N	\N	\N
2279211	7520	1996-08-09	PRIJEM	VKLAD	16169	54794	\N	\N	\N
2279212	7520	1996-09-09	PRIJEM	VKLAD	16169	52163	\N	\N	\N
2279213	7520	1996-10-09	PRIJEM	VKLAD	16169	54019	\N	\N	\N
2279214	7520	1996-11-09	PRIJEM	VKLAD	16169	55091	\N	\N	\N
2279215	7520	1996-12-09	PRIJEM	VKLAD	24254	61785	\N	\N	\N
2279216	7520	1997-01-09	PRIJEM	VKLAD	16169	54052	\N	\N	\N
2279217	7520	1997-02-09	PRIJEM	VKLAD	16169	46008	\N	\N	\N
2279218	7520	1997-03-09	PRIJEM	VKLAD	16169	46451	\N	\N	\N
2279219	7520	1997-04-09	PRIJEM	VKLAD	16169	47562	\N	\N	\N
2279220	7520	1997-05-09	PRIJEM	VKLAD	16169	48673	\N	\N	\N
2279221	7520	1997-06-09	PRIJEM	VKLAD	24254	38467	\N	\N	\N
2279222	7520	1997-07-09	PRIJEM	VKLAD	16169	37466	\N	\N	\N
2279223	7520	1997-08-09	PRIJEM	VKLAD	16169	36227	\N	\N	\N
2279224	7520	1997-09-09	PRIJEM	VKLAD	16169	35737	\N	\N	\N
2279225	7520	1997-10-09	PRIJEM	VKLAD	16169	32869	\N	\N	\N
2279226	7520	1997-11-09	PRIJEM	VKLAD	16169	30374	\N	\N	\N
2279227	7520	1997-12-09	PRIJEM	VKLAD	24254	37314	\N	\N	\N
2279228	7520	1998-01-09	PRIJEM	VKLAD	16169	20921	\N	\N	\N
2279229	7520	1998-02-09	PRIJEM	VKLAD	16169	15416	\N	\N	\N
2279230	7520	1998-03-09	PRIJEM	VKLAD	16169	14834	\N	\N	\N
2279231	7520	1998-04-09	PRIJEM	VKLAD	16169	15857	\N	\N	\N
2279232	7520	1998-05-09	PRIJEM	VKLAD	16169	14689	\N	\N	\N
2279233	7520	1998-06-09	PRIJEM	VKLAD	24254	20379	\N	\N	\N
2279234	7520	1998-07-09	PRIJEM	VKLAD	16169	12976	\N	\N	\N
2279235	7520	1998-08-09	PRIJEM	VKLAD	16169	7122	\N	\N	\N
2279236	7520	1998-09-09	PRIJEM	VKLAD	16169	3903	\N	\N	\N
2279237	7520	1998-10-09	PRIJEM	VKLAD	16169	6797	\N	\N	\N
2279238	7520	1998-11-09	PRIJEM	VKLAD	16169	8218	\N	\N	\N
2279239	7520	1998-12-09	PRIJEM	VKLAD	24254	11477	\N	\N	\N
2279241	7520	1997-06-01	VYDAJ	VYBER	14900	14213	\N	\N	\N
2279244	7520	1997-01-20	VYDAJ	VYBER	3200	46352	\N	\N	\N
2279245	7520	1998-01-06	VYDAJ	VYBER	3400	4752	\N	\N	\N
2279246	7520	1996-12-24	VYDAJ	VYBER	2500	59285	\N	\N	\N
2279247	7520	1997-12-23	VYDAJ	VYBER	2800	8114	\N	\N	\N
2279255	7520	1997-01-24	VYDAJ	VYBER	1100	32052	\N	\N	\N
2279256	7520	1997-01-11	VYDAJ	VYBER	2400	51652	\N	\N	\N
2279257	7520	1997-01-27	VYDAJ	VYBER	1800	29552	\N	\N	\N
2279258	7520	1997-01-27	VYDAJ	VYBER	700	31352	\N	\N	\N
2279259	7520	1997-01-19	VYDAJ	VYBER	2100	49552	\N	\N	\N
2279260	7520	1997-01-08	VYDAJ	VYBER	2000	37883	\N	\N	\N
2279261	7520	1998-01-20	VYDAJ	VYBER	500	921	\N	\N	\N
2279265	7520	1998-01-16	VYDAJ	VYBER	2000	18921	\N	\N	\N
2279266	7520	1998-01-20	VYDAJ	VYBER	1700	-779	\N	\N	\N
2279270	7520	1996-08-23	VYDAJ	VYBER	800	53994	\N	\N	\N
2279272	7520	1996-11-17	VYDAJ	VYBER	1500	53591	\N	\N	\N
2279273	7520	1996-10-23	VYDAJ	VYBER	2400	51619	\N	\N	\N
2279274	7520	1997-03-24	VYDAJ	VYBER	3800	31251	\N	\N	\N
2279275	7520	1997-02-17	VYDAJ	VYBER	3900	42108	\N	\N	\N
2279276	7520	1997-09-10	VYDAJ	VYBER	4100	31637	\N	\N	\N
2279277	7520	1997-10-07	VYDAJ	VYBER	1100	16700	\N	\N	\N
2279292	7520	1996-08-31	VYDAJ	VYBER	15	35994	SLUZBY	\N	\N
2279293	7520	1996-09-30	VYDAJ	VYBER	15	37850	SLUZBY	\N	\N
2279294	7520	1996-10-31	VYDAJ	VYBER	15	38922	SLUZBY	\N	\N
2279295	7520	1996-11-30	VYDAJ	VYBER	15	37531	SLUZBY	\N	\N
2279296	7520	1996-12-31	VYDAJ	VYBER	15	39883	SLUZBY	\N	\N
2279297	7520	1997-01-31	VYDAJ	VYBER	15	29839	SLUZBY	\N	\N
2279298	7520	1997-02-28	VYDAJ	VYBER	15	30282	SLUZBY	\N	\N
2279299	7520	1997-03-31	VYDAJ	VYBER	15	31393	SLUZBY	\N	\N
2279300	7520	1997-04-30	VYDAJ	VYBER	15	32504	SLUZBY	\N	\N
2279301	7520	1997-05-31	VYDAJ	VYBER	15	29113	SLUZBY	\N	\N
2279302	7520	1997-06-30	VYDAJ	VYBER	15	21297	SLUZBY	\N	\N
2279303	7520	1997-07-31	VYDAJ	VYBER	15	20058	SLUZBY	\N	\N
2279304	7520	1997-08-31	VYDAJ	VYBER	15	19568	SLUZBY	\N	\N
2279305	7520	1997-09-30	VYDAJ	VYBER	15	17800	SLUZBY	\N	\N
2279306	7520	1997-10-31	VYDAJ	VYBER	15	14205	SLUZBY	\N	\N
2279307	7520	1997-11-30	VYDAJ	VYBER	15	13060	SLUZBY	\N	\N
2279308	7520	1997-12-31	VYDAJ	VYBER	15	8152	SLUZBY	\N	\N
2279309	7520	1998-01-31	VYDAJ	VYBER	15	-753	SLUZBY	\N	\N
2279311	7520	1998-03-31	VYDAJ	VYBER	15	-305	SLUZBY	\N	\N
2279320	7520	1996-04-28	PRIJEM	VKLAD	5100	22169	\N	\N	\N
2279321	7520	1996-05-28	VYDAJ	VYBER	7900	30453	\N	\N	\N
2279322	7520	1996-06-27	VYDAJ	VYBER	13800	41017	\N	\N	\N
2279323	7520	1996-07-27	VYDAJ	VYBER	18900	38435	\N	\N	\N
2279324	7520	1996-08-26	VYDAJ	VYBER	18200	35794	\N	\N	\N
2279325	7520	1996-09-25	VYDAJ	VYBER	14600	37563	\N	\N	\N
2279326	7520	1996-10-25	VYDAJ	VYBER	13000	38619	\N	\N	\N
2279327	7520	1996-11-24	VYDAJ	VYBER	16300	37291	\N	\N	\N
2279328	7520	1996-12-24	VYDAJ	VYBER	19600	39685	\N	\N	\N
2279329	7520	1997-01-23	VYDAJ	VYBER	13200	33152	\N	\N	\N
2279330	7520	1997-02-22	VYDAJ	VYBER	12000	30108	\N	\N	\N
2279331	7520	1997-03-24	VYDAJ	VYBER	11400	35051	\N	\N	\N
2279332	7520	1997-04-23	VYDAJ	VYBER	15300	32262	\N	\N	\N
2279333	7520	1997-05-23	VYDAJ	VYBER	19800	28873	\N	\N	\N
2279334	7520	1997-06-22	VYDAJ	VYBER	17400	21067	\N	\N	\N
2279335	7520	1997-07-22	VYDAJ	VYBER	17500	19966	\N	\N	\N
2279336	7520	1997-08-21	VYDAJ	VYBER	16800	19427	\N	\N	\N
2279337	7520	1997-09-20	VYDAJ	VYBER	14000	17637	\N	\N	\N
2279338	7520	1997-10-20	VYDAJ	VYBER	18800	14069	\N	\N	\N
2279339	7520	1997-11-19	VYDAJ	VYBER	17400	12974	\N	\N	\N
2279340	7520	1997-12-19	VYDAJ	VYBER	26400	10914	\N	\N	\N
2279341	7520	1998-01-18	VYDAJ	VYBER	17500	1421	\N	\N	\N
2279342	7520	1998-02-17	VYDAJ	VYBER	16700	-1284	\N	\N	\N
2279343	7520	1998-03-19	VYDAJ	VYBER	15100	-266	\N	\N	\N
2279344	7520	1998-04-18	VYDAJ	VYBER	17300	-1443	\N	\N	\N
2279345	7520	1998-05-18	VYDAJ	VYBER	18500	-3811	\N	\N	\N
2279346	7520	1998-06-17	VYDAJ	VYBER	23500	-3121	\N	\N	\N
2279347	7520	1998-07-17	VYDAJ	VYBER	21900	-8924	\N	\N	\N
2279348	7520	1998-08-16	VYDAJ	VYBER	19200	-12078	\N	\N	\N
2279349	7520	1998-09-15	VYDAJ	VYBER	13100	-9197	\N	\N	\N
2279350	7520	1998-10-15	VYDAJ	VYBER	14600	-7803	\N	\N	\N
2279351	7520	1998-11-14	VYDAJ	VYBER	20800	-12582	\N	\N	\N
2279352	7520	1998-12-14	VYDAJ	VYBER	22300	-10823	\N	\N	\N
2279627	7523	1994-08-29	PRIJEM	VKLAD	600	600	\N	\N	\N
2279636	7523	1994-09-07	PRIJEM	VKLAD	20633	21233	\N	\N	\N
2279637	7523	1994-10-07	PRIJEM	VKLAD	20633	43782	\N	\N	\N
2279638	7523	1994-11-07	PRIJEM	VKLAD	20633	53830	\N	\N	\N
2279639	7523	1994-12-07	PRIJEM	VKLAD	30950	71939	\N	\N	\N
2279640	7523	1995-01-07	PRIJEM	VKLAD	20633	69474	\N	\N	\N
2279641	7523	1995-02-07	PRIJEM	VKLAD	20633	49637	\N	\N	\N
2279642	7523	1995-03-07	PRIJEM	VKLAD	20633	38608	\N	\N	\N
2279643	7523	1995-04-07	PRIJEM	VKLAD	20633	41745	\N	\N	\N
2279644	7523	1995-05-07	PRIJEM	VKLAD	20633	52800	\N	\N	\N
2279645	7523	1995-06-07	PRIJEM	VKLAD	30950	58624	\N	\N	\N
2279646	7523	1995-07-07	PRIJEM	VKLAD	20633	52756	\N	\N	\N
2279647	7523	1995-08-07	PRIJEM	VKLAD	20633	52936	\N	\N	\N
2279648	7523	1995-09-07	PRIJEM	VKLAD	20633	51771	\N	\N	\N
2279649	7523	1995-10-07	PRIJEM	VKLAD	20633	49798	\N	\N	\N
2279650	7523	1995-11-07	PRIJEM	VKLAD	20633	46723	\N	\N	\N
2279651	7523	1995-12-07	PRIJEM	VKLAD	30950	59617	\N	\N	\N
2279652	7523	1996-01-07	PRIJEM	VKLAD	20633	54075	\N	\N	\N
2279653	7523	1996-02-07	PRIJEM	VKLAD	20633	40497	\N	\N	\N
2279654	7523	1996-03-07	PRIJEM	VKLAD	20633	36738	\N	\N	\N
2279655	7523	1996-04-07	PRIJEM	VKLAD	20633	49152	\N	\N	\N
2279656	7523	1996-05-07	PRIJEM	VKLAD	20633	44301	\N	\N	\N
2279657	7523	1996-06-07	PRIJEM	VKLAD	30950	53760	\N	\N	\N
2279658	7523	1996-07-07	PRIJEM	VKLAD	20633	47721	\N	\N	\N
2279659	7523	1996-08-07	PRIJEM	VKLAD	20633	55824	\N	\N	\N
2279660	7523	1996-09-07	PRIJEM	VKLAD	20633	57826	\N	\N	\N
2279661	7523	1996-10-07	PRIJEM	VKLAD	20633	49325	\N	\N	\N
2279662	7523	1996-11-07	PRIJEM	VKLAD	20633	47637	\N	\N	\N
2279663	7523	1996-12-07	PRIJEM	VKLAD	30950	57401	\N	\N	\N
2279664	7523	1997-01-07	PRIJEM	VKLAD	20633	50585	\N	\N	\N
2279665	7523	1997-02-07	PRIJEM	VKLAD	20633	42568	\N	\N	\N
2279666	7523	1997-03-07	PRIJEM	VKLAD	20633	51663	\N	\N	\N
2279667	7523	1997-04-07	PRIJEM	VKLAD	20633	56425	\N	\N	\N
2279668	7523	1997-05-07	PRIJEM	VKLAD	20633	61397	\N	\N	\N
2279669	7523	1997-06-07	PRIJEM	VKLAD	30950	63206	\N	\N	\N
2279670	7523	1997-07-07	PRIJEM	VKLAD	20633	62638	\N	\N	\N
2279671	7523	1997-08-07	PRIJEM	VKLAD	20633	56781	\N	\N	\N
2279672	7523	1997-09-07	PRIJEM	VKLAD	20633	47619	\N	\N	\N
2279673	7523	1997-10-07	PRIJEM	VKLAD	20633	46557	\N	\N	\N
2279674	7523	1997-11-07	PRIJEM	VKLAD	20633	54766	\N	\N	\N
2279675	7523	1997-12-07	PRIJEM	VKLAD	30950	54979	\N	\N	\N
2279676	7523	1998-01-07	PRIJEM	VKLAD	20633	44619	\N	\N	\N
2279677	7523	1998-02-07	PRIJEM	VKLAD	20633	32292	\N	\N	\N
2279678	7523	1998-03-07	PRIJEM	VKLAD	20633	34318	\N	\N	\N
2279679	7523	1998-04-07	PRIJEM	VKLAD	20633	27724	\N	\N	\N
2279680	7523	1998-05-07	PRIJEM	VKLAD	20633	33167	\N	\N	\N
2279681	7523	1998-06-07	PRIJEM	VKLAD	30950	40297	\N	\N	\N
2279682	7523	1998-07-07	PRIJEM	VKLAD	20633	41622	\N	\N	\N
2279683	7523	1998-08-07	PRIJEM	VKLAD	20633	39892	\N	\N	\N
2279684	7523	1998-09-07	PRIJEM	VKLAD	20633	36160	\N	\N	\N
2279685	7523	1998-10-07	PRIJEM	VKLAD	20633	39782	\N	\N	\N
2279686	7523	1998-11-07	PRIJEM	VKLAD	20633	23221	\N	\N	\N
2279687	7523	1998-12-07	PRIJEM	VKLAD	30950	54286	\N	\N	\N
2279700	7523	1995-01-11	VYDAJ	VYBER	8700	59214	SIPO	\N	0
2279701	7523	1995-02-11	VYDAJ	VYBER	6400	43237	SIPO	\N	0
2279702	7523	1995-03-03	VYDAJ	VYBER	8800	17975	SIPO	\N	0
2279703	7523	1995-04-01	VYDAJ	VYBER	6900	21112	SIPO	\N	0
2279704	7523	1995-05-09	VYDAJ	VYBER	5900	46900	SIPO	\N	0
2279705	7523	1995-06-08	VYDAJ	VYBER	7300	51324	SIPO	\N	0
2279706	7523	1995-07-14	VYDAJ	VYBER	8800	35943	SIPO	\N	0
2279707	7523	1995-08-11	VYDAJ	VYBER	8400	44536	SIPO	\N	0
2279708	7523	1995-09-15	VYDAJ	VYBER	6100	37658	SIPO	\N	0
2279709	7523	1995-10-16	VYDAJ	VYBER	6400	35385	SIPO	\N	0
2279710	7523	1995-11-06	VYDAJ	VYBER	5600	26090	SIPO	\N	0
2279711	7523	1995-11-28	VYDAJ	VYBER	6300	28410	SIPO	\N	0
2279712	7523	1996-01-16	VYDAJ	VYBER	7700	32122	SIPO	\N	0
2279713	7523	1996-02-10	VYDAJ	VYBER	7700	32797	SIPO	\N	0
2279714	7523	1996-03-03	VYDAJ	VYBER	6300	16105	SIPO	\N	0
2279715	7523	1996-04-15	VYDAJ	VYBER	9000	32139	SIPO	\N	0
2279716	7523	1996-05-05	VYDAJ	VYBER	8400	23668	SIPO	\N	0
2279717	7523	1996-05-29	VYDAJ	VYBER	6000	22588	SIPO	\N	0
2279718	7523	1996-07-01	VYDAJ	VYBER	7200	27088	SIPO	\N	0
2279719	7523	1996-08-12	VYDAJ	VYBER	5400	42411	SIPO	\N	0
2279720	7523	1996-09-14	VYDAJ	VYBER	7200	42613	SIPO	\N	0
2279721	7523	1996-10-05	VYDAJ	VYBER	6800	28692	SIPO	\N	0
2279722	7523	1996-10-31	VYDAJ	VYBER	6700	27004	SIPO	\N	0
2279723	7523	1996-12-06	VYDAJ	VYBER	7100	26451	SIPO	\N	0
2279724	7523	1997-01-03	VYDAJ	VYBER	6200	32952	SIPO	\N	0
2279725	7523	1997-02-09	VYDAJ	VYBER	6300	36268	SIPO	\N	0
2279726	7523	1997-03-13	VYDAJ	VYBER	7300	36350	SIPO	\N	0
2279727	7523	1997-04-07	VYDAJ	VYBER	6300	50125	SIPO	\N	0
2279728	7523	1997-05-09	VYDAJ	VYBER	8500	52897	SIPO	\N	0
2279729	7523	1997-06-07	VYDAJ	VYBER	7700	55506	SIPO	\N	0
2279730	7523	1997-07-13	VYDAJ	VYBER	6000	42985	SIPO	\N	0
2279731	7523	1997-08-12	VYDAJ	VYBER	6900	41868	SIPO	\N	0
2279732	7523	1997-08-29	VYDAJ	VYBER	5800	26788	SIPO	\N	0
2279733	7523	1997-10-06	VYDAJ	VYBER	8900	25924	SIPO	\N	0
2279734	7523	1997-11-10	VYDAJ	VYBER	7800	46966	SIPO	\N	0
2279735	7523	1997-12-11	VYDAJ	VYBER	8200	46779	SIPO	\N	0
2279736	7523	1998-01-12	VYDAJ	VYBER	5600	30819	SIPO	\N	0
2279737	7523	1998-02-15	VYDAJ	VYBER	7300	13592	SIPO	\N	0
2279738	7523	1998-03-14	VYDAJ	VYBER	8500	13518	SIPO	\N	0
2279739	7523	1998-04-02	VYDAJ	VYBER	6500	7091	SIPO	\N	0
2279740	7523	1998-05-03	VYDAJ	VYBER	7200	12534	SIPO	\N	0
2279741	7523	1998-06-11	VYDAJ	VYBER	5800	20877	SIPO	\N	0
2279742	7523	1998-07-09	VYDAJ	VYBER	8100	25322	SIPO	\N	0
2279743	7523	1998-08-16	VYDAJ	VYBER	7900	23192	SIPO	\N	0
2279744	7523	1998-08-30	VYDAJ	VYBER	7800	15392	SIPO	\N	0
2279745	7523	1998-10-13	VYDAJ	VYBER	7000	16882	SIPO	\N	0
2279746	7523	1998-10-31	VYDAJ	VYBER	8400	8602	SIPO	\N	0
2279747	7523	1998-12-11	VYDAJ	VYBER	8400	37286	SIPO	\N	0
2279760	7523	1995-01-12	VYDAJ	PREVOD NA UCET	8013	51201	UVER	QR	92478555
2279761	7523	1995-02-12	VYDAJ	PREVOD NA UCET	8013	35224	UVER	QR	92478555
2279762	7523	1995-03-12	VYDAJ	PREVOD NA UCET	8013	30595	UVER	QR	92478555
2279763	7523	1995-04-12	VYDAJ	PREVOD NA UCET	8013	33732	UVER	QR	92478555
2279764	7523	1995-05-12	VYDAJ	PREVOD NA UCET	8013	38887	UVER	QR	92478555
2279765	7523	1995-06-12	VYDAJ	PREVOD NA UCET	8013	43311	UVER	QR	92478555
2279766	7523	1995-07-12	VYDAJ	PREVOD NA UCET	8013	44743	UVER	QR	92478555
2279767	7523	1995-08-12	VYDAJ	PREVOD NA UCET	8013	36523	UVER	QR	92478555
2279768	7523	1995-09-12	VYDAJ	PREVOD NA UCET	8013	43758	UVER	QR	92478555
2279769	7523	1995-10-12	VYDAJ	PREVOD NA UCET	8013	41785	UVER	QR	92478555
2279770	7523	1995-11-12	VYDAJ	PREVOD NA UCET	8013	38710	UVER	QR	92478555
2279771	7523	1995-12-12	VYDAJ	PREVOD NA UCET	8013	51604	UVER	QR	92478555
2279772	7523	1996-01-12	VYDAJ	PREVOD NA UCET	8013	39822	UVER	QR	92478555
2279773	7523	1996-02-12	VYDAJ	PREVOD NA UCET	8013	24784	UVER	QR	92478555
2279774	7523	1996-03-12	VYDAJ	PREVOD NA UCET	8013	28725	UVER	QR	92478555
2279775	7523	1996-04-12	VYDAJ	PREVOD NA UCET	8013	41139	UVER	QR	92478555
2279776	7523	1996-05-12	VYDAJ	PREVOD NA UCET	8013	36288	UVER	QR	92478555
2279777	7523	1996-06-12	VYDAJ	PREVOD NA UCET	8013	45747	UVER	QR	92478555
2279778	7523	1996-07-12	VYDAJ	PREVOD NA UCET	8013	39708	UVER	QR	92478555
2279779	7523	1996-08-12	VYDAJ	PREVOD NA UCET	8013	47811	UVER	QR	92478555
2279780	7523	1996-09-12	VYDAJ	PREVOD NA UCET	8013	49813	UVER	QR	92478555
2279781	7523	1996-10-12	VYDAJ	PREVOD NA UCET	8013	41312	UVER	QR	92478555
2279782	7523	1996-11-12	VYDAJ	PREVOD NA UCET	8013	39624	UVER	QR	92478555
2279783	7523	1996-12-12	VYDAJ	PREVOD NA UCET	8013	49388	UVER	QR	92478555
2279784	7523	1997-01-12	VYDAJ	PREVOD NA UCET	8013	39932	UVER	QR	92478555
2279785	7523	1997-02-12	VYDAJ	PREVOD NA UCET	8013	28255	UVER	QR	92478555
2279786	7523	1997-03-12	VYDAJ	PREVOD NA UCET	8013	43650	UVER	QR	92478555
2279787	7523	1997-04-12	VYDAJ	PREVOD NA UCET	8013	38272	UVER	QR	92478555
2279788	7523	1997-05-12	VYDAJ	PREVOD NA UCET	8013	44884	UVER	QR	92478555
2279789	7523	1997-06-12	VYDAJ	PREVOD NA UCET	8013	47493	UVER	QR	92478555
2279790	7523	1997-07-12	VYDAJ	PREVOD NA UCET	8013	48985	UVER	QR	92478555
2279791	7523	1997-08-12	VYDAJ	PREVOD NA UCET	8013	48768	UVER	QR	92478555
2279792	7523	1997-09-12	VYDAJ	PREVOD NA UCET	8013	35406	UVER	QR	92478555
2279793	7523	1997-10-12	VYDAJ	PREVOD NA UCET	8013	38544	UVER	QR	92478555
2279794	7523	1997-11-12	VYDAJ	PREVOD NA UCET	8013	23853	UVER	QR	92478555
2279795	7523	1997-12-12	VYDAJ	PREVOD NA UCET	8013	23866	UVER	QR	92478555
2279796	7523	1998-01-14	VYDAJ	VYBER	9700	21119	\N	\N	0
2279797	7523	1998-02-06	VYDAJ	VYBER	9600	11659	\N	\N	0
2279798	7523	1998-03-08	VYDAJ	VYBER	6100	28218	\N	\N	0
2279799	7523	1998-04-18	VYDAJ	VYBER	8100	19624	\N	\N	0
2279800	7523	1998-05-07	VYDAJ	VYBER	8900	24267	\N	\N	0
2279801	7523	1998-06-02	VYDAJ	VYBER	6600	9347	\N	\N	0
2279802	7523	1998-07-18	VYDAJ	VYBER	6200	19122	\N	\N	0
2279803	7523	1998-08-08	VYDAJ	VYBER	8800	31092	\N	\N	0
2279806	7523	1998-11-06	VYDAJ	VYBER	6000	2588	\N	\N	0
2279807	7523	1998-12-07	VYDAJ	VYBER	8600	45686	\N	\N	0
2279811	7523	1997-06-03	VYDAJ	VYBER	8960	32256	\N	\N	\N
2279814	7523	1995-01-23	VYDAJ	VYBER	10080	34881	\N	\N	\N
2279815	7523	1996-01-28	VYDAJ	VYBER	3360	22602	\N	\N	\N
2279816	7523	1997-01-27	VYDAJ	VYBER	8640	21692	\N	\N	\N
2279819	7523	1995-12-18	VYDAJ	VYBER	1120	50484	\N	\N	\N
2279820	7523	1996-12-14	VYDAJ	VYBER	800	48588	\N	\N	\N
2279821	7523	1997-12-11	VYDAJ	VYBER	2400	31879	\N	\N	\N
2279822	7523	1998-12-24	VYDAJ	VYBER	4000	33286	\N	\N	\N
2279829	7523	1995-01-09	VYDAJ	VYBER	1560	67914	\N	\N	\N
2279830	7523	1995-01-19	VYDAJ	VYBER	600	44961	\N	\N	\N
2279831	7523	1995-01-15	VYDAJ	VYBER	960	45561	\N	\N	\N
2279832	7523	1995-01-13	VYDAJ	VYBER	2880	48321	\N	\N	\N
2279833	7523	1995-01-28	VYDAJ	VYBER	2880	28701	\N	\N	\N
2279834	7523	1995-01-13	VYDAJ	VYBER	600	47721	\N	\N	\N
2279835	7523	1996-01-29	VYDAJ	VYBER	3000	19602	\N	\N	\N
2279836	7523	1996-01-27	VYDAJ	VYBER	2400	25962	\N	\N	\N
2279837	7523	1996-01-03	VYDAJ	VYBER	3240	33442	\N	\N	\N
2279838	7523	1996-01-25	VYDAJ	VYBER	960	28362	\N	\N	\N
2279839	7523	1996-01-08	VYDAJ	VYBER	3120	47835	\N	\N	\N
2279840	7523	1996-01-08	VYDAJ	VYBER	3120	50955	\N	\N	\N
2279841	7523	1997-01-15	VYDAJ	VYBER	840	36692	\N	\N	\N
2279842	7523	1997-01-02	VYDAJ	VYBER	2760	39152	\N	\N	\N
2279843	7523	1997-01-24	VYDAJ	VYBER	1560	30332	\N	\N	\N
2279844	7523	1997-01-05	VYDAJ	VYBER	3000	29952	\N	\N	\N
2279845	7523	1997-01-11	VYDAJ	VYBER	2640	47945	\N	\N	\N
2279846	7523	1997-01-14	VYDAJ	VYBER	2400	37532	\N	\N	\N
2279858	7523	1995-06-23	VYDAJ	VYBER	3960	39351	\N	\N	\N
2279859	7523	1995-02-28	VYDAJ	VYBER	4200	26790	\N	\N	\N
2279860	7523	1995-01-15	VYDAJ	VYBER	1200	46521	\N	\N	\N
2279861	7523	1995-12-27	VYDAJ	VYBER	2400	36384	\N	\N	\N
2279862	7523	1995-05-31	VYDAJ	VYBER	4560	27688	\N	\N	\N
2279863	7523	1996-10-14	VYDAJ	VYBER	4080	37232	\N	\N	\N
2279864	7523	1996-02-21	VYDAJ	VYBER	4440	22244	\N	\N	\N
2279865	7523	1997-06-03	VYDAJ	VYBER	840	41216	\N	\N	\N
2279866	7523	1997-09-30	VYDAJ	VYBER	840	34824	\N	\N	\N
2279868	7523	1997-07-07	VYDAJ	VYBER	5640	56998	\N	\N	\N
2279869	7523	1997-08-24	VYDAJ	VYBER	5280	32588	\N	\N	\N
2279870	7523	1997-04-09	VYDAJ	VYBER	3840	46285	\N	\N	\N
2279871	7523	1998-06-09	VYDAJ	VYBER	2520	26677	\N	\N	\N
2279872	7523	1998-06-07	VYDAJ	VYBER	1800	38497	\N	\N	\N
2279889	7523	1995-01-31	VYDAJ	VYBER	15	29004	SLUZBY	\N	\N
2279890	7523	1995-02-28	VYDAJ	VYBER	15	26775	SLUZBY	\N	\N
2279891	7523	1995-03-31	VYDAJ	VYBER	15	28012	SLUZBY	\N	\N
2279892	7523	1995-04-30	VYDAJ	VYBER	15	32167	SLUZBY	\N	\N
2279893	7523	1995-05-31	VYDAJ	VYBER	15	27674	SLUZBY	\N	\N
2279894	7523	1995-06-30	VYDAJ	VYBER	15	32123	SLUZBY	\N	\N
2279895	7523	1995-07-31	VYDAJ	VYBER	15	32303	SLUZBY	\N	\N
2279896	7523	1995-08-31	VYDAJ	VYBER	15	31138	SLUZBY	\N	\N
2279897	7523	1995-09-30	VYDAJ	VYBER	15	29165	SLUZBY	\N	\N
2279898	7523	1995-10-31	VYDAJ	VYBER	15	31690	SLUZBY	\N	\N
2279899	7523	1995-11-30	VYDAJ	VYBER	15	28667	SLUZBY	\N	\N
2279900	7523	1995-12-31	VYDAJ	VYBER	15	36682	SLUZBY	\N	\N
2279901	7523	1996-01-31	VYDAJ	VYBER	15	19864	SLUZBY	\N	\N
2279902	7523	1996-02-29	VYDAJ	VYBER	15	22405	SLUZBY	\N	\N
2279903	7523	1996-03-31	VYDAJ	VYBER	15	28519	SLUZBY	\N	\N
2279904	7523	1996-04-30	VYDAJ	VYBER	15	32068	SLUZBY	\N	\N
2279905	7523	1996-05-31	VYDAJ	VYBER	15	22810	SLUZBY	\N	\N
2279906	7523	1996-06-30	VYDAJ	VYBER	15	34288	SLUZBY	\N	\N
2279907	7523	1996-07-31	VYDAJ	VYBER	15	35191	SLUZBY	\N	\N
2279908	7523	1996-08-31	VYDAJ	VYBER	15	37193	SLUZBY	\N	\N
2279909	7523	1996-09-30	VYDAJ	VYBER	15	35492	SLUZBY	\N	\N
2279910	7523	1996-10-31	VYDAJ	VYBER	15	33704	SLUZBY	\N	\N
2279911	7523	1996-11-30	VYDAJ	VYBER	15	33551	SLUZBY	\N	\N
2279912	7523	1996-12-31	VYDAJ	VYBER	15	41912	SLUZBY	\N	\N
2279913	7523	1997-01-31	VYDAJ	VYBER	15	21935	SLUZBY	\N	\N
2279914	7523	1997-02-28	VYDAJ	VYBER	15	31030	SLUZBY	\N	\N
2279915	7523	1997-03-31	VYDAJ	VYBER	15	35792	SLUZBY	\N	\N
2279916	7523	1997-04-30	VYDAJ	VYBER	15	40764	SLUZBY	\N	\N
2279917	7523	1997-05-31	VYDAJ	VYBER	15	42056	SLUZBY	\N	\N
2279918	7523	1997-06-30	VYDAJ	VYBER	15	42005	SLUZBY	\N	\N
2279919	7523	1997-07-31	VYDAJ	VYBER	15	36148	SLUZBY	\N	\N
2279920	7523	1997-08-31	VYDAJ	VYBER	15	26986	SLUZBY	\N	\N
2279921	7523	1997-09-30	VYDAJ	VYBER	15	35664	SLUZBY	\N	\N
2279922	7523	1997-10-31	VYDAJ	VYBER	15	34133	SLUZBY	\N	\N
2279923	7523	1997-11-30	VYDAJ	VYBER	15	24029	SLUZBY	\N	\N
2279924	7523	1997-12-31	VYDAJ	VYBER	15	23986	SLUZBY	\N	\N
2279925	7523	1998-01-31	VYDAJ	VYBER	15	21259	SLUZBY	\N	\N
2279926	7523	1998-02-28	VYDAJ	VYBER	15	13685	SLUZBY	\N	\N
2279927	7523	1998-03-31	VYDAJ	VYBER	15	13591	SLUZBY	\N	\N
2279928	7523	1998-04-30	VYDAJ	VYBER	15	19734	SLUZBY	\N	\N
2279929	7523	1998-05-31	VYDAJ	VYBER	15	15947	SLUZBY	\N	\N
2279930	7523	1998-06-30	VYDAJ	VYBER	15	20989	SLUZBY	\N	\N
2279931	7523	1998-07-31	VYDAJ	VYBER	15	19259	SLUZBY	\N	\N
2279932	7523	1998-08-31	VYDAJ	VYBER	15	15527	SLUZBY	\N	\N
2279933	7523	1998-09-30	VYDAJ	VYBER	15	19149	SLUZBY	\N	\N
2279934	7523	1998-10-31	VYDAJ	VYBER	15	8588	SLUZBY	\N	\N
2279935	7523	1998-11-30	VYDAJ	VYBER	15	23336	SLUZBY	\N	\N
2279936	7523	1994-09-28	PRIJEM	VKLAD	1900	23133	\N	\N	\N
2279937	7523	1994-10-28	VYDAJ	VYBER	10700	33082	\N	\N	\N
2279938	7523	1994-11-27	VYDAJ	VYBER	13000	40830	\N	\N	\N
2279939	7523	1994-12-27	VYDAJ	VYBER	23300	48639	\N	\N	\N
2279940	7523	1995-01-26	VYDAJ	VYBER	3300	31581	\N	\N	\N
2279941	7523	1995-02-25	VYDAJ	VYBER	4500	30724	\N	\N	\N
2279942	7523	1995-03-27	VYDAJ	VYBER	2800	27795	\N	\N	\N
2279943	7523	1995-04-26	VYDAJ	VYBER	1800	31932	\N	\N	\N
2279944	7523	1995-05-26	VYDAJ	VYBER	6900	31987	\N	\N	\N
2279945	7523	1995-06-25	VYDAJ	VYBER	7500	31851	\N	\N	\N
2279946	7523	1995-07-25	VYDAJ	VYBER	3900	32043	\N	\N	\N
2279947	7523	1995-08-24	VYDAJ	VYBER	5600	30923	\N	\N	\N
2279948	7523	1995-09-23	VYDAJ	VYBER	8700	28958	\N	\N	\N
2279949	7523	1995-10-23	VYDAJ	VYBER	3900	31485	\N	\N	\N
2279950	7523	1995-11-22	VYDAJ	VYBER	4000	34710	\N	\N	\N
2279951	7523	1995-12-22	VYDAJ	VYBER	11700	38784	\N	\N	\N
2279952	7523	1996-01-21	VYDAJ	VYBER	2800	29322	\N	\N	\N
2279953	7523	1996-02-20	PRIJEM	VKLAD	1900	26684	\N	\N	\N
2279954	7523	1996-03-21	VYDAJ	VYBER	400	28325	\N	\N	\N
2279955	7523	1996-04-20	VYDAJ	VYBER	300	31839	\N	\N	\N
2279956	7523	1996-05-20	VYDAJ	VYBER	7700	28588	\N	\N	\N
2279957	7523	1996-06-19	VYDAJ	VYBER	11700	34047	\N	\N	\N
2279958	7523	1996-07-19	VYDAJ	VYBER	4800	34908	\N	\N	\N
2279959	7523	1996-08-18	VYDAJ	VYBER	5500	36911	\N	\N	\N
2279960	7523	1996-09-17	VYDAJ	VYBER	7400	35213	\N	\N	\N
2279961	7523	1996-10-17	VYDAJ	VYBER	3800	33432	\N	\N	\N
2279962	7523	1996-11-16	VYDAJ	VYBER	6300	33324	\N	\N	\N
2279963	7523	1996-12-16	VYDAJ	VYBER	7000	41588	\N	\N	\N
2279964	7523	1997-01-15	VYDAJ	VYBER	4800	31892	\N	\N	\N
2279965	7523	1997-02-14	PRIJEM	VKLAD	2600	30855	\N	\N	\N
2279966	7523	1997-03-16	VYDAJ	VYBER	800	35550	\N	\N	\N
2279967	7523	1997-04-15	PRIJEM	VKLAD	2200	40472	\N	\N	\N
2279968	7523	1997-05-15	VYDAJ	VYBER	3100	41784	\N	\N	\N
2279969	7523	1997-06-14	VYDAJ	VYBER	5800	41693	\N	\N	\N
2279970	7523	1997-07-14	VYDAJ	VYBER	7100	35885	\N	\N	\N
2279971	7523	1997-08-13	VYDAJ	VYBER	4000	37868	\N	\N	\N
2279972	7523	1997-09-12	VYDAJ	VYBER	4200	43419	\N	\N	\N
2279973	7523	1997-10-12	VYDAJ	VYBER	4700	33844	\N	\N	\N
2279974	7523	1997-11-11	VYDAJ	VYBER	15100	31866	\N	\N	\N
2279975	7523	1997-12-11	VYDAJ	VYBER	12500	34279	\N	\N	\N
2279976	7523	1998-01-10	VYDAJ	VYBER	8200	36419	\N	\N	\N
2279977	7523	1998-02-09	VYDAJ	VYBER	11400	20892	\N	\N	\N
2279978	7523	1998-03-11	VYDAJ	VYBER	6200	22018	\N	\N	\N
2279979	7523	1998-05-10	VYDAJ	VYBER	8400	15867	\N	\N	\N
2279980	7523	1998-06-09	VYDAJ	VYBER	9300	29197	\N	\N	\N
2279981	7523	1998-07-09	VYDAJ	VYBER	8200	33422	\N	\N	\N
2279982	7523	1998-09-07	VYDAJ	VYBER	17200	18960	\N	\N	\N
2279983	7523	1998-10-07	VYDAJ	VYBER	15900	23882	\N	\N	\N
2286658	7542	1996-05-16	PRIJEM	VKLAD	300	300	\N	\N	\N
2286664	7542	1996-06-14	PRIJEM	VKLAD	15914	16214	\N	\N	\N
2286665	7542	1996-07-14	PRIJEM	VKLAD	10609	31369	\N	\N	\N
2286666	7542	1996-08-14	PRIJEM	VKLAD	10609	35774	\N	\N	\N
2286667	7542	1996-09-14	PRIJEM	VKLAD	10609	40502	\N	\N	\N
2286668	7542	1996-10-14	PRIJEM	VKLAD	10609	41963	\N	\N	\N
2286669	7542	1996-11-14	PRIJEM	VKLAD	10609	36257	\N	\N	\N
2286670	7542	1996-12-14	PRIJEM	VKLAD	15914	41310	\N	\N	\N
2286671	7542	1997-01-14	PRIJEM	VKLAD	10609	28075	\N	\N	\N
2286672	7542	1997-02-14	PRIJEM	VKLAD	10609	22875	\N	\N	\N
2286673	7542	1997-03-14	PRIJEM	VKLAD	10609	41880	\N	\N	\N
2286674	7542	1997-04-14	PRIJEM	VKLAD	10609	28924	\N	\N	\N
2286675	7542	1997-05-14	PRIJEM	VKLAD	10609	29456	\N	\N	\N
2286676	7542	1997-06-14	PRIJEM	VKLAD	15914	45146	\N	\N	\N
2286677	7542	1997-07-14	PRIJEM	VKLAD	10609	34708	\N	\N	\N
2286678	7542	1997-08-14	PRIJEM	VKLAD	10609	32769	\N	\N	\N
2286679	7542	1997-09-14	PRIJEM	VKLAD	10609	29489	\N	\N	\N
2286680	7542	1997-10-14	PRIJEM	VKLAD	10609	30859	\N	\N	\N
2286681	7542	1997-11-14	PRIJEM	VKLAD	10609	36748	\N	\N	\N
2286682	7542	1997-12-14	PRIJEM	VKLAD	15914	42617	\N	\N	\N
2286683	7542	1998-01-14	PRIJEM	VKLAD	10609	43076	\N	\N	\N
2286684	7542	1998-02-14	PRIJEM	VKLAD	10609	43079	\N	\N	\N
2286685	7542	1998-03-14	PRIJEM	VKLAD	10609	47932	\N	\N	\N
2286686	7542	1998-04-14	PRIJEM	VKLAD	10609	51002	\N	\N	\N
2286687	7542	1998-05-14	PRIJEM	VKLAD	10609	51988	\N	\N	\N
2286688	7542	1998-06-14	PRIJEM	VKLAD	15914	56783	\N	\N	\N
2286689	7542	1998-07-14	PRIJEM	VKLAD	10609	59784	\N	\N	\N
2286690	7542	1998-08-14	PRIJEM	VKLAD	10609	58109	\N	\N	\N
2286691	7542	1998-09-14	PRIJEM	VKLAD	10609	55427	\N	\N	\N
2286692	7542	1998-10-14	PRIJEM	VKLAD	10609	55837	\N	\N	\N
2286693	7542	1998-11-14	PRIJEM	VKLAD	10609	57146	\N	\N	\N
2286694	7542	1998-12-14	PRIJEM	VKLAD	15914	64464	\N	\N	\N
2286705	7542	1996-11-12	VYDAJ	PREVOD NA UCET	3683	25648	SIPO	OP	63780206
2286706	7542	1996-12-12	VYDAJ	PREVOD NA UCET	3683	25396	SIPO	OP	63780206
2286707	7542	1997-01-12	VYDAJ	PREVOD NA UCET	3683	17466	SIPO	OP	63780206
2286708	7542	1997-02-12	VYDAJ	PREVOD NA UCET	3683	12266	SIPO	OP	63780206
2286709	7542	1997-03-12	VYDAJ	PREVOD NA UCET	3683	31271	SIPO	OP	63780206
2286710	7542	1997-04-12	VYDAJ	PREVOD NA UCET	3683	18315	SIPO	OP	63780206
2286711	7542	1997-05-12	VYDAJ	PREVOD NA UCET	3683	18847	SIPO	OP	63780206
2286712	7542	1997-06-12	VYDAJ	PREVOD NA UCET	3683	29232	SIPO	OP	63780206
2286713	7542	1997-07-12	VYDAJ	PREVOD NA UCET	3683	24099	SIPO	OP	63780206
2286714	7542	1997-08-12	VYDAJ	PREVOD NA UCET	3683	22160	SIPO	OP	63780206
2286715	7542	1997-09-12	VYDAJ	PREVOD NA UCET	3683	27680	SIPO	OP	63780206
2286716	7542	1997-10-12	VYDAJ	PREVOD NA UCET	3683	20250	SIPO	OP	63780206
2286717	7542	1997-11-12	VYDAJ	PREVOD NA UCET	3683	35986	SIPO	OP	63780206
2286718	7542	1997-12-12	VYDAJ	PREVOD NA UCET	3683	26703	SIPO	OP	63780206
2286719	7542	1998-01-12	VYDAJ	PREVOD NA UCET	3683	32467	SIPO	OP	63780206
2286720	7542	1998-02-12	VYDAJ	PREVOD NA UCET	3683	32470	SIPO	OP	63780206
2286721	7542	1998-03-12	VYDAJ	PREVOD NA UCET	3683	37323	SIPO	OP	63780206
2286722	7542	1998-04-12	VYDAJ	PREVOD NA UCET	3683	40393	SIPO	OP	63780206
2286723	7542	1998-05-12	VYDAJ	PREVOD NA UCET	3683	41379	SIPO	OP	63780206
2286724	7542	1998-06-12	VYDAJ	PREVOD NA UCET	3683	40869	SIPO	OP	63780206
2286725	7542	1998-07-12	VYDAJ	PREVOD NA UCET	3683	59022	SIPO	OP	63780206
2286726	7542	1998-08-12	VYDAJ	PREVOD NA UCET	3683	47500	SIPO	OP	63780206
2286727	7542	1998-09-12	VYDAJ	PREVOD NA UCET	3683	54665	SIPO	OP	63780206
2286728	7542	1998-10-12	VYDAJ	PREVOD NA UCET	3683	55075	SIPO	OP	63780206
2286729	7542	1998-11-12	VYDAJ	PREVOD NA UCET	3683	56384	SIPO	OP	63780206
2286730	7542	1998-12-12	VYDAJ	PREVOD NA UCET	3683	58397	SIPO	OP	63780206
2286741	7542	1996-11-05	VYDAJ	PREVOD NA UCET	3389	28331	 	UV	94022273
2286742	7542	1996-12-05	VYDAJ	PREVOD NA UCET	3389	21879	 	UV	94022273
2286743	7542	1997-01-05	VYDAJ	PREVOD NA UCET	3389	38049	 	UV	94022273
2286744	7542	1997-02-05	VYDAJ	PREVOD NA UCET	3389	18549	 	UV	94022273
2286745	7542	1997-03-05	VYDAJ	PREVOD NA UCET	3389	19554	 	UV	94022273
2286746	7542	1997-04-05	VYDAJ	PREVOD NA UCET	3389	19498	 	UV	94022273
2286747	7542	1997-05-05	VYDAJ	PREVOD NA UCET	3389	15630	 	UV	94022273
2286748	7542	1997-06-05	VYDAJ	PREVOD NA UCET	3389	23515	 	UV	94022273
2286749	7542	1997-07-05	VYDAJ	PREVOD NA UCET	3389	30882	 	UV	94022273
2286750	7542	1997-08-05	VYDAJ	PREVOD NA UCET	3389	31443	 	UV	94022273
2286751	7542	1997-09-05	VYDAJ	PREVOD NA UCET	3389	25063	 	UV	94022273
2286752	7542	1997-10-05	VYDAJ	PREVOD NA UCET	3389	16833	 	UV	94022273
2286753	7542	1997-11-05	VYDAJ	PREVOD NA UCET	3389	27569	 	UV	94022273
2286754	7542	1997-12-05	VYDAJ	PREVOD NA UCET	3389	28453	 	UV	94022273
2286755	7542	1998-01-05	VYDAJ	PREVOD NA UCET	3389	37337	 	UV	94022273
2286756	7542	1998-02-05	VYDAJ	PREVOD NA UCET	3389	46000	 	UV	94022273
2286757	7542	1998-03-05	VYDAJ	PREVOD NA UCET	3389	39853	 	UV	94022273
2286758	7542	1998-04-05	VYDAJ	PREVOD NA UCET	3389	44723	 	UV	94022273
2286759	7542	1998-05-05	VYDAJ	PREVOD NA UCET	3389	47809	 	UV	94022273
2286760	7542	1998-06-05	VYDAJ	PREVOD NA UCET	3389	54399	 	UV	94022273
2286761	7542	1998-07-05	VYDAJ	PREVOD NA UCET	3389	62705	 	UV	94022273
2286762	7542	1998-08-05	VYDAJ	PREVOD NA UCET	3389	61030	 	UV	94022273
2286763	7542	1998-09-05	VYDAJ	PREVOD NA UCET	3389	58348	 	UV	94022273
2286764	7542	1998-10-05	VYDAJ	PREVOD NA UCET	3389	58758	 	UV	94022273
2286765	7542	1998-11-05	VYDAJ	PREVOD NA UCET	3389	60067	 	UV	94022273
2286766	7542	1998-12-05	VYDAJ	PREVOD NA UCET	3389	62080	 	UV	94022273
2286777	7542	1996-11-02	VYDAJ	VYBER	10400	31720	\N	\N	0
2286778	7542	1996-12-02	VYDAJ	VYBER	7600	25268	\N	\N	0
2286779	7542	1997-01-10	VYDAJ	VYBER	9800	26689	\N	\N	0
2286780	7542	1997-02-07	VYDAJ	VYBER	11400	7149	\N	\N	0
2286781	7542	1997-03-17	VYDAJ	VYBER	10800	31080	\N	\N	0
2286782	7542	1997-04-05	VYDAJ	VYBER	8300	22887	\N	\N	0
2286783	7542	1997-05-02	VYDAJ	VYBER	8800	19019	\N	\N	0
2286784	7542	1997-06-19	VYDAJ	VYBER	11000	34146	\N	\N	0
2286785	7542	1997-07-10	VYDAJ	VYBER	8000	27782	\N	\N	0
2286786	7542	1997-08-12	VYDAJ	VYBER	10600	25843	\N	\N	0
2286787	7542	1997-09-13	VYDAJ	VYBER	8800	18880	\N	\N	0
2286788	7542	1997-10-09	VYDAJ	VYBER	8800	23933	\N	\N	0
2286789	7542	1997-11-12	VYDAJ	PREVOD NA UCET	9847	26139	UVER	CD	1739269
2286790	7542	1997-12-12	VYDAJ	PREVOD NA UCET	9847	30386	UVER	CD	1739269
2286791	7542	1998-01-12	VYDAJ	PREVOD NA UCET	9847	36150	UVER	CD	1739269
2286792	7542	1998-02-12	VYDAJ	PREVOD NA UCET	9847	36153	UVER	CD	1739269
2286793	7542	1998-03-12	VYDAJ	PREVOD NA UCET	9847	41006	UVER	CD	1739269
2286794	7542	1998-04-12	VYDAJ	PREVOD NA UCET	9847	44076	UVER	CD	1739269
2286795	7542	1998-05-12	VYDAJ	PREVOD NA UCET	9847	45062	UVER	CD	1739269
2286796	7542	1998-06-12	VYDAJ	PREVOD NA UCET	9847	44552	UVER	CD	1739269
2286797	7542	1998-07-12	VYDAJ	PREVOD NA UCET	9847	49175	UVER	CD	1739269
2286798	7542	1998-08-12	VYDAJ	PREVOD NA UCET	9847	51183	UVER	CD	1739269
2286799	7542	1998-09-12	VYDAJ	PREVOD NA UCET	9847	44818	UVER	CD	1739269
2286800	7542	1998-10-12	VYDAJ	PREVOD NA UCET	9847	45228	UVER	CD	1739269
2286801	7542	1998-11-12	VYDAJ	PREVOD NA UCET	9847	46537	UVER	CD	1739269
2286802	7542	1998-12-12	VYDAJ	PREVOD NA UCET	9847	48550	UVER	CD	1739269
2286806	7542	1996-12-01	VYDAJ	VYBER	3520	32868	\N	\N	\N
2286807	7542	1997-12-09	VYDAJ	VYBER	1920	40233	\N	\N	\N
2286808	7542	1998-12-01	VYDAJ	VYBER	4000	53369	\N	\N	\N
2286815	7542	1997-01-17	VYDAJ	VYBER	2280	25795	\N	\N	\N
2286816	7542	1997-01-25	VYDAJ	VYBER	3120	21835	\N	\N	\N
2286817	7542	1997-01-19	VYDAJ	VYBER	840	24955	\N	\N	\N
2286818	7542	1997-01-07	VYDAJ	VYBER	720	36489	\N	\N	\N
2286819	7542	1997-01-07	VYDAJ	VYBER	840	37209	\N	\N	\N
2286820	7542	1997-01-10	VYDAJ	VYBER	2640	24049	\N	\N	\N
2286821	7542	1998-01-27	VYDAJ	VYBER	3120	36836	\N	\N	\N
2286822	7542	1998-01-03	VYDAJ	VYBER	720	40726	\N	\N	\N
2286823	7542	1998-01-17	VYDAJ	VYBER	960	39956	\N	\N	\N
2286824	7542	1998-01-29	VYDAJ	VYBER	2400	34436	\N	\N	\N
2286825	7542	1998-01-08	VYDAJ	VYBER	840	45997	\N	\N	\N
2286826	7542	1998-01-02	VYDAJ	VYBER	1320	41446	\N	\N	\N
2286830	7542	1997-05-20	VYDAJ	VYBER	2640	26816	\N	\N	\N
2286831	7542	1997-04-25	VYDAJ	VYBER	1200	27724	\N	\N	\N
2286832	7542	1997-11-30	VYDAJ	VYBER	5040	31842	\N	\N	\N
2286833	7542	1997-09-01	VYDAJ	VYBER	4440	28452	\N	\N	\N
2286834	7542	1997-09-23	VYDAJ	VYBER	4560	20129	\N	\N	\N
2286835	7542	1997-09-17	VYDAJ	VYBER	4800	24689	\N	\N	\N
2286836	7542	1998-01-15	VYDAJ	VYBER	2160	40916	\N	\N	\N
2286847	7542	1996-10-31	VYDAJ	VYBER	15	42120	SLUZBY	\N	\N
2286848	7542	1996-11-30	VYDAJ	VYBER	15	36388	SLUZBY	\N	\N
2286849	7542	1996-12-31	VYDAJ	VYBER	15	41438	SLUZBY	\N	\N
2286850	7542	1997-01-31	VYDAJ	VYBER	15	21938	SLUZBY	\N	\N
2286851	7542	1997-02-28	VYDAJ	VYBER	15	22943	SLUZBY	\N	\N
2286852	7542	1997-03-31	VYDAJ	VYBER	15	31187	SLUZBY	\N	\N
2286853	7542	1997-04-30	VYDAJ	VYBER	15	27819	SLUZBY	\N	\N
2286854	7542	1997-05-31	VYDAJ	VYBER	15	26904	SLUZBY	\N	\N
2286855	7542	1997-06-30	VYDAJ	VYBER	15	34271	SLUZBY	\N	\N
2286856	7542	1997-07-31	VYDAJ	VYBER	15	34832	SLUZBY	\N	\N
2286857	7542	1997-08-31	VYDAJ	VYBER	15	32892	SLUZBY	\N	\N
2286858	7542	1997-09-30	VYDAJ	VYBER	15	20222	SLUZBY	\N	\N
2286859	7542	1997-10-31	VYDAJ	VYBER	15	30958	SLUZBY	\N	\N
2286860	7542	1997-11-30	VYDAJ	VYBER	15	36882	SLUZBY	\N	\N
2286861	7542	1997-12-31	VYDAJ	VYBER	15	42766	SLUZBY	\N	\N
2286862	7542	1998-01-31	VYDAJ	VYBER	15	34589	SLUZBY	\N	\N
2286863	7542	1998-02-28	VYDAJ	VYBER	15	43242	SLUZBY	\N	\N
2286864	7542	1998-03-31	VYDAJ	VYBER	15	48112	SLUZBY	\N	\N
2286865	7542	1998-04-30	VYDAJ	VYBER	15	51198	SLUZBY	\N	\N
2286866	7542	1998-05-31	VYDAJ	VYBER	15	52188	SLUZBY	\N	\N
2286867	7542	1998-06-30	VYDAJ	VYBER	15	56994	SLUZBY	\N	\N
2286868	7542	1998-07-31	VYDAJ	VYBER	15	60019	SLUZBY	\N	\N
2286869	7542	1998-08-31	VYDAJ	VYBER	15	58337	SLUZBY	\N	\N
2286870	7542	1998-09-30	VYDAJ	VYBER	15	55647	SLUZBY	\N	\N
2286871	7542	1998-10-31	VYDAJ	VYBER	15	56056	SLUZBY	\N	\N
2286872	7542	1998-11-30	VYDAJ	VYBER	15	57369	SLUZBY	\N	\N
2286873	7542	1996-06-15	PRIJEM	VKLAD	4500	20714	\N	\N	\N
2286874	7542	1996-07-15	VYDAJ	VYBER	6300	25069	\N	\N	\N
2286875	7542	1996-08-14	VYDAJ	VYBER	4800	30974	\N	\N	\N
2286876	7542	1996-09-13	VYDAJ	VYBER	1200	29893	\N	\N	\N
2286877	7542	1996-10-13	VYDAJ	VYBER	9300	31354	\N	\N	\N
2286878	7542	1996-11-12	PRIJEM	VKLAD	1000	29331	\N	\N	\N
2286879	7542	1996-12-12	PRIJEM	VKLAD	7200	29079	\N	\N	\N
2286880	7542	1997-01-11	VYDAJ	VYBER	2900	21149	\N	\N	\N
2286881	7542	1997-02-10	PRIJEM	VKLAD	8800	15949	\N	\N	\N
2286882	7542	1997-03-12	PRIJEM	VKLAD	15400	34954	\N	\N	\N
2286883	7542	1997-04-11	PRIJEM	VKLAD	2500	21998	\N	\N	\N
2286884	7542	1997-05-11	PRIJEM	VKLAD	6900	22530	\N	\N	\N
2286885	7542	1997-06-10	PRIJEM	VKLAD	9400	32915	\N	\N	\N
2286886	7542	1997-07-10	PRIJEM	VKLAD	4900	35782	\N	\N	\N
2286887	7542	1997-08-09	PRIJEM	VKLAD	5000	36443	\N	\N	\N
2286888	7542	1997-09-08	PRIJEM	VKLAD	6300	31363	\N	\N	\N
2286889	7542	1997-10-08	PRIJEM	VKLAD	15900	32733	\N	\N	\N
2286890	7542	1997-11-07	PRIJEM	VKLAD	12100	39669	\N	\N	\N
2286891	7542	1997-12-07	PRIJEM	VKLAD	13700	42153	\N	\N	\N
2286892	7542	1998-01-06	PRIJEM	VKLAD	9500	46837	\N	\N	\N
2286893	7542	1998-02-05	PRIJEM	VKLAD	14800	49389	\N	\N	\N
2286894	7542	1998-03-07	PRIJEM	VKLAD	11000	50853	\N	\N	\N
2286895	7542	1998-04-06	PRIJEM	VKLAD	9200	53923	\N	\N	\N
2286896	7542	1998-05-06	PRIJEM	VKLAD	7100	54909	\N	\N	\N
2286897	7542	1998-06-05	PRIJEM	VKLAD	5600	57788	\N	\N	\N
2286898	7542	1998-07-05	PRIJEM	VKLAD	9100	66094	\N	\N	\N
2286899	7542	1998-08-04	PRIJEM	VKLAD	4400	64419	\N	\N	\N
2286900	7542	1998-09-03	PRIJEM	VKLAD	3400	61737	\N	\N	\N
2286901	7542	1998-10-03	PRIJEM	VKLAD	6500	62147	\N	\N	\N
2286902	7542	1998-11-02	PRIJEM	VKLAD	7400	63456	\N	\N	\N
2286903	7542	1998-12-02	PRIJEM	VKLAD	12100	65469	\N	\N	\N
2287746	7546	1994-09-03	PRIJEM	VKLAD	500	500	\N	\N	\N
2287755	7546	1994-09-07	PRIJEM	PREVOD Z UCTU	20975	21475	\N	IJ	77411937
2287756	7546	1994-10-07	PRIJEM	PREVOD Z UCTU	20975	44322	\N	IJ	77411937
2287757	7546	1994-11-07	PRIJEM	PREVOD Z UCTU	20975	54563	\N	IJ	77411937
2287758	7546	1994-12-07	PRIJEM	PREVOD Z UCTU	31462	71244	\N	IJ	77411937
2287759	7546	1995-01-07	PRIJEM	PREVOD Z UCTU	20975	67102	\N	IJ	77411937
2287760	7546	1995-02-07	PRIJEM	PREVOD Z UCTU	20975	44276	\N	IJ	77411937
2287761	7546	1995-03-07	PRIJEM	PREVOD Z UCTU	20975	42652	\N	IJ	77411937
2287762	7546	1995-04-07	PRIJEM	PREVOD Z UCTU	20975	44755	\N	IJ	77411937
2287763	7546	1995-05-07	PRIJEM	PREVOD Z UCTU	20975	49564	\N	IJ	77411937
2287764	7546	1995-06-07	PRIJEM	PREVOD Z UCTU	31462	60281	\N	IJ	77411937
2287765	7546	1995-07-07	PRIJEM	PREVOD Z UCTU	20975	58040	\N	IJ	77411937
2287766	7546	1995-08-07	PRIJEM	PREVOD Z UCTU	20975	55789	\N	IJ	77411937
2287767	7546	1995-09-07	PRIJEM	PREVOD Z UCTU	20975	52828	\N	IJ	77411937
2287768	7546	1995-10-07	PRIJEM	PREVOD Z UCTU	20975	51361	\N	IJ	77411937
2287769	7546	1995-11-07	PRIJEM	PREVOD Z UCTU	20975	45648	\N	IJ	77411937
2287770	7546	1995-12-07	PRIJEM	PREVOD Z UCTU	31462	62438	\N	IJ	77411937
2287771	7546	1996-01-07	PRIJEM	PREVOD Z UCTU	20975	46581	\N	IJ	77411937
2287772	7546	1996-02-07	PRIJEM	PREVOD Z UCTU	20975	42261	\N	IJ	77411937
2287773	7546	1996-03-07	PRIJEM	PREVOD Z UCTU	20975	49548	\N	IJ	77411937
2287774	7546	1996-04-07	PRIJEM	PREVOD Z UCTU	20975	41345	\N	IJ	77411937
2287775	7546	1996-05-07	PRIJEM	PREVOD Z UCTU	20975	45526	\N	IJ	77411937
2287776	7546	1996-06-07	PRIJEM	PREVOD Z UCTU	31462	56506	\N	IJ	77411937
2287777	7546	1996-07-07	PRIJEM	PREVOD Z UCTU	20975	51430	\N	IJ	77411937
2287778	7546	1996-08-07	PRIJEM	PREVOD Z UCTU	20975	42116	\N	IJ	77411937
2287779	7546	1996-09-07	PRIJEM	PREVOD Z UCTU	20975	48599	\N	IJ	77411937
2287780	7546	1996-10-07	PRIJEM	PREVOD Z UCTU	20975	48200	\N	IJ	77411937
2287781	7546	1996-11-07	PRIJEM	PREVOD Z UCTU	20975	48599	\N	IJ	77411937
2287782	7546	1996-12-07	PRIJEM	PREVOD Z UCTU	31462	54283	\N	IJ	77411937
2287783	7546	1997-01-07	PRIJEM	PREVOD Z UCTU	20975	45677	\N	IJ	77411937
2287784	7546	1997-02-07	PRIJEM	PREVOD Z UCTU	20975	38922	\N	IJ	77411937
2287785	7546	1997-03-07	PRIJEM	PREVOD Z UCTU	20975	41483	\N	IJ	77411937
2287786	7546	1997-04-07	PRIJEM	PREVOD Z UCTU	20975	42846	\N	IJ	77411937
2287787	7546	1997-05-07	PRIJEM	PREVOD Z UCTU	20975	46731	\N	IJ	77411937
2287788	7546	1997-06-07	PRIJEM	PREVOD Z UCTU	31462	60109	\N	IJ	77411937
2287789	7546	1997-07-07	PRIJEM	PREVOD Z UCTU	20975	39974	\N	IJ	77411937
2287790	7546	1997-08-07	PRIJEM	PREVOD Z UCTU	20975	39839	\N	IJ	77411937
2287791	7546	1997-09-07	PRIJEM	PREVOD Z UCTU	20975	42504	\N	IJ	77411937
2287792	7546	1997-10-07	PRIJEM	PREVOD Z UCTU	20975	35376	\N	IJ	77411937
2287793	7546	1997-11-07	PRIJEM	PREVOD Z UCTU	20975	35411	\N	IJ	77411937
2287794	7546	1997-12-07	PRIJEM	PREVOD Z UCTU	31462	45136	\N	IJ	77411937
2287795	7546	1998-01-07	PRIJEM	PREVOD Z UCTU	20975	35027	\N	IJ	77411937
2287796	7546	1998-02-07	PRIJEM	PREVOD Z UCTU	20975	35045	\N	IJ	77411937
2287797	7546	1998-03-07	PRIJEM	PREVOD Z UCTU	20975	41199	\N	IJ	77411937
2287798	7546	1998-04-07	PRIJEM	PREVOD Z UCTU	20975	38348	\N	IJ	77411937
2287799	7546	1998-05-07	PRIJEM	PREVOD Z UCTU	20975	42906	\N	IJ	77411937
2287800	7546	1998-06-07	PRIJEM	PREVOD Z UCTU	31462	56682	\N	IJ	77411937
2287801	7546	1998-07-07	PRIJEM	PREVOD Z UCTU	20975	42716	\N	IJ	77411937
2287802	7546	1998-08-07	PRIJEM	PREVOD Z UCTU	20975	41471	\N	IJ	77411937
2287803	7546	1998-09-07	PRIJEM	PREVOD Z UCTU	20975	43825	\N	IJ	77411937
2287804	7546	1998-10-07	PRIJEM	PREVOD Z UCTU	20975	37068	\N	IJ	77411937
2287805	7546	1998-11-07	PRIJEM	PREVOD Z UCTU	20975	40405	\N	IJ	77411937
2287806	7546	1998-12-07	PRIJEM	PREVOD Z UCTU	31462	49030	\N	IJ	77411937
2287819	7546	1995-01-09	VYDAJ	VYBER	4200	62704	\N	\N	0
2287820	7546	1995-02-15	VYDAJ	VYBER	2900	37268	\N	\N	0
2287821	7546	1995-03-10	VYDAJ	VYBER	2700	31890	\N	\N	0
2287822	7546	1995-04-15	VYDAJ	VYBER	2600	38047	\N	\N	0
2287823	7546	1995-05-11	VYDAJ	VYBER	2900	46466	\N	\N	0
2287824	7546	1995-06-15	VYDAJ	VYBER	3100	53073	\N	\N	0
2287825	7546	1995-07-10	VYDAJ	VYBER	3500	54342	\N	\N	0
2287826	7546	1995-08-11	VYDAJ	VYBER	3700	51891	\N	\N	0
2287827	7546	1995-09-06	VYDAJ	VYBER	4100	31853	\N	\N	0
2287828	7546	1995-10-08	VYDAJ	VYBER	4100	47063	\N	\N	0
2287829	7546	1995-11-12	VYDAJ	PREVOD NA UCET	3496	41954	UVER	AB	36362540
2287830	7546	1995-12-12	VYDAJ	PREVOD NA UCET	3496	58744	UVER	AB	36362540
2287831	7546	1996-01-12	VYDAJ	PREVOD NA UCET	3496	37487	UVER	AB	36362540
2287832	7546	1996-02-12	VYDAJ	PREVOD NA UCET	3496	38567	UVER	AB	36362540
2287833	7546	1996-03-12	VYDAJ	PREVOD NA UCET	3496	45855	UVER	AB	36362540
2287834	7546	1996-04-12	VYDAJ	PREVOD NA UCET	3496	37651	UVER	AB	36362540
2287835	7546	1996-05-12	VYDAJ	PREVOD NA UCET	3496	41832	UVER	AB	36362540
2287836	7546	1996-06-12	VYDAJ	PREVOD NA UCET	3496	52813	UVER	AB	36362540
2287837	7546	1996-07-12	VYDAJ	PREVOD NA UCET	3496	35436	UVER	AB	36362540
2287838	7546	1996-08-12	VYDAJ	PREVOD NA UCET	3496	38422	UVER	AB	36362540
2287839	7546	1996-09-12	VYDAJ	PREVOD NA UCET	3496	44905	UVER	AB	36362540
2287840	7546	1996-10-12	VYDAJ	PREVOD NA UCET	3496	44506	UVER	AB	36362540
2287841	7546	1996-11-10	VYDAJ	VYBER	3600	44801	\N	\N	0
2287842	7546	1996-12-12	VYDAJ	VYBER	3100	41685	\N	\N	0
2287843	7546	1997-01-11	VYDAJ	VYBER	4300	24679	\N	\N	0
2287844	7546	1997-02-20	VYDAJ	VYBER	3800	20414	\N	\N	0
2287845	7546	1997-03-18	VYDAJ	VYBER	3700	33675	\N	\N	0
2287846	7546	1997-04-05	VYDAJ	VYBER	3100	21871	\N	\N	0
2287847	7546	1997-05-17	VYDAJ	VYBER	3200	39423	\N	\N	0
2287848	7546	1997-06-14	VYDAJ	VYBER	3800	22501	\N	\N	0
2287849	7546	1997-07-21	VYDAJ	VYBER	4300	22466	\N	\N	0
2287850	7546	1997-08-02	VYDAJ	VYBER	3700	18864	\N	\N	0
2287851	7546	1997-09-20	VYDAJ	VYBER	4200	14328	\N	\N	0
2287852	7546	1997-10-20	VYDAJ	VYBER	4000	14368	\N	\N	0
2287853	7546	1997-11-18	VYDAJ	VYBER	3300	16503	\N	\N	0
2287854	7546	1997-12-05	VYDAJ	VYBER	2900	13674	\N	\N	0
2287855	7546	1998-01-14	VYDAJ	VYBER	3400	17880	\N	\N	0
2287856	7546	1998-02-09	VYDAJ	VYBER	2900	31947	\N	\N	0
2287857	7546	1998-03-07	VYDAJ	VYBER	3800	37399	\N	\N	0
2287858	7546	1998-04-02	VYDAJ	VYBER	3500	17373	\N	\N	0
2287859	7546	1998-05-14	VYDAJ	VYBER	3900	34898	\N	\N	0
2287860	7546	1998-06-15	VYDAJ	VYBER	4100	21643	\N	\N	0
2287861	7546	1998-07-18	VYDAJ	VYBER	4200	20408	\N	\N	0
2287862	7546	1998-08-11	VYDAJ	VYBER	3000	38273	\N	\N	0
2287863	7546	1998-09-15	VYDAJ	VYBER	3400	16017	\N	\N	0
2287864	7546	1998-10-14	VYDAJ	VYBER	2900	19360	\N	\N	0
2287865	7546	1998-11-18	VYDAJ	VYBER	3000	17497	\N	\N	0
2287866	7546	1998-12-14	VYDAJ	VYBER	3600	20883	\N	\N	0
2287879	7546	1995-01-14	VYDAJ	PREVOD NA UCET	3861	53094	SIPO	EF	8914953
2287880	7546	1995-02-14	VYDAJ	PREVOD NA UCET	3861	40168	SIPO	EF	8914953
2287881	7546	1995-03-14	VYDAJ	PREVOD NA UCET	3861	27980	SIPO	EF	8914953
2287882	7546	1995-04-14	VYDAJ	PREVOD NA UCET	3861	40647	SIPO	EF	8914953
2287883	7546	1995-05-14	VYDAJ	PREVOD NA UCET	3861	42556	SIPO	EF	8914953
2287884	7546	1995-06-14	VYDAJ	PREVOD NA UCET	3861	56173	SIPO	EF	8914953
2287885	7546	1995-07-14	VYDAJ	PREVOD NA UCET	3861	50432	SIPO	EF	8914953
2287886	7546	1995-08-14	VYDAJ	PREVOD NA UCET	3861	47981	SIPO	EF	8914953
2287887	7546	1995-09-14	VYDAJ	PREVOD NA UCET	3861	48720	SIPO	EF	8914953
2287888	7546	1995-10-14	VYDAJ	PREVOD NA UCET	3861	29053	SIPO	EF	8914953
2287889	7546	1995-11-14	VYDAJ	PREVOD NA UCET	3861	38044	SIPO	EF	8914953
2287890	7546	1995-12-14	VYDAJ	PREVOD NA UCET	3861	36765	SIPO	EF	8914953
2287891	7546	1996-01-14	VYDAJ	PREVOD NA UCET	3861	28477	SIPO	EF	8914953
2287892	7546	1996-02-14	VYDAJ	PREVOD NA UCET	3861	34657	SIPO	EF	8914953
2287893	7546	1996-03-14	VYDAJ	PREVOD NA UCET	3861	41945	SIPO	EF	8914953
2287894	7546	1996-04-14	VYDAJ	PREVOD NA UCET	3861	33741	SIPO	EF	8914953
2287895	7546	1996-05-14	VYDAJ	PREVOD NA UCET	3861	37922	SIPO	EF	8914953
2287896	7546	1996-06-14	VYDAJ	PREVOD NA UCET	3861	48903	SIPO	EF	8914953
2287897	7546	1996-07-14	VYDAJ	PREVOD NA UCET	3861	31526	SIPO	EF	8914953
2287898	7546	1996-08-14	VYDAJ	PREVOD NA UCET	3861	34512	SIPO	EF	8914953
2287899	7546	1996-09-14	VYDAJ	PREVOD NA UCET	3861	40995	SIPO	EF	8914953
2287900	7546	1996-10-14	VYDAJ	PREVOD NA UCET	3861	40596	SIPO	EF	8914953
2287901	7546	1996-11-14	VYDAJ	PREVOD NA UCET	3861	40891	SIPO	EF	8914953
2287902	7546	1996-12-14	VYDAJ	PREVOD NA UCET	3861	37775	SIPO	EF	8914953
2287903	7546	1997-01-14	VYDAJ	PREVOD NA UCET	3861	20769	SIPO	EF	8914953
2287904	7546	1997-02-14	VYDAJ	PREVOD NA UCET	3861	34814	SIPO	EF	8914953
2287905	7546	1997-03-14	VYDAJ	PREVOD NA UCET	3861	37375	SIPO	EF	8914953
2287906	7546	1997-04-14	VYDAJ	PREVOD NA UCET	3861	38738	SIPO	EF	8914953
2287907	7546	1997-05-14	VYDAJ	PREVOD NA UCET	3861	42623	SIPO	EF	8914953
2287908	7546	1997-06-14	VYDAJ	PREVOD NA UCET	3861	26301	SIPO	EF	8914953
2287909	7546	1997-07-14	VYDAJ	PREVOD NA UCET	3861	35866	SIPO	EF	8914953
2287910	7546	1997-08-14	VYDAJ	PREVOD NA UCET	3861	35731	SIPO	EF	8914953
2287911	7546	1997-09-14	VYDAJ	PREVOD NA UCET	3861	26128	SIPO	EF	8914953
2287912	7546	1997-10-14	VYDAJ	PREVOD NA UCET	3861	31268	SIPO	EF	8914953
2287913	7546	1997-11-14	VYDAJ	PREVOD NA UCET	3861	31303	SIPO	EF	8914953
2287914	7546	1997-12-14	VYDAJ	PREVOD NA UCET	3861	35868	SIPO	EF	8914953
2287915	7546	1998-01-14	VYDAJ	PREVOD NA UCET	3861	14019	SIPO	EF	8914953
2287916	7546	1998-02-14	VYDAJ	PREVOD NA UCET	3861	28037	SIPO	EF	8914953
2287917	7546	1998-03-14	VYDAJ	PREVOD NA UCET	3861	27591	SIPO	EF	8914953
2287918	7546	1998-04-14	VYDAJ	PREVOD NA UCET	3861	34240	SIPO	EF	8914953
2287919	7546	1998-05-14	VYDAJ	PREVOD NA UCET	3861	38798	SIPO	EF	8914953
2287920	7546	1998-06-14	VYDAJ	PREVOD NA UCET	3861	25743	SIPO	EF	8914953
2287921	7546	1998-07-14	VYDAJ	PREVOD NA UCET	3861	38608	SIPO	EF	8914953
2287922	7546	1998-08-14	VYDAJ	PREVOD NA UCET	3861	22763	SIPO	EF	8914953
2287923	7546	1998-09-14	VYDAJ	PREVOD NA UCET	3861	19417	SIPO	EF	8914953
2287924	7546	1998-10-14	VYDAJ	PREVOD NA UCET	3861	22260	SIPO	EF	8914953
2287925	7546	1998-11-14	VYDAJ	PREVOD NA UCET	3861	20497	SIPO	EF	8914953
2287926	7546	1998-12-14	VYDAJ	PREVOD NA UCET	3861	17022	SIPO	EF	8914953
2287939	7546	1995-01-08	VYDAJ	PREVOD NA UCET	198	66904	 	ST	87915062
2287940	7546	1995-02-08	VYDAJ	PREVOD NA UCET	198	44078	 	ST	87915062
2287941	7546	1995-03-08	VYDAJ	PREVOD NA UCET	198	34590	 	ST	87915062
2287942	7546	1995-04-08	VYDAJ	PREVOD NA UCET	198	44557	 	ST	87915062
2287943	7546	1995-05-08	VYDAJ	PREVOD NA UCET	198	49366	 	ST	87915062
2287944	7546	1995-06-08	VYDAJ	PREVOD NA UCET	198	60083	 	ST	87915062
2287945	7546	1995-07-08	VYDAJ	PREVOD NA UCET	198	57842	 	ST	87915062
2287946	7546	1995-08-08	VYDAJ	PREVOD NA UCET	198	55591	 	ST	87915062
2287947	7546	1995-09-08	VYDAJ	PREVOD NA UCET	198	52630	 	ST	87915062
2287948	7546	1995-10-08	VYDAJ	PREVOD NA UCET	198	51163	 	ST	87915062
2287949	7546	1995-11-08	VYDAJ	PREVOD NA UCET	198	45450	 	ST	87915062
2287950	7546	1995-12-08	VYDAJ	PREVOD NA UCET	198	62240	 	ST	87915062
2287951	7546	1996-01-08	VYDAJ	PREVOD NA UCET	198	40983	 	ST	87915062
2287952	7546	1996-02-08	VYDAJ	PREVOD NA UCET	198	42063	 	ST	87915062
2287953	7546	1996-03-08	VYDAJ	PREVOD NA UCET	198	49350	 	ST	87915062
2287954	7546	1996-04-08	VYDAJ	PREVOD NA UCET	198	41147	 	ST	87915062
2287955	7546	1996-05-08	VYDAJ	PREVOD NA UCET	198	45328	 	ST	87915062
2287956	7546	1996-06-08	VYDAJ	PREVOD NA UCET	198	56308	 	ST	87915062
2287957	7546	1996-07-08	VYDAJ	PREVOD NA UCET	198	51232	 	ST	87915062
2287958	7546	1996-08-08	VYDAJ	PREVOD NA UCET	198	41918	 	ST	87915062
2287959	7546	1996-09-08	VYDAJ	PREVOD NA UCET	198	48401	 	ST	87915062
2287960	7546	1996-10-08	VYDAJ	PREVOD NA UCET	198	48002	 	ST	87915062
2287961	7546	1996-11-08	VYDAJ	PREVOD NA UCET	198	48401	 	ST	87915062
2287962	7546	1996-12-08	VYDAJ	PREVOD NA UCET	198	54085	 	ST	87915062
2287963	7546	1997-01-08	VYDAJ	PREVOD NA UCET	198	45479	 	ST	87915062
2287964	7546	1997-02-08	VYDAJ	PREVOD NA UCET	198	38724	 	ST	87915062
2287965	7546	1997-03-08	VYDAJ	PREVOD NA UCET	198	41285	 	ST	87915062
2287966	7546	1997-04-08	VYDAJ	PREVOD NA UCET	198	42648	 	ST	87915062
2287967	7546	1997-05-08	VYDAJ	PREVOD NA UCET	198	46533	 	ST	87915062
2287968	7546	1997-06-08	VYDAJ	PREVOD NA UCET	198	59911	 	ST	87915062
2287969	7546	1997-07-08	VYDAJ	PREVOD NA UCET	198	39776	 	ST	87915062
2287970	7546	1997-08-08	VYDAJ	PREVOD NA UCET	198	39641	 	ST	87915062
2287971	7546	1997-09-08	VYDAJ	PREVOD NA UCET	198	42306	 	ST	87915062
2287972	7546	1997-10-08	VYDAJ	PREVOD NA UCET	198	35178	 	ST	87915062
2287973	7546	1997-11-08	VYDAJ	PREVOD NA UCET	198	35213	 	ST	87915062
2287974	7546	1997-12-08	VYDAJ	PREVOD NA UCET	198	39778	 	ST	87915062
2287975	7546	1998-01-08	VYDAJ	PREVOD NA UCET	198	34829	 	ST	87915062
2287976	7546	1998-02-08	VYDAJ	PREVOD NA UCET	198	34847	 	ST	87915062
2287977	7546	1998-03-08	VYDAJ	PREVOD NA UCET	198	31501	 	ST	87915062
2287978	7546	1998-04-08	VYDAJ	PREVOD NA UCET	198	38150	 	ST	87915062
2287979	7546	1998-05-08	VYDAJ	PREVOD NA UCET	198	42708	 	ST	87915062
2287980	7546	1998-06-08	VYDAJ	PREVOD NA UCET	198	41353	 	ST	87915062
2287981	7546	1998-07-08	VYDAJ	PREVOD NA UCET	198	42518	 	ST	87915062
2287982	7546	1998-08-08	VYDAJ	PREVOD NA UCET	198	41273	 	ST	87915062
2287983	7546	1998-09-08	VYDAJ	PREVOD NA UCET	198	43627	 	ST	87915062
2287984	7546	1998-10-08	VYDAJ	PREVOD NA UCET	198	36870	 	ST	87915062
2287985	7546	1998-11-08	VYDAJ	PREVOD NA UCET	198	40207	 	ST	87915062
2287986	7546	1998-12-08	VYDAJ	PREVOD NA UCET	198	47032	 	ST	87915062
2287999	7546	1995-01-13	VYDAJ	PREVOD NA UCET	49	60255	POJISTNE	ST	3298998
2288000	7546	1995-02-13	VYDAJ	PREVOD NA UCET	49	44029	POJISTNE	ST	3298998
2288001	7546	1995-03-13	VYDAJ	PREVOD NA UCET	49	31841	POJISTNE	ST	3298998
2288002	7546	1995-04-13	VYDAJ	PREVOD NA UCET	49	44508	POJISTNE	ST	3298998
2288003	7546	1995-05-13	VYDAJ	PREVOD NA UCET	49	46417	POJISTNE	ST	3298998
2288004	7546	1995-06-13	VYDAJ	PREVOD NA UCET	49	60034	POJISTNE	ST	3298998
2288005	7546	1995-07-13	VYDAJ	PREVOD NA UCET	49	54293	POJISTNE	ST	3298998
2288006	7546	1995-08-13	VYDAJ	PREVOD NA UCET	49	51842	POJISTNE	ST	3298998
2288007	7546	1995-09-13	VYDAJ	PREVOD NA UCET	49	52581	POJISTNE	ST	3298998
2288008	7546	1995-10-13	VYDAJ	PREVOD NA UCET	49	32914	POJISTNE	ST	3298998
2288009	7546	1995-11-13	VYDAJ	PREVOD NA UCET	49	41905	POJISTNE	ST	3298998
2288010	7546	1995-12-13	VYDAJ	PREVOD NA UCET	49	40626	POJISTNE	ST	3298998
2288011	7546	1996-01-13	VYDAJ	PREVOD NA UCET	49	37438	POJISTNE	ST	3298998
2288012	7546	1996-02-13	VYDAJ	PREVOD NA UCET	49	38518	POJISTNE	ST	3298998
2288013	7546	1996-03-13	VYDAJ	PREVOD NA UCET	49	45806	POJISTNE	ST	3298998
2288014	7546	1996-04-13	VYDAJ	PREVOD NA UCET	49	37602	POJISTNE	ST	3298998
2288015	7546	1996-05-13	VYDAJ	PREVOD NA UCET	49	41783	POJISTNE	ST	3298998
2288016	7546	1996-06-13	VYDAJ	PREVOD NA UCET	49	52764	POJISTNE	ST	3298998
2288017	7546	1996-07-13	VYDAJ	PREVOD NA UCET	49	35387	POJISTNE	ST	3298998
2288018	7546	1996-08-13	VYDAJ	PREVOD NA UCET	49	38373	POJISTNE	ST	3298998
2288019	7546	1996-09-13	VYDAJ	PREVOD NA UCET	49	44856	POJISTNE	ST	3298998
2288020	7546	1996-10-13	VYDAJ	PREVOD NA UCET	49	44457	POJISTNE	ST	3298998
2288021	7546	1996-11-13	VYDAJ	PREVOD NA UCET	49	44752	POJISTNE	ST	3298998
2288022	7546	1996-12-13	VYDAJ	PREVOD NA UCET	49	41636	POJISTNE	ST	3298998
2288023	7546	1997-01-13	VYDAJ	PREVOD NA UCET	49	24630	POJISTNE	ST	3298998
2288024	7546	1997-02-13	VYDAJ	PREVOD NA UCET	49	38675	POJISTNE	ST	3298998
2288025	7546	1997-03-13	VYDAJ	PREVOD NA UCET	49	41236	POJISTNE	ST	3298998
2288026	7546	1997-04-13	VYDAJ	PREVOD NA UCET	49	42599	POJISTNE	ST	3298998
2288027	7546	1997-05-13	VYDAJ	PREVOD NA UCET	49	46484	POJISTNE	ST	3298998
2288028	7546	1997-06-13	VYDAJ	PREVOD NA UCET	49	30162	POJISTNE	ST	3298998
2288029	7546	1997-07-13	VYDAJ	PREVOD NA UCET	49	39727	POJISTNE	ST	3298998
2288030	7546	1997-08-13	VYDAJ	PREVOD NA UCET	49	39592	POJISTNE	ST	3298998
2288031	7546	1997-09-13	VYDAJ	PREVOD NA UCET	49	29989	POJISTNE	ST	3298998
2288032	7546	1997-10-13	VYDAJ	PREVOD NA UCET	49	35129	POJISTNE	ST	3298998
2288033	7546	1997-11-13	VYDAJ	PREVOD NA UCET	49	35164	POJISTNE	ST	3298998
2288034	7546	1997-12-13	VYDAJ	PREVOD NA UCET	49	39729	POJISTNE	ST	3298998
2288035	7546	1998-01-13	VYDAJ	PREVOD NA UCET	49	21280	POJISTNE	ST	3298998
2288036	7546	1998-02-13	VYDAJ	PREVOD NA UCET	49	31898	POJISTNE	ST	3298998
2288037	7546	1998-03-13	VYDAJ	PREVOD NA UCET	49	31452	POJISTNE	ST	3298998
2288038	7546	1998-04-13	VYDAJ	PREVOD NA UCET	49	38101	POJISTNE	ST	3298998
2288039	7546	1998-05-13	VYDAJ	PREVOD NA UCET	49	42659	POJISTNE	ST	3298998
2288040	7546	1998-06-13	VYDAJ	PREVOD NA UCET	49	41304	POJISTNE	ST	3298998
2288041	7546	1998-07-13	VYDAJ	PREVOD NA UCET	49	42469	POJISTNE	ST	3298998
2288042	7546	1998-08-13	VYDAJ	PREVOD NA UCET	49	38224	POJISTNE	ST	3298998
2288043	7546	1998-09-13	VYDAJ	PREVOD NA UCET	49	23278	POJISTNE	ST	3298998
2288044	7546	1998-10-13	VYDAJ	PREVOD NA UCET	49	26121	POJISTNE	ST	3298998
2288045	7546	1998-11-13	VYDAJ	PREVOD NA UCET	49	24358	POJISTNE	ST	3298998
2288046	7546	1998-12-13	VYDAJ	PREVOD NA UCET	49	24483	POJISTNE	ST	3298998
2288062	7546	1995-03-07	VYBER	VYBER	7864	34788	\N	\N	\N
2288063	7546	1995-12-13	VYBER	VYBER	18069	40675	\N	\N	\N
2288064	7546	1995-02-27	VYBER	VYBER	17918	19350	\N	\N	\N
2288065	7546	1995-10-05	VYBER	VYBER	5110	30386	\N	\N	\N
2288066	7546	1995-05-25	VYBER	VYBER	5292	33364	\N	\N	\N
2288071	7546	1997-09-10	VYBER	VYBER	12268	30038	\N	\N	\N
2288072	7546	1997-12-08	VYBER	VYBER	5160	39976	\N	\N	\N
2288073	7546	1997-03-20	VYBER	VYBER	3810	29865	\N	\N	\N
2288074	7546	1997-12-16	VYBER	VYBER	14804	21064	\N	\N	\N
2288076	7546	1998-06-07	VYBER	VYBER	15131	41551	\N	\N	\N
2288082	7546	1998-05-15	VYBER	VYBER	2678	32220	\N	\N	\N
2288088	7546	1997-06-11	VYDAJ	VYBER	29700	30211	\N	\N	\N
2288093	7546	1997-01-10	VYDAJ	VYBER	16500	28979	\N	\N	\N
2288096	7546	1995-12-18	VYDAJ	VYBER	2400	34365	\N	\N	\N
2288097	7546	1996-12-01	VYDAJ	VYBER	6300	22821	\N	\N	\N
2288099	7546	1998-12-08	VYDAJ	VYBER	1800	47230	\N	\N	\N
2288106	7546	1995-01-22	VYDAJ	VYBER	4500	42594	\N	\N	\N
2288107	7546	1995-01-19	VYDAJ	VYBER	6000	47094	\N	\N	\N
2288108	7546	1995-01-27	VYDAJ	VYBER	8100	34494	\N	\N	\N
2288109	7546	1995-01-14	VYDAJ	VYBER	3300	56955	\N	\N	\N
2288110	7546	1995-01-30	VYDAJ	VYBER	3600	30894	\N	\N	\N
2288111	7546	1995-01-12	VYDAJ	VYBER	2400	60304	\N	\N	\N
2288112	7546	1996-01-03	VYDAJ	VYBER	2400	25606	\N	\N	\N
2288115	7546	1996-01-26	VYDAJ	VYBER	3000	21177	\N	\N	\N
2288117	7546	1996-01-08	VYDAJ	VYBER	5400	41181	\N	\N	\N
2288128	7546	1998-01-08	VYDAJ	VYBER	5100	29729	\N	\N	\N
2288129	7546	1998-01-11	VYDAJ	VYBER	8400	21329	\N	\N	\N
2288136	7546	1995-05-23	VYDAJ	VYBER	3900	38656	\N	\N	\N
2288137	7546	1995-10-10	VYDAJ	VYBER	14100	32963	\N	\N	\N
2288140	7546	1996-03-21	VYDAJ	VYBER	13500	28445	\N	\N	\N
2288144	7546	1996-07-12	VYDAJ	VYBER	12300	38932	\N	\N	\N
2288145	7546	1996-12-08	VYDAJ	VYBER	9300	44785	\N	\N	\N
2288146	7546	1996-01-14	VYDAJ	VYBER	5100	32338	\N	\N	\N
2288152	7546	1998-09-12	VYDAJ	VYBER	13200	23327	\N	\N	\N
2288155	7546	1998-04-18	VYDAJ	VYBER	3000	21840	\N	\N	\N
2288156	7546	1998-03-08	VYDAJ	VYBER	5700	31699	\N	\N	\N
2288170	7546	1995-01-31	VYDAJ	VYBER	15	23301	SLUZBY	\N	\N
2288171	7546	1995-02-28	VYDAJ	VYBER	15	19477	SLUZBY	\N	\N
2288172	7546	1995-03-31	VYDAJ	VYBER	15	28080	SLUZBY	\N	\N
2288173	7546	1995-04-30	VYDAJ	VYBER	15	38189	SLUZBY	\N	\N
2288174	7546	1995-05-31	VYDAJ	VYBER	15	33519	SLUZBY	\N	\N
2288175	7546	1995-06-30	VYDAJ	VYBER	15	53265	SLUZBY	\N	\N
2288176	7546	1995-07-31	VYDAJ	VYBER	15	34814	SLUZBY	\N	\N
2288177	7546	1995-08-31	VYDAJ	VYBER	15	35953	SLUZBY	\N	\N
2288178	7546	1995-09-30	VYDAJ	VYBER	15	35496	SLUZBY	\N	\N
2288179	7546	1995-10-31	VYDAJ	VYBER	15	24673	SLUZBY	\N	\N
2288180	7546	1995-11-30	VYDAJ	VYBER	15	30976	SLUZBY	\N	\N
2288181	7546	1995-12-31	VYDAJ	VYBER	15	28006	SLUZBY	\N	\N
2288182	7546	1996-01-31	VYDAJ	VYBER	15	21286	SLUZBY	\N	\N
2288183	7546	1996-02-29	VYDAJ	VYBER	15	28573	SLUZBY	\N	\N
2288184	7546	1996-03-31	VYDAJ	VYBER	15	20370	SLUZBY	\N	\N
2288185	7546	1996-04-30	VYDAJ	VYBER	15	24551	SLUZBY	\N	\N
2288186	7546	1996-05-31	VYDAJ	VYBER	15	25044	SLUZBY	\N	\N
2288187	7546	1996-06-30	VYDAJ	VYBER	15	30455	SLUZBY	\N	\N
2288188	7546	1996-07-31	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
2288189	7546	1996-08-31	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
2288190	7546	1996-09-30	VYDAJ	VYBER	15	27225	SLUZBY	\N	\N
2288191	7546	1996-10-31	VYDAJ	VYBER	15	27624	SLUZBY	\N	\N
2288192	7546	1996-11-30	VYDAJ	VYBER	15	29121	SLUZBY	\N	\N
2288193	7546	1996-12-31	VYDAJ	VYBER	15	24702	SLUZBY	\N	\N
2288194	7546	1997-01-31	VYDAJ	VYBER	15	17947	SLUZBY	\N	\N
2288195	7546	1997-02-28	VYDAJ	VYBER	15	20508	SLUZBY	\N	\N
2288196	7546	1997-03-31	VYDAJ	VYBER	15	24971	SLUZBY	\N	\N
2288197	7546	1997-04-30	VYDAJ	VYBER	15	25756	SLUZBY	\N	\N
2288198	7546	1997-05-31	VYDAJ	VYBER	15	28647	SLUZBY	\N	\N
2288199	7546	1997-06-30	VYDAJ	VYBER	15	18999	SLUZBY	\N	\N
2288200	7546	1997-07-31	VYDAJ	VYBER	15	22564	SLUZBY	\N	\N
2288201	7546	1997-08-31	VYDAJ	VYBER	15	21529	SLUZBY	\N	\N
2288202	7546	1997-09-30	VYDAJ	VYBER	15	14401	SLUZBY	\N	\N
2288203	7546	1997-10-31	VYDAJ	VYBER	15	14436	SLUZBY	\N	\N
2288204	7546	1997-11-30	VYDAJ	VYBER	15	16574	SLUZBY	\N	\N
2288205	7546	1997-12-31	VYDAJ	VYBER	15	14052	SLUZBY	\N	\N
2288206	7546	1998-01-31	VYDAJ	VYBER	15	14070	SLUZBY	\N	\N
2288207	7546	1998-02-28	VYDAJ	VYBER	15	20224	SLUZBY	\N	\N
2288208	7546	1998-03-31	VYDAJ	VYBER	15	20873	SLUZBY	\N	\N
2288209	7546	1998-04-30	VYDAJ	VYBER	15	21931	SLUZBY	\N	\N
2288210	7546	1998-05-31	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
2288211	7546	1998-06-30	VYDAJ	VYBER	15	21741	SLUZBY	\N	\N
2288212	7546	1998-07-31	VYDAJ	VYBER	15	20496	SLUZBY	\N	\N
2288213	7546	1998-08-31	VYDAJ	VYBER	15	22850	SLUZBY	\N	\N
2288214	7546	1998-09-30	VYDAJ	VYBER	15	16093	SLUZBY	\N	\N
2288215	7546	1998-10-31	VYDAJ	VYBER	15	19430	SLUZBY	\N	\N
2288216	7546	1998-11-30	VYDAJ	VYBER	15	17568	SLUZBY	\N	\N
2288217	7546	1994-10-03	PRIJEM	VKLAD	1800	23347	\N	\N	\N
2288218	7546	1994-11-02	VYDAJ	VYBER	10900	33588	\N	\N	\N
2288219	7546	1994-12-02	VYDAJ	VYBER	15000	39782	\N	\N	\N
2288220	7546	1995-01-01	VYDAJ	VYBER	25400	46127	\N	\N	\N
2288221	7546	1995-01-31	VYDAJ	VYBER	7800	23315	\N	\N	\N
2288222	7546	1995-03-02	PRIJEM	VKLAD	2200	21677	\N	\N	\N
2288223	7546	1995-04-01	VYDAJ	VYBER	4300	23780	\N	\N	\N
2288224	7546	1995-05-01	VYDAJ	VYBER	9600	28589	\N	\N	\N
2288225	7546	1995-05-31	VYDAJ	VYBER	4700	28819	\N	\N	\N
2288226	7546	1995-06-30	VYDAJ	VYBER	16200	37065	\N	\N	\N
2288227	7546	1995-07-30	VYDAJ	VYBER	15800	34632	\N	\N	\N
2288228	7546	1995-08-29	VYDAJ	VYBER	12200	35781	\N	\N	\N
2288229	7546	1995-09-28	VYDAJ	VYBER	13400	35320	\N	\N	\N
2288230	7546	1995-10-28	VYDAJ	VYBER	4500	24553	\N	\N	\N
2288231	7546	1995-11-27	VYDAJ	VYBER	7200	30844	\N	\N	\N
2288232	7546	1995-12-27	VYDAJ	VYBER	6500	27865	\N	\N	\N
2288233	7546	1996-01-26	VYDAJ	VYBER	4300	24177	\N	\N	\N
2288234	7546	1996-02-25	VYDAJ	VYBER	6200	28457	\N	\N	\N
2288235	7546	1996-03-26	VYDAJ	VYBER	8200	20245	\N	\N	\N
2288236	7546	1996-04-25	VYDAJ	VYBER	9300	24441	\N	\N	\N
2288237	7546	1996-05-25	VYDAJ	VYBER	13000	24922	\N	\N	\N
2288238	7546	1996-06-24	VYDAJ	VYBER	18600	30303	\N	\N	\N
2288239	7546	1996-07-24	VYDAJ	VYBER	10500	21026	\N	\N	\N
2288240	7546	1996-08-23	VYDAJ	VYBER	7000	27512	\N	\N	\N
2288241	7546	1996-09-22	VYDAJ	VYBER	13900	27095	\N	\N	\N
2288242	7546	1996-10-22	VYDAJ	VYBER	13100	27496	\N	\N	\N
2288243	7546	1996-11-21	VYDAJ	VYBER	11900	28991	\N	\N	\N
2288244	7546	1996-12-21	VYDAJ	VYBER	13200	24575	\N	\N	\N
2288245	7546	1997-01-20	VYDAJ	VYBER	2900	17869	\N	\N	\N
2288246	7546	1997-02-19	VYDAJ	VYBER	10600	24214	\N	\N	\N
2288247	7546	1997-03-21	VYDAJ	VYBER	5000	24865	\N	\N	\N
2288248	7546	1997-04-20	VYDAJ	VYBER	13100	25638	\N	\N	\N
2288249	7546	1997-05-20	VYDAJ	VYBER	10900	28523	\N	\N	\N
2288250	7546	1997-06-19	VYDAJ	VYBER	3600	18901	\N	\N	\N
2288251	7546	1997-07-19	VYDAJ	VYBER	9100	26766	\N	\N	\N
2288252	7546	1997-08-18	VYDAJ	VYBER	14300	21431	\N	\N	\N
2288253	7546	1997-09-17	VYDAJ	VYBER	7600	18528	\N	\N	\N
2288254	7546	1997-10-17	VYDAJ	VYBER	12900	18368	\N	\N	\N
2288255	7546	1997-11-16	VYDAJ	VYBER	11500	19803	\N	\N	\N
2288256	7546	1997-12-16	VYDAJ	VYBER	7100	13964	\N	\N	\N
2288257	7546	1998-02-14	VYDAJ	VYBER	7900	20137	\N	\N	\N
2288258	7546	1998-03-16	VYDAJ	VYBER	6800	20791	\N	\N	\N
2288259	7546	1998-04-15	VYDAJ	VYBER	9400	24840	\N	\N	\N
2288260	7546	1998-05-15	VYDAJ	VYBER	7100	25120	\N	\N	\N
2288261	7546	1998-06-14	VYDAJ	VYBER	11700	29604	\N	\N	\N
2288262	7546	1998-07-14	VYDAJ	VYBER	14000	24608	\N	\N	\N
2288263	7546	1998-08-13	VYDAJ	VYBER	11600	26624	\N	\N	\N
2288264	7546	1998-09-12	VYDAJ	VYBER	7100	36527	\N	\N	\N
2288265	7546	1998-10-12	VYDAJ	VYBER	10700	26170	\N	\N	\N
2288266	7546	1998-11-11	VYDAJ	VYBER	15800	24407	\N	\N	\N
2288267	7546	1998-12-11	VYDAJ	VYBER	22500	24532	\N	\N	\N
2291523	7559	1997-05-24	PRIJEM	VKLAD	900	900	\N	\N	\N
2291529	7559	1997-06-12	PRIJEM	VKLAD	9254	10154	\N	\N	\N
2291530	7559	1997-07-12	PRIJEM	VKLAD	6169	22241	\N	\N	\N
2291531	7559	1997-08-12	PRIJEM	VKLAD	6169	25280	\N	\N	\N
2291532	7559	1997-09-12	PRIJEM	VKLAD	6169	31529	\N	\N	\N
2291533	7559	1997-10-12	PRIJEM	VKLAD	6169	35591	\N	\N	\N
2291534	7559	1997-11-12	PRIJEM	VKLAD	6169	32665	\N	\N	\N
2291535	7559	1997-12-12	PRIJEM	VKLAD	9254	34821	\N	\N	\N
2291536	7559	1998-01-12	PRIJEM	VKLAD	6169	28093	\N	\N	\N
2291537	7559	1998-02-12	PRIJEM	VKLAD	6169	20844	\N	\N	\N
2291538	7559	1998-03-12	PRIJEM	VKLAD	6169	27576	\N	\N	\N
2291539	7559	1998-04-12	PRIJEM	VKLAD	6169	31634	\N	\N	\N
2291540	7559	1998-05-12	PRIJEM	VKLAD	6169	35909	\N	\N	\N
2291541	7559	1998-06-12	PRIJEM	VKLAD	9254	41684	\N	\N	\N
2291542	7559	1998-07-12	PRIJEM	VKLAD	6169	44290	\N	\N	\N
2291543	7559	1998-08-12	PRIJEM	VKLAD	6169	47149	\N	\N	\N
2291544	7559	1998-09-12	PRIJEM	VKLAD	6169	53927	\N	\N	\N
2291545	7559	1998-10-12	PRIJEM	VKLAD	6169	53921	\N	\N	\N
2291546	7559	1998-11-12	PRIJEM	VKLAD	6169	52314	\N	\N	\N
2291547	7559	1998-12-12	PRIJEM	VKLAD	9254	53480	\N	\N	\N
2291558	7559	1997-11-08	VYDAJ	PREVOD NA UCET	4112	26496	SIPO	YZ	78349375
2291559	7559	1997-12-08	VYDAJ	PREVOD NA UCET	4112	25567	SIPO	YZ	78349375
2291560	7559	1998-01-08	VYDAJ	PREVOD NA UCET	4112	24324	SIPO	YZ	78349375
2291561	7559	1998-02-08	VYDAJ	PREVOD NA UCET	4112	14675	SIPO	YZ	78349375
2291562	7559	1998-03-08	VYDAJ	PREVOD NA UCET	4112	21407	SIPO	YZ	78349375
2291563	7559	1998-04-08	VYDAJ	PREVOD NA UCET	4112	25465	SIPO	YZ	78349375
2291564	7559	1998-05-08	VYDAJ	PREVOD NA UCET	4112	29740	SIPO	YZ	78349375
2291565	7559	1998-06-08	VYDAJ	PREVOD NA UCET	4112	32430	SIPO	YZ	78349375
2291566	7559	1998-07-08	VYDAJ	PREVOD NA UCET	4112	38121	SIPO	YZ	78349375
2291567	7559	1998-08-08	VYDAJ	PREVOD NA UCET	4112	40980	SIPO	YZ	78349375
2291568	7559	1998-09-08	VYDAJ	PREVOD NA UCET	4112	47758	SIPO	YZ	78349375
2291569	7559	1998-10-08	VYDAJ	PREVOD NA UCET	4112	47752	SIPO	YZ	78349375
2291570	7559	1998-11-08	VYDAJ	PREVOD NA UCET	4112	46145	SIPO	YZ	78349375
2291571	7559	1998-12-08	VYDAJ	PREVOD NA UCET	4112	44226	SIPO	YZ	78349375
2291581	7559	1997-10-13	VYDAJ	VYBER	1000	34591	\N	\N	0
2291582	7559	1997-11-07	VYDAJ	VYBER	900	30608	\N	\N	0
2291583	7559	1997-12-08	VYDAJ	VYBER	900	29679	\N	\N	0
2291584	7559	1998-01-07	VYDAJ	VYBER	1200	28436	\N	\N	0
2291585	7559	1998-02-03	VYDAJ	VYBER	800	18787	\N	\N	0
2291586	7559	1998-03-15	VYDAJ	VYBER	1200	26376	\N	\N	0
2291587	7559	1998-04-08	VYDAJ	VYBER	1100	29577	\N	\N	0
2291588	7559	1998-05-06	VYDAJ	VYBER	1200	33852	\N	\N	0
2291589	7559	1998-06-02	VYDAJ	VYBER	800	36542	\N	\N	0
2291590	7559	1998-07-12	VYDAJ	PREVOD NA UCET	1066	43224	UVER	GH	48709929
2291591	7559	1998-08-12	VYDAJ	PREVOD NA UCET	1066	46083	UVER	GH	48709929
2291592	7559	1998-09-12	VYDAJ	PREVOD NA UCET	1066	52861	UVER	GH	48709929
2291593	7559	1998-10-12	VYDAJ	PREVOD NA UCET	1066	52855	UVER	GH	48709929
2291594	7559	1998-11-12	VYDAJ	PREVOD NA UCET	1066	51248	UVER	GH	48709929
2291595	7559	1998-12-12	VYDAJ	PREVOD NA UCET	1066	52414	UVER	GH	48709929
2291597	7559	1998-06-14	VYDAJ	VYBER	3900	37784	\N	\N	\N
2291599	7559	1998-01-20	VYDAJ	VYBER	1400	26393	\N	\N	\N
2291600	7559	1997-12-28	VYDAJ	VYBER	1900	30221	\N	\N	\N
2291601	7559	1998-12-28	VYDAJ	VYBER	700	50714	\N	\N	\N
2291608	7559	1998-01-17	VYDAJ	VYBER	1300	24393	\N	\N	\N
2291609	7559	1998-01-17	VYDAJ	VYBER	2400	25693	\N	\N	\N
2291610	7559	1998-01-26	VYDAJ	VYBER	1000	23193	\N	\N	\N
2291611	7559	1998-01-06	VYDAJ	VYBER	700	29636	\N	\N	\N
2291612	7559	1998-01-23	VYDAJ	VYBER	2200	24193	\N	\N	\N
2291613	7559	1998-01-08	VYDAJ	VYBER	2400	21924	\N	\N	\N
2291614	7559	1997-12-03	VYDAJ	VYBER	800	30579	\N	\N	\N
2291619	7559	1997-12-15	VYDAJ	VYBER	2800	32021	\N	\N	\N
2291620	7559	1998-10-24	VYDAJ	VYBER	3800	50055	\N	\N	\N
2291621	7559	1998-12-18	VYDAJ	VYBER	1000	51414	\N	\N	\N
2291622	7559	1998-01-28	VYDAJ	VYBER	3700	19493	\N	\N	\N
2291633	7559	1997-10-31	VYDAJ	VYBER	15	31508	SLUZBY	\N	\N
2291634	7559	1997-11-30	VYDAJ	VYBER	15	31379	SLUZBY	\N	\N
2291635	7559	1997-12-31	VYDAJ	VYBER	15	30336	SLUZBY	\N	\N
2291636	7559	1998-01-31	VYDAJ	VYBER	15	19587	SLUZBY	\N	\N
2291637	7559	1998-02-28	VYDAJ	VYBER	15	25519	SLUZBY	\N	\N
2291638	7559	1998-03-31	VYDAJ	VYBER	15	30677	SLUZBY	\N	\N
2291639	7559	1998-04-30	VYDAJ	VYBER	15	35052	SLUZBY	\N	\N
2291640	7559	1998-05-31	VYDAJ	VYBER	15	37342	SLUZBY	\N	\N
2291641	7559	1998-06-30	VYDAJ	VYBER	15	42233	SLUZBY	\N	\N
2291642	7559	1998-07-31	VYDAJ	VYBER	15	45092	SLUZBY	\N	\N
2291643	7559	1998-08-31	VYDAJ	VYBER	15	51870	SLUZBY	\N	\N
2291644	7559	1998-09-30	VYDAJ	VYBER	15	51864	SLUZBY	\N	\N
2291645	7559	1998-10-31	VYDAJ	VYBER	15	50257	SLUZBY	\N	\N
2291646	7559	1998-11-30	VYDAJ	VYBER	15	48338	SLUZBY	\N	\N
2291647	7559	1997-06-23	PRIJEM	VKLAD	5900	16054	\N	\N	\N
2291648	7559	1997-07-23	VYDAJ	VYBER	3200	19041	\N	\N	\N
2291649	7559	1997-09-21	VYDAJ	VYBER	2200	29329	\N	\N	\N
2291650	7559	1997-10-21	VYDAJ	VYBER	3200	31391	\N	\N	\N
2291651	7559	1997-11-20	VYDAJ	VYBER	1400	31265	\N	\N	\N
2291652	7559	1997-12-20	PRIJEM	VKLAD	100	32121	\N	\N	\N
2291653	7559	1998-01-19	PRIJEM	VKLAD	3400	27793	\N	\N	\N
2291654	7559	1998-02-18	PRIJEM	VKLAD	4600	25444	\N	\N	\N
2291655	7559	1998-03-20	PRIJEM	VKLAD	4200	30576	\N	\N	\N
2291656	7559	1998-04-19	PRIJEM	VKLAD	3300	34934	\N	\N	\N
2291657	7559	1998-05-19	PRIJEM	VKLAD	1300	37209	\N	\N	\N
2291658	7559	1998-06-18	PRIJEM	VKLAD	4300	42084	\N	\N	\N
2291659	7559	1998-07-18	PRIJEM	VKLAD	1700	44924	\N	\N	\N
2291660	7559	1998-08-17	PRIJEM	VKLAD	5600	51683	\N	\N	\N
2291661	7559	1998-09-16	VYDAJ	VYBER	1200	51661	\N	\N	\N
2291662	7559	1998-10-16	PRIJEM	VKLAD	1000	53855	\N	\N	\N
2291663	7559	1998-11-15	VYDAJ	VYBER	3100	48148	\N	\N	\N
2292490	7562	1995-01-17	PRIJEM	VKLAD	400	400	\N	\N	\N
2292492	7562	1995-02-07	PRIJEM	PREVOD Z UCTU	38701	39101	\N	CD	10033035
2292493	7562	1995-03-07	PRIJEM	PREVOD Z UCTU	38701	72267	\N	CD	10033035
2292494	7562	1995-04-07	PRIJEM	PREVOD Z UCTU	38701	88538	\N	CD	10033035
2292495	7562	1995-05-07	PRIJEM	PREVOD Z UCTU	38701	96762	\N	CD	10033035
2292496	7562	1995-06-07	PRIJEM	PREVOD Z UCTU	58052	112363	\N	CD	10033035
2292497	7562	1995-07-07	PRIJEM	PREVOD Z UCTU	38701	89802	\N	CD	10033035
2292498	7562	1995-08-07	PRIJEM	PREVOD Z UCTU	38701	89438	\N	CD	10033035
2292499	7562	1995-09-07	PRIJEM	PREVOD Z UCTU	38701	61980	\N	CD	10033035
2292500	7562	1995-10-07	PRIJEM	PREVOD Z UCTU	38701	80459	\N	CD	10033035
2292501	7562	1995-11-07	PRIJEM	PREVOD Z UCTU	38701	82893	\N	CD	10033035
2292502	7562	1995-12-07	PRIJEM	PREVOD Z UCTU	58052	101577	\N	CD	10033035
2292503	7562	1996-01-07	PRIJEM	PREVOD Z UCTU	38701	71066	\N	CD	10033035
2292504	7562	1996-02-07	PRIJEM	PREVOD Z UCTU	38701	60852	\N	CD	10033035
2292505	7562	1996-03-07	PRIJEM	PREVOD Z UCTU	38701	77812	\N	CD	10033035
2292506	7562	1996-04-07	PRIJEM	PREVOD Z UCTU	38701	94980	\N	CD	10033035
2292507	7562	1996-05-07	PRIJEM	PREVOD Z UCTU	38701	83817	\N	CD	10033035
2292508	7562	1996-06-07	PRIJEM	PREVOD Z UCTU	58052	105007	\N	CD	10033035
2292509	7562	1996-07-07	PRIJEM	PREVOD Z UCTU	38701	102373	\N	CD	10033035
2292510	7562	1996-08-07	PRIJEM	PREVOD Z UCTU	38701	103262	\N	CD	10033035
2292511	7562	1996-09-07	PRIJEM	PREVOD Z UCTU	38701	74174	\N	CD	10033035
2292512	7562	1996-10-07	PRIJEM	PREVOD Z UCTU	38701	81770	\N	CD	10033035
2292513	7562	1996-11-07	PRIJEM	PREVOD Z UCTU	38701	94514	\N	CD	10033035
2292514	7562	1996-12-07	PRIJEM	PREVOD Z UCTU	58052	122366	\N	CD	10033035
2292515	7562	1997-01-07	PRIJEM	PREVOD Z UCTU	38701	83629	\N	CD	10033035
2292516	7562	1997-02-07	PRIJEM	PREVOD Z UCTU	38701	80270	\N	CD	10033035
2292517	7562	1997-03-07	PRIJEM	PREVOD Z UCTU	38701	98352	\N	CD	10033035
2292518	7562	1997-04-07	PRIJEM	PREVOD Z UCTU	38701	93150	\N	CD	10033035
2292519	7562	1997-05-07	PRIJEM	PREVOD Z UCTU	38701	105120	\N	CD	10033035
2292520	7562	1997-06-07	PRIJEM	PREVOD Z UCTU	58052	127628	\N	CD	10033035
2292521	7562	1997-07-07	PRIJEM	PREVOD Z UCTU	38701	103532	\N	CD	10033035
2292522	7562	1997-08-07	PRIJEM	PREVOD Z UCTU	38701	83919	\N	CD	10033035
2292523	7562	1997-09-07	PRIJEM	PREVOD Z UCTU	38701	95420	\N	CD	10033035
2292524	7562	1997-10-07	PRIJEM	PREVOD Z UCTU	38701	81183	\N	CD	10033035
2292525	7562	1997-11-07	PRIJEM	PREVOD Z UCTU	38701	86803	\N	CD	10033035
2292526	7562	1997-12-07	PRIJEM	PREVOD Z UCTU	58052	116501	\N	CD	10033035
2292527	7562	1998-01-07	PRIJEM	PREVOD Z UCTU	38701	93049	\N	CD	10033035
2292528	7562	1998-02-07	PRIJEM	PREVOD Z UCTU	38701	79541	\N	CD	10033035
2292529	7562	1998-03-07	PRIJEM	PREVOD Z UCTU	38701	86606	\N	CD	10033035
2292530	7562	1998-04-07	PRIJEM	PREVOD Z UCTU	38701	94768	\N	CD	10033035
2292531	7562	1998-05-07	PRIJEM	PREVOD Z UCTU	38701	85783	\N	CD	10033035
2292532	7562	1998-06-07	PRIJEM	PREVOD Z UCTU	58052	109509	\N	CD	10033035
2292533	7562	1998-07-07	PRIJEM	PREVOD Z UCTU	38701	102579	\N	CD	10033035
2292534	7562	1998-08-07	PRIJEM	PREVOD Z UCTU	38701	90771	\N	CD	10033035
2292535	7562	1998-09-07	PRIJEM	PREVOD Z UCTU	38701	105986	\N	CD	10033035
2292536	7562	1998-10-07	PRIJEM	PREVOD Z UCTU	38701	118760	\N	CD	10033035
2292537	7562	1998-11-07	PRIJEM	PREVOD Z UCTU	38701	114470	\N	CD	10033035
2292538	7562	1998-12-07	PRIJEM	PREVOD Z UCTU	58052	130409	\N	CD	10033035
2292544	7562	1995-06-06	VYDAJ	VYBER	8000	54311	\N	\N	0
2292545	7562	1995-07-07	VYDAJ	VYBER	5300	84502	\N	\N	0
2292546	7562	1995-08-03	VYDAJ	VYBER	6100	50737	\N	\N	0
2292547	7562	1995-09-06	VYDAJ	VYBER	7700	23279	\N	\N	0
2292548	7562	1995-10-04	VYDAJ	VYBER	6300	41758	\N	\N	0
2292549	7562	1995-11-15	VYDAJ	VYBER	7600	52293	\N	\N	0
2292550	7562	1995-12-11	VYDAJ	VYBER	5500	96077	\N	\N	0
2292551	7562	1996-01-12	VYDAJ	PREVOD NA UCET	6450	41516	UVER	YZ	13822353
2292552	7562	1996-02-12	VYDAJ	PREVOD NA UCET	6450	39002	UVER	YZ	13822353
2292553	7562	1996-03-12	VYDAJ	PREVOD NA UCET	6450	71362	UVER	YZ	13822353
2292554	7562	1996-04-12	VYDAJ	PREVOD NA UCET	6450	59030	UVER	YZ	13822353
2292555	7562	1996-05-12	VYDAJ	PREVOD NA UCET	6450	54567	UVER	YZ	13822353
2292556	7562	1996-06-12	VYDAJ	PREVOD NA UCET	6450	63457	UVER	YZ	13822353
2292557	7562	1996-07-12	VYDAJ	PREVOD NA UCET	6450	64323	UVER	YZ	13822353
2292558	7562	1996-08-12	VYDAJ	PREVOD NA UCET	6450	35312	UVER	YZ	13822353
2292559	7562	1996-09-12	VYDAJ	PREVOD NA UCET	6450	42924	UVER	YZ	13822353
2292560	7562	1996-10-12	VYDAJ	PREVOD NA UCET	6450	55620	UVER	YZ	13822353
2292561	7562	1996-11-12	VYDAJ	PREVOD NA UCET	6450	64064	UVER	YZ	13822353
2292562	7562	1996-12-12	VYDAJ	PREVOD NA UCET	6450	57916	UVER	YZ	13822353
2292563	7562	1997-01-12	VYDAJ	PREVOD NA UCET	6450	74479	UVER	YZ	13822353
2292564	7562	1997-02-12	VYDAJ	PREVOD NA UCET	6450	73820	UVER	YZ	13822353
2292565	7562	1997-03-12	VYDAJ	PREVOD NA UCET	6450	67402	UVER	YZ	13822353
2292566	7562	1997-04-12	VYDAJ	PREVOD NA UCET	6450	86700	UVER	YZ	13822353
2292567	7562	1997-05-12	VYDAJ	PREVOD NA UCET	6450	98670	UVER	YZ	13822353
2292568	7562	1997-06-12	VYDAJ	PREVOD NA UCET	6450	83977	UVER	YZ	13822353
2292569	7562	1997-07-12	VYDAJ	PREVOD NA UCET	6450	85186	UVER	YZ	13822353
2292570	7562	1997-08-12	VYDAJ	PREVOD NA UCET	6450	69369	UVER	YZ	13822353
2292571	7562	1997-09-12	VYDAJ	PREVOD NA UCET	6450	88970	UVER	YZ	13822353
2292572	7562	1997-10-12	VYDAJ	PREVOD NA UCET	6450	74733	UVER	YZ	13822353
2292573	7562	1997-11-12	VYDAJ	PREVOD NA UCET	6450	80353	UVER	YZ	13822353
2292574	7562	1997-12-12	VYDAJ	PREVOD NA UCET	6450	75751	UVER	YZ	13822353
2292575	7562	1998-01-12	VYDAJ	PREVOD NA UCET	6450	81199	UVER	YZ	13822353
2292576	7562	1998-02-12	VYDAJ	PREVOD NA UCET	6450	73091	UVER	YZ	13822353
2292577	7562	1998-03-12	VYDAJ	PREVOD NA UCET	6450	80156	UVER	YZ	13822353
2292578	7562	1998-04-12	VYDAJ	PREVOD NA UCET	6450	73311	UVER	YZ	13822353
2292579	7562	1998-05-12	VYDAJ	PREVOD NA UCET	6450	75883	UVER	YZ	13822353
2292580	7562	1998-06-12	VYDAJ	PREVOD NA UCET	6450	103059	UVER	YZ	13822353
2292581	7562	1998-07-12	VYDAJ	PREVOD NA UCET	6450	96129	UVER	YZ	13822353
2292582	7562	1998-08-12	VYDAJ	PREVOD NA UCET	6450	84321	UVER	YZ	13822353
2292583	7562	1998-09-12	VYDAJ	PREVOD NA UCET	6450	99535	UVER	YZ	13822353
2292584	7562	1998-10-12	VYDAJ	PREVOD NA UCET	6450	96310	UVER	YZ	13822353
2292585	7562	1998-11-12	VYDAJ	PREVOD NA UCET	6450	88149	UVER	YZ	13822353
2292586	7562	1998-12-12	VYDAJ	PREVOD NA UCET	6450	80459	UVER	YZ	13822353
2292587	7562	1995-11-03	VYBER	VYBER	11588	44192	\N	\N	\N
2292588	7562	1995-12-23	VYBER	VYBER	22389	35488	\N	\N	\N
2292590	7562	1995-11-24	VYBER	VYBER	7176	43317	\N	\N	\N
2292592	7562	1996-04-29	VYBER	VYBER	4816	44914	\N	\N	\N
2292593	7562	1997-07-15	VYBER	VYBER	21638	63548	\N	\N	\N
2292594	7562	1997-12-21	VYBER	VYBER	5605	70146	\N	\N	\N
2292595	7562	1997-07-09	VYBER	VYBER	11896	91636	\N	\N	\N
2292596	7562	1997-06-01	VYBER	VYBER	9269	89776	\N	\N	\N
2292597	7562	1997-10-05	VYBER	VYBER	15901	42482	\N	\N	\N
2292598	7562	1997-02-03	VYBER	VYBER	14636	36969	\N	\N	\N
2292599	7562	1998-06-05	VYBER	VYBER	9898	51457	\N	\N	\N
2292600	7562	1998-06-25	VYBER	VYBER	21627	81432	\N	\N	\N
2292601	7562	1998-05-11	VYBER	VYBER	3450	82333	\N	\N	\N
2292602	7562	1998-04-05	VYBER	VYBER	2779	56067	\N	\N	\N
2292603	7562	1998-11-11	VYBER	VYBER	2471	111999	\N	\N	\N
2292604	7562	1998-04-26	VYBER	VYBER	16798	56513	\N	\N	\N
2292605	7562	1998-01-29	VYBER	VYBER	12122	45377	\N	\N	\N
2292606	7562	1998-07-13	VYBER	VYBER	21014	55855	\N	\N	\N
2292607	7562	1998-07-13	VYBER	VYBER	19260	76869	\N	\N	\N
2292608	7562	1998-04-09	VYBER	VYBER	15007	79761	\N	\N	\N
2292609	7562	1995-12-16	VYDAJ	VYBER	6000	57877	\N	\N	\N
2292610	7562	1996-12-17	VYDAJ	VYBER	8700	49216	\N	\N	\N
2292611	7562	1997-12-11	VYDAJ	VYBER	7200	82201	\N	\N	\N
2292612	7562	1998-12-15	VYDAJ	VYBER	1500	78959	\N	\N	\N
2292619	7562	1996-01-25	VYDAJ	VYBER	7800	25016	\N	\N	\N
2292620	7562	1996-01-11	VYDAJ	VYBER	7200	60566	\N	\N	\N
2292621	7562	1996-01-29	VYDAJ	VYBER	3000	22016	\N	\N	\N
2292622	7562	1996-01-11	VYDAJ	VYBER	3300	67766	\N	\N	\N
2292623	7562	1996-01-20	VYDAJ	VYBER	8700	32816	\N	\N	\N
2292624	7562	1996-01-05	VYDAJ	VYBER	3300	32365	\N	\N	\N
2292625	7562	1997-01-22	VYDAJ	VYBER	3600	66379	\N	\N	\N
2292626	7562	1997-01-24	VYDAJ	VYBER	3600	55579	\N	\N	\N
2292627	7562	1997-01-13	VYDAJ	VYBER	4500	69979	\N	\N	\N
2292628	7562	1997-01-12	VYDAJ	VYBER	2700	80929	\N	\N	\N
2292629	7562	1997-01-24	VYDAJ	VYBER	4200	51379	\N	\N	\N
2292630	7562	1997-01-23	VYDAJ	VYBER	7200	59179	\N	\N	\N
2292631	7562	1998-01-22	VYDAJ	VYBER	7800	60499	\N	\N	\N
2292632	7562	1998-01-17	VYDAJ	VYBER	2100	79099	\N	\N	\N
2292633	7562	1998-01-22	VYDAJ	VYBER	4200	68299	\N	\N	\N
2292634	7562	1998-01-08	VYDAJ	VYBER	5400	87649	\N	\N	\N
2292635	7562	1998-01-21	VYDAJ	VYBER	6600	72499	\N	\N	\N
2292636	7562	1998-01-24	VYDAJ	VYBER	3000	57499	\N	\N	\N
2292638	7562	1995-06-09	VYDAJ	VYBER	11700	80663	\N	\N	\N
2292639	7562	1995-10-23	VYDAJ	VYBER	1800	55559	\N	\N	\N
2292640	7562	1995-08-30	VYDAJ	VYBER	12600	45438	\N	\N	\N
2292641	7562	1995-11-19	VYDAJ	VYBER	1800	50493	\N	\N	\N
2292643	7562	1995-09-02	VYDAJ	VYBER	14700	30979	\N	\N	\N
2292644	7562	1996-09-09	VYDAJ	VYBER	8700	49374	\N	\N	\N
2292645	7562	1996-05-09	VYDAJ	VYBER	2100	81717	\N	\N	\N
2292646	7562	1996-05-26	VYDAJ	VYBER	7800	46767	\N	\N	\N
2292647	7562	1996-12-28	VYDAJ	VYBER	6600	42616	\N	\N	\N
2292648	7562	1996-04-24	VYDAJ	VYBER	9300	49730	\N	\N	\N
2292649	7562	1997-02-16	VYDAJ	VYBER	14400	59420	\N	\N	\N
2292650	7562	1997-09-17	VYDAJ	VYBER	7500	81470	\N	\N	\N
2292651	7562	1997-08-01	VYDAJ	VYBER	12300	44918	\N	\N	\N
2292652	7562	1997-10-24	VYDAJ	VYBER	8700	66033	\N	\N	\N
2292653	7562	1997-08-10	VYDAJ	VYBER	8100	75819	\N	\N	\N
2292654	7562	1997-07-20	VYDAJ	VYBER	6600	56948	\N	\N	\N
2292655	7562	1998-02-26	VYDAJ	VYBER	12600	60491	\N	\N	\N
2292656	7562	1998-07-28	VYDAJ	VYBER	3300	52555	\N	\N	\N
2292663	7562	1995-06-30	VYDAJ	VYBER	30	51101	SLUZBY	\N	\N
2292664	7562	1995-07-31	VYDAJ	VYBER	30	56837	SLUZBY	\N	\N
2292665	7562	1995-08-31	VYDAJ	VYBER	30	45679	SLUZBY	\N	\N
2292666	7562	1995-09-30	VYDAJ	VYBER	30	48058	SLUZBY	\N	\N
2292667	7562	1995-10-31	VYDAJ	VYBER	30	55780	SLUZBY	\N	\N
2292668	7562	1995-11-30	VYDAJ	VYBER	30	43525	SLUZBY	\N	\N
2292669	7562	1995-12-31	VYDAJ	VYBER	30	35665	SLUZBY	\N	\N
2292670	7562	1996-01-31	VYDAJ	VYBER	30	22151	SLUZBY	\N	\N
2292671	7562	1996-02-29	VYDAJ	VYBER	30	39111	SLUZBY	\N	\N
2292672	7562	1996-03-31	VYDAJ	VYBER	30	56279	SLUZBY	\N	\N
2292673	7562	1996-04-30	VYDAJ	VYBER	30	45116	SLUZBY	\N	\N
2292674	7562	1996-05-31	VYDAJ	VYBER	30	46955	SLUZBY	\N	\N
2292675	7562	1996-06-30	VYDAJ	VYBER	30	63672	SLUZBY	\N	\N
2292676	7562	1996-07-31	VYDAJ	VYBER	30	64561	SLUZBY	\N	\N
2292677	7562	1996-08-31	VYDAJ	VYBER	30	35473	SLUZBY	\N	\N
2292678	7562	1996-09-30	VYDAJ	VYBER	30	43069	SLUZBY	\N	\N
2292679	7562	1996-10-31	VYDAJ	VYBER	30	55813	SLUZBY	\N	\N
2292680	7562	1996-11-30	VYDAJ	VYBER	30	64314	SLUZBY	\N	\N
2292681	7562	1996-12-31	VYDAJ	VYBER	30	42828	SLUZBY	\N	\N
2292682	7562	1997-01-31	VYDAJ	VYBER	30	51605	SLUZBY	\N	\N
2292683	7562	1997-02-28	VYDAJ	VYBER	30	59651	SLUZBY	\N	\N
2292684	7562	1997-03-31	VYDAJ	VYBER	30	67649	SLUZBY	\N	\N
2292685	7562	1997-04-30	VYDAJ	VYBER	30	87019	SLUZBY	\N	\N
2292686	7562	1997-05-31	VYDAJ	VYBER	30	99045	SLUZBY	\N	\N
2292687	7562	1997-06-30	VYDAJ	VYBER	30	84331	SLUZBY	\N	\N
2292688	7562	1997-07-31	VYDAJ	VYBER	30	57218	SLUZBY	\N	\N
2292689	7562	1997-08-31	VYDAJ	VYBER	30	69619	SLUZBY	\N	\N
2292690	7562	1997-09-30	VYDAJ	VYBER	30	81783	SLUZBY	\N	\N
2292691	7562	1997-10-31	VYDAJ	VYBER	30	66302	SLUZBY	\N	\N
2292692	7562	1997-11-30	VYDAJ	VYBER	30	80649	SLUZBY	\N	\N
2292693	7562	1997-12-31	VYDAJ	VYBER	30	70448	SLUZBY	\N	\N
2292694	7562	1998-01-31	VYDAJ	VYBER	30	40840	SLUZBY	\N	\N
2292695	7562	1998-02-28	VYDAJ	VYBER	30	60705	SLUZBY	\N	\N
2292696	7562	1998-03-31	VYDAJ	VYBER	30	80446	SLUZBY	\N	\N
2292697	7562	1998-04-30	VYDAJ	VYBER	30	56782	SLUZBY	\N	\N
2292698	7562	1998-05-31	VYDAJ	VYBER	30	61355	SLUZBY	\N	\N
2292699	7562	1998-06-30	VYDAJ	VYBER	30	63878	SLUZBY	\N	\N
2292700	7562	1998-07-31	VYDAJ	VYBER	30	52070	SLUZBY	\N	\N
2292701	7562	1998-08-31	VYDAJ	VYBER	30	67285	SLUZBY	\N	\N
2292702	7562	1998-09-30	VYDAJ	VYBER	30	80059	SLUZBY	\N	\N
2292703	7562	1998-10-31	VYDAJ	VYBER	30	75769	SLUZBY	\N	\N
2292704	7562	1998-11-30	VYDAJ	VYBER	30	72357	SLUZBY	\N	\N
2292705	7562	1995-02-16	VYDAJ	VYBER	5600	33501	\N	\N	\N
2292706	7562	1995-03-18	VYDAJ	VYBER	22600	49667	\N	\N	\N
2292707	7562	1995-04-17	VYDAJ	VYBER	30700	57838	\N	\N	\N
2292708	7562	1995-05-17	VYDAJ	VYBER	34700	62062	\N	\N	\N
2292709	7562	1995-06-07	VYDAJ	VYBER	20000	92363	\N	\N	\N
2292710	7562	1995-06-16	VYDAJ	VYBER	29800	50863	\N	\N	\N
2292711	7562	1995-07-16	VYDAJ	VYBER	27900	56602	\N	\N	\N
2292712	7562	1995-08-15	VYDAJ	VYBER	31400	58038	\N	\N	\N
2292713	7562	1995-09-14	VYDAJ	VYBER	14100	47880	\N	\N	\N
2292714	7562	1995-10-14	VYDAJ	VYBER	23100	57359	\N	\N	\N
2292715	7562	1995-11-13	VYDAJ	VYBER	23000	59893	\N	\N	\N
2292716	7562	1995-12-13	VYDAJ	VYBER	32200	63877	\N	\N	\N
2292717	7562	1996-01-12	VYDAJ	VYBER	12600	47966	\N	\N	\N
2292718	7562	1996-02-11	VYDAJ	VYBER	15400	45452	\N	\N	\N
2292719	7562	1996-03-12	VYDAJ	VYBER	15300	56062	\N	\N	\N
2292720	7562	1996-04-11	VYDAJ	VYBER	29500	65480	\N	\N	\N
2292721	7562	1996-05-11	VYDAJ	VYBER	20700	61017	\N	\N	\N
2292722	7562	1996-06-10	VYDAJ	VYBER	35100	69907	\N	\N	\N
2292723	7562	1996-07-10	VYDAJ	VYBER	31600	70773	\N	\N	\N
2292724	7562	1996-08-07	VYDAJ	VYBER	61000	42262	\N	\N	\N
2292725	7562	1996-08-09	VYDAJ	VYBER	500	41762	\N	\N	\N
2292726	7562	1996-09-08	VYDAJ	VYBER	16100	58074	\N	\N	\N
2292727	7562	1996-10-08	VYDAJ	VYBER	19700	62070	\N	\N	\N
2292728	7562	1996-11-07	VYDAJ	VYBER	24000	70514	\N	\N	\N
2292729	7562	1996-12-07	VYDAJ	VYBER	38500	83866	\N	\N	\N
2292730	7562	1996-12-07	VYDAJ	VYBER	19500	64366	\N	\N	\N
2292731	7562	1997-01-06	PRIJEM	VKLAD	2100	44928	\N	\N	\N
2292732	7562	1997-02-05	PRIJEM	VKLAD	4600	41569	\N	\N	\N
2292733	7562	1997-03-07	VYDAJ	VYBER	24500	73852	\N	\N	\N
2292734	7562	1997-04-06	VYDAJ	VYBER	13200	54449	\N	\N	\N
2292735	7562	1997-05-06	VYDAJ	VYBER	20600	66419	\N	\N	\N
2292736	7562	1997-06-05	VYDAJ	VYBER	20200	69576	\N	\N	\N
2292737	7562	1997-06-07	VYDAJ	VYBER	37200	90428	\N	\N	\N
2292738	7562	1997-07-05	VYDAJ	VYBER	19500	64831	\N	\N	\N
2292739	7562	1997-08-04	PRIJEM	VKLAD	300	45218	\N	\N	\N
2292740	7562	1997-09-03	VYDAJ	VYBER	12900	56719	\N	\N	\N
2292741	7562	1997-10-03	VYDAJ	VYBER	23400	58383	\N	\N	\N
2292742	7562	1997-11-02	VYDAJ	VYBER	18200	48102	\N	\N	\N
2292743	7562	1997-12-02	VYDAJ	VYBER	22200	58449	\N	\N	\N
2292744	7562	1997-12-07	VYDAJ	VYBER	27100	89401	\N	\N	\N
2292745	7562	1998-01-01	VYDAJ	VYBER	16100	54348	\N	\N	\N
2292746	7562	1998-01-31	VYDAJ	VYBER	4800	40870	\N	\N	\N
2292747	7562	1998-03-02	VYDAJ	VYBER	12800	47905	\N	\N	\N
2292748	7562	1998-04-01	VYDAJ	VYBER	21600	58846	\N	\N	\N
2292749	7562	1998-05-01	VYDAJ	VYBER	9700	47082	\N	\N	\N
2292750	7562	1998-05-31	VYDAJ	VYBER	14800	61385	\N	\N	\N
2292751	7562	1998-06-30	VYDAJ	VYBER	17900	63908	\N	\N	\N
2292752	7562	1998-07-30	VYDAJ	VYBER	700	51855	\N	\N	\N
2292753	7562	1998-08-29	VYDAJ	VYBER	17300	67021	\N	\N	\N
2292754	7562	1998-09-28	VYDAJ	VYBER	19800	79735	\N	\N	\N
2292755	7562	1998-10-07	VYDAJ	VYBER	16000	102760	\N	\N	\N
2292756	7562	1998-10-28	VYDAJ	VYBER	20900	75410	\N	\N	\N
2292757	7562	1998-11-11	VYDAJ	VYBER	17400	94599	\N	\N	\N
2292758	7562	1998-11-27	VYDAJ	VYBER	16100	72049	\N	\N	\N
2292759	7562	1998-12-07	VYDAJ	VYBER	43500	86909	\N	\N	\N
2293170	7565	1996-04-02	PRIJEM	VKLAD	300	300	\N	\N	\N
2293174	7565	1996-04-12	PRIJEM	PREVOD Z UCTU	19187	19487	\N	KL	30012899
2293175	7565	1996-05-12	PRIJEM	PREVOD Z UCTU	19187	40425	\N	KL	30012899
2293176	7565	1996-06-12	PRIJEM	PREVOD Z UCTU	28780	61843	\N	KL	30012899
2293177	7565	1996-07-12	PRIJEM	PREVOD Z UCTU	19187	63555	\N	KL	30012899
2293178	7565	1996-08-12	PRIJEM	PREVOD Z UCTU	19187	65102	\N	KL	30012899
2293179	7565	1996-09-12	PRIJEM	PREVOD Z UCTU	19187	54933	\N	KL	30012899
2293180	7565	1996-10-12	PRIJEM	PREVOD Z UCTU	19187	44424	\N	KL	30012899
2293181	7565	1996-11-12	PRIJEM	PREVOD Z UCTU	19187	51865	\N	KL	30012899
2293182	7565	1996-12-12	PRIJEM	PREVOD Z UCTU	28780	59911	\N	KL	30012899
2293183	7565	1997-01-12	PRIJEM	PREVOD Z UCTU	19187	42387	\N	KL	30012899
2293184	7565	1997-02-12	PRIJEM	PREVOD Z UCTU	19187	36197	\N	KL	30012899
2293185	7565	1997-03-12	PRIJEM	PREVOD Z UCTU	19187	40394	\N	KL	30012899
2293186	7565	1997-04-12	PRIJEM	PREVOD Z UCTU	19187	41008	\N	KL	30012899
2293187	7565	1997-05-12	PRIJEM	PREVOD Z UCTU	19187	43122	\N	KL	30012899
2293188	7565	1997-06-12	PRIJEM	PREVOD Z UCTU	28780	54533	\N	KL	30012899
2293189	7565	1997-07-12	PRIJEM	PREVOD Z UCTU	19187	38176	\N	KL	30012899
2293190	7565	1997-08-12	PRIJEM	PREVOD Z UCTU	19187	40382	\N	KL	30012899
2293191	7565	1997-09-12	PRIJEM	PREVOD Z UCTU	19187	38177	\N	KL	30012899
2293192	7565	1997-10-12	PRIJEM	PREVOD Z UCTU	19187	35583	\N	KL	30012899
2293193	7565	1997-11-12	PRIJEM	PREVOD Z UCTU	19187	36781	\N	KL	30012899
2293194	7565	1997-12-12	PRIJEM	PREVOD Z UCTU	28780	43961	\N	KL	30012899
2293195	7565	1998-01-12	PRIJEM	PREVOD Z UCTU	19187	37654	\N	KL	30012899
2293196	7565	1998-02-12	PRIJEM	PREVOD Z UCTU	19187	42945	\N	KL	30012899
2293197	7565	1998-03-12	PRIJEM	PREVOD Z UCTU	19187	38052	\N	KL	30012899
2293198	7565	1998-04-12	PRIJEM	PREVOD Z UCTU	19187	47252	\N	KL	30012899
2293199	7565	1998-05-12	PRIJEM	PREVOD Z UCTU	19187	43688	\N	KL	30012899
2293200	7565	1998-06-12	PRIJEM	PREVOD Z UCTU	28780	49095	\N	KL	30012899
2293201	7565	1998-07-12	PRIJEM	PREVOD Z UCTU	19187	38010	\N	KL	30012899
2293202	7565	1998-08-12	PRIJEM	PREVOD Z UCTU	19187	47218	\N	KL	30012899
2293203	7565	1998-09-12	PRIJEM	PREVOD Z UCTU	19187	41532	\N	KL	30012899
2293204	7565	1998-10-12	PRIJEM	PREVOD Z UCTU	19187	37627	\N	KL	30012899
2293205	7565	1998-11-12	PRIJEM	PREVOD Z UCTU	19187	46833	\N	KL	30012899
2293206	7565	1998-12-12	PRIJEM	PREVOD Z UCTU	28780	59986	\N	KL	30012899
2293214	7565	1996-08-12	VYDAJ	VYBER	2600	55853	\N	\N	0
2293215	7565	1996-09-04	VYDAJ	VYBER	3500	35974	\N	\N	0
2293216	7565	1996-10-14	VYDAJ	VYBER	2600	35175	\N	\N	0
2293217	7565	1996-11-15	VYDAJ	VYBER	3600	41616	\N	\N	0
2293218	7565	1996-12-17	VYDAJ	VYBER	2600	50662	\N	\N	0
2293219	7565	1997-01-16	VYDAJ	VYBER	3400	32338	\N	\N	0
2293220	7565	1997-02-04	VYDAJ	VYBER	3000	17238	\N	\N	0
2293221	7565	1997-03-04	VYDAJ	VYBER	2800	21435	\N	\N	0
2293222	7565	1997-04-19	VYDAJ	VYBER	3000	31359	\N	\N	0
2293223	7565	1997-05-20	VYDAJ	VYBER	3700	32773	\N	\N	0
2293224	7565	1997-06-17	VYDAJ	VYBER	2900	33284	\N	\N	0
2293225	7565	1997-07-21	VYDAJ	VYBER	2400	29127	\N	\N	0
2293226	7565	1997-08-13	VYDAJ	VYBER	2500	31233	\N	\N	0
2293227	7565	1997-09-12	VYDAJ	PREVOD NA UCET	3198	20530	UVER	EF	61455482
2293228	7565	1997-10-12	VYDAJ	PREVOD NA UCET	3198	32386	UVER	EF	61455482
2293229	7565	1997-11-12	VYDAJ	PREVOD NA UCET	3198	26934	UVER	EF	61455482
2293230	7565	1997-12-12	VYDAJ	PREVOD NA UCET	3198	34114	UVER	EF	61455482
2293231	7565	1998-01-12	VYDAJ	PREVOD NA UCET	3198	34456	UVER	EF	61455482
2293232	7565	1998-02-12	VYDAJ	PREVOD NA UCET	3198	33098	UVER	EF	61455482
2293233	7565	1998-03-12	VYDAJ	PREVOD NA UCET	3198	28205	UVER	EF	61455482
2293234	7565	1998-04-12	VYDAJ	PREVOD NA UCET	3198	44054	UVER	EF	61455482
2293235	7565	1998-05-12	VYDAJ	PREVOD NA UCET	3198	40490	UVER	EF	61455482
2293236	7565	1998-06-12	VYDAJ	PREVOD NA UCET	3198	39249	UVER	EF	61455482
2293237	7565	1998-07-12	VYDAJ	PREVOD NA UCET	3198	28164	UVER	EF	61455482
2293238	7565	1998-08-12	VYDAJ	PREVOD NA UCET	3198	37371	UVER	EF	61455482
2293239	7565	1998-09-12	VYDAJ	PREVOD NA UCET	3198	31685	UVER	EF	61455482
2293240	7565	1998-10-12	VYDAJ	PREVOD NA UCET	3198	27780	UVER	EF	61455482
2293241	7565	1998-11-12	VYDAJ	PREVOD NA UCET	3198	36986	UVER	EF	61455482
2293242	7565	1998-12-12	VYDAJ	PREVOD NA UCET	3198	50139	UVER	EF	61455482
2293250	7565	1996-08-12	VYDAJ	PREVOD NA UCET	6649	58453	SIPO	GH	98498379
2293251	7565	1996-09-12	VYDAJ	PREVOD NA UCET	6649	48284	SIPO	GH	98498379
2293252	7565	1996-10-12	VYDAJ	PREVOD NA UCET	6649	37775	SIPO	GH	98498379
2293253	7565	1996-11-12	VYDAJ	PREVOD NA UCET	6649	45216	SIPO	GH	98498379
2293254	7565	1996-12-12	VYDAJ	PREVOD NA UCET	6649	53262	SIPO	GH	98498379
2293255	7565	1997-01-12	VYDAJ	PREVOD NA UCET	6649	35738	SIPO	GH	98498379
2293256	7565	1997-02-12	VYDAJ	PREVOD NA UCET	6649	29548	SIPO	GH	98498379
2293257	7565	1997-03-12	VYDAJ	PREVOD NA UCET	6649	33745	SIPO	GH	98498379
2293258	7565	1997-04-12	VYDAJ	PREVOD NA UCET	6649	34359	SIPO	GH	98498379
2293259	7565	1997-05-12	VYDAJ	PREVOD NA UCET	6649	36473	SIPO	GH	98498379
2293260	7565	1997-06-12	VYDAJ	PREVOD NA UCET	6649	47884	SIPO	GH	98498379
2293261	7565	1997-07-12	VYDAJ	PREVOD NA UCET	6649	31527	SIPO	GH	98498379
2293262	7565	1997-08-12	VYDAJ	PREVOD NA UCET	6649	33733	SIPO	GH	98498379
2293263	7565	1997-09-12	VYDAJ	PREVOD NA UCET	6649	23728	SIPO	GH	98498379
2293264	7565	1997-10-12	VYDAJ	PREVOD NA UCET	6649	25737	SIPO	GH	98498379
2293265	7565	1997-11-12	VYDAJ	PREVOD NA UCET	6649	30132	SIPO	GH	98498379
2293266	7565	1997-12-12	VYDAJ	PREVOD NA UCET	6649	37312	SIPO	GH	98498379
2293267	7565	1998-01-12	VYDAJ	PREVOD NA UCET	6649	27807	SIPO	GH	98498379
2293268	7565	1998-02-12	VYDAJ	PREVOD NA UCET	6649	36296	SIPO	GH	98498379
2293269	7565	1998-03-12	VYDAJ	PREVOD NA UCET	6649	31403	SIPO	GH	98498379
2293270	7565	1998-04-12	VYDAJ	PREVOD NA UCET	6649	37405	SIPO	GH	98498379
2293271	7565	1998-05-12	VYDAJ	PREVOD NA UCET	6649	33841	SIPO	GH	98498379
2293272	7565	1998-06-12	VYDAJ	PREVOD NA UCET	6649	42446	SIPO	GH	98498379
2293273	7565	1998-07-12	VYDAJ	PREVOD NA UCET	6649	31361	SIPO	GH	98498379
2293274	7565	1998-08-12	VYDAJ	PREVOD NA UCET	6649	40569	SIPO	GH	98498379
2293275	7565	1998-09-12	VYDAJ	PREVOD NA UCET	6649	34883	SIPO	GH	98498379
2293276	7565	1998-10-12	VYDAJ	PREVOD NA UCET	6649	30978	SIPO	GH	98498379
2293277	7565	1998-11-12	VYDAJ	PREVOD NA UCET	6649	40184	SIPO	GH	98498379
2293278	7565	1998-12-12	VYDAJ	PREVOD NA UCET	6649	53337	SIPO	GH	98498379
2293287	7565	1996-09-05	VYDAJ	PREVOD NA UCET	228	35746	 	MN	24854338
2293288	7565	1996-10-05	VYDAJ	PREVOD NA UCET	228	33937	 	MN	24854338
2293289	7565	1996-11-05	VYDAJ	PREVOD NA UCET	228	32678	 	MN	24854338
2293290	7565	1996-12-05	VYDAJ	PREVOD NA UCET	228	33231	 	MN	24854338
2293291	7565	1997-01-05	VYDAJ	PREVOD NA UCET	228	28000	 	MN	24854338
2293292	7565	1997-02-05	VYDAJ	PREVOD NA UCET	228	17010	 	MN	24854338
2293293	7565	1997-03-05	VYDAJ	PREVOD NA UCET	228	21207	 	MN	24854338
2293294	7565	1997-04-05	VYDAJ	PREVOD NA UCET	228	24521	 	MN	24854338
2293295	7565	1997-05-05	VYDAJ	PREVOD NA UCET	228	23935	 	MN	24854338
2293296	7565	1997-06-05	VYDAJ	PREVOD NA UCET	228	25753	 	MN	24854338
2293297	7565	1997-07-05	VYDAJ	PREVOD NA UCET	228	18989	 	MN	24854338
2293298	7565	1997-08-05	VYDAJ	PREVOD NA UCET	228	21195	 	MN	24854338
2293299	7565	1997-09-05	VYDAJ	PREVOD NA UCET	228	18990	 	MN	24854338
2293300	7565	1997-10-05	VYDAJ	PREVOD NA UCET	228	16396	 	MN	24854338
2293301	7565	1997-11-05	VYDAJ	PREVOD NA UCET	228	17594	 	MN	24854338
2293302	7565	1997-12-05	VYDAJ	PREVOD NA UCET	228	15181	 	MN	24854338
2293303	7565	1998-01-05	VYDAJ	PREVOD NA UCET	228	18467	 	MN	24854338
2293304	7565	1998-02-05	VYDAJ	PREVOD NA UCET	228	23758	 	MN	24854338
2293305	7565	1998-03-05	VYDAJ	PREVOD NA UCET	228	18865	 	MN	24854338
2293306	7565	1998-04-05	VYDAJ	PREVOD NA UCET	228	28065	 	MN	24854338
2293307	7565	1998-05-05	VYDAJ	PREVOD NA UCET	228	24501	 	MN	24854338
2293308	7565	1998-06-05	VYDAJ	PREVOD NA UCET	228	20315	 	MN	24854338
2293309	7565	1998-07-05	VYDAJ	PREVOD NA UCET	228	18823	 	MN	24854338
2293310	7565	1998-08-05	VYDAJ	PREVOD NA UCET	228	28031	 	MN	24854338
2293311	7565	1998-09-05	VYDAJ	PREVOD NA UCET	228	22345	 	MN	24854338
2293312	7565	1998-10-05	VYDAJ	PREVOD NA UCET	228	18440	 	MN	24854338
2293313	7565	1998-11-05	VYDAJ	PREVOD NA UCET	228	27646	 	MN	24854338
2293314	7565	1998-12-05	VYDAJ	PREVOD NA UCET	228	31206	 	MN	24854338
2293316	7565	1997-06-21	VYBER	VYBER	6373	26911	\N	\N	\N
2293331	7565	1996-12-11	VYDAJ	VYBER	2100	31131	\N	\N	\N
2293340	7565	1997-01-02	VYDAJ	VYBER	3600	34828	\N	\N	\N
2293341	7565	1997-01-05	VYDAJ	VYBER	6600	28228	\N	\N	\N
2293342	7565	1997-01-21	VYDAJ	VYBER	2400	22438	\N	\N	\N
2293343	7565	1997-01-10	VYDAJ	VYBER	4800	23200	\N	\N	\N
2293345	7565	1997-01-17	VYDAJ	VYBER	7500	24838	\N	\N	\N
2293350	7565	1998-01-18	VYDAJ	VYBER	1800	23907	\N	\N	\N
2293351	7565	1998-01-13	VYDAJ	VYBER	2100	25707	\N	\N	\N
2293352	7565	1996-10-11	VYDAJ	VYBER	8700	25237	\N	\N	\N
2293354	7565	1997-08-14	VYDAJ	VYBER	3600	27633	\N	\N	\N
2293357	7565	1997-06-14	VYDAJ	VYBER	11700	36184	\N	\N	\N
2293358	7565	1997-09-12	VYDAJ	VYBER	7800	30377	\N	\N	\N
2293359	7565	1997-04-09	VYDAJ	VYBER	2700	21821	\N	\N	\N
2293362	7565	1998-12-03	VYDAJ	VYBER	5700	31434	\N	\N	\N
2293372	7565	1996-08-31	VYDAJ	VYBER	15	39474	SLUZBY	\N	\N
2293373	7565	1996-09-30	VYDAJ	VYBER	15	34165	SLUZBY	\N	\N
2293374	7565	1996-10-31	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
2293375	7565	1996-11-30	VYDAJ	VYBER	15	33459	SLUZBY	\N	\N
2293376	7565	1996-12-31	VYDAJ	VYBER	15	38428	SLUZBY	\N	\N
2293377	7565	1997-01-31	VYDAJ	VYBER	15	20238	SLUZBY	\N	\N
2293378	7565	1997-02-28	VYDAJ	VYBER	15	24235	SLUZBY	\N	\N
2293379	7565	1997-03-31	VYDAJ	VYBER	15	24749	SLUZBY	\N	\N
2293380	7565	1997-04-30	VYDAJ	VYBER	15	24163	SLUZBY	\N	\N
2293381	7565	1997-05-31	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
2293382	7565	1997-06-30	VYDAJ	VYBER	15	19217	SLUZBY	\N	\N
2293383	7565	1997-07-31	VYDAJ	VYBER	15	21423	SLUZBY	\N	\N
2293384	7565	1997-08-31	VYDAJ	VYBER	15	19218	SLUZBY	\N	\N
2293385	7565	1997-09-30	VYDAJ	VYBER	15	16624	SLUZBY	\N	\N
2293386	7565	1997-10-31	VYDAJ	VYBER	15	17822	SLUZBY	\N	\N
2293387	7565	1997-11-30	VYDAJ	VYBER	15	15409	SLUZBY	\N	\N
2293388	7565	1997-12-31	VYDAJ	VYBER	15	18695	SLUZBY	\N	\N
2293389	7565	1998-01-31	VYDAJ	VYBER	15	23986	SLUZBY	\N	\N
2293390	7565	1998-02-28	VYDAJ	VYBER	15	19093	SLUZBY	\N	\N
2293391	7565	1998-03-31	VYDAJ	VYBER	15	28293	SLUZBY	\N	\N
2293392	7565	1998-04-30	VYDAJ	VYBER	15	24729	SLUZBY	\N	\N
2293393	7565	1998-05-31	VYDAJ	VYBER	15	20543	SLUZBY	\N	\N
2293394	7565	1998-06-30	VYDAJ	VYBER	15	19051	SLUZBY	\N	\N
2293395	7565	1998-07-31	VYDAJ	VYBER	15	28259	SLUZBY	\N	\N
2293396	7565	1998-08-31	VYDAJ	VYBER	15	22573	SLUZBY	\N	\N
2293397	7565	1998-09-30	VYDAJ	VYBER	15	18668	SLUZBY	\N	\N
2293398	7565	1998-10-31	VYDAJ	VYBER	15	27874	SLUZBY	\N	\N
2293399	7565	1998-11-30	VYDAJ	VYBER	15	37134	SLUZBY	\N	\N
2293400	7565	1996-05-02	PRIJEM	VKLAD	1700	21238	\N	\N	\N
2293401	7565	1996-06-01	VYDAJ	VYBER	7500	33063	\N	\N	\N
2293402	7565	1996-07-01	VYDAJ	VYBER	17700	44368	\N	\N	\N
2293403	7565	1996-07-31	VYDAJ	VYBER	17900	45915	\N	\N	\N
2293404	7565	1996-08-30	VYDAJ	VYBER	16600	39253	\N	\N	\N
2293405	7565	1996-09-29	VYDAJ	VYBER	14300	33984	\N	\N	\N
2293406	7565	1996-10-29	VYDAJ	VYBER	2400	32775	\N	\N	\N
2293407	7565	1996-11-28	VYDAJ	VYBER	8300	33316	\N	\N	\N
2293408	7565	1996-12-28	VYDAJ	VYBER	12400	38262	\N	\N	\N
2293409	7565	1997-01-27	VYDAJ	VYBER	2300	20138	\N	\N	\N
2293410	7565	1997-02-26	VYDAJ	VYBER	5400	24148	\N	\N	\N
2293411	7565	1997-03-28	VYDAJ	VYBER	9100	24645	\N	\N	\N
2293412	7565	1997-04-27	VYDAJ	VYBER	7300	24059	\N	\N	\N
2293413	7565	1997-05-27	VYDAJ	VYBER	6900	25873	\N	\N	\N
2293414	7565	1997-06-26	VYDAJ	VYBER	7800	19111	\N	\N	\N
2293415	7565	1997-07-26	VYDAJ	VYBER	7800	21327	\N	\N	\N
2293416	7565	1997-08-25	VYDAJ	VYBER	8500	19133	\N	\N	\N
2293417	7565	1997-09-24	VYDAJ	VYBER	4000	16530	\N	\N	\N
2293418	7565	1997-10-24	VYDAJ	VYBER	8000	17737	\N	\N	\N
2293419	7565	1997-11-23	VYDAJ	VYBER	11600	15334	\N	\N	\N
2293420	7565	1997-12-23	VYDAJ	VYBER	15500	18614	\N	\N	\N
2293421	7565	1998-02-21	VYDAJ	VYBER	14100	18998	\N	\N	\N
2293422	7565	1998-04-22	VYDAJ	VYBER	12800	24605	\N	\N	\N
2293423	7565	1998-05-22	VYDAJ	VYBER	13400	20441	\N	\N	\N
2293424	7565	1998-06-21	VYDAJ	VYBER	20300	18949	\N	\N	\N
2293425	7565	1998-08-20	VYDAJ	VYBER	14900	22471	\N	\N	\N
2293426	7565	1998-09-19	VYDAJ	VYBER	13100	18585	\N	\N	\N
2293427	7565	1998-12-18	VYDAJ	VYBER	26500	23639	\N	\N	\N
2301460	7594	1996-02-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2301461	7594	1996-06-12	PRIJEM	VKLAD	35972	75804	\N	\N	\N
2301462	7594	1996-06-15	PRIJEM	VKLAD	43958	132088	\N	\N	\N
2301464	7594	1996-08-05	PRIJEM	VKLAD	16020	65295	\N	\N	\N
2301466	7594	1996-12-25	PRIJEM	VKLAD	31273	68754	\N	\N	\N
2301467	7594	1996-08-16	PRIJEM	VKLAD	15040	59911	\N	\N	\N
2301468	7594	1996-05-08	PRIJEM	VKLAD	38446	52046	\N	\N	\N
2301469	7594	1996-12-08	PRIJEM	VKLAD	42174	59040	\N	\N	\N
2301471	7594	1996-06-13	PRIJEM	VKLAD	48126	123930	\N	\N	\N
2301472	7594	1997-03-01	PRIJEM	VKLAD	41218	95287	\N	\N	\N
2301473	7594	1997-10-03	PRIJEM	VKLAD	20118	72996	\N	\N	\N
2301474	7594	1997-10-26	PRIJEM	VKLAD	33080	91788	\N	\N	\N
2301475	7594	1997-05-27	PRIJEM	VKLAD	18000	44022	\N	\N	\N
2301476	7594	1997-06-14	PRIJEM	VKLAD	24145	54583	\N	\N	\N
2301477	7594	1997-07-10	PRIJEM	VKLAD	28747	101164	\N	\N	\N
2301478	7594	1997-05-01	PRIJEM	VKLAD	41354	113294	\N	\N	\N
2301479	7594	1997-08-21	PRIJEM	VKLAD	7957	59914	\N	\N	\N
2301480	7594	1997-04-14	PRIJEM	VKLAD	28196	74208	\N	\N	\N
2301481	7594	1997-05-07	PRIJEM	VKLAD	15155	98484	\N	\N	\N
2301482	7594	1997-10-13	PRIJEM	VKLAD	8536	58708	\N	\N	\N
2301483	7594	1997-01-06	PRIJEM	VKLAD	23252	90011	\N	\N	\N
2301484	7594	1997-04-10	PRIJEM	VKLAD	36694	71124	\N	\N	\N
2301485	7594	1997-09-26	PRIJEM	VKLAD	9245	67813	\N	\N	\N
2301486	7594	1997-09-26	PRIJEM	VKLAD	23771	58568	\N	\N	\N
2301487	7594	1997-07-17	PRIJEM	VKLAD	11172	73724	\N	\N	\N
2301488	7594	1997-07-18	PRIJEM	VKLAD	25229	98953	\N	\N	\N
2301489	7594	1997-11-03	PRIJEM	VKLAD	16313	108360	\N	\N	\N
2301490	7594	1997-07-06	PRIJEM	VKLAD	44717	76164	\N	\N	\N
2301491	7594	1997-02-17	PRIJEM	VKLAD	40646	53947	\N	\N	\N
2301492	7594	1998-10-07	PRIJEM	VKLAD	16018	53916	\N	\N	\N
2301493	7594	1998-02-10	PRIJEM	VKLAD	47532	119818	\N	\N	\N
2301494	7594	1998-02-08	PRIJEM	VKLAD	36517	73633	\N	\N	\N
2301495	7594	1998-07-31	PRIJEM	VKLAD	8106	71938	\N	\N	\N
2301496	7594	1998-03-02	PRIJEM	VKLAD	6371	55204	\N	\N	\N
2301497	7594	1998-10-26	PRIJEM	VKLAD	49003	85976	\N	\N	\N
2301498	7594	1998-07-07	PRIJEM	VKLAD	34337	62779	\N	\N	\N
2301499	7594	1998-07-09	PRIJEM	VKLAD	29658	92437	\N	\N	\N
2301500	7594	1998-12-04	PRIJEM	VKLAD	30932	75600	\N	\N	\N
2301501	7594	1998-04-21	PRIJEM	VKLAD	5366	33753	\N	\N	\N
2301502	7594	1998-08-29	PRIJEM	VKLAD	49455	86911	\N	\N	\N
2301503	7594	1998-02-16	PRIJEM	VKLAD	11429	48651	\N	\N	\N
2301504	7594	1998-12-22	PRIJEM	VKLAD	8247	74048	\N	\N	\N
2301505	7594	1998-12-05	PRIJEM	VKLAD	38545	114145	\N	\N	\N
2301506	7594	1998-11-21	PRIJEM	VKLAD	9208	62125	\N	\N	\N
2301507	7594	1998-07-03	PRIJEM	VKLAD	19448	45142	\N	\N	\N
2301515	7594	1996-08-12	VYDAJ	VYBER	2300	56971	\N	\N	0
2301516	7594	1996-09-04	VYDAJ	VYBER	3100	57070	\N	\N	0
2301517	7594	1996-10-09	VYDAJ	VYBER	3000	26650	\N	\N	0
2301518	7594	1996-11-21	VYDAJ	VYBER	2900	18959	\N	\N	0
2301519	7594	1996-12-18	VYDAJ	VYBER	3000	40181	\N	\N	0
2301520	7594	1997-01-08	VYDAJ	VYBER	2000	88011	\N	\N	0
2301521	7594	1997-02-07	VYDAJ	VYBER	2500	17360	\N	\N	0
2301522	7594	1997-03-19	VYDAJ	VYBER	2400	55863	\N	\N	0
2301523	7594	1997-04-19	VYDAJ	VYBER	2500	71708	\N	\N	0
2301524	7594	1997-05-10	VYDAJ	VYBER	2100	95037	\N	\N	0
2301525	7594	1997-06-13	VYDAJ	VYBER	2500	30438	\N	\N	0
2301526	7594	1997-07-06	VYDAJ	VYBER	2400	73764	\N	\N	0
2301527	7594	1997-08-06	VYDAJ	VYBER	2200	92801	\N	\N	0
2301528	7594	1997-09-02	VYDAJ	VYBER	2900	43221	\N	\N	0
2301529	7594	1997-10-02	VYDAJ	VYBER	2500	52878	\N	\N	0
2301530	7594	1997-11-21	VYDAJ	VYBER	2800	45836	\N	\N	0
2301531	7594	1997-12-12	VYDAJ	PREVOD NA UCET	2718	27908	UVER	QR	61969953
2301532	7594	1998-01-12	VYDAJ	PREVOD NA UCET	2718	30791	UVER	QR	61969953
2301533	7594	1998-02-12	VYDAJ	PREVOD NA UCET	2718	58190	UVER	QR	61969953
2301534	7594	1998-03-12	VYDAJ	PREVOD NA UCET	2718	42174	UVER	QR	61969953
2301535	7594	1998-04-12	VYDAJ	PREVOD NA UCET	2718	30899	UVER	QR	61969953
2301536	7594	1998-05-12	VYDAJ	PREVOD NA UCET	2718	28045	UVER	QR	61969953
2301537	7594	1998-06-12	VYDAJ	PREVOD NA UCET	2718	25591	UVER	QR	61969953
2301538	7594	1998-07-12	VYDAJ	PREVOD NA UCET	2718	88162	UVER	QR	61969953
2301539	7594	1998-08-12	VYDAJ	PREVOD NA UCET	2718	48766	UVER	QR	61969953
2301540	7594	1998-09-12	VYDAJ	PREVOD NA UCET	2718	47969	UVER	QR	61969953
2301541	7594	1998-10-12	VYDAJ	PREVOD NA UCET	2718	37183	UVER	QR	61969953
2301542	7594	1998-11-12	VYDAJ	PREVOD NA UCET	2718	52917	UVER	QR	61969953
2301543	7594	1998-12-12	VYDAJ	PREVOD NA UCET	2718	89305	UVER	QR	61969953
2301551	7594	1996-08-12	VYDAJ	PREVOD NA UCET	2302	59271	SIPO	YZ	48485803
2301552	7594	1996-09-12	VYDAJ	PREVOD NA UCET	2302	51046	SIPO	YZ	48485803
2301553	7594	1996-10-12	VYDAJ	PREVOD NA UCET	2302	23001	SIPO	YZ	48485803
2301554	7594	1996-11-12	VYDAJ	PREVOD NA UCET	2302	22069	SIPO	YZ	48485803
2301555	7594	1996-12-12	VYDAJ	PREVOD NA UCET	2302	55391	SIPO	YZ	48485803
2301556	7594	1997-01-12	VYDAJ	PREVOD NA UCET	2302	21880	SIPO	YZ	48485803
2301557	7594	1997-02-12	VYDAJ	PREVOD NA UCET	2302	13511	SIPO	YZ	48485803
2301558	7594	1997-03-12	VYDAJ	PREVOD NA UCET	2302	89473	SIPO	YZ	48485803
2301559	7594	1997-04-12	VYDAJ	PREVOD NA UCET	2302	46012	SIPO	YZ	48485803
2301560	7594	1997-05-12	VYDAJ	PREVOD NA UCET	2302	58725	SIPO	YZ	48485803
2301561	7594	1997-06-12	VYDAJ	PREVOD NA UCET	2302	33148	SIPO	YZ	48485803
2301562	7594	1997-07-12	VYDAJ	PREVOD NA UCET	2302	62762	SIPO	YZ	48485803
2301563	7594	1997-08-12	VYDAJ	PREVOD NA UCET	2302	52167	SIPO	YZ	48485803
2301564	7594	1997-09-12	VYDAJ	PREVOD NA UCET	2302	34797	SIPO	YZ	48485803
2301778	7594	1998-07-31	VYDAJ	VYBER	15	72198	SLUZBY	\N	\N
2301565	7594	1997-10-12	VYDAJ	PREVOD NA UCET	2302	50382	SIPO	YZ	48485803
2301566	7594	1997-11-12	VYDAJ	PREVOD NA UCET	2302	48846	SIPO	YZ	48485803
2301567	7594	1997-12-12	VYDAJ	PREVOD NA UCET	2302	30626	SIPO	YZ	48485803
2301568	7594	1998-01-12	VYDAJ	PREVOD NA UCET	2302	28279	SIPO	YZ	48485803
2301569	7594	1998-02-12	VYDAJ	PREVOD NA UCET	2302	55888	SIPO	YZ	48485803
2301570	7594	1998-03-12	VYDAJ	PREVOD NA UCET	2302	39662	SIPO	YZ	48485803
2301571	7594	1998-04-12	VYDAJ	PREVOD NA UCET	2302	28597	SIPO	YZ	48485803
2301572	7594	1998-05-12	VYDAJ	PREVOD NA UCET	2302	25533	SIPO	YZ	48485803
2301573	7594	1998-06-12	VYDAJ	PREVOD NA UCET	2302	28519	SIPO	YZ	48485803
2301574	7594	1998-07-12	VYDAJ	PREVOD NA UCET	2302	85860	SIPO	YZ	48485803
2301575	7594	1998-08-12	VYDAJ	PREVOD NA UCET	2302	51484	SIPO	YZ	48485803
2301576	7594	1998-09-12	VYDAJ	PREVOD NA UCET	2302	50897	SIPO	YZ	48485803
2301577	7594	1998-10-12	VYDAJ	PREVOD NA UCET	2302	39901	SIPO	YZ	48485803
2301578	7594	1998-11-12	VYDAJ	PREVOD NA UCET	2302	55845	SIPO	YZ	48485803
2301579	7594	1998-12-12	VYDAJ	PREVOD NA UCET	2302	87003	SIPO	YZ	48485803
2301587	7594	1996-08-05	VYDAJ	PREVOD NA UCET	2165	63130	 	MN	40380853
2301588	7594	1996-09-05	VYDAJ	PREVOD NA UCET	2165	54905	 	MN	40380853
2301589	7594	1996-10-05	VYDAJ	PREVOD NA UCET	2165	29650	 	MN	40380853
2301590	7594	1996-11-05	VYDAJ	PREVOD NA UCET	2165	20918	 	MN	40380853
2301591	7594	1996-12-05	VYDAJ	PREVOD NA UCET	2165	16866	 	MN	40380853
2301592	7594	1997-01-05	VYDAJ	PREVOD NA UCET	2165	66759	 	MN	40380853
2301593	7594	1997-02-05	VYDAJ	PREVOD NA UCET	2165	19860	 	MN	40380853
2301594	7594	1997-03-05	VYDAJ	PREVOD NA UCET	2165	93122	 	MN	40380853
2301595	7594	1997-04-05	VYDAJ	PREVOD NA UCET	2165	35777	 	MN	40380853
2301596	7594	1997-05-05	VYDAJ	PREVOD NA UCET	2165	83329	 	MN	40380853
2301597	7594	1997-06-05	VYDAJ	PREVOD NA UCET	2165	42097	 	MN	40380853
2301598	7594	1997-07-05	VYDAJ	PREVOD NA UCET	2165	31447	 	MN	40380853
2301599	7594	1997-08-05	VYDAJ	PREVOD NA UCET	2165	95001	 	MN	40380853
2301600	7594	1997-09-05	VYDAJ	PREVOD NA UCET	2165	41056	 	MN	40380853
2301601	7594	1997-10-05	VYDAJ	PREVOD NA UCET	2165	70831	 	MN	40380853
2301602	7594	1997-11-05	VYDAJ	PREVOD NA UCET	2165	62195	 	MN	40380853
2301603	7594	1997-12-05	VYDAJ	PREVOD NA UCET	2165	30375	 	MN	40380853
2301604	7594	1998-01-05	VYDAJ	PREVOD NA UCET	2165	22356	 	MN	40380853
2301605	7594	1998-02-05	VYDAJ	PREVOD NA UCET	2165	37116	 	MN	40380853
2301606	7594	1998-03-05	VYDAJ	PREVOD NA UCET	2165	53039	 	MN	40380853
2301607	7594	1998-04-05	VYDAJ	PREVOD NA UCET	2165	37664	 	MN	40380853
2301608	7594	1998-05-05	VYDAJ	PREVOD NA UCET	2165	31710	 	MN	40380853
2301609	7594	1998-06-05	VYDAJ	PREVOD NA UCET	2165	32168	 	MN	40380853
2301610	7594	1998-07-05	VYDAJ	PREVOD NA UCET	2165	45177	 	MN	40380853
2301611	7594	1998-08-05	VYDAJ	PREVOD NA UCET	2165	55133	 	MN	40380853
2301612	7594	1998-09-05	VYDAJ	PREVOD NA UCET	2165	60246	 	MN	40380853
2301613	7594	1998-10-05	VYDAJ	PREVOD NA UCET	2165	37898	 	MN	40380853
2301614	7594	1998-11-05	VYDAJ	PREVOD NA UCET	2165	59494	 	MN	40380853
2301615	7594	1998-12-05	VYDAJ	PREVOD NA UCET	2165	111980	 	MN	40380853
2301623	7594	1996-08-09	VYDAJ	PREVOD NA UCET	1347	61783	POJISTNE	WX	62343466
2301624	7594	1996-09-09	VYDAJ	PREVOD NA UCET	1347	53558	POJISTNE	WX	62343466
2301625	7594	1996-10-09	VYDAJ	PREVOD NA UCET	1347	25303	POJISTNE	WX	62343466
2301626	7594	1996-11-09	VYDAJ	PREVOD NA UCET	1347	19571	POJISTNE	WX	62343466
2301627	7594	1996-12-09	VYDAJ	PREVOD NA UCET	1347	57693	POJISTNE	WX	62343466
2301628	7594	1997-01-09	VYDAJ	PREVOD NA UCET	1347	75864	POJISTNE	WX	62343466
2301629	7594	1997-02-09	VYDAJ	PREVOD NA UCET	1347	16013	POJISTNE	WX	62343466
2301630	7594	1997-03-09	VYDAJ	PREVOD NA UCET	1347	91775	POJISTNE	WX	62343466
2301631	7594	1997-04-09	VYDAJ	PREVOD NA UCET	1347	34430	POJISTNE	WX	62343466
2301632	7594	1997-05-09	VYDAJ	PREVOD NA UCET	1347	97137	POJISTNE	WX	62343466
2301633	7594	1997-06-09	VYDAJ	PREVOD NA UCET	1347	40750	POJISTNE	WX	62343466
2301634	7594	1997-07-09	VYDAJ	PREVOD NA UCET	1347	72417	POJISTNE	WX	62343466
2301635	7594	1997-08-09	VYDAJ	PREVOD NA UCET	1347	83369	POJISTNE	WX	62343466
2301636	7594	1997-09-09	VYDAJ	PREVOD NA UCET	1347	37309	POJISTNE	WX	62343466
2301637	7594	1997-10-09	VYDAJ	PREVOD NA UCET	1347	52684	POJISTNE	WX	62343466
2301638	7594	1997-11-09	VYDAJ	PREVOD NA UCET	1347	51148	POJISTNE	WX	62343466
2301639	7594	1997-12-09	VYDAJ	PREVOD NA UCET	1347	35628	POJISTNE	WX	62343466
2301640	7594	1998-01-09	VYDAJ	PREVOD NA UCET	1347	33509	POJISTNE	WX	62343466
2301641	7594	1998-02-09	VYDAJ	PREVOD NA UCET	1347	72286	POJISTNE	WX	62343466
2301642	7594	1998-03-09	VYDAJ	PREVOD NA UCET	1347	44892	POJISTNE	WX	62343466
2301643	7594	1998-04-09	VYDAJ	PREVOD NA UCET	1347	33617	POJISTNE	WX	62343466
2301644	7594	1998-05-09	VYDAJ	PREVOD NA UCET	1347	30763	POJISTNE	WX	62343466
2301645	7594	1998-06-09	VYDAJ	PREVOD NA UCET	1347	30821	POJISTNE	WX	62343466
2301646	7594	1998-07-09	VYDAJ	PREVOD NA UCET	1347	91090	POJISTNE	WX	62343466
2301647	7594	1998-08-09	VYDAJ	PREVOD NA UCET	1347	53786	POJISTNE	WX	62343466
2301648	7594	1998-09-09	VYDAJ	PREVOD NA UCET	1347	53199	POJISTNE	WX	62343466
2301649	7594	1998-10-09	VYDAJ	PREVOD NA UCET	1347	42203	POJISTNE	WX	62343466
2301650	7594	1998-11-09	VYDAJ	PREVOD NA UCET	1347	58147	POJISTNE	WX	62343466
2301651	7594	1998-12-09	VYDAJ	PREVOD NA UCET	1347	92233	POJISTNE	WX	62343466
2301659	7594	1996-08-12	VYDAJ	PREVOD NA UCET	210	61573	 	IJ	4607093
2301660	7594	1996-09-12	VYDAJ	PREVOD NA UCET	210	53348	 	IJ	4607093
2301661	7594	1996-10-12	VYDAJ	PREVOD NA UCET	210	22791	 	IJ	4607093
2301662	7594	1996-11-12	VYDAJ	PREVOD NA UCET	210	21859	 	IJ	4607093
2301663	7594	1996-12-12	VYDAJ	PREVOD NA UCET	210	43181	 	IJ	4607093
2301664	7594	1997-01-12	VYDAJ	PREVOD NA UCET	210	24182	 	IJ	4607093
2301665	7594	1997-02-12	VYDAJ	PREVOD NA UCET	210	13301	 	IJ	4607093
2301666	7594	1997-03-12	VYDAJ	PREVOD NA UCET	210	58263	 	IJ	4607093
2301667	7594	1997-04-12	VYDAJ	PREVOD NA UCET	210	48314	 	IJ	4607093
2301668	7594	1997-05-12	VYDAJ	PREVOD NA UCET	210	61027	 	IJ	4607093
2301669	7594	1997-06-12	VYDAJ	PREVOD NA UCET	210	32938	 	IJ	4607093
2301670	7594	1997-07-12	VYDAJ	PREVOD NA UCET	210	62552	 	IJ	4607093
2301671	7594	1997-08-12	VYDAJ	PREVOD NA UCET	210	51957	 	IJ	4607093
2301672	7594	1997-09-12	VYDAJ	PREVOD NA UCET	210	37099	 	IJ	4607093
2301673	7594	1997-10-12	VYDAJ	PREVOD NA UCET	210	50172	 	IJ	4607093
2301674	7594	1997-11-12	VYDAJ	PREVOD NA UCET	210	48636	 	IJ	4607093
2301675	7594	1997-12-12	VYDAJ	PREVOD NA UCET	210	27698	 	IJ	4607093
2301676	7594	1998-01-12	VYDAJ	PREVOD NA UCET	210	30581	 	IJ	4607093
2301677	7594	1998-02-12	VYDAJ	PREVOD NA UCET	210	60908	 	IJ	4607093
2301678	7594	1998-03-12	VYDAJ	PREVOD NA UCET	210	41964	 	IJ	4607093
2301679	7594	1998-04-12	VYDAJ	PREVOD NA UCET	210	28387	 	IJ	4607093
2301680	7594	1998-05-12	VYDAJ	PREVOD NA UCET	210	27835	 	IJ	4607093
2301681	7594	1998-06-12	VYDAJ	PREVOD NA UCET	210	28309	 	IJ	4607093
2301682	7594	1998-07-12	VYDAJ	PREVOD NA UCET	210	90880	 	IJ	4607093
2301683	7594	1998-08-12	VYDAJ	PREVOD NA UCET	210	48556	 	IJ	4607093
2301684	7594	1998-09-12	VYDAJ	PREVOD NA UCET	210	50687	 	IJ	4607093
2301685	7594	1998-10-12	VYDAJ	PREVOD NA UCET	210	36973	 	IJ	4607093
2301686	7594	1998-11-12	VYDAJ	PREVOD NA UCET	210	55635	 	IJ	4607093
2301687	7594	1998-12-12	VYDAJ	PREVOD NA UCET	210	92023	 	IJ	4607093
2301690	7594	1997-03-30	VYBER	VYBER	18169	37694	\N	\N	\N
2301691	7594	1997-08-29	VYBER	VYBER	14060	45854	\N	\N	\N
2301692	7594	1997-08-09	VYBER	VYBER	8085	84716	\N	\N	\N
2301693	7594	1997-06-19	VYBER	VYBER	14824	39759	\N	\N	\N
2301695	7594	1997-01-10	VYBER	VYBER	21472	54392	\N	\N	\N
2301696	7594	1997-05-20	VYBER	VYBER	17403	33222	\N	\N	\N
2301697	7594	1998-12-23	VYBER	VYBER	21112	52936	\N	\N	\N
2301699	7594	1998-09-18	VYBER	VYBER	6210	41759	\N	\N	\N
2301700	7594	1998-12-24	VYBER	VYBER	6406	33330	\N	\N	\N
2301701	7594	1998-07-06	VYBER	VYBER	16735	28442	\N	\N	\N
2301703	7594	1998-02-15	VYBER	VYBER	18666	37222	\N	\N	\N
2301704	7594	1998-10-07	VYBER	VYBER	10366	43550	\N	\N	\N
2301705	7594	1998-07-20	VYBER	VYBER	22028	63832	\N	\N	\N
2301706	7594	1998-12-18	VYBER	VYBER	18802	68201	\N	\N	\N
2301711	7594	1996-12-24	VYDAJ	VYBER	2700	37481	\N	\N	\N
2301712	7594	1997-12-10	VYDAJ	VYBER	2700	32928	\N	\N	\N
2301713	7594	1998-12-18	VYDAJ	VYBER	2400	65801	\N	\N	\N
2301720	7594	1997-01-08	VYDAJ	VYBER	4800	83211	\N	\N	\N
2301721	7594	1997-01-09	VYDAJ	VYBER	6000	77211	\N	\N	\N
2301722	7594	1997-01-10	VYDAJ	VYBER	8100	46292	\N	\N	\N
2301723	7594	1997-01-10	VYDAJ	VYBER	5100	41192	\N	\N	\N
2301724	7594	1997-01-10	VYDAJ	VYBER	8100	33092	\N	\N	\N
2301726	7594	1998-01-15	VYDAJ	VYBER	1800	26479	\N	\N	\N
2301733	7594	1996-10-05	VYDAJ	VYBER	4800	31815	\N	\N	\N
2301735	7594	1997-08-05	VYDAJ	VYBER	2100	97166	\N	\N	\N
2301736	7594	1997-12-05	VYDAJ	VYBER	13500	32540	\N	\N	\N
2301737	7594	1997-06-21	VYDAJ	VYBER	6300	33459	\N	\N	\N
2301738	7594	1997-05-20	VYDAJ	VYBER	7200	26022	\N	\N	\N
2301739	7594	1997-09-26	VYDAJ	VYBER	12600	55213	\N	\N	\N
2301740	7594	1997-05-16	VYDAJ	VYBER	8100	50625	\N	\N	\N
2301741	7594	1998-09-08	VYDAJ	VYBER	5700	54546	\N	\N	\N
2301743	7594	1998-08-17	VYDAJ	VYBER	11100	37456	\N	\N	\N
2301745	7594	1998-12-23	VYDAJ	VYBER	13200	39736	\N	\N	\N
2301746	7594	1998-01-01	VYDAJ	VYBER	3300	24521	\N	\N	\N
2301755	7594	1996-08-31	VYDAJ	VYBER	15	60170	SLUZBY	\N	\N
2301756	7594	1996-09-30	VYDAJ	VYBER	15	36615	SLUZBY	\N	\N
2301757	7594	1996-10-31	VYDAJ	VYBER	15	23083	SLUZBY	\N	\N
2301758	7594	1996-11-30	VYDAJ	VYBER	15	19031	SLUZBY	\N	\N
2301759	7594	1996-12-31	VYDAJ	VYBER	15	68924	SLUZBY	\N	\N
2301760	7594	1997-01-31	VYDAJ	VYBER	15	22025	SLUZBY	\N	\N
2301761	7594	1997-02-28	VYDAJ	VYBER	15	54069	SLUZBY	\N	\N
2301762	7594	1997-03-31	VYDAJ	VYBER	15	37942	SLUZBY	\N	\N
2301763	7594	1997-04-30	VYDAJ	VYBER	15	71940	SLUZBY	\N	\N
2301764	7594	1997-05-31	VYDAJ	VYBER	15	44262	SLUZBY	\N	\N
2301765	7594	1997-06-30	VYDAJ	VYBER	15	33612	SLUZBY	\N	\N
2301766	7594	1997-07-31	VYDAJ	VYBER	15	99266	SLUZBY	\N	\N
2301767	7594	1997-08-31	VYDAJ	VYBER	15	46121	SLUZBY	\N	\N
2301768	7594	1997-09-30	VYDAJ	VYBER	15	55378	SLUZBY	\N	\N
2301769	7594	1997-10-31	VYDAJ	VYBER	15	92047	SLUZBY	\N	\N
2301770	7594	1997-11-30	VYDAJ	VYBER	15	46040	SLUZBY	\N	\N
2301771	7594	1997-12-31	VYDAJ	VYBER	15	27821	SLUZBY	\N	\N
2301772	7594	1998-01-31	VYDAJ	VYBER	15	26581	SLUZBY	\N	\N
2301773	7594	1998-02-28	VYDAJ	VYBER	15	48833	SLUZBY	\N	\N
2301774	7594	1998-03-31	VYDAJ	VYBER	15	39829	SLUZBY	\N	\N
2301775	7594	1998-04-30	VYDAJ	VYBER	15	33875	SLUZBY	\N	\N
2301776	7594	1998-05-31	VYDAJ	VYBER	15	25633	SLUZBY	\N	\N
2301777	7594	1998-06-30	VYDAJ	VYBER	15	25694	SLUZBY	\N	\N
2301779	7594	1998-08-31	VYDAJ	VYBER	15	87111	SLUZBY	\N	\N
2301780	7594	1998-09-30	VYDAJ	VYBER	15	41963	SLUZBY	\N	\N
2301781	7594	1998-10-31	VYDAJ	VYBER	15	86159	SLUZBY	\N	\N
2301782	7594	1998-11-30	VYDAJ	VYBER	15	62368	SLUZBY	\N	\N
2301783	7594	1996-04-16	PRIJEM	VKLAD	12600	13600	\N	\N	\N
2301784	7594	1996-05-16	VYDAJ	VYBER	12300	39746	\N	\N	\N
2301785	7594	1996-06-13	VYDAJ	VYBER	35800	88130	\N	\N	\N
2301786	7594	1996-06-15	VYDAJ	VYBER	24600	107488	\N	\N	\N
2301787	7594	1996-06-15	VYDAJ	VYBER	41300	66188	\N	\N	\N
2301788	7594	1996-07-15	VYDAJ	VYBER	17700	48827	\N	\N	\N
2301789	7594	1996-08-14	VYDAJ	VYBER	12100	44871	\N	\N	\N
2301790	7594	1996-09-13	VYDAJ	VYBER	14600	36446	\N	\N	\N
2301791	7594	1996-10-13	PRIJEM	VKLAD	200	22991	\N	\N	\N
2301792	7594	1996-11-12	PRIJEM	VKLAD	4800	24371	\N	\N	\N
2301793	7594	1996-12-12	VYDAJ	VYBER	12000	43391	\N	\N	\N
2301794	7594	1997-01-11	VYDAJ	VYBER	8700	24392	\N	\N	\N
2301795	7594	1997-02-10	VYDAJ	VYBER	200	15813	\N	\N	\N
2301796	7594	1997-03-12	VYDAJ	VYBER	31000	58473	\N	\N	\N
2301797	7594	1997-04-11	VYDAJ	VYBER	22600	48524	\N	\N	\N
2301798	7594	1997-05-01	VYDAJ	VYBER	27800	85494	\N	\N	\N
2301799	7594	1997-05-11	VYDAJ	VYBER	33800	61237	\N	\N	\N
2301800	7594	1997-06-10	VYDAJ	VYBER	5300	35450	\N	\N	\N
2301801	7594	1997-07-10	VYDAJ	VYBER	36100	65064	\N	\N	\N
2301802	7594	1997-08-09	VYDAJ	VYBER	28900	54469	\N	\N	\N
2301803	7594	1997-09-08	VYDAJ	VYBER	2400	38656	\N	\N	\N
2301804	7594	1997-10-08	VYDAJ	VYBER	16800	54031	\N	\N	\N
2301805	7594	1997-11-03	VYDAJ	VYBER	44000	64360	\N	\N	\N
2301806	7594	1997-11-07	VYDAJ	VYBER	9700	52495	\N	\N	\N
2301807	7594	1997-12-07	PRIJEM	VKLAD	6600	36975	\N	\N	\N
2301808	7594	1998-01-06	PRIJEM	VKLAD	12500	34856	\N	\N	\N
2301809	7594	1998-02-05	PRIJEM	VKLAD	12700	39281	\N	\N	\N
2301810	7594	1998-02-10	VYDAJ	VYBER	58700	61118	\N	\N	\N
2301811	7594	1998-03-07	VYDAJ	VYBER	6800	46239	\N	\N	\N
2301812	7594	1998-04-06	VYDAJ	VYBER	2700	34964	\N	\N	\N
2301813	7594	1998-05-06	PRIJEM	VKLAD	400	32110	\N	\N	\N
2301814	7594	1998-06-05	PRIJEM	VKLAD	8700	34333	\N	\N	\N
2301815	7594	1998-07-05	PRIJEM	VKLAD	2200	47342	\N	\N	\N
2301816	7594	1998-08-04	VYDAJ	VYBER	14900	57298	\N	\N	\N
2301817	7594	1998-09-03	VYDAJ	VYBER	24700	62411	\N	\N	\N
2301818	7594	1998-10-03	VYDAJ	VYBER	1900	40063	\N	\N	\N
2301819	7594	1998-11-02	VYDAJ	VYBER	24500	61659	\N	\N	\N
2301820	7594	1998-12-02	VYDAJ	VYBER	17700	44668	\N	\N	\N
2301821	7594	1998-12-05	VYDAJ	VYBER	18400	93580	\N	\N	\N
2304714	7606	1995-03-15	PRIJEM	VKLAD	400	400	\N	\N	\N
2304715	7606	1995-03-16	PRIJEM	VKLAD	8545	8945	\N	\N	\N
2304716	7606	1995-10-16	PRIJEM	VKLAD	27379	48428	\N	\N	\N
2304717	7606	1995-08-01	PRIJEM	VKLAD	42828	128539	\N	\N	\N
2304718	7606	1995-11-27	PRIJEM	VKLAD	32820	84005	\N	\N	\N
2304719	7606	1995-12-29	PRIJEM	VKLAD	18778	94101	\N	\N	\N
2304720	7606	1995-12-04	PRIJEM	VKLAD	14233	77798	\N	\N	\N
2304721	7606	1995-12-11	PRIJEM	VKLAD	12269	78521	\N	\N	\N
2304722	7606	1995-07-05	PRIJEM	VKLAD	7612	32057	\N	\N	\N
2304723	7606	1995-07-11	PRIJEM	VKLAD	15370	43711	\N	\N	\N
2304724	7606	1995-08-09	PRIJEM	VKLAD	14718	71833	\N	\N	\N
2304725	7606	1995-05-13	PRIJEM	VKLAD	27053	50942	\N	\N	\N
2304727	7606	1995-11-01	PRIJEM	VKLAD	20140	112520	\N	\N	\N
2304728	7606	1995-03-28	PRIJEM	VKLAD	45205	69001	\N	\N	\N
2304729	7606	1995-07-07	PRIJEM	VKLAD	9508	31441	\N	\N	\N
2304730	7606	1995-07-12	PRIJEM	VKLAD	14143	57854	\N	\N	\N
2304731	7606	1995-11-12	PRIJEM	VKLAD	41546	79942	\N	\N	\N
2304732	7606	1995-03-31	PRIJEM	VKLAD	46829	115902	\N	\N	\N
2304733	7606	1995-03-21	PRIJEM	VKLAD	14851	23796	\N	\N	\N
2304734	7606	1995-06-02	PRIJEM	VKLAD	23778	57855	\N	\N	\N
2304735	7606	1995-12-10	PRIJEM	VKLAD	7188	97252	\N	\N	\N
2304736	7606	1995-07-28	PRIJEM	VKLAD	42991	85545	\N	\N	\N
2304737	7606	1995-12-06	PRIJEM	VKLAD	28690	94332	\N	\N	\N
2304738	7606	1995-10-26	PRIJEM	VKLAD	43782	92210	\N	\N	\N
2304739	7606	1995-04-13	PRIJEM	VKLAD	11309	95611	\N	\N	\N
2304741	7606	1996-03-27	PRIJEM	VKLAD	16634	68128	\N	\N	\N
2304742	7606	1996-05-20	PRIJEM	VKLAD	11037	57027	\N	\N	\N
2304743	7606	1996-07-12	PRIJEM	VKLAD	27159	71017	\N	\N	\N
2304744	7606	1996-09-10	PRIJEM	VKLAD	28260	94781	\N	\N	\N
2304745	7606	1996-04-26	PRIJEM	VKLAD	24689	72951	\N	\N	\N
2304746	7606	1996-10-12	PRIJEM	VKLAD	28733	125777	\N	\N	\N
2304747	7606	1996-12-24	PRIJEM	VKLAD	8229	82463	\N	\N	\N
2304748	7606	1996-09-05	PRIJEM	VKLAD	9108	99845	\N	\N	\N
2304749	7606	1996-06-18	PRIJEM	VKLAD	43270	78265	\N	\N	\N
2304750	7606	1996-07-14	PRIJEM	VKLAD	24441	92260	\N	\N	\N
2304751	7606	1996-09-03	PRIJEM	VKLAD	45935	90737	\N	\N	\N
2304752	7606	1996-02-09	PRIJEM	VKLAD	45455	66991	\N	\N	\N
2304753	7606	1996-02-10	PRIJEM	VKLAD	28365	95356	\N	\N	\N
2304754	7606	1996-07-20	PRIJEM	VKLAD	7060	99320	\N	\N	\N
2304755	7606	1996-10-06	PRIJEM	VKLAD	40366	101312	\N	\N	\N
2304756	7606	1996-06-02	PRIJEM	VKLAD	48113	84187	\N	\N	\N
2304757	7606	1996-04-06	PRIJEM	VKLAD	32291	114828	\N	\N	\N
2304758	7606	1996-12-09	PRIJEM	VKLAD	42441	77432	\N	\N	\N
2304759	7606	1996-03-31	PRIJEM	VKLAD	44191	106570	\N	\N	\N
2304760	7606	1997-11-30	PRIJEM	VKLAD	28398	62336	\N	\N	\N
2304761	7606	1997-01-08	PRIJEM	VKLAD	5909	60209	\N	\N	\N
2304762	7606	1997-03-24	PRIJEM	VKLAD	28259	76428	\N	\N	\N
2304763	7606	1997-12-23	PRIJEM	VKLAD	24634	59534	\N	\N	\N
2304764	7606	1997-05-22	PRIJEM	VKLAD	16542	96125	\N	\N	\N
2304765	7606	1997-02-07	PRIJEM	VKLAD	7002	31465	\N	\N	\N
2304766	7606	1997-04-20	PRIJEM	VKLAD	18275	90186	\N	\N	\N
2304767	7606	1997-07-23	PRIJEM	VKLAD	26404	113746	\N	\N	\N
2304768	7606	1997-08-12	PRIJEM	VKLAD	47107	132635	\N	\N	\N
2304769	7606	1997-05-06	PRIJEM	VKLAD	8796	57838	\N	\N	\N
2304770	7606	1997-06-10	PRIJEM	VKLAD	49757	107545	\N	\N	\N
2304771	7606	1997-08-13	PRIJEM	VKLAD	42773	124310	\N	\N	\N
2304772	7606	1997-04-25	PRIJEM	VKLAD	41718	131904	\N	\N	\N
2304773	7606	1997-04-07	PRIJEM	VKLAD	25903	75109	\N	\N	\N
2304774	7606	1997-05-18	PRIJEM	VKLAD	29211	79583	\N	\N	\N
2304775	7606	1997-09-30	PRIJEM	VKLAD	42298	117779	\N	\N	\N
2304776	7606	1997-11-08	PRIJEM	VKLAD	32388	51674	\N	\N	\N
2304777	7606	1997-03-01	PRIJEM	VKLAD	31450	59819	\N	\N	\N
2304778	7606	1997-09-25	PRIJEM	VKLAD	29784	70659	\N	\N	\N
2304779	7606	1997-07-28	PRIJEM	VKLAD	8302	105548	\N	\N	\N
2304780	7606	1997-09-28	PRIJEM	VKLAD	49022	119681	\N	\N	\N
2304781	7606	1997-08-03	PRIJEM	VKLAD	24580	95652	\N	\N	\N
2304782	7606	1997-07-11	PRIJEM	VKLAD	43764	90540	\N	\N	\N
2304783	7606	1997-03-17	PRIJEM	VKLAD	6372	48169	\N	\N	\N
2304784	7606	1998-01-24	PRIJEM	VKLAD	10576	36668	\N	\N	\N
2304789	7606	1995-05-07	VYDAJ	VYBER	3000	23889	\N	\N	0
2304790	7606	1995-06-19	VYDAJ	VYBER	2700	24315	\N	\N	0
2304791	7606	1995-07-08	VYDAJ	VYBER	3100	28341	\N	\N	0
2304792	7606	1995-08-03	VYDAJ	VYBER	3200	67239	\N	\N	0
2304793	7606	1995-09-18	VYDAJ	VYBER	2600	30837	\N	\N	0
2304794	7606	1995-10-03	VYDAJ	VYBER	3900	27059	\N	\N	0
2304795	7606	1995-11-21	VYDAJ	VYBER	3700	51185	\N	\N	0
2304796	7606	1995-12-12	VYDAJ	PREVOD NA UCET	3198	75323	UVER	MN	80371361
2304797	7606	1996-01-12	VYDAJ	PREVOD NA UCET	3198	30618	UVER	MN	80371361
2304798	7606	1996-02-12	VYDAJ	PREVOD NA UCET	3198	92158	UVER	MN	80371361
2304799	7606	1996-03-12	VYDAJ	PREVOD NA UCET	3198	51494	UVER	MN	80371361
2304800	7606	1996-04-12	VYDAJ	PREVOD NA UCET	3198	48262	UVER	MN	80371361
2304801	7606	1996-05-12	VYDAJ	PREVOD NA UCET	3198	45990	UVER	MN	80371361
2304802	7606	1996-06-12	VYDAJ	PREVOD NA UCET	3198	34995	UVER	MN	80371361
2304803	7606	1996-07-12	VYDAJ	PREVOD NA UCET	3198	67819	UVER	MN	80371361
2304804	7606	1996-08-12	VYDAJ	PREVOD NA UCET	3198	64419	UVER	MN	80371361
2304805	7606	1996-09-12	VYDAJ	PREVOD NA UCET	3198	91583	UVER	MN	80371361
2304806	7606	1996-10-12	VYDAJ	PREVOD NA UCET	3198	122579	UVER	MN	80371361
2304807	7606	1996-11-12	VYDAJ	PREVOD NA UCET	3198	37352	UVER	MN	80371361
2304808	7606	1996-12-12	VYDAJ	PREVOD NA UCET	3198	74234	UVER	MN	80371361
2304809	7606	1997-01-12	VYDAJ	PREVOD NA UCET	3198	45611	UVER	MN	80371361
2304810	7606	1997-02-12	VYDAJ	PREVOD NA UCET	3198	28267	UVER	MN	80371361
2304811	7606	1997-03-12	VYDAJ	PREVOD NA UCET	3198	41797	UVER	MN	80371361
2304812	7606	1997-04-12	VYDAJ	PREVOD NA UCET	3198	71911	UVER	MN	80371361
2304813	7606	1997-05-12	VYDAJ	PREVOD NA UCET	3198	50372	UVER	MN	80371361
2304814	7606	1997-06-12	VYDAJ	PREVOD NA UCET	3198	104348	UVER	MN	80371361
2304815	7606	1997-07-12	VYDAJ	PREVOD NA UCET	3198	87342	UVER	MN	80371361
2304816	7606	1997-08-12	VYDAJ	PREVOD NA UCET	3198	81537	UVER	MN	80371361
2304817	7606	1997-09-12	VYDAJ	PREVOD NA UCET	3198	40875	UVER	MN	80371361
2304818	7606	1997-10-12	VYDAJ	PREVOD NA UCET	3198	28161	UVER	MN	80371361
2304819	7606	1997-11-12	VYDAJ	PREVOD NA UCET	3198	48476	UVER	MN	80371361
2304820	7606	1997-12-12	VYDAJ	PREVOD NA UCET	3198	40600	UVER	MN	80371361
2304821	7606	1998-01-12	VYDAJ	PREVOD NA UCET	3198	26092	UVER	MN	80371361
2304822	7606	1998-02-12	VYDAJ	PREVOD NA UCET	3198	22770	UVER	MN	80371361
2304823	7606	1998-03-12	VYDAJ	PREVOD NA UCET	3198	17042	UVER	MN	80371361
2304824	7606	1998-04-12	VYDAJ	PREVOD NA UCET	3198	19092	UVER	MN	80371361
2304825	7606	1998-05-12	VYDAJ	PREVOD NA UCET	3198	18650	UVER	MN	80371361
2304826	7606	1998-06-12	VYDAJ	PREVOD NA UCET	3198	21709	UVER	MN	80371361
2304827	7606	1998-07-12	VYDAJ	PREVOD NA UCET	3198	15610	UVER	MN	80371361
2304828	7606	1998-08-12	VYDAJ	PREVOD NA UCET	3198	21964	UVER	MN	80371361
2304829	7606	1998-09-12	VYDAJ	PREVOD NA UCET	3198	19843	UVER	MN	80371361
2304830	7606	1998-10-12	VYDAJ	PREVOD NA UCET	3198	17206	UVER	MN	80371361
2304831	7606	1998-11-12	VYDAJ	PREVOD NA UCET	3198	19773	UVER	MN	80371361
2304832	7606	1998-12-12	VYDAJ	PREVOD NA UCET	3198	25457	UVER	MN	80371361
2304837	7606	1995-05-06	VYDAJ	PREVOD NA UCET	4268	26889	SIPO	AB	99149345
2304838	7606	1995-06-06	VYDAJ	PREVOD NA UCET	4268	47731	SIPO	AB	99149345
2304839	7606	1995-07-06	VYDAJ	PREVOD NA UCET	4268	21933	SIPO	AB	99149345
2304840	7606	1995-08-06	VYDAJ	PREVOD NA UCET	4268	57115	SIPO	AB	99149345
2304841	7606	1995-09-06	VYDAJ	PREVOD NA UCET	4268	29337	SIPO	AB	99149345
2304842	7606	1995-10-06	VYDAJ	PREVOD NA UCET	4268	13849	SIPO	AB	99149345
2304843	7606	1995-11-06	VYDAJ	PREVOD NA UCET	4268	43196	SIPO	AB	99149345
2304844	7606	1995-12-06	VYDAJ	PREVOD NA UCET	4268	90064	SIPO	AB	99149345
2304845	7606	1996-01-06	VYDAJ	PREVOD NA UCET	4268	65603	SIPO	AB	99149345
2304846	7606	1996-02-06	VYDAJ	PREVOD NA UCET	4268	9836	SIPO	AB	99149345
2304847	7606	1996-03-06	VYDAJ	PREVOD NA UCET	4268	72992	SIPO	AB	99149345
2304848	7606	1996-04-06	VYDAJ	PREVOD NA UCET	4268	110560	SIPO	AB	99149345
2304849	7606	1996-05-06	VYDAJ	PREVOD NA UCET	4268	63088	SIPO	AB	99149345
2304850	7606	1996-06-06	VYDAJ	PREVOD NA UCET	4268	74063	SIPO	AB	99149345
2304851	7606	1996-07-06	VYDAJ	PREVOD NA UCET	4268	41258	SIPO	AB	99149345
2304852	7606	1996-08-06	VYDAJ	PREVOD NA UCET	4268	67617	SIPO	AB	99149345
2304853	7606	1996-09-06	VYDAJ	PREVOD NA UCET	4268	66521	SIPO	AB	99149345
2304854	7606	1996-10-06	VYDAJ	PREVOD NA UCET	4268	97044	SIPO	AB	99149345
2304855	7606	1996-11-06	VYDAJ	PREVOD NA UCET	4268	40549	SIPO	AB	99149345
2304856	7606	1996-12-06	VYDAJ	PREVOD NA UCET	4268	34991	SIPO	AB	99149345
2304857	7606	1997-01-06	VYDAJ	PREVOD NA UCET	4268	54300	SIPO	AB	99149345
2304858	7606	1997-02-06	VYDAJ	PREVOD NA UCET	4268	24463	SIPO	AB	99149345
2304859	7606	1997-03-06	VYDAJ	PREVOD NA UCET	4268	44995	SIPO	AB	99149345
2304860	7606	1997-04-06	VYDAJ	PREVOD NA UCET	4268	49206	SIPO	AB	99149345
2304861	7606	1997-05-06	VYDAJ	PREVOD NA UCET	4268	53570	SIPO	AB	99149345
2304862	7606	1997-06-06	VYDAJ	PREVOD NA UCET	4268	57788	SIPO	AB	99149345
2304863	7606	1997-07-06	VYDAJ	PREVOD NA UCET	4268	46776	SIPO	AB	99149345
2304864	7606	1997-08-06	VYDAJ	PREVOD NA UCET	4268	85528	SIPO	AB	99149345
2304865	7606	1997-09-06	VYDAJ	PREVOD NA UCET	4268	44073	SIPO	AB	99149345
2304866	7606	1997-10-06	VYDAJ	PREVOD NA UCET	4268	31359	SIPO	AB	99149345
2304867	7606	1997-11-06	VYDAJ	PREVOD NA UCET	4268	19286	SIPO	AB	99149345
2304868	7606	1997-12-06	VYDAJ	PREVOD NA UCET	4268	43798	SIPO	AB	99149345
2304869	7606	1998-01-06	VYDAJ	PREVOD NA UCET	4268	36790	SIPO	AB	99149345
2304870	7606	1998-02-06	VYDAJ	PREVOD NA UCET	4268	25968	SIPO	AB	99149345
2304871	7606	1998-03-06	VYDAJ	PREVOD NA UCET	4268	20240	SIPO	AB	99149345
2304872	7606	1998-04-06	VYDAJ	PREVOD NA UCET	4268	22290	SIPO	AB	99149345
2304873	7606	1998-05-06	VYDAJ	PREVOD NA UCET	4268	21848	SIPO	AB	99149345
2304874	7606	1998-06-06	VYDAJ	PREVOD NA UCET	4268	24907	SIPO	AB	99149345
2304875	7606	1998-07-06	VYDAJ	PREVOD NA UCET	4268	18808	SIPO	AB	99149345
2304876	7606	1998-08-06	VYDAJ	PREVOD NA UCET	4268	25162	SIPO	AB	99149345
2304877	7606	1998-09-06	VYDAJ	PREVOD NA UCET	4268	23040	SIPO	AB	99149345
2304878	7606	1998-10-06	VYDAJ	PREVOD NA UCET	4268	20404	SIPO	AB	99149345
2304879	7606	1998-11-06	VYDAJ	PREVOD NA UCET	4268	22970	SIPO	AB	99149345
2304880	7606	1998-12-06	VYDAJ	PREVOD NA UCET	4268	36155	SIPO	AB	99149345
2304885	7606	1995-05-05	VYDAJ	PREVOD NA UCET	5856	31157	 	CD	41400957
2304886	7606	1995-06-05	VYDAJ	PREVOD NA UCET	5856	51999	 	CD	41400957
2304887	7606	1995-07-05	VYDAJ	PREVOD NA UCET	5856	26201	 	CD	41400957
2304888	7606	1995-08-05	VYDAJ	PREVOD NA UCET	5856	61383	 	CD	41400957
2304889	7606	1995-09-05	VYDAJ	PREVOD NA UCET	5856	33605	 	CD	41400957
2304890	7606	1995-10-05	VYDAJ	PREVOD NA UCET	5856	21203	 	CD	41400957
2304891	7606	1995-11-05	VYDAJ	PREVOD NA UCET	5856	47464	 	CD	41400957
2304892	7606	1995-12-05	VYDAJ	PREVOD NA UCET	5856	65642	 	CD	41400957
2304893	7606	1996-01-05	VYDAJ	PREVOD NA UCET	5856	81571	 	CD	41400957
2304894	7606	1996-02-05	VYDAJ	PREVOD NA UCET	5856	14104	 	CD	41400957
2304895	7606	1996-03-05	VYDAJ	PREVOD NA UCET	5856	77260	 	CD	41400957
2304896	7606	1996-04-05	VYDAJ	PREVOD NA UCET	5856	82537	 	CD	41400957
2304897	7606	1996-05-05	VYDAJ	PREVOD NA UCET	5856	67356	 	CD	41400957
2304898	7606	1996-06-05	VYDAJ	PREVOD NA UCET	5856	78331	 	CD	41400957
2304899	7606	1996-07-05	VYDAJ	PREVOD NA UCET	5856	45526	 	CD	41400957
2304900	7606	1996-08-05	VYDAJ	PREVOD NA UCET	5856	93785	 	CD	41400957
2304901	7606	1996-09-05	VYDAJ	PREVOD NA UCET	5856	93989	 	CD	41400957
2304902	7606	1996-10-05	VYDAJ	PREVOD NA UCET	5856	60946	 	CD	41400957
2304903	7606	1996-11-05	VYDAJ	PREVOD NA UCET	5856	54717	 	CD	41400957
2304904	7606	1996-12-05	VYDAJ	PREVOD NA UCET	5856	39259	 	CD	41400957
2304905	7606	1997-01-05	VYDAJ	PREVOD NA UCET	5856	58568	 	CD	41400957
2304906	7606	1997-02-05	VYDAJ	PREVOD NA UCET	5856	28731	 	CD	41400957
2304907	7606	1997-03-05	VYDAJ	PREVOD NA UCET	5856	49263	 	CD	41400957
2304908	7606	1997-04-05	VYDAJ	PREVOD NA UCET	5856	53474	 	CD	41400957
2304909	7606	1997-05-05	VYDAJ	PREVOD NA UCET	5856	49042	 	CD	41400957
2304910	7606	1997-06-05	VYDAJ	PREVOD NA UCET	5856	62056	 	CD	41400957
2304911	7606	1997-07-05	VYDAJ	PREVOD NA UCET	5856	51044	 	CD	41400957
2304912	7606	1997-08-05	VYDAJ	PREVOD NA UCET	5856	89796	 	CD	41400957
2304913	7606	1997-09-05	VYDAJ	PREVOD NA UCET	5856	48341	 	CD	41400957
2304914	7606	1997-10-05	VYDAJ	PREVOD NA UCET	5856	35627	 	CD	41400957
2304915	7606	1997-11-05	VYDAJ	PREVOD NA UCET	5856	23554	 	CD	41400957
2304916	7606	1997-12-05	VYDAJ	PREVOD NA UCET	5856	56466	 	CD	41400957
2304917	7606	1998-01-05	VYDAJ	PREVOD NA UCET	5856	41058	 	CD	41400957
2304918	7606	1998-02-05	VYDAJ	PREVOD NA UCET	5856	30236	 	CD	41400957
2304919	7606	1998-03-05	VYDAJ	PREVOD NA UCET	5856	24508	 	CD	41400957
2304920	7606	1998-04-05	VYDAJ	PREVOD NA UCET	5856	26558	 	CD	41400957
2304921	7606	1998-05-05	VYDAJ	PREVOD NA UCET	5856	26116	 	CD	41400957
2304922	7606	1998-06-05	VYDAJ	PREVOD NA UCET	5856	29175	 	CD	41400957
2304923	7606	1998-07-05	VYDAJ	PREVOD NA UCET	5856	23076	 	CD	41400957
2304924	7606	1998-08-05	VYDAJ	PREVOD NA UCET	5856	29430	 	CD	41400957
2304925	7606	1998-09-05	VYDAJ	PREVOD NA UCET	5856	27308	 	CD	41400957
2304926	7606	1998-10-05	VYDAJ	PREVOD NA UCET	5856	24672	 	CD	41400957
2304927	7606	1998-11-05	VYDAJ	PREVOD NA UCET	5856	27238	 	CD	41400957
2304928	7606	1998-12-05	VYDAJ	PREVOD NA UCET	5856	40423	 	CD	41400957
2304929	7606	1995-11-16	VYBER	VYBER	13957	65985	\N	\N	\N
2304930	7606	1995-12-01	VYBER	VYBER	20706	63565	\N	\N	\N
2304931	7606	1995-10-06	VYBER	VYBER	3086	18117	\N	\N	\N
2304933	7606	1995-06-17	VYBER	VYBER	13616	27015	\N	\N	\N
2304934	7606	1995-05-03	VYBER	VYBER	23941	37013	\N	\N	\N
2304937	7606	1995-08-15	VYBER	VYBER	6073	39260	\N	\N	\N
2304940	7606	1996-04-03	VYBER	VYBER	18162	88393	\N	\N	\N
2304941	7606	1996-09-27	VYBER	VYBER	18095	73488	\N	\N	\N
2304942	7606	1996-01-10	VYBER	VYBER	12287	33816	\N	\N	\N
2304943	7606	1996-06-12	VYBER	VYBER	16670	38193	\N	\N	\N
2304944	7606	1996-06-25	VYBER	VYBER	2484	75781	\N	\N	\N
2304945	7606	1996-07-05	VYBER	VYBER	24634	51382	\N	\N	\N
2304946	7606	1996-08-18	VYBER	VYBER	19863	44556	\N	\N	\N
2304949	7606	1996-01-04	VYBER	VYBER	6990	87427	\N	\N	\N
2304950	7606	1996-03-27	VYBER	VYBER	6011	62117	\N	\N	\N
2304951	7606	1996-05-21	VYBER	VYBER	21141	35886	\N	\N	\N
2304953	7606	1997-11-25	VYBER	VYBER	17109	31367	\N	\N	\N
2304960	7606	1998-09-26	VYBER	VYBER	9605	30438	\N	\N	\N
2304961	7606	1998-07-01	VYBER	VYBER	8672	28932	\N	\N	\N
2304964	7606	1997-06-26	VYDAJ	VYBER	25200	69848	\N	\N	\N
2304966	7606	1995-12-04	VYDAJ	VYBER	6300	71498	\N	\N	\N
2304967	7606	1996-12-26	VYDAJ	VYBER	3900	78563	\N	\N	\N
2304968	7606	1997-12-15	VYDAJ	VYBER	5700	34900	\N	\N	\N
2304969	7606	1998-12-25	VYDAJ	VYBER	8400	35357	\N	\N	\N
2304977	7606	1996-01-13	VYDAJ	VYBER	7800	19818	\N	\N	\N
2304980	7606	1996-01-09	VYDAJ	VYBER	4200	46103	\N	\N	\N
2304981	7606	1996-01-13	VYDAJ	VYBER	3000	27618	\N	\N	\N
2304982	7606	1997-01-11	VYDAJ	VYBER	8700	48809	\N	\N	\N
2304983	7606	1997-01-27	VYDAJ	VYBER	8700	23411	\N	\N	\N
2304984	7606	1997-01-22	VYDAJ	VYBER	8400	32111	\N	\N	\N
2304985	7606	1997-01-01	VYDAJ	VYBER	1800	77024	\N	\N	\N
2304986	7606	1997-01-03	VYDAJ	VYBER	4200	64424	\N	\N	\N
2304987	7606	1997-01-08	VYDAJ	VYBER	2700	57509	\N	\N	\N
2304988	7606	1998-01-24	VYDAJ	VYBER	2100	34568	\N	\N	\N
2304989	7606	1998-01-11	VYDAJ	VYBER	7500	29290	\N	\N	\N
2304990	7606	1998-01-27	VYDAJ	VYBER	1500	33068	\N	\N	\N
2304994	7606	1995-08-09	VYDAJ	VYBER	12900	58933	\N	\N	\N
2304995	7606	1995-05-01	VYDAJ	VYBER	2400	60954	\N	\N	\N
2304997	7606	1995-11-19	VYDAJ	VYBER	11100	54885	\N	\N	\N
2304998	7606	1995-05-31	VYDAJ	VYBER	2700	34077	\N	\N	\N
2304999	7606	1996-01-05	VYDAJ	VYBER	11700	69871	\N	\N	\N
2305000	7606	1996-02-13	VYDAJ	VYBER	9300	82858	\N	\N	\N
2305002	7606	1996-11-06	VYDAJ	VYBER	9900	44817	\N	\N	\N
2305003	7606	1997-10-19	VYDAJ	VYBER	3600	24561	\N	\N	\N
2305004	7606	1997-01-21	VYDAJ	VYBER	5100	40511	\N	\N	\N
2305005	7606	1997-09-01	VYDAJ	VYBER	10500	54197	\N	\N	\N
2305006	7606	1997-06-19	VYDAJ	VYBER	4200	100148	\N	\N	\N
2305007	7606	1997-10-04	VYDAJ	VYBER	8100	41483	\N	\N	\N
2305008	7606	1997-06-21	VYDAJ	VYBER	5100	95048	\N	\N	\N
2305009	7606	1997-12-05	VYDAJ	VYBER	8400	48066	\N	\N	\N
2305010	7606	1997-08-17	VYDAJ	VYBER	8400	97410	\N	\N	\N
2305012	7606	1998-12-06	VYDAJ	VYBER	7500	28655	\N	\N	\N
2305013	7606	1998-09-02	VYDAJ	VYBER	6900	33164	\N	\N	\N
2305014	7606	1998-11-02	VYDAJ	VYBER	8400	33094	\N	\N	\N
2305021	7606	1995-04-30	VYDAJ	VYBER	15	63354	SLUZBY	\N	\N
2305022	7606	1995-05-31	VYDAJ	VYBER	15	36777	SLUZBY	\N	\N
2305023	7606	1995-06-30	VYDAJ	VYBER	15	24445	SLUZBY	\N	\N
2305024	7606	1995-07-31	VYDAJ	VYBER	15	85711	SLUZBY	\N	\N
2305025	7606	1995-08-31	VYDAJ	VYBER	15	39461	SLUZBY	\N	\N
2305026	7606	1995-09-30	VYDAJ	VYBER	15	30959	SLUZBY	\N	\N
2305027	7606	1995-10-31	VYDAJ	VYBER	15	92380	SLUZBY	\N	\N
2305028	7606	1995-11-30	VYDAJ	VYBER	15	84271	SLUZBY	\N	\N
2305029	7606	1995-12-31	VYDAJ	VYBER	15	94417	SLUZBY	\N	\N
2305030	7606	1996-01-31	VYDAJ	VYBER	15	19960	SLUZBY	\N	\N
2305031	7606	1996-02-29	VYDAJ	VYBER	15	83116	SLUZBY	\N	\N
2305032	7606	1996-03-31	VYDAJ	VYBER	15	106555	SLUZBY	\N	\N
2305033	7606	1996-04-30	VYDAJ	VYBER	15	73212	SLUZBY	\N	\N
2305034	7606	1996-05-31	VYDAJ	VYBER	15	36074	SLUZBY	\N	\N
2305035	7606	1996-06-30	VYDAJ	VYBER	15	76016	SLUZBY	\N	\N
2305036	7606	1996-07-31	VYDAJ	VYBER	15	99641	SLUZBY	\N	\N
2305037	7606	1996-08-31	VYDAJ	VYBER	15	44802	SLUZBY	\N	\N
2305038	7606	1996-09-30	VYDAJ	VYBER	15	73802	SLUZBY	\N	\N
2305039	7606	1996-10-31	VYDAJ	VYBER	15	68273	SLUZBY	\N	\N
2305040	7606	1996-11-30	VYDAJ	VYBER	15	37515	SLUZBY	\N	\N
2305041	7606	1996-12-31	VYDAJ	VYBER	15	78824	SLUZBY	\N	\N
2305042	7606	1997-01-31	VYDAJ	VYBER	15	23587	SLUZBY	\N	\N
2305043	7606	1997-02-28	VYDAJ	VYBER	15	28369	SLUZBY	\N	\N
2305044	7606	1997-03-31	VYDAJ	VYBER	15	76630	SLUZBY	\N	\N
2305045	7606	1997-04-30	VYDAJ	VYBER	15	68898	SLUZBY	\N	\N
2305046	7606	1997-05-31	VYDAJ	VYBER	15	96412	SLUZBY	\N	\N
2305047	7606	1997-06-30	VYDAJ	VYBER	15	70200	SLUZBY	\N	\N
2305048	7606	1997-07-31	VYDAJ	VYBER	15	105872	SLUZBY	\N	\N
2305049	7606	1997-08-31	VYDAJ	VYBER	15	97797	SLUZBY	\N	\N
2305050	7606	1997-09-30	VYDAJ	VYBER	15	49583	SLUZBY	\N	\N
2305051	7606	1997-10-31	VYDAJ	VYBER	15	29410	SLUZBY	\N	\N
2305052	7606	1997-11-30	VYDAJ	VYBER	15	62322	SLUZBY	\N	\N
2305053	7606	1997-12-31	VYDAJ	VYBER	15	46914	SLUZBY	\N	\N
2305054	7606	1998-01-31	VYDAJ	VYBER	15	36092	SLUZBY	\N	\N
2305055	7606	1998-02-28	VYDAJ	VYBER	15	30364	SLUZBY	\N	\N
2305056	7606	1998-03-31	VYDAJ	VYBER	15	32414	SLUZBY	\N	\N
2305057	7606	1998-04-30	VYDAJ	VYBER	15	31972	SLUZBY	\N	\N
2305058	7606	1998-05-31	VYDAJ	VYBER	15	35031	SLUZBY	\N	\N
2305059	7606	1998-06-30	VYDAJ	VYBER	15	37604	SLUZBY	\N	\N
2305060	7606	1998-07-31	VYDAJ	VYBER	15	35286	SLUZBY	\N	\N
2305061	7606	1998-08-31	VYDAJ	VYBER	15	40064	SLUZBY	\N	\N
2305062	7606	1998-09-30	VYDAJ	VYBER	15	30528	SLUZBY	\N	\N
2305063	7606	1998-10-31	VYDAJ	VYBER	15	41494	SLUZBY	\N	\N
2305064	7606	1998-11-30	VYDAJ	VYBER	15	46279	SLUZBY	\N	\N
2305065	7606	1995-03-31	VYDAJ	VYBER	31600	84302	\N	\N	\N
2305066	7606	1995-04-14	VYDAJ	VYBER	32600	63011	\N	\N	\N
2305067	7606	1995-05-14	VYDAJ	VYBER	14300	36642	\N	\N	\N
2305068	7606	1995-06-13	VYDAJ	VYBER	7100	40631	\N	\N	\N
2305069	7606	1995-07-13	VYDAJ	VYBER	15300	42554	\N	\N	\N
2305070	7606	1995-08-01	VYDAJ	VYBER	58100	70439	\N	\N	\N
2305071	7606	1995-08-12	VYDAJ	VYBER	13600	45333	\N	\N	\N
2305072	7606	1995-09-11	PRIJEM	VKLAD	4100	33437	\N	\N	\N
2305073	7606	1995-10-11	PRIJEM	VKLAD	7200	21049	\N	\N	\N
2305074	7606	1995-11-01	VYDAJ	VYBER	59200	53320	\N	\N	\N
2305075	7606	1995-11-10	VYDAJ	VYBER	4800	38396	\N	\N	\N
2305076	7606	1995-12-10	VYDAJ	VYBER	31000	66252	\N	\N	\N
2305077	7606	1996-01-09	VYDAJ	VYBER	15300	50303	\N	\N	\N
2305078	7606	1996-02-08	PRIJEM	VKLAD	11700	21536	\N	\N	\N
2305079	7606	1996-03-09	VYDAJ	VYBER	18300	54692	\N	\N	\N
2305080	7606	1996-04-06	VYDAJ	VYBER	43800	66760	\N	\N	\N
2305081	7606	1996-04-08	VYDAJ	VYBER	15300	51460	\N	\N	\N
2305082	7606	1996-05-08	VYDAJ	VYBER	13900	49188	\N	\N	\N
2305083	7606	1996-06-07	VYDAJ	VYBER	19200	54863	\N	\N	\N
2305084	7606	1996-07-07	PRIJEM	VKLAD	2600	43858	\N	\N	\N
2305085	7606	1996-08-06	VYDAJ	VYBER	21900	71885	\N	\N	\N
2305086	7606	1996-09-05	VYDAJ	VYBER	23200	70789	\N	\N	\N
2305087	7606	1996-10-05	VYDAJ	VYBER	7000	66802	\N	\N	\N
2305088	7606	1996-10-12	VYDAJ	VYBER	54600	67979	\N	\N	\N
2305089	7606	1996-11-04	VYDAJ	VYBER	7700	60573	\N	\N	\N
2305090	7606	1996-12-04	PRIJEM	VKLAD	7600	45115	\N	\N	\N
2305091	7606	1997-01-03	VYDAJ	VYBER	8400	68624	\N	\N	\N
2305092	7606	1997-02-02	PRIJEM	VKLAD	11000	34587	\N	\N	\N
2305093	7606	1997-03-04	VYDAJ	VYBER	4700	55119	\N	\N	\N
2305094	7606	1997-04-03	VYDAJ	VYBER	17300	59330	\N	\N	\N
2305095	7606	1997-04-25	VYDAJ	VYBER	63300	68604	\N	\N	\N
2305096	7606	1997-05-03	VYDAJ	VYBER	14000	54898	\N	\N	\N
2305097	7606	1997-06-02	VYDAJ	VYBER	28500	67912	\N	\N	\N
2305098	7606	1997-07-02	VYDAJ	VYBER	13300	56900	\N	\N	\N
2305099	7606	1997-07-23	VYDAJ	VYBER	16500	97246	\N	\N	\N
2305100	7606	1997-08-01	VYDAJ	VYBER	34800	71072	\N	\N	\N
2305101	7606	1997-08-12	VYDAJ	VYBER	47900	84735	\N	\N	\N
2305102	7606	1997-08-13	VYDAJ	VYBER	18500	105810	\N	\N	\N
2305103	7606	1997-08-31	VYDAJ	VYBER	33100	64697	\N	\N	\N
2305104	7606	1997-09-28	VYDAJ	VYBER	44200	75481	\N	\N	\N
2305105	7606	1997-09-30	VYDAJ	VYBER	57300	60698	\N	\N	\N
2305106	7606	1997-09-30	VYDAJ	VYBER	11100	49598	\N	\N	\N
2305107	7606	1997-10-30	PRIJEM	VKLAD	4700	29261	\N	\N	\N
2305108	7606	1997-11-29	PRIJEM	VKLAD	2400	33767	\N	\N	\N
2305109	7606	1997-12-29	VYDAJ	VYBER	12800	46734	\N	\N	\N
2305110	7606	1998-01-28	PRIJEM	VKLAD	2900	35968	\N	\N	\N
2305111	7606	1998-02-27	PRIJEM	VKLAD	7500	30270	\N	\N	\N
2305112	7606	1998-03-29	PRIJEM	VKLAD	15300	32342	\N	\N	\N
2305113	7606	1998-04-28	PRIJEM	VKLAD	12800	31892	\N	\N	\N
2305114	7606	1998-05-28	PRIJEM	VKLAD	16300	34950	\N	\N	\N
2305115	7606	1998-06-27	PRIJEM	VKLAD	15800	37509	\N	\N	\N
2305116	7606	1998-07-27	PRIJEM	VKLAD	19600	35210	\N	\N	\N
2305117	7606	1998-08-26	PRIJEM	VKLAD	18000	39964	\N	\N	\N
2305118	7606	1998-09-25	PRIJEM	VKLAD	20200	40043	\N	\N	\N
2305119	7606	1998-10-25	PRIJEM	VKLAD	24200	41406	\N	\N	\N
2305120	7606	1998-11-24	PRIJEM	VKLAD	26400	46173	\N	\N	\N
2305121	7606	1998-12-24	PRIJEM	VKLAD	18300	43757	\N	\N	\N
2305168	7607	1993-09-05	PRIJEM	VKLAD	600	600	\N	\N	\N
2305177	7607	1993-09-14	PRIJEM	VKLAD	14845	15445	\N	\N	\N
2305178	7607	1993-10-14	PRIJEM	VKLAD	14845	34027	\N	\N	\N
2305179	7607	1993-11-14	PRIJEM	VKLAD	14845	43281	\N	\N	\N
2305180	7607	1993-12-14	PRIJEM	VKLAD	22268	55912	\N	\N	\N
2305181	7607	1994-01-14	PRIJEM	VKLAD	14845	55568	\N	\N	\N
2305182	7607	1994-02-14	PRIJEM	VKLAD	14845	44989	\N	\N	\N
2305183	7607	1994-03-14	PRIJEM	VKLAD	14845	42979	\N	\N	\N
2305184	7607	1994-04-14	PRIJEM	VKLAD	14845	34675	\N	\N	\N
2305185	7607	1994-05-14	PRIJEM	VKLAD	14845	37516	\N	\N	\N
2305186	7607	1994-06-14	PRIJEM	VKLAD	22268	47089	\N	\N	\N
2305187	7607	1994-07-14	PRIJEM	VKLAD	14845	35878	\N	\N	\N
2305188	7607	1994-08-14	PRIJEM	VKLAD	14845	37638	\N	\N	\N
2305189	7607	1994-09-14	PRIJEM	VKLAD	14845	33053	\N	\N	\N
2305190	7607	1994-10-14	PRIJEM	VKLAD	14845	36780	\N	\N	\N
2305191	7607	1994-11-14	PRIJEM	VKLAD	14845	38826	\N	\N	\N
2305192	7607	1994-12-14	PRIJEM	VKLAD	22268	38531	\N	\N	\N
2305193	7607	1995-01-14	PRIJEM	VKLAD	14845	32933	\N	\N	\N
2305194	7607	1995-02-14	PRIJEM	VKLAD	14845	30225	\N	\N	\N
2305195	7607	1995-03-14	PRIJEM	VKLAD	14845	36043	\N	\N	\N
2305196	7607	1995-04-14	PRIJEM	VKLAD	14845	34177	\N	\N	\N
2305197	7607	1995-05-14	PRIJEM	VKLAD	14845	38188	\N	\N	\N
2305198	7607	1995-06-14	PRIJEM	VKLAD	22268	44159	\N	\N	\N
2305199	7607	1995-07-14	PRIJEM	VKLAD	14845	26678	\N	\N	\N
2305200	7607	1995-08-14	PRIJEM	VKLAD	14845	32461	\N	\N	\N
2305201	7607	1995-09-14	PRIJEM	VKLAD	14845	35565	\N	\N	\N
2305202	7607	1995-10-14	PRIJEM	VKLAD	14845	41084	\N	\N	\N
2305203	7607	1995-11-14	PRIJEM	VKLAD	14845	39219	\N	\N	\N
2305204	7607	1995-12-14	PRIJEM	VKLAD	22268	48092	\N	\N	\N
2305205	7607	1996-01-14	PRIJEM	VKLAD	14845	40476	\N	\N	\N
2305206	7607	1996-02-14	PRIJEM	VKLAD	14845	27937	\N	\N	\N
2305207	7607	1996-03-14	PRIJEM	VKLAD	14845	37127	\N	\N	\N
2305208	7607	1996-04-14	PRIJEM	VKLAD	14845	40649	\N	\N	\N
2305209	7607	1996-05-14	PRIJEM	VKLAD	14845	39780	\N	\N	\N
2305210	7607	1996-06-14	PRIJEM	VKLAD	22268	40754	\N	\N	\N
2305211	7607	1996-07-14	PRIJEM	VKLAD	14845	40875	\N	\N	\N
2305212	7607	1996-08-14	PRIJEM	VKLAD	14845	38903	\N	\N	\N
2305213	7607	1996-09-14	PRIJEM	VKLAD	14845	44033	\N	\N	\N
2305214	7607	1996-10-14	PRIJEM	VKLAD	14845	46079	\N	\N	\N
2305215	7607	1996-11-14	PRIJEM	VKLAD	14845	44627	\N	\N	\N
2305216	7607	1996-12-14	PRIJEM	VKLAD	22268	52019	\N	\N	\N
2305217	7607	1997-01-14	PRIJEM	VKLAD	14845	40530	\N	\N	\N
2305218	7607	1997-02-14	PRIJEM	VKLAD	14845	42246	\N	\N	\N
2305219	7607	1997-03-14	PRIJEM	VKLAD	14845	45784	\N	\N	\N
2305220	7607	1997-04-14	PRIJEM	VKLAD	14845	49662	\N	\N	\N
2305221	7607	1997-05-14	PRIJEM	VKLAD	14845	53151	\N	\N	\N
2305222	7607	1997-06-14	PRIJEM	VKLAD	22268	59168	\N	\N	\N
2305223	7607	1997-07-14	PRIJEM	VKLAD	14845	49359	\N	\N	\N
2305224	7607	1997-08-14	PRIJEM	VKLAD	14845	49935	\N	\N	\N
2305225	7607	1997-09-14	PRIJEM	VKLAD	14845	47217	\N	\N	\N
2305226	7607	1997-10-14	PRIJEM	VKLAD	14845	46931	\N	\N	\N
2305227	7607	1997-11-14	PRIJEM	VKLAD	14845	48015	\N	\N	\N
2305228	7607	1997-12-14	PRIJEM	VKLAD	22268	56190	\N	\N	\N
2305229	7607	1998-01-14	PRIJEM	VKLAD	14845	49733	\N	\N	\N
2305230	7607	1998-02-14	PRIJEM	VKLAD	14845	47407	\N	\N	\N
2305231	7607	1998-03-14	PRIJEM	VKLAD	14845	49111	\N	\N	\N
2305232	7607	1998-04-14	PRIJEM	VKLAD	14845	53812	\N	\N	\N
2305233	7607	1998-05-14	PRIJEM	VKLAD	14845	52617	\N	\N	\N
2305234	7607	1998-06-14	PRIJEM	VKLAD	22268	57952	\N	\N	\N
2305235	7607	1998-07-14	PRIJEM	VKLAD	14845	40752	\N	\N	\N
2305236	7607	1998-08-14	PRIJEM	VKLAD	14845	45703	\N	\N	\N
2305237	7607	1998-09-14	PRIJEM	VKLAD	14845	45787	\N	\N	\N
2305238	7607	1998-10-14	PRIJEM	VKLAD	14845	47075	\N	\N	\N
2305239	7607	1998-11-14	PRIJEM	VKLAD	14845	52365	\N	\N	\N
2305240	7607	1998-12-14	PRIJEM	VKLAD	22268	53826	\N	\N	\N
2305254	7607	1994-02-07	VYDAJ	PREVOD NA UCET	6020	31144	SIPO	KL	40659213
2305255	7607	1994-03-07	VYDAJ	PREVOD NA UCET	6020	29634	SIPO	KL	40659213
2305256	7607	1994-04-07	VYDAJ	PREVOD NA UCET	6020	19830	SIPO	KL	40659213
2305257	7607	1994-05-07	VYDAJ	PREVOD NA UCET	6020	23871	SIPO	KL	40659213
2305258	7607	1994-06-07	VYDAJ	PREVOD NA UCET	6020	25921	SIPO	KL	40659213
2305259	7607	1994-07-07	VYDAJ	PREVOD NA UCET	6020	22533	SIPO	KL	40659213
2305260	7607	1994-08-07	VYDAJ	PREVOD NA UCET	6020	22793	SIPO	KL	40659213
2305261	7607	1994-09-07	VYDAJ	PREVOD NA UCET	6020	18208	SIPO	KL	40659213
2305262	7607	1994-10-07	VYDAJ	PREVOD NA UCET	6020	23535	SIPO	KL	40659213
2305263	7607	1994-11-07	VYDAJ	PREVOD NA UCET	6020	23981	SIPO	KL	40659213
2305264	7607	1994-12-07	VYDAJ	PREVOD NA UCET	6020	21104	SIPO	KL	40659213
2305265	7607	1995-01-07	VYDAJ	PREVOD NA UCET	6020	21568	SIPO	KL	40659213
2305266	7607	1995-02-07	VYDAJ	PREVOD NA UCET	6020	15380	SIPO	KL	40659213
2305267	7607	1995-03-07	VYDAJ	PREVOD NA UCET	6020	22598	SIPO	KL	40659213
2305268	7607	1995-04-07	VYDAJ	PREVOD NA UCET	6020	20654	SIPO	KL	40659213
2305269	7607	1995-05-07	VYDAJ	PREVOD NA UCET	6020	24665	SIPO	KL	40659213
2305270	7607	1995-06-07	VYDAJ	PREVOD NA UCET	6020	23213	SIPO	KL	40659213
2305271	7607	1995-07-07	VYDAJ	PREVOD NA UCET	6020	13155	SIPO	KL	40659213
2305272	7607	1995-08-07	VYDAJ	PREVOD NA UCET	6020	18938	SIPO	KL	40659213
2305273	7607	1995-09-07	VYDAJ	PREVOD NA UCET	6020	22042	SIPO	KL	40659213
2305274	7607	1995-10-07	VYDAJ	PREVOD NA UCET	6020	27561	SIPO	KL	40659213
2305275	7607	1995-11-07	VYDAJ	PREVOD NA UCET	6020	25696	SIPO	KL	40659213
2305276	7607	1995-12-07	VYDAJ	PREVOD NA UCET	6020	27146	SIPO	KL	40659213
2305277	7607	1996-01-07	VYDAJ	PREVOD NA UCET	6020	26953	SIPO	KL	40659213
2305278	7607	1996-02-07	VYDAJ	PREVOD NA UCET	6020	17174	SIPO	KL	40659213
2305279	7607	1996-03-07	VYDAJ	PREVOD NA UCET	6020	23604	SIPO	KL	40659213
2305280	7607	1996-04-07	VYDAJ	PREVOD NA UCET	6020	27126	SIPO	KL	40659213
2305281	7607	1996-05-07	VYDAJ	PREVOD NA UCET	6020	26257	SIPO	KL	40659213
2305282	7607	1996-06-07	VYDAJ	PREVOD NA UCET	6020	19808	SIPO	KL	40659213
2305283	7607	1996-07-07	VYDAJ	PREVOD NA UCET	6020	27352	SIPO	KL	40659213
2305284	7607	1996-08-07	VYDAJ	PREVOD NA UCET	6020	25380	SIPO	KL	40659213
2305285	7607	1996-09-07	VYDAJ	PREVOD NA UCET	6020	30510	SIPO	KL	40659213
2305286	7607	1996-10-07	VYDAJ	PREVOD NA UCET	6020	32556	SIPO	KL	40659213
2305287	7607	1996-11-07	VYDAJ	PREVOD NA UCET	6020	31104	SIPO	KL	40659213
2305288	7607	1996-12-07	VYDAJ	PREVOD NA UCET	6020	31073	SIPO	KL	40659213
2305289	7607	1997-01-07	VYDAJ	PREVOD NA UCET	6020	32007	SIPO	KL	40659213
2305290	7607	1997-02-07	VYDAJ	PREVOD NA UCET	6020	28723	SIPO	KL	40659213
2305291	7607	1997-03-07	VYDAJ	PREVOD NA UCET	6020	32261	SIPO	KL	40659213
2305292	7607	1997-04-07	VYDAJ	PREVOD NA UCET	6020	36417	SIPO	KL	40659213
2305293	7607	1997-05-07	VYDAJ	PREVOD NA UCET	6020	38306	SIPO	KL	40659213
2305294	7607	1997-06-07	VYDAJ	PREVOD NA UCET	6020	36901	SIPO	KL	40659213
2305295	7607	1997-07-07	VYDAJ	PREVOD NA UCET	6020	34514	SIPO	KL	40659213
2305296	7607	1997-08-07	VYDAJ	PREVOD NA UCET	6020	35090	SIPO	KL	40659213
2305297	7607	1997-09-07	VYDAJ	PREVOD NA UCET	6020	34652	SIPO	KL	40659213
2305298	7607	1997-10-07	VYDAJ	PREVOD NA UCET	6020	33586	SIPO	KL	40659213
2305299	7607	1997-11-07	VYDAJ	PREVOD NA UCET	6020	36270	SIPO	KL	40659213
2305300	7607	1997-12-07	VYDAJ	PREVOD NA UCET	6020	42162	SIPO	KL	40659213
2305301	7607	1998-01-07	VYDAJ	PREVOD NA UCET	6020	40668	SIPO	KL	40659213
2305302	7607	1998-02-07	VYDAJ	PREVOD NA UCET	6020	33362	SIPO	KL	40659213
2305303	7607	1998-03-07	VYDAJ	PREVOD NA UCET	6020	41546	SIPO	KL	40659213
2305304	7607	1998-04-07	VYDAJ	PREVOD NA UCET	6020	43267	SIPO	KL	40659213
2305305	7607	1998-05-07	VYDAJ	PREVOD NA UCET	6020	41372	SIPO	KL	40659213
2305306	7607	1998-06-07	VYDAJ	PREVOD NA UCET	6020	45385	SIPO	KL	40659213
2305307	7607	1998-07-07	VYDAJ	PREVOD NA UCET	6020	19507	SIPO	KL	40659213
2305308	7607	1998-08-07	VYDAJ	PREVOD NA UCET	6020	34858	SIPO	KL	40659213
2305309	7607	1998-09-07	VYDAJ	PREVOD NA UCET	6020	39842	SIPO	KL	40659213
2305310	7607	1998-10-07	VYDAJ	PREVOD NA UCET	6020	38730	SIPO	KL	40659213
2305311	7607	1998-11-07	VYDAJ	PREVOD NA UCET	6020	41220	SIPO	KL	40659213
2305312	7607	1998-12-07	VYDAJ	PREVOD NA UCET	6020	41558	SIPO	KL	40659213
2305326	7607	1994-02-12	VYDAJ	VYBER	1000	30144	\N	\N	0
2305327	7607	1994-03-12	VYDAJ	VYBER	1500	28134	\N	\N	0
2305328	7607	1994-04-17	VYDAJ	VYBER	1400	33275	\N	\N	0
2305329	7607	1994-05-12	VYDAJ	VYBER	1200	22671	\N	\N	0
2305330	7607	1994-06-08	VYDAJ	VYBER	1100	24821	\N	\N	0
2305331	7607	1994-07-12	VYDAJ	VYBER	1500	21033	\N	\N	0
2305332	7607	1994-08-16	VYDAJ	VYBER	1600	36038	\N	\N	0
2305333	7607	1994-09-04	VYDAJ	VYBER	1500	24228	\N	\N	0
2305334	7607	1994-10-11	VYDAJ	VYBER	1600	21935	\N	\N	0
2305335	7607	1994-11-16	VYDAJ	VYBER	1400	37426	\N	\N	0
2305336	7607	1994-12-13	VYDAJ	VYBER	1000	16264	\N	\N	0
2305337	7607	1995-01-06	VYDAJ	VYBER	1400	27588	\N	\N	0
2305338	7607	1995-02-21	VYDAJ	VYBER	1100	29125	\N	\N	0
2305339	7607	1995-03-11	VYDAJ	VYBER	1400	21198	\N	\N	0
2305340	7607	1995-04-12	VYDAJ	PREVOD NA UCET	1322	19332	UVER	GH	90159475
2305341	7607	1995-05-12	VYDAJ	PREVOD NA UCET	1322	23343	UVER	GH	90159475
2305342	7607	1995-06-12	VYDAJ	PREVOD NA UCET	1322	21891	UVER	GH	90159475
2305343	7607	1995-07-12	VYDAJ	PREVOD NA UCET	1322	11833	UVER	GH	90159475
2305344	7607	1995-08-12	VYDAJ	PREVOD NA UCET	1322	17616	UVER	GH	90159475
2305345	7607	1995-09-12	VYDAJ	PREVOD NA UCET	1322	20720	UVER	GH	90159475
2305346	7607	1995-10-12	VYDAJ	PREVOD NA UCET	1322	26239	UVER	GH	90159475
2305347	7607	1995-11-12	VYDAJ	PREVOD NA UCET	1322	24374	UVER	GH	90159475
2305348	7607	1995-12-12	VYDAJ	PREVOD NA UCET	1322	25824	UVER	GH	90159475
2305349	7607	1996-01-12	VYDAJ	PREVOD NA UCET	1322	25631	UVER	GH	90159475
2305350	7607	1996-02-12	VYDAJ	PREVOD NA UCET	1322	13092	UVER	GH	90159475
2305351	7607	1996-03-12	VYDAJ	PREVOD NA UCET	1322	22282	UVER	GH	90159475
2305352	7607	1996-04-12	VYDAJ	PREVOD NA UCET	1322	25804	UVER	GH	90159475
2305353	7607	1996-05-12	VYDAJ	PREVOD NA UCET	1322	24935	UVER	GH	90159475
2305354	7607	1996-06-12	VYDAJ	PREVOD NA UCET	1322	18486	UVER	GH	90159475
2305355	7607	1996-07-12	VYDAJ	PREVOD NA UCET	1322	26030	UVER	GH	90159475
2305356	7607	1996-08-12	VYDAJ	PREVOD NA UCET	1322	24058	UVER	GH	90159475
2305357	7607	1996-09-12	VYDAJ	PREVOD NA UCET	1322	29188	UVER	GH	90159475
2305358	7607	1996-10-12	VYDAJ	PREVOD NA UCET	1322	31234	UVER	GH	90159475
2305359	7607	1996-11-12	VYDAJ	PREVOD NA UCET	1322	29782	UVER	GH	90159475
2305360	7607	1996-12-12	VYDAJ	PREVOD NA UCET	1322	29751	UVER	GH	90159475
2305361	7607	1997-01-12	VYDAJ	PREVOD NA UCET	1322	25685	UVER	GH	90159475
2305362	7607	1997-02-12	VYDAJ	PREVOD NA UCET	1322	27401	UVER	GH	90159475
2305363	7607	1997-03-12	VYDAJ	PREVOD NA UCET	1322	30939	UVER	GH	90159475
2305364	7607	1997-04-12	VYDAJ	VYBER	1600	34817	\N	\N	0
2305365	7607	1997-05-16	VYDAJ	VYBER	1300	51851	\N	\N	0
2305366	7607	1997-06-19	VYDAJ	VYBER	1500	41868	\N	\N	0
2305367	7607	1997-07-03	VYDAJ	VYBER	1500	40534	\N	\N	0
2305368	7607	1997-08-20	VYDAJ	VYBER	1100	41235	\N	\N	0
2305369	7607	1997-09-17	VYDAJ	VYBER	1200	42817	\N	\N	0
2305370	7607	1997-10-08	VYDAJ	VYBER	1500	32086	\N	\N	0
2305371	7607	1997-11-05	VYDAJ	VYBER	1300	42290	\N	\N	0
2305372	7607	1997-12-10	VYDAJ	VYBER	1200	40962	\N	\N	0
2305373	7607	1998-01-06	VYDAJ	VYBER	1300	49688	\N	\N	0
2305374	7607	1998-02-06	VYDAJ	VYBER	1400	39382	\N	\N	0
2305375	7607	1998-03-07	VYDAJ	VYBER	1400	40146	\N	\N	0
2305376	7607	1998-04-18	VYDAJ	VYBER	1200	47212	\N	\N	0
2305377	7607	1998-05-20	VYDAJ	VYBER	1400	51217	\N	\N	0
2305378	7607	1998-06-18	VYDAJ	VYBER	1200	53992	\N	\N	0
2305379	7607	1998-07-07	VYDAJ	VYBER	1100	25527	\N	\N	0
2305380	7607	1998-08-10	VYDAJ	VYBER	1000	33858	\N	\N	0
2305381	7607	1998-09-09	VYDAJ	VYBER	1400	30942	\N	\N	0
2305382	7607	1998-10-04	VYDAJ	VYBER	1200	44750	\N	\N	0
2305383	7607	1998-11-21	VYDAJ	VYBER	1000	47405	\N	\N	0
2305384	7607	1998-12-11	VYDAJ	VYBER	1500	31558	\N	\N	0
2305386	7607	1994-06-28	VYDAJ	VYBER	19680	27409	\N	\N	\N
2305387	7607	1995-06-20	VYDAJ	VYBER	28480	15679	\N	\N	\N
2305388	7607	1996-06-04	VYDAJ	VYBER	9280	25828	\N	\N	\N
2305389	7607	1997-06-17	VYDAJ	VYBER	6400	43368	\N	\N	\N
2305390	7607	1998-06-20	VYDAJ	VYBER	27520	26472	\N	\N	\N
2305393	7607	1995-01-25	VYDAJ	VYBER	7840	17653	\N	\N	\N
2305394	7607	1996-01-15	VYDAJ	VYBER	15360	25116	\N	\N	\N
2305395	7607	1997-01-09	VYDAJ	VYBER	1760	29047	\N	\N	\N
2305396	7607	1998-01-09	VYDAJ	VYBER	3680	36988	\N	\N	\N
2305398	7607	1994-12-10	VYDAJ	VYBER	3840	17264	\N	\N	\N
2305399	7607	1995-12-01	VYDAJ	VYBER	1280	33166	\N	\N	\N
2305400	7607	1996-12-15	VYDAJ	VYBER	4320	47699	\N	\N	\N
2305401	7607	1997-12-10	VYDAJ	VYBER	1440	39522	\N	\N	\N
2305402	7607	1998-12-15	VYDAJ	VYBER	800	53026	\N	\N	\N
2305409	7607	1994-01-26	VYDAJ	VYBER	600	54368	\N	\N	\N
2305410	7607	1994-01-25	VYDAJ	VYBER	600	54968	\N	\N	\N
2305414	7607	1994-01-30	VYDAJ	VYBER	1920	52448	\N	\N	\N
2305415	7607	1995-01-06	VYDAJ	VYBER	2160	28988	\N	\N	\N
2305416	7607	1995-01-16	VYDAJ	VYBER	1200	28613	\N	\N	\N
2305417	7607	1995-01-18	VYDAJ	VYBER	3120	25493	\N	\N	\N
2305418	7607	1995-01-13	VYDAJ	VYBER	3480	18088	\N	\N	\N
2305419	7607	1995-01-25	VYDAJ	VYBER	3240	14413	\N	\N	\N
2305420	7607	1995-01-15	VYDAJ	VYBER	3120	29813	\N	\N	\N
2305421	7607	1996-01-15	VYDAJ	VYBER	3120	21996	\N	\N	\N
2305422	7607	1996-01-23	VYDAJ	VYBER	960	25376	\N	\N	\N
2305423	7607	1996-01-30	VYDAJ	VYBER	2280	23096	\N	\N	\N
2305424	7607	1996-01-17	VYDAJ	VYBER	1080	20916	\N	\N	\N
2305425	7607	1996-01-01	VYDAJ	VYBER	3360	32973	\N	\N	\N
2305426	7607	1996-01-22	VYDAJ	VYBER	3480	17436	\N	\N	\N
2305427	7607	1997-01-22	VYDAJ	VYBER	840	38930	\N	\N	\N
2305428	7607	1997-01-11	VYDAJ	VYBER	2040	27007	\N	\N	\N
2305429	7607	1997-01-23	VYDAJ	VYBER	2640	36290	\N	\N	\N
2305430	7607	1997-01-15	VYDAJ	VYBER	960	39570	\N	\N	\N
2305431	7607	1997-01-24	VYDAJ	VYBER	1680	34610	\N	\N	\N
2305432	7607	1997-01-08	VYDAJ	VYBER	1200	30807	\N	\N	\N
2305433	7607	1998-01-05	VYDAJ	VYBER	2040	50988	\N	\N	\N
2305434	7607	1998-01-07	VYDAJ	VYBER	3000	46688	\N	\N	\N
2305435	7607	1998-01-30	VYDAJ	VYBER	1440	40613	\N	\N	\N
2305436	7607	1998-01-28	VYDAJ	VYBER	1200	42053	\N	\N	\N
2305437	7607	1998-01-04	VYDAJ	VYBER	3360	53028	\N	\N	\N
2305438	7607	1998-01-21	VYDAJ	VYBER	3240	43253	\N	\N	\N
2305444	7607	1994-11-18	VYDAJ	VYBER	4920	32506	\N	\N	\N
2305445	7607	1994-07-31	VYDAJ	VYBER	1680	34327	\N	\N	\N
2305446	7607	1994-04-06	VYDAJ	VYBER	5280	25850	\N	\N	\N
2305447	7607	1994-08-18	VYDAJ	VYBER	5040	30998	\N	\N	\N
2305448	7607	1994-03-27	VYDAJ	VYBER	2400	40579	\N	\N	\N
2305449	7607	1994-08-29	VYDAJ	VYBER	5280	25718	\N	\N	\N
2305450	7607	1995-04-06	VYDAJ	VYBER	2040	26674	\N	\N	\N
2305452	7607	1995-03-18	VYDAJ	VYBER	3240	32803	\N	\N	\N
2305453	7607	1995-06-01	VYDAJ	VYBER	2280	29233	\N	\N	\N
2305455	7607	1996-12-06	VYDAJ	VYBER	3480	37093	\N	\N	\N
2305456	7607	1996-02-09	VYDAJ	VYBER	2760	14414	\N	\N	\N
2305457	7607	1997-05-22	VYDAJ	VYBER	1800	42751	\N	\N	\N
2305458	7607	1997-09-24	VYDAJ	VYBER	3360	39457	\N	\N	\N
2305459	7607	1997-09-13	VYDAJ	VYBER	2280	32372	\N	\N	\N
2305460	7607	1997-01-02	VYDAJ	VYBER	2520	38027	\N	\N	\N
2305461	7607	1997-09-02	VYDAJ	VYBER	720	40672	\N	\N	\N
2305462	7607	1998-01-19	VYDAJ	VYBER	720	46493	\N	\N	\N
2305463	7607	1998-01-15	VYDAJ	VYBER	2520	47213	\N	\N	\N
2305464	7607	1998-04-14	VYDAJ	VYBER	5400	48412	\N	\N	\N
2305465	7607	1998-11-18	VYDAJ	VYBER	3960	48405	\N	\N	\N
2305466	7607	1998-06-14	VYDAJ	VYBER	2760	55192	\N	\N	\N
2305467	7607	1998-03-10	VYDAJ	VYBER	4080	36066	\N	\N	\N
2305481	7607	1994-01-31	VYDAJ	VYBER	15	52664	SLUZBY	\N	\N
2305482	7607	1994-02-28	VYDAJ	VYBER	15	45154	SLUZBY	\N	\N
2305483	7607	1994-03-31	VYDAJ	VYBER	15	40730	SLUZBY	\N	\N
2305484	7607	1994-04-30	VYDAJ	VYBER	15	33391	SLUZBY	\N	\N
2305485	7607	1994-05-31	VYDAJ	VYBER	15	37641	SLUZBY	\N	\N
2305486	7607	1994-06-30	VYDAJ	VYBER	15	27553	SLUZBY	\N	\N
2305487	7607	1994-07-31	VYDAJ	VYBER	15	34313	SLUZBY	\N	\N
2305488	7607	1994-08-31	VYDAJ	VYBER	15	25828	SLUZBY	\N	\N
2305489	7607	1994-09-30	VYDAJ	VYBER	15	29555	SLUZBY	\N	\N
2305490	7607	1994-10-31	VYDAJ	VYBER	15	30001	SLUZBY	\N	\N
2305491	7607	1994-11-30	VYDAJ	VYBER	15	27124	SLUZBY	\N	\N
2305492	7607	1994-12-31	VYDAJ	VYBER	15	31148	SLUZBY	\N	\N
2305493	7607	1995-01-31	VYDAJ	VYBER	15	21400	SLUZBY	\N	\N
2305494	7607	1995-02-28	VYDAJ	VYBER	15	28618	SLUZBY	\N	\N
2305495	7607	1995-03-31	VYDAJ	VYBER	15	28714	SLUZBY	\N	\N
2305496	7607	1995-04-30	VYDAJ	VYBER	15	30685	SLUZBY	\N	\N
2305497	7607	1995-05-31	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
2305498	7607	1995-06-30	VYDAJ	VYBER	15	19175	SLUZBY	\N	\N
2305499	7607	1995-07-31	VYDAJ	VYBER	15	24958	SLUZBY	\N	\N
2305500	7607	1995-08-31	VYDAJ	VYBER	15	28062	SLUZBY	\N	\N
2305501	7607	1995-09-30	VYDAJ	VYBER	15	33581	SLUZBY	\N	\N
2305502	7607	1995-10-31	VYDAJ	VYBER	15	31716	SLUZBY	\N	\N
2305503	7607	1995-11-30	VYDAJ	VYBER	15	34446	SLUZBY	\N	\N
2305504	7607	1995-12-31	VYDAJ	VYBER	15	36333	SLUZBY	\N	\N
2305505	7607	1996-01-31	VYDAJ	VYBER	15	23194	SLUZBY	\N	\N
2305506	7607	1996-02-29	VYDAJ	VYBER	15	29624	SLUZBY	\N	\N
2305507	7607	1996-03-31	VYDAJ	VYBER	15	33146	SLUZBY	\N	\N
2305508	7607	1996-04-30	VYDAJ	VYBER	15	32277	SLUZBY	\N	\N
2305509	7607	1996-05-31	VYDAJ	VYBER	15	35108	SLUZBY	\N	\N
2305510	7607	1996-06-30	VYDAJ	VYBER	15	33372	SLUZBY	\N	\N
2305511	7607	1996-07-31	VYDAJ	VYBER	15	31400	SLUZBY	\N	\N
2305512	7607	1996-08-31	VYDAJ	VYBER	15	36530	SLUZBY	\N	\N
2305513	7607	1996-09-30	VYDAJ	VYBER	15	38576	SLUZBY	\N	\N
2305514	7607	1996-10-31	VYDAJ	VYBER	15	37124	SLUZBY	\N	\N
2305515	7607	1996-11-30	VYDAJ	VYBER	15	40573	SLUZBY	\N	\N
2305516	7607	1996-12-31	VYDAJ	VYBER	15	40547	SLUZBY	\N	\N
2305517	7607	1997-01-31	VYDAJ	VYBER	15	34743	SLUZBY	\N	\N
2305518	7607	1997-02-28	VYDAJ	VYBER	15	38281	SLUZBY	\N	\N
2305519	7607	1997-03-31	VYDAJ	VYBER	15	42437	SLUZBY	\N	\N
2305520	7607	1997-04-30	VYDAJ	VYBER	15	44326	SLUZBY	\N	\N
2305521	7607	1997-05-31	VYDAJ	VYBER	15	42921	SLUZBY	\N	\N
2305522	7607	1997-06-30	VYDAJ	VYBER	15	42034	SLUZBY	\N	\N
2305523	7607	1997-07-31	VYDAJ	VYBER	15	41110	SLUZBY	\N	\N
2305524	7607	1997-08-31	VYDAJ	VYBER	15	41392	SLUZBY	\N	\N
2305525	7607	1997-09-30	VYDAJ	VYBER	15	39606	SLUZBY	\N	\N
2305526	7607	1997-10-31	VYDAJ	VYBER	15	43590	SLUZBY	\N	\N
2305527	7607	1997-11-30	VYDAJ	VYBER	15	48182	SLUZBY	\N	\N
2305528	7607	1997-12-31	VYDAJ	VYBER	15	56388	SLUZBY	\N	\N
2305529	7607	1998-01-31	VYDAJ	VYBER	15	40782	SLUZBY	\N	\N
2305530	7607	1998-02-28	VYDAJ	VYBER	15	47566	SLUZBY	\N	\N
2305531	7607	1998-03-31	VYDAJ	VYBER	15	49287	SLUZBY	\N	\N
2305532	7607	1998-04-30	VYDAJ	VYBER	15	47392	SLUZBY	\N	\N
2305533	7607	1998-05-31	VYDAJ	VYBER	15	51405	SLUZBY	\N	\N
2305534	7607	1998-06-30	VYDAJ	VYBER	15	26627	SLUZBY	\N	\N
2305535	7607	1998-07-31	VYDAJ	VYBER	15	40878	SLUZBY	\N	\N
2305536	7607	1998-08-31	VYDAJ	VYBER	15	45862	SLUZBY	\N	\N
2305537	7607	1998-09-30	VYDAJ	VYBER	15	45950	SLUZBY	\N	\N
2305538	7607	1998-10-31	VYDAJ	VYBER	15	47240	SLUZBY	\N	\N
2305539	7607	1998-11-30	VYDAJ	VYBER	15	47578	SLUZBY	\N	\N
2305540	7607	1993-10-05	PRIJEM	VKLAD	3700	19182	\N	\N	\N
2305541	7607	1993-11-04	VYDAJ	VYBER	5700	28436	\N	\N	\N
2305542	7607	1993-12-04	VYDAJ	VYBER	9800	33644	\N	\N	\N
2305543	7607	1994-01-03	VYDAJ	VYBER	15400	40723	\N	\N	\N
2305544	7607	1994-02-02	VYDAJ	VYBER	15500	37164	\N	\N	\N
2305545	7607	1994-03-04	VYDAJ	VYBER	9500	35654	\N	\N	\N
2305546	7607	1994-04-03	VYDAJ	VYBER	9600	31130	\N	\N	\N
2305547	7607	1994-05-03	VYDAJ	VYBER	3500	29891	\N	\N	\N
2305548	7607	1994-06-02	VYDAJ	VYBER	5700	31941	\N	\N	\N
2305549	7607	1994-07-02	PRIJEM	VKLAD	1000	28553	\N	\N	\N
2305550	7607	1994-08-01	VYDAJ	VYBER	5500	28813	\N	\N	\N
2305551	7607	1994-08-31	VYDAJ	VYBER	100	25728	\N	\N	\N
2305552	7607	1994-09-30	VYDAJ	VYBER	3600	29569	\N	\N	\N
2305553	7607	1994-10-30	VYDAJ	VYBER	6900	29880	\N	\N	\N
2305554	7607	1994-11-29	VYDAJ	VYBER	5500	27006	\N	\N	\N
2305555	7607	1994-12-29	VYDAJ	VYBER	7500	31031	\N	\N	\N
2305556	7607	1995-01-28	PRIJEM	VKLAD	6900	21313	\N	\N	\N
2305557	7607	1995-02-27	VYDAJ	VYBER	600	28525	\N	\N	\N
2305558	7607	1995-03-29	VYDAJ	VYBER	4200	28603	\N	\N	\N
2305559	7607	1995-04-28	VYDAJ	VYBER	3600	30577	\N	\N	\N
2305560	7607	1995-05-28	VYDAJ	VYBER	6800	31388	\N	\N	\N
2305561	7607	1995-06-27	PRIJEM	VKLAD	3400	19079	\N	\N	\N
2305562	7607	1995-07-27	VYDAJ	VYBER	1800	24878	\N	\N	\N
2305563	7607	1995-08-26	VYDAJ	VYBER	4500	27961	\N	\N	\N
2305564	7607	1995-09-25	VYDAJ	VYBER	2100	33465	\N	\N	\N
2305565	7607	1995-10-25	VYDAJ	VYBER	9500	31584	\N	\N	\N
2305566	7607	1995-11-24	VYDAJ	VYBER	4900	34319	\N	\N	\N
2305567	7607	1995-12-24	VYDAJ	VYBER	11900	36192	\N	\N	\N
2305568	7607	1996-01-23	PRIJEM	VKLAD	8900	26336	\N	\N	\N
2305569	7607	1996-02-22	PRIJEM	VKLAD	1600	29537	\N	\N	\N
2305570	7607	1996-03-23	VYDAJ	VYBER	4100	33027	\N	\N	\N
2305571	7607	1996-04-22	VYDAJ	VYBER	8500	32149	\N	\N	\N
2305572	7607	1996-05-22	VYDAJ	VYBER	4800	34980	\N	\N	\N
2305573	7607	1996-06-21	VYDAJ	VYBER	7500	33254	\N	\N	\N
2305574	7607	1996-07-21	VYDAJ	VYBER	9600	31275	\N	\N	\N
2305575	7607	1996-08-20	VYDAJ	VYBER	2500	36403	\N	\N	\N
2305576	7607	1996-09-19	VYDAJ	VYBER	5600	38433	\N	\N	\N
2305577	7607	1996-10-19	VYDAJ	VYBER	9100	36979	\N	\N	\N
2305578	7607	1996-11-18	VYDAJ	VYBER	4200	40427	\N	\N	\N
2305579	7607	1996-12-18	VYDAJ	VYBER	7300	40399	\N	\N	\N
2305580	7607	1997-01-17	PRIJEM	VKLAD	200	39770	\N	\N	\N
2305581	7607	1997-02-16	VYDAJ	VYBER	4100	38146	\N	\N	\N
2305582	7607	1997-03-18	VYDAJ	VYBER	3500	42284	\N	\N	\N
2305583	7607	1997-04-17	VYDAJ	VYBER	5500	44162	\N	\N	\N
2305584	7607	1997-05-17	VYDAJ	VYBER	7300	44551	\N	\N	\N
2305585	7607	1997-06-16	VYDAJ	VYBER	9400	49768	\N	\N	\N
2305586	7607	1997-07-16	VYDAJ	VYBER	8400	40959	\N	\N	\N
2305587	7607	1997-08-15	VYDAJ	VYBER	7600	42335	\N	\N	\N
2305588	7607	1997-09-14	VYDAJ	VYBER	3200	44017	\N	\N	\N
2305589	7607	1997-10-14	VYDAJ	VYBER	3500	43431	\N	\N	\N
2305590	7607	1997-11-13	VYDAJ	VYBER	3100	33170	\N	\N	\N
2305591	7607	1997-12-13	VYDAJ	VYBER	5600	33922	\N	\N	\N
2305592	7607	1998-01-12	VYDAJ	VYBER	2100	34888	\N	\N	\N
2305593	7607	1998-02-11	VYDAJ	VYBER	800	32562	\N	\N	\N
2305594	7607	1998-03-13	VYDAJ	VYBER	1800	34266	\N	\N	\N
2305595	7607	1998-04-12	VYDAJ	VYBER	4300	38967	\N	\N	\N
2305596	7607	1998-05-12	VYDAJ	VYBER	3600	37772	\N	\N	\N
2305597	7607	1998-06-11	VYDAJ	VYBER	9700	35685	\N	\N	\N
2305598	7607	1998-07-11	PRIJEM	VKLAD	6400	25907	\N	\N	\N
2305599	7607	1998-08-10	VYDAJ	VYBER	3000	30858	\N	\N	\N
2305600	7607	1998-09-09	VYDAJ	VYBER	7500	32342	\N	\N	\N
2305601	7607	1998-10-09	VYDAJ	VYBER	6500	32230	\N	\N	\N
2305602	7607	1998-11-08	VYDAJ	VYBER	3700	37520	\N	\N	\N
2305603	7607	1998-12-08	VYDAJ	VYBER	8500	33058	\N	\N	\N
2307858	7614	1995-02-08	PRIJEM	VKLAD	500	500	\N	\N	\N
2307861	7614	1995-03-07	PRIJEM	PREVOD Z UCTU	40072	40572	\N	OP	40423691
2307862	7614	1995-04-07	PRIJEM	PREVOD Z UCTU	40072	71136	\N	OP	40423691
2307863	7614	1995-05-07	PRIJEM	PREVOD Z UCTU	40072	88690	\N	OP	40423691
2307864	7614	1995-06-07	PRIJEM	PREVOD Z UCTU	60108	117828	\N	OP	40423691
2307865	7614	1995-07-07	PRIJEM	PREVOD Z UCTU	40072	89321	\N	OP	40423691
2307866	7614	1995-08-07	PRIJEM	PREVOD Z UCTU	40072	71979	\N	OP	40423691
2307867	7614	1995-09-07	PRIJEM	PREVOD Z UCTU	40072	71704	\N	OP	40423691
2307868	7614	1995-10-07	PRIJEM	PREVOD Z UCTU	40072	76718	\N	OP	40423691
2307869	7614	1995-11-07	PRIJEM	PREVOD Z UCTU	40072	87196	\N	OP	40423691
2307870	7614	1995-12-07	PRIJEM	PREVOD Z UCTU	60108	105650	\N	OP	40423691
2307871	7614	1996-01-07	PRIJEM	PREVOD Z UCTU	40072	101393	\N	OP	40423691
2307872	7614	1996-02-07	PRIJEM	PREVOD Z UCTU	40072	79838	\N	OP	40423691
2307873	7614	1996-03-07	PRIJEM	PREVOD Z UCTU	40072	73336	\N	OP	40423691
2307874	7614	1996-04-07	PRIJEM	PREVOD Z UCTU	40072	89013	\N	OP	40423691
2307875	7614	1996-05-07	PRIJEM	PREVOD Z UCTU	40072	74949	\N	OP	40423691
2307876	7614	1996-06-07	PRIJEM	PREVOD Z UCTU	60108	106994	\N	OP	40423691
2307877	7614	1996-07-07	PRIJEM	PREVOD Z UCTU	40072	80318	\N	OP	40423691
2307878	7614	1996-08-07	PRIJEM	PREVOD Z UCTU	40072	84864	\N	OP	40423691
2307879	7614	1996-09-07	PRIJEM	PREVOD Z UCTU	40072	94556	\N	OP	40423691
2307880	7614	1996-10-07	PRIJEM	PREVOD Z UCTU	40072	100145	\N	OP	40423691
2307881	7614	1996-11-07	PRIJEM	PREVOD Z UCTU	40072	100854	\N	OP	40423691
2307882	7614	1996-12-07	PRIJEM	PREVOD Z UCTU	60108	121200	\N	OP	40423691
2307883	7614	1997-01-07	PRIJEM	PREVOD Z UCTU	40072	80742	\N	OP	40423691
2307884	7614	1997-02-07	PRIJEM	PREVOD Z UCTU	40072	68845	\N	OP	40423691
2307885	7614	1997-03-07	PRIJEM	PREVOD Z UCTU	40072	83921	\N	OP	40423691
2307886	7614	1997-04-07	PRIJEM	PREVOD Z UCTU	40072	91160	\N	OP	40423691
2307887	7614	1997-05-07	PRIJEM	PREVOD Z UCTU	40072	92017	\N	OP	40423691
2307888	7614	1997-06-07	PRIJEM	PREVOD Z UCTU	60108	115620	\N	OP	40423691
2307889	7614	1997-07-07	PRIJEM	PREVOD Z UCTU	40072	93996	\N	OP	40423691
2307890	7614	1997-08-07	PRIJEM	PREVOD Z UCTU	40072	94865	\N	OP	40423691
2307891	7614	1997-09-07	PRIJEM	PREVOD Z UCTU	40072	86737	\N	OP	40423691
2307892	7614	1997-10-07	PRIJEM	PREVOD Z UCTU	40072	85092	\N	OP	40423691
2307893	7614	1997-11-07	PRIJEM	PREVOD Z UCTU	40072	87320	\N	OP	40423691
2307894	7614	1997-12-07	PRIJEM	PREVOD Z UCTU	60108	107574	\N	OP	40423691
2307895	7614	1998-01-07	PRIJEM	PREVOD Z UCTU	40072	98693	\N	OP	40423691
2307896	7614	1998-02-07	PRIJEM	PREVOD Z UCTU	40072	69736	\N	OP	40423691
2307897	7614	1998-03-07	PRIJEM	PREVOD Z UCTU	40072	71724	\N	OP	40423691
2307898	7614	1998-04-07	PRIJEM	PREVOD Z UCTU	40072	83026	\N	OP	40423691
2307899	7614	1998-05-07	PRIJEM	PREVOD Z UCTU	40072	86927	\N	OP	40423691
2307900	7614	1998-06-07	PRIJEM	PREVOD Z UCTU	60108	114892	\N	OP	40423691
2307901	7614	1998-07-07	PRIJEM	PREVOD Z UCTU	40072	80223	\N	OP	40423691
2307902	7614	1998-08-07	PRIJEM	PREVOD Z UCTU	40072	92526	\N	OP	40423691
2307903	7614	1998-09-07	PRIJEM	PREVOD Z UCTU	40072	97967	\N	OP	40423691
2307904	7614	1998-10-07	PRIJEM	PREVOD Z UCTU	40072	96898	\N	OP	40423691
2307905	7614	1998-11-07	PRIJEM	PREVOD Z UCTU	40072	103454	\N	OP	40423691
2307906	7614	1998-12-07	PRIJEM	PREVOD Z UCTU	60108	127567	\N	OP	40423691
2307913	7614	1995-07-08	VYDAJ	VYBER	6800	49621	\N	\N	0
2307914	7614	1995-08-15	VYDAJ	VYBER	5200	44779	\N	\N	0
2307915	7614	1995-09-18	VYDAJ	VYBER	8000	63704	\N	\N	0
2307916	7614	1995-10-06	VYDAJ	VYBER	7800	36646	\N	\N	0
2307917	7614	1995-11-11	VYDAJ	VYBER	6000	73396	\N	\N	0
2307918	7614	1995-12-08	VYDAJ	VYBER	6700	98950	\N	\N	0
2307919	7614	1996-01-08	VYDAJ	VYBER	5700	85493	\N	\N	0
2307920	7614	1996-02-08	VYDAJ	VYBER	7200	72638	\N	\N	0
2307921	7614	1996-03-18	VYDAJ	VYBER	6100	67236	\N	\N	0
2307922	7614	1996-04-12	VYDAJ	VYBER	6600	70031	\N	\N	0
2307923	7614	1996-05-08	VYDAJ	VYBER	5800	69149	\N	\N	0
2307924	7614	1996-06-12	VYDAJ	PREVOD NA UCET	6679	84893	UVER	WX	54133033
2307925	7614	1996-07-12	VYDAJ	PREVOD NA UCET	6679	73640	UVER	WX	54133033
2307926	7614	1996-08-12	VYDAJ	PREVOD NA UCET	6679	78185	UVER	WX	54133033
2307927	7614	1996-09-12	VYDAJ	PREVOD NA UCET	6679	87877	UVER	WX	54133033
2307928	7614	1996-10-12	VYDAJ	PREVOD NA UCET	6679	93466	UVER	WX	54133033
2307929	7614	1996-11-12	VYDAJ	PREVOD NA UCET	6679	94175	UVER	WX	54133033
2307930	7614	1996-12-12	VYDAJ	PREVOD NA UCET	6679	79781	UVER	WX	54133033
2307931	7614	1997-01-12	VYDAJ	PREVOD NA UCET	6679	74063	UVER	WX	54133033
2307932	7614	1997-02-12	VYDAJ	PREVOD NA UCET	6679	62166	UVER	WX	54133033
2307933	7614	1997-03-12	VYDAJ	PREVOD NA UCET	6679	77243	UVER	WX	54133033
2307934	7614	1997-04-12	VYDAJ	PREVOD NA UCET	6679	84482	UVER	WX	54133033
2307935	7614	1997-05-12	VYDAJ	PREVOD NA UCET	6679	85338	UVER	WX	54133033
2307936	7614	1997-06-12	VYDAJ	PREVOD NA UCET	6679	78442	UVER	WX	54133033
2307937	7614	1997-07-12	VYDAJ	PREVOD NA UCET	6679	87317	UVER	WX	54133033
2307938	7614	1997-08-12	VYDAJ	PREVOD NA UCET	6679	88186	UVER	WX	54133033
2307939	7614	1997-09-12	VYDAJ	PREVOD NA UCET	6679	80058	UVER	WX	54133033
2307940	7614	1997-10-12	VYDAJ	PREVOD NA UCET	6679	78413	UVER	WX	54133033
2307941	7614	1997-11-12	VYDAJ	PREVOD NA UCET	6679	70741	UVER	WX	54133033
2307942	7614	1997-12-12	VYDAJ	PREVOD NA UCET	6679	100896	UVER	WX	54133033
2307943	7614	1998-01-12	VYDAJ	PREVOD NA UCET	6679	78514	UVER	WX	54133033
2307944	7614	1998-02-12	VYDAJ	PREVOD NA UCET	6679	63057	UVER	WX	54133033
2307945	7614	1998-03-12	VYDAJ	PREVOD NA UCET	6679	65045	UVER	WX	54133033
2307946	7614	1998-04-12	VYDAJ	PREVOD NA UCET	6679	76347	UVER	WX	54133033
2307947	7614	1998-05-12	VYDAJ	PREVOD NA UCET	6679	80249	UVER	WX	54133033
2307948	7614	1998-06-12	VYDAJ	PREVOD NA UCET	6679	57414	UVER	WX	54133033
2307949	7614	1998-07-12	VYDAJ	PREVOD NA UCET	6679	73544	UVER	WX	54133033
2307950	7614	1998-08-12	VYDAJ	PREVOD NA UCET	6679	85847	UVER	WX	54133033
2307951	7614	1998-09-12	VYDAJ	PREVOD NA UCET	6679	91288	UVER	WX	54133033
2307952	7614	1998-10-12	VYDAJ	PREVOD NA UCET	6679	90219	UVER	WX	54133033
2307953	7614	1998-11-12	VYDAJ	PREVOD NA UCET	6679	96776	UVER	WX	54133033
2307954	7614	1998-12-12	VYDAJ	PREVOD NA UCET	6679	92289	UVER	WX	54133033
2307955	7614	1995-07-30	VYBER	VYBER	7531	42090	\N	\N	\N
2307957	7614	1995-11-02	VYBER	VYBER	12186	64824	\N	\N	\N
2307958	7614	1995-11-21	VYBER	VYBER	3238	70158	\N	\N	\N
2307961	7614	1995-07-31	VYBER	VYBER	10391	31922	\N	\N	\N
2307967	7614	1995-08-21	VYBER	VYBER	7203	37576	\N	\N	\N
2307968	7614	1996-06-10	VYBER	VYBER	15422	91572	\N	\N	\N
2307969	7614	1996-03-29	VYBER	VYBER	7152	60084	\N	\N	\N
2307970	7614	1996-04-25	VYBER	VYBER	19985	37446	\N	\N	\N
2307971	7614	1996-04-09	VYBER	VYBER	12382	76631	\N	\N	\N
2307972	7614	1996-02-26	VYBER	VYBER	20530	52108	\N	\N	\N
2307973	7614	1996-12-08	VYBER	VYBER	12540	86460	\N	\N	\N
2307974	7614	1998-02-13	VYBER	VYBER	14741	48316	\N	\N	\N
2307975	7614	1998-01-24	VYBER	VYBER	8900	40514	\N	\N	\N
2307976	7614	1998-09-13	VYBER	VYBER	3124	88164	\N	\N	\N
2307978	7614	1996-06-16	VYDAJ	VYBER	35700	49193	\N	\N	\N
2307982	7614	1996-01-11	VYDAJ	VYBER	15000	70493	\N	\N	\N
2307983	7614	1997-01-20	VYDAJ	VYBER	21900	43763	\N	\N	\N
2307985	7614	1995-12-22	VYDAJ	VYBER	3600	95350	\N	\N	\N
2307986	7614	1996-12-19	VYDAJ	VYBER	5400	74381	\N	\N	\N
2307987	7614	1997-12-01	VYDAJ	VYBER KARTOU	2100	47466	\N	\N	0
2307988	7614	1998-12-28	VYDAJ	VYBER	6900	55889	\N	\N	\N
2307995	7614	1996-01-21	VYDAJ	VYBER	8100	53393	\N	\N	\N
2307996	7614	1996-01-14	VYDAJ	VYBER	6900	63593	\N	\N	\N
2307997	7614	1996-01-15	VYDAJ	VYBER	2100	61493	\N	\N	\N
2307998	7614	1996-01-21	VYDAJ	VYBER	2700	50693	\N	\N	\N
2307999	7614	1996-01-07	VYDAJ	VYBER	8700	92693	\N	\N	\N
2308000	7614	1996-01-08	VYDAJ	VYBER	1500	91193	\N	\N	\N
2308001	7614	1997-01-26	VYDAJ	VYBER KARTOU	2100	38063	\N	\N	0
2308002	7614	1997-01-12	VYDAJ	VYBER	5700	68363	\N	\N	\N
2308003	7614	1997-01-01	VYDAJ	VYBER KARTOU	3900	46070	\N	\N	0
2308004	7614	1997-01-26	VYDAJ	VYBER KARTOU	3600	40163	\N	\N	0
2308005	7614	1997-01-05	VYDAJ	VYBER	5400	40670	\N	\N	\N
2308006	7614	1997-01-17	VYDAJ	VYBER KARTOU	2700	65663	\N	\N	0
2308008	7614	1998-01-24	VYDAJ	VYBER	5400	35114	\N	\N	\N
2308009	7614	1998-01-01	VYDAJ	VYBER	4500	58621	\N	\N	\N
2308010	7614	1998-01-15	VYDAJ	VYBER	6600	71914	\N	\N	\N
2308011	7614	1998-01-28	VYDAJ	VYBER KARTOU	2100	29414	\N	\N	0
2308012	7614	1998-01-25	VYDAJ	VYBER KARTOU	3600	31514	\N	\N	0
2308014	7614	1995-11-07	VYDAJ	VYBER	7800	79396	\N	\N	\N
2308016	7614	1996-03-06	VYDAJ	VYBER	9000	33264	\N	\N	\N
2308017	7614	1996-07-17	VYDAJ	VYBER	12300	61340	\N	\N	\N
2308018	7614	1996-01-28	VYDAJ	VYBER	2700	47993	\N	\N	\N
2308019	7614	1996-05-24	VYDAJ	VYBER	10800	58349	\N	\N	\N
2308020	7614	1996-04-14	VYDAJ	VYBER	12600	57431	\N	\N	\N
2308021	7614	1997-09-18	VYDAJ	VYBER	14700	65358	\N	\N	\N
2308022	7614	1997-10-28	VYDAJ	VYBER	9300	47013	\N	\N	\N
2308023	7614	1997-11-11	VYDAJ	VYBER	9900	77420	\N	\N	\N
2308024	7614	1997-09-01	VYDAJ	VYBER	13500	46665	\N	\N	\N
2308025	7614	1997-04-20	VYDAJ	VYBER	7200	77282	\N	\N	\N
2308026	7614	1998-11-19	VYDAJ	VYBER	4200	92576	\N	\N	\N
2308027	7614	1998-01-07	VYDAJ	VYBER	13500	85193	\N	\N	\N
2308028	7614	1998-02-15	VYDAJ	VYBER	4800	43516	\N	\N	\N
2308030	7614	1998-09-30	VYDAJ	VYBER	5100	56840	\N	\N	\N
2308031	7614	1998-04-18	VYDAJ	VYBER	12000	64347	\N	\N	\N
2308032	7614	1998-03-01	VYDAJ	VYBER KARTOU	2700	31652	\N	\N	0
2308040	7614	1995-07-31	VYDAJ	VYBER	15	31907	SLUZBY	\N	\N
2308041	7614	1995-08-31	VYDAJ	VYBER	15	37732	SLUZBY	\N	\N
2308042	7614	1995-09-30	VYDAJ	VYBER	15	63946	SLUZBY	\N	\N
2308043	7614	1995-10-31	VYDAJ	VYBER	15	77010	SLUZBY	\N	\N
2308044	7614	1995-11-30	VYDAJ	VYBER	15	70442	SLUZBY	\N	\N
2308045	7614	1995-12-31	VYDAJ	VYBER	15	95721	SLUZBY	\N	\N
2308046	7614	1996-01-31	VYDAJ	VYBER	15	48266	SLUZBY	\N	\N
2308047	7614	1996-02-29	VYDAJ	VYBER	15	52364	SLUZBY	\N	\N
2308048	7614	1996-03-31	VYDAJ	VYBER	15	60341	SLUZBY	\N	\N
2308049	7614	1996-04-30	VYDAJ	VYBER	15	37677	SLUZBY	\N	\N
2308050	7614	1996-05-31	VYDAJ	VYBER	15	58586	SLUZBY	\N	\N
2308051	7614	1996-06-30	VYDAJ	VYBER	15	49446	SLUZBY	\N	\N
2308052	7614	1996-07-31	VYDAJ	VYBER	15	61592	SLUZBY	\N	\N
2308053	7614	1996-08-31	VYDAJ	VYBER	15	78484	SLUZBY	\N	\N
2308054	7614	1996-09-30	VYDAJ	VYBER	15	88173	SLUZBY	\N	\N
2308055	7614	1996-10-31	VYDAJ	VYBER	15	60782	SLUZBY	\N	\N
2308056	7614	1996-11-30	VYDAJ	VYBER	15	61092	SLUZBY	\N	\N
2308057	7614	1996-12-31	VYDAJ	VYBER	15	49970	SLUZBY	\N	\N
2308058	7614	1997-01-31	VYDAJ	VYBER	15	28773	SLUZBY	\N	\N
2308059	7614	1997-02-28	VYDAJ	VYBER	15	43849	SLUZBY	\N	\N
2308060	7614	1997-03-31	VYDAJ	VYBER	15	51088	SLUZBY	\N	\N
2308061	7614	1997-04-30	VYDAJ	VYBER	15	51945	SLUZBY	\N	\N
2308062	7614	1997-05-31	VYDAJ	VYBER	15	55512	SLUZBY	\N	\N
2308063	7614	1997-06-30	VYDAJ	VYBER	15	53924	SLUZBY	\N	\N
2308064	7614	1997-07-31	VYDAJ	VYBER	15	54793	SLUZBY	\N	\N
2308065	7614	1997-08-31	VYDAJ	VYBER	15	60165	SLUZBY	\N	\N
2308066	7614	1997-09-30	VYDAJ	VYBER	15	45020	SLUZBY	\N	\N
2308067	7614	1997-10-31	VYDAJ	VYBER	15	47248	SLUZBY	\N	\N
2308068	7614	1997-11-30	VYDAJ	VYBER	15	49566	SLUZBY	\N	\N
2308069	7614	1997-12-31	VYDAJ	VYBER	15	63121	SLUZBY	\N	\N
2308070	7614	1998-01-31	VYDAJ	VYBER	15	29664	SLUZBY	\N	\N
2308071	7614	1998-02-28	VYDAJ	VYBER	15	34352	SLUZBY	\N	\N
2308072	7614	1998-03-31	VYDAJ	VYBER	15	42954	SLUZBY	\N	\N
2308073	7614	1998-04-30	VYDAJ	VYBER	15	46855	SLUZBY	\N	\N
2308074	7614	1998-05-31	VYDAJ	VYBER	15	54784	SLUZBY	\N	\N
2308075	7614	1998-06-30	VYDAJ	VYBER	15	40151	SLUZBY	\N	\N
2308076	7614	1998-07-31	VYDAJ	VYBER	15	52454	SLUZBY	\N	\N
2308077	7614	1998-08-31	VYDAJ	VYBER	15	57895	SLUZBY	\N	\N
2308078	7614	1998-09-30	VYDAJ	VYBER	15	56826	SLUZBY	\N	\N
2308079	7614	1998-10-31	VYDAJ	VYBER	15	63382	SLUZBY	\N	\N
2308080	7614	1998-11-30	VYDAJ	VYBER	15	67459	SLUZBY	\N	\N
2308081	7614	1995-03-10	VYDAJ	VYBER	9600	30972	\N	\N	\N
2308082	7614	1995-04-09	VYDAJ	VYBER	22700	48436	\N	\N	\N
2308083	7614	1995-05-09	VYDAJ	VYBER	31200	57490	\N	\N	\N
2308084	7614	1995-06-07	VYDAJ	VYBER	46600	71228	\N	\N	\N
2308085	7614	1995-06-08	VYDAJ	VYBER	22200	49028	\N	\N	\N
2308086	7614	1995-07-08	VYDAJ	VYBER	32900	56421	\N	\N	\N
2308087	7614	1995-08-07	VYDAJ	VYBER	22000	49979	\N	\N	\N
2308088	7614	1995-09-06	VYDAJ	VYBER	6100	31632	\N	\N	\N
2308089	7614	1995-10-06	VYDAJ	VYBER	19500	44446	\N	\N	\N
2308090	7614	1995-11-05	VYDAJ	VYBER	17700	47124	\N	\N	\N
2308091	7614	1995-12-05	VYDAJ	VYBER	24900	45542	\N	\N	\N
2308092	7614	1996-01-04	VYDAJ	VYBER	34400	61321	\N	\N	\N
2308093	7614	1996-02-03	VYDAJ	VYBER	8500	39766	\N	\N	\N
2308094	7614	1996-03-04	VYDAJ	VYBER	10100	42264	\N	\N	\N
2308095	7614	1996-04-03	VYDAJ	VYBER	11400	48941	\N	\N	\N
2308096	7614	1996-05-03	VYDAJ	VYBER KARTOU	2800	34877	\N	\N	0
2308097	7614	1996-06-02	VYDAJ	VYBER	11700	46886	\N	\N	\N
2308098	7614	1996-07-02	VYDAJ	VYBER	9200	40246	\N	\N	\N
2308099	7614	1996-08-01	VYDAJ	VYBER	16800	44792	\N	\N	\N
2308100	7614	1996-08-31	VYDAJ	VYBER	24000	54484	\N	\N	\N
2308101	7614	1996-09-30	VYDAJ	VYBER	28100	60073	\N	\N	\N
2308102	7614	1996-10-30	VYDAJ	VYBER	33000	60466	\N	\N	\N
2308103	7614	1996-11-29	VYDAJ	VYBER	33400	60775	\N	\N	\N
2308104	7614	1996-12-07	VYDAJ	VYBER	22200	99000	\N	\N	\N
2308105	7614	1996-12-29	VYDAJ	VYBER	24700	49681	\N	\N	\N
2308106	7614	1997-01-28	VYDAJ	VYBER	9500	28563	\N	\N	\N
2308107	7614	1997-02-27	VYDAJ	VYBER	18500	43666	\N	\N	\N
2308108	7614	1997-03-29	VYDAJ	VYBER	26400	50843	\N	\N	\N
2308109	7614	1997-04-28	VYDAJ	VYBER	25600	51682	\N	\N	\N
2308110	7614	1997-05-28	VYDAJ	VYBER	30100	55238	\N	\N	\N
2308111	7614	1997-06-07	VYDAJ	VYBER	30500	85120	\N	\N	\N
2308112	7614	1997-06-27	VYDAJ	VYBER	24800	53642	\N	\N	\N
2308113	7614	1997-07-27	VYDAJ	VYBER	32800	54517	\N	\N	\N
2308114	7614	1997-08-26	VYDAJ	VYBER	28300	59886	\N	\N	\N
2308115	7614	1997-09-25	VYDAJ	VYBER	20600	44758	\N	\N	\N
2308116	7614	1997-10-25	VYDAJ	VYBER	22100	56313	\N	\N	\N
2308117	7614	1997-11-24	VYDAJ	VYBER	21400	49341	\N	\N	\N
2308118	7614	1997-12-24	VYDAJ	VYBER	38100	62796	\N	\N	\N
2308119	7614	1998-01-23	VYDAJ	VYBER	22500	49414	\N	\N	\N
2308120	7614	1998-02-22	VYDAJ	VYBER	9300	34216	\N	\N	\N
2308121	7614	1998-03-24	VYDAJ	VYBER	22300	42745	\N	\N	\N
2308122	7614	1998-04-23	VYDAJ	VYBER	17700	46647	\N	\N	\N
2308123	7614	1998-05-23	VYDAJ	VYBER	25700	54549	\N	\N	\N
2308124	7614	1998-06-07	VYDAJ	VYBER	50800	64092	\N	\N	\N
2308125	7614	1998-06-22	VYDAJ	VYBER	17500	39914	\N	\N	\N
2308126	7614	1998-07-22	VYDAJ	VYBER	21300	52244	\N	\N	\N
2308127	7614	1998-08-21	VYDAJ	VYBER	28200	57647	\N	\N	\N
2308128	7614	1998-09-20	VYDAJ	VYBER	26500	61664	\N	\N	\N
2308129	7614	1998-10-20	VYDAJ	VYBER	27100	63119	\N	\N	\N
2308130	7614	1998-11-19	VYDAJ	VYBER	25400	67176	\N	\N	\N
2308131	7614	1998-12-07	VYDAJ	VYBER	28600	98967	\N	\N	\N
2308132	7614	1998-12-19	VYDAJ	VYBER	29500	62789	\N	\N	\N
2308854	7618	1995-06-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2308861	7618	1995-07-09	PRIJEM	PREVOD Z UCTU	23624	24624	\N	ST	82531737
2308862	7618	1995-08-09	PRIJEM	PREVOD Z UCTU	23624	50883	\N	ST	82531737
2308863	7618	1995-09-09	PRIJEM	PREVOD Z UCTU	23624	63354	\N	ST	82531737
2308864	7618	1995-10-09	PRIJEM	PREVOD Z UCTU	23624	70685	\N	ST	82531737
2308865	7618	1995-11-09	PRIJEM	PREVOD Z UCTU	23624	73845	\N	ST	82531737
2308866	7618	1995-12-09	PRIJEM	PREVOD Z UCTU	35436	67594	\N	ST	82531737
2308867	7618	1996-01-09	PRIJEM	PREVOD Z UCTU	23624	50589	\N	ST	82531737
2308868	7618	1996-02-09	PRIJEM	PREVOD Z UCTU	23624	34002	\N	ST	82531737
2308869	7618	1996-03-09	PRIJEM	PREVOD Z UCTU	23624	37375	\N	ST	82531737
2308870	7618	1996-04-09	PRIJEM	PREVOD Z UCTU	23624	42187	\N	ST	82531737
2308871	7618	1996-05-09	PRIJEM	PREVOD Z UCTU	23624	54640	\N	ST	82531737
2308872	7618	1996-06-09	PRIJEM	PREVOD Z UCTU	35436	60742	\N	ST	82531737
2308873	7618	1996-07-09	PRIJEM	PREVOD Z UCTU	23624	40132	\N	ST	82531737
2308874	7618	1996-08-09	PRIJEM	PREVOD Z UCTU	23624	40428	\N	ST	82531737
2308875	7618	1996-09-09	PRIJEM	PREVOD Z UCTU	23624	46673	\N	ST	82531737
2308876	7618	1996-10-09	PRIJEM	PREVOD Z UCTU	23624	56301	\N	ST	82531737
2308877	7618	1996-11-09	PRIJEM	PREVOD Z UCTU	23624	53700	\N	ST	82531737
2308878	7618	1996-12-09	PRIJEM	PREVOD Z UCTU	35436	55675	\N	ST	82531737
2308879	7618	1997-01-09	PRIJEM	PREVOD Z UCTU	23624	53842	\N	ST	82531737
2308880	7618	1997-02-09	PRIJEM	PREVOD Z UCTU	23624	33585	\N	ST	82531737
2308881	7618	1997-03-09	PRIJEM	PREVOD Z UCTU	23624	45733	\N	ST	82531737
2308882	7618	1997-04-09	PRIJEM	PREVOD Z UCTU	23624	46281	\N	ST	82531737
2308883	7618	1997-05-09	PRIJEM	PREVOD Z UCTU	23624	53381	\N	ST	82531737
2309064	7618	1996-06-30	VYDAJ	VYBER	30	13808	SLUZBY	\N	\N
2308884	7618	1997-06-09	PRIJEM	PREVOD Z UCTU	35436	63687	\N	ST	82531737
2308885	7618	1997-07-09	PRIJEM	PREVOD Z UCTU	23624	57499	\N	ST	82531737
2308886	7618	1997-08-09	PRIJEM	PREVOD Z UCTU	23624	47230	\N	ST	82531737
2308887	7618	1997-09-09	PRIJEM	PREVOD Z UCTU	23624	36912	\N	ST	82531737
2308888	7618	1997-10-09	PRIJEM	PREVOD Z UCTU	23624	41092	\N	ST	82531737
2308889	7618	1997-11-09	PRIJEM	PREVOD Z UCTU	23624	35230	\N	ST	82531737
2308890	7618	1997-12-09	PRIJEM	PREVOD Z UCTU	35436	36926	\N	ST	82531737
2308891	7618	1998-01-09	PRIJEM	PREVOD Z UCTU	23624	37710	\N	ST	82531737
2308892	7618	1998-02-09	PRIJEM	PREVOD Z UCTU	23624	25060	\N	ST	82531737
2308893	7618	1998-03-09	PRIJEM	PREVOD Z UCTU	23624	32720	\N	ST	82531737
2308894	7618	1998-04-09	PRIJEM	PREVOD Z UCTU	23624	41042	\N	ST	82531737
2308895	7618	1998-05-09	PRIJEM	PREVOD Z UCTU	23624	42097	\N	ST	82531737
2308896	7618	1998-06-09	PRIJEM	PREVOD Z UCTU	35436	40538	\N	ST	82531737
2308897	7618	1998-07-09	PRIJEM	PREVOD Z UCTU	23624	41384	\N	ST	82531737
2308898	7618	1998-08-09	PRIJEM	PREVOD Z UCTU	23624	46909	\N	ST	82531737
2308899	7618	1998-09-09	PRIJEM	PREVOD Z UCTU	23624	31187	\N	ST	82531737
2308900	7618	1998-10-09	PRIJEM	PREVOD Z UCTU	23624	40713	\N	ST	82531737
2308901	7618	1998-11-09	PRIJEM	PREVOD Z UCTU	23624	38020	\N	ST	82531737
2308902	7618	1998-12-09	PRIJEM	PREVOD Z UCTU	35436	44458	\N	ST	82531737
2308952	7618	1995-12-18	VYBER	VYBER	16590	32104	\N	\N	\N
2308962	7618	1995-12-02	VYBER	VYBER	17899	32158	\N	\N	\N
2308963	7618	1996-08-07	VYBER	VYBER	2683	16804	\N	\N	\N
2308964	7618	1996-05-16	VYBER	VYBER	13621	41019	\N	\N	\N
2308965	7618	1996-10-25	VYBER	VYBER	18296	38005	\N	\N	\N
2308966	7618	1996-08-18	VYBER	VYBER	9951	30477	\N	\N	\N
2308967	7618	1996-11-23	VYBER	VYBER	21577	32123	\N	\N	\N
2308968	7618	1996-03-21	VYBER	VYBER	21251	11624	\N	\N	\N
2308969	7618	1996-02-07	VYBER	VYBER	5232	-1622	\N	\N	\N
2308970	7618	1996-02-22	VYBER	VYBER	7761	13641	\N	\N	\N
2308971	7618	1996-01-17	VYBER	VYBER	5297	16692	\N	\N	\N
2308972	7618	1996-07-12	VYBER	VYBER	20664	19468	\N	\N	\N
2308973	7618	1996-07-30	VYBER	VYBER	2305	17163	\N	\N	\N
2308974	7618	1996-09-04	VYBER	VYBER	2636	28049	\N	\N	\N
2308976	7618	1997-11-14	VYBER	VYBER	8629	26601	\N	\N	\N
2308977	7618	1997-08-02	VYBER	VYBER	4665	23606	\N	\N	\N
2308979	7618	1997-10-22	VYBER	VYBER	14243	26849	\N	\N	\N
2308980	7618	1997-02-25	VYBER	VYBER	6150	27435	\N	\N	\N
2308981	7618	1998-11-11	VYBER	VYBER	21546	16474	\N	\N	\N
2308982	7618	1998-05-18	VYBER	VYBER	23237	18860	\N	\N	\N
2308984	7618	1998-12-14	VYBER	VYBER	17703	26755	\N	\N	\N
2308987	7618	1998-08-21	VYBER	VYBER	10934	29869	\N	\N	\N
2308988	7618	1998-08-16	VYBER	VYBER	6106	40803	\N	\N	\N
2308989	7618	1998-10-27	VYBER	VYBER	8192	14321	\N	\N	\N
2308990	7618	1998-11-17	VYBER	VYBER	11266	5208	\N	\N	\N
2308993	7618	1998-08-23	VYBER	VYBER	21586	8283	\N	\N	\N
2308995	7618	1996-06-12	VYDAJ	VYBER	47100	13642	\N	\N	\N
2308998	7618	1995-12-30	VYDAJ	VYBER	5400	26704	\N	\N	\N
2308999	7618	1996-12-08	VYDAJ	VYBER	5100	20239	\N	\N	\N
2309001	7618	1998-12-26	VYDAJ	VYBER	4800	13255	\N	\N	\N
2309008	7618	1996-01-11	VYDAJ	VYBER	7200	26789	\N	\N	\N
2309009	7618	1996-01-10	VYDAJ	VYBER	3900	33989	\N	\N	\N
2309010	7618	1996-01-25	VYDAJ	VYBER	7200	3492	\N	\N	\N
2309011	7618	1996-01-13	VYDAJ	VYBER	4800	21989	\N	\N	\N
2309012	7618	1996-01-22	VYDAJ	VYBER	3900	10692	\N	\N	\N
2309013	7618	1996-01-20	VYDAJ	VYBER	2100	14592	\N	\N	\N
2309014	7618	1997-01-30	VYDAJ	VYBER	4200	28342	\N	\N	\N
2309015	7618	1997-01-22	VYDAJ	VYBER	7200	42142	\N	\N	\N
2309016	7618	1997-01-10	VYDAJ	VYBER	4500	49342	\N	\N	\N
2309017	7618	1997-01-06	VYDAJ	VYBER	5400	30218	\N	\N	\N
2309018	7618	1997-01-28	VYDAJ	VYBER	6000	32542	\N	\N	\N
2309019	7618	1997-01-25	VYDAJ	VYBER	3600	38542	\N	\N	\N
2309020	7618	1998-01-11	VYDAJ	VYBER	6600	31110	\N	\N	\N
2309021	7618	1998-01-01	VYDAJ	VYBER	4800	14086	\N	\N	\N
2309022	7618	1998-01-25	VYDAJ	VYBER	1500	14910	\N	\N	\N
2309023	7618	1998-01-25	VYDAJ	VYBER	7500	16410	\N	\N	\N
2309024	7618	1998-01-20	VYDAJ	VYBER	4200	23910	\N	\N	\N
2309025	7618	1998-01-27	VYDAJ	VYBER	7200	7710	\N	\N	\N
2309029	7618	1996-06-02	VYDAJ	VYBER	7500	33806	\N	\N	\N
2309030	7618	1996-09-05	VYDAJ	VYBER	3000	25049	\N	\N	\N
2309031	7618	1996-02-16	VYDAJ	VYBER	12600	21402	\N	\N	\N
2309032	7618	1996-12-03	VYDAJ	VYBER	9000	23439	\N	\N	\N
2309033	7618	1997-02-08	VYDAJ	VYBER	11700	9961	\N	\N	\N
2309034	7618	1997-08-11	VYDAJ	VYBER	12900	34330	\N	\N	\N
2309035	7618	1997-11-28	VYDAJ	VYBER	8400	4401	\N	\N	\N
2309036	7618	1997-11-21	VYDAJ	VYBER	13800	12801	\N	\N	\N
2309037	7618	1997-03-15	VYDAJ	VYBER	7800	37933	\N	\N	\N
2309038	7618	1997-08-15	VYDAJ	VYBER	13200	21130	\N	\N	\N
2309039	7618	1998-01-14	VYDAJ	VYBER	3000	28110	\N	\N	\N
2309040	7618	1998-02-14	VYDAJ	VYBER	1800	23260	\N	\N	\N
2309041	7618	1998-05-26	VYDAJ	VYBER	3000	15860	\N	\N	\N
2309043	7618	1998-07-25	VYDAJ	VYBER	1500	39884	\N	\N	\N
2309044	7618	1998-06-11	VYDAJ	VYBER	6000	34538	\N	\N	\N
2309057	7618	1995-11-30	VYDAJ	VYBER	30	50057	SLUZBY	\N	\N
2309058	7618	1995-12-31	VYDAJ	VYBER	30	26965	SLUZBY	\N	\N
2309059	7618	1996-01-31	VYDAJ	VYBER	30	3610	SLUZBY	\N	\N
2309060	7618	1996-02-29	VYDAJ	VYBER	30	13751	SLUZBY	\N	\N
2309061	7618	1996-03-31	VYDAJ	VYBER	30	11763	SLUZBY	\N	\N
2309062	7618	1996-04-30	VYDAJ	VYBER	30	42416	SLUZBY	\N	\N
2309063	7618	1996-05-31	VYDAJ	VYBER	30	41306	SLUZBY	\N	\N
2309065	7618	1996-07-31	VYDAJ	VYBER	30	17287	SLUZBY	\N	\N
2309066	7618	1996-08-31	VYDAJ	VYBER	30	30685	SLUZBY	\N	\N
2309067	7618	1996-09-30	VYDAJ	VYBER	30	46977	SLUZBY	\N	\N
2309068	7618	1996-10-31	VYDAJ	VYBER	30	38376	SLUZBY	\N	\N
2309069	7618	1996-11-30	VYDAJ	VYBER	30	32439	SLUZBY	\N	\N
2309070	7618	1996-12-31	VYDAJ	VYBER	30	56018	SLUZBY	\N	\N
2309071	7618	1997-01-31	VYDAJ	VYBER	30	28661	SLUZBY	\N	\N
2309072	7618	1997-02-28	VYDAJ	VYBER	30	27609	SLUZBY	\N	\N
2309073	7618	1997-03-31	VYDAJ	VYBER	30	38157	SLUZBY	\N	\N
2309074	7618	1997-04-30	VYDAJ	VYBER	30	46557	SLUZBY	\N	\N
2309075	7618	1997-05-31	VYDAJ	VYBER	30	53751	SLUZBY	\N	\N
2309076	7618	1997-06-30	VYDAJ	VYBER	30	64075	SLUZBY	\N	\N
2309077	7618	1997-07-31	VYDAJ	VYBER	30	57871	SLUZBY	\N	\N
2309078	7618	1997-08-31	VYDAJ	VYBER	30	21288	SLUZBY	\N	\N
2309079	7618	1997-09-30	VYDAJ	VYBER	30	36968	SLUZBY	\N	\N
2309080	7618	1997-10-31	VYDAJ	VYBER	30	11606	SLUZBY	\N	\N
2309082	7618	1997-12-31	VYDAJ	VYBER	30	18906	SLUZBY	\N	\N
2309084	7618	1998-02-28	VYDAJ	VYBER	30	9096	SLUZBY	\N	\N
2309085	7618	1998-03-31	VYDAJ	VYBER	30	17418	SLUZBY	\N	\N
2309086	7618	1998-04-30	VYDAJ	VYBER	30	18473	SLUZBY	\N	\N
2309087	7618	1998-05-31	VYDAJ	VYBER	30	5102	SLUZBY	\N	\N
2309088	7618	1998-06-30	VYDAJ	VYBER	30	17760	SLUZBY	\N	\N
2309089	7618	1998-07-31	VYDAJ	VYBER	30	23285	SLUZBY	\N	\N
2309090	7618	1998-08-31	VYDAJ	VYBER	30	7563	SLUZBY	\N	\N
2309091	7618	1998-09-30	VYDAJ	VYBER	30	17089	SLUZBY	\N	\N
2309092	7618	1998-10-31	VYDAJ	VYBER	30	14396	SLUZBY	\N	\N
2309093	7618	1998-11-30	VYDAJ	VYBER	30	9022	SLUZBY	\N	\N
2309094	7618	1995-07-13	PRIJEM	VKLAD	2500	27124	\N	\N	\N
2309095	7618	1995-08-12	VYDAJ	VYBER	11400	39483	\N	\N	\N
2309096	7618	1995-09-11	VYDAJ	VYBER	16600	46754	\N	\N	\N
2309097	7618	1995-10-11	VYDAJ	VYBER	20800	49885	\N	\N	\N
2309098	7618	1995-11-10	VYDAJ	VYBER	24100	49745	\N	\N	\N
2309099	7618	1995-12-10	VYDAJ	VYBER	18900	48694	\N	\N	\N
2309100	7618	1996-01-09	VYDAJ	VYBER	12700	37889	\N	\N	\N
2309101	7618	1996-02-08	PRIJEM	VKLAD	12000	10378	\N	\N	\N
2309102	7618	1996-03-09	VYDAJ	VYBER	4500	32875	\N	\N	\N
2309103	7618	1996-04-08	PRIJEM	VKLAD	6800	18563	\N	\N	\N
2309104	7618	1996-05-08	VYDAJ	VYBER	11400	31016	\N	\N	\N
2309105	7618	1996-06-07	VYDAJ	VYBER	8500	25306	\N	\N	\N
2309106	7618	1996-07-07	PRIJEM	VKLAD	2700	16508	\N	\N	\N
2309107	7618	1996-08-06	PRIJEM	VKLAD	2200	19487	\N	\N	\N
2309108	7618	1996-09-05	VYDAJ	VYBER	2000	23049	\N	\N	\N
2309109	7618	1996-10-05	VYDAJ	VYBER	14300	32677	\N	\N	\N
2309110	7618	1996-11-04	VYDAJ	VYBER	8300	30076	\N	\N	\N
2309111	7618	1996-12-04	PRIJEM	VKLAD	1900	25339	\N	\N	\N
2309112	7618	1997-01-03	VYDAJ	VYBER	20400	35618	\N	\N	\N
2309113	7618	1997-02-02	VYDAJ	VYBER	7000	21661	\N	\N	\N
2309114	7618	1997-03-04	VYDAJ	VYBER	5500	22109	\N	\N	\N
2309115	7618	1997-04-03	VYDAJ	VYBER	15500	22657	\N	\N	\N
2309116	7618	1997-05-03	VYDAJ	VYBER	16800	29757	\N	\N	\N
2309117	7618	1997-06-02	VYDAJ	VYBER	25500	28251	\N	\N	\N
2309118	7618	1997-07-02	VYDAJ	VYBER	30200	33875	\N	\N	\N
2309119	7618	1997-08-01	VYDAJ	VYBER	29600	28271	\N	\N	\N
2309120	7618	1997-08-31	VYDAJ	VYBER	8000	13288	\N	\N	\N
2309121	7618	1997-09-30	VYDAJ	VYBER	19500	17468	\N	\N	\N
2309122	7618	1997-10-30	VYDAJ	VYBER	15400	11449	\N	\N	\N
2309123	7618	1997-11-29	VYDAJ	VYBER	3000	1401	\N	\N	\N
2309124	7618	1997-12-29	VYDAJ	VYBER	18000	18926	\N	\N	\N
2309125	7618	1998-01-28	VYDAJ	VYBER	6400	1310	\N	\N	\N
2309126	7618	1998-02-27	VYDAJ	VYBER	14200	9060	\N	\N	\N
2309127	7618	1998-03-29	VYDAJ	VYBER	15300	17420	\N	\N	\N
2309128	7618	1998-04-28	VYDAJ	VYBER	22600	18442	\N	\N	\N
2309129	7618	1998-05-28	VYDAJ	VYBER	10800	5060	\N	\N	\N
2309130	7618	1998-06-27	VYDAJ	VYBER	16900	17638	\N	\N	\N
2309131	7618	1998-07-27	VYDAJ	VYBER	16700	23184	\N	\N	\N
2309132	7618	1998-08-26	VYDAJ	VYBER	800	7483	\N	\N	\N
2309133	7618	1998-09-25	VYDAJ	VYBER	14100	17087	\N	\N	\N
2309134	7618	1998-10-25	VYDAJ	VYBER	18200	22513	\N	\N	\N
2309135	7618	1998-11-24	PRIJEM	VKLAD	3800	9008	\N	\N	\N
2309136	7618	1998-12-24	VYDAJ	VYBER	8700	18055	\N	\N	\N
2313264	7632	1996-09-22	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2313274	7632	1996-10-14	PRIJEM	VKLAD	22150	23150	\N	\N	\N
2313275	7632	1996-11-14	PRIJEM	VKLAD	22150	49737	\N	\N	\N
2313276	7632	1996-12-14	PRIJEM	VKLAD	33225	72994	\N	\N	\N
2313277	7632	1997-01-14	PRIJEM	VKLAD	22150	73025	\N	\N	\N
2313278	7632	1997-02-14	PRIJEM	VKLAD	22150	72485	\N	\N	\N
2313279	7632	1997-03-14	PRIJEM	VKLAD	22150	63602	\N	\N	\N
2313280	7632	1997-04-14	PRIJEM	VKLAD	22150	56325	\N	\N	\N
2313281	7632	1997-05-14	PRIJEM	VKLAD	22150	53017	\N	\N	\N
2313282	7632	1997-06-14	PRIJEM	VKLAD	33225	60073	\N	\N	\N
2313283	7632	1997-07-14	PRIJEM	VKLAD	22150	43703	\N	\N	\N
2313284	7632	1997-08-14	PRIJEM	VKLAD	22150	43752	\N	\N	\N
2313285	7632	1997-09-14	PRIJEM	VKLAD	22150	42302	\N	\N	\N
2313286	7632	1997-10-14	PRIJEM	VKLAD	22150	37557	\N	\N	\N
2313287	7632	1997-11-14	PRIJEM	VKLAD	22150	44987	\N	\N	\N
2313288	7632	1997-12-14	PRIJEM	VKLAD	33225	56581	\N	\N	\N
2313289	7632	1998-01-14	PRIJEM	VKLAD	22150	50626	\N	\N	\N
2313290	7632	1998-02-14	PRIJEM	VKLAD	22150	49833	\N	\N	\N
2313291	7632	1998-03-14	PRIJEM	VKLAD	22150	52774	\N	\N	\N
2313292	7632	1998-04-14	PRIJEM	VKLAD	22150	49102	\N	\N	\N
2313293	7632	1998-05-14	PRIJEM	VKLAD	22150	54733	\N	\N	\N
2313294	7632	1998-06-14	PRIJEM	VKLAD	33225	69659	\N	\N	\N
2313295	7632	1998-07-14	PRIJEM	VKLAD	22150	69542	\N	\N	\N
2313296	7632	1998-08-14	PRIJEM	VKLAD	22150	59705	\N	\N	\N
2313297	7632	1998-09-14	PRIJEM	VKLAD	22150	61692	\N	\N	\N
2313298	7632	1998-10-14	PRIJEM	VKLAD	22150	59096	\N	\N	\N
2313299	7632	1998-11-14	PRIJEM	VKLAD	22150	56848	\N	\N	\N
2313300	7632	1998-12-14	PRIJEM	VKLAD	33225	60922	\N	\N	\N
2313315	7632	1997-03-09	VYDAJ	PREVOD NA UCET	9629	41452	SIPO	KL	82218134
2313316	7632	1997-04-09	VYDAJ	PREVOD NA UCET	9629	36875	SIPO	KL	82218134
2313317	7632	1997-05-09	VYDAJ	PREVOD NA UCET	9629	30867	SIPO	KL	82218134
2313318	7632	1997-06-09	VYDAJ	PREVOD NA UCET	9629	26848	SIPO	KL	82218134
2313319	7632	1997-07-09	VYDAJ	PREVOD NA UCET	9629	21553	SIPO	KL	82218134
2313320	7632	1997-08-09	VYDAJ	PREVOD NA UCET	9629	25902	SIPO	KL	82218134
2313321	7632	1997-09-09	VYDAJ	PREVOD NA UCET	9629	20152	SIPO	KL	82218134
2313322	7632	1997-10-09	VYDAJ	PREVOD NA UCET	9629	15407	SIPO	KL	82218134
2313323	7632	1997-11-09	VYDAJ	PREVOD NA UCET	9629	22837	SIPO	KL	82218134
2313324	7632	1997-12-09	VYDAJ	PREVOD NA UCET	9629	23356	SIPO	KL	82218134
2313325	7632	1998-01-09	VYDAJ	PREVOD NA UCET	9629	32027	SIPO	KL	82218134
2313326	7632	1998-02-09	VYDAJ	PREVOD NA UCET	9629	31954	SIPO	KL	82218134
2313327	7632	1998-03-09	VYDAJ	PREVOD NA UCET	9629	34175	SIPO	KL	82218134
2313328	7632	1998-04-09	VYDAJ	PREVOD NA UCET	9629	30503	SIPO	KL	82218134
2313329	7632	1998-05-09	VYDAJ	PREVOD NA UCET	9629	36134	SIPO	KL	82218134
2313330	7632	1998-06-09	VYDAJ	PREVOD NA UCET	9629	39985	SIPO	KL	82218134
2313331	7632	1998-07-09	VYDAJ	PREVOD NA UCET	9629	50943	SIPO	KL	82218134
2313332	7632	1998-08-09	VYDAJ	PREVOD NA UCET	9629	44906	SIPO	KL	82218134
2313333	7632	1998-09-09	VYDAJ	PREVOD NA UCET	9629	50293	SIPO	KL	82218134
2313334	7632	1998-10-09	VYDAJ	PREVOD NA UCET	9629	52297	SIPO	KL	82218134
2313335	7632	1998-11-09	VYDAJ	PREVOD NA UCET	9629	45249	SIPO	KL	82218134
2313336	7632	1998-12-09	VYDAJ	PREVOD NA UCET	9629	43748	SIPO	KL	82218134
2313351	7632	1997-03-19	VYDAJ	VYBER	3500	60102	\N	\N	0
2313352	7632	1997-04-10	VYDAJ	VYBER	2700	34175	\N	\N	0
2313353	7632	1997-05-14	VYDAJ	VYBER	3200	49817	\N	\N	0
2313354	7632	1997-06-04	VYDAJ	VYBER	3400	36477	\N	\N	0
2313355	7632	1997-07-04	VYDAJ	VYBER	2600	32622	\N	\N	0
2313356	7632	1997-08-12	VYDAJ	VYBER	4300	21602	\N	\N	0
2313357	7632	1997-09-08	VYDAJ	VYBER	3000	29781	\N	\N	0
2313358	7632	1997-10-14	VYDAJ	VYBER	3700	33857	\N	\N	0
2313359	7632	1997-11-21	VYDAJ	VYBER	2700	38387	\N	\N	0
2313360	7632	1997-12-08	VYDAJ	VYBER	3300	32985	\N	\N	0
2313361	7632	1998-01-12	VYDAJ	PREVOD NA UCET	3551	28476	UVER	WX	61472195
2313362	7632	1998-02-12	VYDAJ	PREVOD NA UCET	3551	28403	UVER	WX	61472195
2313363	7632	1998-03-12	VYDAJ	PREVOD NA UCET	3551	30624	UVER	WX	61472195
2313364	7632	1998-04-12	VYDAJ	PREVOD NA UCET	3551	26952	UVER	WX	61472195
2313365	7632	1998-05-12	VYDAJ	PREVOD NA UCET	3551	32583	UVER	WX	61472195
2313366	7632	1998-06-12	VYDAJ	PREVOD NA UCET	3551	36434	UVER	WX	61472195
2313367	7632	1998-07-12	VYDAJ	PREVOD NA UCET	3551	47392	UVER	WX	61472195
2313368	7632	1998-08-12	VYDAJ	PREVOD NA UCET	3551	41355	UVER	WX	61472195
2313369	7632	1998-09-12	VYDAJ	PREVOD NA UCET	3551	46742	UVER	WX	61472195
2313370	7632	1998-10-12	VYDAJ	PREVOD NA UCET	3551	36946	UVER	WX	61472195
2313371	7632	1998-11-12	VYDAJ	PREVOD NA UCET	3551	34698	UVER	WX	61472195
2313372	7632	1998-12-12	VYDAJ	PREVOD NA UCET	3551	27697	UVER	WX	61472195
2313378	7632	1998-01-02	VYDAJ	VYBER	4480	41656	\N	\N	\N
2313380	7632	1997-12-08	VYDAJ	VYBER	2240	36285	\N	\N	\N
2313381	7632	1998-12-03	VYDAJ	VYBER	3680	53377	\N	\N	\N
2313389	7632	1997-06-18	VYDAJ	VYBER	3960	56113	\N	\N	\N
2313390	7632	1997-09-28	VYDAJ	VYBER	3960	24922	\N	\N	\N
2313391	7632	1997-09-23	VYDAJ	VYBER	2040	32962	\N	\N	\N
2313392	7632	1997-07-08	VYDAJ	VYBER	1440	31182	\N	\N	\N
2313394	7632	1997-09-25	VYDAJ	VYBER	4080	28882	\N	\N	\N
2313395	7632	1997-06-20	VYDAJ	VYBER	5040	35073	\N	\N	\N
2313396	7632	1998-12-24	VYDAJ	VYBER	5400	55522	\N	\N	\N
2313397	7632	1998-02-13	VYDAJ	VYBER	720	27683	\N	\N	\N
2313398	7632	1998-10-21	VYDAJ	VYBER	4440	54656	\N	\N	\N
2313399	7632	1998-08-01	VYDAJ	VYBER	960	54535	\N	\N	\N
2313414	7632	1997-02-28	VYDAJ	VYBER	15	51081	SLUZBY	\N	\N
2313415	7632	1997-03-31	VYDAJ	VYBER	15	46504	SLUZBY	\N	\N
2313416	7632	1997-04-30	VYDAJ	VYBER	15	40496	SLUZBY	\N	\N
2313417	7632	1997-05-31	VYDAJ	VYBER	15	39877	SLUZBY	\N	\N
2313418	7632	1997-06-30	VYDAJ	VYBER	15	35222	SLUZBY	\N	\N
2313419	7632	1997-07-31	VYDAJ	VYBER	15	35531	SLUZBY	\N	\N
2313420	7632	1997-08-31	VYDAJ	VYBER	15	32781	SLUZBY	\N	\N
2313421	7632	1997-09-30	VYDAJ	VYBER	15	25036	SLUZBY	\N	\N
2313422	7632	1997-10-31	VYDAJ	VYBER	15	32466	SLUZBY	\N	\N
2313423	7632	1997-11-30	VYDAJ	VYBER	15	38525	SLUZBY	\N	\N
2313424	7632	1997-12-31	VYDAJ	VYBER	15	46136	SLUZBY	\N	\N
2313425	7632	1998-01-31	VYDAJ	VYBER	15	41583	SLUZBY	\N	\N
2313426	7632	1998-02-28	VYDAJ	VYBER	15	43804	SLUZBY	\N	\N
2313427	7632	1998-03-31	VYDAJ	VYBER	15	40132	SLUZBY	\N	\N
2313428	7632	1998-04-30	VYDAJ	VYBER	15	45763	SLUZBY	\N	\N
2313429	7632	1998-05-31	VYDAJ	VYBER	15	49614	SLUZBY	\N	\N
2313430	7632	1998-06-30	VYDAJ	VYBER	15	60572	SLUZBY	\N	\N
2313431	7632	1998-07-31	VYDAJ	VYBER	15	55495	SLUZBY	\N	\N
2313432	7632	1998-08-31	VYDAJ	VYBER	15	59922	SLUZBY	\N	\N
2313433	7632	1998-09-30	VYDAJ	VYBER	15	61926	SLUZBY	\N	\N
2313434	7632	1998-10-31	VYDAJ	VYBER	15	54878	SLUZBY	\N	\N
2313435	7632	1998-11-30	VYDAJ	VYBER	15	57057	SLUZBY	\N	\N
2313436	7632	1996-10-22	PRIJEM	VKLAD	4400	27550	\N	\N	\N
2313437	7632	1996-11-21	VYDAJ	VYBER	10100	39637	\N	\N	\N
2313438	7632	1996-12-21	VYDAJ	VYBER	22300	50694	\N	\N	\N
2313439	7632	1997-01-20	VYDAJ	VYBER	22900	50125	\N	\N	\N
2313440	7632	1997-02-19	VYDAJ	VYBER	21600	50885	\N	\N	\N
2313441	7632	1997-03-21	VYDAJ	VYBER	13800	46302	\N	\N	\N
2313442	7632	1997-04-20	VYDAJ	VYBER	16000	40325	\N	\N	\N
2313443	7632	1997-05-20	VYDAJ	VYBER	10100	39717	\N	\N	\N
2313444	7632	1997-06-19	VYDAJ	VYBER	16000	40113	\N	\N	\N
2313445	7632	1997-07-19	VYDAJ	VYBER	8300	35403	\N	\N	\N
2313446	7632	1997-08-18	VYDAJ	VYBER	11100	32652	\N	\N	\N
2313447	7632	1997-09-17	VYDAJ	VYBER	7300	35002	\N	\N	\N
2313448	7632	1997-10-17	VYDAJ	VYBER	1500	32357	\N	\N	\N
2313449	7632	1997-11-16	VYDAJ	VYBER	3900	41087	\N	\N	\N
2313450	7632	1997-12-16	VYDAJ	VYBER	10600	45981	\N	\N	\N
2313451	7632	1998-01-15	VYDAJ	VYBER	9200	41426	\N	\N	\N
2313452	7632	1998-02-14	VYDAJ	VYBER	6200	43633	\N	\N	\N
2313453	7632	1998-03-16	VYDAJ	VYBER	12800	39974	\N	\N	\N
2313454	7632	1998-04-15	VYDAJ	VYBER	3500	45602	\N	\N	\N
2313455	7632	1998-05-15	VYDAJ	VYBER	5300	49433	\N	\N	\N
2313456	7632	1998-06-14	VYDAJ	VYBER	9300	60359	\N	\N	\N
2313457	7632	1998-07-14	VYDAJ	VYBER	14300	55242	\N	\N	\N
2313458	7632	1998-08-13	VYDAJ	VYBER	3800	37555	\N	\N	\N
2313459	7632	1998-09-12	VYDAJ	VYBER	7200	39542	\N	\N	\N
2313460	7632	1998-10-12	VYDAJ	VYBER	11800	40497	\N	\N	\N
2313461	7632	1998-11-11	VYDAJ	VYBER	7000	38249	\N	\N	\N
2313462	7632	1998-12-11	VYDAJ	VYBER	12500	31248	\N	\N	\N
2314667	7636	1996-10-08	PRIJEM	VKLAD	700	700	\N	\N	\N
2314674	7636	1996-10-18	PRIJEM	VKLAD	27950	28650	\N	\N	\N
2314678	7636	1996-11-12	PRIJEM	VKLAD	30509	59413	\N	\N	\N
2314682	7636	1996-12-18	PRIJEM	VKLAD	49762	106334	\N	\N	\N
2314685	7636	1996-12-23	PRIJEM	VKLAD	23295	92929	\N	\N	\N
2314687	7636	1996-11-23	PRIJEM	VKLAD	39161	98574	\N	\N	\N
2314689	7636	1996-12-06	PRIJEM	VKLAD	24254	123072	\N	\N	\N
2314694	7636	1997-04-23	PRIJEM	VKLAD	14507	60976	\N	\N	\N
2314695	7636	1997-06-11	PRIJEM	VKLAD	47490	86424	\N	\N	\N
2314696	7636	1997-02-02	PRIJEM	VKLAD	11861	30156	\N	\N	\N
2314697	7636	1997-02-19	PRIJEM	VKLAD	6378	28232	\N	\N	\N
2314698	7636	1997-03-13	PRIJEM	VKLAD	26216	46936	\N	\N	\N
2314699	7636	1997-12-19	PRIJEM	VKLAD	39887	65246	\N	\N	\N
2314700	7636	1997-08-02	PRIJEM	VKLAD	6578	31718	\N	\N	\N
2314701	7636	1997-09-20	PRIJEM	VKLAD	32180	54492	\N	\N	\N
2314702	7636	1997-06-15	PRIJEM	VKLAD	18538	104962	\N	\N	\N
2314703	7636	1997-03-26	PRIJEM	VKLAD	16703	77399	\N	\N	\N
2314704	7636	1997-06-01	PRIJEM	VKLAD	31226	58762	\N	\N	\N
2314705	7636	1997-03-17	PRIJEM	VKLAD	13760	60696	\N	\N	\N
2314706	7636	1997-12-23	PRIJEM	VKLAD	30517	95763	\N	\N	\N
2314707	7636	1997-04-24	PRIJEM	VKLAD	14346	75322	\N	\N	\N
2314708	7636	1997-03-27	PRIJEM	VKLAD	8482	85881	\N	\N	\N
2314709	7636	1997-06-27	PRIJEM	VKLAD	20222	61084	\N	\N	\N
2314710	7636	1997-10-23	PRIJEM	VKLAD	9090	49512	\N	\N	\N
2314723	7636	1997-01-09	VYDAJ	VYBER	4000	42630	\N	\N	0
2314724	7636	1997-02-17	VYDAJ	VYBER	3600	21854	\N	\N	0
2314725	7636	1997-03-10	VYDAJ	VYBER	2600	20720	\N	\N	0
2314726	7636	1997-04-02	VYDAJ	VYBER	4000	82071	\N	\N	0
2314727	7636	1997-05-16	VYDAJ	VYBER	3100	27394	\N	\N	0
2314728	7636	1997-06-20	VYDAJ	VYBER	3800	40862	\N	\N	0
2314729	7636	1997-07-04	VYDAJ	VYBER	3200	58106	\N	\N	0
2314730	7636	1997-08-19	VYDAJ	VYBER	3300	25216	\N	\N	0
2314731	7636	1997-09-09	VYDAJ	VYBER	3400	22312	\N	\N	0
2314732	7636	1997-10-11	VYDAJ	VYBER	2700	40422	\N	\N	0
2314733	7636	1997-11-02	VYDAJ	VYBER	2800	42387	\N	\N	0
2314734	7636	1997-12-03	VYDAJ	VYBER	3600	32961	\N	\N	0
2314735	7636	1998-01-14	VYDAJ	VYBER	4100	31554	\N	\N	0
2314736	7636	1998-02-12	VYDAJ	PREVOD NA UCET	3532	28178	UVER	KL	97231417
2314737	7636	1998-03-12	VYDAJ	PREVOD NA UCET	3532	29655	UVER	KL	97231417
2314738	7636	1998-04-12	VYDAJ	PREVOD NA UCET	3532	33033	UVER	KL	97231417
2314739	7636	1998-05-12	VYDAJ	PREVOD NA UCET	3532	32601	UVER	KL	97231417
2314740	7636	1998-06-12	VYDAJ	PREVOD NA UCET	3532	30879	UVER	KL	97231417
2314741	7636	1998-07-12	VYDAJ	PREVOD NA UCET	3532	21269	UVER	KL	97231417
2314742	7636	1998-08-12	VYDAJ	PREVOD NA UCET	3532	32430	UVER	KL	97231417
2314743	7636	1998-09-12	VYDAJ	PREVOD NA UCET	3532	35728	UVER	KL	97231417
2314744	7636	1998-10-12	VYDAJ	PREVOD NA UCET	3532	35038	UVER	KL	97231417
2314745	7636	1998-11-12	VYDAJ	PREVOD NA UCET	3532	27941	UVER	KL	97231417
2314746	7636	1998-12-12	VYDAJ	PREVOD NA UCET	3532	24919	UVER	KL	97231417
2314759	7636	1997-01-07	VYDAJ	PREVOD NA UCET	3077	52330	SIPO	CD	96037745
2314760	7636	1997-02-07	VYDAJ	PREVOD NA UCET	3077	25454	SIPO	CD	96037745
2314761	7636	1997-03-07	VYDAJ	PREVOD NA UCET	3077	23320	SIPO	CD	96037745
2314762	7636	1997-04-07	VYDAJ	PREVOD NA UCET	3077	52169	SIPO	CD	96037745
2314763	7636	1997-05-07	VYDAJ	PREVOD NA UCET	3077	51259	SIPO	CD	96037745
2314764	7636	1997-06-07	VYDAJ	PREVOD NA UCET	3077	38934	SIPO	CD	96037745
2314765	7636	1997-07-07	VYDAJ	PREVOD NA UCET	3077	39304	SIPO	CD	96037745
2314766	7636	1997-08-07	VYDAJ	PREVOD NA UCET	3077	28516	SIPO	CD	96037745
2314767	7636	1997-09-07	VYDAJ	PREVOD NA UCET	3077	25712	SIPO	CD	96037745
2314768	7636	1997-10-07	VYDAJ	PREVOD NA UCET	3077	43122	SIPO	CD	96037745
2314769	7636	1997-11-07	VYDAJ	PREVOD NA UCET	3077	38985	SIPO	CD	96037745
2314770	7636	1997-12-07	VYDAJ	PREVOD NA UCET	3077	25359	SIPO	CD	96037745
2314771	7636	1998-01-07	VYDAJ	PREVOD NA UCET	3077	58454	SIPO	CD	96037745
2314772	7636	1998-02-07	VYDAJ	PREVOD NA UCET	3077	31710	SIPO	CD	96037745
2314773	7636	1998-03-07	VYDAJ	PREVOD NA UCET	3077	33187	SIPO	CD	96037745
2314774	7636	1998-04-07	VYDAJ	PREVOD NA UCET	3077	36565	SIPO	CD	96037745
2314775	7636	1998-05-07	VYDAJ	PREVOD NA UCET	3077	36133	SIPO	CD	96037745
2314776	7636	1998-06-07	VYDAJ	PREVOD NA UCET	3077	34411	SIPO	CD	96037745
2314777	7636	1998-07-07	VYDAJ	PREVOD NA UCET	3077	24801	SIPO	CD	96037745
2314778	7636	1998-08-07	VYDAJ	PREVOD NA UCET	3077	35962	SIPO	CD	96037745
2314779	7636	1998-09-07	VYDAJ	PREVOD NA UCET	3077	39260	SIPO	CD	96037745
2314780	7636	1998-10-07	VYDAJ	PREVOD NA UCET	3077	38570	SIPO	CD	96037745
2314781	7636	1998-11-07	VYDAJ	PREVOD NA UCET	3077	31473	SIPO	CD	96037745
2314782	7636	1998-12-07	VYDAJ	PREVOD NA UCET	3077	28451	SIPO	CD	96037745
2314795	7636	1997-01-05	VYDAJ	PREVOD NA UCET	325	84807	 	CD	10650349
2314796	7636	1997-02-05	VYDAJ	PREVOD NA UCET	325	29831	 	CD	10650349
2314797	7636	1997-03-05	VYDAJ	PREVOD NA UCET	325	20597	 	CD	10650349
2314798	7636	1997-04-05	VYDAJ	PREVOD NA UCET	325	81746	 	CD	10650349
2314799	7636	1997-05-05	VYDAJ	PREVOD NA UCET	325	75236	 	CD	10650349
2314800	7636	1997-06-05	VYDAJ	PREVOD NA UCET	325	58437	 	CD	10650349
2314801	7636	1997-07-05	VYDAJ	PREVOD NA UCET	325	57781	 	CD	10650349
2314802	7636	1997-08-05	VYDAJ	PREVOD NA UCET	325	31593	 	CD	10650349
2314803	7636	1997-09-05	VYDAJ	PREVOD NA UCET	325	28789	 	CD	10650349
2314804	7636	1997-10-05	VYDAJ	PREVOD NA UCET	325	46199	 	CD	10650349
2314805	7636	1997-11-05	VYDAJ	PREVOD NA UCET	325	42062	 	CD	10650349
2314806	7636	1997-12-05	VYDAJ	PREVOD NA UCET	325	32636	 	CD	10650349
2314807	7636	1998-01-05	VYDAJ	PREVOD NA UCET	325	61531	 	CD	10650349
2314808	7636	1998-02-05	VYDAJ	PREVOD NA UCET	325	34787	 	CD	10650349
2314809	7636	1998-03-05	VYDAJ	PREVOD NA UCET	325	36264	 	CD	10650349
2314810	7636	1998-04-05	VYDAJ	PREVOD NA UCET	325	39642	 	CD	10650349
2314811	7636	1998-05-05	VYDAJ	PREVOD NA UCET	325	39210	 	CD	10650349
2314812	7636	1998-06-05	VYDAJ	PREVOD NA UCET	325	37488	 	CD	10650349
2314813	7636	1998-07-05	VYDAJ	PREVOD NA UCET	325	42578	 	CD	10650349
2314814	7636	1998-08-05	VYDAJ	PREVOD NA UCET	325	39039	 	CD	10650349
2314815	7636	1998-09-05	VYDAJ	PREVOD NA UCET	325	42337	 	CD	10650349
2314816	7636	1998-10-05	VYDAJ	PREVOD NA UCET	325	41647	 	CD	10650349
2314817	7636	1998-11-05	VYDAJ	PREVOD NA UCET	325	34550	 	CD	10650349
2314818	7636	1998-12-05	VYDAJ	PREVOD NA UCET	325	31528	 	CD	10650349
2314831	7636	1997-01-12	VYBER	VYBER	18172	24458	\N	\N	\N
2314832	7636	1997-07-27	VYBER	VYBER	5909	24995	\N	\N	\N
2314834	7636	1997-12-28	VYBER	VYBER	18697	77066	\N	\N	\N
2314835	7636	1997-11-11	VYBER	VYBER	3735	25650	\N	\N	\N
2314840	7636	1997-03-04	VYBER	VYBER	7402	20922	\N	\N	\N
2314841	7636	1997-06-07	VYBER	VYBER	5926	42011	\N	\N	\N
2314842	7636	1997-05-08	VYBER	VYBER	20765	30494	\N	\N	\N
2314845	7636	1997-06-19	VYDAJ	VYBER	60300	44662	\N	\N	\N
2314850	7636	1996-12-25	VYDAJ	VYBER	2100	90829	\N	\N	\N
2314851	7636	1997-12-06	VYDAJ	VYBER	4200	28436	\N	\N	\N
2314852	7636	1998-12-02	VYDAJ	VYBER	2100	31853	\N	\N	\N
2314860	7636	1997-01-04	VYDAJ	VYBER	3600	87532	\N	\N	\N
2314861	7636	1997-01-08	VYDAJ	VYBER	5700	46630	\N	\N	\N
2314862	7636	1997-01-17	VYDAJ	VYBER	3000	21458	\N	\N	\N
2314863	7636	1997-01-18	VYDAJ	VYBER	3300	18158	\N	\N	\N
2314864	7636	1997-01-04	VYDAJ	VYBER	2400	85132	\N	\N	\N
2314865	7636	1998-01-24	VYDAJ	VYBER	5700	23454	\N	\N	\N
2314866	7636	1998-01-09	VYDAJ	VYBER	3900	54554	\N	\N	\N
2314868	7636	1998-01-10	VYDAJ	VYBER	6900	47654	\N	\N	\N
2314869	7636	1998-01-11	VYDAJ	VYBER	5700	41954	\N	\N	\N
2314870	7636	1998-01-23	VYDAJ	VYBER	2400	29154	\N	\N	\N
2314875	7636	1997-04-09	VYDAJ	VYBER	5700	46469	\N	\N	\N
2314876	7636	1997-11-08	VYDAJ	VYBER	9600	29385	\N	\N	\N
2314877	7636	1997-07-20	VYDAJ	VYBER	8400	30904	\N	\N	\N
2314879	7636	1998-04-13	VYDAJ	VYBER	9000	24033	\N	\N	\N
2314881	7636	1998-05-24	VYDAJ	VYBER	9600	23001	\N	\N	\N
2314882	7636	1998-10-27	VYDAJ	VYBER	10800	24238	\N	\N	\N
2314883	7636	1998-07-06	VYDAJ	VYBER	14700	27878	\N	\N	\N
2314884	7636	1998-01-13	VYDAJ	VYBER	6300	35654	\N	\N	\N
2314897	7636	1996-12-31	VYDAJ	VYBER	15	91132	SLUZBY	\N	\N
2314898	7636	1997-01-31	VYDAJ	VYBER	15	18295	SLUZBY	\N	\N
2314899	7636	1997-02-28	VYDAJ	VYBER	15	28324	SLUZBY	\N	\N
2314900	7636	1997-03-31	VYDAJ	VYBER	15	86071	SLUZBY	\N	\N
2314901	7636	1997-04-30	VYDAJ	VYBER	15	75561	SLUZBY	\N	\N
2314902	7636	1997-05-31	VYDAJ	VYBER	15	27536	SLUZBY	\N	\N
2314903	7636	1997-06-30	VYDAJ	VYBER	15	61306	SLUZBY	\N	\N
2314904	7636	1997-07-31	VYDAJ	VYBER	15	25140	SLUZBY	\N	\N
2314905	7636	1997-08-31	VYDAJ	VYBER	15	25314	SLUZBY	\N	\N
2314906	7636	1997-09-30	VYDAJ	VYBER	15	54624	SLUZBY	\N	\N
2314907	7636	1997-10-31	VYDAJ	VYBER	15	49687	SLUZBY	\N	\N
2314908	7636	1997-11-30	VYDAJ	VYBER	15	25761	SLUZBY	\N	\N
2314909	7636	1997-12-31	VYDAJ	VYBER	15	77256	SLUZBY	\N	\N
2314910	7636	1998-01-31	VYDAJ	VYBER	15	35112	SLUZBY	\N	\N
2314911	7636	1998-02-28	VYDAJ	VYBER	15	28289	SLUZBY	\N	\N
2314912	7636	1998-03-31	VYDAJ	VYBER	15	29767	SLUZBY	\N	\N
2314913	7636	1998-04-30	VYDAJ	VYBER	15	24135	SLUZBY	\N	\N
2314914	7636	1998-05-31	VYDAJ	VYBER	15	37813	SLUZBY	\N	\N
2314915	7636	1998-06-30	VYDAJ	VYBER	15	42903	SLUZBY	\N	\N
2314916	7636	1998-07-31	VYDAJ	VYBER	15	39364	SLUZBY	\N	\N
2314917	7636	1998-08-31	VYDAJ	VYBER	15	42662	SLUZBY	\N	\N
2314918	7636	1998-09-30	VYDAJ	VYBER	15	41972	SLUZBY	\N	\N
2314919	7636	1998-10-31	VYDAJ	VYBER	15	34875	SLUZBY	\N	\N
2314920	7636	1998-11-30	VYDAJ	VYBER	15	33953	SLUZBY	\N	\N
2314921	7636	1996-11-07	PRIJEM	VKLAD	200	28904	\N	\N	\N
2314922	7636	1996-12-06	VYDAJ	VYBER	42500	80572	\N	\N	\N
2314923	7636	1996-12-07	VYDAJ	VYBER	24000	56572	\N	\N	\N
2314924	7636	1996-12-18	VYDAJ	VYBER	36700	69634	\N	\N	\N
2314925	7636	1997-01-06	VYDAJ	VYBER	29400	55407	\N	\N	\N
2314926	7636	1997-02-05	VYDAJ	VYBER	1300	28531	\N	\N	\N
2314927	7636	1997-03-07	PRIJEM	VKLAD	5800	26397	\N	\N	\N
2314928	7636	1997-04-06	VYDAJ	VYBER	26500	55246	\N	\N	\N
2314929	7636	1997-05-06	VYDAJ	VYBER	20900	54336	\N	\N	\N
2314930	7636	1997-06-05	VYDAJ	VYBER	10500	47937	\N	\N	\N
2314931	7636	1997-07-05	VYDAJ	VYBER	15400	42381	\N	\N	\N
2314932	7636	1997-08-04	PRIJEM	VKLAD	200	31918	\N	\N	\N
2314933	7636	1997-09-03	PRIJEM	VKLAD	3800	29114	\N	\N	\N
2314934	7636	1997-10-03	VYDAJ	VYBER	8100	46524	\N	\N	\N
2314935	7636	1997-11-02	VYDAJ	VYBER	4500	45187	\N	\N	\N
2314936	7636	1997-12-02	PRIJEM	VKLAD	10800	36561	\N	\N	\N
2314937	7636	1998-01-01	VYDAJ	VYBER	15400	61856	\N	\N	\N
2314938	7636	1998-01-31	PRIJEM	VKLAD	11500	34954	\N	\N	\N
2314939	7636	1998-03-02	PRIJEM	VKLAD	8300	36589	\N	\N	\N
2314940	7636	1998-04-01	PRIJEM	VKLAD	10200	39967	\N	\N	\N
2314941	7636	1998-05-01	PRIJEM	VKLAD	15400	39535	\N	\N	\N
2314942	7636	1998-05-31	PRIJEM	VKLAD	14700	37701	\N	\N	\N
2314943	7636	1998-06-30	PRIJEM	VKLAD	11900	42779	\N	\N	\N
2314944	7636	1998-07-30	PRIJEM	VKLAD	18000	39269	\N	\N	\N
2314945	7636	1998-08-29	PRIJEM	VKLAD	10100	42530	\N	\N	\N
2314946	7636	1998-09-28	PRIJEM	VKLAD	6100	41828	\N	\N	\N
2314947	7636	1998-10-28	PRIJEM	VKLAD	10500	34738	\N	\N	\N
2314948	7636	1998-11-27	PRIJEM	VKLAD	5900	33841	\N	\N	\N
2314949	7636	1998-12-27	PRIJEM	VKLAD	5200	30119	\N	\N	\N
2314977	7637	1996-08-19	PRIJEM	VKLAD	900	900	\N	\N	\N
2314986	7637	1996-09-08	PRIJEM	VKLAD	24119	25019	\N	\N	\N
2314987	7637	1996-10-08	PRIJEM	VKLAD	24119	48282	\N	\N	\N
2314988	7637	1996-11-08	PRIJEM	VKLAD	24119	61626	\N	\N	\N
2314989	7637	1996-12-08	PRIJEM	VKLAD	36178	77467	\N	\N	\N
2314990	7637	1997-01-08	PRIJEM	VKLAD	24119	75678	\N	\N	\N
2314991	7637	1997-02-08	PRIJEM	VKLAD	24119	59197	\N	\N	\N
2314992	7637	1997-03-08	PRIJEM	VKLAD	24119	50194	\N	\N	\N
2314993	7637	1997-04-08	PRIJEM	VKLAD	24119	51938	\N	\N	\N
2314994	7637	1997-05-08	PRIJEM	VKLAD	24119	52765	\N	\N	\N
2314995	7637	1997-06-08	PRIJEM	VKLAD	36178	68181	\N	\N	\N
2314996	7637	1997-07-08	PRIJEM	VKLAD	24119	39874	\N	\N	\N
2314997	7637	1997-08-08	PRIJEM	VKLAD	24119	50895	\N	\N	\N
2314998	7637	1997-09-08	PRIJEM	VKLAD	24119	52648	\N	\N	\N
2314999	7637	1997-10-08	PRIJEM	VKLAD	24119	59311	\N	\N	\N
2315000	7637	1997-11-08	PRIJEM	VKLAD	24119	59586	\N	\N	\N
2315001	7637	1997-12-08	PRIJEM	VKLAD	36178	71720	\N	\N	\N
2315002	7637	1998-01-08	PRIJEM	VKLAD	24119	61237	\N	\N	\N
2315003	7637	1998-02-08	PRIJEM	VKLAD	24119	59411	\N	\N	\N
2315004	7637	1998-03-08	PRIJEM	VKLAD	24119	60306	\N	\N	\N
2315005	7637	1998-04-08	PRIJEM	VKLAD	24119	64007	\N	\N	\N
2315006	7637	1998-05-08	PRIJEM	VKLAD	24119	62437	\N	\N	\N
2315007	7637	1998-06-08	PRIJEM	VKLAD	36178	74379	\N	\N	\N
2315008	7637	1998-07-08	PRIJEM	VKLAD	24119	53480	\N	\N	\N
2315009	7637	1998-08-08	PRIJEM	VKLAD	24119	60147	\N	\N	\N
2315010	7637	1998-09-08	PRIJEM	VKLAD	24119	67744	\N	\N	\N
2315011	7637	1998-10-08	PRIJEM	VKLAD	24119	70757	\N	\N	\N
2315012	7637	1998-11-08	PRIJEM	VKLAD	24119	72744	\N	\N	\N
2315013	7637	1998-12-08	PRIJEM	VKLAD	36178	90452	\N	\N	\N
2315027	7637	1997-02-06	VYDAJ	PREVOD NA UCET	9397	35078	SIPO	GH	40997958
2315028	7637	1997-03-06	VYDAJ	PREVOD NA UCET	9397	26075	SIPO	GH	40997958
2315029	7637	1997-04-06	VYDAJ	PREVOD NA UCET	9397	27819	SIPO	GH	40997958
2315030	7637	1997-05-06	VYDAJ	PREVOD NA UCET	9397	28646	SIPO	GH	40997958
2315031	7637	1997-06-06	VYDAJ	PREVOD NA UCET	9397	32003	SIPO	GH	40997958
2315032	7637	1997-07-06	VYDAJ	PREVOD NA UCET	9397	15755	SIPO	GH	40997958
2315033	7637	1997-08-06	VYDAJ	PREVOD NA UCET	9397	26776	SIPO	GH	40997958
2315034	7637	1997-09-06	VYDAJ	PREVOD NA UCET	9397	28529	SIPO	GH	40997958
2315035	7637	1997-10-06	VYDAJ	PREVOD NA UCET	9397	35192	SIPO	GH	40997958
2315036	7637	1997-11-06	VYDAJ	PREVOD NA UCET	9397	35467	SIPO	GH	40997958
2315037	7637	1997-12-06	VYDAJ	PREVOD NA UCET	9397	35542	SIPO	GH	40997958
2315038	7637	1998-01-06	VYDAJ	PREVOD NA UCET	9397	37118	SIPO	GH	40997958
2315039	7637	1998-02-06	VYDAJ	PREVOD NA UCET	9397	35292	SIPO	GH	40997958
2315040	7637	1998-03-06	VYDAJ	PREVOD NA UCET	9397	36187	SIPO	GH	40997958
2315041	7637	1998-04-06	VYDAJ	PREVOD NA UCET	9397	39888	SIPO	GH	40997958
2315042	7637	1998-05-06	VYDAJ	PREVOD NA UCET	9397	38318	SIPO	GH	40997958
2315043	7637	1998-06-06	VYDAJ	PREVOD NA UCET	9397	38201	SIPO	GH	40997958
2315044	7637	1998-07-06	VYDAJ	PREVOD NA UCET	9397	29361	SIPO	GH	40997958
2315045	7637	1998-08-06	VYDAJ	PREVOD NA UCET	9397	36028	SIPO	GH	40997958
2315046	7637	1998-09-06	VYDAJ	PREVOD NA UCET	9397	43625	SIPO	GH	40997958
2315047	7637	1998-10-06	VYDAJ	PREVOD NA UCET	9397	46638	SIPO	GH	40997958
2315048	7637	1998-11-06	VYDAJ	PREVOD NA UCET	9397	41225	SIPO	GH	40997958
2315049	7637	1998-12-06	VYDAJ	PREVOD NA UCET	9397	50774	SIPO	GH	40997958
2315062	7637	1997-01-10	VYDAJ	VYBER	7900	67778	\N	\N	0
2315063	7637	1997-02-12	VYDAJ	PREVOD NA UCET	8127	51070	UVER	YZ	40161162
2315064	7637	1997-03-12	VYDAJ	PREVOD NA UCET	8127	42067	UVER	YZ	40161162
2315065	7637	1997-04-12	VYDAJ	PREVOD NA UCET	8127	43811	UVER	YZ	40161162
2315066	7637	1997-05-12	VYDAJ	PREVOD NA UCET	8127	44638	UVER	YZ	40161162
2315067	7637	1997-06-12	VYDAJ	PREVOD NA UCET	8127	57054	UVER	YZ	40161162
2315068	7637	1997-07-12	VYDAJ	PREVOD NA UCET	8127	31747	UVER	YZ	40161162
2315069	7637	1997-08-12	VYDAJ	PREVOD NA UCET	8127	42768	UVER	YZ	40161162
2315070	7637	1997-09-12	VYDAJ	PREVOD NA UCET	8127	44521	UVER	YZ	40161162
2315071	7637	1997-10-12	VYDAJ	PREVOD NA UCET	8127	51184	UVER	YZ	40161162
2315072	7637	1997-11-12	VYDAJ	PREVOD NA UCET	8127	44759	UVER	YZ	40161162
2315073	7637	1997-12-12	VYDAJ	PREVOD NA UCET	8127	63593	UVER	YZ	40161162
2315074	7637	1998-01-12	VYDAJ	PREVOD NA UCET	8127	44510	UVER	YZ	40161162
2315075	7637	1998-02-12	VYDAJ	PREVOD NA UCET	8127	45404	UVER	YZ	40161162
2315076	7637	1998-03-12	VYDAJ	PREVOD NA UCET	8127	52079	UVER	YZ	40161162
2315077	7637	1998-04-12	VYDAJ	PREVOD NA UCET	8127	48480	UVER	YZ	40161162
2315078	7637	1998-05-12	VYDAJ	PREVOD NA UCET	8127	47410	UVER	YZ	40161162
2315079	7637	1998-06-12	VYDAJ	PREVOD NA UCET	8127	38592	UVER	YZ	40161162
2315080	7637	1998-07-12	VYDAJ	PREVOD NA UCET	8127	45253	UVER	YZ	40161162
2315081	7637	1998-08-12	VYDAJ	PREVOD NA UCET	8127	52820	UVER	YZ	40161162
2315082	7637	1998-09-12	VYDAJ	PREVOD NA UCET	8127	55817	UVER	YZ	40161162
2315083	7637	1998-10-12	VYDAJ	PREVOD NA UCET	8127	55930	UVER	YZ	40161162
2315084	7637	1998-11-12	VYDAJ	PREVOD NA UCET	8127	64617	UVER	YZ	40161162
2315085	7637	1998-12-12	VYDAJ	PREVOD NA UCET	8127	82325	UVER	YZ	40161162
2315087	7637	1997-06-28	VYDAJ	VYBER	20480	24974	\N	\N	\N
2315088	7637	1998-06-08	VYDAJ	VYBER	36160	38219	\N	\N	\N
2315090	7637	1997-12-25	VYDAJ	VYBER	1920	48353	\N	\N	\N
2315091	7637	1998-12-23	VYDAJ	VYBER KARTOU	2200	80125	\N	\N	0
2315098	7637	1997-06-08	VYDAJ	VYBER	3000	65181	\N	\N	\N
2315099	7637	1997-04-13	VYDAJ	VYBER	3720	40091	\N	\N	\N
2315100	7637	1997-09-04	VYDAJ	VYBER	3000	37926	\N	\N	\N
2315101	7637	1997-08-29	VYDAJ	VYBER	600	40768	\N	\N	\N
2315102	7637	1997-12-20	VYDAJ	VYBER	2520	50273	\N	\N	\N
2315103	7637	1997-02-13	VYDAJ	VYBER	5160	45910	\N	\N	\N
2315104	7637	1998-03-21	VYDAJ	VYBER	3000	49079	\N	\N	\N
2315105	7637	1998-01-02	VYDAJ	VYBER	2040	46515	\N	\N	\N
2315106	7637	1998-05-01	VYDAJ	VYBER	960	47715	\N	\N	\N
2315107	7637	1998-02-08	VYDAJ	VYBER	1080	58331	\N	\N	\N
2315108	7637	1998-10-18	VYDAJ	VYBER	5520	50410	\N	\N	\N
2315109	7637	1998-11-15	VYDAJ	VYBER	4680	59937	\N	\N	\N
2315123	7637	1997-01-31	VYDAJ	VYBER	15	44475	SLUZBY	\N	\N
2315124	7637	1997-02-28	VYDAJ	VYBER	15	35472	SLUZBY	\N	\N
2315125	7637	1997-03-31	VYDAJ	VYBER	15	37216	SLUZBY	\N	\N
2315126	7637	1997-04-30	VYDAJ	VYBER	15	38043	SLUZBY	\N	\N
2315127	7637	1997-05-31	VYDAJ	VYBER	15	41400	SLUZBY	\N	\N
2315128	7637	1997-06-30	VYDAJ	VYBER	15	25152	SLUZBY	\N	\N
2315129	7637	1997-07-31	VYDAJ	VYBER	15	36173	SLUZBY	\N	\N
2315130	7637	1997-08-31	VYDAJ	VYBER	15	40926	SLUZBY	\N	\N
2315131	7637	1997-09-30	VYDAJ	VYBER	15	44589	SLUZBY	\N	\N
2315132	7637	1997-10-31	VYDAJ	VYBER	15	44864	SLUZBY	\N	\N
2315133	7637	1997-11-30	VYDAJ	VYBER	15	44939	SLUZBY	\N	\N
2315134	7637	1997-12-31	VYDAJ	VYBER	15	48555	SLUZBY	\N	\N
2315135	7637	1998-01-31	VYDAJ	VYBER	15	44689	SLUZBY	\N	\N
2315136	7637	1998-02-28	VYDAJ	VYBER	15	45584	SLUZBY	\N	\N
2315137	7637	1998-03-31	VYDAJ	VYBER	15	49285	SLUZBY	\N	\N
2315138	7637	1998-04-30	VYDAJ	VYBER	15	48675	SLUZBY	\N	\N
2315139	7637	1998-05-31	VYDAJ	VYBER	15	47598	SLUZBY	\N	\N
2315140	7637	1998-06-30	VYDAJ	VYBER	15	38758	SLUZBY	\N	\N
2315141	7637	1998-07-31	VYDAJ	VYBER	15	45425	SLUZBY	\N	\N
2315142	7637	1998-08-31	VYDAJ	VYBER	15	53022	SLUZBY	\N	\N
2315143	7637	1998-09-30	VYDAJ	VYBER	15	56035	SLUZBY	\N	\N
2315144	7637	1998-10-31	VYDAJ	VYBER	15	50622	SLUZBY	\N	\N
2315145	7637	1998-11-30	VYDAJ	VYBER	15	60171	SLUZBY	\N	\N
2315146	7637	1996-09-18	VYDAJ	VYBER	900	24119	\N	\N	\N
2315147	7637	1996-10-18	VYDAJ	VYBER	10900	37382	\N	\N	\N
2315148	7637	1996-11-17	VYDAJ	VYBER	20500	41126	\N	\N	\N
2315149	7637	1996-12-17	VYDAJ	VYBER	26100	51367	\N	\N	\N
2315150	7637	1997-01-16	VYDAJ	VYBER	23500	44278	\N	\N	\N
2315151	7637	1997-02-15	VYDAJ	VYBER	10600	35310	\N	\N	\N
2315152	7637	1997-03-17	VYDAJ	VYBER	5000	37067	\N	\N	\N
2315153	7637	1997-04-16	VYDAJ	VYBER	2200	37891	\N	\N	\N
2315154	7637	1997-05-16	VYDAJ	VYBER	3400	41238	\N	\N	\N
2315155	7637	1997-06-15	VYDAJ	VYBER	11600	45454	\N	\N	\N
2315156	7637	1997-07-15	PRIJEM	VKLAD	4300	36047	\N	\N	\N
2315157	7637	1997-08-14	VYDAJ	VYBER	1400	41368	\N	\N	\N
2315158	7637	1997-09-13	VYDAJ	VYBER	100	44421	\N	\N	\N
2315159	7637	1997-10-13	VYDAJ	VYBER	6500	44684	\N	\N	\N
2315160	7637	1997-11-12	VYDAJ	VYBER	6700	52886	\N	\N	\N
2315161	7637	1997-12-12	VYDAJ	VYBER	10800	52793	\N	\N	\N
2315162	7637	1998-01-11	VYDAJ	VYBER	8600	52637	\N	\N	\N
2315163	7637	1998-02-10	VYDAJ	VYBER	4800	53531	\N	\N	\N
2315164	7637	1998-03-12	VYDAJ	VYBER	100	60206	\N	\N	\N
2315165	7637	1998-04-11	VYDAJ	VYBER	7400	56607	\N	\N	\N
2315166	7637	1998-05-11	VYDAJ	VYBER	6900	55537	\N	\N	\N
2315167	7637	1998-06-10	PRIJEM	VKLAD	8500	46719	\N	\N	\N
2315168	7637	1998-07-10	VYDAJ	VYBER KARTOU	100	53380	\N	\N	0
2315169	7637	1998-08-09	PRIJEM	VKLAD	800	60947	\N	\N	\N
2315170	7637	1998-09-08	VYDAJ	VYBER KARTOU	3800	63944	\N	\N	0
2315171	7637	1998-10-08	VYDAJ	VYBER	6700	64057	\N	\N	\N
2315172	7637	1998-11-07	PRIJEM	VKLAD	7400	48625	\N	\N	\N
2315173	7637	1998-12-07	PRIJEM	VKLAD	3500	54274	\N	\N	\N
2326135	7674	1996-07-21	PRIJEM	VKLAD	800	800	\N	\N	\N
2326137	7674	1996-07-22	PRIJEM	VKLAD	29998	30798	\N	\N	\N
2326138	7674	1996-08-24	PRIJEM	VKLAD	26301	77093	\N	\N	\N
2326142	7674	1996-10-22	PRIJEM	VKLAD	7087	43692	\N	\N	\N
2326143	7674	1996-10-23	PRIJEM	VKLAD	35308	79000	\N	\N	\N
2326147	7674	1996-08-27	PRIJEM	VKLAD	28154	105247	\N	\N	\N
2326148	7674	1996-11-07	PRIJEM	VKLAD	27479	95666	\N	\N	\N
2326149	7674	1996-09-15	PRIJEM	VKLAD	8756	86292	\N	\N	\N
2326150	7674	1996-10-04	PRIJEM	VKLAD	18943	74607	\N	\N	\N
2326151	7674	1996-10-05	PRIJEM	VKLAD	31358	105965	\N	\N	\N
2326154	7674	1996-08-06	PRIJEM	VKLAD	49353	80192	\N	\N	\N
2326155	7674	1997-03-03	PRIJEM	VKLAD	20243	88409	\N	\N	\N
2326156	7674	1997-12-24	PRIJEM	VKLAD	36517	97772	\N	\N	\N
2326157	7674	1997-05-09	PRIJEM	VKLAD	35998	88868	\N	\N	\N
2326158	7674	1997-08-21	PRIJEM	VKLAD	35951	117568	\N	\N	\N
2326159	7674	1997-03-12	PRIJEM	VKLAD	9655	89204	\N	\N	\N
2326160	7674	1997-06-11	PRIJEM	VKLAD	12635	95283	\N	\N	\N
2326161	7674	1997-08-30	PRIJEM	VKLAD	13759	109927	\N	\N	\N
2326162	7674	1997-10-20	PRIJEM	VKLAD	40103	108697	\N	\N	\N
2326163	7674	1997-01-29	PRIJEM	VKLAD	40744	62385	\N	\N	\N
2326164	7674	1997-03-13	PRIJEM	VKLAD	10880	100084	\N	\N	\N
2326165	7674	1997-05-14	PRIJEM	VKLAD	28946	102691	\N	\N	\N
2326166	7674	1997-07-22	PRIJEM	VKLAD	5618	67437	\N	\N	\N
2326167	7674	1997-07-27	PRIJEM	VKLAD	34870	102307	\N	\N	\N
2326168	7674	1997-12-02	PRIJEM	VKLAD	43491	117825	\N	\N	\N
2326169	7674	1997-08-16	PRIJEM	VKLAD	11707	81617	\N	\N	\N
2326170	7674	1997-04-25	PRIJEM	VKLAD	23834	104259	\N	\N	\N
2326171	7674	1997-05-13	PRIJEM	VKLAD	49097	126645	\N	\N	\N
2326172	7674	1997-11-19	PRIJEM	VKLAD	39035	108090	\N	\N	\N
2326173	7674	1997-10-16	PRIJEM	VKLAD	39145	68594	\N	\N	\N
2326174	7674	1997-04-24	PRIJEM	VKLAD	23671	80425	\N	\N	\N
2326175	7674	1997-08-09	PRIJEM	VKLAD	28690	129830	\N	\N	\N
2326176	7674	1997-06-05	PRIJEM	VKLAD	44906	131825	\N	\N	\N
2326177	7674	1997-12-08	PRIJEM	VKLAD	42815	99963	\N	\N	\N
2326178	7674	1997-02-12	PRIJEM	VKLAD	19125	72732	\N	\N	\N
2326179	7674	1997-05-26	PRIJEM	VKLAD	9618	86609	\N	\N	\N
2326180	7674	1997-06-18	PRIJEM	VKLAD	24829	83792	\N	\N	\N
2326181	7674	1997-04-28	PRIJEM	VKLAD	11225	111584	\N	\N	\N
2326182	7674	1997-02-15	PRIJEM	VKLAD	41771	101103	\N	\N	\N
2326183	7674	1997-04-19	PRIJEM	VKLAD	6054	56754	\N	\N	\N
2326184	7674	1998-03-01	PRIJEM	VKLAD	49595	80614	\N	\N	\N
2326185	7674	1998-07-08	PRIJEM	VKLAD	46405	71983	\N	\N	\N
2326186	7674	1998-08-14	PRIJEM	VKLAD	7685	35843	\N	\N	\N
2326187	7674	1998-04-19	PRIJEM	VKLAD	41624	83920	\N	\N	\N
2326188	7674	1998-09-09	PRIJEM	VKLAD	31381	65870	\N	\N	\N
2326189	7674	1998-05-25	PRIJEM	VKLAD	45470	94888	\N	\N	\N
2326190	7674	1998-09-26	PRIJEM	VKLAD	26205	58544	\N	\N	\N
2326200	7674	1996-10-16	VYDAJ	VYBER	3400	44305	\N	\N	0
2326201	7674	1996-11-06	VYDAJ	VYBER	3600	68187	\N	\N	0
2326202	7674	1996-12-18	VYDAJ	VYBER	3400	34423	\N	\N	0
2326203	7674	1997-01-02	VYDAJ	VYBER	4000	21801	\N	\N	0
2326204	7674	1997-02-14	VYDAJ	VYBER	2900	59332	\N	\N	0
2326205	7674	1997-03-15	VYDAJ	VYBER	3300	96784	\N	\N	0
2326206	7674	1997-04-12	VYDAJ	PREVOD NA UCET	3937	58200	UVER	GH	13693094
2326207	7674	1997-05-12	VYDAJ	PREVOD NA UCET	3937	77548	UVER	GH	13693094
2326208	7674	1997-06-12	VYDAJ	PREVOD NA UCET	3937	83963	UVER	GH	13693094
2326209	7674	1997-07-12	VYDAJ	PREVOD NA UCET	3937	71319	UVER	GH	13693094
2326210	7674	1997-08-12	VYDAJ	PREVOD NA UCET	3937	94710	UVER	GH	13693094
2326211	7674	1997-09-12	VYDAJ	PREVOD NA UCET	3937	28905	UVER	GH	13693094
2326212	7674	1997-10-12	VYDAJ	PREVOD NA UCET	3937	17249	UVER	GH	13693094
2326213	7674	1997-11-12	VYDAJ	PREVOD NA UCET	3937	96155	UVER	GH	13693094
2326214	7674	1997-12-12	VYDAJ	PREVOD NA UCET	3937	87143	UVER	GH	13693094
2326215	7674	1998-01-12	VYDAJ	PREVOD NA UCET	3937	66219	UVER	GH	13693094
2326216	7674	1998-02-12	VYDAJ	PREVOD NA UCET	3937	30900	UVER	GH	13693094
2326217	7674	1998-03-12	VYDAJ	PREVOD NA UCET	3937	51798	UVER	GH	13693094
2326218	7674	1998-04-12	VYDAJ	PREVOD NA UCET	3937	42296	UVER	GH	13693094
2326219	7674	1998-05-12	VYDAJ	PREVOD NA UCET	3937	49418	UVER	GH	13693094
2326220	7674	1998-06-12	VYDAJ	PREVOD NA UCET	3937	35002	UVER	GH	13693094
2326221	7674	1998-07-12	VYDAJ	PREVOD NA UCET	3937	43219	UVER	GH	13693094
2326222	7674	1998-08-12	VYDAJ	PREVOD NA UCET	3937	28158	UVER	GH	13693094
2326223	7674	1998-09-12	VYDAJ	PREVOD NA UCET	3937	50450	UVER	GH	13693094
2326224	7674	1998-10-12	VYDAJ	PREVOD NA UCET	3937	17919	UVER	GH	13693094
2326225	7674	1998-11-12	VYDAJ	PREVOD NA UCET	3937	21308	UVER	GH	13693094
2326226	7674	1998-12-12	VYDAJ	PREVOD NA UCET	3937	25185	UVER	GH	13693094
2326236	7674	1996-10-05	VYDAJ	PREVOD NA UCET	1477	104488	SIPO	ST	57784575
2326237	7674	1996-11-05	VYDAJ	PREVOD NA UCET	1477	71787	SIPO	ST	57784575
2326238	7674	1996-12-05	VYDAJ	PREVOD NA UCET	1477	55606	SIPO	ST	57784575
2326239	7674	1997-01-05	VYDAJ	PREVOD NA UCET	1477	20324	SIPO	ST	57784575
2326240	7674	1997-02-05	VYDAJ	PREVOD NA UCET	1477	60990	SIPO	ST	57784575
2326241	7674	1997-03-05	VYDAJ	PREVOD NA UCET	1477	86932	SIPO	ST	57784575
2326242	7674	1997-04-05	VYDAJ	PREVOD NA UCET	1477	69521	SIPO	ST	57784575
2326243	7674	1997-05-05	VYDAJ	PREVOD NA UCET	1477	52870	SIPO	ST	57784575
2326244	7674	1997-06-05	VYDAJ	PREVOD NA UCET	1477	82648	SIPO	ST	57784575
2326245	7674	1997-07-05	VYDAJ	PREVOD NA UCET	1477	82639	SIPO	ST	57784575
2326246	7674	1997-08-05	VYDAJ	PREVOD NA UCET	1477	101140	SIPO	ST	57784575
2326247	7674	1997-09-05	VYDAJ	PREVOD NA UCET	1477	40225	SIPO	ST	57784575
2326248	7674	1997-10-05	VYDAJ	PREVOD NA UCET	1477	28569	SIPO	ST	57784575
2326249	7674	1997-11-05	VYDAJ	PREVOD NA UCET	1477	107475	SIPO	ST	57784575
2326250	7674	1997-12-05	VYDAJ	PREVOD NA UCET	1477	57148	SIPO	ST	57784575
2326251	7674	1998-01-05	VYDAJ	PREVOD NA UCET	1477	96639	SIPO	ST	57784575
2326252	7674	1998-02-05	VYDAJ	PREVOD NA UCET	1477	32621	SIPO	ST	57784575
2326253	7674	1998-03-05	VYDAJ	PREVOD NA UCET	1477	63119	SIPO	ST	57784575
2326254	7674	1998-04-05	VYDAJ	PREVOD NA UCET	1477	47517	SIPO	ST	57784575
2326255	7674	1998-05-05	VYDAJ	PREVOD NA UCET	1477	67138	SIPO	ST	57784575
2326256	7674	1998-06-05	VYDAJ	PREVOD NA UCET	1477	41422	SIPO	ST	57784575
2326257	7674	1998-07-05	VYDAJ	PREVOD NA UCET	1477	25578	SIPO	ST	57784575
2326258	7674	1998-08-05	VYDAJ	PREVOD NA UCET	1477	28478	SIPO	ST	57784575
2326259	7674	1998-09-05	VYDAJ	PREVOD NA UCET	1477	34489	SIPO	ST	57784575
2326260	7674	1998-10-05	VYDAJ	PREVOD NA UCET	1477	30286	SIPO	ST	57784575
2326261	7674	1998-11-05	VYDAJ	PREVOD NA UCET	1477	16529	SIPO	ST	57784575
2326262	7674	1998-12-05	VYDAJ	PREVOD NA UCET	1477	19905	SIPO	ST	57784575
2326272	7674	1996-10-11	VYDAJ	PREVOD NA UCET	7383	47705	 	YZ	18857425
2326273	7674	1996-11-11	VYDAJ	PREVOD NA UCET	7383	88283	 	YZ	18857425
2326274	7674	1996-12-11	VYDAJ	PREVOD NA UCET	7383	48223	 	YZ	18857425
2326275	7674	1997-01-11	VYDAJ	PREVOD NA UCET	7383	9341	 	YZ	18857425
2326276	7674	1997-02-11	VYDAJ	PREVOD NA UCET	7383	53607	 	YZ	18857425
2326277	7674	1997-03-11	VYDAJ	PREVOD NA UCET	7383	79549	 	YZ	18857425
2326278	7674	1997-04-11	VYDAJ	PREVOD NA UCET	7383	62138	 	YZ	18857425
2326279	7674	1997-05-11	VYDAJ	PREVOD NA UCET	7383	81485	 	YZ	18857425
2326280	7674	1997-06-11	VYDAJ	PREVOD NA UCET	7383	87900	 	YZ	18857425
2326281	7674	1997-07-11	VYDAJ	PREVOD NA UCET	7383	75256	 	YZ	18857425
2326282	7674	1997-08-11	VYDAJ	PREVOD NA UCET	7383	98647	 	YZ	18857425
2326283	7674	1997-09-11	VYDAJ	PREVOD NA UCET	7383	32842	 	YZ	18857425
2326284	7674	1997-10-11	VYDAJ	PREVOD NA UCET	7383	21186	 	YZ	18857425
2326285	7674	1997-11-11	VYDAJ	PREVOD NA UCET	7383	100092	 	YZ	18857425
2326286	7674	1997-12-11	VYDAJ	PREVOD NA UCET	7383	91080	 	YZ	18857425
2326287	7674	1998-01-11	VYDAJ	PREVOD NA UCET	7383	85656	 	YZ	18857425
2326288	7674	1998-02-11	VYDAJ	PREVOD NA UCET	7383	34838	 	YZ	18857425
2326289	7674	1998-03-11	VYDAJ	PREVOD NA UCET	7383	55736	 	YZ	18857425
2326290	7674	1998-04-11	VYDAJ	PREVOD NA UCET	7383	40134	 	YZ	18857425
2326291	7674	1998-05-11	VYDAJ	PREVOD NA UCET	7383	59755	 	YZ	18857425
2326292	7674	1998-06-11	VYDAJ	PREVOD NA UCET	7383	38939	 	YZ	18857425
2326293	7674	1998-07-11	VYDAJ	PREVOD NA UCET	7383	47156	 	YZ	18857425
2326294	7674	1998-08-11	VYDAJ	PREVOD NA UCET	7383	32095	 	YZ	18857425
2326295	7674	1998-09-11	VYDAJ	PREVOD NA UCET	7383	54387	 	YZ	18857425
2326296	7674	1998-10-11	VYDAJ	PREVOD NA UCET	7383	21856	 	YZ	18857425
2326297	7674	1998-11-11	VYDAJ	PREVOD NA UCET	7383	25246	 	YZ	18857425
2326298	7674	1998-12-11	VYDAJ	PREVOD NA UCET	7383	29122	 	YZ	18857425
2326300	7674	1996-11-29	VYBER	VYBER	2091	56792	\N	\N	\N
2326305	7674	1996-12-25	VYBER	VYBER	4883	25640	\N	\N	\N
2326307	7674	1997-12-13	VYBER	VYBER	7288	79855	\N	\N	\N
2326308	7674	1998-10-11	VYBER	VYBER	10747	29239	\N	\N	\N
2326309	7674	1998-04-29	VYBER	VYBER	15543	68377	\N	\N	\N
2326310	7674	1998-09-13	VYBER	VYBER	3411	47039	\N	\N	\N
2326311	7674	1998-09-29	VYBER	VYBER	6086	52458	\N	\N	\N
2326312	7674	1998-07-27	VYBER	VYBER	13407	29812	\N	\N	\N
2326313	7674	1998-05-29	VYBER	VYBER	9045	85843	\N	\N	\N
2326314	7674	1998-03-04	VYBER	VYBER	16018	64596	\N	\N	\N
2326315	7674	1998-07-08	VYBER	VYBER	23344	48639	\N	\N	\N
2326317	7674	1998-10-05	VYBER	VYBER	13518	31763	\N	\N	\N
2326318	7674	1998-09-29	VYBER	VYBER	7333	45125	\N	\N	\N
2326321	7674	1997-06-13	VYDAJ	VYBER	13500	70463	\N	\N	\N
2326322	7674	1998-06-01	VYDAJ	VYBER	43200	42899	\N	\N	\N
2326325	7674	1998-01-28	VYDAJ	VYBER	8700	40119	\N	\N	\N
2326326	7674	1996-12-13	VYDAJ	VYBER	3000	45223	\N	\N	\N
2326327	7674	1997-12-10	VYDAJ	VYBER	1500	98463	\N	\N	\N
2326337	7674	1997-01-08	VYDAJ	VYBER	3600	16724	\N	\N	\N
2326341	7674	1998-01-30	VYDAJ	VYBER	6300	33819	\N	\N	\N
2326342	7674	1998-01-17	VYDAJ	VYBER	2700	59919	\N	\N	\N
2326343	7674	1998-01-12	VYDAJ	VYBER	3600	62619	\N	\N	\N
2326344	7674	1998-01-10	VYDAJ	VYBER	3600	93039	\N	\N	\N
2326345	7674	1998-01-26	VYDAJ	VYBER	7500	48819	\N	\N	\N
2326346	7674	1998-01-24	VYDAJ	VYBER	3600	56319	\N	\N	\N
2326348	7674	1996-10-29	VYDAJ	VYBER	6000	73000	\N	\N	\N
2326350	7674	1996-12-22	VYDAJ	VYBER	3900	30523	\N	\N	\N
2326351	7674	1997-04-26	VYDAJ	VYBER	3900	100359	\N	\N	\N
2326352	7674	1997-02-12	VYDAJ	VYBER	10500	62232	\N	\N	\N
2326353	7674	1997-08-30	VYDAJ	VYBER	7200	102727	\N	\N	\N
2326354	7674	1997-10-04	VYDAJ	VYBER	6600	30046	\N	\N	\N
2326355	7674	1997-12-04	VYDAJ	VYBER	6000	58625	\N	\N	\N
2326356	7674	1998-06-21	VYDAJ	VYBER	8100	26902	\N	\N	\N
2326358	7674	1998-09-15	VYDAJ	VYBER	14700	32339	\N	\N	\N
2326368	7674	1996-09-30	VYDAJ	VYBER	15	55664	SLUZBY	\N	\N
2326369	7674	1996-10-31	VYDAJ	VYBER	15	73264	SLUZBY	\N	\N
2326370	7674	1996-11-30	VYDAJ	VYBER	15	57083	SLUZBY	\N	\N
2326371	7674	1996-12-31	VYDAJ	VYBER	15	25801	SLUZBY	\N	\N
2326372	7674	1997-01-31	VYDAJ	VYBER	15	62467	SLUZBY	\N	\N
2326373	7674	1997-02-28	VYDAJ	VYBER	15	68166	SLUZBY	\N	\N
2326374	7674	1997-03-31	VYDAJ	VYBER	15	70998	SLUZBY	\N	\N
2326375	7674	1997-04-30	VYDAJ	VYBER	15	54347	SLUZBY	\N	\N
2326376	7674	1997-05-31	VYDAJ	VYBER	15	86919	SLUZBY	\N	\N
2326377	7674	1997-06-30	VYDAJ	VYBER	15	84116	SLUZBY	\N	\N
2326378	7674	1997-07-31	VYDAJ	VYBER	15	102617	SLUZBY	\N	\N
2326379	7674	1997-08-31	VYDAJ	VYBER	15	41702	SLUZBY	\N	\N
2326380	7674	1997-09-30	VYDAJ	VYBER	15	36646	SLUZBY	\N	\N
2326381	7674	1997-10-31	VYDAJ	VYBER	15	108952	SLUZBY	\N	\N
2326382	7674	1997-11-30	VYDAJ	VYBER	15	74334	SLUZBY	\N	\N
2326383	7674	1997-12-31	VYDAJ	VYBER	15	98116	SLUZBY	\N	\N
2326384	7674	1998-01-31	VYDAJ	VYBER	15	34098	SLUZBY	\N	\N
2326385	7674	1998-02-28	VYDAJ	VYBER	15	31019	SLUZBY	\N	\N
2326386	7674	1998-03-31	VYDAJ	VYBER	15	48994	SLUZBY	\N	\N
2326387	7674	1998-04-30	VYDAJ	VYBER	15	68615	SLUZBY	\N	\N
2326388	7674	1998-05-31	VYDAJ	VYBER	15	86099	SLUZBY	\N	\N
2326389	7674	1998-06-30	VYDAJ	VYBER	15	27055	SLUZBY	\N	\N
2326390	7674	1998-07-31	VYDAJ	VYBER	15	29955	SLUZBY	\N	\N
2326391	7674	1998-08-31	VYDAJ	VYBER	15	35966	SLUZBY	\N	\N
2326392	7674	1998-09-30	VYDAJ	VYBER	15	45281	SLUZBY	\N	\N
2326393	7674	1998-10-31	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
2326394	7674	1998-11-30	VYDAJ	VYBER	15	21382	SLUZBY	\N	\N
2326395	7674	1996-08-20	VYDAJ	VYBER	29400	50792	\N	\N	\N
2326396	7674	1996-08-27	VYDAJ	VYBER	27900	77347	\N	\N	\N
2326397	7674	1996-09-19	VYDAJ	VYBER	30900	55392	\N	\N	\N
2326398	7674	1996-10-05	VYDAJ	VYBER	49400	55088	\N	\N	\N
2326399	7674	1996-10-19	VYDAJ	VYBER	7700	36605	\N	\N	\N
2326400	7674	1996-11-18	VYDAJ	VYBER	29400	58883	\N	\N	\N
2326401	7674	1996-12-18	VYDAJ	VYBER	7400	37823	\N	\N	\N
2326402	7674	1997-01-17	PRIJEM	VKLAD	12300	21641	\N	\N	\N
2326403	7674	1997-02-16	VYDAJ	VYBER	33200	67903	\N	\N	\N
2326404	7674	1997-03-18	VYDAJ	VYBER	26100	70684	\N	\N	\N
2326405	7674	1997-04-17	VYDAJ	VYBER	7500	50700	\N	\N	\N
2326406	7674	1997-04-28	VYDAJ	VYBER	57500	54084	\N	\N	\N
2326407	7674	1997-05-13	VYDAJ	VYBER	52900	73745	\N	\N	\N
2326408	7674	1997-05-17	VYDAJ	VYBER	25700	76991	\N	\N	\N
2326409	7674	1997-06-05	VYDAJ	VYBER	47700	84125	\N	\N	\N
2326410	7674	1997-06-16	VYDAJ	VYBER	11500	58963	\N	\N	\N
2326411	7674	1997-07-16	VYDAJ	VYBER	9500	61819	\N	\N	\N
2326412	7674	1997-08-09	VYDAJ	VYBER	23800	106030	\N	\N	\N
2326413	7674	1997-08-15	VYDAJ	VYBER	24800	69910	\N	\N	\N
2326414	7674	1997-08-21	VYDAJ	VYBER	21400	96168	\N	\N	\N
2326415	7674	1997-08-30	VYDAJ	VYBER	61400	41327	\N	\N	\N
2326416	7674	1997-09-14	PRIJEM	VKLAD	7600	36505	\N	\N	\N
2326417	7674	1997-10-14	PRIJEM	VKLAD	12200	29449	\N	\N	\N
2326418	7674	1997-11-13	VYDAJ	VYBER	27100	69055	\N	\N	\N
2326419	7674	1997-11-19	VYDAJ	VYBER	34100	73990	\N	\N	\N
2326420	7674	1997-12-02	VYDAJ	VYBER	53200	64625	\N	\N	\N
2326421	7674	1997-12-13	VYDAJ	VYBER	18600	61255	\N	\N	\N
2326422	7674	1998-01-12	VYDAJ	VYBER	15500	70156	\N	\N	\N
2326423	7674	1998-02-11	PRIJEM	VKLAD	9600	42221	\N	\N	\N
2326424	7674	1998-03-13	VYDAJ	VYBER	3000	48798	\N	\N	\N
2326425	7674	1998-04-12	PRIJEM	VKLAD	6100	46234	\N	\N	\N
2326426	7674	1998-05-12	VYDAJ	VYBER	6400	53355	\N	\N	\N
2326427	7674	1998-06-11	PRIJEM	VKLAD	4900	46322	\N	\N	\N
2326428	7674	1998-07-11	PRIJEM	VKLAD	5900	54539	\N	\N	\N
2326429	7674	1998-08-10	PRIJEM	VKLAD	11000	39478	\N	\N	\N
2326430	7674	1998-09-09	VYDAJ	VYBER	4100	61770	\N	\N	\N
2326431	7674	1998-10-09	PRIJEM	VKLAD	9700	39986	\N	\N	\N
2326432	7674	1998-11-08	PRIJEM	VKLAD	16100	32629	\N	\N	\N
2326433	7674	1998-12-08	PRIJEM	VKLAD	16600	36505	\N	\N	\N
2337351	7713	1996-05-25	PRIJEM	VKLAD	600	600	\N	\N	\N
2337355	7713	1996-08-16	PRIJEM	VKLAD	17719	38419	\N	\N	\N
2337356	7713	1997-06-14	PRIJEM	VKLAD	29477	99991	\N	\N	\N
2337357	7713	1997-12-11	PRIJEM	VKLAD	25498	80293	\N	\N	\N
2337358	7713	1997-11-23	PRIJEM	VKLAD	45951	63128	\N	\N	\N
2337359	7713	1997-06-05	PRIJEM	VKLAD	38870	70514	\N	\N	\N
2337360	7713	1997-08-25	PRIJEM	VKLAD	32288	68591	\N	\N	\N
2337361	7713	1997-02-09	PRIJEM	VKLAD	14807	41532	\N	\N	\N
2337362	7713	1998-12-09	PRIJEM	VKLAD	47857	90225	\N	\N	\N
2337363	7713	1998-03-29	PRIJEM	VKLAD	18008	38726	\N	\N	\N
2337364	7713	1998-05-31	PRIJEM	VKLAD	31111	35321	\N	\N	\N
2337365	7713	1998-09-01	PRIJEM	VKLAD	7242	83405	\N	\N	\N
2337366	7713	1998-10-18	PRIJEM	VKLAD	23714	53678	\N	\N	\N
2337367	7713	1998-12-08	PRIJEM	VKLAD	26117	47168	\N	\N	\N
2337368	7713	1998-06-10	PRIJEM	VKLAD	17658	44531	\N	\N	\N
2337369	7713	1998-10-14	PRIJEM	VKLAD	8203	29964	\N	\N	\N
2337370	7713	1998-08-21	PRIJEM	VKLAD	5686	34988	\N	\N	\N
2337371	7713	1998-07-06	PRIJEM	VKLAD	28790	40327	\N	\N	\N
2337372	7713	1998-08-27	PRIJEM	VKLAD	41049	76037	\N	\N	\N
2337373	7713	1998-02-05	PRIJEM	VKLAD	32785	51420	\N	\N	\N
2337374	7713	1998-12-23	PRIJEM	VKLAD	38530	86085	\N	\N	\N
2337375	7713	1998-08-10	PRIJEM	VKLAD	23849	40575	\N	\N	\N
2337376	7713	1998-11-08	PRIJEM	VKLAD	36705	106609	\N	\N	\N
2337377	7713	1998-11-03	PRIJEM	VKLAD	39789	78322	\N	\N	\N
2337378	7713	1998-01-15	PRIJEM	VKLAD	21459	41270	\N	\N	\N
2337399	7713	1997-09-06	VYDAJ	VYBER	4100	56314	\N	\N	0
2337400	7713	1997-10-19	VYDAJ	VYBER	3600	22915	\N	\N	0
2337401	7713	1997-11-04	VYDAJ	VYBER	4500	18495	\N	\N	0
2337402	7713	1997-12-21	VYDAJ	VYBER	3800	37693	\N	\N	0
2337403	7713	1998-01-20	VYDAJ	VYBER	3700	21870	\N	\N	0
2337404	7713	1998-02-11	VYDAJ	VYBER	3200	39802	\N	\N	0
2337405	7713	1998-03-12	VYDAJ	PREVOD NA UCET	3674	19418	UVER	UV	76325124
2337406	7713	1998-04-12	VYDAJ	PREVOD NA UCET	3674	13813	UVER	UV	76325124
2337407	7713	1998-05-12	VYDAJ	PREVOD NA UCET	3674	4171	UVER	UV	76325124
2337408	7713	1998-06-12	VYDAJ	PREVOD NA UCET	3674	40857	UVER	UV	76325124
2337409	7713	1998-07-12	VYDAJ	PREVOD NA UCET	3674	36654	UVER	UV	76325124
2337410	7713	1998-08-12	VYDAJ	PREVOD NA UCET	3674	36902	UVER	UV	76325124
2337411	7713	1998-09-12	VYDAJ	PREVOD NA UCET	3674	48483	UVER	UV	76325124
2337412	7713	1998-10-12	VYDAJ	PREVOD NA UCET	3674	21761	UVER	UV	76325124
2337413	7713	1998-11-12	VYDAJ	PREVOD NA UCET	3674	29335	UVER	UV	76325124
2337414	7713	1998-12-12	VYDAJ	PREVOD NA UCET	3674	50351	UVER	UV	76325124
2337435	7713	1997-09-05	VYDAJ	PREVOD NA UCET	8418	60414	SIPO	ST	45360702
2337436	7713	1997-10-05	VYDAJ	PREVOD NA UCET	8418	25415	SIPO	ST	45360702
2337437	7713	1997-11-05	VYDAJ	PREVOD NA UCET	8418	10077	SIPO	ST	45360702
2337438	7713	1997-12-05	VYDAJ	PREVOD NA UCET	8418	54795	SIPO	ST	45360702
2337439	7713	1998-01-05	VYDAJ	PREVOD NA UCET	8418	19811	SIPO	ST	45360702
2337440	7713	1998-02-05	VYDAJ	PREVOD NA UCET	8418	43002	SIPO	ST	45360702
2337441	7713	1998-03-05	VYDAJ	PREVOD NA UCET	8418	23091	SIPO	ST	45360702
2337442	7713	1998-04-05	VYDAJ	PREVOD NA UCET	8418	17486	SIPO	ST	45360702
2337443	7713	1998-05-05	VYDAJ	PREVOD NA UCET	8418	7845	SIPO	ST	45360702
2337444	7713	1998-06-05	VYDAJ	PREVOD NA UCET	8418	26873	SIPO	ST	45360702
2337445	7713	1998-07-05	VYDAJ	PREVOD NA UCET	8418	11537	SIPO	ST	45360702
2337446	7713	1998-08-05	VYDAJ	PREVOD NA UCET	8418	16726	SIPO	ST	45360702
2337447	7713	1998-09-05	VYDAJ	PREVOD NA UCET	8418	74987	SIPO	ST	45360702
2337448	7713	1998-10-05	VYDAJ	PREVOD NA UCET	8418	26334	SIPO	ST	45360702
2337449	7713	1998-11-05	VYDAJ	PREVOD NA UCET	8418	69904	SIPO	ST	45360702
2337450	7713	1998-12-05	VYDAJ	PREVOD NA UCET	8418	21051	SIPO	ST	45360702
2337454	7713	1997-10-05	VYBER	VYBER	5661	33833	\N	\N	\N
2337462	7713	1997-12-30	VYBER	VYBER	2760	34933	\N	\N	\N
2337464	7713	1998-12-14	VYBER	VYBER	2796	47555	\N	\N	\N
2337465	7713	1998-11-02	VYBER	VYBER	5680	38533	\N	\N	\N
2337467	7713	1998-07-05	VYBER	VYBER	2629	19955	\N	\N	\N
2337471	7713	1998-09-10	VYBER	VYBER	22831	52156	\N	\N	\N
2337472	7713	1998-07-01	VYBER	VYBER	7782	22584	\N	\N	\N
2337479	7713	1997-12-15	VYDAJ	VYBER	4500	75793	\N	\N	\N
2337480	7713	1998-12-08	VYDAJ	VYBER	4800	42368	\N	\N	\N
2337493	7713	1998-01-02	VYDAJ	VYBER	6900	28229	\N	\N	\N
2337496	7713	1998-01-15	VYDAJ	VYBER	5100	33670	\N	\N	\N
2337497	7713	1998-01-16	VYDAJ	VYBER	8100	25570	\N	\N	\N
2337498	7713	1998-01-22	VYDAJ	VYBER	3300	18570	\N	\N	\N
2337507	7713	1997-12-19	VYDAJ	VYBER	12300	41493	\N	\N	\N
2337517	7713	1998-04-03	VYDAJ	VYBER	12900	25904	\N	\N	\N
2337519	7713	1998-10-25	VYDAJ	VYBER	9600	44078	\N	\N	\N
2337541	7713	1997-08-31	VYDAJ	VYBER	30	68832	SLUZBY	\N	\N
2337542	7713	1997-09-30	VYDAJ	VYBER	30	39494	SLUZBY	\N	\N
2337543	7713	1997-10-31	VYDAJ	VYBER	30	22995	SLUZBY	\N	\N
2337544	7713	1997-11-30	VYDAJ	VYBER	30	63213	SLUZBY	\N	\N
2337545	7713	1997-12-31	VYDAJ	VYBER	30	35129	SLUZBY	\N	\N
2337546	7713	1998-01-31	VYDAJ	VYBER	30	18635	SLUZBY	\N	\N
2337547	7713	1998-02-28	VYDAJ	VYBER	30	31509	SLUZBY	\N	\N
2337548	7713	1998-03-31	VYDAJ	VYBER	30	38804	SLUZBY	\N	\N
2337549	7713	1998-04-30	VYDAJ	VYBER	30	16263	SLUZBY	\N	\N
2337550	7713	1998-05-31	VYDAJ	VYBER	30	35291	SLUZBY	\N	\N
2337551	7713	1998-06-30	VYDAJ	VYBER	30	30366	SLUZBY	\N	\N
2337552	7713	1998-07-31	VYDAJ	VYBER	30	25144	SLUZBY	\N	\N
2337553	7713	1998-08-31	VYDAJ	VYBER	30	76163	SLUZBY	\N	\N
2337554	7713	1998-09-30	VYDAJ	VYBER	30	34752	SLUZBY	\N	\N
2337555	7713	1998-10-31	VYDAJ	VYBER	30	44213	SLUZBY	\N	\N
2337556	7713	1998-11-30	VYDAJ	VYBER	30	29469	SLUZBY	\N	\N
2337557	7713	1996-06-24	PRIJEM	VKLAD	11400	12000	\N	\N	\N
2337558	7713	1996-07-24	PRIJEM	VKLAD	8700	20700	\N	\N	\N
2337559	7713	1996-08-23	VYDAJ	VYBER	6400	32019	\N	\N	\N
2337560	7713	1996-09-22	VYDAJ	VYBER	900	31158	\N	\N	\N
2337561	7713	1996-10-22	VYDAJ	VYBER	3000	28291	\N	\N	\N
2337562	7713	1996-11-21	VYDAJ	VYBER	700	27725	\N	\N	\N
2337563	7713	1996-12-21	PRIJEM	VKLAD	1500	29358	\N	\N	\N
2337564	7713	1997-01-20	VYDAJ	VYBER	2900	26591	\N	\N	\N
2337565	7713	1997-02-19	VYDAJ	VYBER	3900	37632	\N	\N	\N
2337566	7713	1997-03-21	VYDAJ	VYBER	3100	34674	\N	\N	\N
2337567	7713	1997-04-20	VYDAJ	VYBER	3900	30930	\N	\N	\N
2337568	7713	1997-05-20	PRIJEM	VKLAD	400	31487	\N	\N	\N
2337569	7713	1997-06-19	VYDAJ	VYBER	35800	64191	\N	\N	\N
2337570	7713	1997-07-19	VYDAJ	VYBER	19500	44935	\N	\N	\N
2337571	7713	1997-08-18	VYDAJ	VYBER	8900	36303	\N	\N	\N
2337572	7713	1997-09-17	VYDAJ	VYBER	17000	39314	\N	\N	\N
2337573	7713	1997-10-17	PRIJEM	VKLAD	1100	26515	\N	\N	\N
2337574	7713	1997-11-16	PRIJEM	VKLAD	7100	17177	\N	\N	\N
2337575	7713	1997-12-16	VYDAJ	VYBER	22000	53793	\N	\N	\N
2337576	7713	1998-01-15	VYDAJ	VYBER	2500	38770	\N	\N	\N
2337577	7713	1998-02-14	VYDAJ	VYBER	8400	31402	\N	\N	\N
2337578	7713	1998-03-16	PRIJEM	VKLAD	1300	20718	\N	\N	\N
2337579	7713	1998-04-15	PRIJEM	VKLAD	2400	16213	\N	\N	\N
2337580	7713	1998-06-14	VYDAJ	VYBER	10600	30257	\N	\N	\N
2337581	7713	1998-07-14	VYDAJ	VYBER	11600	25054	\N	\N	\N
2337582	7713	1998-08-13	VYDAJ	VYBER	7600	29302	\N	\N	\N
2337583	7713	1998-09-12	VYDAJ	VYBER	13900	34583	\N	\N	\N
2337584	7713	1998-10-12	VYDAJ	VYBER	900	25434	\N	\N	\N
2337585	7713	1998-11-08	VYDAJ	VYBER	59800	46809	\N	\N	\N
2337586	7713	1998-11-11	VYDAJ	VYBER	13800	33009	\N	\N	\N
2337587	7713	1998-12-11	VYDAJ	VYBER	36200	54025	\N	\N	\N
2340269	7721	1997-07-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2340276	7721	1997-07-10	PRIJEM	PREVOD Z UCTU	22730	23730	\N	WX	18930614
2340277	7721	1997-08-10	PRIJEM	PREVOD Z UCTU	22730	45730	\N	WX	18930614
2340278	7721	1997-09-10	PRIJEM	PREVOD Z UCTU	22730	59024	\N	WX	18930614
2340279	7721	1997-10-10	PRIJEM	PREVOD Z UCTU	22730	63983	\N	WX	18930614
2340280	7721	1997-11-10	PRIJEM	PREVOD Z UCTU	22730	69272	\N	WX	18930614
2340281	7721	1997-12-10	PRIJEM	PREVOD Z UCTU	34095	80996	\N	WX	18930614
2340282	7721	1998-01-10	PRIJEM	PREVOD Z UCTU	22730	37256	\N	WX	18930614
2340283	7721	1998-02-10	PRIJEM	PREVOD Z UCTU	22730	34577	\N	WX	18930614
2340284	7721	1998-03-10	PRIJEM	PREVOD Z UCTU	22730	54013	\N	WX	18930614
2340285	7721	1998-04-10	PRIJEM	PREVOD Z UCTU	22730	53209	\N	WX	18930614
2340286	7721	1998-05-10	PRIJEM	PREVOD Z UCTU	22730	60101	\N	WX	18930614
2340287	7721	1998-06-10	PRIJEM	PREVOD Z UCTU	34095	60870	\N	WX	18930614
2340288	7721	1998-07-10	PRIJEM	PREVOD Z UCTU	22730	58773	\N	WX	18930614
2340289	7721	1998-08-10	PRIJEM	PREVOD Z UCTU	22730	67796	\N	WX	18930614
2340290	7721	1998-09-10	PRIJEM	PREVOD Z UCTU	22730	56003	\N	WX	18930614
2340291	7721	1998-10-10	PRIJEM	PREVOD Z UCTU	22730	61733	\N	WX	18930614
2340292	7721	1998-11-10	PRIJEM	PREVOD Z UCTU	22730	64260	\N	WX	18930614
2340293	7721	1998-12-10	PRIJEM	PREVOD Z UCTU	34095	74458	\N	WX	18930614
2340304	7721	1997-11-10	VYDAJ	VYBER	4600	64672	\N	\N	0
2340305	7721	1997-12-18	VYDAJ	VYBER	4100	76896	\N	\N	0
2340306	7721	1998-01-20	VYDAJ	VYBER	2800	23356	\N	\N	0
2340307	7721	1998-02-04	VYDAJ	VYBER	4400	14247	\N	\N	0
2340308	7721	1998-03-20	VYDAJ	VYBER	3100	46976	\N	\N	0
2340309	7721	1998-04-11	VYDAJ	VYBER	3800	49409	\N	\N	0
2340310	7721	1998-05-17	VYDAJ	VYBER	3000	57101	\N	\N	0
2340311	7721	1998-06-12	VYDAJ	PREVOD NA UCET	3788	57082	UVER	IJ	35142588
2340312	7721	1998-07-12	VYDAJ	PREVOD NA UCET	3788	54985	UVER	IJ	35142588
2340313	7721	1998-08-12	VYDAJ	PREVOD NA UCET	3788	64008	UVER	IJ	35142588
2340314	7721	1998-09-12	VYDAJ	PREVOD NA UCET	3788	52215	UVER	IJ	35142588
2340315	7721	1998-10-12	VYDAJ	PREVOD NA UCET	3788	57944	UVER	IJ	35142588
2340316	7721	1998-11-12	VYDAJ	PREVOD NA UCET	3788	60471	UVER	IJ	35142588
2340317	7721	1998-12-12	VYDAJ	PREVOD NA UCET	3788	64686	UVER	IJ	35142588
2340318	7721	1998-03-24	VYBER	VYBER	13040	33936	\N	\N	\N
2340319	7721	1998-09-05	VYBER	VYBER	15348	33273	\N	\N	\N
2340320	7721	1998-03-16	VYBER	VYBER	3937	50076	\N	\N	\N
2340321	7721	1998-06-14	VYBER	VYBER	14107	42975	\N	\N	\N
2340322	7721	1998-12-12	VYBER	VYBER	5983	68475	\N	\N	\N
2340324	7721	1998-06-07	VYDAJ	VYBER	14700	26775	\N	\N	\N
2340326	7721	1998-01-02	VYDAJ	VYBER	29400	19926	\N	\N	\N
2340333	7721	1998-01-24	VYDAJ	VYBER	2100	21256	\N	\N	\N
2340334	7721	1998-01-29	VYDAJ	VYBER	5400	18556	\N	\N	\N
2340335	7721	1998-01-28	VYDAJ	VYBER	2400	11056	\N	\N	\N
2340336	7721	1998-01-03	VYDAJ	VYBER	5400	14526	\N	\N	\N
2340337	7721	1998-01-27	VYDAJ	VYBER	7800	13456	\N	\N	\N
2340338	7721	1998-01-19	VYDAJ	VYBER	5400	26156	\N	\N	\N
2340343	7721	1998-02-08	VYDAJ	VYBER	2400	11847	\N	\N	\N
2340344	7721	1998-01-14	VYDAJ	VYBER	5700	31556	\N	\N	\N
2340345	7721	1998-09-15	VYDAJ	VYBER	1500	50715	\N	\N	\N
2340357	7721	1997-11-30	VYDAJ	VYBER	15	64901	SLUZBY	\N	\N
2340358	7721	1997-12-31	VYDAJ	VYBER	15	49326	SLUZBY	\N	\N
2340359	7721	1998-01-31	VYDAJ	VYBER	15	18647	SLUZBY	\N	\N
2340360	7721	1998-02-28	VYDAJ	VYBER	15	34683	SLUZBY	\N	\N
2340361	7721	1998-03-31	VYDAJ	VYBER	15	30479	SLUZBY	\N	\N
2340362	7721	1998-04-30	VYDAJ	VYBER	15	37371	SLUZBY	\N	\N
2340363	7721	1998-05-31	VYDAJ	VYBER	15	41475	SLUZBY	\N	\N
2340364	7721	1998-06-30	VYDAJ	VYBER	15	36043	SLUZBY	\N	\N
2340365	7721	1998-07-31	VYDAJ	VYBER	15	45066	SLUZBY	\N	\N
2340366	7721	1998-08-31	VYDAJ	VYBER	15	48621	SLUZBY	\N	\N
2340367	7721	1998-09-30	VYDAJ	VYBER	15	39003	SLUZBY	\N	\N
2340368	7721	1998-10-31	VYDAJ	VYBER	15	41530	SLUZBY	\N	\N
2340369	7721	1998-11-30	VYDAJ	VYBER	15	40363	SLUZBY	\N	\N
2340370	7721	1997-08-02	VYDAJ	VYBER	800	23000	\N	\N	\N
2340371	7721	1997-09-01	VYDAJ	VYBER	9600	36294	\N	\N	\N
2340372	7721	1997-10-01	VYDAJ	VYBER	18000	41253	\N	\N	\N
2340373	7721	1997-10-31	VYDAJ	VYBER	17700	46542	\N	\N	\N
2340374	7721	1997-11-30	VYDAJ	VYBER	18000	46901	\N	\N	\N
2340375	7721	1997-12-30	VYDAJ	VYBER	27800	49096	\N	\N	\N
2340376	7721	1998-01-29	PRIJEM	VKLAD	12900	23956	\N	\N	\N
2340377	7721	1998-02-28	VYDAJ	VYBER	3400	31283	\N	\N	\N
2340378	7721	1998-03-30	VYDAJ	VYBER	3600	30336	\N	\N	\N
2340379	7721	1998-04-29	VYDAJ	VYBER	12200	37209	\N	\N	\N
2340380	7721	1998-05-29	VYDAJ	VYBER	15800	41301	\N	\N	\N
2340381	7721	1998-06-28	VYDAJ	VYBER	7100	35875	\N	\N	\N
2340382	7721	1998-07-28	VYDAJ	VYBER	10100	44885	\N	\N	\N
2340383	7721	1998-08-27	VYDAJ	VYBER	15600	48408	\N	\N	\N
2340384	7721	1998-09-26	VYDAJ	VYBER	11900	38815	\N	\N	\N
2340385	7721	1998-10-26	VYDAJ	VYBER	16600	41344	\N	\N	\N
2340386	7721	1998-11-25	VYDAJ	VYBER	20300	40171	\N	\N	\N
2343639	7733	1996-07-08	PRIJEM	VKLAD	200	200	\N	\N	\N
2343646	7733	1996-07-14	PRIJEM	PREVOD Z UCTU	42791	42991	\N	GH	99825793
2343647	7733	1996-08-14	PRIJEM	PREVOD Z UCTU	42791	72986	\N	GH	99825793
2343648	7733	1996-09-14	PRIJEM	PREVOD Z UCTU	42791	94129	\N	GH	99825793
2343649	7733	1996-10-14	PRIJEM	PREVOD Z UCTU	42791	101874	\N	GH	99825793
2343650	7733	1996-11-14	PRIJEM	PREVOD Z UCTU	42791	107276	\N	GH	99825793
2343651	7733	1996-12-14	PRIJEM	PREVOD Z UCTU	64186	104065	\N	GH	99825793
2343652	7733	1997-01-14	PRIJEM	PREVOD Z UCTU	42791	69861	\N	GH	99825793
2343653	7733	1997-02-14	PRIJEM	PREVOD Z UCTU	42791	78731	\N	GH	99825793
2343654	7733	1997-03-14	PRIJEM	PREVOD Z UCTU	42791	84249	\N	GH	99825793
2343655	7733	1997-04-14	PRIJEM	PREVOD Z UCTU	42791	95604	\N	GH	99825793
2343656	7733	1997-05-14	PRIJEM	PREVOD Z UCTU	42791	87379	\N	GH	99825793
2343657	7733	1997-06-14	PRIJEM	PREVOD Z UCTU	64186	106909	\N	GH	99825793
2343658	7733	1997-07-14	PRIJEM	PREVOD Z UCTU	42791	106493	\N	GH	99825793
2343659	7733	1997-08-14	PRIJEM	PREVOD Z UCTU	42791	91272	\N	GH	99825793
2343660	7733	1997-09-14	PRIJEM	PREVOD Z UCTU	42791	74090	\N	GH	99825793
2343661	7733	1997-10-14	PRIJEM	PREVOD Z UCTU	42791	83072	\N	GH	99825793
2343662	7733	1997-11-14	PRIJEM	PREVOD Z UCTU	42791	88988	\N	GH	99825793
2343663	7733	1997-12-14	PRIJEM	PREVOD Z UCTU	64186	103724	\N	GH	99825793
2343664	7733	1998-01-14	PRIJEM	PREVOD Z UCTU	42791	82358	\N	GH	99825793
2343665	7733	1998-02-14	PRIJEM	PREVOD Z UCTU	42791	76565	\N	GH	99825793
2343666	7733	1998-03-14	PRIJEM	PREVOD Z UCTU	42791	85012	\N	GH	99825793
2343667	7733	1998-04-14	PRIJEM	PREVOD Z UCTU	42791	106256	\N	GH	99825793
2343668	7733	1998-05-14	PRIJEM	PREVOD Z UCTU	42791	110829	\N	GH	99825793
2343669	7733	1998-06-14	PRIJEM	PREVOD Z UCTU	64186	105002	\N	GH	99825793
2343670	7733	1998-07-14	PRIJEM	PREVOD Z UCTU	42791	95416	\N	GH	99825793
2343671	7733	1998-08-14	PRIJEM	PREVOD Z UCTU	42791	107159	\N	GH	99825793
2343672	7733	1998-09-14	PRIJEM	PREVOD Z UCTU	42791	86532	\N	GH	99825793
2343673	7733	1998-10-14	PRIJEM	PREVOD Z UCTU	42791	104452	\N	GH	99825793
2343674	7733	1998-11-14	PRIJEM	PREVOD Z UCTU	42791	116826	\N	GH	99825793
2343675	7733	1998-12-14	PRIJEM	PREVOD Z UCTU	64186	113559	\N	GH	99825793
2343687	7733	1996-12-12	VYDAJ	VYBER	5300	44379	\N	\N	0
2343688	7733	1997-01-20	VYDAJ	VYBER	5400	64461	\N	\N	0
2343689	7733	1997-02-20	VYDAJ	VYBER	5400	73331	\N	\N	0
2343690	7733	1997-03-02	VYDAJ	VYBER	6100	67458	\N	\N	0
2343691	7733	1997-04-14	VYDAJ	VYBER	5500	90104	\N	\N	0
2343692	7733	1997-05-19	VYDAJ	VYBER	6100	81279	\N	\N	0
2343693	7733	1997-06-15	VYDAJ	VYBER	5300	101609	\N	\N	0
2343694	7733	1997-07-17	VYDAJ	VYBER	6900	99593	\N	\N	0
2343695	7733	1997-08-03	VYDAJ	VYBER	6700	48481	\N	\N	0
2343696	7733	1997-09-02	VYDAJ	VYBER	5900	31299	\N	\N	0
2343697	7733	1997-10-03	VYDAJ	VYBER	7200	40281	\N	\N	0
2343698	7733	1997-11-02	VYDAJ	VYBER	4800	53210	\N	\N	0
2343699	7733	1997-12-12	VYDAJ	VYBER	6800	39538	\N	\N	0
2343700	7733	1998-01-20	VYDAJ	VYBER	4800	66589	\N	\N	0
2343701	7733	1998-02-18	VYDAJ	VYBER	5900	70665	\N	\N	0
2343702	7733	1998-03-10	VYDAJ	VYBER	4900	42221	\N	\N	0
2343703	7733	1998-04-10	VYDAJ	VYBER	7100	63465	\N	\N	0
2343704	7733	1998-05-12	VYDAJ	PREVOD NA UCET	5836	68038	UVER	EF	37232846
2343705	7733	1998-06-12	VYDAJ	PREVOD NA UCET	5836	40816	UVER	EF	37232846
2343706	7733	1998-07-12	VYDAJ	PREVOD NA UCET	5836	52625	UVER	EF	37232846
2343707	7733	1998-08-12	VYDAJ	PREVOD NA UCET	5836	64368	UVER	EF	37232846
2343708	7733	1998-09-12	VYDAJ	PREVOD NA UCET	5836	43741	UVER	EF	37232846
2343709	7733	1998-10-12	VYDAJ	PREVOD NA UCET	5836	61661	UVER	EF	37232846
2343710	7733	1998-11-12	VYDAJ	PREVOD NA UCET	5836	74035	UVER	EF	37232846
2343711	7733	1998-12-12	VYDAJ	PREVOD NA UCET	5836	49373	UVER	EF	37232846
2343712	7733	1996-12-28	VYBER	VYBER	12571	77994	\N	\N	\N
2343720	7733	1996-12-29	VYBER	VYBER	10498	67496	\N	\N	\N
2343721	7733	1997-05-29	VYBER	VYBER	18527	62752	\N	\N	\N
2343723	7733	1997-11-06	VYBER	VYBER	7013	46197	\N	\N	\N
2343724	7733	1997-04-30	VYBER	VYBER	19338	61518	\N	\N	\N
2343725	7733	1997-07-28	VYBER	VYBER	17693	81900	\N	\N	\N
2343726	7733	1997-08-29	VYBER	VYBER	13274	45364	\N	\N	\N
2343727	7733	1997-01-01	VYBER	VYBER	9443	58370	\N	\N	\N
2343728	7733	1997-08-24	VYBER	VYBER	10952	58638	\N	\N	\N
2343729	7733	1997-12-10	VYBER	VYBER	14922	46338	\N	\N	\N
2343730	7733	1997-08-21	VYBER	VYBER	21682	69590	\N	\N	\N
2343731	7733	1998-12-06	VYBER	VYBER	16931	55209	\N	\N	\N
2343732	7733	1998-08-22	VYBER	VYBER	3565	81391	\N	\N	\N
2343733	7733	1998-04-25	VYBER	VYBER	5712	97244	\N	\N	\N
2343734	7733	1998-05-19	VYBER	VYBER	11495	62934	\N	\N	\N
2343735	7733	1998-08-14	VYBER	VYBER	22203	84956	\N	\N	\N
2343736	7733	1998-01-15	VYBER	VYBER	10969	71389	\N	\N	\N
2343737	7733	1998-11-21	VYBER	VYBER	10922	89804	\N	\N	\N
2343738	7733	1998-09-07	VYBER	VYBER	11517	49577	\N	\N	\N
2343739	7733	1998-05-21	VYBER	VYBER	14519	48415	\N	\N	\N
2343742	7733	1998-06-23	VYDAJ	VYBER	39000	66002	\N	\N	\N
2343744	7733	1997-01-03	VYDAJ	VYBER	12900	45470	\N	\N	\N
2343745	7733	1998-01-01	VYDAJ	VYBER	23400	43767	\N	\N	\N
2343746	7733	1996-12-13	VYDAJ	VYBER	4500	39879	\N	\N	\N
2343747	7733	1997-12-06	VYDAJ	VYBER	1800	61260	\N	\N	\N
2343748	7733	1998-12-26	VYDAJ	VYBER	8400	74759	\N	\N	\N
2343755	7733	1997-01-09	VYDAJ	VYBER	6600	27070	\N	\N	\N
2343756	7733	1997-01-20	VYDAJ	VYBER	2100	62361	\N	\N	\N
2343757	7733	1997-01-28	VYDAJ	VYBER	1800	50361	\N	\N	\N
2343758	7733	1997-01-30	VYDAJ	VYBER	4800	45561	\N	\N	\N
2343759	7733	1997-01-23	VYDAJ	VYBER	6900	55461	\N	\N	\N
2343760	7733	1997-01-26	VYDAJ	VYBER	3300	52161	\N	\N	\N
2343761	7733	1998-01-01	VYDAJ	VYBER	7200	67167	\N	\N	\N
2343762	7733	1998-01-21	VYDAJ	VYBER	7200	59389	\N	\N	\N
2343763	7733	1998-01-25	VYDAJ	VYBER	2100	52489	\N	\N	\N
2343764	7733	1998-01-08	VYDAJ	VYBER	4200	39567	\N	\N	\N
2343765	7733	1998-01-29	VYDAJ	VYBER	7200	47689	\N	\N	\N
2343766	7733	1998-01-22	VYDAJ	VYBER	4800	54589	\N	\N	\N
2343769	7733	1996-12-22	VYDAJ	VYBER	13500	90565	\N	\N	\N
2343773	7733	1997-06-01	VYDAJ	VYBER	3900	59123	\N	\N	\N
2343774	7733	1997-09-24	VYDAJ	VYBER	12600	61490	\N	\N	\N
2343775	7733	1997-04-20	VYDAJ	VYBER	3600	80504	\N	\N	\N
2343776	7733	1997-04-14	VYDAJ	VYBER	6000	84104	\N	\N	\N
2343777	7733	1997-10-25	VYDAJ	VYBER	6000	77072	\N	\N	\N
2343778	7733	1998-02-27	VYDAJ	VYBER	14100	49365	\N	\N	\N
2343779	7733	1998-02-20	VYDAJ	VYBER	7200	63465	\N	\N	\N
2343780	7733	1998-04-17	VYDAJ	VYBER	3300	102956	\N	\N	\N
2343781	7733	1998-06-07	VYDAJ	VYBER	4200	46652	\N	\N	\N
2343782	7733	1998-05-25	VYDAJ	VYBER	1500	46915	\N	\N	\N
2343783	7733	1998-01-30	VYDAJ	VYBER	14100	33589	\N	\N	\N
2343795	7733	1996-11-30	VYDAJ	VYBER	30	76579	SLUZBY	\N	\N
2343796	7733	1996-12-31	VYDAJ	VYBER	30	67813	SLUZBY	\N	\N
2343797	7733	1997-01-31	VYDAJ	VYBER	30	45740	SLUZBY	\N	\N
2343798	7733	1997-02-28	VYDAJ	VYBER	30	73558	SLUZBY	\N	\N
2343799	7733	1997-03-31	VYDAJ	VYBER	30	84513	SLUZBY	\N	\N
2343800	7733	1997-04-30	VYDAJ	VYBER	30	61488	SLUZBY	\N	\N
2343801	7733	1997-05-31	VYDAJ	VYBER	30	63023	SLUZBY	\N	\N
2343802	7733	1997-06-30	VYDAJ	VYBER	30	101902	SLUZBY	\N	\N
2343803	7733	1997-07-31	VYDAJ	VYBER	30	82281	SLUZBY	\N	\N
2343804	7733	1997-08-31	VYDAJ	VYBER	30	45599	SLUZBY	\N	\N
2343805	7733	1997-09-30	VYDAJ	VYBER	30	61681	SLUZBY	\N	\N
2343806	7733	1997-10-31	VYDAJ	VYBER	30	58010	SLUZBY	\N	\N
2343807	7733	1997-11-30	VYDAJ	VYBER	30	89260	SLUZBY	\N	\N
2343808	7733	1997-12-31	VYDAJ	VYBER	30	74367	SLUZBY	\N	\N
2343809	7733	1998-01-31	VYDAJ	VYBER	30	33774	SLUZBY	\N	\N
2343810	7733	1998-02-28	VYDAJ	VYBER	30	49521	SLUZBY	\N	\N
2343811	7733	1998-03-31	VYDAJ	VYBER	30	70565	SLUZBY	\N	\N
2343812	7733	1998-04-30	VYDAJ	VYBER	30	73874	SLUZBY	\N	\N
2343813	7733	1998-05-31	VYDAJ	VYBER	30	50852	SLUZBY	\N	\N
2343814	7733	1998-06-30	VYDAJ	VYBER	30	58461	SLUZBY	\N	\N
2343815	7733	1998-07-31	VYDAJ	VYBER	30	70204	SLUZBY	\N	\N
2343816	7733	1998-08-31	VYDAJ	VYBER	30	61094	SLUZBY	\N	\N
2343817	7733	1998-09-30	VYDAJ	VYBER	30	67497	SLUZBY	\N	\N
2343818	7733	1998-10-31	VYDAJ	VYBER	30	79871	SLUZBY	\N	\N
2343819	7733	1998-11-30	VYDAJ	VYBER	30	72140	SLUZBY	\N	\N
2343820	7733	1996-08-07	VYDAJ	VYBER	12900	30195	\N	\N	\N
2343821	7733	1996-09-06	VYDAJ	VYBER	21900	51338	\N	\N	\N
2343822	7733	1996-10-06	VYDAJ	VYBER	35400	59083	\N	\N	\N
2343823	7733	1996-11-05	VYDAJ	VYBER	37800	64485	\N	\N	\N
2343824	7733	1996-11-14	VYDAJ	VYBER	31100	76176	\N	\N	\N
2343825	7733	1996-12-05	VYDAJ	VYBER	26900	49679	\N	\N	\N
2343826	7733	1997-01-04	VYDAJ	VYBER	11800	33670	\N	\N	\N
2343827	7733	1997-02-03	VYDAJ	VYBER	9800	35940	\N	\N	\N
2343828	7733	1997-03-05	VYDAJ	VYBER	26000	41458	\N	\N	\N
2343829	7733	1997-04-04	VYDAJ	VYBER	31700	52813	\N	\N	\N
2343830	7733	1997-05-04	VYDAJ	VYBER	16900	44588	\N	\N	\N
2343831	7733	1997-06-03	VYDAJ	VYBER	16400	42723	\N	\N	\N
2343832	7733	1997-07-03	VYDAJ	VYBER	38200	63702	\N	\N	\N
2343833	7733	1997-08-02	VYDAJ	VYBER	27100	55181	\N	\N	\N
2343834	7733	1997-09-01	VYDAJ	VYBER	8400	37199	\N	\N	\N
2343835	7733	1997-10-01	VYDAJ	VYBER	14200	47481	\N	\N	\N
2343836	7733	1997-10-31	VYDAJ	VYBER	19300	58040	\N	\N	\N
2343837	7733	1997-11-30	VYDAJ	VYBER	26200	63060	\N	\N	\N
2343838	7733	1997-12-30	VYDAJ	VYBER	29700	74024	\N	\N	\N
2343839	7733	1998-01-29	PRIJEM	VKLAD	2400	54889	\N	\N	\N
2343840	7733	1998-02-28	VYDAJ	VYBER	2400	47121	\N	\N	\N
2343841	7733	1998-03-30	VYDAJ	VYBER	14700	70312	\N	\N	\N
2343842	7733	1998-04-29	VYDAJ	VYBER	23700	73544	\N	\N	\N
2343843	7733	1998-05-14	VYDAJ	VYBER	36400	74429	\N	\N	\N
2343844	7733	1998-05-29	PRIJEM	VKLAD	3700	50615	\N	\N	\N
2343845	7733	1998-06-28	VYDAJ	VYBER	7800	58202	\N	\N	\N
2343846	7733	1998-07-28	VYDAJ	VYBER	25500	69916	\N	\N	\N
2343847	7733	1998-08-27	VYDAJ	VYBER	20600	60791	\N	\N	\N
2343848	7733	1998-09-26	VYDAJ	VYBER	19300	67232	\N	\N	\N
2343849	7733	1998-10-26	VYDAJ	VYBER	24900	79552	\N	\N	\N
2343850	7733	1998-11-14	VYDAJ	VYBER	16100	100726	\N	\N	\N
2343851	7733	1998-11-25	VYDAJ	VYBER	18000	71804	\N	\N	\N
2343852	7733	1998-12-25	VYDAJ	VYBER	30400	83159	\N	\N	\N
2347080	7745	1996-11-29	PRIJEM	VKLAD	700	700	\N	\N	\N
2347082	7745	1997-05-11	PRIJEM	VKLAD	33139	81503	\N	\N	\N
2347083	7745	1997-04-28	PRIJEM	VKLAD	40219	122451	\N	\N	\N
2347084	7745	1997-03-24	PRIJEM	VKLAD	14300	65536	\N	\N	\N
2347085	7745	1997-11-20	PRIJEM	VKLAD	31794	34655	\N	\N	\N
2347086	7745	1997-02-22	PRIJEM	VKLAD	38609	79164	\N	\N	\N
2347087	7745	1997-07-24	PRIJEM	VKLAD	26744	46276	\N	\N	\N
2347088	7745	1997-01-01	PRIJEM	VKLAD	48633	61733	\N	\N	\N
2347089	7745	1997-06-28	PRIJEM	VKLAD	31287	53783	\N	\N	\N
2347090	7745	1997-04-03	PRIJEM	VKLAD	38486	82232	\N	\N	\N
2347091	7745	1997-11-21	PRIJEM	VKLAD	20578	55233	\N	\N	\N
2347092	7745	1998-04-17	PRIJEM	VKLAD	49953	110505	\N	\N	\N
2347093	7745	1998-03-31	PRIJEM	VKLAD	39244	72880	\N	\N	\N
2347094	7745	1998-01-14	PRIJEM	VKLAD	18597	47776	\N	\N	\N
2347095	7745	1998-06-15	PRIJEM	VKLAD	41834	106831	\N	\N	\N
2347096	7745	1998-07-19	PRIJEM	VKLAD	39997	121473	\N	\N	\N
2347097	7745	1998-09-16	PRIJEM	VKLAD	37229	95285	\N	\N	\N
2347098	7745	1998-09-02	PRIJEM	VKLAD	23705	70370	\N	\N	\N
2347099	7745	1998-03-21	PRIJEM	VKLAD	27023	36736	\N	\N	\N
2347100	7745	1998-11-18	PRIJEM	VKLAD	34706	48860	\N	\N	\N
2347101	7745	1998-12-03	PRIJEM	VKLAD	16724	42513	\N	\N	\N
2347102	7745	1998-04-27	PRIJEM	VKLAD	38189	81594	\N	\N	\N
2347103	7745	1998-08-26	PRIJEM	VKLAD	13640	46501	\N	\N	\N
2347104	7745	1998-01-13	PRIJEM	VKLAD	15557	29179	\N	\N	\N
2347105	7745	1998-07-01	PRIJEM	VKLAD	36023	83133	\N	\N	\N
2347106	7745	1998-07-05	PRIJEM	VKLAD	46693	129826	\N	\N	\N
2347107	7745	1998-06-21	PRIJEM	VKLAD	43457	118588	\N	\N	\N
2347108	7745	1998-06-08	PRIJEM	VKLAD	43479	67151	\N	\N	\N
2347109	7745	1998-05-18	PRIJEM	VKLAD	13498	83063	\N	\N	\N
2347110	7745	1998-09-18	PRIJEM	VKLAD	34559	129844	\N	\N	\N
2347111	7745	1998-12-20	PRIJEM	VKLAD	29570	54969	\N	\N	\N
2347112	7745	1998-09-24	PRIJEM	VKLAD	11356	70800	\N	\N	\N
2347129	7745	1997-05-09	VYDAJ	VYBER	1600	48364	\N	\N	0
2347130	7745	1997-06-07	VYDAJ	VYBER	2500	24396	\N	\N	0
2347131	7745	1997-07-13	VYDAJ	VYBER	2100	19532	\N	\N	0
2347132	7745	1997-08-02	VYDAJ	VYBER	1900	32484	\N	\N	0
2347133	7745	1997-09-18	VYDAJ	VYBER	2300	12251	\N	\N	0
2347134	7745	1997-10-20	VYDAJ	VYBER	2400	7763	\N	\N	0
2347135	7745	1997-11-14	VYDAJ	VYBER	2600	2861	\N	\N	0
2347136	7745	1997-12-06	VYDAJ	VYBER	1900	20750	\N	\N	0
2347137	7745	1998-01-12	VYDAJ	PREVOD NA UCET	2154	13622	UVER	WX	97571604
2347138	7745	1998-02-12	VYDAJ	PREVOD NA UCET	2154	9868	UVER	WX	97571604
2347139	7745	1998-03-12	VYDAJ	PREVOD NA UCET	2154	9713	UVER	WX	97571604
2347140	7745	1998-04-12	VYDAJ	PREVOD NA UCET	2154	60552	UVER	WX	97571604
2347141	7745	1998-05-12	VYDAJ	PREVOD NA UCET	2154	69565	UVER	WX	97571604
2347142	7745	1998-06-12	VYDAJ	PREVOD NA UCET	2154	64997	UVER	WX	97571604
2347143	7745	1998-07-12	VYDAJ	PREVOD NA UCET	2154	90812	UVER	WX	97571604
2347144	7745	1998-08-12	VYDAJ	PREVOD NA UCET	2154	37661	UVER	WX	97571604
2347145	7745	1998-09-12	VYDAJ	PREVOD NA UCET	2154	58056	UVER	WX	97571604
2347146	7745	1998-10-12	VYDAJ	PREVOD NA UCET	2154	39910	UVER	WX	97571604
2347147	7745	1998-11-12	VYDAJ	PREVOD NA UCET	2154	14154	UVER	WX	97571604
2347148	7745	1998-12-12	VYDAJ	PREVOD NA UCET	2154	20899	UVER	WX	97571604
2347165	7745	1997-05-05	VYDAJ	PREVOD NA UCET	10160	49964	SIPO	WX	99381535
2347166	7745	1997-06-05	VYDAJ	PREVOD NA UCET	10160	26896	SIPO	WX	99381535
2347167	7745	1997-07-05	VYDAJ	PREVOD NA UCET	10160	21632	SIPO	WX	99381535
2347168	7745	1997-08-05	VYDAJ	PREVOD NA UCET	10160	22324	SIPO	WX	99381535
2347169	7745	1997-09-05	VYDAJ	PREVOD NA UCET	10160	14551	SIPO	WX	99381535
2347170	7745	1997-10-05	VYDAJ	PREVOD NA UCET	10160	10163	SIPO	WX	99381535
2347171	7745	1997-11-05	VYDAJ	PREVOD NA UCET	10160	5461	SIPO	WX	99381535
2347172	7745	1997-12-05	VYDAJ	PREVOD NA UCET	10160	22650	SIPO	WX	99381535
2347173	7745	1998-01-05	VYDAJ	PREVOD NA UCET	10160	15775	SIPO	WX	99381535
2347174	7745	1998-02-05	VYDAJ	PREVOD NA UCET	10160	12021	SIPO	WX	99381535
2347175	7745	1998-03-05	VYDAJ	PREVOD NA UCET	10160	11867	SIPO	WX	99381535
2347176	7745	1998-04-05	VYDAJ	PREVOD NA UCET	10160	62706	SIPO	WX	99381535
2347177	7745	1998-05-05	VYDAJ	PREVOD NA UCET	10160	71719	SIPO	WX	99381535
2347178	7745	1998-06-05	VYDAJ	PREVOD NA UCET	10160	23672	SIPO	WX	99381535
2347179	7745	1998-07-05	VYDAJ	PREVOD NA UCET	10160	92966	SIPO	WX	99381535
2347180	7745	1998-08-05	VYDAJ	PREVOD NA UCET	10160	39815	SIPO	WX	99381535
2347181	7745	1998-09-05	VYDAJ	PREVOD NA UCET	10160	60210	SIPO	WX	99381535
2347182	7745	1998-10-05	VYDAJ	PREVOD NA UCET	10160	60906	SIPO	WX	99381535
2347183	7745	1998-11-05	VYDAJ	PREVOD NA UCET	10160	16308	SIPO	WX	99381535
2347184	7745	1998-12-05	VYDAJ	PREVOD NA UCET	10160	32353	SIPO	WX	99381535
2347194	7745	1997-05-29	VYBER	VYBER	4862	36798	\N	\N	\N
2347195	7745	1997-05-23	VYBER	VYBER	17843	63660	\N	\N	\N
2347199	7745	1997-07-02	VYBER	VYBER	22101	31792	\N	\N	\N
2347206	7745	1998-10-12	VYBER	VYBER	18842	42064	\N	\N	\N
2347207	7745	1998-05-28	VYBER	VYBER	11306	40457	\N	\N	\N
2347208	7745	1998-11-29	VYBER	VYBER	7501	25690	\N	\N	\N
2347210	7745	1998-07-14	VYBER	VYBER	9336	81476	\N	\N	\N
2347211	7745	1998-11-22	VYBER	VYBER	4569	33191	\N	\N	\N
2347212	7745	1998-10-15	VYBER	VYBER	12209	27701	\N	\N	\N
2347217	7745	1997-12-01	VYDAJ	VYBER	2100	32810	\N	\N	\N
2347218	7745	1998-12-25	VYDAJ	VYBER	4500	50469	\N	\N	\N
2347231	7745	1998-01-18	VYDAJ	VYBER	8700	33976	\N	\N	\N
2347232	7745	1998-01-23	VYDAJ	VYBER	8400	29276	\N	\N	\N
2347233	7745	1998-01-17	VYDAJ	VYBER	5100	42676	\N	\N	\N
2347236	7745	1998-01-25	VYDAJ	VYBER	7200	22076	\N	\N	\N
2347242	7745	1997-11-24	VYDAJ	VYBER	12600	34833	\N	\N	\N
2347244	7745	1998-10-17	VYDAJ	VYBER	4500	23201	\N	\N	\N
2347245	7745	1998-12-07	VYDAJ	VYBER	9300	23053	\N	\N	\N
2347247	7745	1998-04-21	VYDAJ	VYBER	14700	57705	\N	\N	\N
2347248	7745	1998-06-26	VYDAJ	VYBER	3300	46888	\N	\N	\N
2347249	7745	1998-06-03	VYDAJ	VYBER	6900	33832	\N	\N	\N
2347266	7745	1997-04-30	VYDAJ	VYBER	15	60124	SLUZBY	\N	\N
2347267	7745	1997-05-31	VYDAJ	VYBER	15	37056	SLUZBY	\N	\N
2347268	7745	1997-06-30	VYDAJ	VYBER	15	53893	SLUZBY	\N	\N
2347269	7745	1997-07-31	VYDAJ	VYBER	15	34384	SLUZBY	\N	\N
2347270	7745	1997-08-31	VYDAJ	VYBER	15	24711	SLUZBY	\N	\N
2347271	7745	1997-09-30	VYDAJ	VYBER	15	20323	SLUZBY	\N	\N
2347272	7745	1997-10-31	VYDAJ	VYBER	15	15621	SLUZBY	\N	\N
2347273	7745	1997-11-30	VYDAJ	VYBER	15	34910	SLUZBY	\N	\N
2347274	7745	1997-12-31	VYDAJ	VYBER	15	25935	SLUZBY	\N	\N
2347275	7745	1998-01-31	VYDAJ	VYBER	15	22181	SLUZBY	\N	\N
2347276	7745	1998-02-28	VYDAJ	VYBER	15	22027	SLUZBY	\N	\N
2347277	7745	1998-03-31	VYDAJ	VYBER	15	72866	SLUZBY	\N	\N
2347278	7745	1998-04-30	VYDAJ	VYBER	15	81879	SLUZBY	\N	\N
2347279	7745	1998-05-31	VYDAJ	VYBER	15	40732	SLUZBY	\N	\N
2347280	7745	1998-06-30	VYDAJ	VYBER	15	47110	SLUZBY	\N	\N
2347281	7745	1998-07-31	VYDAJ	VYBER	15	49975	SLUZBY	\N	\N
2347282	7745	1998-08-31	VYDAJ	VYBER	15	46665	SLUZBY	\N	\N
2347283	7745	1998-09-30	VYDAJ	VYBER	15	71066	SLUZBY	\N	\N
2347284	7745	1998-10-31	VYDAJ	VYBER	15	26468	SLUZBY	\N	\N
2347285	7745	1998-11-30	VYDAJ	VYBER	15	25789	SLUZBY	\N	\N
2347286	7745	1996-12-29	PRIJEM	VKLAD	12400	13100	\N	\N	\N
2347287	7745	1997-01-28	VYDAJ	VYBER	21200	40533	\N	\N	\N
2347288	7745	1997-02-27	VYDAJ	VYBER	28100	51064	\N	\N	\N
2347289	7745	1997-03-29	VYDAJ	VYBER	22000	43536	\N	\N	\N
2347290	7745	1997-04-28	VYDAJ	VYBER	30500	59951	\N	\N	\N
2347291	7745	1997-04-28	VYDAJ	VYBER	32000	90451	\N	\N	\N
2347292	7745	1997-05-28	VYDAJ	VYBER	22000	41660	\N	\N	\N
2347293	7745	1997-06-27	VYDAJ	VYBER	1900	22496	\N	\N	\N
2347294	7745	1997-07-27	VYDAJ	VYBER	12000	34276	\N	\N	\N
2347295	7745	1997-08-26	PRIJEM	VKLAD	2300	24624	\N	\N	\N
2347296	7745	1997-09-25	PRIJEM	VKLAD	8000	20251	\N	\N	\N
2347297	7745	1997-10-25	PRIJEM	VKLAD	7800	15563	\N	\N	\N
2347298	7745	1997-11-24	VYDAJ	VYBER	7800	47433	\N	\N	\N
2347299	7745	1997-12-24	PRIJEM	VKLAD	5100	25850	\N	\N	\N
2347300	7745	1998-01-23	PRIJEM	VKLAD	3700	37676	\N	\N	\N
2347301	7745	1998-02-22	PRIJEM	VKLAD	12100	21968	\N	\N	\N
2347302	7745	1998-03-24	VYDAJ	VYBER	3200	33536	\N	\N	\N
2347303	7745	1998-04-17	VYDAJ	VYBER	38100	72405	\N	\N	\N
2347304	7745	1998-04-23	VYDAJ	VYBER	14300	43405	\N	\N	\N
2347305	7745	1998-05-23	VYDAJ	VYBER	31300	51763	\N	\N	\N
2347306	7745	1998-06-15	VYDAJ	VYBER	31700	75131	\N	\N	\N
2347307	7745	1998-06-21	VYDAJ	VYBER	40600	77988	\N	\N	\N
2347308	7745	1998-06-22	VYDAJ	VYBER	27800	50188	\N	\N	\N
2347309	7745	1998-07-05	VYDAJ	VYBER	26700	103126	\N	\N	\N
2347310	7745	1998-07-19	VYDAJ	VYBER	46200	75273	\N	\N	\N
2347311	7745	1998-07-22	VYDAJ	VYBER	25600	49673	\N	\N	\N
2347312	7745	1998-08-21	VYDAJ	VYBER	4800	32861	\N	\N	\N
2347313	7745	1998-09-18	VYDAJ	VYBER	40200	89644	\N	\N	\N
2347314	7745	1998-09-20	VYDAJ	VYBER	30200	59444	\N	\N	\N
2347315	7745	1998-10-20	PRIJEM	VKLAD	3100	26301	\N	\N	\N
2347316	7745	1998-11-19	VYDAJ	VYBER	11100	37760	\N	\N	\N
2347317	7745	1998-12-19	PRIJEM	VKLAD	4500	25399	\N	\N	\N
2349697	7753	1993-02-08	PRIJEM	VKLAD	600	600	\N	\N	\N
2349698	7753	1993-07-22	PRIJEM	VKLAD	24314	106592	\N	\N	\N
2349699	7753	1993-11-06	PRIJEM	VKLAD	7545	62512	\N	\N	\N
2349700	7753	1993-07-14	PRIJEM	VKLAD	39757	60589	\N	\N	\N
2349701	7753	1993-07-30	PRIJEM	VKLAD	20342	73834	\N	\N	\N
2349702	7753	1993-04-21	PRIJEM	VKLAD	9229	72433	\N	\N	\N
2349703	7753	1993-05-26	PRIJEM	VKLAD	9285	82906	\N	\N	\N
2349704	7753	1993-12-26	PRIJEM	VKLAD	32961	90565	\N	\N	\N
2349705	7753	1993-02-12	PRIJEM	VKLAD	27078	47266	\N	\N	\N
2349706	7753	1993-05-28	PRIJEM	VKLAD	5916	88822	\N	\N	\N
2349707	7753	1993-09-07	PRIJEM	VKLAD	34009	73289	\N	\N	\N
2349708	7753	1993-10-26	PRIJEM	VKLAD	26304	67339	\N	\N	\N
2349709	7753	1993-02-12	PRIJEM	VKLAD	19588	20188	\N	\N	\N
2349710	7753	1993-12-18	PRIJEM	VKLAD	5346	28158	\N	\N	\N
2349711	7753	1993-08-14	PRIJEM	VKLAD	45441	106209	\N	\N	\N
2349712	7753	1993-04-20	PRIJEM	VKLAD	8293	102404	\N	\N	\N
2349713	7753	1993-12-23	PRIJEM	VKLAD	29446	57604	\N	\N	\N
2349714	7753	1993-07-15	PRIJEM	VKLAD	21689	82278	\N	\N	\N
2349715	7753	1993-03-16	PRIJEM	VKLAD	36130	71516	\N	\N	\N
2349716	7753	1993-05-25	PRIJEM	VKLAD	46889	73621	\N	\N	\N
2349717	7753	1993-06-03	PRIJEM	VKLAD	38305	124339	\N	\N	\N
2349718	7753	1993-08-19	PRIJEM	VKLAD	24822	56497	\N	\N	\N
2349720	7753	1993-04-14	PRIJEM	VKLAD	42008	94111	\N	\N	\N
2349721	7753	1993-12-30	PRIJEM	VKLAD	45396	123413	\N	\N	\N
2349722	7753	1993-03-18	PRIJEM	VKLAD	7824	79340	\N	\N	\N
2349723	7753	1993-09-10	PRIJEM	VKLAD	24631	97920	\N	\N	\N
2349724	7753	1993-11-01	PRIJEM	VKLAD	18017	85567	\N	\N	\N
2349725	7753	1993-08-02	PRIJEM	VKLAD	45028	119068	\N	\N	\N
2349726	7753	1994-10-04	PRIJEM	VKLAD	13251	39301	\N	\N	\N
2349727	7753	1994-02-20	PRIJEM	VKLAD	26781	47590	\N	\N	\N
2349728	7753	1995-11-23	PRIJEM	VKLAD	49087	89070	\N	\N	\N
2349729	7753	1995-12-02	PRIJEM	VKLAD	46761	107821	\N	\N	\N
2349730	7753	1995-09-09	PRIJEM	VKLAD	21485	52814	\N	\N	\N
2349731	7753	1996-04-27	PRIJEM	VKLAD	47701	107107	\N	\N	\N
2349732	7753	1996-12-09	PRIJEM	VKLAD	48351	120339	\N	\N	\N
2349733	7753	1996-10-16	PRIJEM	VKLAD	38653	101444	\N	\N	\N
2349734	7753	1996-07-16	PRIJEM	VKLAD	13958	112004	\N	\N	\N
2349735	7753	1996-06-18	PRIJEM	VKLAD	17512	70987	\N	\N	\N
2349736	7753	1996-01-18	PRIJEM	VKLAD	34211	61627	\N	\N	\N
2349737	7753	1996-03-21	PRIJEM	VKLAD	24469	70782	\N	\N	\N
2349738	7753	1996-07-15	PRIJEM	VKLAD	48951	136746	\N	\N	\N
2349739	7753	1996-11-03	PRIJEM	VKLAD	41225	105874	\N	\N	\N
2349740	7753	1996-03-04	PRIJEM	VKLAD	11599	36814	\N	\N	\N
2349741	7753	1996-12-18	PRIJEM	VKLAD	36690	98129	\N	\N	\N
2349742	7753	1996-10-18	PRIJEM	VKLAD	30483	131927	\N	\N	\N
2349743	7753	1996-04-12	PRIJEM	VKLAD	23940	130606	\N	\N	\N
2349744	7753	1996-10-03	PRIJEM	VKLAD	26416	62791	\N	\N	\N
2349745	7753	1996-12-26	PRIJEM	VKLAD	38422	96875	\N	\N	\N
2349746	7753	1996-12-18	PRIJEM	VKLAD	31524	129653	\N	\N	\N
2349747	7753	1996-06-30	PRIJEM	VKLAD	37399	87586	\N	\N	\N
2349748	7753	1996-04-02	PRIJEM	VKLAD	49327	106666	\N	\N	\N
2349749	7753	1996-05-20	PRIJEM	VKLAD	35664	118960	\N	\N	\N
2349750	7753	1996-12-06	PRIJEM	VKLAD	16062	71988	\N	\N	\N
2349751	7753	1996-08-06	PRIJEM	VKLAD	27483	117347	\N	\N	\N
2349752	7753	1996-08-19	PRIJEM	VKLAD	43265	111112	\N	\N	\N
2349753	7753	1996-11-25	PRIJEM	VKLAD	9805	55608	\N	\N	\N
2349754	7753	1996-05-16	PRIJEM	VKLAD	41599	146596	\N	\N	\N
2349755	7753	1996-08-02	PRIJEM	VKLAD	16712	89864	\N	\N	\N
2349756	7753	1996-11-19	PRIJEM	VKLAD	30929	135103	\N	\N	\N
2349757	7753	1996-06-02	PRIJEM	VKLAD	30125	55875	\N	\N	\N
2349758	7753	1996-03-18	PRIJEM	VKLAD	11653	46313	\N	\N	\N
2349759	7753	1997-06-30	PRIJEM	VKLAD	43227	139075	\N	\N	\N
2349760	7753	1997-01-11	PRIJEM	VKLAD	28120	101892	\N	\N	\N
2349761	7753	1997-03-08	PRIJEM	VKLAD	25625	57525	\N	\N	\N
2349762	7753	1997-03-30	PRIJEM	VKLAD	11927	46652	\N	\N	\N
2349763	7753	1997-04-08	PRIJEM	VKLAD	34956	92988	\N	\N	\N
2349764	7753	1997-06-18	PRIJEM	VKLAD	6454	71982	\N	\N	\N
2349765	7753	1997-06-07	PRIJEM	VKLAD	35637	110928	\N	\N	\N
2349766	7753	1997-06-24	PRIJEM	VKLAD	12086	73268	\N	\N	\N
2349767	7753	1997-05-20	PRIJEM	VKLAD	36781	80136	\N	\N	\N
2349768	7753	1997-04-06	PRIJEM	VKLAD	26443	58032	\N	\N	\N
2349769	7753	1997-06-26	PRIJEM	VKLAD	22580	95848	\N	\N	\N
2349770	7753	1997-09-24	PRIJEM	VKLAD	47891	100926	\N	\N	\N
2349771	7753	1997-08-28	PRIJEM	VKLAD	28950	79794	\N	\N	\N
2349772	7753	1997-10-10	PRIJEM	VKLAD	45307	136466	\N	\N	\N
2349773	7753	1997-07-05	PRIJEM	VKLAD	6424	84818	\N	\N	\N
2349774	7753	1997-07-07	PRIJEM	VKLAD	29100	111518	\N	\N	\N
2349775	7753	1997-09-25	PRIJEM	VKLAD	9288	110214	\N	\N	\N
2349776	7753	1997-10-23	PRIJEM	VKLAD	43469	102135	\N	\N	\N
2349777	7753	1997-10-02	PRIJEM	VKLAD	35973	91159	\N	\N	\N
2349778	7753	1997-01-18	PRIJEM	VKLAD	34924	132316	\N	\N	\N
2349779	7753	1997-08-04	PRIJEM	VKLAD	15697	82944	\N	\N	\N
2349780	7753	1998-08-02	PRIJEM	VKLAD	10690	89928	\N	\N	\N
2349781	7753	1998-05-14	PRIJEM	VKLAD	6812	39989	\N	\N	\N
2349782	7753	1998-03-12	PRIJEM	VKLAD	38800	71285	\N	\N	\N
2349783	7753	1998-03-26	PRIJEM	VKLAD	6255	37043	\N	\N	\N
2349784	7753	1998-08-03	PRIJEM	VKLAD	46910	135238	\N	\N	\N
2349785	7753	1998-06-07	PRIJEM	VKLAD	17303	118487	\N	\N	\N
2349786	7753	1998-01-31	PRIJEM	VKLAD	38868	72142	\N	\N	\N
2349787	7753	1998-11-08	PRIJEM	VKLAD	12711	52377	\N	\N	\N
2349788	7753	1998-09-15	PRIJEM	VKLAD	22609	62187	\N	\N	\N
2349789	7753	1998-12-02	PRIJEM	VKLAD	47018	78916	\N	\N	\N
2349790	7753	1998-06-04	PRIJEM	VKLAD	22108	55708	\N	\N	\N
2349791	7753	1998-06-08	PRIJEM	VKLAD	49123	142110	\N	\N	\N
2349792	7753	1998-08-01	PRIJEM	VKLAD	10583	79238	\N	\N	\N
2349793	7753	1998-08-27	PRIJEM	VKLAD	31115	117937	\N	\N	\N
2349794	7753	1998-08-14	PRIJEM	VKLAD	34949	118535	\N	\N	\N
2349795	7753	1998-08-13	PRIJEM	VKLAD	38348	83586	\N	\N	\N
2349796	7753	1998-01-03	PRIJEM	VKLAD	36519	65474	\N	\N	\N
2349797	7753	1998-09-20	PRIJEM	VKLAD	20770	77595	\N	\N	\N
2349798	7753	1998-06-18	PRIJEM	VKLAD	42959	74669	\N	\N	\N
2349799	7753	1998-07-21	PRIJEM	VKLAD	30504	68394	\N	\N	\N
2349800	7753	1998-05-28	PRIJEM	VKLAD	11492	42681	\N	\N	\N
2349801	7753	1998-12-20	PRIJEM	VKLAD	25672	59924	\N	\N	\N
2349802	7753	1998-08-23	PRIJEM	VKLAD	43348	159122	\N	\N	\N
2349803	7753	1998-06-04	PRIJEM	VKLAD	45476	101184	\N	\N	\N
2349804	7753	1998-05-08	PRIJEM	VKLAD	24471	61567	\N	\N	\N
2349805	7753	1998-07-12	PRIJEM	VKLAD	36526	111445	\N	\N	\N
2349806	7753	1998-03-29	PRIJEM	VKLAD	42467	79510	\N	\N	\N
2349807	7753	1998-11-29	PRIJEM	VKLAD	5416	31793	\N	\N	\N
2349812	7753	1993-05-07	VYDAJ	VYBER	2600	62650	\N	\N	0
2349813	7753	1993-06-07	VYDAJ	VYBER	2000	70539	\N	\N	0
2349814	7753	1993-07-11	VYDAJ	VYBER	1600	20832	\N	\N	0
2349815	7753	1993-08-07	VYDAJ	VYBER	1700	97968	\N	\N	0
2349816	7753	1993-09-10	VYDAJ	VYBER	1700	96220	\N	\N	0
2349817	7753	1993-10-12	VYDAJ	VYBER	2100	41035	\N	\N	0
2349818	7753	1993-11-12	VYDAJ	VYBER	1800	60712	\N	\N	0
2349819	7753	1993-12-17	VYDAJ	VYBER	2300	22812	\N	\N	0
2349820	7753	1994-01-19	VYDAJ	VYBER	2200	29768	\N	\N	0
2349821	7753	1994-02-17	VYDAJ	VYBER	2400	20809	\N	\N	0
2349822	7753	1994-03-12	VYDAJ	PREVOD NA UCET	2154	36048	UVER	GH	62899923
2349823	7753	1994-04-12	VYDAJ	PREVOD NA UCET	2154	31547	UVER	GH	62899923
2349824	7753	1994-05-12	VYDAJ	PREVOD NA UCET	2154	25512	UVER	GH	62899923
2349825	7753	1994-06-12	VYDAJ	PREVOD NA UCET	2154	23455	UVER	GH	62899923
2349826	7753	1994-07-12	VYDAJ	PREVOD NA UCET	2154	22893	UVER	GH	62899923
2349827	7753	1994-08-12	VYDAJ	PREVOD NA UCET	2154	26220	UVER	GH	62899923
2349828	7753	1994-09-12	VYDAJ	PREVOD NA UCET	2154	26455	UVER	GH	62899923
2349829	7753	1994-10-12	VYDAJ	PREVOD NA UCET	2154	35047	UVER	GH	62899923
2349830	7753	1994-11-12	VYDAJ	PREVOD NA UCET	2154	19723	UVER	GH	62899923
2349831	7753	1994-12-12	VYDAJ	PREVOD NA UCET	2154	24560	UVER	GH	62899923
2349832	7753	1995-01-12	VYDAJ	PREVOD NA UCET	2154	20303	UVER	GH	62899923
2349833	7753	1995-02-12	VYDAJ	PREVOD NA UCET	2154	21133	UVER	GH	62899923
2349834	7753	1995-03-12	VYDAJ	PREVOD NA UCET	2154	27061	UVER	GH	62899923
2349835	7753	1995-04-12	VYDAJ	PREVOD NA UCET	2154	24510	UVER	GH	62899923
2349836	7753	1995-05-12	VYDAJ	PREVOD NA UCET	2154	29952	UVER	GH	62899923
2349837	7753	1995-06-12	VYDAJ	PREVOD NA UCET	2154	34317	UVER	GH	62899923
2349838	7753	1995-07-12	VYDAJ	PREVOD NA UCET	2154	21887	UVER	GH	62899923
2349839	7753	1995-08-12	VYDAJ	PREVOD NA UCET	2154	24430	UVER	GH	62899923
2349840	7753	1995-09-12	VYDAJ	PREVOD NA UCET	2154	50660	UVER	GH	62899923
2349841	7753	1995-10-12	VYDAJ	PREVOD NA UCET	2154	43068	UVER	GH	62899923
2349842	7753	1995-11-12	VYDAJ	PREVOD NA UCET	2154	39983	UVER	GH	62899923
2349843	7753	1995-12-12	VYDAJ	PREVOD NA UCET	2154	89100	UVER	GH	62899923
2349844	7753	1996-01-12	VYDAJ	PREVOD NA UCET	2154	27416	UVER	GH	62899923
2349845	7753	1996-02-12	VYDAJ	PREVOD NA UCET	2154	24619	UVER	GH	62899923
2349846	7753	1996-03-12	VYDAJ	PREVOD NA UCET	2154	34660	UVER	GH	62899923
2349847	7753	1996-04-18	VYDAJ	VYBER	1900	77106	\N	\N	0
2349848	7753	1996-05-02	VYDAJ	VYBER	2400	104997	\N	\N	0
2349849	7753	1996-06-03	VYDAJ	VYBER	2400	53475	\N	\N	0
2349850	7753	1996-07-18	VYDAJ	VYBER	2300	109704	\N	\N	0
2349851	7753	1996-08-16	VYDAJ	VYBER	2200	67847	\N	\N	0
2349852	7753	1996-09-17	VYDAJ	VYBER	2000	44914	\N	\N	0
2349853	7753	1996-10-21	VYDAJ	VYBER	2500	64427	\N	\N	0
2349854	7753	1996-11-04	VYDAJ	VYBER	1700	104174	\N	\N	0
2349855	7753	1996-12-13	VYDAJ	VYBER	2200	61439	\N	\N	0
2349856	7753	1997-01-18	VYDAJ	VYBER	2300	130016	\N	\N	0
2349857	7753	1997-02-19	VYDAJ	VYBER	2600	31791	\N	\N	0
2349858	7753	1997-03-10	VYDAJ	VYBER	2200	42425	\N	\N	0
2349859	7753	1997-04-03	VYDAJ	VYBER	2300	44489	\N	\N	0
2349860	7753	1997-05-12	VYDAJ	VYBER	1900	59355	\N	\N	0
2349861	7753	1997-06-13	VYDAJ	VYBER	2500	103328	\N	\N	0
2349862	7753	1997-07-06	VYDAJ	VYBER	2400	82418	\N	\N	0
2349863	7753	1997-08-17	VYDAJ	VYBER	2200	50844	\N	\N	0
2349864	7753	1997-09-05	VYDAJ	VYBER	2300	77735	\N	\N	0
2349865	7753	1997-10-21	VYDAJ	VYBER	1900	58666	\N	\N	0
2349866	7753	1997-11-07	VYDAJ	VYBER	1700	100771	\N	\N	0
2349867	7753	1997-12-15	VYDAJ	VYBER	2500	43187	\N	\N	0
2349868	7753	1998-01-14	VYDAJ	VYBER	2500	36574	\N	\N	0
2349869	7753	1998-02-18	VYDAJ	VYBER	2400	40789	\N	\N	0
2349870	7753	1998-03-06	VYDAJ	VYBER	1900	32485	\N	\N	0
2349871	7753	1998-04-15	VYDAJ	VYBER	2100	48668	\N	\N	0
2349872	7753	1998-05-16	VYDAJ	VYBER	2200	37789	\N	\N	0
2349873	7753	1998-06-17	VYDAJ	VYBER	2300	31710	\N	\N	0
2349874	7753	1998-07-17	VYDAJ	VYBER	2100	62056	\N	\N	0
2349875	7753	1998-08-02	VYDAJ	VYBER	1600	88328	\N	\N	0
2349876	7753	1998-09-19	VYDAJ	VYBER	2000	56825	\N	\N	0
2349877	7753	1998-10-07	VYDAJ	VYBER	1800	76071	\N	\N	0
2349878	7753	1998-11-12	VYDAJ	VYBER	2100	26377	\N	\N	0
2349879	7753	1998-12-19	VYDAJ	VYBER	2200	34252	\N	\N	0
2349880	7753	1993-05-16	VYBER	VYBER	16818	26732	\N	\N	\N
2349881	7753	1993-12-04	VYBER	VYBER	8641	28812	\N	\N	\N
2349883	7753	1993-09-29	VYBER	VYBER	23451	63310	\N	\N	\N
2349884	7753	1993-09-21	VYBER	VYBER	9459	86761	\N	\N	\N
2349885	7753	1993-08-17	VYBER	VYBER	14934	31675	\N	\N	\N
2349887	7753	1993-11-13	VYBER	VYBER	23443	37269	\N	\N	\N
2349888	7753	1993-07-07	VYBER	VYBER	4109	38232	\N	\N	\N
2349891	7753	1993-12-27	VYBER	VYBER	12548	78017	\N	\N	\N
2349893	7753	1995-12-10	VYBER	VYBER	16567	91254	\N	\N	\N
2349895	7753	1995-06-24	VYBER	VYBER	6669	27648	\N	\N	\N
2349896	7753	1995-12-26	VYBER	VYBER	16213	45487	\N	\N	\N
2349898	7753	1995-07-07	VYBER	VYBER	9537	24041	\N	\N	\N
2349899	7753	1996-05-31	VYBER	VYBER	21389	25765	\N	\N	\N
2349902	7753	1998-08-16	VYBER	VYBER	2761	115774	\N	\N	\N
2349903	7753	1998-07-18	VYBER	VYBER	24166	37890	\N	\N	\N
2349904	7753	1998-07-17	VYBER	VYBER	6289	64156	\N	\N	\N
2349905	7753	1998-06-01	VYBER	VYBER	9215	33600	\N	\N	\N
2349906	7753	1998-09-18	VYBER	VYBER	3362	58825	\N	\N	\N
2349907	7753	1998-12-09	VYBER	VYBER	17564	61352	\N	\N	\N
2349909	7753	1998-04-23	VYBER	VYBER	11801	36867	\N	\N	\N
2349910	7753	1998-05-12	VYBER	VYBER	6539	51797	\N	\N	\N
2349911	7753	1998-05-11	VYBER	VYBER	3231	58336	\N	\N	\N
2349912	7753	1998-05-12	VYBER	VYBER	13420	38377	\N	\N	\N
2349913	7753	1998-03-20	VYBER	VYBER	16297	30788	\N	\N	\N
2349918	7753	1997-06-20	VYDAJ	VYBER	10800	61182	\N	\N	\N
2349919	7753	1998-06-09	VYDAJ	VYBER	58500	38810	\N	\N	\N
2349921	7753	1994-01-16	VYDAJ	VYBER	5100	35868	\N	\N	\N
2349923	7753	1996-01-08	VYDAJ	VYBER	8100	36170	\N	\N	\N
2349924	7753	1997-01-30	VYDAJ	VYBER	22800	29916	\N	\N	\N
2349926	7753	1993-12-09	VYDAJ	VYBER	5400	25112	\N	\N	\N
2349928	7753	1995-12-25	VYDAJ	VYBER	8700	80400	\N	\N	\N
2349929	7753	1996-12-21	VYDAJ	VYBER	7500	58453	\N	\N	\N
2349938	7753	1994-01-21	VYDAJ	VYBER KARTOU	2700	25568	\N	\N	0
2349939	7753	1994-01-17	VYDAJ	VYBER KARTOU	3900	31968	\N	\N	0
2349940	7753	1994-01-03	VYDAJ	VYBER KARTOU	3600	61068	\N	\N	0
2349941	7753	1994-01-25	VYDAJ	VYBER KARTOU	3000	22568	\N	\N	0
2349942	7753	1994-01-20	VYDAJ	VYBER KARTOU	1500	28268	\N	\N	0
2349943	7753	1994-01-15	VYDAJ	VYBER	4800	40968	\N	\N	\N
2349944	7753	1995-01-30	VYDAJ	VYBER KARTOU	2700	23203	\N	\N	0
2349946	7753	1995-01-11	VYDAJ	VYBER KARTOU	2100	27857	\N	\N	0
2349948	7753	1995-01-11	VYDAJ	VYBER	5400	22457	\N	\N	\N
2349950	7753	1996-01-22	VYDAJ	VYBER KARTOU	3300	47527	\N	\N	0
2349951	7753	1996-01-20	VYDAJ	VYBER	7800	53827	\N	\N	\N
2349952	7753	1996-01-12	VYDAJ	VYBER	6600	29570	\N	\N	\N
2349953	7753	1996-01-20	VYDAJ	VYBER KARTOU	3000	50827	\N	\N	0
2349954	7753	1996-01-25	VYDAJ	VYBER	6300	39227	\N	\N	\N
2349955	7753	1996-01-04	VYDAJ	VYBER KARTOU	1500	44270	\N	\N	0
2349956	7753	1997-01-18	VYDAJ	VYBER	6600	52716	\N	\N	\N
2349957	7753	1997-01-11	VYDAJ	VYBER	4500	97392	\N	\N	\N
2349958	7753	1997-01-06	VYDAJ	VYBER KARTOU	3600	73772	\N	\N	0
2349959	7753	1997-01-01	VYDAJ	VYBER	5700	91472	\N	\N	\N
2349960	7753	1997-01-05	VYDAJ	VYBER	6300	77372	\N	\N	\N
2349961	7753	1997-01-01	VYDAJ	VYBER	7800	83672	\N	\N	\N
2349962	7753	1998-01-11	VYDAJ	VYBER	5100	50174	\N	\N	\N
2349963	7753	1998-01-10	VYDAJ	VYBER	4200	55274	\N	\N	\N
2349964	7753	1998-01-17	VYDAJ	VYBER KARTOU	3300	33274	\N	\N	0
2349965	7753	1998-01-05	VYDAJ	VYBER	6000	59474	\N	\N	\N
2349966	7753	1998-01-11	VYDAJ	VYBER	4500	45674	\N	\N	\N
2349968	7753	1993-05-28	VYDAJ	VYBER	3000	85822	\N	\N	\N
2349969	7753	1993-05-04	VYDAJ	VYBER	7500	65250	\N	\N	\N
2349970	7753	1993-06-25	VYDAJ	VYBER	3000	42139	\N	\N	\N
2349971	7753	1993-07-09	VYDAJ	VYBER	8400	22432	\N	\N	\N
2349973	7753	1994-04-19	VYDAJ	VYBER KARTOU	2700	28847	\N	\N	0
2349974	7753	1994-10-04	VYDAJ	VYBER KARTOU	2100	37201	\N	\N	0
2349977	7753	1994-11-07	VYDAJ	VYBER	13200	21877	\N	\N	\N
2349979	7753	1995-11-29	VYDAJ	VYBER KARTOU	3900	60870	\N	\N	0
2349980	7753	1995-04-03	VYDAJ	VYBER KARTOU	2400	26664	\N	\N	0
2349981	7753	1995-08-03	VYDAJ	VYBER KARTOU	3900	26584	\N	\N	0
2349983	7753	1995-03-25	VYDAJ	VYBER KARTOU	2700	24361	\N	\N	0
2349984	7753	1996-11-20	VYDAJ	VYBER	14700	45803	\N	\N	\N
2349985	7753	1996-02-11	VYDAJ	VYBER KARTOU	1800	26773	\N	\N	0
2349986	7753	1996-02-26	VYDAJ	VYBER	8700	25119	\N	\N	\N
2349987	7753	1996-04-13	VYDAJ	VYBER	5400	79006	\N	\N	\N
2349988	7753	1996-01-25	VYDAJ	VYBER	10800	28427	\N	\N	\N
2349989	7753	1996-12-21	VYDAJ	VYBER KARTOU	3300	65953	\N	\N	0
2349991	7753	1997-06-11	VYDAJ	VYBER	5100	105828	\N	\N	\N
2349992	7753	1997-03-10	VYDAJ	VYBER	12900	44625	\N	\N	\N
2349993	7753	1997-04-05	VYDAJ	VYBER	12900	31589	\N	\N	\N
2349994	7753	1997-05-23	VYDAJ	VYBER	5100	75036	\N	\N	\N
2349995	7753	1997-12-16	VYDAJ	VYBER	14400	28787	\N	\N	\N
2349996	7753	1997-10-01	VYDAJ	VYBER	12600	55186	\N	\N	\N
2349998	7753	1998-02-01	VYDAJ	VYBER	12900	59389	\N	\N	\N
2350000	7753	1998-02-10	VYDAJ	VYBER	7500	51889	\N	\N	\N
2350001	7753	1998-08-25	VYDAJ	VYBER	8400	86822	\N	\N	\N
2350002	7753	1998-05-18	VYDAJ	VYBER	6600	31189	\N	\N	\N
2350003	7753	1998-10-29	VYDAJ	VYBER KARTOU	2400	39471	\N	\N	0
2350004	7753	1998-02-28	VYDAJ	VYBER	6600	34399	\N	\N	\N
2350010	7753	1993-04-30	VYDAJ	VYBER	15	72750	SLUZBY	\N	\N
2350011	7753	1993-05-31	VYDAJ	VYBER	15	86034	SLUZBY	\N	\N
2350012	7753	1993-06-30	VYDAJ	VYBER	15	42341	SLUZBY	\N	\N
2350013	7753	1993-07-31	VYDAJ	VYBER	15	74040	SLUZBY	\N	\N
2350014	7753	1993-08-31	VYDAJ	VYBER	15	56780	SLUZBY	\N	\N
2350015	7753	1993-09-30	VYDAJ	VYBER	15	63635	SLUZBY	\N	\N
2350016	7753	1993-10-31	VYDAJ	VYBER	15	67550	SLUZBY	\N	\N
2350017	7753	1993-11-30	VYDAJ	VYBER	15	37453	SLUZBY	\N	\N
2350018	7753	1993-12-31	VYDAJ	VYBER	15	64668	SLUZBY	\N	\N
2350019	7753	1994-01-31	VYDAJ	VYBER	15	22709	SLUZBY	\N	\N
2350020	7753	1994-02-28	VYDAJ	VYBER	15	47702	SLUZBY	\N	\N
2350021	7753	1994-03-31	VYDAJ	VYBER	15	36201	SLUZBY	\N	\N
2350022	7753	1994-04-30	VYDAJ	VYBER	15	28966	SLUZBY	\N	\N
2350023	7753	1994-05-31	VYDAJ	VYBER	15	25609	SLUZBY	\N	\N
2350024	7753	1994-06-30	VYDAJ	VYBER	15	23546	SLUZBY	\N	\N
2350025	7753	1994-07-31	VYDAJ	VYBER	15	22974	SLUZBY	\N	\N
2350026	7753	1994-08-31	VYDAJ	VYBER	15	26309	SLUZBY	\N	\N
2350027	7753	1994-09-30	VYDAJ	VYBER	15	26550	SLUZBY	\N	\N
2350028	7753	1994-10-31	VYDAJ	VYBER	15	35077	SLUZBY	\N	\N
2350029	7753	1994-11-30	VYDAJ	VYBER	15	26714	SLUZBY	\N	\N
2350030	7753	1994-12-31	VYDAJ	VYBER	15	29957	SLUZBY	\N	\N
2350031	7753	1995-01-31	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
2350032	7753	1995-02-28	VYDAJ	VYBER	15	29215	SLUZBY	\N	\N
2350033	7753	1995-03-31	VYDAJ	VYBER	15	29064	SLUZBY	\N	\N
2350034	7753	1995-04-30	VYDAJ	VYBER	15	32105	SLUZBY	\N	\N
2350035	7753	1995-05-31	VYDAJ	VYBER	15	36471	SLUZBY	\N	\N
2350036	7753	1995-06-30	VYDAJ	VYBER	15	33578	SLUZBY	\N	\N
2350037	7753	1995-07-31	VYDAJ	VYBER	15	30484	SLUZBY	\N	\N
2350038	7753	1995-08-31	VYDAJ	VYBER	15	31329	SLUZBY	\N	\N
2350039	7753	1995-09-30	VYDAJ	VYBER	15	45222	SLUZBY	\N	\N
2350040	7753	1995-10-31	VYDAJ	VYBER	15	42137	SLUZBY	\N	\N
2350041	7753	1995-11-30	VYDAJ	VYBER	15	61060	SLUZBY	\N	\N
2350042	7753	1995-12-31	VYDAJ	VYBER	15	45770	SLUZBY	\N	\N
2350043	7753	1996-01-31	VYDAJ	VYBER	15	28573	SLUZBY	\N	\N
2350044	7753	1996-02-29	VYDAJ	VYBER	15	25215	SLUZBY	\N	\N
2350045	7753	1996-03-31	VYDAJ	VYBER	15	57339	SLUZBY	\N	\N
2350046	7753	1996-04-30	VYDAJ	VYBER	15	107397	SLUZBY	\N	\N
2350047	7753	1996-05-31	VYDAJ	VYBER	15	25750	SLUZBY	\N	\N
2350048	7753	1996-06-30	VYDAJ	VYBER	15	87795	SLUZBY	\N	\N
2350049	7753	1996-07-31	VYDAJ	VYBER	15	73152	SLUZBY	\N	\N
2350050	7753	1996-08-31	VYDAJ	VYBER	15	46914	SLUZBY	\N	\N
2350051	7753	1996-09-30	VYDAJ	VYBER	15	36375	SLUZBY	\N	\N
2350052	7753	1996-10-31	VYDAJ	VYBER	15	64649	SLUZBY	\N	\N
2350053	7753	1996-11-30	VYDAJ	VYBER	15	55926	SLUZBY	\N	\N
2350054	7753	1996-12-31	VYDAJ	VYBER	15	97172	SLUZBY	\N	\N
2350055	7753	1997-01-31	VYDAJ	VYBER	15	30191	SLUZBY	\N	\N
2350056	7753	1997-02-28	VYDAJ	VYBER	15	31900	SLUZBY	\N	\N
2350057	7753	1997-03-31	VYDAJ	VYBER	15	46789	SLUZBY	\N	\N
2350058	7753	1997-04-30	VYDAJ	VYBER	15	61255	SLUZBY	\N	\N
2350059	7753	1997-05-31	VYDAJ	VYBER	15	75291	SLUZBY	\N	\N
2350060	7753	1997-06-30	VYDAJ	VYBER	15	78394	SLUZBY	\N	\N
2350061	7753	1997-07-31	VYDAJ	VYBER	15	67247	SLUZBY	\N	\N
2350062	7753	1997-08-31	VYDAJ	VYBER	15	80035	SLUZBY	\N	\N
2350063	7753	1997-09-30	VYDAJ	VYBER	15	67786	SLUZBY	\N	\N
2350064	7753	1997-10-31	VYDAJ	VYBER	15	102471	SLUZBY	\N	\N
2350065	7753	1997-11-30	VYDAJ	VYBER	15	64287	SLUZBY	\N	\N
2350066	7753	1997-12-31	VYDAJ	VYBER	15	28955	SLUZBY	\N	\N
2350067	7753	1998-01-31	VYDAJ	VYBER	15	72289	SLUZBY	\N	\N
2350068	7753	1998-02-28	VYDAJ	VYBER	15	34385	SLUZBY	\N	\N
2350069	7753	1998-03-31	VYDAJ	VYBER	15	79668	SLUZBY	\N	\N
2350070	7753	1998-04-30	VYDAJ	VYBER	15	37096	SLUZBY	\N	\N
2350071	7753	1998-05-31	VYDAJ	VYBER	15	42815	SLUZBY	\N	\N
2350072	7753	1998-06-30	VYDAJ	VYBER	15	74919	SLUZBY	\N	\N
2350073	7753	1998-07-31	VYDAJ	VYBER	15	68655	SLUZBY	\N	\N
2350074	7753	1998-08-31	VYDAJ	VYBER	15	70878	SLUZBY	\N	\N
2350075	7753	1998-09-30	VYDAJ	VYBER	15	77871	SLUZBY	\N	\N
2350076	7753	1998-10-31	VYDAJ	VYBER	15	39666	SLUZBY	\N	\N
2350077	7753	1998-11-30	VYDAJ	VYBER	15	31898	SLUZBY	\N	\N
2350078	7753	1993-03-10	VYDAJ	VYBER	12000	35386	\N	\N	\N
2350079	7753	1993-04-09	VYDAJ	VYBER	27500	52103	\N	\N	\N
2350080	7753	1993-04-20	VYDAJ	VYBER	39200	63204	\N	\N	\N
2350081	7753	1993-05-09	VYDAJ	VYBER	19100	43550	\N	\N	\N
2350082	7753	1993-06-03	VYDAJ	VYBER	51800	72539	\N	\N	\N
2350083	7753	1993-06-08	VYDAJ	VYBER	25400	45139	\N	\N	\N
2350084	7753	1993-07-08	VYDAJ	VYBER	7400	30832	\N	\N	\N
2350085	7753	1993-07-22	VYDAJ	VYBER	53100	53492	\N	\N	\N
2350086	7753	1993-08-02	VYDAJ	VYBER	19400	99668	\N	\N	\N
2350087	7753	1993-08-07	VYDAJ	VYBER	37200	60768	\N	\N	\N
2350088	7753	1993-08-14	VYDAJ	VYBER	59600	46609	\N	\N	\N
2350089	7753	1993-09-06	VYDAJ	VYBER	17500	39280	\N	\N	\N
2350090	7753	1993-10-06	VYDAJ	VYBER	20500	43135	\N	\N	\N
2350091	7753	1993-11-05	VYDAJ	VYBER	30600	54967	\N	\N	\N
2350092	7753	1993-12-05	PRIJEM	VKLAD	1700	30512	\N	\N	\N
2350093	7753	1993-12-30	VYDAJ	VYBER	58900	64513	\N	\N	\N
2350094	7753	1994-01-04	VYDAJ	VYBER	15300	45768	\N	\N	\N
2350095	7753	1994-02-03	PRIJEM	VKLAD	500	23209	\N	\N	\N
2350096	7753	1994-03-05	VYDAJ	VYBER	9500	38202	\N	\N	\N
2350097	7753	1994-04-04	VYDAJ	VYBER KARTOU	2500	33701	\N	\N	0
2350098	7753	1994-05-04	VYDAJ	VYBER KARTOU	1300	27666	\N	\N	0
2350099	7753	1994-07-03	PRIJEM	VKLAD	1500	25046	\N	\N	\N
2350100	7753	1994-08-02	PRIJEM	VKLAD	5400	28374	\N	\N	\N
2350101	7753	1994-09-01	PRIJEM	VKLAD	2300	28609	\N	\N	\N
2350102	7753	1994-10-01	VYDAJ	VYBER KARTOU	500	26050	\N	\N	0
2350103	7753	1994-10-31	VYDAJ	VYBER KARTOU	100	35091	\N	\N	0
2350104	7753	1994-11-30	PRIJEM	VKLAD	6900	26729	\N	\N	\N
2350105	7753	1994-12-30	PRIJEM	VKLAD	5300	29860	\N	\N	\N
2350106	7753	1995-01-29	PRIJEM	VKLAD	5600	25903	\N	\N	\N
2350107	7753	1995-02-28	PRIJEM	VKLAD	8000	29230	\N	\N	\N
2350108	7753	1995-03-30	PRIJEM	VKLAD	4600	28961	\N	\N	\N
2350109	7753	1995-04-29	PRIJEM	VKLAD	7500	32010	\N	\N	\N
2350110	7753	1995-05-29	PRIJEM	VKLAD	6400	36352	\N	\N	\N
2350111	7753	1995-06-28	PRIJEM	VKLAD	5800	33448	\N	\N	\N
2350112	7753	1995-07-28	PRIJEM	VKLAD	8500	30387	\N	\N	\N
2350113	7753	1995-08-27	PRIJEM	VKLAD	6800	31230	\N	\N	\N
2350114	7753	1995-09-26	VYDAJ	VYBER	5600	45060	\N	\N	\N
2350115	7753	1995-10-26	VYDAJ	VYBER KARTOU	1100	41968	\N	\N	0
2350116	7753	1995-11-25	VYDAJ	VYBER	24300	64770	\N	\N	\N
2350117	7753	1995-12-25	VYDAJ	VYBER	18700	61700	\N	\N	\N
2350118	7753	1996-01-24	VYDAJ	VYBER KARTOU	2000	45527	\N	\N	0
2350119	7753	1996-02-23	PRIJEM	VKLAD	9200	33819	\N	\N	\N
2350120	7753	1996-03-24	VYDAJ	VYBER	13600	57182	\N	\N	\N
2350121	7753	1996-04-12	VYDAJ	VYBER	46200	84406	\N	\N	\N
2350122	7753	1996-04-23	VYDAJ	VYBER	17700	59406	\N	\N	\N
2350123	7753	1996-05-16	VYDAJ	VYBER	63300	83296	\N	\N	\N
2350124	7753	1996-05-20	VYDAJ	VYBER	58100	60860	\N	\N	\N
2350125	7753	1996-05-23	VYDAJ	VYBER	14100	46760	\N	\N	\N
2350126	7753	1996-06-22	VYDAJ	VYBER	20800	50187	\N	\N	\N
2350127	7753	1996-07-15	VYDAJ	VYBER	38700	98046	\N	\N	\N
2350128	7753	1996-07-22	VYDAJ	VYBER	36900	72804	\N	\N	\N
2350129	7753	1996-08-06	VYDAJ	VYBER	47300	70047	\N	\N	\N
2350130	7753	1996-08-19	VYDAJ	VYBER	48100	63012	\N	\N	\N
2350131	7753	1996-08-21	VYDAJ	VYBER	16400	46612	\N	\N	\N
2350132	7753	1996-09-20	VYDAJ	VYBER	8700	36214	\N	\N	\N
2350133	7753	1996-10-18	VYDAJ	VYBER	27900	104027	\N	\N	\N
2350134	7753	1996-10-20	VYDAJ	VYBER	37100	66927	\N	\N	\N
2350135	7753	1996-11-19	VYDAJ	VYBER	43000	60503	\N	\N	\N
2350136	7753	1996-11-19	VYDAJ	VYBER	31600	103503	\N	\N	\N
2350137	7753	1996-12-09	VYDAJ	VYBER	56700	63639	\N	\N	\N
2350138	7753	1996-12-18	VYDAJ	VYBER	18700	110953	\N	\N	\N
2350139	7753	1996-12-19	VYDAJ	VYBER	41700	69253	\N	\N	\N
2350140	7753	1997-01-18	VYDAJ	VYBER	46300	59316	\N	\N	\N
2350141	7753	1997-01-18	VYDAJ	VYBER	24400	105616	\N	\N	\N
2350142	7753	1997-02-17	PRIJEM	VKLAD	4200	34391	\N	\N	\N
2350143	7753	1997-03-19	VYDAJ	VYBER	7700	34725	\N	\N	\N
2350144	7753	1997-04-18	VYDAJ	VYBER	32000	60988	\N	\N	\N
2350145	7753	1997-05-18	VYDAJ	VYBER	16000	43355	\N	\N	\N
2350146	7753	1997-06-17	VYDAJ	VYBER	37800	65528	\N	\N	\N
2350147	7753	1997-06-30	VYDAJ	VYBER	25100	114309	\N	\N	\N
2350148	7753	1997-06-30	VYDAJ	VYBER	35900	78409	\N	\N	\N
2350149	7753	1997-07-17	VYDAJ	VYBER	44600	66918	\N	\N	\N
2350150	7753	1997-08-16	VYDAJ	VYBER	29900	53044	\N	\N	\N
2350151	7753	1997-09-15	VYDAJ	VYBER	24700	53035	\N	\N	\N
2350152	7753	1997-09-25	VYDAJ	VYBER	42700	67514	\N	\N	\N
2350153	7753	1997-10-10	VYDAJ	VYBER	47000	89466	\N	\N	\N
2350154	7753	1997-10-15	VYDAJ	VYBER	28900	60566	\N	\N	\N
2350155	7753	1997-11-14	VYDAJ	VYBER	36800	63971	\N	\N	\N
2350156	7753	1997-12-14	VYDAJ	VYBER	18600	45687	\N	\N	\N
2350157	7753	1998-01-13	VYDAJ	VYBER	6600	39074	\N	\N	\N
2350158	7753	1998-02-12	VYDAJ	VYBER	8700	43189	\N	\N	\N
2350159	7753	1998-03-14	VYDAJ	VYBER	24200	47085	\N	\N	\N
2350160	7753	1998-04-13	VYDAJ	VYBER	28900	50768	\N	\N	\N
2350161	7753	1998-05-13	VYDAJ	VYBER	5200	33177	\N	\N	\N
2350162	7753	1998-06-07	VYDAJ	VYBER	25500	92987	\N	\N	\N
2350163	7753	1998-06-08	VYDAJ	VYBER	44800	97310	\N	\N	\N
2350164	7753	1998-06-12	VYDAJ	VYBER	4800	34010	\N	\N	\N
2350165	7753	1998-07-12	VYDAJ	VYBER	41000	70445	\N	\N	\N
2350166	7753	1998-08-03	VYDAJ	VYBER	60300	74938	\N	\N	\N
2350167	7753	1998-08-11	VYDAJ	VYBER	29700	45238	\N	\N	\N
2350168	7753	1998-08-23	VYDAJ	VYBER	63900	95222	\N	\N	\N
2350169	7753	1998-08-27	VYDAJ	VYBER	47400	70537	\N	\N	\N
2350170	7753	1998-09-10	VYDAJ	VYBER	31300	39578	\N	\N	\N
2350171	7753	1998-10-10	VYDAJ	VYBER	34200	41871	\N	\N	\N
2350172	7753	1998-11-09	VYDAJ	VYBER	23900	28477	\N	\N	\N
2350173	7753	1998-12-09	VYDAJ	VYBER	24900	36452	\N	\N	\N
2353923	7765	1994-07-10	PRIJEM	VKLAD	500	500	\N	\N	\N
2353924	7765	1994-08-05	PRIJEM	VKLAD	16151	16651	\N	\N	\N
2353928	7765	1994-08-13	PRIJEM	VKLAD	28017	47568	\N	\N	\N
2353930	7765	1994-08-31	PRIJEM	VKLAD	26543	74111	\N	\N	\N
2353931	7765	1995-07-28	PRIJEM	VKLAD	37463	49491	\N	\N	\N
2353932	7765	1995-12-18	PRIJEM	VKLAD	25218	41267	\N	\N	\N
2353933	7765	1995-09-20	PRIJEM	VKLAD	35304	45508	\N	\N	\N
2353934	7765	1995-02-04	PRIJEM	VKLAD	16181	40672	\N	\N	\N
2353935	7765	1995-03-01	PRIJEM	VKLAD	47513	82352	\N	\N	\N
2353936	7765	1995-06-18	PRIJEM	VKLAD	22898	30199	\N	\N	\N
2353937	7765	1995-11-07	PRIJEM	VKLAD	34508	56930	\N	\N	\N
2353938	7765	1996-10-22	PRIJEM	VKLAD	16185	21454	\N	\N	\N
2353939	7765	1996-07-14	PRIJEM	VKLAD	9112	19010	\N	\N	\N
2353940	7765	1996-01-01	PRIJEM	VKLAD	40117	81483	\N	\N	\N
2353941	7765	1997-07-14	PRIJEM	VKLAD	10966	97853	\N	\N	\N
2353942	7765	1997-09-29	PRIJEM	VKLAD	21054	76545	\N	\N	\N
2353943	7765	1997-05-28	PRIJEM	VKLAD	14080	38207	\N	\N	\N
2353944	7765	1997-10-07	PRIJEM	VKLAD	38905	115738	\N	\N	\N
2353945	7765	1997-03-24	PRIJEM	VKLAD	38179	46387	\N	\N	\N
2353946	7765	1997-08-03	PRIJEM	VKLAD	16758	62841	\N	\N	\N
2353947	7765	1997-07-11	PRIJEM	VKLAD	27489	47717	\N	\N	\N
2353948	7765	1997-08-09	PRIJEM	VKLAD	43264	97888	\N	\N	\N
2353949	7765	1997-07-20	PRIJEM	VKLAD	20497	118350	\N	\N	\N
2353950	7765	1997-08-31	PRIJEM	VKLAD	20439	84438	\N	\N	\N
2353951	7765	1997-07-13	PRIJEM	VKLAD	40970	86887	\N	\N	\N
2353952	7765	1997-06-12	PRIJEM	VKLAD	32803	62876	\N	\N	\N
2353953	7765	1998-01-23	PRIJEM	VKLAD	13622	53755	\N	\N	\N
2353954	7765	1998-03-27	PRIJEM	VKLAD	9422	55278	\N	\N	\N
2353955	7765	1998-04-10	PRIJEM	VKLAD	28321	75617	\N	\N	\N
2353956	7765	1998-05-05	PRIJEM	VKLAD	11218	87788	\N	\N	\N
2353957	7765	1998-01-07	PRIJEM	VKLAD	40022	64250	\N	\N	\N
2353958	7765	1998-03-18	PRIJEM	VKLAD	31379	118256	\N	\N	\N
2353959	7765	1998-06-04	PRIJEM	VKLAD	40179	107438	\N	\N	\N
2353960	7765	1998-02-27	PRIJEM	VKLAD	21130	59068	\N	\N	\N
2353961	7765	1998-06-13	PRIJEM	VKLAD	22930	94393	\N	\N	\N
2353962	7765	1998-11-20	PRIJEM	VKLAD	45820	118753	\N	\N	\N
2353963	7765	1998-07-27	PRIJEM	VKLAD	19543	57244	\N	\N	\N
2353964	7765	1998-10-29	PRIJEM	VKLAD	10002	75803	\N	\N	\N
2353965	7765	1998-09-27	PRIJEM	VKLAD	9127	65360	\N	\N	\N
2353966	7765	1998-09-13	PRIJEM	VKLAD	23762	70833	\N	\N	\N
2353967	7765	1998-08-07	PRIJEM	VKLAD	20576	84271	\N	\N	\N
2353968	7765	1998-05-11	PRIJEM	VKLAD	15296	92667	\N	\N	\N
2353969	7765	1998-11-29	PRIJEM	VKLAD	20782	78535	\N	\N	\N
2353970	7765	1998-11-07	PRIJEM	VKLAD	29739	103550	\N	\N	\N
2353971	7765	1998-04-17	PRIJEM	VKLAD	39080	112797	\N	\N	\N
2353972	7765	1998-10-06	PRIJEM	VKLAD	44241	109808	\N	\N	\N
2353973	7765	1998-02-17	PRIJEM	VKLAD	32957	57438	\N	\N	\N
2353974	7765	1998-10-18	PRIJEM	VKLAD	19300	84101	\N	\N	\N
2353975	7765	1998-10-26	PRIJEM	VKLAD	35000	119101	\N	\N	\N
2353976	7765	1998-08-01	PRIJEM	VKLAD	6333	63695	\N	\N	\N
2353977	7765	1998-03-12	PRIJEM	VKLAD	41104	86877	\N	\N	\N
2353978	7765	1998-10-08	PRIJEM	VKLAD	41510	80601	\N	\N	\N
2353993	7765	1995-03-10	VYDAJ	VYBER	2300	36682	\N	\N	0
2353994	7765	1995-04-18	VYDAJ	VYBER	2100	16052	\N	\N	0
2353995	7765	1995-05-07	VYDAJ	VYBER	2000	11191	\N	\N	0
2353996	7765	1995-06-17	VYDAJ	VYBER	2800	7301	\N	\N	0
2353997	7765	1995-07-09	VYDAJ	VYBER	2500	12028	\N	\N	0
2353998	7765	1995-08-14	VYDAJ	VYBER	2900	24726	\N	\N	0
2353999	7765	1995-09-16	VYDAJ	VYBER	2200	10204	\N	\N	0
2354000	7765	1995-10-05	VYDAJ	VYBER	2200	27578	\N	\N	0
2354001	7765	1995-11-13	VYDAJ	VYBER	2600	46113	\N	\N	0
2354002	7765	1995-12-12	VYDAJ	PREVOD NA UCET	2332	16049	UVER	IJ	74587321
2354003	7765	1996-01-12	VYDAJ	PREVOD NA UCET	2332	30734	UVER	IJ	74587321
2354004	7765	1996-02-12	VYDAJ	PREVOD NA UCET	2332	14271	UVER	IJ	74587321
2354005	7765	1996-03-12	VYDAJ	PREVOD NA UCET	2332	9768	UVER	IJ	74587321
2354006	7765	1996-04-12	VYDAJ	PREVOD NA UCET	2332	12136	UVER	IJ	74587321
2354007	7765	1996-05-12	VYDAJ	PREVOD NA UCET	2332	12125	UVER	IJ	74587321
2354008	7765	1996-06-12	VYDAJ	PREVOD NA UCET	2332	10814	UVER	IJ	74587321
2354009	7765	1996-07-12	VYDAJ	PREVOD NA UCET	2332	9898	UVER	IJ	74587321
2354010	7765	1996-08-12	VYDAJ	PREVOD NA UCET	2332	10110	UVER	IJ	74587321
2354011	7765	1996-09-12	VYDAJ	PREVOD NA UCET	2332	8693	UVER	IJ	74587321
2354012	7765	1996-10-12	VYDAJ	PREVOD NA UCET	2332	5269	UVER	IJ	74587321
2354013	7765	1996-11-12	VYDAJ	PREVOD NA UCET	2332	11835	UVER	IJ	74587321
2354014	7765	1996-12-02	VYDAJ	VYBER	2500	17775	\N	\N	0
2354015	7765	1997-01-15	VYDAJ	VYBER	2800	8968	\N	\N	0
2354016	7765	1997-02-19	VYDAJ	VYBER	2900	8882	\N	\N	0
2354017	7765	1997-03-11	VYDAJ	VYBER	2700	8208	\N	\N	0
2354018	7765	1997-04-20	VYDAJ	VYBER	1800	30224	\N	\N	0
2354019	7765	1997-05-18	VYDAJ	VYBER	2200	18627	\N	\N	0
2354020	7765	1997-06-13	VYDAJ	VYBER	2800	60076	\N	\N	0
2354021	7765	1997-07-12	VYDAJ	VYBER	1800	45917	\N	\N	0
2354022	7765	1997-08-10	VYDAJ	VYBER	2100	95788	\N	\N	0
2354023	7765	1997-09-21	VYDAJ	VYBER	2400	73791	\N	\N	0
2354024	7765	1997-10-10	VYDAJ	VYBER	2400	45221	\N	\N	0
2354025	7765	1997-11-16	VYDAJ	VYBER	1700	34110	\N	\N	0
2354026	7765	1997-12-08	VYDAJ	VYBER	2600	25431	\N	\N	0
2354027	7765	1998-01-19	VYDAJ	VYBER	1800	46133	\N	\N	0
2354028	7765	1998-02-10	VYDAJ	VYBER	2000	24481	\N	\N	0
2354029	7765	1998-03-03	VYDAJ	VYBER	2000	53990	\N	\N	0
2354030	7765	1998-04-11	VYDAJ	VYBER	1900	73717	\N	\N	0
2354031	7765	1998-05-09	VYDAJ	VYBER	2200	77371	\N	\N	0
2354032	7765	1998-06-21	VYDAJ	VYBER	2200	36693	\N	\N	0
2354033	7765	1998-07-02	VYDAJ	VYBER	2600	34318	\N	\N	0
2354034	7765	1998-08-10	VYDAJ	VYBER	2400	73654	\N	\N	0
2354035	7765	1998-09-07	VYDAJ	VYBER	1800	55288	\N	\N	0
2354036	7765	1998-10-07	VYDAJ	VYBER	2500	47308	\N	\N	0
2354037	7765	1998-11-03	VYDAJ	VYBER	2300	73811	\N	\N	0
2354038	7765	1998-12-17	VYDAJ	VYBER	2200	56175	\N	\N	0
2354053	7765	1995-03-07	VYDAJ	PREVOD NA UCET	8217	59582	SIPO	EF	75713848
2354054	7765	1995-04-07	VYDAJ	PREVOD NA UCET	8217	18152	SIPO	EF	75713848
2354055	7765	1995-05-07	VYDAJ	PREVOD NA UCET	8217	13191	SIPO	EF	75713848
2354056	7765	1995-06-07	VYDAJ	PREVOD NA UCET	8217	10101	SIPO	EF	75713848
2354057	7765	1995-07-07	VYDAJ	PREVOD NA UCET	8217	14528	SIPO	EF	75713848
2354058	7765	1995-08-07	VYDAJ	PREVOD NA UCET	8217	27626	SIPO	EF	75713848
2354059	7765	1995-09-07	VYDAJ	PREVOD NA UCET	8217	12404	SIPO	EF	75713848
2354060	7765	1995-10-07	VYDAJ	PREVOD NA UCET	8217	19361	SIPO	EF	75713848
2354061	7765	1995-11-07	VYDAJ	PREVOD NA UCET	8217	48713	SIPO	EF	75713848
2354062	7765	1995-12-07	VYDAJ	PREVOD NA UCET	8217	18381	SIPO	EF	75713848
2354063	7765	1996-01-07	VYDAJ	PREVOD NA UCET	8217	39966	SIPO	EF	75713848
2354064	7765	1996-02-07	VYDAJ	PREVOD NA UCET	8217	16603	SIPO	EF	75713848
2354065	7765	1996-03-07	VYDAJ	PREVOD NA UCET	8217	12100	SIPO	EF	75713848
2354066	7765	1996-04-07	VYDAJ	PREVOD NA UCET	8217	14468	SIPO	EF	75713848
2354067	7765	1996-05-07	VYDAJ	PREVOD NA UCET	8217	14457	SIPO	EF	75713848
2354068	7765	1996-06-07	VYDAJ	PREVOD NA UCET	8217	13146	SIPO	EF	75713848
2354069	7765	1996-07-07	VYDAJ	PREVOD NA UCET	8217	12230	SIPO	EF	75713848
2354070	7765	1996-08-07	VYDAJ	PREVOD NA UCET	8217	12442	SIPO	EF	75713848
2354071	7765	1996-09-07	VYDAJ	PREVOD NA UCET	8217	11025	SIPO	EF	75713848
2354072	7765	1996-10-07	VYDAJ	PREVOD NA UCET	8217	7601	SIPO	EF	75713848
2354073	7765	1996-11-07	VYDAJ	PREVOD NA UCET	8217	14167	SIPO	EF	75713848
2354074	7765	1996-12-07	VYDAJ	PREVOD NA UCET	8217	9558	SIPO	EF	75713848
2354075	7765	1997-01-07	VYDAJ	PREVOD NA UCET	8217	11768	SIPO	EF	75713848
2354076	7765	1997-02-07	VYDAJ	PREVOD NA UCET	8217	11782	SIPO	EF	75713848
2354077	7765	1997-03-07	VYDAJ	PREVOD NA UCET	8217	10908	SIPO	EF	75713848
2354078	7765	1997-04-07	VYDAJ	PREVOD NA UCET	8217	32024	SIPO	EF	75713848
2354079	7765	1997-05-07	VYDAJ	PREVOD NA UCET	8217	20827	SIPO	EF	75713848
2354080	7765	1997-06-07	VYDAJ	PREVOD NA UCET	8217	30073	SIPO	EF	75713848
2354081	7765	1997-07-07	VYDAJ	PREVOD NA UCET	8217	34028	SIPO	EF	75713848
2354082	7765	1997-08-07	VYDAJ	PREVOD NA UCET	8217	54624	SIPO	EF	75713848
2354083	7765	1997-09-07	VYDAJ	PREVOD NA UCET	8217	76191	SIPO	EF	75713848
2354084	7765	1997-10-07	VYDAJ	PREVOD NA UCET	8217	107521	SIPO	EF	75713848
2354085	7765	1997-11-07	VYDAJ	PREVOD NA UCET	8217	35810	SIPO	EF	75713848
2354086	7765	1997-12-07	VYDAJ	PREVOD NA UCET	8217	28031	SIPO	EF	75713848
2354087	7765	1998-01-07	VYDAJ	PREVOD NA UCET	8217	47933	SIPO	EF	75713848
2354088	7765	1998-02-07	VYDAJ	PREVOD NA UCET	8217	26481	SIPO	EF	75713848
2354089	7765	1998-03-07	VYDAJ	PREVOD NA UCET	8217	45773	SIPO	EF	75713848
2354090	7765	1998-04-07	VYDAJ	PREVOD NA UCET	8217	47296	SIPO	EF	75713848
2354091	7765	1998-05-07	VYDAJ	PREVOD NA UCET	8217	79571	SIPO	EF	75713848
2354092	7765	1998-06-07	VYDAJ	PREVOD NA UCET	8217	99221	SIPO	EF	75713848
2354093	7765	1998-07-07	VYDAJ	PREVOD NA UCET	8217	26101	SIPO	EF	75713848
2354094	7765	1998-08-07	VYDAJ	PREVOD NA UCET	8217	76054	SIPO	EF	75713848
2354095	7765	1998-09-07	VYDAJ	PREVOD NA UCET	8217	47071	SIPO	EF	75713848
2354096	7765	1998-10-07	VYDAJ	PREVOD NA UCET	8217	39091	SIPO	EF	75713848
2354097	7765	1998-11-07	VYDAJ	PREVOD NA UCET	8217	95333	SIPO	EF	75713848
2354098	7765	1998-12-07	VYDAJ	PREVOD NA UCET	8217	70675	SIPO	EF	75713848
2354109	7765	1995-03-01	VYBER	VYBER	14553	67799	\N	\N	\N
2354111	7765	1995-04-01	VYBER	VYBER	9574	27269	\N	\N	\N
2354116	7765	1995-11-22	VYBER	VYBER	13447	32666	\N	\N	\N
2354121	7765	1998-06-10	VYBER	VYBER	16846	71463	\N	\N	\N
2354122	7765	1998-03-01	VYBER	VYBER	3207	55990	\N	\N	\N
2354124	7765	1998-12-23	VYBER	VYBER	2033	54142	\N	\N	\N
2354127	7765	1998-06-09	VYBER	VYBER	10912	88309	\N	\N	\N
2354132	7765	1998-06-18	VYDAJ	VYBER	62700	31693	\N	\N	\N
2354151	7765	1996-01-12	VYDAJ	VYBER	8100	22634	\N	\N	\N
2354153	7765	1996-01-02	VYDAJ	VYBER	3600	48183	\N	\N	\N
2354154	7765	1996-01-14	VYDAJ	VYBER	2400	20234	\N	\N	\N
2354155	7765	1996-01-07	VYDAJ	VYBER	6900	33066	\N	\N	\N
2354161	7765	1997-01-04	VYDAJ	VYBER	1800	19985	\N	\N	\N
2354162	7765	1998-01-07	VYDAJ	VYBER	8100	56150	\N	\N	\N
2354163	7765	1998-01-28	VYDAJ	VYBER	2700	38755	\N	\N	\N
2354164	7765	1998-01-26	VYDAJ	VYBER	3900	41455	\N	\N	\N
2354165	7765	1998-01-24	VYDAJ	VYBER	8400	45355	\N	\N	\N
2354166	7765	1998-01-29	VYDAJ	VYBER	4200	34555	\N	\N	\N
2354167	7765	1998-01-03	VYDAJ	VYBER	8400	24228	\N	\N	\N
2354178	7765	1995-06-26	VYDAJ	VYBER	4200	25999	\N	\N	\N
2354179	7765	1995-09-23	VYDAJ	VYBER	10500	35008	\N	\N	\N
2354183	7765	1997-12-01	VYDAJ	VYBER	3300	36248	\N	\N	\N
2354187	7765	1997-07-08	VYDAJ	VYBER	13800	20228	\N	\N	\N
2354188	7765	1998-11-20	VYDAJ	VYBER	2100	116653	\N	\N	\N
2354189	7765	1998-02-23	VYDAJ	VYBER	14400	37938	\N	\N	\N
2354207	7765	1995-03-31	VYDAJ	VYBER	30	36843	SLUZBY	\N	\N
2354208	7765	1995-04-30	VYDAJ	VYBER	30	16108	SLUZBY	\N	\N
2354209	7765	1995-05-31	VYDAJ	VYBER	30	11218	SLUZBY	\N	\N
2354210	7765	1995-06-30	VYDAJ	VYBER	30	26045	SLUZBY	\N	\N
2354211	7765	1995-07-31	VYDAJ	VYBER	30	49543	SLUZBY	\N	\N
2354212	7765	1995-08-31	VYDAJ	VYBER	30	24821	SLUZBY	\N	\N
2354213	7765	1995-09-30	VYDAJ	VYBER	30	35078	SLUZBY	\N	\N
2354214	7765	1995-10-31	VYDAJ	VYBER	30	19422	SLUZBY	\N	\N
2354215	7765	1995-11-30	VYDAJ	VYBER	30	32798	SLUZBY	\N	\N
2354216	7765	1995-12-31	VYDAJ	VYBER	30	41366	SLUZBY	\N	\N
2354217	7765	1996-01-31	VYDAJ	VYBER	30	24820	SLUZBY	\N	\N
2354218	7765	1996-02-29	VYDAJ	VYBER	30	14317	SLUZBY	\N	\N
2354219	7765	1996-03-31	VYDAJ	VYBER	30	22685	SLUZBY	\N	\N
2354220	7765	1996-04-30	VYDAJ	VYBER	30	22674	SLUZBY	\N	\N
2354221	7765	1996-05-31	VYDAJ	VYBER	30	21363	SLUZBY	\N	\N
2354222	7765	1996-06-30	VYDAJ	VYBER	30	20447	SLUZBY	\N	\N
2354223	7765	1996-07-31	VYDAJ	VYBER	30	20659	SLUZBY	\N	\N
2354224	7765	1996-08-31	VYDAJ	VYBER	30	19242	SLUZBY	\N	\N
2354225	7765	1996-09-30	VYDAJ	VYBER	30	15818	SLUZBY	\N	\N
2354226	7765	1996-10-31	VYDAJ	VYBER	30	22384	SLUZBY	\N	\N
2354227	7765	1996-11-30	VYDAJ	VYBER	30	20275	SLUZBY	\N	\N
2354228	7765	1996-12-31	VYDAJ	VYBER	30	21785	SLUZBY	\N	\N
2354229	7765	1997-01-31	VYDAJ	VYBER	30	19999	SLUZBY	\N	\N
2354230	7765	1997-02-28	VYDAJ	VYBER	30	19125	SLUZBY	\N	\N
2354231	7765	1997-03-31	VYDAJ	VYBER	30	40241	SLUZBY	\N	\N
2354232	7765	1997-04-30	VYDAJ	VYBER	30	29044	SLUZBY	\N	\N
2354233	7765	1997-05-31	VYDAJ	VYBER	30	38290	SLUZBY	\N	\N
2354234	7765	1997-06-30	VYDAJ	VYBER	30	42245	SLUZBY	\N	\N
2354235	7765	1997-07-31	VYDAJ	VYBER	30	46083	SLUZBY	\N	\N
2354236	7765	1997-08-31	VYDAJ	VYBER	30	84408	SLUZBY	\N	\N
2354237	7765	1997-09-30	VYDAJ	VYBER	30	76833	SLUZBY	\N	\N
2354238	7765	1997-10-31	VYDAJ	VYBER	30	44027	SLUZBY	\N	\N
2354239	7765	1997-11-30	VYDAJ	VYBER	30	39548	SLUZBY	\N	\N
2354240	7765	1997-12-31	VYDAJ	VYBER	30	32628	SLUZBY	\N	\N
2354241	7765	1998-01-31	VYDAJ	VYBER	30	34698	SLUZBY	\N	\N
2354242	7765	1998-02-28	VYDAJ	VYBER	30	59197	SLUZBY	\N	\N
2354243	7765	1998-03-31	VYDAJ	VYBER	30	55513	SLUZBY	\N	\N
2354244	7765	1998-04-30	VYDAJ	VYBER	30	76570	SLUZBY	\N	\N
2354245	7765	1998-05-31	VYDAJ	VYBER	30	67259	SLUZBY	\N	\N
2354246	7765	1998-06-30	VYDAJ	VYBER	30	36918	SLUZBY	\N	\N
2354247	7765	1998-07-31	VYDAJ	VYBER	30	57362	SLUZBY	\N	\N
2354248	7765	1998-08-31	VYDAJ	VYBER	30	57088	SLUZBY	\N	\N
2354249	7765	1998-09-30	VYDAJ	VYBER	30	65567	SLUZBY	\N	\N
2354250	7765	1998-10-31	VYDAJ	VYBER	30	76111	SLUZBY	\N	\N
2354251	7765	1998-11-30	VYDAJ	VYBER	30	78892	SLUZBY	\N	\N
2354252	7765	1994-08-09	PRIJEM	VKLAD	2900	19551	\N	\N	\N
2354253	7765	1994-09-08	VYDAJ	VYBER	25700	48547	\N	\N	\N
2354254	7765	1994-10-08	VYDAJ	VYBER	12300	36555	\N	\N	\N
2354255	7765	1994-11-07	VYDAJ	VYBER	8700	28164	\N	\N	\N
2354256	7765	1994-12-07	VYDAJ	VYBER	900	27573	\N	\N	\N
2354257	7765	1995-01-06	VYDAJ	VYBER	3700	24182	\N	\N	\N
2354258	7765	1995-02-05	VYDAJ	VYBER	6000	34672	\N	\N	\N
2354259	7765	1995-03-07	VYDAJ	VYBER	20600	38982	\N	\N	\N
2354260	7765	1995-04-06	VYDAJ	VYBER	900	26369	\N	\N	\N
2354261	7765	1995-05-06	PRIJEM	VKLAD	5300	21408	\N	\N	\N
2354262	7765	1995-06-05	PRIJEM	VKLAD	7100	18318	\N	\N	\N
2354263	7765	1995-07-05	VYDAJ	VYBER	3300	22745	\N	\N	\N
2354264	7765	1995-08-04	VYDAJ	VYBER	13700	35843	\N	\N	\N
2354265	7765	1995-09-03	VYDAJ	VYBER	4200	20621	\N	\N	\N
2354266	7765	1995-10-03	VYDAJ	VYBER	5300	29778	\N	\N	\N
2354267	7765	1995-11-02	PRIJEM	VKLAD	3000	22422	\N	\N	\N
2354268	7765	1995-12-02	VYDAJ	VYBER	6200	26598	\N	\N	\N
2354269	7765	1996-01-01	VYDAJ	VYBER	29700	51783	\N	\N	\N
2354270	7765	1996-01-31	PRIJEM	VKLAD	4500	24734	\N	\N	\N
2354271	7765	1996-03-01	PRIJEM	VKLAD	6000	20317	\N	\N	\N
2354272	7765	1996-03-31	PRIJEM	VKLAD	12900	22668	\N	\N	\N
2354273	7765	1996-04-30	PRIJEM	VKLAD	10500	22636	\N	\N	\N
2354274	7765	1996-05-30	PRIJEM	VKLAD	9200	21325	\N	\N	\N
2354275	7765	1996-06-29	PRIJEM	VKLAD	9600	20414	\N	\N	\N
2354276	7765	1996-07-29	PRIJEM	VKLAD	1600	20610	\N	\N	\N
2354277	7765	1996-08-28	PRIJEM	VKLAD	9100	19210	\N	\N	\N
2354278	7765	1996-09-27	PRIJEM	VKLAD	7100	15793	\N	\N	\N
2354279	7765	1996-10-27	PRIJEM	VKLAD	900	22354	\N	\N	\N
2354280	7765	1996-11-26	PRIJEM	VKLAD	8400	20235	\N	\N	\N
2354281	7765	1996-12-26	PRIJEM	VKLAD	12200	21758	\N	\N	\N
2354282	7765	1997-01-25	PRIJEM	VKLAD	11000	19968	\N	\N	\N
2354283	7765	1997-02-24	PRIJEM	VKLAD	10200	19082	\N	\N	\N
2354284	7765	1997-03-26	VYDAJ	VYBER	6200	40187	\N	\N	\N
2354285	7765	1997-04-25	VYDAJ	VYBER	1300	28924	\N	\N	\N
2354286	7765	1997-05-25	PRIJEM	VKLAD	5500	24127	\N	\N	\N
2354287	7765	1997-06-24	VYDAJ	VYBER	18000	42076	\N	\N	\N
2354288	7765	1997-07-20	VYDAJ	VYBER	56200	62150	\N	\N	\N
2354289	7765	1997-07-24	VYDAJ	VYBER	16300	45850	\N	\N	\N
2354290	7765	1997-08-23	VYDAJ	VYBER	32100	63688	\N	\N	\N
2354291	7765	1997-09-22	VYDAJ	VYBER	18300	55491	\N	\N	\N
2354292	7765	1997-10-07	VYDAJ	VYBER	59900	47621	\N	\N	\N
2354293	7765	1997-10-22	VYDAJ	VYBER	1400	43821	\N	\N	\N
2354294	7765	1997-11-21	PRIJEM	VKLAD	5300	39410	\N	\N	\N
2354295	7765	1997-12-21	PRIJEM	VKLAD	7100	32531	\N	\N	\N
2354296	7765	1998-01-20	VYDAJ	VYBER	6000	40133	\N	\N	\N
2354297	7765	1998-02-19	VYDAJ	VYBER	5100	52338	\N	\N	\N
2354298	7765	1998-03-18	VYDAJ	VYBER	63200	55056	\N	\N	\N
2354299	7765	1998-03-21	VYDAJ	VYBER	9200	45856	\N	\N	\N
2354300	7765	1998-04-20	VYDAJ	VYBER	36500	76297	\N	\N	\N
2354301	7765	1998-05-20	VYDAJ	VYBER	25700	66967	\N	\N	\N
2354302	7765	1998-06-19	PRIJEM	VKLAD	7200	38893	\N	\N	\N
2354303	7765	1998-07-19	PRIJEM	VKLAD	11600	37701	\N	\N	\N
2354304	7765	1998-08-18	VYDAJ	VYBER	16800	56854	\N	\N	\N
2354305	7765	1998-09-17	VYDAJ	VYBER	14600	56233	\N	\N	\N
2354306	7765	1998-10-06	VYDAJ	VYBER	60000	49808	\N	\N	\N
2354307	7765	1998-10-17	VYDAJ	VYBER	15800	64801	\N	\N	\N
2354308	7765	1998-10-26	VYDAJ	VYBER	53300	65801	\N	\N	\N
2354309	7765	1998-11-16	VYDAJ	VYBER	22400	72933	\N	\N	\N
2354310	7765	1998-11-20	VYDAJ	VYBER	58900	57753	\N	\N	\N
2354311	7765	1998-12-16	VYDAJ	VYBER	12300	58375	\N	\N	\N
2355378	7769	1993-10-03	PRIJEM	VKLAD	900	900	\N	\N	\N
2355381	7769	1993-11-05	PRIJEM	VKLAD	38260	80766	\N	\N	\N
2355382	7769	1993-12-04	PRIJEM	VKLAD	6103	66243	\N	\N	\N
2355387	7769	1993-10-29	PRIJEM	VKLAD	23302	63755	\N	\N	\N
2355390	7769	1993-10-06	PRIJEM	VKLAD	39553	40453	\N	\N	\N
2355393	7769	1993-11-20	PRIJEM	VKLAD	14725	95491	\N	\N	\N
2355394	7769	1994-09-25	PRIJEM	VKLAD	18381	102660	\N	\N	\N
2355395	7769	1994-07-05	PRIJEM	VKLAD	37847	95936	\N	\N	\N
2355396	7769	1994-02-13	PRIJEM	VKLAD	42017	67021	\N	\N	\N
2355397	7769	1994-12-22	PRIJEM	VKLAD	47827	148627	\N	\N	\N
2355398	7769	1994-06-22	PRIJEM	VKLAD	17166	78960	\N	\N	\N
2355399	7769	1994-06-20	PRIJEM	VKLAD	7099	61794	\N	\N	\N
2355400	7769	1994-08-27	PRIJEM	VKLAD	36909	99801	\N	\N	\N
2355401	7769	1994-10-29	PRIJEM	VKLAD	16496	67515	\N	\N	\N
2355402	7769	1994-05-08	PRIJEM	VKLAD	46888	77531	\N	\N	\N
2355403	7769	1994-05-09	PRIJEM	VKLAD	19926	97457	\N	\N	\N
2355404	7769	1994-05-28	PRIJEM	VKLAD	20385	103431	\N	\N	\N
2355405	7769	1994-10-05	PRIJEM	VKLAD	30069	71377	\N	\N	\N
2355406	7769	1994-05-25	PRIJEM	VKLAD	9656	101847	\N	\N	\N
2355407	7769	1994-05-23	PRIJEM	VKLAD	5334	92191	\N	\N	\N
2355408	7769	1994-06-19	PRIJEM	VKLAD	28501	54695	\N	\N	\N
2355409	7769	1994-08-24	PRIJEM	VKLAD	8061	62892	\N	\N	\N
2355410	7769	1994-05-26	PRIJEM	VKLAD	36099	137946	\N	\N	\N
2355411	7769	1994-09-16	PRIJEM	VKLAD	13971	91779	\N	\N	\N
2355412	7769	1994-12-12	PRIJEM	VKLAD	22081	106385	\N	\N	\N
2355413	7769	1994-06-28	PRIJEM	VKLAD	47876	141447	\N	\N	\N
2355414	7769	1994-06-02	PRIJEM	VKLAD	12860	54904	\N	\N	\N
2355415	7769	1994-10-28	PRIJEM	VKLAD	15625	76019	\N	\N	\N
2355416	7769	1994-06-25	PRIJEM	VKLAD	44211	123171	\N	\N	\N
2355417	7769	1994-12-07	PRIJEM	VKLAD	42310	84304	\N	\N	\N
2355418	7769	1994-04-11	PRIJEM	VKLAD	10097	32134	\N	\N	\N
2355419	7769	1994-02-19	PRIJEM	VKLAD	11722	59843	\N	\N	\N
2355420	7769	1994-09-15	PRIJEM	VKLAD	17747	77808	\N	\N	\N
2355421	7769	1994-10-09	PRIJEM	VKLAD	17050	88427	\N	\N	\N
2355422	7769	1994-01-22	PRIJEM	VKLAD	33985	51212	\N	\N	\N
2355423	7769	1995-09-23	PRIJEM	VKLAD	24849	46396	\N	\N	\N
2355424	7769	1995-04-17	PRIJEM	VKLAD	40347	65121	\N	\N	\N
2355425	7769	1995-12-24	PRIJEM	VKLAD	24318	44645	\N	\N	\N
2355426	7769	1995-04-01	PRIJEM	VKLAD	32948	51289	\N	\N	\N
2355427	7769	1995-08-25	PRIJEM	VKLAD	24187	39351	\N	\N	\N
2355428	7769	1996-06-21	PRIJEM	VKLAD	44640	78162	\N	\N	\N
2355429	7769	1996-01-31	PRIJEM	VKLAD	46489	93822	\N	\N	\N
2355430	7769	1996-03-02	PRIJEM	VKLAD	28073	79611	\N	\N	\N
2355431	7769	1996-09-15	PRIJEM	VKLAD	19312	94810	\N	\N	\N
2355432	7769	1996-02-12	PRIJEM	VKLAD	25817	119624	\N	\N	\N
2355433	7769	1996-05-01	PRIJEM	VKLAD	20032	87741	\N	\N	\N
2355434	7769	1996-08-19	PRIJEM	VKLAD	41543	89515	\N	\N	\N
2355435	7769	1996-12-11	PRIJEM	VKLAD	19822	75244	\N	\N	\N
2355436	7769	1996-09-14	PRIJEM	VKLAD	23948	75498	\N	\N	\N
2355437	7769	1996-07-08	PRIJEM	VKLAD	35078	113449	\N	\N	\N
2355438	7769	1996-03-07	PRIJEM	VKLAD	13707	93318	\N	\N	\N
2355439	7769	1996-10-29	PRIJEM	VKLAD	9992	58981	\N	\N	\N
2355440	7769	1996-03-26	PRIJEM	VKLAD	31675	86308	\N	\N	\N
2355441	7769	1996-07-21	PRIJEM	VKLAD	25382	62646	\N	\N	\N
2355442	7769	1996-01-22	PRIJEM	VKLAD	23339	47187	\N	\N	\N
2355443	7769	1996-08-03	PRIJEM	VKLAD	23770	86647	\N	\N	\N
2355444	7769	1996-10-30	PRIJEM	VKLAD	39525	98506	\N	\N	\N
2355445	7769	1996-08-17	PRIJEM	VKLAD	40710	115172	\N	\N	\N
2355446	7769	1996-11-27	PRIJEM	VKLAD	23350	86097	\N	\N	\N
2355447	7769	1996-12-25	PRIJEM	VKLAD	42368	89927	\N	\N	\N
2355448	7769	1996-04-09	PRIJEM	VKLAD	13421	104924	\N	\N	\N
2355449	7769	1996-09-06	PRIJEM	VKLAD	44347	119935	\N	\N	\N
2355450	7769	1996-04-02	PRIJEM	VKLAD	43293	129903	\N	\N	\N
2355451	7769	1996-10-10	PRIJEM	VKLAD	16767	73374	\N	\N	\N
2355452	7769	1996-06-19	PRIJEM	VKLAD	7172	35122	\N	\N	\N
2355453	7769	1996-12-06	PRIJEM	VKLAD	25592	112022	\N	\N	\N
2355454	7769	1997-06-13	PRIJEM	VKLAD	5904	73029	\N	\N	\N
2355455	7769	1997-12-30	PRIJEM	VKLAD	16443	52206	\N	\N	\N
2355456	7769	1997-05-20	PRIJEM	VKLAD	48596	98477	\N	\N	\N
2355457	7769	1997-03-17	PRIJEM	VKLAD	21175	84208	\N	\N	\N
2355458	7769	1997-06-17	PRIJEM	VKLAD	5775	60820	\N	\N	\N
2355459	7769	1997-08-23	PRIJEM	VKLAD	37120	75577	\N	\N	\N
2355460	7769	1997-01-26	PRIJEM	VKLAD	26255	62354	\N	\N	\N
2355461	7769	1997-06-14	PRIJEM	VKLAD	14216	87245	\N	\N	\N
2355462	7769	1997-03-11	PRIJEM	VKLAD	25103	96418	\N	\N	\N
2355463	7769	1997-01-13	PRIJEM	VKLAD	48696	149947	\N	\N	\N
2355464	7769	1997-01-06	PRIJEM	VKLAD	19032	109236	\N	\N	\N
2355465	7769	1997-10-18	PRIJEM	VKLAD	26600	57827	\N	\N	\N
2355466	7769	1997-11-10	PRIJEM	VKLAD	23042	49816	\N	\N	\N
2355467	7769	1997-03-07	PRIJEM	VKLAD	43545	71315	\N	\N	\N
2355468	7769	1997-04-17	PRIJEM	VKLAD	48307	96879	\N	\N	\N
2355469	7769	1997-11-30	PRIJEM	VKLAD	25740	51836	\N	\N	\N
2355470	7769	1997-07-11	PRIJEM	VKLAD	21321	82401	\N	\N	\N
2355471	7769	1998-07-16	PRIJEM	VKLAD	29493	118826	\N	\N	\N
2355472	7769	1998-03-10	PRIJEM	VKLAD	7502	62104	\N	\N	\N
2355473	7769	1998-09-14	PRIJEM	VKLAD	13238	108225	\N	\N	\N
2355474	7769	1998-11-29	PRIJEM	VKLAD	30249	131009	\N	\N	\N
2355475	7769	1998-04-20	PRIJEM	VKLAD	29285	101225	\N	\N	\N
2355476	7769	1998-12-20	PRIJEM	VKLAD	6554	60963	\N	\N	\N
2355477	7769	1998-03-12	PRIJEM	VKLAD	13013	68617	\N	\N	\N
2355478	7769	1998-04-28	PRIJEM	VKLAD	12972	109397	\N	\N	\N
2355479	7769	1998-02-21	PRIJEM	VKLAD	6548	64900	\N	\N	\N
2355480	7769	1998-11-17	PRIJEM	VKLAD	6747	100760	\N	\N	\N
2355481	7769	1998-06-25	PRIJEM	VKLAD	13209	64950	\N	\N	\N
2355482	7769	1998-11-02	PRIJEM	VKLAD	45889	128173	\N	\N	\N
2355483	7769	1998-02-05	PRIJEM	VKLAD	43217	76437	\N	\N	\N
2355484	7769	1998-04-04	PRIJEM	VKLAD	25504	101825	\N	\N	\N
2355485	7769	1998-08-13	PRIJEM	VKLAD	35644	120056	\N	\N	\N
2355486	7769	1998-11-14	PRIJEM	VKLAD	10370	94013	\N	\N	\N
2355487	7769	1998-11-07	PRIJEM	VKLAD	16619	83643	\N	\N	\N
2355488	7769	1998-03-14	PRIJEM	VKLAD	38766	103298	\N	\N	\N
2355489	7769	1998-07-13	PRIJEM	VKLAD	43779	89333	\N	\N	\N
2355490	7769	1998-11-04	PRIJEM	VKLAD	27551	113024	\N	\N	\N
2355491	7769	1998-03-22	PRIJEM	VKLAD	26972	125770	\N	\N	\N
2355503	7769	1993-12-12	VYDAJ	VYBER	3100	59243	\N	\N	0
2355504	7769	1994-01-19	VYDAJ	VYBER	3300	17227	\N	\N	0
2355505	7769	1994-02-08	VYDAJ	VYBER	4000	25004	\N	\N	0
2355506	7769	1994-03-08	VYDAJ	VYBER	4800	26226	\N	\N	0
2355507	7769	1994-04-08	VYDAJ	VYBER	5000	22037	\N	\N	0
2355508	7769	1994-05-14	VYDAJ	VYBER	4900	86857	\N	\N	0
2355509	7769	1994-06-12	VYDAJ	PREVOD NA UCET	4085	37894	UVER	OP	57404768
2355510	7769	1994-07-12	VYDAJ	PREVOD NA UCET	4085	91851	UVER	OP	57404768
2355511	7769	1994-08-12	VYDAJ	PREVOD NA UCET	4085	54831	UVER	OP	57404768
2355512	7769	1994-09-12	VYDAJ	PREVOD NA UCET	4085	60061	UVER	OP	57404768
2355513	7769	1994-10-12	VYDAJ	PREVOD NA UCET	4085	60394	UVER	OP	57404768
2355514	7769	1994-11-12	VYDAJ	PREVOD NA UCET	4085	60357	UVER	OP	57404768
2355515	7769	1994-12-12	VYDAJ	PREVOD NA UCET	4085	102300	UVER	OP	57404768
2355516	7769	1995-01-12	VYDAJ	PREVOD NA UCET	4085	64471	UVER	OP	57404768
2355517	7769	1995-02-12	VYDAJ	PREVOD NA UCET	4085	21265	UVER	OP	57404768
2355518	7769	1995-03-12	VYDAJ	PREVOD NA UCET	4085	17568	UVER	OP	57404768
2355519	7769	1995-04-12	VYDAJ	PREVOD NA UCET	4085	24774	UVER	OP	57404768
2355520	7769	1995-05-12	VYDAJ	PREVOD NA UCET	4085	41181	UVER	OP	57404768
2355521	7769	1995-06-12	VYDAJ	PREVOD NA UCET	4085	25456	UVER	OP	57404768
2355522	7769	1995-07-12	VYDAJ	PREVOD NA UCET	4085	19174	UVER	OP	57404768
2355523	7769	1995-08-12	VYDAJ	PREVOD NA UCET	4085	12664	UVER	OP	57404768
2355524	7769	1995-09-12	VYDAJ	PREVOD NA UCET	4085	29947	UVER	OP	57404768
2355525	7769	1995-10-12	VYDAJ	PREVOD NA UCET	4085	24829	UVER	OP	57404768
2355526	7769	1995-11-12	VYDAJ	PREVOD NA UCET	4085	17941	UVER	OP	57404768
2355527	7769	1995-12-12	VYDAJ	PREVOD NA UCET	4085	14727	UVER	OP	57404768
2355528	7769	1996-01-12	VYDAJ	PREVOD NA UCET	4085	21348	UVER	OP	57404768
2355529	7769	1996-02-12	VYDAJ	PREVOD NA UCET	4085	81039	UVER	OP	57404768
2355530	7769	1996-03-12	VYDAJ	PREVOD NA UCET	4085	89233	UVER	OP	57404768
2355531	7769	1996-04-12	VYDAJ	PREVOD NA UCET	4085	100839	UVER	OP	57404768
2355532	7769	1996-05-12	VYDAJ	PREVOD NA UCET	4085	74020	UVER	OP	57404768
2355533	7769	1996-06-12	VYDAJ	PREVOD NA UCET	4085	39008	UVER	OP	57404768
2355534	7769	1996-07-12	VYDAJ	PREVOD NA UCET	4085	46064	UVER	OP	57404768
2355535	7769	1996-08-12	VYDAJ	PREVOD NA UCET	4085	82562	UVER	OP	57404768
2355536	7769	1996-09-12	VYDAJ	PREVOD NA UCET	4085	51550	UVER	OP	57404768
2355537	7769	1996-10-12	VYDAJ	PREVOD NA UCET	4085	69289	UVER	OP	57404768
2355538	7769	1996-11-12	VYDAJ	PREVOD NA UCET	4085	94647	UVER	OP	57404768
2355539	7769	1996-12-12	VYDAJ	PREVOD NA UCET	4085	71159	UVER	OP	57404768
2355540	7769	1997-01-12	VYDAJ	PREVOD NA UCET	4085	101251	UVER	OP	57404768
2355541	7769	1997-02-12	VYDAJ	PREVOD NA UCET	4085	58575	UVER	OP	57404768
2355542	7769	1997-03-12	VYDAJ	PREVOD NA UCET	4085	92333	UVER	OP	57404768
2355543	7769	1997-04-12	VYDAJ	PREVOD NA UCET	4085	73472	UVER	OP	57404768
2355544	7769	1997-05-12	VYDAJ	PREVOD NA UCET	4085	72881	UVER	OP	57404768
2355545	7769	1997-06-12	VYDAJ	PREVOD NA UCET	4085	67125	UVER	OP	57404768
2355546	7769	1997-07-12	VYDAJ	PREVOD NA UCET	4085	78316	UVER	OP	57404768
2355547	7769	1997-08-12	VYDAJ	PREVOD NA UCET	4085	51057	UVER	OP	57404768
2355548	7769	1997-09-12	VYDAJ	PREVOD NA UCET	4085	48006	UVER	OP	57404768
2355549	7769	1997-10-12	VYDAJ	PREVOD NA UCET	4085	31227	UVER	OP	57404768
2355550	7769	1997-11-12	VYDAJ	PREVOD NA UCET	4085	38131	UVER	OP	57404768
2355551	7769	1997-12-12	VYDAJ	PREVOD NA UCET	4085	39063	UVER	OP	57404768
2355552	7769	1998-01-12	VYDAJ	PREVOD NA UCET	4085	33086	UVER	OP	57404768
2355553	7769	1998-02-12	VYDAJ	PREVOD NA UCET	4085	58352	UVER	OP	57404768
2355554	7769	1998-03-12	VYDAJ	PREVOD NA UCET	4085	64532	UVER	OP	57404768
2355555	7769	1998-04-12	VYDAJ	PREVOD NA UCET	4085	71940	UVER	OP	57404768
2355556	7769	1998-05-12	VYDAJ	PREVOD NA UCET	4085	72056	UVER	OP	57404768
2355557	7769	1998-06-13	VYDAJ	VYBER	3600	51741	\N	\N	0
2355558	7769	1998-07-03	VYDAJ	VYBER	4500	34854	\N	\N	0
2355559	7769	1998-08-18	VYDAJ	VYBER	4500	115556	\N	\N	0
2355560	7769	1998-09-05	VYDAJ	VYBER	3300	112687	\N	\N	0
2355561	7769	1998-10-13	VYDAJ	VYBER	4700	81937	\N	\N	0
2355562	7769	1998-11-03	VYDAJ	VYBER	3300	85473	\N	\N	0
2355563	7769	1998-12-20	VYDAJ	VYBER	5000	55963	\N	\N	0
2355565	7769	1994-02-01	VYBER	VYBER	10839	29004	\N	\N	\N
2355567	7769	1994-06-04	VYBER	VYBER	12925	41979	\N	\N	\N
2355568	7769	1994-01-06	VYBER	VYBER	6263	23527	\N	\N	\N
2355569	7769	1994-03-04	VYBER	VYBER	10700	31026	\N	\N	\N
2355570	7769	1994-09-30	VYBER	VYBER	20746	41322	\N	\N	\N
2355571	7769	1994-10-10	VYBER	VYBER	14648	73779	\N	\N	\N
2355574	7769	1995-09-12	VYBER	VYBER	5394	34032	\N	\N	\N
2355576	7769	1995-09-30	VYBER	VYBER	5716	28929	\N	\N	\N
2355579	7769	1995-01-26	VYBER	VYBER	11056	53415	\N	\N	\N
2355582	7769	1995-04-10	VYBER	VYBER	22430	28859	\N	\N	\N
2355585	7769	1996-05-01	VYBER	VYBER	9636	78105	\N	\N	\N
2355586	7769	1996-06-15	VYBER	VYBER	11058	27950	\N	\N	\N
2355587	7769	1996-01-09	VYBER	VYBER	7001	25433	\N	\N	\N
2355588	7769	1996-08-31	VYBER	VYBER	14224	75603	\N	\N	\N
2355590	7769	1997-09-27	VYBER	VYBER	19315	28691	\N	\N	\N
2355591	7769	1997-02-19	VYBER	VYBER	18584	27591	\N	\N	\N
2355592	7769	1997-06-04	VYBER	VYBER	8199	71210	\N	\N	\N
2355593	7769	1997-04-08	VYBER	VYBER	6912	77557	\N	\N	\N
2355594	7769	1997-05-23	VYBER	VYBER	8497	89980	\N	\N	\N
2355596	7769	1997-06-01	VYBER	VYBER	10880	79409	\N	\N	\N
2355597	7769	1997-10-23	VYBER	VYBER	18575	26652	\N	\N	\N
2355599	7769	1997-01-24	VYBER	VYBER	21048	36099	\N	\N	\N
2355600	7769	1997-04-23	VYBER	VYBER	18734	76645	\N	\N	\N
2355602	7769	1997-11-21	VYBER	VYBER	12035	26096	\N	\N	\N
2355603	7769	1998-12-15	VYBER	VYBER	15773	54409	\N	\N	\N
2355604	7769	1998-05-20	VYBER	VYBER	16116	55940	\N	\N	\N
2355606	7769	1994-06-15	VYDAJ	VYBER	11700	26194	\N	\N	\N
2355610	7769	1998-06-28	VYDAJ	VYBER	25800	39150	\N	\N	\N
2355612	7769	1994-01-08	VYDAJ	VYBER	3000	20527	\N	\N	\N
2355613	7769	1995-01-26	VYDAJ	VYBER	25200	28215	\N	\N	\N
2355615	7769	1997-01-20	VYDAJ	VYBER	14400	57147	\N	\N	\N
2355616	7769	1998-01-06	VYDAJ	VYBER	13200	35271	\N	\N	\N
2355617	7769	1993-12-09	VYDAJ	VYBER	3900	62343	\N	\N	\N
2355618	7769	1994-12-13	VYDAJ	VYBER	1500	100800	\N	\N	\N
2355619	7769	1995-12-30	VYDAJ	VYBER	8700	35945	\N	\N	\N
2355620	7769	1996-12-19	VYDAJ	VYBER	2100	47559	\N	\N	\N
2355621	7769	1997-12-27	VYDAJ	VYBER	3300	35763	\N	\N	\N
2355622	7769	1998-12-14	VYDAJ	VYBER	5400	70182	\N	\N	\N
2355629	7769	1993-12-16	VYDAJ	VYBER	2700	56543	\N	\N	\N
2355630	7769	1994-10-11	VYDAJ	VYBER	9300	64479	\N	\N	\N
2355631	7769	1994-01-05	VYDAJ	VYBER	12900	29790	\N	\N	\N
2355632	7769	1994-09-18	VYDAJ	VYBER	7500	84279	\N	\N	\N
2355633	7769	1994-05-13	VYDAJ	VYBER	5700	91757	\N	\N	\N
2355634	7769	1994-02-15	VYDAJ	VYBER	13200	48121	\N	\N	\N
2355635	7769	1994-05-26	VYDAJ	VYBER	6900	83046	\N	\N	\N
2355636	7769	1994-02-15	VYDAJ	VYBER	5700	61321	\N	\N	\N
2355637	7769	1994-11-02	VYDAJ	VYBER	3300	64442	\N	\N	\N
2355641	7769	1995-09-19	VYDAJ	VYBER	8400	21547	\N	\N	\N
2355643	7769	1996-05-21	VYDAJ	VYBER	3000	49420	\N	\N	\N
2355644	7769	1996-01-02	VYDAJ	VYBER	3600	32434	\N	\N	\N
2355645	7769	1996-08-13	VYDAJ	VYBER	8100	74462	\N	\N	\N
2355646	7769	1996-04-07	VYDAJ	VYBER	14400	91503	\N	\N	\N
2355647	7769	1996-03-17	VYDAJ	VYBER	1500	87733	\N	\N	\N
2355648	7769	1996-09-06	VYDAJ	VYBER	4200	55635	\N	\N	\N
2355649	7769	1996-06-10	VYDAJ	VYBER	6600	43093	\N	\N	\N
2355650	7769	1996-12-07	VYDAJ	VYBER	5700	55422	\N	\N	\N
2355651	7769	1997-01-08	VYDAJ	VYBER	3900	105336	\N	\N	\N
2355652	7769	1997-04-17	VYDAJ	VYBER	1500	95379	\N	\N	\N
2355654	7769	1997-10-22	VYDAJ	VYBER	12600	45227	\N	\N	\N
2355655	7769	1998-12-23	VYDAJ	VYBER	12300	43663	\N	\N	\N
2355656	7769	1998-09-23	VYDAJ	VYBER	10800	97425	\N	\N	\N
2355657	7769	1998-01-03	VYDAJ	VYBER	3900	48471	\N	\N	\N
2355658	7769	1998-03-21	VYDAJ	VYBER	4500	98798	\N	\N	\N
2355659	7769	1998-05-07	VYDAJ	VYBER	10200	99541	\N	\N	\N
2355660	7769	1998-04-07	VYDAJ	VYBER	2100	99725	\N	\N	\N
2355661	7769	1998-02-28	VYDAJ	VYBER	10500	54602	\N	\N	\N
2355662	7769	1998-04-27	VYDAJ	VYBER	4800	96425	\N	\N	\N
2355675	7769	1993-12-31	VYDAJ	VYBER	15	56790	SLUZBY	\N	\N
2355676	7769	1994-01-31	VYDAJ	VYBER	15	39843	SLUZBY	\N	\N
2355677	7769	1994-02-28	VYDAJ	VYBER	15	60026	SLUZBY	\N	\N
2355678	7769	1994-03-31	VYDAJ	VYBER	15	26337	SLUZBY	\N	\N
2355679	7769	1994-04-30	VYDAJ	VYBER	15	32243	SLUZBY	\N	\N
2355680	7769	1994-05-31	VYDAJ	VYBER	15	103744	SLUZBY	\N	\N
2355681	7769	1994-06-30	VYDAJ	VYBER	15	96189	SLUZBY	\N	\N
2355682	7769	1994-07-31	VYDAJ	VYBER	15	58916	SLUZBY	\N	\N
2355683	7769	1994-08-31	VYDAJ	VYBER	15	64146	SLUZBY	\N	\N
2355684	7769	1994-09-30	VYDAJ	VYBER	15	41308	SLUZBY	\N	\N
2355685	7769	1994-10-31	VYDAJ	VYBER	15	67742	SLUZBY	\N	\N
2355686	7769	1994-11-30	VYDAJ	VYBER	15	41994	SLUZBY	\N	\N
2355687	7769	1994-12-31	VYDAJ	VYBER	15	68556	SLUZBY	\N	\N
2355688	7769	1995-01-31	VYDAJ	VYBER	15	25350	SLUZBY	\N	\N
2355689	7769	1995-02-28	VYDAJ	VYBER	15	21653	SLUZBY	\N	\N
2355690	7769	1995-03-31	VYDAJ	VYBER	15	18341	SLUZBY	\N	\N
2355691	7769	1995-04-30	VYDAJ	VYBER	15	45266	SLUZBY	\N	\N
2355692	7769	1995-05-31	VYDAJ	VYBER	15	29541	SLUZBY	\N	\N
2355693	7769	1995-06-30	VYDAJ	VYBER	15	23259	SLUZBY	\N	\N
2355694	7769	1995-07-31	VYDAJ	VYBER	15	16749	SLUZBY	\N	\N
2355695	7769	1995-08-31	VYDAJ	VYBER	15	39426	SLUZBY	\N	\N
2355696	7769	1995-09-30	VYDAJ	VYBER	15	28914	SLUZBY	\N	\N
2355697	7769	1995-10-31	VYDAJ	VYBER	15	22026	SLUZBY	\N	\N
2355698	7769	1995-11-30	VYDAJ	VYBER	15	18812	SLUZBY	\N	\N
2355699	7769	1995-12-31	VYDAJ	VYBER	15	36034	SLUZBY	\N	\N
2355700	7769	1996-01-31	VYDAJ	VYBER	15	93807	SLUZBY	\N	\N
2355701	7769	1996-02-29	VYDAJ	VYBER	15	51538	SLUZBY	\N	\N
2355702	7769	1996-03-31	VYDAJ	VYBER	15	86610	SLUZBY	\N	\N
2355703	7769	1996-04-30	VYDAJ	VYBER	15	67709	SLUZBY	\N	\N
2355704	7769	1996-05-31	VYDAJ	VYBER	15	49693	SLUZBY	\N	\N
2355705	7769	1996-06-30	VYDAJ	VYBER	15	78371	SLUZBY	\N	\N
2355706	7769	1996-07-31	VYDAJ	VYBER	15	62877	SLUZBY	\N	\N
2355707	7769	1996-08-31	VYDAJ	VYBER	15	75588	SLUZBY	\N	\N
2355708	7769	1996-09-30	VYDAJ	VYBER	15	56607	SLUZBY	\N	\N
2355709	7769	1996-10-31	VYDAJ	VYBER	15	98732	SLUZBY	\N	\N
2355710	7769	1996-11-30	VYDAJ	VYBER	15	86430	SLUZBY	\N	\N
2355711	7769	1996-12-31	VYDAJ	VYBER	15	90204	SLUZBY	\N	\N
2355712	7769	1997-01-31	VYDAJ	VYBER	15	62660	SLUZBY	\N	\N
2355713	7769	1997-02-28	VYDAJ	VYBER	15	27770	SLUZBY	\N	\N
2355714	7769	1997-03-31	VYDAJ	VYBER	15	84469	SLUZBY	\N	\N
2355715	7769	1997-04-30	VYDAJ	VYBER	15	76966	SLUZBY	\N	\N
2355716	7769	1997-05-31	VYDAJ	VYBER	15	90289	SLUZBY	\N	\N
2355717	7769	1997-06-30	VYDAJ	VYBER	15	61080	SLUZBY	\N	\N
2355718	7769	1997-07-31	VYDAJ	VYBER	15	55142	SLUZBY	\N	\N
2355719	7769	1997-08-31	VYDAJ	VYBER	15	75791	SLUZBY	\N	\N
2355720	7769	1997-09-30	VYDAJ	VYBER	15	28912	SLUZBY	\N	\N
2355721	7769	1997-10-31	VYDAJ	VYBER	15	26774	SLUZBY	\N	\N
2355722	7769	1997-11-30	VYDAJ	VYBER	15	51948	SLUZBY	\N	\N
2355723	7769	1997-12-31	VYDAJ	VYBER	15	52371	SLUZBY	\N	\N
2355724	7769	1998-01-31	VYDAJ	VYBER	15	33220	SLUZBY	\N	\N
2355725	7769	1998-02-28	VYDAJ	VYBER	15	65102	SLUZBY	\N	\N
2355726	7769	1998-03-31	VYDAJ	VYBER	15	76321	SLUZBY	\N	\N
2355727	7769	1998-04-30	VYDAJ	VYBER	15	109741	SLUZBY	\N	\N
2355728	7769	1998-05-31	VYDAJ	VYBER	15	56241	SLUZBY	\N	\N
2355729	7769	1998-06-30	VYDAJ	VYBER	15	39354	SLUZBY	\N	\N
2355730	7769	1998-07-31	VYDAJ	VYBER	15	95212	SLUZBY	\N	\N
2355731	7769	1998-08-31	VYDAJ	VYBER	15	115987	SLUZBY	\N	\N
2355732	7769	1998-09-30	VYDAJ	VYBER	15	97837	SLUZBY	\N	\N
2355733	7769	1998-10-31	VYDAJ	VYBER	15	82284	SLUZBY	\N	\N
2355734	7769	1998-11-30	VYDAJ	VYBER	15	82482	SLUZBY	\N	\N
2355735	7769	1993-11-02	VYDAJ	VYBER	21400	42506	\N	\N	\N
2355736	7769	1993-12-02	VYDAJ	VYBER	35700	60140	\N	\N	\N
2355737	7769	1994-01-01	VYDAJ	VYBER	14100	42690	\N	\N	\N
2355738	7769	1994-01-31	VYDAJ	VYBER	11500	39858	\N	\N	\N
2355739	7769	1994-03-02	VYDAJ	VYBER	18300	41726	\N	\N	\N
2355740	7769	1994-04-01	PRIJEM	VKLAD	700	27037	\N	\N	\N
2355741	7769	1994-05-01	VYDAJ	VYBER	1600	30643	\N	\N	\N
2355742	7769	1994-05-26	VYDAJ	VYBER	48000	89946	\N	\N	\N
2355743	7769	1994-05-31	VYDAJ	VYBER	44900	42044	\N	\N	\N
2355744	7769	1994-05-31	VYDAJ	VYBER	16800	86944	\N	\N	\N
2355745	7769	1994-06-25	VYDAJ	VYBER	29600	93571	\N	\N	\N
2355746	7769	1994-06-28	VYDAJ	VYBER	45500	95947	\N	\N	\N
2355747	7769	1994-06-30	VYDAJ	VYBER	38100	58089	\N	\N	\N
2355748	7769	1994-07-30	VYDAJ	VYBER	33300	58551	\N	\N	\N
2355749	7769	1994-08-29	VYDAJ	VYBER	35900	63901	\N	\N	\N
2355750	7769	1994-09-28	VYDAJ	VYBER	40900	61760	\N	\N	\N
2355751	7769	1994-10-28	VYDAJ	VYBER	25000	51019	\N	\N	\N
2355752	7769	1994-11-27	VYDAJ	VYBER	18600	41757	\N	\N	\N
2355753	7769	1994-12-22	VYDAJ	VYBER	34300	114327	\N	\N	\N
2355754	7769	1994-12-27	VYDAJ	VYBER	46100	68227	\N	\N	\N
2355755	7769	1995-01-26	VYDAJ	VYBER	3100	25115	\N	\N	\N
2355756	7769	1995-02-25	PRIJEM	VKLAD	300	21565	\N	\N	\N
2355757	7769	1995-03-27	PRIJEM	VKLAD	700	18268	\N	\N	\N
2355758	7769	1995-04-26	VYDAJ	VYBER	20000	45121	\N	\N	\N
2355759	7769	1995-05-26	VYDAJ	VYBER	11800	29381	\N	\N	\N
2355760	7769	1995-06-25	VYDAJ	VYBER	2300	23156	\N	\N	\N
2355761	7769	1995-07-25	VYDAJ	VYBER	2500	16674	\N	\N	\N
2355762	7769	1995-08-24	PRIJEM	VKLAD	2500	15164	\N	\N	\N
2355763	7769	1995-09-23	VYDAJ	VYBER	11900	34496	\N	\N	\N
2355764	7769	1995-10-23	VYDAJ	VYBER	2900	21929	\N	\N	\N
2355765	7769	1995-11-22	PRIJEM	VKLAD	800	18741	\N	\N	\N
2355766	7769	1995-12-22	PRIJEM	VKLAD	5600	20327	\N	\N	\N
2355767	7769	1996-01-21	PRIJEM	VKLAD	2500	23848	\N	\N	\N
2355768	7769	1996-02-12	VYDAJ	VYBER	34500	85124	\N	\N	\N
2355769	7769	1996-02-20	VYDAJ	VYBER	29800	51239	\N	\N	\N
2355770	7769	1996-03-21	VYDAJ	VYBER	33100	54633	\N	\N	\N
2355771	7769	1996-04-02	VYDAJ	VYBER	24000	105903	\N	\N	\N
2355772	7769	1996-04-20	VYDAJ	VYBER	33500	67339	\N	\N	\N
2355773	7769	1996-05-20	VYDAJ	VYBER	21600	52420	\N	\N	\N
2355774	7769	1996-06-19	VYDAJ	VYBER	1600	33522	\N	\N	\N
2355775	7769	1996-07-08	VYDAJ	VYBER	63300	50149	\N	\N	\N
2355776	7769	1996-07-19	VYDAJ	VYBER	8800	37264	\N	\N	\N
2355777	7769	1996-08-17	VYDAJ	VYBER	48000	67172	\N	\N	\N
2355778	7769	1996-08-18	VYDAJ	VYBER	19200	47972	\N	\N	\N
2355779	7769	1996-09-06	VYDAJ	VYBER	60100	59835	\N	\N	\N
2355780	7769	1996-09-17	VYDAJ	VYBER	38500	56310	\N	\N	\N
2355781	7769	1996-10-17	VYDAJ	VYBER	20300	48989	\N	\N	\N
2355782	7769	1996-11-16	VYDAJ	VYBER	31900	62747	\N	\N	\N
2355783	7769	1996-12-06	VYDAJ	VYBER	50900	61122	\N	\N	\N
2355784	7769	1996-12-16	VYDAJ	VYBER	21500	49659	\N	\N	\N
2355785	7769	1997-01-13	VYDAJ	VYBER	39600	110347	\N	\N	\N
2355786	7769	1997-01-15	VYDAJ	VYBER	38800	71547	\N	\N	\N
2355787	7769	1997-02-14	VYDAJ	VYBER	12400	46175	\N	\N	\N
2355788	7769	1997-03-16	VYDAJ	VYBER	29300	63033	\N	\N	\N
2355789	7769	1997-04-15	VYDAJ	VYBER	24900	48572	\N	\N	\N
2355790	7769	1997-05-15	VYDAJ	VYBER	23000	49881	\N	\N	\N
2355791	7769	1997-06-14	VYDAJ	VYBER	32200	55045	\N	\N	\N
2355792	7769	1997-07-14	VYDAJ	VYBER	23400	54916	\N	\N	\N
2355793	7769	1997-08-13	VYDAJ	VYBER	12600	38457	\N	\N	\N
2355794	7769	1997-09-12	VYDAJ	VYBER	23700	52091	\N	\N	\N
2355795	7769	1997-10-12	PRIJEM	VKLAD	6400	35312	\N	\N	\N
2355796	7769	1997-11-11	VYDAJ	VYBER	7600	42216	\N	\N	\N
2355797	7769	1997-12-11	VYDAJ	VYBER	8800	43148	\N	\N	\N
2355798	7769	1998-01-10	PRIJEM	VKLAD	1900	37171	\N	\N	\N
2355799	7769	1998-02-09	VYDAJ	VYBER	14000	62437	\N	\N	\N
2355800	7769	1998-03-11	VYDAJ	VYBER	6500	55604	\N	\N	\N
2355801	7769	1998-03-22	VYDAJ	VYBER	49800	75970	\N	\N	\N
2355802	7769	1998-04-10	VYDAJ	VYBER	23700	76025	\N	\N	\N
2355803	7769	1998-05-10	VYDAJ	VYBER	23400	76141	\N	\N	\N
2355804	7769	1998-06-09	VYDAJ	VYBER	900	55341	\N	\N	\N
2355805	7769	1998-07-09	PRIJEM	VKLAD	10700	45554	\N	\N	\N
2355806	7769	1998-07-16	VYDAJ	VYBER	23900	94926	\N	\N	\N
2355807	7769	1998-08-08	VYDAJ	VYBER	10800	84412	\N	\N	\N
2355808	7769	1998-09-07	VYDAJ	VYBER	17700	94987	\N	\N	\N
2355809	7769	1998-10-07	VYDAJ	VYBER	11200	86637	\N	\N	\N
2355810	7769	1998-11-02	VYDAJ	VYBER	39400	88773	\N	\N	\N
2355811	7769	1998-11-04	VYDAJ	VYBER	44100	68924	\N	\N	\N
2355812	7769	1998-11-06	VYDAJ	VYBER	1900	67024	\N	\N	\N
2355813	7769	1998-11-29	VYDAJ	VYBER	48900	82109	\N	\N	\N
2355814	7769	1998-12-06	VYDAJ	VYBER	6900	75582	\N	\N	\N
2356773	7774	1993-09-14	PRIJEM	VKLAD	200	200	\N	\N	\N
2356775	7774	1993-10-18	PRIJEM	VKLAD	33930	85231	\N	\N	\N
2356776	7774	1993-12-27	PRIJEM	VKLAD	10302	88270	\N	\N	\N
2356778	7774	1993-11-06	PRIJEM	VKLAD	46371	128164	\N	\N	\N
2356782	7774	1993-10-01	PRIJEM	VKLAD	16786	25832	\N	\N	\N
2356783	7774	1993-10-17	PRIJEM	VKLAD	13933	51301	\N	\N	\N
2356784	7774	1993-12-10	PRIJEM	VKLAD	10770	77806	\N	\N	\N
2356787	7774	1993-12-01	PRIJEM	VKLAD	11350	67036	\N	\N	\N
2356790	7774	1993-10-10	PRIJEM	VKLAD	19736	45568	\N	\N	\N
2356791	7774	1993-12-15	PRIJEM	VKLAD	26162	77968	\N	\N	\N
2356795	7774	1993-09-20	PRIJEM	VKLAD	8820	9020	\N	\N	\N
2356797	7774	1994-04-12	PRIJEM	VKLAD	25022	49548	\N	\N	\N
2356798	7774	1994-11-01	PRIJEM	VKLAD	47922	95539	\N	\N	\N
2356799	7774	1994-04-09	PRIJEM	VKLAD	11670	24526	\N	\N	\N
2356800	7774	1994-04-27	PRIJEM	VKLAD	46776	84124	\N	\N	\N
2356801	7774	1994-09-15	PRIJEM	VKLAD	37594	57741	\N	\N	\N
2356802	7774	1994-01-12	PRIJEM	VKLAD	21188	76952	\N	\N	\N
2356803	7774	1994-12-12	PRIJEM	VKLAD	42163	52927	\N	\N	\N
2356804	7774	1994-10-14	PRIJEM	VKLAD	16104	47438	\N	\N	\N
2356805	7774	1995-09-29	PRIJEM	VKLAD	48332	122135	\N	\N	\N
2356806	7774	1995-06-24	PRIJEM	VKLAD	46750	99933	\N	\N	\N
2356807	7774	1995-09-30	PRIJEM	VKLAD	26188	108451	\N	\N	\N
2356808	7774	1995-09-15	PRIJEM	VKLAD	31782	87687	\N	\N	\N
2356809	7774	1995-09-15	PRIJEM	VKLAD	20435	55905	\N	\N	\N
2356810	7774	1995-06-21	PRIJEM	VKLAD	15623	53183	\N	\N	\N
2356811	7774	1995-09-20	PRIJEM	VKLAD	15564	103251	\N	\N	\N
2356812	7774	1995-10-07	PRIJEM	VKLAD	21808	74825	\N	\N	\N
2356813	7774	1995-11-08	PRIJEM	VKLAD	26517	74361	\N	\N	\N
2356814	7774	1995-04-24	PRIJEM	VKLAD	32960	63725	\N	\N	\N
2356815	7774	1995-09-22	PRIJEM	VKLAD	15022	118273	\N	\N	\N
2356816	7774	1995-10-05	PRIJEM	VKLAD	47741	111317	\N	\N	\N
2356817	7774	1995-04-28	PRIJEM	VKLAD	42166	105891	\N	\N	\N
2356818	7774	1995-02-23	PRIJEM	VKLAD	14057	37724	\N	\N	\N
2356819	7774	1995-02-01	PRIJEM	VKLAD	27223	29887	\N	\N	\N
2356820	7774	1995-08-05	PRIJEM	VKLAD	43509	113748	\N	\N	\N
2356821	7774	1995-03-31	PRIJEM	VKLAD	12735	38261	\N	\N	\N
2356822	7774	1996-09-07	PRIJEM	VKLAD	16903	49895	\N	\N	\N
2356823	7774	1997-07-24	PRIJEM	VKLAD	42181	115130	\N	\N	\N
2356824	7774	1997-04-15	PRIJEM	VKLAD	10846	77251	\N	\N	\N
2356825	7774	1997-08-04	PRIJEM	VKLAD	35664	115518	\N	\N	\N
2356826	7774	1997-12-25	PRIJEM	VKLAD	28063	105048	\N	\N	\N
2356827	7774	1997-11-06	PRIJEM	VKLAD	18466	64478	\N	\N	\N
2356828	7774	1997-02-12	PRIJEM	VKLAD	33882	43772	\N	\N	\N
2356829	7774	1997-03-13	PRIJEM	VKLAD	31218	73778	\N	\N	\N
2356830	7774	1997-06-30	PRIJEM	VKLAD	17099	73049	\N	\N	\N
2356831	7774	1997-01-14	PRIJEM	VKLAD	46215	52725	\N	\N	\N
2356832	7774	1997-12-05	PRIJEM	VKLAD	26495	84685	\N	\N	\N
2356833	7774	1997-10-15	PRIJEM	VKLAD	35620	65660	\N	\N	\N
2356834	7774	1998-01-08	PRIJEM	VKLAD	18976	99933	\N	\N	\N
2356835	7774	1998-09-25	PRIJEM	VKLAD	31424	124146	\N	\N	\N
2356836	7774	1998-11-09	PRIJEM	VKLAD	46916	133453	\N	\N	\N
2356837	7774	1998-08-19	PRIJEM	VKLAD	15015	117992	\N	\N	\N
2356838	7774	1998-02-28	PRIJEM	VKLAD	8421	77786	\N	\N	\N
2356839	7774	1998-05-05	PRIJEM	VKLAD	21195	94353	\N	\N	\N
2356840	7774	1998-06-14	PRIJEM	VKLAD	42788	86152	\N	\N	\N
2356841	7774	1998-03-21	PRIJEM	VKLAD	49273	121471	\N	\N	\N
2356842	7774	1998-08-02	PRIJEM	VKLAD	14439	102977	\N	\N	\N
2356917	7774	1993-10-23	VYBER	VYBER	3754	81477	\N	\N	\N
2356921	7774	1994-07-03	VYBER	VYBER	4945	24692	\N	\N	\N
2356922	7774	1994-01-09	VYBER	VYBER	19482	55764	\N	\N	\N
2356925	7774	1994-12-05	VYBER	VYBER	19566	45108	\N	\N	\N
2356926	7774	1994-05-04	VYBER	VYBER	24689	59648	\N	\N	\N
2356927	7774	1994-09-29	VYBER	VYBER	5708	38315	\N	\N	\N
2356929	7774	1994-12-05	VYBER	VYBER	24644	20464	\N	\N	\N
2356930	7774	1994-09-18	VYBER	VYBER	13718	44023	\N	\N	\N
2356932	7774	1994-07-16	VYBER	VYBER	24542	950	\N	\N	\N
2356934	7774	1994-06-26	VYBER	VYBER	3200	29436	\N	\N	\N
2356935	7774	1995-11-08	VYBER	VYBER	8440	65921	\N	\N	\N
2356936	7774	1995-04-06	VYBER	VYBER	7196	30965	\N	\N	\N
2356937	7774	1995-03-02	VYBER	VYBER	11297	20025	\N	\N	\N
2356938	7774	1995-02-04	VYBER	VYBER	13420	16467	\N	\N	\N
2356940	7774	1995-05-13	VYBER	VYBER	6029	37835	\N	\N	\N
2356941	7774	1995-09-23	VYBER	VYBER	18970	73803	\N	\N	\N
2356942	7774	1995-11-03	VYBER	VYBER	16016	52144	\N	\N	\N
2356943	7774	1995-10-11	VYBER	VYBER	7157	67668	\N	\N	\N
2356944	7774	1995-02-24	VYBER	VYBER	6472	31252	\N	\N	\N
2356945	7774	1996-03-14	VYBER	VYBER	12396	23384	\N	\N	\N
2356946	7774	1996-09-13	VYBER	VYBER	8655	41240	\N	\N	\N
2356947	7774	1996-11-08	VYBER	VYBER	10388	24979	\N	\N	\N
2356948	7774	1996-06-01	VYBER	VYBER	11122	31019	\N	\N	\N
2356949	7774	1996-08-31	VYBER	VYBER	10454	33092	\N	\N	\N
2356950	7774	1997-09-09	VYBER	VYBER	6414	62927	\N	\N	\N
2356951	7774	1997-02-03	VYBER	VYBER	24987	9890	\N	\N	\N
2356952	7774	1997-05-04	VYBER	VYBER	12668	54486	\N	\N	\N
2356954	7774	1997-09-22	VYBER	VYBER	21929	40998	\N	\N	\N
2356955	7774	1997-12-02	VYBER	VYBER	7235	58190	\N	\N	\N
2356956	7774	1997-07-24	VYBER	VYBER	23443	91687	\N	\N	\N
2356957	7774	1997-10-27	VYBER	VYBER	21860	45800	\N	\N	\N
2356958	7774	1997-01-04	VYBER	VYBER	3067	13110	\N	\N	\N
2356959	7774	1997-10-10	VYBER	VYBER	11441	30040	\N	\N	\N
2356960	7774	1997-01-20	VYBER	VYBER	16939	31886	\N	\N	\N
2356961	7774	1998-09-09	VYBER	VYBER	9366	93222	\N	\N	\N
2356962	7774	1998-03-08	VYBER	VYBER	5740	72198	\N	\N	\N
2356963	7774	1998-05-02	VYBER	VYBER	7833	73158	\N	\N	\N
2356964	7774	1998-08-28	VYBER	VYBER	5742	101950	\N	\N	\N
2356965	7774	1998-11-24	VYBER	VYBER	17076	65981	\N	\N	\N
2356966	7774	1998-06-12	VYBER	VYBER	10909	61664	\N	\N	\N
2356967	7774	1998-02-02	VYBER	VYBER	5415	66809	\N	\N	\N
2356968	7774	1998-12-04	VYBER	VYBER	3498	35194	\N	\N	\N
2356969	7774	1998-06-01	VYBER	VYBER	11541	72573	\N	\N	\N
2356970	7774	1998-11-13	VYBER	VYBER	24096	83357	\N	\N	\N
2356971	7774	1998-12-01	VYBER	VYBER	24123	38692	\N	\N	\N
2356972	7774	1998-10-03	VYBER	VYBER	8108	83605	\N	\N	\N
2356973	7774	1998-02-13	VYBER	VYBER	5171	61638	\N	\N	\N
2356974	7774	1998-05-18	VYBER	VYBER	18987	75366	\N	\N	\N
2356979	7774	1997-06-07	VYDAJ	VYBER	28800	34576	\N	\N	\N
2356980	7774	1998-06-12	VYDAJ	VYBER	18300	43364	\N	\N	\N
2356982	7774	1994-01-29	VYDAJ	VYBER	22500	2352	\N	\N	\N
2356983	7774	1995-01-04	VYDAJ	VYBER	21600	24357	\N	\N	\N
2356984	7774	1996-01-09	VYDAJ	VYBER	8100	30619	\N	\N	\N
2356985	7774	1997-01-01	VYDAJ	VYBER	23700	16177	\N	\N	\N
2356986	7774	1998-01-01	VYDAJ	VYBER	9600	91757	\N	\N	\N
2356987	7774	1993-12-29	VYDAJ	VYBER	6000	82270	\N	\N	\N
2356988	7774	1994-12-11	VYDAJ	VYBER	7500	10764	\N	\N	\N
2356989	7774	1995-12-08	VYDAJ	VYBER	3300	49969	\N	\N	\N
2356990	7774	1996-12-14	VYDAJ	VYBER	5400	25843	\N	\N	\N
2356991	7774	1997-12-28	VYDAJ	VYBER	4200	100848	\N	\N	\N
2356992	7774	1998-12-04	VYDAJ	VYBER	7500	27694	\N	\N	\N
2356999	7774	1994-01-20	VYDAJ	VYBER	4200	32952	\N	\N	\N
2357000	7774	1994-01-07	VYDAJ	VYBER	7500	75246	\N	\N	\N
2357001	7774	1994-01-19	VYDAJ	VYBER	5400	37152	\N	\N	\N
2357002	7774	1994-01-13	VYDAJ	VYBER	8100	42552	\N	\N	\N
2357003	7774	1994-01-27	VYDAJ	VYBER	2100	24852	\N	\N	\N
2357004	7774	1994-01-25	VYDAJ	VYBER	6000	26952	\N	\N	\N
2357005	7774	1995-01-23	VYDAJ	VYBER	2700	2657	\N	\N	\N
2357007	7774	1995-01-11	VYDAJ	VYBER	4500	12557	\N	\N	\N
2357009	7774	1995-01-14	VYDAJ	VYBER	7200	5357	\N	\N	\N
2357010	7774	1995-01-08	VYDAJ	VYBER	6600	18857	\N	\N	\N
2357011	7774	1996-01-17	VYDAJ	VYBER	1800	16519	\N	\N	\N
2357012	7774	1996-01-14	VYDAJ	VYBER	7800	18319	\N	\N	\N
2357013	7774	1996-01-01	VYDAJ	VYBER	4200	29519	\N	\N	\N
2357014	7774	1996-01-11	VYDAJ	VYBER	4500	26119	\N	\N	\N
2357015	7774	1996-01-18	VYDAJ	VYBER	2400	14119	\N	\N	\N
2357016	7774	1996-01-25	VYDAJ	VYBER	5400	8719	\N	\N	\N
2357018	7774	1997-01-13	VYDAJ	VYBER	6600	6510	\N	\N	\N
2357020	7774	1997-01-23	VYDAJ	VYBER	8100	18086	\N	\N	\N
2357021	7774	1997-01-16	VYDAJ	VYBER	3900	48825	\N	\N	\N
2357022	7774	1997-01-21	VYDAJ	VYBER	5700	26186	\N	\N	\N
2357023	7774	1998-01-13	VYDAJ	VYBER	7500	84933	\N	\N	\N
2357024	7774	1998-01-04	VYDAJ	VYBER	3000	80957	\N	\N	\N
2357025	7774	1998-01-16	VYDAJ	VYBER	6600	78333	\N	\N	\N
2357026	7774	1998-01-23	VYDAJ	VYBER	1500	71733	\N	\N	\N
2357027	7774	1998-01-02	VYDAJ	VYBER	7800	83957	\N	\N	\N
2357028	7774	1998-01-12	VYDAJ	VYBER	7500	92433	\N	\N	\N
2357033	7774	1993-11-24	VYDAJ	VYBER	5100	55164	\N	\N	\N
2357036	7774	1994-12-23	VYDAJ	VYBER	7200	45727	\N	\N	\N
2357038	7774	1994-12-09	VYDAJ	VYBER	7500	18264	\N	\N	\N
2357040	7774	1994-05-12	VYDAJ	VYBER	5400	54248	\N	\N	\N
2357041	7774	1994-03-07	VYDAJ	VYBER	14400	-1941	\N	\N	\N
2357042	7774	1995-12-19	VYDAJ	VYBER	4800	33469	\N	\N	\N
2357043	7774	1995-05-19	VYDAJ	VYBER	4200	33635	\N	\N	\N
2357044	7774	1995-12-18	VYDAJ	VYBER	11700	38269	\N	\N	\N
2357045	7774	1995-08-23	VYDAJ	VYBER	14100	32448	\N	\N	\N
2357046	7774	1995-01-10	VYDAJ	VYBER	1800	17057	\N	\N	\N
2357047	7774	1996-05-14	VYDAJ	VYBER	11100	29296	\N	\N	\N
2357048	7774	1996-10-23	VYDAJ	VYBER	11400	23598	\N	\N	\N
2357049	7774	1996-07-05	VYDAJ	VYBER	4800	34428	\N	\N	\N
2357050	7774	1996-07-22	VYDAJ	VYBER	11700	22728	\N	\N	\N
2357051	7774	1996-09-24	VYDAJ	VYBER	11400	29840	\N	\N	\N
2357052	7774	1996-05-02	VYDAJ	VYBER	1500	40396	\N	\N	\N
2357053	7774	1996-11-16	VYDAJ	VYBER	14100	10879	\N	\N	\N
2357054	7774	1996-10-14	VYDAJ	VYBER	6600	34998	\N	\N	\N
2357055	7774	1997-04-23	VYDAJ	VYBER	7200	70051	\N	\N	\N
2357056	7774	1997-12-15	VYDAJ	VYBER	3600	81085	\N	\N	\N
2357057	7774	1997-09-28	VYDAJ	VYBER	8700	46698	\N	\N	\N
2357058	7774	1997-03-08	VYDAJ	VYBER	3600	42560	\N	\N	\N
2357059	7774	1997-10-03	VYDAJ	VYBER	5400	41481	\N	\N	\N
2357060	7774	1997-03-08	VYDAJ	VYBER	6000	46160	\N	\N	\N
2357061	7774	1998-12-20	VYDAJ	VYBER	9000	47394	\N	\N	\N
2357062	7774	1998-11-28	VYDAJ	VYBER	3600	62381	\N	\N	\N
2357063	7774	1998-01-17	VYDAJ	VYBER	9600	68733	\N	\N	\N
2357074	7774	1993-10-31	VYDAJ	VYBER	100	81793	SLUZBY	\N	\N
2357075	7774	1993-11-30	VYDAJ	VYBER	100	55686	SLUZBY	\N	\N
2357076	7774	1993-12-31	VYDAJ	VYBER	100	82746	SLUZBY	\N	\N
2357077	7774	1994-01-31	VYDAJ	VYBER	100	2549	SLUZBY	\N	\N
2357078	7774	1994-02-28	VYDAJ	VYBER	100	12459	SLUZBY	\N	\N
2357079	7774	1994-03-31	VYDAJ	VYBER	100	12856	SLUZBY	\N	\N
2357080	7774	1994-04-30	VYDAJ	VYBER	100	84337	SLUZBY	\N	\N
2357081	7774	1994-05-31	VYDAJ	VYBER	100	39136	SLUZBY	\N	\N
2357082	7774	1994-06-30	VYDAJ	VYBER	100	29637	SLUZBY	\N	\N
2357083	7774	1994-07-31	VYDAJ	VYBER	100	951	SLUZBY	\N	\N
2357084	7774	1994-08-31	VYDAJ	VYBER	100	15953	SLUZBY	\N	\N
2357085	7774	1994-09-30	VYDAJ	VYBER	100	38434	SLUZBY	\N	\N
2357086	7774	1994-10-31	VYDAJ	VYBER	100	47617	SLUZBY	\N	\N
2357087	7774	1994-11-30	VYDAJ	VYBER	100	64674	SLUZBY	\N	\N
2357088	7774	1994-12-31	VYDAJ	VYBER	100	45957	SLUZBY	\N	\N
2357089	7774	1995-01-31	VYDAJ	VYBER	100	2664	SLUZBY	\N	\N
2357090	7774	1995-02-28	VYDAJ	VYBER	100	31322	SLUZBY	\N	\N
2357091	7774	1995-03-31	VYDAJ	VYBER	100	38161	SLUZBY	\N	\N
2357092	7774	1995-04-30	VYDAJ	VYBER	100	52264	SLUZBY	\N	\N
2357093	7774	1995-05-31	VYDAJ	VYBER	100	33860	SLUZBY	\N	\N
2357094	7774	1995-06-30	VYDAJ	VYBER	100	100237	SLUZBY	\N	\N
2357095	7774	1995-07-31	VYDAJ	VYBER	100	70239	SLUZBY	\N	\N
2357096	7774	1995-08-31	VYDAJ	VYBER	100	32870	SLUZBY	\N	\N
2357097	7774	1995-09-30	VYDAJ	VYBER	100	108576	SLUZBY	\N	\N
2357098	7774	1995-10-31	VYDAJ	VYBER	100	68160	SLUZBY	\N	\N
2357099	7774	1995-11-30	VYDAJ	VYBER	100	66369	SLUZBY	\N	\N
2357100	7774	1995-12-31	VYDAJ	VYBER	100	33719	SLUZBY	\N	\N
2357101	7774	1996-01-31	VYDAJ	VYBER	100	8761	SLUZBY	\N	\N
2357102	7774	1996-02-29	VYDAJ	VYBER	100	27780	SLUZBY	\N	\N
2357103	7774	1996-03-31	VYDAJ	VYBER	100	23412	SLUZBY	\N	\N
2357104	7774	1996-04-30	VYDAJ	VYBER	100	36196	SLUZBY	\N	\N
2357105	7774	1996-05-31	VYDAJ	VYBER	100	42141	SLUZBY	\N	\N
2357106	7774	1996-06-30	VYDAJ	VYBER	100	39228	SLUZBY	\N	\N
2357107	7774	1996-07-31	VYDAJ	VYBER	100	37975	SLUZBY	\N	\N
2357108	7774	1996-08-31	VYDAJ	VYBER	100	32992	SLUZBY	\N	\N
2357109	7774	1996-09-30	VYDAJ	VYBER	100	41598	SLUZBY	\N	\N
2357110	7774	1996-10-31	VYDAJ	VYBER	100	35367	SLUZBY	\N	\N
2357111	7774	1996-11-30	VYDAJ	VYBER	100	31243	SLUZBY	\N	\N
2357112	7774	1996-12-31	VYDAJ	VYBER	100	39877	SLUZBY	\N	\N
2357113	7774	1997-01-31	VYDAJ	VYBER	100	34877	SLUZBY	\N	\N
2357114	7774	1997-02-28	VYDAJ	VYBER	100	52160	SLUZBY	\N	\N
2357115	7774	1997-03-31	VYDAJ	VYBER	100	66405	SLUZBY	\N	\N
2357116	7774	1997-04-30	VYDAJ	VYBER	100	67154	SLUZBY	\N	\N
2357117	7774	1997-05-31	VYDAJ	VYBER	100	63376	SLUZBY	\N	\N
2357118	7774	1997-06-30	VYDAJ	VYBER	100	72949	SLUZBY	\N	\N
2357119	7774	1997-07-31	VYDAJ	VYBER	100	79854	SLUZBY	\N	\N
2357120	7774	1997-08-31	VYDAJ	VYBER	100	69341	SLUZBY	\N	\N
2357121	7774	1997-09-30	VYDAJ	VYBER	100	46881	SLUZBY	\N	\N
2357122	7774	1997-10-31	VYDAJ	VYBER	100	46012	SLUZBY	\N	\N
2357123	7774	1997-11-30	VYDAJ	VYBER	100	65425	SLUZBY	\N	\N
2357124	7774	1997-12-31	VYDAJ	VYBER	100	101357	SLUZBY	\N	\N
2357125	7774	1998-01-31	VYDAJ	VYBER	100	72224	SLUZBY	\N	\N
2357126	7774	1998-02-28	VYDAJ	VYBER	100	77938	SLUZBY	\N	\N
2357127	7774	1998-03-31	VYDAJ	VYBER	100	72558	SLUZBY	\N	\N
2357128	7774	1998-04-30	VYDAJ	VYBER	100	80991	SLUZBY	\N	\N
2357129	7774	1998-05-31	VYDAJ	VYBER	100	84114	SLUZBY	\N	\N
2357130	7774	1998-06-30	VYDAJ	VYBER	100	89574	SLUZBY	\N	\N
2357131	7774	1998-07-31	VYDAJ	VYBER	100	88538	SLUZBY	\N	\N
2357132	7774	1998-08-31	VYDAJ	VYBER	100	102588	SLUZBY	\N	\N
2357133	7774	1998-09-30	VYDAJ	VYBER	100	91713	SLUZBY	\N	\N
2357134	7774	1998-10-31	VYDAJ	VYBER	100	86537	SLUZBY	\N	\N
2357135	7774	1998-11-30	VYDAJ	VYBER	100	62815	SLUZBY	\N	\N
2357136	7774	1993-10-14	VYDAJ	VYBER	8200	37368	\N	\N	\N
2357137	7774	1993-11-06	VYDAJ	VYBER	31000	97164	\N	\N	\N
2357138	7774	1993-11-13	VYDAJ	VYBER	36900	60264	\N	\N	\N
2357139	7774	1993-12-13	VYDAJ	VYBER	26000	51806	\N	\N	\N
2357140	7774	1994-01-12	VYDAJ	VYBER	26300	50652	\N	\N	\N
2357141	7774	1994-02-11	PRIJEM	VKLAD	10000	12549	\N	\N	\N
2357142	7774	1994-03-13	PRIJEM	VKLAD	14800	12859	\N	\N	\N
2357143	7774	1994-04-12	VYDAJ	VYBER	12200	37348	\N	\N	\N
2357144	7774	1994-05-12	VYDAJ	VYBER	15500	38748	\N	\N	\N
2357145	7774	1994-06-11	VYDAJ	VYBER	6500	32636	\N	\N	\N
2357146	7774	1994-07-11	PRIJEM	VKLAD	800	25492	\N	\N	\N
2357147	7774	1994-08-10	PRIJEM	VKLAD	15100	16051	\N	\N	\N
2357148	7774	1994-09-09	PRIJEM	VKLAD	4200	20147	\N	\N	\N
2357149	7774	1994-10-09	VYDAJ	VYBER	7100	31334	\N	\N	\N
2357150	7774	1994-11-08	VYDAJ	VYBER	31200	64339	\N	\N	\N
2357151	7774	1994-12-08	PRIJEM	VKLAD	5300	25764	\N	\N	\N
2357152	7774	1995-01-07	PRIJEM	VKLAD	1100	25457	\N	\N	\N
2357153	7774	1995-02-06	PRIJEM	VKLAD	7200	23667	\N	\N	\N
2357154	7774	1995-03-08	PRIJEM	VKLAD	5300	25325	\N	\N	\N
2357155	7774	1995-04-07	VYDAJ	VYBER	200	30765	\N	\N	\N
2357156	7774	1995-04-28	VYDAJ	VYBER	53800	52091	\N	\N	\N
2357157	7774	1995-05-07	VYDAJ	VYBER	8400	43864	\N	\N	\N
2357158	7774	1995-06-06	PRIJEM	VKLAD	3700	37560	\N	\N	\N
2357159	7774	1995-07-06	VYDAJ	VYBER	30700	69537	\N	\N	\N
2357160	7774	1995-08-05	VYDAJ	VYBER	64000	46548	\N	\N	\N
2357161	7774	1995-08-05	VYDAJ	VYBER	3200	110548	\N	\N	\N
2357162	7774	1995-09-04	PRIJEM	VKLAD	2600	35470	\N	\N	\N
2357163	7774	1995-09-22	VYDAJ	VYBER	25500	92773	\N	\N	\N
2357164	7774	1995-09-29	VYDAJ	VYBER	40100	82035	\N	\N	\N
2357165	7774	1995-09-30	VYDAJ	VYBER	20100	88476	\N	\N	\N
2357166	7774	1995-10-04	VYDAJ	VYBER	24900	63576	\N	\N	\N
2357167	7774	1995-10-05	VYDAJ	VYBER	58300	53017	\N	\N	\N
2357168	7774	1995-11-03	VYDAJ	VYBER	4300	47844	\N	\N	\N
2357169	7774	1995-12-03	VYDAJ	VYBER	13100	53269	\N	\N	\N
2357170	7774	1996-01-02	PRIJEM	VKLAD	9200	38719	\N	\N	\N
2357171	7774	1996-02-01	PRIJEM	VKLAD	19100	27861	\N	\N	\N
2357172	7774	1996-03-02	PRIJEM	VKLAD	8000	35780	\N	\N	\N
2357173	7774	1996-04-01	PRIJEM	VKLAD	12800	36212	\N	\N	\N
2357174	7774	1996-05-01	PRIJEM	VKLAD	5700	41896	\N	\N	\N
2357175	7774	1996-05-31	PRIJEM	VKLAD	12700	42241	\N	\N	\N
2357176	7774	1996-06-30	PRIJEM	VKLAD	8000	39173	\N	\N	\N
2357177	7774	1996-07-30	PRIJEM	VKLAD	15100	37828	\N	\N	\N
2357178	7774	1996-08-29	PRIJEM	VKLAD	5300	43275	\N	\N	\N
2357179	7774	1996-09-28	PRIJEM	VKLAD	11600	41440	\N	\N	\N
2357180	7774	1996-10-28	PRIJEM	VKLAD	11600	35198	\N	\N	\N
2357181	7774	1996-11-27	PRIJEM	VKLAD	20300	31179	\N	\N	\N
2357182	7774	1996-12-27	PRIJEM	VKLAD	14000	39843	\N	\N	\N
2357183	7774	1997-01-26	PRIJEM	VKLAD	16700	34786	\N	\N	\N
2357184	7774	1997-02-25	PRIJEM	VKLAD	8200	51972	\N	\N	\N
2357185	7774	1997-03-27	VYDAJ	VYBER	7700	66078	\N	\N	\N
2357186	7774	1997-04-26	VYDAJ	VYBER	3300	66751	\N	\N	\N
2357187	7774	1997-05-26	PRIJEM	VKLAD	8500	62986	\N	\N	\N
2357188	7774	1997-06-25	PRIJEM	VKLAD	21100	55676	\N	\N	\N
2357189	7774	1997-07-25	VYDAJ	VYBER	12300	79387	\N	\N	\N
2357190	7774	1997-08-04	VYDAJ	VYBER	52500	63018	\N	\N	\N
2357191	7774	1997-08-24	PRIJEM	VKLAD	5800	68818	\N	\N	\N
2357192	7774	1997-09-23	PRIJEM	VKLAD	14400	55398	\N	\N	\N
2357193	7774	1997-10-23	PRIJEM	VKLAD	2000	67660	\N	\N	\N
2357194	7774	1997-11-22	PRIJEM	VKLAD	800	65278	\N	\N	\N
2357195	7774	1997-12-22	VYDAJ	VYBER	4100	76985	\N	\N	\N
2357196	7774	1998-01-21	PRIJEM	VKLAD	4500	73233	\N	\N	\N
2357197	7774	1998-02-20	PRIJEM	VKLAD	7600	69238	\N	\N	\N
2357198	7774	1998-03-21	VYDAJ	VYBER	51000	70471	\N	\N	\N
2357199	7774	1998-03-22	PRIJEM	VKLAD	1800	72271	\N	\N	\N
2357200	7774	1998-04-21	PRIJEM	VKLAD	8000	80558	\N	\N	\N
2357201	7774	1998-05-21	PRIJEM	VKLAD	8200	83566	\N	\N	\N
2357202	7774	1998-06-20	PRIJEM	VKLAD	2900	89052	\N	\N	\N
2357203	7774	1998-07-20	VYDAJ	VYBER	1600	87974	\N	\N	\N
2357204	7774	1998-08-19	VYDAJ	VYBER	10300	107692	\N	\N	\N
2357205	7774	1998-09-18	VYDAJ	VYBER	500	92722	\N	\N	\N
2357206	7774	1998-09-30	VYDAJ	VYBER	33100	91813	\N	\N	\N
2357207	7774	1998-10-18	PRIJEM	VKLAD	2500	86105	\N	\N	\N
2357208	7774	1998-11-09	VYDAJ	VYBER	26000	107453	\N	\N	\N
2357209	7774	1998-11-17	VYDAJ	VYBER	300	83057	\N	\N	\N
2357210	7774	1998-12-17	PRIJEM	VKLAD	28700	56394	\N	\N	\N
2363828	7795	1995-01-05	PRIJEM	VKLAD	500	500	\N	\N	\N
2363829	7795	1995-05-25	PRIJEM	VKLAD	7481	40139	\N	\N	\N
2363830	7795	1995-02-28	PRIJEM	VKLAD	8008	74029	\N	\N	\N
2363831	7795	1995-10-10	PRIJEM	VKLAD	5288	49256	\N	\N	\N
2363832	7795	1995-07-24	PRIJEM	VKLAD	26171	101436	\N	\N	\N
2363833	7795	1995-02-21	PRIJEM	VKLAD	14881	45706	\N	\N	\N
2363834	7795	1995-08-31	PRIJEM	VKLAD	32638	104759	\N	\N	\N
2363835	7795	1995-07-09	PRIJEM	VKLAD	29254	52512	\N	\N	\N
2363836	7795	1995-11-13	PRIJEM	VKLAD	37477	88188	\N	\N	\N
2363837	7795	1995-07-23	PRIJEM	VKLAD	32128	127265	\N	\N	\N
2363838	7795	1995-02-15	PRIJEM	VKLAD	12300	30825	\N	\N	\N
2363839	7795	1995-12-23	PRIJEM	VKLAD	21154	54035	\N	\N	\N
2363840	7795	1995-01-11	PRIJEM	VKLAD	9098	9598	\N	\N	\N
2363841	7795	1995-04-09	PRIJEM	VKLAD	42369	69820	\N	\N	\N
2363842	7795	1995-02-22	PRIJEM	VKLAD	20315	66021	\N	\N	\N
2363843	7795	1995-08-28	PRIJEM	VKLAD	10894	72121	\N	\N	\N
2363844	7795	1995-08-04	PRIJEM	VKLAD	30178	71827	\N	\N	\N
2363845	7795	1995-04-17	PRIJEM	VKLAD	37892	107712	\N	\N	\N
2363846	7795	1995-11-08	PRIJEM	VKLAD	32272	56311	\N	\N	\N
2363847	7795	1995-09-15	PRIJEM	VKLAD	48768	76027	\N	\N	\N
2363848	7795	1995-11-18	PRIJEM	VKLAD	13375	95563	\N	\N	\N
2363849	7795	1995-07-12	PRIJEM	VKLAD	42625	95137	\N	\N	\N
2363850	7795	1995-05-27	PRIJEM	VKLAD	38526	78665	\N	\N	\N
2363851	7795	1995-06-01	PRIJEM	VKLAD	47963	126823	\N	\N	\N
2363852	7795	1995-06-29	PRIJEM	VKLAD	32363	63982	\N	\N	\N
2363853	7795	1996-05-15	PRIJEM	VKLAD	17330	94656	\N	\N	\N
2363854	7795	1996-08-07	PRIJEM	VKLAD	24704	55902	\N	\N	\N
2363855	7795	1996-07-16	PRIJEM	VKLAD	36804	91132	\N	\N	\N
2363856	7795	1996-04-20	PRIJEM	VKLAD	39859	122466	\N	\N	\N
2363857	7795	1996-06-04	PRIJEM	VKLAD	37168	122758	\N	\N	\N
2363858	7795	1996-05-22	PRIJEM	VKLAD	33839	128495	\N	\N	\N
2363859	7795	1996-04-11	PRIJEM	VKLAD	34344	98107	\N	\N	\N
2363860	7795	1996-09-28	PRIJEM	VKLAD	20568	67953	\N	\N	\N
2363861	7795	1996-09-05	PRIJEM	VKLAD	24257	60685	\N	\N	\N
2363862	7795	1996-03-31	PRIJEM	VKLAD	14010	75583	\N	\N	\N
2363863	7795	1996-03-10	PRIJEM	VKLAD	48231	106828	\N	\N	\N
2363864	7795	1996-07-18	PRIJEM	VKLAD	31693	122825	\N	\N	\N
2363865	7795	1996-03-25	PRIJEM	VKLAD	44624	97973	\N	\N	\N
2363866	7795	1996-01-24	PRIJEM	VKLAD	19467	42884	\N	\N	\N
2363867	7795	1996-03-24	PRIJEM	VKLAD	26721	116649	\N	\N	\N
2363868	7795	1996-04-05	PRIJEM	VKLAD	12524	108163	\N	\N	\N
2363869	7795	1996-01-02	PRIJEM	VKLAD	46875	89517	\N	\N	\N
2363870	7795	1996-03-02	PRIJEM	VKLAD	37663	79197	\N	\N	\N
2363871	7795	1996-06-02	PRIJEM	VKLAD	36897	92490	\N	\N	\N
2363872	7795	1996-02-19	PRIJEM	VKLAD	26804	61840	\N	\N	\N
2363873	7795	1996-04-03	PRIJEM	VKLAD	19695	95639	\N	\N	\N
2363874	7795	1996-11-08	PRIJEM	VKLAD	11755	58564	\N	\N	\N
2363875	7795	1996-05-14	PRIJEM	VKLAD	17168	77326	\N	\N	\N
2363876	7795	1996-08-16	PRIJEM	VKLAD	15228	59930	\N	\N	\N
2363877	7795	1996-01-26	PRIJEM	VKLAD	14345	57229	\N	\N	\N
2363878	7795	1996-11-12	PRIJEM	VKLAD	43103	101667	\N	\N	\N
2363879	7795	1997-11-03	PRIJEM	VKLAD	39363	86728	\N	\N	\N
2363880	7795	1997-08-08	PRIJEM	VKLAD	44840	100896	\N	\N	\N
2363881	7795	1997-01-31	PRIJEM	VKLAD	43346	64100	\N	\N	\N
2363882	7795	1997-08-17	PRIJEM	VKLAD	45292	139986	\N	\N	\N
2363883	7795	1997-01-17	PRIJEM	VKLAD	43833	59197	\N	\N	\N
2363884	7795	1997-12-07	PRIJEM	VKLAD	17436	90715	\N	\N	\N
2363885	7795	1997-08-23	PRIJEM	VKLAD	43022	106208	\N	\N	\N
2363886	7795	1997-11-21	PRIJEM	VKLAD	9197	73023	\N	\N	\N
2363887	7795	1997-04-25	PRIJEM	VKLAD	5366	25217	\N	\N	\N
2363888	7795	1997-07-06	PRIJEM	VKLAD	43758	76753	\N	\N	\N
2363889	7795	1997-04-30	PRIJEM	VKLAD	32644	57954	\N	\N	\N
2363890	7795	1997-06-02	PRIJEM	VKLAD	30267	68455	\N	\N	\N
2363891	7795	1997-05-23	PRIJEM	VKLAD	10293	41716	\N	\N	\N
2363892	7795	1998-07-22	PRIJEM	VKLAD	6729	56939	\N	\N	\N
2363893	7795	1998-11-08	PRIJEM	VKLAD	25361	144248	\N	\N	\N
2363894	7795	1998-03-10	PRIJEM	VKLAD	7305	79766	\N	\N	\N
2363895	7795	1998-05-19	PRIJEM	VKLAD	40586	115481	\N	\N	\N
2363896	7795	1998-05-23	PRIJEM	VKLAD	9699	75780	\N	\N	\N
2363897	7795	1998-06-25	PRIJEM	VKLAD	20496	69718	\N	\N	\N
2363898	7795	1998-10-17	PRIJEM	VKLAD	39150	112595	\N	\N	\N
2363899	7795	1998-06-16	PRIJEM	VKLAD	17863	117522	\N	\N	\N
2363900	7795	1998-09-02	PRIJEM	VKLAD	36214	90737	\N	\N	\N
2363901	7795	1998-05-28	PRIJEM	VKLAD	43312	119092	\N	\N	\N
2363902	7795	1998-08-03	PRIJEM	VKLAD	12154	90508	\N	\N	\N
2363903	7795	1998-01-04	PRIJEM	VKLAD	23843	92050	\N	\N	\N
2363904	7795	1998-04-12	PRIJEM	VKLAD	35582	145882	\N	\N	\N
2363905	7795	1998-07-15	PRIJEM	VKLAD	42591	106410	\N	\N	\N
2363906	7795	1998-10-20	PRIJEM	VKLAD	5351	117946	\N	\N	\N
2363907	7795	1998-02-13	PRIJEM	VKLAD	49845	87452	\N	\N	\N
2363908	7795	1998-12-01	PRIJEM	VKLAD	19691	79104	\N	\N	\N
2363909	7795	1998-04-01	PRIJEM	VKLAD	35316	77730	\N	\N	\N
2363910	7795	1998-09-28	PRIJEM	VKLAD	36605	97882	\N	\N	\N
2363911	7795	1998-07-25	PRIJEM	VKLAD	31646	88585	\N	\N	\N
2363912	7795	1998-08-17	PRIJEM	VKLAD	40505	124811	\N	\N	\N
2363913	7795	1998-11-08	PRIJEM	VKLAD	39177	118887	\N	\N	\N
2363914	7795	1998-04-21	PRIJEM	VKLAD	40108	102888	\N	\N	\N
2363915	7795	1998-05-02	PRIJEM	VKLAD	6970	110197	\N	\N	\N
2363916	7795	1998-04-08	PRIJEM	VKLAD	32570	110300	\N	\N	\N
2363917	7795	1998-02-19	PRIJEM	VKLAD	5064	72216	\N	\N	\N
2363918	7795	1998-06-10	PRIJEM	VKLAD	23881	105861	\N	\N	\N
2363921	7795	1995-03-15	VYDAJ	VYBER	7100	42039	\N	\N	0
2363922	7795	1995-04-20	VYDAJ	VYBER	6000	101712	\N	\N	0
2363923	7795	1995-05-03	VYDAJ	VYBER	6200	76522	\N	\N	0
2363924	7795	1995-06-07	VYDAJ	VYBER	5300	44562	\N	\N	0
2363925	7795	1995-07-07	VYDAJ	VYBER	6400	23258	\N	\N	0
2363926	7795	1995-08-15	VYDAJ	VYBER	6700	65127	\N	\N	0
2363927	7795	1995-09-12	VYDAJ	VYBER	5600	27259	\N	\N	0
2363928	7795	1995-10-05	VYDAJ	VYBER	4900	43968	\N	\N	0
2363929	7795	1995-11-10	VYDAJ	VYBER	5600	50711	\N	\N	0
2363930	7795	1995-12-04	VYDAJ	VYBER	6700	57154	\N	\N	0
2363931	7795	1996-01-21	VYDAJ	VYBER	7600	23417	\N	\N	0
2363932	7795	1996-02-11	VYDAJ	VYBER	7700	35036	\N	\N	0
2363933	7795	1996-03-03	VYDAJ	VYBER	7400	71797	\N	\N	0
2363934	7795	1996-04-08	VYDAJ	VYBER	6800	63763	\N	\N	0
2363935	7795	1996-05-05	VYDAJ	VYBER	4700	60158	\N	\N	0
2363936	7795	1996-06-02	VYDAJ	VYBER	6900	85590	\N	\N	0
2363937	7795	1996-07-07	VYDAJ	VYBER	6600	54328	\N	\N	0
2363938	7795	1996-08-15	VYDAJ	VYBER	5500	44702	\N	\N	0
2363939	7795	1996-09-03	VYDAJ	VYBER	7200	36428	\N	\N	0
2363940	7795	1996-10-06	VYDAJ	VYBER	6400	59381	\N	\N	0
2363941	7795	1996-11-12	VYDAJ	PREVOD NA UCET	6202	95465	UVER	AB	32384473
2363942	7795	1996-12-12	VYDAJ	PREVOD NA UCET	6202	56955	UVER	AB	32384473
2363943	7795	1997-01-12	VYDAJ	PREVOD NA UCET	6202	15364	UVER	AB	32384473
2363944	7795	1997-02-12	VYDAJ	PREVOD NA UCET	6202	35495	UVER	AB	32384473
2363945	7795	1997-03-12	VYDAJ	PREVOD NA UCET	6202	17971	UVER	AB	32384473
2363946	7795	1997-04-12	VYDAJ	PREVOD NA UCET	6202	14251	UVER	AB	32384473
2363947	7795	1997-05-12	VYDAJ	PREVOD NA UCET	6202	51737	UVER	AB	32384473
2363948	7795	1997-06-12	VYDAJ	PREVOD NA UCET	6202	49875	UVER	AB	32384473
2363949	7795	1997-07-12	VYDAJ	PREVOD NA UCET	6202	70551	UVER	AB	32384473
2363950	7795	1997-08-12	VYDAJ	PREVOD NA UCET	6202	94694	UVER	AB	32384473
2363951	7795	1997-09-12	VYDAJ	PREVOD NA UCET	6202	94969	UVER	AB	32384473
2363952	7795	1997-10-12	VYDAJ	PREVOD NA UCET	6202	62027	UVER	AB	32384473
2363953	7795	1997-11-12	VYDAJ	PREVOD NA UCET	6202	80526	UVER	AB	32384473
2363954	7795	1997-12-12	VYDAJ	PREVOD NA UCET	6202	84513	UVER	AB	32384473
2363955	7795	1998-01-12	VYDAJ	PREVOD NA UCET	6202	80748	UVER	AB	32384473
2363956	7795	1998-02-12	VYDAJ	PREVOD NA UCET	6202	37607	UVER	AB	32384473
2363957	7795	1998-03-12	VYDAJ	PREVOD NA UCET	6202	73564	UVER	AB	32384473
2363958	7795	1998-04-12	VYDAJ	PREVOD NA UCET	6202	139680	UVER	AB	32384473
2363959	7795	1998-05-12	VYDAJ	PREVOD NA UCET	6202	74895	UVER	AB	32384473
2363960	7795	1998-06-12	VYDAJ	PREVOD NA UCET	6202	99659	UVER	AB	32384473
2363961	7795	1998-07-12	VYDAJ	PREVOD NA UCET	6202	63819	UVER	AB	32384473
2363962	7795	1998-08-12	VYDAJ	PREVOD NA UCET	6202	84306	UVER	AB	32384473
2363963	7795	1998-09-12	VYDAJ	PREVOD NA UCET	6202	84535	UVER	AB	32384473
2363964	7795	1998-10-12	VYDAJ	PREVOD NA UCET	6202	91945	UVER	AB	32384473
2363965	7795	1998-11-12	VYDAJ	PREVOD NA UCET	6202	74346	UVER	AB	32384473
2363966	7795	1998-12-12	VYDAJ	PREVOD NA UCET	6202	72902	UVER	AB	32384473
2363967	7795	1995-12-10	VYBER	VYBER	12994	44160	\N	\N	\N
2363969	7795	1995-09-17	VYBER	VYBER	8876	67151	\N	\N	\N
2363970	7795	1995-12-19	VYBER	VYBER	11279	32881	\N	\N	\N
2363971	7795	1995-05-06	VYBER	VYBER	3464	47358	\N	\N	\N
2363973	7795	1995-09-01	VYBER	VYBER	15767	61859	\N	\N	\N
2363974	7795	1995-06-09	VYBER	VYBER	12943	31619	\N	\N	\N
2363975	7795	1995-06-01	VYBER	VYBER	4261	122562	\N	\N	\N
2363976	7795	1995-04-27	VYBER	VYBER	19280	82432	\N	\N	\N
2363977	7795	1995-11-05	VYBER	VYBER	15313	24039	\N	\N	\N
2363978	7795	1996-07-30	VYBER	VYBER	18101	40824	\N	\N	\N
2363979	7795	1997-06-06	VYBER	VYBER	12378	56077	\N	\N	\N
2363980	7795	1997-02-08	VYBER	VYBER	4786	41697	\N	\N	\N
2363981	7795	1997-06-17	VYBER	VYBER	5441	44434	\N	\N	\N
2363983	7795	1997-05-15	VYBER	VYBER	15514	31423	\N	\N	\N
2363985	7795	1997-02-14	VYBER	VYBER	10764	24731	\N	\N	\N
2363987	7795	1997-02-02	VYBER	VYBER	17602	46483	\N	\N	\N
2363988	7795	1998-09-26	VYBER	VYBER	6058	61277	\N	\N	\N
2363994	7795	1996-01-13	VYDAJ	VYBER	26400	56817	\N	\N	\N
2363995	7795	1997-01-09	VYDAJ	VYBER	15300	21566	\N	\N	\N
2363996	7795	1998-01-20	VYDAJ	VYBER	3000	60048	\N	\N	\N
2364003	7795	1996-01-14	VYDAJ	VYBER	8700	38517	\N	\N	\N
2364004	7795	1996-01-15	VYDAJ	VYBER	4200	34317	\N	\N	\N
2364005	7795	1996-01-05	VYDAJ	VYBER	6300	83217	\N	\N	\N
2364006	7795	1996-01-14	VYDAJ	VYBER	3000	47217	\N	\N	\N
2364007	7795	1996-01-14	VYDAJ	VYBER	6600	50217	\N	\N	\N
2364008	7795	1996-01-20	VYDAJ	VYBER	3300	31017	\N	\N	\N
2364009	7795	1997-01-24	VYDAJ	VYBER	3300	55897	\N	\N	\N
2364011	7795	1997-01-28	VYDAJ	VYBER	8400	20597	\N	\N	\N
2364012	7795	1997-01-24	VYDAJ	VYBER	2700	36497	\N	\N	\N
2364014	7795	1997-01-28	VYDAJ	VYBER	7500	28997	\N	\N	\N
2364015	7795	1998-01-25	VYDAJ	VYBER	4800	47148	\N	\N	\N
2364016	7795	1998-01-06	VYDAJ	VYBER	5100	86950	\N	\N	\N
2364017	7795	1998-01-26	VYDAJ	VYBER	2100	45048	\N	\N	\N
2364018	7795	1998-01-23	VYDAJ	VYBER	8100	51948	\N	\N	\N
2364019	7795	1998-01-13	VYDAJ	VYBER	4200	76548	\N	\N	\N
2364020	7795	1998-01-30	VYDAJ	VYBER	1500	43548	\N	\N	\N
2364021	7795	1995-07-06	VYDAJ	VYBER	13200	29658	\N	\N	\N
2364022	7795	1995-09-09	VYDAJ	VYBER	8700	32859	\N	\N	\N
2364023	7795	1995-03-25	VYDAJ	VYBER	9000	33039	\N	\N	\N
2364025	7795	1995-05-12	VYDAJ	VYBER	14700	32658	\N	\N	\N
2364026	7795	1995-11-15	VYDAJ	VYBER	6000	82188	\N	\N	\N
2364027	7795	1995-08-20	VYDAJ	VYBER	3900	61227	\N	\N	\N
2364028	7795	1996-12-19	VYDAJ	VYBER	9600	47355	\N	\N	\N
2364029	7795	1996-10-03	VYDAJ	VYBER	2400	65781	\N	\N	\N
2364030	7795	1996-03-05	VYDAJ	VYBER	13200	58597	\N	\N	\N
2364031	7795	1996-08-02	VYDAJ	VYBER	9900	31198	\N	\N	\N
2364032	7795	1996-06-22	VYDAJ	VYBER	7800	92058	\N	\N	\N
2364033	7795	1996-08-09	VYDAJ	VYBER	5700	50202	\N	\N	\N
2364034	7795	1997-09-04	VYDAJ	VYBER	5400	101171	\N	\N	\N
2364036	7795	1997-05-13	VYDAJ	VYBER	4800	46937	\N	\N	\N
2364038	7795	1997-06-20	VYDAJ	VYBER	11400	33034	\N	\N	\N
2364040	7795	1998-08-22	VYDAJ	VYBER	3900	54211	\N	\N	\N
2364041	7795	1998-04-17	VYDAJ	VYBER	10200	86980	\N	\N	\N
2364042	7795	1998-07-31	VYDAJ	VYBER	10500	78368	\N	\N	\N
2364043	7795	1998-03-26	VYDAJ	VYBER	14400	42164	\N	\N	\N
2364046	7795	1995-02-28	VYDAJ	VYBER	15	74139	SLUZBY	\N	\N
2364047	7795	1995-03-31	VYDAJ	VYBER	15	33251	SLUZBY	\N	\N
2364048	7795	1995-04-30	VYDAJ	VYBER	15	82722	SLUZBY	\N	\N
2364049	7795	1995-05-31	VYDAJ	VYBER	15	78860	SLUZBY	\N	\N
2364050	7795	1995-06-30	VYDAJ	VYBER	15	64158	SLUZBY	\N	\N
2364051	7795	1995-07-31	VYDAJ	VYBER	15	54949	SLUZBY	\N	\N
2364052	7795	1995-08-31	VYDAJ	VYBER	15	105026	SLUZBY	\N	\N
2364053	7795	1995-09-30	VYDAJ	VYBER	15	67368	SLUZBY	\N	\N
2364054	7795	1995-10-31	VYDAJ	VYBER	15	49452	SLUZBY	\N	\N
2364055	7795	1995-11-30	VYDAJ	VYBER	15	95854	SLUZBY	\N	\N
2364056	7795	1995-12-31	VYDAJ	VYBER	15	54242	SLUZBY	\N	\N
2364057	7795	1996-01-31	VYDAJ	VYBER	15	42736	SLUZBY	\N	\N
2364058	7795	1996-02-29	VYDAJ	VYBER	15	62034	SLUZBY	\N	\N
2364059	7795	1996-03-31	VYDAJ	VYBER	15	75944	SLUZBY	\N	\N
2364060	7795	1996-04-30	VYDAJ	VYBER	15	64858	SLUZBY	\N	\N
2364061	7795	1996-05-31	VYDAJ	VYBER	15	55593	SLUZBY	\N	\N
2364062	7795	1996-06-30	VYDAJ	VYBER	15	60928	SLUZBY	\N	\N
2364063	7795	1996-07-31	VYDAJ	VYBER	15	41098	SLUZBY	\N	\N
2364064	7795	1996-08-31	VYDAJ	VYBER	15	43628	SLUZBY	\N	\N
2364065	7795	1996-09-30	VYDAJ	VYBER	15	68181	SLUZBY	\N	\N
2364066	7795	1996-10-31	VYDAJ	VYBER	15	46809	SLUZBY	\N	\N
2364067	7795	1996-11-30	VYDAJ	VYBER	15	63157	SLUZBY	\N	\N
2364068	7795	1996-12-31	VYDAJ	VYBER	15	36866	SLUZBY	\N	\N
2364069	7795	1997-01-31	VYDAJ	VYBER	15	64085	SLUZBY	\N	\N
2364070	7795	1997-02-28	VYDAJ	VYBER	15	24173	SLUZBY	\N	\N
2364071	7795	1997-03-31	VYDAJ	VYBER	15	20453	SLUZBY	\N	\N
2364072	7795	1997-04-30	VYDAJ	VYBER	15	57939	SLUZBY	\N	\N
2364073	7795	1997-05-31	VYDAJ	VYBER	15	38188	SLUZBY	\N	\N
2364074	7795	1997-06-30	VYDAJ	VYBER	15	32995	SLUZBY	\N	\N
2364075	7795	1997-07-31	VYDAJ	VYBER	15	56056	SLUZBY	\N	\N
2364076	7795	1997-08-31	VYDAJ	VYBER	15	106571	SLUZBY	\N	\N
2364077	7795	1997-09-30	VYDAJ	VYBER	15	68229	SLUZBY	\N	\N
2364078	7795	1997-10-31	VYDAJ	VYBER	15	47365	SLUZBY	\N	\N
2364079	7795	1997-11-30	VYDAJ	VYBER	15	73279	SLUZBY	\N	\N
2364080	7795	1997-12-31	VYDAJ	VYBER	15	68207	SLUZBY	\N	\N
2364081	7795	1998-01-31	VYDAJ	VYBER	15	43809	SLUZBY	\N	\N
2364082	7795	1998-02-28	VYDAJ	VYBER	15	72461	SLUZBY	\N	\N
2364083	7795	1998-03-31	VYDAJ	VYBER	15	42414	SLUZBY	\N	\N
2364084	7795	1998-04-30	VYDAJ	VYBER	15	103227	SLUZBY	\N	\N
2364085	7795	1998-05-31	VYDAJ	VYBER	15	81980	SLUZBY	\N	\N
2364086	7795	1998-06-30	VYDAJ	VYBER	15	70021	SLUZBY	\N	\N
2364087	7795	1998-07-31	VYDAJ	VYBER	15	78354	SLUZBY	\N	\N
2364088	7795	1998-08-31	VYDAJ	VYBER	15	54523	SLUZBY	\N	\N
2364089	7795	1998-09-30	VYDAJ	VYBER	15	98147	SLUZBY	\N	\N
2364090	7795	1998-10-31	VYDAJ	VYBER	15	79710	SLUZBY	\N	\N
2364091	7795	1998-11-30	VYDAJ	VYBER	15	59413	SLUZBY	\N	\N
2364092	7795	1995-02-04	PRIJEM	VKLAD	8900	18525	\N	\N	\N
2364093	7795	1995-03-06	VYDAJ	VYBER	25000	49139	\N	\N	\N
2364094	7795	1995-04-05	VYDAJ	VYBER	5800	27451	\N	\N	\N
2364095	7795	1995-05-05	VYDAJ	VYBER	25700	50822	\N	\N	\N
2364096	7795	1995-06-01	VYDAJ	VYBER	48400	74162	\N	\N	\N
2364097	7795	1995-06-04	VYDAJ	VYBER	24300	49862	\N	\N	\N
2364098	7795	1995-07-04	VYDAJ	VYBER	21300	42858	\N	\N	\N
2364099	7795	1995-07-23	VYDAJ	VYBER	52000	75265	\N	\N	\N
2364100	7795	1995-07-31	VYDAJ	VYBER	46800	54964	\N	\N	\N
2364101	7795	1995-08-03	VYDAJ	VYBER	13300	41649	\N	\N	\N
2364102	7795	1995-08-31	VYDAJ	VYBER	27400	77626	\N	\N	\N
2364103	7795	1995-09-02	VYDAJ	VYBER	20300	41559	\N	\N	\N
2364104	7795	1995-10-02	VYDAJ	VYBER	18500	48868	\N	\N	\N
2364105	7795	1995-11-01	VYDAJ	VYBER	10100	39352	\N	\N	\N
2364106	7795	1995-12-01	VYDAJ	VYBER	32000	63854	\N	\N	\N
2364107	7795	1995-12-31	VYDAJ	VYBER	11600	42642	\N	\N	\N
2364108	7795	1996-01-30	VYDAJ	VYBER	14700	42529	\N	\N	\N
2364109	7795	1996-02-29	VYDAJ	VYBER	20500	41534	\N	\N	\N
2364110	7795	1996-03-10	VYDAJ	VYBER	16900	89928	\N	\N	\N
2364111	7795	1996-03-24	VYDAJ	VYBER	63300	53349	\N	\N	\N
2364112	7795	1996-03-30	VYDAJ	VYBER	36400	61573	\N	\N	\N
2364113	7795	1996-04-05	VYDAJ	VYBER	37600	70563	\N	\N	\N
2364114	7795	1996-04-11	VYDAJ	VYBER	15500	82607	\N	\N	\N
2364115	7795	1996-04-20	VYDAJ	VYBER	15400	107066	\N	\N	\N
2364116	7795	1996-04-29	VYDAJ	VYBER	42600	64466	\N	\N	\N
2364117	7795	1996-05-22	VYDAJ	VYBER	46200	82295	\N	\N	\N
2364118	7795	1996-05-29	VYDAJ	VYBER	27000	55295	\N	\N	\N
2364119	7795	1996-06-04	VYDAJ	VYBER	22900	99858	\N	\N	\N
2364120	7795	1996-06-28	VYDAJ	VYBER	31500	60558	\N	\N	\N
2364121	7795	1996-07-18	VYDAJ	VYBER	37600	85225	\N	\N	\N
2364122	7795	1996-07-28	VYDAJ	VYBER	26300	58925	\N	\N	\N
2364123	7795	1996-08-27	VYDAJ	VYBER	16500	43430	\N	\N	\N
2364124	7795	1996-09-26	VYDAJ	VYBER	13300	47385	\N	\N	\N
2364125	7795	1996-10-26	VYDAJ	VYBER	12800	46581	\N	\N	\N
2364126	7795	1996-11-25	VYDAJ	VYBER	32600	62865	\N	\N	\N
2364127	7795	1996-12-25	VYDAJ	VYBER	10700	36655	\N	\N	\N
2364128	7795	1997-01-24	VYDAJ	VYBER	16700	39197	\N	\N	\N
2364129	7795	1997-02-23	VYDAJ	VYBER	700	24031	\N	\N	\N
2364130	7795	1997-03-25	PRIJEM	VKLAD	2400	20371	\N	\N	\N
2364131	7795	1997-04-24	PRIJEM	VKLAD	5600	19851	\N	\N	\N
2364132	7795	1997-05-24	VYDAJ	VYBER	3700	38016	\N	\N	\N
2364133	7795	1997-06-23	VYDAJ	VYBER	200	32834	\N	\N	\N
2364134	7795	1997-07-23	VYDAJ	VYBER	14700	55851	\N	\N	\N
2364135	7795	1997-08-17	VYDAJ	VYBER	60500	79486	\N	\N	\N
2364136	7795	1997-08-22	VYDAJ	VYBER	16300	63186	\N	\N	\N
2364137	7795	1997-09-21	VYDAJ	VYBER	27100	67869	\N	\N	\N
2364138	7795	1997-10-21	VYDAJ	VYBER	14900	47127	\N	\N	\N
2364139	7795	1997-11-20	VYDAJ	VYBER	16700	63826	\N	\N	\N
2364140	7795	1997-12-20	VYDAJ	VYBER	16600	67913	\N	\N	\N
2364141	7795	1998-01-19	VYDAJ	VYBER	13500	63048	\N	\N	\N
2364142	7795	1998-02-18	VYDAJ	VYBER	20300	67152	\N	\N	\N
2364143	7795	1998-03-20	VYDAJ	VYBER	17000	56564	\N	\N	\N
2364144	7795	1998-04-12	VYDAJ	VYBER	42500	97180	\N	\N	\N
2364145	7795	1998-04-19	VYDAJ	VYBER	24200	62780	\N	\N	\N
2364146	7795	1998-05-02	VYDAJ	VYBER	29100	81097	\N	\N	\N
2364147	7795	1998-05-19	VYDAJ	VYBER	19500	95981	\N	\N	\N
2364148	7795	1998-05-19	VYDAJ	VYBER	29900	66081	\N	\N	\N
2364149	7795	1998-05-28	VYDAJ	VYBER	37500	81592	\N	\N	\N
2364150	7795	1998-06-16	VYDAJ	VYBER	63500	54022	\N	\N	\N
2364151	7795	1998-06-18	VYDAJ	VYBER	4800	49222	\N	\N	\N
2364152	7795	1998-07-15	VYDAJ	VYBER	52800	53610	\N	\N	\N
2364153	7795	1998-07-18	VYDAJ	VYBER	3400	50210	\N	\N	\N
2364154	7795	1998-08-17	VYDAJ	VYBER	52100	72711	\N	\N	\N
2364155	7795	1998-08-17	VYDAJ	VYBER	14600	58111	\N	\N	\N
2364156	7795	1998-09-16	VYDAJ	VYBER	17200	67335	\N	\N	\N
2364157	7795	1998-10-16	VYDAJ	VYBER	18500	73445	\N	\N	\N
2364158	7795	1998-10-20	VYDAJ	VYBER	38600	79346	\N	\N	\N
2364159	7795	1998-11-08	VYDAJ	VYBER	63700	80548	\N	\N	\N
2364160	7795	1998-11-15	VYDAJ	VYBER	15200	59146	\N	\N	\N
2369895	7815	1995-04-09	PRIJEM	VKLAD	700	700	\N	\N	\N
2369896	7815	1995-05-04	PRIJEM	VKLAD	40142	125387	\N	\N	\N
2369897	7815	1995-04-27	PRIJEM	VKLAD	21894	85087	\N	\N	\N
2369900	7815	1995-10-17	PRIJEM	VKLAD	9460	39039	\N	\N	\N
2369901	7815	1995-04-26	PRIJEM	VKLAD	17380	63193	\N	\N	\N
2369903	7815	1995-05-09	PRIJEM	VKLAD	48485	117847	\N	\N	\N
2369904	7815	1995-05-07	PRIJEM	VKLAD	49775	117562	\N	\N	\N
2369907	7815	1995-12-28	PRIJEM	VKLAD	24855	59394	\N	\N	\N
2369908	7815	1995-09-22	PRIJEM	VKLAD	22593	42834	\N	\N	\N
2369910	7815	1995-08-15	PRIJEM	VKLAD	41964	83739	\N	\N	\N
2369911	7815	1995-05-21	PRIJEM	VKLAD	7946	42921	\N	\N	\N
2369912	7815	1995-07-22	PRIJEM	VKLAD	46062	81120	\N	\N	\N
2369913	7815	1995-04-10	PRIJEM	VKLAD	45113	45813	\N	\N	\N
2369914	7815	1995-11-15	PRIJEM	VKLAD	23134	69325	\N	\N	\N
2369916	7815	1995-11-07	PRIJEM	VKLAD	22469	49863	\N	\N	\N
2369917	7815	1995-06-15	PRIJEM	VKLAD	20024	47702	\N	\N	\N
2369919	7815	1995-06-07	PRIJEM	VKLAD	39381	73250	\N	\N	\N
2369920	7815	1995-07-08	PRIJEM	VKLAD	20742	64730	\N	\N	\N
2369921	7815	1995-11-15	PRIJEM	VKLAD	13138	82463	\N	\N	\N
2369922	7815	1995-09-28	PRIJEM	VKLAD	13533	56367	\N	\N	\N
2369923	7815	1995-12-29	PRIJEM	VKLAD	29057	88451	\N	\N	\N
2369924	7815	1996-01-17	PRIJEM	VKLAD	43298	65586	\N	\N	\N
2369925	7815	1996-12-27	PRIJEM	VKLAD	13724	47210	\N	\N	\N
2369926	7815	1996-11-05	PRIJEM	VKLAD	30802	57191	\N	\N	\N
2369927	7815	1996-05-16	PRIJEM	VKLAD	11147	89097	\N	\N	\N
2369928	7815	1996-11-14	PRIJEM	VKLAD	6578	97736	\N	\N	\N
2369929	7815	1996-09-16	PRIJEM	VKLAD	8841	27780	\N	\N	\N
2369930	7815	1996-12-29	PRIJEM	VKLAD	37174	84384	\N	\N	\N
2369931	7815	1996-07-06	PRIJEM	VKLAD	26353	56801	\N	\N	\N
2369932	7815	1996-06-04	PRIJEM	VKLAD	34141	91154	\N	\N	\N
2369933	7815	1996-04-14	PRIJEM	VKLAD	38275	46466	\N	\N	\N
2369934	7815	1996-05-07	PRIJEM	VKLAD	44426	89526	\N	\N	\N
2369935	7815	1996-04-19	PRIJEM	VKLAD	22757	69223	\N	\N	\N
2369936	7815	1996-10-22	PRIJEM	VKLAD	12013	24933	\N	\N	\N
2369937	7815	1996-08-06	PRIJEM	VKLAD	21276	55293	\N	\N	\N
2369938	7815	1996-11-10	PRIJEM	VKLAD	45811	102734	\N	\N	\N
2369939	7815	1997-06-02	PRIJEM	VKLAD	17431	59720	\N	\N	\N
2369940	7815	1997-09-03	PRIJEM	VKLAD	47724	91307	\N	\N	\N
2369941	7815	1997-04-19	PRIJEM	VKLAD	49230	85082	\N	\N	\N
2369942	7815	1997-05-08	PRIJEM	VKLAD	30100	115934	\N	\N	\N
2369943	7815	1997-03-08	PRIJEM	VKLAD	36269	64223	\N	\N	\N
2369944	7815	1997-05-30	PRIJEM	VKLAD	9361	55572	\N	\N	\N
2369945	7815	1997-09-05	PRIJEM	VKLAD	37811	129118	\N	\N	\N
2369946	7815	1997-06-26	PRIJEM	VKLAD	6998	54874	\N	\N	\N
2369947	7815	1997-08-02	PRIJEM	VKLAD	5408	30612	\N	\N	\N
2369948	7815	1997-10-29	PRIJEM	VKLAD	20115	79932	\N	\N	\N
2369949	7815	1997-04-30	PRIJEM	VKLAD	31108	93032	\N	\N	\N
2369950	7815	1997-05-26	PRIJEM	VKLAD	5252	52911	\N	\N	\N
2369951	7815	1997-08-30	PRIJEM	VKLAD	21902	57603	\N	\N	\N
2369952	7815	1997-03-11	PRIJEM	VKLAD	8466	72689	\N	\N	\N
2369953	7815	1997-08-25	PRIJEM	VKLAD	15433	34201	\N	\N	\N
2369954	7815	1997-10-21	PRIJEM	VKLAD	36660	71417	\N	\N	\N
2369955	7815	1998-07-23	PRIJEM	VKLAD	42458	73274	\N	\N	\N
2369956	7815	1998-10-31	PRIJEM	VKLAD	17769	47991	\N	\N	\N
2369957	7815	1998-06-24	PRIJEM	VKLAD	36623	62352	\N	\N	\N
2369958	7815	1998-05-29	PRIJEM	VKLAD	13262	33437	\N	\N	\N
2369963	7815	1995-05-17	VYDAJ	VYBER	6300	34975	\N	\N	0
2369964	7815	1995-06-04	VYDAJ	VYBER	9000	34137	\N	\N	0
2369965	7815	1995-07-17	VYDAJ	VYBER	7700	35058	\N	\N	0
2369966	7815	1995-08-06	VYDAJ	VYBER	7600	73720	\N	\N	0
2369967	7815	1995-09-11	VYDAJ	VYBER	9300	22438	\N	\N	0
2369968	7815	1995-10-19	VYDAJ	VYBER	7100	31939	\N	\N	0
2369969	7815	1995-11-17	VYDAJ	VYBER	7200	75263	\N	\N	0
2369970	7815	1995-12-12	VYDAJ	VYBER	7100	37539	\N	\N	0
2369971	7815	1996-01-12	VYDAJ	PREVOD NA UCET	7904	32788	UVER	MN	67844575
2369972	7815	1996-02-12	VYDAJ	PREVOD NA UCET	7904	22649	UVER	MN	67844575
2369973	7815	1996-03-12	VYDAJ	PREVOD NA UCET	7904	13693	UVER	MN	67844575
2369974	7815	1996-04-12	VYDAJ	PREVOD NA UCET	7904	8191	UVER	MN	67844575
2369975	7815	1996-05-12	VYDAJ	PREVOD NA UCET	7904	77950	UVER	MN	67844575
2369976	7815	1996-06-12	VYDAJ	PREVOD NA UCET	7904	76610	UVER	MN	67844575
2369977	7815	1996-07-12	VYDAJ	PREVOD NA UCET	7904	44957	UVER	MN	67844575
2369978	7815	1996-08-12	VYDAJ	PREVOD NA UCET	7904	43449	UVER	MN	67844575
2369979	7815	1996-09-12	VYDAJ	PREVOD NA UCET	7904	18939	UVER	MN	67844575
2369980	7815	1996-10-12	VYDAJ	PREVOD NA UCET	7904	12920	UVER	MN	67844575
2369981	7815	1996-11-12	VYDAJ	PREVOD NA UCET	7904	91158	UVER	MN	67844575
2369982	7815	1996-12-12	VYDAJ	PREVOD NA UCET	7904	48786	UVER	MN	67844575
2369983	7815	1997-01-12	VYDAJ	PREVOD NA UCET	7904	23414	UVER	MN	67844575
2369984	7815	1997-02-12	VYDAJ	PREVOD NA UCET	7904	16363	UVER	MN	67844575
2369985	7815	1997-03-12	VYDAJ	PREVOD NA UCET	7904	61113	UVER	MN	67844575
2369986	7815	1997-04-12	VYDAJ	PREVOD NA UCET	7904	35852	UVER	MN	67844575
2369987	7815	1997-05-12	VYDAJ	PREVOD NA UCET	7904	47659	UVER	MN	67844575
2369988	7815	1997-06-12	VYDAJ	PREVOD NA UCET	7904	47876	UVER	MN	67844575
2369989	7815	1997-07-12	VYDAJ	PREVOD NA UCET	7904	13444	UVER	MN	67844575
2369990	7815	1997-08-12	VYDAJ	PREVOD NA UCET	7904	18768	UVER	MN	67844575
2369991	7815	1997-09-12	VYDAJ	PREVOD NA UCET	7904	51474	UVER	MN	67844575
2369992	7815	1997-10-12	VYDAJ	PREVOD NA UCET	7904	34757	UVER	MN	67844575
2369993	7815	1997-11-12	VYDAJ	PREVOD NA UCET	7904	68269	UVER	MN	67844575
2369994	7815	1997-12-12	VYDAJ	PREVOD NA UCET	7904	44167	UVER	MN	67844575
2369995	7815	1998-01-04	VYDAJ	VYBER	7200	20129	\N	\N	0
2369996	7815	1998-02-11	VYDAJ	VYBER	9600	19913	\N	\N	0
2369997	7815	1998-03-05	VYDAJ	VYBER	9600	18391	\N	\N	0
2369998	7815	1998-04-21	VYDAJ	VYBER	8600	10959	\N	\N	0
2369999	7815	1998-05-08	VYDAJ	VYBER	7600	12547	\N	\N	0
2370000	7815	1998-06-16	VYDAJ	VYBER	8900	17229	\N	\N	0
2370001	7815	1998-07-05	VYDAJ	VYBER	6200	46356	\N	\N	0
2370002	7815	1998-08-15	VYDAJ	VYBER	9300	60224	\N	\N	0
2370003	7815	1998-09-12	VYDAJ	VYBER	6000	36705	\N	\N	0
2370004	7815	1998-10-15	VYDAJ	VYBER	7600	22995	\N	\N	0
2370005	7815	1998-11-07	VYDAJ	VYBER	8800	38893	\N	\N	0
2370006	7815	1998-12-02	VYDAJ	VYBER	9700	29052	\N	\N	0
2370011	7815	1995-05-11	VYDAJ	PREVOD NA UCET	1475	43472	SIPO	KL	1201522
2370012	7815	1995-06-11	VYDAJ	PREVOD NA UCET	1475	29875	SIPO	KL	1201522
2370013	7815	1995-07-11	VYDAJ	PREVOD NA UCET	1475	42758	SIPO	KL	1201522
2370014	7815	1995-08-11	VYDAJ	PREVOD NA UCET	1475	44080	SIPO	KL	1201522
2370015	7815	1995-09-11	VYDAJ	PREVOD NA UCET	1475	31738	SIPO	KL	1201522
2370016	7815	1995-10-11	VYDAJ	PREVOD NA UCET	1475	29579	SIPO	KL	1201522
2370017	7815	1995-11-11	VYDAJ	PREVOD NA UCET	1475	48388	SIPO	KL	1201522
2370018	7815	1995-12-11	VYDAJ	PREVOD NA UCET	1475	46836	SIPO	KL	1201522
2370019	7815	1996-01-11	VYDAJ	PREVOD NA UCET	1475	50892	SIPO	KL	1201522
2370020	7815	1996-02-11	VYDAJ	PREVOD NA UCET	1475	30553	SIPO	KL	1201522
2370021	7815	1996-03-11	VYDAJ	PREVOD NA UCET	1475	21597	SIPO	KL	1201522
2370022	7815	1996-04-11	VYDAJ	PREVOD NA UCET	1475	16095	SIPO	KL	1201522
2370023	7815	1996-05-11	VYDAJ	PREVOD NA UCET	1475	85854	SIPO	KL	1201522
2370024	7815	1996-06-11	VYDAJ	PREVOD NA UCET	1475	86711	SIPO	KL	1201522
2370025	7815	1996-07-11	VYDAJ	PREVOD NA UCET	1475	55058	SIPO	KL	1201522
2370026	7815	1996-08-11	VYDAJ	PREVOD NA UCET	1475	51353	SIPO	KL	1201522
2370027	7815	1996-09-11	VYDAJ	PREVOD NA UCET	1475	26843	SIPO	KL	1201522
2370028	7815	1996-10-11	VYDAJ	PREVOD NA UCET	1475	23021	SIPO	KL	1201522
2370029	7815	1996-11-11	VYDAJ	PREVOD NA UCET	1475	99062	SIPO	KL	1201522
2370030	7815	1996-12-11	VYDAJ	PREVOD NA UCET	1475	58886	SIPO	KL	1201522
2370031	7815	1997-01-11	VYDAJ	PREVOD NA UCET	1475	33515	SIPO	KL	1201522
2370032	7815	1997-02-11	VYDAJ	PREVOD NA UCET	1475	24266	SIPO	KL	1201522
2370033	7815	1997-03-11	VYDAJ	PREVOD NA UCET	1475	71214	SIPO	KL	1201522
2370034	7815	1997-04-11	VYDAJ	PREVOD NA UCET	1475	43756	SIPO	KL	1201522
2370035	7815	1997-05-11	VYDAJ	PREVOD NA UCET	1475	57759	SIPO	KL	1201522
2370036	7815	1997-06-11	VYDAJ	PREVOD NA UCET	1475	55780	SIPO	KL	1201522
2370037	7815	1997-07-11	VYDAJ	PREVOD NA UCET	1475	23545	SIPO	KL	1201522
2370038	7815	1997-08-11	VYDAJ	PREVOD NA UCET	1475	28869	SIPO	KL	1201522
2370039	7815	1997-09-11	VYDAJ	PREVOD NA UCET	1475	59378	SIPO	KL	1201522
2370040	7815	1997-10-11	VYDAJ	PREVOD NA UCET	1475	44858	SIPO	KL	1201522
2370041	7815	1997-11-11	VYDAJ	PREVOD NA UCET	1475	76173	SIPO	KL	1201522
2370042	7815	1997-12-11	VYDAJ	PREVOD NA UCET	1475	52070	SIPO	KL	1201522
2370043	7815	1998-01-11	VYDAJ	PREVOD NA UCET	1475	18386	SIPO	KL	1201522
2370044	7815	1998-02-11	VYDAJ	PREVOD NA UCET	1475	29513	SIPO	KL	1201522
2370045	7815	1998-03-11	VYDAJ	PREVOD NA UCET	1475	16648	SIPO	KL	1201522
2370046	7815	1998-04-11	VYDAJ	PREVOD NA UCET	1475	21756	SIPO	KL	1201522
2370047	7815	1998-05-11	VYDAJ	PREVOD NA UCET	1475	8875	SIPO	KL	1201522
2370048	7815	1998-06-11	VYDAJ	PREVOD NA UCET	1475	28326	SIPO	KL	1201522
2370049	7815	1998-07-11	VYDAJ	PREVOD NA UCET	1475	42416	SIPO	KL	1201522
2370050	7815	1998-08-11	VYDAJ	PREVOD NA UCET	1475	71721	SIPO	KL	1201522
2370051	7815	1998-09-11	VYDAJ	PREVOD NA UCET	1475	44902	SIPO	KL	1201522
2370052	7815	1998-10-11	VYDAJ	PREVOD NA UCET	1475	32792	SIPO	KL	1201522
2370053	7815	1998-11-11	VYDAJ	PREVOD NA UCET	1475	35221	SIPO	KL	1201522
2370054	7815	1998-12-11	VYDAJ	PREVOD NA UCET	1475	20612	SIPO	KL	1201522
2370060	7815	1995-06-06	VYDAJ	PREVOD NA UCET	268	33869	 	ST	1738054
2370061	7815	1995-07-06	VYDAJ	PREVOD NA UCET	268	43988	 	ST	1738054
2370062	7815	1995-08-06	VYDAJ	PREVOD NA UCET	268	73452	 	ST	1738054
2370063	7815	1995-09-06	VYDAJ	PREVOD NA UCET	268	48349	 	ST	1738054
2370064	7815	1995-10-06	VYDAJ	PREVOD NA UCET	268	38251	 	ST	1738054
2370065	7815	1995-11-06	VYDAJ	PREVOD NA UCET	268	27394	 	ST	1738054
2370066	7815	1995-12-06	VYDAJ	PREVOD NA UCET	268	48311	 	ST	1738054
2370067	7815	1996-01-06	VYDAJ	PREVOD NA UCET	268	54564	 	ST	1738054
2370068	7815	1996-02-06	VYDAJ	PREVOD NA UCET	268	34225	 	ST	1738054
2370069	7815	1996-03-06	VYDAJ	PREVOD NA UCET	268	25269	 	ST	1738054
2370070	7815	1996-04-06	VYDAJ	PREVOD NA UCET	268	19767	 	ST	1738054
2370071	7815	1996-05-06	VYDAJ	PREVOD NA UCET	268	45100	 	ST	1738054
2370072	7815	1996-06-06	VYDAJ	PREVOD NA UCET	268	90886	 	ST	1738054
2370073	7815	1996-07-06	VYDAJ	PREVOD NA UCET	268	56533	 	ST	1738054
2370074	7815	1996-08-06	VYDAJ	PREVOD NA UCET	268	55025	 	ST	1738054
2370075	7815	1996-09-06	VYDAJ	PREVOD NA UCET	268	30515	 	ST	1738054
2370076	7815	1996-10-06	VYDAJ	PREVOD NA UCET	268	24496	 	ST	1738054
2370077	7815	1996-11-06	VYDAJ	PREVOD NA UCET	268	56923	 	ST	1738054
2370078	7815	1996-12-06	VYDAJ	PREVOD NA UCET	268	60361	 	ST	1738054
2370079	7815	1997-01-06	VYDAJ	PREVOD NA UCET	268	34990	 	ST	1738054
2370080	7815	1997-02-06	VYDAJ	PREVOD NA UCET	268	27938	 	ST	1738054
2370081	7815	1997-03-06	VYDAJ	PREVOD NA UCET	268	27954	 	ST	1738054
2370082	7815	1997-04-06	VYDAJ	PREVOD NA UCET	268	47428	 	ST	1738054
2370083	7815	1997-05-06	VYDAJ	PREVOD NA UCET	268	85834	 	ST	1738054
2370084	7815	1997-06-06	VYDAJ	PREVOD NA UCET	268	59452	 	ST	1738054
2370085	7815	1997-07-06	VYDAJ	PREVOD NA UCET	268	25020	 	ST	1738054
2370086	7815	1997-08-06	VYDAJ	PREVOD NA UCET	268	30344	 	ST	1738054
2370087	7815	1997-09-06	VYDAJ	PREVOD NA UCET	268	111650	 	ST	1738054
2370088	7815	1997-10-06	VYDAJ	PREVOD NA UCET	268	46333	 	ST	1738054
2370089	7815	1997-11-06	VYDAJ	PREVOD NA UCET	268	79845	 	ST	1738054
2370090	7815	1997-12-06	VYDAJ	PREVOD NA UCET	268	55742	 	ST	1738054
2370091	7815	1998-01-06	VYDAJ	PREVOD NA UCET	268	19861	 	ST	1738054
2370092	7815	1998-02-06	VYDAJ	PREVOD NA UCET	268	30988	 	ST	1738054
2370093	7815	1998-03-06	VYDAJ	PREVOD NA UCET	268	18123	 	ST	1738054
2370094	7815	1998-04-06	VYDAJ	PREVOD NA UCET	268	23231	 	ST	1738054
2370095	7815	1998-05-06	VYDAJ	PREVOD NA UCET	268	20147	 	ST	1738054
2370096	7815	1998-06-06	VYDAJ	PREVOD NA UCET	268	33204	 	ST	1738054
2370097	7815	1998-07-06	VYDAJ	PREVOD NA UCET	268	46088	 	ST	1738054
2370098	7815	1998-08-06	VYDAJ	PREVOD NA UCET	268	73196	 	ST	1738054
2370099	7815	1998-09-06	VYDAJ	PREVOD NA UCET	268	46377	 	ST	1738054
2370100	7815	1998-10-06	VYDAJ	PREVOD NA UCET	268	34267	 	ST	1738054
2370101	7815	1998-11-06	VYDAJ	PREVOD NA UCET	268	47693	 	ST	1738054
2370102	7815	1998-12-06	VYDAJ	PREVOD NA UCET	268	24284	 	ST	1738054
2370107	7815	1995-05-11	VYDAJ	PREVOD NA UCET	2197	41275	POJISTNE	IJ	92419248
2370108	7815	1995-06-11	VYDAJ	PREVOD NA UCET	2197	27678	POJISTNE	IJ	92419248
2370109	7815	1995-07-11	VYDAJ	PREVOD NA UCET	2197	44233	POJISTNE	IJ	92419248
2370110	7815	1995-08-11	VYDAJ	PREVOD NA UCET	2197	45555	POJISTNE	IJ	92419248
2370111	7815	1995-09-11	VYDAJ	PREVOD NA UCET	2197	20241	POJISTNE	IJ	92419248
2370112	7815	1995-10-11	VYDAJ	PREVOD NA UCET	2197	31054	POJISTNE	IJ	92419248
2370113	7815	1995-11-11	VYDAJ	PREVOD NA UCET	2197	46191	POJISTNE	IJ	92419248
2370114	7815	1995-12-11	VYDAJ	PREVOD NA UCET	2197	44639	POJISTNE	IJ	92419248
2370115	7815	1996-01-11	VYDAJ	PREVOD NA UCET	2197	52367	POJISTNE	IJ	92419248
2370116	7815	1996-02-11	VYDAJ	PREVOD NA UCET	2197	32028	POJISTNE	IJ	92419248
2370117	7815	1996-03-11	VYDAJ	PREVOD NA UCET	2197	23072	POJISTNE	IJ	92419248
2370118	7815	1996-04-11	VYDAJ	PREVOD NA UCET	2197	17570	POJISTNE	IJ	92419248
2370119	7815	1996-05-11	VYDAJ	PREVOD NA UCET	2197	87329	POJISTNE	IJ	92419248
2370120	7815	1996-06-11	VYDAJ	PREVOD NA UCET	2197	84514	POJISTNE	IJ	92419248
2370121	7815	1996-07-11	VYDAJ	PREVOD NA UCET	2197	52861	POJISTNE	IJ	92419248
2370122	7815	1996-08-11	VYDAJ	PREVOD NA UCET	2197	52828	POJISTNE	IJ	92419248
2370123	7815	1996-09-11	VYDAJ	PREVOD NA UCET	2197	28318	POJISTNE	IJ	92419248
2370124	7815	1996-10-11	VYDAJ	PREVOD NA UCET	2197	20824	POJISTNE	IJ	92419248
2370125	7815	1996-11-11	VYDAJ	PREVOD NA UCET	2197	100537	POJISTNE	IJ	92419248
2370126	7815	1996-12-11	VYDAJ	PREVOD NA UCET	2197	56689	POJISTNE	IJ	92419248
2370127	7815	1997-01-11	VYDAJ	PREVOD NA UCET	2197	31318	POJISTNE	IJ	92419248
2370128	7815	1997-02-11	VYDAJ	PREVOD NA UCET	2197	25741	POJISTNE	IJ	92419248
2370129	7815	1997-03-11	VYDAJ	PREVOD NA UCET	2197	69017	POJISTNE	IJ	92419248
2370130	7815	1997-04-11	VYDAJ	PREVOD NA UCET	2197	45231	POJISTNE	IJ	92419248
2370131	7815	1997-05-11	VYDAJ	PREVOD NA UCET	2197	55562	POJISTNE	IJ	92419248
2370132	7815	1997-06-11	VYDAJ	PREVOD NA UCET	2197	57255	POJISTNE	IJ	92419248
2370133	7815	1997-07-11	VYDAJ	PREVOD NA UCET	2197	21348	POJISTNE	IJ	92419248
2370134	7815	1997-08-11	VYDAJ	PREVOD NA UCET	2197	26672	POJISTNE	IJ	92419248
2370135	7815	1997-09-11	VYDAJ	PREVOD NA UCET	2197	60853	POJISTNE	IJ	92419248
2370136	7815	1997-10-11	VYDAJ	PREVOD NA UCET	2197	42661	POJISTNE	IJ	92419248
2370137	7815	1997-11-11	VYDAJ	PREVOD NA UCET	2197	77648	POJISTNE	IJ	92419248
2370138	7815	1997-12-11	VYDAJ	PREVOD NA UCET	2197	53545	POJISTNE	IJ	92419248
2370139	7815	1998-01-11	VYDAJ	PREVOD NA UCET	2197	16189	POJISTNE	IJ	92419248
2370140	7815	1998-02-11	VYDAJ	PREVOD NA UCET	2197	17716	POJISTNE	IJ	92419248
2370141	7815	1998-03-11	VYDAJ	PREVOD NA UCET	2197	14451	POJISTNE	IJ	92419248
2370142	7815	1998-04-11	VYDAJ	PREVOD NA UCET	2197	19559	POJISTNE	IJ	92419248
2370143	7815	1998-05-11	VYDAJ	PREVOD NA UCET	2197	10350	POJISTNE	IJ	92419248
2370144	7815	1998-06-11	VYDAJ	PREVOD NA UCET	2197	26129	POJISTNE	IJ	92419248
2370145	7815	1998-07-11	VYDAJ	PREVOD NA UCET	2197	43891	POJISTNE	IJ	92419248
2370146	7815	1998-08-11	VYDAJ	PREVOD NA UCET	2197	69524	POJISTNE	IJ	92419248
2370147	7815	1998-09-11	VYDAJ	PREVOD NA UCET	2197	42705	POJISTNE	IJ	92419248
2370148	7815	1998-10-11	VYDAJ	PREVOD NA UCET	2197	30595	POJISTNE	IJ	92419248
2370149	7815	1998-11-11	VYDAJ	PREVOD NA UCET	2197	36696	POJISTNE	IJ	92419248
2370150	7815	1998-12-11	VYDAJ	PREVOD NA UCET	2197	22087	POJISTNE	IJ	92419248
2370151	7815	1995-09-06	VYBER	VYBER	17094	65117	\N	\N	\N
2370152	7815	1995-09-10	VYBER	VYBER	15136	33213	\N	\N	\N
2370156	7815	1995-08-12	VYBER	VYBER	2305	41775	\N	\N	\N
2370160	7815	1996-08-25	VYBER	VYBER	2822	40627	\N	\N	\N
2370161	7815	1997-12-01	VYBER	VYBER	2719	56010	\N	\N	\N
2370162	7815	1997-07-01	VYBER	VYBER	16769	25288	\N	\N	\N
2370164	7815	1998-06-09	VYBER	VYBER	3403	29801	\N	\N	\N
2370167	7815	1995-06-10	VYDAJ	VYBER	15000	31350	\N	\N	\N
2370168	7815	1996-06-21	VYDAJ	VYBER	19800	35510	\N	\N	\N
2370169	7815	1997-06-01	VYDAJ	VYBER	13500	42289	\N	\N	\N
2370172	7815	1996-01-11	VYDAJ	VYBER	3300	40692	\N	\N	\N
2370175	7815	1995-12-21	VYDAJ	VYBER	3000	34539	\N	\N	\N
2370176	7815	1996-12-16	VYDAJ	VYBER	4800	43986	\N	\N	\N
2370177	7815	1997-12-24	VYDAJ	VYBER	3600	46367	\N	\N	\N
2370178	7815	1998-12-04	VYDAJ	VYBER	4500	24552	\N	\N	\N
2370185	7815	1996-01-28	VYDAJ	VYBER	5100	50886	\N	\N	\N
2370186	7815	1996-01-28	VYDAJ	VYBER	6000	55986	\N	\N	\N
2370187	7815	1996-01-28	VYDAJ	VYBER	3600	61986	\N	\N	\N
2370188	7815	1996-01-11	VYDAJ	VYBER	6900	43992	\N	\N	\N
2370189	7815	1996-01-16	VYDAJ	VYBER	7200	22288	\N	\N	\N
2370190	7815	1996-01-29	VYDAJ	VYBER	8400	42486	\N	\N	\N
2370192	7815	1997-01-02	VYDAJ	VYBER	2400	47858	\N	\N	\N
2370194	7815	1997-01-01	VYDAJ	VYBER	7800	50258	\N	\N	\N
2370195	7815	1997-01-03	VYDAJ	VYBER	6000	41858	\N	\N	\N
2370196	7815	1997-01-05	VYDAJ	VYBER	6600	35258	\N	\N	\N
2370201	7815	1998-01-04	VYDAJ	VYBER	5400	27329	\N	\N	\N
2370203	7815	1995-10-02	VYDAJ	VYBER	5100	51419	\N	\N	\N
2370204	7815	1995-07-04	VYDAJ	VYBER	3600	44256	\N	\N	\N
2370206	7815	1995-10-05	VYDAJ	VYBER	12900	38519	\N	\N	\N
2370208	7815	1995-08-23	VYDAJ	VYBER	1800	81939	\N	\N	\N
2370209	7815	1996-06-11	VYDAJ	VYBER	2700	88186	\N	\N	\N
2370210	7815	1996-06-15	VYDAJ	VYBER	13500	63110	\N	\N	\N
2370211	7815	1996-06-18	VYDAJ	VYBER	7800	55310	\N	\N	\N
2370212	7815	1996-12-19	VYDAJ	VYBER	10500	33486	\N	\N	\N
2370213	7815	1996-01-15	VYDAJ	VYBER	3300	29488	\N	\N	\N
2370215	7815	1996-01-03	VYDAJ	VYBER	7800	80832	\N	\N	\N
2370216	7815	1997-12-26	VYDAJ	VYBER	13800	32567	\N	\N	\N
2370218	7815	1997-08-31	VYDAJ	VYBER	14100	43583	\N	\N	\N
2370219	7815	1997-03-16	VYDAJ	VYBER	3600	57513	\N	\N	\N
2370220	7815	1997-06-29	VYDAJ	VYBER	2400	41874	\N	\N	\N
2370221	7815	1997-05-06	VYDAJ	VYBER	6900	86102	\N	\N	\N
2370222	7815	1997-10-21	VYDAJ	VYBER	2100	69317	\N	\N	\N
2370224	7815	1998-07-22	VYDAJ	VYBER	10800	30816	\N	\N	\N
2370225	7815	1998-06-25	VYDAJ	VYBER	9900	52452	\N	\N	\N
2370227	7815	1998-12-30	VYDAJ	VYBER	7800	23612	\N	\N	\N
2370234	7815	1995-05-31	VYDAJ	VYBER	30	43137	SLUZBY	\N	\N
2370235	7815	1995-06-30	VYDAJ	VYBER	30	47856	SLUZBY	\N	\N
2370236	7815	1995-07-31	VYDAJ	VYBER	30	81320	SLUZBY	\N	\N
2370237	7815	1995-08-31	VYDAJ	VYBER	30	82211	SLUZBY	\N	\N
2370238	7815	1995-09-30	VYDAJ	VYBER	30	56519	SLUZBY	\N	\N
2370239	7815	1995-10-31	VYDAJ	VYBER	30	32062	SLUZBY	\N	\N
2370240	7815	1995-11-30	VYDAJ	VYBER	30	75479	SLUZBY	\N	\N
2370241	7815	1995-12-31	VYDAJ	VYBER	30	88632	SLUZBY	\N	\N
2370242	7815	1996-01-31	VYDAJ	VYBER	30	42693	SLUZBY	\N	\N
2370243	7815	1996-02-29	VYDAJ	VYBER	30	22737	SLUZBY	\N	\N
2370244	7815	1996-03-31	VYDAJ	VYBER	30	13735	SLUZBY	\N	\N
2370245	7815	1996-04-30	VYDAJ	VYBER	30	69368	SLUZBY	\N	\N
2370246	7815	1996-05-31	VYDAJ	VYBER	30	89413	SLUZBY	\N	\N
2370247	7815	1996-06-30	VYDAJ	VYBER	30	35748	SLUZBY	\N	\N
2370248	7815	1996-07-31	VYDAJ	VYBER	30	45117	SLUZBY	\N	\N
2370249	7815	1996-08-31	VYDAJ	VYBER	30	30783	SLUZBY	\N	\N
2370250	7815	1996-09-30	VYDAJ	VYBER	30	27864	SLUZBY	\N	\N
2370251	7815	1996-10-31	VYDAJ	VYBER	30	26389	SLUZBY	\N	\N
2370252	7815	1996-11-30	VYDAJ	VYBER	30	60629	SLUZBY	\N	\N
2370253	7815	1996-12-31	VYDAJ	VYBER	30	58058	SLUZBY	\N	\N
2370254	7815	1997-01-31	VYDAJ	VYBER	30	28206	SLUZBY	\N	\N
2370255	7815	1997-02-28	VYDAJ	VYBER	30	28222	SLUZBY	\N	\N
2370256	7815	1997-03-31	VYDAJ	VYBER	30	47696	SLUZBY	\N	\N
2370257	7815	1997-04-30	VYDAJ	VYBER	30	93002	SLUZBY	\N	\N
2370258	7815	1997-05-31	VYDAJ	VYBER	30	55789	SLUZBY	\N	\N
2370259	7815	1997-06-30	VYDAJ	VYBER	30	42057	SLUZBY	\N	\N
2370260	7815	1997-07-31	VYDAJ	VYBER	30	25204	SLUZBY	\N	\N
2370261	7815	1997-08-31	VYDAJ	VYBER	30	57683	SLUZBY	\N	\N
2370262	7815	1997-09-30	VYDAJ	VYBER	30	46601	SLUZBY	\N	\N
2370263	7815	1997-10-31	VYDAJ	VYBER	30	80113	SLUZBY	\N	\N
2370264	7815	1997-11-30	VYDAJ	VYBER	30	58729	SLUZBY	\N	\N
2370265	7815	1997-12-31	VYDAJ	VYBER	30	32729	SLUZBY	\N	\N
2370266	7815	1998-01-31	VYDAJ	VYBER	30	31256	SLUZBY	\N	\N
2370267	7815	1998-02-28	VYDAJ	VYBER	30	27991	SLUZBY	\N	\N
2370268	7815	1998-03-31	VYDAJ	VYBER	30	23499	SLUZBY	\N	\N
2370269	7815	1998-04-30	VYDAJ	VYBER	30	20415	SLUZBY	\N	\N
2370270	7815	1998-05-31	VYDAJ	VYBER	30	33472	SLUZBY	\N	\N
2370271	7815	1998-06-30	VYDAJ	VYBER	30	52556	SLUZBY	\N	\N
2370272	7815	1998-07-31	VYDAJ	VYBER	30	73464	SLUZBY	\N	\N
2370273	7815	1998-08-31	VYDAJ	VYBER	30	46645	SLUZBY	\N	\N
2370274	7815	1998-09-30	VYDAJ	VYBER	30	34535	SLUZBY	\N	\N
2370275	7815	1998-10-31	VYDAJ	VYBER	30	47961	SLUZBY	\N	\N
2370276	7815	1998-11-30	VYDAJ	VYBER	30	38752	SLUZBY	\N	\N
2370277	7815	1995-05-04	VYDAJ	VYBER	57600	67787	\N	\N	\N
2370278	7815	1995-05-07	VYDAJ	VYBER	48200	69362	\N	\N	\N
2370279	7815	1995-05-09	VYDAJ	VYBER	57400	44947	\N	\N	\N
2370280	7815	1995-05-09	VYDAJ	VYBER	15500	102347	\N	\N	\N
2370281	7815	1995-06-08	VYDAJ	VYBER	26900	46350	\N	\N	\N
2370282	7815	1995-07-08	VYDAJ	VYBER	18300	46430	\N	\N	\N
2370283	7815	1995-08-07	VYDAJ	VYBER	25700	47752	\N	\N	\N
2370284	7815	1995-09-06	VYDAJ	VYBER	16500	48617	\N	\N	\N
2370285	7815	1995-10-06	VYDAJ	VYBER	5000	33251	\N	\N	\N
2370286	7815	1995-11-05	VYDAJ	VYBER	4400	27662	\N	\N	\N
2370287	7815	1995-12-05	VYDAJ	VYBER	26900	48579	\N	\N	\N
2370288	7815	1996-01-04	VYDAJ	VYBER	26000	54832	\N	\N	\N
2370289	7815	1996-02-03	VYDAJ	VYBER	8200	34493	\N	\N	\N
2370290	7815	1996-03-04	PRIJEM	VKLAD	2800	25537	\N	\N	\N
2370291	7815	1996-04-03	PRIJEM	VKLAD	6300	20035	\N	\N	\N
2370292	7815	1996-05-03	VYDAJ	VYBER	24000	45368	\N	\N	\N
2370293	7815	1996-06-02	VYDAJ	VYBER	32400	57013	\N	\N	\N
2370294	7815	1996-07-02	VYDAJ	VYBER	5300	30448	\N	\N	\N
2370295	7815	1996-08-01	VYDAJ	VYBER	11100	34017	\N	\N	\N
2370296	7815	1996-08-31	VYDAJ	VYBER	10000	30813	\N	\N	\N
2370297	7815	1996-09-30	VYDAJ	VYBER	3100	24764	\N	\N	\N
2370298	7815	1996-10-30	PRIJEM	VKLAD	1400	26333	\N	\N	\N
2370299	7815	1996-11-29	VYDAJ	VYBER	37400	60336	\N	\N	\N
2370300	7815	1996-12-29	VYDAJ	VYBER	26500	57884	\N	\N	\N
2370301	7815	1997-01-28	PRIJEM	VKLAD	4700	28114	\N	\N	\N
2370302	7815	1997-02-27	PRIJEM	VKLAD	11800	28163	\N	\N	\N
2370303	7815	1997-03-29	VYDAJ	VYBER	10000	47513	\N	\N	\N
2370304	7815	1997-04-28	VYDAJ	VYBER	23400	61682	\N	\N	\N
2370305	7815	1997-05-08	VYDAJ	VYBER	56700	59234	\N	\N	\N
2370306	7815	1997-05-28	VYDAJ	VYBER	6700	46211	\N	\N	\N
2370307	7815	1997-06-27	VYDAJ	VYBER	10600	44274	\N	\N	\N
2370308	7815	1997-07-27	PRIJEM	VKLAD	11700	25144	\N	\N	\N
2370309	7815	1997-08-26	PRIJEM	VKLAD	1500	35701	\N	\N	\N
2370310	7815	1997-09-05	VYDAJ	VYBER	17200	111918	\N	\N	\N
2370311	7815	1997-09-06	VYDAJ	VYBER	48600	63050	\N	\N	\N
2370312	7815	1997-09-25	VYDAJ	VYBER	5100	46374	\N	\N	\N
2370313	7815	1997-10-25	VYDAJ	VYBER	9500	59817	\N	\N	\N
2370314	7815	1997-11-24	VYDAJ	VYBER	9800	58469	\N	\N	\N
2370315	7815	1997-12-24	PRIJEM	VKLAD	5800	49967	\N	\N	\N
2370316	7815	1998-01-23	PRIJEM	VKLAD	15000	31189	\N	\N	\N
2370317	7815	1998-02-22	PRIJEM	VKLAD	10200	27916	\N	\N	\N
2370318	7815	1998-03-24	PRIJEM	VKLAD	9000	23451	\N	\N	\N
2370319	7815	1998-04-23	PRIJEM	VKLAD	9400	20359	\N	\N	\N
2370320	7815	1998-05-23	PRIJEM	VKLAD	11300	20175	\N	\N	\N
2370321	7815	1998-06-22	PRIJEM	VKLAD	8500	25729	\N	\N	\N
2370322	7815	1998-07-22	VYDAJ	VYBER	800	41616	\N	\N	\N
2370323	7815	1998-08-21	VYDAJ	VYBER	13800	46424	\N	\N	\N
2370324	7815	1998-09-20	VYDAJ	VYBER	2300	34405	\N	\N	\N
2370325	7815	1998-10-20	PRIJEM	VKLAD	7100	30095	\N	\N	\N
2370326	7815	1998-11-19	PRIJEM	VKLAD	3400	38621	\N	\N	\N
2370327	7815	1998-12-19	PRIJEM	VKLAD	10800	31412	\N	\N	\N
2371242	7819	1993-08-01	PRIJEM	VKLAD	500	500	\N	\N	\N
2371250	7819	1993-08-12	PRIJEM	VKLAD	8834	9334	\N	\N	\N
2371251	7819	1993-09-12	PRIJEM	VKLAD	8834	24594	\N	\N	\N
2371252	7819	1993-10-12	PRIJEM	VKLAD	8834	33695	\N	\N	\N
2371253	7819	1993-11-12	PRIJEM	VKLAD	8834	36233	\N	\N	\N
2371254	7819	1993-12-12	PRIJEM	VKLAD	13251	41998	\N	\N	\N
2371255	7819	1994-01-12	PRIJEM	VKLAD	8834	24852	\N	\N	\N
2371256	7819	1994-02-12	PRIJEM	VKLAD	8834	22361	\N	\N	\N
2371257	7819	1994-03-12	PRIJEM	VKLAD	8834	25863	\N	\N	\N
2371258	7819	1994-04-12	PRIJEM	VKLAD	8834	26581	\N	\N	\N
2371259	7819	1994-05-12	PRIJEM	VKLAD	8834	30503	\N	\N	\N
2371260	7819	1994-06-12	PRIJEM	VKLAD	13251	32746	\N	\N	\N
2371261	7819	1994-07-12	PRIJEM	VKLAD	8834	19843	\N	\N	\N
2371262	7819	1994-08-12	PRIJEM	VKLAD	8834	24637	\N	\N	\N
2371263	7819	1994-09-12	PRIJEM	VKLAD	8834	23340	\N	\N	\N
2371264	7819	1994-10-12	PRIJEM	VKLAD	8834	25246	\N	\N	\N
2371265	7819	1994-11-12	PRIJEM	VKLAD	8834	26559	\N	\N	\N
2371266	7819	1994-12-12	PRIJEM	VKLAD	13251	30394	\N	\N	\N
2371267	7819	1995-01-12	PRIJEM	VKLAD	8834	17019	\N	\N	\N
2371268	7819	1995-02-12	PRIJEM	VKLAD	8834	21004	\N	\N	\N
2371269	7819	1995-03-12	PRIJEM	VKLAD	8834	23566	\N	\N	\N
2371270	7819	1995-04-12	PRIJEM	VKLAD	8834	27140	\N	\N	\N
2371271	7819	1995-05-12	PRIJEM	VKLAD	8834	29328	\N	\N	\N
2371272	7819	1995-06-12	PRIJEM	VKLAD	13251	31340	\N	\N	\N
2371273	7819	1995-07-12	PRIJEM	VKLAD	8834	31437	\N	\N	\N
2371274	7819	1995-08-12	PRIJEM	VKLAD	8834	29236	\N	\N	\N
2371275	7819	1995-09-12	PRIJEM	VKLAD	8834	31431	\N	\N	\N
2371276	7819	1995-10-12	PRIJEM	VKLAD	8834	31235	\N	\N	\N
2371277	7819	1995-11-12	PRIJEM	VKLAD	8834	28536	\N	\N	\N
2371278	7819	1995-12-12	PRIJEM	VKLAD	13251	35148	\N	\N	\N
2371279	7819	1996-01-12	PRIJEM	VKLAD	8834	22551	\N	\N	\N
2371280	7819	1996-02-12	PRIJEM	VKLAD	8834	23620	\N	\N	\N
2371281	7819	1996-03-12	PRIJEM	VKLAD	8834	20185	\N	\N	\N
2371282	7819	1996-04-12	PRIJEM	VKLAD	8834	18040	\N	\N	\N
2371283	7819	1996-05-12	PRIJEM	VKLAD	8834	18287	\N	\N	\N
2371284	7819	1996-06-12	PRIJEM	VKLAD	13251	27157	\N	\N	\N
2371285	7819	1996-07-12	PRIJEM	VKLAD	8834	26230	\N	\N	\N
2371286	7819	1996-08-12	PRIJEM	VKLAD	8834	21998	\N	\N	\N
2371287	7819	1996-09-12	PRIJEM	VKLAD	8834	19251	\N	\N	\N
2371288	7819	1996-10-12	PRIJEM	VKLAD	8834	17896	\N	\N	\N
2371289	7819	1996-11-12	PRIJEM	VKLAD	8834	18439	\N	\N	\N
2371290	7819	1996-12-12	PRIJEM	VKLAD	13251	21998	\N	\N	\N
2371291	7819	1997-01-12	PRIJEM	VKLAD	8834	17842	\N	\N	\N
2371292	7819	1997-02-12	PRIJEM	VKLAD	8834	21885	\N	\N	\N
2371293	7819	1997-03-12	PRIJEM	VKLAD	8834	24645	\N	\N	\N
2371294	7819	1997-04-12	PRIJEM	VKLAD	8834	18800	\N	\N	\N
2371295	7819	1997-05-12	PRIJEM	VKLAD	8834	21553	\N	\N	\N
2371296	7819	1997-06-12	PRIJEM	VKLAD	13251	28733	\N	\N	\N
2371297	7819	1997-07-12	PRIJEM	VKLAD	8834	24719	\N	\N	\N
2371298	7819	1997-08-12	PRIJEM	VKLAD	8834	25704	\N	\N	\N
2371299	7819	1997-09-12	PRIJEM	VKLAD	8834	22385	\N	\N	\N
2371300	7819	1997-10-12	PRIJEM	VKLAD	8834	21259	\N	\N	\N
2371301	7819	1997-11-12	PRIJEM	VKLAD	8834	24025	\N	\N	\N
2371302	7819	1997-12-12	PRIJEM	VKLAD	13251	30014	\N	\N	\N
2371303	7819	1998-01-12	PRIJEM	VKLAD	8834	21604	\N	\N	\N
2371304	7819	1998-02-12	PRIJEM	VKLAD	8834	20270	\N	\N	\N
2371305	7819	1998-03-12	PRIJEM	VKLAD	8834	20828	\N	\N	\N
2371306	7819	1998-04-12	PRIJEM	VKLAD	8834	19990	\N	\N	\N
2371307	7819	1998-05-12	PRIJEM	VKLAD	8834	22749	\N	\N	\N
2371308	7819	1998-06-12	PRIJEM	VKLAD	13251	29934	\N	\N	\N
2371309	7819	1998-07-12	PRIJEM	VKLAD	8834	30124	\N	\N	\N
2371310	7819	1998-08-12	PRIJEM	VKLAD	8834	32924	\N	\N	\N
2371311	7819	1998-09-12	PRIJEM	VKLAD	8834	16934	\N	\N	\N
2371312	7819	1998-10-12	PRIJEM	VKLAD	8834	19684	\N	\N	\N
2371313	7819	1998-11-12	PRIJEM	VKLAD	8834	18939	\N	\N	\N
2371314	7819	1998-12-12	PRIJEM	VKLAD	13251	26109	\N	\N	\N
2371327	7819	1994-01-11	VYDAJ	PREVOD NA UCET	1953	16018	SIPO	KL	64831554
2371328	7819	1994-02-11	VYDAJ	PREVOD NA UCET	1953	13527	SIPO	KL	64831554
2371329	7819	1994-03-11	VYDAJ	PREVOD NA UCET	1953	17029	SIPO	KL	64831554
2371330	7819	1994-04-11	VYDAJ	PREVOD NA UCET	1953	17747	SIPO	KL	64831554
2371331	7819	1994-05-11	VYDAJ	PREVOD NA UCET	1953	21669	SIPO	KL	64831554
2371332	7819	1994-06-11	VYDAJ	PREVOD NA UCET	1953	19495	SIPO	KL	64831554
2371333	7819	1994-07-11	VYDAJ	PREVOD NA UCET	1953	11009	SIPO	KL	64831554
2371334	7819	1994-08-11	VYDAJ	PREVOD NA UCET	1953	15803	SIPO	KL	64831554
2371335	7819	1994-09-11	VYDAJ	PREVOD NA UCET	1953	14506	SIPO	KL	64831554
2371336	7819	1994-10-11	VYDAJ	PREVOD NA UCET	1953	16412	SIPO	KL	64831554
2371337	7819	1994-11-11	VYDAJ	PREVOD NA UCET	1953	17725	SIPO	KL	64831554
2371338	7819	1994-12-11	VYDAJ	PREVOD NA UCET	1953	17143	SIPO	KL	64831554
2371339	7819	1995-01-11	VYDAJ	PREVOD NA UCET	1953	8585	SIPO	KL	64831554
2371340	7819	1995-02-11	VYDAJ	PREVOD NA UCET	1953	12170	SIPO	KL	64831554
2371341	7819	1995-03-11	VYDAJ	PREVOD NA UCET	1953	14732	SIPO	KL	64831554
2371342	7819	1995-04-11	VYDAJ	PREVOD NA UCET	1953	18306	SIPO	KL	64831554
2371343	7819	1995-05-11	VYDAJ	PREVOD NA UCET	1953	20494	SIPO	KL	64831554
2371344	7819	1995-06-11	VYDAJ	PREVOD NA UCET	1953	18089	SIPO	KL	64831554
2371345	7819	1995-07-11	VYDAJ	PREVOD NA UCET	1953	22603	SIPO	KL	64831554
2371346	7819	1995-08-11	VYDAJ	PREVOD NA UCET	1953	20402	SIPO	KL	64831554
2371347	7819	1995-09-11	VYDAJ	PREVOD NA UCET	1953	22597	SIPO	KL	64831554
2371348	7819	1995-10-11	VYDAJ	PREVOD NA UCET	1953	22401	SIPO	KL	64831554
2371349	7819	1995-11-11	VYDAJ	PREVOD NA UCET	1953	19702	SIPO	KL	64831554
2371350	7819	1995-12-11	VYDAJ	PREVOD NA UCET	1953	21897	SIPO	KL	64831554
2371351	7819	1996-01-11	VYDAJ	PREVOD NA UCET	1953	13717	SIPO	KL	64831554
2371352	7819	1996-02-11	VYDAJ	PREVOD NA UCET	1953	14786	SIPO	KL	64831554
2371353	7819	1996-03-11	VYDAJ	PREVOD NA UCET	1953	11351	SIPO	KL	64831554
2371354	7819	1996-04-11	VYDAJ	PREVOD NA UCET	1953	9206	SIPO	KL	64831554
2371355	7819	1996-05-11	VYDAJ	PREVOD NA UCET	1953	9453	SIPO	KL	64831554
2371356	7819	1996-06-11	VYDAJ	PREVOD NA UCET	1953	13906	SIPO	KL	64831554
2371357	7819	1996-07-11	VYDAJ	PREVOD NA UCET	1953	17396	SIPO	KL	64831554
2371358	7819	1996-08-11	VYDAJ	PREVOD NA UCET	1953	13164	SIPO	KL	64831554
2371359	7819	1996-09-11	VYDAJ	PREVOD NA UCET	1953	10417	SIPO	KL	64831554
2371360	7819	1996-10-11	VYDAJ	PREVOD NA UCET	1953	9062	SIPO	KL	64831554
2371361	7819	1996-11-11	VYDAJ	PREVOD NA UCET	1953	9605	SIPO	KL	64831554
2371362	7819	1996-12-11	VYDAJ	PREVOD NA UCET	1953	8747	SIPO	KL	64831554
2371363	7819	1997-01-11	VYDAJ	PREVOD NA UCET	1953	8808	SIPO	KL	64831554
2371364	7819	1997-02-11	VYDAJ	PREVOD NA UCET	1953	13051	SIPO	KL	64831554
2371365	7819	1997-03-11	VYDAJ	PREVOD NA UCET	1953	15811	SIPO	KL	64831554
2371366	7819	1997-04-11	VYDAJ	PREVOD NA UCET	1953	9966	SIPO	KL	64831554
2371367	7819	1997-05-11	VYDAJ	PREVOD NA UCET	1953	12719	SIPO	KL	64831554
2371368	7819	1997-06-11	VYDAJ	PREVOD NA UCET	1953	15482	SIPO	KL	64831554
2371369	7819	1997-07-11	VYDAJ	PREVOD NA UCET	1953	22685	SIPO	KL	64831554
2371370	7819	1997-08-11	VYDAJ	PREVOD NA UCET	1953	16870	SIPO	KL	64831554
2371371	7819	1997-09-11	VYDAJ	PREVOD NA UCET	1953	13551	SIPO	KL	64831554
2371372	7819	1997-10-11	VYDAJ	PREVOD NA UCET	1953	12425	SIPO	KL	64831554
2371373	7819	1997-11-11	VYDAJ	PREVOD NA UCET	1953	15191	SIPO	KL	64831554
2371374	7819	1997-12-11	VYDAJ	PREVOD NA UCET	1953	16763	SIPO	KL	64831554
2371375	7819	1998-01-11	VYDAJ	PREVOD NA UCET	1953	12770	SIPO	KL	64831554
2371376	7819	1998-02-11	VYDAJ	PREVOD NA UCET	1953	11436	SIPO	KL	64831554
2371377	7819	1998-03-11	VYDAJ	PREVOD NA UCET	1953	11994	SIPO	KL	64831554
2371378	7819	1998-04-11	VYDAJ	PREVOD NA UCET	1953	11156	SIPO	KL	64831554
2371379	7819	1998-05-11	VYDAJ	PREVOD NA UCET	1953	13915	SIPO	KL	64831554
2371380	7819	1998-06-11	VYDAJ	PREVOD NA UCET	1953	16683	SIPO	KL	64831554
2371381	7819	1998-07-11	VYDAJ	PREVOD NA UCET	1953	21290	SIPO	KL	64831554
2371382	7819	1998-08-11	VYDAJ	PREVOD NA UCET	1953	24090	SIPO	KL	64831554
2371383	7819	1998-09-11	VYDAJ	PREVOD NA UCET	1953	8100	SIPO	KL	64831554
2371384	7819	1998-10-11	VYDAJ	PREVOD NA UCET	1953	10850	SIPO	KL	64831554
2371385	7819	1998-11-11	VYDAJ	PREVOD NA UCET	1953	10105	SIPO	KL	64831554
2371386	7819	1998-12-11	VYDAJ	PREVOD NA UCET	1953	12858	SIPO	KL	64831554
2371399	7819	1994-01-09	VYDAJ	PREVOD NA UCET	733	17971	 	MN	77821957
2371400	7819	1994-02-09	VYDAJ	PREVOD NA UCET	733	16776	 	MN	77821957
2371401	7819	1994-03-09	VYDAJ	PREVOD NA UCET	733	20678	 	MN	77821957
2371402	7819	1994-04-09	VYDAJ	PREVOD NA UCET	733	21496	 	MN	77821957
2371403	7819	1994-05-09	VYDAJ	PREVOD NA UCET	733	24918	 	MN	77821957
2371404	7819	1994-06-09	VYDAJ	PREVOD NA UCET	733	21448	 	MN	77821957
2371405	7819	1994-07-09	VYDAJ	PREVOD NA UCET	733	12962	 	MN	77821957
2371406	7819	1994-08-09	VYDAJ	PREVOD NA UCET	733	17756	 	MN	77821957
2371407	7819	1994-09-09	VYDAJ	PREVOD NA UCET	733	16459	 	MN	77821957
2371408	7819	1994-10-09	VYDAJ	PREVOD NA UCET	733	18365	 	MN	77821957
2371409	7819	1994-11-09	VYDAJ	PREVOD NA UCET	733	19678	 	MN	77821957
2371410	7819	1994-12-09	VYDAJ	PREVOD NA UCET	733	20392	 	MN	77821957
2371411	7819	1995-01-09	VYDAJ	PREVOD NA UCET	733	11834	 	MN	77821957
2371412	7819	1995-02-09	VYDAJ	PREVOD NA UCET	733	15419	 	MN	77821957
2371413	7819	1995-03-09	VYDAJ	PREVOD NA UCET	733	16685	 	MN	77821957
2371414	7819	1995-04-09	VYDAJ	PREVOD NA UCET	733	21555	 	MN	77821957
2371415	7819	1995-05-09	VYDAJ	PREVOD NA UCET	733	22447	 	MN	77821957
2371416	7819	1995-06-09	VYDAJ	PREVOD NA UCET	733	21338	 	MN	77821957
2371417	7819	1995-07-09	VYDAJ	PREVOD NA UCET	733	24556	 	MN	77821957
2371418	7819	1995-08-09	VYDAJ	PREVOD NA UCET	733	23651	 	MN	77821957
2371419	7819	1995-09-09	VYDAJ	PREVOD NA UCET	733	24550	 	MN	77821957
2371420	7819	1995-10-09	VYDAJ	PREVOD NA UCET	733	24354	 	MN	77821957
2371421	7819	1995-11-09	VYDAJ	PREVOD NA UCET	733	21655	 	MN	77821957
2371422	7819	1995-12-09	VYDAJ	PREVOD NA UCET	733	25146	 	MN	77821957
2371423	7819	1996-01-09	VYDAJ	PREVOD NA UCET	733	16966	 	MN	77821957
2371424	7819	1996-02-09	VYDAJ	PREVOD NA UCET	733	18035	 	MN	77821957
2371425	7819	1996-03-09	VYDAJ	PREVOD NA UCET	733	13304	 	MN	77821957
2371426	7819	1996-04-09	VYDAJ	PREVOD NA UCET	733	12455	 	MN	77821957
2371427	7819	1996-05-09	VYDAJ	PREVOD NA UCET	733	12702	 	MN	77821957
2371428	7819	1996-06-09	VYDAJ	PREVOD NA UCET	733	15859	 	MN	77821957
2371429	7819	1996-07-09	VYDAJ	PREVOD NA UCET	733	19349	 	MN	77821957
2371430	7819	1996-08-09	VYDAJ	PREVOD NA UCET	733	15117	 	MN	77821957
2371431	7819	1996-09-09	VYDAJ	PREVOD NA UCET	733	13666	 	MN	77821957
2371432	7819	1996-10-09	VYDAJ	PREVOD NA UCET	733	11015	 	MN	77821957
2371433	7819	1996-11-09	VYDAJ	PREVOD NA UCET	733	12854	 	MN	77821957
2371434	7819	1996-12-09	VYDAJ	PREVOD NA UCET	733	10700	 	MN	77821957
2371435	7819	1997-01-09	VYDAJ	PREVOD NA UCET	733	12057	 	MN	77821957
2371436	7819	1997-02-09	VYDAJ	PREVOD NA UCET	733	12104	 	MN	77821957
2371437	7819	1997-03-09	VYDAJ	PREVOD NA UCET	733	17764	 	MN	77821957
2371438	7819	1997-04-09	VYDAJ	PREVOD NA UCET	733	13215	 	MN	77821957
2371439	7819	1997-05-09	VYDAJ	PREVOD NA UCET	733	14672	 	MN	77821957
2371440	7819	1997-06-09	VYDAJ	PREVOD NA UCET	733	17435	 	MN	77821957
2371441	7819	1997-07-09	VYDAJ	PREVOD NA UCET	733	24638	 	MN	77821957
2371442	7819	1997-08-09	VYDAJ	PREVOD NA UCET	733	18823	 	MN	77821957
2371443	7819	1997-09-09	VYDAJ	PREVOD NA UCET	733	15504	 	MN	77821957
2371444	7819	1997-10-09	VYDAJ	PREVOD NA UCET	733	14378	 	MN	77821957
2371445	7819	1997-11-09	VYDAJ	PREVOD NA UCET	733	18440	 	MN	77821957
2371446	7819	1997-12-09	VYDAJ	PREVOD NA UCET	733	18716	 	MN	77821957
2371447	7819	1998-01-09	VYDAJ	PREVOD NA UCET	733	14723	 	MN	77821957
2371448	7819	1998-02-09	VYDAJ	PREVOD NA UCET	733	14685	 	MN	77821957
2371449	7819	1998-03-09	VYDAJ	PREVOD NA UCET	733	15243	 	MN	77821957
2371450	7819	1998-04-09	VYDAJ	PREVOD NA UCET	733	13109	 	MN	77821957
2371451	7819	1998-05-09	VYDAJ	PREVOD NA UCET	733	15868	 	MN	77821957
2371452	7819	1998-06-09	VYDAJ	PREVOD NA UCET	733	18636	 	MN	77821957
2371453	7819	1998-07-09	VYDAJ	PREVOD NA UCET	733	23243	 	MN	77821957
2371454	7819	1998-08-09	VYDAJ	PREVOD NA UCET	733	26043	 	MN	77821957
2371455	7819	1998-09-09	VYDAJ	PREVOD NA UCET	733	11349	 	MN	77821957
2371456	7819	1998-10-09	VYDAJ	PREVOD NA UCET	733	12803	 	MN	77821957
2371457	7819	1998-11-09	VYDAJ	PREVOD NA UCET	733	12058	 	MN	77821957
2371458	7819	1998-12-09	VYDAJ	PREVOD NA UCET	733	16107	 	MN	77821957
2371471	7819	1994-01-09	VYDAJ	PREVOD NA UCET	1296	18704	POJISTNE	CD	46939146
2371472	7819	1994-02-09	VYDAJ	PREVOD NA UCET	1296	15480	POJISTNE	CD	46939146
2371473	7819	1994-03-09	VYDAJ	PREVOD NA UCET	1296	19382	POJISTNE	CD	46939146
2371474	7819	1994-04-09	VYDAJ	PREVOD NA UCET	1296	20200	POJISTNE	CD	46939146
2371475	7819	1994-05-09	VYDAJ	PREVOD NA UCET	1296	23622	POJISTNE	CD	46939146
2371476	7819	1994-06-09	VYDAJ	PREVOD NA UCET	1296	22181	POJISTNE	CD	46939146
2371477	7819	1994-07-09	VYDAJ	PREVOD NA UCET	1296	13695	POJISTNE	CD	46939146
2371478	7819	1994-08-09	VYDAJ	PREVOD NA UCET	1296	18489	POJISTNE	CD	46939146
2371479	7819	1994-09-09	VYDAJ	PREVOD NA UCET	1296	17192	POJISTNE	CD	46939146
2371480	7819	1994-10-09	VYDAJ	PREVOD NA UCET	1296	19098	POJISTNE	CD	46939146
2371481	7819	1994-11-09	VYDAJ	PREVOD NA UCET	1296	20411	POJISTNE	CD	46939146
2371482	7819	1994-12-09	VYDAJ	PREVOD NA UCET	1296	19096	POJISTNE	CD	46939146
2371483	7819	1995-01-09	VYDAJ	PREVOD NA UCET	1296	10538	POJISTNE	CD	46939146
2371484	7819	1995-02-09	VYDAJ	PREVOD NA UCET	1296	14123	POJISTNE	CD	46939146
2371485	7819	1995-03-09	VYDAJ	PREVOD NA UCET	1296	17418	POJISTNE	CD	46939146
2371486	7819	1995-04-09	VYDAJ	PREVOD NA UCET	1296	20259	POJISTNE	CD	46939146
2371487	7819	1995-05-09	VYDAJ	PREVOD NA UCET	1296	23180	POJISTNE	CD	46939146
2371488	7819	1995-06-09	VYDAJ	PREVOD NA UCET	1296	20042	POJISTNE	CD	46939146
2371489	7819	1995-07-09	VYDAJ	PREVOD NA UCET	1296	25289	POJISTNE	CD	46939146
2371490	7819	1995-08-09	VYDAJ	PREVOD NA UCET	1296	22355	POJISTNE	CD	46939146
2371491	7819	1995-09-09	VYDAJ	PREVOD NA UCET	1296	25283	POJISTNE	CD	46939146
2371492	7819	1995-10-09	VYDAJ	PREVOD NA UCET	1296	25087	POJISTNE	CD	46939146
2371493	7819	1995-11-09	VYDAJ	PREVOD NA UCET	1296	22388	POJISTNE	CD	46939146
2371494	7819	1995-12-09	VYDAJ	PREVOD NA UCET	1296	23850	POJISTNE	CD	46939146
2371495	7819	1996-01-09	VYDAJ	PREVOD NA UCET	1296	15670	POJISTNE	CD	46939146
2371496	7819	1996-02-09	VYDAJ	PREVOD NA UCET	1296	16739	POJISTNE	CD	46939146
2371497	7819	1996-03-09	VYDAJ	PREVOD NA UCET	1296	14037	POJISTNE	CD	46939146
2371498	7819	1996-04-09	VYDAJ	PREVOD NA UCET	1296	11159	POJISTNE	CD	46939146
2371499	7819	1996-05-09	VYDAJ	PREVOD NA UCET	1296	11406	POJISTNE	CD	46939146
2371500	7819	1996-06-09	VYDAJ	PREVOD NA UCET	1296	16592	POJISTNE	CD	46939146
2371501	7819	1996-07-09	VYDAJ	PREVOD NA UCET	1296	20082	POJISTNE	CD	46939146
2371502	7819	1996-08-09	VYDAJ	PREVOD NA UCET	1296	15850	POJISTNE	CD	46939146
2371503	7819	1996-09-09	VYDAJ	PREVOD NA UCET	1296	12370	POJISTNE	CD	46939146
2371504	7819	1996-10-09	VYDAJ	PREVOD NA UCET	1296	11748	POJISTNE	CD	46939146
2371505	7819	1996-11-09	VYDAJ	PREVOD NA UCET	1296	11558	POJISTNE	CD	46939146
2371506	7819	1996-12-09	VYDAJ	PREVOD NA UCET	1296	11433	POJISTNE	CD	46939146
2371507	7819	1997-01-09	VYDAJ	PREVOD NA UCET	1296	10761	POJISTNE	CD	46939146
2371508	7819	1997-02-09	VYDAJ	PREVOD NA UCET	1296	12837	POJISTNE	CD	46939146
2371509	7819	1997-03-09	VYDAJ	PREVOD NA UCET	1296	18497	POJISTNE	CD	46939146
2371510	7819	1997-04-09	VYDAJ	PREVOD NA UCET	1296	11919	POJISTNE	CD	46939146
2371511	7819	1997-05-09	VYDAJ	PREVOD NA UCET	1296	15405	POJISTNE	CD	46939146
2371512	7819	1997-06-09	VYDAJ	PREVOD NA UCET	1296	18168	POJISTNE	CD	46939146
2371513	7819	1997-07-09	VYDAJ	PREVOD NA UCET	1296	25371	POJISTNE	CD	46939146
2371514	7819	1997-08-09	VYDAJ	PREVOD NA UCET	1296	19556	POJISTNE	CD	46939146
2371515	7819	1997-09-09	VYDAJ	PREVOD NA UCET	1296	22337	POJISTNE	CD	46939146
2371516	7819	1997-10-09	VYDAJ	PREVOD NA UCET	1296	19011	POJISTNE	CD	46939146
2371517	7819	1997-11-09	VYDAJ	PREVOD NA UCET	1296	17144	POJISTNE	CD	46939146
2371518	7819	1997-12-09	VYDAJ	PREVOD NA UCET	1296	19449	POJISTNE	CD	46939146
2371519	7819	1998-01-09	VYDAJ	PREVOD NA UCET	1296	15456	POJISTNE	CD	46939146
2371520	7819	1998-02-09	VYDAJ	PREVOD NA UCET	1296	13389	POJISTNE	CD	46939146
2371619	7819	1994-05-19	VYDAJ	VYBER	500	25303	\N	\N	0
2371521	7819	1998-03-09	VYDAJ	PREVOD NA UCET	1296	13947	POJISTNE	CD	46939146
2371522	7819	1998-04-09	VYDAJ	PREVOD NA UCET	1296	13842	POJISTNE	CD	46939146
2371523	7819	1998-05-09	VYDAJ	PREVOD NA UCET	1296	16601	POJISTNE	CD	46939146
2371524	7819	1998-06-09	VYDAJ	PREVOD NA UCET	1296	19369	POJISTNE	CD	46939146
2371525	7819	1998-07-09	VYDAJ	PREVOD NA UCET	1296	23976	POJISTNE	CD	46939146
2371526	7819	1998-08-09	VYDAJ	PREVOD NA UCET	1296	26776	POJISTNE	CD	46939146
2371527	7819	1998-09-09	VYDAJ	PREVOD NA UCET	1296	10053	POJISTNE	CD	46939146
2371528	7819	1998-10-09	VYDAJ	PREVOD NA UCET	1296	13536	POJISTNE	CD	46939146
2371529	7819	1998-11-09	VYDAJ	PREVOD NA UCET	1296	12791	POJISTNE	CD	46939146
2371530	7819	1998-12-09	VYDAJ	PREVOD NA UCET	1296	14811	POJISTNE	CD	46939146
2371543	7819	1994-01-06	VYDAJ	PREVOD NA UCET	1721	20900	 	WX	14313167
2371544	7819	1994-02-06	VYDAJ	PREVOD NA UCET	1721	17509	 	WX	14313167
2371545	7819	1994-03-06	VYDAJ	PREVOD NA UCET	1721	21411	 	WX	14313167
2371546	7819	1994-04-06	VYDAJ	PREVOD NA UCET	1721	22229	 	WX	14313167
2371547	7819	1994-05-06	VYDAJ	PREVOD NA UCET	1721	25651	 	WX	14313167
2371548	7819	1994-06-06	VYDAJ	PREVOD NA UCET	1721	23477	 	WX	14313167
2371549	7819	1994-07-06	VYDAJ	PREVOD NA UCET	1721	14991	 	WX	14313167
2371550	7819	1994-08-06	VYDAJ	PREVOD NA UCET	1721	20885	 	WX	14313167
2371551	7819	1994-09-06	VYDAJ	PREVOD NA UCET	1721	18888	 	WX	14313167
2371552	7819	1994-10-06	VYDAJ	PREVOD NA UCET	1721	20394	 	WX	14313167
2371553	7819	1994-11-06	VYDAJ	PREVOD NA UCET	1721	22107	 	WX	14313167
2371554	7819	1994-12-06	VYDAJ	PREVOD NA UCET	1721	22625	 	WX	14313167
2371555	7819	1995-01-06	VYDAJ	PREVOD NA UCET	1721	12567	 	WX	14313167
2371556	7819	1995-02-06	VYDAJ	PREVOD NA UCET	1721	16152	 	WX	14313167
2371557	7819	1995-03-06	VYDAJ	PREVOD NA UCET	1721	18714	 	WX	14313167
2371558	7819	1995-04-06	VYDAJ	PREVOD NA UCET	1721	22288	 	WX	14313167
2371559	7819	1995-05-06	VYDAJ	PREVOD NA UCET	1721	24476	 	WX	14313167
2371560	7819	1995-06-06	VYDAJ	PREVOD NA UCET	1721	22071	 	WX	14313167
2371561	7819	1995-07-06	VYDAJ	PREVOD NA UCET	1721	26585	 	WX	14313167
2371562	7819	1995-08-06	VYDAJ	PREVOD NA UCET	1721	24384	 	WX	14313167
2371563	7819	1995-09-06	VYDAJ	PREVOD NA UCET	1721	26579	 	WX	14313167
2371564	7819	1995-10-06	VYDAJ	PREVOD NA UCET	1721	26383	 	WX	14313167
2371565	7819	1995-11-06	VYDAJ	PREVOD NA UCET	1721	25784	 	WX	14313167
2371566	7819	1995-12-06	VYDAJ	PREVOD NA UCET	1721	25879	 	WX	14313167
2371567	7819	1996-01-06	VYDAJ	PREVOD NA UCET	1721	23599	 	WX	14313167
2371568	7819	1996-02-06	VYDAJ	PREVOD NA UCET	1721	18768	 	WX	14313167
2371569	7819	1996-03-06	VYDAJ	PREVOD NA UCET	1721	15333	 	WX	14313167
2371570	7819	1996-04-06	VYDAJ	PREVOD NA UCET	1721	13188	 	WX	14313167
2371571	7819	1996-05-06	VYDAJ	PREVOD NA UCET	1721	13435	 	WX	14313167
2371572	7819	1996-06-06	VYDAJ	PREVOD NA UCET	1721	17888	 	WX	14313167
2371573	7819	1996-07-06	VYDAJ	PREVOD NA UCET	1721	21378	 	WX	14313167
2371574	7819	1996-08-06	VYDAJ	PREVOD NA UCET	1721	17146	 	WX	14313167
2371575	7819	1996-09-06	VYDAJ	PREVOD NA UCET	1721	14399	 	WX	14313167
2371576	7819	1996-10-06	VYDAJ	PREVOD NA UCET	1721	13044	 	WX	14313167
2371577	7819	1996-11-06	VYDAJ	PREVOD NA UCET	1721	13587	 	WX	14313167
2371578	7819	1996-12-06	VYDAJ	PREVOD NA UCET	1721	12729	 	WX	14313167
2371579	7819	1997-01-06	VYDAJ	PREVOD NA UCET	1721	12790	 	WX	14313167
2371580	7819	1997-02-06	VYDAJ	PREVOD NA UCET	1721	14133	 	WX	14313167
2371581	7819	1997-03-06	VYDAJ	PREVOD NA UCET	1721	19793	 	WX	14313167
2371582	7819	1997-04-06	VYDAJ	PREVOD NA UCET	1721	13948	 	WX	14313167
2371583	7819	1997-05-06	VYDAJ	PREVOD NA UCET	1721	16701	 	WX	14313167
2371584	7819	1997-06-06	VYDAJ	PREVOD NA UCET	1721	19464	 	WX	14313167
2371585	7819	1997-07-06	VYDAJ	PREVOD NA UCET	1721	26667	 	WX	14313167
2371586	7819	1997-08-06	VYDAJ	PREVOD NA UCET	1721	20852	 	WX	14313167
2371587	7819	1997-09-06	VYDAJ	PREVOD NA UCET	1721	23633	 	WX	14313167
2371588	7819	1997-10-06	VYDAJ	PREVOD NA UCET	1721	20307	 	WX	14313167
2371589	7819	1997-11-06	VYDAJ	PREVOD NA UCET	1721	19173	 	WX	14313167
2371590	7819	1997-12-06	VYDAJ	PREVOD NA UCET	1721	20745	 	WX	14313167
2371591	7819	1998-01-06	VYDAJ	PREVOD NA UCET	1721	26652	 	WX	14313167
2371592	7819	1998-02-06	VYDAJ	PREVOD NA UCET	1721	15418	 	WX	14313167
2371593	7819	1998-03-06	VYDAJ	PREVOD NA UCET	1721	18176	 	WX	14313167
2371594	7819	1998-04-06	VYDAJ	PREVOD NA UCET	1721	15138	 	WX	14313167
2371595	7819	1998-05-06	VYDAJ	PREVOD NA UCET	1721	17897	 	WX	14313167
2371596	7819	1998-06-06	VYDAJ	PREVOD NA UCET	1721	20665	 	WX	14313167
2371597	7819	1998-07-06	VYDAJ	PREVOD NA UCET	1721	25272	 	WX	14313167
2371598	7819	1998-08-06	VYDAJ	PREVOD NA UCET	1721	28072	 	WX	14313167
2371599	7819	1998-09-06	VYDAJ	PREVOD NA UCET	1721	12082	 	WX	14313167
2371600	7819	1998-10-06	VYDAJ	PREVOD NA UCET	1721	14832	 	WX	14313167
2371601	7819	1998-11-06	VYDAJ	PREVOD NA UCET	1721	14087	 	WX	14313167
2371602	7819	1998-12-06	VYDAJ	PREVOD NA UCET	1721	16840	 	WX	14313167
2371614	7819	1993-12-19	VYDAJ	VYBER	400	41598	\N	\N	0
2371615	7819	1994-01-18	VYDAJ	VYBER	400	22352	\N	\N	0
2371616	7819	1994-02-17	VYDAJ	VYBER	400	21961	\N	\N	0
2371617	7819	1994-03-11	VYDAJ	VYBER	400	18982	\N	\N	0
2371618	7819	1994-04-10	VYDAJ	VYBER	500	19700	\N	\N	0
2371620	7819	1994-06-05	VYDAJ	VYBER	500	25198	\N	\N	0
2371621	7819	1994-07-14	VYDAJ	VYBER	400	19443	\N	\N	0
2371622	7819	1994-08-17	VYDAJ	VYBER	500	19437	\N	\N	0
2371623	7819	1994-09-07	VYDAJ	VYBER	400	18488	\N	\N	0
2371624	7819	1994-10-17	VYDAJ	VYBER	400	24846	\N	\N	0
2371625	7819	1994-11-06	VYDAJ	VYBER	400	21707	\N	\N	0
2371626	7819	1994-12-12	VYDAJ	VYBER	400	29994	\N	\N	0
2371627	7819	1995-01-11	VYDAJ	VYBER	400	8185	\N	\N	0
2371628	7819	1995-02-12	VYDAJ	PREVOD NA UCET	434	20570	UVER	UV	847703
2371629	7819	1995-03-12	VYDAJ	PREVOD NA UCET	434	23132	UVER	UV	847703
2371630	7819	1995-04-12	VYDAJ	PREVOD NA UCET	434	26706	UVER	UV	847703
2371631	7819	1995-05-12	VYDAJ	PREVOD NA UCET	434	28894	UVER	UV	847703
2371632	7819	1995-06-12	VYDAJ	PREVOD NA UCET	434	30906	UVER	UV	847703
2371633	7819	1995-07-12	VYDAJ	PREVOD NA UCET	434	31003	UVER	UV	847703
2371634	7819	1995-08-12	VYDAJ	PREVOD NA UCET	434	28802	UVER	UV	847703
2371635	7819	1995-09-12	VYDAJ	PREVOD NA UCET	434	30997	UVER	UV	847703
2371636	7819	1995-10-12	VYDAJ	PREVOD NA UCET	434	30801	UVER	UV	847703
2371637	7819	1995-11-12	VYDAJ	PREVOD NA UCET	434	28102	UVER	UV	847703
2371638	7819	1995-12-12	VYDAJ	PREVOD NA UCET	434	34714	UVER	UV	847703
2371639	7819	1996-01-12	VYDAJ	PREVOD NA UCET	434	22117	UVER	UV	847703
2371640	7819	1996-02-12	VYDAJ	PREVOD NA UCET	434	23186	UVER	UV	847703
2371641	7819	1996-03-12	VYDAJ	PREVOD NA UCET	434	19751	UVER	UV	847703
2371642	7819	1996-04-12	VYDAJ	PREVOD NA UCET	434	17606	UVER	UV	847703
2371643	7819	1996-05-12	VYDAJ	PREVOD NA UCET	434	17853	UVER	UV	847703
2371644	7819	1996-06-12	VYDAJ	PREVOD NA UCET	434	26723	UVER	UV	847703
2371645	7819	1996-07-12	VYDAJ	PREVOD NA UCET	434	25796	UVER	UV	847703
2371646	7819	1996-08-12	VYDAJ	PREVOD NA UCET	434	21564	UVER	UV	847703
2371647	7819	1996-09-12	VYDAJ	PREVOD NA UCET	434	18817	UVER	UV	847703
2371648	7819	1996-10-12	VYDAJ	PREVOD NA UCET	434	17462	UVER	UV	847703
2371649	7819	1996-11-12	VYDAJ	PREVOD NA UCET	434	18005	UVER	UV	847703
2371650	7819	1996-12-12	VYDAJ	PREVOD NA UCET	434	21564	UVER	UV	847703
2371651	7819	1997-01-12	VYDAJ	PREVOD NA UCET	434	17408	UVER	UV	847703
2371652	7819	1997-02-12	VYDAJ	PREVOD NA UCET	434	21451	UVER	UV	847703
2371653	7819	1997-03-12	VYDAJ	PREVOD NA UCET	434	24211	UVER	UV	847703
2371654	7819	1997-04-12	VYDAJ	PREVOD NA UCET	434	18366	UVER	UV	847703
2371655	7819	1997-05-12	VYDAJ	PREVOD NA UCET	434	21119	UVER	UV	847703
2371656	7819	1997-06-12	VYDAJ	PREVOD NA UCET	434	28299	UVER	UV	847703
2371657	7819	1997-07-12	VYDAJ	PREVOD NA UCET	434	24285	UVER	UV	847703
2371658	7819	1997-08-12	VYDAJ	PREVOD NA UCET	434	25270	UVER	UV	847703
2371659	7819	1997-09-12	VYDAJ	PREVOD NA UCET	434	21951	UVER	UV	847703
2371660	7819	1997-10-12	VYDAJ	PREVOD NA UCET	434	20825	UVER	UV	847703
2371661	7819	1997-11-12	VYDAJ	PREVOD NA UCET	434	23591	UVER	UV	847703
2371662	7819	1997-12-12	VYDAJ	PREVOD NA UCET	434	29580	UVER	UV	847703
2371663	7819	1998-01-12	VYDAJ	PREVOD NA UCET	434	21170	UVER	UV	847703
2371664	7819	1998-02-12	VYDAJ	PREVOD NA UCET	434	19836	UVER	UV	847703
2371665	7819	1998-03-12	VYDAJ	PREVOD NA UCET	434	20394	UVER	UV	847703
2371666	7819	1998-04-12	VYDAJ	PREVOD NA UCET	434	19556	UVER	UV	847703
2371667	7819	1998-05-12	VYDAJ	PREVOD NA UCET	434	22315	UVER	UV	847703
2371668	7819	1998-06-12	VYDAJ	PREVOD NA UCET	434	29500	UVER	UV	847703
2371669	7819	1998-07-12	VYDAJ	PREVOD NA UCET	434	29690	UVER	UV	847703
2371670	7819	1998-08-12	VYDAJ	PREVOD NA UCET	434	32490	UVER	UV	847703
2371671	7819	1998-09-12	VYDAJ	PREVOD NA UCET	434	16500	UVER	UV	847703
2371672	7819	1998-10-12	VYDAJ	PREVOD NA UCET	434	19250	UVER	UV	847703
2371673	7819	1998-11-12	VYDAJ	PREVOD NA UCET	434	18505	UVER	UV	847703
2371674	7819	1998-12-12	VYDAJ	PREVOD NA UCET	434	25675	UVER	UV	847703
2371676	7819	1994-06-15	VYDAJ	VYBER	19700	13046	\N	\N	\N
2371682	7819	1994-01-06	VYDAJ	VYBER	5800	22621	\N	\N	\N
2371683	7819	1995-01-01	VYDAJ	VYBER	9600	14888	\N	\N	\N
2371684	7819	1996-01-06	VYDAJ	VYBER	3400	20199	\N	\N	\N
2371688	7819	1994-12-09	VYDAJ	VYBER	1500	21125	\N	\N	\N
2371689	7819	1995-12-16	VYDAJ	VYBER	1600	33114	\N	\N	\N
2371690	7819	1996-12-25	VYDAJ	VYBER	1900	14464	\N	\N	\N
2371691	7819	1997-12-23	VYDAJ	VYBER	1300	28280	\N	\N	\N
2371692	7819	1998-12-15	VYDAJ	VYBER	1700	23975	\N	\N	\N
2371699	7819	1994-01-21	VYDAJ	VYBER	2800	17252	\N	\N	\N
2371700	7819	1994-01-16	VYDAJ	VYBER	2100	22752	\N	\N	\N
2371701	7819	1994-01-09	VYDAJ	VYBER	900	20000	\N	\N	\N
2371702	7819	1994-01-02	VYDAJ	VYBER	600	31321	\N	\N	\N
2371703	7819	1994-01-20	VYDAJ	VYBER	2300	20052	\N	\N	\N
2371704	7819	1994-01-06	VYDAJ	VYBER	2900	28421	\N	\N	\N
2371705	7819	1995-01-26	VYDAJ	VYBER	2200	17819	\N	\N	\N
2371706	7819	1995-01-16	VYDAJ	VYBER	1800	15219	\N	\N	\N
2371709	7819	1995-01-04	VYDAJ	VYBER	600	14288	\N	\N	\N
2371711	7819	1996-01-01	VYDAJ	VYBER	600	25320	\N	\N	\N
2371712	7819	1996-01-01	VYDAJ	VYBER	2500	25920	\N	\N	\N
2371713	7819	1996-01-08	VYDAJ	VYBER	1400	17699	\N	\N	\N
2371714	7819	1996-01-15	VYDAJ	VYBER	2300	19817	\N	\N	\N
2371715	7819	1996-01-23	VYDAJ	VYBER	1700	20417	\N	\N	\N
2371716	7819	1996-01-07	VYDAJ	VYBER	1100	19099	\N	\N	\N
2371717	7819	1997-01-13	VYDAJ	VYBER	1600	15808	\N	\N	\N
2371724	7819	1998-01-21	VYDAJ	VYBER	2100	19070	\N	\N	\N
2371725	7819	1998-01-28	VYDAJ	VYBER	900	17070	\N	\N	\N
2371726	7819	1998-01-27	VYDAJ	VYBER	1100	17970	\N	\N	\N
2371728	7819	1998-01-07	VYDAJ	VYBER	800	16752	\N	\N	\N
2371735	7819	1994-08-15	VYDAJ	VYBER	4700	19937	\N	\N	\N
2371736	7819	1994-08-09	VYDAJ	VYBER	1100	19785	\N	\N	\N
2371737	7819	1994-05-15	VYDAJ	VYBER	4700	25803	\N	\N	\N
2371738	7819	1995-04-25	VYDAJ	VYBER	900	26106	\N	\N	\N
2371739	7819	1995-10-05	VYDAJ	VYBER	2300	28104	\N	\N	\N
2371740	7819	1995-11-09	VYDAJ	VYBER	2100	23684	\N	\N	\N
2371741	7819	1995-06-03	VYDAJ	VYBER	1100	26592	\N	\N	\N
2371742	7819	1995-12-21	VYDAJ	VYBER	900	28314	\N	\N	\N
2371743	7819	1995-06-05	VYDAJ	VYBER	2800	23792	\N	\N	\N
2371744	7819	1996-03-26	VYDAJ	VYBER	2200	15851	\N	\N	\N
2371746	7819	1996-02-20	VYDAJ	VYBER	3100	18886	\N	\N	\N
2371747	7819	1996-04-02	VYDAJ	VYBER	1000	14909	\N	\N	\N
2371749	7819	1996-03-04	VYDAJ	VYBER	1900	17054	\N	\N	\N
2371750	7819	1996-04-22	VYDAJ	VYBER	3400	15106	\N	\N	\N
2371751	7819	1997-07-29	VYDAJ	VYBER	1800	22485	\N	\N	\N
2371752	7819	1997-11-17	VYDAJ	VYBER	1200	22391	\N	\N	\N
2371755	7819	1998-07-05	VYDAJ	VYBER	2600	26993	\N	\N	\N
2371756	7819	1998-03-08	VYDAJ	VYBER	2200	15976	\N	\N	\N
2371758	7819	1998-09-02	VYDAJ	VYBER	1400	31203	\N	\N	\N
2371759	7819	1998-11-02	VYDAJ	VYBER	3500	15808	\N	\N	\N
2371761	7819	1998-04-04	VYDAJ	VYBER	3600	16859	\N	\N	\N
2371774	7819	1993-12-31	VYDAJ	VYBER	15	31921	SLUZBY	\N	\N
2371775	7819	1994-01-31	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
2371776	7819	1994-02-28	VYDAJ	VYBER	15	23132	SLUZBY	\N	\N
2371777	7819	1994-03-31	VYDAJ	VYBER	15	23950	SLUZBY	\N	\N
2371778	7819	1994-04-30	VYDAJ	VYBER	15	27372	SLUZBY	\N	\N
2371779	7819	1994-05-31	VYDAJ	VYBER	15	25698	SLUZBY	\N	\N
2371780	7819	1994-06-30	VYDAJ	VYBER	15	16712	SLUZBY	\N	\N
2371781	7819	1994-07-31	VYDAJ	VYBER	15	22606	SLUZBY	\N	\N
2371782	7819	1994-08-31	VYDAJ	VYBER	15	20609	SLUZBY	\N	\N
2371783	7819	1994-09-30	VYDAJ	VYBER	15	22115	SLUZBY	\N	\N
2371784	7819	1994-10-31	VYDAJ	VYBER	15	23828	SLUZBY	\N	\N
2371785	7819	1994-11-30	VYDAJ	VYBER	15	24346	SLUZBY	\N	\N
2371786	7819	1994-12-31	VYDAJ	VYBER	15	24488	SLUZBY	\N	\N
2371787	7819	1995-01-31	VYDAJ	VYBER	15	17873	SLUZBY	\N	\N
2371788	7819	1995-02-28	VYDAJ	VYBER	15	20435	SLUZBY	\N	\N
2371789	7819	1995-03-31	VYDAJ	VYBER	15	24009	SLUZBY	\N	\N
2371790	7819	1995-04-30	VYDAJ	VYBER	15	26197	SLUZBY	\N	\N
2371791	7819	1995-05-31	VYDAJ	VYBER	15	27692	SLUZBY	\N	\N
2371792	7819	1995-06-30	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
2371793	7819	1995-07-31	VYDAJ	VYBER	15	26105	SLUZBY	\N	\N
2371794	7819	1995-08-31	VYDAJ	VYBER	15	28300	SLUZBY	\N	\N
2371795	7819	1995-09-30	VYDAJ	VYBER	15	30404	SLUZBY	\N	\N
2371796	7819	1995-10-31	VYDAJ	VYBER	15	27505	SLUZBY	\N	\N
2371797	7819	1995-11-30	VYDAJ	VYBER	15	27600	SLUZBY	\N	\N
2371798	7819	1995-12-31	VYDAJ	VYBER	15	28420	SLUZBY	\N	\N
2371799	7819	1996-01-31	VYDAJ	VYBER	15	20489	SLUZBY	\N	\N
2371800	7819	1996-02-29	VYDAJ	VYBER	15	18954	SLUZBY	\N	\N
2371801	7819	1996-03-31	VYDAJ	VYBER	15	15909	SLUZBY	\N	\N
2371802	7819	1996-04-30	VYDAJ	VYBER	15	15156	SLUZBY	\N	\N
2371803	7819	1996-05-31	VYDAJ	VYBER	15	19609	SLUZBY	\N	\N
2371804	7819	1996-06-30	VYDAJ	VYBER	15	23099	SLUZBY	\N	\N
2371805	7819	1996-07-31	VYDAJ	VYBER	15	18867	SLUZBY	\N	\N
2371806	7819	1996-08-31	VYDAJ	VYBER	15	16120	SLUZBY	\N	\N
2371807	7819	1996-09-30	VYDAJ	VYBER	15	14765	SLUZBY	\N	\N
2371808	7819	1996-10-31	VYDAJ	VYBER	15	15308	SLUZBY	\N	\N
2371809	7819	1996-11-30	VYDAJ	VYBER	15	14450	SLUZBY	\N	\N
2371810	7819	1996-12-31	VYDAJ	VYBER	15	14511	SLUZBY	\N	\N
2371811	7819	1997-01-31	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
2371812	7819	1997-02-28	VYDAJ	VYBER	15	21514	SLUZBY	\N	\N
2371813	7819	1997-03-31	VYDAJ	VYBER	15	15669	SLUZBY	\N	\N
2371814	7819	1997-04-30	VYDAJ	VYBER	15	18422	SLUZBY	\N	\N
2371815	7819	1997-05-31	VYDAJ	VYBER	15	21185	SLUZBY	\N	\N
2371816	7819	1997-06-30	VYDAJ	VYBER	15	28388	SLUZBY	\N	\N
2371817	7819	1997-07-31	VYDAJ	VYBER	15	22573	SLUZBY	\N	\N
2371818	7819	1997-08-31	VYDAJ	VYBER	15	25354	SLUZBY	\N	\N
2371819	7819	1997-09-30	VYDAJ	VYBER	15	22028	SLUZBY	\N	\N
2371820	7819	1997-10-31	VYDAJ	VYBER	15	20894	SLUZBY	\N	\N
2371821	7819	1997-11-30	VYDAJ	VYBER	15	22466	SLUZBY	\N	\N
2371822	7819	1997-12-31	VYDAJ	VYBER	15	28373	SLUZBY	\N	\N
2371823	7819	1998-01-31	VYDAJ	VYBER	15	17139	SLUZBY	\N	\N
2371824	7819	1998-02-28	VYDAJ	VYBER	15	19897	SLUZBY	\N	\N
2371825	7819	1998-03-31	VYDAJ	VYBER	15	20459	SLUZBY	\N	\N
2371826	7819	1998-04-30	VYDAJ	VYBER	15	19618	SLUZBY	\N	\N
2371827	7819	1998-05-31	VYDAJ	VYBER	15	22386	SLUZBY	\N	\N
2371828	7819	1998-06-30	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
2371829	7819	1998-07-31	VYDAJ	VYBER	15	29793	SLUZBY	\N	\N
2371830	7819	1998-08-31	VYDAJ	VYBER	15	32603	SLUZBY	\N	\N
2371831	7819	1998-09-30	VYDAJ	VYBER	15	16553	SLUZBY	\N	\N
2371832	7819	1998-10-31	VYDAJ	VYBER	15	19308	SLUZBY	\N	\N
2371833	7819	1998-11-30	VYDAJ	VYBER	15	18561	SLUZBY	\N	\N
2371834	7819	1993-08-31	PRIJEM	VKLAD	6400	15760	\N	\N	\N
2371835	7819	1993-09-30	PRIJEM	VKLAD	200	24794	\N	\N	\N
2371836	7819	1993-10-30	VYDAJ	VYBER	6400	27295	\N	\N	\N
2371837	7819	1993-11-29	VYDAJ	VYBER	7600	28633	\N	\N	\N
2371838	7819	1993-12-29	VYDAJ	VYBER	9800	31798	\N	\N	\N
2371839	7819	1994-01-28	PRIJEM	VKLAD	1900	19152	\N	\N	\N
2371840	7819	1994-02-27	PRIJEM	VKLAD	1100	23061	\N	\N	\N
2371841	7819	1994-03-29	VYDAJ	VYBER	2000	23863	\N	\N	\N
2371842	7819	1994-04-28	PRIJEM	VKLAD	700	27281	\N	\N	\N
2371843	7819	1994-05-28	PRIJEM	VKLAD	300	25603	\N	\N	\N
2371844	7819	1994-06-27	PRIJEM	VKLAD	3600	16646	\N	\N	\N
2371845	7819	1994-07-27	PRIJEM	VKLAD	3100	22543	\N	\N	\N
2371846	7819	1994-08-26	PRIJEM	VKLAD	1100	20537	\N	\N	\N
2371847	7819	1994-09-25	VYDAJ	VYBER	1300	22040	\N	\N	\N
2371848	7819	1994-10-25	VYDAJ	VYBER	1100	23746	\N	\N	\N
2371849	7819	1994-11-24	VYDAJ	VYBER	2300	24259	\N	\N	\N
2371850	7819	1994-12-24	VYDAJ	VYBER	5600	24394	\N	\N	\N
2371851	7819	1995-01-23	PRIJEM	VKLAD	4800	20019	\N	\N	\N
2371852	7819	1995-02-22	VYDAJ	VYBER	200	20370	\N	\N	\N
2371853	7819	1995-03-24	PRIJEM	VKLAD	800	23932	\N	\N	\N
2371854	7819	1995-04-23	PRIJEM	VKLAD	300	27006	\N	\N	\N
2371855	7819	1995-05-23	VYDAJ	VYBER	1300	27594	\N	\N	\N
2371856	7819	1995-06-22	VYDAJ	VYBER	2700	28206	\N	\N	\N
2371857	7819	1995-07-22	VYDAJ	VYBER	5000	26003	\N	\N	\N
2371858	7819	1995-08-21	VYDAJ	VYBER	600	28202	\N	\N	\N
2371859	7819	1995-09-20	VYDAJ	VYBER	700	30297	\N	\N	\N
2371860	7819	1995-10-20	VYDAJ	VYBER	3400	27401	\N	\N	\N
2371861	7819	1995-11-19	VYDAJ	VYBER	600	27502	\N	\N	\N
2371862	7819	1995-12-19	VYDAJ	VYBER	3900	29214	\N	\N	\N
2371863	7819	1996-01-18	PRIJEM	VKLAD	2300	22117	\N	\N	\N
2371864	7819	1996-02-17	VYDAJ	VYBER	1200	21986	\N	\N	\N
2371865	7819	1996-03-18	VYDAJ	VYBER	1700	18051	\N	\N	\N
2371866	7819	1996-04-17	PRIJEM	VKLAD	900	18506	\N	\N	\N
2371867	7819	1996-05-17	PRIJEM	VKLAD	1700	19553	\N	\N	\N
2371868	7819	1996-06-16	VYDAJ	VYBER	3700	23023	\N	\N	\N
2371869	7819	1996-07-16	VYDAJ	VYBER	7000	18796	\N	\N	\N
2371870	7819	1996-08-15	VYDAJ	VYBER	5500	16064	\N	\N	\N
2371871	7819	1996-09-14	VYDAJ	VYBER	4100	14717	\N	\N	\N
2371872	7819	1996-10-14	VYDAJ	VYBER	2200	15262	\N	\N	\N
2371873	7819	1996-11-13	VYDAJ	VYBER	3600	14405	\N	\N	\N
2371874	7819	1996-12-13	VYDAJ	VYBER	5200	16364	\N	\N	\N
2371875	7819	1997-01-12	PRIJEM	VKLAD	200	9008	\N	\N	\N
2371876	7819	1997-02-11	PRIJEM	VKLAD	2900	15004	\N	\N	\N
2371877	7819	1997-03-13	VYDAJ	VYBER	8600	15611	\N	\N	\N
2371878	7819	1997-07-11	VYDAJ	VYBER	6800	15885	\N	\N	\N
2371879	7819	1997-09-09	VYDAJ	VYBER	6100	16237	\N	\N	\N
2371880	7819	1997-10-09	VYDAJ	VYBER	3900	15111	\N	\N	\N
2371881	7819	1998-01-07	VYDAJ	VYBER	9100	17552	\N	\N	\N
2371882	7819	1998-09-04	VYDAJ	VYBER	17400	13803	\N	\N	\N
2372889	7824	1994-05-17	PRIJEM	VKLAD	600	600	\N	\N	\N
2372890	7824	1995-12-22	PRIJEM	VKLAD	29270	82040	\N	\N	\N
2372891	7824	1995-11-27	PRIJEM	VKLAD	40570	37939	\N	\N	\N
2372892	7824	1995-07-08	PRIJEM	VKLAD	7767	70804	\N	\N	\N
2372893	7824	1995-06-10	PRIJEM	VKLAD	9491	41189	\N	\N	\N
2372894	7824	1995-05-04	PRIJEM	VKLAD	20046	51012	\N	\N	\N
2372895	7824	1995-02-25	PRIJEM	VKLAD	47955	68455	\N	\N	\N
2372896	7824	1995-06-24	PRIJEM	VKLAD	32789	62878	\N	\N	\N
2372897	7824	1995-12-21	PRIJEM	VKLAD	41719	52770	\N	\N	\N
2372898	7824	1996-04-17	PRIJEM	VKLAD	46443	61322	\N	\N	\N
2372899	7824	1996-08-30	PRIJEM	VKLAD	22350	30601	\N	\N	\N
2372900	7824	1996-02-07	PRIJEM	VKLAD	32550	46536	\N	\N	\N
2372901	7824	1996-08-04	PRIJEM	VKLAD	30141	35136	\N	\N	\N
2372902	7824	1996-04-05	PRIJEM	VKLAD	38085	45764	\N	\N	\N
2372903	7824	1997-03-21	PRIJEM	VKLAD	16987	50258	\N	\N	\N
2372904	7824	1997-12-08	PRIJEM	VKLAD	29667	44729	\N	\N	\N
2372905	7824	1997-07-02	PRIJEM	VKLAD	41456	74998	\N	\N	\N
2372906	7824	1997-09-20	PRIJEM	VKLAD	14017	31842	\N	\N	\N
2372907	7824	1997-07-22	PRIJEM	VKLAD	27711	59438	\N	\N	\N
2372908	7824	1997-06-10	PRIJEM	VKLAD	44319	62502	\N	\N	\N
2372909	7824	1997-02-22	PRIJEM	VKLAD	21491	87091	\N	\N	\N
2372910	7824	1997-08-06	PRIJEM	VKLAD	42849	53166	\N	\N	\N
2372911	7824	1997-05-04	PRIJEM	VKLAD	48890	63192	\N	\N	\N
2372912	7824	1997-06-20	PRIJEM	VKLAD	25090	76136	\N	\N	\N
2372913	7824	1997-04-15	PRIJEM	VKLAD	29877	51922	\N	\N	\N
2372914	7824	1997-01-04	PRIJEM	VKLAD	41371	53525	\N	\N	\N
2372915	7824	1997-03-25	PRIJEM	VKLAD	18055	68313	\N	\N	\N
2372916	7824	1997-01-01	PRIJEM	VKLAD	39765	37254	\N	\N	\N
2372917	7824	1997-10-04	PRIJEM	VKLAD	46684	118196	\N	\N	\N
2372918	7824	1997-06-02	PRIJEM	VKLAD	10220	42411	\N	\N	\N
2372919	7824	1997-05-06	PRIJEM	VKLAD	30940	94132	\N	\N	\N
2372920	7824	1997-02-05	PRIJEM	VKLAD	49958	112381	\N	\N	\N
2372921	7824	1997-02-03	PRIJEM	VKLAD	41437	62423	\N	\N	\N
2372922	7824	1997-08-09	PRIJEM	VKLAD	35111	86752	\N	\N	\N
2372923	7824	1997-10-03	PRIJEM	VKLAD	48985	71512	\N	\N	\N
2372924	7824	1997-05-24	PRIJEM	VKLAD	23612	72519	\N	\N	\N
2372925	7824	1998-10-05	PRIJEM	VKLAD	5895	26603	\N	\N	\N
2372926	7824	1998-02-25	PRIJEM	VKLAD	13330	75341	\N	\N	\N
2372927	7824	1998-12-10	PRIJEM	VKLAD	49585	58648	\N	\N	\N
2372928	7824	1998-03-24	PRIJEM	VKLAD	32415	60024	\N	\N	\N
2372929	7824	1998-08-01	PRIJEM	VKLAD	49196	56079	\N	\N	\N
2372930	7824	1998-10-09	PRIJEM	VKLAD	9516	90310	\N	\N	\N
2372931	7824	1998-08-29	PRIJEM	VKLAD	28484	50573	\N	\N	\N
2372932	7824	1998-09-24	PRIJEM	VKLAD	6553	27387	\N	\N	\N
2372933	7824	1998-09-15	PRIJEM	VKLAD	32868	87434	\N	\N	\N
2372934	7824	1998-01-13	PRIJEM	VKLAD	10434	40556	\N	\N	\N
2372935	7824	1998-04-09	PRIJEM	VKLAD	17637	23729	\N	\N	\N
2372936	7824	1998-09-10	PRIJEM	VKLAD	6880	76578	\N	\N	\N
2372937	7824	1998-08-08	PRIJEM	VKLAD	17400	71954	\N	\N	\N
2372938	7824	1998-02-19	PRIJEM	VKLAD	20503	62011	\N	\N	\N
2372939	7824	1998-08-16	PRIJEM	VKLAD	11791	81589	\N	\N	\N
2372940	7824	1998-10-06	PRIJEM	VKLAD	31134	57737	\N	\N	\N
2372941	7824	1998-02-16	PRIJEM	VKLAD	27423	49408	\N	\N	\N
2372942	7824	1998-10-20	PRIJEM	VKLAD	36403	124557	\N	\N	\N
2372943	7824	1998-03-20	PRIJEM	VKLAD	26088	39278	\N	\N	\N
2372944	7824	1998-05-12	PRIJEM	VKLAD	35566	55678	\N	\N	\N
2372945	7824	1998-01-11	PRIJEM	VKLAD	29210	52178	\N	\N	\N
2372946	7824	1998-10-08	PRIJEM	VKLAD	24582	80794	\N	\N	\N
2372947	7824	1998-09-02	PRIJEM	VKLAD	28555	79323	\N	\N	\N
2372966	7824	1995-07-12	VYDAJ	PREVOD NA UCET	7904	30745	UVER	KL	63899862
2372967	7824	1995-08-12	VYDAJ	PREVOD NA UCET	7904	10972	UVER	KL	63899862
2372968	7824	1995-09-12	VYDAJ	PREVOD NA UCET	7904	4742	UVER	KL	63899862
2372971	7824	1995-12-12	VYDAJ	PREVOD NA UCET	7904	11051	UVER	KL	63899862
2372972	7824	1996-01-12	VYDAJ	PREVOD NA UCET	7904	25889	UVER	KL	63899862
2372973	7824	1996-02-12	VYDAJ	PREVOD NA UCET	7904	38633	UVER	KL	63899862
2372974	7824	1996-03-12	VYDAJ	PREVOD NA UCET	7904	9782	UVER	KL	63899862
2372975	7824	1996-04-12	VYDAJ	PREVOD NA UCET	7904	17035	UVER	KL	63899862
2372976	7824	1996-05-12	VYDAJ	PREVOD NA UCET	7904	22779	UVER	KL	63899862
2372979	7824	1996-08-12	VYDAJ	PREVOD NA UCET	7904	10407	UVER	KL	63899862
2372980	7824	1996-09-12	VYDAJ	PREVOD NA UCET	7904	2756	UVER	KL	63899862
2372984	7824	1997-01-02	VYDAJ	VYBER	7200	12154	\N	\N	0
2372985	7824	1997-02-09	VYDAJ	VYBER	9200	67756	\N	\N	0
2372986	7824	1997-03-13	VYDAJ	VYBER	9500	33271	\N	\N	0
2372987	7824	1997-04-09	VYDAJ	VYBER	8900	24201	\N	\N	0
2372988	7824	1997-05-03	VYDAJ	VYBER	8300	14302	\N	\N	0
2372989	7824	1997-06-19	VYDAJ	VYBER	9300	51046	\N	\N	0
2372990	7824	1997-07-09	VYDAJ	VYBER	7200	52982	\N	\N	0
2372991	7824	1997-08-04	VYDAJ	VYBER	6300	10317	\N	\N	0
2372992	7824	1997-09-20	VYDAJ	VYBER	9400	22442	\N	\N	0
2372993	7824	1997-10-17	VYDAJ	VYBER	7100	69927	\N	\N	0
2372994	7824	1997-11-21	VYDAJ	VYBER	6300	16511	\N	\N	0
2372995	7824	1997-12-12	VYDAJ	VYBER	7100	37629	\N	\N	0
2372996	7824	1998-01-12	VYDAJ	VYBER	6400	30122	\N	\N	0
2372997	7824	1998-02-18	VYDAJ	VYBER	7900	41508	\N	\N	0
2372998	7824	1998-03-19	VYDAJ	VYBER	6800	13190	\N	\N	0
2372999	7824	1998-04-02	VYDAJ	VYBER	8400	7617	\N	\N	0
2373000	7824	1998-05-12	VYDAJ	VYBER	8100	47578	\N	\N	0
2373001	7824	1998-06-16	VYDAJ	VYBER	8900	10480	\N	\N	0
2373003	7824	1998-08-16	VYDAJ	VYBER	7200	74389	\N	\N	0
2373004	7824	1998-09-07	VYDAJ	VYBER	8100	69698	\N	\N	0
2373005	7824	1998-10-03	VYDAJ	VYBER	6900	20708	\N	\N	0
2373006	7824	1998-11-16	VYDAJ	VYBER	9200	10532	\N	\N	0
2373007	7824	1998-12-17	VYDAJ	VYBER	6300	42992	\N	\N	0
2373026	7824	1995-07-12	VYDAJ	PREVOD NA UCET	2156	38648	SIPO	ST	63655739
2373027	7824	1995-08-12	VYDAJ	PREVOD NA UCET	2156	8816	SIPO	ST	63655739
2373028	7824	1995-09-12	VYDAJ	PREVOD NA UCET	2156	2586	SIPO	ST	63655739
2373029	7824	1995-10-12	VYDAJ	PREVOD NA UCET	2156	-1088	SIPO	ST	63655739
2373031	7824	1995-12-12	VYDAJ	PREVOD NA UCET	2156	18955	SIPO	ST	63655739
2373032	7824	1996-01-12	VYDAJ	PREVOD NA UCET	2156	33792	SIPO	ST	63655739
2373033	7824	1996-02-12	VYDAJ	PREVOD NA UCET	2156	36477	SIPO	ST	63655739
2373034	7824	1996-03-12	VYDAJ	PREVOD NA UCET	2156	7626	SIPO	ST	63655739
2373035	7824	1996-04-12	VYDAJ	PREVOD NA UCET	2156	14879	SIPO	ST	63655739
2373036	7824	1996-05-12	VYDAJ	PREVOD NA UCET	2156	30683	SIPO	ST	63655739
2373037	7824	1996-06-12	VYDAJ	PREVOD NA UCET	2156	8633	SIPO	ST	63655739
2373038	7824	1996-07-12	VYDAJ	PREVOD NA UCET	2156	4984	SIPO	ST	63655739
2373039	7824	1996-08-12	VYDAJ	PREVOD NA UCET	2156	8251	SIPO	ST	63655739
2373040	7824	1996-09-12	VYDAJ	PREVOD NA UCET	2156	10660	SIPO	ST	63655739
2373041	7824	1996-10-12	VYDAJ	PREVOD NA UCET	2156	-901	SIPO	ST	63655739
2373044	7824	1997-01-12	VYDAJ	PREVOD NA UCET	2156	36776	SIPO	ST	63655739
2373045	7824	1997-02-12	VYDAJ	PREVOD NA UCET	2156	65600	SIPO	ST	63655739
2373046	7824	1997-03-12	VYDAJ	PREVOD NA UCET	2156	42771	SIPO	ST	63655739
2373047	7824	1997-04-12	VYDAJ	PREVOD NA UCET	2156	22045	SIPO	ST	63655739
2373048	7824	1997-05-12	VYDAJ	PREVOD NA UCET	2156	73575	SIPO	ST	63655739
2373049	7824	1997-06-12	VYDAJ	PREVOD NA UCET	2156	60346	SIPO	ST	63655739
2373050	7824	1997-07-12	VYDAJ	PREVOD NA UCET	2156	50826	SIPO	ST	63655739
2373051	7824	1997-08-12	VYDAJ	PREVOD NA UCET	2156	84596	SIPO	ST	63655739
2373052	7824	1997-09-12	VYDAJ	PREVOD NA UCET	2156	17825	SIPO	ST	63655739
2373053	7824	1997-10-12	VYDAJ	PREVOD NA UCET	2156	77027	SIPO	ST	63655739
2373054	7824	1997-11-12	VYDAJ	PREVOD NA UCET	2156	22811	SIPO	ST	63655739
2373055	7824	1997-12-12	VYDAJ	PREVOD NA UCET	2156	35473	SIPO	ST	63655739
2373056	7824	1998-01-12	VYDAJ	PREVOD NA UCET	2156	36522	SIPO	ST	63655739
2373057	7824	1998-02-12	VYDAJ	PREVOD NA UCET	2156	21985	SIPO	ST	63655739
2373058	7824	1998-03-12	VYDAJ	PREVOD NA UCET	2156	19990	SIPO	ST	63655739
2373059	7824	1998-04-12	VYDAJ	PREVOD NA UCET	2156	21573	SIPO	ST	63655739
2373060	7824	1998-05-12	VYDAJ	PREVOD NA UCET	2156	45422	SIPO	ST	63655739
2373061	7824	1998-06-12	VYDAJ	PREVOD NA UCET	2156	19380	SIPO	ST	63655739
2373062	7824	1998-07-12	VYDAJ	PREVOD NA UCET	2156	6865	SIPO	ST	63655739
2373063	7824	1998-08-12	VYDAJ	PREVOD NA UCET	2156	69798	SIPO	ST	63655739
2373064	7824	1998-09-12	VYDAJ	PREVOD NA UCET	2156	54566	SIPO	ST	63655739
2373065	7824	1998-10-12	VYDAJ	PREVOD NA UCET	2156	88154	SIPO	ST	63655739
2373066	7824	1998-11-12	VYDAJ	PREVOD NA UCET	2156	19732	SIPO	ST	63655739
2373067	7824	1998-12-12	VYDAJ	PREVOD NA UCET	2156	49292	SIPO	ST	63655739
2373087	7824	1995-08-06	VYDAJ	PREVOD NA UCET	1525	26976	 	GH	44470602
2373088	7824	1995-09-06	VYDAJ	PREVOD NA UCET	1525	7346	 	GH	44470602
2373089	7824	1995-10-06	VYDAJ	PREVOD NA UCET	1525	1068	 	GH	44470602
2373090	7824	1995-11-06	VYDAJ	PREVOD NA UCET	1525	-2631	 	GH	44470602
2373091	7824	1995-12-06	VYDAJ	PREVOD NA UCET	1525	36411	 	GH	44470602
2373092	7824	1996-01-06	VYDAJ	PREVOD NA UCET	1525	67248	 	GH	44470602
2373093	7824	1996-02-06	VYDAJ	PREVOD NA UCET	1525	13986	 	GH	44470602
2373094	7824	1996-03-06	VYDAJ	PREVOD NA UCET	1525	35086	 	GH	44470602
2373095	7824	1996-04-06	VYDAJ	PREVOD NA UCET	1525	44239	 	GH	44470602
2373096	7824	1996-05-06	VYDAJ	PREVOD NA UCET	1525	32839	 	GH	44470602
2373097	7824	1996-06-06	VYDAJ	PREVOD NA UCET	1525	10789	 	GH	44470602
2373098	7824	1996-07-06	VYDAJ	PREVOD NA UCET	1525	7140	 	GH	44470602
2373099	7824	1996-08-06	VYDAJ	PREVOD NA UCET	1525	18311	 	GH	44470602
2373100	7824	1996-09-06	VYDAJ	PREVOD NA UCET	1525	12816	 	GH	44470602
2373101	7824	1996-10-06	VYDAJ	PREVOD NA UCET	1525	1255	 	GH	44470602
2373102	7824	1996-11-06	VYDAJ	PREVOD NA UCET	1525	-2444	 	GH	44470602
2373104	7824	1997-01-06	VYDAJ	PREVOD NA UCET	1525	46900	 	GH	44470602
2373105	7824	1997-02-06	VYDAJ	PREVOD NA UCET	1525	76956	 	GH	44470602
2373106	7824	1997-03-06	VYDAJ	PREVOD NA UCET	1525	44927	 	GH	44470602
2373107	7824	1997-04-06	VYDAJ	PREVOD NA UCET	1525	33101	 	GH	44470602
2373108	7824	1997-05-06	VYDAJ	PREVOD NA UCET	1525	92607	 	GH	44470602
2373109	7824	1997-06-06	VYDAJ	PREVOD NA UCET	1525	18183	 	GH	44470602
2373110	7824	1997-07-06	VYDAJ	PREVOD NA UCET	1525	60182	 	GH	44470602
2373111	7824	1997-08-06	VYDAJ	PREVOD NA UCET	1525	51641	 	GH	44470602
2373112	7824	1997-09-06	VYDAJ	PREVOD NA UCET	1525	19981	 	GH	44470602
2373113	7824	1997-10-06	VYDAJ	PREVOD NA UCET	1525	97071	 	GH	44470602
2373114	7824	1997-11-06	VYDAJ	PREVOD NA UCET	1525	24967	 	GH	44470602
2373115	7824	1997-12-06	VYDAJ	PREVOD NA UCET	1525	15062	 	GH	44470602
2373116	7824	1998-01-06	VYDAJ	PREVOD NA UCET	1525	22968	 	GH	44470602
2373117	7824	1998-02-06	VYDAJ	PREVOD NA UCET	1525	24141	 	GH	44470602
2373118	7824	1998-03-06	VYDAJ	PREVOD NA UCET	1525	22146	 	GH	44470602
2373119	7824	1998-04-06	VYDAJ	PREVOD NA UCET	1525	6092	 	GH	44470602
2373120	7824	1998-05-06	VYDAJ	PREVOD NA UCET	1525	20112	 	GH	44470602
2373121	7824	1998-06-06	VYDAJ	PREVOD NA UCET	1525	21536	 	GH	44470602
2373122	7824	1998-07-06	VYDAJ	PREVOD NA UCET	1525	9021	 	GH	44470602
2373123	7824	1998-08-06	VYDAJ	PREVOD NA UCET	1525	54554	 	GH	44470602
2373124	7824	1998-09-06	VYDAJ	PREVOD NA UCET	1525	77798	 	GH	44470602
2373125	7824	1998-10-06	VYDAJ	PREVOD NA UCET	1525	56212	 	GH	44470602
2373126	7824	1998-11-06	VYDAJ	PREVOD NA UCET	1525	21888	 	GH	44470602
2373127	7824	1998-12-06	VYDAJ	PREVOD NA UCET	1525	9063	 	GH	44470602
2373134	7824	1995-12-22	VYBER	VYBER	10715	71325	\N	\N	\N
2373136	7824	1997-06-03	VYBER	VYBER	22703	19708	\N	\N	\N
2373137	7824	1997-07-21	VYBER	VYBER	19099	31727	\N	\N	\N
2373138	7824	1997-07-06	VYBER	VYBER	13291	61707	\N	\N	\N
2373139	7824	1997-08-22	VYBER	VYBER	5114	58995	\N	\N	\N
2373140	7824	1997-10-11	VYBER	VYBER	17888	79183	\N	\N	\N
2373141	7824	1997-05-22	VYBER	VYBER	24668	48907	\N	\N	\N
2373142	7824	1997-08-15	VYBER	VYBER	20487	64109	\N	\N	\N
2373143	7824	1997-01-10	VYBER	VYBER	5568	41332	\N	\N	\N
2373145	7824	1997-05-10	VYBER	VYBER	16876	75731	\N	\N	\N
2373147	7824	1998-09-12	VYBER	VYBER	19856	56722	\N	\N	\N
2373149	7824	1998-12-22	VYBER	VYBER	14341	28651	\N	\N	\N
2373150	7824	1998-11-05	VYBER	VYBER	7691	23413	\N	\N	\N
2373152	7824	1998-03-22	VYBER	VYBER	11669	27609	\N	\N	\N
2373158	7824	1998-06-05	VYDAJ	VYBER	22500	23061	\N	\N	\N
2373181	7824	1996-01-07	VYDAJ	VYBER	5100	35948	\N	\N	\N
2373182	7824	1996-01-14	VYDAJ	VYBER	6300	19589	\N	\N	\N
2373184	7824	1996-01-07	VYDAJ	VYBER	4800	62448	\N	\N	\N
2373185	7824	1996-01-04	VYDAJ	VYBER	2700	68773	\N	\N	\N
2373187	7824	1997-01-16	VYDAJ	VYBER	3900	25676	\N	\N	\N
2373188	7824	1997-01-15	VYDAJ	VYBER	7200	29576	\N	\N	\N
2373189	7824	1997-01-10	VYDAJ	VYBER	2400	38932	\N	\N	\N
2373191	7824	1997-01-25	VYDAJ	VYBER	4800	20876	\N	\N	\N
2373192	7824	1997-01-05	VYDAJ	VYBER	5100	48425	\N	\N	\N
2373194	7824	1998-01-14	VYDAJ	VYBER	3900	36656	\N	\N	\N
2373195	7824	1998-01-04	VYDAJ	VYBER	3000	24493	\N	\N	\N
2373196	7824	1998-01-25	VYDAJ	VYBER	5100	25556	\N	\N	\N
2373197	7824	1998-01-20	VYDAJ	VYBER	6000	30656	\N	\N	\N
2373198	7824	1998-01-01	VYDAJ	VYBER	8100	27493	\N	\N	\N
2373208	7824	1995-07-28	VYDAJ	VYBER	2400	28345	\N	\N	\N
2373215	7824	1997-07-26	VYDAJ	VYBER	13800	45638	\N	\N	\N
2373217	7824	1998-09-18	VYDAJ	VYBER	13200	74234	\N	\N	\N
2373219	7824	1998-12-12	VYDAJ	VYBER	7200	51448	\N	\N	\N
2373220	7824	1998-01-11	VYDAJ	VYBER	13500	38678	\N	\N	\N
2373241	7824	1995-07-31	VYDAJ	VYBER	15	28501	SLUZBY	\N	\N
2373242	7824	1995-08-31	VYDAJ	VYBER	15	8871	SLUZBY	\N	\N
2373243	7824	1995-09-30	VYDAJ	VYBER	15	2593	SLUZBY	\N	\N
2373244	7824	1995-10-31	VYDAJ	VYBER	15	-1106	SLUZBY	\N	\N
2373245	7824	1995-11-30	VYDAJ	VYBER	15	37936	SLUZBY	\N	\N
2373246	7824	1995-12-31	VYDAJ	VYBER	15	71473	SLUZBY	\N	\N
2373247	7824	1996-01-31	VYDAJ	VYBER	15	19711	SLUZBY	\N	\N
2373248	7824	1996-02-29	VYDAJ	VYBER	15	36611	SLUZBY	\N	\N
2373249	7824	1996-03-31	VYDAJ	VYBER	15	7679	SLUZBY	\N	\N
2373250	7824	1996-04-30	VYDAJ	VYBER	15	61464	SLUZBY	\N	\N
2373251	7824	1996-05-31	VYDAJ	VYBER	15	22914	SLUZBY	\N	\N
2373252	7824	1996-06-30	VYDAJ	VYBER	15	8665	SLUZBY	\N	\N
2373253	7824	1996-07-31	VYDAJ	VYBER	15	4995	SLUZBY	\N	\N
2373254	7824	1996-08-31	VYDAJ	VYBER	15	30641	SLUZBY	\N	\N
2373255	7824	1996-09-30	VYDAJ	VYBER	15	2780	SLUZBY	\N	\N
2373256	7824	1996-10-31	VYDAJ	VYBER	15	-912	SLUZBY	\N	\N
2373257	7824	1996-11-30	VYDAJ	VYBER	15	-2470	SLUZBY	\N	\N
2373258	7824	1996-12-31	VYDAJ	VYBER	15	-2511	SLUZBY	\N	\N
2373259	7824	1997-01-31	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
2373260	7824	1997-02-28	VYDAJ	VYBER	15	87352	SLUZBY	\N	\N
2373261	7824	1997-03-31	VYDAJ	VYBER	15	68526	SLUZBY	\N	\N
2373262	7824	1997-04-30	VYDAJ	VYBER	15	52102	SLUZBY	\N	\N
2373263	7824	1997-05-31	VYDAJ	VYBER	15	32191	SLUZBY	\N	\N
2373264	7824	1997-06-30	VYDAJ	VYBER	15	76342	SLUZBY	\N	\N
2373265	7824	1997-07-31	VYDAJ	VYBER	15	16617	SLUZBY	\N	\N
2373266	7824	1997-08-31	VYDAJ	VYBER	15	21506	SLUZBY	\N	\N
2373267	7824	1997-09-30	VYDAJ	VYBER	15	22527	SLUZBY	\N	\N
2373268	7824	1997-10-31	VYDAJ	VYBER	15	26492	SLUZBY	\N	\N
2373269	7824	1997-11-30	VYDAJ	VYBER	15	16587	SLUZBY	\N	\N
2373270	7824	1997-12-31	VYDAJ	VYBER	15	35593	SLUZBY	\N	\N
2373271	7824	1998-01-31	VYDAJ	VYBER	15	25666	SLUZBY	\N	\N
2373272	7824	1998-02-28	VYDAJ	VYBER	15	23671	SLUZBY	\N	\N
2373273	7824	1998-03-31	VYDAJ	VYBER	15	16017	SLUZBY	\N	\N
2373274	7824	1998-04-30	VYDAJ	VYBER	15	21637	SLUZBY	\N	\N
2373275	7824	1998-05-31	VYDAJ	VYBER	15	45561	SLUZBY	\N	\N
2373276	7824	1998-06-30	VYDAJ	VYBER	15	10546	SLUZBY	\N	\N
2373277	7824	1998-07-31	VYDAJ	VYBER	15	6883	SLUZBY	\N	\N
2373278	7824	1998-08-31	VYDAJ	VYBER	15	50768	SLUZBY	\N	\N
2373279	7824	1998-09-30	VYDAJ	VYBER	15	27608	SLUZBY	\N	\N
2373280	7824	1998-10-31	VYDAJ	VYBER	15	31104	SLUZBY	\N	\N
2373281	7824	1998-11-30	VYDAJ	VYBER	15	10588	SLUZBY	\N	\N
2373282	7824	1994-06-16	PRIJEM	VKLAD	11500	12100	\N	\N	\N
2373283	7824	1994-07-16	PRIJEM	VKLAD	6900	19000	\N	\N	\N
2373284	7824	1994-08-15	PRIJEM	VKLAD	1300	20300	\N	\N	\N
2373285	7824	1994-09-14	PRIJEM	VKLAD	2200	22500	\N	\N	\N
2373286	7824	1994-10-14	PRIJEM	VKLAD	2400	24900	\N	\N	\N
2373287	7824	1994-11-13	VYDAJ	VYBER	3100	21800	\N	\N	\N
2373288	7824	1994-12-13	PRIJEM	VKLAD	200	22000	\N	\N	\N
2373289	7824	1995-01-12	PRIJEM	VKLAD	1500	23500	\N	\N	\N
2373290	7824	1995-02-11	VYDAJ	VYBER	3000	20500	\N	\N	\N
2373291	7824	1995-03-13	VYDAJ	VYBER	22400	46096	\N	\N	\N
2373292	7824	1995-04-12	VYDAJ	VYBER	15700	30681	\N	\N	\N
2373293	7824	1995-05-12	VYDAJ	VYBER	19500	31512	\N	\N	\N
2373294	7824	1995-06-11	VYDAJ	VYBER	11100	30089	\N	\N	\N
2373295	7824	1995-07-11	VYDAJ	VYBER	30000	40804	\N	\N	\N
2373296	7824	1995-08-10	VYDAJ	VYBER	8100	18876	\N	\N	\N
2373297	7824	1995-09-09	PRIJEM	VKLAD	5300	12646	\N	\N	\N
2373298	7824	1995-12-08	VYDAJ	VYBER	15300	21111	\N	\N	\N
2373299	7824	1996-01-07	VYDAJ	VYBER	21400	41048	\N	\N	\N
2373300	7824	1996-02-06	VYDAJ	VYBER	4200	15511	\N	\N	\N
2373301	7824	1996-03-07	VYDAJ	VYBER	17400	17686	\N	\N	\N
2373302	7824	1996-04-06	VYDAJ	VYBER	19300	24939	\N	\N	\N
2373303	7824	1996-05-06	VYDAJ	VYBER	27100	34364	\N	\N	\N
2373304	7824	1996-06-05	VYDAJ	VYBER	10600	12314	\N	\N	\N
2373305	7824	1996-08-04	VYDAJ	VYBER	15300	19836	\N	\N	\N
2373306	7824	1996-09-03	VYDAJ	VYBER	16300	14341	\N	\N	\N
2373307	7824	1997-01-01	VYDAJ	VYBER	17900	19354	\N	\N	\N
2373308	7824	1997-02-05	VYDAJ	VYBER	33900	78481	\N	\N	\N
2373309	7824	1997-03-02	VYDAJ	VYBER	40900	46452	\N	\N	\N
2373310	7824	1997-04-01	VYDAJ	VYBER	33900	34626	\N	\N	\N
2373311	7824	1997-05-01	VYDAJ	VYBER	29500	22602	\N	\N	\N
2373312	7824	1997-05-31	VYDAJ	VYBER	40600	32206	\N	\N	\N
2373313	7824	1997-06-30	VYDAJ	VYBER	42800	33542	\N	\N	\N
2373314	7824	1997-07-30	VYDAJ	VYBER	29200	16438	\N	\N	\N
2373315	7824	1997-08-29	VYDAJ	VYBER	37700	21295	\N	\N	\N
2373316	7824	1997-10-04	VYDAJ	VYBER	19600	98596	\N	\N	\N
2373317	7824	1997-10-28	VYDAJ	VYBER	43700	26227	\N	\N	\N
2373318	7824	1998-02-25	VYDAJ	VYBER	51800	23541	\N	\N	\N
2373319	7824	1998-03-27	VYDAJ	VYBER	44100	15924	\N	\N	\N
2373320	7824	1998-08-24	VYDAJ	VYBER	52300	22089	\N	\N	\N
2373321	7824	1998-09-23	VYDAJ	VYBER	53400	20834	\N	\N	\N
2373322	7824	1998-10-20	VYDAJ	VYBER	27100	97457	\N	\N	\N
2373323	7824	1998-10-23	VYDAJ	VYBER	66600	30857	\N	\N	\N
2374304	7828	1996-01-05	PRIJEM	VKLAD	600	600	\N	\N	\N
2374306	7828	1996-02-05	PRIJEM	VKLAD	5592	20692	\N	\N	\N
2374307	7828	1996-03-05	PRIJEM	VKLAD	5592	26430	\N	\N	\N
2374308	7828	1996-04-05	PRIJEM	VKLAD	5592	32007	\N	\N	\N
2374309	7828	1996-05-05	PRIJEM	VKLAD	5592	36136	\N	\N	\N
2374310	7828	1996-06-05	PRIJEM	VKLAD	8388	38097	\N	\N	\N
2374311	7828	1996-07-05	PRIJEM	VKLAD	5592	17299	\N	\N	\N
2374312	7828	1996-08-05	PRIJEM	VKLAD	5592	30804	\N	\N	\N
2374313	7828	1996-09-05	PRIJEM	VKLAD	5592	30534	\N	\N	\N
2374314	7828	1996-10-05	PRIJEM	VKLAD	5592	30349	\N	\N	\N
2374315	7828	1996-11-05	PRIJEM	VKLAD	5592	37946	\N	\N	\N
2374316	7828	1996-12-05	PRIJEM	VKLAD	8388	42790	\N	\N	\N
2374317	7828	1997-01-05	PRIJEM	VKLAD	5592	35262	\N	\N	\N
2374318	7828	1997-02-05	PRIJEM	VKLAD	5592	30870	\N	\N	\N
2374319	7828	1997-03-05	PRIJEM	VKLAD	5592	36139	\N	\N	\N
2374320	7828	1997-04-05	PRIJEM	VKLAD	5592	39370	\N	\N	\N
2374321	7828	1997-05-05	PRIJEM	VKLAD	5592	44001	\N	\N	\N
2374322	7828	1997-06-05	PRIJEM	VKLAD	8388	47850	\N	\N	\N
2374323	7828	1997-07-05	PRIJEM	VKLAD	5592	29488	\N	\N	\N
2374324	7828	1997-08-05	PRIJEM	VKLAD	5592	34916	\N	\N	\N
2374325	7828	1997-09-05	PRIJEM	VKLAD	5592	37632	\N	\N	\N
2374326	7828	1997-10-05	PRIJEM	VKLAD	5592	41776	\N	\N	\N
2374327	7828	1997-11-05	PRIJEM	VKLAD	5592	39240	\N	\N	\N
2374328	7828	1997-12-05	PRIJEM	VKLAD	8388	43184	\N	\N	\N
2374329	7828	1998-01-05	PRIJEM	VKLAD	5592	39080	\N	\N	\N
2374330	7828	1998-02-05	PRIJEM	VKLAD	5592	30336	\N	\N	\N
2374331	7828	1998-03-05	PRIJEM	VKLAD	5592	41595	\N	\N	\N
2374332	7828	1998-04-05	PRIJEM	VKLAD	5592	50674	\N	\N	\N
2374333	7828	1998-05-05	PRIJEM	VKLAD	5592	58517	\N	\N	\N
2374334	7828	1998-06-05	PRIJEM	VKLAD	8388	64507	\N	\N	\N
2374335	7828	1998-07-05	PRIJEM	VKLAD	5592	44287	\N	\N	\N
2374336	7828	1998-08-05	PRIJEM	VKLAD	5592	49609	\N	\N	\N
2374337	7828	1998-09-05	PRIJEM	VKLAD	5592	53153	\N	\N	\N
2374338	7828	1998-10-05	PRIJEM	VKLAD	5592	56692	\N	\N	\N
2374339	7828	1998-11-05	PRIJEM	VKLAD	5592	58706	\N	\N	\N
2374340	7828	1998-12-05	PRIJEM	VKLAD	8388	60581	\N	\N	\N
2374346	7828	1996-06-16	VYDAJ	VYBER	2900	35197	SIPO	\N	0
2374347	7828	1996-07-02	VYDAJ	VYBER	4000	-3193	SIPO	\N	0
2374348	7828	1996-08-18	VYDAJ	VYBER	3500	22864	SIPO	\N	0
2374349	7828	1996-09-16	VYDAJ	VYBER	2900	20794	SIPO	\N	0
2374350	7828	1996-10-11	VYDAJ	VYBER	3300	27049	SIPO	\N	0
2374351	7828	1996-11-16	VYDAJ	VYBER	3500	34446	SIPO	\N	0
2374352	7828	1996-12-14	VYDAJ	VYBER	3300	39490	SIPO	\N	0
2374353	7828	1997-01-10	VYDAJ	VYBER	3300	31962	SIPO	\N	0
2374354	7828	1997-02-06	VYDAJ	VYBER	4400	26470	SIPO	\N	0
2374355	7828	1997-03-11	VYDAJ	VYBER	3900	28759	SIPO	\N	0
2374356	7828	1997-04-06	VYDAJ	VYBER	4000	35370	SIPO	\N	0
2374357	7828	1997-05-08	VYDAJ	VYBER	4200	39801	SIPO	\N	0
2374358	7828	1997-06-15	VYDAJ	VYBER	3900	14670	SIPO	\N	0
2374359	7828	1997-07-03	VYDAJ	VYBER	3600	23896	SIPO	\N	0
2374360	7828	1997-08-08	VYDAJ	VYBER	4200	30716	SIPO	\N	0
2374361	7828	1997-09-10	VYDAJ	VYBER	3000	34632	SIPO	\N	0
2374362	7828	1997-10-07	VYDAJ	VYBER	3200	38576	SIPO	\N	0
2374363	7828	1997-11-06	VYDAJ	VYBER	3100	36140	SIPO	\N	0
2374364	7828	1997-12-19	VYDAJ	VYBER	3200	39984	SIPO	\N	0
2374365	7828	1998-01-19	VYDAJ	VYBER	3200	16920	SIPO	\N	0
2374366	7828	1998-02-01	VYDAJ	VYBER	3800	24744	SIPO	\N	0
2374367	7828	1998-03-07	VYDAJ	VYBER	3600	37995	SIPO	\N	0
2374368	7828	1998-04-10	VYDAJ	VYBER	2900	47774	SIPO	\N	0
2374369	7828	1998-05-16	VYDAJ	VYBER	3900	54617	SIPO	\N	0
2374370	7828	1998-06-14	VYDAJ	VYBER	4000	60507	SIPO	\N	0
2374371	7828	1998-07-11	VYDAJ	VYBER	4400	39887	SIPO	\N	0
2374372	7828	1998-08-15	VYDAJ	VYBER	3800	45809	SIPO	\N	0
2374373	7828	1998-09-05	VYDAJ	VYBER	2900	50253	SIPO	\N	0
2374374	7828	1998-10-09	VYDAJ	VYBER	3500	51152	SIPO	\N	0
2374375	7828	1998-11-15	VYDAJ	VYBER	3600	50906	SIPO	\N	0
2374376	7828	1998-12-20	VYDAJ	VYBER	3200	53221	SIPO	\N	0
2374377	7828	1996-06-21	VYDAJ	VYBER	34560	637	\N	\N	\N
2374378	7828	1997-06-14	VYDAJ	VYBER	29280	18570	\N	\N	\N
2374379	7828	1998-06-17	VYDAJ	VYBER	28960	31547	\N	\N	\N
2374381	7828	1997-01-02	VYDAJ	VYBER	3680	29670	\N	\N	\N
2374382	7828	1998-01-17	VYDAJ	VYBER	12480	21440	\N	\N	\N
2374383	7828	1996-12-28	VYDAJ	VYBER	2720	36770	\N	\N	\N
2374384	7828	1997-12-28	VYDAJ	VYBER	4160	33224	\N	\N	\N
2374385	7828	1998-12-20	VYDAJ	VYBER	4160	56421	\N	\N	\N
2374392	7828	1997-01-20	VYDAJ	VYBER	600	19482	\N	\N	\N
2374393	7828	1997-01-25	VYDAJ	VYBER	3240	16242	\N	\N	\N
2374394	7828	1997-01-11	VYDAJ	VYBER	2280	29682	\N	\N	\N
2374395	7828	1997-01-26	VYDAJ	VYBER	3240	13002	\N	\N	\N
2374396	7828	1997-01-18	VYDAJ	VYBER	2760	20082	\N	\N	\N
2374397	7828	1997-01-16	VYDAJ	VYBER	2040	27642	\N	\N	\N
2374398	7828	1998-01-10	VYDAJ	VYBER	2520	36560	\N	\N	\N
2374399	7828	1998-01-22	VYDAJ	VYBER	720	16200	\N	\N	\N
2374400	7828	1998-01-24	VYDAJ	VYBER	1920	30980	\N	\N	\N
2374401	7828	1998-01-18	VYDAJ	VYBER	1320	20120	\N	\N	\N
2374402	7828	1998-01-27	VYDAJ	VYBER	2640	28340	\N	\N	\N
2374403	7828	1998-01-13	VYDAJ	VYBER	2640	33920	\N	\N	\N
2374404	7828	1996-09-05	VYDAJ	VYBER	5520	25014	\N	\N	\N
2374405	7828	1996-08-07	VYDAJ	VYBER	4440	26364	\N	\N	\N
2374407	7828	1996-09-15	VYDAJ	VYBER	1320	23694	\N	\N	\N
2374409	7828	1997-03-07	VYDAJ	VYBER	3480	32659	\N	\N	\N
2374410	7828	1997-07-23	VYDAJ	VYBER	5280	21328	\N	\N	\N
2374411	7828	1997-11-16	VYDAJ	VYBER	1080	35060	\N	\N	\N
2374412	7828	1997-01-18	VYDAJ	VYBER	4800	22842	\N	\N	\N
2374413	7828	1997-07-05	VYDAJ	VYBER	2880	26608	\N	\N	\N
2374414	7828	1998-11-13	VYDAJ	VYBER	4200	54506	\N	\N	\N
2374415	7828	1998-02-05	VYDAJ	VYBER	3480	26856	\N	\N	\N
2374416	7828	1998-07-13	VYDAJ	VYBER	4200	35687	\N	\N	\N
2374417	7828	1998-02-09	VYDAJ	VYBER	840	26016	\N	\N	\N
2374418	7828	1998-04-22	VYDAJ	VYBER	3600	44174	\N	\N	\N
2374419	7828	1998-10-05	VYDAJ	VYBER	2040	54652	\N	\N	\N
2374426	7828	1996-06-30	VYDAJ	VYBER	15	807	SLUZBY	\N	\N
2374427	7828	1996-07-31	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
2374428	7828	1996-08-31	VYDAJ	VYBER	15	23042	SLUZBY	\N	\N
2374429	7828	1996-09-30	VYDAJ	VYBER	15	20957	SLUZBY	\N	\N
2374430	7828	1996-10-31	VYDAJ	VYBER	15	32354	SLUZBY	\N	\N
2374431	7828	1996-11-30	VYDAJ	VYBER	15	34402	SLUZBY	\N	\N
2374432	7828	1996-12-31	VYDAJ	VYBER	15	33350	SLUZBY	\N	\N
2374433	7828	1997-01-31	VYDAJ	VYBER	15	25278	SLUZBY	\N	\N
2374434	7828	1997-02-28	VYDAJ	VYBER	15	30547	SLUZBY	\N	\N
2374435	7828	1997-03-31	VYDAJ	VYBER	15	33778	SLUZBY	\N	\N
2374436	7828	1997-04-30	VYDAJ	VYBER	15	38409	SLUZBY	\N	\N
2374437	7828	1997-05-31	VYDAJ	VYBER	15	39462	SLUZBY	\N	\N
2374438	7828	1997-06-30	VYDAJ	VYBER	15	27496	SLUZBY	\N	\N
2374439	7828	1997-07-31	VYDAJ	VYBER	15	29324	SLUZBY	\N	\N
2374440	7828	1997-08-31	VYDAJ	VYBER	15	32040	SLUZBY	\N	\N
2374441	7828	1997-09-30	VYDAJ	VYBER	15	36184	SLUZBY	\N	\N
2374442	7828	1997-10-31	VYDAJ	VYBER	15	33648	SLUZBY	\N	\N
2374443	7828	1997-11-30	VYDAJ	VYBER	15	34796	SLUZBY	\N	\N
2374444	7828	1997-12-31	VYDAJ	VYBER	15	33488	SLUZBY	\N	\N
2374445	7828	1998-01-31	VYDAJ	VYBER	15	28544	SLUZBY	\N	\N
2374446	7828	1998-02-28	VYDAJ	VYBER	15	36003	SLUZBY	\N	\N
2374447	7828	1998-03-31	VYDAJ	VYBER	15	45082	SLUZBY	\N	\N
2374448	7828	1998-04-30	VYDAJ	VYBER	15	52925	SLUZBY	\N	\N
2374449	7828	1998-05-31	VYDAJ	VYBER	15	56119	SLUZBY	\N	\N
2374450	7828	1998-06-30	VYDAJ	VYBER	15	38695	SLUZBY	\N	\N
2374451	7828	1998-07-31	VYDAJ	VYBER	15	44017	SLUZBY	\N	\N
2374452	7828	1998-08-31	VYDAJ	VYBER	15	47561	SLUZBY	\N	\N
2374453	7828	1998-09-30	VYDAJ	VYBER	15	51100	SLUZBY	\N	\N
2374454	7828	1998-10-31	VYDAJ	VYBER	15	53114	SLUZBY	\N	\N
2374455	7828	1998-11-30	VYDAJ	VYBER	15	52193	SLUZBY	\N	\N
2374456	7828	1996-02-04	PRIJEM	VKLAD	14500	15100	\N	\N	\N
2374457	7828	1996-03-05	PRIJEM	VKLAD	900	27330	\N	\N	\N
2374458	7828	1996-04-04	VYDAJ	VYBER	1100	26415	\N	\N	\N
2374459	7828	1996-05-04	VYDAJ	VYBER	1700	30544	\N	\N	\N
2374460	7828	1996-06-03	VYDAJ	VYBER	6700	29709	\N	\N	\N
2374461	7828	1996-07-03	PRIJEM	VKLAD	14900	11707	\N	\N	\N
2374462	7828	1996-08-02	PRIJEM	VKLAD	7800	25212	\N	\N	\N
2374463	7828	1996-09-01	PRIJEM	VKLAD	1900	24942	\N	\N	\N
2374464	7828	1996-10-01	PRIJEM	VKLAD	3800	24757	\N	\N	\N
2374465	7828	1996-10-31	PRIJEM	VKLAD	5100	32149	\N	\N	\N
2374466	7828	1996-11-30	VYDAJ	VYBER	300	34417	\N	\N	\N
2374467	7828	1996-12-30	VYDAJ	VYBER	3700	33070	\N	\N	\N
2374468	7828	1997-01-29	PRIJEM	VKLAD	12100	25102	\N	\N	\N
2374469	7828	1997-02-28	PRIJEM	VKLAD	3900	30561	\N	\N	\N
2374470	7828	1997-03-30	PRIJEM	VKLAD	4800	33559	\N	\N	\N
2374471	7828	1997-04-29	PRIJEM	VKLAD	2800	38170	\N	\N	\N
2374472	7828	1997-05-29	VYDAJ	VYBER	600	39201	\N	\N	\N
2374473	7828	1997-06-28	PRIJEM	VKLAD	12700	27370	\N	\N	\N
2374474	7828	1997-07-28	PRIJEM	VKLAD	7800	29128	\N	\N	\N
2374475	7828	1997-08-27	PRIJEM	VKLAD	1100	31816	\N	\N	\N
2374476	7828	1997-09-26	PRIJEM	VKLAD	1300	35932	\N	\N	\N
2374477	7828	1997-10-26	VYDAJ	VYBER	5200	33376	\N	\N	\N
2374478	7828	1997-11-25	VYDAJ	VYBER	500	34560	\N	\N	\N
2374479	7828	1997-12-25	VYDAJ	VYBER	2600	37384	\N	\N	\N
2374480	7828	1998-01-24	PRIJEM	VKLAD	16700	32900	\N	\N	\N
2374481	7828	1998-02-23	PRIJEM	VKLAD	9800	35816	\N	\N	\N
2374482	7828	1998-03-25	PRIJEM	VKLAD	6800	44795	\N	\N	\N
2374483	7828	1998-04-24	PRIJEM	VKLAD	8400	52574	\N	\N	\N
2374484	7828	1998-05-24	PRIJEM	VKLAD	1200	55817	\N	\N	\N
2374485	7828	1998-06-23	PRIJEM	VKLAD	6900	38447	\N	\N	\N
2374486	7828	1998-07-23	PRIJEM	VKLAD	8100	43787	\N	\N	\N
2374487	7828	1998-08-22	PRIJEM	VKLAD	1500	47309	\N	\N	\N
2374488	7828	1998-09-21	PRIJEM	VKLAD	500	50753	\N	\N	\N
2374489	7828	1998-10-21	PRIJEM	VKLAD	1600	52752	\N	\N	\N
2374490	7828	1998-11-20	PRIJEM	VKLAD	900	51806	\N	\N	\N
2378519	7844	1993-11-26	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2378531	7844	1993-12-05	PRIJEM	PREVOD Z UCTU	47906	48906	\N	ST	14847791
2378532	7844	1994-01-05	PRIJEM	PREVOD Z UCTU	31937	68372	\N	ST	14847791
2378533	7844	1994-02-05	PRIJEM	PREVOD Z UCTU	31937	76769	\N	ST	14847791
2378534	7844	1994-03-05	PRIJEM	PREVOD Z UCTU	31937	81495	\N	ST	14847791
2378535	7844	1994-04-05	PRIJEM	PREVOD Z UCTU	31937	83039	\N	ST	14847791
2378536	7844	1994-05-05	PRIJEM	PREVOD Z UCTU	31937	65512	\N	ST	14847791
2378537	7844	1994-06-05	PRIJEM	PREVOD Z UCTU	47906	82203	\N	ST	14847791
2378538	7844	1994-07-05	PRIJEM	PREVOD Z UCTU	31937	80543	\N	ST	14847791
2378539	7844	1994-08-05	PRIJEM	PREVOD Z UCTU	31937	59951	\N	ST	14847791
2378540	7844	1994-09-05	PRIJEM	PREVOD Z UCTU	31937	73432	\N	ST	14847791
2378541	7844	1994-10-05	PRIJEM	PREVOD Z UCTU	31937	80759	\N	ST	14847791
2378542	7844	1994-11-05	PRIJEM	PREVOD Z UCTU	31937	78505	\N	ST	14847791
2378543	7844	1994-12-05	PRIJEM	PREVOD Z UCTU	47906	95217	\N	ST	14847791
2378544	7844	1995-01-05	PRIJEM	PREVOD Z UCTU	31937	77377	\N	ST	14847791
2378545	7844	1995-02-05	PRIJEM	PREVOD Z UCTU	31937	57123	\N	ST	14847791
2378546	7844	1995-03-05	PRIJEM	PREVOD Z UCTU	31937	58355	\N	ST	14847791
2378547	7844	1995-04-05	PRIJEM	PREVOD Z UCTU	31937	64106	\N	ST	14847791
2378548	7844	1995-05-05	PRIJEM	PREVOD Z UCTU	31937	57041	\N	ST	14847791
2378549	7844	1995-06-05	PRIJEM	PREVOD Z UCTU	47906	83877	\N	ST	14847791
2378550	7844	1995-07-05	PRIJEM	PREVOD Z UCTU	31937	78186	\N	ST	14847791
2378551	7844	1995-08-05	PRIJEM	PREVOD Z UCTU	31937	81095	\N	ST	14847791
2378552	7844	1995-09-05	PRIJEM	PREVOD Z UCTU	31937	80626	\N	ST	14847791
2378553	7844	1995-10-05	PRIJEM	PREVOD Z UCTU	31937	79656	\N	ST	14847791
2378554	7844	1995-11-05	PRIJEM	PREVOD Z UCTU	31937	74346	\N	ST	14847791
2378555	7844	1995-12-05	PRIJEM	PREVOD Z UCTU	47906	74998	\N	ST	14847791
2378556	7844	1996-01-05	PRIJEM	PREVOD Z UCTU	31937	71382	\N	ST	14847791
2378557	7844	1996-02-05	PRIJEM	PREVOD Z UCTU	31937	57269	\N	ST	14847791
2378558	7844	1996-03-05	PRIJEM	PREVOD Z UCTU	31937	71820	\N	ST	14847791
2378559	7844	1996-04-05	PRIJEM	PREVOD Z UCTU	31937	70470	\N	ST	14847791
2378560	7844	1996-05-05	PRIJEM	PREVOD Z UCTU	31937	75555	\N	ST	14847791
2378561	7844	1996-06-05	PRIJEM	PREVOD Z UCTU	47906	98935	\N	ST	14847791
2378562	7844	1996-07-05	PRIJEM	PREVOD Z UCTU	31937	64843	\N	ST	14847791
2378563	7844	1996-08-05	PRIJEM	PREVOD Z UCTU	31937	72331	\N	ST	14847791
2378564	7844	1996-09-05	PRIJEM	PREVOD Z UCTU	31937	60873	\N	ST	14847791
2378565	7844	1996-10-05	PRIJEM	PREVOD Z UCTU	31937	68536	\N	ST	14847791
2378566	7844	1996-11-05	PRIJEM	PREVOD Z UCTU	31937	73223	\N	ST	14847791
2378567	7844	1996-12-05	PRIJEM	PREVOD Z UCTU	47906	88986	\N	ST	14847791
2378568	7844	1997-01-05	PRIJEM	PREVOD Z UCTU	31937	69469	\N	ST	14847791
2378569	7844	1997-02-05	PRIJEM	PREVOD Z UCTU	31937	53838	\N	ST	14847791
2378570	7844	1997-03-05	PRIJEM	PREVOD Z UCTU	31937	59488	\N	ST	14847791
2378571	7844	1997-04-05	PRIJEM	PREVOD Z UCTU	31937	71464	\N	ST	14847791
2378572	7844	1997-05-05	PRIJEM	PREVOD Z UCTU	31937	63947	\N	ST	14847791
2378573	7844	1997-06-05	PRIJEM	PREVOD Z UCTU	47906	85100	\N	ST	14847791
2378574	7844	1997-07-05	PRIJEM	PREVOD Z UCTU	31937	77923	\N	ST	14847791
2378575	7844	1997-08-05	PRIJEM	PREVOD Z UCTU	31937	76734	\N	ST	14847791
2378576	7844	1997-09-05	PRIJEM	PREVOD Z UCTU	31937	78749	\N	ST	14847791
2378577	7844	1997-10-05	PRIJEM	PREVOD Z UCTU	31937	60651	\N	ST	14847791
2378578	7844	1997-11-05	PRIJEM	PREVOD Z UCTU	31937	69333	\N	ST	14847791
2378579	7844	1997-12-05	PRIJEM	PREVOD Z UCTU	47906	88891	\N	ST	14847791
2378580	7844	1998-01-05	PRIJEM	PREVOD Z UCTU	31937	55246	\N	ST	14847791
2378581	7844	1998-02-05	PRIJEM	PREVOD Z UCTU	31937	54861	\N	ST	14847791
2378582	7844	1998-03-05	PRIJEM	PREVOD Z UCTU	31937	83287	\N	ST	14847791
2378583	7844	1998-04-05	PRIJEM	PREVOD Z UCTU	31937	59987	\N	ST	14847791
2378584	7844	1998-05-05	PRIJEM	PREVOD Z UCTU	31937	50131	\N	ST	14847791
2378585	7844	1998-06-05	PRIJEM	PREVOD Z UCTU	47906	71117	\N	ST	14847791
2378586	7844	1998-07-05	PRIJEM	PREVOD Z UCTU	31937	45252	\N	ST	14847791
2378587	7844	1998-08-05	PRIJEM	PREVOD Z UCTU	31937	56803	\N	ST	14847791
2378588	7844	1998-09-05	PRIJEM	PREVOD Z UCTU	31937	47195	\N	ST	14847791
2378589	7844	1998-10-05	PRIJEM	PREVOD Z UCTU	31937	53694	\N	ST	14847791
2378590	7844	1998-11-05	PRIJEM	PREVOD Z UCTU	31937	67133	\N	ST	14847791
2378591	7844	1998-12-05	PRIJEM	PREVOD Z UCTU	47906	74911	\N	ST	14847791
2378607	7844	1994-04-17	VYDAJ	VYBER	3300	60363	\N	\N	0
2378608	7844	1994-05-07	VYDAJ	VYBER	4100	61412	\N	\N	0
2378609	7844	1994-06-04	VYDAJ	VYBER	3500	34297	\N	\N	0
2378610	7844	1994-07-12	VYDAJ	PREVOD NA UCET	3816	72527	UVER	UV	97729610
2378611	7844	1994-08-12	VYDAJ	PREVOD NA UCET	3816	56135	UVER	UV	97729610
2378612	7844	1994-09-12	VYDAJ	PREVOD NA UCET	3816	69616	UVER	UV	97729610
2378613	7844	1994-10-12	VYDAJ	PREVOD NA UCET	3816	76943	UVER	UV	97729610
2378614	7844	1994-11-12	VYDAJ	PREVOD NA UCET	3816	74689	UVER	UV	97729610
2378615	7844	1994-12-12	VYDAJ	PREVOD NA UCET	3816	65705	UVER	UV	97729610
2378616	7844	1995-01-12	VYDAJ	PREVOD NA UCET	3816	35761	UVER	UV	97729610
2378617	7844	1995-02-12	VYDAJ	PREVOD NA UCET	3816	53307	UVER	UV	97729610
2378618	7844	1995-03-12	VYDAJ	PREVOD NA UCET	3816	30740	UVER	UV	97729610
2378619	7844	1995-04-12	VYDAJ	PREVOD NA UCET	3816	60290	UVER	UV	97729610
2378620	7844	1995-05-12	VYDAJ	PREVOD NA UCET	3816	53225	UVER	UV	97729610
2378621	7844	1995-06-12	VYDAJ	PREVOD NA UCET	3816	80061	UVER	UV	97729610
2378622	7844	1995-07-12	VYDAJ	PREVOD NA UCET	3816	69451	UVER	UV	97729610
2378623	7844	1995-08-12	VYDAJ	PREVOD NA UCET	3816	66779	UVER	UV	97729610
2378624	7844	1995-09-12	VYDAJ	PREVOD NA UCET	3816	76810	UVER	UV	97729610
2378625	7844	1995-10-12	VYDAJ	PREVOD NA UCET	3816	75840	UVER	UV	97729610
2378626	7844	1995-11-12	VYDAJ	PREVOD NA UCET	3816	70530	UVER	UV	97729610
2378627	7844	1995-12-12	VYDAJ	PREVOD NA UCET	3816	71182	UVER	UV	97729610
2378628	7844	1996-01-12	VYDAJ	PREVOD NA UCET	3816	56766	UVER	UV	97729610
2378629	7844	1996-02-12	VYDAJ	PREVOD NA UCET	3816	53453	UVER	UV	97729610
2378630	7844	1996-03-12	VYDAJ	PREVOD NA UCET	3816	68004	UVER	UV	97729610
2378631	7844	1996-04-12	VYDAJ	PREVOD NA UCET	3816	66654	UVER	UV	97729610
2378632	7844	1996-05-12	VYDAJ	PREVOD NA UCET	3816	71739	UVER	UV	97729610
2378633	7844	1996-06-12	VYDAJ	PREVOD NA UCET	3816	95119	UVER	UV	97729610
2378634	7844	1996-07-10	VYDAJ	VYBER	4400	60443	\N	\N	0
2378635	7844	1996-08-05	VYDAJ	VYBER	4700	67631	\N	\N	0
2378636	7844	1996-09-12	VYDAJ	VYBER	4700	36473	\N	\N	0
2378637	7844	1996-10-15	VYDAJ	VYBER	3900	41136	\N	\N	0
2378638	7844	1996-11-17	VYDAJ	VYBER	4300	43823	\N	\N	0
2378639	7844	1996-12-21	VYDAJ	VYBER	4600	41662	\N	\N	0
2378640	7844	1997-01-03	VYDAJ	VYBER	4300	37532	\N	\N	0
2378641	7844	1997-02-06	VYDAJ	VYBER	3700	50138	\N	\N	0
2378642	7844	1997-03-20	VYDAJ	VYBER	4600	39388	\N	\N	0
2378643	7844	1997-04-21	VYDAJ	VYBER	3300	31864	\N	\N	0
2378644	7844	1997-05-15	VYDAJ	VYBER	3800	41147	\N	\N	0
2378645	7844	1997-06-02	VYDAJ	VYBER	4100	37194	\N	\N	0
2378646	7844	1997-07-18	VYDAJ	VYBER	3300	44623	\N	\N	0
2378647	7844	1997-08-14	VYDAJ	VYBER	2900	46634	\N	\N	0
2378648	7844	1997-09-20	VYDAJ	VYBER	4400	39649	\N	\N	0
2378649	7844	1997-10-11	VYDAJ	VYBER	4100	37251	\N	\N	0
2378650	7844	1997-11-09	VYDAJ	VYBER	3400	40833	\N	\N	0
2378651	7844	1997-12-15	VYDAJ	VYBER	3500	46091	\N	\N	0
2378652	7844	1998-01-17	VYDAJ	VYBER	3400	48846	\N	\N	0
2378653	7844	1998-02-09	VYDAJ	VYBER	3700	51161	\N	\N	0
2378654	7844	1998-03-06	VYDAJ	VYBER	4300	42287	\N	\N	0
2378655	7844	1998-04-17	VYDAJ	VYBER	3000	56987	\N	\N	0
2378656	7844	1998-05-04	VYDAJ	VYBER	4400	30994	\N	\N	0
2378657	7844	1998-06-13	VYDAJ	VYBER	4600	66517	\N	\N	0
2378658	7844	1998-07-03	VYDAJ	VYBER	4600	24915	\N	\N	0
2378659	7844	1998-08-14	VYDAJ	VYBER	3600	37229	\N	\N	0
2378660	7844	1998-09-06	VYDAJ	VYBER	3100	44095	\N	\N	0
2378661	7844	1998-10-11	VYDAJ	VYBER	3600	35055	\N	\N	0
2378662	7844	1998-11-10	VYDAJ	VYBER	4700	62433	\N	\N	0
2378663	7844	1998-12-18	VYDAJ	VYBER	4700	70211	\N	\N	0
2378668	7844	1994-07-26	VYBER	VYBER	19233	27794	\N	\N	\N
2378669	7844	1994-06-11	VYBER	VYBER	4460	77743	\N	\N	\N
2378670	7844	1994-04-17	VYBER	VYBER	19376	63663	\N	\N	\N
2378672	7844	1994-05-10	VYBER	VYBER	12886	48526	\N	\N	\N
2378673	7844	1994-04-19	VYBER	VYBER	10436	49927	\N	\N	\N
2378674	7844	1994-12-05	VYBER	VYBER	19996	75221	\N	\N	\N
2378676	7844	1994-04-23	VYBER	VYBER	6335	43592	\N	\N	\N
2378678	7844	1995-04-25	VYBER	VYBER	17637	24953	\N	\N	\N
2378679	7844	1995-03-01	VYBER	VYBER	12128	26418	\N	\N	\N
2378680	7844	1995-07-12	VYBER	VYBER	4919	73267	\N	\N	\N
2378681	7844	1995-10-28	VYBER	VYBER	10838	42202	\N	\N	\N
2378683	7844	1995-03-07	VYBER	VYBER	23799	34556	\N	\N	\N
2378684	7844	1995-11-22	VYBER	VYBER	24002	26928	\N	\N	\N
2378687	7844	1996-11-24	VYBER	VYBER	2907	40916	\N	\N	\N
2378688	7844	1996-08-09	VYBER	VYBER	24933	42698	\N	\N	\N
2378689	7844	1996-03-27	VYBER	VYBER	8243	38361	\N	\N	\N
2378690	7844	1996-12-19	VYBER	VYBER	5224	46262	\N	\N	\N
2378691	7844	1998-07-20	VYBER	VYBER	17412	27840	\N	\N	\N
2378692	7844	1998-07-30	VYBER	VYBER	3106	24734	\N	\N	\N
2378693	7844	1998-08-07	VYBER	VYBER	15974	40829	\N	\N	\N
2378694	7844	1998-04-21	VYBER	VYBER	14883	42104	\N	\N	\N
2378696	7844	1998-11-11	VYBER	VYBER	5216	57217	\N	\N	\N
2378697	7844	1998-10-08	VYBER	VYBER	15039	38655	\N	\N	\N
2378701	7844	1996-06-13	VYDAJ	VYBER	38100	57019	\N	\N	\N
2378703	7844	1998-06-21	VYDAJ	VYBER	37200	29317	\N	\N	\N
2378706	7844	1995-01-06	VYDAJ	VYBER	19500	48277	\N	\N	\N
2378711	7844	1994-12-01	VYDAJ	VYBER	4800	47311	\N	\N	\N
2378712	7844	1995-12-26	VYDAJ	VYBER	6300	42582	\N	\N	\N
2378713	7844	1996-12-13	VYDAJ	VYBER	1800	51486	\N	\N	\N
2378714	7844	1997-12-16	VYDAJ	VYBER	2400	43691	\N	\N	\N
2378715	7844	1998-12-22	VYDAJ	VYBER	1800	68411	\N	\N	\N
2378728	7844	1995-01-25	VYDAJ	VYBER	1500	25061	\N	\N	\N
2378729	7844	1995-01-12	VYDAJ	VYBER	5700	25261	\N	\N	\N
2378730	7844	1995-01-05	VYDAJ	VYBER	6000	67777	\N	\N	\N
2378731	7844	1995-01-12	VYDAJ	VYBER	4800	30961	\N	\N	\N
2378732	7844	1995-01-10	VYDAJ	VYBER	8700	39577	\N	\N	\N
2378733	7844	1995-01-05	VYDAJ	VYBER	3600	73777	\N	\N	\N
2378734	7844	1996-01-01	VYDAJ	VYBER	3300	39445	\N	\N	\N
2378735	7844	1996-01-23	VYDAJ	VYBER	7800	30566	\N	\N	\N
2378736	7844	1996-01-30	VYDAJ	VYBER	5400	25166	\N	\N	\N
2378737	7844	1996-01-13	VYDAJ	VYBER	6300	50466	\N	\N	\N
2378738	7844	1996-01-08	VYDAJ	VYBER	5400	60582	\N	\N	\N
2378739	7844	1996-01-07	VYDAJ	VYBER	5400	65982	\N	\N	\N
2378740	7844	1997-01-10	VYDAJ	VYBER	4200	40369	\N	\N	\N
2378742	7844	1997-01-25	VYDAJ	VYBER	8400	21769	\N	\N	\N
2378743	7844	1997-01-14	VYDAJ	VYBER	1500	30169	\N	\N	\N
2378744	7844	1997-01-11	VYDAJ	VYBER	8700	31669	\N	\N	\N
2378746	7844	1998-01-15	VYDAJ	VYBER	1500	52246	\N	\N	\N
2378747	7844	1998-01-30	VYDAJ	VYBER	6900	37746	\N	\N	\N
2378748	7844	1998-01-04	VYDAJ	VYBER	2400	28009	\N	\N	\N
2378749	7844	1998-01-29	VYDAJ	VYBER	2100	44646	\N	\N	\N
2378750	7844	1998-01-06	VYDAJ	VYBER	1500	53746	\N	\N	\N
2378751	7844	1998-01-24	VYDAJ	VYBER	2100	46746	\N	\N	\N
2378758	7844	1994-10-24	VYDAJ	VYBER	6600	46343	\N	\N	\N
2378759	7844	1994-12-08	VYDAJ	VYBER	5700	69521	\N	\N	\N
2378761	7844	1994-07-09	VYDAJ	VYBER	4200	76343	\N	\N	\N
2378762	7844	1994-06-28	VYDAJ	VYBER	1500	48343	\N	\N	\N
2378763	7844	1995-08-10	VYDAJ	VYBER	10500	70595	\N	\N	\N
2378764	7844	1995-09-24	VYDAJ	VYBER	4500	47510	\N	\N	\N
2378765	7844	1995-08-24	VYDAJ	VYBER	1800	48479	\N	\N	\N
2378767	7844	1995-06-15	VYDAJ	VYBER	11700	68361	\N	\N	\N
2378768	7844	1995-05-29	VYDAJ	VYBER	7500	35825	\N	\N	\N
2378769	7844	1996-06-22	VYDAJ	VYBER	10200	32719	\N	\N	\N
2378770	7844	1997-09-13	VYDAJ	VYBER	4200	44049	\N	\N	\N
2378771	7844	1997-02-18	VYDAJ	VYBER	9000	27438	\N	\N	\N
2378772	7844	1997-12-29	VYDAJ	VYBER	13500	30191	\N	\N	\N
2378774	7844	1997-10-03	VYDAJ	VYBER	11100	28714	\N	\N	\N
2378775	7844	1997-06-07	VYDAJ	VYBER	14100	71000	\N	\N	\N
2378776	7844	1997-04-17	VYDAJ	VYBER	14700	35164	\N	\N	\N
2378777	7844	1998-04-25	VYDAJ	VYBER	6900	35204	\N	\N	\N
2378779	7844	1998-06-03	VYDAJ	VYBER	10200	23211	\N	\N	\N
2378796	7844	1994-04-30	VYDAJ	VYBER	15	33575	SLUZBY	\N	\N
2378797	7844	1994-05-31	VYDAJ	VYBER	15	37797	SLUZBY	\N	\N
2378798	7844	1994-06-30	VYDAJ	VYBER	15	48606	SLUZBY	\N	\N
2378799	7844	1994-07-31	VYDAJ	VYBER	15	28014	SLUZBY	\N	\N
2378800	7844	1994-08-31	VYDAJ	VYBER	15	41495	SLUZBY	\N	\N
2378801	7844	1994-09-30	VYDAJ	VYBER	15	48822	SLUZBY	\N	\N
2378802	7844	1994-10-31	VYDAJ	VYBER	15	46568	SLUZBY	\N	\N
2378803	7844	1994-11-30	VYDAJ	VYBER	15	52111	SLUZBY	\N	\N
2378804	7844	1994-12-31	VYDAJ	VYBER	15	45440	SLUZBY	\N	\N
2378805	7844	1995-01-31	VYDAJ	VYBER	15	25186	SLUZBY	\N	\N
2378806	7844	1995-02-28	VYDAJ	VYBER	15	38546	SLUZBY	\N	\N
2378807	7844	1995-03-31	VYDAJ	VYBER	15	32169	SLUZBY	\N	\N
2378808	7844	1995-04-30	VYDAJ	VYBER	15	25104	SLUZBY	\N	\N
2378809	7844	1995-05-31	VYDAJ	VYBER	15	35971	SLUZBY	\N	\N
2378810	7844	1995-06-30	VYDAJ	VYBER	15	46249	SLUZBY	\N	\N
2378811	7844	1995-07-31	VYDAJ	VYBER	15	49158	SLUZBY	\N	\N
2378812	7844	1995-08-31	VYDAJ	VYBER	15	48689	SLUZBY	\N	\N
2378813	7844	1995-09-30	VYDAJ	VYBER	15	47719	SLUZBY	\N	\N
2378814	7844	1995-10-31	VYDAJ	VYBER	15	42409	SLUZBY	\N	\N
2378815	7844	1995-11-30	VYDAJ	VYBER	15	27092	SLUZBY	\N	\N
2378816	7844	1995-12-31	VYDAJ	VYBER	15	42745	SLUZBY	\N	\N
2378817	7844	1996-01-31	VYDAJ	VYBER	15	25332	SLUZBY	\N	\N
2378818	7844	1996-02-29	VYDAJ	VYBER	15	39883	SLUZBY	\N	\N
2378819	7844	1996-03-31	VYDAJ	VYBER	15	38533	SLUZBY	\N	\N
2378820	7844	1996-04-30	VYDAJ	VYBER	15	43618	SLUZBY	\N	\N
2378821	7844	1996-05-31	VYDAJ	VYBER	15	51029	SLUZBY	\N	\N
2378822	7844	1996-06-30	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
2378823	7844	1996-07-31	VYDAJ	VYBER	15	40394	SLUZBY	\N	\N
2378824	7844	1996-08-31	VYDAJ	VYBER	15	28936	SLUZBY	\N	\N
2378825	7844	1996-09-30	VYDAJ	VYBER	15	36599	SLUZBY	\N	\N
2378826	7844	1996-10-31	VYDAJ	VYBER	15	41286	SLUZBY	\N	\N
2378827	7844	1996-11-30	VYDAJ	VYBER	15	41080	SLUZBY	\N	\N
2378828	7844	1996-12-31	VYDAJ	VYBER	15	41832	SLUZBY	\N	\N
2378829	7844	1997-01-31	VYDAJ	VYBER	15	21901	SLUZBY	\N	\N
2378830	7844	1997-02-28	VYDAJ	VYBER	15	27551	SLUZBY	\N	\N
2378831	7844	1997-03-31	VYDAJ	VYBER	15	39527	SLUZBY	\N	\N
2378832	7844	1997-04-30	VYDAJ	VYBER	15	32010	SLUZBY	\N	\N
2378833	7844	1997-05-31	VYDAJ	VYBER	15	41294	SLUZBY	\N	\N
2378834	7844	1997-06-30	VYDAJ	VYBER	15	45986	SLUZBY	\N	\N
2378835	7844	1997-07-31	VYDAJ	VYBER	15	44797	SLUZBY	\N	\N
2378836	7844	1997-08-31	VYDAJ	VYBER	15	46812	SLUZBY	\N	\N
2378837	7844	1997-09-30	VYDAJ	VYBER	15	39814	SLUZBY	\N	\N
2378838	7844	1997-10-31	VYDAJ	VYBER	15	37396	SLUZBY	\N	\N
2378839	7844	1997-11-30	VYDAJ	VYBER	15	40985	SLUZBY	\N	\N
2378840	7844	1997-12-31	VYDAJ	VYBER	15	30409	SLUZBY	\N	\N
2378841	7844	1998-01-31	VYDAJ	VYBER	15	37924	SLUZBY	\N	\N
2378842	7844	1998-02-28	VYDAJ	VYBER	15	51350	SLUZBY	\N	\N
2378843	7844	1998-03-31	VYDAJ	VYBER	15	42450	SLUZBY	\N	\N
2378844	7844	1998-04-30	VYDAJ	VYBER	15	35394	SLUZBY	\N	\N
2378845	7844	1998-05-31	VYDAJ	VYBER	15	50311	SLUZBY	\N	\N
2378846	7844	1998-06-30	VYDAJ	VYBER	15	29515	SLUZBY	\N	\N
2378847	7844	1998-07-31	VYDAJ	VYBER	15	24866	SLUZBY	\N	\N
2378848	7844	1998-08-31	VYDAJ	VYBER	15	37358	SLUZBY	\N	\N
2378849	7844	1998-09-30	VYDAJ	VYBER	15	44257	SLUZBY	\N	\N
2378850	7844	1998-10-31	VYDAJ	VYBER	15	35196	SLUZBY	\N	\N
2378851	7844	1998-11-30	VYDAJ	VYBER	15	27005	SLUZBY	\N	\N
2378852	7844	1993-12-26	VYDAJ	VYBER	12500	36406	\N	\N	\N
2378853	7844	1994-01-25	VYDAJ	VYBER	23700	44672	\N	\N	\N
2378854	7844	1994-02-24	VYDAJ	VYBER	27400	49369	\N	\N	\N
2378855	7844	1994-03-26	VYDAJ	VYBER	30600	50895	\N	\N	\N
2378856	7844	1994-04-25	VYDAJ	VYBER	10200	33392	\N	\N	\N
2378857	7844	1994-05-25	VYDAJ	VYBER	10900	37626	\N	\N	\N
2378858	7844	1994-06-24	VYDAJ	VYBER	27900	49843	\N	\N	\N
2378859	7844	1994-07-24	VYDAJ	VYBER	25500	47027	\N	\N	\N
2378860	7844	1994-08-23	VYDAJ	VYBER	14800	41335	\N	\N	\N
2378861	7844	1994-09-22	VYDAJ	VYBER	21000	48616	\N	\N	\N
2378862	7844	1994-10-22	VYDAJ	VYBER	24000	52943	\N	\N	\N
2378863	7844	1994-11-21	VYDAJ	VYBER	22800	51889	\N	\N	\N
2378864	7844	1994-12-21	VYDAJ	VYBER	20500	45205	\N	\N	\N
2378865	7844	1995-01-20	PRIJEM	VKLAD	1300	26561	\N	\N	\N
2378866	7844	1995-02-19	VYDAJ	VYBER	14900	38407	\N	\N	\N
2378867	7844	1995-03-21	PRIJEM	VKLAD	1300	32040	\N	\N	\N
2378868	7844	1995-04-20	VYDAJ	VYBER	17700	42590	\N	\N	\N
2378869	7844	1995-05-20	VYDAJ	VYBER	9900	43325	\N	\N	\N
2378870	7844	1995-06-19	VYDAJ	VYBER	22300	46061	\N	\N	\N
2378871	7844	1995-07-19	VYDAJ	VYBER	20500	48951	\N	\N	\N
2378872	7844	1995-08-18	VYDAJ	VYBER	16500	50279	\N	\N	\N
2378873	7844	1995-09-17	VYDAJ	VYBER	24800	52010	\N	\N	\N
2378874	7844	1995-10-17	VYDAJ	VYBER	22800	53040	\N	\N	\N
2378875	7844	1995-11-16	VYDAJ	VYBER	19600	50930	\N	\N	\N
2378876	7844	1995-12-16	VYDAJ	VYBER	22300	48882	\N	\N	\N
2378877	7844	1996-01-15	VYDAJ	VYBER	12100	38366	\N	\N	\N
2378878	7844	1996-02-14	VYDAJ	VYBER	13700	39753	\N	\N	\N
2378879	7844	1996-03-15	VYDAJ	VYBER	21400	46604	\N	\N	\N
2378880	7844	1996-04-14	VYDAJ	VYBER	23200	43454	\N	\N	\N
2378881	7844	1996-05-14	VYDAJ	VYBER	20900	50839	\N	\N	\N
2378882	7844	1996-06-13	VYDAJ	VYBER	14100	42919	\N	\N	\N
2378883	7844	1996-07-13	VYDAJ	VYBER	20200	40243	\N	\N	\N
2378884	7844	1996-08-12	VYDAJ	VYBER	13900	28798	\N	\N	\N
2378885	7844	1996-09-11	VYDAJ	VYBER	19700	41173	\N	\N	\N
2378886	7844	1996-10-11	VYDAJ	VYBER	23500	45036	\N	\N	\N
2378887	7844	1996-11-10	VYDAJ	VYBER	25100	48123	\N	\N	\N
2378888	7844	1996-12-10	VYDAJ	VYBER	35700	53286	\N	\N	\N
2378889	7844	1997-01-09	VYDAJ	VYBER	24900	44569	\N	\N	\N
2378890	7844	1997-02-08	VYDAJ	VYBER	13700	36438	\N	\N	\N
2378891	7844	1997-03-10	VYDAJ	VYBER	15500	43988	\N	\N	\N
2378892	7844	1997-04-09	VYDAJ	VYBER	21600	49864	\N	\N	\N
2378893	7844	1997-05-09	VYDAJ	VYBER	19000	44947	\N	\N	\N
2378894	7844	1997-06-08	VYDAJ	VYBER	25200	45800	\N	\N	\N
2378895	7844	1997-07-08	VYDAJ	VYBER	30000	47923	\N	\N	\N
2378896	7844	1997-08-07	VYDAJ	VYBER	27200	49534	\N	\N	\N
2378897	7844	1997-09-06	VYDAJ	VYBER	30500	48249	\N	\N	\N
2378898	7844	1997-10-06	VYDAJ	VYBER	19300	41351	\N	\N	\N
2378899	7844	1997-11-05	VYDAJ	VYBER	25100	44233	\N	\N	\N
2378900	7844	1997-12-05	VYDAJ	VYBER	39300	49591	\N	\N	\N
2378901	7844	1998-01-04	VYDAJ	VYBER	4700	23309	\N	\N	\N
2378902	7844	1998-02-03	VYDAJ	VYBER	15000	22924	\N	\N	\N
2378903	7844	1998-03-05	VYDAJ	VYBER	36700	46587	\N	\N	\N
2378904	7844	1998-04-04	VYDAJ	VYBER	14400	28050	\N	\N	\N
2378905	7844	1998-05-04	VYDAJ	VYBER	12800	18194	\N	\N	\N
2378906	7844	1998-06-03	VYDAJ	VYBER	16900	33411	\N	\N	\N
2378907	7844	1998-07-03	VYDAJ	VYBER	11600	13315	\N	\N	\N
2378908	7844	1998-09-01	VYDAJ	VYBER	22100	15258	\N	\N	\N
2378909	7844	1998-10-01	VYDAJ	VYBER	22500	21757	\N	\N	\N
2378910	7844	1998-11-30	VYDAJ	VYBER	30400	27020	\N	\N	\N
2382514	7857	1993-08-04	PRIJEM	VKLAD	300	300	\N	\N	\N
2382522	7857	1993-08-10	PRIJEM	PREVOD Z UCTU	38109	38409	\N	QR	77844226
2382523	7857	1993-09-10	PRIJEM	PREVOD Z UCTU	38109	70232	\N	QR	77844226
2382524	7857	1993-10-10	PRIJEM	PREVOD Z UCTU	38109	87693	\N	QR	77844226
2382525	7857	1993-11-10	PRIJEM	PREVOD Z UCTU	38109	92047	\N	QR	77844226
2382526	7857	1993-12-10	PRIJEM	PREVOD Z UCTU	57164	111589	\N	QR	77844226
2382527	7857	1994-01-10	PRIJEM	PREVOD Z UCTU	38109	52125	\N	QR	77844226
2382528	7857	1994-02-10	PRIJEM	PREVOD Z UCTU	38109	49289	\N	QR	77844226
2382529	7857	1994-03-10	PRIJEM	PREVOD Z UCTU	38109	65608	\N	QR	77844226
2382530	7857	1994-04-10	PRIJEM	PREVOD Z UCTU	38109	53769	\N	QR	77844226
2382531	7857	1994-05-10	PRIJEM	PREVOD Z UCTU	38109	54280	\N	QR	77844226
2382532	7857	1994-06-10	PRIJEM	PREVOD Z UCTU	57164	78664	\N	QR	77844226
2382533	7857	1994-07-10	PRIJEM	PREVOD Z UCTU	38109	79673	\N	QR	77844226
2382534	7857	1994-08-10	PRIJEM	PREVOD Z UCTU	38109	54926	\N	QR	77844226
2382535	7857	1994-09-10	PRIJEM	PREVOD Z UCTU	38109	62032	\N	QR	77844226
2382536	7857	1994-10-10	PRIJEM	PREVOD Z UCTU	38109	58969	\N	QR	77844226
2382537	7857	1994-11-10	PRIJEM	PREVOD Z UCTU	38109	67212	\N	QR	77844226
2382538	7857	1994-12-10	PRIJEM	PREVOD Z UCTU	57164	82561	\N	QR	77844226
2382539	7857	1995-01-10	PRIJEM	PREVOD Z UCTU	38109	55295	\N	QR	77844226
2382540	7857	1995-02-10	PRIJEM	PREVOD Z UCTU	38109	55291	\N	QR	77844226
2382541	7857	1995-03-10	PRIJEM	PREVOD Z UCTU	38109	69252	\N	QR	77844226
2382542	7857	1995-04-10	PRIJEM	PREVOD Z UCTU	38109	77157	\N	QR	77844226
2382543	7857	1995-05-10	PRIJEM	PREVOD Z UCTU	38109	79742	\N	QR	77844226
2382544	7857	1995-06-10	PRIJEM	PREVOD Z UCTU	57164	93272	\N	QR	77844226
2382545	7857	1995-07-10	PRIJEM	PREVOD Z UCTU	38109	76676	\N	QR	77844226
2382546	7857	1995-08-10	PRIJEM	PREVOD Z UCTU	38109	74591	\N	QR	77844226
2382547	7857	1995-09-10	PRIJEM	PREVOD Z UCTU	38109	57533	\N	QR	77844226
2382548	7857	1995-10-10	PRIJEM	PREVOD Z UCTU	38109	70187	\N	QR	77844226
2382549	7857	1995-11-10	PRIJEM	PREVOD Z UCTU	38109	72164	\N	QR	77844226
2382550	7857	1995-12-10	PRIJEM	PREVOD Z UCTU	57164	89904	\N	QR	77844226
2382551	7857	1996-01-10	PRIJEM	PREVOD Z UCTU	38109	63641	\N	QR	77844226
2382552	7857	1996-02-10	PRIJEM	PREVOD Z UCTU	38109	54411	\N	QR	77844226
2382553	7857	1996-03-10	PRIJEM	PREVOD Z UCTU	38109	65433	\N	QR	77844226
2382554	7857	1996-04-10	PRIJEM	PREVOD Z UCTU	38109	76701	\N	QR	77844226
2382555	7857	1996-05-10	PRIJEM	PREVOD Z UCTU	38109	76598	\N	QR	77844226
2382556	7857	1996-06-10	PRIJEM	PREVOD Z UCTU	57164	101353	\N	QR	77844226
2382557	7857	1996-07-10	PRIJEM	PREVOD Z UCTU	38109	87404	\N	QR	77844226
2382558	7857	1996-08-10	PRIJEM	PREVOD Z UCTU	38109	89341	\N	QR	77844226
2382559	7857	1996-09-10	PRIJEM	PREVOD Z UCTU	38109	65300	\N	QR	77844226
2382560	7857	1996-10-10	PRIJEM	PREVOD Z UCTU	38109	72347	\N	QR	77844226
2382561	7857	1996-11-10	PRIJEM	PREVOD Z UCTU	38109	70708	\N	QR	77844226
2382562	7857	1996-12-10	PRIJEM	PREVOD Z UCTU	57164	97737	\N	QR	77844226
2382563	7857	1997-01-10	PRIJEM	PREVOD Z UCTU	38109	62097	\N	QR	77844226
2382564	7857	1997-02-10	PRIJEM	PREVOD Z UCTU	38109	52305	\N	QR	77844226
2382565	7857	1997-03-10	PRIJEM	PREVOD Z UCTU	38109	70708	\N	QR	77844226
2382566	7857	1997-04-10	PRIJEM	PREVOD Z UCTU	38109	60235	\N	QR	77844226
2382567	7857	1997-05-10	PRIJEM	PREVOD Z UCTU	38109	66771	\N	QR	77844226
2382568	7857	1997-06-10	PRIJEM	PREVOD Z UCTU	57164	85566	\N	QR	77844226
2382569	7857	1997-07-10	PRIJEM	PREVOD Z UCTU	38109	57506	\N	QR	77844226
2382570	7857	1997-08-10	PRIJEM	PREVOD Z UCTU	38109	51805	\N	QR	77844226
2382571	7857	1997-09-10	PRIJEM	PREVOD Z UCTU	38109	61787	\N	QR	77844226
2382572	7857	1997-10-10	PRIJEM	PREVOD Z UCTU	38109	60766	\N	QR	77844226
2382573	7857	1997-11-10	PRIJEM	PREVOD Z UCTU	38109	69397	\N	QR	77844226
2382961	7857	1998-01-17	VYDAJ	VYBER	6000	40389	\N	\N	\N
2382574	7857	1997-12-10	PRIJEM	PREVOD Z UCTU	57164	88601	\N	QR	77844226
2382575	7857	1998-01-10	PRIJEM	PREVOD Z UCTU	38109	70568	\N	QR	77844226
2382576	7857	1998-02-10	PRIJEM	PREVOD Z UCTU	38109	65394	\N	QR	77844226
2382577	7857	1998-03-10	PRIJEM	PREVOD Z UCTU	38109	73587	\N	QR	77844226
2382578	7857	1998-04-10	PRIJEM	PREVOD Z UCTU	38109	75857	\N	QR	77844226
2382579	7857	1998-05-10	PRIJEM	PREVOD Z UCTU	38109	74713	\N	QR	77844226
2382580	7857	1998-06-10	PRIJEM	PREVOD Z UCTU	57164	88306	\N	QR	77844226
2382581	7857	1998-07-10	PRIJEM	PREVOD Z UCTU	38109	81902	\N	QR	77844226
2382582	7857	1998-08-10	PRIJEM	PREVOD Z UCTU	38109	97561	\N	QR	77844226
2382583	7857	1998-09-10	PRIJEM	PREVOD Z UCTU	38109	95274	\N	QR	77844226
2382584	7857	1998-10-10	PRIJEM	PREVOD Z UCTU	38109	94443	\N	QR	77844226
2382585	7857	1998-11-10	PRIJEM	PREVOD Z UCTU	38109	96099	\N	QR	77844226
2382586	7857	1998-12-10	PRIJEM	PREVOD Z UCTU	57164	119871	\N	QR	77844226
2382598	7857	1993-12-03	VYDAJ	VYBER	6100	54425	\N	\N	0
2382599	7857	1994-01-08	VYDAJ	VYBER	5600	14016	\N	\N	0
2382600	7857	1994-02-03	VYDAJ	VYBER	6800	19337	\N	\N	0
2382601	7857	1994-03-15	VYDAJ	VYBER	4500	59929	\N	\N	0
2382602	7857	1994-04-10	VYDAJ	VYBER	6100	47669	\N	\N	0
2382603	7857	1994-05-12	VYDAJ	VYBER	6200	46901	\N	\N	0
2382604	7857	1994-06-14	VYDAJ	VYBER	5800	71685	\N	\N	0
2382605	7857	1994-07-17	VYDAJ	VYBER	4800	38977	\N	\N	0
2382606	7857	1994-08-08	VYDAJ	VYBER	6600	16817	\N	\N	0
2382607	7857	1994-09-20	VYDAJ	VYBER	4700	33467	\N	\N	0
2382608	7857	1994-10-15	VYDAJ	VYBER	5900	51890	\N	\N	0
2382609	7857	1994-11-15	VYDAJ	VYBER	4500	61533	\N	\N	0
2382610	7857	1994-12-11	VYDAJ	VYBER	5500	77061	\N	\N	0
2382611	7857	1995-01-06	VYDAJ	VYBER	5300	17186	\N	\N	0
2382612	7857	1995-02-12	VYDAJ	PREVOD NA UCET	5676	48436	UVER	WX	74962877
2382613	7857	1995-03-12	VYDAJ	PREVOD NA UCET	5676	62397	UVER	WX	74962877
2382614	7857	1995-04-12	VYDAJ	PREVOD NA UCET	5676	71344	UVER	WX	74962877
2382615	7857	1995-05-12	VYDAJ	PREVOD NA UCET	5676	73929	UVER	WX	74962877
2382616	7857	1995-06-12	VYDAJ	PREVOD NA UCET	5676	87459	UVER	WX	74962877
2382617	7857	1995-07-12	VYDAJ	PREVOD NA UCET	5676	69821	UVER	WX	74962877
2382618	7857	1995-08-12	VYDAJ	PREVOD NA UCET	5676	68778	UVER	WX	74962877
2382619	7857	1995-09-12	VYDAJ	PREVOD NA UCET	5676	50678	UVER	WX	74962877
2382620	7857	1995-10-12	VYDAJ	PREVOD NA UCET	5676	63332	UVER	WX	74962877
2382621	7857	1995-11-12	VYDAJ	PREVOD NA UCET	5676	66351	UVER	WX	74962877
2382622	7857	1995-12-12	VYDAJ	PREVOD NA UCET	5676	84091	UVER	WX	74962877
2382623	7857	1996-01-12	VYDAJ	PREVOD NA UCET	5676	56786	UVER	WX	74962877
2382624	7857	1996-02-06	VYDAJ	VYBER	5700	16302	\N	\N	0
2382625	7857	1996-03-09	VYDAJ	VYBER	5000	27324	\N	\N	0
2382626	7857	1996-04-18	VYDAJ	VYBER	5300	70222	\N	\N	0
2382627	7857	1996-05-08	VYDAJ	VYBER	4400	38489	\N	\N	0
2382628	7857	1996-06-17	VYDAJ	VYBER	6100	94074	\N	\N	0
2382629	7857	1996-07-08	VYDAJ	VYBER	6300	49295	\N	\N	0
2382630	7857	1996-08-18	VYDAJ	VYBER	5700	40746	\N	\N	0
2382631	7857	1996-09-20	VYDAJ	VYBER	6000	42221	\N	\N	0
2382632	7857	1996-10-11	VYDAJ	VYBER	6100	66110	\N	\N	0
2382633	7857	1996-11-03	VYDAJ	VYBER	5600	40756	\N	\N	0
2382634	7857	1996-12-05	VYDAJ	VYBER	5400	40573	\N	\N	0
2382635	7857	1997-01-21	VYDAJ	VYBER	6200	31118	\N	\N	0
2382636	7857	1997-02-04	VYDAJ	VYBER	4400	22353	\N	\N	0
2382637	7857	1997-03-15	VYDAJ	VYBER	6600	62929	\N	\N	0
2382638	7857	1997-04-04	VYDAJ	VYBER	6100	38611	\N	\N	0
2382639	7857	1997-05-06	VYDAJ	VYBER	5700	28662	\N	\N	0
2382640	7857	1997-06-05	VYDAJ	VYBER	6100	36559	\N	\N	0
2382641	7857	1997-07-04	VYDAJ	VYBER	4900	27554	\N	\N	0
2382642	7857	1997-08-06	VYDAJ	VYBER	5300	13696	\N	\N	0
2382643	7857	1997-09-15	VYDAJ	VYBER	6200	41408	\N	\N	0
2382644	7857	1997-10-14	VYDAJ	VYBER	4500	44587	\N	\N	0
2382645	7857	1997-11-02	VYDAJ	VYBER	5300	39445	\N	\N	0
2382646	7857	1997-12-11	VYDAJ	VYBER	6700	60101	\N	\N	0
2382647	7857	1998-01-04	VYDAJ	VYBER	5300	45116	\N	\N	0
2382648	7857	1998-02-07	VYDAJ	VYBER	5200	17885	\N	\N	0
2382649	7857	1998-03-21	VYDAJ	VYBER	4600	52508	\N	\N	0
2382650	7857	1998-04-03	VYDAJ	VYBER	6800	45905	\N	\N	0
2382651	7857	1998-05-11	VYDAJ	VYBER	4200	49676	\N	\N	0
2382652	7857	1998-06-10	VYDAJ	VYBER	4700	83606	\N	\N	0
2382653	7857	1998-07-02	VYDAJ	VYBER	6000	58350	\N	\N	0
2382654	7857	1998-08-21	VYDAJ	VYBER	5500	78535	\N	\N	0
2382655	7857	1998-09-15	VYDAJ	VYBER	6300	78195	\N	\N	0
2382656	7857	1998-10-05	VYDAJ	VYBER	6400	63934	\N	\N	0
2382657	7857	1998-11-08	VYDAJ	VYBER	4400	57990	\N	\N	0
2382658	7857	1998-12-05	VYDAJ	VYBER	6900	80207	\N	\N	0
2382671	7857	1994-01-05	VYDAJ	PREVOD NA UCET	8157	30716	SIPO	EF	68440097
2382672	7857	1994-02-05	VYDAJ	PREVOD NA UCET	8157	11180	SIPO	EF	68440097
2382673	7857	1994-03-05	VYDAJ	PREVOD NA UCET	8157	27499	SIPO	EF	68440097
2382674	7857	1994-04-05	VYDAJ	PREVOD NA UCET	8157	15660	SIPO	EF	68440097
2382675	7857	1994-05-05	VYDAJ	PREVOD NA UCET	8157	16171	SIPO	EF	68440097
2382676	7857	1994-06-05	VYDAJ	PREVOD NA UCET	8157	21500	SIPO	EF	68440097
2382677	7857	1994-07-05	VYDAJ	PREVOD NA UCET	8157	41564	SIPO	EF	68440097
2382962	7857	1998-01-05	VYDAJ	VYBER	4500	32459	\N	\N	\N
2382678	7857	1994-08-05	VYDAJ	PREVOD NA UCET	8157	23417	SIPO	EF	68440097
2382679	7857	1994-09-05	VYDAJ	PREVOD NA UCET	8157	23923	SIPO	EF	68440097
2382680	7857	1994-10-05	VYDAJ	PREVOD NA UCET	8157	20860	SIPO	EF	68440097
2382681	7857	1994-11-05	VYDAJ	PREVOD NA UCET	8157	29103	SIPO	EF	68440097
2382682	7857	1994-12-05	VYDAJ	PREVOD NA UCET	8157	25397	SIPO	EF	68440097
2382683	7857	1995-01-05	VYDAJ	PREVOD NA UCET	8157	22486	SIPO	EF	68440097
2382684	7857	1995-02-05	VYDAJ	PREVOD NA UCET	8157	17182	SIPO	EF	68440097
2382685	7857	1995-03-05	VYDAJ	PREVOD NA UCET	8157	31143	SIPO	EF	68440097
2382686	7857	1995-04-05	VYDAJ	PREVOD NA UCET	8157	39048	SIPO	EF	68440097
2382687	7857	1995-05-05	VYDAJ	PREVOD NA UCET	8157	41633	SIPO	EF	68440097
2382688	7857	1995-06-05	VYDAJ	PREVOD NA UCET	8157	36108	SIPO	EF	68440097
2382689	7857	1995-07-05	VYDAJ	PREVOD NA UCET	8157	38567	SIPO	EF	68440097
2382690	7857	1995-08-05	VYDAJ	PREVOD NA UCET	8157	36482	SIPO	EF	68440097
2382691	7857	1995-09-05	VYDAJ	PREVOD NA UCET	8157	19424	SIPO	EF	68440097
2382692	7857	1995-10-05	VYDAJ	PREVOD NA UCET	8157	32078	SIPO	EF	68440097
2382693	7857	1995-11-05	VYDAJ	PREVOD NA UCET	8157	34055	SIPO	EF	68440097
2382694	7857	1995-12-05	VYDAJ	PREVOD NA UCET	8157	32740	SIPO	EF	68440097
2382695	7857	1996-01-05	VYDAJ	PREVOD NA UCET	8157	30032	SIPO	EF	68440097
2382696	7857	1996-02-05	VYDAJ	PREVOD NA UCET	8157	22002	SIPO	EF	68440097
2382697	7857	1996-03-05	VYDAJ	PREVOD NA UCET	8157	32324	SIPO	EF	68440097
2382698	7857	1996-04-05	VYDAJ	PREVOD NA UCET	8157	38592	SIPO	EF	68440097
2382699	7857	1996-05-05	VYDAJ	PREVOD NA UCET	8157	42889	SIPO	EF	68440097
2382700	7857	1996-06-05	VYDAJ	PREVOD NA UCET	8157	44189	SIPO	EF	68440097
2382701	7857	1996-07-05	VYDAJ	PREVOD NA UCET	8157	55595	SIPO	EF	68440097
2382702	7857	1996-08-05	VYDAJ	PREVOD NA UCET	8157	51232	SIPO	EF	68440097
2382703	7857	1996-09-05	VYDAJ	PREVOD NA UCET	8157	27191	SIPO	EF	68440097
2382704	7857	1996-10-05	VYDAJ	PREVOD NA UCET	8157	34238	SIPO	EF	68440097
2382705	7857	1996-11-05	VYDAJ	PREVOD NA UCET	8157	32599	SIPO	EF	68440097
2382706	7857	1996-12-05	VYDAJ	PREVOD NA UCET	8157	45973	SIPO	EF	68440097
2382707	7857	1997-01-05	VYDAJ	PREVOD NA UCET	8157	23988	SIPO	EF	68440097
2382708	7857	1997-02-05	VYDAJ	PREVOD NA UCET	8157	14196	SIPO	EF	68440097
2382709	7857	1997-03-05	VYDAJ	PREVOD NA UCET	8157	32599	SIPO	EF	68440097
2382710	7857	1997-04-05	VYDAJ	PREVOD NA UCET	8157	22126	SIPO	EF	68440097
2382711	7857	1997-05-05	VYDAJ	PREVOD NA UCET	8157	34362	SIPO	EF	68440097
2382712	7857	1997-06-05	VYDAJ	PREVOD NA UCET	8157	28402	SIPO	EF	68440097
2382713	7857	1997-07-05	VYDAJ	PREVOD NA UCET	8157	19397	SIPO	EF	68440097
2382714	7857	1997-08-05	VYDAJ	PREVOD NA UCET	8157	18996	SIPO	EF	68440097
2382715	7857	1997-09-05	VYDAJ	PREVOD NA UCET	8157	23678	SIPO	EF	68440097
2382716	7857	1997-10-05	VYDAJ	PREVOD NA UCET	8157	22657	SIPO	EF	68440097
2382717	7857	1997-11-05	VYDAJ	PREVOD NA UCET	8157	31288	SIPO	EF	68440097
2382718	7857	1997-12-05	VYDAJ	PREVOD NA UCET	8157	31437	SIPO	EF	68440097
2382719	7857	1998-01-05	VYDAJ	PREVOD NA UCET	8157	36959	SIPO	EF	68440097
2382720	7857	1998-02-05	VYDAJ	PREVOD NA UCET	8157	23085	SIPO	EF	68440097
2382721	7857	1998-03-05	VYDAJ	PREVOD NA UCET	8157	35478	SIPO	EF	68440097
2382722	7857	1998-04-05	VYDAJ	PREVOD NA UCET	8157	37748	SIPO	EF	68440097
2382723	7857	1998-05-05	VYDAJ	PREVOD NA UCET	8157	36604	SIPO	EF	68440097
2382724	7857	1998-06-05	VYDAJ	PREVOD NA UCET	8157	28542	SIPO	EF	68440097
2382725	7857	1998-07-05	VYDAJ	PREVOD NA UCET	8157	50193	SIPO	EF	68440097
2382726	7857	1998-08-05	VYDAJ	PREVOD NA UCET	8157	72852	SIPO	EF	68440097
2382727	7857	1998-09-05	VYDAJ	PREVOD NA UCET	8157	61965	SIPO	EF	68440097
2382728	7857	1998-10-05	VYDAJ	PREVOD NA UCET	8157	70334	SIPO	EF	68440097
2382729	7857	1998-11-05	VYDAJ	PREVOD NA UCET	8157	71690	SIPO	EF	68440097
2382730	7857	1998-12-05	VYDAJ	PREVOD NA UCET	8157	87107	SIPO	EF	68440097
2382742	7857	1993-12-12	VYDAJ	PREVOD NA UCET	1042	68310	 	MN	40089714
2382743	7857	1994-01-12	VYDAJ	PREVOD NA UCET	1042	50946	 	MN	40089714
2382744	7857	1994-02-12	VYDAJ	PREVOD NA UCET	1042	48110	 	MN	40089714
2382745	7857	1994-03-12	VYDAJ	PREVOD NA UCET	1042	64429	 	MN	40089714
2382746	7857	1994-04-12	VYDAJ	PREVOD NA UCET	1042	46490	 	MN	40089714
2382747	7857	1994-05-12	VYDAJ	PREVOD NA UCET	1042	53101	 	MN	40089714
2382748	7857	1994-06-12	VYDAJ	PREVOD NA UCET	1042	77485	 	MN	40089714
2382749	7857	1994-07-12	VYDAJ	PREVOD NA UCET	1042	78494	 	MN	40089714
2382750	7857	1994-08-12	VYDAJ	PREVOD NA UCET	1042	53747	 	MN	40089714
2382751	7857	1994-09-12	VYDAJ	PREVOD NA UCET	1042	60853	 	MN	40089714
2382752	7857	1994-10-12	VYDAJ	PREVOD NA UCET	1042	57790	 	MN	40089714
2382753	7857	1994-11-12	VYDAJ	PREVOD NA UCET	1042	66033	 	MN	40089714
2382754	7857	1994-12-12	VYDAJ	PREVOD NA UCET	1042	57756	 	MN	40089714
2382755	7857	1995-01-12	VYDAJ	PREVOD NA UCET	1042	54116	 	MN	40089714
2382756	7857	1995-02-12	VYDAJ	PREVOD NA UCET	1042	54112	 	MN	40089714
2382757	7857	1995-03-12	VYDAJ	PREVOD NA UCET	1042	68073	 	MN	40089714
2382758	7857	1995-04-12	VYDAJ	PREVOD NA UCET	1042	70302	 	MN	40089714
2382759	7857	1995-05-12	VYDAJ	PREVOD NA UCET	1042	72887	 	MN	40089714
2382760	7857	1995-06-12	VYDAJ	PREVOD NA UCET	1042	86417	 	MN	40089714
2382761	7857	1995-07-12	VYDAJ	PREVOD NA UCET	1042	75497	 	MN	40089714
2382762	7857	1995-08-12	VYDAJ	PREVOD NA UCET	1042	67736	 	MN	40089714
2382763	7857	1995-09-12	VYDAJ	PREVOD NA UCET	1042	56354	 	MN	40089714
2382764	7857	1995-10-12	VYDAJ	PREVOD NA UCET	1042	69008	 	MN	40089714
2382765	7857	1995-11-12	VYDAJ	PREVOD NA UCET	1042	65309	 	MN	40089714
2382766	7857	1995-12-12	VYDAJ	PREVOD NA UCET	1042	74649	 	MN	40089714
2382767	7857	1996-01-12	VYDAJ	PREVOD NA UCET	1042	62462	 	MN	40089714
2382768	7857	1996-02-12	VYDAJ	PREVOD NA UCET	1042	53232	 	MN	40089714
2382769	7857	1996-03-12	VYDAJ	PREVOD NA UCET	1042	64254	 	MN	40089714
2382770	7857	1996-04-12	VYDAJ	PREVOD NA UCET	1042	75522	 	MN	40089714
2382771	7857	1996-05-12	VYDAJ	PREVOD NA UCET	1042	75419	 	MN	40089714
2382772	7857	1996-06-12	VYDAJ	PREVOD NA UCET	1042	100174	 	MN	40089714
2382773	7857	1996-07-12	VYDAJ	PREVOD NA UCET	1042	86225	 	MN	40089714
2382774	7857	1996-08-12	VYDAJ	PREVOD NA UCET	1042	88162	 	MN	40089714
2382775	7857	1996-09-12	VYDAJ	PREVOD NA UCET	1042	64121	 	MN	40089714
2382776	7857	1996-10-12	VYDAJ	PREVOD NA UCET	1042	65068	 	MN	40089714
2382777	7857	1996-11-12	VYDAJ	PREVOD NA UCET	1042	69529	 	MN	40089714
2382778	7857	1996-12-12	VYDAJ	PREVOD NA UCET	1042	96558	 	MN	40089714
2382779	7857	1997-01-12	VYDAJ	PREVOD NA UCET	1042	60918	 	MN	40089714
2382780	7857	1997-02-12	VYDAJ	PREVOD NA UCET	1042	51126	 	MN	40089714
2382781	7857	1997-03-12	VYDAJ	PREVOD NA UCET	1042	69529	 	MN	40089714
2382782	7857	1997-04-12	VYDAJ	PREVOD NA UCET	1042	59056	 	MN	40089714
2382783	7857	1997-05-12	VYDAJ	PREVOD NA UCET	1042	65592	 	MN	40089714
2382784	7857	1997-06-12	VYDAJ	PREVOD NA UCET	1042	84387	 	MN	40089714
2382785	7857	1997-07-12	VYDAJ	PREVOD NA UCET	1042	27954	 	MN	40089714
2382786	7857	1997-08-12	VYDAJ	PREVOD NA UCET	1042	36230	 	MN	40089714
2382787	7857	1997-09-12	VYDAJ	PREVOD NA UCET	1042	47608	 	MN	40089714
2382788	7857	1997-10-12	VYDAJ	PREVOD NA UCET	1042	59587	 	MN	40089714
2382789	7857	1997-11-12	VYDAJ	PREVOD NA UCET	1042	49018	 	MN	40089714
2382790	7857	1997-12-12	VYDAJ	PREVOD NA UCET	1042	58922	 	MN	40089714
2382791	7857	1998-01-12	VYDAJ	PREVOD NA UCET	1042	52989	 	MN	40089714
2382792	7857	1998-02-12	VYDAJ	PREVOD NA UCET	1042	64215	 	MN	40089714
2382793	7857	1998-03-12	VYDAJ	PREVOD NA UCET	1042	57108	 	MN	40089714
2382794	7857	1998-04-12	VYDAJ	PREVOD NA UCET	1042	49378	 	MN	40089714
2382795	7857	1998-05-12	VYDAJ	PREVOD NA UCET	1042	48634	 	MN	40089714
2382796	7857	1998-06-12	VYDAJ	PREVOD NA UCET	1042	82427	 	MN	40089714
2382797	7857	1998-07-12	VYDAJ	PREVOD NA UCET	1042	80723	 	MN	40089714
2382798	7857	1998-08-12	VYDAJ	PREVOD NA UCET	1042	96382	 	MN	40089714
2382799	7857	1998-09-12	VYDAJ	PREVOD NA UCET	1042	94095	 	MN	40089714
2382800	7857	1998-10-12	VYDAJ	PREVOD NA UCET	1042	93264	 	MN	40089714
2382801	7857	1998-11-12	VYDAJ	PREVOD NA UCET	1042	94920	 	MN	40089714
2382802	7857	1998-12-12	VYDAJ	PREVOD NA UCET	1042	93492	 	MN	40089714
2382814	7857	1993-12-11	VYDAJ	PREVOD NA UCET	137	69352	POJISTNE	KL	92092263
2382815	7857	1994-01-11	VYDAJ	PREVOD NA UCET	137	51988	POJISTNE	KL	92092263
2382816	7857	1994-02-11	VYDAJ	PREVOD NA UCET	137	49152	POJISTNE	KL	92092263
2382817	7857	1994-03-11	VYDAJ	PREVOD NA UCET	137	65471	POJISTNE	KL	92092263
2382818	7857	1994-04-11	VYDAJ	PREVOD NA UCET	137	47532	POJISTNE	KL	92092263
2382819	7857	1994-05-11	VYDAJ	PREVOD NA UCET	137	54143	POJISTNE	KL	92092263
2382820	7857	1994-06-11	VYDAJ	PREVOD NA UCET	137	78527	POJISTNE	KL	92092263
2382821	7857	1994-07-11	VYDAJ	PREVOD NA UCET	137	79536	POJISTNE	KL	92092263
2382822	7857	1994-08-11	VYDAJ	PREVOD NA UCET	137	54789	POJISTNE	KL	92092263
2382823	7857	1994-09-11	VYDAJ	PREVOD NA UCET	137	61895	POJISTNE	KL	92092263
2382824	7857	1994-10-11	VYDAJ	PREVOD NA UCET	137	58832	POJISTNE	KL	92092263
2382825	7857	1994-11-11	VYDAJ	PREVOD NA UCET	137	67075	POJISTNE	KL	92092263
2382826	7857	1994-12-11	VYDAJ	PREVOD NA UCET	137	76924	POJISTNE	KL	92092263
2382827	7857	1995-01-11	VYDAJ	PREVOD NA UCET	137	55158	POJISTNE	KL	92092263
2382828	7857	1995-02-11	VYDAJ	PREVOD NA UCET	137	55154	POJISTNE	KL	92092263
2382829	7857	1995-03-11	VYDAJ	PREVOD NA UCET	137	69115	POJISTNE	KL	92092263
2382830	7857	1995-04-11	VYDAJ	PREVOD NA UCET	137	77020	POJISTNE	KL	92092263
2382831	7857	1995-05-11	VYDAJ	PREVOD NA UCET	137	79605	POJISTNE	KL	92092263
2382832	7857	1995-06-11	VYDAJ	PREVOD NA UCET	137	93135	POJISTNE	KL	92092263
2382833	7857	1995-07-11	VYDAJ	PREVOD NA UCET	137	76539	POJISTNE	KL	92092263
2382834	7857	1995-08-11	VYDAJ	PREVOD NA UCET	137	74454	POJISTNE	KL	92092263
2382835	7857	1995-09-11	VYDAJ	PREVOD NA UCET	137	57396	POJISTNE	KL	92092263
2382836	7857	1995-10-11	VYDAJ	PREVOD NA UCET	137	70050	POJISTNE	KL	92092263
2382837	7857	1995-11-11	VYDAJ	PREVOD NA UCET	137	72027	POJISTNE	KL	92092263
2382838	7857	1995-12-11	VYDAJ	PREVOD NA UCET	137	89767	POJISTNE	KL	92092263
2382839	7857	1996-01-11	VYDAJ	PREVOD NA UCET	137	63504	POJISTNE	KL	92092263
2382840	7857	1996-02-11	VYDAJ	PREVOD NA UCET	137	54274	POJISTNE	KL	92092263
2382841	7857	1996-03-11	VYDAJ	PREVOD NA UCET	137	65296	POJISTNE	KL	92092263
2382842	7857	1996-04-11	VYDAJ	PREVOD NA UCET	137	76564	POJISTNE	KL	92092263
2382843	7857	1996-05-11	VYDAJ	PREVOD NA UCET	137	76461	POJISTNE	KL	92092263
2382844	7857	1996-06-11	VYDAJ	PREVOD NA UCET	137	101216	POJISTNE	KL	92092263
2382845	7857	1996-07-11	VYDAJ	PREVOD NA UCET	137	87267	POJISTNE	KL	92092263
2382846	7857	1996-08-11	VYDAJ	PREVOD NA UCET	137	89204	POJISTNE	KL	92092263
2382847	7857	1996-09-11	VYDAJ	PREVOD NA UCET	137	65163	POJISTNE	KL	92092263
2382848	7857	1996-10-11	VYDAJ	PREVOD NA UCET	137	72210	POJISTNE	KL	92092263
2382849	7857	1996-11-11	VYDAJ	PREVOD NA UCET	137	70571	POJISTNE	KL	92092263
2382850	7857	1996-12-11	VYDAJ	PREVOD NA UCET	137	97600	POJISTNE	KL	92092263
2382851	7857	1997-01-11	VYDAJ	PREVOD NA UCET	137	61960	POJISTNE	KL	92092263
2382852	7857	1997-02-11	VYDAJ	PREVOD NA UCET	137	52168	POJISTNE	KL	92092263
2382853	7857	1997-03-11	VYDAJ	PREVOD NA UCET	137	70571	POJISTNE	KL	92092263
2382854	7857	1997-04-11	VYDAJ	PREVOD NA UCET	137	60098	POJISTNE	KL	92092263
2382855	7857	1997-05-11	VYDAJ	PREVOD NA UCET	137	66634	POJISTNE	KL	92092263
2382856	7857	1997-06-11	VYDAJ	PREVOD NA UCET	137	85429	POJISTNE	KL	92092263
2382857	7857	1997-07-11	VYDAJ	PREVOD NA UCET	137	50469	POJISTNE	KL	92092263
2382858	7857	1997-08-11	VYDAJ	PREVOD NA UCET	137	37272	POJISTNE	KL	92092263
2382859	7857	1997-09-11	VYDAJ	PREVOD NA UCET	137	61650	POJISTNE	KL	92092263
2382860	7857	1997-10-11	VYDAJ	PREVOD NA UCET	137	60629	POJISTNE	KL	92092263
2382861	7857	1997-11-11	VYDAJ	PREVOD NA UCET	137	69260	POJISTNE	KL	92092263
2382862	7857	1997-12-11	VYDAJ	PREVOD NA UCET	137	59964	POJISTNE	KL	92092263
2382863	7857	1998-01-11	VYDAJ	PREVOD NA UCET	137	54031	POJISTNE	KL	92092263
2382864	7857	1998-02-11	VYDAJ	PREVOD NA UCET	137	65257	POJISTNE	KL	92092263
2382865	7857	1998-03-11	VYDAJ	PREVOD NA UCET	137	73450	POJISTNE	KL	92092263
2382866	7857	1998-04-11	VYDAJ	PREVOD NA UCET	137	50420	POJISTNE	KL	92092263
2382867	7857	1998-05-11	VYDAJ	PREVOD NA UCET	137	53876	POJISTNE	KL	92092263
2382868	7857	1998-06-11	VYDAJ	PREVOD NA UCET	137	83469	POJISTNE	KL	92092263
2382869	7857	1998-07-11	VYDAJ	PREVOD NA UCET	137	81765	POJISTNE	KL	92092263
2382870	7857	1998-08-11	VYDAJ	PREVOD NA UCET	137	97424	POJISTNE	KL	92092263
2382871	7857	1998-09-11	VYDAJ	PREVOD NA UCET	137	95137	POJISTNE	KL	92092263
2382872	7857	1998-10-11	VYDAJ	PREVOD NA UCET	137	94306	POJISTNE	KL	92092263
2382873	7857	1998-11-11	VYDAJ	PREVOD NA UCET	137	95962	POJISTNE	KL	92092263
2382874	7857	1998-12-11	VYDAJ	PREVOD NA UCET	137	94534	POJISTNE	KL	92092263
2382875	7857	1994-09-17	VYBER	VYBER	22686	38167	\N	\N	\N
2382876	7857	1994-08-22	VYBER	VYBER	6619	39928	\N	\N	\N
2382877	7857	1994-05-31	VYBER	VYBER	14208	32871	\N	\N	\N
2382880	7857	1994-12-12	VYBER	VYBER	18126	58798	\N	\N	\N
2382881	7857	1994-04-02	VYBER	VYBER	17622	23817	\N	\N	\N
2382882	7857	1994-07-14	VYBER	VYBER	18171	60323	\N	\N	\N
2382883	7857	1994-11-17	VYBER	VYBER	11346	50187	\N	\N	\N
2382884	7857	1994-07-17	VYBER	VYBER	16546	43777	\N	\N	\N
2382885	7857	1994-01-22	VYBER	VYBER	7469	35977	\N	\N	\N
2382886	7857	1995-04-13	VYBER	VYBER	3043	67259	\N	\N	\N
2382887	7857	1995-05-18	VYBER	VYBER	14047	58840	\N	\N	\N
2382888	7857	1995-08-27	VYBER	VYBER	19762	27374	\N	\N	\N
2382889	7857	1995-06-16	VYBER	VYBER	24823	61594	\N	\N	\N
2382891	7857	1996-08-16	VYBER	VYBER	19810	46446	\N	\N	\N
2382892	7857	1996-12-18	VYBER	VYBER	12629	50529	\N	\N	\N
2382893	7857	1996-08-15	VYBER	VYBER	21906	66256	\N	\N	\N
2382894	7857	1997-08-11	VYBER	VYBER	14396	37409	\N	\N	\N
2382896	7857	1997-06-30	VYBER	VYBER	5698	32468	\N	\N	\N
2382899	7857	1997-09-27	VYBER	VYBER	10738	30670	\N	\N	\N
2382902	7857	1997-07-12	VYBER	VYBER	21473	28996	\N	\N	\N
2382904	7857	1997-04-05	VYBER	VYBER	8328	30283	\N	\N	\N
2382906	7857	1997-06-15	VYBER	VYBER	17298	37989	\N	\N	\N
2382908	7857	1998-02-19	VYBER	VYBER	20748	43467	\N	\N	\N
2382909	7857	1998-08-27	VYBER	VYBER	8730	69805	\N	\N	\N
2382910	7857	1998-10-22	VYBER	VYBER	13734	79530	\N	\N	\N
2382912	7857	1998-06-03	VYBER	VYBER	12113	36699	\N	\N	\N
2382913	7857	1998-08-17	VYBER	VYBER	12347	84035	\N	\N	\N
2382920	7857	1998-06-14	VYDAJ	VYBER	18300	64127	\N	\N	\N
2382922	7857	1994-12-25	VYDAJ	VYBER	8700	46956	\N	\N	\N
2382923	7857	1995-12-12	VYDAJ	VYBER	8400	75691	\N	\N	\N
2382924	7857	1996-12-26	VYDAJ	VYBER	6900	37329	\N	\N	\N
2382925	7857	1997-12-17	VYDAJ	VYBER	4500	54422	\N	\N	\N
2382926	7857	1998-12-08	VYDAJ	VYBER	4500	62707	\N	\N	\N
2382933	7857	1994-01-18	VYDAJ	VYBER	4800	46146	\N	\N	\N
2382934	7857	1994-01-05	VYDAJ	VYBER	3900	26816	\N	\N	\N
2382935	7857	1994-01-20	VYDAJ	VYBER	2700	43446	\N	\N	\N
2382936	7857	1994-01-08	VYDAJ	VYBER	7200	19616	\N	\N	\N
2382937	7857	1994-01-05	VYDAJ	VYBER	7200	38873	\N	\N	\N
2382938	7857	1994-01-23	VYDAJ	VYBER	4800	31177	\N	\N	\N
2382939	7857	1995-01-01	VYDAJ	VYBER	6900	30643	\N	\N	\N
2382940	7857	1995-01-13	VYDAJ	VYBER	7200	46916	\N	\N	\N
2382941	7857	1995-01-18	VYDAJ	VYBER	4500	34916	\N	\N	\N
2382942	7857	1995-01-27	VYDAJ	VYBER	6600	25216	\N	\N	\N
2382943	7857	1995-01-01	VYDAJ	VYBER	2400	37543	\N	\N	\N
2382944	7857	1995-01-15	VYDAJ	VYBER	7500	39416	\N	\N	\N
2382945	7857	1996-01-30	VYDAJ	VYBER	7500	29986	\N	\N	\N
2382946	7857	1996-01-20	VYDAJ	VYBER	3000	48386	\N	\N	\N
2382947	7857	1996-01-15	VYDAJ	VYBER	5400	51386	\N	\N	\N
2382948	7857	1996-01-05	VYDAJ	VYBER	8400	38189	\N	\N	\N
2382949	7857	1996-01-02	VYDAJ	VYBER	5700	46589	\N	\N	\N
2382950	7857	1996-01-09	VYDAJ	VYBER	4500	25532	\N	\N	\N
2382951	7857	1997-01-04	VYDAJ	VYBER	5400	32145	\N	\N	\N
2382952	7857	1997-01-14	VYDAJ	VYBER	5100	55818	\N	\N	\N
2382953	7857	1997-01-19	VYDAJ	VYBER	8400	37318	\N	\N	\N
2382954	7857	1997-01-25	VYDAJ	VYBER	4500	26618	\N	\N	\N
2382956	7857	1997-01-14	VYDAJ	VYBER	2100	53718	\N	\N	\N
2382957	7857	1998-01-29	VYDAJ	VYBER	3300	31089	\N	\N	\N
2382958	7857	1998-01-15	VYDAJ	VYBER	6600	46389	\N	\N	\N
2382960	7857	1998-01-20	VYDAJ	VYBER	6000	34389	\N	\N	\N
2382966	7857	1994-08-17	VYDAJ	VYBER	7200	46547	\N	\N	\N
2382968	7857	1994-04-29	VYDAJ	VYBER	14100	23990	\N	\N	\N
2382969	7857	1994-11-18	VYDAJ	VYBER	13800	36387	\N	\N	\N
2382970	7857	1994-04-23	VYDAJ	VYBER	8400	38090	\N	\N	\N
2382971	7857	1994-12-21	VYDAJ	VYBER	2100	55656	\N	\N	\N
2382972	7857	1995-11-14	VYDAJ	VYBER	9900	55409	\N	\N	\N
2382973	7857	1995-07-20	VYDAJ	VYBER	10500	59321	\N	\N	\N
2382974	7857	1995-10-13	VYDAJ	VYBER	12000	51332	\N	\N	\N
2382976	7857	1996-10-12	VYDAJ	VYBER	3900	61168	\N	\N	\N
2382977	7857	1996-12-18	VYDAJ	VYBER	1500	49029	\N	\N	\N
2382978	7857	1996-12-19	VYDAJ	VYBER	4800	44229	\N	\N	\N
2382979	7857	1997-07-11	VYDAJ	VYBER	6900	50606	\N	\N	\N
2382980	7857	1997-12-01	VYDAJ	VYBER	9600	39594	\N	\N	\N
2382982	7857	1997-12-27	VYDAJ	VYBER	4200	50222	\N	\N	\N
2382984	7857	1998-12-17	VYDAJ	VYBER	14700	78792	\N	\N	\N
2382985	7857	1998-09-12	VYDAJ	VYBER	9600	84495	\N	\N	\N
2382986	7857	1998-05-03	VYDAJ	VYBER	4800	44761	\N	\N	\N
2383001	7857	1993-12-31	VYDAJ	VYBER	15	68573	SLUZBY	\N	\N
2383002	7857	1994-01-31	VYDAJ	VYBER	15	31337	SLUZBY	\N	\N
2383003	7857	1994-02-28	VYDAJ	VYBER	15	48256	SLUZBY	\N	\N
2383004	7857	1994-03-31	VYDAJ	VYBER	15	60139	SLUZBY	\N	\N
2383005	7857	1994-04-30	VYDAJ	VYBER	15	24128	SLUZBY	\N	\N
2383006	7857	1994-05-31	VYDAJ	VYBER	15	32857	SLUZBY	\N	\N
2383007	7857	1994-06-30	VYDAJ	VYBER	15	71921	SLUZBY	\N	\N
2383008	7857	1994-07-31	VYDAJ	VYBER	15	31574	SLUZBY	\N	\N
2383009	7857	1994-08-31	VYDAJ	VYBER	15	32080	SLUZBY	\N	\N
2383010	7857	1994-09-30	VYDAJ	VYBER	15	29017	SLUZBY	\N	\N
2383011	7857	1994-10-31	VYDAJ	VYBER	15	37260	SLUZBY	\N	\N
2383012	7857	1994-11-30	VYDAJ	VYBER	15	33554	SLUZBY	\N	\N
2383013	7857	1994-12-31	VYDAJ	VYBER	15	39943	SLUZBY	\N	\N
2383014	7857	1995-01-31	VYDAJ	VYBER	15	25339	SLUZBY	\N	\N
2383015	7857	1995-02-28	VYDAJ	VYBER	15	39300	SLUZBY	\N	\N
2383016	7857	1995-03-31	VYDAJ	VYBER	15	47205	SLUZBY	\N	\N
2383017	7857	1995-04-30	VYDAJ	VYBER	15	49790	SLUZBY	\N	\N
2383018	7857	1995-05-31	VYDAJ	VYBER	15	44265	SLUZBY	\N	\N
2383019	7857	1995-06-30	VYDAJ	VYBER	15	46724	SLUZBY	\N	\N
2383020	7857	1995-07-31	VYDAJ	VYBER	15	44639	SLUZBY	\N	\N
2383021	7857	1995-08-31	VYDAJ	VYBER	15	27581	SLUZBY	\N	\N
2383022	7857	1995-09-30	VYDAJ	VYBER	15	40235	SLUZBY	\N	\N
2383023	7857	1995-10-31	VYDAJ	VYBER	15	42212	SLUZBY	\N	\N
2383024	7857	1995-11-30	VYDAJ	VYBER	15	40897	SLUZBY	\N	\N
2383025	7857	1995-12-31	VYDAJ	VYBER	15	52289	SLUZBY	\N	\N
2383026	7857	1996-01-31	VYDAJ	VYBER	15	30159	SLUZBY	\N	\N
2383027	7857	1996-02-29	VYDAJ	VYBER	15	40481	SLUZBY	\N	\N
2383028	7857	1996-03-31	VYDAJ	VYBER	15	46749	SLUZBY	\N	\N
2383029	7857	1996-04-30	VYDAJ	VYBER	15	51046	SLUZBY	\N	\N
2383030	7857	1996-05-31	VYDAJ	VYBER	15	52346	SLUZBY	\N	\N
2383031	7857	1996-06-30	VYDAJ	VYBER	15	63752	SLUZBY	\N	\N
2383032	7857	1996-07-31	VYDAJ	VYBER	15	59389	SLUZBY	\N	\N
2383033	7857	1996-08-31	VYDAJ	VYBER	15	35348	SLUZBY	\N	\N
2383034	7857	1996-09-30	VYDAJ	VYBER	15	42395	SLUZBY	\N	\N
2383035	7857	1996-10-31	VYDAJ	VYBER	15	46356	SLUZBY	\N	\N
2383036	7857	1996-11-30	VYDAJ	VYBER	15	54130	SLUZBY	\N	\N
2383037	7857	1996-12-31	VYDAJ	VYBER	15	37545	SLUZBY	\N	\N
2383038	7857	1997-01-31	VYDAJ	VYBER	15	26753	SLUZBY	\N	\N
2383039	7857	1997-02-28	VYDAJ	VYBER	15	40756	SLUZBY	\N	\N
2383040	7857	1997-03-31	VYDAJ	VYBER	15	44711	SLUZBY	\N	\N
2383041	7857	1997-04-30	VYDAJ	VYBER	15	42519	SLUZBY	\N	\N
2383042	7857	1997-05-31	VYDAJ	VYBER	15	42659	SLUZBY	\N	\N
2383043	7857	1997-06-30	VYDAJ	VYBER	15	32454	SLUZBY	\N	\N
2383044	7857	1997-07-31	VYDAJ	VYBER	15	27153	SLUZBY	\N	\N
2383045	7857	1997-08-31	VYDAJ	VYBER	15	31835	SLUZBY	\N	\N
2383046	7857	1997-09-30	VYDAJ	VYBER	15	30814	SLUZBY	\N	\N
2383047	7857	1997-10-31	VYDAJ	VYBER	15	44745	SLUZBY	\N	\N
2383048	7857	1997-11-30	VYDAJ	VYBER	15	49194	SLUZBY	\N	\N
2383049	7857	1997-12-31	VYDAJ	VYBER	15	50416	SLUZBY	\N	\N
2383050	7857	1998-01-31	VYDAJ	VYBER	15	31242	SLUZBY	\N	\N
2383051	7857	1998-02-28	VYDAJ	VYBER	15	43635	SLUZBY	\N	\N
2383052	7857	1998-03-31	VYDAJ	VYBER	15	52705	SLUZBY	\N	\N
2383053	7857	1998-04-30	VYDAJ	VYBER	15	49561	SLUZBY	\N	\N
2383054	7857	1998-05-31	VYDAJ	VYBER	15	48812	SLUZBY	\N	\N
2383055	7857	1998-06-30	VYDAJ	VYBER	15	64350	SLUZBY	\N	\N
2383056	7857	1998-07-31	VYDAJ	VYBER	15	81009	SLUZBY	\N	\N
2383057	7857	1998-08-31	VYDAJ	VYBER	15	70122	SLUZBY	\N	\N
2383058	7857	1998-09-30	VYDAJ	VYBER	15	78491	SLUZBY	\N	\N
2383059	7857	1998-10-31	VYDAJ	VYBER	15	79847	SLUZBY	\N	\N
2383060	7857	1998-11-30	VYDAJ	VYBER	15	95264	SLUZBY	\N	\N
2383061	7857	1993-09-03	VYDAJ	VYBER	6400	32123	\N	\N	\N
2383062	7857	1993-10-03	VYDAJ	VYBER	20900	49584	\N	\N	\N
2383063	7857	1993-11-02	VYDAJ	VYBER	34100	53938	\N	\N	\N
2383064	7857	1993-12-02	VYDAJ	VYBER	31900	60525	\N	\N	\N
2383065	7857	1993-12-10	VYDAJ	VYBER	42100	69489	\N	\N	\N
2383066	7857	1994-01-01	VYDAJ	VYBER	22500	46073	\N	\N	\N
2383067	7857	1994-01-31	VYDAJ	VYBER	5200	26137	\N	\N	\N
2383068	7857	1994-03-02	VYDAJ	VYBER	12600	35656	\N	\N	\N
2383069	7857	1994-04-01	VYDAJ	VYBER	18700	41439	\N	\N	\N
2383070	7857	1994-05-01	PRIJEM	VKLAD	200	24328	\N	\N	\N
2383071	7857	1994-05-31	VYDAJ	VYBER	3200	29657	\N	\N	\N
2383072	7857	1994-06-30	VYDAJ	VYBER	22200	49721	\N	\N	\N
2383073	7857	1994-07-30	VYDAJ	VYBER	7600	31377	\N	\N	\N
2383074	7857	1994-08-29	VYDAJ	VYBER	8000	31928	\N	\N	\N
2383075	7857	1994-09-28	VYDAJ	VYBER	4600	28867	\N	\N	\N
2383076	7857	1994-10-28	VYDAJ	VYBER	14800	37090	\N	\N	\N
2383077	7857	1994-11-27	VYDAJ	VYBER	3000	33387	\N	\N	\N
2383078	7857	1994-12-27	VYDAJ	VYBER	7200	39756	\N	\N	\N
2383079	7857	1995-01-26	VYDAJ	VYBER	3100	31816	\N	\N	\N
2383080	7857	1995-02-25	VYDAJ	VYBER	9300	39136	\N	\N	\N
2383081	7857	1995-03-27	VYDAJ	VYBER	15400	46997	\N	\N	\N
2383082	7857	1995-04-26	VYDAJ	VYBER	17700	49559	\N	\N	\N
2383083	7857	1995-05-26	VYDAJ	VYBER	14800	44040	\N	\N	\N
2383084	7857	1995-06-25	VYDAJ	VYBER	15100	46494	\N	\N	\N
2383085	7857	1995-07-25	VYDAJ	VYBER	14900	44421	\N	\N	\N
2383086	7857	1995-08-24	VYDAJ	VYBER	20600	47136	\N	\N	\N
2383087	7857	1995-09-23	VYDAJ	VYBER	10600	40078	\N	\N	\N
2383088	7857	1995-10-23	VYDAJ	VYBER	9300	42032	\N	\N	\N
2383089	7857	1995-11-22	VYDAJ	VYBER	14700	40709	\N	\N	\N
2383090	7857	1995-12-22	VYDAJ	VYBER	22600	52049	\N	\N	\N
2383091	7857	1996-01-21	VYDAJ	VYBER	10900	37486	\N	\N	\N
2383092	7857	1996-02-20	VYDAJ	VYBER	12900	40332	\N	\N	\N
2383093	7857	1996-03-21	VYDAJ	VYBER	17700	46554	\N	\N	\N
2383094	7857	1996-04-20	VYDAJ	VYBER	19400	50822	\N	\N	\N
2383095	7857	1996-05-20	VYDAJ	VYBER	23300	52119	\N	\N	\N
2383096	7857	1996-06-19	VYDAJ	VYBER	30600	63474	\N	\N	\N
2383097	7857	1996-07-19	VYDAJ	VYBER	27100	59125	\N	\N	\N
2383098	7857	1996-08-18	VYDAJ	VYBER	5600	35146	\N	\N	\N
2383099	7857	1996-09-17	VYDAJ	VYBER	15900	48221	\N	\N	\N
2383100	7857	1996-10-17	VYDAJ	VYBER	15000	46168	\N	\N	\N
2383101	7857	1996-11-16	VYDAJ	VYBER	15600	53929	\N	\N	\N
2383102	7857	1996-12-16	VYDAJ	VYBER	33400	63158	\N	\N	\N
2383103	7857	1997-01-15	VYDAJ	VYBER	8000	45718	\N	\N	\N
2383104	7857	1997-02-14	VYDAJ	VYBER	10500	40626	\N	\N	\N
2383105	7857	1997-03-16	VYDAJ	VYBER	18400	44529	\N	\N	\N
2383106	7857	1997-04-15	VYDAJ	VYBER	16700	42356	\N	\N	\N
2383107	7857	1997-05-15	VYDAJ	VYBER	23100	42492	\N	\N	\N
2383108	7857	1997-06-14	VYDAJ	VYBER	29100	55287	\N	\N	\N
2383109	7857	1997-07-14	VYDAJ	VYBER	900	27054	\N	\N	\N
2383110	7857	1997-08-13	VYDAJ	VYBER	4500	31730	\N	\N	\N
2383111	7857	1997-09-12	VYDAJ	VYBER	13000	48650	\N	\N	\N
2383112	7857	1997-10-12	VYDAJ	VYBER	10500	49087	\N	\N	\N
2383113	7857	1997-11-11	VYDAJ	VYBER	19200	50060	\N	\N	\N
2383114	7857	1997-12-11	VYDAJ	VYBER	21800	66801	\N	\N	\N
2383115	7857	1998-01-10	VYDAJ	VYBER	16400	54168	\N	\N	\N
2383116	7857	1998-02-09	PRIJEM	VKLAD	9400	27285	\N	\N	\N
2383117	7857	1998-03-11	VYDAJ	VYBER	15300	58150	\N	\N	\N
2383118	7857	1998-04-10	VYDAJ	VYBER	25300	50557	\N	\N	\N
2383119	7857	1998-05-10	VYDAJ	VYBER	20700	54013	\N	\N	\N
2383120	7857	1998-06-09	PRIJEM	VKLAD	2600	31142	\N	\N	\N
2383121	7857	1998-07-09	VYDAJ	VYBER	6400	43793	\N	\N	\N
2383122	7857	1998-08-08	VYDAJ	VYBER	13400	59452	\N	\N	\N
2383123	7857	1998-09-07	VYDAJ	VYBER	4800	57165	\N	\N	\N
2383124	7857	1998-10-07	VYDAJ	VYBER	7600	56334	\N	\N	\N
2383125	7857	1998-11-06	VYDAJ	VYBER	9300	62390	\N	\N	\N
2383126	7857	1998-12-06	VYDAJ	VYBER	13000	67207	\N	\N	\N
2383127	7857	1998-12-10	VYDAJ	VYBER	25200	94671	\N	\N	\N
2383389	7859	1995-03-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2383393	7859	1995-04-13	PRIJEM	PREVOD Z UCTU	36061	37061	\N	KL	48783159
2383394	7859	1995-05-13	PRIJEM	PREVOD Z UCTU	36061	67515	\N	KL	48783159
2383395	7859	1995-06-13	PRIJEM	PREVOD Z UCTU	54092	91939	\N	KL	48783159
2383396	7859	1995-07-13	PRIJEM	PREVOD Z UCTU	36061	97842	\N	KL	48783159
2383397	7859	1995-08-13	PRIJEM	PREVOD Z UCTU	36061	101501	\N	KL	48783159
2383398	7859	1995-09-13	PRIJEM	PREVOD Z UCTU	36061	92139	\N	KL	48783159
2383399	7859	1995-10-13	PRIJEM	PREVOD Z UCTU	36061	88833	\N	KL	48783159
2383400	7859	1995-11-13	PRIJEM	PREVOD Z UCTU	36061	92531	\N	KL	48783159
2383401	7859	1995-12-13	PRIJEM	PREVOD Z UCTU	54092	98785	\N	KL	48783159
2383402	7859	1996-01-13	PRIJEM	PREVOD Z UCTU	36061	98876	\N	KL	48783159
2383403	7859	1996-02-13	PRIJEM	PREVOD Z UCTU	36061	97403	\N	KL	48783159
2383404	7859	1996-03-13	PRIJEM	PREVOD Z UCTU	36061	96032	\N	KL	48783159
2383405	7859	1996-04-13	PRIJEM	PREVOD Z UCTU	36061	92156	\N	KL	48783159
2383406	7859	1996-05-13	PRIJEM	PREVOD Z UCTU	36061	104560	\N	KL	48783159
2383407	7859	1996-06-13	PRIJEM	PREVOD Z UCTU	54092	109339	\N	KL	48783159
2383408	7859	1996-07-13	PRIJEM	PREVOD Z UCTU	36061	84314	\N	KL	48783159
2383409	7859	1996-08-13	PRIJEM	PREVOD Z UCTU	36061	86587	\N	KL	48783159
2383410	7859	1996-09-13	PRIJEM	PREVOD Z UCTU	36061	73437	\N	KL	48783159
2383411	7859	1996-10-13	PRIJEM	PREVOD Z UCTU	36061	90659	\N	KL	48783159
2383412	7859	1996-11-13	PRIJEM	PREVOD Z UCTU	36061	105632	\N	KL	48783159
2383413	7859	1996-12-13	PRIJEM	PREVOD Z UCTU	54092	122388	\N	KL	48783159
2383414	7859	1997-01-13	PRIJEM	PREVOD Z UCTU	36061	75651	\N	KL	48783159
2383415	7859	1997-02-13	PRIJEM	PREVOD Z UCTU	36061	93535	\N	KL	48783159
2383416	7859	1997-03-13	PRIJEM	PREVOD Z UCTU	36061	107509	\N	KL	48783159
2383417	7859	1997-04-13	PRIJEM	PREVOD Z UCTU	36061	97142	\N	KL	48783159
2383418	7859	1997-05-13	PRIJEM	PREVOD Z UCTU	36061	103984	\N	KL	48783159
2383419	7859	1997-06-13	PRIJEM	PREVOD Z UCTU	54092	95805	\N	KL	48783159
2383420	7859	1997-07-13	PRIJEM	PREVOD Z UCTU	36061	64938	\N	KL	48783159
2383421	7859	1997-08-13	PRIJEM	PREVOD Z UCTU	36061	80378	\N	KL	48783159
2383422	7859	1997-09-13	PRIJEM	PREVOD Z UCTU	36061	96094	\N	KL	48783159
2383423	7859	1997-10-13	PRIJEM	PREVOD Z UCTU	36061	100425	\N	KL	48783159
2383424	7859	1997-11-13	PRIJEM	PREVOD Z UCTU	36061	78807	\N	KL	48783159
2383425	7859	1997-12-13	PRIJEM	PREVOD Z UCTU	54092	110618	\N	KL	48783159
2383426	7859	1998-01-13	PRIJEM	PREVOD Z UCTU	36061	98507	\N	KL	48783159
2383427	7859	1998-02-13	PRIJEM	PREVOD Z UCTU	36061	94742	\N	KL	48783159
2383428	7859	1998-03-13	PRIJEM	PREVOD Z UCTU	36061	106618	\N	KL	48783159
2383429	7859	1998-04-13	PRIJEM	PREVOD Z UCTU	36061	104042	\N	KL	48783159
2383430	7859	1998-05-13	PRIJEM	PREVOD Z UCTU	36061	105713	\N	KL	48783159
2383431	7859	1998-06-13	PRIJEM	PREVOD Z UCTU	54092	132550	\N	KL	48783159
2383432	7859	1998-07-13	PRIJEM	PREVOD Z UCTU	36061	71399	\N	KL	48783159
2383433	7859	1998-08-13	PRIJEM	PREVOD Z UCTU	36061	87387	\N	KL	48783159
2383434	7859	1998-09-13	PRIJEM	PREVOD Z UCTU	36061	110631	\N	KL	48783159
2383435	7859	1998-10-13	PRIJEM	PREVOD Z UCTU	36061	114031	\N	KL	48783159
2383436	7859	1998-11-13	PRIJEM	PREVOD Z UCTU	36061	126872	\N	KL	48783159
2383437	7859	1998-12-13	PRIJEM	PREVOD Z UCTU	54092	146958	\N	KL	48783159
2383446	7859	1995-09-14	VYDAJ	VYBER	7000	85139	\N	\N	0
2383447	7859	1995-10-02	VYDAJ	VYBER	4600	80872	\N	\N	0
2383448	7859	1995-11-12	VYDAJ	VYBER	4700	56470	\N	\N	0
2383449	7859	1995-12-07	VYDAJ	VYBER	7300	56693	\N	\N	0
2383450	7859	1996-01-07	VYDAJ	VYBER	5700	93415	\N	\N	0
2383451	7859	1996-02-09	VYDAJ	VYBER	5400	61342	\N	\N	0
2383452	7859	1996-03-05	VYDAJ	VYBER	5000	92771	\N	\N	0
2383453	7859	1996-04-02	VYDAJ	VYBER	6300	90095	\N	\N	0
2383454	7859	1996-05-15	VYDAJ	VYBER	6400	98160	\N	\N	0
2383455	7859	1996-06-03	VYDAJ	VYBER	6500	92047	\N	\N	0
2383456	7859	1996-07-11	VYDAJ	VYBER	5900	48253	\N	\N	0
2383457	7859	1996-08-21	VYDAJ	VYBER	4900	81687	\N	\N	0
2383458	7859	1996-09-14	VYDAJ	VYBER	6000	67437	\N	\N	0
2383459	7859	1996-10-16	VYDAJ	VYBER	6200	84459	\N	\N	0
2383460	7859	1996-11-15	VYDAJ	VYBER	7000	98632	\N	\N	0
2383461	7859	1996-12-12	VYDAJ	PREVOD NA UCET	6010	68296	UVER	UV	4752576
2383462	7859	1997-01-12	VYDAJ	PREVOD NA UCET	6010	39590	UVER	UV	4752576
2383463	7859	1997-02-12	VYDAJ	PREVOD NA UCET	6010	57474	UVER	UV	4752576
2383464	7859	1997-03-12	VYDAJ	PREVOD NA UCET	6010	71448	UVER	UV	4752576
2383465	7859	1997-04-12	VYDAJ	PREVOD NA UCET	6010	61081	UVER	UV	4752576
2383466	7859	1997-05-12	VYDAJ	PREVOD NA UCET	6010	67923	UVER	UV	4752576
2383467	7859	1997-06-12	VYDAJ	PREVOD NA UCET	6010	41713	UVER	UV	4752576
2383468	7859	1997-07-12	VYDAJ	PREVOD NA UCET	6010	28877	UVER	UV	4752576
2383469	7859	1997-08-12	VYDAJ	PREVOD NA UCET	6010	44317	UVER	UV	4752576
2383470	7859	1997-09-12	VYDAJ	PREVOD NA UCET	6010	60033	UVER	UV	4752576
2383471	7859	1997-10-12	VYDAJ	PREVOD NA UCET	6010	64364	UVER	UV	4752576
2383472	7859	1997-11-12	VYDAJ	PREVOD NA UCET	6010	42746	UVER	UV	4752576
2383473	7859	1997-12-13	VYDAJ	VYBER	5500	105118	\N	\N	0
2383474	7859	1998-01-08	VYDAJ	VYBER	4800	62446	\N	\N	0
2383475	7859	1998-02-10	VYDAJ	VYBER	5300	58681	\N	\N	0
2383476	7859	1998-03-09	VYDAJ	VYBER	6900	70557	\N	\N	0
2383477	7859	1998-04-04	VYDAJ	VYBER	4700	67981	\N	\N	0
2383478	7859	1998-05-14	VYDAJ	VYBER	5400	100313	\N	\N	0
2383479	7859	1998-06-06	VYDAJ	VYBER	5700	78458	\N	\N	0
2383480	7859	1998-07-07	VYDAJ	VYBER	6600	35338	\N	\N	0
2383481	7859	1998-08-20	VYDAJ	VYBER	6900	80487	\N	\N	0
2383482	7859	1998-09-14	VYDAJ	VYBER	4900	98831	\N	\N	0
2383483	7859	1998-10-09	VYDAJ	VYBER	5500	77970	\N	\N	0
2383484	7859	1998-11-15	VYDAJ	VYBER	5600	121272	\N	\N	0
2383485	7859	1998-12-21	VYDAJ	VYBER	4600	124058	\N	\N	0
2383487	7859	1995-08-14	VYBER	VYBER	21274	80227	\N	\N	\N
2383491	7859	1995-11-25	VYBER	VYBER	24371	63660	\N	\N	\N
2383492	7859	1996-09-09	VYBER	VYBER	24601	37376	\N	\N	\N
2383493	7859	1996-07-17	VYBER	VYBER	5040	79274	\N	\N	\N
2383494	7859	1997-04-10	VYBER	VYBER	13025	67091	\N	\N	\N
2383495	7859	1997-11-10	VYBER	VYBER	21872	48756	\N	\N	\N
2383496	7859	1997-11-27	VYBER	VYBER	13363	65444	\N	\N	\N
2383497	7859	1997-07-09	VYBER	VYBER	6106	34887	\N	\N	\N
2383498	7859	1997-05-31	VYBER	VYBER	24172	71270	\N	\N	\N
2383499	7859	1997-04-27	VYBER	VYBER	5694	91448	\N	\N	\N
2383500	7859	1997-10-18	VYBER	VYBER	15221	85204	\N	\N	\N
2383501	7859	1997-06-09	VYBER	VYBER	15932	47723	\N	\N	\N
2383502	7859	1997-10-08	VYBER	VYBER	4547	70374	\N	\N	\N
2383503	7859	1997-05-21	VYBER	VYBER	6532	95052	\N	\N	\N
2383504	7859	1997-01-27	VYBER	VYBER	9941	65710	\N	\N	\N
2383505	7859	1997-12-20	VYBER	VYBER	13985	91133	\N	\N	\N
2383506	7859	1998-05-02	VYBER	VYBER	3335	69652	\N	\N	\N
2383507	7859	1998-01-17	VYBER	VYBER	13114	85393	\N	\N	\N
2383509	7859	1996-06-22	VYDAJ	VYBER	50700	58639	\N	\N	\N
2383510	7859	1997-06-27	VYDAJ	VYBER	60000	31605	\N	\N	\N
2383511	7859	1998-06-27	VYDAJ	VYBER	28200	41650	\N	\N	\N
2383513	7859	1996-01-19	VYDAJ	VYBER	3900	94976	\N	\N	\N
2383514	7859	1997-01-12	VYDAJ	VYBER	12600	45601	\N	\N	\N
2383515	7859	1998-01-19	VYDAJ	VYBER	11700	73693	\N	\N	\N
2383519	7859	1995-11-18	VYDAJ	VYBER	4500	88031	\N	\N	\N
2383522	7859	1996-07-17	VYDAJ	VYBER	13200	66074	\N	\N	\N
2383523	7859	1996-07-21	VYDAJ	VYBER	7500	58574	\N	\N	\N
2383524	7859	1996-12-27	VYDAJ	VYBER	2400	65988	\N	\N	\N
2383525	7859	1996-06-05	VYDAJ	VYBER	13500	78547	\N	\N	\N
2383526	7859	1996-04-08	VYDAJ	VYBER	4500	56095	\N	\N	\N
2383527	7859	1996-08-26	VYDAJ	VYBER	4500	77187	\N	\N	\N
2383528	7859	1997-07-25	VYDAJ	VYBER	12600	52338	\N	\N	\N
2383529	7859	1997-06-20	VYDAJ	VYBER KARTOU	4200	91605	\N	\N	0
2383530	7859	1997-05-13	VYDAJ	VYBER	2400	101584	\N	\N	\N
2383531	7859	1998-08-06	VYDAJ	VYBER KARTOU	6600	60626	\N	\N	0
2383532	7859	1998-02-27	VYDAJ	VYBER KARTOU	1800	77142	\N	\N	0
2383533	7859	1998-03-30	VYDAJ	VYBER	11400	72318	\N	\N	\N
2383534	7859	1998-04-27	VYDAJ	VYBER	10800	93242	\N	\N	\N
2383535	7859	1998-01-07	VYDAJ	VYBER KARTOU	3300	67246	\N	\N	0
2383536	7859	1998-09-14	VYDAJ	VYBER KARTOU	6900	103731	\N	\N	0
2383537	7859	1998-08-07	VYDAJ	VYBER	9300	51326	\N	\N	\N
2383546	7859	1995-08-31	VYDAJ	VYBER	15	80578	SLUZBY	\N	\N
2383547	7859	1995-09-30	VYDAJ	VYBER	15	85472	SLUZBY	\N	\N
2383548	7859	1995-10-31	VYDAJ	VYBER	15	89170	SLUZBY	\N	\N
2383549	7859	1995-11-30	VYDAJ	VYBER	15	63993	SLUZBY	\N	\N
2383550	7859	1995-12-31	VYDAJ	VYBER	15	99115	SLUZBY	\N	\N
2383551	7859	1996-01-31	VYDAJ	VYBER	15	95342	SLUZBY	\N	\N
2383552	7859	1996-02-29	VYDAJ	VYBER	15	97771	SLUZBY	\N	\N
2383553	7859	1996-03-31	VYDAJ	VYBER	15	96395	SLUZBY	\N	\N
2383554	7859	1996-04-30	VYDAJ	VYBER	15	92499	SLUZBY	\N	\N
2383555	7859	1996-05-31	VYDAJ	VYBER	15	98547	SLUZBY	\N	\N
2383556	7859	1996-06-30	VYDAJ	VYBER	15	58953	SLUZBY	\N	\N
2383557	7859	1996-07-31	VYDAJ	VYBER	15	58826	SLUZBY	\N	\N
2383558	7859	1996-08-31	VYDAJ	VYBER	15	77477	SLUZBY	\N	\N
2383559	7859	1996-09-30	VYDAJ	VYBER	15	67698	SLUZBY	\N	\N
2383560	7859	1996-10-31	VYDAJ	VYBER	15	84771	SLUZBY	\N	\N
2383561	7859	1996-11-30	VYDAJ	VYBER	15	99006	SLUZBY	\N	\N
2383562	7859	1996-12-31	VYDAJ	VYBER	15	66301	SLUZBY	\N	\N
2383563	7859	1997-01-31	VYDAJ	VYBER	15	65984	SLUZBY	\N	\N
2383564	7859	1997-02-28	VYDAJ	VYBER	15	93858	SLUZBY	\N	\N
2383565	7859	1997-03-31	VYDAJ	VYBER	15	107916	SLUZBY	\N	\N
2383566	7859	1997-04-30	VYDAJ	VYBER	15	91833	SLUZBY	\N	\N
2383567	7859	1997-05-31	VYDAJ	VYBER	15	71255	SLUZBY	\N	\N
2383568	7859	1997-06-30	VYDAJ	VYBER	15	31893	SLUZBY	\N	\N
2383569	7859	1997-07-31	VYDAJ	VYBER	15	52527	SLUZBY	\N	\N
2383570	7859	1997-08-31	VYDAJ	VYBER	15	66043	SLUZBY	\N	\N
2383571	7859	1997-09-30	VYDAJ	VYBER	15	74921	SLUZBY	\N	\N
2383572	7859	1997-10-31	VYDAJ	VYBER	15	70628	SLUZBY	\N	\N
2383573	7859	1997-11-30	VYDAJ	VYBER	15	56526	SLUZBY	\N	\N
2383574	7859	1997-12-31	VYDAJ	VYBER	15	70546	SLUZBY	\N	\N
2383575	7859	1998-01-31	VYDAJ	VYBER	15	63981	SLUZBY	\N	\N
2383576	7859	1998-02-28	VYDAJ	VYBER	15	77457	SLUZBY	\N	\N
2383577	7859	1998-03-31	VYDAJ	VYBER	15	72681	SLUZBY	\N	\N
2383578	7859	1998-04-30	VYDAJ	VYBER	15	72987	SLUZBY	\N	\N
2383579	7859	1998-05-31	VYDAJ	VYBER	15	84158	SLUZBY	\N	\N
2383580	7859	1998-06-30	VYDAJ	VYBER	15	41938	SLUZBY	\N	\N
2383581	7859	1998-07-31	VYDAJ	VYBER	15	67226	SLUZBY	\N	\N
2383582	7859	1998-08-31	VYDAJ	VYBER	15	74570	SLUZBY	\N	\N
2383583	7859	1998-09-30	VYDAJ	VYBER	15	83470	SLUZBY	\N	\N
2383584	7859	1998-10-31	VYDAJ	VYBER	15	90811	SLUZBY	\N	\N
2383585	7859	1998-11-30	VYDAJ	VYBER	15	92866	SLUZBY	\N	\N
2383586	7859	1995-04-13	VYDAJ	VYBER	5700	31361	\N	\N	\N
2383587	7859	1995-05-13	VYDAJ	VYBER	20400	47115	\N	\N	\N
2383588	7859	1995-06-12	VYDAJ	VYBER	9500	37847	\N	\N	\N
2383589	7859	1995-07-12	VYDAJ	VYBER	30500	61781	\N	\N	\N
2383590	7859	1995-08-11	VYDAJ	VYBER	32800	65440	\N	\N	\N
2383591	7859	1995-09-10	VYDAJ	VYBER	24500	56078	\N	\N	\N
2383592	7859	1995-10-10	VYDAJ	VYBER	28100	52772	\N	\N	\N
2383593	7859	1995-11-09	VYDAJ	VYBER	28000	61170	\N	\N	\N
2383594	7859	1995-12-09	VYDAJ	VYBER	12000	44693	\N	\N	\N
2383595	7859	1996-01-08	VYDAJ	VYBER	30600	62815	\N	\N	\N
2383596	7859	1996-02-07	VYDAJ	VYBER	28600	66742	\N	\N	\N
2383597	7859	1996-03-08	VYDAJ	VYBER	32800	59971	\N	\N	\N
2383598	7859	1996-04-07	VYDAJ	VYBER	29500	60595	\N	\N	\N
2383599	7859	1996-05-07	VYDAJ	VYBER	24000	68499	\N	\N	\N
2383600	7859	1996-06-06	VYDAJ	VYBER	23300	55247	\N	\N	\N
2383601	7859	1996-07-06	VYDAJ	VYBER	4800	54153	\N	\N	\N
2383602	7859	1996-08-05	VYDAJ	VYBER	8300	50526	\N	\N	\N
2383603	7859	1996-09-04	VYDAJ	VYBER	15500	61977	\N	\N	\N
2383604	7859	1996-10-04	VYDAJ	VYBER	13100	54598	\N	\N	\N
2383605	7859	1996-11-03	VYDAJ	VYBER	15200	69571	\N	\N	\N
2383606	7859	1996-12-03	VYDAJ	VYBER	24700	74306	\N	\N	\N
2383607	7859	1996-12-13	VYDAJ	VYBER	54000	68388	\N	\N	\N
2383608	7859	1997-01-02	VYDAJ	VYBER	8100	58201	\N	\N	\N
2383609	7859	1997-02-01	VYDAJ	VYBER	2500	63484	\N	\N	\N
2383610	7859	1997-03-03	VYDAJ	VYBER	16400	77458	\N	\N	\N
2383611	7859	1997-04-02	VYDAJ	VYBER	27800	80116	\N	\N	\N
2383612	7859	1997-05-02	VYDAJ	VYBER	17900	73933	\N	\N	\N
2383613	7859	1997-06-01	VYDAJ	VYBER	7600	63655	\N	\N	\N
2383614	7859	1997-07-01	PRIJEM	VKLAD	9100	40993	\N	\N	\N
2383615	7859	1997-07-31	VYDAJ	VYBER KARTOU	2200	50327	\N	\N	0
2383616	7859	1997-08-30	VYDAJ	VYBER	14600	65778	\N	\N	\N
2383617	7859	1997-09-29	VYDAJ	VYBER	21500	74594	\N	\N	\N
2383618	7859	1997-10-29	VYDAJ	VYBER	14900	70304	\N	\N	\N
2383619	7859	1997-11-28	VYDAJ	VYBER	9200	56244	\N	\N	\N
2383620	7859	1997-12-28	VYDAJ	VYBER	20900	70233	\N	\N	\N
2383621	7859	1998-01-27	VYDAJ	VYBER	10000	63693	\N	\N	\N
2383622	7859	1998-02-26	VYDAJ	VYBER	15800	78942	\N	\N	\N
2383623	7859	1998-03-28	VYDAJ	VYBER	22900	83718	\N	\N	\N
2383624	7859	1998-04-27	VYDAJ	VYBER	20600	72642	\N	\N	\N
2383625	7859	1998-05-27	VYDAJ	VYBER	16500	83813	\N	\N	\N
2383626	7859	1998-06-13	VYDAJ	VYBER	58000	74550	\N	\N	\N
2383627	7859	1998-06-26	VYDAJ	VYBER KARTOU	4700	69850	\N	\N	0
2383628	7859	1998-07-26	VYDAJ	VYBER KARTOU	4400	66999	\N	\N	0
2383629	7859	1998-08-25	VYDAJ	VYBER KARTOU	6200	74287	\N	\N	0
2383630	7859	1998-09-24	VYDAJ	VYBER	15700	83131	\N	\N	\N
2383631	7859	1998-10-24	VYDAJ	VYBER	23600	90431	\N	\N	\N
2383632	7859	1998-11-23	VYDAJ	VYBER	28800	92472	\N	\N	\N
2383633	7859	1998-12-13	VYDAJ	VYBER	18300	128658	\N	\N	\N
2383938	7861	1995-04-22	PRIJEM	VKLAD	700	700	\N	\N	\N
2383943	7861	1995-05-14	PRIJEM	VKLAD	18491	19191	\N	\N	\N
2383944	7861	1995-06-14	PRIJEM	VKLAD	27737	48455	\N	\N	\N
2383945	7861	1995-07-14	PRIJEM	VKLAD	18491	55054	\N	\N	\N
2383946	7861	1995-08-14	PRIJEM	VKLAD	18491	58502	\N	\N	\N
2383947	7861	1995-09-14	PRIJEM	VKLAD	18491	60863	\N	\N	\N
2383948	7861	1995-10-14	PRIJEM	VKLAD	18491	47412	\N	\N	\N
2383949	7861	1995-11-14	PRIJEM	VKLAD	18491	46208	\N	\N	\N
2383950	7861	1995-12-14	PRIJEM	VKLAD	27737	54681	\N	\N	\N
2383951	7861	1996-01-14	PRIJEM	VKLAD	18491	50088	\N	\N	\N
2383952	7861	1996-02-14	PRIJEM	VKLAD	18491	37903	\N	\N	\N
2383953	7861	1996-03-14	PRIJEM	VKLAD	18491	45847	\N	\N	\N
2383954	7861	1996-04-14	PRIJEM	VKLAD	18491	44352	\N	\N	\N
2383955	7861	1996-05-14	PRIJEM	VKLAD	18491	49620	\N	\N	\N
2383956	7861	1996-06-14	PRIJEM	VKLAD	27737	51939	\N	\N	\N
2383957	7861	1996-07-14	PRIJEM	VKLAD	18491	51511	\N	\N	\N
2383958	7861	1996-08-14	PRIJEM	VKLAD	18491	54200	\N	\N	\N
2383959	7861	1996-09-14	PRIJEM	VKLAD	18491	60415	\N	\N	\N
2383960	7861	1996-10-14	PRIJEM	VKLAD	18491	66849	\N	\N	\N
2383961	7861	1996-11-14	PRIJEM	VKLAD	18491	67622	\N	\N	\N
2383962	7861	1996-12-14	PRIJEM	VKLAD	27737	80445	\N	\N	\N
2383963	7861	1997-01-14	PRIJEM	VKLAD	18491	71977	\N	\N	\N
2383964	7861	1997-02-14	PRIJEM	VKLAD	18491	70863	\N	\N	\N
2383965	7861	1997-03-14	PRIJEM	VKLAD	18491	76162	\N	\N	\N
2383966	7861	1997-04-14	PRIJEM	VKLAD	18491	81171	\N	\N	\N
2383967	7861	1997-05-14	PRIJEM	VKLAD	18491	79696	\N	\N	\N
2383968	7861	1997-06-14	PRIJEM	VKLAD	27737	89472	\N	\N	\N
2383969	7861	1997-07-14	PRIJEM	VKLAD	18491	70431	\N	\N	\N
2383970	7861	1997-08-14	PRIJEM	VKLAD	18491	70054	\N	\N	\N
2383971	7861	1997-09-14	PRIJEM	VKLAD	18491	77646	\N	\N	\N
2383972	7861	1997-10-14	PRIJEM	VKLAD	18491	81056	\N	\N	\N
2383973	7861	1997-11-14	PRIJEM	VKLAD	18491	78885	\N	\N	\N
2383974	7861	1997-12-14	PRIJEM	VKLAD	27737	83046	\N	\N	\N
2383975	7861	1998-01-14	PRIJEM	VKLAD	18491	70589	\N	\N	\N
2383976	7861	1998-02-14	PRIJEM	VKLAD	18491	69486	\N	\N	\N
2383977	7861	1998-03-14	PRIJEM	VKLAD	18491	76960	\N	\N	\N
2383978	7861	1998-04-14	PRIJEM	VKLAD	18491	78869	\N	\N	\N
2383979	7861	1998-05-14	PRIJEM	VKLAD	18491	76489	\N	\N	\N
2383980	7861	1998-06-14	PRIJEM	VKLAD	27737	89149	\N	\N	\N
2383981	7861	1998-07-14	PRIJEM	VKLAD	18491	75969	\N	\N	\N
2383982	7861	1998-08-14	PRIJEM	VKLAD	18491	78178	\N	\N	\N
2383983	7861	1998-09-14	PRIJEM	VKLAD	18491	75008	\N	\N	\N
2383984	7861	1998-10-14	PRIJEM	VKLAD	18491	76118	\N	\N	\N
2383985	7861	1998-11-14	PRIJEM	VKLAD	18491	80533	\N	\N	\N
2383986	7861	1998-12-14	PRIJEM	VKLAD	27737	91429	\N	\N	\N
2383996	7861	1995-10-08	VYDAJ	PREVOD NA UCET	8400	34499	SIPO	GH	21743178
2383997	7861	1995-11-08	VYDAJ	PREVOD NA UCET	8400	28855	SIPO	GH	21743178
2383998	7861	1995-12-08	VYDAJ	PREVOD NA UCET	8400	28083	SIPO	GH	21743178
2383999	7861	1996-01-08	VYDAJ	PREVOD NA UCET	8400	34655	SIPO	GH	21743178
2384000	7861	1996-02-08	VYDAJ	PREVOD NA UCET	8400	20550	SIPO	GH	21743178
2384001	7861	1996-03-08	VYDAJ	PREVOD NA UCET	8400	28494	SIPO	GH	21743178
2384002	7861	1996-04-08	VYDAJ	PREVOD NA UCET	8400	29279	SIPO	GH	21743178
2384003	7861	1996-05-08	VYDAJ	PREVOD NA UCET	8400	32267	SIPO	GH	21743178
2384004	7861	1996-06-08	VYDAJ	PREVOD NA UCET	8400	25341	SIPO	GH	21743178
2384005	7861	1996-07-08	VYDAJ	PREVOD NA UCET	8400	34158	SIPO	GH	21743178
2384006	7861	1996-08-08	VYDAJ	PREVOD NA UCET	8400	36847	SIPO	GH	21743178
2384007	7861	1996-09-08	VYDAJ	PREVOD NA UCET	8400	39762	SIPO	GH	21743178
2384008	7861	1996-10-08	VYDAJ	PREVOD NA UCET	8400	52196	SIPO	GH	21743178
2384009	7861	1996-11-08	VYDAJ	PREVOD NA UCET	8400	53269	SIPO	GH	21743178
2384010	7861	1996-12-08	VYDAJ	PREVOD NA UCET	8400	59447	SIPO	GH	21743178
2384011	7861	1997-01-08	VYDAJ	PREVOD NA UCET	8400	62224	SIPO	GH	21743178
2384012	7861	1997-02-08	VYDAJ	PREVOD NA UCET	8400	51710	SIPO	GH	21743178
2384013	7861	1997-03-08	VYDAJ	PREVOD NA UCET	8400	57409	SIPO	GH	21743178
2384014	7861	1997-04-08	VYDAJ	PREVOD NA UCET	8400	68018	SIPO	GH	21743178
2384015	7861	1997-05-08	VYDAJ	PREVOD NA UCET	8400	69943	SIPO	GH	21743178
2384016	7861	1997-06-08	VYDAJ	PREVOD NA UCET	8400	71574	SIPO	GH	21743178
2384017	7861	1997-07-08	VYDAJ	PREVOD NA UCET	8400	53678	SIPO	GH	21743178
2384018	7861	1997-08-08	VYDAJ	PREVOD NA UCET	8400	62261	SIPO	GH	21743178
2384019	7861	1997-09-08	VYDAJ	PREVOD NA UCET	8400	61893	SIPO	GH	21743178
2384020	7861	1997-10-08	VYDAJ	PREVOD NA UCET	8400	67203	SIPO	GH	21743178
2384021	7861	1997-11-08	VYDAJ	PREVOD NA UCET	8400	61532	SIPO	GH	21743178
2384022	7861	1997-12-08	VYDAJ	PREVOD NA UCET	8400	57247	SIPO	GH	21743178
2384023	7861	1998-01-08	VYDAJ	PREVOD NA UCET	8400	66716	SIPO	GH	21743178
2384024	7861	1998-02-08	VYDAJ	PREVOD NA UCET	8400	52133	SIPO	GH	21743178
2384025	7861	1998-03-08	VYDAJ	PREVOD NA UCET	8400	59607	SIPO	GH	21743178
2384026	7861	1998-04-08	VYDAJ	PREVOD NA UCET	8400	61516	SIPO	GH	21743178
2384027	7861	1998-05-08	VYDAJ	PREVOD NA UCET	8400	59136	SIPO	GH	21743178
2384028	7861	1998-06-08	VYDAJ	PREVOD NA UCET	8400	62550	SIPO	GH	21743178
2384029	7861	1998-07-08	VYDAJ	PREVOD NA UCET	8400	58616	SIPO	GH	21743178
2384030	7861	1998-08-08	VYDAJ	PREVOD NA UCET	8400	60825	SIPO	GH	21743178
2384031	7861	1998-09-08	VYDAJ	PREVOD NA UCET	8400	57655	SIPO	GH	21743178
2384032	7861	1998-10-08	VYDAJ	PREVOD NA UCET	8400	58158	SIPO	GH	21743178
2384033	7861	1998-11-08	VYDAJ	PREVOD NA UCET	8400	62573	SIPO	GH	21743178
2384034	7861	1998-12-08	VYDAJ	PREVOD NA UCET	8400	64223	SIPO	GH	21743178
2384044	7861	1995-10-10	VYDAJ	PREVOD NA UCET	400	34099	 	OP	58806037
2384045	7861	1995-11-10	VYDAJ	PREVOD NA UCET	400	28455	 	OP	58806037
2384046	7861	1995-12-10	VYDAJ	PREVOD NA UCET	400	27683	 	OP	58806037
2384047	7861	1996-01-10	VYDAJ	PREVOD NA UCET	400	34255	 	OP	58806037
2384048	7861	1996-02-10	VYDAJ	PREVOD NA UCET	400	20150	 	OP	58806037
2384049	7861	1996-03-10	VYDAJ	PREVOD NA UCET	400	28094	 	OP	58806037
2384050	7861	1996-04-10	VYDAJ	PREVOD NA UCET	400	26599	 	OP	58806037
2384051	7861	1996-05-10	VYDAJ	PREVOD NA UCET	400	31867	 	OP	58806037
2384052	7861	1996-06-10	VYDAJ	PREVOD NA UCET	400	24941	 	OP	58806037
2384053	7861	1996-07-10	VYDAJ	PREVOD NA UCET	400	33758	 	OP	58806037
2384054	7861	1996-08-10	VYDAJ	PREVOD NA UCET	400	36447	 	OP	58806037
2384055	7861	1996-09-10	VYDAJ	PREVOD NA UCET	400	39362	 	OP	58806037
2384056	7861	1996-10-10	VYDAJ	PREVOD NA UCET	400	51796	 	OP	58806037
2384057	7861	1996-11-10	VYDAJ	PREVOD NA UCET	400	52869	 	OP	58806037
2384058	7861	1996-12-10	VYDAJ	PREVOD NA UCET	400	59047	 	OP	58806037
2384059	7861	1997-01-10	VYDAJ	PREVOD NA UCET	400	61824	 	OP	58806037
2384060	7861	1997-02-10	VYDAJ	PREVOD NA UCET	400	53110	 	OP	58806037
2384061	7861	1997-03-10	VYDAJ	PREVOD NA UCET	400	57009	 	OP	58806037
2384062	7861	1997-04-10	VYDAJ	PREVOD NA UCET	400	67618	 	OP	58806037
2384063	7861	1997-05-10	VYDAJ	PREVOD NA UCET	400	69543	 	OP	58806037
2384064	7861	1997-06-10	VYDAJ	PREVOD NA UCET	400	62474	 	OP	58806037
2384065	7861	1997-07-10	VYDAJ	PREVOD NA UCET	400	53278	 	OP	58806037
2384066	7861	1997-08-10	VYDAJ	PREVOD NA UCET	400	58061	 	OP	58806037
2384067	7861	1997-09-10	VYDAJ	PREVOD NA UCET	400	59893	 	OP	58806037
2384068	7861	1997-10-10	VYDAJ	PREVOD NA UCET	400	63303	 	OP	58806037
2384069	7861	1997-11-10	VYDAJ	PREVOD NA UCET	400	61132	 	OP	58806037
2384070	7861	1997-12-10	VYDAJ	PREVOD NA UCET	400	56047	 	OP	58806037
2384071	7861	1998-01-10	VYDAJ	PREVOD NA UCET	400	66316	 	OP	58806037
2384072	7861	1998-02-10	VYDAJ	PREVOD NA UCET	400	51733	 	OP	58806037
2384073	7861	1998-03-10	VYDAJ	PREVOD NA UCET	400	59207	 	OP	58806037
2384074	7861	1998-04-10	VYDAJ	PREVOD NA UCET	400	61116	 	OP	58806037
2384075	7861	1998-05-10	VYDAJ	PREVOD NA UCET	400	58736	 	OP	58806037
2384076	7861	1998-06-10	VYDAJ	PREVOD NA UCET	400	62150	 	OP	58806037
2384077	7861	1998-07-10	VYDAJ	PREVOD NA UCET	400	58216	 	OP	58806037
2384078	7861	1998-08-10	VYDAJ	PREVOD NA UCET	400	60425	 	OP	58806037
2384079	7861	1998-09-10	VYDAJ	PREVOD NA UCET	400	57255	 	OP	58806037
2384080	7861	1998-10-10	VYDAJ	PREVOD NA UCET	400	57758	 	OP	58806037
2384081	7861	1998-11-10	VYDAJ	PREVOD NA UCET	400	62173	 	OP	58806037
2384082	7861	1998-12-10	VYDAJ	PREVOD NA UCET	400	63823	 	OP	58806037
2384092	7861	1995-10-05	VYDAJ	PREVOD NA UCET	26	42899	POJISTNE	WX	69198441
2384093	7861	1995-11-05	VYDAJ	PREVOD NA UCET	26	37255	POJISTNE	WX	69198441
2384094	7861	1995-12-05	VYDAJ	PREVOD NA UCET	26	38723	POJISTNE	WX	69198441
2384095	7861	1996-01-05	VYDAJ	PREVOD NA UCET	26	44495	POJISTNE	WX	69198441
2384096	7861	1996-02-05	VYDAJ	PREVOD NA UCET	26	28950	POJISTNE	WX	69198441
2384097	7861	1996-03-05	VYDAJ	PREVOD NA UCET	26	36894	POJISTNE	WX	69198441
2384098	7861	1996-04-05	VYDAJ	PREVOD NA UCET	26	37679	POJISTNE	WX	69198441
2384099	7861	1996-05-05	VYDAJ	PREVOD NA UCET	26	40667	POJISTNE	WX	69198441
2384100	7861	1996-06-05	VYDAJ	PREVOD NA UCET	26	38541	POJISTNE	WX	69198441
2384101	7861	1996-07-05	VYDAJ	PREVOD NA UCET	26	42558	POJISTNE	WX	69198441
2384102	7861	1996-08-05	VYDAJ	PREVOD NA UCET	26	45247	POJISTNE	WX	69198441
2384103	7861	1996-09-05	VYDAJ	PREVOD NA UCET	26	48162	POJISTNE	WX	69198441
2384104	7861	1996-10-05	VYDAJ	PREVOD NA UCET	26	60596	POJISTNE	WX	69198441
2384105	7861	1996-11-05	VYDAJ	PREVOD NA UCET	26	61669	POJISTNE	WX	69198441
2384106	7861	1996-12-05	VYDAJ	PREVOD NA UCET	26	67847	POJISTNE	WX	69198441
2384107	7861	1997-01-05	VYDAJ	PREVOD NA UCET	26	73824	POJISTNE	WX	69198441
2384108	7861	1997-02-05	VYDAJ	PREVOD NA UCET	26	60110	POJISTNE	WX	69198441
2384109	7861	1997-03-05	VYDAJ	PREVOD NA UCET	26	71089	POJISTNE	WX	69198441
2384110	7861	1997-04-05	VYDAJ	PREVOD NA UCET	26	76418	POJISTNE	WX	69198441
2384111	7861	1997-05-05	VYDAJ	PREVOD NA UCET	26	78343	POJISTNE	WX	69198441
2384112	7861	1997-06-05	VYDAJ	PREVOD NA UCET	26	79974	POJISTNE	WX	69198441
2384113	7861	1997-07-05	VYDAJ	PREVOD NA UCET	26	62078	POJISTNE	WX	69198441
2384114	7861	1997-08-05	VYDAJ	PREVOD NA UCET	26	70661	POJISTNE	WX	69198441
2384115	7861	1997-09-05	VYDAJ	PREVOD NA UCET	26	70293	POJISTNE	WX	69198441
2384116	7861	1997-10-05	VYDAJ	PREVOD NA UCET	26	75603	POJISTNE	WX	69198441
2384117	7861	1997-11-05	VYDAJ	PREVOD NA UCET	26	81332	POJISTNE	WX	69198441
2384118	7861	1997-12-05	VYDAJ	PREVOD NA UCET	26	70947	POJISTNE	WX	69198441
2384119	7861	1998-01-05	VYDAJ	PREVOD NA UCET	26	83316	POJISTNE	WX	69198441
2384120	7861	1998-02-05	VYDAJ	PREVOD NA UCET	26	60533	POJISTNE	WX	69198441
2384121	7861	1998-03-05	VYDAJ	PREVOD NA UCET	26	69707	POJISTNE	WX	69198441
2384122	7861	1998-04-05	VYDAJ	PREVOD NA UCET	26	77216	POJISTNE	WX	69198441
2384123	7861	1998-05-05	VYDAJ	PREVOD NA UCET	26	79136	POJISTNE	WX	69198441
2384124	7861	1998-06-05	VYDAJ	PREVOD NA UCET	26	76750	POJISTNE	WX	69198441
2384125	7861	1998-07-05	VYDAJ	PREVOD NA UCET	26	67016	POJISTNE	WX	69198441
2384126	7861	1998-08-05	VYDAJ	PREVOD NA UCET	26	69225	POJISTNE	WX	69198441
2384127	7861	1998-09-05	VYDAJ	PREVOD NA UCET	26	66055	POJISTNE	WX	69198441
2384128	7861	1998-10-05	VYDAJ	PREVOD NA UCET	26	68858	POJISTNE	WX	69198441
2384129	7861	1998-11-05	VYDAJ	PREVOD NA UCET	26	71673	POJISTNE	WX	69198441
2384130	7861	1998-12-05	VYDAJ	PREVOD NA UCET	26	72623	POJISTNE	WX	69198441
2384140	7861	1995-10-13	VYDAJ	PREVOD NA UCET	131	28921	 	MN	77948432
2384141	7861	1995-11-13	VYDAJ	PREVOD NA UCET	131	27717	 	MN	77948432
2384142	7861	1995-12-13	VYDAJ	PREVOD NA UCET	131	26945	 	MN	77948432
2384143	7861	1996-01-13	VYDAJ	PREVOD NA UCET	131	31597	 	MN	77948432
2384144	7861	1996-02-13	VYDAJ	PREVOD NA UCET	131	19412	 	MN	77948432
2384145	7861	1996-03-13	VYDAJ	PREVOD NA UCET	131	27356	 	MN	77948432
2384146	7861	1996-04-13	VYDAJ	PREVOD NA UCET	131	25861	 	MN	77948432
2384147	7861	1996-05-13	VYDAJ	PREVOD NA UCET	131	31129	 	MN	77948432
2384148	7861	1996-06-13	VYDAJ	PREVOD NA UCET	131	24203	 	MN	77948432
2384149	7861	1996-07-13	VYDAJ	PREVOD NA UCET	131	33020	 	MN	77948432
2384150	7861	1996-08-13	VYDAJ	PREVOD NA UCET	131	35709	 	MN	77948432
2384151	7861	1996-09-13	VYDAJ	PREVOD NA UCET	131	41924	 	MN	77948432
2384152	7861	1996-10-13	VYDAJ	PREVOD NA UCET	131	51058	 	MN	77948432
2384153	7861	1996-11-13	VYDAJ	PREVOD NA UCET	131	49131	 	MN	77948432
2384154	7861	1996-12-13	VYDAJ	PREVOD NA UCET	131	53909	 	MN	77948432
2384155	7861	1997-01-13	VYDAJ	PREVOD NA UCET	131	53486	 	MN	77948432
2384156	7861	1997-02-13	VYDAJ	PREVOD NA UCET	131	52372	 	MN	77948432
2384157	7861	1997-03-13	VYDAJ	PREVOD NA UCET	131	57671	 	MN	77948432
2384158	7861	1997-04-13	VYDAJ	PREVOD NA UCET	131	62680	 	MN	77948432
2384159	7861	1997-05-13	VYDAJ	PREVOD NA UCET	131	61205	 	MN	77948432
2384160	7861	1997-06-13	VYDAJ	PREVOD NA UCET	131	61736	 	MN	77948432
2384161	7861	1997-07-13	VYDAJ	PREVOD NA UCET	131	51940	 	MN	77948432
2384162	7861	1997-08-13	VYDAJ	PREVOD NA UCET	131	51563	 	MN	77948432
2384163	7861	1997-09-13	VYDAJ	PREVOD NA UCET	131	59155	 	MN	77948432
2384164	7861	1997-10-13	VYDAJ	PREVOD NA UCET	131	62565	 	MN	77948432
2384165	7861	1997-11-13	VYDAJ	PREVOD NA UCET	131	60394	 	MN	77948432
2384166	7861	1997-12-13	VYDAJ	PREVOD NA UCET	131	55309	 	MN	77948432
2384167	7861	1998-01-13	VYDAJ	PREVOD NA UCET	131	52098	 	MN	77948432
2384168	7861	1998-02-13	VYDAJ	PREVOD NA UCET	131	50995	 	MN	77948432
2384169	7861	1998-03-13	VYDAJ	PREVOD NA UCET	131	58469	 	MN	77948432
2384170	7861	1998-04-13	VYDAJ	PREVOD NA UCET	131	60378	 	MN	77948432
2384171	7861	1998-05-13	VYDAJ	PREVOD NA UCET	131	57998	 	MN	77948432
2384172	7861	1998-06-13	VYDAJ	PREVOD NA UCET	131	61412	 	MN	77948432
2384173	7861	1998-07-13	VYDAJ	PREVOD NA UCET	131	57478	 	MN	77948432
2384174	7861	1998-08-13	VYDAJ	PREVOD NA UCET	131	59687	 	MN	77948432
2384175	7861	1998-09-13	VYDAJ	PREVOD NA UCET	131	56517	 	MN	77948432
2384176	7861	1998-10-13	VYDAJ	PREVOD NA UCET	131	57627	 	MN	77948432
2384177	7861	1998-11-13	VYDAJ	PREVOD NA UCET	131	62042	 	MN	77948432
2384178	7861	1998-12-13	VYDAJ	PREVOD NA UCET	131	63692	 	MN	77948432
2384188	7861	1995-10-12	VYDAJ	PREVOD NA UCET	607	29052	UVER	WX	68080514
2384189	7861	1995-11-12	VYDAJ	PREVOD NA UCET	607	27848	UVER	WX	68080514
2384190	7861	1995-12-12	VYDAJ	PREVOD NA UCET	607	27076	UVER	WX	68080514
2384191	7861	1996-01-12	VYDAJ	PREVOD NA UCET	607	31728	UVER	WX	68080514
2384192	7861	1996-02-12	VYDAJ	PREVOD NA UCET	607	19543	UVER	WX	68080514
2384193	7861	1996-03-12	VYDAJ	PREVOD NA UCET	607	27487	UVER	WX	68080514
2384194	7861	1996-04-12	VYDAJ	PREVOD NA UCET	607	25992	UVER	WX	68080514
2384195	7861	1996-05-12	VYDAJ	PREVOD NA UCET	607	31260	UVER	WX	68080514
2384196	7861	1996-06-12	VYDAJ	PREVOD NA UCET	607	24334	UVER	WX	68080514
2384197	7861	1996-07-12	VYDAJ	PREVOD NA UCET	607	33151	UVER	WX	68080514
2384198	7861	1996-08-12	VYDAJ	PREVOD NA UCET	607	35840	UVER	WX	68080514
2384199	7861	1996-09-12	VYDAJ	PREVOD NA UCET	607	38755	UVER	WX	68080514
2384200	7861	1996-10-12	VYDAJ	PREVOD NA UCET	607	51189	UVER	WX	68080514
2384201	7861	1996-11-12	VYDAJ	PREVOD NA UCET	607	52262	UVER	WX	68080514
2384202	7861	1996-12-12	VYDAJ	PREVOD NA UCET	607	54040	UVER	WX	68080514
2384203	7861	1997-01-12	VYDAJ	PREVOD NA UCET	607	53617	UVER	WX	68080514
2384204	7861	1997-02-12	VYDAJ	PREVOD NA UCET	607	52503	UVER	WX	68080514
2384205	7861	1997-03-12	VYDAJ	PREVOD NA UCET	607	57802	UVER	WX	68080514
2384206	7861	1997-04-12	VYDAJ	PREVOD NA UCET	607	62811	UVER	WX	68080514
2384207	7861	1997-05-12	VYDAJ	PREVOD NA UCET	607	61336	UVER	WX	68080514
2384208	7861	1997-06-12	VYDAJ	PREVOD NA UCET	607	61867	UVER	WX	68080514
2384209	7861	1997-07-12	VYDAJ	PREVOD NA UCET	607	52071	UVER	WX	68080514
2384210	7861	1997-08-12	VYDAJ	PREVOD NA UCET	607	51694	UVER	WX	68080514
2384211	7861	1997-09-12	VYDAJ	PREVOD NA UCET	607	59286	UVER	WX	68080514
2384212	7861	1997-10-12	VYDAJ	PREVOD NA UCET	607	62696	UVER	WX	68080514
2384213	7861	1997-11-12	VYDAJ	PREVOD NA UCET	607	60525	UVER	WX	68080514
2384214	7861	1997-12-12	VYDAJ	PREVOD NA UCET	607	55440	UVER	WX	68080514
2384215	7861	1998-01-12	VYDAJ	PREVOD NA UCET	607	65709	UVER	WX	68080514
2384216	7861	1998-02-12	VYDAJ	PREVOD NA UCET	607	51126	UVER	WX	68080514
2384217	7861	1998-03-12	VYDAJ	PREVOD NA UCET	607	58600	UVER	WX	68080514
2384218	7861	1998-04-12	VYDAJ	PREVOD NA UCET	607	60509	UVER	WX	68080514
2384219	7861	1998-05-12	VYDAJ	PREVOD NA UCET	607	58129	UVER	WX	68080514
2384220	7861	1998-06-12	VYDAJ	PREVOD NA UCET	607	61543	UVER	WX	68080514
2384221	7861	1998-07-12	VYDAJ	PREVOD NA UCET	607	57609	UVER	WX	68080514
2384222	7861	1998-08-12	VYDAJ	PREVOD NA UCET	607	59818	UVER	WX	68080514
2384223	7861	1998-09-12	VYDAJ	PREVOD NA UCET	607	56648	UVER	WX	68080514
2384224	7861	1998-10-08	VYDAJ	VYBER	500	66558	\N	\N	0
2384225	7861	1998-11-05	VYDAJ	VYBER	700	70973	\N	\N	0
2384226	7861	1998-12-17	VYDAJ	VYBER	600	90829	\N	\N	0
2384229	7861	1997-06-27	VYDAJ	VYBER	27680	61792	\N	\N	\N
2384230	7861	1998-06-26	VYDAJ	VYBER	10240	78909	\N	\N	\N
2384232	7861	1996-01-30	VYDAJ	VYBER	4160	28828	\N	\N	\N
2384233	7861	1997-01-24	VYDAJ	VYBER KARTOU	4000	61677	\N	\N	0
2384234	7861	1998-01-13	VYDAJ	VYBER	10880	52229	\N	\N	\N
2384235	7861	1995-12-07	VYDAJ	VYBER	2240	36483	\N	\N	\N
2384236	7861	1996-12-24	VYDAJ	VYBER	4480	75965	\N	\N	\N
2384237	7861	1997-12-09	VYDAJ	VYBER KARTOU	800	56447	\N	\N	0
2384238	7861	1998-12-24	VYDAJ	VYBER KARTOU	800	90029	\N	\N	0
2384245	7861	1996-01-19	VYDAJ	VYBER	1080	39108	\N	\N	\N
2384246	7861	1996-01-12	VYDAJ	VYBER	1920	32335	\N	\N	\N
2384247	7861	1996-01-03	VYDAJ	VYBER	1920	44521	\N	\N	\N
2384248	7861	1996-01-06	VYDAJ	VYBER	1440	43055	\N	\N	\N
2384249	7861	1996-01-30	VYDAJ	VYBER	3360	32988	\N	\N	\N
2384250	7861	1996-01-20	VYDAJ	VYBER	2760	36348	\N	\N	\N
2384251	7861	1997-01-05	VYDAJ	VYBER KARTOU	2400	73850	\N	\N	0
2384252	7861	1997-01-18	VYDAJ	VYBER KARTOU	3200	68777	\N	\N	0
2384253	7861	1997-01-06	VYDAJ	VYBER KARTOU	3200	70624	\N	\N	0
2384254	7861	1997-01-11	VYDAJ	VYBER KARTOU	1700	60124	\N	\N	0
2384255	7861	1997-01-18	VYDAJ	VYBER KARTOU	3100	65677	\N	\N	0
2384256	7861	1997-01-26	VYDAJ	VYBER KARTOU	1800	59877	\N	\N	0
2384257	7861	1998-01-28	VYDAJ	VYBER KARTOU	3500	57989	\N	\N	0
2384258	7861	1998-01-27	VYDAJ	VYBER KARTOU	2900	61489	\N	\N	0
2384259	7861	1998-01-12	VYDAJ	VYBER KARTOU	2600	63109	\N	\N	0
2384260	7861	1998-01-27	VYDAJ	VYBER KARTOU	1900	64389	\N	\N	0
2384261	7861	1998-01-18	VYDAJ	VYBER KARTOU	3100	67489	\N	\N	0
2384262	7861	1998-01-26	VYDAJ	VYBER KARTOU	1200	66289	\N	\N	0
2384263	7861	1995-10-20	VYDAJ	VYBER	3480	37132	\N	\N	\N
2384264	7861	1995-10-11	VYDAJ	VYBER	4440	29659	\N	\N	\N
2384267	7861	1996-04-09	VYDAJ	VYBER	2280	26999	\N	\N	\N
2384268	7861	1996-12-13	VYDAJ	VYBER KARTOU	1200	52709	\N	\N	0
2384269	7861	1996-05-20	VYDAJ	VYBER	3000	38420	\N	\N	\N
2384270	7861	1996-11-03	VYDAJ	VYBER	5400	61695	\N	\N	\N
2384271	7861	1996-03-25	VYDAJ	VYBER	1080	37567	\N	\N	\N
2384272	7861	1996-06-07	VYDAJ	VYBER	4800	33741	\N	\N	\N
2384273	7861	1997-11-26	VYDAJ	VYBER KARTOU	3400	70685	\N	\N	0
2384274	7861	1997-08-11	VYDAJ	VYBER	5760	52301	\N	\N	\N
2384275	7861	1997-09-25	VYDAJ	VYBER KARTOU	2300	75346	\N	\N	0
2384276	7861	1997-04-11	VYDAJ	VYBER KARTOU	3000	64618	\N	\N	0
2384277	7861	1997-04-15	VYDAJ	VYBER KARTOU	3100	78071	\N	\N	0
2384278	7861	1997-11-19	VYDAJ	VYBER	4800	74085	\N	\N	\N
2384279	7861	1997-03-05	VYDAJ	VYBER	5280	65809	\N	\N	\N
2384280	7861	1998-05-07	VYDAJ	VYBER KARTOU	2500	67536	\N	\N	0
2384281	7861	1998-08-22	VYDAJ	VYBER	4680	73498	\N	\N	\N
2384282	7861	1998-12-03	VYDAJ	VYBER	4680	72649	\N	\N	\N
2384283	7861	1998-07-02	VYDAJ	VYBER	5880	73342	\N	\N	\N
2384284	7861	1998-10-05	VYDAJ	VYBER KARTOU	1800	67058	\N	\N	0
2384294	7861	1995-09-30	VYDAJ	VYBER	15	42925	SLUZBY	\N	\N
2384295	7861	1995-10-31	VYDAJ	VYBER	15	37281	SLUZBY	\N	\N
2384296	7861	1995-11-30	VYDAJ	VYBER	15	38749	SLUZBY	\N	\N
2384297	7861	1995-12-31	VYDAJ	VYBER	15	46441	SLUZBY	\N	\N
2384298	7861	1996-01-31	VYDAJ	VYBER	15	28976	SLUZBY	\N	\N
2384299	7861	1996-02-29	VYDAJ	VYBER	15	36920	SLUZBY	\N	\N
2384300	7861	1996-03-31	VYDAJ	VYBER	15	37705	SLUZBY	\N	\N
2384301	7861	1996-04-30	VYDAJ	VYBER	15	40693	SLUZBY	\N	\N
2384302	7861	1996-05-31	VYDAJ	VYBER	15	38567	SLUZBY	\N	\N
2384303	7861	1996-06-30	VYDAJ	VYBER	15	42584	SLUZBY	\N	\N
2384304	7861	1996-07-31	VYDAJ	VYBER	15	45273	SLUZBY	\N	\N
2384305	7861	1996-08-31	VYDAJ	VYBER	15	48188	SLUZBY	\N	\N
2384306	7861	1996-09-30	VYDAJ	VYBER	15	60622	SLUZBY	\N	\N
2384307	7861	1996-10-31	VYDAJ	VYBER	15	67095	SLUZBY	\N	\N
2384308	7861	1996-11-30	VYDAJ	VYBER	15	67873	SLUZBY	\N	\N
2384309	7861	1996-12-31	VYDAJ	VYBER	15	76250	SLUZBY	\N	\N
2384310	7861	1997-01-31	VYDAJ	VYBER	15	60136	SLUZBY	\N	\N
2384311	7861	1997-02-28	VYDAJ	VYBER	15	71115	SLUZBY	\N	\N
2384312	7861	1997-03-31	VYDAJ	VYBER	15	76444	SLUZBY	\N	\N
2384313	7861	1997-04-30	VYDAJ	VYBER	15	78369	SLUZBY	\N	\N
2384314	7861	1997-05-31	VYDAJ	VYBER	15	80000	SLUZBY	\N	\N
2384315	7861	1997-06-30	VYDAJ	VYBER	15	62104	SLUZBY	\N	\N
2384316	7861	1997-07-31	VYDAJ	VYBER	15	70687	SLUZBY	\N	\N
2384317	7861	1997-08-31	VYDAJ	VYBER	15	70319	SLUZBY	\N	\N
2384318	7861	1997-09-30	VYDAJ	VYBER	15	75629	SLUZBY	\N	\N
2384319	7861	1997-10-31	VYDAJ	VYBER	15	81358	SLUZBY	\N	\N
2384320	7861	1997-11-30	VYDAJ	VYBER	15	70973	SLUZBY	\N	\N
2384321	7861	1997-12-31	VYDAJ	VYBER	15	83342	SLUZBY	\N	\N
2384322	7861	1998-01-31	VYDAJ	VYBER	15	58259	SLUZBY	\N	\N
2384323	7861	1998-02-28	VYDAJ	VYBER	15	69733	SLUZBY	\N	\N
2384324	7861	1998-03-31	VYDAJ	VYBER	15	77242	SLUZBY	\N	\N
2384325	7861	1998-04-30	VYDAJ	VYBER	15	79162	SLUZBY	\N	\N
2384326	7861	1998-05-31	VYDAJ	VYBER	15	76776	SLUZBY	\N	\N
2384327	7861	1998-06-30	VYDAJ	VYBER	15	79222	SLUZBY	\N	\N
2384328	7861	1998-07-31	VYDAJ	VYBER	15	76251	SLUZBY	\N	\N
2384329	7861	1998-08-31	VYDAJ	VYBER	15	73781	SLUZBY	\N	\N
2384330	7861	1998-09-30	VYDAJ	VYBER	15	75284	SLUZBY	\N	\N
2384331	7861	1998-10-31	VYDAJ	VYBER	15	76399	SLUZBY	\N	\N
2384332	7861	1998-11-30	VYDAJ	VYBER	15	80829	SLUZBY	\N	\N
2384333	7861	1995-05-22	PRIJEM	VKLAD	1500	20691	\N	\N	\N
2384334	7861	1995-06-21	VYDAJ	VYBER	12000	36455	\N	\N	\N
2384335	7861	1995-07-21	VYDAJ	VYBER	15200	39854	\N	\N	\N
2384336	7861	1995-08-20	VYDAJ	VYBER	16300	42202	\N	\N	\N
2384337	7861	1995-09-19	VYDAJ	VYBER	18100	42763	\N	\N	\N
2384338	7861	1995-10-19	VYDAJ	VYBER	6800	40612	\N	\N	\N
2384339	7861	1995-11-18	VYDAJ	VYBER	7600	38608	\N	\N	\N
2384340	7861	1995-12-18	VYDAJ	VYBER	8400	46281	\N	\N	\N
2384341	7861	1996-01-17	VYDAJ	VYBER	9900	40188	\N	\N	\N
2384342	7861	1996-02-16	VYDAJ	VYBER	1100	36803	\N	\N	\N
2384343	7861	1996-03-17	VYDAJ	VYBER	7200	38647	\N	\N	\N
2384344	7861	1996-04-16	VYDAJ	VYBER	3800	40552	\N	\N	\N
2384345	7861	1996-05-16	VYDAJ	VYBER	8200	41420	\N	\N	\N
2384346	7861	1996-06-15	VYDAJ	VYBER	9500	42439	\N	\N	\N
2384347	7861	1996-07-15	VYDAJ	VYBER	6400	45111	\N	\N	\N
2384348	7861	1996-08-14	VYDAJ	VYBER	6200	48000	\N	\N	\N
2384349	7861	1996-09-13	PRIJEM	VKLAD	3300	42055	\N	\N	\N
2384350	7861	1996-10-13	VYDAJ	VYBER	2700	48358	\N	\N	\N
2384351	7861	1996-11-12	VYDAJ	VYBER KARTOU	3000	49262	\N	\N	0
2384352	7861	1996-12-12	VYDAJ	VYBER	4400	54647	\N	\N	\N
2384353	7861	1997-01-11	VYDAJ	VYBER	5900	54224	\N	\N	\N
2384354	7861	1997-02-10	PRIJEM	VKLAD	1800	53510	\N	\N	\N
2384355	7861	1997-03-12	PRIJEM	VKLAD	1400	58409	\N	\N	\N
2384356	7861	1997-04-11	VYDAJ	VYBER KARTOU	1200	63418	\N	\N	0
2384357	7861	1997-05-11	VYDAJ	VYBER	7600	61943	\N	\N	\N
2384358	7861	1997-06-10	VYDAJ	VYBER	8700	62874	\N	\N	\N
2384359	7861	1997-07-10	VYDAJ	VYBER KARTOU	600	52678	\N	\N	0
2384360	7861	1997-08-09	VYDAJ	VYBER KARTOU	3800	58461	\N	\N	0
2384361	7861	1997-09-08	VYDAJ	VYBER KARTOU	1600	60293	\N	\N	0
2384362	7861	1997-10-08	VYDAJ	VYBER KARTOU	3500	63703	\N	\N	0
2384363	7861	1997-11-07	VYDAJ	VYBER	11400	69932	\N	\N	\N
2384364	7861	1997-12-07	VYDAJ	VYBER	5300	65647	\N	\N	\N
2384365	7861	1998-01-06	VYDAJ	VYBER	8200	75116	\N	\N	\N
2384366	7861	1998-02-05	PRIJEM	VKLAD	2300	60559	\N	\N	\N
2384367	7861	1998-03-07	VYDAJ	VYBER KARTOU	1700	68007	\N	\N	0
2384368	7861	1998-04-06	VYDAJ	VYBER	7300	69916	\N	\N	\N
2384369	7861	1998-05-06	VYDAJ	VYBER	9100	70036	\N	\N	\N
2384370	7861	1998-06-05	VYDAJ	VYBER	5800	70950	\N	\N	\N
2384371	7861	1998-07-05	VYDAJ	VYBER	6300	67042	\N	\N	\N
2384372	7861	1998-08-04	VYDAJ	VYBER	7000	69251	\N	\N	\N
2384373	7861	1998-09-03	VYDAJ	VYBER	7700	66081	\N	\N	\N
2384374	7861	1998-10-03	VYDAJ	VYBER	6400	68884	\N	\N	\N
2384375	7861	1998-11-02	VYDAJ	VYBER	4700	71699	\N	\N	\N
2384376	7861	1998-12-02	VYDAJ	VYBER KARTOU	3500	77329	\N	\N	0
2391936	7890	1996-03-26	PRIJEM	VKLAD	300	300	\N	\N	\N
2391940	7890	1996-04-10	PRIJEM	VKLAD	6457	6757	\N	\N	\N
2391941	7890	1996-05-10	PRIJEM	VKLAD	6457	21226	\N	\N	\N
2391942	7890	1996-06-10	PRIJEM	VKLAD	9686	34884	\N	\N	\N
2391943	7890	1996-07-10	PRIJEM	VKLAD	6457	39052	\N	\N	\N
2391944	7890	1996-08-10	PRIJEM	VKLAD	6457	39445	\N	\N	\N
2391945	7890	1996-09-10	PRIJEM	VKLAD	6457	33217	\N	\N	\N
2391946	7890	1996-10-10	PRIJEM	VKLAD	6457	30974	\N	\N	\N
2391947	7890	1996-11-10	PRIJEM	VKLAD	6457	29118	\N	\N	\N
2391948	7890	1996-12-10	PRIJEM	VKLAD	9686	30076	\N	\N	\N
2391949	7890	1997-01-10	PRIJEM	VKLAD	6457	25611	\N	\N	\N
2391950	7890	1997-02-10	PRIJEM	VKLAD	6457	21533	\N	\N	\N
2391951	7890	1997-03-10	PRIJEM	VKLAD	6457	20450	\N	\N	\N
2391952	7890	1997-04-10	PRIJEM	VKLAD	6457	22556	\N	\N	\N
2391953	7890	1997-05-10	PRIJEM	VKLAD	6457	27369	\N	\N	\N
2391954	7890	1997-06-10	PRIJEM	VKLAD	9686	31728	\N	\N	\N
2391955	7890	1997-07-10	PRIJEM	VKLAD	6457	31970	\N	\N	\N
2391956	7890	1997-08-10	PRIJEM	VKLAD	6457	29619	\N	\N	\N
2391957	7890	1997-09-10	PRIJEM	VKLAD	6457	30160	\N	\N	\N
2391958	7890	1997-10-10	PRIJEM	VKLAD	6457	34308	\N	\N	\N
2391959	7890	1997-11-10	PRIJEM	VKLAD	6457	30565	\N	\N	\N
2391960	7890	1997-12-10	PRIJEM	VKLAD	9686	31790	\N	\N	\N
2391961	7890	1998-01-10	PRIJEM	VKLAD	6457	30685	\N	\N	\N
2391962	7890	1998-02-10	PRIJEM	VKLAD	6457	26464	\N	\N	\N
2391963	7890	1998-03-10	PRIJEM	VKLAD	6457	37358	\N	\N	\N
2391964	7890	1998-04-10	PRIJEM	VKLAD	6457	38782	\N	\N	\N
2391965	7890	1998-05-10	PRIJEM	VKLAD	6457	42411	\N	\N	\N
2391966	7890	1998-06-10	PRIJEM	VKLAD	9686	49585	\N	\N	\N
2391967	7890	1998-07-10	PRIJEM	VKLAD	6457	28321	\N	\N	\N
2391968	7890	1998-08-10	PRIJEM	VKLAD	6457	36227	\N	\N	\N
2391969	7890	1998-09-10	PRIJEM	VKLAD	6457	47971	\N	\N	\N
2391970	7890	1998-10-10	PRIJEM	VKLAD	6457	52140	\N	\N	\N
2391971	7890	1998-11-10	PRIJEM	VKLAD	6457	57334	\N	\N	\N
2391972	7890	1998-12-10	PRIJEM	VKLAD	9686	59170	\N	\N	\N
2391980	7890	1996-08-10	VYDAJ	PREVOD NA UCET	4304	35141	SIPO	ST	40316993
2391981	7890	1996-09-10	VYDAJ	PREVOD NA UCET	4304	28913	SIPO	ST	40316993
2391982	7890	1996-10-10	VYDAJ	PREVOD NA UCET	4304	26670	SIPO	ST	40316993
2391983	7890	1996-11-10	VYDAJ	PREVOD NA UCET	4304	24814	SIPO	ST	40316993
2391984	7890	1996-12-10	VYDAJ	PREVOD NA UCET	4304	25772	SIPO	ST	40316993
2391985	7890	1997-01-10	VYDAJ	PREVOD NA UCET	4304	21307	SIPO	ST	40316993
2391986	7890	1997-02-10	VYDAJ	PREVOD NA UCET	4304	17229	SIPO	ST	40316993
2391987	7890	1997-03-10	VYDAJ	PREVOD NA UCET	4304	16146	SIPO	ST	40316993
2391988	7890	1997-04-10	VYDAJ	PREVOD NA UCET	4304	18252	SIPO	ST	40316993
2391989	7890	1997-05-10	VYDAJ	PREVOD NA UCET	4304	23065	SIPO	ST	40316993
2391990	7890	1997-06-10	VYDAJ	PREVOD NA UCET	4304	27424	SIPO	ST	40316993
2391991	7890	1997-07-10	VYDAJ	PREVOD NA UCET	4304	27666	SIPO	ST	40316993
2391992	7890	1997-08-10	VYDAJ	PREVOD NA UCET	4304	25315	SIPO	ST	40316993
2391993	7890	1997-09-10	VYDAJ	PREVOD NA UCET	4304	25856	SIPO	ST	40316993
2391994	7890	1997-10-10	VYDAJ	PREVOD NA UCET	4304	30004	SIPO	ST	40316993
2391995	7890	1997-11-10	VYDAJ	PREVOD NA UCET	4304	26261	SIPO	ST	40316993
2391996	7890	1997-12-10	VYDAJ	PREVOD NA UCET	4304	27486	SIPO	ST	40316993
2391997	7890	1998-01-10	VYDAJ	PREVOD NA UCET	4304	26381	SIPO	ST	40316993
2391998	7890	1998-02-10	VYDAJ	PREVOD NA UCET	4304	22160	SIPO	ST	40316993
2391999	7890	1998-03-10	VYDAJ	PREVOD NA UCET	4304	33054	SIPO	ST	40316993
2392000	7890	1998-04-10	VYDAJ	PREVOD NA UCET	4304	34478	SIPO	ST	40316993
2392001	7890	1998-05-10	VYDAJ	PREVOD NA UCET	4304	38107	SIPO	ST	40316993
2392002	7890	1998-06-10	VYDAJ	PREVOD NA UCET	4304	45281	SIPO	ST	40316993
2392003	7890	1998-07-10	VYDAJ	PREVOD NA UCET	4304	24017	SIPO	ST	40316993
2392004	7890	1998-08-10	VYDAJ	PREVOD NA UCET	4304	31923	SIPO	ST	40316993
2392005	7890	1998-09-10	VYDAJ	PREVOD NA UCET	4304	43667	SIPO	ST	40316993
2392006	7890	1998-10-10	VYDAJ	PREVOD NA UCET	4304	47836	SIPO	ST	40316993
2392007	7890	1998-11-10	VYDAJ	PREVOD NA UCET	4304	53030	SIPO	ST	40316993
2392008	7890	1998-12-10	VYDAJ	PREVOD NA UCET	4304	54866	SIPO	ST	40316993
2392016	7890	1996-08-13	VYDAJ	VYBER	1200	33941	\N	\N	0
2392017	7890	1996-09-17	VYDAJ	VYBER	2000	26913	\N	\N	0
2392018	7890	1996-10-06	VYDAJ	VYBER	1500	24517	\N	\N	0
2392019	7890	1996-11-20	VYDAJ	VYBER	1500	18914	\N	\N	0
2392020	7890	1996-12-19	VYDAJ	VYBER	1900	23872	\N	\N	0
2392021	7890	1997-01-21	VYDAJ	VYBER	1600	16507	\N	\N	0
2392022	7890	1997-02-07	VYDAJ	VYBER	1500	15076	\N	\N	0
2392023	7890	1997-03-11	VYDAJ	VYBER	1900	14246	\N	\N	0
2392024	7890	1997-04-11	VYDAJ	VYBER	2000	16252	\N	\N	0
2392025	7890	1997-05-19	VYDAJ	VYBER	1800	21265	\N	\N	0
2392026	7890	1997-06-19	VYDAJ	VYBER	1700	25724	\N	\N	0
2392027	7890	1997-07-16	VYDAJ	VYBER	1700	25966	\N	\N	0
2392028	7890	1997-08-07	VYDAJ	VYBER	1800	23162	\N	\N	0
2392029	7890	1997-09-14	VYDAJ	VYBER	1200	24656	\N	\N	0
2392030	7890	1997-10-21	VYDAJ	VYBER	1300	26004	\N	\N	0
2392031	7890	1997-11-12	VYDAJ	PREVOD NA UCET	1653	24608	UVER	WX	15278214
2392032	7890	1997-12-12	VYDAJ	PREVOD NA UCET	1653	25833	UVER	WX	15278214
2392033	7890	1998-01-12	VYDAJ	PREVOD NA UCET	1653	24728	UVER	WX	15278214
2392034	7890	1998-02-12	VYDAJ	PREVOD NA UCET	1653	20507	UVER	WX	15278214
2392035	7890	1998-03-12	VYDAJ	PREVOD NA UCET	1653	31401	UVER	WX	15278214
2392036	7890	1998-04-12	VYDAJ	PREVOD NA UCET	1653	32825	UVER	WX	15278214
2392037	7890	1998-05-12	VYDAJ	PREVOD NA UCET	1653	36454	UVER	WX	15278214
2392038	7890	1998-06-12	VYDAJ	PREVOD NA UCET	1653	43628	UVER	WX	15278214
2392039	7890	1998-07-12	VYDAJ	PREVOD NA UCET	1653	22364	UVER	WX	15278214
2392040	7890	1998-08-12	VYDAJ	PREVOD NA UCET	1653	30270	UVER	WX	15278214
2392041	7890	1998-09-12	VYDAJ	PREVOD NA UCET	1653	45514	UVER	WX	15278214
2392042	7890	1998-10-12	VYDAJ	PREVOD NA UCET	1653	50683	UVER	WX	15278214
2392043	7890	1998-11-12	VYDAJ	PREVOD NA UCET	1653	54177	UVER	WX	15278214
2392044	7890	1998-12-12	VYDAJ	PREVOD NA UCET	1653	57213	UVER	WX	15278214
2392047	7890	1998-06-21	VYDAJ	VYBER	25900	21728	\N	\N	\N
2392050	7890	1998-01-18	VYDAJ	VYBER	4500	19928	\N	\N	\N
2392051	7890	1996-12-23	VYDAJ	VYBER	1600	19072	\N	\N	\N
2392052	7890	1997-12-05	VYDAJ	VYBER	1300	22104	\N	\N	\N
2392053	7890	1998-12-07	VYDAJ	VYBER	2700	49484	\N	\N	\N
2392056	7890	1996-09-01	VYDAJ	VYBER	1700	26760	\N	\N	\N
2392059	7890	1996-08-18	VYDAJ	VYBER	3000	30941	\N	\N	\N
2392060	7890	1996-11-16	VYDAJ	VYBER	4400	20414	\N	\N	\N
2392061	7890	1997-03-02	VYDAJ	VYBER	4600	13993	\N	\N	\N
2392062	7890	1997-11-07	VYDAJ	VYBER	2000	24108	\N	\N	\N
2392063	7890	1997-12-02	VYDAJ	VYBER	3700	23404	\N	\N	\N
2392064	7890	1997-12-26	VYDAJ	VYBER	4200	24133	\N	\N	\N
2392065	7890	1997-08-13	VYDAJ	VYBER	1800	23515	\N	\N	\N
2392066	7890	1998-08-03	VYDAJ	VYBER	4000	29770	\N	\N	\N
2392067	7890	1998-01-17	VYDAJ	VYBER	4100	24428	\N	\N	\N
2392068	7890	1998-12-05	VYDAJ	VYBER	2200	52184	\N	\N	\N
2392069	7890	1998-03-25	VYDAJ	VYBER	1500	35301	\N	\N	\N
2392070	7890	1998-03-26	VYDAJ	VYBER	3100	32201	\N	\N	\N
2392079	7890	1996-08-31	VYDAJ	VYBER	15	28460	SLUZBY	\N	\N
2392080	7890	1996-09-30	VYDAJ	VYBER	15	26017	SLUZBY	\N	\N
2392081	7890	1996-10-31	VYDAJ	VYBER	15	22661	SLUZBY	\N	\N
2392082	7890	1996-11-30	VYDAJ	VYBER	15	20390	SLUZBY	\N	\N
2392083	7890	1996-12-31	VYDAJ	VYBER	15	19154	SLUZBY	\N	\N
2392084	7890	1997-01-31	VYDAJ	VYBER	15	16576	SLUZBY	\N	\N
2392085	7890	1997-02-28	VYDAJ	VYBER	15	18593	SLUZBY	\N	\N
2392086	7890	1997-03-31	VYDAJ	VYBER	15	16099	SLUZBY	\N	\N
2392087	7890	1997-04-30	VYDAJ	VYBER	15	20912	SLUZBY	\N	\N
2392088	7890	1997-05-31	VYDAJ	VYBER	15	22042	SLUZBY	\N	\N
2392089	7890	1997-06-30	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
2392090	7890	1997-07-31	VYDAJ	VYBER	15	24962	SLUZBY	\N	\N
2392091	7890	1997-08-31	VYDAJ	VYBER	15	23703	SLUZBY	\N	\N
2392092	7890	1997-09-30	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
2392093	7890	1997-10-31	VYDAJ	VYBER	15	26108	SLUZBY	\N	\N
2392094	7890	1997-11-30	VYDAJ	VYBER	15	27104	SLUZBY	\N	\N
2392095	7890	1997-12-31	VYDAJ	VYBER	15	24228	SLUZBY	\N	\N
2392096	7890	1998-01-31	VYDAJ	VYBER	15	20007	SLUZBY	\N	\N
2392097	7890	1998-02-28	VYDAJ	VYBER	15	30901	SLUZBY	\N	\N
2392098	7890	1998-03-31	VYDAJ	VYBER	15	32325	SLUZBY	\N	\N
2392099	7890	1998-04-30	VYDAJ	VYBER	15	35954	SLUZBY	\N	\N
2392100	7890	1998-05-31	VYDAJ	VYBER	15	39899	SLUZBY	\N	\N
2392101	7890	1998-06-30	VYDAJ	VYBER	15	21864	SLUZBY	\N	\N
2392102	7890	1998-07-31	VYDAJ	VYBER	15	33770	SLUZBY	\N	\N
2392103	7890	1998-08-31	VYDAJ	VYBER	15	41514	SLUZBY	\N	\N
2392104	7890	1998-09-30	VYDAJ	VYBER	15	45683	SLUZBY	\N	\N
2392105	7890	1998-10-31	VYDAJ	VYBER	15	50877	SLUZBY	\N	\N
2392106	7890	1998-11-30	VYDAJ	VYBER	15	54384	SLUZBY	\N	\N
2392107	7890	1996-04-25	PRIJEM	VKLAD	8000	14757	\N	\N	\N
2392108	7890	1996-05-25	PRIJEM	VKLAD	3900	25126	\N	\N	\N
2392109	7890	1996-06-24	VYDAJ	VYBER	2400	32484	\N	\N	\N
2392110	7890	1996-07-24	VYDAJ	VYBER	6200	32852	\N	\N	\N
2392111	7890	1996-08-23	VYDAJ	VYBER	2600	28341	\N	\N	\N
2392112	7890	1996-09-22	VYDAJ	VYBER	1000	25913	\N	\N	\N
2392113	7890	1996-10-22	VYDAJ	VYBER	4100	22570	\N	\N	\N
2392114	7890	1996-11-21	PRIJEM	VKLAD	1400	20314	\N	\N	\N
2392115	7890	1996-12-21	VYDAJ	VYBER	3200	20672	\N	\N	\N
2392116	7890	1997-01-20	VYDAJ	VYBER	3200	18107	\N	\N	\N
2392117	7890	1997-02-19	PRIJEM	VKLAD	1300	18529	\N	\N	\N
2392118	7890	1997-03-21	PRIJEM	VKLAD	1800	16046	\N	\N	\N
2392119	7890	1997-04-20	PRIJEM	VKLAD	4600	20852	\N	\N	\N
2392120	7890	1997-05-20	PRIJEM	VKLAD	700	21965	\N	\N	\N
2392121	7890	1997-06-19	VYDAJ	VYBER	300	25424	\N	\N	\N
2392122	7890	1997-07-19	VYDAJ	VYBER	1100	24866	\N	\N	\N
2392123	7890	1997-08-18	PRIJEM	VKLAD	100	23615	\N	\N	\N
2392124	7890	1997-09-17	PRIJEM	VKLAD	3100	27756	\N	\N	\N
2392125	7890	1997-10-17	VYDAJ	VYBER	2700	27304	\N	\N	\N
2392126	7890	1997-11-16	PRIJEM	VKLAD	2400	27008	\N	\N	\N
2392127	7890	1997-12-16	PRIJEM	VKLAD	2500	28333	\N	\N	\N
2392128	7890	1998-01-15	PRIJEM	VKLAD	3800	28528	\N	\N	\N
2392129	7890	1998-02-14	PRIJEM	VKLAD	10300	30807	\N	\N	\N
2392130	7890	1998-03-16	PRIJEM	VKLAD	5400	36801	\N	\N	\N
2392131	7890	1998-04-15	PRIJEM	VKLAD	3000	35825	\N	\N	\N
2392132	7890	1998-05-15	PRIJEM	VKLAD	3300	39754	\N	\N	\N
2392133	7890	1998-06-14	PRIJEM	VKLAD	4000	47628	\N	\N	\N
2392134	7890	1998-07-14	PRIJEM	VKLAD	11300	33664	\N	\N	\N
2392135	7890	1998-08-13	PRIJEM	VKLAD	11100	41370	\N	\N	\N
2392136	7890	1998-09-12	PRIJEM	VKLAD	3500	47167	\N	\N	\N
2392137	7890	1998-10-12	PRIJEM	VKLAD	4500	52336	\N	\N	\N
2392138	7890	1998-11-11	PRIJEM	VKLAD	2800	55830	\N	\N	\N
2392139	7890	1998-12-11	PRIJEM	VKLAD	4000	58866	\N	\N	\N
2393016	7894	1996-04-09	PRIJEM	VKLAD	300	300	\N	\N	\N
2393017	7894	1996-08-08	PRIJEM	VKLAD	25573	56396	\N	\N	\N
2393018	7894	1996-08-16	PRIJEM	VKLAD	28549	104735	\N	\N	\N
2393019	7894	1996-09-24	PRIJEM	VKLAD	45805	110006	\N	\N	\N
2393021	7894	1996-06-25	PRIJEM	VKLAD	15034	69949	\N	\N	\N
2393023	7894	1996-10-28	PRIJEM	VKLAD	35953	86407	\N	\N	\N
2393024	7894	1996-04-27	PRIJEM	VKLAD	43980	104344	\N	\N	\N
2393025	7894	1996-04-12	PRIJEM	VKLAD	22859	23159	\N	\N	\N
2393026	7894	1996-09-04	PRIJEM	VKLAD	49910	133012	\N	\N	\N
2393027	7894	1996-09-13	PRIJEM	VKLAD	20174	68401	\N	\N	\N
2393028	7894	1996-08-10	PRIJEM	VKLAD	16273	106671	\N	\N	\N
2393029	7894	1996-04-13	PRIJEM	VKLAD	37205	60364	\N	\N	\N
2393030	7894	1996-06-22	PRIJEM	VKLAD	32467	54915	\N	\N	\N
2393031	7894	1996-10-26	PRIJEM	VKLAD	29164	50454	\N	\N	\N
2393034	7894	1996-05-04	PRIJEM	VKLAD	47983	108479	\N	\N	\N
2393035	7894	1996-05-02	PRIJEM	VKLAD	38073	105696	\N	\N	\N
2393037	7894	1996-10-30	PRIJEM	VKLAD	41603	128010	\N	\N	\N
2393038	7894	1996-07-15	PRIJEM	VKLAD	25026	42965	\N	\N	\N
2393039	7894	1996-08-08	PRIJEM	VKLAD	34002	90398	\N	\N	\N
2393041	7894	1997-02-18	PRIJEM	VKLAD	14937	53817	\N	\N	\N
2393042	7894	1997-09-29	PRIJEM	VKLAD	23279	86007	\N	\N	\N
2393043	7894	1997-08-21	PRIJEM	VKLAD	36227	68311	\N	\N	\N
2393044	7894	1997-09-21	PRIJEM	VKLAD	21113	62728	\N	\N	\N
2393045	7894	1997-03-19	PRIJEM	VKLAD	27745	101707	\N	\N	\N
2393046	7894	1997-10-11	PRIJEM	VKLAD	43851	121501	\N	\N	\N
2393047	7894	1997-10-11	PRIJEM	VKLAD	44052	77650	\N	\N	\N
2393048	7894	1997-05-14	PRIJEM	VKLAD	25663	76834	\N	\N	\N
2393049	7894	1997-07-09	PRIJEM	VKLAD	15827	43208	\N	\N	\N
2393050	7894	1997-04-05	PRIJEM	VKLAD	45787	110629	\N	\N	\N
2393051	7894	1997-08-01	PRIJEM	VKLAD	9319	45169	\N	\N	\N
2393052	7894	1997-11-25	PRIJEM	VKLAD	8601	42190	\N	\N	\N
2393053	7894	1997-01-11	PRIJEM	VKLAD	47055	79827	\N	\N	\N
2393054	7894	1997-12-17	PRIJEM	VKLAD	9951	44851	\N	\N	\N
2393055	7894	1997-01-13	PRIJEM	VKLAD	29785	99727	\N	\N	\N
2393056	7894	1997-03-07	PRIJEM	VKLAD	39733	85647	\N	\N	\N
2393057	7894	1997-05-10	PRIJEM	VKLAD	29694	58656	\N	\N	\N
2393058	7894	1997-06-05	PRIJEM	VKLAD	10719	63680	\N	\N	\N
2393059	7894	1997-01-04	PRIJEM	VKLAD	9847	34372	\N	\N	\N
2393060	7894	1998-12-30	PRIJEM	VKLAD	7572	44410	\N	\N	\N
2393061	7894	1998-03-10	PRIJEM	VKLAD	16430	45555	\N	\N	\N
2393062	7894	1998-11-04	PRIJEM	VKLAD	25813	85557	\N	\N	\N
2393063	7894	1998-09-17	PRIJEM	VKLAD	39647	99521	\N	\N	\N
2393064	7894	1998-08-25	PRIJEM	VKLAD	46176	85073	\N	\N	\N
2393065	7894	1998-08-08	PRIJEM	VKLAD	10595	50636	\N	\N	\N
2393066	7894	1998-07-18	PRIJEM	VKLAD	33804	48624	\N	\N	\N
2393067	7894	1998-09-15	PRIJEM	VKLAD	26185	59874	\N	\N	\N
2393068	7894	1998-10-27	PRIJEM	VKLAD	11541	59502	\N	\N	\N
2393069	7894	1998-04-05	PRIJEM	VKLAD	27633	72211	\N	\N	\N
2393070	7894	1998-03-12	PRIJEM	VKLAD	40945	79015	\N	\N	\N
2393071	7894	1998-04-05	PRIJEM	VKLAD	34597	106808	\N	\N	\N
2393076	7894	1996-05-03	VYDAJ	VYBER	4800	60496	\N	\N	0
2393077	7894	1996-06-13	VYDAJ	VYBER	4900	22448	\N	\N	0
2393078	7894	1996-07-15	VYDAJ	VYBER	3900	39065	\N	\N	0
2393079	7894	1996-08-18	VYDAJ	VYBER	4300	100435	\N	\N	0
2393080	7894	1996-09-15	VYDAJ	VYBER	4200	64201	\N	\N	0
2393081	7894	1996-10-11	VYDAJ	VYBER	4500	52592	\N	\N	0
2393082	7894	1996-11-11	VYDAJ	VYBER	3400	53150	\N	\N	0
2393083	7894	1996-12-18	VYDAJ	VYBER	3300	24401	\N	\N	0
2393084	7894	1997-01-17	VYDAJ	VYBER	4100	78227	\N	\N	0
2393085	7894	1997-02-06	VYDAJ	VYBER	4600	46365	\N	\N	0
2393086	7894	1997-03-15	VYDAJ	VYBER	4200	73962	\N	\N	0
2393087	7894	1997-04-19	VYDAJ	VYBER	4600	27394	\N	\N	0
2393088	7894	1997-05-06	VYDAJ	VYBER	4300	28962	\N	\N	0
2393089	7894	1997-06-20	VYDAJ	VYBER	3900	52295	\N	\N	0
2393090	7894	1997-07-02	VYDAJ	VYBER	3400	24481	\N	\N	0
2393091	7894	1997-08-18	VYDAJ	VYBER	3500	32084	\N	\N	0
2393092	7894	1997-09-05	VYDAJ	VYBER	3300	49100	\N	\N	0
2393093	7894	1997-10-19	VYDAJ	VYBER	3300	57716	\N	\N	0
2393094	7894	1997-11-12	VYDAJ	PREVOD NA UCET	4254	33589	UVER	CD	54257065
2393095	7894	1997-12-12	VYDAJ	PREVOD NA UCET	4254	34900	UVER	CD	54257065
2393096	7894	1998-01-12	VYDAJ	PREVOD NA UCET	4254	16580	UVER	CD	54257065
2393097	7894	1998-02-12	VYDAJ	PREVOD NA UCET	4254	17135	UVER	CD	54257065
2393098	7894	1998-03-12	VYDAJ	PREVOD NA UCET	4254	74762	UVER	CD	54257065
2393099	7894	1998-04-12	VYDAJ	PREVOD NA UCET	4254	95069	UVER	CD	54257065
2393100	7894	1998-05-12	VYDAJ	PREVOD NA UCET	4254	50250	UVER	CD	54257065
2393101	7894	1998-06-12	VYDAJ	PREVOD NA UCET	4254	17777	UVER	CD	54257065
2393102	7894	1998-07-12	VYDAJ	PREVOD NA UCET	4254	14820	UVER	CD	54257065
2393103	7894	1998-08-12	VYDAJ	PREVOD NA UCET	4254	38897	UVER	CD	54257065
2393104	7894	1998-09-12	VYDAJ	PREVOD NA UCET	4254	33689	UVER	CD	54257065
2393105	7894	1998-10-12	VYDAJ	PREVOD NA UCET	4254	58361	UVER	CD	54257065
2393106	7894	1998-11-12	VYDAJ	PREVOD NA UCET	4254	73818	UVER	CD	54257065
2393107	7894	1998-12-12	VYDAJ	PREVOD NA UCET	4254	45638	UVER	CD	54257065
2393112	7894	1996-05-11	VYDAJ	PREVOD NA UCET	4780	46094	SIPO	ST	28510761
2393113	7894	1996-06-11	VYDAJ	PREVOD NA UCET	4780	27348	SIPO	ST	28510761
2393114	7894	1996-07-11	VYDAJ	PREVOD NA UCET	4780	27230	SIPO	ST	28510761
2393115	7894	1996-08-11	VYDAJ	PREVOD NA UCET	4780	76186	SIPO	ST	28510761
2393116	7894	1996-09-11	VYDAJ	PREVOD NA UCET	4780	48227	SIPO	ST	28510761
2393117	7894	1996-10-11	VYDAJ	PREVOD NA UCET	4780	47812	SIPO	ST	28510761
2393118	7894	1996-11-11	VYDAJ	PREVOD NA UCET	4780	48370	SIPO	ST	28510761
2393119	7894	1996-12-11	VYDAJ	PREVOD NA UCET	4780	34606	SIPO	ST	28510761
2393120	7894	1997-01-11	VYDAJ	PREVOD NA UCET	4780	75047	SIPO	ST	28510761
2393121	7894	1997-02-11	VYDAJ	PREVOD NA UCET	4780	41585	SIPO	ST	28510761
2393122	7894	1997-03-11	VYDAJ	PREVOD NA UCET	4780	78162	SIPO	ST	28510761
2393123	7894	1997-04-11	VYDAJ	PREVOD NA UCET	4780	31994	SIPO	ST	28510761
2393124	7894	1997-05-11	VYDAJ	PREVOD NA UCET	4780	53876	SIPO	ST	28510761
2393125	7894	1997-06-11	VYDAJ	PREVOD NA UCET	4780	58900	SIPO	ST	28510761
2393126	7894	1997-07-11	VYDAJ	PREVOD NA UCET	4780	35723	SIPO	ST	28510761
2393127	7894	1997-08-11	VYDAJ	PREVOD NA UCET	4780	35584	SIPO	ST	28510761
2393128	7894	1997-09-11	VYDAJ	PREVOD NA UCET	4780	44320	SIPO	ST	28510761
2393129	7894	1997-10-11	VYDAJ	PREVOD NA UCET	4780	116721	SIPO	ST	28510761
2393130	7894	1997-11-11	VYDAJ	PREVOD NA UCET	4780	40548	SIPO	ST	28510761
2393131	7894	1997-12-11	VYDAJ	PREVOD NA UCET	4780	39154	SIPO	ST	28510761
2393132	7894	1998-01-11	VYDAJ	PREVOD NA UCET	4780	20834	SIPO	ST	28510761
2393133	7894	1998-02-11	VYDAJ	PREVOD NA UCET	4780	24093	SIPO	ST	28510761
2393134	7894	1998-03-11	VYDAJ	PREVOD NA UCET	4780	40775	SIPO	ST	28510761
2393135	7894	1998-04-11	VYDAJ	PREVOD NA UCET	4780	102028	SIPO	ST	28510761
2393136	7894	1998-05-11	VYDAJ	PREVOD NA UCET	4780	57209	SIPO	ST	28510761
2393137	7894	1998-06-11	VYDAJ	PREVOD NA UCET	4780	24736	SIPO	ST	28510761
2393138	7894	1998-07-11	VYDAJ	PREVOD NA UCET	4780	21779	SIPO	ST	28510761
2393139	7894	1998-08-11	VYDAJ	PREVOD NA UCET	4780	43151	SIPO	ST	28510761
2393140	7894	1998-09-11	VYDAJ	PREVOD NA UCET	4780	40647	SIPO	ST	28510761
2393141	7894	1998-10-11	VYDAJ	PREVOD NA UCET	4780	62614	SIPO	ST	28510761
2393142	7894	1998-11-11	VYDAJ	PREVOD NA UCET	4780	78072	SIPO	ST	28510761
2393143	7894	1998-12-11	VYDAJ	PREVOD NA UCET	4780	49891	SIPO	ST	28510761
2393148	7894	1996-05-11	VYDAJ	PREVOD NA UCET	2705	50874	 	ST	49265408
2393149	7894	1996-06-11	VYDAJ	PREVOD NA UCET	2705	32128	 	ST	49265408
2393150	7894	1996-07-11	VYDAJ	PREVOD NA UCET	2705	24525	 	ST	49265408
2393151	7894	1996-08-11	VYDAJ	PREVOD NA UCET	2705	80966	 	ST	49265408
2393152	7894	1996-09-11	VYDAJ	PREVOD NA UCET	2705	53007	 	ST	49265408
2393153	7894	1996-10-11	VYDAJ	PREVOD NA UCET	2705	45107	 	ST	49265408
2393154	7894	1996-11-11	VYDAJ	PREVOD NA UCET	2705	45665	 	ST	49265408
2393155	7894	1996-12-11	VYDAJ	PREVOD NA UCET	2705	31901	 	ST	49265408
2393156	7894	1997-01-11	VYDAJ	PREVOD NA UCET	2705	72342	 	ST	49265408
2393157	7894	1997-02-11	VYDAJ	PREVOD NA UCET	2705	38880	 	ST	49265408
2393158	7894	1997-03-11	VYDAJ	PREVOD NA UCET	2705	82942	 	ST	49265408
2393159	7894	1997-04-11	VYDAJ	PREVOD NA UCET	2705	36774	 	ST	49265408
2393160	7894	1997-05-11	VYDAJ	PREVOD NA UCET	2705	51171	 	ST	49265408
2393161	7894	1997-06-11	VYDAJ	PREVOD NA UCET	2705	56195	 	ST	49265408
2393162	7894	1997-07-11	VYDAJ	PREVOD NA UCET	2705	40503	 	ST	49265408
2393163	7894	1997-08-11	VYDAJ	PREVOD NA UCET	2705	40364	 	ST	49265408
2393164	7894	1997-09-11	VYDAJ	PREVOD NA UCET	2705	41615	 	ST	49265408
2393165	7894	1997-10-11	VYDAJ	PREVOD NA UCET	2705	61016	 	ST	49265408
2393166	7894	1997-11-11	VYDAJ	PREVOD NA UCET	2705	37843	 	ST	49265408
2393167	7894	1997-12-11	VYDAJ	PREVOD NA UCET	2705	43934	 	ST	49265408
2393168	7894	1998-01-11	VYDAJ	PREVOD NA UCET	2705	25614	 	ST	49265408
2393169	7894	1998-02-11	VYDAJ	PREVOD NA UCET	2705	21388	 	ST	49265408
2393170	7894	1998-03-11	VYDAJ	PREVOD NA UCET	2705	38070	 	ST	49265408
2393171	7894	1998-04-11	VYDAJ	PREVOD NA UCET	2705	99323	 	ST	49265408
2393172	7894	1998-05-11	VYDAJ	PREVOD NA UCET	2705	54504	 	ST	49265408
2393173	7894	1998-06-11	VYDAJ	PREVOD NA UCET	2705	22031	 	ST	49265408
2393174	7894	1998-07-11	VYDAJ	PREVOD NA UCET	2705	19074	 	ST	49265408
2393175	7894	1998-08-11	VYDAJ	PREVOD NA UCET	2705	47931	 	ST	49265408
2393176	7894	1998-09-11	VYDAJ	PREVOD NA UCET	2705	37942	 	ST	49265408
2393177	7894	1998-10-11	VYDAJ	PREVOD NA UCET	2705	67394	 	ST	49265408
2393178	7894	1998-11-11	VYDAJ	PREVOD NA UCET	2705	82852	 	ST	49265408
2393179	7894	1998-12-11	VYDAJ	PREVOD NA UCET	2705	54671	 	ST	49265408
2393181	7894	1996-10-24	VYBER	VYBER	23817	21290	\N	\N	\N
2393182	7894	1996-07-12	VYBER	VYBER	6586	17939	\N	\N	\N
2393186	7894	1996-06-29	VYBER	VYBER	18901	51048	\N	\N	\N
2393187	7894	1996-08-31	VYBER	VYBER	17652	83116	\N	\N	\N
2393189	7894	1996-07-28	VYBER	VYBER	9290	29775	\N	\N	\N
2393190	7894	1997-04-10	VYBER	VYBER	23150	39479	\N	\N	\N
2393191	7894	1997-10-08	VYBER	VYBER	19807	33598	\N	\N	\N
2393192	7894	1997-09-30	VYBER	VYBER	18519	67719	\N	\N	\N
2393193	7894	1997-06-26	VYBER	VYBER	24627	27668	\N	\N	\N
2393199	7894	1998-09-09	VYBER	VYBER	16935	45427	\N	\N	\N
2393200	7894	1998-08-30	VYBER	VYBER	2188	62185	\N	\N	\N
2393201	7894	1998-03-04	VYBER	VYBER	3586	29125	\N	\N	\N
2393203	7894	1998-03-14	VYBER	VYBER	17940	56822	\N	\N	\N
2393204	7894	1998-03-30	VYBER	VYBER	3531	51191	\N	\N	\N
2393205	7894	1998-05-30	VYBER	VYBER	15339	31711	\N	\N	\N
2393210	7894	1997-01-14	VYDAJ	VYBER	10800	82327	\N	\N	\N
2393211	7894	1998-01-09	VYDAJ	VYBER	12000	28319	\N	\N	\N
2393212	7894	1996-12-16	VYDAJ	VYBER	4200	27701	\N	\N	\N
2393213	7894	1997-12-30	VYDAJ	VYBER KARTOU	3900	45551	\N	\N	0
2393214	7894	1998-12-19	VYDAJ	VYBER	8700	36938	\N	\N	\N
2393221	7894	1997-01-22	VYDAJ	VYBER	5100	73127	\N	\N	\N
2393222	7894	1997-01-13	VYDAJ	VYBER	6600	93127	\N	\N	\N
2393223	7894	1997-01-12	VYDAJ	VYBER KARTOU	2400	69942	\N	\N	0
2393225	7894	1997-01-25	VYDAJ	VYBER KARTOU	3900	69227	\N	\N	0
2393226	7894	1997-01-30	VYDAJ	VYBER	7800	61427	\N	\N	\N
2393231	7894	1998-01-04	VYDAJ	VYBER	5400	40319	\N	\N	\N
2393234	7894	1996-07-03	VYDAJ	VYBER	12300	38910	\N	\N	\N
2393235	7894	1997-10-23	VYDAJ	VYBER	13800	43916	\N	\N	\N
2393237	7894	1997-05-24	VYDAJ	VYBER	7500	69334	\N	\N	\N
2393238	7894	1997-03-30	VYDAJ	VYBER	6900	94807	\N	\N	\N
2393239	7894	1998-03-24	VYDAJ	VYBER KARTOU	2100	54722	\N	\N	0
2393240	7894	1998-07-24	VYDAJ	VYBER	7200	41424	\N	\N	\N
2393241	7894	1998-06-08	VYDAJ	VYBER KARTOU	2400	29516	\N	\N	0
2393242	7894	1998-04-23	VYDAJ	VYBER	5700	89369	\N	\N	\N
2393248	7894	1996-05-31	VYDAJ	VYBER	15	46333	SLUZBY	\N	\N
2393249	7894	1996-06-30	VYDAJ	VYBER	15	51210	SLUZBY	\N	\N
2393250	7894	1996-07-31	VYDAJ	VYBER	15	29923	SLUZBY	\N	\N
2393251	7894	1996-08-31	VYDAJ	VYBER	15	83102	SLUZBY	\N	\N
2393252	7894	1996-09-30	VYDAJ	VYBER	15	80392	SLUZBY	\N	\N
2393253	7894	1996-10-31	VYDAJ	VYBER	15	78150	SLUZBY	\N	\N
2393254	7894	1996-11-30	VYDAJ	VYBER	15	45886	SLUZBY	\N	\N
2393255	7894	1996-12-31	VYDAJ	VYBER	15	24525	SLUZBY	\N	\N
2393256	7894	1997-01-31	VYDAJ	VYBER	15	61665	SLUZBY	\N	\N
2393257	7894	1997-02-28	VYDAJ	VYBER	15	54014	SLUZBY	\N	\N
2393258	7894	1997-03-31	VYDAJ	VYBER	15	95142	SLUZBY	\N	\N
2393259	7894	1997-04-30	VYDAJ	VYBER	15	27562	SLUZBY	\N	\N
2393260	7894	1997-05-31	VYDAJ	VYBER	15	69561	SLUZBY	\N	\N
2393261	7894	1997-06-30	VYDAJ	VYBER	15	27881	SLUZBY	\N	\N
2393262	7894	1997-07-31	VYDAJ	VYBER	15	35850	SLUZBY	\N	\N
2393263	7894	1997-08-31	VYDAJ	VYBER	15	68500	SLUZBY	\N	\N
2393264	7894	1997-09-30	VYDAJ	VYBER	15	67705	SLUZBY	\N	\N
2393265	7894	1997-10-31	VYDAJ	VYBER	15	45328	SLUZBY	\N	\N
2393266	7894	1997-11-30	VYDAJ	VYBER	15	46639	SLUZBY	\N	\N
2393267	7894	1997-12-31	VYDAJ	VYBER	15	45719	SLUZBY	\N	\N
2393268	7894	1998-01-31	VYDAJ	VYBER	15	28873	SLUZBY	\N	\N
2393269	7894	1998-02-28	VYDAJ	VYBER	15	32711	SLUZBY	\N	\N
2393270	7894	1998-03-31	VYDAJ	VYBER	15	44578	SLUZBY	\N	\N
2393271	7894	1998-04-30	VYDAJ	VYBER	15	61989	SLUZBY	\N	\N
2393272	7894	1998-05-31	VYDAJ	VYBER	15	31916	SLUZBY	\N	\N
2393273	7894	1998-06-30	VYDAJ	VYBER	15	26559	SLUZBY	\N	\N
2393274	7894	1998-07-31	VYDAJ	VYBER	15	40041	SLUZBY	\N	\N
2393275	7894	1998-08-31	VYDAJ	VYBER	15	62362	SLUZBY	\N	\N
2393276	7894	1998-09-30	VYDAJ	VYBER	15	70099	SLUZBY	\N	\N
2393277	7894	1998-10-31	VYDAJ	VYBER	15	59744	SLUZBY	\N	\N
2393278	7894	1998-11-30	VYDAJ	VYBER	15	57376	SLUZBY	\N	\N
2393279	7894	1996-04-27	VYDAJ	VYBER	36900	67444	\N	\N	\N
2393280	7894	1996-05-02	VYDAJ	VYBER	40400	65296	\N	\N	\N
2393281	7894	1996-05-04	VYDAJ	VYBER	19500	88979	\N	\N	\N
2393282	7894	1996-05-09	VYDAJ	VYBER	35400	53579	\N	\N	\N
2393283	7894	1996-06-08	VYDAJ	VYBER	11500	34833	\N	\N	\N
2393284	7894	1996-07-08	VYDAJ	VYBER	6900	32010	\N	\N	\N
2393285	7894	1996-08-07	PRIJEM	VKLAD	900	30823	\N	\N	\N
2393286	7894	1996-08-10	VYDAJ	VYBER	23000	83671	\N	\N	\N
2393287	7894	1996-09-04	VYDAJ	VYBER	52700	80312	\N	\N	\N
2393288	7894	1996-09-06	VYDAJ	VYBER	24600	55712	\N	\N	\N
2393289	7894	1996-09-24	VYDAJ	VYBER	29900	80106	\N	\N	\N
2393290	7894	1996-10-06	VYDAJ	VYBER	23300	57092	\N	\N	\N
2393291	7894	1996-10-30	VYDAJ	VYBER	50100	77910	\N	\N	\N
2393292	7894	1996-11-05	VYDAJ	VYBER	21600	56550	\N	\N	\N
2393293	7894	1996-12-05	VYDAJ	VYBER	6500	39386	\N	\N	\N
2393294	7894	1997-01-04	VYDAJ	VYBER KARTOU	1600	32772	\N	\N	0
2393295	7894	1997-02-03	VYDAJ	VYBER	10700	50965	\N	\N	\N
2393296	7894	1997-03-05	VYDAJ	VYBER	8100	45914	\N	\N	\N
2393297	7894	1997-04-04	VYDAJ	VYBER	30300	64842	\N	\N	\N
2393298	7894	1997-04-05	VYDAJ	VYBER	48000	62629	\N	\N	\N
2393299	7894	1997-05-04	PRIJEM	VKLAD	5700	33262	\N	\N	\N
2393300	7894	1997-06-03	VYDAJ	VYBER	16600	52961	\N	\N	\N
2393301	7894	1997-07-03	PRIJEM	VKLAD	2900	27381	\N	\N	\N
2393302	7894	1997-08-02	VYDAJ	VYBER KARTOU	2100	43069	\N	\N	0
2393303	7894	1997-09-01	VYDAJ	VYBER	16100	52400	\N	\N	\N
2393304	7894	1997-10-01	VYDAJ	VYBER	14300	53405	\N	\N	\N
2393305	7894	1997-10-11	VYDAJ	VYBER	53000	63721	\N	\N	\N
2393306	7894	1997-10-31	PRIJEM	VKLAD	1200	45116	\N	\N	\N
2393307	7894	1997-11-30	PRIJEM	VKLAD	4300	46490	\N	\N	\N
2393308	7894	1997-12-30	PRIJEM	VKLAD	4600	49451	\N	\N	\N
2393309	7894	1998-01-29	PRIJEM	VKLAD	12200	28780	\N	\N	\N
2393310	7894	1998-02-28	PRIJEM	VKLAD	15500	32635	\N	\N	\N
2393311	7894	1998-03-30	VYDAJ	VYBER	6800	44391	\N	\N	\N
2393312	7894	1998-04-29	VYDAJ	VYBER	27700	61669	\N	\N	\N
2393313	7894	1998-05-29	VYDAJ	VYBER KARTOU	3200	47050	\N	\N	0
2393314	7894	1998-06-28	PRIJEM	VKLAD	8700	26477	\N	\N	\N
2393315	7894	1998-07-28	VYDAJ	VYBER KARTOU	1500	39924	\N	\N	0
2393316	7894	1998-08-27	VYDAJ	VYBER	20700	64373	\N	\N	\N
2393317	7894	1998-09-26	VYDAJ	VYBER	29700	69821	\N	\N	\N
2393318	7894	1998-10-26	VYDAJ	VYBER	10400	47961	\N	\N	\N
2393319	7894	1998-11-25	VYDAJ	VYBER	16700	57118	\N	\N	\N
2393320	7894	1998-12-25	VYDAJ	VYBER KARTOU	100	36838	\N	\N	0
2396997	7907	1996-07-27	PRIJEM	VKLAD	200	200	\N	\N	\N
2397002	7907	1996-07-29	PRIJEM	VKLAD	19367	19567	\N	\N	\N
2397011	7907	1996-10-12	PRIJEM	VKLAD	20544	52516	\N	\N	\N
2397012	7907	1996-12-08	PRIJEM	VKLAD	47841	84458	\N	\N	\N
2397013	7907	1996-10-21	PRIJEM	VKLAD	35432	114153	\N	\N	\N
2397015	7907	1996-09-24	PRIJEM	VKLAD	12024	34580	\N	\N	\N
2397016	7907	1996-11-05	PRIJEM	VKLAD	25697	74051	\N	\N	\N
2397018	7907	1996-10-18	PRIJEM	VKLAD	29766	127421	\N	\N	\N
2397022	7907	1996-10-15	PRIJEM	VKLAD	45139	97655	\N	\N	\N
2397025	7907	1997-03-13	PRIJEM	VKLAD	9269	20656	\N	\N	\N
2397026	7907	1997-05-21	PRIJEM	VKLAD	23618	33674	\N	\N	\N
2397027	7907	1997-02-04	PRIJEM	VKLAD	6432	29768	\N	\N	\N
2397028	7907	1997-01-15	PRIJEM	VKLAD	42316	62492	\N	\N	\N
2397029	7907	1997-12-10	PRIJEM	VKLAD	32790	50320	\N	\N	\N
2397030	7907	1998-02-22	PRIJEM	VKLAD	19820	88478	\N	\N	\N
2397031	7907	1998-04-29	PRIJEM	VKLAD	24318	81936	\N	\N	\N
2397032	7907	1998-06-23	PRIJEM	VKLAD	30662	86178	\N	\N	\N
2397033	7907	1998-01-29	PRIJEM	VKLAD	28047	100008	\N	\N	\N
2397034	7907	1998-01-28	PRIJEM	VKLAD	29623	71961	\N	\N	\N
2397035	7907	1998-09-21	PRIJEM	VKLAD	22239	94388	\N	\N	\N
2397036	7907	1998-04-02	PRIJEM	VKLAD	9182	106761	\N	\N	\N
2397037	7907	1998-09-15	PRIJEM	VKLAD	34810	134649	\N	\N	\N
2397038	7907	1998-09-09	PRIJEM	VKLAD	46233	129839	\N	\N	\N
2397039	7907	1998-10-31	PRIJEM	VKLAD	43451	141306	\N	\N	\N
2397040	7907	1998-03-22	PRIJEM	VKLAD	35608	97250	\N	\N	\N
2397041	7907	1998-02-21	PRIJEM	VKLAD	7263	68658	\N	\N	\N
2397042	7907	1998-10-25	PRIJEM	VKLAD	19838	86187	\N	\N	\N
2397043	7907	1998-01-17	PRIJEM	VKLAD	44647	58838	\N	\N	\N
2397044	7907	1998-11-15	PRIJEM	VKLAD	35168	98032	\N	\N	\N
2397045	7907	1998-09-27	PRIJEM	VKLAD	37450	145666	\N	\N	\N
2397046	7907	1998-09-21	PRIJEM	VKLAD	13828	108216	\N	\N	\N
2397047	7907	1998-10-27	PRIJEM	VKLAD	11347	97534	\N	\N	\N
2397048	7907	1998-05-25	PRIJEM	VKLAD	12542	72670	\N	\N	\N
2397049	7907	1998-03-14	PRIJEM	VKLAD	32492	83742	\N	\N	\N
2397050	7907	1998-08-22	PRIJEM	VKLAD	47299	89686	\N	\N	\N
2397061	7907	1996-11-11	VYDAJ	VYBER	9700	58024	\N	\N	0
2397062	7907	1996-12-21	VYDAJ	VYBER	7100	70458	\N	\N	0
2397063	7907	1997-01-13	VYDAJ	VYBER	6300	27376	\N	\N	0
2397064	7907	1997-02-13	VYDAJ	VYBER	8000	15441	\N	\N	0
2397065	7907	1997-03-07	VYDAJ	VYBER	6800	11387	\N	\N	0
2397066	7907	1997-04-15	VYDAJ	VYBER	6100	14102	\N	\N	0
2397067	7907	1997-05-07	VYDAJ	VYBER	9100	10056	\N	\N	0
2397068	7907	1997-06-20	VYDAJ	VYBER	9900	18823	\N	\N	0
2397069	7907	1997-07-19	VYDAJ	VYBER	9500	6607	\N	\N	0
2397070	7907	1997-08-20	VYDAJ	VYBER	6100	6146	\N	\N	0
2397071	7907	1997-09-12	VYDAJ	PREVOD NA UCET	8116	5766	UVER	EF	4643744
2397072	7907	1997-10-12	VYDAJ	PREVOD NA UCET	8116	7879	UVER	EF	4643744
2397073	7907	1997-11-12	VYDAJ	PREVOD NA UCET	8116	6295	UVER	EF	4643744
2397074	7907	1997-12-12	VYDAJ	PREVOD NA UCET	8116	42204	UVER	EF	4643744
2397075	7907	1998-01-12	VYDAJ	PREVOD NA UCET	8116	14191	UVER	EF	4643744
2397076	7907	1998-02-12	VYDAJ	PREVOD NA UCET	8116	75895	UVER	EF	4643744
2397077	7907	1998-03-12	VYDAJ	PREVOD NA UCET	8116	51250	UVER	EF	4643744
2397078	7907	1998-04-12	VYDAJ	PREVOD NA UCET	8116	92318	UVER	EF	4643744
2397079	7907	1998-05-12	VYDAJ	PREVOD NA UCET	8116	67828	UVER	EF	4643744
2397080	7907	1998-06-12	VYDAJ	PREVOD NA UCET	8116	58516	UVER	EF	4643744
2397081	7907	1998-07-12	VYDAJ	PREVOD NA UCET	8116	63313	UVER	EF	4643744
2397082	7907	1998-08-12	VYDAJ	PREVOD NA UCET	8116	40487	UVER	EF	4643744
2397083	7907	1998-09-12	VYDAJ	VYBER	8800	99839	\N	\N	0
2397084	7907	1998-10-10	VYDAJ	VYBER	6400	69549	\N	\N	0
2397085	7907	1998-11-02	VYDAJ	VYBER	10100	73991	\N	\N	0
2397086	7907	1998-12-21	VYDAJ	VYBER	6300	71137	\N	\N	0
2397097	7907	1996-11-05	VYDAJ	PREVOD NA UCET	6327	67724	SIPO	IJ	24488801
2397098	7907	1996-12-05	VYDAJ	PREVOD NA UCET	6327	36617	SIPO	IJ	24488801
2397099	7907	1997-01-05	VYDAJ	PREVOD NA UCET	6327	40876	SIPO	IJ	24488801
2397100	7907	1997-02-05	VYDAJ	PREVOD NA UCET	6327	23441	SIPO	IJ	24488801
2397101	7907	1997-03-05	VYDAJ	PREVOD NA UCET	6327	18187	SIPO	IJ	24488801
2397102	7907	1997-04-05	VYDAJ	PREVOD NA UCET	6327	20202	SIPO	IJ	24488801
2397103	7907	1997-05-05	VYDAJ	PREVOD NA UCET	6327	19156	SIPO	IJ	24488801
2397104	7907	1997-06-05	VYDAJ	PREVOD NA UCET	6327	28723	SIPO	IJ	24488801
2397105	7907	1997-07-05	VYDAJ	PREVOD NA UCET	6327	16107	SIPO	IJ	24488801
2397106	7907	1997-08-05	VYDAJ	PREVOD NA UCET	6327	12246	SIPO	IJ	24488801
2397107	7907	1997-09-05	VYDAJ	PREVOD NA UCET	6327	13882	SIPO	IJ	24488801
2397108	7907	1997-10-05	VYDAJ	PREVOD NA UCET	6327	15995	SIPO	IJ	24488801
2397109	7907	1997-11-05	VYDAJ	PREVOD NA UCET	6327	14411	SIPO	IJ	24488801
2397110	7907	1997-12-05	VYDAJ	PREVOD NA UCET	6327	17530	SIPO	IJ	24488801
2397111	7907	1998-01-05	VYDAJ	PREVOD NA UCET	6327	30708	SIPO	IJ	24488801
2397112	7907	1998-02-05	VYDAJ	PREVOD NA UCET	6327	84012	SIPO	IJ	24488801
2397113	7907	1998-03-05	VYDAJ	PREVOD NA UCET	6327	82477	SIPO	IJ	24488801
2397114	7907	1998-04-05	VYDAJ	PREVOD NA UCET	6327	100434	SIPO	IJ	24488801
2397115	7907	1998-05-05	VYDAJ	PREVOD NA UCET	6327	75944	SIPO	IJ	24488801
2397116	7907	1998-06-05	VYDAJ	PREVOD NA UCET	6327	66632	SIPO	IJ	24488801
2397117	7907	1998-07-05	VYDAJ	PREVOD NA UCET	6327	71429	SIPO	IJ	24488801
2397118	7907	1998-08-05	VYDAJ	PREVOD NA UCET	6327	48603	SIPO	IJ	24488801
2397119	7907	1998-09-05	VYDAJ	PREVOD NA UCET	6327	83606	SIPO	IJ	24488801
2397120	7907	1998-10-05	VYDAJ	PREVOD NA UCET	6327	75949	SIPO	IJ	24488801
2397121	7907	1998-11-05	VYDAJ	PREVOD NA UCET	6327	67664	SIPO	IJ	24488801
2397122	7907	1998-12-05	VYDAJ	PREVOD NA UCET	6327	92037	SIPO	IJ	24488801
2397125	7907	1996-10-24	VYBER	VYBER	4536	67317	\N	\N	\N
2397135	7907	1998-02-02	VYBER	VYBER	8026	90339	\N	\N	\N
2397136	7907	1998-03-09	VYBER	VYBER	23111	59366	\N	\N	\N
2397137	7907	1998-07-22	VYBER	VYBER	3535	54678	\N	\N	\N
2397138	7907	1998-12-30	VYBER	VYBER	4842	58495	\N	\N	\N
2397143	7907	1997-01-15	VYDAJ	VYBER	17100	45392	\N	\N	\N
2397145	7907	1996-12-16	VYDAJ	VYBER	1800	77558	\N	\N	\N
2397147	7907	1998-12-09	VYDAJ	VYBER	7500	84537	\N	\N	\N
2397154	7907	1997-01-20	VYDAJ	VYBER	6900	38492	\N	\N	\N
2397155	7907	1997-01-23	VYDAJ	VYBER	5700	28592	\N	\N	\N
2397156	7907	1997-01-24	VYDAJ	VYBER	5400	23192	\N	\N	\N
2397157	7907	1997-01-09	VYDAJ	VYBER	7200	33676	\N	\N	\N
2397158	7907	1997-01-21	VYDAJ	VYBER	6000	32492	\N	\N	\N
2397159	7907	1997-01-13	VYDAJ	VYBER	7200	20176	\N	\N	\N
2397160	7907	1998-01-29	VYDAJ	VYBER	1800	98208	\N	\N	\N
2397162	7907	1998-01-17	VYDAJ	VYBER	5400	53438	\N	\N	\N
2397163	7907	1998-01-09	VYDAJ	VYBER	8400	22308	\N	\N	\N
2397165	7907	1998-01-18	VYDAJ	VYBER	7200	42338	\N	\N	\N
2397166	7907	1996-12-12	VYDAJ	VYBER	5100	79358	\N	\N	\N
2397171	7907	1998-08-21	VYDAJ	VYBER	8700	42387	\N	\N	\N
2397172	7907	1998-11-06	VYDAJ	VYBER	8700	58964	\N	\N	\N
2397173	7907	1998-04-24	VYDAJ	VYBER	13200	57618	\N	\N	\N
2397174	7907	1998-12-26	VYDAJ	VYBER	7800	63337	\N	\N	\N
2397175	7907	1998-07-03	VYDAJ	VYBER	8700	77756	\N	\N	\N
2397176	7907	1998-05-18	VYDAJ	VYBER	3600	64228	\N	\N	\N
2397187	7907	1996-10-31	VYDAJ	VYBER	15	48354	SLUZBY	\N	\N
2397188	7907	1996-11-30	VYDAJ	VYBER	15	42944	SLUZBY	\N	\N
2397189	7907	1996-12-31	VYDAJ	VYBER	15	47203	SLUZBY	\N	\N
2397190	7907	1997-01-31	VYDAJ	VYBER	15	23336	SLUZBY	\N	\N
2397191	7907	1997-02-28	VYDAJ	VYBER	15	24514	SLUZBY	\N	\N
2397192	7907	1997-03-31	VYDAJ	VYBER	15	26529	SLUZBY	\N	\N
2397193	7907	1997-04-30	VYDAJ	VYBER	15	25483	SLUZBY	\N	\N
2397194	7907	1997-05-31	VYDAJ	VYBER	15	35050	SLUZBY	\N	\N
2397195	7907	1997-06-30	VYDAJ	VYBER	15	22434	SLUZBY	\N	\N
2397196	7907	1997-07-31	VYDAJ	VYBER	15	18573	SLUZBY	\N	\N
2397197	7907	1997-08-31	VYDAJ	VYBER	15	20209	SLUZBY	\N	\N
2397198	7907	1997-09-30	VYDAJ	VYBER	15	22322	SLUZBY	\N	\N
2397199	7907	1997-10-31	VYDAJ	VYBER	15	20738	SLUZBY	\N	\N
2397200	7907	1997-11-30	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
2397201	7907	1997-12-31	VYDAJ	VYBER	15	37035	SLUZBY	\N	\N
2397202	7907	1998-01-31	VYDAJ	VYBER	15	98365	SLUZBY	\N	\N
2397203	7907	1998-02-28	VYDAJ	VYBER	15	88804	SLUZBY	\N	\N
2397204	7907	1998-03-31	VYDAJ	VYBER	15	97579	SLUZBY	\N	\N
2397205	7907	1998-04-30	VYDAJ	VYBER	15	82271	SLUZBY	\N	\N
2397206	7907	1998-05-31	VYDAJ	VYBER	15	72959	SLUZBY	\N	\N
2397207	7907	1998-06-30	VYDAJ	VYBER	15	86456	SLUZBY	\N	\N
2397208	7907	1998-07-31	VYDAJ	VYBER	15	54930	SLUZBY	\N	\N
2397209	7907	1998-08-31	VYDAJ	VYBER	15	89933	SLUZBY	\N	\N
2397210	7907	1998-09-30	VYDAJ	VYBER	15	82276	SLUZBY	\N	\N
2397211	7907	1998-10-31	VYDAJ	VYBER	15	84091	SLUZBY	\N	\N
2397212	7907	1998-11-30	VYDAJ	VYBER	15	98364	SLUZBY	\N	\N
2397213	7907	1996-08-26	PRIJEM	VKLAD	2900	22475	\N	\N	\N
2397214	7907	1996-09-25	VYDAJ	VYBER	2700	31880	\N	\N	\N
2397215	7907	1996-10-18	VYDAJ	VYBER	48700	78721	\N	\N	\N
2397216	7907	1996-10-21	VYDAJ	VYBER	42300	71853	\N	\N	\N
2397217	7907	1996-10-25	VYDAJ	VYBER	19200	48117	\N	\N	\N
2397218	7907	1996-11-24	VYDAJ	VYBER	15300	42724	\N	\N	\N
2397219	7907	1996-12-24	VYDAJ	VYBER	23500	46958	\N	\N	\N
2397220	7907	1997-01-23	PRIJEM	VKLAD	1800	34292	\N	\N	\N
2397221	7907	1997-02-22	PRIJEM	VKLAD	9000	24441	\N	\N	\N
2397222	7907	1997-03-24	PRIJEM	VKLAD	5800	26456	\N	\N	\N
2397223	7907	1997-04-23	PRIJEM	VKLAD	11300	25402	\N	\N	\N
2397224	7907	1997-05-23	PRIJEM	VKLAD	1300	34974	\N	\N	\N
2397225	7907	1997-06-22	PRIJEM	VKLAD	3500	22323	\N	\N	\N
2397226	7907	1997-07-22	PRIJEM	VKLAD	11900	18507	\N	\N	\N
2397227	7907	1997-08-21	PRIJEM	VKLAD	14000	20146	\N	\N	\N
2397228	7907	1997-09-20	PRIJEM	VKLAD	16500	22266	\N	\N	\N
2397229	7907	1997-10-20	PRIJEM	VKLAD	12800	20679	\N	\N	\N
2397230	7907	1997-11-19	PRIJEM	VKLAD	17500	23795	\N	\N	\N
2397231	7907	1997-12-19	VYDAJ	VYBER	5300	36904	\N	\N	\N
2397232	7907	1998-01-18	VYDAJ	VYBER	3900	49538	\N	\N	\N
2397233	7907	1998-02-17	VYDAJ	VYBER	14500	61395	\N	\N	\N
2397234	7907	1998-03-19	VYDAJ	VYBER	22100	61642	\N	\N	\N
2397235	7907	1998-04-18	VYDAJ	VYBER	21500	70818	\N	\N	\N
2397236	7907	1998-05-18	VYDAJ	VYBER	4100	60128	\N	\N	\N
2397237	7907	1998-06-17	VYDAJ	VYBER	3000	55516	\N	\N	\N
2397238	7907	1998-07-17	VYDAJ	VYBER	5100	58213	\N	\N	\N
2397239	7907	1998-08-16	PRIJEM	VKLAD	10600	51087	\N	\N	\N
2397240	7907	1998-09-09	VYDAJ	VYBER	21200	108639	\N	\N	\N
2397241	7907	1998-09-15	VYDAJ	VYBER	52200	72149	\N	\N	\N
2397242	7907	1998-09-15	VYDAJ	VYBER	10300	124349	\N	\N	\N
2397243	7907	1998-09-27	VYDAJ	VYBER	63800	81866	\N	\N	\N
2397244	7907	1998-10-15	VYDAJ	VYBER	3200	66349	\N	\N	\N
2397245	7907	1998-10-31	VYDAJ	VYBER	57200	84106	\N	\N	\N
2397246	7907	1998-11-14	PRIJEM	VKLAD	3900	62864	\N	\N	\N
2397247	7907	1998-12-14	VYDAJ	VYBER	7100	77437	\N	\N	\N
2402540	7926	1996-06-09	PRIJEM	VKLAD	900	900	\N	\N	\N
2402541	7926	1996-06-18	PRIJEM	VKLAD	13401	14301	\N	\N	\N
2402543	7926	1996-08-02	PRIJEM	VKLAD	6724	89571	\N	\N	\N
2402545	7926	1996-09-20	PRIJEM	VKLAD	18424	63953	\N	\N	\N
2402546	7926	1996-09-24	PRIJEM	VKLAD	18240	82193	\N	\N	\N
2402549	7926	1996-10-05	PRIJEM	VKLAD	44802	131375	\N	\N	\N
2402550	7926	1996-12-06	PRIJEM	VKLAD	17859	101170	\N	\N	\N
2402551	7926	1996-08-12	PRIJEM	VKLAD	17079	67450	\N	\N	\N
2402552	7926	1996-06-25	PRIJEM	VKLAD	47952	62253	\N	\N	\N
2402555	7926	1996-10-31	PRIJEM	VKLAD	21897	93612	\N	\N	\N
2402556	7926	1996-08-28	PRIJEM	VKLAD	13131	80581	\N	\N	\N
2402557	7926	1996-10-17	PRIJEM	VKLAD	32339	84009	\N	\N	\N
2402558	7926	1996-12-02	PRIJEM	VKLAD	30576	85711	\N	\N	\N
2402559	7926	1996-07-31	PRIJEM	VKLAD	40566	82585	\N	\N	\N
2402560	7926	1996-10-04	PRIJEM	VKLAD	25632	108073	\N	\N	\N
2402562	7926	1996-09-20	PRIJEM	VKLAD	13484	45529	\N	\N	\N
2402563	7926	1997-05-05	PRIJEM	VKLAD	12888	159343	\N	\N	\N
2402564	7926	1997-05-23	PRIJEM	VKLAD	32855	98881	\N	\N	\N
2402565	7926	1997-07-09	PRIJEM	VKLAD	25849	70370	\N	\N	\N
2402566	7926	1997-06-14	PRIJEM	VKLAD	14881	65325	\N	\N	\N
2402567	7926	1997-05-05	PRIJEM	VKLAD	47442	146455	\N	\N	\N
2402568	7926	1997-05-06	PRIJEM	VKLAD	14471	58914	\N	\N	\N
2402569	7926	1997-09-24	PRIJEM	VKLAD	46061	111788	\N	\N	\N
2402570	7926	1997-12-21	PRIJEM	VKLAD	22807	73163	\N	\N	\N
2402571	7926	1997-06-02	PRIJEM	VKLAD	37958	137149	\N	\N	\N
2402572	7926	1997-07-09	PRIJEM	VKLAD	11776	44521	\N	\N	\N
2402573	7926	1997-09-14	PRIJEM	VKLAD	45756	65727	\N	\N	\N
2402574	7926	1997-05-08	PRIJEM	VKLAD	10617	69531	\N	\N	\N
2402575	7926	1997-06-26	PRIJEM	VKLAD	23217	88542	\N	\N	\N
2402576	7926	1997-02-22	PRIJEM	VKLAD	13806	29750	\N	\N	\N
2402577	7926	1997-07-07	PRIJEM	VKLAD	16256	32745	\N	\N	\N
2402578	7926	1997-04-17	PRIJEM	VKLAD	35199	51224	\N	\N	\N
2402579	7926	1997-11-28	PRIJEM	VKLAD	20206	51811	\N	\N	\N
2402580	7926	1997-07-12	PRIJEM	VKLAD	38424	108794	\N	\N	\N
2402581	7926	1997-12-09	PRIJEM	VKLAD	28335	56561	\N	\N	\N
2402582	7926	1997-10-31	PRIJEM	VKLAD	13519	36021	\N	\N	\N
2402583	7926	1997-01-07	PRIJEM	VKLAD	46611	76805	\N	\N	\N
2402584	7926	1997-07-24	PRIJEM	VKLAD	19823	81212	\N	\N	\N
2402585	7926	1997-12-21	PRIJEM	VKLAD	29718	102881	\N	\N	\N
2402586	7926	1997-11-02	PRIJEM	VKLAD	15119	35110	\N	\N	\N
2402587	7926	1997-07-29	PRIJEM	VKLAD	8323	89535	\N	\N	\N
2402588	7926	1997-03-16	PRIJEM	VKLAD	11023	29243	\N	\N	\N
2402589	7926	1997-04-18	PRIJEM	VKLAD	47588	98812	\N	\N	\N
2402590	7926	1998-09-16	PRIJEM	VKLAD	27468	45375	\N	\N	\N
2402591	7926	1998-06-22	PRIJEM	VKLAD	19193	35416	\N	\N	\N
2402592	7926	1998-07-30	PRIJEM	VKLAD	5197	23776	\N	\N	\N
2402593	7926	1998-12-24	PRIJEM	VKLAD	41050	68962	\N	\N	\N
2402594	7926	1998-04-10	PRIJEM	VKLAD	42592	49315	\N	\N	\N
2402595	7926	1998-04-24	PRIJEM	VKLAD	23693	69503	\N	\N	\N
2402603	7926	1996-08-10	VYDAJ	VYBER	2900	50371	\N	\N	0
2402604	7926	1996-09-14	VYDAJ	VYBER	3900	42845	\N	\N	0
2402605	7926	1996-10-12	VYDAJ	PREVOD NA UCET	3505	51670	UVER	GH	19511139
2402606	7926	1996-11-12	VYDAJ	PREVOD NA UCET	3505	54877	UVER	GH	19511139
2402607	7926	1996-12-12	VYDAJ	PREVOD NA UCET	3505	52665	UVER	GH	19511139
2402608	7926	1997-01-12	VYDAJ	PREVOD NA UCET	3505	46600	UVER	GH	19511139
2402609	7926	1997-02-12	VYDAJ	PREVOD NA UCET	3505	15944	UVER	GH	19511139
2402610	7926	1997-03-12	VYDAJ	PREVOD NA UCET	3505	18220	UVER	GH	19511139
2402611	7926	1997-04-12	VYDAJ	PREVOD NA UCET	3505	16025	UVER	GH	19511139
2402612	7926	1997-05-12	VYDAJ	PREVOD NA UCET	3505	66026	UVER	GH	19511139
2402613	7926	1997-06-12	VYDAJ	PREVOD NA UCET	3505	50444	UVER	GH	19511139
2402614	7926	1997-07-12	VYDAJ	PREVOD NA UCET	3505	61389	UVER	GH	19511139
2402615	7926	1997-08-12	VYDAJ	PREVOD NA UCET	3505	44155	UVER	GH	19511139
2402616	7926	1997-09-12	VYDAJ	PREVOD NA UCET	3505	19971	UVER	GH	19511139
2402617	7926	1997-10-12	VYDAJ	PREVOD NA UCET	3505	31020	UVER	GH	19511139
2402618	7926	1997-11-12	VYDAJ	PREVOD NA UCET	3505	31605	UVER	GH	19511139
2402619	7926	1997-12-12	VYDAJ	PREVOD NA UCET	3505	53056	UVER	GH	19511139
2402620	7926	1998-01-12	VYDAJ	PREVOD NA UCET	3505	27891	UVER	GH	19511139
2402621	7926	1998-02-12	VYDAJ	PREVOD NA UCET	3505	10191	UVER	GH	19511139
2402622	7926	1998-03-12	VYDAJ	PREVOD NA UCET	3505	6712	UVER	GH	19511139
2402623	7926	1998-04-12	VYDAJ	PREVOD NA UCET	3505	45810	UVER	GH	19511139
2402624	7926	1998-05-12	VYDAJ	PREVOD NA UCET	3505	31616	UVER	GH	19511139
2402625	7926	1998-06-12	VYDAJ	PREVOD NA UCET	3505	16223	UVER	GH	19511139
2402626	7926	1998-07-12	VYDAJ	PREVOD NA UCET	3505	22379	UVER	GH	19511139
2402627	7926	1998-08-12	VYDAJ	PREVOD NA UCET	3505	20346	UVER	GH	19511139
2402628	7926	1998-09-12	VYDAJ	PREVOD NA UCET	3505	17907	UVER	GH	19511139
2402629	7926	1998-10-17	VYDAJ	VYBER	3100	34879	\N	\N	0
2402630	7926	1998-11-07	VYDAJ	VYBER	2900	31103	\N	\N	0
2402631	7926	1998-12-10	VYDAJ	VYBER	3300	27912	\N	\N	0
2402640	7926	1997-06-26	VYDAJ	VYBER	60300	28242	\N	\N	\N
2402643	7926	1997-01-10	VYDAJ	VYBER	24600	52205	\N	\N	\N
2402644	7926	1998-01-11	VYDAJ	VYBER	15600	31396	\N	\N	\N
2402645	7926	1996-12-16	VYDAJ	VYBER	3900	48765	\N	\N	\N
2402646	7926	1997-12-15	VYDAJ	VYBER	2700	50356	\N	\N	\N
2402654	7926	1997-01-16	VYDAJ	VYBER	3900	42700	\N	\N	\N
2402655	7926	1997-01-11	VYDAJ	VYBER	2100	50105	\N	\N	\N
2402656	7926	1997-01-17	VYDAJ	VYBER	4500	38200	\N	\N	\N
2402657	7926	1997-01-20	VYDAJ	VYBER	4200	34000	\N	\N	\N
2402658	7926	1997-01-30	VYDAJ	VYBER	3300	30700	\N	\N	\N
2402659	7926	1997-01-03	VYDAJ	VYBER	3900	45094	\N	\N	\N
2402660	7926	1998-01-15	VYDAJ	VYBER	2100	25791	\N	\N	\N
2402661	7926	1998-01-06	VYDAJ	VYBER	2400	46996	\N	\N	\N
2402664	7926	1998-01-22	VYDAJ	VYBER	2100	23691	\N	\N	\N
2402665	7926	1998-01-04	VYDAJ	VYBER	3000	49396	\N	\N	\N
2402666	7926	1996-12-04	VYDAJ	VYBER	2400	83311	\N	\N	\N
2402667	7926	1996-09-14	VYDAJ	VYBER	10800	32045	\N	\N	\N
2402671	7926	1996-10-26	VYDAJ	VYBER	12600	71409	\N	\N	\N
2402674	7926	1997-10-29	VYDAJ	VYBER	8700	22320	\N	\N	\N
2402675	7926	1997-04-01	VYDAJ	VYBER	3600	25730	\N	\N	\N
2402688	7926	1996-08-31	VYDAJ	VYBER	30	80845	SLUZBY	\N	\N
2402689	7926	1996-09-30	VYDAJ	VYBER	30	82441	SLUZBY	\N	\N
2402690	7926	1996-10-31	VYDAJ	VYBER	30	93582	SLUZBY	\N	\N
2402691	7926	1996-11-30	VYDAJ	VYBER	30	55135	SLUZBY	\N	\N
2402692	7926	1996-12-31	VYDAJ	VYBER	30	48994	SLUZBY	\N	\N
2402693	7926	1997-01-31	VYDAJ	VYBER	30	30849	SLUZBY	\N	\N
2402694	7926	1997-02-28	VYDAJ	VYBER	30	29825	SLUZBY	\N	\N
2402695	7926	1997-03-31	VYDAJ	VYBER	30	29330	SLUZBY	\N	\N
2402696	7926	1997-04-30	VYDAJ	VYBER	30	99013	SLUZBY	\N	\N
2402697	7926	1997-05-31	VYDAJ	VYBER	30	99191	SLUZBY	\N	\N
2402698	7926	1997-06-30	VYDAJ	VYBER	30	28489	SLUZBY	\N	\N
2402699	7926	1997-07-31	VYDAJ	VYBER	30	89760	SLUZBY	\N	\N
2402700	7926	1997-08-31	VYDAJ	VYBER	30	44376	SLUZBY	\N	\N
2402701	7926	1997-09-30	VYDAJ	VYBER	30	68525	SLUZBY	\N	\N
2402702	7926	1997-10-31	VYDAJ	VYBER	30	35991	SLUZBY	\N	\N
2402703	7926	1997-11-30	VYDAJ	VYBER	30	51926	SLUZBY	\N	\N
2402704	7926	1997-12-31	VYDAJ	VYBER	30	52396	SLUZBY	\N	\N
2402705	7926	1998-01-31	VYDAJ	VYBER	30	13696	SLUZBY	\N	\N
2402706	7926	1998-02-28	VYDAJ	VYBER	30	10217	SLUZBY	\N	\N
2402707	7926	1998-03-31	VYDAJ	VYBER	30	6723	SLUZBY	\N	\N
2402708	7926	1998-04-30	VYDAJ	VYBER	30	35121	SLUZBY	\N	\N
2402709	7926	1998-05-31	VYDAJ	VYBER	30	19728	SLUZBY	\N	\N
2402710	7926	1998-06-30	VYDAJ	VYBER	30	25884	SLUZBY	\N	\N
2402711	7926	1998-07-31	VYDAJ	VYBER	30	23851	SLUZBY	\N	\N
2402712	7926	1998-08-31	VYDAJ	VYBER	30	21412	SLUZBY	\N	\N
2402713	7926	1998-09-30	VYDAJ	VYBER	30	37979	SLUZBY	\N	\N
2402714	7926	1998-10-31	VYDAJ	VYBER	30	34003	SLUZBY	\N	\N
2402715	7926	1998-11-30	VYDAJ	VYBER	30	31212	SLUZBY	\N	\N
2402716	7926	1996-07-09	VYDAJ	VYBER	20300	42019	\N	\N	\N
2402717	7926	1996-08-08	VYDAJ	VYBER	36300	53271	\N	\N	\N
2402718	7926	1996-09-07	VYDAJ	VYBER	34100	46745	\N	\N	\N
2402719	7926	1996-10-04	VYDAJ	VYBER	21500	86573	\N	\N	\N
2402720	7926	1996-10-05	VYDAJ	VYBER	40700	90675	\N	\N	\N
2402721	7926	1996-10-07	VYDAJ	VYBER	35500	55175	\N	\N	\N
2402722	7926	1996-11-06	VYDAJ	VYBER	35200	58382	\N	\N	\N
2402723	7926	1996-12-06	VYDAJ	VYBER	45000	56170	\N	\N	\N
2402724	7926	1997-01-05	VYDAJ	VYBER	14900	30194	\N	\N	\N
2402725	7926	1997-02-04	VYDAJ	VYBER	11400	19449	\N	\N	\N
2402726	7926	1997-03-06	VYDAJ	VYBER	8100	21725	\N	\N	\N
2402727	7926	1997-04-05	VYDAJ	VYBER	6200	19530	\N	\N	\N
2402728	7926	1997-05-05	VYDAJ	VYBER	34400	124943	\N	\N	\N
2402729	7926	1997-05-05	VYDAJ	VYBER	46500	44443	\N	\N	\N
2402730	7926	1997-05-05	VYDAJ	VYBER	34000	90943	\N	\N	\N
2402731	7926	1997-06-02	VYDAJ	VYBER	37900	99249	\N	\N	\N
2402732	7926	1997-06-04	VYDAJ	VYBER	45300	53949	\N	\N	\N
2402733	7926	1997-07-04	VYDAJ	VYBER	12000	16489	\N	\N	\N
2402734	7926	1997-07-12	VYDAJ	VYBER	43900	64894	\N	\N	\N
2402735	7926	1997-08-03	VYDAJ	VYBER	42100	47660	\N	\N	\N
2402736	7926	1997-09-02	VYDAJ	VYBER	20900	23476	\N	\N	\N
2402737	7926	1997-09-24	VYDAJ	VYBER	43500	68288	\N	\N	\N
2402738	7926	1997-10-02	VYDAJ	VYBER	34000	34525	\N	\N	\N
2402739	7926	1997-11-01	VYDAJ	VYBER	16000	19991	\N	\N	\N
2402740	7926	1997-12-01	VYDAJ	VYBER	23700	28226	\N	\N	\N
2402741	7926	1997-12-31	VYDAJ	VYBER	50700	52426	\N	\N	\N
2402742	7926	1998-01-30	VYDAJ	VYBER	10100	13591	\N	\N	\N
2402743	7926	1998-04-30	VYDAJ	VYBER	34500	35151	\N	\N	\N
2402744	7926	1998-05-30	VYDAJ	VYBER	12000	19616	\N	\N	\N
2402745	7926	1998-06-29	VYDAJ	VYBER	9600	25816	\N	\N	\N
2402746	7926	1998-07-29	VYDAJ	VYBER	3800	18579	\N	\N	\N
2402747	7926	1998-08-28	PRIJEM	VKLAD	1000	21346	\N	\N	\N
2402748	7926	1998-09-27	VYDAJ	VYBER	7500	37875	\N	\N	\N
2402749	7926	1998-10-27	VYDAJ	VYBER	1000	33879	\N	\N	\N
2407857	7944	1993-12-27	PRIJEM	VKLAD	600	600	\N	\N	\N
2407870	7944	1994-01-09	PRIJEM	VKLAD	20568	21168	\N	\N	\N
2407871	7944	1994-02-09	PRIJEM	VKLAD	20568	42669	\N	\N	\N
2407872	7944	1994-03-09	PRIJEM	VKLAD	20568	54451	\N	\N	\N
2407873	7944	1994-04-09	PRIJEM	VKLAD	20568	58783	\N	\N	\N
2407874	7944	1994-05-09	PRIJEM	VKLAD	20568	61433	\N	\N	\N
2407875	7944	1994-06-09	PRIJEM	VKLAD	30852	67062	\N	\N	\N
2407876	7944	1994-07-09	PRIJEM	VKLAD	20568	18827	\N	\N	\N
2407877	7944	1994-08-09	PRIJEM	VKLAD	20568	37546	\N	\N	\N
2407878	7944	1994-09-09	PRIJEM	VKLAD	20568	52515	\N	\N	\N
2407879	7944	1994-10-09	PRIJEM	VKLAD	20568	60654	\N	\N	\N
2407880	7944	1994-11-09	PRIJEM	VKLAD	20568	58361	\N	\N	\N
2407881	7944	1994-12-09	PRIJEM	VKLAD	30852	68980	\N	\N	\N
2407882	7944	1995-01-09	PRIJEM	VKLAD	20568	68687	\N	\N	\N
2407883	7944	1995-02-09	PRIJEM	VKLAD	20568	67230	\N	\N	\N
2407884	7944	1995-03-09	PRIJEM	VKLAD	20568	68167	\N	\N	\N
2407885	7944	1995-04-09	PRIJEM	VKLAD	20568	66301	\N	\N	\N
2407886	7944	1995-05-09	PRIJEM	VKLAD	20568	69603	\N	\N	\N
2407887	7944	1995-06-09	PRIJEM	VKLAD	30852	78799	\N	\N	\N
2407888	7944	1995-07-09	PRIJEM	VKLAD	20568	57280	\N	\N	\N
2407889	7944	1995-08-09	PRIJEM	VKLAD	20568	64960	\N	\N	\N
2407890	7944	1995-09-09	PRIJEM	VKLAD	20568	69182	\N	\N	\N
2407891	7944	1995-10-09	PRIJEM	VKLAD	20568	71625	\N	\N	\N
2407892	7944	1995-11-09	PRIJEM	VKLAD	20568	73179	\N	\N	\N
2407893	7944	1995-12-09	PRIJEM	VKLAD	30852	83061	\N	\N	\N
2407894	7944	1996-01-09	PRIJEM	VKLAD	20568	79999	\N	\N	\N
2407895	7944	1996-02-09	PRIJEM	VKLAD	20568	70902	\N	\N	\N
2407896	7944	1996-03-09	PRIJEM	VKLAD	20568	75871	\N	\N	\N
2407897	7944	1996-04-09	PRIJEM	VKLAD	20568	80075	\N	\N	\N
2407898	7944	1996-05-09	PRIJEM	VKLAD	20568	84213	\N	\N	\N
2407899	7944	1996-06-09	PRIJEM	VKLAD	30852	53383	\N	\N	\N
2407900	7944	1996-07-09	PRIJEM	VKLAD	20568	70125	\N	\N	\N
2407901	7944	1996-08-09	PRIJEM	VKLAD	20568	81483	\N	\N	\N
2407902	7944	1996-09-09	PRIJEM	VKLAD	20568	82969	\N	\N	\N
2407903	7944	1996-10-09	PRIJEM	VKLAD	20568	90041	\N	\N	\N
2407904	7944	1996-11-09	PRIJEM	VKLAD	20568	92134	\N	\N	\N
2407905	7944	1996-12-09	PRIJEM	VKLAD	30852	95907	\N	\N	\N
2407906	7944	1997-01-09	PRIJEM	VKLAD	20568	90487	\N	\N	\N
2407907	7944	1997-02-09	PRIJEM	VKLAD	20568	93483	\N	\N	\N
2407908	7944	1997-03-09	PRIJEM	VKLAD	20568	93473	\N	\N	\N
2407909	7944	1997-04-09	PRIJEM	VKLAD	20568	91971	\N	\N	\N
2407910	7944	1997-05-09	PRIJEM	VKLAD	20568	92771	\N	\N	\N
2407911	7944	1997-06-09	PRIJEM	VKLAD	30852	104070	\N	\N	\N
2407912	7944	1997-07-09	PRIJEM	VKLAD	20568	89111	\N	\N	\N
2407913	7944	1997-08-09	PRIJEM	VKLAD	20568	86860	\N	\N	\N
2407914	7944	1997-09-09	PRIJEM	VKLAD	20568	95742	\N	\N	\N
2407915	7944	1997-10-09	PRIJEM	VKLAD	20568	95292	\N	\N	\N
2407916	7944	1997-11-09	PRIJEM	VKLAD	20568	100465	\N	\N	\N
2407917	7944	1997-12-09	PRIJEM	VKLAD	30852	110446	\N	\N	\N
2407918	7944	1998-01-09	PRIJEM	VKLAD	20568	102638	\N	\N	\N
2407919	7944	1998-02-09	PRIJEM	VKLAD	20568	99852	\N	\N	\N
2407920	7944	1998-03-09	PRIJEM	VKLAD	20568	98551	\N	\N	\N
2407921	7944	1998-04-09	PRIJEM	VKLAD	20568	99401	\N	\N	\N
2407922	7944	1998-05-09	PRIJEM	VKLAD	20568	99292	\N	\N	\N
2407923	7944	1998-06-09	PRIJEM	VKLAD	30852	108341	\N	\N	\N
2407924	7944	1998-07-09	PRIJEM	VKLAD	20568	103358	\N	\N	\N
2407925	7944	1998-08-09	PRIJEM	VKLAD	20568	104358	\N	\N	\N
2407926	7944	1998-09-09	PRIJEM	VKLAD	20568	107469	\N	\N	\N
2407927	7944	1998-10-09	PRIJEM	VKLAD	20568	108808	\N	\N	\N
2407928	7944	1998-11-09	PRIJEM	VKLAD	20568	104949	\N	\N	\N
2407929	7944	1998-12-09	PRIJEM	VKLAD	30852	116055	\N	\N	\N
2407931	7944	1994-06-28	VYDAJ	VYBER	45760	-1918	\N	\N	\N
2407932	7944	1995-06-17	VYDAJ	VYBER	31520	44999	\N	\N	\N
2407933	7944	1996-06-01	VYDAJ	VYBER	41760	22531	\N	\N	\N
2407934	7944	1997-06-21	VYDAJ	VYBER	12480	67990	\N	\N	\N
2407935	7944	1998-06-28	VYDAJ	VYBER	12800	95541	\N	\N	\N
2407937	7944	1994-12-06	VYDAJ	VYBER	3840	38128	\N	\N	\N
2407938	7944	1995-12-01	VYDAJ	VYBER	2080	52209	\N	\N	\N
2407939	7944	1996-12-25	VYDAJ	VYBER	3840	69367	\N	\N	\N
2407940	7944	1997-12-24	VYDAJ	VYBER	3840	106606	\N	\N	\N
2407941	7944	1998-12-16	VYDAJ	VYBER	2880	113175	\N	\N	\N
2407951	7944	1994-05-27	VYDAJ	VYBER	5400	36033	\N	\N	\N
2407952	7944	1994-06-22	VYDAJ	VYBER	3120	63942	\N	\N	\N
2407953	7944	1994-10-28	VYDAJ	VYBER	2400	37474	\N	\N	\N
2407954	7944	1994-10-22	VYDAJ	VYBER	1080	59574	\N	\N	\N
2407955	7944	1994-07-18	VYDAJ	VYBER	4680	14147	\N	\N	\N
2407956	7944	1995-03-11	VYDAJ	VYBER	4080	64087	\N	\N	\N
2407957	7944	1995-02-14	VYDAJ	VYBER	4320	62910	\N	\N	\N
2407958	7944	1995-12-17	VYDAJ	VYBER	720	58941	\N	\N	\N
2407959	7944	1995-06-11	VYDAJ	VYBER	2280	76519	\N	\N	\N
2407960	7944	1996-08-21	VYDAJ	VYBER	2760	62023	\N	\N	\N
2407961	7944	1996-11-12	VYDAJ	VYBER	2880	70254	\N	\N	\N
2407962	7944	1996-01-31	VYDAJ	VYBER	4440	50334	\N	\N	\N
2407963	7944	1996-12-07	VYDAJ	VYBER	5640	65055	\N	\N	\N
2407964	7944	1996-01-29	VYDAJ	VYBER	3960	54439	\N	\N	\N
2407965	7944	1996-07-07	VYDAJ	VYBER	960	49557	\N	\N	\N
2407966	7944	1997-09-22	VYDAJ	VYBER	3720	92022	\N	\N	\N
2407967	7944	1997-03-25	VYDAJ	VYBER	720	73853	\N	\N	\N
2407968	7944	1997-05-10	VYDAJ	VYBER	600	92171	\N	\N	\N
2407969	7944	1997-04-05	VYDAJ	VYBER	3000	71403	\N	\N	\N
2407970	7944	1998-03-13	VYDAJ	VYBER	1440	97111	\N	\N	\N
2407971	7944	1998-01-03	VYDAJ	VYBER	3240	104070	\N	\N	\N
2407972	7944	1998-05-21	VYDAJ	VYBER	5400	93892	\N	\N	\N
2407990	7944	1994-05-31	VYDAJ	VYBER	15	36210	SLUZBY	\N	\N
2407991	7944	1994-06-30	VYDAJ	VYBER	15	-1738	SLUZBY	\N	\N
2407992	7944	1994-07-31	VYDAJ	VYBER	15	16978	SLUZBY	\N	\N
2407993	7944	1994-08-31	VYDAJ	VYBER	15	31947	SLUZBY	\N	\N
2407994	7944	1994-09-30	VYDAJ	VYBER	15	40086	SLUZBY	\N	\N
2407995	7944	1994-10-31	VYDAJ	VYBER	15	37793	SLUZBY	\N	\N
2407996	7944	1994-11-30	VYDAJ	VYBER	15	41968	SLUZBY	\N	\N
2407997	7944	1994-12-31	VYDAJ	VYBER	15	48119	SLUZBY	\N	\N
2407998	7944	1995-01-31	VYDAJ	VYBER	15	46662	SLUZBY	\N	\N
2407999	7944	1995-02-28	VYDAJ	VYBER	15	47599	SLUZBY	\N	\N
2408000	7944	1995-03-31	VYDAJ	VYBER	15	45733	SLUZBY	\N	\N
2408001	7944	1995-04-30	VYDAJ	VYBER	15	49035	SLUZBY	\N	\N
2408002	7944	1995-05-31	VYDAJ	VYBER	15	47947	SLUZBY	\N	\N
2408003	7944	1995-06-30	VYDAJ	VYBER	15	36712	SLUZBY	\N	\N
2408004	7944	1995-07-31	VYDAJ	VYBER	15	44392	SLUZBY	\N	\N
2408005	7944	1995-08-31	VYDAJ	VYBER	15	48614	SLUZBY	\N	\N
2408006	7944	1995-09-30	VYDAJ	VYBER	15	51057	SLUZBY	\N	\N
2408007	7944	1995-10-31	VYDAJ	VYBER	15	52611	SLUZBY	\N	\N
2408008	7944	1995-11-30	VYDAJ	VYBER	15	54289	SLUZBY	\N	\N
2408009	7944	1995-12-31	VYDAJ	VYBER	15	59431	SLUZBY	\N	\N
2408010	7944	1996-01-31	VYDAJ	VYBER	15	54774	SLUZBY	\N	\N
2408011	7944	1996-02-29	VYDAJ	VYBER	15	55303	SLUZBY	\N	\N
2408012	7944	1996-03-31	VYDAJ	VYBER	15	59507	SLUZBY	\N	\N
2408013	7944	1996-04-30	VYDAJ	VYBER	15	63645	SLUZBY	\N	\N
2408014	7944	1996-05-31	VYDAJ	VYBER	15	64291	SLUZBY	\N	\N
2408015	7944	1996-06-30	VYDAJ	VYBER	15	50517	SLUZBY	\N	\N
2408016	7944	1996-07-31	VYDAJ	VYBER	15	60915	SLUZBY	\N	\N
2408017	7944	1996-08-31	VYDAJ	VYBER	15	62401	SLUZBY	\N	\N
2408018	7944	1996-09-30	VYDAJ	VYBER	15	69473	SLUZBY	\N	\N
2408019	7944	1996-10-31	VYDAJ	VYBER	15	71566	SLUZBY	\N	\N
2408020	7944	1996-11-30	VYDAJ	VYBER	15	70695	SLUZBY	\N	\N
2408021	7944	1996-12-31	VYDAJ	VYBER	15	69919	SLUZBY	\N	\N
2408022	7944	1997-01-31	VYDAJ	VYBER	15	72915	SLUZBY	\N	\N
2408023	7944	1997-02-28	VYDAJ	VYBER	15	72905	SLUZBY	\N	\N
2408024	7944	1997-03-31	VYDAJ	VYBER	15	74403	SLUZBY	\N	\N
2408025	7944	1997-04-30	VYDAJ	VYBER	15	72203	SLUZBY	\N	\N
2408026	7944	1997-05-31	VYDAJ	VYBER	15	73218	SLUZBY	\N	\N
2408027	7944	1997-06-30	VYDAJ	VYBER	15	68543	SLUZBY	\N	\N
2408028	7944	1997-07-31	VYDAJ	VYBER	15	76492	SLUZBY	\N	\N
2408029	7944	1997-08-31	VYDAJ	VYBER	15	87474	SLUZBY	\N	\N
2408030	7944	1997-09-30	VYDAJ	VYBER	15	92624	SLUZBY	\N	\N
2408031	7944	1997-10-31	VYDAJ	VYBER	15	95997	SLUZBY	\N	\N
2408032	7944	1997-11-30	VYDAJ	VYBER	15	101194	SLUZBY	\N	\N
2408033	7944	1997-12-31	VYDAJ	VYBER	15	107310	SLUZBY	\N	\N
2408034	7944	1998-01-31	VYDAJ	VYBER	15	103384	SLUZBY	\N	\N
2408035	7944	1998-02-28	VYDAJ	VYBER	15	100583	SLUZBY	\N	\N
2408036	7944	1998-03-31	VYDAJ	VYBER	15	97733	SLUZBY	\N	\N
2408037	7944	1998-04-30	VYDAJ	VYBER	15	100124	SLUZBY	\N	\N
2408038	7944	1998-05-31	VYDAJ	VYBER	15	94589	SLUZBY	\N	\N
2408039	7944	1998-06-30	VYDAJ	VYBER	15	96190	SLUZBY	\N	\N
2408040	7944	1998-07-31	VYDAJ	VYBER	15	103990	SLUZBY	\N	\N
2408041	7944	1998-08-31	VYDAJ	VYBER	15	105001	SLUZBY	\N	\N
2408042	7944	1998-09-30	VYDAJ	VYBER	15	108140	SLUZBY	\N	\N
2408043	7944	1998-10-31	VYDAJ	VYBER	15	109581	SLUZBY	\N	\N
2408044	7944	1998-11-30	VYDAJ	VYBER	15	105603	SLUZBY	\N	\N
2408045	7944	1994-01-26	PRIJEM	VKLAD	900	22068	\N	\N	\N
2408046	7944	1994-02-25	VYDAJ	VYBER	8900	33769	\N	\N	\N
2408047	7944	1994-03-27	VYDAJ	VYBER	16400	38051	\N	\N	\N
2408048	7944	1994-04-26	VYDAJ	VYBER	18100	40683	\N	\N	\N
2408049	7944	1994-05-26	VYDAJ	VYBER	20000	41433	\N	\N	\N
2408050	7944	1994-06-25	VYDAJ	VYBER	20100	43842	\N	\N	\N
2408051	7944	1994-07-25	PRIJEM	VKLAD	2800	16947	\N	\N	\N
2408052	7944	1994-08-24	VYDAJ	VYBER	5700	31846	\N	\N	\N
2408053	7944	1994-09-23	VYDAJ	VYBER	12600	39915	\N	\N	\N
2408054	7944	1994-10-23	VYDAJ	VYBER	19700	39874	\N	\N	\N
2408055	7944	1994-11-22	VYDAJ	VYBER	16700	41661	\N	\N	\N
2408056	7944	1994-12-22	VYDAJ	VYBER	21300	47680	\N	\N	\N
2408057	7944	1995-01-21	VYDAJ	VYBER	22400	46287	\N	\N	\N
2408058	7944	1995-02-20	VYDAJ	VYBER	15700	47210	\N	\N	\N
2408059	7944	1995-03-22	VYDAJ	VYBER	18700	45387	\N	\N	\N
2408060	7944	1995-04-21	VYDAJ	VYBER	17500	48801	\N	\N	\N
2408061	7944	1995-05-21	VYDAJ	VYBER	21900	47703	\N	\N	\N
2408062	7944	1995-06-20	VYDAJ	VYBER	8600	36399	\N	\N	\N
2408063	7944	1995-07-20	VYDAJ	VYBER	13100	44180	\N	\N	\N
2408064	7944	1995-08-19	VYDAJ	VYBER	16700	48260	\N	\N	\N
2408065	7944	1995-09-18	VYDAJ	VYBER	18500	50682	\N	\N	\N
2408066	7944	1995-10-18	VYDAJ	VYBER	19300	52325	\N	\N	\N
2408067	7944	1995-11-17	VYDAJ	VYBER	19300	53879	\N	\N	\N
2408068	7944	1995-12-17	VYDAJ	VYBER	23400	59661	\N	\N	\N
2408069	7944	1996-01-16	VYDAJ	VYBER	21600	58399	\N	\N	\N
2408070	7944	1996-02-15	VYDAJ	VYBER	16000	54902	\N	\N	\N
2408071	7944	1996-03-16	VYDAJ	VYBER	16800	59071	\N	\N	\N
2408072	7944	1996-04-15	VYDAJ	VYBER	16900	63175	\N	\N	\N
2408073	7944	1996-05-15	VYDAJ	VYBER	20400	63813	\N	\N	\N
2408074	7944	1996-06-14	VYDAJ	VYBER	3200	50183	\N	\N	\N
2408075	7944	1996-07-14	VYDAJ	VYBER	9600	60525	\N	\N	\N
2408076	7944	1996-08-13	VYDAJ	VYBER	16700	64783	\N	\N	\N
2408077	7944	1996-09-12	VYDAJ	VYBER	14000	68969	\N	\N	\N
2408078	7944	1996-10-12	VYDAJ	VYBER	19000	71041	\N	\N	\N
2408079	7944	1996-11-11	VYDAJ	VYBER	19000	73134	\N	\N	\N
2408080	7944	1996-12-11	VYDAJ	VYBER	22700	73207	\N	\N	\N
2408081	7944	1997-01-10	VYDAJ	VYBER	18100	72387	\N	\N	\N
2408082	7944	1997-02-09	VYDAJ	VYBER	21100	72383	\N	\N	\N
2408083	7944	1997-03-11	VYDAJ	VYBER	18900	74573	\N	\N	\N
2408084	7944	1997-04-10	VYDAJ	VYBER	20300	71671	\N	\N	\N
2408085	7944	1997-05-10	VYDAJ	VYBER	19400	72771	\N	\N	\N
2408086	7944	1997-06-09	VYDAJ	VYBER	23600	80470	\N	\N	\N
2408087	7944	1997-07-09	VYDAJ	VYBER	13200	75911	\N	\N	\N
2408088	7944	1997-08-08	VYDAJ	VYBER	10200	66292	\N	\N	\N
2408089	7944	1997-09-07	VYDAJ	VYBER	12300	75174	\N	\N	\N
2408090	7944	1997-10-07	VYDAJ	VYBER	17900	74724	\N	\N	\N
2408091	7944	1997-11-06	VYDAJ	VYBER	16100	79897	\N	\N	\N
2408092	7944	1997-12-06	VYDAJ	VYBER	21600	79594	\N	\N	\N
2408093	7944	1998-01-05	VYDAJ	VYBER	22000	82070	\N	\N	\N
2408094	7944	1998-02-04	VYDAJ	VYBER	24100	79284	\N	\N	\N
2408095	7944	1998-03-06	VYDAJ	VYBER	22600	77983	\N	\N	\N
2408096	7944	1998-04-05	VYDAJ	VYBER	18900	78833	\N	\N	\N
2408097	7944	1998-05-05	VYDAJ	VYBER	21400	78724	\N	\N	\N
2408098	7944	1998-06-04	VYDAJ	VYBER	17100	77489	\N	\N	\N
2408099	7944	1998-07-04	VYDAJ	VYBER	13400	82790	\N	\N	\N
2408100	7944	1998-08-03	VYDAJ	VYBER	20200	83790	\N	\N	\N
2408101	7944	1998-09-02	VYDAJ	VYBER	18100	86901	\N	\N	\N
2408102	7944	1998-10-02	VYDAJ	VYBER	19900	88240	\N	\N	\N
2408103	7944	1998-11-01	VYDAJ	VYBER	25200	84381	\N	\N	\N
2408104	7944	1998-12-01	VYDAJ	VYBER	20400	85203	\N	\N	\N
2412097	7957	1995-09-07	PRIJEM	VKLAD	500	500	\N	\N	\N
2412099	7957	1995-12-19	PRIJEM	VKLAD	41793	121970	\N	\N	\N
2412103	7957	1995-09-21	PRIJEM	VKLAD	14404	14904	\N	\N	\N
2412105	7957	1995-11-12	PRIJEM	VKLAD	9136	51557	\N	\N	\N
2412109	7957	1995-10-02	PRIJEM	VKLAD	34009	48934	\N	\N	\N
2412110	7957	1995-10-16	PRIJEM	VKLAD	26894	63628	\N	\N	\N
2412117	7957	1995-12-19	PRIJEM	VKLAD	41387	80177	\N	\N	\N
2412119	7957	1996-05-14	PRIJEM	VKLAD	48386	66188	\N	\N	\N
2412120	7957	1996-03-06	PRIJEM	VKLAD	43972	63053	\N	\N	\N
2412121	7957	1996-08-16	PRIJEM	VKLAD	5624	18934	\N	\N	\N
2412122	7957	1996-08-02	PRIJEM	VKLAD	10350	28429	\N	\N	\N
2412123	7957	1996-01-24	PRIJEM	VKLAD	29122	80575	\N	\N	\N
2412124	7957	1996-05-17	PRIJEM	VKLAD	6702	72890	\N	\N	\N
2412125	7957	1996-09-30	PRIJEM	VKLAD	40079	122555	\N	\N	\N
2412126	7957	1996-10-06	PRIJEM	VKLAD	49432	108117	\N	\N	\N
2412127	7957	1996-04-10	PRIJEM	VKLAD	11766	37093	\N	\N	\N
2412128	7957	1996-09-22	PRIJEM	VKLAD	38624	82476	\N	\N	\N
2412129	7957	1996-01-11	PRIJEM	VKLAD	40548	71853	\N	\N	\N
2412130	7957	1996-05-19	PRIJEM	VKLAD	37176	110066	\N	\N	\N
2412131	7957	1996-09-16	PRIJEM	VKLAD	23145	43852	\N	\N	\N
2412132	7957	1996-08-19	PRIJEM	VKLAD	21196	40130	\N	\N	\N
2412133	7957	1996-02-03	PRIJEM	VKLAD	20149	77616	\N	\N	\N
2412134	7957	1996-01-25	PRIJEM	VKLAD	46641	122716	\N	\N	\N
2412135	7957	1997-05-20	PRIJEM	VKLAD	6607	44280	\N	\N	\N
2412136	7957	1997-12-22	PRIJEM	VKLAD	8466	53712	\N	\N	\N
2412137	7957	1997-08-19	PRIJEM	VKLAD	39361	69660	\N	\N	\N
2412138	7957	1997-10-14	PRIJEM	VKLAD	17372	82388	\N	\N	\N
2412139	7957	1997-12-16	PRIJEM	VKLAD	21541	45246	\N	\N	\N
2412140	7957	1997-01-13	PRIJEM	VKLAD	10208	15348	\N	\N	\N
2412141	7957	1997-09-27	PRIJEM	VKLAD	30999	78861	\N	\N	\N
2412142	7957	1997-03-10	PRIJEM	VKLAD	40764	50813	\N	\N	\N
2412143	7957	1997-05-21	PRIJEM	VKLAD	39984	84264	\N	\N	\N
2412144	7957	1997-02-04	PRIJEM	VKLAD	22428	44627	\N	\N	\N
2412145	7957	1997-07-19	PRIJEM	VKLAD	17102	76288	\N	\N	\N
2412146	7957	1997-10-08	PRIJEM	VKLAD	15759	74755	\N	\N	\N
2412147	7957	1997-07-31	PRIJEM	VKLAD	40512	98071	\N	\N	\N
2412148	7957	1997-07-06	PRIJEM	VKLAD	32318	75225	\N	\N	\N
2412149	7957	1997-03-27	PRIJEM	VKLAD	17381	90634	\N	\N	\N
2412150	7957	1997-03-17	PRIJEM	VKLAD	29743	155066	\N	\N	\N
2412151	7957	1997-08-13	PRIJEM	VKLAD	44591	106399	\N	\N	\N
2412152	7957	1997-11-28	PRIJEM	VKLAD	8082	39369	\N	\N	\N
2412153	7957	1997-05-21	PRIJEM	VKLAD	15687	99951	\N	\N	\N
2412154	7957	1997-09-07	PRIJEM	VKLAD	27366	91069	\N	\N	\N
2412155	7957	1997-03-16	PRIJEM	VKLAD	49081	144423	\N	\N	\N
2412156	7957	1997-09-02	PRIJEM	VKLAD	11441	69758	\N	\N	\N
2412157	7957	1997-06-17	PRIJEM	VKLAD	27508	120957	\N	\N	\N
2412158	7957	1997-05-31	PRIJEM	VKLAD	13044	79150	\N	\N	\N
2412159	7957	1997-03-12	PRIJEM	VKLAD	48729	99542	\N	\N	\N
2412160	7957	1997-06-12	PRIJEM	VKLAD	40133	97149	\N	\N	\N
2412161	7957	1997-04-27	PRIJEM	VKLAD	32478	75495	\N	\N	\N
2412162	7957	1998-03-12	PRIJEM	VKLAD	10118	45604	\N	\N	\N
2412163	7957	1998-01-04	PRIJEM	VKLAD	8363	53626	\N	\N	\N
2412164	7957	1998-10-26	PRIJEM	VKLAD	34371	94094	\N	\N	\N
2412165	7957	1998-10-11	PRIJEM	VKLAD	37171	95223	\N	\N	\N
2412166	7957	1998-12-06	PRIJEM	VKLAD	28419	103923	\N	\N	\N
2412167	7957	1998-06-08	PRIJEM	VKLAD	26515	45739	\N	\N	\N
2412168	7957	1998-07-31	PRIJEM	VKLAD	48723	83215	\N	\N	\N
2412169	7957	1998-01-13	PRIJEM	VKLAD	40171	73503	\N	\N	\N
2412170	7957	1998-12-06	PRIJEM	VKLAD	44913	75504	\N	\N	\N
2412171	7957	1998-09-27	PRIJEM	VKLAD	35439	89054	\N	\N	\N
2412172	7957	1998-01-18	PRIJEM	VKLAD	43305	108708	\N	\N	\N
2412173	7957	1998-09-12	PRIJEM	VKLAD	29779	76243	\N	\N	\N
2412174	7957	1998-11-20	PRIJEM	VKLAD	26664	85469	\N	\N	\N
2412175	7957	1998-03-10	PRIJEM	VKLAD	8703	35486	\N	\N	\N
2412176	7957	1998-08-02	PRIJEM	VKLAD	5221	88422	\N	\N	\N
2412189	7957	1996-01-05	VYDAJ	VYBER	2700	75724	\N	\N	0
2412190	7957	1996-02-13	VYDAJ	VYBER	3500	34797	\N	\N	0
2412191	7957	1996-03-10	VYDAJ	VYBER	4400	43789	\N	\N	0
2412192	7957	1996-04-14	VYDAJ	VYBER	4100	32993	\N	\N	0
2412193	7957	1996-05-05	VYDAJ	VYBER	3600	30021	\N	\N	0
2412194	7957	1996-06-03	VYDAJ	VYBER	3900	43660	\N	\N	0
2412195	7957	1996-07-03	VYDAJ	VYBER	3200	26844	\N	\N	0
2412196	7957	1996-08-08	VYDAJ	VYBER	2900	19474	\N	\N	0
2412197	7957	1996-09-04	VYDAJ	VYBER	3200	32926	\N	\N	0
2412198	7957	1996-10-04	VYDAJ	VYBER	3400	64740	\N	\N	0
2412199	7957	1996-11-13	VYDAJ	VYBER	3600	31698	\N	\N	0
2412200	7957	1996-12-04	VYDAJ	VYBER	4200	27317	\N	\N	0
2412201	7957	1997-01-08	VYDAJ	VYBER	4400	5140	\N	\N	0
2412202	7957	1997-02-17	VYDAJ	VYBER	2900	19490	\N	\N	0
2412203	7957	1997-03-14	VYDAJ	VYBER	4200	95342	\N	\N	0
2412204	7957	1997-04-19	VYDAJ	VYBER	3600	43017	\N	\N	0
2412205	7957	1997-05-15	VYDAJ	VYBER	3400	37673	\N	\N	0
2412206	7957	1997-06-15	VYDAJ	VYBER	3700	93449	\N	\N	0
2412207	7957	1997-07-12	VYDAJ	PREVOD NA UCET	3575	59186	UVER	YZ	74890845
2412208	7957	1997-08-12	VYDAJ	PREVOD NA UCET	3575	61808	UVER	YZ	74890845
2412209	7957	1997-09-12	VYDAJ	PREVOD NA UCET	3575	81330	UVER	YZ	74890845
2412210	7957	1997-10-12	VYDAJ	PREVOD NA UCET	3575	65016	UVER	YZ	74890845
2412211	7957	1997-11-12	VYDAJ	PREVOD NA UCET	3575	29787	UVER	YZ	74890845
2412212	7957	1997-12-12	VYDAJ	PREVOD NA UCET	3575	23705	UVER	YZ	74890845
2412213	7957	1998-01-12	VYDAJ	PREVOD NA UCET	3575	33332	UVER	YZ	74890845
2412214	7957	1998-02-12	VYDAJ	PREVOD NA UCET	3575	30852	UVER	YZ	74890845
2412215	7957	1998-03-12	VYDAJ	PREVOD NA UCET	3575	42029	UVER	YZ	74890845
2412216	7957	1998-04-12	VYDAJ	PREVOD NA UCET	3575	25785	UVER	YZ	74890845
2412217	7957	1998-05-12	VYDAJ	PREVOD NA UCET	3575	15005	UVER	YZ	74890845
2412218	7957	1998-06-12	VYDAJ	PREVOD NA UCET	3575	36000	UVER	YZ	74890845
2412219	7957	1998-07-19	VYDAJ	VYBER	3000	22461	\N	\N	0
2412220	7957	1998-08-13	VYDAJ	VYBER	2700	73503	\N	\N	0
2412221	7957	1998-09-21	VYDAJ	VYBER	3600	62615	\N	\N	0
2412222	7957	1998-10-11	VYDAJ	VYBER	4400	90823	\N	\N	0
2412223	7957	1998-11-02	VYDAJ	VYBER	3700	84524	\N	\N	0
2412224	7957	1998-12-10	VYDAJ	VYBER	2800	94959	\N	\N	0
2412237	7957	1996-01-08	VYDAJ	PREVOD NA UCET	6164	31305	SIPO	WX	45545804
2412238	7957	1996-02-08	VYDAJ	PREVOD NA UCET	6164	38297	SIPO	WX	45545804
2412239	7957	1996-03-08	VYDAJ	PREVOD NA UCET	6164	48189	SIPO	WX	45545804
2412240	7957	1996-04-08	VYDAJ	PREVOD NA UCET	6164	25327	SIPO	WX	45545804
2412241	7957	1996-05-08	VYDAJ	PREVOD NA UCET	6164	17802	SIPO	WX	45545804
2412242	7957	1996-06-08	VYDAJ	PREVOD NA UCET	6164	24741	SIPO	WX	45545804
2412243	7957	1996-07-08	VYDAJ	PREVOD NA UCET	6164	14625	SIPO	WX	45545804
2412244	7957	1996-08-08	VYDAJ	PREVOD NA UCET	6164	13310	SIPO	WX	45545804
2412245	7957	1996-09-08	VYDAJ	PREVOD NA UCET	6164	20707	SIPO	WX	45545804
2412349	7957	1998-12-27	VYDAJ	VYBER KARTOU	3900	68059	\N	\N	0
2412246	7957	1996-10-08	VYDAJ	PREVOD NA UCET	6164	65653	SIPO	WX	45545804
2412247	7957	1996-11-08	VYDAJ	PREVOD NA UCET	6164	35298	SIPO	WX	45545804
2412248	7957	1996-12-08	VYDAJ	PREVOD NA UCET	6164	15098	SIPO	WX	45545804
2412249	7957	1997-01-08	VYDAJ	PREVOD NA UCET	6164	9540	SIPO	WX	45545804
2412250	7957	1997-02-08	VYDAJ	PREVOD NA UCET	6164	22390	SIPO	WX	45545804
2412251	7957	1997-03-08	VYDAJ	PREVOD NA UCET	6164	10049	SIPO	WX	45545804
2412252	7957	1997-04-08	VYDAJ	PREVOD NA UCET	6164	46617	SIPO	WX	45545804
2412253	7957	1997-05-08	VYDAJ	PREVOD NA UCET	6164	41073	SIPO	WX	45545804
2412254	7957	1997-06-08	VYDAJ	PREVOD NA UCET	6164	57016	SIPO	WX	45545804
2412255	7957	1997-07-08	VYDAJ	PREVOD NA UCET	6164	69061	SIPO	WX	45545804
2412256	7957	1997-08-08	VYDAJ	PREVOD NA UCET	6164	65383	SIPO	WX	45545804
2412257	7957	1997-09-08	VYDAJ	PREVOD NA UCET	6164	84905	SIPO	WX	45545804
2412258	7957	1997-10-08	VYDAJ	PREVOD NA UCET	6164	68591	SIPO	WX	45545804
2412259	7957	1997-11-08	VYDAJ	PREVOD NA UCET	6164	33362	SIPO	WX	45545804
2412260	7957	1997-12-08	VYDAJ	PREVOD NA UCET	6164	27280	SIPO	WX	45545804
2412261	7957	1998-01-08	VYDAJ	PREVOD NA UCET	6164	36907	SIPO	WX	45545804
2412262	7957	1998-02-08	VYDAJ	PREVOD NA UCET	6164	34427	SIPO	WX	45545804
2412263	7957	1998-03-08	VYDAJ	PREVOD NA UCET	6164	26783	SIPO	WX	45545804
2412264	7957	1998-04-08	VYDAJ	PREVOD NA UCET	6164	29360	SIPO	WX	45545804
2412265	7957	1998-05-08	VYDAJ	PREVOD NA UCET	6164	18580	SIPO	WX	45545804
2412266	7957	1998-06-08	VYDAJ	PREVOD NA UCET	6164	39575	SIPO	WX	45545804
2412267	7957	1998-07-08	VYDAJ	PREVOD NA UCET	6164	25461	SIPO	WX	45545804
2412268	7957	1998-08-08	VYDAJ	PREVOD NA UCET	6164	76203	SIPO	WX	45545804
2412269	7957	1998-09-08	VYDAJ	PREVOD NA UCET	6164	46464	SIPO	WX	45545804
2412270	7957	1998-10-08	VYDAJ	PREVOD NA UCET	6164	68852	SIPO	WX	45545804
2412271	7957	1998-11-08	VYDAJ	PREVOD NA UCET	6164	72305	SIPO	WX	45545804
2412272	7957	1998-12-08	VYDAJ	PREVOD NA UCET	6164	97759	SIPO	WX	45545804
2412285	7957	1996-01-05	VYDAJ	PREVOD NA UCET	6055	46169	 	EF	66945707
2412286	7957	1996-02-05	VYDAJ	PREVOD NA UCET	6055	44461	 	EF	66945707
2412287	7957	1996-03-05	VYDAJ	PREVOD NA UCET	6055	19081	 	EF	66945707
2412288	7957	1996-04-05	VYDAJ	PREVOD NA UCET	6055	31491	 	EF	66945707
2412289	7957	1996-05-05	VYDAJ	PREVOD NA UCET	6055	23966	 	EF	66945707
2412290	7957	1996-06-05	VYDAJ	PREVOD NA UCET	6055	30905	 	EF	66945707
2412291	7957	1996-07-05	VYDAJ	PREVOD NA UCET	6055	20789	 	EF	66945707
2412292	7957	1996-08-05	VYDAJ	PREVOD NA UCET	6055	22374	 	EF	66945707
2412293	7957	1996-09-05	VYDAJ	PREVOD NA UCET	6055	26871	 	EF	66945707
2412294	7957	1996-10-05	VYDAJ	PREVOD NA UCET	6055	58685	 	EF	66945707
2412295	7957	1996-11-05	VYDAJ	PREVOD NA UCET	6055	41462	 	EF	66945707
2412296	7957	1996-12-05	VYDAJ	PREVOD NA UCET	6055	21262	 	EF	66945707
2412297	7957	1997-01-05	VYDAJ	PREVOD NA UCET	6055	15704	 	EF	66945707
2412298	7957	1997-02-05	VYDAJ	PREVOD NA UCET	6055	38572	 	EF	66945707
2412299	7957	1997-03-05	VYDAJ	PREVOD NA UCET	6055	16213	 	EF	66945707
2412300	7957	1997-04-05	VYDAJ	PREVOD NA UCET	6055	52781	 	EF	66945707
2412301	7957	1997-05-05	VYDAJ	PREVOD NA UCET	6055	47237	 	EF	66945707
2412302	7957	1997-06-05	VYDAJ	PREVOD NA UCET	6055	63180	 	EF	66945707
2412303	7957	1997-07-05	VYDAJ	PREVOD NA UCET	6055	42907	 	EF	66945707
2412304	7957	1997-08-05	VYDAJ	PREVOD NA UCET	6055	92001	 	EF	66945707
2412305	7957	1997-09-05	VYDAJ	PREVOD NA UCET	6055	63703	 	EF	66945707
2412306	7957	1997-10-05	VYDAJ	PREVOD NA UCET	6055	58996	 	EF	66945707
2412307	7957	1997-11-05	VYDAJ	PREVOD NA UCET	6055	39526	 	EF	66945707
2412308	7957	1997-12-05	VYDAJ	PREVOD NA UCET	6055	33444	 	EF	66945707
2412309	7957	1998-01-05	VYDAJ	PREVOD NA UCET	6055	47571	 	EF	66945707
2412310	7957	1998-02-05	VYDAJ	PREVOD NA UCET	6055	52100	 	EF	66945707
2412311	7957	1998-03-05	VYDAJ	PREVOD NA UCET	6055	32947	 	EF	66945707
2412312	7957	1998-04-05	VYDAJ	PREVOD NA UCET	6055	35524	 	EF	66945707
2412313	7957	1998-05-05	VYDAJ	PREVOD NA UCET	6055	24744	 	EF	66945707
2412314	7957	1998-06-05	VYDAJ	PREVOD NA UCET	6055	19224	 	EF	66945707
2412315	7957	1998-07-05	VYDAJ	PREVOD NA UCET	6055	31625	 	EF	66945707
2412316	7957	1998-08-05	VYDAJ	PREVOD NA UCET	6055	82367	 	EF	66945707
2412317	7957	1998-09-05	VYDAJ	PREVOD NA UCET	6055	52628	 	EF	66945707
2412318	7957	1998-10-05	VYDAJ	PREVOD NA UCET	6055	83265	 	EF	66945707
2412319	7957	1998-11-05	VYDAJ	PREVOD NA UCET	6055	78469	 	EF	66945707
2412320	7957	1998-12-05	VYDAJ	PREVOD NA UCET	6055	30591	 	EF	66945707
2412325	7957	1997-09-22	VYBER	VYBER	23268	58062	\N	\N	\N
2412326	7957	1997-06-26	VYBER	VYBER	9322	96435	\N	\N	\N
2412327	7957	1997-02-06	VYBER	VYBER	10018	28554	\N	\N	\N
2412328	7957	1997-03-23	VYBER	VYBER	13713	81353	\N	\N	\N
2412330	7957	1997-08-07	VYBER	VYBER	20454	71547	\N	\N	\N
2412331	7957	1997-10-14	VYBER	VYBER	20745	61643	\N	\N	\N
2412332	7957	1998-02-06	VYBER	VYBER	11509	40591	\N	\N	\N
2412334	7957	1998-10-27	VYBER	VYBER	6193	87901	\N	\N	\N
2412335	7957	1998-12-03	VYBER	VYBER	24699	36646	\N	\N	\N
2412337	7957	1998-06-21	VYBER	VYBER	5446	30554	\N	\N	\N
2412338	7957	1998-10-07	VYBER	VYBER	8249	75016	\N	\N	\N
2412339	7957	1998-09-19	VYBER	VYBER	2528	73715	\N	\N	\N
2412344	7957	1997-06-27	VYDAJ	VYBER	42300	54135	\N	\N	\N
2412346	7957	1995-12-27	VYDAJ	VYBER	6300	78170	\N	\N	\N
2412348	7957	1997-12-28	VYDAJ	VYBER KARTOU	2400	45112	\N	\N	0
2412356	7957	1996-01-16	VYDAJ	VYBER	8400	63453	\N	\N	\N
2412357	7957	1996-01-21	VYDAJ	VYBER	3900	51453	\N	\N	\N
2412358	7957	1996-01-16	VYDAJ	VYBER	8100	55353	\N	\N	\N
2412359	7957	1996-01-07	VYDAJ	VYBER	8700	37469	\N	\N	\N
2412360	7957	1996-01-24	VYDAJ	VYBER	4500	76075	\N	\N	\N
2412361	7957	1996-01-26	VYDAJ	VYBER	1800	57216	\N	\N	\N
2412368	7957	1998-01-23	VYDAJ	VYBER	6900	91008	\N	\N	\N
2412369	7957	1998-01-13	VYDAJ	VYBER KARTOU	3600	69903	\N	\N	0
2412370	7957	1998-01-18	VYDAJ	VYBER	5400	103308	\N	\N	\N
2412371	7957	1998-01-14	VYDAJ	VYBER	4500	65403	\N	\N	\N
2412372	7957	1998-01-20	VYDAJ	VYBER	5400	97908	\N	\N	\N
2412373	7957	1998-01-06	VYDAJ	VYBER	4500	43071	\N	\N	\N
2412376	7957	1996-02-25	VYDAJ	VYBER	13500	21297	\N	\N	\N
2412377	7957	1996-10-11	VYDAJ	VYBER	6000	59653	\N	\N	\N
2412378	7957	1996-06-01	VYDAJ	VYBER	7200	47560	\N	\N	\N
2412380	7957	1996-05-22	VYDAJ	VYBER	13500	54566	\N	\N	\N
2412381	7957	1996-03-06	VYDAJ	VYBER	8700	54353	\N	\N	\N
2412382	7957	1996-11-13	VYDAJ	VYBER	6900	24798	\N	\N	\N
2412383	7957	1997-07-09	VYDAJ	VYBER	6300	62761	\N	\N	\N
2412384	7957	1997-08-14	VYDAJ	VYBER	11700	30299	\N	\N	\N
2412385	7957	1997-03-17	VYDAJ	VYBER	9900	145166	\N	\N	\N
2412387	7957	1997-06-04	VYDAJ	VYBER	9900	69235	\N	\N	\N
2412388	7957	1997-10-21	VYDAJ	VYBER	6000	55643	\N	\N	\N
2412389	7957	1997-03-25	VYDAJ	VYBER	8100	73253	\N	\N	\N
2412390	7957	1997-10-02	VYDAJ	VYBER	14100	65051	\N	\N	\N
2412391	7957	1998-09-21	VYDAJ	VYBER	7500	66215	\N	\N	\N
2412392	7957	1998-11-17	VYDAJ	VYBER	13500	58805	\N	\N	\N
2412394	7957	1998-11-30	VYDAJ	VYBER KARTOU	2400	61360	\N	\N	0
2412395	7957	1998-10-11	VYDAJ	VYBER	13500	77323	\N	\N	\N
2412397	7957	1998-10-08	VYDAJ	VYBER	10800	58052	\N	\N	\N
2412398	7957	1998-02-02	VYDAJ	VYBER	9600	58155	\N	\N	\N
2412411	7957	1995-12-31	VYDAJ	VYBER	15	78424	SLUZBY	\N	\N
2412412	7957	1996-01-31	VYDAJ	VYBER	15	57467	SLUZBY	\N	\N
2412413	7957	1996-02-29	VYDAJ	VYBER	15	21436	SLUZBY	\N	\N
2412414	7957	1996-03-31	VYDAJ	VYBER	15	43946	SLUZBY	\N	\N
2412415	7957	1996-04-30	VYDAJ	VYBER	15	33121	SLUZBY	\N	\N
2412416	7957	1996-05-31	VYDAJ	VYBER	15	54760	SLUZBY	\N	\N
2412417	7957	1996-06-30	VYDAJ	VYBER	15	24844	SLUZBY	\N	\N
2412418	7957	1996-07-31	VYDAJ	VYBER	15	14679	SLUZBY	\N	\N
2412419	7957	1996-08-31	VYDAJ	VYBER	15	40226	SLUZBY	\N	\N
2412420	7957	1996-09-30	VYDAJ	VYBER	15	122740	SLUZBY	\N	\N
2412421	7957	1996-10-31	VYDAJ	VYBER	15	59917	SLUZBY	\N	\N
2412422	7957	1996-11-30	VYDAJ	VYBER	15	31517	SLUZBY	\N	\N
2412423	7957	1996-12-31	VYDAJ	VYBER	15	21759	SLUZBY	\N	\N
2412424	7957	1997-01-31	VYDAJ	VYBER	15	22199	SLUZBY	\N	\N
2412425	7957	1997-02-28	VYDAJ	VYBER	15	22268	SLUZBY	\N	\N
2412426	7957	1997-03-31	VYDAJ	VYBER	15	58836	SLUZBY	\N	\N
2412427	7957	1997-04-30	VYDAJ	VYBER	15	53292	SLUZBY	\N	\N
2412428	7957	1997-05-31	VYDAJ	VYBER	15	79135	SLUZBY	\N	\N
2412429	7957	1997-06-30	VYDAJ	VYBER	15	48962	SLUZBY	\N	\N
2412430	7957	1997-07-31	VYDAJ	VYBER	15	98056	SLUZBY	\N	\N
2412431	7957	1997-08-31	VYDAJ	VYBER	15	58317	SLUZBY	\N	\N
2412432	7957	1997-09-30	VYDAJ	VYBER	15	79151	SLUZBY	\N	\N
2412433	7957	1997-10-31	VYDAJ	VYBER	15	45581	SLUZBY	\N	\N
2412434	7957	1997-11-30	VYDAJ	VYBER	15	39499	SLUZBY	\N	\N
2412435	7957	1997-12-31	VYDAJ	VYBER	15	45263	SLUZBY	\N	\N
2412436	7957	1998-01-31	VYDAJ	VYBER	15	67755	SLUZBY	\N	\N
2412437	7957	1998-02-28	VYDAJ	VYBER	15	39002	SLUZBY	\N	\N
2412438	7957	1998-03-31	VYDAJ	VYBER	15	41579	SLUZBY	\N	\N
2412439	7957	1998-04-30	VYDAJ	VYBER	15	30799	SLUZBY	\N	\N
2412440	7957	1998-05-31	VYDAJ	VYBER	15	25279	SLUZBY	\N	\N
2412441	7957	1998-06-30	VYDAJ	VYBER	15	37680	SLUZBY	\N	\N
2412442	7957	1998-07-31	VYDAJ	VYBER	15	83201	SLUZBY	\N	\N
2412443	7957	1998-08-31	VYDAJ	VYBER	15	58683	SLUZBY	\N	\N
2412444	7957	1998-09-30	VYDAJ	VYBER	15	89320	SLUZBY	\N	\N
2412445	7957	1998-10-31	VYDAJ	VYBER	15	88224	SLUZBY	\N	\N
2412446	7957	1998-11-30	VYDAJ	VYBER	15	61345	SLUZBY	\N	\N
2412447	7957	1995-10-07	VYDAJ	VYBER	12200	36734	\N	\N	\N
2412448	7957	1995-11-06	VYDAJ	VYBER	21400	42421	\N	\N	\N
2412449	7957	1995-12-06	VYDAJ	VYBER	13000	38790	\N	\N	\N
2412450	7957	1995-12-19	VYDAJ	VYBER	37500	84470	\N	\N	\N
2412451	7957	1996-01-05	VYDAJ	VYBER	23500	52224	\N	\N	\N
2412452	7957	1996-01-25	VYDAJ	VYBER	63700	59016	\N	\N	\N
2412453	7957	1996-02-04	VYDAJ	VYBER	27100	50516	\N	\N	\N
2412454	7957	1996-03-05	PRIJEM	VKLAD	3700	25136	\N	\N	\N
2412455	7957	1996-04-04	VYDAJ	VYBER	6400	37546	\N	\N	\N
2412456	7957	1996-05-04	PRIJEM	VKLAD	500	33621	\N	\N	\N
2412457	7957	1996-05-19	VYDAJ	VYBER	42000	68066	\N	\N	\N
2412458	7957	1996-06-03	VYDAJ	VYBER	6700	36960	\N	\N	\N
2412459	7957	1996-07-03	PRIJEM	VKLAD	5200	30044	\N	\N	\N
2412460	7957	1996-08-02	PRIJEM	VKLAD	3400	18079	\N	\N	\N
2412461	7957	1996-09-01	VYDAJ	VYBER	4100	36126	\N	\N	\N
2412462	7957	1996-09-30	VYDAJ	VYBER	21200	101540	\N	\N	\N
2412463	7957	1996-10-01	VYDAJ	VYBER	33400	68140	\N	\N	\N
2412464	7957	1996-10-06	VYDAJ	VYBER	36300	71817	\N	\N	\N
2412465	7957	1996-10-31	VYDAJ	VYBER	12400	47517	\N	\N	\N
2412466	7957	1996-11-30	PRIJEM	VKLAD	6600	31531	\N	\N	\N
2412467	7957	1996-12-30	PRIJEM	VKLAD	6600	21698	\N	\N	\N
2412468	7957	1997-01-29	PRIJEM	VKLAD	6800	22148	\N	\N	\N
2412469	7957	1997-02-28	PRIJEM	VKLAD	2700	22282	\N	\N	\N
2412470	7957	1997-03-16	VYDAJ	VYBER	19100	125323	\N	\N	\N
2412471	7957	1997-03-17	VYDAJ	VYBER	23600	95066	\N	\N	\N
2412472	7957	1997-03-17	VYDAJ	VYBER	26500	118666	\N	\N	\N
2412473	7957	1997-03-30	VYDAJ	VYBER	32100	58534	\N	\N	\N
2412474	7957	1997-04-29	VYDAJ	VYBER	22400	53095	\N	\N	\N
2412475	7957	1997-05-29	VYDAJ	VYBER	34100	65851	\N	\N	\N
2412476	7957	1997-06-17	VYDAJ	VYBER	15200	105757	\N	\N	\N
2412477	7957	1997-06-28	VYDAJ	VYBER	5500	48635	\N	\N	\N
2412478	7957	1997-07-28	VYDAJ	VYBER	19000	57288	\N	\N	\N
2412479	7957	1997-08-13	VYDAJ	VYBER	64400	41999	\N	\N	\N
2412480	7957	1997-08-27	VYDAJ	VYBER	11600	58060	\N	\N	\N
2412481	7957	1997-09-26	VYDAJ	VYBER	10200	47862	\N	\N	\N
2412482	7957	1997-10-26	VYDAJ	VYBER	10300	45343	\N	\N	\N
2412483	7957	1997-11-25	PRIJEM	VKLAD	1500	31287	\N	\N	\N
2412484	7957	1997-12-25	VYDAJ	VYBER	6200	47512	\N	\N	\N
2412485	7957	1998-01-24	VYDAJ	VYBER	23500	67508	\N	\N	\N
2412486	7957	1998-02-23	PRIJEM	VKLAD	8000	38852	\N	\N	\N
2412487	7957	1998-03-25	VYDAJ	VYBER KARTOU	600	41429	\N	\N	0
2412488	7957	1998-04-24	PRIJEM	VKLAD	4900	30685	\N	\N	\N
2412489	7957	1998-05-24	PRIJEM	VKLAD	10200	25205	\N	\N	\N
2412490	7957	1998-06-23	PRIJEM	VKLAD	7000	37554	\N	\N	\N
2412491	7957	1998-07-23	PRIJEM	VKLAD	11900	34361	\N	\N	\N
2412492	7957	1998-08-22	VYDAJ	VYBER	15100	58403	\N	\N	\N
2412493	7957	1998-09-21	VYDAJ	VYBER	9000	53615	\N	\N	\N
2412494	7957	1998-10-21	VYDAJ	VYBER	17600	59723	\N	\N	\N
2412495	7957	1998-11-20	VYDAJ	VYBER	22000	63469	\N	\N	\N
2412496	7957	1998-12-20	VYDAJ	VYBER	23000	71959	\N	\N	\N
2414853	7965	1993-11-08	PRIJEM	VKLAD	200	200	\N	\N	\N
2414863	7965	1994-06-11	PRIJEM	VKLAD	48487	79326	\N	\N	\N
2414864	7965	1994-10-26	PRIJEM	VKLAD	45368	79256	\N	\N	\N
2414865	7965	1994-02-07	PRIJEM	VKLAD	22541	63689	\N	\N	\N
2414866	7965	1994-04-09	PRIJEM	VKLAD	21759	61899	\N	\N	\N
2414867	7965	1994-09-23	PRIJEM	VKLAD	34197	53022	\N	\N	\N
2414868	7965	1994-12-03	PRIJEM	VKLAD	28952	93151	\N	\N	\N
2414869	7965	1994-09-23	PRIJEM	VKLAD	29527	82549	\N	\N	\N
2414870	7965	1994-01-27	PRIJEM	VKLAD	37212	53412	\N	\N	\N
2414871	7965	1994-05-20	PRIJEM	VKLAD	16519	62064	\N	\N	\N
2414872	7965	1994-11-09	PRIJEM	VKLAD	34070	79769	\N	\N	\N
2414873	7965	1994-08-10	PRIJEM	VKLAD	23598	46847	\N	\N	\N
2414874	7965	1994-03-02	PRIJEM	VKLAD	10972	74917	\N	\N	\N
2414875	7965	1994-12-21	PRIJEM	VKLAD	24390	54318	\N	\N	\N
2414876	7965	1994-10-04	PRIJEM	VKLAD	6163	83011	\N	\N	\N
2414877	7965	1995-06-02	PRIJEM	VKLAD	48797	67709	\N	\N	\N
2414878	7965	1995-05-01	PRIJEM	VKLAD	35232	37675	\N	\N	\N
2414879	7965	1996-11-04	PRIJEM	VKLAD	9503	42241	\N	\N	\N
2414880	7965	1996-10-05	PRIJEM	VKLAD	23362	45634	\N	\N	\N
2414881	7965	1996-01-10	PRIJEM	VKLAD	16667	73921	\N	\N	\N
2414882	7965	1996-01-07	PRIJEM	VKLAD	11047	12637	\N	\N	\N
2414883	7965	1996-11-26	PRIJEM	VKLAD	24686	56162	\N	\N	\N
2414884	7965	1996-02-12	PRIJEM	VKLAD	27867	89026	\N	\N	\N
2414885	7965	1996-07-02	PRIJEM	VKLAD	37923	63904	\N	\N	\N
2414886	7965	1996-11-16	PRIJEM	VKLAD	28726	57999	\N	\N	\N
2414887	7965	1996-10-24	PRIJEM	VKLAD	16139	42205	\N	\N	\N
2414888	7965	1996-11-17	PRIJEM	VKLAD	17086	61076	\N	\N	\N
2414889	7965	1996-09-11	PRIJEM	VKLAD	41130	56902	\N	\N	\N
2414890	7965	1996-06-27	PRIJEM	VKLAD	14737	25964	\N	\N	\N
2414891	7965	1996-01-08	PRIJEM	VKLAD	44617	57254	\N	\N	\N
2414892	7965	1996-02-07	PRIJEM	VKLAD	42807	61159	\N	\N	\N
2414893	7965	1996-01-14	PRIJEM	VKLAD	42392	113013	\N	\N	\N
2414894	7965	1997-04-29	PRIJEM	VKLAD	35910	57836	\N	\N	\N
2414895	7965	1997-02-20	PRIJEM	VKLAD	7249	25921	\N	\N	\N
2414896	7965	1997-01-24	PRIJEM	VKLAD	28892	49940	\N	\N	\N
2414897	7965	1997-05-20	PRIJEM	VKLAD	17502	66393	\N	\N	\N
2414898	7965	1997-09-19	PRIJEM	VKLAD	16866	61884	\N	\N	\N
2414899	7965	1997-05-07	PRIJEM	VKLAD	5527	56191	\N	\N	\N
2414900	7965	1997-02-21	PRIJEM	VKLAD	10446	36367	\N	\N	\N
2414901	7965	1997-11-06	PRIJEM	VKLAD	49987	116015	\N	\N	\N
2414902	7965	1997-10-28	PRIJEM	VKLAD	25742	65876	\N	\N	\N
2414903	7965	1997-06-01	PRIJEM	VKLAD	8988	61491	\N	\N	\N
2414904	7965	1997-08-05	PRIJEM	VKLAD	28808	58323	\N	\N	\N
2414905	7965	1997-08-05	PRIJEM	VKLAD	10148	68471	\N	\N	\N
2414906	7965	1998-01-16	PRIJEM	VKLAD	30348	50150	\N	\N	\N
2414907	7965	1998-08-12	PRIJEM	VKLAD	29871	64254	\N	\N	\N
2414908	7965	1998-05-12	PRIJEM	VKLAD	20357	59482	\N	\N	\N
2414909	7965	1998-12-13	PRIJEM	VKLAD	45266	99011	\N	\N	\N
2414910	7965	1998-09-18	PRIJEM	VKLAD	26749	65861	\N	\N	\N
2414911	7965	1998-12-09	PRIJEM	VKLAD	38308	60945	\N	\N	\N
2414912	7965	1998-10-21	PRIJEM	VKLAD	13724	62065	\N	\N	\N
2414913	7965	1998-07-01	PRIJEM	VKLAD	7408	41563	\N	\N	\N
2414914	7965	1998-07-10	PRIJEM	VKLAD	17592	43693	\N	\N	\N
2414915	7965	1998-04-11	PRIJEM	VKLAD	15002	47550	\N	\N	\N
2414916	7965	1998-05-05	PRIJEM	VKLAD	20923	46393	\N	\N	\N
2414917	7965	1998-03-02	PRIJEM	VKLAD	44823	81845	\N	\N	\N
2414918	7965	1998-12-17	PRIJEM	VKLAD	17928	113588	\N	\N	\N
2414919	7965	1998-01-31	PRIJEM	VKLAD	5412	48213	\N	\N	\N
2414937	7965	1994-06-15	VYDAJ	VYBER	6700	72626	\N	\N	0
2414938	7965	1994-07-14	VYDAJ	VYBER	6000	41127	\N	\N	0
2414939	7965	1994-08-15	VYDAJ	VYBER	6800	40047	\N	\N	0
2414940	7965	1994-09-14	VYDAJ	VYBER	6500	18825	\N	\N	0
2414941	7965	1994-10-12	VYDAJ	PREVOD NA UCET	5955	38988	UVER	YZ	98081868
2414942	7965	1994-11-12	VYDAJ	PREVOD NA UCET	5955	73814	UVER	YZ	98081868
2414943	7965	1994-12-12	VYDAJ	PREVOD NA UCET	5955	46728	UVER	YZ	98081868
2414944	7965	1995-01-12	VYDAJ	PREVOD NA UCET	5955	14983	UVER	YZ	98081868
2414945	7965	1995-02-12	VYDAJ	PREVOD NA UCET	5955	8937	UVER	YZ	98081868
2414946	7965	1995-03-12	VYDAJ	PREVOD NA UCET	5955	5747	UVER	YZ	98081868
2414947	7965	1995-04-12	VYDAJ	PREVOD NA UCET	5955	2440	UVER	YZ	98081868
2414948	7965	1995-05-12	VYDAJ	PREVOD NA UCET	5955	15552	UVER	YZ	98081868
2414949	7965	1995-06-12	VYDAJ	PREVOD NA UCET	5955	54486	UVER	YZ	98081868
2414950	7965	1995-07-12	VYDAJ	PREVOD NA UCET	5955	19639	UVER	YZ	98081868
2414951	7965	1995-08-12	VYDAJ	PREVOD NA UCET	5955	10703	UVER	YZ	98081868
2414952	7965	1995-09-12	VYDAJ	PREVOD NA UCET	5955	4931	UVER	YZ	98081868
2414956	7965	1996-01-03	VYDAJ	VYBER	5600	8858	\N	\N	0
2414957	7965	1996-02-14	VYDAJ	VYBER	5100	83926	\N	\N	0
2414958	7965	1996-03-16	VYDAJ	VYBER	6900	29010	\N	\N	0
2414959	7965	1996-04-14	VYDAJ	VYBER	6600	10271	\N	\N	0
2414961	7965	1996-06-04	VYDAJ	VYBER	5000	8995	\N	\N	0
2414962	7965	1996-07-16	VYDAJ	VYBER	4500	35308	\N	\N	0
2414963	7965	1996-08-16	VYDAJ	VYBER	5500	14161	\N	\N	0
2414964	7965	1996-09-21	VYDAJ	VYBER	5500	45736	\N	\N	0
2414965	7965	1996-10-17	VYDAJ	VYBER	7100	31266	\N	\N	0
2414966	7965	1996-11-05	VYDAJ	VYBER	5700	36541	\N	\N	0
2414967	7965	1996-12-12	VYDAJ	VYBER	5400	40054	\N	\N	0
2414968	7965	1997-01-10	VYDAJ	VYBER	6400	16648	\N	\N	0
2414969	7965	1997-02-11	VYDAJ	VYBER	6400	15672	\N	\N	0
2414970	7965	1997-03-02	VYDAJ	VYBER	4700	31763	\N	\N	0
2414971	7965	1997-04-18	VYDAJ	VYBER	5200	15026	\N	\N	0
2414972	7965	1997-05-15	VYDAJ	VYBER	7300	48891	\N	\N	0
2414973	7965	1997-06-14	VYDAJ	VYBER	6400	47823	\N	\N	0
2414974	7965	1997-07-07	VYDAJ	VYBER	4900	14237	\N	\N	0
2414975	7965	1997-08-11	VYDAJ	VYBER	7400	36729	\N	\N	0
2414976	7965	1997-09-20	VYDAJ	VYBER	5700	43741	\N	\N	0
2414977	7965	1997-10-06	VYDAJ	VYBER	5700	38202	\N	\N	0
2414978	7965	1997-11-15	VYDAJ	VYBER	7400	57847	\N	\N	0
2414979	7965	1997-12-04	VYDAJ	VYBER	4500	51805	\N	\N	0
2414980	7965	1998-01-04	VYDAJ	VYBER	6100	30870	\N	\N	0
2414981	7965	1998-02-06	VYDAJ	VYBER	6100	42098	\N	\N	0
2414982	7965	1998-03-05	VYDAJ	VYBER	5600	76245	\N	\N	0
2414983	7965	1998-04-17	VYDAJ	VYBER	4600	49650	\N	\N	0
2414984	7965	1998-05-14	VYDAJ	VYBER	6500	52982	\N	\N	0
2414985	7965	1998-06-06	VYDAJ	VYBER	4500	34594	\N	\N	0
2414986	7965	1998-07-07	VYDAJ	VYBER	5300	26101	\N	\N	0
2414987	7965	1998-08-03	VYDAJ	VYBER	5800	41651	\N	\N	0
2414988	7965	1998-09-17	VYDAJ	VYBER	5900	39112	\N	\N	0
2414989	7965	1998-10-14	VYDAJ	VYBER	6700	48341	\N	\N	0
2414990	7965	1998-11-13	VYDAJ	VYBER	5100	43231	\N	\N	0
2414991	7965	1998-12-02	VYDAJ	VYBER	7200	36205	\N	\N	0
2415009	7965	1994-06-06	VYDAJ	PREVOD NA UCET	7268	55039	SIPO	IJ	47610610
2415010	7965	1994-07-06	VYDAJ	PREVOD NA UCET	7268	47127	SIPO	IJ	47610610
2415011	7965	1994-08-06	VYDAJ	PREVOD NA UCET	7268	23249	SIPO	IJ	47610610
2415012	7965	1994-09-06	VYDAJ	PREVOD NA UCET	7268	25325	SIPO	IJ	47610610
2415013	7965	1994-10-06	VYDAJ	PREVOD NA UCET	7268	44943	SIPO	IJ	47610610
2415014	7965	1994-11-06	VYDAJ	PREVOD NA UCET	7268	45699	SIPO	IJ	47610610
2415015	7965	1994-12-06	VYDAJ	PREVOD NA UCET	7268	52683	SIPO	IJ	47610610
2415016	7965	1995-01-06	VYDAJ	PREVOD NA UCET	7268	27538	SIPO	IJ	47610610
2415017	7965	1995-02-06	VYDAJ	PREVOD NA UCET	7268	14892	SIPO	IJ	47610610
2415018	7965	1995-03-06	VYDAJ	PREVOD NA UCET	7268	11702	SIPO	IJ	47610610
2415019	7965	1995-04-06	VYDAJ	PREVOD NA UCET	7268	8395	SIPO	IJ	47610610
2415020	7965	1995-05-06	VYDAJ	PREVOD NA UCET	7268	21507	SIPO	IJ	47610610
2415021	7965	1995-06-06	VYDAJ	PREVOD NA UCET	7268	60441	SIPO	IJ	47610610
2415022	7965	1995-07-06	VYDAJ	PREVOD NA UCET	7268	25594	SIPO	IJ	47610610
2415023	7965	1995-08-06	VYDAJ	PREVOD NA UCET	7268	16658	SIPO	IJ	47610610
2415024	7965	1995-09-06	VYDAJ	PREVOD NA UCET	7268	10886	SIPO	IJ	47610610
2415025	7965	1995-10-06	VYDAJ	PREVOD NA UCET	7268	4991	SIPO	IJ	47610610
2415026	7965	1995-11-06	VYDAJ	PREVOD NA UCET	7268	3659	SIPO	IJ	47610610
2415027	7965	1995-12-06	VYDAJ	PREVOD NA UCET	7268	4522	SIPO	IJ	47610610
2415028	7965	1996-01-06	VYDAJ	PREVOD NA UCET	7268	1590	SIPO	IJ	47610610
2415029	7965	1996-02-06	VYDAJ	PREVOD NA UCET	7268	18352	SIPO	IJ	47610610
2415030	7965	1996-03-06	VYDAJ	PREVOD NA UCET	7268	35910	SIPO	IJ	47610610
2415031	7965	1996-04-06	VYDAJ	PREVOD NA UCET	7268	16871	SIPO	IJ	47610610
2415032	7965	1996-05-06	VYDAJ	PREVOD NA UCET	7268	5058	SIPO	IJ	47610610
2415033	7965	1996-06-06	VYDAJ	PREVOD NA UCET	7268	1727	SIPO	IJ	47610610
2415034	7965	1996-07-06	VYDAJ	PREVOD NA UCET	7268	56636	SIPO	IJ	47610610
2415035	7965	1996-08-06	VYDAJ	PREVOD NA UCET	7268	19661	SIPO	IJ	47610610
2415036	7965	1996-09-06	VYDAJ	PREVOD NA UCET	7268	15772	SIPO	IJ	47610610
2415037	7965	1996-10-06	VYDAJ	PREVOD NA UCET	7268	38366	SIPO	IJ	47610610
2415038	7965	1996-11-06	VYDAJ	PREVOD NA UCET	7268	29273	SIPO	IJ	47610610
2415039	7965	1996-12-06	VYDAJ	PREVOD NA UCET	7268	47554	SIPO	IJ	47610610
2415040	7965	1997-01-06	VYDAJ	PREVOD NA UCET	7268	27848	SIPO	IJ	47610610
2415041	7965	1997-02-06	VYDAJ	PREVOD NA UCET	7268	22072	SIPO	IJ	47610610
2415042	7965	1997-03-06	VYDAJ	PREVOD NA UCET	7268	24495	SIPO	IJ	47610610
2415043	7965	1997-04-06	VYDAJ	PREVOD NA UCET	7268	20226	SIPO	IJ	47610610
2415044	7965	1997-05-06	VYDAJ	PREVOD NA UCET	7268	50664	SIPO	IJ	47610610
2415045	7965	1997-06-06	VYDAJ	PREVOD NA UCET	7268	54223	SIPO	IJ	47610610
2415046	7965	1997-07-06	VYDAJ	PREVOD NA UCET	7268	19137	SIPO	IJ	47610610
2415047	7965	1997-08-06	VYDAJ	PREVOD NA UCET	7268	61203	SIPO	IJ	47610610
2415048	7965	1997-09-06	VYDAJ	PREVOD NA UCET	7268	33718	SIPO	IJ	47610610
2415049	7965	1997-10-06	VYDAJ	PREVOD NA UCET	7268	30934	SIPO	IJ	47610610
2415050	7965	1997-11-06	VYDAJ	PREVOD NA UCET	7268	79047	SIPO	IJ	47610610
2415051	7965	1997-12-06	VYDAJ	PREVOD NA UCET	7268	44537	SIPO	IJ	47610610
2415052	7965	1998-01-06	VYDAJ	PREVOD NA UCET	7268	21502	SIPO	IJ	47610610
2415053	7965	1998-02-06	VYDAJ	PREVOD NA UCET	7268	34830	SIPO	IJ	47610610
2415054	7965	1998-03-06	VYDAJ	PREVOD NA UCET	7268	68977	SIPO	IJ	47610610
2415055	7965	1998-04-06	VYDAJ	PREVOD NA UCET	7268	36821	SIPO	IJ	47610610
2415056	7965	1998-05-06	VYDAJ	PREVOD NA UCET	7268	39125	SIPO	IJ	47610610
2415057	7965	1998-06-06	VYDAJ	PREVOD NA UCET	7268	27326	SIPO	IJ	47610610
2415058	7965	1998-07-06	VYDAJ	PREVOD NA UCET	7268	31401	SIPO	IJ	47610610
2415059	7965	1998-08-06	VYDAJ	PREVOD NA UCET	7268	34383	SIPO	IJ	47610610
2415060	7965	1998-09-06	VYDAJ	PREVOD NA UCET	7268	27912	SIPO	IJ	47610610
2415061	7965	1998-10-06	VYDAJ	PREVOD NA UCET	7268	52777	SIPO	IJ	47610610
2415062	7965	1998-11-06	VYDAJ	PREVOD NA UCET	7268	41831	SIPO	IJ	47610610
2415063	7965	1998-12-06	VYDAJ	PREVOD NA UCET	7268	22637	SIPO	IJ	47610610
2415072	7965	1994-09-23	VYBER	VYBER	5828	76721	\N	\N	\N
2415074	7965	1995-06-20	VYBER	VYBER	13723	40763	\N	\N	\N
2415084	7965	1996-01-27	VYBER	VYBER	18205	40618	\N	\N	\N
2415086	7965	1996-01-16	VYBER	VYBER	5790	88223	\N	\N	\N
2415089	7965	1996-07-07	VYBER	VYBER	16828	39808	\N	\N	\N
2415091	7965	1996-11-16	VYBER	VYBER	14009	43990	\N	\N	\N
2415092	7965	1996-09-14	VYBER	VYBER	5666	51236	\N	\N	\N
2415096	7965	1997-09-19	VYBER	VYBER	12443	49441	\N	\N	\N
2415097	7965	1997-08-09	VYBER	VYBER	8974	52229	\N	\N	\N
2415099	7965	1998-05-01	VYBER	VYBER	20474	25470	\N	\N	\N
2415100	7965	1998-01-04	VYBER	VYBER	2744	36970	\N	\N	\N
2415101	7965	1998-07-05	VYBER	VYBER	2894	38669	\N	\N	\N
2415102	7965	1998-04-07	VYBER	VYBER	4273	32548	\N	\N	\N
2415103	7965	1998-10-13	VYBER	VYBER	5436	55041	\N	\N	\N
2415104	7965	1998-05-30	VYBER	VYBER	18182	38900	\N	\N	\N
2415105	7965	1998-02-17	VYBER	VYBER	3862	36868	\N	\N	\N
2415106	7965	1998-11-02	VYBER	VYBER	13191	49099	\N	\N	\N
2415109	7965	1998-08-17	VYBER	VYBER	24128	35026	\N	\N	\N
2415110	7965	1998-04-22	VYBER	VYBER	3876	45774	\N	\N	\N
2415111	7965	1998-12-16	VYBER	VYBER	3351	95660	\N	\N	\N
2415113	7965	1994-06-10	VYDAJ	VYBER	9900	30839	\N	\N	\N
2415116	7965	1997-06-29	VYDAJ	VYBER	16800	26223	\N	\N	\N
2415117	7965	1998-06-18	VYDAJ	VYBER	9600	34026	\N	\N	\N
2415121	7965	1996-01-18	VYDAJ	VYBER	17400	70823	\N	\N	\N
2415122	7965	1997-01-29	VYDAJ	VYBER	20700	29240	\N	\N	\N
2415125	7965	1994-12-29	VYDAJ	VYBER	8400	42318	\N	\N	\N
2415127	7965	1996-12-01	VYDAJ	VYBER	1500	54822	\N	\N	\N
2415128	7965	1997-12-27	VYDAJ	VYBER	5700	41037	\N	\N	\N
2415129	7965	1998-12-04	VYDAJ	VYBER	6300	29905	\N	\N	\N
2415142	7965	1995-01-10	VYDAJ	VYBER	4500	20938	\N	\N	\N
2415144	7965	1995-01-06	VYDAJ	VYBER	2100	25438	\N	\N	\N
2415148	7965	1996-01-20	VYDAJ	VYBER	3000	67823	\N	\N	\N
2415149	7965	1996-01-29	VYDAJ	VYBER	4800	26918	\N	\N	\N
2415150	7965	1996-01-20	VYDAJ	VYBER	3300	64523	\N	\N	\N
2415151	7965	1996-01-13	VYDAJ	VYBER	3300	70621	\N	\N	\N
2415152	7965	1996-01-24	VYDAJ	VYBER	5700	58823	\N	\N	\N
2415153	7965	1996-01-30	VYDAJ	VYBER	1500	25418	\N	\N	\N
2415158	7965	1997-01-07	VYDAJ	VYBER	4800	23048	\N	\N	\N
2415160	7965	1998-01-12	VYDAJ	VYBER	2700	18802	\N	\N	\N
2415161	7965	1998-01-04	VYDAJ	VYBER	2100	28770	\N	\N	\N
2415163	7965	1998-01-25	VYDAJ	VYBER	5400	42650	\N	\N	\N
2415164	7965	1998-01-02	VYDAJ	VYBER	1500	39714	\N	\N	\N
2415165	7965	1998-01-21	VYDAJ	VYBER	2100	48050	\N	\N	\N
2415172	7965	1994-12-20	VYDAJ	VYBER	7200	29928	\N	\N	\N
2415173	7965	1994-12-12	VYDAJ	VYBER	9600	37128	\N	\N	\N
2415174	7965	1994-11-29	VYDAJ	VYBER	9900	63914	\N	\N	\N
2415176	7965	1994-07-28	VYDAJ	VYBER	4200	36927	\N	\N	\N
2415177	7965	1994-10-24	VYDAJ	VYBER	5100	33888	\N	\N	\N
2415178	7965	1994-12-27	VYDAJ	VYBER	3600	50718	\N	\N	\N
2415180	7965	1995-05-03	VYDAJ	VYBER	2100	28775	\N	\N	\N
2415184	7965	1996-09-27	VYDAJ	VYBER	9300	25436	\N	\N	\N
2415185	7965	1996-12-12	VYDAJ	VYBER	2100	45454	\N	\N	\N
2415186	7965	1996-07-20	VYDAJ	VYBER	9000	26308	\N	\N	\N
2415187	7965	1996-03-02	VYDAJ	VYBER	10800	43178	\N	\N	\N
2415188	7965	1996-10-03	VYDAJ	VYBER	3300	22272	\N	\N	\N
2415189	7965	1996-11-25	VYDAJ	VYBER	13800	31476	\N	\N	\N
2415190	7965	1996-10-30	VYDAJ	VYBER	9600	32605	\N	\N	\N
2415191	7965	1997-08-10	VYDAJ	VYBER	8100	44129	\N	\N	\N
2415193	7965	1997-11-09	VYDAJ	VYBER	13800	65247	\N	\N	\N
2415194	7965	1998-03-22	VYDAJ	VYBER	11700	43877	\N	\N	\N
2415196	7965	1998-09-23	VYDAJ	VYBER	6000	59861	\N	\N	\N
2415197	7965	1998-12-11	VYDAJ	VYBER	11400	49545	\N	\N	\N
2415215	7965	1994-05-31	VYDAJ	VYBER	15	62307	SLUZBY	\N	\N
2415216	7965	1994-06-30	VYDAJ	VYBER	15	72895	SLUZBY	\N	\N
2415217	7965	1994-07-31	VYDAJ	VYBER	15	37117	SLUZBY	\N	\N
2415218	7965	1994-08-31	VYDAJ	VYBER	15	40193	SLUZBY	\N	\N
2415219	7965	1994-09-30	VYDAJ	VYBER	15	76848	SLUZBY	\N	\N
2415220	7965	1994-10-31	VYDAJ	VYBER	15	79467	SLUZBY	\N	\N
2415221	7965	1994-11-30	VYDAJ	VYBER	15	64199	SLUZBY	\N	\N
2415222	7965	1994-12-31	VYDAJ	VYBER	15	42506	SLUZBY	\N	\N
2415223	7965	1995-01-31	VYDAJ	VYBER	15	15060	SLUZBY	\N	\N
2415224	7965	1995-02-28	VYDAJ	VYBER	15	8970	SLUZBY	\N	\N
2415225	7965	1995-03-31	VYDAJ	VYBER	15	5763	SLUZBY	\N	\N
2415226	7965	1995-04-30	VYDAJ	VYBER	15	2443	SLUZBY	\N	\N
2415227	7965	1995-05-31	VYDAJ	VYBER	15	15612	SLUZBY	\N	\N
2415228	7965	1995-06-30	VYDAJ	VYBER	15	40962	SLUZBY	\N	\N
2415229	7965	1995-07-31	VYDAJ	VYBER	15	23926	SLUZBY	\N	\N
2415230	7965	1995-08-31	VYDAJ	VYBER	15	18154	SLUZBY	\N	\N
2415231	7965	1995-09-30	VYDAJ	VYBER	15	12259	SLUZBY	\N	\N
2415232	7965	1995-10-31	VYDAJ	VYBER	15	10927	SLUZBY	\N	\N
2415233	7965	1995-11-30	VYDAJ	VYBER	15	11790	SLUZBY	\N	\N
2415234	7965	1995-12-31	VYDAJ	VYBER	15	14458	SLUZBY	\N	\N
2415235	7965	1996-01-31	VYDAJ	VYBER	15	25620	SLUZBY	\N	\N
2415236	7965	1996-02-29	VYDAJ	VYBER	15	53978	SLUZBY	\N	\N
2415237	7965	1996-03-31	VYDAJ	VYBER	15	24139	SLUZBY	\N	\N
2415238	7965	1996-04-30	VYDAJ	VYBER	15	12326	SLUZBY	\N	\N
2415239	7965	1996-05-31	VYDAJ	VYBER	15	13995	SLUZBY	\N	\N
2415240	7965	1996-06-30	VYDAJ	VYBER	15	25981	SLUZBY	\N	\N
2415241	7965	1996-07-31	VYDAJ	VYBER	15	26929	SLUZBY	\N	\N
2415242	7965	1996-08-31	VYDAJ	VYBER	15	23040	SLUZBY	\N	\N
2415243	7965	1996-09-30	VYDAJ	VYBER	15	25572	SLUZBY	\N	\N
2415244	7965	1996-10-31	VYDAJ	VYBER	15	32738	SLUZBY	\N	\N
2415245	7965	1996-11-30	VYDAJ	VYBER	15	56322	SLUZBY	\N	\N
2415246	7965	1996-12-31	VYDAJ	VYBER	15	35116	SLUZBY	\N	\N
2415247	7965	1997-01-31	VYDAJ	VYBER	15	29340	SLUZBY	\N	\N
2415248	7965	1997-02-28	VYDAJ	VYBER	15	36463	SLUZBY	\N	\N
2415249	7965	1997-03-31	VYDAJ	VYBER	15	27494	SLUZBY	\N	\N
2415250	7965	1997-04-30	VYDAJ	VYBER	15	57932	SLUZBY	\N	\N
2415251	7965	1997-05-31	VYDAJ	VYBER	15	52503	SLUZBY	\N	\N
2415252	7965	1997-06-30	VYDAJ	VYBER	15	26405	SLUZBY	\N	\N
2415253	7965	1997-07-31	VYDAJ	VYBER	15	29515	SLUZBY	\N	\N
2415254	7965	1997-08-31	VYDAJ	VYBER	15	40986	SLUZBY	\N	\N
2415255	7965	1997-09-30	VYDAJ	VYBER	15	43902	SLUZBY	\N	\N
2415256	7965	1997-10-31	VYDAJ	VYBER	15	66028	SLUZBY	\N	\N
2415257	7965	1997-11-30	VYDAJ	VYBER	15	56305	SLUZBY	\N	\N
2415258	7965	1997-12-31	VYDAJ	VYBER	15	41214	SLUZBY	\N	\N
2415259	7965	1998-01-31	VYDAJ	VYBER	15	48198	SLUZBY	\N	\N
2415260	7965	1998-02-28	VYDAJ	VYBER	15	37022	SLUZBY	\N	\N
2415261	7965	1998-03-31	VYDAJ	VYBER	15	44089	SLUZBY	\N	\N
2415262	7965	1998-04-30	VYDAJ	VYBER	15	45944	SLUZBY	\N	\N
2415263	7965	1998-05-31	VYDAJ	VYBER	15	39094	SLUZBY	\N	\N
2415264	7965	1998-06-30	VYDAJ	VYBER	15	34155	SLUZBY	\N	\N
2415265	7965	1998-07-31	VYDAJ	VYBER	15	47451	SLUZBY	\N	\N
2415266	7965	1998-08-31	VYDAJ	VYBER	15	35180	SLUZBY	\N	\N
2415267	7965	1998-09-30	VYDAJ	VYBER	15	60045	SLUZBY	\N	\N
2415268	7965	1998-10-31	VYDAJ	VYBER	15	62290	SLUZBY	\N	\N
2415269	7965	1998-11-30	VYDAJ	VYBER	15	43405	SLUZBY	\N	\N
2415270	7965	1993-12-08	PRIJEM	VKLAD	10300	10500	\N	\N	\N
2415271	7965	1994-01-07	PRIJEM	VKLAD	5700	16200	\N	\N	\N
2415272	7965	1994-02-06	VYDAJ	VYBER	12300	41148	\N	\N	\N
2415273	7965	1994-03-08	VYDAJ	VYBER	24300	50617	\N	\N	\N
2415274	7965	1994-04-07	VYDAJ	VYBER	10700	40140	\N	\N	\N
2415275	7965	1994-05-07	VYDAJ	VYBER	16600	45545	\N	\N	\N
2415276	7965	1994-06-06	VYDAJ	VYBER	14300	40739	\N	\N	\N
2415277	7965	1994-07-06	VYDAJ	VYBER	18500	54395	\N	\N	\N
2415278	7965	1994-08-05	VYDAJ	VYBER	6600	30517	\N	\N	\N
2415279	7965	1994-09-04	VYDAJ	VYBER	7600	32593	\N	\N	\N
2415280	7965	1994-10-04	VYDAJ	VYBER	30800	52211	\N	\N	\N
2415281	7965	1994-11-03	VYDAJ	VYBER	26500	52967	\N	\N	\N
2415282	7965	1994-12-03	VYDAJ	VYBER	33200	59951	\N	\N	\N
2415283	7965	1995-01-02	VYDAJ	VYBER	7700	34806	\N	\N	\N
2415284	7965	1995-02-01	PRIJEM	VKLAD	7100	22160	\N	\N	\N
2415285	7965	1995-03-03	PRIJEM	VKLAD	10000	18970	\N	\N	\N
2415286	7965	1995-04-02	PRIJEM	VKLAD	9900	15663	\N	\N	\N
2415287	7965	1995-05-02	VYDAJ	VYBER	6800	30875	\N	\N	\N
2415288	7965	1995-06-01	PRIJEM	VKLAD	3300	18912	\N	\N	\N
2415289	7965	1995-07-01	VYDAJ	VYBER	8100	32862	\N	\N	\N
2415290	7965	1995-07-31	PRIJEM	VKLAD	4200	23839	\N	\N	\N
2415291	7965	1995-08-30	PRIJEM	VKLAD	7400	18103	\N	\N	\N
2415292	7965	1995-09-29	PRIJEM	VKLAD	7300	12231	\N	\N	\N
2415293	7965	1995-10-29	PRIJEM	VKLAD	5900	10891	\N	\N	\N
2415294	7965	1995-11-28	PRIJEM	VKLAD	8100	11759	\N	\N	\N
2415295	7965	1995-12-28	PRIJEM	VKLAD	9900	14422	\N	\N	\N
2415296	7965	1996-01-14	VYDAJ	VYBER	19000	94013	\N	\N	\N
2415297	7965	1996-01-27	VYDAJ	VYBER	8900	31718	\N	\N	\N
2415298	7965	1996-02-26	VYDAJ	VYBER	30200	53726	\N	\N	\N
2415299	7965	1996-03-27	VYDAJ	VYBER	5000	24010	\N	\N	\N
2415300	7965	1996-04-26	PRIJEM	VKLAD	2000	12271	\N	\N	\N
2415301	7965	1996-05-26	PRIJEM	VKLAD	8900	13958	\N	\N	\N
2415302	7965	1996-06-25	PRIJEM	VKLAD	9500	11227	\N	\N	\N
2415303	7965	1996-07-25	PRIJEM	VKLAD	500	26808	\N	\N	\N
2415304	7965	1996-08-24	PRIJEM	VKLAD	8800	22961	\N	\N	\N
2415305	7965	1996-09-23	VYDAJ	VYBER	11000	34736	\N	\N	\N
2415306	7965	1996-10-23	VYDAJ	VYBER	5200	26066	\N	\N	\N
2415307	7965	1996-11-22	VYDAJ	VYBER	15800	45276	\N	\N	\N
2415308	7965	1996-12-22	VYDAJ	VYBER	5100	34954	\N	\N	\N
2415309	7965	1997-01-21	PRIJEM	VKLAD	4400	21048	\N	\N	\N
2415310	7965	1997-02-20	PRIJEM	VKLAD	3000	18672	\N	\N	\N
2415311	7965	1997-03-22	PRIJEM	VKLAD	2900	27395	\N	\N	\N
2415312	7965	1997-04-21	PRIJEM	VKLAD	6900	21926	\N	\N	\N
2415313	7965	1997-05-21	VYDAJ	VYBER	14100	52293	\N	\N	\N
2415314	7965	1997-06-20	VYDAJ	VYBER	4800	43023	\N	\N	\N
2415315	7965	1997-07-20	PRIJEM	VKLAD	15200	29437	\N	\N	\N
2415316	7965	1997-08-19	PRIJEM	VKLAD	4100	40829	\N	\N	\N
2415317	7965	1997-09-18	PRIJEM	VKLAD	11300	45018	\N	\N	\N
2415318	7965	1997-10-18	PRIJEM	VKLAD	9200	40134	\N	\N	\N
2415319	7965	1997-11-06	VYDAJ	VYBER	29700	86315	\N	\N	\N
2415320	7965	1997-11-17	VYDAJ	VYBER	1800	56047	\N	\N	\N
2415321	7965	1997-12-17	PRIJEM	VKLAD	2200	46737	\N	\N	\N
2415322	7965	1998-01-16	PRIJEM	VKLAD	1000	19802	\N	\N	\N
2415323	7965	1998-02-15	PRIJEM	VKLAD	5900	40730	\N	\N	\N
2415324	7965	1998-03-17	VYDAJ	VYBER	13400	55577	\N	\N	\N
2415325	7965	1998-04-16	PRIJEM	VKLAD	6700	54250	\N	\N	\N
2415326	7965	1998-05-16	PRIJEM	VKLAD	4100	57082	\N	\N	\N
2415327	7965	1998-06-15	PRIJEM	VKLAD	16300	43626	\N	\N	\N
2415328	7965	1998-07-15	PRIJEM	VKLAD	3600	47293	\N	\N	\N
2415329	7965	1998-08-14	VYDAJ	VYBER	5100	59154	\N	\N	\N
2415330	7965	1998-09-13	PRIJEM	VKLAD	17100	45012	\N	\N	\N
2415331	7965	1998-10-13	PRIJEM	VKLAD	7700	60477	\N	\N	\N
2415332	7965	1998-11-12	PRIJEM	VKLAD	6500	48331	\N	\N	\N
2415333	7965	1998-12-12	PRIJEM	VKLAD	4200	53745	\N	\N	\N
2415334	7965	1998-12-17	VYDAJ	VYBER	52400	61188	\N	\N	\N
2415396	7966	1996-12-27	PRIJEM	VKLAD	500	500	\N	\N	\N
2415399	7966	1997-04-29	PRIJEM	VKLAD	29598	100598	\N	\N	\N
2415400	7966	1997-04-27	PRIJEM	VKLAD	30264	71000	\N	\N	\N
2415401	7966	1997-04-15	PRIJEM	VKLAD	9464	84493	\N	\N	\N
2415402	7966	1997-10-26	PRIJEM	VKLAD	8604	36230	\N	\N	\N
2415403	7966	1997-07-26	PRIJEM	VKLAD	35422	66708	\N	\N	\N
2415404	7966	1997-04-26	PRIJEM	VKLAD	25243	109736	\N	\N	\N
2415405	7966	1997-09-28	PRIJEM	VKLAD	32349	54056	\N	\N	\N
2415406	7966	1997-01-28	PRIJEM	VKLAD	17208	31208	\N	\N	\N
2415407	7966	1997-04-12	PRIJEM	VKLAD	46632	75029	\N	\N	\N
2415408	7966	1998-05-17	PRIJEM	VKLAD	25029	124582	\N	\N	\N
2415409	7966	1998-04-27	PRIJEM	VKLAD	27475	84188	\N	\N	\N
2415410	7966	1998-09-07	PRIJEM	VKLAD	25551	40178	\N	\N	\N
2415411	7966	1998-01-27	PRIJEM	VKLAD	40279	99626	\N	\N	\N
2415412	7966	1998-01-30	PRIJEM	VKLAD	33754	130680	\N	\N	\N
2415413	7966	1998-05-09	PRIJEM	VKLAD	5844	88135	\N	\N	\N
2415414	7966	1998-01-19	PRIJEM	VKLAD	9507	8352	\N	\N	\N
2415415	7966	1998-03-05	PRIJEM	VKLAD	18623	75286	\N	\N	\N
2415416	7966	1998-05-11	PRIJEM	VKLAD	43506	131641	\N	\N	\N
2415417	7966	1998-01-23	PRIJEM	VKLAD	45495	59347	\N	\N	\N
2415418	7966	1998-04-26	PRIJEM	VKLAD	23286	56713	\N	\N	\N
2415419	7966	1998-06-06	PRIJEM	VKLAD	24906	55446	\N	\N	\N
2415420	7966	1998-04-18	PRIJEM	VKLAD	30490	39527	\N	\N	\N
2415437	7966	1997-05-05	VYDAJ	VYBER	7700	93295	\N	\N	0
2415438	7966	1997-06-12	VYDAJ	VYBER	6500	54008	\N	\N	0
2415439	7966	1997-07-11	VYDAJ	VYBER	9000	31786	\N	\N	0
2415440	7966	1997-08-08	VYDAJ	VYBER	8600	58470	\N	\N	0
2415441	7966	1997-09-12	VYDAJ	PREVOD NA UCET	7888	13507	UVER	MN	70140522
2415442	7966	1997-10-12	VYDAJ	PREVOD NA UCET	7888	46336	UVER	MN	70140522
2415443	7966	1997-11-12	VYDAJ	PREVOD NA UCET	7888	28576	UVER	MN	70140522
2415444	7966	1997-12-12	VYDAJ	PREVOD NA UCET	7888	16941	UVER	MN	70140522
2415446	7966	1998-02-12	VYDAJ	PREVOD NA UCET	7888	78615	UVER	MN	70140522
2415447	7966	1998-03-12	VYDAJ	PREVOD NA UCET	7888	67398	UVER	MN	70140522
2415449	7966	1998-05-12	VYDAJ	PREVOD NA UCET	7888	99553	UVER	MN	70140522
2415450	7966	1998-06-12	VYDAJ	PREVOD NA UCET	7888	47558	UVER	MN	70140522
2415451	7966	1998-07-12	VYDAJ	PREVOD NA UCET	7888	20481	UVER	MN	70140522
2415452	7966	1998-08-12	VYDAJ	PREVOD NA UCET	7888	13820	UVER	MN	70140522
2415453	7966	1998-09-12	VYDAJ	PREVOD NA UCET	7888	32291	UVER	MN	70140522
2415454	7966	1998-10-12	VYDAJ	PREVOD NA UCET	7888	15865	UVER	MN	70140522
2415456	7966	1998-12-12	VYDAJ	PREVOD NA UCET	7888	19398	UVER	MN	70140522
2415460	7966	1997-10-17	VYBER	VYBER	12210	34126	\N	\N	\N
2415462	7966	1997-08-10	VYBER	VYBER	20386	38084	\N	\N	\N
2415463	7966	1997-12-18	VYBER	VYBER	7004	3637	\N	\N	\N
2415464	7966	1998-06-20	VYBER	VYBER	15178	34880	\N	\N	\N
2415465	7966	1998-06-29	VYBER	VYBER	2911	28069	\N	\N	\N
2415466	7966	1998-03-20	VYBER	VYBER	20871	46527	\N	\N	\N
2415467	7966	1998-10-10	VYBER	VYBER	15345	23752	\N	\N	\N
2415468	7966	1998-10-25	VYBER	VYBER	13567	9698	\N	\N	\N
2415469	7966	1998-08-22	VYBER	VYBER	3704	14500	\N	\N	\N
2415470	7966	1998-08-07	VYBER	VYBER	4672	21708	\N	\N	\N
2415471	7966	1998-08-20	VYBER	VYBER	4516	18204	\N	\N	\N
2415472	7966	1998-02-13	VYBER	VYBER	3817	74798	\N	\N	\N
2415473	7966	1998-05-23	VYBER	VYBER	15340	37242	\N	\N	\N
2415475	7966	1998-04-06	VYBER	VYBER	5187	22837	\N	\N	\N
2415476	7966	1998-02-03	VYBER	VYBER	14913	86502	\N	\N	\N
2415477	7966	1998-03-20	VYBER	VYBER	22692	23835	\N	\N	\N
2415483	7966	1998-01-04	VYDAJ	VYBER	7800	4545	\N	\N	\N
2415485	7966	1997-12-13	VYDAJ	VYBER	6300	10641	\N	\N	\N
2415486	7966	1998-12-27	VYDAJ	VYBER	2700	27398	\N	\N	\N
2415500	7966	1998-01-18	VYDAJ	VYBER	5700	-1155	\N	\N	\N
2415501	7966	1998-01-30	VYDAJ	VYBER	4500	101180	\N	\N	\N
2415502	7966	1998-01-29	VYDAJ	VYBER	2700	96926	\N	\N	\N
2415503	7966	1998-01-22	VYDAJ	VYBER	7200	13852	\N	\N	\N
2415509	7966	1997-08-10	VYDAJ	VYBER	8400	29684	\N	\N	\N
2415511	7966	1997-06-21	VYDAJ	VYBER	1800	52208	\N	\N	\N
2415512	7966	1997-09-09	VYDAJ	VYBER	4500	21394	\N	\N	\N
2415513	7966	1998-04-07	VYDAJ	VYBER	13800	9037	\N	\N	\N
2415514	7966	1998-10-12	VYDAJ	VYBER	12000	3865	\N	\N	\N
2415515	7966	1998-10-31	VYDAJ	VYBER	1800	8062	\N	\N	\N
2415516	7966	1998-06-01	VYDAJ	VYBER	7200	30540	\N	\N	\N
2415517	7966	1998-06-22	VYDAJ	VYBER	3900	30980	\N	\N	\N
2415518	7966	1998-05-01	VYDAJ	VYBER	2100	82291	\N	\N	\N
2415535	7966	1997-04-30	VYDAJ	VYBER	15	100995	SLUZBY	\N	\N
2415536	7966	1997-05-31	VYDAJ	VYBER	15	60508	SLUZBY	\N	\N
2415537	7966	1997-06-30	VYDAJ	VYBER	15	40786	SLUZBY	\N	\N
2415538	7966	1997-07-31	VYDAJ	VYBER	15	67070	SLUZBY	\N	\N
2415539	7966	1997-08-31	VYDAJ	VYBER	15	25894	SLUZBY	\N	\N
2415540	7966	1997-09-30	VYDAJ	VYBER	15	54224	SLUZBY	\N	\N
2415541	7966	1997-10-31	VYDAJ	VYBER	15	36463	SLUZBY	\N	\N
2415542	7966	1997-11-30	VYDAJ	VYBER	15	24828	SLUZBY	\N	\N
2415543	7966	1997-12-31	VYDAJ	VYBER	15	12345	SLUZBY	\N	\N
2415544	7966	1998-01-31	VYDAJ	VYBER	15	101417	SLUZBY	\N	\N
2415545	7966	1998-02-28	VYDAJ	VYBER	15	56663	SLUZBY	\N	\N
2415546	7966	1998-03-31	VYDAJ	VYBER	15	28024	SLUZBY	\N	\N
2415547	7966	1998-04-30	VYDAJ	VYBER	15	84391	SLUZBY	\N	\N
2415548	7966	1998-05-31	VYDAJ	VYBER	15	37740	SLUZBY	\N	\N
2415549	7966	1998-06-30	VYDAJ	VYBER	15	28369	SLUZBY	\N	\N
2415550	7966	1998-07-31	VYDAJ	VYBER	15	26380	SLUZBY	\N	\N
2415551	7966	1998-08-31	VYDAJ	VYBER	15	14627	SLUZBY	\N	\N
2415552	7966	1998-09-30	VYDAJ	VYBER	15	39097	SLUZBY	\N	\N
2415553	7966	1998-10-31	VYDAJ	VYBER	15	8048	SLUZBY	\N	\N
2415554	7966	1998-11-30	VYDAJ	VYBER	15	27286	SLUZBY	\N	\N
2415555	7966	1997-01-26	PRIJEM	VKLAD	13500	14000	\N	\N	\N
2415556	7966	1997-02-25	VYDAJ	VYBER	1500	29737	\N	\N	\N
2415557	7966	1997-03-27	VYDAJ	VYBER	1600	28267	\N	\N	\N
2415558	7966	1997-04-26	VYDAJ	VYBER	55900	40736	\N	\N	\N
2415559	7966	1997-04-26	VYDAJ	VYBER	13100	96636	\N	\N	\N
2415560	7966	1997-05-26	VYDAJ	VYBER	33200	60095	\N	\N	\N
2415561	7966	1997-06-25	VYDAJ	VYBER	11700	40508	\N	\N	\N
2415562	7966	1997-07-25	VYDAJ	VYBER	500	31286	\N	\N	\N
2415563	7966	1997-08-24	VYDAJ	VYBER	4100	25584	\N	\N	\N
2415564	7966	1997-09-23	PRIJEM	VKLAD	8200	21707	\N	\N	\N
2415565	7966	1997-10-23	VYDAJ	VYBER	6500	27626	\N	\N	\N
2415566	7966	1997-11-22	VYDAJ	VYBER	4000	24576	\N	\N	\N
2415567	7966	1997-12-22	PRIJEM	VKLAD	8600	12237	\N	\N	\N
2415568	7966	1998-01-21	PRIJEM	VKLAD	12700	21052	\N	\N	\N
2415569	7966	1998-01-30	VYDAJ	VYBER	25000	105680	\N	\N	\N
2415570	7966	1998-02-20	VYDAJ	VYBER	18600	56198	\N	\N	\N
2415571	7966	1998-03-22	PRIJEM	VKLAD	3900	27735	\N	\N	\N
2415572	7966	1998-04-21	VYDAJ	VYBER	6100	33427	\N	\N	\N
2415573	7966	1998-05-11	VYDAJ	VYBER	24200	107441	\N	\N	\N
2415574	7966	1998-05-17	VYDAJ	VYBER	52800	71782	\N	\N	\N
2415575	7966	1998-05-21	VYDAJ	VYBER	19200	52582	\N	\N	\N
2415576	7966	1998-06-20	PRIJEM	VKLAD	2500	50058	\N	\N	\N
2415577	7966	1998-07-20	PRIJEM	VKLAD	5700	26181	\N	\N	\N
2415578	7966	1998-08-19	PRIJEM	VKLAD	8900	22720	\N	\N	\N
2415579	7966	1998-09-18	PRIJEM	VKLAD	6600	38891	\N	\N	\N
2415580	7966	1998-10-18	PRIJEM	VKLAD	19400	23265	\N	\N	\N
2415581	7966	1998-11-17	PRIJEM	VKLAD	19200	27248	\N	\N	\N
2415582	7966	1998-12-17	PRIJEM	VKLAD	10700	30098	\N	\N	\N
2423516	7990	1996-08-30	PRIJEM	VKLAD	700	700	\N	\N	\N
2423520	7990	1996-12-17	PRIJEM	VKLAD	18551	97139	\N	\N	\N
2423521	7990	1996-12-16	PRIJEM	VKLAD	14451	78588	\N	\N	\N
2423523	7990	1996-11-26	PRIJEM	VKLAD	31902	103261	\N	\N	\N
2423525	7990	1996-10-08	PRIJEM	VKLAD	44720	96229	\N	\N	\N
2423529	7990	1996-11-12	PRIJEM	VKLAD	36293	95039	\N	\N	\N
2423531	7990	1996-11-24	PRIJEM	VKLAD	49815	144854	\N	\N	\N
2423532	7990	1996-12-06	PRIJEM	VKLAD	14167	73695	\N	\N	\N
2423536	7990	1996-09-14	PRIJEM	VKLAD	28306	29006	\N	\N	\N
2423537	7990	1996-09-15	PRIJEM	VKLAD	41252	70258	\N	\N	\N
2423538	7990	1997-04-03	PRIJEM	VKLAD	37394	108298	\N	\N	\N
2423539	7990	1997-07-09	PRIJEM	VKLAD	10689	59132	\N	\N	\N
2423540	7990	1997-07-31	PRIJEM	VKLAD	49360	93014	\N	\N	\N
2423541	7990	1997-06-12	PRIJEM	VKLAD	6086	42196	\N	\N	\N
2423542	7990	1997-10-15	PRIJEM	VKLAD	32219	106761	\N	\N	\N
2423543	7990	1997-04-03	PRIJEM	VKLAD	25331	70904	\N	\N	\N
2423544	7990	1997-06-14	PRIJEM	VKLAD	12087	54283	\N	\N	\N
2423545	7990	1997-09-17	PRIJEM	VKLAD	39104	87756	\N	\N	\N
2423546	7990	1997-02-04	PRIJEM	VKLAD	45711	97798	\N	\N	\N
2423547	7990	1997-03-18	PRIJEM	VKLAD	23753	63606	\N	\N	\N
2423548	7990	1997-11-06	PRIJEM	VKLAD	15859	86166	\N	\N	\N
2423549	7990	1997-07-10	PRIJEM	VKLAD	9813	68945	\N	\N	\N
2423550	7990	1997-05-02	PRIJEM	VKLAD	22959	81363	\N	\N	\N
2423551	7990	1997-10-31	PRIJEM	VKLAD	6768	70321	\N	\N	\N
2423552	7990	1997-10-15	PRIJEM	VKLAD	22993	74542	\N	\N	\N
2423553	7990	1997-12-26	PRIJEM	VKLAD	29066	60203	\N	\N	\N
2423554	7990	1997-06-28	PRIJEM	VKLAD	16633	55416	\N	\N	\N
2423555	7990	1997-01-09	PRIJEM	VKLAD	43390	97174	\N	\N	\N
2423556	7990	1997-05-13	PRIJEM	VKLAD	24635	77318	\N	\N	\N
2423557	7990	1997-12-02	PRIJEM	VKLAD	17168	50095	\N	\N	\N
2423558	7990	1997-11-20	PRIJEM	VKLAD	29478	105686	\N	\N	\N
2423559	7990	1997-08-19	PRIJEM	VKLAD	23341	105883	\N	\N	\N
2423560	7990	1997-03-28	PRIJEM	VKLAD	18257	72263	\N	\N	\N
2423561	7990	1997-05-03	PRIJEM	VKLAD	41378	117941	\N	\N	\N
2423562	7990	1998-10-07	PRIJEM	VKLAD	34986	136123	\N	\N	\N
2423563	7990	1998-07-23	PRIJEM	VKLAD	48405	92729	\N	\N	\N
2423564	7990	1998-05-29	PRIJEM	VKLAD	12038	49106	\N	\N	\N
2423565	7990	1998-02-02	PRIJEM	VKLAD	48001	90943	\N	\N	\N
2423566	7990	1998-01-06	PRIJEM	VKLAD	18528	78894	\N	\N	\N
2423567	7990	1998-12-14	PRIJEM	VKLAD	17571	69677	\N	\N	\N
2423568	7990	1998-08-06	PRIJEM	VKLAD	25146	97895	\N	\N	\N
2423569	7990	1998-06-05	PRIJEM	VKLAD	36463	85699	\N	\N	\N
2423570	7990	1998-09-28	PRIJEM	VKLAD	9132	105321	\N	\N	\N
2423571	7990	1998-11-05	PRIJEM	VKLAD	17953	121495	\N	\N	\N
2423572	7990	1998-08-31	PRIJEM	VKLAD	28100	94800	\N	\N	\N
2423573	7990	1998-05-04	PRIJEM	VKLAD	13702	43046	\N	\N	\N
2423574	7990	1998-07-25	PRIJEM	VKLAD	35121	127850	\N	\N	\N
2423575	7990	1998-09-28	PRIJEM	VKLAD	34456	96189	\N	\N	\N
2423576	7990	1998-03-05	PRIJEM	VKLAD	20044	62999	\N	\N	\N
2423577	7990	1998-11-03	PRIJEM	VKLAD	17003	103542	\N	\N	\N
2423578	7990	1998-08-10	PRIJEM	VKLAD	27083	117820	\N	\N	\N
2423579	7990	1998-10-16	PRIJEM	VKLAD	27374	111219	\N	\N	\N
2423580	7990	1998-06-10	PRIJEM	VKLAD	48637	127178	\N	\N	\N
2423581	7990	1998-11-02	PRIJEM	VKLAD	25295	86539	\N	\N	\N
2423582	7990	1998-01-07	PRIJEM	VKLAD	20372	99266	\N	\N	\N
2423594	7990	1996-12-08	VYDAJ	VYBER	2400	71295	\N	\N	0
2423595	7990	1997-01-21	VYDAJ	VYBER	2700	94474	\N	\N	0
2423596	7990	1997-02-12	VYDAJ	VYBER	3700	86940	\N	\N	0
2423597	7990	1997-03-12	VYDAJ	VYBER	3500	39853	\N	\N	0
2423598	7990	1997-04-07	VYDAJ	VYBER	3000	105298	\N	\N	0
2423599	7990	1997-05-16	VYDAJ	VYBER	3700	73618	\N	\N	0
2423600	7990	1997-06-07	VYDAJ	VYBER	2400	43268	\N	\N	0
2423601	7990	1997-07-16	VYDAJ	VYBER	3300	62796	\N	\N	0
2423602	7990	1997-08-12	VYDAJ	VYBER	3300	82542	\N	\N	0
2423603	7990	1997-09-13	VYDAJ	VYBER	2400	48652	\N	\N	0
2423604	7990	1997-10-18	VYDAJ	VYBER	3200	103561	\N	\N	0
2423605	7990	1997-11-17	VYDAJ	VYBER	2800	76208	\N	\N	0
2423606	7990	1997-12-21	VYDAJ	VYBER	3300	39637	\N	\N	0
2423607	7990	1998-01-10	VYDAJ	VYBER	3600	58723	\N	\N	0
2423608	7990	1998-02-10	VYDAJ	VYBER	3200	80585	\N	\N	0
2423609	7990	1998-03-15	VYDAJ	VYBER	2300	53541	\N	\N	0
2423610	7990	1998-04-13	VYDAJ	VYBER	3600	20445	\N	\N	0
2423611	7990	1998-05-12	VYDAJ	PREVOD NA UCET	3020	32868	UVER	AB	48107528
2423612	7990	1998-06-12	VYDAJ	PREVOD NA UCET	3020	73958	UVER	AB	48107528
2423613	7990	1998-07-12	VYDAJ	PREVOD NA UCET	3020	44524	UVER	AB	48107528
2423614	7990	1998-08-12	VYDAJ	PREVOD NA UCET	3020	82300	UVER	AB	48107528
2423615	7990	1998-09-12	VYDAJ	PREVOD NA UCET	3020	71433	UVER	AB	48107528
2423616	7990	1998-10-12	VYDAJ	PREVOD NA UCET	3020	83845	UVER	AB	48107528
2423617	7990	1998-11-12	VYDAJ	PREVOD NA UCET	3020	65617	UVER	AB	48107528
2423618	7990	1998-12-12	VYDAJ	PREVOD NA UCET	3020	52106	UVER	AB	48107528
2423630	7990	1996-12-08	VYDAJ	PREVOD NA UCET	7158	64137	SIPO	IJ	79489946
2423631	7990	1997-01-08	VYDAJ	PREVOD NA UCET	7158	53784	SIPO	IJ	79489946
2423632	7990	1997-02-08	VYDAJ	PREVOD NA UCET	7158	90640	SIPO	IJ	79489946
2423633	7990	1997-03-08	VYDAJ	PREVOD NA UCET	7158	43353	SIPO	IJ	79489946
2423634	7990	1997-04-08	VYDAJ	PREVOD NA UCET	7158	98140	SIPO	IJ	79489946
2423635	7990	1997-05-08	VYDAJ	PREVOD NA UCET	7158	52683	SIPO	IJ	79489946
2423636	7990	1997-06-08	VYDAJ	PREVOD NA UCET	7158	36110	SIPO	IJ	79489946
2423637	7990	1997-07-08	VYDAJ	PREVOD NA UCET	7158	48443	SIPO	IJ	79489946
2423638	7990	1997-08-08	VYDAJ	PREVOD NA UCET	7158	85842	SIPO	IJ	79489946
2423639	7990	1997-09-08	VYDAJ	PREVOD NA UCET	7158	51052	SIPO	IJ	79489946
2423640	7990	1997-10-08	VYDAJ	PREVOD NA UCET	7158	51549	SIPO	IJ	79489946
2423641	7990	1997-11-08	VYDAJ	PREVOD NA UCET	7158	79008	SIPO	IJ	79489946
2423642	7990	1997-12-08	VYDAJ	PREVOD NA UCET	7158	42937	SIPO	IJ	79489946
2423643	7990	1998-01-08	VYDAJ	PREVOD NA UCET	7158	92108	SIPO	IJ	79489946
2423644	7990	1998-02-08	VYDAJ	PREVOD NA UCET	7158	83785	SIPO	IJ	79489946
2423645	7990	1998-03-08	VYDAJ	PREVOD NA UCET	7158	55841	SIPO	IJ	79489946
2423646	7990	1998-04-08	VYDAJ	PREVOD NA UCET	7158	24045	SIPO	IJ	79489946
2423647	7990	1998-05-08	VYDAJ	PREVOD NA UCET	7158	35888	SIPO	IJ	79489946
2423648	7990	1998-06-08	VYDAJ	PREVOD NA UCET	7158	78541	SIPO	IJ	79489946
2423649	7990	1998-07-08	VYDAJ	PREVOD NA UCET	7158	47544	SIPO	IJ	79489946
2423650	7990	1998-08-08	VYDAJ	PREVOD NA UCET	7158	90737	SIPO	IJ	79489946
2423651	7990	1998-09-08	VYDAJ	PREVOD NA UCET	7158	74453	SIPO	IJ	79489946
2423652	7990	1998-10-08	VYDAJ	PREVOD NA UCET	7158	86865	SIPO	IJ	79489946
2423653	7990	1998-11-08	VYDAJ	PREVOD NA UCET	7158	68637	SIPO	IJ	79489946
2423654	7990	1998-12-08	VYDAJ	PREVOD NA UCET	7158	55126	SIPO	IJ	79489946
2423664	7990	1996-11-24	VYBER	VYBER	8195	136659	\N	\N	\N
2423668	7990	1997-07-15	VYBER	VYBER	2849	66096	\N	\N	\N
2423669	7990	1997-02-13	VYBER	VYBER	7911	79029	\N	\N	\N
2423670	7990	1998-10-05	VYBER	VYBER	4493	101137	\N	\N	\N
2423671	7990	1998-08-03	VYBER	VYBER	6771	72749	\N	\N	\N
2423672	7990	1998-03-03	VYBER	VYBER	12883	42955	\N	\N	\N
2423673	7990	1998-01-09	VYBER	VYBER	18861	62323	\N	\N	\N
2423674	7990	1998-01-09	VYBER	VYBER	10924	81184	\N	\N	\N
2423675	7990	1998-03-30	VYBER	VYBER	16341	31000	\N	\N	\N
2423680	7990	1997-01-24	VYDAJ	VYBER	13200	81274	\N	\N	\N
2423682	7990	1996-12-01	VYDAJ	VYBER	2700	59528	\N	\N	\N
2423687	7990	1997-07-26	VYDAJ	VYBER	6000	56796	\N	\N	\N
2423688	7990	1997-03-26	VYDAJ	VYBER	9600	54006	\N	\N	\N
2423689	7990	1997-11-20	VYDAJ	VYBER	13200	36586	\N	\N	\N
2423690	7990	1997-05-02	VYDAJ	VYBER	4800	76563	\N	\N	\N
2423691	7990	1998-09-01	VYDAJ	VYBER	13500	81611	\N	\N	\N
2423692	7990	1998-12-26	VYDAJ	VYBER	1800	59677	\N	\N	\N
2423704	7990	1996-11-30	VYDAJ	VYBER	15	62228	SLUZBY	\N	\N
2423705	7990	1996-12-31	VYDAJ	VYBER	15	60942	SLUZBY	\N	\N
2423706	7990	1997-01-31	VYDAJ	VYBER	15	52087	SLUZBY	\N	\N
2423707	7990	1997-02-28	VYDAJ	VYBER	15	50511	SLUZBY	\N	\N
2423708	7990	1997-03-31	VYDAJ	VYBER	15	45573	SLUZBY	\N	\N
2423709	7990	1997-04-30	VYDAJ	VYBER	15	58404	SLUZBY	\N	\N
2423710	7990	1997-05-31	VYDAJ	VYBER	15	45668	SLUZBY	\N	\N
2423711	7990	1997-06-30	VYDAJ	VYBER	15	55601	SLUZBY	\N	\N
2423712	7990	1997-07-31	VYDAJ	VYBER	15	93000	SLUZBY	\N	\N
2423713	7990	1997-08-31	VYDAJ	VYBER	15	58210	SLUZBY	\N	\N
2423714	7990	1997-09-30	VYDAJ	VYBER	15	58707	SLUZBY	\N	\N
2423715	7990	1997-10-31	VYDAJ	VYBER	15	70307	SLUZBY	\N	\N
2423716	7990	1997-11-30	VYDAJ	VYBER	15	32927	SLUZBY	\N	\N
2423717	7990	1997-12-31	VYDAJ	VYBER	15	60366	SLUZBY	\N	\N
2423718	7990	1998-01-31	VYDAJ	VYBER	15	42942	SLUZBY	\N	\N
2423719	7990	1998-02-28	VYDAJ	VYBER	15	55838	SLUZBY	\N	\N
2423720	7990	1998-03-31	VYDAJ	VYBER	15	31203	SLUZBY	\N	\N
2423721	7990	1998-04-30	VYDAJ	VYBER	15	29344	SLUZBY	\N	\N
2423722	7990	1998-05-31	VYDAJ	VYBER	15	49236	SLUZBY	\N	\N
2423723	7990	1998-06-30	VYDAJ	VYBER	15	54702	SLUZBY	\N	\N
2423724	7990	1998-07-31	VYDAJ	VYBER	15	79520	SLUZBY	\N	\N
2423725	7990	1998-08-31	VYDAJ	VYBER	15	95111	SLUZBY	\N	\N
2423726	7990	1998-09-30	VYDAJ	VYBER	15	105630	SLUZBY	\N	\N
2423727	7990	1998-10-31	VYDAJ	VYBER	15	61244	SLUZBY	\N	\N
2423728	7990	1998-11-30	VYDAJ	VYBER	15	62284	SLUZBY	\N	\N
2423729	7990	1996-09-29	VYDAJ	VYBER	18900	51358	\N	\N	\N
2423730	7990	1996-10-29	VYDAJ	VYBER	37700	58529	\N	\N	\N
2423731	7990	1996-11-24	VYDAJ	VYBER	33300	103359	\N	\N	\N
2423732	7990	1996-11-24	VYDAJ	VYBER	32000	71359	\N	\N	\N
2423733	7990	1996-11-28	VYDAJ	VYBER	41300	61961	\N	\N	\N
2423734	7990	1996-12-28	VYDAJ	VYBER	36500	60639	\N	\N	\N
2423735	7990	1997-01-27	VYDAJ	VYBER	29500	51774	\N	\N	\N
2423736	7990	1997-02-26	VYDAJ	VYBER	28800	50229	\N	\N	\N
2423737	7990	1997-03-28	VYDAJ	VYBER	26900	45363	\N	\N	\N
2423738	7990	1997-04-27	VYDAJ	VYBER	40100	58040	\N	\N	\N
2423739	7990	1997-05-03	VYDAJ	VYBER	58100	59841	\N	\N	\N
2423740	7990	1997-05-27	VYDAJ	VYBER	28200	45418	\N	\N	\N
2423741	7990	1997-06-26	VYDAJ	VYBER	15500	38783	\N	\N	\N
2423742	7990	1997-07-26	VYDAJ	VYBER	13400	43396	\N	\N	\N
2423743	7990	1997-08-19	VYDAJ	VYBER	16500	89383	\N	\N	\N
2423744	7990	1997-08-25	VYDAJ	VYBER	31500	57883	\N	\N	\N
2423745	7990	1997-09-24	VYDAJ	VYBER	29300	58456	\N	\N	\N
2423746	7990	1997-10-24	VYDAJ	VYBER	40300	63261	\N	\N	\N
2423747	7990	1997-11-20	VYDAJ	VYBER	55900	49786	\N	\N	\N
2423748	7990	1997-11-23	VYDAJ	VYBER	3900	32686	\N	\N	\N
2423749	7990	1997-12-23	VYDAJ	VYBER	8500	31137	\N	\N	\N
2423750	7990	1998-01-22	VYDAJ	VYBER	16000	42723	\N	\N	\N
2423751	7990	1998-02-21	VYDAJ	VYBER	25000	55585	\N	\N	\N
2423752	7990	1998-03-23	VYDAJ	VYBER	6200	47341	\N	\N	\N
2423753	7990	1998-04-22	PRIJEM	VKLAD	8800	29245	\N	\N	\N
2423754	7990	1998-05-22	PRIJEM	VKLAD	4200	37068	\N	\N	\N
2423755	7990	1998-06-10	VYDAJ	VYBER	50200	76978	\N	\N	\N
2423756	7990	1998-06-21	VYDAJ	VYBER	19500	54458	\N	\N	\N
2423757	7990	1998-07-21	VYDAJ	VYBER	200	44324	\N	\N	\N
2423758	7990	1998-07-25	VYDAJ	VYBER	48600	79250	\N	\N	\N
2423759	7990	1998-08-10	VYDAJ	VYBER	32500	85320	\N	\N	\N
2423760	7990	1998-08-20	VYDAJ	VYBER	15600	66700	\N	\N	\N
2423761	7990	1998-09-19	VYDAJ	VYBER	9700	61733	\N	\N	\N
2423762	7990	1998-10-07	VYDAJ	VYBER	42100	94023	\N	\N	\N
2423763	7990	1998-10-16	VYDAJ	VYBER	48700	62519	\N	\N	\N
2423764	7990	1998-10-19	VYDAJ	VYBER	1600	60919	\N	\N	\N
2423765	7990	1998-11-05	VYDAJ	VYBER	45700	75795	\N	\N	\N
2423766	7990	1998-11-18	VYDAJ	VYBER	3600	62017	\N	\N	\N
2423767	7990	1998-12-18	VYDAJ	VYBER	8200	61477	\N	\N	\N
2425213	7997	1996-04-25	PRIJEM	VKLAD	400	400	\N	\N	\N
2425214	7997	1996-08-28	PRIJEM	VKLAD	16201	77660	\N	\N	\N
2425216	7997	1996-07-04	PRIJEM	VKLAD	21537	115007	\N	\N	\N
2425218	7997	1996-05-09	PRIJEM	VKLAD	18318	18718	\N	\N	\N
2425219	7997	1996-11-19	PRIJEM	VKLAD	17619	78521	\N	\N	\N
2425220	7997	1996-10-29	PRIJEM	VKLAD	42980	98663	\N	\N	\N
2425222	7997	1996-07-03	PRIJEM	VKLAD	42878	93470	\N	\N	\N
2425223	7997	1996-12-19	PRIJEM	VKLAD	47980	173151	\N	\N	\N
2425224	7997	1996-12-21	PRIJEM	VKLAD	40120	134871	\N	\N	\N
2425227	7997	1996-10-05	PRIJEM	VKLAD	38827	87218	\N	\N	\N
2425228	7997	1996-12-07	PRIJEM	VKLAD	20537	86972	\N	\N	\N
2425230	7997	1996-11-22	PRIJEM	VKLAD	28634	90455	\N	\N	\N
2425231	7997	1996-05-09	PRIJEM	VKLAD	26392	45110	\N	\N	\N
2425232	7997	1996-06-22	PRIJEM	VKLAD	40326	76528	\N	\N	\N
2425233	7997	1996-11-06	PRIJEM	VKLAD	45246	130720	\N	\N	\N
2425235	7997	1996-12-19	PRIJEM	VKLAD	44799	125171	\N	\N	\N
2425236	7997	1996-08-14	PRIJEM	VKLAD	46600	90259	\N	\N	\N
2425237	7997	1997-10-08	PRIJEM	VKLAD	40466	75208	\N	\N	\N
2425238	7997	1997-03-11	PRIJEM	VKLAD	23221	44623	\N	\N	\N
2425239	7997	1997-08-31	PRIJEM	VKLAD	26101	52169	\N	\N	\N
2425240	7997	1997-11-07	PRIJEM	VKLAD	12261	38333	\N	\N	\N
2425241	7997	1997-02-16	PRIJEM	VKLAD	47360	48822	\N	\N	\N
2425242	7997	1997-07-22	PRIJEM	VKLAD	22730	62072	\N	\N	\N
2425243	7997	1997-06-28	PRIJEM	VKLAD	43874	48920	\N	\N	\N
2425244	7997	1997-12-18	PRIJEM	VKLAD	11951	37607	\N	\N	\N
2425245	7997	1998-11-13	PRIJEM	VKLAD	18709	48091	\N	\N	\N
2425246	7997	1998-10-19	PRIJEM	VKLAD	32167	67735	\N	\N	\N
2425247	7997	1998-06-04	PRIJEM	VKLAD	48184	112352	\N	\N	\N
2425248	7997	1998-11-05	PRIJEM	VKLAD	33879	45376	\N	\N	\N
2425249	7997	1998-06-23	PRIJEM	VKLAD	31532	83251	\N	\N	\N
2425250	7997	1998-01-24	PRIJEM	VKLAD	45490	63841	\N	\N	\N
2425251	7997	1998-01-21	PRIJEM	VKLAD	14328	21051	\N	\N	\N
2425252	7997	1998-10-18	PRIJEM	VKLAD	10293	35568	\N	\N	\N
2425253	7997	1998-05-16	PRIJEM	VKLAD	9318	63888	\N	\N	\N
2425254	7997	1998-02-01	PRIJEM	VKLAD	26133	111187	\N	\N	\N
2425255	7997	1998-11-26	PRIJEM	VKLAD	25250	73341	\N	\N	\N
2425256	7997	1998-05-14	PRIJEM	VKLAD	19866	92670	\N	\N	\N
2425257	7997	1998-09-24	PRIJEM	VKLAD	16951	40840	\N	\N	\N
2425258	7997	1998-06-07	PRIJEM	VKLAD	18061	130413	\N	\N	\N
2425259	7997	1998-02-04	PRIJEM	VKLAD	26656	137843	\N	\N	\N
2425260	7997	1998-08-18	PRIJEM	VKLAD	23950	65253	\N	\N	\N
2425261	7997	1998-03-30	PRIJEM	VKLAD	21584	55464	\N	\N	\N
2425262	7997	1998-04-25	PRIJEM	VKLAD	40634	125396	\N	\N	\N
2425263	7997	1998-07-03	PRIJEM	VKLAD	12767	72061	\N	\N	\N
2425264	7997	1998-07-22	PRIJEM	VKLAD	15535	49989	\N	\N	\N
2425265	7997	1998-08-12	PRIJEM	VKLAD	5131	55297	\N	\N	\N
2425266	7997	1998-01-31	PRIJEM	VKLAD	21100	85069	\N	\N	\N
2425267	7997	1998-04-16	PRIJEM	VKLAD	48820	84762	\N	\N	\N
2425268	7997	1998-07-01	PRIJEM	VKLAD	41753	59294	\N	\N	\N
2425275	7997	1996-07-05	VYDAJ	VYBER	7000	71407	\N	\N	0
2425276	7997	1996-08-12	VYDAJ	VYBER	5700	43659	\N	\N	0
2425277	7997	1996-09-03	VYDAJ	VYBER	5900	58569	\N	\N	0
2425278	7997	1996-10-21	VYDAJ	VYBER	8200	75383	\N	\N	0
2425279	7997	1996-11-18	VYDAJ	VYBER	5900	60902	\N	\N	0
2425280	7997	1996-12-13	VYDAJ	VYBER	6600	80372	\N	\N	0
2425281	7997	1997-01-15	VYDAJ	VYBER	7100	37004	\N	\N	0
2425282	7997	1997-02-02	VYDAJ	VYBER	8100	1462	\N	\N	0
2425283	7997	1997-03-07	VYDAJ	VYBER	5600	21402	\N	\N	0
2425284	7997	1997-04-07	VYDAJ	VYBER	7200	34466	\N	\N	0
2425285	7997	1997-05-13	VYDAJ	VYBER	5600	30016	\N	\N	0
2425286	7997	1997-06-03	VYDAJ	VYBER	5100	27646	\N	\N	0
2425287	7997	1997-07-12	VYDAJ	VYBER	5600	43442	\N	\N	0
2425288	7997	1997-08-10	VYDAJ	VYBER	5500	56775	\N	\N	0
2425289	7997	1997-09-21	VYDAJ	VYBER	8000	36355	\N	\N	0
2425290	7997	1997-10-16	VYDAJ	VYBER	5300	69908	\N	\N	0
2425291	7997	1997-11-15	VYDAJ	VYBER	6700	31633	\N	\N	0
2425292	7997	1997-12-02	VYDAJ	VYBER	5800	23956	\N	\N	0
2425293	7997	1998-01-12	VYDAJ	VYBER	5700	13423	\N	\N	0
2425294	7997	1998-02-12	VYDAJ	PREVOD NA UCET	6694	88949	UVER	ST	41260135
2425295	7997	1998-03-12	VYDAJ	PREVOD NA UCET	6694	39880	UVER	ST	41260135
2425296	7997	1998-04-12	VYDAJ	PREVOD NA UCET	6694	48942	UVER	ST	41260135
2425297	7997	1998-05-12	VYDAJ	PREVOD NA UCET	6694	72804	UVER	ST	41260135
2425298	7997	1998-06-12	VYDAJ	PREVOD NA UCET	6694	85719	UVER	ST	41260135
2425299	7997	1998-07-12	VYDAJ	PREVOD NA UCET	6694	46654	UVER	ST	41260135
2425300	7997	1998-08-12	VYDAJ	PREVOD NA UCET	6694	48603	UVER	ST	41260135
2425301	7997	1998-09-12	VYDAJ	PREVOD NA UCET	6694	30489	UVER	ST	41260135
2425302	7997	1998-10-12	VYDAJ	PREVOD NA UCET	6694	25275	UVER	ST	41260135
2425303	7997	1998-11-12	VYDAJ	PREVOD NA UCET	6694	29382	UVER	ST	41260135
2425304	7997	1998-12-12	VYDAJ	PREVOD NA UCET	6694	38625	UVER	ST	41260135
2425306	7997	1996-11-28	VYBER	VYBER	15685	74770	\N	\N	\N
2425307	7997	1996-10-30	VYBER	VYBER	13404	85259	\N	\N	\N
2425308	7997	1996-09-01	VYBER	VYBER	13455	64469	\N	\N	\N
2425309	7997	1996-10-21	VYBER	VYBER	3635	83583	\N	\N	\N
2425310	7997	1996-11-16	VYBER	VYBER	18218	66802	\N	\N	\N
2425313	7997	1996-12-05	VYBER	VYBER	8662	66435	\N	\N	\N
2425317	7997	1997-11-01	VYBER	VYBER	8839	26072	\N	\N	\N
2425318	7997	1997-02-24	VYBER	VYBER	17902	26920	\N	\N	\N
2425319	7997	1997-10-22	VYBER	VYBER	10739	34769	\N	\N	\N
2425320	7997	1997-08-29	VYBER	VYBER	10127	25848	\N	\N	\N
2425321	7997	1998-10-05	VYBER	VYBER	4629	32570	\N	\N	\N
2425322	7997	1998-10-30	VYBER	VYBER	18565	18556	\N	\N	\N
2425323	7997	1998-10-20	VYBER	VYBER	12914	54821	\N	\N	\N
2425324	7997	1998-03-08	VYBER	VYBER	12870	46574	\N	\N	\N
2425325	7997	1998-09-12	VYBER	VYBER	21285	44183	\N	\N	\N
2425326	7997	1998-09-28	VYBER	VYBER	3811	37029	\N	\N	\N
2425327	7997	1998-04-27	VYBER	VYBER	8180	79216	\N	\N	\N
2425328	7997	1998-07-06	VYBER	VYBER	18713	53348	\N	\N	\N
2425329	7997	1998-10-11	VYBER	VYBER	3901	28669	\N	\N	\N
2425331	7997	1997-06-26	VYDAJ	VYBER	29100	5046	\N	\N	\N
2425332	7997	1998-06-29	VYDAJ	VYBER	66000	17251	\N	\N	\N
2425333	7997	1996-12-24	VYDAJ	VYBER	5400	55471	\N	\N	\N
2425334	7997	1997-12-29	VYDAJ	VYBER	7200	30407	\N	\N	\N
2425335	7997	1998-12-01	VYDAJ	VYBER	4200	69319	\N	\N	\N
2425342	7997	1997-01-22	VYDAJ	VYBER	3000	37604	\N	\N	\N
2425343	7997	1997-01-30	VYDAJ	VYBER	6900	9404	\N	\N	\N
2425344	7997	1997-01-11	VYDAJ	VYBER	3900	44104	\N	\N	\N
2425345	7997	1997-01-29	VYDAJ	VYBER	7500	16304	\N	\N	\N
2425346	7997	1997-01-20	VYDAJ	VYBER	1800	40604	\N	\N	\N
2425347	7997	1997-01-06	VYDAJ	VYBER	7800	48004	\N	\N	\N
2425349	7997	1998-01-18	VYDAJ	VYBER	3600	6723	\N	\N	\N
2425350	7997	1998-01-04	VYDAJ	VYBER	3600	19123	\N	\N	\N
2425351	7997	1998-01-15	VYDAJ	VYBER	5400	17823	\N	\N	\N
2425352	7997	1998-01-23	VYDAJ	VYBER	2700	18351	\N	\N	\N
2425353	7997	1998-01-03	VYDAJ	VYBER	7800	22723	\N	\N	\N
2425357	7997	1997-08-26	VYDAJ	VYBER	9900	35975	\N	\N	\N
2425358	7997	1997-05-24	VYDAJ	VYBER	1500	32616	\N	\N	\N
2425359	7997	1997-12-13	VYDAJ	VYBER	1500	22456	\N	\N	\N
2425360	7997	1997-01-28	VYDAJ	VYBER	13800	23804	\N	\N	\N
2425361	7997	1997-09-21	VYDAJ	VYBER	1800	34555	\N	\N	\N
2425362	7997	1998-01-17	VYDAJ	VYBER	7500	10323	\N	\N	\N
2425363	7997	1998-09-22	VYDAJ	VYBER	6600	23889	\N	\N	\N
2425364	7997	1998-10-27	VYDAJ	VYBER	6300	37121	\N	\N	\N
2425365	7997	1998-10-26	VYDAJ	VYBER	11400	43421	\N	\N	\N
2425366	7997	1998-11-03	VYDAJ	VYBER	7200	11497	\N	\N	\N
2425374	7997	1996-07-31	VYDAJ	VYBER	15	49359	SLUZBY	\N	\N
2425375	7997	1996-08-31	VYDAJ	VYBER	15	77924	SLUZBY	\N	\N
2425376	7997	1996-09-30	VYDAJ	VYBER	15	48391	SLUZBY	\N	\N
2425377	7997	1996-10-31	VYDAJ	VYBER	15	85474	SLUZBY	\N	\N
2425378	7997	1996-11-30	VYDAJ	VYBER	15	75097	SLUZBY	\N	\N
2425379	7997	1996-12-31	VYDAJ	VYBER	15	55804	SLUZBY	\N	\N
2425380	7997	1997-01-31	VYDAJ	VYBER	15	9562	SLUZBY	\N	\N
2425381	7997	1997-02-28	VYDAJ	VYBER	15	27002	SLUZBY	\N	\N
2425382	7997	1997-03-31	VYDAJ	VYBER	15	41666	SLUZBY	\N	\N
2425383	7997	1997-04-30	VYDAJ	VYBER	15	35616	SLUZBY	\N	\N
2425384	7997	1997-05-31	VYDAJ	VYBER	15	32746	SLUZBY	\N	\N
2425385	7997	1997-06-30	VYDAJ	VYBER	15	49042	SLUZBY	\N	\N
2425386	7997	1997-07-31	VYDAJ	VYBER	15	62275	SLUZBY	\N	\N
2425387	7997	1997-08-31	VYDAJ	VYBER	15	52155	SLUZBY	\N	\N
2425388	7997	1997-09-30	VYDAJ	VYBER	15	34742	SLUZBY	\N	\N
2425389	7997	1997-10-31	VYDAJ	VYBER	15	34911	SLUZBY	\N	\N
2425390	7997	1997-11-30	VYDAJ	VYBER	15	29756	SLUZBY	\N	\N
2425391	7997	1997-12-31	VYDAJ	VYBER	15	30523	SLUZBY	\N	\N
2425392	7997	1998-01-31	VYDAJ	VYBER	15	85054	SLUZBY	\N	\N
2425393	7997	1998-02-28	VYDAJ	VYBER	15	59444	SLUZBY	\N	\N
2425394	7997	1998-03-31	VYDAJ	VYBER	15	55636	SLUZBY	\N	\N
2425395	7997	1998-04-30	VYDAJ	VYBER	15	79498	SLUZBY	\N	\N
2425396	7997	1998-05-31	VYDAJ	VYBER	15	64168	SLUZBY	\N	\N
2425397	7997	1998-06-30	VYDAJ	VYBER	15	17541	SLUZBY	\N	\N
2425398	7997	1998-07-31	VYDAJ	VYBER	15	50166	SLUZBY	\N	\N
2425399	7997	1998-08-31	VYDAJ	VYBER	15	65468	SLUZBY	\N	\N
2425400	7997	1998-09-30	VYDAJ	VYBER	15	37199	SLUZBY	\N	\N
2425401	7997	1998-10-31	VYDAJ	VYBER	15	18697	SLUZBY	\N	\N
2425402	7997	1998-11-30	VYDAJ	VYBER	15	73519	SLUZBY	\N	\N
2425403	7997	1996-05-25	VYDAJ	VYBER	9000	36110	\N	\N	\N
2425404	7997	1996-06-24	VYDAJ	VYBER	26100	50428	\N	\N	\N
2425405	7997	1996-07-04	VYDAJ	VYBER	36600	78407	\N	\N	\N
2425406	7997	1996-07-24	VYDAJ	VYBER	22300	49107	\N	\N	\N
2425407	7997	1996-08-23	VYDAJ	VYBER	28800	61459	\N	\N	\N
2425408	7997	1996-09-22	VYDAJ	VYBER	10400	48169	\N	\N	\N
2425409	7997	1996-10-22	VYDAJ	VYBER	19700	55683	\N	\N	\N
2425410	7997	1996-11-06	VYDAJ	VYBER	45700	85020	\N	\N	\N
2425411	7997	1996-11-21	VYDAJ	VYBER	16700	61821	\N	\N	\N
2425412	7997	1996-12-19	VYDAJ	VYBER	22000	151151	\N	\N	\N
2425413	7997	1996-12-19	VYDAJ	VYBER	56400	94751	\N	\N	\N
2425414	7997	1996-12-21	VYDAJ	VYBER	50300	60871	\N	\N	\N
2425415	7997	1996-12-21	VYDAJ	VYBER	23700	111171	\N	\N	\N
2425416	7997	1997-01-20	PRIJEM	VKLAD	5400	42404	\N	\N	\N
2425417	7997	1997-02-19	VYDAJ	VYBER	4000	44822	\N	\N	\N
2425418	7997	1997-03-21	VYDAJ	VYBER	3100	41523	\N	\N	\N
2425419	7997	1997-04-20	PRIJEM	VKLAD	1000	35466	\N	\N	\N
2425420	7997	1997-05-20	PRIJEM	VKLAD	4100	34116	\N	\N	\N
2425421	7997	1997-06-19	PRIJEM	VKLAD	6500	34146	\N	\N	\N
2425422	7997	1997-07-19	VYDAJ	VYBER	4100	39342	\N	\N	\N
2425423	7997	1997-08-18	VYDAJ	VYBER	10900	45875	\N	\N	\N
2425424	7997	1997-09-17	VYDAJ	VYBER	7800	44355	\N	\N	\N
2425425	7997	1997-10-17	VYDAJ	VYBER	24400	45508	\N	\N	\N
2425426	7997	1997-11-16	VYDAJ	VYBER	2000	29633	\N	\N	\N
2425427	7997	1997-12-16	PRIJEM	VKLAD	3200	25656	\N	\N	\N
2425428	7997	1998-01-15	PRIJEM	VKLAD	9800	23223	\N	\N	\N
2425429	7997	1998-02-04	VYDAJ	VYBER	42200	95643	\N	\N	\N
2425430	7997	1998-02-14	VYDAJ	VYBER	29800	59149	\N	\N	\N
2425431	7997	1998-03-16	VYDAJ	VYBER	6000	33880	\N	\N	\N
2425432	7997	1998-04-15	VYDAJ	VYBER	13000	35942	\N	\N	\N
2425433	7997	1998-04-25	VYDAJ	VYBER	38000	87396	\N	\N	\N
2425434	7997	1998-05-15	VYDAJ	VYBER	38100	54570	\N	\N	\N
2425435	7997	1998-06-07	VYDAJ	VYBER	38000	92413	\N	\N	\N
2425436	7997	1998-06-14	VYDAJ	VYBER	34000	51719	\N	\N	\N
2425437	7997	1998-07-14	VYDAJ	VYBER	12200	34454	\N	\N	\N
2425438	7997	1998-08-13	VYDAJ	VYBER	7300	41303	\N	\N	\N
2425439	7997	1998-09-12	VYDAJ	VYBER	7000	37183	\N	\N	\N
2425440	7997	1998-10-12	PRIJEM	VKLAD	3300	31969	\N	\N	\N
2425441	7997	1998-11-11	VYDAJ	VYBER	9300	36076	\N	\N	\N
2425442	7997	1998-12-11	VYDAJ	VYBER	24000	45319	\N	\N	\N
2434474	8026	1997-03-23	PRIJEM	VKLAD	700	700	\N	\N	\N
2434478	8026	1997-04-11	PRIJEM	VKLAD	23943	24643	\N	\N	\N
2434479	8026	1997-05-11	PRIJEM	VKLAD	23943	48717	\N	\N	\N
2434480	8026	1997-06-11	PRIJEM	VKLAD	35914	73952	\N	\N	\N
2434481	8026	1997-07-11	PRIJEM	VKLAD	23943	75171	\N	\N	\N
2434482	8026	1997-08-11	PRIJEM	VKLAD	23943	75427	\N	\N	\N
2434483	8026	1997-09-11	PRIJEM	VKLAD	23943	72267	\N	\N	\N
2434484	8026	1997-10-11	PRIJEM	VKLAD	23943	67053	\N	\N	\N
2434485	8026	1997-11-11	PRIJEM	VKLAD	23943	75082	\N	\N	\N
2434486	8026	1997-12-11	PRIJEM	VKLAD	35914	85648	\N	\N	\N
2434487	8026	1998-01-11	PRIJEM	VKLAD	23943	77091	\N	\N	\N
2434488	8026	1998-02-11	PRIJEM	VKLAD	23943	75899	\N	\N	\N
2434489	8026	1998-03-11	PRIJEM	VKLAD	23943	77401	\N	\N	\N
2434490	8026	1998-04-11	PRIJEM	VKLAD	23943	81019	\N	\N	\N
2434491	8026	1998-05-11	PRIJEM	VKLAD	23943	87148	\N	\N	\N
2434492	8026	1998-06-11	PRIJEM	VKLAD	35914	93449	\N	\N	\N
2434493	8026	1998-07-11	PRIJEM	VKLAD	23943	71264	\N	\N	\N
2434494	8026	1998-08-11	PRIJEM	VKLAD	23943	80257	\N	\N	\N
2434495	8026	1998-09-11	PRIJEM	VKLAD	23943	91290	\N	\N	\N
2434496	8026	1998-10-11	PRIJEM	VKLAD	23943	93245	\N	\N	\N
2434497	8026	1998-11-11	PRIJEM	VKLAD	23943	98716	\N	\N	\N
2434498	8026	1998-12-11	PRIJEM	VKLAD	35914	108266	\N	\N	\N
2434506	8026	1997-08-19	VYDAJ	VYBER	2800	72627	\N	\N	0
2434507	8026	1997-09-12	VYDAJ	PREVOD NA UCET	3563	68704	UVER	GH	42597097
2434508	8026	1997-10-12	VYDAJ	PREVOD NA UCET	3563	63490	UVER	GH	42597097
2434509	8026	1997-11-12	VYDAJ	PREVOD NA UCET	3563	71519	UVER	GH	42597097
2434510	8026	1997-12-12	VYDAJ	PREVOD NA UCET	3563	82085	UVER	GH	42597097
2434511	8026	1998-01-12	VYDAJ	PREVOD NA UCET	3563	73528	UVER	GH	42597097
2434512	8026	1998-02-12	VYDAJ	PREVOD NA UCET	3563	72336	UVER	GH	42597097
2434513	8026	1998-03-12	VYDAJ	PREVOD NA UCET	3563	73838	UVER	GH	42597097
2434514	8026	1998-04-12	VYDAJ	PREVOD NA UCET	3563	77456	UVER	GH	42597097
2434515	8026	1998-05-12	VYDAJ	PREVOD NA UCET	3563	83585	UVER	GH	42597097
2434516	8026	1998-06-12	VYDAJ	PREVOD NA UCET	3563	89886	UVER	GH	42597097
2434517	8026	1998-07-12	VYDAJ	PREVOD NA UCET	3563	67701	UVER	GH	42597097
2434518	8026	1998-08-12	VYDAJ	PREVOD NA UCET	3563	76694	UVER	GH	42597097
2434519	8026	1998-09-12	VYDAJ	PREVOD NA UCET	3563	87727	UVER	GH	42597097
2434520	8026	1998-10-12	VYDAJ	PREVOD NA UCET	3563	89682	UVER	GH	42597097
2434521	8026	1998-11-12	VYDAJ	PREVOD NA UCET	3563	95153	UVER	GH	42597097
2434522	8026	1998-12-12	VYDAJ	PREVOD NA UCET	3563	72203	UVER	GH	42597097
2434524	8026	1998-06-21	VYDAJ	VYBER	20800	47086	\N	\N	\N
2434526	8026	1998-01-23	VYDAJ	VYBER	6400	51728	\N	\N	\N
2434527	8026	1997-12-08	VYDAJ	VYBER	1600	49734	\N	\N	\N
2434528	8026	1998-12-01	VYDAJ	VYBER KARTOU	2400	72352	\N	\N	0
2434529	8026	1997-10-19	VYDAJ	VYBER	2160	61330	\N	\N	\N
2434530	8026	1997-10-06	VYDAJ	VYBER	5400	43110	\N	\N	\N
2434533	8026	1998-05-15	VYDAJ	VYBER KARTOU	3500	80085	\N	\N	0
2434534	8026	1998-03-02	VYDAJ	VYBER KARTOU	2900	53458	\N	\N	0
2434535	8026	1998-07-22	VYDAJ	VYBER KARTOU	800	56101	\N	\N	0
2434536	8026	1998-01-01	VYDAJ	VYBER KARTOU	1800	53148	\N	\N	0
2434537	8026	1998-01-01	VYDAJ	VYBER	4080	54948	\N	\N	\N
2434546	8026	1997-08-31	VYDAJ	VYBER	15	48324	SLUZBY	\N	\N
2434547	8026	1997-09-30	VYDAJ	VYBER	15	48510	SLUZBY	\N	\N
2434548	8026	1997-10-31	VYDAJ	VYBER	15	51139	SLUZBY	\N	\N
2434549	8026	1997-11-30	VYDAJ	VYBER	15	51334	SLUZBY	\N	\N
2434550	8026	1997-12-31	VYDAJ	VYBER	15	59028	SLUZBY	\N	\N
2434551	8026	1998-01-31	VYDAJ	VYBER	15	51956	SLUZBY	\N	\N
2434552	8026	1998-02-28	VYDAJ	VYBER	15	56358	SLUZBY	\N	\N
2434553	8026	1998-03-31	VYDAJ	VYBER	15	57076	SLUZBY	\N	\N
2434554	8026	1998-04-30	VYDAJ	VYBER	15	63205	SLUZBY	\N	\N
2434555	8026	1998-05-31	VYDAJ	VYBER	15	57535	SLUZBY	\N	\N
2434556	8026	1998-06-30	VYDAJ	VYBER	15	47321	SLUZBY	\N	\N
2434557	8026	1998-07-31	VYDAJ	VYBER	15	56314	SLUZBY	\N	\N
2434558	8026	1998-08-31	VYDAJ	VYBER	15	67347	SLUZBY	\N	\N
2434559	8026	1998-09-30	VYDAJ	VYBER	15	69302	SLUZBY	\N	\N
2434560	8026	1998-10-31	VYDAJ	VYBER	15	74773	SLUZBY	\N	\N
2434561	8026	1998-11-30	VYDAJ	VYBER	15	74752	SLUZBY	\N	\N
2434562	8026	1997-04-22	PRIJEM	VKLAD	100	24743	\N	\N	\N
2434563	8026	1997-05-22	VYDAJ	VYBER	10800	37917	\N	\N	\N
2434564	8026	1997-06-21	VYDAJ	VYBER	22900	51052	\N	\N	\N
2434565	8026	1997-07-21	VYDAJ	VYBER	23900	51271	\N	\N	\N
2434566	8026	1997-08-20	VYDAJ	VYBER	24500	48127	\N	\N	\N
2434567	8026	1997-09-19	VYDAJ	VYBER	20400	48304	\N	\N	\N
2434568	8026	1997-10-19	VYDAJ	VYBER	10400	50930	\N	\N	\N
2434569	8026	1997-11-18	VYDAJ	VYBER	20400	51119	\N	\N	\N
2434570	8026	1997-12-18	VYDAJ	VYBER	23300	58785	\N	\N	\N
2434571	8026	1998-01-17	VYDAJ	VYBER	15400	58128	\N	\N	\N
2434572	8026	1998-02-16	VYDAJ	VYBER	16200	56136	\N	\N	\N
2434573	8026	1998-03-18	VYDAJ	VYBER	17000	56838	\N	\N	\N
2434574	8026	1998-04-17	VYDAJ	VYBER	14500	62956	\N	\N	\N
2434575	8026	1998-05-17	VYDAJ	VYBER	22800	57285	\N	\N	\N
2434576	8026	1998-06-16	VYDAJ	VYBER	22000	67886	\N	\N	\N
2434577	8026	1998-07-16	VYDAJ	VYBER	10800	56901	\N	\N	\N
2434578	8026	1998-08-15	VYDAJ	VYBER	9600	67094	\N	\N	\N
2434579	8026	1998-09-14	VYDAJ	VYBER	18700	69027	\N	\N	\N
2434580	8026	1998-10-14	VYDAJ	VYBER	15200	74482	\N	\N	\N
2434581	8026	1998-11-13	VYDAJ	VYBER	20700	74453	\N	\N	\N
2434582	8026	1998-12-11	VYDAJ	VYBER	32500	75766	\N	\N	\N
2434604	8027	1993-07-07	PRIJEM	VKLAD	700	700	\N	\N	\N
2434612	8027	1993-08-06	PRIJEM	PREVOD Z UCTU	38818	39518	\N	GH	25369358
2434613	8027	1993-09-06	PRIJEM	PREVOD Z UCTU	38818	64174	\N	GH	25369358
2434614	8027	1993-10-06	PRIJEM	PREVOD Z UCTU	38818	81742	\N	GH	25369358
2434615	8027	1993-11-06	PRIJEM	PREVOD Z UCTU	38818	91189	\N	GH	25369358
2434616	8027	1993-12-06	PRIJEM	PREVOD Z UCTU	58227	117490	\N	GH	25369358
2434617	8027	1994-01-06	PRIJEM	PREVOD Z UCTU	38818	70658	\N	GH	25369358
2434618	8027	1994-02-06	PRIJEM	PREVOD Z UCTU	38818	64227	\N	GH	25369358
2434619	8027	1994-03-06	PRIJEM	PREVOD Z UCTU	38818	82437	\N	GH	25369358
2434620	8027	1994-04-06	PRIJEM	PREVOD Z UCTU	38818	93440	\N	GH	25369358
2434621	8027	1994-05-06	PRIJEM	PREVOD Z UCTU	38818	78561	\N	GH	25369358
2434622	8027	1994-06-06	PRIJEM	PREVOD Z UCTU	58227	89053	\N	GH	25369358
2434623	8027	1994-07-06	PRIJEM	PREVOD Z UCTU	38818	90340	\N	GH	25369358
2434624	8027	1994-08-06	PRIJEM	PREVOD Z UCTU	38818	92714	\N	GH	25369358
2434625	8027	1994-09-06	PRIJEM	PREVOD Z UCTU	38818	97187	\N	GH	25369358
2434626	8027	1994-10-06	PRIJEM	PREVOD Z UCTU	38818	77675	\N	GH	25369358
2434627	8027	1994-11-06	PRIJEM	PREVOD Z UCTU	38818	89736	\N	GH	25369358
2434628	8027	1994-12-06	PRIJEM	PREVOD Z UCTU	58227	108653	\N	GH	25369358
2434629	8027	1995-01-06	PRIJEM	PREVOD Z UCTU	38818	103598	\N	GH	25369358
2434630	8027	1995-02-06	PRIJEM	PREVOD Z UCTU	38818	89625	\N	GH	25369358
2434631	8027	1995-03-06	PRIJEM	PREVOD Z UCTU	38818	74424	\N	GH	25369358
2434632	8027	1995-04-06	PRIJEM	PREVOD Z UCTU	38818	91116	\N	GH	25369358
2434633	8027	1995-05-06	PRIJEM	PREVOD Z UCTU	38818	90911	\N	GH	25369358
2434634	8027	1995-06-06	PRIJEM	PREVOD Z UCTU	58227	113917	\N	GH	25369358
2434635	8027	1995-07-06	PRIJEM	PREVOD Z UCTU	38818	69860	\N	GH	25369358
2434636	8027	1995-08-06	PRIJEM	PREVOD Z UCTU	38818	89030	\N	GH	25369358
2434637	8027	1995-09-06	PRIJEM	PREVOD Z UCTU	38818	95002	\N	GH	25369358
2434638	8027	1995-10-06	PRIJEM	PREVOD Z UCTU	38818	102797	\N	GH	25369358
2434639	8027	1995-11-06	PRIJEM	PREVOD Z UCTU	38818	105207	\N	GH	25369358
2434640	8027	1995-12-06	PRIJEM	PREVOD Z UCTU	58227	112894	\N	GH	25369358
2434641	8027	1996-01-06	PRIJEM	PREVOD Z UCTU	38818	77223	\N	GH	25369358
2434642	8027	1996-02-06	PRIJEM	PREVOD Z UCTU	38818	73674	\N	GH	25369358
2434643	8027	1996-03-06	PRIJEM	PREVOD Z UCTU	38818	69336	\N	GH	25369358
2434644	8027	1996-04-06	PRIJEM	PREVOD Z UCTU	38818	77308	\N	GH	25369358
2434645	8027	1996-05-06	PRIJEM	PREVOD Z UCTU	38818	87896	\N	GH	25369358
2434646	8027	1996-06-06	PRIJEM	PREVOD Z UCTU	58227	122603	\N	GH	25369358
2434647	8027	1996-07-06	PRIJEM	PREVOD Z UCTU	38818	89414	\N	GH	25369358
2434648	8027	1996-08-06	PRIJEM	PREVOD Z UCTU	38818	94934	\N	GH	25369358
2434649	8027	1996-09-06	PRIJEM	PREVOD Z UCTU	38818	92788	\N	GH	25369358
2434650	8027	1996-10-06	PRIJEM	PREVOD Z UCTU	38818	103490	\N	GH	25369358
2434651	8027	1996-11-06	PRIJEM	PREVOD Z UCTU	38818	90375	\N	GH	25369358
2434652	8027	1996-12-06	PRIJEM	PREVOD Z UCTU	58227	116213	\N	GH	25369358
2434653	8027	1997-01-06	PRIJEM	PREVOD Z UCTU	38818	81096	\N	GH	25369358
2434654	8027	1997-02-06	PRIJEM	PREVOD Z UCTU	38818	77008	\N	GH	25369358
2434655	8027	1997-03-06	PRIJEM	PREVOD Z UCTU	38818	83366	\N	GH	25369358
2434656	8027	1997-04-06	PRIJEM	PREVOD Z UCTU	38818	102539	\N	GH	25369358
2434657	8027	1997-05-06	PRIJEM	PREVOD Z UCTU	38818	104914	\N	GH	25369358
2434658	8027	1997-06-06	PRIJEM	PREVOD Z UCTU	58227	119486	\N	GH	25369358
2434659	8027	1997-07-06	PRIJEM	PREVOD Z UCTU	38818	88084	\N	GH	25369358
2434660	8027	1997-08-06	PRIJEM	PREVOD Z UCTU	38818	97910	\N	GH	25369358
2434661	8027	1997-09-06	PRIJEM	PREVOD Z UCTU	38818	81973	\N	GH	25369358
2434662	8027	1997-10-06	PRIJEM	PREVOD Z UCTU	38818	91479	\N	GH	25369358
2434663	8027	1997-11-06	PRIJEM	PREVOD Z UCTU	38818	98000	\N	GH	25369358
2434664	8027	1997-12-06	PRIJEM	PREVOD Z UCTU	58227	128206	\N	GH	25369358
2434665	8027	1998-01-06	PRIJEM	PREVOD Z UCTU	38818	71567	\N	GH	25369358
2434666	8027	1998-02-06	PRIJEM	PREVOD Z UCTU	38818	63539	\N	GH	25369358
2434667	8027	1998-03-06	PRIJEM	PREVOD Z UCTU	38818	77711	\N	GH	25369358
2434668	8027	1998-04-06	PRIJEM	PREVOD Z UCTU	38818	90928	\N	GH	25369358
2434669	8027	1998-05-06	PRIJEM	PREVOD Z UCTU	38818	74363	\N	GH	25369358
2434670	8027	1998-06-06	PRIJEM	PREVOD Z UCTU	58227	98174	\N	GH	25369358
2434671	8027	1998-07-06	PRIJEM	PREVOD Z UCTU	38818	95219	\N	GH	25369358
2434672	8027	1998-08-06	PRIJEM	PREVOD Z UCTU	38818	86625	\N	GH	25369358
2434673	8027	1998-09-06	PRIJEM	PREVOD Z UCTU	38818	95154	\N	GH	25369358
2434674	8027	1998-10-06	PRIJEM	PREVOD Z UCTU	38818	76695	\N	GH	25369358
2434675	8027	1998-11-06	PRIJEM	PREVOD Z UCTU	38818	71747	\N	GH	25369358
2434676	8027	1998-12-06	PRIJEM	PREVOD Z UCTU	58227	96614	\N	GH	25369358
2434688	8027	1993-12-08	VYDAJ	VYBER	6600	65183	\N	\N	0
2434689	8027	1994-01-20	VYDAJ	VYBER	6100	27358	\N	\N	0
2434690	8027	1994-02-13	VYDAJ	VYBER	6600	57627	\N	\N	0
2434691	8027	1994-03-15	VYDAJ	VYBER	4900	77537	\N	\N	0
2434692	8027	1994-04-19	VYDAJ	VYBER	5100	88340	\N	\N	0
2434693	8027	1994-05-18	VYDAJ	VYBER	6900	71661	\N	\N	0
2434694	8027	1994-06-12	VYDAJ	PREVOD NA UCET	6470	82583	UVER	CD	58650100
2434695	8027	1994-07-12	VYDAJ	PREVOD NA UCET	6470	83871	UVER	CD	58650100
2434696	8027	1994-08-12	VYDAJ	PREVOD NA UCET	6470	86244	UVER	CD	58650100
2434697	8027	1994-09-12	VYDAJ	PREVOD NA UCET	6470	65259	UVER	CD	58650100
2434698	8027	1994-10-12	VYDAJ	PREVOD NA UCET	6470	71206	UVER	CD	58650100
2434699	8027	1994-11-12	VYDAJ	PREVOD NA UCET	6470	83266	UVER	CD	58650100
2434700	8027	1994-12-12	VYDAJ	PREVOD NA UCET	6470	102183	UVER	CD	58650100
2434701	8027	1995-01-12	VYDAJ	PREVOD NA UCET	6470	97129	UVER	CD	58650100
2434702	8027	1995-02-12	VYDAJ	PREVOD NA UCET	6470	83155	UVER	CD	58650100
2434703	8027	1995-03-12	VYDAJ	PREVOD NA UCET	6470	67954	UVER	CD	58650100
2434704	8027	1995-04-12	VYDAJ	PREVOD NA UCET	6470	76846	UVER	CD	58650100
2434705	8027	1995-05-12	VYDAJ	PREVOD NA UCET	6470	84441	UVER	CD	58650100
2434706	8027	1995-06-12	VYDAJ	VYBER	5500	58217	\N	\N	0
2434707	8027	1995-07-17	VYDAJ	VYBER	7600	62260	\N	\N	0
2434708	8027	1995-08-11	VYDAJ	VYBER	6500	75937	\N	\N	0
2434709	8027	1995-09-09	VYDAJ	VYBER	7500	87502	\N	\N	0
2434710	8027	1995-10-12	VYDAJ	VYBER	7200	95597	\N	\N	0
2434711	8027	1995-11-21	VYDAJ	VYBER	7300	97907	\N	\N	0
2434712	8027	1995-12-02	VYDAJ	VYBER	6400	63067	\N	\N	0
2434713	8027	1996-01-05	VYDAJ	VYBER	7700	38405	\N	\N	0
2434714	8027	1996-02-10	VYDAJ	VYBER	5700	67974	\N	\N	0
2434715	8027	1996-03-03	VYDAJ	VYBER	6600	45563	\N	\N	0
2434716	8027	1996-04-17	VYDAJ	VYBER	7500	69808	\N	\N	0
2434717	8027	1996-05-04	VYDAJ	VYBER	6600	49078	\N	\N	0
2434718	8027	1996-06-11	VYDAJ	VYBER	6500	98203	\N	\N	0
2434719	8027	1996-07-17	VYDAJ	VYBER	8000	81414	\N	\N	0
2434720	8027	1996-08-14	VYDAJ	VYBER	5300	89634	\N	\N	0
2434721	8027	1996-09-02	VYDAJ	VYBER	7700	53970	\N	\N	0
2434722	8027	1996-10-21	VYDAJ	VYBER	4900	60590	\N	\N	0
2434723	8027	1996-11-14	VYDAJ	VYBER	6600	83775	\N	\N	0
2434724	8027	1996-12-19	VYDAJ	VYBER	5400	52413	\N	\N	0
2434725	8027	1997-01-03	VYDAJ	VYBER	7400	42278	\N	\N	0
2434726	8027	1997-02-17	VYDAJ	VYBER	7700	51483	\N	\N	0
2434727	8027	1997-03-03	VYDAJ	VYBER	7100	44548	\N	\N	0
2434728	8027	1997-04-12	VYDAJ	VYBER	6200	96339	\N	\N	0
2434729	8027	1997-05-09	VYDAJ	VYBER	6300	98614	\N	\N	0
2434730	8027	1997-06-14	VYDAJ	VYBER	5100	69086	\N	\N	0
2434731	8027	1997-07-12	VYDAJ	VYBER	6500	81584	\N	\N	0
2434732	8027	1997-08-18	VYDAJ	VYBER	6500	61810	\N	\N	0
2434733	8027	1997-09-09	VYDAJ	VYBER	8000	73973	\N	\N	0
2434734	8027	1997-10-20	VYDAJ	VYBER	5200	64332	\N	\N	0
2434735	8027	1997-11-04	VYDAJ	VYBER	5400	59182	\N	\N	0
2434736	8027	1997-12-19	VYDAJ	VYBER	7600	42506	\N	\N	0
2434737	8027	1998-01-11	VYDAJ	VYBER	7100	45218	\N	\N	0
2434738	8027	1998-02-02	VYDAJ	VYBER	6000	24721	\N	\N	0
2434739	8027	1998-03-05	VYDAJ	VYBER	6100	38893	\N	\N	0
2434740	8027	1998-04-20	VYDAJ	VYBER	4900	49428	\N	\N	0
2434741	8027	1998-05-11	VYDAJ	VYBER	7600	66763	\N	\N	0
2434742	8027	1998-06-18	VYDAJ	VYBER	7100	56174	\N	\N	0
2434743	8027	1998-07-11	VYDAJ	VYBER	4800	53419	\N	\N	0
2434744	8027	1998-08-03	VYDAJ	VYBER	5800	47807	\N	\N	0
2434745	8027	1998-09-20	VYDAJ	VYBER	8000	37720	\N	\N	0
2434746	8027	1998-10-06	VYDAJ	VYBER	7900	68795	\N	\N	0
2434747	8027	1998-11-04	VYDAJ	VYBER	5900	32929	\N	\N	0
2434748	8027	1998-12-15	VYDAJ	VYBER	5300	46914	\N	\N	0
2434749	8027	1993-12-14	VYBER	VYBER	13460	46623	\N	\N	\N
2434755	8027	1993-12-08	VYBER	VYBER	10707	71783	\N	\N	\N
2434757	8027	1994-07-16	VYBER	VYBER	2446	81425	\N	\N	\N
2434758	8027	1994-09-08	VYBER	VYBER	12592	71728	\N	\N	\N
2434759	8027	1994-05-04	VYBER	VYBER	18937	39743	\N	\N	\N
2434760	8027	1994-09-08	VYBER	VYBER	12867	84320	\N	\N	\N
2434761	8027	1994-09-30	VYBER	VYBER	22143	43387	\N	\N	\N
2434762	8027	1994-01-05	VYBER	VYBER	2296	31840	\N	\N	\N
2434763	8027	1994-06-18	VYBER	VYBER	9130	73453	\N	\N	\N
2434764	8027	1994-07-19	VYBER	VYBER	3335	78090	\N	\N	\N
2434767	8027	1994-05-22	VYBER	VYBER	23981	47680	\N	\N	\N
2434768	8027	1995-03-05	VYBER	VYBER	22304	35606	\N	\N	\N
2434769	8027	1995-08-11	VYBER	VYBER	6593	82437	\N	\N	\N
2434770	8027	1996-01-20	VYBER	VYBER	21767	42856	\N	\N	\N
2434771	8027	1996-03-04	VYBER	VYBER	15045	30518	\N	\N	\N
2434772	8027	1996-06-14	VYBER	VYBER	16123	82080	\N	\N	\N
2434773	8027	1996-06-16	VYBER	VYBER	16460	65620	\N	\N	\N
2434774	8027	1996-03-25	VYBER	VYBER	15752	38284	\N	\N	\N
2434775	8027	1997-12-23	VYBER	VYBER	9972	32534	\N	\N	\N
2434776	8027	1997-05-21	VYBER	VYBER	6524	60990	\N	\N	\N
2434777	8027	1997-08-21	VYBER	VYBER	18847	42963	\N	\N	\N
2434778	8027	1997-10-07	VYBER	VYBER	2447	89032	\N	\N	\N
2434779	8027	1997-02-13	VYBER	VYBER	8625	68383	\N	\N	\N
2434782	8027	1998-05-02	VYBER	VYBER	14080	35545	\N	\N	\N
2434783	8027	1998-01-09	VYBER	VYBER	14149	57418	\N	\N	\N
2434784	8027	1998-09-12	VYBER	VYBER	13134	45720	\N	\N	\N
2434785	8027	1993-12-24	VYDAJ	VYBER	4200	42423	\N	\N	\N
2434786	8027	1994-12-23	VYDAJ	VYBER	7500	94683	\N	\N	\N
2434787	8027	1995-12-03	VYDAJ	VYBER	8400	54667	\N	\N	\N
2434788	8027	1996-12-14	VYDAJ	VYBER	2100	72013	\N	\N	\N
2434789	8027	1997-12-11	VYDAJ	VYBER	5400	60706	\N	\N	\N
2434790	8027	1998-12-07	VYDAJ	VYBER	3600	93014	\N	\N	\N
2434797	8027	1994-01-02	VYDAJ	VYBER	2400	40236	\N	\N	\N
2434798	8027	1994-01-15	VYDAJ	VYBER	5400	54458	\N	\N	\N
2434799	8027	1994-01-19	VYDAJ	VYBER	8400	33458	\N	\N	\N
2434800	8027	1994-01-26	VYDAJ	VYBER	4200	23158	\N	\N	\N
2434801	8027	1994-01-18	VYDAJ	VYBER	6000	41858	\N	\N	\N
2434802	8027	1994-01-16	VYDAJ	VYBER	6600	47858	\N	\N	\N
2434803	8027	1995-01-20	VYDAJ	VYBER	2400	90829	\N	\N	\N
2434804	8027	1995-01-21	VYDAJ	VYBER	6900	83929	\N	\N	\N
2434805	8027	1995-01-24	VYDAJ	VYBER	6600	77329	\N	\N	\N
2434806	8027	1995-01-28	VYDAJ	VYBER	2100	50529	\N	\N	\N
2434807	8027	1995-01-25	VYDAJ	VYBER	5700	71629	\N	\N	\N
2434808	8027	1995-01-12	VYDAJ	VYBER	3900	93229	\N	\N	\N
2434809	8027	1996-01-18	VYDAJ	VYBER	8700	64623	\N	\N	\N
2434810	8027	1996-01-15	VYDAJ	VYBER	3900	73323	\N	\N	\N
2434811	8027	1996-01-02	VYDAJ	VYBER	4800	46105	\N	\N	\N
2434812	8027	1996-01-22	VYDAJ	VYBER	6300	32656	\N	\N	\N
2434813	8027	1996-01-21	VYDAJ	VYBER	3900	38956	\N	\N	\N
2434814	8027	1996-01-23	VYDAJ	VYBER	2100	34656	\N	\N	\N
2434815	8027	1997-01-08	VYDAJ	VYBER	5700	75396	\N	\N	\N
2434816	8027	1997-01-19	VYDAJ	VYBER	6000	46996	\N	\N	\N
2434817	8027	1997-01-24	VYDAJ	VYBER	6900	37996	\N	\N	\N
2434818	8027	1997-01-16	VYDAJ	VYBER	5700	61296	\N	\N	\N
2434819	8027	1997-01-21	VYDAJ	VYBER	2100	44896	\N	\N	\N
2434820	8027	1997-01-14	VYDAJ	VYBER	8400	66996	\N	\N	\N
2434821	8027	1998-01-09	VYDAJ	VYBER	5100	52318	\N	\N	\N
2434822	8027	1998-01-12	VYDAJ	VYBER	2100	38718	\N	\N	\N
2434829	8027	1993-12-10	VYDAJ	VYBER	5100	60083	\N	\N	\N
2434833	8027	1994-06-01	VYDAJ	VYBER	11100	36826	\N	\N	\N
2434834	8027	1994-11-29	VYDAJ	VYBER	14100	50166	\N	\N	\N
2434835	8027	1994-01-06	VYDAJ	VYBER	10800	59858	\N	\N	\N
2434836	8027	1995-04-18	VYDAJ	VYBER	11400	65446	\N	\N	\N
2434837	8027	1995-10-27	VYDAJ	VYBER	3300	66097	\N	\N	\N
2434839	8027	1995-05-20	VYDAJ	VYBER	7200	77241	\N	\N	\N
2434840	8027	1995-06-29	VYDAJ	VYBER	9600	30817	\N	\N	\N
2434841	8027	1995-06-18	VYDAJ	VYBER	14400	43817	\N	\N	\N
2434842	8027	1995-04-07	VYDAJ	VYBER	7800	83316	\N	\N	\N
2434843	8027	1996-10-30	VYDAJ	VYBER	9300	51290	\N	\N	\N
2434844	8027	1996-10-07	VYDAJ	VYBER	6900	96590	\N	\N	\N
2434845	8027	1996-12-25	VYDAJ	VYBER	3000	49413	\N	\N	\N
2434846	8027	1996-10-10	VYDAJ	VYBER	9900	86690	\N	\N	\N
2434847	8027	1997-06-16	VYDAJ	VYBER	10800	58286	\N	\N	\N
2434848	8027	1998-06-04	VYDAJ	VYBER	8100	39947	\N	\N	\N
2434851	8027	1998-04-07	VYDAJ	VYBER	11700	79228	\N	\N	\N
2434852	8027	1998-01-13	VYDAJ	VYBER	8100	30618	\N	\N	\N
2434853	8027	1998-12-01	VYDAJ	VYBER	3000	38387	\N	\N	\N
2434854	8027	1998-10-07	VYDAJ	VYBER	2400	66395	\N	\N	\N
2434867	8027	1993-12-31	VYDAJ	VYBER	30	42636	SLUZBY	\N	\N
2434868	8027	1994-01-31	VYDAJ	VYBER	30	23309	SLUZBY	\N	\N
2434869	8027	1994-02-28	VYDAJ	VYBER	30	57819	SLUZBY	\N	\N
2434870	8027	1994-03-31	VYDAJ	VYBER	30	77822	SLUZBY	\N	\N
2434871	8027	1994-04-30	VYDAJ	VYBER	30	88680	SLUZBY	\N	\N
2434872	8027	1994-05-31	VYDAJ	VYBER	30	47926	SLUZBY	\N	\N
2434873	8027	1994-06-30	VYDAJ	VYBER	30	73722	SLUZBY	\N	\N
2434874	8027	1994-07-31	VYDAJ	VYBER	30	78396	SLUZBY	\N	\N
2434875	8027	1994-08-31	VYDAJ	VYBER	30	58369	SLUZBY	\N	\N
2434876	8027	1994-09-30	VYDAJ	VYBER	30	43357	SLUZBY	\N	\N
2434877	8027	1994-10-31	VYDAJ	VYBER	30	50918	SLUZBY	\N	\N
2434878	8027	1994-11-30	VYDAJ	VYBER	30	50426	SLUZBY	\N	\N
2434879	8027	1994-12-31	VYDAJ	VYBER	30	64780	SLUZBY	\N	\N
2434880	8027	1995-01-31	VYDAJ	VYBER	30	50807	SLUZBY	\N	\N
2434881	8027	1995-02-28	VYDAJ	VYBER	30	57910	SLUZBY	\N	\N
2434882	8027	1995-03-31	VYDAJ	VYBER	30	52298	SLUZBY	\N	\N
2434883	8027	1995-04-30	VYDAJ	VYBER	30	52093	SLUZBY	\N	\N
2434884	8027	1995-05-31	VYDAJ	VYBER	30	55690	SLUZBY	\N	\N
2434885	8027	1995-06-30	VYDAJ	VYBER	30	31042	SLUZBY	\N	\N
2434886	8027	1995-07-31	VYDAJ	VYBER	30	50212	SLUZBY	\N	\N
2434887	8027	1995-08-31	VYDAJ	VYBER	30	56184	SLUZBY	\N	\N
2434888	8027	1995-09-30	VYDAJ	VYBER	30	63979	SLUZBY	\N	\N
2434889	8027	1995-10-31	VYDAJ	VYBER	30	66389	SLUZBY	\N	\N
2434890	8027	1995-11-30	VYDAJ	VYBER	30	69467	SLUZBY	\N	\N
2434891	8027	1995-12-31	VYDAJ	VYBER	30	50905	SLUZBY	\N	\N
2434892	8027	1996-01-31	VYDAJ	VYBER	30	34856	SLUZBY	\N	\N
2434893	8027	1996-02-29	VYDAJ	VYBER	30	52163	SLUZBY	\N	\N
2434894	8027	1996-03-31	VYDAJ	VYBER	30	38490	SLUZBY	\N	\N
2434895	8027	1996-04-30	VYDAJ	VYBER	30	55678	SLUZBY	\N	\N
2434896	8027	1996-05-31	VYDAJ	VYBER	30	64376	SLUZBY	\N	\N
2434897	8027	1996-06-30	VYDAJ	VYBER	30	50596	SLUZBY	\N	\N
2434898	8027	1996-07-31	VYDAJ	VYBER	30	56116	SLUZBY	\N	\N
2434899	8027	1996-08-31	VYDAJ	VYBER	30	61670	SLUZBY	\N	\N
2434900	8027	1996-09-30	VYDAJ	VYBER	30	64672	SLUZBY	\N	\N
2434901	8027	1996-10-31	VYDAJ	VYBER	30	51557	SLUZBY	\N	\N
2434902	8027	1996-11-30	VYDAJ	VYBER	30	57986	SLUZBY	\N	\N
2434903	8027	1996-12-31	VYDAJ	VYBER	30	49678	SLUZBY	\N	\N
2434904	8027	1997-01-31	VYDAJ	VYBER	30	38190	SLUZBY	\N	\N
2434905	8027	1997-02-28	VYDAJ	VYBER	30	51648	SLUZBY	\N	\N
2434906	8027	1997-03-31	VYDAJ	VYBER	30	63721	SLUZBY	\N	\N
2434907	8027	1997-04-30	VYDAJ	VYBER	30	66096	SLUZBY	\N	\N
2434908	8027	1997-05-31	VYDAJ	VYBER	30	61259	SLUZBY	\N	\N
2434909	8027	1997-06-30	VYDAJ	VYBER	30	49266	SLUZBY	\N	\N
2434910	8027	1997-07-31	VYDAJ	VYBER	30	59092	SLUZBY	\N	\N
2434911	8027	1997-08-31	VYDAJ	VYBER	30	43155	SLUZBY	\N	\N
2434912	8027	1997-09-30	VYDAJ	VYBER	30	52661	SLUZBY	\N	\N
2434913	8027	1997-10-31	VYDAJ	VYBER	30	64582	SLUZBY	\N	\N
2434914	8027	1997-11-30	VYDAJ	VYBER	30	69979	SLUZBY	\N	\N
2434915	8027	1997-12-31	VYDAJ	VYBER	30	32749	SLUZBY	\N	\N
2434916	8027	1998-01-31	VYDAJ	VYBER	30	30721	SLUZBY	\N	\N
2434917	8027	1998-02-28	VYDAJ	VYBER	30	44993	SLUZBY	\N	\N
2434918	8027	1998-03-31	VYDAJ	VYBER	30	52110	SLUZBY	\N	\N
2434919	8027	1998-04-30	VYDAJ	VYBER	30	49625	SLUZBY	\N	\N
2434920	8027	1998-05-31	VYDAJ	VYBER	30	48047	SLUZBY	\N	\N
2434921	8027	1998-06-30	VYDAJ	VYBER	30	56401	SLUZBY	\N	\N
2434922	8027	1998-07-31	VYDAJ	VYBER	30	53607	SLUZBY	\N	\N
2434923	8027	1998-08-31	VYDAJ	VYBER	30	56336	SLUZBY	\N	\N
2434924	8027	1998-09-30	VYDAJ	VYBER	30	37877	SLUZBY	\N	\N
2434925	8027	1998-10-31	VYDAJ	VYBER	30	38829	SLUZBY	\N	\N
2434926	8027	1998-11-30	VYDAJ	VYBER	30	41387	SLUZBY	\N	\N
2434927	8027	1993-08-06	VYDAJ	VYBER	9500	30018	\N	\N	\N
2434928	8027	1993-09-05	VYDAJ	VYBER	4800	25356	\N	\N	\N
2434929	8027	1993-10-05	VYDAJ	VYBER	21500	42924	\N	\N	\N
2434930	8027	1993-11-04	VYDAJ	VYBER	29700	52371	\N	\N	\N
2434931	8027	1993-12-04	VYDAJ	VYBER	32300	59263	\N	\N	\N
2434932	8027	1993-12-06	VYDAJ	VYBER	35000	82490	\N	\N	\N
2434933	8027	1994-01-03	VYDAJ	VYBER	6100	34136	\N	\N	\N
2434934	8027	1994-02-02	PRIJEM	VKLAD	2100	25409	\N	\N	\N
2434935	8027	1994-03-04	VYDAJ	VYBER	14200	43619	\N	\N	\N
2434936	8027	1994-04-03	VYDAJ	VYBER	23200	54622	\N	\N	\N
2434937	8027	1994-05-03	VYDAJ	VYBER	30000	58680	\N	\N	\N
2434938	8027	1994-06-02	VYDAJ	VYBER	6000	30826	\N	\N	\N
2434939	8027	1994-07-02	VYDAJ	VYBER	22200	51522	\N	\N	\N
2434940	8027	1994-08-01	VYDAJ	VYBER	24500	53896	\N	\N	\N
2434941	8027	1994-08-31	VYDAJ	VYBER	28200	58399	\N	\N	\N
2434942	8027	1994-09-30	VYDAJ	VYBER	4500	38857	\N	\N	\N
2434943	8027	1994-10-30	VYDAJ	VYBER	20500	50706	\N	\N	\N
2434944	8027	1994-11-29	VYDAJ	VYBER	19000	64266	\N	\N	\N
2434945	8027	1994-12-29	VYDAJ	VYBER	30200	64483	\N	\N	\N
2434946	8027	1995-01-28	VYDAJ	VYBER	19000	52629	\N	\N	\N
2434947	8027	1995-02-27	VYDAJ	VYBER	25500	57655	\N	\N	\N
2434948	8027	1995-03-29	VYDAJ	VYBER	15900	52054	\N	\N	\N
2434949	8027	1995-04-28	VYDAJ	VYBER	13600	51846	\N	\N	\N
2434950	8027	1995-05-28	VYDAJ	VYBER	21800	55441	\N	\N	\N
2434951	8027	1995-06-06	VYDAJ	VYBER	50200	63717	\N	\N	\N
2434952	8027	1995-06-27	VYDAJ	VYBER	3400	40417	\N	\N	\N
2434953	8027	1995-07-27	VYDAJ	VYBER	12200	50060	\N	\N	\N
2434954	8027	1995-08-26	VYDAJ	VYBER	20000	55937	\N	\N	\N
2434955	8027	1995-09-25	VYDAJ	VYBER	23800	63702	\N	\N	\N
2434956	8027	1995-10-25	VYDAJ	VYBER	26200	69397	\N	\N	\N
2434957	8027	1995-11-24	VYDAJ	VYBER	28700	69207	\N	\N	\N
2434958	8027	1995-12-06	VYDAJ	VYBER	51500	61394	\N	\N	\N
2434959	8027	1995-12-24	VYDAJ	VYBER	10700	50694	\N	\N	\N
2434960	8027	1996-01-23	PRIJEM	VKLAD	4100	36756	\N	\N	\N
2434961	8027	1996-02-22	VYDAJ	VYBER	16000	51974	\N	\N	\N
2434962	8027	1996-03-23	VYDAJ	VYBER	15300	54036	\N	\N	\N
2434963	8027	1996-04-22	VYDAJ	VYBER	14300	55508	\N	\N	\N
2434964	8027	1996-05-22	VYDAJ	VYBER	23800	64096	\N	\N	\N
2434965	8027	1996-06-06	VYDAJ	VYBER	17900	104703	\N	\N	\N
2434966	8027	1996-06-21	VYDAJ	VYBER	15300	50320	\N	\N	\N
2434967	8027	1996-07-21	VYDAJ	VYBER	25500	55914	\N	\N	\N
2434968	8027	1996-08-20	VYDAJ	VYBER	28200	61434	\N	\N	\N
2434969	8027	1996-09-19	VYDAJ	VYBER	28400	64388	\N	\N	\N
2434970	8027	1996-10-19	VYDAJ	VYBER	21200	65490	\N	\N	\N
2434971	8027	1996-11-18	VYDAJ	VYBER	26000	57775	\N	\N	\N
2434972	8027	1996-12-06	VYDAJ	VYBER	42100	74113	\N	\N	\N
2434973	8027	1996-12-18	VYDAJ	VYBER	14200	57813	\N	\N	\N
2434974	8027	1997-01-17	VYDAJ	VYBER	8300	52996	\N	\N	\N
2434975	8027	1997-02-16	VYDAJ	VYBER	9200	59183	\N	\N	\N
2434976	8027	1997-03-18	VYDAJ	VYBER	19900	63466	\N	\N	\N
2434977	8027	1997-04-17	VYDAJ	VYBER	30500	65839	\N	\N	\N
2434978	8027	1997-05-17	VYDAJ	VYBER	31100	67514	\N	\N	\N
2434979	8027	1997-06-06	VYDAJ	VYBER	45300	74186	\N	\N	\N
2434980	8027	1997-06-16	VYDAJ	VYBER	9300	48986	\N	\N	\N
2434981	8027	1997-07-16	VYDAJ	VYBER	22700	58884	\N	\N	\N
2434982	8027	1997-08-15	VYDAJ	VYBER	29600	68310	\N	\N	\N
2434983	8027	1997-09-14	VYDAJ	VYBER	21500	52473	\N	\N	\N
2434984	8027	1997-10-14	VYDAJ	VYBER	19500	69532	\N	\N	\N
2434985	8027	1997-11-13	VYDAJ	VYBER	28300	69700	\N	\N	\N
2434986	8027	1997-12-06	VYDAJ	VYBER	62100	66106	\N	\N	\N
2434987	8027	1997-12-13	VYDAJ	VYBER	10600	50106	\N	\N	\N
2434988	8027	1998-01-12	VYDAJ	VYBER	4400	40818	\N	\N	\N
2434989	8027	1998-02-11	VYDAJ	VYBER	18700	44839	\N	\N	\N
2434990	8027	1998-03-13	VYDAJ	VYBER	25800	51911	\N	\N	\N
2434991	8027	1998-04-12	VYDAJ	VYBER	24900	54328	\N	\N	\N
2434992	8027	1998-05-12	VYDAJ	VYBER	18900	47863	\N	\N	\N
2434993	8027	1998-06-11	VYDAJ	VYBER	34900	63274	\N	\N	\N
2434994	8027	1998-07-11	VYDAJ	VYBER	37000	58219	\N	\N	\N
2434995	8027	1998-08-10	VYDAJ	VYBER	30500	56125	\N	\N	\N
2434996	8027	1998-09-09	VYDAJ	VYBER	36300	58854	\N	\N	\N
2434997	8027	1998-10-09	VYDAJ	VYBER	27700	38695	\N	\N	\N
2434998	8027	1998-11-08	VYDAJ	VYBER	30500	41247	\N	\N	\N
2434999	8027	1998-12-08	VYDAJ	VYBER	40800	52214	\N	\N	\N
2438004	8038	1996-08-17	PRIJEM	VKLAD	600	600	\N	\N	\N
2438013	8038	1996-09-14	PRIJEM	VKLAD	22016	22616	\N	\N	\N
2438014	8038	1996-10-14	PRIJEM	VKLAD	22016	49088	\N	\N	\N
2438015	8038	1996-11-14	PRIJEM	VKLAD	22016	59940	\N	\N	\N
2438016	8038	1996-12-14	PRIJEM	VKLAD	33024	81244	\N	\N	\N
2438017	8038	1997-01-14	PRIJEM	VKLAD	22016	79983	\N	\N	\N
2438018	8038	1997-02-14	PRIJEM	VKLAD	22016	61100	\N	\N	\N
2438019	8038	1997-03-14	PRIJEM	VKLAD	22016	76722	\N	\N	\N
2438020	8038	1997-04-14	PRIJEM	VKLAD	22016	65684	\N	\N	\N
2438021	8038	1997-05-14	PRIJEM	VKLAD	22016	60361	\N	\N	\N
2438022	8038	1997-06-14	PRIJEM	VKLAD	33024	63975	\N	\N	\N
2438023	8038	1997-07-14	PRIJEM	VKLAD	22016	63760	\N	\N	\N
2438024	8038	1997-08-14	PRIJEM	VKLAD	22016	68898	\N	\N	\N
2438025	8038	1997-09-14	PRIJEM	VKLAD	22016	63575	\N	\N	\N
2438026	8038	1997-10-14	PRIJEM	VKLAD	22016	71121	\N	\N	\N
2438027	8038	1997-11-14	PRIJEM	VKLAD	22016	71259	\N	\N	\N
2438028	8038	1997-12-14	PRIJEM	VKLAD	33024	77155	\N	\N	\N
2438029	8038	1998-01-14	PRIJEM	VKLAD	22016	77334	\N	\N	\N
2438030	8038	1998-02-14	PRIJEM	VKLAD	22016	73028	\N	\N	\N
2438031	8038	1998-03-14	PRIJEM	VKLAD	22016	70109	\N	\N	\N
2438032	8038	1998-04-14	PRIJEM	VKLAD	22016	68885	\N	\N	\N
2438033	8038	1998-05-14	PRIJEM	VKLAD	22016	63951	\N	\N	\N
2438034	8038	1998-06-14	PRIJEM	VKLAD	33024	75909	\N	\N	\N
2438035	8038	1998-07-14	PRIJEM	VKLAD	22016	53876	\N	\N	\N
2438036	8038	1998-08-14	PRIJEM	VKLAD	22016	54671	\N	\N	\N
2438037	8038	1998-09-14	PRIJEM	VKLAD	22016	57568	\N	\N	\N
2438038	8038	1998-10-14	PRIJEM	VKLAD	22016	63176	\N	\N	\N
2438039	8038	1998-11-14	PRIJEM	VKLAD	22016	67709	\N	\N	\N
2438040	8038	1998-12-14	PRIJEM	VKLAD	33024	81470	\N	\N	\N
2438054	8038	1997-02-08	VYDAJ	PREVOD NA UCET	5215	48684	SIPO	AB	66150927
2438055	8038	1997-03-08	VYDAJ	PREVOD NA UCET	5215	56106	SIPO	AB	66150927
2438056	8038	1997-04-08	VYDAJ	PREVOD NA UCET	5215	43668	SIPO	AB	66150927
2438057	8038	1997-05-08	VYDAJ	PREVOD NA UCET	5215	38345	SIPO	AB	66150927
2438058	8038	1997-06-08	VYDAJ	PREVOD NA UCET	5215	36351	SIPO	AB	66150927
2438059	8038	1997-07-08	VYDAJ	PREVOD NA UCET	5215	53344	SIPO	AB	66150927
2438060	8038	1997-08-08	VYDAJ	PREVOD NA UCET	5215	57182	SIPO	AB	66150927
2438061	8038	1997-09-08	VYDAJ	PREVOD NA UCET	5215	62859	SIPO	AB	66150927
2438062	8038	1997-10-08	VYDAJ	PREVOD NA UCET	5215	57105	SIPO	AB	66150927
2438063	8038	1997-11-08	VYDAJ	PREVOD NA UCET	5215	63143	SIPO	AB	66150927
2438064	8038	1997-12-08	VYDAJ	PREVOD NA UCET	5215	64511	SIPO	AB	66150927
2438065	8038	1998-01-08	VYDAJ	PREVOD NA UCET	5215	69018	SIPO	AB	66150927
2438066	8038	1998-02-08	VYDAJ	PREVOD NA UCET	5215	52506	SIPO	AB	66150927
2438067	8038	1998-03-08	VYDAJ	PREVOD NA UCET	5215	68087	SIPO	AB	66150927
2438068	8038	1998-04-08	VYDAJ	PREVOD NA UCET	5215	65163	SIPO	AB	66150927
2438069	8038	1998-05-08	VYDAJ	PREVOD NA UCET	5215	63929	SIPO	AB	66150927
2438070	8038	1998-06-08	VYDAJ	PREVOD NA UCET	5215	44379	SIPO	AB	66150927
2438071	8038	1998-07-08	VYDAJ	PREVOD NA UCET	5215	38874	SIPO	AB	66150927
2438072	8038	1998-08-08	VYDAJ	PREVOD NA UCET	5215	34149	SIPO	AB	66150927
2438073	8038	1998-09-08	VYDAJ	PREVOD NA UCET	5215	37046	SIPO	AB	66150927
2438074	8038	1998-10-08	VYDAJ	PREVOD NA UCET	5215	42654	SIPO	AB	66150927
2438075	8038	1998-11-08	VYDAJ	PREVOD NA UCET	5215	47187	SIPO	AB	66150927
2438076	8038	1998-12-08	VYDAJ	PREVOD NA UCET	5215	49940	SIPO	AB	66150927
2438090	8038	1997-02-02	VYDAJ	VYBER	1400	56059	\N	\N	0
2438091	8038	1997-03-13	VYDAJ	VYBER	1400	54706	\N	\N	0
2438092	8038	1997-04-17	VYDAJ	VYBER	1800	43384	\N	\N	0
2438093	8038	1997-05-17	VYDAJ	VYBER	1700	46561	\N	\N	0
2438094	8038	1997-06-13	VYDAJ	VYBER	1700	34651	\N	\N	0
2438095	8038	1997-07-08	VYDAJ	VYBER	1300	58559	\N	\N	0
2438096	8038	1997-08-07	VYDAJ	VYBER	1600	62397	\N	\N	0
2438097	8038	1997-09-18	VYDAJ	VYBER	1500	62075	\N	\N	0
2438098	8038	1997-10-20	VYDAJ	VYBER	1700	69421	\N	\N	0
2438099	8038	1997-11-10	VYDAJ	VYBER	1200	61943	\N	\N	0
2438100	8038	1997-12-03	VYDAJ	VYBER	1800	69726	\N	\N	0
2438101	8038	1998-01-20	VYDAJ	VYBER	1600	75734	\N	\N	0
2438102	8038	1998-02-12	VYDAJ	PREVOD NA UCET	1494	51012	UVER	QR	85338079
2438103	8038	1998-03-12	VYDAJ	PREVOD NA UCET	1494	48093	UVER	QR	85338079
2438104	8038	1998-04-12	VYDAJ	PREVOD NA UCET	1494	46869	UVER	QR	85338079
2438105	8038	1998-05-12	VYDAJ	PREVOD NA UCET	1494	41935	UVER	QR	85338079
2438106	8038	1998-06-12	VYDAJ	PREVOD NA UCET	1494	42885	UVER	QR	85338079
2438107	8038	1998-07-12	VYDAJ	PREVOD NA UCET	1494	31860	UVER	QR	85338079
2438108	8038	1998-08-12	VYDAJ	PREVOD NA UCET	1494	32655	UVER	QR	85338079
2438109	8038	1998-09-12	VYDAJ	PREVOD NA UCET	1494	35552	UVER	QR	85338079
2438110	8038	1998-10-12	VYDAJ	PREVOD NA UCET	1494	41160	UVER	QR	85338079
2438111	8038	1998-11-12	VYDAJ	PREVOD NA UCET	1494	45693	UVER	QR	85338079
2438112	8038	1998-12-12	VYDAJ	PREVOD NA UCET	1494	48446	UVER	QR	85338079
2438115	8038	1998-06-23	VYDAJ	VYBER	20960	54949	\N	\N	\N
2438117	8038	1997-12-23	VYDAJ	VYBER	3200	73955	\N	\N	\N
2438118	8038	1998-12-20	VYDAJ	VYBER	4480	76990	\N	\N	\N
2438126	8038	1997-09-13	VYDAJ	VYBER	4800	41559	\N	\N	\N
2438127	8038	1997-02-03	VYDAJ	VYBER	2160	53899	\N	\N	\N
2438128	8038	1997-04-01	VYDAJ	VYBER	3360	48883	\N	\N	\N
2438129	8038	1997-09-07	VYDAJ	VYBER	1080	68074	\N	\N	\N
2438130	8038	1997-12-12	VYDAJ	VYBER	5280	44131	\N	\N	\N
2438131	8038	1997-06-19	VYDAJ	VYBER	4320	59655	\N	\N	\N
2438132	8038	1997-05-18	VYDAJ	VYBER	5160	41401	\N	\N	\N
2438133	8038	1997-10-28	VYDAJ	VYBER	1320	68101	\N	\N	\N
2438134	8038	1998-07-18	VYDAJ	VYBER	4800	49076	\N	\N	\N
2438135	8038	1998-09-04	VYDAJ	VYBER KARTOU	4000	50861	\N	\N	0
2438136	8038	1998-07-10	VYDAJ	VYBER	5520	33354	\N	\N	\N
2438150	8038	1997-01-31	VYDAJ	VYBER	15	57459	SLUZBY	\N	\N
2438151	8038	1997-02-28	VYDAJ	VYBER	15	61321	SLUZBY	\N	\N
2438152	8038	1997-03-31	VYDAJ	VYBER	15	52243	SLUZBY	\N	\N
2438153	8038	1997-04-30	VYDAJ	VYBER	15	43560	SLUZBY	\N	\N
2438154	8038	1997-05-31	VYDAJ	VYBER	15	41566	SLUZBY	\N	\N
2438155	8038	1997-06-30	VYDAJ	VYBER	15	59859	SLUZBY	\N	\N
2438156	8038	1997-07-31	VYDAJ	VYBER	15	63997	SLUZBY	\N	\N
2438157	8038	1997-08-31	VYDAJ	VYBER	15	69154	SLUZBY	\N	\N
2438158	8038	1997-09-30	VYDAJ	VYBER	15	62320	SLUZBY	\N	\N
2438159	8038	1997-10-31	VYDAJ	VYBER	15	68358	SLUZBY	\N	\N
2438160	8038	1997-11-30	VYDAJ	VYBER	15	71526	SLUZBY	\N	\N
2438161	8038	1997-12-31	VYDAJ	VYBER	15	74233	SLUZBY	\N	\N
2438162	8038	1998-01-31	VYDAJ	VYBER	15	76021	SLUZBY	\N	\N
2438163	8038	1998-02-28	VYDAJ	VYBER	15	73302	SLUZBY	\N	\N
2438164	8038	1998-03-31	VYDAJ	VYBER	15	70378	SLUZBY	\N	\N
2438165	8038	1998-04-30	VYDAJ	VYBER	15	69144	SLUZBY	\N	\N
2438166	8038	1998-05-31	VYDAJ	VYBER	15	64194	SLUZBY	\N	\N
2438167	8038	1998-06-30	VYDAJ	VYBER	15	55189	SLUZBY	\N	\N
2438168	8038	1998-07-31	VYDAJ	VYBER	15	49264	SLUZBY	\N	\N
2438169	8038	1998-08-31	VYDAJ	VYBER	15	54861	SLUZBY	\N	\N
2438170	8038	1998-09-30	VYDAJ	VYBER	15	57769	SLUZBY	\N	\N
2438171	8038	1998-10-31	VYDAJ	VYBER	15	63402	SLUZBY	\N	\N
2438172	8038	1998-11-30	VYDAJ	VYBER	15	67955	SLUZBY	\N	\N
2438173	8038	1996-09-16	PRIJEM	VKLAD	4400	27016	\N	\N	\N
2438174	8038	1996-10-16	VYDAJ	VYBER	11300	37788	\N	\N	\N
2438175	8038	1996-11-15	VYDAJ	VYBER	11900	48040	\N	\N	\N
2438176	8038	1996-12-15	VYDAJ	VYBER	23500	57744	\N	\N	\N
2438177	8038	1997-01-14	VYDAJ	VYBER	22800	57183	\N	\N	\N
2438178	8038	1997-02-13	VYDAJ	VYBER	9600	39084	\N	\N	\N
2438179	8038	1997-03-15	VYDAJ	VYBER	24700	52022	\N	\N	\N
2438180	8038	1997-04-14	VYDAJ	VYBER	20500	45184	\N	\N	\N
2438181	8038	1997-05-14	VYDAJ	VYBER	12100	48261	\N	\N	\N
2438182	8038	1997-06-13	VYDAJ	VYBER	3700	30951	\N	\N	\N
2438183	8038	1997-07-13	VYDAJ	VYBER	11600	41744	\N	\N	\N
2438184	8038	1997-08-12	VYDAJ	VYBER	10300	46882	\N	\N	\N
2438185	8038	1997-09-11	VYDAJ	VYBER	16500	46359	\N	\N	\N
2438186	8038	1997-10-11	VYDAJ	VYBER	8000	49105	\N	\N	\N
2438187	8038	1997-11-10	VYDAJ	VYBER	12700	49243	\N	\N	\N
2438188	8038	1997-12-10	VYDAJ	VYBER	15100	49411	\N	\N	\N
2438189	8038	1998-01-09	VYDAJ	VYBER	13700	55318	\N	\N	\N
2438190	8038	1998-02-08	VYDAJ	VYBER	18300	57721	\N	\N	\N
2438191	8038	1998-03-10	VYDAJ	VYBER	18500	49587	\N	\N	\N
2438192	8038	1998-04-09	VYDAJ	VYBER	16800	48363	\N	\N	\N
2438193	8038	1998-05-09	VYDAJ	VYBER	20500	43429	\N	\N	\N
2438194	8038	1998-06-08	VYDAJ	VYBER	14600	49594	\N	\N	\N
2438195	8038	1998-07-08	VYDAJ	VYBER	11100	44089	\N	\N	\N
2438196	8038	1998-08-07	VYDAJ	VYBER	9900	39364	\N	\N	\N
2438197	8038	1998-09-06	VYDAJ	VYBER	8600	42261	\N	\N	\N
2438198	8038	1998-10-06	VYDAJ	VYBER	9900	47869	\N	\N	\N
2438199	8038	1998-11-05	VYDAJ	VYBER	11000	52402	\N	\N	\N
2438200	8038	1998-12-05	VYDAJ	VYBER	12800	55155	\N	\N	\N
2438229	8039	1995-12-17	PRIJEM	VKLAD	900	900	\N	\N	\N
2438251	8039	1995-12-18	PRIJEM	VKLAD	26774	27674	\N	\N	\N
2438259	8039	1996-01-01	PRIJEM	VKLAD	33688	61414	\N	\N	\N
2438260	8039	1996-12-21	PRIJEM	VKLAD	33788	53666	\N	\N	\N
2438261	8039	1996-04-16	PRIJEM	VKLAD	45287	95763	\N	\N	\N
2438262	8039	1996-07-15	PRIJEM	VKLAD	41695	64481	\N	\N	\N
2438263	8039	1996-10-03	PRIJEM	VKLAD	13114	31551	\N	\N	\N
2438264	8039	1996-03-21	PRIJEM	VKLAD	37099	69753	\N	\N	\N
2438265	8039	1996-06-03	PRIJEM	VKLAD	16416	78423	\N	\N	\N
2438266	8039	1997-01-04	PRIJEM	VKLAD	46063	99852	\N	\N	\N
2438267	8039	1997-10-10	PRIJEM	VKLAD	46329	85428	\N	\N	\N
2438268	8039	1997-03-08	PRIJEM	VKLAD	44959	69151	\N	\N	\N
2438269	8039	1997-10-31	PRIJEM	VKLAD	21215	112288	\N	\N	\N
2438270	8039	1997-04-16	PRIJEM	VKLAD	42286	71475	\N	\N	\N
2438271	8039	1997-04-18	PRIJEM	VKLAD	27321	98796	\N	\N	\N
2438272	8039	1997-11-06	PRIJEM	VKLAD	8755	103210	\N	\N	\N
2438273	8039	1997-12-03	PRIJEM	VKLAD	9191	65686	\N	\N	\N
2438274	8039	1997-10-27	PRIJEM	VKLAD	13386	91073	\N	\N	\N
2438275	8039	1998-08-15	PRIJEM	VKLAD	27292	66267	\N	\N	\N
2438276	8039	1998-12-08	PRIJEM	VKLAD	19343	84726	\N	\N	\N
2438277	8039	1998-11-02	PRIJEM	VKLAD	10877	35903	\N	\N	\N
2438278	8039	1998-11-02	PRIJEM	VKLAD	29831	65734	\N	\N	\N
2438279	8039	1998-07-08	PRIJEM	VKLAD	44295	111285	\N	\N	\N
2438280	8039	1998-01-16	PRIJEM	VKLAD	6822	31490	\N	\N	\N
2438281	8039	1998-02-02	PRIJEM	VKLAD	28308	77926	\N	\N	\N
2438282	8039	1998-01-08	PRIJEM	VKLAD	7810	41584	\N	\N	\N
2438283	8039	1998-06-28	PRIJEM	VKLAD	35991	93822	\N	\N	\N
2438284	8039	1998-11-15	PRIJEM	VKLAD	21075	109345	\N	\N	\N
2438285	8039	1998-03-13	PRIJEM	VKLAD	12490	55028	\N	\N	\N
2438286	8039	1998-06-13	PRIJEM	VKLAD	8575	35017	\N	\N	\N
2438287	8039	1998-06-19	PRIJEM	VKLAD	26045	57831	\N	\N	\N
2438288	8039	1998-09-27	PRIJEM	VKLAD	5084	39768	\N	\N	\N
2438289	8039	1998-11-14	PRIJEM	VKLAD	35251	91501	\N	\N	\N
2438290	8039	1998-07-11	PRIJEM	VKLAD	48584	118295	\N	\N	\N
2438291	8039	1998-01-24	PRIJEM	VKLAD	27575	57265	\N	\N	\N
2438309	8039	1996-06-09	VYDAJ	VYBER	3300	74049	\N	\N	0
2438310	8039	1996-07-19	VYDAJ	VYBER	4600	59881	\N	\N	0
2438311	8039	1996-08-17	VYDAJ	VYBER	3400	35530	\N	\N	0
2438312	8039	1996-09-10	VYDAJ	VYBER	3400	18310	\N	\N	0
2438313	8039	1996-10-11	VYDAJ	VYBER	4200	26277	\N	\N	0
2438314	8039	1996-11-12	VYDAJ	PREVOD NA UCET	3901	24941	UVER	UV	23606485
2438315	8039	1996-12-12	VYDAJ	PREVOD NA UCET	3901	23719	UVER	UV	23606485
2438316	8039	1997-01-12	VYDAJ	PREVOD NA UCET	3901	56700	UVER	UV	23606485
2438317	8039	1997-02-12	VYDAJ	PREVOD NA UCET	3901	27337	UVER	UV	23606485
2438318	8039	1997-03-12	VYDAJ	PREVOD NA UCET	3901	50376	UVER	UV	23606485
2438319	8039	1997-04-12	VYDAJ	PREVOD NA UCET	3901	36620	UVER	UV	23606485
2438320	8039	1997-05-12	VYDAJ	PREVOD NA UCET	3901	62177	UVER	UV	23606485
2438321	8039	1997-06-12	VYDAJ	PREVOD NA UCET	3901	41216	UVER	UV	23606485
2438322	8039	1997-07-12	VYDAJ	PREVOD NA UCET	3901	37156	UVER	UV	23606485
2438323	8039	1997-08-12	VYDAJ	PREVOD NA UCET	3901	36486	UVER	UV	23606485
2438324	8039	1997-09-12	VYDAJ	PREVOD NA UCET	3901	33199	UVER	UV	23606485
2438325	8039	1997-10-12	VYDAJ	PREVOD NA UCET	3901	81528	UVER	UV	23606485
2438326	8039	1997-11-12	VYDAJ	PREVOD NA UCET	3901	70525	UVER	UV	23606485
2438327	8039	1997-12-12	VYDAJ	PREVOD NA UCET	3901	55111	UVER	UV	23606485
2438328	8039	1998-01-12	VYDAJ	PREVOD NA UCET	3901	35999	UVER	UV	23606485
2438329	8039	1998-02-12	VYDAJ	PREVOD NA UCET	3901	56251	UVER	UV	23606485
2438330	8039	1998-03-12	VYDAJ	PREVOD NA UCET	3901	42538	UVER	UV	23606485
2438331	8039	1998-04-12	VYDAJ	PREVOD NA UCET	3901	40020	UVER	UV	23606485
2438332	8039	1998-05-12	VYDAJ	PREVOD NA UCET	3901	29050	UVER	UV	23606485
2438333	8039	1998-06-12	VYDAJ	PREVOD NA UCET	3901	27052	UVER	UV	23606485
2438334	8039	1998-07-12	VYDAJ	PREVOD NA UCET	3901	71795	UVER	UV	23606485
2438335	8039	1998-08-12	VYDAJ	PREVOD NA UCET	3901	42816	UVER	UV	23606485
2438336	8039	1998-09-12	VYDAJ	PREVOD NA UCET	3901	38525	UVER	UV	23606485
2438337	8039	1998-10-12	VYDAJ	PREVOD NA UCET	3901	28251	UVER	UV	23606485
2438338	8039	1998-11-03	VYDAJ	VYBER	3600	62134	\N	\N	0
2438339	8039	1998-12-13	VYDAJ	VYBER	3700	79342	\N	\N	0
2438357	8039	1996-06-08	VYDAJ	PREVOD NA UCET	1074	77349	SIPO	AB	63169944
2438358	8039	1996-07-08	VYDAJ	PREVOD NA UCET	1074	22127	SIPO	AB	63169944
2438359	8039	1996-08-08	VYDAJ	PREVOD NA UCET	1074	56571	SIPO	AB	63169944
2438360	8039	1996-09-08	VYDAJ	PREVOD NA UCET	1074	21710	SIPO	AB	63169944
2438361	8039	1996-10-08	VYDAJ	PREVOD NA UCET	1074	30477	SIPO	AB	63169944
2438362	8039	1996-11-08	VYDAJ	PREVOD NA UCET	1074	25251	SIPO	AB	63169944
2438363	8039	1996-12-08	VYDAJ	PREVOD NA UCET	1074	20720	SIPO	AB	63169944
2438364	8039	1997-01-08	VYDAJ	PREVOD NA UCET	1074	95411	SIPO	AB	63169944
2438365	8039	1997-02-08	VYDAJ	PREVOD NA UCET	1074	19548	SIPO	AB	63169944
2438366	8039	1997-03-08	VYDAJ	PREVOD NA UCET	1074	68077	SIPO	AB	63169944
2438367	8039	1997-04-08	VYDAJ	PREVOD NA UCET	1074	45630	SIPO	AB	63169944
2438368	8039	1997-05-08	VYDAJ	PREVOD NA UCET	1074	88677	SIPO	AB	63169944
2438369	8039	1997-06-08	VYDAJ	PREVOD NA UCET	1074	43127	SIPO	AB	63169944
2438370	8039	1997-07-08	VYDAJ	PREVOD NA UCET	1074	37067	SIPO	AB	63169944
2438371	8039	1997-08-08	VYDAJ	PREVOD NA UCET	1074	40387	SIPO	AB	63169944
2438372	8039	1997-09-08	VYDAJ	PREVOD NA UCET	1074	37099	SIPO	AB	63169944
2438373	8039	1997-10-08	VYDAJ	PREVOD NA UCET	1074	39099	SIPO	AB	63169944
2438374	8039	1997-11-08	VYDAJ	PREVOD NA UCET	1074	75036	SIPO	AB	63169944
2438375	8039	1997-12-08	VYDAJ	PREVOD NA UCET	1074	59012	SIPO	AB	63169944
2438376	8039	1998-01-08	VYDAJ	PREVOD NA UCET	1074	40510	SIPO	AB	63169944
2438377	8039	1998-02-08	VYDAJ	PREVOD NA UCET	1074	60152	SIPO	AB	63169944
2438378	8039	1998-03-08	VYDAJ	PREVOD NA UCET	1074	47048	SIPO	AB	63169944
2438379	8039	1998-04-08	VYDAJ	PREVOD NA UCET	1074	43921	SIPO	AB	63169944
2438380	8039	1998-05-08	VYDAJ	PREVOD NA UCET	1074	33561	SIPO	AB	63169944
2438381	8039	1998-06-08	VYDAJ	PREVOD NA UCET	1074	30953	SIPO	AB	63169944
2438382	8039	1998-07-08	VYDAJ	PREVOD NA UCET	1074	110211	SIPO	AB	63169944
2438383	8039	1998-08-08	VYDAJ	PREVOD NA UCET	1074	46716	SIPO	AB	63169944
2438384	8039	1998-09-08	VYDAJ	PREVOD NA UCET	1074	42426	SIPO	AB	63169944
2438385	8039	1998-10-08	VYDAJ	PREVOD NA UCET	1074	32761	SIPO	AB	63169944
2438386	8039	1998-11-08	VYDAJ	PREVOD NA UCET	1074	56860	SIPO	AB	63169944
2438387	8039	1998-12-08	VYDAJ	PREVOD NA UCET	1074	83652	SIPO	AB	63169944
2438405	8039	1996-06-12	VYDAJ	PREVOD NA UCET	610	30539	 	MN	52981835
2438406	8039	1996-07-12	VYDAJ	PREVOD NA UCET	610	21517	 	MN	52981835
2438407	8039	1996-08-12	VYDAJ	PREVOD NA UCET	610	55961	 	MN	52981835
2438408	8039	1996-09-12	VYDAJ	PREVOD NA UCET	610	21600	 	MN	52981835
2438409	8039	1996-10-12	VYDAJ	PREVOD NA UCET	610	29467	 	MN	52981835
2438410	8039	1996-11-12	VYDAJ	PREVOD NA UCET	610	28841	 	MN	52981835
2438411	8039	1996-12-12	VYDAJ	PREVOD NA UCET	610	23109	 	MN	52981835
2438412	8039	1997-01-12	VYDAJ	PREVOD NA UCET	610	60601	 	MN	52981835
2438413	8039	1997-02-12	VYDAJ	PREVOD NA UCET	610	31238	 	MN	52981835
2438414	8039	1997-03-12	VYDAJ	PREVOD NA UCET	610	49766	 	MN	52981835
2438415	8039	1997-04-12	VYDAJ	PREVOD NA UCET	610	40520	 	MN	52981835
2438416	8039	1997-05-12	VYDAJ	PREVOD NA UCET	610	61567	 	MN	52981835
2438417	8039	1997-06-12	VYDAJ	PREVOD NA UCET	610	45117	 	MN	52981835
2438418	8039	1997-07-12	VYDAJ	PREVOD NA UCET	610	41057	 	MN	52981835
2438419	8039	1997-08-12	VYDAJ	PREVOD NA UCET	610	35876	 	MN	52981835
2438420	8039	1997-09-12	VYDAJ	PREVOD NA UCET	610	32589	 	MN	52981835
2438421	8039	1997-10-12	VYDAJ	PREVOD NA UCET	610	80918	 	MN	52981835
2438422	8039	1997-11-12	VYDAJ	PREVOD NA UCET	610	74426	 	MN	52981835
2438423	8039	1997-12-12	VYDAJ	PREVOD NA UCET	610	54501	 	MN	52981835
2438424	8039	1998-01-12	VYDAJ	PREVOD NA UCET	610	39900	 	MN	52981835
2438425	8039	1998-02-12	VYDAJ	PREVOD NA UCET	610	55641	 	MN	52981835
2438426	8039	1998-03-12	VYDAJ	PREVOD NA UCET	610	46438	 	MN	52981835
2438427	8039	1998-04-12	VYDAJ	PREVOD NA UCET	610	39410	 	MN	52981835
2438428	8039	1998-05-12	VYDAJ	PREVOD NA UCET	610	32951	 	MN	52981835
2438429	8039	1998-06-12	VYDAJ	PREVOD NA UCET	610	26442	 	MN	52981835
2438430	8039	1998-07-12	VYDAJ	PREVOD NA UCET	610	71185	 	MN	52981835
2438431	8039	1998-08-12	VYDAJ	PREVOD NA UCET	610	42206	 	MN	52981835
2438432	8039	1998-09-12	VYDAJ	PREVOD NA UCET	610	37915	 	MN	52981835
2438433	8039	1998-10-12	VYDAJ	PREVOD NA UCET	610	32151	 	MN	52981835
2438434	8039	1998-11-12	VYDAJ	PREVOD NA UCET	610	56250	 	MN	52981835
2438435	8039	1998-12-12	VYDAJ	PREVOD NA UCET	610	83042	 	MN	52981835
2438453	8039	1996-06-14	VYDAJ	PREVOD NA UCET	3231	27308	POJISTNE	IJ	3321844
2438454	8039	1996-07-14	VYDAJ	PREVOD NA UCET	3231	22786	POJISTNE	IJ	3321844
2438455	8039	1996-08-14	VYDAJ	PREVOD NA UCET	3231	38930	POJISTNE	IJ	3321844
2438456	8039	1996-09-14	VYDAJ	PREVOD NA UCET	3231	18369	POJISTNE	IJ	3321844
2438457	8039	1996-10-14	VYDAJ	PREVOD NA UCET	3231	26236	POJISTNE	IJ	3321844
2438458	8039	1996-11-14	VYDAJ	PREVOD NA UCET	3231	21710	POJISTNE	IJ	3321844
2438459	8039	1996-12-14	VYDAJ	PREVOD NA UCET	3231	19878	POJISTNE	IJ	3321844
2438460	8039	1997-01-14	VYDAJ	PREVOD NA UCET	3231	53469	POJISTNE	IJ	3321844
2438461	8039	1997-02-14	VYDAJ	PREVOD NA UCET	3231	24106	POJISTNE	IJ	3321844
2438462	8039	1997-03-14	VYDAJ	PREVOD NA UCET	3231	46535	POJISTNE	IJ	3321844
2438463	8039	1997-04-14	VYDAJ	PREVOD NA UCET	3231	33389	POJISTNE	IJ	3321844
2438464	8039	1997-05-14	VYDAJ	PREVOD NA UCET	3231	58336	POJISTNE	IJ	3321844
2438465	8039	1997-06-14	VYDAJ	PREVOD NA UCET	3231	37985	POJISTNE	IJ	3321844
2438466	8039	1997-07-14	VYDAJ	PREVOD NA UCET	3231	33925	POJISTNE	IJ	3321844
2438467	8039	1997-08-14	VYDAJ	PREVOD NA UCET	3231	32645	POJISTNE	IJ	3321844
2438468	8039	1997-09-14	VYDAJ	PREVOD NA UCET	3231	29358	POJISTNE	IJ	3321844
2438469	8039	1997-10-14	VYDAJ	PREVOD NA UCET	3231	77687	POJISTNE	IJ	3321844
2438470	8039	1997-11-14	VYDAJ	PREVOD NA UCET	3231	67294	POJISTNE	IJ	3321844
2438471	8039	1997-12-14	VYDAJ	PREVOD NA UCET	3231	51270	POJISTNE	IJ	3321844
2438472	8039	1998-01-14	VYDAJ	PREVOD NA UCET	3231	32768	POJISTNE	IJ	3321844
2438473	8039	1998-02-14	VYDAJ	PREVOD NA UCET	3231	52410	POJISTNE	IJ	3321844
2438474	8039	1998-03-14	VYDAJ	PREVOD NA UCET	3231	51797	POJISTNE	IJ	3321844
2438475	8039	1998-04-14	VYDAJ	PREVOD NA UCET	3231	36179	POJISTNE	IJ	3321844
2438476	8039	1998-05-14	VYDAJ	PREVOD NA UCET	3231	25819	POJISTNE	IJ	3321844
2438477	8039	1998-06-14	VYDAJ	PREVOD NA UCET	3231	31786	POJISTNE	IJ	3321844
2438478	8039	1998-07-14	VYDAJ	PREVOD NA UCET	3231	67954	POJISTNE	IJ	3321844
2438479	8039	1998-08-14	VYDAJ	PREVOD NA UCET	3231	38975	POJISTNE	IJ	3321844
2438480	8039	1998-09-14	VYDAJ	PREVOD NA UCET	3231	34684	POJISTNE	IJ	3321844
2438481	8039	1998-10-14	VYDAJ	PREVOD NA UCET	3231	25020	POJISTNE	IJ	3321844
2438482	8039	1998-11-14	VYDAJ	PREVOD NA UCET	3231	88270	POJISTNE	IJ	3321844
2438483	8039	1998-12-14	VYDAJ	PREVOD NA UCET	3231	76111	POJISTNE	IJ	3321844
2438487	8039	1997-01-08	VYBER	VYBER	3367	96485	\N	\N	\N
2438489	8039	1998-07-23	VYBER	VYBER	8747	59207	\N	\N	\N
2438493	8039	1996-06-09	VYDAJ	VYBER	42900	31149	\N	\N	\N
2438498	8039	1997-12-20	VYDAJ	VYBER	3600	47670	\N	\N	\N
2438499	8039	1998-12-20	VYDAJ	VYBER	7200	68911	\N	\N	\N
2438512	8039	1997-01-09	VYDAJ	VYBER	2700	85211	\N	\N	\N
2438513	8039	1997-01-14	VYDAJ	VYBER	6300	47169	\N	\N	\N
2438514	8039	1997-01-08	VYDAJ	VYBER	7500	87911	\N	\N	\N
2438518	8039	1998-01-07	VYDAJ	VYBER	7500	35874	\N	\N	\N
2438519	8039	1998-01-07	VYDAJ	VYBER	2100	33774	\N	\N	\N
2438520	8039	1998-01-18	VYDAJ	VYBER	1800	29690	\N	\N	\N
2438521	8039	1998-01-25	VYDAJ	VYBER	7800	49465	\N	\N	\N
2438522	8039	1998-01-15	VYDAJ	VYBER	8100	24668	\N	\N	\N
2438523	8039	1998-01-06	VYDAJ	VYBER	3600	43374	\N	\N	\N
2438528	8039	1996-08-22	VYDAJ	VYBER	12900	22630	\N	\N	\N
2438530	8039	1996-07-21	VYDAJ	VYBER	2400	57481	\N	\N	\N
2438536	8039	1997-01-18	VYDAJ	VYBER	12900	20469	\N	\N	\N
2438537	8039	1997-04-14	VYDAJ	VYBER	4200	29189	\N	\N	\N
2438538	8039	1997-11-28	VYDAJ	VYBER	11100	56194	\N	\N	\N
2438539	8039	1997-05-30	VYDAJ	VYBER	14400	43936	\N	\N	\N
2438540	8039	1997-04-18	VYDAJ	VYBER	9300	89496	\N	\N	\N
2438541	8039	1997-01-17	VYDAJ	VYBER	13800	33369	\N	\N	\N
2438542	8039	1998-11-08	VYDAJ	VYBER	4200	57934	\N	\N	\N
2438544	8039	1998-12-28	VYDAJ	VYBER	4500	64411	\N	\N	\N
2438563	8039	1996-06-30	VYDAJ	VYBER	15	23201	SLUZBY	\N	\N
2438564	8039	1996-07-31	VYDAJ	VYBER	15	57645	SLUZBY	\N	\N
2438565	8039	1996-08-31	VYDAJ	VYBER	15	22784	SLUZBY	\N	\N
2438566	8039	1996-09-30	VYDAJ	VYBER	15	18437	SLUZBY	\N	\N
2438567	8039	1996-10-31	VYDAJ	VYBER	15	26325	SLUZBY	\N	\N
2438568	8039	1996-11-30	VYDAJ	VYBER	15	21794	SLUZBY	\N	\N
2438569	8039	1996-12-31	VYDAJ	VYBER	15	53789	SLUZBY	\N	\N
2438570	8039	1997-01-31	VYDAJ	VYBER	15	20622	SLUZBY	\N	\N
2438571	8039	1997-02-28	VYDAJ	VYBER	15	24192	SLUZBY	\N	\N
2438572	8039	1997-03-31	VYDAJ	VYBER	15	46704	SLUZBY	\N	\N
2438573	8039	1997-04-30	VYDAJ	VYBER	15	89751	SLUZBY	\N	\N
2438574	8039	1997-05-31	VYDAJ	VYBER	15	44201	SLUZBY	\N	\N
2438575	8039	1997-06-30	VYDAJ	VYBER	15	38141	SLUZBY	\N	\N
2438576	8039	1997-07-31	VYDAJ	VYBER	15	34061	SLUZBY	\N	\N
2438577	8039	1997-08-31	VYDAJ	VYBER	15	32773	SLUZBY	\N	\N
2438578	8039	1997-09-30	VYDAJ	VYBER	15	29473	SLUZBY	\N	\N
2438579	8039	1997-10-31	VYDAJ	VYBER	15	112555	SLUZBY	\N	\N
2438580	8039	1997-11-30	VYDAJ	VYBER	15	56495	SLUZBY	\N	\N
2438581	8039	1997-12-31	VYDAJ	VYBER	15	47874	SLUZBY	\N	\N
2438582	8039	1998-01-31	VYDAJ	VYBER	15	49618	SLUZBY	\N	\N
2438583	8039	1998-02-28	VYDAJ	VYBER	15	52622	SLUZBY	\N	\N
2438584	8039	1998-03-31	VYDAJ	VYBER	15	51995	SLUZBY	\N	\N
2438585	8039	1998-04-30	VYDAJ	VYBER	15	36335	SLUZBY	\N	\N
2438586	8039	1998-05-31	VYDAJ	VYBER	15	25927	SLUZBY	\N	\N
2438587	8039	1998-06-30	VYDAJ	VYBER	15	93990	SLUZBY	\N	\N
2438588	8039	1998-07-31	VYDAJ	VYBER	15	59490	SLUZBY	\N	\N
2438589	8039	1998-08-31	VYDAJ	VYBER	15	66500	SLUZBY	\N	\N
2438590	8039	1998-09-30	VYDAJ	VYBER	15	39935	SLUZBY	\N	\N
2438591	8039	1998-10-31	VYDAJ	VYBER	15	25126	SLUZBY	\N	\N
2438592	8039	1998-11-30	VYDAJ	VYBER	15	109683	SLUZBY	\N	\N
2438593	8039	1996-01-16	VYDAJ	VYBER	16500	44914	\N	\N	\N
2438594	8039	1996-02-15	VYDAJ	VYBER	10200	34866	\N	\N	\N
2438595	8039	1996-03-16	VYDAJ	VYBER	2400	32654	\N	\N	\N
2438596	8039	1996-04-15	VYDAJ	VYBER	19500	50476	\N	\N	\N
2438597	8039	1996-05-15	VYDAJ	VYBER	34500	61608	\N	\N	\N
2438598	8039	1996-06-14	VYDAJ	VYBER	4300	23008	\N	\N	\N
2438599	8039	1996-07-14	PRIJEM	VKLAD	4500	26017	\N	\N	\N
2438600	8039	1996-08-13	VYDAJ	VYBER	13800	42161	\N	\N	\N
2438601	8039	1996-09-12	PRIJEM	VKLAD	3900	22210	\N	\N	\N
2438602	8039	1996-10-12	PRIJEM	VKLAD	3800	30077	\N	\N	\N
2438603	8039	1996-11-11	PRIJEM	VKLAD	4200	29451	\N	\N	\N
2438604	8039	1996-12-11	PRIJEM	VKLAD	6900	27620	\N	\N	\N
2438605	8039	1997-01-10	VYDAJ	VYBER	24000	61211	\N	\N	\N
2438606	8039	1997-02-09	PRIJEM	VKLAD	12300	31848	\N	\N	\N
2438607	8039	1997-03-11	VYDAJ	VYBER	13800	54277	\N	\N	\N
2438608	8039	1997-04-10	VYDAJ	VYBER	4500	41130	\N	\N	\N
2438609	8039	1997-05-10	VYDAJ	VYBER	22600	66077	\N	\N	\N
2438610	8039	1997-06-09	PRIJEM	VKLAD	2600	45727	\N	\N	\N
2438611	8039	1997-07-09	PRIJEM	VKLAD	4600	41667	\N	\N	\N
2438612	8039	1997-08-08	PRIJEM	VKLAD	7400	41461	\N	\N	\N
2438613	8039	1997-09-07	PRIJEM	VKLAD	5400	38173	\N	\N	\N
2438614	8039	1997-10-07	PRIJEM	VKLAD	10700	40173	\N	\N	\N
2438615	8039	1997-10-31	VYDAJ	VYBER	18100	94455	\N	\N	\N
2438616	8039	1997-11-06	VYDAJ	VYBER	27100	76110	\N	\N	\N
2438617	8039	1997-12-06	VYDAJ	VYBER	5600	60086	\N	\N	\N
2438618	8039	1998-01-05	VYDAJ	VYBER	900	46974	\N	\N	\N
2438619	8039	1998-02-04	VYDAJ	VYBER	16700	61226	\N	\N	\N
2438620	8039	1998-03-06	VYDAJ	VYBER	4500	48122	\N	\N	\N
2438621	8039	1998-04-05	VYDAJ	VYBER	7000	44995	\N	\N	\N
2438622	8039	1998-05-05	VYDAJ	VYBER	1700	34635	\N	\N	\N
2438623	8039	1998-06-04	PRIJEM	VKLAD	6100	32027	\N	\N	\N
2438624	8039	1998-07-04	VYDAJ	VYBER	27000	66990	\N	\N	\N
2438625	8039	1998-07-08	VYDAJ	VYBER	40500	69711	\N	\N	\N
2438626	8039	1998-07-11	VYDAJ	VYBER	42600	75695	\N	\N	\N
2438627	8039	1998-08-03	VYDAJ	VYBER	11700	47790	\N	\N	\N
2438628	8039	1998-09-02	VYDAJ	VYBER	23000	43500	\N	\N	\N
2438629	8039	1998-10-02	VYDAJ	VYBER	6100	33835	\N	\N	\N
2438630	8039	1998-11-01	VYDAJ	VYBER KARTOU	100	25026	\N	\N	0
2438631	8039	1998-12-01	VYDAJ	VYBER	44300	65383	\N	\N	\N
2438853	8041	1993-10-10	PRIJEM	VKLAD	400	400	\N	\N	\N
2438863	8041	1993-10-15	PRIJEM	VKLAD	43770	44170	\N	\N	\N
2438864	8041	1994-03-18	PRIJEM	VKLAD	29338	75721	\N	\N	\N
2438865	8041	1994-10-05	PRIJEM	VKLAD	44739	71406	\N	\N	\N
2438866	8041	1994-01-23	PRIJEM	VKLAD	32327	60466	\N	\N	\N
2438867	8041	1994-02-14	PRIJEM	VKLAD	23850	65320	\N	\N	\N
2438868	8041	1994-06-25	PRIJEM	VKLAD	44208	115000	\N	\N	\N
2438869	8041	1994-06-22	PRIJEM	VKLAD	39749	70792	\N	\N	\N
2438870	8041	1995-09-02	PRIJEM	VKLAD	38622	82613	\N	\N	\N
2438871	8041	1995-03-18	PRIJEM	VKLAD	47167	122831	\N	\N	\N
2438872	8041	1995-05-27	PRIJEM	VKLAD	32766	127621	\N	\N	\N
2438873	8041	1995-08-28	PRIJEM	VKLAD	48895	72174	\N	\N	\N
2438874	8041	1995-04-04	PRIJEM	VKLAD	43155	112810	\N	\N	\N
2438875	8041	1995-12-11	PRIJEM	VKLAD	5922	68268	\N	\N	\N
2438876	8041	1995-03-29	PRIJEM	VKLAD	48148	134979	\N	\N	\N
2438877	8041	1995-04-01	PRIJEM	VKLAD	21610	105055	\N	\N	\N
2438878	8041	1995-01-09	PRIJEM	VKLAD	16128	18774	\N	\N	\N
2438879	8041	1995-09-22	PRIJEM	VKLAD	19540	53587	\N	\N	\N
2438880	8041	1995-02-22	PRIJEM	VKLAD	7458	10300	\N	\N	\N
2438881	8041	1995-05-06	PRIJEM	VKLAD	31094	81361	\N	\N	\N
2438882	8041	1995-06-18	PRIJEM	VKLAD	17680	46525	\N	\N	\N
2438883	8041	1995-12-19	PRIJEM	VKLAD	44275	108642	\N	\N	\N
2438884	8041	1995-11-11	PRIJEM	VKLAD	11970	86793	\N	\N	\N
2438885	8041	1995-09-04	PRIJEM	VKLAD	43795	126408	\N	\N	\N
2438886	8041	1995-03-17	PRIJEM	VKLAD	15841	75664	\N	\N	\N
2438887	8041	1995-05-09	PRIJEM	VKLAD	17394	98755	\N	\N	\N
2438888	8041	1995-07-15	PRIJEM	VKLAD	37096	123750	\N	\N	\N
2438889	8041	1995-07-02	PRIJEM	VKLAD	18426	60624	\N	\N	\N
2438890	8041	1995-07-12	PRIJEM	VKLAD	44031	90555	\N	\N	\N
2438891	8041	1995-05-02	PRIJEM	VKLAD	14681	65967	\N	\N	\N
2438892	8041	1995-03-12	PRIJEM	VKLAD	44888	63724	\N	\N	\N
2438893	8041	1995-02-01	PRIJEM	VKLAD	18466	18639	\N	\N	\N
2438894	8041	1995-11-01	PRIJEM	VKLAD	43560	74823	\N	\N	\N
2438895	8041	1996-01-13	PRIJEM	VKLAD	32721	50656	\N	\N	\N
2438896	8041	1996-02-07	PRIJEM	VKLAD	16478	37472	\N	\N	\N
2438897	8041	1996-05-10	PRIJEM	VKLAD	14575	79078	\N	\N	\N
2438898	8041	1996-10-30	PRIJEM	VKLAD	13499	72928	\N	\N	\N
2438899	8041	1996-03-21	PRIJEM	VKLAD	35775	91229	\N	\N	\N
2438900	8041	1996-04-11	PRIJEM	VKLAD	6395	75765	\N	\N	\N
2438901	8041	1996-06-22	PRIJEM	VKLAD	35669	103211	\N	\N	\N
2438902	8041	1996-10-07	PRIJEM	VKLAD	39916	128029	\N	\N	\N
2438903	8041	1996-09-15	PRIJEM	VKLAD	17632	107951	\N	\N	\N
2438904	8041	1996-03-20	PRIJEM	VKLAD	15066	55454	\N	\N	\N
2438905	8041	1996-10-04	PRIJEM	VKLAD	41334	148113	\N	\N	\N
2438906	8041	1996-10-04	PRIJEM	VKLAD	24497	106779	\N	\N	\N
2438907	8041	1996-06-21	PRIJEM	VKLAD	46253	67542	\N	\N	\N
2438908	8041	1996-08-24	PRIJEM	VKLAD	24145	96199	\N	\N	\N
2438909	8041	1996-09-20	PRIJEM	VKLAD	46445	154396	\N	\N	\N
2438910	8041	1996-05-19	PRIJEM	VKLAD	11123	86300	\N	\N	\N
2438911	8041	1996-09-04	PRIJEM	VKLAD	21553	96854	\N	\N	\N
2438912	8041	1996-02-11	PRIJEM	VKLAD	32862	70334	\N	\N	\N
2438913	8041	1996-04-27	PRIJEM	VKLAD	44080	139244	\N	\N	\N
2438914	8041	1996-04-13	PRIJEM	VKLAD	27500	99364	\N	\N	\N
2438915	8041	1996-03-16	PRIJEM	VKLAD	12899	40388	\N	\N	\N
2438916	8041	1996-07-02	PRIJEM	VKLAD	35526	102999	\N	\N	\N
2438917	8041	1996-06-23	PRIJEM	VKLAD	28021	131232	\N	\N	\N
2438918	8041	1996-09-12	PRIJEM	VKLAD	17665	114519	\N	\N	\N
2438919	8041	1996-02-19	PRIJEM	VKLAD	11612	78046	\N	\N	\N
2438920	8041	1996-07-07	PRIJEM	VKLAD	44024	147023	\N	\N	\N
2438921	8041	1996-07-21	PRIJEM	VKLAD	15254	105576	\N	\N	\N
2438922	8041	1996-12-08	PRIJEM	VKLAD	44481	104335	\N	\N	\N
2438923	8041	1997-05-04	PRIJEM	VKLAD	16034	77382	\N	\N	\N
2438924	8041	1997-05-30	PRIJEM	VKLAD	13663	85096	\N	\N	\N
2438925	8041	1997-10-28	PRIJEM	VKLAD	44273	155918	\N	\N	\N
2438926	8041	1997-02-20	PRIJEM	VKLAD	44859	130722	\N	\N	\N
2438927	8041	1997-08-23	PRIJEM	VKLAD	28428	99794	\N	\N	\N
2438928	8041	1997-12-19	PRIJEM	VKLAD	22770	81271	\N	\N	\N
2438929	8041	1997-04-21	PRIJEM	VKLAD	14314	89543	\N	\N	\N
2438930	8041	1997-08-07	PRIJEM	VKLAD	27865	61378	\N	\N	\N
2438931	8041	1997-03-19	PRIJEM	VKLAD	34255	133418	\N	\N	\N
2438932	8041	1997-10-28	PRIJEM	VKLAD	19187	111645	\N	\N	\N
2438933	8041	1997-08-18	PRIJEM	VKLAD	17789	75266	\N	\N	\N
2438934	8041	1997-02-09	PRIJEM	VKLAD	20690	88888	\N	\N	\N
2438935	8041	1997-11-15	PRIJEM	VKLAD	28617	75141	\N	\N	\N
2438936	8041	1997-06-02	PRIJEM	VKLAD	48813	134223	\N	\N	\N
2438937	8041	1997-10-07	PRIJEM	VKLAD	17807	83191	\N	\N	\N
2438938	8041	1997-04-21	PRIJEM	VKLAD	6307	75229	\N	\N	\N
2438939	8041	1997-05-06	PRIJEM	VKLAD	38252	115634	\N	\N	\N
2438940	8041	1997-03-18	PRIJEM	VKLAD	37315	135563	\N	\N	\N
2438941	8041	1997-10-23	PRIJEM	VKLAD	20367	92458	\N	\N	\N
2438942	8041	1997-01-30	PRIJEM	VKLAD	38701	75856	\N	\N	\N
2438943	8041	1997-09-25	PRIJEM	VKLAD	9043	80084	\N	\N	\N
2438944	8041	1997-03-02	PRIJEM	VKLAD	37625	102149	\N	\N	\N
2438945	8041	1997-07-04	PRIJEM	VKLAD	6856	55535	\N	\N	\N
2438946	8041	1997-02-10	PRIJEM	VKLAD	40375	129263	\N	\N	\N
2438947	8041	1997-01-15	PRIJEM	VKLAD	8512	30955	\N	\N	\N
2438948	8041	1998-12-03	PRIJEM	VKLAD	17416	122029	\N	\N	\N
2438949	8041	1998-12-29	PRIJEM	VKLAD	37883	123919	\N	\N	\N
2438950	8041	1998-05-29	PRIJEM	VKLAD	19554	79442	\N	\N	\N
2438951	8041	1998-05-16	PRIJEM	VKLAD	34297	71190	\N	\N	\N
2438952	8041	1998-12-24	PRIJEM	VKLAD	6807	86036	\N	\N	\N
2438953	8041	1998-04-25	PRIJEM	VKLAD	5378	72114	\N	\N	\N
2438954	8041	1998-06-26	PRIJEM	VKLAD	23772	46625	\N	\N	\N
2438955	8041	1998-01-02	PRIJEM	VKLAD	43120	77071	\N	\N	\N
2438956	8041	1998-02-27	PRIJEM	VKLAD	48994	84097	\N	\N	\N
2438957	8041	1998-04-02	PRIJEM	VKLAD	5064	78036	\N	\N	\N
2438958	8041	1998-12-01	PRIJEM	VKLAD	20986	104613	\N	\N	\N
2438959	8041	1998-11-19	PRIJEM	VKLAD	18446	89439	\N	\N	\N
2438960	8041	1998-11-09	PRIJEM	VKLAD	10493	67593	\N	\N	\N
2438961	8041	1998-05-26	PRIJEM	VKLAD	5585	59888	\N	\N	\N
2438980	8041	1994-07-13	VYDAJ	VYBER	3800	36479	\N	\N	0
2438981	8041	1994-08-15	VYDAJ	VYBER	3200	30442	\N	\N	0
2438982	8041	1994-09-12	VYDAJ	VYBER	4300	26565	\N	\N	0
2438983	8041	1994-10-20	VYDAJ	VYBER	4500	33206	\N	\N	0
2438984	8041	1994-11-12	VYDAJ	PREVOD NA UCET	3901	10871	UVER	UV	52271634
2438985	8041	1994-12-12	VYDAJ	PREVOD NA UCET	3901	13069	UVER	UV	52271634
2438986	8041	1995-01-12	VYDAJ	PREVOD NA UCET	3901	7074	UVER	UV	52271634
2438987	8041	1995-02-12	VYDAJ	PREVOD NA UCET	3901	14842	UVER	UV	52271634
2438988	8041	1995-03-12	VYDAJ	PREVOD NA UCET	3901	59823	UVER	UV	52271634
2438989	8041	1995-04-12	VYDAJ	PREVOD NA UCET	3901	51009	UVER	UV	52271634
2438990	8041	1995-05-12	VYDAJ	PREVOD NA UCET	3901	94855	UVER	UV	52271634
2438991	8041	1995-06-12	VYDAJ	PREVOD NA UCET	3901	44745	UVER	UV	52271634
2438992	8041	1995-07-12	VYDAJ	PREVOD NA UCET	3901	86654	UVER	UV	52271634
2438993	8041	1995-08-12	VYDAJ	PREVOD NA UCET	3901	46000	UVER	UV	52271634
2438994	8041	1995-09-12	VYDAJ	PREVOD NA UCET	3901	48147	UVER	UV	52271634
2438995	8041	1995-10-12	VYDAJ	PREVOD NA UCET	3901	35601	UVER	UV	52271634
2438996	8041	1995-11-12	VYDAJ	PREVOD NA UCET	3901	82893	UVER	UV	52271634
2438997	8041	1995-12-12	VYDAJ	PREVOD NA UCET	3901	64367	UVER	UV	52271634
2438998	8041	1996-01-12	VYDAJ	PREVOD NA UCET	3901	17935	UVER	UV	52271634
2438999	8041	1996-02-12	VYDAJ	PREVOD NA UCET	3901	66434	UVER	UV	52271634
2439000	8041	1996-03-12	VYDAJ	PREVOD NA UCET	3901	41289	UVER	UV	52271634
2439001	8041	1996-04-12	VYDAJ	PREVOD NA UCET	3901	71864	UVER	UV	52271634
2439002	8041	1996-05-12	VYDAJ	PREVOD NA UCET	3901	75177	UVER	UV	52271634
2439003	8041	1996-06-12	VYDAJ	PREVOD NA UCET	3901	21289	UVER	UV	52271634
2439004	8041	1996-07-12	VYDAJ	PREVOD NA UCET	3901	90322	UVER	UV	52271634
2439005	8041	1996-08-12	VYDAJ	PREVOD NA UCET	3901	72054	UVER	UV	52271634
2439006	8041	1996-09-12	VYDAJ	PREVOD NA UCET	3901	110619	UVER	UV	52271634
2439007	8041	1996-10-12	VYDAJ	PREVOD NA UCET	3901	61129	UVER	UV	52271634
2439008	8041	1996-11-12	VYDAJ	PREVOD NA UCET	3901	69289	UVER	UV	52271634
2439009	8041	1996-12-12	VYDAJ	PREVOD NA UCET	3901	100435	UVER	UV	52271634
2439010	8041	1997-01-12	VYDAJ	PREVOD NA UCET	3901	26643	UVER	UV	52271634
2439011	8041	1997-02-12	VYDAJ	PREVOD NA UCET	3901	85863	UVER	UV	52271634
2439012	8041	1997-03-12	VYDAJ	PREVOD NA UCET	3901	98248	UVER	UV	52271634
2439013	8041	1997-04-12	VYDAJ	PREVOD NA UCET	3901	68922	UVER	UV	52271634
2439014	8041	1997-05-12	VYDAJ	PREVOD NA UCET	3901	86833	UVER	UV	52271634
2439015	8041	1997-06-12	VYDAJ	PREVOD NA UCET	3901	66122	UVER	UV	52271634
2439016	8041	1997-07-12	VYDAJ	PREVOD NA UCET	3901	51634	UVER	UV	52271634
2439017	8041	1997-08-12	VYDAJ	PREVOD NA UCET	3901	57477	UVER	UV	52271634
2439018	8041	1997-09-12	VYDAJ	PREVOD NA UCET	3901	85641	UVER	UV	52271634
2439019	8041	1997-10-12	VYDAJ	PREVOD NA UCET	3901	79291	UVER	UV	52271634
2439020	8041	1997-11-16	VYDAJ	VYBER	3700	71441	\N	\N	0
2439021	8041	1997-12-21	VYDAJ	VYBER	3900	77371	\N	\N	0
2439022	8041	1998-01-06	VYDAJ	VYBER	3700	64071	\N	\N	0
2439023	8041	1998-02-17	VYDAJ	VYBER	4600	49203	\N	\N	0
2439024	8041	1998-03-05	VYDAJ	VYBER	2900	81362	\N	\N	0
2439025	8041	1998-04-03	VYDAJ	VYBER	4800	73236	\N	\N	0
2439026	8041	1998-05-06	VYDAJ	VYBER	4600	36893	\N	\N	0
2439027	8041	1998-06-08	VYDAJ	VYBER	4000	75653	\N	\N	0
2439028	8041	1998-07-07	VYDAJ	VYBER	3700	43142	\N	\N	0
2439029	8041	1998-08-04	VYDAJ	VYBER	3800	52938	\N	\N	0
2439030	8041	1998-09-02	VYDAJ	VYBER	3000	37799	\N	\N	0
2439031	8041	1998-10-10	VYDAJ	VYBER	3000	51480	\N	\N	0
2439032	8041	1998-11-08	VYDAJ	VYBER	3600	57100	\N	\N	0
2439033	8041	1998-12-07	VYDAJ	VYBER	3500	92929	\N	\N	0
2439041	8041	1995-08-29	VYBER	VYBER	19066	53108	\N	\N	\N
2439042	8041	1995-09-07	VYBER	VYBER	13261	52047	\N	\N	\N
2439043	8041	1995-08-17	VYBER	VYBER	18821	23279	\N	\N	\N
2439044	8041	1995-01-06	VYBER	VYBER	2538	2646	\N	\N	\N
2439045	8041	1995-02-07	VYBER	VYBER	6597	18742	\N	\N	\N
2439046	8041	1995-10-28	VYBER	VYBER	7081	28520	\N	\N	\N
2439047	8041	1995-06-01	VYBER	VYBER	20538	62445	\N	\N	\N
2439048	8041	1995-10-10	VYBER	VYBER	5075	39501	\N	\N	\N
2439049	8041	1996-03-10	VYBER	VYBER	4644	45189	\N	\N	\N
2439050	8041	1996-03-03	VYBER	VYBER	11118	49833	\N	\N	\N
2439051	8041	1997-11-07	VYBER	VYBER	8200	46524	\N	\N	\N
2439052	8041	1997-12-25	VYBER	VYBER	24173	53198	\N	\N	\N
2439053	8041	1997-12-18	VYBER	VYBER	2877	61501	\N	\N	\N
2439054	8041	1997-04-21	VYBER	VYBER	16168	73375	\N	\N	\N
2439055	8041	1997-06-23	VYBER	VYBER	13944	48378	\N	\N	\N
2439056	8041	1997-10-29	VYBER	VYBER	12823	115095	\N	\N	\N
2439057	8041	1997-07-23	VYBER	VYBER	23294	33340	\N	\N	\N
2439058	8041	1997-10-03	VYBER	VYBER	15044	65384	\N	\N	\N
2439059	8041	1998-05-06	VYBER	VYBER	15522	41493	\N	\N	\N
2439060	8041	1998-01-10	VYBER	VYBER	3925	56546	\N	\N	\N
2439061	8041	1998-08-05	VYBER	VYBER	5525	47413	\N	\N	\N
2439062	8041	1998-01-16	VYBER	VYBER	19217	30010	\N	\N	\N
2439063	8041	1998-08-30	VYBER	VYBER	9524	40603	\N	\N	\N
2439064	8041	1998-01-12	VYBER	VYBER	2519	49227	\N	\N	\N
2439065	8041	1998-11-26	VYBER	VYBER	6102	83337	\N	\N	\N
2439066	8041	1998-04-27	VYBER	VYBER	5470	66644	\N	\N	\N
2439067	8041	1998-05-23	VYBER	VYBER	14387	54303	\N	\N	\N
2439068	8041	1998-08-23	VYBER	VYBER	7586	50127	\N	\N	\N
2439069	8041	1998-11-07	VYBER	VYBER	2407	60700	\N	\N	\N
2439072	8041	1995-06-15	VYDAJ	VYBER	15900	28845	\N	\N	\N
2439073	8041	1996-06-02	VYDAJ	VYBER	43500	25189	\N	\N	\N
2439074	8041	1997-06-08	VYDAJ	VYBER	22200	77523	\N	\N	\N
2439075	8041	1998-06-17	VYDAJ	VYBER	42000	29453	\N	\N	\N
2439079	8041	1996-01-30	VYDAJ	VYBER	18600	20856	\N	\N	\N
2439080	8041	1997-01-02	VYDAJ	VYBER	27900	43143	\N	\N	\N
2439081	8041	1998-01-01	VYDAJ	VYBER	19500	33951	\N	\N	\N
2439084	8041	1995-12-28	VYDAJ	VYBER	5400	50442	\N	\N	\N
2439085	8041	1996-12-27	VYDAJ	VYBER	3600	70735	\N	\N	\N
2439086	8041	1997-12-13	VYDAJ	VYBER	4800	61078	\N	\N	\N
2439087	8041	1998-12-19	VYDAJ	VYBER	4800	79229	\N	\N	\N
2439101	8041	1995-01-17	VYDAJ	VYBER	2400	174	\N	\N	\N
2439102	8041	1995-01-16	VYDAJ	VYBER	4500	2574	\N	\N	\N
2439104	8041	1995-01-11	VYDAJ	VYBER	7800	10974	\N	\N	\N
2439106	8041	1996-01-04	VYDAJ	VYBER	8100	29936	\N	\N	\N
2439107	8041	1996-01-01	VYDAJ	VYBER	6300	38036	\N	\N	\N
2439108	8041	1996-01-19	VYDAJ	VYBER	7500	43156	\N	\N	\N
2439109	8041	1996-01-25	VYDAJ	VYBER	6300	36856	\N	\N	\N
2439110	8041	1996-01-08	VYDAJ	VYBER	3000	21836	\N	\N	\N
2439111	8041	1996-01-06	VYDAJ	VYBER	5100	24836	\N	\N	\N
2439112	8041	1997-01-26	VYDAJ	VYBER	5700	37155	\N	\N	\N
2439113	8041	1997-01-30	VYDAJ	VYBER	7800	68056	\N	\N	\N
2439114	8041	1997-01-14	VYDAJ	VYBER	1500	25143	\N	\N	\N
2439115	8041	1997-01-05	VYDAJ	VYBER	6000	30543	\N	\N	\N
2439116	8041	1997-01-14	VYDAJ	VYBER	2700	22443	\N	\N	\N
2439117	8041	1997-01-03	VYDAJ	VYBER	6600	36543	\N	\N	\N
2439118	8041	1998-01-02	VYDAJ	VYBER	4200	72871	\N	\N	\N
2439119	8041	1998-01-04	VYDAJ	VYBER	5100	67771	\N	\N	\N
2439120	8041	1998-01-27	VYDAJ	VYBER KARTOU	3000	39610	\N	\N	0
2439121	8041	1998-01-09	VYDAJ	VYBER KARTOU	3600	60471	\N	\N	0
2439122	8041	1998-01-24	VYDAJ	VYBER KARTOU	2700	42610	\N	\N	0
2439123	8041	1998-01-11	VYDAJ	VYBER	4800	51746	\N	\N	\N
2439130	8041	1994-12-18	VYDAJ	VYBER	11100	1969	\N	\N	\N
2439131	8041	1994-10-13	VYDAJ	VYBER	9900	37706	\N	\N	\N
2439132	8041	1994-11-12	VYDAJ	VYBER	13500	14772	\N	\N	\N
2439135	8041	1995-06-23	VYDAJ	VYBER	4500	42025	\N	\N	\N
2439136	8041	1995-01-04	VYDAJ	VYBER	10500	5184	\N	\N	\N
2439137	8041	1995-08-14	VYDAJ	VYBER	3900	42100	\N	\N	\N
2439138	8041	1995-02-14	VYDAJ	VYBER	12000	2842	\N	\N	\N
2439139	8041	1995-09-17	VYDAJ	VYBER	14100	34047	\N	\N	\N
2439140	8041	1996-03-14	VYDAJ	VYBER	13800	27489	\N	\N	\N
2439141	8041	1996-04-24	VYDAJ	VYBER	4200	95164	\N	\N	\N
2439142	8041	1996-11-15	VYDAJ	VYBER	3600	65689	\N	\N	\N
2439143	8041	1996-02-24	VYDAJ	VYBER	4200	73846	\N	\N	\N
2439144	8041	1996-12-24	VYDAJ	VYBER	6600	74335	\N	\N	\N
2439145	8041	1997-09-08	VYDAJ	VYBER	10500	89542	\N	\N	\N
2439146	8041	1997-10-30	VYDAJ	VYBER	8400	54395	\N	\N	\N
2439147	8041	1997-06-10	VYDAJ	VYBER	7500	70023	\N	\N	\N
2439148	8041	1997-04-24	VYDAJ	VYBER	6300	61075	\N	\N	\N
2439149	8041	1997-12-18	VYDAJ	VYBER KARTOU	3000	58501	\N	\N	0
2439150	8041	1998-02-23	VYDAJ	VYBER	14100	35103	\N	\N	\N
2439151	8041	1998-06-17	VYDAJ	VYBER	6600	22853	\N	\N	\N
2439152	8041	1998-04-28	VYDAJ	VYBER	9900	56744	\N	\N	\N
2439153	8041	1998-08-20	VYDAJ	VYBER KARTOU	2700	57713	\N	\N	0
2439172	8041	1994-06-30	VYDAJ	VYBER	15	52079	SLUZBY	\N	\N
2439173	8041	1994-07-31	VYDAJ	VYBER	15	36642	SLUZBY	\N	\N
2439174	8041	1994-08-31	VYDAJ	VYBER	15	30565	SLUZBY	\N	\N
2439175	8041	1994-09-30	VYDAJ	VYBER	15	26667	SLUZBY	\N	\N
2439176	8041	1994-10-31	VYDAJ	VYBER	15	33372	SLUZBY	\N	\N
2439177	8041	1994-11-30	VYDAJ	VYBER	15	10970	SLUZBY	\N	\N
2439178	8041	1994-12-31	VYDAJ	VYBER	15	1984	SLUZBY	\N	\N
2439179	8041	1995-01-31	VYDAJ	VYBER	15	173	SLUZBY	\N	\N
2439180	8041	1995-02-28	VYDAJ	VYBER	15	10336	SLUZBY	\N	\N
2439181	8041	1995-03-31	VYDAJ	VYBER	15	83445	SLUZBY	\N	\N
2439182	8041	1995-04-30	VYDAJ	VYBER	15	51286	SLUZBY	\N	\N
2439183	8041	1995-05-31	VYDAJ	VYBER	15	82983	SLUZBY	\N	\N
2439184	8041	1995-06-30	VYDAJ	VYBER	15	42198	SLUZBY	\N	\N
2439185	8041	1995-07-31	VYDAJ	VYBER	15	70801	SLUZBY	\N	\N
2439186	8041	1995-08-31	VYDAJ	VYBER	15	53291	SLUZBY	\N	\N
2439187	8041	1995-09-30	VYDAJ	VYBER	15	53776	SLUZBY	\N	\N
2439188	8041	1995-10-31	VYDAJ	VYBER	15	31263	SLUZBY	\N	\N
2439189	8041	1995-11-30	VYDAJ	VYBER	15	62346	SLUZBY	\N	\N
2439190	8041	1995-12-31	VYDAJ	VYBER	15	44336	SLUZBY	\N	\N
2439191	8041	1996-01-31	VYDAJ	VYBER	15	20994	SLUZBY	\N	\N
2439192	8041	1996-02-29	VYDAJ	VYBER	15	60951	SLUZBY	\N	\N
2439193	8041	1996-03-31	VYDAJ	VYBER	15	69370	SLUZBY	\N	\N
2439194	8041	1996-04-30	VYDAJ	VYBER	15	64503	SLUZBY	\N	\N
2439195	8041	1996-05-31	VYDAJ	VYBER	15	68689	SLUZBY	\N	\N
2439196	8041	1996-06-30	VYDAJ	VYBER	15	67473	SLUZBY	\N	\N
2439197	8041	1996-07-31	VYDAJ	VYBER	15	75955	SLUZBY	\N	\N
2439198	8041	1996-08-31	VYDAJ	VYBER	15	75301	SLUZBY	\N	\N
2439199	8041	1996-09-30	VYDAJ	VYBER	15	82282	SLUZBY	\N	\N
2439200	8041	1996-10-31	VYDAJ	VYBER	15	73190	SLUZBY	\N	\N
2439201	8041	1996-11-30	VYDAJ	VYBER	15	59854	SLUZBY	\N	\N
2439202	8041	1996-12-31	VYDAJ	VYBER	15	71043	SLUZBY	\N	\N
2439203	8041	1997-01-31	VYDAJ	VYBER	15	68198	SLUZBY	\N	\N
2439204	8041	1997-02-28	VYDAJ	VYBER	15	64524	SLUZBY	\N	\N
2439205	8041	1997-03-31	VYDAJ	VYBER	15	72822	SLUZBY	\N	\N
2439206	8041	1997-04-30	VYDAJ	VYBER	15	61348	SLUZBY	\N	\N
2439207	8041	1997-05-31	VYDAJ	VYBER	15	85410	SLUZBY	\N	\N
2439208	8041	1997-06-30	VYDAJ	VYBER	15	48679	SLUZBY	\N	\N
2439209	8041	1997-07-31	VYDAJ	VYBER	15	33513	SLUZBY	\N	\N
2439210	8041	1997-08-31	VYDAJ	VYBER	15	100042	SLUZBY	\N	\N
2439211	8041	1997-09-30	VYDAJ	VYBER	15	80428	SLUZBY	\N	\N
2439212	8041	1997-10-31	VYDAJ	VYBER	15	54724	SLUZBY	\N	\N
2439213	8041	1997-11-30	VYDAJ	VYBER	15	65878	SLUZBY	\N	\N
2439214	8041	1997-12-31	VYDAJ	VYBER	15	53451	SLUZBY	\N	\N
2439215	8041	1998-01-31	VYDAJ	VYBER	15	39803	SLUZBY	\N	\N
2439216	8041	1998-02-28	VYDAJ	VYBER	15	84262	SLUZBY	\N	\N
2439217	8041	1998-03-31	VYDAJ	VYBER	15	72972	SLUZBY	\N	\N
2439218	8041	1998-04-30	VYDAJ	VYBER	15	57015	SLUZBY	\N	\N
2439219	8041	1998-05-31	VYDAJ	VYBER	15	79653	SLUZBY	\N	\N
2439220	8041	1998-06-30	VYDAJ	VYBER	15	46842	SLUZBY	\N	\N
2439221	8041	1998-07-31	VYDAJ	VYBER	15	56738	SLUZBY	\N	\N
2439222	8041	1998-08-31	VYDAJ	VYBER	15	40799	SLUZBY	\N	\N
2439223	8041	1998-09-30	VYDAJ	VYBER	15	54480	SLUZBY	\N	\N
2439224	8041	1998-10-31	VYDAJ	VYBER	15	63107	SLUZBY	\N	\N
2439225	8041	1998-11-30	VYDAJ	VYBER	15	83627	SLUZBY	\N	\N
2439226	8041	1993-11-09	VYDAJ	VYBER	10700	33571	\N	\N	\N
2439227	8041	1993-12-09	VYDAJ	VYBER	2800	30955	\N	\N	\N
2439228	8041	1994-01-08	VYDAJ	VYBER	3000	28139	\N	\N	\N
2439229	8041	1994-02-07	VYDAJ	VYBER	19200	41470	\N	\N	\N
2439230	8041	1994-03-09	VYDAJ	VYBER	19200	46383	\N	\N	\N
2439231	8041	1994-04-08	VYDAJ	VYBER	24000	52012	\N	\N	\N
2439232	8041	1994-05-08	VYDAJ	VYBER	15400	36928	\N	\N	\N
2439233	8041	1994-06-07	VYDAJ	VYBER	6200	31043	\N	\N	\N
2439234	8041	1994-06-25	VYDAJ	VYBER	63200	51800	\N	\N	\N
2439235	8041	1994-07-07	VYDAJ	VYBER	11800	40279	\N	\N	\N
2439236	8041	1994-08-06	VYDAJ	VYBER	3000	33642	\N	\N	\N
2439237	8041	1994-09-05	PRIJEM	VKLAD	300	30865	\N	\N	\N
2439238	8041	1994-10-05	VYDAJ	VYBER	23800	47606	\N	\N	\N
2439239	8041	1994-11-04	VYDAJ	VYBER	5100	28272	\N	\N	\N
2439240	8041	1994-12-04	PRIJEM	VKLAD	6000	16970	\N	\N	\N
2439241	8041	1995-01-03	PRIJEM	VKLAD	13700	15684	\N	\N	\N
2439242	8041	1995-02-02	PRIJEM	VKLAD	6700	25339	\N	\N	\N
2439243	8041	1995-03-04	PRIJEM	VKLAD	8500	18836	\N	\N	\N
2439244	8041	1995-03-18	VYDAJ	VYBER	36000	86831	\N	\N	\N
2439245	8041	1995-03-29	VYDAJ	VYBER	51800	83179	\N	\N	\N
2439246	8041	1995-04-03	VYDAJ	VYBER	35400	69655	\N	\N	\N
2439247	8041	1995-04-04	VYDAJ	VYBER	57900	54910	\N	\N	\N
2439248	8041	1995-05-03	VYDAJ	VYBER	15700	50267	\N	\N	\N
2439249	8041	1995-05-27	VYDAJ	VYBER	45000	82621	\N	\N	\N
2439250	8041	1995-06-02	VYDAJ	VYBER	13800	48645	\N	\N	\N
2439251	8041	1995-07-02	VYDAJ	VYBER	14100	46524	\N	\N	\N
2439252	8041	1995-07-15	VYDAJ	VYBER	53200	70550	\N	\N	\N
2439253	8041	1995-08-01	VYDAJ	VYBER	20900	49901	\N	\N	\N
2439254	8041	1995-08-31	VYDAJ	VYBER	9300	43991	\N	\N	\N
2439255	8041	1995-09-04	VYDAJ	VYBER	61100	65308	\N	\N	\N
2439256	8041	1995-09-30	VYDAJ	VYBER	9200	44576	\N	\N	\N
2439257	8041	1995-10-30	PRIJEM	VKLAD	2600	31120	\N	\N	\N
2439258	8041	1995-11-29	VYDAJ	VYBER	20800	62093	\N	\N	\N
2439259	8041	1995-12-19	VYDAJ	VYBER	52800	55842	\N	\N	\N
2439260	8041	1995-12-29	VYDAJ	VYBER	6400	44042	\N	\N	\N
2439261	8041	1996-01-28	PRIJEM	VKLAD	2600	39456	\N	\N	\N
2439262	8041	1996-02-27	VYDAJ	VYBER	13100	60746	\N	\N	\N
2439263	8041	1996-03-28	VYDAJ	VYBER	22100	69129	\N	\N	\N
2439264	8041	1996-04-27	VYDAJ	VYBER	54700	84544	\N	\N	\N
2439265	8041	1996-04-27	VYDAJ	VYBER	20400	64144	\N	\N	\N
2439266	8041	1996-05-27	VYDAJ	VYBER	17900	68400	\N	\N	\N
2439267	8041	1996-06-23	VYDAJ	VYBER	44000	87232	\N	\N	\N
2439268	8041	1996-06-26	VYDAJ	VYBER	20000	67232	\N	\N	\N
2439269	8041	1996-07-07	VYDAJ	VYBER	52800	94223	\N	\N	\N
2439270	8041	1996-07-26	VYDAJ	VYBER	30000	75576	\N	\N	\N
2439271	8041	1996-08-25	VYDAJ	VYBER	21200	74999	\N	\N	\N
2439272	8041	1996-09-12	VYDAJ	VYBER	20300	90319	\N	\N	\N
2439273	8041	1996-09-20	VYDAJ	VYBER	39200	115196	\N	\N	\N
2439274	8041	1996-09-24	VYDAJ	VYBER	33300	81896	\N	\N	\N
2439275	8041	1996-10-04	VYDAJ	VYBER	60000	88113	\N	\N	\N
2439276	8041	1996-10-07	VYDAJ	VYBER	63000	65029	\N	\N	\N
2439277	8041	1996-10-24	VYDAJ	VYBER	1700	59429	\N	\N	\N
2439278	8041	1996-11-23	VYDAJ	VYBER	6100	59589	\N	\N	\N
2439279	8041	1996-12-23	VYDAJ	VYBER	19500	80935	\N	\N	\N
2439280	8041	1997-01-22	PRIJEM	VKLAD	11900	42855	\N	\N	\N
2439281	8041	1997-02-10	VYDAJ	VYBER	39500	89763	\N	\N	\N
2439282	8041	1997-02-20	VYDAJ	VYBER	57700	73022	\N	\N	\N
2439283	8041	1997-02-21	VYDAJ	VYBER	8800	64222	\N	\N	\N
2439284	8041	1997-03-18	VYDAJ	VYBER	36400	99163	\N	\N	\N
2439285	8041	1997-03-19	VYDAJ	VYBER	49700	83718	\N	\N	\N
2439286	8041	1997-03-23	VYDAJ	VYBER	11200	72518	\N	\N	\N
2439287	8041	1997-04-22	VYDAJ	VYBER	6000	67375	\N	\N	\N
2439288	8041	1997-05-06	VYDAJ	VYBER	24900	90734	\N	\N	\N
2439289	8041	1997-05-22	VYDAJ	VYBER	15400	71433	\N	\N	\N
2439290	8041	1997-06-02	VYDAJ	VYBER	34500	99723	\N	\N	\N
2439291	8041	1997-06-21	VYDAJ	VYBER	3800	62322	\N	\N	\N
2439292	8041	1997-07-21	PRIJEM	VKLAD	5000	56634	\N	\N	\N
2439293	8041	1997-08-20	VYDAJ	VYBER	3900	71366	\N	\N	\N
2439294	8041	1997-09-19	VYDAJ	VYBER	14600	71041	\N	\N	\N
2439295	8041	1997-10-19	VYDAJ	VYBER	7200	72091	\N	\N	\N
2439296	8041	1997-10-28	VYDAJ	VYBER	28000	127918	\N	\N	\N
2439297	8041	1997-10-29	VYDAJ	VYBER	52300	62795	\N	\N	\N
2439298	8041	1997-11-18	VYDAJ	VYBER	5800	65641	\N	\N	\N
2439299	8041	1997-12-18	PRIJEM	VKLAD	3300	64378	\N	\N	\N
2439300	8041	1998-01-17	PRIJEM	VKLAD	15300	45310	\N	\N	\N
2439301	8041	1998-02-16	PRIJEM	VKLAD	14000	53803	\N	\N	\N
2439302	8041	1998-03-18	VYDAJ	VYBER	8700	72662	\N	\N	\N
2439303	8041	1998-04-17	VYDAJ	VYBER	6500	66736	\N	\N	\N
2439304	8041	1998-05-17	VYDAJ	VYBER KARTOU	2500	68690	\N	\N	0
2439305	8041	1998-06-16	VYDAJ	VYBER	4200	71453	\N	\N	\N
2439306	8041	1998-07-16	PRIJEM	VKLAD	13400	56542	\N	\N	\N
2439307	8041	1998-08-15	PRIJEM	VKLAD	13000	60413	\N	\N	\N
2439308	8041	1998-09-14	PRIJEM	VKLAD	16500	54299	\N	\N	\N
2439309	8041	1998-10-14	PRIJEM	VKLAD	11400	62880	\N	\N	\N
2439310	8041	1998-11-13	PRIJEM	VKLAD	3400	70993	\N	\N	\N
2439311	8041	1998-12-03	VYDAJ	VYBER	25600	96429	\N	\N	\N
2439312	8041	1998-12-13	VYDAJ	VYBER	8900	84029	\N	\N	\N
2439313	8041	1998-12-29	VYDAJ	VYBER	22500	101419	\N	\N	\N
2442343	8051	1993-02-07	PRIJEM	VKLAD	200	200	\N	\N	\N
2442346	8051	1993-03-05	PRIJEM	PREVOD Z UCTU	26040	26240	\N	KL	35675579
2442347	8051	1993-04-05	PRIJEM	PREVOD Z UCTU	26040	51659	\N	KL	35675579
2442348	8051	1993-05-05	PRIJEM	PREVOD Z UCTU	26040	64145	\N	KL	35675579
2442349	8051	1993-06-05	PRIJEM	PREVOD Z UCTU	39060	82982	\N	KL	35675579
2442350	8051	1993-07-05	PRIJEM	PREVOD Z UCTU	26040	79536	\N	KL	35675579
2442351	8051	1993-08-05	PRIJEM	PREVOD Z UCTU	26040	71745	\N	KL	35675579
2442352	8051	1993-09-05	PRIJEM	PREVOD Z UCTU	26040	69547	\N	KL	35675579
2442353	8051	1993-10-05	PRIJEM	PREVOD Z UCTU	26040	54740	\N	KL	35675579
2442354	8051	1993-11-05	PRIJEM	PREVOD Z UCTU	26040	48890	\N	KL	35675579
2442355	8051	1993-12-05	PRIJEM	PREVOD Z UCTU	39060	68066	\N	KL	35675579
2442356	8051	1994-01-05	PRIJEM	PREVOD Z UCTU	26040	58721	\N	KL	35675579
2442357	8051	1994-02-05	PRIJEM	PREVOD Z UCTU	26040	46961	\N	KL	35675579
2442358	8051	1994-03-05	PRIJEM	PREVOD Z UCTU	26040	62341	\N	KL	35675579
2442359	8051	1994-04-05	PRIJEM	PREVOD Z UCTU	26040	64125	\N	KL	35675579
2442360	8051	1994-05-05	PRIJEM	PREVOD Z UCTU	26040	65440	\N	KL	35675579
2442361	8051	1994-06-05	PRIJEM	PREVOD Z UCTU	39060	73643	\N	KL	35675579
2442362	8051	1994-07-05	PRIJEM	PREVOD Z UCTU	26040	59074	\N	KL	35675579
2442363	8051	1994-08-05	PRIJEM	PREVOD Z UCTU	26040	62465	\N	KL	35675579
2442364	8051	1994-09-05	PRIJEM	PREVOD Z UCTU	26040	56821	\N	KL	35675579
2442365	8051	1994-10-05	PRIJEM	PREVOD Z UCTU	26040	65674	\N	KL	35675579
2442366	8051	1994-11-05	PRIJEM	PREVOD Z UCTU	26040	70862	\N	KL	35675579
2442367	8051	1994-12-05	PRIJEM	PREVOD Z UCTU	39060	64414	\N	KL	35675579
2442368	8051	1995-01-05	PRIJEM	PREVOD Z UCTU	26040	51020	\N	KL	35675579
2442369	8051	1995-02-05	PRIJEM	PREVOD Z UCTU	26040	50545	\N	KL	35675579
2442370	8051	1995-03-05	PRIJEM	PREVOD Z UCTU	26040	58259	\N	KL	35675579
2442371	8051	1995-04-05	PRIJEM	PREVOD Z UCTU	26040	53522	\N	KL	35675579
2442372	8051	1995-05-05	PRIJEM	PREVOD Z UCTU	26040	63958	\N	KL	35675579
2442373	8051	1995-06-05	PRIJEM	PREVOD Z UCTU	39060	64640	\N	KL	35675579
2442374	8051	1995-07-05	PRIJEM	PREVOD Z UCTU	26040	56367	\N	KL	35675579
2442375	8051	1995-08-05	PRIJEM	PREVOD Z UCTU	26040	64211	\N	KL	35675579
2442376	8051	1995-09-05	PRIJEM	PREVOD Z UCTU	26040	60559	\N	KL	35675579
2442377	8051	1995-10-05	PRIJEM	PREVOD Z UCTU	26040	69017	\N	KL	35675579
2442378	8051	1995-11-05	PRIJEM	PREVOD Z UCTU	26040	59602	\N	KL	35675579
2442379	8051	1995-12-05	PRIJEM	PREVOD Z UCTU	39060	67153	\N	KL	35675579
2442380	8051	1996-01-05	PRIJEM	PREVOD Z UCTU	26040	68748	\N	KL	35675579
2442381	8051	1996-02-05	PRIJEM	PREVOD Z UCTU	26040	51925	\N	KL	35675579
2442382	8051	1996-03-05	PRIJEM	PREVOD Z UCTU	26040	57192	\N	KL	35675579
2442383	8051	1996-04-05	PRIJEM	PREVOD Z UCTU	26040	65331	\N	KL	35675579
2442384	8051	1996-05-05	PRIJEM	PREVOD Z UCTU	26040	69798	\N	KL	35675579
2442385	8051	1996-06-05	PRIJEM	PREVOD Z UCTU	39060	67993	\N	KL	35675579
2442386	8051	1996-07-05	PRIJEM	PREVOD Z UCTU	26040	69745	\N	KL	35675579
2442387	8051	1996-08-05	PRIJEM	PREVOD Z UCTU	26040	65186	\N	KL	35675579
2442388	8051	1996-09-05	PRIJEM	PREVOD Z UCTU	26040	56423	\N	KL	35675579
2442389	8051	1996-10-05	PRIJEM	PREVOD Z UCTU	26040	50636	\N	KL	35675579
2442390	8051	1996-11-05	PRIJEM	PREVOD Z UCTU	26040	49251	\N	KL	35675579
2442391	8051	1996-12-05	PRIJEM	PREVOD Z UCTU	39060	72671	\N	KL	35675579
2442392	8051	1997-01-05	PRIJEM	PREVOD Z UCTU	26040	55001	\N	KL	35675579
2442393	8051	1997-02-05	PRIJEM	PREVOD Z UCTU	26040	47193	\N	KL	35675579
2442394	8051	1997-03-05	PRIJEM	PREVOD Z UCTU	26040	51981	\N	KL	35675579
2442395	8051	1997-04-05	PRIJEM	PREVOD Z UCTU	26040	59187	\N	KL	35675579
2442396	8051	1997-05-05	PRIJEM	PREVOD Z UCTU	26040	59616	\N	KL	35675579
2442397	8051	1997-06-05	PRIJEM	PREVOD Z UCTU	39060	65075	\N	KL	35675579
2442398	8051	1997-07-05	PRIJEM	PREVOD Z UCTU	26040	53873	\N	KL	35675579
2442399	8051	1997-08-05	PRIJEM	PREVOD Z UCTU	26040	58178	\N	KL	35675579
2442400	8051	1997-09-05	PRIJEM	PREVOD Z UCTU	26040	61705	\N	KL	35675579
2442401	8051	1997-10-05	PRIJEM	PREVOD Z UCTU	26040	62033	\N	KL	35675579
2442402	8051	1997-11-05	PRIJEM	PREVOD Z UCTU	26040	60149	\N	KL	35675579
2442403	8051	1997-12-05	PRIJEM	PREVOD Z UCTU	39060	68979	\N	KL	35675579
2442404	8051	1998-01-05	PRIJEM	PREVOD Z UCTU	26040	56894	\N	KL	35675579
2442405	8051	1998-02-05	PRIJEM	PREVOD Z UCTU	26040	47876	\N	KL	35675579
2442406	8051	1998-03-05	PRIJEM	PREVOD Z UCTU	26040	50238	\N	KL	35675579
2442407	8051	1998-04-05	PRIJEM	PREVOD Z UCTU	26040	53915	\N	KL	35675579
2442408	8051	1998-05-05	PRIJEM	PREVOD Z UCTU	26040	53594	\N	KL	35675579
2442409	8051	1998-06-05	PRIJEM	PREVOD Z UCTU	39060	67094	\N	KL	35675579
2442410	8051	1998-07-05	PRIJEM	PREVOD Z UCTU	26040	57228	\N	KL	35675579
2442411	8051	1998-08-05	PRIJEM	PREVOD Z UCTU	26040	47381	\N	KL	35675579
2442412	8051	1998-09-05	PRIJEM	PREVOD Z UCTU	26040	50294	\N	KL	35675579
2442413	8051	1998-10-05	PRIJEM	PREVOD Z UCTU	26040	49806	\N	KL	35675579
2442414	8051	1998-11-05	PRIJEM	PREVOD Z UCTU	26040	52583	\N	KL	35675579
2442415	8051	1998-12-05	PRIJEM	PREVOD Z UCTU	39060	57802	\N	KL	35675579
2442422	8051	1993-07-06	VYDAJ	VYBER	4900	74636	\N	\N	0
2442423	8051	1993-08-20	VYDAJ	VYBER	5300	43345	\N	\N	0
2442424	8051	1993-09-18	VYDAJ	VYBER	5300	28547	\N	\N	0
2442425	8051	1993-10-20	VYDAJ	VYBER	4700	33040	\N	\N	0
2442426	8051	1993-11-18	VYDAJ	VYBER	4000	44890	\N	\N	0
2442427	8051	1993-12-11	VYDAJ	VYBER	3200	60966	\N	\N	0
2442428	8051	1994-01-21	VYDAJ	VYBER	5200	29510	\N	\N	0
2442429	8051	1994-02-09	VYDAJ	VYBER	3300	43661	\N	\N	0
2442430	8051	1994-03-21	VYDAJ	VYBER	3300	59041	\N	\N	0
2442431	8051	1994-04-17	VYDAJ	VYBER	4400	56485	\N	\N	0
2442432	8051	1994-05-09	VYDAJ	VYBER	3300	62140	\N	\N	0
2442433	8051	1994-06-12	VYDAJ	PREVOD NA UCET	4340	52960	UVER	AB	43162244
2442434	8051	1994-07-12	VYDAJ	PREVOD NA UCET	4340	54734	UVER	AB	43162244
2442435	8051	1994-08-12	VYDAJ	PREVOD NA UCET	4340	34542	UVER	AB	43162244
2442436	8051	1994-09-12	VYDAJ	PREVOD NA UCET	4340	52481	UVER	AB	43162244
2442437	8051	1994-10-12	VYDAJ	PREVOD NA UCET	4340	61334	UVER	AB	43162244
2442438	8051	1994-11-12	VYDAJ	PREVOD NA UCET	4340	66522	UVER	AB	43162244
2442439	8051	1994-12-12	VYDAJ	PREVOD NA UCET	4340	60074	UVER	AB	43162244
2442440	8051	1995-01-12	VYDAJ	PREVOD NA UCET	4340	40680	UVER	AB	43162244
2442441	8051	1995-02-12	VYDAJ	PREVOD NA UCET	4340	46205	UVER	AB	43162244
2442442	8051	1995-03-12	VYDAJ	PREVOD NA UCET	4340	53919	UVER	AB	43162244
2442443	8051	1995-04-12	VYDAJ	PREVOD NA UCET	4340	49182	UVER	AB	43162244
2442444	8051	1995-05-12	VYDAJ	PREVOD NA UCET	4340	48075	UVER	AB	43162244
2442445	8051	1995-06-12	VYDAJ	PREVOD NA UCET	4340	50700	UVER	AB	43162244
2442446	8051	1995-07-12	VYDAJ	PREVOD NA UCET	4340	52027	UVER	AB	43162244
2442447	8051	1995-08-12	VYDAJ	PREVOD NA UCET	4340	59871	UVER	AB	43162244
2442448	8051	1995-09-12	VYDAJ	PREVOD NA UCET	4340	56219	UVER	AB	43162244
2442449	8051	1995-10-12	VYDAJ	PREVOD NA UCET	4340	64677	UVER	AB	43162244
2442598	8051	1993-09-14	VYDAJ	VYBER	7800	38647	\N	\N	\N
2442450	8051	1995-11-12	VYDAJ	PREVOD NA UCET	4340	55262	UVER	AB	43162244
2442451	8051	1995-12-12	VYDAJ	PREVOD NA UCET	4340	62813	UVER	AB	43162244
2442452	8051	1996-01-12	VYDAJ	PREVOD NA UCET	4340	54208	UVER	AB	43162244
2442453	8051	1996-02-12	VYDAJ	PREVOD NA UCET	4340	47585	UVER	AB	43162244
2442454	8051	1996-03-12	VYDAJ	PREVOD NA UCET	4340	52852	UVER	AB	43162244
2442455	8051	1996-04-12	VYDAJ	PREVOD NA UCET	4340	60991	UVER	AB	43162244
2442456	8051	1996-05-12	VYDAJ	PREVOD NA UCET	4340	36713	UVER	AB	43162244
2442457	8051	1996-06-12	VYDAJ	PREVOD NA UCET	4340	63653	UVER	AB	43162244
2442458	8051	1996-07-12	VYDAJ	PREVOD NA UCET	4340	58071	UVER	AB	43162244
2442459	8051	1996-08-12	VYDAJ	PREVOD NA UCET	4340	60846	UVER	AB	43162244
2442460	8051	1996-09-12	VYDAJ	PREVOD NA UCET	4340	52083	UVER	AB	43162244
2442461	8051	1996-10-12	VYDAJ	PREVOD NA UCET	4340	46296	UVER	AB	43162244
2442462	8051	1996-11-12	VYDAJ	PREVOD NA UCET	4340	44911	UVER	AB	43162244
2442463	8051	1996-12-12	VYDAJ	PREVOD NA UCET	4340	63231	UVER	AB	43162244
2442464	8051	1997-01-12	VYDAJ	PREVOD NA UCET	4340	50661	UVER	AB	43162244
2442465	8051	1997-02-12	VYDAJ	PREVOD NA UCET	4340	33553	UVER	AB	43162244
2442466	8051	1997-03-12	VYDAJ	PREVOD NA UCET	4340	47641	UVER	AB	43162244
2442467	8051	1997-04-12	VYDAJ	PREVOD NA UCET	4340	54847	UVER	AB	43162244
2442468	8051	1997-05-12	VYDAJ	PREVOD NA UCET	4340	55276	UVER	AB	43162244
2442469	8051	1997-06-12	VYDAJ	PREVOD NA UCET	4340	37635	UVER	AB	43162244
2442470	8051	1997-07-12	VYDAJ	PREVOD NA UCET	4340	49533	UVER	AB	43162244
2442471	8051	1997-08-12	VYDAJ	PREVOD NA UCET	4340	53838	UVER	AB	43162244
2442472	8051	1997-09-12	VYDAJ	PREVOD NA UCET	4340	57365	UVER	AB	43162244
2442473	8051	1997-10-12	VYDAJ	PREVOD NA UCET	4340	57693	UVER	AB	43162244
2442474	8051	1997-11-12	VYDAJ	PREVOD NA UCET	4340	55809	UVER	AB	43162244
2442475	8051	1997-12-12	VYDAJ	PREVOD NA UCET	4340	64639	UVER	AB	43162244
2442476	8051	1998-01-12	VYDAJ	PREVOD NA UCET	4340	21754	UVER	AB	43162244
2442477	8051	1998-02-12	VYDAJ	PREVOD NA UCET	4340	24136	UVER	AB	43162244
2442478	8051	1998-03-12	VYDAJ	PREVOD NA UCET	4340	45898	UVER	AB	43162244
2442479	8051	1998-04-12	VYDAJ	PREVOD NA UCET	4340	27475	UVER	AB	43162244
2442480	8051	1998-05-12	VYDAJ	PREVOD NA UCET	4340	49254	UVER	AB	43162244
2442481	8051	1998-06-10	VYDAJ	VYBER	4600	62494	\N	\N	0
2442482	8051	1998-07-05	VYDAJ	VYBER	4400	52828	\N	\N	0
2442483	8051	1998-08-06	VYDAJ	VYBER	3300	44081	\N	\N	0
2442484	8051	1998-09-06	VYDAJ	VYBER	3400	46894	\N	\N	0
2442485	8051	1998-10-16	VYDAJ	VYBER	3600	26456	\N	\N	0
2442486	8051	1998-11-05	VYDAJ	VYBER	4300	48283	\N	\N	0
2442487	8051	1998-12-07	VYDAJ	VYBER	4000	53802	\N	\N	0
2442492	8051	1993-10-23	VYBER	VYBER	8326	24714	\N	\N	\N
2442493	8051	1993-11-27	VYBER	VYBER	11528	33362	\N	\N	\N
2442495	8051	1994-06-09	VYBER	VYBER	7643	66000	\N	\N	\N
2442496	8051	1994-11-22	VYBER	VYBER	18977	28494	\N	\N	\N
2442497	8051	1994-03-29	VYBER	VYBER	6168	52873	\N	\N	\N
2442498	8051	1994-11-20	VYBER	VYBER	19051	47471	\N	\N	\N
2442499	8051	1994-01-06	VYBER	VYBER	12011	34710	\N	\N	\N
2442500	8051	1994-04-15	VYBER	VYBER	3240	60885	\N	\N	\N
2442501	8051	1994-05-27	VYBER	VYBER	13069	43971	\N	\N	\N
2442502	8051	1994-12-26	VYBER	VYBER	14974	40900	\N	\N	\N
2442503	8051	1994-08-10	VYBER	VYBER	23583	38882	\N	\N	\N
2442504	8051	1995-03-19	VYBER	VYBER	24055	29864	\N	\N	\N
2442505	8051	1995-01-16	VYBER	VYBER	12986	27694	\N	\N	\N
2442506	8051	1995-05-20	VYBER	VYBER	23718	24357	\N	\N	\N
2442507	8051	1995-08-25	VYBER	VYBER	21015	38856	\N	\N	\N
2442508	8051	1995-05-09	VYBER	VYBER	11543	52415	\N	\N	\N
2442509	8051	1995-01-04	VYBER	VYBER	2462	24980	\N	\N	\N
2442511	8051	1996-10-19	VYBER	VYBER	18380	27916	\N	\N	\N
2442512	8051	1996-05-09	VYBER	VYBER	24245	45553	\N	\N	\N
2442514	8051	1996-08-30	VYBER	VYBER	8013	30233	\N	\N	\N
2442517	8051	1996-01-20	VYBER	VYBER	18672	28336	\N	\N	\N
2442519	8051	1996-02-29	VYBER	VYBER	7053	31182	\N	\N	\N
2442520	8051	1996-07-06	VYBER	VYBER	7334	62411	\N	\N	\N
2442523	8051	1997-11-21	VYBER	VYBER	5095	29814	\N	\N	\N
2442524	8051	1997-05-28	VYBER	VYBER	9206	25870	\N	\N	\N
2442527	8051	1997-01-16	VYBER	VYBER	2714	28147	\N	\N	\N
2442531	8051	1998-10-11	VYBER	VYBER	16450	30056	\N	\N	\N
2442535	8051	1998-07-06	VYBER	VYBER	17659	35169	\N	\N	\N
2442545	8051	1997-06-06	VYDAJ	VYBER	23100	41975	\N	\N	\N
2442551	8051	1997-01-15	VYDAJ	VYBER	19800	30861	\N	\N	\N
2442552	8051	1998-01-08	VYDAJ	VYBER	29700	27194	\N	\N	\N
2442553	8051	1993-12-11	VYDAJ	VYBER	3900	64166	\N	\N	\N
2442554	8051	1994-12-14	VYDAJ	VYBER	4200	55874	\N	\N	\N
2442555	8051	1995-12-03	VYDAJ	VYBER	3900	28093	\N	\N	\N
2442556	8051	1996-12-12	VYDAJ	VYBER	5100	67571	\N	\N	\N
2442565	8051	1994-01-30	VYDAJ	VYBER	1800	19910	\N	\N	\N
2442566	8051	1994-01-23	VYDAJ	VYBER	1500	28010	\N	\N	\N
2442567	8051	1994-01-04	VYDAJ	VYBER	6900	32681	\N	\N	\N
2442568	8051	1994-01-03	VYDAJ	VYBER	2700	39581	\N	\N	\N
2442569	8051	1994-01-27	VYDAJ	VYBER	6300	21710	\N	\N	\N
2442571	8051	1995-01-10	VYDAJ	VYBER	3000	45020	\N	\N	\N
2442572	8051	1995-01-01	VYDAJ	VYBER	3300	27442	\N	\N	\N
2442574	8051	1995-01-08	VYDAJ	VYBER	3000	48020	\N	\N	\N
2442575	8051	1995-01-28	VYDAJ	VYBER	1800	24394	\N	\N	\N
2442581	8051	1996-01-13	VYDAJ	VYBER	7200	47008	\N	\N	\N
2442584	8051	1997-01-04	VYDAJ	VYBER	1800	28961	\N	\N	\N
2442592	8051	1998-01-04	VYDAJ	VYBER	7500	30854	\N	\N	\N
2442596	8051	1993-09-16	VYDAJ	VYBER	4800	33847	\N	\N	\N
2442597	8051	1993-10-27	VYDAJ	VYBER	4500	20214	\N	\N	\N
2442599	8051	1994-07-31	VYDAJ	VYBER	10800	44155	\N	\N	\N
2442600	8051	1994-01-05	VYDAJ	VYBER	12000	46721	\N	\N	\N
2442601	8051	1994-06-22	VYDAJ	VYBER	6900	38860	\N	\N	\N
2442602	8051	1994-06-10	VYDAJ	VYBER	8700	57300	\N	\N	\N
2442603	8051	1994-05-22	VYDAJ	VYBER	5100	57040	\N	\N	\N
2442604	8051	1994-06-13	VYDAJ	VYBER	7200	45760	\N	\N	\N
2442605	8051	1995-06-15	VYDAJ	VYBER	6000	44700	\N	\N	\N
2442606	8051	1995-10-28	VYDAJ	VYBER	5400	42677	\N	\N	\N
2442607	8051	1995-06-09	VYDAJ	VYBER	9600	55040	\N	\N	\N
2442608	8051	1995-11-18	VYDAJ	VYBER	14100	41162	\N	\N	\N
2442609	8051	1995-02-22	VYDAJ	VYBER	10500	35705	\N	\N	\N
2442610	8051	1995-10-30	VYDAJ	VYBER	9300	33377	\N	\N	\N
2442611	8051	1995-06-24	VYDAJ	VYBER	12600	32100	\N	\N	\N
2442612	8051	1996-01-05	VYDAJ	VYBER	5700	63048	\N	\N	\N
2442613	8051	1996-09-24	VYDAJ	VYBER	7800	24483	\N	\N	\N
2442614	8051	1996-05-10	VYDAJ	VYBER	4500	41053	\N	\N	\N
2442616	8051	1996-12-20	VYDAJ	VYBER	7800	30631	\N	\N	\N
2442617	8051	1996-09-23	VYDAJ	VYBER	5100	32283	\N	\N	\N
2442618	8051	1996-01-11	VYDAJ	VYBER	4500	58548	\N	\N	\N
2442619	8051	1997-08-31	VYDAJ	VYBER	4800	35665	\N	\N	\N
2442620	8051	1997-05-03	VYDAJ	VYBER	4800	33576	\N	\N	\N
2442621	8051	1997-07-24	VYDAJ	VYBER	3000	32033	\N	\N	\N
2442622	8051	1997-02-05	VYDAJ	VYBER	9300	37893	\N	\N	\N
2442625	8051	1998-10-06	VYDAJ	VYBER	3300	46506	\N	\N	\N
2442636	8051	1993-07-31	VYDAJ	VYBER	30	45705	SLUZBY	\N	\N
2442637	8051	1993-08-31	VYDAJ	VYBER	30	43507	SLUZBY	\N	\N
2442638	8051	1993-09-30	VYDAJ	VYBER	30	28700	SLUZBY	\N	\N
2442639	8051	1993-10-31	VYDAJ	VYBER	30	20350	SLUZBY	\N	\N
2442640	8051	1993-11-30	VYDAJ	VYBER	30	33506	SLUZBY	\N	\N
2442641	8051	1993-12-31	VYDAJ	VYBER	30	61181	SLUZBY	\N	\N
2442642	8051	1994-01-31	VYDAJ	VYBER	30	20021	SLUZBY	\N	\N
2442643	8051	1994-02-28	VYDAJ	VYBER	30	43801	SLUZBY	\N	\N
2442644	8051	1994-03-31	VYDAJ	VYBER	30	53085	SLUZBY	\N	\N
2442645	8051	1994-04-30	VYDAJ	VYBER	30	56700	SLUZBY	\N	\N
2442646	8051	1994-05-31	VYDAJ	VYBER	30	44183	SLUZBY	\N	\N
2442647	8051	1994-06-30	VYDAJ	VYBER	30	39034	SLUZBY	\N	\N
2442648	8051	1994-07-31	VYDAJ	VYBER	30	44125	SLUZBY	\N	\N
2442649	8051	1994-08-31	VYDAJ	VYBER	30	34681	SLUZBY	\N	\N
2442650	8051	1994-09-30	VYDAJ	VYBER	30	39634	SLUZBY	\N	\N
2442651	8051	1994-10-31	VYDAJ	VYBER	30	44822	SLUZBY	\N	\N
2442652	8051	1994-11-30	VYDAJ	VYBER	30	25354	SLUZBY	\N	\N
2442653	8051	1994-12-31	VYDAJ	VYBER	30	30742	SLUZBY	\N	\N
2442654	8051	1995-01-31	VYDAJ	VYBER	30	24505	SLUZBY	\N	\N
2442655	8051	1995-02-28	VYDAJ	VYBER	30	32219	SLUZBY	\N	\N
2442656	8051	1995-03-31	VYDAJ	VYBER	30	27482	SLUZBY	\N	\N
2442657	8051	1995-04-30	VYDAJ	VYBER	30	37918	SLUZBY	\N	\N
2442658	8051	1995-05-31	VYDAJ	VYBER	30	25580	SLUZBY	\N	\N
2442659	8051	1995-06-30	VYDAJ	VYBER	30	30327	SLUZBY	\N	\N
2442660	8051	1995-07-31	VYDAJ	VYBER	30	38171	SLUZBY	\N	\N
2442661	8051	1995-08-31	VYDAJ	VYBER	30	34519	SLUZBY	\N	\N
2442662	8051	1995-09-30	VYDAJ	VYBER	30	42977	SLUZBY	\N	\N
2442663	8051	1995-10-31	VYDAJ	VYBER	30	33562	SLUZBY	\N	\N
2442664	8051	1995-11-30	VYDAJ	VYBER	30	31993	SLUZBY	\N	\N
2442665	8051	1995-12-31	VYDAJ	VYBER	30	42708	SLUZBY	\N	\N
2442666	8051	1996-01-31	VYDAJ	VYBER	30	25885	SLUZBY	\N	\N
2442667	8051	1996-02-29	VYDAJ	VYBER	30	31152	SLUZBY	\N	\N
2442668	8051	1996-03-31	VYDAJ	VYBER	30	39291	SLUZBY	\N	\N
2442669	8051	1996-04-30	VYDAJ	VYBER	30	43758	SLUZBY	\N	\N
2442670	8051	1996-05-31	VYDAJ	VYBER	30	28933	SLUZBY	\N	\N
2442671	8051	1996-06-30	VYDAJ	VYBER	30	43705	SLUZBY	\N	\N
2442672	8051	1996-07-31	VYDAJ	VYBER	30	39146	SLUZBY	\N	\N
2442673	8051	1996-08-31	VYDAJ	VYBER	30	30383	SLUZBY	\N	\N
2442674	8051	1996-09-30	VYDAJ	VYBER	30	24596	SLUZBY	\N	\N
2442675	8051	1996-10-31	VYDAJ	VYBER	30	23211	SLUZBY	\N	\N
2442676	8051	1996-11-30	VYDAJ	VYBER	30	33611	SLUZBY	\N	\N
2442677	8051	1996-12-31	VYDAJ	VYBER	30	30761	SLUZBY	\N	\N
2442678	8051	1997-01-31	VYDAJ	VYBER	30	21153	SLUZBY	\N	\N
2442679	8051	1997-02-28	VYDAJ	VYBER	30	25941	SLUZBY	\N	\N
2442680	8051	1997-03-31	VYDAJ	VYBER	30	33147	SLUZBY	\N	\N
2442681	8051	1997-04-30	VYDAJ	VYBER	30	38376	SLUZBY	\N	\N
2442682	8051	1997-05-31	VYDAJ	VYBER	30	26015	SLUZBY	\N	\N
2442683	8051	1997-06-30	VYDAJ	VYBER	30	27833	SLUZBY	\N	\N
2442684	8051	1997-07-31	VYDAJ	VYBER	30	32138	SLUZBY	\N	\N
2442685	8051	1997-08-31	VYDAJ	VYBER	30	40465	SLUZBY	\N	\N
2442686	8051	1997-09-30	VYDAJ	VYBER	30	35993	SLUZBY	\N	\N
2442687	8051	1997-10-31	VYDAJ	VYBER	30	34109	SLUZBY	\N	\N
2442688	8051	1997-11-30	VYDAJ	VYBER	30	29919	SLUZBY	\N	\N
2442689	8051	1997-12-31	VYDAJ	VYBER	30	38354	SLUZBY	\N	\N
2442690	8051	1998-01-31	VYDAJ	VYBER	30	21836	SLUZBY	\N	\N
2442691	8051	1998-02-28	VYDAJ	VYBER	30	24198	SLUZBY	\N	\N
2442692	8051	1998-03-31	VYDAJ	VYBER	30	27875	SLUZBY	\N	\N
2442693	8051	1998-04-30	VYDAJ	VYBER	30	27554	SLUZBY	\N	\N
2442694	8051	1998-05-31	VYDAJ	VYBER	30	28034	SLUZBY	\N	\N
2442695	8051	1998-06-30	VYDAJ	VYBER	30	31188	SLUZBY	\N	\N
2442696	8051	1998-07-31	VYDAJ	VYBER	30	21341	SLUZBY	\N	\N
2442697	8051	1998-08-31	VYDAJ	VYBER	30	24254	SLUZBY	\N	\N
2442698	8051	1998-09-30	VYDAJ	VYBER	30	23766	SLUZBY	\N	\N
2442699	8051	1998-10-31	VYDAJ	VYBER	30	26543	SLUZBY	\N	\N
2442700	8051	1998-11-30	VYDAJ	VYBER	30	18742	SLUZBY	\N	\N
2442701	8051	1993-03-09	VYDAJ	VYBER	700	25540	\N	\N	\N
2442702	8051	1993-04-08	VYDAJ	VYBER	13700	37959	\N	\N	\N
2442703	8051	1993-05-08	VYDAJ	VYBER	20400	43745	\N	\N	\N
2442704	8051	1993-06-07	VYDAJ	VYBER	29700	53282	\N	\N	\N
2442705	8051	1993-07-07	VYDAJ	VYBER	29100	45536	\N	\N	\N
2442706	8051	1993-08-06	VYDAJ	VYBER	23100	48645	\N	\N	\N
2442707	8051	1993-09-05	VYDAJ	VYBER	23100	46447	\N	\N	\N
2442708	8051	1993-10-05	VYDAJ	VYBER	17000	37740	\N	\N	\N
2442709	8051	1993-11-04	PRIJEM	VKLAD	2500	22850	\N	\N	\N
2442710	8051	1993-12-04	VYDAJ	VYBER	4500	29006	\N	\N	\N
2442711	8051	1994-01-03	VYDAJ	VYBER	18900	42281	\N	\N	\N
2442712	8051	1994-02-02	PRIJEM	VKLAD	900	20921	\N	\N	\N
2442713	8051	1994-03-04	VYDAJ	VYBER	7500	36301	\N	\N	\N
2442714	8051	1994-04-03	VYDAJ	VYBER	15000	38085	\N	\N	\N
2442715	8051	1994-05-03	VYDAJ	VYBER	17300	39400	\N	\N	\N
2442716	8051	1994-06-02	VYDAJ	VYBER	9600	34583	\N	\N	\N
2442717	8051	1994-07-02	VYDAJ	VYBER	6000	33034	\N	\N	\N
2442718	8051	1994-08-01	VYDAJ	VYBER	7700	36425	\N	\N	\N
2442719	8051	1994-08-31	VYDAJ	VYBER	3900	30781	\N	\N	\N
2442720	8051	1994-09-30	VYDAJ	VYBER	13000	39664	\N	\N	\N
2442721	8051	1994-10-30	VYDAJ	VYBER	16700	44634	\N	\N	\N
2442722	8051	1994-11-29	VYDAJ	VYBER	3300	25194	\N	\N	\N
2442723	8051	1994-12-29	VYDAJ	VYBER	10300	30600	\N	\N	\N
2442724	8051	1995-01-28	VYDAJ	VYBER	1500	26194	\N	\N	\N
2442725	8051	1995-02-27	VYDAJ	VYBER	3600	32105	\N	\N	\N
2442726	8051	1995-03-29	VYDAJ	VYBER	2500	27364	\N	\N	\N
2442727	8051	1995-04-28	VYDAJ	VYBER	11400	37782	\N	\N	\N
2442728	8051	1995-05-28	PRIJEM	VKLAD	1100	25457	\N	\N	\N
2442729	8051	1995-06-27	VYDAJ	VYBER	1900	30200	\N	\N	\N
2442730	8051	1995-07-27	VYDAJ	VYBER	14000	38027	\N	\N	\N
2442731	8051	1995-08-26	VYDAJ	VYBER	4500	34356	\N	\N	\N
2442732	8051	1995-09-25	VYDAJ	VYBER	13400	42819	\N	\N	\N
2442733	8051	1995-10-25	VYDAJ	VYBER	16600	48077	\N	\N	\N
2442734	8051	1995-11-24	VYDAJ	VYBER	9300	31862	\N	\N	\N
2442735	8051	1995-12-24	VYDAJ	VYBER	20300	42513	\N	\N	\N
2442736	8051	1996-01-23	VYDAJ	VYBER	2600	25736	\N	\N	\N
2442737	8051	1996-02-22	VYDAJ	VYBER	9500	38085	\N	\N	\N
2442738	8051	1996-03-23	VYDAJ	VYBER	13700	39152	\N	\N	\N
2442739	8051	1996-04-22	VYDAJ	VYBER	17400	43591	\N	\N	\N
2442740	8051	1996-05-22	VYDAJ	VYBER	7900	28813	\N	\N	\N
2442741	8051	1996-06-21	VYDAJ	VYBER	20100	43553	\N	\N	\N
2442742	8051	1996-07-21	VYDAJ	VYBER	19100	38971	\N	\N	\N
2442743	8051	1996-08-20	VYDAJ	VYBER	22600	38246	\N	\N	\N
2442744	8051	1996-09-19	VYDAJ	VYBER	14700	37383	\N	\N	\N
2442745	8051	1996-10-19	VYDAJ	VYBER	4800	23116	\N	\N	\N
2442746	8051	1996-11-18	VYDAJ	VYBER	11400	33511	\N	\N	\N
2442747	8051	1996-12-18	VYDAJ	VYBER	24800	38431	\N	\N	\N
2442748	8051	1997-01-17	VYDAJ	VYBER	7100	21047	\N	\N	\N
2442749	8051	1997-02-16	VYDAJ	VYBER	7700	25853	\N	\N	\N
2442750	8051	1997-03-18	VYDAJ	VYBER	14600	33041	\N	\N	\N
2442751	8051	1997-04-17	VYDAJ	VYBER	16600	38247	\N	\N	\N
2442752	8051	1997-05-17	VYDAJ	VYBER	20200	35076	\N	\N	\N
2442753	8051	1997-06-16	VYDAJ	VYBER	9900	27735	\N	\N	\N
2442754	8051	1997-07-16	VYDAJ	VYBER	14500	35033	\N	\N	\N
2442755	8051	1997-08-15	VYDAJ	VYBER	13500	40338	\N	\N	\N
2442756	8051	1997-09-14	VYDAJ	VYBER	21500	35865	\N	\N	\N
2442757	8051	1997-10-14	VYDAJ	VYBER	23700	33993	\N	\N	\N
2442758	8051	1997-11-13	VYDAJ	VYBER	20900	34909	\N	\N	\N
2442759	8051	1997-12-13	VYDAJ	VYBER	26400	38239	\N	\N	\N
2442760	8051	1998-01-12	VYDAJ	VYBER	1100	26094	\N	\N	\N
2442761	8051	1998-02-11	VYDAJ	VYBER	19400	28476	\N	\N	\N
2442762	8051	1998-03-13	VYDAJ	VYBER	18100	27798	\N	\N	\N
2442763	8051	1998-04-12	VYDAJ	VYBER	22100	31815	\N	\N	\N
2442764	8051	1998-05-12	VYDAJ	VYBER	21300	27954	\N	\N	\N
2442765	8051	1998-06-11	VYDAJ	VYBER	31400	31094	\N	\N	\N
2442766	8051	1998-07-11	VYDAJ	VYBER	13900	21269	\N	\N	\N
2442767	8051	1998-08-10	VYDAJ	VYBER	19900	24181	\N	\N	\N
2442768	8051	1998-09-09	VYDAJ	VYBER	23200	23694	\N	\N	\N
2442769	8051	1998-11-08	VYDAJ	VYBER	29600	18683	\N	\N	\N
2442770	8051	1998-12-08	VYDAJ	VYBER	30100	23702	\N	\N	\N
2448542	8073	1993-09-03	PRIJEM	VKLAD	900	900	\N	\N	\N
2448544	8073	1993-12-29	PRIJEM	VKLAD	9301	78868	\N	\N	\N
2448546	8073	1993-09-07	PRIJEM	VKLAD	8505	29328	\N	\N	\N
2448549	8073	1993-11-13	PRIJEM	VKLAD	45628	84667	\N	\N	\N
2448551	8073	1993-11-08	PRIJEM	VKLAD	13699	39734	\N	\N	\N
2448552	8073	1993-09-16	PRIJEM	VKLAD	44597	73925	\N	\N	\N
2448553	8073	1993-09-23	PRIJEM	VKLAD	36470	126833	\N	\N	\N
2448555	8073	1993-12-17	PRIJEM	VKLAD	44060	57233	\N	\N	\N
2448557	8073	1993-12-22	PRIJEM	VKLAD	12334	69567	\N	\N	\N
2448560	8073	1993-09-19	PRIJEM	VKLAD	16438	90363	\N	\N	\N
2448568	8073	1993-09-04	PRIJEM	VKLAD	19923	20823	\N	\N	\N
2448570	8073	1994-04-18	PRIJEM	VKLAD	10930	7862	\N	\N	\N
2448571	8073	1994-11-28	PRIJEM	VKLAD	32732	49886	\N	\N	\N
2448572	8073	1994-01-24	PRIJEM	VKLAD	13452	34558	\N	\N	\N
2448573	8073	1995-09-27	PRIJEM	VKLAD	28325	51195	\N	\N	\N
2448574	8073	1995-04-05	PRIJEM	VKLAD	28601	82916	\N	\N	\N
2448575	8073	1995-07-02	PRIJEM	VKLAD	26399	58436	\N	\N	\N
2448576	8073	1995-03-26	PRIJEM	VKLAD	31863	80618	\N	\N	\N
2448577	8073	1995-05-22	PRIJEM	VKLAD	16048	100171	\N	\N	\N
2448578	8073	1995-07-20	PRIJEM	VKLAD	31357	98685	\N	\N	\N
2448579	8073	1995-03-05	PRIJEM	VKLAD	35428	65717	\N	\N	\N
2448580	8073	1995-10-05	PRIJEM	VKLAD	16135	46973	\N	\N	\N
2448581	8073	1995-05-13	PRIJEM	VKLAD	36610	95690	\N	\N	\N
2448582	8073	1995-01-23	PRIJEM	VKLAD	10444	12798	\N	\N	\N
2448583	8073	1995-05-07	PRIJEM	VKLAD	18464	63175	\N	\N	\N
2448584	8073	1995-07-24	PRIJEM	VKLAD	9751	103536	\N	\N	\N
2448585	8073	1995-10-11	PRIJEM	VKLAD	35804	63882	\N	\N	\N
2448586	8073	1995-10-24	PRIJEM	VKLAD	18003	61495	\N	\N	\N
2448587	8073	1995-03-26	PRIJEM	VKLAD	39777	120395	\N	\N	\N
2448588	8073	1995-07-26	PRIJEM	VKLAD	6142	48978	\N	\N	\N
2448589	8073	1995-01-29	PRIJEM	VKLAD	44502	62300	\N	\N	\N
2448590	8073	1995-10-13	PRIJEM	VKLAD	16877	80759	\N	\N	\N
2448591	8073	1995-08-17	PRIJEM	VKLAD	34965	63342	\N	\N	\N
2448592	8073	1995-12-01	PRIJEM	VKLAD	10692	36858	\N	\N	\N
2448593	8073	1995-07-11	PRIJEM	VKLAD	21154	78895	\N	\N	\N
2448594	8073	1996-03-09	PRIJEM	VKLAD	23330	88215	\N	\N	\N
2448595	8073	1996-04-17	PRIJEM	VKLAD	22961	75462	\N	\N	\N
2448596	8073	1996-02-04	PRIJEM	VKLAD	25718	47723	\N	\N	\N
2448597	8073	1996-05-29	PRIJEM	VKLAD	37715	93930	\N	\N	\N
2448598	8073	1996-09-08	PRIJEM	VKLAD	7794	33911	\N	\N	\N
2448599	8073	1996-09-04	PRIJEM	VKLAD	5005	29317	\N	\N	\N
2448600	8073	1996-06-11	PRIJEM	VKLAD	15857	116832	\N	\N	\N
2448601	8073	1996-07-04	PRIJEM	VKLAD	9648	41046	\N	\N	\N
2448602	8073	1996-02-28	PRIJEM	VKLAD	31385	75649	\N	\N	\N
2448603	8073	1996-03-13	PRIJEM	VKLAD	48087	135607	\N	\N	\N
2448604	8073	1996-08-27	PRIJEM	VKLAD	5493	24331	\N	\N	\N
2448605	8073	1996-04-07	PRIJEM	VKLAD	23469	64763	\N	\N	\N
2448606	8073	1996-09-23	PRIJEM	VKLAD	39631	90299	\N	\N	\N
2448607	8073	1996-01-13	PRIJEM	VKLAD	21975	40973	\N	\N	\N
2448608	8073	1996-05-14	PRIJEM	VKLAD	37540	85020	\N	\N	\N
2448609	8073	1996-06-09	PRIJEM	VKLAD	15393	101670	\N	\N	\N
2448610	8073	1996-03-05	PRIJEM	VKLAD	43453	119185	\N	\N	\N
2448611	8073	1996-02-18	PRIJEM	VKLAD	24952	63664	\N	\N	\N
2448612	8073	1996-02-09	PRIJEM	VKLAD	6551	54274	\N	\N	\N
2448613	8073	1996-10-16	PRIJEM	VKLAD	26398	99450	\N	\N	\N
2448614	8073	1996-05-28	PRIJEM	VKLAD	6662	56215	\N	\N	\N
2448615	8073	1996-09-15	PRIJEM	VKLAD	46319	67968	\N	\N	\N
2448616	8073	1997-11-18	PRIJEM	VKLAD	41117	106049	\N	\N	\N
2448617	8073	1997-12-18	PRIJEM	VKLAD	32419	62405	\N	\N	\N
2448618	8073	1997-08-22	PRIJEM	VKLAD	48938	95841	\N	\N	\N
2448619	8073	1997-08-06	PRIJEM	VKLAD	38315	103765	\N	\N	\N
2448620	8073	1997-07-09	PRIJEM	VKLAD	16598	45106	\N	\N	\N
2448621	8073	1997-03-30	PRIJEM	VKLAD	13589	82927	\N	\N	\N
2448622	8073	1997-01-13	PRIJEM	VKLAD	31035	131537	\N	\N	\N
2448623	8073	1997-03-06	PRIJEM	VKLAD	26303	50035	\N	\N	\N
2448624	8073	1997-04-13	PRIJEM	VKLAD	35443	117747	\N	\N	\N
2448625	8073	1997-12-03	PRIJEM	VKLAD	20814	75448	\N	\N	\N
2448626	8073	1997-08-03	PRIJEM	VKLAD	29657	65450	\N	\N	\N
2448627	8073	1997-01-06	PRIJEM	VKLAD	46289	67530	\N	\N	\N
2448628	8073	1997-05-23	PRIJEM	VKLAD	11804	55843	\N	\N	\N
2448629	8073	1997-01-07	PRIJEM	VKLAD	46469	113999	\N	\N	\N
2448630	8073	1997-05-20	PRIJEM	VKLAD	21183	44039	\N	\N	\N
2448631	8073	1997-10-13	PRIJEM	VKLAD	20687	58242	\N	\N	\N
2448632	8073	1997-11-24	PRIJEM	VKLAD	12413	118462	\N	\N	\N
2448633	8073	1997-12-24	PRIJEM	VKLAD	16133	78538	\N	\N	\N
2448634	8073	1997-07-26	PRIJEM	VKLAD	10820	35764	\N	\N	\N
2448635	8073	1997-11-08	PRIJEM	VKLAD	41367	105091	\N	\N	\N
2448636	8073	1997-03-10	PRIJEM	VKLAD	9078	56013	\N	\N	\N
2448637	8073	1997-03-28	PRIJEM	VKLAD	36087	69338	\N	\N	\N
2448638	8073	1997-11-15	PRIJEM	VKLAD	10103	64932	\N	\N	\N
2448639	8073	1997-10-24	PRIJEM	VKLAD	32147	68322	\N	\N	\N
2448640	8073	1998-02-17	PRIJEM	VKLAD	25723	55141	\N	\N	\N
2448641	8073	1998-03-18	PRIJEM	VKLAD	34119	59423	\N	\N	\N
2448642	8073	1998-10-21	PRIJEM	VKLAD	10203	44011	\N	\N	\N
2448643	8073	1998-08-17	PRIJEM	VKLAD	47130	106198	\N	\N	\N
2448644	8073	1998-06-15	PRIJEM	VKLAD	16496	64766	\N	\N	\N
2448645	8073	1998-06-14	PRIJEM	VKLAD	6496	59837	\N	\N	\N
2448646	8073	1998-10-03	PRIJEM	VKLAD	35333	58670	\N	\N	\N
2448647	8073	1998-12-08	PRIJEM	VKLAD	36914	69265	\N	\N	\N
2448648	8073	1998-01-29	PRIJEM	VKLAD	47115	81745	\N	\N	\N
2448649	8073	1998-07-10	PRIJEM	VKLAD	35138	86986	\N	\N	\N
2448650	8073	1998-07-23	PRIJEM	VKLAD	5748	76872	\N	\N	\N
2448651	8073	1998-07-24	PRIJEM	VKLAD	19429	96301	\N	\N	\N
2448652	8073	1998-06-04	PRIJEM	VKLAD	13715	36440	\N	\N	\N
2448653	8073	1998-03-30	PRIJEM	VKLAD	40261	99684	\N	\N	\N
2448654	8073	1998-07-30	PRIJEM	VKLAD	13406	109707	\N	\N	\N
2448655	8073	1998-10-27	PRIJEM	VKLAD	12274	56285	\N	\N	\N
2448656	8073	1998-06-06	PRIJEM	VKLAD	29696	66136	\N	\N	\N
2448657	8073	1998-01-24	PRIJEM	VKLAD	7474	34630	\N	\N	\N
2448658	8073	1998-12-14	PRIJEM	VKLAD	18775	101335	\N	\N	\N
2448659	8073	1998-12-10	PRIJEM	VKLAD	19690	88955	\N	\N	\N
2448669	8073	1993-10-17	VYDAJ	VYBER	3300	26769	\N	\N	0
2448670	8073	1993-11-16	VYDAJ	VYBER	3800	69300	\N	\N	0
2448671	8073	1993-12-02	VYDAJ	VYBER	4100	39285	\N	\N	0
2448672	8073	1994-01-18	VYDAJ	VYBER	4700	21106	\N	\N	0
2448673	8073	1994-02-17	VYDAJ	VYBER	5000	10674	\N	\N	0
2448674	8073	1994-03-12	VYDAJ	PREVOD NA UCET	4110	12349	UVER	OP	7434404
2448675	8073	1994-04-12	VYDAJ	PREVOD NA UCET	4110	8499	UVER	OP	7434404
2448676	8073	1994-05-12	VYDAJ	PREVOD NA UCET	4110	11974	UVER	OP	7434404
2448677	8073	1994-06-12	VYDAJ	PREVOD NA UCET	4110	5922	UVER	OP	7434404
2448678	8073	1994-07-12	VYDAJ	PREVOD NA UCET	4110	8650	UVER	OP	7434404
2448680	8073	1994-09-12	VYDAJ	PREVOD NA UCET	4110	7255	UVER	OP	7434404
2448681	8073	1994-10-12	VYDAJ	PREVOD NA UCET	4110	11992	UVER	OP	7434404
2448682	8073	1994-11-12	VYDAJ	PREVOD NA UCET	4110	6454	UVER	OP	7434404
2448683	8073	1994-12-12	VYDAJ	PREVOD NA UCET	4110	45035	UVER	OP	7434404
2448684	8073	1995-01-12	VYDAJ	PREVOD NA UCET	4110	13921	UVER	OP	7434404
2448685	8073	1995-02-12	VYDAJ	PREVOD NA UCET	4110	52670	UVER	OP	7434404
2448686	8073	1995-03-05	VYDAJ	VYBER	4700	61017	\N	\N	0
2448687	8073	1995-04-19	VYDAJ	VYBER	4400	66254	\N	\N	0
2448688	8073	1995-05-11	VYDAJ	VYBER	3400	59080	\N	\N	0
2448689	8073	1995-06-10	VYDAJ	VYBER	4100	58663	\N	\N	0
2448690	8073	1995-07-20	VYDAJ	VYBER	4900	93785	\N	\N	0
2448691	8073	1995-08-18	VYDAJ	VYBER	3800	59542	\N	\N	0
2448692	8073	1995-09-02	VYDAJ	VYBER	4200	38832	\N	\N	0
2448693	8073	1995-10-05	VYDAJ	VYBER	4100	42873	\N	\N	0
2448694	8073	1995-11-06	VYDAJ	VYBER	4400	57220	\N	\N	0
2448695	8073	1995-12-12	VYDAJ	VYBER	3200	31163	\N	\N	0
2448696	8073	1996-01-20	VYDAJ	VYBER	3800	25606	\N	\N	0
2448697	8073	1996-02-14	VYDAJ	VYBER	3300	38712	\N	\N	0
2448698	8073	1996-03-05	VYDAJ	VYBER	4800	114385	\N	\N	0
2448699	8073	1996-04-19	VYDAJ	VYBER	4400	71062	\N	\N	0
2448700	8073	1996-05-18	VYDAJ	VYBER	3300	70153	\N	\N	0
2448701	8073	1996-06-13	VYDAJ	VYBER	3500	51232	\N	\N	0
2448702	8073	1996-07-14	VYDAJ	VYBER	4900	23884	\N	\N	0
2448703	8073	1996-08-08	VYDAJ	VYBER	3500	19900	\N	\N	0
2448704	8073	1996-09-04	VYDAJ	VYBER	3200	26117	\N	\N	0
2448705	8073	1996-10-17	VYDAJ	VYBER	3200	61750	\N	\N	0
2448706	8073	1996-11-06	VYDAJ	VYBER	3100	58862	\N	\N	0
2448707	8073	1996-12-12	VYDAJ	VYBER	3600	30400	\N	\N	0
2448708	8073	1997-01-12	VYDAJ	VYBER	4400	100502	\N	\N	0
2448709	8073	1997-02-09	VYDAJ	VYBER	4600	26386	\N	\N	0
2448710	8073	1997-03-07	VYDAJ	VYBER	3100	46935	\N	\N	0
2448711	8073	1997-04-16	VYDAJ	VYBER	4200	37280	\N	\N	0
2448712	8073	1997-05-10	VYDAJ	VYBER	3200	34218	\N	\N	0
2448713	8073	1997-06-09	VYDAJ	VYBER	4500	51408	\N	\N	0
2448714	8073	1997-07-21	VYDAJ	VYBER	4200	24944	\N	\N	0
2448715	8073	1997-08-08	VYDAJ	VYBER	3800	99965	\N	\N	0
2448716	8073	1997-09-13	VYDAJ	VYBER	4300	59543	\N	\N	0
2448717	8073	1997-10-06	VYDAJ	VYBER	3400	44750	\N	\N	0
2448718	8073	1997-11-06	VYDAJ	VYBER	4700	63724	\N	\N	0
2448719	8073	1997-12-11	VYDAJ	VYBER	5000	41553	\N	\N	0
2448720	8073	1998-01-10	VYDAJ	VYBER	3800	38723	\N	\N	0
2448721	8073	1998-02-06	VYDAJ	VYBER	4400	57880	\N	\N	0
2448722	8073	1998-03-15	VYDAJ	VYBER	4800	25304	\N	\N	0
2448723	8073	1998-04-06	VYDAJ	VYBER	3700	96107	\N	\N	0
2448724	8073	1998-05-17	VYDAJ	VYBER	4400	26977	\N	\N	0
2448725	8073	1998-06-03	VYDAJ	VYBER	4300	22725	\N	\N	0
2448726	8073	1998-07-17	VYDAJ	VYBER	3600	71124	\N	\N	0
2448727	8073	1998-08-12	VYDAJ	VYBER	3900	70635	\N	\N	0
2448728	8073	1998-09-03	VYDAJ	VYBER	3800	49476	\N	\N	0
2448729	8073	1998-10-09	VYDAJ	VYBER	4600	46070	\N	\N	0
2448730	8073	1998-11-17	VYDAJ	VYBER	4200	23339	\N	\N	0
2448731	8073	1998-12-07	VYDAJ	VYBER	4800	32351	\N	\N	0
2448741	8073	1993-10-10	VYDAJ	PREVOD NA UCET	695	41636	SIPO	GH	14566856
2448742	8073	1993-11-10	VYDAJ	PREVOD NA UCET	695	39039	SIPO	GH	14566856
2448743	8073	1993-12-10	VYDAJ	PREVOD NA UCET	695	31090	SIPO	GH	14566856
2448744	8073	1994-01-10	VYDAJ	PREVOD NA UCET	695	45473	SIPO	GH	14566856
2448745	8073	1994-02-10	VYDAJ	PREVOD NA UCET	695	27241	SIPO	GH	14566856
2448746	8073	1994-03-10	VYDAJ	PREVOD NA UCET	695	16459	SIPO	GH	14566856
2448747	8073	1994-04-10	VYDAJ	PREVOD NA UCET	695	12609	SIPO	GH	14566856
2448748	8073	1994-05-10	VYDAJ	PREVOD NA UCET	695	16084	SIPO	GH	14566856
2448749	8073	1994-06-10	VYDAJ	PREVOD NA UCET	695	10032	SIPO	GH	14566856
2448750	8073	1994-07-10	VYDAJ	PREVOD NA UCET	695	12760	SIPO	GH	14566856
2448752	8073	1994-09-10	VYDAJ	PREVOD NA UCET	695	11365	SIPO	GH	14566856
2448753	8073	1994-10-10	VYDAJ	PREVOD NA UCET	695	16102	SIPO	GH	14566856
2448754	8073	1994-11-10	VYDAJ	PREVOD NA UCET	695	10564	SIPO	GH	14566856
2448755	8073	1994-12-10	VYDAJ	PREVOD NA UCET	695	49145	SIPO	GH	14566856
2448756	8073	1995-01-10	VYDAJ	PREVOD NA UCET	695	18031	SIPO	GH	14566856
2448757	8073	1995-02-10	VYDAJ	PREVOD NA UCET	695	56780	SIPO	GH	14566856
2448758	8073	1995-03-10	VYDAJ	PREVOD NA UCET	695	60322	SIPO	GH	14566856
2448759	8073	1995-04-10	VYDAJ	PREVOD NA UCET	695	82221	SIPO	GH	14566856
2448760	8073	1995-05-10	VYDAJ	PREVOD NA UCET	695	62480	SIPO	GH	14566856
2448761	8073	1995-06-10	VYDAJ	PREVOD NA UCET	695	62763	SIPO	GH	14566856
2448762	8073	1995-07-10	VYDAJ	PREVOD NA UCET	695	57741	SIPO	GH	14566856
2448763	8073	1995-08-10	VYDAJ	PREVOD NA UCET	695	39944	SIPO	GH	14566856
2448764	8073	1995-09-10	VYDAJ	PREVOD NA UCET	695	38137	SIPO	GH	14566856
2448765	8073	1995-10-10	VYDAJ	PREVOD NA UCET	695	28078	SIPO	GH	14566856
2448766	8073	1995-11-10	VYDAJ	PREVOD NA UCET	695	48760	SIPO	GH	14566856
2448767	8073	1995-12-10	VYDAJ	PREVOD NA UCET	695	34363	SIPO	GH	14566856
2448768	8073	1996-01-10	VYDAJ	PREVOD NA UCET	695	18998	SIPO	GH	14566856
2448769	8073	1996-02-10	VYDAJ	PREVOD NA UCET	695	53579	SIPO	GH	14566856
2448770	8073	1996-03-10	VYDAJ	PREVOD NA UCET	695	87520	SIPO	GH	14566856
2448771	8073	1996-04-10	VYDAJ	PREVOD NA UCET	695	64068	SIPO	GH	14566856
2448772	8073	1996-05-10	VYDAJ	PREVOD NA UCET	695	47480	SIPO	GH	14566856
2448773	8073	1996-06-10	VYDAJ	PREVOD NA UCET	695	100975	SIPO	GH	14566856
2448774	8073	1996-07-10	VYDAJ	PREVOD NA UCET	695	40351	SIPO	GH	14566856
2448775	8073	1996-08-10	VYDAJ	PREVOD NA UCET	695	19205	SIPO	GH	14566856
2448776	8073	1996-09-10	VYDAJ	PREVOD NA UCET	695	33216	SIPO	GH	14566856
2448777	8073	1996-10-10	VYDAJ	PREVOD NA UCET	695	89719	SIPO	GH	14566856
2448778	8073	1996-11-10	VYDAJ	PREVOD NA UCET	695	58167	SIPO	GH	14566856
2448779	8073	1996-12-10	VYDAJ	PREVOD NA UCET	695	34000	SIPO	GH	14566856
2448780	8073	1997-01-10	VYDAJ	PREVOD NA UCET	695	104902	SIPO	GH	14566856
2448781	8073	1997-02-10	VYDAJ	PREVOD NA UCET	695	25691	SIPO	GH	14566856
2448782	8073	1997-03-10	VYDAJ	PREVOD NA UCET	695	55318	SIPO	GH	14566856
2448783	8073	1997-04-10	VYDAJ	PREVOD NA UCET	695	82304	SIPO	GH	14566856
2448784	8073	1997-05-10	VYDAJ	PREVOD NA UCET	695	33523	SIPO	GH	14566856
2448785	8073	1997-06-10	VYDAJ	PREVOD NA UCET	695	50713	SIPO	GH	14566856
2448786	8073	1997-07-10	VYDAJ	PREVOD NA UCET	695	44411	SIPO	GH	14566856
2448787	8073	1997-08-10	VYDAJ	PREVOD NA UCET	695	85770	SIPO	GH	14566856
2448788	8073	1997-09-10	VYDAJ	PREVOD NA UCET	695	95343	SIPO	GH	14566856
2448789	8073	1997-10-10	VYDAJ	PREVOD NA UCET	695	44055	SIPO	GH	14566856
2448790	8073	1997-11-10	VYDAJ	PREVOD NA UCET	695	104396	SIPO	GH	14566856
2448791	8073	1997-12-10	VYDAJ	PREVOD NA UCET	695	63053	SIPO	GH	14566856
2448792	8073	1998-01-10	VYDAJ	PREVOD NA UCET	695	53723	SIPO	GH	14566856
2448793	8073	1998-02-10	VYDAJ	PREVOD NA UCET	695	40985	SIPO	GH	14566856
2448794	8073	1998-03-10	VYDAJ	PREVOD NA UCET	695	54571	SIPO	GH	14566856
2448795	8073	1998-04-10	VYDAJ	PREVOD NA UCET	695	62912	SIPO	GH	14566856
2448796	8073	1998-05-10	VYDAJ	PREVOD NA UCET	695	42944	SIPO	GH	14566856
2448797	8073	1998-06-10	VYDAJ	PREVOD NA UCET	695	53341	SIPO	GH	14566856
2448798	8073	1998-07-10	VYDAJ	PREVOD NA UCET	695	86291	SIPO	GH	14566856
2448799	8073	1998-08-10	VYDAJ	PREVOD NA UCET	695	74535	SIPO	GH	14566856
2448800	8073	1998-09-10	VYDAJ	PREVOD NA UCET	695	34881	SIPO	GH	14566856
2448801	8073	1998-10-10	VYDAJ	PREVOD NA UCET	695	45375	SIPO	GH	14566856
2448802	8073	1998-11-10	VYDAJ	PREVOD NA UCET	695	39106	SIPO	GH	14566856
2448803	8073	1998-12-10	VYDAJ	PREVOD NA UCET	695	88260	SIPO	GH	14566856
2448813	8073	1993-10-14	VYDAJ	PREVOD NA UCET	11567	30069	 	IJ	4501516
2448814	8073	1993-11-14	VYDAJ	PREVOD NA UCET	11567	73100	 	IJ	4501516
2448815	8073	1993-12-14	VYDAJ	PREVOD NA UCET	11567	13173	 	IJ	4501516
2448816	8073	1994-01-14	VYDAJ	PREVOD NA UCET	11567	33906	 	IJ	4501516
2448817	8073	1994-02-14	VYDAJ	PREVOD NA UCET	11567	15674	 	IJ	4501516
2448818	8073	1994-03-14	VYDAJ	PREVOD NA UCET	11567	782	 	IJ	4501516
2448819	8073	1994-04-14	VYDAJ	PREVOD NA UCET	11567	-3068	 	IJ	4501516
2448820	8073	1994-05-14	VYDAJ	PREVOD NA UCET	11567	407	 	IJ	4501516
2448822	8073	1994-07-14	VYDAJ	PREVOD NA UCET	11567	-2917	 	IJ	4501516
2448825	8073	1994-10-14	VYDAJ	PREVOD NA UCET	11567	425	 	IJ	4501516
2448827	8073	1994-12-14	VYDAJ	PREVOD NA UCET	11567	33468	 	IJ	4501516
2448828	8073	1995-01-14	VYDAJ	PREVOD NA UCET	11567	2354	 	IJ	4501516
2448829	8073	1995-02-14	VYDAJ	PREVOD NA UCET	11567	36303	 	IJ	4501516
2448830	8073	1995-03-14	VYDAJ	PREVOD NA UCET	11567	48755	 	IJ	4501516
2448831	8073	1995-04-14	VYDAJ	PREVOD NA UCET	11567	70654	 	IJ	4501516
2448832	8073	1995-05-14	VYDAJ	PREVOD NA UCET	11567	84123	 	IJ	4501516
2448833	8073	1995-06-14	VYDAJ	PREVOD NA UCET	11567	47096	 	IJ	4501516
2448834	8073	1995-07-14	VYDAJ	PREVOD NA UCET	11567	67328	 	IJ	4501516
2448835	8073	1995-08-14	VYDAJ	PREVOD NA UCET	11567	28377	 	IJ	4501516
2448836	8073	1995-09-14	VYDAJ	PREVOD NA UCET	11567	26570	 	IJ	4501516
2448837	8073	1995-10-14	VYDAJ	PREVOD NA UCET	11567	69192	 	IJ	4501516
2448838	8073	1995-11-14	VYDAJ	PREVOD NA UCET	11567	37193	 	IJ	4501516
2448839	8073	1995-12-14	VYDAJ	PREVOD NA UCET	11567	19596	 	IJ	4501516
2448840	8073	1996-01-14	VYDAJ	PREVOD NA UCET	11567	29406	 	IJ	4501516
2448841	8073	1996-02-14	VYDAJ	PREVOD NA UCET	11567	42012	 	IJ	4501516
2448842	8073	1996-03-14	VYDAJ	PREVOD NA UCET	11567	64540	 	IJ	4501516
2448843	8073	1996-04-14	VYDAJ	PREVOD NA UCET	11567	52501	 	IJ	4501516
2448844	8073	1996-05-14	VYDAJ	PREVOD NA UCET	11567	73453	 	IJ	4501516
2448845	8073	1996-06-14	VYDAJ	PREVOD NA UCET	11567	39665	 	IJ	4501516
2448846	8073	1996-07-14	VYDAJ	PREVOD NA UCET	11567	28784	 	IJ	4501516
2448847	8073	1996-08-14	VYDAJ	PREVOD NA UCET	11567	7638	 	IJ	4501516
2448848	8073	1996-09-14	VYDAJ	PREVOD NA UCET	11567	21649	 	IJ	4501516
2448849	8073	1996-10-14	VYDAJ	PREVOD NA UCET	11567	73052	 	IJ	4501516
2448850	8073	1996-11-14	VYDAJ	PREVOD NA UCET	11567	46600	 	IJ	4501516
2448851	8073	1996-12-14	VYDAJ	PREVOD NA UCET	11567	18833	 	IJ	4501516
2448852	8073	1997-01-14	VYDAJ	PREVOD NA UCET	11567	64170	 	IJ	4501516
2448853	8073	1997-02-14	VYDAJ	PREVOD NA UCET	11567	23724	 	IJ	4501516
2448854	8073	1997-03-14	VYDAJ	PREVOD NA UCET	11567	43751	 	IJ	4501516
2448855	8073	1997-04-14	VYDAJ	PREVOD NA UCET	11567	61480	 	IJ	4501516
2448856	8073	1997-05-14	VYDAJ	PREVOD NA UCET	11567	21956	 	IJ	4501516
2448857	8073	1997-06-14	VYDAJ	PREVOD NA UCET	11567	39146	 	IJ	4501516
2448858	8073	1997-07-14	VYDAJ	PREVOD NA UCET	11567	32844	 	IJ	4501516
2448859	8073	1997-08-14	VYDAJ	PREVOD NA UCET	11567	46903	 	IJ	4501516
2448860	8073	1997-09-14	VYDAJ	PREVOD NA UCET	11567	47976	 	IJ	4501516
2448861	8073	1997-10-14	VYDAJ	PREVOD NA UCET	11567	36175	 	IJ	4501516
2448862	8073	1997-11-14	VYDAJ	PREVOD NA UCET	11567	54829	 	IJ	4501516
2448863	8073	1997-12-14	VYDAJ	PREVOD NA UCET	11567	29986	 	IJ	4501516
2448864	8073	1998-01-14	VYDAJ	PREVOD NA UCET	11567	27156	 	IJ	4501516
2448865	8073	1998-02-14	VYDAJ	PREVOD NA UCET	11567	29418	 	IJ	4501516
2448866	8073	1998-03-14	VYDAJ	PREVOD NA UCET	11567	30104	 	IJ	4501516
2448867	8073	1998-04-14	VYDAJ	PREVOD NA UCET	11567	51345	 	IJ	4501516
2448868	8073	1998-05-14	VYDAJ	PREVOD NA UCET	11567	31377	 	IJ	4501516
2448869	8073	1998-06-14	VYDAJ	PREVOD NA UCET	11567	48270	 	IJ	4501516
2448870	8073	1998-07-14	VYDAJ	PREVOD NA UCET	11567	74724	 	IJ	4501516
2448871	8073	1998-08-14	VYDAJ	PREVOD NA UCET	11567	59068	 	IJ	4501516
2448872	8073	1998-09-14	VYDAJ	PREVOD NA UCET	11567	23314	 	IJ	4501516
2448873	8073	1998-10-14	VYDAJ	PREVOD NA UCET	11567	33808	 	IJ	4501516
2448874	8073	1998-11-14	VYDAJ	PREVOD NA UCET	11567	27539	 	IJ	4501516
2448875	8073	1998-12-14	VYDAJ	PREVOD NA UCET	11567	89768	 	IJ	4501516
2448878	8073	1993-11-26	VYBER	VYBER	9538	59762	\N	\N	\N
2448886	8073	1993-12-12	VYBER	VYBER	6350	24740	\N	\N	\N
2448903	8073	1995-06-17	VYBER	VYBER	9161	37935	\N	\N	\N
2448904	8073	1995-11-07	VYBER	VYBER	7765	49455	\N	\N	\N
2448905	8073	1995-07-31	VYBER	VYBER	3383	45839	\N	\N	\N
2448908	8073	1997-01-08	VYBER	VYBER	3902	110097	\N	\N	\N
2448909	8073	1998-09-01	VYBER	VYBER	22018	53276	\N	\N	\N
2448910	8073	1998-08-18	VYBER	VYBER	14102	92096	\N	\N	\N
2448911	8073	1998-10-27	VYBER	VYBER	24829	31456	\N	\N	\N
2448912	8073	1998-02-01	VYBER	VYBER	19555	62280	\N	\N	\N
2448914	8073	1998-07-02	VYBER	VYBER	6449	58448	\N	\N	\N
2448917	8073	1998-08-30	VYBER	VYBER	17075	75021	\N	\N	\N
2448919	8073	1993-12-04	VYDAJ	VYBER	7500	31785	\N	\N	\N
2448920	8073	1994-12-23	VYDAJ	VYBER	7500	25968	\N	\N	\N
2448921	8073	1995-12-09	VYDAJ	VYBER	1800	35058	\N	\N	\N
2448923	8073	1997-12-05	VYDAJ	VYBER	8700	66748	\N	\N	\N
2448924	8073	1998-12-10	VYDAJ	VYBER	5700	82560	\N	\N	\N
2448931	8073	1994-01-26	VYDAJ	VYBER	3000	31558	\N	\N	\N
2448932	8073	1994-01-01	VYDAJ	VYBER	8400	70568	\N	\N	\N
2448935	8073	1994-01-16	VYDAJ	VYBER	8100	25806	\N	\N	\N
2448939	8073	1995-01-30	VYDAJ	VYBER	4800	57500	\N	\N	\N
2448940	8073	1995-01-03	VYDAJ	VYBER	1800	25326	\N	\N	\N
2448946	8073	1996-01-27	VYDAJ	VYBER	3600	22006	\N	\N	\N
2448949	8073	1997-01-16	VYDAJ	VYBER	2400	47670	\N	\N	\N
2448950	8073	1997-01-14	VYDAJ	VYBER	2100	75737	\N	\N	\N
2448951	8073	1997-01-08	VYDAJ	VYBER	4500	105597	\N	\N	\N
2448953	8073	1997-01-23	VYDAJ	VYBER	8400	39270	\N	\N	\N
2448954	8073	1997-01-28	VYDAJ	VYBER	8400	30870	\N	\N	\N
2448955	8073	1998-01-02	VYDAJ	VYBER	6000	72718	\N	\N	\N
2448956	8073	1998-01-02	VYDAJ	VYBER	2400	70318	\N	\N	\N
2448957	8073	1998-01-07	VYDAJ	VYBER	3600	59518	\N	\N	\N
2448959	8073	1998-01-06	VYDAJ	VYBER	7200	63118	\N	\N	\N
2448960	8073	1998-01-08	VYDAJ	VYBER	5100	54418	\N	\N	\N
2448963	8073	1993-11-29	VYDAJ	VYBER	1800	57962	\N	\N	\N
2448973	8073	1995-08-03	VYDAJ	VYBER	5100	40639	\N	\N	\N
2448974	8073	1995-09-28	VYDAJ	VYBER	10800	40395	\N	\N	\N
2448976	8073	1995-02-12	VYDAJ	VYBER	4800	47870	\N	\N	\N
2448977	8073	1995-09-30	VYDAJ	VYBER	9600	30938	\N	\N	\N
2448978	8073	1995-10-06	VYDAJ	VYBER	14100	28773	\N	\N	\N
2448979	8073	1995-01-05	VYDAJ	VYBER	6600	18726	\N	\N	\N
2448981	8073	1996-06-01	VYDAJ	VYBER	7800	86277	\N	\N	\N
2448983	8073	1996-11-18	VYDAJ	VYBER	3600	34600	\N	\N	\N
2448984	8073	1996-10-11	VYDAJ	VYBER	5100	84619	\N	\N	\N
2448986	8073	1997-08-10	VYDAJ	VYBER	13500	86465	\N	\N	\N
2448988	8073	1997-12-06	VYDAJ	VYBER	3000	63748	\N	\N	\N
2448989	8073	1997-10-13	VYDAJ	VYBER	10500	47742	\N	\N	\N
2448992	8073	1998-09-03	VYDAJ	VYBER	8100	41376	\N	\N	\N
2448993	8073	1998-09-05	VYDAJ	VYBER	14100	27276	\N	\N	\N
2449003	8073	1993-09-30	VYDAJ	VYBER	100	64231	SLUZBY	\N	\N
2449004	8073	1993-10-31	VYDAJ	VYBER	100	26835	SLUZBY	\N	\N
2449005	8073	1993-11-30	VYDAJ	VYBER	100	58085	SLUZBY	\N	\N
2449006	8073	1993-12-31	VYDAJ	VYBER	100	78968	SLUZBY	\N	\N
2449007	8073	1994-01-31	VYDAJ	VYBER	100	27936	SLUZBY	\N	\N
2449008	8073	1994-02-28	VYDAJ	VYBER	100	10654	SLUZBY	\N	\N
2449009	8073	1994-03-31	VYDAJ	VYBER	100	704	SLUZBY	\N	\N
2449010	8073	1994-04-30	VYDAJ	VYBER	100	7783	SLUZBY	\N	\N
2449011	8073	1994-05-31	VYDAJ	VYBER	100	10727	SLUZBY	\N	\N
2449012	8073	1994-06-30	VYDAJ	VYBER	100	13455	SLUZBY	\N	\N
2449013	8073	1994-07-31	VYDAJ	VYBER	100	-3012	SLUZBY	\N	\N
2449014	8073	1994-08-31	VYDAJ	VYBER	100	12060	SLUZBY	\N	\N
2449015	8073	1994-09-30	VYDAJ	VYBER	100	16797	SLUZBY	\N	\N
2449016	8073	1994-10-31	VYDAJ	VYBER	100	11259	SLUZBY	\N	\N
2449017	8073	1994-11-30	VYDAJ	VYBER	100	49840	SLUZBY	\N	\N
2449018	8073	1994-12-31	VYDAJ	VYBER	100	27126	SLUZBY	\N	\N
2449019	8073	1995-01-31	VYDAJ	VYBER	100	57475	SLUZBY	\N	\N
2449020	8073	1995-02-28	VYDAJ	VYBER	100	30289	SLUZBY	\N	\N
2449021	8073	1995-03-31	VYDAJ	VYBER	100	54315	SLUZBY	\N	\N
2449022	8073	1995-04-30	VYDAJ	VYBER	100	44711	SLUZBY	\N	\N
2449023	8073	1995-05-31	VYDAJ	VYBER	100	63458	SLUZBY	\N	\N
2449024	8073	1995-06-30	VYDAJ	VYBER	100	32037	SLUZBY	\N	\N
2449025	8073	1995-07-31	VYDAJ	VYBER	100	45739	SLUZBY	\N	\N
2449026	8073	1995-08-31	VYDAJ	VYBER	100	43032	SLUZBY	\N	\N
2449027	8073	1995-09-30	VYDAJ	VYBER	100	30838	SLUZBY	\N	\N
2449028	8073	1995-10-31	VYDAJ	VYBER	100	61620	SLUZBY	\N	\N
2449029	8073	1995-11-30	VYDAJ	VYBER	100	26166	SLUZBY	\N	\N
2449030	8073	1995-12-31	VYDAJ	VYBER	100	19693	SLUZBY	\N	\N
2449031	8073	1996-01-31	VYDAJ	VYBER	100	22005	SLUZBY	\N	\N
2449032	8073	1996-02-29	VYDAJ	VYBER	100	75732	SLUZBY	\N	\N
2449033	8073	1996-03-31	VYDAJ	VYBER	100	41294	SLUZBY	\N	\N
2449034	8073	1996-04-30	VYDAJ	VYBER	100	48175	SLUZBY	\N	\N
2449035	8073	1996-05-31	VYDAJ	VYBER	100	94077	SLUZBY	\N	\N
2449036	8073	1996-06-30	VYDAJ	VYBER	100	31398	SLUZBY	\N	\N
2449037	8073	1996-07-31	VYDAJ	VYBER	100	23400	SLUZBY	\N	\N
2449038	8073	1996-08-31	VYDAJ	VYBER	100	24312	SLUZBY	\N	\N
2449039	8073	1996-09-30	VYDAJ	VYBER	100	90414	SLUZBY	\N	\N
2449040	8073	1996-10-31	VYDAJ	VYBER	100	61962	SLUZBY	\N	\N
2449041	8073	1996-11-30	VYDAJ	VYBER	100	34695	SLUZBY	\N	\N
2449042	8073	1996-12-31	VYDAJ	VYBER	100	21241	SLUZBY	\N	\N
2449043	8073	1997-01-31	VYDAJ	VYBER	100	30986	SLUZBY	\N	\N
2449044	8073	1997-02-28	VYDAJ	VYBER	100	23732	SLUZBY	\N	\N
2449045	8073	1997-03-31	VYDAJ	VYBER	100	82999	SLUZBY	\N	\N
2449046	8073	1997-04-30	VYDAJ	VYBER	100	37418	SLUZBY	\N	\N
2449047	8073	1997-05-31	VYDAJ	VYBER	100	55908	SLUZBY	\N	\N
2449048	8073	1997-06-30	VYDAJ	VYBER	100	28508	SLUZBY	\N	\N
2449049	8073	1997-07-31	VYDAJ	VYBER	100	35793	SLUZBY	\N	\N
2449050	8073	1997-08-31	VYDAJ	VYBER	100	96038	SLUZBY	\N	\N
2449051	8073	1997-09-30	VYDAJ	VYBER	100	48150	SLUZBY	\N	\N
2449052	8073	1997-10-31	VYDAJ	VYBER	100	68424	SLUZBY	\N	\N
2449053	8073	1997-11-30	VYDAJ	VYBER	100	118734	SLUZBY	\N	\N
2449054	8073	1997-12-31	VYDAJ	VYBER	100	78718	SLUZBY	\N	\N
2449055	8073	1998-01-31	VYDAJ	VYBER	100	81835	SLUZBY	\N	\N
2449056	8073	1998-02-28	VYDAJ	VYBER	100	55266	SLUZBY	\N	\N
2449057	8073	1998-03-31	VYDAJ	VYBER	100	99807	SLUZBY	\N	\N
2449058	8073	1998-04-30	VYDAJ	VYBER	100	51539	SLUZBY	\N	\N
2449059	8073	1998-05-31	VYDAJ	VYBER	100	27025	SLUZBY	\N	\N
2449060	8073	1998-06-30	VYDAJ	VYBER	100	64897	SLUZBY	\N	\N
2449061	8073	1998-07-31	VYDAJ	VYBER	100	109930	SLUZBY	\N	\N
2449062	8073	1998-08-31	VYDAJ	VYBER	100	75294	SLUZBY	\N	\N
2449063	8073	1998-09-30	VYDAJ	VYBER	100	23337	SLUZBY	\N	\N
2449064	8073	1998-10-31	VYDAJ	VYBER	100	31501	SLUZBY	\N	\N
2449065	8073	1998-11-30	VYDAJ	VYBER	100	23351	SLUZBY	\N	\N
2449066	8073	1993-09-23	VYDAJ	VYBER	62700	64133	\N	\N	\N
2449067	8073	1993-10-03	VYDAJ	VYBER	21900	42331	\N	\N	\N
2449068	8073	1993-11-02	VYDAJ	VYBER	800	26035	\N	\N	\N
2449069	8073	1993-12-02	VYDAJ	VYBER	14700	43385	\N	\N	\N
2449070	8073	1994-01-01	VYDAJ	VYBER	24400	46168	\N	\N	\N
2449071	8073	1994-01-31	VYDAJ	VYBER	3700	28036	\N	\N	\N
2449072	8073	1994-03-02	PRIJEM	VKLAD	6500	17154	\N	\N	\N
2449073	8073	1994-04-01	PRIJEM	VKLAD	12600	13304	\N	\N	\N
2449074	8073	1994-05-01	PRIJEM	VKLAD	9000	16779	\N	\N	\N
2449075	8073	1994-05-31	PRIJEM	VKLAD	10400	10807	\N	\N	\N
2449076	8073	1994-06-30	PRIJEM	VKLAD	7600	13522	\N	\N	\N
2449077	8073	1994-08-29	PRIJEM	VKLAD	15200	12188	\N	\N	\N
2449078	8073	1994-09-28	PRIJEM	VKLAD	9600	16855	\N	\N	\N
2449079	8073	1994-10-28	PRIJEM	VKLAD	10900	11325	\N	\N	\N
2449080	8073	1994-11-27	PRIJEM	VKLAD	10700	17154	\N	\N	\N
2449081	8073	1994-12-27	PRIJEM	VKLAD	1100	27068	\N	\N	\N
2449082	8073	1995-01-26	PRIJEM	VKLAD	5000	17798	\N	\N	\N
2449083	8073	1995-02-25	VYDAJ	VYBER	6100	30203	\N	\N	\N
2449084	8073	1995-03-26	VYDAJ	VYBER	29000	91395	\N	\N	\N
2449085	8073	1995-03-27	VYDAJ	VYBER	37200	54195	\N	\N	\N
2449086	8073	1995-04-26	VYDAJ	VYBER	21700	44554	\N	\N	\N
2449087	8073	1995-05-26	VYDAJ	VYBER	36900	63271	\N	\N	\N
2449088	8073	1995-06-25	VYDAJ	VYBER	6000	31935	\N	\N	\N
2449089	8073	1995-07-24	VYDAJ	VYBER	41500	62036	\N	\N	\N
2449090	8073	1995-07-25	VYDAJ	VYBER	19200	42836	\N	\N	\N
2449091	8073	1995-08-24	VYDAJ	VYBER	16600	42942	\N	\N	\N
2449092	8073	1995-09-23	VYDAJ	VYBER	3700	22870	\N	\N	\N
2449093	8073	1995-10-23	VYDAJ	VYBER	25700	43492	\N	\N	\N
2449094	8073	1995-11-22	VYDAJ	VYBER	11100	26093	\N	\N	\N
2449095	8073	1995-12-22	PRIJEM	VKLAD	100	19696	\N	\N	\N
2449096	8073	1996-02-20	VYDAJ	VYBER	19400	44264	\N	\N	\N
2449097	8073	1996-03-05	VYDAJ	VYBER	49500	64885	\N	\N	\N
2449098	8073	1996-03-13	VYDAJ	VYBER	59500	76107	\N	\N	\N
2449099	8073	1996-03-21	VYDAJ	VYBER	23400	41140	\N	\N	\N
2449100	8073	1996-04-20	VYDAJ	VYBER	23000	48062	\N	\N	\N
2449101	8073	1996-05-20	VYDAJ	VYBER	20600	49553	\N	\N	\N
2449102	8073	1996-06-11	VYDAJ	VYBER	62100	54732	\N	\N	\N
2449103	8073	1996-06-19	VYDAJ	VYBER	8400	31265	\N	\N	\N
2449104	8073	1996-07-19	VYDAJ	VYBER	500	23384	\N	\N	\N
2449105	8073	1996-08-18	PRIJEM	VKLAD	11200	18838	\N	\N	\N
2449106	8073	1996-09-17	VYDAJ	VYBER	17300	50668	\N	\N	\N
2449107	8073	1996-10-17	VYDAJ	VYBER	34500	64950	\N	\N	\N
2449108	8073	1996-11-16	VYDAJ	VYBER	8400	38200	\N	\N	\N
2449109	8073	1996-12-16	PRIJEM	VKLAD	2400	21233	\N	\N	\N
2449110	8073	1997-01-13	VYDAJ	VYBER	53700	77837	\N	\N	\N
2449111	8073	1997-01-15	VYDAJ	VYBER	14100	50070	\N	\N	\N
2449112	8073	1997-02-14	PRIJEM	VKLAD	9600	35291	\N	\N	\N
2449113	8073	1997-03-16	VYDAJ	VYBER	10500	33251	\N	\N	\N
2449114	8073	1997-04-13	VYDAJ	VYBER	44700	73047	\N	\N	\N
2449115	8073	1997-04-15	VYDAJ	VYBER	20000	41480	\N	\N	\N
2449116	8073	1997-05-15	PRIJEM	VKLAD	900	22856	\N	\N	\N
2449117	8073	1997-06-14	VYDAJ	VYBER	10700	28446	\N	\N	\N
2449118	8073	1997-07-14	VYDAJ	VYBER	3700	29144	\N	\N	\N
2449119	8073	1997-08-13	VYDAJ	VYBER	27300	58470	\N	\N	\N
2449120	8073	1997-09-12	VYDAJ	VYBER	31500	63843	\N	\N	\N
2449121	8073	1997-10-12	VYDAJ	VYBER	6500	37555	\N	\N	\N
2449122	8073	1997-11-11	VYDAJ	VYBER	38000	66396	\N	\N	\N
2449123	8073	1997-11-30	VYDAJ	VYBER	64100	54634	\N	\N	\N
2449124	8073	1997-12-11	VYDAJ	VYBER	16500	46553	\N	\N	\N
2449125	8073	1998-01-10	VYDAJ	VYBER	11200	42523	\N	\N	\N
2449126	8073	1998-02-09	VYDAJ	VYBER	16200	41680	\N	\N	\N
2449127	8073	1998-03-11	VYDAJ	VYBER	12900	41671	\N	\N	\N
2449128	8073	1998-04-10	VYDAJ	VYBER	32500	63607	\N	\N	\N
2449129	8073	1998-05-10	VYDAJ	VYBER	7900	43639	\N	\N	\N
2449130	8073	1998-06-09	VYDAJ	VYBER	12100	54036	\N	\N	\N
2449131	8073	1998-07-09	VYDAJ	VYBER	6600	51848	\N	\N	\N
2449132	8073	1998-08-08	VYDAJ	VYBER	34700	75230	\N	\N	\N
2449133	8073	1998-09-07	PRIJEM	VKLAD	8300	35576	\N	\N	\N
2449134	8073	1998-10-07	VYDAJ	VYBER	8000	50670	\N	\N	\N
2449135	8073	1998-11-06	PRIJEM	VKLAD	8300	39801	\N	\N	\N
2449136	8073	1998-12-06	PRIJEM	VKLAD	13800	37151	\N	\N	\N
2451915	8085	1996-04-08	PRIJEM	VKLAD	600	600	\N	\N	\N
2451917	8085	1996-04-16	PRIJEM	VKLAD	13538	14138	\N	\N	\N
2451918	8085	1996-07-08	PRIJEM	VKLAD	7266	42037	\N	\N	\N
2451920	8085	1996-06-27	PRIJEM	VKLAD	48399	70390	\N	\N	\N
2451921	8085	1996-04-16	PRIJEM	VKLAD	17257	31395	\N	\N	\N
2451922	8085	1996-07-01	PRIJEM	VKLAD	41128	111671	\N	\N	\N
2451923	8085	1996-08-15	PRIJEM	VKLAD	45874	89070	\N	\N	\N
2451924	8085	1996-07-18	PRIJEM	VKLAD	20268	52389	\N	\N	\N
2451925	8085	1996-08-02	PRIJEM	VKLAD	7402	55506	\N	\N	\N
2451927	8085	1996-09-11	PRIJEM	VKLAD	11345	79839	\N	\N	\N
2451928	8085	1996-08-09	PRIJEM	VKLAD	18571	44112	\N	\N	\N
2451929	8085	1996-09-10	PRIJEM	VKLAD	28733	68494	\N	\N	\N
2451932	8085	1996-11-30	PRIJEM	VKLAD	47109	62635	\N	\N	\N
2451933	8085	1996-10-31	PRIJEM	VKLAD	25461	45925	\N	\N	\N
2451934	8085	1997-01-10	PRIJEM	VKLAD	27024	33266	\N	\N	\N
2451935	8085	1997-06-19	PRIJEM	VKLAD	27940	41595	\N	\N	\N
2451936	8085	1997-11-10	PRIJEM	VKLAD	18624	37105	\N	\N	\N
2451937	8085	1997-09-12	PRIJEM	VKLAD	24168	28249	\N	\N	\N
2451938	8085	1997-05-09	PRIJEM	VKLAD	46126	50000	\N	\N	\N
2451939	8085	1997-10-04	PRIJEM	VKLAD	14809	37936	\N	\N	\N
2451940	8085	1997-07-15	PRIJEM	VKLAD	34959	55377	\N	\N	\N
2451941	8085	1997-01-31	PRIJEM	VKLAD	31838	88464	\N	\N	\N
2451942	8085	1997-06-01	PRIJEM	VKLAD	31004	63687	\N	\N	\N
2451943	8085	1997-10-27	PRIJEM	VKLAD	21314	42369	\N	\N	\N
2451944	8085	1997-07-17	PRIJEM	VKLAD	26925	82302	\N	\N	\N
2451945	8085	1997-01-27	PRIJEM	VKLAD	35337	56503	\N	\N	\N
2451946	8085	1998-07-24	PRIJEM	VKLAD	42927	43553	\N	\N	\N
2451947	8085	1998-04-29	PRIJEM	VKLAD	18620	56647	\N	\N	\N
2451948	8085	1998-09-09	PRIJEM	VKLAD	36428	53862	\N	\N	\N
2451949	8085	1998-10-12	PRIJEM	VKLAD	8310	36872	\N	\N	\N
2451950	8085	1998-05-20	PRIJEM	VKLAD	17312	48795	\N	\N	\N
2451951	8085	1998-04-27	PRIJEM	VKLAD	49337	55927	\N	\N	\N
2451952	8085	1998-11-17	PRIJEM	VKLAD	9170	56972	\N	\N	\N
2451953	8085	1998-09-20	PRIJEM	VKLAD	44639	106372	\N	\N	\N
2451954	8085	1998-11-08	PRIJEM	VKLAD	44074	53058	\N	\N	\N
2451955	8085	1998-09-06	PRIJEM	VKLAD	18487	28399	\N	\N	\N
2451956	8085	1998-03-09	PRIJEM	VKLAD	31094	30691	\N	\N	\N
2451957	8085	1998-09-12	PRIJEM	VKLAD	13127	66073	\N	\N	\N
2451958	8085	1998-12-14	PRIJEM	VKLAD	41059	55753	\N	\N	\N
2451965	8085	1996-07-05	VYDAJ	VYBER	4800	55371	\N	\N	0
2451966	8085	1996-08-03	VYDAJ	VYBER	4500	51006	\N	\N	0
2451967	8085	1996-09-13	VYDAJ	VYBER	4600	75239	\N	\N	0
2451968	8085	1996-10-05	VYDAJ	VYBER	3700	32236	\N	\N	0
2451969	8085	1996-11-12	VYDAJ	VYBER	4500	15430	\N	\N	0
2451970	8085	1996-12-04	VYDAJ	VYBER	3400	59220	\N	\N	0
2451971	8085	1997-01-21	VYDAJ	VYBER	4300	25066	\N	\N	0
2451972	8085	1997-02-19	VYDAJ	VYBER	5000	33068	\N	\N	0
2451973	8085	1997-03-21	VYDAJ	VYBER	3400	4760	\N	\N	0
2451975	8085	1997-05-16	VYDAJ	VYBER	5100	32584	\N	\N	0
2451976	8085	1997-06-10	VYDAJ	VYBER	4200	13655	\N	\N	0
2451977	8085	1997-07-19	VYDAJ	VYBER	5200	77102	\N	\N	0
2451978	8085	1997-08-04	VYDAJ	VYBER	5200	41612	\N	\N	0
2451979	8085	1997-09-03	VYDAJ	VYBER	5300	15962	\N	\N	0
2451980	8085	1997-10-06	VYDAJ	VYBER	5000	32936	\N	\N	0
2451981	8085	1997-11-12	VYDAJ	PREVOD NA UCET	4340	32765	UVER	ST	4945105
2451982	8085	1997-12-12	VYDAJ	PREVOD NA UCET	4340	4494	UVER	ST	4945105
2451985	8085	1998-03-12	VYDAJ	PREVOD NA UCET	4340	25435	UVER	ST	4945105
2451986	8085	1998-04-12	VYDAJ	PREVOD NA UCET	4340	6590	UVER	ST	4945105
2451987	8085	1998-05-12	VYDAJ	PREVOD NA UCET	4340	40483	UVER	ST	4945105
2451988	8085	1998-06-12	VYDAJ	PREVOD NA UCET	4340	13945	UVER	ST	4945105
2451990	8085	1998-08-12	VYDAJ	PREVOD NA UCET	4340	9867	UVER	ST	4945105
2451991	8085	1998-09-12	VYDAJ	PREVOD NA UCET	4340	61733	UVER	ST	4945105
2451992	8085	1998-10-12	VYDAJ	PREVOD NA UCET	4340	32532	UVER	ST	4945105
2451993	8085	1998-11-12	VYDAJ	PREVOD NA UCET	4340	47802	UVER	ST	4945105
2451994	8085	1998-12-12	VYDAJ	PREVOD NA UCET	4340	14694	UVER	ST	4945105
2452001	8085	1996-07-09	VYDAJ	PREVOD NA UCET	916	41121	SIPO	KL	18004334
2452002	8085	1996-08-09	VYDAJ	PREVOD NA UCET	916	43196	SIPO	KL	18004334
2452003	8085	1996-09-09	VYDAJ	PREVOD NA UCET	916	39761	SIPO	KL	18004334
2452004	8085	1996-10-09	VYDAJ	PREVOD NA UCET	916	20355	SIPO	KL	18004334
2452005	8085	1996-11-09	VYDAJ	PREVOD NA UCET	916	19930	SIPO	KL	18004334
2452006	8085	1996-12-09	VYDAJ	PREVOD NA UCET	916	17839	SIPO	KL	18004334
2452007	8085	1997-01-09	VYDAJ	PREVOD NA UCET	916	6242	SIPO	KL	18004334
2452008	8085	1997-02-09	VYDAJ	PREVOD NA UCET	916	38068	SIPO	KL	18004334
2452009	8085	1997-03-09	VYDAJ	PREVOD NA UCET	916	8160	SIPO	KL	18004334
2452010	8085	1997-04-09	VYDAJ	PREVOD NA UCET	916	3869	SIPO	KL	18004334
2452011	8085	1997-05-09	VYDAJ	PREVOD NA UCET	916	49084	SIPO	KL	18004334
2452012	8085	1997-06-09	VYDAJ	PREVOD NA UCET	916	17855	SIPO	KL	18004334
2452013	8085	1997-07-09	VYDAJ	PREVOD NA UCET	916	20418	SIPO	KL	18004334
2452014	8085	1997-08-09	VYDAJ	PREVOD NA UCET	916	29731	SIPO	KL	18004334
2452015	8085	1997-09-09	VYDAJ	PREVOD NA UCET	916	4081	SIPO	KL	18004334
2452016	8085	1997-10-09	VYDAJ	PREVOD NA UCET	916	21055	SIPO	KL	18004334
2452017	8085	1997-11-09	VYDAJ	PREVOD NA UCET	916	18481	SIPO	KL	18004334
2452018	8085	1997-12-09	VYDAJ	PREVOD NA UCET	916	8834	SIPO	KL	18004334
2452019	8085	1998-01-09	VYDAJ	PREVOD NA UCET	916	339	SIPO	KL	18004334
2452020	8085	1998-02-09	VYDAJ	PREVOD NA UCET	916	-437	SIPO	KL	18004334
2452021	8085	1998-03-09	VYDAJ	PREVOD NA UCET	916	29775	SIPO	KL	18004334
2452022	8085	1998-04-09	VYDAJ	PREVOD NA UCET	916	10930	SIPO	KL	18004334
2452023	8085	1998-05-09	VYDAJ	PREVOD NA UCET	916	44823	SIPO	KL	18004334
2452024	8085	1998-06-09	VYDAJ	PREVOD NA UCET	916	18285	SIPO	KL	18004334
2452025	8085	1998-07-09	VYDAJ	PREVOD NA UCET	916	626	SIPO	KL	18004334
2452026	8085	1998-08-09	VYDAJ	PREVOD NA UCET	916	14207	SIPO	KL	18004334
2452027	8085	1998-09-09	VYDAJ	PREVOD NA UCET	916	52946	SIPO	KL	18004334
2452028	8085	1998-10-09	VYDAJ	PREVOD NA UCET	916	28562	SIPO	KL	18004334
2452029	8085	1998-11-09	VYDAJ	PREVOD NA UCET	916	52142	SIPO	KL	18004334
2452030	8085	1998-12-09	VYDAJ	PREVOD NA UCET	916	26534	SIPO	KL	18004334
2452038	8085	1996-08-06	VYDAJ	PREVOD NA UCET	10965	25541	 	KL	82082688
2452039	8085	1996-09-06	VYDAJ	PREVOD NA UCET	10965	40677	 	KL	82082688
2452040	8085	1996-10-06	VYDAJ	PREVOD NA UCET	10965	21271	 	KL	82082688
2452041	8085	1996-11-06	VYDAJ	PREVOD NA UCET	10965	20846	 	KL	82082688
2452042	8085	1996-12-06	VYDAJ	PREVOD NA UCET	10965	24155	 	KL	82082688
2452043	8085	1997-01-06	VYDAJ	PREVOD NA UCET	10965	7158	 	KL	82082688
2452044	8085	1997-02-06	VYDAJ	PREVOD NA UCET	10965	38984	 	KL	82082688
2452045	8085	1997-03-06	VYDAJ	PREVOD NA UCET	10965	9076	 	KL	82082688
2452048	8085	1997-06-06	VYDAJ	PREVOD NA UCET	10965	18771	 	KL	82082688
2452049	8085	1997-07-06	VYDAJ	PREVOD NA UCET	10965	21334	 	KL	82082688
2452050	8085	1997-08-06	VYDAJ	PREVOD NA UCET	10965	30647	 	KL	82082688
2452051	8085	1997-09-06	VYDAJ	PREVOD NA UCET	10965	4997	 	KL	82082688
2452052	8085	1997-10-06	VYDAJ	PREVOD NA UCET	10965	21971	 	KL	82082688
2452053	8085	1997-11-06	VYDAJ	PREVOD NA UCET	10965	19397	 	KL	82082688
2452054	8085	1997-12-06	VYDAJ	PREVOD NA UCET	10965	9750	 	KL	82082688
2452055	8085	1998-01-06	VYDAJ	PREVOD NA UCET	10965	1255	 	KL	82082688
2452056	8085	1998-02-06	VYDAJ	PREVOD NA UCET	10965	479	 	KL	82082688
2452057	8085	1998-03-06	VYDAJ	PREVOD NA UCET	10965	-403	 	KL	82082688
2452058	8085	1998-04-06	VYDAJ	PREVOD NA UCET	10965	11846	 	KL	82082688
2452059	8085	1998-05-06	VYDAJ	PREVOD NA UCET	10965	45739	 	KL	82082688
2452060	8085	1998-06-06	VYDAJ	PREVOD NA UCET	10965	19201	 	KL	82082688
2452061	8085	1998-07-06	VYDAJ	PREVOD NA UCET	10965	1542	 	KL	82082688
2452062	8085	1998-08-06	VYDAJ	PREVOD NA UCET	10965	15123	 	KL	82082688
2452063	8085	1998-09-06	VYDAJ	PREVOD NA UCET	10965	17434	 	KL	82082688
2452064	8085	1998-10-06	VYDAJ	PREVOD NA UCET	10965	29478	 	KL	82082688
2452065	8085	1998-11-06	VYDAJ	PREVOD NA UCET	10965	8984	 	KL	82082688
2452066	8085	1998-12-06	VYDAJ	PREVOD NA UCET	10965	27450	 	KL	82082688
2452067	8085	1996-09-14	VYBER	VYBER	19347	55892	\N	\N	\N
2452068	8085	1996-07-27	VYBER	VYBER	4472	47917	\N	\N	\N
2452073	8085	1997-11-22	VYBER	VYBER	3363	29402	\N	\N	\N
2452074	8085	1997-06-03	VYBER	VYBER	11751	29736	\N	\N	\N
2452081	8085	1998-11-18	VYBER	VYBER	4513	52459	\N	\N	\N
2452085	8085	1996-12-07	VYDAJ	VYBER	5400	18755	\N	\N	\N
2452086	8085	1997-12-02	VYDAJ	VYBER	5100	20715	\N	\N	\N
2452087	8085	1998-12-10	VYDAJ	VYBER	7500	19034	\N	\N	\N
2452097	8085	1997-01-12	VYDAJ	VYBER	3900	29366	\N	\N	\N
2452098	8085	1997-01-21	VYDAJ	VYBER	3900	21166	\N	\N	\N
2452108	8085	1996-07-17	VYDAJ	VYBER	9000	32121	\N	\N	\N
2452109	8085	1997-05-11	VYDAJ	VYBER	11400	37684	\N	\N	\N
2452111	8085	1997-02-28	VYDAJ	VYBER	9300	23956	\N	\N	\N
2452117	8085	1998-10-21	VYDAJ	VYBER	7200	25332	\N	\N	\N
2452119	8085	1998-05-15	VYDAJ	VYBER	9000	31483	\N	\N	\N
2452121	8085	1998-12-19	VYDAJ	VYBER	4800	50953	\N	\N	\N
2452129	8085	1996-07-31	VYDAJ	VYBER	15	48104	SLUZBY	\N	\N
2452130	8085	1996-08-31	VYDAJ	VYBER	15	89342	SLUZBY	\N	\N
2452131	8085	1996-09-30	VYDAJ	VYBER	15	56136	SLUZBY	\N	\N
2452132	8085	1996-10-31	VYDAJ	VYBER	15	45911	SLUZBY	\N	\N
2452133	8085	1996-11-30	VYDAJ	VYBER	15	62620	SLUZBY	\N	\N
2452134	8085	1996-12-31	VYDAJ	VYBER	15	17923	SLUZBY	\N	\N
2452135	8085	1997-01-31	VYDAJ	VYBER	15	88449	SLUZBY	\N	\N
2452136	8085	1997-02-28	VYDAJ	VYBER	15	23941	SLUZBY	\N	\N
2452137	8085	1997-03-31	VYDAJ	VYBER	15	4785	SLUZBY	\N	\N
2452138	8085	1997-04-30	VYDAJ	VYBER	15	3874	SLUZBY	\N	\N
2452139	8085	1997-05-31	VYDAJ	VYBER	15	32683	SLUZBY	\N	\N
2452140	8085	1997-06-30	VYDAJ	VYBER	15	41699	SLUZBY	\N	\N
2452141	8085	1997-07-31	VYDAJ	VYBER	15	77312	SLUZBY	\N	\N
2452142	8085	1997-08-31	VYDAJ	VYBER	15	29862	SLUZBY	\N	\N
2452143	8085	1997-09-30	VYDAJ	VYBER	15	28327	SLUZBY	\N	\N
2452144	8085	1997-10-31	VYDAJ	VYBER	15	30362	SLUZBY	\N	\N
2452145	8085	1997-11-30	VYDAJ	VYBER	15	25815	SLUZBY	\N	\N
2452146	8085	1997-12-31	VYDAJ	VYBER	15	12220	SLUZBY	\N	\N
2452147	8085	1998-01-31	VYDAJ	VYBER	15	11444	SLUZBY	\N	\N
2452148	8085	1998-02-28	VYDAJ	VYBER	15	10565	SLUZBY	\N	\N
2452149	8085	1998-03-31	VYDAJ	VYBER	15	22811	SLUZBY	\N	\N
2452150	8085	1998-04-30	VYDAJ	VYBER	15	56704	SLUZBY	\N	\N
2452151	8085	1998-05-31	VYDAJ	VYBER	15	30166	SLUZBY	\N	\N
2452152	8085	1998-06-30	VYDAJ	VYBER	15	12507	SLUZBY	\N	\N
2452153	8085	1998-07-31	VYDAJ	VYBER	15	26088	SLUZBY	\N	\N
2452154	8085	1998-08-31	VYDAJ	VYBER	15	9912	SLUZBY	\N	\N
2452155	8085	1998-09-30	VYDAJ	VYBER	15	40443	SLUZBY	\N	\N
2452156	8085	1998-10-31	VYDAJ	VYBER	15	19949	SLUZBY	\N	\N
2452157	8085	1998-11-30	VYDAJ	VYBER	15	38415	SLUZBY	\N	\N
2452158	8085	1996-05-08	VYDAJ	VYBER	5400	26060	\N	\N	\N
2452159	8085	1996-06-07	VYDAJ	VYBER	4200	21991	\N	\N	\N
2452160	8085	1996-07-01	VYDAJ	VYBER	51500	60171	\N	\N	\N
2452161	8085	1996-07-07	VYDAJ	VYBER	20600	34771	\N	\N	\N
2452162	8085	1996-08-06	VYDAJ	VYBER	14500	36506	\N	\N	\N
2452163	8085	1996-09-05	VYDAJ	VYBER	37700	51642	\N	\N	\N
2452164	8085	1996-10-05	VYDAJ	VYBER	20200	35936	\N	\N	\N
2452165	8085	1996-11-04	VYDAJ	VYBER	14100	31811	\N	\N	\N
2452166	8085	1996-12-04	VYDAJ	VYBER	24100	35120	\N	\N	\N
2452167	8085	1997-01-03	PRIJEM	VKLAD	200	18123	\N	\N	\N
2452168	8085	1997-02-02	VYDAJ	VYBER	38500	49949	\N	\N	\N
2452169	8085	1997-03-04	VYDAJ	VYBER	3900	20041	\N	\N	\N
2452170	8085	1997-06-02	VYDAJ	VYBER	22200	41487	\N	\N	\N
2452171	8085	1997-07-02	VYDAJ	VYBER	9400	32299	\N	\N	\N
2452172	8085	1997-08-01	VYDAJ	VYBER	30500	46812	\N	\N	\N
2452173	8085	1997-08-31	VYDAJ	VYBER	8600	21262	\N	\N	\N
2452174	8085	1997-09-30	VYDAJ	VYBER	5200	23127	\N	\N	\N
2452175	8085	1997-10-30	VYDAJ	VYBER	12100	30269	\N	\N	\N
2452176	8085	1997-11-29	VYDAJ	VYBER	3700	25702	\N	\N	\N
2452177	8085	1997-12-29	PRIJEM	VKLAD	7700	12194	\N	\N	\N
2452178	8085	1998-01-28	PRIJEM	VKLAD	11100	11439	\N	\N	\N
2452179	8085	1998-02-27	PRIJEM	VKLAD	11000	10563	\N	\N	\N
2452180	8085	1998-03-29	VYDAJ	VYBER	2700	22735	\N	\N	\N
2452181	8085	1998-04-28	VYDAJ	VYBER	17900	38027	\N	\N	\N
2452182	8085	1998-05-28	VYDAJ	VYBER	18800	29995	\N	\N	\N
2452183	8085	1998-06-27	VYDAJ	VYBER	1500	12445	\N	\N	\N
2452184	8085	1998-07-27	VYDAJ	VYBER	17500	26053	\N	\N	\N
2452185	8085	1998-09-20	VYDAJ	VYBER	45800	60572	\N	\N	\N
2452186	8085	1998-09-25	VYDAJ	VYBER	20300	40272	\N	\N	\N
2452187	8085	1998-10-25	VYDAJ	VYBER	5500	19832	\N	\N	\N
2452188	8085	1998-11-24	VYDAJ	VYBER	14200	38259	\N	\N	\N
2453985	8092	1995-01-11	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2453987	8092	1995-02-08	PRIJEM	VKLAD	9324	10324	\N	\N	\N
2453988	8092	1995-03-08	PRIJEM	VKLAD	9324	24792	\N	\N	\N
2453989	8092	1995-04-08	PRIJEM	VKLAD	9324	32200	\N	\N	\N
2453990	8092	1995-05-08	PRIJEM	VKLAD	9324	37734	\N	\N	\N
2453991	8092	1995-06-08	PRIJEM	VKLAD	13986	45346	\N	\N	\N
2453992	8092	1995-07-08	PRIJEM	VKLAD	9324	37061	\N	\N	\N
2453993	8092	1995-08-08	PRIJEM	VKLAD	9324	33562	\N	\N	\N
2453994	8092	1995-09-08	PRIJEM	VKLAD	9324	28644	\N	\N	\N
2453995	8092	1995-10-08	PRIJEM	VKLAD	9324	23109	\N	\N	\N
2453996	8092	1995-11-08	PRIJEM	VKLAD	9324	22363	\N	\N	\N
2453997	8092	1995-12-08	PRIJEM	VKLAD	13986	24371	\N	\N	\N
2453998	8092	1996-01-08	PRIJEM	VKLAD	9324	22405	\N	\N	\N
2453999	8092	1996-02-08	PRIJEM	VKLAD	9324	21623	\N	\N	\N
2454000	8092	1996-03-08	PRIJEM	VKLAD	9324	24282	\N	\N	\N
2454001	8092	1996-04-08	PRIJEM	VKLAD	9324	25214	\N	\N	\N
2454002	8092	1996-05-08	PRIJEM	VKLAD	9324	23651	\N	\N	\N
2454003	8092	1996-06-08	PRIJEM	VKLAD	13986	29001	\N	\N	\N
2454004	8092	1996-07-08	PRIJEM	VKLAD	9324	23949	\N	\N	\N
2454005	8092	1996-08-08	PRIJEM	VKLAD	9324	21483	\N	\N	\N
2454006	8092	1996-09-08	PRIJEM	VKLAD	9324	21121	\N	\N	\N
2454007	8092	1996-10-08	PRIJEM	VKLAD	9324	23342	\N	\N	\N
2454008	8092	1996-11-08	PRIJEM	VKLAD	9324	25580	\N	\N	\N
2454009	8092	1996-12-08	PRIJEM	VKLAD	13986	26889	\N	\N	\N
2454010	8092	1997-01-08	PRIJEM	VKLAD	9324	21789	\N	\N	\N
2454011	8092	1997-02-08	PRIJEM	VKLAD	9324	22498	\N	\N	\N
2454012	8092	1997-03-08	PRIJEM	VKLAD	9324	21016	\N	\N	\N
2454013	8092	1997-04-08	PRIJEM	VKLAD	9324	21016	\N	\N	\N
2454014	8092	1997-05-08	PRIJEM	VKLAD	9324	21128	\N	\N	\N
2454015	8092	1997-06-08	PRIJEM	VKLAD	13986	28018	\N	\N	\N
2454016	8092	1997-07-08	PRIJEM	VKLAD	9324	22750	\N	\N	\N
2454017	8092	1997-08-08	PRIJEM	VKLAD	9324	23404	\N	\N	\N
2454018	8092	1997-09-08	PRIJEM	VKLAD	9324	21224	\N	\N	\N
2454019	8092	1997-10-08	PRIJEM	VKLAD	9324	23436	\N	\N	\N
2454020	8092	1997-11-08	PRIJEM	VKLAD	9324	25674	\N	\N	\N
2454021	8092	1997-12-08	PRIJEM	VKLAD	13986	32567	\N	\N	\N
2454022	8092	1998-01-08	PRIJEM	VKLAD	9324	22588	\N	\N	\N
2454023	8092	1998-02-08	PRIJEM	VKLAD	9324	24205	\N	\N	\N
2454024	8092	1998-03-08	PRIJEM	VKLAD	9324	26429	\N	\N	\N
2454025	8092	1998-04-08	PRIJEM	VKLAD	9324	28663	\N	\N	\N
2454026	8092	1998-05-08	PRIJEM	VKLAD	9324	26586	\N	\N	\N
2454027	8092	1998-06-08	PRIJEM	VKLAD	13986	32529	\N	\N	\N
2454028	8092	1998-07-08	PRIJEM	VKLAD	9324	34784	\N	\N	\N
2454029	8092	1998-08-08	PRIJEM	VKLAD	9324	37052	\N	\N	\N
2454030	8092	1998-09-08	PRIJEM	VKLAD	9324	39332	\N	\N	\N
2454031	8092	1998-10-08	PRIJEM	VKLAD	9324	40538	\N	\N	\N
2454032	8092	1998-11-08	PRIJEM	VKLAD	9324	39342	\N	\N	\N
2454033	8092	1998-12-08	PRIJEM	VKLAD	13986	46307	\N	\N	\N
2454039	8092	1995-06-12	VYDAJ	PREVOD NA UCET	6216	28430	SIPO	ST	92639082
2454040	8092	1995-07-12	VYDAJ	PREVOD NA UCET	6216	24945	SIPO	ST	92639082
2454041	8092	1995-08-12	VYDAJ	PREVOD NA UCET	6216	20146	SIPO	ST	92639082
2454042	8092	1995-09-12	VYDAJ	PREVOD NA UCET	6216	14628	SIPO	ST	92639082
2454043	8092	1995-10-12	VYDAJ	PREVOD NA UCET	6216	14193	SIPO	ST	92639082
2454044	8092	1995-11-12	VYDAJ	PREVOD NA UCET	6216	16147	SIPO	ST	92639082
2454045	8092	1995-12-12	VYDAJ	PREVOD NA UCET	6216	18155	SIPO	ST	92639082
2454046	8092	1996-01-12	VYDAJ	PREVOD NA UCET	6216	14989	SIPO	ST	92639082
2454047	8092	1996-02-12	VYDAJ	PREVOD NA UCET	6216	15407	SIPO	ST	92639082
2454048	8092	1996-03-12	VYDAJ	PREVOD NA UCET	6216	18066	SIPO	ST	92639082
2454049	8092	1996-04-12	VYDAJ	PREVOD NA UCET	6216	18998	SIPO	ST	92639082
2454050	8092	1996-05-12	VYDAJ	PREVOD NA UCET	6216	16500	SIPO	ST	92639082
2454051	8092	1996-06-12	VYDAJ	PREVOD NA UCET	6216	21850	SIPO	ST	92639082
2454052	8092	1996-07-12	VYDAJ	PREVOD NA UCET	6216	16798	SIPO	ST	92639082
2454053	8092	1996-08-12	VYDAJ	PREVOD NA UCET	6216	14332	SIPO	ST	92639082
2454054	8092	1996-09-12	VYDAJ	PREVOD NA UCET	6216	14905	SIPO	ST	92639082
2454055	8092	1996-10-12	VYDAJ	PREVOD NA UCET	6216	16191	SIPO	ST	92639082
2454056	8092	1996-11-12	VYDAJ	PREVOD NA UCET	6216	18429	SIPO	ST	92639082
2454057	8092	1996-12-12	VYDAJ	PREVOD NA UCET	6216	20673	SIPO	ST	92639082
2454058	8092	1997-01-12	VYDAJ	PREVOD NA UCET	6216	12718	SIPO	ST	92639082
2454059	8092	1997-02-12	VYDAJ	PREVOD NA UCET	6216	16282	SIPO	ST	92639082
2454060	8092	1997-03-12	VYDAJ	PREVOD NA UCET	6216	14800	SIPO	ST	92639082
2454061	8092	1997-04-12	VYDAJ	PREVOD NA UCET	6216	13865	SIPO	ST	92639082
2454062	8092	1997-05-12	VYDAJ	PREVOD NA UCET	6216	13977	SIPO	ST	92639082
2454063	8092	1997-06-12	VYDAJ	PREVOD NA UCET	6216	20867	SIPO	ST	92639082
2454064	8092	1997-07-12	VYDAJ	PREVOD NA UCET	6216	15599	SIPO	ST	92639082
2454065	8092	1997-08-12	VYDAJ	PREVOD NA UCET	6216	17188	SIPO	ST	92639082
2454066	8092	1997-09-12	VYDAJ	PREVOD NA UCET	6216	15008	SIPO	ST	92639082
2454067	8092	1997-10-12	VYDAJ	PREVOD NA UCET	6216	16285	SIPO	ST	92639082
2454068	8092	1997-11-12	VYDAJ	PREVOD NA UCET	6216	19458	SIPO	ST	92639082
2454069	8092	1997-12-12	VYDAJ	PREVOD NA UCET	6216	25416	SIPO	ST	92639082
2454070	8092	1998-01-12	VYDAJ	PREVOD NA UCET	6216	15437	SIPO	ST	92639082
2454071	8092	1998-02-12	VYDAJ	PREVOD NA UCET	6216	17989	SIPO	ST	92639082
2454072	8092	1998-03-12	VYDAJ	PREVOD NA UCET	6216	19278	SIPO	ST	92639082
2454073	8092	1998-04-12	VYDAJ	PREVOD NA UCET	6216	21512	SIPO	ST	92639082
2454074	8092	1998-05-12	VYDAJ	PREVOD NA UCET	6216	20370	SIPO	ST	92639082
2454075	8092	1998-06-12	VYDAJ	PREVOD NA UCET	6216	26313	SIPO	ST	92639082
2454076	8092	1998-07-12	VYDAJ	PREVOD NA UCET	6216	28568	SIPO	ST	92639082
2454077	8092	1998-08-12	VYDAJ	PREVOD NA UCET	6216	30836	SIPO	ST	92639082
2454078	8092	1998-09-12	VYDAJ	PREVOD NA UCET	6216	33116	SIPO	ST	92639082
2454079	8092	1998-10-12	VYDAJ	PREVOD NA UCET	6216	33387	SIPO	ST	92639082
2454080	8092	1998-11-12	VYDAJ	PREVOD NA UCET	6216	32191	SIPO	ST	92639082
2454081	8092	1998-12-12	VYDAJ	PREVOD NA UCET	6216	39156	SIPO	ST	92639082
2454087	8092	1995-06-14	VYDAJ	VYBER	800	27630	\N	\N	0
2454088	8092	1995-07-18	VYDAJ	VYBER	800	24145	\N	\N	0
2454089	8092	1995-08-13	VYDAJ	VYBER	900	19246	\N	\N	0
2454090	8092	1995-09-14	VYDAJ	VYBER	900	13728	\N	\N	0
2454091	8092	1995-10-17	VYDAJ	VYBER	1100	13093	\N	\N	0
2454092	8092	1995-11-18	VYDAJ	VYBER	900	9847	\N	\N	0
2454093	8092	1995-12-04	VYDAJ	VYBER	700	9185	\N	\N	0
2454094	8092	1996-01-16	VYDAJ	VYBER	800	14189	\N	\N	0
2454095	8092	1996-02-04	VYDAJ	VYBER	1100	12299	\N	\N	0
2454096	8092	1996-03-12	VYDAJ	PREVOD NA UCET	935	17131	UVER	QR	98730998
2454097	8092	1996-04-12	VYDAJ	PREVOD NA UCET	935	18063	UVER	QR	98730998
2454098	8092	1996-05-12	VYDAJ	PREVOD NA UCET	935	22716	UVER	QR	98730998
2454099	8092	1996-06-12	VYDAJ	PREVOD NA UCET	935	28066	UVER	QR	98730998
2454100	8092	1996-07-12	VYDAJ	PREVOD NA UCET	935	23014	UVER	QR	98730998
2454101	8092	1996-08-12	VYDAJ	PREVOD NA UCET	935	20548	UVER	QR	98730998
2454102	8092	1996-09-12	VYDAJ	PREVOD NA UCET	935	13970	UVER	QR	98730998
2454103	8092	1996-10-12	VYDAJ	PREVOD NA UCET	935	22407	UVER	QR	98730998
2454104	8092	1996-11-12	VYDAJ	PREVOD NA UCET	935	24645	UVER	QR	98730998
2454105	8092	1996-12-12	VYDAJ	PREVOD NA UCET	935	19738	UVER	QR	98730998
2454106	8092	1997-01-12	VYDAJ	PREVOD NA UCET	935	18934	UVER	QR	98730998
2454107	8092	1997-02-12	VYDAJ	PREVOD NA UCET	935	15347	UVER	QR	98730998
2454108	8092	1997-03-12	VYDAJ	PREVOD NA UCET	935	13865	UVER	QR	98730998
2454109	8092	1997-04-12	VYDAJ	PREVOD NA UCET	935	20081	UVER	QR	98730998
2454110	8092	1997-05-12	VYDAJ	PREVOD NA UCET	935	20193	UVER	QR	98730998
2454111	8092	1997-06-12	VYDAJ	PREVOD NA UCET	935	27083	UVER	QR	98730998
2454112	8092	1997-07-12	VYDAJ	PREVOD NA UCET	935	21815	UVER	QR	98730998
2454113	8092	1997-08-12	VYDAJ	PREVOD NA UCET	935	16253	UVER	QR	98730998
2454114	8092	1997-09-12	VYDAJ	PREVOD NA UCET	935	14073	UVER	QR	98730998
2454115	8092	1997-10-12	VYDAJ	PREVOD NA UCET	935	22501	UVER	QR	98730998
2454116	8092	1997-11-12	VYDAJ	PREVOD NA UCET	935	18523	UVER	QR	98730998
2454117	8092	1997-12-12	VYDAJ	PREVOD NA UCET	935	31632	UVER	QR	98730998
2454118	8092	1998-01-12	VYDAJ	PREVOD NA UCET	935	21653	UVER	QR	98730998
2454119	8092	1998-02-12	VYDAJ	PREVOD NA UCET	935	17054	UVER	QR	98730998
2454120	8092	1998-03-12	VYDAJ	PREVOD NA UCET	935	25494	UVER	QR	98730998
2454121	8092	1998-04-12	VYDAJ	PREVOD NA UCET	935	27728	UVER	QR	98730998
2454122	8092	1998-05-12	VYDAJ	PREVOD NA UCET	935	19435	UVER	QR	98730998
2454123	8092	1998-06-12	VYDAJ	PREVOD NA UCET	935	25378	UVER	QR	98730998
2454124	8092	1998-07-12	VYDAJ	PREVOD NA UCET	935	27633	UVER	QR	98730998
2454125	8092	1998-08-12	VYDAJ	PREVOD NA UCET	935	29901	UVER	QR	98730998
2454126	8092	1998-09-12	VYDAJ	PREVOD NA UCET	935	32181	UVER	QR	98730998
2454127	8092	1998-10-12	VYDAJ	PREVOD NA UCET	935	39603	UVER	QR	98730998
2454128	8092	1998-11-12	VYDAJ	PREVOD NA UCET	935	38407	UVER	QR	98730998
2454129	8092	1998-12-12	VYDAJ	PREVOD NA UCET	935	45372	UVER	QR	98730998
2454134	8092	1995-12-14	VYDAJ	VYBER	4320	13835	\N	\N	\N
2454135	8092	1996-12-29	VYDAJ	VYBER	3040	16698	\N	\N	\N
2454136	8092	1997-12-23	VYDAJ	VYBER	4320	21096	\N	\N	\N
2454145	8092	1996-01-17	VYDAJ	VYBER	840	13349	\N	\N	\N
2454149	8092	1996-01-12	VYDAJ	VYBER	1200	21205	\N	\N	\N
2454153	8092	1997-01-12	VYDAJ	VYBER	960	19869	\N	\N	\N
2454155	8092	1997-01-11	VYDAJ	VYBER	960	20829	\N	\N	\N
2454157	8092	1998-01-23	VYDAJ	VYBER	600	14837	\N	\N	\N
2454162	8092	1995-11-12	VYDAJ	VYBER	5400	10747	\N	\N	\N
2454170	8092	1996-07-16	VYDAJ	VYBER	1200	15598	\N	\N	\N
2454171	8092	1996-06-03	VYDAJ	VYBER	1560	15015	\N	\N	\N
2454173	8092	1997-03-12	VYDAJ	VYBER	5520	8345	\N	\N	\N
2454174	8092	1997-07-13	VYDAJ	VYBER	1560	14039	\N	\N	\N
2454177	8092	1998-12-19	VYDAJ	VYBER	3960	35196	\N	\N	\N
2454178	8092	1998-09-19	VYDAJ	VYBER	1080	31101	\N	\N	\N
2454180	8092	1998-05-02	VYDAJ	VYBER	4320	17262	\N	\N	\N
2454181	8092	1998-10-16	VYDAJ	VYBER	3480	29907	\N	\N	\N
2454182	8092	1998-05-13	VYDAJ	VYBER	960	18475	\N	\N	\N
2454189	8092	1995-06-30	VYDAJ	VYBER	15	27737	SLUZBY	\N	\N
2454190	8092	1995-07-31	VYDAJ	VYBER	15	24238	SLUZBY	\N	\N
2454191	8092	1995-08-31	VYDAJ	VYBER	15	19320	SLUZBY	\N	\N
2454192	8092	1995-09-30	VYDAJ	VYBER	15	13785	SLUZBY	\N	\N
2454193	8092	1995-10-31	VYDAJ	VYBER	15	13139	SLUZBY	\N	\N
2454194	8092	1995-11-30	VYDAJ	VYBER	15	9885	SLUZBY	\N	\N
2454195	8092	1995-12-31	VYDAJ	VYBER	15	13881	SLUZBY	\N	\N
2454196	8092	1996-01-31	VYDAJ	VYBER	15	13399	SLUZBY	\N	\N
2454197	8092	1996-02-29	VYDAJ	VYBER	15	15458	SLUZBY	\N	\N
2454198	8092	1996-03-31	VYDAJ	VYBER	15	17190	SLUZBY	\N	\N
2454199	8092	1996-04-30	VYDAJ	VYBER	15	18127	SLUZBY	\N	\N
2454200	8092	1996-05-31	VYDAJ	VYBER	15	16575	SLUZBY	\N	\N
2454201	8092	1996-06-30	VYDAJ	VYBER	15	21925	SLUZBY	\N	\N
2454202	8092	1996-07-31	VYDAJ	VYBER	15	15659	SLUZBY	\N	\N
2454203	8092	1996-08-31	VYDAJ	VYBER	15	14397	SLUZBY	\N	\N
2454204	8092	1996-09-30	VYDAJ	VYBER	15	14018	SLUZBY	\N	\N
2454205	8092	1996-10-31	VYDAJ	VYBER	15	16256	SLUZBY	\N	\N
2454206	8092	1996-11-30	VYDAJ	VYBER	15	18503	SLUZBY	\N	\N
2454207	8092	1996-12-31	VYDAJ	VYBER	15	12465	SLUZBY	\N	\N
2454208	8092	1997-01-31	VYDAJ	VYBER	15	13174	SLUZBY	\N	\N
2454209	8092	1997-02-28	VYDAJ	VYBER	15	15392	SLUZBY	\N	\N
2454210	8092	1997-03-31	VYDAJ	VYBER	15	11692	SLUZBY	\N	\N
2454211	8092	1997-04-30	VYDAJ	VYBER	15	11804	SLUZBY	\N	\N
2454212	8092	1997-05-31	VYDAJ	VYBER	15	14032	SLUZBY	\N	\N
2454213	8092	1997-06-30	VYDAJ	VYBER	15	13426	SLUZBY	\N	\N
2454214	8092	1997-07-31	VYDAJ	VYBER	15	14080	SLUZBY	\N	\N
2454215	8092	1997-08-31	VYDAJ	VYBER	15	11900	SLUZBY	\N	\N
2454216	8092	1997-09-30	VYDAJ	VYBER	15	14112	SLUZBY	\N	\N
2454217	8092	1997-10-31	VYDAJ	VYBER	15	16350	SLUZBY	\N	\N
2454218	8092	1997-11-30	VYDAJ	VYBER	15	18581	SLUZBY	\N	\N
2454219	8092	1997-12-31	VYDAJ	VYBER	15	13264	SLUZBY	\N	\N
2454220	8092	1998-01-31	VYDAJ	VYBER	15	14881	SLUZBY	\N	\N
2454221	8092	1998-02-28	VYDAJ	VYBER	15	17105	SLUZBY	\N	\N
2454222	8092	1998-03-31	VYDAJ	VYBER	15	19339	SLUZBY	\N	\N
2454223	8092	1998-04-30	VYDAJ	VYBER	15	21582	SLUZBY	\N	\N
2454224	8092	1998-05-31	VYDAJ	VYBER	15	18543	SLUZBY	\N	\N
2454225	8092	1998-06-30	VYDAJ	VYBER	15	25460	SLUZBY	\N	\N
2454226	8092	1998-07-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
2454227	8092	1998-08-31	VYDAJ	VYBER	15	30008	SLUZBY	\N	\N
2454228	8092	1998-09-30	VYDAJ	VYBER	15	31214	SLUZBY	\N	\N
2454229	8092	1998-10-31	VYDAJ	VYBER	15	30018	SLUZBY	\N	\N
2454230	8092	1998-11-30	VYDAJ	VYBER	15	32321	SLUZBY	\N	\N
2454231	8092	1995-02-10	PRIJEM	VKLAD	5100	15424	\N	\N	\N
2454232	8092	1995-03-12	VYDAJ	VYBER	2000	22792	\N	\N	\N
2454233	8092	1995-04-11	VYDAJ	VYBER	3900	28300	\N	\N	\N
2454234	8092	1995-05-11	VYDAJ	VYBER	6500	31234	\N	\N	\N
2454235	8092	1995-06-10	VYDAJ	VYBER	10700	34646	\N	\N	\N
2454236	8092	1995-07-10	VYDAJ	VYBER	5900	31161	\N	\N	\N
2454237	8092	1995-08-09	VYDAJ	VYBER	7200	26362	\N	\N	\N
2454238	8092	1995-09-08	VYDAJ	VYBER	7800	20844	\N	\N	\N
2454239	8092	1995-10-08	VYDAJ	VYBER	2700	20409	\N	\N	\N
2454240	8092	1995-11-07	VYDAJ	VYBER	100	13039	\N	\N	\N
2454241	8092	1995-12-07	PRIJEM	VKLAD	1200	10385	\N	\N	\N
2454242	8092	1996-01-06	VYDAJ	VYBER	800	13081	\N	\N	\N
2454243	8092	1996-03-06	VYDAJ	VYBER	500	14958	\N	\N	\N
2454244	8092	1996-04-05	VYDAJ	VYBER	1300	15890	\N	\N	\N
2454245	8092	1996-05-05	VYDAJ	VYBER	3800	14327	\N	\N	\N
2454246	8092	1996-07-04	VYDAJ	VYBER	7300	14625	\N	\N	\N
2454247	8092	1996-08-03	VYDAJ	VYBER	3500	12159	\N	\N	\N
2454248	8092	1996-09-02	VYDAJ	VYBER	2600	11797	\N	\N	\N
2454249	8092	1996-12-01	VYDAJ	VYBER	5600	12903	\N	\N	\N
2454250	8092	1996-12-31	VYDAJ	VYBER	4300	12480	\N	\N	\N
2454251	8092	1997-01-30	PRIJEM	VKLAD	400	13118	\N	\N	\N
2454252	8092	1997-03-01	VYDAJ	VYBER	3700	11692	\N	\N	\N
2454253	8092	1997-03-31	PRIJEM	VKLAD	3300	11645	\N	\N	\N
2454254	8092	1997-04-30	VYDAJ	VYBER	2100	11818	\N	\N	\N
2454255	8092	1997-06-29	VYDAJ	VYBER	7500	13367	\N	\N	\N
2454256	8092	1997-08-28	VYDAJ	VYBER	4400	11853	\N	\N	\N
2454257	8092	1997-12-26	VYDAJ	VYBER	7900	13196	\N	\N	\N
2454258	8092	1998-12-21	VYDAJ	VYBER	21500	13696	\N	\N	\N
2454606	8094	1996-11-24	PRIJEM	VKLAD	600	600	\N	\N	\N
2454618	8094	1996-12-11	PRIJEM	PREVOD Z UCTU	69012	69612	\N	UV	24325549
2454619	8094	1997-01-11	PRIJEM	PREVOD Z UCTU	46008	91869	\N	UV	24325549
2454620	8094	1997-02-11	PRIJEM	PREVOD Z UCTU	46008	101980	\N	UV	24325549
2454621	8094	1997-03-11	PRIJEM	PREVOD Z UCTU	46008	105524	\N	UV	24325549
2454622	8094	1997-04-11	PRIJEM	PREVOD Z UCTU	46008	83636	\N	UV	24325549
2454623	8094	1997-05-11	PRIJEM	PREVOD Z UCTU	46008	94497	\N	UV	24325549
2454624	8094	1997-06-11	PRIJEM	PREVOD Z UCTU	69012	102556	\N	UV	24325549
2454625	8094	1997-07-11	PRIJEM	PREVOD Z UCTU	46008	98530	\N	UV	24325549
2454626	8094	1997-08-11	PRIJEM	PREVOD Z UCTU	46008	81246	\N	UV	24325549
2454627	8094	1997-09-11	PRIJEM	PREVOD Z UCTU	46008	88856	\N	UV	24325549
2454628	8094	1997-10-11	PRIJEM	PREVOD Z UCTU	46008	92789	\N	UV	24325549
2454629	8094	1997-11-11	PRIJEM	PREVOD Z UCTU	46008	96637	\N	UV	24325549
2454630	8094	1997-12-11	PRIJEM	PREVOD Z UCTU	69012	110011	\N	UV	24325549
2454631	8094	1998-01-11	PRIJEM	PREVOD Z UCTU	46008	66668	\N	UV	24325549
2454632	8094	1998-02-11	PRIJEM	PREVOD Z UCTU	46008	66345	\N	UV	24325549
2454633	8094	1998-03-11	PRIJEM	PREVOD Z UCTU	46008	79189	\N	UV	24325549
2454634	8094	1998-04-11	PRIJEM	PREVOD Z UCTU	46008	83177	\N	UV	24325549
2454635	8094	1998-05-11	PRIJEM	PREVOD Z UCTU	46008	80859	\N	UV	24325549
2454636	8094	1998-06-11	PRIJEM	PREVOD Z UCTU	69012	101499	\N	UV	24325549
2454637	8094	1998-07-11	PRIJEM	PREVOD Z UCTU	46008	78652	\N	UV	24325549
2454638	8094	1998-08-11	PRIJEM	PREVOD Z UCTU	46008	91546	\N	UV	24325549
2454639	8094	1998-09-11	PRIJEM	PREVOD Z UCTU	46008	78357	\N	UV	24325549
2454640	8094	1998-10-11	PRIJEM	PREVOD Z UCTU	46008	79837	\N	UV	24325549
2454641	8094	1998-11-11	PRIJEM	PREVOD Z UCTU	46008	86045	\N	UV	24325549
2454642	8094	1998-12-11	PRIJEM	PREVOD Z UCTU	69012	114748	\N	UV	24325549
2454658	8094	1997-04-15	VYDAJ	VYBER	6000	71971	\N	\N	0
2454659	8094	1997-05-12	VYDAJ	PREVOD NA UCET	6123	74009	UVER	UV	16097522
2454660	8094	1997-06-12	VYDAJ	PREVOD NA UCET	6123	90768	UVER	UV	16097522
2454661	8094	1997-07-12	VYDAJ	PREVOD NA UCET	6123	86742	UVER	UV	16097522
2454662	8094	1997-08-12	VYDAJ	PREVOD NA UCET	6123	69458	UVER	UV	16097522
2454663	8094	1997-09-12	VYDAJ	PREVOD NA UCET	6123	77068	UVER	UV	16097522
2454664	8094	1997-10-12	VYDAJ	PREVOD NA UCET	6123	81001	UVER	UV	16097522
2454665	8094	1997-11-12	VYDAJ	PREVOD NA UCET	6123	84849	UVER	UV	16097522
2454666	8094	1997-12-12	VYDAJ	PREVOD NA UCET	6123	25546	UVER	UV	16097522
2454667	8094	1998-01-12	VYDAJ	PREVOD NA UCET	6123	47666	UVER	UV	16097522
2454668	8094	1998-02-12	VYDAJ	PREVOD NA UCET	6123	54557	UVER	UV	16097522
2454669	8094	1998-03-12	VYDAJ	PREVOD NA UCET	6123	67401	UVER	UV	16097522
2454670	8094	1998-04-12	VYDAJ	PREVOD NA UCET	6123	71389	UVER	UV	16097522
2454671	8094	1998-05-12	VYDAJ	PREVOD NA UCET	6123	69071	UVER	UV	16097522
2454672	8094	1998-06-12	VYDAJ	PREVOD NA UCET	6123	47111	UVER	UV	16097522
2454673	8094	1998-07-12	VYDAJ	PREVOD NA UCET	6123	66864	UVER	UV	16097522
2454674	8094	1998-08-12	VYDAJ	PREVOD NA UCET	6123	79758	UVER	UV	16097522
2454675	8094	1998-09-12	VYDAJ	PREVOD NA UCET	6123	66569	UVER	UV	16097522
2454676	8094	1998-10-12	VYDAJ	PREVOD NA UCET	6123	68049	UVER	UV	16097522
2454677	8094	1998-11-12	VYDAJ	PREVOD NA UCET	6123	74257	UVER	UV	16097522
2454678	8094	1998-12-12	VYDAJ	PREVOD NA UCET	6123	74160	UVER	UV	16097522
2454694	8094	1997-04-11	VYDAJ	PREVOD NA UCET	5665	77971	SIPO	CD	81951832
2454695	8094	1997-05-11	VYDAJ	PREVOD NA UCET	5665	88832	SIPO	CD	81951832
2454696	8094	1997-06-11	VYDAJ	PREVOD NA UCET	5665	96891	SIPO	CD	81951832
2454697	8094	1997-07-11	VYDAJ	PREVOD NA UCET	5665	92865	SIPO	CD	81951832
2454698	8094	1997-08-11	VYDAJ	PREVOD NA UCET	5665	75581	SIPO	CD	81951832
2454699	8094	1997-09-11	VYDAJ	PREVOD NA UCET	5665	83191	SIPO	CD	81951832
2454700	8094	1997-10-11	VYDAJ	PREVOD NA UCET	5665	87124	SIPO	CD	81951832
2454701	8094	1997-11-11	VYDAJ	PREVOD NA UCET	5665	90972	SIPO	CD	81951832
2454702	8094	1997-12-11	VYDAJ	PREVOD NA UCET	5665	95069	SIPO	CD	81951832
2454703	8094	1998-01-11	VYDAJ	PREVOD NA UCET	5665	61003	SIPO	CD	81951832
2454704	8094	1998-02-11	VYDAJ	PREVOD NA UCET	5665	60680	SIPO	CD	81951832
2454705	8094	1998-03-11	VYDAJ	PREVOD NA UCET	5665	73524	SIPO	CD	81951832
2454706	8094	1998-04-11	VYDAJ	PREVOD NA UCET	5665	77512	SIPO	CD	81951832
2454707	8094	1998-05-11	VYDAJ	PREVOD NA UCET	5665	75194	SIPO	CD	81951832
2454708	8094	1998-06-11	VYDAJ	PREVOD NA UCET	5665	95834	SIPO	CD	81951832
2454709	8094	1998-07-11	VYDAJ	PREVOD NA UCET	5665	72987	SIPO	CD	81951832
2454710	8094	1998-08-11	VYDAJ	PREVOD NA UCET	5665	85881	SIPO	CD	81951832
2454711	8094	1998-09-11	VYDAJ	PREVOD NA UCET	5665	72692	SIPO	CD	81951832
2454712	8094	1998-10-11	VYDAJ	PREVOD NA UCET	5665	74172	SIPO	CD	81951832
2454713	8094	1998-11-11	VYDAJ	PREVOD NA UCET	5665	80380	SIPO	CD	81951832
2454714	8094	1998-12-11	VYDAJ	PREVOD NA UCET	5665	80283	SIPO	CD	81951832
2454716	8094	1997-07-29	VYBER	VYBER	12646	34996	\N	\N	\N
2454717	8094	1997-11-21	VYBER	VYBER	12272	40777	\N	\N	\N
2454718	8094	1997-12-11	VYBER	VYBER	9277	100734	\N	\N	\N
2454722	8094	1998-01-13	VYBER	VYBER	12416	35250	\N	\N	\N
2454723	8094	1998-10-13	VYBER	VYBER	7180	60869	\N	\N	\N
2454725	8094	1998-12-14	VYBER	VYBER	20544	53616	\N	\N	\N
2454726	8094	1998-05-18	VYBER	VYBER	22468	46603	\N	\N	\N
2454728	8094	1998-08-23	VYBER	VYBER	15191	32167	\N	\N	\N
2454729	8094	1998-01-12	VYBER	VYBER	7214	53789	\N	\N	\N
2454731	8094	1997-06-07	VYDAJ	VYBER	12300	33544	\N	\N	\N
2454732	8094	1998-06-11	VYDAJ	VYBER	42600	53234	\N	\N	\N
2454738	8094	1998-12-11	VYDAJ	VYBER	5700	85948	\N	\N	\N
2454754	8094	1998-01-16	VYDAJ	VYBER	6300	28950	\N	\N	\N
2454766	8094	1997-05-12	VYDAJ	VYBER	8700	80132	\N	\N	\N
2454767	8094	1997-07-21	VYDAJ	VYBER	8700	78042	\N	\N	\N
2454768	8094	1998-04-17	VYDAJ	VYBER	5100	56089	\N	\N	\N
2454769	8094	1998-12-21	VYDAJ	VYBER	8400	29416	\N	\N	\N
2454770	8094	1998-08-14	VYDAJ	VYBER	6000	73758	\N	\N	\N
2454771	8094	1998-04-13	VYDAJ	VYBER	10200	61189	\N	\N	\N
2454772	8094	1998-10-03	VYDAJ	VYBER	8400	33829	\N	\N	\N
2454789	8094	1997-04-30	VYDAJ	VYBER	15	48489	SLUZBY	\N	\N
2454790	8094	1997-05-31	VYDAJ	VYBER	15	45844	SLUZBY	\N	\N
2454791	8094	1997-06-30	VYDAJ	VYBER	15	52522	SLUZBY	\N	\N
2454792	8094	1997-07-31	VYDAJ	VYBER	15	35238	SLUZBY	\N	\N
2454793	8094	1997-08-31	VYDAJ	VYBER	15	42848	SLUZBY	\N	\N
2454794	8094	1997-09-30	VYDAJ	VYBER	15	46781	SLUZBY	\N	\N
2454795	8094	1997-10-31	VYDAJ	VYBER	15	50629	SLUZBY	\N	\N
2454796	8094	1997-11-30	VYDAJ	VYBER	15	40999	SLUZBY	\N	\N
2454797	8094	1997-12-31	VYDAJ	VYBER	15	20660	SLUZBY	\N	\N
2454798	8094	1998-01-31	VYDAJ	VYBER	15	20337	SLUZBY	\N	\N
2454799	8094	1998-02-28	VYDAJ	VYBER	15	33181	SLUZBY	\N	\N
2454800	8094	1998-03-31	VYDAJ	VYBER	15	37169	SLUZBY	\N	\N
2454801	8094	1998-04-30	VYDAJ	VYBER	15	34851	SLUZBY	\N	\N
2454802	8094	1998-05-31	VYDAJ	VYBER	15	32487	SLUZBY	\N	\N
2454803	8094	1998-06-30	VYDAJ	VYBER	15	32644	SLUZBY	\N	\N
2454804	8094	1998-07-31	VYDAJ	VYBER	15	45538	SLUZBY	\N	\N
2454805	8094	1998-08-31	VYDAJ	VYBER	15	32349	SLUZBY	\N	\N
2454806	8094	1998-09-30	VYDAJ	VYBER	15	42229	SLUZBY	\N	\N
2454807	8094	1998-10-31	VYDAJ	VYBER	15	40037	SLUZBY	\N	\N
2454808	8094	1998-11-30	VYDAJ	VYBER	15	45736	SLUZBY	\N	\N
2454809	8094	1996-12-24	VYDAJ	VYBER	23800	45812	\N	\N	\N
2454810	8094	1997-01-23	VYDAJ	VYBER	36100	55769	\N	\N	\N
2454811	8094	1997-02-22	VYDAJ	VYBER	42700	59280	\N	\N	\N
2454812	8094	1997-03-11	VYDAJ	VYBER	47800	57724	\N	\N	\N
2454813	8094	1997-03-24	VYDAJ	VYBER	20400	37324	\N	\N	\N
2454814	8094	1997-04-23	VYDAJ	VYBER	23700	48271	\N	\N	\N
2454815	8094	1997-05-23	VYDAJ	VYBER	28400	45609	\N	\N	\N
2454816	8094	1997-06-22	VYDAJ	VYBER	38500	52268	\N	\N	\N
2454817	8094	1997-07-22	VYDAJ	VYBER	30400	47642	\N	\N	\N
2454818	8094	1997-08-21	VYDAJ	VYBER	26800	42658	\N	\N	\N
2454819	8094	1997-09-20	VYDAJ	VYBER	30500	46568	\N	\N	\N
2454820	8094	1997-10-20	VYDAJ	VYBER	30600	50401	\N	\N	\N
2454821	8094	1997-11-19	VYDAJ	VYBER	31800	53049	\N	\N	\N
2454822	8094	1997-12-11	VYDAJ	VYBER	63400	31669	\N	\N	\N
2454823	8094	1997-12-19	VYDAJ	VYBER	5000	20546	\N	\N	\N
2454824	8094	1998-01-18	VYDAJ	VYBER	8700	20250	\N	\N	\N
2454825	8094	1998-02-17	VYDAJ	VYBER	21500	33057	\N	\N	\N
2454826	8094	1998-03-19	VYDAJ	VYBER	30400	37001	\N	\N	\N
2454827	8094	1998-04-18	VYDAJ	VYBER	21400	34689	\N	\N	\N
2454828	8094	1998-05-18	VYDAJ	VYBER	14300	32303	\N	\N	\N
2454829	8094	1998-06-17	VYDAJ	VYBER	14600	32511	\N	\N	\N
2454830	8094	1998-07-17	VYDAJ	VYBER	21500	45364	\N	\N	\N
2454831	8094	1998-08-16	VYDAJ	VYBER	26400	47358	\N	\N	\N
2454832	8094	1998-09-15	VYDAJ	VYBER	24500	42069	\N	\N	\N
2454833	8094	1998-10-15	VYDAJ	VYBER	21000	39869	\N	\N	\N
2454834	8094	1998-11-14	VYDAJ	VYBER	28700	45557	\N	\N	\N
2454835	8094	1998-12-11	VYDAJ	VYBER	23100	91648	\N	\N	\N
2454836	8094	1998-12-14	VYDAJ	VYBER	15800	37816	\N	\N	\N
2459680	8114	1995-10-14	PRIJEM	VKLAD	600	600	\N	\N	\N
2459691	8114	1995-11-05	PRIJEM	VKLAD	18642	19242	\N	\N	\N
2459692	8114	1995-12-05	PRIJEM	VKLAD	27963	50361	\N	\N	\N
2459693	8114	1996-01-05	PRIJEM	VKLAD	18642	55733	\N	\N	\N
2459694	8114	1996-02-05	PRIJEM	VKLAD	18642	59740	\N	\N	\N
2459695	8114	1996-03-05	PRIJEM	VKLAD	18642	57045	\N	\N	\N
2459696	8114	1996-04-05	PRIJEM	VKLAD	18642	55089	\N	\N	\N
2459697	8114	1996-05-05	PRIJEM	VKLAD	18642	51623	\N	\N	\N
2459698	8114	1996-06-05	PRIJEM	VKLAD	27963	60869	\N	\N	\N
2459699	8114	1996-07-05	PRIJEM	VKLAD	18642	43326	\N	\N	\N
2459700	8114	1996-08-05	PRIJEM	VKLAD	18642	49834	\N	\N	\N
2459701	8114	1996-09-05	PRIJEM	VKLAD	18642	53156	\N	\N	\N
2459702	8114	1996-10-05	PRIJEM	VKLAD	18642	56394	\N	\N	\N
2459703	8114	1996-11-05	PRIJEM	VKLAD	18642	50216	\N	\N	\N
2459704	8114	1996-12-05	PRIJEM	VKLAD	27963	60343	\N	\N	\N
2459705	8114	1997-01-05	PRIJEM	VKLAD	18642	55883	\N	\N	\N
2459706	8114	1997-02-05	PRIJEM	VKLAD	18642	54813	\N	\N	\N
2459707	8114	1997-03-05	PRIJEM	VKLAD	18642	48419	\N	\N	\N
2459708	8114	1997-04-05	PRIJEM	VKLAD	18642	49633	\N	\N	\N
2459709	8114	1997-05-05	PRIJEM	VKLAD	18642	45726	\N	\N	\N
2459710	8114	1997-06-05	PRIJEM	VKLAD	27963	51920	\N	\N	\N
2459711	8114	1997-07-05	PRIJEM	VKLAD	18642	49875	\N	\N	\N
2459712	8114	1997-08-05	PRIJEM	VKLAD	18642	41651	\N	\N	\N
2459713	8114	1997-09-05	PRIJEM	VKLAD	18642	41560	\N	\N	\N
2459714	8114	1997-10-05	PRIJEM	VKLAD	18642	42099	\N	\N	\N
2459715	8114	1997-11-05	PRIJEM	VKLAD	18642	42079	\N	\N	\N
2459716	8114	1997-12-05	PRIJEM	VKLAD	27963	44222	\N	\N	\N
2459717	8114	1998-01-05	PRIJEM	VKLAD	18642	39410	\N	\N	\N
2459718	8114	1998-02-05	PRIJEM	VKLAD	18642	34871	\N	\N	\N
2459719	8114	1998-03-05	PRIJEM	VKLAD	18642	35799	\N	\N	\N
2459720	8114	1998-04-05	PRIJEM	VKLAD	18642	32837	\N	\N	\N
2459721	8114	1998-05-05	PRIJEM	VKLAD	18642	43464	\N	\N	\N
2459722	8114	1998-06-05	PRIJEM	VKLAD	27963	46949	\N	\N	\N
2459723	8114	1998-07-05	PRIJEM	VKLAD	18642	36763	\N	\N	\N
2459724	8114	1998-08-05	PRIJEM	VKLAD	18642	39199	\N	\N	\N
2459725	8114	1998-09-05	PRIJEM	VKLAD	18642	35239	\N	\N	\N
2459726	8114	1998-10-05	PRIJEM	VKLAD	18642	45868	\N	\N	\N
2459727	8114	1998-11-05	PRIJEM	VKLAD	18642	37631	\N	\N	\N
2459728	8114	1998-12-05	PRIJEM	VKLAD	27963	57590	\N	\N	\N
2459743	8114	1996-03-07	VYDAJ	PREVOD NA UCET	5958	50593	SIPO	MN	69633596
2459744	8114	1996-04-07	VYDAJ	PREVOD NA UCET	5958	48637	SIPO	MN	69633596
2459745	8114	1996-05-07	VYDAJ	PREVOD NA UCET	5958	45171	SIPO	MN	69633596
2459746	8114	1996-06-07	VYDAJ	PREVOD NA UCET	5958	54417	SIPO	MN	69633596
2459747	8114	1996-07-07	VYDAJ	PREVOD NA UCET	5958	36874	SIPO	MN	69633596
2459748	8114	1996-08-07	VYDAJ	PREVOD NA UCET	5958	41582	SIPO	MN	69633596
2459749	8114	1996-09-07	VYDAJ	PREVOD NA UCET	5958	46704	SIPO	MN	69633596
2459750	8114	1996-10-07	VYDAJ	PREVOD NA UCET	5958	49942	SIPO	MN	69633596
2459751	8114	1996-11-07	VYDAJ	PREVOD NA UCET	5958	43764	SIPO	MN	69633596
2459752	8114	1996-12-07	VYDAJ	PREVOD NA UCET	5958	39791	SIPO	MN	69633596
2459753	8114	1997-01-07	VYDAJ	PREVOD NA UCET	5958	36031	SIPO	MN	69633596
2459754	8114	1997-02-07	VYDAJ	PREVOD NA UCET	5958	30861	SIPO	MN	69633596
2459755	8114	1997-03-07	VYDAJ	PREVOD NA UCET	5958	32467	SIPO	MN	69633596
2459756	8114	1997-04-07	VYDAJ	PREVOD NA UCET	5958	26981	SIPO	MN	69633596
2459757	8114	1997-05-07	VYDAJ	PREVOD NA UCET	5958	27174	SIPO	MN	69633596
2459758	8114	1997-06-07	VYDAJ	PREVOD NA UCET	5958	33268	SIPO	MN	69633596
2459759	8114	1997-07-07	VYDAJ	PREVOD NA UCET	5958	28723	SIPO	MN	69633596
2459760	8114	1997-08-07	VYDAJ	PREVOD NA UCET	5958	35199	SIPO	MN	69633596
2459761	8114	1997-09-07	VYDAJ	PREVOD NA UCET	5958	35108	SIPO	MN	69633596
2459762	8114	1997-10-07	VYDAJ	PREVOD NA UCET	5958	35647	SIPO	MN	69633596
2459763	8114	1997-11-07	VYDAJ	PREVOD NA UCET	5958	35627	SIPO	MN	69633596
2459764	8114	1997-12-07	VYDAJ	PREVOD NA UCET	5958	37770	SIPO	MN	69633596
2459765	8114	1998-01-07	VYDAJ	PREVOD NA UCET	5958	30078	SIPO	MN	69633596
2459766	8114	1998-02-07	VYDAJ	PREVOD NA UCET	5958	28419	SIPO	MN	69633596
2459767	8114	1998-03-07	VYDAJ	PREVOD NA UCET	5958	29347	SIPO	MN	69633596
2459768	8114	1998-04-07	VYDAJ	PREVOD NA UCET	5958	26385	SIPO	MN	69633596
2459769	8114	1998-05-07	VYDAJ	PREVOD NA UCET	5958	37012	SIPO	MN	69633596
2459770	8114	1998-06-07	VYDAJ	PREVOD NA UCET	5958	40497	SIPO	MN	69633596
2459771	8114	1998-07-07	VYDAJ	PREVOD NA UCET	5958	30311	SIPO	MN	69633596
2459772	8114	1998-08-07	VYDAJ	PREVOD NA UCET	5958	32747	SIPO	MN	69633596
2459773	8114	1998-09-07	VYDAJ	PREVOD NA UCET	5958	28787	SIPO	MN	69633596
2459774	8114	1998-10-07	VYDAJ	PREVOD NA UCET	5958	39416	SIPO	MN	69633596
2459775	8114	1998-11-07	VYDAJ	PREVOD NA UCET	5958	31179	SIPO	MN	69633596
2459776	8114	1998-12-07	VYDAJ	PREVOD NA UCET	5958	51138	SIPO	MN	69633596
2459791	8114	1996-03-05	VYDAJ	PREVOD NA UCET	494	56551	 	GH	65448498
2459792	8114	1996-04-05	VYDAJ	PREVOD NA UCET	494	54595	 	GH	65448498
2459793	8114	1996-05-05	VYDAJ	PREVOD NA UCET	494	51129	 	GH	65448498
2459794	8114	1996-06-05	VYDAJ	PREVOD NA UCET	494	60375	 	GH	65448498
2459795	8114	1996-07-05	VYDAJ	PREVOD NA UCET	494	42832	 	GH	65448498
2459796	8114	1996-08-05	VYDAJ	PREVOD NA UCET	494	49340	 	GH	65448498
2459797	8114	1996-09-05	VYDAJ	PREVOD NA UCET	494	52662	 	GH	65448498
2459798	8114	1996-10-05	VYDAJ	PREVOD NA UCET	494	55900	 	GH	65448498
2459799	8114	1996-11-05	VYDAJ	PREVOD NA UCET	494	49722	 	GH	65448498
2459800	8114	1996-12-05	VYDAJ	PREVOD NA UCET	494	59849	 	GH	65448498
2459801	8114	1997-01-05	VYDAJ	PREVOD NA UCET	494	55389	 	GH	65448498
2459802	8114	1997-02-05	VYDAJ	PREVOD NA UCET	494	36819	 	GH	65448498
2459803	8114	1997-03-05	VYDAJ	PREVOD NA UCET	494	47925	 	GH	65448498
2459804	8114	1997-04-05	VYDAJ	PREVOD NA UCET	494	47739	 	GH	65448498
2459805	8114	1997-05-05	VYDAJ	PREVOD NA UCET	494	45232	 	GH	65448498
2459806	8114	1997-06-05	VYDAJ	PREVOD NA UCET	494	51426	 	GH	65448498
2459807	8114	1997-07-05	VYDAJ	PREVOD NA UCET	494	49381	 	GH	65448498
2459808	8114	1997-08-05	VYDAJ	PREVOD NA UCET	494	41157	 	GH	65448498
2459809	8114	1997-09-05	VYDAJ	PREVOD NA UCET	494	41066	 	GH	65448498
2459810	8114	1997-10-05	VYDAJ	PREVOD NA UCET	494	41605	 	GH	65448498
2459811	8114	1997-11-05	VYDAJ	PREVOD NA UCET	494	41585	 	GH	65448498
2459812	8114	1997-12-05	VYDAJ	PREVOD NA UCET	494	43728	 	GH	65448498
2459813	8114	1998-01-05	VYDAJ	PREVOD NA UCET	494	38916	 	GH	65448498
2459814	8114	1998-02-05	VYDAJ	PREVOD NA UCET	494	34377	 	GH	65448498
2459815	8114	1998-03-05	VYDAJ	PREVOD NA UCET	494	35305	 	GH	65448498
2459816	8114	1998-04-05	VYDAJ	PREVOD NA UCET	494	32343	 	GH	65448498
2459817	8114	1998-05-05	VYDAJ	PREVOD NA UCET	494	42970	 	GH	65448498
2459818	8114	1998-06-05	VYDAJ	PREVOD NA UCET	494	46455	 	GH	65448498
2459819	8114	1998-07-05	VYDAJ	PREVOD NA UCET	494	36269	 	GH	65448498
2459820	8114	1998-08-05	VYDAJ	PREVOD NA UCET	494	38705	 	GH	65448498
2459821	8114	1998-09-05	VYDAJ	PREVOD NA UCET	494	34745	 	GH	65448498
2459822	8114	1998-10-05	VYDAJ	PREVOD NA UCET	494	45374	 	GH	65448498
2459823	8114	1998-11-05	VYDAJ	PREVOD NA UCET	494	37137	 	GH	65448498
2459824	8114	1998-12-05	VYDAJ	PREVOD NA UCET	494	57096	 	GH	65448498
2459839	8114	1996-03-16	VYDAJ	VYBER	1500	36293	\N	\N	0
2459840	8114	1996-04-12	VYDAJ	VYBER	1500	34637	\N	\N	0
2459841	8114	1996-05-02	VYDAJ	VYBER	1800	32981	\N	\N	0
2459842	8114	1996-06-08	VYDAJ	VYBER	1800	52617	\N	\N	0
2459843	8114	1996-07-03	VYDAJ	VYBER	1300	24684	\N	\N	0
2459844	8114	1996-08-06	VYDAJ	VYBER	1800	47540	\N	\N	0
2459845	8114	1996-09-17	VYDAJ	VYBER	1800	37604	\N	\N	0
2459846	8114	1996-10-19	VYDAJ	VYBER	1600	39942	\N	\N	0
2459847	8114	1996-11-17	VYDAJ	VYBER	1600	34964	\N	\N	0
2459848	8114	1996-12-16	VYDAJ	VYBER	1500	38291	\N	\N	0
2459849	8114	1997-01-02	VYDAJ	VYBER	1200	37241	\N	\N	0
2459850	8114	1997-02-11	VYDAJ	VYBER	1200	29661	\N	\N	0
2459851	8114	1997-03-13	VYDAJ	VYBER	1600	30867	\N	\N	0
2459852	8114	1997-04-05	VYDAJ	VYBER	1400	48233	\N	\N	0
2459853	8114	1997-05-06	VYDAJ	VYBER	1800	43432	\N	\N	0
2459854	8114	1997-06-02	VYDAJ	VYBER	1400	25877	\N	\N	0
2459855	8114	1997-07-05	VYDAJ	VYBER	1700	34681	\N	\N	0
2459856	8114	1997-08-18	VYDAJ	VYBER	1400	30799	\N	\N	0
2459857	8114	1997-09-12	VYDAJ	PREVOD NA UCET	1655	33453	UVER	EF	93537979
2459858	8114	1997-10-12	VYDAJ	PREVOD NA UCET	1655	33992	UVER	EF	93537979
2459859	8114	1997-11-12	VYDAJ	PREVOD NA UCET	1655	33972	UVER	EF	93537979
2459860	8114	1997-12-12	VYDAJ	PREVOD NA UCET	1655	36115	UVER	EF	93537979
2459861	8114	1998-01-12	VYDAJ	PREVOD NA UCET	1655	28423	UVER	EF	93537979
2459862	8114	1998-02-12	VYDAJ	PREVOD NA UCET	1655	26764	UVER	EF	93537979
2459863	8114	1998-03-12	VYDAJ	PREVOD NA UCET	1655	27692	UVER	EF	93537979
2459864	8114	1998-04-12	VYDAJ	PREVOD NA UCET	1655	24730	UVER	EF	93537979
2459865	8114	1998-05-12	VYDAJ	PREVOD NA UCET	1655	35357	UVER	EF	93537979
2459866	8114	1998-06-12	VYDAJ	PREVOD NA UCET	1655	38842	UVER	EF	93537979
2459867	8114	1998-07-12	VYDAJ	PREVOD NA UCET	1655	28656	UVER	EF	93537979
2459868	8114	1998-08-12	VYDAJ	PREVOD NA UCET	1655	31092	UVER	EF	93537979
2459869	8114	1998-09-12	VYDAJ	PREVOD NA UCET	1655	27132	UVER	EF	93537979
2459870	8114	1998-10-12	VYDAJ	PREVOD NA UCET	1655	37761	UVER	EF	93537979
2459871	8114	1998-11-12	VYDAJ	PREVOD NA UCET	1655	29524	UVER	EF	93537979
2459872	8114	1998-12-12	VYDAJ	PREVOD NA UCET	1655	49483	UVER	EF	93537979
2459874	8114	1996-06-28	VYDAJ	VYBER	11680	25837	\N	\N	\N
2459878	8114	1996-12-03	VYDAJ	VYBER	2720	32380	\N	\N	\N
2459879	8114	1997-12-03	VYDAJ	VYBER	4640	16259	\N	\N	\N
2459880	8114	1998-12-14	VYDAJ	VYBER	1920	47563	\N	\N	\N
2459886	8114	1996-10-30	VYDAJ	VYBER	4800	31422	\N	\N	\N
2459888	8114	1996-10-21	VYDAJ	VYBER	3720	36222	\N	\N	\N
2459890	8114	1997-06-04	VYDAJ	VYBER	1920	23957	\N	\N	\N
2459891	8114	1997-10-27	VYDAJ	VYBER	4680	29312	\N	\N	\N
2459892	8114	1997-07-02	VYDAJ	VYBER	2160	31233	\N	\N	\N
2459893	8114	1997-08-07	VYDAJ	VYBER	3000	32199	\N	\N	\N
2459894	8114	1997-09-19	VYDAJ	VYBER	1320	32133	\N	\N	\N
2459895	8114	1997-07-23	VYDAJ	VYBER	4920	23803	\N	\N	\N
2459896	8114	1998-06-21	VYDAJ	VYBER	4080	34762	\N	\N	\N
2459897	8114	1998-01-06	VYDAJ	VYBER	2880	36036	\N	\N	\N
2459898	8114	1998-06-30	VYDAJ	VYBER	4080	18121	\N	\N	\N
2459899	8114	1998-01-04	VYDAJ	VYBER	2880	20768	\N	\N	\N
2459915	8114	1996-03-31	VYDAJ	VYBER	15	36447	SLUZBY	\N	\N
2459916	8114	1996-04-30	VYDAJ	VYBER	15	34781	SLUZBY	\N	\N
2459917	8114	1996-05-31	VYDAJ	VYBER	15	32906	SLUZBY	\N	\N
2459918	8114	1996-06-30	VYDAJ	VYBER	15	25984	SLUZBY	\N	\N
2459919	8114	1996-07-31	VYDAJ	VYBER	15	31192	SLUZBY	\N	\N
2459920	8114	1996-08-31	VYDAJ	VYBER	15	34514	SLUZBY	\N	\N
2459921	8114	1996-09-30	VYDAJ	VYBER	15	37752	SLUZBY	\N	\N
2459922	8114	1996-10-31	VYDAJ	VYBER	15	31574	SLUZBY	\N	\N
2459923	8114	1996-11-30	VYDAJ	VYBER	15	35100	SLUZBY	\N	\N
2459924	8114	1996-12-31	VYDAJ	VYBER	15	38441	SLUZBY	\N	\N
2459925	8114	1997-01-31	VYDAJ	VYBER	15	36171	SLUZBY	\N	\N
2459926	8114	1997-02-28	VYDAJ	VYBER	15	29777	SLUZBY	\N	\N
2459927	8114	1997-03-31	VYDAJ	VYBER	15	30991	SLUZBY	\N	\N
2459928	8114	1997-04-30	VYDAJ	VYBER	15	27084	SLUZBY	\N	\N
2459929	8114	1997-05-31	VYDAJ	VYBER	15	27277	SLUZBY	\N	\N
2459930	8114	1997-06-30	VYDAJ	VYBER	15	33393	SLUZBY	\N	\N
2459931	8114	1997-07-31	VYDAJ	VYBER	15	23909	SLUZBY	\N	\N
2459932	8114	1997-08-31	VYDAJ	VYBER	15	30918	SLUZBY	\N	\N
2459933	8114	1997-09-30	VYDAJ	VYBER	15	32257	SLUZBY	\N	\N
2459934	8114	1997-10-31	VYDAJ	VYBER	15	29437	SLUZBY	\N	\N
2459935	8114	1997-11-30	VYDAJ	VYBER	15	34099	SLUZBY	\N	\N
2459936	8114	1997-12-31	VYDAJ	VYBER	15	36248	SLUZBY	\N	\N
2459937	8114	1998-01-31	VYDAJ	VYBER	15	16229	SLUZBY	\N	\N
2459938	8114	1998-02-28	VYDAJ	VYBER	15	26857	SLUZBY	\N	\N
2459939	8114	1998-03-31	VYDAJ	VYBER	15	27795	SLUZBY	\N	\N
2459940	8114	1998-04-30	VYDAJ	VYBER	15	24822	SLUZBY	\N	\N
2459941	8114	1998-05-31	VYDAJ	VYBER	15	35486	SLUZBY	\N	\N
2459942	8114	1998-06-30	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
2459943	8114	1998-07-31	VYDAJ	VYBER	15	20557	SLUZBY	\N	\N
2459944	8114	1998-08-31	VYDAJ	VYBER	15	16597	SLUZBY	\N	\N
2459945	8114	1998-09-30	VYDAJ	VYBER	15	27226	SLUZBY	\N	\N
2459946	8114	1998-10-31	VYDAJ	VYBER	15	18989	SLUZBY	\N	\N
2459947	8114	1998-11-30	VYDAJ	VYBER	15	29627	SLUZBY	\N	\N
2459948	8114	1995-11-13	PRIJEM	VKLAD	3100	22342	\N	\N	\N
2459949	8114	1995-12-13	VYDAJ	VYBER	13400	36961	\N	\N	\N
2459950	8114	1996-01-12	VYDAJ	VYBER	14800	40933	\N	\N	\N
2459951	8114	1996-02-11	VYDAJ	VYBER	21500	38240	\N	\N	\N
2459952	8114	1996-03-12	VYDAJ	VYBER	12800	37793	\N	\N	\N
2459953	8114	1996-04-11	VYDAJ	VYBER	12500	36137	\N	\N	\N
2459954	8114	1996-05-11	VYDAJ	VYBER	12400	32771	\N	\N	\N
2459955	8114	1996-06-10	VYDAJ	VYBER	15100	37517	\N	\N	\N
2459956	8114	1996-07-10	VYDAJ	VYBER	5800	31074	\N	\N	\N
2459957	8114	1996-08-09	VYDAJ	VYBER	7200	34382	\N	\N	\N
2459958	8114	1996-09-08	VYDAJ	VYBER	7300	39404	\N	\N	\N
2459959	8114	1996-10-08	VYDAJ	VYBER	8400	41542	\N	\N	\N
2459960	8114	1996-11-07	VYDAJ	VYBER	7200	36564	\N	\N	\N
2459961	8114	1996-12-07	VYDAJ	VYBER	14100	45749	\N	\N	\N
2459962	8114	1997-01-06	VYDAJ	VYBER	13400	41989	\N	\N	\N
2459963	8114	1997-02-05	VYDAJ	VYBER	17500	37313	\N	\N	\N
2459964	8114	1997-03-07	VYDAJ	VYBER	9500	38425	\N	\N	\N
2459965	8114	1997-04-06	VYDAJ	VYBER	14800	32939	\N	\N	\N
2459966	8114	1997-05-06	VYDAJ	VYBER	10300	33132	\N	\N	\N
2459967	8114	1997-06-05	VYDAJ	VYBER	12200	39226	\N	\N	\N
2459968	8114	1997-07-05	VYDAJ	VYBER	13000	36381	\N	\N	\N
2459969	8114	1997-08-04	VYDAJ	VYBER	900	23009	\N	\N	\N
2459970	8114	1997-09-03	VYDAJ	VYBER	8000	22918	\N	\N	\N
2459971	8114	1997-10-03	VYDAJ	VYBER	8800	23457	\N	\N	\N
2459972	8114	1997-11-02	VYDAJ	VYBER	6000	23437	\N	\N	\N
2459973	8114	1997-12-02	VYDAJ	VYBER	13200	20899	\N	\N	\N
2459974	8114	1998-01-01	VYDAJ	VYBER	12600	23648	\N	\N	\N
2459975	8114	1998-01-31	VYDAJ	VYBER	12300	16244	\N	\N	\N
2459976	8114	1998-03-02	VYDAJ	VYBER	9700	17157	\N	\N	\N
2459977	8114	1998-04-01	VYDAJ	VYBER	13600	14195	\N	\N	\N
2459978	8114	1998-05-31	VYDAJ	VYBER	16500	18986	\N	\N	\N
2459979	8114	1998-06-30	VYDAJ	VYBER	12700	22216	\N	\N	\N
2459980	8114	1998-07-30	VYDAJ	VYBER	8200	20456	\N	\N	\N
2459981	8114	1998-08-29	VYDAJ	VYBER	14600	16492	\N	\N	\N
2459982	8114	1998-10-28	VYDAJ	VYBER	18900	18861	\N	\N	\N
2463999	8127	1994-10-13	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2464001	8127	1995-03-25	PRIJEM	VKLAD	46574	164649	\N	\N	\N
2464002	8127	1995-06-12	PRIJEM	VKLAD	21786	51811	\N	\N	\N
2464003	8127	1995-12-13	PRIJEM	VKLAD	34246	79805	\N	\N	\N
2464004	8127	1995-11-28	PRIJEM	VKLAD	38914	91809	\N	\N	\N
2464005	8127	1995-10-11	PRIJEM	VKLAD	36113	60240	\N	\N	\N
2464006	8127	1995-03-25	PRIJEM	VKLAD	35077	118075	\N	\N	\N
2464007	8127	1995-07-11	PRIJEM	VKLAD	40881	85428	\N	\N	\N
2464008	8127	1995-11-12	PRIJEM	VKLAD	26776	60904	\N	\N	\N
2464009	8127	1995-06-23	PRIJEM	VKLAD	45215	92226	\N	\N	\N
2464010	8127	1995-07-04	PRIJEM	VKLAD	12105	104552	\N	\N	\N
2464011	8127	1995-12-18	PRIJEM	VKLAD	15060	94865	\N	\N	\N
2464012	8127	1995-04-12	PRIJEM	VKLAD	27694	96445	\N	\N	\N
2464013	8127	1995-03-15	PRIJEM	VKLAD	38221	82998	\N	\N	\N
2464014	8127	1995-03-07	PRIJEM	VKLAD	36916	69377	\N	\N	\N
2464015	8127	1995-05-07	PRIJEM	VKLAD	38192	128109	\N	\N	\N
2464016	8127	1995-10-19	PRIJEM	VKLAD	9344	58086	\N	\N	\N
2464017	8127	1995-11-05	PRIJEM	VKLAD	39234	60233	\N	\N	\N
2464018	8127	1995-04-12	PRIJEM	VKLAD	11447	68751	\N	\N	\N
2464019	8127	1995-01-02	PRIJEM	VKLAD	37702	55002	\N	\N	\N
2464020	8127	1996-04-28	PRIJEM	VKLAD	26809	58320	\N	\N	\N
2464021	8127	1996-09-24	PRIJEM	VKLAD	41816	142077	\N	\N	\N
2464022	8127	1996-08-27	PRIJEM	VKLAD	26986	80700	\N	\N	\N
2464023	8127	1996-08-21	PRIJEM	VKLAD	7044	53714	\N	\N	\N
2464024	8127	1996-02-14	PRIJEM	VKLAD	16754	45624	\N	\N	\N
2464025	8127	1996-09-15	PRIJEM	VKLAD	29407	99963	\N	\N	\N
2464026	8127	1996-07-26	PRIJEM	VKLAD	33128	72293	\N	\N	\N
2464027	8127	1996-03-02	PRIJEM	VKLAD	42673	88472	\N	\N	\N
2464028	8127	1996-09-03	PRIJEM	VKLAD	25629	85355	\N	\N	\N
2464029	8127	1996-09-29	PRIJEM	VKLAD	48151	148028	\N	\N	\N
2464030	8127	1996-08-02	PRIJEM	VKLAD	11672	84170	\N	\N	\N
2464031	8127	1996-06-05	PRIJEM	VKLAD	28211	86951	\N	\N	\N
2464032	8127	1996-10-28	PRIJEM	VKLAD	18211	99070	\N	\N	\N
2464033	8127	1996-06-24	PRIJEM	VKLAD	6048	68094	\N	\N	\N
2464034	8127	1996-05-30	PRIJEM	VKLAD	34624	83602	\N	\N	\N
2464035	8127	1996-09-18	PRIJEM	VKLAD	26698	126661	\N	\N	\N
2464036	8127	1996-04-04	PRIJEM	VKLAD	21858	67716	\N	\N	\N
2464037	8127	1996-12-30	PRIJEM	VKLAD	14302	59628	\N	\N	\N
2464038	8127	1996-10-25	PRIJEM	VKLAD	22816	80859	\N	\N	\N
2464039	8127	1996-01-11	PRIJEM	VKLAD	45625	95406	\N	\N	\N
2464040	8127	1996-12-20	PRIJEM	VKLAD	14002	45326	\N	\N	\N
2464041	8127	1996-05-04	PRIJEM	VKLAD	49818	102983	\N	\N	\N
2464042	8127	1997-03-18	PRIJEM	VKLAD	12413	48210	\N	\N	\N
2464043	8127	1997-08-28	PRIJEM	VKLAD	30936	112455	\N	\N	\N
2464044	8127	1997-05-24	PRIJEM	VKLAD	41037	90461	\N	\N	\N
2464045	8127	1997-09-20	PRIJEM	VKLAD	49951	118143	\N	\N	\N
2464046	8127	1997-08-07	PRIJEM	VKLAD	44757	102403	\N	\N	\N
2464047	8127	1997-07-13	PRIJEM	VKLAD	16745	86180	\N	\N	\N
2464048	8127	1997-06-01	PRIJEM	VKLAD	45724	115952	\N	\N	\N
2464049	8127	1997-06-28	PRIJEM	VKLAD	23805	91457	\N	\N	\N
2464050	8127	1997-07-16	PRIJEM	VKLAD	49435	128129	\N	\N	\N
2464051	8127	1997-12-26	PRIJEM	VKLAD	13720	51348	\N	\N	\N
2464052	8127	1997-08-07	PRIJEM	VKLAD	17308	57646	\N	\N	\N
2464053	8127	1997-11-09	PRIJEM	VKLAD	27382	89610	\N	\N	\N
2464054	8127	1997-04-03	PRIJEM	VKLAD	30513	83393	\N	\N	\N
2464055	8127	1997-02-02	PRIJEM	VKLAD	13444	52466	\N	\N	\N
2464056	8127	1997-06-30	PRIJEM	VKLAD	15049	83906	\N	\N	\N
2464057	8127	1997-10-06	PRIJEM	VKLAD	9022	95597	\N	\N	\N
2464058	8127	1997-03-29	PRIJEM	VKLAD	18071	54881	\N	\N	\N
2464059	8127	1997-04-15	PRIJEM	VKLAD	16644	85237	\N	\N	\N
2464060	8127	1997-03-01	PRIJEM	VKLAD	45471	83283	\N	\N	\N
2464061	8127	1997-10-18	PRIJEM	VKLAD	27458	108256	\N	\N	\N
2464062	8127	1997-10-04	PRIJEM	VKLAD	45704	121275	\N	\N	\N
2464063	8127	1997-12-02	PRIJEM	VKLAD	10684	70428	\N	\N	\N
2464064	8127	1998-12-25	PRIJEM	VKLAD	35818	137468	\N	\N	\N
2464065	8127	1998-09-25	PRIJEM	VKLAD	35716	108236	\N	\N	\N
2464066	8127	1998-09-17	PRIJEM	VKLAD	19995	91620	\N	\N	\N
2464067	8127	1998-02-24	PRIJEM	VKLAD	37827	71900	\N	\N	\N
2464068	8127	1998-04-04	PRIJEM	VKLAD	34629	97216	\N	\N	\N
2464069	8127	1998-03-08	PRIJEM	VKLAD	40173	102242	\N	\N	\N
2464070	8127	1998-08-23	PRIJEM	VKLAD	16560	49049	\N	\N	\N
2464071	8127	1998-08-28	PRIJEM	VKLAD	19958	80507	\N	\N	\N
2464072	8127	1998-12-24	PRIJEM	VKLAD	36269	101650	\N	\N	\N
2464073	8127	1998-03-24	PRIJEM	VKLAD	32128	119851	\N	\N	\N
2464074	8127	1998-09-29	PRIJEM	VKLAD	8889	117125	\N	\N	\N
2464075	8127	1998-10-01	PRIJEM	VKLAD	38509	100957	\N	\N	\N
2464076	8127	1998-04-12	PRIJEM	VKLAD	46474	135385	\N	\N	\N
2464077	8127	1998-12-06	PRIJEM	VKLAD	18195	71607	\N	\N	\N
2464078	8127	1998-07-22	PRIJEM	VKLAD	11509	53095	\N	\N	\N
2464079	8127	1998-03-21	PRIJEM	VKLAD	44195	121223	\N	\N	\N
2464080	8127	1998-03-19	PRIJEM	VKLAD	26681	120628	\N	\N	\N
2464081	8127	1998-12-06	PRIJEM	VKLAD	11317	82924	\N	\N	\N
2464082	8127	1998-10-20	PRIJEM	VKLAD	5894	90746	\N	\N	\N
2464083	8127	1998-09-02	PRIJEM	VKLAD	5311	86030	\N	\N	\N
2464084	8127	1998-04-24	PRIJEM	VKLAD	6532	82922	\N	\N	\N
2464085	8127	1998-12-10	PRIJEM	VKLAD	8262	74781	\N	\N	\N
2464086	8127	1998-12-04	PRIJEM	VKLAD	7976	53412	\N	\N	\N
2464102	8127	1995-04-20	VYDAJ	VYBER	6900	89545	\N	\N	0
2464103	8127	1995-05-13	VYDAJ	VYBER	5600	49104	\N	\N	0
2464104	8127	1995-06-14	VYDAJ	VYBER	4800	47011	\N	\N	0
2464105	8127	1995-07-07	VYDAJ	VYBER	7800	68747	\N	\N	0
2464106	8127	1995-08-09	VYDAJ	VYBER	6900	49662	\N	\N	0
2464107	8127	1995-09-02	VYDAJ	VYBER	7800	42113	\N	\N	0
2464108	8127	1995-10-21	VYDAJ	VYBER	6200	51886	\N	\N	0
2464109	8127	1995-11-07	VYDAJ	VYBER	6700	34128	\N	\N	0
2464110	8127	1995-12-20	VYDAJ	VYBER	5500	89365	\N	\N	0
2464111	8127	1996-01-12	VYDAJ	VYBER	5800	82706	\N	\N	0
2464112	8127	1996-02-12	VYDAJ	VYBER	5600	28870	\N	\N	0
2464113	8127	1996-03-03	VYDAJ	VYBER	5000	83472	\N	\N	0
2464114	8127	1996-04-11	VYDAJ	VYBER	7500	31511	\N	\N	0
2464115	8127	1996-05-02	VYDAJ	VYBER	5300	53165	\N	\N	0
2464116	8127	1996-06-12	VYDAJ	VYBER	5500	62046	\N	\N	0
2464117	8127	1996-07-18	VYDAJ	VYBER	5400	39165	\N	\N	0
2464118	8127	1996-08-12	VYDAJ	PREVOD NA UCET	6495	46670	UVER	AB	15843767
2464119	8127	1996-09-12	VYDAJ	PREVOD NA UCET	6495	70556	UVER	AB	15843767
2464120	8127	1996-10-12	VYDAJ	PREVOD NA UCET	6495	58043	UVER	AB	15843767
2464121	8127	1996-11-12	VYDAJ	PREVOD NA UCET	6495	55372	UVER	AB	15843767
2464122	8127	1996-12-12	VYDAJ	PREVOD NA UCET	6495	33424	UVER	AB	15843767
2464123	8127	1997-01-12	VYDAJ	PREVOD NA UCET	6495	29590	UVER	AB	15843767
2464124	8127	1997-02-12	VYDAJ	PREVOD NA UCET	6495	37666	UVER	AB	15843767
2464125	8127	1997-03-12	VYDAJ	PREVOD NA UCET	6495	35797	UVER	AB	15843767
2464126	8127	1997-04-12	VYDAJ	PREVOD NA UCET	6495	68593	UVER	AB	15843767
2464127	8127	1997-05-12	VYDAJ	PREVOD NA UCET	6495	49424	UVER	AB	15843767
2464128	8127	1997-06-12	VYDAJ	PREVOD NA UCET	6495	79352	UVER	AB	15843767
2464129	8127	1997-07-12	VYDAJ	PREVOD NA UCET	6495	69435	UVER	AB	15843767
2464130	8127	1997-08-12	VYDAJ	PREVOD NA UCET	6495	87603	UVER	AB	15843767
2464131	8127	1997-09-12	VYDAJ	PREVOD NA UCET	6495	68192	UVER	AB	15843767
2464132	8127	1997-10-12	VYDAJ	PREVOD NA UCET	6495	80798	UVER	AB	15843767
2464133	8127	1997-11-12	VYDAJ	PREVOD NA UCET	6495	83115	UVER	AB	15843767
2464134	8127	1997-12-12	VYDAJ	PREVOD NA UCET	6495	37628	UVER	AB	15843767
2464135	8127	1998-01-12	VYDAJ	PREVOD NA UCET	6495	26921	UVER	AB	15843767
2464136	8127	1998-02-12	VYDAJ	PREVOD NA UCET	6495	34073	UVER	AB	15843767
2464137	8127	1998-03-12	VYDAJ	PREVOD NA UCET	6495	95747	UVER	AB	15843767
2464138	8127	1998-04-12	VYDAJ	PREVOD NA UCET	6495	76390	UVER	AB	15843767
2464139	8127	1998-05-12	VYDAJ	PREVOD NA UCET	6495	58814	UVER	AB	15843767
2464140	8127	1998-06-12	VYDAJ	PREVOD NA UCET	6495	51167	UVER	AB	15843767
2464141	8127	1998-07-12	VYDAJ	PREVOD NA UCET	6495	41586	UVER	AB	15843767
2464142	8127	1998-08-07	VYDAJ	VYBER	6900	47189	\N	\N	0
2464143	8127	1998-09-15	VYDAJ	VYBER	6100	71625	\N	\N	0
2464144	8127	1998-10-13	VYDAJ	VYBER	7800	84852	\N	\N	0
2464145	8127	1998-11-09	VYDAJ	VYBER	5300	65053	\N	\N	0
2464146	8127	1998-12-21	VYDAJ	VYBER	7500	67281	\N	\N	0
2464162	8127	1995-04-07	VYDAJ	PREVOD NA UCET	8305	88704	SIPO	IJ	10767406
2464163	8127	1995-05-07	VYDAJ	PREVOD NA UCET	8305	84004	SIPO	IJ	10767406
2464164	8127	1995-06-07	VYDAJ	PREVOD NA UCET	8305	27625	SIPO	IJ	10767406
2464305	8127	1996-09-01	VYDAJ	VYBER	3600	77326	\N	\N	\N
2464165	8127	1995-07-07	VYDAJ	PREVOD NA UCET	8305	76547	SIPO	IJ	10767406
2464166	8127	1995-08-07	VYDAJ	PREVOD NA UCET	8305	77462	SIPO	IJ	10767406
2464167	8127	1995-09-07	VYDAJ	PREVOD NA UCET	8305	33808	SIPO	IJ	10767406
2464168	8127	1995-10-07	VYDAJ	PREVOD NA UCET	8305	20927	SIPO	IJ	10767406
2464169	8127	1995-11-07	VYDAJ	PREVOD NA UCET	8305	40828	SIPO	IJ	10767406
2464170	8127	1995-12-07	VYDAJ	PREVOD NA UCET	8305	49191	SIPO	IJ	10767406
2464171	8127	1996-01-07	VYDAJ	PREVOD NA UCET	8305	49781	SIPO	IJ	10767406
2464172	8127	1996-02-07	VYDAJ	PREVOD NA UCET	8305	40770	SIPO	IJ	10767406
2464173	8127	1996-03-07	VYDAJ	PREVOD NA UCET	8305	45667	SIPO	IJ	10767406
2464174	8127	1996-04-07	VYDAJ	PREVOD NA UCET	8305	39011	SIPO	IJ	10767406
2464175	8127	1996-05-07	VYDAJ	PREVOD NA UCET	8305	57978	SIPO	IJ	10767406
2464176	8127	1996-06-07	VYDAJ	PREVOD NA UCET	8305	78646	SIPO	IJ	10767406
2464177	8127	1996-07-07	VYDAJ	PREVOD NA UCET	8305	44565	SIPO	IJ	10767406
2464178	8127	1996-08-07	VYDAJ	PREVOD NA UCET	8305	53165	SIPO	IJ	10767406
2464179	8127	1996-09-07	VYDAJ	PREVOD NA UCET	8305	77050	SIPO	IJ	10767406
2464180	8127	1996-10-07	VYDAJ	PREVOD NA UCET	8305	64538	SIPO	IJ	10767406
2464181	8127	1996-11-07	VYDAJ	PREVOD NA UCET	8305	61866	SIPO	IJ	10767406
2464182	8127	1996-12-07	VYDAJ	PREVOD NA UCET	8305	39919	SIPO	IJ	10767406
2464183	8127	1997-01-07	VYDAJ	PREVOD NA UCET	8305	36084	SIPO	IJ	10767406
2464184	8127	1997-02-07	VYDAJ	PREVOD NA UCET	8305	44161	SIPO	IJ	10767406
2464185	8127	1997-03-07	VYDAJ	PREVOD NA UCET	8305	42292	SIPO	IJ	10767406
2464186	8127	1997-04-07	VYDAJ	PREVOD NA UCET	8305	75088	SIPO	IJ	10767406
2464187	8127	1997-05-07	VYDAJ	PREVOD NA UCET	8305	61726	SIPO	IJ	10767406
2464188	8127	1997-06-07	VYDAJ	PREVOD NA UCET	8305	85847	SIPO	IJ	10767406
2464189	8127	1997-07-07	VYDAJ	PREVOD NA UCET	8305	75930	SIPO	IJ	10767406
2464190	8127	1997-08-07	VYDAJ	PREVOD NA UCET	8305	94098	SIPO	IJ	10767406
2464191	8127	1997-09-07	VYDAJ	PREVOD NA UCET	8305	74687	SIPO	IJ	10767406
2464192	8127	1997-10-07	VYDAJ	PREVOD NA UCET	8305	87292	SIPO	IJ	10767406
2464193	8127	1997-11-07	VYDAJ	PREVOD NA UCET	8305	62228	SIPO	IJ	10767406
2464194	8127	1997-12-07	VYDAJ	PREVOD NA UCET	8305	44123	SIPO	IJ	10767406
2464195	8127	1998-01-07	VYDAJ	PREVOD NA UCET	8305	36416	SIPO	IJ	10767406
2464196	8127	1998-02-07	VYDAJ	PREVOD NA UCET	8305	40567	SIPO	IJ	10767406
2464197	8127	1998-03-07	VYDAJ	PREVOD NA UCET	8305	62069	SIPO	IJ	10767406
2464198	8127	1998-04-07	VYDAJ	PREVOD NA UCET	8305	88911	SIPO	IJ	10767406
2464199	8127	1998-05-07	VYDAJ	PREVOD NA UCET	8305	65309	SIPO	IJ	10767406
2464200	8127	1998-06-07	VYDAJ	PREVOD NA UCET	8305	57661	SIPO	IJ	10767406
2464201	8127	1998-07-07	VYDAJ	PREVOD NA UCET	8305	48081	SIPO	IJ	10767406
2464202	8127	1998-08-07	VYDAJ	PREVOD NA UCET	8305	54089	SIPO	IJ	10767406
2464203	8127	1998-09-07	VYDAJ	PREVOD NA UCET	8305	77725	SIPO	IJ	10767406
2464204	8127	1998-10-07	VYDAJ	PREVOD NA UCET	8305	92652	SIPO	IJ	10767406
2464205	8127	1998-11-07	VYDAJ	PREVOD NA UCET	8305	70353	SIPO	IJ	10767406
2464206	8127	1998-12-07	VYDAJ	PREVOD NA UCET	8305	66519	SIPO	IJ	10767406
2464220	8127	1995-10-17	VYBER	VYBER	2843	48742	\N	\N	\N
2464222	8127	1995-03-25	VYBER	VYBER	7255	157394	\N	\N	\N
2464223	8127	1995-12-12	VYBER	VYBER	3632	45559	\N	\N	\N
2464224	8127	1995-10-11	VYBER	VYBER	8655	51585	\N	\N	\N
2464225	8127	1995-10-23	VYBER	VYBER	13007	38879	\N	\N	\N
2464226	8127	1995-10-27	VYBER	VYBER	18022	20857	\N	\N	\N
2464228	8127	1995-06-06	VYBER	VYBER	10421	38930	\N	\N	\N
2464231	8127	1995-11-13	VYBER	VYBER	8009	52895	\N	\N	\N
2464232	8127	1997-09-21	VYBER	VYBER	3186	91057	\N	\N	\N
2464233	8127	1997-05-12	VYBER	VYBER	3707	55919	\N	\N	\N
2464234	8127	1997-08-21	VYBER	VYBER	6084	81519	\N	\N	\N
2464235	8127	1997-08-06	VYBER	VYBER	18213	40338	\N	\N	\N
2464236	8127	1997-11-14	VYBER	VYBER	9433	73682	\N	\N	\N
2464237	8127	1997-07-15	VYBER	VYBER	7486	78694	\N	\N	\N
2464238	8127	1997-10-19	VYBER	VYBER	5087	103169	\N	\N	\N
2464239	8127	1997-03-07	VYBER	VYBER	16086	50597	\N	\N	\N
2464241	8127	1997-10-25	VYBER	VYBER	24982	78187	\N	\N	\N
2464242	8127	1997-11-28	VYBER	VYBER	4623	59459	\N	\N	\N
2464243	8127	1997-07-21	VYBER	VYBER	16606	64623	\N	\N	\N
2464244	8127	1998-11-23	VYBER	VYBER	23360	45193	\N	\N	\N
2464245	8127	1998-12-27	VYBER	VYBER	3666	105802	\N	\N	\N
2464249	8127	1996-06-10	VYDAJ	VYBER	11100	67546	\N	\N	\N
2464254	8127	1996-01-11	VYDAJ	VYBER	5400	88506	\N	\N	\N
2464258	8127	1995-12-02	VYDAJ	VYBER	2100	89896	\N	\N	\N
2464259	8127	1996-12-15	VYDAJ	VYBER	2100	31324	\N	\N	\N
2464260	8127	1997-12-04	VYDAJ	VYBER	8700	52428	\N	\N	\N
2464261	8127	1998-12-06	VYDAJ	VYBER	8100	74824	\N	\N	\N
2464274	8127	1996-01-25	VYDAJ	VYBER	6900	60206	\N	\N	\N
2464275	8127	1996-01-12	VYDAJ	VYBER	6600	71906	\N	\N	\N
2464276	8127	1996-01-26	VYDAJ	VYBER	1500	58706	\N	\N	\N
2464277	8127	1996-01-05	VYDAJ	VYBER	4200	83386	\N	\N	\N
2464278	8127	1996-01-20	VYDAJ	VYBER	4800	67106	\N	\N	\N
2464279	8127	1996-01-11	VYDAJ	VYBER	1500	93906	\N	\N	\N
2464282	8127	1997-01-01	VYDAJ	VYBER	6600	46789	\N	\N	\N
2464285	8127	1997-01-07	VYDAJ	VYBER	2400	44389	\N	\N	\N
2464286	8127	1998-01-12	VYDAJ	VYBER	3000	33416	\N	\N	\N
2464287	8127	1998-01-03	VYDAJ	VYBER	6000	44721	\N	\N	\N
2464288	8127	1998-01-03	VYDAJ	VYBER	6300	50721	\N	\N	\N
2464298	8127	1995-12-21	VYDAJ	VYBER	2100	87265	\N	\N	\N
2464301	8127	1995-12-05	VYDAJ	VYBER	10800	79096	\N	\N	\N
2464302	8127	1995-06-06	VYDAJ	VYBER	3000	35930	\N	\N	\N
2464303	8127	1996-11-27	VYDAJ	VYBER	5100	50272	\N	\N	\N
2464304	8127	1996-01-12	VYDAJ	VYBER	4200	78506	\N	\N	\N
2464306	8127	1996-05-27	VYDAJ	VYBER	9000	48978	\N	\N	\N
2464307	8127	1996-04-04	VYDAJ	VYBER	11700	56016	\N	\N	\N
2464308	8127	1996-02-09	VYDAJ	VYBER	6300	34470	\N	\N	\N
2464310	8127	1997-03-28	VYDAJ	VYBER	11400	36810	\N	\N	\N
2464311	8127	1997-05-11	VYDAJ	VYBER	2100	59626	\N	\N	\N
2464313	8127	1997-12-02	VYDAJ	VYBER	9300	61128	\N	\N	\N
2464314	8127	1997-06-27	VYDAJ	VYBER	11700	67652	\N	\N	\N
2464315	8127	1998-08-17	VYDAJ	VYBER	14700	32489	\N	\N	\N
2464316	8127	1998-03-14	VYDAJ	VYBER	1800	93947	\N	\N	\N
2464317	8127	1998-09-17	VYDAJ	VYBER	7800	83820	\N	\N	\N
2464318	8127	1998-09-22	VYDAJ	VYBER	3000	72520	\N	\N	\N
2464334	8127	1995-03-31	VYDAJ	VYBER	15	97009	SLUZBY	\N	\N
2464335	8127	1995-04-30	VYDAJ	VYBER	15	89917	SLUZBY	\N	\N
2464336	8127	1995-05-31	VYDAJ	VYBER	15	49351	SLUZBY	\N	\N
2464337	8127	1995-06-30	VYDAJ	VYBER	15	92447	SLUZBY	\N	\N
2464338	8127	1995-07-31	VYDAJ	VYBER	15	85767	SLUZBY	\N	\N
2464339	8127	1995-08-31	VYDAJ	VYBER	15	49913	SLUZBY	\N	\N
2464340	8127	1995-09-30	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
2464341	8127	1995-10-31	VYDAJ	VYBER	15	20999	SLUZBY	\N	\N
2464342	8127	1995-11-30	VYDAJ	VYBER	15	91996	SLUZBY	\N	\N
2464343	8127	1995-12-31	VYDAJ	VYBER	15	87586	SLUZBY	\N	\N
2464344	8127	1996-01-31	VYDAJ	VYBER	15	58975	SLUZBY	\N	\N
2464345	8127	1996-02-29	VYDAJ	VYBER	15	45799	SLUZBY	\N	\N
2464346	8127	1996-03-31	VYDAJ	VYBER	15	45858	SLUZBY	\N	\N
2464347	8127	1996-04-30	VYDAJ	VYBER	15	58465	SLUZBY	\N	\N
2464348	8127	1996-05-31	VYDAJ	VYBER	15	83840	SLUZBY	\N	\N
2464349	8127	1996-06-30	VYDAJ	VYBER	15	68370	SLUZBY	\N	\N
2464350	8127	1996-07-31	VYDAJ	VYBER	15	72498	SLUZBY	\N	\N
2464351	8127	1996-08-31	VYDAJ	VYBER	15	80926	SLUZBY	\N	\N
2464352	8127	1996-09-30	VYDAJ	VYBER	15	108343	SLUZBY	\N	\N
2464353	8127	1996-10-31	VYDAJ	VYBER	15	99371	SLUZBY	\N	\N
2464354	8127	1996-11-30	VYDAJ	VYBER	15	50524	SLUZBY	\N	\N
2464355	8127	1996-12-31	VYDAJ	VYBER	15	53389	SLUZBY	\N	\N
2464356	8127	1997-01-31	VYDAJ	VYBER	15	39022	SLUZBY	\N	\N
2464357	8127	1997-02-28	VYDAJ	VYBER	15	37812	SLUZBY	\N	\N
2464358	8127	1997-03-31	VYDAJ	VYBER	15	55080	SLUZBY	\N	\N
2464359	8127	1997-04-30	VYDAJ	VYBER	15	70031	SLUZBY	\N	\N
2464360	8127	1997-05-31	VYDAJ	VYBER	15	70228	SLUZBY	\N	\N
2464361	8127	1997-06-30	VYDAJ	VYBER	15	84235	SLUZBY	\N	\N
2464362	8127	1997-07-31	VYDAJ	VYBER	15	58551	SLUZBY	\N	\N
2464363	8127	1997-08-31	VYDAJ	VYBER	15	82992	SLUZBY	\N	\N
2464364	8127	1997-09-30	VYDAJ	VYBER	15	75571	SLUZBY	\N	\N
2464365	8127	1997-10-31	VYDAJ	VYBER	15	70533	SLUZBY	\N	\N
2464366	8127	1997-11-30	VYDAJ	VYBER	15	59744	SLUZBY	\N	\N
2464367	8127	1997-12-31	VYDAJ	VYBER	15	57021	SLUZBY	\N	\N
2464368	8127	1998-01-31	VYDAJ	VYBER	15	48872	SLUZBY	\N	\N
2464369	8127	1998-02-28	VYDAJ	VYBER	15	70374	SLUZBY	\N	\N
2464370	8127	1998-03-31	VYDAJ	VYBER	15	62587	SLUZBY	\N	\N
2464371	8127	1998-04-30	VYDAJ	VYBER	15	73614	SLUZBY	\N	\N
2464372	8127	1998-05-31	VYDAJ	VYBER	15	65966	SLUZBY	\N	\N
2464373	8127	1998-06-30	VYDAJ	VYBER	15	56386	SLUZBY	\N	\N
2464374	8127	1998-07-31	VYDAJ	VYBER	15	62394	SLUZBY	\N	\N
2464375	8127	1998-08-31	VYDAJ	VYBER	15	80719	SLUZBY	\N	\N
2464376	8127	1998-09-30	VYDAJ	VYBER	15	62448	SLUZBY	\N	\N
2464377	8127	1998-10-31	VYDAJ	VYBER	15	78658	SLUZBY	\N	\N
2464378	8127	1998-11-30	VYDAJ	VYBER	15	45436	SLUZBY	\N	\N
2464379	8127	1994-11-12	PRIJEM	VKLAD	10300	11300	\N	\N	\N
2464380	8127	1994-12-12	PRIJEM	VKLAD	6000	17300	\N	\N	\N
2464381	8127	1995-01-11	VYDAJ	VYBER	18000	37002	\N	\N	\N
2464382	8127	1995-02-10	VYDAJ	VYBER	4800	32306	\N	\N	\N
2464383	8127	1995-03-12	VYDAJ	VYBER	24600	44777	\N	\N	\N
2464384	8127	1995-03-25	VYDAJ	VYBER	60700	96694	\N	\N	\N
2464385	8127	1995-04-11	VYDAJ	VYBER	31400	57304	\N	\N	\N
2464386	8127	1995-05-07	VYDAJ	VYBER	35800	92309	\N	\N	\N
2464387	8127	1995-05-11	VYDAJ	VYBER	29300	54704	\N	\N	\N
2464388	8127	1995-06-10	PRIJEM	VKLAD	2400	30025	\N	\N	\N
2464389	8127	1995-07-04	VYDAJ	VYBER	19700	84852	\N	\N	\N
2464390	8127	1995-07-10	VYDAJ	VYBER	24200	44547	\N	\N	\N
2464391	8127	1995-08-09	VYDAJ	VYBER	20900	56562	\N	\N	\N
2464392	8127	1995-09-08	VYDAJ	VYBER	4700	29108	\N	\N	\N
2464393	8127	1995-10-08	PRIJEM	VKLAD	3200	24127	\N	\N	\N
2464394	8127	1995-11-07	VYDAJ	VYBER	11100	49133	\N	\N	\N
2464395	8127	1995-12-07	VYDAJ	VYBER	21600	57496	\N	\N	\N
2464396	8127	1996-01-06	VYDAJ	VYBER	25300	58086	\N	\N	\N
2464397	8127	1996-02-05	VYDAJ	VYBER	9900	49075	\N	\N	\N
2464398	8127	1996-03-06	VYDAJ	VYBER	29500	53972	\N	\N	\N
2464399	8127	1996-04-05	VYDAJ	VYBER	8700	47316	\N	\N	\N
2464400	8127	1996-05-05	VYDAJ	VYBER	36700	66283	\N	\N	\N
2464401	8127	1996-06-04	VYDAJ	VYBER	25100	58740	\N	\N	\N
2464402	8127	1996-07-04	VYDAJ	VYBER	15500	52870	\N	\N	\N
2464403	8127	1996-08-03	VYDAJ	VYBER	22700	61470	\N	\N	\N
2464404	8127	1996-09-02	VYDAJ	VYBER	17600	59726	\N	\N	\N
2464405	8127	1996-09-18	VYDAJ	VYBER	26400	100261	\N	\N	\N
2464406	8127	1996-09-24	VYDAJ	VYBER	42200	99877	\N	\N	\N
2464407	8127	1996-09-29	VYDAJ	VYBER	40100	107928	\N	\N	\N
2464408	8127	1996-10-02	VYDAJ	VYBER	35500	72843	\N	\N	\N
2464409	8127	1996-11-01	VYDAJ	VYBER	29200	70171	\N	\N	\N
2464410	8127	1996-12-01	VYDAJ	VYBER	2300	48224	\N	\N	\N
2464411	8127	1996-12-31	VYDAJ	VYBER	6400	53404	\N	\N	\N
2464412	8127	1997-01-30	PRIJEM	VKLAD	9300	38890	\N	\N	\N
2464413	8127	1997-03-01	VYDAJ	VYBER	16600	66683	\N	\N	\N
2464414	8127	1997-03-31	VYDAJ	VYBER	2200	52880	\N	\N	\N
2464415	8127	1997-04-30	VYDAJ	VYBER	15500	70046	\N	\N	\N
2464416	8127	1997-05-30	VYDAJ	VYBER	20500	69961	\N	\N	\N
2464417	8127	1997-06-01	VYDAJ	VYBER	21800	94152	\N	\N	\N
2464418	8127	1997-06-29	VYDAJ	VYBER	22600	68857	\N	\N	\N
2464419	8127	1997-07-16	VYDAJ	VYBER	46900	81229	\N	\N	\N
2464420	8127	1997-07-29	VYDAJ	VYBER	6400	58223	\N	\N	\N
2464421	8127	1997-08-28	VYDAJ	VYBER	29800	82655	\N	\N	\N
2464422	8127	1997-09-20	VYDAJ	VYBER	23900	94243	\N	\N	\N
2464423	8127	1997-09-27	VYDAJ	VYBER	15800	75257	\N	\N	\N
2464424	8127	1997-10-04	VYDAJ	VYBER	34700	86575	\N	\N	\N
2464425	8127	1997-10-27	VYDAJ	VYBER	8000	70187	\N	\N	\N
2464426	8127	1997-11-26	VYDAJ	VYBER	9600	64082	\N	\N	\N
2464427	8127	1997-12-26	PRIJEM	VKLAD	5500	56848	\N	\N	\N
2464428	8127	1998-01-25	PRIJEM	VKLAD	21800	48721	\N	\N	\N
2464429	8127	1998-02-24	VYDAJ	VYBER	1700	70200	\N	\N	\N
2464430	8127	1998-03-19	VYDAJ	VYBER	43600	77028	\N	\N	\N
2464431	8127	1998-03-21	VYDAJ	VYBER	33500	87723	\N	\N	\N
2464432	8127	1998-03-24	VYDAJ	VYBER	63900	55951	\N	\N	\N
2464433	8127	1998-03-26	PRIJEM	VKLAD	6300	62251	\N	\N	\N
2464434	8127	1998-04-12	VYDAJ	VYBER	52500	82885	\N	\N	\N
2464435	8127	1998-04-25	VYDAJ	VYBER	9700	73222	\N	\N	\N
2464436	8127	1998-05-25	PRIJEM	VKLAD	6900	65714	\N	\N	\N
2464437	8127	1998-06-24	PRIJEM	VKLAD	5000	56167	\N	\N	\N
2464438	8127	1998-07-24	PRIJEM	VKLAD	9100	62195	\N	\N	\N
2464439	8127	1998-08-23	PRIJEM	VKLAD	11500	60549	\N	\N	\N
2464440	8127	1998-09-22	VYDAJ	VYBER	8300	75520	\N	\N	\N
2464441	8127	1998-09-29	VYDAJ	VYBER	55000	62125	\N	\N	\N
2464442	8127	1998-10-22	VYDAJ	VYBER	12400	78346	\N	\N	\N
2464443	8127	1998-11-21	PRIJEM	VKLAD	3500	68553	\N	\N	\N
2464444	8127	1998-12-21	VYDAJ	VYBER KARTOU	1900	65381	\N	\N	0
2464445	8127	1998-12-25	VYDAJ	VYBER	28000	109468	\N	\N	\N
2464686	8129	1993-06-26	PRIJEM	VKLAD	700	700	\N	\N	\N
2464693	8129	1993-07-13	PRIJEM	VKLAD	20612	21312	\N	\N	\N
2464694	8129	1993-08-13	PRIJEM	VKLAD	20612	41041	\N	\N	\N
2464695	8129	1993-09-13	PRIJEM	VKLAD	20612	52748	\N	\N	\N
2464696	8129	1993-10-13	PRIJEM	VKLAD	20612	61302	\N	\N	\N
2464697	8129	1993-11-13	PRIJEM	VKLAD	20612	62084	\N	\N	\N
2464698	8129	1993-12-13	PRIJEM	VKLAD	30918	61978	\N	\N	\N
2464699	8129	1994-01-13	PRIJEM	VKLAD	20612	57387	\N	\N	\N
2464700	8129	1994-02-13	PRIJEM	VKLAD	20612	52388	\N	\N	\N
2464701	8129	1994-03-13	PRIJEM	VKLAD	20612	49911	\N	\N	\N
2464702	8129	1994-04-13	PRIJEM	VKLAD	20612	47790	\N	\N	\N
2464703	8129	1994-05-13	PRIJEM	VKLAD	20612	45006	\N	\N	\N
2464704	8129	1994-06-13	PRIJEM	VKLAD	30918	56072	\N	\N	\N
2464705	8129	1994-07-13	PRIJEM	VKLAD	20612	45344	\N	\N	\N
2464706	8129	1994-08-13	PRIJEM	VKLAD	20612	44407	\N	\N	\N
2464707	8129	1994-09-13	PRIJEM	VKLAD	20612	46892	\N	\N	\N
2464708	8129	1994-10-13	PRIJEM	VKLAD	20612	42002	\N	\N	\N
2464709	8129	1994-11-13	PRIJEM	VKLAD	20612	47181	\N	\N	\N
2464710	8129	1994-12-13	PRIJEM	VKLAD	30918	54700	\N	\N	\N
2464711	8129	1995-01-13	PRIJEM	VKLAD	20612	50032	\N	\N	\N
2464712	8129	1995-02-13	PRIJEM	VKLAD	20612	50733	\N	\N	\N
2464713	8129	1995-03-13	PRIJEM	VKLAD	20612	46931	\N	\N	\N
2464714	8129	1995-04-13	PRIJEM	VKLAD	20612	48618	\N	\N	\N
2464715	8129	1995-05-13	PRIJEM	VKLAD	20612	48611	\N	\N	\N
2464716	8129	1995-06-13	PRIJEM	VKLAD	30918	60915	\N	\N	\N
2464717	8129	1995-07-13	PRIJEM	VKLAD	20612	35762	\N	\N	\N
2464718	8129	1995-08-13	PRIJEM	VKLAD	20612	42715	\N	\N	\N
2464719	8129	1995-09-13	PRIJEM	VKLAD	20612	48593	\N	\N	\N
2464720	8129	1995-10-13	PRIJEM	VKLAD	20612	51488	\N	\N	\N
2464721	8129	1995-11-13	PRIJEM	VKLAD	20612	52089	\N	\N	\N
2464722	8129	1995-12-13	PRIJEM	VKLAD	30918	62725	\N	\N	\N
2464723	8129	1996-01-13	PRIJEM	VKLAD	20612	51170	\N	\N	\N
2464724	8129	1996-02-13	PRIJEM	VKLAD	20612	50395	\N	\N	\N
2464725	8129	1996-03-13	PRIJEM	VKLAD	20612	56009	\N	\N	\N
2464726	8129	1996-04-13	PRIJEM	VKLAD	20612	56229	\N	\N	\N
2464727	8129	1996-05-13	PRIJEM	VKLAD	20612	59289	\N	\N	\N
2464728	8129	1996-06-13	PRIJEM	VKLAD	30918	67577	\N	\N	\N
2464729	8129	1996-07-13	PRIJEM	VKLAD	20612	56817	\N	\N	\N
2464730	8129	1996-08-13	PRIJEM	VKLAD	20612	57187	\N	\N	\N
2464731	8129	1996-09-13	PRIJEM	VKLAD	20612	56851	\N	\N	\N
2464732	8129	1996-10-13	PRIJEM	VKLAD	20612	55211	\N	\N	\N
2464733	8129	1996-11-13	PRIJEM	VKLAD	20612	55237	\N	\N	\N
2464734	8129	1996-12-13	PRIJEM	VKLAD	30918	63950	\N	\N	\N
2464735	8129	1997-01-13	PRIJEM	VKLAD	20612	56217	\N	\N	\N
2464736	8129	1997-02-13	PRIJEM	VKLAD	20612	54258	\N	\N	\N
2464737	8129	1997-03-13	PRIJEM	VKLAD	20612	55198	\N	\N	\N
2464738	8129	1997-04-13	PRIJEM	VKLAD	20612	53447	\N	\N	\N
2464739	8129	1997-05-13	PRIJEM	VKLAD	20612	55187	\N	\N	\N
2464740	8129	1997-06-13	PRIJEM	VKLAD	30918	64139	\N	\N	\N
2464741	8129	1997-07-13	PRIJEM	VKLAD	20612	58304	\N	\N	\N
2464742	8129	1997-08-13	PRIJEM	VKLAD	20612	55839	\N	\N	\N
2464743	8129	1997-09-13	PRIJEM	VKLAD	20612	46956	\N	\N	\N
2464744	8129	1997-10-13	PRIJEM	VKLAD	20612	47342	\N	\N	\N
2464745	8129	1997-11-13	PRIJEM	VKLAD	20612	47227	\N	\N	\N
2464746	8129	1997-12-13	PRIJEM	VKLAD	30918	50614	\N	\N	\N
2464747	8129	1998-01-13	PRIJEM	VKLAD	20612	44792	\N	\N	\N
2464748	8129	1998-02-13	PRIJEM	VKLAD	20612	37969	\N	\N	\N
2464749	8129	1998-03-13	PRIJEM	VKLAD	20612	33116	\N	\N	\N
2464750	8129	1998-04-13	PRIJEM	VKLAD	20612	33445	\N	\N	\N
2464751	8129	1998-05-13	PRIJEM	VKLAD	20612	41225	\N	\N	\N
2464752	8129	1998-06-13	PRIJEM	VKLAD	30918	48780	\N	\N	\N
2464753	8129	1998-07-13	PRIJEM	VKLAD	20612	34800	\N	\N	\N
2464754	8129	1998-08-13	PRIJEM	VKLAD	20612	46925	\N	\N	\N
2464755	8129	1998-09-13	PRIJEM	VKLAD	20612	36090	\N	\N	\N
2464756	8129	1998-10-13	PRIJEM	VKLAD	20612	50618	\N	\N	\N
2464757	8129	1998-11-13	PRIJEM	VKLAD	20612	39000	\N	\N	\N
2464758	8129	1998-12-13	PRIJEM	VKLAD	30918	61546	\N	\N	\N
2464770	8129	1993-12-05	VYDAJ	PREVOD NA UCET	6184	33260	SIPO	AB	67742585
2464771	8129	1994-01-05	VYDAJ	PREVOD NA UCET	6184	38575	SIPO	AB	67742585
2464772	8129	1994-02-05	VYDAJ	PREVOD NA UCET	6184	33476	SIPO	AB	67742585
2464773	8129	1994-03-05	VYDAJ	PREVOD NA UCET	6184	29299	SIPO	AB	67742585
2464774	8129	1994-04-05	VYDAJ	PREVOD NA UCET	6184	29678	SIPO	AB	67742585
2464775	8129	1994-05-05	VYDAJ	PREVOD NA UCET	6184	29554	SIPO	AB	67742585
2464776	8129	1994-06-05	VYDAJ	PREVOD NA UCET	6184	27654	SIPO	AB	67742585
2464777	8129	1994-07-05	VYDAJ	PREVOD NA UCET	6184	24732	SIPO	AB	67742585
2464778	8129	1994-08-05	VYDAJ	PREVOD NA UCET	6184	25871	SIPO	AB	67742585
2464779	8129	1994-09-05	VYDAJ	PREVOD NA UCET	6184	28356	SIPO	AB	67742585
2464780	8129	1994-10-05	VYDAJ	PREVOD NA UCET	6184	28146	SIPO	AB	67742585
2464781	8129	1994-11-05	VYDAJ	PREVOD NA UCET	6184	28645	SIPO	AB	67742585
2464782	8129	1994-12-05	VYDAJ	PREVOD NA UCET	6184	26698	SIPO	AB	67742585
2464783	8129	1995-01-05	VYDAJ	PREVOD NA UCET	6184	31496	SIPO	AB	67742585
2464784	8129	1995-02-05	VYDAJ	PREVOD NA UCET	6184	32197	SIPO	AB	67742585
2464785	8129	1995-03-05	VYDAJ	PREVOD NA UCET	6184	28395	SIPO	AB	67742585
2464786	8129	1995-04-05	VYDAJ	PREVOD NA UCET	6184	30082	SIPO	AB	67742585
2464787	8129	1995-05-05	VYDAJ	PREVOD NA UCET	6184	30075	SIPO	AB	67742585
2464788	8129	1995-06-05	VYDAJ	PREVOD NA UCET	6184	32073	SIPO	AB	67742585
2464789	8129	1995-07-05	VYDAJ	PREVOD NA UCET	6184	17226	SIPO	AB	67742585
2464790	8129	1995-08-05	VYDAJ	PREVOD NA UCET	6184	24179	SIPO	AB	67742585
2464791	8129	1995-09-05	VYDAJ	PREVOD NA UCET	6184	30057	SIPO	AB	67742585
2464792	8129	1995-10-05	VYDAJ	PREVOD NA UCET	6184	32952	SIPO	AB	67742585
2464793	8129	1995-11-05	VYDAJ	PREVOD NA UCET	6184	33553	SIPO	AB	67742585
2464794	8129	1995-12-05	VYDAJ	PREVOD NA UCET	6184	33883	SIPO	AB	67742585
2464795	8129	1996-01-05	VYDAJ	PREVOD NA UCET	6184	37534	SIPO	AB	67742585
2464796	8129	1996-02-05	VYDAJ	PREVOD NA UCET	6184	39759	SIPO	AB	67742585
2464797	8129	1996-03-05	VYDAJ	PREVOD NA UCET	6184	40073	SIPO	AB	67742585
2464798	8129	1996-04-05	VYDAJ	PREVOD NA UCET	6184	46293	SIPO	AB	67742585
2464799	8129	1996-05-05	VYDAJ	PREVOD NA UCET	6184	50253	SIPO	AB	67742585
2464800	8129	1996-06-05	VYDAJ	PREVOD NA UCET	6184	47435	SIPO	AB	67742585
2464801	8129	1996-07-05	VYDAJ	PREVOD NA UCET	6184	55381	SIPO	AB	67742585
2464802	8129	1996-08-05	VYDAJ	PREVOD NA UCET	6184	50851	SIPO	AB	67742585
2464803	8129	1996-09-05	VYDAJ	PREVOD NA UCET	6184	51215	SIPO	AB	67742585
2464804	8129	1996-10-05	VYDAJ	PREVOD NA UCET	6184	50875	SIPO	AB	67742585
2464805	8129	1996-11-05	VYDAJ	PREVOD NA UCET	6184	45501	SIPO	AB	67742585
2464806	8129	1996-12-05	VYDAJ	PREVOD NA UCET	6184	49248	SIPO	AB	67742585
2464807	8129	1997-01-05	VYDAJ	PREVOD NA UCET	6184	53181	SIPO	AB	67742585
2464808	8129	1997-02-05	VYDAJ	PREVOD NA UCET	6184	41022	SIPO	AB	67742585
2464809	8129	1997-03-05	VYDAJ	PREVOD NA UCET	6184	48262	SIPO	AB	67742585
2464810	8129	1997-04-05	VYDAJ	PREVOD NA UCET	6184	49211	SIPO	AB	67742585
2464811	8129	1997-05-05	VYDAJ	PREVOD NA UCET	6184	47451	SIPO	AB	67742585
2464812	8129	1997-06-05	VYDAJ	PREVOD NA UCET	6184	49197	SIPO	AB	67742585
2464813	8129	1997-07-05	VYDAJ	PREVOD NA UCET	6184	56868	SIPO	AB	67742585
2464814	8129	1997-08-05	VYDAJ	PREVOD NA UCET	6184	35227	SIPO	AB	67742585
2464815	8129	1997-09-05	VYDAJ	PREVOD NA UCET	6184	26344	SIPO	AB	67742585
2464816	8129	1997-10-05	VYDAJ	PREVOD NA UCET	6184	28330	SIPO	AB	67742585
2464817	8129	1997-11-05	VYDAJ	PREVOD NA UCET	6184	26615	SIPO	AB	67742585
2464818	8129	1997-12-05	VYDAJ	PREVOD NA UCET	6184	19696	SIPO	AB	67742585
2464819	8129	1998-01-05	VYDAJ	PREVOD NA UCET	6184	26380	SIPO	AB	67742585
2464820	8129	1998-02-05	VYDAJ	PREVOD NA UCET	6184	17357	SIPO	AB	67742585
2464821	8129	1998-03-05	VYDAJ	PREVOD NA UCET	6184	14604	SIPO	AB	67742585
2464822	8129	1998-04-05	VYDAJ	PREVOD NA UCET	6184	14733	SIPO	AB	67742585
2464823	8129	1998-05-05	VYDAJ	PREVOD NA UCET	6184	20613	SIPO	AB	67742585
2464824	8129	1998-06-05	VYDAJ	PREVOD NA UCET	6184	17862	SIPO	AB	67742585
2464825	8129	1998-07-05	VYDAJ	PREVOD NA UCET	6184	14188	SIPO	AB	67742585
2464826	8129	1998-08-05	VYDAJ	PREVOD NA UCET	6184	28713	SIPO	AB	67742585
2464827	8129	1998-09-05	VYDAJ	PREVOD NA UCET	6184	15478	SIPO	AB	67742585
2464828	8129	1998-10-05	VYDAJ	PREVOD NA UCET	6184	30006	SIPO	AB	67742585
2464829	8129	1998-11-05	VYDAJ	PREVOD NA UCET	6184	18388	SIPO	AB	67742585
2464830	8129	1998-12-05	VYDAJ	PREVOD NA UCET	6184	30628	SIPO	AB	67742585
2464842	8129	1993-12-10	VYDAJ	VYBER	2200	31060	\N	\N	0
2464843	8129	1994-01-07	VYDAJ	VYBER	1800	36775	\N	\N	0
2464844	8129	1994-02-10	VYDAJ	VYBER	1700	31776	\N	\N	0
2464845	8129	1994-03-14	VYDAJ	VYBER	1600	48311	\N	\N	0
2464846	8129	1994-04-12	VYDAJ	VYBER	2500	27178	\N	\N	0
2464847	8129	1994-05-13	VYDAJ	VYBER	2500	42506	\N	\N	0
2464848	8129	1994-06-08	VYDAJ	VYBER	2500	25154	\N	\N	0
2464849	8129	1994-07-15	VYDAJ	VYBER	1900	43444	\N	\N	0
2464850	8129	1994-08-12	VYDAJ	PREVOD NA UCET	2076	23795	UVER	KL	34254557
2464851	8129	1994-09-12	VYDAJ	PREVOD NA UCET	2076	26280	UVER	KL	34254557
2464852	8129	1994-10-12	VYDAJ	PREVOD NA UCET	2076	21390	UVER	KL	34254557
2464853	8129	1994-11-12	VYDAJ	PREVOD NA UCET	2076	26569	UVER	KL	34254557
2464854	8129	1994-12-12	VYDAJ	PREVOD NA UCET	2076	23782	UVER	KL	34254557
2464855	8129	1995-01-12	VYDAJ	PREVOD NA UCET	2076	29420	UVER	KL	34254557
2464856	8129	1995-02-12	VYDAJ	PREVOD NA UCET	2076	30121	UVER	KL	34254557
2464857	8129	1995-03-12	VYDAJ	PREVOD NA UCET	2076	26319	UVER	KL	34254557
2464858	8129	1995-04-12	VYDAJ	PREVOD NA UCET	2076	28006	UVER	KL	34254557
2464859	8129	1995-05-12	VYDAJ	PREVOD NA UCET	2076	27999	UVER	KL	34254557
2464860	8129	1995-06-12	VYDAJ	PREVOD NA UCET	2076	29997	UVER	KL	34254557
2464861	8129	1995-07-12	VYDAJ	PREVOD NA UCET	2076	15150	UVER	KL	34254557
2464862	8129	1995-08-12	VYDAJ	PREVOD NA UCET	2076	22103	UVER	KL	34254557
2464863	8129	1995-09-12	VYDAJ	PREVOD NA UCET	2076	27981	UVER	KL	34254557
2464864	8129	1995-10-12	VYDAJ	PREVOD NA UCET	2076	30876	UVER	KL	34254557
2464865	8129	1995-11-12	VYDAJ	PREVOD NA UCET	2076	31477	UVER	KL	34254557
2464866	8129	1995-12-12	VYDAJ	PREVOD NA UCET	2076	31807	UVER	KL	34254557
2464867	8129	1996-01-12	VYDAJ	PREVOD NA UCET	2076	30558	UVER	KL	34254557
2464868	8129	1996-02-12	VYDAJ	PREVOD NA UCET	2076	29783	UVER	KL	34254557
2464869	8129	1996-03-12	VYDAJ	PREVOD NA UCET	2076	37997	UVER	KL	34254557
2464870	8129	1996-04-12	VYDAJ	PREVOD NA UCET	2076	35617	UVER	KL	34254557
2464871	8129	1996-05-12	VYDAJ	PREVOD NA UCET	2076	38677	UVER	KL	34254557
2464872	8129	1996-06-12	VYDAJ	PREVOD NA UCET	2076	36659	UVER	KL	34254557
2464873	8129	1996-07-12	VYDAJ	PREVOD NA UCET	2076	36205	UVER	KL	34254557
2464874	8129	1996-08-12	VYDAJ	PREVOD NA UCET	2076	36575	UVER	KL	34254557
2464875	8129	1996-09-12	VYDAJ	PREVOD NA UCET	2076	36239	UVER	KL	34254557
2464876	8129	1996-10-12	VYDAJ	PREVOD NA UCET	2076	34599	UVER	KL	34254557
2464877	8129	1996-11-12	VYDAJ	PREVOD NA UCET	2076	34625	UVER	KL	34254557
2464878	8129	1996-12-12	VYDAJ	PREVOD NA UCET	2076	33032	UVER	KL	34254557
2464879	8129	1997-01-12	VYDAJ	PREVOD NA UCET	2076	35605	UVER	KL	34254557
2464880	8129	1997-02-12	VYDAJ	PREVOD NA UCET	2076	33646	UVER	KL	34254557
2464881	8129	1997-03-12	VYDAJ	PREVOD NA UCET	2076	34586	UVER	KL	34254557
2464882	8129	1997-04-12	VYDAJ	PREVOD NA UCET	2076	32835	UVER	KL	34254557
2464883	8129	1997-05-12	VYDAJ	PREVOD NA UCET	2076	34575	UVER	KL	34254557
2464884	8129	1997-06-12	VYDAJ	PREVOD NA UCET	2076	33221	UVER	KL	34254557
2464885	8129	1997-07-12	VYDAJ	PREVOD NA UCET	2076	37692	UVER	KL	34254557
2464886	8129	1997-08-20	VYDAJ	VYBER	2200	52539	\N	\N	0
2464887	8129	1997-09-05	VYDAJ	VYBER	1700	32528	\N	\N	0
2464888	8129	1997-10-07	VYDAJ	VYBER	1600	26730	\N	\N	0
2464889	8129	1997-11-18	VYDAJ	VYBER	1600	45627	\N	\N	0
2464890	8129	1997-12-18	VYDAJ	VYBER	2200	48414	\N	\N	0
2464891	8129	1998-01-08	VYDAJ	VYBER	2200	24180	\N	\N	0
2464892	8129	1998-02-05	VYDAJ	VYBER	2000	23541	\N	\N	0
2464893	8129	1998-03-11	VYDAJ	VYBER	2100	12504	\N	\N	0
2464894	8129	1998-04-08	VYDAJ	VYBER	1900	12833	\N	\N	0
2464895	8129	1998-05-04	VYDAJ	VYBER	2300	26797	\N	\N	0
2464896	8129	1998-06-18	VYDAJ	VYBER	1900	46880	\N	\N	0
2464897	8129	1998-07-03	VYDAJ	VYBER	1600	20372	\N	\N	0
2464898	8129	1998-08-14	VYDAJ	VYBER	2100	44825	\N	\N	0
2464899	8129	1998-09-03	VYDAJ	VYBER	2000	21662	\N	\N	0
2464900	8129	1998-10-13	VYDAJ	VYBER	1500	49118	\N	\N	0
2464901	8129	1998-11-15	VYDAJ	VYBER	2300	36700	\N	\N	0
2464902	8129	1998-12-18	VYDAJ	VYBER	2000	59546	\N	\N	0
2464904	8129	1994-06-23	VYDAJ	VYBER	11200	30772	\N	\N	\N
2464905	8129	1995-06-21	VYDAJ	VYBER	19840	23275	\N	\N	\N
2464906	8129	1996-06-22	VYDAJ	VYBER	6240	61337	\N	\N	\N
2464909	8129	1993-12-04	VYDAJ	VYBER	4000	39444	\N	\N	\N
2464910	8129	1994-12-24	VYDAJ	VYBER	960	37540	\N	\N	\N
2464911	8129	1995-12-26	VYDAJ	VYBER	2400	43525	\N	\N	\N
2464912	8129	1996-12-11	VYDAJ	VYBER	2240	35108	\N	\N	\N
2464913	8129	1997-12-04	VYDAJ	VYBER KARTOU	1400	25880	\N	\N	0
2464914	8129	1998-12-24	VYDAJ	VYBER KARTOU	1300	58246	\N	\N	0
2464917	8129	1994-12-04	VYDAJ	VYBER	2520	32882	\N	\N	\N
2464918	8129	1994-02-18	VYDAJ	VYBER	5760	46628	\N	\N	\N
2464919	8129	1994-05-06	VYDAJ	VYBER	5160	24394	\N	\N	\N
2464920	8129	1994-11-24	VYDAJ	VYBER	2520	35261	\N	\N	\N
2464921	8129	1994-10-08	VYDAJ	VYBER	4680	23466	\N	\N	\N
2464922	8129	1994-12-12	VYDAJ	VYBER	840	25858	\N	\N	\N
2464923	8129	1994-07-31	VYDAJ	VYBER	1320	32055	\N	\N	\N
2464924	8129	1995-03-03	VYDAJ	VYBER	2400	34579	\N	\N	\N
2464926	8129	1996-12-23	VYDAJ	VYBER	4800	59150	\N	\N	\N
2464927	8129	1996-03-14	VYDAJ	VYBER	3720	52289	\N	\N	\N
2464928	8129	1996-10-15	VYDAJ	VYBER	3720	51491	\N	\N	\N
2464929	8129	1996-05-16	VYDAJ	VYBER	1440	57849	\N	\N	\N
2464930	8129	1996-01-17	VYDAJ	VYBER	5400	45770	\N	\N	\N
2464931	8129	1996-05-17	VYDAJ	VYBER	4440	53409	\N	\N	\N
2464932	8129	1996-03-04	VYDAJ	VYBER	4320	46257	\N	\N	\N
2464933	8129	1997-01-28	VYDAJ	VYBER KARTOU	800	47017	\N	\N	0
2464934	8129	1997-08-13	VYDAJ	VYBER KARTOU	1100	54739	\N	\N	0
2464935	8129	1997-01-14	VYDAJ	VYBER	2160	52617	\N	\N	\N
2464936	8129	1997-05-08	VYDAJ	VYBER KARTOU	1800	36651	\N	\N	0
2464937	8129	1997-01-13	VYDAJ	VYBER	1440	54777	\N	\N	\N
2464938	8129	1997-01-26	VYDAJ	VYBER	4800	47817	\N	\N	\N
2464939	8129	1997-06-13	VYDAJ	VYBER KARTOU	1300	62839	\N	\N	0
2464941	8129	1998-08-08	VYDAJ	VYBER KARTOU	2400	26313	\N	\N	0
2464942	8129	1998-04-22	VYDAJ	VYBER	4440	29005	\N	\N	\N
2464943	8129	1998-06-30	VYDAJ	VYBER KARTOU	1300	21987	\N	\N	0
2464944	8129	1998-06-25	VYDAJ	VYBER	5040	41840	\N	\N	\N
2464956	8129	1993-11-30	VYDAJ	VYBER	15	43444	SLUZBY	\N	\N
2464957	8129	1993-12-31	VYDAJ	VYBER	15	44759	SLUZBY	\N	\N
2464958	8129	1994-01-31	VYDAJ	VYBER	15	39660	SLUZBY	\N	\N
2464959	8129	1994-02-28	VYDAJ	VYBER	15	35483	SLUZBY	\N	\N
2464960	8129	1994-03-31	VYDAJ	VYBER	15	35862	SLUZBY	\N	\N
2464961	8129	1994-04-30	VYDAJ	VYBER	15	35738	SLUZBY	\N	\N
2464962	8129	1994-05-31	VYDAJ	VYBER	15	33838	SLUZBY	\N	\N
2464963	8129	1994-06-30	VYDAJ	VYBER	15	30916	SLUZBY	\N	\N
2464964	8129	1994-07-31	VYDAJ	VYBER	15	33375	SLUZBY	\N	\N
2464965	8129	1994-08-31	VYDAJ	VYBER	15	34540	SLUZBY	\N	\N
2464966	8129	1994-09-30	VYDAJ	VYBER	15	34330	SLUZBY	\N	\N
2464967	8129	1994-10-31	VYDAJ	VYBER	15	34829	SLUZBY	\N	\N
2464968	8129	1994-11-30	VYDAJ	VYBER	15	35402	SLUZBY	\N	\N
2464969	8129	1994-12-31	VYDAJ	VYBER	15	37680	SLUZBY	\N	\N
2464970	8129	1995-01-31	VYDAJ	VYBER	15	38381	SLUZBY	\N	\N
2464971	8129	1995-02-28	VYDAJ	VYBER	15	36979	SLUZBY	\N	\N
2464972	8129	1995-03-31	VYDAJ	VYBER	15	36266	SLUZBY	\N	\N
2464973	8129	1995-04-30	VYDAJ	VYBER	15	36259	SLUZBY	\N	\N
2464974	8129	1995-05-31	VYDAJ	VYBER	15	38257	SLUZBY	\N	\N
2464975	8129	1995-06-30	VYDAJ	VYBER	15	23410	SLUZBY	\N	\N
2464976	8129	1995-07-31	VYDAJ	VYBER	15	30363	SLUZBY	\N	\N
2464977	8129	1995-08-31	VYDAJ	VYBER	15	36241	SLUZBY	\N	\N
2464978	8129	1995-09-30	VYDAJ	VYBER	15	39136	SLUZBY	\N	\N
2464979	8129	1995-10-31	VYDAJ	VYBER	15	39737	SLUZBY	\N	\N
2464980	8129	1995-11-30	VYDAJ	VYBER	15	40067	SLUZBY	\N	\N
2464981	8129	1995-12-31	VYDAJ	VYBER	15	43718	SLUZBY	\N	\N
2464982	8129	1996-01-31	VYDAJ	VYBER	15	45943	SLUZBY	\N	\N
2464983	8129	1996-02-29	VYDAJ	VYBER	15	50577	SLUZBY	\N	\N
2464984	8129	1996-03-31	VYDAJ	VYBER	15	52477	SLUZBY	\N	\N
2464985	8129	1996-04-30	VYDAJ	VYBER	15	56437	SLUZBY	\N	\N
2464986	8129	1996-05-31	VYDAJ	VYBER	15	53619	SLUZBY	\N	\N
2464987	8129	1996-06-30	VYDAJ	VYBER	15	61565	SLUZBY	\N	\N
2464988	8129	1996-07-31	VYDAJ	VYBER	15	57035	SLUZBY	\N	\N
2464989	8129	1996-08-31	VYDAJ	VYBER	15	57399	SLUZBY	\N	\N
2464990	8129	1996-09-30	VYDAJ	VYBER	15	57059	SLUZBY	\N	\N
2464991	8129	1996-10-31	VYDAJ	VYBER	15	51685	SLUZBY	\N	\N
2464992	8129	1996-11-30	VYDAJ	VYBER	15	55432	SLUZBY	\N	\N
2464993	8129	1996-12-31	VYDAJ	VYBER	15	59365	SLUZBY	\N	\N
2464994	8129	1997-01-31	VYDAJ	VYBER	15	47206	SLUZBY	\N	\N
2464995	8129	1997-02-28	VYDAJ	VYBER	15	54446	SLUZBY	\N	\N
2464996	8129	1997-03-31	VYDAJ	VYBER	15	55395	SLUZBY	\N	\N
2464997	8129	1997-04-30	VYDAJ	VYBER	15	53635	SLUZBY	\N	\N
2464998	8129	1997-05-31	VYDAJ	VYBER	15	55381	SLUZBY	\N	\N
2464999	8129	1997-06-30	VYDAJ	VYBER	15	63052	SLUZBY	\N	\N
2465000	8129	1997-07-31	VYDAJ	VYBER	15	58511	SLUZBY	\N	\N
2465001	8129	1997-08-31	VYDAJ	VYBER	15	52728	SLUZBY	\N	\N
2465002	8129	1997-09-30	VYDAJ	VYBER	15	47114	SLUZBY	\N	\N
2465003	8129	1997-10-31	VYDAJ	VYBER	15	47499	SLUZBY	\N	\N
2465004	8129	1997-11-30	VYDAJ	VYBER	15	45780	SLUZBY	\N	\N
2465005	8129	1997-12-31	VYDAJ	VYBER	15	48564	SLUZBY	\N	\N
2465006	8129	1998-01-31	VYDAJ	VYBER	15	44941	SLUZBY	\N	\N
2465007	8129	1998-02-28	VYDAJ	VYBER	15	38088	SLUZBY	\N	\N
2465008	8129	1998-03-31	VYDAJ	VYBER	15	33217	SLUZBY	\N	\N
2465009	8129	1998-04-30	VYDAJ	VYBER	15	29097	SLUZBY	\N	\N
2465010	8129	1998-05-31	VYDAJ	VYBER	15	24046	SLUZBY	\N	\N
2465011	8129	1998-06-30	VYDAJ	VYBER	15	21972	SLUZBY	\N	\N
2465012	8129	1998-07-31	VYDAJ	VYBER	15	34897	SLUZBY	\N	\N
2465013	8129	1998-08-31	VYDAJ	VYBER	15	23662	SLUZBY	\N	\N
2465014	8129	1998-09-30	VYDAJ	VYBER	15	36190	SLUZBY	\N	\N
2465015	8129	1998-10-31	VYDAJ	VYBER	15	24572	SLUZBY	\N	\N
2465016	8129	1998-11-30	VYDAJ	VYBER	15	36812	SLUZBY	\N	\N
2465017	8129	1993-07-26	VYDAJ	VYBER	900	20412	\N	\N	\N
2465018	8129	1993-08-25	VYDAJ	VYBER	9000	32041	\N	\N	\N
2465019	8129	1993-09-24	VYDAJ	VYBER	12200	40548	\N	\N	\N
2465020	8129	1993-10-24	VYDAJ	VYBER	20000	41302	\N	\N	\N
2465021	8129	1993-11-23	VYDAJ	VYBER	18800	43284	\N	\N	\N
2465022	8129	1993-12-23	VYDAJ	VYBER	17400	44578	\N	\N	\N
2465023	8129	1994-01-22	VYDAJ	VYBER	17900	39487	\N	\N	\N
2465024	8129	1994-02-21	VYDAJ	VYBER	11300	35328	\N	\N	\N
2465025	8129	1994-03-23	VYDAJ	VYBER	12600	35711	\N	\N	\N
2465026	8129	1994-04-22	VYDAJ	VYBER	12200	35590	\N	\N	\N
2465027	8129	1994-05-22	VYDAJ	VYBER	8800	33706	\N	\N	\N
2465028	8129	1994-06-21	VYDAJ	VYBER	14100	41972	\N	\N	\N
2465029	8129	1994-07-21	VYDAJ	VYBER	10200	33244	\N	\N	\N
2465030	8129	1994-08-20	VYDAJ	VYBER	10000	34407	\N	\N	\N
2465031	8129	1994-09-19	VYDAJ	VYBER	12700	34192	\N	\N	\N
2465032	8129	1994-10-19	VYDAJ	VYBER	7300	34702	\N	\N	\N
2465033	8129	1994-11-18	VYDAJ	VYBER	9400	37781	\N	\N	\N
2465034	8129	1994-12-18	VYDAJ	VYBER	16200	38500	\N	\N	\N
2465035	8129	1995-01-17	VYDAJ	VYBER	11800	38232	\N	\N	\N
2465036	8129	1995-02-16	VYDAJ	VYBER	13900	36833	\N	\N	\N
2465037	8129	1995-03-18	VYDAJ	VYBER	10800	36131	\N	\N	\N
2465038	8129	1995-04-17	VYDAJ	VYBER	12500	36118	\N	\N	\N
2465039	8129	1995-05-17	VYDAJ	VYBER	10500	38111	\N	\N	\N
2465040	8129	1995-06-16	VYDAJ	VYBER	17800	43115	\N	\N	\N
2465041	8129	1995-07-16	VYDAJ	VYBER	5500	30262	\N	\N	\N
2465042	8129	1995-08-15	VYDAJ	VYBER	6600	36115	\N	\N	\N
2465043	8129	1995-09-14	VYDAJ	VYBER	9600	38993	\N	\N	\N
2465044	8129	1995-10-14	VYDAJ	VYBER	11900	39588	\N	\N	\N
2465045	8129	1995-11-13	VYDAJ	VYBER	12200	39889	\N	\N	\N
2465046	8129	1995-12-13	VYDAJ	VYBER	16800	45925	\N	\N	\N
2465047	8129	1996-01-12	VYDAJ	VYBER	4900	32634	\N	\N	\N
2465048	8129	1996-02-11	VYDAJ	VYBER	7900	31859	\N	\N	\N
2465049	8129	1996-03-12	VYDAJ	VYBER	2600	35397	\N	\N	\N
2465050	8129	1996-04-11	VYDAJ	VYBER	8600	37693	\N	\N	\N
2465051	8129	1996-05-11	VYDAJ	VYBER	9500	40753	\N	\N	\N
2465052	8129	1996-06-10	VYDAJ	VYBER	8700	38735	\N	\N	\N
2465053	8129	1996-07-10	VYDAJ	VYBER	17100	38281	\N	\N	\N
2465054	8129	1996-08-09	VYDAJ	VYBER	12200	38651	\N	\N	\N
2465055	8129	1996-09-08	VYDAJ	VYBER	12900	38315	\N	\N	\N
2465056	8129	1996-10-08	VYDAJ	VYBER	14200	36675	\N	\N	\N
2465057	8129	1996-11-07	VYDAJ	VYBER	8800	36701	\N	\N	\N
2465058	8129	1996-12-07	VYDAJ	VYBER	11900	37348	\N	\N	\N
2465059	8129	1997-01-06	VYDAJ	VYBER	15500	37681	\N	\N	\N
2465060	8129	1997-02-05	VYDAJ	VYBER	5300	35722	\N	\N	\N
2465061	8129	1997-03-07	VYDAJ	VYBER	11600	36662	\N	\N	\N
2465062	8129	1997-04-06	VYDAJ	VYBER	14300	34911	\N	\N	\N
2465063	8129	1997-05-06	VYDAJ	VYBER	9000	38451	\N	\N	\N
2465064	8129	1997-06-05	VYDAJ	VYBER	13900	35297	\N	\N	\N
2465065	8129	1997-07-05	VYDAJ	VYBER	17100	39768	\N	\N	\N
2465066	8129	1997-08-04	VYDAJ	VYBER	17100	41411	\N	\N	\N
2465067	8129	1997-09-03	VYDAJ	VYBER	18500	34228	\N	\N	\N
2465068	8129	1997-10-03	VYDAJ	VYBER	12600	34514	\N	\N	\N
2465069	8129	1997-11-02	VYDAJ	VYBER	14700	32799	\N	\N	\N
2465070	8129	1997-12-02	VYDAJ	VYBER	18500	27280	\N	\N	\N
2465071	8129	1998-01-01	VYDAJ	VYBER	16000	32564	\N	\N	\N
2465072	8129	1998-01-31	VYDAJ	VYBER	19400	25541	\N	\N	\N
2465073	8129	1998-03-02	VYDAJ	VYBER	17300	20788	\N	\N	\N
2465074	8129	1998-04-01	VYDAJ	VYBER	12300	20917	\N	\N	\N
2465075	8129	1998-05-31	VYDAJ	VYBER	17300	24061	\N	\N	\N
2465076	8129	1998-06-30	VYDAJ	VYBER	18700	23287	\N	\N	\N
2465077	8129	1998-08-29	VYDAJ	VYBER	21300	23525	\N	\N	\N
2465078	8129	1998-10-28	VYDAJ	VYBER	24700	24418	\N	\N	\N
2465716	8132	1993-04-17	PRIJEM	VKLAD	700	700	\N	\N	\N
2465721	8132	1993-05-12	PRIJEM	PREVOD Z UCTU	25142	25842	\N	UV	67488252
2465722	8132	1993-06-12	PRIJEM	PREVOD Z UCTU	37713	62953	\N	UV	67488252
2465723	8132	1993-07-12	PRIJEM	PREVOD Z UCTU	25142	68923	\N	UV	67488252
2465724	8132	1993-08-12	PRIJEM	PREVOD Z UCTU	25142	72448	\N	UV	67488252
2465725	8132	1993-09-12	PRIJEM	PREVOD Z UCTU	25142	72084	\N	UV	67488252
2465726	8132	1993-10-12	PRIJEM	PREVOD Z UCTU	25142	49106	\N	UV	67488252
2465727	8132	1993-11-12	PRIJEM	PREVOD Z UCTU	25142	63784	\N	UV	67488252
2465728	8132	1993-12-12	PRIJEM	PREVOD Z UCTU	37713	75196	\N	UV	67488252
2465729	8132	1994-01-12	PRIJEM	PREVOD Z UCTU	25142	42267	\N	UV	67488252
2465730	8132	1994-02-12	PRIJEM	PREVOD Z UCTU	25142	39101	\N	UV	67488252
2465731	8132	1994-03-12	PRIJEM	PREVOD Z UCTU	25142	28777	\N	UV	67488252
2465732	8132	1994-04-12	PRIJEM	PREVOD Z UCTU	25142	33126	\N	UV	67488252
2465733	8132	1994-05-12	PRIJEM	PREVOD Z UCTU	25142	54509	\N	UV	67488252
2465734	8132	1994-06-12	PRIJEM	PREVOD Z UCTU	37713	57205	\N	UV	67488252
2465735	8132	1994-07-12	PRIJEM	PREVOD Z UCTU	25142	57600	\N	UV	67488252
2465736	8132	1994-08-12	PRIJEM	PREVOD Z UCTU	25142	60074	\N	UV	67488252
2465737	8132	1994-09-12	PRIJEM	PREVOD Z UCTU	25142	72680	\N	UV	67488252
2465738	8132	1994-10-12	PRIJEM	PREVOD Z UCTU	25142	69856	\N	UV	67488252
2465739	8132	1994-11-12	PRIJEM	PREVOD Z UCTU	25142	75112	\N	UV	67488252
2465740	8132	1994-12-12	PRIJEM	PREVOD Z UCTU	37713	77678	\N	UV	67488252
2465741	8132	1995-01-12	PRIJEM	PREVOD Z UCTU	25142	57883	\N	UV	67488252
2465742	8132	1995-02-12	PRIJEM	PREVOD Z UCTU	25142	50752	\N	UV	67488252
2465743	8132	1995-03-12	PRIJEM	PREVOD Z UCTU	25142	68242	\N	UV	67488252
2465744	8132	1995-04-12	PRIJEM	PREVOD Z UCTU	25142	75375	\N	UV	67488252
2465745	8132	1995-05-12	PRIJEM	PREVOD Z UCTU	25142	80678	\N	UV	67488252
2465746	8132	1995-06-12	PRIJEM	PREVOD Z UCTU	37713	93973	\N	UV	67488252
2465747	8132	1995-07-12	PRIJEM	PREVOD Z UCTU	25142	87690	\N	UV	67488252
2465748	8132	1995-08-12	PRIJEM	PREVOD Z UCTU	25142	70251	\N	UV	67488252
2465749	8132	1995-09-12	PRIJEM	PREVOD Z UCTU	25142	79169	\N	UV	67488252
2465750	8132	1995-10-12	PRIJEM	PREVOD Z UCTU	25142	75321	\N	UV	67488252
2465751	8132	1995-11-12	PRIJEM	PREVOD Z UCTU	25142	86322	\N	UV	67488252
2465752	8132	1995-12-12	PRIJEM	PREVOD Z UCTU	37713	94138	\N	UV	67488252
2465753	8132	1996-01-12	PRIJEM	PREVOD Z UCTU	25142	76418	\N	UV	67488252
2465754	8132	1996-02-12	PRIJEM	PREVOD Z UCTU	25142	67817	\N	UV	67488252
2465755	8132	1996-03-12	PRIJEM	PREVOD Z UCTU	25142	83553	\N	UV	67488252
2465756	8132	1996-04-12	PRIJEM	PREVOD Z UCTU	25142	90863	\N	UV	67488252
2465757	8132	1996-05-12	PRIJEM	PREVOD Z UCTU	25142	94528	\N	UV	67488252
2465758	8132	1996-06-12	PRIJEM	PREVOD Z UCTU	37713	109103	\N	UV	67488252
2465759	8132	1996-07-12	PRIJEM	PREVOD Z UCTU	25142	102644	\N	UV	67488252
2465760	8132	1996-08-12	PRIJEM	PREVOD Z UCTU	25142	100867	\N	UV	67488252
2465761	8132	1996-09-12	PRIJEM	PREVOD Z UCTU	25142	96948	\N	UV	67488252
2465762	8132	1996-10-12	PRIJEM	PREVOD Z UCTU	25142	88590	\N	UV	67488252
2465763	8132	1996-11-12	PRIJEM	PREVOD Z UCTU	25142	62259	\N	UV	67488252
2465764	8132	1996-12-12	PRIJEM	PREVOD Z UCTU	37713	77389	\N	UV	67488252
2465765	8132	1997-01-12	PRIJEM	PREVOD Z UCTU	25142	63649	\N	UV	67488252
2465766	8132	1997-02-12	PRIJEM	PREVOD Z UCTU	25142	87640	\N	UV	67488252
2465767	8132	1997-03-12	PRIJEM	PREVOD Z UCTU	25142	79391	\N	UV	67488252
2465768	8132	1997-04-12	PRIJEM	PREVOD Z UCTU	25142	85235	\N	UV	67488252
2465769	8132	1997-05-12	PRIJEM	PREVOD Z UCTU	25142	91190	\N	UV	67488252
2465770	8132	1997-06-12	PRIJEM	PREVOD Z UCTU	37713	112674	\N	UV	67488252
2465771	8132	1997-07-12	PRIJEM	PREVOD Z UCTU	25142	96326	\N	UV	67488252
2465772	8132	1997-08-12	PRIJEM	PREVOD Z UCTU	25142	100549	\N	UV	67488252
2465773	8132	1997-09-12	PRIJEM	PREVOD Z UCTU	25142	103309	\N	UV	67488252
2465774	8132	1997-10-12	PRIJEM	PREVOD Z UCTU	25142	104981	\N	UV	67488252
2465775	8132	1997-11-12	PRIJEM	PREVOD Z UCTU	25142	105566	\N	UV	67488252
2465776	8132	1997-12-12	PRIJEM	PREVOD Z UCTU	37713	124746	\N	UV	67488252
2465777	8132	1998-01-12	PRIJEM	PREVOD Z UCTU	25142	81330	\N	UV	67488252
2465778	8132	1998-02-12	PRIJEM	PREVOD Z UCTU	25142	94485	\N	UV	67488252
2465779	8132	1998-03-12	PRIJEM	PREVOD Z UCTU	25142	104458	\N	UV	67488252
2465780	8132	1998-04-12	PRIJEM	PREVOD Z UCTU	25142	114233	\N	UV	67488252
2465781	8132	1998-05-12	PRIJEM	PREVOD Z UCTU	25142	104480	\N	UV	67488252
2465782	8132	1998-06-12	PRIJEM	PREVOD Z UCTU	37713	102747	\N	UV	67488252
2465783	8132	1998-07-12	PRIJEM	PREVOD Z UCTU	25142	115784	\N	UV	67488252
2465784	8132	1998-08-12	PRIJEM	PREVOD Z UCTU	25142	120958	\N	UV	67488252
2465785	8132	1998-09-12	PRIJEM	PREVOD Z UCTU	25142	128368	\N	UV	67488252
2465786	8132	1998-10-12	PRIJEM	PREVOD Z UCTU	25142	137532	\N	UV	67488252
2465787	8132	1998-11-12	PRIJEM	PREVOD Z UCTU	25142	136440	\N	UV	67488252
2465788	8132	1998-12-12	PRIJEM	PREVOD Z UCTU	37713	128407	\N	UV	67488252
2465789	8132	1993-12-16	VYBER	VYBER	17035	33161	\N	\N	\N
2465791	8132	1993-09-23	VYBER	VYBER	23643	23741	\N	\N	\N
2465794	8132	1994-07-09	VYBER	VYBER	24496	33058	\N	\N	\N
2465795	8132	1994-02-05	VYBER	VYBER	8126	-41	\N	\N	\N
2465796	8132	1994-08-05	VYBER	VYBER	21316	36632	\N	\N	\N
2465797	8132	1994-05-30	VYBER	VYBER	9128	31881	\N	\N	\N
2465798	8132	1994-02-23	VYBER	VYBER	20861	3540	\N	\N	\N
2465799	8132	1994-12-27	VYBER	VYBER	11823	57455	\N	\N	\N
2465800	8132	1994-11-22	VYBER	VYBER	14270	60842	\N	\N	\N
2465801	8132	1994-06-04	VYBER	VYBER	19853	12292	\N	\N	\N
2465802	8132	1994-04-02	VYBER	VYBER	2679	13384	\N	\N	\N
2465803	8132	1995-07-23	VYBER	VYBER	15108	72582	\N	\N	\N
2465804	8132	1995-04-01	VYBER	VYBER	2663	66033	\N	\N	\N
2465805	8132	1995-08-01	VYBER	VYBER	22077	51009	\N	\N	\N
2465806	8132	1995-01-22	VYBER	VYBER	11130	13161	\N	\N	\N
2465807	8132	1995-01-20	VYBER	VYBER	23992	24291	\N	\N	\N
2465808	8132	1995-12-30	VYBER	VYBER	3757	90381	\N	\N	\N
2465809	8132	1996-10-18	VYBER	VYBER	22983	65607	\N	\N	\N
2465810	8132	1996-01-13	VYBER	VYBER	6466	69952	\N	\N	\N
2465811	8132	1996-01-02	VYBER	VYBER	21913	69076	\N	\N	\N
2465812	8132	1996-11-02	VYBER	VYBER	16388	37117	\N	\N	\N
2465813	8132	1996-10-20	VYBER	VYBER	11180	54427	\N	\N	\N
2465814	8132	1996-12-14	VYBER	VYBER	8519	68870	\N	\N	\N
2465815	8132	1998-04-14	VYBER	VYBER	14710	99523	\N	\N	\N
2465816	8132	1998-05-27	VYBER	VYBER	22249	70531	\N	\N	\N
2465819	8132	1995-06-05	VYDAJ	VYBER	10200	70960	\N	\N	\N
2465821	8132	1997-06-20	VYDAJ	VYBER	29400	83274	\N	\N	\N
2465823	8132	1993-12-17	VYDAJ	VYBER	4500	28661	\N	\N	\N
2465824	8132	1994-12-23	VYDAJ	VYBER	8400	69278	\N	\N	\N
2465825	8132	1995-12-02	VYDAJ	VYBER	7200	69825	\N	\N	\N
2465826	8132	1996-12-11	VYDAJ	VYBER	3900	39676	\N	\N	\N
2465827	8132	1997-12-24	VYDAJ	VYBER	8400	64546	\N	\N	\N
2465828	8132	1998-12-12	VYDAJ	VYBER	4500	123907	\N	\N	\N
2465835	8132	1994-01-27	VYDAJ	VYBER	7800	10067	\N	\N	\N
2465836	8132	1994-01-30	VYDAJ	VYBER	2100	7967	\N	\N	\N
2465837	8132	1994-01-20	VYDAJ	VYBER	4500	24467	\N	\N	\N
2465838	8132	1994-01-18	VYDAJ	VYBER	3900	28967	\N	\N	\N
2465839	8132	1994-01-24	VYDAJ	VYBER	6600	17867	\N	\N	\N
2465840	8132	1994-01-03	VYDAJ	VYBER	4500	17125	\N	\N	\N
2465841	8132	1995-01-06	VYDAJ	VYBER	2100	54341	\N	\N	\N
2465842	8132	1995-01-16	VYDAJ	VYBER	6000	48283	\N	\N	\N
2465843	8132	1995-01-03	VYDAJ	VYBER	1500	56441	\N	\N	\N
2465844	8132	1995-01-08	VYDAJ	VYBER	4500	41141	\N	\N	\N
2465845	8132	1995-01-08	VYDAJ	VYBER	8400	32741	\N	\N	\N
2465846	8132	1995-01-14	VYDAJ	VYBER	3600	54283	\N	\N	\N
2465847	8132	1996-01-27	VYDAJ	VYBER	8100	47452	\N	\N	\N
2465848	8132	1996-01-25	VYDAJ	VYBER	1500	55552	\N	\N	\N
2465849	8132	1996-01-07	VYDAJ	VYBER	3600	51276	\N	\N	\N
2465850	8132	1996-01-24	VYDAJ	VYBER	6900	57052	\N	\N	\N
2465851	8132	1996-01-28	VYDAJ	VYBER	6300	41152	\N	\N	\N
2465852	8132	1996-01-14	VYDAJ	VYBER	6000	63952	\N	\N	\N
2465853	8132	1997-01-09	VYDAJ	VYBER	8400	41507	\N	\N	\N
2465854	8132	1997-01-12	VYDAJ	VYBER	6900	56749	\N	\N	\N
2465855	8132	1997-01-01	VYDAJ	VYBER	2100	53507	\N	\N	\N
2465856	8132	1997-01-10	VYDAJ	VYBER	3000	38507	\N	\N	\N
2465857	8132	1997-01-01	VYDAJ	VYBER	5700	55607	\N	\N	\N
2465858	8132	1997-01-04	VYDAJ	VYBER	3600	49907	\N	\N	\N
2465859	8132	1998-01-18	VYDAJ	VYBER	4200	77130	\N	\N	\N
2465860	8132	1998-01-30	VYDAJ	VYBER	3000	68930	\N	\N	\N
2465861	8132	1998-01-23	VYDAJ	VYBER	3000	71930	\N	\N	\N
2465862	8132	1998-01-06	VYDAJ	VYBER	7200	56188	\N	\N	\N
2465863	8132	1998-01-01	VYDAJ	VYBER	1800	63388	\N	\N	\N
2465864	8132	1998-01-19	VYDAJ	VYBER	6300	70830	\N	\N	\N
2465865	8132	1993-11-22	VYDAJ	VYBER	9300	37184	\N	\N	\N
2465866	8132	1993-12-20	VYDAJ	VYBER	7200	21461	\N	\N	\N
2465867	8132	1994-11-29	VYDAJ	VYBER	1800	59042	\N	\N	\N
2465868	8132	1994-10-08	VYDAJ	VYBER	11700	61414	\N	\N	\N
2465869	8132	1994-03-23	VYDAJ	VYBER	13800	15977	\N	\N	\N
2465870	8132	1994-02-06	VYDAJ	VYBER	1800	-1841	\N	\N	\N
2465871	8132	1994-02-22	VYDAJ	VYBER	14700	24401	\N	\N	\N
2465872	8132	1994-04-04	VYDAJ	VYBER	5400	7984	\N	\N	\N
2465873	8132	1994-12-05	VYDAJ	VYBER	9600	49865	\N	\N	\N
2465874	8132	1995-10-07	VYDAJ	VYBER	1800	50179	\N	\N	\N
2465876	8132	1995-09-18	VYDAJ	VYBER	11400	67769	\N	\N	\N
2465877	8132	1995-06-30	VYDAJ	VYBER	9600	84978	\N	\N	\N
2465878	8132	1995-09-23	VYDAJ	VYBER	3600	64169	\N	\N	\N
2465879	8132	1995-11-26	VYDAJ	VYBER	9900	76422	\N	\N	\N
2465880	8132	1996-12-11	VYDAJ	VYBER	9600	43576	\N	\N	\N
2465881	8132	1996-08-30	VYDAJ	VYBER	4500	71267	\N	\N	\N
2465882	8132	1996-11-12	VYDAJ	VYBER	14700	47559	\N	\N	\N
2465883	8132	1996-10-08	VYDAJ	VYBER	12900	63448	\N	\N	\N
2465884	8132	1996-10-24	VYDAJ	VYBER	3900	50527	\N	\N	\N
2465885	8132	1996-12-19	VYDAJ	VYBER	11100	57770	\N	\N	\N
2465886	8132	1997-05-08	VYDAJ	VYBER	6900	66048	\N	\N	\N
2465887	8132	1997-02-19	VYDAJ	VYBER	9300	78340	\N	\N	\N
2465888	8132	1997-03-29	VYDAJ	VYBER	7200	59591	\N	\N	\N
2465889	8132	1997-03-05	VYDAJ	VYBER	13500	54249	\N	\N	\N
2465890	8132	1998-03-18	VYDAJ	VYBER	11100	93358	\N	\N	\N
2465891	8132	1998-05-01	VYDAJ	VYBER	8100	79338	\N	\N	\N
2465892	8132	1998-03-06	VYDAJ	VYBER	6600	79316	\N	\N	\N
2465893	8132	1998-06-11	VYDAJ	VYBER	6000	65034	\N	\N	\N
2465903	8132	1993-09-30	VYDAJ	VYBER	30	23964	SLUZBY	\N	\N
2465904	8132	1993-10-31	VYDAJ	VYBER	30	38642	SLUZBY	\N	\N
2465905	8132	1993-11-30	VYDAJ	VYBER	30	37483	SLUZBY	\N	\N
2465906	8132	1993-12-31	VYDAJ	VYBER	30	21625	SLUZBY	\N	\N
2465907	8132	1994-01-31	VYDAJ	VYBER	30	8085	SLUZBY	\N	\N
2465908	8132	1994-02-28	VYDAJ	VYBER	30	3635	SLUZBY	\N	\N
2465909	8132	1994-03-31	VYDAJ	VYBER	30	16063	SLUZBY	\N	\N
2465910	8132	1994-04-30	VYDAJ	VYBER	30	29367	SLUZBY	\N	\N
2465911	8132	1994-05-31	VYDAJ	VYBER	30	32145	SLUZBY	\N	\N
2465912	8132	1994-06-30	VYDAJ	VYBER	30	57554	SLUZBY	\N	\N
2465913	8132	1994-07-31	VYDAJ	VYBER	30	57948	SLUZBY	\N	\N
2465914	8132	1994-08-31	VYDAJ	VYBER	30	60438	SLUZBY	\N	\N
2465915	8132	1994-09-30	VYDAJ	VYBER	30	73114	SLUZBY	\N	\N
2465916	8132	1994-10-31	VYDAJ	VYBER	30	70370	SLUZBY	\N	\N
2465917	8132	1994-11-30	VYDAJ	VYBER	30	59465	SLUZBY	\N	\N
2465918	8132	1994-12-31	VYDAJ	VYBER	30	57941	SLUZBY	\N	\N
2465919	8132	1995-01-31	VYDAJ	VYBER	30	13410	SLUZBY	\N	\N
2465920	8132	1995-02-28	VYDAJ	VYBER	30	51000	SLUZBY	\N	\N
2465921	8132	1995-03-31	VYDAJ	VYBER	30	68696	SLUZBY	\N	\N
2465922	8132	1995-04-30	VYDAJ	VYBER	30	75836	SLUZBY	\N	\N
2465923	8132	1995-05-31	VYDAJ	VYBER	30	81160	SLUZBY	\N	\N
2465924	8132	1995-06-30	VYDAJ	VYBER	30	84948	SLUZBY	\N	\N
2465925	8132	1995-07-31	VYDAJ	VYBER	30	73086	SLUZBY	\N	\N
2465926	8132	1995-08-31	VYDAJ	VYBER	30	70727	SLUZBY	\N	\N
2465927	8132	1995-09-30	VYDAJ	VYBER	30	64679	SLUZBY	\N	\N
2465928	8132	1995-10-31	VYDAJ	VYBER	30	75780	SLUZBY	\N	\N
2465929	8132	1995-11-30	VYDAJ	VYBER	30	77025	SLUZBY	\N	\N
2465930	8132	1995-12-31	VYDAJ	VYBER	30	90989	SLUZBY	\N	\N
2465931	8132	1996-01-31	VYDAJ	VYBER	30	41575	SLUZBY	\N	\N
2465932	8132	1996-02-29	VYDAJ	VYBER	30	68211	SLUZBY	\N	\N
2465933	8132	1996-03-31	VYDAJ	VYBER	30	84021	SLUZBY	\N	\N
2465934	8132	1996-04-30	VYDAJ	VYBER	30	91386	SLUZBY	\N	\N
2465935	8132	1996-05-31	VYDAJ	VYBER	30	71390	SLUZBY	\N	\N
2465936	8132	1996-06-30	VYDAJ	VYBER	30	77502	SLUZBY	\N	\N
2465937	8132	1996-07-31	VYDAJ	VYBER	30	75725	SLUZBY	\N	\N
2465938	8132	1996-08-31	VYDAJ	VYBER	30	71806	SLUZBY	\N	\N
2465939	8132	1996-09-30	VYDAJ	VYBER	30	76348	SLUZBY	\N	\N
2465940	8132	1996-10-31	VYDAJ	VYBER	30	53505	SLUZBY	\N	\N
2465941	8132	1996-11-30	VYDAJ	VYBER	30	53176	SLUZBY	\N	\N
2465942	8132	1996-12-31	VYDAJ	VYBER	30	61307	SLUZBY	\N	\N
2465943	8132	1997-01-31	VYDAJ	VYBER	30	62498	SLUZBY	\N	\N
2465944	8132	1997-02-28	VYDAJ	VYBER	30	67749	SLUZBY	\N	\N
2465945	8132	1997-03-31	VYDAJ	VYBER	30	60093	SLUZBY	\N	\N
2465946	8132	1997-04-30	VYDAJ	VYBER	30	72948	SLUZBY	\N	\N
2465947	8132	1997-05-31	VYDAJ	VYBER	30	74961	SLUZBY	\N	\N
2465948	8132	1997-06-30	VYDAJ	VYBER	30	71184	SLUZBY	\N	\N
2465949	8132	1997-07-31	VYDAJ	VYBER	30	75407	SLUZBY	\N	\N
2465950	8132	1997-08-31	VYDAJ	VYBER	30	78167	SLUZBY	\N	\N
2465951	8132	1997-09-30	VYDAJ	VYBER	30	79839	SLUZBY	\N	\N
2465952	8132	1997-10-31	VYDAJ	VYBER	30	80424	SLUZBY	\N	\N
2465953	8132	1997-11-30	VYDAJ	VYBER	30	87033	SLUZBY	\N	\N
2465954	8132	1997-12-31	VYDAJ	VYBER	30	65188	SLUZBY	\N	\N
2465955	8132	1998-01-31	VYDAJ	VYBER	30	69343	SLUZBY	\N	\N
2465956	8132	1998-02-28	VYDAJ	VYBER	30	85916	SLUZBY	\N	\N
2465957	8132	1998-03-31	VYDAJ	VYBER	30	89091	SLUZBY	\N	\N
2465958	8132	1998-04-30	VYDAJ	VYBER	30	87438	SLUZBY	\N	\N
2465959	8132	1998-05-31	VYDAJ	VYBER	30	71034	SLUZBY	\N	\N
2465960	8132	1998-06-30	VYDAJ	VYBER	30	90642	SLUZBY	\N	\N
2465961	8132	1998-07-31	VYDAJ	VYBER	30	95816	SLUZBY	\N	\N
2465962	8132	1998-08-31	VYDAJ	VYBER	30	103226	SLUZBY	\N	\N
2465963	8132	1998-09-30	VYDAJ	VYBER	30	112390	SLUZBY	\N	\N
2465964	8132	1998-10-31	VYDAJ	VYBER	30	111298	SLUZBY	\N	\N
2465965	8132	1998-11-30	VYDAJ	VYBER	30	90694	SLUZBY	\N	\N
2465966	8132	1993-05-17	VYDAJ	VYBER	700	25142	\N	\N	\N
2465967	8132	1993-06-16	VYDAJ	VYBER	19400	43553	\N	\N	\N
2465968	8132	1993-07-16	VYDAJ	VYBER	21900	47023	\N	\N	\N
2465969	8132	1993-08-15	VYDAJ	VYBER	25800	46648	\N	\N	\N
2465970	8132	1993-09-14	VYDAJ	VYBER	24700	47384	\N	\N	\N
2465971	8132	1993-10-14	VYDAJ	VYBER	10700	38406	\N	\N	\N
2465972	8132	1993-11-13	VYDAJ	VYBER	17300	46484	\N	\N	\N
2465973	8132	1993-12-13	VYDAJ	VYBER	25000	50196	\N	\N	\N
2465974	8132	1994-01-12	VYDAJ	VYBER	9400	32867	\N	\N	\N
2465975	8132	1994-02-11	PRIJEM	VKLAD	15800	13959	\N	\N	\N
2465976	8132	1994-03-13	PRIJEM	VKLAD	1000	29777	\N	\N	\N
2465977	8132	1994-04-12	VYDAJ	VYBER	3900	29226	\N	\N	\N
2465978	8132	1994-05-12	VYDAJ	VYBER	13500	41009	\N	\N	\N
2465979	8132	1994-06-11	PRIJEM	VKLAD	7200	19492	\N	\N	\N
2465980	8132	1994-07-11	VYDAJ	VYBER	600	32458	\N	\N	\N
2465981	8132	1994-08-10	VYDAJ	VYBER	1700	34932	\N	\N	\N
2465982	8132	1994-09-09	VYDAJ	VYBER	12900	47538	\N	\N	\N
2465983	8132	1994-10-09	VYDAJ	VYBER	16700	44714	\N	\N	\N
2465984	8132	1994-11-08	VYDAJ	VYBER	20400	49970	\N	\N	\N
2465985	8132	1994-12-08	VYDAJ	VYBER	9900	39965	\N	\N	\N
2465986	8132	1995-01-07	VYDAJ	VYBER	8700	45641	\N	\N	\N
2465987	8132	1995-02-06	PRIJEM	VKLAD	12200	25610	\N	\N	\N
2465988	8132	1995-03-08	VYDAJ	VYBER	7900	43100	\N	\N	\N
2465989	8132	1995-04-07	VYDAJ	VYBER	15800	50233	\N	\N	\N
2465990	8132	1995-05-07	VYDAJ	VYBER	20300	55536	\N	\N	\N
2465991	8132	1995-06-06	VYDAJ	VYBER	14700	56260	\N	\N	\N
2465992	8132	1995-07-06	VYDAJ	VYBER	22400	62548	\N	\N	\N
2465993	8132	1995-08-05	VYDAJ	VYBER	5900	45109	\N	\N	\N
2465994	8132	1995-09-04	VYDAJ	VYBER	16700	54027	\N	\N	\N
2465995	8132	1995-10-04	VYDAJ	VYBER	12700	51979	\N	\N	\N
2465996	8132	1995-11-03	VYDAJ	VYBER	14600	61180	\N	\N	\N
2465997	8132	1995-12-03	VYDAJ	VYBER	13400	56425	\N	\N	\N
2465998	8132	1996-01-02	VYDAJ	VYBER	14200	54876	\N	\N	\N
2465999	8132	1996-02-01	PRIJEM	VKLAD	1100	42675	\N	\N	\N
2466000	8132	1996-03-02	VYDAJ	VYBER	9800	58411	\N	\N	\N
2466001	8132	1996-04-01	VYDAJ	VYBER	18300	65721	\N	\N	\N
2466002	8132	1996-05-01	VYDAJ	VYBER	22000	69386	\N	\N	\N
2466003	8132	1996-05-31	VYDAJ	VYBER	23700	71420	\N	\N	\N
2466004	8132	1996-06-30	VYDAJ	VYBER	32100	77532	\N	\N	\N
2466005	8132	1996-07-30	VYDAJ	VYBER	27200	75444	\N	\N	\N
2466006	8132	1996-08-29	VYDAJ	VYBER	25100	75767	\N	\N	\N
2466007	8132	1996-09-28	VYDAJ	VYBER	21100	75848	\N	\N	\N
2466008	8132	1996-10-28	PRIJEM	VKLAD	2600	53127	\N	\N	\N
2466009	8132	1996-11-27	PRIJEM	VKLAD	5300	52859	\N	\N	\N
2466010	8132	1996-12-27	PRIJEM	VKLAD	3200	60970	\N	\N	\N
2466011	8132	1997-01-26	PRIJEM	VKLAD	5400	62149	\N	\N	\N
2466012	8132	1997-02-25	VYDAJ	VYBER	10900	67440	\N	\N	\N
2466013	8132	1997-03-27	VYDAJ	VYBER	12600	66791	\N	\N	\N
2466014	8132	1997-04-26	VYDAJ	VYBER	12700	72535	\N	\N	\N
2466015	8132	1997-05-26	VYDAJ	VYBER	16800	74390	\N	\N	\N
2466016	8132	1997-06-25	VYDAJ	VYBER	12600	70674	\N	\N	\N
2466017	8132	1997-07-25	VYDAJ	VYBER	21200	75126	\N	\N	\N
2466018	8132	1997-08-24	VYDAJ	VYBER	22700	77849	\N	\N	\N
2466019	8132	1997-09-23	VYDAJ	VYBER	24000	79309	\N	\N	\N
2466020	8132	1997-10-23	VYDAJ	VYBER	24900	80081	\N	\N	\N
2466021	8132	1997-11-22	VYDAJ	VYBER	19100	86466	\N	\N	\N
2466022	8132	1997-12-12	VYDAJ	VYBER	50700	74046	\N	\N	\N
2466023	8132	1997-12-22	VYDAJ	VYBER	1100	72946	\N	\N	\N
2466024	8132	1998-01-21	PRIJEM	VKLAD	4100	74930	\N	\N	\N
2466025	8132	1998-02-20	VYDAJ	VYBER	8900	85585	\N	\N	\N
2466026	8132	1998-03-22	VYDAJ	VYBER	4900	88458	\N	\N	\N
2466027	8132	1998-04-21	VYDAJ	VYBER	12700	86823	\N	\N	\N
2466028	8132	1998-05-21	VYDAJ	VYBER	11700	92780	\N	\N	\N
2466029	8132	1998-06-20	VYDAJ	VYBER	12600	90147	\N	\N	\N
2466030	8132	1998-07-20	VYDAJ	VYBER	20600	95184	\N	\N	\N
2466031	8132	1998-08-19	VYDAJ	VYBER	18400	102558	\N	\N	\N
2466032	8132	1998-09-18	VYDAJ	VYBER	16500	111868	\N	\N	\N
2466033	8132	1998-10-12	VYDAJ	VYBER	15100	122432	\N	\N	\N
2466034	8132	1998-10-18	VYDAJ	VYBER	11800	110632	\N	\N	\N
2466035	8132	1998-11-12	VYDAJ	VYBER	46800	89640	\N	\N	\N
2466036	8132	1998-11-17	PRIJEM	VKLAD	400	90040	\N	\N	\N
2470316	8149	1997-05-14	PRIJEM	VKLAD	700	700	\N	\N	\N
2470320	8149	1997-10-31	PRIJEM	VKLAD	23415	105769	\N	\N	\N
2470321	8149	1997-06-19	PRIJEM	VKLAD	44639	106139	\N	\N	\N
2470323	8149	1997-06-01	PRIJEM	VKLAD	28100	50508	\N	\N	\N
2470324	8149	1997-11-25	PRIJEM	VKLAD	19951	64320	\N	\N	\N
2470325	8149	1997-08-17	PRIJEM	VKLAD	35127	68524	\N	\N	\N
2470326	8149	1997-10-16	PRIJEM	VKLAD	45865	77010	\N	\N	\N
2470327	8149	1997-07-20	PRIJEM	VKLAD	22372	123378	\N	\N	\N
2470332	8149	1997-10-19	PRIJEM	VKLAD	36956	113966	\N	\N	\N
2470335	8149	1997-07-27	PRIJEM	VKLAD	44500	109478	\N	\N	\N
2470338	8149	1997-07-16	PRIJEM	VKLAD	11702	59061	\N	\N	\N
2470341	8149	1997-05-31	PRIJEM	VKLAD	21702	22405	\N	\N	\N
2470342	8149	1997-12-12	PRIJEM	VKLAD	44036	89259	\N	\N	\N
2470343	8149	1997-07-18	PRIJEM	VKLAD	41945	101006	\N	\N	\N
2470344	8149	1997-07-13	PRIJEM	VKLAD	17684	66159	\N	\N	\N
2470345	8149	1997-06-02	PRIJEM	VKLAD	42892	93400	\N	\N	\N
2470346	8149	1998-10-08	PRIJEM	VKLAD	6461	27477	\N	\N	\N
2470347	8149	1998-12-13	PRIJEM	VKLAD	31728	48887	\N	\N	\N
2470355	8149	1997-08-16	VYDAJ	VYBER	3300	33397	\N	\N	0
2470356	8149	1997-09-02	VYDAJ	VYBER	4500	64303	\N	\N	0
2470357	8149	1997-10-03	VYDAJ	VYBER	4900	39440	\N	\N	0
2470358	8149	1997-11-02	VYDAJ	VYBER	3700	65969	\N	\N	0
2470359	8149	1997-12-17	VYDAJ	VYBER	3800	85459	\N	\N	0
2470360	8149	1998-01-17	VYDAJ	VYBER	4300	36784	\N	\N	0
2470361	8149	1998-02-08	VYDAJ	VYBER	4600	16014	\N	\N	0
2470362	8149	1998-03-20	VYDAJ	VYBER	4500	24306	\N	\N	0
2470363	8149	1998-04-19	VYDAJ	VYBER	4600	24191	\N	\N	0
2470364	8149	1998-05-08	VYDAJ	VYBER	4300	19900	\N	\N	0
2470365	8149	1998-06-05	VYDAJ	VYBER	4000	7672	\N	\N	0
2470366	8149	1998-07-16	VYDAJ	VYBER	5200	20996	\N	\N	0
2470367	8149	1998-08-09	VYDAJ	VYBER	4300	20941	\N	\N	0
2470368	8149	1998-09-03	VYDAJ	VYBER	4900	10668	\N	\N	0
2470369	8149	1998-10-10	VYDAJ	VYBER	4800	22677	\N	\N	0
2470370	8149	1998-11-10	VYDAJ	VYBER	4500	21436	\N	\N	0
2470371	8149	1998-12-08	VYDAJ	VYBER	3900	17159	\N	\N	0
2470373	8149	1997-10-06	VYBER	VYBER	7195	32245	\N	\N	\N
2470375	8149	1997-12-25	VYBER	VYBER	4893	77566	\N	\N	\N
2470380	8149	1998-10-06	VYBER	VYBER	22292	21016	\N	\N	\N
2470382	8149	1998-12-19	VYBER	VYBER	11324	32163	\N	\N	\N
2470383	8149	1998-05-18	VYBER	VYBER	16052	11648	\N	\N	\N
2470384	8149	1998-11-25	VYBER	VYBER	23393	-1957	\N	\N	\N
2470388	8149	1998-01-20	VYDAJ	VYBER	17700	13084	\N	\N	\N
2470389	8149	1997-12-17	VYDAJ	VYBER	3000	82459	\N	\N	\N
2470390	8149	1998-12-14	VYDAJ	VYBER	5400	43487	\N	\N	\N
2470397	8149	1998-01-20	VYDAJ	VYBER	6000	30784	\N	\N	\N
2470398	8149	1998-01-06	VYDAJ	VYBER	3300	74784	\N	\N	\N
2470399	8149	1998-01-23	VYDAJ	VYBER	3900	9184	\N	\N	\N
2470400	8149	1998-01-13	VYDAJ	VYBER	4800	46484	\N	\N	\N
2470401	8149	1998-01-15	VYDAJ	VYBER	5400	41084	\N	\N	\N
2470402	8149	1998-01-25	VYDAJ	VYBER	5400	3784	\N	\N	\N
2470403	8149	1997-08-08	VYDAJ	VYBER	4200	41297	\N	\N	\N
2470409	8149	1998-08-23	VYDAJ	VYBER	5400	15541	\N	\N	\N
2470410	8149	1998-11-09	VYDAJ	VYBER	6000	25936	\N	\N	\N
2470411	8149	1998-03-21	VYDAJ	VYBER	7800	16506	\N	\N	\N
2470412	8149	1998-08-08	VYDAJ	VYBER	6300	25241	\N	\N	\N
2470420	8149	1997-07-31	VYDAJ	VYBER	100	45497	SLUZBY	\N	\N
2470421	8149	1997-08-31	VYDAJ	VYBER	100	68803	SLUZBY	\N	\N
2470422	8149	1997-09-30	VYDAJ	VYBER	100	44340	SLUZBY	\N	\N
2470423	8149	1997-10-31	VYDAJ	VYBER	100	105669	SLUZBY	\N	\N
2470424	8149	1997-11-30	VYDAJ	VYBER	100	64723	SLUZBY	\N	\N
2470425	8149	1997-12-31	VYDAJ	VYBER	100	78084	SLUZBY	\N	\N
2470426	8149	1998-01-31	VYDAJ	VYBER	100	3914	SLUZBY	\N	\N
2470427	8149	1998-02-28	VYDAJ	VYBER	100	16006	SLUZBY	\N	\N
2470428	8149	1998-03-31	VYDAJ	VYBER	100	16491	SLUZBY	\N	\N
2470429	8149	1998-04-30	VYDAJ	VYBER	100	24200	SLUZBY	\N	\N
2470430	8149	1998-05-31	VYDAJ	VYBER	100	11672	SLUZBY	\N	\N
2470431	8149	1998-06-30	VYDAJ	VYBER	100	18196	SLUZBY	\N	\N
2470432	8149	1998-07-31	VYDAJ	VYBER	100	21041	SLUZBY	\N	\N
2470433	8149	1998-08-31	VYDAJ	VYBER	100	15568	SLUZBY	\N	\N
2470434	8149	1998-09-30	VYDAJ	VYBER	100	21208	SLUZBY	\N	\N
2470435	8149	1998-10-31	VYDAJ	VYBER	100	22736	SLUZBY	\N	\N
2470436	8149	1998-11-30	VYDAJ	VYBER	100	-1933	SLUZBY	\N	\N
2470437	8149	1997-06-13	VYDAJ	VYBER	31900	61500	\N	\N	\N
2470438	8149	1997-06-19	VYDAJ	VYBER	58300	47839	\N	\N	\N
2470439	8149	1997-07-13	VYDAJ	VYBER	18800	47359	\N	\N	\N
2470440	8149	1997-07-20	VYDAJ	VYBER	58400	64978	\N	\N	\N
2470441	8149	1997-07-27	VYDAJ	VYBER	64300	45178	\N	\N	\N
2470442	8149	1997-08-12	VYDAJ	VYBER	4600	36697	\N	\N	\N
2470443	8149	1997-09-11	VYDAJ	VYBER	20200	44103	\N	\N	\N
2470444	8149	1997-10-11	VYDAJ	VYBER	1100	31145	\N	\N	\N
2470445	8149	1997-10-19	VYDAJ	VYBER	32100	81866	\N	\N	\N
2470446	8149	1997-10-31	VYDAJ	VYBER	36000	69669	\N	\N	\N
2470447	8149	1997-11-10	VYDAJ	VYBER	21600	44369	\N	\N	\N
2470448	8149	1997-12-10	VYDAJ	VYBER	19500	45223	\N	\N	\N
2470449	8149	1998-01-09	VYDAJ	VYBER	23500	51284	\N	\N	\N
2470450	8149	1998-02-08	PRIJEM	VKLAD	16700	20614	\N	\N	\N
2470451	8149	1998-03-10	PRIJEM	VKLAD	12800	28806	\N	\N	\N
2470452	8149	1998-04-09	PRIJEM	VKLAD	12300	28791	\N	\N	\N
2470453	8149	1998-05-09	PRIJEM	VKLAD	7800	27700	\N	\N	\N
2470454	8149	1998-06-08	PRIJEM	VKLAD	10500	18172	\N	\N	\N
2470455	8149	1998-07-08	PRIJEM	VKLAD	8000	26196	\N	\N	\N
2470456	8149	1998-08-07	PRIJEM	VKLAD	10500	31541	\N	\N	\N
2470457	8149	1998-09-06	PRIJEM	VKLAD	10500	21168	\N	\N	\N
2470458	8149	1998-10-06	PRIJEM	VKLAD	22100	43308	\N	\N	\N
2470459	8149	1998-11-05	PRIJEM	VKLAD	9200	31936	\N	\N	\N
2470460	8149	1998-12-05	PRIJEM	VKLAD	23000	21059	\N	\N	\N
2471307	8153	1997-07-02	PRIJEM	VKLAD	200	200	\N	\N	\N
2471308	8153	1997-10-17	PRIJEM	VKLAD	9404	69113	\N	\N	\N
2471312	8153	1997-09-25	PRIJEM	VKLAD	10620	118316	\N	\N	\N
2471313	8153	1997-07-31	PRIJEM	VKLAD	45708	45908	\N	\N	\N
2471314	8153	1997-11-26	PRIJEM	VKLAD	24620	99503	\N	\N	\N
2471315	8153	1997-09-05	PRIJEM	VKLAD	20472	51676	\N	\N	\N
2471318	8153	1997-12-05	PRIJEM	VKLAD	12249	52682	\N	\N	\N
2471319	8153	1997-12-29	PRIJEM	VKLAD	12705	100209	\N	\N	\N
2471320	8153	1997-09-21	PRIJEM	VKLAD	18665	117787	\N	\N	\N
2471321	8153	1997-11-29	PRIJEM	VKLAD	21522	121025	\N	\N	\N
2471322	8153	1997-11-05	PRIJEM	VKLAD	17623	66463	\N	\N	\N
2471323	8153	1997-10-09	PRIJEM	VKLAD	8561	71109	\N	\N	\N
2471325	8153	1997-12-26	PRIJEM	VKLAD	43522	96204	\N	\N	\N
2471326	8153	1997-09-18	PRIJEM	VKLAD	47446	99122	\N	\N	\N
2471328	8153	1997-11-04	PRIJEM	VKLAD	14419	48840	\N	\N	\N
2471330	8153	1997-09-22	PRIJEM	VKLAD	16309	107696	\N	\N	\N
2471331	8153	1997-11-21	PRIJEM	VKLAD	8420	74883	\N	\N	\N
2471333	8153	1998-10-04	PRIJEM	VKLAD	24916	100075	\N	\N	\N
2471334	8153	1998-01-30	PRIJEM	VKLAD	37051	62510	\N	\N	\N
2471335	8153	1998-02-27	PRIJEM	VKLAD	27045	123684	\N	\N	\N
2471336	8153	1998-02-21	PRIJEM	VKLAD	11584	96639	\N	\N	\N
2471337	8153	1998-12-22	PRIJEM	VKLAD	26204	56339	\N	\N	\N
2471338	8153	1998-12-29	PRIJEM	VKLAD	34267	72606	\N	\N	\N
2471339	8153	1998-01-05	PRIJEM	VKLAD	7662	66259	\N	\N	\N
2471340	8153	1998-06-02	PRIJEM	VKLAD	23157	75587	\N	\N	\N
2471341	8153	1998-11-11	PRIJEM	VKLAD	49547	84033	\N	\N	\N
2471342	8153	1998-06-22	PRIJEM	VKLAD	12016	11703	\N	\N	\N
2471343	8153	1998-09-18	PRIJEM	VKLAD	11357	65523	\N	\N	\N
2471344	8153	1998-05-25	PRIJEM	VKLAD	46958	140271	\N	\N	\N
2471345	8153	1998-05-03	PRIJEM	VKLAD	43728	63864	\N	\N	\N
2471346	8153	1998-09-29	PRIJEM	VKLAD	49334	89257	\N	\N	\N
2471347	8153	1998-05-09	PRIJEM	VKLAD	29449	93313	\N	\N	\N
2471348	8153	1998-10-12	PRIJEM	VKLAD	49876	122082	\N	\N	\N
2471349	8153	1998-10-05	PRIJEM	VKLAD	25731	125806	\N	\N	\N
2471350	8153	1998-02-13	PRIJEM	VKLAD	29085	85055	\N	\N	\N
2471351	8153	1998-09-13	PRIJEM	VKLAD	42714	69123	\N	\N	\N
2471352	8153	1998-08-11	PRIJEM	VKLAD	38874	45552	\N	\N	\N
2471377	8153	1997-10-22	VYBER	VYBER	15533	53580	\N	\N	\N
2471381	8153	1998-10-15	VYBER	VYBER	16534	86748	\N	\N	\N
2471383	8153	1998-10-01	VYBER	VYBER	14432	75159	\N	\N	\N
2471384	8153	1998-04-21	VYBER	VYBER	6587	24523	\N	\N	\N
2471385	8153	1998-03-13	VYBER	VYBER	15224	37220	\N	\N	\N
2471386	8153	1998-12-12	VYBER	VYBER	12690	30135	\N	\N	\N
2471387	8153	1998-09-14	VYBER	VYBER	14957	54166	\N	\N	\N
2471388	8153	1998-10-31	VYBER	VYBER	19507	34501	\N	\N	\N
2471390	8153	1998-06-19	VYDAJ	VYBER	61800	-313	\N	\N	\N
2471391	8153	1997-12-28	VYDAJ	VYBER	8700	87504	\N	\N	\N
2471392	8153	1998-12-27	VYDAJ	VYBER	6600	38339	\N	\N	\N
2471399	8153	1998-01-22	VYDAJ	VYBER	8400	48559	\N	\N	\N
2471400	8153	1998-01-30	VYDAJ	VYBER	6900	55610	\N	\N	\N
2471401	8153	1998-01-24	VYDAJ	VYBER	2400	46159	\N	\N	\N
2471402	8153	1998-01-28	VYDAJ	VYBER	6600	25459	\N	\N	\N
2471403	8153	1998-01-10	VYDAJ	VYBER	1500	64759	\N	\N	\N
2471404	8153	1998-01-14	VYDAJ	VYBER	6300	58459	\N	\N	\N
2471407	8153	1997-10-15	VYDAJ	VYBER	11400	59709	\N	\N	\N
2471410	8153	1998-07-26	VYDAJ	VYBER	12900	704	\N	\N	\N
2471411	8153	1998-12-09	VYDAJ	VYBER	12300	42825	\N	\N	\N
2471412	8153	1998-06-12	VYDAJ	VYBER	14100	61487	\N	\N	\N
2471413	8153	1998-01-21	VYDAJ	VYBER	1500	56959	\N	\N	\N
2471424	8153	1997-09-30	VYDAJ	VYBER	15	98348	SLUZBY	\N	\N
2471425	8153	1997-10-31	VYDAJ	VYBER	15	34421	SLUZBY	\N	\N
2471426	8153	1997-11-30	VYDAJ	VYBER	15	40433	SLUZBY	\N	\N
2471427	8153	1997-12-31	VYDAJ	VYBER	15	58597	SLUZBY	\N	\N
2471428	8153	1998-01-31	VYDAJ	VYBER	15	55970	SLUZBY	\N	\N
2471429	8153	1998-02-28	VYDAJ	VYBER	15	52444	SLUZBY	\N	\N
2471430	8153	1998-03-31	VYDAJ	VYBER	15	31110	SLUZBY	\N	\N
2471431	8153	1998-04-30	VYDAJ	VYBER	15	20136	SLUZBY	\N	\N
2471432	8153	1998-05-31	VYDAJ	VYBER	15	52430	SLUZBY	\N	\N
2471433	8153	1998-06-30	VYDAJ	VYBER	15	13604	SLUZBY	\N	\N
2471434	8153	1998-07-31	VYDAJ	VYBER	15	6678	SLUZBY	\N	\N
2471435	8153	1998-08-31	VYDAJ	VYBER	15	26409	SLUZBY	\N	\N
2471436	8153	1998-09-30	VYDAJ	VYBER	15	89591	SLUZBY	\N	\N
2471437	8153	1998-10-31	VYDAJ	VYBER	15	34486	SLUZBY	\N	\N
2471438	8153	1998-11-30	VYDAJ	VYBER	15	55125	SLUZBY	\N	\N
2471439	8153	1997-08-01	VYDAJ	VYBER	10900	35014	\N	\N	\N
2471440	8153	1997-08-31	VYDAJ	VYBER	4000	31204	\N	\N	\N
2471441	8153	1997-09-21	VYDAJ	VYBER	26400	91387	\N	\N	\N
2471442	8153	1997-09-25	VYDAJ	VYBER	20400	97916	\N	\N	\N
2471443	8153	1997-09-30	VYDAJ	VYBER	35800	62548	\N	\N	\N
2471444	8153	1997-10-30	VYDAJ	VYBER	19700	33880	\N	\N	\N
2471445	8153	1997-11-29	VYDAJ	VYBER	61000	60025	\N	\N	\N
2471446	8153	1997-11-29	VYDAJ	VYBER	20100	39925	\N	\N	\N
2471447	8153	1997-12-29	VYDAJ	VYBER	42000	58209	\N	\N	\N
2471448	8153	1998-01-28	VYDAJ	VYBER	14100	32059	\N	\N	\N
2471449	8153	1998-02-27	VYDAJ	VYBER	42000	52084	\N	\N	\N
2471450	8153	1998-02-27	VYDAJ	VYBER	29600	94084	\N	\N	\N
2471451	8153	1998-03-29	VYDAJ	VYBER	6500	30720	\N	\N	\N
2471452	8153	1998-04-28	VYDAJ	VYBER	4500	20023	\N	\N	\N
2471453	8153	1998-05-25	VYDAJ	VYBER	51400	88871	\N	\N	\N
2471454	8153	1998-05-28	VYDAJ	VYBER	37000	51871	\N	\N	\N
2471455	8153	1998-06-27	PRIJEM	VKLAD	1700	13403	\N	\N	\N
2471456	8153	1998-07-27	PRIJEM	VKLAD	5900	6604	\N	\N	\N
2471457	8153	1998-08-26	VYDAJ	VYBER	19200	26352	\N	\N	\N
2471458	8153	1998-09-25	VYDAJ	VYBER	25600	39923	\N	\N	\N
2471459	8153	1998-10-05	VYDAJ	VYBER	53600	72206	\N	\N	\N
2471460	8153	1998-10-12	VYDAJ	VYBER	18800	103282	\N	\N	\N
2471461	8153	1998-10-25	VYDAJ	VYBER	33400	53348	\N	\N	\N
2471462	8153	1998-11-24	VYDAJ	VYBER	29200	54833	\N	\N	\N
2471463	8153	1998-12-24	VYDAJ	VYBER	11400	44939	\N	\N	\N
2472443	8158	1996-06-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2472450	8158	1996-07-14	PRIJEM	PREVOD Z UCTU	39784	40784	\N	YZ	52673673
2472451	8158	1996-08-14	PRIJEM	PREVOD Z UCTU	39784	73039	\N	YZ	52673673
2472452	8158	1996-09-14	PRIJEM	PREVOD Z UCTU	39784	89299	\N	YZ	52673673
2472453	8158	1996-10-14	PRIJEM	PREVOD Z UCTU	39784	100715	\N	YZ	52673673
2472454	8158	1996-11-14	PRIJEM	PREVOD Z UCTU	39784	81555	\N	YZ	52673673
2472455	8158	1996-12-14	PRIJEM	PREVOD Z UCTU	59676	106415	\N	YZ	52673673
2472456	8158	1997-01-14	PRIJEM	PREVOD Z UCTU	39784	79370	\N	YZ	52673673
2472457	8158	1997-02-14	PRIJEM	PREVOD Z UCTU	39784	61541	\N	YZ	52673673
2472458	8158	1997-03-14	PRIJEM	PREVOD Z UCTU	39784	83090	\N	YZ	52673673
2472459	8158	1997-04-14	PRIJEM	PREVOD Z UCTU	39784	86047	\N	YZ	52673673
2472460	8158	1997-05-14	PRIJEM	PREVOD Z UCTU	39784	96432	\N	YZ	52673673
2472461	8158	1997-06-14	PRIJEM	PREVOD Z UCTU	59676	115151	\N	YZ	52673673
2472462	8158	1997-07-14	PRIJEM	PREVOD Z UCTU	39784	85522	\N	YZ	52673673
2472463	8158	1997-08-14	PRIJEM	PREVOD Z UCTU	39784	78082	\N	YZ	52673673
2472464	8158	1997-09-14	PRIJEM	PREVOD Z UCTU	39784	81436	\N	YZ	52673673
2472465	8158	1997-10-14	PRIJEM	PREVOD Z UCTU	39784	84901	\N	YZ	52673673
2472466	8158	1997-11-14	PRIJEM	PREVOD Z UCTU	39784	82954	\N	YZ	52673673
2472467	8158	1997-12-14	PRIJEM	PREVOD Z UCTU	59676	96799	\N	YZ	52673673
2472468	8158	1998-01-14	PRIJEM	PREVOD Z UCTU	39784	72558	\N	YZ	52673673
2472469	8158	1998-02-14	PRIJEM	PREVOD Z UCTU	39784	60902	\N	YZ	52673673
2472470	8158	1998-03-14	PRIJEM	PREVOD Z UCTU	39784	66936	\N	YZ	52673673
2472471	8158	1998-04-14	PRIJEM	PREVOD Z UCTU	39784	69310	\N	YZ	52673673
2472472	8158	1998-05-14	PRIJEM	PREVOD Z UCTU	39784	60265	\N	YZ	52673673
2472473	8158	1998-06-14	PRIJEM	PREVOD Z UCTU	59676	89398	\N	YZ	52673673
2472474	8158	1998-07-14	PRIJEM	PREVOD Z UCTU	39784	60403	\N	YZ	52673673
2472475	8158	1998-08-14	PRIJEM	PREVOD Z UCTU	39784	67850	\N	YZ	52673673
2472476	8158	1998-09-14	PRIJEM	PREVOD Z UCTU	39784	65533	\N	YZ	52673673
2472477	8158	1998-10-14	PRIJEM	PREVOD Z UCTU	39784	63395	\N	YZ	52673673
2472478	8158	1998-11-14	PRIJEM	PREVOD Z UCTU	39784	56192	\N	YZ	52673673
2472479	8158	1998-12-14	PRIJEM	PREVOD Z UCTU	59676	81192	\N	YZ	52673673
2472491	8158	1996-12-05	VYDAJ	VYBER	6000	64139	\N	\N	0
2472492	8158	1997-01-20	VYDAJ	VYBER	5000	55722	\N	\N	0
2472493	8158	1997-02-04	VYDAJ	VYBER	5400	26495	\N	\N	0
2472494	8158	1997-03-19	VYDAJ	VYBER	5400	75542	\N	\N	0
2472495	8158	1997-04-05	VYDAJ	VYBER	5300	60963	\N	\N	0
2472496	8158	1997-05-18	VYDAJ	VYBER	5200	89084	\N	\N	0
2472497	8158	1997-06-07	VYDAJ	VYBER	6100	73775	\N	\N	0
2472498	8158	1997-07-18	VYDAJ	VYBER	8000	75374	\N	\N	0
2472499	8158	1997-08-07	VYDAJ	VYBER	5000	48198	\N	\N	0
2472500	8158	1997-09-05	VYDAJ	VYBER	5800	60852	\N	\N	0
2472501	8158	1997-10-10	VYDAJ	VYBER	5400	45117	\N	\N	0
2472502	8158	1997-11-12	VYDAJ	PREVOD NA UCET	6631	43170	UVER	QR	37226617
2472503	8158	1997-12-12	VYDAJ	PREVOD NA UCET	6631	37123	UVER	QR	37226617
2472504	8158	1998-01-12	VYDAJ	PREVOD NA UCET	6631	32774	UVER	QR	37226617
2472505	8158	1998-02-12	VYDAJ	PREVOD NA UCET	6631	21118	UVER	QR	37226617
2472506	8158	1998-03-12	VYDAJ	PREVOD NA UCET	6631	27152	UVER	QR	37226617
2472507	8158	1998-04-12	VYDAJ	PREVOD NA UCET	6631	29526	UVER	QR	37226617
2472508	8158	1998-05-12	VYDAJ	PREVOD NA UCET	6631	20481	UVER	QR	37226617
2472509	8158	1998-06-12	VYDAJ	PREVOD NA UCET	6631	29722	UVER	QR	37226617
2472510	8158	1998-07-12	VYDAJ	PREVOD NA UCET	6631	20619	UVER	QR	37226617
2472511	8158	1998-08-12	VYDAJ	PREVOD NA UCET	6631	28066	UVER	QR	37226617
2472512	8158	1998-09-12	VYDAJ	PREVOD NA UCET	6631	25749	UVER	QR	37226617
2472513	8158	1998-10-12	VYDAJ	PREVOD NA UCET	6631	23611	UVER	QR	37226617
2472514	8158	1998-11-12	VYDAJ	PREVOD NA UCET	6631	16408	UVER	QR	37226617
2472515	8158	1998-12-12	VYDAJ	PREVOD NA UCET	6631	21516	UVER	QR	37226617
2472527	8158	1996-12-05	VYDAJ	PREVOD NA UCET	9538	70139	SIPO	UV	88843780
2472528	8158	1997-01-05	VYDAJ	PREVOD NA UCET	9538	48486	SIPO	UV	88843780
2472529	8158	1997-02-05	VYDAJ	PREVOD NA UCET	9538	16957	SIPO	UV	88843780
2472530	8158	1997-03-05	VYDAJ	PREVOD NA UCET	9538	50006	SIPO	UV	88843780
2472531	8158	1997-04-05	VYDAJ	PREVOD NA UCET	9538	66263	SIPO	UV	88843780
2472532	8158	1997-05-05	VYDAJ	PREVOD NA UCET	9538	74648	SIPO	UV	88843780
2472533	8158	1997-06-05	VYDAJ	PREVOD NA UCET	9538	79875	SIPO	UV	88843780
2472534	8158	1997-07-05	VYDAJ	PREVOD NA UCET	9538	54538	SIPO	UV	88843780
2472535	8158	1997-08-05	VYDAJ	PREVOD NA UCET	9538	53198	SIPO	UV	88843780
2472536	8158	1997-09-05	VYDAJ	PREVOD NA UCET	9538	66652	SIPO	UV	88843780
2472537	8158	1997-10-05	VYDAJ	PREVOD NA UCET	9538	70017	SIPO	UV	88843780
2472538	8158	1997-11-05	VYDAJ	PREVOD NA UCET	9538	73501	SIPO	UV	88843780
2472539	8158	1997-12-05	VYDAJ	PREVOD NA UCET	9538	71554	SIPO	UV	88843780
2472540	8158	1998-01-05	VYDAJ	PREVOD NA UCET	9538	65504	SIPO	UV	88843780
2472541	8158	1998-02-05	VYDAJ	PREVOD NA UCET	9538	27749	SIPO	UV	88843780
2472542	8158	1998-03-05	VYDAJ	PREVOD NA UCET	9538	49383	SIPO	UV	88843780
2472543	8158	1998-04-05	VYDAJ	PREVOD NA UCET	9538	55456	SIPO	UV	88843780
2472544	8158	1998-05-05	VYDAJ	PREVOD NA UCET	9538	43112	SIPO	UV	88843780
2472545	8158	1998-06-05	VYDAJ	PREVOD NA UCET	9538	48752	SIPO	UV	88843780
2472546	8158	1998-07-05	VYDAJ	PREVOD NA UCET	9538	32550	SIPO	UV	88843780
2472547	8158	1998-08-05	VYDAJ	PREVOD NA UCET	9538	48896	SIPO	UV	88843780
2472548	8158	1998-09-05	VYDAJ	PREVOD NA UCET	9538	32379	SIPO	UV	88843780
2472549	8158	1998-10-05	VYDAJ	PREVOD NA UCET	9538	30241	SIPO	UV	88843780
2472550	8158	1998-11-05	VYDAJ	PREVOD NA UCET	9538	23038	SIPO	UV	88843780
2472551	8158	1998-12-05	VYDAJ	PREVOD NA UCET	9538	28147	SIPO	UV	88843780
2472562	8158	1996-11-14	VYDAJ	PREVOD NA UCET	2148	79407	 	OP	99838619
2472563	8158	1996-12-14	VYDAJ	PREVOD NA UCET	2148	104267	 	OP	99838619
2472564	8158	1997-01-14	VYDAJ	PREVOD NA UCET	2148	60722	 	OP	99838619
2472565	8158	1997-02-14	VYDAJ	PREVOD NA UCET	2148	59393	 	OP	99838619
2472566	8158	1997-03-14	VYDAJ	PREVOD NA UCET	2148	80942	 	OP	99838619
2472567	8158	1997-04-14	VYDAJ	PREVOD NA UCET	2148	83899	 	OP	99838619
2472568	8158	1997-05-14	VYDAJ	PREVOD NA UCET	2148	94284	 	OP	99838619
2472569	8158	1997-06-14	VYDAJ	PREVOD NA UCET	2148	113003	 	OP	99838619
2472570	8158	1997-07-14	VYDAJ	PREVOD NA UCET	2148	83374	 	OP	99838619
2472571	8158	1997-08-14	VYDAJ	PREVOD NA UCET	2148	75934	 	OP	99838619
2472572	8158	1997-09-14	VYDAJ	PREVOD NA UCET	2148	79288	 	OP	99838619
2472573	8158	1997-10-14	VYDAJ	PREVOD NA UCET	2148	82753	 	OP	99838619
2472574	8158	1997-11-14	VYDAJ	PREVOD NA UCET	2148	80806	 	OP	99838619
2472575	8158	1997-12-14	VYDAJ	PREVOD NA UCET	2148	94651	 	OP	99838619
2472576	8158	1998-01-14	VYDAJ	PREVOD NA UCET	2148	70410	 	OP	99838619
2472577	8158	1998-02-14	VYDAJ	PREVOD NA UCET	2148	58754	 	OP	99838619
2472578	8158	1998-03-14	VYDAJ	PREVOD NA UCET	2148	64788	 	OP	99838619
2472579	8158	1998-04-14	VYDAJ	PREVOD NA UCET	2148	67162	 	OP	99838619
2472580	8158	1998-05-14	VYDAJ	PREVOD NA UCET	2148	58117	 	OP	99838619
2472581	8158	1998-06-14	VYDAJ	PREVOD NA UCET	2148	87250	 	OP	99838619
2472582	8158	1998-07-14	VYDAJ	PREVOD NA UCET	2148	58255	 	OP	99838619
2472583	8158	1998-08-14	VYDAJ	PREVOD NA UCET	2148	65702	 	OP	99838619
2472584	8158	1998-09-14	VYDAJ	PREVOD NA UCET	2148	63385	 	OP	99838619
2472585	8158	1998-10-14	VYDAJ	PREVOD NA UCET	2148	61247	 	OP	99838619
2472586	8158	1998-11-14	VYDAJ	PREVOD NA UCET	2148	54044	 	OP	99838619
2472587	8158	1998-12-14	VYDAJ	PREVOD NA UCET	2148	79044	 	OP	99838619
2472590	8158	1998-01-04	VYBER	VYBER	12647	82310	\N	\N	\N
2472591	8158	1998-06-23	VYBER	VYBER	24304	62946	\N	\N	\N
2472592	8158	1998-11-02	VYBER	VYBER	7266	34676	\N	\N	\N
2472594	8158	1998-07-01	VYBER	VYBER	21083	42088	\N	\N	\N
2472595	8158	1998-01-05	VYBER	VYBER	7268	75042	\N	\N	\N
2472596	8158	1998-10-15	VYBER	VYBER	6249	54998	\N	\N	\N
2472604	8158	1996-12-17	VYDAJ	VYBER	4800	57767	\N	\N	\N
2472605	8158	1997-12-07	VYDAJ	VYBER	1500	70054	\N	\N	\N
2472613	8158	1997-01-26	VYDAJ	VYBER	2700	31722	\N	\N	\N
2472614	8158	1997-01-22	VYDAJ	VYBER	6900	48822	\N	\N	\N
2472615	8158	1997-01-22	VYDAJ	VYBER	6900	41922	\N	\N	\N
2472616	8158	1997-01-23	VYDAJ	VYBER	7500	34422	\N	\N	\N
2472617	8158	1997-01-14	VYDAJ	VYBER	8100	71270	\N	\N	\N
2472618	8158	1997-01-14	VYDAJ	VYBER	8400	62870	\N	\N	\N
2472619	8158	1998-01-07	VYDAJ	VYBER	7200	58304	\N	\N	\N
2472620	8158	1998-01-15	VYDAJ	VYBER	7500	54210	\N	\N	\N
2472621	8158	1998-01-18	VYDAJ	VYBER	8100	44310	\N	\N	\N
2472622	8158	1998-01-22	VYDAJ	VYBER	7200	37110	\N	\N	\N
2472623	8158	1998-01-16	VYDAJ	VYBER	1800	52410	\N	\N	\N
2472624	8158	1998-01-14	VYDAJ	VYBER	8700	61710	\N	\N	\N
2472632	8158	1997-08-05	VYDAJ	VYBER	12900	62736	\N	\N	\N
2472633	8158	1997-01-10	VYDAJ	VYBER	3000	45486	\N	\N	\N
2472635	8158	1998-05-05	VYDAJ	VYBER	6300	36812	\N	\N	\N
2472636	8158	1998-10-21	VYDAJ	VYBER	13200	41798	\N	\N	\N
2472637	8158	1998-04-18	VYDAJ	VYBER	14700	52462	\N	\N	\N
2472639	8158	1998-10-03	VYDAJ	VYBER	1500	57279	\N	\N	\N
2472640	8158	1998-09-29	VYDAJ	VYBER	4800	58585	\N	\N	\N
2472652	8158	1996-11-30	VYDAJ	VYBER	30	79677	SLUZBY	\N	\N
2472653	8158	1996-12-31	VYDAJ	VYBER	30	58024	SLUZBY	\N	\N
2472654	8158	1997-01-31	VYDAJ	VYBER	30	31895	SLUZBY	\N	\N
2472655	8158	1997-02-28	VYDAJ	VYBER	30	59544	SLUZBY	\N	\N
2472656	8158	1997-03-31	VYDAJ	VYBER	30	75801	SLUZBY	\N	\N
2472657	8158	1997-04-30	VYDAJ	VYBER	30	84186	SLUZBY	\N	\N
2472658	8158	1997-05-31	VYDAJ	VYBER	30	89413	SLUZBY	\N	\N
2472659	8158	1997-06-30	VYDAJ	VYBER	30	64076	SLUZBY	\N	\N
2472660	8158	1997-07-31	VYDAJ	VYBER	30	75636	SLUZBY	\N	\N
2472661	8158	1997-08-31	VYDAJ	VYBER	30	76190	SLUZBY	\N	\N
2472662	8158	1997-09-30	VYDAJ	VYBER	30	79555	SLUZBY	\N	\N
2472663	8158	1997-10-31	VYDAJ	VYBER	30	83039	SLUZBY	\N	\N
2472664	8158	1997-11-30	VYDAJ	VYBER	30	81092	SLUZBY	\N	\N
2472665	8158	1997-12-31	VYDAJ	VYBER	30	94957	SLUZBY	\N	\N
2472666	8158	1998-01-31	VYDAJ	VYBER	30	37287	SLUZBY	\N	\N
2472667	8158	1998-02-28	VYDAJ	VYBER	30	58921	SLUZBY	\N	\N
2472668	8158	1998-03-31	VYDAJ	VYBER	30	64994	SLUZBY	\N	\N
2472669	8158	1998-04-30	VYDAJ	VYBER	30	52650	SLUZBY	\N	\N
2472670	8158	1998-05-31	VYDAJ	VYBER	30	58290	SLUZBY	\N	\N
2472671	8158	1998-06-30	VYDAJ	VYBER	30	63171	SLUZBY	\N	\N
2472672	8158	1998-07-31	VYDAJ	VYBER	30	58434	SLUZBY	\N	\N
2472673	8158	1998-08-31	VYDAJ	VYBER	30	65917	SLUZBY	\N	\N
2472674	8158	1998-09-30	VYDAJ	VYBER	30	58779	SLUZBY	\N	\N
2472675	8158	1998-10-31	VYDAJ	VYBER	30	41942	SLUZBY	\N	\N
2472676	8158	1998-11-30	VYDAJ	VYBER	30	54185	SLUZBY	\N	\N
2472677	8158	1996-07-16	VYDAJ	VYBER	7600	33184	\N	\N	\N
2472678	8158	1996-08-15	VYDAJ	VYBER	23700	49339	\N	\N	\N
2472679	8158	1996-09-14	VYDAJ	VYBER	28600	60699	\N	\N	\N
2472680	8158	1996-10-14	VYDAJ	VYBER	38800	61915	\N	\N	\N
2472681	8158	1996-11-13	VYDAJ	VYBER	20400	41771	\N	\N	\N
2472682	8158	1996-12-13	VYDAJ	VYBER	17400	46739	\N	\N	\N
2472683	8158	1996-12-14	VYDAJ	VYBER	41700	62567	\N	\N	\N
2472684	8158	1997-01-12	VYDAJ	VYBER	5900	39586	\N	\N	\N
2472685	8158	1997-02-11	PRIJEM	VKLAD	4800	21757	\N	\N	\N
2472686	8158	1997-03-13	VYDAJ	VYBER	6700	43306	\N	\N	\N
2472687	8158	1997-04-12	VYDAJ	VYBER	14700	46263	\N	\N	\N
2472688	8158	1997-05-12	VYDAJ	VYBER	18000	56648	\N	\N	\N
2472689	8158	1997-06-11	VYDAJ	VYBER	18300	55475	\N	\N	\N
2472690	8158	1997-06-14	VYDAJ	VYBER	49300	63703	\N	\N	\N
2472691	8158	1997-07-11	VYDAJ	VYBER	8800	45738	\N	\N	\N
2472692	8158	1997-08-10	VYDAJ	VYBER	9900	38298	\N	\N	\N
2472693	8158	1997-09-09	VYDAJ	VYBER	19200	41652	\N	\N	\N
2472694	8158	1997-10-09	VYDAJ	VYBER	19500	50517	\N	\N	\N
2472695	8158	1997-11-08	VYDAJ	VYBER	23700	49801	\N	\N	\N
2472696	8158	1997-12-08	VYDAJ	VYBER	26300	43754	\N	\N	\N
2472697	8158	1998-01-07	VYDAJ	VYBER	18900	39404	\N	\N	\N
2472698	8158	1998-03-08	VYDAJ	VYBER	15600	33783	\N	\N	\N
2472699	8158	1998-04-07	VYDAJ	VYBER	19300	36156	\N	\N	\N
2472700	8158	1998-05-07	VYDAJ	VYBER	9700	27112	\N	\N	\N
2472701	8158	1998-06-06	VYDAJ	VYBER	12400	36352	\N	\N	\N
2472702	8158	1998-07-06	VYDAJ	VYBER	5300	27250	\N	\N	\N
2472703	8158	1998-08-05	VYDAJ	VYBER	14200	34696	\N	\N	\N
2472704	8158	1998-09-04	VYDAJ	VYBER	24000	41917	\N	\N	\N
2472705	8158	1998-10-04	VYDAJ	VYBER	17500	39779	\N	\N	\N
2472706	8158	1998-11-03	VYDAJ	VYBER	2100	32576	\N	\N	\N
2472707	8158	1998-12-03	VYDAJ	VYBER	16500	37685	\N	\N	\N
2472739	8159	1995-02-08	PRIJEM	VKLAD	200	200	\N	\N	\N
2472742	8159	1995-03-05	PRIJEM	VKLAD	11494	11694	\N	\N	\N
2472743	8159	1995-04-05	PRIJEM	VKLAD	11494	31647	\N	\N	\N
2472744	8159	1995-05-05	PRIJEM	VKLAD	11494	39950	\N	\N	\N
2472745	8159	1995-06-05	PRIJEM	VKLAD	17241	49220	\N	\N	\N
2472746	8159	1995-07-05	PRIJEM	VKLAD	11494	49566	\N	\N	\N
2472747	8159	1995-08-05	PRIJEM	VKLAD	11494	43265	\N	\N	\N
2472748	8159	1995-09-05	PRIJEM	VKLAD	11494	42248	\N	\N	\N
2472749	8159	1995-10-05	PRIJEM	VKLAD	11494	36482	\N	\N	\N
2472750	8159	1995-11-05	PRIJEM	VKLAD	11494	29480	\N	\N	\N
2472751	8159	1995-12-05	PRIJEM	VKLAD	17241	37269	\N	\N	\N
2472752	8159	1996-01-05	PRIJEM	VKLAD	11494	31772	\N	\N	\N
2472753	8159	1996-02-05	PRIJEM	VKLAD	11494	34032	\N	\N	\N
2472754	8159	1996-03-05	PRIJEM	VKLAD	11494	34377	\N	\N	\N
2472755	8159	1996-04-05	PRIJEM	VKLAD	11494	36549	\N	\N	\N
2472756	8159	1996-05-05	PRIJEM	VKLAD	11494	38036	\N	\N	\N
2472757	8159	1996-06-05	PRIJEM	VKLAD	17241	42076	\N	\N	\N
2472758	8159	1996-07-05	PRIJEM	VKLAD	11494	34144	\N	\N	\N
2472759	8159	1996-08-05	PRIJEM	VKLAD	11494	36916	\N	\N	\N
2472760	8159	1996-09-05	PRIJEM	VKLAD	11494	37404	\N	\N	\N
2472761	8159	1996-10-05	PRIJEM	VKLAD	11494	37086	\N	\N	\N
2472762	8159	1996-11-05	PRIJEM	VKLAD	11494	40200	\N	\N	\N
2472763	8159	1996-12-05	PRIJEM	VKLAD	17241	48435	\N	\N	\N
2472764	8159	1997-01-05	PRIJEM	VKLAD	11494	44630	\N	\N	\N
2472765	8159	1997-02-05	PRIJEM	VKLAD	11494	45340	\N	\N	\N
2472766	8159	1997-03-05	PRIJEM	VKLAD	11494	44954	\N	\N	\N
2472767	8159	1997-04-05	PRIJEM	VKLAD	11494	41089	\N	\N	\N
2472768	8159	1997-05-05	PRIJEM	VKLAD	11494	40240	\N	\N	\N
2472769	8159	1997-06-05	PRIJEM	VKLAD	17241	47576	\N	\N	\N
2472770	8159	1997-07-05	PRIJEM	VKLAD	11494	44011	\N	\N	\N
2472771	8159	1997-08-05	PRIJEM	VKLAD	11494	44061	\N	\N	\N
2472772	8159	1997-09-05	PRIJEM	VKLAD	11494	49324	\N	\N	\N
2472773	8159	1997-10-05	PRIJEM	VKLAD	11494	52124	\N	\N	\N
2472774	8159	1997-11-05	PRIJEM	VKLAD	11494	52301	\N	\N	\N
2472775	8159	1997-12-05	PRIJEM	VKLAD	17241	53816	\N	\N	\N
2472776	8159	1998-01-05	PRIJEM	VKLAD	11494	55301	\N	\N	\N
2472777	8159	1998-02-05	PRIJEM	VKLAD	11494	49385	\N	\N	\N
2472778	8159	1998-03-05	PRIJEM	VKLAD	11494	56663	\N	\N	\N
2472779	8159	1998-04-05	PRIJEM	VKLAD	11494	57737	\N	\N	\N
2472780	8159	1998-05-05	PRIJEM	VKLAD	11494	61617	\N	\N	\N
2472781	8159	1998-06-05	PRIJEM	VKLAD	17241	56787	\N	\N	\N
2472782	8159	1998-07-05	PRIJEM	VKLAD	11494	58887	\N	\N	\N
2472783	8159	1998-08-05	PRIJEM	VKLAD	11494	62194	\N	\N	\N
2472784	8159	1998-09-05	PRIJEM	VKLAD	11494	64412	\N	\N	\N
2472785	8159	1998-10-05	PRIJEM	VKLAD	11494	68341	\N	\N	\N
2472786	8159	1998-11-05	PRIJEM	VKLAD	11494	68200	\N	\N	\N
2472787	8159	1998-12-05	PRIJEM	VKLAD	17241	71406	\N	\N	\N
2472794	8159	1995-07-08	VYDAJ	PREVOD NA UCET	3034	46532	SIPO	WX	6845528
2472795	8159	1995-08-08	VYDAJ	PREVOD NA UCET	3034	33431	SIPO	WX	6845528
2472796	8159	1995-09-08	VYDAJ	PREVOD NA UCET	3034	31514	SIPO	WX	6845528
2472797	8159	1995-10-08	VYDAJ	PREVOD NA UCET	3034	26348	SIPO	WX	6845528
2472798	8159	1995-11-08	VYDAJ	PREVOD NA UCET	3034	22746	SIPO	WX	6845528
2472799	8159	1995-12-08	VYDAJ	PREVOD NA UCET	3034	22995	SIPO	WX	6845528
2472800	8159	1996-01-08	VYDAJ	PREVOD NA UCET	3034	28738	SIPO	WX	6845528
2472801	8159	1996-02-08	VYDAJ	PREVOD NA UCET	3034	30998	SIPO	WX	6845528
2472802	8159	1996-03-08	VYDAJ	PREVOD NA UCET	3034	31343	SIPO	WX	6845528
2472803	8159	1996-04-08	VYDAJ	PREVOD NA UCET	3034	33515	SIPO	WX	6845528
2472804	8159	1996-05-08	VYDAJ	PREVOD NA UCET	3034	35002	SIPO	WX	6845528
2472805	8159	1996-06-08	VYDAJ	PREVOD NA UCET	3034	39042	SIPO	WX	6845528
2472806	8159	1996-07-08	VYDAJ	PREVOD NA UCET	3034	31110	SIPO	WX	6845528
2472807	8159	1996-08-08	VYDAJ	PREVOD NA UCET	3034	33882	SIPO	WX	6845528
2472808	8159	1996-09-08	VYDAJ	PREVOD NA UCET	3034	34370	SIPO	WX	6845528
2472809	8159	1996-10-08	VYDAJ	PREVOD NA UCET	3034	34052	SIPO	WX	6845528
2472810	8159	1996-11-08	VYDAJ	PREVOD NA UCET	3034	37166	SIPO	WX	6845528
2472811	8159	1996-12-08	VYDAJ	PREVOD NA UCET	3034	45401	SIPO	WX	6845528
2472812	8159	1997-01-08	VYDAJ	PREVOD NA UCET	3034	41596	SIPO	WX	6845528
2472813	8159	1997-02-08	VYDAJ	PREVOD NA UCET	3034	42306	SIPO	WX	6845528
2472814	8159	1997-03-08	VYDAJ	PREVOD NA UCET	3034	36160	SIPO	WX	6845528
2472815	8159	1997-04-08	VYDAJ	PREVOD NA UCET	3034	38055	SIPO	WX	6845528
2472816	8159	1997-05-08	VYDAJ	PREVOD NA UCET	3034	37206	SIPO	WX	6845528
2472817	8159	1997-06-08	VYDAJ	PREVOD NA UCET	3034	44542	SIPO	WX	6845528
2472818	8159	1997-07-08	VYDAJ	PREVOD NA UCET	3034	39877	SIPO	WX	6845528
2472819	8159	1997-08-08	VYDAJ	PREVOD NA UCET	3034	41027	SIPO	WX	6845528
2472820	8159	1997-09-08	VYDAJ	PREVOD NA UCET	3034	42930	SIPO	WX	6845528
2472821	8159	1997-10-08	VYDAJ	PREVOD NA UCET	3034	49090	SIPO	WX	6845528
2472822	8159	1997-11-08	VYDAJ	PREVOD NA UCET	3034	49267	SIPO	WX	6845528
2472823	8159	1997-12-08	VYDAJ	PREVOD NA UCET	3034	50782	SIPO	WX	6845528
2472824	8159	1998-01-08	VYDAJ	PREVOD NA UCET	3034	52267	SIPO	WX	6845528
2472825	8159	1998-02-08	VYDAJ	PREVOD NA UCET	3034	46351	SIPO	WX	6845528
2472826	8159	1998-03-08	VYDAJ	PREVOD NA UCET	3034	53629	SIPO	WX	6845528
2472827	8159	1998-04-08	VYDAJ	PREVOD NA UCET	3034	53403	SIPO	WX	6845528
2472828	8159	1998-05-08	VYDAJ	PREVOD NA UCET	3034	58583	SIPO	WX	6845528
2472829	8159	1998-06-08	VYDAJ	PREVOD NA UCET	3034	52653	SIPO	WX	6845528
2472830	8159	1998-07-08	VYDAJ	PREVOD NA UCET	3034	54953	SIPO	WX	6845528
2472831	8159	1998-08-08	VYDAJ	PREVOD NA UCET	3034	59160	SIPO	WX	6845528
2472832	8159	1998-09-08	VYDAJ	PREVOD NA UCET	3034	61378	SIPO	WX	6845528
2472833	8159	1998-10-08	VYDAJ	PREVOD NA UCET	3034	65307	SIPO	WX	6845528
2472834	8159	1998-11-08	VYDAJ	PREVOD NA UCET	3034	65166	SIPO	WX	6845528
2472835	8159	1998-12-08	VYDAJ	PREVOD NA UCET	3034	63332	SIPO	WX	6845528
2472842	8159	1995-07-12	VYDAJ	PREVOD NA UCET	1552	31639	 	QR	17476857
2472843	8159	1995-08-12	VYDAJ	PREVOD NA UCET	1552	30638	 	QR	17476857
2472844	8159	1995-09-12	VYDAJ	PREVOD NA UCET	1552	28721	 	QR	17476857
2472845	8159	1995-10-12	VYDAJ	PREVOD NA UCET	1552	19156	 	QR	17476857
2472846	8159	1995-11-12	VYDAJ	PREVOD NA UCET	1552	21194	 	QR	17476857
2472847	8159	1995-12-12	VYDAJ	PREVOD NA UCET	1552	21443	 	QR	17476857
2472848	8159	1996-01-12	VYDAJ	PREVOD NA UCET	1552	27186	 	QR	17476857
2472849	8159	1996-02-12	VYDAJ	PREVOD NA UCET	1552	28205	 	QR	17476857
2472850	8159	1996-03-12	VYDAJ	PREVOD NA UCET	1552	29791	 	QR	17476857
2472851	8159	1996-04-12	VYDAJ	PREVOD NA UCET	1552	31963	 	QR	17476857
2472852	8159	1996-05-12	VYDAJ	PREVOD NA UCET	1552	32209	 	QR	17476857
2472853	8159	1996-06-12	VYDAJ	PREVOD NA UCET	1552	32530	 	QR	17476857
2472854	8159	1996-07-12	VYDAJ	PREVOD NA UCET	1552	28317	 	QR	17476857
2472855	8159	1996-08-12	VYDAJ	PREVOD NA UCET	1552	31089	 	QR	17476857
2472856	8159	1996-09-12	VYDAJ	PREVOD NA UCET	1552	31577	 	QR	17476857
2472857	8159	1996-10-12	VYDAJ	PREVOD NA UCET	1552	31259	 	QR	17476857
2472858	8159	1996-11-12	VYDAJ	PREVOD NA UCET	1552	34373	 	QR	17476857
2472859	8159	1996-12-12	VYDAJ	PREVOD NA UCET	1552	43849	 	QR	17476857
2472860	8159	1997-01-12	VYDAJ	PREVOD NA UCET	1552	38803	 	QR	17476857
2472861	8159	1997-02-12	VYDAJ	PREVOD NA UCET	1552	39513	 	QR	17476857
2472862	8159	1997-03-12	VYDAJ	PREVOD NA UCET	1552	33367	 	QR	17476857
2472863	8159	1997-04-12	VYDAJ	PREVOD NA UCET	1552	36503	 	QR	17476857
2472864	8159	1997-05-12	VYDAJ	PREVOD NA UCET	1552	34413	 	QR	17476857
2472865	8159	1997-06-12	VYDAJ	PREVOD NA UCET	1552	42990	 	QR	17476857
2472866	8159	1997-07-12	VYDAJ	PREVOD NA UCET	1552	38325	 	QR	17476857
2472867	8159	1997-08-12	VYDAJ	PREVOD NA UCET	1552	36595	 	QR	17476857
2472868	8159	1997-09-12	VYDAJ	PREVOD NA UCET	1552	40078	 	QR	17476857
2472869	8159	1997-10-12	VYDAJ	PREVOD NA UCET	1552	47538	 	QR	17476857
2472870	8159	1997-11-12	VYDAJ	PREVOD NA UCET	1552	46615	 	QR	17476857
2472871	8159	1997-12-12	VYDAJ	PREVOD NA UCET	1552	47730	 	QR	17476857
2472872	8159	1998-01-12	VYDAJ	PREVOD NA UCET	1552	50715	 	QR	17476857
2472873	8159	1998-02-12	VYDAJ	PREVOD NA UCET	1552	44799	 	QR	17476857
2472874	8159	1998-03-12	VYDAJ	PREVOD NA UCET	1552	51177	 	QR	17476857
2472875	8159	1998-04-12	VYDAJ	PREVOD NA UCET	1552	50531	 	QR	17476857
2472876	8159	1998-05-12	VYDAJ	PREVOD NA UCET	1552	52811	 	QR	17476857
2472877	8159	1998-06-12	VYDAJ	PREVOD NA UCET	1552	51101	 	QR	17476857
2472878	8159	1998-07-12	VYDAJ	PREVOD NA UCET	1552	53401	 	QR	17476857
2472879	8159	1998-08-12	VYDAJ	PREVOD NA UCET	1552	57608	 	QR	17476857
2472880	8159	1998-09-12	VYDAJ	PREVOD NA UCET	1552	59826	 	QR	17476857
2472881	8159	1998-10-12	VYDAJ	PREVOD NA UCET	1552	63755	 	QR	17476857
2472882	8159	1998-11-12	VYDAJ	PREVOD NA UCET	1552	63614	 	QR	17476857
2472883	8159	1998-12-12	VYDAJ	PREVOD NA UCET	1552	61780	 	QR	17476857
2472890	8159	1995-07-12	VYDAJ	PREVOD NA UCET	1241	33191	UVER	GH	50695323
2472891	8159	1995-08-12	VYDAJ	PREVOD NA UCET	1241	32190	UVER	GH	50695323
2472892	8159	1995-09-12	VYDAJ	PREVOD NA UCET	1241	30273	UVER	GH	50695323
2472893	8159	1995-10-12	VYDAJ	PREVOD NA UCET	1241	17915	UVER	GH	50695323
2472894	8159	1995-11-12	VYDAJ	PREVOD NA UCET	1241	19953	UVER	GH	50695323
2472895	8159	1995-12-12	VYDAJ	PREVOD NA UCET	1241	20202	UVER	GH	50695323
2472896	8159	1996-01-12	VYDAJ	PREVOD NA UCET	1241	25945	UVER	GH	50695323
2472897	8159	1996-02-12	VYDAJ	PREVOD NA UCET	1241	29757	UVER	GH	50695323
2472898	8159	1996-03-12	VYDAJ	PREVOD NA UCET	1241	28550	UVER	GH	50695323
2472899	8159	1996-04-12	VYDAJ	PREVOD NA UCET	1241	30722	UVER	GH	50695323
2472900	8159	1996-05-12	VYDAJ	PREVOD NA UCET	1241	33761	UVER	GH	50695323
2472901	8159	1996-06-12	VYDAJ	PREVOD NA UCET	1241	31289	UVER	GH	50695323
2472902	8159	1996-07-12	VYDAJ	PREVOD NA UCET	1241	29869	UVER	GH	50695323
2472903	8159	1996-08-12	VYDAJ	PREVOD NA UCET	1241	32641	UVER	GH	50695323
2472904	8159	1996-09-12	VYDAJ	PREVOD NA UCET	1241	33129	UVER	GH	50695323
2472905	8159	1996-10-12	VYDAJ	PREVOD NA UCET	1241	32811	UVER	GH	50695323
2472906	8159	1996-11-12	VYDAJ	PREVOD NA UCET	1241	35925	UVER	GH	50695323
2472907	8159	1996-12-12	VYDAJ	PREVOD NA UCET	1241	42608	UVER	GH	50695323
2472908	8159	1997-01-12	VYDAJ	PREVOD NA UCET	1241	40355	UVER	GH	50695323
2472909	8159	1997-02-12	VYDAJ	PREVOD NA UCET	1241	41065	UVER	GH	50695323
2472910	8159	1997-03-12	VYDAJ	PREVOD NA UCET	1241	34919	UVER	GH	50695323
2472911	8159	1997-04-12	VYDAJ	PREVOD NA UCET	1241	35262	UVER	GH	50695323
2472912	8159	1997-05-12	VYDAJ	PREVOD NA UCET	1241	35965	UVER	GH	50695323
2472913	8159	1997-06-12	VYDAJ	PREVOD NA UCET	1241	41749	UVER	GH	50695323
2472914	8159	1997-07-05	VYDAJ	VYBER	1100	42911	\N	\N	0
2472915	8159	1997-08-20	VYDAJ	VYBER	900	35695	\N	\N	0
2472916	8159	1997-09-10	VYDAJ	VYBER	1300	41630	\N	\N	0
2472917	8159	1997-10-15	VYDAJ	VYBER	1400	46138	\N	\N	0
2472918	8159	1997-11-10	VYDAJ	VYBER	1100	48167	\N	\N	0
2472919	8159	1997-12-10	VYDAJ	VYBER	1500	49282	\N	\N	0
2472920	8159	1998-01-21	VYDAJ	VYBER	1500	49215	\N	\N	0
2472921	8159	1998-02-03	VYDAJ	VYBER	1300	37891	\N	\N	0
2472922	8159	1998-03-08	VYDAJ	VYBER	900	52729	\N	\N	0
2472923	8159	1998-04-07	VYDAJ	VYBER	1300	56437	\N	\N	0
2472924	8159	1998-05-10	VYDAJ	VYBER	1100	54363	\N	\N	0
2472925	8159	1998-06-07	VYDAJ	VYBER	1100	55687	\N	\N	0
2472926	8159	1998-07-07	VYDAJ	VYBER	900	57987	\N	\N	0
2472927	8159	1998-08-18	VYDAJ	VYBER	1400	56208	\N	\N	0
2472928	8159	1998-09-13	VYDAJ	VYBER	1100	58726	\N	\N	0
2472929	8159	1998-10-18	VYDAJ	VYBER	1200	62555	\N	\N	0
2472930	8159	1998-11-17	VYDAJ	VYBER	900	62714	\N	\N	0
2472931	8159	1998-12-13	VYDAJ	VYBER	900	60880	\N	\N	0
2472933	8159	1996-06-11	VYDAJ	VYBER	4960	34082	\N	\N	\N
2472935	8159	1998-06-03	VYDAJ	VYBER	6560	39546	\N	\N	\N
2472936	8159	1995-12-05	VYDAJ	VYBER	3840	33429	\N	\N	\N
2472937	8159	1996-12-14	VYDAJ	VYBER	1120	41488	\N	\N	\N
2472938	8159	1997-12-02	VYDAJ	VYBER	1920	36575	\N	\N	\N
2472939	8159	1998-12-21	VYDAJ	VYBER	1760	58620	\N	\N	\N
2472940	8159	1995-10-10	VYDAJ	VYBER	5640	20708	\N	\N	\N
2472943	8159	1995-09-27	VYDAJ	VYBER	3840	24881	\N	\N	\N
2472945	8159	1996-10-17	VYDAJ	VYBER	2760	28499	\N	\N	\N
2472946	8159	1996-11-21	VYDAJ	VYBER	1800	32573	\N	\N	\N
2472947	8159	1996-06-24	VYDAJ	VYBER	5760	25529	\N	\N	\N
2472948	8159	1996-02-18	VYDAJ	VYBER	4320	23885	\N	\N	\N
2472949	8159	1997-09-07	VYDAJ	VYBER	3360	45964	\N	\N	\N
2472950	8159	1997-08-10	VYDAJ	VYBER	2880	38147	\N	\N	\N
2472951	8159	1997-03-05	VYDAJ	VYBER	5760	39194	\N	\N	\N
2472952	8159	1997-04-26	VYDAJ	VYBER	3840	31422	\N	\N	\N
2472953	8159	1997-07-03	VYDAJ	VYBER	4080	32517	\N	\N	\N
2472954	8159	1997-11-16	VYDAJ	VYBER	5280	41335	\N	\N	\N
2472955	8159	1998-11-19	VYDAJ	VYBER	5280	57434	\N	\N	\N
2472956	8159	1998-10-22	VYDAJ	VYBER	1080	56475	\N	\N	\N
2472957	8159	1998-01-24	VYDAJ	VYBER	5400	39015	\N	\N	\N
2472958	8159	1998-03-22	VYDAJ	VYBER	3720	47457	\N	\N	\N
2472959	8159	1998-12-06	VYDAJ	VYBER	5040	66366	\N	\N	\N
2472960	8159	1998-04-10	VYDAJ	VYBER	1320	52083	\N	\N	\N
2472961	8159	1998-05-09	VYDAJ	VYBER	3120	55463	\N	\N	\N
2472969	8159	1995-07-31	VYDAJ	VYBER	15	31771	SLUZBY	\N	\N
2472970	8159	1995-08-31	VYDAJ	VYBER	15	30754	SLUZBY	\N	\N
2472971	8159	1995-09-30	VYDAJ	VYBER	15	24988	SLUZBY	\N	\N
2472972	8159	1995-10-31	VYDAJ	VYBER	15	17986	SLUZBY	\N	\N
2472973	8159	1995-11-30	VYDAJ	VYBER	15	20028	SLUZBY	\N	\N
2472974	8159	1995-12-31	VYDAJ	VYBER	15	20278	SLUZBY	\N	\N
2472975	8159	1996-01-31	VYDAJ	VYBER	15	26038	SLUZBY	\N	\N
2472976	8159	1996-02-29	VYDAJ	VYBER	15	23983	SLUZBY	\N	\N
2472977	8159	1996-03-31	VYDAJ	VYBER	15	28655	SLUZBY	\N	\N
2472978	8159	1996-04-30	VYDAJ	VYBER	15	30842	SLUZBY	\N	\N
2472979	8159	1996-05-31	VYDAJ	VYBER	15	32335	SLUZBY	\N	\N
2472980	8159	1996-06-30	VYDAJ	VYBER	15	25650	SLUZBY	\N	\N
2472981	8159	1996-07-31	VYDAJ	VYBER	15	28422	SLUZBY	\N	\N
2472982	8159	1996-08-31	VYDAJ	VYBER	15	25910	SLUZBY	\N	\N
2472983	8159	1996-09-30	VYDAJ	VYBER	15	25592	SLUZBY	\N	\N
2472984	8159	1996-10-31	VYDAJ	VYBER	15	28706	SLUZBY	\N	\N
2472985	8159	1996-11-30	VYDAJ	VYBER	15	31194	SLUZBY	\N	\N
2472986	8159	1996-12-31	VYDAJ	VYBER	15	33136	SLUZBY	\N	\N
2472987	8159	1997-01-31	VYDAJ	VYBER	15	33846	SLUZBY	\N	\N
2472988	8159	1997-02-28	VYDAJ	VYBER	15	33460	SLUZBY	\N	\N
2472989	8159	1997-03-31	VYDAJ	VYBER	15	29595	SLUZBY	\N	\N
2472990	8159	1997-04-30	VYDAJ	VYBER	15	28746	SLUZBY	\N	\N
2472991	8159	1997-05-31	VYDAJ	VYBER	15	30335	SLUZBY	\N	\N
2472992	8159	1997-06-30	VYDAJ	VYBER	15	36597	SLUZBY	\N	\N
2472993	8159	1997-07-31	VYDAJ	VYBER	15	32567	SLUZBY	\N	\N
2472994	8159	1997-08-31	VYDAJ	VYBER	15	37830	SLUZBY	\N	\N
2472995	8159	1997-09-30	VYDAJ	VYBER	15	40630	SLUZBY	\N	\N
2472996	8159	1997-10-31	VYDAJ	VYBER	15	40807	SLUZBY	\N	\N
2472997	8159	1997-11-30	VYDAJ	VYBER	15	38495	SLUZBY	\N	\N
2472998	8159	1997-12-31	VYDAJ	VYBER	15	43807	SLUZBY	\N	\N
2472999	8159	1998-01-31	VYDAJ	VYBER	15	39191	SLUZBY	\N	\N
2473000	8159	1998-02-28	VYDAJ	VYBER	15	45169	SLUZBY	\N	\N
2473001	8159	1998-03-31	VYDAJ	VYBER	15	46243	SLUZBY	\N	\N
2473002	8159	1998-04-30	VYDAJ	VYBER	15	50123	SLUZBY	\N	\N
2473003	8159	1998-05-31	VYDAJ	VYBER	15	46106	SLUZBY	\N	\N
2473004	8159	1998-06-30	VYDAJ	VYBER	15	47393	SLUZBY	\N	\N
2473005	8159	1998-07-31	VYDAJ	VYBER	15	50700	SLUZBY	\N	\N
2473006	8159	1998-08-31	VYDAJ	VYBER	15	52918	SLUZBY	\N	\N
2473007	8159	1998-09-30	VYDAJ	VYBER	15	56847	SLUZBY	\N	\N
2473008	8159	1998-10-31	VYDAJ	VYBER	15	56706	SLUZBY	\N	\N
2473009	8159	1998-11-30	VYDAJ	VYBER	15	54165	SLUZBY	\N	\N
2473010	8159	1995-03-10	PRIJEM	VKLAD	8400	20094	\N	\N	\N
2473011	8159	1995-04-09	VYDAJ	VYBER	3300	28347	\N	\N	\N
2473012	8159	1995-05-09	VYDAJ	VYBER	8100	31850	\N	\N	\N
2473013	8159	1995-06-08	VYDAJ	VYBER	11300	37920	\N	\N	\N
2473014	8159	1995-07-08	VYDAJ	VYBER	12100	34432	\N	\N	\N
2473015	8159	1995-08-07	VYDAJ	VYBER	6800	36465	\N	\N	\N
2473016	8159	1995-09-06	VYDAJ	VYBER	7700	34548	\N	\N	\N
2473017	8159	1995-10-06	VYDAJ	VYBER	7100	29382	\N	\N	\N
2473018	8159	1995-11-05	VYDAJ	VYBER	3700	25780	\N	\N	\N
2473019	8159	1995-12-05	VYDAJ	VYBER	7400	26029	\N	\N	\N
2473020	8159	1996-02-03	VYDAJ	VYBER	3500	22538	\N	\N	\N
2473021	8159	1996-03-04	VYDAJ	VYBER	1100	22883	\N	\N	\N
2473022	8159	1996-04-03	VYDAJ	VYBER	3600	25055	\N	\N	\N
2473023	8159	1996-05-03	VYDAJ	VYBER	4300	26542	\N	\N	\N
2473024	8159	1996-06-02	VYDAJ	VYBER	7500	24835	\N	\N	\N
2473025	8159	1996-07-02	VYDAJ	VYBER	3000	22650	\N	\N	\N
2473026	8159	1996-08-01	VYDAJ	VYBER	3000	25422	\N	\N	\N
2473027	8159	1996-08-31	VYDAJ	VYBER	5300	25924	\N	\N	\N
2473028	8159	1996-09-30	VYDAJ	VYBER	6100	25607	\N	\N	\N
2473029	8159	1996-10-30	PRIJEM	VKLAD	100	28599	\N	\N	\N
2473030	8159	1996-11-29	VYDAJ	VYBER	1500	31073	\N	\N	\N
2473031	8159	1996-12-29	VYDAJ	VYBER	8500	32988	\N	\N	\N
2473032	8159	1997-01-28	VYDAJ	VYBER	5100	33703	\N	\N	\N
2473033	8159	1997-02-27	VYDAJ	VYBER	6200	33313	\N	\N	\N
2473034	8159	1997-03-29	VYDAJ	VYBER	3900	29467	\N	\N	\N
2473035	8159	1997-04-28	VYDAJ	VYBER	2800	28622	\N	\N	\N
2473036	8159	1997-05-28	VYDAJ	VYBER	4200	30213	\N	\N	\N
2473037	8159	1997-06-27	VYDAJ	VYBER	5300	36449	\N	\N	\N
2473038	8159	1997-07-27	VYDAJ	VYBER	5900	32425	\N	\N	\N
2473039	8159	1997-08-26	PRIJEM	VKLAD	2000	37695	\N	\N	\N
2473040	8159	1997-09-25	PRIJEM	VKLAD	400	40478	\N	\N	\N
2473041	8159	1997-10-25	VYDAJ	VYBER	5500	40638	\N	\N	\N
2473042	8159	1997-11-24	VYDAJ	VYBER	3000	38335	\N	\N	\N
2473043	8159	1997-12-24	VYDAJ	VYBER	4100	43630	\N	\N	\N
2473044	8159	1998-01-23	VYDAJ	VYBER	4800	44415	\N	\N	\N
2473045	8159	1998-02-22	PRIJEM	VKLAD	200	44999	\N	\N	\N
2473046	8159	1998-03-24	VYDAJ	VYBER	1400	46057	\N	\N	\N
2473047	8159	1998-04-23	VYDAJ	VYBER	600	49931	\N	\N	\N
2473048	8159	1998-05-23	VYDAJ	VYBER	6900	45911	\N	\N	\N
2473049	8159	1998-06-22	VYDAJ	VYBER	3900	47201	\N	\N	\N
2473050	8159	1998-07-22	VYDAJ	VYBER	2900	50501	\N	\N	\N
2473051	8159	1998-08-21	VYDAJ	VYBER	3500	52708	\N	\N	\N
2473052	8159	1998-09-20	VYDAJ	VYBER	2100	56626	\N	\N	\N
2473053	8159	1998-10-20	VYDAJ	VYBER	5000	57555	\N	\N	\N
2473054	8159	1998-11-19	VYDAJ	VYBER	3500	53934	\N	\N	\N
2473055	8159	1998-12-19	VYDAJ	VYBER	500	60380	\N	\N	\N
2475832	8169	1995-11-28	PRIJEM	VKLAD	700	700	\N	\N	\N
2475844	8169	1995-12-14	PRIJEM	VKLAD	16518	17218	\N	\N	\N
2475845	8169	1996-01-14	PRIJEM	VKLAD	11012	34042	\N	\N	\N
2475846	8169	1996-02-14	PRIJEM	VKLAD	11012	41956	\N	\N	\N
2475847	8169	1996-03-14	PRIJEM	VKLAD	11012	46399	\N	\N	\N
2475848	8169	1996-04-14	PRIJEM	VKLAD	11012	44856	\N	\N	\N
2475849	8169	1996-05-14	PRIJEM	VKLAD	11012	36971	\N	\N	\N
2475850	8169	1996-06-14	PRIJEM	VKLAD	16518	38285	\N	\N	\N
2475851	8169	1996-07-14	PRIJEM	VKLAD	11012	36649	\N	\N	\N
2475852	8169	1996-08-14	PRIJEM	VKLAD	11012	33854	\N	\N	\N
2475853	8169	1996-09-14	PRIJEM	VKLAD	11012	30130	\N	\N	\N
2475854	8169	1996-10-14	PRIJEM	VKLAD	11012	30915	\N	\N	\N
2475855	8169	1996-11-14	PRIJEM	VKLAD	11012	27163	\N	\N	\N
2475856	8169	1996-12-14	PRIJEM	VKLAD	16518	32543	\N	\N	\N
2475857	8169	1997-01-14	PRIJEM	VKLAD	11012	20338	\N	\N	\N
2475858	8169	1997-02-14	PRIJEM	VKLAD	11012	20721	\N	\N	\N
2475859	8169	1997-03-14	PRIJEM	VKLAD	11012	22307	\N	\N	\N
2475860	8169	1997-04-14	PRIJEM	VKLAD	11012	28162	\N	\N	\N
2475861	8169	1997-05-14	PRIJEM	VKLAD	11012	27631	\N	\N	\N
2475862	8169	1997-06-14	PRIJEM	VKLAD	16518	28122	\N	\N	\N
2475863	8169	1997-07-14	PRIJEM	VKLAD	11012	25987	\N	\N	\N
2475864	8169	1997-08-14	PRIJEM	VKLAD	11012	25418	\N	\N	\N
2475865	8169	1997-09-14	PRIJEM	VKLAD	11012	18515	\N	\N	\N
2475866	8169	1997-10-14	PRIJEM	VKLAD	11012	18815	\N	\N	\N
2475867	8169	1997-11-14	PRIJEM	VKLAD	11012	22823	\N	\N	\N
2475868	8169	1997-12-14	PRIJEM	VKLAD	16518	26643	\N	\N	\N
2475869	8169	1998-01-14	PRIJEM	VKLAD	11012	23445	\N	\N	\N
2475870	8169	1998-02-14	PRIJEM	VKLAD	11012	18797	\N	\N	\N
2475871	8169	1998-03-14	PRIJEM	VKLAD	11012	22604	\N	\N	\N
2475872	8169	1998-04-14	PRIJEM	VKLAD	11012	24423	\N	\N	\N
2475873	8169	1998-05-14	PRIJEM	VKLAD	11012	23243	\N	\N	\N
2475874	8169	1998-06-14	PRIJEM	VKLAD	16518	30972	\N	\N	\N
2475875	8169	1998-07-14	PRIJEM	VKLAD	11012	22575	\N	\N	\N
2475876	8169	1998-08-14	PRIJEM	VKLAD	11012	19883	\N	\N	\N
2475877	8169	1998-09-14	PRIJEM	VKLAD	11012	17394	\N	\N	\N
2475878	8169	1998-10-14	PRIJEM	VKLAD	11012	19774	\N	\N	\N
2475879	8169	1998-11-14	PRIJEM	VKLAD	11012	23485	\N	\N	\N
2475880	8169	1998-12-14	PRIJEM	VKLAD	16518	32617	\N	\N	\N
2475897	8169	1996-05-08	VYDAJ	PREVOD NA UCET	2148	25959	SIPO	WX	75957637
2475898	8169	1996-06-08	VYDAJ	PREVOD NA UCET	2148	22967	SIPO	WX	75957637
2475899	8169	1996-07-08	VYDAJ	PREVOD NA UCET	2148	25637	SIPO	WX	75957637
2475900	8169	1996-08-08	VYDAJ	PREVOD NA UCET	2148	22842	SIPO	WX	75957637
2475901	8169	1996-09-08	VYDAJ	PREVOD NA UCET	2148	20718	SIPO	WX	75957637
2475902	8169	1996-10-08	VYDAJ	PREVOD NA UCET	2148	21703	SIPO	WX	75957637
2475903	8169	1996-11-08	VYDAJ	PREVOD NA UCET	2148	20591	SIPO	WX	75957637
2475904	8169	1996-12-08	VYDAJ	PREVOD NA UCET	2148	16025	SIPO	WX	75957637
2475905	8169	1997-01-08	VYDAJ	PREVOD NA UCET	2148	9326	SIPO	WX	75957637
2475906	8169	1997-02-08	VYDAJ	PREVOD NA UCET	2148	11309	SIPO	WX	75957637
2475907	8169	1997-03-08	VYDAJ	PREVOD NA UCET	2148	11295	SIPO	WX	75957637
2475908	8169	1997-04-08	VYDAJ	PREVOD NA UCET	2148	17150	SIPO	WX	75957637
2475909	8169	1997-05-08	VYDAJ	PREVOD NA UCET	2148	16619	SIPO	WX	75957637
2475910	8169	1997-06-08	VYDAJ	PREVOD NA UCET	2148	13504	SIPO	WX	75957637
2475911	8169	1997-07-08	VYDAJ	PREVOD NA UCET	2148	17375	SIPO	WX	75957637
2475912	8169	1997-08-08	VYDAJ	PREVOD NA UCET	2148	16039	SIPO	WX	75957637
2475913	8169	1997-09-08	VYDAJ	PREVOD NA UCET	2148	9136	SIPO	WX	75957637
2475914	8169	1997-10-08	VYDAJ	PREVOD NA UCET	2148	9436	SIPO	WX	75957637
2475915	8169	1997-11-08	VYDAJ	PREVOD NA UCET	2148	13444	SIPO	WX	75957637
2475916	8169	1997-12-08	VYDAJ	PREVOD NA UCET	2148	11758	SIPO	WX	75957637
2475917	8169	1998-01-08	VYDAJ	PREVOD NA UCET	2148	14066	SIPO	WX	75957637
2475918	8169	1998-02-08	VYDAJ	PREVOD NA UCET	2148	9418	SIPO	WX	75957637
2475919	8169	1998-03-08	VYDAJ	PREVOD NA UCET	2148	13225	SIPO	WX	75957637
2475920	8169	1998-04-08	VYDAJ	PREVOD NA UCET	2148	15044	SIPO	WX	75957637
2475921	8169	1998-05-08	VYDAJ	PREVOD NA UCET	2148	13864	SIPO	WX	75957637
2475922	8169	1998-06-08	VYDAJ	PREVOD NA UCET	2148	16087	SIPO	WX	75957637
2475923	8169	1998-07-08	VYDAJ	PREVOD NA UCET	2148	13196	SIPO	WX	75957637
2475924	8169	1998-08-08	VYDAJ	PREVOD NA UCET	2148	10504	SIPO	WX	75957637
2475925	8169	1998-09-08	VYDAJ	PREVOD NA UCET	2148	8015	SIPO	WX	75957637
2475926	8169	1998-10-08	VYDAJ	PREVOD NA UCET	2148	10395	SIPO	WX	75957637
2475927	8169	1998-11-08	VYDAJ	PREVOD NA UCET	2148	14106	SIPO	WX	75957637
2475928	8169	1998-12-08	VYDAJ	PREVOD NA UCET	2148	17832	SIPO	WX	75957637
2475945	8169	1996-05-05	VYDAJ	PREVOD NA UCET	3575	29607	 	GH	17758477
2475946	8169	1996-06-05	VYDAJ	PREVOD NA UCET	3575	25115	 	GH	17758477
2475947	8169	1996-07-05	VYDAJ	PREVOD NA UCET	3575	27785	 	GH	17758477
2475948	8169	1996-08-05	VYDAJ	PREVOD NA UCET	3575	24990	 	GH	17758477
2475949	8169	1996-09-05	VYDAJ	PREVOD NA UCET	3575	22866	 	GH	17758477
2475950	8169	1996-10-05	VYDAJ	PREVOD NA UCET	3575	23851	 	GH	17758477
2475951	8169	1996-11-05	VYDAJ	PREVOD NA UCET	3575	22739	 	GH	17758477
2475952	8169	1996-12-05	VYDAJ	PREVOD NA UCET	3575	19973	 	GH	17758477
2475953	8169	1997-01-05	VYDAJ	PREVOD NA UCET	3575	11474	 	GH	17758477
2475954	8169	1997-02-05	VYDAJ	PREVOD NA UCET	3575	13457	 	GH	17758477
2475955	8169	1997-03-05	VYDAJ	PREVOD NA UCET	3575	13443	 	GH	17758477
2475956	8169	1997-04-05	VYDAJ	PREVOD NA UCET	3575	20698	 	GH	17758477
2475957	8169	1997-05-05	VYDAJ	PREVOD NA UCET	3575	18767	 	GH	17758477
2475958	8169	1997-06-05	VYDAJ	PREVOD NA UCET	3575	15652	 	GH	17758477
2475959	8169	1997-07-05	VYDAJ	PREVOD NA UCET	3575	19523	 	GH	17758477
2475960	8169	1997-08-05	VYDAJ	PREVOD NA UCET	3575	18187	 	GH	17758477
2475961	8169	1997-09-05	VYDAJ	PREVOD NA UCET	3575	11284	 	GH	17758477
2475962	8169	1997-10-05	VYDAJ	PREVOD NA UCET	3575	11584	 	GH	17758477
2475963	8169	1997-11-05	VYDAJ	PREVOD NA UCET	3575	15592	 	GH	17758477
2475964	8169	1997-12-05	VYDAJ	PREVOD NA UCET	3575	13906	 	GH	17758477
2475965	8169	1998-01-05	VYDAJ	PREVOD NA UCET	3575	19334	 	GH	17758477
2475966	8169	1998-02-05	VYDAJ	PREVOD NA UCET	3575	11566	 	GH	17758477
2475967	8169	1998-03-05	VYDAJ	PREVOD NA UCET	3575	15373	 	GH	17758477
2475968	8169	1998-04-05	VYDAJ	PREVOD NA UCET	3575	17192	 	GH	17758477
2475969	8169	1998-05-05	VYDAJ	PREVOD NA UCET	3575	16012	 	GH	17758477
2475970	8169	1998-06-05	VYDAJ	PREVOD NA UCET	3575	18235	 	GH	17758477
2475971	8169	1998-07-05	VYDAJ	PREVOD NA UCET	3575	15344	 	GH	17758477
2475972	8169	1998-08-05	VYDAJ	PREVOD NA UCET	3575	12652	 	GH	17758477
2475973	8169	1998-09-05	VYDAJ	PREVOD NA UCET	3575	10163	 	GH	17758477
2475974	8169	1998-10-05	VYDAJ	PREVOD NA UCET	3575	12543	 	GH	17758477
2475975	8169	1998-11-05	VYDAJ	PREVOD NA UCET	3575	16254	 	GH	17758477
2475976	8169	1998-12-05	VYDAJ	PREVOD NA UCET	3575	19980	 	GH	17758477
2475993	8169	1996-05-07	VYDAJ	VYBER	1500	28107	\N	\N	0
2475994	8169	1996-06-19	VYDAJ	VYBER	1400	36885	\N	\N	0
2475995	8169	1996-07-20	VYDAJ	VYBER	1500	35149	\N	\N	0
2475996	8169	1996-08-19	VYDAJ	VYBER	1300	32554	\N	\N	0
2475997	8169	1996-09-12	VYDAJ	VYBER	1600	19118	\N	\N	0
2475998	8169	1996-10-13	VYDAJ	VYBER	1800	19903	\N	\N	0
2475999	8169	1996-11-02	VYDAJ	VYBER	1600	26314	\N	\N	0
2476000	8169	1996-12-07	VYDAJ	VYBER	1800	18173	\N	\N	0
2476001	8169	1997-01-14	VYDAJ	VYBER	1300	19038	\N	\N	0
2476002	8169	1997-02-13	VYDAJ	VYBER	1600	9709	\N	\N	0
2476003	8169	1997-03-03	VYDAJ	VYBER	1400	17018	\N	\N	0
2476004	8169	1997-04-06	VYDAJ	VYBER	1400	19298	\N	\N	0
2476005	8169	1997-05-15	VYDAJ	VYBER	1400	26231	\N	\N	0
2476006	8169	1997-06-13	VYDAJ	VYBER	1900	11604	\N	\N	0
2476007	8169	1997-07-03	VYDAJ	VYBER	1900	23098	\N	\N	0
2476008	8169	1997-08-12	VYDAJ	PREVOD NA UCET	1633	14406	UVER	IJ	33620470
2476009	8169	1997-09-12	VYDAJ	PREVOD NA UCET	1633	7503	UVER	IJ	33620470
2476010	8169	1997-10-12	VYDAJ	PREVOD NA UCET	1633	7803	UVER	IJ	33620470
2476011	8169	1997-11-12	VYDAJ	PREVOD NA UCET	1633	11811	UVER	IJ	33620470
2476012	8169	1997-12-12	VYDAJ	PREVOD NA UCET	1633	10125	UVER	IJ	33620470
2476013	8169	1998-01-12	VYDAJ	PREVOD NA UCET	1633	12433	UVER	IJ	33620470
2476014	8169	1998-02-12	VYDAJ	PREVOD NA UCET	1633	7785	UVER	IJ	33620470
2476015	8169	1998-03-12	VYDAJ	PREVOD NA UCET	1633	11592	UVER	IJ	33620470
2476016	8169	1998-04-12	VYDAJ	PREVOD NA UCET	1633	13411	UVER	IJ	33620470
2476017	8169	1998-05-12	VYDAJ	PREVOD NA UCET	1633	12231	UVER	IJ	33620470
2476018	8169	1998-06-12	VYDAJ	PREVOD NA UCET	1633	14454	UVER	IJ	33620470
2476019	8169	1998-07-12	VYDAJ	PREVOD NA UCET	1633	11563	UVER	IJ	33620470
2476020	8169	1998-08-12	VYDAJ	PREVOD NA UCET	1633	8871	UVER	IJ	33620470
2476021	8169	1998-09-12	VYDAJ	PREVOD NA UCET	1633	6382	UVER	IJ	33620470
2476022	8169	1998-10-12	VYDAJ	PREVOD NA UCET	1633	8762	UVER	IJ	33620470
2476023	8169	1998-11-12	VYDAJ	PREVOD NA UCET	1633	12473	UVER	IJ	33620470
2476024	8169	1998-12-12	VYDAJ	PREVOD NA UCET	1633	16199	UVER	IJ	33620470
2476034	8169	1996-12-30	VYDAJ	VYBER	2080	21563	\N	\N	\N
2476036	8169	1998-12-26	VYDAJ	VYBER	2400	30217	\N	\N	\N
2476049	8169	1997-01-27	VYDAJ	VYBER	2280	16978	\N	\N	\N
2476050	8169	1997-01-03	VYDAJ	VYBER	840	20809	\N	\N	\N
2476053	8169	1997-01-20	VYDAJ	VYBER	3480	15558	\N	\N	\N
2476054	8169	1997-01-20	VYDAJ	VYBER	1200	14358	\N	\N	\N
2476055	8169	1998-01-20	VYDAJ	VYBER	1080	15685	\N	\N	\N
2476057	8169	1998-01-18	VYDAJ	VYBER	960	16765	\N	\N	\N
2476059	8169	1998-01-06	VYDAJ	VYBER	3120	16214	\N	\N	\N
2476060	8169	1998-01-29	VYDAJ	VYBER	600	15085	\N	\N	\N
2476064	8169	1996-06-13	VYDAJ	VYBER	1200	21767	\N	\N	\N
2476065	8169	1996-09-02	VYDAJ	VYBER	3120	26441	\N	\N	\N
2476066	8169	1996-06-24	VYDAJ	VYBER	5040	31845	\N	\N	\N
2476067	8169	1996-11-11	VYDAJ	VYBER	4440	16151	\N	\N	\N
2476068	8169	1997-06-04	VYDAJ	VYBER	2280	19227	\N	\N	\N
2476069	8169	1997-07-11	VYDAJ	VYBER	2400	14975	\N	\N	\N
2476070	8169	1997-01-04	VYDAJ	VYBER	5760	15049	\N	\N	\N
2476072	8169	1997-02-22	VYDAJ	VYBER	3960	18361	\N	\N	\N
2476075	8169	1997-08-20	VYDAJ	VYBER	1920	14798	\N	\N	\N
2476076	8169	1998-01-14	VYDAJ	VYBER	3720	19725	\N	\N	\N
2476078	8169	1998-06-21	VYDAJ	VYBER	3120	18852	\N	\N	\N
2476080	8169	1998-09-29	VYDAJ	VYBER	1320	16074	\N	\N	\N
2476098	8169	1996-04-30	VYDAJ	VYBER	15	33182	SLUZBY	\N	\N
2476099	8169	1996-05-31	VYDAJ	VYBER	15	28690	SLUZBY	\N	\N
2476100	8169	1996-06-30	VYDAJ	VYBER	15	31360	SLUZBY	\N	\N
2476101	8169	1996-07-31	VYDAJ	VYBER	15	28565	SLUZBY	\N	\N
2476102	8169	1996-08-31	VYDAJ	VYBER	15	29561	SLUZBY	\N	\N
2476103	8169	1996-09-30	VYDAJ	VYBER	15	27426	SLUZBY	\N	\N
2476104	8169	1996-10-31	VYDAJ	VYBER	15	27914	SLUZBY	\N	\N
2476105	8169	1996-11-30	VYDAJ	VYBER	15	23548	SLUZBY	\N	\N
2476106	8169	1996-12-31	VYDAJ	VYBER	15	21649	SLUZBY	\N	\N
2476107	8169	1997-01-31	VYDAJ	VYBER	15	17032	SLUZBY	\N	\N
2476108	8169	1997-02-28	VYDAJ	VYBER	15	18418	SLUZBY	\N	\N
2476109	8169	1997-03-31	VYDAJ	VYBER	15	24273	SLUZBY	\N	\N
2476110	8169	1997-04-30	VYDAJ	VYBER	15	22342	SLUZBY	\N	\N
2476111	8169	1997-05-31	VYDAJ	VYBER	15	21507	SLUZBY	\N	\N
2476112	8169	1997-06-30	VYDAJ	VYBER	15	24998	SLUZBY	\N	\N
2476113	8169	1997-07-31	VYDAJ	VYBER	15	21762	SLUZBY	\N	\N
2476114	8169	1997-08-31	VYDAJ	VYBER	15	14859	SLUZBY	\N	\N
2476115	8169	1997-09-30	VYDAJ	VYBER	15	15159	SLUZBY	\N	\N
2476116	8169	1997-10-31	VYDAJ	VYBER	15	19167	SLUZBY	\N	\N
2476117	8169	1997-11-30	VYDAJ	VYBER	15	17481	SLUZBY	\N	\N
2476118	8169	1997-12-31	VYDAJ	VYBER	15	22909	SLUZBY	\N	\N
2476119	8169	1998-01-31	VYDAJ	VYBER	15	15141	SLUZBY	\N	\N
2476120	8169	1998-02-28	VYDAJ	VYBER	15	18948	SLUZBY	\N	\N
2476121	8169	1998-03-31	VYDAJ	VYBER	15	20767	SLUZBY	\N	\N
2476122	8169	1998-04-30	VYDAJ	VYBER	15	19587	SLUZBY	\N	\N
2476123	8169	1998-05-31	VYDAJ	VYBER	15	21810	SLUZBY	\N	\N
2476124	8169	1998-06-30	VYDAJ	VYBER	15	18919	SLUZBY	\N	\N
2476125	8169	1998-07-31	VYDAJ	VYBER	15	16227	SLUZBY	\N	\N
2476126	8169	1998-08-31	VYDAJ	VYBER	15	13738	SLUZBY	\N	\N
2476127	8169	1998-09-30	VYDAJ	VYBER	15	16118	SLUZBY	\N	\N
2476128	8169	1998-10-31	VYDAJ	VYBER	15	19829	SLUZBY	\N	\N
2476129	8169	1998-11-30	VYDAJ	VYBER	15	23555	SLUZBY	\N	\N
2476130	8169	1995-12-28	PRIJEM	VKLAD	5800	23018	\N	\N	\N
2476131	8169	1996-01-27	VYDAJ	VYBER	3200	30842	\N	\N	\N
2476132	8169	1996-02-26	VYDAJ	VYBER	6700	35256	\N	\N	\N
2476133	8169	1996-03-27	VYDAJ	VYBER	12700	33699	\N	\N	\N
2476134	8169	1996-04-26	VYDAJ	VYBER	11800	33056	\N	\N	\N
2476135	8169	1996-05-26	VYDAJ	VYBER	8400	28571	\N	\N	\N
2476136	8169	1996-06-25	VYDAJ	VYBER	600	31245	\N	\N	\N
2476137	8169	1996-07-25	VYDAJ	VYBER	6700	28449	\N	\N	\N
2476138	8169	1996-08-24	VYDAJ	VYBER	3100	29454	\N	\N	\N
2476139	8169	1996-09-23	VYDAJ	VYBER	2800	27330	\N	\N	\N
2476140	8169	1996-10-23	VYDAJ	VYBER	3100	27815	\N	\N	\N
2476141	8169	1996-11-22	VYDAJ	VYBER	3700	23463	\N	\N	\N
2476142	8169	1996-12-22	VYDAJ	VYBER	8900	23643	\N	\N	\N
2476143	8169	1997-01-21	PRIJEM	VKLAD	4900	19258	\N	\N	\N
2476144	8169	1997-02-20	PRIJEM	VKLAD	1600	22321	\N	\N	\N
2476145	8169	1997-03-22	PRIJEM	VKLAD	1900	24207	\N	\N	\N
2476146	8169	1997-04-21	VYDAJ	VYBER	5900	22262	\N	\N	\N
2476147	8169	1997-05-21	VYDAJ	VYBER	4800	21431	\N	\N	\N
2476148	8169	1997-06-20	VYDAJ	VYBER	3200	24922	\N	\N	\N
2476149	8169	1997-07-20	VYDAJ	VYBER	4300	21687	\N	\N	\N
2476150	8169	1997-08-19	VYDAJ	VYBER	8700	16718	\N	\N	\N
2476151	8169	1997-09-18	VYDAJ	VYBER	3400	15115	\N	\N	\N
2476152	8169	1997-10-18	PRIJEM	VKLAD	300	19115	\N	\N	\N
2476153	8169	1997-11-17	VYDAJ	VYBER	5400	17423	\N	\N	\N
2476154	8169	1997-12-17	VYDAJ	VYBER	3800	22843	\N	\N	\N
2476155	8169	1998-01-16	VYDAJ	VYBER	2000	17725	\N	\N	\N
2476156	8169	1998-02-15	PRIJEM	VKLAD	100	18897	\N	\N	\N
2476157	8169	1998-03-17	VYDAJ	VYBER	1900	20704	\N	\N	\N
2476158	8169	1998-04-16	VYDAJ	VYBER	4900	19523	\N	\N	\N
2476159	8169	1998-05-16	VYDAJ	VYBER	1500	21743	\N	\N	\N
2476160	8169	1998-06-15	VYDAJ	VYBER	9000	21972	\N	\N	\N
2476161	8169	1998-07-15	VYDAJ	VYBER	6400	16175	\N	\N	\N
2476162	8169	1998-08-14	VYDAJ	VYBER	6200	13683	\N	\N	\N
2476163	8169	1998-12-12	VYDAJ	VYBER	100	16099	\N	\N	\N
2477169	8173	1993-07-05	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2477177	8173	1993-08-05	PRIJEM	PREVOD Z UCTU	40840	54840	\N	GH	84269058
2477178	8173	1993-09-05	PRIJEM	PREVOD Z UCTU	40840	78879	\N	GH	84269058
2477179	8173	1993-10-05	PRIJEM	PREVOD Z UCTU	40840	92134	\N	GH	84269058
2477180	8173	1993-11-05	PRIJEM	PREVOD Z UCTU	40840	100051	\N	GH	84269058
2477181	8173	1993-12-05	PRIJEM	PREVOD Z UCTU	61260	122524	\N	GH	84269058
2477182	8173	1994-01-05	PRIJEM	PREVOD Z UCTU	40840	81063	\N	GH	84269058
2477183	8173	1994-02-05	PRIJEM	PREVOD Z UCTU	40840	64280	\N	GH	84269058
2477184	8173	1994-03-05	PRIJEM	PREVOD Z UCTU	40840	79054	\N	GH	84269058
2477185	8173	1994-04-05	PRIJEM	PREVOD Z UCTU	40840	87575	\N	GH	84269058
2477186	8173	1994-05-05	PRIJEM	PREVOD Z UCTU	40840	89343	\N	GH	84269058
2477187	8173	1994-06-05	PRIJEM	PREVOD Z UCTU	61260	118547	\N	GH	84269058
2477188	8173	1994-07-05	PRIJEM	PREVOD Z UCTU	40840	85846	\N	GH	84269058
2477189	8173	1994-08-05	PRIJEM	PREVOD Z UCTU	40840	90571	\N	GH	84269058
2477190	8173	1994-09-05	PRIJEM	PREVOD Z UCTU	40840	90683	\N	GH	84269058
2477191	8173	1994-10-05	PRIJEM	PREVOD Z UCTU	40840	81492	\N	GH	84269058
2477192	8173	1994-11-05	PRIJEM	PREVOD Z UCTU	40840	84785	\N	GH	84269058
2477193	8173	1994-12-05	PRIJEM	PREVOD Z UCTU	61260	97984	\N	GH	84269058
2477194	8173	1995-01-05	PRIJEM	PREVOD Z UCTU	40840	89085	\N	GH	84269058
2477195	8173	1995-02-05	PRIJEM	PREVOD Z UCTU	40840	65247	\N	GH	84269058
2477196	8173	1995-03-05	PRIJEM	PREVOD Z UCTU	40840	67410	\N	GH	84269058
2477197	8173	1995-04-05	PRIJEM	PREVOD Z UCTU	40840	67909	\N	GH	84269058
2477198	8173	1995-05-05	PRIJEM	PREVOD Z UCTU	40840	79622	\N	GH	84269058
2477199	8173	1995-06-05	PRIJEM	PREVOD Z UCTU	61260	85012	\N	GH	84269058
2477200	8173	1995-07-05	PRIJEM	PREVOD Z UCTU	40840	62833	\N	GH	84269058
2477201	8173	1995-08-05	PRIJEM	PREVOD Z UCTU	40840	68580	\N	GH	84269058
2477202	8173	1995-09-05	PRIJEM	PREVOD Z UCTU	40840	66018	\N	GH	84269058
2477203	8173	1995-10-05	PRIJEM	PREVOD Z UCTU	40840	76095	\N	GH	84269058
2477204	8173	1995-11-05	PRIJEM	PREVOD Z UCTU	40840	76094	\N	GH	84269058
2477205	8173	1995-12-05	PRIJEM	PREVOD Z UCTU	61260	102243	\N	GH	84269058
2477206	8173	1996-01-05	PRIJEM	PREVOD Z UCTU	40840	86816	\N	GH	84269058
2477207	8173	1996-02-05	PRIJEM	PREVOD Z UCTU	40840	63336	\N	GH	84269058
2477208	8173	1996-03-05	PRIJEM	PREVOD Z UCTU	40840	68630	\N	GH	84269058
2477209	8173	1996-04-05	PRIJEM	PREVOD Z UCTU	40840	75661	\N	GH	84269058
2477210	8173	1996-05-05	PRIJEM	PREVOD Z UCTU	40840	72819	\N	GH	84269058
2477211	8173	1996-06-05	PRIJEM	PREVOD Z UCTU	61260	90590	\N	GH	84269058
2477212	8173	1996-07-05	PRIJEM	PREVOD Z UCTU	40840	85465	\N	GH	84269058
2477213	8173	1996-08-05	PRIJEM	PREVOD Z UCTU	40840	82692	\N	GH	84269058
2477214	8173	1996-09-05	PRIJEM	PREVOD Z UCTU	40840	95887	\N	GH	84269058
2477215	8173	1996-10-05	PRIJEM	PREVOD Z UCTU	40840	87087	\N	GH	84269058
2477216	8173	1996-11-05	PRIJEM	PREVOD Z UCTU	40840	75983	\N	GH	84269058
2477217	8173	1996-12-05	PRIJEM	PREVOD Z UCTU	61260	98820	\N	GH	84269058
2477218	8173	1997-01-05	PRIJEM	PREVOD Z UCTU	40840	81246	\N	GH	84269058
2477219	8173	1997-02-05	PRIJEM	PREVOD Z UCTU	40840	69695	\N	GH	84269058
2477220	8173	1997-03-05	PRIJEM	PREVOD Z UCTU	40840	87078	\N	GH	84269058
2477221	8173	1997-04-05	PRIJEM	PREVOD Z UCTU	40840	84290	\N	GH	84269058
2477222	8173	1997-05-05	PRIJEM	PREVOD Z UCTU	40840	93548	\N	GH	84269058
2477223	8173	1997-06-05	PRIJEM	PREVOD Z UCTU	61260	119925	\N	GH	84269058
2477224	8173	1997-07-05	PRIJEM	PREVOD Z UCTU	40840	81617	\N	GH	84269058
2477225	8173	1997-08-05	PRIJEM	PREVOD Z UCTU	40840	75331	\N	GH	84269058
2477226	8173	1997-09-05	PRIJEM	PREVOD Z UCTU	40840	80129	\N	GH	84269058
2477227	8173	1997-10-05	PRIJEM	PREVOD Z UCTU	40840	88169	\N	GH	84269058
2477228	8173	1997-11-05	PRIJEM	PREVOD Z UCTU	40840	87825	\N	GH	84269058
2477229	8173	1997-12-05	PRIJEM	PREVOD Z UCTU	61260	90238	\N	GH	84269058
2477230	8173	1998-01-05	PRIJEM	PREVOD Z UCTU	40840	74888	\N	GH	84269058
2477231	8173	1998-02-05	PRIJEM	PREVOD Z UCTU	40840	63740	\N	GH	84269058
2477232	8173	1998-03-05	PRIJEM	PREVOD Z UCTU	40840	82338	\N	GH	84269058
2477233	8173	1998-04-05	PRIJEM	PREVOD Z UCTU	40840	89111	\N	GH	84269058
2477234	8173	1998-05-05	PRIJEM	PREVOD Z UCTU	40840	77426	\N	GH	84269058
2477235	8173	1998-06-05	PRIJEM	PREVOD Z UCTU	61260	96655	\N	GH	84269058
2477236	8173	1998-07-05	PRIJEM	PREVOD Z UCTU	40840	101879	\N	GH	84269058
2477237	8173	1998-08-05	PRIJEM	PREVOD Z UCTU	40840	109078	\N	GH	84269058
2477238	8173	1998-09-05	PRIJEM	PREVOD Z UCTU	40840	112396	\N	GH	84269058
2477239	8173	1998-10-05	PRIJEM	PREVOD Z UCTU	40840	112321	\N	GH	84269058
2477240	8173	1998-11-05	PRIJEM	PREVOD Z UCTU	40840	83981	\N	GH	84269058
2477241	8173	1998-12-05	PRIJEM	PREVOD Z UCTU	61260	114841	\N	GH	84269058
2477253	8173	1993-12-06	VYDAJ	VYBER	6500	84424	\N	\N	0
2477254	8173	1994-01-09	VYDAJ	VYBER	7300	66863	\N	\N	0
2477255	8173	1994-02-16	VYDAJ	VYBER	5000	45180	\N	\N	0
2477256	8173	1994-03-16	VYDAJ	VYBER	7200	71854	\N	\N	0
2477257	8173	1994-04-16	VYDAJ	VYBER	6700	80875	\N	\N	0
2477258	8173	1994-05-03	VYDAJ	VYBER	6500	48503	\N	\N	0
2477259	8173	1994-06-12	VYDAJ	PREVOD NA UCET	6695	60739	UVER	MN	9593391
2477260	8173	1994-07-12	VYDAJ	PREVOD NA UCET	6695	79151	UVER	MN	9593391
2477261	8173	1994-08-12	VYDAJ	PREVOD NA UCET	6695	83876	UVER	MN	9593391
2477262	8173	1994-09-12	VYDAJ	PREVOD NA UCET	6695	71088	UVER	MN	9593391
2477263	8173	1994-10-12	VYDAJ	PREVOD NA UCET	6695	74797	UVER	MN	9593391
2477264	8173	1994-11-12	VYDAJ	PREVOD NA UCET	6695	78090	UVER	MN	9593391
2477265	8173	1994-12-12	VYDAJ	PREVOD NA UCET	6695	91289	UVER	MN	9593391
2477266	8173	1995-01-12	VYDAJ	PREVOD NA UCET	6695	58412	UVER	MN	9593391
2477267	8173	1995-02-12	VYDAJ	PREVOD NA UCET	6695	58552	UVER	MN	9593391
2477268	8173	1995-03-12	VYDAJ	PREVOD NA UCET	6695	32845	UVER	MN	9593391
2477269	8173	1995-04-12	VYDAJ	PREVOD NA UCET	6695	61214	UVER	MN	9593391
2477270	8173	1995-05-12	VYDAJ	PREVOD NA UCET	6695	72927	UVER	MN	9593391
2477271	8173	1995-06-06	VYDAJ	VYBER	7000	78012	\N	\N	0
2477272	8173	1995-07-20	VYDAJ	VYBER	7300	55533	\N	\N	0
2477273	8173	1995-08-09	VYDAJ	VYBER	5000	63580	\N	\N	0
2477274	8173	1995-09-16	VYDAJ	VYBER	6600	59418	\N	\N	0
2477275	8173	1995-10-19	VYDAJ	VYBER	5100	70995	\N	\N	0
2477276	8173	1995-11-04	VYDAJ	VYBER	8100	35254	\N	\N	0
2477277	8173	1995-12-12	VYDAJ	VYBER	5900	96343	\N	\N	0
2477278	8173	1996-01-21	VYDAJ	VYBER	5100	29941	\N	\N	0
2477279	8173	1996-02-08	VYDAJ	VYBER	7100	56236	\N	\N	0
2477280	8173	1996-03-02	VYDAJ	VYBER	8200	27790	\N	\N	0
2477281	8173	1996-04-21	VYDAJ	VYBER	7300	41226	\N	\N	0
2477282	8173	1996-05-03	VYDAJ	VYBER	5800	31979	\N	\N	0
2477283	8173	1996-06-19	VYDAJ	VYBER	5300	85290	\N	\N	0
2477284	8173	1996-07-17	VYDAJ	VYBER	6800	72365	\N	\N	0
2477285	8173	1996-08-03	VYDAJ	VYBER	6400	41852	\N	\N	0
2477286	8173	1996-09-21	VYDAJ	VYBER	6600	46021	\N	\N	0
2477287	8173	1996-10-17	VYDAJ	VYBER	5500	45780	\N	\N	0
2477288	8173	1996-11-19	VYDAJ	VYBER	7900	37399	\N	\N	0
2477289	8173	1996-12-14	VYDAJ	VYBER	7900	90920	\N	\N	0
2477290	8173	1997-01-05	VYDAJ	VYBER	8300	71446	\N	\N	0
2477291	8173	1997-02-17	VYDAJ	VYBER	8100	46095	\N	\N	0
2477292	8173	1997-03-09	VYDAJ	VYBER	6000	81078	\N	\N	0
2477293	8173	1997-04-02	VYDAJ	VYBER	5300	43450	\N	\N	0
2477294	8173	1997-05-19	VYDAJ	VYBER	6100	58448	\N	\N	0
2477295	8173	1997-06-17	VYDAJ	VYBER	6900	46825	\N	\N	0
2477296	8173	1997-07-11	VYDAJ	VYBER	7500	59717	\N	\N	0
2477297	8173	1997-08-02	VYDAJ	VYBER	6000	34491	\N	\N	0
2477298	8173	1997-09-19	VYDAJ	VYBER	8000	54029	\N	\N	0
2477299	8173	1997-10-21	VYDAJ	VYBER	6900	59069	\N	\N	0
2477300	8173	1997-11-21	VYDAJ	VYBER	5800	51558	\N	\N	0
2477301	8173	1997-12-05	VYDAJ	VYBER	6800	83438	\N	\N	0
2477302	8173	1998-01-15	VYDAJ	VYBER	6400	22788	\N	\N	0
2477303	8173	1998-02-17	VYDAJ	VYBER	6600	41340	\N	\N	0
2477304	8173	1998-03-19	VYDAJ	VYBER	6100	48068	\N	\N	0
2477305	8173	1998-04-06	VYDAJ	VYBER	8100	81011	\N	\N	0
2477306	8173	1998-05-09	VYDAJ	VYBER	6600	70826	\N	\N	0
2477307	8173	1998-06-02	VYDAJ	VYBER	5800	35395	\N	\N	0
2477308	8173	1998-07-16	VYDAJ	VYBER	7200	67979	\N	\N	0
2477309	8173	1998-08-16	VYDAJ	VYBER	6100	71278	\N	\N	0
2477310	8173	1998-09-16	VYDAJ	VYBER	8000	71196	\N	\N	0
2477311	8173	1998-10-12	VYDAJ	VYBER	7500	59121	\N	\N	0
2477312	8173	1998-11-09	VYDAJ	VYBER	6600	55181	\N	\N	0
2477313	8173	1998-12-12	VYDAJ	VYBER	7900	70541	\N	\N	0
2477314	8173	1993-12-30	VYBER	VYBER	15647	68777	\N	\N	\N
2477328	8173	1994-06-07	VYBER	VYBER	20613	67434	\N	\N	\N
2477329	8173	1994-01-14	VYBER	VYBER	10683	29780	\N	\N	\N
2477330	8173	1994-11-25	VYBER	VYBER	19591	53099	\N	\N	\N
2477332	8173	1994-10-01	VYBER	VYBER	7791	40652	\N	\N	\N
2477333	8173	1995-09-25	VYBER	VYBER	3298	36620	\N	\N	\N
2477334	8173	1995-01-06	VYBER	VYBER	11078	78007	\N	\N	\N
2477335	8173	1995-03-08	VYBER	VYBER	8957	39540	\N	\N	\N
2477336	8173	1995-02-20	VYBER	VYBER	19119	30545	\N	\N	\N
2477338	8173	1995-05-20	VYBER	VYBER	24448	48479	\N	\N	\N
2477339	8173	1995-01-22	VYBER	VYBER	10088	30024	\N	\N	\N
2477340	8173	1995-12-14	VYBER	VYBER	14498	81845	\N	\N	\N
2477341	8173	1995-11-17	VYBER	VYBER	3519	61071	\N	\N	\N
2477342	8173	1995-06-03	VYBER	VYBER	12214	23752	\N	\N	\N
2477343	8173	1995-11-07	VYBER	VYBER	11504	64590	\N	\N	\N
2477344	8173	1995-03-05	VYBER	VYBER	18913	48497	\N	\N	\N
2477345	8173	1995-08-14	VYBER	VYBER	14257	49323	\N	\N	\N
2477346	8173	1995-02-15	VYBER	VYBER	8888	49664	\N	\N	\N
2477347	8173	1996-11-09	VYBER	VYBER	14584	61399	\N	\N	\N
2477353	8173	1996-09-08	VYBER	VYBER	15766	80121	\N	\N	\N
2477354	8173	1996-05-10	VYBER	VYBER	24532	48287	\N	\N	\N
2477356	8173	1996-10-14	VYBER	VYBER	19007	68080	\N	\N	\N
2477358	8173	1996-04-17	VYBER	VYBER	3835	71826	\N	\N	\N
2477359	8173	1996-01-08	VYBER	VYBER	16975	62941	\N	\N	\N
2477360	8173	1996-05-13	VYBER	VYBER	8313	39974	\N	\N	\N
2477361	8173	1997-09-29	VYBER	VYBER	6899	47130	\N	\N	\N
2477362	8173	1997-08-21	VYBER	VYBER	3045	52286	\N	\N	\N
2477363	8173	1997-01-08	VYBER	VYBER	21142	50304	\N	\N	\N
2477364	8173	1997-04-05	VYBER	VYBER	3618	80672	\N	\N	\N
2477365	8173	1997-12-06	VYBER	VYBER	4795	78643	\N	\N	\N
2477366	8173	1997-03-13	VYBER	VYBER	7936	73142	\N	\N	\N
2477368	8173	1997-11-17	VYBER	VYBER	5467	57358	\N	\N	\N
2477369	8173	1997-06-23	VYBER	VYBER	6275	40550	\N	\N	\N
2477370	8173	1997-11-26	VYBER	VYBER	22805	28753	\N	\N	\N
2477371	8173	1998-06-06	VYBER	VYBER	16549	80106	\N	\N	\N
2477373	8173	1998-10-14	VYBER	VYBER	16185	42936	\N	\N	\N
2477374	8173	1998-04-26	VYBER	VYBER	21836	36375	\N	\N	\N
2477376	8173	1998-03-05	VYBER	VYBER	7070	75268	\N	\N	\N
2477380	8173	1995-06-17	VYDAJ	VYBER	53700	24312	\N	\N	\N
2477382	8173	1997-06-10	VYDAJ	VYBER	30000	69625	\N	\N	\N
2477385	8173	1994-01-13	VYDAJ	VYBER	23700	43163	\N	\N	\N
2477386	8173	1995-01-17	VYDAJ	VYBER	18300	40112	\N	\N	\N
2477387	8173	1996-01-11	VYDAJ	VYBER	10200	52741	\N	\N	\N
2477389	8173	1998-01-05	VYDAJ	VYBER	21000	50288	\N	\N	\N
2477390	8173	1993-12-05	VYDAJ	VYBER	1500	121024	\N	\N	\N
2477391	8173	1994-12-22	VYDAJ	VYBER	3300	87989	\N	\N	\N
2477392	8173	1995-12-22	VYDAJ	VYBER	6600	47845	\N	\N	\N
2477393	8173	1996-12-15	VYDAJ	VYBER	7500	83420	\N	\N	\N
2477394	8173	1997-12-10	VYDAJ	VYBER KARTOU	3600	75043	\N	\N	0
2477395	8173	1998-12-03	VYDAJ	VYBER KARTOU	1800	53581	\N	\N	0
2477402	8173	1994-01-27	VYDAJ	VYBER	6000	21980	\N	\N	\N
2477404	8173	1994-01-05	VYDAJ	VYBER	6900	74163	\N	\N	\N
2477405	8173	1994-01-15	VYDAJ	VYBER	1800	27980	\N	\N	\N
2477406	8173	1994-01-02	VYDAJ	VYBER	6600	40223	\N	\N	\N
2477408	8173	1995-01-08	VYDAJ	VYBER	8400	65107	\N	\N	\N
2477409	8173	1995-01-03	VYDAJ	VYBER	3300	48245	\N	\N	\N
2477410	8173	1995-01-06	VYDAJ	VYBER	1500	73507	\N	\N	\N
2477411	8173	1995-01-06	VYDAJ	VYBER	3000	75007	\N	\N	\N
2477414	8173	1996-01-07	VYDAJ	VYBER	6900	79916	\N	\N	\N
2477415	8173	1996-01-14	VYDAJ	VYBER	6600	39541	\N	\N	\N
2477417	8173	1996-01-01	VYDAJ	VYBER KARTOU	2100	45976	\N	\N	0
2477418	8173	1996-01-12	VYDAJ	VYBER	6600	46141	\N	\N	\N
2477420	8173	1997-01-16	VYDAJ	VYBER	6900	28704	\N	\N	\N
2477423	8173	1997-01-11	VYDAJ	VYBER	6300	44004	\N	\N	\N
2477424	8173	1997-01-03	VYDAJ	VYBER	4500	49106	\N	\N	\N
2477425	8173	1997-01-04	VYDAJ	VYBER	8700	40406	\N	\N	\N
2477426	8173	1998-01-11	VYDAJ	VYBER KARTOU	2100	38788	\N	\N	0
2477427	8173	1998-01-01	VYDAJ	VYBER	5100	34048	\N	\N	\N
2477428	8173	1998-01-11	VYDAJ	VYBER	4800	33988	\N	\N	\N
2477429	8173	1998-01-05	VYDAJ	VYBER KARTOU	3600	71288	\N	\N	0
2477430	8173	1998-01-11	VYDAJ	VYBER	4800	29188	\N	\N	\N
2477436	8173	1994-09-08	VYDAJ	VYBER	12900	77783	\N	\N	\N
2477437	8173	1994-08-16	VYDAJ	VYBER	1800	82076	\N	\N	\N
2477438	8173	1994-02-14	VYDAJ	VYBER	14100	50180	\N	\N	\N
2477439	8173	1994-12-30	VYDAJ	VYBER	2400	51289	\N	\N	\N
2477440	8173	1994-08-16	VYDAJ	VYBER	6600	75476	\N	\N	\N
2477441	8173	1994-11-21	VYDAJ	VYBER	5400	72690	\N	\N	\N
2477442	8173	1994-10-12	VYDAJ	VYBER	10800	63997	\N	\N	\N
2477443	8173	1994-01-13	VYDAJ	VYBER	2700	40463	\N	\N	\N
2477444	8173	1995-04-19	VYDAJ	VYBER	4200	57014	\N	\N	\N
2477445	8173	1995-07-28	VYDAJ	VYBER	9900	27633	\N	\N	\N
2477446	8173	1995-08-28	VYDAJ	VYBER	9900	25023	\N	\N	\N
2477447	8173	1995-09-26	VYDAJ	VYBER KARTOU	1500	35120	\N	\N	0
2477448	8173	1996-04-29	VYDAJ	VYBER KARTOU	3600	37626	\N	\N	0
2477449	8173	1996-01-16	VYDAJ	VYBER	4500	35041	\N	\N	\N
2477450	8173	1996-09-11	VYDAJ	VYBER KARTOU	3900	76221	\N	\N	0
2477451	8173	1996-07-16	VYDAJ	VYBER	6300	79165	\N	\N	\N
2477452	8173	1996-03-13	VYDAJ	VYBER	9900	58730	\N	\N	\N
2477453	8173	1996-10-19	VYDAJ	VYBER	10800	34980	\N	\N	\N
2477454	8173	1996-06-20	VYDAJ	VYBER	10200	44490	\N	\N	\N
2477455	8173	1997-07-07	VYDAJ	VYBER	14400	67217	\N	\N	\N
2477456	8173	1997-12-30	VYDAJ	VYBER	14400	38943	\N	\N	\N
2477457	8173	1997-07-18	VYDAJ	VYBER	6300	40317	\N	\N	\N
2477459	8173	1997-09-10	VYDAJ	VYBER KARTOU	2400	77729	\N	\N	0
2477460	8173	1997-01-05	VYDAJ	VYBER KARTOU	1500	79746	\N	\N	0
2477461	8173	1997-11-02	VYDAJ	VYBER	12300	46985	\N	\N	\N
2477462	8173	1997-08-23	VYDAJ	VYBER	13200	39086	\N	\N	\N
2477463	8173	1998-02-05	VYDAJ	VYBER	4200	59540	\N	\N	\N
2477464	8173	1998-05-23	VYDAJ	VYBER	11700	41026	\N	\N	\N
2477465	8173	1998-11-07	VYDAJ	VYBER KARTOU	1800	61781	\N	\N	0
2477466	8173	1998-09-13	VYDAJ	VYBER KARTOU	2400	79196	\N	\N	0
2477479	8173	1993-12-31	VYDAJ	VYBER	15	69123	SLUZBY	\N	\N
2477480	8173	1994-01-31	VYDAJ	VYBER	15	23440	SLUZBY	\N	\N
2477481	8173	1994-02-28	VYDAJ	VYBER	15	45314	SLUZBY	\N	\N
2477482	8173	1994-03-31	VYDAJ	VYBER	15	72135	SLUZBY	\N	\N
2477483	8173	1994-04-30	VYDAJ	VYBER	15	81203	SLUZBY	\N	\N
2477484	8173	1994-05-31	VYDAJ	VYBER	15	89687	SLUZBY	\N	\N
2477485	8173	1994-06-30	VYDAJ	VYBER	15	61006	SLUZBY	\N	\N
2477486	8173	1994-07-31	VYDAJ	VYBER	15	49731	SLUZBY	\N	\N
2477487	8173	1994-08-31	VYDAJ	VYBER	15	49843	SLUZBY	\N	\N
2477488	8173	1994-09-30	VYDAJ	VYBER	15	48443	SLUZBY	\N	\N
2477489	8173	1994-10-31	VYDAJ	VYBER	15	43945	SLUZBY	\N	\N
2477490	8173	1994-11-30	VYDAJ	VYBER	15	36724	SLUZBY	\N	\N
2477491	8173	1994-12-31	VYDAJ	VYBER	15	51545	SLUZBY	\N	\N
2477492	8173	1995-01-31	VYDAJ	VYBER	15	24407	SLUZBY	\N	\N
2477493	8173	1995-02-28	VYDAJ	VYBER	15	26570	SLUZBY	\N	\N
2477494	8173	1995-03-31	VYDAJ	VYBER	15	27069	SLUZBY	\N	\N
2477495	8173	1995-04-30	VYDAJ	VYBER	15	38782	SLUZBY	\N	\N
2477496	8173	1995-05-31	VYDAJ	VYBER	15	35966	SLUZBY	\N	\N
2477497	8173	1995-06-30	VYDAJ	VYBER	15	21993	SLUZBY	\N	\N
2477498	8173	1995-07-31	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
2477499	8173	1995-08-31	VYDAJ	VYBER	15	25178	SLUZBY	\N	\N
2477500	8173	1995-09-30	VYDAJ	VYBER	15	35255	SLUZBY	\N	\N
2477501	8173	1995-10-31	VYDAJ	VYBER	15	43354	SLUZBY	\N	\N
2477502	8173	1995-11-30	VYDAJ	VYBER	15	40983	SLUZBY	\N	\N
2477503	8173	1995-12-31	VYDAJ	VYBER	15	48076	SLUZBY	\N	\N
2477504	8173	1996-01-31	VYDAJ	VYBER	15	22496	SLUZBY	\N	\N
2477505	8173	1996-02-29	VYDAJ	VYBER	15	35990	SLUZBY	\N	\N
2477506	8173	1996-03-31	VYDAJ	VYBER	15	34821	SLUZBY	\N	\N
2477507	8173	1996-04-30	VYDAJ	VYBER	15	37779	SLUZBY	\N	\N
2477508	8173	1996-05-31	VYDAJ	VYBER	15	29330	SLUZBY	\N	\N
2477509	8173	1996-06-30	VYDAJ	VYBER	15	44625	SLUZBY	\N	\N
2477510	8173	1996-07-31	VYDAJ	VYBER	15	48252	SLUZBY	\N	\N
2477511	8173	1996-08-31	VYDAJ	VYBER	15	55047	SLUZBY	\N	\N
2477512	8173	1996-09-30	VYDAJ	VYBER	15	46247	SLUZBY	\N	\N
2477513	8173	1996-10-31	VYDAJ	VYBER	15	35143	SLUZBY	\N	\N
2477514	8173	1996-11-30	VYDAJ	VYBER	15	37560	SLUZBY	\N	\N
2477515	8173	1996-12-31	VYDAJ	VYBER	15	53606	SLUZBY	\N	\N
2477516	8173	1997-01-31	VYDAJ	VYBER	15	28855	SLUZBY	\N	\N
2477517	8173	1997-02-28	VYDAJ	VYBER	15	46238	SLUZBY	\N	\N
2477518	8173	1997-03-31	VYDAJ	VYBER	15	48750	SLUZBY	\N	\N
2477519	8173	1997-04-30	VYDAJ	VYBER	15	52708	SLUZBY	\N	\N
2477520	8173	1997-05-31	VYDAJ	VYBER	15	58665	SLUZBY	\N	\N
2477521	8173	1997-06-30	VYDAJ	VYBER	15	40777	SLUZBY	\N	\N
2477522	8173	1997-07-31	VYDAJ	VYBER	15	40491	SLUZBY	\N	\N
2477523	8173	1997-08-31	VYDAJ	VYBER	15	39289	SLUZBY	\N	\N
2477524	8173	1997-09-30	VYDAJ	VYBER	15	47329	SLUZBY	\N	\N
2477525	8173	1997-10-31	VYDAJ	VYBER	15	59285	SLUZBY	\N	\N
2477526	8173	1997-11-30	VYDAJ	VYBER	15	28978	SLUZBY	\N	\N
2477527	8173	1997-12-31	VYDAJ	VYBER	15	39148	SLUZBY	\N	\N
2477528	8173	1998-01-31	VYDAJ	VYBER	15	22900	SLUZBY	\N	\N
2477529	8173	1998-02-28	VYDAJ	VYBER	15	41498	SLUZBY	\N	\N
2477530	8173	1998-03-31	VYDAJ	VYBER	15	48271	SLUZBY	\N	\N
2477531	8173	1998-04-30	VYDAJ	VYBER	15	36586	SLUZBY	\N	\N
2477532	8173	1998-05-31	VYDAJ	VYBER	15	41195	SLUZBY	\N	\N
2477533	8173	1998-06-30	VYDAJ	VYBER	15	61039	SLUZBY	\N	\N
2477534	8173	1998-07-31	VYDAJ	VYBER	15	68238	SLUZBY	\N	\N
2477535	8173	1998-08-31	VYDAJ	VYBER	15	71556	SLUZBY	\N	\N
2477536	8173	1998-09-30	VYDAJ	VYBER	15	71481	SLUZBY	\N	\N
2477537	8173	1998-10-31	VYDAJ	VYBER	15	43141	SLUZBY	\N	\N
2477538	8173	1998-11-30	VYDAJ	VYBER	15	55381	SLUZBY	\N	\N
2477539	8173	1993-08-04	PRIJEM	VKLAD	12900	14000	\N	\N	\N
2477540	8173	1993-09-03	VYDAJ	VYBER	17000	38039	\N	\N	\N
2477541	8173	1993-10-03	VYDAJ	VYBER	27900	51294	\N	\N	\N
2477542	8173	1993-11-02	VYDAJ	VYBER	33300	59211	\N	\N	\N
2477543	8173	1993-12-02	VYDAJ	VYBER	39200	61264	\N	\N	\N
2477544	8173	1993-12-05	VYDAJ	VYBER	30100	90924	\N	\N	\N
2477545	8173	1994-01-01	VYDAJ	VYBER	22300	46823	\N	\N	\N
2477546	8173	1994-01-31	PRIJEM	VKLAD	1300	23455	\N	\N	\N
2477547	8173	1994-03-02	VYDAJ	VYBER	7100	38214	\N	\N	\N
2477548	8173	1994-04-01	VYDAJ	VYBER	25400	46735	\N	\N	\N
2477549	8173	1994-05-01	VYDAJ	VYBER	26200	55003	\N	\N	\N
2477550	8173	1994-05-31	VYDAJ	VYBER	32400	57287	\N	\N	\N
2477551	8173	1994-06-05	VYDAJ	VYBER	30500	88047	\N	\N	\N
2477552	8173	1994-06-30	VYDAJ	VYBER	16000	45006	\N	\N	\N
2477553	8173	1994-07-30	VYDAJ	VYBER	29700	49451	\N	\N	\N
2477554	8173	1994-08-29	VYDAJ	VYBER	25900	49576	\N	\N	\N
2477555	8173	1994-09-28	VYDAJ	VYBER	22900	48188	\N	\N	\N
2477556	8173	1994-10-28	VYDAJ	VYBER	20300	43697	\N	\N	\N
2477557	8173	1994-11-27	VYDAJ	VYBER	16600	36499	\N	\N	\N
2477558	8173	1994-12-27	VYDAJ	VYBER	34300	53689	\N	\N	\N
2477559	8173	1995-01-26	VYDAJ	VYBER	5800	24224	\N	\N	\N
2477560	8173	1995-02-25	VYDAJ	VYBER	4100	26445	\N	\N	\N
2477561	8173	1995-03-27	VYDAJ	VYBER	5900	26945	\N	\N	\N
2477562	8173	1995-04-26	VYDAJ	VYBER	18400	38614	\N	\N	\N
2477563	8173	1995-05-26	VYDAJ	VYBER	12700	35779	\N	\N	\N
2477564	8173	1995-06-25	VYDAJ	VYBER KARTOU	2500	21812	\N	\N	0
2477565	8173	1995-07-25	VYDAJ	VYBER	18000	37533	\N	\N	\N
2477566	8173	1995-08-24	VYDAJ	VYBER	14400	34923	\N	\N	\N
2477567	8173	1995-09-23	VYDAJ	VYBER	19500	39918	\N	\N	\N
2477568	8173	1995-10-23	VYDAJ	VYBER	27800	43195	\N	\N	\N
2477569	8173	1995-11-22	VYDAJ	VYBER	20300	40771	\N	\N	\N
2477570	8173	1995-12-22	VYDAJ	VYBER	27400	54445	\N	\N	\N
2477571	8173	1996-01-21	VYDAJ	VYBER	7600	22341	\N	\N	\N
2477572	8173	1996-02-20	VYDAJ	VYBER	20400	35836	\N	\N	\N
2477573	8173	1996-03-21	VYDAJ	VYBER	24100	34630	\N	\N	\N
2477574	8173	1996-04-20	VYDAJ	VYBER	23300	48526	\N	\N	\N
2477575	8173	1996-05-20	VYDAJ	VYBER	10800	29174	\N	\N	\N
2477576	8173	1996-06-19	VYDAJ	VYBER	30600	54690	\N	\N	\N
2477577	8173	1996-07-19	VYDAJ	VYBER	24300	48065	\N	\N	\N
2477578	8173	1996-08-18	VYDAJ	VYBER	27900	54792	\N	\N	\N
2477579	8173	1996-09-17	VYDAJ	VYBER	23600	52621	\N	\N	\N
2477580	8173	1996-10-17	VYDAJ	VYBER	16800	51280	\N	\N	\N
2477581	8173	1996-11-16	VYDAJ	VYBER	16100	45299	\N	\N	\N
2477582	8173	1996-12-16	VYDAJ	VYBER	30000	53420	\N	\N	\N
2477583	8173	1997-01-15	VYDAJ	VYBER	8400	35604	\N	\N	\N
2477584	8173	1997-02-14	VYDAJ	VYBER	15500	54195	\N	\N	\N
2477585	8173	1997-03-16	VYDAJ	VYBER	24600	48542	\N	\N	\N
2477586	8173	1997-04-15	VYDAJ	VYBER	28200	52472	\N	\N	\N
2477587	8173	1997-05-15	VYDAJ	VYBER	29000	64548	\N	\N	\N
2477588	8173	1997-06-05	VYDAJ	VYBER	20300	99625	\N	\N	\N
2477589	8173	1997-06-14	VYDAJ	VYBER	15900	53725	\N	\N	\N
2477590	8173	1997-07-14	VYDAJ	VYBER	13100	46617	\N	\N	\N
2477591	8173	1997-08-13	VYDAJ	VYBER	20000	55331	\N	\N	\N
2477592	8173	1997-09-12	VYDAJ	VYBER	15700	62029	\N	\N	\N
2477593	8173	1997-10-12	VYDAJ	VYBER	22200	65969	\N	\N	\N
2477594	8173	1997-11-11	VYDAJ	VYBER	25000	62825	\N	\N	\N
2477595	8173	1997-12-11	VYDAJ	VYBER	21700	53343	\N	\N	\N
2477596	8173	1998-01-10	VYDAJ	VYBER	9400	40888	\N	\N	\N
2477597	8173	1998-02-09	VYDAJ	VYBER	11600	47940	\N	\N	\N
2477598	8173	1998-03-11	VYDAJ	VYBER	21100	54168	\N	\N	\N
2477599	8173	1998-04-10	VYDAJ	VYBER	22800	58211	\N	\N	\N
2477600	8173	1998-05-10	VYDAJ	VYBER	18100	52726	\N	\N	\N
2477601	8173	1998-06-09	VYDAJ	VYBER	19300	60806	\N	\N	\N
2477602	8173	1998-07-09	VYDAJ	VYBER	26700	75179	\N	\N	\N
2477603	8173	1998-08-08	VYDAJ	VYBER	31700	77378	\N	\N	\N
2477604	8173	1998-09-07	VYDAJ	VYBER	30800	81596	\N	\N	\N
2477605	8173	1998-10-05	VYDAJ	VYBER	19700	92621	\N	\N	\N
2477606	8173	1998-10-07	VYDAJ	VYBER	26000	66621	\N	\N	\N
2477607	8173	1998-11-06	VYDAJ	VYBER	20400	63581	\N	\N	\N
2477608	8173	1998-12-06	VYDAJ	VYBER	36400	78441	\N	\N	\N
2489300	8212	1993-08-21	PRIJEM	VKLAD	600	600	\N	\N	\N
2489302	8212	1993-12-13	PRIJEM	VKLAD	42272	64172	\N	\N	\N
2489306	8212	1994-11-28	PRIJEM	VKLAD	32588	81210	\N	\N	\N
2489307	8212	1994-03-16	PRIJEM	VKLAD	23182	127771	\N	\N	\N
2489308	8212	1994-10-15	PRIJEM	VKLAD	33503	104499	\N	\N	\N
2489309	8212	1994-10-21	PRIJEM	VKLAD	13681	74580	\N	\N	\N
2489310	8212	1994-04-28	PRIJEM	VKLAD	13409	62230	\N	\N	\N
2489311	8212	1994-11-11	PRIJEM	VKLAD	16550	94673	\N	\N	\N
2489312	8212	1994-02-19	PRIJEM	VKLAD	27647	68384	\N	\N	\N
2489313	8212	1994-08-14	PRIJEM	VKLAD	40481	129613	\N	\N	\N
2489314	8212	1994-12-11	PRIJEM	VKLAD	25080	107226	\N	\N	\N
2489315	8212	1994-03-09	PRIJEM	VKLAD	35852	104589	\N	\N	\N
2489316	8212	1994-06-20	PRIJEM	VKLAD	14729	14218	\N	\N	\N
2489317	8212	1994-08-04	PRIJEM	VKLAD	44490	139732	\N	\N	\N
2489318	8212	1994-07-16	PRIJEM	VKLAD	18668	63593	\N	\N	\N
2489319	8212	1994-01-11	PRIJEM	VKLAD	45690	91315	\N	\N	\N
2489320	8212	1994-07-11	PRIJEM	VKLAD	36165	44925	\N	\N	\N
2489321	8212	1994-05-17	PRIJEM	VKLAD	38475	164831	\N	\N	\N
2489322	8212	1994-12-11	PRIJEM	VKLAD	19068	82146	\N	\N	\N
2489323	8212	1994-12-15	PRIJEM	VKLAD	45119	89968	\N	\N	\N
2489324	8212	1994-05-17	PRIJEM	VKLAD	38452	126356	\N	\N	\N
2489325	8212	1994-07-26	PRIJEM	VKLAD	35905	82498	\N	\N	\N
2489326	8212	1994-07-31	PRIJEM	VKLAD	12504	95342	\N	\N	\N
2489327	8212	1994-09-25	PRIJEM	VKLAD	45147	95192	\N	\N	\N
2489328	8212	1994-11-29	PRIJEM	VKLAD	30666	111876	\N	\N	\N
2489329	8212	1994-03-24	PRIJEM	VKLAD	28452	72423	\N	\N	\N
2489330	8212	1994-12-10	PRIJEM	VKLAD	14027	126278	\N	\N	\N
2489331	8212	1994-10-30	PRIJEM	VKLAD	46236	120816	\N	\N	\N
2489332	8212	1994-05-12	PRIJEM	VKLAD	16959	79412	\N	\N	\N
2489333	8212	1994-05-12	PRIJEM	VKLAD	8492	87904	\N	\N	\N
2489334	8212	1995-03-29	PRIJEM	VKLAD	9776	111901	\N	\N	\N
2489335	8212	1995-04-24	PRIJEM	VKLAD	46491	108887	\N	\N	\N
2489336	8212	1995-09-13	PRIJEM	VKLAD	39613	86461	\N	\N	\N
2489337	8212	1995-05-07	PRIJEM	VKLAD	24394	133354	\N	\N	\N
2489338	8212	1995-11-26	PRIJEM	VKLAD	15048	82177	\N	\N	\N
2489339	8212	1995-01-31	PRIJEM	VKLAD	22092	91557	\N	\N	\N
2489340	8212	1995-10-03	PRIJEM	VKLAD	28369	128363	\N	\N	\N
2489341	8212	1995-10-31	PRIJEM	VKLAD	43302	99528	\N	\N	\N
2489342	8212	1995-03-21	PRIJEM	VKLAD	6146	75325	\N	\N	\N
2489343	8212	1995-05-06	PRIJEM	VKLAD	40280	171860	\N	\N	\N
2489344	8212	1995-02-13	PRIJEM	VKLAD	41810	101523	\N	\N	\N
2489345	8212	1995-03-30	PRIJEM	VKLAD	27025	138926	\N	\N	\N
2489346	8212	1995-04-02	PRIJEM	VKLAD	19478	112896	\N	\N	\N
2489347	8212	1995-09-30	PRIJEM	VKLAD	23732	99833	\N	\N	\N
2489348	8212	1995-09-06	PRIJEM	VKLAD	14038	63203	\N	\N	\N
2489349	8212	1995-08-13	PRIJEM	VKLAD	12497	48199	\N	\N	\N
2489350	8212	1995-05-06	PRIJEM	VKLAD	27469	131580	\N	\N	\N
2489351	8212	1995-05-05	PRIJEM	VKLAD	39268	104111	\N	\N	\N
2489352	8212	1995-11-07	PRIJEM	VKLAD	6425	87529	\N	\N	\N
2489353	8212	1995-08-17	PRIJEM	VKLAD	12047	60246	\N	\N	\N
2489354	8212	1995-08-07	PRIJEM	VKLAD	6059	25402	\N	\N	\N
2489355	8212	1995-01-23	PRIJEM	VKLAD	5347	69465	\N	\N	\N
2489356	8212	1995-01-22	PRIJEM	VKLAD	5104	64118	\N	\N	\N
2489357	8212	1995-02-04	PRIJEM	VKLAD	35891	127813	\N	\N	\N
2489358	8212	1995-05-22	PRIJEM	VKLAD	47202	90768	\N	\N	\N
2489359	8212	1995-03-26	PRIJEM	VKLAD	29569	104894	\N	\N	\N
2489360	8212	1996-06-08	PRIJEM	VKLAD	15765	94407	\N	\N	\N
2489361	8212	1996-05-12	PRIJEM	VKLAD	26758	106499	\N	\N	\N
2489362	8212	1996-06-20	PRIJEM	VKLAD	43044	137451	\N	\N	\N
2489363	8212	1996-10-08	PRIJEM	VKLAD	8270	62063	\N	\N	\N
2489364	8212	1996-01-15	PRIJEM	VKLAD	20639	64282	\N	\N	\N
2489365	8212	1996-01-01	PRIJEM	VKLAD	22508	35143	\N	\N	\N
2489366	8212	1996-01-29	PRIJEM	VKLAD	21711	65219	\N	\N	\N
2489367	8212	1996-02-04	PRIJEM	VKLAD	13542	78961	\N	\N	\N
2489368	8212	1996-07-31	PRIJEM	VKLAD	43527	110726	\N	\N	\N
2489369	8212	1996-08-17	PRIJEM	VKLAD	7404	102966	\N	\N	\N
2489370	8212	1996-05-15	PRIJEM	VKLAD	10975	117474	\N	\N	\N
2489371	8212	1996-08-09	PRIJEM	VKLAD	8719	104371	\N	\N	\N
2489372	8212	1996-02-08	PRIJEM	VKLAD	16333	98263	\N	\N	\N
2489373	8212	1996-08-06	PRIJEM	VKLAD	43606	120052	\N	\N	\N
2489374	8212	1996-07-20	PRIJEM	VKLAD	30282	67081	\N	\N	\N
2489375	8212	1996-02-20	PRIJEM	VKLAD	33812	120167	\N	\N	\N
2489376	8212	1996-02-06	PRIJEM	VKLAD	29169	108130	\N	\N	\N
2489377	8212	1996-05-07	PRIJEM	VKLAD	42105	101641	\N	\N	\N
2489378	8212	1997-08-22	PRIJEM	VKLAD	28672	87312	\N	\N	\N
2489379	8212	1997-09-23	PRIJEM	VKLAD	43380	157728	\N	\N	\N
2489380	8212	1997-02-12	PRIJEM	VKLAD	5520	71309	\N	\N	\N
2489381	8212	1997-06-24	PRIJEM	VKLAD	45179	125452	\N	\N	\N
2489382	8212	1997-04-05	PRIJEM	VKLAD	23230	104304	\N	\N	\N
2489383	8212	1997-05-13	PRIJEM	VKLAD	38211	144577	\N	\N	\N
2489384	8212	1997-07-14	PRIJEM	VKLAD	38320	134579	\N	\N	\N
2489385	8212	1997-08-29	PRIJEM	VKLAD	19270	106582	\N	\N	\N
2489386	8212	1997-07-21	PRIJEM	VKLAD	5068	98047	\N	\N	\N
2489387	8212	1997-12-26	PRIJEM	VKLAD	9980	143637	\N	\N	\N
2489388	8212	1997-01-10	PRIJEM	VKLAD	11215	48119	\N	\N	\N
2489389	8212	1997-11-22	PRIJEM	VKLAD	18122	97754	\N	\N	\N
2489390	8212	1997-12-21	PRIJEM	VKLAD	19913	117906	\N	\N	\N
2489391	8212	1997-09-01	PRIJEM	VKLAD	10212	104236	\N	\N	\N
2489392	8212	1997-03-05	PRIJEM	VKLAD	27937	97755	\N	\N	\N
2489393	8212	1997-06-09	PRIJEM	VKLAD	30330	90699	\N	\N	\N
2489394	8212	1997-11-11	PRIJEM	VKLAD	10131	78685	\N	\N	\N
2489395	8212	1997-06-26	PRIJEM	VKLAD	15199	111551	\N	\N	\N
2489396	8212	1997-09-13	PRIJEM	VKLAD	10112	114348	\N	\N	\N
2489397	8212	1997-10-27	PRIJEM	VKLAD	25509	83451	\N	\N	\N
2489398	8212	1997-12-15	PRIJEM	VKLAD	17226	105493	\N	\N	\N
2489399	8212	1997-01-13	PRIJEM	VKLAD	38498	86617	\N	\N	\N
2489400	8212	1997-12-23	PRIJEM	VKLAD	34751	152657	\N	\N	\N
2489401	8212	1997-05-04	PRIJEM	VKLAD	21783	106366	\N	\N	\N
2489402	8212	1997-11-16	PRIJEM	VKLAD	24347	91032	\N	\N	\N
2489403	8212	1998-10-25	PRIJEM	VKLAD	46729	161911	\N	\N	\N
2489404	8212	1998-04-18	PRIJEM	VKLAD	27834	147826	\N	\N	\N
2489405	8212	1998-06-01	PRIJEM	VKLAD	29303	142678	\N	\N	\N
2489406	8212	1998-05-07	PRIJEM	VKLAD	33797	127161	\N	\N	\N
2489407	8212	1998-09-12	PRIJEM	VKLAD	18130	94581	\N	\N	\N
2489408	8212	1998-04-13	PRIJEM	VKLAD	24668	119992	\N	\N	\N
2489409	8212	1998-10-06	PRIJEM	VKLAD	38822	137272	\N	\N	\N
2489410	8212	1998-09-03	PRIJEM	VKLAD	11578	114965	\N	\N	\N
2489491	8212	1994-12-12	VYBER	VYBER	20177	58249	\N	\N	\N
2489492	8212	1994-11-21	VYBER	VYBER	2284	48622	\N	\N	\N
2489493	8212	1994-09-28	VYBER	VYBER	24444	70748	\N	\N	\N
2489495	8212	1994-11-05	VYBER	VYBER	18558	78123	\N	\N	\N
2489496	8212	1994-11-13	VYBER	VYBER	19267	75406	\N	\N	\N
2489497	8212	1995-11-30	VYBER	VYBER	13203	55835	\N	\N	\N
2489498	8212	1995-09-16	VYBER	VYBER	10571	75890	\N	\N	\N
2489499	8212	1995-10-21	VYBER	VYBER	19748	55915	\N	\N	\N
2489500	8212	1995-11-05	VYBER	VYBER	18636	81104	\N	\N	\N
2489501	8212	1995-03-28	VYBER	VYBER	2769	102125	\N	\N	\N
2489502	8212	1995-05-13	VYBER	VYBER	2756	81398	\N	\N	\N
2489503	8212	1995-08-19	VYBER	VYBER	11249	48997	\N	\N	\N
2489504	8212	1995-09-09	VYBER	VYBER	15655	47548	\N	\N	\N
2489505	8212	1995-07-15	VYBER	VYBER	16568	28525	\N	\N	\N
2489506	8212	1995-05-14	VYBER	VYBER	9631	49867	\N	\N	\N
2489507	8212	1995-05-21	VYBER	VYBER	6301	43566	\N	\N	\N
2489508	8212	1995-11-29	VYBER	VYBER	13735	68442	\N	\N	\N
2489509	8212	1995-07-06	VYBER	VYBER	14765	51293	\N	\N	\N
2489510	8212	1995-12-25	VYBER	VYBER	17685	12450	\N	\N	\N
2489511	8212	1996-11-22	VYBER	VYBER	11790	36370	\N	\N	\N
2489512	8212	1996-07-31	VYBER	VYBER	19281	91546	\N	\N	\N
2489513	8212	1996-02-19	VYBER	VYBER	9208	86355	\N	\N	\N
2489514	8212	1996-11-02	VYBER	VYBER	14690	39889	\N	\N	\N
2489515	8212	1996-01-20	VYBER	VYBER	20774	43508	\N	\N	\N
2489517	8212	1996-11-20	VYBER	VYBER	2929	48160	\N	\N	\N
2489518	8212	1996-12-05	VYBER	VYBER	24777	23217	\N	\N	\N
2489519	8212	1996-09-10	VYBER	VYBER	20933	54519	\N	\N	\N
2489520	8212	1996-08-30	VYBER	VYBER	10506	92460	\N	\N	\N
2489521	8212	1996-10-10	VYBER	VYBER	7731	54332	\N	\N	\N
2489522	8212	1996-08-15	VYBER	VYBER	8809	95562	\N	\N	\N
2489523	8212	1997-04-08	VYBER	VYBER	11326	92978	\N	\N	\N
2489524	8212	1997-06-13	VYBER	VYBER	10426	80273	\N	\N	\N
2489525	8212	1997-01-16	VYBER	VYBER	19697	66920	\N	\N	\N
2489526	8212	1997-10-06	VYBER	VYBER	17941	57942	\N	\N	\N
2489527	8212	1997-01-08	VYBER	VYBER	5943	36904	\N	\N	\N
2489528	8212	1997-08-06	VYBER	VYBER	12677	72740	\N	\N	\N
2489529	8212	1998-09-06	VYBER	VYBER	22376	92589	\N	\N	\N
2489530	8212	1998-11-12	VYBER	VYBER	19240	80985	\N	\N	\N
2489531	8212	1998-10-26	VYBER	VYBER	13579	99532	\N	\N	\N
2489532	8212	1998-09-07	VYBER	VYBER	16138	76451	\N	\N	\N
2489533	8212	1998-05-25	VYBER	VYBER	3237	123924	\N	\N	\N
2489534	8212	1998-10-01	VYBER	VYBER	12241	98450	\N	\N	\N
2489535	8212	1998-10-23	VYBER	VYBER	11790	106882	\N	\N	\N
2489537	8212	1994-06-19	VYDAJ	VYBER	42300	-511	\N	\N	\N
2489539	8212	1996-06-20	VYDAJ	VYBER	76200	61251	\N	\N	\N
2489540	8212	1997-06-06	VYDAJ	VYBER	28800	60369	\N	\N	\N
2489541	8212	1998-06-09	VYDAJ	VYBER	54600	49878	\N	\N	\N
2489543	8212	1994-12-10	VYDAJ	VYBER	7500	63078	\N	\N	\N
2489544	8212	1995-12-14	VYDAJ	VYBER	8700	43935	\N	\N	\N
2489545	8212	1996-12-17	VYDAJ	VYBER KARTOU	2400	20817	\N	\N	0
2489546	8212	1997-12-19	VYDAJ	VYBER	7500	97993	\N	\N	\N
2489547	8212	1998-12-10	VYDAJ	VYBER	8700	91021	\N	\N	\N
2489552	8212	1994-03-20	VYDAJ	VYBER	3300	43971	\N	\N	\N
2489553	8212	1994-07-05	VYDAJ	VYBER	5700	8760	\N	\N	\N
2489554	8212	1994-08-13	VYDAJ	VYBER	11100	89132	\N	\N	\N
2489555	8212	1994-10-18	VYDAJ	VYBER	6300	60899	\N	\N	\N
2489556	8212	1995-12-19	VYDAJ	VYBER	13800	30135	\N	\N	\N
2489557	8212	1995-01-01	VYDAJ	VYBER	2700	87914	\N	\N	\N
2489558	8212	1995-07-25	VYDAJ	VYBER	9300	19225	\N	\N	\N
2489559	8212	1996-02-12	VYDAJ	VYBER KARTOU	2700	95563	\N	\N	0
2489560	8212	1996-03-30	VYDAJ	VYBER	6900	67210	\N	\N	\N
2489561	8212	1996-04-10	VYDAJ	VYBER	4800	59169	\N	\N	\N
2489562	8212	1996-09-23	VYDAJ	VYBER	4200	50319	\N	\N	\N
2489563	8212	1996-02-22	VYDAJ	VYBER KARTOU	1500	88567	\N	\N	0
2489564	8212	1997-11-20	VYDAJ	VYBER	11400	79632	\N	\N	\N
2489565	8212	1997-05-13	VYDAJ	VYBER	11100	109677	\N	\N	\N
2489566	8212	1997-11-05	VYDAJ	VYBER	13200	68554	\N	\N	\N
2489567	8212	1997-08-06	VYDAJ	VYBER	14100	58640	\N	\N	\N
2489568	8212	1997-10-05	VYDAJ	VYBER	13200	75883	\N	\N	\N
2489569	8212	1997-02-18	VYDAJ	VYBER KARTOU	1800	69509	\N	\N	0
2489570	8212	1997-05-13	VYDAJ	VYBER	4800	120777	\N	\N	\N
2489571	8212	1997-11-12	VYDAJ	VYBER	12000	66685	\N	\N	\N
2489572	8212	1998-12-26	VYDAJ	VYBER	10500	99921	\N	\N	\N
2489573	8212	1998-03-26	VYDAJ	VYBER KARTOU	1800	91452	\N	\N	0
2489574	8212	1998-08-24	VYDAJ	VYBER	4800	92265	\N	\N	\N
2489575	8212	1998-03-12	VYDAJ	VYBER KARTOU	1800	93252	\N	\N	0
2489576	8212	1998-01-15	VYDAJ	VYBER	6000	99085	\N	\N	\N
2489577	8212	1998-06-08	VYDAJ	VYBER	10200	104478	\N	\N	\N
2489593	8212	1994-03-31	VYDAJ	VYBER	100	72721	SLUZBY	\N	\N
2489594	8212	1994-04-30	VYDAJ	VYBER	100	62453	SLUZBY	\N	\N
2489595	8212	1994-05-31	VYDAJ	VYBER	100	61289	SLUZBY	\N	\N
2489596	8212	1994-06-30	VYDAJ	VYBER	100	14460	SLUZBY	\N	\N
2489597	8212	1994-07-31	VYDAJ	VYBER	100	95242	SLUZBY	\N	\N
2489598	8212	1994-08-31	VYDAJ	VYBER	100	67845	SLUZBY	\N	\N
2489599	8212	1994-09-30	VYDAJ	VYBER	100	70996	SLUZBY	\N	\N
2489600	8212	1994-10-31	VYDAJ	VYBER	100	96681	SLUZBY	\N	\N
2489601	8212	1994-11-30	VYDAJ	VYBER	100	112251	SLUZBY	\N	\N
2489602	8212	1994-12-31	VYDAJ	VYBER	100	90614	SLUZBY	\N	\N
2489603	8212	1995-01-31	VYDAJ	VYBER	100	91922	SLUZBY	\N	\N
2489604	8212	1995-02-28	VYDAJ	VYBER	100	102179	SLUZBY	\N	\N
2489605	8212	1995-03-31	VYDAJ	VYBER	100	93418	SLUZBY	\N	\N
2489606	8212	1995-04-30	VYDAJ	VYBER	100	64843	SLUZBY	\N	\N
2489607	8212	1995-05-31	VYDAJ	VYBER	100	91296	SLUZBY	\N	\N
2489608	8212	1995-06-30	VYDAJ	VYBER	100	66058	SLUZBY	\N	\N
2489609	8212	1995-07-31	VYDAJ	VYBER	100	19343	SLUZBY	\N	\N
2489610	8212	1995-08-31	VYDAJ	VYBER	100	49165	SLUZBY	\N	\N
2489611	8212	1995-09-30	VYDAJ	VYBER	100	99994	SLUZBY	\N	\N
2489612	8212	1995-10-31	VYDAJ	VYBER	100	99740	SLUZBY	\N	\N
2489613	8212	1995-11-30	VYDAJ	VYBER	100	55735	SLUZBY	\N	\N
2489614	8212	1995-12-31	VYDAJ	VYBER	100	12635	SLUZBY	\N	\N
2489615	8212	1996-01-31	VYDAJ	VYBER	100	65419	SLUZBY	\N	\N
2489616	8212	1996-02-29	VYDAJ	VYBER	100	89110	SLUZBY	\N	\N
2489617	8212	1996-03-31	VYDAJ	VYBER	100	67469	SLUZBY	\N	\N
2489618	8212	1996-04-30	VYDAJ	VYBER	100	59536	SLUZBY	\N	\N
2489619	8212	1996-05-31	VYDAJ	VYBER	100	96942	SLUZBY	\N	\N
2489620	8212	1996-06-30	VYDAJ	VYBER	100	13499	SLUZBY	\N	\N
2489621	8212	1996-07-31	VYDAJ	VYBER	100	91446	SLUZBY	\N	\N
2489622	8212	1996-08-31	VYDAJ	VYBER	100	93152	SLUZBY	\N	\N
2489623	8212	1996-09-30	VYDAJ	VYBER	100	50693	SLUZBY	\N	\N
2489624	8212	1996-10-31	VYDAJ	VYBER	100	54579	SLUZBY	\N	\N
2489625	8212	1996-11-30	VYDAJ	VYBER	100	36594	SLUZBY	\N	\N
2489626	8212	1996-12-31	VYDAJ	VYBER	100	20847	SLUZBY	\N	\N
2489627	8212	1997-01-31	VYDAJ	VYBER	100	67189	SLUZBY	\N	\N
2489628	8212	1997-02-28	VYDAJ	VYBER	100	69818	SLUZBY	\N	\N
2489629	8212	1997-03-31	VYDAJ	VYBER	100	98174	SLUZBY	\N	\N
2489630	8212	1997-04-30	VYDAJ	VYBER	100	93583	SLUZBY	\N	\N
2489631	8212	1997-05-31	VYDAJ	VYBER	100	110469	SLUZBY	\N	\N
2489632	8212	1997-06-30	VYDAJ	VYBER	100	112059	SLUZBY	\N	\N
2489633	8212	1997-07-31	VYDAJ	VYBER	100	98717	SLUZBY	\N	\N
2489634	8212	1997-08-31	VYDAJ	VYBER	100	94024	SLUZBY	\N	\N
2489635	8212	1997-09-30	VYDAJ	VYBER	100	89083	SLUZBY	\N	\N
2489636	8212	1997-10-31	VYDAJ	VYBER	100	81754	SLUZBY	\N	\N
2489637	8212	1997-11-30	VYDAJ	VYBER	100	88267	SLUZBY	\N	\N
2489638	8212	1997-12-31	VYDAJ	VYBER	100	105085	SLUZBY	\N	\N
2489639	8212	1998-01-31	VYDAJ	VYBER	100	96849	SLUZBY	\N	\N
2489640	8212	1998-02-28	VYDAJ	VYBER	100	95052	SLUZBY	\N	\N
2489641	8212	1998-03-31	VYDAJ	VYBER	100	95324	SLUZBY	\N	\N
2489642	8212	1998-04-30	VYDAJ	VYBER	100	93364	SLUZBY	\N	\N
2489643	8212	1998-05-31	VYDAJ	VYBER	100	113375	SLUZBY	\N	\N
2489644	8212	1998-06-30	VYDAJ	VYBER	100	80318	SLUZBY	\N	\N
2489645	8212	1998-07-31	VYDAJ	VYBER	100	97065	SLUZBY	\N	\N
2489646	8212	1998-08-31	VYDAJ	VYBER	100	103387	SLUZBY	\N	\N
2489647	8212	1998-09-30	VYDAJ	VYBER	100	110691	SLUZBY	\N	\N
2489648	8212	1998-10-31	VYDAJ	VYBER	100	100225	SLUZBY	\N	\N
2489649	8212	1998-11-30	VYDAJ	VYBER	100	99721	SLUZBY	\N	\N
2489650	8212	1993-09-20	PRIJEM	VKLAD	12700	13300	\N	\N	\N
2489651	8212	1993-10-20	PRIJEM	VKLAD	3700	17000	\N	\N	\N
2489652	8212	1993-11-19	PRIJEM	VKLAD	4900	21900	\N	\N	\N
2489653	8212	1993-12-19	VYDAJ	VYBER	18700	45472	\N	\N	\N
2489654	8212	1994-01-18	VYDAJ	VYBER	31200	60115	\N	\N	\N
2489655	8212	1994-02-17	VYDAJ	VYBER	19700	40737	\N	\N	\N
2489656	8212	1994-03-16	VYDAJ	VYBER	58600	69171	\N	\N	\N
2489657	8212	1994-03-19	VYDAJ	VYBER	21900	47271	\N	\N	\N
2489658	8212	1994-04-18	VYDAJ	VYBER	23900	48821	\N	\N	\N
2489659	8212	1994-05-17	VYDAJ	VYBER	37600	127231	\N	\N	\N
2489660	8212	1994-05-17	VYDAJ	VYBER	29100	98131	\N	\N	\N
2489661	8212	1994-05-18	VYDAJ	VYBER	37300	60831	\N	\N	\N
2489662	8212	1994-06-17	VYDAJ	VYBER	19500	41789	\N	\N	\N
2489663	8212	1994-07-17	VYDAJ	VYBER	17000	46593	\N	\N	\N
2489664	8212	1994-08-04	VYDAJ	VYBER	39500	100232	\N	\N	\N
2489665	8212	1994-08-14	VYDAJ	VYBER	19900	109713	\N	\N	\N
2489666	8212	1994-08-16	VYDAJ	VYBER	42500	67213	\N	\N	\N
2489667	8212	1994-09-15	VYDAJ	VYBER	17800	50045	\N	\N	\N
2489668	8212	1994-10-15	VYDAJ	VYBER	37300	67199	\N	\N	\N
2489669	8212	1994-10-30	VYDAJ	VYBER	24500	96316	\N	\N	\N
2489670	8212	1994-11-14	VYDAJ	VYBER	24500	50906	\N	\N	\N
2489671	8212	1994-12-10	VYDAJ	VYBER	55700	70578	\N	\N	\N
2489672	8212	1994-12-11	VYDAJ	VYBER	28800	78426	\N	\N	\N
2489673	8212	1994-12-14	VYDAJ	VYBER	13400	44849	\N	\N	\N
2489674	8212	1995-01-13	VYDAJ	VYBER	28900	59014	\N	\N	\N
2489675	8212	1995-02-04	VYDAJ	VYBER	47100	80713	\N	\N	\N
2489676	8212	1995-02-12	VYDAJ	VYBER	21000	59713	\N	\N	\N
2489677	8212	1995-03-14	VYDAJ	VYBER	33000	69179	\N	\N	\N
2489678	8212	1995-03-30	VYDAJ	VYBER	46200	92726	\N	\N	\N
2489679	8212	1995-04-02	VYDAJ	VYBER	27000	85896	\N	\N	\N
2489680	8212	1995-04-13	VYDAJ	VYBER	23500	62396	\N	\N	\N
2489681	8212	1995-04-24	VYDAJ	VYBER	44600	64287	\N	\N	\N
2489682	8212	1995-05-06	VYDAJ	VYBER	22500	149360	\N	\N	\N
2489683	8212	1995-05-06	VYDAJ	VYBER	40400	108960	\N	\N	\N
2489684	8212	1995-05-07	VYDAJ	VYBER	49200	84154	\N	\N	\N
2489685	8212	1995-05-13	VYDAJ	VYBER	21900	59498	\N	\N	\N
2489686	8212	1995-06-12	VYDAJ	VYBER	25500	65796	\N	\N	\N
2489687	8212	1995-07-12	VYDAJ	VYBER	6200	45093	\N	\N	\N
2489688	8212	1995-08-11	PRIJEM	VKLAD	10300	35702	\N	\N	\N
2489689	8212	1995-09-10	VYDAJ	VYBER KARTOU	700	46848	\N	\N	0
2489690	8212	1995-10-03	VYDAJ	VYBER	20200	108163	\N	\N	\N
2489691	8212	1995-10-10	VYDAJ	VYBER	32500	75663	\N	\N	\N
2489692	8212	1995-11-09	VYDAJ	VYBER	20400	67129	\N	\N	\N
2489693	8212	1995-12-09	VYDAJ	VYBER KARTOU	3100	52635	\N	\N	0
2489694	8212	1996-01-08	PRIJEM	VKLAD	8500	43643	\N	\N	\N
2489695	8212	1996-02-07	VYDAJ	VYBER	26200	81930	\N	\N	\N
2489696	8212	1996-02-20	VYDAJ	VYBER	30100	90067	\N	\N	\N
2489697	8212	1996-03-08	VYDAJ	VYBER	15000	74110	\N	\N	\N
2489698	8212	1996-04-07	VYDAJ	VYBER KARTOU	3500	63969	\N	\N	0
2489699	8212	1996-05-07	VYDAJ	VYBER	21900	79741	\N	\N	\N
2489700	8212	1996-05-15	VYDAJ	VYBER	21100	96374	\N	\N	\N
2489701	8212	1996-06-06	VYDAJ	VYBER	18300	78642	\N	\N	\N
2489702	8212	1996-06-20	VYDAJ	VYBER	48400	12851	\N	\N	\N
2489703	8212	1996-07-06	PRIJEM	VKLAD	23300	36799	\N	\N	\N
2489704	8212	1996-08-05	VYDAJ	VYBER	15000	76446	\N	\N	\N
2489705	8212	1996-08-06	VYDAJ	VYBER	24400	95652	\N	\N	\N
2489706	8212	1996-09-04	VYDAJ	VYBER	17700	75452	\N	\N	\N
2489707	8212	1996-10-04	PRIJEM	VKLAD	3100	53793	\N	\N	\N
2489708	8212	1996-11-03	PRIJEM	VKLAD	11200	51089	\N	\N	\N
2489709	8212	1996-12-03	PRIJEM	VKLAD	11400	47994	\N	\N	\N
2489710	8212	1997-01-02	PRIJEM	VKLAD	22000	42847	\N	\N	\N
2489711	8212	1997-02-01	VYDAJ	VYBER KARTOU	1400	65789	\N	\N	0
2489712	8212	1997-04-02	VYDAJ	VYBER	17100	81074	\N	\N	\N
2489713	8212	1997-05-02	VYDAJ	VYBER	9000	84583	\N	\N	\N
2489714	8212	1997-05-13	VYDAJ	VYBER	19000	125577	\N	\N	\N
2489715	8212	1997-06-01	VYDAJ	VYBER	21300	89169	\N	\N	\N
2489716	8212	1997-06-24	VYDAJ	VYBER	29100	96352	\N	\N	\N
2489717	8212	1997-07-01	VYDAJ	VYBER	15800	96259	\N	\N	\N
2489718	8212	1997-07-14	VYDAJ	VYBER	41600	92979	\N	\N	\N
2489719	8212	1997-07-31	VYDAJ	VYBER	13300	85417	\N	\N	\N
2489720	8212	1997-08-30	VYDAJ	VYBER	13000	93582	\N	\N	\N
2489721	8212	1997-09-23	VYDAJ	VYBER	59400	98328	\N	\N	\N
2489722	8212	1997-09-29	VYDAJ	VYBER	9800	88528	\N	\N	\N
2489723	8212	1997-10-29	VYDAJ	VYBER KARTOU	2000	81451	\N	\N	0
2489724	8212	1997-11-28	VYDAJ	VYBER	9900	87854	\N	\N	\N
2489725	8212	1997-12-23	VYDAJ	VYBER	19000	133657	\N	\N	\N
2489726	8212	1997-12-26	VYDAJ	VYBER	18100	125537	\N	\N	\N
2489727	8212	1997-12-28	VYDAJ	VYBER	21100	104437	\N	\N	\N
2489728	8212	1998-01-27	VYDAJ	VYBER KARTOU	2900	96185	\N	\N	0
2489729	8212	1998-02-26	VYDAJ	VYBER KARTOU	2400	94449	\N	\N	0
2489730	8212	1998-03-28	PRIJEM	VKLAD	3300	94752	\N	\N	\N
2489731	8212	1998-04-18	VYDAJ	VYBER	56200	91626	\N	\N	\N
2489732	8212	1998-04-27	PRIJEM	VKLAD	1300	92926	\N	\N	\N
2489733	8212	1998-05-27	VYDAJ	VYBER	10900	113024	\N	\N	\N
2489734	8212	1998-06-01	VYDAJ	VYBER	28000	114678	\N	\N	\N
2489735	8212	1998-06-26	PRIJEM	VKLAD	30000	79878	\N	\N	\N
2489736	8212	1998-07-26	PRIJEM	VKLAD	16300	96618	\N	\N	\N
2489737	8212	1998-08-25	PRIJEM	VKLAD	10800	103065	\N	\N	\N
2489738	8212	1998-09-24	PRIJEM	VKLAD	15600	110181	\N	\N	\N
2489739	8212	1998-10-06	VYDAJ	VYBER	18600	118672	\N	\N	\N
2489740	8212	1998-10-24	PRIJEM	VKLAD	8300	115182	\N	\N	\N
2489741	8212	1998-10-25	VYDAJ	VYBER	48800	113111	\N	\N	\N
2489742	8212	1998-11-23	PRIJEM	VKLAD	18400	99385	\N	\N	\N
2489743	8212	1998-12-23	PRIJEM	VKLAD	19400	110421	\N	\N	\N
2492564	8225	1996-12-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2492576	8225	1996-12-09	PRIJEM	PREVOD Z UCTU	27154	28254	\N	UV	82251560
2492577	8225	1997-01-09	PRIJEM	PREVOD Z UCTU	18103	41315	\N	UV	82251560
2492578	8225	1997-02-09	PRIJEM	PREVOD Z UCTU	18103	48456	\N	UV	82251560
2492579	8225	1997-03-09	PRIJEM	PREVOD Z UCTU	18103	55479	\N	UV	82251560
2492580	8225	1997-04-09	PRIJEM	PREVOD Z UCTU	18103	52387	\N	UV	82251560
2492581	8225	1997-05-09	PRIJEM	PREVOD Z UCTU	18103	52960	\N	UV	82251560
2492582	8225	1997-06-09	PRIJEM	PREVOD Z UCTU	27154	45679	\N	UV	82251560
2492583	8225	1997-07-09	PRIJEM	PREVOD Z UCTU	18103	48390	\N	UV	82251560
2492584	8225	1997-08-09	PRIJEM	PREVOD Z UCTU	18103	39323	\N	UV	82251560
2492585	8225	1997-09-09	PRIJEM	PREVOD Z UCTU	18103	44421	\N	UV	82251560
2492586	8225	1997-10-09	PRIJEM	PREVOD Z UCTU	18103	34365	\N	UV	82251560
2492587	8225	1997-11-09	PRIJEM	PREVOD Z UCTU	18103	40490	\N	UV	82251560
2492588	8225	1997-12-09	PRIJEM	PREVOD Z UCTU	27154	40996	\N	UV	82251560
2492589	8225	1998-01-09	PRIJEM	PREVOD Z UCTU	18103	21895	\N	UV	82251560
2492590	8225	1998-02-09	PRIJEM	PREVOD Z UCTU	18103	17888	\N	UV	82251560
2492591	8225	1998-03-09	PRIJEM	PREVOD Z UCTU	18103	26039	\N	UV	82251560
2492592	8225	1998-04-09	PRIJEM	PREVOD Z UCTU	18103	22932	\N	UV	82251560
2492593	8225	1998-05-09	PRIJEM	PREVOD Z UCTU	18103	33471	\N	UV	82251560
2492594	8225	1998-06-09	PRIJEM	PREVOD Z UCTU	27154	39773	\N	UV	82251560
2492595	8225	1998-07-09	PRIJEM	PREVOD Z UCTU	18103	24880	\N	UV	82251560
2492596	8225	1998-08-09	PRIJEM	PREVOD Z UCTU	18103	30434	\N	UV	82251560
2492597	8225	1998-09-09	PRIJEM	PREVOD Z UCTU	18103	22515	\N	UV	82251560
2492598	8225	1998-10-09	PRIJEM	PREVOD Z UCTU	18103	31700	\N	UV	82251560
2492599	8225	1998-11-09	PRIJEM	PREVOD Z UCTU	18103	33079	\N	UV	82251560
2492600	8225	1998-12-09	PRIJEM	PREVOD Z UCTU	27154	48336	\N	UV	82251560
2492616	8225	1997-04-06	VYDAJ	VYBER	2400	34284	\N	\N	0
2492617	8225	1997-05-20	VYDAJ	VYBER	2300	50660	\N	\N	0
2492618	8225	1997-06-09	VYDAJ	VYBER	3100	42579	\N	\N	0
2492619	8225	1997-07-10	VYDAJ	VYBER	2600	45790	\N	\N	0
2492620	8225	1997-08-02	VYDAJ	VYBER	3000	25420	\N	\N	0
2492621	8225	1997-09-21	VYDAJ	VYBER	3400	41021	\N	\N	0
2492622	8225	1997-10-06	VYDAJ	VYBER	3600	16262	\N	\N	0
2492623	8225	1997-11-06	VYDAJ	VYBER	3700	22387	\N	\N	0
2492624	8225	1997-12-02	VYDAJ	VYBER	2600	18042	\N	\N	0
2492625	8225	1998-01-08	VYDAJ	VYBER	3100	3792	\N	\N	0
2492626	8225	1998-02-13	VYDAJ	VYBER	3600	14288	\N	\N	0
2492627	8225	1998-03-14	VYDAJ	VYBER	2400	23639	\N	\N	0
2492628	8225	1998-04-12	VYDAJ	VYBER	3000	19932	\N	\N	0
2492629	8225	1998-05-12	VYDAJ	PREVOD NA UCET	3017	30454	UVER	ST	69110774
2492630	8225	1998-06-12	VYDAJ	PREVOD NA UCET	3017	36756	UVER	ST	69110774
2492631	8225	1998-07-12	VYDAJ	PREVOD NA UCET	3017	21863	UVER	ST	69110774
2492632	8225	1998-08-12	VYDAJ	PREVOD NA UCET	3017	27417	UVER	ST	69110774
2492633	8225	1998-09-12	VYDAJ	PREVOD NA UCET	3017	19498	UVER	ST	69110774
2492634	8225	1998-10-12	VYDAJ	PREVOD NA UCET	3017	28683	UVER	ST	69110774
2492635	8225	1998-11-12	VYDAJ	PREVOD NA UCET	3017	30062	UVER	ST	69110774
2492636	8225	1998-12-12	VYDAJ	PREVOD NA UCET	3017	45319	UVER	ST	69110774
2492637	8225	1997-09-30	VYBER	VYBER	23289	18176	\N	\N	\N
2492638	8225	1997-07-31	VYBER	VYBER	17844	28435	\N	\N	\N
2492642	8225	1998-06-27	VYBER	VYBER	11501	14337	\N	\N	\N
2492645	8225	1998-08-24	VYBER	VYBER	18259	2703	\N	\N	\N
2492646	8225	1998-08-21	VYBER	VYBER	6455	20962	\N	\N	\N
2492647	8225	1998-01-16	VYBER	VYBER	13379	3416	\N	\N	\N
2492650	8225	1998-03-19	VYBER	VYBER	20808	2831	\N	\N	\N
2492652	8225	1998-06-27	VYBER	VYBER	10918	25838	\N	\N	\N
2492654	8225	1997-06-08	VYDAJ	VYBER	12000	18525	\N	\N	\N
2492660	8225	1997-12-07	VYDAJ	VYBER	4200	13842	\N	\N	\N
2492661	8225	1998-12-26	VYDAJ	VYBER	6000	37219	\N	\N	\N
2492674	8225	1998-01-15	VYDAJ	VYBER	5100	16795	\N	\N	\N
2492677	8225	1998-01-08	VYDAJ	VYBER	7500	6892	\N	\N	\N
2492678	8225	1998-01-02	VYDAJ	VYBER	1800	14392	\N	\N	\N
2492679	8225	1998-01-01	VYDAJ	VYBER	8700	32692	\N	\N	\N
2492689	8225	1997-11-18	VYDAJ	VYBER	8700	31790	\N	\N	\N
2492690	8225	1997-06-04	VYDAJ	VYBER	7500	43725	\N	\N	\N
2492695	8225	1998-10-30	VYDAJ	VYBER	4500	14783	\N	\N	\N
2492696	8225	1998-07-08	VYDAJ	VYBER	2400	6777	\N	\N	\N
2492698	8225	1998-12-19	VYDAJ	VYBER	2100	43219	\N	\N	\N
2492699	8225	1998-05-28	VYDAJ	VYBER	14700	15754	\N	\N	\N
2492716	8225	1997-04-30	VYDAJ	VYBER	15	52957	SLUZBY	\N	\N
2492717	8225	1997-05-31	VYDAJ	VYBER	15	51225	SLUZBY	\N	\N
2492718	8225	1997-06-30	VYDAJ	VYBER	15	43087	SLUZBY	\N	\N
2492719	8225	1997-07-31	VYDAJ	VYBER	15	28420	SLUZBY	\N	\N
2492720	8225	1997-08-31	VYDAJ	VYBER	15	39718	SLUZBY	\N	\N
2492721	8225	1997-09-30	VYDAJ	VYBER	15	18162	SLUZBY	\N	\N
2492722	8225	1997-10-31	VYDAJ	VYBER	15	34687	SLUZBY	\N	\N
2492723	8225	1997-11-30	VYDAJ	VYBER	15	32142	SLUZBY	\N	\N
2492724	8225	1997-12-31	VYDAJ	VYBER	15	41392	SLUZBY	\N	\N
2492725	8225	1998-01-31	VYDAJ	VYBER	15	3489	SLUZBY	\N	\N
2492726	8225	1998-02-28	VYDAJ	VYBER	15	14336	SLUZBY	\N	\N
2492727	8225	1998-03-31	VYDAJ	VYBER	15	2929	SLUZBY	\N	\N
2492728	8225	1998-04-30	VYDAJ	VYBER	15	20072	SLUZBY	\N	\N
2492729	8225	1998-05-31	VYDAJ	VYBER	15	12619	SLUZBY	\N	\N
2492730	8225	1998-06-30	VYDAJ	VYBER	15	14577	SLUZBY	\N	\N
2492731	8225	1998-07-31	VYDAJ	VYBER	15	12331	SLUZBY	\N	\N
2492732	8225	1998-08-31	VYDAJ	VYBER	15	4420	SLUZBY	\N	\N
2492733	8225	1998-09-30	VYDAJ	VYBER	15	13597	SLUZBY	\N	\N
2492734	8225	1998-10-31	VYDAJ	VYBER	15	14976	SLUZBY	\N	\N
2492735	8225	1998-11-30	VYDAJ	VYBER	15	21182	SLUZBY	\N	\N
2492736	8225	1997-01-06	VYDAJ	VYBER	5300	23212	\N	\N	\N
2492737	8225	1997-02-05	VYDAJ	VYBER	11400	30353	\N	\N	\N
2492738	8225	1997-03-07	VYDAJ	VYBER	11600	37376	\N	\N	\N
2492739	8225	1997-04-06	VYDAJ	VYBER	19400	36684	\N	\N	\N
2492740	8225	1997-05-06	VYDAJ	VYBER	18100	34857	\N	\N	\N
2492741	8225	1997-06-05	VYDAJ	VYBER	13200	30525	\N	\N	\N
2492742	8225	1997-07-05	VYDAJ	VYBER	12800	30287	\N	\N	\N
2492743	8225	1997-08-04	VYDAJ	VYBER	4200	21220	\N	\N	\N
2492744	8225	1997-09-03	VYDAJ	VYBER	13400	26318	\N	\N	\N
2492745	8225	1997-10-03	PRIJEM	VKLAD	1700	19862	\N	\N	\N
2492746	8225	1997-11-02	VYDAJ	VYBER	8600	26087	\N	\N	\N
2492747	8225	1997-12-02	VYDAJ	VYBER	11500	20642	\N	\N	\N
2492748	8225	1998-01-01	VYDAJ	VYBER	16500	16192	\N	\N	\N
2492749	8225	1998-01-31	VYDAJ	VYBER	3700	-211	\N	\N	\N
2492750	8225	1998-03-02	VYDAJ	VYBER	6400	7936	\N	\N	\N
2492751	8225	1998-04-01	PRIJEM	VKLAD	1900	4829	\N	\N	\N
2492752	8225	1998-05-01	VYDAJ	VYBER	4700	15368	\N	\N	\N
2492753	8225	1998-05-31	VYDAJ	VYBER	3400	12633	\N	\N	\N
2492754	8225	1998-06-30	VYDAJ	VYBER	5400	9177	\N	\N	\N
2492755	8225	1998-07-30	VYDAJ	VYBER	9700	12163	\N	\N	\N
2492756	8225	1998-08-29	PRIJEM	VKLAD	1600	4303	\N	\N	\N
2492757	8225	1998-09-28	VYDAJ	VYBER	6000	13498	\N	\N	\N
2492758	8225	1998-10-28	VYDAJ	VYBER	9400	19283	\N	\N	\N
2492759	8225	1998-11-27	VYDAJ	VYBER	9100	20962	\N	\N	\N
2501876	8260	1993-03-24	PRIJEM	VKLAD	200	200	\N	\N	\N
2501880	8260	1993-04-08	PRIJEM	PREVOD Z UCTU	37435	37635	\N	MN	92527162
2501881	8260	1993-05-08	PRIJEM	PREVOD Z UCTU	37435	66903	\N	MN	92527162
2501882	8260	1993-06-08	PRIJEM	PREVOD Z UCTU	56152	99995	\N	MN	92527162
2501883	8260	1993-07-08	PRIJEM	PREVOD Z UCTU	37435	97632	\N	MN	92527162
2501884	8260	1993-08-08	PRIJEM	PREVOD Z UCTU	37435	98318	\N	MN	92527162
2501885	8260	1993-09-08	PRIJEM	PREVOD Z UCTU	37435	94253	\N	MN	92527162
2501886	8260	1993-10-08	PRIJEM	PREVOD Z UCTU	37435	76453	\N	MN	92527162
2501887	8260	1993-11-08	PRIJEM	PREVOD Z UCTU	37435	74630	\N	MN	92527162
2501888	8260	1993-12-08	PRIJEM	PREVOD Z UCTU	56152	105676	\N	MN	92527162
2501889	8260	1994-01-08	PRIJEM	PREVOD Z UCTU	37435	74743	\N	MN	92527162
2501890	8260	1994-02-08	PRIJEM	PREVOD Z UCTU	37435	85393	\N	MN	92527162
2501891	8260	1994-03-08	PRIJEM	PREVOD Z UCTU	37435	88220	\N	MN	92527162
2501892	8260	1994-04-08	PRIJEM	PREVOD Z UCTU	37435	83134	\N	MN	92527162
2501893	8260	1994-05-08	PRIJEM	PREVOD Z UCTU	37435	87583	\N	MN	92527162
2501894	8260	1994-06-08	PRIJEM	PREVOD Z UCTU	56152	109178	\N	MN	92527162
2501895	8260	1994-07-08	PRIJEM	PREVOD Z UCTU	37435	53009	\N	MN	92527162
2501896	8260	1994-08-08	PRIJEM	PREVOD Z UCTU	37435	75291	\N	MN	92527162
2501897	8260	1994-09-08	PRIJEM	PREVOD Z UCTU	37435	77902	\N	MN	92527162
2501898	8260	1994-10-08	PRIJEM	PREVOD Z UCTU	37435	75980	\N	MN	92527162
2501899	8260	1994-11-08	PRIJEM	PREVOD Z UCTU	37435	79293	\N	MN	92527162
2501900	8260	1994-12-08	PRIJEM	PREVOD Z UCTU	56152	79695	\N	MN	92527162
2501901	8260	1995-01-08	PRIJEM	PREVOD Z UCTU	37435	75076	\N	MN	92527162
2501902	8260	1995-02-08	PRIJEM	PREVOD Z UCTU	37435	60807	\N	MN	92527162
2501903	8260	1995-03-08	PRIJEM	PREVOD Z UCTU	37435	67940	\N	MN	92527162
2501904	8260	1995-04-08	PRIJEM	PREVOD Z UCTU	37435	76301	\N	MN	92527162
2501905	8260	1995-05-08	PRIJEM	PREVOD Z UCTU	37435	77921	\N	MN	92527162
2501906	8260	1995-06-08	PRIJEM	PREVOD Z UCTU	56152	87992	\N	MN	92527162
2501907	8260	1995-07-08	PRIJEM	PREVOD Z UCTU	37435	84733	\N	MN	92527162
2501908	8260	1995-08-08	PRIJEM	PREVOD Z UCTU	37435	66652	\N	MN	92527162
2501909	8260	1995-09-08	PRIJEM	PREVOD Z UCTU	37435	82929	\N	MN	92527162
2501910	8260	1995-10-08	PRIJEM	PREVOD Z UCTU	37435	89319	\N	MN	92527162
2501911	8260	1995-11-08	PRIJEM	PREVOD Z UCTU	37435	96338	\N	MN	92527162
2501912	8260	1995-12-08	PRIJEM	PREVOD Z UCTU	56152	114983	\N	MN	92527162
2501913	8260	1996-01-08	PRIJEM	PREVOD Z UCTU	37435	78365	\N	MN	92527162
2501914	8260	1996-02-08	PRIJEM	PREVOD Z UCTU	37435	76217	\N	MN	92527162
2501915	8260	1996-03-08	PRIJEM	PREVOD Z UCTU	37435	107661	\N	MN	92527162
2501916	8260	1996-04-08	PRIJEM	PREVOD Z UCTU	37435	78147	\N	MN	92527162
2501917	8260	1996-05-08	PRIJEM	PREVOD Z UCTU	37435	94102	\N	MN	92527162
2501918	8260	1996-06-08	PRIJEM	PREVOD Z UCTU	56152	112880	\N	MN	92527162
2501919	8260	1996-07-08	PRIJEM	PREVOD Z UCTU	37435	103136	\N	MN	92527162
2501920	8260	1996-08-08	PRIJEM	PREVOD Z UCTU	37435	106016	\N	MN	92527162
2501921	8260	1996-09-08	PRIJEM	PREVOD Z UCTU	37435	87301	\N	MN	92527162
2501922	8260	1996-10-08	PRIJEM	PREVOD Z UCTU	37435	94300	\N	MN	92527162
2501923	8260	1996-11-08	PRIJEM	PREVOD Z UCTU	37435	108034	\N	MN	92527162
2501924	8260	1996-12-08	PRIJEM	PREVOD Z UCTU	56152	132746	\N	MN	92527162
2501925	8260	1997-01-08	PRIJEM	PREVOD Z UCTU	37435	96647	\N	MN	92527162
2501926	8260	1997-02-08	PRIJEM	PREVOD Z UCTU	37435	103047	\N	MN	92527162
2501927	8260	1997-03-08	PRIJEM	PREVOD Z UCTU	37435	115409	\N	MN	92527162
2501928	8260	1997-04-08	PRIJEM	PREVOD Z UCTU	37435	102301	\N	MN	92527162
2501929	8260	1997-05-08	PRIJEM	PREVOD Z UCTU	37435	121485	\N	MN	92527162
2501930	8260	1997-06-08	PRIJEM	PREVOD Z UCTU	56152	125488	\N	MN	92527162
2501931	8260	1997-07-08	PRIJEM	PREVOD Z UCTU	37435	109999	\N	MN	92527162
2501932	8260	1997-08-08	PRIJEM	PREVOD Z UCTU	37435	107661	\N	MN	92527162
2501933	8260	1997-09-08	PRIJEM	PREVOD Z UCTU	37435	122713	\N	MN	92527162
2501934	8260	1997-10-08	PRIJEM	PREVOD Z UCTU	37435	95575	\N	MN	92527162
2501935	8260	1997-11-08	PRIJEM	PREVOD Z UCTU	37435	114073	\N	MN	92527162
2501936	8260	1997-12-08	PRIJEM	PREVOD Z UCTU	56152	140783	\N	MN	92527162
2501937	8260	1998-01-08	PRIJEM	PREVOD Z UCTU	37435	121384	\N	MN	92527162
2501938	8260	1998-02-08	PRIJEM	PREVOD Z UCTU	37435	76237	\N	MN	92527162
2501939	8260	1998-03-08	PRIJEM	PREVOD Z UCTU	37435	109025	\N	MN	92527162
2501940	8260	1998-04-08	PRIJEM	PREVOD Z UCTU	37435	98580	\N	MN	92527162
2501941	8260	1998-05-08	PRIJEM	PREVOD Z UCTU	37435	125521	\N	MN	92527162
2501942	8260	1998-06-08	PRIJEM	PREVOD Z UCTU	56152	125402	\N	MN	92527162
2501943	8260	1998-07-08	PRIJEM	PREVOD Z UCTU	37435	65380	\N	MN	92527162
2501944	8260	1998-08-08	PRIJEM	PREVOD Z UCTU	37435	116858	\N	MN	92527162
2501945	8260	1998-09-08	PRIJEM	PREVOD Z UCTU	37435	120311	\N	MN	92527162
2501946	8260	1998-10-08	PRIJEM	PREVOD Z UCTU	37435	133732	\N	MN	92527162
2501947	8260	1998-11-08	PRIJEM	PREVOD Z UCTU	37435	128815	\N	MN	92527162
2501948	8260	1998-12-08	PRIJEM	PREVOD Z UCTU	56152	148084	\N	MN	92527162
2501956	8260	1993-08-20	VYDAJ	VYBER	5000	82940	\N	\N	0
2501957	8260	1993-09-20	VYDAJ	VYBER	6500	56853	\N	\N	0
2501958	8260	1993-10-21	VYDAJ	VYBER	7400	46653	\N	\N	0
2501959	8260	1993-11-06	VYDAJ	VYBER	5300	37195	\N	\N	0
2501960	8260	1993-12-20	VYDAJ	VYBER	6800	56376	\N	\N	0
2501961	8260	1994-01-17	VYDAJ	VYBER	7500	67243	\N	\N	0
2501962	8260	1994-02-19	VYDAJ	VYBER	7400	50593	\N	\N	0
2501963	8260	1994-03-13	VYDAJ	VYBER	6800	81420	\N	\N	0
2501964	8260	1994-04-11	VYDAJ	VYBER	6100	77034	\N	\N	0
2501965	8260	1994-05-14	VYDAJ	VYBER	5000	82583	\N	\N	0
2501966	8260	1994-06-13	VYDAJ	VYBER	6200	61778	\N	\N	0
2501967	8260	1994-07-02	VYDAJ	VYBER	7600	15574	\N	\N	0
2501968	8260	1994-08-08	VYDAJ	VYBER	6500	68791	\N	\N	0
2501969	8260	1994-09-12	VYDAJ	PREVOD NA UCET	6239	71663	UVER	QR	25747537
2501970	8260	1994-10-12	VYDAJ	PREVOD NA UCET	6239	69741	UVER	QR	25747537
2501971	8260	1994-11-12	VYDAJ	PREVOD NA UCET	6239	49952	UVER	QR	25747537
2501972	8260	1994-12-12	VYDAJ	PREVOD NA UCET	6239	53370	UVER	QR	25747537
2501973	8260	1995-01-12	VYDAJ	PREVOD NA UCET	6239	68837	UVER	QR	25747537
2501974	8260	1995-02-12	VYDAJ	PREVOD NA UCET	6239	54568	UVER	QR	25747537
2501975	8260	1995-03-12	VYDAJ	PREVOD NA UCET	6239	50001	UVER	QR	25747537
2501976	8260	1995-04-12	VYDAJ	PREVOD NA UCET	6239	70062	UVER	QR	25747537
2501977	8260	1995-05-12	VYDAJ	PREVOD NA UCET	6239	71682	UVER	QR	25747537
2501978	8260	1995-06-12	VYDAJ	PREVOD NA UCET	6239	81753	UVER	QR	25747537
2501979	8260	1995-07-12	VYDAJ	PREVOD NA UCET	6239	71219	UVER	QR	25747537
2501980	8260	1995-08-12	VYDAJ	PREVOD NA UCET	6239	45313	UVER	QR	25747537
2501981	8260	1995-09-12	VYDAJ	PREVOD NA UCET	6239	51690	UVER	QR	25747537
2501982	8260	1995-10-12	VYDAJ	PREVOD NA UCET	6239	58680	UVER	QR	25747537
2501983	8260	1995-11-12	VYDAJ	PREVOD NA UCET	6239	58599	UVER	QR	25747537
2501984	8260	1995-12-12	VYDAJ	PREVOD NA UCET	6239	46144	UVER	QR	25747537
2501985	8260	1996-01-12	VYDAJ	PREVOD NA UCET	6239	38926	UVER	QR	25747537
2501986	8260	1996-02-12	VYDAJ	PREVOD NA UCET	6239	69977	UVER	QR	25747537
2501987	8260	1996-03-12	VYDAJ	PREVOD NA UCET	6239	42122	UVER	QR	25747537
2501988	8260	1996-04-12	VYDAJ	PREVOD NA UCET	6239	71908	UVER	QR	25747537
2501989	8260	1996-05-12	VYDAJ	PREVOD NA UCET	6239	87862	UVER	QR	25747537
2501990	8260	1996-06-12	VYDAJ	PREVOD NA UCET	6239	89440	UVER	QR	25747537
2501991	8260	1996-07-12	VYDAJ	PREVOD NA UCET	6239	96897	UVER	QR	25747537
2501992	8260	1996-08-12	VYDAJ	PREVOD NA UCET	6239	58077	UVER	QR	25747537
2501993	8260	1996-09-12	VYDAJ	PREVOD NA UCET	6239	81062	UVER	QR	25747537
2501994	8260	1996-10-12	VYDAJ	PREVOD NA UCET	6239	88061	UVER	QR	25747537
2501995	8260	1996-11-12	VYDAJ	PREVOD NA UCET	6239	101795	UVER	QR	25747537
2501996	8260	1996-12-12	VYDAJ	PREVOD NA UCET	6239	82106	UVER	QR	25747537
2501997	8260	1997-01-12	VYDAJ	PREVOD NA UCET	6239	90408	UVER	QR	25747537
2501998	8260	1997-02-12	VYDAJ	PREVOD NA UCET	6239	96807	UVER	QR	25747537
2501999	8260	1997-03-12	VYDAJ	PREVOD NA UCET	6239	86269	UVER	QR	25747537
2502000	8260	1997-04-12	VYDAJ	PREVOD NA UCET	6239	93504	UVER	QR	25747537
2502001	8260	1997-05-12	VYDAJ	PREVOD NA UCET	6239	66646	UVER	QR	25747537
2502002	8260	1997-06-12	VYDAJ	PREVOD NA UCET	6239	74649	UVER	QR	25747537
2502003	8260	1997-07-12	VYDAJ	PREVOD NA UCET	6239	64759	UVER	QR	25747537
2502004	8260	1997-08-12	VYDAJ	PREVOD NA UCET	6239	101422	UVER	QR	25747537
2502005	8260	1997-09-16	VYDAJ	VYBER	7600	56813	\N	\N	0
2502006	8260	1997-10-04	VYDAJ	VYBER	4700	58140	\N	\N	0
2502007	8260	1997-11-05	VYDAJ	VYBER	7200	76638	\N	\N	0
2502008	8260	1997-12-10	VYDAJ	VYBER	6800	96983	\N	\N	0
2502009	8260	1998-01-13	VYDAJ	VYBER	6100	83284	\N	\N	0
2502010	8260	1998-02-02	VYDAJ	VYBER	6600	38802	\N	\N	0
2502011	8260	1998-03-02	VYDAJ	VYBER	6400	71590	\N	\N	0
2502012	8260	1998-04-10	VYDAJ	VYBER	6300	92280	\N	\N	0
2502013	8260	1998-05-10	VYDAJ	VYBER	5700	49221	\N	\N	0
2502014	8260	1998-06-13	VYDAJ	VYBER	7100	57902	\N	\N	0
2502015	8260	1998-07-16	VYDAJ	VYBER	6200	59180	\N	\N	0
2502016	8260	1998-08-20	VYDAJ	VYBER	6000	51311	\N	\N	0
2502017	8260	1998-09-17	VYDAJ	VYBER	6400	82511	\N	\N	0
2502018	8260	1998-10-12	VYDAJ	VYBER	7100	66832	\N	\N	0
2502019	8260	1998-11-19	VYDAJ	VYBER	5700	61715	\N	\N	0
2502020	8260	1998-12-09	VYDAJ	VYBER	7100	76084	\N	\N	0
2502021	8260	1993-08-13	VYBER	VYBER	5878	87940	\N	\N	\N
2502022	8260	1993-11-02	VYBER	VYBER	4381	42495	\N	\N	\N
2502025	8260	1993-09-22	VYBER	VYBER	15938	40915	\N	\N	\N
2502026	8260	1993-12-06	VYBER	VYBER	2134	49524	\N	\N	\N
2502029	8260	1994-12-12	VYBER	VYBER	20085	59610	\N	\N	\N
2502030	8260	1994-01-01	VYBER	VYBER	7356	49308	\N	\N	\N
2502031	8260	1994-06-03	VYBER	VYBER	2478	53026	\N	\N	\N
2502032	8260	1994-03-14	VYBER	VYBER	14224	67196	\N	\N	\N
2502033	8260	1994-08-15	VYBER	VYBER	11204	57587	\N	\N	\N
2502034	8260	1994-10-22	VYBER	VYBER	5978	41663	\N	\N	\N
2502035	8260	1994-06-24	VYBER	VYBER	6996	22982	\N	\N	\N
2502036	8260	1994-11-11	VYBER	VYBER	23102	56191	\N	\N	\N
2502037	8260	1994-11-29	VYBER	VYBER	12064	27288	\N	\N	\N
2502038	8260	1995-07-12	VYBER	VYBER	7275	77458	\N	\N	\N
2502039	8260	1995-06-27	VYBER	VYBER	9733	47120	\N	\N	\N
2502040	8260	1995-07-14	VYBER	VYBER	7606	43413	\N	\N	\N
2502041	8260	1995-03-05	VYBER	VYBER	11693	30505	\N	\N	\N
2502042	8260	1995-05-29	VYBER	VYBER	16043	31639	\N	\N	\N
2502043	8260	1995-05-04	VYBER	VYBER	4842	40486	\N	\N	\N
2502044	8260	1995-08-03	VYBER	VYBER	14370	29217	\N	\N	\N
2502045	8260	1995-01-22	VYBER	VYBER	23627	23210	\N	\N	\N
2502046	8260	1996-06-05	VYBER	VYBER	21074	67128	\N	\N	\N
2502047	8260	1997-04-09	VYBER	VYBER	2558	99743	\N	\N	\N
2502048	8260	1997-03-27	VYBER	VYBER	24344	61925	\N	\N	\N
2502049	8260	1997-10-11	VYBER	VYBER	8661	86914	\N	\N	\N
2502050	8260	1998-07-23	VYBER	VYBER	2037	57143	\N	\N	\N
2502051	8260	1998-03-21	VYBER	VYBER	13760	29334	\N	\N	\N
2502052	8260	1998-06-04	VYBER	VYBER	4112	69250	\N	\N	\N
2502054	8260	1998-01-28	VYBER	VYBER	6896	71288	\N	\N	\N
2502055	8260	1998-02-02	VYBER	VYBER	2169	45402	\N	\N	\N
2502056	8260	1998-03-12	VYBER	VYBER	22907	43094	\N	\N	\N
2502057	8260	1998-08-12	VYBER	VYBER	8547	57311	\N	\N	\N
2502058	8260	1998-02-01	VYBER	VYBER	13833	57777	\N	\N	\N
2502059	8260	1998-03-11	VYBER	VYBER	18624	66001	\N	\N	\N
2502060	8260	1998-02-01	VYBER	VYBER	10206	47571	\N	\N	\N
2502062	8260	1994-06-12	VYDAJ	VYBER	23700	67978	\N	\N	\N
2502066	8260	1998-06-29	VYDAJ	VYBER	52200	27702	\N	\N	\N
2502068	8260	1994-01-03	VYDAJ	VYBER	12000	37308	\N	\N	\N
2502069	8260	1995-01-06	VYDAJ	VYBER	4800	37641	\N	\N	\N
2502070	8260	1996-01-10	VYDAJ	VYBER	13200	45165	\N	\N	\N
2502071	8260	1997-01-17	VYDAJ	VYBER	17400	73008	\N	\N	\N
2502072	8260	1998-01-24	VYDAJ	VYBER	11400	71884	\N	\N	\N
2502073	8260	1993-12-17	VYDAJ	VYBER	7200	98476	\N	\N	\N
2502074	8260	1994-12-07	VYDAJ	VYBER	3900	23543	\N	\N	\N
2502075	8260	1995-12-20	VYDAJ	VYBER	5400	40744	\N	\N	\N
2502076	8260	1996-12-13	VYDAJ	VYBER	4200	77906	\N	\N	\N
2502077	8260	1997-12-29	VYDAJ	VYBER	4500	83583	\N	\N	\N
2502078	8260	1998-12-23	VYDAJ	VYBER	8100	67984	\N	\N	\N
2502081	8260	1993-10-05	VYDAJ	VYBER	2100	39018	\N	\N	\N
2502085	8260	1993-08-09	VYDAJ	VYBER	4500	93818	\N	\N	\N
2502086	8260	1994-09-24	VYDAJ	VYBER	7500	42863	\N	\N	\N
2502087	8260	1994-10-06	VYDAJ	VYBER	4500	38545	\N	\N	\N
2502088	8260	1994-06-14	VYDAJ	VYBER	12300	49478	\N	\N	\N
2502089	8260	1994-06-19	VYDAJ	VYBER	5400	29978	\N	\N	\N
2502090	8260	1995-04-12	VYDAJ	VYBER	5700	64362	\N	\N	\N
2502091	8260	1995-05-22	VYDAJ	VYBER	5700	47682	\N	\N	\N
2502092	8260	1995-03-10	VYDAJ	VYBER	11700	56240	\N	\N	\N
2502093	8260	1996-10-05	VYDAJ	VYBER	7800	56865	\N	\N	\N
2502094	8260	1996-12-16	VYDAJ	VYBER	14700	63206	\N	\N	\N
2502095	8260	1997-12-17	VYDAJ	VYBER KARTOU	2400	94583	\N	\N	0
2502096	8260	1997-09-07	VYDAJ	VYBER	5700	85278	\N	\N	\N
2502097	8260	1998-11-09	VYDAJ	VYBER	6900	67415	\N	\N	\N
2502098	8260	1998-05-08	VYDAJ	VYBER	12300	54921	\N	\N	\N
2502099	8260	1998-02-28	VYDAJ	VYBER KARTOU	2700	77990	\N	\N	0
2502100	8260	1998-02-17	VYDAJ	VYBER	12900	63337	\N	\N	\N
2502101	8260	1998-04-17	VYDAJ	VYBER	12900	79380	\N	\N	\N
2502110	8260	1993-08-31	VYDAJ	VYBER	15	56818	SLUZBY	\N	\N
2502111	8260	1993-09-30	VYDAJ	VYBER	15	41118	SLUZBY	\N	\N
2502112	8260	1993-10-31	VYDAJ	VYBER	15	46876	SLUZBY	\N	\N
2502113	8260	1993-11-30	VYDAJ	VYBER	15	51658	SLUZBY	\N	\N
2502114	8260	1993-12-31	VYDAJ	VYBER	15	56664	SLUZBY	\N	\N
2502115	8260	1994-01-31	VYDAJ	VYBER	15	47958	SLUZBY	\N	\N
2502116	8260	1994-02-28	VYDAJ	VYBER	15	50785	SLUZBY	\N	\N
2502117	8260	1994-03-31	VYDAJ	VYBER	15	45699	SLUZBY	\N	\N
2502118	8260	1994-04-30	VYDAJ	VYBER	15	50148	SLUZBY	\N	\N
2502119	8260	1994-05-31	VYDAJ	VYBER	15	55504	SLUZBY	\N	\N
2502120	8260	1994-06-30	VYDAJ	VYBER	15	23174	SLUZBY	\N	\N
2502121	8260	1994-07-31	VYDAJ	VYBER	15	37856	SLUZBY	\N	\N
2502122	8260	1994-08-31	VYDAJ	VYBER	15	40467	SLUZBY	\N	\N
2502123	8260	1994-09-30	VYDAJ	VYBER	15	43045	SLUZBY	\N	\N
2502124	8260	1994-10-31	VYDAJ	VYBER	15	41858	SLUZBY	\N	\N
2502125	8260	1994-11-30	VYDAJ	VYBER	15	27443	SLUZBY	\N	\N
2502126	8260	1994-12-31	VYDAJ	VYBER	15	42441	SLUZBY	\N	\N
2502127	8260	1995-01-31	VYDAJ	VYBER	15	23372	SLUZBY	\N	\N
2502128	8260	1995-02-28	VYDAJ	VYBER	15	42198	SLUZBY	\N	\N
2502129	8260	1995-03-31	VYDAJ	VYBER	15	38866	SLUZBY	\N	\N
2502130	8260	1995-04-30	VYDAJ	VYBER	15	45328	SLUZBY	\N	\N
2502131	8260	1995-05-31	VYDAJ	VYBER	15	31840	SLUZBY	\N	\N
2502132	8260	1995-06-30	VYDAJ	VYBER	15	47298	SLUZBY	\N	\N
2502133	8260	1995-07-31	VYDAJ	VYBER	15	43587	SLUZBY	\N	\N
2502134	8260	1995-08-31	VYDAJ	VYBER	15	45494	SLUZBY	\N	\N
2502135	8260	1995-09-30	VYDAJ	VYBER	15	51884	SLUZBY	\N	\N
2502136	8260	1995-10-31	VYDAJ	VYBER	15	58903	SLUZBY	\N	\N
2502137	8260	1995-11-30	VYDAJ	VYBER	15	58831	SLUZBY	\N	\N
2502138	8260	1995-12-31	VYDAJ	VYBER	15	40930	SLUZBY	\N	\N
2502139	8260	1996-01-31	VYDAJ	VYBER	15	39082	SLUZBY	\N	\N
2502140	8260	1996-02-29	VYDAJ	VYBER	15	70226	SLUZBY	\N	\N
2502141	8260	1996-03-31	VYDAJ	VYBER	15	42312	SLUZBY	\N	\N
2502142	8260	1996-04-30	VYDAJ	VYBER	15	72167	SLUZBY	\N	\N
2502143	8260	1996-05-31	VYDAJ	VYBER	15	88202	SLUZBY	\N	\N
2502144	8260	1996-06-30	VYDAJ	VYBER	15	89801	SLUZBY	\N	\N
2502145	8260	1996-07-31	VYDAJ	VYBER	15	97281	SLUZBY	\N	\N
2502146	8260	1996-08-31	VYDAJ	VYBER	15	58366	SLUZBY	\N	\N
2502147	8260	1996-09-30	VYDAJ	VYBER	15	81365	SLUZBY	\N	\N
2502148	8260	1996-10-31	VYDAJ	VYBER	15	88399	SLUZBY	\N	\N
2502149	8260	1996-11-30	VYDAJ	VYBER	15	102194	SLUZBY	\N	\N
2502150	8260	1996-12-31	VYDAJ	VYBER	15	63512	SLUZBY	\N	\N
2502151	8260	1997-01-31	VYDAJ	VYBER	15	73312	SLUZBY	\N	\N
2502152	8260	1997-02-28	VYDAJ	VYBER	15	97174	SLUZBY	\N	\N
2502153	8260	1997-03-31	VYDAJ	VYBER	15	62266	SLUZBY	\N	\N
2502154	8260	1997-04-30	VYDAJ	VYBER	15	93850	SLUZBY	\N	\N
2502155	8260	1997-05-31	VYDAJ	VYBER	15	66936	SLUZBY	\N	\N
2502156	8260	1997-06-30	VYDAJ	VYBER	15	74964	SLUZBY	\N	\N
2502157	8260	1997-07-31	VYDAJ	VYBER	15	70226	SLUZBY	\N	\N
2502158	8260	1997-08-31	VYDAJ	VYBER	15	90978	SLUZBY	\N	\N
2502159	8260	1997-09-30	VYDAJ	VYBER	15	62840	SLUZBY	\N	\N
2502160	8260	1997-10-31	VYDAJ	VYBER	15	83838	SLUZBY	\N	\N
2502161	8260	1997-11-30	VYDAJ	VYBER	15	84631	SLUZBY	\N	\N
2502162	8260	1997-12-31	VYDAJ	VYBER	15	83949	SLUZBY	\N	\N
2502163	8260	1998-01-31	VYDAJ	VYBER	15	71610	SLUZBY	\N	\N
2502164	8260	1998-02-28	VYDAJ	VYBER	15	80690	SLUZBY	\N	\N
2502165	8260	1998-03-31	VYDAJ	VYBER	15	61145	SLUZBY	\N	\N
2502166	8260	1998-04-30	VYDAJ	VYBER	15	88086	SLUZBY	\N	\N
2502167	8260	1998-05-31	VYDAJ	VYBER	15	73362	SLUZBY	\N	\N
2502168	8260	1998-06-30	VYDAJ	VYBER	15	27945	SLUZBY	\N	\N
2502169	8260	1998-07-31	VYDAJ	VYBER	15	79423	SLUZBY	\N	\N
2502170	8260	1998-08-31	VYDAJ	VYBER	15	82876	SLUZBY	\N	\N
2502171	8260	1998-09-30	VYDAJ	VYBER	15	96297	SLUZBY	\N	\N
2502172	8260	1998-10-31	VYDAJ	VYBER	15	91380	SLUZBY	\N	\N
2502173	8260	1998-11-30	VYDAJ	VYBER	15	91932	SLUZBY	\N	\N
2502174	8260	1993-04-23	VYDAJ	VYBER	8200	29435	\N	\N	\N
2502175	8260	1993-05-23	VYDAJ	VYBER	23200	43703	\N	\N	\N
2502176	8260	1993-06-22	VYDAJ	VYBER	40000	59995	\N	\N	\N
2502177	8260	1993-07-22	VYDAJ	VYBER	37000	60632	\N	\N	\N
2502178	8260	1993-08-21	VYDAJ	VYBER	26400	56540	\N	\N	\N
2502179	8260	1993-09-20	VYDAJ	VYBER	30900	63353	\N	\N	\N
2502180	8260	1993-10-20	VYDAJ	VYBER	22400	54053	\N	\N	\N
2502181	8260	1993-11-19	VYDAJ	VYBER	23200	51430	\N	\N	\N
2502182	8260	1993-12-19	VYDAJ	VYBER	35300	63176	\N	\N	\N
2502183	8260	1994-01-18	VYDAJ	VYBER	19500	47743	\N	\N	\N
2502184	8260	1994-02-17	VYDAJ	VYBER	27400	57993	\N	\N	\N
2502185	8260	1994-03-19	VYDAJ	VYBER	21700	45496	\N	\N	\N
2502186	8260	1994-04-18	VYDAJ	VYBER	27100	49934	\N	\N	\N
2502187	8260	1994-05-18	VYDAJ	VYBER	27300	55283	\N	\N	\N
2502188	8260	1994-06-08	VYDAJ	VYBER	17500	91678	\N	\N	\N
2502189	8260	1994-06-17	VYDAJ	VYBER	14100	35378	\N	\N	\N
2502190	8260	1994-07-17	VYDAJ	VYBER	15300	37709	\N	\N	\N
2502191	8260	1994-08-16	VYDAJ	VYBER	17300	40287	\N	\N	\N
2502192	8260	1994-09-15	VYDAJ	VYBER	21300	50363	\N	\N	\N
2502193	8260	1994-10-15	VYDAJ	VYBER	22100	47641	\N	\N	\N
2502194	8260	1994-11-14	VYDAJ	VYBER	10600	39352	\N	\N	\N
2502195	8260	1994-12-14	VYDAJ	VYBER	11100	42270	\N	\N	\N
2502196	8260	1995-01-13	VYDAJ	VYBER	22000	46837	\N	\N	\N
2502197	8260	1995-02-12	VYDAJ	VYBER	12500	42068	\N	\N	\N
2502198	8260	1995-03-14	VYDAJ	VYBER	11300	38701	\N	\N	\N
2502199	8260	1995-04-13	VYDAJ	VYBER	19200	45162	\N	\N	\N
2502200	8260	1995-05-13	VYDAJ	VYBER	18300	53382	\N	\N	\N
2502201	8260	1995-06-12	VYDAJ	VYBER	24900	56853	\N	\N	\N
2502202	8260	1995-07-12	VYDAJ	VYBER	20200	51019	\N	\N	\N
2502203	8260	1995-08-11	VYDAJ	VYBER	15100	51552	\N	\N	\N
2502204	8260	1995-09-10	VYDAJ	VYBER	25000	57929	\N	\N	\N
2502205	8260	1995-10-10	VYDAJ	VYBER	24400	64919	\N	\N	\N
2502206	8260	1995-11-09	VYDAJ	VYBER	31500	64838	\N	\N	\N
2502207	8260	1995-12-08	VYDAJ	VYBER	42100	72883	\N	\N	\N
2502208	8260	1995-12-09	VYDAJ	VYBER	20500	52383	\N	\N	\N
2502209	8260	1996-01-08	VYDAJ	VYBER	20000	58365	\N	\N	\N
2502210	8260	1996-02-07	VYDAJ	VYBER KARTOU	300	38782	\N	\N	0
2502211	8260	1996-03-08	VYDAJ	VYBER	45100	48361	\N	\N	\N
2502212	8260	1996-03-08	VYDAJ	VYBER	14200	93461	\N	\N	\N
2502213	8260	1996-04-07	VYDAJ	VYBER KARTOU	1600	40712	\N	\N	0
2502214	8260	1996-05-07	VYDAJ	VYBER	15500	56667	\N	\N	\N
2502215	8260	1996-06-06	VYDAJ	VYBER	10400	56728	\N	\N	\N
2502216	8260	1996-06-08	VYDAJ	VYBER	17200	95680	\N	\N	\N
2502217	8260	1996-07-06	VYDAJ	VYBER	24100	65701	\N	\N	\N
2502218	8260	1996-08-05	VYDAJ	VYBER	28700	68581	\N	\N	\N
2502219	8260	1996-08-08	VYDAJ	VYBER	41700	64316	\N	\N	\N
2502220	8260	1996-09-04	VYDAJ	VYBER	8500	49866	\N	\N	\N
2502221	8260	1996-10-04	VYDAJ	VYBER	16700	64665	\N	\N	\N
2502222	8260	1996-11-03	VYDAJ	VYBER	17800	70599	\N	\N	\N
2502223	8260	1996-12-03	VYDAJ	VYBER	25600	76594	\N	\N	\N
2502224	8260	1996-12-08	VYDAJ	VYBER	44400	88346	\N	\N	\N
2502225	8260	1997-01-02	VYDAJ	VYBER	4300	59212	\N	\N	\N
2502226	8260	1997-02-01	VYDAJ	VYBER	7700	65612	\N	\N	\N
2502227	8260	1997-03-03	VYDAJ	VYBER	19200	77974	\N	\N	\N
2502228	8260	1997-03-08	VYDAJ	VYBER	22900	92509	\N	\N	\N
2502229	8260	1997-04-02	PRIJEM	VKLAD	2600	64866	\N	\N	\N
2502230	8260	1997-05-02	VYDAJ	VYBER	9800	84050	\N	\N	\N
2502231	8260	1997-05-08	VYDAJ	VYBER	48600	72885	\N	\N	\N
2502232	8260	1997-06-01	PRIJEM	VKLAD	2400	69336	\N	\N	\N
2502233	8260	1997-06-08	VYDAJ	VYBER	44600	80888	\N	\N	\N
2502234	8260	1997-07-01	VYDAJ	VYBER KARTOU	2400	72564	\N	\N	0
2502235	8260	1997-07-08	VYDAJ	VYBER	39000	70999	\N	\N	\N
2502236	8260	1997-07-31	PRIJEM	VKLAD	5200	69959	\N	\N	\N
2502237	8260	1997-08-30	VYDAJ	VYBER	10800	90622	\N	\N	\N
2502238	8260	1997-09-08	VYDAJ	VYBER	58300	64413	\N	\N	\N
2502239	8260	1997-09-29	PRIJEM	VKLAD	5700	62513	\N	\N	\N
2502240	8260	1997-10-29	VYDAJ	VYBER KARTOU	3400	83514	\N	\N	0
2502241	8260	1997-11-08	VYDAJ	VYBER	20800	93273	\N	\N	\N
2502242	8260	1997-11-28	VYDAJ	VYBER	9000	84273	\N	\N	\N
2502243	8260	1997-12-08	VYDAJ	VYBER	37000	103783	\N	\N	\N
2502244	8260	1997-12-28	VYDAJ	VYBER	6500	88083	\N	\N	\N
2502245	8260	1998-01-08	VYDAJ	VYBER	32000	89384	\N	\N	\N
2502246	8260	1998-01-27	PRIJEM	VKLAD	6300	78184	\N	\N	\N
2502247	8260	1998-02-26	PRIJEM	VKLAD	17100	80437	\N	\N	\N
2502248	8260	1998-03-08	VYDAJ	VYBER	24400	84625	\N	\N	\N
2502249	8260	1998-03-28	PRIJEM	VKLAD	31600	60934	\N	\N	\N
2502250	8260	1998-04-27	PRIJEM	VKLAD	8400	87780	\N	\N	\N
2502251	8260	1998-05-08	VYDAJ	VYBER	58300	67221	\N	\N	\N
2502252	8260	1998-05-27	PRIJEM	VKLAD	23900	73121	\N	\N	\N
2502253	8260	1998-06-08	VYDAJ	VYBER	60400	65002	\N	\N	\N
2502254	8260	1998-06-26	PRIJEM	VKLAD	22000	79902	\N	\N	\N
2502255	8260	1998-07-26	PRIJEM	VKLAD	22100	79243	\N	\N	\N
2502256	8260	1998-08-08	VYDAJ	VYBER	51000	65858	\N	\N	\N
2502257	8260	1998-08-25	PRIJEM	VKLAD	31300	82611	\N	\N	\N
2502258	8260	1998-09-08	VYDAJ	VYBER	31400	88911	\N	\N	\N
2502259	8260	1998-09-24	PRIJEM	VKLAD	13400	95911	\N	\N	\N
2502260	8260	1998-10-08	VYDAJ	VYBER	59800	73932	\N	\N	\N
2502261	8260	1998-10-24	PRIJEM	VKLAD	24200	91032	\N	\N	\N
2502262	8260	1998-11-08	VYDAJ	VYBER	54500	74315	\N	\N	\N
2502263	8260	1998-11-23	PRIJEM	VKLAD	29900	91615	\N	\N	\N
2502264	8260	1998-12-08	VYDAJ	VYBER	64900	83184	\N	\N	\N
2502334	8261	1993-05-12	PRIJEM	VKLAD	500	500	\N	\N	\N
2502339	8261	1993-05-14	PRIJEM	PREVOD Z UCTU	21959	22459	\N	IJ	978094
2502340	8261	1993-06-14	PRIJEM	PREVOD Z UCTU	32938	57603	\N	IJ	978094
2502341	8261	1993-07-14	PRIJEM	PREVOD Z UCTU	21959	64666	\N	IJ	978094
2502342	8261	1993-08-14	PRIJEM	PREVOD Z UCTU	21959	65429	\N	IJ	978094
2502343	8261	1993-09-14	PRIJEM	PREVOD Z UCTU	21959	65807	\N	IJ	978094
2502344	8261	1993-10-14	PRIJEM	PREVOD Z UCTU	21959	60671	\N	IJ	978094
2502345	8261	1993-11-14	PRIJEM	PREVOD Z UCTU	21959	46335	\N	IJ	978094
2502346	8261	1993-12-14	PRIJEM	PREVOD Z UCTU	32938	49920	\N	IJ	978094
2502347	8261	1994-01-14	PRIJEM	PREVOD Z UCTU	21959	38930	\N	IJ	978094
2502348	8261	1994-02-14	PRIJEM	PREVOD Z UCTU	21959	45463	\N	IJ	978094
2502349	8261	1994-03-14	PRIJEM	PREVOD Z UCTU	21959	47420	\N	IJ	978094
2502350	8261	1994-04-14	PRIJEM	PREVOD Z UCTU	21959	48674	\N	IJ	978094
2502351	8261	1994-05-14	PRIJEM	PREVOD Z UCTU	21959	42075	\N	IJ	978094
2502352	8261	1994-06-14	PRIJEM	PREVOD Z UCTU	32938	58362	\N	IJ	978094
2502353	8261	1994-07-14	PRIJEM	PREVOD Z UCTU	21959	54500	\N	IJ	978094
2502354	8261	1994-08-14	PRIJEM	PREVOD Z UCTU	21959	50957	\N	IJ	978094
2502355	8261	1994-09-14	PRIJEM	PREVOD Z UCTU	21959	38482	\N	IJ	978094
2502356	8261	1994-10-14	PRIJEM	PREVOD Z UCTU	21959	40708	\N	IJ	978094
2502357	8261	1994-11-14	PRIJEM	PREVOD Z UCTU	21959	49113	\N	IJ	978094
2502358	8261	1994-12-14	PRIJEM	PREVOD Z UCTU	32938	58551	\N	IJ	978094
2502359	8261	1995-01-14	PRIJEM	PREVOD Z UCTU	21959	54373	\N	IJ	978094
2502360	8261	1995-02-14	PRIJEM	PREVOD Z UCTU	21959	46873	\N	IJ	978094
2502361	8261	1995-03-14	PRIJEM	PREVOD Z UCTU	21959	47934	\N	IJ	978094
2502362	8261	1995-04-14	PRIJEM	PREVOD Z UCTU	21959	50009	\N	IJ	978094
2502363	8261	1995-05-14	PRIJEM	PREVOD Z UCTU	21959	53272	\N	IJ	978094
2502364	8261	1995-06-14	PRIJEM	PREVOD Z UCTU	32938	56921	\N	IJ	978094
2502365	8261	1995-07-14	PRIJEM	PREVOD Z UCTU	21959	40778	\N	IJ	978094
2502366	8261	1995-08-14	PRIJEM	PREVOD Z UCTU	21959	45739	\N	IJ	978094
2502367	8261	1995-09-14	PRIJEM	PREVOD Z UCTU	21959	38538	\N	IJ	978094
2502368	8261	1995-10-14	PRIJEM	PREVOD Z UCTU	21959	47169	\N	IJ	978094
2502369	8261	1995-11-14	PRIJEM	PREVOD Z UCTU	21959	49021	\N	IJ	978094
2502370	8261	1995-12-14	PRIJEM	PREVOD Z UCTU	32938	60209	\N	IJ	978094
2502371	8261	1996-01-14	PRIJEM	PREVOD Z UCTU	21959	55852	\N	IJ	978094
2502372	8261	1996-02-14	PRIJEM	PREVOD Z UCTU	21959	40002	\N	IJ	978094
2502373	8261	1996-03-14	PRIJEM	PREVOD Z UCTU	21959	36997	\N	IJ	978094
2502374	8261	1996-04-14	PRIJEM	PREVOD Z UCTU	21959	41907	\N	IJ	978094
2502375	8261	1996-05-14	PRIJEM	PREVOD Z UCTU	21959	40500	\N	IJ	978094
2502376	8261	1996-06-14	PRIJEM	PREVOD Z UCTU	32938	51356	\N	IJ	978094
2502377	8261	1996-07-14	PRIJEM	PREVOD Z UCTU	21959	33289	\N	IJ	978094
2502378	8261	1996-08-14	PRIJEM	PREVOD Z UCTU	21959	35426	\N	IJ	978094
2502379	8261	1996-09-14	PRIJEM	PREVOD Z UCTU	21959	32780	\N	IJ	978094
2502380	8261	1996-10-14	PRIJEM	PREVOD Z UCTU	21959	32316	\N	IJ	978094
2502381	8261	1996-11-14	PRIJEM	PREVOD Z UCTU	21959	32956	\N	IJ	978094
2502382	8261	1996-12-14	PRIJEM	PREVOD Z UCTU	32938	46786	\N	IJ	978094
2502383	8261	1997-01-14	PRIJEM	PREVOD Z UCTU	21959	42293	\N	IJ	978094
2502384	8261	1997-02-14	PRIJEM	PREVOD Z UCTU	21959	36169	\N	IJ	978094
2502385	8261	1997-03-14	PRIJEM	PREVOD Z UCTU	21959	31526	\N	IJ	978094
2502386	8261	1997-04-14	PRIJEM	PREVOD Z UCTU	21959	48486	\N	IJ	978094
2502387	8261	1997-05-14	PRIJEM	PREVOD Z UCTU	21959	36501	\N	IJ	978094
2502388	8261	1997-06-14	PRIJEM	PREVOD Z UCTU	32938	64460	\N	IJ	978094
2502389	8261	1997-07-14	PRIJEM	PREVOD Z UCTU	21959	44308	\N	IJ	978094
2502390	8261	1997-08-14	PRIJEM	PREVOD Z UCTU	21959	41917	\N	IJ	978094
2502391	8261	1997-09-14	PRIJEM	PREVOD Z UCTU	21959	38280	\N	IJ	978094
2502392	8261	1997-10-14	PRIJEM	PREVOD Z UCTU	21959	34726	\N	IJ	978094
2502393	8261	1997-11-14	PRIJEM	PREVOD Z UCTU	21959	35954	\N	IJ	978094
2502394	8261	1997-12-14	PRIJEM	PREVOD Z UCTU	32938	47164	\N	IJ	978094
2502395	8261	1998-01-14	PRIJEM	PREVOD Z UCTU	21959	33899	\N	IJ	978094
2502396	8261	1998-02-14	PRIJEM	PREVOD Z UCTU	21959	44165	\N	IJ	978094
2502397	8261	1998-03-14	PRIJEM	PREVOD Z UCTU	21959	37822	\N	IJ	978094
2502398	8261	1998-04-14	PRIJEM	PREVOD Z UCTU	21959	48404	\N	IJ	978094
2502399	8261	1998-05-14	PRIJEM	PREVOD Z UCTU	21959	37081	\N	IJ	978094
2502400	8261	1998-06-14	PRIJEM	PREVOD Z UCTU	32938	47083	\N	IJ	978094
2502401	8261	1998-07-14	PRIJEM	PREVOD Z UCTU	21959	41524	\N	IJ	978094
2502402	8261	1998-08-14	PRIJEM	PREVOD Z UCTU	21959	40558	\N	IJ	978094
2502403	8261	1998-09-14	PRIJEM	PREVOD Z UCTU	21959	32813	\N	IJ	978094
2502404	8261	1998-10-14	PRIJEM	PREVOD Z UCTU	21959	47075	\N	IJ	978094
2502405	8261	1998-11-14	PRIJEM	PREVOD Z UCTU	21959	47442	\N	IJ	978094
2502406	8261	1998-12-14	PRIJEM	PREVOD Z UCTU	32938	68181	\N	IJ	978094
2502416	8261	1993-10-12	VYDAJ	PREVOD NA UCET	3660	41273	UVER	AB	89613669
2502417	8261	1993-11-12	VYDAJ	PREVOD NA UCET	3660	26937	UVER	AB	89613669
2502418	8261	1993-12-12	VYDAJ	PREVOD NA UCET	3660	17628	UVER	AB	89613669
2502419	8261	1994-01-12	VYDAJ	PREVOD NA UCET	3660	17617	UVER	AB	89613669
2502420	8261	1994-02-12	VYDAJ	PREVOD NA UCET	3660	26065	UVER	AB	89613669
2502421	8261	1994-03-12	VYDAJ	PREVOD NA UCET	3660	26107	UVER	AB	89613669
2502422	8261	1994-04-12	VYDAJ	PREVOD NA UCET	3660	29276	UVER	AB	89613669
2502423	8261	1994-05-12	VYDAJ	PREVOD NA UCET	3660	22677	UVER	AB	89613669
2502424	8261	1994-06-12	VYDAJ	PREVOD NA UCET	3660	26070	UVER	AB	89613669
2502425	8261	1994-07-12	VYDAJ	PREVOD NA UCET	3660	33187	UVER	AB	89613669
2502426	8261	1994-08-12	VYDAJ	PREVOD NA UCET	3660	31559	UVER	AB	89613669
2502427	8261	1994-09-12	VYDAJ	PREVOD NA UCET	3660	17169	UVER	AB	89613669
2502428	8261	1994-10-12	VYDAJ	PREVOD NA UCET	3660	19395	UVER	AB	89613669
2502429	8261	1994-11-12	VYDAJ	PREVOD NA UCET	3660	27800	UVER	AB	89613669
2502430	8261	1994-12-12	VYDAJ	PREVOD NA UCET	3660	26259	UVER	AB	89613669
2502431	8261	1995-01-12	VYDAJ	PREVOD NA UCET	3660	33060	UVER	AB	89613669
2502432	8261	1995-02-12	VYDAJ	PREVOD NA UCET	3660	27475	UVER	AB	89613669
2502433	8261	1995-03-12	VYDAJ	PREVOD NA UCET	3660	28536	UVER	AB	89613669
2502434	8261	1995-04-12	VYDAJ	PREVOD NA UCET	3660	30611	UVER	AB	89613669
2502435	8261	1995-05-12	VYDAJ	PREVOD NA UCET	3660	31959	UVER	AB	89613669
2502436	8261	1995-06-12	VYDAJ	PREVOD NA UCET	3660	26544	UVER	AB	89613669
2502437	8261	1995-07-12	VYDAJ	PREVOD NA UCET	3660	19465	UVER	AB	89613669
2502438	8261	1995-08-12	VYDAJ	PREVOD NA UCET	3660	24426	UVER	AB	89613669
2502439	8261	1995-09-12	VYDAJ	PREVOD NA UCET	3660	19140	UVER	AB	89613669
2502440	8261	1995-10-21	VYDAJ	VYBER	4000	43169	\N	\N	0
2502441	8261	1995-11-11	VYDAJ	VYBER	3100	29623	\N	\N	0
2502442	8261	1995-12-02	VYDAJ	VYBER	4000	34808	\N	\N	0
2502443	8261	1996-01-07	VYDAJ	VYBER	3800	38617	\N	\N	0
2502444	8261	1996-02-12	VYDAJ	VYBER	3800	20604	\N	\N	0
2502445	8261	1996-03-10	VYDAJ	VYBER	3900	19762	\N	\N	0
2502446	8261	1996-04-08	VYDAJ	VYBER	4000	24672	\N	\N	0
2502447	8261	1996-05-17	VYDAJ	VYBER	4400	36100	\N	\N	0
2502448	8261	1996-06-17	VYDAJ	VYBER	4200	47156	\N	\N	0
2502449	8261	1996-07-08	VYDAJ	VYBER	4100	16054	\N	\N	0
2502450	8261	1996-08-21	VYDAJ	VYBER	3600	31826	\N	\N	0
2502451	8261	1996-09-05	VYDAJ	VYBER	3400	15958	\N	\N	0
2502452	8261	1996-10-08	VYDAJ	VYBER	2900	15081	\N	\N	0
2502453	8261	1996-11-11	VYDAJ	VYBER	3100	13558	\N	\N	0
2502454	8261	1996-12-12	VYDAJ	VYBER	3600	16409	\N	\N	0
2502455	8261	1997-01-08	VYDAJ	VYBER	3900	25058	\N	\N	0
2502456	8261	1997-02-12	VYDAJ	VYBER	4200	14856	\N	\N	0
2502457	8261	1997-03-02	VYDAJ	VYBER	4400	14704	\N	\N	0
2502458	8261	1997-04-17	VYDAJ	VYBER	3200	45286	\N	\N	0
2502459	8261	1997-05-09	VYDAJ	VYBER	2900	19266	\N	\N	0
2502460	8261	1997-06-21	VYDAJ	VYBER	3900	31160	\N	\N	0
2502461	8261	1997-07-13	VYDAJ	VYBER	3900	22995	\N	\N	0
2502462	8261	1997-08-17	VYDAJ	VYBER	4000	37917	\N	\N	0
2502463	8261	1997-09-21	VYDAJ	VYBER	2800	22180	\N	\N	0
2502464	8261	1997-10-02	VYDAJ	VYBER	4400	17904	\N	\N	0
2502465	8261	1997-11-13	VYDAJ	VYBER	3800	14641	\N	\N	0
2502466	8261	1997-12-19	VYDAJ	VYBER	3900	20564	\N	\N	0
2502467	8261	1998-01-02	VYDAJ	VYBER	3600	17077	\N	\N	0
2502468	8261	1998-02-10	VYDAJ	VYBER	3100	24767	\N	\N	0
2502469	8261	1998-03-20	VYDAJ	VYBER	3700	34122	\N	\N	0
2502470	8261	1998-04-15	VYDAJ	VYBER	3600	44804	\N	\N	0
2502471	8261	1998-05-02	VYDAJ	VYBER	3500	20259	\N	\N	0
2502472	8261	1998-06-12	VYDAJ	VYBER	4100	16706	\N	\N	0
2502473	8261	1998-07-07	VYDAJ	VYBER	4200	24289	\N	\N	0
2502474	8261	1998-08-21	VYDAJ	VYBER	3700	19458	\N	\N	0
2502475	8261	1998-09-13	VYDAJ	VYBER	3600	11500	\N	\N	0
2502476	8261	1998-10-02	VYDAJ	VYBER	2700	30253	\N	\N	0
2502477	8261	1998-11-19	VYDAJ	VYBER	3700	43742	\N	\N	0
2502478	8261	1998-12-02	VYDAJ	VYBER	3600	40380	\N	\N	0
2502488	8261	1993-10-12	VYDAJ	PREVOD NA UCET	1915	39358	SIPO	GH	72995984
2502489	8261	1993-11-12	VYDAJ	PREVOD NA UCET	1915	25022	SIPO	GH	72995984
2502490	8261	1993-12-12	VYDAJ	PREVOD NA UCET	1915	21288	SIPO	GH	72995984
2502491	8261	1994-01-12	VYDAJ	PREVOD NA UCET	1915	21277	SIPO	GH	72995984
2502492	8261	1994-02-12	VYDAJ	PREVOD NA UCET	1915	24150	SIPO	GH	72995984
2502493	8261	1994-03-12	VYDAJ	PREVOD NA UCET	1915	29767	SIPO	GH	72995984
2502494	8261	1994-04-12	VYDAJ	PREVOD NA UCET	1915	27361	SIPO	GH	72995984
2502495	8261	1994-05-12	VYDAJ	PREVOD NA UCET	1915	20762	SIPO	GH	72995984
2502496	8261	1994-06-12	VYDAJ	PREVOD NA UCET	1915	29730	SIPO	GH	72995984
2502497	8261	1994-07-12	VYDAJ	PREVOD NA UCET	1915	36847	SIPO	GH	72995984
2502498	8261	1994-08-12	VYDAJ	PREVOD NA UCET	1915	29644	SIPO	GH	72995984
2502499	8261	1994-09-12	VYDAJ	PREVOD NA UCET	1915	20829	SIPO	GH	72995984
2502500	8261	1994-10-12	VYDAJ	PREVOD NA UCET	1915	23055	SIPO	GH	72995984
2502501	8261	1994-11-12	VYDAJ	PREVOD NA UCET	1915	31460	SIPO	GH	72995984
2502502	8261	1994-12-12	VYDAJ	PREVOD NA UCET	1915	29919	SIPO	GH	72995984
2502503	8261	1995-01-12	VYDAJ	PREVOD NA UCET	1915	36720	SIPO	GH	72995984
2502504	8261	1995-02-12	VYDAJ	PREVOD NA UCET	1915	25560	SIPO	GH	72995984
2502505	8261	1995-03-12	VYDAJ	PREVOD NA UCET	1915	26621	SIPO	GH	72995984
2502506	8261	1995-04-12	VYDAJ	PREVOD NA UCET	1915	28696	SIPO	GH	72995984
2502507	8261	1995-05-12	VYDAJ	PREVOD NA UCET	1915	35619	SIPO	GH	72995984
2502508	8261	1995-06-12	VYDAJ	PREVOD NA UCET	1915	24629	SIPO	GH	72995984
2502509	8261	1995-07-12	VYDAJ	PREVOD NA UCET	1915	23125	SIPO	GH	72995984
2502510	8261	1995-08-12	VYDAJ	PREVOD NA UCET	1915	28085	SIPO	GH	72995984
2502511	8261	1995-09-12	VYDAJ	PREVOD NA UCET	1915	17225	SIPO	GH	72995984
2502512	8261	1995-10-12	VYDAJ	PREVOD NA UCET	1915	25856	SIPO	GH	72995984
2502513	8261	1995-11-12	VYDAJ	PREVOD NA UCET	1915	27708	SIPO	GH	72995984
2502514	8261	1995-12-12	VYDAJ	PREVOD NA UCET	1915	27917	SIPO	GH	72995984
2502515	8261	1996-01-12	VYDAJ	PREVOD NA UCET	1915	34539	SIPO	GH	72995984
2502516	8261	1996-02-12	VYDAJ	PREVOD NA UCET	1915	18689	SIPO	GH	72995984
2502517	8261	1996-03-12	VYDAJ	PREVOD NA UCET	1915	15684	SIPO	GH	72995984
2502518	8261	1996-04-12	VYDAJ	PREVOD NA UCET	1915	20594	SIPO	GH	72995984
2502519	8261	1996-05-12	VYDAJ	PREVOD NA UCET	1915	19187	SIPO	GH	72995984
2502520	8261	1996-06-12	VYDAJ	PREVOD NA UCET	1915	19064	SIPO	GH	72995984
2502521	8261	1996-07-12	VYDAJ	PREVOD NA UCET	1915	11976	SIPO	GH	72995984
2502522	8261	1996-08-12	VYDAJ	PREVOD NA UCET	1915	14113	SIPO	GH	72995984
2502523	8261	1996-09-12	VYDAJ	PREVOD NA UCET	1915	11467	SIPO	GH	72995984
2502524	8261	1996-10-12	VYDAJ	PREVOD NA UCET	1915	11003	SIPO	GH	72995984
2502525	8261	1996-11-12	VYDAJ	PREVOD NA UCET	1915	11643	SIPO	GH	72995984
2502526	8261	1996-12-12	VYDAJ	PREVOD NA UCET	1915	14494	SIPO	GH	72995984
2502527	8261	1997-01-12	VYDAJ	PREVOD NA UCET	1915	20980	SIPO	GH	72995984
2502528	8261	1997-02-12	VYDAJ	PREVOD NA UCET	1915	19056	SIPO	GH	72995984
2502529	8261	1997-03-12	VYDAJ	PREVOD NA UCET	1915	10213	SIPO	GH	72995984
2502530	8261	1997-04-12	VYDAJ	PREVOD NA UCET	1915	27173	SIPO	GH	72995984
2502531	8261	1997-05-12	VYDAJ	PREVOD NA UCET	1915	15188	SIPO	GH	72995984
2502532	8261	1997-06-12	VYDAJ	PREVOD NA UCET	1915	32168	SIPO	GH	72995984
2502533	8261	1997-07-12	VYDAJ	PREVOD NA UCET	1915	26895	SIPO	GH	72995984
2502534	8261	1997-08-12	VYDAJ	PREVOD NA UCET	1915	20604	SIPO	GH	72995984
2502535	8261	1997-09-12	VYDAJ	PREVOD NA UCET	1915	16967	SIPO	GH	72995984
2502536	8261	1997-10-12	VYDAJ	PREVOD NA UCET	1915	13413	SIPO	GH	72995984
2502537	8261	1997-11-12	VYDAJ	PREVOD NA UCET	1915	18441	SIPO	GH	72995984
2502538	8261	1997-12-12	VYDAJ	PREVOD NA UCET	1915	14872	SIPO	GH	72995984
2502539	8261	1998-01-12	VYDAJ	PREVOD NA UCET	1915	12586	SIPO	GH	72995984
2502540	8261	1998-02-12	VYDAJ	PREVOD NA UCET	1915	22852	SIPO	GH	72995984
2502541	8261	1998-03-12	VYDAJ	PREVOD NA UCET	1915	16509	SIPO	GH	72995984
2502542	8261	1998-04-12	VYDAJ	PREVOD NA UCET	1915	27091	SIPO	GH	72995984
2502543	8261	1998-05-12	VYDAJ	PREVOD NA UCET	1915	15768	SIPO	GH	72995984
2502544	8261	1998-06-12	VYDAJ	PREVOD NA UCET	1915	14791	SIPO	GH	72995984
2502545	8261	1998-07-12	VYDAJ	PREVOD NA UCET	1915	20211	SIPO	GH	72995984
2502546	8261	1998-08-12	VYDAJ	PREVOD NA UCET	1915	19245	SIPO	GH	72995984
2502547	8261	1998-09-12	VYDAJ	PREVOD NA UCET	1915	15100	SIPO	GH	72995984
2502548	8261	1998-10-12	VYDAJ	PREVOD NA UCET	1915	25762	SIPO	GH	72995984
2502549	8261	1998-11-12	VYDAJ	PREVOD NA UCET	1915	26129	SIPO	GH	72995984
2502550	8261	1998-12-12	VYDAJ	PREVOD NA UCET	1915	35889	SIPO	GH	72995984
2502560	8261	1993-10-05	VYDAJ	PREVOD NA UCET	413	65796	 	YZ	66767722
2502561	8261	1993-11-05	VYDAJ	PREVOD NA UCET	413	39760	 	YZ	66767722
2502562	8261	1993-12-05	VYDAJ	PREVOD NA UCET	413	30166	 	YZ	66767722
2502563	8261	1994-01-05	VYDAJ	PREVOD NA UCET	413	38855	 	YZ	66767722
2502564	8261	1994-02-05	VYDAJ	PREVOD NA UCET	413	34587	 	YZ	66767722
2502565	8261	1994-03-05	VYDAJ	PREVOD NA UCET	413	45345	 	YZ	66767722
2502566	8261	1994-04-05	VYDAJ	PREVOD NA UCET	413	47299	 	YZ	66767722
2502567	8261	1994-05-05	VYDAJ	PREVOD NA UCET	413	25000	 	YZ	66767722
2502568	8261	1994-06-05	VYDAJ	PREVOD NA UCET	413	41908	 	YZ	66767722
2502569	8261	1994-07-05	VYDAJ	PREVOD NA UCET	413	58325	 	YZ	66767722
2502570	8261	1994-08-05	VYDAJ	PREVOD NA UCET	413	54482	 	YZ	66767722
2502571	8261	1994-09-05	VYDAJ	PREVOD NA UCET	413	32407	 	YZ	66767722
2502572	8261	1994-10-05	VYDAJ	PREVOD NA UCET	413	27133	 	YZ	66767722
2502573	8261	1994-11-05	VYDAJ	PREVOD NA UCET	413	35538	 	YZ	66767722
2502574	8261	1994-12-05	VYDAJ	PREVOD NA UCET	413	39397	 	YZ	66767722
2502575	8261	1995-01-05	VYDAJ	PREVOD NA UCET	413	40798	 	YZ	66767722
2502576	8261	1995-02-05	VYDAJ	PREVOD NA UCET	413	33298	 	YZ	66767722
2502577	8261	1995-03-05	VYDAJ	PREVOD NA UCET	413	34359	 	YZ	66767722
2502578	8261	1995-04-05	VYDAJ	PREVOD NA UCET	413	36434	 	YZ	66767722
2502579	8261	1995-05-05	VYDAJ	PREVOD NA UCET	413	39697	 	YZ	66767722
2502580	8261	1995-06-05	VYDAJ	PREVOD NA UCET	413	32367	 	YZ	66767722
2502581	8261	1995-07-05	VYDAJ	PREVOD NA UCET	413	27203	 	YZ	66767722
2502582	8261	1995-08-05	VYDAJ	PREVOD NA UCET	413	32163	 	YZ	66767722
2502583	8261	1995-09-05	VYDAJ	PREVOD NA UCET	413	24962	 	YZ	66767722
2502584	8261	1995-10-05	VYDAJ	PREVOD NA UCET	413	29934	 	YZ	66767722
2502585	8261	1995-11-05	VYDAJ	PREVOD NA UCET	413	34886	 	YZ	66767722
2502586	8261	1995-12-05	VYDAJ	PREVOD NA UCET	413	34395	 	YZ	66767722
2502587	8261	1996-01-05	VYDAJ	PREVOD NA UCET	413	42417	 	YZ	66767722
2502588	8261	1996-02-05	VYDAJ	PREVOD NA UCET	413	26567	 	YZ	66767722
2502589	8261	1996-03-05	VYDAJ	PREVOD NA UCET	413	23662	 	YZ	66767722
2502590	8261	1996-04-05	VYDAJ	PREVOD NA UCET	413	28672	 	YZ	66767722
2502591	8261	1996-05-05	VYDAJ	PREVOD NA UCET	413	23265	 	YZ	66767722
2502592	8261	1996-06-05	VYDAJ	PREVOD NA UCET	413	23142	 	YZ	66767722
2502593	8261	1996-07-05	VYDAJ	PREVOD NA UCET	413	20154	 	YZ	66767722
2502594	8261	1996-08-05	VYDAJ	PREVOD NA UCET	413	18191	 	YZ	66767722
2502595	8261	1996-09-05	VYDAJ	PREVOD NA UCET	413	15545	 	YZ	66767722
2502596	8261	1996-10-05	VYDAJ	PREVOD NA UCET	413	17981	 	YZ	66767722
2502597	8261	1996-11-05	VYDAJ	PREVOD NA UCET	413	18821	 	YZ	66767722
2502598	8261	1996-12-05	VYDAJ	PREVOD NA UCET	413	22172	 	YZ	66767722
2502599	8261	1997-01-05	VYDAJ	PREVOD NA UCET	413	28958	 	YZ	66767722
2502600	8261	1997-02-05	VYDAJ	PREVOD NA UCET	413	23134	 	YZ	66767722
2502601	8261	1997-03-05	VYDAJ	PREVOD NA UCET	413	14291	 	YZ	66767722
2502602	8261	1997-04-05	VYDAJ	PREVOD NA UCET	413	31251	 	YZ	66767722
2502603	8261	1997-05-05	VYDAJ	PREVOD NA UCET	413	22166	 	YZ	66767722
2502604	8261	1997-06-05	VYDAJ	PREVOD NA UCET	413	36246	 	YZ	66767722
2502605	8261	1997-07-05	VYDAJ	PREVOD NA UCET	413	30973	 	YZ	66767722
2502606	8261	1997-08-05	VYDAJ	PREVOD NA UCET	413	24682	 	YZ	66767722
2502607	8261	1997-09-05	VYDAJ	PREVOD NA UCET	413	21045	 	YZ	66767722
2502608	8261	1997-10-05	VYDAJ	PREVOD NA UCET	413	17491	 	YZ	66767722
2502609	8261	1997-11-05	VYDAJ	PREVOD NA UCET	413	22519	 	YZ	66767722
2502610	8261	1997-12-05	VYDAJ	PREVOD NA UCET	413	18950	 	YZ	66767722
2502611	8261	1998-01-05	VYDAJ	PREVOD NA UCET	413	16664	 	YZ	66767722
2502612	8261	1998-02-05	VYDAJ	PREVOD NA UCET	413	30030	 	YZ	66767722
2502613	8261	1998-03-05	VYDAJ	PREVOD NA UCET	413	20587	 	YZ	66767722
2502614	8261	1998-04-05	VYDAJ	PREVOD NA UCET	413	31169	 	YZ	66767722
2502615	8261	1998-05-05	VYDAJ	PREVOD NA UCET	413	19846	 	YZ	66767722
2502616	8261	1998-06-05	VYDAJ	PREVOD NA UCET	413	22969	 	YZ	66767722
2502617	8261	1998-07-05	VYDAJ	PREVOD NA UCET	413	28489	 	YZ	66767722
2502618	8261	1998-08-05	VYDAJ	PREVOD NA UCET	413	23323	 	YZ	66767722
2502619	8261	1998-09-05	VYDAJ	PREVOD NA UCET	413	19178	 	YZ	66767722
2502620	8261	1998-10-05	VYDAJ	PREVOD NA UCET	413	29840	 	YZ	66767722
2502621	8261	1998-11-05	VYDAJ	PREVOD NA UCET	413	46907	 	YZ	66767722
2502622	8261	1998-12-05	VYDAJ	PREVOD NA UCET	413	39967	 	YZ	66767722
2502632	8261	1993-10-13	VYDAJ	PREVOD NA UCET	646	38712	POJISTNE	OP	24150228
2502633	8261	1993-11-13	VYDAJ	PREVOD NA UCET	646	24376	POJISTNE	OP	24150228
2502634	8261	1993-12-13	VYDAJ	PREVOD NA UCET	646	16982	POJISTNE	OP	24150228
2502635	8261	1994-01-13	VYDAJ	PREVOD NA UCET	646	16971	POJISTNE	OP	24150228
2502636	8261	1994-02-13	VYDAJ	PREVOD NA UCET	646	23504	POJISTNE	OP	24150228
2502637	8261	1994-03-13	VYDAJ	PREVOD NA UCET	646	25461	POJISTNE	OP	24150228
2502638	8261	1994-04-13	VYDAJ	PREVOD NA UCET	646	26715	POJISTNE	OP	24150228
2502639	8261	1994-05-13	VYDAJ	PREVOD NA UCET	646	20116	POJISTNE	OP	24150228
2502640	8261	1994-06-13	VYDAJ	PREVOD NA UCET	646	25424	POJISTNE	OP	24150228
2502641	8261	1994-07-13	VYDAJ	PREVOD NA UCET	646	32541	POJISTNE	OP	24150228
2502642	8261	1994-08-13	VYDAJ	PREVOD NA UCET	646	28998	POJISTNE	OP	24150228
2502643	8261	1994-09-13	VYDAJ	PREVOD NA UCET	646	16523	POJISTNE	OP	24150228
2502644	8261	1994-10-13	VYDAJ	PREVOD NA UCET	646	18749	POJISTNE	OP	24150228
2502645	8261	1994-11-13	VYDAJ	PREVOD NA UCET	646	27154	POJISTNE	OP	24150228
2502646	8261	1994-12-13	VYDAJ	PREVOD NA UCET	646	25613	POJISTNE	OP	24150228
2502647	8261	1995-01-13	VYDAJ	PREVOD NA UCET	646	32414	POJISTNE	OP	24150228
2502648	8261	1995-02-13	VYDAJ	PREVOD NA UCET	646	24914	POJISTNE	OP	24150228
2502649	8261	1995-03-13	VYDAJ	PREVOD NA UCET	646	25975	POJISTNE	OP	24150228
2502650	8261	1995-04-13	VYDAJ	PREVOD NA UCET	646	28050	POJISTNE	OP	24150228
2502651	8261	1995-05-13	VYDAJ	PREVOD NA UCET	646	31313	POJISTNE	OP	24150228
2502652	8261	1995-06-13	VYDAJ	PREVOD NA UCET	646	23983	POJISTNE	OP	24150228
2502653	8261	1995-07-13	VYDAJ	PREVOD NA UCET	646	18819	POJISTNE	OP	24150228
2502654	8261	1995-08-13	VYDAJ	PREVOD NA UCET	646	23780	POJISTNE	OP	24150228
2502655	8261	1995-09-13	VYDAJ	PREVOD NA UCET	646	16579	POJISTNE	OP	24150228
2502656	8261	1995-10-13	VYDAJ	PREVOD NA UCET	646	25210	POJISTNE	OP	24150228
2502657	8261	1995-11-13	VYDAJ	PREVOD NA UCET	646	27062	POJISTNE	OP	24150228
2502658	8261	1995-12-13	VYDAJ	PREVOD NA UCET	646	27271	POJISTNE	OP	24150228
2502659	8261	1996-01-13	VYDAJ	PREVOD NA UCET	646	33893	POJISTNE	OP	24150228
2502660	8261	1996-02-13	VYDAJ	PREVOD NA UCET	646	18043	POJISTNE	OP	24150228
2502661	8261	1996-03-13	VYDAJ	PREVOD NA UCET	646	15038	POJISTNE	OP	24150228
2502662	8261	1996-04-13	VYDAJ	PREVOD NA UCET	646	19948	POJISTNE	OP	24150228
2502663	8261	1996-05-13	VYDAJ	PREVOD NA UCET	646	18541	POJISTNE	OP	24150228
2502664	8261	1996-06-13	VYDAJ	PREVOD NA UCET	646	18418	POJISTNE	OP	24150228
2502665	8261	1996-07-13	VYDAJ	PREVOD NA UCET	646	11330	POJISTNE	OP	24150228
2502666	8261	1996-08-13	VYDAJ	PREVOD NA UCET	646	13467	POJISTNE	OP	24150228
2502667	8261	1996-09-13	VYDAJ	PREVOD NA UCET	646	10821	POJISTNE	OP	24150228
2502668	8261	1996-10-13	VYDAJ	PREVOD NA UCET	646	10357	POJISTNE	OP	24150228
2502669	8261	1996-11-13	VYDAJ	PREVOD NA UCET	646	10997	POJISTNE	OP	24150228
2502670	8261	1996-12-13	VYDAJ	PREVOD NA UCET	646	13848	POJISTNE	OP	24150228
2502671	8261	1997-01-13	VYDAJ	PREVOD NA UCET	646	20334	POJISTNE	OP	24150228
2502672	8261	1997-02-13	VYDAJ	PREVOD NA UCET	646	14210	POJISTNE	OP	24150228
2502673	8261	1997-03-13	VYDAJ	PREVOD NA UCET	646	9567	POJISTNE	OP	24150228
2502674	8261	1997-04-13	VYDAJ	PREVOD NA UCET	646	26527	POJISTNE	OP	24150228
2502675	8261	1997-05-13	VYDAJ	PREVOD NA UCET	646	14542	POJISTNE	OP	24150228
2502676	8261	1997-06-13	VYDAJ	PREVOD NA UCET	646	31522	POJISTNE	OP	24150228
2502677	8261	1997-07-13	VYDAJ	PREVOD NA UCET	646	22349	POJISTNE	OP	24150228
2502678	8261	1997-08-13	VYDAJ	PREVOD NA UCET	646	19958	POJISTNE	OP	24150228
2502679	8261	1997-09-13	VYDAJ	PREVOD NA UCET	646	16321	POJISTNE	OP	24150228
2502680	8261	1997-10-13	VYDAJ	PREVOD NA UCET	646	12767	POJISTNE	OP	24150228
2502681	8261	1997-11-13	VYDAJ	PREVOD NA UCET	646	13995	POJISTNE	OP	24150228
2502682	8261	1997-12-13	VYDAJ	PREVOD NA UCET	646	14226	POJISTNE	OP	24150228
2502683	8261	1998-01-13	VYDAJ	PREVOD NA UCET	646	11940	POJISTNE	OP	24150228
2502684	8261	1998-02-13	VYDAJ	PREVOD NA UCET	646	22206	POJISTNE	OP	24150228
2502685	8261	1998-03-13	VYDAJ	PREVOD NA UCET	646	15863	POJISTNE	OP	24150228
2502686	8261	1998-04-13	VYDAJ	PREVOD NA UCET	646	26445	POJISTNE	OP	24150228
2502687	8261	1998-05-13	VYDAJ	PREVOD NA UCET	646	15122	POJISTNE	OP	24150228
2502688	8261	1998-06-13	VYDAJ	PREVOD NA UCET	646	14145	POJISTNE	OP	24150228
2502689	8261	1998-07-13	VYDAJ	PREVOD NA UCET	646	19565	POJISTNE	OP	24150228
2502690	8261	1998-08-13	VYDAJ	PREVOD NA UCET	646	18599	POJISTNE	OP	24150228
2502691	8261	1998-09-13	VYDAJ	PREVOD NA UCET	646	10854	POJISTNE	OP	24150228
2502692	8261	1998-10-13	VYDAJ	PREVOD NA UCET	646	25116	POJISTNE	OP	24150228
2502693	8261	1998-11-13	VYDAJ	PREVOD NA UCET	646	25483	POJISTNE	OP	24150228
2502694	8261	1998-12-13	VYDAJ	PREVOD NA UCET	646	35243	POJISTNE	OP	24150228
2502704	8261	1993-10-10	VYDAJ	PREVOD NA UCET	2163	44933	 	KL	89226317
2502705	8261	1993-11-10	VYDAJ	PREVOD NA UCET	2163	30597	 	KL	89226317
2502706	8261	1993-12-10	VYDAJ	PREVOD NA UCET	2163	23203	 	KL	89226317
2502707	8261	1994-01-10	VYDAJ	PREVOD NA UCET	2163	23192	 	KL	89226317
2502708	8261	1994-02-10	VYDAJ	PREVOD NA UCET	2163	29724	 	KL	89226317
2502709	8261	1994-03-10	VYDAJ	PREVOD NA UCET	2163	31682	 	KL	89226317
2502710	8261	1994-04-10	VYDAJ	PREVOD NA UCET	2163	32936	 	KL	89226317
2502711	8261	1994-05-10	VYDAJ	PREVOD NA UCET	2163	26337	 	KL	89226317
2502712	8261	1994-06-10	VYDAJ	PREVOD NA UCET	2163	31645	 	KL	89226317
2502713	8261	1994-07-10	VYDAJ	PREVOD NA UCET	2163	38762	 	KL	89226317
2502714	8261	1994-08-10	VYDAJ	PREVOD NA UCET	2163	39719	 	KL	89226317
2502715	8261	1994-09-10	VYDAJ	PREVOD NA UCET	2163	30244	 	KL	89226317
2502716	8261	1994-10-10	VYDAJ	PREVOD NA UCET	2163	24970	 	KL	89226317
2502717	8261	1994-11-10	VYDAJ	PREVOD NA UCET	2163	33375	 	KL	89226317
2502718	8261	1994-12-10	VYDAJ	PREVOD NA UCET	2163	31834	 	KL	89226317
2502719	8261	1995-01-10	VYDAJ	PREVOD NA UCET	2163	38635	 	KL	89226317
2502720	8261	1995-02-10	VYDAJ	PREVOD NA UCET	2163	31135	 	KL	89226317
2502721	8261	1995-03-10	VYDAJ	PREVOD NA UCET	2163	32196	 	KL	89226317
2502722	8261	1995-04-10	VYDAJ	PREVOD NA UCET	2163	34271	 	KL	89226317
2502723	8261	1995-05-10	VYDAJ	PREVOD NA UCET	2163	37534	 	KL	89226317
2502724	8261	1995-06-10	VYDAJ	PREVOD NA UCET	2163	30204	 	KL	89226317
2502725	8261	1995-07-10	VYDAJ	PREVOD NA UCET	2163	25040	 	KL	89226317
2502726	8261	1995-08-10	VYDAJ	PREVOD NA UCET	2163	30000	 	KL	89226317
2502727	8261	1995-09-10	VYDAJ	PREVOD NA UCET	2163	22799	 	KL	89226317
2502728	8261	1995-10-10	VYDAJ	PREVOD NA UCET	2163	27771	 	KL	89226317
2502729	8261	1995-11-10	VYDAJ	PREVOD NA UCET	2163	32723	 	KL	89226317
2502730	8261	1995-12-10	VYDAJ	PREVOD NA UCET	2163	32232	 	KL	89226317
2502731	8261	1996-01-10	VYDAJ	PREVOD NA UCET	2163	36454	 	KL	89226317
2502732	8261	1996-02-10	VYDAJ	PREVOD NA UCET	2163	24404	 	KL	89226317
2502733	8261	1996-03-10	VYDAJ	PREVOD NA UCET	2163	17599	 	KL	89226317
2502734	8261	1996-04-10	VYDAJ	PREVOD NA UCET	2163	22509	 	KL	89226317
2502735	8261	1996-05-10	VYDAJ	PREVOD NA UCET	2163	21102	 	KL	89226317
2502736	8261	1996-06-10	VYDAJ	PREVOD NA UCET	2163	20979	 	KL	89226317
2502737	8261	1996-07-10	VYDAJ	PREVOD NA UCET	2163	13891	 	KL	89226317
2502738	8261	1996-08-10	VYDAJ	PREVOD NA UCET	2163	16028	 	KL	89226317
2502739	8261	1996-09-10	VYDAJ	PREVOD NA UCET	2163	13382	 	KL	89226317
2502740	8261	1996-10-10	VYDAJ	PREVOD NA UCET	2163	12918	 	KL	89226317
2502741	8261	1996-11-10	VYDAJ	PREVOD NA UCET	2163	16658	 	KL	89226317
2502742	8261	1996-12-10	VYDAJ	PREVOD NA UCET	2163	20009	 	KL	89226317
2502743	8261	1997-01-10	VYDAJ	PREVOD NA UCET	2163	22895	 	KL	89226317
2502744	8261	1997-02-10	VYDAJ	PREVOD NA UCET	2163	20971	 	KL	89226317
2502745	8261	1997-03-10	VYDAJ	PREVOD NA UCET	2163	12128	 	KL	89226317
2502746	8261	1997-04-10	VYDAJ	PREVOD NA UCET	2163	29088	 	KL	89226317
2502747	8261	1997-05-10	VYDAJ	PREVOD NA UCET	2163	17103	 	KL	89226317
2502748	8261	1997-06-10	VYDAJ	PREVOD NA UCET	2163	34083	 	KL	89226317
2502749	8261	1997-07-10	VYDAJ	PREVOD NA UCET	2163	28810	 	KL	89226317
2502750	8261	1997-08-10	VYDAJ	PREVOD NA UCET	2163	22519	 	KL	89226317
2502751	8261	1997-09-10	VYDAJ	PREVOD NA UCET	2163	18882	 	KL	89226317
2502752	8261	1997-10-10	VYDAJ	PREVOD NA UCET	2163	15328	 	KL	89226317
2502753	8261	1997-11-10	VYDAJ	PREVOD NA UCET	2163	20356	 	KL	89226317
2502754	8261	1997-12-10	VYDAJ	PREVOD NA UCET	2163	16787	 	KL	89226317
2502755	8261	1998-01-10	VYDAJ	PREVOD NA UCET	2163	14501	 	KL	89226317
2502756	8261	1998-02-10	VYDAJ	PREVOD NA UCET	2163	27867	 	KL	89226317
2502757	8261	1998-03-10	VYDAJ	PREVOD NA UCET	2163	18424	 	KL	89226317
2502758	8261	1998-04-10	VYDAJ	PREVOD NA UCET	2163	29006	 	KL	89226317
2502759	8261	1998-05-10	VYDAJ	PREVOD NA UCET	2163	17683	 	KL	89226317
2502760	8261	1998-06-10	VYDAJ	PREVOD NA UCET	2163	20806	 	KL	89226317
2502761	8261	1998-07-10	VYDAJ	PREVOD NA UCET	2163	22126	 	KL	89226317
2502762	8261	1998-08-10	VYDAJ	PREVOD NA UCET	2163	21160	 	KL	89226317
2502763	8261	1998-09-10	VYDAJ	PREVOD NA UCET	2163	17015	 	KL	89226317
2502764	8261	1998-10-10	VYDAJ	PREVOD NA UCET	2163	27677	 	KL	89226317
2502765	8261	1998-11-10	VYDAJ	PREVOD NA UCET	2163	44744	 	KL	89226317
2502766	8261	1998-12-10	VYDAJ	PREVOD NA UCET	2163	37804	 	KL	89226317
2502768	8261	1993-11-17	VYBER	VYBER	15977	30358	\N	\N	\N
2502771	8261	1993-10-16	VYBER	VYBER	20807	39864	\N	\N	\N
2502772	8261	1993-12-23	VYBER	VYBER	10912	39008	\N	\N	\N
2502775	8261	1994-04-23	VYBER	VYBER	23513	25161	\N	\N	\N
2502777	8261	1994-09-28	VYBER	VYBER	15984	22498	\N	\N	\N
2502778	8261	1995-08-18	VYBER	VYBER	5383	40356	\N	\N	\N
2502779	8261	1995-05-14	VYBER	VYBER	11222	42050	\N	\N	\N
2502784	8261	1996-02-24	VYBER	VYBER	13894	26108	\N	\N	\N
2502799	8261	1995-06-25	VYDAJ	VYBER	25500	29621	\N	\N	\N
2502805	8261	1995-01-21	VYDAJ	VYBER	12900	41473	\N	\N	\N
2502806	8261	1996-01-15	VYDAJ	VYBER	20400	35452	\N	\N	\N
2502808	8261	1998-01-28	VYDAJ	VYBER	3600	30299	\N	\N	\N
2502809	8261	1993-12-08	VYDAJ	VYBER	5400	25366	\N	\N	\N
2502810	8261	1994-12-10	VYDAJ	VYBER	5400	33997	\N	\N	\N
2502811	8261	1995-12-10	VYDAJ	VYBER	2400	29832	\N	\N	\N
2502814	8261	1998-12-23	VYDAJ	VYBER	5400	62781	\N	\N	\N
2502819	8261	1994-08-11	VYDAJ	VYBER	4500	35219	\N	\N	\N
2502820	8261	1994-01-09	VYDAJ	VYBER	5100	25355	\N	\N	\N
2502821	8261	1994-08-31	VYDAJ	VYBER	13800	37520	\N	\N	\N
2502822	8261	1994-09-10	VYDAJ	VYBER	7500	22744	\N	\N	\N
2502823	8261	1994-01-29	VYDAJ	VYBER	4200	34730	\N	\N	\N
2502824	8261	1995-06-22	VYDAJ	VYBER	1800	55121	\N	\N	\N
2502825	8261	1995-01-24	VYDAJ	VYBER	2400	39073	\N	\N	\N
2502827	8261	1995-08-31	VYDAJ	VYBER	8400	25375	\N	\N	\N
2502828	8261	1995-07-19	VYDAJ	VYBER	7500	33278	\N	\N	\N
2502830	8261	1996-04-17	VYDAJ	VYBER	14100	27807	\N	\N	\N
2502832	8261	1996-01-17	VYDAJ	VYBER	6600	28852	\N	\N	\N
2502835	8261	1996-06-25	VYDAJ	VYBER	14100	33056	\N	\N	\N
2502836	8261	1996-07-17	VYDAJ	VYBER	2100	31189	\N	\N	\N
2502843	8261	1997-11-17	VYDAJ	VYBER	3000	19254	\N	\N	\N
2502847	8261	1998-03-26	VYDAJ	VYBER	2700	31422	\N	\N	\N
2502857	8261	1993-09-30	VYDAJ	VYBER	15	66209	SLUZBY	\N	\N
2502858	8261	1993-10-31	VYDAJ	VYBER	15	40173	SLUZBY	\N	\N
2502859	8261	1993-11-30	VYDAJ	VYBER	15	30579	SLUZBY	\N	\N
2502860	8261	1993-12-31	VYDAJ	VYBER	15	39268	SLUZBY	\N	\N
2502861	8261	1994-01-31	VYDAJ	VYBER	15	35000	SLUZBY	\N	\N
2502862	8261	1994-02-28	VYDAJ	VYBER	15	45758	SLUZBY	\N	\N
2502863	8261	1994-03-31	VYDAJ	VYBER	15	47712	SLUZBY	\N	\N
2502864	8261	1994-04-30	VYDAJ	VYBER	15	25413	SLUZBY	\N	\N
2502865	8261	1994-05-31	VYDAJ	VYBER	15	42321	SLUZBY	\N	\N
2502866	8261	1994-06-30	VYDAJ	VYBER	15	58738	SLUZBY	\N	\N
2502867	8261	1994-07-31	VYDAJ	VYBER	15	54895	SLUZBY	\N	\N
2502868	8261	1994-08-31	VYDAJ	VYBER	15	51320	SLUZBY	\N	\N
2502869	8261	1994-09-30	VYDAJ	VYBER	15	22746	SLUZBY	\N	\N
2502870	8261	1994-10-31	VYDAJ	VYBER	15	40951	SLUZBY	\N	\N
2502871	8261	1994-11-30	VYDAJ	VYBER	15	49410	SLUZBY	\N	\N
2502872	8261	1994-12-31	VYDAJ	VYBER	15	58911	SLUZBY	\N	\N
2502873	8261	1995-01-31	VYDAJ	VYBER	15	39411	SLUZBY	\N	\N
2502874	8261	1995-02-28	VYDAJ	VYBER	15	47172	SLUZBY	\N	\N
2502875	8261	1995-03-31	VYDAJ	VYBER	15	48247	SLUZBY	\N	\N
2502876	8261	1995-04-30	VYDAJ	VYBER	15	50310	SLUZBY	\N	\N
2502877	8261	1995-05-31	VYDAJ	VYBER	15	42380	SLUZBY	\N	\N
2502878	8261	1995-06-30	VYDAJ	VYBER	15	29916	SLUZBY	\N	\N
2502879	8261	1995-07-31	VYDAJ	VYBER	15	33476	SLUZBY	\N	\N
2502880	8261	1995-08-31	VYDAJ	VYBER	15	33775	SLUZBY	\N	\N
2502881	8261	1995-09-30	VYDAJ	VYBER	15	30347	SLUZBY	\N	\N
2502882	8261	1995-10-31	VYDAJ	VYBER	15	35299	SLUZBY	\N	\N
2502883	8261	1995-11-30	VYDAJ	VYBER	15	38808	SLUZBY	\N	\N
2502884	8261	1995-12-31	VYDAJ	VYBER	15	42830	SLUZBY	\N	\N
2502885	8261	1996-01-31	VYDAJ	VYBER	15	26980	SLUZBY	\N	\N
2502886	8261	1996-02-29	VYDAJ	VYBER	15	24075	SLUZBY	\N	\N
2502887	8261	1996-03-31	VYDAJ	VYBER	15	29085	SLUZBY	\N	\N
2502888	8261	1996-04-30	VYDAJ	VYBER	15	23678	SLUZBY	\N	\N
2502889	8261	1996-05-31	VYDAJ	VYBER	15	23555	SLUZBY	\N	\N
2502890	8261	1996-06-30	VYDAJ	VYBER	15	20567	SLUZBY	\N	\N
2502891	8261	1996-07-31	VYDAJ	VYBER	15	18604	SLUZBY	\N	\N
2502892	8261	1996-08-31	VYDAJ	VYBER	15	19358	SLUZBY	\N	\N
2502893	8261	1996-09-30	VYDAJ	VYBER	15	18394	SLUZBY	\N	\N
2502894	8261	1996-10-31	VYDAJ	VYBER	15	19234	SLUZBY	\N	\N
2502895	8261	1996-11-30	VYDAJ	VYBER	15	22585	SLUZBY	\N	\N
2502896	8261	1996-12-31	VYDAJ	VYBER	15	29371	SLUZBY	\N	\N
2502897	8261	1997-01-31	VYDAJ	VYBER	15	23547	SLUZBY	\N	\N
2502898	8261	1997-02-28	VYDAJ	VYBER	15	19104	SLUZBY	\N	\N
2502899	8261	1997-03-31	VYDAJ	VYBER	15	31664	SLUZBY	\N	\N
2502900	8261	1997-04-30	VYDAJ	VYBER	15	22579	SLUZBY	\N	\N
2502901	8261	1997-05-31	VYDAJ	VYBER	15	36659	SLUZBY	\N	\N
2502902	8261	1997-06-30	VYDAJ	VYBER	15	31386	SLUZBY	\N	\N
2502903	8261	1997-07-31	VYDAJ	VYBER	15	25095	SLUZBY	\N	\N
2502904	8261	1997-08-31	VYDAJ	VYBER	15	21458	SLUZBY	\N	\N
2502905	8261	1997-09-30	VYDAJ	VYBER	15	22304	SLUZBY	\N	\N
2502906	8261	1997-10-31	VYDAJ	VYBER	15	22932	SLUZBY	\N	\N
2502907	8261	1997-11-30	VYDAJ	VYBER	15	19363	SLUZBY	\N	\N
2502908	8261	1997-12-31	VYDAJ	VYBER	15	20677	SLUZBY	\N	\N
2502909	8261	1998-01-31	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
2502910	8261	1998-02-28	VYDAJ	VYBER	15	21000	SLUZBY	\N	\N
2502911	8261	1998-03-31	VYDAJ	VYBER	15	31582	SLUZBY	\N	\N
2502912	8261	1998-04-30	VYDAJ	VYBER	15	23759	SLUZBY	\N	\N
2502913	8261	1998-05-31	VYDAJ	VYBER	15	23382	SLUZBY	\N	\N
2502914	8261	1998-06-30	VYDAJ	VYBER	15	28902	SLUZBY	\N	\N
2502915	8261	1998-07-31	VYDAJ	VYBER	15	23736	SLUZBY	\N	\N
2502916	8261	1998-08-31	VYDAJ	VYBER	15	19591	SLUZBY	\N	\N
2502917	8261	1998-09-30	VYDAJ	VYBER	15	32953	SLUZBY	\N	\N
2502918	8261	1998-10-31	VYDAJ	VYBER	15	47320	SLUZBY	\N	\N
2502919	8261	1998-11-30	VYDAJ	VYBER	15	43980	SLUZBY	\N	\N
2502920	8261	1993-06-11	PRIJEM	VKLAD	2100	24665	\N	\N	\N
2502921	8261	1993-07-11	VYDAJ	VYBER	15200	42707	\N	\N	\N
2502922	8261	1993-08-10	VYDAJ	VYBER	21600	43470	\N	\N	\N
2502923	8261	1993-09-09	VYDAJ	VYBER	22000	43848	\N	\N	\N
2502924	8261	1993-10-09	VYDAJ	VYBER	18700	47096	\N	\N	\N
2502925	8261	1993-11-08	VYDAJ	VYBER	7000	32760	\N	\N	\N
2502926	8261	1993-12-08	PRIJEM	VKLAD	600	30766	\N	\N	\N
2502927	8261	1994-01-07	VYDAJ	VYBER	8400	30455	\N	\N	\N
2502928	8261	1994-02-06	VYDAJ	VYBER	2700	31887	\N	\N	\N
2502929	8261	1994-03-08	VYDAJ	VYBER	11500	33845	\N	\N	\N
2502930	8261	1994-04-07	VYDAJ	VYBER	12200	35099	\N	\N	\N
2502931	8261	1994-05-07	PRIJEM	VKLAD	3500	28500	\N	\N	\N
2502932	8261	1994-06-06	VYDAJ	VYBER	8100	33808	\N	\N	\N
2502933	8261	1994-07-06	VYDAJ	VYBER	17400	40925	\N	\N	\N
2502934	8261	1994-08-05	VYDAJ	VYBER	12600	41882	\N	\N	\N
2502935	8261	1994-09-04	VYDAJ	VYBER	4700	32820	\N	\N	\N
2502936	8261	1994-10-04	PRIJEM	VKLAD	4800	27546	\N	\N	\N
2502937	8261	1994-11-03	VYDAJ	VYBER	5000	35951	\N	\N	\N
2502938	8261	1994-12-03	VYDAJ	VYBER	9600	39810	\N	\N	\N
2502939	8261	1995-01-02	VYDAJ	VYBER	17700	41211	\N	\N	\N
2502940	8261	1995-02-01	VYDAJ	VYBER	5700	33711	\N	\N	\N
2502941	8261	1995-03-03	VYDAJ	VYBER	12400	34772	\N	\N	\N
2502942	8261	1995-04-02	VYDAJ	VYBER	11400	36847	\N	\N	\N
2502943	8261	1995-05-02	VYDAJ	VYBER	10200	40110	\N	\N	\N
2502944	8261	1995-06-01	VYDAJ	VYBER	9600	32780	\N	\N	\N
2502945	8261	1995-07-01	VYDAJ	VYBER	2300	27616	\N	\N	\N
2502946	8261	1995-07-31	VYDAJ	VYBER	900	32576	\N	\N	\N
2502947	8261	1995-08-30	VYDAJ	VYBER	6800	33556	\N	\N	\N
2502948	8261	1995-09-29	VYDAJ	VYBER	8400	30138	\N	\N	\N
2502949	8261	1995-10-29	VYDAJ	VYBER	8100	35069	\N	\N	\N
2502950	8261	1995-11-28	VYDAJ	VYBER	10500	38521	\N	\N	\N
2502951	8261	1995-12-28	VYDAJ	VYBER	17700	42509	\N	\N	\N
2502952	8261	1996-01-27	VYDAJ	VYBER	2100	26752	\N	\N	\N
2502953	8261	1996-02-26	VYDAJ	VYBER	2200	23908	\N	\N	\N
2502954	8261	1996-03-27	VYDAJ	VYBER	8100	28897	\N	\N	\N
2502955	8261	1996-04-26	VYDAJ	VYBER	4300	23507	\N	\N	\N
2502956	8261	1996-05-26	VYDAJ	VYBER	12700	23400	\N	\N	\N
2502957	8261	1996-06-25	VYDAJ	VYBER	12700	20356	\N	\N	\N
2502958	8261	1996-07-25	VYDAJ	VYBER	12700	18489	\N	\N	\N
2502959	8261	1996-08-24	VYDAJ	VYBER	12600	19226	\N	\N	\N
2502960	8261	1996-09-23	VYDAJ	VYBER	14500	18280	\N	\N	\N
2502961	8261	1996-10-23	VYDAJ	VYBER	13200	19116	\N	\N	\N
2502962	8261	1996-11-22	VYDAJ	VYBER	10500	22456	\N	\N	\N
2502963	8261	1996-12-22	VYDAJ	VYBER	17600	29186	\N	\N	\N
2502964	8261	1997-01-21	VYDAJ	VYBER	18900	23393	\N	\N	\N
2502965	8261	1997-02-20	VYDAJ	VYBER	17200	18969	\N	\N	\N
2502966	8261	1997-04-21	VYDAJ	VYBER	22900	22386	\N	\N	\N
2502967	8261	1997-06-20	VYDAJ	VYBER	29400	35060	\N	\N	\N
2502968	8261	1997-07-20	VYDAJ	VYBER	19400	24908	\N	\N	\N
2502969	8261	1997-08-19	VYDAJ	VYBER	16600	21317	\N	\N	\N
2502970	8261	1997-09-18	VYDAJ	VYBER	13300	24980	\N	\N	\N
2502971	8261	1997-10-18	VYDAJ	VYBER	11900	22826	\N	\N	\N
2502972	8261	1997-11-17	VYDAJ	VYBER	13700	22254	\N	\N	\N
2502973	8261	1997-12-17	VYDAJ	VYBER	22700	24464	\N	\N	\N
2502974	8261	1998-02-15	VYDAJ	VYBER	23300	20865	\N	\N	\N
2502975	8261	1998-04-16	VYDAJ	VYBER	21200	23604	\N	\N	\N
2502976	8261	1998-05-16	VYDAJ	VYBER	13800	23281	\N	\N	\N
2502977	8261	1998-06-15	VYDAJ	VYBER	18300	28783	\N	\N	\N
2502978	8261	1998-07-15	VYDAJ	VYBER	17900	23624	\N	\N	\N
2502979	8261	1998-08-14	VYDAJ	VYBER	17400	23158	\N	\N	\N
2502980	8261	1998-11-12	VYDAJ	VYBER	16700	28044	\N	\N	\N
2505037	8268	1996-09-19	PRIJEM	VKLAD	400	400	\N	\N	\N
2505047	8268	1996-10-13	PRIJEM	VKLAD	12701	13101	\N	\N	\N
2505048	8268	1996-11-13	PRIJEM	VKLAD	12701	28956	\N	\N	\N
2505049	8268	1996-12-13	PRIJEM	VKLAD	19052	45337	\N	\N	\N
2505050	8268	1997-01-13	PRIJEM	VKLAD	12701	44010	\N	\N	\N
2505051	8268	1997-02-13	PRIJEM	VKLAD	12701	44501	\N	\N	\N
2505052	8268	1997-03-13	PRIJEM	VKLAD	12701	37714	\N	\N	\N
2505053	8268	1997-04-13	PRIJEM	VKLAD	12701	31775	\N	\N	\N
2505054	8268	1997-05-13	PRIJEM	VKLAD	12701	28285	\N	\N	\N
2505055	8268	1997-06-13	PRIJEM	VKLAD	19052	30885	\N	\N	\N
2505056	8268	1997-07-13	PRIJEM	VKLAD	12701	25956	\N	\N	\N
2505057	8268	1997-08-13	PRIJEM	VKLAD	12701	29179	\N	\N	\N
2505058	8268	1997-09-13	PRIJEM	VKLAD	12701	32984	\N	\N	\N
2505059	8268	1997-10-13	PRIJEM	VKLAD	12701	33858	\N	\N	\N
2505060	8268	1997-11-13	PRIJEM	VKLAD	12701	30879	\N	\N	\N
2505061	8268	1997-12-13	PRIJEM	VKLAD	19052	43221	\N	\N	\N
2505062	8268	1998-01-13	PRIJEM	VKLAD	12701	44425	\N	\N	\N
2505063	8268	1998-02-13	PRIJEM	VKLAD	12701	42137	\N	\N	\N
2505064	8268	1998-03-13	PRIJEM	VKLAD	12701	48350	\N	\N	\N
2505065	8268	1998-04-13	PRIJEM	VKLAD	12701	57797	\N	\N	\N
2505066	8268	1998-05-13	PRIJEM	VKLAD	12701	61841	\N	\N	\N
2505067	8268	1998-06-13	PRIJEM	VKLAD	19052	49717	\N	\N	\N
2505068	8268	1998-07-13	PRIJEM	VKLAD	12701	59986	\N	\N	\N
2505069	8268	1998-08-13	PRIJEM	VKLAD	12701	59345	\N	\N	\N
2505070	8268	1998-09-13	PRIJEM	VKLAD	12701	59244	\N	\N	\N
2505071	8268	1998-10-13	PRIJEM	VKLAD	12701	63368	\N	\N	\N
2505072	8268	1998-11-13	PRIJEM	VKLAD	12701	65213	\N	\N	\N
2505073	8268	1998-12-13	PRIJEM	VKLAD	19052	76315	\N	\N	\N
2505088	8268	1997-03-07	VYDAJ	PREVOD NA UCET	1999	25013	SIPO	YZ	74354535
2505089	8268	1997-04-07	VYDAJ	PREVOD NA UCET	1999	19274	SIPO	YZ	74354535
2505090	8268	1997-05-07	VYDAJ	PREVOD NA UCET	1999	18704	SIPO	YZ	74354535
2505091	8268	1997-06-07	VYDAJ	PREVOD NA UCET	1999	11834	SIPO	YZ	74354535
2505092	8268	1997-07-07	VYDAJ	PREVOD NA UCET	1999	13455	SIPO	YZ	74354535
2505093	8268	1997-08-07	VYDAJ	PREVOD NA UCET	1999	16478	SIPO	YZ	74354535
2505094	8268	1997-09-07	VYDAJ	PREVOD NA UCET	1999	20283	SIPO	YZ	74354535
2505095	8268	1997-10-07	VYDAJ	PREVOD NA UCET	1999	21516	SIPO	YZ	74354535
2505096	8268	1997-11-07	VYDAJ	PREVOD NA UCET	1999	21777	SIPO	YZ	74354535
2505097	8268	1997-12-07	VYDAJ	PREVOD NA UCET	1999	24529	SIPO	YZ	74354535
2505098	8268	1998-01-07	VYDAJ	PREVOD NA UCET	1999	28623	SIPO	YZ	74354535
2505099	8268	1998-02-07	VYDAJ	PREVOD NA UCET	1999	21895	SIPO	YZ	74354535
2505100	8268	1998-03-07	VYDAJ	PREVOD NA UCET	1999	34508	SIPO	YZ	74354535
2505101	8268	1998-04-07	VYDAJ	PREVOD NA UCET	1999	40755	SIPO	YZ	74354535
2505102	8268	1998-05-07	VYDAJ	PREVOD NA UCET	1999	50299	SIPO	YZ	74354535
2505103	8268	1998-06-07	VYDAJ	PREVOD NA UCET	1999	16825	SIPO	YZ	74354535
2505104	8268	1998-07-07	VYDAJ	PREVOD NA UCET	1999	42144	SIPO	YZ	74354535
2505105	8268	1998-08-07	VYDAJ	PREVOD NA UCET	1999	52503	SIPO	YZ	74354535
2505106	8268	1998-09-07	VYDAJ	PREVOD NA UCET	1999	46402	SIPO	YZ	74354535
2505107	8268	1998-10-07	VYDAJ	PREVOD NA UCET	1999	47826	SIPO	YZ	74354535
2505108	8268	1998-11-07	VYDAJ	PREVOD NA UCET	1999	54471	SIPO	YZ	74354535
2505109	8268	1998-12-07	VYDAJ	PREVOD NA UCET	1999	57822	SIPO	YZ	74354535
2505124	8268	1997-03-06	VYDAJ	PREVOD NA UCET	5870	27012	 	UV	88068616
2505125	8268	1997-04-06	VYDAJ	PREVOD NA UCET	5870	21273	 	UV	88068616
2505126	8268	1997-05-06	VYDAJ	PREVOD NA UCET	5870	20703	 	UV	88068616
2505127	8268	1997-06-06	VYDAJ	PREVOD NA UCET	5870	13833	 	UV	88068616
2505128	8268	1997-07-06	VYDAJ	PREVOD NA UCET	5870	15454	 	UV	88068616
2505129	8268	1997-08-06	VYDAJ	PREVOD NA UCET	5870	18777	 	UV	88068616
2505130	8268	1997-09-06	VYDAJ	PREVOD NA UCET	5870	22282	 	UV	88068616
2505131	8268	1997-10-06	VYDAJ	PREVOD NA UCET	5870	23515	 	UV	88068616
2505132	8268	1997-11-06	VYDAJ	PREVOD NA UCET	5870	23776	 	UV	88068616
2505133	8268	1997-12-06	VYDAJ	PREVOD NA UCET	5870	26528	 	UV	88068616
2505134	8268	1998-01-06	VYDAJ	PREVOD NA UCET	5870	30622	 	UV	88068616
2505135	8268	1998-02-06	VYDAJ	PREVOD NA UCET	5870	23894	 	UV	88068616
2505136	8268	1998-03-06	VYDAJ	PREVOD NA UCET	5870	36507	 	UV	88068616
2505137	8268	1998-04-06	VYDAJ	PREVOD NA UCET	5870	42754	 	UV	88068616
2505138	8268	1998-05-06	VYDAJ	PREVOD NA UCET	5870	52298	 	UV	88068616
2505139	8268	1998-06-06	VYDAJ	PREVOD NA UCET	5870	18824	 	UV	88068616
2505140	8268	1998-07-06	VYDAJ	PREVOD NA UCET	5870	44143	 	UV	88068616
2505141	8268	1998-08-06	VYDAJ	PREVOD NA UCET	5870	54502	 	UV	88068616
2505142	8268	1998-09-06	VYDAJ	PREVOD NA UCET	5870	48401	 	UV	88068616
2505143	8268	1998-10-06	VYDAJ	PREVOD NA UCET	5870	49825	 	UV	88068616
2505144	8268	1998-11-06	VYDAJ	PREVOD NA UCET	5870	56470	 	UV	88068616
2505145	8268	1998-12-06	VYDAJ	PREVOD NA UCET	5870	59821	 	UV	88068616
2505160	8268	1997-03-20	VYDAJ	VYBER	300	26914	\N	\N	0
2505161	8268	1997-04-08	VYDAJ	VYBER	200	19074	\N	\N	0
2505162	8268	1997-05-15	VYDAJ	VYBER	200	28085	\N	\N	0
2505163	8268	1997-06-04	VYDAJ	VYBER	200	19703	\N	\N	0
2505164	8268	1997-07-12	VYDAJ	VYBER	200	13255	\N	\N	0
2505165	8268	1997-08-06	VYDAJ	VYBER	300	18477	\N	\N	0
2505166	8268	1997-09-05	VYDAJ	VYBER	300	28152	\N	\N	0
2505167	8268	1997-10-12	VYDAJ	PREVOD NA UCET	359	21157	UVER	ST	69461178
2505168	8268	1997-11-12	VYDAJ	PREVOD NA UCET	359	18178	UVER	ST	69461178
2505169	8268	1997-12-12	VYDAJ	PREVOD NA UCET	359	24170	UVER	ST	69461178
2505170	8268	1998-01-12	VYDAJ	PREVOD NA UCET	359	33764	UVER	ST	69461178
2505171	8268	1998-02-12	VYDAJ	PREVOD NA UCET	359	29436	UVER	ST	69461178
2505172	8268	1998-03-12	VYDAJ	PREVOD NA UCET	359	34149	UVER	ST	69461178
2505173	8268	1998-04-12	VYDAJ	PREVOD NA UCET	359	45096	UVER	ST	69461178
2505174	8268	1998-05-12	VYDAJ	PREVOD NA UCET	359	49140	UVER	ST	69461178
2505175	8268	1998-06-12	VYDAJ	PREVOD NA UCET	359	30666	UVER	ST	69461178
2505176	8268	1998-07-12	VYDAJ	PREVOD NA UCET	359	47285	UVER	ST	69461178
2505177	8268	1998-08-12	VYDAJ	PREVOD NA UCET	359	46644	UVER	ST	69461178
2505178	8268	1998-09-12	VYDAJ	PREVOD NA UCET	359	46543	UVER	ST	69461178
2505179	8268	1998-10-12	VYDAJ	PREVOD NA UCET	359	50667	UVER	ST	69461178
2505180	8268	1998-11-12	VYDAJ	PREVOD NA UCET	359	52512	UVER	ST	69461178
2505181	8268	1998-12-12	VYDAJ	PREVOD NA UCET	359	57263	UVER	ST	69461178
2505183	8268	1997-06-14	VYDAJ	VYBER	7200	23685	\N	\N	\N
2505184	8268	1998-06-01	VYDAJ	VYBER	37600	24694	\N	\N	\N
2505187	8268	1998-01-18	VYDAJ	VYBER	14880	29545	\N	\N	\N
2505189	8268	1997-12-16	VYDAJ	VYBER	3680	36241	\N	\N	\N
2505190	8268	1998-12-28	VYDAJ	VYBER	4000	72315	\N	\N	\N
2505196	8268	1997-07-28	VYDAJ	VYBER	2760	24496	\N	\N	\N
2505197	8268	1997-05-11	VYDAJ	VYBER	3120	15584	\N	\N	\N
2505198	8268	1997-05-27	VYDAJ	VYBER	5760	19725	\N	\N	\N
2505199	8268	1997-11-11	VYDAJ	VYBER	3240	18537	\N	\N	\N
2505200	8268	1998-10-30	VYDAJ	VYBER	1440	61928	\N	\N	\N
2505201	8268	1998-01-12	VYDAJ	VYBER	2040	31724	\N	\N	\N
2505202	8268	1998-09-17	VYDAJ	VYBER	3960	55284	\N	\N	\N
2505203	8268	1998-09-03	VYDAJ	VYBER	5520	54271	\N	\N	\N
2505218	8268	1997-02-28	VYDAJ	VYBER	15	32882	SLUZBY	\N	\N
2505219	8268	1997-03-31	VYDAJ	VYBER	15	27143	SLUZBY	\N	\N
2505220	8268	1997-04-30	VYDAJ	VYBER	15	26573	SLUZBY	\N	\N
2505221	8268	1997-05-31	VYDAJ	VYBER	15	19903	SLUZBY	\N	\N
2505222	8268	1997-06-30	VYDAJ	VYBER	15	21324	SLUZBY	\N	\N
2505223	8268	1997-07-31	VYDAJ	VYBER	15	24647	SLUZBY	\N	\N
2505224	8268	1997-08-31	VYDAJ	VYBER	15	28452	SLUZBY	\N	\N
2505225	8268	1997-09-30	VYDAJ	VYBER	15	29385	SLUZBY	\N	\N
2505226	8268	1997-10-31	VYDAJ	VYBER	15	29646	SLUZBY	\N	\N
2505227	8268	1997-11-30	VYDAJ	VYBER	15	32398	SLUZBY	\N	\N
2505228	8268	1997-12-31	VYDAJ	VYBER	15	36492	SLUZBY	\N	\N
2505229	8268	1998-01-31	VYDAJ	VYBER	15	29764	SLUZBY	\N	\N
2505230	8268	1998-02-28	VYDAJ	VYBER	15	42377	SLUZBY	\N	\N
2505231	8268	1998-03-31	VYDAJ	VYBER	15	48624	SLUZBY	\N	\N
2505232	8268	1998-04-30	VYDAJ	VYBER	15	58168	SLUZBY	\N	\N
2505233	8268	1998-05-31	VYDAJ	VYBER	15	62294	SLUZBY	\N	\N
2505234	8268	1998-06-30	VYDAJ	VYBER	15	50013	SLUZBY	\N	\N
2505235	8268	1998-07-31	VYDAJ	VYBER	15	60372	SLUZBY	\N	\N
2505236	8268	1998-08-31	VYDAJ	VYBER	15	59791	SLUZBY	\N	\N
2505237	8268	1998-09-30	VYDAJ	VYBER	15	55695	SLUZBY	\N	\N
2505238	8268	1998-10-31	VYDAJ	VYBER	15	62340	SLUZBY	\N	\N
2505239	8268	1998-11-30	VYDAJ	VYBER	15	65691	SLUZBY	\N	\N
2505240	8268	1996-10-19	PRIJEM	VKLAD	3100	16201	\N	\N	\N
2505241	8268	1996-11-18	VYDAJ	VYBER	2800	26156	\N	\N	\N
2505242	8268	1996-12-18	VYDAJ	VYBER	14200	31137	\N	\N	\N
2505243	8268	1997-01-17	VYDAJ	VYBER	12400	31610	\N	\N	\N
2505244	8268	1997-02-16	VYDAJ	VYBER	11800	32701	\N	\N	\N
2505245	8268	1997-03-18	VYDAJ	VYBER	10500	27214	\N	\N	\N
2505246	8268	1997-04-17	VYDAJ	VYBER	5400	26375	\N	\N	\N
2505247	8268	1997-05-17	VYDAJ	VYBER	2600	25485	\N	\N	\N
2505248	8268	1997-06-16	VYDAJ	VYBER	2500	21185	\N	\N	\N
2505249	8268	1997-07-16	PRIJEM	VKLAD	1300	27256	\N	\N	\N
2505250	8268	1997-08-15	VYDAJ	VYBER	900	28279	\N	\N	\N
2505251	8268	1997-09-14	VYDAJ	VYBER	3800	29184	\N	\N	\N
2505252	8268	1997-10-14	VYDAJ	VYBER	4400	29458	\N	\N	\N
2505253	8268	1997-11-13	PRIJEM	VKLAD	1300	32179	\N	\N	\N
2505254	8268	1997-12-13	VYDAJ	VYBER	3300	39921	\N	\N	\N
2505255	8268	1998-01-12	PRIJEM	VKLAD	5500	34123	\N	\N	\N
2505256	8268	1998-02-11	PRIJEM	VKLAD	7900	29795	\N	\N	\N
2505257	8268	1998-03-13	PRIJEM	VKLAD	1500	35649	\N	\N	\N
2505258	8268	1998-04-12	PRIJEM	VKLAD	4700	45455	\N	\N	\N
2505259	8268	1998-05-12	VYDAJ	VYBER	800	49499	\N	\N	\N
2505260	8268	1998-06-11	PRIJEM	VKLAD	14200	31025	\N	\N	\N
2505261	8268	1998-07-11	PRIJEM	VKLAD	5500	47644	\N	\N	\N
2505262	8268	1998-08-10	VYDAJ	VYBER	5500	47003	\N	\N	\N
2505263	8268	1998-09-09	PRIJEM	VKLAD	500	46902	\N	\N	\N
2505264	8268	1998-10-09	PRIJEM	VKLAD	3200	51026	\N	\N	\N
2505265	8268	1998-11-08	VYDAJ	VYBER	1600	52871	\N	\N	\N
2505266	8268	1998-12-08	VYDAJ	VYBER	200	57622	\N	\N	\N
2520301	8316	1994-06-04	PRIJEM	VKLAD	900	900	\N	\N	\N
2520307	8316	1994-11-16	PRIJEM	VKLAD	43785	76459	\N	\N	\N
2520308	8316	1994-12-25	PRIJEM	VKLAD	34923	112839	\N	\N	\N
2520309	8316	1994-08-03	PRIJEM	VKLAD	24177	47504	\N	\N	\N
2520312	8316	1994-12-12	PRIJEM	VKLAD	37102	86016	\N	\N	\N
2520313	8316	1994-09-30	PRIJEM	VKLAD	36620	88453	\N	\N	\N
2520316	8316	1994-06-07	PRIJEM	VKLAD	12054	12954	\N	\N	\N
2520318	8316	1994-08-14	PRIJEM	VKLAD	38529	74133	\N	\N	\N
2520319	8316	1994-10-11	PRIJEM	VKLAD	11829	69768	\N	\N	\N
2520320	8316	1994-06-22	PRIJEM	VKLAD	11658	24612	\N	\N	\N
2520322	8316	1995-09-25	PRIJEM	VKLAD	17840	42975	\N	\N	\N
2520323	8316	1995-06-02	PRIJEM	VKLAD	39943	94307	\N	\N	\N
2520324	8316	1995-04-03	PRIJEM	VKLAD	22272	45302	\N	\N	\N
2520325	8316	1995-06-24	PRIJEM	VKLAD	6372	110539	\N	\N	\N
2520326	8316	1995-05-19	PRIJEM	VKLAD	49040	75681	\N	\N	\N
2520327	8316	1995-10-10	PRIJEM	VKLAD	12464	53886	\N	\N	\N
2520328	8316	1995-06-09	PRIJEM	VKLAD	15476	109783	\N	\N	\N
2520329	8316	1995-11-04	PRIJEM	VKLAD	39821	84430	\N	\N	\N
2520330	8316	1996-12-25	PRIJEM	VKLAD	45856	89925	\N	\N	\N
2520331	8316	1996-05-11	PRIJEM	VKLAD	32384	71848	\N	\N	\N
2520332	8316	1996-09-03	PRIJEM	VKLAD	35691	118255	\N	\N	\N
2520333	8316	1996-07-13	PRIJEM	VKLAD	38915	68062	\N	\N	\N
2520334	8316	1996-11-29	PRIJEM	VKLAD	31651	70752	\N	\N	\N
2520335	8316	1996-11-13	PRIJEM	VKLAD	22180	60562	\N	\N	\N
2520336	8316	1996-09-01	PRIJEM	VKLAD	12624	82564	\N	\N	\N
2520337	8316	1996-03-23	PRIJEM	VKLAD	45286	70936	\N	\N	\N
2520338	8316	1996-10-07	PRIJEM	VKLAD	34709	91776	\N	\N	\N
2520339	8316	1996-02-17	PRIJEM	VKLAD	11248	46337	\N	\N	\N
2520340	8316	1996-02-01	PRIJEM	VKLAD	18169	40705	\N	\N	\N
2520341	8316	1996-08-10	PRIJEM	VKLAD	40568	93810	\N	\N	\N
2520342	8316	1996-01-04	PRIJEM	VKLAD	40637	74774	\N	\N	\N
2520343	8316	1996-04-10	PRIJEM	VKLAD	5060	74179	\N	\N	\N
2520344	8316	1996-02-21	PRIJEM	VKLAD	11567	57904	\N	\N	\N
2520345	8316	1996-08-22	PRIJEM	VKLAD	17930	106124	\N	\N	\N
2520346	8316	1996-03-28	PRIJEM	VKLAD	32936	68872	\N	\N	\N
2520347	8316	1997-01-10	PRIJEM	VKLAD	37025	127462	\N	\N	\N
2520348	8316	1997-01-23	PRIJEM	VKLAD	24802	66432	\N	\N	\N
2520349	8316	1997-03-26	PRIJEM	VKLAD	40801	81882	\N	\N	\N
2520350	8316	1997-12-01	PRIJEM	VKLAD	36307	114888	\N	\N	\N
2520351	8316	1997-12-07	PRIJEM	VKLAD	32045	164897	\N	\N	\N
2520352	8316	1997-02-13	PRIJEM	VKLAD	26790	87711	\N	\N	\N
2520353	8316	1997-09-01	PRIJEM	VKLAD	29911	97996	\N	\N	\N
2520354	8316	1997-02-09	PRIJEM	VKLAD	39244	125666	\N	\N	\N
2520355	8316	1997-01-28	PRIJEM	VKLAD	21953	83585	\N	\N	\N
2520356	8316	1997-04-17	PRIJEM	VKLAD	12289	68056	\N	\N	\N
2520357	8316	1997-06-02	PRIJEM	VKLAD	46395	101774	\N	\N	\N
2520358	8316	1997-09-02	PRIJEM	VKLAD	25569	123565	\N	\N	\N
2520359	8316	1997-05-09	PRIJEM	VKLAD	15645	63216	\N	\N	\N
2520360	8316	1997-09-27	PRIJEM	VKLAD	16388	78953	\N	\N	\N
2520361	8316	1997-12-06	PRIJEM	VKLAD	46064	160952	\N	\N	\N
2520362	8316	1997-08-14	PRIJEM	VKLAD	47601	91368	\N	\N	\N
2520363	8316	1997-11-17	PRIJEM	VKLAD	33976	81094	\N	\N	\N
2520364	8316	1997-06-14	PRIJEM	VKLAD	46756	148530	\N	\N	\N
2520365	8316	1997-02-08	PRIJEM	VKLAD	7936	86422	\N	\N	\N
2520366	8316	1997-01-16	PRIJEM	VKLAD	6484	81830	\N	\N	\N
2520367	8316	1998-04-01	PRIJEM	VKLAD	26056	91989	\N	\N	\N
2520368	8316	1998-12-04	PRIJEM	VKLAD	38559	88041	\N	\N	\N
2520369	8316	1998-08-29	PRIJEM	VKLAD	40618	107358	\N	\N	\N
2520370	8316	1998-04-13	PRIJEM	VKLAD	32441	126573	\N	\N	\N
2520371	8316	1998-08-30	PRIJEM	VKLAD	10975	118333	\N	\N	\N
2520372	8316	1998-07-25	PRIJEM	VKLAD	39451	150679	\N	\N	\N
2520373	8316	1998-05-30	PRIJEM	VKLAD	18274	59904	\N	\N	\N
2520374	8316	1998-04-08	PRIJEM	VKLAD	8043	94132	\N	\N	\N
2520375	8316	1998-07-08	PRIJEM	VKLAD	31734	70903	\N	\N	\N
2520376	8316	1998-01-21	PRIJEM	VKLAD	49316	107588	\N	\N	\N
2520377	8316	1998-01-05	PRIJEM	VKLAD	44349	170072	\N	\N	\N
2520378	8316	1998-04-24	PRIJEM	VKLAD	38334	86847	\N	\N	\N
2520379	8316	1998-07-18	PRIJEM	VKLAD	39840	111228	\N	\N	\N
2520380	8316	1998-12-30	PRIJEM	VKLAD	36712	92753	\N	\N	\N
2520381	8316	1998-10-30	PRIJEM	VKLAD	15859	84186	\N	\N	\N
2520382	8316	1998-09-14	PRIJEM	VKLAD	6439	71143	\N	\N	\N
2520383	8316	1998-05-14	PRIJEM	VKLAD	18441	68510	\N	\N	\N
2520384	8316	1998-01-01	PRIJEM	VKLAD	29961	79220	\N	\N	\N
2520385	8316	1998-05-16	PRIJEM	VKLAD	7708	68818	\N	\N	\N
2520386	8316	1998-01-02	PRIJEM	VKLAD	46503	125723	\N	\N	\N
2520387	8316	1998-12-30	PRIJEM	VKLAD	49823	142576	\N	\N	\N
2520388	8316	1998-03-14	PRIJEM	VKLAD	49653	92728	\N	\N	\N
2520389	8316	1998-10-12	PRIJEM	VKLAD	25192	70592	\N	\N	\N
2520390	8316	1998-07-13	PRIJEM	VKLAD	26185	97088	\N	\N	\N
2520400	8316	1994-10-16	VYDAJ	VYBER	6200	63568	\N	\N	0
2520401	8316	1994-11-05	VYDAJ	VYBER	6800	32674	\N	\N	0
2520402	8316	1994-12-03	VYDAJ	VYBER	5000	48914	\N	\N	0
2520403	8316	1995-01-20	VYDAJ	VYBER	5700	16511	\N	\N	0
2520404	8316	1995-02-21	VYDAJ	VYBER	5800	15467	\N	\N	0
2520405	8316	1995-03-07	VYDAJ	VYBER	4900	16219	\N	\N	0
2520406	8316	1995-04-12	VYDAJ	PREVOD NA UCET	5616	39686	UVER	ST	47769522
2520407	8316	1995-05-12	VYDAJ	PREVOD NA UCET	5616	26641	UVER	ST	47769522
2520408	8316	1995-06-12	VYDAJ	PREVOD NA UCET	5616	104167	UVER	ST	47769522
2520409	8316	1995-07-12	VYDAJ	PREVOD NA UCET	5616	57112	UVER	ST	47769522
2520410	8316	1995-08-12	VYDAJ	PREVOD NA UCET	5616	34140	UVER	ST	47769522
2520411	8316	1995-09-12	VYDAJ	PREVOD NA UCET	5616	25135	UVER	ST	47769522
2520412	8316	1995-10-12	VYDAJ	PREVOD NA UCET	5616	48270	UVER	ST	47769522
2520413	8316	1995-11-12	VYDAJ	PREVOD NA UCET	5616	78814	UVER	ST	47769522
2520414	8316	1995-12-12	VYDAJ	PREVOD NA UCET	5616	44211	UVER	ST	47769522
2520415	8316	1996-01-12	VYDAJ	PREVOD NA UCET	5616	54458	UVER	ST	47769522
2520416	8316	1996-02-12	VYDAJ	PREVOD NA UCET	5616	35089	UVER	ST	47769522
2520417	8316	1996-03-12	VYDAJ	PREVOD NA UCET	5616	25650	UVER	ST	47769522
2520418	8316	1996-04-12	VYDAJ	PREVOD NA UCET	5616	68563	UVER	ST	47769522
2520419	8316	1996-05-12	VYDAJ	PREVOD NA UCET	5616	66232	UVER	ST	47769522
2520420	8316	1996-06-12	VYDAJ	PREVOD NA UCET	5616	32249	UVER	ST	47769522
2520421	8316	1996-07-12	VYDAJ	PREVOD NA UCET	5616	29147	UVER	ST	47769522
2520422	8316	1996-08-12	VYDAJ	PREVOD NA UCET	5616	88194	UVER	ST	47769522
2520423	8316	1996-09-12	VYDAJ	PREVOD NA UCET	5616	78139	UVER	ST	47769522
2520424	8316	1996-10-12	VYDAJ	PREVOD NA UCET	5616	86160	UVER	ST	47769522
2520425	8316	1996-11-12	VYDAJ	PREVOD NA UCET	5616	38382	UVER	ST	47769522
2520426	8316	1996-12-12	VYDAJ	PREVOD NA UCET	5616	60369	UVER	ST	47769522
2520427	8316	1997-01-12	VYDAJ	PREVOD NA UCET	5616	75346	UVER	ST	47769522
2520428	8316	1997-02-12	VYDAJ	PREVOD NA UCET	5616	60921	UVER	ST	47769522
2520429	8316	1997-03-12	VYDAJ	PREVOD NA UCET	5616	57581	UVER	ST	47769522
2520430	8316	1997-04-20	VYDAJ	VYBER	4400	52856	\N	\N	0
2520431	8316	1997-05-07	VYDAJ	VYBER	5600	47571	\N	\N	0
2520432	8316	1997-06-15	VYDAJ	VYBER	4800	97430	\N	\N	0
2520433	8316	1997-07-02	VYDAJ	VYBER	4500	67638	\N	\N	0
2520434	8316	1997-08-15	VYDAJ	VYBER	4500	86868	\N	\N	0
2520435	8316	1997-09-04	VYDAJ	VYBER	6600	83165	\N	\N	0
2520436	8316	1997-10-10	VYDAJ	VYBER	6800	72718	\N	\N	0
2520437	8316	1997-11-13	VYDAJ	VYBER	4800	54118	\N	\N	0
2520438	8316	1997-12-14	VYDAJ	VYBER	5600	65897	\N	\N	0
2520439	8316	1998-01-09	VYDAJ	VYBER	5000	102172	\N	\N	0
2520440	8316	1998-02-14	VYDAJ	VYBER	5400	49505	\N	\N	0
2520441	8316	1998-03-13	VYDAJ	VYBER	6700	43075	\N	\N	0
2520442	8316	1998-04-05	VYDAJ	VYBER	5900	86089	\N	\N	0
2520443	8316	1998-05-16	VYDAJ	VYBER	6300	62518	\N	\N	0
2520444	8316	1998-06-09	VYDAJ	VYBER	5100	42059	\N	\N	0
2520445	8316	1998-07-03	VYDAJ	VYBER	5100	39169	\N	\N	0
2520446	8316	1998-08-02	VYDAJ	VYBER	4800	91540	\N	\N	0
2520447	8316	1998-09-20	VYDAJ	VYBER	5500	65643	\N	\N	0
2520448	8316	1998-10-08	VYDAJ	VYBER	5000	61100	\N	\N	0
2520449	8316	1998-11-05	VYDAJ	VYBER	5900	78746	\N	\N	0
2520450	8316	1998-12-15	VYDAJ	VYBER	5700	56041	\N	\N	0
2520452	8316	1994-12-30	VYBER	VYBER	17434	36605	\N	\N	\N
2520456	8316	1994-10-19	VYBER	VYBER	13634	49934	\N	\N	\N
2520461	8316	1995-04-19	VYBER	VYBER	6063	33623	\N	\N	\N
2520462	8316	1995-12-22	VYBER	VYBER	5036	39175	\N	\N	\N
2520465	8316	1996-10-15	VYBER	VYBER	20583	54177	\N	\N	\N
2520467	8316	1996-06-08	VYBER	VYBER	11803	37865	\N	\N	\N
2520468	8316	1996-01-14	VYBER	VYBER	18910	35548	\N	\N	\N
2520469	8316	1996-04-18	VYBER	VYBER	24528	44035	\N	\N	\N
2520470	8316	1996-11-17	VYBER	VYBER	21461	39101	\N	\N	\N
2520471	8316	1997-02-09	VYBER	VYBER	21729	103937	\N	\N	\N
2520472	8316	1997-04-07	VYBER	VYBER	13820	55767	\N	\N	\N
2520473	8316	1998-01-23	VYBER	VYBER	21095	72117	\N	\N	\N
2520474	8316	1998-05-21	VYBER	VYBER	18488	44030	\N	\N	\N
2520475	8316	1998-05-13	VYBER	VYBER	11735	50069	\N	\N	\N
2520477	8316	1998-04-14	VYBER	VYBER	8560	57313	\N	\N	\N
2520480	8316	1998-03-26	VYBER	VYBER	2235	65593	\N	\N	\N
2520481	8316	1998-05-01	VYBER	VYBER	12348	75004	\N	\N	\N
2520482	8316	1998-01-21	VYBER	VYBER	14376	93212	\N	\N	\N
2520483	8316	1998-10-20	VYBER	VYBER	2265	68327	\N	\N	\N
2520488	8316	1998-06-01	VYDAJ	VYBER	13200	47159	\N	\N	\N
2520489	8316	1994-12-14	VYDAJ	VYBER	8100	77916	\N	\N	\N
2520490	8316	1995-12-08	VYDAJ	VYBER	5400	49827	\N	\N	\N
2520491	8316	1996-12-07	VYDAJ	VYBER	5100	65985	\N	\N	\N
2520492	8316	1997-12-15	VYDAJ	VYBER	5100	48697	\N	\N	\N
2520493	8316	1998-12-01	VYDAJ	VYBER	5700	49482	\N	\N	\N
2520502	8316	1995-01-05	VYDAJ	VYBER	2400	22211	\N	\N	\N
2520503	8316	1995-01-02	VYDAJ	VYBER	7200	24611	\N	\N	\N
2520506	8316	1996-01-27	VYDAJ	VYBER	8700	22248	\N	\N	\N
2520507	8316	1996-01-14	VYDAJ	VYBER	3900	28948	\N	\N	\N
2520508	8316	1996-01-04	VYDAJ	VYBER	7500	67274	\N	\N	\N
2520509	8316	1996-01-23	VYDAJ	VYBER	4800	24148	\N	\N	\N
2520510	8316	1996-01-14	VYDAJ	VYBER	2700	32848	\N	\N	\N
2520511	8316	1996-01-08	VYDAJ	VYBER	7200	60074	\N	\N	\N
2520512	8316	1997-01-29	VYDAJ	VYBER	5700	77885	\N	\N	\N
2520513	8316	1997-01-25	VYDAJ	VYBER	4800	61632	\N	\N	\N
2520514	8316	1997-01-16	VYDAJ	VYBER	3900	77930	\N	\N	\N
2520515	8316	1997-01-21	VYDAJ	VYBER	5100	41630	\N	\N	\N
2520516	8316	1997-01-21	VYDAJ	VYBER	7800	46730	\N	\N	\N
2520517	8316	1997-01-16	VYDAJ	VYBER	7500	70430	\N	\N	\N
2520518	8316	1998-01-30	VYDAJ	VYBER	3600	62517	\N	\N	\N
2520519	8316	1998-01-24	VYDAJ	VYBER	4200	67917	\N	\N	\N
2520520	8316	1998-01-15	VYDAJ	VYBER	2700	65172	\N	\N	\N
2520521	8316	1998-01-14	VYDAJ	VYBER	5400	67872	\N	\N	\N
2520522	8316	1998-01-15	VYDAJ	VYBER	6900	58272	\N	\N	\N
2520523	8316	1998-01-26	VYDAJ	VYBER	1800	66117	\N	\N	\N
2520526	8316	1994-12-30	VYDAJ	VYBER	5400	31205	\N	\N	\N
2520527	8316	1995-08-05	VYDAJ	VYBER	7500	39756	\N	\N	\N
2520529	8316	1995-08-26	VYDAJ	VYBER	12000	22140	\N	\N	\N
2520530	8316	1996-10-13	VYDAJ	VYBER	11400	74760	\N	\N	\N
2520531	8316	1996-03-05	VYDAJ	VYBER	3900	43867	\N	\N	\N
2520532	8316	1996-03-10	VYDAJ	VYBER	12600	31267	\N	\N	\N
2520533	8316	1996-12-17	VYDAJ	VYBER	5100	55269	\N	\N	\N
2520534	8316	1996-03-26	VYDAJ	VYBER	10200	35936	\N	\N	\N
2520535	8316	1996-03-24	VYDAJ	VYBER	14700	56236	\N	\N	\N
2520536	8316	1997-12-12	VYDAJ	VYBER	8100	71497	\N	\N	\N
2520537	8316	1997-11-20	VYDAJ	VYBER	3000	78094	\N	\N	\N
2520538	8316	1997-03-19	VYDAJ	VYBER	13200	44381	\N	\N	\N
2520539	8316	1997-03-31	VYDAJ	VYBER	12600	69587	\N	\N	\N
2520540	8316	1997-07-11	VYDAJ	VYBER	13200	54438	\N	\N	\N
2520541	8316	1997-07-28	VYDAJ	VYBER	8700	43438	\N	\N	\N
2520542	8316	1998-05-11	VYDAJ	VYBER	13200	61804	\N	\N	\N
2520543	8316	1998-05-25	VYDAJ	VYBER	2400	41630	\N	\N	\N
2520544	8316	1998-09-05	VYDAJ	VYBER	10500	108404	\N	\N	\N
2520545	8316	1998-09-13	VYDAJ	VYBER	6600	64704	\N	\N	\N
2520555	8316	1994-09-30	VYDAJ	VYBER	15	88439	SLUZBY	\N	\N
2520556	8316	1994-10-31	VYDAJ	VYBER	15	50474	SLUZBY	\N	\N
2520557	8316	1994-11-30	VYDAJ	VYBER	15	76914	SLUZBY	\N	\N
2520558	8316	1994-12-31	VYDAJ	VYBER	15	31811	SLUZBY	\N	\N
2520559	8316	1995-01-31	VYDAJ	VYBER	15	21267	SLUZBY	\N	\N
2520560	8316	1995-02-28	VYDAJ	VYBER	15	15619	SLUZBY	\N	\N
2520561	8316	1995-03-31	VYDAJ	VYBER	15	23030	SLUZBY	\N	\N
2520562	8316	1995-04-30	VYDAJ	VYBER	15	32257	SLUZBY	\N	\N
2520563	8316	1995-05-31	VYDAJ	VYBER	15	54364	SLUZBY	\N	\N
2520564	8316	1995-06-30	VYDAJ	VYBER	15	62728	SLUZBY	\N	\N
2520565	8316	1995-07-31	VYDAJ	VYBER	15	47256	SLUZBY	\N	\N
2520566	8316	1995-08-31	VYDAJ	VYBER	15	30751	SLUZBY	\N	\N
2520567	8316	1995-09-30	VYDAJ	VYBER	15	41422	SLUZBY	\N	\N
2520568	8316	1995-10-31	VYDAJ	VYBER	15	44609	SLUZBY	\N	\N
2520569	8316	1995-11-30	VYDAJ	VYBER	15	55227	SLUZBY	\N	\N
2520570	8316	1995-12-31	VYDAJ	VYBER	15	34137	SLUZBY	\N	\N
2520571	8316	1996-01-31	VYDAJ	VYBER	15	22536	SLUZBY	\N	\N
2520572	8316	1996-02-29	VYDAJ	VYBER	15	47767	SLUZBY	\N	\N
2520573	8316	1996-03-31	VYDAJ	VYBER	15	69119	SLUZBY	\N	\N
2520574	8316	1996-04-30	VYDAJ	VYBER	15	39464	SLUZBY	\N	\N
2520575	8316	1996-05-31	VYDAJ	VYBER	15	49668	SLUZBY	\N	\N
2520576	8316	1996-06-30	VYDAJ	VYBER	15	34763	SLUZBY	\N	\N
2520577	8316	1996-07-31	VYDAJ	VYBER	15	53242	SLUZBY	\N	\N
2520578	8316	1996-08-31	VYDAJ	VYBER	15	69940	SLUZBY	\N	\N
2520579	8316	1996-09-30	VYDAJ	VYBER	15	57067	SLUZBY	\N	\N
2520580	8316	1996-10-31	VYDAJ	VYBER	15	43998	SLUZBY	\N	\N
2520581	8316	1996-11-30	VYDAJ	VYBER	15	71085	SLUZBY	\N	\N
2520582	8316	1996-12-31	VYDAJ	VYBER	15	90437	SLUZBY	\N	\N
2520583	8316	1997-01-31	VYDAJ	VYBER	15	78486	SLUZBY	\N	\N
2520584	8316	1997-02-28	VYDAJ	VYBER	15	63198	SLUZBY	\N	\N
2520585	8316	1997-03-31	VYDAJ	VYBER	15	82187	SLUZBY	\N	\N
2520586	8316	1997-04-30	VYDAJ	VYBER	15	53171	SLUZBY	\N	\N
2520587	8316	1997-05-31	VYDAJ	VYBER	15	55379	SLUZBY	\N	\N
2520588	8316	1997-06-30	VYDAJ	VYBER	15	72138	SLUZBY	\N	\N
2520589	8316	1997-07-31	VYDAJ	VYBER	15	43767	SLUZBY	\N	\N
2520590	8316	1997-08-31	VYDAJ	VYBER	15	68085	SLUZBY	\N	\N
2520591	8316	1997-09-30	VYDAJ	VYBER	15	79518	SLUZBY	\N	\N
2520592	8316	1997-10-31	VYDAJ	VYBER	15	58918	SLUZBY	\N	\N
2520593	8316	1997-11-30	VYDAJ	VYBER	15	78581	SLUZBY	\N	\N
2520594	8316	1997-12-31	VYDAJ	VYBER	15	49259	SLUZBY	\N	\N
2520595	8316	1998-01-31	VYDAJ	VYBER	15	63205	SLUZBY	\N	\N
2520596	8316	1998-02-28	VYDAJ	VYBER	15	49775	SLUZBY	\N	\N
2520597	8316	1998-03-31	VYDAJ	VYBER	15	65933	SLUZBY	\N	\N
2520598	8316	1998-04-30	VYDAJ	VYBER	15	87352	SLUZBY	\N	\N
2520599	8316	1998-05-31	VYDAJ	VYBER	15	60359	SLUZBY	\N	\N
2520600	8316	1998-06-30	VYDAJ	VYBER	15	44269	SLUZBY	\N	\N
2520601	8316	1998-07-31	VYDAJ	VYBER	15	96340	SLUZBY	\N	\N
2520602	8316	1998-08-31	VYDAJ	VYBER	15	118904	SLUZBY	\N	\N
2520603	8316	1998-09-30	VYDAJ	VYBER	15	66100	SLUZBY	\N	\N
2520604	8316	1998-10-31	VYDAJ	VYBER	15	84646	SLUZBY	\N	\N
2520605	8316	1998-11-30	VYDAJ	VYBER	15	55182	SLUZBY	\N	\N
2520606	8316	1994-07-04	VYDAJ	VYBER	1500	23224	\N	\N	\N
2520607	8316	1994-08-03	VYDAJ	VYBER	11900	35604	\N	\N	\N
2520608	8316	1994-09-02	VYDAJ	VYBER	23100	51510	\N	\N	\N
2520609	8316	1994-10-02	VYDAJ	VYBER	30500	57939	\N	\N	\N
2520610	8316	1994-11-01	VYDAJ	VYBER	11000	39474	\N	\N	\N
2520611	8316	1994-12-01	VYDAJ	VYBER	23000	53914	\N	\N	\N
2520612	8316	1994-12-25	VYDAJ	VYBER	58800	54039	\N	\N	\N
2520613	8316	1994-12-31	PRIJEM	VKLAD	100	31825	\N	\N	\N
2520614	8316	1995-01-30	PRIJEM	VKLAD	4600	21111	\N	\N	\N
2520615	8316	1995-03-01	PRIJEM	VKLAD	5500	21119	\N	\N	\N
2520616	8316	1995-03-31	PRIJEM	VKLAD	6700	22919	\N	\N	\N
2520617	8316	1995-04-30	VYDAJ	VYBER	1600	32272	\N	\N	\N
2520618	8316	1995-05-30	VYDAJ	VYBER	21700	53981	\N	\N	\N
2520619	8316	1995-06-24	VYDAJ	VYBER	15900	94639	\N	\N	\N
2520620	8316	1995-06-29	VYDAJ	VYBER	32600	62039	\N	\N	\N
2520621	8316	1995-07-29	VYDAJ	VYBER	10100	47012	\N	\N	\N
2520622	8316	1995-08-28	PRIJEM	VKLAD	8400	30540	\N	\N	\N
2520623	8316	1995-09-27	VYDAJ	VYBER	1700	41275	\N	\N	\N
2520624	8316	1995-10-27	VYDAJ	VYBER	4000	44270	\N	\N	\N
2520625	8316	1995-11-26	VYDAJ	VYBER	24000	54814	\N	\N	\N
2520626	8316	1995-12-26	VYDAJ	VYBER	5300	33875	\N	\N	\N
2520627	8316	1996-01-25	PRIJEM	VKLAD	6800	30948	\N	\N	\N
2520628	8316	1996-02-24	VYDAJ	VYBER	10400	47504	\N	\N	\N
2520629	8316	1996-03-25	VYDAJ	VYBER	10100	46136	\N	\N	\N
2520630	8316	1996-04-24	VYDAJ	VYBER	4900	39135	\N	\N	\N
2520631	8316	1996-05-24	VYDAJ	VYBER	16900	49332	\N	\N	\N
2520632	8316	1996-06-23	PRIJEM	VKLAD	2300	34549	\N	\N	\N
2520633	8316	1996-07-23	VYDAJ	VYBER	15200	52862	\N	\N	\N
2520634	8316	1996-08-22	VYDAJ	VYBER	36800	69324	\N	\N	\N
2520635	8316	1996-09-03	VYDAJ	VYBER	34500	83755	\N	\N	\N
2520636	8316	1996-09-21	VYDAJ	VYBER	21600	56539	\N	\N	\N
2520637	8316	1996-10-21	VYDAJ	VYBER	10500	43677	\N	\N	\N
2520638	8316	1996-12-20	VYDAJ	VYBER	11200	44069	\N	\N	\N
2520639	8316	1997-01-10	VYDAJ	VYBER	46500	80962	\N	\N	\N
2520640	8316	1997-01-19	VYDAJ	VYBER	15900	54530	\N	\N	\N
2520641	8316	1997-02-09	VYDAJ	VYBER	37400	66537	\N	\N	\N
2520642	8316	1997-02-18	VYDAJ	VYBER	25100	62611	\N	\N	\N
2520643	8316	1997-03-20	VYDAJ	VYBER	3300	41081	\N	\N	\N
2520644	8316	1997-04-19	VYDAJ	VYBER	10800	57256	\N	\N	\N
2520645	8316	1997-05-19	VYDAJ	VYBER	8200	55016	\N	\N	\N
2520646	8316	1997-06-14	VYDAJ	VYBER	46300	102230	\N	\N	\N
2520647	8316	1997-06-18	VYDAJ	VYBER	25800	71630	\N	\N	\N
2520648	8316	1997-07-18	VYDAJ	VYBER	2300	52138	\N	\N	\N
2520649	8316	1997-08-17	VYDAJ	VYBER	19200	67668	\N	\N	\N
2520650	8316	1997-09-02	VYDAJ	VYBER	33800	89765	\N	\N	\N
2520651	8316	1997-09-16	VYDAJ	VYBER	20600	62565	\N	\N	\N
2520652	8316	1997-10-16	VYDAJ	VYBER	14300	58418	\N	\N	\N
2520653	8316	1997-11-15	VYDAJ	VYBER	7000	47118	\N	\N	\N
2520654	8316	1997-12-06	VYDAJ	VYBER	28100	132852	\N	\N	\N
2520655	8316	1997-12-07	VYDAJ	VYBER	27100	137797	\N	\N	\N
2520656	8316	1997-12-12	VYDAJ	VYBER	58200	79597	\N	\N	\N
2520657	8316	1997-12-15	VYDAJ	VYBER	12100	53797	\N	\N	\N
2520658	8316	1998-01-05	VYDAJ	VYBER	62900	107172	\N	\N	\N
2520659	8316	1998-01-14	VYDAJ	VYBER	28900	73272	\N	\N	\N
2520660	8316	1998-02-13	VYDAJ	VYBER	8300	54905	\N	\N	\N
2520661	8316	1998-03-15	VYDAJ	VYBER	24900	67828	\N	\N	\N
2520662	8316	1998-04-13	VYDAJ	VYBER	60700	65873	\N	\N	\N
2520663	8316	1998-04-14	VYDAJ	VYBER	8800	48513	\N	\N	\N
2520664	8316	1998-05-14	VYDAJ	VYBER	7400	61110	\N	\N	\N
2520665	8316	1998-06-13	PRIJEM	VKLAD	1900	43959	\N	\N	\N
2520666	8316	1998-07-13	VYDAJ	VYBER	25700	71388	\N	\N	\N
2520667	8316	1998-07-25	VYDAJ	VYBER	55000	95679	\N	\N	\N
2520668	8316	1998-08-12	VYDAJ	VYBER	24800	66740	\N	\N	\N
2520669	8316	1998-09-11	VYDAJ	VYBER	37100	71304	\N	\N	\N
2520670	8316	1998-10-11	VYDAJ	VYBER	15700	45400	\N	\N	\N
2520671	8316	1998-11-10	VYDAJ	VYBER	23900	54846	\N	\N	\N
2520672	8316	1998-12-10	VYDAJ	VYBER	26300	61741	\N	\N	\N
2520673	8316	1998-12-30	VYDAJ	VYBER	21200	121376	\N	\N	\N
2521559	8320	1997-01-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2521561	8320	1997-02-09	PRIJEM	PREVOD Z UCTU	30967	32067	\N	QR	91806137
2521562	8320	1997-03-09	PRIJEM	PREVOD Z UCTU	30967	60025	\N	QR	91806137
2521563	8320	1997-04-09	PRIJEM	PREVOD Z UCTU	30967	67678	\N	QR	91806137
2521564	8320	1997-05-09	PRIJEM	PREVOD Z UCTU	30967	70963	\N	QR	91806137
2521565	8320	1997-06-09	PRIJEM	PREVOD Z UCTU	46450	91258	\N	QR	91806137
2521566	8320	1997-07-09	PRIJEM	PREVOD Z UCTU	30967	68292	\N	QR	91806137
2521567	8320	1997-08-09	PRIJEM	PREVOD Z UCTU	30967	53548	\N	QR	91806137
2521568	8320	1997-09-09	PRIJEM	PREVOD Z UCTU	30967	53607	\N	QR	91806137
2521569	8320	1997-10-09	PRIJEM	PREVOD Z UCTU	30967	42705	\N	QR	91806137
2521570	8320	1997-11-09	PRIJEM	PREVOD Z UCTU	30967	49232	\N	QR	91806137
2521571	8320	1997-12-09	PRIJEM	PREVOD Z UCTU	46450	64962	\N	QR	91806137
2521572	8320	1998-01-09	PRIJEM	PREVOD Z UCTU	30967	51928	\N	QR	91806137
2521573	8320	1998-02-09	PRIJEM	PREVOD Z UCTU	30967	46707	\N	QR	91806137
2521574	8320	1998-03-09	PRIJEM	PREVOD Z UCTU	30967	51466	\N	QR	91806137
2521575	8320	1998-04-09	PRIJEM	PREVOD Z UCTU	30967	54113	\N	QR	91806137
2521576	8320	1998-05-09	PRIJEM	PREVOD Z UCTU	30967	61529	\N	QR	91806137
2521577	8320	1998-06-09	PRIJEM	PREVOD Z UCTU	46450	80465	\N	QR	91806137
2521578	8320	1998-07-09	PRIJEM	PREVOD Z UCTU	30967	71042	\N	QR	91806137
2521579	8320	1998-08-09	PRIJEM	PREVOD Z UCTU	30967	61999	\N	QR	91806137
2521580	8320	1998-09-09	PRIJEM	PREVOD Z UCTU	30967	63095	\N	QR	91806137
2521581	8320	1998-10-09	PRIJEM	PREVOD Z UCTU	30967	52477	\N	QR	91806137
2521582	8320	1998-11-09	PRIJEM	PREVOD Z UCTU	30967	60246	\N	QR	91806137
2521583	8320	1998-12-09	PRIJEM	PREVOD Z UCTU	46450	69411	\N	QR	91806137
2521589	8320	1997-06-12	VYDAJ	PREVOD NA UCET	5161	86097	UVER	UV	30686378
2521590	8320	1997-07-12	VYDAJ	PREVOD NA UCET	5161	63131	UVER	UV	30686378
2521591	8320	1997-08-12	VYDAJ	PREVOD NA UCET	5161	48387	UVER	UV	30686378
2521592	8320	1997-09-12	VYDAJ	PREVOD NA UCET	5161	48446	UVER	UV	30686378
2521593	8320	1997-10-12	VYDAJ	PREVOD NA UCET	5161	37543	UVER	UV	30686378
2521594	8320	1997-11-12	VYDAJ	PREVOD NA UCET	5161	44071	UVER	UV	30686378
2521595	8320	1997-12-12	VYDAJ	PREVOD NA UCET	5161	59801	UVER	UV	30686378
2521596	8320	1998-01-12	VYDAJ	PREVOD NA UCET	5161	39267	UVER	UV	30686378
2521597	8320	1998-02-12	VYDAJ	PREVOD NA UCET	5161	35835	UVER	UV	30686378
2521598	8320	1998-03-12	VYDAJ	PREVOD NA UCET	5161	46305	UVER	UV	30686378
2521599	8320	1998-04-12	VYDAJ	PREVOD NA UCET	5161	48952	UVER	UV	30686378
2521600	8320	1998-05-12	VYDAJ	PREVOD NA UCET	5161	56368	UVER	UV	30686378
2521601	8320	1998-06-12	VYDAJ	PREVOD NA UCET	5161	75304	UVER	UV	30686378
2521602	8320	1998-07-12	VYDAJ	PREVOD NA UCET	5161	65881	UVER	UV	30686378
2521603	8320	1998-08-12	VYDAJ	PREVOD NA UCET	5161	41038	UVER	UV	30686378
2521604	8320	1998-09-12	VYDAJ	PREVOD NA UCET	5161	30432	UVER	UV	30686378
2521605	8320	1998-10-12	VYDAJ	PREVOD NA UCET	5161	38216	UVER	UV	30686378
2521606	8320	1998-11-12	VYDAJ	PREVOD NA UCET	5161	42885	UVER	UV	30686378
2521607	8320	1998-12-12	VYDAJ	PREVOD NA UCET	5161	49050	UVER	UV	30686378
2521613	8320	1997-06-13	VYDAJ	PREVOD NA UCET	9105	76992	SIPO	KL	9010935
2521614	8320	1997-07-13	VYDAJ	PREVOD NA UCET	9105	54026	SIPO	KL	9010935
2521615	8320	1997-08-13	VYDAJ	PREVOD NA UCET	9105	39282	SIPO	KL	9010935
2521616	8320	1997-09-13	VYDAJ	PREVOD NA UCET	9105	19439	SIPO	KL	9010935
2521617	8320	1997-10-13	VYDAJ	PREVOD NA UCET	9105	28438	SIPO	KL	9010935
2521618	8320	1997-11-13	VYDAJ	PREVOD NA UCET	9105	34966	SIPO	KL	9010935
2521619	8320	1997-12-13	VYDAJ	PREVOD NA UCET	9105	50696	SIPO	KL	9010935
2521620	8320	1998-01-13	VYDAJ	PREVOD NA UCET	9105	30162	SIPO	KL	9010935
2521621	8320	1998-02-13	VYDAJ	PREVOD NA UCET	9105	20330	SIPO	KL	9010935
2521622	8320	1998-03-13	VYDAJ	PREVOD NA UCET	9105	37200	SIPO	KL	9010935
2521623	8320	1998-04-13	VYDAJ	PREVOD NA UCET	9105	39847	SIPO	KL	9010935
2521624	8320	1998-05-13	VYDAJ	PREVOD NA UCET	9105	47263	SIPO	KL	9010935
2521625	8320	1998-06-13	VYDAJ	PREVOD NA UCET	9105	46999	SIPO	KL	9010935
2521626	8320	1998-07-13	VYDAJ	PREVOD NA UCET	9105	45076	SIPO	KL	9010935
2521627	8320	1998-08-13	VYDAJ	PREVOD NA UCET	9105	31933	SIPO	KL	9010935
2521628	8320	1998-09-13	VYDAJ	PREVOD NA UCET	9105	21327	SIPO	KL	9010935
2521629	8320	1998-10-13	VYDAJ	PREVOD NA UCET	9105	29111	SIPO	KL	9010935
2521630	8320	1998-11-13	VYDAJ	PREVOD NA UCET	9105	33780	SIPO	KL	9010935
2521631	8320	1998-12-13	VYDAJ	PREVOD NA UCET	9105	39945	SIPO	KL	9010935
2521633	8320	1997-07-19	VYBER	VYBER	4057	27169	\N	\N	\N
2521634	8320	1997-09-13	VYBER	VYBER	19902	28544	\N	\N	\N
2521637	8320	1998-02-11	VYBER	VYBER	5711	40996	\N	\N	\N
2521639	8320	1998-09-11	VYBER	VYBER	21901	41194	\N	\N	\N
2521640	8320	1998-11-19	VYBER	VYBER	4292	29488	\N	\N	\N
2521645	8320	1998-12-07	VYBER	VYBER	6724	22961	\N	\N	\N
2521650	8320	1997-12-26	VYDAJ	VYBER	6300	20796	\N	\N	\N
2521651	8320	1998-12-22	VYDAJ	VYBER	3600	36345	\N	\N	\N
2521659	8320	1998-01-11	VYDAJ	VYBER	7500	44428	\N	\N	\N
2521660	8320	1998-01-14	VYDAJ	VYBER	8100	22062	\N	\N	\N
2521665	8320	1997-07-20	VYDAJ	VYBER	4800	22369	\N	\N	\N
2521667	8320	1997-06-27	VYDAJ	VYBER	8400	36992	\N	\N	\N
2521670	8320	1998-07-28	VYDAJ	VYBER	14400	30676	\N	\N	\N
2521672	8320	1998-06-19	VYDAJ	VYBER	7200	39799	\N	\N	\N
2521679	8320	1997-06-30	VYDAJ	VYBER	15	37325	SLUZBY	\N	\N
2521680	8320	1997-07-31	VYDAJ	VYBER	15	22581	SLUZBY	\N	\N
2521681	8320	1997-08-31	VYDAJ	VYBER	15	22640	SLUZBY	\N	\N
2521682	8320	1997-09-30	VYDAJ	VYBER	15	11738	SLUZBY	\N	\N
2521683	8320	1997-10-31	VYDAJ	VYBER	15	18265	SLUZBY	\N	\N
2521684	8320	1997-11-30	VYDAJ	VYBER	15	18512	SLUZBY	\N	\N
2521685	8320	1997-12-31	VYDAJ	VYBER	15	20961	SLUZBY	\N	\N
2521686	8320	1998-01-31	VYDAJ	VYBER	15	15740	SLUZBY	\N	\N
2521687	8320	1998-02-28	VYDAJ	VYBER	15	20499	SLUZBY	\N	\N
2521688	8320	1998-03-31	VYDAJ	VYBER	15	23146	SLUZBY	\N	\N
2521689	8320	1998-04-30	VYDAJ	VYBER	15	30562	SLUZBY	\N	\N
2521690	8320	1998-05-31	VYDAJ	VYBER	15	34015	SLUZBY	\N	\N
2521691	8320	1998-06-30	VYDAJ	VYBER	15	40075	SLUZBY	\N	\N
2521692	8320	1998-07-31	VYDAJ	VYBER	15	31032	SLUZBY	\N	\N
2521693	8320	1998-08-31	VYDAJ	VYBER	15	32128	SLUZBY	\N	\N
2521694	8320	1998-09-30	VYDAJ	VYBER	15	21510	SLUZBY	\N	\N
2521695	8320	1998-10-31	VYDAJ	VYBER	15	29279	SLUZBY	\N	\N
2521696	8320	1998-11-30	VYDAJ	VYBER	15	29685	SLUZBY	\N	\N
2521697	8320	1997-02-18	VYDAJ	VYBER	3100	28967	\N	\N	\N
2521698	8320	1997-03-20	VYDAJ	VYBER	23500	36525	\N	\N	\N
2521699	8320	1997-04-19	VYDAJ	VYBER	27900	39778	\N	\N	\N
2521700	8320	1997-05-19	VYDAJ	VYBER	26400	44563	\N	\N	\N
2521701	8320	1997-06-18	VYDAJ	VYBER	31600	45392	\N	\N	\N
2521702	8320	1997-07-18	VYDAJ	VYBER	22800	31226	\N	\N	\N
2521703	8320	1997-08-17	VYDAJ	VYBER	16800	22482	\N	\N	\N
2521704	8320	1997-09-16	VYDAJ	VYBER	7800	11639	\N	\N	\N
2521705	8320	1997-10-16	VYDAJ	VYBER	10300	18138	\N	\N	\N
2521706	8320	1997-11-15	VYDAJ	VYBER	16600	18366	\N	\N	\N
2521707	8320	1997-12-15	VYDAJ	VYBER	23600	27096	\N	\N	\N
2521708	8320	1998-01-14	VYDAJ	VYBER	6500	15562	\N	\N	\N
2521709	8320	1998-02-13	VYDAJ	VYBER	6400	29435	\N	\N	\N
2521710	8320	1998-03-15	VYDAJ	VYBER	14200	23000	\N	\N	\N
2521711	8320	1998-04-14	VYDAJ	VYBER	9500	30347	\N	\N	\N
2521712	8320	1998-05-14	VYDAJ	VYBER	13500	33763	\N	\N	\N
2521713	8320	1998-06-13	VYDAJ	VYBER	19200	56104	\N	\N	\N
2521714	8320	1998-07-13	VYDAJ	VYBER	11700	54181	\N	\N	\N
2521715	8320	1998-08-12	VYDAJ	VYBER	15800	46199	\N	\N	\N
2521716	8320	1998-09-11	VYDAJ	VYBER	5600	35594	\N	\N	\N
2521717	8320	1998-10-11	VYDAJ	VYBER	9100	43377	\N	\N	\N
2521718	8320	1998-11-10	VYDAJ	VYBER	12200	48046	\N	\N	\N
2521719	8320	1998-12-10	VYDAJ	VYBER	15200	54211	\N	\N	\N
2521743	8321	1993-04-12	PRIJEM	VKLAD	800	800	\N	\N	\N
2521747	8321	1993-04-14	PRIJEM	VKLAD	10562	11362	\N	\N	\N
2521748	8321	1993-05-14	PRIJEM	VKLAD	10562	29476	\N	\N	\N
2521749	8321	1993-06-14	PRIJEM	VKLAD	15843	45277	\N	\N	\N
2521750	8321	1993-07-14	PRIJEM	VKLAD	10562	44700	\N	\N	\N
2521751	8321	1993-08-14	PRIJEM	VKLAD	10562	46250	\N	\N	\N
2521752	8321	1993-09-14	PRIJEM	VKLAD	10562	37657	\N	\N	\N
2521753	8321	1993-10-14	PRIJEM	VKLAD	10562	35290	\N	\N	\N
2521754	8321	1993-11-14	PRIJEM	VKLAD	10562	33043	\N	\N	\N
2521755	8321	1993-12-14	PRIJEM	VKLAD	15843	37959	\N	\N	\N
2521756	8321	1994-01-14	PRIJEM	VKLAD	10562	29415	\N	\N	\N
2521757	8321	1994-02-14	PRIJEM	VKLAD	10562	27452	\N	\N	\N
2521758	8321	1994-03-14	PRIJEM	VKLAD	10562	29757	\N	\N	\N
2521759	8321	1994-04-14	PRIJEM	VKLAD	10562	29907	\N	\N	\N
2521760	8321	1994-05-14	PRIJEM	VKLAD	10562	31343	\N	\N	\N
2521761	8321	1994-06-14	PRIJEM	VKLAD	15843	37645	\N	\N	\N
2521762	8321	1994-07-14	PRIJEM	VKLAD	10562	30553	\N	\N	\N
2521763	8321	1994-08-14	PRIJEM	VKLAD	10562	29768	\N	\N	\N
2521764	8321	1994-09-14	PRIJEM	VKLAD	10562	29626	\N	\N	\N
2521765	8321	1994-10-14	PRIJEM	VKLAD	10562	28215	\N	\N	\N
2521766	8321	1994-11-14	PRIJEM	VKLAD	10562	28221	\N	\N	\N
2521767	8321	1994-12-14	PRIJEM	VKLAD	15843	36192	\N	\N	\N
2521768	8321	1995-01-14	PRIJEM	VKLAD	10562	24590	\N	\N	\N
2521769	8321	1995-02-14	PRIJEM	VKLAD	10562	26441	\N	\N	\N
2521770	8321	1995-03-14	PRIJEM	VKLAD	10562	30078	\N	\N	\N
2521771	8321	1995-04-14	PRIJEM	VKLAD	10562	31905	\N	\N	\N
2521772	8321	1995-05-14	PRIJEM	VKLAD	10562	31162	\N	\N	\N
2521773	8321	1995-06-14	PRIJEM	VKLAD	15843	41002	\N	\N	\N
2521774	8321	1995-07-14	PRIJEM	VKLAD	10562	38239	\N	\N	\N
2521775	8321	1995-08-14	PRIJEM	VKLAD	10562	38622	\N	\N	\N
2521776	8321	1995-09-14	PRIJEM	VKLAD	10562	37923	\N	\N	\N
2521777	8321	1995-10-14	PRIJEM	VKLAD	10562	31612	\N	\N	\N
2521778	8321	1995-11-14	PRIJEM	VKLAD	10562	32769	\N	\N	\N
2521779	8321	1995-12-14	PRIJEM	VKLAD	15843	40966	\N	\N	\N
2521780	8321	1996-01-14	PRIJEM	VKLAD	10562	25839	\N	\N	\N
2521781	8321	1996-02-14	PRIJEM	VKLAD	10562	31344	\N	\N	\N
2521782	8321	1996-03-14	PRIJEM	VKLAD	10562	35341	\N	\N	\N
2521783	8321	1996-04-14	PRIJEM	VKLAD	10562	30827	\N	\N	\N
2521784	8321	1996-05-14	PRIJEM	VKLAD	10562	36469	\N	\N	\N
2521785	8321	1996-06-14	PRIJEM	VKLAD	15843	28645	\N	\N	\N
2521786	8321	1996-07-14	PRIJEM	VKLAD	10562	36397	\N	\N	\N
2521787	8321	1996-08-14	PRIJEM	VKLAD	10562	38273	\N	\N	\N
2521788	8321	1996-09-14	PRIJEM	VKLAD	10562	38934	\N	\N	\N
2521789	8321	1996-10-14	PRIJEM	VKLAD	10562	36449	\N	\N	\N
2521790	8321	1996-11-14	PRIJEM	VKLAD	10562	38688	\N	\N	\N
2521791	8321	1996-12-14	PRIJEM	VKLAD	15843	45299	\N	\N	\N
2521792	8321	1997-01-14	PRIJEM	VKLAD	10562	33891	\N	\N	\N
2521793	8321	1997-02-14	PRIJEM	VKLAD	10562	28738	\N	\N	\N
2521794	8321	1997-03-14	PRIJEM	VKLAD	10562	39361	\N	\N	\N
2521795	8321	1997-04-14	PRIJEM	VKLAD	10562	44111	\N	\N	\N
2521796	8321	1997-05-14	PRIJEM	VKLAD	10562	47185	\N	\N	\N
2521797	8321	1997-06-14	PRIJEM	VKLAD	15843	56632	\N	\N	\N
2521798	8321	1997-07-14	PRIJEM	VKLAD	10562	54835	\N	\N	\N
2521799	8321	1997-08-14	PRIJEM	VKLAD	10562	55242	\N	\N	\N
2521800	8321	1997-09-14	PRIJEM	VKLAD	10562	54180	\N	\N	\N
2521801	8321	1997-10-14	PRIJEM	VKLAD	10562	59294	\N	\N	\N
2521802	8321	1997-11-14	PRIJEM	VKLAD	10562	57649	\N	\N	\N
2521803	8321	1997-12-14	PRIJEM	VKLAD	15843	63472	\N	\N	\N
2521804	8321	1998-01-14	PRIJEM	VKLAD	10562	52511	\N	\N	\N
2521805	8321	1998-02-14	PRIJEM	VKLAD	10562	36371	\N	\N	\N
2521806	8321	1998-03-14	PRIJEM	VKLAD	10562	49524	\N	\N	\N
2521807	8321	1998-04-14	PRIJEM	VKLAD	10562	56898	\N	\N	\N
2521808	8321	1998-05-14	PRIJEM	VKLAD	10562	56049	\N	\N	\N
2521809	8321	1998-06-14	PRIJEM	VKLAD	15843	66666	\N	\N	\N
2521810	8321	1998-07-14	PRIJEM	VKLAD	10562	36183	\N	\N	\N
2521811	8321	1998-08-14	PRIJEM	VKLAD	10562	44220	\N	\N	\N
2521812	8321	1998-09-14	PRIJEM	VKLAD	10562	53409	\N	\N	\N
2521813	8321	1998-10-14	PRIJEM	VKLAD	10562	60191	\N	\N	\N
2521814	8321	1998-11-14	PRIJEM	VKLAD	10562	64918	\N	\N	\N
2521815	8321	1998-12-14	PRIJEM	VKLAD	15843	68983	\N	\N	\N
2521824	8321	1993-09-12	VYDAJ	PREVOD NA UCET	7041	27095	SIPO	WX	27547550
2521825	8321	1993-10-12	VYDAJ	PREVOD NA UCET	7041	24728	SIPO	WX	27547550
2521826	8321	1993-11-12	VYDAJ	PREVOD NA UCET	7041	22481	SIPO	WX	27547550
2521827	8321	1993-12-12	VYDAJ	PREVOD NA UCET	7041	22116	SIPO	WX	27547550
2521828	8321	1994-01-12	VYDAJ	PREVOD NA UCET	7041	23893	SIPO	WX	27547550
2521829	8321	1994-02-12	VYDAJ	PREVOD NA UCET	7041	18590	SIPO	WX	27547550
2521830	8321	1994-03-12	VYDAJ	PREVOD NA UCET	7041	20795	SIPO	WX	27547550
2521831	8321	1994-04-12	VYDAJ	PREVOD NA UCET	7041	20445	SIPO	WX	27547550
2521832	8321	1994-05-12	VYDAJ	PREVOD NA UCET	7041	22265	SIPO	WX	27547550
2521833	8321	1994-06-12	VYDAJ	PREVOD NA UCET	7041	21802	SIPO	WX	27547550
2521834	8321	1994-07-12	VYDAJ	PREVOD NA UCET	7041	19991	SIPO	WX	27547550
2521835	8321	1994-08-12	VYDAJ	PREVOD NA UCET	7041	19206	SIPO	WX	27547550
2521836	8321	1994-09-12	VYDAJ	PREVOD NA UCET	7041	20548	SIPO	WX	27547550
2521837	8321	1994-10-12	VYDAJ	PREVOD NA UCET	7041	17653	SIPO	WX	27547550
2521838	8321	1994-11-12	VYDAJ	PREVOD NA UCET	7041	17659	SIPO	WX	27547550
2521839	8321	1994-12-12	VYDAJ	PREVOD NA UCET	7041	21833	SIPO	WX	27547550
2521840	8321	1995-01-12	VYDAJ	PREVOD NA UCET	7041	14028	SIPO	WX	27547550
2521841	8321	1995-02-12	VYDAJ	PREVOD NA UCET	7041	17363	SIPO	WX	27547550
2521842	8321	1995-03-12	VYDAJ	PREVOD NA UCET	7041	19516	SIPO	WX	27547550
2521843	8321	1995-04-12	VYDAJ	PREVOD NA UCET	7041	21343	SIPO	WX	27547550
2521844	8321	1995-05-12	VYDAJ	PREVOD NA UCET	7041	20600	SIPO	WX	27547550
2521845	8321	1995-06-12	VYDAJ	PREVOD NA UCET	7041	26643	SIPO	WX	27547550
2521846	8321	1995-07-12	VYDAJ	PREVOD NA UCET	7041	29161	SIPO	WX	27547550
2521847	8321	1995-08-12	VYDAJ	PREVOD NA UCET	7041	29544	SIPO	WX	27547550
2521848	8321	1995-09-12	VYDAJ	PREVOD NA UCET	7041	28845	SIPO	WX	27547550
2521849	8321	1995-10-12	VYDAJ	PREVOD NA UCET	7041	21050	SIPO	WX	27547550
2521850	8321	1995-11-12	VYDAJ	PREVOD NA UCET	7041	22207	SIPO	WX	27547550
2521851	8321	1995-12-12	VYDAJ	PREVOD NA UCET	7041	26607	SIPO	WX	27547550
2521852	8321	1996-01-12	VYDAJ	PREVOD NA UCET	7041	18277	SIPO	WX	27547550
2521853	8321	1996-02-12	VYDAJ	PREVOD NA UCET	7041	22266	SIPO	WX	27547550
2521854	8321	1996-03-12	VYDAJ	PREVOD NA UCET	7041	24779	SIPO	WX	27547550
2521855	8321	1996-04-12	VYDAJ	PREVOD NA UCET	7041	20265	SIPO	WX	27547550
2521856	8321	1996-05-12	VYDAJ	PREVOD NA UCET	7041	27391	SIPO	WX	27547550
2521857	8321	1996-06-12	VYDAJ	PREVOD NA UCET	7041	14286	SIPO	WX	27547550
2521858	8321	1996-07-12	VYDAJ	PREVOD NA UCET	7041	27319	SIPO	WX	27547550
2521859	8321	1996-08-12	VYDAJ	PREVOD NA UCET	7041	27711	SIPO	WX	27547550
2521860	8321	1996-09-12	VYDAJ	PREVOD NA UCET	7041	28372	SIPO	WX	27547550
2521861	8321	1996-10-12	VYDAJ	PREVOD NA UCET	7041	25887	SIPO	WX	27547550
2521862	8321	1996-11-12	VYDAJ	PREVOD NA UCET	7041	29610	SIPO	WX	27547550
2521863	8321	1996-12-12	VYDAJ	PREVOD NA UCET	7041	29456	SIPO	WX	27547550
2521864	8321	1997-01-12	VYDAJ	PREVOD NA UCET	7041	23329	SIPO	WX	27547550
2521865	8321	1997-02-12	VYDAJ	PREVOD NA UCET	7041	19660	SIPO	WX	27547550
2521866	8321	1997-03-12	VYDAJ	PREVOD NA UCET	7041	30283	SIPO	WX	27547550
2521867	8321	1997-04-12	VYDAJ	PREVOD NA UCET	7041	33549	SIPO	WX	27547550
2521868	8321	1997-05-12	VYDAJ	PREVOD NA UCET	7041	38107	SIPO	WX	27547550
2521869	8321	1997-06-12	VYDAJ	PREVOD NA UCET	7041	42273	SIPO	WX	27547550
2521870	8321	1997-07-12	VYDAJ	PREVOD NA UCET	7041	45757	SIPO	WX	27547550
2521871	8321	1997-08-12	VYDAJ	PREVOD NA UCET	7041	46164	SIPO	WX	27547550
2521872	8321	1997-09-12	VYDAJ	PREVOD NA UCET	7041	45102	SIPO	WX	27547550
2521873	8321	1997-10-12	VYDAJ	PREVOD NA UCET	7041	48732	SIPO	WX	27547550
2521874	8321	1997-11-12	VYDAJ	PREVOD NA UCET	7041	48571	SIPO	WX	27547550
2521875	8321	1997-12-12	VYDAJ	PREVOD NA UCET	7041	49113	SIPO	WX	27547550
2521876	8321	1998-01-12	VYDAJ	PREVOD NA UCET	7041	43749	SIPO	WX	27547550
2521877	8321	1998-02-12	VYDAJ	PREVOD NA UCET	7041	25809	SIPO	WX	27547550
2521878	8321	1998-03-12	VYDAJ	PREVOD NA UCET	7041	38962	SIPO	WX	27547550
2521879	8321	1998-04-12	VYDAJ	PREVOD NA UCET	7041	47820	SIPO	WX	27547550
2521880	8321	1998-05-12	VYDAJ	PREVOD NA UCET	7041	46971	SIPO	WX	27547550
2521881	8321	1998-06-12	VYDAJ	PREVOD NA UCET	7041	52307	SIPO	WX	27547550
2521882	8321	1998-07-12	VYDAJ	PREVOD NA UCET	7041	25621	SIPO	WX	27547550
2521883	8321	1998-08-12	VYDAJ	PREVOD NA UCET	7041	35142	SIPO	WX	27547550
2521884	8321	1998-09-12	VYDAJ	PREVOD NA UCET	7041	41847	SIPO	WX	27547550
2521885	8321	1998-10-12	VYDAJ	PREVOD NA UCET	7041	46713	SIPO	WX	27547550
2521886	8321	1998-11-12	VYDAJ	PREVOD NA UCET	7041	55840	SIPO	WX	27547550
2521887	8321	1998-12-12	VYDAJ	PREVOD NA UCET	7041	53140	SIPO	WX	27547550
2521896	8321	1993-09-12	VYDAJ	VYBER	1300	34136	\N	\N	0
2521897	8321	1993-10-10	VYDAJ	VYBER	1500	31769	\N	\N	0
2521898	8321	1993-11-14	VYDAJ	VYBER	1300	31743	\N	\N	0
2521899	8321	1993-12-20	VYDAJ	VYBER	1800	36159	\N	\N	0
2521900	8321	1994-01-14	VYDAJ	VYBER	1100	28315	\N	\N	0
2521901	8321	1994-02-12	VYDAJ	VYBER	1700	16890	\N	\N	0
2521902	8321	1994-03-13	VYDAJ	VYBER	1600	19195	\N	\N	0
2521903	8321	1994-04-13	VYDAJ	VYBER	1100	19345	\N	\N	0
2521904	8321	1994-05-12	VYDAJ	PREVOD NA UCET	1484	20781	UVER	AB	48114669
2521905	8321	1994-06-12	VYDAJ	PREVOD NA UCET	1484	28843	UVER	AB	48114669
2521906	8321	1994-07-12	VYDAJ	PREVOD NA UCET	1484	27032	UVER	AB	48114669
2521907	8321	1994-08-12	VYDAJ	PREVOD NA UCET	1484	26247	UVER	AB	48114669
2521908	8321	1994-09-12	VYDAJ	PREVOD NA UCET	1484	19064	UVER	AB	48114669
2521909	8321	1994-10-12	VYDAJ	PREVOD NA UCET	1484	24694	UVER	AB	48114669
2521910	8321	1994-11-12	VYDAJ	PREVOD NA UCET	1484	24700	UVER	AB	48114669
2521911	8321	1994-12-12	VYDAJ	PREVOD NA UCET	1484	20349	UVER	AB	48114669
2521912	8321	1995-01-12	VYDAJ	PREVOD NA UCET	1484	21069	UVER	AB	48114669
2521913	8321	1995-02-12	VYDAJ	PREVOD NA UCET	1484	15879	UVER	AB	48114669
2521914	8321	1995-03-12	VYDAJ	PREVOD NA UCET	1484	26557	UVER	AB	48114669
2521915	8321	1995-04-12	VYDAJ	PREVOD NA UCET	1484	28384	UVER	AB	48114669
2521916	8321	1995-05-12	VYDAJ	PREVOD NA UCET	1484	27641	UVER	AB	48114669
2521917	8321	1995-06-12	VYDAJ	PREVOD NA UCET	1484	25159	UVER	AB	48114669
2521918	8321	1995-07-12	VYDAJ	PREVOD NA UCET	1484	27677	UVER	AB	48114669
2521919	8321	1995-08-12	VYDAJ	PREVOD NA UCET	1484	28060	UVER	AB	48114669
2521920	8321	1995-09-12	VYDAJ	PREVOD NA UCET	1484	27361	UVER	AB	48114669
2521921	8321	1995-10-12	VYDAJ	PREVOD NA UCET	1484	28091	UVER	AB	48114669
2521922	8321	1995-11-12	VYDAJ	PREVOD NA UCET	1484	29248	UVER	AB	48114669
2521923	8321	1995-12-12	VYDAJ	PREVOD NA UCET	1484	25123	UVER	AB	48114669
2521924	8321	1996-01-12	VYDAJ	PREVOD NA UCET	1484	25318	UVER	AB	48114669
2521925	8321	1996-02-12	VYDAJ	PREVOD NA UCET	1484	20782	UVER	AB	48114669
2521926	8321	1996-03-12	VYDAJ	PREVOD NA UCET	1484	31820	UVER	AB	48114669
2521927	8321	1996-04-12	VYDAJ	PREVOD NA UCET	1484	27306	UVER	AB	48114669
2521928	8321	1996-05-12	VYDAJ	PREVOD NA UCET	1484	25907	UVER	AB	48114669
2521929	8321	1996-06-12	VYDAJ	PREVOD NA UCET	1484	12802	UVER	AB	48114669
2521930	8321	1996-07-12	VYDAJ	PREVOD NA UCET	1484	25835	UVER	AB	48114669
2521931	8321	1996-08-12	VYDAJ	PREVOD NA UCET	1484	34752	UVER	AB	48114669
2521932	8321	1996-09-12	VYDAJ	PREVOD NA UCET	1484	35413	UVER	AB	48114669
2521933	8321	1996-10-12	VYDAJ	PREVOD NA UCET	1484	32928	UVER	AB	48114669
2521934	8321	1996-11-12	VYDAJ	PREVOD NA UCET	1484	28126	UVER	AB	48114669
2521935	8321	1996-12-12	VYDAJ	PREVOD NA UCET	1484	36497	UVER	AB	48114669
2521936	8321	1997-01-12	VYDAJ	PREVOD NA UCET	1484	30370	UVER	AB	48114669
2521937	8321	1997-02-12	VYDAJ	PREVOD NA UCET	1484	18176	UVER	AB	48114669
2521938	8321	1997-03-12	VYDAJ	PREVOD NA UCET	1484	28799	UVER	AB	48114669
2521939	8321	1997-04-12	VYDAJ	PREVOD NA UCET	1484	40590	UVER	AB	48114669
2521940	8321	1997-05-12	VYDAJ	PREVOD NA UCET	1484	36623	UVER	AB	48114669
2521941	8321	1997-06-12	VYDAJ	PREVOD NA UCET	1484	40789	UVER	AB	48114669
2521942	8321	1997-07-12	VYDAJ	PREVOD NA UCET	1484	44273	UVER	AB	48114669
2521943	8321	1997-08-12	VYDAJ	PREVOD NA UCET	1484	44680	UVER	AB	48114669
2521944	8321	1997-09-12	VYDAJ	PREVOD NA UCET	1484	43618	UVER	AB	48114669
2521945	8321	1997-10-12	VYDAJ	PREVOD NA UCET	1484	55773	UVER	AB	48114669
2521946	8321	1997-11-12	VYDAJ	PREVOD NA UCET	1484	47087	UVER	AB	48114669
2521947	8321	1997-12-12	VYDAJ	PREVOD NA UCET	1484	47629	UVER	AB	48114669
2521948	8321	1998-01-12	VYDAJ	PREVOD NA UCET	1484	50790	UVER	AB	48114669
2521949	8321	1998-02-12	VYDAJ	PREVOD NA UCET	1484	32850	UVER	AB	48114669
2521950	8321	1998-03-12	VYDAJ	PREVOD NA UCET	1484	46003	UVER	AB	48114669
2521951	8321	1998-04-12	VYDAJ	PREVOD NA UCET	1484	46336	UVER	AB	48114669
2521952	8321	1998-05-12	VYDAJ	PREVOD NA UCET	1484	45487	UVER	AB	48114669
2521953	8321	1998-06-12	VYDAJ	PREVOD NA UCET	1484	50823	UVER	AB	48114669
2521954	8321	1998-07-12	VYDAJ	PREVOD NA UCET	1484	32662	UVER	AB	48114669
2521955	8321	1998-08-12	VYDAJ	PREVOD NA UCET	1484	33658	UVER	AB	48114669
2521956	8321	1998-09-12	VYDAJ	PREVOD NA UCET	1484	48888	UVER	AB	48114669
2521957	8321	1998-10-12	VYDAJ	PREVOD NA UCET	1484	45229	UVER	AB	48114669
2521958	8321	1998-11-12	VYDAJ	PREVOD NA UCET	1484	54356	UVER	AB	48114669
2521959	8321	1998-12-12	VYDAJ	PREVOD NA UCET	1484	60181	UVER	AB	48114669
2521961	8321	1994-06-29	VYDAJ	VYBER	8480	29165	\N	\N	\N
2521963	8321	1996-06-06	VYDAJ	VYBER	14400	21327	\N	\N	\N
2521965	8321	1998-06-18	VYDAJ	VYBER	23840	36826	\N	\N	\N
2521968	8321	1995-01-29	VYDAJ	VYBER	3360	18590	\N	\N	\N
2521969	8321	1996-01-04	VYDAJ	VYBER	4160	30522	\N	\N	\N
2521970	8321	1997-01-29	VYDAJ	VYBER	5760	26491	\N	\N	\N
2521971	8321	1998-01-18	VYDAJ	VYBER	15520	35271	\N	\N	\N
2521972	8321	1993-12-05	VYDAJ	VYBER	1440	30557	\N	\N	\N
2521973	8321	1994-12-22	VYDAJ	VYBER	2720	32392	\N	\N	\N
2521974	8321	1995-12-26	VYDAJ	VYBER	3040	37926	\N	\N	\N
2521975	8321	1996-12-11	VYDAJ	VYBER	1760	37981	\N	\N	\N
2521976	8321	1997-12-07	VYDAJ	VYBER	1920	56154	\N	\N	\N
2521977	8321	1998-12-10	VYDAJ	VYBER	3680	61665	\N	\N	\N
2521984	8321	1994-01-20	VYDAJ	VYBER	2280	23035	\N	\N	\N
2521985	8321	1994-01-13	VYDAJ	VYBER	1800	22093	\N	\N	\N
2521986	8321	1994-01-01	VYDAJ	VYBER	3120	33294	\N	\N	\N
2521987	8321	1994-01-13	VYDAJ	VYBER	3240	18853	\N	\N	\N
2521988	8321	1994-01-19	VYDAJ	VYBER	3000	25315	\N	\N	\N
2521989	8321	1994-01-03	VYDAJ	VYBER	960	32334	\N	\N	\N
2521990	8321	1995-01-24	VYDAJ	VYBER	1080	21950	\N	\N	\N
2521991	8321	1995-01-21	VYDAJ	VYBER	1560	23030	\N	\N	\N
2521992	8321	1995-01-01	VYDAJ	VYBER	3360	27213	\N	\N	\N
2521993	8321	1995-01-30	VYDAJ	VYBER	1440	17150	\N	\N	\N
2521994	8321	1995-01-07	VYDAJ	VYBER	2520	22553	\N	\N	\N
2521995	8321	1995-01-01	VYDAJ	VYBER	2640	24573	\N	\N	\N
2521996	8321	1996-01-02	VYDAJ	VYBER	600	34682	\N	\N	\N
2521997	8321	1996-01-08	VYDAJ	VYBER	2880	26802	\N	\N	\N
2521998	8321	1996-01-25	VYDAJ	VYBER	1680	24159	\N	\N	\N
2521999	8321	1996-01-27	VYDAJ	VYBER	720	29139	\N	\N	\N
2522000	8321	1996-01-05	VYDAJ	VYBER	840	29682	\N	\N	\N
2522001	8321	1996-01-12	VYDAJ	VYBER	3000	15277	\N	\N	\N
2522002	8321	1997-01-15	VYDAJ	VYBER	2160	26931	\N	\N	\N
2522003	8321	1997-01-10	VYDAJ	VYBER	1200	34494	\N	\N	\N
2522004	8321	1997-01-11	VYDAJ	VYBER	2640	31854	\N	\N	\N
2522005	8321	1997-01-16	VYDAJ	VYBER	3480	23451	\N	\N	\N
2522006	8321	1997-01-01	VYDAJ	VYBER	3480	37254	\N	\N	\N
2522007	8321	1997-01-09	VYDAJ	VYBER	1560	35694	\N	\N	\N
2522008	8321	1998-01-23	VYDAJ	VYBER	1200	34071	\N	\N	\N
2522009	8321	1998-01-04	VYDAJ	VYBER	1080	54674	\N	\N	\N
2522010	8321	1998-01-18	VYDAJ	VYBER	3240	50791	\N	\N	\N
2522011	8321	1998-01-12	VYDAJ	VYBER	1800	41949	\N	\N	\N
2522012	8321	1998-01-06	VYDAJ	VYBER	2400	52274	\N	\N	\N
2522013	8321	1998-01-14	VYDAJ	VYBER	2280	50231	\N	\N	\N
2522014	8321	1993-10-01	VYDAJ	VYBER	1800	36169	\N	\N	\N
2522017	8321	1994-10-08	VYDAJ	VYBER	1320	26178	\N	\N	\N
2522018	8321	1994-03-29	VYDAJ	VYBER	5040	24717	\N	\N	\N
2522019	8321	1994-12-19	VYDAJ	VYBER	1080	35112	\N	\N	\N
2522020	8321	1994-09-28	VYDAJ	VYBER	3240	26386	\N	\N	\N
2522021	8321	1994-12-25	VYDAJ	VYBER	2040	30352	\N	\N	\N
2522022	8321	1994-10-26	VYDAJ	VYBER	3120	25095	\N	\N	\N
2522023	8321	1995-02-17	VYDAJ	VYBER	1560	24881	\N	\N	\N
2522024	8321	1995-02-19	VYDAJ	VYBER	1680	23201	\N	\N	\N
2522025	8321	1995-07-07	VYDAJ	VYBER	2760	36202	\N	\N	\N
2522026	8321	1995-10-09	VYDAJ	VYBER	4560	29575	\N	\N	\N
2522027	8321	1996-09-22	VYDAJ	VYBER	1440	37494	\N	\N	\N
2522028	8321	1996-10-05	VYDAJ	VYBER	5640	34412	\N	\N	\N
2522029	8321	1996-05-29	VYDAJ	VYBER	2040	35529	\N	\N	\N
2522030	8321	1996-03-31	VYDAJ	VYBER	5040	28790	\N	\N	\N
2522031	8321	1996-08-16	VYDAJ	VYBER	1080	37193	\N	\N	\N
2522032	8321	1997-10-28	VYDAJ	VYBER	600	55294	\N	\N	\N
2522033	8321	1997-12-20	VYDAJ	VYBER	1800	59672	\N	\N	\N
2522034	8321	1997-12-24	VYDAJ	VYBER	4320	55352	\N	\N	\N
2522035	8321	1997-01-14	VYDAJ	VYBER	4800	29091	\N	\N	\N
2522036	8321	1997-04-18	VYDAJ	VYBER	5400	38711	\N	\N	\N
2522037	8321	1998-07-24	VYDAJ	VYBER	600	41983	\N	\N	\N
2522038	8321	1998-05-09	VYDAJ	VYBER	3600	54012	\N	\N	\N
2522039	8321	1998-12-24	VYDAJ	VYBER	4440	64543	\N	\N	\N
2522040	8321	1998-06-22	VYDAJ	VYBER	3000	33826	\N	\N	\N
2522049	8321	1993-08-31	VYDAJ	VYBER	15	46536	SLUZBY	\N	\N
2522050	8321	1993-09-30	VYDAJ	VYBER	15	37969	SLUZBY	\N	\N
2522051	8321	1993-10-31	VYDAJ	VYBER	15	35522	SLUZBY	\N	\N
2522052	8321	1993-11-30	VYDAJ	VYBER	15	31997	SLUZBY	\N	\N
2522053	8321	1993-12-31	VYDAJ	VYBER	15	36414	SLUZBY	\N	\N
2522054	8321	1994-01-31	VYDAJ	VYBER	15	23231	SLUZBY	\N	\N
2522055	8321	1994-02-28	VYDAJ	VYBER	15	27636	SLUZBY	\N	\N
2522056	8321	1994-03-31	VYDAJ	VYBER	15	24886	SLUZBY	\N	\N
2522057	8321	1994-04-30	VYDAJ	VYBER	15	30106	SLUZBY	\N	\N
2522058	8321	1994-05-31	VYDAJ	VYBER	15	31527	SLUZBY	\N	\N
2522059	8321	1994-06-30	VYDAJ	VYBER	15	29416	SLUZBY	\N	\N
2522060	8321	1994-07-31	VYDAJ	VYBER	15	30731	SLUZBY	\N	\N
2522061	8321	1994-08-31	VYDAJ	VYBER	15	29989	SLUZBY	\N	\N
2522062	8321	1994-09-30	VYDAJ	VYBER	15	26598	SLUZBY	\N	\N
2522063	8321	1994-10-31	VYDAJ	VYBER	15	25284	SLUZBY	\N	\N
2522064	8321	1994-11-30	VYDAJ	VYBER	15	28374	SLUZBY	\N	\N
2522065	8321	1994-12-31	VYDAJ	VYBER	15	30573	SLUZBY	\N	\N
2522066	8321	1995-01-31	VYDAJ	VYBER	15	17304	SLUZBY	\N	\N
2522067	8321	1995-02-28	VYDAJ	VYBER	15	23341	SLUZBY	\N	\N
2522068	8321	1995-03-31	VYDAJ	VYBER	15	30268	SLUZBY	\N	\N
2522069	8321	1995-04-30	VYDAJ	VYBER	15	32125	SLUZBY	\N	\N
2522070	8321	1995-05-31	VYDAJ	VYBER	15	31384	SLUZBY	\N	\N
2522071	8321	1995-06-30	VYDAJ	VYBER	15	41262	SLUZBY	\N	\N
2522072	8321	1995-07-31	VYDAJ	VYBER	15	36585	SLUZBY	\N	\N
2522073	8321	1995-08-31	VYDAJ	VYBER	15	35886	SLUZBY	\N	\N
2522074	8321	1995-09-30	VYDAJ	VYBER	15	34135	SLUZBY	\N	\N
2522075	8321	1995-10-31	VYDAJ	VYBER	15	30732	SLUZBY	\N	\N
2522076	8321	1995-11-30	VYDAJ	VYBER	15	33648	SLUZBY	\N	\N
2522077	8321	1995-12-31	VYDAJ	VYBER	15	35282	SLUZBY	\N	\N
2522078	8321	1996-01-31	VYDAJ	VYBER	15	29307	SLUZBY	\N	\N
2522079	8321	1996-02-29	VYDAJ	VYBER	15	33304	SLUZBY	\N	\N
2522080	8321	1996-03-31	VYDAJ	VYBER	15	33830	SLUZBY	\N	\N
2522081	8321	1996-04-30	VYDAJ	VYBER	15	34432	SLUZBY	\N	\N
2522082	8321	1996-05-31	VYDAJ	VYBER	15	35727	SLUZBY	\N	\N
2522083	8321	1996-06-30	VYDAJ	VYBER	15	34360	SLUZBY	\N	\N
2522084	8321	1996-07-31	VYDAJ	VYBER	15	36236	SLUZBY	\N	\N
2522085	8321	1996-08-31	VYDAJ	VYBER	15	36897	SLUZBY	\N	\N
2522086	8321	1996-09-30	VYDAJ	VYBER	15	40052	SLUZBY	\N	\N
2522087	8321	1996-10-31	VYDAJ	VYBER	15	36651	SLUZBY	\N	\N
2522088	8321	1996-11-30	VYDAJ	VYBER	15	39741	SLUZBY	\N	\N
2522089	8321	1996-12-31	VYDAJ	VYBER	15	40734	SLUZBY	\N	\N
2522090	8321	1997-01-31	VYDAJ	VYBER	15	26701	SLUZBY	\N	\N
2522091	8321	1997-02-28	VYDAJ	VYBER	15	37324	SLUZBY	\N	\N
2522092	8321	1997-03-31	VYDAJ	VYBER	15	42074	SLUZBY	\N	\N
2522093	8321	1997-04-30	VYDAJ	VYBER	15	45148	SLUZBY	\N	\N
2522094	8321	1997-05-31	VYDAJ	VYBER	15	49314	SLUZBY	\N	\N
2522095	8321	1997-06-30	VYDAJ	VYBER	15	52798	SLUZBY	\N	\N
2522096	8321	1997-07-31	VYDAJ	VYBER	15	53205	SLUZBY	\N	\N
2522097	8321	1997-08-31	VYDAJ	VYBER	15	52143	SLUZBY	\N	\N
2522098	8321	1997-09-30	VYDAJ	VYBER	15	57257	SLUZBY	\N	\N
2522099	8321	1997-10-31	VYDAJ	VYBER	15	55612	SLUZBY	\N	\N
2522100	8321	1997-11-30	VYDAJ	VYBER	15	58074	SLUZBY	\N	\N
2522101	8321	1997-12-31	VYDAJ	VYBER	15	55754	SLUZBY	\N	\N
2522102	8321	1998-01-31	VYDAJ	VYBER	15	34334	SLUZBY	\N	\N
2522103	8321	1998-02-28	VYDAJ	VYBER	15	47487	SLUZBY	\N	\N
2522104	8321	1998-03-31	VYDAJ	VYBER	15	54861	SLUZBY	\N	\N
2522105	8321	1998-04-30	VYDAJ	VYBER	15	57612	SLUZBY	\N	\N
2522106	8321	1998-05-31	VYDAJ	VYBER	15	59348	SLUZBY	\N	\N
2522107	8321	1998-06-30	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
2522108	8321	1998-07-31	VYDAJ	VYBER	15	42183	SLUZBY	\N	\N
2522109	8321	1998-08-31	VYDAJ	VYBER	15	50372	SLUZBY	\N	\N
2522110	8321	1998-09-30	VYDAJ	VYBER	15	53754	SLUZBY	\N	\N
2522111	8321	1998-10-31	VYDAJ	VYBER	15	60581	SLUZBY	\N	\N
2522112	8321	1998-11-30	VYDAJ	VYBER	15	65345	SLUZBY	\N	\N
2522113	8321	1993-05-12	PRIJEM	VKLAD	7500	18914	\N	\N	\N
2522114	8321	1993-06-11	VYDAJ	VYBER	200	29434	\N	\N	\N
2522115	8321	1993-07-11	VYDAJ	VYBER	11400	34138	\N	\N	\N
2522116	8321	1993-08-10	VYDAJ	VYBER	9300	35688	\N	\N	\N
2522117	8321	1993-09-09	VYDAJ	VYBER	11100	35436	\N	\N	\N
2522118	8321	1993-10-09	VYDAJ	VYBER	2900	33269	\N	\N	\N
2522119	8321	1993-11-08	VYDAJ	VYBER	6000	29522	\N	\N	\N
2522120	8321	1993-12-08	VYDAJ	VYBER	1400	29157	\N	\N	\N
2522121	8321	1994-01-07	VYDAJ	VYBER	1400	30934	\N	\N	\N
2522122	8321	1994-02-06	PRIJEM	VKLAD	2400	25631	\N	\N	\N
2522123	8321	1994-03-08	PRIJEM	VKLAD	200	27836	\N	\N	\N
2522124	8321	1994-04-07	PRIJEM	VKLAD	2600	27486	\N	\N	\N
2522125	8321	1994-05-07	VYDAJ	VYBER	800	29306	\N	\N	\N
2522126	8321	1994-06-06	VYDAJ	VYBER	1200	30327	\N	\N	\N
2522127	8321	1994-07-06	VYDAJ	VYBER	900	28516	\N	\N	\N
2522128	8321	1994-08-05	VYDAJ	VYBER	3000	27731	\N	\N	\N
2522129	8321	1994-09-04	VYDAJ	VYBER	2400	27589	\N	\N	\N
2522130	8321	1994-10-04	PRIJEM	VKLAD	900	27498	\N	\N	\N
2522131	8321	1994-11-03	PRIJEM	VKLAD	900	26184	\N	\N	\N
2522132	8321	1994-12-03	PRIJEM	VKLAD	500	28874	\N	\N	\N
2522133	8321	1995-01-02	PRIJEM	VKLAD	500	25073	\N	\N	\N
2522134	8321	1995-02-01	PRIJEM	VKLAD	7100	24404	\N	\N	\N
2522135	8321	1995-03-03	PRIJEM	VKLAD	4700	28041	\N	\N	\N
2522136	8321	1995-04-02	VYDAJ	VYBER	400	29868	\N	\N	\N
2522137	8321	1995-05-02	VYDAJ	VYBER	3000	29125	\N	\N	\N
2522138	8321	1995-06-01	PRIJEM	VKLAD	2300	33684	\N	\N	\N
2522139	8321	1995-07-01	VYDAJ	VYBER	2300	38962	\N	\N	\N
2522140	8321	1995-07-31	VYDAJ	VYBER	1900	36600	\N	\N	\N
2522141	8321	1995-08-30	VYDAJ	VYBER	3000	35622	\N	\N	\N
2522142	8321	1995-09-29	VYDAJ	VYBER	4000	33923	\N	\N	\N
2522143	8321	1995-10-29	VYDAJ	VYBER	1100	30512	\N	\N	\N
2522144	8321	1995-11-28	PRIJEM	VKLAD	700	33469	\N	\N	\N
2522145	8321	1995-12-28	VYDAJ	VYBER	2900	35026	\N	\N	\N
2522146	8321	1996-01-27	PRIJEM	VKLAD	5700	29859	\N	\N	\N
2522147	8321	1996-02-26	PRIJEM	VKLAD	1800	33144	\N	\N	\N
2522148	8321	1996-03-27	VYDAJ	VYBER	1700	33641	\N	\N	\N
2522149	8321	1996-04-26	PRIJEM	VKLAD	3400	34227	\N	\N	\N
2522150	8321	1996-05-26	PRIJEM	VKLAD	1100	37569	\N	\N	\N
2522151	8321	1996-06-25	PRIJEM	VKLAD	5500	34145	\N	\N	\N
2522152	8321	1996-07-25	VYDAJ	VYBER	400	35997	\N	\N	\N
2522153	8321	1996-08-24	VYDAJ	VYBER	500	36693	\N	\N	\N
2522154	8321	1996-09-23	PRIJEM	VKLAD	2300	39794	\N	\N	\N
2522155	8321	1996-11-22	PRIJEM	VKLAD	800	39488	\N	\N	\N
2522156	8321	1996-12-22	VYDAJ	VYBER	4800	40499	\N	\N	\N
2522157	8321	1997-01-21	PRIJEM	VKLAD	8800	32251	\N	\N	\N
2522158	8321	1997-02-20	PRIJEM	VKLAD	8400	37138	\N	\N	\N
2522159	8321	1997-03-22	PRIJEM	VKLAD	2500	41861	\N	\N	\N
2522160	8321	1997-04-21	PRIJEM	VKLAD	6200	44911	\N	\N	\N
2522161	8321	1997-05-21	PRIJEM	VKLAD	1800	48985	\N	\N	\N
2522162	8321	1997-06-20	VYDAJ	VYBER	4200	52432	\N	\N	\N
2522163	8321	1997-07-20	VYDAJ	VYBER	2000	52835	\N	\N	\N
2522164	8321	1997-08-19	VYDAJ	VYBER	3400	51842	\N	\N	\N
2522165	8321	1997-09-18	PRIJEM	VKLAD	2700	56880	\N	\N	\N
2522166	8321	1997-10-18	VYDAJ	VYBER	3400	55894	\N	\N	\N
2522167	8321	1997-11-17	PRIJEM	VKLAD	100	57749	\N	\N	\N
2522168	8321	1997-12-17	VYDAJ	VYBER	2000	61472	\N	\N	\N
2522169	8321	1998-01-16	PRIJEM	VKLAD	3800	54031	\N	\N	\N
2522170	8321	1998-02-15	PRIJEM	VKLAD	10900	47271	\N	\N	\N
2522171	8321	1998-03-17	PRIJEM	VKLAD	5000	54524	\N	\N	\N
2522172	8321	1998-04-16	PRIJEM	VKLAD	400	57298	\N	\N	\N
2522173	8321	1998-05-16	PRIJEM	VKLAD	2900	58949	\N	\N	\N
2522174	8321	1998-06-15	VYDAJ	VYBER	6000	60666	\N	\N	\N
2522175	8321	1998-07-15	PRIJEM	VKLAD	6400	42583	\N	\N	\N
2522176	8321	1998-08-14	PRIJEM	VKLAD	5900	50120	\N	\N	\N
2522177	8321	1998-09-13	PRIJEM	VKLAD	1000	42847	\N	\N	\N
2522178	8321	1998-10-13	PRIJEM	VKLAD	4400	49629	\N	\N	\N
2522179	8321	1998-11-12	PRIJEM	VKLAD	2300	62881	\N	\N	\N
2523488	8327	1995-08-08	PRIJEM	VKLAD	200	200	\N	\N	\N
2523490	8327	1995-10-16	PRIJEM	VKLAD	36380	94183	\N	\N	\N
2523491	8327	1995-12-26	PRIJEM	VKLAD	48620	101096	\N	\N	\N
2523492	8327	1995-10-13	PRIJEM	VKLAD	26737	57803	\N	\N	\N
2523493	8327	1995-12-10	PRIJEM	VKLAD	13885	52476	\N	\N	\N
2523494	8327	1995-08-26	PRIJEM	VKLAD	47596	47796	\N	\N	\N
2523505	8327	1996-02-11	PRIJEM	VKLAD	16572	60404	\N	\N	\N
2523506	8327	1996-01-25	PRIJEM	VKLAD	19328	88691	\N	\N	\N
2523507	8327	1996-06-30	PRIJEM	VKLAD	35178	116209	\N	\N	\N
2523508	8327	1996-06-25	PRIJEM	VKLAD	29742	80667	\N	\N	\N
2523509	8327	1996-12-15	PRIJEM	VKLAD	20552	37862	\N	\N	\N
2523510	8327	1996-02-23	PRIJEM	VKLAD	47986	108390	\N	\N	\N
2523511	8327	1996-07-01	PRIJEM	VKLAD	48636	126815	\N	\N	\N
2523512	8327	1996-03-06	PRIJEM	VKLAD	20650	55091	\N	\N	\N
2523513	8327	1996-05-08	PRIJEM	VKLAD	26838	72126	\N	\N	\N
2523514	8327	1996-10-28	PRIJEM	VKLAD	42547	110078	\N	\N	\N
2523515	8327	1996-10-25	PRIJEM	VKLAD	26616	67531	\N	\N	\N
2523516	8327	1996-11-23	PRIJEM	VKLAD	19922	110306	\N	\N	\N
2523517	8327	1996-05-03	PRIJEM	VKLAD	42305	72192	\N	\N	\N
2523518	8327	1996-06-24	PRIJEM	VKLAD	19906	50925	\N	\N	\N
2523519	8327	1996-10-25	PRIJEM	VKLAD	31193	40915	\N	\N	\N
2523520	8327	1996-11-20	PRIJEM	VKLAD	46213	93361	\N	\N	\N
2523521	8327	1996-03-21	PRIJEM	VKLAD	9849	57240	\N	\N	\N
2523522	8327	1996-11-14	PRIJEM	VKLAD	6101	47148	\N	\N	\N
2523523	8327	1996-05-17	PRIJEM	VKLAD	26703	79729	\N	\N	\N
2523524	8327	1996-01-22	PRIJEM	VKLAD	48569	73263	\N	\N	\N
2523525	8327	1997-03-13	PRIJEM	VKLAD	8347	19085	\N	\N	\N
2523526	8327	1997-09-18	PRIJEM	VKLAD	34725	58664	\N	\N	\N
2523527	8327	1997-04-23	PRIJEM	VKLAD	22305	37674	\N	\N	\N
2523528	8327	1998-03-28	PRIJEM	VKLAD	17812	61482	\N	\N	\N
2523529	8327	1998-11-19	PRIJEM	VKLAD	19855	69171	\N	\N	\N
2523530	8327	1998-04-02	PRIJEM	VKLAD	34209	96017	\N	\N	\N
2523531	8327	1998-09-14	PRIJEM	VKLAD	14607	81299	\N	\N	\N
2523532	8327	1998-10-24	PRIJEM	VKLAD	6597	52526	\N	\N	\N
2523533	8327	1998-06-27	PRIJEM	VKLAD	32692	77387	\N	\N	\N
2523534	8327	1998-05-27	PRIJEM	VKLAD	48709	93522	\N	\N	\N
2523535	8327	1998-09-06	PRIJEM	VKLAD	45834	74392	\N	\N	\N
2523536	8327	1998-03-04	PRIJEM	VKLAD	24186	59874	\N	\N	\N
2523537	8327	1998-10-16	PRIJEM	VKLAD	24922	78528	\N	\N	\N
2523538	8327	1998-10-11	PRIJEM	VKLAD	14153	58767	\N	\N	\N
2523539	8327	1998-10-29	PRIJEM	VKLAD	8213	60739	\N	\N	\N
2523540	8327	1998-06-13	PRIJEM	VKLAD	31050	58195	\N	\N	\N
2523553	8327	1996-01-05	VYDAJ	VYBER	4500	40433	\N	\N	0
2523554	8327	1996-02-04	VYDAJ	VYBER	4400	50475	\N	\N	0
2523555	8327	1996-03-12	VYDAJ	PREVOD NA UCET	5161	47391	UVER	IJ	33872771
2523556	8327	1996-04-12	VYDAJ	PREVOD NA UCET	5161	29635	UVER	IJ	33872771
2523557	8327	1996-05-12	VYDAJ	PREVOD NA UCET	5161	64426	UVER	IJ	33872771
2523558	8327	1996-06-12	VYDAJ	PREVOD NA UCET	5161	31019	UVER	IJ	33872771
2523559	8327	1996-07-12	VYDAJ	PREVOD NA UCET	5161	50811	UVER	IJ	33872771
2523560	8327	1996-08-12	VYDAJ	PREVOD NA UCET	5161	28727	UVER	IJ	33872771
2523561	8327	1996-09-12	VYDAJ	PREVOD NA UCET	5161	16623	UVER	IJ	33872771
2523562	8327	1996-10-12	VYDAJ	PREVOD NA UCET	5161	9722	UVER	IJ	33872771
2523563	8327	1996-11-12	VYDAJ	PREVOD NA UCET	5161	41047	UVER	IJ	33872771
2523564	8327	1996-12-12	VYDAJ	PREVOD NA UCET	5161	17310	UVER	IJ	33872771
2523565	8327	1997-01-12	VYDAJ	PREVOD NA UCET	5161	16271	UVER	IJ	33872771
2523566	8327	1997-02-12	VYDAJ	PREVOD NA UCET	5161	14171	UVER	IJ	33872771
2523567	8327	1997-03-12	VYDAJ	PREVOD NA UCET	5161	10738	UVER	IJ	33872771
2523568	8327	1997-04-12	VYDAJ	PREVOD NA UCET	5161	15369	UVER	IJ	33872771
2523569	8327	1997-05-12	VYDAJ	PREVOD NA UCET	5161	26298	UVER	IJ	33872771
2523570	8327	1997-06-12	VYDAJ	PREVOD NA UCET	5161	20093	UVER	IJ	33872771
2523571	8327	1997-07-12	VYDAJ	PREVOD NA UCET	5161	21539	UVER	IJ	33872771
2523572	8327	1997-08-12	VYDAJ	PREVOD NA UCET	5161	21969	UVER	IJ	33872771
2523573	8327	1997-09-12	VYDAJ	PREVOD NA UCET	5161	23939	UVER	IJ	33872771
2523574	8327	1997-10-12	VYDAJ	PREVOD NA UCET	5161	30279	UVER	IJ	33872771
2523575	8327	1997-11-12	VYDAJ	PREVOD NA UCET	5161	29138	UVER	IJ	33872771
2523576	8327	1997-12-12	VYDAJ	PREVOD NA UCET	5161	27058	UVER	IJ	33872771
2523577	8327	1998-01-12	VYDAJ	PREVOD NA UCET	5161	19519	UVER	IJ	33872771
2523578	8327	1998-02-12	VYDAJ	PREVOD NA UCET	5161	18764	UVER	IJ	33872771
2523579	8327	1998-03-12	VYDAJ	PREVOD NA UCET	5161	48070	UVER	IJ	33872771
2523580	8327	1998-04-12	VYDAJ	PREVOD NA UCET	5161	84213	UVER	IJ	33872771
2523581	8327	1998-05-12	VYDAJ	PREVOD NA UCET	5161	43713	UVER	IJ	33872771
2523582	8327	1998-06-12	VYDAJ	PREVOD NA UCET	5161	27145	UVER	IJ	33872771
2523583	8327	1998-07-12	VYDAJ	PREVOD NA UCET	5161	61359	UVER	IJ	33872771
2523584	8327	1998-08-12	VYDAJ	PREVOD NA UCET	5161	31580	UVER	IJ	33872771
2523585	8327	1998-09-12	VYDAJ	PREVOD NA UCET	5161	66692	UVER	IJ	33872771
2523586	8327	1998-10-12	VYDAJ	PREVOD NA UCET	5161	53606	UVER	IJ	33872771
2523587	8327	1998-11-12	VYDAJ	PREVOD NA UCET	5161	49316	UVER	IJ	33872771
2523588	8327	1998-12-12	VYDAJ	PREVOD NA UCET	5161	34258	UVER	IJ	33872771
2523601	8327	1996-01-05	VYDAJ	PREVOD NA UCET	4104	71633	SIPO	UV	66402190
2523602	8327	1996-02-05	VYDAJ	PREVOD NA UCET	4104	46371	SIPO	UV	66402190
2523603	8327	1996-03-05	VYDAJ	PREVOD NA UCET	4104	46841	SIPO	UV	66402190
2523604	8327	1996-04-05	VYDAJ	PREVOD NA UCET	4104	37335	SIPO	UV	66402190
2523605	8327	1996-05-05	VYDAJ	PREVOD NA UCET	4104	45288	SIPO	UV	66402190
2523606	8327	1996-06-05	VYDAJ	PREVOD NA UCET	4104	38720	SIPO	UV	66402190
2523607	8327	1996-07-05	VYDAJ	PREVOD NA UCET	4104	58511	SIPO	UV	66402190
2523608	8327	1996-08-05	VYDAJ	PREVOD NA UCET	4104	36427	SIPO	UV	66402190
2523609	8327	1996-09-05	VYDAJ	PREVOD NA UCET	4104	24323	SIPO	UV	66402190
2523610	8327	1996-10-05	VYDAJ	PREVOD NA UCET	4104	17422	SIPO	UV	66402190
2523611	8327	1996-11-05	VYDAJ	PREVOD NA UCET	4104	48748	SIPO	UV	66402190
2523612	8327	1996-12-05	VYDAJ	PREVOD NA UCET	4104	25010	SIPO	UV	66402190
2523613	8327	1997-01-05	VYDAJ	PREVOD NA UCET	4104	23971	SIPO	UV	66402190
2523614	8327	1997-02-05	VYDAJ	PREVOD NA UCET	4104	21872	SIPO	UV	66402190
2523615	8327	1997-03-05	VYDAJ	PREVOD NA UCET	4104	18438	SIPO	UV	66402190
2523616	8327	1997-04-05	VYDAJ	PREVOD NA UCET	4104	23070	SIPO	UV	66402190
2523617	8327	1997-05-05	VYDAJ	PREVOD NA UCET	4104	33998	SIPO	UV	66402190
2523618	8327	1997-06-05	VYDAJ	PREVOD NA UCET	4104	27794	SIPO	UV	66402190
2523619	8327	1997-07-05	VYDAJ	PREVOD NA UCET	4104	29239	SIPO	UV	66402190
2523620	8327	1997-08-05	VYDAJ	PREVOD NA UCET	4104	29669	SIPO	UV	66402190
2523621	8327	1997-09-05	VYDAJ	PREVOD NA UCET	4104	31639	SIPO	UV	66402190
2523622	8327	1997-10-05	VYDAJ	PREVOD NA UCET	4104	51453	SIPO	UV	66402190
2523623	8327	1997-11-05	VYDAJ	PREVOD NA UCET	4104	36838	SIPO	UV	66402190
2523624	8327	1997-12-05	VYDAJ	PREVOD NA UCET	4104	34758	SIPO	UV	66402190
2523625	8327	1998-01-05	VYDAJ	PREVOD NA UCET	4104	27219	SIPO	UV	66402190
2523626	8327	1998-02-05	VYDAJ	PREVOD NA UCET	4104	26464	SIPO	UV	66402190
2523627	8327	1998-03-05	VYDAJ	PREVOD NA UCET	4104	55770	SIPO	UV	66402190
2523628	8327	1998-04-05	VYDAJ	PREVOD NA UCET	4104	91913	SIPO	UV	66402190
2523629	8327	1998-05-05	VYDAJ	PREVOD NA UCET	4104	51414	SIPO	UV	66402190
2523630	8327	1998-06-05	VYDAJ	PREVOD NA UCET	4104	76245	SIPO	UV	66402190
2523631	8327	1998-07-05	VYDAJ	PREVOD NA UCET	4104	69059	SIPO	UV	66402190
2523632	8327	1998-08-05	VYDAJ	PREVOD NA UCET	4104	39281	SIPO	UV	66402190
2523633	8327	1998-09-05	VYDAJ	PREVOD NA UCET	4104	28558	SIPO	UV	66402190
2523634	8327	1998-10-05	VYDAJ	PREVOD NA UCET	4104	47153	SIPO	UV	66402190
2523635	8327	1998-11-05	VYDAJ	PREVOD NA UCET	4104	57016	SIPO	UV	66402190
2523636	8327	1998-12-05	VYDAJ	PREVOD NA UCET	4104	41958	SIPO	UV	66402190
2523649	8327	1996-01-09	VYDAJ	PREVOD NA UCET	2539	35794	 	QR	54091328
2523650	8327	1996-02-09	VYDAJ	PREVOD NA UCET	2539	43832	 	QR	54091328
2523651	8327	1996-03-09	VYDAJ	PREVOD NA UCET	2539	52552	 	QR	54091328
2523652	8327	1996-04-09	VYDAJ	PREVOD NA UCET	2539	34796	 	QR	54091328
2523653	8327	1996-05-09	VYDAJ	PREVOD NA UCET	2539	69587	 	QR	54091328
2523654	8327	1996-06-09	VYDAJ	PREVOD NA UCET	2539	36181	 	QR	54091328
2523655	8327	1996-07-09	VYDAJ	PREVOD NA UCET	2539	55972	 	QR	54091328
2523656	8327	1996-08-09	VYDAJ	PREVOD NA UCET	2539	33888	 	QR	54091328
2523657	8327	1996-09-09	VYDAJ	PREVOD NA UCET	2539	21784	 	QR	54091328
2523658	8327	1996-10-09	VYDAJ	PREVOD NA UCET	2539	14883	 	QR	54091328
2523659	8327	1996-11-09	VYDAJ	PREVOD NA UCET	2539	46209	 	QR	54091328
2523660	8327	1996-12-09	VYDAJ	PREVOD NA UCET	2539	22471	 	QR	54091328
2523661	8327	1997-01-09	VYDAJ	PREVOD NA UCET	2539	21432	 	QR	54091328
2523662	8327	1997-02-09	VYDAJ	PREVOD NA UCET	2539	19333	 	QR	54091328
2523663	8327	1997-03-09	VYDAJ	PREVOD NA UCET	2539	15899	 	QR	54091328
2523664	8327	1997-04-09	VYDAJ	PREVOD NA UCET	2539	20531	 	QR	54091328
2523665	8327	1997-05-09	VYDAJ	PREVOD NA UCET	2539	31459	 	QR	54091328
2523666	8327	1997-06-09	VYDAJ	PREVOD NA UCET	2539	25255	 	QR	54091328
2523667	8327	1997-07-09	VYDAJ	PREVOD NA UCET	2539	26700	 	QR	54091328
2523668	8327	1997-08-09	VYDAJ	PREVOD NA UCET	2539	27130	 	QR	54091328
2523669	8327	1997-09-09	VYDAJ	PREVOD NA UCET	2539	29100	 	QR	54091328
2523670	8327	1997-10-09	VYDAJ	PREVOD NA UCET	2539	35440	 	QR	54091328
2523671	8327	1997-11-09	VYDAJ	PREVOD NA UCET	2539	34299	 	QR	54091328
2523672	8327	1997-12-09	VYDAJ	PREVOD NA UCET	2539	32219	 	QR	54091328
2523673	8327	1998-01-09	VYDAJ	PREVOD NA UCET	2539	24680	 	QR	54091328
2523674	8327	1998-02-09	VYDAJ	PREVOD NA UCET	2539	23925	 	QR	54091328
2523675	8327	1998-03-09	VYDAJ	PREVOD NA UCET	2539	53231	 	QR	54091328
2523676	8327	1998-04-09	VYDAJ	PREVOD NA UCET	2539	89374	 	QR	54091328
2523677	8327	1998-05-09	VYDAJ	PREVOD NA UCET	2539	48875	 	QR	54091328
2523678	8327	1998-06-09	VYDAJ	PREVOD NA UCET	2539	73706	 	QR	54091328
2523679	8327	1998-07-09	VYDAJ	PREVOD NA UCET	2539	66520	 	QR	54091328
2523680	8327	1998-08-09	VYDAJ	PREVOD NA UCET	2539	36742	 	QR	54091328
2523681	8327	1998-09-09	VYDAJ	PREVOD NA UCET	2539	71853	 	QR	54091328
2523682	8327	1998-10-09	VYDAJ	PREVOD NA UCET	2539	44614	 	QR	54091328
2523683	8327	1998-11-09	VYDAJ	PREVOD NA UCET	2539	54477	 	QR	54091328
2523684	8327	1998-12-09	VYDAJ	PREVOD NA UCET	2539	39419	 	QR	54091328
2523692	8327	1995-12-29	VYBER	VYBER	6169	94927	\N	\N	\N
2523693	8327	1995-12-30	VYBER	VYBER	12738	82189	\N	\N	\N
2523698	8327	1996-12-02	VYBER	VYBER	12049	29114	\N	\N	\N
2523699	8327	1996-11-21	VYBER	VYBER	2977	90384	\N	\N	\N
2523703	8327	1997-10-08	VYBER	VYBER	13474	37979	\N	\N	\N
2523715	8327	1998-07-04	VYBER	VYBER	4624	73163	\N	\N	\N
2523717	8327	1998-04-13	VYBER	VYBER	17370	66843	\N	\N	\N
2523719	8327	1998-10-20	VYBER	VYBER	17499	61029	\N	\N	\N
2523720	8327	1998-09-18	VYBER	VYBER	10643	70656	\N	\N	\N
2523723	8327	1996-06-01	VYDAJ	VYBER	20700	59524	\N	\N	\N
2523725	8327	1998-06-11	VYDAJ	VYBER	41400	32306	\N	\N	\N
2523727	8327	1996-01-15	VYDAJ	VYBER	4500	24694	\N	\N	\N
2523731	8327	1996-12-01	VYDAJ	VYBER	8100	41163	\N	\N	\N
2523732	8327	1997-12-26	VYDAJ	VYBER	5700	31158	\N	\N	\N
2523741	8327	1996-01-09	VYDAJ	VYBER	2100	38333	\N	\N	\N
2523742	8327	1996-01-04	VYDAJ	VYBER	6900	75737	\N	\N	\N
2523743	8327	1996-01-27	VYDAJ	VYBER	6900	81791	\N	\N	\N
2523744	8327	1996-01-10	VYDAJ	VYBER	6600	29194	\N	\N	\N
2523745	8327	1996-01-24	VYDAJ	VYBER	3900	69363	\N	\N	\N
2523747	8327	1997-01-03	VYDAJ	VYBER	8100	28075	\N	\N	\N
2523766	8327	1996-05-13	VYDAJ	VYBER	11400	53026	\N	\N	\N
2523771	8327	1998-03-20	VYDAJ	VYBER	5700	40570	\N	\N	\N
2523772	8327	1998-06-04	VYDAJ	VYBER	13500	80349	\N	\N	\N
2523773	8327	1998-08-28	VYDAJ	VYBER KARTOU	2700	32480	\N	\N	0
2523775	8327	1998-03-15	VYDAJ	VYBER KARTOU	1800	46270	\N	\N	0
2523776	8327	1998-07-28	VYDAJ	VYBER KARTOU	3600	42959	\N	\N	0
2523777	8327	1998-06-17	VYDAJ	VYBER	14700	43495	\N	\N	\N
2523790	8327	1995-12-31	VYDAJ	VYBER	30	82637	SLUZBY	\N	\N
2523791	8327	1996-01-31	VYDAJ	VYBER	30	82175	SLUZBY	\N	\N
2523792	8327	1996-02-29	VYDAJ	VYBER	30	50945	SLUZBY	\N	\N
2523793	8327	1996-03-31	VYDAJ	VYBER	30	57639	SLUZBY	\N	\N
2523794	8327	1996-04-30	VYDAJ	VYBER	30	29887	SLUZBY	\N	\N
2523795	8327	1996-05-31	VYDAJ	VYBER	30	80224	SLUZBY	\N	\N
2523796	8327	1996-06-30	VYDAJ	VYBER	30	116179	SLUZBY	\N	\N
2523797	8327	1996-07-31	VYDAJ	VYBER	30	51231	SLUZBY	\N	\N
2523798	8327	1996-08-31	VYDAJ	VYBER	30	28927	SLUZBY	\N	\N
2523799	8327	1996-09-30	VYDAJ	VYBER	30	16726	SLUZBY	\N	\N
2523800	8327	1996-10-31	VYDAJ	VYBER	30	110252	SLUZBY	\N	\N
2523801	8327	1996-11-30	VYDAJ	VYBER	30	110763	SLUZBY	\N	\N
2523802	8327	1996-12-31	VYDAJ	VYBER	30	36175	SLUZBY	\N	\N
2523803	8327	1997-01-31	VYDAJ	VYBER	30	25976	SLUZBY	\N	\N
2523804	8327	1997-02-28	VYDAJ	VYBER	30	22542	SLUZBY	\N	\N
2523805	8327	1997-03-31	VYDAJ	VYBER	30	27174	SLUZBY	\N	\N
2523806	8327	1997-04-30	VYDAJ	VYBER	30	38102	SLUZBY	\N	\N
2523807	8327	1997-05-31	VYDAJ	VYBER	30	31898	SLUZBY	\N	\N
2523808	8327	1997-06-30	VYDAJ	VYBER	30	33343	SLUZBY	\N	\N
2523809	8327	1997-07-31	VYDAJ	VYBER	30	33773	SLUZBY	\N	\N
2523810	8327	1997-08-31	VYDAJ	VYBER	30	35743	SLUZBY	\N	\N
2523811	8327	1997-09-30	VYDAJ	VYBER	30	55557	SLUZBY	\N	\N
2523812	8327	1997-10-31	VYDAJ	VYBER	30	40942	SLUZBY	\N	\N
2523813	8327	1997-11-30	VYDAJ	VYBER	30	38862	SLUZBY	\N	\N
2523814	8327	1997-12-31	VYDAJ	VYBER	30	31323	SLUZBY	\N	\N
2523815	8327	1998-01-31	VYDAJ	VYBER	30	30568	SLUZBY	\N	\N
2523816	8327	1998-02-28	VYDAJ	VYBER	30	35688	SLUZBY	\N	\N
2523817	8327	1998-03-31	VYDAJ	VYBER	30	61808	SLUZBY	\N	\N
2523818	8327	1998-04-30	VYDAJ	VYBER	30	55518	SLUZBY	\N	\N
2523819	8327	1998-05-31	VYDAJ	VYBER	30	93849	SLUZBY	\N	\N
2523820	8327	1998-06-30	VYDAJ	VYBER	30	77787	SLUZBY	\N	\N
2523821	8327	1998-07-31	VYDAJ	VYBER	30	43385	SLUZBY	\N	\N
2523822	8327	1998-08-31	VYDAJ	VYBER	30	32662	SLUZBY	\N	\N
2523823	8327	1998-09-30	VYDAJ	VYBER	30	51257	SLUZBY	\N	\N
2523824	8327	1998-10-31	VYDAJ	VYBER	30	61120	SLUZBY	\N	\N
2523825	8327	1998-11-30	VYDAJ	VYBER	30	46062	SLUZBY	\N	\N
2523826	8327	1995-09-07	VYDAJ	VYBER	10500	37367	\N	\N	\N
2523827	8327	1995-10-07	VYDAJ	VYBER	6500	31066	\N	\N	\N
2523828	8327	1995-11-06	VYDAJ	VYBER	35700	58999	\N	\N	\N
2523829	8327	1995-12-06	VYDAJ	VYBER	20800	38591	\N	\N	\N
2523830	8327	1996-01-05	VYDAJ	VYBER	26700	44933	\N	\N	\N
2523831	8327	1996-02-04	VYDAJ	VYBER	27300	54875	\N	\N	\N
2523832	8327	1996-02-23	VYDAJ	VYBER	57900	50490	\N	\N	\N
2523833	8327	1996-03-05	VYDAJ	VYBER	12400	34441	\N	\N	\N
2523834	8327	1996-04-04	VYDAJ	VYBER	16200	41439	\N	\N	\N
2523835	8327	1996-05-04	VYDAJ	VYBER	22800	49392	\N	\N	\N
2523836	8327	1996-06-03	VYDAJ	VYBER	16700	42824	\N	\N	\N
2523837	8327	1996-06-30	VYDAJ	VYBER	38000	78179	\N	\N	\N
2523838	8327	1996-07-01	VYDAJ	VYBER	23000	103815	\N	\N	\N
2523839	8327	1996-07-03	VYDAJ	VYBER	41200	62615	\N	\N	\N
2523840	8327	1996-08-02	VYDAJ	VYBER	10700	40531	\N	\N	\N
2523841	8327	1996-09-01	VYDAJ	VYBER KARTOU	500	28427	\N	\N	0
2523842	8327	1996-10-01	PRIJEM	VKLAD	4800	21526	\N	\N	\N
2523843	8327	1996-10-31	VYDAJ	VYBER	32000	52852	\N	\N	\N
2523844	8327	1996-10-31	VYDAJ	VYBER	25400	84852	\N	\N	\N
2523845	8327	1996-11-30	VYDAJ	VYBER	48700	62063	\N	\N	\N
2523846	8327	1996-11-30	VYDAJ	VYBER	12800	49263	\N	\N	\N
2523847	8327	1996-12-30	VYDAJ	VYBER KARTOU	1900	35962	\N	\N	0
2523848	8327	1997-01-29	PRIJEM	VKLAD	9600	25871	\N	\N	\N
2523849	8327	1997-02-28	PRIJEM	VKLAD	8300	22537	\N	\N	\N
2523850	8327	1997-03-30	PRIJEM	VKLAD	8000	27085	\N	\N	\N
2523851	8327	1997-04-29	PRIJEM	VKLAD	300	37974	\N	\N	\N
2523852	8327	1997-05-29	PRIJEM	VKLAD	5400	31698	\N	\N	\N
2523853	8327	1997-06-28	PRIJEM	VKLAD	13100	33193	\N	\N	\N
2523854	8327	1997-07-28	PRIJEM	VKLAD	12100	33639	\N	\N	\N
2523855	8327	1997-08-27	PRIJEM	VKLAD	13600	35569	\N	\N	\N
2523856	8327	1997-09-26	VYDAJ	VYBER KARTOU	3400	55264	\N	\N	0
2523857	8327	1997-10-26	PRIJEM	VKLAD	10400	40679	\N	\N	\N
2523858	8327	1997-11-25	PRIJEM	VKLAD	9500	38638	\N	\N	\N
2523859	8327	1997-12-25	PRIJEM	VKLAD	9800	36858	\N	\N	\N
2523860	8327	1998-01-24	PRIJEM	VKLAD	10900	30419	\N	\N	\N
2523861	8327	1998-02-23	PRIJEM	VKLAD	16800	35564	\N	\N	\N
2523862	8327	1998-03-25	PRIJEM	VKLAD	3100	43670	\N	\N	\N
2523863	8327	1998-04-24	VYDAJ	VYBER	11800	55043	\N	\N	\N
2523864	8327	1998-05-24	PRIJEM	VKLAD	1100	44813	\N	\N	\N
2523865	8327	1998-06-23	PRIJEM	VKLAD	1200	44695	\N	\N	\N
2523866	8327	1998-07-23	VYDAJ	VYBER	14800	46559	\N	\N	\N
2523867	8327	1998-08-22	PRIJEM	VKLAD	3600	35180	\N	\N	\N
2523868	8327	1998-09-21	VYDAJ	VYBER	19800	50856	\N	\N	\N
2523869	8327	1998-10-21	VYDAJ	VYBER	15100	45929	\N	\N	\N
2523870	8327	1998-11-20	VYDAJ	VYBER	23400	45771	\N	\N	\N
2523871	8327	1998-12-20	VYDAJ	VYBER	4700	29558	\N	\N	\N
2524756	8330	1993-03-28	PRIJEM	VKLAD	600	600	\N	\N	\N
2524760	8330	1993-04-06	PRIJEM	VKLAD	21118	21718	\N	\N	\N
2524761	8330	1993-05-06	PRIJEM	VKLAD	21118	43258	\N	\N	\N
2524762	8330	1993-06-06	PRIJEM	VKLAD	31677	64151	\N	\N	\N
2524763	8330	1993-07-06	PRIJEM	VKLAD	21118	64335	\N	\N	\N
2524764	8330	1993-08-06	PRIJEM	VKLAD	21118	63661	\N	\N	\N
2524765	8330	1993-09-06	PRIJEM	VKLAD	21118	62786	\N	\N	\N
2524766	8330	1993-10-06	PRIJEM	VKLAD	21118	64804	\N	\N	\N
2524767	8330	1993-11-06	PRIJEM	VKLAD	21118	60095	\N	\N	\N
2524768	8330	1993-12-06	PRIJEM	VKLAD	31677	73069	\N	\N	\N
2524769	8330	1994-01-06	PRIJEM	VKLAD	21118	64797	\N	\N	\N
2524770	8330	1994-02-06	PRIJEM	VKLAD	21118	53949	\N	\N	\N
2524771	8330	1994-03-06	PRIJEM	VKLAD	21118	62281	\N	\N	\N
2524772	8330	1994-04-06	PRIJEM	VKLAD	21118	57746	\N	\N	\N
2524773	8330	1994-05-06	PRIJEM	VKLAD	21118	60811	\N	\N	\N
2524774	8330	1994-06-06	PRIJEM	VKLAD	31677	72324	\N	\N	\N
2524775	8330	1994-07-06	PRIJEM	VKLAD	21118	64589	\N	\N	\N
2524776	8330	1994-08-06	PRIJEM	VKLAD	21118	63442	\N	\N	\N
2524777	8330	1994-09-06	PRIJEM	VKLAD	21118	62325	\N	\N	\N
2524778	8330	1994-10-06	PRIJEM	VKLAD	21118	62257	\N	\N	\N
2524779	8330	1994-11-06	PRIJEM	VKLAD	21118	65165	\N	\N	\N
2524780	8330	1994-12-06	PRIJEM	VKLAD	31677	78016	\N	\N	\N
2524781	8330	1995-01-06	PRIJEM	VKLAD	21118	64063	\N	\N	\N
2524782	8330	1995-02-06	PRIJEM	VKLAD	21118	54558	\N	\N	\N
2524783	8330	1995-03-06	PRIJEM	VKLAD	21118	60680	\N	\N	\N
2524784	8330	1995-04-06	PRIJEM	VKLAD	21118	59383	\N	\N	\N
2524785	8330	1995-05-06	PRIJEM	VKLAD	21118	64638	\N	\N	\N
2524786	8330	1995-06-06	PRIJEM	VKLAD	31677	75728	\N	\N	\N
2524787	8330	1995-07-06	PRIJEM	VKLAD	21118	70637	\N	\N	\N
2524788	8330	1995-08-06	PRIJEM	VKLAD	21118	68292	\N	\N	\N
2524789	8330	1995-09-06	PRIJEM	VKLAD	21118	60286	\N	\N	\N
2524790	8330	1995-10-06	PRIJEM	VKLAD	21118	58749	\N	\N	\N
2524791	8330	1995-11-06	PRIJEM	VKLAD	21118	59559	\N	\N	\N
2524792	8330	1995-12-06	PRIJEM	VKLAD	31677	69629	\N	\N	\N
2524793	8330	1996-01-06	PRIJEM	VKLAD	21118	64116	\N	\N	\N
2524794	8330	1996-02-06	PRIJEM	VKLAD	21118	51847	\N	\N	\N
2524795	8330	1996-03-06	PRIJEM	VKLAD	21118	52399	\N	\N	\N
2524796	8330	1996-04-06	PRIJEM	VKLAD	21118	53871	\N	\N	\N
2524797	8330	1996-05-06	PRIJEM	VKLAD	21118	50901	\N	\N	\N
2524798	8330	1996-06-06	PRIJEM	VKLAD	31677	62287	\N	\N	\N
2524799	8330	1996-07-06	PRIJEM	VKLAD	21118	55098	\N	\N	\N
2524800	8330	1996-08-06	PRIJEM	VKLAD	21118	55597	\N	\N	\N
2524801	8330	1996-09-06	PRIJEM	VKLAD	21118	56739	\N	\N	\N
2524802	8330	1996-10-06	PRIJEM	VKLAD	21118	55270	\N	\N	\N
2524803	8330	1996-11-06	PRIJEM	VKLAD	21118	48752	\N	\N	\N
2524804	8330	1996-12-06	PRIJEM	VKLAD	31677	59362	\N	\N	\N
2524805	8330	1997-01-06	PRIJEM	VKLAD	21118	47888	\N	\N	\N
2524806	8330	1997-02-06	PRIJEM	VKLAD	21118	46672	\N	\N	\N
2524807	8330	1997-03-06	PRIJEM	VKLAD	21118	61485	\N	\N	\N
2524808	8330	1997-04-06	PRIJEM	VKLAD	21118	55507	\N	\N	\N
2524809	8330	1997-05-06	PRIJEM	VKLAD	21118	52011	\N	\N	\N
2524810	8330	1997-06-06	PRIJEM	VKLAD	31677	60469	\N	\N	\N
2524811	8330	1997-07-06	PRIJEM	VKLAD	21118	55490	\N	\N	\N
2524812	8330	1997-08-06	PRIJEM	VKLAD	21118	51127	\N	\N	\N
2524813	8330	1997-09-06	PRIJEM	VKLAD	21118	68629	\N	\N	\N
2524814	8330	1997-10-06	PRIJEM	VKLAD	21118	51483	\N	\N	\N
2524815	8330	1997-11-06	PRIJEM	VKLAD	21118	63188	\N	\N	\N
2524816	8330	1997-12-06	PRIJEM	VKLAD	31677	58171	\N	\N	\N
2524817	8330	1998-01-06	PRIJEM	VKLAD	21118	66911	\N	\N	\N
2524818	8330	1998-02-06	PRIJEM	VKLAD	21118	72023	\N	\N	\N
2524819	8330	1998-03-06	PRIJEM	VKLAD	21118	55911	\N	\N	\N
2524820	8330	1998-04-06	PRIJEM	VKLAD	21118	48948	\N	\N	\N
2524821	8330	1998-05-06	PRIJEM	VKLAD	21118	66352	\N	\N	\N
2524822	8330	1998-06-06	PRIJEM	VKLAD	31677	62839	\N	\N	\N
2524823	8330	1998-07-06	PRIJEM	VKLAD	21118	65074	\N	\N	\N
2524824	8330	1998-08-06	PRIJEM	VKLAD	21118	52754	\N	\N	\N
2524825	8330	1998-09-06	PRIJEM	VKLAD	21118	64230	\N	\N	\N
2524826	8330	1998-10-06	PRIJEM	VKLAD	21118	77248	\N	\N	\N
2524827	8330	1998-11-06	PRIJEM	VKLAD	21118	56060	\N	\N	\N
2524828	8330	1998-12-06	PRIJEM	VKLAD	31677	83823	\N	\N	\N
2524836	8330	1993-08-12	VYDAJ	PREVOD NA UCET	3708	58273	SIPO	EF	78180604
2524837	8330	1993-09-12	VYDAJ	PREVOD NA UCET	3708	58878	SIPO	EF	78180604
2524838	8330	1993-10-12	VYDAJ	PREVOD NA UCET	3708	60796	SIPO	EF	78180604
2524839	8330	1993-11-12	VYDAJ	PREVOD NA UCET	3708	56187	SIPO	EF	78180604
2524840	8330	1993-12-12	VYDAJ	PREVOD NA UCET	3708	69161	SIPO	EF	78180604
2524841	8330	1994-01-12	VYDAJ	PREVOD NA UCET	3708	61089	SIPO	EF	78180604
2524842	8330	1994-02-12	VYDAJ	PREVOD NA UCET	3708	50241	SIPO	EF	78180604
2524843	8330	1994-03-12	VYDAJ	PREVOD NA UCET	3708	53173	SIPO	EF	78180604
2524844	8330	1994-04-12	VYDAJ	PREVOD NA UCET	3708	54038	SIPO	EF	78180604
2524845	8330	1994-05-12	VYDAJ	PREVOD NA UCET	3708	56784	SIPO	EF	78180604
2524846	8330	1994-06-12	VYDAJ	PREVOD NA UCET	3708	55016	SIPO	EF	78180604
2524847	8330	1994-07-12	VYDAJ	PREVOD NA UCET	3708	60562	SIPO	EF	78180604
2524848	8330	1994-08-12	VYDAJ	PREVOD NA UCET	3708	59734	SIPO	EF	78180604
2524849	8330	1994-09-12	VYDAJ	PREVOD NA UCET	3708	58617	SIPO	EF	78180604
2524850	8330	1994-10-12	VYDAJ	PREVOD NA UCET	3708	55909	SIPO	EF	78180604
2524851	8330	1994-11-12	VYDAJ	PREVOD NA UCET	3708	61457	SIPO	EF	78180604
2524852	8330	1994-12-12	VYDAJ	PREVOD NA UCET	3708	70309	SIPO	EF	78180604
2524853	8330	1995-01-12	VYDAJ	PREVOD NA UCET	3708	60036	SIPO	EF	78180604
2524854	8330	1995-02-12	VYDAJ	PREVOD NA UCET	3708	50850	SIPO	EF	78180604
2524855	8330	1995-03-12	VYDAJ	PREVOD NA UCET	3708	56972	SIPO	EF	78180604
2524856	8330	1995-04-12	VYDAJ	PREVOD NA UCET	3708	55675	SIPO	EF	78180604
2524857	8330	1995-05-12	VYDAJ	PREVOD NA UCET	3708	60930	SIPO	EF	78180604
2524858	8330	1995-06-12	VYDAJ	PREVOD NA UCET	3708	72020	SIPO	EF	78180604
2524859	8330	1995-07-12	VYDAJ	PREVOD NA UCET	3708	66610	SIPO	EF	78180604
2524860	8330	1995-08-12	VYDAJ	PREVOD NA UCET	3708	64265	SIPO	EF	78180604
2524861	8330	1995-09-12	VYDAJ	PREVOD NA UCET	3708	56259	SIPO	EF	78180604
2524862	8330	1995-10-12	VYDAJ	PREVOD NA UCET	3708	55041	SIPO	EF	78180604
2524863	8330	1995-11-12	VYDAJ	PREVOD NA UCET	3708	55851	SIPO	EF	78180604
2524864	8330	1995-12-12	VYDAJ	PREVOD NA UCET	3708	64001	SIPO	EF	78180604
2524865	8330	1996-01-12	VYDAJ	PREVOD NA UCET	3708	57449	SIPO	EF	78180604
2524866	8330	1996-02-12	VYDAJ	PREVOD NA UCET	3708	31120	SIPO	EF	78180604
2524867	8330	1996-03-12	VYDAJ	PREVOD NA UCET	3708	32572	SIPO	EF	78180604
2524868	8330	1996-04-12	VYDAJ	PREVOD NA UCET	3708	29863	SIPO	EF	78180604
2524869	8330	1996-05-12	VYDAJ	PREVOD NA UCET	3708	30393	SIPO	EF	78180604
2524870	8330	1996-06-12	VYDAJ	PREVOD NA UCET	3708	33759	SIPO	EF	78180604
2524871	8330	1996-07-12	VYDAJ	PREVOD NA UCET	3708	34490	SIPO	EF	78180604
2524872	8330	1996-08-12	VYDAJ	PREVOD NA UCET	3708	35689	SIPO	EF	78180604
2524873	8330	1996-09-12	VYDAJ	PREVOD NA UCET	3708	34231	SIPO	EF	78180604
2524874	8330	1996-10-12	VYDAJ	PREVOD NA UCET	3708	32662	SIPO	EF	78180604
2524875	8330	1996-11-12	VYDAJ	PREVOD NA UCET	3708	28544	SIPO	EF	78180604
2524876	8330	1996-12-12	VYDAJ	PREVOD NA UCET	3708	30894	SIPO	EF	78180604
2524877	8330	1997-01-12	VYDAJ	PREVOD NA UCET	3708	28680	SIPO	EF	78180604
2524878	8330	1997-02-12	VYDAJ	PREVOD NA UCET	3708	42964	SIPO	EF	78180604
2524879	8330	1997-03-12	VYDAJ	PREVOD NA UCET	3708	34177	SIPO	EF	78180604
2524880	8330	1997-04-12	VYDAJ	PREVOD NA UCET	3708	32299	SIPO	EF	78180604
2524881	8330	1997-05-12	VYDAJ	PREVOD NA UCET	3708	28903	SIPO	EF	78180604
2524882	8330	1997-06-12	VYDAJ	PREVOD NA UCET	3708	56461	SIPO	EF	78180604
2524883	8330	1997-07-12	VYDAJ	PREVOD NA UCET	3708	51782	SIPO	EF	78180604
2524884	8330	1997-08-12	VYDAJ	PREVOD NA UCET	3708	47419	SIPO	EF	78180604
2524885	8330	1997-09-12	VYDAJ	PREVOD NA UCET	3708	64921	SIPO	EF	78180604
2524886	8330	1997-10-12	VYDAJ	PREVOD NA UCET	3708	47775	SIPO	EF	78180604
2524887	8330	1997-11-12	VYDAJ	PREVOD NA UCET	3708	59480	SIPO	EF	78180604
2524888	8330	1997-12-12	VYDAJ	PREVOD NA UCET	3708	52063	SIPO	EF	78180604
2524889	8330	1998-01-12	VYDAJ	PREVOD NA UCET	3708	57683	SIPO	EF	78180604
2524890	8330	1998-02-12	VYDAJ	PREVOD NA UCET	3708	68115	SIPO	EF	78180604
2524891	8330	1998-03-12	VYDAJ	PREVOD NA UCET	3708	52203	SIPO	EF	78180604
2524892	8330	1998-04-12	VYDAJ	PREVOD NA UCET	3708	45240	SIPO	EF	78180604
2524893	8330	1998-05-12	VYDAJ	PREVOD NA UCET	3708	62644	SIPO	EF	78180604
2524894	8330	1998-06-12	VYDAJ	PREVOD NA UCET	3708	58831	SIPO	EF	78180604
2524895	8330	1998-07-12	VYDAJ	PREVOD NA UCET	3708	61166	SIPO	EF	78180604
2524896	8330	1998-08-12	VYDAJ	PREVOD NA UCET	3708	43826	SIPO	EF	78180604
2524897	8330	1998-09-12	VYDAJ	PREVOD NA UCET	3708	55782	SIPO	EF	78180604
2524898	8330	1998-10-12	VYDAJ	PREVOD NA UCET	3708	73240	SIPO	EF	78180604
2524899	8330	1998-11-12	VYDAJ	PREVOD NA UCET	3708	52052	SIPO	EF	78180604
2524900	8330	1998-12-12	VYDAJ	PREVOD NA UCET	3708	77475	SIPO	EF	78180604
2524908	8330	1993-08-02	VYDAJ	VYBER	300	42543	\N	\N	0
2524909	8330	1993-09-08	VYDAJ	VYBER	200	62586	\N	\N	0
2524910	8330	1993-10-10	VYDAJ	VYBER	300	64504	\N	\N	0
2524911	8330	1993-11-11	VYDAJ	VYBER	200	59895	\N	\N	0
2524912	8330	1993-12-10	VYDAJ	VYBER	200	72869	\N	\N	0
2524913	8330	1994-01-04	VYDAJ	VYBER	300	46079	\N	\N	0
2524914	8330	1994-02-04	VYDAJ	VYBER	300	32831	\N	\N	0
2524915	8330	1994-03-15	VYDAJ	VYBER	300	49153	\N	\N	0
2524916	8330	1994-04-12	VYDAJ	PREVOD NA UCET	319	53719	UVER	EF	4814380
2524917	8330	1994-05-12	VYDAJ	PREVOD NA UCET	319	60492	UVER	EF	4814380
2524918	8330	1994-06-12	VYDAJ	PREVOD NA UCET	319	54697	UVER	EF	4814380
2524919	8330	1994-07-12	VYDAJ	PREVOD NA UCET	319	64270	UVER	EF	4814380
2524920	8330	1994-08-12	VYDAJ	PREVOD NA UCET	319	59415	UVER	EF	4814380
2524921	8330	1994-09-12	VYDAJ	PREVOD NA UCET	319	58298	UVER	EF	4814380
2524922	8330	1994-10-12	VYDAJ	PREVOD NA UCET	319	55590	UVER	EF	4814380
2524923	8330	1994-11-12	VYDAJ	PREVOD NA UCET	319	61138	UVER	EF	4814380
2524924	8330	1994-12-12	VYDAJ	PREVOD NA UCET	319	74017	UVER	EF	4814380
2524925	8330	1995-01-12	VYDAJ	PREVOD NA UCET	319	63744	UVER	EF	4814380
2524926	8330	1995-02-12	VYDAJ	PREVOD NA UCET	319	50531	UVER	EF	4814380
2524927	8330	1995-03-12	VYDAJ	PREVOD NA UCET	319	56653	UVER	EF	4814380
2524928	8330	1995-04-12	VYDAJ	PREVOD NA UCET	319	55356	UVER	EF	4814380
2524929	8330	1995-05-12	VYDAJ	PREVOD NA UCET	319	60611	UVER	EF	4814380
2524930	8330	1995-06-12	VYDAJ	PREVOD NA UCET	319	71701	UVER	EF	4814380
2524931	8330	1995-07-12	VYDAJ	PREVOD NA UCET	319	70318	UVER	EF	4814380
2524932	8330	1995-08-12	VYDAJ	PREVOD NA UCET	319	67973	UVER	EF	4814380
2524933	8330	1995-09-12	VYDAJ	PREVOD NA UCET	319	59967	UVER	EF	4814380
2524934	8330	1995-10-12	VYDAJ	PREVOD NA UCET	319	54722	UVER	EF	4814380
2524935	8330	1995-11-12	VYDAJ	PREVOD NA UCET	319	55532	UVER	EF	4814380
2524936	8330	1995-12-12	VYDAJ	PREVOD NA UCET	319	63682	UVER	EF	4814380
2524937	8330	1996-01-12	VYDAJ	PREVOD NA UCET	319	61157	UVER	EF	4814380
2524938	8330	1996-02-12	VYDAJ	PREVOD NA UCET	319	34828	UVER	EF	4814380
2524939	8330	1996-03-12	VYDAJ	PREVOD NA UCET	319	36280	UVER	EF	4814380
2524940	8330	1996-04-07	VYDAJ	VYBER	300	53571	\N	\N	0
2524941	8330	1996-05-03	VYDAJ	VYBER	300	29783	\N	\N	0
2524942	8330	1996-06-06	VYDAJ	VYBER	200	56967	\N	\N	0
2524943	8330	1996-07-16	VYDAJ	VYBER	200	34290	\N	\N	0
2524944	8330	1996-08-13	VYDAJ	VYBER	300	35389	\N	\N	0
2524945	8330	1996-09-14	VYDAJ	VYBER	300	33931	\N	\N	0
2524946	8330	1996-10-06	VYDAJ	VYBER	300	54970	\N	\N	0
2524947	8330	1996-11-02	VYDAJ	VYBER	300	27634	\N	\N	0
2524948	8330	1996-12-02	VYDAJ	VYBER	300	27685	\N	\N	0
2524949	8330	1997-01-21	VYDAJ	VYBER	300	26220	\N	\N	0
2524950	8330	1997-02-14	VYDAJ	VYBER	300	42664	\N	\N	0
2524951	8330	1997-03-08	VYDAJ	VYBER	300	37885	\N	\N	0
2524952	8330	1997-04-13	VYDAJ	VYBER	300	31999	\N	\N	0
2524953	8330	1997-05-18	VYDAJ	VYBER	300	28603	\N	\N	0
2524954	8330	1997-06-11	VYDAJ	VYBER	300	60169	\N	\N	0
2524955	8330	1997-07-19	VYDAJ	VYBER	200	51582	\N	\N	0
2524956	8330	1997-08-20	VYDAJ	VYBER	200	47219	\N	\N	0
2524957	8330	1997-09-17	VYDAJ	VYBER	300	64621	\N	\N	0
2524958	8330	1997-10-19	VYDAJ	VYBER	300	41955	\N	\N	0
2524959	8330	1997-11-04	VYDAJ	VYBER	200	42070	\N	\N	0
2524960	8330	1997-12-04	VYDAJ	VYBER	200	26494	\N	\N	0
2524961	8330	1998-01-16	VYDAJ	VYBER	300	53183	\N	\N	0
2524962	8330	1998-02-08	VYDAJ	VYBER	200	71823	\N	\N	0
2524963	8330	1998-03-05	VYDAJ	VYBER	200	34793	\N	\N	0
2524964	8330	1998-04-19	VYDAJ	VYBER	300	44940	\N	\N	0
2524965	8330	1998-05-12	VYDAJ	VYBER	200	62444	\N	\N	0
2524966	8330	1998-06-10	VYDAJ	VYBER	300	62539	\N	\N	0
2524967	8330	1998-07-07	VYDAJ	VYBER	200	64874	\N	\N	0
2524968	8330	1998-08-06	VYDAJ	VYBER	300	52454	\N	\N	0
2524969	8330	1998-09-10	VYDAJ	VYBER	300	59490	\N	\N	0
2524970	8330	1998-10-07	VYDAJ	VYBER	300	76948	\N	\N	0
2524971	8330	1998-11-06	VYDAJ	VYBER	300	55760	\N	\N	0
2524972	8330	1998-12-02	VYDAJ	VYBER	200	52146	\N	\N	0
2524974	8330	1994-06-11	VYDAJ	VYBER	13600	58724	\N	\N	\N
2524976	8330	1996-06-06	VYDAJ	VYBER	5120	57167	\N	\N	\N
2524978	8330	1998-06-22	VYDAJ	VYBER	6080	43631	\N	\N	\N
2524979	8330	1993-12-29	VYDAJ	VYBER	2720	45941	\N	\N	\N
2524980	8330	1994-12-12	VYDAJ	VYBER	3680	74336	\N	\N	\N
2524981	8330	1995-12-09	VYDAJ	VYBER	1920	67709	\N	\N	\N
2524982	8330	1996-12-08	VYDAJ	VYBER	2560	34602	\N	\N	\N
2524983	8330	1997-12-01	VYDAJ	VYBER	4480	55394	\N	\N	\N
2524984	8330	1998-12-24	VYDAJ	VYBER	4160	73315	\N	\N	\N
2524991	8330	1994-01-20	VYDAJ	VYBER	3000	53169	\N	\N	\N
2524992	8330	1994-01-05	VYDAJ	VYBER	2400	43679	\N	\N	\N
2524993	8330	1994-01-15	VYDAJ	VYBER	1800	56169	\N	\N	\N
2524994	8330	1994-01-24	VYDAJ	VYBER	2160	36109	\N	\N	\N
2524995	8330	1994-01-14	VYDAJ	VYBER	3120	57969	\N	\N	\N
2524996	8330	1994-01-25	VYDAJ	VYBER	3360	32749	\N	\N	\N
2524997	8330	1995-01-04	VYDAJ	VYBER	1320	42945	\N	\N	\N
2524998	8330	1995-01-18	VYDAJ	VYBER	3120	38756	\N	\N	\N
2524999	8330	1995-01-26	VYDAJ	VYBER	2640	33116	\N	\N	\N
2525000	8330	1995-01-03	VYDAJ	VYBER	2640	44265	\N	\N	\N
2525001	8330	1995-01-12	VYDAJ	VYBER	1200	58836	\N	\N	\N
2525002	8330	1995-01-21	VYDAJ	VYBER	3000	35756	\N	\N	\N
2525003	8330	1996-01-20	VYDAJ	VYBER	3000	32869	\N	\N	\N
2525004	8330	1996-01-30	VYDAJ	VYBER	840	30469	\N	\N	\N
2525005	8330	1996-01-20	VYDAJ	VYBER	2880	35869	\N	\N	\N
2525006	8330	1996-01-29	VYDAJ	VYBER	600	31309	\N	\N	\N
2525007	8330	1996-01-25	VYDAJ	VYBER	960	31909	\N	\N	\N
2525008	8330	1996-01-11	VYDAJ	VYBER	2640	61476	\N	\N	\N
2525010	8330	1997-01-12	VYDAJ	VYBER	2160	26520	\N	\N	\N
2525011	8330	1997-01-03	VYDAJ	VYBER	1200	26770	\N	\N	\N
2525013	8330	1997-01-02	VYDAJ	VYBER	1080	27970	\N	\N	\N
2525015	8330	1998-01-10	VYDAJ	VYBER	3480	61391	\N	\N	\N
2525016	8330	1998-01-07	VYDAJ	VYBER	2040	64871	\N	\N	\N
2525017	8330	1998-01-05	VYDAJ	VYBER	1800	45793	\N	\N	\N
2525018	8330	1998-01-27	VYDAJ	VYBER	2640	50543	\N	\N	\N
2525019	8330	1998-01-03	VYDAJ	VYBER	3480	47593	\N	\N	\N
2525020	8330	1998-01-02	VYDAJ	VYBER	1320	51073	\N	\N	\N
2525024	8330	1993-08-07	VYDAJ	VYBER	1680	61981	\N	\N	\N
2525025	8330	1993-11-05	VYDAJ	VYBER	5880	38977	\N	\N	\N
2525026	8330	1994-10-08	VYDAJ	VYBER	2640	59617	\N	\N	\N
2525027	8330	1994-06-03	VYDAJ	VYBER	2040	40647	\N	\N	\N
2525028	8330	1994-03-13	VYDAJ	VYBER	3720	49453	\N	\N	\N
2525029	8330	1994-12-25	VYDAJ	VYBER	4800	46509	\N	\N	\N
2525030	8330	1994-03-11	VYDAJ	VYBER	5400	56881	\N	\N	\N
2525031	8330	1995-06-21	VYDAJ	VYBER	1560	49141	\N	\N	\N
2525032	8330	1995-01-15	VYDAJ	VYBER	3360	55476	\N	\N	\N
2525033	8330	1995-11-30	VYDAJ	VYBER	600	37966	\N	\N	\N
2525034	8330	1995-03-27	VYDAJ	VYBER	3600	37953	\N	\N	\N
2525035	8330	1995-08-21	VYDAJ	VYBER	5160	38905	\N	\N	\N
2525036	8330	1996-12-29	VYDAJ	VYBER	2040	28854	\N	\N	\N
2525037	8330	1996-10-25	VYDAJ	VYBER	4920	27742	\N	\N	\N
2525038	8330	1996-11-17	VYDAJ	VYBER	720	27824	\N	\N	\N
2525039	8330	1997-01-24	VYDAJ	VYBER	840	25380	\N	\N	\N
2525040	8330	1997-09-24	VYDAJ	VYBER	600	64021	\N	\N	\N
2525041	8330	1997-10-13	VYDAJ	VYBER	5520	42255	\N	\N	\N
2525042	8330	1997-03-05	VYDAJ	VYBER	2520	40367	\N	\N	\N
2525044	8330	1997-12-10	VYDAJ	VYBER	2400	55771	\N	\N	\N
2525045	8330	1997-04-17	VYDAJ	VYBER	1320	30679	\N	\N	\N
2525046	8330	1998-06-20	VYDAJ	VYBER	3840	54991	\N	\N	\N
2525047	8330	1998-01-15	VYDAJ	VYBER	4200	53483	\N	\N	\N
2525048	8330	1998-08-11	VYDAJ	VYBER	4920	47534	\N	\N	\N
2525049	8330	1998-06-21	VYDAJ	VYBER	5280	49711	\N	\N	\N
2525050	8330	1998-02-17	VYDAJ	VYBER	4800	63315	\N	\N	\N
2525051	8330	1998-12-07	VYDAJ	VYBER	2640	81183	\N	\N	\N
2525052	8330	1998-09-05	VYDAJ	VYBER	960	43112	\N	\N	\N
2525053	8330	1998-09-07	VYDAJ	VYBER	4440	59790	\N	\N	\N
2525062	8330	1993-08-31	VYDAJ	VYBER	15	41668	SLUZBY	\N	\N
2525063	8330	1993-09-30	VYDAJ	VYBER	15	43686	SLUZBY	\N	\N
2525064	8330	1993-10-31	VYDAJ	VYBER	15	44857	SLUZBY	\N	\N
2525065	8330	1993-11-30	VYDAJ	VYBER	15	41392	SLUZBY	\N	\N
2525066	8330	1993-12-31	VYDAJ	VYBER	15	46379	SLUZBY	\N	\N
2525067	8330	1994-01-31	VYDAJ	VYBER	15	33131	SLUZBY	\N	\N
2525068	8330	1994-02-28	VYDAJ	VYBER	15	41163	SLUZBY	\N	\N
2525069	8330	1994-03-31	VYDAJ	VYBER	15	36628	SLUZBY	\N	\N
2525070	8330	1994-04-30	VYDAJ	VYBER	15	39693	SLUZBY	\N	\N
2525071	8330	1994-05-31	VYDAJ	VYBER	15	42687	SLUZBY	\N	\N
2525072	8330	1994-06-30	VYDAJ	VYBER	15	43471	SLUZBY	\N	\N
2525073	8330	1994-07-31	VYDAJ	VYBER	15	42324	SLUZBY	\N	\N
2525074	8330	1994-08-31	VYDAJ	VYBER	15	41207	SLUZBY	\N	\N
2525075	8330	1994-09-30	VYDAJ	VYBER	15	41139	SLUZBY	\N	\N
2525076	8330	1994-10-31	VYDAJ	VYBER	15	44047	SLUZBY	\N	\N
2525077	8330	1994-11-30	VYDAJ	VYBER	15	46339	SLUZBY	\N	\N
2525078	8330	1994-12-31	VYDAJ	VYBER	15	46905	SLUZBY	\N	\N
2525079	8330	1995-01-31	VYDAJ	VYBER	15	33440	SLUZBY	\N	\N
2525080	8330	1995-02-28	VYDAJ	VYBER	15	39562	SLUZBY	\N	\N
2525081	8330	1995-03-31	VYDAJ	VYBER	15	38265	SLUZBY	\N	\N
2525082	8330	1995-04-30	VYDAJ	VYBER	15	43520	SLUZBY	\N	\N
2525083	8330	1995-05-31	VYDAJ	VYBER	15	44051	SLUZBY	\N	\N
2525084	8330	1995-06-30	VYDAJ	VYBER	15	49519	SLUZBY	\N	\N
2525085	8330	1995-07-31	VYDAJ	VYBER	15	47174	SLUZBY	\N	\N
2525086	8330	1995-08-31	VYDAJ	VYBER	15	39168	SLUZBY	\N	\N
2525087	8330	1995-09-30	VYDAJ	VYBER	15	37631	SLUZBY	\N	\N
2525088	8330	1995-10-31	VYDAJ	VYBER	15	38441	SLUZBY	\N	\N
2525089	8330	1995-11-30	VYDAJ	VYBER	15	37952	SLUZBY	\N	\N
2525090	8330	1995-12-31	VYDAJ	VYBER	15	42998	SLUZBY	\N	\N
2525091	8330	1996-01-31	VYDAJ	VYBER	15	30729	SLUZBY	\N	\N
2525092	8330	1996-02-29	VYDAJ	VYBER	15	31281	SLUZBY	\N	\N
2525093	8330	1996-03-31	VYDAJ	VYBER	15	32753	SLUZBY	\N	\N
2525094	8330	1996-04-30	VYDAJ	VYBER	15	30083	SLUZBY	\N	\N
2525095	8330	1996-05-31	VYDAJ	VYBER	15	30610	SLUZBY	\N	\N
2525096	8330	1996-06-30	VYDAJ	VYBER	15	33980	SLUZBY	\N	\N
2525097	8330	1996-07-31	VYDAJ	VYBER	15	34479	SLUZBY	\N	\N
2525098	8330	1996-08-31	VYDAJ	VYBER	15	35621	SLUZBY	\N	\N
2525099	8330	1996-09-30	VYDAJ	VYBER	15	34152	SLUZBY	\N	\N
2525100	8330	1996-10-31	VYDAJ	VYBER	15	27934	SLUZBY	\N	\N
2525101	8330	1996-11-30	VYDAJ	VYBER	15	27985	SLUZBY	\N	\N
2525102	8330	1996-12-31	VYDAJ	VYBER	15	29050	SLUZBY	\N	\N
2525103	8330	1997-01-31	VYDAJ	VYBER	15	25554	SLUZBY	\N	\N
2525104	8330	1997-02-28	VYDAJ	VYBER	15	42887	SLUZBY	\N	\N
2525105	8330	1997-03-31	VYDAJ	VYBER	15	34389	SLUZBY	\N	\N
2525106	8330	1997-04-30	VYDAJ	VYBER	15	30893	SLUZBY	\N	\N
2525107	8330	1997-05-31	VYDAJ	VYBER	15	28792	SLUZBY	\N	\N
2525108	8330	1997-06-30	VYDAJ	VYBER	15	56772	SLUZBY	\N	\N
2525109	8330	1997-07-31	VYDAJ	VYBER	15	51909	SLUZBY	\N	\N
2525110	8330	1997-08-31	VYDAJ	VYBER	15	47511	SLUZBY	\N	\N
2525111	8330	1997-09-30	VYDAJ	VYBER	15	64365	SLUZBY	\N	\N
2525112	8330	1997-10-31	VYDAJ	VYBER	15	42270	SLUZBY	\N	\N
2525113	8330	1997-11-30	VYDAJ	VYBER	15	59874	SLUZBY	\N	\N
2525114	8330	1997-12-31	VYDAJ	VYBER	15	52393	SLUZBY	\N	\N
2525115	8330	1998-01-31	VYDAJ	VYBER	15	50905	SLUZBY	\N	\N
2525116	8330	1998-02-28	VYDAJ	VYBER	15	63693	SLUZBY	\N	\N
2525117	8330	1998-03-31	VYDAJ	VYBER	15	52530	SLUZBY	\N	\N
2525118	8330	1998-04-30	VYDAJ	VYBER	15	45234	SLUZBY	\N	\N
2525119	8330	1998-05-31	VYDAJ	VYBER	15	62762	SLUZBY	\N	\N
2525120	8330	1998-06-30	VYDAJ	VYBER	15	43956	SLUZBY	\N	\N
2525121	8330	1998-07-31	VYDAJ	VYBER	15	31636	SLUZBY	\N	\N
2525122	8330	1998-08-31	VYDAJ	VYBER	15	44072	SLUZBY	\N	\N
2525123	8330	1998-09-30	VYDAJ	VYBER	15	56130	SLUZBY	\N	\N
2525124	8330	1998-10-31	VYDAJ	VYBER	15	34942	SLUZBY	\N	\N
2525125	8330	1998-11-30	VYDAJ	VYBER	15	52346	SLUZBY	\N	\N
2525126	8330	1993-04-27	PRIJEM	VKLAD	400	22118	\N	\N	\N
2525127	8330	1993-05-27	VYDAJ	VYBER	10900	32358	\N	\N	\N
2525128	8330	1993-06-26	VYDAJ	VYBER	21100	43051	\N	\N	\N
2525129	8330	1993-07-26	VYDAJ	VYBER	21700	42635	\N	\N	\N
2525130	8330	1993-08-25	VYDAJ	VYBER	17000	41273	\N	\N	\N
2525131	8330	1993-09-24	VYDAJ	VYBER	15600	43278	\N	\N	\N
2525132	8330	1993-10-24	VYDAJ	VYBER	16300	44496	\N	\N	\N
2525133	8330	1993-11-23	VYDAJ	VYBER	15200	40987	\N	\N	\N
2525134	8330	1993-12-23	VYDAJ	VYBER	20500	48661	\N	\N	\N
2525135	8330	1994-01-22	VYDAJ	VYBER	14900	38269	\N	\N	\N
2525136	8330	1994-02-21	VYDAJ	VYBER	9400	40841	\N	\N	\N
2525137	8330	1994-03-23	VYDAJ	VYBER	12800	36353	\N	\N	\N
2525138	8330	1994-04-22	VYDAJ	VYBER	14300	39419	\N	\N	\N
2525139	8330	1994-05-22	VYDAJ	VYBER	14400	42384	\N	\N	\N
2525140	8330	1994-06-21	VYDAJ	VYBER	11600	43097	\N	\N	\N
2525141	8330	1994-07-21	VYDAJ	VYBER	18600	41962	\N	\N	\N
2525142	8330	1994-08-20	VYDAJ	VYBER	18500	40915	\N	\N	\N
2525143	8330	1994-09-19	VYDAJ	VYBER	17500	40798	\N	\N	\N
2525144	8330	1994-10-19	VYDAJ	VYBER	11900	43690	\N	\N	\N
2525145	8330	1994-11-18	VYDAJ	VYBER	15100	46038	\N	\N	\N
2525146	8330	1994-12-18	VYDAJ	VYBER	19000	51309	\N	\N	\N
2525147	8330	1995-01-17	VYDAJ	VYBER	13600	41876	\N	\N	\N
2525148	8330	1995-02-16	VYDAJ	VYBER	11200	39331	\N	\N	\N
2525149	8330	1995-03-18	VYDAJ	VYBER	15100	41553	\N	\N	\N
2525150	8330	1995-04-17	VYDAJ	VYBER	12100	43256	\N	\N	\N
2525151	8330	1995-05-17	VYDAJ	VYBER	16900	43711	\N	\N	\N
2525152	8330	1995-06-16	VYDAJ	VYBER	21000	50701	\N	\N	\N
2525153	8330	1995-07-16	VYDAJ	VYBER	19800	46810	\N	\N	\N
2525154	8330	1995-08-15	VYDAJ	VYBER	20200	44065	\N	\N	\N
2525155	8330	1995-09-14	VYDAJ	VYBER	18900	37359	\N	\N	\N
2525156	8330	1995-10-14	VYDAJ	VYBER	16500	38222	\N	\N	\N
2525157	8330	1995-11-13	VYDAJ	VYBER	17200	38332	\N	\N	\N
2525158	8330	1995-12-13	VYDAJ	VYBER	21000	42682	\N	\N	\N
2525159	8330	1996-01-12	VYDAJ	VYBER	18700	38749	\N	\N	\N
2525160	8330	1996-02-11	VYDAJ	VYBER	16700	35147	\N	\N	\N
2525161	8330	1996-03-12	VYDAJ	VYBER	15800	36599	\N	\N	\N
2525162	8330	1996-04-11	VYDAJ	VYBER	20000	33571	\N	\N	\N
2525163	8330	1996-05-11	VYDAJ	VYBER	16800	34101	\N	\N	\N
2525164	8330	1996-06-10	VYDAJ	VYBER	19500	37467	\N	\N	\N
2525165	8330	1996-07-10	VYDAJ	VYBER	16900	38198	\N	\N	\N
2525166	8330	1996-08-09	VYDAJ	VYBER	16200	39397	\N	\N	\N
2525167	8330	1996-09-08	VYDAJ	VYBER	18800	37939	\N	\N	\N
2525168	8330	1996-10-08	VYDAJ	VYBER	18600	36370	\N	\N	\N
2525169	8330	1996-11-07	VYDAJ	VYBER	16500	32252	\N	\N	\N
2525170	8330	1996-12-07	VYDAJ	VYBER	22200	37162	\N	\N	\N
2525171	8330	1997-01-06	VYDAJ	VYBER	15500	32388	\N	\N	\N
2525172	8330	1997-03-07	VYDAJ	VYBER	23300	38185	\N	\N	\N
2525173	8330	1997-04-06	VYDAJ	VYBER	19500	36007	\N	\N	\N
2525174	8330	1997-05-06	VYDAJ	VYBER	19400	32611	\N	\N	\N
2525175	8330	1997-07-05	VYDAJ	VYBER	22400	34372	\N	\N	\N
2525176	8330	1997-08-04	VYDAJ	VYBER	21900	30009	\N	\N	\N
2525177	8330	1997-10-03	VYDAJ	VYBER	34000	30365	\N	\N	\N
2525178	8330	1997-12-02	VYDAJ	VYBER	28700	26694	\N	\N	\N
2525179	8330	1998-03-02	VYDAJ	VYBER	28700	34993	\N	\N	\N
2525180	8330	1998-04-01	VYDAJ	VYBER	24700	27830	\N	\N	\N
2525181	8330	1998-05-31	VYDAJ	VYBER	31600	31162	\N	\N	\N
2525182	8330	1998-07-30	VYDAJ	VYBER	29900	31266	\N	\N	\N
2525183	8330	1998-10-28	VYDAJ	VYBER	38700	34540	\N	\N	\N
2528502	8341	1996-12-27	PRIJEM	VKLAD	800	800	\N	\N	\N
2528528	8341	1997-04-26	PRIJEM	VKLAD	44470	83476	\N	\N	\N
2528529	8341	1997-08-08	PRIJEM	VKLAD	25475	32404	\N	\N	\N
2528530	8341	1997-05-28	PRIJEM	VKLAD	34839	88243	\N	\N	\N
2528531	8341	1997-03-10	PRIJEM	VKLAD	9485	57392	\N	\N	\N
2528532	8341	1997-10-03	PRIJEM	VKLAD	32104	39931	\N	\N	\N
2528533	8341	1997-02-23	PRIJEM	VKLAD	40437	79710	\N	\N	\N
2528534	8341	1997-07-20	PRIJEM	VKLAD	45792	53777	\N	\N	\N
2528535	8341	1997-09-13	PRIJEM	VKLAD	29707	67716	\N	\N	\N
2528536	8341	1997-05-24	PRIJEM	VKLAD	48913	98204	\N	\N	\N
2528537	8341	1997-12-25	PRIJEM	VKLAD	10005	21997	\N	\N	\N
2528538	8341	1997-02-07	PRIJEM	VKLAD	26473	39273	\N	\N	\N
2528539	8341	1997-12-04	PRIJEM	VKLAD	32012	30392	\N	\N	\N
2528540	8341	1997-09-13	PRIJEM	VKLAD	35241	38009	\N	\N	\N
2528541	8341	1998-12-29	PRIJEM	VKLAD	23225	27049	\N	\N	\N
2528542	8341	1998-10-30	PRIJEM	VKLAD	36664	86942	\N	\N	\N
2528543	8341	1998-11-17	PRIJEM	VKLAD	33346	103282	\N	\N	\N
2528544	8341	1998-08-25	PRIJEM	VKLAD	32594	10710	\N	\N	\N
2528545	8341	1998-11-04	PRIJEM	VKLAD	40251	127536	\N	\N	\N
2528546	8341	1998-09-14	PRIJEM	VKLAD	36488	55210	\N	\N	\N
2528547	8341	1998-10-22	PRIJEM	VKLAD	46052	50278	\N	\N	\N
2528548	8341	1998-06-03	PRIJEM	VKLAD	5480	-845	\N	\N	\N
2528549	8341	1998-09-04	PRIJEM	VKLAD	8079	18722	\N	\N	\N
2528550	8341	1998-01-31	PRIJEM	VKLAD	33680	30505	\N	\N	\N
2528551	8341	1998-03-05	PRIJEM	VKLAD	36463	44474	\N	\N	\N
2528552	8341	1998-04-21	PRIJEM	VKLAD	15381	29318	\N	\N	\N
2528553	8341	1998-11-28	PRIJEM	VKLAD	17960	50042	\N	\N	\N
2528554	8341	1998-09-18	PRIJEM	VKLAD	39510	94720	\N	\N	\N
2528601	8341	1997-08-04	VYBER	VYBER	22836	6929	\N	\N	\N
2528603	8341	1997-11-05	VYBER	VYBER	11107	-2617	\N	\N	\N
2528606	8341	1997-10-04	VYBER	VYBER	23927	16004	\N	\N	\N
2528607	8341	1997-08-19	VYBER	VYBER	4799	27605	\N	\N	\N
2528611	8341	1997-09-25	VYBER	VYBER	9598	20918	\N	\N	\N
2528612	8341	1997-09-29	VYBER	VYBER	13300	7618	\N	\N	\N
2528615	8341	1997-06-24	VYDAJ	VYBER	72900	1505	\N	\N	\N
2528619	8341	1998-01-14	VYDAJ	VYBER	7800	-2179	\N	\N	\N
2528621	8341	1997-12-07	VYDAJ	VYBER	6300	24092	\N	\N	\N
2528622	8341	1998-12-08	VYDAJ	VYBER	7800	42824	\N	\N	\N
2528635	8341	1998-01-11	VYDAJ	VYBER	4200	11021	\N	\N	\N
2528637	8341	1998-01-01	VYDAJ	VYBER	6900	15221	\N	\N	\N
2528638	8341	1998-01-14	VYDAJ	VYBER	5400	5621	\N	\N	\N
2528645	8341	1997-06-04	VYDAJ	VYBER	14100	74405	\N	\N	\N
2528646	8341	1997-08-22	VYDAJ	VYBER	5700	21905	\N	\N	\N
2528647	8341	1997-09-07	VYDAJ	VYBER	8100	2768	\N	\N	\N
2528649	8341	1997-09-17	VYDAJ	VYBER	4500	63216	\N	\N	\N
2528652	8341	1998-11-07	VYDAJ	VYBER	4800	69936	\N	\N	\N
2528671	8341	1997-05-31	VYDAJ	VYBER	15	88505	SLUZBY	\N	\N
2528672	8341	1997-06-30	VYDAJ	VYBER	15	7985	SLUZBY	\N	\N
2528673	8341	1997-07-31	VYDAJ	VYBER	15	29765	SLUZBY	\N	\N
2528674	8341	1997-08-31	VYDAJ	VYBER	15	10868	SLUZBY	\N	\N
2528675	8341	1997-09-30	VYDAJ	VYBER	15	7827	SLUZBY	\N	\N
2528676	8341	1997-10-31	VYDAJ	VYBER	15	8490	SLUZBY	\N	\N
2528677	8341	1997-11-30	VYDAJ	VYBER	15	-1614	SLUZBY	\N	\N
2528678	8341	1997-12-31	VYDAJ	VYBER	15	22121	SLUZBY	\N	\N
2528679	8341	1998-01-31	VYDAJ	VYBER	15	30515	SLUZBY	\N	\N
2528680	8341	1998-02-28	VYDAJ	VYBER	15	8011	SLUZBY	\N	\N
2528681	8341	1998-03-31	VYDAJ	VYBER	15	13937	SLUZBY	\N	\N
2528682	8341	1998-04-30	VYDAJ	VYBER	15	6750	SLUZBY	\N	\N
2528686	8341	1998-08-31	VYDAJ	VYBER	15	10643	SLUZBY	\N	\N
2528687	8341	1998-09-30	VYDAJ	VYBER	15	37426	SLUZBY	\N	\N
2528688	8341	1998-10-31	VYDAJ	VYBER	15	87285	SLUZBY	\N	\N
2528689	8341	1998-11-30	VYDAJ	VYBER	15	50624	SLUZBY	\N	\N
2528690	8341	1997-01-26	PRIJEM	VKLAD	12000	12800	\N	\N	\N
2528691	8341	1997-02-25	VYDAJ	VYBER	31900	47810	\N	\N	\N
2528692	8341	1997-03-27	VYDAJ	VYBER	18600	38792	\N	\N	\N
2528693	8341	1997-04-26	VYDAJ	VYBER	34400	49076	\N	\N	\N
2528694	8341	1997-05-26	VYDAJ	VYBER	44800	53404	\N	\N	\N
2528695	8341	1997-06-25	PRIJEM	VKLAD	6200	7705	\N	\N	\N
2528696	8341	1997-07-25	VYDAJ	VYBER	24100	29677	\N	\N	\N
2528697	8341	1997-08-24	VYDAJ	VYBER	11200	10705	\N	\N	\N
2528698	8341	1997-09-23	VYDAJ	VYBER	32700	30516	\N	\N	\N
2528699	8341	1997-10-23	VYDAJ	VYBER	7600	8404	\N	\N	\N
2528700	8341	1997-11-22	PRIJEM	VKLAD	1000	-1617	\N	\N	\N
2528701	8341	1997-12-22	VYDAJ	VYBER	12100	11992	\N	\N	\N
2528702	8341	1998-01-21	VYDAJ	VYBER	1000	-3179	\N	\N	\N
2528703	8341	1998-02-20	VYDAJ	VYBER	22600	7903	\N	\N	\N
2528704	8341	1998-03-22	VYDAJ	VYBER	30600	13874	\N	\N	\N
2528705	8341	1998-04-21	VYDAJ	VYBER	22700	6618	\N	\N	\N
2528706	8341	1998-05-21	VYDAJ	VYBER	13100	-6350	\N	\N	\N
2528707	8341	1998-06-20	VYDAJ	VYBER	7600	-8445	\N	\N	\N
2528708	8341	1998-07-20	VYDAJ	VYBER	7500	-15993	\N	\N	\N
2528709	8341	1998-08-19	VYDAJ	VYBER	5800	-21884	\N	\N	\N
2528710	8341	1998-09-18	VYDAJ	VYBER	57700	37020	\N	\N	\N
2528711	8341	1998-10-18	VYDAJ	VYBER	33200	4226	\N	\N	\N
2528712	8341	1998-11-04	VYDAJ	VYBER	18100	109436	\N	\N	\N
2528713	8341	1998-11-07	VYDAJ	VYBER	34700	74736	\N	\N	\N
2528714	8341	1998-11-17	VYDAJ	VYBER	71200	32082	\N	\N	\N
2528715	8341	1998-12-17	VYDAJ	VYBER	39000	3824	\N	\N	\N
2538161	8377	1993-11-20	PRIJEM	VKLAD	200	200	\N	\N	\N
2538169	8377	1994-06-11	PRIJEM	VKLAD	32575	59875	\N	\N	\N
2538170	8377	1994-10-11	PRIJEM	VKLAD	28347	55572	\N	\N	\N
2538171	8377	1995-03-30	PRIJEM	VKLAD	12122	87871	\N	\N	\N
2538172	8377	1995-11-28	PRIJEM	VKLAD	15978	49259	\N	\N	\N
2538173	8377	1995-06-12	PRIJEM	VKLAD	31576	100071	\N	\N	\N
2538174	8377	1995-06-20	PRIJEM	VKLAD	22510	128308	\N	\N	\N
2538175	8377	1995-02-05	PRIJEM	VKLAD	13396	106334	\N	\N	\N
2538176	8377	1995-01-10	PRIJEM	VKLAD	21161	47096	\N	\N	\N
2538177	8377	1995-03-29	PRIJEM	VKLAD	21669	75749	\N	\N	\N
2538178	8377	1995-07-25	PRIJEM	VKLAD	9330	59826	\N	\N	\N
2538179	8377	1995-05-16	PRIJEM	VKLAD	38610	83853	\N	\N	\N
2538180	8377	1995-03-13	PRIJEM	VKLAD	12585	87280	\N	\N	\N
2538181	8377	1995-02-02	PRIJEM	VKLAD	29956	92938	\N	\N	\N
2538182	8377	1995-11-30	PRIJEM	VKLAD	43178	92437	\N	\N	\N
2538183	8377	1995-12-23	PRIJEM	VKLAD	21605	102363	\N	\N	\N
2538184	8377	1995-08-15	PRIJEM	VKLAD	24812	64688	\N	\N	\N
2538185	8377	1995-10-02	PRIJEM	VKLAD	7505	41704	\N	\N	\N
2538186	8377	1995-05-20	PRIJEM	VKLAD	43656	127509	\N	\N	\N
2538187	8377	1995-08-26	PRIJEM	VKLAD	48798	121170	\N	\N	\N
2538188	8377	1995-12-13	PRIJEM	VKLAD	25609	80758	\N	\N	\N
2538189	8377	1995-01-27	PRIJEM	VKLAD	24209	62705	\N	\N	\N
2538190	8377	1995-07-12	PRIJEM	VKLAD	9818	74347	\N	\N	\N
2538191	8377	1995-06-18	PRIJEM	VKLAD	21686	105798	\N	\N	\N
2538192	8377	1995-10-13	PRIJEM	VKLAD	28444	56607	\N	\N	\N
2538193	8377	1995-06-18	PRIJEM	VKLAD	21292	84112	\N	\N	\N
2538194	8377	1995-02-12	PRIJEM	VKLAD	42674	90118	\N	\N	\N
2538195	8377	1995-04-21	PRIJEM	VKLAD	39344	78666	\N	\N	\N
2538196	8377	1995-03-06	PRIJEM	VKLAD	24990	80885	\N	\N	\N
2538197	8377	1995-06-05	PRIJEM	VKLAD	13806	94785	\N	\N	\N
2538198	8377	1995-08-15	PRIJEM	VKLAD	7684	72372	\N	\N	\N
2538199	8377	1995-05-25	PRIJEM	VKLAD	15925	114834	\N	\N	\N
2538200	8377	1996-05-27	PRIJEM	VKLAD	11206	23373	\N	\N	\N
2538201	8377	1997-09-16	PRIJEM	VKLAD	7263	20516	\N	\N	\N
2538202	8377	1998-09-16	PRIJEM	VKLAD	40914	73373	\N	\N	\N
2538203	8377	1998-02-06	PRIJEM	VKLAD	10786	43087	\N	\N	\N
2538204	8377	1998-11-06	PRIJEM	VKLAD	24764	86365	\N	\N	\N
2538205	8377	1998-04-15	PRIJEM	VKLAD	39224	63050	\N	\N	\N
2538206	8377	1998-10-04	PRIJEM	VKLAD	44743	106462	\N	\N	\N
2538207	8377	1998-07-17	PRIJEM	VKLAD	30353	58777	\N	\N	\N
2538208	8377	1998-10-07	PRIJEM	VKLAD	21795	128257	\N	\N	\N
2538209	8377	1998-12-26	PRIJEM	VKLAD	20805	63018	\N	\N	\N
2538235	8377	1995-02-13	VYDAJ	VYBER	6100	55418	\N	\N	0
2538236	8377	1995-03-21	VYDAJ	VYBER	8000	54080	\N	\N	0
2538237	8377	1995-04-03	VYDAJ	VYBER	8000	80312	\N	\N	0
2538238	8377	1995-05-06	VYDAJ	VYBER	7800	71333	\N	\N	0
2538239	8377	1995-06-12	VYDAJ	PREVOD NA UCET	6951	93120	UVER	QR	64508902
2538240	8377	1995-07-12	VYDAJ	PREVOD NA UCET	6951	67396	UVER	QR	64508902
2538241	8377	1995-08-12	VYDAJ	PREVOD NA UCET	6951	39876	UVER	QR	64508902
2538242	8377	1995-09-12	VYDAJ	PREVOD NA UCET	6951	35647	UVER	QR	64508902
2538243	8377	1995-10-12	VYDAJ	PREVOD NA UCET	6951	28163	UVER	QR	64508902
2538244	8377	1995-11-12	VYDAJ	PREVOD NA UCET	6951	33281	UVER	QR	64508902
2538245	8377	1995-12-12	VYDAJ	PREVOD NA UCET	6951	55149	UVER	QR	64508902
2538246	8377	1996-01-12	VYDAJ	PREVOD NA UCET	6951	15388	UVER	QR	64508902
2538247	8377	1996-02-12	VYDAJ	PREVOD NA UCET	6951	14239	UVER	QR	64508902
2538248	8377	1996-03-12	VYDAJ	PREVOD NA UCET	6951	16293	UVER	QR	64508902
2538249	8377	1996-04-12	VYDAJ	PREVOD NA UCET	6951	11350	UVER	QR	64508902
2538250	8377	1996-05-12	VYDAJ	PREVOD NA UCET	6951	12167	UVER	QR	64508902
2538251	8377	1996-06-12	VYDAJ	PREVOD NA UCET	6951	16113	UVER	QR	64508902
2538252	8377	1996-07-12	VYDAJ	PREVOD NA UCET	6951	13067	UVER	QR	64508902
2538253	8377	1996-08-12	VYDAJ	PREVOD NA UCET	6951	10308	UVER	QR	64508902
2538254	8377	1996-09-12	VYDAJ	PREVOD NA UCET	6951	10513	UVER	QR	64508902
2538255	8377	1996-10-12	VYDAJ	PREVOD NA UCET	6951	10818	UVER	QR	64508902
2538256	8377	1996-11-12	VYDAJ	PREVOD NA UCET	6951	12622	UVER	QR	64508902
2538257	8377	1996-12-12	VYDAJ	PREVOD NA UCET	6951	17239	UVER	QR	64508902
2538258	8377	1997-01-12	VYDAJ	PREVOD NA UCET	6951	14596	UVER	QR	64508902
2538259	8377	1997-02-12	VYDAJ	PREVOD NA UCET	6951	13747	UVER	QR	64508902
2538260	8377	1997-03-12	VYDAJ	PREVOD NA UCET	6951	14473	UVER	QR	64508902
2538261	8377	1997-04-12	VYDAJ	PREVOD NA UCET	6951	14915	UVER	QR	64508902
2538262	8377	1997-05-12	VYDAJ	PREVOD NA UCET	6951	12060	UVER	QR	64508902
2538263	8377	1997-06-12	VYDAJ	PREVOD NA UCET	6951	11789	UVER	QR	64508902
2538264	8377	1997-07-12	VYDAJ	PREVOD NA UCET	6951	11511	UVER	QR	64508902
2538265	8377	1997-08-12	VYDAJ	PREVOD NA UCET	6951	12328	UVER	QR	64508902
2538266	8377	1997-09-12	VYDAJ	PREVOD NA UCET	6951	13253	UVER	QR	64508902
2538267	8377	1997-10-12	VYDAJ	PREVOD NA UCET	6951	19709	UVER	QR	64508902
2538268	8377	1997-11-12	VYDAJ	PREVOD NA UCET	6951	19327	UVER	QR	64508902
2538269	8377	1997-12-12	VYDAJ	PREVOD NA UCET	6951	21645	UVER	QR	64508902
2538270	8377	1998-01-12	VYDAJ	PREVOD NA UCET	6951	17379	UVER	QR	64508902
2538271	8377	1998-02-12	VYDAJ	PREVOD NA UCET	6951	29946	UVER	QR	64508902
2538272	8377	1998-03-12	VYDAJ	PREVOD NA UCET	6951	18394	UVER	QR	64508902
2538273	8377	1998-04-12	VYDAJ	PREVOD NA UCET	6951	23826	UVER	QR	64508902
2538274	8377	1998-05-12	VYDAJ	PREVOD NA UCET	6951	33079	UVER	QR	64508902
2538275	8377	1998-06-12	VYDAJ	PREVOD NA UCET	6951	28536	UVER	QR	64508902
2538276	8377	1998-07-12	VYDAJ	PREVOD NA UCET	6951	28424	UVER	QR	64508902
2538277	8377	1998-08-12	VYDAJ	PREVOD NA UCET	6951	42323	UVER	QR	64508902
2538278	8377	1998-09-12	VYDAJ	PREVOD NA UCET	6951	32459	UVER	QR	64508902
2538279	8377	1998-10-12	VYDAJ	PREVOD NA UCET	6951	70716	UVER	QR	64508902
2538280	8377	1998-11-12	VYDAJ	PREVOD NA UCET	6951	73224	UVER	QR	64508902
2538281	8377	1998-12-12	VYDAJ	PREVOD NA UCET	6951	42613	UVER	QR	64508902
2538307	8377	1995-02-09	VYDAJ	PREVOD NA UCET	1172	47444	SIPO	QR	50940710
2538308	8377	1995-03-09	VYDAJ	PREVOD NA UCET	1172	79713	SIPO	QR	50940710
2538309	8377	1995-04-09	VYDAJ	PREVOD NA UCET	1172	66840	SIPO	QR	50940710
2538310	8377	1995-05-09	VYDAJ	PREVOD NA UCET	1172	70161	SIPO	QR	50940710
2538311	8377	1995-06-09	VYDAJ	PREVOD NA UCET	1172	68495	SIPO	QR	50940710
2538312	8377	1995-07-09	VYDAJ	PREVOD NA UCET	1172	64529	SIPO	QR	50940710
2538313	8377	1995-08-09	VYDAJ	PREVOD NA UCET	1172	59045	SIPO	QR	50940710
2538314	8377	1995-09-09	VYDAJ	PREVOD NA UCET	1172	67816	SIPO	QR	50940710
2538315	8377	1995-10-09	VYDAJ	PREVOD NA UCET	1172	35514	SIPO	QR	50940710
2538316	8377	1995-11-09	VYDAJ	PREVOD NA UCET	1172	52749	SIPO	QR	50940710
2538317	8377	1995-12-09	VYDAJ	PREVOD NA UCET	1172	91518	SIPO	QR	50940710
2538318	8377	1996-01-09	VYDAJ	PREVOD NA UCET	1172	75041	SIPO	QR	50940710
2538319	8377	1996-02-09	VYDAJ	PREVOD NA UCET	1172	26208	SIPO	QR	50940710
2538320	8377	1996-03-09	VYDAJ	PREVOD NA UCET	1172	28262	SIPO	QR	50940710
2538321	8377	1996-04-09	VYDAJ	PREVOD NA UCET	1172	23319	SIPO	QR	50940710
2538322	8377	1996-05-09	VYDAJ	PREVOD NA UCET	1172	19118	SIPO	QR	50940710
2538323	8377	1996-06-09	VYDAJ	PREVOD NA UCET	1172	23064	SIPO	QR	50940710
2538324	8377	1996-07-09	VYDAJ	PREVOD NA UCET	1172	20018	SIPO	QR	50940710
2538325	8377	1996-08-09	VYDAJ	PREVOD NA UCET	1172	17259	SIPO	QR	50940710
2538326	8377	1996-09-09	VYDAJ	PREVOD NA UCET	1172	22482	SIPO	QR	50940710
2538327	8377	1996-10-09	VYDAJ	PREVOD NA UCET	1172	22787	SIPO	QR	50940710
2538328	8377	1996-11-09	VYDAJ	PREVOD NA UCET	1172	19573	SIPO	QR	50940710
2538329	8377	1996-12-09	VYDAJ	PREVOD NA UCET	1172	24190	SIPO	QR	50940710
2538330	8377	1997-01-09	VYDAJ	PREVOD NA UCET	1172	26565	SIPO	QR	50940710
2538331	8377	1997-02-09	VYDAJ	PREVOD NA UCET	1172	25716	SIPO	QR	50940710
2538332	8377	1997-03-09	VYDAJ	PREVOD NA UCET	1172	21424	SIPO	QR	50940710
2538333	8377	1997-04-09	VYDAJ	PREVOD NA UCET	1172	26884	SIPO	QR	50940710
2538334	8377	1997-05-09	VYDAJ	PREVOD NA UCET	1172	24029	SIPO	QR	50940710
2538335	8377	1997-06-09	VYDAJ	PREVOD NA UCET	1172	18740	SIPO	QR	50940710
2538336	8377	1997-07-09	VYDAJ	PREVOD NA UCET	1172	18462	SIPO	QR	50940710
2538337	8377	1997-08-09	VYDAJ	PREVOD NA UCET	1172	19279	SIPO	QR	50940710
2538338	8377	1997-09-09	VYDAJ	PREVOD NA UCET	1172	25222	SIPO	QR	50940710
2538339	8377	1997-10-09	VYDAJ	PREVOD NA UCET	1172	26660	SIPO	QR	50940710
2538340	8377	1997-11-09	VYDAJ	PREVOD NA UCET	1172	26277	SIPO	QR	50940710
2538341	8377	1997-12-09	VYDAJ	PREVOD NA UCET	1172	28596	SIPO	QR	50940710
2538342	8377	1998-01-09	VYDAJ	PREVOD NA UCET	1172	28830	SIPO	QR	50940710
2538343	8377	1998-02-09	VYDAJ	PREVOD NA UCET	1172	36897	SIPO	QR	50940710
2538344	8377	1998-03-09	VYDAJ	PREVOD NA UCET	1172	33144	SIPO	QR	50940710
2538345	8377	1998-04-09	VYDAJ	PREVOD NA UCET	1172	30777	SIPO	QR	50940710
2538346	8377	1998-05-09	VYDAJ	PREVOD NA UCET	1172	45048	SIPO	QR	50940710
2538347	8377	1998-06-09	VYDAJ	PREVOD NA UCET	1172	40505	SIPO	QR	50940710
2538348	8377	1998-07-09	VYDAJ	PREVOD NA UCET	1172	40393	SIPO	QR	50940710
2538349	8377	1998-08-09	VYDAJ	PREVOD NA UCET	1172	54291	SIPO	QR	50940710
2538350	8377	1998-09-09	VYDAJ	PREVOD NA UCET	1172	39410	SIPO	QR	50940710
2538351	8377	1998-10-09	VYDAJ	PREVOD NA UCET	1172	77667	SIPO	QR	50940710
2538352	8377	1998-11-09	VYDAJ	PREVOD NA UCET	1172	85193	SIPO	QR	50940710
2538353	8377	1998-12-09	VYDAJ	PREVOD NA UCET	1172	59681	SIPO	QR	50940710
2538379	8377	1995-02-09	VYDAJ	PREVOD NA UCET	5018	48616	 	MN	65432101
2538380	8377	1995-03-09	VYDAJ	PREVOD NA UCET	5018	74695	 	MN	65432101
2538381	8377	1995-04-09	VYDAJ	PREVOD NA UCET	5018	61822	 	MN	65432101
2538382	8377	1995-05-09	VYDAJ	PREVOD NA UCET	5018	65143	 	MN	65432101
2538383	8377	1995-06-09	VYDAJ	PREVOD NA UCET	5018	69667	 	MN	65432101
2538384	8377	1995-07-09	VYDAJ	PREVOD NA UCET	5018	65701	 	MN	65432101
2538385	8377	1995-08-09	VYDAJ	PREVOD NA UCET	5018	54027	 	MN	65432101
2538386	8377	1995-09-09	VYDAJ	PREVOD NA UCET	5018	62798	 	MN	65432101
2538387	8377	1995-10-09	VYDAJ	PREVOD NA UCET	5018	36686	 	MN	65432101
2538388	8377	1995-11-09	VYDAJ	PREVOD NA UCET	5018	47731	 	MN	65432101
2538389	8377	1995-12-09	VYDAJ	PREVOD NA UCET	5018	86500	 	MN	65432101
2538390	8377	1996-01-09	VYDAJ	PREVOD NA UCET	5018	50723	 	MN	65432101
2538391	8377	1996-02-09	VYDAJ	PREVOD NA UCET	5018	21190	 	MN	65432101
2538392	8377	1996-03-09	VYDAJ	PREVOD NA UCET	5018	23244	 	MN	65432101
2538393	8377	1996-04-09	VYDAJ	PREVOD NA UCET	5018	18301	 	MN	65432101
2538394	8377	1996-05-09	VYDAJ	PREVOD NA UCET	5018	20290	 	MN	65432101
2538395	8377	1996-06-09	VYDAJ	PREVOD NA UCET	5018	24236	 	MN	65432101
2538396	8377	1996-07-09	VYDAJ	PREVOD NA UCET	5018	21190	 	MN	65432101
2538397	8377	1996-08-09	VYDAJ	PREVOD NA UCET	5018	18431	 	MN	65432101
2538398	8377	1996-09-09	VYDAJ	PREVOD NA UCET	5018	17464	 	MN	65432101
2538399	8377	1996-10-09	VYDAJ	PREVOD NA UCET	5018	17769	 	MN	65432101
2538400	8377	1996-11-09	VYDAJ	PREVOD NA UCET	5018	20745	 	MN	65432101
2538401	8377	1996-12-09	VYDAJ	PREVOD NA UCET	5018	25362	 	MN	65432101
2538402	8377	1997-01-09	VYDAJ	PREVOD NA UCET	5018	21547	 	MN	65432101
2538403	8377	1997-02-09	VYDAJ	PREVOD NA UCET	5018	20698	 	MN	65432101
2538404	8377	1997-03-09	VYDAJ	PREVOD NA UCET	5018	22596	 	MN	65432101
2538405	8377	1997-04-09	VYDAJ	PREVOD NA UCET	5018	21866	 	MN	65432101
2538406	8377	1997-05-09	VYDAJ	PREVOD NA UCET	5018	19011	 	MN	65432101
2538407	8377	1997-06-09	VYDAJ	PREVOD NA UCET	5018	19912	 	MN	65432101
2538408	8377	1997-07-09	VYDAJ	PREVOD NA UCET	5018	19634	 	MN	65432101
2538409	8377	1997-08-09	VYDAJ	PREVOD NA UCET	5018	20451	 	MN	65432101
2538410	8377	1997-09-09	VYDAJ	PREVOD NA UCET	5018	20204	 	MN	65432101
2538411	8377	1997-10-09	VYDAJ	PREVOD NA UCET	5018	27832	 	MN	65432101
2538412	8377	1997-11-09	VYDAJ	PREVOD NA UCET	5018	27449	 	MN	65432101
2538413	8377	1997-12-09	VYDAJ	PREVOD NA UCET	5018	29768	 	MN	65432101
2538414	8377	1998-01-09	VYDAJ	PREVOD NA UCET	5018	30002	 	MN	65432101
2538415	8377	1998-02-09	VYDAJ	PREVOD NA UCET	5018	38069	 	MN	65432101
2538416	8377	1998-03-09	VYDAJ	PREVOD NA UCET	5018	34316	 	MN	65432101
2538417	8377	1998-04-09	VYDAJ	PREVOD NA UCET	5018	31949	 	MN	65432101
2538418	8377	1998-05-09	VYDAJ	PREVOD NA UCET	5018	40030	 	MN	65432101
2538419	8377	1998-06-09	VYDAJ	PREVOD NA UCET	5018	35487	 	MN	65432101
2538420	8377	1998-07-09	VYDAJ	PREVOD NA UCET	5018	35375	 	MN	65432101
2538421	8377	1998-08-09	VYDAJ	PREVOD NA UCET	5018	49273	 	MN	65432101
2538422	8377	1998-09-09	VYDAJ	PREVOD NA UCET	5018	40582	 	MN	65432101
2538423	8377	1998-10-09	VYDAJ	PREVOD NA UCET	5018	78839	 	MN	65432101
2538424	8377	1998-11-09	VYDAJ	PREVOD NA UCET	5018	80175	 	MN	65432101
2538425	8377	1998-12-09	VYDAJ	PREVOD NA UCET	5018	54663	 	MN	65432101
2538442	8377	1996-01-09	VYBER	VYBER	23452	76213	\N	\N	\N
2538451	8377	1996-01-10	VYBER	VYBER	24184	26539	\N	\N	\N
2538458	8377	1998-05-04	VYBER	VYBER	13384	46220	\N	\N	\N
2538464	8377	1995-06-05	VYDAJ	VYBER	20100	74685	\N	\N	\N
2538470	8377	1995-12-29	VYDAJ	VYBER	3300	99063	\N	\N	\N
2538473	8377	1998-12-16	VYDAJ	VYBER	6000	36613	\N	\N	\N
2538493	8377	1996-01-11	VYDAJ	VYBER	4200	22339	\N	\N	\N
2538498	8377	1997-01-09	VYDAJ	VYBER	4500	27737	\N	\N	\N
2538505	8377	1998-01-10	VYDAJ	VYBER	4500	24330	\N	\N	\N
2538506	8377	1998-01-03	VYDAJ	VYBER	1500	35020	\N	\N	\N
2538518	8377	1995-09-09	VYDAJ	VYBER	6300	56498	\N	\N	\N
2538519	8377	1995-09-29	VYDAJ	VYBER	1800	33847	\N	\N	\N
2538520	8377	1995-04-07	VYDAJ	VYBER	12300	68012	\N	\N	\N
2538521	8377	1995-06-21	VYDAJ	VYBER	12300	70108	\N	\N	\N
2538522	8377	1995-04-18	VYDAJ	VYBER	3600	39322	\N	\N	\N
2538523	8377	1995-10-16	VYDAJ	VYBER	3000	53607	\N	\N	\N
2538535	8377	1998-12-11	VYDAJ	VYBER	5100	49563	\N	\N	\N
2538536	8377	1998-03-11	VYDAJ	VYBER	7800	25344	\N	\N	\N
2538537	8377	1998-10-07	VYDAJ	VYBER	3900	124357	\N	\N	\N
2538538	8377	1998-12-30	VYDAJ	VYBER	7800	55218	\N	\N	\N
2538540	8377	1998-11-18	VYDAJ	VYBER	3000	70224	\N	\N	\N
2538567	8377	1995-02-28	VYDAJ	VYBER	15	55895	SLUZBY	\N	\N
2538568	8377	1995-03-31	VYDAJ	VYBER	15	88312	SLUZBY	\N	\N
2538569	8377	1995-04-30	VYDAJ	VYBER	15	79133	SLUZBY	\N	\N
2538570	8377	1995-05-31	VYDAJ	VYBER	15	80979	SLUZBY	\N	\N
2538571	8377	1995-06-30	VYDAJ	VYBER	15	70719	SLUZBY	\N	\N
2538572	8377	1995-07-31	VYDAJ	VYBER	15	60217	SLUZBY	\N	\N
2538573	8377	1995-08-31	VYDAJ	VYBER	15	68988	SLUZBY	\N	\N
2538574	8377	1995-09-30	VYDAJ	VYBER	15	34199	SLUZBY	\N	\N
2538575	8377	1995-10-31	VYDAJ	VYBER	15	53921	SLUZBY	\N	\N
2538576	8377	1995-11-30	VYDAJ	VYBER	15	92690	SLUZBY	\N	\N
2538577	8377	1995-12-31	VYDAJ	VYBER	15	99665	SLUZBY	\N	\N
2538578	8377	1996-01-31	VYDAJ	VYBER	15	15680	SLUZBY	\N	\N
2538579	8377	1996-02-29	VYDAJ	VYBER	15	14334	SLUZBY	\N	\N
2538580	8377	1996-03-31	VYDAJ	VYBER	15	16391	SLUZBY	\N	\N
2538581	8377	1996-04-30	VYDAJ	VYBER	15	11408	SLUZBY	\N	\N
2538582	8377	1996-05-31	VYDAJ	VYBER	15	23454	SLUZBY	\N	\N
2538583	8377	1996-06-30	VYDAJ	VYBER	15	16208	SLUZBY	\N	\N
2538584	8377	1996-07-31	VYDAJ	VYBER	15	13149	SLUZBY	\N	\N
2538585	8377	1996-08-31	VYDAJ	VYBER	15	10354	SLUZBY	\N	\N
2538586	8377	1996-09-30	VYDAJ	VYBER	15	10559	SLUZBY	\N	\N
2538587	8377	1996-10-31	VYDAJ	VYBER	15	10863	SLUZBY	\N	\N
2538588	8377	1996-11-30	VYDAJ	VYBER	15	12680	SLUZBY	\N	\N
2538589	8377	1996-12-31	VYDAJ	VYBER	15	17337	SLUZBY	\N	\N
2538590	8377	1997-01-31	VYDAJ	VYBER	15	14688	SLUZBY	\N	\N
2538591	8377	1997-02-28	VYDAJ	VYBER	15	13814	SLUZBY	\N	\N
2538592	8377	1997-03-31	VYDAJ	VYBER	15	14556	SLUZBY	\N	\N
2538593	8377	1997-04-30	VYDAJ	VYBER	15	15001	SLUZBY	\N	\N
2538594	8377	1997-05-31	VYDAJ	VYBER	15	12130	SLUZBY	\N	\N
2538595	8377	1997-06-30	VYDAJ	VYBER	15	11852	SLUZBY	\N	\N
2538596	8377	1997-07-31	VYDAJ	VYBER	15	11569	SLUZBY	\N	\N
2538597	8377	1997-08-31	VYDAJ	VYBER	15	26394	SLUZBY	\N	\N
2538598	8377	1997-09-30	VYDAJ	VYBER	15	32850	SLUZBY	\N	\N
2538599	8377	1997-10-31	VYDAJ	VYBER	15	32467	SLUZBY	\N	\N
2538600	8377	1997-11-30	VYDAJ	VYBER	15	34786	SLUZBY	\N	\N
2538601	8377	1997-12-31	VYDAJ	VYBER	15	36520	SLUZBY	\N	\N
2538602	8377	1998-01-31	VYDAJ	VYBER	15	32301	SLUZBY	\N	\N
2538603	8377	1998-02-28	VYDAJ	VYBER	15	39334	SLUZBY	\N	\N
2538604	8377	1998-03-31	VYDAJ	VYBER	15	36967	SLUZBY	\N	\N
2538605	8377	1998-04-30	VYDAJ	VYBER	15	59604	SLUZBY	\N	\N
2538606	8377	1998-05-31	VYDAJ	VYBER	15	41677	SLUZBY	\N	\N
2538607	8377	1998-06-30	VYDAJ	VYBER	15	41565	SLUZBY	\N	\N
2538608	8377	1998-07-31	VYDAJ	VYBER	15	55463	SLUZBY	\N	\N
2538609	8377	1998-08-31	VYDAJ	VYBER	15	45600	SLUZBY	\N	\N
2538610	8377	1998-09-30	VYDAJ	VYBER	15	61719	SLUZBY	\N	\N
2538611	8377	1998-10-31	VYDAJ	VYBER	15	61601	SLUZBY	\N	\N
2538612	8377	1998-11-30	VYDAJ	VYBER	15	60853	SLUZBY	\N	\N
2538613	8377	1993-12-20	PRIJEM	VKLAD	14300	14500	\N	\N	\N
2538614	8377	1994-01-19	PRIJEM	VKLAD	6200	20700	\N	\N	\N
2538615	8377	1994-02-18	PRIJEM	VKLAD	2600	23300	\N	\N	\N
2538616	8377	1994-03-20	PRIJEM	VKLAD	2300	25600	\N	\N	\N
2538617	8377	1994-04-19	PRIJEM	VKLAD	1600	27200	\N	\N	\N
2538618	8377	1994-05-19	PRIJEM	VKLAD	100	27300	\N	\N	\N
2538619	8377	1994-06-18	VYDAJ	VYBER	19200	40675	\N	\N	\N
2538620	8377	1994-07-18	VYDAJ	VYBER	7600	33216	\N	\N	\N
2538621	8377	1994-08-17	VYDAJ	VYBER	3200	30186	\N	\N	\N
2538622	8377	1994-09-16	VYDAJ	VYBER	3300	27055	\N	\N	\N
2538623	8377	1994-10-16	VYDAJ	VYBER	17000	38572	\N	\N	\N
2538624	8377	1994-11-15	VYDAJ	VYBER	9100	29714	\N	\N	\N
2538625	8377	1994-12-15	VYDAJ	VYBER	4100	25775	\N	\N	\N
2538626	8377	1995-01-14	VYDAJ	VYBER	8600	38496	\N	\N	\N
2538627	8377	1995-02-05	VYDAJ	VYBER	52700	53634	\N	\N	\N
2538628	8377	1995-02-13	VYDAJ	VYBER	28600	61518	\N	\N	\N
2538629	8377	1995-03-15	VYDAJ	VYBER	25200	62080	\N	\N	\N
2538630	8377	1995-04-14	VYDAJ	VYBER	18900	42922	\N	\N	\N
2538631	8377	1995-05-14	VYDAJ	VYBER	19900	45243	\N	\N	\N
2538632	8377	1995-05-20	VYDAJ	VYBER	28600	98909	\N	\N	\N
2538633	8377	1995-05-25	VYDAJ	VYBER	34500	80334	\N	\N	\N
2538634	8377	1995-06-13	VYDAJ	VYBER	30300	62820	\N	\N	\N
2538635	8377	1995-06-20	VYDAJ	VYBER	45900	82408	\N	\N	\N
2538636	8377	1995-07-13	VYDAJ	VYBER	16900	50496	\N	\N	\N
2538637	8377	1995-08-12	VYDAJ	VYBER	7200	46827	\N	\N	\N
2538638	8377	1995-08-26	VYDAJ	VYBER	52600	68570	\N	\N	\N
2538639	8377	1995-09-11	VYDAJ	VYBER	13900	42598	\N	\N	\N
2538640	8377	1995-10-11	VYDAJ	VYBER	400	35114	\N	\N	\N
2538641	8377	1995-11-10	VYDAJ	VYBER	7500	40231	\N	\N	\N
2538642	8377	1995-12-10	VYDAJ	VYBER	24400	62100	\N	\N	\N
2538643	8377	1996-01-09	VYDAJ	VYBER	19300	55741	\N	\N	\N
2538644	8377	1996-02-08	PRIJEM	VKLAD	11700	27380	\N	\N	\N
2538645	8377	1996-03-09	PRIJEM	VKLAD	15100	29434	\N	\N	\N
2538646	8377	1996-04-08	PRIJEM	VKLAD	8100	24491	\N	\N	\N
2538647	8377	1996-05-08	PRIJEM	VKLAD	13900	25308	\N	\N	\N
2538648	8377	1996-06-07	PRIJEM	VKLAD	5800	29254	\N	\N	\N
2538649	8377	1996-07-07	PRIJEM	VKLAD	10000	26208	\N	\N	\N
2538650	8377	1996-08-06	PRIJEM	VKLAD	10300	23449	\N	\N	\N
2538651	8377	1996-09-05	PRIJEM	VKLAD	13300	23654	\N	\N	\N
2538652	8377	1996-10-05	PRIJEM	VKLAD	13400	23959	\N	\N	\N
2538653	8377	1996-11-04	PRIJEM	VKLAD	14900	25763	\N	\N	\N
2538654	8377	1996-12-04	PRIJEM	VKLAD	17700	30380	\N	\N	\N
2538655	8377	1997-01-03	PRIJEM	VKLAD	14900	32237	\N	\N	\N
2538656	8377	1997-02-02	PRIJEM	VKLAD	12200	26888	\N	\N	\N
2538657	8377	1997-03-04	PRIJEM	VKLAD	13800	27614	\N	\N	\N
2538658	8377	1997-04-03	PRIJEM	VKLAD	13500	28056	\N	\N	\N
2538659	8377	1997-05-03	PRIJEM	VKLAD	10200	25201	\N	\N	\N
2538660	8377	1997-06-02	PRIJEM	VKLAD	12800	24930	\N	\N	\N
2538661	8377	1997-07-02	PRIJEM	VKLAD	12800	24652	\N	\N	\N
2538662	8377	1997-08-01	PRIJEM	VKLAD	13900	25469	\N	\N	\N
2538663	8377	1997-08-31	PRIJEM	VKLAD	14000	26328	\N	\N	\N
2538664	8377	1997-09-30	PRIJEM	VKLAD	12200	32716	\N	\N	\N
2538665	8377	1997-10-30	PRIJEM	VKLAD	12600	32309	\N	\N	\N
2538666	8377	1997-11-29	PRIJEM	VKLAD	15300	34627	\N	\N	\N
2538667	8377	1997-12-29	PRIJEM	VKLAD	14700	36345	\N	\N	\N
2538668	8377	1998-01-28	PRIJEM	VKLAD	14800	32179	\N	\N	\N
2538669	8377	1998-02-27	PRIJEM	VKLAD	9200	39146	\N	\N	\N
2538670	8377	1998-03-29	PRIJEM	VKLAD	18400	36794	\N	\N	\N
2538671	8377	1998-04-28	VYDAJ	VYBER	3800	59250	\N	\N	\N
2538672	8377	1998-05-28	PRIJEM	VKLAD	8300	41379	\N	\N	\N
2538673	8377	1998-06-27	PRIJEM	VKLAD	12800	41336	\N	\N	\N
2538674	8377	1998-07-27	VYDAJ	VYBER	3600	55177	\N	\N	\N
2538675	8377	1998-08-26	PRIJEM	VKLAD	3000	45323	\N	\N	\N
2538676	8377	1998-09-25	VYDAJ	VYBER	12000	61373	\N	\N	\N
2538677	8377	1998-10-07	VYDAJ	VYBER	40500	83857	\N	\N	\N
2538678	8377	1998-10-25	VYDAJ	VYBER	9600	61116	\N	\N	\N
2538679	8377	1998-11-24	VYDAJ	VYBER	9800	60424	\N	\N	\N
2538680	8377	1998-12-24	PRIJEM	VKLAD	5600	42213	\N	\N	\N
2539448	8381	1996-09-17	PRIJEM	VKLAD	500	500	\N	\N	\N
2539453	8381	1996-11-20	PRIJEM	VKLAD	37162	66680	\N	\N	\N
2539454	8381	1996-11-30	PRIJEM	VKLAD	43538	110503	\N	\N	\N
2539464	8381	1996-10-22	PRIJEM	VKLAD	13243	29243	\N	\N	\N
2539466	8381	1996-12-09	PRIJEM	VKLAD	31043	114446	\N	\N	\N
2539468	8381	1996-12-17	PRIJEM	VKLAD	41617	87263	\N	\N	\N
2539473	8381	1997-11-25	PRIJEM	VKLAD	8431	111096	\N	\N	\N
2539474	8381	1997-04-30	PRIJEM	VKLAD	26059	101959	\N	\N	\N
2539475	8381	1997-05-01	PRIJEM	VKLAD	5781	65971	\N	\N	\N
2539476	8381	1997-06-23	PRIJEM	VKLAD	35368	112287	\N	\N	\N
2539477	8381	1997-04-12	PRIJEM	VKLAD	27965	106132	\N	\N	\N
2539478	8381	1997-06-21	PRIJEM	VKLAD	40721	76919	\N	\N	\N
2539479	8381	1997-04-26	PRIJEM	VKLAD	37413	78474	\N	\N	\N
2539480	8381	1997-07-17	PRIJEM	VKLAD	47112	79794	\N	\N	\N
2539481	8381	1997-08-19	PRIJEM	VKLAD	17164	41972	\N	\N	\N
2539482	8381	1997-07-20	PRIJEM	VKLAD	20022	99816	\N	\N	\N
2539483	8381	1997-02-16	PRIJEM	VKLAD	44697	75266	\N	\N	\N
2539484	8381	1997-09-12	PRIJEM	VKLAD	9882	44119	\N	\N	\N
2539485	8381	1997-09-23	PRIJEM	VKLAD	17007	39936	\N	\N	\N
2539486	8381	1997-06-24	PRIJEM	VKLAD	17772	96559	\N	\N	\N
2539487	8381	1997-12-23	PRIJEM	VKLAD	16933	33543	\N	\N	\N
2539488	8381	1997-11-14	PRIJEM	VKLAD	7373	65899	\N	\N	\N
2539489	8381	1997-11-08	PRIJEM	VKLAD	15738	88236	\N	\N	\N
2539490	8381	1997-10-22	PRIJEM	VKLAD	18173	35318	\N	\N	\N
2539491	8381	1997-11-06	PRIJEM	VKLAD	36936	72498	\N	\N	\N
2539492	8381	1997-11-12	PRIJEM	VKLAD	19919	73515	\N	\N	\N
2539493	8381	1997-04-22	PRIJEM	VKLAD	16368	41061	\N	\N	\N
2539494	8381	1997-03-26	PRIJEM	VKLAD	48318	86546	\N	\N	\N
2539495	8381	1997-12-24	PRIJEM	VKLAD	33535	67078	\N	\N	\N
2539496	8381	1997-11-20	PRIJEM	VKLAD	36994	88493	\N	\N	\N
2539497	8381	1997-11-23	PRIJEM	VKLAD	14172	102665	\N	\N	\N
2539498	8381	1997-02-01	PRIJEM	VKLAD	20689	41359	\N	\N	\N
2539499	8381	1997-05-23	PRIJEM	VKLAD	29078	57498	\N	\N	\N
2539500	8381	1997-01-12	PRIJEM	VKLAD	34715	108936	\N	\N	\N
2539501	8381	1997-06-18	PRIJEM	VKLAD	19192	48198	\N	\N	\N
2539502	8381	1998-06-27	PRIJEM	VKLAD	43049	47796	\N	\N	\N
2539503	8381	1998-11-07	PRIJEM	VKLAD	20602	55014	\N	\N	\N
2539504	8381	1998-08-21	PRIJEM	VKLAD	39771	70178	\N	\N	\N
2539505	8381	1998-10-02	PRIJEM	VKLAD	20486	79470	\N	\N	\N
2539506	8381	1998-08-23	PRIJEM	VKLAD	33125	103303	\N	\N	\N
2539507	8381	1998-08-29	PRIJEM	VKLAD	45236	152841	\N	\N	\N
2539508	8381	1998-07-21	PRIJEM	VKLAD	27033	45733	\N	\N	\N
2539509	8381	1998-08-26	PRIJEM	VKLAD	45802	149105	\N	\N	\N
2539510	8381	1998-09-25	PRIJEM	VKLAD	35660	58478	\N	\N	\N
2539511	8381	1998-08-31	PRIJEM	VKLAD	20285	144047	\N	\N	\N
2539512	8381	1998-04-07	PRIJEM	VKLAD	47550	48903	\N	\N	\N
2539513	8381	1998-01-07	PRIJEM	VKLAD	6206	63058	\N	\N	\N
2539514	8381	1998-07-27	PRIJEM	VKLAD	46018	83951	\N	\N	\N
2539527	8381	1997-01-11	VYDAJ	VYBER	8200	74221	\N	\N	0
2539528	8381	1997-02-16	VYDAJ	VYBER	7900	67366	\N	\N	0
2539529	8381	1997-03-10	VYDAJ	VYBER	8300	59407	\N	\N	0
2539530	8381	1997-04-11	VYDAJ	VYBER	8100	78167	\N	\N	0
2539531	8381	1997-05-06	VYDAJ	VYBER	7600	58371	\N	\N	0
2539532	8381	1997-06-10	VYDAJ	VYBER	7000	46385	\N	\N	0
2539533	8381	1997-07-05	VYDAJ	VYBER	7600	89440	\N	\N	0
2539534	8381	1997-08-12	VYDAJ	PREVOD NA UCET	6951	25708	UVER	IJ	59746819
2539535	8381	1997-09-12	VYDAJ	PREVOD NA UCET	6951	22929	UVER	IJ	59746819
2539536	8381	1997-10-12	VYDAJ	PREVOD NA UCET	6951	17145	UVER	IJ	59746819
2539537	8381	1997-11-12	VYDAJ	PREVOD NA UCET	6951	58526	UVER	IJ	59746819
2539538	8381	1997-12-12	VYDAJ	PREVOD NA UCET	6951	16610	UVER	IJ	59746819
2539539	8381	1998-01-12	VYDAJ	PREVOD NA UCET	6951	7728	UVER	IJ	59746819
2539542	8381	1998-04-12	VYDAJ	PREVOD NA UCET	6951	16224	UVER	IJ	59746819
2539543	8381	1998-05-12	VYDAJ	PREVOD NA UCET	6951	7012	UVER	IJ	59746819
2539545	8381	1998-07-12	VYDAJ	PREVOD NA UCET	6951	18700	UVER	IJ	59746819
2539546	8381	1998-08-12	VYDAJ	PREVOD NA UCET	6951	46595	UVER	IJ	59746819
2539547	8381	1998-09-12	VYDAJ	PREVOD NA UCET	6951	45748	UVER	IJ	59746819
2539548	8381	1998-10-12	VYDAJ	PREVOD NA UCET	6951	39140	UVER	IJ	59746819
2539549	8381	1998-11-12	VYDAJ	PREVOD NA UCET	6951	47323	UVER	IJ	59746819
2539550	8381	1998-12-12	VYDAJ	PREVOD NA UCET	6951	18984	UVER	IJ	59746819
2539563	8381	1997-01-11	VYDAJ	PREVOD NA UCET	740	82421	SIPO	AB	88732933
2539564	8381	1997-02-11	VYDAJ	PREVOD NA UCET	740	30908	SIPO	AB	88732933
2539565	8381	1997-03-11	VYDAJ	PREVOD NA UCET	740	58667	SIPO	AB	88732933
2539566	8381	1997-04-11	VYDAJ	PREVOD NA UCET	740	86267	SIPO	AB	88732933
2539567	8381	1997-05-11	VYDAJ	PREVOD NA UCET	740	57631	SIPO	AB	88732933
2539568	8381	1997-06-11	VYDAJ	PREVOD NA UCET	740	45645	SIPO	AB	88732933
2539569	8381	1997-07-11	VYDAJ	PREVOD NA UCET	740	88700	SIPO	AB	88732933
2539570	8381	1997-08-11	VYDAJ	PREVOD NA UCET	740	40697	SIPO	AB	88732933
2539571	8381	1997-09-11	VYDAJ	PREVOD NA UCET	740	34237	SIPO	AB	88732933
2539572	8381	1997-10-11	VYDAJ	PREVOD NA UCET	740	34335	SIPO	AB	88732933
2539573	8381	1997-11-11	VYDAJ	PREVOD NA UCET	740	53596	SIPO	AB	88732933
2539574	8381	1997-12-11	VYDAJ	PREVOD NA UCET	740	31600	SIPO	AB	88732933
2539575	8381	1998-01-11	VYDAJ	PREVOD NA UCET	740	31118	SIPO	AB	88732933
2539576	8381	1998-02-11	VYDAJ	PREVOD NA UCET	740	10176	SIPO	AB	88732933
2539577	8381	1998-03-11	VYDAJ	PREVOD NA UCET	740	1383	SIPO	AB	88732933
2539578	8381	1998-04-11	VYDAJ	PREVOD NA UCET	740	23175	SIPO	AB	88732933
2539579	8381	1998-05-11	VYDAJ	PREVOD NA UCET	740	13963	SIPO	AB	88732933
2539580	8381	1998-06-11	VYDAJ	PREVOD NA UCET	740	12786	SIPO	AB	88732933
2539581	8381	1998-07-11	VYDAJ	PREVOD NA UCET	740	33690	SIPO	AB	88732933
2539582	8381	1998-08-11	VYDAJ	PREVOD NA UCET	740	53546	SIPO	AB	88732933
2539583	8381	1998-09-11	VYDAJ	PREVOD NA UCET	740	52698	SIPO	AB	88732933
2539584	8381	1998-10-11	VYDAJ	PREVOD NA UCET	740	54130	SIPO	AB	88732933
2539585	8381	1998-11-11	VYDAJ	PREVOD NA UCET	740	54274	SIPO	AB	88732933
2539586	8381	1998-12-11	VYDAJ	PREVOD NA UCET	740	25935	SIPO	AB	88732933
2539599	8381	1997-01-12	VYDAJ	PREVOD NA UCET	8039	83597	 	QR	19546556
2539600	8381	1997-02-12	VYDAJ	PREVOD NA UCET	8039	22869	 	QR	19546556
2539601	8381	1997-03-12	VYDAJ	PREVOD NA UCET	8039	50628	 	QR	19546556
2539602	8381	1997-04-12	VYDAJ	PREVOD NA UCET	8039	33293	 	QR	19546556
2539603	8381	1997-05-12	VYDAJ	PREVOD NA UCET	8039	49592	 	QR	19546556
2539604	8381	1997-06-12	VYDAJ	PREVOD NA UCET	8039	37606	 	QR	19546556
2539605	8381	1997-07-12	VYDAJ	PREVOD NA UCET	8039	80661	 	QR	19546556
2539606	8381	1997-08-12	VYDAJ	PREVOD NA UCET	8039	32658	 	QR	19546556
2539607	8381	1997-09-12	VYDAJ	PREVOD NA UCET	8039	36080	 	QR	19546556
2539608	8381	1997-10-12	VYDAJ	PREVOD NA UCET	8039	26296	 	QR	19546556
2539609	8381	1997-11-12	VYDAJ	PREVOD NA UCET	8039	65476	 	QR	19546556
2539610	8381	1997-12-12	VYDAJ	PREVOD NA UCET	8039	23561	 	QR	19546556
2539611	8381	1998-01-12	VYDAJ	PREVOD NA UCET	8039	14679	 	QR	19546556
2539612	8381	1998-02-12	VYDAJ	PREVOD NA UCET	8039	2137	 	QR	19546556
2539614	8381	1998-04-12	VYDAJ	PREVOD NA UCET	8039	8185	 	QR	19546556
2539615	8381	1998-05-12	VYDAJ	PREVOD NA UCET	8039	-1027	 	QR	19546556
2539616	8381	1998-06-12	VYDAJ	PREVOD NA UCET	8039	4747	 	QR	19546556
2539617	8381	1998-07-12	VYDAJ	PREVOD NA UCET	8039	25651	 	QR	19546556
2539618	8381	1998-08-12	VYDAJ	PREVOD NA UCET	8039	38556	 	QR	19546556
2539619	8381	1998-09-12	VYDAJ	PREVOD NA UCET	8039	37709	 	QR	19546556
2539620	8381	1998-10-12	VYDAJ	PREVOD NA UCET	8039	46091	 	QR	19546556
2539621	8381	1998-11-12	VYDAJ	PREVOD NA UCET	8039	39284	 	QR	19546556
2539622	8381	1998-12-12	VYDAJ	PREVOD NA UCET	8039	10945	 	QR	19546556
2539625	8381	1997-02-11	VYBER	VYBER	9711	31648	\N	\N	\N
2539626	8381	1997-09-04	VYBER	VYBER	7442	34977	\N	\N	\N
2539627	8381	1997-12-06	VYBER	VYBER	10515	52140	\N	\N	\N
2539628	8381	1997-05-19	VYBER	VYBER	8172	28420	\N	\N	\N
2539629	8381	1997-05-26	VYBER	VYBER	4562	52936	\N	\N	\N
2539631	8381	1997-11-27	VYBER	VYBER	23851	62145	\N	\N	\N
2539632	8381	1997-07-16	VYBER	VYBER	17979	32682	\N	\N	\N
2539633	8381	1998-04-11	VYBER	VYBER	6888	23915	\N	\N	\N
2539634	8381	1998-09-19	VYBER	VYBER	14891	22818	\N	\N	\N
2539639	8381	1998-08-15	VYBER	VYBER	8149	30407	\N	\N	\N
2539643	8381	1998-11-28	VYBER	VYBER	3248	30036	\N	\N	\N
2539649	8381	1997-01-18	VYDAJ	VYBER	4800	38197	\N	\N	\N
2539650	8381	1998-01-05	VYDAJ	VYBER	10500	56852	\N	\N	\N
2539653	8381	1998-12-05	VYDAJ	VYBER	6900	23375	\N	\N	\N
2539660	8381	1997-01-30	VYDAJ	VYBER	7500	20197	\N	\N	\N
2539661	8381	1997-01-24	VYDAJ	VYBER	7500	30697	\N	\N	\N
2539662	8381	1997-01-02	VYDAJ	VYBER	4800	83161	\N	\N	\N
2539663	8381	1997-01-17	VYDAJ	VYBER	7500	42997	\N	\N	\N
2539664	8381	1997-01-25	VYDAJ	VYBER	3000	27697	\N	\N	\N
2539665	8381	1997-01-12	VYDAJ	VYBER	6000	77597	\N	\N	\N
2539668	8381	1998-01-07	VYDAJ	VYBER	8400	54658	\N	\N	\N
2539671	8381	1998-01-11	VYDAJ	VYBER	8400	22718	\N	\N	\N
2539676	8381	1997-06-20	VYDAJ	VYBER	12000	36198	\N	\N	\N
2539677	8381	1997-10-06	VYDAJ	VYBER	5100	35075	\N	\N	\N
2539678	8381	1997-11-18	VYDAJ	VYBER	14400	51499	\N	\N	\N
2539680	8381	1997-04-27	VYDAJ	VYBER	2700	75774	\N	\N	\N
2539681	8381	1998-11-13	VYDAJ	VYBER	6000	33284	\N	\N	\N
2539686	8381	1998-07-26	VYDAJ	VYBER	7800	37933	\N	\N	\N
2539699	8381	1996-12-31	VYDAJ	VYBER	15	87961	SLUZBY	\N	\N
2539700	8381	1997-01-31	VYDAJ	VYBER	15	20670	SLUZBY	\N	\N
2539701	8381	1997-02-28	VYDAJ	VYBER	15	67707	SLUZBY	\N	\N
2539702	8381	1997-03-31	VYDAJ	VYBER	15	87007	SLUZBY	\N	\N
2539703	8381	1997-04-30	VYDAJ	VYBER	15	60190	SLUZBY	\N	\N
2539704	8381	1997-05-31	VYDAJ	VYBER	15	53385	SLUZBY	\N	\N
2539705	8381	1997-06-30	VYDAJ	VYBER	15	97040	SLUZBY	\N	\N
2539706	8381	1997-07-31	VYDAJ	VYBER	15	100537	SLUZBY	\N	\N
2539707	8381	1997-08-31	VYDAJ	VYBER	15	42419	SLUZBY	\N	\N
2539708	8381	1997-09-30	VYDAJ	VYBER	15	40175	SLUZBY	\N	\N
2539709	8381	1997-10-31	VYDAJ	VYBER	15	35562	SLUZBY	\N	\N
2539710	8381	1997-11-30	VYDAJ	VYBER	15	62655	SLUZBY	\N	\N
2539711	8381	1997-12-31	VYDAJ	VYBER	15	67352	SLUZBY	\N	\N
2539712	8381	1998-01-31	VYDAJ	VYBER	15	7916	SLUZBY	\N	\N
2539713	8381	1998-02-28	VYDAJ	VYBER	15	2132	SLUZBY	\N	\N
2539714	8381	1998-03-31	VYDAJ	VYBER	15	1353	SLUZBY	\N	\N
2539715	8381	1998-04-30	VYDAJ	VYBER	15	8207	SLUZBY	\N	\N
2539716	8381	1998-05-31	VYDAJ	VYBER	15	-1074	SLUZBY	\N	\N
2539717	8381	1998-06-30	VYDAJ	VYBER	15	47830	SLUZBY	\N	\N
2539718	8381	1998-07-31	VYDAJ	VYBER	15	84286	SLUZBY	\N	\N
2539719	8381	1998-08-31	VYDAJ	VYBER	15	79538	SLUZBY	\N	\N
2539720	8381	1998-09-30	VYDAJ	VYBER	15	58984	SLUZBY	\N	\N
2539721	8381	1998-10-31	VYDAJ	VYBER	15	39512	SLUZBY	\N	\N
2539722	8381	1998-11-30	VYDAJ	VYBER	15	30275	SLUZBY	\N	\N
2539723	8381	1996-10-17	PRIJEM	VKLAD	15500	16000	\N	\N	\N
2539724	8381	1996-11-16	PRIJEM	VKLAD	200	29518	\N	\N	\N
2539725	8381	1996-11-30	VYDAJ	VYBER	27100	83403	\N	\N	\N
2539726	8381	1996-12-09	VYDAJ	VYBER	47800	66646	\N	\N	\N
2539727	8381	1996-12-16	VYDAJ	VYBER	21000	45646	\N	\N	\N
2539728	8381	1997-01-12	VYDAJ	VYBER	17300	91636	\N	\N	\N
2539729	8381	1997-01-15	VYDAJ	VYBER	27100	50497	\N	\N	\N
2539730	8381	1997-02-14	PRIJEM	VKLAD	7700	30569	\N	\N	\N
2539731	8381	1997-03-16	VYDAJ	VYBER	12400	38228	\N	\N	\N
2539732	8381	1997-04-12	VYDAJ	VYBER	64800	41332	\N	\N	\N
2539733	8381	1997-04-15	VYDAJ	VYBER	8600	24693	\N	\N	\N
2539734	8381	1997-04-30	VYDAJ	VYBER	42000	60205	\N	\N	\N
2539735	8381	1997-05-15	VYDAJ	VYBER	13000	36592	\N	\N	\N
2539736	8381	1997-06-14	VYDAJ	VYBER	8600	29006	\N	\N	\N
2539737	8381	1997-06-23	VYDAJ	VYBER	33500	78787	\N	\N	\N
2539738	8381	1997-07-14	VYDAJ	VYBER	30000	50661	\N	\N	\N
2539739	8381	1997-08-11	VYDAJ	VYBER	59100	41437	\N	\N	\N
2539740	8381	1997-08-13	VYDAJ	VYBER	900	24808	\N	\N	\N
2539741	8381	1997-09-12	VYDAJ	VYBER	6200	29880	\N	\N	\N
2539742	8381	1997-10-12	VYDAJ	VYBER	2200	24096	\N	\N	\N
2539743	8381	1997-11-11	VYDAJ	VYBER	33900	54336	\N	\N	\N
2539744	8381	1997-11-25	VYDAJ	VYBER	25100	85996	\N	\N	\N
2539745	8381	1997-12-11	VYDAJ	VYBER	19800	32340	\N	\N	\N
2539746	8381	1998-01-10	VYDAJ	VYBER	22800	31858	\N	\N	\N
2539747	8381	1998-02-09	PRIJEM	VKLAD	3000	10916	\N	\N	\N
2539748	8381	1998-04-10	VYDAJ	VYBER	18100	30803	\N	\N	\N
2539749	8381	1998-05-10	PRIJEM	VKLAD	6500	14703	\N	\N	\N
2539750	8381	1998-06-09	PRIJEM	VKLAD	14600	13526	\N	\N	\N
2539751	8381	1998-07-09	VYDAJ	VYBER	13400	34430	\N	\N	\N
2539752	8381	1998-08-08	VYDAJ	VYBER	30000	54286	\N	\N	\N
2539753	8381	1998-08-26	VYDAJ	VYBER	41500	107605	\N	\N	\N
2539754	8381	1998-08-29	VYDAJ	VYBER	29400	123441	\N	\N	\N
2539755	8381	1998-08-31	VYDAJ	VYBER	21600	122653	\N	\N	\N
2539756	8381	1998-08-31	VYDAJ	VYBER	43100	79553	\N	\N	\N
2539757	8381	1998-09-07	VYDAJ	VYBER	26100	53438	\N	\N	\N
2539758	8381	1998-10-07	VYDAJ	VYBER	24600	54870	\N	\N	\N
2539759	8381	1998-11-06	VYDAJ	VYBER	5100	34412	\N	\N	\N
2539760	8381	1998-12-06	PRIJEM	VKLAD	3300	26675	\N	\N	\N
2546387	8405	1994-05-10	PRIJEM	VKLAD	900	900	\N	\N	\N
2546393	8405	1994-06-05	PRIJEM	VKLAD	33190	34090	\N	\N	\N
2546394	8405	1994-07-05	PRIJEM	VKLAD	22127	50888	\N	\N	\N
2546395	8405	1994-08-05	PRIJEM	VKLAD	22127	60375	\N	\N	\N
2546396	8405	1994-09-05	PRIJEM	VKLAD	22127	63596	\N	\N	\N
2546397	8405	1994-10-05	PRIJEM	VKLAD	22127	66744	\N	\N	\N
2546398	8405	1994-11-05	PRIJEM	VKLAD	22127	56104	\N	\N	\N
2546399	8405	1994-12-05	PRIJEM	VKLAD	33190	61992	\N	\N	\N
2546400	8405	1995-01-05	PRIJEM	VKLAD	22127	51262	\N	\N	\N
2546401	8405	1995-02-05	PRIJEM	VKLAD	22127	47114	\N	\N	\N
2546402	8405	1995-03-05	PRIJEM	VKLAD	22127	47574	\N	\N	\N
2546403	8405	1995-04-05	PRIJEM	VKLAD	22127	46128	\N	\N	\N
2546404	8405	1995-05-05	PRIJEM	VKLAD	22127	46500	\N	\N	\N
2546405	8405	1995-06-05	PRIJEM	VKLAD	33190	54925	\N	\N	\N
2546406	8405	1995-07-05	PRIJEM	VKLAD	22127	39142	\N	\N	\N
2546407	8405	1995-08-05	PRIJEM	VKLAD	22127	41808	\N	\N	\N
2546408	8405	1995-09-05	PRIJEM	VKLAD	22127	53324	\N	\N	\N
2546409	8405	1995-10-05	PRIJEM	VKLAD	22127	51209	\N	\N	\N
2546410	8405	1995-11-05	PRIJEM	VKLAD	22127	51691	\N	\N	\N
2546411	8405	1995-12-05	PRIJEM	VKLAD	33190	62302	\N	\N	\N
2546412	8405	1996-01-05	PRIJEM	VKLAD	22127	55482	\N	\N	\N
2546413	8405	1996-02-05	PRIJEM	VKLAD	22127	40342	\N	\N	\N
2546414	8405	1996-03-05	PRIJEM	VKLAD	22127	40474	\N	\N	\N
2546415	8405	1996-04-05	PRIJEM	VKLAD	22127	50518	\N	\N	\N
2546416	8405	1996-05-05	PRIJEM	VKLAD	22127	51740	\N	\N	\N
2546417	8405	1996-06-05	PRIJEM	VKLAD	33190	63327	\N	\N	\N
2546418	8405	1996-07-05	PRIJEM	VKLAD	22127	42039	\N	\N	\N
2546419	8405	1996-08-05	PRIJEM	VKLAD	22127	49089	\N	\N	\N
2546420	8405	1996-09-05	PRIJEM	VKLAD	22127	50556	\N	\N	\N
2546421	8405	1996-10-05	PRIJEM	VKLAD	22127	51044	\N	\N	\N
2546422	8405	1996-11-05	PRIJEM	VKLAD	22127	49136	\N	\N	\N
2546423	8405	1996-12-05	PRIJEM	VKLAD	33190	59078	\N	\N	\N
2546424	8405	1997-01-05	PRIJEM	VKLAD	22127	54663	\N	\N	\N
2546425	8405	1997-02-05	PRIJEM	VKLAD	22127	40498	\N	\N	\N
2546426	8405	1997-03-05	PRIJEM	VKLAD	22127	43792	\N	\N	\N
2546427	8405	1997-04-05	PRIJEM	VKLAD	22127	49630	\N	\N	\N
2546428	8405	1997-05-05	PRIJEM	VKLAD	22127	51304	\N	\N	\N
2546429	8405	1997-06-05	PRIJEM	VKLAD	33190	58373	\N	\N	\N
2546430	8405	1997-07-05	PRIJEM	VKLAD	22127	49491	\N	\N	\N
2546431	8405	1997-08-05	PRIJEM	VKLAD	22127	49842	\N	\N	\N
2546432	8405	1997-09-05	PRIJEM	VKLAD	22127	52924	\N	\N	\N
2546433	8405	1997-10-05	PRIJEM	VKLAD	22127	52406	\N	\N	\N
2546434	8405	1997-11-05	PRIJEM	VKLAD	22127	54588	\N	\N	\N
2546435	8405	1997-12-05	PRIJEM	VKLAD	33190	65140	\N	\N	\N
2546436	8405	1998-01-05	PRIJEM	VKLAD	22127	47322	\N	\N	\N
2546437	8405	1998-02-05	PRIJEM	VKLAD	22127	43077	\N	\N	\N
2546438	8405	1998-03-05	PRIJEM	VKLAD	22127	47877	\N	\N	\N
2546439	8405	1998-04-05	PRIJEM	VKLAD	22127	50411	\N	\N	\N
2546440	8405	1998-05-05	PRIJEM	VKLAD	22127	46894	\N	\N	\N
2546441	8405	1998-06-05	PRIJEM	VKLAD	33190	62405	\N	\N	\N
2546442	8405	1998-07-05	PRIJEM	VKLAD	22127	56114	\N	\N	\N
2546443	8405	1998-08-05	PRIJEM	VKLAD	22127	50531	\N	\N	\N
2546444	8405	1998-09-05	PRIJEM	VKLAD	22127	47191	\N	\N	\N
2546445	8405	1998-10-05	PRIJEM	VKLAD	22127	48917	\N	\N	\N
2546446	8405	1998-11-05	PRIJEM	VKLAD	22127	54174	\N	\N	\N
2546447	8405	1998-12-05	PRIJEM	VKLAD	33190	69015	\N	\N	\N
2546457	8405	1994-10-06	VYDAJ	PREVOD NA UCET	410	62990	SIPO	YZ	84832042
2546458	8405	1994-11-06	VYDAJ	PREVOD NA UCET	410	36250	SIPO	YZ	84832042
2546459	8405	1994-12-06	VYDAJ	PREVOD NA UCET	410	58238	SIPO	YZ	84832042
2546460	8405	1995-01-06	VYDAJ	PREVOD NA UCET	410	37208	SIPO	YZ	84832042
2546461	8405	1995-02-06	VYDAJ	PREVOD NA UCET	410	43360	SIPO	YZ	84832042
2546462	8405	1995-03-06	VYDAJ	PREVOD NA UCET	410	27920	SIPO	YZ	84832042
2546463	8405	1995-04-06	VYDAJ	PREVOD NA UCET	410	31674	SIPO	YZ	84832042
2546464	8405	1995-05-06	VYDAJ	PREVOD NA UCET	410	30546	SIPO	YZ	84832042
2546465	8405	1995-06-06	VYDAJ	PREVOD NA UCET	410	51171	SIPO	YZ	84832042
2546466	8405	1995-07-06	VYDAJ	PREVOD NA UCET	410	35388	SIPO	YZ	84832042
2546467	8405	1995-08-06	VYDAJ	PREVOD NA UCET	410	38054	SIPO	YZ	84832042
2546468	8405	1995-09-06	VYDAJ	PREVOD NA UCET	410	49570	SIPO	YZ	84832042
2546469	8405	1995-10-06	VYDAJ	PREVOD NA UCET	410	47455	SIPO	YZ	84832042
2546470	8405	1995-11-06	VYDAJ	PREVOD NA UCET	410	47937	SIPO	YZ	84832042
2546471	8405	1995-12-06	VYDAJ	PREVOD NA UCET	410	58548	SIPO	YZ	84832042
2546472	8405	1996-01-06	VYDAJ	PREVOD NA UCET	410	51728	SIPO	YZ	84832042
2546473	8405	1996-02-06	VYDAJ	PREVOD NA UCET	410	36588	SIPO	YZ	84832042
2546474	8405	1996-03-06	VYDAJ	PREVOD NA UCET	410	36720	SIPO	YZ	84832042
2546475	8405	1996-04-06	VYDAJ	PREVOD NA UCET	410	46764	SIPO	YZ	84832042
2546476	8405	1996-05-06	VYDAJ	PREVOD NA UCET	410	47986	SIPO	YZ	84832042
2546477	8405	1996-06-06	VYDAJ	PREVOD NA UCET	410	26613	SIPO	YZ	84832042
2546478	8405	1996-07-06	VYDAJ	PREVOD NA UCET	410	38285	SIPO	YZ	84832042
2546479	8405	1996-08-06	VYDAJ	PREVOD NA UCET	410	45335	SIPO	YZ	84832042
2546480	8405	1996-09-06	VYDAJ	PREVOD NA UCET	410	46802	SIPO	YZ	84832042
2546481	8405	1996-10-06	VYDAJ	PREVOD NA UCET	410	47290	SIPO	YZ	84832042
2546482	8405	1996-11-06	VYDAJ	PREVOD NA UCET	410	45382	SIPO	YZ	84832042
2546483	8405	1996-12-06	VYDAJ	PREVOD NA UCET	410	55324	SIPO	YZ	84832042
2546484	8405	1997-01-06	VYDAJ	PREVOD NA UCET	410	40069	SIPO	YZ	84832042
2546485	8405	1997-02-06	VYDAJ	PREVOD NA UCET	410	36744	SIPO	YZ	84832042
2546486	8405	1997-03-06	VYDAJ	PREVOD NA UCET	410	40038	SIPO	YZ	84832042
2546487	8405	1997-04-06	VYDAJ	PREVOD NA UCET	410	45876	SIPO	YZ	84832042
2546488	8405	1997-05-06	VYDAJ	PREVOD NA UCET	410	41790	SIPO	YZ	84832042
2546489	8405	1997-06-06	VYDAJ	PREVOD NA UCET	410	54619	SIPO	YZ	84832042
2546490	8405	1997-07-06	VYDAJ	PREVOD NA UCET	410	45737	SIPO	YZ	84832042
2546491	8405	1997-08-06	VYDAJ	PREVOD NA UCET	410	46088	SIPO	YZ	84832042
2546492	8405	1997-09-06	VYDAJ	PREVOD NA UCET	410	49170	SIPO	YZ	84832042
2546493	8405	1997-10-06	VYDAJ	PREVOD NA UCET	410	48652	SIPO	YZ	84832042
2546494	8405	1997-11-06	VYDAJ	PREVOD NA UCET	410	50834	SIPO	YZ	84832042
2546495	8405	1997-12-06	VYDAJ	PREVOD NA UCET	410	61386	SIPO	YZ	84832042
2546496	8405	1998-01-06	VYDAJ	PREVOD NA UCET	410	43568	SIPO	YZ	84832042
2546497	8405	1998-02-06	VYDAJ	PREVOD NA UCET	410	39323	SIPO	YZ	84832042
2546498	8405	1998-03-06	VYDAJ	PREVOD NA UCET	410	44123	SIPO	YZ	84832042
2546499	8405	1998-04-06	VYDAJ	PREVOD NA UCET	410	46657	SIPO	YZ	84832042
2546500	8405	1998-05-06	VYDAJ	PREVOD NA UCET	410	43140	SIPO	YZ	84832042
2546501	8405	1998-06-06	VYDAJ	PREVOD NA UCET	410	58651	SIPO	YZ	84832042
2546502	8405	1998-07-06	VYDAJ	PREVOD NA UCET	410	52360	SIPO	YZ	84832042
2546503	8405	1998-08-06	VYDAJ	PREVOD NA UCET	410	46777	SIPO	YZ	84832042
2546504	8405	1998-09-06	VYDAJ	PREVOD NA UCET	410	43437	SIPO	YZ	84832042
2546505	8405	1998-10-06	VYDAJ	PREVOD NA UCET	410	45163	SIPO	YZ	84832042
2546506	8405	1998-11-06	VYDAJ	PREVOD NA UCET	410	50420	SIPO	YZ	84832042
2546507	8405	1998-12-06	VYDAJ	PREVOD NA UCET	410	65261	SIPO	YZ	84832042
2546517	8405	1994-10-11	VYDAJ	PREVOD NA UCET	4095	38695	 	ST	21518677
2546518	8405	1994-11-11	VYDAJ	PREVOD NA UCET	4095	32155	 	ST	21518677
2546519	8405	1994-12-11	VYDAJ	PREVOD NA UCET	4095	37243	 	ST	21518677
2546520	8405	1995-01-11	VYDAJ	PREVOD NA UCET	4095	32513	 	ST	21518677
2546521	8405	1995-02-11	VYDAJ	PREVOD NA UCET	4095	39265	 	ST	21518677
2546522	8405	1995-03-11	VYDAJ	PREVOD NA UCET	4095	23825	 	ST	21518677
2546523	8405	1995-04-11	VYDAJ	PREVOD NA UCET	4095	27579	 	ST	21518677
2546524	8405	1995-05-11	VYDAJ	PREVOD NA UCET	4095	26451	 	ST	21518677
2546525	8405	1995-06-11	VYDAJ	PREVOD NA UCET	4095	18736	 	ST	21518677
2546526	8405	1995-07-11	VYDAJ	PREVOD NA UCET	4095	31293	 	ST	21518677
2546527	8405	1995-08-11	VYDAJ	PREVOD NA UCET	4095	33959	 	ST	21518677
2546528	8405	1995-09-11	VYDAJ	PREVOD NA UCET	4095	45475	 	ST	21518677
2546529	8405	1995-10-11	VYDAJ	PREVOD NA UCET	4095	43360	 	ST	21518677
2546530	8405	1995-11-11	VYDAJ	PREVOD NA UCET	4095	43842	 	ST	21518677
2546531	8405	1995-12-11	VYDAJ	PREVOD NA UCET	4095	51253	 	ST	21518677
2546532	8405	1996-01-11	VYDAJ	PREVOD NA UCET	4095	40073	 	ST	21518677
2546533	8405	1996-02-11	VYDAJ	PREVOD NA UCET	4095	32493	 	ST	21518677
2546534	8405	1996-03-11	VYDAJ	PREVOD NA UCET	4095	32625	 	ST	21518677
2546535	8405	1996-04-11	VYDAJ	PREVOD NA UCET	4095	42669	 	ST	21518677
2546536	8405	1996-05-11	VYDAJ	PREVOD NA UCET	4095	43891	 	ST	21518677
2546537	8405	1996-06-11	VYDAJ	PREVOD NA UCET	4095	22518	 	ST	21518677
2546538	8405	1996-07-11	VYDAJ	PREVOD NA UCET	4095	34190	 	ST	21518677
2546539	8405	1996-08-11	VYDAJ	PREVOD NA UCET	4095	41240	 	ST	21518677
2546540	8405	1996-09-11	VYDAJ	PREVOD NA UCET	4095	42707	 	ST	21518677
2546541	8405	1996-10-11	VYDAJ	PREVOD NA UCET	4095	43195	 	ST	21518677
2546542	8405	1996-11-11	VYDAJ	PREVOD NA UCET	4095	41287	 	ST	21518677
2546543	8405	1996-12-11	VYDAJ	PREVOD NA UCET	4095	49469	 	ST	21518677
2546544	8405	1997-01-11	VYDAJ	PREVOD NA UCET	4095	33094	 	ST	21518677
2546545	8405	1997-02-11	VYDAJ	PREVOD NA UCET	4095	32649	 	ST	21518677
2546546	8405	1997-03-11	VYDAJ	PREVOD NA UCET	4095	35943	 	ST	21518677
2546547	8405	1997-04-11	VYDAJ	PREVOD NA UCET	4095	41781	 	ST	21518677
2546548	8405	1997-05-11	VYDAJ	PREVOD NA UCET	4095	37695	 	ST	21518677
2546549	8405	1997-06-11	VYDAJ	PREVOD NA UCET	4095	45084	 	ST	21518677
2546550	8405	1997-07-11	VYDAJ	PREVOD NA UCET	4095	41642	 	ST	21518677
2546551	8405	1997-08-11	VYDAJ	PREVOD NA UCET	4095	41993	 	ST	21518677
2546552	8405	1997-09-11	VYDAJ	PREVOD NA UCET	4095	45075	 	ST	21518677
2546553	8405	1997-10-11	VYDAJ	PREVOD NA UCET	4095	44557	 	ST	21518677
2546554	8405	1997-11-11	VYDAJ	PREVOD NA UCET	4095	46739	 	ST	21518677
2546555	8405	1997-12-11	VYDAJ	PREVOD NA UCET	4095	57291	 	ST	21518677
2546556	8405	1998-01-11	VYDAJ	PREVOD NA UCET	4095	36833	 	ST	21518677
2546557	8405	1998-02-11	VYDAJ	PREVOD NA UCET	4095	35228	 	ST	21518677
2546558	8405	1998-03-11	VYDAJ	PREVOD NA UCET	4095	40028	 	ST	21518677
2546559	8405	1998-04-11	VYDAJ	PREVOD NA UCET	4095	42562	 	ST	21518677
2546560	8405	1998-05-11	VYDAJ	PREVOD NA UCET	4095	39045	 	ST	21518677
2546561	8405	1998-06-11	VYDAJ	PREVOD NA UCET	4095	54556	 	ST	21518677
2546562	8405	1998-07-11	VYDAJ	PREVOD NA UCET	4095	48265	 	ST	21518677
2546563	8405	1998-08-11	VYDAJ	PREVOD NA UCET	4095	42682	 	ST	21518677
2546564	8405	1998-09-11	VYDAJ	PREVOD NA UCET	4095	39342	 	ST	21518677
2546565	8405	1998-10-11	VYDAJ	PREVOD NA UCET	4095	41068	 	ST	21518677
2546566	8405	1998-11-11	VYDAJ	PREVOD NA UCET	4095	46325	 	ST	21518677
2546567	8405	1998-12-11	VYDAJ	PREVOD NA UCET	4095	61166	 	ST	21518677
2546577	8405	1994-10-05	VYDAJ	PREVOD NA UCET	3344	63400	POJISTNE	UV	41846251
2546578	8405	1994-11-05	VYDAJ	PREVOD NA UCET	3344	52760	POJISTNE	UV	41846251
2546579	8405	1994-12-05	VYDAJ	PREVOD NA UCET	3344	58648	POJISTNE	UV	41846251
2546580	8405	1995-01-05	VYDAJ	PREVOD NA UCET	3344	47918	POJISTNE	UV	41846251
2546581	8405	1995-02-05	VYDAJ	PREVOD NA UCET	3344	43770	POJISTNE	UV	41846251
2546582	8405	1995-03-05	VYDAJ	PREVOD NA UCET	3344	39330	POJISTNE	UV	41846251
2546583	8405	1995-04-05	VYDAJ	PREVOD NA UCET	3344	32084	POJISTNE	UV	41846251
2546584	8405	1995-05-05	VYDAJ	PREVOD NA UCET	3344	30956	POJISTNE	UV	41846251
2546585	8405	1995-06-05	VYDAJ	PREVOD NA UCET	3344	51581	POJISTNE	UV	41846251
2546586	8405	1995-07-05	VYDAJ	PREVOD NA UCET	3344	35798	POJISTNE	UV	41846251
2546587	8405	1995-08-05	VYDAJ	PREVOD NA UCET	3344	38464	POJISTNE	UV	41846251
2546588	8405	1995-09-05	VYDAJ	PREVOD NA UCET	3344	49980	POJISTNE	UV	41846251
2546589	8405	1995-10-05	VYDAJ	PREVOD NA UCET	3344	47865	POJISTNE	UV	41846251
2546590	8405	1995-11-05	VYDAJ	PREVOD NA UCET	3344	48347	POJISTNE	UV	41846251
2546591	8405	1995-12-05	VYDAJ	PREVOD NA UCET	3344	58958	POJISTNE	UV	41846251
2546592	8405	1996-01-05	VYDAJ	PREVOD NA UCET	3344	52138	POJISTNE	UV	41846251
2546593	8405	1996-02-05	VYDAJ	PREVOD NA UCET	3344	36998	POJISTNE	UV	41846251
2546594	8405	1996-03-05	VYDAJ	PREVOD NA UCET	3344	37130	POJISTNE	UV	41846251
2546595	8405	1996-04-05	VYDAJ	PREVOD NA UCET	3344	47174	POJISTNE	UV	41846251
2546596	8405	1996-05-05	VYDAJ	PREVOD NA UCET	3344	48396	POJISTNE	UV	41846251
2546597	8405	1996-06-05	VYDAJ	PREVOD NA UCET	3344	27023	POJISTNE	UV	41846251
2546598	8405	1996-07-05	VYDAJ	PREVOD NA UCET	3344	38695	POJISTNE	UV	41846251
2546599	8405	1996-08-05	VYDAJ	PREVOD NA UCET	3344	45745	POJISTNE	UV	41846251
2546600	8405	1996-09-05	VYDAJ	PREVOD NA UCET	3344	47212	POJISTNE	UV	41846251
2546601	8405	1996-10-05	VYDAJ	PREVOD NA UCET	3344	47700	POJISTNE	UV	41846251
2546602	8405	1996-11-05	VYDAJ	PREVOD NA UCET	3344	45792	POJISTNE	UV	41846251
2546603	8405	1996-12-05	VYDAJ	PREVOD NA UCET	3344	55734	POJISTNE	UV	41846251
2546604	8405	1997-01-05	VYDAJ	PREVOD NA UCET	3344	51319	POJISTNE	UV	41846251
2546605	8405	1997-02-05	VYDAJ	PREVOD NA UCET	3344	37154	POJISTNE	UV	41846251
2546606	8405	1997-03-05	VYDAJ	PREVOD NA UCET	3344	40448	POJISTNE	UV	41846251
2546607	8405	1997-04-05	VYDAJ	PREVOD NA UCET	3344	46286	POJISTNE	UV	41846251
2546608	8405	1997-05-05	VYDAJ	PREVOD NA UCET	3344	42200	POJISTNE	UV	41846251
2546609	8405	1997-06-05	VYDAJ	PREVOD NA UCET	3344	55029	POJISTNE	UV	41846251
2546610	8405	1997-07-05	VYDAJ	PREVOD NA UCET	3344	46147	POJISTNE	UV	41846251
2546611	8405	1997-08-05	VYDAJ	PREVOD NA UCET	3344	46498	POJISTNE	UV	41846251
2546612	8405	1997-09-05	VYDAJ	PREVOD NA UCET	3344	49580	POJISTNE	UV	41846251
2546613	8405	1997-10-05	VYDAJ	PREVOD NA UCET	3344	49062	POJISTNE	UV	41846251
2546614	8405	1997-11-05	VYDAJ	PREVOD NA UCET	3344	51244	POJISTNE	UV	41846251
2546615	8405	1997-12-05	VYDAJ	PREVOD NA UCET	3344	61796	POJISTNE	UV	41846251
2546616	8405	1998-01-05	VYDAJ	PREVOD NA UCET	3344	43978	POJISTNE	UV	41846251
2546617	8405	1998-02-05	VYDAJ	PREVOD NA UCET	3344	39733	POJISTNE	UV	41846251
2546618	8405	1998-03-05	VYDAJ	PREVOD NA UCET	3344	44533	POJISTNE	UV	41846251
2546619	8405	1998-04-05	VYDAJ	PREVOD NA UCET	3344	47067	POJISTNE	UV	41846251
2546620	8405	1998-05-05	VYDAJ	PREVOD NA UCET	3344	43550	POJISTNE	UV	41846251
2546621	8405	1998-06-05	VYDAJ	PREVOD NA UCET	3344	59061	POJISTNE	UV	41846251
2546622	8405	1998-07-05	VYDAJ	PREVOD NA UCET	3344	52770	POJISTNE	UV	41846251
2546623	8405	1998-08-05	VYDAJ	PREVOD NA UCET	3344	47187	POJISTNE	UV	41846251
2546624	8405	1998-09-05	VYDAJ	PREVOD NA UCET	3344	43847	POJISTNE	UV	41846251
2546625	8405	1998-10-05	VYDAJ	PREVOD NA UCET	3344	45573	POJISTNE	UV	41846251
2546626	8405	1998-11-05	VYDAJ	PREVOD NA UCET	3344	50830	POJISTNE	UV	41846251
2546627	8405	1998-12-05	VYDAJ	PREVOD NA UCET	3344	65671	POJISTNE	UV	41846251
2546637	8405	1994-10-18	VYDAJ	VYBER	5000	33695	\N	\N	0
2546638	8405	1994-11-16	VYDAJ	VYBER	3600	28555	\N	\N	0
2546639	8405	1994-12-13	VYDAJ	VYBER	3800	33443	\N	\N	0
2546640	8405	1995-01-14	VYDAJ	VYBER	5100	27413	\N	\N	0
2546641	8405	1995-02-15	VYDAJ	VYBER	4800	29065	\N	\N	0
2546642	8405	1995-03-05	VYDAJ	VYBER	4900	42674	\N	\N	0
2546643	8405	1995-04-14	VYDAJ	VYBER	3400	24179	\N	\N	0
2546644	8405	1995-05-13	VYDAJ	VYBER	3400	23051	\N	\N	0
2546645	8405	1995-06-11	VYDAJ	VYBER	4500	22831	\N	\N	0
2546646	8405	1995-07-11	VYDAJ	VYBER	4700	26593	\N	\N	0
2546647	8405	1995-08-02	VYDAJ	VYBER	5100	17481	\N	\N	0
2546648	8405	1995-09-16	VYDAJ	VYBER	4800	40675	\N	\N	0
2546649	8405	1995-10-12	VYDAJ	VYBER	5200	38160	\N	\N	0
2546650	8405	1995-11-12	VYDAJ	PREVOD NA UCET	4437	39405	UVER	OP	25666362
2546651	8405	1995-12-12	VYDAJ	PREVOD NA UCET	4437	46816	UVER	OP	25666362
2546652	8405	1996-01-12	VYDAJ	PREVOD NA UCET	4437	35636	UVER	OP	25666362
2546653	8405	1996-02-12	VYDAJ	PREVOD NA UCET	4437	28056	UVER	OP	25666362
2546654	8405	1996-03-12	VYDAJ	PREVOD NA UCET	4437	28188	UVER	OP	25666362
2546655	8405	1996-04-12	VYDAJ	PREVOD NA UCET	4437	38232	UVER	OP	25666362
2546656	8405	1996-05-12	VYDAJ	PREVOD NA UCET	4437	39454	UVER	OP	25666362
2546657	8405	1996-06-12	VYDAJ	PREVOD NA UCET	4437	18081	UVER	OP	25666362
2546658	8405	1996-07-12	VYDAJ	PREVOD NA UCET	4437	29753	UVER	OP	25666362
2546659	8405	1996-08-12	VYDAJ	PREVOD NA UCET	4437	36803	UVER	OP	25666362
2546660	8405	1996-09-12	VYDAJ	PREVOD NA UCET	4437	38270	UVER	OP	25666362
2546661	8405	1996-10-12	VYDAJ	PREVOD NA UCET	4437	38758	UVER	OP	25666362
2546662	8405	1996-11-12	VYDAJ	PREVOD NA UCET	4437	36850	UVER	OP	25666362
2546663	8405	1996-12-12	VYDAJ	PREVOD NA UCET	4437	45032	UVER	OP	25666362
2546664	8405	1997-01-12	VYDAJ	PREVOD NA UCET	4437	28657	UVER	OP	25666362
2546665	8405	1997-02-12	VYDAJ	PREVOD NA UCET	4437	28212	UVER	OP	25666362
2546666	8405	1997-03-12	VYDAJ	PREVOD NA UCET	4437	31506	UVER	OP	25666362
2546667	8405	1997-04-12	VYDAJ	PREVOD NA UCET	4437	37344	UVER	OP	25666362
2546668	8405	1997-05-12	VYDAJ	PREVOD NA UCET	4437	28098	UVER	OP	25666362
2546669	8405	1997-06-12	VYDAJ	PREVOD NA UCET	4437	40647	UVER	OP	25666362
2546670	8405	1997-07-12	VYDAJ	PREVOD NA UCET	4437	37205	UVER	OP	25666362
2546671	8405	1997-08-12	VYDAJ	PREVOD NA UCET	4437	37556	UVER	OP	25666362
2546672	8405	1997-09-12	VYDAJ	PREVOD NA UCET	4437	40638	UVER	OP	25666362
2546673	8405	1997-10-12	VYDAJ	PREVOD NA UCET	4437	40120	UVER	OP	25666362
2546674	8405	1997-11-12	VYDAJ	PREVOD NA UCET	4437	42302	UVER	OP	25666362
2546675	8405	1997-12-12	VYDAJ	PREVOD NA UCET	4437	52854	UVER	OP	25666362
2546676	8405	1998-01-12	VYDAJ	PREVOD NA UCET	4437	32396	UVER	OP	25666362
2546677	8405	1998-02-12	VYDAJ	PREVOD NA UCET	4437	30071	UVER	OP	25666362
2546678	8405	1998-03-12	VYDAJ	PREVOD NA UCET	4437	35591	UVER	OP	25666362
2546679	8405	1998-04-12	VYDAJ	PREVOD NA UCET	4437	38125	UVER	OP	25666362
2546680	8405	1998-05-12	VYDAJ	PREVOD NA UCET	4437	34608	UVER	OP	25666362
2546681	8405	1998-06-12	VYDAJ	PREVOD NA UCET	4437	50119	UVER	OP	25666362
2546682	8405	1998-07-12	VYDAJ	PREVOD NA UCET	4437	43828	UVER	OP	25666362
2546683	8405	1998-08-12	VYDAJ	PREVOD NA UCET	4437	38245	UVER	OP	25666362
2546684	8405	1998-09-12	VYDAJ	PREVOD NA UCET	4437	34905	UVER	OP	25666362
2546685	8405	1998-10-12	VYDAJ	PREVOD NA UCET	4437	36631	UVER	OP	25666362
2546686	8405	1998-11-12	VYDAJ	PREVOD NA UCET	4437	41888	UVER	OP	25666362
2546687	8405	1998-12-12	VYDAJ	PREVOD NA UCET	4437	56729	UVER	OP	25666362
2546689	8405	1995-06-10	VYDAJ	VYBER	23840	27331	\N	\N	\N
2546690	8405	1996-06-05	VYDAJ	VYBER	32960	30367	\N	\N	\N
2546691	8405	1997-06-09	VYDAJ	VYBER	5440	49179	\N	\N	\N
2546695	8405	1996-01-17	VYDAJ	VYBER	12000	17876	\N	\N	\N
2546696	8405	1997-01-05	VYDAJ	VYBER	7840	43479	\N	\N	\N
2546697	8405	1998-01-01	VYDAJ	VYBER	11360	25195	\N	\N	\N
2546698	8405	1994-12-23	VYDAJ	VYBER	960	32483	\N	\N	\N
2546699	8405	1995-12-07	VYDAJ	VYBER	3200	55348	\N	\N	\N
2546700	8405	1996-12-10	VYDAJ	VYBER	1760	53564	\N	\N	\N
2546701	8405	1997-12-18	VYDAJ	VYBER	3200	49654	\N	\N	\N
2546702	8405	1998-12-20	VYDAJ	VYBER	2880	44349	\N	\N	\N
2546709	8405	1995-01-03	VYDAJ	VYBER	960	29135	\N	\N	\N
2546710	8405	1995-01-16	VYDAJ	VYBER	2040	22493	\N	\N	\N
2546711	8405	1995-01-15	VYDAJ	VYBER	2880	24533	\N	\N	\N
2546712	8405	1995-01-03	VYDAJ	VYBER	2640	30095	\N	\N	\N
2546713	8405	1995-01-06	VYDAJ	VYBER	600	36608	\N	\N	\N
2546714	8405	1995-01-17	VYDAJ	VYBER	1200	21293	\N	\N	\N
2546715	8405	1996-01-07	VYDAJ	VYBER	2160	49568	\N	\N	\N
2546716	8405	1996-01-12	VYDAJ	VYBER	2880	32756	\N	\N	\N
2546717	8405	1996-01-11	VYDAJ	VYBER	3480	44168	\N	\N	\N
2546718	8405	1996-01-11	VYDAJ	VYBER	1920	47648	\N	\N	\N
2546719	8405	1996-01-28	VYDAJ	VYBER	960	16916	\N	\N	\N
2546720	8405	1996-01-12	VYDAJ	VYBER	2880	29876	\N	\N	\N
2546721	8405	1997-01-28	VYDAJ	VYBER	1440	18177	\N	\N	\N
2546722	8405	1997-01-21	VYDAJ	VYBER	1800	26857	\N	\N	\N
2546723	8405	1997-01-06	VYDAJ	VYBER	3000	40479	\N	\N	\N
2546724	8405	1997-01-08	VYDAJ	VYBER	2160	37909	\N	\N	\N
2546725	8405	1997-01-26	VYDAJ	VYBER	3240	19617	\N	\N	\N
2546726	8405	1997-01-11	VYDAJ	VYBER	720	37189	\N	\N	\N
2546727	8405	1998-01-08	VYDAJ	VYBER	2640	40928	\N	\N	\N
2546728	8405	1998-01-17	VYDAJ	VYBER	2400	29996	\N	\N	\N
2546731	8405	1998-01-19	VYDAJ	VYBER	960	29036	\N	\N	\N
2546732	8405	1998-01-21	VYDAJ	VYBER	960	20776	\N	\N	\N
2546739	8405	1995-02-11	VYDAJ	VYBER	5400	33865	\N	\N	\N
2546740	8405	1995-02-20	VYDAJ	VYBER	3840	25225	\N	\N	\N
2546741	8405	1995-06-26	VYDAJ	VYBER	3000	15736	\N	\N	\N
2546742	8405	1995-07-26	VYDAJ	VYBER	4200	22393	\N	\N	\N
2546743	8405	1995-10-04	VYDAJ	VYBER	4200	29082	\N	\N	\N
2546744	8405	1996-02-18	VYDAJ	VYBER	5640	22416	\N	\N	\N
2546745	8405	1996-08-16	VYDAJ	VYBER	3120	33683	\N	\N	\N
2546746	8405	1996-02-27	VYDAJ	VYBER	5640	16776	\N	\N	\N
2546747	8405	1996-11-27	VYDAJ	VYBER	1680	25650	\N	\N	\N
2546748	8405	1996-12-15	VYDAJ	VYBER	2280	42752	\N	\N	\N
2546749	8405	1996-09-22	VYDAJ	VYBER	2400	35870	\N	\N	\N
2546750	8405	1996-11-20	VYDAJ	VYBER	5520	31330	\N	\N	\N
2546751	8405	1997-05-11	VYDAJ	VYBER	5160	32535	\N	\N	\N
2546752	8405	1997-07-16	VYDAJ	VYBER	3720	33485	\N	\N	\N
2546753	8405	1997-02-23	VYDAJ	VYBER	4320	23892	\N	\N	\N
2546754	8405	1997-05-05	VYDAJ	VYBER	5760	45544	\N	\N	\N
2546755	8405	1997-06-28	VYDAJ	VYBER	4440	27107	\N	\N	\N
2546756	8405	1998-08-14	VYDAJ	VYBER	3480	34765	\N	\N	\N
2546757	8405	1998-03-30	VYDAJ	VYBER	3720	28071	\N	\N	\N
2546758	8405	1998-09-16	VYDAJ	VYBER	4920	26585	\N	\N	\N
2546759	8405	1998-07-22	VYDAJ	VYBER	5760	28168	\N	\N	\N
2546760	8405	1998-12-25	VYDAJ	VYBER	2400	41949	\N	\N	\N
2546762	8405	1998-04-26	VYDAJ	VYBER	4080	24545	\N	\N	\N
2546763	8405	1998-02-11	VYDAJ	VYBER	720	34508	\N	\N	\N
2546774	8405	1994-10-31	VYDAJ	VYBER	15	33977	SLUZBY	\N	\N
2546775	8405	1994-11-30	VYDAJ	VYBER	15	28802	SLUZBY	\N	\N
2546776	8405	1994-12-31	VYDAJ	VYBER	15	32735	SLUZBY	\N	\N
2546777	8405	1995-01-31	VYDAJ	VYBER	15	21487	SLUZBY	\N	\N
2546778	8405	1995-02-28	VYDAJ	VYBER	15	25447	SLUZBY	\N	\N
2546779	8405	1995-03-31	VYDAJ	VYBER	15	24001	SLUZBY	\N	\N
2546780	8405	1995-04-30	VYDAJ	VYBER	15	24373	SLUZBY	\N	\N
2546781	8405	1995-05-31	VYDAJ	VYBER	15	23235	SLUZBY	\N	\N
2546782	8405	1995-06-30	VYDAJ	VYBER	15	15915	SLUZBY	\N	\N
2546783	8405	1995-07-31	VYDAJ	VYBER	15	22581	SLUZBY	\N	\N
2546784	8405	1995-08-31	VYDAJ	VYBER	15	34197	SLUZBY	\N	\N
2546785	8405	1995-09-30	VYDAJ	VYBER	15	40982	SLUZBY	\N	\N
2546786	8405	1995-10-31	VYDAJ	VYBER	15	38464	SLUZBY	\N	\N
2546787	8405	1995-11-30	VYDAJ	VYBER	15	39712	SLUZBY	\N	\N
2546788	8405	1995-12-31	VYDAJ	VYBER	15	47155	SLUZBY	\N	\N
2546789	8405	1996-01-31	VYDAJ	VYBER	15	18215	SLUZBY	\N	\N
2546790	8405	1996-02-29	VYDAJ	VYBER	15	18347	SLUZBY	\N	\N
2546791	8405	1996-03-31	VYDAJ	VYBER	15	28391	SLUZBY	\N	\N
2546792	8405	1996-04-30	VYDAJ	VYBER	15	29613	SLUZBY	\N	\N
2546793	8405	1996-05-31	VYDAJ	VYBER	15	30137	SLUZBY	\N	\N
2546794	8405	1996-06-30	VYDAJ	VYBER	15	19912	SLUZBY	\N	\N
2546795	8405	1996-07-31	VYDAJ	VYBER	15	26962	SLUZBY	\N	\N
2546796	8405	1996-08-31	VYDAJ	VYBER	15	28429	SLUZBY	\N	\N
2546797	8405	1996-09-30	VYDAJ	VYBER	15	28917	SLUZBY	\N	\N
2546798	8405	1996-10-31	VYDAJ	VYBER	15	27009	SLUZBY	\N	\N
2546799	8405	1996-11-30	VYDAJ	VYBER	15	25888	SLUZBY	\N	\N
2546800	8405	1996-12-31	VYDAJ	VYBER	15	32536	SLUZBY	\N	\N
2546801	8405	1997-01-31	VYDAJ	VYBER	15	18371	SLUZBY	\N	\N
2546802	8405	1997-02-28	VYDAJ	VYBER	15	21665	SLUZBY	\N	\N
2546803	8405	1997-03-31	VYDAJ	VYBER	15	27503	SLUZBY	\N	\N
2546804	8405	1997-04-30	VYDAJ	VYBER	15	29177	SLUZBY	\N	\N
2546805	8405	1997-05-31	VYDAJ	VYBER	15	25183	SLUZBY	\N	\N
2546806	8405	1997-06-30	VYDAJ	VYBER	15	27364	SLUZBY	\N	\N
2546807	8405	1997-07-31	VYDAJ	VYBER	15	27715	SLUZBY	\N	\N
2546808	8405	1997-08-31	VYDAJ	VYBER	15	30797	SLUZBY	\N	\N
2546809	8405	1997-09-30	VYDAJ	VYBER	15	30279	SLUZBY	\N	\N
2546810	8405	1997-10-31	VYDAJ	VYBER	15	32461	SLUZBY	\N	\N
2546811	8405	1997-11-30	VYDAJ	VYBER	15	31950	SLUZBY	\N	\N
2546812	8405	1997-12-31	VYDAJ	VYBER	15	36555	SLUZBY	\N	\N
2546813	8405	1998-01-31	VYDAJ	VYBER	15	20950	SLUZBY	\N	\N
2546814	8405	1998-02-28	VYDAJ	VYBER	15	25750	SLUZBY	\N	\N
2546815	8405	1998-03-31	VYDAJ	VYBER	15	28284	SLUZBY	\N	\N
2546816	8405	1998-04-30	VYDAJ	VYBER	15	24767	SLUZBY	\N	\N
2546817	8405	1998-05-31	VYDAJ	VYBER	15	29215	SLUZBY	\N	\N
2546818	8405	1998-06-30	VYDAJ	VYBER	15	33987	SLUZBY	\N	\N
2546819	8405	1998-07-31	VYDAJ	VYBER	15	28404	SLUZBY	\N	\N
2546820	8405	1998-08-31	VYDAJ	VYBER	15	25064	SLUZBY	\N	\N
2546821	8405	1998-09-30	VYDAJ	VYBER	15	26790	SLUZBY	\N	\N
2546822	8405	1998-10-31	VYDAJ	VYBER	15	32047	SLUZBY	\N	\N
2546823	8405	1998-11-30	VYDAJ	VYBER	15	35825	SLUZBY	\N	\N
2546824	8405	1994-06-09	VYDAJ	VYBER	5500	28590	\N	\N	\N
2546825	8405	1994-07-09	VYDAJ	VYBER	12900	37988	\N	\N	\N
2546826	8405	1994-08-08	VYDAJ	VYBER	19200	41175	\N	\N	\N
2546827	8405	1994-09-07	VYDAJ	VYBER	19300	44296	\N	\N	\N
2546828	8405	1994-10-07	VYDAJ	VYBER	20200	42790	\N	\N	\N
2546829	8405	1994-11-06	VYDAJ	VYBER	16100	36660	\N	\N	\N
2546830	8405	1994-12-06	VYDAJ	VYBER	16900	41338	\N	\N	\N
2546831	8405	1995-01-05	VYDAJ	VYBER	10300	37618	\N	\N	\N
2546832	8405	1995-02-04	PRIJEM	VKLAD	3500	24987	\N	\N	\N
2546833	8405	1995-03-06	VYDAJ	VYBER	11000	28330	\N	\N	\N
2546834	8405	1995-04-05	VYDAJ	VYBER	10700	35428	\N	\N	\N
2546835	8405	1995-05-05	VYDAJ	VYBER	12200	34300	\N	\N	\N
2546836	8405	1995-06-04	VYDAJ	VYBER	1500	21735	\N	\N	\N
2546837	8405	1995-07-04	PRIJEM	VKLAD	1100	17015	\N	\N	\N
2546838	8405	1995-08-03	PRIJEM	VKLAD	2200	19681	\N	\N	\N
2546839	8405	1995-09-02	VYDAJ	VYBER	3000	31197	\N	\N	\N
2546840	8405	1995-10-02	VYDAJ	VYBER	7700	33282	\N	\N	\N
2546841	8405	1995-11-01	VYDAJ	VYBER	8900	29564	\N	\N	\N
2546842	8405	1995-12-01	VYDAJ	VYBER	10600	29112	\N	\N	\N
2546843	8405	1995-12-31	VYDAJ	VYBER	13800	33355	\N	\N	\N
2546844	8405	1996-01-30	PRIJEM	VKLAD	1100	18016	\N	\N	\N
2546845	8405	1996-02-29	PRIJEM	VKLAD	1400	18362	\N	\N	\N
2546846	8405	1996-04-29	VYDAJ	VYBER	8900	29332	\N	\N	\N
2546847	8405	1996-05-29	VYDAJ	VYBER	9600	29854	\N	\N	\N
2546848	8405	1996-06-28	PRIJEM	VKLAD	1700	19781	\N	\N	\N
2546849	8405	1996-07-28	VYDAJ	VYBER	3000	26753	\N	\N	\N
2546850	8405	1996-08-27	VYDAJ	VYBER	5500	28183	\N	\N	\N
2546851	8405	1996-09-26	VYDAJ	VYBER	7200	28670	\N	\N	\N
2546852	8405	1996-10-26	VYDAJ	VYBER	12000	26758	\N	\N	\N
2546853	8405	1996-11-25	VYDAJ	VYBER	4000	27330	\N	\N	\N
2546854	8405	1996-12-25	VYDAJ	VYBER	10500	32252	\N	\N	\N
2546855	8405	1997-01-24	VYDAJ	VYBER	4000	22857	\N	\N	\N
2546856	8405	1997-02-23	VYDAJ	VYBER	2400	21492	\N	\N	\N
2546857	8405	1997-03-25	VYDAJ	VYBER	4200	27306	\N	\N	\N
2546858	8405	1997-04-24	VYDAJ	VYBER	8400	28944	\N	\N	\N
2546859	8405	1997-05-24	VYDAJ	VYBER	3100	24998	\N	\N	\N
2546860	8405	1997-06-23	VYDAJ	VYBER	9100	31547	\N	\N	\N
2546861	8405	1997-07-23	VYDAJ	VYBER	6000	27485	\N	\N	\N
2546862	8405	1997-08-22	VYDAJ	VYBER	7000	30556	\N	\N	\N
2546863	8405	1997-09-21	VYDAJ	VYBER	10600	30038	\N	\N	\N
2546864	8405	1997-10-21	VYDAJ	VYBER	7900	32220	\N	\N	\N
2546865	8405	1997-11-20	VYDAJ	VYBER	10600	31702	\N	\N	\N
2546866	8405	1997-12-20	VYDAJ	VYBER	13400	36254	\N	\N	\N
2546867	8405	1998-01-19	VYDAJ	VYBER	7300	21736	\N	\N	\N
2546868	8405	1998-02-18	VYDAJ	VYBER	4500	25571	\N	\N	\N
2546869	8405	1998-03-20	VYDAJ	VYBER	3800	31791	\N	\N	\N
2546870	8405	1998-04-19	VYDAJ	VYBER	9500	28625	\N	\N	\N
2546871	8405	1998-05-19	VYDAJ	VYBER	5600	29008	\N	\N	\N
2546872	8405	1998-06-18	VYDAJ	VYBER	16400	33719	\N	\N	\N
2546873	8405	1998-07-18	VYDAJ	VYBER	9900	33928	\N	\N	\N
2546874	8405	1998-08-17	VYDAJ	VYBER	9900	24865	\N	\N	\N
2546875	8405	1998-09-16	VYDAJ	VYBER	3400	31505	\N	\N	\N
2546876	8405	1998-10-16	VYDAJ	VYBER	4800	31831	\N	\N	\N
2546877	8405	1998-11-15	VYDAJ	VYBER	6300	35588	\N	\N	\N
2546878	8405	1998-12-15	VYDAJ	VYBER	9500	47229	\N	\N	\N
2548539	8411	1994-12-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2548551	8411	1994-12-10	PRIJEM	PREVOD Z UCTU	33096	34196	\N	KL	54256457
2548552	8411	1995-01-10	PRIJEM	PREVOD Z UCTU	22064	53858	\N	KL	54256457
2548553	8411	1995-02-10	PRIJEM	PREVOD Z UCTU	22064	62277	\N	KL	54256457
2548554	8411	1995-03-10	PRIJEM	PREVOD Z UCTU	22064	68268	\N	KL	54256457
2548555	8411	1995-04-10	PRIJEM	PREVOD Z UCTU	22064	70273	\N	KL	54256457
2548556	8411	1995-05-10	PRIJEM	PREVOD Z UCTU	22064	56674	\N	KL	54256457
2548557	8411	1995-06-10	PRIJEM	PREVOD Z UCTU	33096	66259	\N	KL	54256457
2548558	8411	1995-07-10	PRIJEM	PREVOD Z UCTU	22064	52952	\N	KL	54256457
2548559	8411	1995-08-10	PRIJEM	PREVOD Z UCTU	22064	47727	\N	KL	54256457
2548560	8411	1995-09-10	PRIJEM	PREVOD Z UCTU	22064	33746	\N	KL	54256457
2548561	8411	1995-10-10	PRIJEM	PREVOD Z UCTU	22064	42504	\N	KL	54256457
2548562	8411	1995-11-10	PRIJEM	PREVOD Z UCTU	22064	39568	\N	KL	54256457
2548563	8411	1995-12-10	PRIJEM	PREVOD Z UCTU	33096	52171	\N	KL	54256457
2548564	8411	1996-01-10	PRIJEM	PREVOD Z UCTU	22064	47541	\N	KL	54256457
2548565	8411	1996-02-10	PRIJEM	PREVOD Z UCTU	22064	39634	\N	KL	54256457
2548566	8411	1996-03-10	PRIJEM	PREVOD Z UCTU	22064	37166	\N	KL	54256457
2548567	8411	1996-04-10	PRIJEM	PREVOD Z UCTU	22064	42025	\N	KL	54256457
2548568	8411	1996-05-10	PRIJEM	PREVOD Z UCTU	22064	39174	\N	KL	54256457
2548569	8411	1996-06-10	PRIJEM	PREVOD Z UCTU	33096	54280	\N	KL	54256457
2548570	8411	1996-07-10	PRIJEM	PREVOD Z UCTU	22064	47844	\N	KL	54256457
2548571	8411	1996-08-10	PRIJEM	PREVOD Z UCTU	22064	42281	\N	KL	54256457
2548572	8411	1996-09-10	PRIJEM	PREVOD Z UCTU	22064	42359	\N	KL	54256457
2548573	8411	1996-10-10	PRIJEM	PREVOD Z UCTU	22064	37845	\N	KL	54256457
2548574	8411	1996-11-10	PRIJEM	PREVOD Z UCTU	22064	37299	\N	KL	54256457
2548575	8411	1996-12-10	PRIJEM	PREVOD Z UCTU	33096	46061	\N	KL	54256457
2548576	8411	1997-01-10	PRIJEM	PREVOD Z UCTU	22064	33005	\N	KL	54256457
2548577	8411	1997-02-10	PRIJEM	PREVOD Z UCTU	22064	36810	\N	KL	54256457
2548578	8411	1997-03-10	PRIJEM	PREVOD Z UCTU	22064	31930	\N	KL	54256457
2548579	8411	1997-04-10	PRIJEM	PREVOD Z UCTU	22064	30920	\N	KL	54256457
2548580	8411	1997-05-10	PRIJEM	PREVOD Z UCTU	22064	40129	\N	KL	54256457
2548581	8411	1997-06-10	PRIJEM	PREVOD Z UCTU	33096	50805	\N	KL	54256457
2548582	8411	1997-07-10	PRIJEM	PREVOD Z UCTU	22064	38486	\N	KL	54256457
2548583	8411	1997-08-10	PRIJEM	PREVOD Z UCTU	22064	36726	\N	KL	54256457
2548584	8411	1997-09-10	PRIJEM	PREVOD Z UCTU	22064	37054	\N	KL	54256457
2548585	8411	1997-10-10	PRIJEM	PREVOD Z UCTU	22064	34970	\N	KL	54256457
2548586	8411	1997-11-10	PRIJEM	PREVOD Z UCTU	22064	37777	\N	KL	54256457
2548587	8411	1997-12-10	PRIJEM	PREVOD Z UCTU	33096	50131	\N	KL	54256457
2548588	8411	1998-01-10	PRIJEM	PREVOD Z UCTU	22064	40503	\N	KL	54256457
2548589	8411	1998-02-10	PRIJEM	PREVOD Z UCTU	22064	38959	\N	KL	54256457
2548590	8411	1998-03-10	PRIJEM	PREVOD Z UCTU	22064	37489	\N	KL	54256457
2548591	8411	1998-04-10	PRIJEM	PREVOD Z UCTU	22064	43931	\N	KL	54256457
2548592	8411	1998-05-10	PRIJEM	PREVOD Z UCTU	22064	43303	\N	KL	54256457
2548593	8411	1998-06-10	PRIJEM	PREVOD Z UCTU	33096	54899	\N	KL	54256457
2548594	8411	1998-07-10	PRIJEM	PREVOD Z UCTU	22064	44555	\N	KL	54256457
2548595	8411	1998-08-10	PRIJEM	PREVOD Z UCTU	22064	45816	\N	KL	54256457
2548596	8411	1998-09-10	PRIJEM	PREVOD Z UCTU	22064	46798	\N	KL	54256457
2548597	8411	1998-10-10	PRIJEM	PREVOD Z UCTU	22064	48387	\N	KL	54256457
2548598	8411	1998-11-10	PRIJEM	PREVOD Z UCTU	22064	44473	\N	KL	54256457
2548599	8411	1998-12-10	PRIJEM	PREVOD Z UCTU	33096	53236	\N	KL	54256457
2548615	8411	1995-04-19	VYDAJ	VYBER	3500	66773	\N	\N	0
2548616	8411	1995-05-02	VYDAJ	VYBER	2900	43929	\N	\N	0
2548617	8411	1995-06-16	VYDAJ	VYBER	3000	63259	\N	\N	0
2548618	8411	1995-07-09	VYDAJ	VYBER	4400	30888	\N	\N	0
2548619	8411	1995-08-04	VYDAJ	VYBER	4200	34982	\N	\N	0
2548620	8411	1995-09-04	VYDAJ	VYBER	3900	21001	\N	\N	0
2548621	8411	1995-10-12	VYDAJ	VYBER	3200	39304	\N	\N	0
2548622	8411	1995-11-20	VYDAJ	VYBER	2800	36768	\N	\N	0
2548623	8411	1995-12-03	VYDAJ	VYBER	3600	28394	\N	\N	0
2548624	8411	1996-01-16	VYDAJ	VYBER	3000	28041	\N	\N	0
2548625	8411	1996-02-10	VYDAJ	VYBER	4500	35134	\N	\N	0
2548626	8411	1996-03-09	VYDAJ	VYBER	3300	15102	\N	\N	0
2548627	8411	1996-04-18	VYDAJ	VYBER	4300	25425	\N	\N	0
2548628	8411	1996-05-12	VYDAJ	PREVOD NA UCET	3677	35497	UVER	GH	55101638
2548629	8411	1996-06-12	VYDAJ	PREVOD NA UCET	3677	50603	UVER	GH	55101638
2548630	8411	1996-07-12	VYDAJ	PREVOD NA UCET	3677	44167	UVER	GH	55101638
2548631	8411	1996-08-12	VYDAJ	PREVOD NA UCET	3677	38603	UVER	GH	55101638
2548632	8411	1996-09-12	VYDAJ	PREVOD NA UCET	3677	38682	UVER	GH	55101638
2548633	8411	1996-10-12	VYDAJ	PREVOD NA UCET	3677	34168	UVER	GH	55101638
2548634	8411	1996-11-12	VYDAJ	PREVOD NA UCET	3677	33621	UVER	GH	55101638
2548635	8411	1996-12-12	VYDAJ	PREVOD NA UCET	3677	42384	UVER	GH	55101638
2548636	8411	1997-01-12	VYDAJ	PREVOD NA UCET	3677	23927	UVER	GH	55101638
2548637	8411	1997-02-12	VYDAJ	PREVOD NA UCET	3677	33133	UVER	GH	55101638
2548638	8411	1997-03-12	VYDAJ	PREVOD NA UCET	3677	28253	UVER	GH	55101638
2548639	8411	1997-04-12	VYDAJ	PREVOD NA UCET	3677	27243	UVER	GH	55101638
2548640	8411	1997-05-12	VYDAJ	PREVOD NA UCET	3677	36452	UVER	GH	55101638
2548641	8411	1997-06-12	VYDAJ	PREVOD NA UCET	3677	47128	UVER	GH	55101638
2548642	8411	1997-07-12	VYDAJ	PREVOD NA UCET	3677	34809	UVER	GH	55101638
2548643	8411	1997-08-12	VYDAJ	PREVOD NA UCET	3677	33049	UVER	GH	55101638
2548644	8411	1997-09-12	VYDAJ	PREVOD NA UCET	3677	33377	UVER	GH	55101638
2548645	8411	1997-10-12	VYDAJ	PREVOD NA UCET	3677	31292	UVER	GH	55101638
2548646	8411	1997-11-12	VYDAJ	PREVOD NA UCET	3677	34100	UVER	GH	55101638
2548647	8411	1997-12-12	VYDAJ	PREVOD NA UCET	3677	46454	UVER	GH	55101638
2548648	8411	1998-01-12	VYDAJ	PREVOD NA UCET	3677	36825	UVER	GH	55101638
2548649	8411	1998-02-12	VYDAJ	PREVOD NA UCET	3677	35282	UVER	GH	55101638
2548650	8411	1998-03-12	VYDAJ	PREVOD NA UCET	3677	33811	UVER	GH	55101638
2548651	8411	1998-04-12	VYDAJ	PREVOD NA UCET	3677	40253	UVER	GH	55101638
2548652	8411	1998-05-12	VYDAJ	PREVOD NA UCET	3677	39625	UVER	GH	55101638
2548653	8411	1998-06-12	VYDAJ	PREVOD NA UCET	3677	41322	UVER	GH	55101638
2548654	8411	1998-07-12	VYDAJ	PREVOD NA UCET	3677	40877	UVER	GH	55101638
2548655	8411	1998-08-12	VYDAJ	PREVOD NA UCET	3677	42139	UVER	GH	55101638
2548656	8411	1998-09-12	VYDAJ	PREVOD NA UCET	3677	43121	UVER	GH	55101638
2548657	8411	1998-10-12	VYDAJ	PREVOD NA UCET	3677	44709	UVER	GH	55101638
2548658	8411	1998-11-12	VYDAJ	PREVOD NA UCET	3677	29295	UVER	GH	55101638
2548659	8411	1998-12-12	VYDAJ	PREVOD NA UCET	3677	40559	UVER	GH	55101638
2548676	8411	1995-05-06	VYDAJ	PREVOD NA UCET	5812	34610	SIPO	CD	50854969
2548677	8411	1995-06-06	VYDAJ	PREVOD NA UCET	5812	33163	SIPO	CD	50854969
2548678	8411	1995-07-06	VYDAJ	PREVOD NA UCET	5812	35288	SIPO	CD	50854969
2548679	8411	1995-08-06	VYDAJ	PREVOD NA UCET	5812	25663	SIPO	CD	50854969
2548680	8411	1995-09-06	VYDAJ	PREVOD NA UCET	5812	11682	SIPO	CD	50854969
2548681	8411	1995-10-06	VYDAJ	PREVOD NA UCET	5812	20440	SIPO	CD	50854969
2548682	8411	1995-11-06	VYDAJ	PREVOD NA UCET	5812	21011	SIPO	CD	50854969
2548683	8411	1995-12-06	VYDAJ	PREVOD NA UCET	5812	22582	SIPO	CD	50854969
2548684	8411	1996-01-06	VYDAJ	PREVOD NA UCET	5812	28984	SIPO	CD	50854969
2548685	8411	1996-02-06	VYDAJ	PREVOD NA UCET	5812	17570	SIPO	CD	50854969
2548686	8411	1996-03-06	VYDAJ	PREVOD NA UCET	5812	18402	SIPO	CD	50854969
2548687	8411	1996-04-06	VYDAJ	PREVOD NA UCET	5812	23468	SIPO	CD	50854969
2548688	8411	1996-05-06	VYDAJ	PREVOD NA UCET	5812	20617	SIPO	CD	50854969
2548689	8411	1996-06-06	VYDAJ	PREVOD NA UCET	5812	21184	SIPO	CD	50854969
2548690	8411	1996-07-06	VYDAJ	PREVOD NA UCET	5812	29287	SIPO	CD	50854969
2548691	8411	1996-08-06	VYDAJ	PREVOD NA UCET	5812	23724	SIPO	CD	50854969
2548692	8411	1996-09-06	VYDAJ	PREVOD NA UCET	5812	23802	SIPO	CD	50854969
2548693	8411	1996-10-06	VYDAJ	PREVOD NA UCET	5812	15781	SIPO	CD	50854969
2548694	8411	1996-11-06	VYDAJ	PREVOD NA UCET	5812	15235	SIPO	CD	50854969
2548695	8411	1996-12-06	VYDAJ	PREVOD NA UCET	5812	16472	SIPO	CD	50854969
2548696	8411	1997-01-06	VYDAJ	PREVOD NA UCET	5812	10941	SIPO	CD	50854969
2548697	8411	1997-02-06	VYDAJ	PREVOD NA UCET	5812	14746	SIPO	CD	50854969
2548698	8411	1997-03-06	VYDAJ	PREVOD NA UCET	5812	9866	SIPO	CD	50854969
2548699	8411	1997-04-06	VYDAJ	PREVOD NA UCET	5812	8856	SIPO	CD	50854969
2548700	8411	1997-05-06	VYDAJ	PREVOD NA UCET	5812	18065	SIPO	CD	50854969
2548701	8411	1997-06-06	VYDAJ	PREVOD NA UCET	5812	21216	SIPO	CD	50854969
2548702	8411	1997-07-06	VYDAJ	PREVOD NA UCET	5812	16422	SIPO	CD	50854969
2548703	8411	1997-08-06	VYDAJ	PREVOD NA UCET	5812	14662	SIPO	CD	50854969
2548704	8411	1997-09-06	VYDAJ	PREVOD NA UCET	5812	18497	SIPO	CD	50854969
2548705	8411	1997-10-06	VYDAJ	PREVOD NA UCET	5812	12906	SIPO	CD	50854969
2548706	8411	1997-11-06	VYDAJ	PREVOD NA UCET	5812	19220	SIPO	CD	50854969
2548707	8411	1997-12-06	VYDAJ	PREVOD NA UCET	5812	17035	SIPO	CD	50854969
2548708	8411	1998-01-06	VYDAJ	PREVOD NA UCET	5812	21946	SIPO	CD	50854969
2548709	8411	1998-02-06	VYDAJ	PREVOD NA UCET	5812	20402	SIPO	CD	50854969
2548710	8411	1998-03-06	VYDAJ	PREVOD NA UCET	5812	18932	SIPO	CD	50854969
2548711	8411	1998-04-06	VYDAJ	PREVOD NA UCET	5812	21867	SIPO	CD	50854969
2548712	8411	1998-05-06	VYDAJ	PREVOD NA UCET	5812	24746	SIPO	CD	50854969
2548713	8411	1998-06-06	VYDAJ	PREVOD NA UCET	5812	25310	SIPO	CD	50854969
2548714	8411	1998-07-06	VYDAJ	PREVOD NA UCET	5812	22491	SIPO	CD	50854969
2548715	8411	1998-08-06	VYDAJ	PREVOD NA UCET	5812	27259	SIPO	CD	50854969
2548716	8411	1998-09-06	VYDAJ	PREVOD NA UCET	5812	24734	SIPO	CD	50854969
2548717	8411	1998-10-06	VYDAJ	PREVOD NA UCET	5812	29830	SIPO	CD	50854969
2548718	8411	1998-11-06	VYDAJ	PREVOD NA UCET	5812	22409	SIPO	CD	50854969
2548719	8411	1998-12-06	VYDAJ	PREVOD NA UCET	5812	20140	SIPO	CD	50854969
2548736	8411	1995-05-06	VYDAJ	PREVOD NA UCET	3507	40422	 	OP	18521237
2548737	8411	1995-06-06	VYDAJ	PREVOD NA UCET	3507	38975	 	OP	18521237
2548738	8411	1995-07-06	VYDAJ	PREVOD NA UCET	3507	41100	 	OP	18521237
2548739	8411	1995-08-06	VYDAJ	PREVOD NA UCET	3507	31475	 	OP	18521237
2548740	8411	1995-09-06	VYDAJ	PREVOD NA UCET	3507	17494	 	OP	18521237
2548741	8411	1995-10-06	VYDAJ	PREVOD NA UCET	3507	26252	 	OP	18521237
2548742	8411	1995-11-06	VYDAJ	PREVOD NA UCET	3507	17504	 	OP	18521237
2548743	8411	1995-12-06	VYDAJ	PREVOD NA UCET	3507	19075	 	OP	18521237
2548744	8411	1996-01-06	VYDAJ	PREVOD NA UCET	3507	25477	 	OP	18521237
2548745	8411	1996-02-06	VYDAJ	PREVOD NA UCET	3507	23382	 	OP	18521237
2548746	8411	1996-03-06	VYDAJ	PREVOD NA UCET	3507	24214	 	OP	18521237
2548747	8411	1996-04-06	VYDAJ	PREVOD NA UCET	3507	19961	 	OP	18521237
2548748	8411	1996-05-06	VYDAJ	PREVOD NA UCET	3507	17110	 	OP	18521237
2548749	8411	1996-06-06	VYDAJ	PREVOD NA UCET	3507	26996	 	OP	18521237
2548750	8411	1996-07-06	VYDAJ	PREVOD NA UCET	3507	25780	 	OP	18521237
2548751	8411	1996-08-06	VYDAJ	PREVOD NA UCET	3507	20217	 	OP	18521237
2548752	8411	1996-09-06	VYDAJ	PREVOD NA UCET	3507	20295	 	OP	18521237
2548753	8411	1996-10-06	VYDAJ	PREVOD NA UCET	3507	21593	 	OP	18521237
2548754	8411	1996-11-06	VYDAJ	PREVOD NA UCET	3507	21047	 	OP	18521237
2548755	8411	1996-12-06	VYDAJ	PREVOD NA UCET	3507	12965	 	OP	18521237
2548756	8411	1997-01-06	VYDAJ	PREVOD NA UCET	3507	16753	 	OP	18521237
2548757	8411	1997-02-06	VYDAJ	PREVOD NA UCET	3507	20558	 	OP	18521237
2548758	8411	1997-03-06	VYDAJ	PREVOD NA UCET	3507	15678	 	OP	18521237
2548759	8411	1997-04-06	VYDAJ	PREVOD NA UCET	3507	14668	 	OP	18521237
2548760	8411	1997-05-06	VYDAJ	PREVOD NA UCET	3507	23877	 	OP	18521237
2548761	8411	1997-06-06	VYDAJ	PREVOD NA UCET	3507	17709	 	OP	18521237
2548762	8411	1997-07-06	VYDAJ	PREVOD NA UCET	3507	22234	 	OP	18521237
2548763	8411	1997-08-06	VYDAJ	PREVOD NA UCET	3507	20474	 	OP	18521237
2548764	8411	1997-09-06	VYDAJ	PREVOD NA UCET	3507	14990	 	OP	18521237
2548765	8411	1997-10-06	VYDAJ	PREVOD NA UCET	3507	18718	 	OP	18521237
2548766	8411	1997-11-06	VYDAJ	PREVOD NA UCET	3507	15713	 	OP	18521237
2548767	8411	1997-12-06	VYDAJ	PREVOD NA UCET	3507	22847	 	OP	18521237
2548768	8411	1998-01-06	VYDAJ	PREVOD NA UCET	3507	18439	 	OP	18521237
2548769	8411	1998-02-06	VYDAJ	PREVOD NA UCET	3507	16895	 	OP	18521237
2548770	8411	1998-03-06	VYDAJ	PREVOD NA UCET	3507	15425	 	OP	18521237
2548771	8411	1998-04-06	VYDAJ	PREVOD NA UCET	3507	27679	 	OP	18521237
2548772	8411	1998-05-06	VYDAJ	PREVOD NA UCET	3507	21239	 	OP	18521237
2548773	8411	1998-06-06	VYDAJ	PREVOD NA UCET	3507	21803	 	OP	18521237
2548774	8411	1998-07-06	VYDAJ	PREVOD NA UCET	3507	28303	 	OP	18521237
2548775	8411	1998-08-06	VYDAJ	PREVOD NA UCET	3507	23752	 	OP	18521237
2548776	8411	1998-09-06	VYDAJ	PREVOD NA UCET	3507	30546	 	OP	18521237
2548777	8411	1998-10-06	VYDAJ	PREVOD NA UCET	3507	26323	 	OP	18521237
2548778	8411	1998-11-06	VYDAJ	PREVOD NA UCET	3507	28221	 	OP	18521237
2548779	8411	1998-12-06	VYDAJ	PREVOD NA UCET	3507	25952	 	OP	18521237
2548793	8411	1996-03-05	VYBER	VYBER	3753	27721	\N	\N	\N
2548820	8411	1997-06-18	VYDAJ	VYBER	9300	37828	\N	\N	\N
2548821	8411	1998-06-11	VYDAJ	VYBER	9900	44999	\N	\N	\N
2548824	8411	1996-01-16	VYDAJ	VYBER	11100	31041	\N	\N	\N
2548829	8411	1996-12-13	VYDAJ	VYBER	3900	38484	\N	\N	\N
2548831	8411	1998-12-12	VYDAJ	VYBER	8100	32459	\N	\N	\N
2548854	8411	1997-01-10	VYDAJ	VYBER	2700	27605	\N	\N	\N
2548855	8411	1997-01-10	VYDAJ	VYBER	2700	30305	\N	\N	\N
2548856	8411	1998-01-15	VYDAJ	VYBER	6600	30225	\N	\N	\N
2548861	8411	1998-01-03	VYDAJ	VYBER	2400	27758	\N	\N	\N
2548868	8411	1995-10-15	VYDAJ	VYBER	9000	30304	\N	\N	\N
2548869	8411	1995-08-28	VYDAJ	VYBER	13800	21627	\N	\N	\N
2548870	8411	1995-07-14	VYDAJ	VYBER	4200	48752	\N	\N	\N
2548871	8411	1995-08-15	VYDAJ	VYBER	12300	35427	\N	\N	\N
2548873	8411	1996-04-15	VYDAJ	VYBER	12300	29725	\N	\N	\N
2548875	8411	1996-12-19	VYDAJ	VYBER	3300	35184	\N	\N	\N
2548876	8411	1996-01-15	VYDAJ	VYBER	5400	42141	\N	\N	\N
2548878	8411	1996-01-03	VYDAJ	VYBER	3900	34796	\N	\N	\N
2548879	8411	1996-07-30	VYDAJ	VYBER	3600	29267	\N	\N	\N
2548886	8411	1997-05-12	VYDAJ	VYBER	9600	26852	\N	\N	\N
2548887	8411	1998-02-14	VYDAJ	VYBER	6300	28982	\N	\N	\N
2548907	8411	1995-04-30	VYDAJ	VYBER	15	67229	SLUZBY	\N	\N
2548908	8411	1995-05-31	VYDAJ	VYBER	15	42482	SLUZBY	\N	\N
2548909	8411	1995-06-30	VYDAJ	VYBER	15	44607	SLUZBY	\N	\N
2548910	8411	1995-07-31	VYDAJ	VYBER	15	39182	SLUZBY	\N	\N
2548911	8411	1995-08-31	VYDAJ	VYBER	15	24901	SLUZBY	\N	\N
2548912	8411	1995-09-30	VYDAJ	VYBER	15	29759	SLUZBY	\N	\N
2548913	8411	1995-10-31	VYDAJ	VYBER	15	26823	SLUZBY	\N	\N
2548914	8411	1995-11-30	VYDAJ	VYBER	15	31994	SLUZBY	\N	\N
2548915	8411	1995-12-31	VYDAJ	VYBER	15	38696	SLUZBY	\N	\N
2548916	8411	1996-01-31	VYDAJ	VYBER	15	26889	SLUZBY	\N	\N
2548917	8411	1996-02-29	VYDAJ	VYBER	15	31474	SLUZBY	\N	\N
2548918	8411	1996-03-31	VYDAJ	VYBER	15	29280	SLUZBY	\N	\N
2548919	8411	1996-04-30	VYDAJ	VYBER	15	26429	SLUZBY	\N	\N
2548920	8411	1996-05-31	VYDAJ	VYBER	15	30503	SLUZBY	\N	\N
2548921	8411	1996-06-30	VYDAJ	VYBER	15	35099	SLUZBY	\N	\N
2548922	8411	1996-07-31	VYDAJ	VYBER	15	29536	SLUZBY	\N	\N
2548923	8411	1996-08-31	VYDAJ	VYBER	15	29614	SLUZBY	\N	\N
2548924	8411	1996-09-30	VYDAJ	VYBER	15	25100	SLUZBY	\N	\N
2548925	8411	1996-10-31	VYDAJ	VYBER	15	24554	SLUZBY	\N	\N
2548926	8411	1996-11-30	VYDAJ	VYBER	15	22284	SLUZBY	\N	\N
2548927	8411	1996-12-31	VYDAJ	VYBER	15	20260	SLUZBY	\N	\N
2548928	8411	1997-01-31	VYDAJ	VYBER	15	24065	SLUZBY	\N	\N
2548929	8411	1997-02-28	VYDAJ	VYBER	15	19185	SLUZBY	\N	\N
2548930	8411	1997-03-31	VYDAJ	VYBER	15	18175	SLUZBY	\N	\N
2548931	8411	1997-04-30	VYDAJ	VYBER	15	27384	SLUZBY	\N	\N
2548932	8411	1997-05-31	VYDAJ	VYBER	15	27028	SLUZBY	\N	\N
2548933	8411	1997-06-30	VYDAJ	VYBER	15	25741	SLUZBY	\N	\N
2548934	8411	1997-07-31	VYDAJ	VYBER	15	23981	SLUZBY	\N	\N
2548935	8411	1997-08-31	VYDAJ	VYBER	15	24309	SLUZBY	\N	\N
2548936	8411	1997-09-30	VYDAJ	VYBER	15	22225	SLUZBY	\N	\N
2548937	8411	1997-10-31	VYDAJ	VYBER	15	25032	SLUZBY	\N	\N
2548938	8411	1997-11-30	VYDAJ	VYBER	15	26354	SLUZBY	\N	\N
2548939	8411	1997-12-31	VYDAJ	VYBER	15	30158	SLUZBY	\N	\N
2548940	8411	1998-01-31	VYDAJ	VYBER	15	26214	SLUZBY	\N	\N
2548941	8411	1998-02-28	VYDAJ	VYBER	15	24744	SLUZBY	\N	\N
2548942	8411	1998-03-31	VYDAJ	VYBER	15	31186	SLUZBY	\N	\N
2548943	8411	1998-04-30	VYDAJ	VYBER	15	30558	SLUZBY	\N	\N
2548944	8411	1998-05-31	VYDAJ	VYBER	15	31122	SLUZBY	\N	\N
2548945	8411	1998-06-30	VYDAJ	VYBER	15	31810	SLUZBY	\N	\N
2548946	8411	1998-07-31	VYDAJ	VYBER	15	33071	SLUZBY	\N	\N
2548947	8411	1998-08-31	VYDAJ	VYBER	15	34053	SLUZBY	\N	\N
2548948	8411	1998-09-30	VYDAJ	VYBER	15	35642	SLUZBY	\N	\N
2548949	8411	1998-10-31	VYDAJ	VYBER	15	31728	SLUZBY	\N	\N
2548950	8411	1998-11-30	VYDAJ	VYBER	15	29459	SLUZBY	\N	\N
2548951	8411	1995-01-01	VYDAJ	VYBER	2600	31794	\N	\N	\N
2548952	8411	1995-01-31	VYDAJ	VYBER	14000	40213	\N	\N	\N
2548953	8411	1995-03-02	VYDAJ	VYBER	16400	46204	\N	\N	\N
2548954	8411	1995-04-01	VYDAJ	VYBER	20500	48209	\N	\N	\N
2548955	8411	1995-05-01	VYDAJ	VYBER	20400	46829	\N	\N	\N
2548956	8411	1995-05-31	VYDAJ	VYBER	14600	42497	\N	\N	\N
2548957	8411	1995-06-30	VYDAJ	VYBER	19100	44622	\N	\N	\N
2548958	8411	1995-07-30	VYDAJ	VYBER	9900	38852	\N	\N	\N
2548959	8411	1995-08-29	PRIJEM	VKLAD	3000	24627	\N	\N	\N
2548960	8411	1995-09-28	VYDAJ	VYBER	4200	29546	\N	\N	\N
2548961	8411	1995-10-28	VYDAJ	VYBER	3700	26604	\N	\N	\N
2548962	8411	1995-11-27	VYDAJ	VYBER	5000	31768	\N	\N	\N
2548963	8411	1995-12-27	VYDAJ	VYBER	13800	38371	\N	\N	\N
2548964	8411	1996-01-26	VYDAJ	VYBER	1400	26641	\N	\N	\N
2548965	8411	1996-02-25	VYDAJ	VYBER	3900	31234	\N	\N	\N
2548966	8411	1996-03-26	VYDAJ	VYBER	8100	29066	\N	\N	\N
2548967	8411	1996-04-25	PRIJEM	VKLAD	800	26225	\N	\N	\N
2548968	8411	1996-05-25	VYDAJ	VYBER	5200	30297	\N	\N	\N
2548969	8411	1996-06-24	VYDAJ	VYBER	15800	34803	\N	\N	\N
2548970	8411	1996-07-24	VYDAJ	VYBER	11300	32867	\N	\N	\N
2548971	8411	1996-08-23	VYDAJ	VYBER	9200	29403	\N	\N	\N
2548972	8411	1996-09-22	VYDAJ	VYBER	13800	24882	\N	\N	\N
2548973	8411	1996-10-22	VYDAJ	VYBER	9800	24368	\N	\N	\N
2548974	8411	1996-11-21	VYDAJ	VYBER	11500	22121	\N	\N	\N
2548975	8411	1996-12-21	VYDAJ	VYBER	15100	20084	\N	\N	\N
2548976	8411	1997-02-19	VYDAJ	VYBER	14100	19033	\N	\N	\N
2548977	8411	1997-03-21	VYDAJ	VYBER	10200	18053	\N	\N	\N
2548978	8411	1997-06-19	VYDAJ	VYBER	12300	25528	\N	\N	\N
2548979	8411	1997-07-19	VYDAJ	VYBER	11000	23809	\N	\N	\N
2548980	8411	1997-08-18	VYDAJ	VYBER	8900	24149	\N	\N	\N
2548981	8411	1997-09-17	VYDAJ	VYBER	11300	22077	\N	\N	\N
2548982	8411	1997-10-17	VYDAJ	VYBER	6400	24892	\N	\N	\N
2548983	8411	1997-11-16	VYDAJ	VYBER	7900	26200	\N	\N	\N
2548984	8411	1997-12-16	VYDAJ	VYBER	16500	29954	\N	\N	\N
2548985	8411	1998-01-15	VYDAJ	VYBER	4200	26025	\N	\N	\N
2548986	8411	1998-02-14	VYDAJ	VYBER	4400	24582	\N	\N	\N
2548987	8411	1998-03-16	VYDAJ	VYBER	2800	31011	\N	\N	\N
2548988	8411	1998-04-15	VYDAJ	VYBER	9900	30353	\N	\N	\N
2548989	8411	1998-05-15	VYDAJ	VYBER	8700	30925	\N	\N	\N
2548990	8411	1998-06-14	VYDAJ	VYBER	9700	31622	\N	\N	\N
2548991	8411	1998-07-14	VYDAJ	VYBER	8000	32877	\N	\N	\N
2548992	8411	1998-08-13	VYDAJ	VYBER	8300	33839	\N	\N	\N
2548993	8411	1998-09-12	VYDAJ	VYBER	7700	35421	\N	\N	\N
2548994	8411	1998-10-12	VYDAJ	VYBER	13200	31509	\N	\N	\N
2548995	8411	1998-11-11	VYDAJ	VYBER	11500	32973	\N	\N	\N
2548996	8411	1998-12-11	VYDAJ	VYBER	9000	44236	\N	\N	\N
2567144	8475	1993-09-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2567154	8475	1993-10-06	PRIJEM	VKLAD	6492	7592	\N	\N	\N
2567155	8475	1993-11-06	PRIJEM	VKLAD	6492	22283	\N	\N	\N
2567156	8475	1993-12-06	PRIJEM	VKLAD	9738	32481	\N	\N	\N
2567157	8475	1994-01-06	PRIJEM	VKLAD	6492	33467	\N	\N	\N
2567158	8475	1994-02-06	PRIJEM	VKLAD	6492	33905	\N	\N	\N
2567159	8475	1994-03-06	PRIJEM	VKLAD	6492	35403	\N	\N	\N
2567160	8475	1994-04-06	PRIJEM	VKLAD	6492	29370	\N	\N	\N
2567161	8475	1994-05-06	PRIJEM	VKLAD	6492	29033	\N	\N	\N
2567162	8475	1994-06-06	PRIJEM	VKLAD	9738	31992	\N	\N	\N
2567163	8475	1994-07-06	PRIJEM	VKLAD	6492	35084	\N	\N	\N
2567164	8475	1994-08-06	PRIJEM	VKLAD	6492	34600	\N	\N	\N
2567165	8475	1994-09-06	PRIJEM	VKLAD	6492	34200	\N	\N	\N
2567166	8475	1994-10-06	PRIJEM	VKLAD	6492	34691	\N	\N	\N
2567167	8475	1994-11-06	PRIJEM	VKLAD	6492	35799	\N	\N	\N
2567168	8475	1994-12-06	PRIJEM	VKLAD	9738	41147	\N	\N	\N
2567169	8475	1995-01-06	PRIJEM	VKLAD	6492	35386	\N	\N	\N
2567170	8475	1995-02-06	PRIJEM	VKLAD	6492	27784	\N	\N	\N
2567171	8475	1995-03-06	PRIJEM	VKLAD	6492	33328	\N	\N	\N
2567172	8475	1995-04-06	PRIJEM	VKLAD	6492	30984	\N	\N	\N
2567173	8475	1995-05-06	PRIJEM	VKLAD	6492	36165	\N	\N	\N
2567174	8475	1995-06-06	PRIJEM	VKLAD	9738	39911	\N	\N	\N
2567175	8475	1995-07-06	PRIJEM	VKLAD	6492	40545	\N	\N	\N
2567176	8475	1995-08-06	PRIJEM	VKLAD	6492	41510	\N	\N	\N
2567177	8475	1995-09-06	PRIJEM	VKLAD	6492	40561	\N	\N	\N
2567178	8475	1995-10-06	PRIJEM	VKLAD	6492	41326	\N	\N	\N
2567179	8475	1995-11-06	PRIJEM	VKLAD	6492	40923	\N	\N	\N
2567180	8475	1995-12-06	PRIJEM	VKLAD	9738	43585	\N	\N	\N
2567181	8475	1996-01-06	PRIJEM	VKLAD	6492	40435	\N	\N	\N
2567182	8475	1996-02-06	PRIJEM	VKLAD	6492	31636	\N	\N	\N
2567183	8475	1996-03-06	PRIJEM	VKLAD	6492	34847	\N	\N	\N
2567184	8475	1996-04-06	PRIJEM	VKLAD	6492	34755	\N	\N	\N
2567185	8475	1996-05-06	PRIJEM	VKLAD	6492	36471	\N	\N	\N
2567186	8475	1996-06-06	PRIJEM	VKLAD	9738	34793	\N	\N	\N
2567187	8475	1996-07-06	PRIJEM	VKLAD	6492	32472	\N	\N	\N
2567188	8475	1996-08-06	PRIJEM	VKLAD	6492	33711	\N	\N	\N
2567189	8475	1996-09-06	PRIJEM	VKLAD	6492	33819	\N	\N	\N
2567190	8475	1996-10-06	PRIJEM	VKLAD	6492	31368	\N	\N	\N
2567191	8475	1996-11-06	PRIJEM	VKLAD	6492	31769	\N	\N	\N
2567192	8475	1996-12-06	PRIJEM	VKLAD	9738	38062	\N	\N	\N
2567193	8475	1997-01-06	PRIJEM	VKLAD	6492	37430	\N	\N	\N
2567194	8475	1997-02-06	PRIJEM	VKLAD	6492	32747	\N	\N	\N
2567195	8475	1997-03-06	PRIJEM	VKLAD	6492	32803	\N	\N	\N
2567196	8475	1997-04-06	PRIJEM	VKLAD	6492	36523	\N	\N	\N
2567197	8475	1997-05-06	PRIJEM	VKLAD	6492	38591	\N	\N	\N
2567198	8475	1997-06-06	PRIJEM	VKLAD	9738	45688	\N	\N	\N
2567199	8475	1997-07-06	PRIJEM	VKLAD	6492	46533	\N	\N	\N
2567200	8475	1997-08-06	PRIJEM	VKLAD	6492	49594	\N	\N	\N
2567201	8475	1997-09-06	PRIJEM	VKLAD	6492	47156	\N	\N	\N
2567202	8475	1997-10-06	PRIJEM	VKLAD	6492	46302	\N	\N	\N
2567203	8475	1997-11-06	PRIJEM	VKLAD	6492	46495	\N	\N	\N
2567204	8475	1997-12-06	PRIJEM	VKLAD	9738	46454	\N	\N	\N
2567205	8475	1998-01-06	PRIJEM	VKLAD	6492	31543	\N	\N	\N
2567206	8475	1998-02-06	PRIJEM	VKLAD	6492	29931	\N	\N	\N
2567207	8475	1998-03-06	PRIJEM	VKLAD	6492	36085	\N	\N	\N
2567208	8475	1998-04-06	PRIJEM	VKLAD	6492	37638	\N	\N	\N
2567209	8475	1998-05-06	PRIJEM	VKLAD	6492	31457	\N	\N	\N
2567210	8475	1998-06-06	PRIJEM	VKLAD	9738	37802	\N	\N	\N
2567211	8475	1998-07-06	PRIJEM	VKLAD	6492	36968	\N	\N	\N
2567212	8475	1998-08-06	PRIJEM	VKLAD	6492	42708	\N	\N	\N
2567213	8475	1998-09-06	PRIJEM	VKLAD	6492	36614	\N	\N	\N
2567214	8475	1998-10-06	PRIJEM	VKLAD	6492	30679	\N	\N	\N
2567215	8475	1998-11-06	PRIJEM	VKLAD	6492	34768	\N	\N	\N
2567216	8475	1998-12-06	PRIJEM	VKLAD	9738	44656	\N	\N	\N
2567230	8475	1994-02-12	VYDAJ	PREVOD NA UCET	495	33410	SIPO	EF	54853975
2567231	8475	1994-03-12	VYDAJ	PREVOD NA UCET	495	28930	SIPO	EF	54853975
2567232	8475	1994-04-12	VYDAJ	PREVOD NA UCET	495	26197	SIPO	EF	54853975
2567233	8475	1994-05-12	VYDAJ	PREVOD NA UCET	495	27560	SIPO	EF	54853975
2567234	8475	1994-06-12	VYDAJ	PREVOD NA UCET	495	31497	SIPO	EF	54853975
2567235	8475	1994-07-12	VYDAJ	PREVOD NA UCET	495	34589	SIPO	EF	54853975
2567236	8475	1994-08-12	VYDAJ	PREVOD NA UCET	495	34105	SIPO	EF	54853975
2567237	8475	1994-09-12	VYDAJ	PREVOD NA UCET	495	28627	SIPO	EF	54853975
2567238	8475	1994-10-12	VYDAJ	PREVOD NA UCET	495	34196	SIPO	EF	54853975
2567239	8475	1994-11-12	VYDAJ	PREVOD NA UCET	495	35304	SIPO	EF	54853975
2567240	8475	1994-12-12	VYDAJ	PREVOD NA UCET	495	37694	SIPO	EF	54853975
2567241	8475	1995-01-12	VYDAJ	PREVOD NA UCET	495	34291	SIPO	EF	54853975
2567242	8475	1995-02-12	VYDAJ	PREVOD NA UCET	495	27289	SIPO	EF	54853975
2567243	8475	1995-03-12	VYDAJ	PREVOD NA UCET	495	32833	SIPO	EF	54853975
2567244	8475	1995-04-12	VYDAJ	PREVOD NA UCET	495	29611	SIPO	EF	54853975
2567245	8475	1995-05-12	VYDAJ	PREVOD NA UCET	495	34792	SIPO	EF	54853975
2567246	8475	1995-06-12	VYDAJ	PREVOD NA UCET	495	39416	SIPO	EF	54853975
2567247	8475	1995-07-12	VYDAJ	PREVOD NA UCET	495	38332	SIPO	EF	54853975
2567248	8475	1995-08-12	VYDAJ	PREVOD NA UCET	495	41015	SIPO	EF	54853975
2567249	8475	1995-09-12	VYDAJ	PREVOD NA UCET	495	39188	SIPO	EF	54853975
2567250	8475	1995-10-12	VYDAJ	PREVOD NA UCET	495	40831	SIPO	EF	54853975
2567251	8475	1995-11-12	VYDAJ	PREVOD NA UCET	495	40428	SIPO	EF	54853975
2567252	8475	1995-12-12	VYDAJ	PREVOD NA UCET	495	42212	SIPO	EF	54853975
2567253	8475	1996-01-12	VYDAJ	PREVOD NA UCET	495	32980	SIPO	EF	54853975
2567254	8475	1996-02-12	VYDAJ	PREVOD NA UCET	495	31141	SIPO	EF	54853975
2567255	8475	1996-03-12	VYDAJ	PREVOD NA UCET	495	29312	SIPO	EF	54853975
2567256	8475	1996-04-12	VYDAJ	PREVOD NA UCET	495	34260	SIPO	EF	54853975
2567257	8475	1996-05-12	VYDAJ	PREVOD NA UCET	495	35976	SIPO	EF	54853975
2567258	8475	1996-06-12	VYDAJ	PREVOD NA UCET	495	33298	SIPO	EF	54853975
2567259	8475	1996-07-12	VYDAJ	PREVOD NA UCET	495	30977	SIPO	EF	54853975
2567260	8475	1996-08-12	VYDAJ	PREVOD NA UCET	495	33216	SIPO	EF	54853975
2567261	8475	1996-09-12	VYDAJ	PREVOD NA UCET	495	32724	SIPO	EF	54853975
2567262	8475	1996-10-12	VYDAJ	PREVOD NA UCET	495	30873	SIPO	EF	54853975
2567263	8475	1996-11-12	VYDAJ	PREVOD NA UCET	495	30674	SIPO	EF	54853975
2567264	8475	1996-12-12	VYDAJ	PREVOD NA UCET	495	37567	SIPO	EF	54853975
2567265	8475	1997-01-12	VYDAJ	PREVOD NA UCET	495	36335	SIPO	EF	54853975
2567266	8475	1997-02-12	VYDAJ	PREVOD NA UCET	495	27992	SIPO	EF	54853975
2567267	8475	1997-03-12	VYDAJ	PREVOD NA UCET	495	31508	SIPO	EF	54853975
2567268	8475	1997-04-12	VYDAJ	PREVOD NA UCET	495	35028	SIPO	EF	54853975
2567269	8475	1997-05-12	VYDAJ	PREVOD NA UCET	495	38096	SIPO	EF	54853975
2567270	8475	1997-06-12	VYDAJ	PREVOD NA UCET	495	38733	SIPO	EF	54853975
2567271	8475	1997-07-12	VYDAJ	PREVOD NA UCET	495	46038	SIPO	EF	54853975
2567272	8475	1997-08-12	VYDAJ	PREVOD NA UCET	495	48199	SIPO	EF	54853975
2567273	8475	1997-09-12	VYDAJ	PREVOD NA UCET	495	45961	SIPO	EF	54853975
2567274	8475	1997-10-12	VYDAJ	PREVOD NA UCET	495	45807	SIPO	EF	54853975
2567275	8475	1997-11-12	VYDAJ	PREVOD NA UCET	495	44080	SIPO	EF	54853975
2567276	8475	1997-12-12	VYDAJ	PREVOD NA UCET	495	42119	SIPO	EF	54853975
2567277	8475	1998-01-12	VYDAJ	PREVOD NA UCET	495	30348	SIPO	EF	54853975
2567278	8475	1998-02-12	VYDAJ	PREVOD NA UCET	495	29436	SIPO	EF	54853975
2567279	8475	1998-03-12	VYDAJ	PREVOD NA UCET	495	35590	SIPO	EF	54853975
2567280	8475	1998-04-12	VYDAJ	PREVOD NA UCET	495	27543	SIPO	EF	54853975
2567281	8475	1998-05-12	VYDAJ	PREVOD NA UCET	495	30962	SIPO	EF	54853975
2567282	8475	1998-06-12	VYDAJ	PREVOD NA UCET	495	36307	SIPO	EF	54853975
2567283	8475	1998-07-12	VYDAJ	PREVOD NA UCET	495	36473	SIPO	EF	54853975
2567284	8475	1998-08-12	VYDAJ	PREVOD NA UCET	495	38373	SIPO	EF	54853975
2567285	8475	1998-09-12	VYDAJ	PREVOD NA UCET	495	32519	SIPO	EF	54853975
2567286	8475	1998-10-12	VYDAJ	PREVOD NA UCET	495	32884	SIPO	EF	54853975
2567287	8475	1998-11-12	VYDAJ	PREVOD NA UCET	495	38573	SIPO	EF	54853975
2567288	8475	1998-12-12	VYDAJ	PREVOD NA UCET	495	42461	SIPO	EF	54853975
2567302	8475	1994-02-14	VYDAJ	PREVOD NA UCET	3833	28699	 	WX	90749495
2567303	8475	1994-03-14	VYDAJ	PREVOD NA UCET	3833	25097	 	WX	90749495
2567304	8475	1994-04-14	VYDAJ	PREVOD NA UCET	3833	22364	 	WX	90749495
2567305	8475	1994-05-14	VYDAJ	PREVOD NA UCET	3833	23727	 	WX	90749495
2567306	8475	1994-06-14	VYDAJ	PREVOD NA UCET	3833	26786	 	WX	90749495
2567307	8475	1994-07-14	VYDAJ	PREVOD NA UCET	3833	29878	 	WX	90749495
2567308	8475	1994-08-14	VYDAJ	PREVOD NA UCET	3833	29394	 	WX	90749495
2567309	8475	1994-09-14	VYDAJ	PREVOD NA UCET	3833	24794	 	WX	90749495
2567310	8475	1994-10-14	VYDAJ	PREVOD NA UCET	3833	29485	 	WX	90749495
2567311	8475	1994-11-14	VYDAJ	PREVOD NA UCET	3833	30593	 	WX	90749495
2567312	8475	1994-12-14	VYDAJ	PREVOD NA UCET	3833	33861	 	WX	90749495
2567313	8475	1995-01-14	VYDAJ	PREVOD NA UCET	3833	26700	 	WX	90749495
2567314	8475	1995-02-14	VYDAJ	PREVOD NA UCET	3833	22578	 	WX	90749495
2567315	8475	1995-03-14	VYDAJ	PREVOD NA UCET	3833	28122	 	WX	90749495
2567316	8475	1995-04-14	VYDAJ	PREVOD NA UCET	3833	25778	 	WX	90749495
2567317	8475	1995-05-14	VYDAJ	PREVOD NA UCET	3833	30959	 	WX	90749495
2567318	8475	1995-06-14	VYDAJ	PREVOD NA UCET	3833	34705	 	WX	90749495
2567319	8475	1995-07-14	VYDAJ	PREVOD NA UCET	3833	33659	 	WX	90749495
2567320	8475	1995-08-14	VYDAJ	PREVOD NA UCET	3833	36304	 	WX	90749495
2567321	8475	1995-09-14	VYDAJ	PREVOD NA UCET	3833	31395	 	WX	90749495
2567322	8475	1995-10-14	VYDAJ	PREVOD NA UCET	3833	36120	 	WX	90749495
2567323	8475	1995-11-14	VYDAJ	PREVOD NA UCET	3833	35717	 	WX	90749495
2567324	8475	1995-12-14	VYDAJ	PREVOD NA UCET	3833	38379	 	WX	90749495
2567325	8475	1996-01-14	VYDAJ	PREVOD NA UCET	3833	24909	 	WX	90749495
2567326	8475	1996-02-14	VYDAJ	PREVOD NA UCET	3833	27308	 	WX	90749495
2567327	8475	1996-03-14	VYDAJ	PREVOD NA UCET	3833	24879	 	WX	90749495
2567328	8475	1996-04-14	VYDAJ	PREVOD NA UCET	3833	30427	 	WX	90749495
2567329	8475	1996-05-14	VYDAJ	PREVOD NA UCET	3833	31343	 	WX	90749495
2567330	8475	1996-06-14	VYDAJ	PREVOD NA UCET	3833	29465	 	WX	90749495
2567331	8475	1996-07-14	VYDAJ	PREVOD NA UCET	3833	27144	 	WX	90749495
2567332	8475	1996-08-14	VYDAJ	PREVOD NA UCET	3833	29383	 	WX	90749495
2567333	8475	1996-09-14	VYDAJ	PREVOD NA UCET	3833	28891	 	WX	90749495
2567334	8475	1996-10-14	VYDAJ	PREVOD NA UCET	3833	27040	 	WX	90749495
2567335	8475	1996-11-14	VYDAJ	PREVOD NA UCET	3833	26841	 	WX	90749495
2567336	8475	1996-12-14	VYDAJ	PREVOD NA UCET	3833	33734	 	WX	90749495
2567337	8475	1997-01-14	VYDAJ	PREVOD NA UCET	3833	31662	 	WX	90749495
2567338	8475	1997-02-14	VYDAJ	PREVOD NA UCET	3833	24159	 	WX	90749495
2567339	8475	1997-03-14	VYDAJ	PREVOD NA UCET	3833	27675	 	WX	90749495
2567340	8475	1997-04-14	VYDAJ	PREVOD NA UCET	3833	31195	 	WX	90749495
2567341	8475	1997-05-14	VYDAJ	PREVOD NA UCET	3833	34263	 	WX	90749495
2567342	8475	1997-06-14	VYDAJ	PREVOD NA UCET	3833	34900	 	WX	90749495
2567343	8475	1997-07-14	VYDAJ	PREVOD NA UCET	3833	42205	 	WX	90749495
2567344	8475	1997-08-14	VYDAJ	PREVOD NA UCET	3833	44366	 	WX	90749495
2567345	8475	1997-09-14	VYDAJ	PREVOD NA UCET	3833	42128	 	WX	90749495
2567346	8475	1997-10-14	VYDAJ	PREVOD NA UCET	3833	41974	 	WX	90749495
2567347	8475	1997-11-14	VYDAJ	PREVOD NA UCET	3833	40247	 	WX	90749495
2567348	8475	1997-12-14	VYDAJ	PREVOD NA UCET	3833	38286	 	WX	90749495
2567349	8475	1998-01-14	VYDAJ	PREVOD NA UCET	3833	26515	 	WX	90749495
2567350	8475	1998-02-14	VYDAJ	PREVOD NA UCET	3833	30203	 	WX	90749495
2567351	8475	1998-03-14	VYDAJ	PREVOD NA UCET	3833	31757	 	WX	90749495
2567352	8475	1998-04-14	VYDAJ	PREVOD NA UCET	3833	23710	 	WX	90749495
2567353	8475	1998-05-14	VYDAJ	PREVOD NA UCET	3833	27129	 	WX	90749495
2567354	8475	1998-06-14	VYDAJ	PREVOD NA UCET	3833	31374	 	WX	90749495
2567355	8475	1998-07-14	VYDAJ	PREVOD NA UCET	3833	36740	 	WX	90749495
2567356	8475	1998-08-14	VYDAJ	PREVOD NA UCET	3833	31740	 	WX	90749495
2567357	8475	1998-09-14	VYDAJ	PREVOD NA UCET	3833	28686	 	WX	90749495
2567358	8475	1998-10-14	VYDAJ	PREVOD NA UCET	3833	29051	 	WX	90749495
2567359	8475	1998-11-14	VYDAJ	PREVOD NA UCET	3833	34740	 	WX	90749495
2567360	8475	1998-12-14	VYDAJ	PREVOD NA UCET	3833	38628	 	WX	90749495
2567374	8475	1994-02-12	VYDAJ	PREVOD NA UCET	878	32532	UVER	AB	42267400
2567375	8475	1994-03-12	VYDAJ	PREVOD NA UCET	878	29425	UVER	AB	42267400
2567376	8475	1994-04-12	VYDAJ	PREVOD NA UCET	878	26692	UVER	AB	42267400
2567377	8475	1994-05-12	VYDAJ	PREVOD NA UCET	878	28055	UVER	AB	42267400
2567378	8475	1994-06-12	VYDAJ	PREVOD NA UCET	878	30619	UVER	AB	42267400
2567379	8475	1994-07-12	VYDAJ	PREVOD NA UCET	878	33711	UVER	AB	42267400
2567380	8475	1994-08-12	VYDAJ	PREVOD NA UCET	878	33227	UVER	AB	42267400
2567381	8475	1994-09-12	VYDAJ	PREVOD NA UCET	878	29122	UVER	AB	42267400
2567382	8475	1994-10-12	VYDAJ	PREVOD NA UCET	878	33318	UVER	AB	42267400
2567383	8475	1994-11-12	VYDAJ	PREVOD NA UCET	878	34426	UVER	AB	42267400
2567384	8475	1994-12-12	VYDAJ	PREVOD NA UCET	878	38189	UVER	AB	42267400
2567385	8475	1995-01-12	VYDAJ	PREVOD NA UCET	878	33413	UVER	AB	42267400
2567386	8475	1995-02-12	VYDAJ	PREVOD NA UCET	878	26411	UVER	AB	42267400
2567387	8475	1995-03-12	VYDAJ	PREVOD NA UCET	878	31955	UVER	AB	42267400
2567388	8475	1995-04-12	VYDAJ	PREVOD NA UCET	878	30106	UVER	AB	42267400
2567389	8475	1995-05-12	VYDAJ	PREVOD NA UCET	878	35287	UVER	AB	42267400
2567390	8475	1995-06-12	VYDAJ	PREVOD NA UCET	878	38538	UVER	AB	42267400
2567391	8475	1995-07-12	VYDAJ	PREVOD NA UCET	878	38827	UVER	AB	42267400
2567392	8475	1995-08-12	VYDAJ	PREVOD NA UCET	878	40137	UVER	AB	42267400
2567393	8475	1995-09-12	VYDAJ	PREVOD NA UCET	878	39683	UVER	AB	42267400
2567394	8475	1995-10-12	VYDAJ	PREVOD NA UCET	878	39953	UVER	AB	42267400
2567395	8475	1995-11-12	VYDAJ	PREVOD NA UCET	878	39550	UVER	AB	42267400
2567396	8475	1995-12-12	VYDAJ	PREVOD NA UCET	878	42707	UVER	AB	42267400
2567397	8475	1996-01-12	VYDAJ	PREVOD NA UCET	878	28742	UVER	AB	42267400
2567398	8475	1996-02-19	VYDAJ	VYBER	1000	26308	\N	\N	0
2567399	8475	1996-03-14	VYDAJ	VYBER	600	28712	\N	\N	0
2567400	8475	1996-04-03	VYDAJ	VYBER	900	28263	\N	\N	0
2567401	8475	1996-05-13	VYDAJ	VYBER	800	35176	\N	\N	0
2567402	8475	1996-06-07	VYDAJ	VYBER	1000	33793	\N	\N	0
2567403	8475	1996-07-06	VYDAJ	VYBER	1000	31472	\N	\N	0
2567404	8475	1996-08-20	VYDAJ	VYBER	800	23543	\N	\N	0
2567405	8475	1996-09-08	VYDAJ	VYBER	600	33219	\N	\N	0
2567406	8475	1996-10-20	VYDAJ	VYBER	900	26140	\N	\N	0
2567407	8475	1996-11-10	VYDAJ	VYBER	600	31169	\N	\N	0
2567408	8475	1996-12-03	VYDAJ	VYBER	1000	28324	\N	\N	0
2567409	8475	1997-01-14	VYDAJ	VYBER	1000	28022	\N	\N	0
2567410	8475	1997-02-09	VYDAJ	VYBER	900	28487	\N	\N	0
2567411	8475	1997-03-11	VYDAJ	VYBER	800	32003	\N	\N	0
2567412	8475	1997-04-12	VYDAJ	VYBER	1000	35523	\N	\N	0
2567413	8475	1997-05-16	VYDAJ	VYBER	700	33563	\N	\N	0
2567414	8475	1997-06-07	VYDAJ	VYBER	700	39228	\N	\N	0
2567415	8475	1997-07-19	VYDAJ	VYBER	800	42805	\N	\N	0
2567416	8475	1997-08-10	VYDAJ	VYBER	900	48694	\N	\N	0
2567417	8475	1997-09-08	VYDAJ	VYBER	700	46456	\N	\N	0
2567418	8475	1997-10-20	VYDAJ	VYBER	900	40574	\N	\N	0
2567419	8475	1997-11-05	VYDAJ	VYBER	800	40003	\N	\N	0
2567420	8475	1997-12-02	VYDAJ	VYBER	600	36716	\N	\N	0
2567421	8475	1998-01-06	VYDAJ	VYBER	700	30843	\N	\N	0
2567422	8475	1998-02-03	VYDAJ	VYBER	900	23439	\N	\N	0
2567423	8475	1998-03-05	VYDAJ	VYBER	800	29593	\N	\N	0
2567424	8475	1998-04-03	VYDAJ	VYBER	700	31146	\N	\N	0
2567425	8475	1998-05-15	VYDAJ	VYBER	1000	27929	\N	\N	0
2567426	8475	1998-06-10	VYDAJ	VYBER	1000	36802	\N	\N	0
2567427	8475	1998-07-18	VYDAJ	VYBER	700	36040	\N	\N	0
2567428	8475	1998-08-20	VYDAJ	VYBER	1000	30740	\N	\N	0
2567429	8475	1998-09-02	VYDAJ	VYBER	800	30122	\N	\N	0
2567430	8475	1998-10-15	VYDAJ	VYBER	900	28151	\N	\N	0
2567431	8475	1998-11-09	VYDAJ	VYBER	800	33968	\N	\N	0
2567432	8475	1998-12-16	VYDAJ	VYBER	700	37928	\N	\N	0
2567437	8475	1997-06-06	VYDAJ	VYBER	5760	39928	\N	\N	\N
2567441	8475	1995-01-20	VYDAJ	VYBER	11040	15660	\N	\N	\N
2567442	8475	1996-01-05	VYDAJ	VYBER	3520	33943	\N	\N	\N
2567446	8475	1994-12-08	VYDAJ	VYBER	2080	39067	\N	\N	\N
2567447	8475	1995-12-03	VYDAJ	VYBER	2880	33847	\N	\N	\N
2567448	8475	1996-12-15	VYDAJ	VYBER	1120	32614	\N	\N	\N
2567449	8475	1997-12-30	VYDAJ	VYBER	3200	31186	\N	\N	\N
2567450	8475	1998-12-27	VYDAJ	VYBER	2240	35688	\N	\N	\N
2567463	8475	1995-01-10	VYDAJ	VYBER	600	34786	\N	\N	\N
2567465	8475	1995-01-03	VYDAJ	VYBER	1560	28894	\N	\N	\N
2567467	8475	1995-01-12	VYDAJ	VYBER	2880	30533	\N	\N	\N
2567468	8475	1995-01-27	VYDAJ	VYBER	840	14820	\N	\N	\N
2567469	8475	1996-01-21	VYDAJ	VYBER	1440	22629	\N	\N	\N
2567470	8475	1996-01-12	VYDAJ	VYBER	3360	29620	\N	\N	\N
2567471	8475	1996-01-18	VYDAJ	VYBER	840	24069	\N	\N	\N
2567472	8475	1996-01-11	VYDAJ	VYBER	1920	35155	\N	\N	\N
2567473	8475	1996-01-07	VYDAJ	VYBER	3360	37075	\N	\N	\N
2567474	8475	1996-01-12	VYDAJ	VYBER	1680	33475	\N	\N	\N
2567475	8475	1997-01-25	VYDAJ	VYBER	2040	26062	\N	\N	\N
2567476	8475	1997-01-17	VYDAJ	VYBER	600	25742	\N	\N	\N
2567477	8475	1997-01-22	VYDAJ	VYBER	840	28102	\N	\N	\N
2567478	8475	1997-01-14	VYDAJ	VYBER	1680	26342	\N	\N	\N
2567479	8475	1997-01-14	VYDAJ	VYBER	2640	29022	\N	\N	\N
2567480	8475	1997-01-10	VYDAJ	VYBER	600	36830	\N	\N	\N
2567481	8475	1998-01-03	VYDAJ	VYBER	3480	27931	\N	\N	\N
2567482	8475	1998-01-21	VYDAJ	VYBER	2520	24175	\N	\N	\N
2567484	8475	1998-01-03	VYDAJ	VYBER	1920	26011	\N	\N	\N
2567485	8475	1998-01-17	VYDAJ	VYBER	2520	26695	\N	\N	\N
2567486	8475	1998-01-03	VYDAJ	VYBER	960	25051	\N	\N	\N
2567491	8475	1994-03-28	VYDAJ	VYBER	2400	22697	\N	\N	\N
2567492	8475	1994-12-24	VYDAJ	VYBER	3240	30621	\N	\N	\N
2567493	8475	1994-05-26	VYDAJ	VYBER	3240	20487	\N	\N	\N
2567494	8475	1994-09-06	VYDAJ	VYBER	4200	30000	\N	\N	\N
2567495	8475	1995-07-07	VYDAJ	VYBER	840	39705	\N	\N	\N
2567496	8475	1995-09-21	VYDAJ	VYBER	600	30795	\N	\N	\N
2567497	8475	1995-10-15	VYDAJ	VYBER	2280	33840	\N	\N	\N
2567498	8475	1995-07-12	VYDAJ	VYBER	840	37492	\N	\N	\N
2567499	8475	1995-10-28	VYDAJ	VYBER	4560	34180	\N	\N	\N
2567500	8475	1995-04-05	VYDAJ	VYBER	5640	24492	\N	\N	\N
2567501	8475	1995-09-13	VYDAJ	VYBER	3960	35228	\N	\N	\N
2567502	8475	1996-06-18	VYDAJ	VYBER	5760	23705	\N	\N	\N
2567503	8475	1996-04-21	VYDAJ	VYBER	3840	26587	\N	\N	\N
2567504	8475	1996-08-14	VYDAJ	VYBER	5040	24343	\N	\N	\N
2567505	8475	1996-03-09	VYDAJ	VYBER	5040	29807	\N	\N	\N
2567506	8475	1996-06-01	VYDAJ	VYBER	5760	25055	\N	\N	\N
2567507	8475	1996-01-22	VYDAJ	VYBER	3360	19269	\N	\N	\N
2567508	8475	1997-02-06	VYDAJ	VYBER	3360	29387	\N	\N	\N
2567509	8475	1997-11-10	VYDAJ	VYBER	1920	44575	\N	\N	\N
2567510	8475	1997-01-13	VYDAJ	VYBER	840	35495	\N	\N	\N
2567511	8475	1997-12-07	VYDAJ	VYBER	3840	42614	\N	\N	\N
2567512	8475	1998-06-16	VYDAJ	VYBER	1080	30294	\N	\N	\N
2567513	8475	1998-04-07	VYDAJ	VYBER	5040	28038	\N	\N	\N
2567514	8475	1998-09-28	VYDAJ	VYBER	4680	24006	\N	\N	\N
2567515	8475	1998-08-08	VYDAJ	VYBER	3840	38868	\N	\N	\N
2567516	8475	1998-04-06	VYDAJ	VYBER	4560	33078	\N	\N	\N
2567531	8475	1994-02-28	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
2567532	8475	1994-03-31	VYDAJ	VYBER	15	22878	SLUZBY	\N	\N
2567533	8475	1994-04-30	VYDAJ	VYBER	15	22541	SLUZBY	\N	\N
2567534	8475	1994-05-31	VYDAJ	VYBER	15	20654	SLUZBY	\N	\N
2567535	8475	1994-06-30	VYDAJ	VYBER	15	26992	SLUZBY	\N	\N
2567536	8475	1994-07-31	VYDAJ	VYBER	15	30108	SLUZBY	\N	\N
2567537	8475	1994-08-31	VYDAJ	VYBER	15	29608	SLUZBY	\N	\N
2567538	8475	1994-09-30	VYDAJ	VYBER	15	24999	SLUZBY	\N	\N
2567539	8475	1994-10-31	VYDAJ	VYBER	15	29707	SLUZBY	\N	\N
2567540	8475	1994-11-30	VYDAJ	VYBER	15	30809	SLUZBY	\N	\N
2567541	8475	1994-12-31	VYDAJ	VYBER	15	30854	SLUZBY	\N	\N
2567542	8475	1995-01-31	VYDAJ	VYBER	15	21292	SLUZBY	\N	\N
2567543	8475	1995-02-28	VYDAJ	VYBER	15	22736	SLUZBY	\N	\N
2567544	8475	1995-03-31	VYDAJ	VYBER	15	28332	SLUZBY	\N	\N
2567545	8475	1995-04-30	VYDAJ	VYBER	15	25973	SLUZBY	\N	\N
2567546	8475	1995-05-31	VYDAJ	VYBER	15	30173	SLUZBY	\N	\N
2567547	8475	1995-06-30	VYDAJ	VYBER	15	34953	SLUZBY	\N	\N
2567548	8475	1995-07-31	VYDAJ	VYBER	15	35018	SLUZBY	\N	\N
2567549	8475	1995-08-31	VYDAJ	VYBER	15	34069	SLUZBY	\N	\N
2567550	8475	1995-09-30	VYDAJ	VYBER	15	34834	SLUZBY	\N	\N
2567551	8475	1995-10-31	VYDAJ	VYBER	15	34431	SLUZBY	\N	\N
2567552	8475	1995-11-30	VYDAJ	VYBER	15	36727	SLUZBY	\N	\N
2567553	8475	1995-12-31	VYDAJ	VYBER	15	37463	SLUZBY	\N	\N
2567554	8475	1996-01-31	VYDAJ	VYBER	15	25144	SLUZBY	\N	\N
2567555	8475	1996-02-29	VYDAJ	VYBER	15	28355	SLUZBY	\N	\N
2567556	8475	1996-03-31	VYDAJ	VYBER	15	29163	SLUZBY	\N	\N
2567557	8475	1996-04-30	VYDAJ	VYBER	15	29979	SLUZBY	\N	\N
2567558	8475	1996-05-31	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
2567559	8475	1996-06-30	VYDAJ	VYBER	15	25980	SLUZBY	\N	\N
2567560	8475	1996-07-31	VYDAJ	VYBER	15	27219	SLUZBY	\N	\N
2567561	8475	1996-08-31	VYDAJ	VYBER	15	27327	SLUZBY	\N	\N
2567562	8475	1996-09-30	VYDAJ	VYBER	15	24876	SLUZBY	\N	\N
2567563	8475	1996-10-31	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
2567564	8475	1996-11-30	VYDAJ	VYBER	15	29324	SLUZBY	\N	\N
2567565	8475	1996-12-31	VYDAJ	VYBER	15	30938	SLUZBY	\N	\N
2567566	8475	1997-01-31	VYDAJ	VYBER	15	26255	SLUZBY	\N	\N
2567567	8475	1997-02-28	VYDAJ	VYBER	15	26311	SLUZBY	\N	\N
2567568	8475	1997-03-31	VYDAJ	VYBER	15	30031	SLUZBY	\N	\N
2567569	8475	1997-04-30	VYDAJ	VYBER	15	32099	SLUZBY	\N	\N
2567570	8475	1997-05-31	VYDAJ	VYBER	15	35950	SLUZBY	\N	\N
2567571	8475	1997-06-30	VYDAJ	VYBER	15	40041	SLUZBY	\N	\N
2567572	8475	1997-07-31	VYDAJ	VYBER	15	43102	SLUZBY	\N	\N
2567573	8475	1997-08-31	VYDAJ	VYBER	15	40664	SLUZBY	\N	\N
2567574	8475	1997-09-30	VYDAJ	VYBER	15	39810	SLUZBY	\N	\N
2567575	8475	1997-10-31	VYDAJ	VYBER	15	40803	SLUZBY	\N	\N
2567576	8475	1997-11-30	VYDAJ	VYBER	15	37316	SLUZBY	\N	\N
2567577	8475	1997-12-31	VYDAJ	VYBER	15	31411	SLUZBY	\N	\N
2567578	8475	1998-01-31	VYDAJ	VYBER	15	24339	SLUZBY	\N	\N
2567579	8475	1998-02-28	VYDAJ	VYBER	15	30393	SLUZBY	\N	\N
2567580	8475	1998-03-31	VYDAJ	VYBER	15	31846	SLUZBY	\N	\N
2567581	8475	1998-04-30	VYDAJ	VYBER	15	24965	SLUZBY	\N	\N
2567582	8475	1998-05-31	VYDAJ	VYBER	15	28064	SLUZBY	\N	\N
2567583	8475	1998-06-30	VYDAJ	VYBER	15	30476	SLUZBY	\N	\N
2567584	8475	1998-07-31	VYDAJ	VYBER	15	36216	SLUZBY	\N	\N
2567585	8475	1998-08-31	VYDAJ	VYBER	15	30922	SLUZBY	\N	\N
2567586	8475	1998-09-30	VYDAJ	VYBER	15	24187	SLUZBY	\N	\N
2567587	8475	1998-10-31	VYDAJ	VYBER	15	28276	SLUZBY	\N	\N
2567588	8475	1998-11-30	VYDAJ	VYBER	15	34918	SLUZBY	\N	\N
2567589	8475	1993-10-08	PRIJEM	VKLAD	8100	15692	\N	\N	\N
2567590	8475	1993-11-07	PRIJEM	VKLAD	300	22583	\N	\N	\N
2567591	8475	1993-12-07	VYDAJ	VYBER	5700	26781	\N	\N	\N
2567592	8475	1994-01-06	VYDAJ	VYBER	2600	30867	\N	\N	\N
2567593	8475	1994-02-05	VYDAJ	VYBER	3700	27413	\N	\N	\N
2567594	8475	1994-03-07	VYDAJ	VYBER	5100	30303	\N	\N	\N
2567595	8475	1994-04-06	VYDAJ	VYBER	1800	27570	\N	\N	\N
2567596	8475	1994-05-06	VYDAJ	VYBER	100	28933	\N	\N	\N
2567597	8475	1994-06-05	PRIJEM	VKLAD	1600	22254	\N	\N	\N
2567598	8475	1994-07-05	PRIJEM	VKLAD	1600	28592	\N	\N	\N
2567599	8475	1994-08-04	VYDAJ	VYBER	2000	28108	\N	\N	\N
2567600	8475	1994-09-03	VYDAJ	VYBER	1900	27708	\N	\N	\N
2567601	8475	1994-10-03	PRIJEM	VKLAD	3200	28199	\N	\N	\N
2567602	8475	1994-11-02	VYDAJ	VYBER	400	29307	\N	\N	\N
2567603	8475	1994-12-02	PRIJEM	VKLAD	600	31409	\N	\N	\N
2567604	8475	1995-01-01	VYDAJ	VYBER	400	30454	\N	\N	\N
2567605	8475	1995-01-31	PRIJEM	VKLAD	6300	21306	\N	\N	\N
2567606	8475	1995-03-02	PRIJEM	VKLAD	4100	26836	\N	\N	\N
2567607	8475	1995-04-01	PRIJEM	VKLAD	1800	30132	\N	\N	\N
2567608	8475	1995-05-01	PRIJEM	VKLAD	3700	29673	\N	\N	\N
2567609	8475	1995-05-31	VYDAJ	VYBER	1000	30188	\N	\N	\N
2567610	8475	1995-06-30	VYDAJ	VYBER	900	34053	\N	\N	\N
2567611	8475	1995-07-30	PRIJEM	VKLAD	1100	34759	\N	\N	\N
2567612	8475	1995-08-29	VYDAJ	VYBER	2500	33804	\N	\N	\N
2567613	8475	1995-09-28	PRIJEM	VKLAD	3800	34595	\N	\N	\N
2567614	8475	1995-10-28	PRIJEM	VKLAD	4900	38740	\N	\N	\N
2567615	8475	1995-11-27	PRIJEM	VKLAD	800	36517	\N	\N	\N
2567616	8475	1995-12-27	VYDAJ	VYBER	1200	37179	\N	\N	\N
2567617	8475	1996-01-26	PRIJEM	VKLAD	5700	24969	\N	\N	\N
2567618	8475	1996-02-25	PRIJEM	VKLAD	1900	28208	\N	\N	\N
2567619	8475	1996-03-26	PRIJEM	VKLAD	4100	28979	\N	\N	\N
2567620	8475	1996-04-25	PRIJEM	VKLAD	3200	29787	\N	\N	\N
2567621	8475	1996-05-25	VYDAJ	VYBER	700	30643	\N	\N	\N
2567622	8475	1996-06-24	PRIJEM	VKLAD	2100	25805	\N	\N	\N
2567623	8475	1996-07-24	VYDAJ	VYBER	100	27044	\N	\N	\N
2567624	8475	1996-08-23	PRIJEM	VKLAD	3600	27143	\N	\N	\N
2567625	8475	1996-09-22	VYDAJ	VYBER	4200	24691	\N	\N	\N
2567626	8475	1996-10-22	VYDAJ	VYBER	1000	25140	\N	\N	\N
2567627	8475	1996-11-21	PRIJEM	VKLAD	2300	29141	\N	\N	\N
2567628	8475	1996-12-21	VYDAJ	VYBER	1900	30714	\N	\N	\N
2567629	8475	1997-01-20	PRIJEM	VKLAD	3200	28942	\N	\N	\N
2567630	8475	1997-02-19	PRIJEM	VKLAD	2000	26159	\N	\N	\N
2567631	8475	1997-03-21	PRIJEM	VKLAD	2200	29875	\N	\N	\N
2567632	8475	1997-04-20	PRIJEM	VKLAD	700	31895	\N	\N	\N
2567633	8475	1997-05-20	PRIJEM	VKLAD	2200	35763	\N	\N	\N
2567634	8475	1997-06-19	PRIJEM	VKLAD	4900	39800	\N	\N	\N
2567635	8475	1997-07-19	PRIJEM	VKLAD	1400	43605	\N	\N	\N
2567636	8475	1997-08-18	VYDAJ	VYBER	4000	40366	\N	\N	\N
2567637	8475	1997-09-17	VYDAJ	VYBER	2600	39528	\N	\N	\N
2567638	8475	1997-10-17	VYDAJ	VYBER	500	41474	\N	\N	\N
2567639	8475	1997-11-16	VYDAJ	VYBER	3200	37047	\N	\N	\N
2567640	8475	1997-12-16	VYDAJ	VYBER	3900	34386	\N	\N	\N
2567641	8475	1998-01-15	PRIJEM	VKLAD	2700	29215	\N	\N	\N
2567642	8475	1998-02-14	PRIJEM	VKLAD	4600	34036	\N	\N	\N
2567643	8475	1998-03-16	VYDAJ	VYBER	100	31657	\N	\N	\N
2567644	8475	1998-04-15	PRIJEM	VKLAD	1100	24810	\N	\N	\N
2567645	8475	1998-05-15	PRIJEM	VKLAD	1800	28929	\N	\N	\N
2567646	8475	1998-06-14	VYDAJ	VYBER	1100	35207	\N	\N	\N
2567647	8475	1998-07-14	PRIJEM	VKLAD	4100	40573	\N	\N	\N
2567648	8475	1998-08-13	VYDAJ	VYBER	2800	35573	\N	\N	\N
2567649	8475	1998-09-12	VYDAJ	VYBER	3600	33014	\N	\N	\N
2567650	8475	1998-10-12	PRIJEM	VKLAD	2700	33379	\N	\N	\N
2567651	8475	1998-11-11	PRIJEM	VKLAD	5100	39068	\N	\N	\N
2567652	8475	1998-12-11	VYDAJ	VYBER	1700	42956	\N	\N	\N
2571444	8489	1993-09-18	PRIJEM	VKLAD	700	700	\N	\N	\N
2571454	8489	1993-10-06	PRIJEM	VKLAD	17606	18306	\N	\N	\N
2571455	8489	1993-11-06	PRIJEM	VKLAD	17606	36882	\N	\N	\N
2571456	8489	1993-12-06	PRIJEM	VKLAD	26409	57549	\N	\N	\N
2571457	8489	1994-01-06	PRIJEM	VKLAD	17606	59685	\N	\N	\N
2571458	8489	1994-02-06	PRIJEM	VKLAD	17606	52049	\N	\N	\N
2571459	8489	1994-03-06	PRIJEM	VKLAD	17606	54018	\N	\N	\N
2571460	8489	1994-04-06	PRIJEM	VKLAD	17606	41181	\N	\N	\N
2571461	8489	1994-05-06	PRIJEM	VKLAD	17606	49312	\N	\N	\N
2571462	8489	1994-06-06	PRIJEM	VKLAD	26409	53917	\N	\N	\N
2571463	8489	1994-07-06	PRIJEM	VKLAD	17606	39009	\N	\N	\N
2571464	8489	1994-08-06	PRIJEM	VKLAD	17606	47199	\N	\N	\N
2571465	8489	1994-09-06	PRIJEM	VKLAD	17606	44395	\N	\N	\N
2571466	8489	1994-10-06	PRIJEM	VKLAD	17606	47787	\N	\N	\N
2571467	8489	1994-11-06	PRIJEM	VKLAD	17606	50684	\N	\N	\N
2571468	8489	1994-12-06	PRIJEM	VKLAD	26409	61993	\N	\N	\N
2571469	8489	1995-01-06	PRIJEM	VKLAD	17606	56930	\N	\N	\N
2571470	8489	1995-02-06	PRIJEM	VKLAD	17606	40333	\N	\N	\N
2571471	8489	1995-03-06	PRIJEM	VKLAD	17606	37190	\N	\N	\N
2571472	8489	1995-04-06	PRIJEM	VKLAD	17606	45865	\N	\N	\N
2571473	8489	1995-05-06	PRIJEM	VKLAD	17606	45547	\N	\N	\N
2571474	8489	1995-06-06	PRIJEM	VKLAD	26409	47925	\N	\N	\N
2571475	8489	1995-07-06	PRIJEM	VKLAD	17606	53133	\N	\N	\N
2571476	8489	1995-08-06	PRIJEM	VKLAD	17606	45189	\N	\N	\N
2571477	8489	1995-09-06	PRIJEM	VKLAD	17606	44005	\N	\N	\N
2571478	8489	1995-10-06	PRIJEM	VKLAD	17606	45601	\N	\N	\N
2571479	8489	1995-11-06	PRIJEM	VKLAD	17606	43465	\N	\N	\N
2571480	8489	1995-12-06	PRIJEM	VKLAD	26409	50543	\N	\N	\N
2571481	8489	1996-01-06	PRIJEM	VKLAD	17606	42934	\N	\N	\N
2571482	8489	1996-02-06	PRIJEM	VKLAD	17606	44316	\N	\N	\N
2571483	8489	1996-03-06	PRIJEM	VKLAD	17606	50935	\N	\N	\N
2571484	8489	1996-04-06	PRIJEM	VKLAD	17606	43423	\N	\N	\N
2571485	8489	1996-05-06	PRIJEM	VKLAD	17606	46232	\N	\N	\N
2571486	8489	1996-06-06	PRIJEM	VKLAD	26409	49900	\N	\N	\N
2571487	8489	1996-07-06	PRIJEM	VKLAD	17606	45247	\N	\N	\N
2571488	8489	1996-08-06	PRIJEM	VKLAD	17606	43696	\N	\N	\N
2571489	8489	1996-09-06	PRIJEM	VKLAD	17606	48283	\N	\N	\N
2571490	8489	1996-10-06	PRIJEM	VKLAD	17606	45902	\N	\N	\N
2571491	8489	1996-11-06	PRIJEM	VKLAD	17606	49784	\N	\N	\N
2571492	8489	1996-12-06	PRIJEM	VKLAD	26409	53439	\N	\N	\N
2571493	8489	1997-01-06	PRIJEM	VKLAD	17606	43471	\N	\N	\N
2571494	8489	1997-02-06	PRIJEM	VKLAD	17606	44907	\N	\N	\N
2571495	8489	1997-03-06	PRIJEM	VKLAD	17606	51489	\N	\N	\N
2571496	8489	1997-04-06	PRIJEM	VKLAD	17606	58125	\N	\N	\N
2571497	8489	1997-05-06	PRIJEM	VKLAD	17606	64845	\N	\N	\N
2571498	8489	1997-06-06	PRIJEM	VKLAD	26409	75841	\N	\N	\N
2571499	8489	1997-07-06	PRIJEM	VKLAD	17606	59386	\N	\N	\N
2571500	8489	1997-08-06	PRIJEM	VKLAD	17606	44892	\N	\N	\N
2571501	8489	1997-09-06	PRIJEM	VKLAD	17606	51469	\N	\N	\N
2571502	8489	1997-10-06	PRIJEM	VKLAD	17606	58096	\N	\N	\N
2571503	8489	1997-11-06	PRIJEM	VKLAD	17606	64807	\N	\N	\N
2571504	8489	1997-12-06	PRIJEM	VKLAD	26409	80368	\N	\N	\N
2571505	8489	1998-01-06	PRIJEM	VKLAD	17606	53290	\N	\N	\N
2571506	8489	1998-02-06	PRIJEM	VKLAD	17606	48859	\N	\N	\N
2571507	8489	1998-03-06	PRIJEM	VKLAD	17606	55453	\N	\N	\N
2571508	8489	1998-04-06	PRIJEM	VKLAD	17606	62102	\N	\N	\N
2571509	8489	1998-05-06	PRIJEM	VKLAD	17606	60176	\N	\N	\N
2571510	8489	1998-06-06	PRIJEM	VKLAD	26409	75691	\N	\N	\N
2571511	8489	1998-07-06	PRIJEM	VKLAD	17606	44309	\N	\N	\N
2571512	8489	1998-08-06	PRIJEM	VKLAD	17606	44242	\N	\N	\N
2571513	8489	1998-09-06	PRIJEM	VKLAD	17606	58235	\N	\N	\N
2571514	8489	1998-10-06	PRIJEM	VKLAD	17606	64044	\N	\N	\N
2571515	8489	1998-11-06	PRIJEM	VKLAD	17606	59444	\N	\N	\N
2571516	8489	1998-12-06	PRIJEM	VKLAD	26409	71819	\N	\N	\N
2571530	8489	1994-02-09	VYDAJ	PREVOD NA UCET	3835	48214	SIPO	ST	2885187
2571531	8489	1994-03-09	VYDAJ	PREVOD NA UCET	3835	50183	SIPO	ST	2885187
2571532	8489	1994-04-09	VYDAJ	PREVOD NA UCET	3835	37346	SIPO	ST	2885187
2571533	8489	1994-05-09	VYDAJ	PREVOD NA UCET	3835	45477	SIPO	ST	2885187
2571534	8489	1994-06-09	VYDAJ	PREVOD NA UCET	3835	50082	SIPO	ST	2885187
2571535	8489	1994-07-09	VYDAJ	PREVOD NA UCET	3835	35174	SIPO	ST	2885187
2571536	8489	1994-08-09	VYDAJ	PREVOD NA UCET	3835	36464	SIPO	ST	2885187
2571537	8489	1994-09-09	VYDAJ	PREVOD NA UCET	3835	34960	SIPO	ST	2885187
2571538	8489	1994-10-09	VYDAJ	PREVOD NA UCET	3835	43952	SIPO	ST	2885187
2571539	8489	1994-11-09	VYDAJ	PREVOD NA UCET	3835	46849	SIPO	ST	2885187
2571540	8489	1994-12-09	VYDAJ	PREVOD NA UCET	3835	57358	SIPO	ST	2885187
2571541	8489	1995-01-09	VYDAJ	PREVOD NA UCET	3835	48655	SIPO	ST	2885187
2571542	8489	1995-02-09	VYDAJ	PREVOD NA UCET	3835	36498	SIPO	ST	2885187
2571543	8489	1995-03-09	VYDAJ	PREVOD NA UCET	3835	33355	SIPO	ST	2885187
2571544	8489	1995-04-09	VYDAJ	PREVOD NA UCET	3835	34430	SIPO	ST	2885187
2571545	8489	1995-05-09	VYDAJ	PREVOD NA UCET	3835	41712	SIPO	ST	2885187
2571546	8489	1995-06-09	VYDAJ	PREVOD NA UCET	3835	42290	SIPO	ST	2885187
2571547	8489	1995-07-09	VYDAJ	PREVOD NA UCET	3835	49298	SIPO	ST	2885187
2571548	8489	1995-08-09	VYDAJ	PREVOD NA UCET	3835	33574	SIPO	ST	2885187
2571549	8489	1995-09-09	VYDAJ	PREVOD NA UCET	3835	35170	SIPO	ST	2885187
2571550	8489	1995-10-09	VYDAJ	PREVOD NA UCET	3835	33066	SIPO	ST	2885187
2571551	8489	1995-11-09	VYDAJ	PREVOD NA UCET	3835	31330	SIPO	ST	2885187
2571552	8489	1995-12-09	VYDAJ	PREVOD NA UCET	3835	36508	SIPO	ST	2885187
2571553	8489	1996-01-09	VYDAJ	PREVOD NA UCET	3835	29719	SIPO	ST	2885187
2571554	8489	1996-02-09	VYDAJ	PREVOD NA UCET	3835	40481	SIPO	ST	2885187
2571555	8489	1996-03-09	VYDAJ	PREVOD NA UCET	3835	32600	SIPO	ST	2885187
2571556	8489	1996-04-09	VYDAJ	PREVOD NA UCET	3835	39588	SIPO	ST	2885187
2571557	8489	1996-05-09	VYDAJ	PREVOD NA UCET	3835	42397	SIPO	ST	2885187
2571558	8489	1996-06-09	VYDAJ	PREVOD NA UCET	3835	46065	SIPO	ST	2885187
2571559	8489	1996-07-09	VYDAJ	PREVOD NA UCET	3835	41412	SIPO	ST	2885187
2571560	8489	1996-08-09	VYDAJ	PREVOD NA UCET	3835	39861	SIPO	ST	2885187
2571561	8489	1996-09-09	VYDAJ	PREVOD NA UCET	3835	44448	SIPO	ST	2885187
2571562	8489	1996-10-09	VYDAJ	PREVOD NA UCET	3835	42067	SIPO	ST	2885187
2571563	8489	1996-11-09	VYDAJ	PREVOD NA UCET	3835	45949	SIPO	ST	2885187
2571564	8489	1996-12-09	VYDAJ	PREVOD NA UCET	3835	45764	SIPO	ST	2885187
2571565	8489	1997-01-09	VYDAJ	PREVOD NA UCET	3835	37236	SIPO	ST	2885187
2571566	8489	1997-02-09	VYDAJ	PREVOD NA UCET	3835	41072	SIPO	ST	2885187
2571567	8489	1997-03-09	VYDAJ	PREVOD NA UCET	3835	47654	SIPO	ST	2885187
2571568	8489	1997-04-09	VYDAJ	PREVOD NA UCET	3835	54290	SIPO	ST	2885187
2571569	8489	1997-05-09	VYDAJ	PREVOD NA UCET	3835	61010	SIPO	ST	2885187
2571570	8489	1997-06-09	VYDAJ	PREVOD NA UCET	3835	72006	SIPO	ST	2885187
2571571	8489	1997-07-09	VYDAJ	PREVOD NA UCET	3835	55551	SIPO	ST	2885187
2571572	8489	1997-08-09	VYDAJ	PREVOD NA UCET	3835	41057	SIPO	ST	2885187
2571573	8489	1997-09-09	VYDAJ	PREVOD NA UCET	3835	47634	SIPO	ST	2885187
2571574	8489	1997-10-09	VYDAJ	PREVOD NA UCET	3835	54261	SIPO	ST	2885187
2571575	8489	1997-11-09	VYDAJ	PREVOD NA UCET	3835	60972	SIPO	ST	2885187
2571576	8489	1997-12-09	VYDAJ	PREVOD NA UCET	3835	76533	SIPO	ST	2885187
2571577	8489	1998-01-09	VYDAJ	PREVOD NA UCET	3835	44175	SIPO	ST	2885187
2571578	8489	1998-02-09	VYDAJ	PREVOD NA UCET	3835	45024	SIPO	ST	2885187
2571579	8489	1998-03-09	VYDAJ	PREVOD NA UCET	3835	51618	SIPO	ST	2885187
2571580	8489	1998-04-09	VYDAJ	PREVOD NA UCET	3835	55267	SIPO	ST	2885187
2571581	8489	1998-05-09	VYDAJ	PREVOD NA UCET	3835	56341	SIPO	ST	2885187
2571582	8489	1998-06-09	VYDAJ	PREVOD NA UCET	3835	71856	SIPO	ST	2885187
2571583	8489	1998-07-09	VYDAJ	PREVOD NA UCET	3835	40474	SIPO	ST	2885187
2571584	8489	1998-08-09	VYDAJ	PREVOD NA UCET	3835	40407	SIPO	ST	2885187
2571585	8489	1998-09-09	VYDAJ	PREVOD NA UCET	3835	54400	SIPO	ST	2885187
2571586	8489	1998-10-09	VYDAJ	PREVOD NA UCET	3835	60209	SIPO	ST	2885187
2571587	8489	1998-11-09	VYDAJ	PREVOD NA UCET	3835	55609	SIPO	ST	2885187
2571588	8489	1998-12-09	VYDAJ	PREVOD NA UCET	3835	65584	SIPO	ST	2885187
2571602	8489	1994-02-03	VYDAJ	VYBER	7800	34443	\N	\N	0
2571603	8489	1994-03-13	VYDAJ	VYBER	6600	43583	\N	\N	0
2571604	8489	1994-04-03	VYDAJ	VYBER	9100	23575	\N	\N	0
2571605	8489	1994-05-11	VYDAJ	VYBER	7000	38477	\N	\N	0
2571606	8489	1994-06-02	VYDAJ	VYBER	6400	27508	\N	\N	0
2571607	8489	1994-07-05	VYDAJ	VYBER	6600	21403	\N	\N	0
2571608	8489	1994-08-09	VYDAJ	VYBER	6900	40299	\N	\N	0
2571609	8489	1994-09-06	VYDAJ	VYBER	5600	38795	\N	\N	0
2571610	8489	1994-10-15	VYDAJ	VYBER	5900	36052	\N	\N	0
2571611	8489	1994-11-11	VYDAJ	VYBER	6900	39949	\N	\N	0
2571612	8489	1994-12-18	VYDAJ	VYBER	7100	41858	\N	\N	0
2571613	8489	1995-01-10	VYDAJ	VYBER	5700	42955	\N	\N	0
2571614	8489	1995-02-14	VYDAJ	VYBER	8600	25098	\N	\N	0
2571615	8489	1995-03-04	VYDAJ	VYBER	5700	19584	\N	\N	0
2571616	8489	1995-04-06	VYDAJ	VYBER	7600	38265	\N	\N	0
2571617	8489	1995-05-14	VYDAJ	VYBER	8700	27012	\N	\N	0
2571618	8489	1995-06-03	VYDAJ	VYBER	5700	21516	\N	\N	0
2571619	8489	1995-07-12	VYDAJ	PREVOD NA UCET	7370	33128	UVER	GH	20661109
2571620	8489	1995-08-12	VYDAJ	PREVOD NA UCET	7370	26204	UVER	GH	20661109
2571621	8489	1995-09-12	VYDAJ	PREVOD NA UCET	7370	27800	UVER	GH	20661109
2571622	8489	1995-10-12	VYDAJ	PREVOD NA UCET	7370	25696	UVER	GH	20661109
2571623	8489	1995-11-12	VYDAJ	PREVOD NA UCET	7370	23960	UVER	GH	20661109
2571624	8489	1995-12-12	VYDAJ	PREVOD NA UCET	7370	29138	UVER	GH	20661109
2571625	8489	1996-01-12	VYDAJ	PREVOD NA UCET	7370	22349	UVER	GH	20661109
2571626	8489	1996-02-12	VYDAJ	PREVOD NA UCET	7370	33111	UVER	GH	20661109
2571627	8489	1996-03-12	VYDAJ	PREVOD NA UCET	7370	25230	UVER	GH	20661109
2571628	8489	1996-04-12	VYDAJ	PREVOD NA UCET	7370	32218	UVER	GH	20661109
2571629	8489	1996-05-12	VYDAJ	PREVOD NA UCET	7370	35027	UVER	GH	20661109
2571630	8489	1996-06-12	VYDAJ	PREVOD NA UCET	7370	38695	UVER	GH	20661109
2571631	8489	1996-07-12	VYDAJ	PREVOD NA UCET	7370	34042	UVER	GH	20661109
2571632	8489	1996-08-12	VYDAJ	PREVOD NA UCET	7370	32491	UVER	GH	20661109
2571633	8489	1996-09-12	VYDAJ	PREVOD NA UCET	7370	37078	UVER	GH	20661109
2571634	8489	1996-10-12	VYDAJ	PREVOD NA UCET	7370	34697	UVER	GH	20661109
2571635	8489	1996-11-12	VYDAJ	PREVOD NA UCET	7370	38579	UVER	GH	20661109
2571636	8489	1996-12-12	VYDAJ	PREVOD NA UCET	7370	38394	UVER	GH	20661109
2571637	8489	1997-01-12	VYDAJ	PREVOD NA UCET	7370	29866	UVER	GH	20661109
2571638	8489	1997-02-12	VYDAJ	PREVOD NA UCET	7370	33702	UVER	GH	20661109
2571639	8489	1997-03-12	VYDAJ	PREVOD NA UCET	7370	40284	UVER	GH	20661109
2571640	8489	1997-04-12	VYDAJ	PREVOD NA UCET	7370	46920	UVER	GH	20661109
2571641	8489	1997-05-12	VYDAJ	PREVOD NA UCET	7370	53640	UVER	GH	20661109
2571642	8489	1997-06-12	VYDAJ	PREVOD NA UCET	7370	64636	UVER	GH	20661109
2571643	8489	1997-07-12	VYDAJ	PREVOD NA UCET	7370	48181	UVER	GH	20661109
2571644	8489	1997-08-12	VYDAJ	PREVOD NA UCET	7370	33687	UVER	GH	20661109
2571645	8489	1997-09-12	VYDAJ	PREVOD NA UCET	7370	40264	UVER	GH	20661109
2571646	8489	1997-10-12	VYDAJ	PREVOD NA UCET	7370	46891	UVER	GH	20661109
2571647	8489	1997-11-12	VYDAJ	PREVOD NA UCET	7370	53602	UVER	GH	20661109
2571648	8489	1997-12-12	VYDAJ	PREVOD NA UCET	7370	69163	UVER	GH	20661109
2571649	8489	1998-01-12	VYDAJ	PREVOD NA UCET	7370	31045	UVER	GH	20661109
2571650	8489	1998-02-12	VYDAJ	PREVOD NA UCET	7370	37654	UVER	GH	20661109
2571651	8489	1998-03-12	VYDAJ	PREVOD NA UCET	7370	44248	UVER	GH	20661109
2571652	8489	1998-04-12	VYDAJ	PREVOD NA UCET	7370	47897	UVER	GH	20661109
2571653	8489	1998-05-12	VYDAJ	PREVOD NA UCET	7370	48971	UVER	GH	20661109
2571654	8489	1998-06-12	VYDAJ	PREVOD NA UCET	7370	64486	UVER	GH	20661109
2571655	8489	1998-07-03	VYDAJ	VYBER	6600	26703	\N	\N	0
2571656	8489	1998-08-02	VYDAJ	VYBER	8300	26636	\N	\N	0
2571657	8489	1998-09-12	VYDAJ	VYBER	6300	48100	\N	\N	0
2571658	8489	1998-10-11	VYDAJ	VYBER	6300	53909	\N	\N	0
2571659	8489	1998-11-05	VYDAJ	VYBER	8200	41838	\N	\N	0
2571660	8489	1998-12-03	VYDAJ	VYBER	6200	45410	\N	\N	0
2571665	8489	1997-06-23	VYDAJ	VYBER	23200	41436	\N	\N	\N
2571669	8489	1995-01-17	VYDAJ	VYBER	4000	28355	\N	\N	\N
2571671	8489	1997-01-08	VYDAJ	VYBER	2400	41071	\N	\N	\N
2571674	8489	1994-12-07	VYDAJ	VYBER	800	61193	\N	\N	\N
2571675	8489	1995-12-19	VYDAJ	VYBER	4000	25138	\N	\N	\N
2571676	8489	1996-12-08	VYDAJ	VYBER	3840	49599	\N	\N	\N
2571677	8489	1997-12-20	VYDAJ	VYBER	4640	64523	\N	\N	\N
2571678	8489	1998-12-06	VYDAJ	VYBER	2400	69419	\N	\N	\N
2571691	8489	1995-01-02	VYDAJ	VYBER	2880	39324	\N	\N	\N
2571692	8489	1995-01-08	VYDAJ	VYBER	1440	55490	\N	\N	\N
2571693	8489	1995-01-20	VYDAJ	VYBER	2040	26315	\N	\N	\N
2571694	8489	1995-01-26	VYDAJ	VYBER	1560	24755	\N	\N	\N
2571695	8489	1995-01-29	VYDAJ	VYBER	2280	22475	\N	\N	\N
2571696	8489	1995-01-08	VYDAJ	VYBER	3000	52490	\N	\N	\N
2571699	8489	1996-01-08	VYDAJ	VYBER	2880	33554	\N	\N	\N
2571704	8489	1997-01-15	VYDAJ	VYBER	1080	27946	\N	\N	\N
2571706	8489	1997-01-20	VYDAJ	VYBER	840	27106	\N	\N	\N
2571708	8489	1997-01-14	VYDAJ	VYBER	840	29026	\N	\N	\N
2571709	8489	1998-01-06	VYDAJ	VYBER	3480	49810	\N	\N	\N
2571711	8489	1998-01-10	VYDAJ	VYBER	2520	41655	\N	\N	\N
2571713	8489	1998-01-09	VYDAJ	VYBER	1800	48010	\N	\N	\N
2571714	8489	1998-01-11	VYDAJ	VYBER	3240	38415	\N	\N	\N
2571722	8489	1994-06-29	VYDAJ	VYBER	2280	27722	\N	\N	\N
2571723	8489	1994-10-28	VYDAJ	VYBER	3240	32812	\N	\N	\N
2571725	8489	1994-06-29	VYDAJ	VYBER	5280	30002	\N	\N	\N
2571726	8489	1994-08-27	VYDAJ	VYBER	3000	26564	\N	\N	\N
2571727	8489	1995-03-17	VYDAJ	VYBER	3000	31155	\N	\N	\N
2571729	8489	1995-07-31	VYDAJ	VYBER	5760	27583	\N	\N	\N
2571730	8489	1995-03-25	VYDAJ	VYBER	3120	28035	\N	\N	\N
2571731	8489	1995-06-06	VYDAJ	VYBER	1800	46125	\N	\N	\N
2571732	8489	1995-08-09	VYDAJ	VYBER	4080	37409	\N	\N	\N
2571733	8489	1996-08-21	VYDAJ	VYBER	2040	30451	\N	\N	\N
2571734	8489	1996-05-30	VYDAJ	VYBER	4200	29267	\N	\N	\N
2571735	8489	1996-05-19	VYDAJ	VYBER	1560	33467	\N	\N	\N
2571736	8489	1996-10-17	VYDAJ	VYBER	2760	31937	\N	\N	\N
2571737	8489	1996-12-25	VYDAJ	VYBER	2880	35514	\N	\N	\N
2571738	8489	1996-06-19	VYDAJ	VYBER	3600	35095	\N	\N	\N
2571739	8489	1997-05-19	VYDAJ	VYBER	4560	49080	\N	\N	\N
2571742	8489	1998-11-13	VYDAJ	VYBER	4320	51289	\N	\N	\N
2571743	8489	1998-04-25	VYDAJ	VYBER	5640	42257	\N	\N	\N
2571745	8489	1998-04-07	VYDAJ	VYBER	3000	59102	\N	\N	\N
2571746	8489	1998-07-21	VYDAJ	VYBER	5760	34714	\N	\N	\N
2571747	8489	1998-11-01	VYDAJ	VYBER	4200	50038	\N	\N	\N
2571748	8489	1998-10-05	VYDAJ	VYBER	1920	46438	\N	\N	\N
2571763	8489	1994-02-28	VYDAJ	VYBER	15	36412	SLUZBY	\N	\N
2571764	8489	1994-03-31	VYDAJ	VYBER	15	32675	SLUZBY	\N	\N
2571765	8489	1994-04-30	VYDAJ	VYBER	15	31706	SLUZBY	\N	\N
2571766	8489	1994-05-31	VYDAJ	VYBER	15	33908	SLUZBY	\N	\N
2571767	8489	1994-06-30	VYDAJ	VYBER	15	28003	SLUZBY	\N	\N
2571768	8489	1994-07-31	VYDAJ	VYBER	15	29593	SLUZBY	\N	\N
2571769	8489	1994-08-31	VYDAJ	VYBER	15	26789	SLUZBY	\N	\N
2571770	8489	1994-09-30	VYDAJ	VYBER	15	30181	SLUZBY	\N	\N
2571771	8489	1994-10-31	VYDAJ	VYBER	15	33078	SLUZBY	\N	\N
2571772	8489	1994-11-30	VYDAJ	VYBER	15	35584	SLUZBY	\N	\N
2571773	8489	1994-12-31	VYDAJ	VYBER	15	42204	SLUZBY	\N	\N
2571774	8489	1995-01-31	VYDAJ	VYBER	15	22727	SLUZBY	\N	\N
2571775	8489	1995-02-28	VYDAJ	VYBER	15	25284	SLUZBY	\N	\N
2571776	8489	1995-03-31	VYDAJ	VYBER	15	28259	SLUZBY	\N	\N
2571777	8489	1995-04-30	VYDAJ	VYBER	15	27941	SLUZBY	\N	\N
2571778	8489	1995-05-31	VYDAJ	VYBER	15	27216	SLUZBY	\N	\N
2571779	8489	1995-06-30	VYDAJ	VYBER	15	35527	SLUZBY	\N	\N
2571780	8489	1995-07-31	VYDAJ	VYBER	15	33343	SLUZBY	\N	\N
2571781	8489	1995-08-31	VYDAJ	VYBER	15	26399	SLUZBY	\N	\N
2571782	8489	1995-09-30	VYDAJ	VYBER	15	27995	SLUZBY	\N	\N
2571783	8489	1995-10-31	VYDAJ	VYBER	15	25859	SLUZBY	\N	\N
2571784	8489	1995-11-30	VYDAJ	VYBER	15	24134	SLUZBY	\N	\N
2571785	8489	1995-12-31	VYDAJ	VYBER	15	25328	SLUZBY	\N	\N
2571786	8489	1996-01-31	VYDAJ	VYBER	15	22510	SLUZBY	\N	\N
2571787	8489	1996-02-29	VYDAJ	VYBER	15	33329	SLUZBY	\N	\N
2571788	8489	1996-03-31	VYDAJ	VYBER	15	25417	SLUZBY	\N	\N
2571789	8489	1996-04-30	VYDAJ	VYBER	15	32426	SLUZBY	\N	\N
2571790	8489	1996-05-31	VYDAJ	VYBER	15	29491	SLUZBY	\N	\N
2571791	8489	1996-06-30	VYDAJ	VYBER	15	35341	SLUZBY	\N	\N
2571792	8489	1996-07-31	VYDAJ	VYBER	15	34290	SLUZBY	\N	\N
2571793	8489	1996-08-31	VYDAJ	VYBER	15	30677	SLUZBY	\N	\N
2571794	8489	1996-09-30	VYDAJ	VYBER	15	37296	SLUZBY	\N	\N
2571795	8489	1996-10-31	VYDAJ	VYBER	15	32178	SLUZBY	\N	\N
2571796	8489	1996-11-30	VYDAJ	VYBER	15	38830	SLUZBY	\N	\N
2571797	8489	1996-12-31	VYDAJ	VYBER	15	25865	SLUZBY	\N	\N
2571798	8489	1997-01-31	VYDAJ	VYBER	15	27301	SLUZBY	\N	\N
2571799	8489	1997-02-28	VYDAJ	VYBER	15	33883	SLUZBY	\N	\N
2571800	8489	1997-03-31	VYDAJ	VYBER	15	40519	SLUZBY	\N	\N
2571801	8489	1997-04-30	VYDAJ	VYBER	15	47239	SLUZBY	\N	\N
2571802	8489	1997-05-31	VYDAJ	VYBER	15	49432	SLUZBY	\N	\N
2571803	8489	1997-06-30	VYDAJ	VYBER	15	41780	SLUZBY	\N	\N
2571804	8489	1997-07-31	VYDAJ	VYBER	15	27286	SLUZBY	\N	\N
2571805	8489	1997-08-31	VYDAJ	VYBER	15	33863	SLUZBY	\N	\N
2571806	8489	1997-09-30	VYDAJ	VYBER	15	40490	SLUZBY	\N	\N
2571807	8489	1997-10-31	VYDAJ	VYBER	15	47201	SLUZBY	\N	\N
2571808	8489	1997-11-30	VYDAJ	VYBER	15	53959	SLUZBY	\N	\N
2571809	8489	1997-12-31	VYDAJ	VYBER	15	35684	SLUZBY	\N	\N
2571810	8489	1998-01-31	VYDAJ	VYBER	15	31253	SLUZBY	\N	\N
2571811	8489	1998-02-28	VYDAJ	VYBER	15	37847	SLUZBY	\N	\N
2571812	8489	1998-03-31	VYDAJ	VYBER	15	44496	SLUZBY	\N	\N
2571813	8489	1998-04-30	VYDAJ	VYBER	15	42570	SLUZBY	\N	\N
2571814	8489	1998-05-31	VYDAJ	VYBER	15	49282	SLUZBY	\N	\N
2571815	8489	1998-06-30	VYDAJ	VYBER	15	33303	SLUZBY	\N	\N
2571816	8489	1998-07-31	VYDAJ	VYBER	15	34936	SLUZBY	\N	\N
2571817	8489	1998-08-31	VYDAJ	VYBER	15	40629	SLUZBY	\N	\N
2571818	8489	1998-09-30	VYDAJ	VYBER	15	48358	SLUZBY	\N	\N
2571819	8489	1998-10-31	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
2571820	8489	1998-11-30	VYDAJ	VYBER	15	51610	SLUZBY	\N	\N
2571821	8489	1993-10-18	PRIJEM	VKLAD	900	19206	\N	\N	\N
2571822	8489	1993-11-17	VYDAJ	VYBER	5900	30982	\N	\N	\N
2571823	8489	1993-12-17	VYDAJ	VYBER	15700	41849	\N	\N	\N
2571824	8489	1994-01-16	VYDAJ	VYBER	17700	41985	\N	\N	\N
2571825	8489	1994-02-15	VYDAJ	VYBER	12100	36114	\N	\N	\N
2571826	8489	1994-03-17	VYDAJ	VYBER	11200	32383	\N	\N	\N
2571827	8489	1994-04-16	VYDAJ	VYBER	5900	31446	\N	\N	\N
2571828	8489	1994-05-16	VYDAJ	VYBER	4800	33677	\N	\N	\N
2571829	8489	1994-06-15	VYDAJ	VYBER	14800	35282	\N	\N	\N
2571830	8489	1994-07-15	VYDAJ	VYBER	5800	29374	\N	\N	\N
2571831	8489	1994-08-14	VYDAJ	VYBER	6900	29564	\N	\N	\N
2571832	8489	1994-09-13	VYDAJ	VYBER	5000	29960	\N	\N	\N
2571833	8489	1994-10-13	VYDAJ	VYBER	2000	41952	\N	\N	\N
2571834	8489	1994-11-12	VYDAJ	VYBER	4600	35349	\N	\N	\N
2571835	8489	1994-12-12	VYDAJ	VYBER	8400	48958	\N	\N	\N
2571836	8489	1995-01-11	VYDAJ	VYBER	10600	32355	\N	\N	\N
2571837	8489	1995-02-10	VYDAJ	VYBER	2800	33698	\N	\N	\N
2571838	8489	1995-03-12	PRIJEM	VKLAD	800	34155	\N	\N	\N
2571839	8489	1995-04-11	VYDAJ	VYBER	6700	27730	\N	\N	\N
2571840	8489	1995-05-11	VYDAJ	VYBER	6000	35712	\N	\N	\N
2571841	8489	1995-06-10	VYDAJ	VYBER	7000	35290	\N	\N	\N
2571842	8489	1995-07-10	VYDAJ	VYBER	8800	40498	\N	\N	\N
2571843	8489	1995-08-09	VYDAJ	VYBER	3700	41489	\N	\N	\N
2571844	8489	1995-09-08	VYDAJ	VYBER	5000	39005	\N	\N	\N
2571845	8489	1995-10-08	VYDAJ	VYBER	8700	36901	\N	\N	\N
2571846	8489	1995-11-07	VYDAJ	VYBER	8300	35165	\N	\N	\N
2571847	8489	1995-12-07	VYDAJ	VYBER	10200	40343	\N	\N	\N
2571848	8489	1996-01-06	VYDAJ	VYBER	6500	36434	\N	\N	\N
2571849	8489	1996-02-05	PRIJEM	VKLAD	4200	26710	\N	\N	\N
2571850	8489	1996-03-06	VYDAJ	VYBER	14500	36435	\N	\N	\N
2571851	8489	1996-04-05	PRIJEM	VKLAD	400	25817	\N	\N	\N
2571852	8489	1996-05-05	VYDAJ	VYBER	3800	28626	\N	\N	\N
2571853	8489	1996-06-04	VYDAJ	VYBER	6000	23491	\N	\N	\N
2571854	8489	1996-07-04	VYDAJ	VYBER	7700	27641	\N	\N	\N
2571855	8489	1996-08-03	VYDAJ	VYBER	8200	26090	\N	\N	\N
2571856	8489	1996-10-02	VYDAJ	VYBER	9000	28296	\N	\N	\N
2571857	8489	1996-12-01	VYDAJ	VYBER	11800	27030	\N	\N	\N
2571858	8489	1996-12-31	VYDAJ	VYBER	9900	25880	\N	\N	\N
2571859	8489	1997-07-29	VYDAJ	VYBER	21200	26981	\N	\N	\N
2571860	8489	1997-12-26	VYDAJ	VYBER	29200	35323	\N	\N	\N
2571861	8489	1998-06-24	VYDAJ	VYBER	31500	32986	\N	\N	\N
2572273	8492	1994-06-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2572280	8492	1994-07-12	PRIJEM	VKLAD	11142	12142	\N	\N	\N
2572281	8492	1994-08-12	PRIJEM	VKLAD	11142	29697	\N	\N	\N
2572282	8492	1994-09-12	PRIJEM	VKLAD	11142	37130	\N	\N	\N
2572283	8492	1994-10-12	PRIJEM	VKLAD	11142	42096	\N	\N	\N
2572284	8492	1994-11-12	PRIJEM	VKLAD	11142	43084	\N	\N	\N
2572285	8492	1994-12-12	PRIJEM	VKLAD	16713	42787	\N	\N	\N
2572286	8492	1995-01-12	PRIJEM	VKLAD	11142	28114	\N	\N	\N
2572287	8492	1995-02-12	PRIJEM	VKLAD	11142	27610	\N	\N	\N
2572288	8492	1995-03-12	PRIJEM	VKLAD	11142	32902	\N	\N	\N
2572289	8492	1995-04-12	PRIJEM	VKLAD	11142	37569	\N	\N	\N
2572290	8492	1995-05-12	PRIJEM	VKLAD	11142	31677	\N	\N	\N
2572291	8492	1995-06-12	PRIJEM	VKLAD	16713	42619	\N	\N	\N
2572292	8492	1995-07-12	PRIJEM	VKLAD	11142	44714	\N	\N	\N
2572293	8492	1995-08-12	PRIJEM	VKLAD	11142	43764	\N	\N	\N
2572294	8492	1995-09-12	PRIJEM	VKLAD	11142	46106	\N	\N	\N
2572295	8492	1995-10-12	PRIJEM	VKLAD	11142	43880	\N	\N	\N
2572296	8492	1995-11-12	PRIJEM	VKLAD	11142	42416	\N	\N	\N
2572297	8492	1995-12-12	PRIJEM	VKLAD	16713	48330	\N	\N	\N
2572298	8492	1996-01-12	PRIJEM	VKLAD	11142	29662	\N	\N	\N
2572299	8492	1996-02-12	PRIJEM	VKLAD	11142	33578	\N	\N	\N
2572300	8492	1996-03-12	PRIJEM	VKLAD	11142	37153	\N	\N	\N
2572301	8492	1996-04-12	PRIJEM	VKLAD	11142	43609	\N	\N	\N
2572302	8492	1996-05-12	PRIJEM	VKLAD	11142	50526	\N	\N	\N
2572303	8492	1996-06-12	PRIJEM	VKLAD	16713	50337	\N	\N	\N
2572304	8492	1996-07-12	PRIJEM	VKLAD	11142	52279	\N	\N	\N
2572305	8492	1996-08-12	PRIJEM	VKLAD	11142	45721	\N	\N	\N
2572306	8492	1996-09-12	PRIJEM	VKLAD	11142	48135	\N	\N	\N
2572307	8492	1996-10-12	PRIJEM	VKLAD	11142	42671	\N	\N	\N
2572308	8492	1996-11-12	PRIJEM	VKLAD	11142	44519	\N	\N	\N
2572309	8492	1996-12-12	PRIJEM	VKLAD	16713	51130	\N	\N	\N
2572310	8492	1997-01-12	PRIJEM	VKLAD	11142	43662	\N	\N	\N
2572311	8492	1997-02-12	PRIJEM	VKLAD	11142	31883	\N	\N	\N
2572312	8492	1997-03-12	PRIJEM	VKLAD	11142	38163	\N	\N	\N
2572313	8492	1997-04-12	PRIJEM	VKLAD	11142	39815	\N	\N	\N
2572314	8492	1997-05-12	PRIJEM	VKLAD	11142	45477	\N	\N	\N
2572315	8492	1997-06-12	PRIJEM	VKLAD	16713	34800	\N	\N	\N
2572316	8492	1997-07-12	PRIJEM	VKLAD	11142	43053	\N	\N	\N
2572317	8492	1997-08-12	PRIJEM	VKLAD	11142	43312	\N	\N	\N
2572318	8492	1997-09-12	PRIJEM	VKLAD	11142	45519	\N	\N	\N
2572319	8492	1997-10-12	PRIJEM	VKLAD	11142	53471	\N	\N	\N
2572320	8492	1997-11-12	PRIJEM	VKLAD	11142	54638	\N	\N	\N
2572321	8492	1997-12-12	PRIJEM	VKLAD	16713	61636	\N	\N	\N
2572322	8492	1998-01-12	PRIJEM	VKLAD	11142	46630	\N	\N	\N
2572323	8492	1998-02-12	PRIJEM	VKLAD	11142	49477	\N	\N	\N
2572324	8492	1998-03-12	PRIJEM	VKLAD	11142	57655	\N	\N	\N
2572325	8492	1998-04-12	PRIJEM	VKLAD	11142	61497	\N	\N	\N
2572326	8492	1998-05-12	PRIJEM	VKLAD	11142	65806	\N	\N	\N
2572327	8492	1998-06-12	PRIJEM	VKLAD	16713	52002	\N	\N	\N
2572328	8492	1998-07-12	PRIJEM	VKLAD	11142	64491	\N	\N	\N
2572329	8492	1998-08-12	PRIJEM	VKLAD	11142	72425	\N	\N	\N
2572330	8492	1998-09-12	PRIJEM	VKLAD	11142	75528	\N	\N	\N
2572331	8492	1998-10-12	PRIJEM	VKLAD	11142	76408	\N	\N	\N
2572332	8492	1998-11-12	PRIJEM	VKLAD	11142	77154	\N	\N	\N
2572333	8492	1998-12-12	PRIJEM	VKLAD	16713	84411	\N	\N	\N
2572345	8492	1994-12-08	VYDAJ	PREVOD NA UCET	4403	26074	SIPO	ST	72004610
2572346	8492	1995-01-08	VYDAJ	PREVOD NA UCET	4403	26812	SIPO	ST	72004610
2572347	8492	1995-02-08	VYDAJ	PREVOD NA UCET	4403	16468	SIPO	ST	72004610
2572348	8492	1995-03-08	VYDAJ	PREVOD NA UCET	4403	21760	SIPO	ST	72004610
2572349	8492	1995-04-08	VYDAJ	PREVOD NA UCET	4403	26427	SIPO	ST	72004610
2572350	8492	1995-05-08	VYDAJ	PREVOD NA UCET	4403	25695	SIPO	ST	72004610
2572351	8492	1995-06-08	VYDAJ	PREVOD NA UCET	4403	25906	SIPO	ST	72004610
2572352	8492	1995-07-08	VYDAJ	PREVOD NA UCET	4403	33572	SIPO	ST	72004610
2572353	8492	1995-08-08	VYDAJ	PREVOD NA UCET	4403	32622	SIPO	ST	72004610
2572354	8492	1995-09-08	VYDAJ	PREVOD NA UCET	4403	34964	SIPO	ST	72004610
2572355	8492	1995-10-08	VYDAJ	PREVOD NA UCET	4403	32738	SIPO	ST	72004610
2572356	8492	1995-11-08	VYDAJ	PREVOD NA UCET	4403	31274	SIPO	ST	72004610
2572357	8492	1995-12-08	VYDAJ	PREVOD NA UCET	4403	31617	SIPO	ST	72004610
2572358	8492	1996-01-08	VYDAJ	PREVOD NA UCET	4403	18520	SIPO	ST	72004610
2572359	8492	1996-02-08	VYDAJ	PREVOD NA UCET	4403	22436	SIPO	ST	72004610
2572360	8492	1996-03-08	VYDAJ	PREVOD NA UCET	4403	30931	SIPO	ST	72004610
2572361	8492	1996-04-08	VYDAJ	PREVOD NA UCET	4403	32467	SIPO	ST	72004610
2572362	8492	1996-05-08	VYDAJ	PREVOD NA UCET	4403	39384	SIPO	ST	72004610
2572363	8492	1996-06-08	VYDAJ	PREVOD NA UCET	4403	33624	SIPO	ST	72004610
2572364	8492	1996-07-08	VYDAJ	PREVOD NA UCET	4403	41137	SIPO	ST	72004610
2572365	8492	1996-08-08	VYDAJ	PREVOD NA UCET	4403	34579	SIPO	ST	72004610
2572366	8492	1996-09-08	VYDAJ	PREVOD NA UCET	4403	36993	SIPO	ST	72004610
2572367	8492	1996-10-08	VYDAJ	PREVOD NA UCET	4403	31529	SIPO	ST	72004610
2572368	8492	1996-11-08	VYDAJ	PREVOD NA UCET	4403	33377	SIPO	ST	72004610
2572369	8492	1996-12-08	VYDAJ	PREVOD NA UCET	4403	35817	SIPO	ST	72004610
2572370	8492	1997-01-08	VYDAJ	PREVOD NA UCET	4403	34220	SIPO	ST	72004610
2572371	8492	1997-02-08	VYDAJ	PREVOD NA UCET	4403	20741	SIPO	ST	72004610
2572372	8492	1997-03-08	VYDAJ	PREVOD NA UCET	4403	27021	SIPO	ST	72004610
2572373	8492	1997-04-08	VYDAJ	PREVOD NA UCET	4403	28673	SIPO	ST	72004610
2572374	8492	1997-05-08	VYDAJ	PREVOD NA UCET	4403	34335	SIPO	ST	72004610
2572375	8492	1997-06-08	VYDAJ	PREVOD NA UCET	4403	18087	SIPO	ST	72004610
2572376	8492	1997-07-08	VYDAJ	PREVOD NA UCET	4403	31911	SIPO	ST	72004610
2572377	8492	1997-08-08	VYDAJ	PREVOD NA UCET	4403	32170	SIPO	ST	72004610
2572378	8492	1997-09-08	VYDAJ	PREVOD NA UCET	4403	29677	SIPO	ST	72004610
2572379	8492	1997-10-08	VYDAJ	PREVOD NA UCET	4403	39929	SIPO	ST	72004610
2572380	8492	1997-11-08	VYDAJ	PREVOD NA UCET	4403	47996	SIPO	ST	72004610
2572381	8492	1997-12-08	VYDAJ	PREVOD NA UCET	4403	49123	SIPO	ST	72004610
2572382	8492	1998-01-08	VYDAJ	PREVOD NA UCET	4403	54068	SIPO	ST	72004610
2572383	8492	1998-02-08	VYDAJ	PREVOD NA UCET	4403	38335	SIPO	ST	72004610
2572384	8492	1998-03-08	VYDAJ	PREVOD NA UCET	4403	43913	SIPO	ST	72004610
2572385	8492	1998-04-08	VYDAJ	PREVOD NA UCET	4403	52155	SIPO	ST	72004610
2572386	8492	1998-05-08	VYDAJ	PREVOD NA UCET	4403	50964	SIPO	ST	72004610
2572387	8492	1998-06-08	VYDAJ	PREVOD NA UCET	4403	62969	SIPO	ST	72004610
2572388	8492	1998-07-08	VYDAJ	PREVOD NA UCET	4403	53349	SIPO	ST	72004610
2572389	8492	1998-08-08	VYDAJ	PREVOD NA UCET	4403	61283	SIPO	ST	72004610
2572390	8492	1998-09-08	VYDAJ	PREVOD NA UCET	4403	64386	SIPO	ST	72004610
2572391	8492	1998-10-08	VYDAJ	PREVOD NA UCET	4403	65266	SIPO	ST	72004610
2572392	8492	1998-11-08	VYDAJ	PREVOD NA UCET	4403	66012	SIPO	ST	72004610
2572393	8492	1998-12-08	VYDAJ	PREVOD NA UCET	4403	67698	SIPO	ST	72004610
2572404	8492	1994-11-19	VYDAJ	VYBER	1500	41584	\N	\N	0
2572405	8492	1994-12-04	VYDAJ	VYBER	1700	30477	\N	\N	0
2572406	8492	1995-01-08	VYDAJ	VYBER	1200	25612	\N	\N	0
2572407	8492	1995-02-13	VYDAJ	VYBER	1200	26410	\N	\N	0
2572408	8492	1995-03-07	VYDAJ	VYBER	1300	26163	\N	\N	0
2572409	8492	1995-04-02	VYDAJ	VYBER	1000	30830	\N	\N	0
2572410	8492	1995-05-02	VYDAJ	VYBER	1300	30098	\N	\N	0
2572411	8492	1995-06-02	VYDAJ	VYBER	1700	30309	\N	\N	0
2572412	8492	1995-07-17	VYDAJ	VYBER	1100	43614	\N	\N	0
2572413	8492	1995-08-17	VYDAJ	VYBER	1500	42264	\N	\N	0
2572414	8492	1995-09-12	VYDAJ	PREVOD NA UCET	1431	44675	UVER	EF	88451617
2572415	8492	1995-10-12	VYDAJ	PREVOD NA UCET	1431	42449	UVER	EF	88451617
2572416	8492	1995-11-12	VYDAJ	PREVOD NA UCET	1431	40985	UVER	EF	88451617
2572417	8492	1995-12-12	VYDAJ	PREVOD NA UCET	1431	46899	UVER	EF	88451617
2572418	8492	1996-01-12	VYDAJ	PREVOD NA UCET	1431	28231	UVER	EF	88451617
2572419	8492	1996-02-12	VYDAJ	PREVOD NA UCET	1431	32147	UVER	EF	88451617
2572420	8492	1996-03-12	VYDAJ	PREVOD NA UCET	1431	35722	UVER	EF	88451617
2572421	8492	1996-04-12	VYDAJ	PREVOD NA UCET	1431	42178	UVER	EF	88451617
2572422	8492	1996-05-12	VYDAJ	PREVOD NA UCET	1431	49095	UVER	EF	88451617
2572423	8492	1996-06-12	VYDAJ	PREVOD NA UCET	1431	48906	UVER	EF	88451617
2572424	8492	1996-07-12	VYDAJ	PREVOD NA UCET	1431	50848	UVER	EF	88451617
2572425	8492	1996-08-12	VYDAJ	PREVOD NA UCET	1431	44290	UVER	EF	88451617
2572426	8492	1996-09-12	VYDAJ	PREVOD NA UCET	1431	46704	UVER	EF	88451617
2572427	8492	1996-10-12	VYDAJ	PREVOD NA UCET	1431	41240	UVER	EF	88451617
2572428	8492	1996-11-12	VYDAJ	PREVOD NA UCET	1431	43088	UVER	EF	88451617
2572429	8492	1996-12-12	VYDAJ	PREVOD NA UCET	1431	49699	UVER	EF	88451617
2572430	8492	1997-01-12	VYDAJ	PREVOD NA UCET	1431	38831	UVER	EF	88451617
2572431	8492	1997-02-12	VYDAJ	PREVOD NA UCET	1431	30452	UVER	EF	88451617
2572432	8492	1997-03-12	VYDAJ	PREVOD NA UCET	1431	36732	UVER	EF	88451617
2572433	8492	1997-04-12	VYDAJ	PREVOD NA UCET	1431	38384	UVER	EF	88451617
2572434	8492	1997-05-12	VYDAJ	PREVOD NA UCET	1431	44046	UVER	EF	88451617
2572435	8492	1997-06-12	VYDAJ	PREVOD NA UCET	1431	33369	UVER	EF	88451617
2572436	8492	1997-07-12	VYDAJ	PREVOD NA UCET	1431	41622	UVER	EF	88451617
2572437	8492	1997-08-12	VYDAJ	PREVOD NA UCET	1431	41881	UVER	EF	88451617
2572438	8492	1997-09-12	VYDAJ	PREVOD NA UCET	1431	44088	UVER	EF	88451617
2572439	8492	1997-10-12	VYDAJ	PREVOD NA UCET	1431	52040	UVER	EF	88451617
2572440	8492	1997-11-12	VYDAJ	PREVOD NA UCET	1431	53207	UVER	EF	88451617
2572441	8492	1997-12-12	VYDAJ	PREVOD NA UCET	1431	60205	UVER	EF	88451617
2572442	8492	1998-01-12	VYDAJ	PREVOD NA UCET	1431	45199	UVER	EF	88451617
2572443	8492	1998-02-12	VYDAJ	PREVOD NA UCET	1431	48046	UVER	EF	88451617
2572444	8492	1998-03-12	VYDAJ	PREVOD NA UCET	1431	56224	UVER	EF	88451617
2572445	8492	1998-04-12	VYDAJ	PREVOD NA UCET	1431	60066	UVER	EF	88451617
2572446	8492	1998-05-12	VYDAJ	PREVOD NA UCET	1431	64375	UVER	EF	88451617
2572447	8492	1998-06-12	VYDAJ	PREVOD NA UCET	1431	50571	UVER	EF	88451617
2572448	8492	1998-07-12	VYDAJ	PREVOD NA UCET	1431	63060	UVER	EF	88451617
2572449	8492	1998-08-12	VYDAJ	PREVOD NA UCET	1431	70994	UVER	EF	88451617
2572450	8492	1998-09-12	VYDAJ	PREVOD NA UCET	1431	74097	UVER	EF	88451617
2572451	8492	1998-10-12	VYDAJ	PREVOD NA UCET	1431	74977	UVER	EF	88451617
2572452	8492	1998-11-12	VYDAJ	PREVOD NA UCET	1431	75723	UVER	EF	88451617
2572453	8492	1998-12-12	VYDAJ	PREVOD NA UCET	1431	82980	UVER	EF	88451617
2572456	8492	1996-06-04	VYDAJ	VYBER	8320	38027	\N	\N	\N
2572457	8492	1997-06-02	VYDAJ	VYBER	20000	22490	\N	\N	\N
2572458	8492	1998-06-10	VYDAJ	VYBER	27680	35289	\N	\N	\N
2572460	8492	1995-01-09	VYDAJ	VYBER	7680	17932	\N	\N	\N
2572461	8492	1996-01-06	VYDAJ	VYBER	13760	22923	\N	\N	\N
2572462	8492	1997-01-18	VYDAJ	VYBER	11520	29111	\N	\N	\N
2572463	8492	1998-01-11	VYDAJ	VYBER	14880	37088	\N	\N	\N
2572464	8492	1994-12-02	VYDAJ	VYBER	2400	32177	\N	\N	\N
2572465	8492	1995-12-23	VYDAJ	VYBER	1280	38059	\N	\N	\N
2572466	8492	1996-12-10	VYDAJ	VYBER KARTOU	1400	34417	\N	\N	0
2572467	8492	1997-12-29	VYDAJ	VYBER KARTOU	1000	59205	\N	\N	0
2572468	8492	1998-12-21	VYDAJ	VYBER KARTOU	4000	78980	\N	\N	0
2572475	8492	1995-01-24	VYDAJ	VYBER	2760	17314	\N	\N	\N
2572476	8492	1995-01-18	VYDAJ	VYBER	1200	22834	\N	\N	\N
2572477	8492	1995-01-11	VYDAJ	VYBER	960	16972	\N	\N	\N
2572478	8492	1995-01-12	VYDAJ	VYBER	720	27394	\N	\N	\N
2572479	8492	1995-01-21	VYDAJ	VYBER	2760	20074	\N	\N	\N
2572480	8492	1995-01-15	VYDAJ	VYBER	3360	24034	\N	\N	\N
2572481	8492	1996-01-25	VYDAJ	VYBER	2400	29391	\N	\N	\N
2572482	8492	1996-01-28	VYDAJ	VYBER	2760	26631	\N	\N	\N
2572483	8492	1996-01-19	VYDAJ	VYBER	1200	27031	\N	\N	\N
2572485	8492	1996-01-23	VYDAJ	VYBER	840	31791	\N	\N	\N
2572486	8492	1996-01-03	VYDAJ	VYBER	1680	36683	\N	\N	\N
2572487	8492	1997-01-22	VYDAJ	VYBER KARTOU	3100	26011	\N	\N	0
2572488	8492	1997-01-12	VYDAJ	VYBER KARTOU	3400	40262	\N	\N	0
2572489	8492	1997-01-09	VYDAJ	VYBER KARTOU	1700	32520	\N	\N	0
2572490	8492	1997-01-28	VYDAJ	VYBER KARTOU	1100	24911	\N	\N	0
2572491	8492	1997-01-06	VYDAJ	VYBER KARTOU	1000	38623	\N	\N	0
2572492	8492	1997-01-17	VYDAJ	VYBER KARTOU	1000	40631	\N	\N	0
2572493	8492	1998-01-26	VYDAJ	VYBER KARTOU	1000	39899	\N	\N	0
2572494	8492	1998-01-11	VYDAJ	VYBER KARTOU	1600	35488	\N	\N	0
2572495	8492	1998-01-24	VYDAJ	VYBER KARTOU	2400	40899	\N	\N	0
2572496	8492	1998-01-29	VYDAJ	VYBER KARTOU	2200	35699	\N	\N	0
2572497	8492	1998-01-23	VYDAJ	VYBER KARTOU	1900	43299	\N	\N	0
2572498	8492	1998-01-26	VYDAJ	VYBER KARTOU	2000	37899	\N	\N	0
2572504	8492	1995-05-11	VYDAJ	VYBER	5160	20535	\N	\N	\N
2572505	8492	1995-01-05	VYDAJ	VYBER	5160	31215	\N	\N	\N
2572506	8492	1995-09-17	VYDAJ	VYBER	5880	38795	\N	\N	\N
2572507	8492	1995-10-21	VYDAJ	VYBER	5160	37289	\N	\N	\N
2572508	8492	1995-12-13	VYDAJ	VYBER	960	45939	\N	\N	\N
2572509	8492	1996-09-08	VYDAJ	VYBER KARTOU	1800	41396	\N	\N	0
2572510	8492	1996-12-15	VYDAJ	VYBER	5640	41559	\N	\N	\N
2572511	8492	1996-10-08	VYDAJ	VYBER	5640	35932	\N	\N	\N
2572512	8492	1996-03-26	VYDAJ	VYBER	2280	36642	\N	\N	\N
2572513	8492	1996-03-11	VYDAJ	VYBER	4920	26011	\N	\N	\N
2572514	8492	1996-07-23	VYDAJ	VYBER	3960	43388	\N	\N	\N
2572515	8492	1996-07-23	VYDAJ	VYBER	4680	38708	\N	\N	\N
2572516	8492	1997-03-30	VYDAJ	VYBER KARTOU	3800	32832	\N	\N	0
2572517	8492	1997-08-30	VYDAJ	VYBER	5520	33861	\N	\N	\N
2572518	8492	1997-01-04	VYDAJ	VYBER KARTOU	2200	39623	\N	\N	0
2572519	8492	1997-02-23	VYDAJ	VYBER KARTOU	3400	31252	\N	\N	0
2572520	8492	1998-06-12	VYDAJ	VYBER KARTOU	1600	48971	\N	\N	0
2572521	8492	1998-02-05	VYDAJ	VYBER KARTOU	1200	34838	\N	\N	0
2572522	8492	1998-01-06	VYDAJ	VYBER KARTOU	1100	58471	\N	\N	0
2572523	8492	1998-04-16	VYDAJ	VYBER	5040	55026	\N	\N	\N
2572524	8492	1998-06-18	VYDAJ	VYBER KARTOU	700	48271	\N	\N	0
2572525	8492	1998-10-30	VYDAJ	VYBER	4800	70177	\N	\N	\N
2572537	8492	1994-11-30	VYDAJ	VYBER	15	34577	SLUZBY	\N	\N
2572538	8492	1994-12-31	VYDAJ	VYBER	15	36375	SLUZBY	\N	\N
2572539	8492	1995-01-31	VYDAJ	VYBER	15	20871	SLUZBY	\N	\N
2572540	8492	1995-02-28	VYDAJ	VYBER	15	27463	SLUZBY	\N	\N
2572541	8492	1995-03-31	VYDAJ	VYBER	15	31830	SLUZBY	\N	\N
2572542	8492	1995-04-30	VYDAJ	VYBER	15	31398	SLUZBY	\N	\N
2572543	8492	1995-05-31	VYDAJ	VYBER	15	32009	SLUZBY	\N	\N
2572544	8492	1995-06-30	VYDAJ	VYBER	15	37975	SLUZBY	\N	\N
2572545	8492	1995-07-31	VYDAJ	VYBER	15	37025	SLUZBY	\N	\N
2572546	8492	1995-08-31	VYDAJ	VYBER	15	39367	SLUZBY	\N	\N
2572547	8492	1995-09-30	VYDAJ	VYBER	15	37141	SLUZBY	\N	\N
2572548	8492	1995-10-31	VYDAJ	VYBER	15	35677	SLUZBY	\N	\N
2572549	8492	1995-11-30	VYDAJ	VYBER	15	36020	SLUZBY	\N	\N
2572550	8492	1995-12-31	VYDAJ	VYBER	15	38363	SLUZBY	\N	\N
2572551	8492	1996-01-31	VYDAJ	VYBER	15	26839	SLUZBY	\N	\N
2572552	8492	1996-02-29	VYDAJ	VYBER	15	35334	SLUZBY	\N	\N
2572553	8492	1996-03-31	VYDAJ	VYBER	15	36870	SLUZBY	\N	\N
2572554	8492	1996-04-30	VYDAJ	VYBER	15	43787	SLUZBY	\N	\N
2572555	8492	1996-05-31	VYDAJ	VYBER	15	46347	SLUZBY	\N	\N
2572556	8492	1996-06-30	VYDAJ	VYBER	15	45540	SLUZBY	\N	\N
2572557	8492	1996-07-31	VYDAJ	VYBER	15	38982	SLUZBY	\N	\N
2572558	8492	1996-08-31	VYDAJ	VYBER	15	43196	SLUZBY	\N	\N
2572559	8492	1996-09-30	VYDAJ	VYBER	15	41572	SLUZBY	\N	\N
2572560	8492	1996-10-31	VYDAJ	VYBER	15	37780	SLUZBY	\N	\N
2572561	8492	1996-11-30	VYDAJ	VYBER	15	40220	SLUZBY	\N	\N
2572562	8492	1996-12-31	VYDAJ	VYBER	15	41823	SLUZBY	\N	\N
2572563	8492	1997-01-31	VYDAJ	VYBER	15	25144	SLUZBY	\N	\N
2572564	8492	1997-02-28	VYDAJ	VYBER	15	31424	SLUZBY	\N	\N
2572565	8492	1997-03-31	VYDAJ	VYBER	15	33076	SLUZBY	\N	\N
2572566	8492	1997-04-30	VYDAJ	VYBER	15	38738	SLUZBY	\N	\N
2572567	8492	1997-05-31	VYDAJ	VYBER	15	42490	SLUZBY	\N	\N
2572568	8492	1997-06-30	VYDAJ	VYBER	15	36314	SLUZBY	\N	\N
2572569	8492	1997-07-31	VYDAJ	VYBER	15	36573	SLUZBY	\N	\N
2572570	8492	1997-08-31	VYDAJ	VYBER	15	34080	SLUZBY	\N	\N
2572571	8492	1997-09-30	VYDAJ	VYBER	15	44332	SLUZBY	\N	\N
2572572	8492	1997-10-31	VYDAJ	VYBER	15	52399	SLUZBY	\N	\N
2572573	8492	1997-11-30	VYDAJ	VYBER	15	53526	SLUZBY	\N	\N
2572574	8492	1997-12-31	VYDAJ	VYBER	15	59571	SLUZBY	\N	\N
2572575	8492	1998-01-31	VYDAJ	VYBER	15	36038	SLUZBY	\N	\N
2572576	8492	1998-02-28	VYDAJ	VYBER	15	48316	SLUZBY	\N	\N
2572577	8492	1998-03-31	VYDAJ	VYBER	15	56558	SLUZBY	\N	\N
2572578	8492	1998-04-30	VYDAJ	VYBER	15	55367	SLUZBY	\N	\N
2572579	8492	1998-05-31	VYDAJ	VYBER	15	64772	SLUZBY	\N	\N
2572580	8492	1998-06-30	VYDAJ	VYBER	15	48652	SLUZBY	\N	\N
2572581	8492	1998-07-31	VYDAJ	VYBER	15	63486	SLUZBY	\N	\N
2572582	8492	1998-08-31	VYDAJ	VYBER	15	71489	SLUZBY	\N	\N
2572583	8492	1998-09-30	VYDAJ	VYBER	15	74569	SLUZBY	\N	\N
2572584	8492	1998-10-31	VYDAJ	VYBER	15	70715	SLUZBY	\N	\N
2572585	8492	1998-11-30	VYDAJ	VYBER	15	76201	SLUZBY	\N	\N
2572586	8492	1994-07-29	PRIJEM	VKLAD	6400	18542	\N	\N	\N
2572587	8492	1994-08-28	VYDAJ	VYBER	3800	25897	\N	\N	\N
2572588	8492	1994-09-27	VYDAJ	VYBER	6300	30830	\N	\N	\N
2572589	8492	1994-10-27	VYDAJ	VYBER	10300	31796	\N	\N	\N
2572590	8492	1994-11-26	VYDAJ	VYBER	7200	34384	\N	\N	\N
2572591	8492	1994-12-26	VYDAJ	VYBER	6700	36087	\N	\N	\N
2572592	8492	1995-01-25	PRIJEM	VKLAD	3400	20714	\N	\N	\N
2572593	8492	1995-02-24	PRIJEM	VKLAD	900	27310	\N	\N	\N
2572594	8492	1995-03-26	VYDAJ	VYBER	1300	31602	\N	\N	\N
2572595	8492	1995-04-25	VYDAJ	VYBER	6400	31169	\N	\N	\N
2572596	8492	1995-05-25	PRIJEM	VKLAD	100	31777	\N	\N	\N
2572597	8492	1995-06-24	VYDAJ	VYBER	4900	37719	\N	\N	\N
2572598	8492	1995-07-24	VYDAJ	VYBER	6900	36714	\N	\N	\N
2572599	8492	1995-08-23	VYDAJ	VYBER	3200	39064	\N	\N	\N
2572600	8492	1995-09-22	VYDAJ	VYBER	1900	36895	\N	\N	\N
2572601	8492	1995-10-22	VYDAJ	VYBER	1900	35389	\N	\N	\N
2572602	8492	1995-11-21	VYDAJ	VYBER	5200	35785	\N	\N	\N
2572603	8492	1995-12-21	VYDAJ	VYBER	6600	39339	\N	\N	\N
2572604	8492	1996-01-20	PRIJEM	VKLAD	5600	32631	\N	\N	\N
2572605	8492	1996-02-19	PRIJEM	VKLAD	3000	35147	\N	\N	\N
2572606	8492	1996-03-20	PRIJEM	VKLAD	3200	38922	\N	\N	\N
2572607	8492	1996-04-19	PRIJEM	VKLAD	1300	43478	\N	\N	\N
2572608	8492	1996-05-19	VYDAJ	VYBER	3100	45995	\N	\N	\N
2572609	8492	1996-06-18	VYDAJ	VYBER	3700	45206	\N	\N	\N
2572610	8492	1996-07-18	VYDAJ	VYBER	3500	47348	\N	\N	\N
2572611	8492	1996-08-17	VYDAJ	VYBER KARTOU	1400	42890	\N	\N	0
2572612	8492	1996-09-16	VYDAJ	VYBER	5400	41304	\N	\N	\N
2572613	8492	1996-10-16	VYDAJ	VYBER KARTOU	3700	37540	\N	\N	0
2572614	8492	1996-11-15	VYDAJ	VYBER KARTOU	3100	39988	\N	\N	0
2572615	8492	1996-12-15	VYDAJ	VYBER KARTOU	2500	47199	\N	\N	0
2572616	8492	1997-01-14	PRIJEM	VKLAD	2800	41631	\N	\N	\N
2572617	8492	1997-02-13	PRIJEM	VKLAD	4200	34652	\N	\N	\N
2572618	8492	1997-03-15	VYDAJ	VYBER KARTOU	100	36632	\N	\N	0
2572619	8492	1997-04-14	PRIJEM	VKLAD	100	38484	\N	\N	\N
2572620	8492	1997-05-14	VYDAJ	VYBER KARTOU	1800	42246	\N	\N	0
2572621	8492	1997-06-13	PRIJEM	VKLAD	2700	36069	\N	\N	\N
2572622	8492	1997-07-13	VYDAJ	VYBER	5300	36322	\N	\N	\N
2572623	8492	1997-08-12	VYDAJ	VYBER KARTOU	2500	39381	\N	\N	0
2572624	8492	1997-09-11	PRIJEM	VKLAD	4700	34377	\N	\N	\N
2572625	8492	1997-10-11	PRIJEM	VKLAD	2400	42329	\N	\N	\N
2572626	8492	1997-11-10	VYDAJ	VYBER	4500	43496	\N	\N	\N
2572627	8492	1997-12-10	VYDAJ	VYBER	4200	44923	\N	\N	\N
2572628	8492	1998-01-09	VYDAJ	VYBER KARTOU	2100	51968	\N	\N	0
2572629	8492	1998-02-08	PRIJEM	VKLAD	7900	42738	\N	\N	\N
2572630	8492	1998-03-10	PRIJEM	VKLAD	2600	46513	\N	\N	\N
2572631	8492	1998-04-09	VYDAJ	VYBER KARTOU	1800	50355	\N	\N	0
2572632	8492	1998-05-09	PRIJEM	VKLAD	3700	54664	\N	\N	\N
2572633	8492	1998-06-08	PRIJEM	VKLAD	2600	67372	\N	\N	\N
2572634	8492	1998-07-08	PRIJEM	VKLAD	9100	57752	\N	\N	\N
2572635	8492	1998-08-07	PRIJEM	VKLAD	2200	65686	\N	\N	\N
2572636	8492	1998-09-06	VYDAJ	VYBER KARTOU	2700	68789	\N	\N	0
2572637	8492	1998-10-06	VYDAJ	VYBER	4900	69669	\N	\N	\N
2572638	8492	1998-11-05	VYDAJ	VYBER KARTOU	300	70415	\N	\N	0
2572639	8492	1998-12-05	VYDAJ	VYBER	4100	72101	\N	\N	\N
2575610	8505	1997-03-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2575614	8505	1997-04-05	PRIJEM	VKLAD	15272	16372	\N	\N	\N
2575615	8505	1997-05-05	PRIJEM	VKLAD	15272	37013	\N	\N	\N
2575616	8505	1997-06-05	PRIJEM	VKLAD	22908	50867	\N	\N	\N
2575617	8505	1997-07-05	PRIJEM	VKLAD	15272	49021	\N	\N	\N
2575618	8505	1997-08-05	PRIJEM	VKLAD	15272	45292	\N	\N	\N
2575619	8505	1997-09-05	PRIJEM	VKLAD	15272	50453	\N	\N	\N
2575620	8505	1997-10-05	PRIJEM	VKLAD	15272	46730	\N	\N	\N
2575621	8505	1997-11-05	PRIJEM	VKLAD	15272	51098	\N	\N	\N
2575622	8505	1997-12-05	PRIJEM	VKLAD	22908	57767	\N	\N	\N
2575623	8505	1998-01-05	PRIJEM	VKLAD	15272	48116	\N	\N	\N
2575624	8505	1998-02-05	PRIJEM	VKLAD	15272	41931	\N	\N	\N
2575625	8505	1998-03-05	PRIJEM	VKLAD	15272	48720	\N	\N	\N
2575626	8505	1998-04-05	PRIJEM	VKLAD	15272	50340	\N	\N	\N
2575627	8505	1998-05-05	PRIJEM	VKLAD	15272	46240	\N	\N	\N
2575628	8505	1998-06-05	PRIJEM	VKLAD	22908	55074	\N	\N	\N
2575629	8505	1998-07-05	PRIJEM	VKLAD	15272	50444	\N	\N	\N
2575630	8505	1998-08-05	PRIJEM	VKLAD	15272	50837	\N	\N	\N
2575631	8505	1998-09-05	PRIJEM	VKLAD	15272	46487	\N	\N	\N
2575632	8505	1998-10-05	PRIJEM	VKLAD	15272	39974	\N	\N	\N
2575633	8505	1998-11-05	PRIJEM	VKLAD	15272	38343	\N	\N	\N
2575634	8505	1998-12-05	PRIJEM	VKLAD	22908	45453	\N	\N	\N
2575642	8505	1997-08-02	VYDAJ	VYBER	4000	30020	\N	\N	0
2575643	8505	1997-09-07	VYDAJ	VYBER	3900	46553	\N	\N	0
2575644	8505	1997-10-03	VYDAJ	VYBER	4400	31458	\N	\N	0
2575645	8505	1997-11-10	VYDAJ	VYBER	4300	46798	\N	\N	0
2575646	8505	1997-12-12	VYDAJ	PREVOD NA UCET	3570	54197	UVER	UV	92435764
2575647	8505	1998-01-12	VYDAJ	PREVOD NA UCET	3570	44546	UVER	UV	92435764
2575648	8505	1998-02-12	VYDAJ	PREVOD NA UCET	3570	38361	UVER	UV	92435764
2575649	8505	1998-03-12	VYDAJ	PREVOD NA UCET	3570	45150	UVER	UV	92435764
2575650	8505	1998-04-12	VYDAJ	PREVOD NA UCET	3570	46770	UVER	UV	92435764
2575651	8505	1998-05-12	VYDAJ	PREVOD NA UCET	3570	42670	UVER	UV	92435764
2575652	8505	1998-06-12	VYDAJ	PREVOD NA UCET	3570	48144	UVER	UV	92435764
2575653	8505	1998-07-12	VYDAJ	PREVOD NA UCET	3570	46874	UVER	UV	92435764
2575654	8505	1998-08-12	VYDAJ	PREVOD NA UCET	3570	30967	UVER	UV	92435764
2575655	8505	1998-09-12	VYDAJ	PREVOD NA UCET	3570	26817	UVER	UV	92435764
2575656	8505	1998-10-12	VYDAJ	PREVOD NA UCET	3570	22904	UVER	UV	92435764
2575657	8505	1998-11-12	VYDAJ	PREVOD NA UCET	3570	28073	UVER	UV	92435764
2575658	8505	1998-12-03	VYDAJ	VYBER	4400	22545	\N	\N	0
2575661	8505	1997-12-29	VYDAJ	VYBER	2080	37817	\N	\N	\N
2575662	8505	1998-12-09	VYDAJ	VYBER	1120	44333	\N	\N	\N
2575669	8505	1998-01-02	VYDAJ	VYBER	3000	32844	\N	\N	\N
2575670	8505	1998-01-01	VYDAJ	VYBER	2280	35844	\N	\N	\N
2575671	8505	1998-01-18	VYDAJ	VYBER	2760	31066	\N	\N	\N
2575672	8505	1998-01-24	VYDAJ	VYBER	2160	28906	\N	\N	\N
2575673	8505	1998-01-16	VYDAJ	VYBER	1920	33826	\N	\N	\N
2575674	8505	1998-01-30	VYDAJ	VYBER	2520	26386	\N	\N	\N
2575676	8505	1997-11-12	VYDAJ	VYBER	3480	43318	\N	\N	\N
2575678	8505	1997-10-29	VYDAJ	VYBER	3000	35510	\N	\N	\N
2575680	8505	1997-10-15	VYDAJ	VYBER	1920	44810	\N	\N	\N
2575681	8505	1998-06-06	VYDAJ	VYBER	3360	51714	\N	\N	\N
2575682	8505	1998-11-30	VYDAJ	VYBER	1320	26960	\N	\N	\N
2575683	8505	1998-07-02	VYDAJ	VYBER	1200	38532	\N	\N	\N
2575684	8505	1998-12-12	VYDAJ	VYBER	5880	22653	\N	\N	\N
2575685	8505	1998-07-03	VYDAJ	VYBER	3360	35172	\N	\N	\N
2575686	8505	1998-09-30	VYDAJ	VYBER	2280	24702	\N	\N	\N
2575695	8505	1997-08-31	VYDAJ	VYBER	15	35181	SLUZBY	\N	\N
2575696	8505	1997-09-30	VYDAJ	VYBER	15	35858	SLUZBY	\N	\N
2575697	8505	1997-10-31	VYDAJ	VYBER	15	35826	SLUZBY	\N	\N
2575698	8505	1997-11-30	VYDAJ	VYBER	15	34859	SLUZBY	\N	\N
2575699	8505	1997-12-31	VYDAJ	VYBER	15	38124	SLUZBY	\N	\N
2575700	8505	1998-01-31	VYDAJ	VYBER	15	26659	SLUZBY	\N	\N
2575701	8505	1998-02-28	VYDAJ	VYBER	15	33448	SLUZBY	\N	\N
2575702	8505	1998-03-31	VYDAJ	VYBER	15	35068	SLUZBY	\N	\N
2575703	8505	1998-04-30	VYDAJ	VYBER	15	30968	SLUZBY	\N	\N
2575704	8505	1998-05-31	VYDAJ	VYBER	15	32166	SLUZBY	\N	\N
2575705	8505	1998-06-30	VYDAJ	VYBER	15	39732	SLUZBY	\N	\N
2575706	8505	1998-07-31	VYDAJ	VYBER	15	35565	SLUZBY	\N	\N
2575707	8505	1998-08-31	VYDAJ	VYBER	15	31215	SLUZBY	\N	\N
2575708	8505	1998-09-30	VYDAJ	VYBER	15	26982	SLUZBY	\N	\N
2575709	8505	1998-10-31	VYDAJ	VYBER	15	23071	SLUZBY	\N	\N
2575710	8505	1998-11-30	VYDAJ	VYBER	15	26945	SLUZBY	\N	\N
2575711	8505	1997-04-19	PRIJEM	VKLAD	5300	21672	\N	\N	\N
2575712	8505	1997-05-19	VYDAJ	VYBER	9200	27813	\N	\N	\N
2575713	8505	1997-06-18	VYDAJ	VYBER	17300	33567	\N	\N	\N
2575714	8505	1997-07-18	VYDAJ	VYBER	15200	33821	\N	\N	\N
2575715	8505	1997-08-17	VYDAJ	VYBER	10400	34892	\N	\N	\N
2575716	8505	1997-09-16	VYDAJ	VYBER	11000	35553	\N	\N	\N
2575717	8505	1997-10-16	VYDAJ	VYBER	6300	38510	\N	\N	\N
2575718	8505	1997-11-15	VYDAJ	VYBER	8700	34618	\N	\N	\N
2575719	8505	1997-12-15	VYDAJ	VYBER	14300	39897	\N	\N	\N
2575720	8505	1998-01-14	VYDAJ	VYBER	8800	35746	\N	\N	\N
2575721	8505	1998-02-13	VYDAJ	VYBER	5100	33261	\N	\N	\N
2575722	8505	1998-03-15	VYDAJ	VYBER	10300	34850	\N	\N	\N
2575723	8505	1998-04-14	VYDAJ	VYBER	16000	30770	\N	\N	\N
2575724	8505	1998-05-14	VYDAJ	VYBER	10700	31970	\N	\N	\N
2575725	8505	1998-06-13	VYDAJ	VYBER	8700	39444	\N	\N	\N
2575726	8505	1998-07-13	VYDAJ	VYBER	11600	35274	\N	\N	\N
2575727	8505	1998-08-12	VYDAJ	VYBER	16300	34537	\N	\N	\N
2575728	8505	1998-09-11	VYDAJ	VYBER	16100	30387	\N	\N	\N
2575729	8505	1998-10-11	VYDAJ	VYBER	13500	26474	\N	\N	\N
2575730	8505	1998-11-10	VYDAJ	VYBER	6700	31643	\N	\N	\N
2575731	8505	1998-12-10	VYDAJ	VYBER	15800	28533	\N	\N	\N
2579150	8519	1993-04-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2579154	8519	1993-04-12	PRIJEM	PREVOD Z UCTU	37346	38446	\N	OP	16093504
2579155	8519	1993-05-12	PRIJEM	PREVOD Z UCTU	37346	69990	\N	OP	16093504
2579156	8519	1993-06-12	PRIJEM	PREVOD Z UCTU	56019	102932	\N	OP	16093504
2579157	8519	1993-07-12	PRIJEM	PREVOD Z UCTU	37346	104212	\N	OP	16093504
2579158	8519	1993-08-12	PRIJEM	PREVOD Z UCTU	37346	98048	\N	OP	16093504
2579159	8519	1993-09-12	PRIJEM	PREVOD Z UCTU	37346	76463	\N	OP	16093504
2579160	8519	1993-10-12	PRIJEM	PREVOD Z UCTU	37346	67166	\N	OP	16093504
2579161	8519	1993-11-12	PRIJEM	PREVOD Z UCTU	37346	57949	\N	OP	16093504
2579162	8519	1993-12-12	PRIJEM	PREVOD Z UCTU	56019	84381	\N	OP	16093504
2579163	8519	1994-01-12	PRIJEM	PREVOD Z UCTU	37346	71763	\N	OP	16093504
2579164	8519	1994-02-12	PRIJEM	PREVOD Z UCTU	37346	56155	\N	OP	16093504
2579165	8519	1994-03-12	PRIJEM	PREVOD Z UCTU	37346	53459	\N	OP	16093504
2579166	8519	1994-04-12	PRIJEM	PREVOD Z UCTU	37346	54288	\N	OP	16093504
2579167	8519	1994-05-12	PRIJEM	PREVOD Z UCTU	37346	48720	\N	OP	16093504
2579168	8519	1994-06-12	PRIJEM	PREVOD Z UCTU	56019	81120	\N	OP	16093504
2579169	8519	1994-07-12	PRIJEM	PREVOD Z UCTU	37346	73916	\N	OP	16093504
2579170	8519	1994-08-12	PRIJEM	PREVOD Z UCTU	37346	66279	\N	OP	16093504
2579171	8519	1994-09-12	PRIJEM	PREVOD Z UCTU	37346	68481	\N	OP	16093504
2579172	8519	1994-10-12	PRIJEM	PREVOD Z UCTU	37346	68202	\N	OP	16093504
2579173	8519	1994-11-12	PRIJEM	PREVOD Z UCTU	37346	50594	\N	OP	16093504
2579174	8519	1994-12-12	PRIJEM	PREVOD Z UCTU	56019	77072	\N	OP	16093504
2579175	8519	1995-01-12	PRIJEM	PREVOD Z UCTU	37346	67418	\N	OP	16093504
2579176	8519	1995-02-12	PRIJEM	PREVOD Z UCTU	37346	70302	\N	OP	16093504
2579177	8519	1995-03-12	PRIJEM	PREVOD Z UCTU	37346	67282	\N	OP	16093504
2579178	8519	1995-04-12	PRIJEM	PREVOD Z UCTU	37346	72220	\N	OP	16093504
2579179	8519	1995-05-12	PRIJEM	PREVOD Z UCTU	37346	63328	\N	OP	16093504
2579180	8519	1995-06-12	PRIJEM	PREVOD Z UCTU	56019	67568	\N	OP	16093504
2579181	8519	1995-07-12	PRIJEM	PREVOD Z UCTU	37346	62844	\N	OP	16093504
2579182	8519	1995-08-12	PRIJEM	PREVOD Z UCTU	37346	52189	\N	OP	16093504
2579183	8519	1995-09-12	PRIJEM	PREVOD Z UCTU	37346	63125	\N	OP	16093504
2579184	8519	1995-10-12	PRIJEM	PREVOD Z UCTU	37346	45798	\N	OP	16093504
2579185	8519	1995-11-12	PRIJEM	PREVOD Z UCTU	37346	58357	\N	OP	16093504
2579186	8519	1995-12-12	PRIJEM	PREVOD Z UCTU	56019	73298	\N	OP	16093504
2579187	8519	1996-01-12	PRIJEM	PREVOD Z UCTU	37346	70257	\N	OP	16093504
2579188	8519	1996-02-12	PRIJEM	PREVOD Z UCTU	37346	56181	\N	OP	16093504
2579189	8519	1996-03-12	PRIJEM	PREVOD Z UCTU	37346	56684	\N	OP	16093504
2579190	8519	1996-04-12	PRIJEM	PREVOD Z UCTU	37346	48499	\N	OP	16093504
2579191	8519	1996-05-12	PRIJEM	PREVOD Z UCTU	37346	64941	\N	OP	16093504
2579192	8519	1996-06-12	PRIJEM	PREVOD Z UCTU	56019	90032	\N	OP	16093504
2579193	8519	1996-07-12	PRIJEM	PREVOD Z UCTU	37346	82815	\N	OP	16093504
2579194	8519	1996-08-12	PRIJEM	PREVOD Z UCTU	37346	60808	\N	OP	16093504
2579195	8519	1996-09-12	PRIJEM	PREVOD Z UCTU	37346	50992	\N	OP	16093504
2579196	8519	1996-10-12	PRIJEM	PREVOD Z UCTU	37346	55427	\N	OP	16093504
2579197	8519	1996-11-12	PRIJEM	PREVOD Z UCTU	37346	68629	\N	OP	16093504
2579198	8519	1996-12-12	PRIJEM	PREVOD Z UCTU	56019	88966	\N	OP	16093504
2579199	8519	1997-01-12	PRIJEM	PREVOD Z UCTU	37346	65075	\N	OP	16093504
2579200	8519	1997-02-12	PRIJEM	PREVOD Z UCTU	37346	74605	\N	OP	16093504
2579201	8519	1997-03-12	PRIJEM	PREVOD Z UCTU	37346	63129	\N	OP	16093504
2579202	8519	1997-04-12	PRIJEM	PREVOD Z UCTU	37346	71172	\N	OP	16093504
2579203	8519	1997-05-12	PRIJEM	PREVOD Z UCTU	37346	62610	\N	OP	16093504
2579204	8519	1997-06-12	PRIJEM	PREVOD Z UCTU	56019	87994	\N	OP	16093504
2579205	8519	1997-07-12	PRIJEM	PREVOD Z UCTU	37346	66740	\N	OP	16093504
2579206	8519	1997-08-12	PRIJEM	PREVOD Z UCTU	37346	74097	\N	OP	16093504
2579207	8519	1997-09-12	PRIJEM	PREVOD Z UCTU	37346	72902	\N	OP	16093504
2579208	8519	1997-10-12	PRIJEM	PREVOD Z UCTU	37346	72214	\N	OP	16093504
2579209	8519	1997-11-12	PRIJEM	PREVOD Z UCTU	37346	67244	\N	OP	16093504
2579210	8519	1997-12-12	PRIJEM	PREVOD Z UCTU	56019	66940	\N	OP	16093504
2579211	8519	1998-01-12	PRIJEM	PREVOD Z UCTU	37346	58787	\N	OP	16093504
2579212	8519	1998-02-12	PRIJEM	PREVOD Z UCTU	37346	53029	\N	OP	16093504
2579213	8519	1998-03-12	PRIJEM	PREVOD Z UCTU	37346	62181	\N	OP	16093504
2579214	8519	1998-04-12	PRIJEM	PREVOD Z UCTU	37346	52542	\N	OP	16093504
2579215	8519	1998-05-12	PRIJEM	PREVOD Z UCTU	37346	67714	\N	OP	16093504
2579216	8519	1998-06-12	PRIJEM	PREVOD Z UCTU	56019	85256	\N	OP	16093504
2579217	8519	1998-07-12	PRIJEM	PREVOD Z UCTU	37346	68804	\N	OP	16093504
2579218	8519	1998-08-12	PRIJEM	PREVOD Z UCTU	37346	53364	\N	OP	16093504
2579219	8519	1998-09-12	PRIJEM	PREVOD Z UCTU	37346	54265	\N	OP	16093504
2579220	8519	1998-10-12	PRIJEM	PREVOD Z UCTU	37346	61468	\N	OP	16093504
2579221	8519	1998-11-12	PRIJEM	PREVOD Z UCTU	37346	66312	\N	OP	16093504
2579222	8519	1998-12-12	PRIJEM	PREVOD Z UCTU	56019	86836	\N	OP	16093504
2579230	8519	1993-08-06	VYDAJ	VYBER	7400	60702	\N	\N	0
2579231	8519	1993-09-08	VYDAJ	VYBER	7400	39117	\N	\N	0
2579232	8519	1993-10-08	VYDAJ	VYBER	6500	29820	\N	\N	0
2579233	8519	1993-11-08	VYDAJ	VYBER	4800	20603	\N	\N	0
2579234	8519	1993-12-16	VYDAJ	VYBER	4700	79681	\N	\N	0
2579235	8519	1994-01-08	VYDAJ	VYBER	5400	34417	\N	\N	0
2579236	8519	1994-02-16	VYDAJ	VYBER	6300	49855	\N	\N	0
2579237	8519	1994-03-11	VYDAJ	VYBER	7600	16113	\N	\N	0
2579238	8519	1994-04-11	VYDAJ	VYBER	7600	16942	\N	\N	0
2579239	8519	1994-05-10	VYDAJ	VYBER	4600	11374	\N	\N	0
2579240	8519	1994-06-21	VYDAJ	VYBER	6700	74420	\N	\N	0
2579241	8519	1994-07-19	VYDAJ	VYBER	7600	54616	\N	\N	0
2579242	8519	1994-08-12	VYDAJ	PREVOD NA UCET	6224	60055	UVER	KL	62055730
2579243	8519	1994-09-12	VYDAJ	PREVOD NA UCET	6224	62257	UVER	KL	62055730
2579244	8519	1994-10-12	VYDAJ	PREVOD NA UCET	6224	61978	UVER	KL	62055730
2579245	8519	1994-11-12	VYDAJ	PREVOD NA UCET	6224	44370	UVER	KL	62055730
2579246	8519	1994-12-12	VYDAJ	PREVOD NA UCET	6224	70847	UVER	KL	62055730
2579247	8519	1995-01-12	VYDAJ	PREVOD NA UCET	6224	61193	UVER	KL	62055730
2579248	8519	1995-02-12	VYDAJ	PREVOD NA UCET	6224	64078	UVER	KL	62055730
2579249	8519	1995-03-12	VYDAJ	PREVOD NA UCET	6224	61058	UVER	KL	62055730
2579250	8519	1995-04-12	VYDAJ	PREVOD NA UCET	6224	65996	UVER	KL	62055730
2579251	8519	1995-05-12	VYDAJ	PREVOD NA UCET	6224	57104	UVER	KL	62055730
2579252	8519	1995-06-12	VYDAJ	PREVOD NA UCET	6224	61344	UVER	KL	62055730
2579253	8519	1995-07-12	VYDAJ	PREVOD NA UCET	6224	56619	UVER	KL	62055730
2579254	8519	1995-08-12	VYDAJ	PREVOD NA UCET	6224	45965	UVER	KL	62055730
2579255	8519	1995-09-15	VYDAJ	VYBER	7200	55925	\N	\N	0
2579256	8519	1995-10-09	VYDAJ	VYBER	7600	8452	\N	\N	0
2579257	8519	1995-11-07	VYDAJ	VYBER	4700	21011	\N	\N	0
2579258	8519	1995-12-02	VYDAJ	VYBER	7400	30990	\N	\N	0
2579259	8519	1996-01-08	VYDAJ	VYBER	6700	32911	\N	\N	0
2579260	8519	1996-02-20	VYDAJ	VYBER	6900	39881	\N	\N	0
2579261	8519	1996-03-06	VYDAJ	VYBER	7100	19338	\N	\N	0
2579262	8519	1996-04-06	VYDAJ	VYBER	4800	24864	\N	\N	0
2579263	8519	1996-05-21	VYDAJ	VYBER	7300	47441	\N	\N	0
2579264	8519	1996-06-13	VYDAJ	VYBER	6600	83432	\N	\N	0
2579265	8519	1996-07-15	VYDAJ	VYBER	6800	76015	\N	\N	0
2579266	8519	1996-08-12	VYDAJ	VYBER	6400	54408	\N	\N	0
2579267	8519	1996-09-14	VYDAJ	VYBER	6600	41292	\N	\N	0
2579268	8519	1996-10-05	VYDAJ	VYBER	6100	31792	\N	\N	0
2579269	8519	1996-11-14	VYDAJ	VYBER	7400	50529	\N	\N	0
2579270	8519	1996-12-19	VYDAJ	VYBER	4600	62466	\N	\N	0
2579271	8519	1997-01-04	VYDAJ	VYBER	5400	52940	\N	\N	0
2579272	8519	1997-02-11	VYDAJ	VYBER	6800	37259	\N	\N	0
2579273	8519	1997-03-05	VYDAJ	VYBER	5100	42194	\N	\N	0
2579274	8519	1997-04-14	VYDAJ	VYBER	6400	64772	\N	\N	0
2579275	8519	1997-05-10	VYDAJ	VYBER	6200	24264	\N	\N	0
2579276	8519	1997-06-07	VYDAJ	VYBER	6000	43275	\N	\N	0
2579277	8519	1997-07-08	VYDAJ	VYBER	6000	42694	\N	\N	0
2579278	8519	1997-08-21	VYDAJ	VYBER	5400	62997	\N	\N	0
2579279	8519	1997-09-12	VYDAJ	VYBER	5500	67402	\N	\N	0
2579280	8519	1997-10-14	VYDAJ	VYBER	7400	64814	\N	\N	0
2579281	8519	1997-11-20	VYDAJ	VYBER	6100	31885	\N	\N	0
2579282	8519	1997-12-02	VYDAJ	VYBER	7500	24632	\N	\N	0
2579283	8519	1998-01-07	VYDAJ	VYBER	5300	21441	\N	\N	0
2579284	8519	1998-02-16	VYDAJ	VYBER	6200	38304	\N	\N	0
2579285	8519	1998-03-17	VYDAJ	VYBER	5400	56781	\N	\N	0
2579286	8519	1998-04-10	VYDAJ	VYBER	5600	15196	\N	\N	0
2579287	8519	1998-05-21	VYDAJ	VYBER	5000	62714	\N	\N	0
2579288	8519	1998-06-13	VYDAJ	VYBER	7000	78256	\N	\N	0
2579289	8519	1998-07-03	VYDAJ	VYBER	6200	72469	\N	\N	0
2579290	8519	1998-08-06	VYDAJ	VYBER	6600	29729	\N	\N	0
2579291	8519	1998-09-10	VYDAJ	VYBER	7400	16919	\N	\N	0
2579292	8519	1998-10-02	VYDAJ	VYBER	6900	47633	\N	\N	0
2579293	8519	1998-11-03	VYDAJ	VYBER	5900	42677	\N	\N	0
2579294	8519	1998-12-12	VYDAJ	VYBER	4700	82136	\N	\N	0
2579303	8519	1993-09-06	VYDAJ	PREVOD NA UCET	13711	46517	SIPO	IJ	12003517
2579304	8519	1993-10-06	VYDAJ	PREVOD NA UCET	13711	36320	SIPO	IJ	12003517
2579305	8519	1993-11-06	VYDAJ	PREVOD NA UCET	13711	25403	SIPO	IJ	12003517
2579306	8519	1993-12-06	VYDAJ	PREVOD NA UCET	13711	28362	SIPO	IJ	12003517
2579307	8519	1994-01-06	VYDAJ	PREVOD NA UCET	13711	39817	SIPO	IJ	12003517
2579308	8519	1994-02-06	VYDAJ	PREVOD NA UCET	13711	18809	SIPO	IJ	12003517
2579309	8519	1994-03-06	VYDAJ	PREVOD NA UCET	13711	23713	SIPO	IJ	12003517
2579310	8519	1994-04-06	VYDAJ	PREVOD NA UCET	13711	24542	SIPO	IJ	12003517
2579311	8519	1994-05-06	VYDAJ	PREVOD NA UCET	13711	15974	SIPO	IJ	12003517
2579312	8519	1994-06-06	VYDAJ	PREVOD NA UCET	13711	25101	SIPO	IJ	12003517
2579313	8519	1994-07-06	VYDAJ	PREVOD NA UCET	13711	36570	SIPO	IJ	12003517
2579314	8519	1994-08-06	VYDAJ	PREVOD NA UCET	13711	28933	SIPO	IJ	12003517
2579315	8519	1994-09-06	VYDAJ	PREVOD NA UCET	13711	31135	SIPO	IJ	12003517
2579316	8519	1994-10-06	VYDAJ	PREVOD NA UCET	13711	30856	SIPO	IJ	12003517
2579317	8519	1994-11-06	VYDAJ	PREVOD NA UCET	13711	13248	SIPO	IJ	12003517
2579318	8519	1994-12-06	VYDAJ	PREVOD NA UCET	13711	21053	SIPO	IJ	12003517
2579319	8519	1995-01-06	VYDAJ	PREVOD NA UCET	13711	30072	SIPO	IJ	12003517
2579320	8519	1995-02-06	VYDAJ	PREVOD NA UCET	13711	32956	SIPO	IJ	12003517
2579321	8519	1995-03-06	VYDAJ	PREVOD NA UCET	13711	29936	SIPO	IJ	12003517
2579322	8519	1995-04-06	VYDAJ	PREVOD NA UCET	13711	34874	SIPO	IJ	12003517
2579323	8519	1995-05-06	VYDAJ	PREVOD NA UCET	13711	25982	SIPO	IJ	12003517
2579324	8519	1995-06-06	VYDAJ	PREVOD NA UCET	13711	11549	SIPO	IJ	12003517
2579325	8519	1995-07-06	VYDAJ	PREVOD NA UCET	13711	25498	SIPO	IJ	12003517
2579326	8519	1995-08-06	VYDAJ	PREVOD NA UCET	13711	14843	SIPO	IJ	12003517
2579327	8519	1995-09-06	VYDAJ	PREVOD NA UCET	13711	25779	SIPO	IJ	12003517
2579328	8519	1995-10-06	VYDAJ	PREVOD NA UCET	13711	16052	SIPO	IJ	12003517
2579329	8519	1995-11-06	VYDAJ	PREVOD NA UCET	13711	25711	SIPO	IJ	12003517
2579330	8519	1995-12-06	VYDAJ	PREVOD NA UCET	13711	17279	SIPO	IJ	12003517
2579331	8519	1996-01-06	VYDAJ	PREVOD NA UCET	13711	39611	SIPO	IJ	12003517
2579332	8519	1996-02-06	VYDAJ	PREVOD NA UCET	13711	18835	SIPO	IJ	12003517
2579333	8519	1996-03-06	VYDAJ	PREVOD NA UCET	13711	26438	SIPO	IJ	12003517
2579334	8519	1996-04-06	VYDAJ	PREVOD NA UCET	13711	11153	SIPO	IJ	12003517
2579335	8519	1996-05-06	VYDAJ	PREVOD NA UCET	13711	27595	SIPO	IJ	12003517
2579336	8519	1996-06-06	VYDAJ	PREVOD NA UCET	13711	34013	SIPO	IJ	12003517
2579337	8519	1996-07-06	VYDAJ	PREVOD NA UCET	13711	45469	SIPO	IJ	12003517
2579338	8519	1996-08-06	VYDAJ	PREVOD NA UCET	13711	23462	SIPO	IJ	12003517
2579339	8519	1996-09-06	VYDAJ	PREVOD NA UCET	13711	13646	SIPO	IJ	12003517
2579340	8519	1996-10-06	VYDAJ	PREVOD NA UCET	13711	18081	SIPO	IJ	12003517
2579341	8519	1996-11-06	VYDAJ	PREVOD NA UCET	13711	31283	SIPO	IJ	12003517
2579342	8519	1996-12-06	VYDAJ	PREVOD NA UCET	13711	37147	SIPO	IJ	12003517
2579343	8519	1997-01-06	VYDAJ	PREVOD NA UCET	13711	39229	SIPO	IJ	12003517
2579344	8519	1997-02-06	VYDAJ	PREVOD NA UCET	13711	51759	SIPO	IJ	12003517
2579345	8519	1997-03-06	VYDAJ	PREVOD NA UCET	13711	28483	SIPO	IJ	12003517
2579346	8519	1997-04-06	VYDAJ	PREVOD NA UCET	13711	35726	SIPO	IJ	12003517
2579347	8519	1997-05-06	VYDAJ	PREVOD NA UCET	13711	30464	SIPO	IJ	12003517
2579348	8519	1997-06-06	VYDAJ	PREVOD NA UCET	13711	49275	SIPO	IJ	12003517
2579349	8519	1997-07-06	VYDAJ	PREVOD NA UCET	13711	48694	SIPO	IJ	12003517
2579350	8519	1997-08-06	VYDAJ	PREVOD NA UCET	13711	53451	SIPO	IJ	12003517
2579351	8519	1997-09-06	VYDAJ	PREVOD NA UCET	13711	49656	SIPO	IJ	12003517
2579352	8519	1997-10-06	VYDAJ	PREVOD NA UCET	13711	54068	SIPO	IJ	12003517
2579353	8519	1997-11-06	VYDAJ	PREVOD NA UCET	13711	42198	SIPO	IJ	12003517
2579354	8519	1997-12-06	VYDAJ	PREVOD NA UCET	13711	10921	SIPO	IJ	12003517
2579355	8519	1998-01-06	VYDAJ	PREVOD NA UCET	13711	26741	SIPO	IJ	12003517
2579356	8519	1998-02-06	VYDAJ	PREVOD NA UCET	13711	15683	SIPO	IJ	12003517
2579357	8519	1998-03-06	VYDAJ	PREVOD NA UCET	13711	24835	SIPO	IJ	12003517
2579358	8519	1998-04-06	VYDAJ	PREVOD NA UCET	13711	20796	SIPO	IJ	12003517
2579359	8519	1998-05-06	VYDAJ	PREVOD NA UCET	13711	30368	SIPO	IJ	12003517
2579360	8519	1998-06-06	VYDAJ	PREVOD NA UCET	13711	29237	SIPO	IJ	12003517
2579361	8519	1998-07-06	VYDAJ	PREVOD NA UCET	13711	31458	SIPO	IJ	12003517
2579362	8519	1998-08-06	VYDAJ	PREVOD NA UCET	13711	16018	SIPO	IJ	12003517
2579363	8519	1998-09-06	VYDAJ	PREVOD NA UCET	13711	24319	SIPO	IJ	12003517
2579364	8519	1998-10-06	VYDAJ	PREVOD NA UCET	13711	24122	SIPO	IJ	12003517
2579365	8519	1998-11-06	VYDAJ	PREVOD NA UCET	13711	28966	SIPO	IJ	12003517
2579366	8519	1998-12-06	VYDAJ	PREVOD NA UCET	13711	30817	SIPO	IJ	12003517
2579369	8519	1993-10-21	VYBER	VYBER	10243	51823	\N	\N	\N
2579370	8519	1994-04-18	VYBER	VYBER	15158	39130	\N	\N	\N
2579372	8519	1994-12-26	VYBER	VYBER	6801	43446	\N	\N	\N
2579373	8519	1994-01-17	VYBER	VYBER	13771	57992	\N	\N	\N
2579374	8519	1994-04-21	VYBER	VYBER	3638	35492	\N	\N	\N
2579375	8519	1994-12-05	VYBER	VYBER	4225	34764	\N	\N	\N
2579376	8519	1995-10-06	VYBER	VYBER	14984	29763	\N	\N	\N
2579377	8519	1995-07-15	VYBER	VYBER	21263	35356	\N	\N	\N
2579380	8519	1995-04-20	VYBER	VYBER	17572	48424	\N	\N	\N
2579381	8519	1995-08-01	VYBER	VYBER	4511	28554	\N	\N	\N
2579382	8519	1995-06-16	VYBER	VYBER	16764	44580	\N	\N	\N
2579385	8519	1995-02-25	VYBER	VYBER	3038	43340	\N	\N	\N
2579386	8519	1995-11-16	VYBER	VYBER	8923	49434	\N	\N	\N
2579388	8519	1996-03-22	VYBER	VYBER	6073	39411	\N	\N	\N
2579389	8519	1996-01-13	VYBER	VYBER	2367	67890	\N	\N	\N
2579390	8519	1996-08-29	VYBER	VYBER	6890	27118	\N	\N	\N
2579391	8519	1996-08-06	VYBER	VYBER	8973	37173	\N	\N	\N
2579394	8519	1996-03-23	VYBER	VYBER	9967	29444	\N	\N	\N
2579395	8519	1996-07-19	VYBER	VYBER	6950	49665	\N	\N	\N
2579396	8519	1996-07-22	VYBER	VYBER	3919	45746	\N	\N	\N
2579398	8519	1997-11-15	VYBER	VYBER	24159	43085	\N	\N	\N
2579399	8519	1997-03-03	VYBER	VYBER	12660	47294	\N	\N	\N
2579400	8519	1997-12-23	VYBER	VYBER	9470	57470	\N	\N	\N
2579401	8519	1997-04-23	VYBER	VYBER	20905	43867	\N	\N	\N
2579403	8519	1997-03-18	VYBER	VYBER	2499	49130	\N	\N	\N
2579405	8519	1997-03-03	VYBER	VYBER	15073	59954	\N	\N	\N
2579408	8519	1998-07-28	VYBER	VYBER	16643	44061	\N	\N	\N
2579409	8519	1998-03-24	VYBER	VYBER	22551	34230	\N	\N	\N
2579410	8519	1998-02-16	VYBER	VYBER	8525	44504	\N	\N	\N
2579413	8519	1998-11-15	VYBER	VYBER	16478	41586	\N	\N	\N
2579414	8519	1998-11-12	VYBER	VYBER	8248	58064	\N	\N	\N
2579421	8519	1997-06-27	VYDAJ	VYBER	26100	61894	\N	\N	\N
2579424	8519	1994-01-21	VYDAJ	VYBER	5400	52592	\N	\N	\N
2579426	8519	1996-01-18	VYDAJ	VYBER	18000	32290	\N	\N	\N
2579427	8519	1997-01-08	VYDAJ	VYBER	13800	25429	\N	\N	\N
2579429	8519	1993-12-02	VYDAJ	VYBER	2700	42073	\N	\N	\N
2579430	8519	1994-12-16	VYDAJ	VYBER	2100	68747	\N	\N	\N
2579431	8519	1995-12-01	VYDAJ	VYBER	5100	38390	\N	\N	\N
2579432	8519	1996-12-29	VYDAJ	VYBER	4500	57966	\N	\N	\N
2579435	8519	1993-10-13	VYDAJ	VYBER	5100	62066	\N	\N	\N
2579437	8519	1994-10-27	VYDAJ	VYBER	6300	39178	\N	\N	\N
2579438	8519	1994-03-27	VYDAJ	VYBER	7800	45659	\N	\N	\N
2579439	8519	1994-06-28	VYDAJ	VYBER	3600	49820	\N	\N	\N
2579440	8519	1994-10-31	VYDAJ	VYBER	12600	26959	\N	\N	\N
2579441	8519	1994-07-19	VYDAJ	VYBER	11700	62216	\N	\N	\N
2579442	8519	1994-01-23	VYDAJ	VYBER	13800	38792	\N	\N	\N
2579443	8519	1995-05-14	VYDAJ	VYBER	14400	42704	\N	\N	\N
2579444	8519	1995-05-23	VYDAJ	VYBER	11700	25004	\N	\N	\N
2579447	8519	1996-09-27	VYDAJ	VYBER	3600	37692	\N	\N	\N
2579448	8519	1996-08-26	VYDAJ	VYBER	11400	34008	\N	\N	\N
2579450	8519	1996-10-13	VYDAJ	VYBER	6000	44727	\N	\N	\N
2579451	8519	1996-12-11	VYDAJ	VYBER	4200	32947	\N	\N	\N
2579452	8519	1997-08-13	VYDAJ	VYBER	5700	68397	\N	\N	\N
2579453	8519	1997-11-16	VYDAJ	VYBER	5100	37985	\N	\N	\N
2579454	8519	1997-10-19	VYDAJ	VYBER	9300	55514	\N	\N	\N
2579455	8519	1997-03-08	VYDAJ	VYBER	2700	25783	\N	\N	\N
2579456	8519	1998-07-19	VYDAJ	VYBER	8100	60704	\N	\N	\N
2579457	8519	1998-08-30	VYDAJ	VYBER	4800	41364	\N	\N	\N
2579460	8519	1998-08-17	VYDAJ	VYBER	2400	50964	\N	\N	\N
2579462	8519	1998-05-03	VYDAJ	VYBER	8700	44079	\N	\N	\N
2579463	8519	1998-08-23	VYDAJ	VYBER	4800	46164	\N	\N	\N
2579472	8519	1993-08-31	VYDAJ	VYBER	15	60228	SLUZBY	\N	\N
2579473	8519	1993-09-30	VYDAJ	VYBER	15	50031	SLUZBY	\N	\N
2579474	8519	1993-10-31	VYDAJ	VYBER	15	39114	SLUZBY	\N	\N
2579475	8519	1993-11-30	VYDAJ	VYBER	15	44773	SLUZBY	\N	\N
2579476	8519	1993-12-31	VYDAJ	VYBER	15	53528	SLUZBY	\N	\N
2579477	8519	1994-01-31	VYDAJ	VYBER	15	32520	SLUZBY	\N	\N
2579478	8519	1994-02-28	VYDAJ	VYBER	15	37424	SLUZBY	\N	\N
2579479	8519	1994-03-31	VYDAJ	VYBER	15	38253	SLUZBY	\N	\N
2579480	8519	1994-04-30	VYDAJ	VYBER	15	29685	SLUZBY	\N	\N
2579481	8519	1994-05-31	VYDAJ	VYBER	15	38812	SLUZBY	\N	\N
2579482	8519	1994-06-30	VYDAJ	VYBER	15	50281	SLUZBY	\N	\N
2579483	8519	1994-07-31	VYDAJ	VYBER	15	42644	SLUZBY	\N	\N
2579484	8519	1994-08-31	VYDAJ	VYBER	15	44846	SLUZBY	\N	\N
2579485	8519	1994-09-30	VYDAJ	VYBER	15	44567	SLUZBY	\N	\N
2579486	8519	1994-10-31	VYDAJ	VYBER	15	39559	SLUZBY	\N	\N
2579487	8519	1994-11-30	VYDAJ	VYBER	15	38989	SLUZBY	\N	\N
2579488	8519	1994-12-31	VYDAJ	VYBER	15	43783	SLUZBY	\N	\N
2579489	8519	1995-01-31	VYDAJ	VYBER	15	46667	SLUZBY	\N	\N
2579490	8519	1995-02-28	VYDAJ	VYBER	15	43647	SLUZBY	\N	\N
2579491	8519	1995-03-31	VYDAJ	VYBER	15	48585	SLUZBY	\N	\N
2579492	8519	1995-04-30	VYDAJ	VYBER	15	39693	SLUZBY	\N	\N
2579493	8519	1995-05-31	VYDAJ	VYBER	15	25260	SLUZBY	\N	\N
2579494	8519	1995-06-30	VYDAJ	VYBER	15	39209	SLUZBY	\N	\N
2579495	8519	1995-07-31	VYDAJ	VYBER	15	33065	SLUZBY	\N	\N
2579496	8519	1995-08-31	VYDAJ	VYBER	15	39490	SLUZBY	\N	\N
2579497	8519	1995-09-30	VYDAJ	VYBER	15	44747	SLUZBY	\N	\N
2579498	8519	1995-10-31	VYDAJ	VYBER	15	39422	SLUZBY	\N	\N
2579499	8519	1995-11-30	VYDAJ	VYBER	15	43490	SLUZBY	\N	\N
2579500	8519	1995-12-31	VYDAJ	VYBER	15	53322	SLUZBY	\N	\N
2579501	8519	1996-01-31	VYDAJ	VYBER	15	32546	SLUZBY	\N	\N
2579502	8519	1996-02-29	VYDAJ	VYBER	15	40149	SLUZBY	\N	\N
2579503	8519	1996-03-31	VYDAJ	VYBER	15	29664	SLUZBY	\N	\N
2579504	8519	1996-04-30	VYDAJ	VYBER	15	41306	SLUZBY	\N	\N
2579505	8519	1996-05-31	VYDAJ	VYBER	15	47724	SLUZBY	\N	\N
2579506	8519	1996-06-30	VYDAJ	VYBER	15	59180	SLUZBY	\N	\N
2579507	8519	1996-07-31	VYDAJ	VYBER	15	46146	SLUZBY	\N	\N
2579508	8519	1996-08-31	VYDAJ	VYBER	15	27357	SLUZBY	\N	\N
2579509	8519	1996-09-30	VYDAJ	VYBER	15	37892	SLUZBY	\N	\N
2579510	8519	1996-10-31	VYDAJ	VYBER	15	44994	SLUZBY	\N	\N
2579511	8519	1996-11-30	VYDAJ	VYBER	15	50858	SLUZBY	\N	\N
2579512	8519	1996-12-31	VYDAJ	VYBER	15	58340	SLUZBY	\N	\N
2579513	8519	1997-01-31	VYDAJ	VYBER	15	65470	SLUZBY	\N	\N
2579514	8519	1997-02-28	VYDAJ	VYBER	15	75027	SLUZBY	\N	\N
2579515	8519	1997-03-31	VYDAJ	VYBER	15	49437	SLUZBY	\N	\N
2579516	8519	1997-04-30	VYDAJ	VYBER	15	44175	SLUZBY	\N	\N
2579517	8519	1997-05-31	VYDAJ	VYBER	15	62986	SLUZBY	\N	\N
2579518	8519	1997-06-30	VYDAJ	VYBER	15	62405	SLUZBY	\N	\N
2579519	8519	1997-07-31	VYDAJ	VYBER	15	67162	SLUZBY	\N	\N
2579520	8519	1997-08-31	VYDAJ	VYBER	15	63367	SLUZBY	\N	\N
2579521	8519	1997-09-30	VYDAJ	VYBER	15	67779	SLUZBY	\N	\N
2579522	8519	1997-10-31	VYDAJ	VYBER	15	55909	SLUZBY	\N	\N
2579523	8519	1997-11-30	VYDAJ	VYBER	15	32132	SLUZBY	\N	\N
2579524	8519	1997-12-31	VYDAJ	VYBER	15	57752	SLUZBY	\N	\N
2579525	8519	1998-01-31	VYDAJ	VYBER	15	59094	SLUZBY	\N	\N
2579526	8519	1998-02-28	VYDAJ	VYBER	15	38546	SLUZBY	\N	\N
2579527	8519	1998-03-31	VYDAJ	VYBER	15	34507	SLUZBY	\N	\N
2579528	8519	1998-04-30	VYDAJ	VYBER	15	52779	SLUZBY	\N	\N
2579529	8519	1998-05-31	VYDAJ	VYBER	15	63048	SLUZBY	\N	\N
2579530	8519	1998-06-30	VYDAJ	VYBER	15	78669	SLUZBY	\N	\N
2579531	8519	1998-07-31	VYDAJ	VYBER	15	44429	SLUZBY	\N	\N
2579532	8519	1998-08-31	VYDAJ	VYBER	15	41630	SLUZBY	\N	\N
2579533	8519	1998-09-30	VYDAJ	VYBER	15	54533	SLUZBY	\N	\N
2579534	8519	1998-10-31	VYDAJ	VYBER	15	61777	SLUZBY	\N	\N
2579535	8519	1998-11-30	VYDAJ	VYBER	15	41828	SLUZBY	\N	\N
2579536	8519	1993-05-02	VYDAJ	VYBER	6000	32644	\N	\N	\N
2579537	8519	1993-06-01	VYDAJ	VYBER	23500	46913	\N	\N	\N
2579538	8519	1993-07-01	VYDAJ	VYBER	36700	66866	\N	\N	\N
2579539	8519	1993-07-31	VYDAJ	VYBER	36800	68102	\N	\N	\N
2579540	8519	1993-08-30	VYDAJ	VYBER	38400	59648	\N	\N	\N
2579541	8519	1993-09-29	VYDAJ	VYBER	26900	49563	\N	\N	\N
2579542	8519	1993-10-29	VYDAJ	VYBER	13100	38723	\N	\N	\N
2579543	8519	1993-11-28	VYDAJ	VYBER	13500	44449	\N	\N	\N
2579544	8519	1993-12-28	VYDAJ	VYBER	26600	53081	\N	\N	\N
2579545	8519	1994-01-27	VYDAJ	VYBER	6600	32192	\N	\N	\N
2579546	8519	1994-02-26	VYDAJ	VYBER	12700	37155	\N	\N	\N
2579547	8519	1994-03-28	VYDAJ	VYBER	7700	37959	\N	\N	\N
2579548	8519	1994-04-27	VYDAJ	VYBER	6100	29392	\N	\N	\N
2579549	8519	1994-05-27	VYDAJ	VYBER	10200	38520	\N	\N	\N
2579550	8519	1994-06-26	VYDAJ	VYBER	21000	53420	\N	\N	\N
2579551	8519	1994-07-26	VYDAJ	VYBER	12400	42216	\N	\N	\N
2579552	8519	1994-08-25	VYDAJ	VYBER	15600	44455	\N	\N	\N
2579553	8519	1994-09-24	VYDAJ	VYBER	18100	44157	\N	\N	\N
2579554	8519	1994-10-24	VYDAJ	VYBER	16500	45478	\N	\N	\N
2579555	8519	1994-11-23	VYDAJ	VYBER	5600	38770	\N	\N	\N
2579556	8519	1994-12-23	VYDAJ	VYBER	18500	50247	\N	\N	\N
2579557	8519	1995-01-22	VYDAJ	VYBER	14900	46293	\N	\N	\N
2579558	8519	1995-02-21	VYDAJ	VYBER	17700	46378	\N	\N	\N
2579559	8519	1995-03-23	VYDAJ	VYBER	12800	48258	\N	\N	\N
2579560	8519	1995-04-22	VYDAJ	VYBER	9100	39324	\N	\N	\N
2579561	8519	1995-05-22	VYDAJ	VYBER	6000	36704	\N	\N	\N
2579562	8519	1995-06-21	VYDAJ	VYBER	5600	38980	\N	\N	\N
2579563	8519	1995-07-21	VYDAJ	VYBER	2500	32856	\N	\N	\N
2579564	8519	1995-08-20	VYDAJ	VYBER	6700	39265	\N	\N	\N
2579565	8519	1995-09-19	VYDAJ	VYBER	11500	44425	\N	\N	\N
2579566	8519	1995-10-19	VYDAJ	VYBER	6600	39198	\N	\N	\N
2579567	8519	1995-11-18	VYDAJ	VYBER	6200	43234	\N	\N	\N
2579568	8519	1995-12-18	VYDAJ	VYBER	20300	52998	\N	\N	\N
2579569	8519	1996-01-17	VYDAJ	VYBER	17600	50290	\N	\N	\N
2579570	8519	1996-02-16	VYDAJ	VYBER	9400	46781	\N	\N	\N
2579571	8519	1996-03-17	VYDAJ	VYBER	11200	45484	\N	\N	\N
2579572	8519	1996-04-16	VYDAJ	VYBER	7400	41099	\N	\N	\N
2579573	8519	1996-05-16	VYDAJ	VYBER	10200	54741	\N	\N	\N
2579574	8519	1996-06-15	VYDAJ	VYBER	24600	58832	\N	\N	\N
2579575	8519	1996-07-15	VYDAJ	VYBER	19400	56615	\N	\N	\N
2579576	8519	1996-08-14	VYDAJ	VYBER	9000	45408	\N	\N	\N
2579577	8519	1996-09-13	VYDAJ	VYBER	3100	47892	\N	\N	\N
2579578	8519	1996-10-13	VYDAJ	VYBER	4700	50727	\N	\N	\N
2579579	8519	1996-11-12	VYDAJ	VYBER	10700	57929	\N	\N	\N
2579580	8519	1996-12-12	VYDAJ	VYBER	21900	67066	\N	\N	\N
2579581	8519	1997-01-11	PRIJEM	VKLAD	2300	27729	\N	\N	\N
2579582	8519	1997-02-10	VYDAJ	VYBER	7700	44059	\N	\N	\N
2579583	8519	1997-03-12	VYDAJ	VYBER	11500	51629	\N	\N	\N
2579584	8519	1997-04-11	VYDAJ	VYBER	1900	33826	\N	\N	\N
2579585	8519	1997-05-11	PRIJEM	VKLAD	1000	25264	\N	\N	\N
2579586	8519	1997-06-10	VYDAJ	VYBER	11300	31975	\N	\N	\N
2579587	8519	1997-07-10	VYDAJ	VYBER	13300	29394	\N	\N	\N
2579588	8519	1997-08-09	VYDAJ	VYBER	16700	36751	\N	\N	\N
2579589	8519	1997-09-08	VYDAJ	VYBER	14100	35556	\N	\N	\N
2579590	8519	1997-10-08	VYDAJ	VYBER	19200	34868	\N	\N	\N
2579591	8519	1997-11-07	VYDAJ	VYBER	12300	29898	\N	\N	\N
2579592	8519	1998-01-06	VYDAJ	VYBER	17300	40452	\N	\N	\N
2579593	8519	1998-02-05	VYDAJ	VYBER	29700	29394	\N	\N	\N
2579594	8519	1998-06-05	VYDAJ	VYBER	20100	42948	\N	\N	\N
2579595	8519	1998-07-05	VYDAJ	VYBER	27300	45169	\N	\N	\N
2579596	8519	1998-08-04	VYDAJ	VYBER	8100	36329	\N	\N	\N
2579597	8519	1998-09-03	VYDAJ	VYBER	3600	38030	\N	\N	\N
2579598	8519	1998-10-03	VYDAJ	VYBER	9800	37833	\N	\N	\N
2579599	8519	1998-11-02	VYDAJ	VYBER	13200	48577	\N	\N	\N
2579600	8519	1998-12-02	PRIJEM	VKLAD	2700	44528	\N	\N	\N
2580404	8523	1996-11-25	PRIJEM	VKLAD	400	400	\N	\N	\N
2580416	8523	1996-12-11	PRIJEM	PREVOD Z UCTU	69780	70180	\N	OP	41648352
2580417	8523	1997-01-11	PRIJEM	PREVOD Z UCTU	46520	92080	\N	OP	41648352
2580418	8523	1997-02-11	PRIJEM	PREVOD Z UCTU	46520	103554	\N	OP	41648352
2580419	8523	1997-03-11	PRIJEM	PREVOD Z UCTU	46520	99675	\N	OP	41648352
2580420	8523	1997-04-11	PRIJEM	PREVOD Z UCTU	46520	104865	\N	OP	41648352
2580421	8523	1997-05-11	PRIJEM	PREVOD Z UCTU	46520	61568	\N	OP	41648352
2580422	8523	1997-06-11	PRIJEM	PREVOD Z UCTU	69780	94826	\N	OP	41648352
2580423	8523	1997-07-11	PRIJEM	PREVOD Z UCTU	46520	91167	\N	OP	41648352
2580424	8523	1997-08-11	PRIJEM	PREVOD Z UCTU	46520	93809	\N	OP	41648352
2580425	8523	1997-09-11	PRIJEM	PREVOD Z UCTU	46520	104174	\N	OP	41648352
2580426	8523	1997-10-11	PRIJEM	PREVOD Z UCTU	46520	94462	\N	OP	41648352
2580427	8523	1997-11-11	PRIJEM	PREVOD Z UCTU	46520	99430	\N	OP	41648352
2580428	8523	1997-12-11	PRIJEM	PREVOD Z UCTU	69780	71474	\N	OP	41648352
2580429	8523	1998-01-11	PRIJEM	PREVOD Z UCTU	46520	88120	\N	OP	41648352
2580430	8523	1998-02-11	PRIJEM	PREVOD Z UCTU	46520	57468	\N	OP	41648352
2580431	8523	1998-03-11	PRIJEM	PREVOD Z UCTU	46520	85757	\N	OP	41648352
2580432	8523	1998-04-11	PRIJEM	PREVOD Z UCTU	46520	75940	\N	OP	41648352
2580433	8523	1998-05-11	PRIJEM	PREVOD Z UCTU	46520	70500	\N	OP	41648352
2580434	8523	1998-06-11	PRIJEM	PREVOD Z UCTU	69780	96249	\N	OP	41648352
2580435	8523	1998-07-11	PRIJEM	PREVOD Z UCTU	46520	68586	\N	OP	41648352
2580436	8523	1998-08-11	PRIJEM	PREVOD Z UCTU	46520	67488	\N	OP	41648352
2580437	8523	1998-09-11	PRIJEM	PREVOD Z UCTU	46520	84426	\N	OP	41648352
2580438	8523	1998-10-11	PRIJEM	PREVOD Z UCTU	46520	101654	\N	OP	41648352
2580439	8523	1998-11-11	PRIJEM	PREVOD Z UCTU	46520	107137	\N	OP	41648352
2580440	8523	1998-12-11	PRIJEM	PREVOD Z UCTU	69780	115610	\N	OP	41648352
2580456	8523	1997-04-16	VYDAJ	VYBER	5900	31818	\N	\N	0
2580457	8523	1997-05-02	VYDAJ	VYBER	8800	15048	\N	\N	0
2580458	8523	1997-06-05	VYDAJ	VYBER	9400	25046	\N	\N	0
2580459	8523	1997-07-21	VYDAJ	VYBER	6300	84867	\N	\N	0
2580460	8523	1997-08-11	VYDAJ	VYBER	6200	87609	\N	\N	0
2580461	8523	1997-09-11	VYDAJ	VYBER	9300	94874	\N	\N	0
2580462	8523	1997-10-18	VYDAJ	VYBER	7100	87362	\N	\N	0
2580463	8523	1997-11-06	VYDAJ	VYBER	7800	52910	\N	\N	0
2580464	8523	1997-12-10	VYDAJ	VYBER	6800	1694	\N	\N	0
2580465	8523	1998-01-10	VYDAJ	VYBER	7200	41600	\N	\N	0
2580466	8523	1998-02-17	VYDAJ	VYBER	8700	48768	\N	\N	0
2580467	8523	1998-03-12	VYDAJ	PREVOD NA UCET	7753	78003	UVER	AB	52086591
2580468	8523	1998-04-12	VYDAJ	PREVOD NA UCET	7753	68187	UVER	AB	52086591
2580469	8523	1998-05-12	VYDAJ	PREVOD NA UCET	7753	62746	UVER	AB	52086591
2580470	8523	1998-06-12	VYDAJ	PREVOD NA UCET	7753	88496	UVER	AB	52086591
2580471	8523	1998-07-12	VYDAJ	PREVOD NA UCET	7753	60833	UVER	AB	52086591
2580472	8523	1998-08-12	VYDAJ	PREVOD NA UCET	7753	59735	UVER	AB	52086591
2580473	8523	1998-09-12	VYDAJ	PREVOD NA UCET	7753	76672	UVER	AB	52086591
2580474	8523	1998-10-12	VYDAJ	PREVOD NA UCET	7753	93901	UVER	AB	52086591
2580475	8523	1998-11-12	VYDAJ	PREVOD NA UCET	7753	99383	UVER	AB	52086591
2580476	8523	1998-12-12	VYDAJ	PREVOD NA UCET	7753	91657	UVER	AB	52086591
2580487	8523	1997-11-29	VYBER	VYBER	18945	21962	\N	\N	\N
2580489	8523	1997-11-30	VYBER	VYBER	13964	8509	\N	\N	\N
2580491	8523	1997-11-29	VYBER	VYBER	10723	40907	\N	\N	\N
2580493	8523	1997-09-19	VYBER	VYBER	9238	67936	\N	\N	\N
2580494	8523	1997-04-13	VYBER	VYBER	21947	37718	\N	\N	\N
2580496	8523	1997-08-06	VYBER	VYBER	8961	47289	\N	\N	\N
2580499	8523	1997-10-20	VYBER	VYBER	2188	85174	\N	\N	\N
2580500	8523	1998-03-14	VYBER	VYBER	9708	68295	\N	\N	\N
2580501	8523	1998-07-23	VYBER	VYBER	4531	40060	\N	\N	\N
2580502	8523	1998-06-26	VYBER	VYBER	15893	44703	\N	\N	\N
2580503	8523	1998-07-13	VYBER	VYBER	7242	53591	\N	\N	\N
2580504	8523	1998-12-01	VYBER	VYBER	23724	45830	\N	\N	\N
2580505	8523	1998-05-20	VYBER	VYBER	20637	26209	\N	\N	\N
2580507	8523	1998-07-04	VYBER	VYBER	22988	22066	\N	\N	\N
2580508	8523	1998-09-07	VYBER	VYBER	12099	37906	\N	\N	\N
2580509	8523	1998-04-17	VYBER	VYBER	7950	60237	\N	\N	\N
2580510	8523	1998-05-07	VYBER	VYBER	21734	23980	\N	\N	\N
2580511	8523	1998-07-30	VYBER	VYBER	19425	20635	\N	\N	\N
2580513	8523	1997-12-25	VYDAJ	VYBER	8400	48474	\N	\N	\N
2580514	8523	1998-12-21	VYDAJ	VYBER	6000	58257	\N	\N	\N
2580527	8523	1998-01-24	VYDAJ	VYBER	1800	47720	\N	\N	\N
2580528	8523	1998-01-29	VYDAJ	VYBER	4500	30920	\N	\N	\N
2580529	8523	1998-01-18	VYDAJ	VYBER	3900	73720	\N	\N	\N
2580530	8523	1998-01-16	VYDAJ	VYBER	3900	77620	\N	\N	\N
2580531	8523	1998-01-13	VYDAJ	VYBER	6600	81520	\N	\N	\N
2580532	8523	1998-01-21	VYDAJ	VYBER	3300	49520	\N	\N	\N
2580535	8523	1997-09-12	VYDAJ	VYBER	6900	87974	\N	\N	\N
2580537	8523	1997-11-26	VYDAJ	VYBER	4200	51630	\N	\N	\N
2580538	8523	1997-09-14	VYDAJ	VYBER	10800	77174	\N	\N	\N
2580539	8523	1997-04-17	VYDAJ	VYBER	12600	19218	\N	\N	\N
2580540	8523	1997-05-11	VYDAJ	VYBER	12000	49568	\N	\N	\N
2580541	8523	1998-01-28	VYDAJ	VYBER	12300	35420	\N	\N	\N
2580542	8523	1998-03-23	VYDAJ	VYBER	12300	41695	\N	\N	\N
2580543	8523	1998-04-01	VYDAJ	VYBER	12600	29420	\N	\N	\N
2580544	8523	1998-10-16	VYDAJ	VYBER	3300	90601	\N	\N	\N
2580545	8523	1998-11-03	VYDAJ	VYBER	4800	60617	\N	\N	\N
2580546	8523	1998-02-01	VYDAJ	VYBER	9600	10948	\N	\N	\N
2580547	8523	1998-01-31	VYDAJ	VYBER	10800	20548	\N	\N	\N
2580564	8523	1997-04-30	VYDAJ	VYBER	15	23848	SLUZBY	\N	\N
2580565	8523	1997-05-31	VYDAJ	VYBER	15	34446	SLUZBY	\N	\N
2580566	8523	1997-06-30	VYDAJ	VYBER	15	44647	SLUZBY	\N	\N
2580567	8523	1997-07-31	VYDAJ	VYBER	15	56250	SLUZBY	\N	\N
2580568	8523	1997-08-31	VYDAJ	VYBER	15	57654	SLUZBY	\N	\N
2580569	8523	1997-09-30	VYDAJ	VYBER	15	47942	SLUZBY	\N	\N
2580570	8523	1997-10-31	VYDAJ	VYBER	15	60710	SLUZBY	\N	\N
2580571	8523	1997-11-30	VYDAJ	VYBER	15	8494	SLUZBY	\N	\N
2580572	8523	1997-12-31	VYDAJ	VYBER	15	48800	SLUZBY	\N	\N
2580573	8523	1998-01-31	VYDAJ	VYBER	15	31348	SLUZBY	\N	\N
2580574	8523	1998-02-28	VYDAJ	VYBER	15	39237	SLUZBY	\N	\N
2580575	8523	1998-03-31	VYDAJ	VYBER	15	42020	SLUZBY	\N	\N
2580576	8523	1998-04-30	VYDAJ	VYBER	15	45714	SLUZBY	\N	\N
2580577	8523	1998-05-31	VYDAJ	VYBER	15	26469	SLUZBY	\N	\N
2580578	8523	1998-06-30	VYDAJ	VYBER	15	45054	SLUZBY	\N	\N
2580579	8523	1998-07-31	VYDAJ	VYBER	15	20968	SLUZBY	\N	\N
2580580	8523	1998-08-31	VYDAJ	VYBER	15	50005	SLUZBY	\N	\N
2580581	8523	1998-09-30	VYDAJ	VYBER	15	55134	SLUZBY	\N	\N
2580582	8523	1998-10-31	VYDAJ	VYBER	15	65417	SLUZBY	\N	\N
2580583	8523	1998-11-30	VYDAJ	VYBER	15	69554	SLUZBY	\N	\N
2580584	8523	1996-12-25	VYDAJ	VYBER	24700	45480	\N	\N	\N
2580585	8523	1997-01-24	VYDAJ	VYBER	35300	56780	\N	\N	\N
2580586	8523	1997-02-11	VYDAJ	VYBER	22200	81354	\N	\N	\N
2580587	8523	1997-02-23	VYDAJ	VYBER	28700	52654	\N	\N	\N
2580588	8523	1997-03-25	VYDAJ	VYBER	41600	58075	\N	\N	\N
2580589	8523	1997-04-11	VYDAJ	VYBER	45200	59665	\N	\N	\N
2580590	8523	1997-04-24	PRIJEM	VKLAD	4400	23618	\N	\N	\N
2580591	8523	1997-05-24	VYDAJ	VYBER	15400	34168	\N	\N	\N
2580592	8523	1997-06-11	VYDAJ	VYBER	34900	59926	\N	\N	\N
2580593	8523	1997-06-23	VYDAJ	VYBER	15600	44326	\N	\N	\N
2580594	8523	1997-07-23	VYDAJ	VYBER	28900	55967	\N	\N	\N
2580595	8523	1997-08-22	VYDAJ	VYBER	30500	57109	\N	\N	\N
2580596	8523	1997-09-21	VYDAJ	VYBER	20400	47536	\N	\N	\N
2580597	8523	1997-10-21	VYDAJ	VYBER	24800	60374	\N	\N	\N
2580598	8523	1997-11-11	VYDAJ	VYBER	15600	83830	\N	\N	\N
2580599	8523	1997-11-20	VYDAJ	VYBER	28000	55830	\N	\N	\N
2580600	8523	1997-12-20	VYDAJ	VYBER	14600	56874	\N	\N	\N
2580601	8523	1998-01-19	VYDAJ	VYBER	20900	52820	\N	\N	\N
2580602	8523	1998-02-18	VYDAJ	VYBER	9800	38968	\N	\N	\N
2580603	8523	1998-03-20	VYDAJ	VYBER	14300	53995	\N	\N	\N
2580604	8523	1998-04-19	VYDAJ	VYBER	14900	45337	\N	\N	\N
2580605	8523	1998-05-19	VYDAJ	VYBER	15900	46846	\N	\N	\N
2580606	8523	1998-06-18	VYDAJ	VYBER	27900	60596	\N	\N	\N
2580607	8523	1998-07-18	VYDAJ	VYBER	9000	44591	\N	\N	\N
2580608	8523	1998-08-17	VYDAJ	VYBER	10000	49735	\N	\N	\N
2580609	8523	1998-09-16	VYDAJ	VYBER	21900	54772	\N	\N	\N
2580610	8523	1998-10-16	VYDAJ	VYBER	25600	65001	\N	\N	\N
2580611	8523	1998-11-15	VYDAJ	VYBER	30300	69083	\N	\N	\N
2580612	8523	1998-12-11	VYDAJ	VYBER	16200	99410	\N	\N	\N
2580613	8523	1998-12-15	VYDAJ	VYBER	27400	64257	\N	\N	\N
2583070	8533	1995-10-10	PRIJEM	VKLAD	600	600	\N	\N	\N
2583085	8533	1996-10-15	PRIJEM	VKLAD	31049	87689	\N	\N	\N
2583086	8533	1996-05-11	PRIJEM	VKLAD	13266	77939	\N	\N	\N
2583087	8533	1996-04-28	PRIJEM	VKLAD	24657	127068	\N	\N	\N
2583088	8533	1996-11-17	PRIJEM	VKLAD	27653	103211	\N	\N	\N
2583089	8533	1996-05-04	PRIJEM	VKLAD	36387	118973	\N	\N	\N
2583090	8533	1996-03-11	PRIJEM	VKLAD	18459	79910	\N	\N	\N
2583091	8533	1996-07-08	PRIJEM	VKLAD	45774	85566	\N	\N	\N
2583092	8533	1996-01-07	PRIJEM	VKLAD	32127	51627	\N	\N	\N
2583093	8533	1996-12-05	PRIJEM	VKLAD	26422	82736	\N	\N	\N
2583094	8533	1996-08-17	PRIJEM	VKLAD	16704	78789	\N	\N	\N
2583095	8533	1996-09-06	PRIJEM	VKLAD	11389	70240	\N	\N	\N
2583096	8533	1996-08-17	PRIJEM	VKLAD	5361	62085	\N	\N	\N
2583097	8533	1996-10-22	PRIJEM	VKLAD	34837	122526	\N	\N	\N
2583098	8533	1996-12-15	PRIJEM	VKLAD	41157	113067	\N	\N	\N
2583099	8533	1996-05-31	PRIJEM	VKLAD	39913	123037	\N	\N	\N
2583100	8533	1996-03-01	PRIJEM	VKLAD	23053	91151	\N	\N	\N
2583101	8533	1996-01-23	PRIJEM	VKLAD	22895	62222	\N	\N	\N
2583102	8533	1996-12-02	PRIJEM	VKLAD	13179	88314	\N	\N	\N
2583103	8533	1996-05-28	PRIJEM	VKLAD	8583	82522	\N	\N	\N
2583104	8533	1996-10-14	PRIJEM	VKLAD	15351	56640	\N	\N	\N
2583105	8533	1996-02-05	PRIJEM	VKLAD	36937	99460	\N	\N	\N
2583106	8533	1996-03-21	PRIJEM	VKLAD	34832	106942	\N	\N	\N
2583107	8533	1996-11-29	PRIJEM	VKLAD	25968	129179	\N	\N	\N
2583108	8533	1996-11-07	PRIJEM	VKLAD	14356	79184	\N	\N	\N
2583109	8533	1996-02-26	PRIJEM	VKLAD	5880	67640	\N	\N	\N
2583110	8533	1996-12-30	PRIJEM	VKLAD	6383	119450	\N	\N	\N
2583111	8533	1996-04-11	PRIJEM	VKLAD	49461	102411	\N	\N	\N
2583112	8533	1996-06-03	PRIJEM	VKLAD	41624	117847	\N	\N	\N
2583113	8533	1997-01-31	PRIJEM	VKLAD	41007	68598	\N	\N	\N
2583114	8533	1997-11-02	PRIJEM	VKLAD	21162	73841	\N	\N	\N
2583115	8533	1997-10-16	PRIJEM	VKLAD	23974	65955	\N	\N	\N
2583116	8533	1997-04-08	PRIJEM	VKLAD	39534	97653	\N	\N	\N
2583117	8533	1997-02-20	PRIJEM	VKLAD	24375	96011	\N	\N	\N
2583118	8533	1997-11-08	PRIJEM	VKLAD	43608	117449	\N	\N	\N
2583119	8533	1997-08-27	PRIJEM	VKLAD	20197	114568	\N	\N	\N
2583120	8533	1997-07-01	PRIJEM	VKLAD	43385	52608	\N	\N	\N
2583121	8533	1997-07-11	PRIJEM	VKLAD	39568	89276	\N	\N	\N
2583122	8533	1997-01-04	PRIJEM	VKLAD	5139	57926	\N	\N	\N
2583123	8533	1997-03-05	PRIJEM	VKLAD	32086	93216	\N	\N	\N
2583124	8533	1997-04-26	PRIJEM	VKLAD	43373	110666	\N	\N	\N
2583125	8533	1997-02-02	PRIJEM	VKLAD	21394	75262	\N	\N	\N
2583126	8533	1997-12-01	PRIJEM	VKLAD	39019	93331	\N	\N	\N
2583127	8533	1997-11-22	PRIJEM	VKLAD	44016	72838	\N	\N	\N
2583128	8533	1997-08-05	PRIJEM	VKLAD	33893	84716	\N	\N	\N
2583129	8533	1997-09-09	PRIJEM	VKLAD	9425	88018	\N	\N	\N
2583130	8533	1997-05-05	PRIJEM	VKLAD	6401	83365	\N	\N	\N
2583131	8533	1997-08-15	PRIJEM	VKLAD	21381	102471	\N	\N	\N
2583132	8533	1998-09-04	PRIJEM	VKLAD	31756	105769	\N	\N	\N
2583133	8533	1998-03-13	PRIJEM	VKLAD	37033	77587	\N	\N	\N
2583134	8533	1998-05-27	PRIJEM	VKLAD	35179	66075	\N	\N	\N
2583135	8533	1998-08-10	PRIJEM	VKLAD	46941	117083	\N	\N	\N
2583136	8533	1998-02-20	PRIJEM	VKLAD	26292	43355	\N	\N	\N
2583137	8533	1998-07-28	PRIJEM	VKLAD	29380	87014	\N	\N	\N
2583138	8533	1998-11-13	PRIJEM	VKLAD	25060	69403	\N	\N	\N
2583139	8533	1998-07-20	PRIJEM	VKLAD	34658	59734	\N	\N	\N
2583154	8533	1996-03-17	VYDAJ	VYBER	3600	72110	\N	\N	0
2583155	8533	1996-04-04	VYDAJ	VYBER	3100	80250	\N	\N	0
2583156	8533	1996-05-20	VYDAJ	VYBER	4000	73939	\N	\N	0
2583157	8533	1996-06-12	VYDAJ	VYBER	2700	51547	\N	\N	0
2583158	8533	1996-07-19	VYDAJ	VYBER	3600	81966	\N	\N	0
2583159	8533	1996-08-04	VYDAJ	VYBER	2800	72524	\N	\N	0
2583160	8533	1996-09-11	VYDAJ	VYBER	2900	64940	\N	\N	0
2583161	8533	1996-10-12	VYDAJ	PREVOD NA UCET	3626	41289	UVER	YZ	84493583
2583162	8533	1996-11-12	VYDAJ	PREVOD NA UCET	3626	75558	UVER	YZ	84493583
2583163	8533	1996-12-12	VYDAJ	PREVOD NA UCET	3626	71910	UVER	YZ	84493583
2583164	8533	1997-01-12	VYDAJ	PREVOD NA UCET	3626	35400	UVER	YZ	84493583
2583165	8533	1997-02-12	VYDAJ	PREVOD NA UCET	3626	71636	UVER	YZ	84493583
2583166	8533	1997-03-12	VYDAJ	PREVOD NA UCET	3626	81085	UVER	YZ	84493583
2583167	8533	1997-04-12	VYDAJ	PREVOD NA UCET	3626	94027	UVER	YZ	84493583
2583168	8533	1997-05-12	VYDAJ	PREVOD NA UCET	3626	71339	UVER	YZ	84493583
2583169	8533	1997-06-12	VYDAJ	PREVOD NA UCET	3626	56015	UVER	YZ	84493583
2583170	8533	1997-07-12	VYDAJ	PREVOD NA UCET	3626	85650	UVER	YZ	84493583
2583171	8533	1997-08-12	VYDAJ	PREVOD NA UCET	3626	81090	UVER	YZ	84493583
2583172	8533	1997-09-12	VYDAJ	PREVOD NA UCET	3626	84392	UVER	YZ	84493583
2583173	8533	1997-10-12	VYDAJ	PREVOD NA UCET	3626	41981	UVER	YZ	84493583
2583174	8533	1997-11-12	VYDAJ	PREVOD NA UCET	3626	49223	UVER	YZ	84493583
2583175	8533	1997-12-12	VYDAJ	PREVOD NA UCET	3626	82056	UVER	YZ	84493583
2583176	8533	1998-01-12	VYDAJ	PREVOD NA UCET	3626	34805	UVER	YZ	84493583
2583177	8533	1998-02-12	VYDAJ	PREVOD NA UCET	3626	17063	UVER	YZ	84493583
2583178	8533	1998-03-12	VYDAJ	PREVOD NA UCET	3626	40554	UVER	YZ	84493583
2583179	8533	1998-04-12	VYDAJ	PREVOD NA UCET	3626	57004	UVER	YZ	84493583
2583180	8533	1998-05-12	VYDAJ	PREVOD NA UCET	3626	30896	UVER	YZ	84493583
2583181	8533	1998-06-12	VYDAJ	PREVOD NA UCET	3626	46936	UVER	YZ	84493583
2583182	8533	1998-07-12	VYDAJ	PREVOD NA UCET	3626	43948	UVER	YZ	84493583
2583183	8533	1998-08-12	VYDAJ	PREVOD NA UCET	3626	106985	UVER	YZ	84493583
2583184	8533	1998-09-12	VYDAJ	PREVOD NA UCET	3626	102143	UVER	YZ	84493583
2583185	8533	1998-10-12	VYDAJ	PREVOD NA UCET	3626	71939	UVER	YZ	84493583
2583186	8533	1998-11-12	VYDAJ	PREVOD NA UCET	3626	44343	UVER	YZ	84493583
2583187	8533	1998-12-12	VYDAJ	PREVOD NA UCET	3626	49542	UVER	YZ	84493583
2583195	8533	1997-12-16	VYBER	VYBER	10493	71563	\N	\N	\N
2583196	8533	1997-12-28	VYBER	VYBER	17599	48864	\N	\N	\N
2583197	8533	1997-06-22	VYBER	VYBER	20805	22610	\N	\N	\N
2583198	8533	1997-11-14	VYBER	VYBER	20401	28822	\N	\N	\N
2583199	8533	1997-07-23	VYBER	VYBER	17912	57538	\N	\N	\N
2583200	8533	1997-02-21	VYBER	VYBER	17370	78641	\N	\N	\N
2583201	8533	1997-06-22	VYBER	VYBER	13734	8876	\N	\N	\N
2583202	8533	1997-09-28	VYBER	VYBER	3684	80708	\N	\N	\N
2583203	8533	1997-04-24	VYBER	VYBER	13750	67293	\N	\N	\N
2583204	8533	1997-03-09	VYBER	VYBER	8505	84711	\N	\N	\N
2583205	8533	1997-04-13	VYBER	VYBER	7284	81043	\N	\N	\N
2583206	8533	1997-12-06	VYBER	VYBER	7649	85682	\N	\N	\N
2583207	8533	1997-03-17	VYBER	VYBER	9563	71522	\N	\N	\N
2583208	8533	1997-01-19	VYBER	VYBER	3009	32391	\N	\N	\N
2583209	8533	1998-08-06	VYBER	VYBER	9057	78242	\N	\N	\N
2583210	8533	1998-08-30	VYBER	VYBER	4275	73310	\N	\N	\N
2583211	8533	1998-08-12	VYBER	VYBER	6472	110611	\N	\N	\N
2583212	8533	1998-10-21	VYBER	VYBER	7929	44874	\N	\N	\N
2583213	8533	1998-10-18	VYBER	VYBER	5636	52803	\N	\N	\N
2583214	8533	1998-07-19	VYBER	VYBER	18872	25076	\N	\N	\N
2583215	8533	1998-04-18	VYBER	VYBER	17386	39618	\N	\N	\N
2583216	8533	1998-05-10	VYBER	VYBER	11027	34522	\N	\N	\N
2583217	8533	1998-05-29	VYBER	VYBER	5416	50359	\N	\N	\N
2583218	8533	1998-01-13	VYBER	VYBER	17009	17796	\N	\N	\N
2583220	8533	1996-12-12	VYDAJ	VYBER	7200	75536	\N	\N	\N
2583221	8533	1997-12-21	VYDAJ	VYBER	5100	66463	\N	\N	\N
2583222	8533	1998-12-13	VYDAJ	VYBER	8400	41142	\N	\N	\N
2583235	8533	1997-01-11	VYDAJ	VYBER	4800	39026	\N	\N	\N
2583236	8533	1997-01-03	VYDAJ	VYBER	6000	52787	\N	\N	\N
2583237	8533	1997-01-07	VYDAJ	VYBER	3600	43826	\N	\N	\N
2583238	8533	1997-01-19	VYDAJ	VYBER	4800	27591	\N	\N	\N
2583239	8533	1997-01-05	VYDAJ	VYBER	6600	51326	\N	\N	\N
2583240	8533	1997-01-07	VYDAJ	VYBER	3900	47426	\N	\N	\N
2583241	8533	1998-01-11	VYDAJ	VYBER KARTOU	3300	38431	\N	\N	0
2583242	8533	1998-01-10	VYDAJ	VYBER KARTOU	3000	41731	\N	\N	0
2583243	8533	1998-01-28	VYDAJ	VYBER	8100	20596	\N	\N	\N
2583245	8533	1998-01-14	VYDAJ	VYBER	6300	11496	\N	\N	\N
2583252	8533	1996-09-13	VYDAJ	VYBER	10800	54140	\N	\N	\N
2583253	8533	1996-09-09	VYDAJ	VYBER	2400	67840	\N	\N	\N
2583254	8533	1996-03-13	VYDAJ	VYBER	4200	75710	\N	\N	\N
2583255	8533	1996-12-02	VYDAJ	VYBER	14400	73914	\N	\N	\N
2583256	8533	1996-07-01	VYDAJ	VYBER	14100	37892	\N	\N	\N
2583257	8533	1996-08-04	VYDAJ	VYBER	7200	75324	\N	\N	\N
2583258	8533	1997-06-14	VYDAJ	VYBER	12600	43415	\N	\N	\N
2583259	8533	1997-04-12	VYDAJ	VYBER	5700	88327	\N	\N	\N
2583260	8533	1997-10-10	VYDAJ	VYBER	13800	45607	\N	\N	\N
2583261	8533	1997-05-05	VYDAJ	VYBER	8400	74965	\N	\N	\N
2583262	8533	1997-08-22	VYDAJ	VYBER	2700	99771	\N	\N	\N
2583263	8533	1997-07-18	VYDAJ	VYBER	10200	75450	\N	\N	\N
2583264	8533	1997-08-23	VYDAJ	VYBER	5400	94371	\N	\N	\N
2583265	8533	1998-12-09	VYDAJ	VYBER	4200	53168	\N	\N	\N
2583266	8533	1998-11-16	VYDAJ	VYBER	12300	57103	\N	\N	\N
2583267	8533	1998-08-08	VYDAJ	VYBER	8100	70142	\N	\N	\N
2583268	8533	1998-10-17	VYDAJ	VYBER	13500	58439	\N	\N	\N
2583284	8533	1996-03-31	VYDAJ	VYBER	15	83350	SLUZBY	\N	\N
2583285	8533	1996-04-30	VYDAJ	VYBER	15	82586	SLUZBY	\N	\N
2583286	8533	1996-05-31	VYDAJ	VYBER	15	123023	SLUZBY	\N	\N
2583287	8533	1996-06-30	VYDAJ	VYBER	15	51992	SLUZBY	\N	\N
2583288	8533	1996-07-31	VYDAJ	VYBER	15	82524	SLUZBY	\N	\N
2583289	8533	1996-08-31	VYDAJ	VYBER	15	79251	SLUZBY	\N	\N
2583290	8533	1996-09-30	VYDAJ	VYBER	15	54615	SLUZBY	\N	\N
2583291	8533	1996-10-31	VYDAJ	VYBER	15	97628	SLUZBY	\N	\N
2583292	8533	1996-11-30	VYDAJ	VYBER	15	75135	SLUZBY	\N	\N
2583293	8533	1996-12-31	VYDAJ	VYBER	15	81187	SLUZBY	\N	\N
2583294	8533	1997-01-31	VYDAJ	VYBER	15	68868	SLUZBY	\N	\N
2583295	8533	1997-02-28	VYDAJ	VYBER	15	79230	SLUZBY	\N	\N
2583296	8533	1997-03-31	VYDAJ	VYBER	15	72119	SLUZBY	\N	\N
2583297	8533	1997-04-30	VYDAJ	VYBER	15	111264	SLUZBY	\N	\N
2583298	8533	1997-05-31	VYDAJ	VYBER	15	71941	SLUZBY	\N	\N
2583299	8533	1997-06-30	VYDAJ	VYBER	15	9223	SLUZBY	\N	\N
2583300	8533	1997-07-31	VYDAJ	VYBER	15	50823	SLUZBY	\N	\N
2583301	8533	1997-08-31	VYDAJ	VYBER	15	78593	SLUZBY	\N	\N
2583302	8533	1997-09-30	VYDAJ	VYBER	15	59407	SLUZBY	\N	\N
2583303	8533	1997-10-31	VYDAJ	VYBER	15	52679	SLUZBY	\N	\N
2583304	8533	1997-11-30	VYDAJ	VYBER	15	54312	SLUZBY	\N	\N
2583305	8533	1997-12-31	VYDAJ	VYBER	15	44731	SLUZBY	\N	\N
2583306	8533	1998-01-31	VYDAJ	VYBER	15	20689	SLUZBY	\N	\N
2583307	8533	1998-02-28	VYDAJ	VYBER	15	44180	SLUZBY	\N	\N
2583308	8533	1998-03-31	VYDAJ	VYBER	15	60630	SLUZBY	\N	\N
2583309	8533	1998-04-30	VYDAJ	VYBER	15	45549	SLUZBY	\N	\N
2583310	8533	1998-05-31	VYDAJ	VYBER	15	50562	SLUZBY	\N	\N
2583311	8533	1998-06-30	VYDAJ	VYBER	15	47574	SLUZBY	\N	\N
2583312	8533	1998-07-31	VYDAJ	VYBER	15	87299	SLUZBY	\N	\N
2583313	8533	1998-08-31	VYDAJ	VYBER	15	74013	SLUZBY	\N	\N
2583314	8533	1998-09-30	VYDAJ	VYBER	15	75565	SLUZBY	\N	\N
2583315	8533	1998-10-31	VYDAJ	VYBER	15	47969	SLUZBY	\N	\N
2583316	8533	1998-11-30	VYDAJ	VYBER	15	57368	SLUZBY	\N	\N
2583317	8533	1995-11-09	PRIJEM	VKLAD	12300	12900	\N	\N	\N
2583318	8533	1995-12-09	PRIJEM	VKLAD	6600	19500	\N	\N	\N
2583319	8533	1996-01-08	VYDAJ	VYBER	12300	39327	\N	\N	\N
2583320	8533	1996-02-07	VYDAJ	VYBER	37700	61760	\N	\N	\N
2583321	8533	1996-03-08	VYDAJ	VYBER	29700	61451	\N	\N	\N
2583322	8533	1996-03-21	VYDAJ	VYBER	24200	82742	\N	\N	\N
2583323	8533	1996-04-07	VYDAJ	VYBER	27300	52950	\N	\N	\N
2583324	8533	1996-04-28	VYDAJ	VYBER	45200	81868	\N	\N	\N
2583325	8533	1996-05-04	VYDAJ	VYBER	24000	94973	\N	\N	\N
2583326	8533	1996-05-07	VYDAJ	VYBER	30300	64673	\N	\N	\N
2583327	8533	1996-05-31	VYDAJ	VYBER	46800	76223	\N	\N	\N
2583328	8533	1996-06-03	VYDAJ	VYBER	42800	75047	\N	\N	\N
2583329	8533	1996-06-06	VYDAJ	VYBER	20800	54247	\N	\N	\N
2583330	8533	1996-07-06	PRIJEM	VKLAD	1900	39792	\N	\N	\N
2583331	8533	1996-08-05	VYDAJ	VYBER	15800	56724	\N	\N	\N
2583332	8533	1996-09-04	VYDAJ	VYBER	20400	58851	\N	\N	\N
2583333	8533	1996-10-04	VYDAJ	VYBER	9700	44915	\N	\N	\N
2583334	8533	1996-10-22	VYDAJ	VYBER	25400	97126	\N	\N	\N
2583335	8533	1996-11-03	VYDAJ	VYBER	32800	64828	\N	\N	\N
2583336	8533	1996-11-29	VYDAJ	VYBER	54700	74479	\N	\N	\N
2583337	8533	1996-12-03	VYDAJ	VYBER	17600	56314	\N	\N	\N
2583338	8533	1996-12-30	VYDAJ	VYBER	39000	80450	\N	\N	\N
2583339	8533	1997-01-02	VYDAJ	VYBER	22400	58787	\N	\N	\N
2583340	8533	1997-02-01	VYDAJ	VYBER	15000	53868	\N	\N	\N
2583341	8533	1997-03-03	VYDAJ	VYBER	18100	61130	\N	\N	\N
2583342	8533	1997-04-02	VYDAJ	VYBER	14000	58119	\N	\N	\N
2583343	8533	1997-05-02	VYDAJ	VYBER	34300	76964	\N	\N	\N
2583344	8533	1997-06-01	VYDAJ	VYBER	12300	59641	\N	\N	\N
2583345	8533	1997-07-01	VYDAJ	VYBER	2900	49708	\N	\N	\N
2583346	8533	1997-07-31	VYDAJ	VYBER	7200	50838	\N	\N	\N
2583347	8533	1997-08-30	VYDAJ	VYBER	36600	77968	\N	\N	\N
2583348	8533	1997-09-29	VYDAJ	VYBER	21800	58908	\N	\N	\N
2583349	8533	1997-10-29	VYDAJ	VYBER	13700	52255	\N	\N	\N
2583350	8533	1997-11-08	VYDAJ	VYBER	64600	52849	\N	\N	\N
2583351	8533	1997-11-28	VYDAJ	VYBER	18900	53938	\N	\N	\N
2583352	8533	1997-12-28	VYDAJ	VYBER	4600	44264	\N	\N	\N
2583353	8533	1998-01-27	PRIJEM	VKLAD	17200	28696	\N	\N	\N
2583354	8533	1998-02-26	PRIJEM	VKLAD	700	44055	\N	\N	\N
2583355	8533	1998-03-28	VYDAJ	VYBER	17400	60187	\N	\N	\N
2583356	8533	1998-04-27	PRIJEM	VKLAD	5700	45318	\N	\N	\N
2583357	8533	1998-05-27	VYDAJ	VYBER	10300	55775	\N	\N	\N
2583358	8533	1998-06-26	PRIJEM	VKLAD	300	47236	\N	\N	\N
2583359	8533	1998-07-26	VYDAJ	VYBER KARTOU	2100	57634	\N	\N	0
2583360	8533	1998-08-25	VYDAJ	VYBER	29400	77585	\N	\N	\N
2583361	8533	1998-09-24	VYDAJ	VYBER	27100	75043	\N	\N	\N
2583362	8533	1998-10-24	PRIJEM	VKLAD	2800	47674	\N	\N	\N
2583363	8533	1998-11-23	VYDAJ	VYBER KARTOU	100	57003	\N	\N	0
2586312	8547	1995-07-17	PRIJEM	VKLAD	300	300	\N	\N	\N
2586313	8547	1995-09-30	PRIJEM	VKLAD	22431	116329	\N	\N	\N
2586317	8547	1995-10-16	PRIJEM	VKLAD	48221	115389	\N	\N	\N
2586318	8547	1995-09-03	PRIJEM	VKLAD	9776	29414	\N	\N	\N
2586321	8547	1995-11-02	PRIJEM	VKLAD	27326	61692	\N	\N	\N
2586325	8547	1995-09-25	PRIJEM	VKLAD	44582	83002	\N	\N	\N
2586326	8547	1995-10-05	PRIJEM	VKLAD	12969	101368	\N	\N	\N
2586331	8547	1995-09-06	PRIJEM	VKLAD	19406	48820	\N	\N	\N
2586333	8547	1995-12-16	PRIJEM	VKLAD	30157	54822	\N	\N	\N
2586335	8547	1995-09-25	PRIJEM	VKLAD	10527	93529	\N	\N	\N
2586336	8547	1995-08-15	PRIJEM	VKLAD	15956	16256	\N	\N	\N
2586337	8547	1996-06-18	PRIJEM	VKLAD	49687	111331	\N	\N	\N
2586338	8547	1996-08-14	PRIJEM	VKLAD	15026	104721	\N	\N	\N
2586339	8547	1996-08-12	PRIJEM	VKLAD	42966	94502	\N	\N	\N
2586340	8547	1996-05-23	PRIJEM	VKLAD	45877	87697	\N	\N	\N
2586341	8547	1996-04-09	PRIJEM	VKLAD	17687	69362	\N	\N	\N
2586342	8547	1996-07-30	PRIJEM	VKLAD	16934	68378	\N	\N	\N
2586343	8547	1996-04-20	PRIJEM	VKLAD	14305	69591	\N	\N	\N
2586344	8547	1996-02-03	PRIJEM	VKLAD	5413	55368	\N	\N	\N
2586345	8547	1996-01-24	PRIJEM	VKLAD	35876	89604	\N	\N	\N
2586346	8547	1996-04-13	PRIJEM	VKLAD	21950	92615	\N	\N	\N
2586347	8547	1996-11-10	PRIJEM	VKLAD	26263	45442	\N	\N	\N
2586348	8547	1996-01-10	PRIJEM	VKLAD	39434	107654	\N	\N	\N
2586349	8547	1996-08-25	PRIJEM	VKLAD	39588	155817	\N	\N	\N
2586350	8547	1996-01-13	PRIJEM	VKLAD	33082	123928	\N	\N	\N
2586351	8547	1996-12-25	PRIJEM	VKLAD	15934	79734	\N	\N	\N
2586352	8547	1996-06-11	PRIJEM	VKLAD	31770	102950	\N	\N	\N
2586353	8547	1996-03-24	PRIJEM	VKLAD	18300	51251	\N	\N	\N
2586354	8547	1996-08-23	PRIJEM	VKLAD	45608	150329	\N	\N	\N
2586355	8547	1996-01-03	PRIJEM	VKLAD	30800	83520	\N	\N	\N
2586356	8547	1996-05-09	PRIJEM	VKLAD	49769	116120	\N	\N	\N
2586357	8547	1996-11-23	PRIJEM	VKLAD	38125	78760	\N	\N	\N
2586358	8547	1996-12-11	PRIJEM	VKLAD	24569	81507	\N	\N	\N
2586359	8547	1996-05-26	PRIJEM	VKLAD	26235	113932	\N	\N	\N
2586360	8547	1996-01-12	PRIJEM	VKLAD	6792	114446	\N	\N	\N
2586361	8547	1996-02-19	PRIJEM	VKLAD	39321	76389	\N	\N	\N
2586362	8547	1996-04-14	PRIJEM	VKLAD	17271	109886	\N	\N	\N
2586363	8547	1996-04-13	PRIJEM	VKLAD	23003	70665	\N	\N	\N
2586364	8547	1996-07-09	PRIJEM	VKLAD	44715	78250	\N	\N	\N
2586365	8547	1997-10-17	PRIJEM	VKLAD	19176	45652	\N	\N	\N
2586366	8547	1997-10-09	PRIJEM	VKLAD	6030	44783	\N	\N	\N
2586367	8547	1997-04-03	PRIJEM	VKLAD	46150	89465	\N	\N	\N
2586368	8547	1997-04-12	PRIJEM	VKLAD	10637	88779	\N	\N	\N
2586369	8547	1997-03-18	PRIJEM	VKLAD	14161	43067	\N	\N	\N
2586370	8547	1997-06-16	PRIJEM	VKLAD	6644	50158	\N	\N	\N
2586371	8547	1997-12-17	PRIJEM	VKLAD	13398	86530	\N	\N	\N
2586372	8547	1997-08-17	PRIJEM	VKLAD	46380	92686	\N	\N	\N
2586373	8547	1997-01-20	PRIJEM	VKLAD	25462	75481	\N	\N	\N
2586374	8547	1997-04-10	PRIJEM	VKLAD	14877	78142	\N	\N	\N
2586375	8547	1997-05-25	PRIJEM	VKLAD	11255	109696	\N	\N	\N
2586376	8547	1997-04-15	PRIJEM	VKLAD	15882	99854	\N	\N	\N
2586377	8547	1997-09-08	PRIJEM	VKLAD	10121	68553	\N	\N	\N
2586378	8547	1997-06-30	PRIJEM	VKLAD	49122	111543	\N	\N	\N
2586379	8547	1997-01-09	PRIJEM	VKLAD	25240	71325	\N	\N	\N
2586380	8547	1997-06-09	PRIJEM	VKLAD	13822	66320	\N	\N	\N
2586381	8547	1997-10-21	PRIJEM	VKLAD	10261	31508	\N	\N	\N
2586382	8547	1997-05-09	PRIJEM	VKLAD	38471	103247	\N	\N	\N
2586383	8547	1997-11-17	PRIJEM	VKLAD	47201	73718	\N	\N	\N
2586384	8547	1997-06-22	PRIJEM	VKLAD	11835	61993	\N	\N	\N
2586385	8547	1997-12-04	PRIJEM	VKLAD	40581	86338	\N	\N	\N
2586386	8547	1997-07-10	PRIJEM	VKLAD	25223	76236	\N	\N	\N
2586387	8547	1998-03-31	PRIJEM	VKLAD	9290	27520	\N	\N	\N
2586397	8547	1995-10-18	VYDAJ	VYBER	4200	48489	\N	\N	0
2586398	8547	1995-11-04	VYDAJ	VYBER	4100	57592	\N	\N	0
2586399	8547	1995-12-03	VYDAJ	VYBER	4200	33865	\N	\N	0
2586400	8547	1996-01-20	VYDAJ	VYBER	4600	53728	\N	\N	0
2586401	8547	1996-02-19	VYDAJ	VYBER	5900	70489	\N	\N	0
2586402	8547	1996-03-02	VYDAJ	VYBER	5300	65564	\N	\N	0
2586403	8547	1996-04-09	VYDAJ	VYBER	4700	64662	\N	\N	0
2586404	8547	1996-05-15	VYDAJ	VYBER	5200	41820	\N	\N	0
2586405	8547	1996-06-12	VYDAJ	PREVOD NA UCET	4807	61644	UVER	AB	64253020
2586406	8547	1996-07-12	VYDAJ	PREVOD NA UCET	4807	51444	UVER	AB	64253020
2586407	8547	1996-08-12	VYDAJ	PREVOD NA UCET	4807	89695	UVER	AB	64253020
2586408	8547	1996-09-12	VYDAJ	PREVOD NA UCET	4807	59972	UVER	AB	64253020
2586409	8547	1996-10-12	VYDAJ	PREVOD NA UCET	4807	23032	UVER	AB	64253020
2586410	8547	1996-11-12	VYDAJ	PREVOD NA UCET	4807	40635	UVER	AB	64253020
2586411	8547	1996-12-12	VYDAJ	PREVOD NA UCET	4807	63800	UVER	AB	64253020
2586412	8547	1997-01-12	VYDAJ	PREVOD NA UCET	4807	58419	UVER	AB	64253020
2586413	8547	1997-02-12	VYDAJ	PREVOD NA UCET	4807	34313	UVER	AB	64253020
2586414	8547	1997-03-12	VYDAJ	PREVOD NA UCET	4807	28906	UVER	AB	64253020
2586415	8547	1997-04-12	VYDAJ	PREVOD NA UCET	4807	83972	UVER	AB	64253020
2586416	8547	1997-05-12	VYDAJ	PREVOD NA UCET	4807	98441	UVER	AB	64253020
2586417	8547	1997-06-12	VYDAJ	PREVOD NA UCET	4807	61514	UVER	AB	64253020
2586418	8547	1997-07-12	VYDAJ	PREVOD NA UCET	4807	61607	UVER	AB	64253020
2586419	8547	1997-08-12	VYDAJ	PREVOD NA UCET	4807	46306	UVER	AB	64253020
2586420	8547	1997-09-12	VYDAJ	PREVOD NA UCET	4807	63746	UVER	AB	64253020
2586421	8547	1997-10-12	VYDAJ	PREVOD NA UCET	4807	39976	UVER	AB	64253020
2586422	8547	1997-11-12	VYDAJ	PREVOD NA UCET	4807	26517	UVER	AB	64253020
2586423	8547	1997-12-12	VYDAJ	PREVOD NA UCET	4807	73132	UVER	AB	64253020
2586424	8547	1998-01-12	VYDAJ	PREVOD NA UCET	4807	38597	UVER	AB	64253020
2586425	8547	1998-02-12	VYDAJ	PREVOD NA UCET	4807	18713	UVER	AB	64253020
2586426	8547	1998-03-12	VYDAJ	PREVOD NA UCET	4807	20848	UVER	AB	64253020
2586427	8547	1998-04-12	VYDAJ	PREVOD NA UCET	4807	17586	UVER	AB	64253020
2586428	8547	1998-05-12	VYDAJ	PREVOD NA UCET	4807	19756	UVER	AB	64253020
2586429	8547	1998-06-12	VYDAJ	PREVOD NA UCET	4807	20418	UVER	AB	64253020
2586430	8547	1998-07-12	VYDAJ	PREVOD NA UCET	4807	26783	UVER	AB	64253020
2586431	8547	1998-08-12	VYDAJ	PREVOD NA UCET	4807	22093	UVER	AB	64253020
2586432	8547	1998-09-12	VYDAJ	PREVOD NA UCET	4807	29412	UVER	AB	64253020
2586433	8547	1998-10-12	VYDAJ	PREVOD NA UCET	4807	25334	UVER	AB	64253020
2586434	8547	1998-11-12	VYDAJ	PREVOD NA UCET	4807	26509	UVER	AB	64253020
2586435	8547	1998-12-12	VYDAJ	PREVOD NA UCET	4807	31183	UVER	AB	64253020
2586440	8547	1995-11-07	VYBER	VYBER	12036	45556	\N	\N	\N
2586441	8547	1995-12-16	VYBER	VYBER	2424	52398	\N	\N	\N
2586442	8547	1996-05-30	VYBER	VYBER	17655	70677	\N	\N	\N
2586444	8547	1996-10-22	VYBER	VYBER	14425	4572	\N	\N	\N
2586445	8547	1996-09-02	VYBER	VYBER	14428	101579	\N	\N	\N
2586447	8547	1996-10-04	VYBER	VYBER	24919	35538	\N	\N	\N
2586448	8547	1996-08-10	VYBER	VYBER	4374	64336	\N	\N	\N
2586449	8547	1996-03-21	VYBER	VYBER	5743	32951	\N	\N	\N
2586450	8547	1996-10-17	VYBER	VYBER	4035	18997	\N	\N	\N
2586451	8547	1996-03-13	VYBER	VYBER	11870	53694	\N	\N	\N
2586452	8547	1996-04-27	VYBER	VYBER	3753	65838	\N	\N	\N
2586453	8547	1997-09-19	VYBER	VYBER	13406	50340	\N	\N	\N
2586454	8547	1997-10-03	VYBER	VYBER	3109	38353	\N	\N	\N
2586455	8547	1997-01-04	VYBER	VYBER	12779	67485	\N	\N	\N
2586456	8547	1997-11-21	VYBER	VYBER	20345	53373	\N	\N	\N
2586457	8547	1997-11-12	VYBER	VYBER	5789	31323	\N	\N	\N
2586458	8547	1997-06-06	VYBER	VYBER	16424	70098	\N	\N	\N
2586459	8547	1997-12-18	VYBER	VYBER	18445	68085	\N	\N	\N
2586460	8547	1997-07-11	VYBER	VYBER	9823	66413	\N	\N	\N
2586461	8547	1997-10-19	VYBER	VYBER	24405	21247	\N	\N	\N
2586463	8547	1998-03-17	VYBER	VYBER	2618	18230	\N	\N	\N
2586464	8547	1998-04-01	VYBER	VYBER	8001	19593	\N	\N	\N
2586466	8547	1996-06-23	VYDAJ	VYBER	78300	33031	\N	\N	\N
2586467	8547	1997-06-14	VYDAJ	VYBER	18000	43514	\N	\N	\N
2586470	8547	1996-01-26	VYDAJ	VYBER	21300	56004	\N	\N	\N
2586471	8547	1997-01-20	VYDAJ	VYBER	22500	52981	\N	\N	\N
2586473	8547	1995-12-11	VYDAJ	VYBER	3600	30265	\N	\N	\N
2586474	8547	1996-12-05	VYDAJ	VYBER	4200	74838	\N	\N	\N
2586475	8547	1997-12-09	VYDAJ	VYBER	8400	77938	\N	\N	\N
2586476	8547	1998-12-07	VYDAJ	VYBER KARTOU	3900	35989	\N	\N	0
2586483	8547	1996-01-26	VYDAJ	VYBER	4500	77304	\N	\N	\N
2586484	8547	1996-01-25	VYDAJ	VYBER	7800	81804	\N	\N	\N
2586485	8547	1996-01-03	VYDAJ	VYBER	7800	68220	\N	\N	\N
2586486	8547	1996-01-03	VYDAJ	VYBER	7500	76020	\N	\N	\N
2586487	8547	1996-01-26	VYDAJ	VYBER	6600	49404	\N	\N	\N
2586488	8547	1996-01-12	VYDAJ	VYBER	1500	90846	\N	\N	\N
2586489	8547	1997-01-14	VYDAJ	VYBER	5100	53319	\N	\N	\N
2586490	8547	1997-01-20	VYDAJ	VYBER	3300	49681	\N	\N	\N
2586491	8547	1997-01-09	VYDAJ	VYBER	8100	63225	\N	\N	\N
2586492	8547	1997-01-15	VYDAJ	VYBER	3300	50019	\N	\N	\N
2586493	8547	1997-01-04	VYDAJ	VYBER	3000	64485	\N	\N	\N
2586494	8547	1997-01-05	VYDAJ	VYBER	4500	59985	\N	\N	\N
2586495	8547	1998-01-24	VYDAJ	VYBER	8400	30197	\N	\N	\N
2586496	8547	1998-01-27	VYDAJ	VYBER KARTOU	2700	11297	\N	\N	0
2586497	8547	1998-01-25	VYDAJ	VYBER	8100	13997	\N	\N	\N
2586498	8547	1998-01-04	VYDAJ	VYBER	6000	44903	\N	\N	\N
2586499	8547	1998-01-24	VYDAJ	VYBER	8100	22097	\N	\N	\N
2586500	8547	1998-01-12	VYDAJ	VYBER KARTOU	1500	43403	\N	\N	0
2586503	8547	1995-10-22	VYDAJ	VYBER	14700	33789	\N	\N	\N
2586504	8547	1995-12-12	VYDAJ	VYBER	11400	18865	\N	\N	\N
2586507	8547	1996-10-11	VYDAJ	VYBER	6600	27838	\N	\N	\N
2586508	8547	1996-02-05	VYDAJ	VYBER	12300	43068	\N	\N	\N
2586509	8547	1996-09-06	VYDAJ	VYBER	4200	97379	\N	\N	\N
2586510	8547	1996-12-11	VYDAJ	VYBER	12900	68607	\N	\N	\N
2586511	8547	1997-09-03	VYDAJ	VYBER	9000	84232	\N	\N	\N
2586512	8547	1997-10-15	VYDAJ	VYBER	13500	26476	\N	\N	\N
2586513	8547	1997-04-30	VYDAJ	VYBER	10800	89706	\N	\N	\N
2586514	8547	1997-09-28	VYDAJ	VYBER	9300	41040	\N	\N	\N
2586515	8547	1997-07-08	VYDAJ	VYBER	8700	51013	\N	\N	\N
2586516	8547	1998-08-03	VYDAJ	VYBER KARTOU	3300	26900	\N	\N	0
2586517	8547	1998-11-09	VYDAJ	VYBER	8100	31316	\N	\N	\N
2586518	8547	1998-05-29	VYDAJ	VYBER KARTOU	3300	16456	\N	\N	0
2586519	8547	1998-01-27	VYDAJ	VYBER KARTOU	1800	9497	\N	\N	0
2586521	8547	1998-09-17	VYDAJ	VYBER	13500	15912	\N	\N	\N
2586531	8547	1995-09-30	VYDAJ	VYBER	30	88399	SLUZBY	\N	\N
2586532	8547	1995-10-31	VYDAJ	VYBER	30	34366	SLUZBY	\N	\N
2586533	8547	1995-11-30	VYDAJ	VYBER	30	38065	SLUZBY	\N	\N
2586534	8547	1995-12-31	VYDAJ	VYBER	30	52720	SLUZBY	\N	\N
2586535	8547	1996-01-31	VYDAJ	VYBER	30	49955	SLUZBY	\N	\N
2586536	8547	1996-02-29	VYDAJ	VYBER	30	70864	SLUZBY	\N	\N
2586537	8547	1996-03-31	VYDAJ	VYBER	30	51675	SLUZBY	\N	\N
2586538	8547	1996-04-30	VYDAJ	VYBER	30	66351	SLUZBY	\N	\N
2586539	8547	1996-05-31	VYDAJ	VYBER	30	71180	SLUZBY	\N	\N
2586540	8547	1996-06-30	VYDAJ	VYBER	30	33535	SLUZBY	\N	\N
2586541	8547	1996-07-31	VYDAJ	VYBER	30	68710	SLUZBY	\N	\N
2586542	8547	1996-08-31	VYDAJ	VYBER	30	134607	SLUZBY	\N	\N
2586543	8547	1996-09-30	VYDAJ	VYBER	30	60457	SLUZBY	\N	\N
2586544	8547	1996-10-31	VYDAJ	VYBER	30	4679	SLUZBY	\N	\N
2586545	8547	1996-11-30	VYDAJ	VYBER	30	79038	SLUZBY	\N	\N
2586546	8547	1996-12-31	VYDAJ	VYBER	30	80264	SLUZBY	\N	\N
2586547	8547	1997-01-31	VYDAJ	VYBER	30	50120	SLUZBY	\N	\N
2586548	8547	1997-02-28	VYDAJ	VYBER	30	34513	SLUZBY	\N	\N
2586549	8547	1997-03-31	VYDAJ	VYBER	30	43315	SLUZBY	\N	\N
2586550	8547	1997-04-30	VYDAJ	VYBER	30	89676	SLUZBY	\N	\N
2586551	8547	1997-05-31	VYDAJ	VYBER	30	86522	SLUZBY	\N	\N
2586552	8547	1997-06-30	VYDAJ	VYBER	30	81713	SLUZBY	\N	\N
2586553	8547	1997-07-31	VYDAJ	VYBER	30	62013	SLUZBY	\N	\N
2586554	8547	1997-08-31	VYDAJ	VYBER	30	93232	SLUZBY	\N	\N
2586555	8547	1997-09-30	VYDAJ	VYBER	30	41462	SLUZBY	\N	\N
2586556	8547	1997-10-31	VYDAJ	VYBER	30	31712	SLUZBY	\N	\N
2586557	8547	1997-11-30	VYDAJ	VYBER	30	53657	SLUZBY	\N	\N
2586558	8547	1997-12-31	VYDAJ	VYBER	30	68603	SLUZBY	\N	\N
2586559	8547	1998-01-31	VYDAJ	VYBER	30	9720	SLUZBY	\N	\N
2586560	8547	1998-02-28	VYDAJ	VYBER	30	18755	SLUZBY	\N	\N
2586561	8547	1998-03-31	VYDAJ	VYBER	30	27594	SLUZBY	\N	\N
2586562	8547	1998-04-30	VYDAJ	VYBER	30	17663	SLUZBY	\N	\N
2586563	8547	1998-05-31	VYDAJ	VYBER	30	16525	SLUZBY	\N	\N
2586564	8547	1998-06-30	VYDAJ	VYBER	30	20489	SLUZBY	\N	\N
2586565	8547	1998-07-31	VYDAJ	VYBER	30	30200	SLUZBY	\N	\N
2586566	8547	1998-08-31	VYDAJ	VYBER	30	34219	SLUZBY	\N	\N
2586567	8547	1998-09-30	VYDAJ	VYBER	30	30141	SLUZBY	\N	\N
2586568	8547	1998-10-31	VYDAJ	VYBER	30	39416	SLUZBY	\N	\N
2586569	8547	1998-11-30	VYDAJ	VYBER	30	39889	SLUZBY	\N	\N
2586570	8547	1995-08-16	PRIJEM	VKLAD	3300	19556	\N	\N	\N
2586571	8547	1995-09-15	VYDAJ	VYBER	10400	38420	\N	\N	\N
2586572	8547	1995-09-30	VYDAJ	VYBER	27900	88429	\N	\N	\N
2586573	8547	1995-10-15	VYDAJ	VYBER	34200	67168	\N	\N	\N
2586574	8547	1995-10-16	VYDAJ	VYBER	62700	52689	\N	\N	\N
2586575	8547	1995-11-14	VYDAJ	VYBER	7800	37756	\N	\N	\N
2586576	8547	1995-12-14	PRIJEM	VKLAD	5800	24665	\N	\N	\N
2586577	8547	1996-01-12	VYDAJ	VYBER	22100	92346	\N	\N	\N
2586578	8547	1996-01-13	VYDAJ	VYBER	37600	86328	\N	\N	\N
2586579	8547	1996-01-13	VYDAJ	VYBER	28000	58328	\N	\N	\N
2586580	8547	1996-02-12	VYDAJ	VYBER	6000	37068	\N	\N	\N
2586581	8547	1996-03-13	VYDAJ	VYBER	15000	38694	\N	\N	\N
2586582	8547	1996-04-12	VYDAJ	VYBER	17000	47662	\N	\N	\N
2586583	8547	1996-04-14	VYDAJ	VYBER	54600	55286	\N	\N	\N
2586584	8547	1996-05-09	VYDAJ	VYBER	57900	58220	\N	\N	\N
2586585	8547	1996-05-12	VYDAJ	VYBER	11200	47020	\N	\N	\N
2586586	8547	1996-05-26	VYDAJ	VYBER	25600	88332	\N	\N	\N
2586587	8547	1996-06-11	VYDAJ	VYBER	36500	66450	\N	\N	\N
2586588	8547	1996-07-11	VYDAJ	VYBER	22000	56250	\N	\N	\N
2586589	8547	1996-08-10	VYDAJ	VYBER	12800	51536	\N	\N	\N
2586590	8547	1996-08-23	VYDAJ	VYBER	34100	116229	\N	\N	\N
2586591	8547	1996-08-25	VYDAJ	VYBER	21900	133917	\N	\N	\N
2586592	8547	1996-08-31	VYDAJ	VYBER	18600	116007	\N	\N	\N
2586593	8547	1996-09-09	VYDAJ	VYBER	32600	64779	\N	\N	\N
2586594	8547	1996-10-09	VYDAJ	VYBER	1100	34438	\N	\N	\N
2586595	8547	1996-11-08	PRIJEM	VKLAD	14500	19179	\N	\N	\N
2586596	8547	1996-12-08	VYDAJ	VYBER	17900	56938	\N	\N	\N
2586597	8547	1997-01-07	VYDAJ	VYBER	13900	46085	\N	\N	\N
2586598	8547	1997-02-06	VYDAJ	VYBER	11000	39120	\N	\N	\N
2586599	8547	1997-03-08	VYDAJ	VYBER	800	33713	\N	\N	\N
2586600	8547	1997-04-07	VYDAJ	VYBER	26200	63265	\N	\N	\N
2586601	8547	1997-05-07	VYDAJ	VYBER	24900	64776	\N	\N	\N
2586602	8547	1997-05-25	VYDAJ	VYBER	23900	85796	\N	\N	\N
2586603	8547	1997-06-06	VYDAJ	VYBER	17600	52498	\N	\N	\N
2586604	8547	1997-06-30	VYDAJ	VYBER	29800	81743	\N	\N	\N
2586605	8547	1997-07-06	VYDAJ	VYBER	22000	59713	\N	\N	\N
2586606	8547	1997-08-05	VYDAJ	VYBER	10900	51113	\N	\N	\N
2586607	8547	1997-09-04	VYDAJ	VYBER	25800	58432	\N	\N	\N
2586608	8547	1997-10-04	PRIJEM	VKLAD	400	38753	\N	\N	\N
2586609	8547	1997-11-03	PRIJEM	VKLAD	5400	37112	\N	\N	\N
2586610	8547	1997-12-03	VYDAJ	VYBER	7900	45757	\N	\N	\N
2586611	8547	1998-01-02	VYDAJ	VYBER	17700	50903	\N	\N	\N
2586612	8547	1998-02-01	PRIJEM	VKLAD	13800	23520	\N	\N	\N
2586613	8547	1998-03-03	PRIJEM	VKLAD	6900	25655	\N	\N	\N
2586614	8547	1998-04-02	PRIJEM	VKLAD	2800	22393	\N	\N	\N
2586615	8547	1998-05-02	PRIJEM	VKLAD	6900	24563	\N	\N	\N
2586616	8547	1998-06-01	PRIJEM	VKLAD	8700	25225	\N	\N	\N
2586617	8547	1998-07-01	PRIJEM	VKLAD	11100	31589	\N	\N	\N
2586618	8547	1998-07-31	PRIJEM	VKLAD	3300	30083	\N	\N	\N
2586619	8547	1998-08-30	PRIJEM	VKLAD	12000	34093	\N	\N	\N
2586620	8547	1998-09-29	PRIJEM	VKLAD	14100	30012	\N	\N	\N
2586621	8547	1998-10-29	PRIJEM	VKLAD	14000	39334	\N	\N	\N
2586622	8547	1998-11-28	PRIJEM	VKLAD	13200	39709	\N	\N	\N
2589826	8558	1994-02-27	PRIJEM	VKLAD	800	800	\N	\N	\N
2589827	8558	1994-11-11	PRIJEM	VKLAD	30173	58526	\N	\N	\N
2589828	8558	1994-04-15	PRIJEM	VKLAD	26058	37358	\N	\N	\N
2589830	8558	1994-07-26	PRIJEM	VKLAD	37993	87804	\N	\N	\N
2589831	8558	1994-10-12	PRIJEM	VKLAD	30203	50758	\N	\N	\N
2589832	8558	1994-07-26	PRIJEM	VKLAD	25848	49811	\N	\N	\N
2589833	8558	1994-12-09	PRIJEM	VKLAD	15932	54683	\N	\N	\N
2589834	8558	1994-06-23	PRIJEM	VKLAD	32693	111247	\N	\N	\N
2589835	8558	1994-06-14	PRIJEM	VKLAD	35104	78554	\N	\N	\N
2589838	8558	1994-05-10	PRIJEM	VKLAD	27116	58496	\N	\N	\N
2589841	8558	1994-06-27	PRIJEM	VKLAD	26822	81869	\N	\N	\N
2589842	8558	1995-08-20	PRIJEM	VKLAD	20816	32898	\N	\N	\N
2589843	8558	1995-04-18	PRIJEM	VKLAD	40091	64551	\N	\N	\N
2589844	8558	1995-02-18	PRIJEM	VKLAD	8928	31845	\N	\N	\N
2589845	8558	1995-03-13	PRIJEM	VKLAD	24176	46270	\N	\N	\N
2589846	8558	1996-08-26	PRIJEM	VKLAD	8936	45238	\N	\N	\N
2589847	8558	1996-08-12	PRIJEM	VKLAD	26571	51208	\N	\N	\N
2589848	8558	1996-02-03	PRIJEM	VKLAD	41594	59633	\N	\N	\N
2589849	8558	1997-11-01	PRIJEM	VKLAD	20086	107086	\N	\N	\N
2589850	8558	1997-11-14	PRIJEM	VKLAD	37124	85664	\N	\N	\N
2589851	8558	1997-03-03	PRIJEM	VKLAD	14658	36364	\N	\N	\N
2589852	8558	1997-01-26	PRIJEM	VKLAD	7636	27014	\N	\N	\N
2589853	8558	1997-10-24	PRIJEM	VKLAD	13484	98998	\N	\N	\N
2589854	8558	1997-11-06	PRIJEM	VKLAD	35060	142146	\N	\N	\N
2589855	8558	1997-07-18	PRIJEM	VKLAD	17214	59995	\N	\N	\N
2589856	8558	1997-10-05	PRIJEM	VKLAD	40879	77512	\N	\N	\N
2589857	8558	1997-11-26	PRIJEM	VKLAD	44825	130489	\N	\N	\N
2589858	8558	1997-05-10	PRIJEM	VKLAD	21504	48740	\N	\N	\N
2589859	8558	1997-06-26	PRIJEM	VKLAD	24633	64563	\N	\N	\N
2589860	8558	1997-08-01	PRIJEM	VKLAD	12413	69041	\N	\N	\N
2589861	8558	1997-06-10	PRIJEM	VKLAD	11561	64136	\N	\N	\N
2589862	8558	1997-06-04	PRIJEM	VKLAD	18540	52575	\N	\N	\N
2589863	8558	1997-03-30	PRIJEM	VKLAD	10655	35313	\N	\N	\N
2589864	8558	1997-10-15	PRIJEM	VKLAD	45921	91227	\N	\N	\N
2589865	8558	1997-09-17	PRIJEM	VKLAD	36849	60451	\N	\N	\N
2589866	8558	1998-01-08	PRIJEM	VKLAD	34568	71703	\N	\N	\N
2589867	8558	1998-03-04	PRIJEM	VKLAD	17290	66953	\N	\N	\N
2589868	8558	1998-10-27	PRIJEM	VKLAD	25800	51023	\N	\N	\N
2589875	8558	1994-07-12	VYDAJ	PREVOD NA UCET	4807	23963	UVER	OP	72949552
2589876	8558	1994-08-12	VYDAJ	PREVOD NA UCET	4807	38226	UVER	OP	72949552
2589877	8558	1994-09-12	VYDAJ	PREVOD NA UCET	4807	15490	UVER	OP	72949552
2589878	8558	1994-10-12	VYDAJ	PREVOD NA UCET	4807	45951	UVER	OP	72949552
2589879	8558	1994-11-12	VYDAJ	PREVOD NA UCET	4807	53719	UVER	OP	72949552
2589880	8558	1994-12-12	VYDAJ	PREVOD NA UCET	4807	49877	UVER	OP	72949552
2589881	8558	1995-01-12	VYDAJ	PREVOD NA UCET	4807	31756	UVER	OP	72949552
2589882	8558	1995-02-12	VYDAJ	PREVOD NA UCET	4807	22917	UVER	OP	72949552
2589883	8558	1995-03-12	VYDAJ	PREVOD NA UCET	4807	22094	UVER	OP	72949552
2589884	8558	1995-04-12	VYDAJ	PREVOD NA UCET	4807	24460	UVER	OP	72949552
2589885	8558	1995-05-12	VYDAJ	PREVOD NA UCET	4807	37486	UVER	OP	72949552
2589886	8558	1995-06-12	VYDAJ	PREVOD NA UCET	4807	25473	UVER	OP	72949552
2589887	8558	1995-07-12	VYDAJ	PREVOD NA UCET	4807	17387	UVER	OP	72949552
2589888	8558	1995-08-12	VYDAJ	PREVOD NA UCET	4807	12082	UVER	OP	72949552
2589889	8558	1995-09-12	VYDAJ	PREVOD NA UCET	4807	22257	UVER	OP	72949552
2589890	8558	1995-10-12	VYDAJ	PREVOD NA UCET	4807	16147	UVER	OP	72949552
2589891	8558	1995-11-12	VYDAJ	PREVOD NA UCET	4807	16304	UVER	OP	72949552
2589892	8558	1995-12-12	VYDAJ	PREVOD NA UCET	4807	15760	UVER	OP	72949552
2589893	8558	1996-01-12	VYDAJ	PREVOD NA UCET	4807	13403	UVER	OP	72949552
2589894	8558	1996-02-12	VYDAJ	PREVOD NA UCET	4807	54826	UVER	OP	72949552
2589895	8558	1996-03-12	VYDAJ	PREVOD NA UCET	4807	36564	UVER	OP	72949552
2589896	8558	1996-04-12	VYDAJ	PREVOD NA UCET	4807	27663	UVER	OP	72949552
2589897	8558	1996-05-12	VYDAJ	PREVOD NA UCET	4807	21386	UVER	OP	72949552
2589898	8558	1996-06-12	VYDAJ	PREVOD NA UCET	4807	17767	UVER	OP	72949552
2589899	8558	1996-07-12	VYDAJ	PREVOD NA UCET	4807	21245	UVER	OP	72949552
2589900	8558	1996-08-12	VYDAJ	PREVOD NA UCET	4807	46402	UVER	OP	72949552
2589901	8558	1996-09-12	VYDAJ	PREVOD NA UCET	4807	40597	UVER	OP	72949552
2589902	8558	1996-10-12	VYDAJ	PREVOD NA UCET	4807	29413	UVER	OP	72949552
2589903	8558	1996-11-12	VYDAJ	PREVOD NA UCET	4807	22277	UVER	OP	72949552
2589904	8558	1996-12-12	VYDAJ	PREVOD NA UCET	4807	18715	UVER	OP	72949552
2589905	8558	1997-01-12	VYDAJ	PREVOD NA UCET	4807	19378	UVER	OP	72949552
2589906	8558	1997-02-12	VYDAJ	PREVOD NA UCET	4807	21674	UVER	OP	72949552
2589907	8558	1997-03-12	VYDAJ	PREVOD NA UCET	4807	31558	UVER	OP	72949552
2589908	8558	1997-04-12	VYDAJ	PREVOD NA UCET	4807	30554	UVER	OP	72949552
2589909	8558	1997-05-12	VYDAJ	PREVOD NA UCET	4807	43934	UVER	OP	72949552
2589910	8558	1997-06-12	VYDAJ	PREVOD NA UCET	4807	39930	UVER	OP	72949552
2589911	8558	1997-07-12	VYDAJ	PREVOD NA UCET	4807	42781	UVER	OP	72949552
2589912	8558	1997-08-12	VYDAJ	PREVOD NA UCET	4807	45335	UVER	OP	72949552
2589913	8558	1997-09-12	VYDAJ	PREVOD NA UCET	4807	23602	UVER	OP	72949552
2589914	8558	1997-10-12	VYDAJ	PREVOD NA UCET	4807	45306	UVER	OP	72949552
2589915	8558	1997-11-12	VYDAJ	PREVOD NA UCET	4807	48540	UVER	OP	72949552
2589916	8558	1997-12-12	VYDAJ	PREVOD NA UCET	4807	42357	UVER	OP	72949552
2589917	8558	1998-01-12	VYDAJ	PREVOD NA UCET	4807	66897	UVER	OP	72949552
2589918	8558	1998-02-12	VYDAJ	PREVOD NA UCET	4807	49332	UVER	OP	72949552
2589919	8558	1998-03-12	VYDAJ	PREVOD NA UCET	4807	49646	UVER	OP	72949552
2589920	8558	1998-04-12	VYDAJ	PREVOD NA UCET	4807	41511	UVER	OP	72949552
2589921	8558	1998-05-12	VYDAJ	PREVOD NA UCET	4807	37565	UVER	OP	72949552
2589922	8558	1998-06-12	VYDAJ	PREVOD NA UCET	4807	30839	UVER	OP	72949552
2589923	8558	1998-07-12	VYDAJ	PREVOD NA UCET	4807	33665	UVER	OP	72949552
2589924	8558	1998-08-12	VYDAJ	PREVOD NA UCET	4807	30985	UVER	OP	72949552
2589925	8558	1998-09-12	VYDAJ	PREVOD NA UCET	4807	26289	UVER	OP	72949552
2589926	8558	1998-10-12	VYDAJ	PREVOD NA UCET	4807	25223	UVER	OP	72949552
2589927	8558	1998-11-12	VYDAJ	PREVOD NA UCET	4807	36779	UVER	OP	72949552
2589928	8558	1998-12-12	VYDAJ	PREVOD NA UCET	4807	27799	UVER	OP	72949552
2589929	8558	1994-06-28	VYBER	VYBER	23468	30101	\N	\N	\N
2589932	8558	1994-08-17	VYBER	VYBER	16945	21281	\N	\N	\N
2589934	8558	1994-10-20	VYBER	VYBER	3536	42415	\N	\N	\N
2589940	8558	1997-07-28	VYBER	VYBER	3624	56371	\N	\N	\N
2589946	8558	1997-09-30	VYBER	VYBER	7701	36733	\N	\N	\N
2589948	8558	1997-10-23	VYBER	VYBER	5713	85514	\N	\N	\N
2589950	8558	1997-09-18	VYBER	VYBER	16250	44201	\N	\N	\N
2589953	8558	1997-10-26	VYBER	VYBER	12423	86575	\N	\N	\N
2589960	8558	1994-12-20	VYDAJ	VYBER	2100	47777	\N	\N	\N
2589963	8558	1997-12-14	VYDAJ	VYBER	1500	40857	\N	\N	\N
2589967	8558	1994-08-01	VYDAJ	VYBER	12000	43032	\N	\N	\N
2589968	8558	1994-10-22	VYDAJ	VYBER	6000	36415	\N	\N	\N
2589969	8558	1994-07-12	VYDAJ	VYBER	1500	28770	\N	\N	\N
2589972	8558	1995-03-14	VYDAJ	VYBER	13800	32470	\N	\N	\N
2589981	8558	1997-08-21	VYDAJ	VYBER	12300	33035	\N	\N	\N
2589987	8558	1998-08-22	VYDAJ	VYBER	1800	29185	\N	\N	\N
2589997	8558	1994-06-30	VYDAJ	VYBER	100	30270	SLUZBY	\N	\N
2589998	8558	1994-07-31	VYDAJ	VYBER	100	55032	SLUZBY	\N	\N
2589999	8558	1994-08-31	VYDAJ	VYBER	100	20297	SLUZBY	\N	\N
2590000	8558	1994-09-30	VYDAJ	VYBER	100	20555	SLUZBY	\N	\N
2590001	8558	1994-10-31	VYDAJ	VYBER	100	28353	SLUZBY	\N	\N
2590002	8558	1994-11-30	VYDAJ	VYBER	100	38751	SLUZBY	\N	\N
2590003	8558	1994-12-31	VYDAJ	VYBER	100	36562	SLUZBY	\N	\N
2590004	8558	1995-01-31	VYDAJ	VYBER	100	27723	SLUZBY	\N	\N
2590005	8558	1995-02-28	VYDAJ	VYBER	100	26901	SLUZBY	\N	\N
2590006	8558	1995-03-31	VYDAJ	VYBER	100	29267	SLUZBY	\N	\N
2590007	8558	1995-04-30	VYDAJ	VYBER	100	42293	SLUZBY	\N	\N
2590008	8558	1995-05-31	VYDAJ	VYBER	100	30279	SLUZBY	\N	\N
2590009	8558	1995-06-30	VYDAJ	VYBER	100	22193	SLUZBY	\N	\N
2590010	8558	1995-07-31	VYDAJ	VYBER	100	16889	SLUZBY	\N	\N
2590011	8558	1995-08-31	VYDAJ	VYBER	100	27064	SLUZBY	\N	\N
2590012	8558	1995-09-30	VYDAJ	VYBER	100	20953	SLUZBY	\N	\N
2590013	8558	1995-10-31	VYDAJ	VYBER	100	21111	SLUZBY	\N	\N
2590014	8558	1995-11-30	VYDAJ	VYBER	100	20566	SLUZBY	\N	\N
2590015	8558	1995-12-31	VYDAJ	VYBER	100	18210	SLUZBY	\N	\N
2590016	8558	1996-01-31	VYDAJ	VYBER	100	18039	SLUZBY	\N	\N
2590017	8558	1996-02-29	VYDAJ	VYBER	100	41370	SLUZBY	\N	\N
2590018	8558	1996-03-31	VYDAJ	VYBER	100	32469	SLUZBY	\N	\N
2590019	8558	1996-04-30	VYDAJ	VYBER	100	26193	SLUZBY	\N	\N
2590020	8558	1996-05-31	VYDAJ	VYBER	100	22573	SLUZBY	\N	\N
2590021	8558	1996-06-30	VYDAJ	VYBER	100	26051	SLUZBY	\N	\N
2590022	8558	1996-07-31	VYDAJ	VYBER	100	24637	SLUZBY	\N	\N
2590023	8558	1996-08-31	VYDAJ	VYBER	100	45403	SLUZBY	\N	\N
2590024	8558	1996-09-30	VYDAJ	VYBER	100	34219	SLUZBY	\N	\N
2590025	8558	1996-10-31	VYDAJ	VYBER	100	27083	SLUZBY	\N	\N
2590026	8558	1996-11-30	VYDAJ	VYBER	100	23522	SLUZBY	\N	\N
2590027	8558	1996-12-31	VYDAJ	VYBER	100	22785	SLUZBY	\N	\N
2590028	8558	1997-01-31	VYDAJ	VYBER	100	27081	SLUZBY	\N	\N
2590029	8558	1997-02-28	VYDAJ	VYBER	100	21706	SLUZBY	\N	\N
2590030	8558	1997-03-31	VYDAJ	VYBER	100	35361	SLUZBY	\N	\N
2590031	8558	1997-04-30	VYDAJ	VYBER	100	27236	SLUZBY	\N	\N
2590032	8558	1997-05-31	VYDAJ	VYBER	100	34035	SLUZBY	\N	\N
2590033	8558	1997-06-30	VYDAJ	VYBER	100	64788	SLUZBY	\N	\N
2590034	8558	1997-07-31	VYDAJ	VYBER	100	56628	SLUZBY	\N	\N
2590035	8558	1997-08-31	VYDAJ	VYBER	100	33208	SLUZBY	\N	\N
2590036	8558	1997-09-30	VYDAJ	VYBER	100	36633	SLUZBY	\N	\N
2590037	8558	1997-10-31	VYDAJ	VYBER	100	87000	SLUZBY	\N	\N
2590038	8558	1997-11-30	VYDAJ	VYBER	100	67163	SLUZBY	\N	\N
2590039	8558	1997-12-31	VYDAJ	VYBER	100	41135	SLUZBY	\N	\N
2590040	8558	1998-01-31	VYDAJ	VYBER	100	67239	SLUZBY	\N	\N
2590041	8558	1998-02-28	VYDAJ	VYBER	100	49663	SLUZBY	\N	\N
2590042	8558	1998-03-31	VYDAJ	VYBER	100	49918	SLUZBY	\N	\N
2590043	8558	1998-04-30	VYDAJ	VYBER	100	41671	SLUZBY	\N	\N
2590044	8558	1998-05-31	VYDAJ	VYBER	100	37746	SLUZBY	\N	\N
2590045	8558	1998-06-30	VYDAJ	VYBER	100	30972	SLUZBY	\N	\N
2590046	8558	1998-07-31	VYDAJ	VYBER	100	33791	SLUZBY	\N	\N
2590047	8558	1998-08-31	VYDAJ	VYBER	100	29295	SLUZBY	\N	\N
2590048	8558	1998-09-30	VYDAJ	VYBER	100	26329	SLUZBY	\N	\N
2590049	8558	1998-10-31	VYDAJ	VYBER	100	51085	SLUZBY	\N	\N
2590050	8558	1998-11-30	VYDAJ	VYBER	100	36906	SLUZBY	\N	\N
2590051	8558	1994-03-29	PRIJEM	VKLAD	10500	11300	\N	\N	\N
2590052	8558	1994-04-28	VYDAJ	VYBER	6000	31358	\N	\N	\N
2590053	8558	1994-05-28	VYDAJ	VYBER	15200	43296	\N	\N	\N
2590054	8558	1994-06-23	VYDAJ	VYBER	56200	55047	\N	\N	\N
2590055	8558	1994-06-27	VYDAJ	VYBER	28300	53569	\N	\N	\N
2590056	8558	1994-07-27	VYDAJ	VYBER	32900	54904	\N	\N	\N
2590057	8558	1994-08-26	VYDAJ	VYBER	1100	20181	\N	\N	\N
2590058	8558	1994-09-25	PRIJEM	VKLAD	5000	20490	\N	\N	\N
2590059	8558	1994-10-25	VYDAJ	VYBER	8200	28215	\N	\N	\N
2590060	8558	1994-11-24	VYDAJ	VYBER	15200	38519	\N	\N	\N
2590061	8558	1994-12-24	VYDAJ	VYBER	11400	36377	\N	\N	\N
2590062	8558	1995-01-23	VYDAJ	VYBER	4100	27656	\N	\N	\N
2590063	8558	1995-02-22	VYDAJ	VYBER	5000	26845	\N	\N	\N
2590064	8558	1995-03-24	VYDAJ	VYBER	3300	29170	\N	\N	\N
2590065	8558	1995-04-23	VYDAJ	VYBER	22400	42151	\N	\N	\N
2590066	8558	1995-05-23	VYDAJ	VYBER	7300	30186	\N	\N	\N
2590067	8558	1995-06-22	VYDAJ	VYBER	3400	22073	\N	\N	\N
2590068	8558	1995-07-22	VYDAJ	VYBER	500	16887	\N	\N	\N
2590069	8558	1995-08-21	VYDAJ	VYBER	5900	26998	\N	\N	\N
2590070	8558	1995-09-20	VYDAJ	VYBER	1400	20857	\N	\N	\N
2590071	8558	1995-10-20	PRIJEM	VKLAD	4900	21047	\N	\N	\N
2590072	8558	1995-11-19	PRIJEM	VKLAD	4200	20504	\N	\N	\N
2590073	8558	1995-12-19	PRIJEM	VKLAD	2400	18160	\N	\N	\N
2590074	8558	1996-01-18	PRIJEM	VKLAD	4600	18003	\N	\N	\N
2590075	8558	1996-02-17	VYDAJ	VYBER	13600	41226	\N	\N	\N
2590076	8558	1996-03-18	VYDAJ	VYBER	4200	32364	\N	\N	\N
2590077	8558	1996-04-17	VYDAJ	VYBER	1600	26063	\N	\N	\N
2590078	8558	1996-05-17	PRIJEM	VKLAD	1100	22486	\N	\N	\N
2590079	8558	1996-06-16	PRIJEM	VKLAD	8200	25967	\N	\N	\N
2590080	8558	1996-07-16	PRIJEM	VKLAD	3300	24545	\N	\N	\N
2590081	8558	1996-08-15	VYDAJ	VYBER	10100	36302	\N	\N	\N
2590082	8558	1996-09-14	VYDAJ	VYBER	6500	34097	\N	\N	\N
2590083	8558	1996-10-14	VYDAJ	VYBER	2400	27013	\N	\N	\N
2590084	8558	1996-11-13	PRIJEM	VKLAD	1200	23477	\N	\N	\N
2590085	8558	1996-12-13	PRIJEM	VKLAD	4000	22715	\N	\N	\N
2590086	8558	1997-01-12	PRIJEM	VKLAD	1400	24185	\N	\N	\N
2590087	8558	1997-02-11	VYDAJ	VYBER	600	26481	\N	\N	\N
2590088	8558	1997-03-13	VYDAJ	VYBER	6900	24658	\N	\N	\N
2590089	8558	1997-04-12	VYDAJ	VYBER	3400	27154	\N	\N	\N
2590090	8558	1997-05-12	VYDAJ	VYBER	10000	33934	\N	\N	\N
2590091	8558	1997-06-11	VYDAJ	VYBER	19400	44736	\N	\N	\N
2590092	8558	1997-07-11	VYDAJ	VYBER	17200	47588	\N	\N	\N
2590093	8558	1997-08-10	VYDAJ	VYBER	18900	50141	\N	\N	\N
2590094	8558	1997-09-09	VYDAJ	VYBER	4800	28408	\N	\N	\N
2590095	8558	1997-10-09	VYDAJ	VYBER	27400	50112	\N	\N	\N
2590096	8558	1997-11-06	VYDAJ	VYBER	61300	80846	\N	\N	\N
2590097	8558	1997-11-08	VYDAJ	VYBER	27500	53346	\N	\N	\N
2590098	8558	1997-11-26	VYDAJ	VYBER	63800	66689	\N	\N	\N
2590099	8558	1997-12-08	VYDAJ	VYBER	20000	47163	\N	\N	\N
2590100	8558	1998-01-07	VYDAJ	VYBER	4000	37135	\N	\N	\N
2590101	8558	1998-02-06	VYDAJ	VYBER	13100	54139	\N	\N	\N
2590102	8558	1998-03-08	VYDAJ	VYBER	12500	54453	\N	\N	\N
2590103	8558	1998-04-07	VYDAJ	VYBER	3600	46318	\N	\N	\N
2590104	8558	1998-05-07	PRIJEM	VKLAD	700	42371	\N	\N	\N
2590105	8558	1998-06-06	VYDAJ	VYBER	2100	35646	\N	\N	\N
2590106	8558	1998-07-06	PRIJEM	VKLAD	7500	38472	\N	\N	\N
2590107	8558	1998-08-05	PRIJEM	VKLAD	2000	35791	\N	\N	\N
2590108	8558	1998-09-04	PRIJEM	VKLAD	1800	31095	\N	\N	\N
2590109	8558	1998-10-04	PRIJEM	VKLAD	3700	30029	\N	\N	\N
2590110	8558	1998-11-03	VYDAJ	VYBER	9500	41585	\N	\N	\N
2590111	8558	1998-12-03	VYDAJ	VYBER	4300	32606	\N	\N	\N
2592021	8564	1993-09-12	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2592031	8564	1993-10-12	PRIJEM	PREVOD Z UCTU	38369	39369	\N	WX	13991976
2592032	8564	1993-11-12	PRIJEM	PREVOD Z UCTU	38369	65530	\N	WX	13991976
2592033	8564	1993-12-12	PRIJEM	PREVOD Z UCTU	57554	103673	\N	WX	13991976
2592034	8564	1994-01-12	PRIJEM	PREVOD Z UCTU	38369	103981	\N	WX	13991976
2592035	8564	1994-02-12	PRIJEM	PREVOD Z UCTU	38369	104545	\N	WX	13991976
2592036	8564	1994-03-12	PRIJEM	PREVOD Z UCTU	38369	96487	\N	WX	13991976
2592037	8564	1994-04-12	PRIJEM	PREVOD Z UCTU	38369	89085	\N	WX	13991976
2592038	8564	1994-05-12	PRIJEM	PREVOD Z UCTU	38369	71469	\N	WX	13991976
2592039	8564	1994-06-12	PRIJEM	PREVOD Z UCTU	57554	85960	\N	WX	13991976
2592040	8564	1994-07-12	PRIJEM	PREVOD Z UCTU	38369	87087	\N	WX	13991976
2592041	8564	1994-08-12	PRIJEM	PREVOD Z UCTU	38369	79166	\N	WX	13991976
2592042	8564	1994-09-12	PRIJEM	PREVOD Z UCTU	38369	79432	\N	WX	13991976
2592043	8564	1994-10-12	PRIJEM	PREVOD Z UCTU	38369	80120	\N	WX	13991976
2592044	8564	1994-11-12	PRIJEM	PREVOD Z UCTU	38369	71171	\N	WX	13991976
2592045	8564	1994-12-12	PRIJEM	PREVOD Z UCTU	57554	97098	\N	WX	13991976
2592046	8564	1995-01-12	PRIJEM	PREVOD Z UCTU	38369	73200	\N	WX	13991976
2592047	8564	1995-02-12	PRIJEM	PREVOD Z UCTU	38369	67227	\N	WX	13991976
2592048	8564	1995-03-12	PRIJEM	PREVOD Z UCTU	38369	65560	\N	WX	13991976
2592049	8564	1995-04-12	PRIJEM	PREVOD Z UCTU	38369	78949	\N	WX	13991976
2592050	8564	1995-05-12	PRIJEM	PREVOD Z UCTU	38369	82781	\N	WX	13991976
2592051	8564	1995-06-12	PRIJEM	PREVOD Z UCTU	57554	102348	\N	WX	13991976
2592052	8564	1995-07-12	PRIJEM	PREVOD Z UCTU	38369	74670	\N	WX	13991976
2592053	8564	1995-08-12	PRIJEM	PREVOD Z UCTU	38369	78220	\N	WX	13991976
2592054	8564	1995-09-12	PRIJEM	PREVOD Z UCTU	38369	78706	\N	WX	13991976
2592055	8564	1995-10-12	PRIJEM	PREVOD Z UCTU	38369	74593	\N	WX	13991976
2592056	8564	1995-11-12	PRIJEM	PREVOD Z UCTU	38369	77134	\N	WX	13991976
2592057	8564	1995-12-12	PRIJEM	PREVOD Z UCTU	57554	92495	\N	WX	13991976
2592058	8564	1996-01-12	PRIJEM	PREVOD Z UCTU	38369	66633	\N	WX	13991976
2592059	8564	1996-02-12	PRIJEM	PREVOD Z UCTU	38369	68656	\N	WX	13991976
2592060	8564	1996-03-12	PRIJEM	PREVOD Z UCTU	38369	72678	\N	WX	13991976
2592061	8564	1996-04-12	PRIJEM	PREVOD Z UCTU	38369	71412	\N	WX	13991976
2592062	8564	1996-05-12	PRIJEM	PREVOD Z UCTU	38369	73994	\N	WX	13991976
2592063	8564	1996-06-12	PRIJEM	PREVOD Z UCTU	57554	85904	\N	WX	13991976
2592064	8564	1996-07-12	PRIJEM	PREVOD Z UCTU	38369	68219	\N	WX	13991976
2592065	8564	1996-08-12	PRIJEM	PREVOD Z UCTU	38369	72321	\N	WX	13991976
2592066	8564	1996-09-12	PRIJEM	PREVOD Z UCTU	38369	66403	\N	WX	13991976
2592067	8564	1996-10-12	PRIJEM	PREVOD Z UCTU	38369	72318	\N	WX	13991976
2592068	8564	1996-11-12	PRIJEM	PREVOD Z UCTU	38369	69584	\N	WX	13991976
2592069	8564	1996-12-12	PRIJEM	PREVOD Z UCTU	57554	86858	\N	WX	13991976
2592070	8564	1997-01-12	PRIJEM	PREVOD Z UCTU	38369	73117	\N	WX	13991976
2592071	8564	1997-02-12	PRIJEM	PREVOD Z UCTU	38369	66333	\N	WX	13991976
2592072	8564	1997-03-12	PRIJEM	PREVOD Z UCTU	38369	68684	\N	WX	13991976
2592073	8564	1997-04-12	PRIJEM	PREVOD Z UCTU	38369	59713	\N	WX	13991976
2592074	8564	1997-05-12	PRIJEM	PREVOD Z UCTU	38369	61030	\N	WX	13991976
2592075	8564	1997-06-12	PRIJEM	PREVOD Z UCTU	57554	100272	\N	WX	13991976
2592076	8564	1997-07-12	PRIJEM	PREVOD Z UCTU	38369	70051	\N	WX	13991976
2592077	8564	1997-08-12	PRIJEM	PREVOD Z UCTU	38369	66928	\N	WX	13991976
2592078	8564	1997-09-12	PRIJEM	PREVOD Z UCTU	38369	64298	\N	WX	13991976
2592079	8564	1997-10-12	PRIJEM	PREVOD Z UCTU	38369	80727	\N	WX	13991976
2592080	8564	1997-11-12	PRIJEM	PREVOD Z UCTU	38369	73649	\N	WX	13991976
2592081	8564	1997-12-12	PRIJEM	PREVOD Z UCTU	57554	86538	\N	WX	13991976
2592082	8564	1998-01-12	PRIJEM	PREVOD Z UCTU	38369	71530	\N	WX	13991976
2592083	8564	1998-02-12	PRIJEM	PREVOD Z UCTU	38369	70573	\N	WX	13991976
2592084	8564	1998-03-12	PRIJEM	PREVOD Z UCTU	38369	71005	\N	WX	13991976
2592085	8564	1998-04-12	PRIJEM	PREVOD Z UCTU	38369	72956	\N	WX	13991976
2592086	8564	1998-05-12	PRIJEM	PREVOD Z UCTU	38369	66936	\N	WX	13991976
2592087	8564	1998-06-12	PRIJEM	PREVOD Z UCTU	57554	85859	\N	WX	13991976
2592088	8564	1998-07-12	PRIJEM	PREVOD Z UCTU	38369	73354	\N	WX	13991976
2592089	8564	1998-08-12	PRIJEM	PREVOD Z UCTU	38369	67082	\N	WX	13991976
2592090	8564	1998-09-12	PRIJEM	PREVOD Z UCTU	38369	74437	\N	WX	13991976
2592091	8564	1998-10-12	PRIJEM	PREVOD Z UCTU	38369	76289	\N	WX	13991976
2592092	8564	1998-11-12	PRIJEM	PREVOD Z UCTU	38369	79075	\N	WX	13991976
2592093	8564	1998-12-12	PRIJEM	PREVOD Z UCTU	57554	101340	\N	WX	13991976
2592107	8564	1994-02-21	VYDAJ	VYBER	3400	93975	\N	\N	0
2592108	8564	1994-03-15	VYDAJ	VYBER	2600	86717	\N	\N	0
2592109	8564	1994-04-02	VYDAJ	VYBER	2400	84899	\N	\N	0
2592110	8564	1994-05-05	VYDAJ	VYBER	2800	64183	\N	\N	0
2592111	8564	1994-06-11	VYDAJ	VYBER	3400	28406	\N	\N	0
2592112	8564	1994-07-09	VYDAJ	VYBER	2900	48718	\N	\N	0
2592113	8564	1994-08-08	VYDAJ	VYBER	3200	48997	\N	\N	0
2592114	8564	1994-09-04	VYDAJ	VYBER	3000	69446	\N	\N	0
2592115	8564	1994-10-08	VYDAJ	VYBER	3800	47234	\N	\N	0
2592116	8564	1994-11-02	VYDAJ	VYBER	3900	49785	\N	\N	0
2592117	8564	1994-12-08	VYDAJ	VYBER	2700	45027	\N	\N	0
2592118	8564	1995-01-07	VYDAJ	VYBER	3400	51414	\N	\N	0
2592119	8564	1995-02-08	VYDAJ	VYBER	2600	34341	\N	\N	0
2592120	8564	1995-03-12	VYDAJ	PREVOD NA UCET	3195	62365	UVER	ST	88073575
2592121	8564	1995-04-12	VYDAJ	PREVOD NA UCET	3195	75754	UVER	ST	88073575
2592122	8564	1995-05-12	VYDAJ	PREVOD NA UCET	3195	79586	UVER	ST	88073575
2592123	8564	1995-06-12	VYDAJ	PREVOD NA UCET	3195	99153	UVER	ST	88073575
2592124	8564	1995-07-12	VYDAJ	PREVOD NA UCET	3195	71475	UVER	ST	88073575
2592125	8564	1995-08-12	VYDAJ	PREVOD NA UCET	3195	75025	UVER	ST	88073575
2592126	8564	1995-09-12	VYDAJ	PREVOD NA UCET	3195	75511	UVER	ST	88073575
2592127	8564	1995-10-12	VYDAJ	PREVOD NA UCET	3195	71398	UVER	ST	88073575
2592128	8564	1995-11-12	VYDAJ	PREVOD NA UCET	3195	73939	UVER	ST	88073575
2592129	8564	1995-12-12	VYDAJ	PREVOD NA UCET	3195	89300	UVER	ST	88073575
2592130	8564	1996-01-12	VYDAJ	PREVOD NA UCET	3195	63438	UVER	ST	88073575
2592131	8564	1996-02-12	VYDAJ	PREVOD NA UCET	3195	65461	UVER	ST	88073575
2592132	8564	1996-03-12	VYDAJ	PREVOD NA UCET	3195	62428	UVER	ST	88073575
2592133	8564	1996-04-12	VYDAJ	PREVOD NA UCET	3195	68217	UVER	ST	88073575
2592134	8564	1996-05-12	VYDAJ	PREVOD NA UCET	3195	70799	UVER	ST	88073575
2592135	8564	1996-06-12	VYDAJ	PREVOD NA UCET	3195	82709	UVER	ST	88073575
2592136	8564	1996-07-12	VYDAJ	PREVOD NA UCET	3195	65024	UVER	ST	88073575
2592137	8564	1996-08-12	VYDAJ	PREVOD NA UCET	3195	69126	UVER	ST	88073575
2592138	8564	1996-09-12	VYDAJ	PREVOD NA UCET	3195	63208	UVER	ST	88073575
2592139	8564	1996-10-12	VYDAJ	PREVOD NA UCET	3195	69123	UVER	ST	88073575
2592140	8564	1996-11-12	VYDAJ	PREVOD NA UCET	3195	66389	UVER	ST	88073575
2592141	8564	1996-12-12	VYDAJ	PREVOD NA UCET	3195	83663	UVER	ST	88073575
2592142	8564	1997-01-12	VYDAJ	PREVOD NA UCET	3195	69922	UVER	ST	88073575
2592143	8564	1997-02-12	VYDAJ	PREVOD NA UCET	3195	63138	UVER	ST	88073575
2592144	8564	1997-03-12	VYDAJ	PREVOD NA UCET	3195	65489	UVER	ST	88073575
2592145	8564	1997-04-11	VYDAJ	VYBER	3300	21344	\N	\N	0
2592146	8564	1997-05-19	VYDAJ	VYBER	3000	50860	\N	\N	0
2592147	8564	1997-06-07	VYDAJ	VYBER	2900	48201	\N	\N	0
2592148	8564	1997-07-07	VYDAJ	VYBER	2900	37165	\N	\N	0
2592149	8564	1997-08-08	VYDAJ	VYBER	3600	34042	\N	\N	0
2592150	8564	1997-09-19	VYDAJ	VYBER	3200	53928	\N	\N	0
2592151	8564	1997-10-05	VYDAJ	VYBER	2900	47841	\N	\N	0
2592152	8564	1997-11-14	VYDAJ	VYBER	3100	63379	\N	\N	0
2592153	8564	1997-12-09	VYDAJ	VYBER	3400	28984	\N	\N	0
2592154	8564	1998-01-13	VYDAJ	VYBER	2900	68630	\N	\N	0
2592155	8564	1998-02-21	VYDAJ	VYBER	3500	37903	\N	\N	0
2592156	8564	1998-03-18	VYDAJ	VYBER	2900	60935	\N	\N	0
2592157	8564	1998-04-13	VYDAJ	VYBER	2400	70556	\N	\N	0
2592158	8564	1998-05-02	VYDAJ	VYBER	2600	34050	\N	\N	0
2592159	8564	1998-06-15	VYDAJ	VYBER	3700	74989	\N	\N	0
2592160	8564	1998-07-12	VYDAJ	VYBER	3300	70054	\N	\N	0
2592161	8564	1998-08-09	VYDAJ	VYBER	3400	28713	\N	\N	0
2592162	8564	1998-09-20	VYDAJ	VYBER	3300	45867	\N	\N	0
2592163	8564	1998-10-08	VYDAJ	VYBER	2700	43403	\N	\N	0
2592164	8564	1998-11-04	VYDAJ	VYBER	3000	46189	\N	\N	0
2592165	8564	1998-12-17	VYDAJ	VYBER	3400	58770	\N	\N	0
2592179	8564	1994-02-14	VYDAJ	PREVOD NA UCET	7170	97375	SIPO	UV	59670215
2592180	8564	1994-03-14	VYDAJ	PREVOD NA UCET	7170	89317	SIPO	UV	59670215
2592181	8564	1994-04-14	VYDAJ	PREVOD NA UCET	7170	81915	SIPO	UV	59670215
2592182	8564	1994-05-14	VYDAJ	PREVOD NA UCET	7170	64299	SIPO	UV	59670215
2592183	8564	1994-06-14	VYDAJ	PREVOD NA UCET	7170	78790	SIPO	UV	59670215
2592184	8564	1994-07-14	VYDAJ	PREVOD NA UCET	7170	79917	SIPO	UV	59670215
2592185	8564	1994-08-14	VYDAJ	PREVOD NA UCET	7170	71996	SIPO	UV	59670215
2592186	8564	1994-09-14	VYDAJ	PREVOD NA UCET	7170	72262	SIPO	UV	59670215
2592187	8564	1994-10-14	VYDAJ	PREVOD NA UCET	7170	65945	SIPO	UV	59670215
2592188	8564	1994-11-14	VYDAJ	PREVOD NA UCET	7170	64001	SIPO	UV	59670215
2592189	8564	1994-12-14	VYDAJ	PREVOD NA UCET	7170	89928	SIPO	UV	59670215
2592190	8564	1995-01-14	VYDAJ	PREVOD NA UCET	7170	66030	SIPO	UV	59670215
2592191	8564	1995-02-14	VYDAJ	PREVOD NA UCET	7170	60057	SIPO	UV	59670215
2592192	8564	1995-03-14	VYDAJ	PREVOD NA UCET	7170	55195	SIPO	UV	59670215
2592193	8564	1995-04-14	VYDAJ	PREVOD NA UCET	7170	68584	SIPO	UV	59670215
2592194	8564	1995-05-14	VYDAJ	PREVOD NA UCET	7170	72416	SIPO	UV	59670215
2592195	8564	1995-06-14	VYDAJ	PREVOD NA UCET	7170	91983	SIPO	UV	59670215
2592196	8564	1995-07-14	VYDAJ	PREVOD NA UCET	7170	64305	SIPO	UV	59670215
2592197	8564	1995-08-14	VYDAJ	PREVOD NA UCET	7170	67855	SIPO	UV	59670215
2592198	8564	1995-09-14	VYDAJ	PREVOD NA UCET	7170	68341	SIPO	UV	59670215
2592199	8564	1995-10-14	VYDAJ	PREVOD NA UCET	7170	64228	SIPO	UV	59670215
2592200	8564	1995-11-14	VYDAJ	PREVOD NA UCET	7170	66769	SIPO	UV	59670215
2592201	8564	1995-12-14	VYDAJ	PREVOD NA UCET	7170	82130	SIPO	UV	59670215
2592202	8564	1996-01-14	VYDAJ	PREVOD NA UCET	7170	56268	SIPO	UV	59670215
2592203	8564	1996-02-14	VYDAJ	PREVOD NA UCET	7170	58291	SIPO	UV	59670215
2592204	8564	1996-03-14	VYDAJ	PREVOD NA UCET	7170	55258	SIPO	UV	59670215
2592205	8564	1996-04-14	VYDAJ	PREVOD NA UCET	7170	61047	SIPO	UV	59670215
2592206	8564	1996-05-14	VYDAJ	PREVOD NA UCET	7170	63629	SIPO	UV	59670215
2592207	8564	1996-06-14	VYDAJ	PREVOD NA UCET	7170	75539	SIPO	UV	59670215
2592208	8564	1996-07-14	VYDAJ	PREVOD NA UCET	7170	57854	SIPO	UV	59670215
2592209	8564	1996-08-14	VYDAJ	PREVOD NA UCET	7170	61956	SIPO	UV	59670215
2592210	8564	1996-09-14	VYDAJ	PREVOD NA UCET	7170	56038	SIPO	UV	59670215
2592211	8564	1996-10-14	VYDAJ	PREVOD NA UCET	7170	46643	SIPO	UV	59670215
2592212	8564	1996-11-14	VYDAJ	PREVOD NA UCET	7170	59219	SIPO	UV	59670215
2592213	8564	1996-12-14	VYDAJ	PREVOD NA UCET	7170	67912	SIPO	UV	59670215
2592214	8564	1997-01-14	VYDAJ	PREVOD NA UCET	7170	62752	SIPO	UV	59670215
2592215	8564	1997-02-14	VYDAJ	PREVOD NA UCET	7170	55968	SIPO	UV	59670215
2592216	8564	1997-03-14	VYDAJ	PREVOD NA UCET	7170	58319	SIPO	UV	59670215
2592217	8564	1997-04-14	VYDAJ	PREVOD NA UCET	7170	52543	SIPO	UV	59670215
2592218	8564	1997-05-14	VYDAJ	PREVOD NA UCET	7170	53860	SIPO	UV	59670215
2592219	8564	1997-06-14	VYDAJ	PREVOD NA UCET	7170	93102	SIPO	UV	59670215
2592220	8564	1997-07-14	VYDAJ	PREVOD NA UCET	7170	45897	SIPO	UV	59670215
2592221	8564	1997-08-14	VYDAJ	PREVOD NA UCET	7170	59758	SIPO	UV	59670215
2592222	8564	1997-09-14	VYDAJ	PREVOD NA UCET	7170	57128	SIPO	UV	59670215
2592223	8564	1997-10-14	VYDAJ	PREVOD NA UCET	7170	73557	SIPO	UV	59670215
2592224	8564	1997-11-14	VYDAJ	PREVOD NA UCET	7170	66479	SIPO	UV	59670215
2592225	8564	1997-12-14	VYDAJ	PREVOD NA UCET	7170	79368	SIPO	UV	59670215
2592226	8564	1998-01-14	VYDAJ	PREVOD NA UCET	7170	61460	SIPO	UV	59670215
2592227	8564	1998-02-14	VYDAJ	PREVOD NA UCET	7170	63403	SIPO	UV	59670215
2592228	8564	1998-03-14	VYDAJ	PREVOD NA UCET	7170	63835	SIPO	UV	59670215
2592229	8564	1998-04-14	VYDAJ	PREVOD NA UCET	7170	63386	SIPO	UV	59670215
2592230	8564	1998-05-14	VYDAJ	PREVOD NA UCET	7170	59766	SIPO	UV	59670215
2592231	8564	1998-06-14	VYDAJ	PREVOD NA UCET	7170	78689	SIPO	UV	59670215
2592232	8564	1998-07-14	VYDAJ	PREVOD NA UCET	7170	62884	SIPO	UV	59670215
2592233	8564	1998-08-14	VYDAJ	PREVOD NA UCET	7170	59912	SIPO	UV	59670215
2592234	8564	1998-09-14	VYDAJ	PREVOD NA UCET	7170	67267	SIPO	UV	59670215
2592235	8564	1998-10-14	VYDAJ	PREVOD NA UCET	7170	69119	SIPO	UV	59670215
2592236	8564	1998-11-14	VYDAJ	PREVOD NA UCET	7170	71905	SIPO	UV	59670215
2592237	8564	1998-12-14	VYDAJ	PREVOD NA UCET	7170	94170	SIPO	UV	59670215
2592252	8564	1994-03-08	VYDAJ	PREVOD NA UCET	5483	89118	 	EF	30920487
2592253	8564	1994-04-08	VYDAJ	PREVOD NA UCET	5483	79416	 	EF	30920487
2592254	8564	1994-05-08	VYDAJ	PREVOD NA UCET	5483	44600	 	EF	30920487
2592255	8564	1994-06-08	VYDAJ	PREVOD NA UCET	5483	35206	 	EF	30920487
2592256	8564	1994-07-08	VYDAJ	PREVOD NA UCET	5483	73818	 	EF	30920487
2592257	8564	1994-08-08	VYDAJ	PREVOD NA UCET	5483	52197	 	EF	30920487
2592258	8564	1994-09-08	VYDAJ	PREVOD NA UCET	5483	41063	 	EF	30920487
2592259	8564	1994-10-08	VYDAJ	PREVOD NA UCET	5483	41751	 	EF	30920487
2592260	8564	1994-11-08	VYDAJ	PREVOD NA UCET	5483	32802	 	EF	30920487
2592261	8564	1994-12-08	VYDAJ	PREVOD NA UCET	5483	39544	 	EF	30920487
2592262	8564	1995-01-08	VYDAJ	PREVOD NA UCET	5483	40531	 	EF	30920487
2592263	8564	1995-02-08	VYDAJ	PREVOD NA UCET	5483	28858	 	EF	30920487
2592264	8564	1995-03-08	VYDAJ	PREVOD NA UCET	5483	27191	 	EF	30920487
2592265	8564	1995-04-08	VYDAJ	PREVOD NA UCET	5483	40580	 	EF	30920487
2592266	8564	1995-05-08	VYDAJ	PREVOD NA UCET	5483	44412	 	EF	30920487
2592267	8564	1995-06-08	VYDAJ	PREVOD NA UCET	5483	44794	 	EF	30920487
2592268	8564	1995-07-08	VYDAJ	PREVOD NA UCET	5483	36301	 	EF	30920487
2592269	8564	1995-08-08	VYDAJ	PREVOD NA UCET	5483	39851	 	EF	30920487
2592270	8564	1995-09-08	VYDAJ	PREVOD NA UCET	5483	40337	 	EF	30920487
2592271	8564	1995-10-08	VYDAJ	PREVOD NA UCET	5483	36224	 	EF	30920487
2592272	8564	1995-11-08	VYDAJ	PREVOD NA UCET	5483	38765	 	EF	30920487
2592273	8564	1995-12-08	VYDAJ	PREVOD NA UCET	5483	34941	 	EF	30920487
2592274	8564	1996-01-08	VYDAJ	PREVOD NA UCET	5483	28264	 	EF	30920487
2592275	8564	1996-02-08	VYDAJ	PREVOD NA UCET	5483	30287	 	EF	30920487
2592276	8564	1996-03-08	VYDAJ	PREVOD NA UCET	5483	34309	 	EF	30920487
2592277	8564	1996-04-08	VYDAJ	PREVOD NA UCET	5483	33043	 	EF	30920487
2592278	8564	1996-05-08	VYDAJ	PREVOD NA UCET	5483	35625	 	EF	30920487
2592279	8564	1996-06-08	VYDAJ	PREVOD NA UCET	5483	28350	 	EF	30920487
2592280	8564	1996-07-08	VYDAJ	PREVOD NA UCET	5483	29850	 	EF	30920487
2592281	8564	1996-08-08	VYDAJ	PREVOD NA UCET	5483	33952	 	EF	30920487
2592282	8564	1996-09-08	VYDAJ	PREVOD NA UCET	5483	28034	 	EF	30920487
2592283	8564	1996-10-08	VYDAJ	PREVOD NA UCET	5483	33949	 	EF	30920487
2592284	8564	1996-11-08	VYDAJ	PREVOD NA UCET	5483	31215	 	EF	30920487
2592285	8564	1996-12-08	VYDAJ	PREVOD NA UCET	5483	29304	 	EF	30920487
2592286	8564	1997-01-08	VYDAJ	PREVOD NA UCET	5483	38648	 	EF	30920487
2592287	8564	1997-02-08	VYDAJ	PREVOD NA UCET	5483	27964	 	EF	30920487
2592288	8564	1997-03-08	VYDAJ	PREVOD NA UCET	5483	30315	 	EF	30920487
2592289	8564	1997-04-08	VYDAJ	PREVOD NA UCET	5483	24644	 	EF	30920487
2592290	8564	1997-05-08	VYDAJ	PREVOD NA UCET	5483	22661	 	EF	30920487
2592291	8564	1997-06-08	VYDAJ	PREVOD NA UCET	5483	42718	 	EF	30920487
2592292	8564	1997-07-08	VYDAJ	PREVOD NA UCET	5483	31682	 	EF	30920487
2592293	8564	1997-08-08	VYDAJ	PREVOD NA UCET	5483	28559	 	EF	30920487
2592294	8564	1997-09-08	VYDAJ	PREVOD NA UCET	5483	25929	 	EF	30920487
2592295	8564	1997-10-08	VYDAJ	PREVOD NA UCET	5483	42358	 	EF	30920487
2592296	8564	1997-11-08	VYDAJ	PREVOD NA UCET	5483	35280	 	EF	30920487
2592297	8564	1997-12-08	VYDAJ	PREVOD NA UCET	5483	32384	 	EF	30920487
2592298	8564	1998-01-08	VYDAJ	PREVOD NA UCET	5483	33161	 	EF	30920487
2592299	8564	1998-02-08	VYDAJ	PREVOD NA UCET	5483	32204	 	EF	30920487
2592300	8564	1998-03-08	VYDAJ	PREVOD NA UCET	5483	32636	 	EF	30920487
2592301	8564	1998-04-08	VYDAJ	PREVOD NA UCET	5483	34587	 	EF	30920487
2592302	8564	1998-05-08	VYDAJ	PREVOD NA UCET	5483	28567	 	EF	30920487
2592303	8564	1998-06-08	VYDAJ	PREVOD NA UCET	5483	28305	 	EF	30920487
2592304	8564	1998-07-08	VYDAJ	PREVOD NA UCET	5483	34985	 	EF	30920487
2592305	8564	1998-08-08	VYDAJ	PREVOD NA UCET	5483	32113	 	EF	30920487
2592306	8564	1998-09-08	VYDAJ	PREVOD NA UCET	5483	36068	 	EF	30920487
2592307	8564	1998-10-08	VYDAJ	PREVOD NA UCET	5483	37920	 	EF	30920487
2592308	8564	1998-11-08	VYDAJ	PREVOD NA UCET	5483	40706	 	EF	30920487
2592309	8564	1998-12-08	VYDAJ	PREVOD NA UCET	5483	43786	 	EF	30920487
2592310	8564	1994-06-04	VYBER	VYBER	4862	47289	\N	\N	\N
2592312	8564	1994-10-17	VYBER	VYBER	12720	53225	\N	\N	\N
2592313	8564	1994-04-27	VYBER	VYBER	8562	66453	\N	\N	\N
2592314	8564	1994-07-20	VYBER	VYBER	22686	57231	\N	\N	\N
2592315	8564	1994-11-16	VYBER	VYBER	4291	59710	\N	\N	\N
2592316	8564	1994-05-26	VYBER	VYBER	12565	51734	\N	\N	\N
2592317	8564	1994-10-12	VYBER	VYBER	7005	73115	\N	\N	\N
2592319	8564	1995-03-02	VYBER	VYBER	18776	41674	\N	\N	\N
2592320	8564	1995-09-23	VYBER	VYBER	2106	66235	\N	\N	\N
2592322	8564	1996-03-12	VYBER	VYBER	7055	65623	\N	\N	\N
2592325	8564	1996-08-17	VYBER	VYBER	4461	57495	\N	\N	\N
2592326	8564	1996-08-21	VYBER	VYBER	8333	49162	\N	\N	\N
2592328	8564	1996-12-13	VYBER	VYBER	8581	75082	\N	\N	\N
2592329	8564	1996-08-31	VYBER	VYBER	4261	33532	\N	\N	\N
2592331	8564	1996-10-14	VYBER	VYBER	15310	53813	\N	\N	\N
2592332	8564	1997-07-12	VYBER	VYBER	16984	53067	\N	\N	\N
2592333	8564	1997-07-23	VYBER	VYBER	8471	37426	\N	\N	\N
2592334	8564	1997-09-22	VYBER	VYBER	3467	50461	\N	\N	\N
2592351	8564	1998-06-18	VYBER	VYBER	19379	55610	\N	\N	\N
2592354	8564	1998-05-17	VYBER	VYBER	5697	54069	\N	\N	\N
2592355	8564	1998-12-23	VYBER	VYBER	3282	55488	\N	\N	\N
2592359	8564	1995-06-20	VYDAJ	VYBER	42000	49983	\N	\N	\N
2592360	8564	1996-06-20	VYDAJ	VYBER	20100	55439	\N	\N	\N
2592361	8564	1997-06-19	VYDAJ	VYBER	21300	71802	\N	\N	\N
2592365	8564	1995-01-17	VYDAJ	VYBER	5100	57330	\N	\N	\N
2592366	8564	1996-01-03	VYDAJ	VYBER	17700	33747	\N	\N	\N
2592370	8564	1994-12-23	VYDAJ	VYBER	3000	86928	\N	\N	\N
2592371	8564	1995-12-07	VYDAJ	VYBER	3000	40424	\N	\N	\N
2592372	8564	1996-12-05	VYDAJ	VYBER	6000	34787	\N	\N	\N
2592373	8564	1997-12-22	VYDAJ	VYBER	5700	40168	\N	\N	\N
2592374	8564	1998-12-24	VYDAJ	VYBER	7500	47988	\N	\N	\N
2592387	8564	1995-01-08	VYDAJ	VYBER	5400	46014	\N	\N	\N
2592388	8564	1995-01-08	VYDAJ	VYBER	5700	34831	\N	\N	\N
2592389	8564	1995-01-26	VYDAJ	VYBER	7800	48030	\N	\N	\N
2592390	8564	1995-01-26	VYDAJ	VYBER	3900	44130	\N	\N	\N
2592391	8564	1995-01-05	VYDAJ	VYBER	7500	54814	\N	\N	\N
2592392	8564	1995-01-16	VYDAJ	VYBER	3600	62430	\N	\N	\N
2592395	8564	1996-01-01	VYDAJ	VYBER	5400	51447	\N	\N	\N
2592397	8564	1996-01-27	VYDAJ	VYBER	5700	44268	\N	\N	\N
2592398	8564	1996-01-20	VYDAJ	VYBER	6300	49968	\N	\N	\N
2592399	8564	1997-01-09	VYDAJ	VYBER	1800	36848	\N	\N	\N
2592401	8564	1997-01-10	VYDAJ	VYBER	2100	34748	\N	\N	\N
2592402	8564	1997-01-16	VYDAJ	VYBER	8400	54352	\N	\N	\N
2592407	8564	1998-01-14	VYDAJ	VYBER	4500	56960	\N	\N	\N
2592408	8564	1998-01-05	VYDAJ	VYBER	1800	38644	\N	\N	\N
2592417	8564	1994-06-06	VYDAJ	VYBER	6600	40689	\N	\N	\N
2592418	8564	1994-05-06	VYDAJ	VYBER	14100	50083	\N	\N	\N
2592419	8564	1994-04-20	VYDAJ	VYBER	6900	75015	\N	\N	\N
2592420	8564	1995-11-14	VYDAJ	VYBER	7200	59569	\N	\N	\N
2592421	8564	1995-10-24	VYDAJ	VYBER	3000	61228	\N	\N	\N
2592422	8564	1995-03-05	VYDAJ	VYBER	9600	32074	\N	\N	\N
2592423	8564	1995-10-04	VYDAJ	VYBER	8400	41707	\N	\N	\N
2592424	8564	1995-08-21	VYDAJ	VYBER	4200	63655	\N	\N	\N
2592425	8564	1995-01-20	VYDAJ	VYBER	1500	55830	\N	\N	\N
2592426	8564	1996-06-21	VYDAJ	VYBER	7200	48239	\N	\N	\N
2592427	8564	1996-05-22	VYDAJ	VYBER	8100	41129	\N	\N	\N
2592428	8564	1996-05-17	VYDAJ	VYBER	14400	49229	\N	\N	\N
2592433	8564	1997-03-16	VYDAJ	VYBER	12600	45719	\N	\N	\N
2592454	8564	1994-02-28	VYDAJ	VYBER	15	94601	SLUZBY	\N	\N
2592455	8564	1994-03-31	VYDAJ	VYBER	15	87299	SLUZBY	\N	\N
2592456	8564	1994-04-30	VYDAJ	VYBER	15	66983	SLUZBY	\N	\N
2592457	8564	1994-05-31	VYDAJ	VYBER	15	52151	SLUZBY	\N	\N
2592458	8564	1994-06-30	VYDAJ	VYBER	15	79301	SLUZBY	\N	\N
2592459	8564	1994-07-31	VYDAJ	VYBER	15	57680	SLUZBY	\N	\N
2592460	8564	1994-08-31	VYDAJ	VYBER	15	72446	SLUZBY	\N	\N
2592461	8564	1994-09-30	VYDAJ	VYBER	15	72734	SLUZBY	\N	\N
2592462	8564	1994-10-31	VYDAJ	VYBER	15	53685	SLUZBY	\N	\N
2592463	8564	1994-11-30	VYDAJ	VYBER	15	60127	SLUZBY	\N	\N
2592464	8564	1994-12-31	VYDAJ	VYBER	15	87514	SLUZBY	\N	\N
2592465	8564	1995-01-31	VYDAJ	VYBER	15	44541	SLUZBY	\N	\N
2592466	8564	1995-02-28	VYDAJ	VYBER	15	60450	SLUZBY	\N	\N
2592467	8564	1995-03-31	VYDAJ	VYBER	15	55563	SLUZBY	\N	\N
2592468	8564	1995-04-30	VYDAJ	VYBER	15	68995	SLUZBY	\N	\N
2592469	8564	1995-05-31	VYDAJ	VYBER	15	72877	SLUZBY	\N	\N
2592470	8564	1995-06-30	VYDAJ	VYBER	15	50484	SLUZBY	\N	\N
2592471	8564	1995-07-31	VYDAJ	VYBER	15	64734	SLUZBY	\N	\N
2592472	8564	1995-08-31	VYDAJ	VYBER	15	64120	SLUZBY	\N	\N
2592473	8564	1995-09-30	VYDAJ	VYBER	15	66707	SLUZBY	\N	\N
2592474	8564	1995-10-31	VYDAJ	VYBER	15	61648	SLUZBY	\N	\N
2592475	8564	1995-11-30	VYDAJ	VYBER	15	60024	SLUZBY	\N	\N
2592476	8564	1995-12-31	VYDAJ	VYBER	15	82647	SLUZBY	\N	\N
2592477	8564	1996-01-31	VYDAJ	VYBER	15	35770	SLUZBY	\N	\N
2592478	8564	1996-02-29	VYDAJ	VYBER	15	39792	SLUZBY	\N	\N
2592479	8564	1996-03-31	VYDAJ	VYBER	15	38526	SLUZBY	\N	\N
2592480	8564	1996-04-30	VYDAJ	VYBER	15	41108	SLUZBY	\N	\N
2592481	8564	1996-05-31	VYDAJ	VYBER	15	33833	SLUZBY	\N	\N
2592482	8564	1996-06-30	VYDAJ	VYBER	15	35333	SLUZBY	\N	\N
2592483	8564	1996-07-31	VYDAJ	VYBER	15	39435	SLUZBY	\N	\N
2592484	8564	1996-08-31	VYDAJ	VYBER	15	33517	SLUZBY	\N	\N
2592485	8564	1996-09-30	VYDAJ	VYBER	15	39432	SLUZBY	\N	\N
2592486	8564	1996-10-31	VYDAJ	VYBER	15	36698	SLUZBY	\N	\N
2592487	8564	1996-11-30	VYDAJ	VYBER	15	40787	SLUZBY	\N	\N
2592488	8564	1996-12-31	VYDAJ	VYBER	15	44131	SLUZBY	\N	\N
2592489	8564	1997-01-31	VYDAJ	VYBER	15	33447	SLUZBY	\N	\N
2592490	8564	1997-02-28	VYDAJ	VYBER	15	35798	SLUZBY	\N	\N
2592491	8564	1997-03-31	VYDAJ	VYBER	15	30127	SLUZBY	\N	\N
2592492	8564	1997-04-30	VYDAJ	VYBER	15	28144	SLUZBY	\N	\N
2592493	8564	1997-05-31	VYDAJ	VYBER	15	51101	SLUZBY	\N	\N
2592494	8564	1997-06-30	VYDAJ	VYBER	15	40065	SLUZBY	\N	\N
2592495	8564	1997-07-31	VYDAJ	VYBER	15	37642	SLUZBY	\N	\N
2592496	8564	1997-08-31	VYDAJ	VYBER	15	31412	SLUZBY	\N	\N
2592497	8564	1997-09-30	VYDAJ	VYBER	15	50741	SLUZBY	\N	\N
2592498	8564	1997-10-31	VYDAJ	VYBER	15	40763	SLUZBY	\N	\N
2592499	8564	1997-11-30	VYDAJ	VYBER	15	37867	SLUZBY	\N	\N
2592500	8564	1997-12-31	VYDAJ	VYBER	15	40444	SLUZBY	\N	\N
2592501	8564	1998-01-31	VYDAJ	VYBER	15	37687	SLUZBY	\N	\N
2592502	8564	1998-02-28	VYDAJ	VYBER	15	38119	SLUZBY	\N	\N
2592503	8564	1998-03-31	VYDAJ	VYBER	15	40070	SLUZBY	\N	\N
2592504	8564	1998-04-30	VYDAJ	VYBER	15	36650	SLUZBY	\N	\N
2592505	8564	1998-05-31	VYDAJ	VYBER	15	33788	SLUZBY	\N	\N
2592506	8564	1998-06-30	VYDAJ	VYBER	15	40468	SLUZBY	\N	\N
2592507	8564	1998-07-31	VYDAJ	VYBER	15	37596	SLUZBY	\N	\N
2592508	8564	1998-08-31	VYDAJ	VYBER	15	41551	SLUZBY	\N	\N
2592509	8564	1998-09-30	VYDAJ	VYBER	15	46103	SLUZBY	\N	\N
2592510	8564	1998-10-31	VYDAJ	VYBER	15	49189	SLUZBY	\N	\N
2592511	8564	1998-11-30	VYDAJ	VYBER	15	49269	SLUZBY	\N	\N
2592512	8564	1993-10-12	VYDAJ	VYBER	5200	34169	\N	\N	\N
2592513	8564	1993-11-11	VYDAJ	VYBER	7200	27161	\N	\N	\N
2592514	8564	1993-12-11	VYDAJ	VYBER	19800	46119	\N	\N	\N
2592515	8564	1994-01-10	VYDAJ	VYBER	38700	65612	\N	\N	\N
2592516	8564	1994-02-09	VYDAJ	VYBER	38500	66176	\N	\N	\N
2592517	8564	1994-03-11	VYDAJ	VYBER	31000	58118	\N	\N	\N
2592518	8564	1994-04-10	VYDAJ	VYBER	28700	50716	\N	\N	\N
2592519	8564	1994-05-10	VYDAJ	VYBER	11500	33100	\N	\N	\N
2592520	8564	1994-06-09	VYDAJ	VYBER	3400	31806	\N	\N	\N
2592521	8564	1994-07-09	VYDAJ	VYBER	22200	51618	\N	\N	\N
2592522	8564	1994-08-08	VYDAJ	VYBER	8200	40797	\N	\N	\N
2592523	8564	1994-09-07	VYDAJ	VYBER	22900	46546	\N	\N	\N
2592524	8564	1994-10-07	VYDAJ	VYBER	21700	51034	\N	\N	\N
2592525	8564	1994-11-06	VYDAJ	VYBER	11500	38285	\N	\N	\N
2592526	8564	1994-12-06	VYDAJ	VYBER	12400	47727	\N	\N	\N
2592527	8564	1995-01-05	VYDAJ	VYBER	25200	62314	\N	\N	\N
2592528	8564	1995-02-04	VYDAJ	VYBER	7600	36941	\N	\N	\N
2592529	8564	1995-03-06	PRIJEM	VKLAD	600	32674	\N	\N	\N
2592530	8564	1995-04-05	VYDAJ	VYBER	9500	46063	\N	\N	\N
2592531	8564	1995-05-05	VYDAJ	VYBER	19100	49895	\N	\N	\N
2592532	8564	1995-06-04	VYDAJ	VYBER	22600	50277	\N	\N	\N
2592533	8564	1995-07-04	VYDAJ	VYBER	8700	41784	\N	\N	\N
2592534	8564	1995-08-03	VYDAJ	VYBER	19400	45334	\N	\N	\N
2592535	8564	1995-09-02	VYDAJ	VYBER	18300	45820	\N	\N	\N
2592536	8564	1995-10-02	VYDAJ	VYBER	16600	50107	\N	\N	\N
2592537	8564	1995-11-01	VYDAJ	VYBER	17400	44248	\N	\N	\N
2592538	8564	1995-12-01	VYDAJ	VYBER	16600	43424	\N	\N	\N
2592539	8564	1995-12-31	VYDAJ	VYBER	25800	56847	\N	\N	\N
2592540	8564	1996-01-30	VYDAJ	VYBER	8800	35468	\N	\N	\N
2592541	8564	1996-02-29	VYDAJ	VYBER	18800	39806	\N	\N	\N
2592542	8564	1996-03-30	VYDAJ	VYBER	17100	38158	\N	\N	\N
2592543	8564	1996-04-29	VYDAJ	VYBER	20300	40747	\N	\N	\N
2592544	8564	1996-05-29	VYDAJ	VYBER	7600	33529	\N	\N	\N
2592545	8564	1996-06-28	VYDAJ	VYBER	13200	35039	\N	\N	\N
2592546	8564	1996-07-28	VYDAJ	VYBER	18700	39154	\N	\N	\N
2592547	8564	1996-08-27	VYDAJ	VYBER	11700	37462	\N	\N	\N
2592548	8564	1996-09-26	VYDAJ	VYBER	16900	39138	\N	\N	\N
2592549	8564	1996-10-26	VYDAJ	VYBER	10200	36443	\N	\N	\N
2592550	8564	1996-11-25	VYDAJ	VYBER	18700	40519	\N	\N	\N
2592551	8564	1996-12-25	VYDAJ	VYBER	24100	43812	\N	\N	\N
2592552	8564	1997-01-24	VYDAJ	VYBER	21200	33152	\N	\N	\N
2592553	8564	1997-02-23	VYDAJ	VYBER	20400	35568	\N	\N	\N
2592554	8564	1997-03-25	VYDAJ	VYBER	15800	29919	\N	\N	\N
2592555	8564	1997-04-24	VYDAJ	VYBER	24600	27943	\N	\N	\N
2592556	8564	1997-06-23	VYDAJ	VYBER	32100	39702	\N	\N	\N
2592557	8564	1997-08-22	VYDAJ	VYBER	28600	31158	\N	\N	\N
2592558	8564	1997-10-21	VYDAJ	VYBER	33100	40457	\N	\N	\N
2592559	8564	1997-11-20	VYDAJ	VYBER	25800	37579	\N	\N	\N
2592560	8564	1997-12-20	VYDAJ	VYBER	33500	45868	\N	\N	\N
2592561	8564	1998-01-19	VYDAJ	VYBER	19500	37460	\N	\N	\N
2592562	8564	1998-02-18	VYDAJ	VYBER	22000	41403	\N	\N	\N
2592563	8564	1998-03-20	VYDAJ	VYBER	21100	39835	\N	\N	\N
2592564	8564	1998-04-19	VYDAJ	VYBER	27000	36386	\N	\N	\N
2592565	8564	1998-05-19	VYDAJ	VYBER	20500	33569	\N	\N	\N
2592566	8564	1998-06-18	VYDAJ	VYBER	15400	40210	\N	\N	\N
2592567	8564	1998-07-18	VYDAJ	VYBER	25500	37384	\N	\N	\N
2592568	8564	1998-08-17	VYDAJ	VYBER	18600	41312	\N	\N	\N
2592569	8564	1998-09-16	VYDAJ	VYBER	18100	49167	\N	\N	\N
2592570	8564	1998-10-16	VYDAJ	VYBER	20200	48919	\N	\N	\N
2592571	8564	1998-11-15	VYDAJ	VYBER	22900	49005	\N	\N	\N
2592572	8564	1998-12-15	VYDAJ	VYBER	32000	62170	\N	\N	\N
2593062	8566	1993-10-08	PRIJEM	VKLAD	900	900	\N	\N	\N
2593063	8566	1993-12-18	PRIJEM	VKLAD	23012	51631	\N	\N	\N
2593067	8566	1993-10-21	PRIJEM	VKLAD	23857	72710	\N	\N	\N
2593069	8566	1993-12-07	PRIJEM	VKLAD	5421	69263	\N	\N	\N
2593070	8566	1993-11-22	PRIJEM	VKLAD	32611	102025	\N	\N	\N
2593077	8566	1993-11-10	PRIJEM	VKLAD	47583	98577	\N	\N	\N
2593079	8566	1993-11-22	PRIJEM	VKLAD	28776	130801	\N	\N	\N
2593082	8566	1993-10-15	PRIJEM	VKLAD	47953	48853	\N	\N	\N
2593083	8566	1993-11-13	PRIJEM	VKLAD	9837	108414	\N	\N	\N
2593085	8566	1994-05-24	PRIJEM	VKLAD	7689	15332	\N	\N	\N
2593086	8566	1995-06-25	PRIJEM	VKLAD	40588	48994	\N	\N	\N
2593087	8566	1995-08-06	PRIJEM	VKLAD	29830	54945	\N	\N	\N
2593088	8566	1995-02-24	PRIJEM	VKLAD	33916	39662	\N	\N	\N
2593089	8566	1996-04-08	PRIJEM	VKLAD	19229	23393	\N	\N	\N
2593090	8566	1996-08-29	PRIJEM	VKLAD	12304	20084	\N	\N	\N
2593091	8566	1996-10-07	PRIJEM	VKLAD	19826	23591	\N	\N	\N
2593092	8566	1996-08-02	PRIJEM	VKLAD	18583	23624	\N	\N	\N
2593093	8566	1997-11-05	PRIJEM	VKLAD	7964	72672	\N	\N	\N
2593094	8566	1997-04-05	PRIJEM	VKLAD	45320	105643	\N	\N	\N
2593095	8566	1997-08-27	PRIJEM	VKLAD	30332	92852	\N	\N	\N
2593096	8566	1997-08-31	PRIJEM	VKLAD	42134	135316	\N	\N	\N
2593097	8566	1997-06-28	PRIJEM	VKLAD	6156	40389	\N	\N	\N
2593098	8566	1997-12-27	PRIJEM	VKLAD	45089	76181	\N	\N	\N
2593099	8566	1997-08-09	PRIJEM	VKLAD	37611	103922	\N	\N	\N
2593100	8566	1997-08-15	PRIJEM	VKLAD	11892	109420	\N	\N	\N
2593101	8566	1997-07-26	PRIJEM	VKLAD	42172	122882	\N	\N	\N
2593102	8566	1997-10-05	PRIJEM	VKLAD	37929	70220	\N	\N	\N
2593103	8566	1997-04-29	PRIJEM	VKLAD	6436	39804	\N	\N	\N
2593104	8566	1997-02-20	PRIJEM	VKLAD	30719	39413	\N	\N	\N
2593105	8566	1997-07-24	PRIJEM	VKLAD	26209	80710	\N	\N	\N
2593106	8566	1997-12-14	PRIJEM	VKLAD	25620	47892	\N	\N	\N
2593107	8566	1997-03-31	PRIJEM	VKLAD	42826	62932	\N	\N	\N
2593108	8566	1997-02-05	PRIJEM	VKLAD	17777	24538	\N	\N	\N
2593109	8566	1997-06-23	PRIJEM	VKLAD	40732	59733	\N	\N	\N
2593110	8566	1997-08-03	PRIJEM	VKLAD	30332	131560	\N	\N	\N
2593111	8566	1997-07-23	PRIJEM	VKLAD	31312	54501	\N	\N	\N
2593112	8566	1997-04-14	PRIJEM	VKLAD	13869	55968	\N	\N	\N
2593113	8566	1997-05-01	PRIJEM	VKLAD	47968	88117	\N	\N	\N
2593114	8566	1997-10-30	PRIJEM	VKLAD	27126	64397	\N	\N	\N
2593115	8566	1998-06-03	PRIJEM	VKLAD	38054	54333	\N	\N	\N
2593116	8566	1998-12-10	PRIJEM	VKLAD	44089	52381	\N	\N	\N
2593117	8566	1998-02-22	PRIJEM	VKLAD	34559	72583	\N	\N	\N
2593118	8566	1998-01-03	PRIJEM	VKLAD	26713	95954	\N	\N	\N
2593119	8566	1998-10-07	PRIJEM	VKLAD	49931	55767	\N	\N	\N
2593120	8566	1998-01-27	PRIJEM	VKLAD	45904	74936	\N	\N	\N
2593121	8566	1998-05-15	PRIJEM	VKLAD	5237	16231	\N	\N	\N
2593122	8566	1998-06-11	PRIJEM	VKLAD	26883	71767	\N	\N	\N
2593134	8566	1993-12-02	VYDAJ	VYBER	7200	64397	\N	\N	0
2593135	8566	1994-01-20	VYDAJ	VYBER	5100	16811	\N	\N	0
2593136	8566	1994-02-16	VYDAJ	VYBER	6900	6727	\N	\N	0
2593140	8566	1994-06-15	VYDAJ	VYBER	5100	6341	\N	\N	0
2593144	8566	1994-10-12	VYDAJ	PREVOD NA UCET	6395	3015	UVER	MN	44048529
2593149	8566	1995-03-12	VYDAJ	PREVOD NA UCET	6395	18591	UVER	MN	44048529
2593150	8566	1995-04-12	VYDAJ	PREVOD NA UCET	6395	8595	UVER	MN	44048529
2593153	8566	1995-07-12	VYDAJ	PREVOD NA UCET	6395	23663	UVER	MN	44048529
2593154	8566	1995-08-12	VYDAJ	PREVOD NA UCET	6395	39656	UVER	MN	44048529
2593155	8566	1995-09-12	VYDAJ	PREVOD NA UCET	6395	5700	UVER	MN	44048529
2593162	8566	1996-04-12	VYDAJ	PREVOD NA UCET	6395	16998	UVER	MN	44048529
2593166	8566	1996-08-12	VYDAJ	PREVOD NA UCET	6395	7780	UVER	MN	44048529
2593167	8566	1996-09-12	VYDAJ	PREVOD NA UCET	6395	4296	UVER	MN	44048529
2593168	8566	1996-10-12	VYDAJ	PREVOD NA UCET	6395	8302	UVER	MN	44048529
2593172	8566	1997-02-12	VYDAJ	PREVOD NA UCET	6395	8694	UVER	MN	44048529
2593173	8566	1997-03-12	VYDAJ	PREVOD NA UCET	6395	23706	UVER	MN	44048529
2593174	8566	1997-04-12	VYDAJ	PREVOD NA UCET	6395	42099	UVER	MN	44048529
2593175	8566	1997-05-12	VYDAJ	PREVOD NA UCET	6395	72273	UVER	MN	44048529
2593176	8566	1997-06-12	VYDAJ	PREVOD NA UCET	6395	27001	UVER	MN	44048529
2593177	8566	1997-07-12	VYDAJ	PREVOD NA UCET	6395	24789	UVER	MN	44048529
2593178	8566	1997-08-12	VYDAJ	PREVOD NA UCET	6395	97528	UVER	MN	44048529
2593179	8566	1997-09-12	VYDAJ	PREVOD NA UCET	6395	64110	UVER	MN	44048529
2593180	8566	1997-10-05	VYDAJ	VYBER	6800	62865	\N	\N	0
2593181	8566	1997-11-10	VYDAJ	VYBER	4900	58323	\N	\N	0
2593182	8566	1997-12-05	VYDAJ	VYBER	6300	31721	\N	\N	0
2593183	8566	1998-01-11	VYDAJ	VYBER	5600	69205	\N	\N	0
2593184	8566	1998-02-09	VYDAJ	VYBER	7100	58824	\N	\N	0
2593185	8566	1998-03-20	VYDAJ	VYBER	4900	27850	\N	\N	0
2593186	8566	1998-04-04	VYDAJ	VYBER	7200	20949	\N	\N	0
2593188	8566	1998-06-19	VYDAJ	VYBER	6800	28767	\N	\N	0
2593189	8566	1998-07-07	VYDAJ	VYBER	5000	14558	\N	\N	0
2593192	8566	1998-10-06	VYDAJ	VYBER	7200	5836	\N	\N	0
2593194	8566	1998-12-06	VYDAJ	VYBER	5000	8292	\N	\N	0
2593206	8566	1993-12-05	VYDAJ	PREVOD NA UCET	555	63842	SIPO	AB	72264265
2593207	8566	1994-01-05	VYDAJ	PREVOD NA UCET	555	34405	SIPO	AB	72264265
2593208	8566	1994-02-05	VYDAJ	PREVOD NA UCET	555	22521	SIPO	AB	72264265
2593209	8566	1994-03-05	VYDAJ	PREVOD NA UCET	555	6237	SIPO	AB	72264265
2593211	8566	1994-05-05	VYDAJ	PREVOD NA UCET	555	4137	SIPO	AB	72264265
2593212	8566	1994-06-05	VYDAJ	PREVOD NA UCET	555	20335	SIPO	AB	72264265
2593213	8566	1994-07-05	VYDAJ	PREVOD NA UCET	555	14846	SIPO	AB	72264265
2593214	8566	1994-08-05	VYDAJ	PREVOD NA UCET	555	16527	SIPO	AB	72264265
2593215	8566	1994-09-05	VYDAJ	PREVOD NA UCET	555	15220	SIPO	AB	72264265
2593216	8566	1994-10-05	VYDAJ	PREVOD NA UCET	555	18304	SIPO	AB	72264265
2593217	8566	1994-11-05	VYDAJ	PREVOD NA UCET	555	15384	SIPO	AB	72264265
2593218	8566	1994-12-05	VYDAJ	PREVOD NA UCET	555	16267	SIPO	AB	72264265
2593219	8566	1995-01-05	VYDAJ	PREVOD NA UCET	555	15057	SIPO	AB	72264265
2593220	8566	1995-02-05	VYDAJ	PREVOD NA UCET	555	14640	SIPO	AB	72264265
2593221	8566	1995-03-05	VYDAJ	PREVOD NA UCET	555	33880	SIPO	AB	72264265
2593222	8566	1995-04-05	VYDAJ	PREVOD NA UCET	555	23884	SIPO	AB	72264265
2593223	8566	1995-05-05	VYDAJ	PREVOD NA UCET	555	16806	SIPO	AB	72264265
2593224	8566	1995-06-05	VYDAJ	PREVOD NA UCET	555	17300	SIPO	AB	72264265
2593225	8566	1995-07-05	VYDAJ	PREVOD NA UCET	555	38951	SIPO	AB	72264265
2593226	8566	1995-08-05	VYDAJ	PREVOD NA UCET	555	25115	SIPO	AB	72264265
2593227	8566	1995-09-05	VYDAJ	PREVOD NA UCET	555	20989	SIPO	AB	72264265
2593228	8566	1995-10-05	VYDAJ	PREVOD NA UCET	555	15710	SIPO	AB	72264265
2593229	8566	1995-11-05	VYDAJ	PREVOD NA UCET	555	18115	SIPO	AB	72264265
2593230	8566	1995-12-05	VYDAJ	PREVOD NA UCET	555	17626	SIPO	AB	72264265
2593231	8566	1996-01-05	VYDAJ	PREVOD NA UCET	555	13844	SIPO	AB	72264265
2593232	8566	1996-02-05	VYDAJ	PREVOD NA UCET	555	12835	SIPO	AB	72264265
2593233	8566	1996-03-05	VYDAJ	PREVOD NA UCET	555	3396	SIPO	AB	72264265
2593234	8566	1996-04-05	VYDAJ	PREVOD NA UCET	555	13058	SIPO	AB	72264265
2593235	8566	1996-05-05	VYDAJ	PREVOD NA UCET	555	18745	SIPO	AB	72264265
2593236	8566	1996-06-05	VYDAJ	PREVOD NA UCET	555	14458	SIPO	AB	72264265
2593237	8566	1996-07-05	VYDAJ	PREVOD NA UCET	555	5040	SIPO	AB	72264265
2593238	8566	1996-08-05	VYDAJ	PREVOD NA UCET	555	23069	SIPO	AB	72264265
2593239	8566	1996-09-05	VYDAJ	PREVOD NA UCET	555	19585	SIPO	AB	72264265
2593240	8566	1996-10-05	VYDAJ	PREVOD NA UCET	555	3765	SIPO	AB	72264265
2593241	8566	1996-11-05	VYDAJ	PREVOD NA UCET	555	7797	SIPO	AB	72264265
2593242	8566	1996-12-05	VYDAJ	PREVOD NA UCET	555	7279	SIPO	AB	72264265
2593243	8566	1997-01-05	VYDAJ	PREVOD NA UCET	555	6734	SIPO	AB	72264265
2593244	8566	1997-02-05	VYDAJ	PREVOD NA UCET	555	23983	SIPO	AB	72264265
2593245	8566	1997-03-05	VYDAJ	PREVOD NA UCET	555	38994	SIPO	AB	72264265
2593246	8566	1997-04-05	VYDAJ	PREVOD NA UCET	555	57388	SIPO	AB	72264265
2593247	8566	1997-05-05	VYDAJ	PREVOD NA UCET	555	87562	SIPO	AB	72264265
2593248	8566	1997-06-05	VYDAJ	PREVOD NA UCET	555	42290	SIPO	AB	72264265
2593249	8566	1997-07-05	VYDAJ	PREVOD NA UCET	555	40078	SIPO	AB	72264265
2593250	8566	1997-08-05	VYDAJ	PREVOD NA UCET	555	75205	SIPO	AB	72264265
2593251	8566	1997-09-05	VYDAJ	PREVOD NA UCET	555	79399	SIPO	AB	72264265
2593252	8566	1997-10-05	VYDAJ	PREVOD NA UCET	555	69665	SIPO	AB	72264265
2593253	8566	1997-11-05	VYDAJ	PREVOD NA UCET	555	72117	SIPO	AB	72264265
2593254	8566	1997-12-05	VYDAJ	PREVOD NA UCET	555	31166	SIPO	AB	72264265
2593255	8566	1998-01-05	VYDAJ	PREVOD NA UCET	555	85199	SIPO	AB	72264265
2593256	8566	1998-02-05	VYDAJ	PREVOD NA UCET	555	74818	SIPO	AB	72264265
2593257	8566	1998-03-05	VYDAJ	PREVOD NA UCET	555	60444	SIPO	AB	72264265
2593258	8566	1998-04-05	VYDAJ	PREVOD NA UCET	555	20394	SIPO	AB	72264265
2593259	8566	1998-05-05	VYDAJ	PREVOD NA UCET	555	10994	SIPO	AB	72264265
2593260	8566	1998-06-05	VYDAJ	PREVOD NA UCET	555	53778	SIPO	AB	72264265
2593261	8566	1998-07-05	VYDAJ	PREVOD NA UCET	555	28452	SIPO	AB	72264265
2593262	8566	1998-08-05	VYDAJ	PREVOD NA UCET	555	14101	SIPO	AB	72264265
2593263	8566	1998-09-05	VYDAJ	PREVOD NA UCET	555	13570	SIPO	AB	72264265
2593264	8566	1998-10-05	VYDAJ	PREVOD NA UCET	555	13036	SIPO	AB	72264265
2593265	8566	1998-11-05	VYDAJ	PREVOD NA UCET	555	22672	SIPO	AB	72264265
2593266	8566	1998-12-05	VYDAJ	PREVOD NA UCET	555	13292	SIPO	AB	72264265
2593278	8566	1993-12-07	VYDAJ	PREVOD NA UCET	8894	60369	 	OP	72889137
2593279	8566	1994-01-07	VYDAJ	PREVOD NA UCET	8894	21911	 	OP	72889137
2593280	8566	1994-02-07	VYDAJ	PREVOD NA UCET	8894	13627	 	OP	72889137
2593281	8566	1994-03-07	VYDAJ	PREVOD NA UCET	8894	-2657	 	OP	72889137
2593282	8566	1994-04-07	VYDAJ	PREVOD NA UCET	8894	4686	 	OP	72889137
2593283	8566	1994-05-07	VYDAJ	PREVOD NA UCET	8894	7643	 	OP	72889137
2593284	8566	1994-06-07	VYDAJ	PREVOD NA UCET	8894	11441	 	OP	72889137
2593285	8566	1994-07-07	VYDAJ	PREVOD NA UCET	8894	5952	 	OP	72889137
2593286	8566	1994-08-07	VYDAJ	PREVOD NA UCET	8894	7633	 	OP	72889137
2593287	8566	1994-09-07	VYDAJ	PREVOD NA UCET	8894	6326	 	OP	72889137
2593288	8566	1994-10-07	VYDAJ	PREVOD NA UCET	8894	9410	 	OP	72889137
2593289	8566	1994-11-07	VYDAJ	PREVOD NA UCET	8894	6490	 	OP	72889137
2593290	8566	1994-12-07	VYDAJ	PREVOD NA UCET	8894	7373	 	OP	72889137
2593291	8566	1995-01-07	VYDAJ	PREVOD NA UCET	8894	6163	 	OP	72889137
2593292	8566	1995-02-07	VYDAJ	PREVOD NA UCET	8894	5746	 	OP	72889137
2593293	8566	1995-03-07	VYDAJ	PREVOD NA UCET	8894	24986	 	OP	72889137
2593294	8566	1995-04-07	VYDAJ	PREVOD NA UCET	8894	14990	 	OP	72889137
2593295	8566	1995-05-07	VYDAJ	PREVOD NA UCET	8894	7912	 	OP	72889137
2593296	8566	1995-06-07	VYDAJ	PREVOD NA UCET	8894	8406	 	OP	72889137
2593297	8566	1995-07-07	VYDAJ	PREVOD NA UCET	8894	30057	 	OP	72889137
2593298	8566	1995-08-07	VYDAJ	PREVOD NA UCET	8894	46051	 	OP	72889137
2593299	8566	1995-09-07	VYDAJ	PREVOD NA UCET	8894	12095	 	OP	72889137
2593300	8566	1995-10-07	VYDAJ	PREVOD NA UCET	8894	6816	 	OP	72889137
2593301	8566	1995-11-07	VYDAJ	PREVOD NA UCET	8894	9221	 	OP	72889137
2593302	8566	1995-12-07	VYDAJ	PREVOD NA UCET	8894	8732	 	OP	72889137
2593303	8566	1996-01-07	VYDAJ	PREVOD NA UCET	8894	4950	 	OP	72889137
2593304	8566	1996-02-07	VYDAJ	PREVOD NA UCET	8894	3941	 	OP	72889137
2593306	8566	1996-04-07	VYDAJ	PREVOD NA UCET	8894	4164	 	OP	72889137
2593307	8566	1996-05-07	VYDAJ	PREVOD NA UCET	8894	9851	 	OP	72889137
2593308	8566	1996-06-07	VYDAJ	PREVOD NA UCET	8894	5564	 	OP	72889137
2593310	8566	1996-08-07	VYDAJ	PREVOD NA UCET	8894	14175	 	OP	72889137
2593311	8566	1996-09-07	VYDAJ	PREVOD NA UCET	8894	10691	 	OP	72889137
2593312	8566	1996-10-07	VYDAJ	PREVOD NA UCET	8894	14697	 	OP	72889137
2593316	8566	1997-02-07	VYDAJ	PREVOD NA UCET	8894	15089	 	OP	72889137
2593317	8566	1997-03-07	VYDAJ	PREVOD NA UCET	8894	30100	 	OP	72889137
2593318	8566	1997-04-07	VYDAJ	PREVOD NA UCET	8894	48494	 	OP	72889137
2593319	8566	1997-05-07	VYDAJ	PREVOD NA UCET	8894	78668	 	OP	72889137
2593320	8566	1997-06-07	VYDAJ	PREVOD NA UCET	8894	33396	 	OP	72889137
2593321	8566	1997-07-07	VYDAJ	PREVOD NA UCET	8894	31184	 	OP	72889137
2593322	8566	1997-08-07	VYDAJ	PREVOD NA UCET	8894	66311	 	OP	72889137
2593323	8566	1997-09-07	VYDAJ	PREVOD NA UCET	8894	70505	 	OP	72889137
2593324	8566	1997-10-07	VYDAJ	PREVOD NA UCET	8894	53971	 	OP	72889137
2593325	8566	1997-11-07	VYDAJ	PREVOD NA UCET	8894	63223	 	OP	72889137
2593326	8566	1997-12-07	VYDAJ	PREVOD NA UCET	8894	22272	 	OP	72889137
2593327	8566	1998-01-07	VYDAJ	PREVOD NA UCET	8894	74805	 	OP	72889137
2593328	8566	1998-02-07	VYDAJ	PREVOD NA UCET	8894	65924	 	OP	72889137
2593329	8566	1998-03-07	VYDAJ	PREVOD NA UCET	8894	51550	 	OP	72889137
2593330	8566	1998-04-07	VYDAJ	PREVOD NA UCET	8894	11500	 	OP	72889137
2593332	8566	1998-06-07	VYDAJ	PREVOD NA UCET	8894	44884	 	OP	72889137
2593333	8566	1998-07-07	VYDAJ	PREVOD NA UCET	8894	19558	 	OP	72889137
2593336	8566	1998-10-07	VYDAJ	PREVOD NA UCET	8894	46873	 	OP	72889137
2593337	8566	1998-11-07	VYDAJ	PREVOD NA UCET	8894	13778	 	OP	72889137
2593346	8566	1993-12-11	VYBER	VYBER	12350	28619	\N	\N	\N
2593350	8566	1993-12-20	VYBER	VYBER	10989	40642	\N	\N	\N
2593365	8566	1995-08-14	VYBER	VYBER	17823	21833	\N	\N	\N
2593370	8566	1997-04-03	VYBER	VYBER	2800	60323	\N	\N	\N
2593372	8566	1998-03-04	VYBER	VYBER	4392	60999	\N	\N	\N
2593374	8566	1998-03-01	VYBER	VYBER	7643	65391	\N	\N	\N
2593377	8566	1998-01-19	VYBER	VYBER	2373	40132	\N	\N	\N
2593383	8566	1997-06-25	VYDAJ	VYBER	25500	34233	\N	\N	\N
2593391	8566	1993-12-23	VYDAJ	VYBER	6000	34642	\N	\N	\N
2593395	8566	1997-12-23	VYDAJ	VYBER	2100	31092	\N	\N	\N
2593427	8566	1998-01-03	VYDAJ	VYBER	4500	91454	\N	\N	\N
2593429	8566	1998-01-06	VYDAJ	VYBER	1500	83699	\N	\N	\N
2593430	8566	1998-01-20	VYDAJ	VYBER	8400	31732	\N	\N	\N
2593431	8566	1998-01-05	VYDAJ	VYBER	5700	85754	\N	\N	\N
2593432	8566	1998-01-26	VYDAJ	VYBER	2700	29032	\N	\N	\N
2593450	8566	1997-12-27	VYDAJ	VYBER	7200	68981	\N	\N	\N
2593451	8566	1997-05-20	VYDAJ	VYBER	3000	42373	\N	\N	\N
2593452	8566	1997-09-22	VYDAJ	VYBER	13800	31810	\N	\N	\N
2593455	8566	1997-11-16	VYDAJ	VYBER	5100	53223	\N	\N	\N
2593458	8566	1998-06-13	VYDAJ	VYBER	8400	63367	\N	\N	\N
2593473	8566	1993-11-30	VYDAJ	VYBER	15	71597	SLUZBY	\N	\N
2593474	8566	1993-12-31	VYDAJ	VYBER	15	34960	SLUZBY	\N	\N
2593475	8566	1994-01-31	VYDAJ	VYBER	15	16976	SLUZBY	\N	\N
2593476	8566	1994-02-28	VYDAJ	VYBER	15	6792	SLUZBY	\N	\N
2593477	8566	1994-03-31	VYDAJ	VYBER	15	-2666	SLUZBY	\N	\N
2593478	8566	1994-04-30	VYDAJ	VYBER	15	4698	SLUZBY	\N	\N
2593479	8566	1994-05-31	VYDAJ	VYBER	15	15390	SLUZBY	\N	\N
2593480	8566	1994-06-30	VYDAJ	VYBER	15	6401	SLUZBY	\N	\N
2593481	8566	1994-07-31	VYDAJ	VYBER	15	5982	SLUZBY	\N	\N
2593482	8566	1994-08-31	VYDAJ	VYBER	15	7675	SLUZBY	\N	\N
2593483	8566	1994-09-30	VYDAJ	VYBER	15	6359	SLUZBY	\N	\N
2593484	8566	1994-10-31	VYDAJ	VYBER	15	3039	SLUZBY	\N	\N
2593485	8566	1994-11-30	VYDAJ	VYBER	15	6522	SLUZBY	\N	\N
2593486	8566	1994-12-31	VYDAJ	VYBER	15	7412	SLUZBY	\N	\N
2593487	8566	1995-01-31	VYDAJ	VYBER	15	15195	SLUZBY	\N	\N
2593488	8566	1995-02-28	VYDAJ	VYBER	15	39735	SLUZBY	\N	\N
2593489	8566	1995-03-31	VYDAJ	VYBER	15	18739	SLUZBY	\N	\N
2593490	8566	1995-04-30	VYDAJ	VYBER	15	8661	SLUZBY	\N	\N
2593491	8566	1995-05-31	VYDAJ	VYBER	15	17855	SLUZBY	\N	\N
2593492	8566	1995-06-30	VYDAJ	VYBER	15	49106	SLUZBY	\N	\N
2593493	8566	1995-07-31	VYDAJ	VYBER	15	25670	SLUZBY	\N	\N
2593494	8566	1995-08-31	VYDAJ	VYBER	15	21544	SLUZBY	\N	\N
2593495	8566	1995-09-30	VYDAJ	VYBER	15	16265	SLUZBY	\N	\N
2593496	8566	1995-10-31	VYDAJ	VYBER	15	18670	SLUZBY	\N	\N
2593497	8566	1995-11-30	VYDAJ	VYBER	15	18181	SLUZBY	\N	\N
2593498	8566	1995-12-31	VYDAJ	VYBER	15	14399	SLUZBY	\N	\N
2593499	8566	1996-01-31	VYDAJ	VYBER	15	13390	SLUZBY	\N	\N
2593500	8566	1996-02-29	VYDAJ	VYBER	15	3951	SLUZBY	\N	\N
2593501	8566	1996-03-31	VYDAJ	VYBER	15	13613	SLUZBY	\N	\N
2593502	8566	1996-04-30	VYDAJ	VYBER	15	19300	SLUZBY	\N	\N
2593503	8566	1996-05-31	VYDAJ	VYBER	15	15013	SLUZBY	\N	\N
2593504	8566	1996-06-30	VYDAJ	VYBER	15	5595	SLUZBY	\N	\N
2593505	8566	1996-07-31	VYDAJ	VYBER	15	5041	SLUZBY	\N	\N
2593506	8566	1996-08-31	VYDAJ	VYBER	15	20140	SLUZBY	\N	\N
2593507	8566	1996-09-30	VYDAJ	VYBER	15	4320	SLUZBY	\N	\N
2593508	8566	1996-10-31	VYDAJ	VYBER	15	8352	SLUZBY	\N	\N
2593509	8566	1996-11-30	VYDAJ	VYBER	15	7834	SLUZBY	\N	\N
2593510	8566	1996-12-31	VYDAJ	VYBER	15	7289	SLUZBY	\N	\N
2593511	8566	1997-01-31	VYDAJ	VYBER	15	6761	SLUZBY	\N	\N
2593512	8566	1997-02-28	VYDAJ	VYBER	15	39549	SLUZBY	\N	\N
2593513	8566	1997-03-31	VYDAJ	VYBER	15	63123	SLUZBY	\N	\N
2593514	8566	1997-04-30	VYDAJ	VYBER	15	40149	SLUZBY	\N	\N
2593515	8566	1997-05-31	VYDAJ	VYBER	15	42845	SLUZBY	\N	\N
2593516	8566	1997-06-30	VYDAJ	VYBER	15	40633	SLUZBY	\N	\N
2593517	8566	1997-07-31	VYDAJ	VYBER	15	101228	SLUZBY	\N	\N
2593518	8566	1997-08-31	VYDAJ	VYBER	15	135654	SLUZBY	\N	\N
2593519	8566	1997-09-30	VYDAJ	VYBER	15	32291	SLUZBY	\N	\N
2593520	8566	1997-10-31	VYDAJ	VYBER	15	64708	SLUZBY	\N	\N
2593521	8566	1997-11-30	VYDAJ	VYBER	15	38021	SLUZBY	\N	\N
2593522	8566	1997-12-31	VYDAJ	VYBER	15	69241	SLUZBY	\N	\N
2593523	8566	1998-01-31	VYDAJ	VYBER	15	75373	SLUZBY	\N	\N
2593524	8566	1998-02-28	VYDAJ	VYBER	15	73034	SLUZBY	\N	\N
2593525	8566	1998-03-31	VYDAJ	VYBER	15	28149	SLUZBY	\N	\N
2593526	8566	1998-04-30	VYDAJ	VYBER	15	11549	SLUZBY	\N	\N
2593527	8566	1998-05-31	VYDAJ	VYBER	15	16279	SLUZBY	\N	\N
2593528	8566	1998-06-30	VYDAJ	VYBER	15	29007	SLUZBY	\N	\N
2593529	8566	1998-07-31	VYDAJ	VYBER	15	14656	SLUZBY	\N	\N
2593530	8566	1998-08-31	VYDAJ	VYBER	15	14125	SLUZBY	\N	\N
2593531	8566	1998-09-30	VYDAJ	VYBER	15	13591	SLUZBY	\N	\N
2593532	8566	1998-10-31	VYDAJ	VYBER	15	23227	SLUZBY	\N	\N
2593533	8566	1998-11-30	VYDAJ	VYBER	15	13847	SLUZBY	\N	\N
2593534	8566	1993-11-07	VYDAJ	VYBER	22000	50994	\N	\N	\N
2593535	8566	1993-11-13	VYDAJ	VYBER	39000	69414	\N	\N	\N
2593536	8566	1993-11-22	VYDAJ	VYBER	59800	71001	\N	\N	\N
2593537	8566	1993-12-07	VYDAJ	VYBER	19400	40969	\N	\N	\N
2593538	8566	1994-01-06	VYDAJ	VYBER	3600	30805	\N	\N	\N
2593539	8566	1994-02-05	PRIJEM	VKLAD	6100	23076	\N	\N	\N
2593540	8566	1994-04-06	PRIJEM	VKLAD	16300	13580	\N	\N	\N
2593541	8566	1994-05-06	PRIJEM	VKLAD	12400	16537	\N	\N	\N
2593542	8566	1994-06-05	PRIJEM	VKLAD	5500	20890	\N	\N	\N
2593543	8566	1994-07-05	PRIJEM	VKLAD	9000	15401	\N	\N	\N
2593544	8566	1994-08-04	PRIJEM	VKLAD	11100	17082	\N	\N	\N
2593545	8566	1994-09-03	PRIJEM	VKLAD	8100	15775	\N	\N	\N
2593546	8566	1994-10-03	PRIJEM	VKLAD	12500	18859	\N	\N	\N
2593547	8566	1994-11-02	PRIJEM	VKLAD	12900	15939	\N	\N	\N
2593548	8566	1994-12-02	PRIJEM	VKLAD	10300	16822	\N	\N	\N
2593549	8566	1995-01-01	PRIJEM	VKLAD	8200	15612	\N	\N	\N
2593550	8566	1995-01-31	PRIJEM	VKLAD	9000	15163	\N	\N	\N
2593551	8566	1995-03-02	VYDAJ	VYBER	5300	34435	\N	\N	\N
2593552	8566	1995-04-01	PRIJEM	VKLAD	5700	24439	\N	\N	\N
2593553	8566	1995-05-01	PRIJEM	VKLAD	8700	17361	\N	\N	\N
2593554	8566	1995-05-31	PRIJEM	VKLAD	9900	17812	\N	\N	\N
2593555	8566	1995-06-30	VYDAJ	VYBER	9600	39506	\N	\N	\N
2593556	8566	1995-07-30	PRIJEM	VKLAD	1800	25463	\N	\N	\N
2593557	8566	1995-08-29	VYDAJ	VYBER	500	21333	\N	\N	\N
2593558	8566	1995-09-28	PRIJEM	VKLAD	10500	16200	\N	\N	\N
2593559	8566	1995-10-28	PRIJEM	VKLAD	11800	18616	\N	\N	\N
2593560	8566	1995-11-27	PRIJEM	VKLAD	8900	18121	\N	\N	\N
2593561	8566	1995-12-27	PRIJEM	VKLAD	5600	14332	\N	\N	\N
2593562	8566	1996-01-26	PRIJEM	VKLAD	8400	13350	\N	\N	\N
2593563	8566	1996-03-26	PRIJEM	VKLAD	10200	13596	\N	\N	\N
2593564	8566	1996-04-25	PRIJEM	VKLAD	2200	19198	\N	\N	\N
2593565	8566	1996-05-25	PRIJEM	VKLAD	5100	14951	\N	\N	\N
2593566	8566	1997-03-21	VYDAJ	VYBER	3600	20106	\N	\N	\N
2593567	8566	1997-04-05	VYDAJ	VYBER	47700	57943	\N	\N	\N
2593568	8566	1997-04-20	VYDAJ	VYBER	22600	33368	\N	\N	\N
2593569	8566	1997-05-20	VYDAJ	VYBER	26900	45373	\N	\N	\N
2593570	8566	1997-06-19	VYDAJ	VYBER	8000	19001	\N	\N	\N
2593571	8566	1997-07-19	VYDAJ	VYBER	1600	23189	\N	\N	\N
2593572	8566	1997-07-26	VYDAJ	VYBER	22000	100882	\N	\N	\N
2593573	8566	1997-08-03	VYDAJ	VYBER	55800	75760	\N	\N	\N
2593574	8566	1997-08-18	VYDAJ	VYBER	46900	62520	\N	\N	\N
2593575	8566	1997-08-31	VYDAJ	VYBER	23500	79954	\N	\N	\N
2593576	8566	1997-08-31	VYDAJ	VYBER	32200	103454	\N	\N	\N
2593577	8566	1997-09-17	VYDAJ	VYBER	18500	45610	\N	\N	\N
2593578	8566	1997-10-17	VYDAJ	VYBER	16700	37271	\N	\N	\N
2593579	8566	1997-11-16	VYDAJ	VYBER	15600	37623	\N	\N	\N
2593580	8566	1997-12-16	VYDAJ	VYBER	14700	33192	\N	\N	\N
2593581	8566	1998-01-15	VYDAJ	VYBER	26700	42505	\N	\N	\N
2593582	8566	1998-02-14	VYDAJ	VYBER	20800	38024	\N	\N	\N
2593583	8566	1998-03-16	VYDAJ	VYBER	18800	32750	\N	\N	\N
2593584	8566	1998-06-14	VYDAJ	VYBER	27800	35567	\N	\N	\N
2593585	8566	1998-10-12	VYDAJ	VYBER	23800	23073	\N	\N	\N
2593586	8566	1998-12-11	VYDAJ	VYBER	33800	18581	\N	\N	\N
2610531	8625	1993-11-10	PRIJEM	VKLAD	400	400	\N	\N	\N
2610533	8625	1993-12-25	PRIJEM	VKLAD	23077	59295	\N	\N	\N
2610535	8625	1993-11-14	PRIJEM	VKLAD	16818	17218	\N	\N	\N
2610536	8625	1993-12-03	PRIJEM	VKLAD	32121	49418	\N	\N	\N
2610550	8625	1994-12-22	PRIJEM	VKLAD	19788	72624	\N	\N	\N
2610551	8625	1994-10-22	PRIJEM	VKLAD	24380	75131	\N	\N	\N
2610552	8625	1994-08-15	PRIJEM	VKLAD	34390	129290	\N	\N	\N
2610553	8625	1994-06-29	PRIJEM	VKLAD	45076	83023	\N	\N	\N
2610554	8625	1994-09-23	PRIJEM	VKLAD	34167	62570	\N	\N	\N
2610555	8625	1994-11-01	PRIJEM	VKLAD	29733	100554	\N	\N	\N
2610556	8625	1994-04-24	PRIJEM	VKLAD	46050	137387	\N	\N	\N
2610557	8625	1994-08-12	PRIJEM	VKLAD	46351	103051	\N	\N	\N
2610558	8625	1994-01-06	PRIJEM	VKLAD	12638	72203	\N	\N	\N
2610559	8625	1994-03-17	PRIJEM	VKLAD	33945	44900	\N	\N	\N
2610560	8625	1994-11-09	PRIJEM	VKLAD	20714	80868	\N	\N	\N
2610561	8625	1994-06-24	PRIJEM	VKLAD	14195	37947	\N	\N	\N
2610562	8625	1994-04-12	PRIJEM	VKLAD	46013	85241	\N	\N	\N
2610563	8625	1994-12-05	PRIJEM	VKLAD	44331	107387	\N	\N	\N
2610564	8625	1994-05-16	PRIJEM	VKLAD	24235	95858	\N	\N	\N
2610565	8625	1994-01-29	PRIJEM	VKLAD	46277	92980	\N	\N	\N
2610566	8625	1994-06-04	PRIJEM	VKLAD	23310	46603	\N	\N	\N
2610567	8625	1994-02-06	PRIJEM	VKLAD	7037	62588	\N	\N	\N
2610568	8625	1994-08-31	PRIJEM	VKLAD	21917	123572	\N	\N	\N
2610569	8625	1994-09-22	PRIJEM	VKLAD	10343	28403	\N	\N	\N
2610570	8625	1994-04-20	PRIJEM	VKLAD	14247	91337	\N	\N	\N
2610571	8625	1994-05-19	PRIJEM	VKLAD	9537	101495	\N	\N	\N
2610572	8625	1994-10-03	PRIJEM	VKLAD	36019	93402	\N	\N	\N
2610573	8625	1994-07-27	PRIJEM	VKLAD	16718	93634	\N	\N	\N
2610574	8625	1994-03-19	PRIJEM	VKLAD	21747	66647	\N	\N	\N
2610575	8625	1994-07-09	PRIJEM	VKLAD	33131	87367	\N	\N	\N
2610576	8625	1994-05-12	PRIJEM	VKLAD	33252	79774	\N	\N	\N
2610577	8625	1994-01-30	PRIJEM	VKLAD	35805	128785	\N	\N	\N
2610578	8625	1995-05-05	PRIJEM	VKLAD	23935	63139	\N	\N	\N
2610579	8625	1995-09-19	PRIJEM	VKLAD	43045	106108	\N	\N	\N
2610580	8625	1995-02-15	PRIJEM	VKLAD	23184	86326	\N	\N	\N
2610581	8625	1995-08-24	PRIJEM	VKLAD	30239	134147	\N	\N	\N
2610582	8625	1995-08-15	PRIJEM	VKLAD	33546	83515	\N	\N	\N
2610583	8625	1995-04-01	PRIJEM	VKLAD	39056	147258	\N	\N	\N
2610584	8625	1995-03-15	PRIJEM	VKLAD	27932	80493	\N	\N	\N
2610585	8625	1995-12-17	PRIJEM	VKLAD	33816	77856	\N	\N	\N
2610586	8625	1995-12-18	PRIJEM	VKLAD	28339	106195	\N	\N	\N
2610587	8625	1995-10-12	PRIJEM	VKLAD	15620	82501	\N	\N	\N
2610588	8625	1995-12-07	PRIJEM	VKLAD	27805	57762	\N	\N	\N
2610589	8625	1995-01-24	PRIJEM	VKLAD	39929	75076	\N	\N	\N
2610590	8625	1995-07-09	PRIJEM	VKLAD	13611	63394	\N	\N	\N
2610591	8625	1995-08-20	PRIJEM	VKLAD	20393	103908	\N	\N	\N
2610592	8625	1995-03-23	PRIJEM	VKLAD	46732	125625	\N	\N	\N
2610593	8625	1995-02-03	PRIJEM	VKLAD	38931	148093	\N	\N	\N
2610594	8625	1995-07-30	PRIJEM	VKLAD	37547	126483	\N	\N	\N
2610595	8625	1995-05-26	PRIJEM	VKLAD	37053	121582	\N	\N	\N
2610596	8625	1995-05-14	PRIJEM	VKLAD	27782	125829	\N	\N	\N
2610597	8625	1995-09-15	PRIJEM	VKLAD	13443	63063	\N	\N	\N
2610598	8625	1995-01-24	PRIJEM	VKLAD	33724	108800	\N	\N	\N
2610599	8625	1995-06-06	PRIJEM	VKLAD	7787	75804	\N	\N	\N
2610600	8625	1995-07-19	PRIJEM	VKLAD	35664	88936	\N	\N	\N
2610601	8625	1995-07-31	PRIJEM	VKLAD	5849	84732	\N	\N	\N
2610602	8625	1995-01-18	PRIJEM	VKLAD	23609	45047	\N	\N	\N
2610603	8625	1995-05-06	PRIJEM	VKLAD	35801	98940	\N	\N	\N
2610604	8625	1995-05-07	PRIJEM	VKLAD	9228	108168	\N	\N	\N
2610605	8625	1995-11-26	PRIJEM	VKLAD	5801	41488	\N	\N	\N
2610606	8625	1995-03-28	PRIJEM	VKLAD	49060	126285	\N	\N	\N
2610607	8625	1996-02-02	PRIJEM	VKLAD	28742	113222	\N	\N	\N
2610608	8625	1996-04-13	PRIJEM	VKLAD	15251	68000	\N	\N	\N
2610609	8625	1996-03-20	PRIJEM	VKLAD	44795	141243	\N	\N	\N
2610610	8625	1996-10-23	PRIJEM	VKLAD	26857	62040	\N	\N	\N
2610611	8625	1996-03-18	PRIJEM	VKLAD	33435	96448	\N	\N	\N
2610612	8625	1996-09-26	PRIJEM	VKLAD	7263	45477	\N	\N	\N
2610613	8625	1996-06-19	PRIJEM	VKLAD	15837	46356	\N	\N	\N
2610614	8625	1996-04-18	PRIJEM	VKLAD	17653	111797	\N	\N	\N
2610615	8625	1996-09-17	PRIJEM	VKLAD	8296	49820	\N	\N	\N
2610616	8625	1996-08-22	PRIJEM	VKLAD	30312	125694	\N	\N	\N
2610617	8625	1996-01-07	PRIJEM	VKLAD	36995	110080	\N	\N	\N
2610618	8625	1996-01-03	PRIJEM	VKLAD	16513	85085	\N	\N	\N
2610619	8625	1996-01-19	PRIJEM	VKLAD	29020	114884	\N	\N	\N
2610620	8625	1996-01-28	PRIJEM	VKLAD	45660	160544	\N	\N	\N
2610621	8625	1996-08-09	PRIJEM	VKLAD	29627	69826	\N	\N	\N
2610622	8625	1996-08-18	PRIJEM	VKLAD	35677	95382	\N	\N	\N
2610623	8625	1996-05-16	PRIJEM	VKLAD	25756	82041	\N	\N	\N
2610624	8625	1996-06-12	PRIJEM	VKLAD	9648	108741	\N	\N	\N
2610625	8625	1996-12-08	PRIJEM	VKLAD	5797	42182	\N	\N	\N
2610626	8625	1996-06-05	PRIJEM	VKLAD	48711	99093	\N	\N	\N
2610627	8625	1996-01-19	PRIJEM	VKLAD	30606	85864	\N	\N	\N
2610628	8625	1996-12-30	PRIJEM	VKLAD	31194	67454	\N	\N	\N
2610629	8625	1996-02-26	PRIJEM	VKLAD	45771	108832	\N	\N	\N
2610630	8625	1996-09-27	PRIJEM	VKLAD	13010	58487	\N	\N	\N
2610631	8625	1996-02-20	PRIJEM	VKLAD	20125	121161	\N	\N	\N
2610632	8625	1996-04-17	PRIJEM	VKLAD	34295	94144	\N	\N	\N
2610633	8625	1996-05-11	PRIJEM	VKLAD	5517	79809	\N	\N	\N
2610634	8625	1996-06-26	PRIJEM	VKLAD	27298	73654	\N	\N	\N
2610635	8625	1997-01-05	PRIJEM	VKLAD	45715	109496	\N	\N	\N
2610636	8625	1997-08-25	PRIJEM	VKLAD	37818	80848	\N	\N	\N
2610637	8625	1997-10-04	PRIJEM	VKLAD	9909	76777	\N	\N	\N
2610638	8625	1997-08-04	PRIJEM	VKLAD	34717	63381	\N	\N	\N
2610639	8625	1997-04-04	PRIJEM	VKLAD	19376	75730	\N	\N	\N
2610640	8625	1997-02-24	PRIJEM	VKLAD	6298	58720	\N	\N	\N
2610641	8625	1997-12-09	PRIJEM	VKLAD	46015	71732	\N	\N	\N
2610642	8625	1997-05-14	PRIJEM	VKLAD	42782	151308	\N	\N	\N
2610643	8625	1997-05-14	PRIJEM	VKLAD	29954	108526	\N	\N	\N
2610644	8625	1997-05-11	PRIJEM	VKLAD	38441	86723	\N	\N	\N
2610645	8625	1997-08-29	PRIJEM	VKLAD	37751	118599	\N	\N	\N
2610646	8625	1997-05-17	PRIJEM	VKLAD	35420	169428	\N	\N	\N
2610647	8625	1997-03-22	PRIJEM	VKLAD	26847	75681	\N	\N	\N
2610648	8625	1997-02-20	PRIJEM	VKLAD	38821	72422	\N	\N	\N
2610649	8625	1997-09-02	PRIJEM	VKLAD	26271	145266	\N	\N	\N
2610650	8625	1998-03-11	PRIJEM	VKLAD	23911	90214	\N	\N	\N
2610651	8625	1998-10-05	PRIJEM	VKLAD	8467	79244	\N	\N	\N
2610652	8625	1998-07-07	PRIJEM	VKLAD	43988	88916	\N	\N	\N
2610653	8625	1998-04-28	PRIJEM	VKLAD	21843	68015	\N	\N	\N
2610654	8625	1998-06-14	PRIJEM	VKLAD	8479	71740	\N	\N	\N
2610655	8625	1998-10-22	PRIJEM	VKLAD	9199	47492	\N	\N	\N
2610656	8625	1998-03-04	PRIJEM	VKLAD	47102	68303	\N	\N	\N
2610657	8625	1998-04-30	PRIJEM	VKLAD	18623	86780	\N	\N	\N
2610658	8625	1998-04-03	PRIJEM	VKLAD	13291	80323	\N	\N	\N
2610659	8625	1998-10-03	PRIJEM	VKLAD	41649	70777	\N	\N	\N
2610660	8625	1998-03-22	PRIJEM	VKLAD	16461	66624	\N	\N	\N
2610661	8625	1998-05-20	PRIJEM	VKLAD	33641	80366	\N	\N	\N
2610675	8625	1994-02-10	VYDAJ	VYBER	2100	40488	\N	\N	0
2610676	8625	1994-03-05	VYDAJ	VYBER	1900	17306	\N	\N	0
2610677	8625	1994-04-02	VYDAJ	VYBER	2300	52828	\N	\N	0
2610678	8625	1994-05-18	VYDAJ	VYBER	2100	91958	\N	\N	0
2610679	8625	1994-06-20	VYDAJ	VYBER	2000	23752	\N	\N	0
2610680	8625	1994-07-18	VYDAJ	VYBER	2300	76916	\N	\N	0
2610681	8625	1994-08-04	VYDAJ	VYBER	1500	92700	\N	\N	0
2610682	8625	1994-09-13	VYDAJ	VYBER	1800	26211	\N	\N	0
2610683	8625	1994-10-04	VYDAJ	VYBER	1500	91902	\N	\N	0
2610684	8625	1994-11-02	VYDAJ	VYBER	2200	98354	\N	\N	0
2610685	8625	1994-12-17	VYDAJ	VYBER	1700	60036	\N	\N	0
2610686	8625	1995-01-08	VYDAJ	VYBER	2000	32589	\N	\N	0
2610687	8625	1995-02-11	VYDAJ	VYBER	1700	71293	\N	\N	0
2610688	8625	1995-03-18	VYDAJ	VYBER	1600	78893	\N	\N	0
2610689	8625	1995-04-12	VYDAJ	PREVOD NA UCET	1971	60487	UVER	UV	74800854
2610690	8625	1995-05-12	VYDAJ	PREVOD NA UCET	1971	106198	UVER	UV	74800854
2610691	8625	1995-06-12	VYDAJ	PREVOD NA UCET	1971	73833	UVER	UV	74800854
2610692	8625	1995-07-12	VYDAJ	PREVOD NA UCET	1971	61423	UVER	UV	74800854
2610693	8625	1995-08-12	VYDAJ	PREVOD NA UCET	1971	58120	UVER	UV	74800854
2610694	8625	1995-09-12	VYDAJ	PREVOD NA UCET	1971	57771	UVER	UV	74800854
2610695	8625	1995-10-12	VYDAJ	PREVOD NA UCET	1971	80530	UVER	UV	74800854
2610696	8625	1995-11-12	VYDAJ	PREVOD NA UCET	1971	43838	UVER	UV	74800854
2610697	8625	1995-12-12	VYDAJ	PREVOD NA UCET	1971	52191	UVER	UV	74800854
2610698	8625	1996-01-12	VYDAJ	PREVOD NA UCET	1971	70909	UVER	UV	74800854
2610699	8625	1996-02-12	VYDAJ	PREVOD NA UCET	1971	109187	UVER	UV	74800854
2610700	8625	1996-03-12	VYDAJ	PREVOD NA UCET	1971	71164	UVER	UV	74800854
2610701	8625	1996-04-12	VYDAJ	PREVOD NA UCET	1971	52749	UVER	UV	74800854
2610702	8625	1996-05-12	VYDAJ	PREVOD NA UCET	1971	77838	UVER	UV	74800854
2610703	8625	1996-06-12	VYDAJ	PREVOD NA UCET	1971	106770	UVER	UV	74800854
2610704	8625	1996-07-12	VYDAJ	PREVOD NA UCET	1971	51812	UVER	UV	74800854
2610705	8625	1996-08-12	VYDAJ	PREVOD NA UCET	1971	67856	UVER	UV	74800854
2610706	8625	1996-09-12	VYDAJ	PREVOD NA UCET	1971	49675	UVER	UV	74800854
2610707	8625	1996-10-12	VYDAJ	PREVOD NA UCET	1971	43334	UVER	UV	74800854
2610708	8625	1996-11-12	VYDAJ	PREVOD NA UCET	1971	47954	UVER	UV	74800854
2610709	8625	1996-12-12	VYDAJ	PREVOD NA UCET	1971	40211	UVER	UV	74800854
2610710	8625	1997-01-12	VYDAJ	PREVOD NA UCET	1971	88326	UVER	UV	74800854
2610711	8625	1997-02-12	VYDAJ	PREVOD NA UCET	1971	41752	UVER	UV	74800854
2610712	8625	1997-03-12	VYDAJ	PREVOD NA UCET	1971	56985	UVER	UV	74800854
2610713	8625	1997-04-17	VYDAJ	VYBER	1800	65779	\N	\N	0
2610714	8625	1997-05-18	VYDAJ	VYBER	2200	113728	\N	\N	0
2610715	8625	1997-06-21	VYDAJ	VYBER	2000	47225	\N	\N	0
2610716	8625	1997-07-11	VYDAJ	VYBER	2000	38730	\N	\N	0
2610717	8625	1997-08-05	VYDAJ	VYBER	1600	61781	\N	\N	0
2610718	8625	1997-09-13	VYDAJ	VYBER	1500	97415	\N	\N	0
2610719	8625	1997-10-04	VYDAJ	VYBER	2100	74677	\N	\N	0
2610720	8625	1997-11-20	VYDAJ	VYBER	1900	25623	\N	\N	0
2610721	8625	1997-12-21	VYDAJ	VYBER	2000	46681	\N	\N	0
2610722	8625	1998-01-16	VYDAJ	VYBER	1900	30550	\N	\N	0
2610723	8625	1998-02-08	VYDAJ	VYBER	1500	29251	\N	\N	0
2610724	8625	1998-03-05	VYDAJ	VYBER	2000	66303	\N	\N	0
2610725	8625	1998-04-10	VYDAJ	VYBER	2300	78023	\N	\N	0
2610726	8625	1998-05-13	VYDAJ	VYBER	1900	85076	\N	\N	0
2610727	8625	1998-06-03	VYDAJ	VYBER	2000	71412	\N	\N	0
2610728	8625	1998-07-04	VYDAJ	VYBER	2400	44928	\N	\N	0
2610729	8625	1998-08-06	VYDAJ	VYBER	1500	47544	\N	\N	0
2610730	8625	1998-09-14	VYDAJ	VYBER	2400	29019	\N	\N	0
2610731	8625	1998-10-15	VYDAJ	VYBER	1700	38293	\N	\N	0
2610732	8625	1998-11-09	VYDAJ	VYBER	2100	45749	\N	\N	0
2610733	8625	1998-12-17	VYDAJ	VYBER	1700	27911	\N	\N	0
2610747	8625	1994-02-13	VYDAJ	PREVOD NA UCET	8151	32337	SIPO	YZ	85545950
2610748	8625	1994-03-13	VYDAJ	PREVOD NA UCET	8151	10955	SIPO	YZ	85545950
2610749	8625	1994-04-13	VYDAJ	PREVOD NA UCET	8151	77090	SIPO	YZ	85545950
2610750	8625	1994-05-13	VYDAJ	PREVOD NA UCET	8151	71623	SIPO	YZ	85545950
2610751	8625	1994-06-13	VYDAJ	PREVOD NA UCET	8151	25752	SIPO	YZ	85545950
2610752	8625	1994-07-13	VYDAJ	PREVOD NA UCET	8151	79216	SIPO	YZ	85545950
2610753	8625	1994-08-13	VYDAJ	PREVOD NA UCET	8151	94900	SIPO	YZ	85545950
2610754	8625	1994-09-13	VYDAJ	PREVOD NA UCET	8151	18060	SIPO	YZ	85545950
2610755	8625	1994-10-13	VYDAJ	PREVOD NA UCET	8151	50751	SIPO	YZ	85545950
2610756	8625	1994-11-13	VYDAJ	PREVOD NA UCET	8151	72717	SIPO	YZ	85545950
2610757	8625	1994-12-13	VYDAJ	PREVOD NA UCET	8151	61736	SIPO	YZ	85545950
2610758	8625	1995-01-13	VYDAJ	PREVOD NA UCET	8151	21438	SIPO	YZ	85545950
2610759	8625	1995-02-13	VYDAJ	PREVOD NA UCET	8151	63142	SIPO	YZ	85545950
2610760	8625	1995-03-13	VYDAJ	PREVOD NA UCET	8151	52561	SIPO	YZ	85545950
2610761	8625	1995-04-13	VYDAJ	PREVOD NA UCET	8151	52336	SIPO	YZ	85545950
2610762	8625	1995-05-13	VYDAJ	PREVOD NA UCET	8151	98047	SIPO	YZ	85545950
2610763	8625	1995-06-13	VYDAJ	PREVOD NA UCET	8151	65682	SIPO	YZ	85545950
2610764	8625	1995-07-13	VYDAJ	PREVOD NA UCET	8151	53272	SIPO	YZ	85545950
2610765	8625	1995-08-13	VYDAJ	PREVOD NA UCET	8151	49969	SIPO	YZ	85545950
2610766	8625	1995-09-13	VYDAJ	PREVOD NA UCET	8151	49620	SIPO	YZ	85545950
2610767	8625	1995-10-13	VYDAJ	PREVOD NA UCET	8151	72379	SIPO	YZ	85545950
2610768	8625	1995-11-13	VYDAJ	PREVOD NA UCET	8151	35687	SIPO	YZ	85545950
2610769	8625	1995-12-13	VYDAJ	PREVOD NA UCET	8151	44040	SIPO	YZ	85545950
2610770	8625	1996-01-13	VYDAJ	PREVOD NA UCET	8151	55258	SIPO	YZ	85545950
2610771	8625	1996-02-13	VYDAJ	PREVOD NA UCET	8151	101036	SIPO	YZ	85545950
2610772	8625	1996-03-13	VYDAJ	PREVOD NA UCET	8151	63013	SIPO	YZ	85545950
2610773	8625	1996-04-13	VYDAJ	PREVOD NA UCET	8151	59849	SIPO	YZ	85545950
2610774	8625	1996-05-13	VYDAJ	PREVOD NA UCET	8151	69687	SIPO	YZ	85545950
2610775	8625	1996-06-13	VYDAJ	PREVOD NA UCET	8151	30519	SIPO	YZ	85545950
2610776	8625	1996-07-13	VYDAJ	PREVOD NA UCET	8151	43661	SIPO	YZ	85545950
2610777	8625	1996-08-13	VYDAJ	PREVOD NA UCET	8151	59705	SIPO	YZ	85545950
2610778	8625	1996-09-13	VYDAJ	PREVOD NA UCET	8151	41524	SIPO	YZ	85545950
2610779	8625	1996-10-13	VYDAJ	PREVOD NA UCET	8151	35183	SIPO	YZ	85545950
2610780	8625	1996-11-13	VYDAJ	PREVOD NA UCET	8151	39803	SIPO	YZ	85545950
2610781	8625	1996-12-13	VYDAJ	PREVOD NA UCET	8151	32060	SIPO	YZ	85545950
2610782	8625	1997-01-13	VYDAJ	PREVOD NA UCET	8151	80175	SIPO	YZ	85545950
2610783	8625	1997-02-13	VYDAJ	PREVOD NA UCET	8151	33601	SIPO	YZ	85545950
2610784	8625	1997-03-13	VYDAJ	PREVOD NA UCET	8151	48834	SIPO	YZ	85545950
2610785	8625	1997-04-13	VYDAJ	PREVOD NA UCET	8151	67579	SIPO	YZ	85545950
2610786	8625	1997-05-13	VYDAJ	PREVOD NA UCET	8151	78572	SIPO	YZ	85545950
2610787	8625	1997-06-13	VYDAJ	PREVOD NA UCET	8151	49225	SIPO	YZ	85545950
2610788	8625	1997-07-13	VYDAJ	PREVOD NA UCET	8151	30579	SIPO	YZ	85545950
2610789	8625	1997-08-13	VYDAJ	PREVOD NA UCET	8151	53630	SIPO	YZ	85545950
2610790	8625	1997-09-13	VYDAJ	PREVOD NA UCET	8151	98915	SIPO	YZ	85545950
2610791	8625	1997-10-13	VYDAJ	PREVOD NA UCET	8151	42898	SIPO	YZ	85545950
2610792	8625	1997-11-13	VYDAJ	PREVOD NA UCET	8151	27523	SIPO	YZ	85545950
2610793	8625	1997-12-13	VYDAJ	PREVOD NA UCET	8151	63581	SIPO	YZ	85545950
2610794	8625	1998-01-13	VYDAJ	PREVOD NA UCET	8151	32450	SIPO	YZ	85545950
2610795	8625	1998-02-13	VYDAJ	PREVOD NA UCET	8151	21100	SIPO	YZ	85545950
2610796	8625	1998-03-13	VYDAJ	PREVOD NA UCET	8151	82063	SIPO	YZ	85545950
2610797	8625	1998-04-13	VYDAJ	PREVOD NA UCET	8151	69872	SIPO	YZ	85545950
2610798	8625	1998-05-13	VYDAJ	PREVOD NA UCET	8151	76925	SIPO	YZ	85545950
2610799	8625	1998-06-13	VYDAJ	PREVOD NA UCET	8151	63261	SIPO	YZ	85545950
2610800	8625	1998-07-13	VYDAJ	PREVOD NA UCET	8151	80765	SIPO	YZ	85545950
2610801	8625	1998-08-13	VYDAJ	PREVOD NA UCET	8151	39393	SIPO	YZ	85545950
2610802	8625	1998-09-13	VYDAJ	PREVOD NA UCET	8151	31419	SIPO	YZ	85545950
2610803	8625	1998-10-13	VYDAJ	PREVOD NA UCET	8151	71093	SIPO	YZ	85545950
2610804	8625	1998-11-13	VYDAJ	PREVOD NA UCET	8151	37598	SIPO	YZ	85545950
2610805	8625	1998-12-13	VYDAJ	PREVOD NA UCET	8151	29611	SIPO	YZ	85545950
2610812	8625	1994-08-30	VYBER	VYBER	7766	100924	\N	\N	\N
2610815	8625	1994-03-20	VYBER	VYBER	11793	54854	\N	\N	\N
2610816	8625	1994-02-19	VYBER	VYBER	13419	18918	\N	\N	\N
2610817	8625	1994-08-31	VYBER	VYBER	12717	110855	\N	\N	\N
2610819	8625	1994-02-01	VYBER	VYBER	18206	67755	\N	\N	\N
2610821	8625	1994-08-31	VYBER	VYBER	21529	89326	\N	\N	\N
2610822	8625	1994-05-30	VYBER	VYBER	18869	22826	\N	\N	\N
2610823	8625	1994-02-02	VYBER	VYBER	12204	55551	\N	\N	\N
2610824	8625	1995-10-27	VYBER	VYBER	17572	54807	\N	\N	\N
2610825	8625	1996-05-15	VYBER	VYBER	13402	56285	\N	\N	\N
2610826	8625	1996-09-19	VYBER	VYBER	9206	40614	\N	\N	\N
2610827	8625	1996-02-02	VYBER	VYBER	2064	111158	\N	\N	\N
2610828	8625	1996-03-30	VYBER	VYBER	17861	54182	\N	\N	\N
2610829	8625	1996-05-18	VYBER	VYBER	18248	63793	\N	\N	\N
2610831	8625	1996-09-30	VYBER	VYBER	2923	45320	\N	\N	\N
2610834	8625	1997-10-09	VYBER	VYBER	23628	51049	\N	\N	\N
2610844	8625	1996-06-13	VYDAJ	VYBER	68100	38670	\N	\N	\N
2610849	8625	1995-01-01	VYDAJ	VYBER	10800	59389	\N	\N	\N
2610850	8625	1996-01-11	VYDAJ	VYBER	24300	79180	\N	\N	\N
2610851	8625	1997-01-21	VYDAJ	VYBER	27600	44475	\N	\N	\N
2610854	8625	1994-12-21	VYDAJ	VYBER	7200	52836	\N	\N	\N
2610855	8625	1995-12-20	VYDAJ	VYBER	6900	99295	\N	\N	\N
2610856	8625	1996-12-04	VYDAJ	VYBER KARTOU	3900	36385	\N	\N	0
2610871	8625	1995-01-06	VYDAJ	VYBER	3600	34589	\N	\N	\N
2610872	8625	1995-01-11	VYDAJ	VYBER	3000	29589	\N	\N	\N
2610873	8625	1995-01-19	VYDAJ	VYBER	5700	39347	\N	\N	\N
2610874	8625	1995-01-20	VYDAJ	VYBER	4200	35147	\N	\N	\N
2610876	8625	1995-01-01	VYDAJ	VYBER	3000	70189	\N	\N	\N
2610877	8625	1996-01-06	VYDAJ	VYBER	2100	73085	\N	\N	\N
2610878	8625	1996-01-12	VYDAJ	VYBER	7500	63409	\N	\N	\N
2610879	8625	1996-01-10	VYDAJ	VYBER	6600	103480	\N	\N	\N
2610880	8625	1996-01-11	VYDAJ	VYBER	6300	72880	\N	\N	\N
2610881	8625	1996-01-05	VYDAJ	VYBER	6300	75185	\N	\N	\N
2610882	8625	1996-01-05	VYDAJ	VYBER	3600	81485	\N	\N	\N
2610883	8625	1997-01-07	VYDAJ	VYBER	8700	96296	\N	\N	\N
2610884	8625	1997-01-05	VYDAJ	VYBER	4500	104996	\N	\N	\N
2610885	8625	1997-01-13	VYDAJ	VYBER	5100	75075	\N	\N	\N
2610886	8625	1997-01-07	VYDAJ	VYBER	6000	90296	\N	\N	\N
2610887	8625	1997-01-04	VYDAJ	VYBER KARTOU	3900	63781	\N	\N	0
2610888	8625	1997-01-21	VYDAJ	VYBER KARTOU	3000	72075	\N	\N	0
2610894	8625	1998-01-08	VYDAJ	VYBER	6300	40601	\N	\N	\N
2610899	8625	1994-05-18	VYDAJ	VYBER	1800	94058	\N	\N	\N
2610900	8625	1994-10-30	VYDAJ	VYBER	4800	70331	\N	\N	\N
2610901	8625	1994-11-16	VYDAJ	VYBER	10200	62517	\N	\N	\N
2610902	8625	1994-09-28	VYDAJ	VYBER	5400	57170	\N	\N	\N
2610904	8625	1994-06-10	VYDAJ	VYBER	3000	33903	\N	\N	\N
2610905	8625	1995-12-11	VYDAJ	VYBER	3600	54162	\N	\N	\N
2610906	8625	1995-10-10	VYDAJ	VYBER	1500	66881	\N	\N	\N
2610907	8625	1995-11-28	VYDAJ	VYBER	10500	30988	\N	\N	\N
2610908	8625	1995-01-03	VYDAJ	VYBER	3300	43789	\N	\N	\N
2610909	8625	1995-01-03	VYDAJ	VYBER	12300	47089	\N	\N	\N
2610910	8625	1995-05-02	VYDAJ	VYBER	11400	41404	\N	\N	\N
2610913	8625	1996-09-29	VYDAJ	VYBER	10500	47987	\N	\N	\N
2610916	8625	1997-05-25	VYDAJ	VYBER	13200	56928	\N	\N	\N
2610919	8625	1998-05-27	VYDAJ	VYBER	7500	72866	\N	\N	\N
2610920	8625	1998-10-14	VYDAJ	VYBER	6900	64193	\N	\N	\N
2610935	8625	1994-01-31	VYDAJ	VYBER	15	85961	SLUZBY	\N	\N
2610936	8625	1994-02-28	VYDAJ	VYBER	15	19206	SLUZBY	\N	\N
2610937	8625	1994-03-31	VYDAJ	VYBER	15	55128	SLUZBY	\N	\N
2610938	8625	1994-04-30	VYDAJ	VYBER	15	67922	SLUZBY	\N	\N
2610939	8625	1994-05-31	VYDAJ	VYBER	15	23293	SLUZBY	\N	\N
2610940	8625	1994-06-30	VYDAJ	VYBER	15	83236	SLUZBY	\N	\N
2610941	8625	1994-07-31	VYDAJ	VYBER	15	94200	SLUZBY	\N	\N
2610942	8625	1994-08-31	VYDAJ	VYBER	15	89311	SLUZBY	\N	\N
2610943	8625	1994-09-30	VYDAJ	VYBER	15	57383	SLUZBY	\N	\N
2610944	8625	1994-10-31	VYDAJ	VYBER	15	70821	SLUZBY	\N	\N
2610945	8625	1994-11-30	VYDAJ	VYBER	15	63056	SLUZBY	\N	\N
2610946	8625	1994-12-31	VYDAJ	VYBER	15	73189	SLUZBY	\N	\N
2610947	8625	1995-01-31	VYDAJ	VYBER	15	109162	SLUZBY	\N	\N
2610948	8625	1995-02-28	VYDAJ	VYBER	15	87012	SLUZBY	\N	\N
2610949	8625	1995-03-31	VYDAJ	VYBER	15	108202	SLUZBY	\N	\N
2610950	8625	1995-04-30	VYDAJ	VYBER	15	52804	SLUZBY	\N	\N
2610951	8625	1995-05-31	VYDAJ	VYBER	15	101217	SLUZBY	\N	\N
2610952	8625	1995-06-30	VYDAJ	VYBER	15	66183	SLUZBY	\N	\N
2610953	8625	1995-07-31	VYDAJ	VYBER	15	85291	SLUZBY	\N	\N
2610954	8625	1995-08-31	VYDAJ	VYBER	15	85342	SLUZBY	\N	\N
2610955	8625	1995-09-30	VYDAJ	VYBER	15	106781	SLUZBY	\N	\N
2610956	8625	1995-10-31	VYDAJ	VYBER	15	55409	SLUZBY	\N	\N
2610957	8625	1995-11-30	VYDAJ	VYBER	15	31257	SLUZBY	\N	\N
2610958	8625	1995-12-31	VYDAJ	VYBER	15	68572	SLUZBY	\N	\N
2610959	8625	1996-01-31	VYDAJ	VYBER	15	84480	SLUZBY	\N	\N
2610960	8625	1996-02-29	VYDAJ	VYBER	15	73134	SLUZBY	\N	\N
2610961	8625	1996-03-31	VYDAJ	VYBER	15	54720	SLUZBY	\N	\N
2610962	8625	1996-04-30	VYDAJ	VYBER	15	74292	SLUZBY	\N	\N
2610963	8625	1996-05-31	VYDAJ	VYBER	15	50382	SLUZBY	\N	\N
2610964	8625	1996-06-30	VYDAJ	VYBER	15	53782	SLUZBY	\N	\N
2610965	8625	1996-07-31	VYDAJ	VYBER	15	40199	SLUZBY	\N	\N
2610966	8625	1996-08-31	VYDAJ	VYBER	15	51646	SLUZBY	\N	\N
2610967	8625	1996-09-30	VYDAJ	VYBER	15	45305	SLUZBY	\N	\N
2610968	8625	1996-10-31	VYDAJ	VYBER	15	49925	SLUZBY	\N	\N
2610969	8625	1996-11-30	VYDAJ	VYBER	15	40285	SLUZBY	\N	\N
2610970	8625	1996-12-31	VYDAJ	VYBER	15	67681	SLUZBY	\N	\N
2610971	8625	1997-01-31	VYDAJ	VYBER	15	43723	SLUZBY	\N	\N
2610972	8625	1997-02-28	VYDAJ	VYBER	15	58956	SLUZBY	\N	\N
2610973	8625	1997-03-31	VYDAJ	VYBER	15	56354	SLUZBY	\N	\N
2610974	8625	1997-04-30	VYDAJ	VYBER	15	48282	SLUZBY	\N	\N
2610975	8625	1997-05-31	VYDAJ	VYBER	15	57376	SLUZBY	\N	\N
2610976	8625	1997-06-30	VYDAJ	VYBER	15	40730	SLUZBY	\N	\N
2610977	8625	1997-07-31	VYDAJ	VYBER	15	28664	SLUZBY	\N	\N
2610978	8625	1997-08-31	VYDAJ	VYBER	15	118995	SLUZBY	\N	\N
2610979	8625	1997-09-30	VYDAJ	VYBER	15	66868	SLUZBY	\N	\N
2610980	8625	1997-10-31	VYDAJ	VYBER	15	35674	SLUZBY	\N	\N
2610981	8625	1997-11-30	VYDAJ	VYBER	15	25717	SLUZBY	\N	\N
2610982	8625	1997-12-31	VYDAJ	VYBER	15	46901	SLUZBY	\N	\N
2610983	8625	1998-01-31	VYDAJ	VYBER	15	30751	SLUZBY	\N	\N
2610984	8625	1998-02-28	VYDAJ	VYBER	15	21201	SLUZBY	\N	\N
2610985	8625	1998-03-31	VYDAJ	VYBER	15	67032	SLUZBY	\N	\N
2610986	8625	1998-04-30	VYDAJ	VYBER	15	86976	SLUZBY	\N	\N
2610987	8625	1998-05-31	VYDAJ	VYBER	15	73412	SLUZBY	\N	\N
2610988	8625	1998-06-30	VYDAJ	VYBER	15	47328	SLUZBY	\N	\N
2610989	8625	1998-07-31	VYDAJ	VYBER	15	49044	SLUZBY	\N	\N
2610990	8625	1998-08-31	VYDAJ	VYBER	15	39570	SLUZBY	\N	\N
2610991	8625	1998-09-30	VYDAJ	VYBER	15	29128	SLUZBY	\N	\N
2610992	8625	1998-10-31	VYDAJ	VYBER	15	47849	SLUZBY	\N	\N
2610993	8625	1998-11-30	VYDAJ	VYBER	15	37762	SLUZBY	\N	\N
2610994	8625	1993-12-10	VYDAJ	VYBER	13200	36218	\N	\N	\N
2610995	8625	1994-01-09	VYDAJ	VYBER	25500	46703	\N	\N	\N
2610996	8625	1994-01-30	VYDAJ	VYBER	43200	85585	\N	\N	\N
2610997	8625	1994-02-08	VYDAJ	VYBER	20000	42588	\N	\N	\N
2610998	8625	1994-03-10	PRIJEM	VKLAD	1800	19106	\N	\N	\N
2610999	8625	1994-04-09	VYDAJ	VYBER	13600	39228	\N	\N	\N
2611000	8625	1994-04-24	VYDAJ	VYBER	27300	110087	\N	\N	\N
2611001	8625	1994-04-30	VYDAJ	VYBER	42800	67937	\N	\N	\N
2611002	8625	1994-05-09	VYDAJ	VYBER	21400	46522	\N	\N	\N
2611003	8625	1994-05-19	VYDAJ	VYBER	59800	41695	\N	\N	\N
2611004	8625	1994-06-08	VYDAJ	VYBER	9700	36903	\N	\N	\N
2611005	8625	1994-07-08	VYDAJ	VYBER	29000	54236	\N	\N	\N
2611006	8625	1994-08-07	VYDAJ	VYBER	36000	56700	\N	\N	\N
2611007	8625	1994-08-15	VYDAJ	VYBER	20600	108690	\N	\N	\N
2611008	8625	1994-08-31	VYDAJ	VYBER	59900	29411	\N	\N	\N
2611009	8625	1994-09-06	VYDAJ	VYBER	1400	28011	\N	\N	\N
2611010	8625	1994-10-06	VYDAJ	VYBER	33000	58902	\N	\N	\N
2611011	8625	1994-11-05	VYDAJ	VYBER	38200	60154	\N	\N	\N
2611012	8625	1994-12-05	VYDAJ	VYBER	37500	69887	\N	\N	\N
2611013	8625	1995-01-04	VYDAJ	VYBER	5600	38189	\N	\N	\N
2611014	8625	1995-02-03	VYDAJ	VYBER	32600	115493	\N	\N	\N
2611015	8625	1995-02-03	VYDAJ	VYBER	42500	72993	\N	\N	\N
2611016	8625	1995-03-05	VYDAJ	VYBER	26300	60712	\N	\N	\N
2611017	8625	1995-03-23	VYDAJ	VYBER	48400	77225	\N	\N	\N
2611018	8625	1995-03-28	VYDAJ	VYBER	18600	107685	\N	\N	\N
2611019	8625	1995-04-01	VYDAJ	VYBER	55300	91958	\N	\N	\N
2611020	8625	1995-04-04	VYDAJ	VYBER	29500	62458	\N	\N	\N
2611021	8625	1995-05-04	VYDAJ	VYBER	2200	39204	\N	\N	\N
2611022	8625	1995-05-14	VYDAJ	VYBER	41300	84529	\N	\N	\N
2611023	8625	1995-05-26	VYDAJ	VYBER	21100	100482	\N	\N	\N
2611024	8625	1995-06-03	VYDAJ	VYBER	33200	68017	\N	\N	\N
2611025	8625	1995-07-03	VYDAJ	VYBER	16400	49783	\N	\N	\N
2611026	8625	1995-07-30	VYDAJ	VYBER	47600	78883	\N	\N	\N
2611027	8625	1995-08-02	VYDAJ	VYBER	25200	60091	\N	\N	\N
2611028	8625	1995-08-24	VYDAJ	VYBER	49500	84647	\N	\N	\N
2611029	8625	1995-09-01	VYDAJ	VYBER	25600	59742	\N	\N	\N
2611030	8625	1995-10-01	VYDAJ	VYBER	38400	68381	\N	\N	\N
2611031	8625	1995-10-31	VYDAJ	VYBER	9600	45809	\N	\N	\N
2611032	8625	1995-11-30	VYDAJ	VYBER	1300	29957	\N	\N	\N
2611033	8625	1995-12-30	VYDAJ	VYBER	31200	68095	\N	\N	\N
2611034	8625	1996-01-28	VYDAJ	VYBER	22600	137944	\N	\N	\N
2611035	8625	1996-01-29	VYDAJ	VYBER	54100	83844	\N	\N	\N
2611036	8625	1996-02-20	VYDAJ	VYBER	58100	63061	\N	\N	\N
2611037	8625	1996-02-28	VYDAJ	VYBER	36400	72432	\N	\N	\N
2611038	8625	1996-03-20	VYDAJ	VYBER	32900	108343	\N	\N	\N
2611039	8625	1996-03-29	VYDAJ	VYBER	36300	72043	\N	\N	\N
2611040	8625	1996-04-28	VYDAJ	VYBER	38000	73797	\N	\N	\N
2611041	8625	1996-05-28	VYDAJ	VYBER	13800	49993	\N	\N	\N
2611042	8625	1996-06-27	VYDAJ	VYBER	20200	53454	\N	\N	\N
2611043	8625	1996-07-27	VYDAJ	VYBER KARTOU	3700	39961	\N	\N	0
2611044	8625	1996-08-22	VYDAJ	VYBER	61200	64494	\N	\N	\N
2611045	8625	1996-08-26	VYDAJ	VYBER	13300	51194	\N	\N	\N
2611046	8625	1996-09-25	VYDAJ	VYBER KARTOU	2400	38214	\N	\N	0
2611047	8625	1996-10-25	VYDAJ	VYBER	12400	49640	\N	\N	\N
2611048	8625	1996-11-24	PRIJEM	VKLAD	200	40003	\N	\N	\N
2611049	8625	1996-12-24	PRIJEM	VKLAD	4200	36260	\N	\N	\N
2611050	8625	1997-01-23	VYDAJ	VYBER KARTOU	1200	43275	\N	\N	0
2611051	8625	1997-02-22	VYDAJ	VYBER	20000	52422	\N	\N	\N
2611052	8625	1997-03-24	VYDAJ	VYBER	19700	55981	\N	\N	\N
2611053	8625	1997-04-23	VYDAJ	VYBER	17800	47979	\N	\N	\N
2611054	8625	1997-05-14	VYDAJ	VYBER	17300	134008	\N	\N	\N
2611055	8625	1997-05-17	VYDAJ	VYBER	53500	115928	\N	\N	\N
2611056	8625	1997-05-23	VYDAJ	VYBER	43600	70128	\N	\N	\N
2611057	8625	1997-06-22	VYDAJ	VYBER	6700	40525	\N	\N	\N
2611058	8625	1997-07-22	VYDAJ	VYBER KARTOU	2100	28479	\N	\N	0
2611059	8625	1997-08-21	VYDAJ	VYBER	10600	43030	\N	\N	\N
2611060	8625	1997-09-02	VYDAJ	VYBER	38200	107066	\N	\N	\N
2611061	8625	1997-09-20	VYDAJ	VYBER	31300	66115	\N	\N	\N
2611062	8625	1997-10-20	VYDAJ	VYBER	7500	35398	\N	\N	\N
2611063	8625	1997-12-19	VYDAJ	VYBER	14900	48681	\N	\N	\N
2611064	8625	1998-03-19	VYDAJ	VYBER	31900	50163	\N	\N	\N
2611065	8625	1998-04-18	VYDAJ	VYBER	23700	46172	\N	\N	\N
2611066	8625	1998-05-18	VYDAJ	VYBER	30200	46725	\N	\N	\N
2611067	8625	1998-06-17	VYDAJ	VYBER	24800	46940	\N	\N	\N
2611068	8625	1998-07-17	VYDAJ	VYBER	32100	48665	\N	\N	\N
2611069	8625	1998-10-15	VYDAJ	VYBER	24200	39993	\N	\N	\N
2611686	8628	1996-10-15	PRIJEM	VKLAD	400	400	\N	\N	\N
2611688	8628	1996-11-26	PRIJEM	VKLAD	25159	91010	\N	\N	\N
2611699	8628	1996-11-03	PRIJEM	VKLAD	29340	56356	\N	\N	\N
2611701	8628	1996-11-20	PRIJEM	VKLAD	12313	65851	\N	\N	\N
2611703	8628	1996-11-01	PRIJEM	VKLAD	26616	27016	\N	\N	\N
2611705	8628	1996-11-08	PRIJEM	VKLAD	25582	81938	\N	\N	\N
2611706	8628	1997-05-05	PRIJEM	VKLAD	35293	26088	\N	\N	\N
2611707	8628	1997-02-21	PRIJEM	VKLAD	16940	13182	\N	\N	\N
2611708	8628	1997-07-24	PRIJEM	VKLAD	17050	17135	\N	\N	\N
2611709	8628	1997-12-02	PRIJEM	VKLAD	43147	76694	\N	\N	\N
2611710	8628	1997-11-09	PRIJEM	VKLAD	31456	71565	\N	\N	\N
2611711	8628	1997-12-20	PRIJEM	VKLAD	24639	62533	\N	\N	\N
2611712	8628	1997-09-06	PRIJEM	VKLAD	16430	25389	\N	\N	\N
2611713	8628	1997-12-20	PRIJEM	VKLAD	38312	100845	\N	\N	\N
2611714	8628	1997-11-01	PRIJEM	VKLAD	39661	46009	\N	\N	\N
2611715	8628	1998-03-24	PRIJEM	VKLAD	38584	87763	\N	\N	\N
2611716	8628	1998-06-05	PRIJEM	VKLAD	21145	65587	\N	\N	\N
2611717	8628	1998-04-04	PRIJEM	VKLAD	17396	108221	\N	\N	\N
2611718	8628	1998-07-24	PRIJEM	VKLAD	34994	49155	\N	\N	\N
2611719	8628	1998-03-27	PRIJEM	VKLAD	47924	135687	\N	\N	\N
2611720	8628	1998-04-26	PRIJEM	VKLAD	47765	86186	\N	\N	\N
2611721	8628	1998-09-23	PRIJEM	VKLAD	10046	17475	\N	\N	\N
2611722	8628	1998-12-15	PRIJEM	VKLAD	41488	47950	\N	\N	\N
2611723	8628	1998-03-18	PRIJEM	VKLAD	40150	52347	\N	\N	\N
2611724	8628	1998-10-31	PRIJEM	VKLAD	11772	20658	\N	\N	\N
2611725	8628	1998-01-01	PRIJEM	VKLAD	36835	125175	\N	\N	\N
2611726	8628	1998-12-23	PRIJEM	VKLAD	19131	55981	\N	\N	\N
2611738	8628	1996-12-05	VYDAJ	VYBER	8200	64900	SIPO	\N	0
2611739	8628	1996-12-31	VYDAJ	VYBER	6800	25445	SIPO	\N	0
2611740	8628	1997-02-14	VYDAJ	VYBER	6300	-3758	SIPO	\N	0
2611741	8628	1997-03-07	VYDAJ	VYBER	9000	4128	SIPO	\N	0
2611743	8628	1997-05-04	VYDAJ	VYBER	6300	-9206	SIPO	\N	0
2611744	8628	1997-06-03	VYDAJ	VYBER	7000	8420	SIPO	\N	0
2611745	8628	1997-07-07	VYDAJ	VYBER	6400	85	SIPO	\N	0
2611746	8628	1997-07-28	VYDAJ	VYBER	6400	10735	SIPO	\N	0
2611747	8628	1997-09-07	VYDAJ	VYBER	9200	16189	SIPO	\N	0
2611748	8628	1997-10-09	VYDAJ	VYBER	6100	4090	SIPO	\N	0
2611749	8628	1997-11-11	VYDAJ	VYBER	8900	41165	SIPO	\N	0
2611750	8628	1997-12-13	VYDAJ	VYBER	9300	37894	SIPO	\N	0
2611751	8628	1997-12-29	VYDAJ	VYBER	6000	87945	SIPO	\N	0
2611752	8628	1998-02-01	VYDAJ	VYBER	8300	21914	SIPO	\N	0
2611753	8628	1998-03-06	VYDAJ	VYBER	8000	9697	SIPO	\N	0
2611754	8628	1998-03-28	VYDAJ	VYBER	7800	90587	SIPO	\N	0
2611755	8628	1998-05-07	VYDAJ	VYBER	7900	78698	SIPO	\N	0
2611756	8628	1998-06-11	VYDAJ	VYBER	8400	31387	SIPO	\N	0
2611757	8628	1998-07-04	VYDAJ	VYBER	5900	15761	SIPO	\N	0
2611758	8628	1998-08-04	VYDAJ	VYBER	5700	43545	SIPO	\N	0
2611759	8628	1998-09-02	VYDAJ	VYBER	8500	14229	SIPO	\N	0
2611760	8628	1998-10-11	VYDAJ	VYBER	8700	8759	SIPO	\N	0
2611761	8628	1998-11-03	VYDAJ	VYBER	6800	13758	SIPO	\N	0
2611774	8628	1996-12-23	VYDAJ	VYBER	6600	36500	 	\N	0
2611775	8628	1997-01-05	VYDAJ	VYBER	7000	7645	 	\N	0
2611776	8628	1997-02-12	VYDAJ	VYBER	7900	2542	 	\N	0
2611777	8628	1997-03-17	VYDAJ	VYBER	6800	-2672	 	\N	0
2611779	8628	1997-05-18	VYDAJ	VYBER	5100	15388	 	\N	0
2611780	8628	1997-06-17	VYDAJ	VYBER	7300	6520	 	\N	0
2611782	8628	1997-08-04	VYDAJ	VYBER	5200	5499	 	\N	0
2611783	8628	1997-09-23	VYDAJ	VYBER	7100	10189	 	\N	0
2611784	8628	1997-10-17	VYDAJ	VYBER	7300	6390	 	\N	0
2611785	8628	1997-11-06	VYDAJ	VYBER	5900	40109	 	\N	0
2611786	8628	1997-12-06	VYDAJ	VYBER	7200	69494	 	\N	0
2611787	8628	1998-01-14	VYDAJ	VYBER	6400	29907	 	\N	0
2611788	8628	1998-02-20	VYDAJ	VYBER	6400	17614	 	\N	0
2611789	8628	1998-03-11	VYDAJ	VYBER	7900	12197	 	\N	0
2611790	8628	1998-04-14	VYDAJ	VYBER	5500	43821	 	\N	0
2611791	8628	1998-05-15	VYDAJ	VYBER	6200	44098	 	\N	0
2611792	8628	1998-06-08	VYDAJ	VYBER	5500	39787	 	\N	0
2611793	8628	1998-07-20	VYDAJ	VYBER	5000	14161	 	\N	0
2611794	8628	1998-08-12	VYDAJ	VYBER	6000	22645	 	\N	0
2611795	8628	1998-09-07	VYDAJ	VYBER	4900	7429	 	\N	0
2611797	8628	1998-11-19	VYDAJ	VYBER	7300	6458	 	\N	0
2611799	8628	1996-11-27	VYBER	VYBER	18320	72690	\N	\N	\N
2611811	8628	1998-03-22	VYBER	VYBER	3168	49179	\N	\N	\N
2611812	8628	1998-01-07	VYBER	VYBER	21368	41107	\N	\N	\N
2611818	8628	1997-01-04	VYDAJ	VYBER	10800	14645	\N	\N	\N
2611820	8628	1996-12-08	VYDAJ	VYBER	6900	58000	\N	\N	\N
2611821	8628	1997-12-21	VYDAJ	VYBER	6900	93945	\N	\N	\N
2611823	8628	1996-12-26	VYDAJ	VYBER	4500	32000	\N	\N	\N
2611831	8628	1997-11-27	VYDAJ	VYBER	7800	33365	\N	\N	\N
2611833	8628	1998-04-23	VYDAJ	VYBER	5400	38421	\N	\N	\N
2611835	8628	1998-07-02	VYDAJ	VYBER	9900	21661	\N	\N	\N
2611838	8628	1998-12-16	VYDAJ	VYBER	11100	36850	\N	\N	\N
2611850	8628	1996-11-30	VYDAJ	VYBER	100	73100	SLUZBY	\N	\N
2611851	8628	1996-12-31	VYDAJ	VYBER	100	32245	SLUZBY	\N	\N
2611852	8628	1997-01-31	VYDAJ	VYBER	100	10442	SLUZBY	\N	\N
2611853	8628	1997-02-28	VYDAJ	VYBER	100	13139	SLUZBY	\N	\N
2611854	8628	1997-03-31	VYDAJ	VYBER	100	-2744	SLUZBY	\N	\N
2611855	8628	1997-04-30	VYDAJ	VYBER	100	-2874	SLUZBY	\N	\N
2611856	8628	1997-05-31	VYDAJ	VYBER	100	15420	SLUZBY	\N	\N
2611857	8628	1997-06-30	VYDAJ	VYBER	100	6485	SLUZBY	\N	\N
2611858	8628	1997-07-31	VYDAJ	VYBER	100	10699	SLUZBY	\N	\N
2611859	8628	1997-08-31	VYDAJ	VYBER	100	8959	SLUZBY	\N	\N
2611860	8628	1997-09-30	VYDAJ	VYBER	100	10190	SLUZBY	\N	\N
2611861	8628	1997-10-31	VYDAJ	VYBER	100	6348	SLUZBY	\N	\N
2611862	8628	1997-11-30	VYDAJ	VYBER	100	33547	SLUZBY	\N	\N
2611863	8628	1997-12-31	VYDAJ	VYBER	100	88340	SLUZBY	\N	\N
2611864	8628	1998-01-31	VYDAJ	VYBER	100	30214	SLUZBY	\N	\N
2611865	8628	1998-02-28	VYDAJ	VYBER	100	17697	SLUZBY	\N	\N
2611866	8628	1998-03-31	VYDAJ	VYBER	100	90825	SLUZBY	\N	\N
2611867	8628	1998-04-30	VYDAJ	VYBER	100	86598	SLUZBY	\N	\N
2611868	8628	1998-05-31	VYDAJ	VYBER	100	44442	SLUZBY	\N	\N
2611869	8628	1998-06-30	VYDAJ	VYBER	100	31561	SLUZBY	\N	\N
2611870	8628	1998-07-31	VYDAJ	VYBER	100	49245	SLUZBY	\N	\N
2611871	8628	1998-08-31	VYDAJ	VYBER	100	22729	SLUZBY	\N	\N
2611872	8628	1998-09-30	VYDAJ	VYBER	100	17459	SLUZBY	\N	\N
2611873	8628	1998-10-31	VYDAJ	VYBER	100	20558	SLUZBY	\N	\N
2611874	8628	1998-11-30	VYDAJ	VYBER	100	6462	SLUZBY	\N	\N
2611875	8628	1996-11-14	VYDAJ	VYBER	28400	53538	\N	\N	\N
2611876	8628	1996-12-14	VYDAJ	VYBER	14900	43100	\N	\N	\N
2611877	8628	1997-01-13	PRIJEM	VKLAD	2800	10445	\N	\N	\N
2611878	8628	1997-05-13	VYDAJ	VYBER	5600	20488	\N	\N	\N
2611879	8628	1997-06-12	PRIJEM	VKLAD	5400	13820	\N	\N	\N
2611880	8628	1997-08-11	PRIJEM	VKLAD	3500	8999	\N	\N	\N
2611881	8628	1997-09-10	PRIJEM	VKLAD	1100	17289	\N	\N	\N
2611882	8628	1997-10-10	PRIJEM	VKLAD	9600	13690	\N	\N	\N
2611883	8628	1997-11-09	VYDAJ	VYBER	21500	50065	\N	\N	\N
2611884	8628	1997-12-09	VYDAJ	VYBER	22300	47194	\N	\N	\N
2611885	8628	1998-01-01	VYDAJ	VYBER	62700	62475	\N	\N	\N
2611886	8628	1998-01-08	VYDAJ	VYBER	4800	36307	\N	\N	\N
2611887	8628	1998-02-07	PRIJEM	VKLAD	2100	24014	\N	\N	\N
2611888	8628	1998-03-09	PRIJEM	VKLAD	10400	20097	\N	\N	\N
2611889	8628	1998-03-27	VYDAJ	VYBER	37300	98387	\N	\N	\N
2611890	8628	1998-04-04	VYDAJ	VYBER	27300	80921	\N	\N	\N
2611891	8628	1998-04-08	VYDAJ	VYBER	31600	49321	\N	\N	\N
2611892	8628	1998-05-08	VYDAJ	VYBER	28400	50298	\N	\N	\N
2611893	8628	1998-06-07	VYDAJ	VYBER	20300	45287	\N	\N	\N
2611894	8628	1998-07-07	PRIJEM	VKLAD	3400	19161	\N	\N	\N
2611895	8628	1998-08-06	VYDAJ	VYBER	14900	28645	\N	\N	\N
2611896	8628	1998-09-05	VYDAJ	VYBER	1900	12329	\N	\N	\N
2615042	8639	1997-08-22	PRIJEM	VKLAD	400	400	\N	\N	\N
2615051	8639	1997-09-07	PRIJEM	PREVOD Z UCTU	18567	18967	\N	OP	95586841
2615052	8639	1997-10-07	PRIJEM	PREVOD Z UCTU	18567	39289	\N	OP	95586841
2615053	8639	1997-11-07	PRIJEM	PREVOD Z UCTU	18567	49999	\N	OP	95586841
2615054	8639	1997-12-07	PRIJEM	PREVOD Z UCTU	27850	59524	\N	OP	95586841
2615055	8639	1998-01-07	PRIJEM	PREVOD Z UCTU	18567	58995	\N	OP	95586841
2615056	8639	1998-02-07	PRIJEM	PREVOD Z UCTU	18567	40508	\N	OP	95586841
2615057	8639	1998-03-07	PRIJEM	PREVOD Z UCTU	18567	38850	\N	OP	95586841
2615058	8639	1998-04-07	PRIJEM	PREVOD Z UCTU	18567	36217	\N	OP	95586841
2615059	8639	1998-05-07	PRIJEM	PREVOD Z UCTU	18567	45506	\N	OP	95586841
2615060	8639	1998-06-07	PRIJEM	PREVOD Z UCTU	27850	49417	\N	OP	95586841
2615061	8639	1998-07-07	PRIJEM	PREVOD Z UCTU	18567	42578	\N	OP	95586841
2615062	8639	1998-08-07	PRIJEM	PREVOD Z UCTU	18567	49847	\N	OP	95586841
2615063	8639	1998-09-07	PRIJEM	PREVOD Z UCTU	18567	38470	\N	OP	95586841
2615064	8639	1998-10-07	PRIJEM	PREVOD Z UCTU	18567	50323	\N	OP	95586841
2615065	8639	1998-11-07	PRIJEM	PREVOD Z UCTU	18567	48435	\N	OP	95586841
2615066	8639	1998-12-07	PRIJEM	PREVOD Z UCTU	27850	50092	\N	OP	95586841
2615079	8639	1998-01-21	VYDAJ	VYBER	2900	24395	\N	\N	0
2615080	8639	1998-02-17	VYDAJ	VYBER	3400	19525	\N	\N	0
2615081	8639	1998-03-11	VYDAJ	VYBER	3200	26085	\N	\N	0
2615082	8639	1998-04-06	VYDAJ	VYBER	3100	17650	\N	\N	0
2615083	8639	1998-05-11	VYDAJ	VYBER	2500	27516	\N	\N	0
2615084	8639	1998-06-12	VYDAJ	PREVOD NA UCET	3095	30258	UVER	MN	67667299
2615085	8639	1998-07-12	VYDAJ	PREVOD NA UCET	3095	39484	UVER	MN	67667299
2615086	8639	1998-08-12	VYDAJ	PREVOD NA UCET	3095	46753	UVER	MN	67667299
2615087	8639	1998-09-12	VYDAJ	PREVOD NA UCET	3095	35376	UVER	MN	67667299
2615088	8639	1998-10-12	VYDAJ	PREVOD NA UCET	3095	39529	UVER	MN	67667299
2615089	8639	1998-11-12	VYDAJ	PREVOD NA UCET	3095	45340	UVER	MN	67667299
2615090	8639	1998-12-12	VYDAJ	PREVOD NA UCET	3095	46997	UVER	MN	67667299
2615099	8639	1998-05-11	VYBER	VYBER	15490	30016	\N	\N	\N
2615101	8639	1998-03-09	VYBER	VYBER	4062	29285	\N	\N	\N
2615102	8639	1998-03-07	VYBER	VYBER	5503	33347	\N	\N	\N
2615103	8639	1998-10-12	VYBER	VYBER	7699	42624	\N	\N	\N
2615104	8639	1998-08-13	VYBER	VYBER	10974	35779	\N	\N	\N
2615106	8639	1998-02-12	VYBER	VYBER	17583	22925	\N	\N	\N
2615108	8639	1998-06-11	VYBER	VYBER	16065	33352	\N	\N	\N
2615109	8639	1998-12-13	VYBER	VYBER	8493	38504	\N	\N	\N
2615114	8639	1998-01-17	VYDAJ	VYBER	11100	38295	\N	\N	\N
2615116	8639	1998-12-25	VYDAJ	VYBER	6600	23304	\N	\N	\N
2615127	8639	1998-01-08	VYDAJ	VYBER	5700	53295	\N	\N	\N
2615128	8639	1998-01-08	VYDAJ	VYBER	3900	49395	\N	\N	\N
2615134	8639	1998-08-28	VYDAJ	VYBER	8700	19679	\N	\N	\N
2615135	8639	1998-12-03	VYDAJ	VYBER	9600	22242	\N	\N	\N
2615136	8639	1998-01-28	VYDAJ	VYBER	2700	21695	\N	\N	\N
2615151	8639	1998-01-31	VYDAJ	VYBER	15	21941	SLUZBY	\N	\N
2615152	8639	1998-02-28	VYDAJ	VYBER	15	20283	SLUZBY	\N	\N
2615153	8639	1998-03-31	VYDAJ	VYBER	15	20750	SLUZBY	\N	\N
2615154	8639	1998-04-30	VYDAJ	VYBER	15	26939	SLUZBY	\N	\N
2615155	8639	1998-05-31	VYDAJ	VYBER	15	21567	SLUZBY	\N	\N
2615156	8639	1998-06-30	VYDAJ	VYBER	15	24011	SLUZBY	\N	\N
2615157	8639	1998-07-31	VYDAJ	VYBER	15	31280	SLUZBY	\N	\N
2615158	8639	1998-08-31	VYDAJ	VYBER	15	19903	SLUZBY	\N	\N
2615159	8639	1998-09-30	VYDAJ	VYBER	15	31756	SLUZBY	\N	\N
2615160	8639	1998-10-31	VYDAJ	VYBER	15	29868	SLUZBY	\N	\N
2615161	8639	1998-11-30	VYDAJ	VYBER	15	31842	SLUZBY	\N	\N
2615162	8639	1997-09-21	PRIJEM	VKLAD	1700	20667	\N	\N	\N
2615163	8639	1997-10-21	VYDAJ	VYBER	8000	31289	\N	\N	\N
2615164	8639	1997-11-20	VYDAJ	VYBER	18500	31499	\N	\N	\N
2615165	8639	1997-12-20	VYDAJ	VYBER	19300	40224	\N	\N	\N
2615166	8639	1998-01-19	VYDAJ	VYBER	11000	27295	\N	\N	\N
2615167	8639	1998-02-18	PRIJEM	VKLAD	600	20125	\N	\N	\N
2615168	8639	1998-03-20	VYDAJ	VYBER	5500	20585	\N	\N	\N
2615169	8639	1998-04-19	VYDAJ	VYBER	9500	26717	\N	\N	\N
2615170	8639	1998-05-19	VYDAJ	VYBER	6100	21416	\N	\N	\N
2615171	8639	1998-06-18	VYDAJ	VYBER	6400	23858	\N	\N	\N
2615172	8639	1998-07-18	VYDAJ	VYBER	8400	31084	\N	\N	\N
2615173	8639	1998-08-17	VYDAJ	VYBER	7400	28379	\N	\N	\N
2615174	8639	1998-09-16	VYDAJ	VYBER	3800	31576	\N	\N	\N
2615175	8639	1998-10-16	VYDAJ	VYBER	9900	29629	\N	\N	\N
2615176	8639	1998-11-15	VYDAJ	VYBER	13700	31640	\N	\N	\N
2615177	8639	1998-12-15	VYDAJ	VYBER	8600	29904	\N	\N	\N
2616253	8645	1997-06-23	PRIJEM	VKLAD	700	700	\N	\N	\N
2616260	8645	1997-07-14	PRIJEM	VKLAD	16929	17629	\N	\N	\N
2616261	8645	1997-08-14	PRIJEM	VKLAD	16929	36002	\N	\N	\N
2616262	8645	1997-09-14	PRIJEM	VKLAD	16929	47562	\N	\N	\N
2616263	8645	1997-10-14	PRIJEM	VKLAD	16929	55978	\N	\N	\N
2616264	8645	1997-11-14	PRIJEM	VKLAD	16929	59731	\N	\N	\N
2616265	8645	1997-12-14	PRIJEM	VKLAD	25394	53349	\N	\N	\N
2616266	8645	1998-01-14	PRIJEM	VKLAD	16929	35305	\N	\N	\N
2616267	8645	1998-02-14	PRIJEM	VKLAD	16929	22752	\N	\N	\N
2616268	8645	1998-03-14	PRIJEM	VKLAD	16929	24669	\N	\N	\N
2616269	8645	1998-04-14	PRIJEM	VKLAD	16929	29006	\N	\N	\N
2616270	8645	1998-05-14	PRIJEM	VKLAD	16929	30586	\N	\N	\N
2616271	8645	1998-06-14	PRIJEM	VKLAD	25394	37929	\N	\N	\N
2616272	8645	1998-07-14	PRIJEM	VKLAD	16929	32291	\N	\N	\N
2616273	8645	1998-08-14	PRIJEM	VKLAD	16929	26938	\N	\N	\N
2616274	8645	1998-09-14	PRIJEM	VKLAD	16929	26507	\N	\N	\N
2616275	8645	1998-10-14	PRIJEM	VKLAD	16929	28579	\N	\N	\N
2616276	8645	1998-11-14	PRIJEM	VKLAD	16929	30336	\N	\N	\N
2616277	8645	1998-12-14	PRIJEM	VKLAD	25394	41193	\N	\N	\N
2616289	8645	1997-12-05	VYDAJ	PREVOD NA UCET	8919	27955	SIPO	KL	37808364
2616290	8645	1998-01-05	VYDAJ	PREVOD NA UCET	8919	18376	SIPO	KL	37808364
2616291	8645	1998-02-05	VYDAJ	PREVOD NA UCET	8919	5823	SIPO	KL	37808364
2616292	8645	1998-03-05	VYDAJ	PREVOD NA UCET	8919	7740	SIPO	KL	37808364
2616293	8645	1998-04-05	VYDAJ	PREVOD NA UCET	8919	12077	SIPO	KL	37808364
2616294	8645	1998-05-05	VYDAJ	PREVOD NA UCET	8919	13657	SIPO	KL	37808364
2616295	8645	1998-06-05	VYDAJ	PREVOD NA UCET	8919	12535	SIPO	KL	37808364
2616296	8645	1998-07-05	VYDAJ	PREVOD NA UCET	8919	15362	SIPO	KL	37808364
2616297	8645	1998-08-05	VYDAJ	PREVOD NA UCET	8919	15429	SIPO	KL	37808364
2616298	8645	1998-09-05	VYDAJ	PREVOD NA UCET	8919	13478	SIPO	KL	37808364
2616299	8645	1998-10-05	VYDAJ	PREVOD NA UCET	8919	15850	SIPO	KL	37808364
2616300	8645	1998-11-05	VYDAJ	PREVOD NA UCET	8919	17907	SIPO	KL	37808364
2616301	8645	1998-12-05	VYDAJ	PREVOD NA UCET	8919	19814	SIPO	KL	37808364
2616313	8645	1997-12-21	VYDAJ	VYBER	4800	33329	\N	\N	0
2616314	8645	1998-01-04	VYDAJ	VYBER	4400	27295	\N	\N	0
2616315	8645	1998-02-03	VYDAJ	VYBER	4700	14742	\N	\N	0
2616316	8645	1998-03-02	VYDAJ	VYBER	3600	18459	\N	\N	0
2616317	8645	1998-04-18	VYDAJ	VYBER	4800	24206	\N	\N	0
2616318	8645	1998-05-16	VYDAJ	VYBER	4200	26386	\N	\N	0
2616319	8645	1998-06-14	VYDAJ	VYBER	4100	33829	\N	\N	0
2616320	8645	1998-07-03	VYDAJ	VYBER	3300	24281	\N	\N	0
2616321	8645	1998-08-09	VYDAJ	VYBER	3500	11929	\N	\N	0
2616322	8645	1998-09-11	VYDAJ	VYBER	3900	9578	\N	\N	0
2616323	8645	1998-10-07	VYDAJ	VYBER	4200	11650	\N	\N	0
2616324	8645	1998-11-11	VYDAJ	VYBER	4500	13407	\N	\N	0
2616325	8645	1998-12-12	VYDAJ	PREVOD NA UCET	4015	15799	UVER	CD	50500750
2616330	8645	1997-12-03	VYDAJ	VYBER	4480	36874	\N	\N	\N
2616331	8645	1998-12-15	VYDAJ	VYBER	3840	37353	\N	\N	\N
2616338	8645	1998-01-18	VYDAJ	VYBER	840	30385	\N	\N	\N
2616339	8645	1998-01-27	VYDAJ	VYBER	2880	19265	\N	\N	\N
2616340	8645	1998-01-03	VYDAJ	VYBER	1920	31695	\N	\N	\N
2616341	8645	1998-01-17	VYDAJ	VYBER	2400	31945	\N	\N	\N
2616342	8645	1998-01-18	VYDAJ	VYBER	840	29545	\N	\N	\N
2616343	8645	1998-01-18	VYDAJ	VYBER	720	31225	\N	\N	\N
2616347	8645	1997-12-16	VYDAJ	VYBER	4320	49029	\N	\N	\N
2616351	8645	1998-08-12	VYDAJ	VYBER	1920	10009	\N	\N	\N
2616352	8645	1998-10-14	VYDAJ	VYBER	4800	23779	\N	\N	\N
2616353	8645	1998-01-15	VYDAJ	VYBER	960	34345	\N	\N	\N
2616354	8645	1998-03-02	VYDAJ	VYBER	1800	16659	\N	\N	\N
2616355	8645	1998-08-25	VYDAJ	VYBER	1200	22238	\N	\N	\N
2616368	8645	1997-11-30	VYDAJ	VYBER	15	41354	SLUZBY	\N	\N
2616369	8645	1997-12-31	VYDAJ	VYBER	15	33615	SLUZBY	\N	\N
2616370	8645	1998-01-31	VYDAJ	VYBER	15	19442	SLUZBY	\N	\N
2616371	8645	1998-02-28	VYDAJ	VYBER	15	22059	SLUZBY	\N	\N
2616372	8645	1998-03-31	VYDAJ	VYBER	15	20996	SLUZBY	\N	\N
2616373	8645	1998-04-30	VYDAJ	VYBER	15	22576	SLUZBY	\N	\N
2616374	8645	1998-05-31	VYDAJ	VYBER	15	21454	SLUZBY	\N	\N
2616375	8645	1998-06-30	VYDAJ	VYBER	15	27581	SLUZBY	\N	\N
2616376	8645	1998-07-31	VYDAJ	VYBER	15	24348	SLUZBY	\N	\N
2616377	8645	1998-08-31	VYDAJ	VYBER	15	22397	SLUZBY	\N	\N
2616378	8645	1998-09-30	VYDAJ	VYBER	15	24769	SLUZBY	\N	\N
2616379	8645	1998-10-31	VYDAJ	VYBER	15	26826	SLUZBY	\N	\N
2616380	8645	1998-11-30	VYDAJ	VYBER	15	28733	SLUZBY	\N	\N
2616381	8645	1997-07-23	PRIJEM	VKLAD	1400	19029	\N	\N	\N
2616382	8645	1997-08-22	VYDAJ	VYBER	5500	30502	\N	\N	\N
2616383	8645	1997-09-21	VYDAJ	VYBER	8700	38862	\N	\N	\N
2616384	8645	1997-10-21	VYDAJ	VYBER	13400	42578	\N	\N	\N
2616385	8645	1997-11-20	VYDAJ	VYBER	18600	41131	\N	\N	\N
2616386	8645	1997-12-20	VYDAJ	VYBER	10900	38129	\N	\N	\N
2616387	8645	1998-01-19	VYDAJ	VYBER	7400	22145	\N	\N	\N
2616388	8645	1998-02-18	VYDAJ	VYBER	800	21952	\N	\N	\N
2616389	8645	1998-03-20	VYDAJ	VYBER	3800	20869	\N	\N	\N
2616390	8645	1998-04-19	VYDAJ	VYBER	1800	22406	\N	\N	\N
2616391	8645	1998-05-19	VYDAJ	VYBER	5100	21286	\N	\N	\N
2616392	8645	1998-06-18	VYDAJ	VYBER	6400	27429	\N	\N	\N
2616393	8645	1998-07-18	VYDAJ	VYBER	8100	24191	\N	\N	\N
2616394	8645	1998-08-17	VYDAJ	VYBER	3500	23438	\N	\N	\N
2616395	8645	1998-09-16	VYDAJ	VYBER	1900	24607	\N	\N	\N
2616396	8645	1998-10-16	PRIJEM	VKLAD	2900	26679	\N	\N	\N
2616397	8645	1998-11-15	VYDAJ	VYBER	1800	28536	\N	\N	\N
2625929	8680	1996-02-12	PRIJEM	VKLAD	800	800	\N	\N	\N
2625932	8680	1996-03-11	PRIJEM	PREVOD Z UCTU	14287	15087	\N	WX	16513169
2625933	8680	1996-04-11	PRIJEM	PREVOD Z UCTU	14287	36082	\N	WX	16513169
2625934	8680	1996-05-11	PRIJEM	PREVOD Z UCTU	14287	42948	\N	WX	16513169
2625935	8680	1996-06-11	PRIJEM	PREVOD Z UCTU	21430	52783	\N	WX	16513169
2625936	8680	1996-07-11	PRIJEM	PREVOD Z UCTU	14287	52417	\N	WX	16513169
2625937	8680	1996-08-11	PRIJEM	PREVOD Z UCTU	14287	36473	\N	WX	16513169
2625938	8680	1996-09-11	PRIJEM	PREVOD Z UCTU	14287	32339	\N	WX	16513169
2625939	8680	1996-10-11	PRIJEM	PREVOD Z UCTU	14287	31178	\N	WX	16513169
2625940	8680	1996-11-11	PRIJEM	PREVOD Z UCTU	14287	27607	\N	WX	16513169
2625941	8680	1996-12-11	PRIJEM	PREVOD Z UCTU	21430	38573	\N	WX	16513169
2625942	8680	1997-01-11	PRIJEM	PREVOD Z UCTU	14287	34449	\N	WX	16513169
2625943	8680	1997-02-11	PRIJEM	PREVOD Z UCTU	14287	22063	\N	WX	16513169
2625944	8680	1997-03-11	PRIJEM	PREVOD Z UCTU	14287	21912	\N	WX	16513169
2625945	8680	1997-04-11	PRIJEM	PREVOD Z UCTU	14287	21766	\N	WX	16513169
2625946	8680	1997-05-11	PRIJEM	PREVOD Z UCTU	14287	21629	\N	WX	16513169
2625947	8680	1997-06-11	PRIJEM	PREVOD Z UCTU	21430	28635	\N	WX	16513169
2625948	8680	1997-07-11	PRIJEM	PREVOD Z UCTU	14287	27531	\N	WX	16513169
2625949	8680	1997-08-11	PRIJEM	PREVOD Z UCTU	14287	22227	\N	WX	16513169
2625950	8680	1997-09-11	PRIJEM	PREVOD Z UCTU	14287	18098	\N	WX	16513169
2625951	8680	1997-10-11	PRIJEM	PREVOD Z UCTU	14287	20129	\N	WX	16513169
2625952	8680	1997-11-11	PRIJEM	PREVOD Z UCTU	14287	18165	\N	WX	16513169
2625953	8680	1997-12-11	PRIJEM	PREVOD Z UCTU	21430	25837	\N	WX	16513169
2625954	8680	1998-01-11	PRIJEM	PREVOD Z UCTU	14287	22799	\N	WX	16513169
2625955	8680	1998-02-11	PRIJEM	PREVOD Z UCTU	14287	24457	\N	WX	16513169
2625956	8680	1998-03-11	PRIJEM	PREVOD Z UCTU	14287	24533	\N	WX	16513169
2625957	8680	1998-04-11	PRIJEM	PREVOD Z UCTU	14287	21510	\N	WX	16513169
2625958	8680	1998-05-11	PRIJEM	PREVOD Z UCTU	14287	23753	\N	WX	16513169
2625959	8680	1998-06-11	PRIJEM	PREVOD Z UCTU	21430	29156	\N	WX	16513169
2625960	8680	1998-07-11	PRIJEM	PREVOD Z UCTU	14287	24454	\N	WX	16513169
2625961	8680	1998-08-11	PRIJEM	PREVOD Z UCTU	14287	18934	\N	WX	16513169
2625962	8680	1998-09-11	PRIJEM	PREVOD Z UCTU	14287	19065	\N	WX	16513169
2625963	8680	1998-10-11	PRIJEM	PREVOD Z UCTU	14287	19196	\N	WX	16513169
2625964	8680	1998-11-11	PRIJEM	PREVOD Z UCTU	14287	18526	\N	WX	16513169
2625965	8680	1998-12-11	PRIJEM	PREVOD Z UCTU	21430	25482	\N	WX	16513169
2625972	8680	1996-07-15	VYDAJ	VYBER	2400	34117	\N	\N	0
2625973	8680	1996-08-12	VYDAJ	PREVOD NA UCET	2381	34092	UVER	UV	42112159
2625974	8680	1996-09-12	VYDAJ	PREVOD NA UCET	2381	29958	UVER	UV	42112159
2625975	8680	1996-10-12	VYDAJ	PREVOD NA UCET	2381	28797	UVER	UV	42112159
2625976	8680	1996-11-12	VYDAJ	PREVOD NA UCET	2381	25226	UVER	UV	42112159
2625977	8680	1996-12-12	VYDAJ	PREVOD NA UCET	2381	36192	UVER	UV	42112159
2625978	8680	1997-01-12	VYDAJ	PREVOD NA UCET	2381	29068	UVER	UV	42112159
2625979	8680	1997-02-12	VYDAJ	PREVOD NA UCET	2381	19682	UVER	UV	42112159
2625980	8680	1997-03-12	VYDAJ	PREVOD NA UCET	2381	19531	UVER	UV	42112159
2625981	8680	1997-04-12	VYDAJ	PREVOD NA UCET	2381	19384	UVER	UV	42112159
2625982	8680	1997-05-12	VYDAJ	PREVOD NA UCET	2381	19248	UVER	UV	42112159
2625983	8680	1997-06-12	VYDAJ	PREVOD NA UCET	2381	26254	UVER	UV	42112159
2625984	8680	1997-07-12	VYDAJ	PREVOD NA UCET	2381	25150	UVER	UV	42112159
2625985	8680	1997-08-12	VYDAJ	PREVOD NA UCET	2381	19846	UVER	UV	42112159
2625986	8680	1997-09-12	VYDAJ	PREVOD NA UCET	2381	15717	UVER	UV	42112159
2625987	8680	1997-10-12	VYDAJ	PREVOD NA UCET	2381	17748	UVER	UV	42112159
2625988	8680	1997-11-12	VYDAJ	PREVOD NA UCET	2381	15784	UVER	UV	42112159
2625989	8680	1997-12-12	VYDAJ	PREVOD NA UCET	2381	23456	UVER	UV	42112159
2625990	8680	1998-01-12	VYDAJ	PREVOD NA UCET	2381	20418	UVER	UV	42112159
2625991	8680	1998-02-12	VYDAJ	PREVOD NA UCET	2381	22076	UVER	UV	42112159
2625992	8680	1998-03-12	VYDAJ	PREVOD NA UCET	2381	22152	UVER	UV	42112159
2625993	8680	1998-04-12	VYDAJ	PREVOD NA UCET	2381	19128	UVER	UV	42112159
2625994	8680	1998-05-12	VYDAJ	PREVOD NA UCET	2381	21371	UVER	UV	42112159
2625995	8680	1998-06-12	VYDAJ	PREVOD NA UCET	2381	26775	UVER	UV	42112159
2625996	8680	1998-07-12	VYDAJ	PREVOD NA UCET	2381	22073	UVER	UV	42112159
2625997	8680	1998-08-12	VYDAJ	PREVOD NA UCET	2381	16553	UVER	UV	42112159
2625998	8680	1998-09-12	VYDAJ	PREVOD NA UCET	2381	16684	UVER	UV	42112159
2625999	8680	1998-10-12	VYDAJ	PREVOD NA UCET	2381	16815	UVER	UV	42112159
2626000	8680	1998-11-12	VYDAJ	PREVOD NA UCET	2381	16144	UVER	UV	42112159
2626001	8680	1998-12-12	VYDAJ	PREVOD NA UCET	2381	23101	UVER	UV	42112159
2626009	8680	1996-08-05	VYDAJ	PREVOD NA UCET	3598	30752	SIPO	ST	96207493
2626010	8680	1996-09-05	VYDAJ	PREVOD NA UCET	3598	30718	SIPO	ST	96207493
2626011	8680	1996-10-05	VYDAJ	PREVOD NA UCET	3598	26557	SIPO	ST	96207493
2626012	8680	1996-11-05	VYDAJ	PREVOD NA UCET	3598	25386	SIPO	ST	96207493
2626013	8680	1996-12-05	VYDAJ	PREVOD NA UCET	3598	21809	SIPO	ST	96207493
2626014	8680	1997-01-05	VYDAJ	PREVOD NA UCET	3598	32828	SIPO	ST	96207493
2626015	8680	1997-02-05	VYDAJ	PREVOD NA UCET	3598	16342	SIPO	ST	96207493
2626016	8680	1997-03-05	VYDAJ	PREVOD NA UCET	3598	16191	SIPO	ST	96207493
2626017	8680	1997-04-05	VYDAJ	PREVOD NA UCET	3598	16045	SIPO	ST	96207493
2626018	8680	1997-05-05	VYDAJ	PREVOD NA UCET	3598	15908	SIPO	ST	96207493
2626019	8680	1997-06-05	VYDAJ	PREVOD NA UCET	3598	15771	SIPO	ST	96207493
2626020	8680	1997-07-05	VYDAJ	PREVOD NA UCET	3598	22810	SIPO	ST	96207493
2626021	8680	1997-08-05	VYDAJ	PREVOD NA UCET	3598	21706	SIPO	ST	96207493
2626022	8680	1997-09-05	VYDAJ	PREVOD NA UCET	3598	12377	SIPO	ST	96207493
2626023	8680	1997-10-05	VYDAJ	PREVOD NA UCET	3598	14408	SIPO	ST	96207493
2626024	8680	1997-11-05	VYDAJ	PREVOD NA UCET	3598	12444	SIPO	ST	96207493
2626025	8680	1997-12-05	VYDAJ	PREVOD NA UCET	3598	12973	SIPO	ST	96207493
2626026	8680	1998-01-05	VYDAJ	PREVOD NA UCET	3598	17078	SIPO	ST	96207493
2626027	8680	1998-02-05	VYDAJ	PREVOD NA UCET	3598	18736	SIPO	ST	96207493
2626028	8680	1998-03-05	VYDAJ	PREVOD NA UCET	3598	18812	SIPO	ST	96207493
2626029	8680	1998-04-05	VYDAJ	PREVOD NA UCET	3598	15789	SIPO	ST	96207493
2626030	8680	1998-05-05	VYDAJ	PREVOD NA UCET	3598	18032	SIPO	ST	96207493
2626031	8680	1998-06-05	VYDAJ	PREVOD NA UCET	3598	16292	SIPO	ST	96207493
2626032	8680	1998-07-05	VYDAJ	PREVOD NA UCET	3598	18733	SIPO	ST	96207493
2626033	8680	1998-08-05	VYDAJ	PREVOD NA UCET	3598	13213	SIPO	ST	96207493
2626034	8680	1998-09-05	VYDAJ	PREVOD NA UCET	3598	13344	SIPO	ST	96207493
2626035	8680	1998-10-05	VYDAJ	PREVOD NA UCET	3598	13475	SIPO	ST	96207493
2626036	8680	1998-11-05	VYDAJ	PREVOD NA UCET	3598	12805	SIPO	ST	96207493
2626037	8680	1998-12-05	VYDAJ	PREVOD NA UCET	3598	12618	SIPO	ST	96207493
2626045	8680	1996-08-06	VYDAJ	PREVOD NA UCET	8566	22186	 	OP	23105997
2626046	8680	1996-09-06	VYDAJ	PREVOD NA UCET	8566	22152	 	OP	23105997
2626047	8680	1996-10-06	VYDAJ	PREVOD NA UCET	8566	17991	 	OP	23105997
2626048	8680	1996-11-06	VYDAJ	PREVOD NA UCET	8566	16820	 	OP	23105997
2626049	8680	1996-12-06	VYDAJ	PREVOD NA UCET	8566	13243	 	OP	23105997
2626050	8680	1997-01-06	VYDAJ	PREVOD NA UCET	8566	24262	 	OP	23105997
2626051	8680	1997-02-06	VYDAJ	PREVOD NA UCET	8566	7776	 	OP	23105997
2626052	8680	1997-03-06	VYDAJ	PREVOD NA UCET	8566	7625	 	OP	23105997
2626053	8680	1997-04-06	VYDAJ	PREVOD NA UCET	8566	7479	 	OP	23105997
2626054	8680	1997-05-06	VYDAJ	PREVOD NA UCET	8566	7342	 	OP	23105997
2626055	8680	1997-06-06	VYDAJ	PREVOD NA UCET	8566	7205	 	OP	23105997
2626056	8680	1997-07-06	VYDAJ	PREVOD NA UCET	8566	13244	 	OP	23105997
2626057	8680	1997-08-06	VYDAJ	PREVOD NA UCET	8566	7940	 	OP	23105997
2626058	8680	1997-09-06	VYDAJ	PREVOD NA UCET	8566	3811	 	OP	23105997
2626059	8680	1997-10-06	VYDAJ	PREVOD NA UCET	8566	5842	 	OP	23105997
2626060	8680	1997-11-06	VYDAJ	PREVOD NA UCET	8566	3878	 	OP	23105997
2626061	8680	1997-12-06	VYDAJ	PREVOD NA UCET	8566	4407	 	OP	23105997
2626062	8680	1998-01-06	VYDAJ	PREVOD NA UCET	8566	8512	 	OP	23105997
2626063	8680	1998-02-06	VYDAJ	PREVOD NA UCET	8566	10170	 	OP	23105997
2626064	8680	1998-03-06	VYDAJ	PREVOD NA UCET	8566	10246	 	OP	23105997
2626065	8680	1998-04-06	VYDAJ	PREVOD NA UCET	8566	7223	 	OP	23105997
2626066	8680	1998-05-06	VYDAJ	PREVOD NA UCET	8566	9466	 	OP	23105997
2626067	8680	1998-06-06	VYDAJ	PREVOD NA UCET	8566	7726	 	OP	23105997
2626068	8680	1998-07-06	VYDAJ	PREVOD NA UCET	8566	10167	 	OP	23105997
2626069	8680	1998-08-06	VYDAJ	PREVOD NA UCET	8566	4647	 	OP	23105997
2626070	8680	1998-09-06	VYDAJ	PREVOD NA UCET	8566	4778	 	OP	23105997
2626071	8680	1998-10-06	VYDAJ	PREVOD NA UCET	8566	4909	 	OP	23105997
2626072	8680	1998-11-06	VYDAJ	PREVOD NA UCET	8566	4239	 	OP	23105997
2626073	8680	1998-12-06	VYDAJ	PREVOD NA UCET	8566	4052	 	OP	23105997
2626110	8680	1997-01-27	VYDAJ	VYBER	6600	19768	\N	\N	\N
2626111	8680	1997-01-14	VYDAJ	VYBER	2700	26368	\N	\N	\N
2626114	8680	1997-01-11	VYDAJ	VYBER	3000	31449	\N	\N	\N
2626142	8680	1996-07-31	VYDAJ	VYBER	15	34350	SLUZBY	\N	\N
2626143	8680	1996-08-31	VYDAJ	VYBER	15	34316	SLUZBY	\N	\N
2626144	8680	1996-09-30	VYDAJ	VYBER	15	30155	SLUZBY	\N	\N
2626145	8680	1996-10-31	VYDAJ	VYBER	15	28984	SLUZBY	\N	\N
2626146	8680	1996-11-30	VYDAJ	VYBER	15	25407	SLUZBY	\N	\N
2626147	8680	1996-12-31	VYDAJ	VYBER	15	36426	SLUZBY	\N	\N
2626148	8680	1997-01-31	VYDAJ	VYBER	15	19940	SLUZBY	\N	\N
2626149	8680	1997-02-28	VYDAJ	VYBER	15	19789	SLUZBY	\N	\N
2626150	8680	1997-03-31	VYDAJ	VYBER	15	19643	SLUZBY	\N	\N
2626151	8680	1997-04-30	VYDAJ	VYBER	15	19506	SLUZBY	\N	\N
2626152	8680	1997-05-31	VYDAJ	VYBER	15	19369	SLUZBY	\N	\N
2626153	8680	1997-06-30	VYDAJ	VYBER	15	26408	SLUZBY	\N	\N
2626154	8680	1997-07-31	VYDAJ	VYBER	15	25304	SLUZBY	\N	\N
2626155	8680	1997-08-31	VYDAJ	VYBER	15	19975	SLUZBY	\N	\N
2626156	8680	1997-09-30	VYDAJ	VYBER	15	15806	SLUZBY	\N	\N
2626157	8680	1997-10-31	VYDAJ	VYBER	15	17842	SLUZBY	\N	\N
2626158	8680	1997-11-30	VYDAJ	VYBER	15	15871	SLUZBY	\N	\N
2626159	8680	1997-12-31	VYDAJ	VYBER	15	23576	SLUZBY	\N	\N
2626160	8680	1998-01-31	VYDAJ	VYBER	15	20534	SLUZBY	\N	\N
2626161	8680	1998-02-28	VYDAJ	VYBER	15	22210	SLUZBY	\N	\N
2626162	8680	1998-03-31	VYDAJ	VYBER	15	22287	SLUZBY	\N	\N
2626163	8680	1998-04-30	VYDAJ	VYBER	15	19230	SLUZBY	\N	\N
2626164	8680	1998-05-31	VYDAJ	VYBER	15	21490	SLUZBY	\N	\N
2626165	8680	1998-06-30	VYDAJ	VYBER	15	26931	SLUZBY	\N	\N
2626166	8680	1998-07-31	VYDAJ	VYBER	15	16811	SLUZBY	\N	\N
2626167	8680	1998-08-31	VYDAJ	VYBER	15	16942	SLUZBY	\N	\N
2626168	8680	1998-09-30	VYDAJ	VYBER	15	17073	SLUZBY	\N	\N
2626169	8680	1998-10-31	VYDAJ	VYBER	15	16403	SLUZBY	\N	\N
2626170	8680	1998-11-30	VYDAJ	VYBER	15	16216	SLUZBY	\N	\N
2626171	8680	1996-03-13	PRIJEM	VKLAD	6600	21687	\N	\N	\N
2626172	8680	1996-04-12	VYDAJ	VYBER	7600	28482	\N	\N	\N
2626173	8680	1996-05-12	VYDAJ	VYBER	11800	31148	\N	\N	\N
2626174	8680	1996-06-11	VYDAJ	VYBER	14900	37883	\N	\N	\N
2626175	8680	1996-07-11	VYDAJ	VYBER	15900	36517	\N	\N	\N
2626176	8680	1996-09-09	VYDAJ	VYBER	4100	18052	\N	\N	\N
2626177	8680	1996-10-09	VYDAJ	VYBER	1100	16891	\N	\N	\N
2626178	8680	1996-11-08	VYDAJ	VYBER	3500	13320	\N	\N	\N
2626179	8680	1996-12-08	PRIJEM	VKLAD	3900	17143	\N	\N	\N
2626180	8680	1997-01-07	VYDAJ	VYBER	4100	20162	\N	\N	\N
2626181	8680	1997-07-06	VYDAJ	VYBER	1000	21810	\N	\N	\N
2626182	8680	1997-08-05	VYDAJ	VYBER	5200	16506	\N	\N	\N
2626183	8680	1997-09-04	VYDAJ	VYBER	4000	15975	\N	\N	\N
2626184	8680	1997-10-04	PRIJEM	VKLAD	2200	18006	\N	\N	\N
2626185	8680	1997-11-03	VYDAJ	VYBER	1800	16042	\N	\N	\N
2626186	8680	1997-12-03	PRIJEM	VKLAD	700	16571	\N	\N	\N
2626187	8680	1998-01-02	VYDAJ	VYBER	2900	20676	\N	\N	\N
2626188	8680	1998-02-01	PRIJEM	VKLAD	1800	22334	\N	\N	\N
2626189	8680	1998-03-03	PRIJEM	VKLAD	200	22410	\N	\N	\N
2626190	8680	1998-04-02	VYDAJ	VYBER	2900	19387	\N	\N	\N
2626191	8680	1998-05-02	PRIJEM	VKLAD	2400	21630	\N	\N	\N
2626192	8680	1998-06-01	VYDAJ	VYBER	1600	19890	\N	\N	\N
2626193	8680	1998-07-01	VYDAJ	VYBER	4600	22331	\N	\N	\N
2626194	8680	1998-07-31	VYDAJ	VYBER	5400	16825	\N	\N	\N
2626195	8680	1998-08-30	PRIJEM	VKLAD	300	16853	\N	\N	\N
2626196	8680	1998-09-29	PRIJEM	VKLAD	300	16984	\N	\N	\N
2626197	8680	1998-10-29	VYDAJ	VYBER	500	16315	\N	\N	\N
2627933	8688	1996-11-22	PRIJEM	VKLAD	400	400	\N	\N	\N
2627945	8688	1996-12-05	PRIJEM	VKLAD	26454	26854	\N	\N	\N
2627946	8688	1997-01-05	PRIJEM	VKLAD	17636	44458	\N	\N	\N
2627947	8688	1997-02-05	PRIJEM	VKLAD	17636	54670	\N	\N	\N
2627948	8688	1997-03-05	PRIJEM	VKLAD	17636	55706	\N	\N	\N
2627949	8688	1997-04-05	PRIJEM	VKLAD	17636	59455	\N	\N	\N
2627950	8688	1997-05-05	PRIJEM	VKLAD	17636	55607	\N	\N	\N
2627951	8688	1997-06-05	PRIJEM	VKLAD	26454	61963	\N	\N	\N
2627952	8688	1997-07-05	PRIJEM	VKLAD	17636	47947	\N	\N	\N
2627953	8688	1997-08-05	PRIJEM	VKLAD	17636	56059	\N	\N	\N
2627954	8688	1997-09-05	PRIJEM	VKLAD	17636	53988	\N	\N	\N
2627955	8688	1997-10-05	PRIJEM	VKLAD	17636	56498	\N	\N	\N
2627956	8688	1997-11-05	PRIJEM	VKLAD	17636	56591	\N	\N	\N
2627957	8688	1997-12-05	PRIJEM	VKLAD	26454	65831	\N	\N	\N
2627958	8688	1998-01-05	PRIJEM	VKLAD	17636	61944	\N	\N	\N
2627959	8688	1998-02-05	PRIJEM	VKLAD	17636	51324	\N	\N	\N
2627960	8688	1998-03-05	PRIJEM	VKLAD	17636	57129	\N	\N	\N
2627961	8688	1998-04-05	PRIJEM	VKLAD	17636	64343	\N	\N	\N
2627962	8688	1998-05-05	PRIJEM	VKLAD	17636	63458	\N	\N	\N
2627963	8688	1998-06-05	PRIJEM	VKLAD	26454	78077	\N	\N	\N
2627964	8688	1998-07-05	PRIJEM	VKLAD	17636	54095	\N	\N	\N
2627965	8688	1998-08-05	PRIJEM	VKLAD	17636	58926	\N	\N	\N
2627966	8688	1998-09-05	PRIJEM	VKLAD	17636	57893	\N	\N	\N
2627967	8688	1998-10-05	PRIJEM	VKLAD	17636	62292	\N	\N	\N
2627968	8688	1998-11-05	PRIJEM	VKLAD	17636	56716	\N	\N	\N
2627969	8688	1998-12-05	PRIJEM	VKLAD	26454	64554	\N	\N	\N
2627985	8688	1997-04-12	VYDAJ	PREVOD NA UCET	5665	53790	UVER	WX	81943165
2627986	8688	1997-05-12	VYDAJ	PREVOD NA UCET	5665	49942	UVER	WX	81943165
2627987	8688	1997-06-12	VYDAJ	PREVOD NA UCET	5665	52578	UVER	WX	81943165
2627988	8688	1997-07-12	VYDAJ	PREVOD NA UCET	5665	42282	UVER	WX	81943165
2627989	8688	1997-08-12	VYDAJ	PREVOD NA UCET	5665	50394	UVER	WX	81943165
2627990	8688	1997-09-12	VYDAJ	PREVOD NA UCET	5665	45443	UVER	WX	81943165
2627991	8688	1997-10-12	VYDAJ	PREVOD NA UCET	5665	50833	UVER	WX	81943165
2627992	8688	1997-11-12	VYDAJ	PREVOD NA UCET	5665	50926	UVER	WX	81943165
2627993	8688	1997-12-12	VYDAJ	PREVOD NA UCET	5665	60166	UVER	WX	81943165
2627994	8688	1998-01-12	VYDAJ	PREVOD NA UCET	5665	52079	UVER	WX	81943165
2627995	8688	1998-02-12	VYDAJ	PREVOD NA UCET	5665	45659	UVER	WX	81943165
2627996	8688	1998-03-12	VYDAJ	PREVOD NA UCET	5665	51464	UVER	WX	81943165
2627997	8688	1998-04-18	VYDAJ	VYBER	6700	50643	\N	\N	0
2627998	8688	1998-05-02	VYDAJ	VYBER	5200	45822	\N	\N	0
2627999	8688	1998-06-05	VYDAJ	VYBER	4400	73677	\N	\N	0
2628000	8688	1998-07-19	VYDAJ	VYBER	6100	40995	\N	\N	0
2628001	8688	1998-08-18	VYDAJ	VYBER	5100	39946	\N	\N	0
2628002	8688	1998-09-12	VYDAJ	VYBER	6800	51093	\N	\N	0
2628003	8688	1998-10-16	VYDAJ	VYBER	6500	40092	\N	\N	0
2628004	8688	1998-11-18	VYDAJ	VYBER	6600	37816	\N	\N	0
2628005	8688	1998-12-18	VYDAJ	VYBER	5300	56054	\N	\N	0
2628008	8688	1998-06-13	VYDAJ	VYBER	29760	43917	\N	\N	\N
2628011	8688	1998-01-22	VYDAJ	VYBER	9600	35259	\N	\N	\N
2628013	8688	1997-12-03	VYDAJ	VYBER	4320	39377	\N	\N	\N
2628014	8688	1998-12-08	VYDAJ	VYBER	3200	61354	\N	\N	\N
2628027	8688	1998-01-01	VYDAJ	VYBER	1920	47548	\N	\N	\N
2628028	8688	1998-01-08	VYDAJ	VYBER	3360	57744	\N	\N	\N
2628029	8688	1998-01-06	VYDAJ	VYBER	840	61104	\N	\N	\N
2628030	8688	1998-01-27	VYDAJ	VYBER	1920	33339	\N	\N	\N
2628031	8688	1998-01-01	VYDAJ	VYBER	3240	44308	\N	\N	\N
2628032	8688	1998-01-14	VYDAJ	VYBER	2520	49559	\N	\N	\N
2628036	8688	1997-06-29	VYDAJ	VYBER	5880	29978	\N	\N	\N
2628037	8688	1997-08-23	VYDAJ	VYBER	3960	36034	\N	\N	\N
2628038	8688	1997-06-09	VYDAJ	VYBER	3720	58243	\N	\N	\N
2628039	8688	1997-05-28	VYDAJ	VYBER	1200	35242	\N	\N	\N
2628040	8688	1997-06-24	VYDAJ	VYBER	4320	35858	\N	\N	\N
2628041	8688	1997-09-07	VYDAJ	VYBER	2880	51108	\N	\N	\N
2628042	8688	1997-10-27	VYDAJ	VYBER	1440	38693	\N	\N	\N
2628043	8688	1998-08-11	VYDAJ	VYBER	4080	54846	\N	\N	\N
2628044	8688	1998-05-11	VYDAJ	VYBER	3360	60098	\N	\N	\N
2628045	8688	1998-10-18	VYDAJ	VYBER	1320	38772	\N	\N	\N
2628046	8688	1998-06-16	VYDAJ	VYBER	2640	36077	\N	\N	\N
2628063	8688	1997-04-30	VYDAJ	VYBER	15	37971	SLUZBY	\N	\N
2628064	8688	1997-05-31	VYDAJ	VYBER	15	35509	SLUZBY	\N	\N
2628065	8688	1997-06-30	VYDAJ	VYBER	15	30311	SLUZBY	\N	\N
2628066	8688	1997-07-31	VYDAJ	VYBER	15	38423	SLUZBY	\N	\N
2628067	8688	1997-08-31	VYDAJ	VYBER	15	36352	SLUZBY	\N	\N
2628068	8688	1997-09-30	VYDAJ	VYBER	15	38862	SLUZBY	\N	\N
2628069	8688	1997-10-31	VYDAJ	VYBER	15	38955	SLUZBY	\N	\N
2628070	8688	1997-11-30	VYDAJ	VYBER	15	43697	SLUZBY	\N	\N
2628071	8688	1997-12-31	VYDAJ	VYBER	15	49468	SLUZBY	\N	\N
2628072	8688	1998-01-31	VYDAJ	VYBER	15	33688	SLUZBY	\N	\N
2628073	8688	1998-02-28	VYDAJ	VYBER	15	39493	SLUZBY	\N	\N
2628074	8688	1998-03-31	VYDAJ	VYBER	15	46707	SLUZBY	\N	\N
2628075	8688	1998-04-30	VYDAJ	VYBER	15	51022	SLUZBY	\N	\N
2628076	8688	1998-05-31	VYDAJ	VYBER	15	51623	SLUZBY	\N	\N
2628077	8688	1998-06-30	VYDAJ	VYBER	15	36459	SLUZBY	\N	\N
2628078	8688	1998-07-31	VYDAJ	VYBER	15	41290	SLUZBY	\N	\N
2628079	8688	1998-08-31	VYDAJ	VYBER	15	40257	SLUZBY	\N	\N
2628080	8688	1998-09-30	VYDAJ	VYBER	15	44656	SLUZBY	\N	\N
2628081	8688	1998-10-31	VYDAJ	VYBER	15	39080	SLUZBY	\N	\N
2628082	8688	1998-11-30	VYDAJ	VYBER	15	38100	SLUZBY	\N	\N
2628083	8688	1996-12-22	VYDAJ	VYBER	100	26754	\N	\N	\N
2628084	8688	1997-01-21	VYDAJ	VYBER	7600	36858	\N	\N	\N
2628085	8688	1997-02-20	VYDAJ	VYBER	16800	37870	\N	\N	\N
2628086	8688	1997-03-22	VYDAJ	VYBER	14100	41606	\N	\N	\N
2628087	8688	1997-04-21	VYDAJ	VYBER	16100	37690	\N	\N	\N
2628088	8688	1997-05-21	VYDAJ	VYBER	13500	36442	\N	\N	\N
2628089	8688	1997-06-20	VYDAJ	VYBER	12400	40178	\N	\N	\N
2628090	8688	1997-07-20	VYDAJ	VYBER	4100	38182	\N	\N	\N
2628091	8688	1997-08-19	VYDAJ	VYBER	10400	39994	\N	\N	\N
2628092	8688	1997-09-18	VYDAJ	VYBER	6900	38543	\N	\N	\N
2628093	8688	1997-10-18	VYDAJ	VYBER	10700	40133	\N	\N	\N
2628094	8688	1997-11-17	VYDAJ	VYBER	7500	43426	\N	\N	\N
2628095	8688	1997-12-17	VYDAJ	VYBER	11100	49066	\N	\N	\N
2628096	8688	1998-01-16	VYDAJ	VYBER	4700	44859	\N	\N	\N
2628097	8688	1998-02-15	VYDAJ	VYBER	6400	39259	\N	\N	\N
2628098	8688	1998-03-17	VYDAJ	VYBER	5100	46364	\N	\N	\N
2628099	8688	1998-04-16	VYDAJ	VYBER	7000	57343	\N	\N	\N
2628100	8688	1998-05-16	VYDAJ	VYBER	8900	51198	\N	\N	\N
2628101	8688	1998-06-15	VYDAJ	VYBER	5200	38717	\N	\N	\N
2628102	8688	1998-07-15	VYDAJ	VYBER	7000	47095	\N	\N	\N
2628103	8688	1998-08-14	VYDAJ	VYBER	9800	45046	\N	\N	\N
2628104	8688	1998-09-13	VYDAJ	VYBER	6700	44393	\N	\N	\N
2628105	8688	1998-10-13	VYDAJ	VYBER	15700	46592	\N	\N	\N
2628106	8688	1998-11-12	VYDAJ	VYBER	12300	44416	\N	\N	\N
2634694	8713	1997-05-18	PRIJEM	VKLAD	400	400	\N	\N	\N
2634700	8713	1997-06-11	PRIJEM	PREVOD Z UCTU	25605	26005	\N	ST	5046850
2634701	8713	1997-07-11	PRIJEM	PREVOD Z UCTU	17070	45180	\N	ST	5046850
2634702	8713	1997-08-11	PRIJEM	PREVOD Z UCTU	17070	51142	\N	ST	5046850
2634703	8713	1997-09-11	PRIJEM	PREVOD Z UCTU	17070	53330	\N	ST	5046850
2634704	8713	1997-10-11	PRIJEM	PREVOD Z UCTU	17070	56839	\N	ST	5046850
2634705	8713	1997-11-11	PRIJEM	PREVOD Z UCTU	17070	45603	\N	ST	5046850
2634706	8713	1997-12-11	PRIJEM	PREVOD Z UCTU	25605	41634	\N	ST	5046850
2634707	8713	1998-01-11	PRIJEM	PREVOD Z UCTU	17070	39608	\N	ST	5046850
2634708	8713	1998-02-11	PRIJEM	PREVOD Z UCTU	17070	18265	\N	ST	5046850
2634709	8713	1998-03-11	PRIJEM	PREVOD Z UCTU	17070	31848	\N	ST	5046850
2634710	8713	1998-04-11	PRIJEM	PREVOD Z UCTU	17070	25120	\N	ST	5046850
2634711	8713	1998-05-11	PRIJEM	PREVOD Z UCTU	17070	47377	\N	ST	5046850
2634712	8713	1998-06-11	PRIJEM	PREVOD Z UCTU	25605	52492	\N	ST	5046850
2634713	8713	1998-07-11	PRIJEM	PREVOD Z UCTU	17070	29773	\N	ST	5046850
2634714	8713	1998-08-11	PRIJEM	PREVOD Z UCTU	17070	44588	\N	ST	5046850
2634715	8713	1998-09-11	PRIJEM	PREVOD Z UCTU	17070	56929	\N	ST	5046850
2634716	8713	1998-10-11	PRIJEM	PREVOD Z UCTU	17070	52507	\N	ST	5046850
2634717	8713	1998-11-11	PRIJEM	PREVOD Z UCTU	17070	55328	\N	ST	5046850
2634718	8713	1998-12-11	PRIJEM	PREVOD Z UCTU	25605	65611	\N	ST	5046850
2634728	8713	1997-10-20	VYDAJ	VYBER	2500	28339	\N	\N	0
2634729	8713	1997-11-12	VYDAJ	VYBER	2700	42903	\N	\N	0
2634730	8713	1997-12-06	VYDAJ	VYBER	2600	16029	\N	\N	0
2634731	8713	1998-01-11	VYDAJ	VYBER	2300	29208	\N	\N	0
2634732	8713	1998-02-13	VYDAJ	VYBER	2100	21965	\N	\N	0
2634733	8713	1998-03-02	VYDAJ	VYBER	2500	14778	\N	\N	0
2634734	8713	1998-04-12	VYDAJ	VYBER	2800	22320	\N	\N	0
2634735	8713	1998-05-11	VYDAJ	VYBER	2700	44677	\N	\N	0
2634736	8713	1998-06-12	VYDAJ	VYBER	2500	39892	\N	\N	0
2634737	8713	1998-07-11	VYDAJ	VYBER	3000	26773	\N	\N	0
2634738	8713	1998-08-12	VYDAJ	PREVOD NA UCET	2845	36443	UVER	ST	10424369
2634739	8713	1998-09-12	VYDAJ	PREVOD NA UCET	2845	54084	UVER	ST	10424369
2634740	8713	1998-10-12	VYDAJ	PREVOD NA UCET	2845	49662	UVER	ST	10424369
2634741	8713	1998-11-12	VYDAJ	PREVOD NA UCET	2845	52483	UVER	ST	10424369
2634742	8713	1998-12-12	VYDAJ	PREVOD NA UCET	2845	62766	UVER	ST	10424369
2634744	8713	1998-12-24	VYBER	VYBER	21528	14508	\N	\N	\N
2634745	8713	1998-06-28	VYBER	VYBER	19896	12496	\N	\N	\N
2634746	8713	1998-09-15	VYBER	VYBER	2075	52009	\N	\N	\N
2634747	8713	1998-02-03	VYBER	VYBER	8936	1195	\N	\N	\N
2634748	8713	1998-12-19	VYBER	VYBER	23430	39336	\N	\N	\N
2634750	8713	1998-09-22	VYBER	VYBER	9765	42244	\N	\N	\N
2634751	8713	1998-03-18	VYBER	VYBER	17342	16006	\N	\N	\N
2634752	8713	1998-06-01	VYBER	VYBER	11866	26887	\N	\N	\N
2634754	8713	1998-10-15	VYBER	VYBER	9115	40547	\N	\N	\N
2634759	8713	1997-12-19	VYDAJ	VYBER	3900	30134	\N	\N	\N
2634760	8713	1998-12-02	VYDAJ	VYBER	4200	48606	\N	\N	\N
2634767	8713	1998-01-16	VYDAJ	VYBER	2100	23208	\N	\N	\N
2634768	8713	1998-01-03	VYDAJ	VYBER	7800	22538	\N	\N	\N
2634769	8713	1998-01-11	VYDAJ	VYBER	8100	31508	\N	\N	\N
2634770	8713	1998-01-18	VYDAJ	VYBER	8100	15108	\N	\N	\N
2634771	8713	1998-01-15	VYDAJ	VYBER	6300	25308	\N	\N	\N
2634772	8713	1998-01-27	VYDAJ	VYBER	5100	10008	\N	\N	\N
2634775	8713	1997-12-03	VYDAJ	VYBER	10200	18629	\N	\N	\N
2634777	8713	1997-10-16	VYDAJ	VYBER	10200	30839	\N	\N	\N
2634778	8713	1997-11-15	VYDAJ	VYBER	5400	28603	\N	\N	\N
2634779	8713	1998-06-15	VYDAJ	VYBER	7500	32392	\N	\N	\N
2634780	8713	1998-09-29	VYDAJ	VYBER	3900	38344	\N	\N	\N
2634781	8713	1998-03-02	VYDAJ	VYBER	4800	17278	\N	\N	\N
2634782	8713	1998-04-10	VYDAJ	VYBER	8100	8050	\N	\N	\N
2634783	8713	1998-12-21	VYDAJ	VYBER	3300	36036	\N	\N	\N
2634794	8713	1997-10-31	VYDAJ	VYBER	15	28533	SLUZBY	\N	\N
2634795	8713	1997-11-30	VYDAJ	VYBER	15	28829	SLUZBY	\N	\N
2634796	8713	1997-12-31	VYDAJ	VYBER	15	30338	SLUZBY	\N	\N
2634797	8713	1998-01-31	VYDAJ	VYBER	15	10131	SLUZBY	\N	\N
2634798	8713	1998-02-28	VYDAJ	VYBER	15	22078	SLUZBY	\N	\N
2634799	8713	1998-03-31	VYDAJ	VYBER	15	16150	SLUZBY	\N	\N
2634800	8713	1998-04-30	VYDAJ	VYBER	15	30307	SLUZBY	\N	\N
2634801	8713	1998-05-31	VYDAJ	VYBER	15	38753	SLUZBY	\N	\N
2634802	8713	1998-06-30	VYDAJ	VYBER	15	12703	SLUZBY	\N	\N
2634803	8713	1998-07-31	VYDAJ	VYBER	15	27518	SLUZBY	\N	\N
2634804	8713	1998-08-31	VYDAJ	VYBER	15	36659	SLUZBY	\N	\N
2634805	8713	1998-09-30	VYDAJ	VYBER	15	38637	SLUZBY	\N	\N
2634806	8713	1998-10-31	VYDAJ	VYBER	15	40858	SLUZBY	\N	\N
2634807	8713	1998-11-30	VYDAJ	VYBER	15	52806	SLUZBY	\N	\N
2634808	8713	1997-06-17	PRIJEM	VKLAD	2000	28005	\N	\N	\N
2634809	8713	1997-07-17	VYDAJ	VYBER	11300	33880	\N	\N	\N
2634810	8713	1997-08-16	VYDAJ	VYBER	15100	36042	\N	\N	\N
2634811	8713	1997-09-15	VYDAJ	VYBER	13800	39530	\N	\N	\N
2634812	8713	1997-10-15	VYDAJ	VYBER	15800	41039	\N	\N	\N
2634813	8713	1997-11-14	VYDAJ	VYBER	8900	34003	\N	\N	\N
2634814	8713	1997-12-14	VYDAJ	VYBER	7600	34034	\N	\N	\N
2634815	8713	1998-01-13	PRIJEM	VKLAD	2400	31608	\N	\N	\N
2634816	8713	1998-02-12	PRIJEM	VKLAD	5800	24065	\N	\N	\N
2634817	8713	1998-03-14	PRIJEM	VKLAD	1500	33348	\N	\N	\N
2634818	8713	1998-04-13	PRIJEM	VKLAD	7800	30120	\N	\N	\N
2634819	8713	1998-05-13	VYDAJ	VYBER	6200	38477	\N	\N	\N
2634820	8713	1998-06-12	VYDAJ	VYBER	10100	42392	\N	\N	\N
2634821	8713	1998-07-12	PRIJEM	VKLAD	600	27373	\N	\N	\N
2634822	8713	1998-08-11	VYDAJ	VYBER	5300	39288	\N	\N	\N
2634823	8713	1998-09-10	PRIJEM	VKLAD	3200	39859	\N	\N	\N
2634824	8713	1998-10-10	VYDAJ	VYBER	3200	35437	\N	\N	\N
2634825	8713	1998-11-09	VYDAJ	VYBER	2600	38258	\N	\N	\N
2634826	8713	1998-12-09	VYDAJ	VYBER	8600	40006	\N	\N	\N
2643928	8742	1997-01-28	PRIJEM	VKLAD	900	900	\N	\N	\N
2643930	8742	1997-02-12	PRIJEM	VKLAD	15664	16564	\N	\N	\N
2643931	8742	1997-03-12	PRIJEM	VKLAD	15664	33236	\N	\N	\N
2643932	8742	1997-04-12	PRIJEM	VKLAD	15664	46787	\N	\N	\N
2643933	8742	1997-05-12	PRIJEM	VKLAD	15664	55094	\N	\N	\N
2643934	8742	1997-06-12	PRIJEM	VKLAD	23496	61771	\N	\N	\N
2643935	8742	1997-07-12	PRIJEM	VKLAD	15664	33728	\N	\N	\N
2643936	8742	1997-08-12	PRIJEM	VKLAD	15664	41398	\N	\N	\N
2643937	8742	1997-09-12	PRIJEM	VKLAD	15664	40072	\N	\N	\N
2643938	8742	1997-10-12	PRIJEM	VKLAD	15664	37406	\N	\N	\N
2643939	8742	1997-11-12	PRIJEM	VKLAD	15664	35720	\N	\N	\N
2643940	8742	1997-12-12	PRIJEM	VKLAD	23496	41595	\N	\N	\N
2643941	8742	1998-01-12	PRIJEM	VKLAD	15664	33035	\N	\N	\N
2643942	8742	1998-02-12	PRIJEM	VKLAD	15664	25456	\N	\N	\N
2643943	8742	1998-03-12	PRIJEM	VKLAD	15664	30285	\N	\N	\N
2643944	8742	1998-04-12	PRIJEM	VKLAD	15664	32460	\N	\N	\N
2643945	8742	1998-05-12	PRIJEM	VKLAD	15664	33357	\N	\N	\N
2643946	8742	1998-06-12	PRIJEM	VKLAD	23496	38179	\N	\N	\N
2643947	8742	1998-07-12	PRIJEM	VKLAD	15664	27927	\N	\N	\N
2643948	8742	1998-08-12	PRIJEM	VKLAD	15664	27379	\N	\N	\N
2643949	8742	1998-09-12	PRIJEM	VKLAD	15664	25689	\N	\N	\N
2643950	8742	1998-10-12	PRIJEM	VKLAD	15664	26210	\N	\N	\N
2643951	8742	1998-11-12	PRIJEM	VKLAD	15664	24788	\N	\N	\N
2643952	8742	1998-12-12	PRIJEM	VKLAD	23496	34140	\N	\N	\N
2643959	8742	1997-07-07	VYDAJ	PREVOD NA UCET	68	18064	SIPO	MN	70177709
2643960	8742	1997-08-07	VYDAJ	PREVOD NA UCET	68	25734	SIPO	MN	70177709
2643961	8742	1997-09-07	VYDAJ	PREVOD NA UCET	68	24408	SIPO	MN	70177709
2643962	8742	1997-10-07	VYDAJ	PREVOD NA UCET	68	21742	SIPO	MN	70177709
2643963	8742	1997-11-07	VYDAJ	PREVOD NA UCET	68	20056	SIPO	MN	70177709
2643964	8742	1997-12-07	VYDAJ	PREVOD NA UCET	68	20979	SIPO	MN	70177709
2643965	8742	1998-01-07	VYDAJ	PREVOD NA UCET	68	18211	SIPO	MN	70177709
2643966	8742	1998-02-07	VYDAJ	PREVOD NA UCET	68	9792	SIPO	MN	70177709
2643967	8742	1998-03-07	VYDAJ	PREVOD NA UCET	68	14621	SIPO	MN	70177709
2643968	8742	1998-04-07	VYDAJ	PREVOD NA UCET	68	16796	SIPO	MN	70177709
2643969	8742	1998-05-07	VYDAJ	PREVOD NA UCET	68	19373	SIPO	MN	70177709
2643970	8742	1998-06-07	VYDAJ	PREVOD NA UCET	68	14683	SIPO	MN	70177709
2643971	8742	1998-07-07	VYDAJ	PREVOD NA UCET	68	12263	SIPO	MN	70177709
2643972	8742	1998-08-07	VYDAJ	PREVOD NA UCET	68	14915	SIPO	MN	70177709
2643973	8742	1998-09-07	VYDAJ	PREVOD NA UCET	68	10025	SIPO	MN	70177709
2643974	8742	1998-10-07	VYDAJ	PREVOD NA UCET	68	10546	SIPO	MN	70177709
2643975	8742	1998-11-07	VYDAJ	PREVOD NA UCET	68	11324	SIPO	MN	70177709
2643976	8742	1998-12-07	VYDAJ	PREVOD NA UCET	68	10644	SIPO	MN	70177709
2643982	8742	1997-06-14	VYDAJ	PREVOD NA UCET	235	57576	 	EF	59493338
2643983	8742	1997-07-14	VYDAJ	PREVOD NA UCET	235	31193	 	EF	59493338
2643984	8742	1997-08-14	VYDAJ	PREVOD NA UCET	235	38401	 	EF	59493338
2643985	8742	1997-09-14	VYDAJ	PREVOD NA UCET	235	37075	 	EF	59493338
2643986	8742	1997-10-14	VYDAJ	PREVOD NA UCET	235	34409	 	EF	59493338
2643987	8742	1997-11-14	VYDAJ	PREVOD NA UCET	235	32723	 	EF	59493338
2643988	8742	1997-12-14	VYDAJ	PREVOD NA UCET	235	38598	 	EF	59493338
2643989	8742	1998-01-14	VYDAJ	PREVOD NA UCET	235	30038	 	EF	59493338
2643990	8742	1998-02-14	VYDAJ	PREVOD NA UCET	235	22459	 	EF	59493338
2643991	8742	1998-03-14	VYDAJ	PREVOD NA UCET	235	27288	 	EF	59493338
2643992	8742	1998-04-14	VYDAJ	PREVOD NA UCET	235	29463	 	EF	59493338
2643993	8742	1998-05-14	VYDAJ	PREVOD NA UCET	235	30360	 	EF	59493338
2643994	8742	1998-06-14	VYDAJ	PREVOD NA UCET	235	19502	 	EF	59493338
2643995	8742	1998-07-14	VYDAJ	PREVOD NA UCET	235	24930	 	EF	59493338
2643996	8742	1998-08-14	VYDAJ	PREVOD NA UCET	235	27144	 	EF	59493338
2643997	8742	1998-09-14	VYDAJ	PREVOD NA UCET	235	25454	 	EF	59493338
2643998	8742	1998-10-14	VYDAJ	PREVOD NA UCET	235	23475	 	EF	59493338
2643999	8742	1998-11-14	VYDAJ	PREVOD NA UCET	235	24553	 	EF	59493338
2644000	8742	1998-12-14	VYDAJ	PREVOD NA UCET	235	30605	 	EF	59493338
2644007	8742	1997-07-05	VYDAJ	PREVOD NA UCET	6089	18132	POJISTNE	YZ	45149773
2644008	8742	1997-08-05	VYDAJ	PREVOD NA UCET	6089	25802	POJISTNE	YZ	45149773
2644009	8742	1997-09-05	VYDAJ	PREVOD NA UCET	6089	24476	POJISTNE	YZ	45149773
2644010	8742	1997-10-05	VYDAJ	PREVOD NA UCET	6089	21810	POJISTNE	YZ	45149773
2644011	8742	1997-11-05	VYDAJ	PREVOD NA UCET	6089	20124	POJISTNE	YZ	45149773
2644012	8742	1997-12-05	VYDAJ	PREVOD NA UCET	6089	21047	POJISTNE	YZ	45149773
2644013	8742	1998-01-05	VYDAJ	PREVOD NA UCET	6089	18279	POJISTNE	YZ	45149773
2644014	8742	1998-02-05	VYDAJ	PREVOD NA UCET	6089	9860	POJISTNE	YZ	45149773
2644015	8742	1998-03-05	VYDAJ	PREVOD NA UCET	6089	14689	POJISTNE	YZ	45149773
2644016	8742	1998-04-05	VYDAJ	PREVOD NA UCET	6089	16864	POJISTNE	YZ	45149773
2644017	8742	1998-05-05	VYDAJ	PREVOD NA UCET	6089	19441	POJISTNE	YZ	45149773
2644018	8742	1998-06-05	VYDAJ	PREVOD NA UCET	6089	14751	POJISTNE	YZ	45149773
2644019	8742	1998-07-05	VYDAJ	PREVOD NA UCET	6089	12331	POJISTNE	YZ	45149773
2644020	8742	1998-08-05	VYDAJ	PREVOD NA UCET	6089	14983	POJISTNE	YZ	45149773
2644021	8742	1998-09-05	VYDAJ	PREVOD NA UCET	6089	10093	POJISTNE	YZ	45149773
2644022	8742	1998-10-05	VYDAJ	PREVOD NA UCET	6089	10614	POJISTNE	YZ	45149773
2644023	8742	1998-11-05	VYDAJ	PREVOD NA UCET	6089	11392	POJISTNE	YZ	45149773
2644024	8742	1998-12-05	VYDAJ	PREVOD NA UCET	6089	10712	POJISTNE	YZ	45149773
2644030	8742	1997-06-07	VYDAJ	VYBER	2300	38275	\N	\N	0
2644031	8742	1997-07-13	VYDAJ	VYBER	2300	31428	\N	\N	0
2644032	8742	1997-08-12	VYDAJ	PREVOD NA UCET	2762	38636	UVER	GH	12393570
2644033	8742	1997-09-12	VYDAJ	PREVOD NA UCET	2762	37310	UVER	GH	12393570
2644034	8742	1997-10-12	VYDAJ	PREVOD NA UCET	2762	34644	UVER	GH	12393570
2644035	8742	1997-11-12	VYDAJ	PREVOD NA UCET	2762	32958	UVER	GH	12393570
2644036	8742	1997-12-12	VYDAJ	PREVOD NA UCET	2762	38833	UVER	GH	12393570
2644037	8742	1998-01-12	VYDAJ	PREVOD NA UCET	2762	30273	UVER	GH	12393570
2644038	8742	1998-02-12	VYDAJ	PREVOD NA UCET	2762	22694	UVER	GH	12393570
2644039	8742	1998-03-12	VYDAJ	PREVOD NA UCET	2762	27523	UVER	GH	12393570
2644040	8742	1998-04-12	VYDAJ	PREVOD NA UCET	2762	29698	UVER	GH	12393570
2644041	8742	1998-05-12	VYDAJ	PREVOD NA UCET	2762	30595	UVER	GH	12393570
2644042	8742	1998-06-12	VYDAJ	PREVOD NA UCET	2762	19737	UVER	GH	12393570
2644043	8742	1998-07-12	VYDAJ	PREVOD NA UCET	2762	25165	UVER	GH	12393570
2644044	8742	1998-08-08	VYDAJ	VYBER	3200	11715	\N	\N	0
2644045	8742	1998-09-20	VYDAJ	VYBER	2600	22854	\N	\N	0
2644046	8742	1998-10-13	VYDAJ	VYBER	2500	23710	\N	\N	0
2644047	8742	1998-11-11	VYDAJ	VYBER	2200	9124	\N	\N	0
2644048	8742	1998-12-12	VYDAJ	VYBER	3300	30840	\N	\N	0
2644049	8742	1997-06-18	VYDAJ	VYBER	34880	22696	\N	\N	\N
2644050	8742	1998-06-12	VYDAJ	VYBER	15680	22499	\N	\N	\N
2644052	8742	1998-01-16	VYDAJ	VYBER	5280	23678	\N	\N	\N
2644053	8742	1997-12-10	VYDAJ	VYBER	2880	18099	\N	\N	\N
2644054	8742	1998-12-30	VYDAJ	VYBER	1760	21845	\N	\N	\N
2644062	8742	1998-01-22	VYDAJ	VYBER	2160	14918	\N	\N	\N
2644063	8742	1998-01-01	VYDAJ	VYBER	3360	24368	\N	\N	\N
2644064	8742	1998-01-19	VYDAJ	VYBER	3360	17078	\N	\N	\N
2644065	8742	1998-01-08	VYDAJ	VYBER	840	17371	\N	\N	\N
2644067	8742	1997-09-26	VYDAJ	VYBER	1320	27655	\N	\N	\N
2644068	8742	1997-06-12	VYDAJ	VYBER	3960	57811	\N	\N	\N
2644074	8742	1998-08-21	VYDAJ	VYBER	5880	21264	\N	\N	\N
2644076	8742	1998-01-18	VYDAJ	VYBER	3240	20438	\N	\N	\N
2644077	8742	1998-09-26	VYDAJ	VYBER	4680	16574	\N	\N	\N
2644078	8742	1998-11-21	VYDAJ	VYBER	3360	16693	\N	\N	\N
2644079	8742	1998-01-15	VYDAJ	VYBER	1080	28958	\N	\N	\N
2644080	8742	1998-05-10	VYDAJ	VYBER	1680	17693	\N	\N	\N
2644081	8742	1998-08-29	VYDAJ	VYBER	1920	16044	\N	\N	\N
2644088	8742	1997-06-30	VYDAJ	VYBER	15	24221	SLUZBY	\N	\N
2644089	8742	1997-07-31	VYDAJ	VYBER	15	31891	SLUZBY	\N	\N
2644090	8742	1997-08-31	VYDAJ	VYBER	15	30565	SLUZBY	\N	\N
2644091	8742	1997-09-30	VYDAJ	VYBER	15	27899	SLUZBY	\N	\N
2644092	8742	1997-10-31	VYDAJ	VYBER	15	26213	SLUZBY	\N	\N
2644093	8742	1997-11-30	VYDAJ	VYBER	15	27136	SLUZBY	\N	\N
2644094	8742	1997-12-31	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
2644095	8742	1998-01-31	VYDAJ	VYBER	15	15949	SLUZBY	\N	\N
2644096	8742	1998-02-28	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
2644097	8742	1998-03-31	VYDAJ	VYBER	15	22953	SLUZBY	\N	\N
2644098	8742	1998-04-30	VYDAJ	VYBER	15	25530	SLUZBY	\N	\N
2644099	8742	1998-05-31	VYDAJ	VYBER	15	20840	SLUZBY	\N	\N
2644100	8742	1998-06-30	VYDAJ	VYBER	15	18420	SLUZBY	\N	\N
2644101	8742	1998-07-31	VYDAJ	VYBER	15	21072	SLUZBY	\N	\N
2644102	8742	1998-08-31	VYDAJ	VYBER	15	16182	SLUZBY	\N	\N
2644103	8742	1998-09-30	VYDAJ	VYBER	15	16703	SLUZBY	\N	\N
2644104	8742	1998-10-31	VYDAJ	VYBER	15	17481	SLUZBY	\N	\N
2644105	8742	1998-11-30	VYDAJ	VYBER	15	16801	SLUZBY	\N	\N
2644106	8742	1997-02-27	PRIJEM	VKLAD	1000	17564	\N	\N	\N
2644107	8742	1997-03-29	VYDAJ	VYBER	2200	31036	\N	\N	\N
2644108	8742	1997-04-28	VYDAJ	VYBER	7500	39287	\N	\N	\N
2644109	8742	1997-05-28	VYDAJ	VYBER	14700	40394	\N	\N	\N
2644110	8742	1997-06-27	PRIJEM	VKLAD	1300	23996	\N	\N	\N
2644111	8742	1997-07-27	PRIJEM	VKLAD	500	31693	\N	\N	\N
2644112	8742	1997-08-26	VYDAJ	VYBER	8100	30301	\N	\N	\N
2644113	8742	1997-09-25	VYDAJ	VYBER	8100	28975	\N	\N	\N
2644114	8742	1997-10-25	VYDAJ	VYBER	8400	26009	\N	\N	\N
2644115	8742	1997-11-24	VYDAJ	VYBER	5800	26923	\N	\N	\N
2644116	8742	1997-12-24	VYDAJ	VYBER	11100	27498	\N	\N	\N
2644117	8742	1998-01-23	PRIJEM	VKLAD	900	15818	\N	\N	\N
2644118	8742	1998-02-22	VYDAJ	VYBER	1800	20659	\N	\N	\N
2644119	8742	1998-03-24	VYDAJ	VYBER	4500	22788	\N	\N	\N
2644120	8742	1998-04-23	VYDAJ	VYBER	4100	25363	\N	\N	\N
2644121	8742	1998-05-23	VYDAJ	VYBER	9700	20660	\N	\N	\N
2644122	8742	1998-06-22	VYDAJ	VYBER	1200	18302	\N	\N	\N
2644123	8742	1998-07-22	VYDAJ	VYBER	4000	20930	\N	\N	\N
2644124	8742	1998-08-21	VYDAJ	VYBER	3300	17964	\N	\N	\N
2644125	8742	1998-09-20	VYDAJ	VYBER	1600	21254	\N	\N	\N
2644126	8742	1998-10-20	VYDAJ	VYBER	6100	17375	\N	\N	\N
2644127	8742	1998-11-19	VYDAJ	VYBER	4500	20053	\N	\N	\N
2644128	8742	1998-12-19	VYDAJ	VYBER	7000	23605	\N	\N	\N
2648406	8759	1993-09-18	PRIJEM	VKLAD	600	600	\N	\N	\N
2648407	8759	1993-12-24	PRIJEM	VKLAD	13325	68073	\N	\N	\N
2648414	8759	1993-11-22	PRIJEM	VKLAD	28499	52988	\N	\N	\N
2648416	8759	1993-11-22	PRIJEM	VKLAD	34247	87235	\N	\N	\N
2648418	8759	1993-11-21	PRIJEM	VKLAD	5889	24489	\N	\N	\N
2648420	8759	1994-01-08	PRIJEM	VKLAD	38072	118219	\N	\N	\N
2648421	8759	1994-09-15	PRIJEM	VKLAD	14294	74096	\N	\N	\N
2648422	8759	1994-02-19	PRIJEM	VKLAD	25565	72710	\N	\N	\N
2648423	8759	1994-07-25	PRIJEM	VKLAD	16974	53081	\N	\N	\N
2648424	8759	1994-03-07	PRIJEM	VKLAD	6903	70353	\N	\N	\N
2648425	8759	1994-02-20	PRIJEM	VKLAD	48992	121702	\N	\N	\N
2648426	8759	1994-11-13	PRIJEM	VKLAD	24827	80066	\N	\N	\N
2648427	8759	1994-12-22	PRIJEM	VKLAD	28130	60715	\N	\N	\N
2648428	8759	1994-03-21	PRIJEM	VKLAD	42490	86643	\N	\N	\N
2648429	8759	1994-05-16	PRIJEM	VKLAD	10904	68452	\N	\N	\N
2648430	8759	1994-01-04	PRIJEM	VKLAD	11667	80147	\N	\N	\N
2648431	8759	1994-06-14	PRIJEM	VKLAD	41394	40656	\N	\N	\N
2648432	8759	1994-06-23	PRIJEM	VKLAD	42200	166413	\N	\N	\N
2648433	8759	1994-06-29	PRIJEM	VKLAD	11321	115734	\N	\N	\N
2648434	8759	1994-04-12	PRIJEM	VKLAD	42708	126178	\N	\N	\N
2648435	8759	1994-07-07	PRIJEM	VKLAD	26376	64811	\N	\N	\N
2648436	8759	1994-09-08	PRIJEM	VKLAD	47538	88302	\N	\N	\N
2648437	8759	1994-02-05	PRIJEM	VKLAD	18800	70245	\N	\N	\N
2648438	8759	1994-01-18	PRIJEM	VKLAD	14965	64484	\N	\N	\N
2648439	8759	1994-06-17	PRIJEM	VKLAD	46206	82562	\N	\N	\N
2648440	8759	1994-06-23	PRIJEM	VKLAD	41651	124213	\N	\N	\N
2648441	8759	1994-10-17	PRIJEM	VKLAD	16664	79495	\N	\N	\N
2648442	8759	1994-10-26	PRIJEM	VKLAD	48342	107940	\N	\N	\N
2648443	8759	1994-11-03	PRIJEM	VKLAD	10025	55812	\N	\N	\N
2648444	8759	1994-11-07	PRIJEM	VKLAD	16827	72639	\N	\N	\N
2648445	8759	1994-09-18	PRIJEM	VKLAD	25501	99597	\N	\N	\N
2648446	8759	1994-09-27	PRIJEM	VKLAD	13136	112733	\N	\N	\N
2648447	8759	1994-12-24	PRIJEM	VKLAD	10492	71207	\N	\N	\N
2648448	8759	1995-09-06	PRIJEM	VKLAD	37715	94891	\N	\N	\N
2648449	8759	1995-12-11	PRIJEM	VKLAD	49919	106601	\N	\N	\N
2648450	8759	1995-08-01	PRIJEM	VKLAD	9516	71205	\N	\N	\N
2648451	8759	1995-03-24	PRIJEM	VKLAD	26253	106314	\N	\N	\N
2648452	8759	1995-07-20	PRIJEM	VKLAD	22605	69005	\N	\N	\N
2648453	8759	1995-10-11	PRIJEM	VKLAD	18739	79517	\N	\N	\N
2648454	8759	1995-03-19	PRIJEM	VKLAD	42189	92165	\N	\N	\N
2648455	8759	1995-11-30	PRIJEM	VKLAD	34883	107921	\N	\N	\N
2648456	8759	1995-01-02	PRIJEM	VKLAD	6452	78176	\N	\N	\N
2648457	8759	1995-03-01	PRIJEM	VKLAD	18954	82323	\N	\N	\N
2648458	8759	1995-04-21	PRIJEM	VKLAD	49440	95433	\N	\N	\N
2648459	8759	1995-07-12	PRIJEM	VKLAD	12999	46400	\N	\N	\N
2648460	8759	1995-10-24	PRIJEM	VKLAD	15206	94723	\N	\N	\N
2648461	8759	1995-01-09	PRIJEM	VKLAD	14111	84487	\N	\N	\N
2648462	8759	1995-03-23	PRIJEM	VKLAD	18196	110361	\N	\N	\N
2648463	8759	1995-05-31	PRIJEM	VKLAD	22938	87392	\N	\N	\N
2648464	8759	1995-01-29	PRIJEM	VKLAD	24894	65081	\N	\N	\N
2648465	8759	1995-03-31	PRIJEM	VKLAD	13459	120507	\N	\N	\N
2648466	8759	1995-12-04	PRIJEM	VKLAD	31710	140188	\N	\N	\N
2648467	8759	1995-02-10	PRIJEM	VKLAD	48989	91602	\N	\N	\N
2648468	8759	1995-09-19	PRIJEM	VKLAD	29123	95814	\N	\N	\N
2648469	8759	1995-03-01	PRIJEM	VKLAD	49453	131776	\N	\N	\N
2648470	8759	1995-06-09	PRIJEM	VKLAD	22067	29426	\N	\N	\N
2648471	8759	1995-11-16	PRIJEM	VKLAD	19895	73038	\N	\N	\N
2648472	8759	1996-05-03	PRIJEM	VKLAD	49818	94589	\N	\N	\N
2648473	8759	1996-04-12	PRIJEM	VKLAD	8175	44510	\N	\N	\N
2648474	8759	1996-02-21	PRIJEM	VKLAD	21528	63780	\N	\N	\N
2648475	8759	1996-09-28	PRIJEM	VKLAD	12423	35423	\N	\N	\N
2648476	8759	1996-06-29	PRIJEM	VKLAD	49498	77775	\N	\N	\N
2648477	8759	1996-07-28	PRIJEM	VKLAD	36804	91911	\N	\N	\N
2648478	8759	1996-11-08	PRIJEM	VKLAD	22769	67722	\N	\N	\N
2648479	8759	1997-02-09	PRIJEM	VKLAD	6284	34217	\N	\N	\N
2648480	8759	1997-10-07	PRIJEM	VKLAD	37391	77522	\N	\N	\N
2648481	8759	1997-10-13	PRIJEM	VKLAD	34931	112453	\N	\N	\N
2648482	8759	1998-07-12	PRIJEM	VKLAD	10873	45508	\N	\N	\N
2648483	8759	1998-10-19	PRIJEM	VKLAD	31768	88234	\N	\N	\N
2648484	8759	1998-08-11	PRIJEM	VKLAD	23222	67221	\N	\N	\N
2648485	8759	1998-08-13	PRIJEM	VKLAD	44407	111628	\N	\N	\N
2648486	8759	1998-07-22	PRIJEM	VKLAD	15443	60951	\N	\N	\N
2648562	8759	1994-07-19	VYBER	VYBER	7748	36107	\N	\N	\N
2648563	8759	1994-06-09	VYBER	VYBER	7090	-739	\N	\N	\N
2648564	8759	1994-10-24	VYBER	VYBER	7985	59598	\N	\N	\N
2648565	8759	1994-12-15	VYBER	VYBER	19841	37685	\N	\N	\N
2648566	8759	1994-07-14	VYBER	VYBER	11256	53555	\N	\N	\N
2648567	8759	1994-10-20	VYBER	VYBER	11912	67583	\N	\N	\N
2648568	8759	1994-07-05	VYBER	VYBER	17623	38435	\N	\N	\N
2648569	8759	1994-11-02	VYBER	VYBER	9747	45787	\N	\N	\N
2648570	8759	1995-11-13	VYBER	VYBER	5127	53143	\N	\N	\N
2648571	8759	1995-07-29	VYBER	VYBER	7634	61371	\N	\N	\N
2648572	8759	1995-11-02	VYBER	VYBER	17311	77970	\N	\N	\N
2648573	8759	1995-02-09	VYBER	VYBER	22925	42613	\N	\N	\N
2648574	8759	1995-12-08	VYBER	VYBER	18606	56682	\N	\N	\N
2648575	8759	1995-07-08	VYBER	VYBER	3633	25601	\N	\N	\N
2648576	8759	1995-06-10	VYBER	VYBER	3519	29007	\N	\N	\N
2648578	8759	1996-03-02	VYBER	VYBER	5873	58215	\N	\N	\N
2648579	8759	1996-09-10	VYBER	VYBER	10054	25700	\N	\N	\N
2648580	8759	1996-08-03	VYBER	VYBER	17709	62323	\N	\N	\N
2648581	8759	1996-07-31	VYBER	VYBER	12281	80047	\N	\N	\N
2648582	8759	1996-07-03	VYBER	VYBER	19074	58907	\N	\N	\N
2648583	8759	1996-03-28	VYBER	VYBER	17481	26534	\N	\N	\N
2648584	8759	1996-04-02	VYBER	VYBER	2091	24735	\N	\N	\N
2648585	8759	1996-05-09	VYBER	VYBER	3637	65052	\N	\N	\N
2648586	8759	1996-08-14	VYBER	VYBER	24493	24130	\N	\N	\N
2648587	8759	1997-03-25	VYBER	VYBER	15655	25534	\N	\N	\N
2648588	8759	1997-09-29	VYBER	VYBER	7032	39974	\N	\N	\N
2648589	8759	1997-10-31	VYBER	VYBER	4673	76113	\N	\N	\N
2648590	8759	1997-01-14	VYBER	VYBER	5185	15261	\N	\N	\N
2648593	8759	1998-04-05	VYBER	VYBER	11489	40182	\N	\N	\N
2648596	8759	1998-07-31	VYBER	VYBER	15603	44013	\N	\N	\N
2648597	8759	1998-04-05	VYBER	VYBER	12405	27777	\N	\N	\N
2648598	8759	1998-12-15	VYBER	VYBER	19366	29850	\N	\N	\N
2648600	8759	1998-05-30	VYBER	VYBER	18516	30710	\N	\N	\N
2648602	8759	1998-01-06	VYBER	VYBER	11007	20112	\N	\N	\N
2648603	8759	1998-06-20	VYBER	VYBER	10961	19872	\N	\N	\N
2648605	8759	1994-06-07	VYDAJ	VYBER	41400	6352	\N	\N	\N
2648606	8759	1995-06-07	VYDAJ	VYBER	80400	7359	\N	\N	\N
2648607	8759	1996-06-12	VYDAJ	VYBER	26700	28277	\N	\N	\N
2648611	8759	1994-12-17	VYDAJ	VYBER	5100	32585	\N	\N	\N
2648612	8759	1995-12-11	VYDAJ	VYBER	4800	101801	\N	\N	\N
2648613	8759	1996-12-06	VYDAJ	VYBER	2100	53959	\N	\N	\N
2648614	8759	1997-12-30	VYDAJ	VYBER	6000	48007	\N	\N	\N
2648615	8759	1998-12-10	VYDAJ	VYBER KARTOU	2700	49216	\N	\N	0
2648622	8759	1994-01-15	VYDAJ	VYBER	2400	70619	\N	\N	\N
2648623	8759	1994-01-13	VYDAJ	VYBER	7500	73019	\N	\N	\N
2648624	8759	1994-01-09	VYDAJ	VYBER	6000	88019	\N	\N	\N
2648625	8759	1994-01-13	VYDAJ	VYBER	7500	80519	\N	\N	\N
2648626	8759	1994-01-25	VYDAJ	VYBER	8100	50984	\N	\N	\N
2648627	8759	1994-01-21	VYDAJ	VYBER	5400	59084	\N	\N	\N
2648628	8759	1995-01-25	VYDAJ	VYBER	1800	47987	\N	\N	\N
2648629	8759	1995-01-12	VYDAJ	VYBER	4800	56987	\N	\N	\N
2648630	8759	1995-01-02	VYDAJ	VYBER	7800	70376	\N	\N	\N
2648631	8759	1995-01-13	VYDAJ	VYBER	2400	54587	\N	\N	\N
2648632	8759	1995-01-26	VYDAJ	VYBER	7800	40187	\N	\N	\N
2648633	8759	1995-01-20	VYDAJ	VYBER	4800	49787	\N	\N	\N
2648634	8759	1996-01-26	VYDAJ	VYBER	8100	44695	\N	\N	\N
2648635	8759	1996-01-08	VYDAJ	VYBER	3000	60295	\N	\N	\N
2648636	8759	1996-01-07	VYDAJ	VYBER	6000	63295	\N	\N	\N
2648637	8759	1996-01-18	VYDAJ	VYBER	7500	52795	\N	\N	\N
2648638	8759	1996-01-26	VYDAJ	VYBER	4500	40195	\N	\N	\N
2648639	8759	1996-01-30	VYDAJ	VYBER	4200	35995	\N	\N	\N
2648640	8759	1997-01-01	VYDAJ	VYBER	5100	44446	\N	\N	\N
2648641	8759	1997-01-02	VYDAJ	VYBER	7500	36946	\N	\N	\N
2648642	8759	1997-01-06	VYDAJ	VYBER	4500	20446	\N	\N	\N
2648643	8759	1997-01-02	VYDAJ	VYBER	5700	31246	\N	\N	\N
2648644	8759	1997-01-03	VYDAJ	VYBER	6300	24946	\N	\N	\N
2648645	8759	1997-01-21	VYDAJ	VYBER	3900	11361	\N	\N	\N
2648646	8759	1998-01-02	VYDAJ	VYBER	4500	37419	\N	\N	\N
2648647	8759	1998-01-30	VYDAJ	VYBER	8100	28412	\N	\N	\N
2648649	8759	1998-01-17	VYDAJ	VYBER	5400	14712	\N	\N	\N
2648650	8759	1998-01-05	VYDAJ	VYBER	6300	31119	\N	\N	\N
2648651	8759	1998-01-01	VYDAJ	VYBER	6300	41919	\N	\N	\N
2648656	8759	1994-07-04	VYDAJ	VYBER	12900	56058	\N	\N	\N
2648657	8759	1994-04-05	VYDAJ	VYBER	3600	83470	\N	\N	\N
2648658	8759	1994-03-15	VYDAJ	VYBER	7800	62553	\N	\N	\N
2648659	8759	1994-02-26	VYDAJ	VYBER	11400	63102	\N	\N	\N
2648660	8759	1995-10-07	VYDAJ	VYBER	1800	81678	\N	\N	\N
2648661	8759	1995-09-29	VYDAJ	VYBER	12900	82914	\N	\N	\N
2648662	8759	1996-01-02	VYDAJ	VYBER	12900	89695	\N	\N	\N
2648663	8759	1996-09-12	VYDAJ	VYBER	2700	23000	\N	\N	\N
2648664	8759	1996-03-03	VYDAJ	VYBER	14100	44115	\N	\N	\N
2648665	8759	1996-08-09	VYDAJ	VYBER	7800	48623	\N	\N	\N
2648666	8759	1997-11-12	VYDAJ	VYBER	11100	64999	\N	\N	\N
2648667	8759	1997-12-26	VYDAJ	VYBER	9600	54007	\N	\N	\N
2648668	8759	1997-04-12	VYDAJ	VYBER	5400	32123	\N	\N	\N
2648669	8759	1998-12-22	VYDAJ	VYBER	5100	34950	\N	\N	\N
2648670	8759	1998-08-24	VYDAJ	VYBER	14400	65028	\N	\N	\N
2648671	8759	1998-12-10	VYDAJ	VYBER	7800	51916	\N	\N	\N
2648672	8759	1998-03-11	VYDAJ	VYBER	3000	44593	\N	\N	\N
2648673	8759	1998-03-12	VYDAJ	VYBER	4500	40093	\N	\N	\N
2648687	8759	1994-01-31	VYDAJ	VYBER	15	51445	SLUZBY	\N	\N
2648688	8759	1994-02-28	VYDAJ	VYBER	15	63450	SLUZBY	\N	\N
2648689	8759	1994-03-31	VYDAJ	VYBER	15	87070	SLUZBY	\N	\N
2648690	8759	1994-04-30	VYDAJ	VYBER	15	57548	SLUZBY	\N	\N
2648691	8759	1994-05-31	VYDAJ	VYBER	15	47752	SLUZBY	\N	\N
2648692	8759	1994-06-30	VYDAJ	VYBER	15	68961	SLUZBY	\N	\N
2648693	8759	1994-07-31	VYDAJ	VYBER	15	53455	SLUZBY	\N	\N
2648694	8759	1994-08-31	VYDAJ	VYBER	15	40764	SLUZBY	\N	\N
2648695	8759	1994-09-30	VYDAJ	VYBER	15	93931	SLUZBY	\N	\N
2648696	8759	1994-10-31	VYDAJ	VYBER	15	55534	SLUZBY	\N	\N
2648697	8759	1994-11-30	VYDAJ	VYBER	15	80626	SLUZBY	\N	\N
2648698	8759	1994-12-31	VYDAJ	VYBER	15	71724	SLUZBY	\N	\N
2648699	8759	1995-01-31	VYDAJ	VYBER	15	65538	SLUZBY	\N	\N
2648700	8759	1995-02-28	VYDAJ	VYBER	15	63369	SLUZBY	\N	\N
2648701	8759	1995-03-31	VYDAJ	VYBER	15	56793	SLUZBY	\N	\N
2648702	8759	1995-04-30	VYDAJ	VYBER	15	95954	SLUZBY	\N	\N
2648703	8759	1995-05-31	VYDAJ	VYBER	15	87759	SLUZBY	\N	\N
2648704	8759	1995-06-30	VYDAJ	VYBER	15	29234	SLUZBY	\N	\N
2648705	8759	1995-07-31	VYDAJ	VYBER	15	61689	SLUZBY	\N	\N
2648706	8759	1995-08-31	VYDAJ	VYBER	15	57176	SLUZBY	\N	\N
2648707	8759	1995-09-30	VYDAJ	VYBER	15	83478	SLUZBY	\N	\N
2648708	8759	1995-10-31	VYDAJ	VYBER	15	95281	SLUZBY	\N	\N
2648709	8759	1995-11-30	VYDAJ	VYBER	15	108478	SLUZBY	\N	\N
2648710	8759	1995-12-31	VYDAJ	VYBER	15	102595	SLUZBY	\N	\N
2648711	8759	1996-01-31	VYDAJ	VYBER	15	36452	SLUZBY	\N	\N
2648712	8759	1996-02-29	VYDAJ	VYBER	15	64088	SLUZBY	\N	\N
2648713	8759	1996-03-31	VYDAJ	VYBER	15	26826	SLUZBY	\N	\N
2648714	8759	1996-04-30	VYDAJ	VYBER	15	44771	SLUZBY	\N	\N
2648715	8759	1996-05-31	VYDAJ	VYBER	15	65477	SLUZBY	\N	\N
2648716	8759	1996-06-30	VYDAJ	VYBER	15	77981	SLUZBY	\N	\N
2648717	8759	1996-07-31	VYDAJ	VYBER	15	80032	SLUZBY	\N	\N
2648718	8759	1996-08-31	VYDAJ	VYBER	15	24354	SLUZBY	\N	\N
2648719	8759	1996-09-30	VYDAJ	VYBER	15	35533	SLUZBY	\N	\N
2648720	8759	1996-10-31	VYDAJ	VYBER	15	42053	SLUZBY	\N	\N
2648721	8759	1996-11-30	VYDAJ	VYBER	15	68159	SLUZBY	\N	\N
2648722	8759	1996-12-31	VYDAJ	VYBER	15	49546	SLUZBY	\N	\N
2648723	8759	1997-01-31	VYDAJ	VYBER	15	27933	SLUZBY	\N	\N
2648724	8759	1997-02-28	VYDAJ	VYBER	15	34289	SLUZBY	\N	\N
2648725	8759	1997-03-31	VYDAJ	VYBER	15	37523	SLUZBY	\N	\N
2648726	8759	1997-04-30	VYDAJ	VYBER	15	39448	SLUZBY	\N	\N
2648727	8759	1997-05-31	VYDAJ	VYBER	15	45468	SLUZBY	\N	\N
2648728	8759	1997-06-30	VYDAJ	VYBER	15	46961	SLUZBY	\N	\N
2648729	8759	1997-07-31	VYDAJ	VYBER	15	47559	SLUZBY	\N	\N
2648730	8759	1997-08-31	VYDAJ	VYBER	15	49706	SLUZBY	\N	\N
2648731	8759	1997-09-30	VYDAJ	VYBER	15	40131	SLUZBY	\N	\N
2648732	8759	1997-10-31	VYDAJ	VYBER	15	76099	SLUZBY	\N	\N
2648733	8759	1997-11-30	VYDAJ	VYBER	15	56907	SLUZBY	\N	\N
2648734	8759	1997-12-31	VYDAJ	VYBER	15	48219	SLUZBY	\N	\N
2648735	8759	1998-01-31	VYDAJ	VYBER	15	28521	SLUZBY	\N	\N
2648736	8759	1998-02-28	VYDAJ	VYBER	15	47593	SLUZBY	\N	\N
2648737	8759	1998-03-31	VYDAJ	VYBER	15	51671	SLUZBY	\N	\N
2648738	8759	1998-04-30	VYDAJ	VYBER	15	42726	SLUZBY	\N	\N
2648739	8759	1998-05-31	VYDAJ	VYBER	15	30833	SLUZBY	\N	\N
2648740	8759	1998-06-30	VYDAJ	VYBER	15	34635	SLUZBY	\N	\N
2648741	8759	1998-07-31	VYDAJ	VYBER	15	43999	SLUZBY	\N	\N
2648742	8759	1998-08-31	VYDAJ	VYBER	15	65528	SLUZBY	\N	\N
2648743	8759	1998-09-30	VYDAJ	VYBER	15	56466	SLUZBY	\N	\N
2648744	8759	1998-10-31	VYDAJ	VYBER	15	71235	SLUZBY	\N	\N
2648745	8759	1998-11-30	VYDAJ	VYBER	15	59716	SLUZBY	\N	\N
2648746	8759	1993-10-18	PRIJEM	VKLAD	11600	12200	\N	\N	\N
2648747	8759	1993-11-17	PRIJEM	VKLAD	6400	18600	\N	\N	\N
2648748	8759	1993-12-17	VYDAJ	VYBER	32700	54748	\N	\N	\N
2648749	8759	1994-01-08	VYDAJ	VYBER	24200	94019	\N	\N	\N
2648750	8759	1994-01-16	VYDAJ	VYBER	21100	49519	\N	\N	\N
2648751	8759	1994-02-15	VYDAJ	VYBER	23100	47145	\N	\N	\N
2648752	8759	1994-02-20	VYDAJ	VYBER	47200	74502	\N	\N	\N
2648753	8759	1994-03-17	VYDAJ	VYBER	18400	44153	\N	\N	\N
2648754	8759	1994-04-12	VYDAJ	VYBER	40500	85678	\N	\N	\N
2648755	8759	1994-04-16	VYDAJ	VYBER	28600	57078	\N	\N	\N
2648756	8759	1994-05-16	VYDAJ	VYBER	21200	47252	\N	\N	\N
2648757	8759	1994-06-15	VYDAJ	VYBER	4300	36356	\N	\N	\N
2648758	8759	1994-06-23	VYDAJ	VYBER	62000	104413	\N	\N	\N
2648759	8759	1994-06-29	VYDAJ	VYBER	47300	68434	\N	\N	\N
2648760	8759	1994-07-15	VYDAJ	VYBER	9700	43855	\N	\N	\N
2648761	8759	1994-08-14	VYDAJ	VYBER	13100	40355	\N	\N	\N
2648762	8759	1994-09-13	VYDAJ	VYBER	28500	59802	\N	\N	\N
2648763	8759	1994-09-27	VYDAJ	VYBER	19300	93433	\N	\N	\N
2648764	8759	1994-10-13	VYDAJ	VYBER	31100	62831	\N	\N	\N
2648765	8759	1994-10-31	VYDAJ	VYBER	53100	55548	\N	\N	\N
2648766	8759	1994-11-12	VYDAJ	VYBER	17400	55239	\N	\N	\N
2648767	8759	1994-12-12	VYDAJ	VYBER	23100	57526	\N	\N	\N
2648768	8759	1995-01-11	VYDAJ	VYBER	22700	61787	\N	\N	\N
2648769	8759	1995-02-10	VYDAJ	VYBER	28800	62802	\N	\N	\N
2648770	8759	1995-03-01	VYDAJ	VYBER	63400	68376	\N	\N	\N
2648771	8759	1995-03-12	VYDAJ	VYBER	18400	49976	\N	\N	\N
2648772	8759	1995-03-23	VYDAJ	VYBER	30300	80061	\N	\N	\N
2648773	8759	1995-03-31	VYDAJ	VYBER	63700	56807	\N	\N	\N
2648774	8759	1995-04-11	VYDAJ	VYBER	10800	45993	\N	\N	\N
2648775	8759	1995-05-11	VYDAJ	VYBER	31500	64454	\N	\N	\N
2648776	8759	1995-06-10	PRIJEM	VKLAD	3100	32526	\N	\N	\N
2648777	8759	1995-07-10	PRIJEM	VKLAD	7800	33401	\N	\N	\N
2648778	8759	1995-08-09	VYDAJ	VYBER	14400	56805	\N	\N	\N
2648779	8759	1995-09-08	VYDAJ	VYBER	28200	66691	\N	\N	\N
2648780	8759	1995-10-08	VYDAJ	VYBER	20900	60778	\N	\N	\N
2648781	8759	1995-11-07	VYDAJ	VYBER	19700	58270	\N	\N	\N
2648782	8759	1995-12-04	VYDAJ	VYBER	29400	110788	\N	\N	\N
2648783	8759	1995-12-07	VYDAJ	VYBER	35500	75288	\N	\N	\N
2648784	8759	1996-01-06	VYDAJ	VYBER	20400	69295	\N	\N	\N
2648785	8759	1996-02-05	PRIJEM	VKLAD	5800	42252	\N	\N	\N
2648786	8759	1996-03-06	VYDAJ	VYBER	100	44015	\N	\N	\N
2648787	8759	1996-04-05	PRIJEM	VKLAD	11600	36335	\N	\N	\N
2648788	8759	1996-05-05	VYDAJ	VYBER	25900	68689	\N	\N	\N
2648789	8759	1996-06-04	VYDAJ	VYBER	10500	54977	\N	\N	\N
2648790	8759	1996-07-04	VYDAJ	VYBER	3800	55107	\N	\N	\N
2648791	8759	1996-08-03	VYDAJ	VYBER	5900	56423	\N	\N	\N
2648792	8759	1996-09-02	PRIJEM	VKLAD	11400	35754	\N	\N	\N
2648793	8759	1996-10-02	PRIJEM	VKLAD	6300	41833	\N	\N	\N
2648794	8759	1996-11-01	PRIJEM	VKLAD	2900	44953	\N	\N	\N
2648795	8759	1996-12-01	VYDAJ	VYBER	12100	56059	\N	\N	\N
2648796	8759	1996-12-31	VYDAJ	VYBER	4800	49561	\N	\N	\N
2648797	8759	1997-01-30	PRIJEM	VKLAD	16500	27861	\N	\N	\N
2648798	8759	1997-03-01	PRIJEM	VKLAD	6900	41189	\N	\N	\N
2648799	8759	1997-03-31	PRIJEM	VKLAD	11800	37334	\N	\N	\N
2648800	8759	1997-04-30	PRIJEM	VKLAD	7100	39223	\N	\N	\N
2648801	8759	1997-05-30	PRIJEM	VKLAD	5900	45348	\N	\N	\N
2648802	8759	1997-06-29	PRIJEM	VKLAD	1200	46668	\N	\N	\N
2648803	8759	1997-07-29	PRIJEM	VKLAD	300	47261	\N	\N	\N
2648804	8759	1997-08-28	PRIJEM	VKLAD	2000	49559	\N	\N	\N
2648805	8759	1997-09-27	VYDAJ	VYBER	2700	47006	\N	\N	\N
2648806	8759	1997-10-27	VYDAJ	VYBER	32200	80253	\N	\N	\N
2648807	8759	1997-11-26	VYDAJ	VYBER	8600	56399	\N	\N	\N
2648808	8759	1997-12-26	PRIJEM	VKLAD	6700	63607	\N	\N	\N
2648809	8759	1998-01-25	PRIJEM	VKLAD	21800	36512	\N	\N	\N
2648810	8759	1998-02-24	PRIJEM	VKLAD	19000	47521	\N	\N	\N
2648811	8759	1998-03-26	PRIJEM	VKLAD	11300	51393	\N	\N	\N
2648812	8759	1998-04-25	PRIJEM	VKLAD	14700	42477	\N	\N	\N
2648813	8759	1998-05-25	PRIJEM	VKLAD	6500	49226	\N	\N	\N
2648814	8759	1998-06-24	PRIJEM	VKLAD	14600	34472	\N	\N	\N
2648815	8759	1998-07-24	VYDAJ	VYBER	1600	59351	\N	\N	\N
2648816	8759	1998-08-23	VYDAJ	VYBER	32200	79428	\N	\N	\N
2648817	8759	1998-09-22	VYDAJ	VYBER	9500	56028	\N	\N	\N
2648818	8759	1998-10-22	VYDAJ	VYBER	17400	70834	\N	\N	\N
2648819	8759	1998-11-21	VYDAJ	VYBER	12000	59235	\N	\N	\N
2648820	8759	1998-12-21	PRIJEM	VKLAD	10200	40050	\N	\N	\N
2652341	8772	1996-05-16	PRIJEM	VKLAD	800	800	\N	\N	\N
2652347	8772	1996-06-05	PRIJEM	PREVOD Z UCTU	16554	17354	\N	UV	28984832
2652348	8772	1996-07-05	PRIJEM	PREVOD Z UCTU	11036	32482	\N	UV	28984832
2652349	8772	1996-08-05	PRIJEM	PREVOD Z UCTU	11036	36771	\N	UV	28984832
2652350	8772	1996-09-05	PRIJEM	PREVOD Z UCTU	11036	36973	\N	UV	28984832
2652351	8772	1996-10-05	PRIJEM	PREVOD Z UCTU	11036	37880	\N	UV	28984832
2652352	8772	1996-11-05	PRIJEM	PREVOD Z UCTU	11036	33507	\N	UV	28984832
2652353	8772	1996-12-05	PRIJEM	PREVOD Z UCTU	16554	35929	\N	UV	28984832
2652354	8772	1997-01-05	PRIJEM	PREVOD Z UCTU	11036	27740	\N	UV	28984832
2652355	8772	1997-02-05	PRIJEM	PREVOD Z UCTU	11036	18604	\N	UV	28984832
2652356	8772	1997-03-05	PRIJEM	PREVOD Z UCTU	11036	17632	\N	UV	28984832
2652357	8772	1997-04-05	PRIJEM	PREVOD Z UCTU	11036	18965	\N	UV	28984832
2652358	8772	1997-05-05	PRIJEM	PREVOD Z UCTU	11036	15696	\N	UV	28984832
2652359	8772	1997-06-05	PRIJEM	PREVOD Z UCTU	16554	23040	\N	UV	28984832
2652360	8772	1997-07-05	PRIJEM	PREVOD Z UCTU	11036	18175	\N	UV	28984832
2652361	8772	1997-08-05	PRIJEM	PREVOD Z UCTU	11036	20056	\N	UV	28984832
2652362	8772	1997-09-05	PRIJEM	PREVOD Z UCTU	11036	21961	\N	UV	28984832
2652363	8772	1997-10-05	PRIJEM	PREVOD Z UCTU	11036	16336	\N	UV	28984832
2652364	8772	1997-11-05	PRIJEM	PREVOD Z UCTU	11036	18204	\N	UV	28984832
2652365	8772	1997-12-05	PRIJEM	PREVOD Z UCTU	16554	25611	\N	UV	28984832
2652366	8772	1998-01-05	PRIJEM	PREVOD Z UCTU	11036	27544	\N	UV	28984832
2652367	8772	1998-02-05	PRIJEM	PREVOD Z UCTU	11036	16331	\N	UV	28984832
2652368	8772	1998-03-05	PRIJEM	PREVOD Z UCTU	11036	18204	\N	UV	28984832
2652369	8772	1998-04-05	PRIJEM	PREVOD Z UCTU	11036	20092	\N	UV	28984832
2652370	8772	1998-05-05	PRIJEM	PREVOD Z UCTU	11036	21996	\N	UV	28984832
2652371	8772	1998-06-05	PRIJEM	PREVOD Z UCTU	16554	29433	\N	UV	28984832
2652372	8772	1998-07-05	PRIJEM	PREVOD Z UCTU	11036	18133	\N	UV	28984832
2652373	8772	1998-08-05	PRIJEM	PREVOD Z UCTU	11036	20009	\N	UV	28984832
2652374	8772	1998-09-05	PRIJEM	PREVOD Z UCTU	11036	21898	\N	UV	28984832
2652375	8772	1998-10-05	PRIJEM	PREVOD Z UCTU	11036	23799	\N	UV	28984832
2652376	8772	1998-11-05	PRIJEM	PREVOD Z UCTU	11036	25712	\N	UV	28984832
2652377	8772	1998-12-05	PRIJEM	PREVOD Z UCTU	16554	33158	\N	UV	28984832
2652387	8772	1996-10-17	VYDAJ	VYBER	1800	22323	\N	\N	0
2652388	8772	1996-11-20	VYDAJ	VYBER	1500	19250	\N	\N	0
2652389	8772	1996-12-18	VYDAJ	VYBER	1900	16572	\N	\N	0
2652390	8772	1997-01-18	VYDAJ	VYBER	1500	7483	\N	\N	0
2652391	8772	1997-02-18	VYDAJ	VYBER	1700	6547	\N	\N	0
2652392	8772	1997-03-14	VYDAJ	VYBER	2000	9375	\N	\N	0
2652393	8772	1997-04-02	VYDAJ	VYBER	1500	7929	\N	\N	0
2652394	8772	1997-05-05	VYDAJ	VYBER	1900	13796	\N	\N	0
2652395	8772	1997-06-06	VYDAJ	VYBER	1500	21540	\N	\N	0
2652396	8772	1997-07-12	VYDAJ	PREVOD NA UCET	1839	16335	UVER	KL	85151469
2652397	8772	1997-08-12	VYDAJ	PREVOD NA UCET	1839	18217	UVER	KL	85151469
2652398	8772	1997-09-12	VYDAJ	PREVOD NA UCET	1839	12621	UVER	KL	85151469
2652399	8772	1997-10-12	VYDAJ	PREVOD NA UCET	1839	14497	UVER	KL	85151469
2652400	8772	1997-11-12	VYDAJ	PREVOD NA UCET	1839	16364	UVER	KL	85151469
2652401	8772	1997-12-12	VYDAJ	PREVOD NA UCET	1839	23772	UVER	KL	85151469
2652402	8772	1998-01-12	VYDAJ	PREVOD NA UCET	1839	12605	UVER	KL	85151469
2652403	8772	1998-02-12	VYDAJ	PREVOD NA UCET	1839	14492	UVER	KL	85151469
2652404	8772	1998-03-12	VYDAJ	PREVOD NA UCET	1839	16364	UVER	KL	85151469
2652405	8772	1998-04-12	VYDAJ	PREVOD NA UCET	1839	18253	UVER	KL	85151469
2652406	8772	1998-05-12	VYDAJ	PREVOD NA UCET	1839	20156	UVER	KL	85151469
2652407	8772	1998-06-12	VYDAJ	PREVOD NA UCET	1839	14393	UVER	KL	85151469
2652408	8772	1998-07-12	VYDAJ	PREVOD NA UCET	1839	16293	UVER	KL	85151469
2652409	8772	1998-08-12	VYDAJ	PREVOD NA UCET	1839	18170	UVER	KL	85151469
2652410	8772	1998-09-12	VYDAJ	PREVOD NA UCET	1839	20059	UVER	KL	85151469
2652411	8772	1998-10-12	VYDAJ	PREVOD NA UCET	1839	21959	UVER	KL	85151469
2652412	8772	1998-11-12	VYDAJ	PREVOD NA UCET	1839	23873	UVER	KL	85151469
2652413	8772	1998-12-12	VYDAJ	PREVOD NA UCET	1839	23819	UVER	KL	85151469
2652423	8772	1996-10-13	VYDAJ	PREVOD NA UCET	7357	30523	SIPO	CD	19611203
2652424	8772	1996-11-13	VYDAJ	PREVOD NA UCET	7357	20750	SIPO	CD	19611203
2652425	8772	1996-12-13	VYDAJ	PREVOD NA UCET	7357	18472	SIPO	CD	19611203
2652426	8772	1997-01-13	VYDAJ	PREVOD NA UCET	7357	8983	SIPO	CD	19611203
2652427	8772	1997-02-13	VYDAJ	PREVOD NA UCET	7357	8247	SIPO	CD	19611203
2652428	8772	1997-03-13	VYDAJ	PREVOD NA UCET	7357	11375	SIPO	CD	19611203
2652429	8772	1997-04-13	VYDAJ	PREVOD NA UCET	7357	4608	SIPO	CD	19611203
2652430	8772	1997-05-13	VYDAJ	PREVOD NA UCET	7357	6439	SIPO	CD	19611203
2652431	8772	1997-06-13	VYDAJ	PREVOD NA UCET	7357	7083	SIPO	CD	19611203
2652432	8772	1997-07-13	VYDAJ	PREVOD NA UCET	7357	8978	SIPO	CD	19611203
2652433	8772	1997-08-13	VYDAJ	PREVOD NA UCET	7357	10860	SIPO	CD	19611203
2652434	8772	1997-09-13	VYDAJ	PREVOD NA UCET	7357	5264	SIPO	CD	19611203
2652435	8772	1997-10-13	VYDAJ	PREVOD NA UCET	7357	7140	SIPO	CD	19611203
2652436	8772	1997-11-13	VYDAJ	PREVOD NA UCET	7357	9007	SIPO	CD	19611203
2652437	8772	1997-12-13	VYDAJ	PREVOD NA UCET	7357	16415	SIPO	CD	19611203
2652438	8772	1998-01-13	VYDAJ	PREVOD NA UCET	7357	5248	SIPO	CD	19611203
2652439	8772	1998-02-13	VYDAJ	PREVOD NA UCET	7357	7135	SIPO	CD	19611203
2652440	8772	1998-03-13	VYDAJ	PREVOD NA UCET	7357	9007	SIPO	CD	19611203
2652441	8772	1998-04-13	VYDAJ	PREVOD NA UCET	7357	10896	SIPO	CD	19611203
2652442	8772	1998-05-13	VYDAJ	PREVOD NA UCET	7357	12799	SIPO	CD	19611203
2652443	8772	1998-06-13	VYDAJ	PREVOD NA UCET	7357	7036	SIPO	CD	19611203
2652444	8772	1998-07-13	VYDAJ	PREVOD NA UCET	7357	8936	SIPO	CD	19611203
2652445	8772	1998-08-13	VYDAJ	PREVOD NA UCET	7357	10813	SIPO	CD	19611203
2652446	8772	1998-09-13	VYDAJ	PREVOD NA UCET	7357	12702	SIPO	CD	19611203
2652447	8772	1998-10-13	VYDAJ	PREVOD NA UCET	7357	14602	SIPO	CD	19611203
2652448	8772	1998-11-13	VYDAJ	PREVOD NA UCET	7357	16516	SIPO	CD	19611203
2652449	8772	1998-12-13	VYDAJ	PREVOD NA UCET	7357	16462	SIPO	CD	19611203
2652468	8772	1998-12-08	VYDAJ	VYBER	7500	25658	\N	\N	\N
2652478	8772	1997-01-05	VYDAJ	VYBER	6000	21740	\N	\N	\N
2652485	8772	1998-01-05	VYDAJ	VYBER	4800	22744	\N	\N	\N
2652514	8772	1996-10-31	VYDAJ	VYBER	15	22471	SLUZBY	\N	\N
2652515	8772	1996-11-30	VYDAJ	VYBER	15	19375	SLUZBY	\N	\N
2652516	8772	1996-12-31	VYDAJ	VYBER	15	16704	SLUZBY	\N	\N
2652517	8772	1997-01-31	VYDAJ	VYBER	15	7568	SLUZBY	\N	\N
2652518	8772	1997-02-28	VYDAJ	VYBER	15	6596	SLUZBY	\N	\N
2652519	8772	1997-03-31	VYDAJ	VYBER	15	9429	SLUZBY	\N	\N
2652520	8772	1997-04-30	VYDAJ	VYBER	15	4660	SLUZBY	\N	\N
2652521	8772	1997-05-31	VYDAJ	VYBER	15	6486	SLUZBY	\N	\N
2652522	8772	1997-06-30	VYDAJ	VYBER	15	7139	SLUZBY	\N	\N
2652523	8772	1997-07-31	VYDAJ	VYBER	15	9020	SLUZBY	\N	\N
2652524	8772	1997-08-31	VYDAJ	VYBER	15	10925	SLUZBY	\N	\N
2652525	8772	1997-09-30	VYDAJ	VYBER	15	5300	SLUZBY	\N	\N
2652526	8772	1997-10-31	VYDAJ	VYBER	15	7168	SLUZBY	\N	\N
2652527	8772	1997-11-30	VYDAJ	VYBER	15	9057	SLUZBY	\N	\N
2652528	8772	1997-12-31	VYDAJ	VYBER	15	16508	SLUZBY	\N	\N
2652529	8772	1998-01-31	VYDAJ	VYBER	15	5295	SLUZBY	\N	\N
2652530	8772	1998-02-28	VYDAJ	VYBER	15	7168	SLUZBY	\N	\N
2652531	8772	1998-03-31	VYDAJ	VYBER	15	9056	SLUZBY	\N	\N
2652532	8772	1998-04-30	VYDAJ	VYBER	15	10960	SLUZBY	\N	\N
2652533	8772	1998-05-31	VYDAJ	VYBER	15	12879	SLUZBY	\N	\N
2652534	8772	1998-06-30	VYDAJ	VYBER	15	7097	SLUZBY	\N	\N
2652535	8772	1998-07-31	VYDAJ	VYBER	15	8973	SLUZBY	\N	\N
2652536	8772	1998-08-31	VYDAJ	VYBER	15	10862	SLUZBY	\N	\N
2652537	8772	1998-09-30	VYDAJ	VYBER	15	12763	SLUZBY	\N	\N
2652538	8772	1998-10-31	VYDAJ	VYBER	15	14676	SLUZBY	\N	\N
2652539	8772	1998-11-30	VYDAJ	VYBER	15	16604	SLUZBY	\N	\N
2652540	8772	1996-06-15	PRIJEM	VKLAD	4000	21354	\N	\N	\N
2652541	8772	1996-07-15	VYDAJ	VYBER	6900	25582	\N	\N	\N
2652542	8772	1996-08-14	VYDAJ	VYBER	11000	25771	\N	\N	\N
2652543	8772	1996-09-13	VYDAJ	VYBER	10300	26673	\N	\N	\N
2652544	8772	1996-10-13	VYDAJ	VYBER	6400	24123	\N	\N	\N
2652545	8772	1996-11-12	VYDAJ	VYBER	5400	28107	\N	\N	\N
2652546	8772	1996-12-12	VYDAJ	VYBER	10100	25829	\N	\N	\N
2652547	8772	1997-01-11	VYDAJ	VYBER	5400	16340	\N	\N	\N
2652548	8772	1997-02-10	VYDAJ	VYBER	3000	15604	\N	\N	\N
2652549	8772	1997-03-12	PRIJEM	VKLAD	1100	18732	\N	\N	\N
2652550	8772	1997-04-11	VYDAJ	VYBER	7000	11965	\N	\N	\N
2652551	8772	1997-06-10	VYDAJ	VYBER	7100	14440	\N	\N	\N
2652552	8772	1997-09-08	VYDAJ	VYBER	7500	14461	\N	\N	\N
2652553	8772	1998-01-06	VYDAJ	VYBER	8300	14444	\N	\N	\N
2652554	8772	1998-06-05	VYDAJ	VYBER	13200	16233	\N	\N	\N
2653438	8776	1994-08-24	PRIJEM	VKLAD	600	600	\N	\N	\N
2653447	8776	1994-09-07	PRIJEM	VKLAD	13464	14064	\N	\N	\N
2653448	8776	1994-10-07	PRIJEM	VKLAD	13464	32267	\N	\N	\N
2653449	8776	1994-11-07	PRIJEM	VKLAD	13464	44257	\N	\N	\N
2653450	8776	1994-12-07	PRIJEM	VKLAD	20196	54021	\N	\N	\N
2653451	8776	1995-01-07	PRIJEM	VKLAD	13464	52980	\N	\N	\N
2653452	8776	1995-02-07	PRIJEM	VKLAD	13464	43891	\N	\N	\N
2653453	8776	1995-03-07	PRIJEM	VKLAD	13464	51037	\N	\N	\N
2653454	8776	1995-04-07	PRIJEM	VKLAD	13464	54734	\N	\N	\N
2653455	8776	1995-05-07	PRIJEM	VKLAD	13464	55078	\N	\N	\N
2653456	8776	1995-06-07	PRIJEM	VKLAD	20196	47715	\N	\N	\N
2653457	8776	1995-07-07	PRIJEM	VKLAD	13464	51298	\N	\N	\N
2653458	8776	1995-08-07	PRIJEM	VKLAD	13464	54765	\N	\N	\N
2653459	8776	1995-09-07	PRIJEM	VKLAD	13464	58299	\N	\N	\N
2653460	8776	1995-10-07	PRIJEM	VKLAD	13464	57758	\N	\N	\N
2653461	8776	1995-11-07	PRIJEM	VKLAD	13464	58509	\N	\N	\N
2653462	8776	1995-12-07	PRIJEM	VKLAD	20196	63486	\N	\N	\N
2653463	8776	1996-01-07	PRIJEM	VKLAD	13464	53947	\N	\N	\N
2653464	8776	1996-02-07	PRIJEM	VKLAD	13464	40714	\N	\N	\N
2653465	8776	1996-03-07	PRIJEM	VKLAD	13464	53630	\N	\N	\N
2653466	8776	1996-04-07	PRIJEM	VKLAD	13464	57719	\N	\N	\N
2653467	8776	1996-05-07	PRIJEM	VKLAD	13464	59218	\N	\N	\N
2653468	8776	1996-06-07	PRIJEM	VKLAD	20196	69104	\N	\N	\N
2653469	8776	1996-07-07	PRIJEM	VKLAD	13464	55044	\N	\N	\N
2653470	8776	1996-08-07	PRIJEM	VKLAD	13464	58530	\N	\N	\N
2653471	8776	1996-09-07	PRIJEM	VKLAD	13464	59728	\N	\N	\N
2653472	8776	1996-10-07	PRIJEM	VKLAD	13464	60262	\N	\N	\N
2653473	8776	1996-11-07	PRIJEM	VKLAD	13464	61510	\N	\N	\N
2653474	8776	1996-12-07	PRIJEM	VKLAD	20196	69496	\N	\N	\N
2653475	8776	1997-01-07	PRIJEM	VKLAD	13464	63417	\N	\N	\N
2653476	8776	1997-02-07	PRIJEM	VKLAD	13464	45720	\N	\N	\N
2653477	8776	1997-03-07	PRIJEM	VKLAD	13464	51295	\N	\N	\N
2653478	8776	1997-04-07	PRIJEM	VKLAD	13464	55135	\N	\N	\N
2653479	8776	1997-05-07	PRIJEM	VKLAD	13464	58398	\N	\N	\N
2653480	8776	1997-06-07	PRIJEM	VKLAD	20196	53385	\N	\N	\N
2653481	8776	1997-07-07	PRIJEM	VKLAD	13464	62761	\N	\N	\N
2653482	8776	1997-08-07	PRIJEM	VKLAD	13464	70161	\N	\N	\N
2653483	8776	1997-09-07	PRIJEM	VKLAD	13464	70384	\N	\N	\N
2653484	8776	1997-10-07	PRIJEM	VKLAD	13464	71821	\N	\N	\N
2653485	8776	1997-11-07	PRIJEM	VKLAD	13464	69782	\N	\N	\N
2653486	8776	1997-12-07	PRIJEM	VKLAD	20196	78708	\N	\N	\N
2653487	8776	1998-01-07	PRIJEM	VKLAD	13464	70227	\N	\N	\N
2653488	8776	1998-02-07	PRIJEM	VKLAD	13464	65171	\N	\N	\N
2653489	8776	1998-03-07	PRIJEM	VKLAD	13464	66778	\N	\N	\N
2653490	8776	1998-04-07	PRIJEM	VKLAD	13464	65357	\N	\N	\N
2653491	8776	1998-05-07	PRIJEM	VKLAD	13464	69332	\N	\N	\N
2653492	8776	1998-06-07	PRIJEM	VKLAD	20196	63104	\N	\N	\N
2653493	8776	1998-07-07	PRIJEM	VKLAD	13464	67863	\N	\N	\N
2653494	8776	1998-08-07	PRIJEM	VKLAD	13464	66357	\N	\N	\N
2653495	8776	1998-09-07	PRIJEM	VKLAD	13464	75168	\N	\N	\N
2653496	8776	1998-10-07	PRIJEM	VKLAD	13464	74247	\N	\N	\N
2653497	8776	1998-11-07	PRIJEM	VKLAD	13464	75524	\N	\N	\N
2653498	8776	1998-12-07	PRIJEM	VKLAD	20196	86989	\N	\N	\N
2653511	8776	1995-01-20	VYDAJ	VYBER	500	50780	\N	\N	0
2653512	8776	1995-02-12	VYDAJ	VYBER	800	43091	\N	\N	0
2653513	8776	1995-03-06	VYDAJ	VYBER	800	37573	\N	\N	0
2653514	8776	1995-04-06	VYDAJ	VYBER	800	41270	\N	\N	0
2653515	8776	1995-05-15	VYDAJ	VYBER	800	54278	\N	\N	0
2653516	8776	1995-06-05	VYDAJ	VYBER	800	27519	\N	\N	0
2653517	8776	1995-07-09	VYDAJ	VYBER	500	50798	\N	\N	0
2653518	8776	1995-08-02	VYDAJ	VYBER	800	41301	\N	\N	0
2653519	8776	1995-09-12	VYDAJ	PREVOD NA UCET	708	53591	UVER	CD	88153653
2653520	8776	1995-10-12	VYDAJ	PREVOD NA UCET	708	57050	UVER	CD	88153653
2653521	8776	1995-11-12	VYDAJ	PREVOD NA UCET	708	57801	UVER	CD	88153653
2653522	8776	1995-12-12	VYDAJ	PREVOD NA UCET	708	60878	UVER	CD	88153653
2653523	8776	1996-01-12	VYDAJ	PREVOD NA UCET	708	51639	UVER	CD	88153653
2653524	8776	1996-02-12	VYDAJ	PREVOD NA UCET	708	40006	UVER	CD	88153653
2653525	8776	1996-03-12	VYDAJ	PREVOD NA UCET	708	52922	UVER	CD	88153653
2653526	8776	1996-04-12	VYDAJ	PREVOD NA UCET	708	57011	UVER	CD	88153653
2653527	8776	1996-05-12	VYDAJ	PREVOD NA UCET	708	58510	UVER	CD	88153653
2653528	8776	1996-06-12	VYDAJ	PREVOD NA UCET	708	66796	UVER	CD	88153653
2653529	8776	1996-07-12	VYDAJ	PREVOD NA UCET	708	54336	UVER	CD	88153653
2653530	8776	1996-08-12	VYDAJ	PREVOD NA UCET	708	57822	UVER	CD	88153653
2653531	8776	1996-09-12	VYDAJ	PREVOD NA UCET	708	49620	UVER	CD	88153653
2653532	8776	1996-10-12	VYDAJ	PREVOD NA UCET	708	47654	UVER	CD	88153653
2653533	8776	1996-11-12	VYDAJ	PREVOD NA UCET	708	49002	UVER	CD	88153653
2653534	8776	1996-12-12	VYDAJ	PREVOD NA UCET	708	51488	UVER	CD	88153653
2653535	8776	1997-01-12	VYDAJ	PREVOD NA UCET	708	39409	UVER	CD	88153653
2653536	8776	1997-02-12	VYDAJ	PREVOD NA UCET	708	37612	UVER	CD	88153653
2653537	8776	1997-03-12	VYDAJ	PREVOD NA UCET	708	41387	UVER	CD	88153653
2653538	8776	1997-04-12	VYDAJ	PREVOD NA UCET	708	44627	UVER	CD	88153653
2653539	8776	1997-05-12	VYDAJ	PREVOD NA UCET	708	50490	UVER	CD	88153653
2653540	8776	1997-06-12	VYDAJ	PREVOD NA UCET	708	48977	UVER	CD	88153653
2653541	8776	1997-07-12	VYDAJ	PREVOD NA UCET	708	56353	UVER	CD	88153653
2653542	8776	1997-08-12	VYDAJ	PREVOD NA UCET	708	58353	UVER	CD	88153653
2653543	8776	1997-09-12	VYDAJ	PREVOD NA UCET	708	57976	UVER	CD	88153653
2653544	8776	1997-10-12	VYDAJ	PREVOD NA UCET	708	61713	UVER	CD	88153653
2653545	8776	1997-11-12	VYDAJ	PREVOD NA UCET	708	69074	UVER	CD	88153653
2653546	8776	1997-12-12	VYDAJ	PREVOD NA UCET	708	78000	UVER	CD	88153653
2653547	8776	1998-01-12	VYDAJ	PREVOD NA UCET	708	69519	UVER	CD	88153653
2653548	8776	1998-02-12	VYDAJ	PREVOD NA UCET	708	64463	UVER	CD	88153653
2653549	8776	1998-03-12	VYDAJ	PREVOD NA UCET	708	66070	UVER	CD	88153653
2653550	8776	1998-04-12	VYDAJ	PREVOD NA UCET	708	64649	UVER	CD	88153653
2653551	8776	1998-05-12	VYDAJ	PREVOD NA UCET	708	68624	UVER	CD	88153653
2653552	8776	1998-06-12	VYDAJ	PREVOD NA UCET	708	62396	UVER	CD	88153653
2653553	8776	1998-07-12	VYDAJ	PREVOD NA UCET	708	67155	UVER	CD	88153653
2653554	8776	1998-08-12	VYDAJ	PREVOD NA UCET	708	65649	UVER	CD	88153653
2653555	8776	1998-09-12	VYDAJ	PREVOD NA UCET	708	74460	UVER	CD	88153653
2653556	8776	1998-10-12	VYDAJ	PREVOD NA UCET	708	73539	UVER	CD	88153653
2653557	8776	1998-11-12	VYDAJ	PREVOD NA UCET	708	74816	UVER	CD	88153653
2653558	8776	1998-12-12	VYDAJ	PREVOD NA UCET	708	86281	UVER	CD	88153653
2653560	8776	1995-06-04	VYDAJ	VYBER	11900	28319	\N	\N	\N
2653561	8776	1996-06-12	VYDAJ	VYBER	22900	43896	\N	\N	\N
2653562	8776	1997-06-04	VYDAJ	VYBER	15200	33189	\N	\N	\N
2653563	8776	1998-06-01	VYDAJ	VYBER	25400	43708	\N	\N	\N
2653565	8776	1995-01-14	VYDAJ	VYBER	1700	51280	\N	\N	\N
2653566	8776	1996-01-27	VYDAJ	VYBER	5200	29639	\N	\N	\N
2653567	8776	1997-01-11	VYDAJ	VYBER	5900	40117	\N	\N	\N
2653568	8776	1998-01-25	VYDAJ	VYBER	2600	59219	\N	\N	\N
2653570	8776	1995-12-28	VYDAJ	VYBER	2700	43078	\N	\N	\N
2653571	8776	1996-12-12	VYDAJ	VYBER	1300	50188	\N	\N	\N
2653572	8776	1997-12-24	VYDAJ	VYBER	1100	76900	\N	\N	\N
2653573	8776	1998-12-18	VYDAJ	VYBER	1100	85181	\N	\N	\N
2653580	8776	1995-01-25	VYDAJ	VYBER	2300	32980	\N	\N	\N
2653581	8776	1995-01-26	VYDAJ	VYBER	2100	30180	\N	\N	\N
2653582	8776	1995-01-23	VYDAJ	VYBER	900	36080	\N	\N	\N
2653583	8776	1995-01-23	VYDAJ	VYBER	800	35280	\N	\N	\N
2653585	8776	1995-01-26	VYDAJ	VYBER	700	32280	\N	\N	\N
2653586	8776	1996-01-19	VYDAJ	VYBER	1600	37939	\N	\N	\N
2653587	8776	1996-01-12	VYDAJ	VYBER	2800	48839	\N	\N	\N
2653588	8776	1996-01-03	VYDAJ	VYBER	2900	40483	\N	\N	\N
2653589	8776	1996-01-30	VYDAJ	VYBER	2700	26939	\N	\N	\N
2653590	8776	1996-01-25	VYDAJ	VYBER	1300	34839	\N	\N	\N
2653591	8776	1996-01-10	VYDAJ	VYBER	1600	52347	\N	\N	\N
2653592	8776	1997-01-15	VYDAJ	VYBER	2000	35209	\N	\N	\N
2653593	8776	1997-01-29	VYDAJ	VYBER	1000	32009	\N	\N	\N
2653594	8776	1997-01-03	VYDAJ	VYBER	600	49953	\N	\N	\N
2653595	8776	1997-01-19	VYDAJ	VYBER	2200	33009	\N	\N	\N
2653596	8776	1997-01-08	VYDAJ	VYBER	2300	61117	\N	\N	\N
2653597	8776	1997-01-12	VYDAJ	VYBER	2200	37209	\N	\N	\N
2653598	8776	1998-01-22	VYDAJ	VYBER	1400	66319	\N	\N	\N
2653599	8776	1998-01-16	VYDAJ	VYBER	1800	67719	\N	\N	\N
2653600	8776	1998-01-03	VYDAJ	VYBER	1300	76163	\N	\N	\N
2653601	8776	1998-01-06	VYDAJ	VYBER	2800	56763	\N	\N	\N
2653602	8776	1998-01-27	VYDAJ	VYBER	600	58619	\N	\N	\N
2653603	8776	1998-01-23	VYDAJ	VYBER	2600	63719	\N	\N	\N
2653611	8776	1995-09-10	VYDAJ	VYBER	4000	54299	\N	\N	\N
2653612	8776	1995-12-26	VYDAJ	VYBER	1000	45778	\N	\N	\N
2653613	8776	1995-04-01	VYDAJ	VYBER	700	42070	\N	\N	\N
2653614	8776	1995-12-12	VYDAJ	VYBER	1900	61586	\N	\N	\N
2653615	8776	1995-11-27	VYDAJ	VYBER	1600	43001	\N	\N	\N
2653616	8776	1996-01-14	VYDAJ	VYBER	2500	46339	\N	\N	\N
2653617	8776	1996-01-22	VYDAJ	VYBER	1800	36139	\N	\N	\N
2653618	8776	1996-10-03	VYDAJ	VYBER	3200	46798	\N	\N	\N
2653619	8776	1996-03-23	VYDAJ	VYBER	1100	43922	\N	\N	\N
2653620	8776	1996-06-10	VYDAJ	VYBER	1600	67504	\N	\N	\N
2653621	8776	1997-11-16	VYDAJ	VYBER	4100	64974	\N	\N	\N
2653622	8776	1997-01-08	VYDAJ	VYBER	2600	58517	\N	\N	\N
2653623	8776	1997-06-03	VYDAJ	VYBER	2400	48389	\N	\N	\N
2653624	8776	1997-08-25	VYDAJ	VYBER	1800	56553	\N	\N	\N
2653625	8776	1998-11-06	VYDAJ	VYBER	1400	62060	\N	\N	\N
2653626	8776	1998-07-06	VYDAJ	VYBER	3700	54399	\N	\N	\N
2653627	8776	1998-01-24	VYDAJ	VYBER	1900	61819	\N	\N	\N
2653628	8776	1998-07-16	VYDAJ	VYBER	4200	62955	\N	\N	\N
2653629	8776	1998-07-21	VYDAJ	VYBER	4900	58055	\N	\N	\N
2653630	8776	1998-06-16	VYDAJ	VYBER	800	61596	\N	\N	\N
2653644	8776	1995-01-31	VYDAJ	VYBER	15	30427	SLUZBY	\N	\N
2653645	8776	1995-02-28	VYDAJ	VYBER	15	38373	SLUZBY	\N	\N
2653646	8776	1995-03-31	VYDAJ	VYBER	15	42770	SLUZBY	\N	\N
2653647	8776	1995-04-30	VYDAJ	VYBER	15	41614	SLUZBY	\N	\N
2653648	8776	1995-05-31	VYDAJ	VYBER	15	40219	SLUZBY	\N	\N
2653649	8776	1995-06-30	VYDAJ	VYBER	15	37834	SLUZBY	\N	\N
2653650	8776	1995-07-31	VYDAJ	VYBER	15	42101	SLUZBY	\N	\N
2653651	8776	1995-08-31	VYDAJ	VYBER	15	44835	SLUZBY	\N	\N
2653652	8776	1995-09-30	VYDAJ	VYBER	15	44294	SLUZBY	\N	\N
2653653	8776	1995-10-31	VYDAJ	VYBER	15	45045	SLUZBY	\N	\N
2653654	8776	1995-11-30	VYDAJ	VYBER	15	43290	SLUZBY	\N	\N
2653655	8776	1995-12-31	VYDAJ	VYBER	15	43383	SLUZBY	\N	\N
2653656	8776	1996-01-31	VYDAJ	VYBER	15	27250	SLUZBY	\N	\N
2653657	8776	1996-02-29	VYDAJ	VYBER	15	40166	SLUZBY	\N	\N
2653658	8776	1996-03-31	VYDAJ	VYBER	15	44255	SLUZBY	\N	\N
2653659	8776	1996-04-30	VYDAJ	VYBER	15	45754	SLUZBY	\N	\N
2653660	8776	1996-05-31	VYDAJ	VYBER	15	48908	SLUZBY	\N	\N
2653661	8776	1996-06-30	VYDAJ	VYBER	15	41580	SLUZBY	\N	\N
2653662	8776	1996-07-31	VYDAJ	VYBER	15	45066	SLUZBY	\N	\N
2653663	8776	1996-08-31	VYDAJ	VYBER	15	46264	SLUZBY	\N	\N
2653664	8776	1996-09-30	VYDAJ	VYBER	15	49998	SLUZBY	\N	\N
2653665	8776	1996-10-31	VYDAJ	VYBER	15	48046	SLUZBY	\N	\N
2653666	8776	1996-11-30	VYDAJ	VYBER	15	49300	SLUZBY	\N	\N
2653667	8776	1996-12-31	VYDAJ	VYBER	15	50553	SLUZBY	\N	\N
2653668	8776	1997-01-31	VYDAJ	VYBER	15	32256	SLUZBY	\N	\N
2653669	8776	1997-02-28	VYDAJ	VYBER	15	37831	SLUZBY	\N	\N
2653670	8776	1997-03-31	VYDAJ	VYBER	15	41671	SLUZBY	\N	\N
2653671	8776	1997-04-30	VYDAJ	VYBER	15	44934	SLUZBY	\N	\N
2653672	8776	1997-05-31	VYDAJ	VYBER	15	50789	SLUZBY	\N	\N
2653673	8776	1997-06-30	VYDAJ	VYBER	15	49297	SLUZBY	\N	\N
2653674	8776	1997-07-31	VYDAJ	VYBER	15	56697	SLUZBY	\N	\N
2653675	8776	1997-08-31	VYDAJ	VYBER	15	56920	SLUZBY	\N	\N
2653676	8776	1997-09-30	VYDAJ	VYBER	15	58357	SLUZBY	\N	\N
2653677	8776	1997-10-31	VYDAJ	VYBER	15	62118	SLUZBY	\N	\N
2653678	8776	1997-11-30	VYDAJ	VYBER	15	65412	SLUZBY	\N	\N
2653679	8776	1997-12-31	VYDAJ	VYBER	15	77463	SLUZBY	\N	\N
2653680	8776	1998-01-31	VYDAJ	VYBER	15	59107	SLUZBY	\N	\N
2653681	8776	1998-02-28	VYDAJ	VYBER	15	64914	SLUZBY	\N	\N
2653682	8776	1998-03-31	VYDAJ	VYBER	15	66493	SLUZBY	\N	\N
2653683	8776	1998-04-30	VYDAJ	VYBER	15	65068	SLUZBY	\N	\N
2653684	8776	1998-05-31	VYDAJ	VYBER	15	69108	SLUZBY	\N	\N
2653685	8776	1998-06-30	VYDAJ	VYBER	15	61999	SLUZBY	\N	\N
2653686	8776	1998-07-31	VYDAJ	VYBER	15	58493	SLUZBY	\N	\N
2653687	8776	1998-08-31	VYDAJ	VYBER	15	66104	SLUZBY	\N	\N
2653688	8776	1998-09-30	VYDAJ	VYBER	15	74983	SLUZBY	\N	\N
2653689	8776	1998-10-31	VYDAJ	VYBER	15	74060	SLUZBY	\N	\N
2653690	8776	1998-11-30	VYDAJ	VYBER	15	75293	SLUZBY	\N	\N
2653691	8776	1994-09-23	PRIJEM	VKLAD	4700	18764	\N	\N	\N
2653692	8776	1994-10-23	VYDAJ	VYBER	1600	30667	\N	\N	\N
2653693	8776	1994-11-22	VYDAJ	VYBER	10600	33657	\N	\N	\N
2653694	8776	1994-12-22	VYDAJ	VYBER	14700	39321	\N	\N	\N
2653695	8776	1995-01-21	VYDAJ	VYBER	13800	36980	\N	\N	\N
2653696	8776	1995-02-20	VYDAJ	VYBER	5000	38091	\N	\N	\N
2653697	8776	1995-03-22	VYDAJ	VYBER	8600	42437	\N	\N	\N
2653698	8776	1995-04-21	VYDAJ	VYBER	13500	41234	\N	\N	\N
2653699	8776	1995-05-21	VYDAJ	VYBER	14400	39878	\N	\N	\N
2653700	8776	1995-06-20	VYDAJ	VYBER	10200	37515	\N	\N	\N
2653701	8776	1995-07-20	VYDAJ	VYBER	9000	41798	\N	\N	\N
2653702	8776	1995-08-19	VYDAJ	VYBER	10300	44465	\N	\N	\N
2653703	8776	1995-09-18	VYDAJ	VYBER	9600	43991	\N	\N	\N
2653704	8776	1995-10-18	VYDAJ	VYBER	12300	44750	\N	\N	\N
2653705	8776	1995-11-17	VYDAJ	VYBER	13200	44601	\N	\N	\N
2653706	8776	1995-12-17	VYDAJ	VYBER	14100	46778	\N	\N	\N
2653707	8776	1996-01-16	VYDAJ	VYBER	6800	39539	\N	\N	\N
2653708	8776	1996-02-15	VYDAJ	VYBER	100	39906	\N	\N	\N
2653709	8776	1996-03-16	VYDAJ	VYBER	7900	45022	\N	\N	\N
2653710	8776	1996-04-15	VYDAJ	VYBER	11600	45411	\N	\N	\N
2653711	8776	1996-05-15	VYDAJ	VYBER	9900	48610	\N	\N	\N
2653712	8776	1996-06-14	VYDAJ	VYBER	2600	41296	\N	\N	\N
2653713	8776	1996-07-14	VYDAJ	VYBER	9600	44736	\N	\N	\N
2653714	8776	1996-08-13	VYDAJ	VYBER	11900	45922	\N	\N	\N
2653715	8776	1996-09-12	VYDAJ	VYBER	9400	50328	\N	\N	\N
2653716	8776	1996-10-12	VYDAJ	VYBER	11900	48362	\N	\N	\N
2653717	8776	1996-11-11	VYDAJ	VYBER	11800	49710	\N	\N	\N
2653718	8776	1996-12-11	VYDAJ	VYBER	17300	52196	\N	\N	\N
2653719	8776	1997-01-10	VYDAJ	VYBER	12500	46017	\N	\N	\N
2653720	8776	1997-02-09	VYDAJ	VYBER	7400	38320	\N	\N	\N
2653721	8776	1997-03-11	VYDAJ	VYBER	9200	42095	\N	\N	\N
2653722	8776	1997-04-10	VYDAJ	VYBER	9800	45335	\N	\N	\N
2653723	8776	1997-05-10	VYDAJ	VYBER	7200	51198	\N	\N	\N
2653724	8776	1997-06-09	VYDAJ	VYBER	3700	49685	\N	\N	\N
2653725	8776	1997-07-09	VYDAJ	VYBER	5700	57061	\N	\N	\N
2653726	8776	1997-08-08	VYDAJ	VYBER	11100	59061	\N	\N	\N
2653727	8776	1997-09-07	VYDAJ	VYBER	11700	58684	\N	\N	\N
2653728	8776	1997-10-07	VYDAJ	VYBER	9400	62421	\N	\N	\N
2653729	8776	1997-11-06	VYDAJ	VYBER	5800	56318	\N	\N	\N
2653730	8776	1997-12-06	VYDAJ	VYBER	6900	58512	\N	\N	\N
2653731	8776	1998-01-05	VYDAJ	VYBER	16600	59563	\N	\N	\N
2653732	8776	1998-02-04	VYDAJ	VYBER	7400	51707	\N	\N	\N
2653733	8776	1998-03-06	VYDAJ	VYBER	11600	53314	\N	\N	\N
2653734	8776	1998-04-05	VYDAJ	VYBER	14600	51893	\N	\N	\N
2653735	8776	1998-05-05	VYDAJ	VYBER	9200	55868	\N	\N	\N
2653736	8776	1998-06-04	VYDAJ	VYBER	800	42908	\N	\N	\N
2653737	8776	1998-07-04	VYDAJ	VYBER	3900	58099	\N	\N	\N
2653738	8776	1998-08-03	VYDAJ	VYBER	5600	52893	\N	\N	\N
2653739	8776	1998-09-02	VYDAJ	VYBER	4400	61704	\N	\N	\N
2653740	8776	1998-10-02	VYDAJ	VYBER	14200	60783	\N	\N	\N
2653741	8776	1998-11-01	VYDAJ	VYBER	10600	63460	\N	\N	\N
2653742	8776	1998-12-01	VYDAJ	VYBER	8500	66793	\N	\N	\N
2655649	8784	1996-10-16	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2655660	8784	1996-11-10	PRIJEM	PREVOD Z UCTU	36791	37891	\N	QR	53895962
2655661	8784	1996-12-10	PRIJEM	PREVOD Z UCTU	55186	85909	\N	QR	53895962
2655662	8784	1997-01-10	PRIJEM	PREVOD Z UCTU	36791	92302	\N	QR	53895962
2655663	8784	1997-02-10	PRIJEM	PREVOD Z UCTU	36791	96166	\N	QR	53895962
2655664	8784	1997-03-10	PRIJEM	PREVOD Z UCTU	36791	93737	\N	QR	53895962
2655665	8784	1997-04-10	PRIJEM	PREVOD Z UCTU	36791	69599	\N	QR	53895962
2655666	8784	1997-05-10	PRIJEM	PREVOD Z UCTU	36791	71596	\N	QR	53895962
2655667	8784	1997-06-10	PRIJEM	PREVOD Z UCTU	55186	76163	\N	QR	53895962
2655668	8784	1997-07-10	PRIJEM	PREVOD Z UCTU	36791	75666	\N	QR	53895962
2655669	8784	1997-08-10	PRIJEM	PREVOD Z UCTU	36791	71520	\N	QR	53895962
2655670	8784	1997-09-10	PRIJEM	PREVOD Z UCTU	36791	67140	\N	QR	53895962
2655671	8784	1997-10-10	PRIJEM	PREVOD Z UCTU	36791	66183	\N	QR	53895962
2655672	8784	1997-11-10	PRIJEM	PREVOD Z UCTU	36791	62746	\N	QR	53895962
2655673	8784	1997-12-10	PRIJEM	PREVOD Z UCTU	55186	83216	\N	QR	53895962
2655674	8784	1998-01-10	PRIJEM	PREVOD Z UCTU	36791	56154	\N	QR	53895962
2655675	8784	1998-02-10	PRIJEM	PREVOD Z UCTU	36791	55851	\N	QR	53895962
2655676	8784	1998-03-10	PRIJEM	PREVOD Z UCTU	36791	69883	\N	QR	53895962
2655677	8784	1998-04-10	PRIJEM	PREVOD Z UCTU	36791	64686	\N	QR	53895962
2655678	8784	1998-05-10	PRIJEM	PREVOD Z UCTU	36791	63090	\N	QR	53895962
2655679	8784	1998-06-10	PRIJEM	PREVOD Z UCTU	55186	90567	\N	QR	53895962
2655680	8784	1998-07-10	PRIJEM	PREVOD Z UCTU	36791	77238	\N	QR	53895962
2655681	8784	1998-08-10	PRIJEM	PREVOD Z UCTU	36791	70419	\N	QR	53895962
2655682	8784	1998-09-10	PRIJEM	PREVOD Z UCTU	36791	72056	\N	QR	53895962
2655683	8784	1998-10-10	PRIJEM	PREVOD Z UCTU	36791	69498	\N	QR	53895962
2655684	8784	1998-11-10	PRIJEM	PREVOD Z UCTU	36791	61081	\N	QR	53895962
2655685	8784	1998-12-10	PRIJEM	PREVOD Z UCTU	55186	81318	\N	QR	53895962
2655700	8784	1997-03-02	VYDAJ	VYBER	3300	56946	\N	\N	0
2655701	8784	1997-04-14	VYDAJ	VYBER	3200	41499	\N	\N	0
2655702	8784	1997-05-20	VYDAJ	VYBER	2500	30242	\N	\N	0
2655703	8784	1997-06-02	VYDAJ	VYBER	2400	28074	\N	\N	0
2655704	8784	1997-07-12	VYDAJ	VYBER	2900	72766	\N	\N	0
2655705	8784	1997-08-11	VYDAJ	VYBER	2800	68720	\N	\N	0
2655706	8784	1997-09-03	VYDAJ	VYBER	3600	37446	\N	\N	0
2655707	8784	1997-10-17	VYDAJ	VYBER	3600	32783	\N	\N	0
2655708	8784	1997-11-17	VYDAJ	VYBER	3100	34846	\N	\N	0
2655709	8784	1997-12-17	VYDAJ	VYBER	3500	44116	\N	\N	0
2655710	8784	1998-01-13	VYDAJ	VYBER	3200	50554	\N	\N	0
2655711	8784	1998-02-07	VYDAJ	VYBER	2900	35657	\N	\N	0
2655712	8784	1998-03-03	VYDAJ	VYBER	3400	46489	\N	\N	0
2655713	8784	1998-04-05	VYDAJ	VYBER	2500	43392	\N	\N	0
2655714	8784	1998-05-12	VYDAJ	PREVOD NA UCET	3098	59992	UVER	UV	10770130
2655715	8784	1998-06-12	VYDAJ	PREVOD NA UCET	3098	87469	UVER	UV	10770130
2655716	8784	1998-07-12	VYDAJ	PREVOD NA UCET	3098	74140	UVER	UV	10770130
2655717	8784	1998-08-12	VYDAJ	PREVOD NA UCET	3098	67321	UVER	UV	10770130
2655718	8784	1998-09-12	VYDAJ	PREVOD NA UCET	3098	68958	UVER	UV	10770130
2655719	8784	1998-10-12	VYDAJ	PREVOD NA UCET	3098	66400	UVER	UV	10770130
2655720	8784	1998-11-12	VYDAJ	PREVOD NA UCET	3098	57983	UVER	UV	10770130
2655721	8784	1998-12-12	VYDAJ	PREVOD NA UCET	3098	78220	UVER	UV	10770130
2655737	8784	1997-04-09	VYDAJ	PREVOD NA UCET	7097	32808	SIPO	KL	68974447
2655738	8784	1997-05-09	VYDAJ	PREVOD NA UCET	7097	34805	SIPO	KL	68974447
2655739	8784	1997-06-09	VYDAJ	PREVOD NA UCET	7097	20977	SIPO	KL	68974447
2655740	8784	1997-07-09	VYDAJ	PREVOD NA UCET	7097	38875	SIPO	KL	68974447
2655741	8784	1997-08-09	VYDAJ	PREVOD NA UCET	7097	34729	SIPO	KL	68974447
2655742	8784	1997-09-09	VYDAJ	PREVOD NA UCET	7097	30349	SIPO	KL	68974447
2655743	8784	1997-10-09	VYDAJ	PREVOD NA UCET	7097	29392	SIPO	KL	68974447
2655744	8784	1997-11-09	VYDAJ	PREVOD NA UCET	7097	25955	SIPO	KL	68974447
2655745	8784	1997-12-09	VYDAJ	PREVOD NA UCET	7097	28030	SIPO	KL	68974447
2655746	8784	1998-01-09	VYDAJ	PREVOD NA UCET	7097	19363	SIPO	KL	68974447
2655747	8784	1998-02-09	VYDAJ	PREVOD NA UCET	7097	19060	SIPO	KL	68974447
2655748	8784	1998-03-09	VYDAJ	PREVOD NA UCET	7097	33092	SIPO	KL	68974447
2655749	8784	1998-04-09	VYDAJ	PREVOD NA UCET	7097	27895	SIPO	KL	68974447
2655750	8784	1998-05-09	VYDAJ	PREVOD NA UCET	7097	39399	SIPO	KL	68974447
2655751	8784	1998-06-09	VYDAJ	PREVOD NA UCET	7097	35381	SIPO	KL	68974447
2655752	8784	1998-07-09	VYDAJ	PREVOD NA UCET	7097	40447	SIPO	KL	68974447
2655753	8784	1998-08-09	VYDAJ	PREVOD NA UCET	7097	33628	SIPO	KL	68974447
2655754	8784	1998-09-09	VYDAJ	PREVOD NA UCET	7097	35265	SIPO	KL	68974447
2655755	8784	1998-10-09	VYDAJ	PREVOD NA UCET	7097	32707	SIPO	KL	68974447
2655756	8784	1998-11-09	VYDAJ	PREVOD NA UCET	7097	24290	SIPO	KL	68974447
2655757	8784	1998-12-09	VYDAJ	PREVOD NA UCET	7097	26132	SIPO	KL	68974447
2655763	8784	1997-05-10	VYBER	VYBER	10954	60642	\N	\N	\N
2655764	8784	1997-03-25	VYBER	VYBER	6111	49826	\N	\N	\N
2655769	8784	1997-03-31	VYBER	VYBER	10343	39919	\N	\N	\N
2655771	8784	1998-12-13	VYBER	VYBER	10571	67649	\N	\N	\N
2655772	8784	1998-04-11	VYBER	VYBER	11918	52768	\N	\N	\N
2655775	8784	1998-06-21	VYDAJ	VYBER	11100	76369	\N	\N	\N
2655780	8784	1997-12-27	VYDAJ	VYBER	3300	40816	\N	\N	\N
2655781	8784	1998-12-21	VYDAJ	VYBER	1500	66149	\N	\N	\N
2655794	8784	1998-01-01	VYDAJ	VYBER	8100	33060	\N	\N	\N
2655795	8784	1998-01-17	VYDAJ	VYBER	2400	42454	\N	\N	\N
2655796	8784	1998-01-13	VYDAJ	VYBER	5700	44854	\N	\N	\N
2655797	8784	1998-01-04	VYDAJ	VYBER	1500	31560	\N	\N	\N
2655798	8784	1998-01-17	VYDAJ	VYBER	4200	38254	\N	\N	\N
2655799	8784	1998-01-10	VYDAJ	VYBER	2400	53754	\N	\N	\N
2655808	8784	1997-05-11	VYDAJ	VYBER	13500	47142	\N	\N	\N
2655810	8784	1997-11-10	VYDAJ	VYBER	3300	37946	\N	\N	\N
2655811	8784	1998-05-05	VYDAJ	VYBER	6600	46496	\N	\N	\N
2655812	8784	1998-03-02	VYDAJ	VYBER	6300	49889	\N	\N	\N
2655813	8784	1998-11-23	VYDAJ	VYBER	6300	51683	\N	\N	\N
2655814	8784	1998-03-08	VYDAJ	VYBER	6300	40189	\N	\N	\N
2655815	8784	1998-08-02	VYDAJ	VYBER	7500	67125	\N	\N	\N
2655816	8784	1998-10-29	VYDAJ	VYBER	13800	52600	\N	\N	\N
2655832	8784	1997-03-31	VYDAJ	VYBER	15	39905	SLUZBY	\N	\N
2655833	8784	1997-04-30	VYDAJ	VYBER	15	41902	SLUZBY	\N	\N
2655834	8784	1997-05-31	VYDAJ	VYBER	15	30474	SLUZBY	\N	\N
2655835	8784	1997-06-30	VYDAJ	VYBER	15	45972	SLUZBY	\N	\N
2655836	8784	1997-07-31	VYDAJ	VYBER	15	41826	SLUZBY	\N	\N
2655837	8784	1997-08-31	VYDAJ	VYBER	15	41046	SLUZBY	\N	\N
2655838	8784	1997-09-30	VYDAJ	VYBER	15	36489	SLUZBY	\N	\N
2655839	8784	1997-10-31	VYDAJ	VYBER	15	33052	SLUZBY	\N	\N
2655840	8784	1997-11-30	VYDAJ	VYBER	15	35127	SLUZBY	\N	\N
2655841	8784	1997-12-31	VYDAJ	VYBER	15	41160	SLUZBY	\N	\N
2655842	8784	1998-01-31	VYDAJ	VYBER	15	38557	SLUZBY	\N	\N
2655843	8784	1998-02-28	VYDAJ	VYBER	15	56189	SLUZBY	\N	\N
2655844	8784	1998-03-31	VYDAJ	VYBER	15	45892	SLUZBY	\N	\N
2655845	8784	1998-04-30	VYDAJ	VYBER	15	53096	SLUZBY	\N	\N
2655846	8784	1998-05-31	VYDAJ	VYBER	15	60378	SLUZBY	\N	\N
2655847	8784	1998-06-30	VYDAJ	VYBER	15	76944	SLUZBY	\N	\N
2655848	8784	1998-07-31	VYDAJ	VYBER	15	74625	SLUZBY	\N	\N
2655849	8784	1998-08-31	VYDAJ	VYBER	15	67762	SLUZBY	\N	\N
2655850	8784	1998-09-30	VYDAJ	VYBER	15	69404	SLUZBY	\N	\N
2655851	8784	1998-10-31	VYDAJ	VYBER	15	53087	SLUZBY	\N	\N
2655852	8784	1998-11-30	VYDAJ	VYBER	15	52029	SLUZBY	\N	\N
2655853	8784	1996-11-15	VYDAJ	VYBER	7300	30591	\N	\N	\N
2655854	8784	1996-12-15	VYDAJ	VYBER	30700	55209	\N	\N	\N
2655855	8784	1997-01-14	VYDAJ	VYBER	33300	59002	\N	\N	\N
2655856	8784	1997-02-13	VYDAJ	VYBER	36300	59866	\N	\N	\N
2655857	8784	1997-03-15	VYDAJ	VYBER	37800	55937	\N	\N	\N
2655858	8784	1997-04-14	VYDAJ	VYBER	24900	44699	\N	\N	\N
2655859	8784	1997-05-14	VYDAJ	VYBER	14400	32742	\N	\N	\N
2655860	8784	1997-06-13	VYDAJ	VYBER	30500	45663	\N	\N	\N
2655861	8784	1997-07-13	VYDAJ	VYBER	31300	41466	\N	\N	\N
2655862	8784	1997-08-12	VYDAJ	VYBER	28000	40720	\N	\N	\N
2655863	8784	1997-09-11	VYDAJ	VYBER	30900	36240	\N	\N	\N
2655864	8784	1997-10-11	VYDAJ	VYBER	29800	36383	\N	\N	\N
2655865	8784	1997-11-10	VYDAJ	VYBER	21500	41246	\N	\N	\N
2655866	8784	1997-12-10	VYDAJ	VYBER	35600	47616	\N	\N	\N
2655867	8784	1998-01-09	VYDAJ	VYBER	5100	26460	\N	\N	\N
2655868	8784	1998-02-08	VYDAJ	VYBER	9500	26157	\N	\N	\N
2655869	8784	1998-03-10	VYDAJ	VYBER	24400	45483	\N	\N	\N
2655870	8784	1998-04-09	VYDAJ	VYBER	8400	34992	\N	\N	\N
2655871	8784	1998-05-09	VYDAJ	VYBER	13100	26299	\N	\N	\N
2655872	8784	1998-06-08	VYDAJ	VYBER	17900	42478	\N	\N	\N
2655873	8784	1998-07-08	VYDAJ	VYBER	29400	47544	\N	\N	\N
2655874	8784	1998-08-07	VYDAJ	VYBER	26400	40725	\N	\N	\N
2655875	8784	1998-09-06	VYDAJ	VYBER	25400	42362	\N	\N	\N
2655876	8784	1998-10-06	VYDAJ	VYBER	29600	39804	\N	\N	\N
2655877	8784	1998-11-05	VYDAJ	VYBER	21700	31387	\N	\N	\N
2655878	8784	1998-12-05	VYDAJ	VYBER	18800	33229	\N	\N	\N
2675849	8856	1994-12-18	PRIJEM	VKLAD	200	200	\N	\N	\N
2675862	8856	1995-01-21	PRIJEM	VKLAD	29699	40699	\N	\N	\N
2675863	8856	1995-11-05	PRIJEM	VKLAD	48713	141600	\N	\N	\N
2675864	8856	1995-11-24	PRIJEM	VKLAD	29610	74562	\N	\N	\N
2675865	8856	1995-04-03	PRIJEM	VKLAD	13135	57131	\N	\N	\N
2675866	8856	1995-12-04	PRIJEM	VKLAD	26365	131886	\N	\N	\N
2675867	8856	1995-10-25	PRIJEM	VKLAD	46526	77570	\N	\N	\N
2675868	8856	1995-12-04	PRIJEM	VKLAD	35291	167177	\N	\N	\N
2675869	8856	1995-04-11	PRIJEM	VKLAD	22471	112411	\N	\N	\N
2675870	8856	1995-03-10	PRIJEM	VKLAD	49262	107825	\N	\N	\N
2675871	8856	1995-11-04	PRIJEM	VKLAD	17446	92887	\N	\N	\N
2675872	8856	1995-04-05	PRIJEM	VKLAD	42209	99340	\N	\N	\N
2675873	8856	1995-02-06	PRIJEM	VKLAD	27468	68282	\N	\N	\N
2675874	8856	1995-12-21	PRIJEM	VKLAD	28889	76582	\N	\N	\N
2675875	8856	1995-02-17	PRIJEM	VKLAD	10977	58259	\N	\N	\N
2675876	8856	1995-09-12	PRIJEM	VKLAD	45902	37494	\N	\N	\N
2675877	8856	1995-11-27	PRIJEM	VKLAD	32982	107544	\N	\N	\N
2675878	8856	1995-11-14	PRIJEM	VKLAD	8952	53952	\N	\N	\N
2675879	8856	1995-12-13	PRIJEM	VKLAD	15450	108727	\N	\N	\N
2675880	8856	1995-09-29	PRIJEM	VKLAD	31365	63159	\N	\N	\N
2675881	8856	1995-03-14	PRIJEM	VKLAD	38947	108272	\N	\N	\N
2675882	8856	1996-06-15	PRIJEM	VKLAD	23956	83693	\N	\N	\N
2675883	8856	1996-10-15	PRIJEM	VKLAD	12383	60435	\N	\N	\N
2675884	8856	1996-04-14	PRIJEM	VKLAD	9577	45774	\N	\N	\N
2675885	8856	1996-09-10	PRIJEM	VKLAD	18958	64370	\N	\N	\N
2675886	8856	1996-04-29	PRIJEM	VKLAD	32645	88500	\N	\N	\N
2675887	8856	1996-03-20	PRIJEM	VKLAD	36663	78142	\N	\N	\N
2675888	8856	1996-06-30	PRIJEM	VKLAD	12810	79128	\N	\N	\N
2675889	8856	1996-10-05	PRIJEM	VKLAD	45464	97452	\N	\N	\N
2675890	8856	1996-07-03	PRIJEM	VKLAD	22869	102599	\N	\N	\N
2675891	8856	1996-10-31	PRIJEM	VKLAD	8668	80632	\N	\N	\N
2675892	8856	1996-01-21	PRIJEM	VKLAD	30724	75228	\N	\N	\N
2675893	8856	1996-11-18	PRIJEM	VKLAD	25508	118748	\N	\N	\N
2675894	8856	1996-04-18	PRIJEM	VKLAD	12581	55855	\N	\N	\N
2675895	8856	1996-05-14	PRIJEM	VKLAD	44964	93805	\N	\N	\N
2675896	8856	1996-07-11	PRIJEM	VKLAD	32404	91103	\N	\N	\N
2675897	8856	1996-02-07	PRIJEM	VKLAD	40848	84754	\N	\N	\N
2675898	8856	1996-02-23	PRIJEM	VKLAD	17622	62776	\N	\N	\N
2675899	8856	1996-10-24	PRIJEM	VKLAD	18129	78564	\N	\N	\N
2675900	8856	1996-11-09	PRIJEM	VKLAD	41075	105440	\N	\N	\N
2675901	8856	1997-07-15	PRIJEM	VKLAD	49451	152619	\N	\N	\N
2675902	8856	1997-07-16	PRIJEM	VKLAD	11061	110180	\N	\N	\N
2675903	8856	1997-05-15	PRIJEM	VKLAD	46971	86495	\N	\N	\N
2675904	8856	1997-09-27	PRIJEM	VKLAD	45365	131898	\N	\N	\N
2675905	8856	1997-09-12	PRIJEM	VKLAD	10319	47860	\N	\N	\N
2675906	8856	1997-06-15	PRIJEM	VKLAD	27010	75302	\N	\N	\N
2675907	8856	1997-09-24	PRIJEM	VKLAD	38673	86533	\N	\N	\N
2675908	8856	1997-02-12	PRIJEM	VKLAD	44206	82559	\N	\N	\N
2675909	8856	1997-12-22	PRIJEM	VKLAD	31564	81591	\N	\N	\N
2675910	8856	1997-12-09	PRIJEM	VKLAD	8373	61827	\N	\N	\N
2675911	8856	1997-01-08	PRIJEM	VKLAD	7398	55226	\N	\N	\N
2675912	8856	1997-10-28	PRIJEM	VKLAD	45782	123668	\N	\N	\N
2675913	8856	1997-07-14	PRIJEM	VKLAD	28217	103168	\N	\N	\N
2675914	8856	1997-06-25	PRIJEM	VKLAD	45439	120741	\N	\N	\N
2675915	8856	1997-07-22	PRIJEM	VKLAD	45716	143796	\N	\N	\N
2675916	8856	1997-10-28	PRIJEM	VKLAD	28232	151900	\N	\N	\N
2675917	8856	1997-12-27	PRIJEM	VKLAD	28512	110103	\N	\N	\N
2675918	8856	1998-02-15	PRIJEM	VKLAD	33428	96618	\N	\N	\N
2675919	8856	1998-02-08	PRIJEM	VKLAD	22012	76690	\N	\N	\N
2675920	8856	1998-04-03	PRIJEM	VKLAD	23170	88284	\N	\N	\N
2675921	8856	1998-12-26	PRIJEM	VKLAD	46170	192663	\N	\N	\N
2675922	8856	1998-10-20	PRIJEM	VKLAD	28883	123508	\N	\N	\N
2675923	8856	1998-06-21	PRIJEM	VKLAD	37230	110869	\N	\N	\N
2675924	8856	1998-11-12	PRIJEM	VKLAD	35189	128874	\N	\N	\N
2675925	8856	1998-06-20	PRIJEM	VKLAD	19913	73639	\N	\N	\N
2675926	8856	1998-10-17	PRIJEM	VKLAD	22711	100325	\N	\N	\N
2675927	8856	1998-04-19	PRIJEM	VKLAD	27951	104835	\N	\N	\N
2675928	8856	1998-07-15	PRIJEM	VKLAD	8150	126896	\N	\N	\N
2675929	8856	1998-08-14	PRIJEM	VKLAD	14786	102485	\N	\N	\N
2675930	8856	1998-03-20	PRIJEM	VKLAD	5616	65492	\N	\N	\N
2675931	8856	1998-08-29	PRIJEM	VKLAD	45526	153158	\N	\N	\N
2675932	8856	1998-12-14	PRIJEM	VKLAD	44203	145373	\N	\N	\N
2675933	8856	1998-08-25	PRIJEM	VKLAD	5147	107632	\N	\N	\N
2675934	8856	1998-12-14	PRIJEM	VKLAD	16820	162193	\N	\N	\N
2675935	8856	1998-07-12	PRIJEM	VKLAD	37946	118746	\N	\N	\N
2675951	8856	1995-04-11	VYDAJ	VYBER	2100	110311	SIPO	\N	0
2675952	8856	1995-04-29	VYDAJ	VYBER	2700	46211	SIPO	\N	0
2675953	8856	1995-06-06	VYDAJ	VYBER	2100	28608	SIPO	\N	0
2675954	8856	1995-07-13	VYDAJ	VYBER	1700	23760	SIPO	\N	0
2675955	8856	1995-08-09	VYDAJ	VYBER	2300	4070	SIPO	\N	0
2675957	8856	1995-09-30	VYDAJ	VYBER	2000	45859	SIPO	\N	0
2675958	8856	1995-10-30	VYDAJ	VYBER	2400	75170	SIPO	\N	0
2675959	8856	1995-11-29	VYDAJ	VYBER	2500	105044	SIPO	\N	0
2675960	8856	1995-12-31	VYDAJ	VYBER	2200	75119	SIPO	\N	0
2675961	8856	1996-02-07	VYDAJ	VYBER	2200	82554	SIPO	\N	0
2675962	8856	1996-02-29	VYDAJ	VYBER	2500	60693	SIPO	\N	0
2675963	8856	1996-04-15	VYDAJ	VYBER	2500	43274	SIPO	\N	0
2675964	8856	1996-04-30	VYDAJ	VYBER	2600	86255	SIPO	\N	0
2675965	8856	1996-06-04	VYDAJ	VYBER	2000	92380	SIPO	\N	0
2675966	8856	1996-06-29	VYDAJ	VYBER	2100	66318	SIPO	\N	0
2675967	8856	1996-08-03	VYDAJ	VYBER	2300	89482	SIPO	\N	0
2675968	8856	1996-09-08	VYDAJ	VYBER	2500	55312	SIPO	\N	0
2675969	8856	1996-09-28	VYDAJ	VYBER	2000	51570	SIPO	\N	0
2675970	8856	1996-11-10	VYDAJ	VYBER	1600	103840	SIPO	\N	0
2675971	8856	1996-12-05	VYDAJ	VYBER	1700	117843	SIPO	\N	0
2675972	8856	1997-01-05	VYDAJ	VYBER	1900	57928	SIPO	\N	0
2675973	8856	1997-02-04	VYDAJ	VYBER	2200	40753	SIPO	\N	0
2675974	8856	1997-02-27	VYDAJ	VYBER	1700	68259	SIPO	\N	0
2675975	8856	1997-04-03	VYDAJ	VYBER	2200	39392	SIPO	\N	0
2675976	8856	1997-05-15	VYDAJ	VYBER	1900	84595	SIPO	\N	0
2675977	8856	1997-05-31	VYDAJ	VYBER	2600	82392	SIPO	\N	0
2675978	8856	1997-07-16	VYDAJ	VYBER	2400	107780	SIPO	\N	0
2675979	8856	1997-08-02	VYDAJ	VYBER	2500	79699	SIPO	\N	0
2675980	8856	1997-09-07	VYDAJ	VYBER	1600	37541	SIPO	\N	0
2675981	8856	1997-10-13	VYDAJ	VYBER	1600	77886	SIPO	\N	0
2675982	8856	1997-11-04	VYDAJ	VYBER	1600	74981	SIPO	\N	0
2675983	8856	1997-12-02	VYDAJ	VYBER	1800	62854	SIPO	\N	0
2675984	8856	1998-01-09	VYDAJ	VYBER	2500	53082	SIPO	\N	0
2675985	8856	1998-02-09	VYDAJ	VYBER	1800	74890	SIPO	\N	0
2675986	8856	1998-03-07	VYDAJ	VYBER	2500	69276	SIPO	\N	0
2675987	8856	1998-04-11	VYDAJ	VYBER	1800	76884	SIPO	\N	0
2675988	8856	1998-05-15	VYDAJ	VYBER	2700	81071	SIPO	\N	0
2675989	8856	1998-06-06	VYDAJ	VYBER	2000	57926	SIPO	\N	0
2675990	8856	1998-07-04	VYDAJ	VYBER	2500	95700	SIPO	\N	0
2675991	8856	1998-08-09	VYDAJ	VYBER	1900	87699	SIPO	\N	0
2675992	8856	1998-08-30	VYDAJ	VYBER	2600	116858	SIPO	\N	0
2675993	8856	1998-10-02	VYDAJ	VYBER	2000	95514	SIPO	\N	0
2675994	8856	1998-11-15	VYDAJ	VYBER	2100	126774	SIPO	\N	0
2675995	8856	1998-12-03	VYDAJ	VYBER	2400	101170	SIPO	\N	0
2676011	8856	1995-04-06	VYDAJ	VYBER	9400	89940	 	\N	0
2676012	8856	1995-05-09	VYDAJ	VYBER	10700	36006	 	\N	0
2676013	8856	1995-06-18	VYDAJ	VYBER	9700	25308	 	\N	0
2676014	8856	1995-07-19	VYDAJ	VYBER	13700	15960	 	\N	0
2676015	8856	1995-08-07	VYDAJ	VYBER	9700	6370	 	\N	0
2676016	8856	1995-09-08	VYDAJ	VYBER	12500	-8408	 	\N	0
2676017	8856	1995-10-21	VYDAJ	VYBER	9000	31044	 	\N	0
2676018	8856	1995-11-18	VYDAJ	VYBER	9000	44952	 	\N	0
2676019	8856	1995-12-11	VYDAJ	VYBER	12400	93277	 	\N	0
2676020	8856	1996-01-21	VYDAJ	VYBER	14100	61128	 	\N	0
2676021	8856	1996-02-17	VYDAJ	VYBER	9800	45154	 	\N	0
2676022	8856	1996-03-04	VYDAJ	VYBER	10900	49779	 	\N	0
2676023	8856	1996-04-04	VYDAJ	VYBER	10800	52097	 	\N	0
2676024	8856	1996-05-08	VYDAJ	VYBER	13400	72841	 	\N	0
2676025	8856	1996-06-19	VYDAJ	VYBER	10400	73293	 	\N	0
2676026	8856	1996-07-07	VYDAJ	VYBER	9500	93099	 	\N	0
2676027	8856	1996-08-17	VYDAJ	VYBER	8800	57382	 	\N	0
2676028	8856	1996-09-18	VYDAJ	VYBER	10800	53570	 	\N	0
2676029	8856	1996-10-11	VYDAJ	VYBER	9400	58852	 	\N	0
2676030	8856	1996-11-10	VYDAJ	VYBER	10600	93240	 	\N	0
2676031	8856	1996-12-21	VYDAJ	VYBER	12300	61843	 	\N	0
2676032	8856	1997-01-21	VYDAJ	VYBER	12600	42626	 	\N	0
2676033	8856	1997-02-21	VYDAJ	VYBER	9000	69959	 	\N	0
2676034	8856	1997-03-20	VYDAJ	VYBER	9600	41222	 	\N	0
2676037	8856	1997-06-14	VYDAJ	VYBER	14500	48292	 	\N	0
2676038	8856	1997-07-17	VYDAJ	VYBER	9700	98080	 	\N	0
2676039	8856	1997-08-09	VYDAJ	VYBER	11700	49899	 	\N	0
2676040	8856	1997-09-04	VYDAJ	VYBER	11800	39141	 	\N	0
2676041	8856	1997-10-10	VYDAJ	VYBER	10400	79486	 	\N	0
2676042	8856	1997-11-05	VYDAJ	VYBER	10800	64181	 	\N	0
2676043	8856	1997-12-18	VYDAJ	VYBER	11800	50027	 	\N	0
2676044	8856	1998-01-08	VYDAJ	VYBER	11900	55582	 	\N	0
2676045	8856	1998-02-13	VYDAJ	VYBER	11700	63190	 	\N	0
2676046	8856	1998-03-18	VYDAJ	VYBER	9400	59876	 	\N	0
2676047	8856	1998-04-05	VYDAJ	VYBER	9600	78684	 	\N	0
2676048	8856	1998-05-19	VYDAJ	VYBER	9000	72071	 	\N	0
2676049	8856	1998-06-05	VYDAJ	VYBER	14300	59926	 	\N	0
2676050	8856	1998-07-05	VYDAJ	VYBER	10400	85300	 	\N	0
2676051	8856	1998-08-08	VYDAJ	VYBER	9200	89599	 	\N	0
2676052	8856	1998-09-06	VYDAJ	VYBER	8800	108778	 	\N	0
2676053	8856	1998-10-15	VYDAJ	VYBER	13400	77614	 	\N	0
2676054	8856	1998-11-09	VYDAJ	VYBER	9800	93685	 	\N	0
2676055	8856	1998-12-20	VYDAJ	VYBER	9100	146493	 	\N	0
2676066	8856	1995-12-19	VYBER	VYBER	23034	47693	\N	\N	\N
2676068	8856	1995-09-30	VYBER	VYBER	15483	47859	\N	\N	\N
2676072	8856	1996-12-26	VYBER	VYBER	2599	59244	\N	\N	\N
2676073	8856	1996-03-25	VYBER	VYBER	15694	62448	\N	\N	\N
2676074	8856	1996-06-21	VYBER	VYBER	4875	68418	\N	\N	\N
2676075	8856	1996-06-08	VYBER	VYBER	2943	89437	\N	\N	\N
2676077	8856	1998-08-07	VYBER	VYBER	5207	98799	\N	\N	\N
2676078	8856	1998-02-24	VYBER	VYBER	16916	79702	\N	\N	\N
2676091	8856	1995-12-06	VYDAJ	VYBER	3300	105677	\N	\N	\N
2676092	8856	1996-12-06	VYDAJ	VYBER	7500	110343	\N	\N	\N
2676093	8856	1997-12-28	VYDAJ	VYBER	2400	107703	\N	\N	\N
2676094	8856	1998-12-16	VYDAJ	VYBER KARTOU	6600	155593	\N	\N	0
2676107	8856	1996-01-23	VYDAJ	VYBER	7200	50328	\N	\N	\N
2676108	8856	1996-01-16	VYDAJ	VYBER	3000	49004	\N	\N	\N
2676109	8856	1996-01-18	VYDAJ	VYBER	4500	44504	\N	\N	\N
2676110	8856	1996-01-29	VYDAJ	VYBER	6900	43428	\N	\N	\N
2676111	8856	1996-01-21	VYDAJ	VYBER	3600	57528	\N	\N	\N
2676112	8856	1996-01-15	VYDAJ	VYBER	5400	52004	\N	\N	\N
2676122	8856	1998-01-05	VYDAJ	VYBER	5400	67482	\N	\N	\N
2676123	8856	1998-01-03	VYDAJ	VYBER	3900	72882	\N	\N	\N
2676124	8856	1998-01-03	VYDAJ	VYBER	3300	76782	\N	\N	\N
2676132	8856	1995-11-06	VYDAJ	VYBER	1500	48500	\N	\N	\N
2676134	8856	1995-04-26	VYDAJ	VYBER	6000	48911	\N	\N	\N
2676135	8856	1995-03-16	VYDAJ	VYBER	12000	69172	\N	\N	\N
2676136	8856	1996-10-14	VYDAJ	VYBER	10800	48052	\N	\N	\N
2676137	8856	1996-10-26	VYDAJ	VYBER	6600	71964	\N	\N	\N
2676138	8856	1996-10-08	VYDAJ	VYBER	7800	68252	\N	\N	\N
2676140	8856	1997-06-30	VYDAJ	VYBER	10200	111065	\N	\N	\N
2676141	8856	1997-03-11	VYDAJ	VYBER	3300	50822	\N	\N	\N
2676142	8856	1997-02-21	VYDAJ	VYBER	3600	78959	\N	\N	\N
2676145	8856	1998-10-17	VYDAJ	VYBER KARTOU	5700	94625	\N	\N	0
2676147	8856	1998-06-09	VYDAJ	VYBER	4200	53726	\N	\N	\N
2676151	8856	1998-07-07	VYDAJ	VYBER	4500	80800	\N	\N	\N
2676152	8856	1998-10-14	VYDAJ	VYBER KARTOU	4500	91014	\N	\N	0
2676153	8856	1998-05-02	VYDAJ	VYBER	3600	83771	\N	\N	\N
2676169	8856	1995-03-31	VYDAJ	VYBER	15	43996	SLUZBY	\N	\N
2676170	8856	1995-04-30	VYDAJ	VYBER	15	46706	SLUZBY	\N	\N
2676171	8856	1995-05-31	VYDAJ	VYBER	15	30708	SLUZBY	\N	\N
2676172	8856	1995-06-30	VYDAJ	VYBER	15	25460	SLUZBY	\N	\N
2676173	8856	1995-07-31	VYDAJ	VYBER	15	16070	SLUZBY	\N	\N
2676174	8856	1995-08-31	VYDAJ	VYBER	15	4092	SLUZBY	\N	\N
2676175	8856	1995-09-30	VYDAJ	VYBER	15	45844	SLUZBY	\N	\N
2676176	8856	1995-10-31	VYDAJ	VYBER	15	75441	SLUZBY	\N	\N
2676177	8856	1995-11-30	VYDAJ	VYBER	15	105521	SLUZBY	\N	\N
2676178	8856	1995-12-31	VYDAJ	VYBER	15	75104	SLUZBY	\N	\N
2676179	8856	1996-01-31	VYDAJ	VYBER	15	43906	SLUZBY	\N	\N
2676180	8856	1996-02-29	VYDAJ	VYBER	15	60679	SLUZBY	\N	\N
2676181	8856	1996-03-31	VYDAJ	VYBER	15	62897	SLUZBY	\N	\N
2676182	8856	1996-04-30	VYDAJ	VYBER	15	86241	SLUZBY	\N	\N
2676183	8856	1996-05-31	VYDAJ	VYBER	15	94380	SLUZBY	\N	\N
2676184	8856	1996-06-30	VYDAJ	VYBER	15	79730	SLUZBY	\N	\N
2676185	8856	1996-07-31	VYDAJ	VYBER	15	91782	SLUZBY	\N	\N
2676186	8856	1996-08-31	VYDAJ	VYBER	15	57812	SLUZBY	\N	\N
2676187	8856	1996-09-30	VYDAJ	VYBER	15	51988	SLUZBY	\N	\N
2676188	8856	1996-10-31	VYDAJ	VYBER	15	81065	SLUZBY	\N	\N
2676189	8856	1996-11-30	VYDAJ	VYBER	15	119543	SLUZBY	\N	\N
2676190	8856	1996-12-31	VYDAJ	VYBER	15	59828	SLUZBY	\N	\N
2676191	8856	1997-01-31	VYDAJ	VYBER	15	42953	SLUZBY	\N	\N
2676192	8856	1997-02-28	VYDAJ	VYBER	15	68722	SLUZBY	\N	\N
2676193	8856	1997-03-31	VYDAJ	VYBER	15	41592	SLUZBY	\N	\N
2676194	8856	1997-04-30	VYDAJ	VYBER	15	39524	SLUZBY	\N	\N
2676195	8856	1997-05-31	VYDAJ	VYBER	15	84992	SLUZBY	\N	\N
2676196	8856	1997-06-30	VYDAJ	VYBER	15	111051	SLUZBY	\N	\N
2676197	8856	1997-07-31	VYDAJ	VYBER	15	82199	SLUZBY	\N	\N
2676198	8856	1997-08-31	VYDAJ	VYBER	15	50241	SLUZBY	\N	\N
2676199	8856	1997-09-30	VYDAJ	VYBER	15	132286	SLUZBY	\N	\N
2676200	8856	1997-10-31	VYDAJ	VYBER	15	100181	SLUZBY	\N	\N
2676201	8856	1997-11-30	VYDAJ	VYBER	15	64654	SLUZBY	\N	\N
2676202	8856	1997-12-31	VYDAJ	VYBER	15	108182	SLUZBY	\N	\N
2676203	8856	1998-01-31	VYDAJ	VYBER	15	54678	SLUZBY	\N	\N
2676204	8856	1998-02-28	VYDAJ	VYBER	15	80176	SLUZBY	\N	\N
2676205	8856	1998-03-31	VYDAJ	VYBER	15	65914	SLUZBY	\N	\N
2676206	8856	1998-04-30	VYDAJ	VYBER	15	105471	SLUZBY	\N	\N
2676207	8856	1998-05-31	VYDAJ	VYBER	15	74226	SLUZBY	\N	\N
2676208	8856	1998-06-30	VYDAJ	VYBER	15	111400	SLUZBY	\N	\N
2676209	8856	1998-07-31	VYDAJ	VYBER	15	104006	SLUZBY	\N	\N
2676210	8856	1998-08-31	VYDAJ	VYBER	15	117578	SLUZBY	\N	\N
2676211	8856	1998-09-30	VYDAJ	VYBER	15	97514	SLUZBY	\N	\N
2676212	8856	1998-10-31	VYDAJ	VYBER	15	103485	SLUZBY	\N	\N
2676213	8856	1998-11-30	VYDAJ	VYBER	15	103570	SLUZBY	\N	\N
2676214	8856	1995-01-17	PRIJEM	VKLAD	10800	11000	\N	\N	\N
2676215	8856	1995-02-16	VYDAJ	VYBER	21000	47282	\N	\N	\N
2676216	8856	1995-03-10	VYDAJ	VYBER	38500	69325	\N	\N	\N
2676217	8856	1995-03-14	VYDAJ	VYBER	27100	81172	\N	\N	\N
2676218	8856	1995-03-18	VYDAJ	VYBER	25600	43572	\N	\N	\N
2676219	8856	1995-04-11	VYDAJ	VYBER	28700	81611	\N	\N	\N
2676220	8856	1995-04-17	VYDAJ	VYBER	26700	54911	\N	\N	\N
2676221	8856	1995-05-17	VYDAJ	VYBER	5500	30506	\N	\N	\N
2676222	8856	1995-06-16	PRIJEM	VKLAD	6400	35008	\N	\N	\N
2676223	8856	1995-07-16	PRIJEM	VKLAD	5900	29660	\N	\N	\N
2676224	8856	1995-09-14	VYDAJ	VYBER	5700	31794	\N	\N	\N
2676225	8856	1995-10-14	VYDAJ	VYBER	5800	40044	\N	\N	\N
2676226	8856	1995-11-05	VYDAJ	VYBER	26800	114800	\N	\N	\N
2676227	8856	1995-11-06	VYDAJ	VYBER	64800	50000	\N	\N	\N
2676228	8856	1995-11-13	VYDAJ	VYBER	3500	45000	\N	\N	\N
2676229	8856	1995-12-04	VYDAJ	VYBER	29700	108977	\N	\N	\N
2676230	8856	1995-12-04	VYDAJ	VYBER	28500	138677	\N	\N	\N
2676231	8856	1995-12-13	VYDAJ	VYBER	38000	70727	\N	\N	\N
2676232	8856	1996-01-12	VYDAJ	VYBER	17700	57404	\N	\N	\N
2676233	8856	1996-02-11	VYDAJ	VYBER	27600	54954	\N	\N	\N
2676234	8856	1996-03-12	VYDAJ	VYBER	8300	41479	\N	\N	\N
2676235	8856	1996-04-11	VYDAJ	VYBER	15900	36197	\N	\N	\N
2676236	8856	1996-05-11	VYDAJ	VYBER	24000	48841	\N	\N	\N
2676237	8856	1996-06-10	VYDAJ	VYBER	29700	59737	\N	\N	\N
2676238	8856	1996-07-10	VYDAJ	VYBER	34400	58699	\N	\N	\N
2676239	8856	1996-08-09	VYDAJ	VYBER	23300	66182	\N	\N	\N
2676240	8856	1996-09-08	VYDAJ	VYBER	9900	45412	\N	\N	\N
2676241	8856	1996-10-08	VYDAJ	VYBER	21400	76052	\N	\N	\N
2676242	8856	1996-11-07	VYDAJ	VYBER	16700	64365	\N	\N	\N
2676243	8856	1996-12-07	VYDAJ	VYBER	36200	74143	\N	\N	\N
2676244	8856	1997-01-06	VYDAJ	VYBER	10100	47828	\N	\N	\N
2676245	8856	1997-02-05	VYDAJ	VYBER	2400	38353	\N	\N	\N
2676246	8856	1997-03-07	VYDAJ	VYBER	14600	54122	\N	\N	\N
2676247	8856	1997-06-05	VYDAJ	VYBER	19600	62792	\N	\N	\N
2676248	8856	1997-07-05	VYDAJ	VYBER	36100	74951	\N	\N	\N
2676249	8856	1997-07-15	VYDAJ	VYBER	53500	99119	\N	\N	\N
2676250	8856	1997-07-22	VYDAJ	VYBER	62500	81296	\N	\N	\N
2676251	8856	1997-08-04	VYDAJ	VYBER	18100	61599	\N	\N	\N
2676252	8856	1997-09-03	PRIJEM	VKLAD	700	50941	\N	\N	\N
2676253	8856	1997-10-03	VYDAJ	VYBER	42400	89886	\N	\N	\N
2676254	8856	1997-10-28	VYDAJ	VYBER	52300	99600	\N	\N	\N
2676255	8856	1997-11-02	VYDAJ	VYBER	23600	76581	\N	\N	\N
2676256	8856	1997-12-02	VYDAJ	VYBER	9400	53454	\N	\N	\N
2676257	8856	1998-01-01	VYDAJ	VYBER	28100	80082	\N	\N	\N
2676258	8856	1998-01-31	PRIJEM	VKLAD	1200	54282	\N	\N	\N
2676259	8856	1998-03-02	VYDAJ	VYBER	8400	71776	\N	\N	\N
2676260	8856	1998-04-01	VYDAJ	VYBER	800	65114	\N	\N	\N
2676261	8856	1998-05-01	VYDAJ	VYBER	18100	87371	\N	\N	\N
2676262	8856	1998-05-31	PRIJEM	VKLAD	1600	74241	\N	\N	\N
2676263	8856	1998-06-30	VYDAJ	VYBER	13200	98200	\N	\N	\N
2676264	8856	1998-07-30	VYDAJ	VYBER	23700	103196	\N	\N	\N
2676265	8856	1998-08-29	VYDAJ	VYBER	33700	119458	\N	\N	\N
2676266	8856	1998-09-28	VYDAJ	VYBER	11700	97078	\N	\N	\N
2676267	8856	1998-10-28	VYDAJ	VYBER	20600	102908	\N	\N	\N
2676268	8856	1998-11-27	VYDAJ	VYBER	23900	102874	\N	\N	\N
2676269	8856	1998-12-26	VYDAJ	VYBER	55300	137363	\N	\N	\N
2687677	8896	1996-05-02	PRIJEM	VKLAD	300	300	\N	\N	\N
2687678	8896	1996-12-04	PRIJEM	VKLAD	28827	83794	\N	\N	\N
2687679	8896	1996-10-07	PRIJEM	VKLAD	24393	104409	\N	\N	\N
2687681	8896	1996-10-19	PRIJEM	VKLAD	8605	113014	\N	\N	\N
2687682	8896	1996-09-30	PRIJEM	VKLAD	32048	80116	\N	\N	\N
2687683	8896	1996-05-08	PRIJEM	VKLAD	20725	21025	\N	\N	\N
2687684	8896	1996-11-28	PRIJEM	VKLAD	10542	86565	\N	\N	\N
2687685	8896	1996-08-27	PRIJEM	VKLAD	46924	98916	\N	\N	\N
2687687	8896	1996-12-13	PRIJEM	VKLAD	13299	89893	\N	\N	\N
2687688	8896	1996-09-03	PRIJEM	VKLAD	28134	86176	\N	\N	\N
2687689	8896	1996-11-14	PRIJEM	VKLAD	20017	98343	\N	\N	\N
2687690	8896	1996-05-23	PRIJEM	VKLAD	44846	65871	\N	\N	\N
2687694	8896	1996-11-02	PRIJEM	VKLAD	30034	80732	\N	\N	\N
2687695	8896	1996-11-19	PRIJEM	VKLAD	36837	82345	\N	\N	\N
2687698	8896	1996-11-15	PRIJEM	VKLAD	8494	106837	\N	\N	\N
2687699	8896	1996-07-06	PRIJEM	VKLAD	18450	49731	\N	\N	\N
2687700	8896	1996-07-15	PRIJEM	VKLAD	32430	82161	\N	\N	\N
2687701	8896	1996-11-23	PRIJEM	VKLAD	40178	122523	\N	\N	\N
2687702	8896	1996-09-11	PRIJEM	VKLAD	14789	100965	\N	\N	\N
2687703	8896	1996-09-25	PRIJEM	VKLAD	32604	121731	\N	\N	\N
2687704	8896	1997-04-12	PRIJEM	VKLAD	6906	68706	\N	\N	\N
2687705	8896	1997-04-05	PRIJEM	VKLAD	45286	119188	\N	\N	\N
2687706	8896	1997-03-16	PRIJEM	VKLAD	47853	89743	\N	\N	\N
2687707	8896	1997-03-02	PRIJEM	VKLAD	22802	29935	\N	\N	\N
2687708	8896	1997-06-22	PRIJEM	VKLAD	16464	41287	\N	\N	\N
2687709	8896	1997-07-03	PRIJEM	VKLAD	19021	48562	\N	\N	\N
2687710	8896	1997-10-06	PRIJEM	VKLAD	15947	56322	\N	\N	\N
2687711	8896	1997-07-13	PRIJEM	VKLAD	45944	94871	\N	\N	\N
2687712	8896	1997-07-27	PRIJEM	VKLAD	47426	99789	\N	\N	\N
2687713	8896	1997-10-05	PRIJEM	VKLAD	6806	40375	\N	\N	\N
2687714	8896	1997-08-18	PRIJEM	VKLAD	33142	115289	\N	\N	\N
2687715	8896	1997-01-16	PRIJEM	VKLAD	39905	106743	\N	\N	\N
2687716	8896	1997-08-29	PRIJEM	VKLAD	30908	67904	\N	\N	\N
2687717	8896	1997-11-13	PRIJEM	VKLAD	18681	52688	\N	\N	\N
2687718	8896	1997-04-11	PRIJEM	VKLAD	9812	110100	\N	\N	\N
2687719	8896	1997-12-23	PRIJEM	VKLAD	8045	14039	\N	\N	\N
2687720	8896	1997-03-24	PRIJEM	VKLAD	42168	131911	\N	\N	\N
2687721	8896	1997-03-04	PRIJEM	VKLAD	11955	41890	\N	\N	\N
2687722	8896	1997-10-25	PRIJEM	VKLAD	11721	45143	\N	\N	\N
2687723	8896	1997-05-20	PRIJEM	VKLAD	47244	90118	\N	\N	\N
2687724	8896	1997-08-22	PRIJEM	VKLAD	8101	60596	\N	\N	\N
2687725	8896	1997-01-10	PRIJEM	VKLAD	48699	66838	\N	\N	\N
2687726	8896	1997-07-06	PRIJEM	VKLAD	12524	61086	\N	\N	\N
2687727	8896	1997-07-23	PRIJEM	VKLAD	10392	105263	\N	\N	\N
2687728	8896	1997-09-02	PRIJEM	VKLAD	44746	113067	\N	\N	\N
2687729	8896	1997-04-25	PRIJEM	VKLAD	48253	116959	\N	\N	\N
2687730	8896	1997-04-03	PRIJEM	VKLAD	6266	73902	\N	\N	\N
2687731	8896	1997-07-31	PRIJEM	VKLAD	23900	124286	\N	\N	\N
2687732	8896	1998-08-29	PRIJEM	VKLAD	48694	125475	\N	\N	\N
2687733	8896	1998-07-21	PRIJEM	VKLAD	46778	77410	\N	\N	\N
2687734	8896	1998-03-24	PRIJEM	VKLAD	8669	20600	\N	\N	\N
2687735	8896	1998-07-22	PRIJEM	VKLAD	40421	78731	\N	\N	\N
2687736	8896	1998-06-07	PRIJEM	VKLAD	31288	36292	\N	\N	\N
2687737	8896	1998-01-06	PRIJEM	VKLAD	17433	60880	\N	\N	\N
2687738	8896	1998-01-02	PRIJEM	VKLAD	35354	43447	\N	\N	\N
2687739	8896	1998-02-01	PRIJEM	VKLAD	17663	43326	\N	\N	\N
2687740	8896	1998-12-19	PRIJEM	VKLAD	25143	22212	\N	\N	\N
2687741	8896	1998-08-23	PRIJEM	VKLAD	40225	76781	\N	\N	\N
2687742	8896	1998-10-18	PRIJEM	VKLAD	43297	126408	\N	\N	\N
2687743	8896	1998-07-15	PRIJEM	VKLAD	24509	30632	\N	\N	\N
2687744	8896	1998-10-16	PRIJEM	VKLAD	44960	83111	\N	\N	\N
2687745	8896	1998-02-12	PRIJEM	VKLAD	22450	40157	\N	\N	\N
2687746	8896	1998-09-22	PRIJEM	VKLAD	8175	37960	\N	\N	\N
2687747	8896	1998-12-29	PRIJEM	VKLAD	22044	44256	\N	\N	\N
2687785	8896	1996-11-15	VYBER	VYBER	17629	89208	\N	\N	\N
2687786	8896	1996-11-03	VYBER	VYBER	2406	78326	\N	\N	\N
2687788	8896	1996-09-13	VYBER	VYBER	11838	89127	\N	\N	\N
2687791	8896	1997-08-21	VYBER	VYBER	9194	52495	\N	\N	\N
2687793	8896	1997-08-04	VYBER	VYBER	24539	82147	\N	\N	\N
2687794	8896	1997-07-09	VYBER	VYBER	12159	48927	\N	\N	\N
2687795	8896	1997-11-18	VYBER	VYBER	9906	42782	\N	\N	\N
2687796	8896	1997-09-26	VYBER	VYBER	17620	41431	\N	\N	\N
2687797	8896	1997-04-30	VYBER	VYBER	5480	42974	\N	\N	\N
2687798	8896	1997-02-27	VYBER	VYBER	24561	7060	\N	\N	\N
2687799	8896	1997-09-10	VYBER	VYBER	5916	107151	\N	\N	\N
2687800	8896	1998-10-29	VYBER	VYBER	19007	10101	\N	\N	\N
2687802	8896	1998-02-09	VYBER	VYBER	15687	17707	\N	\N	\N
2687804	8896	1998-09-06	VYBER	VYBER	23563	55685	\N	\N	\N
2687805	8896	1998-02-07	VYBER	VYBER	9932	33394	\N	\N	\N
2687808	8896	1998-06-16	VYBER	VYBER	23089	13203	\N	\N	\N
2687810	8896	1998-03-26	VYBER	VYBER	15135	5465	\N	\N	\N
2687814	8896	1997-06-10	VYDAJ	VYBER	24300	24823	\N	\N	\N
2687817	8896	1997-01-23	VYDAJ	VYBER	21300	78243	\N	\N	\N
2687819	8896	1996-12-14	VYDAJ	VYBER	5100	84793	\N	\N	\N
2687820	8896	1997-12-03	VYDAJ	VYBER	6600	19494	\N	\N	\N
2687828	8896	1997-01-08	VYDAJ	VYBER	5700	26839	\N	\N	\N
2687829	8896	1997-01-23	VYDAJ	VYBER	3900	74343	\N	\N	\N
2687830	8896	1997-01-20	VYDAJ	VYBER	7200	99543	\N	\N	\N
2687831	8896	1997-01-25	VYDAJ	VYBER	2400	71943	\N	\N	\N
2687832	8896	1997-01-05	VYDAJ	VYBER	7500	32539	\N	\N	\N
2687833	8896	1997-01-08	VYDAJ	VYBER	8700	18139	\N	\N	\N
2687834	8896	1998-01-09	VYDAJ	VYBER	6600	54280	\N	\N	\N
2687835	8896	1998-01-16	VYDAJ	VYBER	7500	35380	\N	\N	\N
2687837	8896	1998-01-01	VYDAJ	VYBER	7500	8093	\N	\N	\N
2687838	8896	1998-01-13	VYDAJ	VYBER	8400	42880	\N	\N	\N
2687839	8896	1998-01-09	VYDAJ	VYBER	3000	51280	\N	\N	\N
2687841	8896	1996-12-07	VYDAJ	VYBER	7200	76594	\N	\N	\N
2687842	8896	1996-12-30	VYDAJ	VYBER	12300	39593	\N	\N	\N
2687847	8896	1997-12-05	VYDAJ	VYBER	13500	5994	\N	\N	\N
2687848	8896	1997-11-11	VYDAJ	VYBER	11400	34007	\N	\N	\N
2687849	8896	1997-09-28	VYDAJ	VYBER	8400	33031	\N	\N	\N
2687850	8896	1997-07-25	VYDAJ	VYBER	8100	97163	\N	\N	\N
2687851	8896	1997-09-21	VYDAJ	VYBER	4800	102351	\N	\N	\N
2687852	8896	1998-02-16	VYDAJ	VYBER	10200	29957	\N	\N	\N
2687854	8896	1998-03-12	VYDAJ	VYBER	7200	15031	\N	\N	\N
2687855	8896	1998-08-15	VYDAJ	VYBER	5700	73156	\N	\N	\N
2687864	8896	1996-08-31	VYDAJ	VYBER	100	58042	SLUZBY	\N	\N
2687865	8896	1996-09-30	VYDAJ	VYBER	100	80016	SLUZBY	\N	\N
2687866	8896	1996-10-31	VYDAJ	VYBER	100	50698	SLUZBY	\N	\N
2687867	8896	1996-11-30	VYDAJ	VYBER	100	54967	SLUZBY	\N	\N
2687868	8896	1996-12-31	VYDAJ	VYBER	100	40039	SLUZBY	\N	\N
2687869	8896	1997-01-31	VYDAJ	VYBER	100	45621	SLUZBY	\N	\N
2687870	8896	1997-02-28	VYDAJ	VYBER	100	7133	SLUZBY	\N	\N
2687871	8896	1997-03-31	VYDAJ	VYBER	100	67636	SLUZBY	\N	\N
2687872	8896	1997-04-30	VYDAJ	VYBER	100	42874	SLUZBY	\N	\N
2687873	8896	1997-05-31	VYDAJ	VYBER	100	49123	SLUZBY	\N	\N
2687874	8896	1997-06-30	VYDAJ	VYBER	100	29541	SLUZBY	\N	\N
2687875	8896	1997-07-31	VYDAJ	VYBER	100	106686	SLUZBY	\N	\N
2687876	8896	1997-08-31	VYDAJ	VYBER	100	68321	SLUZBY	\N	\N
2687877	8896	1997-09-30	VYDAJ	VYBER	100	33569	SLUZBY	\N	\N
2687878	8896	1997-10-31	VYDAJ	VYBER	100	45407	SLUZBY	\N	\N
2687879	8896	1997-11-30	VYDAJ	VYBER	100	26094	SLUZBY	\N	\N
2687880	8896	1997-12-31	VYDAJ	VYBER	100	15593	SLUZBY	\N	\N
2687881	8896	1998-01-31	VYDAJ	VYBER	100	25663	SLUZBY	\N	\N
2687882	8896	1998-02-28	VYDAJ	VYBER	100	22231	SLUZBY	\N	\N
2687883	8896	1998-03-31	VYDAJ	VYBER	100	5487	SLUZBY	\N	\N
2687885	8896	1998-05-31	VYDAJ	VYBER	100	5004	SLUZBY	\N	\N
2687886	8896	1998-06-30	VYDAJ	VYBER	100	6123	SLUZBY	\N	\N
2687887	8896	1998-07-31	VYDAJ	VYBER	100	78856	SLUZBY	\N	\N
2687888	8896	1998-08-31	VYDAJ	VYBER	100	79248	SLUZBY	\N	\N
2687889	8896	1998-09-30	VYDAJ	VYBER	100	38151	SLUZBY	\N	\N
2687890	8896	1998-10-31	VYDAJ	VYBER	100	10246	SLUZBY	\N	\N
2687892	8896	1996-06-01	VYDAJ	VYBER	20100	46006	\N	\N	\N
2687893	8896	1996-07-01	VYDAJ	VYBER	15000	31281	\N	\N	\N
2687894	8896	1996-07-31	VYDAJ	VYBER	30700	51992	\N	\N	\N
2687895	8896	1996-08-30	VYDAJ	VYBER	41200	57716	\N	\N	\N
2687896	8896	1996-09-25	VYDAJ	VYBER	46600	75131	\N	\N	\N
2687897	8896	1996-09-29	VYDAJ	VYBER	27600	47531	\N	\N	\N
2687898	8896	1996-10-19	VYDAJ	VYBER	31900	81114	\N	\N	\N
2687899	8896	1996-10-29	VYDAJ	VYBER	30800	50314	\N	\N	\N
2687900	8896	1996-11-15	VYDAJ	VYBER	43700	45508	\N	\N	\N
2687901	8896	1996-11-23	VYDAJ	VYBER	46500	76023	\N	\N	\N
2687902	8896	1996-11-28	VYDAJ	VYBER	32100	54465	\N	\N	\N
2687903	8896	1996-12-28	VYDAJ	VYBER	32900	51893	\N	\N	\N
2687904	8896	1997-01-27	VYDAJ	VYBER	26700	45243	\N	\N	\N
2687905	8896	1997-02-26	VYDAJ	VYBER	14000	31621	\N	\N	\N
2687906	8896	1997-03-24	VYDAJ	VYBER	22000	109911	\N	\N	\N
2687907	8896	1997-03-28	VYDAJ	VYBER	42700	67211	\N	\N	\N
2687908	8896	1997-04-05	VYDAJ	VYBER	18900	100288	\N	\N	\N
2687909	8896	1997-04-11	VYDAJ	VYBER	48300	61800	\N	\N	\N
2687910	8896	1997-04-25	VYDAJ	VYBER	33700	83259	\N	\N	\N
2687911	8896	1997-04-27	VYDAJ	VYBER	35400	47859	\N	\N	\N
2687912	8896	1997-05-27	VYDAJ	VYBER	41100	49018	\N	\N	\N
2687913	8896	1997-06-26	VYDAJ	VYBER	12000	29287	\N	\N	\N
2687914	8896	1997-07-26	VYDAJ	VYBER	44800	52363	\N	\N	\N
2687915	8896	1997-07-31	VYDAJ	VYBER	17500	106786	\N	\N	\N
2687916	8896	1997-08-18	VYDAJ	VYBER	53600	61689	\N	\N	\N
2687917	8896	1997-08-25	VYDAJ	VYBER	23600	36996	\N	\N	\N
2687918	8896	1997-09-24	VYDAJ	VYBER	43300	59051	\N	\N	\N
2687919	8896	1997-10-24	VYDAJ	VYBER	22900	33422	\N	\N	\N
2687920	8896	1997-11-23	VYDAJ	VYBER	16900	25882	\N	\N	\N
2687921	8896	1997-12-23	PRIJEM	VKLAD	1600	15639	\N	\N	\N
2687922	8896	1998-01-22	VYDAJ	VYBER	9900	25480	\N	\N	\N
2687923	8896	1998-02-21	VYDAJ	VYBER	7800	22157	\N	\N	\N
2687924	8896	1998-03-23	VYDAJ	VYBER	3100	11931	\N	\N	\N
2687925	8896	1998-04-22	VYDAJ	VYBER	2000	3487	\N	\N	\N
2687926	8896	1998-05-22	PRIJEM	VKLAD	1600	5098	\N	\N	\N
2687927	8896	1998-06-21	VYDAJ	VYBER	7000	6203	\N	\N	\N
2687928	8896	1998-07-21	VYDAJ	VYBER	39100	38310	\N	\N	\N
2687929	8896	1998-08-20	VYDAJ	VYBER	36600	36556	\N	\N	\N
2687930	8896	1998-08-29	VYDAJ	VYBER	46700	78775	\N	\N	\N
2687931	8896	1998-09-19	VYDAJ	VYBER	25900	29785	\N	\N	\N
2687932	8896	1998-10-18	VYDAJ	VYBER	63500	62908	\N	\N	\N
2687933	8896	1998-10-19	VYDAJ	VYBER	33800	29108	\N	\N	\N
2687934	8896	1998-11-18	VYDAJ	VYBER	9700	546	\N	\N	\N
2687935	8896	1998-12-18	VYDAJ	VYBER	3500	-2931	\N	\N	\N
2688451	8899	1994-09-05	PRIJEM	VKLAD	500	500	\N	\N	\N
2688454	8899	1994-11-13	PRIJEM	VKLAD	40111	86535	\N	\N	\N
2688455	8899	1994-11-22	PRIJEM	VKLAD	22620	109155	\N	\N	\N
2688457	8899	1994-11-04	PRIJEM	VKLAD	23622	72924	\N	\N	\N
2688459	8899	1994-10-03	PRIJEM	VKLAD	45390	76712	\N	\N	\N
2688462	8899	1994-12-25	PRIJEM	VKLAD	30700	63357	\N	\N	\N
2688463	8899	1994-10-01	PRIJEM	VKLAD	30822	31322	\N	\N	\N
2688465	8899	1994-11-24	PRIJEM	VKLAD	32835	93520	\N	\N	\N
2688467	8899	1994-12-04	PRIJEM	VKLAD	15591	109670	\N	\N	\N
2688468	8899	1995-08-22	PRIJEM	VKLAD	24836	84532	\N	\N	\N
2688469	8899	1995-09-24	PRIJEM	VKLAD	49974	110933	\N	\N	\N
2688470	8899	1995-09-17	PRIJEM	VKLAD	7457	60959	\N	\N	\N
2688471	8899	1995-07-17	PRIJEM	VKLAD	18484	68233	\N	\N	\N
2688472	8899	1995-07-23	PRIJEM	VKLAD	38284	104817	\N	\N	\N
2688473	8899	1995-02-11	PRIJEM	VKLAD	19002	44649	\N	\N	\N
2688474	8899	1995-05-09	PRIJEM	VKLAD	25648	50023	\N	\N	\N
2688475	8899	1995-02-18	PRIJEM	VKLAD	19646	58982	\N	\N	\N
2688476	8899	1995-05-30	PRIJEM	VKLAD	25759	54161	\N	\N	\N
2688477	8899	1995-07-25	PRIJEM	VKLAD	14422	74039	\N	\N	\N
2688478	8899	1995-07-07	PRIJEM	VKLAD	12778	58262	\N	\N	\N
2688479	8899	1995-08-05	PRIJEM	VKLAD	23921	79626	\N	\N	\N
2688480	8899	1995-07-02	PRIJEM	VKLAD	20152	56884	\N	\N	\N
2688481	8899	1995-11-05	PRIJEM	VKLAD	17273	64279	\N	\N	\N
2688482	8899	1995-01-29	PRIJEM	VKLAD	23186	36977	\N	\N	\N
2688483	8899	1995-10-28	PRIJEM	VKLAD	25353	75577	\N	\N	\N
2688484	8899	1996-10-12	PRIJEM	VKLAD	45946	82821	\N	\N	\N
2688485	8899	1996-09-08	PRIJEM	VKLAD	32806	68351	\N	\N	\N
2688486	8899	1996-03-29	PRIJEM	VKLAD	47227	111215	\N	\N	\N
2688487	8899	1996-05-12	PRIJEM	VKLAD	43648	100972	\N	\N	\N
2688488	8899	1996-03-23	PRIJEM	VKLAD	48671	75888	\N	\N	\N
2688489	8899	1997-07-02	PRIJEM	VKLAD	22518	81998	\N	\N	\N
2688490	8899	1997-05-18	PRIJEM	VKLAD	7827	98648	\N	\N	\N
2688491	8899	1997-10-14	PRIJEM	VKLAD	21515	96592	\N	\N	\N
2688492	8899	1997-09-10	PRIJEM	VKLAD	40392	75413	\N	\N	\N
2688493	8899	1997-03-10	PRIJEM	VKLAD	13947	49653	\N	\N	\N
2688494	8899	1997-03-13	PRIJEM	VKLAD	11412	55263	\N	\N	\N
2688495	8899	1997-09-24	PRIJEM	VKLAD	15329	68187	\N	\N	\N
2688496	8899	1997-04-06	PRIJEM	VKLAD	43652	141046	\N	\N	\N
2688497	8899	1997-12-11	PRIJEM	VKLAD	33663	117587	\N	\N	\N
2688498	8899	1997-10-11	PRIJEM	VKLAD	12243	80879	\N	\N	\N
2688499	8899	1997-12-08	PRIJEM	VKLAD	8263	83924	\N	\N	\N
2688500	8899	1997-11-04	PRIJEM	VKLAD	29140	77692	\N	\N	\N
2688501	8899	1997-09-21	PRIJEM	VKLAD	29834	142948	\N	\N	\N
2688502	8899	1997-09-20	PRIJEM	VKLAD	38819	113114	\N	\N	\N
2688503	8899	1997-10-21	PRIJEM	VKLAD	31802	123074	\N	\N	\N
2688504	8899	1997-01-17	PRIJEM	VKLAD	10236	32265	\N	\N	\N
2688505	8899	1997-12-30	PRIJEM	VKLAD	32891	117576	\N	\N	\N
2688506	8899	1997-04-08	PRIJEM	VKLAD	5028	88074	\N	\N	\N
2688507	8899	1997-07-03	PRIJEM	VKLAD	30950	112948	\N	\N	\N
2688508	8899	1997-05-14	PRIJEM	VKLAD	31963	90821	\N	\N	\N
2688509	8899	1997-04-02	PRIJEM	VKLAD	43032	97394	\N	\N	\N
2688510	8899	1997-10-18	PRIJEM	VKLAD	47650	109572	\N	\N	\N
2688511	8899	1997-06-18	PRIJEM	VKLAD	21724	46488	\N	\N	\N
2688512	8899	1997-09-11	PRIJEM	VKLAD	13484	88897	\N	\N	\N
2688513	8899	1997-06-28	PRIJEM	VKLAD	7721	59209	\N	\N	\N
2688514	8899	1997-05-02	PRIJEM	VKLAD	8856	64660	\N	\N	\N
2688515	8899	1997-11-18	PRIJEM	VKLAD	23658	95548	\N	\N	\N
2688516	8899	1998-06-05	PRIJEM	VKLAD	41717	111191	\N	\N	\N
2688517	8899	1998-11-10	PRIJEM	VKLAD	37775	148349	\N	\N	\N
2688518	8899	1998-09-19	PRIJEM	VKLAD	6748	77940	\N	\N	\N
2688519	8899	1998-07-08	PRIJEM	VKLAD	15052	102854	\N	\N	\N
2688520	8899	1998-12-06	PRIJEM	VKLAD	45190	157183	\N	\N	\N
2688521	8899	1998-03-03	PRIJEM	VKLAD	27596	110327	\N	\N	\N
2688522	8899	1998-05-16	PRIJEM	VKLAD	37174	98445	\N	\N	\N
2688523	8899	1998-03-07	PRIJEM	VKLAD	37212	147539	\N	\N	\N
2688524	8899	1998-11-22	PRIJEM	VKLAD	49554	131315	\N	\N	\N
2688525	8899	1998-11-12	PRIJEM	VKLAD	21214	149563	\N	\N	\N
2688526	8899	1998-01-17	PRIJEM	VKLAD	18800	104852	\N	\N	\N
2688527	8899	1998-10-16	PRIJEM	VKLAD	43447	109907	\N	\N	\N
2688528	8899	1998-06-15	PRIJEM	VKLAD	30134	135523	\N	\N	\N
2688529	8899	1998-04-04	PRIJEM	VKLAD	21550	70183	\N	\N	\N
2688530	8899	1998-06-25	PRIJEM	VKLAD	22926	118949	\N	\N	\N
2688531	8899	1998-01-29	PRIJEM	VKLAD	45470	131722	\N	\N	\N
2688532	8899	1998-02-03	PRIJEM	VKLAD	47331	87051	\N	\N	\N
2688533	8899	1998-08-07	PRIJEM	VKLAD	32231	110305	\N	\N	\N
2688534	8899	1998-01-05	PRIJEM	VKLAD	37182	104328	\N	\N	\N
2688535	8899	1998-12-15	PRIJEM	VKLAD	21945	88126	\N	\N	\N
2688536	8899	1998-02-08	PRIJEM	VKLAD	44128	131179	\N	\N	\N
2688537	8899	1998-08-08	PRIJEM	VKLAD	35085	145390	\N	\N	\N
2688538	8899	1998-01-12	PRIJEM	VKLAD	33026	125354	\N	\N	\N
2688550	8899	1994-12-05	VYDAJ	VYBER	1900	47770	\N	\N	0
2688551	8899	1995-01-20	VYDAJ	VYBER	2200	13791	\N	\N	0
2688552	8899	1995-02-16	VYDAJ	VYBER	1600	39336	\N	\N	0
2688553	8899	1995-03-16	VYDAJ	VYBER	2500	23378	\N	\N	0
2688554	8899	1995-04-02	VYDAJ	VYBER	2500	21060	\N	\N	0
2688555	8899	1995-05-21	VYDAJ	VYBER	1800	28402	\N	\N	0
2688556	8899	1995-06-08	VYDAJ	VYBER	2500	40199	\N	\N	0
2688557	8899	1995-07-17	VYDAJ	VYBER	1700	66533	\N	\N	0
2688558	8899	1995-08-14	VYDAJ	VYBER	2300	73613	\N	\N	0
2688559	8899	1995-09-08	VYDAJ	VYBER	2300	57215	\N	\N	0
2688560	8899	1995-10-02	VYDAJ	VYBER	1500	53937	\N	\N	0
2688561	8899	1995-11-08	VYDAJ	VYBER	2200	62079	\N	\N	0
2688562	8899	1995-12-05	VYDAJ	VYBER	2100	22720	\N	\N	0
2688563	8899	1996-01-12	VYDAJ	PREVOD NA UCET	2089	24850	UVER	CD	16985112
2688564	8899	1996-02-12	VYDAJ	PREVOD NA UCET	2089	17815	UVER	CD	16985112
2688565	8899	1996-03-12	VYDAJ	PREVOD NA UCET	2089	30930	UVER	CD	16985112
2688566	8899	1996-04-12	VYDAJ	PREVOD NA UCET	2089	70132	UVER	CD	16985112
2688567	8899	1996-05-12	VYDAJ	PREVOD NA UCET	2089	98883	UVER	CD	16985112
2688568	8899	1996-06-12	VYDAJ	PREVOD NA UCET	2089	70378	UVER	CD	16985112
2688569	8899	1996-07-12	VYDAJ	PREVOD NA UCET	2089	53564	UVER	CD	16985112
2688570	8899	1996-08-12	VYDAJ	PREVOD NA UCET	2089	36962	UVER	CD	16985112
2688571	8899	1996-09-12	VYDAJ	PREVOD NA UCET	2089	51146	UVER	CD	16985112
2688572	8899	1996-10-12	VYDAJ	PREVOD NA UCET	2089	77020	UVER	CD	16985112
2688573	8899	1996-11-12	VYDAJ	PREVOD NA UCET	2089	63345	UVER	CD	16985112
2688574	8899	1996-12-12	VYDAJ	PREVOD NA UCET	2089	52521	UVER	CD	16985112
2688575	8899	1997-01-12	VYDAJ	PREVOD NA UCET	2089	25742	UVER	CD	16985112
2688576	8899	1997-02-12	VYDAJ	PREVOD NA UCET	2089	31499	UVER	CD	16985112
2688577	8899	1997-03-12	VYDAJ	PREVOD NA UCET	2089	47564	UVER	CD	16985112
2688578	8899	1997-04-12	VYDAJ	PREVOD NA UCET	2089	85986	UVER	CD	16985112
2688579	8899	1997-05-12	VYDAJ	PREVOD NA UCET	2089	58858	UVER	CD	16985112
2688580	8899	1997-06-12	VYDAJ	PREVOD NA UCET	2089	24764	UVER	CD	16985112
2688581	8899	1997-07-12	VYDAJ	PREVOD NA UCET	2089	95446	UVER	CD	16985112
2688582	8899	1997-08-12	VYDAJ	PREVOD NA UCET	2089	76927	UVER	CD	16985112
2688583	8899	1997-09-12	VYDAJ	PREVOD NA UCET	2089	86808	UVER	CD	16985112
2688584	8899	1997-10-12	VYDAJ	PREVOD NA UCET	2089	78790	UVER	CD	16985112
2688585	8899	1997-11-12	VYDAJ	PREVOD NA UCET	2089	71890	UVER	CD	16985112
2688586	8899	1997-12-12	VYDAJ	PREVOD NA UCET	2089	111785	UVER	CD	16985112
2688587	8899	1998-01-12	VYDAJ	PREVOD NA UCET	2089	123265	UVER	CD	16985112
2688588	8899	1998-02-12	VYDAJ	PREVOD NA UCET	2089	103277	UVER	CD	16985112
2688589	8899	1998-03-12	VYDAJ	PREVOD NA UCET	2089	116250	UVER	CD	16985112
2688590	8899	1998-04-12	VYDAJ	PREVOD NA UCET	2089	64381	UVER	CD	16985112
2688591	8899	1998-05-12	VYDAJ	PREVOD NA UCET	2089	61271	UVER	CD	16985112
2688592	8899	1998-06-12	VYDAJ	PREVOD NA UCET	2089	105389	UVER	CD	16985112
2688593	8899	1998-07-12	VYDAJ	PREVOD NA UCET	2089	88765	UVER	CD	16985112
2688594	8899	1998-08-12	VYDAJ	PREVOD NA UCET	2089	84988	UVER	CD	16985112
2688595	8899	1998-09-12	VYDAJ	PREVOD NA UCET	2089	71492	UVER	CD	16985112
2688596	8899	1998-10-12	VYDAJ	PREVOD NA UCET	2089	72560	UVER	CD	16985112
2688597	8899	1998-11-12	VYDAJ	PREVOD NA UCET	2089	99461	UVER	CD	16985112
2688598	8899	1998-12-12	VYDAJ	PREVOD NA UCET	2089	93894	UVER	CD	16985112
2688610	8899	1994-12-12	VYDAJ	PREVOD NA UCET	3713	44057	SIPO	OP	23646956
2688611	8899	1995-01-12	VYDAJ	PREVOD NA UCET	3713	15991	SIPO	OP	23646956
2688612	8899	1995-02-12	VYDAJ	PREVOD NA UCET	3713	40936	SIPO	OP	23646956
2688613	8899	1995-03-12	VYDAJ	PREVOD NA UCET	3713	25878	SIPO	OP	23646956
2688614	8899	1995-04-12	VYDAJ	PREVOD NA UCET	3713	19247	SIPO	OP	23646956
2688615	8899	1995-05-12	VYDAJ	PREVOD NA UCET	3713	46310	SIPO	OP	23646956
2688616	8899	1995-06-12	VYDAJ	PREVOD NA UCET	3713	36486	SIPO	OP	23646956
2688617	8899	1995-07-12	VYDAJ	PREVOD NA UCET	3713	54549	SIPO	OP	23646956
2688618	8899	1995-08-12	VYDAJ	PREVOD NA UCET	3713	75913	SIPO	OP	23646956
2688619	8899	1995-09-12	VYDAJ	PREVOD NA UCET	3713	53502	SIPO	OP	23646956
2688620	8899	1995-10-12	VYDAJ	PREVOD NA UCET	3713	50224	SIPO	OP	23646956
2688621	8899	1995-11-12	VYDAJ	PREVOD NA UCET	3713	58366	SIPO	OP	23646956
2688622	8899	1995-12-12	VYDAJ	PREVOD NA UCET	3713	19007	SIPO	OP	23646956
2688623	8899	1996-01-12	VYDAJ	PREVOD NA UCET	3713	21137	SIPO	OP	23646956
2688624	8899	1996-02-12	VYDAJ	PREVOD NA UCET	3713	19904	SIPO	OP	23646956
2688625	8899	1996-03-12	VYDAJ	PREVOD NA UCET	3713	27217	SIPO	OP	23646956
2688626	8899	1996-04-12	VYDAJ	PREVOD NA UCET	3713	66419	SIPO	OP	23646956
2688627	8899	1996-05-12	VYDAJ	PREVOD NA UCET	3713	95170	SIPO	OP	23646956
2688628	8899	1996-06-12	VYDAJ	PREVOD NA UCET	3713	66665	SIPO	OP	23646956
2688629	8899	1996-07-12	VYDAJ	PREVOD NA UCET	3713	55653	SIPO	OP	23646956
2688630	8899	1996-08-12	VYDAJ	PREVOD NA UCET	3713	33249	SIPO	OP	23646956
2688631	8899	1996-09-12	VYDAJ	PREVOD NA UCET	3713	47433	SIPO	OP	23646956
2688632	8899	1996-10-12	VYDAJ	PREVOD NA UCET	3713	79108	SIPO	OP	23646956
2688633	8899	1996-11-12	VYDAJ	PREVOD NA UCET	3713	65434	SIPO	OP	23646956
2688634	8899	1996-12-12	VYDAJ	PREVOD NA UCET	3713	54610	SIPO	OP	23646956
2688635	8899	1997-01-12	VYDAJ	PREVOD NA UCET	3713	22029	SIPO	OP	23646956
2688636	8899	1997-02-12	VYDAJ	PREVOD NA UCET	3713	27786	SIPO	OP	23646956
2688637	8899	1997-03-12	VYDAJ	PREVOD NA UCET	3713	43851	SIPO	OP	23646956
2688638	8899	1997-04-12	VYDAJ	PREVOD NA UCET	3713	82273	SIPO	OP	23646956
2688639	8899	1997-05-12	VYDAJ	PREVOD NA UCET	3713	60947	SIPO	OP	23646956
2688640	8899	1997-06-12	VYDAJ	PREVOD NA UCET	3713	26853	SIPO	OP	23646956
2688641	8899	1997-07-12	VYDAJ	PREVOD NA UCET	3713	97535	SIPO	OP	23646956
2688642	8899	1997-08-12	VYDAJ	PREVOD NA UCET	3713	73214	SIPO	OP	23646956
2688643	8899	1997-09-12	VYDAJ	PREVOD NA UCET	3713	83095	SIPO	OP	23646956
2688644	8899	1997-10-12	VYDAJ	PREVOD NA UCET	3713	75077	SIPO	OP	23646956
2688645	8899	1997-11-12	VYDAJ	PREVOD NA UCET	3713	73979	SIPO	OP	23646956
2688646	8899	1997-12-12	VYDAJ	PREVOD NA UCET	3713	113874	SIPO	OP	23646956
2688647	8899	1998-01-12	VYDAJ	PREVOD NA UCET	3713	89952	SIPO	OP	23646956
2688648	8899	1998-02-12	VYDAJ	PREVOD NA UCET	3713	105366	SIPO	OP	23646956
2688649	8899	1998-03-12	VYDAJ	PREVOD NA UCET	3713	48037	SIPO	OP	23646956
2688650	8899	1998-04-12	VYDAJ	PREVOD NA UCET	3713	66470	SIPO	OP	23646956
2688651	8899	1998-05-12	VYDAJ	PREVOD NA UCET	3713	63360	SIPO	OP	23646956
2688652	8899	1998-06-12	VYDAJ	PREVOD NA UCET	3713	107478	SIPO	OP	23646956
2688653	8899	1998-07-12	VYDAJ	PREVOD NA UCET	3713	85052	SIPO	OP	23646956
2688654	8899	1998-08-12	VYDAJ	PREVOD NA UCET	3713	87077	SIPO	OP	23646956
2688655	8899	1998-09-12	VYDAJ	PREVOD NA UCET	3713	73581	SIPO	OP	23646956
2688656	8899	1998-10-12	VYDAJ	PREVOD NA UCET	3713	74649	SIPO	OP	23646956
2688657	8899	1998-11-12	VYDAJ	PREVOD NA UCET	3713	145850	SIPO	OP	23646956
2688658	8899	1998-12-12	VYDAJ	PREVOD NA UCET	3713	90181	SIPO	OP	23646956
2688666	8899	1994-11-23	VYBER	VYBER	9570	60685	\N	\N	\N
2688674	8899	1995-12-02	VYBER	VYBER	17534	24820	\N	\N	\N
2688675	8899	1995-11-15	VYBER	VYBER	19840	38526	\N	\N	\N
2688680	8899	1995-03-02	VYBER	VYBER	21199	38091	\N	\N	\N
2688681	8899	1995-05-19	VYBER	VYBER	16108	30202	\N	\N	\N
2688682	8899	1995-01-30	VYBER	VYBER	12280	24697	\N	\N	\N
2688683	8899	1995-10-30	VYBER	VYBER	22193	53384	\N	\N	\N
2688685	8899	1995-08-17	VYBER	VYBER	13917	59696	\N	\N	\N
2688686	8899	1996-07-15	VYBER	VYBER	3326	50238	\N	\N	\N
2688687	8899	1996-10-04	VYBER	VYBER	15019	36875	\N	\N	\N
2688688	8899	1996-07-27	VYBER	VYBER	8582	44156	\N	\N	\N
2688689	8899	1996-09-12	VYBER	VYBER	15116	53235	\N	\N	\N
2688690	8899	1997-06-12	VYBER	VYBER	23795	30566	\N	\N	\N
2688691	8899	1997-08-28	VYBER	VYBER	8739	48745	\N	\N	\N
2688692	8899	1997-11-27	VYBER	VYBER	2868	78180	\N	\N	\N
2688693	8899	1997-09-23	VYBER	VYBER	24179	52858	\N	\N	\N
2688694	8899	1997-10-31	VYBER	VYBER	20816	48582	\N	\N	\N
2688695	8899	1997-08-13	VYBER	VYBER	16630	56584	\N	\N	\N
2688696	8899	1997-10-15	VYBER	VYBER	18201	78391	\N	\N	\N
2688698	8899	1997-10-15	VYBER	VYBER	16469	61922	\N	\N	\N
2688699	8899	1997-09-22	VYBER	VYBER	4311	77037	\N	\N	\N
2688700	8899	1997-04-26	VYBER	VYBER	10497	55276	\N	\N	\N
2688701	8899	1997-08-31	VYBER	VYBER	14178	35051	\N	\N	\N
2688702	8899	1998-05-22	VYBER	VYBER	15373	69072	\N	\N	\N
2688706	8899	1997-06-09	VYDAJ	VYBER	16200	54361	\N	\N	\N
2688710	8899	1996-01-02	VYDAJ	VYBER	8100	26939	\N	\N	\N
2688711	8899	1997-01-18	VYDAJ	VYBER	5100	27165	\N	\N	\N
2688712	8899	1998-01-30	VYDAJ	VYBER	29700	39122	\N	\N	\N
2688713	8899	1994-12-17	VYDAJ	VYBER	2700	32657	\N	\N	\N
2688715	8899	1996-12-05	VYDAJ	VYBER	3300	58323	\N	\N	\N
2688716	8899	1997-12-05	VYDAJ	VYBER	3000	75661	\N	\N	\N
2688717	8899	1998-12-15	VYDAJ	VYBER	5400	82726	\N	\N	\N
2688724	8899	1995-01-11	VYDAJ	VYBER	6300	19704	\N	\N	\N
2688725	8899	1995-01-08	VYDAJ	VYBER	8100	30504	\N	\N	\N
2688727	8899	1995-01-06	VYDAJ	VYBER	7200	38604	\N	\N	\N
2688729	8899	1995-01-11	VYDAJ	VYBER	4500	26004	\N	\N	\N
2688731	8899	1996-01-30	VYDAJ	VYBER	2400	23437	\N	\N	\N
2688732	8899	1996-01-29	VYDAJ	VYBER	7200	30337	\N	\N	\N
2688733	8899	1996-01-30	VYDAJ	VYBER	4500	25837	\N	\N	\N
2688736	8899	1997-01-08	VYDAJ	VYBER	3300	34431	\N	\N	\N
2688738	8899	1997-01-01	VYDAJ	VYBER	8400	44631	\N	\N	\N
2688739	8899	1997-01-04	VYDAJ	VYBER	1800	42831	\N	\N	\N
2688740	8899	1997-01-06	VYDAJ	VYBER	5100	37731	\N	\N	\N
2688741	8899	1997-01-01	VYDAJ	VYBER	2700	53031	\N	\N	\N
2688742	8899	1998-01-15	VYDAJ	VYBER	3900	86052	\N	\N	\N
2688743	8899	1998-01-29	VYDAJ	VYBER	5100	126622	\N	\N	\N
2688744	8899	1998-01-10	VYDAJ	VYBER	2700	92328	\N	\N	\N
2688745	8899	1998-01-03	VYDAJ	VYBER	1800	67146	\N	\N	\N
2688746	8899	1998-01-05	VYDAJ	VYBER	5100	99228	\N	\N	\N
2688747	8899	1998-01-07	VYDAJ	VYBER	4200	95028	\N	\N	\N
2688755	8899	1994-12-13	VYDAJ	VYBER	8700	35357	\N	\N	\N
2688758	8899	1995-07-14	VYDAJ	VYBER	4800	49749	\N	\N	\N
2688760	8899	1995-03-08	VYDAJ	VYBER	5400	29591	\N	\N	\N
2688762	8899	1996-08-05	VYDAJ	VYBER	5400	39051	\N	\N	\N
2688763	8899	1996-04-07	VYDAJ	VYBER	4500	72221	\N	\N	\N
2688764	8899	1996-08-24	VYDAJ	VYBER	5400	27849	\N	\N	\N
2688765	8899	1996-05-17	VYDAJ	VYBER	4200	90970	\N	\N	\N
2688766	8899	1996-08-27	VYDAJ	VYBER	8100	35349	\N	\N	\N
2688767	8899	1997-03-01	VYDAJ	VYBER	6300	35706	\N	\N	\N
2688768	8899	1997-12-16	VYDAJ	VYBER	12000	99785	\N	\N	\N
2688769	8899	1997-07-07	VYDAJ	VYBER	11700	101248	\N	\N	\N
2688770	8899	1997-05-25	VYDAJ	VYBER	8100	70048	\N	\N	\N
2688771	8899	1997-01-29	VYDAJ	VYBER	7800	33365	\N	\N	\N
2688772	8899	1997-01-10	VYDAJ	VYBER	6600	27831	\N	\N	\N
2688773	8899	1998-03-28	VYDAJ	VYBER	5400	48137	\N	\N	\N
2688774	8899	1998-12-21	VYDAJ	VYBER	12300	64126	\N	\N	\N
2688775	8899	1998-12-15	VYDAJ	VYBER	6300	76426	\N	\N	\N
2688776	8899	1998-12-14	VYDAJ	VYBER	9600	66181	\N	\N	\N
2688777	8899	1998-07-08	VYDAJ	VYBER	12000	90854	\N	\N	\N
2688789	8899	1994-11-30	VYDAJ	VYBER	30	94079	SLUZBY	\N	\N
2688790	8899	1994-12-31	VYDAJ	VYBER	30	63704	SLUZBY	\N	\N
2688791	8899	1995-01-31	VYDAJ	VYBER	30	24847	SLUZBY	\N	\N
2688792	8899	1995-02-28	VYDAJ	VYBER	30	59290	SLUZBY	\N	\N
2688793	8899	1995-03-31	VYDAJ	VYBER	30	23560	SLUZBY	\N	\N
2688794	8899	1995-04-30	VYDAJ	VYBER	30	19375	SLUZBY	\N	\N
2688795	8899	1995-05-31	VYDAJ	VYBER	30	54399	SLUZBY	\N	\N
2688796	8899	1995-06-30	VYDAJ	VYBER	30	36732	SLUZBY	\N	\N
2688797	8899	1995-07-31	VYDAJ	VYBER	30	74505	SLUZBY	\N	\N
2688798	8899	1995-08-31	VYDAJ	VYBER	30	59515	SLUZBY	\N	\N
2688799	8899	1995-09-30	VYDAJ	VYBER	30	69737	SLUZBY	\N	\N
2688800	8899	1995-10-31	VYDAJ	VYBER	30	47006	SLUZBY	\N	\N
2688801	8899	1995-11-30	VYDAJ	VYBER	30	42354	SLUZBY	\N	\N
2688802	8899	1995-12-31	VYDAJ	VYBER	30	35039	SLUZBY	\N	\N
2688803	8899	1996-01-31	VYDAJ	VYBER	30	23617	SLUZBY	\N	\N
2688804	8899	1996-02-29	VYDAJ	VYBER	30	33019	SLUZBY	\N	\N
2688805	8899	1996-03-31	VYDAJ	VYBER	30	76721	SLUZBY	\N	\N
2688806	8899	1996-04-30	VYDAJ	VYBER	30	57324	SLUZBY	\N	\N
2688807	8899	1996-05-31	VYDAJ	VYBER	30	72467	SLUZBY	\N	\N
2688808	8899	1996-06-30	VYDAJ	VYBER	30	59366	SLUZBY	\N	\N
2688809	8899	1996-07-31	VYDAJ	VYBER	30	44451	SLUZBY	\N	\N
2688810	8899	1996-08-31	VYDAJ	VYBER	30	35545	SLUZBY	\N	\N
2688811	8899	1996-09-30	VYDAJ	VYBER	30	51894	SLUZBY	\N	\N
2688812	8899	1996-10-31	VYDAJ	VYBER	30	69147	SLUZBY	\N	\N
2688813	8899	1996-11-30	VYDAJ	VYBER	30	61623	SLUZBY	\N	\N
2688814	8899	1996-12-31	VYDAJ	VYBER	30	55731	SLUZBY	\N	\N
2688815	8899	1997-01-31	VYDAJ	VYBER	30	33588	SLUZBY	\N	\N
2688816	8899	1997-02-28	VYDAJ	VYBER	30	42006	SLUZBY	\N	\N
2688817	8899	1997-03-31	VYDAJ	VYBER	30	54362	SLUZBY	\N	\N
2688818	8899	1997-04-30	VYDAJ	VYBER	30	55804	SLUZBY	\N	\N
2688819	8899	1997-05-31	VYDAJ	VYBER	30	70561	SLUZBY	\N	\N
2688820	8899	1997-06-30	VYDAJ	VYBER	30	59480	SLUZBY	\N	\N
2688821	8899	1997-07-31	VYDAJ	VYBER	30	79016	SLUZBY	\N	\N
2688822	8899	1997-08-31	VYDAJ	VYBER	30	35021	SLUZBY	\N	\N
2688823	8899	1997-09-30	VYDAJ	VYBER	30	68636	SLUZBY	\N	\N
2688824	8899	1997-10-31	VYDAJ	VYBER	30	48552	SLUZBY	\N	\N
2688825	8899	1997-11-30	VYDAJ	VYBER	30	78661	SLUZBY	\N	\N
2688826	8899	1997-12-31	VYDAJ	VYBER	30	68946	SLUZBY	\N	\N
2688827	8899	1998-01-31	VYDAJ	VYBER	30	39720	SLUZBY	\N	\N
2688828	8899	1998-02-28	VYDAJ	VYBER	30	82731	SLUZBY	\N	\N
2688829	8899	1998-03-31	VYDAJ	VYBER	30	48633	SLUZBY	\N	\N
2688830	8899	1998-04-30	VYDAJ	VYBER	30	67073	SLUZBY	\N	\N
2688831	8899	1998-05-31	VYDAJ	VYBER	30	69474	SLUZBY	\N	\N
2688832	8899	1998-06-30	VYDAJ	VYBER	30	87802	SLUZBY	\N	\N
2688833	8899	1998-07-31	VYDAJ	VYBER	30	78074	SLUZBY	\N	\N
2688834	8899	1998-08-31	VYDAJ	VYBER	30	77294	SLUZBY	\N	\N
2688835	8899	1998-09-30	VYDAJ	VYBER	30	78362	SLUZBY	\N	\N
2688836	8899	1998-10-31	VYDAJ	VYBER	30	110574	SLUZBY	\N	\N
2688837	8899	1998-11-30	VYDAJ	VYBER	30	111993	SLUZBY	\N	\N
2688838	8899	1994-10-05	VYDAJ	VYBER	27800	48912	\N	\N	\N
2688839	8899	1994-11-04	VYDAJ	VYBER	26500	46424	\N	\N	\N
2688840	8899	1994-11-22	VYDAJ	VYBER	38900	70255	\N	\N	\N
2688841	8899	1994-12-04	VYDAJ	VYBER	35500	49670	\N	\N	\N
2688842	8899	1994-12-04	VYDAJ	VYBER	24500	85170	\N	\N	\N
2688843	8899	1995-01-03	VYDAJ	VYBER	17900	45804	\N	\N	\N
2688844	8899	1995-02-02	PRIJEM	VKLAD	800	25647	\N	\N	\N
2688845	8899	1995-03-04	VYDAJ	VYBER	3100	34991	\N	\N	\N
2688846	8899	1995-04-03	PRIJEM	VKLAD	1900	22960	\N	\N	\N
2688847	8899	1995-05-03	PRIJEM	VKLAD	5000	24375	\N	\N	\N
2688848	8899	1995-06-02	VYDAJ	VYBER	11700	42699	\N	\N	\N
2688849	8899	1995-07-02	VYDAJ	VYBER	11400	45484	\N	\N	\N
2688850	8899	1995-07-23	VYDAJ	VYBER	45200	59617	\N	\N	\N
2688851	8899	1995-08-01	VYDAJ	VYBER	18800	55705	\N	\N	\N
2688852	8899	1995-08-31	VYDAJ	VYBER	25600	59545	\N	\N	\N
2688853	8899	1995-09-24	VYDAJ	VYBER	41600	69333	\N	\N	\N
2688854	8899	1995-09-30	VYDAJ	VYBER	14300	55437	\N	\N	\N
2688855	8899	1995-10-30	VYDAJ	VYBER	6700	46684	\N	\N	\N
2688856	8899	1995-11-29	PRIJEM	VKLAD	3500	42026	\N	\N	\N
2688857	8899	1995-12-29	PRIJEM	VKLAD	15900	34907	\N	\N	\N
2688858	8899	1996-01-28	PRIJEM	VKLAD	16400	37537	\N	\N	\N
2688859	8899	1996-02-27	PRIJEM	VKLAD	15100	32915	\N	\N	\N
2688860	8899	1996-03-28	VYDAJ	VYBER	11900	63988	\N	\N	\N
2688861	8899	1996-03-29	VYDAJ	VYBER	34800	76415	\N	\N	\N
2688862	8899	1996-04-27	VYDAJ	VYBER	9500	56919	\N	\N	\N
2688863	8899	1996-05-27	VYDAJ	VYBER	19000	71970	\N	\N	\N
2688864	8899	1996-06-26	VYDAJ	VYBER	7700	58965	\N	\N	\N
2688865	8899	1996-07-26	PRIJEM	VKLAD	2500	52738	\N	\N	\N
2688866	8899	1996-08-25	PRIJEM	VKLAD	15600	43449	\N	\N	\N
2688867	8899	1996-09-24	PRIJEM	VKLAD	4200	51633	\N	\N	\N
2688868	8899	1996-10-24	VYDAJ	VYBER	8300	68720	\N	\N	\N
2688869	8899	1996-11-23	VYDAJ	VYBER	2100	61245	\N	\N	\N
2688870	8899	1996-12-23	PRIJEM	VKLAD	2800	55321	\N	\N	\N
2688871	8899	1997-01-22	PRIJEM	VKLAD	14000	41165	\N	\N	\N
2688872	8899	1997-02-21	PRIJEM	VKLAD	14000	41786	\N	\N	\N
2688873	8899	1997-03-23	VYDAJ	VYBER	1200	54063	\N	\N	\N
2688874	8899	1997-04-06	VYDAJ	VYBER	58000	83046	\N	\N	\N
2688875	8899	1997-04-22	VYDAJ	VYBER	16500	65773	\N	\N	\N
2688876	8899	1997-05-22	VYDAJ	VYBER	20500	78148	\N	\N	\N
2688877	8899	1997-06-21	PRIJEM	VKLAD	5000	51488	\N	\N	\N
2688878	8899	1997-07-21	VYDAJ	VYBER	17100	78346	\N	\N	\N
2688879	8899	1997-08-20	PRIJEM	VKLAD	900	57484	\N	\N	\N
2688880	8899	1997-09-19	VYDAJ	VYBER	8800	74295	\N	\N	\N
2688881	8899	1997-09-21	VYDAJ	VYBER	61600	81348	\N	\N	\N
2688882	8899	1997-10-19	VYDAJ	VYBER	18300	91272	\N	\N	\N
2688883	8899	1997-10-21	VYDAJ	VYBER	54200	68874	\N	\N	\N
2688884	8899	1997-11-18	VYDAJ	VYBER	14500	81048	\N	\N	\N
2688885	8899	1997-12-18	VYDAJ	VYBER	15100	84685	\N	\N	\N
2688886	8899	1997-12-30	VYDAJ	VYBER	49200	68376	\N	\N	\N
2688887	8899	1998-01-12	VYDAJ	VYBER	29600	93665	\N	\N	\N
2688888	8899	1998-01-17	VYDAJ	VYBER	18600	86252	\N	\N	\N
2688889	8899	1998-01-29	VYDAJ	VYBER	57800	68822	\N	\N	\N
2688890	8899	1998-02-08	VYDAJ	VYBER	22100	109079	\N	\N	\N
2688891	8899	1998-02-16	VYDAJ	VYBER	21100	82177	\N	\N	\N
2688892	8899	1998-03-07	VYDAJ	VYBER	29200	118339	\N	\N	\N
2688893	8899	1998-03-12	VYDAJ	VYBER	64500	51750	\N	\N	\N
2688894	8899	1998-03-18	PRIJEM	VKLAD	5500	53537	\N	\N	\N
2688895	8899	1998-04-17	PRIJEM	VKLAD	2300	66681	\N	\N	\N
2688896	8899	1998-05-17	VYDAJ	VYBER	14000	84445	\N	\N	\N
2688897	8899	1998-06-15	VYDAJ	VYBER	19400	116123	\N	\N	\N
2688898	8899	1998-06-16	VYDAJ	VYBER	20100	96023	\N	\N	\N
2688899	8899	1998-06-25	VYDAJ	VYBER	31800	87149	\N	\N	\N
2688900	8899	1998-07-16	VYDAJ	VYBER	7500	77552	\N	\N	\N
2688901	8899	1998-08-08	VYDAJ	VYBER	54600	90790	\N	\N	\N
2688902	8899	1998-08-15	VYDAJ	VYBER	8300	76688	\N	\N	\N
2688903	8899	1998-09-14	VYDAJ	VYBER	300	71192	\N	\N	\N
2688904	8899	1998-10-14	VYDAJ	VYBER	6100	66460	\N	\N	\N
2688905	8899	1998-11-10	VYDAJ	VYBER	20000	128349	\N	\N	\N
2688906	8899	1998-11-12	VYDAJ	VYBER	44300	101550	\N	\N	\N
2688907	8899	1998-11-13	VYDAJ	VYBER	17700	81761	\N	\N	\N
2688908	8899	1998-11-22	VYDAJ	VYBER	20100	111215	\N	\N	\N
2688909	8899	1998-12-06	VYDAJ	VYBER	61200	95983	\N	\N	\N
2688910	8899	1998-12-13	VYDAJ	VYBER	14400	75781	\N	\N	\N
2695545	8919	1997-07-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2695552	8919	1997-07-07	PRIJEM	VKLAD	4254	5254	\N	\N	\N
2695553	8919	1997-08-07	PRIJEM	VKLAD	4254	18743	\N	\N	\N
2695554	8919	1997-09-07	PRIJEM	VKLAD	4254	27424	\N	\N	\N
2695555	8919	1997-10-07	PRIJEM	VKLAD	4254	33572	\N	\N	\N
2695556	8919	1997-11-07	PRIJEM	VKLAD	4254	33768	\N	\N	\N
2695557	8919	1997-12-07	PRIJEM	VKLAD	6381	29386	\N	\N	\N
2695558	8919	1998-01-07	PRIJEM	VKLAD	4254	21019	\N	\N	\N
2695559	8919	1998-02-07	PRIJEM	VKLAD	4254	19098	\N	\N	\N
2695560	8919	1998-03-07	PRIJEM	VKLAD	4254	23602	\N	\N	\N
2695561	8919	1998-04-07	PRIJEM	VKLAD	4254	22362	\N	\N	\N
2695562	8919	1998-05-07	PRIJEM	VKLAD	4254	23014	\N	\N	\N
2695563	8919	1998-06-07	PRIJEM	VKLAD	6381	27476	\N	\N	\N
2695564	8919	1998-07-07	PRIJEM	VKLAD	4254	26387	\N	\N	\N
2695565	8919	1998-08-07	PRIJEM	VKLAD	4254	25410	\N	\N	\N
2695566	8919	1998-09-07	PRIJEM	VKLAD	4254	30693	\N	\N	\N
2695567	8919	1998-10-07	PRIJEM	VKLAD	4254	29825	\N	\N	\N
2695568	8919	1998-11-07	PRIJEM	VKLAD	4254	32564	\N	\N	\N
2695569	8919	1998-12-07	PRIJEM	VKLAD	6381	28182	\N	\N	\N
2695580	8919	1997-11-09	VYDAJ	PREVOD NA UCET	166	28802	SIPO	KL	55111950
2695581	8919	1997-12-09	VYDAJ	PREVOD NA UCET	166	25720	SIPO	KL	55111950
2695582	8919	1998-01-09	VYDAJ	PREVOD NA UCET	166	20853	SIPO	KL	55111950
2695583	8919	1998-02-09	VYDAJ	PREVOD NA UCET	166	18932	SIPO	KL	55111950
2695584	8919	1998-03-09	VYDAJ	PREVOD NA UCET	166	23436	SIPO	KL	55111950
2695585	8919	1998-04-09	VYDAJ	PREVOD NA UCET	166	22196	SIPO	KL	55111950
2695586	8919	1998-05-09	VYDAJ	PREVOD NA UCET	166	19648	SIPO	KL	55111950
2695587	8919	1998-06-09	VYDAJ	PREVOD NA UCET	166	27310	SIPO	KL	55111950
2695588	8919	1998-07-09	VYDAJ	PREVOD NA UCET	166	26221	SIPO	KL	55111950
2695589	8919	1998-08-09	VYDAJ	PREVOD NA UCET	166	25244	SIPO	KL	55111950
2695590	8919	1998-09-09	VYDAJ	PREVOD NA UCET	166	30527	SIPO	KL	55111950
2695591	8919	1998-10-09	VYDAJ	PREVOD NA UCET	166	29659	SIPO	KL	55111950
2695592	8919	1998-11-09	VYDAJ	PREVOD NA UCET	166	32398	SIPO	KL	55111950
2695593	8919	1998-12-09	VYDAJ	PREVOD NA UCET	166	28016	SIPO	KL	55111950
2695604	8919	1997-11-14	VYDAJ	PREVOD NA UCET	2670	23032	 	ST	41956782
2695605	8919	1997-12-14	VYDAJ	PREVOD NA UCET	2670	23050	 	ST	41956782
2695606	8919	1998-01-14	VYDAJ	PREVOD NA UCET	2670	12963	 	ST	41956782
2695607	8919	1998-02-14	VYDAJ	PREVOD NA UCET	2670	13162	 	ST	41956782
2695608	8919	1998-03-14	VYDAJ	PREVOD NA UCET	2670	20766	 	ST	41956782
2695609	8919	1998-04-14	VYDAJ	PREVOD NA UCET	2670	19526	 	ST	41956782
2695610	8919	1998-05-14	VYDAJ	PREVOD NA UCET	2670	16978	 	ST	41956782
2695611	8919	1998-06-14	VYDAJ	PREVOD NA UCET	2670	21469	 	ST	41956782
2695612	8919	1998-07-14	VYDAJ	PREVOD NA UCET	2670	20380	 	ST	41956782
2695613	8919	1998-08-14	VYDAJ	PREVOD NA UCET	2670	19403	 	ST	41956782
2695614	8919	1998-09-14	VYDAJ	PREVOD NA UCET	2670	22286	 	ST	41956782
2695615	8919	1998-10-14	VYDAJ	PREVOD NA UCET	2670	23818	 	ST	41956782
2695616	8919	1998-11-14	VYDAJ	PREVOD NA UCET	2670	26557	 	ST	41956782
2695617	8919	1998-12-14	VYDAJ	PREVOD NA UCET	2670	22175	 	ST	41956782
2695628	8919	1997-11-13	VYDAJ	VYBER	3100	25702	\N	\N	0
2695629	8919	1997-12-07	VYDAJ	VYBER	3500	25886	\N	\N	0
2695630	8919	1998-01-12	VYDAJ	VYBER	3300	15633	\N	\N	0
2695631	8919	1998-02-12	VYDAJ	VYBER	3100	15832	\N	\N	0
2695632	8919	1998-03-19	VYDAJ	VYBER	3600	17166	\N	\N	0
2695633	8919	1998-04-21	VYDAJ	VYBER	2900	16626	\N	\N	0
2695634	8919	1998-05-09	VYDAJ	VYBER	3200	19814	\N	\N	0
2695635	8919	1998-06-12	VYDAJ	PREVOD NA UCET	3171	24139	UVER	IJ	5126792
2695636	8919	1998-07-12	VYDAJ	PREVOD NA UCET	3171	23050	UVER	IJ	5126792
2695637	8919	1998-08-12	VYDAJ	PREVOD NA UCET	3171	22073	UVER	IJ	5126792
2695638	8919	1998-09-12	VYDAJ	PREVOD NA UCET	3171	27356	UVER	IJ	5126792
2695639	8919	1998-10-12	VYDAJ	PREVOD NA UCET	3171	26488	UVER	IJ	5126792
2695640	8919	1998-11-12	VYDAJ	PREVOD NA UCET	3171	29227	UVER	IJ	5126792
2695641	8919	1998-12-12	VYDAJ	PREVOD NA UCET	3171	24845	UVER	IJ	5126792
2695646	8919	1997-12-17	VYDAJ	VYBER	4480	18570	\N	\N	\N
2695647	8919	1998-12-27	VYDAJ	VYBER	1600	16675	\N	\N	\N
2695654	8919	1998-01-12	VYDAJ	VYBER	1920	18933	\N	\N	\N
2695655	8919	1998-01-05	VYDAJ	VYBER	2520	16765	\N	\N	\N
2695656	8919	1998-01-30	VYDAJ	VYBER	1920	14743	\N	\N	\N
2695659	8919	1998-01-04	VYDAJ	VYBER	720	19285	\N	\N	\N
2695662	8919	1997-11-07	VYDAJ	VYBER	4800	28968	\N	\N	\N
2695663	8919	1997-12-26	VYDAJ	VYBER	5520	13050	\N	\N	\N
2695664	8919	1998-12-23	VYDAJ	VYBER	1320	19775	\N	\N	\N
2695665	8919	1998-12-06	VYDAJ	VYBER	3360	21801	\N	\N	\N
2695666	8919	1998-12-22	VYDAJ	VYBER	1080	21095	\N	\N	\N
2695667	8919	1998-07-26	VYDAJ	VYBER	1080	19300	\N	\N	\N
2695668	8919	1998-09-12	VYDAJ	VYBER	2400	24956	\N	\N	\N
2695680	8919	1997-11-30	VYDAJ	VYBER	15	23205	SLUZBY	\N	\N
2695681	8919	1997-12-31	VYDAJ	VYBER	15	20005	SLUZBY	\N	\N
2695682	8919	1998-01-31	VYDAJ	VYBER	15	14844	SLUZBY	\N	\N
2695683	8919	1998-02-28	VYDAJ	VYBER	15	19348	SLUZBY	\N	\N
2695684	8919	1998-03-31	VYDAJ	VYBER	15	18108	SLUZBY	\N	\N
2695685	8919	1998-04-30	VYDAJ	VYBER	15	18760	SLUZBY	\N	\N
2695686	8919	1998-05-31	VYDAJ	VYBER	15	21095	SLUZBY	\N	\N
2695687	8919	1998-06-30	VYDAJ	VYBER	15	22133	SLUZBY	\N	\N
2695688	8919	1998-07-31	VYDAJ	VYBER	15	21156	SLUZBY	\N	\N
2695689	8919	1998-08-31	VYDAJ	VYBER	15	26439	SLUZBY	\N	\N
2695690	8919	1998-09-30	VYDAJ	VYBER	15	25571	SLUZBY	\N	\N
2695691	8919	1998-10-31	VYDAJ	VYBER	15	28310	SLUZBY	\N	\N
2695692	8919	1998-11-30	VYDAJ	VYBER	15	25161	SLUZBY	\N	\N
2695693	8919	1997-08-02	PRIJEM	VKLAD	9200	14489	\N	\N	\N
2695694	8919	1997-09-01	PRIJEM	VKLAD	4300	23170	\N	\N	\N
2695695	8919	1997-10-01	PRIJEM	VKLAD	1700	29318	\N	\N	\N
2695696	8919	1997-10-31	VYDAJ	VYBER	4300	29514	\N	\N	\N
2695697	8919	1997-11-30	VYDAJ	VYBER	200	23005	\N	\N	\N
2695698	8919	1997-12-30	PRIJEM	VKLAD	6800	19850	\N	\N	\N
2695699	8919	1998-01-29	PRIJEM	VKLAD	3700	16663	\N	\N	\N
2695700	8919	1998-02-28	PRIJEM	VKLAD	6100	19363	\N	\N	\N
2695701	8919	1998-03-30	PRIJEM	VKLAD	800	17966	\N	\N	\N
2695702	8919	1998-04-29	PRIJEM	VKLAD	2000	18626	\N	\N	\N
2695703	8919	1998-05-29	PRIJEM	VKLAD	4000	20978	\N	\N	\N
2695704	8919	1998-06-28	PRIJEM	VKLAD	500	21969	\N	\N	\N
2695705	8919	1998-07-28	PRIJEM	VKLAD	1700	21000	\N	\N	\N
2695706	8919	1998-08-27	PRIJEM	VKLAD	6900	26303	\N	\N	\N
2695707	8919	1998-09-26	PRIJEM	VKLAD	3100	25386	\N	\N	\N
2695708	8919	1998-10-26	PRIJEM	VKLAD	4300	28118	\N	\N	\N
2695709	8919	1998-11-25	VYDAJ	VYBER	1600	24957	\N	\N	\N
2695710	8919	1998-12-25	VYDAJ	VYBER	1500	18275	\N	\N	\N
2697676	8926	1997-03-21	PRIJEM	VKLAD	200	200	\N	\N	\N
2697680	8926	1997-04-12	PRIJEM	VKLAD	17589	17789	\N	\N	\N
2697681	8926	1997-05-12	PRIJEM	VKLAD	17589	42149	\N	\N	\N
2697682	8926	1997-06-12	PRIJEM	VKLAD	26384	59999	\N	\N	\N
2697683	8926	1997-07-12	PRIJEM	VKLAD	17589	61311	\N	\N	\N
2697684	8926	1997-08-12	PRIJEM	VKLAD	17589	48846	\N	\N	\N
2697685	8926	1997-09-12	PRIJEM	VKLAD	17589	50901	\N	\N	\N
2697686	8926	1997-10-12	PRIJEM	VKLAD	17589	45844	\N	\N	\N
2697687	8926	1997-11-12	PRIJEM	VKLAD	17589	47215	\N	\N	\N
2697688	8926	1997-12-12	PRIJEM	VKLAD	26384	61993	\N	\N	\N
2697689	8926	1998-01-12	PRIJEM	VKLAD	17589	37707	\N	\N	\N
2697690	8926	1998-02-12	PRIJEM	VKLAD	17589	41308	\N	\N	\N
2697691	8926	1998-03-12	PRIJEM	VKLAD	17589	51690	\N	\N	\N
2697692	8926	1998-04-12	PRIJEM	VKLAD	17589	51677	\N	\N	\N
2697693	8926	1998-05-12	PRIJEM	VKLAD	17589	51967	\N	\N	\N
2697694	8926	1998-06-12	PRIJEM	VKLAD	26384	59070	\N	\N	\N
2697695	8926	1998-07-12	PRIJEM	VKLAD	17589	51667	\N	\N	\N
2697696	8926	1998-08-12	PRIJEM	VKLAD	17589	55429	\N	\N	\N
2697697	8926	1998-09-12	PRIJEM	VKLAD	17589	55334	\N	\N	\N
2697698	8926	1998-10-12	PRIJEM	VKLAD	17589	55342	\N	\N	\N
2697699	8926	1998-11-12	PRIJEM	VKLAD	17589	52011	\N	\N	\N
2697700	8926	1998-12-12	PRIJEM	VKLAD	26384	61265	\N	\N	\N
2697708	8926	1997-08-14	VYDAJ	PREVOD NA UCET	3912	41099	SIPO	ST	35869842
2697709	8926	1997-09-14	VYDAJ	PREVOD NA UCET	3912	46989	SIPO	ST	35869842
2697710	8926	1997-10-14	VYDAJ	PREVOD NA UCET	3912	38097	SIPO	ST	35869842
2697711	8926	1997-11-14	VYDAJ	PREVOD NA UCET	3912	40610	SIPO	ST	35869842
2697712	8926	1997-12-14	VYDAJ	PREVOD NA UCET	3912	54246	SIPO	ST	35869842
2697713	8926	1998-01-14	VYDAJ	PREVOD NA UCET	3912	27680	SIPO	ST	35869842
2697714	8926	1998-02-14	VYDAJ	PREVOD NA UCET	3912	33917	SIPO	ST	35869842
2697715	8926	1998-03-14	VYDAJ	PREVOD NA UCET	3912	35641	SIPO	ST	35869842
2697716	8926	1998-04-14	VYDAJ	PREVOD NA UCET	3912	38321	SIPO	ST	35869842
2697717	8926	1998-05-14	VYDAJ	PREVOD NA UCET	3912	37469	SIPO	ST	35869842
2697718	8926	1998-06-14	VYDAJ	PREVOD NA UCET	3912	38979	SIPO	ST	35869842
2697719	8926	1998-07-14	VYDAJ	PREVOD NA UCET	3912	38718	SIPO	ST	35869842
2697720	8926	1998-08-14	VYDAJ	PREVOD NA UCET	3912	41373	SIPO	ST	35869842
2697721	8926	1998-09-14	VYDAJ	PREVOD NA UCET	3912	40078	SIPO	ST	35869842
2697722	8926	1998-10-14	VYDAJ	PREVOD NA UCET	3912	40844	SIPO	ST	35869842
2697723	8926	1998-11-14	VYDAJ	PREVOD NA UCET	3912	37513	SIPO	ST	35869842
2697724	8926	1998-12-14	VYDAJ	PREVOD NA UCET	3912	42336	SIPO	ST	35869842
2697732	8926	1997-08-14	VYDAJ	PREVOD NA UCET	2693	46153	 	WX	2699643
2697733	8926	1997-09-14	VYDAJ	PREVOD NA UCET	2693	43154	 	WX	2699643
2697734	8926	1997-10-14	VYDAJ	PREVOD NA UCET	2693	43151	 	WX	2699643
2697735	8926	1997-11-14	VYDAJ	PREVOD NA UCET	2693	44522	 	WX	2699643
2697736	8926	1997-12-14	VYDAJ	PREVOD NA UCET	2693	59300	 	WX	2699643
2697737	8926	1998-01-14	VYDAJ	PREVOD NA UCET	2693	32734	 	WX	2699643
2697738	8926	1998-02-14	VYDAJ	PREVOD NA UCET	2693	37829	 	WX	2699643
2697739	8926	1998-03-14	VYDAJ	PREVOD NA UCET	2693	39553	 	WX	2699643
2697740	8926	1998-04-14	VYDAJ	PREVOD NA UCET	2693	35628	 	WX	2699643
2697741	8926	1998-05-14	VYDAJ	PREVOD NA UCET	2693	34776	 	WX	2699643
2697742	8926	1998-06-14	VYDAJ	PREVOD NA UCET	2693	44533	 	WX	2699643
2697743	8926	1998-07-14	VYDAJ	PREVOD NA UCET	2693	42630	 	WX	2699643
2697744	8926	1998-08-14	VYDAJ	PREVOD NA UCET	2693	37538	 	WX	2699643
2697745	8926	1998-09-14	VYDAJ	PREVOD NA UCET	2693	37385	 	WX	2699643
2697746	8926	1998-10-14	VYDAJ	PREVOD NA UCET	2693	38151	 	WX	2699643
2697747	8926	1998-11-14	VYDAJ	PREVOD NA UCET	2693	34820	 	WX	2699643
2697748	8926	1998-12-14	VYDAJ	PREVOD NA UCET	2693	46248	 	WX	2699643
2697756	8926	1997-08-14	VYDAJ	PREVOD NA UCET	1142	45011	POJISTNE	MN	94917398
2697757	8926	1997-09-14	VYDAJ	PREVOD NA UCET	1142	45847	POJISTNE	MN	94917398
2697758	8926	1997-10-14	VYDAJ	PREVOD NA UCET	1142	42009	POJISTNE	MN	94917398
2697759	8926	1997-11-14	VYDAJ	PREVOD NA UCET	1142	39468	POJISTNE	MN	94917398
2697760	8926	1997-12-14	VYDAJ	PREVOD NA UCET	1142	58158	POJISTNE	MN	94917398
2697761	8926	1998-01-14	VYDAJ	PREVOD NA UCET	1142	31592	POJISTNE	MN	94917398
2697762	8926	1998-02-14	VYDAJ	PREVOD NA UCET	1142	40522	POJISTNE	MN	94917398
2697763	8926	1998-03-14	VYDAJ	PREVOD NA UCET	1142	34499	POJISTNE	MN	94917398
2697764	8926	1998-04-14	VYDAJ	PREVOD NA UCET	1142	34486	POJISTNE	MN	94917398
2697765	8926	1998-05-14	VYDAJ	PREVOD NA UCET	1142	41381	POJISTNE	MN	94917398
2697766	8926	1998-06-14	VYDAJ	PREVOD NA UCET	1142	42891	POJISTNE	MN	94917398
2697767	8926	1998-07-14	VYDAJ	PREVOD NA UCET	1142	37576	POJISTNE	MN	94917398
2697768	8926	1998-08-14	VYDAJ	PREVOD NA UCET	1142	40231	POJISTNE	MN	94917398
2697769	8926	1998-09-14	VYDAJ	PREVOD NA UCET	1142	36243	POJISTNE	MN	94917398
2697770	8926	1998-10-14	VYDAJ	PREVOD NA UCET	1142	44756	POJISTNE	MN	94917398
2697771	8926	1998-11-14	VYDAJ	PREVOD NA UCET	1142	41425	POJISTNE	MN	94917398
2697772	8926	1998-12-14	VYDAJ	PREVOD NA UCET	1142	41194	POJISTNE	MN	94917398
2697781	8926	1997-09-11	VYDAJ	PREVOD NA UCET	25	33312	 	UV	49839079
2697782	8926	1997-10-11	VYDAJ	PREVOD NA UCET	25	28255	 	UV	49839079
2697783	8926	1997-11-11	VYDAJ	PREVOD NA UCET	25	29626	 	UV	49839079
2697784	8926	1997-12-11	VYDAJ	PREVOD NA UCET	25	35609	 	UV	49839079
2697785	8926	1998-01-11	VYDAJ	PREVOD NA UCET	25	20118	 	UV	49839079
2697786	8926	1998-02-11	VYDAJ	PREVOD NA UCET	25	23719	 	UV	49839079
2697787	8926	1998-03-11	VYDAJ	PREVOD NA UCET	25	34101	 	UV	49839079
2697788	8926	1998-04-11	VYDAJ	PREVOD NA UCET	25	34088	 	UV	49839079
2697789	8926	1998-05-11	VYDAJ	PREVOD NA UCET	25	34378	 	UV	49839079
2697790	8926	1998-06-11	VYDAJ	PREVOD NA UCET	25	32686	 	UV	49839079
2697791	8926	1998-07-11	VYDAJ	PREVOD NA UCET	25	34078	 	UV	49839079
2697792	8926	1998-08-11	VYDAJ	PREVOD NA UCET	25	37840	 	UV	49839079
2697793	8926	1998-09-11	VYDAJ	PREVOD NA UCET	25	37745	 	UV	49839079
2697794	8926	1998-10-11	VYDAJ	PREVOD NA UCET	25	36453	 	UV	49839079
2697795	8926	1998-11-11	VYDAJ	PREVOD NA UCET	25	34422	 	UV	49839079
2697796	8926	1998-12-11	VYDAJ	PREVOD NA UCET	25	34881	 	UV	49839079
2697804	8926	1997-08-07	VYDAJ	VYBER	11100	31257	\N	\N	0
2697805	8926	1997-09-17	VYDAJ	VYBER	10600	32554	\N	\N	0
2697806	8926	1997-10-21	VYDAJ	VYBER	8700	29397	\N	\N	0
2697807	8926	1997-11-17	VYDAJ	VYBER	9300	35368	\N	\N	0
2697808	8926	1997-12-15	VYDAJ	VYBER	10900	43346	\N	\N	0
2697809	8926	1998-01-02	VYDAJ	VYBER	8800	24103	\N	\N	0
2697810	8926	1998-02-12	VYDAJ	PREVOD NA UCET	9444	31864	UVER	CD	21242875
2697811	8926	1998-03-12	VYDAJ	PREVOD NA UCET	9444	42246	UVER	CD	21242875
2697812	8926	1998-04-12	VYDAJ	PREVOD NA UCET	9444	42233	UVER	CD	21242875
2697813	8926	1998-05-12	VYDAJ	PREVOD NA UCET	9444	42523	UVER	CD	21242875
2697814	8926	1998-06-12	VYDAJ	PREVOD NA UCET	9444	49626	UVER	CD	21242875
2697815	8926	1998-07-12	VYDAJ	PREVOD NA UCET	9444	42223	UVER	CD	21242875
2697816	8926	1998-08-12	VYDAJ	PREVOD NA UCET	9444	45985	UVER	CD	21242875
2697817	8926	1998-09-12	VYDAJ	PREVOD NA UCET	9444	45890	UVER	CD	21242875
2697818	8926	1998-10-12	VYDAJ	PREVOD NA UCET	9444	45898	UVER	CD	21242875
2697819	8926	1998-11-12	VYDAJ	PREVOD NA UCET	9444	42567	UVER	CD	21242875
2697820	8926	1998-12-12	VYDAJ	PREVOD NA UCET	9444	51821	UVER	CD	21242875
2697821	8926	1997-12-19	VYDAJ	VYBER	4480	32666	\N	\N	\N
2697822	8926	1998-12-10	VYDAJ	VYBER	1600	28806	\N	\N	\N
2697829	8926	1998-01-20	VYDAJ	VYBER	1680	29900	\N	\N	\N
2697830	8926	1998-01-14	VYDAJ	VYBER	2280	35427	\N	\N	\N
2697831	8926	1998-01-29	VYDAJ	VYBER	840	23540	\N	\N	\N
2697832	8926	1998-01-03	VYDAJ	VYBER	2880	21223	\N	\N	\N
2697833	8926	1998-01-27	VYDAJ	VYBER	3240	26660	\N	\N	\N
2697834	8926	1998-01-09	VYDAJ	VYBER	1080	20143	\N	\N	\N
2697841	8926	1998-01-28	VYDAJ	VYBER	2280	24380	\N	\N	\N
2697842	8926	1998-11-27	VYDAJ	VYBER	4680	30140	\N	\N	\N
2697843	8926	1998-12-26	VYDAJ	VYBER	1200	39994	\N	\N	\N
2697844	8926	1998-06-13	VYDAJ	VYBER	2400	47226	\N	\N	\N
2697845	8926	1998-12-13	VYDAJ	VYBER	2880	48941	\N	\N	\N
2697846	8926	1998-05-16	VYDAJ	VYBER	3480	32496	\N	\N	\N
2697847	8926	1998-10-26	VYDAJ	VYBER	3000	35151	\N	\N	\N
2697848	8926	1998-06-28	VYDAJ	VYBER	5160	33819	\N	\N	\N
2697857	8926	1997-08-31	VYDAJ	VYBER	15	33337	SLUZBY	\N	\N
2697858	8926	1997-09-30	VYDAJ	VYBER	15	28280	SLUZBY	\N	\N
2697859	8926	1997-10-31	VYDAJ	VYBER	15	29651	SLUZBY	\N	\N
2697860	8926	1997-11-30	VYDAJ	VYBER	15	35634	SLUZBY	\N	\N
2697861	8926	1997-12-31	VYDAJ	VYBER	15	32903	SLUZBY	\N	\N
2697862	8926	1998-01-31	VYDAJ	VYBER	15	23744	SLUZBY	\N	\N
2697863	8926	1998-02-28	VYDAJ	VYBER	15	34126	SLUZBY	\N	\N
2697864	8926	1998-03-31	VYDAJ	VYBER	15	34113	SLUZBY	\N	\N
2697865	8926	1998-04-30	VYDAJ	VYBER	15	34403	SLUZBY	\N	\N
2697866	8926	1998-05-31	VYDAJ	VYBER	15	32711	SLUZBY	\N	\N
2697867	8926	1998-06-30	VYDAJ	VYBER	15	34103	SLUZBY	\N	\N
2697868	8926	1998-07-31	VYDAJ	VYBER	15	37865	SLUZBY	\N	\N
2697869	8926	1998-08-31	VYDAJ	VYBER	15	37770	SLUZBY	\N	\N
2697870	8926	1998-09-30	VYDAJ	VYBER	15	36478	SLUZBY	\N	\N
2697871	8926	1998-10-31	VYDAJ	VYBER	15	35447	SLUZBY	\N	\N
2697872	8926	1998-11-30	VYDAJ	VYBER	15	30406	SLUZBY	\N	\N
2697873	8926	1997-04-20	PRIJEM	VKLAD	6700	24489	\N	\N	\N
2697874	8926	1997-05-20	VYDAJ	VYBER	8700	33449	\N	\N	\N
2697875	8926	1997-06-19	VYDAJ	VYBER	16500	43499	\N	\N	\N
2697876	8926	1997-07-19	VYDAJ	VYBER	19200	42111	\N	\N	\N
2697877	8926	1997-08-18	VYDAJ	VYBER	8000	33099	\N	\N	\N
2697878	8926	1997-09-17	VYDAJ	VYBER	4500	28054	\N	\N	\N
2697879	8926	1997-11-16	PRIJEM	VKLAD	5200	44668	\N	\N	\N
2697880	8926	1997-12-16	VYDAJ	VYBER	6200	37146	\N	\N	\N
2697881	8926	1998-01-15	PRIJEM	VKLAD	3900	31580	\N	\N	\N
2697882	8926	1998-02-14	PRIJEM	VKLAD	9800	41664	\N	\N	\N
2697883	8926	1998-03-16	VYDAJ	VYBER	600	33899	\N	\N	\N
2697884	8926	1998-04-15	VYDAJ	VYBER	300	34186	\N	\N	\N
2697885	8926	1998-05-15	PRIJEM	VKLAD	1200	35976	\N	\N	\N
2697886	8926	1998-06-14	VYDAJ	VYBER	500	44033	\N	\N	\N
2697887	8926	1998-07-14	PRIJEM	VKLAD	3100	45323	\N	\N	\N
2697888	8926	1998-08-13	VYDAJ	VYBER	700	45285	\N	\N	\N
2697889	8926	1998-09-12	VYDAJ	VYBER	1900	43990	\N	\N	\N
2697890	8926	1998-10-12	PRIJEM	VKLAD	1300	37753	\N	\N	\N
2697891	8926	1998-11-11	VYDAJ	VYBER	1000	34447	\N	\N	\N
2697892	8926	1998-12-11	PRIJEM	VKLAD	6100	34906	\N	\N	\N
2698808	8931	1996-01-01	PRIJEM	VKLAD	200	200	\N	\N	\N
2698809	8931	1996-12-30	PRIJEM	VKLAD	31270	170683	\N	\N	\N
2698810	8931	1996-12-29	PRIJEM	VKLAD	11317	66164	\N	\N	\N
2698811	8931	1996-11-27	PRIJEM	VKLAD	16716	82218	\N	\N	\N
2698812	8931	1996-11-16	PRIJEM	VKLAD	42597	126431	\N	\N	\N
2698813	8931	1996-12-21	PRIJEM	VKLAD	48653	117247	\N	\N	\N
2698814	8931	1996-09-19	PRIJEM	VKLAD	18747	70694	\N	\N	\N
2698815	8931	1996-10-25	PRIJEM	VKLAD	47423	140823	\N	\N	\N
2698816	8931	1996-10-02	PRIJEM	VKLAD	38459	118729	\N	\N	\N
2698817	8931	1996-02-28	PRIJEM	VKLAD	6887	41050	\N	\N	\N
2698818	8931	1996-02-07	PRIJEM	VKLAD	7112	34163	\N	\N	\N
2698819	8931	1996-09-16	PRIJEM	VKLAD	26067	51947	\N	\N	\N
2698820	8931	1996-10-15	PRIJEM	VKLAD	11531	61617	\N	\N	\N
2698821	8931	1996-04-25	PRIJEM	VKLAD	37037	94878	\N	\N	\N
2698822	8931	1996-01-03	PRIJEM	VKLAD	31012	31212	\N	\N	\N
2698823	8931	1996-05-01	PRIJEM	VKLAD	39065	102153	\N	\N	\N
2698824	8931	1996-08-19	PRIJEM	VKLAD	19579	68191	\N	\N	\N
2698825	8931	1996-04-13	PRIJEM	VKLAD	29000	57841	\N	\N	\N
2698826	8931	1996-12-30	PRIJEM	VKLAD	44503	110667	\N	\N	\N
2698827	8931	1996-09-28	PRIJEM	VKLAD	32915	79909	\N	\N	\N
2698828	8931	1996-11-20	PRIJEM	VKLAD	31071	135802	\N	\N	\N
2698829	8931	1996-06-24	PRIJEM	VKLAD	13998	39035	\N	\N	\N
2698830	8931	1996-11-01	PRIJEM	VKLAD	13594	85438	\N	\N	\N
2698831	8931	1996-11-04	PRIJEM	VKLAD	16692	102130	\N	\N	\N
2698832	8931	1996-08-11	PRIJEM	VKLAD	37680	50361	\N	\N	\N
2698833	8931	1996-05-28	PRIJEM	VKLAD	7083	82693	\N	\N	\N
2698834	8931	1996-12-30	PRIJEM	VKLAD	28746	139413	\N	\N	\N
2698835	8931	1996-11-07	PRIJEM	VKLAD	39547	135383	\N	\N	\N
2698836	8931	1996-10-22	PRIJEM	VKLAD	31783	93400	\N	\N	\N
2698837	8931	1997-03-01	PRIJEM	VKLAD	10918	70521	\N	\N	\N
2698838	8931	1997-08-17	PRIJEM	VKLAD	11774	97774	\N	\N	\N
2698839	8931	1997-07-13	PRIJEM	VKLAD	42162	132803	\N	\N	\N
2698840	8931	1997-10-26	PRIJEM	VKLAD	47333	81677	\N	\N	\N
2698841	8931	1997-02-21	PRIJEM	VKLAD	41503	87504	\N	\N	\N
2698842	8931	1997-03-18	PRIJEM	VKLAD	35188	88147	\N	\N	\N
2698843	8931	1997-11-24	PRIJEM	VKLAD	11231	51441	\N	\N	\N
2698844	8931	1997-02-12	PRIJEM	VKLAD	24054	50855	\N	\N	\N
2698845	8931	1997-10-06	PRIJEM	VKLAD	12914	46692	\N	\N	\N
2698846	8931	1997-04-14	PRIJEM	VKLAD	11188	48532	\N	\N	\N
2698847	8931	1997-07-29	PRIJEM	VKLAD	49983	99037	\N	\N	\N
2698848	8931	1997-05-04	PRIJEM	VKLAD	10589	49050	\N	\N	\N
2698849	8931	1997-02-10	PRIJEM	VKLAD	6559	26801	\N	\N	\N
2698850	8931	1997-07-02	PRIJEM	VKLAD	42453	88666	\N	\N	\N
2698851	8931	1997-06-13	PRIJEM	VKLAD	47525	63303	\N	\N	\N
2698852	8931	1997-07-10	PRIJEM	VKLAD	43874	126246	\N	\N	\N
2698853	8931	1998-03-29	PRIJEM	VKLAD	28287	68126	\N	\N	\N
2698854	8931	1998-05-04	PRIJEM	VKLAD	45828	126615	\N	\N	\N
2698855	8931	1998-11-30	PRIJEM	VKLAD	47047	123153	\N	\N	\N
2698856	8931	1998-11-10	PRIJEM	VKLAD	20627	114781	\N	\N	\N
2698857	8931	1998-07-19	PRIJEM	VKLAD	8869	69770	\N	\N	\N
2698858	8931	1998-11-14	PRIJEM	VKLAD	24742	136418	\N	\N	\N
2698859	8931	1998-07-05	PRIJEM	VKLAD	25366	57748	\N	\N	\N
2698860	8931	1998-05-04	PRIJEM	VKLAD	33316	159931	\N	\N	\N
2698861	8931	1998-02-24	PRIJEM	VKLAD	13429	72163	\N	\N	\N
2698862	8931	1998-01-24	PRIJEM	VKLAD	23993	52632	\N	\N	\N
2698863	8931	1998-04-27	PRIJEM	VKLAD	47494	83610	\N	\N	\N
2698864	8931	1998-04-29	PRIJEM	VKLAD	42315	125925	\N	\N	\N
2698865	8931	1998-02-19	PRIJEM	VKLAD	48054	78134	\N	\N	\N
2698866	8931	1998-10-06	PRIJEM	VKLAD	8358	80229	\N	\N	\N
2698867	8931	1998-12-26	PRIJEM	VKLAD	21430	75134	\N	\N	\N
2698868	8931	1998-07-11	PRIJEM	VKLAD	29627	81081	\N	\N	\N
2698869	8931	1998-10-21	PRIJEM	VKLAD	40783	99919	\N	\N	\N
2698870	8931	1998-08-25	PRIJEM	VKLAD	5193	62255	\N	\N	\N
2698871	8931	1998-08-04	PRIJEM	VKLAD	13380	72610	\N	\N	\N
2698872	8931	1998-09-18	PRIJEM	VKLAD	6085	49785	\N	\N	\N
2698873	8931	1998-03-01	PRIJEM	VKLAD	44110	116561	\N	\N	\N
2698874	8931	1998-09-21	PRIJEM	VKLAD	36932	71497	\N	\N	\N
2698875	8931	1998-03-06	PRIJEM	VKLAD	45249	141910	\N	\N	\N
2698880	8931	1996-05-14	VYDAJ	VYBER	2600	75610	\N	\N	0
2698881	8931	1996-06-03	VYDAJ	VYBER	3600	33080	\N	\N	0
2698882	8931	1996-07-15	VYDAJ	VYBER	2300	13097	\N	\N	0
2698883	8931	1996-08-03	VYDAJ	VYBER	3500	18975	\N	\N	0
2698884	8931	1996-09-05	VYDAJ	VYBER	3800	33923	\N	\N	0
2698885	8931	1996-10-09	VYDAJ	VYBER	3000	51835	\N	\N	0
2698886	8931	1996-11-08	VYDAJ	VYBER	2400	85583	\N	\N	0
2698887	8931	1996-12-13	VYDAJ	VYBER	3300	70343	\N	\N	0
2698888	8931	1997-01-19	VYDAJ	VYBER	3700	20664	\N	\N	0
2698889	8931	1997-02-12	VYDAJ	PREVOD NA UCET	3105	47750	UVER	KL	7974166
2698890	8931	1997-03-12	VYDAJ	PREVOD NA UCET	3105	54708	UVER	KL	7974166
2698891	8931	1997-04-12	VYDAJ	PREVOD NA UCET	3105	37344	UVER	KL	7974166
2698892	8931	1997-05-12	VYDAJ	PREVOD NA UCET	3105	24752	UVER	KL	7974166
2698893	8931	1997-06-12	VYDAJ	PREVOD NA UCET	3105	15778	UVER	KL	7974166
2698894	8931	1997-07-12	VYDAJ	PREVOD NA UCET	3105	90641	UVER	KL	7974166
2698895	8931	1997-08-12	VYDAJ	PREVOD NA UCET	3105	90149	UVER	KL	7974166
2698896	8931	1997-09-12	VYDAJ	PREVOD NA UCET	3105	37263	UVER	KL	7974166
2698897	8931	1997-10-12	VYDAJ	PREVOD NA UCET	3105	37293	UVER	KL	7974166
2698898	8931	1997-11-12	VYDAJ	PREVOD NA UCET	3105	52150	UVER	KL	7974166
2698899	8931	1997-12-12	VYDAJ	PREVOD NA UCET	3105	33056	UVER	KL	7974166
2698900	8931	1998-01-12	VYDAJ	PREVOD NA UCET	3105	18488	UVER	KL	7974166
2698901	8931	1998-02-12	VYDAJ	PREVOD NA UCET	3105	31829	UVER	KL	7974166
2698902	8931	1998-03-12	VYDAJ	PREVOD NA UCET	3105	52614	UVER	KL	7974166
2698903	8931	1998-04-12	VYDAJ	PREVOD NA UCET	3105	34965	UVER	KL	7974166
2698904	8931	1998-05-12	VYDAJ	PREVOD NA UCET	3105	78833	UVER	KL	7974166
2698905	8931	1998-06-12	VYDAJ	PREVOD NA UCET	3105	27053	UVER	KL	7974166
2698906	8931	1998-07-12	VYDAJ	PREVOD NA UCET	3105	62650	UVER	KL	7974166
2698907	8931	1998-08-12	VYDAJ	PREVOD NA UCET	3105	63211	UVER	KL	7974166
2698908	8931	1998-09-12	VYDAJ	PREVOD NA UCET	3105	34349	UVER	KL	7974166
2698909	8931	1998-10-12	VYDAJ	PREVOD NA UCET	3105	66785	UVER	KL	7974166
2698910	8931	1998-11-12	VYDAJ	PREVOD NA UCET	3105	111676	UVER	KL	7974166
2698911	8931	1998-12-12	VYDAJ	PREVOD NA UCET	3105	73653	UVER	KL	7974166
2698916	8931	1996-05-14	VYDAJ	PREVOD NA UCET	1749	78210	SIPO	WX	9704506
2698917	8931	1996-06-14	VYDAJ	PREVOD NA UCET	1749	25037	SIPO	WX	9704506
2698918	8931	1996-07-14	VYDAJ	PREVOD NA UCET	1749	15397	SIPO	WX	9704506
2698919	8931	1996-08-14	VYDAJ	PREVOD NA UCET	1749	48612	SIPO	WX	9704506
2698920	8931	1996-09-14	VYDAJ	PREVOD NA UCET	1749	25880	SIPO	WX	9704506
2698921	8931	1996-10-14	VYDAJ	PREVOD NA UCET	1749	50086	SIPO	WX	9704506
2698922	8931	1996-11-14	VYDAJ	PREVOD NA UCET	1749	83834	SIPO	WX	9704506
2698923	8931	1996-12-14	VYDAJ	PREVOD NA UCET	1749	68594	SIPO	WX	9704506
2698924	8931	1997-01-14	VYDAJ	PREVOD NA UCET	1749	24364	SIPO	WX	9704506
2698925	8931	1997-02-14	VYDAJ	PREVOD NA UCET	1749	46001	SIPO	WX	9704506
2698926	8931	1997-03-14	VYDAJ	PREVOD NA UCET	1749	52959	SIPO	WX	9704506
2698927	8931	1997-04-14	VYDAJ	PREVOD NA UCET	1749	46783	SIPO	WX	9704506
2698928	8931	1997-05-14	VYDAJ	PREVOD NA UCET	1749	23003	SIPO	WX	9704506
2698929	8931	1997-06-14	VYDAJ	PREVOD NA UCET	1749	55623	SIPO	WX	9704506
2698930	8931	1997-07-14	VYDAJ	PREVOD NA UCET	1749	112254	SIPO	WX	9704506
2698931	8931	1997-08-14	VYDAJ	PREVOD NA UCET	1749	86000	SIPO	WX	9704506
2698932	8931	1997-09-14	VYDAJ	PREVOD NA UCET	1749	35514	SIPO	WX	9704506
2698933	8931	1997-10-14	VYDAJ	PREVOD NA UCET	1749	35544	SIPO	WX	9704506
2698934	8931	1997-11-14	VYDAJ	PREVOD NA UCET	1749	50401	SIPO	WX	9704506
2698935	8931	1997-12-14	VYDAJ	PREVOD NA UCET	1749	31307	SIPO	WX	9704506
2698936	8931	1998-01-14	VYDAJ	PREVOD NA UCET	1749	16739	SIPO	WX	9704506
2698937	8931	1998-02-14	VYDAJ	PREVOD NA UCET	1749	30080	SIPO	WX	9704506
2698938	8931	1998-03-14	VYDAJ	PREVOD NA UCET	1749	50865	SIPO	WX	9704506
2698939	8931	1998-04-14	VYDAJ	PREVOD NA UCET	1749	33216	SIPO	WX	9704506
2698940	8931	1998-05-14	VYDAJ	PREVOD NA UCET	1749	77084	SIPO	WX	9704506
2698941	8931	1998-06-14	VYDAJ	PREVOD NA UCET	1749	25304	SIPO	WX	9704506
2698942	8931	1998-07-14	VYDAJ	PREVOD NA UCET	1749	60901	SIPO	WX	9704506
2698943	8931	1998-08-14	VYDAJ	PREVOD NA UCET	1749	61462	SIPO	WX	9704506
2698944	8931	1998-09-14	VYDAJ	PREVOD NA UCET	1749	32600	SIPO	WX	9704506
2698945	8931	1998-10-14	VYDAJ	PREVOD NA UCET	1749	65036	SIPO	WX	9704506
2698946	8931	1998-11-14	VYDAJ	PREVOD NA UCET	1749	134669	SIPO	WX	9704506
2698947	8931	1998-12-14	VYDAJ	PREVOD NA UCET	1749	71904	SIPO	WX	9704506
2698952	8931	1996-05-06	VYDAJ	PREVOD NA UCET	6294	95859	 	MN	66827905
2698953	8931	1996-06-06	VYDAJ	PREVOD NA UCET	6294	26786	 	MN	66827905
2698954	8931	1996-07-06	VYDAJ	PREVOD NA UCET	6294	17146	 	MN	66827905
2698955	8931	1996-08-06	VYDAJ	PREVOD NA UCET	6294	12681	 	MN	66827905
2698956	8931	1996-09-06	VYDAJ	PREVOD NA UCET	6294	27629	 	MN	66827905
2698957	8931	1996-10-06	VYDAJ	PREVOD NA UCET	6294	54835	 	MN	66827905
2698958	8931	1996-11-06	VYDAJ	PREVOD NA UCET	6294	95836	 	MN	66827905
2698959	8931	1996-12-06	VYDAJ	PREVOD NA UCET	6294	73643	 	MN	66827905
2698960	8931	1997-01-06	VYDAJ	PREVOD NA UCET	6294	62786	 	MN	66827905
2698961	8931	1997-02-06	VYDAJ	PREVOD NA UCET	6294	20242	 	MN	66827905
2698962	8931	1997-03-06	VYDAJ	PREVOD NA UCET	6294	64227	 	MN	66827905
2698963	8931	1997-04-06	VYDAJ	PREVOD NA UCET	6294	53953	 	MN	66827905
2698964	8931	1997-05-06	VYDAJ	PREVOD NA UCET	6294	42756	 	MN	66827905
2698965	8931	1997-06-06	VYDAJ	PREVOD NA UCET	6294	18882	 	MN	66827905
2698966	8931	1997-07-06	VYDAJ	PREVOD NA UCET	6294	82372	 	MN	66827905
2698967	8931	1997-08-06	VYDAJ	PREVOD NA UCET	6294	93254	 	MN	66827905
2698968	8931	1997-09-06	VYDAJ	PREVOD NA UCET	6294	40368	 	MN	66827905
2698969	8931	1997-10-06	VYDAJ	PREVOD NA UCET	6294	40398	 	MN	66827905
2698970	8931	1997-11-06	VYDAJ	PREVOD NA UCET	6294	75679	 	MN	66827905
2698971	8931	1997-12-06	VYDAJ	PREVOD NA UCET	6294	36160	 	MN	66827905
2698972	8931	1998-01-06	VYDAJ	PREVOD NA UCET	6294	21593	 	MN	66827905
2698973	8931	1998-02-06	VYDAJ	PREVOD NA UCET	6294	34934	 	MN	66827905
2698974	8931	1998-03-06	VYDAJ	PREVOD NA UCET	6294	135616	 	MN	66827905
2698975	8931	1998-04-06	VYDAJ	PREVOD NA UCET	6294	38070	 	MN	66827905
2698976	8931	1998-05-06	VYDAJ	PREVOD NA UCET	6294	81937	 	MN	66827905
2698977	8931	1998-06-06	VYDAJ	PREVOD NA UCET	6294	30157	 	MN	66827905
2698978	8931	1998-07-06	VYDAJ	PREVOD NA UCET	6294	51454	 	MN	66827905
2698979	8931	1998-08-06	VYDAJ	PREVOD NA UCET	6294	66316	 	MN	66827905
2698980	8931	1998-09-06	VYDAJ	PREVOD NA UCET	6294	56363	 	MN	66827905
2698981	8931	1998-10-06	VYDAJ	PREVOD NA UCET	6294	73935	 	MN	66827905
2698982	8931	1998-11-06	VYDAJ	PREVOD NA UCET	6294	94154	 	MN	66827905
2698983	8931	1998-12-06	VYDAJ	PREVOD NA UCET	6294	76758	 	MN	66827905
2698986	8931	1996-08-27	VYBER	VYBER	19386	48805	\N	\N	\N
2698988	8931	1996-06-24	VYBER	VYBER	11889	27146	\N	\N	\N
2698990	8931	1997-03-12	VYBER	VYBER	6415	57812	\N	\N	\N
2698991	8931	1997-08-30	VYBER	VYBER	12003	46171	\N	\N	\N
2698992	8931	1997-11-15	VYBER	VYBER	3091	47310	\N	\N	\N
2698993	8931	1997-01-08	VYBER	VYBER	22573	40213	\N	\N	\N
2698996	8931	1997-01-02	VYBER	VYBER	18578	69080	\N	\N	\N
2698997	8931	1997-05-12	VYBER	VYBER	14899	27857	\N	\N	\N
2698999	8931	1997-04-10	VYBER	VYBER	13505	40448	\N	\N	\N
2699000	8931	1997-11-11	VYBER	VYBER	20424	55255	\N	\N	\N
2699001	8931	1997-06-13	VYBER	VYBER	5931	57372	\N	\N	\N
2699002	8931	1998-09-20	VYBER	VYBER	15220	34565	\N	\N	\N
2699003	8931	1998-12-01	VYBER	VYBER	2138	83052	\N	\N	\N
2699004	8931	1998-05-22	VYBER	VYBER	3607	58577	\N	\N	\N
2699006	8931	1998-10-08	VYBER	VYBER	4045	69890	\N	\N	\N
2699007	8931	1998-07-12	VYBER	VYBER	15326	65755	\N	\N	\N
2699008	8931	1998-05-02	VYBER	VYBER	19178	80787	\N	\N	\N
2699009	8931	1998-12-29	VYBER	VYBER	14253	60881	\N	\N	\N
2699010	8931	1998-03-08	VYBER	VYBER	16097	55719	\N	\N	\N
2699011	8931	1998-06-02	VYBER	VYBER	22657	36451	\N	\N	\N
2699012	8931	1998-01-28	VYBER	VYBER	2885	47347	\N	\N	\N
2699013	8931	1998-03-31	VYBER	VYBER	24147	44394	\N	\N	\N
2699014	8931	1998-09-08	VYBER	VYBER	18910	37453	\N	\N	\N
2699015	8931	1998-03-15	VYBER	VYBER	7926	42939	\N	\N	\N
2699016	8931	1996-06-01	VYDAJ	VYBER	19800	36680	\N	\N	\N
2699022	8931	1996-12-02	VYDAJ	VYBER	3000	79937	\N	\N	\N
2699024	8931	1998-12-23	VYDAJ	VYBER	7800	53704	\N	\N	\N
2699031	8931	1997-01-11	VYDAJ	VYBER	8400	26113	\N	\N	\N
2699033	8931	1997-01-11	VYDAJ	VYBER	5700	34513	\N	\N	\N
2699037	8931	1998-01-01	VYDAJ	VYBER	5100	27887	\N	\N	\N
2699039	8931	1998-01-28	VYDAJ	VYBER	6300	41047	\N	\N	\N
2699042	8931	1998-01-25	VYDAJ	VYBER	2400	50232	\N	\N	\N
2699045	8931	1996-05-10	VYDAJ	VYBER	9000	86859	\N	\N	\N
2699046	8931	1996-05-12	VYDAJ	VYBER	6900	79959	\N	\N	\N
2699048	8931	1997-08-19	VYDAJ	VYBER	13200	84574	\N	\N	\N
2699049	8931	1997-11-27	VYDAJ	VYBER	9300	42141	\N	\N	\N
2699050	8931	1997-08-13	VYDAJ	VYBER	2400	87749	\N	\N	\N
2699051	8931	1998-04-18	VYDAJ	VYBER	2400	30816	\N	\N	\N
2699054	8931	1998-03-16	VYDAJ	VYBER	14400	28539	\N	\N	\N
2699059	8931	1996-04-30	VYDAJ	VYBER	30	63088	SLUZBY	\N	\N
2699060	8931	1996-05-31	VYDAJ	VYBER	30	56480	SLUZBY	\N	\N
2699061	8931	1996-06-30	VYDAJ	VYBER	30	23440	SLUZBY	\N	\N
2699062	8931	1996-07-31	VYDAJ	VYBER	30	22475	SLUZBY	\N	\N
2699063	8931	1996-08-31	VYDAJ	VYBER	30	37723	SLUZBY	\N	\N
2699064	8931	1996-09-30	VYDAJ	VYBER	30	80270	SLUZBY	\N	\N
2699065	8931	1996-10-31	VYDAJ	VYBER	30	71844	SLUZBY	\N	\N
2699066	8931	1996-11-30	VYDAJ	VYBER	30	82937	SLUZBY	\N	\N
2699067	8931	1996-12-31	VYDAJ	VYBER	30	87658	SLUZBY	\N	\N
2699068	8931	1997-01-31	VYDAJ	VYBER	30	26536	SLUZBY	\N	\N
2699069	8931	1997-02-28	VYDAJ	VYBER	30	59603	SLUZBY	\N	\N
2699070	8931	1997-03-31	VYDAJ	VYBER	30	60247	SLUZBY	\N	\N
2699071	8931	1997-04-30	VYDAJ	VYBER	30	38461	SLUZBY	\N	\N
2699072	8931	1997-05-31	VYDAJ	VYBER	30	25176	SLUZBY	\N	\N
2699073	8931	1997-06-30	VYDAJ	VYBER	30	46213	SLUZBY	\N	\N
2699074	8931	1997-07-31	VYDAJ	VYBER	30	99548	SLUZBY	\N	\N
2699075	8931	1997-08-31	VYDAJ	VYBER	30	46662	SLUZBY	\N	\N
2699076	8931	1997-09-30	VYDAJ	VYBER	30	33778	SLUZBY	\N	\N
2699077	8931	1997-10-31	VYDAJ	VYBER	30	81973	SLUZBY	\N	\N
2699078	8931	1997-11-30	VYDAJ	VYBER	30	42454	SLUZBY	\N	\N
2699079	8931	1997-12-31	VYDAJ	VYBER	30	32987	SLUZBY	\N	\N
2699080	8931	1998-01-31	VYDAJ	VYBER	30	41228	SLUZBY	\N	\N
2699081	8931	1998-02-28	VYDAJ	VYBER	30	72451	SLUZBY	\N	\N
2699082	8931	1998-03-31	VYDAJ	VYBER	30	44364	SLUZBY	\N	\N
2699083	8931	1998-04-30	VYDAJ	VYBER	30	99965	SLUZBY	\N	\N
2699084	8931	1998-05-31	VYDAJ	VYBER	30	59108	SLUZBY	\N	\N
2699085	8931	1998-06-30	VYDAJ	VYBER	30	32382	SLUZBY	\N	\N
2699086	8931	1998-07-31	VYDAJ	VYBER	30	59230	SLUZBY	\N	\N
2699087	8931	1998-08-31	VYDAJ	VYBER	30	62657	SLUZBY	\N	\N
2699088	8931	1998-09-30	VYDAJ	VYBER	30	71871	SLUZBY	\N	\N
2699089	8931	1998-10-31	VYDAJ	VYBER	30	100448	SLUZBY	\N	\N
2699090	8931	1998-11-30	VYDAJ	VYBER	30	85190	SLUZBY	\N	\N
2699091	8931	1996-01-31	VYDAJ	VYBER	4400	27051	\N	\N	\N
2699092	8931	1996-03-01	VYDAJ	VYBER	10200	30972	\N	\N	\N
2699093	8931	1996-03-31	VYDAJ	VYBER	2300	28841	\N	\N	\N
2699094	8931	1996-04-30	VYDAJ	VYBER	32000	63118	\N	\N	\N
2699095	8931	1996-05-30	VYDAJ	VYBER	26800	55893	\N	\N	\N
2699096	8931	1996-06-29	VYDAJ	VYBER	3900	23246	\N	\N	\N
2699097	8931	1996-07-29	PRIJEM	VKLAD	9300	22397	\N	\N	\N
2699098	8931	1996-08-28	VYDAJ	VYBER	11400	37405	\N	\N	\N
2699099	8931	1996-09-27	VYDAJ	VYBER	23700	46994	\N	\N	\N
2699100	8931	1996-10-02	VYDAJ	VYBER	57600	61129	\N	\N	\N
2699101	8931	1996-10-25	VYDAJ	VYBER	28200	112623	\N	\N	\N
2699102	8931	1996-10-27	VYDAJ	VYBER	41300	71323	\N	\N	\N
2699103	8931	1996-11-07	VYDAJ	VYBER	47400	87983	\N	\N	\N
2699104	8931	1996-11-16	VYDAJ	VYBER	21700	104731	\N	\N	\N
2699105	8931	1996-11-20	VYDAJ	VYBER	30200	105602	\N	\N	\N
2699106	8931	1996-11-26	VYDAJ	VYBER	40100	65502	\N	\N	\N
2699107	8931	1996-12-21	VYDAJ	VYBER	38500	78747	\N	\N	\N
2699108	8931	1996-12-26	VYDAJ	VYBER	23900	54847	\N	\N	\N
2699109	8931	1996-12-30	VYDAJ	VYBER	63700	87083	\N	\N	\N
2699110	8931	1996-12-30	VYDAJ	VYBER	19900	150783	\N	\N	\N
2699111	8931	1997-01-25	PRIJEM	VKLAD	5600	26264	\N	\N	\N
2699112	8931	1997-02-24	VYDAJ	VYBER	28200	59304	\N	\N	\N
2699113	8931	1997-03-26	VYDAJ	VYBER	28400	59747	\N	\N	\N
2699114	8931	1997-04-25	VYDAJ	VYBER	8600	38183	\N	\N	\N
2699115	8931	1997-05-25	PRIJEM	VKLAD	2000	25003	\N	\N	\N
2699116	8931	1997-06-24	VYDAJ	VYBER	9700	45923	\N	\N	\N
2699117	8931	1997-07-10	VYDAJ	VYBER	32500	93746	\N	\N	\N
2699118	8931	1997-07-13	VYDAJ	VYBER	18800	114003	\N	\N	\N
2699119	8931	1997-07-14	VYDAJ	VYBER	51800	60454	\N	\N	\N
2699120	8931	1997-07-24	VYDAJ	VYBER	11400	49054	\N	\N	\N
2699121	8931	1997-08-23	VYDAJ	VYBER	26400	58174	\N	\N	\N
2699122	8931	1997-09-22	VYDAJ	VYBER	2000	33514	\N	\N	\N
2699123	8931	1997-10-22	VYDAJ	VYBER	1200	34344	\N	\N	\N
2699124	8931	1997-11-21	VYDAJ	VYBER	7100	40210	\N	\N	\N
2699125	8931	1997-12-21	PRIJEM	VKLAD	1500	32807	\N	\N	\N
2699126	8931	1998-01-20	PRIJEM	VKLAD	11900	28639	\N	\N	\N
2699127	8931	1998-02-19	VYDAJ	VYBER	19400	58734	\N	\N	\N
2699128	8931	1998-03-01	VYDAJ	VYBER	19900	96661	\N	\N	\N
2699129	8931	1998-03-06	VYDAJ	VYBER	63800	71816	\N	\N	\N
2699130	8931	1998-03-21	PRIJEM	VKLAD	11300	39839	\N	\N	\N
2699131	8931	1998-04-20	PRIJEM	VKLAD	5300	36116	\N	\N	\N
2699132	8931	1998-04-29	VYDAJ	VYBER	26200	99725	\N	\N	\N
2699133	8931	1998-05-04	VYDAJ	VYBER	41500	118431	\N	\N	\N
2699134	8931	1998-05-04	VYDAJ	VYBER	30200	88231	\N	\N	\N
2699135	8931	1998-05-20	VYDAJ	VYBER	14900	62184	\N	\N	\N
2699136	8931	1998-06-19	PRIJEM	VKLAD	6900	32204	\N	\N	\N
2699137	8931	1998-07-19	VYDAJ	VYBER	10900	58870	\N	\N	\N
2699138	8931	1998-08-18	VYDAJ	VYBER	4400	57062	\N	\N	\N
2699139	8931	1998-09-17	PRIJEM	VKLAD	11100	43700	\N	\N	\N
2699140	8931	1998-10-17	VYDAJ	VYBER	5900	59136	\N	\N	\N
2699141	8931	1998-11-14	VYDAJ	VYBER	40900	93769	\N	\N	\N
2699142	8931	1998-11-16	VYDAJ	VYBER	17900	75869	\N	\N	\N
2699143	8931	1998-11-30	VYDAJ	VYBER	38300	85220	\N	\N	\N
2699144	8931	1998-12-16	VYDAJ	VYBER	10400	61504	\N	\N	\N
2699719	8934	1993-06-06	PRIJEM	VKLAD	500	500	\N	\N	\N
2699726	8934	1993-07-05	PRIJEM	PREVOD Z UCTU	14918	15418	\N	MN	79855638
2699727	8934	1993-08-05	PRIJEM	PREVOD Z UCTU	14918	32757	\N	MN	79855638
2699728	8934	1993-09-05	PRIJEM	PREVOD Z UCTU	14918	42604	\N	MN	79855638
2699729	8934	1993-10-05	PRIJEM	PREVOD Z UCTU	14918	47740	\N	MN	79855638
2699730	8934	1993-11-05	PRIJEM	PREVOD Z UCTU	14918	52019	\N	MN	79855638
2699731	8934	1993-12-05	PRIJEM	PREVOD Z UCTU	22377	60566	\N	MN	79855638
2699732	8934	1994-01-05	PRIJEM	PREVOD Z UCTU	14918	37467	\N	MN	79855638
2699733	8934	1994-02-05	PRIJEM	PREVOD Z UCTU	14918	26508	\N	MN	79855638
2699734	8934	1994-03-05	PRIJEM	PREVOD Z UCTU	14918	39282	\N	MN	79855638
2699735	8934	1994-04-05	PRIJEM	PREVOD Z UCTU	14918	43203	\N	MN	79855638
2699736	8934	1994-05-05	PRIJEM	PREVOD Z UCTU	14918	29052	\N	MN	79855638
2699737	8934	1994-06-05	PRIJEM	PREVOD Z UCTU	22377	48914	\N	MN	79855638
2699738	8934	1994-07-05	PRIJEM	PREVOD Z UCTU	14918	41486	\N	MN	79855638
2699739	8934	1994-08-05	PRIJEM	PREVOD Z UCTU	14918	49283	\N	MN	79855638
2699740	8934	1994-09-05	PRIJEM	PREVOD Z UCTU	14918	46745	\N	MN	79855638
2699741	8934	1994-10-05	PRIJEM	PREVOD Z UCTU	14918	49479	\N	MN	79855638
2699742	8934	1994-11-05	PRIJEM	PREVOD Z UCTU	14918	52429	\N	MN	79855638
2699743	8934	1994-12-05	PRIJEM	PREVOD Z UCTU	22377	56784	\N	MN	79855638
2699744	8934	1995-01-05	PRIJEM	PREVOD Z UCTU	14918	36390	\N	MN	79855638
2699745	8934	1995-02-05	PRIJEM	PREVOD Z UCTU	14918	31127	\N	MN	79855638
2699746	8934	1995-03-05	PRIJEM	PREVOD Z UCTU	14918	30935	\N	MN	79855638
2699747	8934	1995-04-05	PRIJEM	PREVOD Z UCTU	14918	15589	\N	MN	79855638
2699748	8934	1995-05-05	PRIJEM	PREVOD Z UCTU	14918	38019	\N	MN	79855638
2699749	8934	1995-06-05	PRIJEM	PREVOD Z UCTU	22377	32266	\N	MN	79855638
2699750	8934	1995-07-05	PRIJEM	PREVOD Z UCTU	14918	28210	\N	MN	79855638
2699751	8934	1995-08-05	PRIJEM	PREVOD Z UCTU	14918	35661	\N	MN	79855638
2699752	8934	1995-09-05	PRIJEM	PREVOD Z UCTU	14918	35695	\N	MN	79855638
2699753	8934	1995-10-05	PRIJEM	PREVOD Z UCTU	14918	44738	\N	MN	79855638
2699754	8934	1995-11-05	PRIJEM	PREVOD Z UCTU	14918	48975	\N	MN	79855638
2699755	8934	1995-12-05	PRIJEM	PREVOD Z UCTU	22377	45842	\N	MN	79855638
2699756	8934	1996-01-05	PRIJEM	PREVOD Z UCTU	14918	22704	\N	MN	79855638
2699757	8934	1996-02-05	PRIJEM	PREVOD Z UCTU	14918	16820	\N	MN	79855638
2699758	8934	1996-03-05	PRIJEM	PREVOD Z UCTU	14918	22833	\N	MN	79855638
2699759	8934	1996-04-05	PRIJEM	PREVOD Z UCTU	14918	31699	\N	MN	79855638
2699760	8934	1996-05-05	PRIJEM	PREVOD Z UCTU	14918	19184	\N	MN	79855638
2699761	8934	1996-06-05	PRIJEM	PREVOD Z UCTU	22377	33482	\N	MN	79855638
2699762	8934	1996-07-05	PRIJEM	PREVOD Z UCTU	14918	39460	\N	MN	79855638
2699763	8934	1996-08-05	PRIJEM	PREVOD Z UCTU	14918	32208	\N	MN	79855638
2699764	8934	1996-09-05	PRIJEM	PREVOD Z UCTU	14918	37246	\N	MN	79855638
2699765	8934	1996-10-05	PRIJEM	PREVOD Z UCTU	14918	24919	\N	MN	79855638
2699766	8934	1996-11-05	PRIJEM	PREVOD Z UCTU	14918	26655	\N	MN	79855638
2699767	8934	1996-12-05	PRIJEM	PREVOD Z UCTU	22377	43897	\N	MN	79855638
2699768	8934	1997-01-05	PRIJEM	PREVOD Z UCTU	14918	20938	\N	MN	79855638
2699769	8934	1997-02-05	PRIJEM	PREVOD Z UCTU	14918	19830	\N	MN	79855638
2699770	8934	1997-03-05	PRIJEM	PREVOD Z UCTU	14918	35617	\N	MN	79855638
2699771	8934	1997-04-05	PRIJEM	PREVOD Z UCTU	14918	45660	\N	MN	79855638
2699772	8934	1997-05-05	PRIJEM	PREVOD Z UCTU	14918	28072	\N	MN	79855638
2699773	8934	1997-06-05	PRIJEM	PREVOD Z UCTU	22377	35250	\N	MN	79855638
2699774	8934	1997-07-05	PRIJEM	PREVOD Z UCTU	14918	45364	\N	MN	79855638
2699775	8934	1997-08-05	PRIJEM	PREVOD Z UCTU	14918	46738	\N	MN	79855638
2699776	8934	1997-09-05	PRIJEM	PREVOD Z UCTU	14918	51540	\N	MN	79855638
2699777	8934	1997-10-05	PRIJEM	PREVOD Z UCTU	14918	43619	\N	MN	79855638
2699778	8934	1997-11-05	PRIJEM	PREVOD Z UCTU	14918	49448	\N	MN	79855638
2699779	8934	1997-12-05	PRIJEM	PREVOD Z UCTU	22377	53905	\N	MN	79855638
2699780	8934	1998-01-05	PRIJEM	PREVOD Z UCTU	14918	45409	\N	MN	79855638
2699781	8934	1998-02-05	PRIJEM	PREVOD Z UCTU	14918	19905	\N	MN	79855638
2699782	8934	1998-03-05	PRIJEM	PREVOD Z UCTU	14918	37604	\N	MN	79855638
2699783	8934	1998-04-05	PRIJEM	PREVOD Z UCTU	14918	47879	\N	MN	79855638
2699784	8934	1998-05-05	PRIJEM	PREVOD Z UCTU	14918	41646	\N	MN	79855638
2699785	8934	1998-06-05	PRIJEM	PREVOD Z UCTU	22377	58309	\N	MN	79855638
2699786	8934	1998-07-05	PRIJEM	PREVOD Z UCTU	14918	34825	\N	MN	79855638
2699787	8934	1998-08-05	PRIJEM	PREVOD Z UCTU	14918	27996	\N	MN	79855638
2699788	8934	1998-09-05	PRIJEM	PREVOD Z UCTU	14918	40217	\N	MN	79855638
2699789	8934	1998-10-05	PRIJEM	PREVOD Z UCTU	14918	28207	\N	MN	79855638
2699790	8934	1998-11-05	PRIJEM	PREVOD Z UCTU	14918	24208	\N	MN	79855638
2699791	8934	1998-12-05	PRIJEM	PREVOD Z UCTU	22377	51125	\N	MN	79855638
2699803	8934	1994-06-05	VYBER	VYBER	18369	30545	\N	\N	\N
2699804	8934	1994-12-28	VYBER	VYBER	23022	27162	\N	\N	\N
2699806	8934	1994-03-23	VYBER	VYBER	8356	30926	\N	\N	\N
2699807	8934	1994-08-14	VYBER	VYBER	11822	37461	\N	\N	\N
2699808	8934	1994-04-25	VYBER	VYBER	20903	15235	\N	\N	\N
2699809	8934	1994-04-16	VYBER	VYBER	7065	36138	\N	\N	\N
2699810	8934	1994-01-01	VYBER	VYBER	22926	29949	\N	\N	\N
2699811	8934	1994-04-30	VYBER	VYBER	14855	649	\N	\N	\N
2699812	8934	1995-09-01	VYBER	VYBER	3431	20777	\N	\N	\N
2699813	8934	1995-11-26	VYBER	VYBER	10444	23231	\N	\N	\N
2699814	8934	1995-02-05	VYBER	VYBER	21228	9899	\N	\N	\N
2699815	8934	1995-01-07	VYBER	VYBER	3834	32556	\N	\N	\N
2699817	8934	1995-06-30	VYBER	VYBER	3448	13307	\N	\N	\N
2699818	8934	1995-03-05	VYBER	VYBER	13898	17037	\N	\N	\N
2699819	8934	1995-05-29	VYBER	VYBER	24583	9736	\N	\N	\N
2699820	8934	1995-02-07	VYBER	VYBER	2924	6975	\N	\N	\N
2699821	8934	1995-06-10	VYBER	VYBER	24072	8194	\N	\N	\N
2699822	8934	1995-07-25	VYBER	VYBER	8619	19591	\N	\N	\N
2699823	8934	1995-12-29	VYBER	VYBER	7013	21429	\N	\N	\N
2699824	8934	1995-04-04	VYBER	VYBER	22259	671	\N	\N	\N
2699825	8934	1996-05-05	VYBER	VYBER	13550	5634	\N	\N	\N
2699826	8934	1996-07-19	VYBER	VYBER	6035	33425	\N	\N	\N
2699829	8934	1996-05-01	VYBER	VYBER	24222	4266	\N	\N	\N
2699830	8934	1996-10-25	VYBER	VYBER	14954	11665	\N	\N	\N
2699831	8934	1996-01-24	VYBER	VYBER	11131	1873	\N	\N	\N
2699832	8934	1996-08-07	VYBER	VYBER	14485	17723	\N	\N	\N
2699833	8934	1996-11-09	VYBER	VYBER	5029	21626	\N	\N	\N
2699834	8934	1996-06-10	VYBER	VYBER	11689	21793	\N	\N	\N
2699835	8934	1996-09-26	VYBER	VYBER	11954	19792	\N	\N	\N
2699836	8934	1996-03-10	VYBER	VYBER	17783	5050	\N	\N	\N
2699837	8934	1996-12-21	VYBER	VYBER	20716	11581	\N	\N	\N
2699838	8934	1996-11-30	VYBER	VYBER	3932	21534	\N	\N	\N
2699839	8934	1997-04-28	VYBER	VYBER	21654	13006	\N	\N	\N
2699840	8934	1998-09-09	VYBER	VYBER	21385	13232	\N	\N	\N
2699841	8934	1998-04-27	VYBER	VYBER	2610	26569	\N	\N	\N
2699843	8934	1998-07-10	VYBER	VYBER	23531	20794	\N	\N	\N
2699844	8934	1998-06-20	VYBER	VYBER	14999	19710	\N	\N	\N
2699845	8934	1998-10-19	VYBER	VYBER	10386	18121	\N	\N	\N
2699846	8934	1998-10-25	VYBER	VYBER	8917	9204	\N	\N	\N
2699850	8934	1998-08-12	VYBER	VYBER	5418	27578	\N	\N	\N
2699856	8934	1997-06-01	VYDAJ	VYBER	14700	12873	\N	\N	\N
2699859	8934	1994-01-11	VYDAJ	VYBER	9300	18867	\N	\N	\N
2699860	8934	1995-01-13	VYDAJ	VYBER	10200	22356	\N	\N	\N
2699863	8934	1998-01-24	VYDAJ	VYBER	6600	21909	\N	\N	\N
2699864	8934	1993-12-07	VYDAJ	VYBER	8100	52466	\N	\N	\N
2699865	8934	1994-12-07	VYDAJ	VYBER	6600	50184	\N	\N	\N
2699866	8934	1995-12-25	VYDAJ	VYBER	4200	28442	\N	\N	\N
2699867	8934	1996-12-11	VYDAJ	VYBER	7500	36397	\N	\N	\N
2699868	8934	1997-12-23	VYDAJ	VYBER	8100	30305	\N	\N	\N
2699869	8934	1998-12-05	VYDAJ	VYBER	7500	43625	\N	\N	\N
2699876	8934	1994-01-10	VYDAJ	VYBER	6000	28167	\N	\N	\N
2699877	8934	1994-01-28	VYDAJ	VYBER	4800	-2133	\N	\N	\N
2699878	8934	1994-01-04	VYDAJ	VYBER	6600	22549	\N	\N	\N
2699879	8934	1994-01-28	VYDAJ	VYBER	2400	2667	\N	\N	\N
2699880	8934	1994-01-09	VYDAJ	VYBER	1800	35667	\N	\N	\N
2699881	8934	1994-01-10	VYDAJ	VYBER	1500	34167	\N	\N	\N
2699882	8934	1995-01-23	VYDAJ	VYBER	7200	3756	\N	\N	\N
2699883	8934	1995-01-01	VYDAJ	VYBER	2100	23272	\N	\N	\N
2699884	8934	1995-01-22	VYDAJ	VYBER	4500	16356	\N	\N	\N
2699885	8934	1995-01-23	VYDAJ	VYBER	5400	10956	\N	\N	\N
2699886	8934	1995-01-28	VYDAJ	VYBER	2700	16056	\N	\N	\N
2699887	8934	1995-01-02	VYDAJ	VYBER	1800	21472	\N	\N	\N
2699888	8934	1996-01-05	VYDAJ	VYBER	6600	16104	\N	\N	\N
2699889	8934	1996-01-13	VYDAJ	VYBER	1800	6504	\N	\N	\N
2699890	8934	1996-01-05	VYDAJ	VYBER	7800	8304	\N	\N	\N
2699893	8934	1996-01-13	VYDAJ	VYBER	4500	2004	\N	\N	\N
2699894	8934	1997-01-30	VYDAJ	VYBER	2400	13538	\N	\N	\N
2699895	8934	1997-01-11	VYDAJ	VYBER	6900	7738	\N	\N	\N
2699896	8934	1997-01-30	VYDAJ	VYBER	8700	4838	\N	\N	\N
2699897	8934	1997-01-05	VYDAJ	VYBER	6300	14638	\N	\N	\N
2699898	8934	1997-01-16	VYDAJ	VYBER	3000	15938	\N	\N	\N
2699899	8934	1997-01-04	VYDAJ	VYBER	5700	6020	\N	\N	\N
2699900	8934	1998-01-07	VYDAJ	VYBER	3900	41509	\N	\N	\N
2699902	8934	1998-01-25	VYDAJ	VYBER	5100	16809	\N	\N	\N
2699903	8934	1998-01-28	VYDAJ	VYBER	6900	4809	\N	\N	\N
2699904	8934	1998-01-27	VYDAJ	VYBER	5100	11709	\N	\N	\N
2699905	8934	1998-01-20	VYDAJ	VYBER	6900	28509	\N	\N	\N
2699913	8934	1993-11-21	VYDAJ	VYBER	5100	46919	\N	\N	\N
2699914	8934	1994-07-08	VYDAJ	VYBER	1500	39986	\N	\N	\N
2699915	8934	1994-03-04	VYDAJ	VYBER	3600	24364	\N	\N	\N
2699916	8934	1994-11-23	VYDAJ	VYBER	6300	46129	\N	\N	\N
2699917	8934	1994-01-21	VYDAJ	VYBER	13800	5067	\N	\N	\N
2699918	8934	1995-08-10	VYDAJ	VYBER	4800	30861	\N	\N	\N
2699919	8934	1995-12-30	VYDAJ	VYBER	13800	7629	\N	\N	\N
2699920	8934	1995-01-16	VYDAJ	VYBER	1500	20856	\N	\N	\N
2699921	8934	1995-08-18	VYDAJ	VYBER	6000	24861	\N	\N	\N
2699922	8934	1995-11-19	VYDAJ	VYBER	10500	38475	\N	\N	\N
2699923	8934	1996-06-02	VYDAJ	VYBER	3900	11105	\N	\N	\N
2699924	8934	1996-09-29	VYDAJ	VYBER	9900	9892	\N	\N	\N
2699925	8934	1996-02-23	VYDAJ	VYBER	9000	7920	\N	\N	\N
2699926	8934	1996-02-21	VYDAJ	VYBER	5700	16920	\N	\N	\N
2699927	8934	1996-07-28	VYDAJ	VYBER	12600	17125	\N	\N	\N
2699928	8934	1997-09-14	VYDAJ	VYBER	9600	28540	\N	\N	\N
2699929	8934	1997-11-20	VYDAJ	VYBER	5400	31348	\N	\N	\N
2699930	8934	1997-02-15	VYDAJ	VYBER	6600	20630	\N	\N	\N
2699931	8934	1998-07-20	VYDAJ	VYBER	7800	12994	\N	\N	\N
2699932	8934	1998-04-09	VYDAJ	VYBER	14400	33479	\N	\N	\N
2699933	8934	1998-06-14	VYDAJ	VYBER	9300	34709	\N	\N	\N
2699934	8934	1998-08-15	VYDAJ	VYBER	2400	25178	\N	\N	\N
2699946	8934	1993-11-30	VYDAJ	VYBER	15	47289	SLUZBY	\N	\N
2699947	8934	1993-12-31	VYDAJ	VYBER	15	52875	SLUZBY	\N	\N
2699948	8934	1994-01-31	VYDAJ	VYBER	15	-2009	SLUZBY	\N	\N
2699949	8934	1994-02-28	VYDAJ	VYBER	15	26664	SLUZBY	\N	\N
2699950	8934	1994-03-31	VYDAJ	VYBER	15	31185	SLUZBY	\N	\N
2699951	8934	1994-04-30	VYDAJ	VYBER	15	634	SLUZBY	\N	\N
2699952	8934	1994-05-31	VYDAJ	VYBER	15	29237	SLUZBY	\N	\N
2699953	8934	1994-06-30	VYDAJ	VYBER	15	30768	SLUZBY	\N	\N
2699954	8934	1994-07-31	VYDAJ	VYBER	15	34365	SLUZBY	\N	\N
2699955	8934	1994-08-31	VYDAJ	VYBER	15	31827	SLUZBY	\N	\N
2699956	8934	1994-09-30	VYDAJ	VYBER	15	34561	SLUZBY	\N	\N
2699957	8934	1994-10-31	VYDAJ	VYBER	15	37511	SLUZBY	\N	\N
2699958	8934	1994-11-30	VYDAJ	VYBER	15	34407	SLUZBY	\N	\N
2699959	8934	1994-12-31	VYDAJ	VYBER	15	25372	SLUZBY	\N	\N
2699960	8934	1995-01-31	VYDAJ	VYBER	15	16209	SLUZBY	\N	\N
2699961	8934	1995-02-28	VYDAJ	VYBER	15	16017	SLUZBY	\N	\N
2699962	8934	1995-03-31	VYDAJ	VYBER	15	22930	SLUZBY	\N	\N
2699963	8934	1995-04-30	VYDAJ	VYBER	15	23101	SLUZBY	\N	\N
2699964	8934	1995-05-31	VYDAJ	VYBER	15	9889	SLUZBY	\N	\N
2699965	8934	1995-06-30	VYDAJ	VYBER	15	13292	SLUZBY	\N	\N
2699966	8934	1995-07-31	VYDAJ	VYBER	15	20743	SLUZBY	\N	\N
2699967	8934	1995-08-31	VYDAJ	VYBER	15	24208	SLUZBY	\N	\N
2699968	8934	1995-09-30	VYDAJ	VYBER	15	29820	SLUZBY	\N	\N
2699969	8934	1995-10-31	VYDAJ	VYBER	15	34057	SLUZBY	\N	\N
2699970	8934	1995-11-30	VYDAJ	VYBER	15	23465	SLUZBY	\N	\N
2699971	8934	1995-12-31	VYDAJ	VYBER	15	7786	SLUZBY	\N	\N
2699972	8934	1996-01-31	VYDAJ	VYBER	15	1912	SLUZBY	\N	\N
2699973	8934	1996-02-29	VYDAJ	VYBER	15	7924	SLUZBY	\N	\N
2699974	8934	1996-03-31	VYDAJ	VYBER	15	16781	SLUZBY	\N	\N
2699975	8934	1996-04-30	VYDAJ	VYBER	15	28488	SLUZBY	\N	\N
2699976	8934	1996-05-31	VYDAJ	VYBER	15	15005	SLUZBY	\N	\N
2699977	8934	1996-06-30	VYDAJ	VYBER	15	24542	SLUZBY	\N	\N
2699978	8934	1996-07-31	VYDAJ	VYBER	15	17290	SLUZBY	\N	\N
2699979	8934	1996-08-31	VYDAJ	VYBER	15	22328	SLUZBY	\N	\N
2699980	8934	1996-09-30	VYDAJ	VYBER	15	10001	SLUZBY	\N	\N
2699981	8934	1996-10-31	VYDAJ	VYBER	15	11737	SLUZBY	\N	\N
2699982	8934	1996-11-30	VYDAJ	VYBER	15	21520	SLUZBY	\N	\N
2699983	8934	1996-12-31	VYDAJ	VYBER	15	11720	SLUZBY	\N	\N
2699984	8934	1997-01-31	VYDAJ	VYBER	15	4912	SLUZBY	\N	\N
2699985	8934	1997-02-28	VYDAJ	VYBER	15	20699	SLUZBY	\N	\N
2699986	8934	1997-03-31	VYDAJ	VYBER	15	30742	SLUZBY	\N	\N
2699987	8934	1997-04-30	VYDAJ	VYBER	15	13154	SLUZBY	\N	\N
2699988	8934	1997-05-31	VYDAJ	VYBER	15	27573	SLUZBY	\N	\N
2699989	8934	1997-06-30	VYDAJ	VYBER	15	30446	SLUZBY	\N	\N
2699990	8934	1997-07-31	VYDAJ	VYBER	15	31820	SLUZBY	\N	\N
2699991	8934	1997-08-31	VYDAJ	VYBER	15	36622	SLUZBY	\N	\N
2699992	8934	1997-09-30	VYDAJ	VYBER	15	28701	SLUZBY	\N	\N
2699993	8934	1997-10-31	VYDAJ	VYBER	15	34530	SLUZBY	\N	\N
2699994	8934	1997-11-30	VYDAJ	VYBER	15	31528	SLUZBY	\N	\N
2699995	8934	1997-12-31	VYDAJ	VYBER	15	30491	SLUZBY	\N	\N
2699996	8934	1998-01-31	VYDAJ	VYBER	15	4987	SLUZBY	\N	\N
2699997	8934	1998-02-28	VYDAJ	VYBER	15	22686	SLUZBY	\N	\N
2699998	8934	1998-03-31	VYDAJ	VYBER	15	32961	SLUZBY	\N	\N
2699999	8934	1998-04-30	VYDAJ	VYBER	15	26728	SLUZBY	\N	\N
2700000	8934	1998-05-31	VYDAJ	VYBER	15	35932	SLUZBY	\N	\N
2700001	8934	1998-06-30	VYDAJ	VYBER	15	19907	SLUZBY	\N	\N
2700002	8934	1998-07-31	VYDAJ	VYBER	15	13078	SLUZBY	\N	\N
2700003	8934	1998-08-31	VYDAJ	VYBER	15	25299	SLUZBY	\N	\N
2700004	8934	1998-09-30	VYDAJ	VYBER	15	13289	SLUZBY	\N	\N
2700005	8934	1998-10-31	VYDAJ	VYBER	15	9290	SLUZBY	\N	\N
2700006	8934	1998-11-30	VYDAJ	VYBER	15	28748	SLUZBY	\N	\N
2700007	8934	1993-07-06	PRIJEM	VKLAD	2300	17718	\N	\N	\N
2700008	8934	1993-08-05	VYDAJ	VYBER	1900	30857	\N	\N	\N
2700009	8934	1993-09-04	VYDAJ	VYBER	3400	27686	\N	\N	\N
2700010	8934	1993-10-04	VYDAJ	VYBER	10100	32822	\N	\N	\N
2700011	8934	1993-11-03	VYDAJ	VYBER	11000	37101	\N	\N	\N
2700012	8934	1993-12-03	VYDAJ	VYBER	9100	38189	\N	\N	\N
2700013	8934	1994-01-02	VYDAJ	VYBER	800	29149	\N	\N	\N
2700014	8934	1994-02-01	PRIJEM	VKLAD	13600	11590	\N	\N	\N
2700015	8934	1994-03-03	PRIJEM	VKLAD	1300	27964	\N	\N	\N
2700016	8934	1994-04-02	VYDAJ	VYBER	2900	28285	\N	\N	\N
2700017	8934	1994-05-02	PRIJEM	VKLAD	13500	14134	\N	\N	\N
2700018	8934	1994-06-01	VYDAJ	VYBER	2700	26537	\N	\N	\N
2700019	8934	1994-07-01	VYDAJ	VYBER	4200	26568	\N	\N	\N
2700020	8934	1994-07-31	VYDAJ	VYBER	5900	34380	\N	\N	\N
2700021	8934	1994-08-30	VYDAJ	VYBER	5900	31561	\N	\N	\N
2700022	8934	1994-09-29	VYDAJ	VYBER	12300	34445	\N	\N	\N
2700023	8934	1994-10-29	VYDAJ	VYBER	12100	37379	\N	\N	\N
2700024	8934	1994-11-28	VYDAJ	VYBER	11900	34229	\N	\N	\N
2700025	8934	1994-12-28	VYDAJ	VYBER	2100	25062	\N	\N	\N
2700026	8934	1995-01-27	PRIJEM	VKLAD	15000	18756	\N	\N	\N
2700027	8934	1995-02-26	PRIJEM	VKLAD	9000	15975	\N	\N	\N
2700028	8934	1995-03-28	PRIJEM	VKLAD	5700	22737	\N	\N	\N
2700029	8934	1995-04-27	PRIJEM	VKLAD	7400	22989	\N	\N	\N
2700030	8934	1995-05-27	VYDAJ	VYBER	3700	34319	\N	\N	\N
2700031	8934	1995-06-26	PRIJEM	VKLAD	8500	16694	\N	\N	\N
2700032	8934	1995-07-26	PRIJEM	VKLAD	1100	20691	\N	\N	\N
2700033	8934	1995-08-25	VYDAJ	VYBER	800	24061	\N	\N	\N
2700034	8934	1995-09-24	VYDAJ	VYBER	6100	29595	\N	\N	\N
2700035	8934	1995-10-24	VYDAJ	VYBER	10900	33838	\N	\N	\N
2700036	8934	1995-11-23	VYDAJ	VYBER	4800	33675	\N	\N	\N
2700037	8934	1995-12-23	VYDAJ	VYBER	13200	32642	\N	\N	\N
2700038	8934	1996-01-22	PRIJEM	VKLAD	11000	13004	\N	\N	\N
2700039	8934	1996-02-21	PRIJEM	VKLAD	5800	22620	\N	\N	\N
2700040	8934	1996-03-22	PRIJEM	VKLAD	11700	16750	\N	\N	\N
2700041	8934	1996-04-21	VYDAJ	VYBER	3300	28399	\N	\N	\N
2700042	8934	1996-05-21	PRIJEM	VKLAD	9300	14934	\N	\N	\N
2700043	8934	1996-06-20	PRIJEM	VKLAD	2600	24393	\N	\N	\N
2700044	8934	1996-07-20	VYDAJ	VYBER	3700	29725	\N	\N	\N
2700045	8934	1996-08-19	PRIJEM	VKLAD	4500	22223	\N	\N	\N
2700046	8934	1996-09-18	VYDAJ	VYBER	5500	31746	\N	\N	\N
2700047	8934	1996-10-18	PRIJEM	VKLAD	1700	26619	\N	\N	\N
2700048	8934	1996-11-17	PRIJEM	VKLAD	3700	25326	\N	\N	\N
2700049	8934	1996-12-17	VYDAJ	VYBER	4100	32297	\N	\N	\N
2700050	8934	1997-01-16	PRIJEM	VKLAD	11200	18938	\N	\N	\N
2700051	8934	1997-02-15	PRIJEM	VKLAD	7400	27230	\N	\N	\N
2700052	8934	1997-03-17	VYDAJ	VYBER	5000	30617	\N	\N	\N
2700053	8934	1997-04-16	VYDAJ	VYBER	11000	34660	\N	\N	\N
2700054	8934	1997-05-16	VYDAJ	VYBER	600	27472	\N	\N	\N
2700055	8934	1997-06-15	VYDAJ	VYBER	5000	30250	\N	\N	\N
2700056	8934	1997-07-15	VYDAJ	VYBER	13700	31664	\N	\N	\N
2700057	8934	1997-08-14	VYDAJ	VYBER	10300	36438	\N	\N	\N
2700058	8934	1997-09-13	VYDAJ	VYBER	13400	38140	\N	\N	\N
2700059	8934	1997-10-13	VYDAJ	VYBER	9300	34319	\N	\N	\N
2700060	8934	1997-11-12	VYDAJ	VYBER	12700	36748	\N	\N	\N
2700061	8934	1997-12-12	VYDAJ	VYBER	15500	38405	\N	\N	\N
2700062	8934	1998-01-11	VYDAJ	VYBER	6100	35409	\N	\N	\N
2700063	8934	1998-02-10	PRIJEM	VKLAD	2700	22605	\N	\N	\N
2700064	8934	1998-03-12	VYDAJ	VYBER	4800	32804	\N	\N	\N
2700065	8934	1998-04-11	VYDAJ	VYBER	4300	29179	\N	\N	\N
2700066	8934	1998-05-11	VYDAJ	VYBER	5900	35746	\N	\N	\N
2700067	8934	1998-06-10	VYDAJ	VYBER	14300	44009	\N	\N	\N
2700068	8934	1998-07-10	PRIJEM	VKLAD	9500	44325	\N	\N	\N
2700069	8934	1998-08-09	PRIJEM	VKLAD	5000	32996	\N	\N	\N
2700070	8934	1998-09-08	VYDAJ	VYBER	5600	34617	\N	\N	\N
2700071	8934	1998-10-08	PRIJEM	VKLAD	300	28507	\N	\N	\N
2700072	8934	1998-11-07	PRIJEM	VKLAD	4400	28608	\N	\N	\N
2707297	8957	1993-11-13	PRIJEM	VKLAD	200	200	\N	\N	\N
2707300	8957	1993-12-12	PRIJEM	VKLAD	16041	69479	\N	\N	\N
2707302	8957	1993-11-18	PRIJEM	VKLAD	41445	41645	\N	\N	\N
2707306	8957	1993-12-27	PRIJEM	VKLAD	37514	119647	\N	\N	\N
2707312	8957	1993-11-22	PRIJEM	VKLAD	11621	53266	\N	\N	\N
2707314	8957	1993-12-18	PRIJEM	VKLAD	34854	82133	\N	\N	\N
2707315	8957	1994-02-02	PRIJEM	VKLAD	48668	46169	\N	\N	\N
2707316	8957	1994-08-18	PRIJEM	VKLAD	43428	107415	\N	\N	\N
2707317	8957	1994-10-17	PRIJEM	VKLAD	40443	125039	\N	\N	\N
2707318	8957	1994-07-07	PRIJEM	VKLAD	28665	45664	\N	\N	\N
2707319	8957	1994-09-10	PRIJEM	VKLAD	35916	84698	\N	\N	\N
2707320	8957	1994-02-05	PRIJEM	VKLAD	17995	64164	\N	\N	\N
2707321	8957	1994-05-25	PRIJEM	VKLAD	30616	48137	\N	\N	\N
2707322	8957	1994-07-01	PRIJEM	VKLAD	21827	40771	\N	\N	\N
2707323	8957	1994-08-07	PRIJEM	VKLAD	33831	119587	\N	\N	\N
2707324	8957	1994-08-02	PRIJEM	VKLAD	39360	85756	\N	\N	\N
2707325	8957	1994-09-19	PRIJEM	VKLAD	43993	114591	\N	\N	\N
2707326	8957	1994-09-25	PRIJEM	VKLAD	17104	74495	\N	\N	\N
2707327	8957	1994-10-13	PRIJEM	VKLAD	35318	84596	\N	\N	\N
2707328	8957	1994-11-07	PRIJEM	VKLAD	43646	122808	\N	\N	\N
2707329	8957	1994-08-01	PRIJEM	VKLAD	45703	46396	\N	\N	\N
2707330	8957	1994-08-22	PRIJEM	VKLAD	15662	86777	\N	\N	\N
2707331	8957	1996-02-10	PRIJEM	VKLAD	35184	57234	\N	\N	\N
2707332	8957	1997-01-26	PRIJEM	VKLAD	45274	97663	\N	\N	\N
2707333	8957	1997-10-19	PRIJEM	VKLAD	20609	76108	\N	\N	\N
2707334	8957	1997-04-24	PRIJEM	VKLAD	28377	64349	\N	\N	\N
2707335	8957	1997-10-21	PRIJEM	VKLAD	28608	104716	\N	\N	\N
2707336	8957	1997-10-27	PRIJEM	VKLAD	11005	83321	\N	\N	\N
2707337	8957	1997-07-13	PRIJEM	VKLAD	12989	33348	\N	\N	\N
2707338	8957	1997-05-29	PRIJEM	VKLAD	12056	83189	\N	\N	\N
2707339	8957	1997-04-28	PRIJEM	VKLAD	36972	138139	\N	\N	\N
2707340	8957	1997-04-27	PRIJEM	VKLAD	43618	101167	\N	\N	\N
2707341	8957	1997-08-13	PRIJEM	VKLAD	12471	67277	\N	\N	\N
2707342	8957	1997-08-08	PRIJEM	VKLAD	16046	54806	\N	\N	\N
2707343	8957	1997-11-20	PRIJEM	VKLAD	15799	129080	\N	\N	\N
2707344	8957	1997-08-26	PRIJEM	VKLAD	14288	71865	\N	\N	\N
2707345	8957	1997-11-07	PRIJEM	VKLAD	29622	113281	\N	\N	\N
2707346	8957	1997-01-21	PRIJEM	VKLAD	45467	52389	\N	\N	\N
2707347	8957	1997-12-04	PRIJEM	VKLAD	11162	77753	\N	\N	\N
2707348	8957	1998-04-05	PRIJEM	VKLAD	35130	68367	\N	\N	\N
2707349	8957	1998-07-23	PRIJEM	VKLAD	46639	131781	\N	\N	\N
2707350	8957	1998-05-18	PRIJEM	VKLAD	47359	144392	\N	\N	\N
2707351	8957	1998-03-19	PRIJEM	VKLAD	5549	15542	\N	\N	\N
2707352	8957	1998-06-11	PRIJEM	VKLAD	27199	70372	\N	\N	\N
2707353	8957	1998-07-01	PRIJEM	VKLAD	45967	108165	\N	\N	\N
2707354	8957	1998-05-24	PRIJEM	VKLAD	47679	125771	\N	\N	\N
2707355	8957	1998-07-15	PRIJEM	VKLAD	20777	128942	\N	\N	\N
2707356	8957	1998-12-09	PRIJEM	VKLAD	5387	61926	\N	\N	\N
2707357	8957	1998-04-24	PRIJEM	VKLAD	39901	96768	\N	\N	\N
2707358	8957	1998-07-27	PRIJEM	VKLAD	40237	119318	\N	\N	\N
2707439	8957	1994-07-22	VYBER	VYBER	15665	568	\N	\N	\N
2707440	8957	1994-01-21	VYBER	VYBER	19543	3670	\N	\N	\N
2707441	8957	1994-01-10	VYBER	VYBER	22056	41213	\N	\N	\N
2707442	8957	1994-07-15	VYBER	VYBER	17731	16233	\N	\N	\N
2707443	8957	1994-07-02	VYBER	VYBER	23772	16999	\N	\N	\N
2707444	8957	1994-02-27	VYBER	VYBER	11392	31272	\N	\N	\N
2707445	8957	1994-03-01	VYBER	VYBER	23744	7836	\N	\N	\N
2707446	8957	1995-06-12	VYBER	VYBER	17312	4224	\N	\N	\N
2707450	8957	1995-11-09	VYBER	VYBER	4793	22414	\N	\N	\N
2707452	8957	1995-07-26	VYBER	VYBER	9939	7190	\N	\N	\N
2707455	8957	1995-05-19	VYBER	VYBER	10343	9920	\N	\N	\N
2707456	8957	1996-12-29	VYBER	VYBER	6142	24509	\N	\N	\N
2707457	8957	1997-07-03	VYBER	VYBER	9290	20359	\N	\N	\N
2707458	8957	1998-03-09	VYBER	VYBER	16458	9993	\N	\N	\N
2707462	8957	1996-06-24	VYDAJ	VYBER	12000	31698	\N	\N	\N
2707463	8957	1997-06-10	VYDAJ	VYBER	49800	29265	\N	\N	\N
2707464	8957	1998-06-03	VYDAJ	VYBER	40500	43173	\N	\N	\N
2707466	8957	1994-12-28	VYDAJ	VYBER	2100	43455	\N	\N	\N
2707467	8957	1995-12-14	VYDAJ	VYBER	6000	11741	\N	\N	\N
2707468	8957	1996-12-19	VYDAJ	VYBER	6300	19751	\N	\N	\N
2707469	8957	1997-12-16	VYDAJ	VYBER	8400	69353	\N	\N	\N
2707470	8957	1998-12-04	VYDAJ	VYBER	5400	56539	\N	\N	\N
2707477	8957	1994-01-21	VYDAJ	VYBER	6300	-2630	\N	\N	\N
2707478	8957	1994-01-18	VYDAJ	VYBER	6300	23213	\N	\N	\N
2707480	8957	1994-01-10	VYDAJ	VYBER	4500	36713	\N	\N	\N
2707481	8957	1994-01-11	VYDAJ	VYBER	3000	33713	\N	\N	\N
2707482	8957	1994-01-08	VYDAJ	VYBER	3600	63269	\N	\N	\N
2707483	8957	1995-01-04	VYDAJ	VYBER	3000	40941	\N	\N	\N
2707484	8957	1995-01-08	VYDAJ	VYBER	6600	28241	\N	\N	\N
2707485	8957	1995-01-29	VYDAJ	VYBER	8700	14741	\N	\N	\N
2707486	8957	1995-01-21	VYDAJ	VYBER	3300	24941	\N	\N	\N
2707487	8957	1995-01-30	VYDAJ	VYBER	3900	10841	\N	\N	\N
2707488	8957	1995-01-28	VYDAJ	VYBER	1500	23441	\N	\N	\N
2707489	8957	1996-01-16	VYDAJ	VYBER	5100	8010	\N	\N	\N
2707492	8957	1996-01-10	VYDAJ	VYBER	8400	13110	\N	\N	\N
2707493	8957	1996-01-05	VYDAJ	VYBER	2700	21510	\N	\N	\N
2707494	8957	1996-01-18	VYDAJ	VYBER	3600	4410	\N	\N	\N
2707495	8957	1997-01-06	VYDAJ	VYBER	6000	17122	\N	\N	\N
2707496	8957	1997-01-10	VYDAJ	VYBER	3900	11422	\N	\N	\N
2707497	8957	1997-01-10	VYDAJ	VYBER	1800	15322	\N	\N	\N
2707498	8957	1997-01-26	VYDAJ	VYBER	7200	90463	\N	\N	\N
2707499	8957	1997-01-18	VYDAJ	VYBER	4500	6922	\N	\N	\N
2707500	8957	1997-01-02	VYDAJ	VYBER	1500	23122	\N	\N	\N
2707501	8957	1998-01-14	VYDAJ	VYBER	2700	35319	\N	\N	\N
2707502	8957	1998-01-14	VYDAJ	VYBER	4200	38019	\N	\N	\N
2707503	8957	1998-01-30	VYDAJ	VYBER	8100	21319	\N	\N	\N
2707504	8957	1998-01-16	VYDAJ	VYBER	2100	13719	\N	\N	\N
2707505	8957	1998-01-15	VYDAJ	VYBER	1800	15819	\N	\N	\N
2707506	8957	1998-01-15	VYDAJ	VYBER	8100	17619	\N	\N	\N
2707512	8957	1993-12-28	VYDAJ	VYBER	9300	66447	\N	\N	\N
2707515	8957	1994-08-23	VYDAJ	VYBER	14700	72077	\N	\N	\N
2707516	8957	1994-06-19	VYDAJ	VYBER	4800	33032	\N	\N	\N
2707517	8957	1994-09-16	VYDAJ	VYBER	14100	70598	\N	\N	\N
2707518	8957	1994-05-14	VYDAJ	VYBER	6300	17521	\N	\N	\N
2707519	8957	1994-06-26	VYDAJ	VYBER	14400	18632	\N	\N	\N
2707520	8957	1995-05-15	VYDAJ	VYBER	5700	20263	\N	\N	\N
2707521	8957	1995-11-11	VYDAJ	VYBER	4500	17914	\N	\N	\N
2707522	8957	1995-08-20	VYDAJ	VYBER	8700	7989	\N	\N	\N
2707523	8957	1995-12-07	VYDAJ	VYBER	10500	17741	\N	\N	\N
2707524	8957	1995-02-28	VYDAJ	VYBER	5100	17036	\N	\N	\N
2707525	8957	1996-08-09	VYDAJ	VYBER	6000	22704	\N	\N	\N
2707526	8957	1996-12-11	VYDAJ	VYBER	5400	26051	\N	\N	\N
2707527	8957	1996-03-20	VYDAJ	VYBER	5100	44634	\N	\N	\N
2707528	8957	1996-11-09	VYDAJ	VYBER	11700	29612	\N	\N	\N
2707529	8957	1996-04-26	VYDAJ	VYBER	3000	39733	\N	\N	\N
2707530	8957	1996-11-19	VYDAJ	VYBER	10200	19412	\N	\N	\N
2707531	8957	1996-08-05	VYDAJ	VYBER	12600	28704	\N	\N	\N
2707532	8957	1996-09-08	VYDAJ	VYBER	11400	21255	\N	\N	\N
2707533	8957	1997-08-26	VYDAJ	VYBER	1500	70365	\N	\N	\N
2707534	8957	1997-09-10	VYDAJ	VYBER	6900	63811	\N	\N	\N
2707535	8957	1997-06-08	VYDAJ	VYBER	4500	79065	\N	\N	\N
2707536	8957	1997-04-01	VYDAJ	VYBER	11700	35972	\N	\N	\N
2707537	8957	1997-06-13	VYDAJ	VYBER	11700	17565	\N	\N	\N
2707538	8957	1997-02-08	VYDAJ	VYBER	8700	57700	\N	\N	\N
2707539	8957	1998-02-08	VYDAJ	VYBER	5400	16164	\N	\N	\N
2707540	8957	1998-01-13	VYDAJ	VYBER	14100	42219	\N	\N	\N
2707542	8957	1998-03-06	VYDAJ	VYBER	3000	26451	\N	\N	\N
2707543	8957	1998-01-15	VYDAJ	VYBER	9600	25719	\N	\N	\N
2707544	8957	1998-09-29	VYDAJ	VYBER	11400	55171	\N	\N	\N
2707557	8957	1993-12-31	VYDAJ	VYBER	15	66869	SLUZBY	\N	\N
2707558	8957	1994-01-31	VYDAJ	VYBER	15	-2499	SLUZBY	\N	\N
2707559	8957	1994-02-28	VYDAJ	VYBER	15	31584	SLUZBY	\N	\N
2707560	8957	1994-03-31	VYDAJ	VYBER	15	18159	SLUZBY	\N	\N
2707561	8957	1994-04-30	VYDAJ	VYBER	15	20421	SLUZBY	\N	\N
2707562	8957	1994-05-31	VYDAJ	VYBER	15	48332	SLUZBY	\N	\N
2707563	8957	1994-06-30	VYDAJ	VYBER	15	18944	SLUZBY	\N	\N
2707564	8957	1994-07-31	VYDAJ	VYBER	15	694	SLUZBY	\N	\N
2707565	8957	1994-08-31	VYDAJ	VYBER	15	72682	SLUZBY	\N	\N
2707566	8957	1994-09-30	VYDAJ	VYBER	15	75078	SLUZBY	\N	\N
2707567	8957	1994-10-31	VYDAJ	VYBER	15	79162	SLUZBY	\N	\N
2707568	8957	1994-11-30	VYDAJ	VYBER	15	65655	SLUZBY	\N	\N
2707569	8957	1994-12-31	VYDAJ	VYBER	15	43941	SLUZBY	\N	\N
2707570	8957	1995-01-31	VYDAJ	VYBER	15	11014	SLUZBY	\N	\N
2707571	8957	1995-02-28	VYDAJ	VYBER	15	22136	SLUZBY	\N	\N
2707572	8957	1995-03-31	VYDAJ	VYBER	15	24383	SLUZBY	\N	\N
2707573	8957	1995-04-30	VYDAJ	VYBER	15	25263	SLUZBY	\N	\N
2707574	8957	1995-05-31	VYDAJ	VYBER	15	10036	SLUZBY	\N	\N
2707575	8957	1995-06-30	VYDAJ	VYBER	15	4229	SLUZBY	\N	\N
2707576	8957	1995-07-31	VYDAJ	VYBER	15	7189	SLUZBY	\N	\N
2707577	8957	1995-08-31	VYDAJ	VYBER	15	8015	SLUZBY	\N	\N
2707578	8957	1995-09-30	VYDAJ	VYBER	15	19846	SLUZBY	\N	\N
2707579	8957	1995-10-31	VYDAJ	VYBER	15	24407	SLUZBY	\N	\N
2707580	8957	1995-11-30	VYDAJ	VYBER	15	18041	SLUZBY	\N	\N
2707581	8957	1995-12-31	VYDAJ	VYBER	15	11810	SLUZBY	\N	\N
2707582	8957	1996-01-31	VYDAJ	VYBER	15	4450	SLUZBY	\N	\N
2707583	8957	1996-02-29	VYDAJ	VYBER	15	57534	SLUZBY	\N	\N
2707584	8957	1996-03-31	VYDAJ	VYBER	15	45033	SLUZBY	\N	\N
2707585	8957	1996-04-30	VYDAJ	VYBER	15	40054	SLUZBY	\N	\N
2707586	8957	1996-05-31	VYDAJ	VYBER	15	43698	SLUZBY	\N	\N
2707587	8957	1996-06-30	VYDAJ	VYBER	15	40318	SLUZBY	\N	\N
2707588	8957	1996-07-31	VYDAJ	VYBER	15	41304	SLUZBY	\N	\N
2707589	8957	1996-08-31	VYDAJ	VYBER	15	32655	SLUZBY	\N	\N
2707590	8957	1996-09-30	VYDAJ	VYBER	15	33781	SLUZBY	\N	\N
2707591	8957	1996-10-31	VYDAJ	VYBER	15	41312	SLUZBY	\N	\N
2707592	8957	1996-11-30	VYDAJ	VYBER	15	31451	SLUZBY	\N	\N
2707593	8957	1996-12-31	VYDAJ	VYBER	15	24622	SLUZBY	\N	\N
2707594	8957	1997-01-31	VYDAJ	VYBER	15	66400	SLUZBY	\N	\N
2707595	8957	1997-02-28	VYDAJ	VYBER	15	52886	SLUZBY	\N	\N
2707596	8957	1997-03-31	VYDAJ	VYBER	15	47672	SLUZBY	\N	\N
2707597	8957	1997-04-30	VYDAJ	VYBER	15	92133	SLUZBY	\N	\N
2707598	8957	1997-05-31	VYDAJ	VYBER	15	83565	SLUZBY	\N	\N
2707599	8957	1997-06-30	VYDAJ	VYBER	15	29649	SLUZBY	\N	\N
2707600	8957	1997-07-31	VYDAJ	VYBER	15	38760	SLUZBY	\N	\N
2707601	8957	1997-08-31	VYDAJ	VYBER	15	70711	SLUZBY	\N	\N
2707602	8957	1997-09-30	VYDAJ	VYBER	15	55499	SLUZBY	\N	\N
2707603	8957	1997-10-31	VYDAJ	VYBER	15	83659	SLUZBY	\N	\N
2707604	8957	1997-11-30	VYDAJ	VYBER	15	66591	SLUZBY	\N	\N
2707605	8957	1997-12-31	VYDAJ	VYBER	15	56319	SLUZBY	\N	\N
2707606	8957	1998-01-31	VYDAJ	VYBER	15	21564	SLUZBY	\N	\N
2707607	8957	1998-02-28	VYDAJ	VYBER	15	29451	SLUZBY	\N	\N
2707608	8957	1998-03-31	VYDAJ	VYBER	15	33237	SLUZBY	\N	\N
2707609	8957	1998-04-30	VYDAJ	VYBER	15	97033	SLUZBY	\N	\N
2707610	8957	1998-05-31	VYDAJ	VYBER	15	83673	SLUZBY	\N	\N
2707611	8957	1998-06-30	VYDAJ	VYBER	15	62198	SLUZBY	\N	\N
2707612	8957	1998-07-31	VYDAJ	VYBER	15	89048	SLUZBY	\N	\N
2707613	8957	1998-08-31	VYDAJ	VYBER	15	74971	SLUZBY	\N	\N
2707614	8957	1998-09-30	VYDAJ	VYBER	15	55439	SLUZBY	\N	\N
2707615	8957	1998-10-31	VYDAJ	VYBER	15	59031	SLUZBY	\N	\N
2707616	8957	1998-11-30	VYDAJ	VYBER	15	61939	SLUZBY	\N	\N
2707617	8957	1993-12-13	VYDAJ	VYBER	22200	47279	\N	\N	\N
2707618	8957	1993-12-27	VYDAJ	VYBER	43900	75747	\N	\N	\N
2707619	8957	1994-01-12	VYDAJ	VYBER	4200	29513	\N	\N	\N
2707620	8957	1994-02-11	VYDAJ	VYBER	21500	42664	\N	\N	\N
2707621	8957	1994-03-13	PRIJEM	VKLAD	10200	18036	\N	\N	\N
2707622	8957	1994-04-12	PRIJEM	VKLAD	2200	20359	\N	\N	\N
2707623	8957	1994-05-12	PRIJEM	VKLAD	3400	23821	\N	\N	\N
2707624	8957	1994-06-11	VYDAJ	VYBER	10500	37832	\N	\N	\N
2707625	8957	1994-07-11	VYDAJ	VYBER	11700	33964	\N	\N	\N
2707626	8957	1994-08-07	VYDAJ	VYBER	17000	102587	\N	\N	\N
2707627	8957	1994-08-10	VYDAJ	VYBER	38600	63987	\N	\N	\N
2707628	8957	1994-08-18	VYDAJ	VYBER	36300	71115	\N	\N	\N
2707629	8957	1994-09-09	VYDAJ	VYBER	23900	48782	\N	\N	\N
2707630	8957	1994-09-19	VYDAJ	VYBER	57200	57391	\N	\N	\N
2707631	8957	1994-10-09	VYDAJ	VYBER	25800	49278	\N	\N	\N
2707632	8957	1994-10-17	VYDAJ	VYBER	46500	78539	\N	\N	\N
2707633	8957	1994-11-07	VYDAJ	VYBER	20500	102308	\N	\N	\N
2707634	8957	1994-11-08	VYDAJ	VYBER	37200	65108	\N	\N	\N
2707635	8957	1994-12-08	VYDAJ	VYBER	20100	45555	\N	\N	\N
2707636	8957	1995-01-07	VYDAJ	VYBER	6100	34841	\N	\N	\N
2707637	8957	1995-02-06	PRIJEM	VKLAD	11100	22114	\N	\N	\N
2707638	8957	1995-03-08	PRIJEM	VKLAD	7300	24336	\N	\N	\N
2707639	8957	1995-04-07	PRIJEM	VKLAD	800	25183	\N	\N	\N
2707640	8957	1995-05-07	PRIJEM	VKLAD	700	25963	\N	\N	\N
2707641	8957	1995-06-06	PRIJEM	VKLAD	11500	21536	\N	\N	\N
2707642	8957	1995-07-06	PRIJEM	VKLAD	12900	17129	\N	\N	\N
2707643	8957	1995-08-05	PRIJEM	VKLAD	9500	16689	\N	\N	\N
2707644	8957	1995-09-04	PRIJEM	VKLAD	11800	19815	\N	\N	\N
2707645	8957	1995-10-04	PRIJEM	VKLAD	4500	24346	\N	\N	\N
2707646	8957	1995-11-03	PRIJEM	VKLAD	2800	27207	\N	\N	\N
2707647	8957	1995-12-03	PRIJEM	VKLAD	10200	28241	\N	\N	\N
2707648	8957	1996-01-02	PRIJEM	VKLAD	12400	24210	\N	\N	\N
2707649	8957	1996-02-01	PRIJEM	VKLAD	17600	22050	\N	\N	\N
2707650	8957	1996-03-02	VYDAJ	VYBER	7800	49734	\N	\N	\N
2707651	8957	1996-04-01	VYDAJ	VYBER	2300	42733	\N	\N	\N
2707652	8957	1996-05-01	PRIJEM	VKLAD	600	40654	\N	\N	\N
2707653	8957	1996-05-31	PRIJEM	VKLAD	2900	43554	\N	\N	\N
2707654	8957	1996-06-30	PRIJEM	VKLAD	8300	40165	\N	\N	\N
2707655	8957	1996-07-30	PRIJEM	VKLAD	700	41018	\N	\N	\N
2707656	8957	1996-08-29	PRIJEM	VKLAD	9800	32504	\N	\N	\N
2707657	8957	1996-09-28	PRIJEM	VKLAD	12300	33555	\N	\N	\N
2707658	8957	1996-10-28	PRIJEM	VKLAD	7300	41081	\N	\N	\N
2707659	8957	1996-11-27	PRIJEM	VKLAD	11900	31312	\N	\N	\N
2707660	8957	1996-12-27	PRIJEM	VKLAD	10900	30651	\N	\N	\N
2707661	8957	1997-01-26	VYDAJ	VYBER	24300	66163	\N	\N	\N
2707662	8957	1997-02-25	VYDAJ	VYBER	5300	52400	\N	\N	\N
2707663	8957	1997-03-27	VYDAJ	VYBER	5600	47286	\N	\N	\N
2707664	8957	1997-04-26	VYDAJ	VYBER	6800	57549	\N	\N	\N
2707665	8957	1997-04-28	VYDAJ	VYBER	46400	91739	\N	\N	\N
2707666	8957	1997-05-26	VYDAJ	VYBER	21000	71133	\N	\N	\N
2707667	8957	1997-06-25	PRIJEM	VKLAD	11800	29365	\N	\N	\N
2707668	8957	1997-07-25	PRIJEM	VKLAD	5200	38548	\N	\N	\N
2707669	8957	1997-08-24	VYDAJ	VYBER	9700	57577	\N	\N	\N
2707670	8957	1997-09-23	VYDAJ	VYBER	8600	55211	\N	\N	\N
2707671	8957	1997-10-23	VYDAJ	VYBER	32400	72316	\N	\N	\N
2707672	8957	1997-11-20	VYDAJ	VYBER	42000	87080	\N	\N	\N
2707673	8957	1997-11-22	VYDAJ	VYBER	20900	66180	\N	\N	\N
2707674	8957	1997-12-22	VYDAJ	VYBER	13500	55853	\N	\N	\N
2707675	8957	1998-01-21	PRIJEM	VKLAD	15700	29419	\N	\N	\N
2707676	8957	1998-02-20	PRIJEM	VKLAD	13200	29364	\N	\N	\N
2707677	8957	1998-03-22	PRIJEM	VKLAD	17600	33142	\N	\N	\N
2707678	8957	1998-04-21	VYDAJ	VYBER	11500	56867	\N	\N	\N
2707679	8957	1998-05-18	VYDAJ	VYBER	28200	116192	\N	\N	\N
2707680	8957	1998-05-21	VYDAJ	VYBER	38100	78092	\N	\N	\N
2707681	8957	1998-05-24	VYDAJ	VYBER	42600	83171	\N	\N	\N
2707682	8957	1998-06-20	VYDAJ	VYBER	8700	61672	\N	\N	\N
2707683	8957	1998-07-15	VYDAJ	VYBER	17000	111942	\N	\N	\N
2707684	8957	1998-07-20	VYDAJ	VYBER	26800	85142	\N	\N	\N
2707685	8957	1998-07-23	VYDAJ	VYBER	52700	79081	\N	\N	\N
2707686	8957	1998-07-27	VYDAJ	VYBER	30900	88418	\N	\N	\N
2707687	8957	1998-08-19	VYDAJ	VYBER	14400	74648	\N	\N	\N
2707688	8957	1998-09-18	VYDAJ	VYBER	8400	66571	\N	\N	\N
2707689	8957	1998-10-18	PRIJEM	VKLAD	3400	58839	\N	\N	\N
2707690	8957	1998-11-17	PRIJEM	VKLAD	2500	61531	\N	\N	\N
2712224	8972	1996-05-21	PRIJEM	VKLAD	800	800	\N	\N	\N
2712230	8972	1996-06-05	PRIJEM	VKLAD	31637	32437	\N	\N	\N
2712231	8972	1996-07-05	PRIJEM	VKLAD	21091	50714	\N	\N	\N
2712232	8972	1996-08-05	PRIJEM	VKLAD	21091	56188	\N	\N	\N
2712233	8972	1996-09-05	PRIJEM	VKLAD	21091	60093	\N	\N	\N
2712234	8972	1996-10-05	PRIJEM	VKLAD	21091	59307	\N	\N	\N
2712235	8972	1996-11-05	PRIJEM	VKLAD	21091	57325	\N	\N	\N
2712236	8972	1996-12-05	PRIJEM	VKLAD	31637	63659	\N	\N	\N
2712237	8972	1997-01-05	PRIJEM	VKLAD	21091	59841	\N	\N	\N
2712238	8972	1997-02-05	PRIJEM	VKLAD	21091	50328	\N	\N	\N
2712239	8972	1997-03-05	PRIJEM	VKLAD	21091	47903	\N	\N	\N
2712240	8972	1997-04-05	PRIJEM	VKLAD	21091	46157	\N	\N	\N
2712241	8972	1997-05-05	PRIJEM	VKLAD	21091	51869	\N	\N	\N
2712242	8972	1997-06-05	PRIJEM	VKLAD	31637	63152	\N	\N	\N
2712243	8972	1997-07-05	PRIJEM	VKLAD	21091	61041	\N	\N	\N
2712244	8972	1997-08-05	PRIJEM	VKLAD	21091	63857	\N	\N	\N
2712245	8972	1997-09-05	PRIJEM	VKLAD	21091	59288	\N	\N	\N
2712246	8972	1997-10-05	PRIJEM	VKLAD	21091	56340	\N	\N	\N
2712247	8972	1997-11-05	PRIJEM	VKLAD	21091	60598	\N	\N	\N
2712248	8972	1997-12-05	PRIJEM	VKLAD	31637	69518	\N	\N	\N
2712249	8972	1998-01-05	PRIJEM	VKLAD	21091	60935	\N	\N	\N
2712250	8972	1998-02-05	PRIJEM	VKLAD	21091	51214	\N	\N	\N
2712251	8972	1998-03-05	PRIJEM	VKLAD	21091	58711	\N	\N	\N
2712252	8972	1998-04-05	PRIJEM	VKLAD	21091	58009	\N	\N	\N
2712253	8972	1998-05-05	PRIJEM	VKLAD	21091	55548	\N	\N	\N
2712254	8972	1998-06-05	PRIJEM	VKLAD	31637	64816	\N	\N	\N
2712255	8972	1998-07-05	PRIJEM	VKLAD	21091	39451	\N	\N	\N
2712256	8972	1998-08-05	PRIJEM	VKLAD	21091	51492	\N	\N	\N
2712257	8972	1998-09-05	PRIJEM	VKLAD	21091	50952	\N	\N	\N
2712258	8972	1998-10-05	PRIJEM	VKLAD	21091	47961	\N	\N	\N
2712259	8972	1998-11-05	PRIJEM	VKLAD	21091	45709	\N	\N	\N
2712260	8972	1998-12-05	PRIJEM	VKLAD	31637	61838	\N	\N	\N
2712270	8972	1996-10-13	VYDAJ	PREVOD NA UCET	4719	51832	SIPO	EF	61556398
2712271	8972	1996-11-13	VYDAJ	PREVOD NA UCET	4719	50550	SIPO	EF	61556398
2712272	8972	1996-12-13	VYDAJ	PREVOD NA UCET	4719	56184	SIPO	EF	61556398
2712273	8972	1997-01-13	VYDAJ	PREVOD NA UCET	4719	52128	SIPO	EF	61556398
2712274	8972	1997-02-13	VYDAJ	PREVOD NA UCET	4719	42615	SIPO	EF	61556398
2712275	8972	1997-03-13	VYDAJ	PREVOD NA UCET	4719	34550	SIPO	EF	61556398
2712276	8972	1997-04-13	VYDAJ	PREVOD NA UCET	4719	38444	SIPO	EF	61556398
2712277	8972	1997-05-13	VYDAJ	PREVOD NA UCET	4719	44156	SIPO	EF	61556398
2712278	8972	1997-06-13	VYDAJ	PREVOD NA UCET	4719	50639	SIPO	EF	61556398
2712279	8972	1997-07-13	VYDAJ	PREVOD NA UCET	4719	53328	SIPO	EF	61556398
2712280	8972	1997-08-13	VYDAJ	PREVOD NA UCET	4719	51944	SIPO	EF	61556398
2712281	8972	1997-09-13	VYDAJ	PREVOD NA UCET	4719	40675	SIPO	EF	61556398
2712282	8972	1997-10-13	VYDAJ	PREVOD NA UCET	4719	39227	SIPO	EF	61556398
2712283	8972	1997-11-13	VYDAJ	PREVOD NA UCET	4719	37585	SIPO	EF	61556398
2712284	8972	1997-12-13	VYDAJ	PREVOD NA UCET	4719	42405	SIPO	EF	61556398
2712285	8972	1998-01-13	VYDAJ	PREVOD NA UCET	4719	41522	SIPO	EF	61556398
2712286	8972	1998-02-13	VYDAJ	PREVOD NA UCET	4719	37401	SIPO	EF	61556398
2712287	8972	1998-03-13	VYDAJ	PREVOD NA UCET	4719	37998	SIPO	EF	61556398
2712288	8972	1998-04-13	VYDAJ	PREVOD NA UCET	4719	34196	SIPO	EF	61556398
2712289	8972	1998-05-13	VYDAJ	PREVOD NA UCET	4719	32935	SIPO	EF	61556398
2712290	8972	1998-06-13	VYDAJ	PREVOD NA UCET	4719	40403	SIPO	EF	61556398
2712291	8972	1998-07-13	VYDAJ	PREVOD NA UCET	4719	30238	SIPO	EF	61556398
2712292	8972	1998-08-13	VYDAJ	PREVOD NA UCET	4719	29679	SIPO	EF	61556398
2712293	8972	1998-09-13	VYDAJ	PREVOD NA UCET	4719	26679	SIPO	EF	61556398
2712294	8972	1998-10-13	VYDAJ	PREVOD NA UCET	4719	24468	SIPO	EF	61556398
2712295	8972	1998-11-13	VYDAJ	PREVOD NA UCET	4719	29996	SIPO	EF	61556398
2712296	8972	1998-12-13	VYDAJ	PREVOD NA UCET	4719	35525	SIPO	EF	61556398
2712306	8972	1996-10-10	VYDAJ	PREVOD NA UCET	2056	56551	 	YZ	5877823
2712307	8972	1996-11-10	VYDAJ	PREVOD NA UCET	2056	55269	 	YZ	5877823
2712308	8972	1996-12-10	VYDAJ	PREVOD NA UCET	2056	60903	 	YZ	5877823
2712309	8972	1997-01-10	VYDAJ	PREVOD NA UCET	2056	57785	 	YZ	5877823
2712310	8972	1997-02-10	VYDAJ	PREVOD NA UCET	2056	48272	 	YZ	5877823
2712311	8972	1997-03-10	VYDAJ	PREVOD NA UCET	2056	40207	 	YZ	5877823
2712312	8972	1997-04-10	VYDAJ	PREVOD NA UCET	2056	44101	 	YZ	5877823
2712313	8972	1997-05-10	VYDAJ	PREVOD NA UCET	2056	49813	 	YZ	5877823
2712314	8972	1997-06-10	VYDAJ	PREVOD NA UCET	2056	56296	 	YZ	5877823
2712315	8972	1997-07-10	VYDAJ	PREVOD NA UCET	2056	58985	 	YZ	5877823
2712316	8972	1997-08-10	VYDAJ	PREVOD NA UCET	2056	61801	 	YZ	5877823
2712317	8972	1997-09-10	VYDAJ	PREVOD NA UCET	2056	57232	 	YZ	5877823
2712318	8972	1997-10-10	VYDAJ	PREVOD NA UCET	2056	54284	 	YZ	5877823
2712319	8972	1997-11-10	VYDAJ	PREVOD NA UCET	2056	58542	 	YZ	5877823
2712320	8972	1997-12-10	VYDAJ	PREVOD NA UCET	2056	67462	 	YZ	5877823
2712321	8972	1998-01-10	VYDAJ	PREVOD NA UCET	2056	58879	 	YZ	5877823
2712322	8972	1998-02-10	VYDAJ	PREVOD NA UCET	2056	43058	 	YZ	5877823
2712323	8972	1998-03-10	VYDAJ	PREVOD NA UCET	2056	56655	 	YZ	5877823
2712324	8972	1998-04-10	VYDAJ	PREVOD NA UCET	2056	55953	 	YZ	5877823
2712325	8972	1998-05-10	VYDAJ	PREVOD NA UCET	2056	53492	 	YZ	5877823
2712326	8972	1998-06-10	VYDAJ	PREVOD NA UCET	2056	62760	 	YZ	5877823
2712327	8972	1998-07-10	VYDAJ	PREVOD NA UCET	2056	35895	 	YZ	5877823
2712328	8972	1998-08-10	VYDAJ	PREVOD NA UCET	2056	35336	 	YZ	5877823
2712329	8972	1998-09-10	VYDAJ	PREVOD NA UCET	2056	33896	 	YZ	5877823
2712330	8972	1998-10-10	VYDAJ	PREVOD NA UCET	2056	30125	 	YZ	5877823
2712331	8972	1998-11-10	VYDAJ	PREVOD NA UCET	2056	35653	 	YZ	5877823
2712332	8972	1998-12-10	VYDAJ	PREVOD NA UCET	2056	41182	 	YZ	5877823
2712342	8972	1996-10-08	VYDAJ	VYBER	700	58607	\N	\N	0
2712343	8972	1996-11-17	VYDAJ	VYBER	700	32650	\N	\N	0
2712344	8972	1996-12-07	VYDAJ	VYBER	700	62959	\N	\N	0
2712345	8972	1997-01-12	VYDAJ	PREVOD NA UCET	938	56847	UVER	CD	75504857
2712346	8972	1997-02-12	VYDAJ	PREVOD NA UCET	938	47334	UVER	CD	75504857
2712347	8972	1997-03-12	VYDAJ	PREVOD NA UCET	938	39269	UVER	CD	75504857
2712348	8972	1997-04-12	VYDAJ	PREVOD NA UCET	938	43163	UVER	CD	75504857
2712349	8972	1997-05-12	VYDAJ	PREVOD NA UCET	938	48875	UVER	CD	75504857
2712350	8972	1997-06-12	VYDAJ	PREVOD NA UCET	938	55358	UVER	CD	75504857
2712351	8972	1997-07-12	VYDAJ	PREVOD NA UCET	938	58047	UVER	CD	75504857
2712352	8972	1997-08-12	VYDAJ	PREVOD NA UCET	938	60863	UVER	CD	75504857
2712353	8972	1997-09-12	VYDAJ	PREVOD NA UCET	938	56294	UVER	CD	75504857
2712354	8972	1997-10-12	VYDAJ	PREVOD NA UCET	938	53346	UVER	CD	75504857
2712355	8972	1997-11-12	VYDAJ	PREVOD NA UCET	938	57604	UVER	CD	75504857
2712356	8972	1997-12-12	VYDAJ	PREVOD NA UCET	938	66524	UVER	CD	75504857
2712357	8972	1998-01-12	VYDAJ	PREVOD NA UCET	938	46241	UVER	CD	75504857
2712358	8972	1998-02-12	VYDAJ	PREVOD NA UCET	938	42120	UVER	CD	75504857
2712359	8972	1998-03-12	VYDAJ	PREVOD NA UCET	938	42717	UVER	CD	75504857
2712360	8972	1998-04-12	VYDAJ	PREVOD NA UCET	938	38915	UVER	CD	75504857
2712361	8972	1998-05-12	VYDAJ	PREVOD NA UCET	938	37654	UVER	CD	75504857
2712362	8972	1998-06-12	VYDAJ	PREVOD NA UCET	938	45122	UVER	CD	75504857
2712363	8972	1998-07-12	VYDAJ	PREVOD NA UCET	938	34957	UVER	CD	75504857
2712364	8972	1998-08-12	VYDAJ	PREVOD NA UCET	938	34398	UVER	CD	75504857
2712365	8972	1998-09-12	VYDAJ	PREVOD NA UCET	938	32958	UVER	CD	75504857
2712366	8972	1998-10-12	VYDAJ	PREVOD NA UCET	938	29187	UVER	CD	75504857
2712367	8972	1998-11-12	VYDAJ	PREVOD NA UCET	938	34715	UVER	CD	75504857
2712368	8972	1998-12-12	VYDAJ	PREVOD NA UCET	938	40244	UVER	CD	75504857
2712370	8972	1997-06-09	VYDAJ	VYBER	4800	58352	\N	\N	\N
2712371	8972	1998-06-17	VYDAJ	VYBER	22240	18163	\N	\N	\N
2712373	8972	1997-01-25	VYDAJ	VYBER	2880	28948	\N	\N	\N
2712374	8972	1998-01-23	VYDAJ	VYBER	11680	29842	\N	\N	\N
2712375	8972	1996-12-03	VYDAJ	VYBER	960	32023	\N	\N	\N
2712376	8972	1997-12-27	VYDAJ	VYBER	2880	39525	\N	\N	\N
2712377	8972	1998-12-17	VYDAJ	VYBER	1120	34405	\N	\N	\N
2712383	8972	1997-08-13	VYDAJ	VYBER	4200	56663	\N	\N	\N
2712384	8972	1997-09-01	VYDAJ	VYBER	2280	38197	\N	\N	\N
2712385	8972	1997-09-22	VYDAJ	VYBER	5760	34915	\N	\N	\N
2712386	8972	1997-03-09	VYDAJ	VYBER	5640	42263	\N	\N	\N
2712387	8972	1998-03-15	VYDAJ	VYBER	1320	36678	\N	\N	\N
2712388	8972	1998-12-19	VYDAJ	VYBER	5040	29365	\N	\N	\N
2712389	8972	1998-09-12	VYDAJ	VYBER	1560	31398	\N	\N	\N
2712390	8972	1998-10-09	VYDAJ	VYBER	3480	32181	\N	\N	\N
2712401	8972	1996-10-31	VYDAJ	VYBER	15	36234	SLUZBY	\N	\N
2712402	8972	1996-11-30	VYDAJ	VYBER	15	32983	SLUZBY	\N	\N
2712403	8972	1996-12-31	VYDAJ	VYBER	15	38750	SLUZBY	\N	\N
2712404	8972	1997-01-31	VYDAJ	VYBER	15	29237	SLUZBY	\N	\N
2712405	8972	1997-02-28	VYDAJ	VYBER	15	26812	SLUZBY	\N	\N
2712406	8972	1997-03-31	VYDAJ	VYBER	15	25066	SLUZBY	\N	\N
2712407	8972	1997-04-30	VYDAJ	VYBER	15	30778	SLUZBY	\N	\N
2712408	8972	1997-05-31	VYDAJ	VYBER	15	31515	SLUZBY	\N	\N
2712409	8972	1997-06-30	VYDAJ	VYBER	15	39950	SLUZBY	\N	\N
2712410	8972	1997-07-31	VYDAJ	VYBER	15	42766	SLUZBY	\N	\N
2712411	8972	1997-08-31	VYDAJ	VYBER	15	40477	SLUZBY	\N	\N
2712412	8972	1997-09-30	VYDAJ	VYBER	15	35249	SLUZBY	\N	\N
2712413	8972	1997-10-31	VYDAJ	VYBER	15	39507	SLUZBY	\N	\N
2712414	8972	1997-11-30	VYDAJ	VYBER	15	37882	SLUZBY	\N	\N
2712415	8972	1997-12-31	VYDAJ	VYBER	15	39844	SLUZBY	\N	\N
2712416	8972	1998-01-31	VYDAJ	VYBER	15	30123	SLUZBY	\N	\N
2712417	8972	1998-02-28	VYDAJ	VYBER	15	37620	SLUZBY	\N	\N
2712418	8972	1998-03-31	VYDAJ	VYBER	15	36918	SLUZBY	\N	\N
2712419	8972	1998-04-30	VYDAJ	VYBER	15	34457	SLUZBY	\N	\N
2712420	8972	1998-05-31	VYDAJ	VYBER	15	33180	SLUZBY	\N	\N
2712421	8972	1998-06-30	VYDAJ	VYBER	15	18360	SLUZBY	\N	\N
2712422	8972	1998-07-31	VYDAJ	VYBER	15	30401	SLUZBY	\N	\N
2712423	8972	1998-08-31	VYDAJ	VYBER	15	29861	SLUZBY	\N	\N
2712424	8972	1998-09-30	VYDAJ	VYBER	15	26870	SLUZBY	\N	\N
2712425	8972	1998-10-31	VYDAJ	VYBER	15	24618	SLUZBY	\N	\N
2712426	8972	1998-11-30	VYDAJ	VYBER	15	30201	SLUZBY	\N	\N
2712427	8972	1996-06-20	VYDAJ	VYBER	2900	29537	\N	\N	\N
2712428	8972	1996-07-20	VYDAJ	VYBER	15800	34914	\N	\N	\N
2712429	8972	1996-08-19	VYDAJ	VYBER	17400	38788	\N	\N	\N
2712430	8972	1996-09-18	VYDAJ	VYBER	22100	37993	\N	\N	\N
2712431	8972	1996-10-18	VYDAJ	VYBER	15900	35932	\N	\N	\N
2712432	8972	1996-11-17	VYDAJ	VYBER	17200	33350	\N	\N	\N
2712433	8972	1996-12-17	VYDAJ	VYBER	17800	38384	\N	\N	\N
2712434	8972	1997-01-16	VYDAJ	VYBER	20300	31828	\N	\N	\N
2712435	8972	1997-02-15	VYDAJ	VYBER	16000	26615	\N	\N	\N
2712436	8972	1997-03-17	VYDAJ	VYBER	9700	24850	\N	\N	\N
2712437	8972	1997-04-16	VYDAJ	VYBER	7900	30544	\N	\N	\N
2712438	8972	1997-05-16	VYDAJ	VYBER	12900	31256	\N	\N	\N
2712439	8972	1997-06-15	VYDAJ	VYBER	11000	39639	\N	\N	\N
2712440	8972	1997-07-15	VYDAJ	VYBER	10900	42428	\N	\N	\N
2712441	8972	1997-08-14	VYDAJ	VYBER	11800	40144	\N	\N	\N
2712442	8972	1997-09-13	VYDAJ	VYBER	10900	45394	\N	\N	\N
2712443	8972	1997-10-13	VYDAJ	VYBER	9400	43946	\N	\N	\N
2712444	8972	1997-11-12	VYDAJ	VYBER	15300	42304	\N	\N	\N
2712445	8972	1997-12-12	VYDAJ	VYBER	19400	47124	\N	\N	\N
2712446	8972	1998-01-11	VYDAJ	VYBER	11700	47179	\N	\N	\N
2712447	8972	1998-02-10	VYDAJ	VYBER	6100	45114	\N	\N	\N
2712448	8972	1998-03-12	VYDAJ	VYBER	13000	43655	\N	\N	\N
2712449	8972	1998-04-11	VYDAJ	VYBER	16100	39853	\N	\N	\N
2712450	8972	1998-05-11	VYDAJ	VYBER	14900	38592	\N	\N	\N
2712451	8972	1998-06-10	VYDAJ	VYBER	16700	46060	\N	\N	\N
2712452	8972	1998-07-10	VYDAJ	VYBER	1500	37951	\N	\N	\N
2712453	8972	1998-08-09	VYDAJ	VYBER	14100	37392	\N	\N	\N
2712454	8972	1998-09-08	VYDAJ	VYBER	15000	35952	\N	\N	\N
2712455	8972	1998-10-08	VYDAJ	VYBER	12300	35661	\N	\N	\N
2712456	8972	1998-11-07	VYDAJ	VYBER	8000	37709	\N	\N	\N
2712457	8972	1998-12-07	VYDAJ	VYBER	18600	43238	\N	\N	\N
2715590	8982	1993-09-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2715591	8982	1993-11-02	PRIJEM	VKLAD	32409	128602	\N	\N	\N
2715595	8982	1993-11-23	PRIJEM	VKLAD	27151	130353	\N	\N	\N
2715596	8982	1993-10-12	PRIJEM	VKLAD	33294	34394	\N	\N	\N
2715598	8982	1993-10-17	PRIJEM	VKLAD	36989	71383	\N	\N	\N
2715599	8982	1993-12-22	PRIJEM	VKLAD	11482	65200	\N	\N	\N
2715604	8982	1993-10-27	PRIJEM	VKLAD	49115	95898	\N	\N	\N
2715609	8982	1993-12-15	PRIJEM	VKLAD	5119	56118	\N	\N	\N
2715614	8982	1993-11-23	PRIJEM	VKLAD	22861	153214	\N	\N	\N
2715616	8982	1994-02-14	PRIJEM	VKLAD	5519	18187	\N	\N	\N
2715617	8982	1994-07-25	PRIJEM	VKLAD	24016	49622	\N	\N	\N
2715618	8982	1994-08-03	PRIJEM	VKLAD	13623	63399	\N	\N	\N
2715619	8982	1994-09-11	PRIJEM	VKLAD	15763	99658	\N	\N	\N
2715620	8982	1994-12-26	PRIJEM	VKLAD	18647	46163	\N	\N	\N
2715621	8982	1994-03-10	PRIJEM	VKLAD	9672	31864	\N	\N	\N
2715622	8982	1994-09-09	PRIJEM	VKLAD	42072	83895	\N	\N	\N
2715623	8982	1995-09-01	PRIJEM	VKLAD	8910	89264	\N	\N	\N
2715624	8982	1995-08-10	PRIJEM	VKLAD	39684	81283	\N	\N	\N
2715625	8982	1995-04-09	PRIJEM	VKLAD	32249	61930	\N	\N	\N
2715626	8982	1995-08-19	PRIJEM	VKLAD	38210	93063	\N	\N	\N
2715627	8982	1995-11-27	PRIJEM	VKLAD	5211	46385	\N	\N	\N
2715628	8982	1995-02-17	PRIJEM	VKLAD	30871	48223	\N	\N	\N
2715629	8982	1995-04-12	PRIJEM	VKLAD	38231	100161	\N	\N	\N
2715630	8982	1995-07-11	PRIJEM	VKLAD	49727	115620	\N	\N	\N
2715631	8982	1995-05-03	PRIJEM	VKLAD	42983	82059	\N	\N	\N
2715632	8982	1995-07-03	PRIJEM	VKLAD	47956	73479	\N	\N	\N
2715633	8982	1995-05-11	PRIJEM	VKLAD	31203	100062	\N	\N	\N
2715634	8982	1995-09-15	PRIJEM	VKLAD	24310	107244	\N	\N	\N
2715635	8982	1995-04-13	PRIJEM	VKLAD	19768	113599	\N	\N	\N
2715636	8982	1996-09-16	PRIJEM	VKLAD	36635	78445	\N	\N	\N
2715637	8982	1996-03-19	PRIJEM	VKLAD	17720	63808	\N	\N	\N
2715638	8982	1996-01-04	PRIJEM	VKLAD	12429	45349	\N	\N	\N
2715639	8982	1996-12-04	PRIJEM	VKLAD	31744	81101	\N	\N	\N
2715640	8982	1996-10-11	PRIJEM	VKLAD	20536	98237	\N	\N	\N
2715641	8982	1996-03-24	PRIJEM	VKLAD	31786	95594	\N	\N	\N
2715642	8982	1996-10-05	PRIJEM	VKLAD	39570	118401	\N	\N	\N
2715643	8982	1996-05-24	PRIJEM	VKLAD	10983	63904	\N	\N	\N
2715644	8982	1996-01-07	PRIJEM	VKLAD	13382	58731	\N	\N	\N
2715645	8982	1996-07-19	PRIJEM	VKLAD	9625	48921	\N	\N	\N
2715646	8982	1996-04-20	PRIJEM	VKLAD	40202	106393	\N	\N	\N
2715647	8982	1996-03-10	PRIJEM	VKLAD	17419	51918	\N	\N	\N
2715648	8982	1997-05-18	PRIJEM	VKLAD	37962	147082	\N	\N	\N
2715649	8982	1997-05-12	PRIJEM	VKLAD	48055	145850	\N	\N	\N
2715650	8982	1997-06-01	PRIJEM	VKLAD	34664	96969	\N	\N	\N
2715651	8982	1997-03-12	PRIJEM	VKLAD	33602	78208	\N	\N	\N
2715652	8982	1997-04-05	PRIJEM	VKLAD	41625	113926	\N	\N	\N
2715653	8982	1997-01-20	PRIJEM	VKLAD	24634	54015	\N	\N	\N
2715654	8982	1997-06-18	PRIJEM	VKLAD	36433	102872	\N	\N	\N
2715655	8982	1997-01-28	PRIJEM	VKLAD	27592	75307	\N	\N	\N
2715656	8982	1997-05-08	PRIJEM	VKLAD	15182	97795	\N	\N	\N
2715657	8982	1997-04-16	PRIJEM	VKLAD	35427	110923	\N	\N	\N
2715658	8982	1997-05-04	PRIJEM	VKLAD	32542	110513	\N	\N	\N
2715659	8982	1997-08-02	PRIJEM	VKLAD	28299	77304	\N	\N	\N
2715660	8982	1997-07-09	PRIJEM	VKLAD	28091	91076	\N	\N	\N
2715661	8982	1997-11-25	PRIJEM	VKLAD	30535	85526	\N	\N	\N
2715662	8982	1997-06-27	PRIJEM	VKLAD	23892	126764	\N	\N	\N
2715663	8982	1997-09-08	PRIJEM	VKLAD	43830	127986	\N	\N	\N
2715664	8982	1997-05-29	PRIJEM	VKLAD	18322	123804	\N	\N	\N
2715665	8982	1997-08-09	PRIJEM	VKLAD	36699	111703	\N	\N	\N
2715666	8982	1998-09-02	PRIJEM	VKLAD	21251	87844	\N	\N	\N
2715667	8982	1998-10-09	PRIJEM	VKLAD	26608	98739	\N	\N	\N
2715668	8982	1998-11-18	PRIJEM	VKLAD	45955	130167	\N	\N	\N
2715669	8982	1998-12-08	PRIJEM	VKLAD	27827	127580	\N	\N	\N
2715670	8982	1998-07-12	PRIJEM	VKLAD	46929	128922	\N	\N	\N
2715671	8982	1998-03-24	PRIJEM	VKLAD	36618	90333	\N	\N	\N
2715672	8982	1998-08-10	PRIJEM	VKLAD	36251	121940	\N	\N	\N
2715673	8982	1998-05-01	PRIJEM	VKLAD	32298	82316	\N	\N	\N
2715674	8982	1998-12-21	PRIJEM	VKLAD	13386	126866	\N	\N	\N
2715675	8982	1998-07-05	PRIJEM	VKLAD	15670	81993	\N	\N	\N
2715676	8982	1998-07-30	PRIJEM	VKLAD	36200	145374	\N	\N	\N
2715677	8982	1998-12-23	PRIJEM	VKLAD	18170	145036	\N	\N	\N
2715678	8982	1998-01-01	PRIJEM	VKLAD	33231	105867	\N	\N	\N
2715679	8982	1998-07-21	PRIJEM	VKLAD	32252	109174	\N	\N	\N
2715691	8982	1993-12-10	VYDAJ	VYBER	7300	50999	\N	\N	0
2715692	8982	1994-01-09	VYDAJ	VYBER	6700	26012	\N	\N	0
2715693	8982	1994-02-04	VYDAJ	VYBER	5600	12668	\N	\N	0
2715694	8982	1994-03-14	VYDAJ	VYBER	5500	26364	\N	\N	0
2715695	8982	1994-04-10	VYDAJ	VYBER	5400	20543	\N	\N	0
2715696	8982	1994-05-16	VYDAJ	VYBER	5900	15521	\N	\N	0
2715697	8982	1994-06-05	VYDAJ	VYBER	7000	16237	\N	\N	0
2715698	8982	1994-07-02	VYDAJ	VYBER	4800	19206	\N	\N	0
2715699	8982	1994-08-10	VYDAJ	VYBER	6700	56699	\N	\N	0
2715700	8982	1994-09-15	VYDAJ	VYBER	6400	93258	\N	\N	0
2715701	8982	1994-10-12	VYDAJ	PREVOD NA UCET	6330	43941	UVER	OP	77285653
2715702	8982	1994-11-12	VYDAJ	PREVOD NA UCET	6330	29995	UVER	OP	77285653
2715703	8982	1994-12-12	VYDAJ	PREVOD NA UCET	6330	22616	UVER	OP	77285653
2715704	8982	1995-01-12	VYDAJ	PREVOD NA UCET	6330	17300	UVER	OP	77285653
2715705	8982	1995-02-12	VYDAJ	PREVOD NA UCET	6330	17352	UVER	OP	77285653
2715706	8982	1995-03-12	VYDAJ	PREVOD NA UCET	6330	26843	UVER	OP	77285653
2715707	8982	1995-04-12	VYDAJ	PREVOD NA UCET	6330	93831	UVER	OP	77285653
2715708	8982	1995-05-12	VYDAJ	PREVOD NA UCET	6330	93732	UVER	OP	77285653
2715709	8982	1995-06-12	VYDAJ	PREVOD NA UCET	6330	44580	UVER	OP	77285653
2715710	8982	1995-07-12	VYDAJ	PREVOD NA UCET	6330	67990	UVER	OP	77285653
2715711	8982	1995-08-12	VYDAJ	PREVOD NA UCET	6330	74953	UVER	OP	77285653
2715712	8982	1995-09-12	VYDAJ	PREVOD NA UCET	6330	82934	UVER	OP	77285653
2715713	8982	1995-10-12	VYDAJ	PREVOD NA UCET	6330	51620	UVER	OP	77285653
2715714	8982	1995-11-12	VYDAJ	PREVOD NA UCET	6330	40474	UVER	OP	77285653
2715715	8982	1995-12-12	VYDAJ	PREVOD NA UCET	6330	35277	UVER	OP	77285653
2715716	8982	1996-01-12	VYDAJ	PREVOD NA UCET	6330	35601	UVER	OP	77285653
2715717	8982	1996-02-12	VYDAJ	PREVOD NA UCET	6330	34304	UVER	OP	77285653
2715718	8982	1996-03-12	VYDAJ	PREVOD NA UCET	6330	45588	UVER	OP	77285653
2715719	8982	1996-04-12	VYDAJ	PREVOD NA UCET	6330	89691	UVER	OP	77285653
2715720	8982	1996-05-12	VYDAJ	PREVOD NA UCET	6330	63421	UVER	OP	77285653
2715721	8982	1996-06-12	VYDAJ	PREVOD NA UCET	6330	40861	UVER	OP	77285653
2715722	8982	1996-07-12	VYDAJ	PREVOD NA UCET	6330	39296	UVER	OP	77285653
2715723	8982	1996-08-12	VYDAJ	PREVOD NA UCET	6330	43791	UVER	OP	77285653
2715724	8982	1996-09-12	VYDAJ	PREVOD NA UCET	6330	41810	UVER	OP	77285653
2715725	8982	1996-10-12	VYDAJ	PREVOD NA UCET	6330	91907	UVER	OP	77285653
2715726	8982	1996-11-12	VYDAJ	PREVOD NA UCET	6330	53739	UVER	OP	77285653
2715727	8982	1996-12-12	VYDAJ	PREVOD NA UCET	6330	55538	UVER	OP	77285653
2715728	8982	1997-01-12	VYDAJ	PREVOD NA UCET	6330	29381	UVER	OP	77285653
2715729	8982	1997-02-12	VYDAJ	PREVOD NA UCET	6330	50936	UVER	OP	77285653
2715730	8982	1997-03-12	VYDAJ	PREVOD NA UCET	6330	71878	UVER	OP	77285653
2715731	8982	1997-04-12	VYDAJ	PREVOD NA UCET	6330	75496	UVER	OP	77285653
2715732	8982	1997-05-12	VYDAJ	PREVOD NA UCET	6330	109120	UVER	OP	77285653
2715733	8982	1997-06-12	VYDAJ	PREVOD NA UCET	6330	66439	UVER	OP	77285653
2715734	8982	1997-07-12	VYDAJ	PREVOD NA UCET	6330	48706	UVER	OP	77285653
2715735	8982	1997-08-12	VYDAJ	PREVOD NA UCET	6330	105373	UVER	OP	77285653
2715736	8982	1997-09-12	VYDAJ	PREVOD NA UCET	6330	85856	UVER	OP	77285653
2715737	8982	1997-10-12	VYDAJ	PREVOD NA UCET	6330	66692	UVER	OP	77285653
2715738	8982	1997-11-07	VYDAJ	VYBER	5800	63503	\N	\N	0
2715739	8982	1997-12-18	VYDAJ	VYBER	5800	72178	\N	\N	0
2715740	8982	1998-01-08	VYDAJ	VYBER	7700	72167	\N	\N	0
2715741	8982	1998-02-21	VYDAJ	VYBER	5600	36492	\N	\N	0
2715742	8982	1998-03-07	VYDAJ	VYBER	5400	53715	\N	\N	0
2715743	8982	1998-04-05	VYDAJ	VYBER	7400	69022	\N	\N	0
2715744	8982	1998-05-13	VYDAJ	VYBER	6300	76316	\N	\N	0
2715745	8982	1998-06-04	VYDAJ	VYBER	7600	56772	\N	\N	0
2715746	8982	1998-07-16	VYDAJ	VYBER	5100	76922	\N	\N	0
2715747	8982	1998-08-07	VYDAJ	VYBER	6700	85689	\N	\N	0
2715748	8982	1998-09-11	VYDAJ	VYBER	6800	81044	\N	\N	0
2715749	8982	1998-10-13	VYDAJ	VYBER	5900	92839	\N	\N	0
2715750	8982	1998-11-11	VYDAJ	VYBER	4800	84212	\N	\N	0
2715751	8982	1998-12-15	VYDAJ	VYBER	6300	113480	\N	\N	0
2715754	8982	1994-10-12	VYBER	VYBER	3445	50272	\N	\N	\N
2715758	8982	1994-10-09	VYBER	VYBER	8552	53717	\N	\N	\N
2715759	8982	1994-05-11	VYBER	VYBER	4636	21421	\N	\N	\N
2715762	8982	1995-12-25	VYBER	VYBER	4836	32641	\N	\N	\N
2715763	8982	1995-08-27	VYBER	VYBER	13213	79850	\N	\N	\N
2715764	8982	1995-04-27	VYBER	VYBER	9080	38719	\N	\N	\N
2715765	8982	1995-05-25	VYBER	VYBER	3629	62103	\N	\N	\N
2715771	8982	1995-07-03	VYBER	VYBER	7586	65893	\N	\N	\N
2715772	8982	1995-01-04	VYBER	VYBER	11669	34730	\N	\N	\N
2715773	8982	1996-11-30	VYBER	VYBER	4823	49371	\N	\N	\N
2715775	8982	1996-04-25	VYBER	VYBER	14457	91936	\N	\N	\N
2715778	8982	1996-12-08	VYBER	VYBER	15332	65769	\N	\N	\N
2715782	8982	1996-05-01	VYBER	VYBER	22885	69751	\N	\N	\N
2715785	8982	1996-10-25	VYBER	VYBER	10399	81508	\N	\N	\N
2715786	8982	1997-07-09	VYBER	VYBER	10644	61101	\N	\N	\N
2715787	8982	1997-08-26	VYBER	VYBER	4778	100595	\N	\N	\N
2715788	8982	1997-04-21	VYBER	VYBER	19313	91610	\N	\N	\N
2715789	8982	1997-11-19	VYBER	VYBER	8512	54991	\N	\N	\N
2715790	8982	1997-02-09	VYBER	VYBER	5313	57267	\N	\N	\N
2715791	8982	1997-07-10	VYBER	VYBER	6065	55036	\N	\N	\N
2715792	8982	1997-04-23	VYBER	VYBER	14203	77407	\N	\N	\N
2715793	8982	1997-07-09	VYBER	VYBER	19331	71745	\N	\N	\N
2715794	8982	1997-02-19	VYBER	VYBER	15914	35022	\N	\N	\N
2715795	8982	1998-09-21	VYBER	VYBER	16089	64955	\N	\N	\N
2715796	8982	1998-05-18	VYBER	VYBER	21076	49540	\N	\N	\N
2715797	8982	1998-02-12	VYBER	VYBER	15336	42092	\N	\N	\N
2715798	8982	1998-12-05	VYBER	VYBER	2583	99753	\N	\N	\N
2715799	8982	1998-04-29	VYBER	VYBER	19476	49546	\N	\N	\N
2715802	8982	1995-06-22	VYDAJ	VYBER	15600	25280	\N	\N	\N
2715804	8982	1997-06-06	VYDAJ	VYBER	10800	72769	\N	\N	\N
2715811	8982	1998-01-10	VYDAJ	VYBER	18900	53267	\N	\N	\N
2715812	8982	1993-12-15	VYDAJ	VYBER	2400	53718	\N	\N	\N
2715814	8982	1995-12-02	VYDAJ	VYBER	5100	41607	\N	\N	\N
2715815	8982	1996-12-22	VYDAJ	VYBER	4200	51338	\N	\N	\N
2715816	8982	1997-12-10	VYDAJ	VYBER	2400	77978	\N	\N	\N
2715817	8982	1998-12-30	VYDAJ	VYBER	3900	91236	\N	\N	\N
2715824	8982	1994-01-05	VYDAJ	VYBER	3000	32712	\N	\N	\N
2715826	8982	1994-01-10	VYDAJ	VYBER	6600	19412	\N	\N	\N
2715827	8982	1994-01-04	VYDAJ	VYBER	6900	35712	\N	\N	\N
2715829	8982	1994-01-27	VYDAJ	VYBER	2100	18112	\N	\N	\N
2715830	8982	1995-01-19	VYDAJ	VYBER	2100	23500	\N	\N	\N
2715831	8982	1995-01-05	VYDAJ	VYBER	7800	26930	\N	\N	\N
2715835	8982	1995-01-08	VYDAJ	VYBER	3300	23630	\N	\N	\N
2715836	8982	1996-01-10	VYDAJ	VYBER	1800	48531	\N	\N	\N
2715837	8982	1996-01-11	VYDAJ	VYBER	6600	41931	\N	\N	\N
2715838	8982	1996-01-14	VYDAJ	VYBER	6900	31101	\N	\N	\N
2715839	8982	1996-01-22	VYDAJ	VYBER	1500	29601	\N	\N	\N
2715840	8982	1996-01-07	VYDAJ	VYBER	8400	50331	\N	\N	\N
2715843	8982	1997-01-01	VYDAJ	VYBER	4800	33711	\N	\N	\N
2715844	8982	1997-01-20	VYDAJ	VYBER	6300	47715	\N	\N	\N
2715845	8982	1997-01-29	VYDAJ	VYBER	2400	72907	\N	\N	\N
2715847	8982	1997-01-11	VYDAJ	VYBER	6600	35711	\N	\N	\N
2715848	8982	1998-01-11	VYDAJ	VYBER	2400	50867	\N	\N	\N
2715849	8982	1998-01-04	VYDAJ	VYBER	2400	79867	\N	\N	\N
2715850	8982	1998-01-03	VYDAJ	VYBER	8400	82267	\N	\N	\N
2715851	8982	1998-01-03	VYDAJ	VYBER	1800	90667	\N	\N	\N
2715852	8982	1998-01-26	VYDAJ	VYBER	6600	37667	\N	\N	\N
2715853	8982	1998-01-20	VYDAJ	VYBER	6600	44267	\N	\N	\N
2715855	8982	1993-12-22	VYDAJ	VYBER	8700	56500	\N	\N	\N
2715861	8982	1994-11-22	VYDAJ	VYBER	3900	28695	\N	\N	\N
2715864	8982	1994-08-18	VYDAJ	VYBER	4800	51899	\N	\N	\N
2715866	8982	1995-06-04	VYDAJ	VYBER	11700	50910	\N	\N	\N
2715867	8982	1995-07-26	VYDAJ	VYBER	5700	41190	\N	\N	\N
2715868	8982	1995-03-05	VYDAJ	VYBER	8100	33173	\N	\N	\N
2715869	8982	1995-05-05	VYDAJ	VYBER	13200	68859	\N	\N	\N
2715870	8982	1995-09-26	VYDAJ	VYBER	14400	57444	\N	\N	\N
2715871	8982	1995-07-16	VYDAJ	VYBER	11100	56890	\N	\N	\N
2715872	8982	1996-11-01	VYDAJ	VYBER	13200	68969	\N	\N	\N
2715873	8982	1996-10-07	VYDAJ	VYBER	12900	105501	\N	\N	\N
2715874	8982	1996-06-07	VYDAJ	VYBER	14700	49591	\N	\N	\N
2715875	8982	1997-09-25	VYDAJ	VYBER	3600	82256	\N	\N	\N
2715876	8982	1997-05-28	VYDAJ	VYBER	4200	105482	\N	\N	\N
2715877	8982	1997-01-01	VYDAJ	VYBER	13200	38511	\N	\N	\N
2715878	8982	1997-05-20	VYDAJ	VYBER	2400	109682	\N	\N	\N
2715879	8982	1998-12-13	VYDAJ	VYBER	7800	119780	\N	\N	\N
2715880	8982	1998-03-31	VYDAJ	VYBER	7500	80222	\N	\N	\N
2715881	8982	1998-05-13	VYDAJ	VYBER	5700	70616	\N	\N	\N
2715882	8982	1998-03-26	VYDAJ	VYBER	3000	87333	\N	\N	\N
2715883	8982	1998-12-01	VYDAJ	VYBER	6000	102336	\N	\N	\N
2715895	8982	1993-11-30	VYDAJ	VYBER	15	58299	SLUZBY	\N	\N
2715896	8982	1993-12-31	VYDAJ	VYBER	15	42612	SLUZBY	\N	\N
2715897	8982	1994-01-31	VYDAJ	VYBER	15	18268	SLUZBY	\N	\N
2715898	8982	1994-02-28	VYDAJ	VYBER	15	22192	SLUZBY	\N	\N
2715899	8982	1994-03-31	VYDAJ	VYBER	15	25943	SLUZBY	\N	\N
2715900	8982	1994-04-30	VYDAJ	VYBER	15	26057	SLUZBY	\N	\N
2715901	8982	1994-05-31	VYDAJ	VYBER	15	23237	SLUZBY	\N	\N
2715902	8982	1994-06-30	VYDAJ	VYBER	15	24006	SLUZBY	\N	\N
2715903	8982	1994-07-31	VYDAJ	VYBER	15	49776	SLUZBY	\N	\N
2715904	8982	1994-08-31	VYDAJ	VYBER	15	41823	SLUZBY	\N	\N
2715905	8982	1994-09-30	VYDAJ	VYBER	15	62269	SLUZBY	\N	\N
2715906	8982	1994-10-31	VYDAJ	VYBER	15	36325	SLUZBY	\N	\N
2715907	8982	1994-11-30	VYDAJ	VYBER	15	28946	SLUZBY	\N	\N
2715908	8982	1994-12-31	VYDAJ	VYBER	15	46399	SLUZBY	\N	\N
2715909	8982	1995-01-31	VYDAJ	VYBER	15	23682	SLUZBY	\N	\N
2715910	8982	1995-02-28	VYDAJ	VYBER	15	41273	SLUZBY	\N	\N
2715911	8982	1995-03-31	VYDAJ	VYBER	15	29681	SLUZBY	\N	\N
2715912	8982	1995-04-30	VYDAJ	VYBER	15	39076	SLUZBY	\N	\N
2715913	8982	1995-05-31	VYDAJ	VYBER	15	62610	SLUZBY	\N	\N
2715914	8982	1995-06-30	VYDAJ	VYBER	15	25523	SLUZBY	\N	\N
2715915	8982	1995-07-31	VYDAJ	VYBER	15	41599	SLUZBY	\N	\N
2715916	8982	1995-08-31	VYDAJ	VYBER	15	80354	SLUZBY	\N	\N
2715917	8982	1995-09-30	VYDAJ	VYBER	15	57950	SLUZBY	\N	\N
2715918	8982	1995-10-31	VYDAJ	VYBER	15	46804	SLUZBY	\N	\N
2715919	8982	1995-11-30	VYDAJ	VYBER	15	46707	SLUZBY	\N	\N
2715920	8982	1995-12-31	VYDAJ	VYBER	15	32920	SLUZBY	\N	\N
2715921	8982	1996-01-31	VYDAJ	VYBER	15	29835	SLUZBY	\N	\N
2715922	8982	1996-02-29	VYDAJ	VYBER	15	34499	SLUZBY	\N	\N
2715923	8982	1996-03-31	VYDAJ	VYBER	15	96021	SLUZBY	\N	\N
2715924	8982	1996-04-30	VYDAJ	VYBER	15	92636	SLUZBY	\N	\N
2715925	8982	1996-05-31	VYDAJ	VYBER	15	64291	SLUZBY	\N	\N
2715926	8982	1996-06-30	VYDAJ	VYBER	15	41126	SLUZBY	\N	\N
2715927	8982	1996-07-31	VYDAJ	VYBER	15	49221	SLUZBY	\N	\N
2715928	8982	1996-08-31	VYDAJ	VYBER	15	44040	SLUZBY	\N	\N
2715929	8982	1996-09-30	VYDAJ	VYBER	15	78831	SLUZBY	\N	\N
2715930	8982	1996-10-31	VYDAJ	VYBER	15	82169	SLUZBY	\N	\N
2715931	8982	1996-11-30	VYDAJ	VYBER	15	49357	SLUZBY	\N	\N
2715932	8982	1996-12-31	VYDAJ	VYBER	15	51711	SLUZBY	\N	\N
2715933	8982	1997-01-31	VYDAJ	VYBER	15	73180	SLUZBY	\N	\N
2715934	8982	1997-02-28	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
2715935	8982	1997-03-31	VYDAJ	VYBER	15	72301	SLUZBY	\N	\N
2715936	8982	1997-04-30	VYDAJ	VYBER	15	77971	SLUZBY	\N	\N
2715937	8982	1997-05-31	VYDAJ	VYBER	15	62305	SLUZBY	\N	\N
2715938	8982	1997-06-30	VYDAJ	VYBER	15	67985	SLUZBY	\N	\N
2715939	8982	1997-07-31	VYDAJ	VYBER	15	49005	SLUZBY	\N	\N
2715940	8982	1997-08-31	VYDAJ	VYBER	15	101256	SLUZBY	\N	\N
2715941	8982	1997-09-30	VYDAJ	VYBER	15	82822	SLUZBY	\N	\N
2715942	8982	1997-10-31	VYDAJ	VYBER	15	67203	SLUZBY	\N	\N
2715943	8982	1997-11-30	VYDAJ	VYBER	15	85978	SLUZBY	\N	\N
2715944	8982	1997-12-31	VYDAJ	VYBER	15	72636	SLUZBY	\N	\N
2715945	8982	1998-01-31	VYDAJ	VYBER	15	38028	SLUZBY	\N	\N
2715946	8982	1998-02-28	VYDAJ	VYBER	15	36715	SLUZBY	\N	\N
2715947	8982	1998-03-31	VYDAJ	VYBER	15	87722	SLUZBY	\N	\N
2715948	8982	1998-04-30	VYDAJ	VYBER	15	50018	SLUZBY	\N	\N
2715949	8982	1998-05-31	VYDAJ	VYBER	15	49972	SLUZBY	\N	\N
2715950	8982	1998-06-30	VYDAJ	VYBER	15	57123	SLUZBY	\N	\N
2715951	8982	1998-07-31	VYDAJ	VYBER	15	92389	SLUZBY	\N	\N
2715952	8982	1998-08-31	VYDAJ	VYBER	15	66593	SLUZBY	\N	\N
2715953	8982	1998-09-30	VYDAJ	VYBER	15	72131	SLUZBY	\N	\N
2715954	8982	1998-10-31	VYDAJ	VYBER	15	89012	SLUZBY	\N	\N
2715955	8982	1998-11-30	VYDAJ	VYBER	15	108336	SLUZBY	\N	\N
2715956	8982	1993-10-25	VYDAJ	VYBER	24600	46783	\N	\N	\N
2715957	8982	1993-11-02	VYDAJ	VYBER	25400	103202	\N	\N	\N
2715958	8982	1993-11-23	VYDAJ	VYBER	64600	88614	\N	\N	\N
2715959	8982	1993-11-24	VYDAJ	VYBER	31200	57414	\N	\N	\N
2715960	8982	1993-12-24	VYDAJ	VYBER	14200	42300	\N	\N	\N
2715961	8982	1994-01-23	PRIJEM	VKLAD	800	20212	\N	\N	\N
2715962	8982	1994-02-22	PRIJEM	VKLAD	3900	22087	\N	\N	\N
2715963	8982	1994-03-24	VYDAJ	VYBER	600	25764	\N	\N	\N
2715964	8982	1994-04-23	PRIJEM	VKLAD	5400	25943	\N	\N	\N
2715965	8982	1994-05-23	PRIJEM	VKLAD	7600	23121	\N	\N	\N
2715966	8982	1994-06-22	PRIJEM	VKLAD	7600	23837	\N	\N	\N
2715967	8982	1994-07-22	PRIJEM	VKLAD	6400	25606	\N	\N	\N
2715968	8982	1994-08-21	VYDAJ	VYBER	10400	41499	\N	\N	\N
2715969	8982	1994-09-20	VYDAJ	VYBER	31500	61758	\N	\N	\N
2715970	8982	1994-10-20	VYDAJ	VYBER	7900	36041	\N	\N	\N
2715971	8982	1994-11-19	PRIJEM	VKLAD	2600	32595	\N	\N	\N
2715972	8982	1994-12-19	PRIJEM	VKLAD	4900	27516	\N	\N	\N
2715973	8982	1995-01-18	PRIJEM	VKLAD	8300	25600	\N	\N	\N
2715974	8982	1995-02-17	VYDAJ	VYBER	7200	41023	\N	\N	\N
2715975	8982	1995-03-19	PRIJEM	VKLAD	2600	29443	\N	\N	\N
2715976	8982	1995-04-13	VYDAJ	VYBER	47300	66299	\N	\N	\N
2715977	8982	1995-04-18	VYDAJ	VYBER	18500	47799	\N	\N	\N
2715978	8982	1995-05-18	VYDAJ	VYBER	28000	65732	\N	\N	\N
2715979	8982	1995-06-17	VYDAJ	VYBER	3700	40880	\N	\N	\N
2715980	8982	1995-07-11	VYDAJ	VYBER	41300	74320	\N	\N	\N
2715981	8982	1995-07-17	VYDAJ	VYBER	10000	46890	\N	\N	\N
2715982	8982	1995-08-16	VYDAJ	VYBER	20100	54853	\N	\N	\N
2715983	8982	1995-09-15	VYDAJ	VYBER	35400	71844	\N	\N	\N
2715984	8982	1995-10-15	VYDAJ	VYBER	5200	46420	\N	\N	\N
2715985	8982	1995-11-14	PRIJEM	VKLAD	700	41174	\N	\N	\N
2715986	8982	1995-12-14	PRIJEM	VKLAD	2200	37477	\N	\N	\N
2715987	8982	1996-01-13	PRIJEM	VKLAD	2400	38001	\N	\N	\N
2715988	8982	1996-02-12	PRIJEM	VKLAD	10800	40635	\N	\N	\N
2715989	8982	1996-03-13	PRIJEM	VKLAD	500	46088	\N	\N	\N
2715990	8982	1996-04-12	VYDAJ	VYBER	23500	66191	\N	\N	\N
2715991	8982	1996-05-12	VYDAJ	VYBER	10500	52921	\N	\N	\N
2715992	8982	1996-06-11	VYDAJ	VYBER	2400	47191	\N	\N	\N
2715993	8982	1996-07-11	PRIJEM	VKLAD	4500	45626	\N	\N	\N
2715994	8982	1996-08-10	PRIJEM	VKLAD	900	50121	\N	\N	\N
2715995	8982	1996-09-09	PRIJEM	VKLAD	4100	48140	\N	\N	\N
2715996	8982	1996-10-09	VYDAJ	VYBER	27800	77701	\N	\N	\N
2715997	8982	1996-11-08	VYDAJ	VYBER	8900	60069	\N	\N	\N
2715998	8982	1996-12-08	VYDAJ	VYBER	3900	61869	\N	\N	\N
2715999	8982	1997-01-07	PRIJEM	VKLAD	8600	42311	\N	\N	\N
2716000	8982	1997-02-06	VYDAJ	VYBER	10600	62580	\N	\N	\N
2716001	8982	1997-03-08	PRIJEM	VKLAD	9300	44606	\N	\N	\N
2716002	8982	1997-04-07	VYDAJ	VYBER	32100	81826	\N	\N	\N
2716003	8982	1997-05-07	VYDAJ	VYBER	27900	82613	\N	\N	\N
2716004	8982	1997-05-12	VYDAJ	VYBER	30400	115450	\N	\N	\N
2716005	8982	1997-05-18	VYDAJ	VYBER	35000	112082	\N	\N	\N
2716006	8982	1997-05-29	VYDAJ	VYBER	62300	61504	\N	\N	\N
2716007	8982	1997-06-06	VYDAJ	VYBER	13400	83569	\N	\N	\N
2716008	8982	1997-06-27	VYDAJ	VYBER	59300	67464	\N	\N	\N
2716009	8982	1997-07-06	VYDAJ	VYBER	5000	62985	\N	\N	\N
2716010	8982	1997-08-05	VYDAJ	VYBER	2300	75004	\N	\N	\N
2716011	8982	1997-09-04	VYDAJ	VYBER	17100	84156	\N	\N	\N
2716012	8982	1997-09-08	VYDAJ	VYBER	35800	92186	\N	\N	\N
2716013	8982	1997-10-04	VYDAJ	VYBER	9800	73022	\N	\N	\N
2716014	8982	1997-11-03	PRIJEM	VKLAD	2100	69303	\N	\N	\N
2716015	8982	1997-12-03	VYDAJ	VYBER	5600	80378	\N	\N	\N
2716016	8982	1998-01-02	VYDAJ	VYBER	13400	92467	\N	\N	\N
2716017	8982	1998-02-01	PRIJEM	VKLAD	19400	57428	\N	\N	\N
2716018	8982	1998-03-03	PRIJEM	VKLAD	22400	59115	\N	\N	\N
2716019	8982	1998-04-02	VYDAJ	VYBER	3800	76422	\N	\N	\N
2716020	8982	1998-05-02	PRIJEM	VKLAD	300	82616	\N	\N	\N
2716021	8982	1998-06-01	PRIJEM	VKLAD	14400	64372	\N	\N	\N
2716022	8982	1998-07-01	PRIJEM	VKLAD	9200	66323	\N	\N	\N
2716023	8982	1998-07-12	VYDAJ	VYBER	46900	82022	\N	\N	\N
2716024	8982	1998-07-30	VYDAJ	VYBER	39300	106074	\N	\N	\N
2716025	8982	1998-07-31	VYDAJ	VYBER	14300	92404	\N	\N	\N
2716026	8982	1998-08-10	VYDAJ	VYBER	62300	59640	\N	\N	\N
2716027	8982	1998-08-30	PRIJEM	VKLAD	6400	66040	\N	\N	\N
2716028	8982	1998-09-29	PRIJEM	VKLAD	6700	71655	\N	\N	\N
2716029	8982	1998-10-29	VYDAJ	VYBER	4400	88439	\N	\N	\N
2716030	8982	1998-11-28	VYDAJ	VYBER	22400	107767	\N	\N	\N
2716031	8982	1998-12-23	VYDAJ	VYBER	40600	104436	\N	\N	\N
2716032	8982	1998-12-28	VYDAJ	VYBER	9300	95136	\N	\N	\N
2720116	8998	1995-05-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2720117	8998	1996-03-08	PRIJEM	VKLAD	38690	84447	\N	\N	\N
2720118	8998	1996-01-26	PRIJEM	VKLAD	23462	48761	\N	\N	\N
2720119	8998	1996-08-08	PRIJEM	VKLAD	16810	87800	\N	\N	\N
2720120	8998	1996-12-04	PRIJEM	VKLAD	28012	85194	\N	\N	\N
2720121	8998	1996-12-05	PRIJEM	VKLAD	25963	111157	\N	\N	\N
2720122	8998	1996-06-04	PRIJEM	VKLAD	49236	64094	\N	\N	\N
2720123	8998	1996-08-08	PRIJEM	VKLAD	26633	70990	\N	\N	\N
2720124	8998	1996-03-18	PRIJEM	VKLAD	7125	91572	\N	\N	\N
2720125	8998	1996-01-28	PRIJEM	VKLAD	24349	73110	\N	\N	\N
2720126	8998	1996-11-27	PRIJEM	VKLAD	47062	57051	\N	\N	\N
2720127	8998	1996-07-18	PRIJEM	VKLAD	28200	44001	\N	\N	\N
2720128	8998	1996-12-30	PRIJEM	VKLAD	31469	100819	\N	\N	\N
2720129	8998	1996-01-02	PRIJEM	VKLAD	20599	41099	\N	\N	\N
2720130	8998	1996-12-20	PRIJEM	VKLAD	32693	69350	\N	\N	\N
2720131	8998	1996-06-22	PRIJEM	VKLAD	28301	63995	\N	\N	\N
2720132	8998	1996-09-16	PRIJEM	VKLAD	27150	57190	\N	\N	\N
2720133	8998	1997-01-06	PRIJEM	VKLAD	29792	82099	\N	\N	\N
2720134	8998	1997-05-28	PRIJEM	VKLAD	11250	42909	\N	\N	\N
2720135	8998	1997-01-03	PRIJEM	VKLAD	11459	104407	\N	\N	\N
2720136	8998	1997-12-08	PRIJEM	VKLAD	9659	5969	\N	\N	\N
2720137	8998	1997-04-08	PRIJEM	VKLAD	27843	40204	\N	\N	\N
2720138	8998	1997-05-10	PRIJEM	VKLAD	28380	65159	\N	\N	\N
2720139	8998	1997-10-09	PRIJEM	VKLAD	27685	31231	\N	\N	\N
2720140	8998	1997-08-08	PRIJEM	VKLAD	39200	66940	\N	\N	\N
2720141	8998	1997-02-21	PRIJEM	VKLAD	10220	12320	\N	\N	\N
2720142	8998	1997-04-28	PRIJEM	VKLAD	18349	36679	\N	\N	\N
2720143	8998	1997-04-27	PRIJEM	VKLAD	14626	18330	\N	\N	\N
2720144	8998	1997-03-13	PRIJEM	VKLAD	31572	43943	\N	\N	\N
2720145	8998	1997-07-21	PRIJEM	VKLAD	30733	34494	\N	\N	\N
2720146	8998	1998-02-18	PRIJEM	VKLAD	28197	31404	\N	\N	\N
2720147	8998	1998-05-02	PRIJEM	VKLAD	30603	32117	\N	\N	\N
2720148	8998	1998-07-10	PRIJEM	VKLAD	5294	903	\N	\N	\N
2720149	8998	1998-03-02	PRIJEM	VKLAD	7310	31633	\N	\N	\N
2720150	8998	1998-10-27	PRIJEM	VKLAD	46171	32513	\N	\N	\N
2720151	8998	1998-01-21	PRIJEM	VKLAD	19795	15217	\N	\N	\N
2720212	8998	1996-11-11	VYBER	VYBER	18234	14989	\N	\N	\N
2720213	8998	1996-07-15	VYBER	VYBER	19991	21701	\N	\N	\N
2720214	8998	1996-03-24	VYBER	VYBER	17572	33400	\N	\N	\N
2720215	8998	1997-08-27	VYBER	VYBER	16073	14067	\N	\N	\N
2720216	8998	1998-04-11	VYBER	VYBER	8973	1493	\N	\N	\N
2720220	8998	1998-02-21	VYBER	VYBER	7165	24239	\N	\N	\N
2720221	8998	1998-05-31	VYBER	VYBER	3709	4018	\N	\N	\N
2720228	8998	1998-05-21	VYBER	VYBER	7149	7668	\N	\N	\N
2720231	8998	1996-06-23	VYDAJ	VYBER	13200	50795	\N	\N	\N
2720239	8998	1996-12-10	VYDAJ	VYBER	1500	68957	\N	\N	\N
2720254	8998	1997-01-18	VYDAJ	VYBER	7200	12699	\N	\N	\N
2720255	8998	1997-01-08	VYDAJ	VYBER	8700	67999	\N	\N	\N
2720256	8998	1997-01-11	VYDAJ	VYBER	3000	63199	\N	\N	\N
2720257	8998	1997-01-06	VYDAJ	VYBER	5400	76699	\N	\N	\N
2720258	8998	1997-01-12	VYDAJ	VYBER	7800	55399	\N	\N	\N
2720259	8998	1997-01-10	VYDAJ	VYBER	1800	66199	\N	\N	\N
2720263	8998	1998-01-21	VYDAJ	VYBER	5400	9817	\N	\N	\N
2720271	8998	1996-07-12	VYDAJ	VYBER	9300	41692	\N	\N	\N
2720272	8998	1996-12-30	VYDAJ	VYBER	8400	92419	\N	\N	\N
2720274	8998	1996-05-28	VYDAJ	VYBER	6000	14776	\N	\N	\N
2720275	8998	1997-06-27	VYDAJ	VYBER	4800	14112	\N	\N	\N
2720277	8998	1997-04-14	VYDAJ	VYBER	13500	3704	\N	\N	\N
2720278	8998	1997-01-16	VYDAJ	VYBER	11400	19899	\N	\N	\N
2720279	8998	1997-07-30	VYDAJ	VYBER	6900	27594	\N	\N	\N
2720280	8998	1997-04-01	VYDAJ	VYBER	9300	12361	\N	\N	\N
2720282	8998	1997-02-09	VYDAJ	VYBER	7200	5800	\N	\N	\N
2720304	8998	1996-03-31	VYDAJ	VYBER	15	33717	SLUZBY	\N	\N
2720305	8998	1996-04-30	VYDAJ	VYBER	15	23076	SLUZBY	\N	\N
2720306	8998	1996-05-31	VYDAJ	VYBER	15	14858	SLUZBY	\N	\N
2720307	8998	1996-06-30	VYDAJ	VYBER	15	50992	SLUZBY	\N	\N
2720308	8998	1996-07-31	VYDAJ	VYBER	15	44357	SLUZBY	\N	\N
2720309	8998	1996-08-31	VYDAJ	VYBER	15	49840	SLUZBY	\N	\N
2720310	8998	1996-09-30	VYDAJ	VYBER	15	57505	SLUZBY	\N	\N
2720311	8998	1996-10-31	VYDAJ	VYBER	15	33223	SLUZBY	\N	\N
2720312	8998	1996-11-30	VYDAJ	VYBER	15	57182	SLUZBY	\N	\N
2720313	8998	1996-12-31	VYDAJ	VYBER	15	92948	SLUZBY	\N	\N
2720314	8998	1997-01-31	VYDAJ	VYBER	15	13000	SLUZBY	\N	\N
2720315	8998	1997-02-28	VYDAJ	VYBER	15	12371	SLUZBY	\N	\N
2720316	8998	1997-03-31	VYDAJ	VYBER	15	21661	SLUZBY	\N	\N
2720317	8998	1997-04-30	VYDAJ	VYBER	15	36779	SLUZBY	\N	\N
2720318	8998	1997-05-31	VYDAJ	VYBER	15	43112	SLUZBY	\N	\N
2720319	8998	1997-06-30	VYDAJ	VYBER	15	14261	SLUZBY	\N	\N
2720320	8998	1997-07-31	VYDAJ	VYBER	15	27740	SLUZBY	\N	\N
2720321	8998	1997-08-31	VYDAJ	VYBER	15	14261	SLUZBY	\N	\N
2720322	8998	1997-09-30	VYDAJ	VYBER	15	3546	SLUZBY	\N	\N
2720323	8998	1997-10-31	VYDAJ	VYBER	15	8457	SLUZBY	\N	\N
2720326	8998	1998-01-31	VYDAJ	VYBER	15	9807	SLUZBY	\N	\N
2720327	8998	1998-02-28	VYDAJ	VYBER	15	24323	SLUZBY	\N	\N
2720328	8998	1998-03-31	VYDAJ	VYBER	15	18266	SLUZBY	\N	\N
2720329	8998	1998-04-30	VYDAJ	VYBER	15	1518	SLUZBY	\N	\N
2720330	8998	1998-05-31	VYDAJ	VYBER	15	4003	SLUZBY	\N	\N
2720332	8998	1998-07-31	VYDAJ	VYBER	15	871	SLUZBY	\N	\N
2720335	8998	1998-10-31	VYDAJ	VYBER	15	32539	SLUZBY	\N	\N
2720336	8998	1998-11-30	VYDAJ	VYBER	15	254	SLUZBY	\N	\N
2720337	8998	1995-06-23	PRIJEM	VKLAD	12300	13400	\N	\N	\N
2720338	8998	1995-07-23	PRIJEM	VKLAD	6100	19500	\N	\N	\N
2720339	8998	1995-08-22	PRIJEM	VKLAD	1900	21400	\N	\N	\N
2720340	8998	1995-09-21	VYDAJ	VYBER	400	21000	\N	\N	\N
2720341	8998	1995-10-21	PRIJEM	VKLAD	1500	22500	\N	\N	\N
2720342	8998	1995-11-20	VYDAJ	VYBER	2000	20500	\N	\N	\N
2720343	8998	1996-01-19	VYDAJ	VYBER	15800	25299	\N	\N	\N
2720344	8998	1996-02-18	VYDAJ	VYBER	27800	45453	\N	\N	\N
2720345	8998	1996-03-19	VYDAJ	VYBER	40600	50972	\N	\N	\N
2720346	8998	1996-04-18	VYDAJ	VYBER	10900	22817	\N	\N	\N
2720347	8998	1996-05-18	VYDAJ	VYBER	2300	20776	\N	\N	\N
2720348	8998	1996-06-17	VYDAJ	VYBER	28400	35694	\N	\N	\N
2720349	8998	1996-07-17	VYDAJ	VYBER	5900	15801	\N	\N	\N
2720350	8998	1996-08-16	VYDAJ	VYBER	38400	49400	\N	\N	\N
2720351	8998	1996-09-15	VYDAJ	VYBER	19800	30040	\N	\N	\N
2720352	8998	1996-10-15	VYDAJ	VYBER	24500	33005	\N	\N	\N
2720353	8998	1996-11-14	VYDAJ	VYBER	5000	9989	\N	\N	\N
2720354	8998	1996-12-05	VYDAJ	VYBER	40700	70457	\N	\N	\N
2720355	8998	1996-12-14	VYDAJ	VYBER	32300	36657	\N	\N	\N
2720356	8998	1997-01-03	VYDAJ	VYBER	52100	52307	\N	\N	\N
2720357	8998	1997-01-13	VYDAJ	VYBER	24100	31299	\N	\N	\N
2720358	8998	1997-02-12	VYDAJ	VYBER	3700	2100	\N	\N	\N
2720359	8998	1997-03-14	VYDAJ	VYBER	22400	21543	\N	\N	\N
2720360	8998	1997-04-13	VYDAJ	VYBER	23000	17204	\N	\N	\N
2720361	8998	1997-05-13	VYDAJ	VYBER	33500	31659	\N	\N	\N
2720362	8998	1997-06-12	VYDAJ	VYBER	24200	18912	\N	\N	\N
2720363	8998	1997-07-12	VYDAJ	VYBER	10500	3761	\N	\N	\N
2720364	8998	1997-08-11	VYDAJ	VYBER	36800	30140	\N	\N	\N
2720365	8998	1997-09-10	VYDAJ	VYBER	10800	3461	\N	\N	\N
2720366	8998	1997-10-10	VYDAJ	VYBER	22800	8431	\N	\N	\N
2720367	8998	1997-11-09	VYDAJ	VYBER	12200	-3743	\N	\N	\N
2720368	8998	1997-12-09	VYDAJ	VYBER	7700	-1731	\N	\N	\N
2720369	8998	1998-01-08	VYDAJ	VYBER	2800	-4578	\N	\N	\N
2720370	8998	1998-02-07	VYDAJ	VYBER	6600	3207	\N	\N	\N
2720371	8998	1998-03-09	VYDAJ	VYBER	13500	18133	\N	\N	\N
2720372	8998	1998-04-08	VYDAJ	VYBER	7800	10466	\N	\N	\N
2720373	8998	1998-05-08	VYDAJ	VYBER	17300	14817	\N	\N	\N
2720374	8998	1998-06-07	VYDAJ	VYBER	6300	-2299	\N	\N	\N
2720375	8998	1998-07-07	VYDAJ	VYBER	2100	-4392	\N	\N	\N
2720376	8998	1998-08-06	VYDAJ	VYBER	7800	-6929	\N	\N	\N
2720377	8998	1998-09-05	VYDAJ	VYBER	1200	-8144	\N	\N	\N
2720378	8998	1998-10-05	VYDAJ	VYBER	5500	-13658	\N	\N	\N
2720379	8998	1998-11-04	VYDAJ	VYBER	32500	27	\N	\N	\N
2720380	8998	1998-12-04	VYDAJ	VYBER	10800	-10547	\N	\N	\N
2721717	9006	1994-09-02	PRIJEM	VKLAD	700	700	\N	\N	\N
2721718	9006	1994-11-27	PRIJEM	VKLAD	19029	96477	\N	\N	\N
2721719	9006	1994-10-28	PRIJEM	VKLAD	36002	102251	\N	\N	\N
2721724	9006	1994-10-25	PRIJEM	VKLAD	6503	57369	\N	\N	\N
2721726	9006	1994-10-27	PRIJEM	VKLAD	17397	86950	\N	\N	\N
2721732	9006	1994-09-04	PRIJEM	VKLAD	22332	23032	\N	\N	\N
2721733	9006	1994-10-27	PRIJEM	VKLAD	12184	69553	\N	\N	\N
2721734	9006	1994-12-06	PRIJEM	VKLAD	47506	85225	\N	\N	\N
2721735	9006	1994-09-06	PRIJEM	VKLAD	42865	65897	\N	\N	\N
2721736	9006	1994-09-11	PRIJEM	VKLAD	45661	111558	\N	\N	\N
2721737	9006	1994-11-03	PRIJEM	VKLAD	44467	105489	\N	\N	\N
2721738	9006	1995-05-03	PRIJEM	VKLAD	37259	86055	\N	\N	\N
2721739	9006	1995-02-04	PRIJEM	VKLAD	12065	75877	\N	\N	\N
2721740	9006	1995-03-04	PRIJEM	VKLAD	40086	75303	\N	\N	\N
2721741	9006	1995-10-04	PRIJEM	VKLAD	42628	129557	\N	\N	\N
2721742	9006	1995-08-07	PRIJEM	VKLAD	46231	124931	\N	\N	\N
2721743	9006	1995-06-24	PRIJEM	VKLAD	17624	85909	\N	\N	\N
2721744	9006	1995-10-03	PRIJEM	VKLAD	43403	86929	\N	\N	\N
2721745	9006	1995-01-23	PRIJEM	VKLAD	12059	108812	\N	\N	\N
2721746	9006	1995-07-29	PRIJEM	VKLAD	37285	86360	\N	\N	\N
2721747	9006	1995-07-15	PRIJEM	VKLAD	37702	73635	\N	\N	\N
2721748	9006	1995-12-04	PRIJEM	VKLAD	49424	88291	\N	\N	\N
2721749	9006	1995-05-31	PRIJEM	VKLAD	24101	86961	\N	\N	\N
2721750	9006	1995-01-11	PRIJEM	VKLAD	36371	77670	\N	\N	\N
2721751	9006	1995-03-14	PRIJEM	VKLAD	35847	106609	\N	\N	\N
2721752	9006	1995-01-21	PRIJEM	VKLAD	45074	122744	\N	\N	\N
2721753	9006	1995-02-28	PRIJEM	VKLAD	6091	73501	\N	\N	\N
2721754	9006	1995-01-23	PRIJEM	VKLAD	19516	128328	\N	\N	\N
2721755	9006	1995-05-07	PRIJEM	VKLAD	21309	82870	\N	\N	\N
2721756	9006	1995-02-03	PRIJEM	VKLAD	23608	63812	\N	\N	\N
2721757	9006	1995-11-05	PRIJEM	VKLAD	32317	87806	\N	\N	\N
2721758	9006	1995-08-06	PRIJEM	VKLAD	25327	78700	\N	\N	\N
2721759	9006	1995-04-26	PRIJEM	VKLAD	26541	75491	\N	\N	\N
2721760	9006	1995-01-23	PRIJEM	VKLAD	7109	96753	\N	\N	\N
2721761	9006	1995-09-22	PRIJEM	VKLAD	31524	57291	\N	\N	\N
2721762	9006	1995-11-22	PRIJEM	VKLAD	42487	121152	\N	\N	\N
2721763	9006	1995-05-26	PRIJEM	VKLAD	39700	97860	\N	\N	\N
2721764	9006	1996-08-26	PRIJEM	VKLAD	30718	77944	\N	\N	\N
2721765	9006	1996-08-09	PRIJEM	VKLAD	16384	30156	\N	\N	\N
2721766	9006	1996-06-28	PRIJEM	VKLAD	6393	26573	\N	\N	\N
2721767	9006	1996-10-22	PRIJEM	VKLAD	20111	64207	\N	\N	\N
2721768	9006	1996-03-31	PRIJEM	VKLAD	18776	37048	\N	\N	\N
2721769	9006	1996-10-18	PRIJEM	VKLAD	31120	52450	\N	\N	\N
2721770	9006	1996-11-28	PRIJEM	VKLAD	23924	67446	\N	\N	\N
2721771	9006	1996-08-16	PRIJEM	VKLAD	42053	68326	\N	\N	\N
2721772	9006	1996-01-31	PRIJEM	VKLAD	28739	49085	\N	\N	\N
2721773	9006	1996-10-31	PRIJEM	VKLAD	8154	72361	\N	\N	\N
2721774	9006	1996-10-21	PRIJEM	VKLAD	18546	70996	\N	\N	\N
2721775	9006	1996-12-01	PRIJEM	VKLAD	5474	73363	\N	\N	\N
2721776	9006	1997-10-13	PRIJEM	VKLAD	33861	95090	\N	\N	\N
2721777	9006	1997-03-29	PRIJEM	VKLAD	6041	31689	\N	\N	\N
2721778	9006	1997-12-30	PRIJEM	VKLAD	49356	110888	\N	\N	\N
2721779	9006	1997-05-15	PRIJEM	VKLAD	44967	99170	\N	\N	\N
2721780	9006	1997-12-27	PRIJEM	VKLAD	34966	67232	\N	\N	\N
2721781	9006	1997-08-18	PRIJEM	VKLAD	7945	35776	\N	\N	\N
2721782	9006	1997-05-06	PRIJEM	VKLAD	39112	62627	\N	\N	\N
2721783	9006	1997-11-26	PRIJEM	VKLAD	21374	48857	\N	\N	\N
2721784	9006	1997-08-28	PRIJEM	VKLAD	35023	70799	\N	\N	\N
2721785	9006	1997-03-13	PRIJEM	VKLAD	29943	38548	\N	\N	\N
2721786	9006	1997-07-22	PRIJEM	VKLAD	25502	60485	\N	\N	\N
2721787	9006	1997-10-04	PRIJEM	VKLAD	19514	43551	\N	\N	\N
2721788	9006	1997-12-15	PRIJEM	VKLAD	23945	58866	\N	\N	\N
2721789	9006	1997-06-29	PRIJEM	VKLAD	26267	51526	\N	\N	\N
2721790	9006	1997-08-04	PRIJEM	VKLAD	46604	117755	\N	\N	\N
2721791	9006	1997-07-31	PRIJEM	VKLAD	22092	82577	\N	\N	\N
2721792	9006	1997-10-06	PRIJEM	VKLAD	26102	69653	\N	\N	\N
2721793	9006	1998-01-10	PRIJEM	VKLAD	22684	119385	\N	\N	\N
2721794	9006	1998-04-17	PRIJEM	VKLAD	21671	67466	\N	\N	\N
2721795	9006	1998-08-13	PRIJEM	VKLAD	32245	72586	\N	\N	\N
2721796	9006	1998-06-25	PRIJEM	VKLAD	12199	56007	\N	\N	\N
2721797	9006	1998-02-20	PRIJEM	VKLAD	32368	62565	\N	\N	\N
2721798	9006	1998-06-16	PRIJEM	VKLAD	16577	43808	\N	\N	\N
2721799	9006	1998-06-10	PRIJEM	VKLAD	11234	55014	\N	\N	\N
2721800	9006	1998-12-28	PRIJEM	VKLAD	46562	77028	\N	\N	\N
2721801	9006	1998-08-27	PRIJEM	VKLAD	12792	85378	\N	\N	\N
2721802	9006	1998-05-30	PRIJEM	VKLAD	30812	65402	\N	\N	\N
2721803	9006	1998-10-10	PRIJEM	VKLAD	8085	52755	\N	\N	\N
2721804	9006	1998-10-08	PRIJEM	VKLAD	6837	49211	\N	\N	\N
2721805	9006	1998-06-26	PRIJEM	VKLAD	47827	103834	\N	\N	\N
2721806	9006	1998-05-01	PRIJEM	VKLAD	9202	77114	\N	\N	\N
2721807	9006	1998-03-25	PRIJEM	VKLAD	21237	60281	\N	\N	\N
2721808	9006	1998-04-02	PRIJEM	VKLAD	13983	74519	\N	\N	\N
2721809	9006	1998-07-20	PRIJEM	VKLAD	11109	71981	\N	\N	\N
2721810	9006	1998-07-16	PRIJEM	VKLAD	29465	72312	\N	\N	\N
2721811	9006	1998-08-31	PRIJEM	VKLAD	30147	115927	\N	\N	\N
2721812	9006	1998-04-06	PRIJEM	VKLAD	18100	92619	\N	\N	\N
2721823	9006	1994-11-21	VYDAJ	VYBER	3200	77448	\N	\N	0
2721824	9006	1994-12-12	VYDAJ	VYBER	4100	76584	\N	\N	0
2721825	9006	1995-01-03	VYDAJ	VYBER	4100	45840	\N	\N	0
2721826	9006	1995-02-18	VYDAJ	VYBER	4200	67136	\N	\N	0
2721827	9006	1995-03-21	VYDAJ	VYBER	4400	102209	\N	\N	0
2721828	9006	1995-04-07	VYDAJ	VYBER	3200	53491	\N	\N	0
2721829	9006	1995-05-11	VYDAJ	VYBER	4500	73829	\N	\N	0
2721830	9006	1995-06-12	VYDAJ	VYBER	3300	77885	\N	\N	0
2721831	9006	1995-07-21	VYDAJ	VYBER	4100	69535	\N	\N	0
2721832	9006	1995-08-18	VYDAJ	VYBER	4100	58190	\N	\N	0
2721833	9006	1995-09-07	VYDAJ	VYBER	3300	30308	\N	\N	0
2721834	9006	1995-10-12	VYDAJ	VYBER	3700	97416	\N	\N	0
2721835	9006	1995-11-08	VYDAJ	VYBER	4600	83206	\N	\N	0
2721836	9006	1995-12-06	VYDAJ	VYBER	3400	78291	\N	\N	0
2721837	9006	1996-01-10	VYDAJ	VYBER	4000	22058	\N	\N	0
2721838	9006	1996-02-19	VYDAJ	VYBER	3900	32603	\N	\N	0
2721839	9006	1996-03-04	VYDAJ	VYBER	3200	22746	\N	\N	0
2721840	9006	1996-04-06	VYDAJ	VYBER	3400	33685	\N	\N	0
2721841	9006	1996-05-11	VYDAJ	VYBER	3700	19090	\N	\N	0
2721842	9006	1996-06-12	VYDAJ	PREVOD NA UCET	3883	12580	UVER	YZ	28411376
2721843	9006	1996-07-12	VYDAJ	PREVOD NA UCET	3883	18207	UVER	YZ	28411376
2721844	9006	1996-08-12	VYDAJ	PREVOD NA UCET	3883	26273	UVER	YZ	28411376
2721845	9006	1996-09-12	VYDAJ	PREVOD NA UCET	3883	50618	UVER	YZ	28411376
2721846	9006	1996-10-12	VYDAJ	PREVOD NA UCET	3883	21330	UVER	YZ	28411376
2721847	9006	1996-11-12	VYDAJ	PREVOD NA UCET	3883	64222	UVER	YZ	28411376
2721848	9006	1996-12-12	VYDAJ	PREVOD NA UCET	3883	64939	UVER	YZ	28411376
2721849	9006	1997-01-12	VYDAJ	PREVOD NA UCET	3883	27397	UVER	YZ	28411376
2721850	9006	1997-02-12	VYDAJ	PREVOD NA UCET	3883	13090	UVER	YZ	28411376
2721852	9006	1997-04-12	VYDAJ	PREVOD NA UCET	3883	23376	UVER	YZ	28411376
2721853	9006	1997-05-12	VYDAJ	PREVOD NA UCET	3883	54203	UVER	YZ	28411376
2721854	9006	1997-06-12	VYDAJ	PREVOD NA UCET	3883	25259	UVER	YZ	28411376
2721855	9006	1997-07-12	VYDAJ	PREVOD NA UCET	3883	34983	UVER	YZ	28411376
2721856	9006	1997-08-12	VYDAJ	PREVOD NA UCET	3883	48831	UVER	YZ	28411376
2721857	9006	1997-09-12	VYDAJ	PREVOD NA UCET	3883	37368	UVER	YZ	28411376
2721858	9006	1997-10-12	VYDAJ	PREVOD NA UCET	3883	61229	UVER	YZ	28411376
2721859	9006	1997-11-12	VYDAJ	PREVOD NA UCET	3883	27483	UVER	YZ	28411376
2721860	9006	1997-12-12	VYDAJ	PREVOD NA UCET	3883	40621	UVER	YZ	28411376
2721861	9006	1998-01-12	VYDAJ	PREVOD NA UCET	3883	92602	UVER	YZ	28411376
2721862	9006	1998-02-12	VYDAJ	PREVOD NA UCET	3883	30197	UVER	YZ	28411376
2721863	9006	1998-03-12	VYDAJ	PREVOD NA UCET	3883	39044	UVER	YZ	28411376
2721864	9006	1998-04-12	VYDAJ	PREVOD NA UCET	3883	84195	UVER	YZ	28411376
2721865	9006	1998-05-12	VYDAJ	PREVOD NA UCET	3883	68690	UVER	YZ	28411376
2721866	9006	1998-06-12	VYDAJ	PREVOD NA UCET	3883	51131	UVER	YZ	28411376
2721867	9006	1998-07-12	VYDAJ	PREVOD NA UCET	3883	89147	UVER	YZ	28411376
2721868	9006	1998-08-12	VYDAJ	PREVOD NA UCET	3883	40341	UVER	YZ	28411376
2721869	9006	1998-09-12	VYDAJ	PREVOD NA UCET	3883	42073	UVER	YZ	28411376
2721870	9006	1998-10-12	VYDAJ	PREVOD NA UCET	3883	48872	UVER	YZ	28411376
2721871	9006	1998-11-12	VYDAJ	PREVOD NA UCET	3883	40735	UVER	YZ	28411376
2721872	9006	1998-12-12	VYDAJ	PREVOD NA UCET	3883	30466	UVER	YZ	28411376
2721883	9006	1994-11-08	VYDAJ	PREVOD NA UCET	4541	80648	SIPO	UV	73640763
2721884	9006	1994-12-08	VYDAJ	PREVOD NA UCET	4541	80684	SIPO	UV	73640763
2721885	9006	1995-01-08	VYDAJ	PREVOD NA UCET	4541	41299	SIPO	UV	73640763
2721886	9006	1995-02-08	VYDAJ	PREVOD NA UCET	4541	71336	SIPO	UV	73640763
2721887	9006	1995-03-08	VYDAJ	PREVOD NA UCET	4541	70762	SIPO	UV	73640763
2721888	9006	1995-04-08	VYDAJ	PREVOD NA UCET	4541	48950	SIPO	UV	73640763
2721889	9006	1995-05-08	VYDAJ	PREVOD NA UCET	4541	78329	SIPO	UV	73640763
2721890	9006	1995-06-08	VYDAJ	PREVOD NA UCET	4541	81185	SIPO	UV	73640763
2721891	9006	1995-07-08	VYDAJ	PREVOD NA UCET	4541	42233	SIPO	UV	73640763
2721892	9006	1995-08-08	VYDAJ	PREVOD NA UCET	4541	62290	SIPO	UV	73640763
2721893	9006	1995-09-08	VYDAJ	PREVOD NA UCET	4541	25767	SIPO	UV	73640763
2721894	9006	1995-10-08	VYDAJ	PREVOD NA UCET	4541	101116	SIPO	UV	73640763
2721895	9006	1995-11-08	VYDAJ	PREVOD NA UCET	4541	78665	SIPO	UV	73640763
2721896	9006	1995-12-08	VYDAJ	PREVOD NA UCET	4541	73750	SIPO	UV	73640763
2721897	9006	1996-01-08	VYDAJ	PREVOD NA UCET	4541	26058	SIPO	UV	73640763
2721898	9006	1996-02-08	VYDAJ	PREVOD NA UCET	4541	44603	SIPO	UV	73640763
2721899	9006	1996-03-08	VYDAJ	PREVOD NA UCET	4541	18205	SIPO	UV	73640763
2721900	9006	1996-04-08	VYDAJ	PREVOD NA UCET	4541	29144	SIPO	UV	73640763
2721901	9006	1996-05-08	VYDAJ	PREVOD NA UCET	4541	22790	SIPO	UV	73640763
2721902	9006	1996-06-08	VYDAJ	PREVOD NA UCET	4541	16463	SIPO	UV	73640763
2721903	9006	1996-07-08	VYDAJ	PREVOD NA UCET	4541	22090	SIPO	UV	73640763
2721904	9006	1996-08-08	VYDAJ	PREVOD NA UCET	4541	13772	SIPO	UV	73640763
2721905	9006	1996-09-08	VYDAJ	PREVOD NA UCET	4541	68001	SIPO	UV	73640763
2721906	9006	1996-10-08	VYDAJ	PREVOD NA UCET	4541	25213	SIPO	UV	73640763
2721907	9006	1996-11-08	VYDAJ	PREVOD NA UCET	4541	68105	SIPO	UV	73640763
2721908	9006	1996-12-08	VYDAJ	PREVOD NA UCET	4541	68822	SIPO	UV	73640763
2721909	9006	1997-01-08	VYDAJ	PREVOD NA UCET	4541	33980	SIPO	UV	73640763
2721910	9006	1997-02-08	VYDAJ	PREVOD NA UCET	4541	16973	SIPO	UV	73640763
2721911	9006	1997-03-08	VYDAJ	PREVOD NA UCET	4541	8605	SIPO	UV	73640763
2721912	9006	1997-04-08	VYDAJ	PREVOD NA UCET	4541	27259	SIPO	UV	73640763
2721913	9006	1997-05-08	VYDAJ	PREVOD NA UCET	4541	58086	SIPO	UV	73640763
2721914	9006	1997-06-08	VYDAJ	PREVOD NA UCET	4541	29142	SIPO	UV	73640763
2721915	9006	1997-07-08	VYDAJ	PREVOD NA UCET	4541	38866	SIPO	UV	73640763
2721916	9006	1997-08-08	VYDAJ	PREVOD NA UCET	4541	52714	SIPO	UV	73640763
2721917	9006	1997-09-08	VYDAJ	PREVOD NA UCET	4541	41251	SIPO	UV	73640763
2721918	9006	1997-10-08	VYDAJ	PREVOD NA UCET	4541	65112	SIPO	UV	73640763
2721919	9006	1997-11-08	VYDAJ	PREVOD NA UCET	4541	31366	SIPO	UV	73640763
2721920	9006	1997-12-08	VYDAJ	PREVOD NA UCET	4541	44504	SIPO	UV	73640763
2721921	9006	1998-01-08	VYDAJ	PREVOD NA UCET	4541	96701	SIPO	UV	73640763
2721922	9006	1998-02-08	VYDAJ	PREVOD NA UCET	4541	34080	SIPO	UV	73640763
2721923	9006	1998-03-08	VYDAJ	PREVOD NA UCET	4541	58261	SIPO	UV	73640763
2721924	9006	1998-04-08	VYDAJ	PREVOD NA UCET	4541	88078	SIPO	UV	73640763
2721925	9006	1998-05-08	VYDAJ	PREVOD NA UCET	4541	72573	SIPO	UV	73640763
2721926	9006	1998-06-08	VYDAJ	PREVOD NA UCET	4541	61180	SIPO	UV	73640763
2721927	9006	1998-07-08	VYDAJ	PREVOD NA UCET	4541	93030	SIPO	UV	73640763
2721928	9006	1998-08-08	VYDAJ	PREVOD NA UCET	4541	44224	SIPO	UV	73640763
2721929	9006	1998-09-08	VYDAJ	PREVOD NA UCET	4541	111356	SIPO	UV	73640763
2721930	9006	1998-10-08	VYDAJ	PREVOD NA UCET	4541	44670	SIPO	UV	73640763
2721931	9006	1998-11-08	VYDAJ	PREVOD NA UCET	4541	44618	SIPO	UV	73640763
2721932	9006	1998-12-08	VYDAJ	PREVOD NA UCET	4541	34349	SIPO	UV	73640763
2721940	9006	1994-11-30	VYBER	VYBER	24228	72942	\N	\N	\N
2721941	9006	1994-10-27	VYBER	VYBER	20701	66249	\N	\N	\N
2721942	9006	1994-12-01	VYBER	VYBER	22093	50819	\N	\N	\N
2721945	9006	1995-08-23	VYBER	VYBER	21429	36761	\N	\N	\N
2721946	9006	1995-05-20	VYBER	VYBER	15669	58160	\N	\N	\N
2721947	9006	1995-03-02	VYBER	VYBER	3015	45530	\N	\N	\N
2721948	9006	1995-12-21	VYBER	VYBER	23222	39128	\N	\N	\N
2721949	9006	1995-07-24	VYBER	VYBER	20460	49075	\N	\N	\N
2721950	9006	1995-05-04	VYBER	VYBER	24494	61561	\N	\N	\N
2721951	9006	1995-03-03	VYBER	VYBER	10313	35217	\N	\N	\N
2721954	9006	1996-09-28	VYBER	VYBER	6439	29479	\N	\N	\N
2721962	9006	1997-07-06	VYBER	VYBER	8279	43407	\N	\N	\N
2721963	9006	1997-09-08	VYBER	VYBER	20019	45792	\N	\N	\N
2721964	9006	1997-05-22	VYBER	VYBER	19394	33376	\N	\N	\N
2721966	9006	1997-08-29	VYBER	VYBER	5353	65446	\N	\N	\N
2721968	9006	1998-03-10	VYBER	VYBER	15334	42927	\N	\N	\N
2721969	9006	1998-07-16	VYBER	VYBER	11440	60872	\N	\N	\N
2721972	9006	1998-07-26	VYBER	VYBER	23728	48253	\N	\N	\N
2721973	9006	1998-01-05	VYBER	VYBER	9923	101242	\N	\N	\N
2721974	9006	1998-07-01	VYBER	VYBER	6592	97571	\N	\N	\N
2721976	9006	1995-06-24	VYDAJ	VYBER	19800	66109	\N	\N	\N
2721979	9006	1998-06-09	VYDAJ	VYBER	17400	43780	\N	\N	\N
2721980	9006	1994-12-25	VYDAJ	VYBER	2700	73884	\N	\N	\N
2721981	9006	1995-12-04	VYDAJ	VYBER	6600	81691	\N	\N	\N
2721982	9006	1996-12-19	VYDAJ	VYBER	4800	60139	\N	\N	\N
2721983	9006	1997-12-27	VYDAJ	VYBER	5700	61532	\N	\N	\N
2721984	9006	1998-12-06	VYDAJ	VYBER	2100	38890	\N	\N	\N
2721993	9006	1995-07-14	VYDAJ	VYBER	6300	35933	\N	\N	\N
2721994	9006	1995-10-24	VYDAJ	VYBER	14100	83316	\N	\N	\N
2721995	9006	1995-06-16	VYDAJ	VYBER	9600	68285	\N	\N	\N
2721996	9006	1995-04-07	VYDAJ	VYBER	9000	56691	\N	\N	\N
2721997	9006	1995-12-10	VYDAJ	VYBER	11400	62350	\N	\N	\N
2721998	9006	1995-11-22	VYDAJ	VYBER	7500	113652	\N	\N	\N
2721999	9006	1995-06-02	VYDAJ	VYBER	1800	85726	\N	\N	\N
2722000	9006	1995-11-28	VYDAJ	VYBER	2700	38452	\N	\N	\N
2722001	9006	1996-01-04	VYDAJ	VYBER	3300	30599	\N	\N	\N
2722002	9006	1996-12-21	VYDAJ	VYBER	2700	38139	\N	\N	\N
2722003	9006	1996-02-09	VYDAJ	VYBER	8100	36503	\N	\N	\N
2722004	9006	1996-08-31	VYDAJ	VYBER	5700	72542	\N	\N	\N
2722006	9006	1996-09-10	VYDAJ	VYBER	13500	54501	\N	\N	\N
2722008	9006	1997-01-10	VYDAJ	VYBER	2700	31280	\N	\N	\N
2722009	9006	1997-12-13	VYDAJ	VYBER	5700	34921	\N	\N	\N
2722010	9006	1997-08-03	VYDAJ	VYBER	11700	71151	\N	\N	\N
2722012	9006	1997-10-24	VYDAJ	VYBER	14400	35590	\N	\N	\N
2722013	9006	1998-02-05	VYDAJ	VYBER	12000	38621	\N	\N	\N
2722025	9006	1994-10-31	VYDAJ	VYBER	30	102622	SLUZBY	\N	\N
2722026	9006	1994-11-30	VYDAJ	VYBER	30	72912	SLUZBY	\N	\N
2722027	9006	1994-12-31	VYDAJ	VYBER	30	49940	SLUZBY	\N	\N
2722028	9006	1995-01-31	VYDAJ	VYBER	30	40204	SLUZBY	\N	\N
2722029	9006	1995-02-28	VYDAJ	VYBER	30	73745	SLUZBY	\N	\N
2722030	9006	1995-03-31	VYDAJ	VYBER	30	102891	SLUZBY	\N	\N
2722031	9006	1995-04-30	VYDAJ	VYBER	30	48796	SLUZBY	\N	\N
2722032	9006	1995-05-31	VYDAJ	VYBER	30	87526	SLUZBY	\N	\N
2722033	9006	1995-06-30	VYDAJ	VYBER	30	46774	SLUZBY	\N	\N
2722034	9006	1995-07-31	VYDAJ	VYBER	30	53373	SLUZBY	\N	\N
2722035	9006	1995-08-31	VYDAJ	VYBER	30	33608	SLUZBY	\N	\N
2722036	9006	1995-09-30	VYDAJ	VYBER	30	43526	SLUZBY	\N	\N
2722037	9006	1995-10-31	VYDAJ	VYBER	30	55489	SLUZBY	\N	\N
2722038	9006	1995-11-30	VYDAJ	VYBER	30	38867	SLUZBY	\N	\N
2722039	9006	1995-12-31	VYDAJ	VYBER	30	33899	SLUZBY	\N	\N
2722040	9006	1996-01-31	VYDAJ	VYBER	30	49144	SLUZBY	\N	\N
2722041	9006	1996-02-29	VYDAJ	VYBER	30	25946	SLUZBY	\N	\N
2722042	9006	1996-03-31	VYDAJ	VYBER	30	37085	SLUZBY	\N	\N
2722043	9006	1996-04-30	VYDAJ	VYBER	30	27331	SLUZBY	\N	\N
2722044	9006	1996-05-31	VYDAJ	VYBER	30	21004	SLUZBY	\N	\N
2722045	9006	1996-06-30	VYDAJ	VYBER	30	26631	SLUZBY	\N	\N
2722046	9006	1996-07-31	VYDAJ	VYBER	30	18313	SLUZBY	\N	\N
2722047	9006	1996-08-31	VYDAJ	VYBER	30	78242	SLUZBY	\N	\N
2722048	9006	1996-09-30	VYDAJ	VYBER	30	29754	SLUZBY	\N	\N
2722049	9006	1996-10-31	VYDAJ	VYBER	30	72646	SLUZBY	\N	\N
2722050	9006	1996-11-30	VYDAJ	VYBER	30	67889	SLUZBY	\N	\N
2722051	9006	1996-12-31	VYDAJ	VYBER	30	38521	SLUZBY	\N	\N
2722052	9006	1997-01-31	VYDAJ	VYBER	30	21514	SLUZBY	\N	\N
2722053	9006	1997-02-28	VYDAJ	VYBER	30	13146	SLUZBY	\N	\N
2722054	9006	1997-03-31	VYDAJ	VYBER	30	31800	SLUZBY	\N	\N
2722055	9006	1997-04-30	VYDAJ	VYBER	30	23515	SLUZBY	\N	\N
2722056	9006	1997-05-31	VYDAJ	VYBER	30	33683	SLUZBY	\N	\N
2722057	9006	1997-06-30	VYDAJ	VYBER	30	51686	SLUZBY	\N	\N
2722058	9006	1997-07-31	VYDAJ	VYBER	30	82851	SLUZBY	\N	\N
2722059	9006	1997-08-31	VYDAJ	VYBER	30	65811	SLUZBY	\N	\N
2722060	9006	1997-09-30	VYDAJ	VYBER	30	24037	SLUZBY	\N	\N
2722061	9006	1997-10-31	VYDAJ	VYBER	30	35907	SLUZBY	\N	\N
2722062	9006	1997-11-30	VYDAJ	VYBER	30	49045	SLUZBY	\N	\N
2722063	9006	1997-12-31	VYDAJ	VYBER	30	111165	SLUZBY	\N	\N
2722064	9006	1998-01-31	VYDAJ	VYBER	30	50621	SLUZBY	\N	\N
2722065	9006	1998-02-28	VYDAJ	VYBER	30	62802	SLUZBY	\N	\N
2722066	9006	1998-03-31	VYDAJ	VYBER	30	60536	SLUZBY	\N	\N
2722067	9006	1998-04-30	VYDAJ	VYBER	30	67912	SLUZBY	\N	\N
2722068	9006	1998-05-31	VYDAJ	VYBER	30	65721	SLUZBY	\N	\N
2722069	9006	1998-06-30	VYDAJ	VYBER	30	104163	SLUZBY	\N	\N
2722070	9006	1998-07-31	VYDAJ	VYBER	30	48765	SLUZBY	\N	\N
2722071	9006	1998-08-31	VYDAJ	VYBER	30	115897	SLUZBY	\N	\N
2722072	9006	1998-09-30	VYDAJ	VYBER	30	42374	SLUZBY	\N	\N
2722073	9006	1998-10-31	VYDAJ	VYBER	30	49159	SLUZBY	\N	\N
2722074	9006	1998-11-30	VYDAJ	VYBER	30	40990	SLUZBY	\N	\N
2722075	9006	1994-09-11	VYDAJ	VYBER	36200	75358	\N	\N	\N
2722076	9006	1994-10-02	VYDAJ	VYBER	25100	50866	\N	\N	\N
2722077	9006	1994-11-01	VYDAJ	VYBER	41600	61022	\N	\N	\N
2722078	9006	1994-11-03	VYDAJ	VYBER	20300	85189	\N	\N	\N
2722079	9006	1994-12-01	VYDAJ	VYBER	13100	37719	\N	\N	\N
2722080	9006	1994-12-31	VYDAJ	VYBER	24500	49970	\N	\N	\N
2722081	9006	1995-01-21	VYDAJ	VYBER	33100	89644	\N	\N	\N
2722082	9006	1995-01-23	VYDAJ	VYBER	22900	105428	\N	\N	\N
2722083	9006	1995-01-23	VYDAJ	VYBER	49300	56128	\N	\N	\N
2722084	9006	1995-01-30	VYDAJ	VYBER	16500	39628	\N	\N	\N
2722085	9006	1995-03-01	VYDAJ	VYBER	25200	48545	\N	\N	\N
2722086	9006	1995-03-31	VYDAJ	VYBER	37200	65691	\N	\N	\N
2722087	9006	1995-04-30	VYDAJ	VYBER	27100	48826	\N	\N	\N
2722088	9006	1995-05-30	VYDAJ	VYBER	35000	62860	\N	\N	\N
2722089	9006	1995-06-29	VYDAJ	VYBER	19900	46209	\N	\N	\N
2722090	9006	1995-07-29	VYDAJ	VYBER	33400	52960	\N	\N	\N
2722091	9006	1995-08-07	VYDAJ	VYBER	58100	66831	\N	\N	\N
2722092	9006	1995-08-28	VYDAJ	VYBER	3500	33261	\N	\N	\N
2722093	9006	1995-09-27	VYDAJ	VYBER	14000	43291	\N	\N	\N
2722094	9006	1995-10-04	VYDAJ	VYBER	23900	105657	\N	\N	\N
2722095	9006	1995-10-27	VYDAJ	VYBER	28500	54816	\N	\N	\N
2722096	9006	1995-11-22	VYDAJ	VYBER	60600	53052	\N	\N	\N
2722097	9006	1995-11-26	VYDAJ	VYBER	11900	41152	\N	\N	\N
2722098	9006	1995-12-26	VYDAJ	VYBER	5600	33528	\N	\N	\N
2722099	9006	1996-01-25	VYDAJ	VYBER	1800	20258	\N	\N	\N
2722100	9006	1996-02-24	VYDAJ	VYBER	6900	25703	\N	\N	\N
2722101	9006	1996-04-24	VYDAJ	VYBER	2000	27144	\N	\N	\N
2722102	9006	1996-05-24	PRIJEM	VKLAD	1800	20890	\N	\N	\N
2722103	9006	1996-06-23	PRIJEM	VKLAD	7600	20180	\N	\N	\N
2722104	9006	1996-08-22	VYDAJ	VYBER	21100	47226	\N	\N	\N
2722105	9006	1996-09-21	VYDAJ	VYBER	14700	35918	\N	\N	\N
2722106	9006	1996-10-21	VYDAJ	VYBER	26900	44096	\N	\N	\N
2722107	9006	1996-11-20	VYDAJ	VYBER	20700	43522	\N	\N	\N
2722108	9006	1996-12-20	VYDAJ	VYBER	19300	40839	\N	\N	\N
2722109	9006	1997-01-19	VYDAJ	VYBER	6000	21397	\N	\N	\N
2722110	9006	1997-03-20	VYDAJ	VYBER	12900	25648	\N	\N	\N
2722111	9006	1997-05-19	VYDAJ	VYBER	46400	52770	\N	\N	\N
2722112	9006	1997-08-04	VYDAJ	VYBER	60500	57255	\N	\N	\N
2722113	9006	1997-08-17	VYDAJ	VYBER	21000	27831	\N	\N	\N
2722114	9006	1997-09-16	VYDAJ	VYBER	13500	23868	\N	\N	\N
2722115	9006	1997-10-16	VYDAJ	VYBER	45100	49990	\N	\N	\N
2722116	9006	1997-12-15	VYDAJ	VYBER	26600	32266	\N	\N	\N
2722117	9006	1998-01-10	VYDAJ	VYBER	22900	96485	\N	\N	\N
2722118	9006	1998-01-14	VYDAJ	VYBER	42500	50102	\N	\N	\N
2722119	9006	1998-04-14	VYDAJ	VYBER	38400	45795	\N	\N	\N
2722120	9006	1998-05-14	VYDAJ	VYBER	34100	34590	\N	\N	\N
2722121	9006	1998-06-13	VYDAJ	VYBER	23900	27231	\N	\N	\N
2722122	9006	1998-07-13	VYDAJ	VYBER	46300	42847	\N	\N	\N
2722123	9006	1998-09-11	VYDAJ	VYBER	65400	45956	\N	\N	\N
2725959	9017	1995-11-22	PRIJEM	VKLAD	700	700	\N	\N	\N
2725971	9017	1995-12-09	PRIJEM	PREVOD Z UCTU	18792	19492	\N	UV	74054735
2725972	9017	1996-01-09	PRIJEM	PREVOD Z UCTU	12528	34505	\N	UV	74054735
2725973	9017	1996-02-09	PRIJEM	PREVOD Z UCTU	12528	40269	\N	UV	74054735
2725974	9017	1996-03-09	PRIJEM	PREVOD Z UCTU	12528	46487	\N	UV	74054735
2725975	9017	1996-04-09	PRIJEM	PREVOD Z UCTU	12528	44229	\N	UV	74054735
2725976	9017	1996-05-09	PRIJEM	PREVOD Z UCTU	12528	32516	\N	UV	74054735
2725977	9017	1996-06-09	PRIJEM	PREVOD Z UCTU	18792	30105	\N	UV	74054735
2725978	9017	1996-07-09	PRIJEM	PREVOD Z UCTU	12528	29541	\N	UV	74054735
2725979	9017	1996-08-09	PRIJEM	PREVOD Z UCTU	12528	27381	\N	UV	74054735
2725980	9017	1996-09-09	PRIJEM	PREVOD Z UCTU	12528	22888	\N	UV	74054735
2725981	9017	1996-10-09	PRIJEM	PREVOD Z UCTU	12528	21625	\N	UV	74054735
2725982	9017	1996-11-09	PRIJEM	PREVOD Z UCTU	12528	33423	\N	UV	74054735
2725983	9017	1996-12-09	PRIJEM	PREVOD Z UCTU	18792	37918	\N	UV	74054735
2725984	9017	1997-01-09	PRIJEM	PREVOD Z UCTU	12528	20347	\N	UV	74054735
2725985	9017	1997-02-09	PRIJEM	PREVOD Z UCTU	12528	17053	\N	UV	74054735
2725986	9017	1997-03-09	PRIJEM	PREVOD Z UCTU	12528	16183	\N	UV	74054735
2725987	9017	1997-04-09	PRIJEM	PREVOD Z UCTU	12528	15925	\N	UV	74054735
2725988	9017	1997-05-09	PRIJEM	PREVOD Z UCTU	12528	28661	\N	UV	74054735
2725989	9017	1997-06-09	PRIJEM	PREVOD Z UCTU	18792	22916	\N	UV	74054735
2725990	9017	1997-07-09	PRIJEM	PREVOD Z UCTU	12528	15361	\N	UV	74054735
2725991	9017	1997-08-09	PRIJEM	PREVOD Z UCTU	12528	16821	\N	UV	74054735
2725992	9017	1997-09-09	PRIJEM	PREVOD Z UCTU	12528	27399	\N	UV	74054735
2725993	9017	1997-10-09	PRIJEM	PREVOD Z UCTU	12528	11658	\N	UV	74054735
2725994	9017	1997-11-09	PRIJEM	PREVOD Z UCTU	12528	8758	\N	UV	74054735
2725995	9017	1997-12-09	PRIJEM	PREVOD Z UCTU	18792	15571	\N	UV	74054735
2725996	9017	1998-01-09	PRIJEM	PREVOD Z UCTU	12528	9697	\N	UV	74054735
2725997	9017	1998-02-09	PRIJEM	PREVOD Z UCTU	12528	9885	\N	UV	74054735
2725998	9017	1998-03-09	PRIJEM	PREVOD Z UCTU	12528	20376	\N	UV	74054735
2725999	9017	1998-04-09	PRIJEM	PREVOD Z UCTU	12528	30941	\N	UV	74054735
2726000	9017	1998-05-09	PRIJEM	PREVOD Z UCTU	12528	16319	\N	UV	74054735
2726001	9017	1998-06-09	PRIJEM	PREVOD Z UCTU	18792	22543	\N	UV	74054735
2726002	9017	1998-07-09	PRIJEM	PREVOD Z UCTU	12528	15297	\N	UV	74054735
2726003	9017	1998-08-09	PRIJEM	PREVOD Z UCTU	12528	19793	\N	UV	74054735
2726004	9017	1998-09-09	PRIJEM	PREVOD Z UCTU	12528	19161	\N	UV	74054735
2726005	9017	1998-10-09	PRIJEM	PREVOD Z UCTU	12528	19240	\N	UV	74054735
2726006	9017	1998-11-09	PRIJEM	PREVOD Z UCTU	12528	29791	\N	UV	74054735
2726007	9017	1998-12-09	PRIJEM	PREVOD Z UCTU	18792	23352	\N	UV	74054735
2726023	9017	1996-04-12	VYDAJ	PREVOD NA UCET	2088	42141	UVER	IJ	66171890
2726024	9017	1996-05-12	VYDAJ	PREVOD NA UCET	2088	30428	UVER	IJ	66171890
2726025	9017	1996-06-12	VYDAJ	PREVOD NA UCET	2088	28017	UVER	IJ	66171890
2726026	9017	1996-07-12	VYDAJ	PREVOD NA UCET	2088	27453	UVER	IJ	66171890
2726027	9017	1996-08-12	VYDAJ	PREVOD NA UCET	2088	25293	UVER	IJ	66171890
2726028	9017	1996-09-12	VYDAJ	PREVOD NA UCET	2088	20800	UVER	IJ	66171890
2726029	9017	1996-10-12	VYDAJ	PREVOD NA UCET	2088	19537	UVER	IJ	66171890
2726030	9017	1996-11-12	VYDAJ	PREVOD NA UCET	2088	31335	UVER	IJ	66171890
2726031	9017	1996-12-12	VYDAJ	PREVOD NA UCET	2088	24430	UVER	IJ	66171890
2726032	9017	1997-01-12	VYDAJ	PREVOD NA UCET	2088	18259	UVER	IJ	66171890
2726033	9017	1997-02-12	VYDAJ	PREVOD NA UCET	2088	14965	UVER	IJ	66171890
2726034	9017	1997-03-12	VYDAJ	PREVOD NA UCET	2088	14095	UVER	IJ	66171890
2726035	9017	1997-04-12	VYDAJ	PREVOD NA UCET	2088	13837	UVER	IJ	66171890
2726036	9017	1997-05-12	VYDAJ	PREVOD NA UCET	2088	17173	UVER	IJ	66171890
2726037	9017	1997-06-12	VYDAJ	PREVOD NA UCET	2088	20828	UVER	IJ	66171890
2726038	9017	1997-07-12	VYDAJ	PREVOD NA UCET	2088	13273	UVER	IJ	66171890
2726039	9017	1997-08-12	VYDAJ	PREVOD NA UCET	2088	14733	UVER	IJ	66171890
2726040	9017	1997-09-12	VYDAJ	PREVOD NA UCET	2088	25311	UVER	IJ	66171890
2726041	9017	1997-10-12	VYDAJ	VYBER	2100	9558	\N	\N	0
2726042	9017	1997-11-12	VYDAJ	VYBER	2100	6658	\N	\N	0
2726043	9017	1997-12-12	VYDAJ	VYBER	2100	8471	\N	\N	0
2726044	9017	1998-01-12	VYDAJ	PREVOD NA UCET	2088	7609	UVER	IJ	66171890
2726045	9017	1998-02-12	VYDAJ	PREVOD NA UCET	2088	7797	UVER	IJ	66171890
2726046	9017	1998-03-12	VYDAJ	PREVOD NA UCET	2088	18288	UVER	IJ	66171890
2726047	9017	1998-04-12	VYDAJ	PREVOD NA UCET	2088	28853	UVER	IJ	66171890
2726048	9017	1998-05-12	VYDAJ	PREVOD NA UCET	2088	14231	UVER	IJ	66171890
2726049	9017	1998-06-12	VYDAJ	PREVOD NA UCET	2088	13755	UVER	IJ	66171890
2726050	9017	1998-07-12	VYDAJ	PREVOD NA UCET	2088	7209	UVER	IJ	66171890
2726051	9017	1998-08-12	VYDAJ	PREVOD NA UCET	2088	6605	UVER	IJ	66171890
2726052	9017	1998-09-12	VYDAJ	PREVOD NA UCET	2088	17073	UVER	IJ	66171890
2726053	9017	1998-10-12	VYDAJ	PREVOD NA UCET	2088	17152	UVER	IJ	66171890
2726054	9017	1998-11-12	VYDAJ	PREVOD NA UCET	2088	27703	UVER	IJ	66171890
2726055	9017	1998-12-12	VYDAJ	PREVOD NA UCET	2088	21264	UVER	IJ	66171890
2726072	9017	1996-05-08	VYDAJ	VYBER	9400	19988	SIPO	\N	0
2726073	9017	1996-06-02	VYDAJ	VYBER	11100	11313	SIPO	\N	0
2726074	9017	1996-07-03	VYDAJ	VYBER	8600	17013	SIPO	\N	0
2726075	9017	1996-08-07	VYDAJ	VYBER	10700	14853	SIPO	\N	0
2726076	9017	1996-09-08	VYDAJ	VYBER	11200	10360	SIPO	\N	0
2726077	9017	1996-09-25	VYDAJ	VYBER	10300	8900	SIPO	\N	0
2726078	9017	1996-11-14	VYDAJ	VYBER	11800	19535	SIPO	\N	0
2726079	9017	1996-12-11	VYDAJ	VYBER	11400	26518	SIPO	\N	0
2726080	9017	1997-01-05	VYDAJ	VYBER	11500	7819	SIPO	\N	0
2726081	9017	1997-01-30	VYDAJ	VYBER	13900	4359	SIPO	\N	0
2726082	9017	1997-03-06	VYDAJ	VYBER	11400	3655	SIPO	\N	0
2726083	9017	1997-03-26	VYDAJ	VYBER	10800	3295	SIPO	\N	0
2726084	9017	1997-05-12	VYDAJ	VYBER	9400	19261	SIPO	\N	0
2726085	9017	1997-05-26	VYDAJ	VYBER	13200	3973	SIPO	\N	0
2726086	9017	1997-07-04	VYDAJ	VYBER	13700	2833	SIPO	\N	0
2726087	9017	1997-08-03	VYDAJ	VYBER	9100	4293	SIPO	\N	0
2726088	9017	1997-09-13	VYDAJ	VYBER	13600	11711	SIPO	\N	0
2726089	9017	1997-10-02	VYDAJ	VYBER	12700	-870	SIPO	\N	0
2726090	9017	1997-11-08	VYDAJ	VYBER	13400	-3770	SIPO	\N	0
2726091	9017	1997-11-28	VYDAJ	VYBER	9900	-3242	SIPO	\N	0
2726092	9017	1998-01-02	VYDAJ	VYBER	11300	-2831	SIPO	\N	0
2726093	9017	1998-02-04	VYDAJ	VYBER	10300	-2643	SIPO	\N	0
2726095	9017	1998-04-13	VYDAJ	VYBER	13500	15353	SIPO	\N	0
2726096	9017	1998-05-02	VYDAJ	VYBER	11700	3791	SIPO	\N	0
2726097	9017	1998-06-04	VYDAJ	VYBER	10600	3751	SIPO	\N	0
2726098	9017	1998-07-05	VYDAJ	VYBER	11100	2769	SIPO	\N	0
2726099	9017	1998-08-12	VYDAJ	VYBER	11100	8693	SIPO	\N	0
2726100	9017	1998-09-14	VYDAJ	VYBER	10400	6673	SIPO	\N	0
2726102	9017	1998-11-13	VYDAJ	VYBER	9500	18203	SIPO	\N	0
2726103	9017	1998-11-28	VYDAJ	VYBER	13800	4403	SIPO	\N	0
2726204	9017	1996-04-30	VYDAJ	VYBER	15	29388	SLUZBY	\N	\N
2726205	9017	1996-05-31	VYDAJ	VYBER	15	22413	SLUZBY	\N	\N
2726206	9017	1996-06-30	VYDAJ	VYBER	15	25613	SLUZBY	\N	\N
2726207	9017	1996-07-31	VYDAJ	VYBER	15	25553	SLUZBY	\N	\N
2726208	9017	1996-08-31	VYDAJ	VYBER	15	21560	SLUZBY	\N	\N
2726209	9017	1996-09-30	VYDAJ	VYBER	15	9097	SLUZBY	\N	\N
2726210	9017	1996-10-31	VYDAJ	VYBER	15	20895	SLUZBY	\N	\N
2726211	9017	1996-11-30	VYDAJ	VYBER	15	19126	SLUZBY	\N	\N
2726212	9017	1996-12-31	VYDAJ	VYBER	15	19319	SLUZBY	\N	\N
2726213	9017	1997-01-31	VYDAJ	VYBER	15	4525	SLUZBY	\N	\N
2726214	9017	1997-02-28	VYDAJ	VYBER	15	15055	SLUZBY	\N	\N
2726215	9017	1997-03-31	VYDAJ	VYBER	15	3397	SLUZBY	\N	\N
2726216	9017	1997-04-30	VYDAJ	VYBER	15	16133	SLUZBY	\N	\N
2726217	9017	1997-05-31	VYDAJ	VYBER	15	4124	SLUZBY	\N	\N
2726218	9017	1997-06-30	VYDAJ	VYBER	15	16533	SLUZBY	\N	\N
2726219	9017	1997-07-31	VYDAJ	VYBER	15	13393	SLUZBY	\N	\N
2726220	9017	1997-08-31	VYDAJ	VYBER	15	14871	SLUZBY	\N	\N
2726221	9017	1997-09-30	VYDAJ	VYBER	15	11830	SLUZBY	\N	\N
2726222	9017	1997-10-31	VYDAJ	VYBER	15	9630	SLUZBY	\N	\N
2726223	9017	1997-11-30	VYDAJ	VYBER	15	-3206	SLUZBY	\N	\N
2726224	9017	1997-12-31	VYDAJ	VYBER	15	8469	SLUZBY	\N	\N
2726225	9017	1998-01-31	VYDAJ	VYBER	15	7657	SLUZBY	\N	\N
2726226	9017	1998-02-28	VYDAJ	VYBER	15	7848	SLUZBY	\N	\N
2726227	9017	1998-03-31	VYDAJ	VYBER	15	18413	SLUZBY	\N	\N
2726228	9017	1998-04-30	VYDAJ	VYBER	15	15491	SLUZBY	\N	\N
2726229	9017	1998-05-31	VYDAJ	VYBER	15	14351	SLUZBY	\N	\N
2726230	9017	1998-06-30	VYDAJ	VYBER	15	13869	SLUZBY	\N	\N
2726231	9017	1998-07-31	VYDAJ	VYBER	15	7265	SLUZBY	\N	\N
2726232	9017	1998-08-31	VYDAJ	VYBER	15	6633	SLUZBY	\N	\N
2726233	9017	1998-09-30	VYDAJ	VYBER	15	6712	SLUZBY	\N	\N
2726234	9017	1998-10-31	VYDAJ	VYBER	15	17263	SLUZBY	\N	\N
2726235	9017	1998-11-30	VYDAJ	VYBER	15	4560	SLUZBY	\N	\N
2726236	9017	1995-12-22	PRIJEM	VKLAD	2400	21892	\N	\N	\N
2726237	9017	1996-01-21	VYDAJ	VYBER	7000	27505	\N	\N	\N
2726238	9017	1996-02-20	VYDAJ	VYBER	6600	33669	\N	\N	\N
2726239	9017	1996-03-21	VYDAJ	VYBER	15100	31387	\N	\N	\N
2726240	9017	1996-04-20	VYDAJ	VYBER	13100	29041	\N	\N	\N
2726241	9017	1996-05-20	VYDAJ	VYBER	8300	22128	\N	\N	\N
2726242	9017	1996-06-19	VYDAJ	VYBER	2700	25317	\N	\N	\N
2726243	9017	1996-07-19	VYDAJ	VYBER	2200	25253	\N	\N	\N
2726244	9017	1996-08-18	VYDAJ	VYBER	4000	21293	\N	\N	\N
2726245	9017	1996-09-17	VYDAJ	VYBER	1600	19200	\N	\N	\N
2726246	9017	1996-10-17	PRIJEM	VKLAD	1200	20737	\N	\N	\N
2726247	9017	1996-11-16	VYDAJ	VYBER	600	18935	\N	\N	\N
2726248	9017	1996-12-16	VYDAJ	VYBER	5300	19130	\N	\N	\N
2726249	9017	1997-04-15	PRIJEM	VKLAD	2200	16037	\N	\N	\N
2726250	9017	1997-06-14	VYDAJ	VYBER	4400	16428	\N	\N	\N
2726251	9017	1997-12-11	VYDAJ	VYBER	5000	10571	\N	\N	\N
2726252	9017	1998-06-09	VYDAJ	VYBER	6700	15843	\N	\N	\N
2726253	9017	1998-07-09	VYDAJ	VYBER	6000	9297	\N	\N	\N
2727734	9024	1996-01-05	PRIJEM	VKLAD	600	600	\N	\N	\N
2727735	9024	1996-01-13	PRIJEM	VKLAD	14878	15478	\N	\N	\N
2727736	9024	1996-02-13	PRIJEM	VKLAD	14878	35033	\N	\N	\N
2727737	9024	1996-03-13	PRIJEM	VKLAD	14878	47904	\N	\N	\N
2727738	9024	1996-04-13	PRIJEM	VKLAD	14878	52476	\N	\N	\N
2727739	9024	1996-05-13	PRIJEM	VKLAD	14878	54987	\N	\N	\N
2727740	9024	1996-06-13	PRIJEM	VKLAD	22317	55276	\N	\N	\N
2727741	9024	1996-07-13	PRIJEM	VKLAD	14878	29680	\N	\N	\N
2727742	9024	1996-08-13	PRIJEM	VKLAD	14878	31778	\N	\N	\N
2727743	9024	1996-09-13	PRIJEM	VKLAD	14878	30802	\N	\N	\N
2727744	9024	1996-10-13	PRIJEM	VKLAD	14878	29612	\N	\N	\N
2727745	9024	1996-11-13	PRIJEM	VKLAD	14878	33223	\N	\N	\N
2727746	9024	1996-12-13	PRIJEM	VKLAD	22317	37683	\N	\N	\N
2727747	9024	1997-01-13	PRIJEM	VKLAD	14878	33454	\N	\N	\N
2727748	9024	1997-02-13	PRIJEM	VKLAD	14878	24694	\N	\N	\N
2727749	9024	1997-03-13	PRIJEM	VKLAD	14878	27765	\N	\N	\N
2727750	9024	1997-04-13	PRIJEM	VKLAD	14878	25457	\N	\N	\N
2727751	9024	1997-05-13	PRIJEM	VKLAD	14878	28122	\N	\N	\N
2727752	9024	1997-06-13	PRIJEM	VKLAD	22317	37346	\N	\N	\N
2727753	9024	1997-07-13	PRIJEM	VKLAD	14878	32393	\N	\N	\N
2727754	9024	1997-08-13	PRIJEM	VKLAD	14878	30132	\N	\N	\N
2727755	9024	1997-09-13	PRIJEM	VKLAD	14878	27017	\N	\N	\N
2727756	9024	1997-10-13	PRIJEM	VKLAD	14878	23342	\N	\N	\N
2727757	9024	1997-11-13	PRIJEM	VKLAD	14878	24405	\N	\N	\N
2727758	9024	1997-12-13	PRIJEM	VKLAD	22317	33170	\N	\N	\N
2727759	9024	1998-01-13	PRIJEM	VKLAD	14878	27816	\N	\N	\N
2727760	9024	1998-02-13	PRIJEM	VKLAD	14878	31149	\N	\N	\N
2727761	9024	1998-03-13	PRIJEM	VKLAD	14878	36977	\N	\N	\N
2727762	9024	1998-04-13	PRIJEM	VKLAD	14878	36806	\N	\N	\N
2727763	9024	1998-05-13	PRIJEM	VKLAD	14878	36264	\N	\N	\N
2727764	9024	1998-06-13	PRIJEM	VKLAD	22317	48231	\N	\N	\N
2727765	9024	1998-07-13	PRIJEM	VKLAD	14878	35606	\N	\N	\N
2727766	9024	1998-08-13	PRIJEM	VKLAD	14878	34422	\N	\N	\N
2727767	9024	1998-09-13	PRIJEM	VKLAD	14878	40878	\N	\N	\N
2727768	9024	1998-10-13	PRIJEM	VKLAD	14878	43772	\N	\N	\N
2727769	9024	1998-11-13	PRIJEM	VKLAD	14878	43835	\N	\N	\N
2727770	9024	1998-12-13	PRIJEM	VKLAD	22317	50984	\N	\N	\N
2727776	9024	1996-06-07	VYDAJ	PREVOD NA UCET	6270	32959	SIPO	AB	4807711
2727777	9024	1996-07-07	VYDAJ	PREVOD NA UCET	6270	14802	SIPO	AB	4807711
2727778	9024	1996-08-07	VYDAJ	PREVOD NA UCET	6270	16900	SIPO	AB	4807711
2727779	9024	1996-09-07	VYDAJ	PREVOD NA UCET	6270	15924	SIPO	AB	4807711
2727780	9024	1996-10-07	VYDAJ	PREVOD NA UCET	6270	16206	SIPO	AB	4807711
2727781	9024	1996-11-07	VYDAJ	PREVOD NA UCET	6270	19817	SIPO	AB	4807711
2727782	9024	1996-12-07	VYDAJ	PREVOD NA UCET	6270	16838	SIPO	AB	4807711
2727783	9024	1997-01-07	VYDAJ	PREVOD NA UCET	6270	20048	SIPO	AB	4807711
2727784	9024	1997-02-07	VYDAJ	PREVOD NA UCET	6270	11288	SIPO	AB	4807711
2727785	9024	1997-03-07	VYDAJ	PREVOD NA UCET	6270	14359	SIPO	AB	4807711
2727786	9024	1997-04-07	VYDAJ	PREVOD NA UCET	6270	12051	SIPO	AB	4807711
2727787	9024	1997-05-07	VYDAJ	PREVOD NA UCET	6270	14716	SIPO	AB	4807711
2727788	9024	1997-06-07	VYDAJ	PREVOD NA UCET	6270	16501	SIPO	AB	4807711
2727789	9024	1997-07-07	VYDAJ	PREVOD NA UCET	6270	18987	SIPO	AB	4807711
2727790	9024	1997-08-07	VYDAJ	PREVOD NA UCET	6270	16726	SIPO	AB	4807711
2727791	9024	1997-09-07	VYDAJ	PREVOD NA UCET	6270	13611	SIPO	AB	4807711
2727792	9024	1997-10-07	VYDAJ	PREVOD NA UCET	6270	9936	SIPO	AB	4807711
2727793	9024	1997-11-07	VYDAJ	PREVOD NA UCET	6270	10999	SIPO	AB	4807711
2727794	9024	1997-12-07	VYDAJ	PREVOD NA UCET	6270	12325	SIPO	AB	4807711
2727795	9024	1998-01-07	VYDAJ	PREVOD NA UCET	6270	14410	SIPO	AB	4807711
2727796	9024	1998-02-07	VYDAJ	PREVOD NA UCET	6270	17743	SIPO	AB	4807711
2727797	9024	1998-03-07	VYDAJ	PREVOD NA UCET	6270	23571	SIPO	AB	4807711
2727798	9024	1998-04-07	VYDAJ	PREVOD NA UCET	6270	23400	SIPO	AB	4807711
2727799	9024	1998-05-07	VYDAJ	PREVOD NA UCET	6270	22858	SIPO	AB	4807711
2727800	9024	1998-06-07	VYDAJ	PREVOD NA UCET	6270	27386	SIPO	AB	4807711
2727801	9024	1998-07-07	VYDAJ	PREVOD NA UCET	6270	22200	SIPO	AB	4807711
2727802	9024	1998-08-07	VYDAJ	PREVOD NA UCET	6270	21016	SIPO	AB	4807711
2727803	9024	1998-09-07	VYDAJ	PREVOD NA UCET	6270	27472	SIPO	AB	4807711
2727804	9024	1998-10-07	VYDAJ	PREVOD NA UCET	6270	30366	SIPO	AB	4807711
2727805	9024	1998-11-07	VYDAJ	PREVOD NA UCET	6270	30429	SIPO	AB	4807711
2727806	9024	1998-12-07	VYDAJ	PREVOD NA UCET	6270	30139	SIPO	AB	4807711
2727812	9024	1996-06-17	VYDAJ	VYBER	1600	53676	\N	\N	0
2727813	9024	1996-07-14	VYDAJ	VYBER	1200	28480	\N	\N	0
2727814	9024	1996-08-14	VYDAJ	VYBER	1700	30078	\N	\N	0
2727815	9024	1996-09-18	VYDAJ	VYBER	1400	29402	\N	\N	0
2727816	9024	1996-10-12	VYDAJ	PREVOD NA UCET	1472	14734	UVER	GH	77119290
2727817	9024	1996-11-12	VYDAJ	PREVOD NA UCET	1472	18345	UVER	GH	77119290
2727818	9024	1996-12-12	VYDAJ	PREVOD NA UCET	1472	15366	UVER	GH	77119290
2727819	9024	1997-01-12	VYDAJ	PREVOD NA UCET	1472	18576	UVER	GH	77119290
2727820	9024	1997-02-12	VYDAJ	PREVOD NA UCET	1472	9816	UVER	GH	77119290
2727821	9024	1997-03-12	VYDAJ	PREVOD NA UCET	1472	12887	UVER	GH	77119290
2727822	9024	1997-04-12	VYDAJ	PREVOD NA UCET	1472	10579	UVER	GH	77119290
2727823	9024	1997-05-12	VYDAJ	PREVOD NA UCET	1472	13244	UVER	GH	77119290
2727824	9024	1997-06-12	VYDAJ	PREVOD NA UCET	1472	15029	UVER	GH	77119290
2727825	9024	1997-07-12	VYDAJ	PREVOD NA UCET	1472	17515	UVER	GH	77119290
2727826	9024	1997-08-12	VYDAJ	PREVOD NA UCET	1472	15254	UVER	GH	77119290
2727827	9024	1997-09-12	VYDAJ	PREVOD NA UCET	1472	12139	UVER	GH	77119290
2727828	9024	1997-10-12	VYDAJ	PREVOD NA UCET	1472	8464	UVER	GH	77119290
2727829	9024	1997-11-12	VYDAJ	PREVOD NA UCET	1472	9527	UVER	GH	77119290
2727830	9024	1997-12-12	VYDAJ	PREVOD NA UCET	1472	10853	UVER	GH	77119290
2727831	9024	1998-01-12	VYDAJ	PREVOD NA UCET	1472	12938	UVER	GH	77119290
2727832	9024	1998-02-12	VYDAJ	PREVOD NA UCET	1472	16271	UVER	GH	77119290
2727833	9024	1998-03-12	VYDAJ	PREVOD NA UCET	1472	22099	UVER	GH	77119290
2727834	9024	1998-04-12	VYDAJ	PREVOD NA UCET	1472	21928	UVER	GH	77119290
2727835	9024	1998-05-12	VYDAJ	PREVOD NA UCET	1472	21386	UVER	GH	77119290
2727836	9024	1998-06-12	VYDAJ	PREVOD NA UCET	1472	25914	UVER	GH	77119290
2727837	9024	1998-07-12	VYDAJ	PREVOD NA UCET	1472	20728	UVER	GH	77119290
2727838	9024	1998-08-12	VYDAJ	PREVOD NA UCET	1472	19544	UVER	GH	77119290
2727839	9024	1998-09-12	VYDAJ	PREVOD NA UCET	1472	26000	UVER	GH	77119290
2727840	9024	1998-10-12	VYDAJ	PREVOD NA UCET	1472	28894	UVER	GH	77119290
2727841	9024	1998-11-12	VYDAJ	PREVOD NA UCET	1472	28957	UVER	GH	77119290
2727842	9024	1998-12-12	VYDAJ	PREVOD NA UCET	1472	28667	UVER	GH	77119290
2727843	9024	1996-06-26	VYDAJ	VYBER	26080	27596	\N	\N	\N
2727845	9024	1998-06-28	VYDAJ	VYBER	14400	28231	\N	\N	\N
2727849	9024	1996-12-30	VYDAJ	VYBER	2880	34803	\N	\N	\N
2727850	9024	1997-12-27	VYDAJ	VYBER	2240	21730	\N	\N	\N
2727851	9024	1998-12-23	VYDAJ	VYBER	2720	36864	\N	\N	\N
2727858	9024	1997-01-16	VYDAJ	VYBER	1680	31774	\N	\N	\N
2727859	9024	1997-01-23	VYDAJ	VYBER	3480	19414	\N	\N	\N
2727860	9024	1997-01-20	VYDAJ	VYBER	3000	25414	\N	\N	\N
2727861	9024	1997-01-22	VYDAJ	VYBER	2520	22894	\N	\N	\N
2727862	9024	1997-01-18	VYDAJ	VYBER	840	30934	\N	\N	\N
2727863	9024	1997-01-19	VYDAJ	VYBER	2520	28414	\N	\N	\N
2727864	9024	1998-01-06	VYDAJ	VYBER	600	20680	\N	\N	\N
2727865	9024	1998-01-14	VYDAJ	VYBER	960	26856	\N	\N	\N
2727866	9024	1998-01-02	VYDAJ	VYBER	600	21280	\N	\N	\N
2727868	9024	1998-01-14	VYDAJ	VYBER	600	26256	\N	\N	\N
2727870	9024	1996-07-04	VYDAJ	VYBER	5040	21072	\N	\N	\N
2727874	9024	1996-08-17	VYDAJ	VYBER	1680	28398	\N	\N	\N
2727876	9024	1997-03-15	VYDAJ	VYBER	4200	23565	\N	\N	\N
2727877	9024	1997-06-18	VYDAJ	VYBER	1200	36146	\N	\N	\N
2727878	9024	1997-09-26	VYDAJ	VYBER	4440	16077	\N	\N	\N
2727879	9024	1997-11-24	VYDAJ	VYBER	2520	21885	\N	\N	\N
2727880	9024	1997-06-21	VYDAJ	VYBER	4200	31946	\N	\N	\N
2727881	9024	1997-02-13	VYDAJ	VYBER	4080	20614	\N	\N	\N
2727882	9024	1998-07-27	VYDAJ	VYBER	4800	27106	\N	\N	\N
2727883	9024	1998-04-13	VYDAJ	VYBER	3000	33806	\N	\N	\N
2727889	9024	1996-05-31	VYDAJ	VYBER	15	55329	SLUZBY	\N	\N
2727890	9024	1996-06-30	VYDAJ	VYBER	15	27912	SLUZBY	\N	\N
2727891	9024	1996-07-31	VYDAJ	VYBER	15	28670	SLUZBY	\N	\N
2727892	9024	1996-08-31	VYDAJ	VYBER	15	28594	SLUZBY	\N	\N
2727893	9024	1996-09-30	VYDAJ	VYBER	15	29576	SLUZBY	\N	\N
2727894	9024	1996-10-31	VYDAJ	VYBER	15	26087	SLUZBY	\N	\N
2727895	9024	1996-11-30	VYDAJ	VYBER	15	33408	SLUZBY	\N	\N
2727896	9024	1996-12-31	VYDAJ	VYBER	15	26318	SLUZBY	\N	\N
2727897	9024	1997-01-31	VYDAJ	VYBER	15	17558	SLUZBY	\N	\N
2727898	9024	1997-02-28	VYDAJ	VYBER	15	20629	SLUZBY	\N	\N
2727899	9024	1997-03-31	VYDAJ	VYBER	15	18321	SLUZBY	\N	\N
2727900	9024	1997-04-30	VYDAJ	VYBER	15	20986	SLUZBY	\N	\N
2727901	9024	1997-05-31	VYDAJ	VYBER	15	22771	SLUZBY	\N	\N
2727902	9024	1997-06-30	VYDAJ	VYBER	15	25257	SLUZBY	\N	\N
2727903	9024	1997-07-31	VYDAJ	VYBER	15	22996	SLUZBY	\N	\N
2727904	9024	1997-08-31	VYDAJ	VYBER	15	19881	SLUZBY	\N	\N
2727905	9024	1997-09-30	VYDAJ	VYBER	15	16206	SLUZBY	\N	\N
2727906	9024	1997-10-31	VYDAJ	VYBER	15	17269	SLUZBY	\N	\N
2727907	9024	1997-11-30	VYDAJ	VYBER	15	18595	SLUZBY	\N	\N
2727908	9024	1997-12-31	VYDAJ	VYBER	15	21880	SLUZBY	\N	\N
2727909	9024	1998-01-31	VYDAJ	VYBER	15	24013	SLUZBY	\N	\N
2727910	9024	1998-02-28	VYDAJ	VYBER	15	29841	SLUZBY	\N	\N
2727911	9024	1998-03-31	VYDAJ	VYBER	15	29670	SLUZBY	\N	\N
2727912	9024	1998-04-30	VYDAJ	VYBER	15	29128	SLUZBY	\N	\N
2727913	9024	1998-05-31	VYDAJ	VYBER	15	33656	SLUZBY	\N	\N
2727914	9024	1998-06-30	VYDAJ	VYBER	15	28470	SLUZBY	\N	\N
2727915	9024	1998-07-31	VYDAJ	VYBER	15	27286	SLUZBY	\N	\N
2727916	9024	1998-08-31	VYDAJ	VYBER	15	33742	SLUZBY	\N	\N
2727917	9024	1998-09-30	VYDAJ	VYBER	15	36636	SLUZBY	\N	\N
2727918	9024	1998-10-31	VYDAJ	VYBER	15	36699	SLUZBY	\N	\N
2727919	9024	1998-11-30	VYDAJ	VYBER	15	36409	SLUZBY	\N	\N
2727920	9024	1996-02-04	PRIJEM	VKLAD	4600	20155	\N	\N	\N
2727921	9024	1996-03-05	VYDAJ	VYBER	2200	33026	\N	\N	\N
2727922	9024	1996-04-04	VYDAJ	VYBER	10600	37598	\N	\N	\N
2727923	9024	1996-05-04	VYDAJ	VYBER	12700	40109	\N	\N	\N
2727924	9024	1996-06-03	VYDAJ	VYBER	16100	39229	\N	\N	\N
2727925	9024	1996-07-03	VYDAJ	VYBER	1800	26112	\N	\N	\N
2727926	9024	1996-08-02	VYDAJ	VYBER	5500	23170	\N	\N	\N
2727927	9024	1996-09-01	VYDAJ	VYBER	6400	22194	\N	\N	\N
2727928	9024	1996-10-01	VYDAJ	VYBER	7100	22476	\N	\N	\N
2727929	9024	1996-10-31	VYDAJ	VYBER	3700	26102	\N	\N	\N
2727930	9024	1996-11-30	VYDAJ	VYBER	10300	23108	\N	\N	\N
2727931	9024	1996-12-30	VYDAJ	VYBER	8700	26103	\N	\N	\N
2727932	9024	1997-01-29	VYDAJ	VYBER	2000	17414	\N	\N	\N
2727933	9024	1997-02-28	VYDAJ	VYBER	100	20644	\N	\N	\N
2727934	9024	1997-03-30	VYDAJ	VYBER	5400	18165	\N	\N	\N
2727935	9024	1997-04-29	VYDAJ	VYBER	4600	20857	\N	\N	\N
2727936	9024	1997-05-29	VYDAJ	VYBER	5500	22622	\N	\N	\N
2727937	9024	1997-06-28	VYDAJ	VYBER	6900	25046	\N	\N	\N
2727938	9024	1997-07-28	VYDAJ	VYBER	9600	22793	\N	\N	\N
2727939	9024	1997-08-27	VYDAJ	VYBER	10400	19732	\N	\N	\N
2727940	9024	1997-09-26	VYDAJ	VYBER	6500	20517	\N	\N	\N
2727941	9024	1997-10-26	VYDAJ	VYBER	6200	17142	\N	\N	\N
2727942	9024	1997-11-25	VYDAJ	VYBER	3400	18485	\N	\N	\N
2727943	9024	1997-12-25	VYDAJ	VYBER	9200	23970	\N	\N	\N
2727944	9024	1998-01-24	VYDAJ	VYBER	2400	23856	\N	\N	\N
2727945	9024	1998-02-23	VYDAJ	VYBER	1500	29649	\N	\N	\N
2727946	9024	1998-03-25	VYDAJ	VYBER	7500	29477	\N	\N	\N
2727947	9024	1998-04-24	VYDAJ	VYBER	4900	28906	\N	\N	\N
2727948	9024	1998-05-24	VYDAJ	VYBER	2800	33464	\N	\N	\N
2727949	9024	1998-06-23	VYDAJ	VYBER	5600	42631	\N	\N	\N
2727950	9024	1998-07-23	VYDAJ	VYBER	3700	31906	\N	\N	\N
2727951	9024	1998-08-22	VYDAJ	VYBER	900	33522	\N	\N	\N
2727952	9024	1998-09-21	VYDAJ	VYBER	4500	36378	\N	\N	\N
2727953	9024	1998-10-21	VYDAJ	VYBER	7300	36472	\N	\N	\N
2727954	9024	1998-11-20	VYDAJ	VYBER	7700	36135	\N	\N	\N
2727955	9024	1998-12-20	VYDAJ	VYBER	11400	39584	\N	\N	\N
2729586	9030	1995-01-21	PRIJEM	VKLAD	200	200	\N	\N	\N
2729588	9030	1995-02-06	PRIJEM	VKLAD	17592	17792	\N	\N	\N
2729589	9030	1995-03-06	PRIJEM	VKLAD	17592	37534	\N	\N	\N
2729590	9030	1995-04-06	PRIJEM	VKLAD	17592	48661	\N	\N	\N
2729591	9030	1995-05-06	PRIJEM	VKLAD	17592	54336	\N	\N	\N
2729592	9030	1995-06-06	PRIJEM	VKLAD	26388	67637	\N	\N	\N
2729593	9030	1995-07-06	PRIJEM	VKLAD	17592	53806	\N	\N	\N
2729594	9030	1995-08-06	PRIJEM	VKLAD	17592	55144	\N	\N	\N
2729595	9030	1995-09-06	PRIJEM	VKLAD	17592	51799	\N	\N	\N
2729596	9030	1995-10-06	PRIJEM	VKLAD	17592	53979	\N	\N	\N
2729597	9030	1995-11-06	PRIJEM	VKLAD	17592	55553	\N	\N	\N
2729598	9030	1995-12-06	PRIJEM	VKLAD	26388	64370	\N	\N	\N
2729599	9030	1996-01-06	PRIJEM	VKLAD	17592	59395	\N	\N	\N
2729600	9030	1996-02-06	PRIJEM	VKLAD	17592	48289	\N	\N	\N
2729601	9030	1996-03-06	PRIJEM	VKLAD	17592	55269	\N	\N	\N
2729602	9030	1996-04-06	PRIJEM	VKLAD	17592	58792	\N	\N	\N
2729603	9030	1996-05-06	PRIJEM	VKLAD	17592	64940	\N	\N	\N
2729604	9030	1996-06-06	PRIJEM	VKLAD	26388	73261	\N	\N	\N
2729605	9030	1996-07-06	PRIJEM	VKLAD	17592	36914	\N	\N	\N
2729606	9030	1996-08-06	PRIJEM	VKLAD	17592	50582	\N	\N	\N
2729607	9030	1996-09-06	PRIJEM	VKLAD	17592	55381	\N	\N	\N
2729608	9030	1996-10-06	PRIJEM	VKLAD	17592	60333	\N	\N	\N
2729609	9030	1996-11-06	PRIJEM	VKLAD	17592	60244	\N	\N	\N
2729610	9030	1996-12-06	PRIJEM	VKLAD	26388	75294	\N	\N	\N
2729611	9030	1997-01-06	PRIJEM	VKLAD	17592	70255	\N	\N	\N
2729612	9030	1997-02-06	PRIJEM	VKLAD	17592	60715	\N	\N	\N
2729613	9030	1997-03-06	PRIJEM	VKLAD	17592	60460	\N	\N	\N
2729614	9030	1997-04-06	PRIJEM	VKLAD	17592	64778	\N	\N	\N
2729615	9030	1997-05-06	PRIJEM	VKLAD	17592	61660	\N	\N	\N
2729616	9030	1997-06-06	PRIJEM	VKLAD	26388	72623	\N	\N	\N
2729617	9030	1997-07-06	PRIJEM	VKLAD	17592	46218	\N	\N	\N
2729618	9030	1997-08-06	PRIJEM	VKLAD	17592	52954	\N	\N	\N
2729619	9030	1997-09-06	PRIJEM	VKLAD	17592	57938	\N	\N	\N
2729620	9030	1997-10-06	PRIJEM	VKLAD	17592	56346	\N	\N	\N
2729621	9030	1997-11-06	PRIJEM	VKLAD	17592	55925	\N	\N	\N
2729622	9030	1997-12-06	PRIJEM	VKLAD	26388	60702	\N	\N	\N
2729623	9030	1998-01-06	PRIJEM	VKLAD	17592	54032	\N	\N	\N
2729624	9030	1998-02-06	PRIJEM	VKLAD	17592	55436	\N	\N	\N
2729625	9030	1998-03-06	PRIJEM	VKLAD	17592	66713	\N	\N	\N
2729626	9030	1998-04-06	PRIJEM	VKLAD	17592	58122	\N	\N	\N
2729627	9030	1998-05-06	PRIJEM	VKLAD	17592	60912	\N	\N	\N
2729628	9030	1998-06-06	PRIJEM	VKLAD	26388	72127	\N	\N	\N
2729629	9030	1998-07-06	PRIJEM	VKLAD	17592	60973	\N	\N	\N
2729630	9030	1998-08-06	PRIJEM	VKLAD	17592	59895	\N	\N	\N
2729631	9030	1998-09-06	PRIJEM	VKLAD	17592	61681	\N	\N	\N
2729632	9030	1998-10-06	PRIJEM	VKLAD	17592	62703	\N	\N	\N
2729633	9030	1998-11-06	PRIJEM	VKLAD	17592	62007	\N	\N	\N
2729634	9030	1998-12-06	PRIJEM	VKLAD	26388	69128	\N	\N	\N
2729640	9030	1995-06-13	VYDAJ	PREVOD NA UCET	2587	51130	SIPO	UV	55505740
2729641	9030	1995-07-13	VYDAJ	PREVOD NA UCET	2587	51219	SIPO	UV	55505740
2729642	9030	1995-08-13	VYDAJ	PREVOD NA UCET	2587	47857	SIPO	UV	55505740
2729643	9030	1995-09-13	VYDAJ	PREVOD NA UCET	2587	49212	SIPO	UV	55505740
2729644	9030	1995-10-13	VYDAJ	PREVOD NA UCET	2587	47892	SIPO	UV	55505740
2729645	9030	1995-11-13	VYDAJ	PREVOD NA UCET	2587	49366	SIPO	UV	55505740
2729646	9030	1995-12-13	VYDAJ	PREVOD NA UCET	2587	58583	SIPO	UV	55505740
2729647	9030	1996-01-13	VYDAJ	PREVOD NA UCET	2587	56808	SIPO	UV	55505740
2729648	9030	1996-02-13	VYDAJ	PREVOD NA UCET	2587	45702	SIPO	UV	55505740
2729649	9030	1996-03-13	VYDAJ	PREVOD NA UCET	2587	52682	SIPO	UV	55505740
2729650	9030	1996-04-13	VYDAJ	PREVOD NA UCET	2587	53505	SIPO	UV	55505740
2729651	9030	1996-05-13	VYDAJ	PREVOD NA UCET	2587	59353	SIPO	UV	55505740
2729652	9030	1996-06-13	VYDAJ	PREVOD NA UCET	2587	70674	SIPO	UV	55505740
2729653	9030	1996-07-13	VYDAJ	PREVOD NA UCET	2587	30727	SIPO	UV	55505740
2729654	9030	1996-08-13	VYDAJ	PREVOD NA UCET	2587	38395	SIPO	UV	55505740
2729655	9030	1996-09-13	VYDAJ	PREVOD NA UCET	2587	43294	SIPO	UV	55505740
2729656	9030	1996-10-13	VYDAJ	PREVOD NA UCET	2587	46046	SIPO	UV	55505740
2729657	9030	1996-11-13	VYDAJ	PREVOD NA UCET	2587	49357	SIPO	UV	55505740
2729658	9030	1996-12-13	VYDAJ	PREVOD NA UCET	2587	54865	SIPO	UV	55505740
2729659	9030	1997-01-13	VYDAJ	PREVOD NA UCET	2587	50526	SIPO	UV	55505740
2729660	9030	1997-02-13	VYDAJ	PREVOD NA UCET	2587	43386	SIPO	UV	55505740
2729661	9030	1997-03-13	VYDAJ	PREVOD NA UCET	2587	47731	SIPO	UV	55505740
2729662	9030	1997-04-13	VYDAJ	PREVOD NA UCET	2587	44549	SIPO	UV	55505740
2729663	9030	1997-05-13	VYDAJ	PREVOD NA UCET	2587	46731	SIPO	UV	55505740
2729664	9030	1997-06-13	VYDAJ	PREVOD NA UCET	2587	47694	SIPO	UV	55505740
2729665	9030	1997-07-13	VYDAJ	PREVOD NA UCET	2587	35989	SIPO	UV	55505740
2729666	9030	1997-08-13	VYDAJ	PREVOD NA UCET	2587	40925	SIPO	UV	55505740
2729667	9030	1997-09-13	VYDAJ	PREVOD NA UCET	2587	39309	SIPO	UV	55505740
2729668	9030	1997-10-13	VYDAJ	PREVOD NA UCET	2587	38917	SIPO	UV	55505740
2729669	9030	1997-11-13	VYDAJ	PREVOD NA UCET	2587	38716	SIPO	UV	55505740
2729670	9030	1997-12-13	VYDAJ	PREVOD NA UCET	2587	41273	SIPO	UV	55505740
2729671	9030	1998-01-13	VYDAJ	PREVOD NA UCET	2587	48203	SIPO	UV	55505740
2729672	9030	1998-02-13	VYDAJ	PREVOD NA UCET	2587	49607	SIPO	UV	55505740
2729673	9030	1998-03-13	VYDAJ	PREVOD NA UCET	2587	47584	SIPO	UV	55505740
2729674	9030	1998-04-13	VYDAJ	PREVOD NA UCET	2587	52293	SIPO	UV	55505740
2729675	9030	1998-05-13	VYDAJ	PREVOD NA UCET	2587	55083	SIPO	UV	55505740
2729676	9030	1998-06-13	VYDAJ	PREVOD NA UCET	2587	66298	SIPO	UV	55505740
2729677	9030	1998-07-13	VYDAJ	PREVOD NA UCET	2587	55144	SIPO	UV	55505740
2729678	9030	1998-08-13	VYDAJ	PREVOD NA UCET	2587	54066	SIPO	UV	55505740
2729679	9030	1998-09-13	VYDAJ	PREVOD NA UCET	2587	55852	SIPO	UV	55505740
2729680	9030	1998-10-13	VYDAJ	PREVOD NA UCET	2587	56874	SIPO	UV	55505740
2729681	9030	1998-11-13	VYDAJ	PREVOD NA UCET	2587	56178	SIPO	UV	55505740
2729682	9030	1998-12-13	VYDAJ	PREVOD NA UCET	2587	58659	SIPO	UV	55505740
2729688	9030	1995-06-14	VYDAJ	PREVOD NA UCET	831	47199	 	YZ	49006336
2729689	9030	1995-07-14	VYDAJ	PREVOD NA UCET	831	50388	 	YZ	49006336
2729690	9030	1995-08-14	VYDAJ	PREVOD NA UCET	831	47026	 	YZ	49006336
2729691	9030	1995-09-14	VYDAJ	PREVOD NA UCET	831	48381	 	YZ	49006336
2729692	9030	1995-10-14	VYDAJ	PREVOD NA UCET	831	47061	 	YZ	49006336
2729693	9030	1995-11-14	VYDAJ	PREVOD NA UCET	831	48535	 	YZ	49006336
2729694	9030	1995-12-14	VYDAJ	PREVOD NA UCET	831	54852	 	YZ	49006336
2729695	9030	1996-01-14	VYDAJ	PREVOD NA UCET	831	55977	 	YZ	49006336
2729696	9030	1996-02-14	VYDAJ	PREVOD NA UCET	831	44871	 	YZ	49006336
2729697	9030	1996-03-14	VYDAJ	PREVOD NA UCET	831	51851	 	YZ	49006336
2729698	9030	1996-04-14	VYDAJ	PREVOD NA UCET	831	52674	 	YZ	49006336
2729699	9030	1996-05-14	VYDAJ	PREVOD NA UCET	831	58522	 	YZ	49006336
2729700	9030	1996-06-14	VYDAJ	PREVOD NA UCET	831	55943	 	YZ	49006336
2729701	9030	1996-07-14	VYDAJ	PREVOD NA UCET	831	32796	 	YZ	49006336
2729702	9030	1996-08-14	VYDAJ	PREVOD NA UCET	831	37564	 	YZ	49006336
2729703	9030	1996-09-14	VYDAJ	PREVOD NA UCET	831	42463	 	YZ	49006336
2729704	9030	1996-10-14	VYDAJ	PREVOD NA UCET	831	45215	 	YZ	49006336
2729705	9030	1996-11-14	VYDAJ	PREVOD NA UCET	831	48526	 	YZ	49006336
2729706	9030	1996-12-14	VYDAJ	PREVOD NA UCET	831	54034	 	YZ	49006336
2729707	9030	1997-01-14	VYDAJ	PREVOD NA UCET	831	49695	 	YZ	49006336
2729708	9030	1997-02-14	VYDAJ	PREVOD NA UCET	831	42555	 	YZ	49006336
2729709	9030	1997-03-14	VYDAJ	PREVOD NA UCET	831	46900	 	YZ	49006336
2729710	9030	1997-04-14	VYDAJ	PREVOD NA UCET	831	43718	 	YZ	49006336
2729711	9030	1997-05-14	VYDAJ	PREVOD NA UCET	831	45900	 	YZ	49006336
2729712	9030	1997-06-14	VYDAJ	PREVOD NA UCET	831	46863	 	YZ	49006336
2729713	9030	1997-07-14	VYDAJ	PREVOD NA UCET	831	35158	 	YZ	49006336
2729714	9030	1997-08-14	VYDAJ	PREVOD NA UCET	831	40094	 	YZ	49006336
2729715	9030	1997-09-14	VYDAJ	PREVOD NA UCET	831	38478	 	YZ	49006336
2729716	9030	1997-10-14	VYDAJ	PREVOD NA UCET	831	38086	 	YZ	49006336
2729717	9030	1997-11-14	VYDAJ	PREVOD NA UCET	831	37885	 	YZ	49006336
2729718	9030	1997-12-14	VYDAJ	PREVOD NA UCET	831	40442	 	YZ	49006336
2729719	9030	1998-01-14	VYDAJ	PREVOD NA UCET	831	47372	 	YZ	49006336
2729720	9030	1998-02-14	VYDAJ	PREVOD NA UCET	831	48776	 	YZ	49006336
2729721	9030	1998-03-14	VYDAJ	PREVOD NA UCET	831	46753	 	YZ	49006336
2729722	9030	1998-04-14	VYDAJ	PREVOD NA UCET	831	51462	 	YZ	49006336
2729723	9030	1998-05-14	VYDAJ	PREVOD NA UCET	831	54252	 	YZ	49006336
2729724	9030	1998-06-14	VYDAJ	PREVOD NA UCET	831	65467	 	YZ	49006336
2729725	9030	1998-07-14	VYDAJ	PREVOD NA UCET	831	54313	 	YZ	49006336
2729726	9030	1998-08-14	VYDAJ	PREVOD NA UCET	831	53235	 	YZ	49006336
2729727	9030	1998-09-14	VYDAJ	PREVOD NA UCET	831	55021	 	YZ	49006336
2729728	9030	1998-10-14	VYDAJ	PREVOD NA UCET	831	56043	 	YZ	49006336
2729729	9030	1998-11-14	VYDAJ	PREVOD NA UCET	831	55347	 	YZ	49006336
2729730	9030	1998-12-14	VYDAJ	PREVOD NA UCET	831	57828	 	YZ	49006336
2729736	9030	1995-06-14	VYDAJ	VYBER	3100	48030	\N	\N	0
2729737	9030	1995-07-04	VYDAJ	VYBER	2700	36214	\N	\N	0
2729738	9030	1995-08-09	VYDAJ	VYBER	3500	51644	\N	\N	0
2729739	9030	1995-09-05	VYDAJ	VYBER	4000	34207	\N	\N	0
2729740	9030	1995-10-12	VYDAJ	VYBER	3500	50479	\N	\N	0
2729741	9030	1995-11-21	VYDAJ	VYBER	3100	37735	\N	\N	0
2729742	9030	1995-12-13	VYDAJ	VYBER	2900	55683	\N	\N	0
2729743	9030	1996-01-18	VYDAJ	VYBER	3400	35557	\N	\N	0
2729744	9030	1996-02-03	VYDAJ	VYBER	3000	30697	\N	\N	0
2729745	9030	1996-03-15	VYDAJ	VYBER	3200	48651	\N	\N	0
2729746	9030	1996-04-06	VYDAJ	VYBER	2700	56092	\N	\N	0
2729747	9030	1996-05-09	VYDAJ	VYBER	3000	61940	\N	\N	0
2729748	9030	1996-06-05	VYDAJ	VYBER	4000	46873	\N	\N	0
2729749	9030	1996-07-08	VYDAJ	VYBER	3600	33314	\N	\N	0
2729750	9030	1996-08-11	VYDAJ	VYBER	3600	46982	\N	\N	0
2729751	9030	1996-09-09	VYDAJ	VYBER	3300	52081	\N	\N	0
2729752	9030	1996-10-11	VYDAJ	VYBER	2600	57733	\N	\N	0
2729753	9030	1996-11-05	VYDAJ	VYBER	2900	42652	\N	\N	0
2729754	9030	1996-12-12	VYDAJ	PREVOD NA UCET	3242	57452	UVER	UV	13342953
2729755	9030	1997-01-12	VYDAJ	PREVOD NA UCET	3242	53113	UVER	UV	13342953
2729756	9030	1997-02-12	VYDAJ	PREVOD NA UCET	3242	45973	UVER	UV	13342953
2729757	9030	1997-03-12	VYDAJ	PREVOD NA UCET	3242	50318	UVER	UV	13342953
2729758	9030	1997-04-12	VYDAJ	PREVOD NA UCET	3242	47136	UVER	UV	13342953
2729759	9030	1997-05-12	VYDAJ	PREVOD NA UCET	3242	49318	UVER	UV	13342953
2729760	9030	1997-06-12	VYDAJ	PREVOD NA UCET	3242	50281	UVER	UV	13342953
2729761	9030	1997-07-12	VYDAJ	PREVOD NA UCET	3242	38576	UVER	UV	13342953
2729762	9030	1997-08-12	VYDAJ	PREVOD NA UCET	3242	43512	UVER	UV	13342953
2729763	9030	1997-09-12	VYDAJ	PREVOD NA UCET	3242	41896	UVER	UV	13342953
2729764	9030	1997-10-12	VYDAJ	PREVOD NA UCET	3242	41504	UVER	UV	13342953
2729765	9030	1997-11-12	VYDAJ	PREVOD NA UCET	3242	41303	UVER	UV	13342953
2729766	9030	1997-12-12	VYDAJ	PREVOD NA UCET	3242	43860	UVER	UV	13342953
2729767	9030	1998-01-12	VYDAJ	PREVOD NA UCET	3242	50790	UVER	UV	13342953
2729768	9030	1998-02-12	VYDAJ	PREVOD NA UCET	3242	52194	UVER	UV	13342953
2729769	9030	1998-03-12	VYDAJ	PREVOD NA UCET	3242	50171	UVER	UV	13342953
2729770	9030	1998-04-12	VYDAJ	PREVOD NA UCET	3242	54880	UVER	UV	13342953
2729771	9030	1998-05-12	VYDAJ	PREVOD NA UCET	3242	57670	UVER	UV	13342953
2729772	9030	1998-06-12	VYDAJ	PREVOD NA UCET	3242	68885	UVER	UV	13342953
2729773	9030	1998-07-12	VYDAJ	PREVOD NA UCET	3242	57731	UVER	UV	13342953
2729774	9030	1998-08-12	VYDAJ	PREVOD NA UCET	3242	56653	UVER	UV	13342953
2729775	9030	1998-09-12	VYDAJ	PREVOD NA UCET	3242	58439	UVER	UV	13342953
2729776	9030	1998-10-12	VYDAJ	PREVOD NA UCET	3242	59461	UVER	UV	13342953
2729777	9030	1998-11-12	VYDAJ	PREVOD NA UCET	3242	58765	UVER	UV	13342953
2729778	9030	1998-12-12	VYDAJ	PREVOD NA UCET	3242	61246	UVER	UV	13342953
2729779	9030	1995-06-08	VYDAJ	VYBER	13920	53717	\N	\N	\N
2729780	9030	1996-06-19	VYDAJ	VYBER	36960	18983	\N	\N	\N
2729781	9030	1997-06-27	VYDAJ	VYBER	18560	28303	\N	\N	\N
2729782	9030	1998-06-23	VYDAJ	VYBER	9600	55867	\N	\N	\N
2729784	9030	1996-01-14	VYDAJ	VYBER	13120	42857	\N	\N	\N
2729785	9030	1997-01-23	VYDAJ	VYBER	6880	42815	\N	\N	\N
2729786	9030	1998-01-30	VYDAJ	VYBER	2400	38852	\N	\N	\N
2729787	9030	1995-12-09	VYDAJ	VYBER	3200	61170	\N	\N	\N
2729788	9030	1996-12-26	VYDAJ	VYBER	1760	52274	\N	\N	\N
2729789	9030	1997-12-27	VYDAJ	VYBER	1280	39162	\N	\N	\N
2729790	9030	1998-12-06	VYDAJ	VYBER	4640	64488	\N	\N	\N
2729792	9030	1995-11-13	VYDAJ	VYBER	3600	51953	\N	\N	\N
2729793	9030	1995-08-13	VYDAJ	VYBER	1200	50444	\N	\N	\N
2729795	9030	1995-07-17	VYDAJ	VYBER	3480	46908	\N	\N	\N
2729796	9030	1996-04-01	VYDAJ	VYBER	4080	41200	\N	\N	\N
2729797	9030	1996-01-22	VYDAJ	VYBER	2160	33397	\N	\N	\N
2729798	9030	1997-04-06	VYDAJ	VYBER	600	64178	\N	\N	\N
2729799	9030	1997-11-08	VYDAJ	VYBER	1080	44545	\N	\N	\N
2729800	9030	1997-11-22	VYDAJ	VYBER	3840	34045	\N	\N	\N
2729801	9030	1998-01-22	VYDAJ	VYBER	1800	41252	\N	\N	\N
2729802	9030	1998-03-21	VYDAJ	VYBER	3960	42793	\N	\N	\N
2729803	9030	1998-01-18	VYDAJ	VYBER	4320	43052	\N	\N	\N
2729804	9030	1998-07-16	VYDAJ	VYBER	2160	52153	\N	\N	\N
2729805	9030	1998-04-25	VYDAJ	VYBER	1680	49782	\N	\N	\N
2729812	9030	1995-06-30	VYDAJ	VYBER	15	38914	SLUZBY	\N	\N
2729813	9030	1995-07-31	VYDAJ	VYBER	15	37552	SLUZBY	\N	\N
2729814	9030	1995-08-31	VYDAJ	VYBER	15	38207	SLUZBY	\N	\N
2729815	9030	1995-09-30	VYDAJ	VYBER	15	36387	SLUZBY	\N	\N
2729816	9030	1995-10-31	VYDAJ	VYBER	15	37961	SLUZBY	\N	\N
2729817	9030	1995-11-30	VYDAJ	VYBER	15	37982	SLUZBY	\N	\N
2729818	9030	1995-12-31	VYDAJ	VYBER	15	41803	SLUZBY	\N	\N
2729819	9030	1996-01-31	VYDAJ	VYBER	15	33697	SLUZBY	\N	\N
2729820	9030	1996-02-29	VYDAJ	VYBER	15	37677	SLUZBY	\N	\N
2729821	9030	1996-03-31	VYDAJ	VYBER	15	45280	SLUZBY	\N	\N
2729822	9030	1996-04-30	VYDAJ	VYBER	15	47348	SLUZBY	\N	\N
2729823	9030	1996-05-31	VYDAJ	VYBER	15	50873	SLUZBY	\N	\N
2729824	9030	1996-06-30	VYDAJ	VYBER	15	19322	SLUZBY	\N	\N
2729825	9030	1996-07-31	VYDAJ	VYBER	15	32990	SLUZBY	\N	\N
2729826	9030	1996-08-31	VYDAJ	VYBER	15	37789	SLUZBY	\N	\N
2729827	9030	1996-09-30	VYDAJ	VYBER	15	42741	SLUZBY	\N	\N
2729828	9030	1996-10-31	VYDAJ	VYBER	15	45552	SLUZBY	\N	\N
2729829	9030	1996-11-30	VYDAJ	VYBER	15	48906	SLUZBY	\N	\N
2729830	9030	1996-12-31	VYDAJ	VYBER	15	52663	SLUZBY	\N	\N
2729831	9030	1997-01-31	VYDAJ	VYBER	15	43123	SLUZBY	\N	\N
2729832	9030	1997-02-28	VYDAJ	VYBER	15	42868	SLUZBY	\N	\N
2729833	9030	1997-03-31	VYDAJ	VYBER	15	47186	SLUZBY	\N	\N
2729834	9030	1997-04-30	VYDAJ	VYBER	15	44068	SLUZBY	\N	\N
2729835	9030	1997-05-31	VYDAJ	VYBER	15	46235	SLUZBY	\N	\N
2729836	9030	1997-06-30	VYDAJ	VYBER	15	28626	SLUZBY	\N	\N
2729837	9030	1997-07-31	VYDAJ	VYBER	15	35362	SLUZBY	\N	\N
2729838	9030	1997-08-31	VYDAJ	VYBER	15	40346	SLUZBY	\N	\N
2729839	9030	1997-09-30	VYDAJ	VYBER	15	38754	SLUZBY	\N	\N
2729840	9030	1997-10-31	VYDAJ	VYBER	15	38333	SLUZBY	\N	\N
2729841	9030	1997-11-30	VYDAJ	VYBER	15	34314	SLUZBY	\N	\N
2729842	9030	1997-12-31	VYDAJ	VYBER	15	39440	SLUZBY	\N	\N
2729843	9030	1998-01-31	VYDAJ	VYBER	15	39144	SLUZBY	\N	\N
2729844	9030	1998-02-28	VYDAJ	VYBER	15	49121	SLUZBY	\N	\N
2729845	9030	1998-03-31	VYDAJ	VYBER	15	43130	SLUZBY	\N	\N
2729846	9030	1998-04-30	VYDAJ	VYBER	15	50120	SLUZBY	\N	\N
2729847	9030	1998-05-31	VYDAJ	VYBER	15	54639	SLUZBY	\N	\N
2729848	9030	1998-06-30	VYDAJ	VYBER	15	56281	SLUZBY	\N	\N
2729849	9030	1998-07-31	VYDAJ	VYBER	15	52503	SLUZBY	\N	\N
2729850	9030	1998-08-31	VYDAJ	VYBER	15	53589	SLUZBY	\N	\N
2729851	9030	1998-09-30	VYDAJ	VYBER	15	55411	SLUZBY	\N	\N
2729852	9030	1998-10-31	VYDAJ	VYBER	15	56415	SLUZBY	\N	\N
2729853	9030	1998-11-30	VYDAJ	VYBER	15	55740	SLUZBY	\N	\N
2729854	9030	1995-02-20	PRIJEM	VKLAD	2100	19892	\N	\N	\N
2729855	9030	1995-03-22	VYDAJ	VYBER	6600	30934	\N	\N	\N
2729856	9030	1995-04-21	VYDAJ	VYBER	12100	36561	\N	\N	\N
2729857	9030	1995-05-21	VYDAJ	VYBER	13300	41036	\N	\N	\N
2729858	9030	1995-06-20	VYDAJ	VYBER	8600	38599	\N	\N	\N
2729859	9030	1995-07-20	VYDAJ	VYBER	9700	37208	\N	\N	\N
2729860	9030	1995-08-19	VYDAJ	VYBER	9100	37926	\N	\N	\N
2729861	9030	1995-09-18	VYDAJ	VYBER	12300	36081	\N	\N	\N
2729862	9030	1995-10-18	VYDAJ	VYBER	9400	37661	\N	\N	\N
2729863	9030	1995-11-17	VYDAJ	VYBER	7700	40835	\N	\N	\N
2729864	9030	1995-12-17	VYDAJ	VYBER	13400	41452	\N	\N	\N
2729865	9030	1996-01-16	VYDAJ	VYBER	3900	38957	\N	\N	\N
2729866	9030	1996-02-15	VYDAJ	VYBER	7500	37371	\N	\N	\N
2729867	9030	1996-03-16	VYDAJ	VYBER	3700	44951	\N	\N	\N
2729868	9030	1996-04-15	VYDAJ	VYBER	5700	46974	\N	\N	\N
2729869	9030	1996-05-15	VYDAJ	VYBER	8000	50522	\N	\N	\N
2729870	9030	1996-06-14	VYDAJ	VYBER	13900	56774	\N	\N	\N
2729871	9030	1996-07-14	PRIJEM	VKLAD	2900	33627	\N	\N	\N
2729872	9030	1996-08-13	VYDAJ	VYBER	6000	40982	\N	\N	\N
2729873	9030	1996-09-12	VYDAJ	VYBER	6200	45881	\N	\N	\N
2729874	9030	1996-10-12	VYDAJ	VYBER	9100	48633	\N	\N	\N
2729875	9030	1996-11-11	VYDAJ	VYBER	8300	51944	\N	\N	\N
2729876	9030	1996-12-11	VYDAJ	VYBER	14600	60694	\N	\N	\N
2729877	9030	1997-01-10	VYDAJ	VYBER	13900	56355	\N	\N	\N
2729878	9030	1997-02-09	VYDAJ	VYBER	11500	49215	\N	\N	\N
2729879	9030	1997-03-11	VYDAJ	VYBER	6900	53560	\N	\N	\N
2729880	9030	1997-04-10	VYDAJ	VYBER	13800	50378	\N	\N	\N
2729881	9030	1997-05-10	VYDAJ	VYBER	9100	52560	\N	\N	\N
2729882	9030	1997-06-09	VYDAJ	VYBER	19100	53523	\N	\N	\N
2729883	9030	1997-07-09	VYDAJ	VYBER	4400	41818	\N	\N	\N
2729884	9030	1997-08-08	VYDAJ	VYBER	6200	46754	\N	\N	\N
2729885	9030	1997-09-07	VYDAJ	VYBER	12800	45138	\N	\N	\N
2729886	9030	1997-10-07	VYDAJ	VYBER	11600	44746	\N	\N	\N
2729887	9030	1997-11-06	VYDAJ	VYBER	10300	45625	\N	\N	\N
2729888	9030	1997-12-06	VYDAJ	VYBER	13600	47102	\N	\N	\N
2729889	9030	1998-01-05	VYDAJ	VYBER	3000	36440	\N	\N	\N
2729890	9030	1998-02-04	VYDAJ	VYBER	1300	37844	\N	\N	\N
2729891	9030	1998-03-06	VYDAJ	VYBER	13300	53413	\N	\N	\N
2729892	9030	1998-04-05	VYDAJ	VYBER	2600	40530	\N	\N	\N
2729893	9030	1998-05-05	VYDAJ	VYBER	6800	43320	\N	\N	\N
2729894	9030	1998-06-04	VYDAJ	VYBER	8900	45739	\N	\N	\N
2729895	9030	1998-07-04	VYDAJ	VYBER	12900	43381	\N	\N	\N
2729896	9030	1998-08-03	VYDAJ	VYBER	10200	42303	\N	\N	\N
2729897	9030	1998-09-02	VYDAJ	VYBER	9500	44089	\N	\N	\N
2729898	9030	1998-10-02	VYDAJ	VYBER	10300	45111	\N	\N	\N
2729899	9030	1998-11-01	VYDAJ	VYBER	12000	44415	\N	\N	\N
2729900	9030	1998-12-01	VYDAJ	VYBER	13000	42740	\N	\N	\N
2729948	9031	1997-01-15	PRIJEM	VKLAD	900	900	\N	\N	\N
2729949	9031	1997-04-19	PRIJEM	VKLAD	13081	68175	\N	\N	\N
2729950	9031	1997-12-18	PRIJEM	VKLAD	40498	61564	\N	\N	\N
2729951	9031	1997-04-11	PRIJEM	VKLAD	46534	102694	\N	\N	\N
2729952	9031	1997-03-29	PRIJEM	VKLAD	26864	56057	\N	\N	\N
2729953	9031	1997-01-27	PRIJEM	VKLAD	16400	17300	\N	\N	\N
2729954	9031	1997-05-20	PRIJEM	VKLAD	48790	103207	\N	\N	\N
2729955	9031	1997-12-19	PRIJEM	VKLAD	16964	78528	\N	\N	\N
2729957	9031	1997-08-16	PRIJEM	VKLAD	46759	68434	\N	\N	\N
2729958	9031	1998-11-04	PRIJEM	VKLAD	13262	31527	\N	\N	\N
2729959	9031	1998-02-19	PRIJEM	VKLAD	40291	58167	\N	\N	\N
2729965	9031	1997-06-12	VYDAJ	PREVOD NA UCET	2088	58509	UVER	UV	95826726
2729966	9031	1997-07-12	VYDAJ	PREVOD NA UCET	2088	20158	UVER	UV	95826726
2729967	9031	1997-08-12	VYDAJ	PREVOD NA UCET	2088	20303	UVER	UV	95826726
2729968	9031	1997-09-12	VYDAJ	PREVOD NA UCET	2088	65894	UVER	UV	95826726
2729969	9031	1997-10-12	VYDAJ	PREVOD NA UCET	2088	38919	UVER	UV	95826726
2729970	9031	1997-11-12	VYDAJ	PREVOD NA UCET	2088	28799	UVER	UV	95826726
2729971	9031	1997-12-12	VYDAJ	PREVOD NA UCET	2088	27394	UVER	UV	95826726
2729972	9031	1998-01-12	VYDAJ	PREVOD NA UCET	2088	51626	UVER	UV	95826726
2729973	9031	1998-02-12	VYDAJ	PREVOD NA UCET	2088	22104	UVER	UV	95826726
2729974	9031	1998-03-12	VYDAJ	PREVOD NA UCET	2088	36857	UVER	UV	95826726
2729975	9031	1998-04-12	VYDAJ	PREVOD NA UCET	2088	25591	UVER	UV	95826726
2729976	9031	1998-05-12	VYDAJ	PREVOD NA UCET	2088	24863	UVER	UV	95826726
2729977	9031	1998-06-12	VYDAJ	PREVOD NA UCET	2088	20881	UVER	UV	95826726
2729978	9031	1998-07-12	VYDAJ	PREVOD NA UCET	2088	21497	UVER	UV	95826726
2729979	9031	1998-08-12	VYDAJ	PREVOD NA UCET	2088	19506	UVER	UV	95826726
2729980	9031	1998-09-12	VYDAJ	PREVOD NA UCET	2088	21690	UVER	UV	95826726
2729981	9031	1998-10-12	VYDAJ	PREVOD NA UCET	2088	22385	UVER	UV	95826726
2729982	9031	1998-11-12	VYDAJ	PREVOD NA UCET	2088	24249	UVER	UV	95826726
2729983	9031	1998-12-12	VYDAJ	PREVOD NA UCET	2088	22174	UVER	UV	95826726
2729989	9031	1997-06-13	VYDAJ	PREVOD NA UCET	4228	54281	SIPO	AB	35263872
2729990	9031	1997-07-13	VYDAJ	PREVOD NA UCET	4228	15930	SIPO	AB	35263872
2729991	9031	1997-08-13	VYDAJ	PREVOD NA UCET	4228	21675	SIPO	AB	35263872
2729992	9031	1997-09-13	VYDAJ	PREVOD NA UCET	4228	44666	SIPO	AB	35263872
2729993	9031	1997-10-13	VYDAJ	PREVOD NA UCET	4228	34691	SIPO	AB	35263872
2729994	9031	1997-11-13	VYDAJ	PREVOD NA UCET	4228	24571	SIPO	AB	35263872
2729995	9031	1997-12-13	VYDAJ	PREVOD NA UCET	4228	23166	SIPO	AB	35263872
2729996	9031	1998-01-13	VYDAJ	PREVOD NA UCET	4228	45298	SIPO	AB	35263872
2729997	9031	1998-02-13	VYDAJ	PREVOD NA UCET	4228	17876	SIPO	AB	35263872
2729998	9031	1998-03-13	VYDAJ	PREVOD NA UCET	4228	32629	SIPO	AB	35263872
2729999	9031	1998-04-13	VYDAJ	PREVOD NA UCET	4228	21363	SIPO	AB	35263872
2730000	9031	1998-05-13	VYDAJ	PREVOD NA UCET	4228	20635	SIPO	AB	35263872
2730001	9031	1998-06-13	VYDAJ	PREVOD NA UCET	4228	16653	SIPO	AB	35263872
2730002	9031	1998-07-13	VYDAJ	PREVOD NA UCET	4228	17269	SIPO	AB	35263872
2730003	9031	1998-08-13	VYDAJ	PREVOD NA UCET	4228	15278	SIPO	AB	35263872
2730004	9031	1998-09-13	VYDAJ	PREVOD NA UCET	4228	17462	SIPO	AB	35263872
2730005	9031	1998-10-13	VYDAJ	PREVOD NA UCET	4228	18157	SIPO	AB	35263872
2730006	9031	1998-11-13	VYDAJ	PREVOD NA UCET	4228	20021	SIPO	AB	35263872
2730007	9031	1998-12-13	VYDAJ	PREVOD NA UCET	4228	17946	SIPO	AB	35263872
2730013	9031	1997-06-08	VYDAJ	PREVOD NA UCET	145	61242	 	AB	50771135
2730014	9031	1997-07-08	VYDAJ	PREVOD NA UCET	145	22891	 	AB	50771135
2730015	9031	1997-08-08	VYDAJ	PREVOD NA UCET	145	23036	 	AB	50771135
2730016	9031	1997-09-08	VYDAJ	PREVOD NA UCET	145	68627	 	AB	50771135
2730017	9031	1997-10-08	VYDAJ	PREVOD NA UCET	145	44952	 	AB	50771135
2730018	9031	1997-11-08	VYDAJ	PREVOD NA UCET	145	30932	 	AB	50771135
2730019	9031	1997-12-08	VYDAJ	PREVOD NA UCET	145	24627	 	AB	50771135
2730020	9031	1998-01-08	VYDAJ	PREVOD NA UCET	145	78759	 	AB	50771135
2730021	9031	1998-02-08	VYDAJ	PREVOD NA UCET	145	26637	 	AB	50771135
2730022	9031	1998-03-08	VYDAJ	PREVOD NA UCET	145	54090	 	AB	50771135
2730023	9031	1998-04-08	VYDAJ	PREVOD NA UCET	145	32724	 	AB	50771135
2730024	9031	1998-05-08	VYDAJ	PREVOD NA UCET	145	21396	 	AB	50771135
2730025	9031	1998-06-08	VYDAJ	PREVOD NA UCET	145	20614	 	AB	50771135
2730026	9031	1998-07-08	VYDAJ	PREVOD NA UCET	145	16630	 	AB	50771135
2730027	9031	1998-08-08	VYDAJ	PREVOD NA UCET	145	22239	 	AB	50771135
2730028	9031	1998-09-08	VYDAJ	PREVOD NA UCET	145	24423	 	AB	50771135
2730029	9031	1998-10-08	VYDAJ	PREVOD NA UCET	145	25118	 	AB	50771135
2730030	9031	1998-11-08	VYDAJ	PREVOD NA UCET	145	26982	 	AB	50771135
2730031	9031	1998-12-08	VYDAJ	PREVOD NA UCET	145	24907	 	AB	50771135
2730037	9031	1997-06-10	VYDAJ	PREVOD NA UCET	645	60597	POJISTNE	IJ	85827368
2730038	9031	1997-07-10	VYDAJ	PREVOD NA UCET	645	22246	POJISTNE	IJ	85827368
2730039	9031	1997-08-10	VYDAJ	PREVOD NA UCET	645	22391	POJISTNE	IJ	85827368
2730040	9031	1997-09-10	VYDAJ	PREVOD NA UCET	645	67982	POJISTNE	IJ	85827368
2730041	9031	1997-10-10	VYDAJ	PREVOD NA UCET	645	44307	POJISTNE	IJ	85827368
2730042	9031	1997-11-10	VYDAJ	PREVOD NA UCET	645	30287	POJISTNE	IJ	85827368
2730043	9031	1997-12-10	VYDAJ	PREVOD NA UCET	645	23982	POJISTNE	IJ	85827368
2730044	9031	1998-01-10	VYDAJ	PREVOD NA UCET	645	53714	POJISTNE	IJ	85827368
2730045	9031	1998-02-10	VYDAJ	PREVOD NA UCET	645	24192	POJISTNE	IJ	85827368
2730046	9031	1998-03-10	VYDAJ	PREVOD NA UCET	645	53445	POJISTNE	IJ	85827368
2730047	9031	1998-04-10	VYDAJ	PREVOD NA UCET	645	32079	POJISTNE	IJ	85827368
2730048	9031	1998-05-10	VYDAJ	PREVOD NA UCET	645	26951	POJISTNE	IJ	85827368
2730049	9031	1998-06-10	VYDAJ	PREVOD NA UCET	645	22969	POJISTNE	IJ	85827368
2730050	9031	1998-07-10	VYDAJ	PREVOD NA UCET	645	23585	POJISTNE	IJ	85827368
2730051	9031	1998-08-10	VYDAJ	PREVOD NA UCET	645	21594	POJISTNE	IJ	85827368
2730052	9031	1998-09-10	VYDAJ	PREVOD NA UCET	645	23778	POJISTNE	IJ	85827368
2730053	9031	1998-10-10	VYDAJ	PREVOD NA UCET	645	24473	POJISTNE	IJ	85827368
2730054	9031	1998-11-10	VYDAJ	PREVOD NA UCET	645	26337	POJISTNE	IJ	85827368
2730055	9031	1998-12-10	VYDAJ	PREVOD NA UCET	645	24262	POJISTNE	IJ	85827368
2730059	9031	1998-02-25	VYBER	VYBER	4158	54009	\N	\N	\N
2730073	9031	1997-12-15	VYDAJ	VYBER	2100	21066	\N	\N	\N
2730081	9031	1998-01-13	VYDAJ	VYBER	2100	49526	\N	\N	\N
2730082	9031	1998-01-20	VYDAJ	VYBER	6900	26398	\N	\N	\N
2730083	9031	1998-01-19	VYDAJ	VYBER	1800	36598	\N	\N	\N
2730084	9031	1998-01-15	VYDAJ	VYBER	2700	38398	\N	\N	\N
2730085	9031	1998-01-14	VYDAJ	VYBER	4200	41098	\N	\N	\N
2730086	9031	1998-01-20	VYDAJ	VYBER	3300	33298	\N	\N	\N
2730087	9031	1997-07-05	VYDAJ	VYBER	6600	23036	\N	\N	\N
2730089	9031	1997-06-19	VYDAJ	VYBER	13800	29281	\N	\N	\N
2730090	9031	1997-10-20	VYDAJ	VYBER	3900	30791	\N	\N	\N
2730103	9031	1997-05-31	VYDAJ	VYBER	15	61387	SLUZBY	\N	\N
2730104	9031	1997-06-30	VYDAJ	VYBER	15	29636	SLUZBY	\N	\N
2730105	9031	1997-07-31	VYDAJ	VYBER	15	23181	SLUZBY	\N	\N
2730106	9031	1997-08-31	VYDAJ	VYBER	15	68772	SLUZBY	\N	\N
2730107	9031	1997-09-30	VYDAJ	VYBER	15	45097	SLUZBY	\N	\N
2730108	9031	1997-10-31	VYDAJ	VYBER	15	31077	SLUZBY	\N	\N
2730109	9031	1997-11-30	VYDAJ	VYBER	15	24772	SLUZBY	\N	\N
2730110	9031	1997-12-31	VYDAJ	VYBER	15	78904	SLUZBY	\N	\N
2730111	9031	1998-01-31	VYDAJ	VYBER	15	26782	SLUZBY	\N	\N
2730112	9031	1998-02-28	VYDAJ	VYBER	15	54235	SLUZBY	\N	\N
2730113	9031	1998-03-31	VYDAJ	VYBER	15	32869	SLUZBY	\N	\N
2730114	9031	1998-04-30	VYDAJ	VYBER	15	21541	SLUZBY	\N	\N
2730115	9031	1998-05-31	VYDAJ	VYBER	15	20759	SLUZBY	\N	\N
2730116	9031	1998-06-30	VYDAJ	VYBER	15	16775	SLUZBY	\N	\N
2730117	9031	1998-07-31	VYDAJ	VYBER	15	17384	SLUZBY	\N	\N
2730118	9031	1998-08-31	VYDAJ	VYBER	15	15368	SLUZBY	\N	\N
2730119	9031	1998-09-30	VYDAJ	VYBER	15	17563	SLUZBY	\N	\N
2730120	9031	1998-10-31	VYDAJ	VYBER	15	18265	SLUZBY	\N	\N
2730121	9031	1998-11-30	VYDAJ	VYBER	15	20152	SLUZBY	\N	\N
2730122	9031	1997-02-14	PRIJEM	VKLAD	7300	24621	\N	\N	\N
2730123	9031	1997-03-16	PRIJEM	VKLAD	4500	29193	\N	\N	\N
2730124	9031	1997-04-11	VYDAJ	VYBER	25900	76794	\N	\N	\N
2730125	9031	1997-04-15	VYDAJ	VYBER	21700	55094	\N	\N	\N
2730126	9031	1997-05-15	VYDAJ	VYBER	14200	54417	\N	\N	\N
2730127	9031	1997-05-31	VYDAJ	VYBER	42300	61402	\N	\N	\N
2730128	9031	1997-06-14	VYDAJ	VYBER	11200	43081	\N	\N	\N
2730129	9031	1997-07-14	PRIJEM	VKLAD	7100	23030	\N	\N	\N
2730130	9031	1997-08-13	PRIJEM	VKLAD	5600	25903	\N	\N	\N
2730131	9031	1997-09-12	VYDAJ	VYBER	17000	48894	\N	\N	\N
2730132	9031	1997-10-12	VYDAJ	VYBER	3300	41007	\N	\N	\N
2730133	9031	1997-11-11	PRIJEM	VKLAD	600	30887	\N	\N	\N
2730134	9031	1997-12-11	PRIJEM	VKLAD	5500	29482	\N	\N	\N
2730135	9031	1998-01-10	VYDAJ	VYBER	24400	54359	\N	\N	\N
2730136	9031	1998-02-09	VYDAJ	VYBER	1800	24837	\N	\N	\N
2730137	9031	1998-03-11	VYDAJ	VYBER	14500	38945	\N	\N	\N
2730138	9031	1998-04-10	VYDAJ	VYBER	4400	27679	\N	\N	\N
2730139	9031	1998-05-10	PRIJEM	VKLAD	6200	27596	\N	\N	\N
2730140	9031	1998-06-09	PRIJEM	VKLAD	3000	23614	\N	\N	\N
2730141	9031	1998-07-09	PRIJEM	VKLAD	7600	24230	\N	\N	\N
2730142	9031	1998-08-08	PRIJEM	VKLAD	5000	22384	\N	\N	\N
2730143	9031	1998-09-07	PRIJEM	VKLAD	9200	24568	\N	\N	\N
2730144	9031	1998-10-07	PRIJEM	VKLAD	7700	25263	\N	\N	\N
2730145	9031	1998-11-06	VYDAJ	VYBER	4400	27127	\N	\N	\N
2730146	9031	1998-12-06	PRIJEM	VKLAD	4900	25052	\N	\N	\N
2730505	9034	1993-06-28	PRIJEM	VKLAD	900	900	\N	\N	\N
2730512	9034	1993-07-14	PRIJEM	PREVOD Z UCTU	21804	22704	\N	GH	80132472
2730513	9034	1993-08-14	PRIJEM	PREVOD Z UCTU	21804	46331	\N	GH	80132472
2730514	9034	1993-09-14	PRIJEM	PREVOD Z UCTU	21804	55461	\N	GH	80132472
2730515	9034	1993-10-14	PRIJEM	PREVOD Z UCTU	21804	60930	\N	GH	80132472
2730516	9034	1993-11-14	PRIJEM	PREVOD Z UCTU	21804	62325	\N	GH	80132472
2730517	9034	1993-12-14	PRIJEM	PREVOD Z UCTU	32706	56841	\N	GH	80132472
2730518	9034	1994-01-14	PRIJEM	PREVOD Z UCTU	21804	43679	\N	GH	80132472
2730519	9034	1994-02-14	PRIJEM	PREVOD Z UCTU	21804	43625	\N	GH	80132472
2730520	9034	1994-03-14	PRIJEM	PREVOD Z UCTU	21804	42279	\N	GH	80132472
2730521	9034	1994-04-14	PRIJEM	PREVOD Z UCTU	21804	41526	\N	GH	80132472
2730522	9034	1994-05-14	PRIJEM	PREVOD Z UCTU	21804	45267	\N	GH	80132472
2730523	9034	1994-06-14	PRIJEM	PREVOD Z UCTU	32706	55260	\N	GH	80132472
2730524	9034	1994-07-14	PRIJEM	PREVOD Z UCTU	21804	48596	\N	GH	80132472
2730525	9034	1994-08-14	PRIJEM	PREVOD Z UCTU	21804	43145	\N	GH	80132472
2730526	9034	1994-09-14	PRIJEM	PREVOD Z UCTU	21804	45868	\N	GH	80132472
2730527	9034	1994-10-14	PRIJEM	PREVOD Z UCTU	21804	49584	\N	GH	80132472
2730528	9034	1994-11-14	PRIJEM	PREVOD Z UCTU	21804	40502	\N	GH	80132472
2730529	9034	1994-12-14	PRIJEM	PREVOD Z UCTU	32706	53050	\N	GH	80132472
2730530	9034	1995-01-14	PRIJEM	PREVOD Z UCTU	21804	45915	\N	GH	80132472
2730531	9034	1995-02-14	PRIJEM	PREVOD Z UCTU	21804	42562	\N	GH	80132472
2730532	9034	1995-03-14	PRIJEM	PREVOD Z UCTU	21804	38918	\N	GH	80132472
2730533	9034	1995-04-14	PRIJEM	PREVOD Z UCTU	21804	41687	\N	GH	80132472
2730534	9034	1995-05-14	PRIJEM	PREVOD Z UCTU	21804	41158	\N	GH	80132472
2730535	9034	1995-06-14	PRIJEM	PREVOD Z UCTU	32706	57295	\N	GH	80132472
2730536	9034	1995-07-14	PRIJEM	PREVOD Z UCTU	21804	49832	\N	GH	80132472
2730537	9034	1995-08-14	PRIJEM	PREVOD Z UCTU	21804	52445	\N	GH	80132472
2730538	9034	1995-09-14	PRIJEM	PREVOD Z UCTU	21804	55916	\N	GH	80132472
2730539	9034	1995-10-14	PRIJEM	PREVOD Z UCTU	21804	59603	\N	GH	80132472
2730540	9034	1995-11-14	PRIJEM	PREVOD Z UCTU	21804	55193	\N	GH	80132472
2730541	9034	1995-12-14	PRIJEM	PREVOD Z UCTU	32706	53703	\N	GH	80132472
2730542	9034	1996-01-14	PRIJEM	PREVOD Z UCTU	21804	56478	\N	GH	80132472
2730543	9034	1996-02-14	PRIJEM	PREVOD Z UCTU	21804	56178	\N	GH	80132472
2730544	9034	1996-03-14	PRIJEM	PREVOD Z UCTU	21804	57934	\N	GH	80132472
2730545	9034	1996-04-14	PRIJEM	PREVOD Z UCTU	21804	59510	\N	GH	80132472
2730546	9034	1996-05-14	PRIJEM	PREVOD Z UCTU	21804	59581	\N	GH	80132472
2730547	9034	1996-06-14	PRIJEM	PREVOD Z UCTU	32706	72035	\N	GH	80132472
2730548	9034	1996-07-14	PRIJEM	PREVOD Z UCTU	21804	50703	\N	GH	80132472
2730549	9034	1996-08-14	PRIJEM	PREVOD Z UCTU	21804	53949	\N	GH	80132472
2730550	9034	1996-09-14	PRIJEM	PREVOD Z UCTU	21804	57316	\N	GH	80132472
2730551	9034	1996-10-14	PRIJEM	PREVOD Z UCTU	21804	60191	\N	GH	80132472
2730552	9034	1996-11-14	PRIJEM	PREVOD Z UCTU	21804	43261	\N	GH	80132472
2730553	9034	1996-12-14	PRIJEM	PREVOD Z UCTU	32706	60460	\N	GH	80132472
2730554	9034	1997-01-14	PRIJEM	PREVOD Z UCTU	21804	62853	\N	GH	80132472
2730555	9034	1997-02-14	PRIJEM	PREVOD Z UCTU	21804	59278	\N	GH	80132472
2730556	9034	1997-03-14	PRIJEM	PREVOD Z UCTU	21804	61282	\N	GH	80132472
2730557	9034	1997-04-14	PRIJEM	PREVOD Z UCTU	21804	59542	\N	GH	80132472
2730558	9034	1997-05-14	PRIJEM	PREVOD Z UCTU	21804	48791	\N	GH	80132472
2730559	9034	1997-06-14	PRIJEM	PREVOD Z UCTU	32706	66253	\N	GH	80132472
2730560	9034	1997-07-14	PRIJEM	PREVOD Z UCTU	21804	61344	\N	GH	80132472
2730561	9034	1997-08-14	PRIJEM	PREVOD Z UCTU	21804	53110	\N	GH	80132472
2730562	9034	1997-09-14	PRIJEM	PREVOD Z UCTU	21804	57106	\N	GH	80132472
2730563	9034	1997-10-14	PRIJEM	PREVOD Z UCTU	21804	62097	\N	GH	80132472
2730564	9034	1997-11-14	PRIJEM	PREVOD Z UCTU	21804	58891	\N	GH	80132472
2730565	9034	1997-12-14	PRIJEM	PREVOD Z UCTU	32706	78748	\N	GH	80132472
2730566	9034	1998-01-14	PRIJEM	PREVOD Z UCTU	21804	49814	\N	GH	80132472
2730567	9034	1998-02-14	PRIJEM	PREVOD Z UCTU	21804	58122	\N	GH	80132472
2730568	9034	1998-03-14	PRIJEM	PREVOD Z UCTU	21804	58025	\N	GH	80132472
2730569	9034	1998-04-14	PRIJEM	PREVOD Z UCTU	21804	54388	\N	GH	80132472
2730570	9034	1998-05-14	PRIJEM	PREVOD Z UCTU	21804	49302	\N	GH	80132472
2730571	9034	1998-06-14	PRIJEM	PREVOD Z UCTU	32706	64912	\N	GH	80132472
2730572	9034	1998-07-14	PRIJEM	PREVOD Z UCTU	21804	64018	\N	GH	80132472
2730573	9034	1998-08-14	PRIJEM	PREVOD Z UCTU	21804	64331	\N	GH	80132472
2730574	9034	1998-09-14	PRIJEM	PREVOD Z UCTU	21804	64888	\N	GH	80132472
2730575	9034	1998-10-14	PRIJEM	PREVOD Z UCTU	21804	62223	\N	GH	80132472
2730576	9034	1998-11-14	PRIJEM	PREVOD Z UCTU	21804	61356	\N	GH	80132472
2730577	9034	1998-12-14	PRIJEM	PREVOD Z UCTU	32706	63528	\N	GH	80132472
2730589	9034	1993-12-19	VYDAJ	VYBER	2600	45126	\N	\N	0
2730590	9034	1994-01-12	VYDAJ	PREVOD NA UCET	3179	22496	UVER	UV	53641200
2730591	9034	1994-02-12	VYDAJ	PREVOD NA UCET	3179	22442	UVER	UV	53641200
2730592	9034	1994-03-12	VYDAJ	PREVOD NA UCET	3179	21096	UVER	UV	53641200
2730593	9034	1994-04-12	VYDAJ	PREVOD NA UCET	3179	20343	UVER	UV	53641200
2730594	9034	1994-05-12	VYDAJ	PREVOD NA UCET	3179	24084	UVER	UV	53641200
2730595	9034	1994-06-12	VYDAJ	PREVOD NA UCET	3179	23175	UVER	UV	53641200
2730596	9034	1994-07-12	VYDAJ	PREVOD NA UCET	3179	27413	UVER	UV	53641200
2730597	9034	1994-08-12	VYDAJ	PREVOD NA UCET	3179	21962	UVER	UV	53641200
2730598	9034	1994-09-12	VYDAJ	PREVOD NA UCET	3179	24685	UVER	UV	53641200
2730599	9034	1994-10-12	VYDAJ	PREVOD NA UCET	3179	28401	UVER	UV	53641200
2730600	9034	1994-11-12	VYDAJ	PREVOD NA UCET	3179	19319	UVER	UV	53641200
2730601	9034	1994-12-12	VYDAJ	PREVOD NA UCET	3179	20965	UVER	UV	53641200
2730602	9034	1995-01-11	VYDAJ	VYBER	3500	24732	\N	\N	0
2730603	9034	1995-02-18	VYDAJ	VYBER	2700	30747	\N	\N	0
2730604	9034	1995-03-08	VYDAJ	VYBER	2400	22432	\N	\N	0
2730605	9034	1995-04-03	VYDAJ	VYBER	3900	25201	\N	\N	0
2730606	9034	1995-05-20	VYDAJ	VYBER	2700	29743	\N	\N	0
2730607	9034	1995-06-19	VYDAJ	VYBER	3200	39980	\N	\N	0
2730608	9034	1995-07-11	VYDAJ	VYBER	3500	28649	\N	\N	0
2730609	9034	1995-08-02	VYDAJ	VYBER	2900	35959	\N	\N	0
2730610	9034	1995-09-12	VYDAJ	VYBER	3000	34733	\N	\N	0
2730611	9034	1995-10-21	VYDAJ	VYBER	3800	41088	\N	\N	0
2730612	9034	1995-11-04	VYDAJ	VYBER	2700	38707	\N	\N	0
2730613	9034	1995-12-18	VYDAJ	VYBER	3200	39788	\N	\N	0
2730614	9034	1996-01-17	VYDAJ	VYBER	2600	42263	\N	\N	0
2730615	9034	1996-02-18	VYDAJ	VYBER	3100	43963	\N	\N	0
2730616	9034	1996-03-05	VYDAJ	VYBER	2800	41448	\N	\N	0
2730617	9034	1996-04-17	VYDAJ	VYBER	2700	47695	\N	\N	0
2730618	9034	1996-05-13	VYDAJ	VYBER	2600	37777	\N	\N	0
2730619	9034	1996-06-18	VYDAJ	VYBER	3800	59120	\N	\N	0
2730620	9034	1996-07-08	VYDAJ	VYBER	3900	24917	\N	\N	0
2730621	9034	1996-08-13	VYDAJ	VYBER	2500	32145	\N	\N	0
2730622	9034	1996-09-15	VYDAJ	VYBER	2500	45701	\N	\N	0
2730623	9034	1996-10-18	VYDAJ	VYBER	3400	47676	\N	\N	0
2730624	9034	1996-11-09	VYDAJ	VYBER	3700	27275	\N	\N	0
2730625	9034	1996-12-02	VYDAJ	VYBER	3600	30772	\N	\N	0
2730626	9034	1997-01-19	VYDAJ	VYBER	3700	50038	\N	\N	0
2730627	9034	1997-02-20	VYDAJ	VYBER	3400	46763	\N	\N	0
2730628	9034	1997-03-16	VYDAJ	VYBER	2500	49667	\N	\N	0
2730629	9034	1997-04-20	VYDAJ	VYBER	2900	29946	\N	\N	0
2730630	9034	1997-05-17	VYDAJ	VYBER	3800	35876	\N	\N	0
2730631	9034	1997-06-19	VYDAJ	VYBER	3500	53638	\N	\N	0
2730632	9034	1997-07-11	VYDAJ	VYBER	3500	40161	\N	\N	0
2730633	9034	1997-08-19	VYDAJ	VYBER	3200	40795	\N	\N	0
2730634	9034	1997-09-11	VYDAJ	VYBER	3100	35923	\N	\N	0
2730635	9034	1997-10-16	VYDAJ	VYBER	2400	50582	\N	\N	0
2730636	9034	1997-11-09	VYDAJ	VYBER	2600	42405	\N	\N	0
2730637	9034	1997-12-04	VYDAJ	VYBER	2700	53760	\N	\N	0
2730638	9034	1998-01-19	VYDAJ	VYBER	2900	37799	\N	\N	0
2730639	9034	1998-02-11	VYDAJ	VYBER	2700	36939	\N	\N	0
2730640	9034	1998-03-03	VYDAJ	VYBER	3400	41039	\N	\N	0
2730641	9034	1998-04-20	VYDAJ	VYBER	3800	41473	\N	\N	0
2730642	9034	1998-05-03	VYDAJ	VYBER	3300	32816	\N	\N	0
2730643	9034	1998-06-05	VYDAJ	VYBER	3400	37524	\N	\N	0
2730644	9034	1998-07-17	VYDAJ	VYBER	2500	52403	\N	\N	0
2730645	9034	1998-08-17	VYDAJ	VYBER	3200	52016	\N	\N	0
2730646	9034	1998-09-05	VYDAJ	VYBER	3700	48402	\N	\N	0
2730647	9034	1998-10-18	VYDAJ	VYBER	3700	49408	\N	\N	0
2730648	9034	1998-11-04	VYDAJ	VYBER	3800	44870	\N	\N	0
2730649	9034	1998-12-13	VYDAJ	VYBER	2600	30822	\N	\N	0
2730661	9034	1993-12-10	VYDAJ	PREVOD NA UCET	4697	24756	SIPO	YZ	1820415
2730662	9034	1994-01-10	VYDAJ	PREVOD NA UCET	4697	25675	SIPO	YZ	1820415
2730663	9034	1994-02-10	VYDAJ	PREVOD NA UCET	4697	25621	SIPO	YZ	1820415
2730664	9034	1994-03-10	VYDAJ	PREVOD NA UCET	4697	24275	SIPO	YZ	1820415
2730665	9034	1994-04-10	VYDAJ	PREVOD NA UCET	4697	23522	SIPO	YZ	1820415
2730666	9034	1994-05-10	VYDAJ	PREVOD NA UCET	4697	27263	SIPO	YZ	1820415
2730667	9034	1994-06-10	VYDAJ	PREVOD NA UCET	4697	26354	SIPO	YZ	1820415
2730668	9034	1994-07-10	VYDAJ	PREVOD NA UCET	4697	30592	SIPO	YZ	1820415
2730669	9034	1994-08-10	VYDAJ	PREVOD NA UCET	4697	25141	SIPO	YZ	1820415
2730670	9034	1994-09-10	VYDAJ	PREVOD NA UCET	4697	27864	SIPO	YZ	1820415
2730671	9034	1994-10-10	VYDAJ	PREVOD NA UCET	4697	31580	SIPO	YZ	1820415
2730672	9034	1994-11-10	VYDAJ	PREVOD NA UCET	4697	22498	SIPO	YZ	1820415
2730673	9034	1994-12-10	VYDAJ	PREVOD NA UCET	4697	24144	SIPO	YZ	1820415
2730674	9034	1995-01-10	VYDAJ	PREVOD NA UCET	4697	28232	SIPO	YZ	1820415
2730675	9034	1995-02-10	VYDAJ	PREVOD NA UCET	4697	21379	SIPO	YZ	1820415
2730676	9034	1995-03-10	VYDAJ	PREVOD NA UCET	4697	17735	SIPO	YZ	1820415
2730677	9034	1995-04-10	VYDAJ	PREVOD NA UCET	4697	20504	SIPO	YZ	1820415
2730678	9034	1995-05-10	VYDAJ	PREVOD NA UCET	4697	19975	SIPO	YZ	1820415
2730679	9034	1995-06-10	VYDAJ	PREVOD NA UCET	4697	25210	SIPO	YZ	1820415
2730680	9034	1995-07-10	VYDAJ	PREVOD NA UCET	4697	32149	SIPO	YZ	1820415
2730681	9034	1995-08-10	VYDAJ	PREVOD NA UCET	4697	31262	SIPO	YZ	1820415
2730682	9034	1995-09-10	VYDAJ	PREVOD NA UCET	4697	37733	SIPO	YZ	1820415
2730683	9034	1995-10-10	VYDAJ	PREVOD NA UCET	4697	38420	SIPO	YZ	1820415
2730684	9034	1995-11-10	VYDAJ	PREVOD NA UCET	4697	34010	SIPO	YZ	1820415
2730685	9034	1995-12-10	VYDAJ	PREVOD NA UCET	4697	21618	SIPO	YZ	1820415
2730686	9034	1996-01-10	VYDAJ	PREVOD NA UCET	4697	35295	SIPO	YZ	1820415
2730687	9034	1996-02-10	VYDAJ	PREVOD NA UCET	4697	26695	SIPO	YZ	1820415
2730688	9034	1996-03-10	VYDAJ	PREVOD NA UCET	4697	36751	SIPO	YZ	1820415
2730689	9034	1996-04-10	VYDAJ	PREVOD NA UCET	4697	28527	SIPO	YZ	1820415
2730690	9034	1996-05-10	VYDAJ	PREVOD NA UCET	4697	43298	SIPO	YZ	1820415
2730691	9034	1996-06-10	VYDAJ	PREVOD NA UCET	4697	36450	SIPO	YZ	1820415
2730692	9034	1996-07-10	VYDAJ	PREVOD NA UCET	4697	20220	SIPO	YZ	1820415
2730693	9034	1996-08-10	VYDAJ	PREVOD NA UCET	4697	37166	SIPO	YZ	1820415
2730694	9034	1996-09-10	VYDAJ	PREVOD NA UCET	4697	36133	SIPO	YZ	1820415
2730695	9034	1996-10-10	VYDAJ	PREVOD NA UCET	4697	39008	SIPO	YZ	1820415
2730696	9034	1996-11-10	VYDAJ	PREVOD NA UCET	4697	22078	SIPO	YZ	1820415
2730697	9034	1996-12-10	VYDAJ	PREVOD NA UCET	4697	28375	SIPO	YZ	1820415
2730698	9034	1997-01-10	VYDAJ	PREVOD NA UCET	4697	41670	SIPO	YZ	1820415
2730699	9034	1997-02-10	VYDAJ	PREVOD NA UCET	4697	38095	SIPO	YZ	1820415
2730700	9034	1997-03-10	VYDAJ	PREVOD NA UCET	4697	40099	SIPO	YZ	1820415
2730701	9034	1997-04-10	VYDAJ	PREVOD NA UCET	4697	38359	SIPO	YZ	1820415
2730702	9034	1997-05-10	VYDAJ	PREVOD NA UCET	4697	27608	SIPO	YZ	1820415
2730703	9034	1997-06-10	VYDAJ	PREVOD NA UCET	4697	34168	SIPO	YZ	1820415
2730704	9034	1997-07-10	VYDAJ	PREVOD NA UCET	4697	43661	SIPO	YZ	1820415
2730705	9034	1997-08-10	VYDAJ	PREVOD NA UCET	4697	31927	SIPO	YZ	1820415
2730706	9034	1997-09-10	VYDAJ	PREVOD NA UCET	4697	39023	SIPO	YZ	1820415
2730707	9034	1997-10-10	VYDAJ	PREVOD NA UCET	4697	40914	SIPO	YZ	1820415
2730708	9034	1997-11-10	VYDAJ	PREVOD NA UCET	4697	37708	SIPO	YZ	1820415
2730709	9034	1997-12-10	VYDAJ	PREVOD NA UCET	4697	46663	SIPO	YZ	1820415
2730710	9034	1998-01-10	VYDAJ	PREVOD NA UCET	4697	28631	SIPO	YZ	1820415
2730711	9034	1998-02-10	VYDAJ	PREVOD NA UCET	4697	39639	SIPO	YZ	1820415
2730712	9034	1998-03-10	VYDAJ	PREVOD NA UCET	4697	36842	SIPO	YZ	1820415
2730713	9034	1998-04-10	VYDAJ	PREVOD NA UCET	4697	33205	SIPO	YZ	1820415
2730714	9034	1998-05-10	VYDAJ	PREVOD NA UCET	4697	28119	SIPO	YZ	1820415
2730715	9034	1998-06-10	VYDAJ	PREVOD NA UCET	4697	32827	SIPO	YZ	1820415
2730716	9034	1998-07-10	VYDAJ	PREVOD NA UCET	4697	42835	SIPO	YZ	1820415
2730717	9034	1998-08-10	VYDAJ	PREVOD NA UCET	4697	43148	SIPO	YZ	1820415
2730718	9034	1998-09-10	VYDAJ	PREVOD NA UCET	4697	43705	SIPO	YZ	1820415
2730719	9034	1998-10-10	VYDAJ	PREVOD NA UCET	4697	41040	SIPO	YZ	1820415
2730720	9034	1998-11-10	VYDAJ	PREVOD NA UCET	4697	40173	SIPO	YZ	1820415
2730721	9034	1998-12-10	VYDAJ	PREVOD NA UCET	4697	34043	SIPO	YZ	1820415
2730733	9034	1993-12-13	VYDAJ	PREVOD NA UCET	621	24135	 	ST	92149078
2730734	9034	1994-01-13	VYDAJ	PREVOD NA UCET	621	21875	 	ST	92149078
2730735	9034	1994-02-13	VYDAJ	PREVOD NA UCET	621	21821	 	ST	92149078
2730736	9034	1994-03-13	VYDAJ	PREVOD NA UCET	621	20475	 	ST	92149078
2730737	9034	1994-04-13	VYDAJ	PREVOD NA UCET	621	19722	 	ST	92149078
2730738	9034	1994-05-13	VYDAJ	PREVOD NA UCET	621	23463	 	ST	92149078
2730739	9034	1994-06-13	VYDAJ	PREVOD NA UCET	621	22554	 	ST	92149078
2730740	9034	1994-07-13	VYDAJ	PREVOD NA UCET	621	26792	 	ST	92149078
2730741	9034	1994-08-13	VYDAJ	PREVOD NA UCET	621	21341	 	ST	92149078
2730742	9034	1994-09-13	VYDAJ	PREVOD NA UCET	621	24064	 	ST	92149078
2730743	9034	1994-10-13	VYDAJ	PREVOD NA UCET	621	27780	 	ST	92149078
2730744	9034	1994-11-13	VYDAJ	PREVOD NA UCET	621	18698	 	ST	92149078
2730745	9034	1994-12-13	VYDAJ	PREVOD NA UCET	621	20344	 	ST	92149078
2730746	9034	1995-01-13	VYDAJ	PREVOD NA UCET	621	24111	 	ST	92149078
2730747	9034	1995-02-13	VYDAJ	PREVOD NA UCET	621	20758	 	ST	92149078
2730748	9034	1995-03-13	VYDAJ	PREVOD NA UCET	621	17114	 	ST	92149078
2730749	9034	1995-04-13	VYDAJ	PREVOD NA UCET	621	19883	 	ST	92149078
2730750	9034	1995-05-13	VYDAJ	PREVOD NA UCET	621	19354	 	ST	92149078
2730751	9034	1995-06-13	VYDAJ	PREVOD NA UCET	621	24589	 	ST	92149078
2730752	9034	1995-07-13	VYDAJ	PREVOD NA UCET	621	28028	 	ST	92149078
2730753	9034	1995-08-13	VYDAJ	PREVOD NA UCET	621	30641	 	ST	92149078
2730754	9034	1995-09-13	VYDAJ	PREVOD NA UCET	621	34112	 	ST	92149078
2730755	9034	1995-10-13	VYDAJ	PREVOD NA UCET	621	37799	 	ST	92149078
2730756	9034	1995-11-13	VYDAJ	PREVOD NA UCET	621	33389	 	ST	92149078
2730757	9034	1995-12-13	VYDAJ	PREVOD NA UCET	621	20997	 	ST	92149078
2730758	9034	1996-01-13	VYDAJ	PREVOD NA UCET	621	34674	 	ST	92149078
2730759	9034	1996-02-13	VYDAJ	PREVOD NA UCET	621	34374	 	ST	92149078
2730760	9034	1996-03-13	VYDAJ	PREVOD NA UCET	621	36130	 	ST	92149078
2730761	9034	1996-04-13	VYDAJ	PREVOD NA UCET	621	37706	 	ST	92149078
2730762	9034	1996-05-13	VYDAJ	PREVOD NA UCET	621	42677	 	ST	92149078
2730763	9034	1996-06-13	VYDAJ	PREVOD NA UCET	621	39329	 	ST	92149078
2730764	9034	1996-07-13	VYDAJ	PREVOD NA UCET	621	28899	 	ST	92149078
2730765	9034	1996-08-13	VYDAJ	PREVOD NA UCET	621	34645	 	ST	92149078
2730766	9034	1996-09-13	VYDAJ	PREVOD NA UCET	621	35512	 	ST	92149078
2730767	9034	1996-10-13	VYDAJ	PREVOD NA UCET	621	38387	 	ST	92149078
2730768	9034	1996-11-13	VYDAJ	PREVOD NA UCET	621	21457	 	ST	92149078
2730769	9034	1996-12-13	VYDAJ	PREVOD NA UCET	621	27754	 	ST	92149078
2730770	9034	1997-01-13	VYDAJ	PREVOD NA UCET	621	41049	 	ST	92149078
2730771	9034	1997-02-13	VYDAJ	PREVOD NA UCET	621	37474	 	ST	92149078
2730772	9034	1997-03-13	VYDAJ	PREVOD NA UCET	621	39478	 	ST	92149078
2730773	9034	1997-04-13	VYDAJ	PREVOD NA UCET	621	37738	 	ST	92149078
2730774	9034	1997-05-13	VYDAJ	PREVOD NA UCET	621	26987	 	ST	92149078
2730775	9034	1997-06-13	VYDAJ	PREVOD NA UCET	621	33547	 	ST	92149078
2730776	9034	1997-07-13	VYDAJ	PREVOD NA UCET	621	39540	 	ST	92149078
2730777	9034	1997-08-13	VYDAJ	PREVOD NA UCET	621	31306	 	ST	92149078
2730778	9034	1997-09-13	VYDAJ	PREVOD NA UCET	621	35302	 	ST	92149078
2730779	9034	1997-10-13	VYDAJ	PREVOD NA UCET	621	40293	 	ST	92149078
2730780	9034	1997-11-13	VYDAJ	PREVOD NA UCET	621	37087	 	ST	92149078
2730781	9034	1997-12-13	VYDAJ	PREVOD NA UCET	621	46042	 	ST	92149078
2730782	9034	1998-01-13	VYDAJ	PREVOD NA UCET	621	28010	 	ST	92149078
2730783	9034	1998-02-13	VYDAJ	PREVOD NA UCET	621	36318	 	ST	92149078
2730784	9034	1998-03-13	VYDAJ	PREVOD NA UCET	621	36221	 	ST	92149078
2730785	9034	1998-04-13	VYDAJ	PREVOD NA UCET	621	32584	 	ST	92149078
2730786	9034	1998-05-13	VYDAJ	PREVOD NA UCET	621	27498	 	ST	92149078
2730787	9034	1998-06-13	VYDAJ	PREVOD NA UCET	621	32206	 	ST	92149078
2730788	9034	1998-07-13	VYDAJ	PREVOD NA UCET	621	42214	 	ST	92149078
2730789	9034	1998-08-13	VYDAJ	PREVOD NA UCET	621	42527	 	ST	92149078
2730790	9034	1998-09-13	VYDAJ	PREVOD NA UCET	621	43084	 	ST	92149078
2730791	9034	1998-10-13	VYDAJ	PREVOD NA UCET	621	40419	 	ST	92149078
2730792	9034	1998-11-13	VYDAJ	PREVOD NA UCET	621	39552	 	ST	92149078
2730793	9034	1998-12-13	VYDAJ	PREVOD NA UCET	621	33422	 	ST	92149078
2730804	9034	1993-11-14	VYDAJ	PREVOD NA UCET	9115	45177	POJISTNE	AB	22182023
2730805	9034	1993-12-14	VYDAJ	PREVOD NA UCET	9115	47726	POJISTNE	AB	22182023
2730806	9034	1994-01-14	VYDAJ	PREVOD NA UCET	9115	34564	POJISTNE	AB	22182023
2730807	9034	1994-02-14	VYDAJ	PREVOD NA UCET	9115	34510	POJISTNE	AB	22182023
2730808	9034	1994-03-14	VYDAJ	PREVOD NA UCET	9115	33164	POJISTNE	AB	22182023
2730809	9034	1994-04-14	VYDAJ	PREVOD NA UCET	9115	32411	POJISTNE	AB	22182023
2730810	9034	1994-05-14	VYDAJ	PREVOD NA UCET	9115	36152	POJISTNE	AB	22182023
2730811	9034	1994-06-14	VYDAJ	PREVOD NA UCET	9115	46145	POJISTNE	AB	22182023
2730812	9034	1994-07-14	VYDAJ	PREVOD NA UCET	9115	39481	POJISTNE	AB	22182023
2730813	9034	1994-08-14	VYDAJ	PREVOD NA UCET	9115	34030	POJISTNE	AB	22182023
2730814	9034	1994-09-14	VYDAJ	PREVOD NA UCET	9115	36753	POJISTNE	AB	22182023
2730815	9034	1994-10-14	VYDAJ	PREVOD NA UCET	9115	40469	POJISTNE	AB	22182023
2730816	9034	1994-11-14	VYDAJ	PREVOD NA UCET	9115	31387	POJISTNE	AB	22182023
2730817	9034	1994-12-14	VYDAJ	PREVOD NA UCET	9115	43935	POJISTNE	AB	22182023
2730818	9034	1995-01-14	VYDAJ	PREVOD NA UCET	9115	36800	POJISTNE	AB	22182023
2730819	9034	1995-02-14	VYDAJ	PREVOD NA UCET	9115	33447	POJISTNE	AB	22182023
2730820	9034	1995-03-14	VYDAJ	PREVOD NA UCET	9115	29803	POJISTNE	AB	22182023
2730821	9034	1995-04-14	VYDAJ	PREVOD NA UCET	9115	32572	POJISTNE	AB	22182023
2730822	9034	1995-05-14	VYDAJ	PREVOD NA UCET	9115	32043	POJISTNE	AB	22182023
2730823	9034	1995-06-14	VYDAJ	PREVOD NA UCET	9115	48180	POJISTNE	AB	22182023
2730824	9034	1995-07-14	VYDAJ	PREVOD NA UCET	9115	40717	POJISTNE	AB	22182023
2730825	9034	1995-08-14	VYDAJ	PREVOD NA UCET	9115	43330	POJISTNE	AB	22182023
2730826	9034	1995-09-14	VYDAJ	PREVOD NA UCET	9115	46801	POJISTNE	AB	22182023
2730827	9034	1995-10-14	VYDAJ	PREVOD NA UCET	9115	50488	POJISTNE	AB	22182023
2730828	9034	1995-11-14	VYDAJ	PREVOD NA UCET	9115	46078	POJISTNE	AB	22182023
2730829	9034	1995-12-14	VYDAJ	PREVOD NA UCET	9115	44588	POJISTNE	AB	22182023
2730830	9034	1996-01-14	VYDAJ	PREVOD NA UCET	9115	47363	POJISTNE	AB	22182023
2730831	9034	1996-02-14	VYDAJ	PREVOD NA UCET	9115	47063	POJISTNE	AB	22182023
2730832	9034	1996-03-14	VYDAJ	PREVOD NA UCET	9115	48819	POJISTNE	AB	22182023
2730833	9034	1996-04-14	VYDAJ	PREVOD NA UCET	9115	50395	POJISTNE	AB	22182023
2730834	9034	1996-05-14	VYDAJ	PREVOD NA UCET	9115	50466	POJISTNE	AB	22182023
2730835	9034	1996-06-14	VYDAJ	PREVOD NA UCET	9115	62920	POJISTNE	AB	22182023
2730836	9034	1996-07-14	VYDAJ	PREVOD NA UCET	9115	41588	POJISTNE	AB	22182023
2730837	9034	1996-08-14	VYDAJ	PREVOD NA UCET	9115	44834	POJISTNE	AB	22182023
2730838	9034	1996-09-14	VYDAJ	PREVOD NA UCET	9115	48201	POJISTNE	AB	22182023
2730839	9034	1996-10-14	VYDAJ	PREVOD NA UCET	9115	51076	POJISTNE	AB	22182023
2730840	9034	1996-11-14	VYDAJ	PREVOD NA UCET	9115	34146	POJISTNE	AB	22182023
2730841	9034	1996-12-14	VYDAJ	PREVOD NA UCET	9115	51345	POJISTNE	AB	22182023
2730842	9034	1997-01-14	VYDAJ	PREVOD NA UCET	9115	53738	POJISTNE	AB	22182023
2730843	9034	1997-02-14	VYDAJ	PREVOD NA UCET	9115	50163	POJISTNE	AB	22182023
2730844	9034	1997-03-14	VYDAJ	PREVOD NA UCET	9115	52167	POJISTNE	AB	22182023
2730845	9034	1997-04-14	VYDAJ	PREVOD NA UCET	9115	50427	POJISTNE	AB	22182023
2730846	9034	1997-05-14	VYDAJ	PREVOD NA UCET	9115	39676	POJISTNE	AB	22182023
2730847	9034	1997-06-14	VYDAJ	PREVOD NA UCET	9115	57138	POJISTNE	AB	22182023
2730848	9034	1997-07-14	VYDAJ	PREVOD NA UCET	9115	52229	POJISTNE	AB	22182023
2730849	9034	1997-08-14	VYDAJ	PREVOD NA UCET	9115	43995	POJISTNE	AB	22182023
2730850	9034	1997-09-14	VYDAJ	PREVOD NA UCET	9115	47991	POJISTNE	AB	22182023
2730851	9034	1997-10-14	VYDAJ	PREVOD NA UCET	9115	52982	POJISTNE	AB	22182023
2730852	9034	1997-11-14	VYDAJ	PREVOD NA UCET	9115	49776	POJISTNE	AB	22182023
2730853	9034	1997-12-14	VYDAJ	PREVOD NA UCET	9115	69633	POJISTNE	AB	22182023
2730854	9034	1998-01-14	VYDAJ	PREVOD NA UCET	9115	40699	POJISTNE	AB	22182023
2730855	9034	1998-02-14	VYDAJ	PREVOD NA UCET	9115	49007	POJISTNE	AB	22182023
2730856	9034	1998-03-14	VYDAJ	PREVOD NA UCET	9115	42913	POJISTNE	AB	22182023
2730857	9034	1998-04-14	VYDAJ	PREVOD NA UCET	9115	45273	POJISTNE	AB	22182023
2730858	9034	1998-05-14	VYDAJ	PREVOD NA UCET	9115	40187	POJISTNE	AB	22182023
2730859	9034	1998-06-14	VYDAJ	PREVOD NA UCET	9115	55797	POJISTNE	AB	22182023
2730860	9034	1998-07-14	VYDAJ	PREVOD NA UCET	9115	54903	POJISTNE	AB	22182023
2730861	9034	1998-08-14	VYDAJ	PREVOD NA UCET	9115	55216	POJISTNE	AB	22182023
2730862	9034	1998-09-14	VYDAJ	PREVOD NA UCET	9115	55773	POJISTNE	AB	22182023
2730863	9034	1998-10-14	VYDAJ	PREVOD NA UCET	9115	53108	POJISTNE	AB	22182023
2730864	9034	1998-11-14	VYDAJ	PREVOD NA UCET	9115	52241	POJISTNE	AB	22182023
2730865	9034	1998-12-14	VYDAJ	PREVOD NA UCET	9115	54413	POJISTNE	AB	22182023
2730869	9034	1993-11-14	VYBER	VYBER	8033	54292	\N	\N	\N
2730878	9034	1994-11-24	VYBER	VYBER	4629	28658	\N	\N	\N
2730879	9034	1994-10-16	VYBER	VYBER	16850	23619	\N	\N	\N
2730880	9034	1994-12-19	VYBER	VYBER	5015	38920	\N	\N	\N
2730881	9034	1995-02-05	VYBER	VYBER	9170	26076	\N	\N	\N
2730883	9034	1995-07-03	VYBER	VYBER	3405	36846	\N	\N	\N
2730885	9034	1996-01-31	VYBER	VYBER	11119	31406	\N	\N	\N
2730888	9034	1996-08-18	VYBER	VYBER	3256	41578	\N	\N	\N
2730889	9034	1996-07-02	VYBER	VYBER	17089	28817	\N	\N	\N
2730890	9034	1996-10-26	VYBER	VYBER	17021	30655	\N	\N	\N
2730891	9034	1997-04-16	VYBER	VYBER	17581	32846	\N	\N	\N
2730893	9034	1997-12-30	VYBER	VYBER	15121	38199	\N	\N	\N
2730894	9034	1997-12-17	VYBER	VYBER	16313	53320	\N	\N	\N
2730897	9034	1998-04-24	VYBER	VYBER	7589	33884	\N	\N	\N
2730898	9034	1998-09-26	VYBER	VYBER	5242	41531	\N	\N	\N
2730899	9034	1998-02-16	VYBER	VYBER	4837	44170	\N	\N	\N
2730901	9034	1998-11-22	VYBER	VYBER	14597	37644	\N	\N	\N
2730903	9034	1998-03-14	VYBER	VYBER	5997	52028	\N	\N	\N
2730904	9034	1998-03-24	VYBER	VYBER	6266	36647	\N	\N	\N
2730905	9034	1998-01-07	VYBER	VYBER	14223	33328	\N	\N	\N
2730913	9034	1993-12-07	VYDAJ	VYBER	6300	29453	\N	\N	\N
2730916	9034	1996-12-07	VYDAJ	VYBER	1500	29272	\N	\N	\N
2730917	9034	1997-12-04	VYDAJ	VYBER	2400	51360	\N	\N	\N
2730918	9034	1998-12-23	VYDAJ	VYBER	4200	50213	\N	\N	\N
2730921	9034	1993-12-21	VYDAJ	VYBER	6900	38226	\N	\N	\N
2730928	9034	1994-07-21	VYDAJ	VYBER	8400	31081	\N	\N	\N
2730931	9034	1995-04-22	VYDAJ	VYBER	8700	24472	\N	\N	\N
2730933	9034	1995-11-18	VYDAJ	VYBER	13500	26078	\N	\N	\N
2730934	9034	1995-03-07	VYDAJ	VYBER	5100	24832	\N	\N	\N
2730935	9034	1996-05-30	VYDAJ	VYBER	9600	40866	\N	\N	\N
2730936	9034	1996-06-22	VYDAJ	VYBER	13500	45620	\N	\N	\N
2730937	9034	1996-08-31	VYDAJ	VYBER	3000	38830	\N	\N	\N
2730938	9034	1996-03-31	VYDAJ	VYBER	9600	33224	\N	\N	\N
2730939	9034	1997-07-18	VYDAJ	VYBER	14100	35729	\N	\N	\N
2730940	9034	1997-10-28	VYDAJ	VYBER	9600	40982	\N	\N	\N
2730942	9034	1997-01-24	VYDAJ	VYBER	4500	45538	\N	\N	\N
2730944	9034	1997-07-16	VYDAJ	VYBER	2400	49829	\N	\N	\N
2730945	9034	1998-07-25	VYDAJ	VYBER	4800	47603	\N	\N	\N
2730946	9034	1998-12-26	VYDAJ	VYBER	11700	38513	\N	\N	\N
2730947	9034	1998-09-16	VYDAJ	VYBER	9000	46773	\N	\N	\N
2730961	9034	1993-11-30	VYDAJ	VYBER	15	35753	SLUZBY	\N	\N
2730962	9034	1993-12-31	VYDAJ	VYBER	15	30372	SLUZBY	\N	\N
2730963	9034	1994-01-31	VYDAJ	VYBER	15	30318	SLUZBY	\N	\N
2730964	9034	1994-02-28	VYDAJ	VYBER	15	28972	SLUZBY	\N	\N
2730965	9034	1994-03-31	VYDAJ	VYBER	15	28219	SLUZBY	\N	\N
2730966	9034	1994-04-30	VYDAJ	VYBER	15	31960	SLUZBY	\N	\N
2730967	9034	1994-05-31	VYDAJ	VYBER	15	31051	SLUZBY	\N	\N
2730968	9034	1994-06-30	VYDAJ	VYBER	15	35289	SLUZBY	\N	\N
2730969	9034	1994-07-31	VYDAJ	VYBER	15	29838	SLUZBY	\N	\N
2730970	9034	1994-08-31	VYDAJ	VYBER	15	32561	SLUZBY	\N	\N
2730971	9034	1994-09-30	VYDAJ	VYBER	15	36277	SLUZBY	\N	\N
2730972	9034	1994-10-31	VYDAJ	VYBER	15	27195	SLUZBY	\N	\N
2730973	9034	1994-11-30	VYDAJ	VYBER	15	28841	SLUZBY	\N	\N
2730974	9034	1994-12-31	VYDAJ	VYBER	15	32929	SLUZBY	\N	\N
2730975	9034	1995-01-31	VYDAJ	VYBER	15	35246	SLUZBY	\N	\N
2730976	9034	1995-02-28	VYDAJ	VYBER	15	29932	SLUZBY	\N	\N
2730977	9034	1995-03-31	VYDAJ	VYBER	15	29101	SLUZBY	\N	\N
2730978	9034	1995-04-30	VYDAJ	VYBER	15	24672	SLUZBY	\N	\N
2730979	9034	1995-05-31	VYDAJ	VYBER	15	29907	SLUZBY	\N	\N
2730980	9034	1995-06-30	VYDAJ	VYBER	15	40251	SLUZBY	\N	\N
2730981	9034	1995-07-31	VYDAJ	VYBER	15	38859	SLUZBY	\N	\N
2730982	9034	1995-08-31	VYDAJ	VYBER	15	42430	SLUZBY	\N	\N
2730983	9034	1995-09-30	VYDAJ	VYBER	15	43117	SLUZBY	\N	\N
2730984	9034	1995-10-31	VYDAJ	VYBER	15	41407	SLUZBY	\N	\N
2730985	9034	1995-11-30	VYDAJ	VYBER	15	26315	SLUZBY	\N	\N
2730986	9034	1995-12-31	VYDAJ	VYBER	15	39992	SLUZBY	\N	\N
2730987	9034	1996-01-31	VYDAJ	VYBER	15	31392	SLUZBY	\N	\N
2730988	9034	1996-02-29	VYDAJ	VYBER	15	44248	SLUZBY	\N	\N
2730989	9034	1996-03-31	VYDAJ	VYBER	15	42824	SLUZBY	\N	\N
2730990	9034	1996-04-30	VYDAJ	VYBER	15	47995	SLUZBY	\N	\N
2730991	9034	1996-05-31	VYDAJ	VYBER	15	41147	SLUZBY	\N	\N
2730992	9034	1996-06-30	VYDAJ	VYBER	15	45906	SLUZBY	\N	\N
2730993	9034	1996-07-31	VYDAJ	VYBER	15	41863	SLUZBY	\N	\N
2730994	9034	1996-08-31	VYDAJ	VYBER	15	41830	SLUZBY	\N	\N
2730995	9034	1996-09-30	VYDAJ	VYBER	15	46005	SLUZBY	\N	\N
2730996	9034	1996-10-31	VYDAJ	VYBER	15	30975	SLUZBY	\N	\N
2730997	9034	1996-11-30	VYDAJ	VYBER	15	34372	SLUZBY	\N	\N
2730998	9034	1996-12-31	VYDAJ	VYBER	15	51667	SLUZBY	\N	\N
2730999	9034	1997-01-31	VYDAJ	VYBER	15	45892	SLUZBY	\N	\N
2731000	9034	1997-02-28	VYDAJ	VYBER	15	47096	SLUZBY	\N	\N
2731001	9034	1997-03-31	VYDAJ	VYBER	15	49956	SLUZBY	\N	\N
2731002	9034	1997-04-30	VYDAJ	VYBER	15	30205	SLUZBY	\N	\N
2731003	9034	1997-05-31	VYDAJ	VYBER	15	36065	SLUZBY	\N	\N
2731004	9034	1997-06-30	VYDAJ	VYBER	15	53958	SLUZBY	\N	\N
2731005	9034	1997-07-31	VYDAJ	VYBER	15	36024	SLUZBY	\N	\N
2731006	9034	1997-08-31	VYDAJ	VYBER	15	41020	SLUZBY	\N	\N
2731007	9034	1997-09-30	VYDAJ	VYBER	15	48311	SLUZBY	\N	\N
2731008	9034	1997-10-31	VYDAJ	VYBER	15	41305	SLUZBY	\N	\N
2731009	9034	1997-11-30	VYDAJ	VYBER	15	50060	SLUZBY	\N	\N
2731010	9034	1997-12-31	VYDAJ	VYBER	15	38551	SLUZBY	\N	\N
2731011	9034	1998-01-31	VYDAJ	VYBER	15	38036	SLUZBY	\N	\N
2731012	9034	1998-02-28	VYDAJ	VYBER	15	44439	SLUZBY	\N	\N
2731013	9034	1998-03-31	VYDAJ	VYBER	15	36902	SLUZBY	\N	\N
2731014	9034	1998-04-30	VYDAJ	VYBER	15	34116	SLUZBY	\N	\N
2731015	9034	1998-05-31	VYDAJ	VYBER	15	40424	SLUZBY	\N	\N
2731016	9034	1998-06-30	VYDAJ	VYBER	15	56132	SLUZBY	\N	\N
2731017	9034	1998-07-31	VYDAJ	VYBER	15	47945	SLUZBY	\N	\N
2731018	9034	1998-08-31	VYDAJ	VYBER	15	52102	SLUZBY	\N	\N
2731019	9034	1998-09-30	VYDAJ	VYBER	15	45737	SLUZBY	\N	\N
2731020	9034	1998-10-31	VYDAJ	VYBER	15	48670	SLUZBY	\N	\N
2731021	9034	1998-11-30	VYDAJ	VYBER	15	38740	SLUZBY	\N	\N
2731022	9034	1993-07-28	PRIJEM	VKLAD	1800	24504	\N	\N	\N
2731023	9034	1993-08-27	VYDAJ	VYBER	12800	33531	\N	\N	\N
2731024	9034	1993-09-26	VYDAJ	VYBER	16500	38961	\N	\N	\N
2731025	9034	1993-10-26	VYDAJ	VYBER	20600	40330	\N	\N	\N
2731026	9034	1993-11-25	VYDAJ	VYBER	9700	35477	\N	\N	\N
2731027	9034	1993-12-25	VYDAJ	VYBER	8100	30126	\N	\N	\N
2731028	9034	1994-01-24	VYDAJ	VYBER	4500	30064	\N	\N	\N
2731029	9034	1994-02-23	VYDAJ	VYBER	5800	28710	\N	\N	\N
2731030	9034	1994-03-25	VYDAJ	VYBER	5200	27964	\N	\N	\N
2731031	9034	1994-04-24	VYDAJ	VYBER	700	31711	\N	\N	\N
2731032	9034	1994-05-24	VYDAJ	VYBER	5300	30852	\N	\N	\N
2731033	9034	1994-06-23	VYDAJ	VYBER	11100	35045	\N	\N	\N
2731034	9034	1994-07-23	VYDAJ	VYBER	1500	29581	\N	\N	\N
2731035	9034	1994-08-22	VYDAJ	VYBER	1700	32330	\N	\N	\N
2731036	9034	1994-09-21	VYDAJ	VYBER	700	36053	\N	\N	\N
2731037	9034	1994-10-21	PRIJEM	VKLAD	3400	27019	\N	\N	\N
2731038	9034	1994-11-20	PRIJEM	VKLAD	1900	33287	\N	\N	\N
2731039	9034	1994-12-20	VYDAJ	VYBER	6200	32720	\N	\N	\N
2731040	9034	1995-01-19	VYDAJ	VYBER	1800	35000	\N	\N	\N
2731041	9034	1995-02-18	VYDAJ	VYBER	1000	29747	\N	\N	\N
2731042	9034	1995-03-20	VYDAJ	VYBER	900	28903	\N	\N	\N
2731043	9034	1995-04-19	PRIJEM	VKLAD	600	33172	\N	\N	\N
2731044	9034	1995-05-19	PRIJEM	VKLAD	400	32443	\N	\N	\N
2731045	9034	1995-06-18	VYDAJ	VYBER	5000	43180	\N	\N	\N
2731046	9034	1995-07-18	VYDAJ	VYBER	2100	38617	\N	\N	\N
2731047	9034	1995-08-17	VYDAJ	VYBER	1200	42130	\N	\N	\N
2731048	9034	1995-09-16	VYDAJ	VYBER	4000	42801	\N	\N	\N
2731049	9034	1995-10-16	VYDAJ	VYBER	5600	44888	\N	\N	\N
2731050	9034	1995-11-15	VYDAJ	VYBER	6500	39578	\N	\N	\N
2731051	9034	1995-12-15	VYDAJ	VYBER	1600	42988	\N	\N	\N
2731052	9034	1996-01-14	VYDAJ	VYBER	2500	44863	\N	\N	\N
2731053	9034	1996-02-13	PRIJEM	VKLAD	8300	34995	\N	\N	\N
2731054	9034	1996-03-14	VYDAJ	VYBER	6300	42519	\N	\N	\N
2731055	9034	1996-04-13	PRIJEM	VKLAD	9800	38327	\N	\N	\N
2731056	9034	1996-05-13	VYDAJ	VYBER	2300	40377	\N	\N	\N
2731057	9034	1996-06-12	PRIJEM	VKLAD	3500	39950	\N	\N	\N
2731058	9034	1996-07-12	PRIJEM	VKLAD	9300	29520	\N	\N	\N
2731059	9034	1996-08-11	VYDAJ	VYBER	1900	35266	\N	\N	\N
2731060	9034	1996-09-10	PRIJEM	VKLAD	2000	40830	\N	\N	\N
2731061	9034	1996-10-10	VYDAJ	VYBER	2300	43705	\N	\N	\N
2731062	9034	1996-11-09	VYDAJ	VYBER	500	26775	\N	\N	\N
2731063	9034	1996-12-09	PRIJEM	VKLAD	3800	33072	\N	\N	\N
2731064	9034	1997-01-08	VYDAJ	VYBER	5300	46367	\N	\N	\N
2731065	9034	1997-02-07	VYDAJ	VYBER	3100	42792	\N	\N	\N
2731066	9034	1997-03-09	VYDAJ	VYBER	2300	44796	\N	\N	\N
2731067	9034	1997-04-08	VYDAJ	VYBER	6900	43056	\N	\N	\N
2731068	9034	1997-05-08	PRIJEM	VKLAD	2100	32305	\N	\N	\N
2731069	9034	1997-06-07	PRIJEM	VKLAD	2800	38865	\N	\N	\N
2731070	9034	1997-07-07	VYDAJ	VYBER	5600	48358	\N	\N	\N
2731071	9034	1997-08-06	PRIJEM	VKLAD	600	36624	\N	\N	\N
2731072	9034	1997-09-05	PRIJEM	VKLAD	2700	43720	\N	\N	\N
2731073	9034	1997-10-05	VYDAJ	VYBER	2700	45611	\N	\N	\N
2731074	9034	1997-11-04	PRIJEM	VKLAD	3700	45005	\N	\N	\N
2731075	9034	1997-12-04	PRIJEM	VKLAD	6400	56460	\N	\N	\N
2731076	9034	1998-01-03	PRIJEM	VKLAD	9000	47551	\N	\N	\N
2731077	9034	1998-02-02	PRIJEM	VKLAD	6300	44336	\N	\N	\N
2731078	9034	1998-03-04	PRIJEM	VKLAD	500	41539	\N	\N	\N
2731079	9034	1998-04-03	PRIJEM	VKLAD	1000	37902	\N	\N	\N
2731080	9034	1998-05-03	PRIJEM	VKLAD	2000	36116	\N	\N	\N
2731081	9034	1998-06-02	PRIJEM	VKLAD	500	40924	\N	\N	\N
2731082	9034	1998-07-02	VYDAJ	VYBER	8600	47532	\N	\N	\N
2731083	9034	1998-08-01	VYDAJ	VYBER	100	47845	\N	\N	\N
2731084	9034	1998-08-31	VYDAJ	VYBER	200	52117	\N	\N	\N
2731085	9034	1998-09-30	PRIJEM	VKLAD	3900	45431	\N	\N	\N
2731086	9034	1998-10-30	VYDAJ	VYBER	1000	48408	\N	\N	\N
2731087	9034	1998-11-29	PRIJEM	VKLAD	800	38444	\N	\N	\N
2731831	9037	1996-10-22	PRIJEM	VKLAD	400	400	\N	\N	\N
2731842	9037	1996-11-11	PRIJEM	VKLAD	13022	13422	\N	\N	\N
2731843	9037	1996-12-11	PRIJEM	VKLAD	19533	38405	\N	\N	\N
2731844	9037	1997-01-11	PRIJEM	VKLAD	13022	48477	\N	\N	\N
2731845	9037	1997-02-11	PRIJEM	VKLAD	13022	51006	\N	\N	\N
2731846	9037	1997-03-11	PRIJEM	VKLAD	13022	47024	\N	\N	\N
2731847	9037	1997-04-11	PRIJEM	VKLAD	13022	37086	\N	\N	\N
2731848	9037	1997-05-11	PRIJEM	VKLAD	13022	23399	\N	\N	\N
2731849	9037	1997-06-11	PRIJEM	VKLAD	19533	23514	\N	\N	\N
2731850	9037	1997-07-11	PRIJEM	VKLAD	13022	23421	\N	\N	\N
2731851	9037	1997-08-11	PRIJEM	VKLAD	13022	31471	\N	\N	\N
2731852	9037	1997-09-11	PRIJEM	VKLAD	13022	31130	\N	\N	\N
2731853	9037	1997-10-11	PRIJEM	VKLAD	13022	37026	\N	\N	\N
2731854	9037	1997-11-11	PRIJEM	VKLAD	13022	29679	\N	\N	\N
2731855	9037	1997-12-11	PRIJEM	VKLAD	19533	33550	\N	\N	\N
2731856	9037	1998-01-11	PRIJEM	VKLAD	13022	33033	\N	\N	\N
2731857	9037	1998-02-11	PRIJEM	VKLAD	13022	28710	\N	\N	\N
2731858	9037	1998-03-11	PRIJEM	VKLAD	13022	30976	\N	\N	\N
2731859	9037	1998-04-11	PRIJEM	VKLAD	13022	41885	\N	\N	\N
2731860	9037	1998-05-11	PRIJEM	VKLAD	13022	42586	\N	\N	\N
2731861	9037	1998-06-11	PRIJEM	VKLAD	19533	47575	\N	\N	\N
2731862	9037	1998-07-11	PRIJEM	VKLAD	13022	48494	\N	\N	\N
2731863	9037	1998-08-11	PRIJEM	VKLAD	13022	51256	\N	\N	\N
2731864	9037	1998-09-11	PRIJEM	VKLAD	13022	59517	\N	\N	\N
2731865	9037	1998-10-11	PRIJEM	VKLAD	13022	61554	\N	\N	\N
2731866	9037	1998-11-11	PRIJEM	VKLAD	13022	62593	\N	\N	\N
2731867	9037	1998-12-11	PRIJEM	VKLAD	19533	67886	\N	\N	\N
2731883	9037	1997-04-06	VYDAJ	PREVOD NA UCET	3416	28097	SIPO	QR	79376786
2731884	9037	1997-05-06	VYDAJ	PREVOD NA UCET	3416	14410	SIPO	QR	79376786
2731885	9037	1997-06-06	VYDAJ	PREVOD NA UCET	3416	8014	SIPO	QR	79376786
2731886	9037	1997-07-06	VYDAJ	PREVOD NA UCET	3416	20432	SIPO	QR	79376786
2731887	9037	1997-08-06	VYDAJ	PREVOD NA UCET	3416	22482	SIPO	QR	79376786
2731888	9037	1997-09-06	VYDAJ	PREVOD NA UCET	3416	22141	SIPO	QR	79376786
2731889	9037	1997-10-06	VYDAJ	PREVOD NA UCET	3416	28037	SIPO	QR	79376786
2731890	9037	1997-11-06	VYDAJ	PREVOD NA UCET	3416	26590	SIPO	QR	79376786
2731891	9037	1997-12-06	VYDAJ	PREVOD NA UCET	3416	24850	SIPO	QR	79376786
2731892	9037	1998-01-06	VYDAJ	PREVOD NA UCET	3416	28844	SIPO	QR	79376786
2731893	9037	1998-02-06	VYDAJ	PREVOD NA UCET	3416	19721	SIPO	QR	79376786
2731894	9037	1998-03-06	VYDAJ	PREVOD NA UCET	3416	21987	SIPO	QR	79376786
2731895	9037	1998-04-06	VYDAJ	PREVOD NA UCET	3416	32896	SIPO	QR	79376786
2731896	9037	1998-05-06	VYDAJ	PREVOD NA UCET	3416	33597	SIPO	QR	79376786
2731897	9037	1998-06-06	VYDAJ	PREVOD NA UCET	3416	37275	SIPO	QR	79376786
2731898	9037	1998-07-06	VYDAJ	PREVOD NA UCET	3416	45705	SIPO	QR	79376786
2731899	9037	1998-08-06	VYDAJ	PREVOD NA UCET	3416	42267	SIPO	QR	79376786
2731900	9037	1998-09-06	VYDAJ	PREVOD NA UCET	3416	50528	SIPO	QR	79376786
2731901	9037	1998-10-06	VYDAJ	PREVOD NA UCET	3416	52565	SIPO	QR	79376786
2731902	9037	1998-11-06	VYDAJ	PREVOD NA UCET	3416	53604	SIPO	QR	79376786
2731903	9037	1998-12-06	VYDAJ	PREVOD NA UCET	3416	52386	SIPO	QR	79376786
2731919	9037	1997-04-09	VYDAJ	PREVOD NA UCET	4033	24064	 	QR	77797412
2731920	9037	1997-05-09	VYDAJ	PREVOD NA UCET	4033	10377	 	QR	77797412
2731921	9037	1997-06-09	VYDAJ	PREVOD NA UCET	4033	3981	 	QR	77797412
2731922	9037	1997-07-09	VYDAJ	PREVOD NA UCET	4033	16399	 	QR	77797412
2731923	9037	1997-08-09	VYDAJ	PREVOD NA UCET	4033	18449	 	QR	77797412
2731924	9037	1997-09-09	VYDAJ	PREVOD NA UCET	4033	18108	 	QR	77797412
2731925	9037	1997-10-09	VYDAJ	PREVOD NA UCET	4033	24004	 	QR	77797412
2731926	9037	1997-11-09	VYDAJ	PREVOD NA UCET	4033	22557	 	QR	77797412
2731927	9037	1997-12-09	VYDAJ	PREVOD NA UCET	4033	14017	 	QR	77797412
2731928	9037	1998-01-09	VYDAJ	PREVOD NA UCET	4033	20011	 	QR	77797412
2731929	9037	1998-02-09	VYDAJ	PREVOD NA UCET	4033	15688	 	QR	77797412
2731930	9037	1998-03-09	VYDAJ	PREVOD NA UCET	4033	17954	 	QR	77797412
2731931	9037	1998-04-09	VYDAJ	PREVOD NA UCET	4033	28863	 	QR	77797412
2731932	9037	1998-05-09	VYDAJ	PREVOD NA UCET	4033	29564	 	QR	77797412
2731933	9037	1998-06-09	VYDAJ	PREVOD NA UCET	4033	33242	 	QR	77797412
2731934	9037	1998-07-09	VYDAJ	PREVOD NA UCET	4033	41672	 	QR	77797412
2731935	9037	1998-08-09	VYDAJ	PREVOD NA UCET	4033	38234	 	QR	77797412
2731936	9037	1998-09-09	VYDAJ	PREVOD NA UCET	4033	46495	 	QR	77797412
2731937	9037	1998-10-09	VYDAJ	PREVOD NA UCET	4033	48532	 	QR	77797412
2731938	9037	1998-11-09	VYDAJ	PREVOD NA UCET	4033	49571	 	QR	77797412
2731939	9037	1998-12-09	VYDAJ	PREVOD NA UCET	4033	48353	 	QR	77797412
2731954	9037	1997-03-17	VYDAJ	VYBER	6000	41024	\N	\N	0
2731955	9037	1997-04-12	VYDAJ	VYBER	6100	30986	\N	\N	0
2731956	9037	1997-05-17	VYDAJ	VYBER	5300	18099	\N	\N	0
2731957	9037	1997-06-03	VYDAJ	VYBER	5900	11430	\N	\N	0
2731958	9037	1997-07-09	VYDAJ	VYBER	6000	10399	\N	\N	0
2731959	9037	1997-08-14	VYDAJ	VYBER	5600	25871	\N	\N	0
2731960	9037	1997-09-02	VYDAJ	VYBER	6000	25557	\N	\N	0
2731961	9037	1997-10-16	VYDAJ	VYBER	8000	29026	\N	\N	0
2731962	9037	1997-11-09	VYDAJ	VYBER	5900	16657	\N	\N	0
2731963	9037	1997-12-08	VYDAJ	VYBER	6800	18050	\N	\N	0
2731964	9037	1998-01-21	VYDAJ	VYBER	8200	27113	\N	\N	0
2731965	9037	1998-02-19	VYDAJ	VYBER	6400	32510	\N	\N	0
2731966	9037	1998-03-03	VYDAJ	VYBER	7300	25403	\N	\N	0
2731967	9037	1998-04-19	VYDAJ	VYBER	5500	36765	\N	\N	0
2731968	9037	1998-05-19	VYDAJ	VYBER	7100	40386	\N	\N	0
2731969	9037	1998-06-09	VYDAJ	VYBER	5200	28042	\N	\N	0
2731970	9037	1998-07-10	VYDAJ	VYBER	6200	35472	\N	\N	0
2731971	9037	1998-08-05	VYDAJ	VYBER	7800	45683	\N	\N	0
2731972	9037	1998-09-17	VYDAJ	VYBER	6900	55617	\N	\N	0
2731973	9037	1998-10-12	VYDAJ	PREVOD NA UCET	6707	56647	UVER	YZ	68518405
2731974	9037	1998-11-12	VYDAJ	PREVOD NA UCET	6707	55386	UVER	YZ	68518405
2731975	9037	1998-12-12	VYDAJ	PREVOD NA UCET	6707	58979	UVER	YZ	68518405
2731977	9037	1997-12-27	VYDAJ	VYBER	2080	35970	\N	\N	\N
2731978	9037	1998-12-17	VYDAJ	VYBER	1120	57859	\N	\N	\N
2731991	9037	1998-01-02	VYDAJ	VYBER	3360	32860	\N	\N	\N
2731992	9037	1998-01-02	VYDAJ	VYBER	600	32260	\N	\N	\N
2731993	9037	1998-01-28	VYDAJ	VYBER	2040	25073	\N	\N	\N
2731994	9037	1998-01-20	VYDAJ	VYBER	1080	37353	\N	\N	\N
2731995	9037	1998-01-21	VYDAJ	VYBER	2040	35313	\N	\N	\N
2731996	9037	1998-01-29	VYDAJ	VYBER	2160	22913	\N	\N	\N
2732003	9037	1997-09-17	VYDAJ	VYBER	2280	31250	\N	\N	\N
2732004	9037	1997-11-02	VYDAJ	VYBER	5040	30006	\N	\N	\N
2732006	9037	1997-12-01	VYDAJ	VYBER	3120	28266	\N	\N	\N
2732007	9037	1997-05-06	VYDAJ	VYBER	5640	17826	\N	\N	\N
2732009	9037	1997-05-31	VYDAJ	VYBER	2400	17330	\N	\N	\N
2732010	9037	1998-01-06	VYDAJ	VYBER	4800	24044	\N	\N	\N
2732011	9037	1998-04-17	VYDAJ	VYBER	4320	42265	\N	\N	\N
2732012	9037	1998-08-14	VYDAJ	VYBER	5400	53556	\N	\N	\N
2732028	9037	1997-03-31	VYDAJ	VYBER	15	31513	SLUZBY	\N	\N
2732029	9037	1997-04-30	VYDAJ	VYBER	15	23466	SLUZBY	\N	\N
2732030	9037	1997-05-31	VYDAJ	VYBER	15	19730	SLUZBY	\N	\N
2732031	9037	1997-06-30	VYDAJ	VYBER	15	23848	SLUZBY	\N	\N
2732032	9037	1997-07-31	VYDAJ	VYBER	15	25898	SLUZBY	\N	\N
2732033	9037	1997-08-31	VYDAJ	VYBER	15	31557	SLUZBY	\N	\N
2732034	9037	1997-09-30	VYDAJ	VYBER	15	31453	SLUZBY	\N	\N
2732035	9037	1997-10-31	VYDAJ	VYBER	15	35046	SLUZBY	\N	\N
2732036	9037	1997-11-30	VYDAJ	VYBER	15	31386	SLUZBY	\N	\N
2732037	9037	1997-12-31	VYDAJ	VYBER	15	36220	SLUZBY	\N	\N
2732038	9037	1998-01-31	VYDAJ	VYBER	15	23137	SLUZBY	\N	\N
2732039	9037	1998-02-28	VYDAJ	VYBER	15	32703	SLUZBY	\N	\N
2732040	9037	1998-03-31	VYDAJ	VYBER	15	36312	SLUZBY	\N	\N
2732041	9037	1998-04-30	VYDAJ	VYBER	15	37013	SLUZBY	\N	\N
2732042	9037	1998-05-31	VYDAJ	VYBER	15	40691	SLUZBY	\N	\N
2732043	9037	1998-06-30	VYDAJ	VYBER	15	49121	SLUZBY	\N	\N
2732044	9037	1998-07-31	VYDAJ	VYBER	15	53483	SLUZBY	\N	\N
2732045	9037	1998-08-31	VYDAJ	VYBER	15	53944	SLUZBY	\N	\N
2732046	9037	1998-09-30	VYDAJ	VYBER	15	55981	SLUZBY	\N	\N
2732047	9037	1998-10-31	VYDAJ	VYBER	15	57020	SLUZBY	\N	\N
2732048	9037	1998-11-30	VYDAJ	VYBER	15	55802	SLUZBY	\N	\N
2732049	9037	1996-11-21	PRIJEM	VKLAD	5400	18822	\N	\N	\N
2732050	9037	1996-12-21	VYDAJ	VYBER	3100	35305	\N	\N	\N
2732051	9037	1997-01-20	VYDAJ	VYBER	10700	37777	\N	\N	\N
2732052	9037	1997-02-19	VYDAJ	VYBER	17200	33806	\N	\N	\N
2732053	9037	1997-03-21	VYDAJ	VYBER	9700	31324	\N	\N	\N
2732054	9037	1997-04-20	VYDAJ	VYBER	7700	23286	\N	\N	\N
2732055	9037	1997-05-20	PRIJEM	VKLAD	1500	19599	\N	\N	\N
2732056	9037	1997-06-19	PRIJEM	VKLAD	200	23714	\N	\N	\N
2732057	9037	1997-07-19	PRIJEM	VKLAD	2300	25721	\N	\N	\N
2732058	9037	1997-08-18	PRIJEM	VKLAD	5500	31371	\N	\N	\N
2732059	9037	1997-09-17	PRIJEM	VKLAD	2400	33530	\N	\N	\N
2732060	9037	1997-10-17	PRIJEM	VKLAD	5800	34826	\N	\N	\N
2732061	9037	1997-11-16	PRIJEM	VKLAD	1500	31179	\N	\N	\N
2732062	9037	1997-12-16	PRIJEM	VKLAD	4500	38050	\N	\N	\N
2732063	9037	1998-01-15	PRIJEM	VKLAD	5400	38433	\N	\N	\N
2732064	9037	1998-02-14	PRIJEM	VKLAD	10200	38910	\N	\N	\N
2732065	9037	1998-03-16	PRIJEM	VKLAD	5100	36076	\N	\N	\N
2732066	9037	1998-04-15	PRIJEM	VKLAD	4700	46585	\N	\N	\N
2732067	9037	1998-05-15	PRIJEM	VKLAD	4900	47486	\N	\N	\N
2732068	9037	1998-06-14	PRIJEM	VKLAD	1200	48775	\N	\N	\N
2732069	9037	1998-07-14	PRIJEM	VKLAD	4600	53094	\N	\N	\N
2732070	9037	1998-08-13	PRIJEM	VKLAD	7700	58956	\N	\N	\N
2732071	9037	1998-09-12	PRIJEM	VKLAD	3000	62517	\N	\N	\N
2732072	9037	1998-10-12	PRIJEM	VKLAD	1800	63354	\N	\N	\N
2732073	9037	1998-11-11	VYDAJ	VYBER	500	62093	\N	\N	\N
2732074	9037	1998-12-11	VYDAJ	VYBER	2200	65686	\N	\N	\N
2732969	9041	1993-08-03	PRIJEM	VKLAD	400	400	\N	\N	\N
2732972	9041	1993-08-20	PRIJEM	VKLAD	14769	15169	\N	\N	\N
2732973	9041	1993-10-25	PRIJEM	VKLAD	15483	47622	\N	\N	\N
2732978	9041	1993-11-03	PRIJEM	VKLAD	43964	119332	\N	\N	\N
2732979	9041	1993-08-28	PRIJEM	VKLAD	45925	61094	\N	\N	\N
2732980	9041	1993-11-18	PRIJEM	VKLAD	38931	138663	\N	\N	\N
2732982	9041	1993-10-25	PRIJEM	VKLAD	10675	58297	\N	\N	\N
2732984	9041	1993-12-16	PRIJEM	VKLAD	11702	44092	\N	\N	\N
2732986	9041	1993-11-03	PRIJEM	VKLAD	31281	75368	\N	\N	\N
2732988	9041	1994-12-01	PRIJEM	VKLAD	25958	52728	\N	\N	\N
2732989	9041	1994-06-06	PRIJEM	VKLAD	15741	56865	\N	\N	\N
2732990	9041	1994-05-03	PRIJEM	VKLAD	42894	54563	\N	\N	\N
2732991	9041	1994-10-15	PRIJEM	VKLAD	31698	63040	\N	\N	\N
2732992	9041	1994-12-17	PRIJEM	VKLAD	38263	85891	\N	\N	\N
2732993	9041	1994-11-13	PRIJEM	VKLAD	5770	34389	\N	\N	\N
2732994	9041	1994-09-18	PRIJEM	VKLAD	36697	65864	\N	\N	\N
2732995	9041	1994-01-27	PRIJEM	VKLAD	7788	6749	\N	\N	\N
2732996	9041	1994-05-20	PRIJEM	VKLAD	19810	62343	\N	\N	\N
2732997	9041	1994-08-15	PRIJEM	VKLAD	35381	56597	\N	\N	\N
2732998	9041	1995-11-02	PRIJEM	VKLAD	8553	112697	\N	\N	\N
2732999	9041	1995-06-26	PRIJEM	VKLAD	33276	72968	\N	\N	\N
2733000	9041	1995-06-20	PRIJEM	VKLAD	47008	76478	\N	\N	\N
2733001	9041	1995-04-24	PRIJEM	VKLAD	24138	48547	\N	\N	\N
2733002	9041	1995-07-14	PRIJEM	VKLAD	7677	105651	\N	\N	\N
2733003	9041	1995-08-30	PRIJEM	VKLAD	11373	70574	\N	\N	\N
2733004	9041	1995-06-23	PRIJEM	VKLAD	38714	115192	\N	\N	\N
2733005	9041	1995-02-02	PRIJEM	VKLAD	28987	34729	\N	\N	\N
2733006	9041	1995-10-29	PRIJEM	VKLAD	46792	130183	\N	\N	\N
2733007	9041	1995-01-07	PRIJEM	VKLAD	7670	60444	\N	\N	\N
2733008	9041	1995-02-10	PRIJEM	VKLAD	43747	78476	\N	\N	\N
2733009	9041	1995-10-15	PRIJEM	VKLAD	14561	74699	\N	\N	\N
2733010	9041	1995-12-24	PRIJEM	VKLAD	9465	45652	\N	\N	\N
2733011	9041	1995-11-28	PRIJEM	VKLAD	9268	62343	\N	\N	\N
2733012	9041	1995-08-12	PRIJEM	VKLAD	36025	99601	\N	\N	\N
2733013	9041	1995-07-26	PRIJEM	VKLAD	16127	69524	\N	\N	\N
2733014	9041	1995-05-04	PRIJEM	VKLAD	33090	70725	\N	\N	\N
2733015	9041	1995-05-27	PRIJEM	VKLAD	37723	77148	\N	\N	\N
2733016	9041	1995-07-19	PRIJEM	VKLAD	29546	135197	\N	\N	\N
2733017	9041	1995-07-09	PRIJEM	VKLAD	24653	97974	\N	\N	\N
2733018	9041	1995-10-25	PRIJEM	VKLAD	36392	83391	\N	\N	\N
2733019	9041	1995-10-04	PRIJEM	VKLAD	36543	82785	\N	\N	\N
2733020	9041	1996-02-04	PRIJEM	VKLAD	18930	23623	\N	\N	\N
2733021	9041	1996-02-26	PRIJEM	VKLAD	14290	18741	\N	\N	\N
2733022	9041	1996-07-11	PRIJEM	VKLAD	23519	31058	\N	\N	\N
2733023	9041	1997-08-15	PRIJEM	VKLAD	6691	64798	\N	\N	\N
2733024	9041	1997-02-17	PRIJEM	VKLAD	29979	44991	\N	\N	\N
2733025	9041	1997-09-12	PRIJEM	VKLAD	48556	92790	\N	\N	\N
2733026	9041	1997-02-27	PRIJEM	VKLAD	49077	94068	\N	\N	\N
2733027	9041	1997-01-14	PRIJEM	VKLAD	16198	21347	\N	\N	\N
2733028	9041	1997-04-05	PRIJEM	VKLAD	34733	124399	\N	\N	\N
2733029	9041	1997-04-30	PRIJEM	VKLAD	39006	105400	\N	\N	\N
2733030	9041	1997-03-30	PRIJEM	VKLAD	32073	121533	\N	\N	\N
2733031	9041	1997-06-08	PRIJEM	VKLAD	33716	65956	\N	\N	\N
2733032	9041	1997-07-02	PRIJEM	VKLAD	17356	49306	\N	\N	\N
2733033	9041	1997-07-15	PRIJEM	VKLAD	17305	77899	\N	\N	\N
2733034	9041	1997-04-16	PRIJEM	VKLAD	13998	66077	\N	\N	\N
2733035	9041	1997-07-09	PRIJEM	VKLAD	26130	75436	\N	\N	\N
2733036	9041	1997-03-25	PRIJEM	VKLAD	39833	89460	\N	\N	\N
2733037	9041	1997-08-17	PRIJEM	VKLAD	46318	111116	\N	\N	\N
2733038	9041	1997-01-30	PRIJEM	VKLAD	20628	24675	\N	\N	\N
2733039	9041	1997-05-02	PRIJEM	VKLAD	45407	151087	\N	\N	\N
2733040	9041	1997-10-04	PRIJEM	VKLAD	29851	100776	\N	\N	\N
2733041	9041	1997-06-29	PRIJEM	VKLAD	15236	31835	\N	\N	\N
2733042	9041	1997-08-07	PRIJEM	VKLAD	44687	112807	\N	\N	\N
2733043	9041	1997-09-24	PRIJEM	VKLAD	26089	118879	\N	\N	\N
2733044	9041	1997-11-13	PRIJEM	VKLAD	28302	55106	\N	\N	\N
2733045	9041	1997-02-03	PRIJEM	VKLAD	22080	46758	\N	\N	\N
2733046	9041	1997-07-15	PRIJEM	VKLAD	23358	60594	\N	\N	\N
2733047	9041	1997-11-29	PRIJEM	VKLAD	32799	87905	\N	\N	\N
2733048	9041	1997-04-14	PRIJEM	VKLAD	31780	134479	\N	\N	\N
2733049	9041	1997-12-21	PRIJEM	VKLAD	36198	78887	\N	\N	\N
2733050	9041	1997-10-11	PRIJEM	VKLAD	40772	110470	\N	\N	\N
2733051	9041	1998-03-23	PRIJEM	VKLAD	45190	57667	\N	\N	\N
2733052	9041	1998-02-16	PRIJEM	VKLAD	13328	19839	\N	\N	\N
2733053	9041	1998-09-04	PRIJEM	VKLAD	39115	37492	\N	\N	\N
2733054	9041	1998-11-05	PRIJEM	VKLAD	46648	54408	\N	\N	\N
2733055	9041	1998-11-10	PRIJEM	VKLAD	6007	35415	\N	\N	\N
2733058	9041	1993-11-28	VYBER	VYBER	11249	43360	\N	\N	\N
2733061	9041	1993-11-24	VYBER	VYBER	3254	110509	\N	\N	\N
2733067	9041	1994-04-18	VYBER	VYBER	2507	25	\N	\N	\N
2733068	9041	1994-02-19	VYBER	VYBER	12879	213	\N	\N	\N
2733070	9041	1994-05-13	VYBER	VYBER	12030	42533	\N	\N	\N
2733071	9041	1994-07-07	VYBER	VYBER	6609	27851	\N	\N	\N
2733072	9041	1994-03-10	VYBER	VYBER	3196	7903	\N	\N	\N
2733073	9041	1994-09-23	VYBER	VYBER	24368	41496	\N	\N	\N
2733074	9041	1994-06-10	VYBER	VYBER	3426	53439	\N	\N	\N
2733075	9041	1994-11-11	VYBER	VYBER	16070	28619	\N	\N	\N
2733077	9041	1995-02-16	VYBER	VYBER	17869	60607	\N	\N	\N
2733078	9041	1995-10-09	VYBER	VYBER	22647	60138	\N	\N	\N
2733079	9041	1995-03-29	VYBER	VYBER	8719	24113	\N	\N	\N
2733080	9041	1995-01-11	VYBER	VYBER	3476	51868	\N	\N	\N
2733081	9041	1995-11-18	VYBER	VYBER	13722	98975	\N	\N	\N
2733083	9041	1996-01-13	VYBER	VYBER	12716	28692	\N	\N	\N
2733085	9041	1996-04-04	VYBER	VYBER	5435	7404	\N	\N	\N
2733086	9041	1996-02-25	VYBER	VYBER	11672	4451	\N	\N	\N
2733090	9041	1997-09-09	VYBER	VYBER	23640	88134	\N	\N	\N
2733091	9041	1997-10-03	VYBER	VYBER	2348	70925	\N	\N	\N
2733092	9041	1997-05-29	VYBER	VYBER	3823	31850	\N	\N	\N
2733093	9041	1997-05-03	VYBER	VYBER	18514	80373	\N	\N	\N
2733094	9041	1997-10-10	VYBER	VYBER	14019	69698	\N	\N	\N
2733095	9041	1997-12-22	VYBER	VYBER	19637	59250	\N	\N	\N
2733096	9041	1997-06-10	VYBER	VYBER	13357	52599	\N	\N	\N
2733097	9041	1997-02-04	VYBER	VYBER	8746	38012	\N	\N	\N
2733098	9041	1997-10-12	VYBER	VYBER	8963	46207	\N	\N	\N
2733099	9041	1997-10-04	VYBER	VYBER	6859	93917	\N	\N	\N
2733108	9041	1998-04-05	VYBER	VYBER	14198	43648	\N	\N	\N
2733110	9041	1998-11-12	VYBER	VYBER	15761	19654	\N	\N	\N
2733114	9041	1995-06-09	VYDAJ	VYBER	35100	29470	\N	\N	\N
2733116	9041	1997-06-11	VYDAJ	VYBER	19500	33099	\N	\N	\N
2733119	9041	1994-01-11	VYDAJ	VYBER	19200	1361	\N	\N	\N
2733120	9041	1995-01-13	VYDAJ	VYBER	26700	25168	\N	\N	\N
2733121	9041	1996-01-15	VYDAJ	VYBER	3900	24792	\N	\N	\N
2733123	9041	1998-01-24	VYDAJ	VYBER	7500	15082	\N	\N	\N
2733124	9041	1993-12-11	VYDAJ	VYBER	3300	32390	\N	\N	\N
2733125	9041	1994-12-01	VYDAJ	VYBER	5100	47628	\N	\N	\N
2733126	9041	1995-12-18	VYDAJ	VYBER	2100	60687	\N	\N	\N
2733128	9041	1997-12-06	VYDAJ	VYBER	5400	69089	\N	\N	\N
2733129	9041	1998-12-01	VYDAJ	VYBER	5100	9546	\N	\N	\N
2733136	9041	1994-01-27	VYDAJ	VYBER	7800	-1051	\N	\N	\N
2733139	9041	1994-01-21	VYDAJ	VYBER	2400	-1039	\N	\N	\N
2733140	9041	1994-01-07	VYDAJ	VYBER	7200	28661	\N	\N	\N
2733141	9041	1994-01-10	VYDAJ	VYBER	8100	20561	\N	\N	\N
2733142	9041	1995-01-15	VYDAJ	VYBER	5100	20068	\N	\N	\N
2733143	9041	1995-01-27	VYDAJ	VYBER	2400	5568	\N	\N	\N
2733144	9041	1995-01-15	VYDAJ	VYBER	2700	17368	\N	\N	\N
2733145	9041	1995-01-24	VYDAJ	VYBER	8700	8668	\N	\N	\N
2733146	9041	1995-01-26	VYDAJ	VYBER	2100	7968	\N	\N	\N
2733147	9041	1995-01-25	VYDAJ	VYBER	7500	10068	\N	\N	\N
2733149	9041	1996-01-16	VYDAJ	VYBER	1800	22992	\N	\N	\N
2733150	9041	1996-01-21	VYDAJ	VYBER	6300	7892	\N	\N	\N
2733151	9041	1996-01-29	VYDAJ	VYBER	3300	4592	\N	\N	\N
2733152	9041	1996-01-12	VYDAJ	VYBER	4500	41408	\N	\N	\N
2733156	9041	1997-01-18	VYDAJ	VYBER	4200	6147	\N	\N	\N
2733157	9041	1997-01-21	VYDAJ	VYBER	2100	4047	\N	\N	\N
2733160	9041	1998-01-28	VYDAJ	VYBER	2400	12682	\N	\N	\N
2733162	9041	1998-01-12	VYDAJ	VYBER	2400	31582	\N	\N	\N
2733163	9041	1998-01-30	VYDAJ	VYBER	5100	7582	\N	\N	\N
2733164	9041	1998-01-22	VYDAJ	VYBER	6900	22582	\N	\N	\N
2733165	9041	1998-01-18	VYDAJ	VYBER	2100	29482	\N	\N	\N
2733171	9041	1994-04-06	VYDAJ	VYBER	9000	9132	\N	\N	\N
2733172	9041	1994-07-10	VYDAJ	VYBER	10500	17351	\N	\N	\N
2733173	9041	1994-12-24	VYDAJ	VYBER	3900	81991	\N	\N	\N
2733174	9041	1994-09-07	VYDAJ	VYBER	13200	29167	\N	\N	\N
2733175	9041	1994-04-13	VYDAJ	VYBER	6600	2532	\N	\N	\N
2733176	9041	1994-06-25	VYDAJ	VYBER	9900	43539	\N	\N	\N
2733177	9041	1995-11-18	VYDAJ	VYBER	3300	95675	\N	\N	\N
2733178	9041	1995-01-07	VYDAJ	VYBER	5100	55344	\N	\N	\N
2733179	9041	1995-08-03	VYDAJ	VYBER	6600	63576	\N	\N	\N
2733180	9041	1995-11-24	VYDAJ	VYBER	4500	53075	\N	\N	\N
2733181	9041	1995-05-13	VYDAJ	VYBER	11100	59625	\N	\N	\N
2733182	9041	1995-05-27	VYDAJ	VYBER	12900	64248	\N	\N	\N
2733183	9041	1996-02-06	VYDAJ	VYBER	2700	20923	\N	\N	\N
2733186	9041	1996-07-24	VYDAJ	VYBER	7800	12958	\N	\N	\N
2733187	9041	1996-01-16	VYDAJ	VYBER	8700	14292	\N	\N	\N
2733188	9041	1996-05-30	VYDAJ	VYBER	3600	6445	\N	\N	\N
2733190	9041	1997-07-18	VYDAJ	VYBER	10200	67699	\N	\N	\N
2733191	9041	1997-12-02	VYDAJ	VYBER	13800	74489	\N	\N	\N
2733192	9041	1997-02-13	VYDAJ	VYBER	10800	15012	\N	\N	\N
2733193	9041	1997-10-05	VYDAJ	VYBER	10200	83717	\N	\N	\N
2733194	9041	1997-05-11	VYDAJ	VYBER	9600	70773	\N	\N	\N
2733196	9041	1998-11-26	VYDAJ	VYBER	1800	14554	\N	\N	\N
2733199	9041	1998-04-12	VYDAJ	VYBER	6900	20048	\N	\N	\N
2733200	9041	1998-11-23	VYDAJ	VYBER	3300	16354	\N	\N	\N
2733212	9041	1993-11-30	VYDAJ	VYBER	15	44190	SLUZBY	\N	\N
2733213	9041	1993-12-31	VYDAJ	VYBER	15	44361	SLUZBY	\N	\N
2733214	9041	1994-01-31	VYDAJ	VYBER	15	13102	SLUZBY	\N	\N
2733215	9041	1994-02-28	VYDAJ	VYBER	15	299	SLUZBY	\N	\N
2733216	9041	1994-03-31	VYDAJ	VYBER	15	18132	SLUZBY	\N	\N
2733217	9041	1994-04-30	VYDAJ	VYBER	15	11669	SLUZBY	\N	\N
2733218	9041	1994-05-31	VYDAJ	VYBER	15	41124	SLUZBY	\N	\N
2733219	9041	1994-06-30	VYDAJ	VYBER	15	34460	SLUZBY	\N	\N
2733220	9041	1994-07-31	VYDAJ	VYBER	15	21216	SLUZBY	\N	\N
2733221	9041	1994-08-31	VYDAJ	VYBER	15	42367	SLUZBY	\N	\N
2733222	9041	1994-09-30	VYDAJ	VYBER	15	31342	SLUZBY	\N	\N
2733223	9041	1994-10-31	VYDAJ	VYBER	15	44689	SLUZBY	\N	\N
2733224	9041	1994-11-30	VYDAJ	VYBER	15	26770	SLUZBY	\N	\N
2733225	9041	1994-12-31	VYDAJ	VYBER	15	52774	SLUZBY	\N	\N
2733226	9041	1995-01-31	VYDAJ	VYBER	15	5742	SLUZBY	\N	\N
2733227	9041	1995-02-28	VYDAJ	VYBER	15	40932	SLUZBY	\N	\N
2733228	9041	1995-03-31	VYDAJ	VYBER	15	24409	SLUZBY	\N	\N
2733229	9041	1995-04-30	VYDAJ	VYBER	15	37635	SLUZBY	\N	\N
2733230	9041	1995-05-31	VYDAJ	VYBER	15	64570	SLUZBY	\N	\N
2733231	9041	1995-06-30	VYDAJ	VYBER	15	73321	SLUZBY	\N	\N
2733232	9041	1995-07-31	VYDAJ	VYBER	15	70176	SLUZBY	\N	\N
2733233	9041	1995-08-31	VYDAJ	VYBER	15	71177	SLUZBY	\N	\N
2733234	9041	1995-09-30	VYDAJ	VYBER	15	46242	SLUZBY	\N	\N
2733235	9041	1995-10-31	VYDAJ	VYBER	15	104144	SLUZBY	\N	\N
2733236	9041	1995-11-30	VYDAJ	VYBER	15	62787	SLUZBY	\N	\N
2733237	9041	1995-12-31	VYDAJ	VYBER	15	45908	SLUZBY	\N	\N
2733238	9041	1996-01-31	VYDAJ	VYBER	15	4693	SLUZBY	\N	\N
2733239	9041	1996-02-29	VYDAJ	VYBER	15	18831	SLUZBY	\N	\N
2733240	9041	1996-03-31	VYDAJ	VYBER	15	12839	SLUZBY	\N	\N
2733241	9041	1996-04-30	VYDAJ	VYBER	15	7145	SLUZBY	\N	\N
2733242	9041	1996-05-31	VYDAJ	VYBER	15	6444	SLUZBY	\N	\N
2733243	9041	1996-06-30	VYDAJ	VYBER	15	7539	SLUZBY	\N	\N
2733244	9041	1996-07-31	VYDAJ	VYBER	15	12997	SLUZBY	\N	\N
2733245	9041	1996-08-31	VYDAJ	VYBER	15	11919	SLUZBY	\N	\N
2733246	9041	1996-09-30	VYDAJ	VYBER	15	7037	SLUZBY	\N	\N
2733247	9041	1996-10-31	VYDAJ	VYBER	15	9935	SLUZBY	\N	\N
2733248	9041	1996-11-30	VYDAJ	VYBER	15	6644	SLUZBY	\N	\N
2733249	9041	1996-12-31	VYDAJ	VYBER	15	5149	SLUZBY	\N	\N
2733250	9041	1997-01-31	VYDAJ	VYBER	15	24679	SLUZBY	\N	\N
2733251	9041	1997-02-28	VYDAJ	VYBER	15	94327	SLUZBY	\N	\N
2733252	9041	1997-03-31	VYDAJ	VYBER	15	89666	SLUZBY	\N	\N
2733253	9041	1997-04-30	VYDAJ	VYBER	15	105680	SLUZBY	\N	\N
2733254	9041	1997-05-31	VYDAJ	VYBER	15	32240	SLUZBY	\N	\N
2733255	9041	1997-06-30	VYDAJ	VYBER	15	31950	SLUZBY	\N	\N
2733256	9041	1997-07-31	VYDAJ	VYBER	15	68120	SLUZBY	\N	\N
2733257	9041	1997-08-31	VYDAJ	VYBER	15	111774	SLUZBY	\N	\N
2733258	9041	1997-09-30	VYDAJ	VYBER	15	73273	SLUZBY	\N	\N
2733259	9041	1997-10-31	VYDAJ	VYBER	15	46604	SLUZBY	\N	\N
2733260	9041	1997-11-30	VYDAJ	VYBER	15	88289	SLUZBY	\N	\N
2733261	9041	1997-12-31	VYDAJ	VYBER	15	59682	SLUZBY	\N	\N
2733262	9041	1998-01-31	VYDAJ	VYBER	15	7811	SLUZBY	\N	\N
2733263	9041	1998-02-28	VYDAJ	VYBER	15	19877	SLUZBY	\N	\N
2733264	9041	1998-03-31	VYDAJ	VYBER	15	57846	SLUZBY	\N	\N
2733265	9041	1998-04-30	VYDAJ	VYBER	15	20174	SLUZBY	\N	\N
2733266	9041	1998-05-31	VYDAJ	VYBER	15	12213	SLUZBY	\N	\N
2733270	9041	1998-09-30	VYDAJ	VYBER	15	19063	SLUZBY	\N	\N
2733272	9041	1998-11-30	VYDAJ	VYBER	15	14646	SLUZBY	\N	\N
2733273	9041	1993-09-02	VYDAJ	VYBER	17600	43584	\N	\N	\N
2733274	9041	1993-10-02	VYDAJ	VYBER	11700	32139	\N	\N	\N
2733275	9041	1993-11-01	VYDAJ	VYBER	14500	44087	\N	\N	\N
2733276	9041	1993-11-03	VYDAJ	VYBER	19600	99732	\N	\N	\N
2733277	9041	1993-11-18	VYDAJ	VYBER	24900	113763	\N	\N	\N
2733278	9041	1993-11-24	VYDAJ	VYBER	55900	54609	\N	\N	\N
2733279	9041	1993-12-01	VYDAJ	VYBER	8500	35690	\N	\N	\N
2733280	9041	1993-12-31	VYDAJ	VYBER	8500	35861	\N	\N	\N
2733281	9041	1994-01-30	PRIJEM	VKLAD	14100	13049	\N	\N	\N
2733282	9041	1994-03-01	PRIJEM	VKLAD	10800	11099	\N	\N	\N
2733283	9041	1994-03-31	PRIJEM	VKLAD	10200	18126	\N	\N	\N
2733284	9041	1994-04-30	PRIJEM	VKLAD	11600	11625	\N	\N	\N
2733285	9041	1994-05-30	VYDAJ	VYBER	21500	40843	\N	\N	\N
2733286	9041	1994-06-29	VYDAJ	VYBER	9400	34139	\N	\N	\N
2733287	9041	1994-07-29	PRIJEM	VKLAD	3700	21051	\N	\N	\N
2733288	9041	1994-08-28	VYDAJ	VYBER	14400	42197	\N	\N	\N
2733289	9041	1994-09-27	VYDAJ	VYBER	10400	31096	\N	\N	\N
2733290	9041	1994-10-27	VYDAJ	VYBER	18500	44540	\N	\N	\N
2733291	9041	1994-11-26	VYDAJ	VYBER	7900	26489	\N	\N	\N
2733292	9041	1994-12-26	VYDAJ	VYBER	29700	52291	\N	\N	\N
2733293	9041	1995-01-25	PRIJEM	VKLAD	8900	17568	\N	\N	\N
2733294	9041	1995-02-24	VYDAJ	VYBER	20000	40607	\N	\N	\N
2733295	9041	1995-03-26	VYDAJ	VYBER	8100	32832	\N	\N	\N
2733296	9041	1995-04-25	VYDAJ	VYBER	11100	37447	\N	\N	\N
2733297	9041	1995-05-25	VYDAJ	VYBER	20200	39425	\N	\N	\N
2733298	9041	1995-06-23	VYDAJ	VYBER	59000	56192	\N	\N	\N
2733299	9041	1995-06-24	VYDAJ	VYBER	16500	39692	\N	\N	\N
2733300	9041	1995-07-19	VYDAJ	VYBER	48700	86497	\N	\N	\N
2733301	9041	1995-07-24	VYDAJ	VYBER	33100	53397	\N	\N	\N
2733302	9041	1995-08-23	VYDAJ	VYBER	40400	59201	\N	\N	\N
2733303	9041	1995-09-22	VYDAJ	VYBER	25200	45977	\N	\N	\N
2733304	9041	1995-10-22	VYDAJ	VYBER	27700	46999	\N	\N	\N
2733305	9041	1995-10-29	VYDAJ	VYBER	26500	103683	\N	\N	\N
2733306	9041	1995-11-21	VYDAJ	VYBER	38100	57575	\N	\N	\N
2733307	9041	1995-12-21	VYDAJ	VYBER	24500	36187	\N	\N	\N
2733308	9041	1996-01-20	VYDAJ	VYBER	100	14192	\N	\N	\N
2733309	9041	1996-02-19	VYDAJ	VYBER	4800	16123	\N	\N	\N
2733310	9041	1996-03-20	VYDAJ	VYBER	6100	12731	\N	\N	\N
2733311	9041	1996-04-19	VYDAJ	VYBER	300	7104	\N	\N	\N
2733312	9041	1996-05-19	PRIJEM	VKLAD	2900	10045	\N	\N	\N
2733313	9041	1996-06-18	PRIJEM	VKLAD	1100	7544	\N	\N	\N
2733314	9041	1996-07-18	VYDAJ	VYBER	10300	20758	\N	\N	\N
2733315	9041	1996-08-17	VYDAJ	VYBER	1100	11897	\N	\N	\N
2733316	9041	1996-09-16	VYDAJ	VYBER	4900	7019	\N	\N	\N
2733317	9041	1996-10-16	PRIJEM	VKLAD	2900	9937	\N	\N	\N
2733318	9041	1996-11-15	VYDAJ	VYBER	3300	6635	\N	\N	\N
2733319	9041	1996-12-15	VYDAJ	VYBER	1500	5144	\N	\N	\N
2733320	9041	1997-01-14	VYDAJ	VYBER	11000	10347	\N	\N	\N
2733321	9041	1997-02-13	VYDAJ	VYBER	12200	25812	\N	\N	\N
2733322	9041	1997-03-15	VYDAJ	VYBER	44700	49627	\N	\N	\N
2733323	9041	1997-03-30	VYDAJ	VYBER	32300	89233	\N	\N	\N
2733324	9041	1997-04-05	VYDAJ	VYBER	21700	102699	\N	\N	\N
2733325	9041	1997-04-14	VYDAJ	VYBER	37400	52079	\N	\N	\N
2733326	9041	1997-04-14	VYDAJ	VYBER	45000	89479	\N	\N	\N
2733327	9041	1997-05-02	VYDAJ	VYBER	52200	98887	\N	\N	\N
2733328	9041	1997-05-14	VYDAJ	VYBER	35100	35673	\N	\N	\N
2733329	9041	1997-06-13	VYDAJ	VYBER	16500	16599	\N	\N	\N
2733330	9041	1997-07-13	VYDAJ	VYBER	38200	37236	\N	\N	\N
2733331	9041	1997-08-12	VYDAJ	VYBER	54700	58107	\N	\N	\N
2733332	9041	1997-09-11	VYDAJ	VYBER	43900	44234	\N	\N	\N
2733333	9041	1997-09-24	VYDAJ	VYBER	46200	72679	\N	\N	\N
2733334	9041	1997-10-11	VYDAJ	VYBER	55300	55170	\N	\N	\N
2733335	9041	1997-11-10	VYDAJ	VYBER	19800	26804	\N	\N	\N
2733336	9041	1997-12-10	VYDAJ	VYBER	26400	42689	\N	\N	\N
2733337	9041	1998-01-09	VYDAJ	VYBER	25700	33982	\N	\N	\N
2733338	9041	1998-02-08	VYDAJ	VYBER	1300	6511	\N	\N	\N
2733339	9041	1998-03-10	VYDAJ	VYBER	7400	12477	\N	\N	\N
2733340	9041	1998-04-09	VYDAJ	VYBER	16700	26948	\N	\N	\N
2733341	9041	1998-05-09	VYDAJ	VYBER	8000	12174	\N	\N	\N
2733342	9041	1998-06-08	VYDAJ	VYBER	5200	7013	\N	\N	\N
2733343	9041	1998-07-08	VYDAJ	VYBER	3500	3534	\N	\N	\N
2733344	9041	1998-08-07	VYDAJ	VYBER	5200	-1644	\N	\N	\N
2733345	9041	1998-09-06	VYDAJ	VYBER	18500	18992	\N	\N	\N
2733346	9041	1998-10-06	VYDAJ	VYBER	11400	7663	\N	\N	\N
2733347	9041	1998-11-05	VYDAJ	VYBER	25000	29408	\N	\N	\N
2733348	9041	1998-12-05	VYDAJ	VYBER	7200	2346	\N	\N	\N
2735846	9051	1996-01-17	PRIJEM	VKLAD	600	600	\N	\N	\N
2735847	9051	1997-05-29	PRIJEM	VKLAD	49377	124304	\N	\N	\N
2735848	9051	1997-04-14	PRIJEM	VKLAD	30269	74673	\N	\N	\N
2735849	9051	1997-11-22	PRIJEM	VKLAD	16210	26459	\N	\N	\N
2735850	9051	1997-05-27	PRIJEM	VKLAD	28334	74927	\N	\N	\N
2735851	9051	1997-07-10	PRIJEM	VKLAD	12874	46646	\N	\N	\N
2735852	9051	1997-02-07	PRIJEM	VKLAD	35071	47771	\N	\N	\N
2735853	9051	1997-04-09	PRIJEM	VKLAD	44348	66504	\N	\N	\N
2735854	9051	1998-07-24	PRIJEM	VKLAD	42575	44671	\N	\N	\N
2735855	9051	1998-12-13	PRIJEM	VKLAD	41616	46163	\N	\N	\N
2735856	9051	1998-10-01	PRIJEM	VKLAD	17612	29613	\N	\N	\N
2735858	9051	1997-12-23	VYBER	VYBER	8215	7903	\N	\N	\N
2735863	9051	1997-12-11	VYBER	VYBER	6911	18218	\N	\N	\N
2735865	9051	1997-10-11	VYBER	VYBER	17450	2917	\N	\N	\N
2735868	9051	1998-01-03	VYBER	VYBER	3194	4783	\N	\N	\N
2735870	9051	1998-12-11	VYBER	VYBER	7770	4547	\N	\N	\N
2735871	9051	1998-10-05	VYBER	VYBER	9337	5476	\N	\N	\N
2735873	9051	1998-12-24	VYBER	VYBER	3950	23013	\N	\N	\N
2735875	9051	1998-07-08	VYBER	VYBER	15367	2096	\N	\N	\N
2735877	9051	1998-08-01	VYBER	VYBER	21293	23463	\N	\N	\N
2735878	9051	1998-10-26	VYBER	VYBER	3932	1544	\N	\N	\N
2735879	9051	1998-04-25	VYBER	VYBER	15446	-800	\N	\N	\N
2735887	9051	1997-12-22	VYDAJ	VYBER	2100	16118	\N	\N	\N
2735888	9051	1998-12-17	VYDAJ	VYBER	4500	41663	\N	\N	\N
2735902	9051	1998-01-09	VYDAJ	VYBER	7800	4683	\N	\N	\N
2735903	9051	1998-01-19	VYDAJ	VYBER	3000	1683	\N	\N	\N
2735905	9051	1998-01-26	VYDAJ	VYBER	3900	-2217	\N	\N	\N
2735914	9051	1997-11-05	VYDAJ	VYBER	1800	1149	\N	\N	\N
2735915	9051	1997-09-17	VYDAJ	VYBER	3300	20488	\N	\N	\N
2735917	9051	1998-12-23	VYDAJ	VYBER	14700	26963	\N	\N	\N
2735918	9051	1998-02-26	VYDAJ	VYBER	6300	1367	\N	\N	\N
2735919	9051	1998-09-03	VYDAJ	VYBER	9300	11877	\N	\N	\N
2735920	9051	1998-10-04	VYDAJ	VYBER	6900	14813	\N	\N	\N
2735939	9051	1997-05-31	VYDAJ	VYBER	30	109658	SLUZBY	\N	\N
2735940	9051	1997-06-30	VYDAJ	VYBER	30	33772	SLUZBY	\N	\N
2735941	9051	1997-07-31	VYDAJ	VYBER	30	35432	SLUZBY	\N	\N
2735942	9051	1997-08-31	VYDAJ	VYBER	30	30988	SLUZBY	\N	\N
2735943	9051	1997-09-30	VYDAJ	VYBER	30	20667	SLUZBY	\N	\N
2735944	9051	1997-10-31	VYDAJ	VYBER	30	2949	SLUZBY	\N	\N
2735945	9051	1997-11-30	VYDAJ	VYBER	30	26529	SLUZBY	\N	\N
2735946	9051	1997-12-31	VYDAJ	VYBER	30	7977	SLUZBY	\N	\N
2735947	9051	1998-01-31	VYDAJ	VYBER	30	-2219	SLUZBY	\N	\N
2735948	9051	1998-02-28	VYDAJ	VYBER	30	1337	SLUZBY	\N	\N
2735949	9051	1998-03-31	VYDAJ	VYBER	30	11046	SLUZBY	\N	\N
2735950	9051	1998-04-30	VYDAJ	VYBER	30	-770	SLUZBY	\N	\N
2735951	9051	1998-05-31	VYDAJ	VYBER	30	9556	SLUZBY	\N	\N
2735952	9051	1998-06-30	VYDAJ	VYBER	30	14663	SLUZBY	\N	\N
2735953	9051	1998-07-31	VYDAJ	VYBER	30	44756	SLUZBY	\N	\N
2735954	9051	1998-08-31	VYDAJ	VYBER	30	18577	SLUZBY	\N	\N
2735955	9051	1998-09-30	VYDAJ	VYBER	30	12001	SLUZBY	\N	\N
2735956	9051	1998-10-31	VYDAJ	VYBER	30	1547	SLUZBY	\N	\N
2735957	9051	1998-11-30	VYDAJ	VYBER	30	9917	SLUZBY	\N	\N
2735958	9051	1996-02-16	PRIJEM	VKLAD	12000	12600	\N	\N	\N
2735959	9051	1996-03-17	PRIJEM	VKLAD	5500	18100	\N	\N	\N
2735960	9051	1996-04-16	PRIJEM	VKLAD	100	18200	\N	\N	\N
2735961	9051	1996-05-16	PRIJEM	VKLAD	5000	23200	\N	\N	\N
2735962	9051	1996-06-15	VYDAJ	VYBER	2300	20900	\N	\N	\N
2735963	9051	1996-07-15	VYDAJ	VYBER	1700	19200	\N	\N	\N
2735964	9051	1996-08-14	PRIJEM	VKLAD	2300	21500	\N	\N	\N
2735965	9051	1996-09-13	VYDAJ	VYBER	1300	20200	\N	\N	\N
2735966	9051	1996-10-13	VYDAJ	VYBER	1500	18700	\N	\N	\N
2735967	9051	1996-11-12	VYDAJ	VYBER	1100	17600	\N	\N	\N
2735968	9051	1996-12-12	VYDAJ	VYBER	3700	13900	\N	\N	\N
2735969	9051	1997-01-11	VYDAJ	VYBER	1200	12700	\N	\N	\N
2735970	9051	1997-02-10	VYDAJ	VYBER	18300	29471	\N	\N	\N
2735971	9051	1997-03-12	VYDAJ	VYBER	7600	22033	\N	\N	\N
2735972	9051	1997-04-11	VYDAJ	VYBER	22100	44404	\N	\N	\N
2735973	9051	1997-05-11	VYDAJ	VYBER	28500	46593	\N	\N	\N
2735974	9051	1997-05-29	VYDAJ	VYBER	15000	109304	\N	\N	\N
2735975	9051	1997-05-31	VYDAJ	VYBER	61100	48558	\N	\N	\N
2735976	9051	1997-06-10	VYDAJ	VYBER	15400	33158	\N	\N	\N
2735977	9051	1997-07-10	VYDAJ	VYBER	11500	35146	\N	\N	\N
2735978	9051	1997-08-09	VYDAJ	VYBER	4700	30732	\N	\N	\N
2735979	9051	1997-09-08	VYDAJ	VYBER	7200	23788	\N	\N	\N
2735980	9051	1997-10-08	VYDAJ	VYBER	300	20367	\N	\N	\N
2735981	9051	1997-11-07	PRIJEM	VKLAD	9100	10249	\N	\N	\N
2735982	9051	1997-12-07	VYDAJ	VYBER	1400	25129	\N	\N	\N
2735983	9051	1998-01-06	PRIJEM	VKLAD	7700	12483	\N	\N	\N
2735984	9051	1998-02-05	PRIJEM	VKLAD	9900	7667	\N	\N	\N
2735985	9051	1998-03-07	PRIJEM	VKLAD	9800	11074	\N	\N	\N
2735986	9051	1998-04-06	PRIJEM	VKLAD	3600	14646	\N	\N	\N
2735987	9051	1998-05-06	PRIJEM	VKLAD	10400	9626	\N	\N	\N
2735988	9051	1998-06-05	PRIJEM	VKLAD	5100	14656	\N	\N	\N
2735989	9051	1998-07-05	PRIJEM	VKLAD	2800	17463	\N	\N	\N
2735990	9051	1998-08-04	VYDAJ	VYBER	5000	18463	\N	\N	\N
2735991	9051	1998-09-03	PRIJEM	VKLAD	2600	21177	\N	\N	\N
2735992	9051	1998-10-03	VYDAJ	VYBER	7900	21713	\N	\N	\N
2735993	9051	1998-11-02	PRIJEM	VKLAD	8400	9947	\N	\N	\N
2735994	9051	1998-12-02	PRIJEM	VKLAD	2400	12317	\N	\N	\N
2736025	9052	1995-08-30	PRIJEM	VKLAD	600	600	\N	\N	\N
2736028	9052	1995-09-13	PRIJEM	VKLAD	43327	43927	\N	\N	\N
2736030	9052	1995-12-18	PRIJEM	VKLAD	24597	81165	\N	\N	\N
2736041	9052	1995-10-02	PRIJEM	VKLAD	21092	54633	\N	\N	\N
2736048	9052	1995-10-31	PRIJEM	VKLAD	46031	94595	\N	\N	\N
2736051	9052	1995-10-20	PRIJEM	VKLAD	16223	70856	\N	\N	\N
2736052	9052	1996-11-06	PRIJEM	VKLAD	26665	77524	\N	\N	\N
2736053	9052	1996-09-01	PRIJEM	VKLAD	16722	13472	\N	\N	\N
2736054	9052	1996-03-20	PRIJEM	VKLAD	48274	53028	\N	\N	\N
2736055	9052	1996-04-16	PRIJEM	VKLAD	49067	112598	\N	\N	\N
2736056	9052	1996-08-10	PRIJEM	VKLAD	5158	-3087	\N	\N	\N
2736057	9052	1996-11-02	PRIJEM	VKLAD	27989	50859	\N	\N	\N
2736058	9052	1996-11-10	PRIJEM	VKLAD	13137	90661	\N	\N	\N
2736059	9052	1996-01-03	PRIJEM	VKLAD	33996	65298	\N	\N	\N
2736060	9052	1996-05-11	PRIJEM	VKLAD	14932	95545	\N	\N	\N
2736061	9052	1996-05-08	PRIJEM	VKLAD	29695	80613	\N	\N	\N
2736062	9052	1996-03-23	PRIJEM	VKLAD	17116	70144	\N	\N	\N
2736063	9052	1996-02-11	PRIJEM	VKLAD	12364	36397	\N	\N	\N
2736064	9052	1996-10-12	PRIJEM	VKLAD	23315	26489	\N	\N	\N
2736065	9052	1996-04-22	PRIJEM	VKLAD	42782	139580	\N	\N	\N
2736066	9052	1996-03-31	PRIJEM	VKLAD	23668	66221	\N	\N	\N
2736067	9052	1996-01-14	PRIJEM	VKLAD	15307	45705	\N	\N	\N
2736068	9052	1997-06-05	PRIJEM	VKLAD	36207	127593	\N	\N	\N
2736069	9052	1997-01-04	PRIJEM	VKLAD	8508	37876	\N	\N	\N
2736070	9052	1997-05-12	PRIJEM	VKLAD	16271	101886	\N	\N	\N
2736071	9052	1997-01-18	PRIJEM	VKLAD	37058	70269	\N	\N	\N
2736072	9052	1997-06-07	PRIJEM	VKLAD	29956	110449	\N	\N	\N
2736073	9052	1997-02-22	PRIJEM	VKLAD	40892	85376	\N	\N	\N
2736074	9052	1997-05-28	PRIJEM	VKLAD	25465	90751	\N	\N	\N
2736075	9052	1997-10-25	PRIJEM	VKLAD	9457	49946	\N	\N	\N
2736076	9052	1997-07-21	PRIJEM	VKLAD	48426	81120	\N	\N	\N
2736077	9052	1997-02-14	PRIJEM	VKLAD	44037	62684	\N	\N	\N
2736078	9052	1997-01-16	PRIJEM	VKLAD	26035	41311	\N	\N	\N
2736079	9052	1997-03-07	PRIJEM	VKLAD	35025	109702	\N	\N	\N
2736080	9052	1997-07-28	PRIJEM	VKLAD	12448	93568	\N	\N	\N
2736081	9052	1997-12-08	PRIJEM	VKLAD	25434	85940	\N	\N	\N
2736082	9052	1997-04-10	PRIJEM	VKLAD	40416	102573	\N	\N	\N
2736083	9052	1997-03-07	PRIJEM	VKLAD	45668	196107	\N	\N	\N
2736084	9052	1997-11-03	PRIJEM	VKLAD	29183	79202	\N	\N	\N
2736085	9052	1997-10-18	PRIJEM	VKLAD	49531	66889	\N	\N	\N
2736086	9052	1997-12-06	PRIJEM	VKLAD	18620	60506	\N	\N	\N
2736087	9052	1997-04-23	PRIJEM	VKLAD	41497	100671	\N	\N	\N
2736088	9052	1997-10-18	PRIJEM	VKLAD	9620	17358	\N	\N	\N
2736089	9052	1997-08-11	PRIJEM	VKLAD	35226	114480	\N	\N	\N
2736090	9052	1997-03-07	PRIJEM	VKLAD	40736	150439	\N	\N	\N
2736091	9052	1998-01-09	PRIJEM	VKLAD	5494	14755	\N	\N	\N
2736092	9052	1998-12-17	PRIJEM	VKLAD	25257	30335	\N	\N	\N
2736093	9052	1998-06-07	PRIJEM	VKLAD	26741	40778	\N	\N	\N
2736094	9052	1998-03-24	PRIJEM	VKLAD	5127	16346	\N	\N	\N
2736095	9052	1998-02-07	PRIJEM	VKLAD	13377	74011	\N	\N	\N
2736096	9052	1998-02-04	PRIJEM	VKLAD	45095	60634	\N	\N	\N
2736097	9052	1998-04-11	PRIJEM	VKLAD	15303	58096	\N	\N	\N
2736098	9052	1998-10-25	PRIJEM	VKLAD	37408	56683	\N	\N	\N
2736099	9052	1998-04-15	PRIJEM	VKLAD	35886	90983	\N	\N	\N
2736100	9052	1998-07-23	PRIJEM	VKLAD	40475	51073	\N	\N	\N
2736101	9052	1998-10-12	PRIJEM	VKLAD	43904	47475	\N	\N	\N
2736102	9052	1998-03-30	PRIJEM	VKLAD	26435	42781	\N	\N	\N
2736115	9052	1996-01-18	VYDAJ	VYBER	2700	34905	\N	\N	0
2736116	9052	1996-02-07	VYDAJ	VYBER	2400	24033	\N	\N	0
2736117	9052	1996-03-06	VYDAJ	VYBER	3600	4754	\N	\N	0
2736118	9052	1996-04-03	VYDAJ	VYBER	2700	63531	\N	\N	0
2736119	9052	1996-05-06	VYDAJ	VYBER	3200	50918	\N	\N	0
2736120	9052	1996-06-03	VYDAJ	VYBER	2700	44152	\N	\N	0
2736121	9052	1996-07-17	VYDAJ	VYBER	3600	3186	\N	\N	0
2736124	9052	1996-10-19	VYDAJ	VYBER	2200	24289	\N	\N	0
2736125	9052	1996-11-14	VYDAJ	VYBER	3200	73961	\N	\N	0
2736126	9052	1996-12-06	VYDAJ	VYBER	2300	46742	\N	\N	0
2736127	9052	1997-01-12	VYDAJ	VYBER	3600	15276	\N	\N	0
2736128	9052	1997-02-11	VYDAJ	VYBER	2300	29447	\N	\N	0
2736129	9052	1997-03-12	VYDAJ	PREVOD NA UCET	2999	97007	UVER	QR	10905218
2736130	9052	1997-04-12	VYDAJ	PREVOD NA UCET	2999	99574	UVER	QR	10905218
2736131	9052	1997-05-12	VYDAJ	PREVOD NA UCET	2999	98886	UVER	QR	10905218
2736132	9052	1997-06-12	VYDAJ	PREVOD NA UCET	2999	107449	UVER	QR	10905218
2736133	9052	1997-07-12	VYDAJ	PREVOD NA UCET	2999	53794	UVER	QR	10905218
2736134	9052	1997-08-12	VYDAJ	PREVOD NA UCET	2999	51981	UVER	QR	10905218
2736135	9052	1997-09-12	VYDAJ	PREVOD NA UCET	2999	21938	UVER	QR	10905218
2736136	9052	1997-10-12	VYDAJ	PREVOD NA UCET	2999	19038	UVER	QR	10905218
2736137	9052	1997-11-12	VYDAJ	PREVOD NA UCET	2999	60102	UVER	QR	10905218
2736138	9052	1997-12-12	VYDAJ	PREVOD NA UCET	2999	58941	UVER	QR	10905218
2736139	9052	1998-01-12	VYDAJ	PREVOD NA UCET	2999	11755	UVER	QR	10905218
2736140	9052	1998-02-12	VYDAJ	PREVOD NA UCET	2999	71012	UVER	QR	10905218
2736141	9052	1998-03-12	VYDAJ	PREVOD NA UCET	2999	15419	UVER	QR	10905218
2736142	9052	1998-04-12	VYDAJ	PREVOD NA UCET	2999	55097	UVER	QR	10905218
2736143	9052	1998-05-12	VYDAJ	PREVOD NA UCET	2999	22571	UVER	QR	10905218
2736144	9052	1998-06-12	VYDAJ	PREVOD NA UCET	2999	24379	UVER	QR	10905218
2736145	9052	1998-07-12	VYDAJ	PREVOD NA UCET	2999	10598	UVER	QR	10905218
2736146	9052	1998-08-12	VYDAJ	PREVOD NA UCET	2999	19125	UVER	QR	10905218
2736147	9052	1998-09-12	VYDAJ	PREVOD NA UCET	2999	3666	UVER	QR	10905218
2736148	9052	1998-10-12	VYDAJ	PREVOD NA UCET	2999	44475	UVER	QR	10905218
2736149	9052	1998-11-12	VYDAJ	PREVOD NA UCET	2999	15733	UVER	QR	10905218
2736163	9052	1996-01-13	VYDAJ	VYBER	13300	30398	SIPO	\N	0
2736164	9052	1996-02-14	VYDAJ	VYBER	16200	20197	SIPO	\N	0
2736165	9052	1996-03-02	VYDAJ	VYBER	11600	8354	SIPO	\N	0
2736166	9052	1996-04-16	VYDAJ	VYBER	15800	96798	SIPO	\N	0
2736167	9052	1996-05-12	VYDAJ	VYBER	16000	79545	SIPO	\N	0
2736168	9052	1996-06-08	VYDAJ	VYBER	12200	31952	SIPO	\N	0
2736169	9052	1996-07-12	VYDAJ	VYBER	10800	6786	SIPO	\N	0
2736170	9052	1996-08-07	VYDAJ	VYBER	11400	-8245	SIPO	\N	0
2736171	9052	1996-09-07	VYDAJ	VYBER	10200	3272	SIPO	\N	0
2736173	9052	1996-11-13	VYDAJ	VYBER	13500	77161	SIPO	\N	0
2736174	9052	1996-12-18	VYDAJ	VYBER	10500	33542	SIPO	\N	0
2736175	9052	1997-01-10	VYDAJ	VYBER	11200	18876	SIPO	\N	0
2736176	9052	1997-02-12	VYDAJ	VYBER	10800	18647	SIPO	\N	0
2736177	9052	1997-02-28	VYDAJ	VYBER	11000	74777	SIPO	\N	0
2736178	9052	1997-04-13	VYDAJ	VYBER	13600	85974	SIPO	\N	0
2736179	9052	1997-05-08	VYDAJ	VYBER	15600	85615	SIPO	\N	0
2736180	9052	1997-06-14	VYDAJ	VYBER	16100	91349	SIPO	\N	0
2736181	9052	1997-07-14	VYDAJ	VYBER	15600	38194	SIPO	\N	0
2736182	9052	1997-08-06	VYDAJ	VYBER	14600	79254	SIPO	\N	0
2736183	9052	1997-09-03	VYDAJ	VYBER	14400	24937	SIPO	\N	0
2736184	9052	1997-10-17	VYDAJ	VYBER	11300	7738	SIPO	\N	0
2736185	9052	1997-11-05	VYDAJ	VYBER	16100	63102	SIPO	\N	0
2736186	9052	1997-12-11	VYDAJ	VYBER	15900	61940	SIPO	\N	0
2736187	9052	1998-01-01	VYDAJ	VYBER	15500	23061	SIPO	\N	0
2736188	9052	1998-02-18	VYDAJ	VYBER	10100	32887	SIPO	\N	0
2736189	9052	1998-03-12	VYDAJ	VYBER	14700	18418	SIPO	\N	0
2736190	9052	1998-04-19	VYDAJ	VYBER	11200	41583	SIPO	\N	0
2736191	9052	1998-05-11	VYDAJ	VYBER	16200	25570	SIPO	\N	0
2736192	9052	1998-06-11	VYDAJ	VYBER	13400	27378	SIPO	\N	0
2736193	9052	1998-07-01	VYDAJ	VYBER	10800	13597	SIPO	\N	0
2736194	9052	1998-08-03	VYDAJ	VYBER	15500	35624	SIPO	\N	0
2736195	9052	1998-09-05	VYDAJ	VYBER	12500	6665	SIPO	\N	0
2736197	9052	1998-11-04	VYDAJ	VYBER	11600	45132	SIPO	\N	0
2736198	9052	1998-12-07	VYDAJ	VYBER	10900	5078	SIPO	\N	0
2736208	9052	1995-12-26	VYBER	VYBER	16472	56293	\N	\N	\N
2736212	9052	1996-07-09	VYBER	VYBER	2830	17586	\N	\N	\N
2736218	9052	1998-02-18	VYBER	VYBER	5825	42987	\N	\N	\N
2736224	9052	1996-01-12	VYDAJ	VYBER	12300	43698	\N	\N	\N
2736225	9052	1997-01-16	VYDAJ	VYBER	8100	33211	\N	\N	\N
2736227	9052	1995-12-22	VYDAJ	VYBER	8400	72765	\N	\N	\N
2736228	9052	1996-12-16	VYDAJ	VYBER	2700	44042	\N	\N	\N
2736229	9052	1997-12-10	VYDAJ	VYBER	8100	77840	\N	\N	\N
2736230	9052	1998-12-17	VYDAJ	VYBER	2700	27635	\N	\N	\N
2736237	9052	1996-01-10	VYDAJ	VYBER	4500	55998	\N	\N	\N
2736238	9052	1996-01-04	VYDAJ	VYBER	4800	60498	\N	\N	\N
2736239	9052	1996-01-01	VYDAJ	VYBER	6900	31302	\N	\N	\N
2736241	9052	1996-01-17	VYDAJ	VYBER	8100	37605	\N	\N	\N
2736242	9052	1996-01-20	VYDAJ	VYBER	3300	31605	\N	\N	\N
2736245	9052	1997-01-20	VYDAJ	VYBER	5400	64869	\N	\N	\N
2736246	9052	1997-01-21	VYDAJ	VYBER	6900	44169	\N	\N	\N
2736247	9052	1997-01-05	VYDAJ	VYBER	7800	30076	\N	\N	\N
2736253	9052	1998-01-05	VYDAJ	VYBER	5700	9261	\N	\N	\N
2736254	9052	1998-01-02	VYDAJ	VYBER	3300	19761	\N	\N	\N
2736265	9052	1997-06-16	VYDAJ	VYBER	4200	87149	\N	\N	\N
2736266	9052	1997-01-27	VYDAJ	VYBER	12600	31569	\N	\N	\N
2736268	9052	1998-08-11	VYDAJ	VYBER	13500	22124	\N	\N	\N
2736271	9052	1998-01-05	VYDAJ	VYBER	4800	14961	\N	\N	\N
2736284	9052	1995-12-31	VYDAJ	VYBER	100	38202	SLUZBY	\N	\N
2736285	9052	1996-01-31	VYDAJ	VYBER	100	26433	SLUZBY	\N	\N
2736286	9052	1996-02-29	VYDAJ	VYBER	100	19954	SLUZBY	\N	\N
2736287	9052	1996-03-31	VYDAJ	VYBER	100	66231	SLUZBY	\N	\N
2736288	9052	1996-04-30	VYDAJ	VYBER	100	54118	SLUZBY	\N	\N
2736289	9052	1996-05-31	VYDAJ	VYBER	100	46852	SLUZBY	\N	\N
2736290	9052	1996-06-30	VYDAJ	VYBER	100	20416	SLUZBY	\N	\N
2736291	9052	1996-07-31	VYDAJ	VYBER	100	3155	SLUZBY	\N	\N
2736292	9052	1996-08-31	VYDAJ	VYBER	100	-3217	SLUZBY	\N	\N
2736293	9052	1996-09-30	VYDAJ	VYBER	100	3184	SLUZBY	\N	\N
2736294	9052	1996-10-31	VYDAJ	VYBER	100	22870	SLUZBY	\N	\N
2736295	9052	1996-11-30	VYDAJ	VYBER	100	49042	SLUZBY	\N	\N
2736296	9052	1996-12-31	VYDAJ	VYBER	100	29368	SLUZBY	\N	\N
2736297	9052	1997-01-31	VYDAJ	VYBER	100	31747	SLUZBY	\N	\N
2736298	9052	1997-02-28	VYDAJ	VYBER	100	74677	SLUZBY	\N	\N
2736299	9052	1997-03-31	VYDAJ	VYBER	100	62157	SLUZBY	\N	\N
2736300	9052	1997-04-30	VYDAJ	VYBER	100	101215	SLUZBY	\N	\N
2736301	9052	1997-05-31	VYDAJ	VYBER	100	91386	SLUZBY	\N	\N
2736302	9052	1997-06-30	VYDAJ	VYBER	100	56793	SLUZBY	\N	\N
2736303	9052	1997-07-31	VYDAJ	VYBER	100	93854	SLUZBY	\N	\N
2736304	9052	1997-08-31	VYDAJ	VYBER	100	39337	SLUZBY	\N	\N
2736305	9052	1997-09-30	VYDAJ	VYBER	100	22038	SLUZBY	\N	\N
2736306	9052	1997-10-31	VYDAJ	VYBER	100	50019	SLUZBY	\N	\N
2736307	9052	1997-11-30	VYDAJ	VYBER	100	41886	SLUZBY	\N	\N
2736308	9052	1997-12-31	VYDAJ	VYBER	100	38561	SLUZBY	\N	\N
2736309	9052	1998-01-31	VYDAJ	VYBER	100	15539	SLUZBY	\N	\N
2736310	9052	1998-02-28	VYDAJ	VYBER	100	33118	SLUZBY	\N	\N
2736311	9052	1998-03-31	VYDAJ	VYBER	100	42793	SLUZBY	\N	\N
2736312	9052	1998-04-30	VYDAJ	VYBER	100	41770	SLUZBY	\N	\N
2736313	9052	1998-05-31	VYDAJ	VYBER	100	14037	SLUZBY	\N	\N
2736314	9052	1998-06-30	VYDAJ	VYBER	100	24397	SLUZBY	\N	\N
2736315	9052	1998-07-31	VYDAJ	VYBER	100	51124	SLUZBY	\N	\N
2736316	9052	1998-08-31	VYDAJ	VYBER	100	19165	SLUZBY	\N	\N
2736317	9052	1998-09-30	VYDAJ	VYBER	100	3587	SLUZBY	\N	\N
2736318	9052	1998-10-31	VYDAJ	VYBER	100	56737	SLUZBY	\N	\N
2736319	9052	1998-11-30	VYDAJ	VYBER	100	15978	SLUZBY	\N	\N
2736320	9052	1995-09-29	VYDAJ	VYBER	10400	33527	\N	\N	\N
2736321	9052	1995-10-29	VYDAJ	VYBER	22600	48256	\N	\N	\N
2736322	9052	1995-11-28	VYDAJ	VYBER	38800	55795	\N	\N	\N
2736323	9052	1995-12-28	VYDAJ	VYBER	18400	37893	\N	\N	\N
2736324	9052	1996-01-27	VYDAJ	VYBER	5400	26205	\N	\N	\N
2736325	9052	1996-02-26	VYDAJ	VYBER	300	19897	\N	\N	\N
2736326	9052	1996-03-27	VYDAJ	VYBER	27700	42444	\N	\N	\N
2736327	9052	1996-04-22	VYDAJ	VYBER	48700	90880	\N	\N	\N
2736328	9052	1996-04-26	VYDAJ	VYBER	37300	53580	\N	\N	\N
2736329	9052	1996-05-26	VYDAJ	VYBER	33100	46445	\N	\N	\N
2736330	9052	1996-06-25	VYDAJ	VYBER	11700	20252	\N	\N	\N
2736331	9052	1996-10-23	VYDAJ	VYBER	1400	22889	\N	\N	\N
2736332	9052	1996-11-22	VYDAJ	VYBER	25300	48661	\N	\N	\N
2736333	9052	1996-12-22	VYDAJ	VYBER	4300	29242	\N	\N	\N
2736334	9052	1997-01-21	VYDAJ	VYBER	13800	51069	\N	\N	\N
2736335	9052	1997-02-20	VYDAJ	VYBER	18200	44484	\N	\N	\N
2736336	9052	1997-03-07	VYDAJ	VYBER	59900	100007	\N	\N	\N
2736337	9052	1997-03-07	VYDAJ	VYBER	36200	159907	\N	\N	\N
2736338	9052	1997-03-22	VYDAJ	VYBER	35400	61607	\N	\N	\N
2736339	9052	1997-04-21	VYDAJ	VYBER	26800	59174	\N	\N	\N
2736340	9052	1997-05-21	VYDAJ	VYBER	33600	65286	\N	\N	\N
2736341	9052	1997-06-05	VYDAJ	VYBER	47100	80493	\N	\N	\N
2736342	9052	1997-06-20	VYDAJ	VYBER	30900	56249	\N	\N	\N
2736343	9052	1997-07-20	VYDAJ	VYBER	5500	32694	\N	\N	\N
2736344	9052	1997-08-11	VYDAJ	VYBER	59500	54980	\N	\N	\N
2736345	9052	1997-08-19	VYDAJ	VYBER	12900	39081	\N	\N	\N
2736346	9052	1997-10-18	VYDAJ	VYBER	26400	40489	\N	\N	\N
2736347	9052	1997-11-17	VYDAJ	VYBER	18500	41602	\N	\N	\N
2736348	9052	1997-12-17	VYDAJ	VYBER	20600	38341	\N	\N	\N
2736349	9052	1998-01-16	PRIJEM	VKLAD	3800	15555	\N	\N	\N
2736350	9052	1998-02-15	VYDAJ	VYBER	22200	48812	\N	\N	\N
2736351	9052	1998-03-17	VYDAJ	VYBER	4200	11219	\N	\N	\N
2736352	9052	1998-04-16	VYDAJ	VYBER	38200	52783	\N	\N	\N
2736353	9052	1998-05-16	VYDAJ	VYBER	8600	13971	\N	\N	\N
2736354	9052	1998-10-13	VYDAJ	VYBER	25200	19275	\N	\N	\N
2736355	9052	1998-11-12	VYDAJ	VYBER	26400	18732	\N	\N	\N
2747099	9093	1993-06-16	PRIJEM	VKLAD	800	800	\N	\N	\N
2747106	9093	1993-07-07	PRIJEM	VKLAD	18942	19742	\N	\N	\N
2747107	9093	1993-08-07	PRIJEM	VKLAD	18942	40775	\N	\N	\N
2747108	9093	1993-09-07	PRIJEM	VKLAD	18942	53108	\N	\N	\N
2747109	9093	1993-10-07	PRIJEM	VKLAD	18942	57486	\N	\N	\N
2747110	9093	1993-11-07	PRIJEM	VKLAD	18942	58579	\N	\N	\N
2747111	9093	1993-12-07	PRIJEM	VKLAD	28413	61043	\N	\N	\N
2747112	9093	1994-01-07	PRIJEM	VKLAD	18942	31964	\N	\N	\N
2747113	9093	1994-02-07	PRIJEM	VKLAD	18942	35609	\N	\N	\N
2747114	9093	1994-03-07	PRIJEM	VKLAD	18942	36799	\N	\N	\N
2747115	9093	1994-04-07	PRIJEM	VKLAD	18942	43819	\N	\N	\N
2747116	9093	1994-05-07	PRIJEM	VKLAD	18942	50979	\N	\N	\N
2747117	9093	1994-06-07	PRIJEM	VKLAD	28413	57893	\N	\N	\N
2747118	9093	1994-07-07	PRIJEM	VKLAD	18942	31914	\N	\N	\N
2747119	9093	1994-08-07	PRIJEM	VKLAD	18942	43494	\N	\N	\N
2747120	9093	1994-09-07	PRIJEM	VKLAD	18942	43220	\N	\N	\N
2747121	9093	1994-10-07	PRIJEM	VKLAD	18942	46414	\N	\N	\N
2747122	9093	1994-11-07	PRIJEM	VKLAD	18942	49900	\N	\N	\N
2747123	9093	1994-12-07	PRIJEM	VKLAD	28413	60546	\N	\N	\N
2747124	9093	1995-01-07	PRIJEM	VKLAD	18942	52488	\N	\N	\N
2747125	9093	1995-02-07	PRIJEM	VKLAD	18942	44762	\N	\N	\N
2747126	9093	1995-03-07	PRIJEM	VKLAD	18942	55909	\N	\N	\N
2747127	9093	1995-04-07	PRIJEM	VKLAD	18942	50126	\N	\N	\N
2747128	9093	1995-05-07	PRIJEM	VKLAD	18942	54627	\N	\N	\N
2747129	9093	1995-06-07	PRIJEM	VKLAD	28413	64535	\N	\N	\N
2747130	9093	1995-07-07	PRIJEM	VKLAD	18942	62673	\N	\N	\N
2747131	9093	1995-08-07	PRIJEM	VKLAD	18942	65023	\N	\N	\N
2747132	9093	1995-09-07	PRIJEM	VKLAD	18942	63722	\N	\N	\N
2747133	9093	1995-10-07	PRIJEM	VKLAD	18942	63116	\N	\N	\N
2747134	9093	1995-11-07	PRIJEM	VKLAD	18942	61590	\N	\N	\N
2747135	9093	1995-12-07	PRIJEM	VKLAD	28413	70431	\N	\N	\N
2747136	9093	1996-01-07	PRIJEM	VKLAD	18942	64293	\N	\N	\N
2747137	9093	1996-02-07	PRIJEM	VKLAD	18942	53240	\N	\N	\N
2747138	9093	1996-03-07	PRIJEM	VKLAD	18942	54947	\N	\N	\N
2747139	9093	1996-04-07	PRIJEM	VKLAD	18942	60250	\N	\N	\N
2747140	9093	1996-05-07	PRIJEM	VKLAD	18942	59591	\N	\N	\N
2747141	9093	1996-06-07	PRIJEM	VKLAD	28413	69874	\N	\N	\N
2747142	9093	1996-07-07	PRIJEM	VKLAD	18942	55771	\N	\N	\N
2747143	9093	1996-08-07	PRIJEM	VKLAD	18942	59874	\N	\N	\N
2747144	9093	1996-09-07	PRIJEM	VKLAD	18942	60792	\N	\N	\N
2747145	9093	1996-10-07	PRIJEM	VKLAD	18942	59112	\N	\N	\N
2747146	9093	1996-11-07	PRIJEM	VKLAD	18942	60719	\N	\N	\N
2747147	9093	1996-12-07	PRIJEM	VKLAD	28413	67246	\N	\N	\N
2747148	9093	1997-01-07	PRIJEM	VKLAD	18942	59286	\N	\N	\N
2747149	9093	1997-02-07	PRIJEM	VKLAD	18942	60883	\N	\N	\N
2747150	9093	1997-03-07	PRIJEM	VKLAD	18942	62989	\N	\N	\N
2747151	9093	1997-04-07	PRIJEM	VKLAD	18942	63183	\N	\N	\N
2747152	9093	1997-05-07	PRIJEM	VKLAD	18942	68213	\N	\N	\N
2747153	9093	1997-06-07	PRIJEM	VKLAD	28413	81746	\N	\N	\N
2747154	9093	1997-07-07	PRIJEM	VKLAD	18942	69985	\N	\N	\N
2747155	9093	1997-08-07	PRIJEM	VKLAD	18942	76466	\N	\N	\N
2747156	9093	1997-09-07	PRIJEM	VKLAD	18942	78474	\N	\N	\N
2747157	9093	1997-10-07	PRIJEM	VKLAD	18942	80703	\N	\N	\N
2747158	9093	1997-11-07	PRIJEM	VKLAD	18942	83505	\N	\N	\N
2747159	9093	1997-12-07	PRIJEM	VKLAD	28413	96106	\N	\N	\N
2747160	9093	1998-01-07	PRIJEM	VKLAD	18942	88069	\N	\N	\N
2747161	9093	1998-02-07	PRIJEM	VKLAD	18942	78615	\N	\N	\N
2747162	9093	1998-03-07	PRIJEM	VKLAD	18942	83299	\N	\N	\N
2747163	9093	1998-04-07	PRIJEM	VKLAD	18942	80244	\N	\N	\N
2747164	9093	1998-05-07	PRIJEM	VKLAD	18942	76652	\N	\N	\N
2747165	9093	1998-06-07	PRIJEM	VKLAD	28413	78945	\N	\N	\N
2747166	9093	1998-07-07	PRIJEM	VKLAD	18942	74515	\N	\N	\N
2747167	9093	1998-08-07	PRIJEM	VKLAD	18942	72839	\N	\N	\N
2747168	9093	1998-09-07	PRIJEM	VKLAD	18942	71382	\N	\N	\N
2747169	9093	1998-10-07	PRIJEM	VKLAD	18942	69204	\N	\N	\N
2747170	9093	1998-11-07	PRIJEM	VKLAD	18942	64597	\N	\N	\N
2747171	9093	1998-12-07	PRIJEM	VKLAD	28413	73633	\N	\N	\N
2747182	9093	1993-11-09	VYDAJ	PREVOD NA UCET	1311	50951	SIPO	AB	28652066
2747183	9093	1993-12-09	VYDAJ	PREVOD NA UCET	1311	57115	SIPO	AB	28652066
2747184	9093	1994-01-09	VYDAJ	PREVOD NA UCET	1311	28036	SIPO	AB	28652066
2747185	9093	1994-02-09	VYDAJ	PREVOD NA UCET	1311	31681	SIPO	AB	28652066
2747186	9093	1994-03-09	VYDAJ	PREVOD NA UCET	1311	32871	SIPO	AB	28652066
2747187	9093	1994-04-09	VYDAJ	PREVOD NA UCET	1311	39891	SIPO	AB	28652066
2747188	9093	1994-05-09	VYDAJ	PREVOD NA UCET	1311	47051	SIPO	AB	28652066
2747189	9093	1994-06-09	VYDAJ	PREVOD NA UCET	1311	53965	SIPO	AB	28652066
2747190	9093	1994-07-09	VYDAJ	PREVOD NA UCET	1311	27986	SIPO	AB	28652066
2747191	9093	1994-08-09	VYDAJ	PREVOD NA UCET	1311	39566	SIPO	AB	28652066
2747192	9093	1994-09-09	VYDAJ	PREVOD NA UCET	1311	32692	SIPO	AB	28652066
2747193	9093	1994-10-09	VYDAJ	PREVOD NA UCET	1311	35686	SIPO	AB	28652066
2747194	9093	1994-11-09	VYDAJ	PREVOD NA UCET	1311	35072	SIPO	AB	28652066
2747195	9093	1994-12-09	VYDAJ	PREVOD NA UCET	1311	42218	SIPO	AB	28652066
2747196	9093	1995-01-09	VYDAJ	PREVOD NA UCET	1311	37760	SIPO	AB	28652066
2747197	9093	1995-02-09	VYDAJ	PREVOD NA UCET	1311	40834	SIPO	AB	28652066
2747198	9093	1995-03-09	VYDAJ	PREVOD NA UCET	1311	38281	SIPO	AB	28652066
2747199	9093	1995-04-09	VYDAJ	PREVOD NA UCET	1311	38598	SIPO	AB	28652066
2747200	9093	1995-05-09	VYDAJ	PREVOD NA UCET	1311	39999	SIPO	AB	28652066
2747201	9093	1995-06-09	VYDAJ	PREVOD NA UCET	1311	60607	SIPO	AB	28652066
2747202	9093	1995-07-09	VYDAJ	PREVOD NA UCET	1311	58745	SIPO	AB	28652066
2747203	9093	1995-08-09	VYDAJ	PREVOD NA UCET	1311	61095	SIPO	AB	28652066
2747204	9093	1995-09-09	VYDAJ	PREVOD NA UCET	1311	59794	SIPO	AB	28652066
2747205	9093	1995-10-09	VYDAJ	PREVOD NA UCET	1311	59188	SIPO	AB	28652066
2747206	9093	1995-11-09	VYDAJ	PREVOD NA UCET	1311	57662	SIPO	AB	28652066
2747207	9093	1995-12-09	VYDAJ	PREVOD NA UCET	1311	66503	SIPO	AB	28652066
2747208	9093	1996-01-09	VYDAJ	PREVOD NA UCET	1311	60365	SIPO	AB	28652066
2747209	9093	1996-02-09	VYDAJ	PREVOD NA UCET	1311	49312	SIPO	AB	28652066
2747210	9093	1996-03-09	VYDAJ	PREVOD NA UCET	1311	51019	SIPO	AB	28652066
2747211	9093	1996-04-09	VYDAJ	PREVOD NA UCET	1311	56322	SIPO	AB	28652066
2747212	9093	1996-05-09	VYDAJ	PREVOD NA UCET	1311	53983	SIPO	AB	28652066
2747213	9093	1996-06-09	VYDAJ	PREVOD NA UCET	1311	65946	SIPO	AB	28652066
2747214	9093	1996-07-09	VYDAJ	PREVOD NA UCET	1311	51843	SIPO	AB	28652066
2747215	9093	1996-08-09	VYDAJ	PREVOD NA UCET	1311	55946	SIPO	AB	28652066
2747216	9093	1996-09-09	VYDAJ	PREVOD NA UCET	1311	56864	SIPO	AB	28652066
2747217	9093	1996-10-09	VYDAJ	PREVOD NA UCET	1311	55184	SIPO	AB	28652066
2747218	9093	1996-11-09	VYDAJ	PREVOD NA UCET	1311	56791	SIPO	AB	28652066
2747219	9093	1996-12-09	VYDAJ	PREVOD NA UCET	1311	63318	SIPO	AB	28652066
2747220	9093	1997-01-09	VYDAJ	PREVOD NA UCET	1311	55358	SIPO	AB	28652066
2747221	9093	1997-02-09	VYDAJ	PREVOD NA UCET	1311	56955	SIPO	AB	28652066
2747222	9093	1997-03-09	VYDAJ	PREVOD NA UCET	1311	59061	SIPO	AB	28652066
2747223	9093	1997-04-09	VYDAJ	PREVOD NA UCET	1311	59255	SIPO	AB	28652066
2747224	9093	1997-05-09	VYDAJ	PREVOD NA UCET	1311	64285	SIPO	AB	28652066
2747225	9093	1997-06-09	VYDAJ	PREVOD NA UCET	1311	77818	SIPO	AB	28652066
2747226	9093	1997-07-09	VYDAJ	PREVOD NA UCET	1311	66057	SIPO	AB	28652066
2747227	9093	1997-08-09	VYDAJ	PREVOD NA UCET	1311	72538	SIPO	AB	28652066
2747228	9093	1997-09-09	VYDAJ	PREVOD NA UCET	1311	74546	SIPO	AB	28652066
2747229	9093	1997-10-09	VYDAJ	PREVOD NA UCET	1311	76775	SIPO	AB	28652066
2747230	9093	1997-11-09	VYDAJ	PREVOD NA UCET	1311	79577	SIPO	AB	28652066
2747231	9093	1997-12-09	VYDAJ	PREVOD NA UCET	1311	92178	SIPO	AB	28652066
2747232	9093	1998-01-09	VYDAJ	PREVOD NA UCET	1311	81741	SIPO	AB	28652066
2747233	9093	1998-02-09	VYDAJ	PREVOD NA UCET	1311	74687	SIPO	AB	28652066
2747234	9093	1998-03-09	VYDAJ	PREVOD NA UCET	1311	79371	SIPO	AB	28652066
2747235	9093	1998-04-09	VYDAJ	PREVOD NA UCET	1311	76316	SIPO	AB	28652066
2747236	9093	1998-05-09	VYDAJ	PREVOD NA UCET	1311	72724	SIPO	AB	28652066
2747237	9093	1998-06-09	VYDAJ	PREVOD NA UCET	1311	75017	SIPO	AB	28652066
2747238	9093	1998-07-09	VYDAJ	PREVOD NA UCET	1311	70587	SIPO	AB	28652066
2747239	9093	1998-08-09	VYDAJ	PREVOD NA UCET	1311	68911	SIPO	AB	28652066
2747240	9093	1998-09-09	VYDAJ	PREVOD NA UCET	1311	67454	SIPO	AB	28652066
2747241	9093	1998-10-09	VYDAJ	PREVOD NA UCET	1311	65276	SIPO	AB	28652066
2747242	9093	1998-11-09	VYDAJ	PREVOD NA UCET	1311	60669	SIPO	AB	28652066
2747243	9093	1998-12-09	VYDAJ	PREVOD NA UCET	1311	66305	SIPO	AB	28652066
2747254	9093	1993-11-07	VYDAJ	PREVOD NA UCET	2617	55962	 	QR	62233042
2747255	9093	1993-12-07	VYDAJ	PREVOD NA UCET	2617	58426	 	QR	62233042
2747256	9093	1994-01-07	VYDAJ	PREVOD NA UCET	2617	29347	 	QR	62233042
2747257	9093	1994-02-07	VYDAJ	PREVOD NA UCET	2617	32992	 	QR	62233042
2747258	9093	1994-03-07	VYDAJ	PREVOD NA UCET	2617	34182	 	QR	62233042
2747259	9093	1994-04-07	VYDAJ	PREVOD NA UCET	2617	41202	 	QR	62233042
2747260	9093	1994-05-07	VYDAJ	PREVOD NA UCET	2617	48362	 	QR	62233042
2747261	9093	1994-06-07	VYDAJ	PREVOD NA UCET	2617	55276	 	QR	62233042
2747262	9093	1994-07-07	VYDAJ	PREVOD NA UCET	2617	29297	 	QR	62233042
2747263	9093	1994-08-07	VYDAJ	PREVOD NA UCET	2617	40877	 	QR	62233042
2747264	9093	1994-09-07	VYDAJ	PREVOD NA UCET	2617	40603	 	QR	62233042
2747265	9093	1994-10-07	VYDAJ	PREVOD NA UCET	2617	43797	 	QR	62233042
2747266	9093	1994-11-07	VYDAJ	PREVOD NA UCET	2617	47283	 	QR	62233042
2747267	9093	1994-12-07	VYDAJ	PREVOD NA UCET	2617	57929	 	QR	62233042
2747268	9093	1995-01-07	VYDAJ	PREVOD NA UCET	2617	49871	 	QR	62233042
2747269	9093	1995-02-07	VYDAJ	PREVOD NA UCET	2617	42145	 	QR	62233042
2747270	9093	1995-03-07	VYDAJ	PREVOD NA UCET	2617	53292	 	QR	62233042
2747271	9093	1995-04-07	VYDAJ	PREVOD NA UCET	2617	47509	 	QR	62233042
2747272	9093	1995-05-07	VYDAJ	PREVOD NA UCET	2617	52010	 	QR	62233042
2747273	9093	1995-06-07	VYDAJ	PREVOD NA UCET	2617	61918	 	QR	62233042
2747274	9093	1995-07-07	VYDAJ	PREVOD NA UCET	2617	60056	 	QR	62233042
2747275	9093	1995-08-07	VYDAJ	PREVOD NA UCET	2617	62406	 	QR	62233042
2747276	9093	1995-09-07	VYDAJ	PREVOD NA UCET	2617	61105	 	QR	62233042
2747277	9093	1995-10-07	VYDAJ	PREVOD NA UCET	2617	60499	 	QR	62233042
2747278	9093	1995-11-07	VYDAJ	PREVOD NA UCET	2617	58973	 	QR	62233042
2747279	9093	1995-12-07	VYDAJ	PREVOD NA UCET	2617	67814	 	QR	62233042
2747280	9093	1996-01-07	VYDAJ	PREVOD NA UCET	2617	61676	 	QR	62233042
2747281	9093	1996-02-07	VYDAJ	PREVOD NA UCET	2617	50623	 	QR	62233042
2747282	9093	1996-03-07	VYDAJ	PREVOD NA UCET	2617	52330	 	QR	62233042
2747283	9093	1996-04-07	VYDAJ	PREVOD NA UCET	2617	57633	 	QR	62233042
2747284	9093	1996-05-07	VYDAJ	PREVOD NA UCET	2617	55294	 	QR	62233042
2747285	9093	1996-06-07	VYDAJ	PREVOD NA UCET	2617	67257	 	QR	62233042
2747286	9093	1996-07-07	VYDAJ	PREVOD NA UCET	2617	53154	 	QR	62233042
2747287	9093	1996-08-07	VYDAJ	PREVOD NA UCET	2617	57257	 	QR	62233042
2747288	9093	1996-09-07	VYDAJ	PREVOD NA UCET	2617	58175	 	QR	62233042
2747289	9093	1996-10-07	VYDAJ	PREVOD NA UCET	2617	56495	 	QR	62233042
2747290	9093	1996-11-07	VYDAJ	PREVOD NA UCET	2617	58102	 	QR	62233042
2747291	9093	1996-12-07	VYDAJ	PREVOD NA UCET	2617	64629	 	QR	62233042
2747292	9093	1997-01-07	VYDAJ	PREVOD NA UCET	2617	56669	 	QR	62233042
2747293	9093	1997-02-07	VYDAJ	PREVOD NA UCET	2617	58266	 	QR	62233042
2747294	9093	1997-03-07	VYDAJ	PREVOD NA UCET	2617	60372	 	QR	62233042
2747295	9093	1997-04-07	VYDAJ	PREVOD NA UCET	2617	60566	 	QR	62233042
2747296	9093	1997-05-07	VYDAJ	PREVOD NA UCET	2617	65596	 	QR	62233042
2747297	9093	1997-06-07	VYDAJ	PREVOD NA UCET	2617	79129	 	QR	62233042
2747298	9093	1997-07-07	VYDAJ	PREVOD NA UCET	2617	67368	 	QR	62233042
2747299	9093	1997-08-07	VYDAJ	PREVOD NA UCET	2617	73849	 	QR	62233042
2747300	9093	1997-09-07	VYDAJ	PREVOD NA UCET	2617	75857	 	QR	62233042
2747301	9093	1997-10-07	VYDAJ	PREVOD NA UCET	2617	78086	 	QR	62233042
2747302	9093	1997-11-07	VYDAJ	PREVOD NA UCET	2617	80888	 	QR	62233042
2747303	9093	1997-12-07	VYDAJ	PREVOD NA UCET	2617	93489	 	QR	62233042
2747304	9093	1998-01-07	VYDAJ	PREVOD NA UCET	2617	85452	 	QR	62233042
2747305	9093	1998-02-07	VYDAJ	PREVOD NA UCET	2617	75998	 	QR	62233042
2747306	9093	1998-03-07	VYDAJ	PREVOD NA UCET	2617	80682	 	QR	62233042
2747307	9093	1998-04-07	VYDAJ	PREVOD NA UCET	2617	77627	 	QR	62233042
2747308	9093	1998-05-07	VYDAJ	PREVOD NA UCET	2617	74035	 	QR	62233042
2747309	9093	1998-06-07	VYDAJ	PREVOD NA UCET	2617	76328	 	QR	62233042
2747310	9093	1998-07-07	VYDAJ	PREVOD NA UCET	2617	71898	 	QR	62233042
2747311	9093	1998-08-07	VYDAJ	PREVOD NA UCET	2617	70222	 	QR	62233042
2747312	9093	1998-09-07	VYDAJ	PREVOD NA UCET	2617	68765	 	QR	62233042
2747313	9093	1998-10-07	VYDAJ	PREVOD NA UCET	2617	66587	 	QR	62233042
2747314	9093	1998-11-07	VYDAJ	PREVOD NA UCET	2617	61980	 	QR	62233042
2747315	9093	1998-12-07	VYDAJ	PREVOD NA UCET	2617	71016	 	QR	62233042
2747326	9093	1993-11-09	VYDAJ	VYBER	3700	52262	\N	\N	0
2747327	9093	1993-12-03	VYDAJ	VYBER	3100	32630	\N	\N	0
2747328	9093	1994-01-05	VYDAJ	VYBER	3400	13022	\N	\N	0
2747329	9093	1994-02-05	VYDAJ	VYBER	2800	16667	\N	\N	0
2747330	9093	1994-03-12	VYDAJ	VYBER	3100	29771	\N	\N	0
2747331	9093	1994-04-04	VYDAJ	VYBER	3500	24877	\N	\N	0
2747332	9093	1994-05-16	VYDAJ	VYBER	3100	34751	\N	\N	0
2747333	9093	1994-06-14	VYDAJ	VYBER	3600	12805	\N	\N	0
2747334	9093	1994-07-21	VYDAJ	VYBER	3500	24386	\N	\N	0
2747335	9093	1994-08-12	VYDAJ	PREVOD NA UCET	3155	29711	UVER	OP	60554724
2747336	9093	1994-09-12	VYDAJ	PREVOD NA UCET	3155	29537	UVER	OP	60554724
2747337	9093	1994-10-12	VYDAJ	PREVOD NA UCET	3155	32531	UVER	OP	60554724
2747338	9093	1994-11-12	VYDAJ	PREVOD NA UCET	3155	31917	UVER	OP	60554724
2747339	9093	1994-12-12	VYDAJ	PREVOD NA UCET	3155	35223	UVER	OP	60554724
2747340	9093	1995-01-12	VYDAJ	PREVOD NA UCET	3155	33045	UVER	OP	60554724
2747341	9093	1995-02-12	VYDAJ	PREVOD NA UCET	3155	37679	UVER	OP	60554724
2747342	9093	1995-03-12	VYDAJ	PREVOD NA UCET	3155	33086	UVER	OP	60554724
2747343	9093	1995-04-12	VYDAJ	PREVOD NA UCET	3155	35443	UVER	OP	60554724
2747344	9093	1995-05-12	VYDAJ	PREVOD NA UCET	3155	36844	UVER	OP	60554724
2747345	9093	1995-06-12	VYDAJ	PREVOD NA UCET	3155	57452	UVER	OP	60554724
2747346	9093	1995-07-12	VYDAJ	PREVOD NA UCET	3155	55590	UVER	OP	60554724
2747440	9093	1998-01-04	VYDAJ	VYBER KARTOU	1600	69127	\N	\N	0
2747347	9093	1995-08-12	VYDAJ	PREVOD NA UCET	3155	57940	UVER	OP	60554724
2747348	9093	1995-09-12	VYDAJ	PREVOD NA UCET	3155	56639	UVER	OP	60554724
2747349	9093	1995-10-12	VYDAJ	PREVOD NA UCET	3155	56033	UVER	OP	60554724
2747350	9093	1995-11-12	VYDAJ	PREVOD NA UCET	3155	51267	UVER	OP	60554724
2747351	9093	1995-12-12	VYDAJ	PREVOD NA UCET	3155	63348	UVER	OP	60554724
2747352	9093	1996-01-12	VYDAJ	PREVOD NA UCET	3155	57210	UVER	OP	60554724
2747353	9093	1996-02-12	VYDAJ	PREVOD NA UCET	3155	46157	UVER	OP	60554724
2747354	9093	1996-03-12	VYDAJ	PREVOD NA UCET	3155	47864	UVER	OP	60554724
2747355	9093	1996-04-12	VYDAJ	PREVOD NA UCET	3155	53167	UVER	OP	60554724
2747356	9093	1996-05-12	VYDAJ	PREVOD NA UCET	3155	50828	UVER	OP	60554724
2747357	9093	1996-06-12	VYDAJ	PREVOD NA UCET	3155	62791	UVER	OP	60554724
2747358	9093	1996-07-12	VYDAJ	PREVOD NA UCET	3155	48688	UVER	OP	60554724
2747359	9093	1996-08-12	VYDAJ	PREVOD NA UCET	3155	52791	UVER	OP	60554724
2747360	9093	1996-09-12	VYDAJ	PREVOD NA UCET	3155	53709	UVER	OP	60554724
2747361	9093	1996-10-12	VYDAJ	PREVOD NA UCET	3155	52029	UVER	OP	60554724
2747362	9093	1996-11-12	VYDAJ	PREVOD NA UCET	3155	53636	UVER	OP	60554724
2747363	9093	1996-12-12	VYDAJ	PREVOD NA UCET	3155	60163	UVER	OP	60554724
2747364	9093	1997-01-12	VYDAJ	PREVOD NA UCET	3155	49703	UVER	OP	60554724
2747365	9093	1997-02-12	VYDAJ	PREVOD NA UCET	3155	53800	UVER	OP	60554724
2747366	9093	1997-03-12	VYDAJ	PREVOD NA UCET	3155	55906	UVER	OP	60554724
2747367	9093	1997-04-12	VYDAJ	PREVOD NA UCET	3155	56100	UVER	OP	60554724
2747368	9093	1997-05-12	VYDAJ	PREVOD NA UCET	3155	61130	UVER	OP	60554724
2747369	9093	1997-06-12	VYDAJ	PREVOD NA UCET	3155	74663	UVER	OP	60554724
2747370	9093	1997-07-12	VYDAJ	PREVOD NA UCET	3155	62902	UVER	OP	60554724
2747371	9093	1997-08-12	VYDAJ	PREVOD NA UCET	3155	66383	UVER	OP	60554724
2747372	9093	1997-09-12	VYDAJ	PREVOD NA UCET	3155	71391	UVER	OP	60554724
2747373	9093	1997-10-12	VYDAJ	PREVOD NA UCET	3155	73620	UVER	OP	60554724
2747374	9093	1997-11-12	VYDAJ	PREVOD NA UCET	3155	76422	UVER	OP	60554724
2747375	9093	1997-12-12	VYDAJ	PREVOD NA UCET	3155	89023	UVER	OP	60554724
2747376	9093	1998-01-12	VYDAJ	PREVOD NA UCET	3155	77286	UVER	OP	60554724
2747377	9093	1998-02-12	VYDAJ	PREVOD NA UCET	3155	71532	UVER	OP	60554724
2747378	9093	1998-03-12	VYDAJ	PREVOD NA UCET	3155	76216	UVER	OP	60554724
2747379	9093	1998-04-12	VYDAJ	PREVOD NA UCET	3155	73161	UVER	OP	60554724
2747380	9093	1998-05-12	VYDAJ	PREVOD NA UCET	3155	66169	UVER	OP	60554724
2747381	9093	1998-06-12	VYDAJ	PREVOD NA UCET	3155	71862	UVER	OP	60554724
2747382	9093	1998-07-12	VYDAJ	PREVOD NA UCET	3155	67432	UVER	OP	60554724
2747383	9093	1998-08-12	VYDAJ	PREVOD NA UCET	3155	65756	UVER	OP	60554724
2747384	9093	1998-09-12	VYDAJ	PREVOD NA UCET	3155	64299	UVER	OP	60554724
2747385	9093	1998-10-12	VYDAJ	PREVOD NA UCET	3155	62121	UVER	OP	60554724
2747386	9093	1998-11-12	VYDAJ	PREVOD NA UCET	3155	57514	UVER	OP	60554724
2747387	9093	1998-12-12	VYDAJ	PREVOD NA UCET	3155	58710	UVER	OP	60554724
2747389	9093	1994-06-12	VYDAJ	VYBER	24960	16405	\N	\N	\N
2747391	9093	1996-06-29	VYDAJ	VYBER	18560	44231	\N	\N	\N
2747392	9093	1997-06-14	VYDAJ	VYBER	13120	61543	\N	\N	\N
2747395	9093	1994-01-01	VYDAJ	VYBER	12960	22302	\N	\N	\N
2747396	9093	1995-01-15	VYDAJ	VYBER	1600	30365	\N	\N	\N
2747397	9093	1996-01-22	VYDAJ	VYBER	9760	43130	\N	\N	\N
2747398	9093	1997-01-15	VYDAJ	VYBER	4160	45543	\N	\N	\N
2747399	9093	1998-01-02	VYDAJ	VYBER	4480	70727	\N	\N	\N
2747400	9093	1993-12-18	VYDAJ	VYBER	4640	35575	\N	\N	\N
2747401	9093	1994-12-10	VYDAJ	VYBER	3840	38378	\N	\N	\N
2747402	9093	1995-12-14	VYDAJ	VYBER	4160	59188	\N	\N	\N
2747403	9093	1996-12-04	VYDAJ	VYBER	4160	38833	\N	\N	\N
2747404	9093	1997-12-05	VYDAJ	VYBER KARTOU	1600	67693	\N	\N	0
2747405	9093	1998-12-09	VYDAJ	VYBER KARTOU	3400	67616	\N	\N	0
2747412	9093	1994-01-27	VYDAJ	VYBER	3480	19296	\N	\N	\N
2747413	9093	1994-01-13	VYDAJ	VYBER	1920	23976	\N	\N	\N
2747414	9093	1994-01-22	VYDAJ	VYBER	1200	22776	\N	\N	\N
2747415	9093	1994-01-12	VYDAJ	VYBER	2280	25896	\N	\N	\N
2747416	9093	1994-01-12	VYDAJ	VYBER	2160	28176	\N	\N	\N
2747417	9093	1994-01-01	VYDAJ	VYBER	600	35262	\N	\N	\N
2747418	9093	1995-01-24	VYDAJ	VYBER	720	29645	\N	\N	\N
2747419	9093	1995-01-02	VYDAJ	VYBER	960	34506	\N	\N	\N
2747420	9093	1995-01-06	VYDAJ	VYBER	960	33546	\N	\N	\N
2747421	9093	1995-01-15	VYDAJ	VYBER	1080	31965	\N	\N	\N
2747422	9093	1995-01-11	VYDAJ	VYBER	1560	36200	\N	\N	\N
2747423	9093	1995-01-28	VYDAJ	VYBER	3240	26405	\N	\N	\N
2747424	9093	1996-01-28	VYDAJ	VYBER	1920	41210	\N	\N	\N
2747425	9093	1996-01-29	VYDAJ	VYBER	1680	39530	\N	\N	\N
2747426	9093	1996-01-05	VYDAJ	VYBER	1320	45351	\N	\N	\N
2747427	9093	1996-01-01	VYDAJ	VYBER	720	58871	\N	\N	\N
2747428	9093	1996-01-20	VYDAJ	VYBER	3360	52890	\N	\N	\N
2747429	9093	1996-01-13	VYDAJ	VYBER	960	56250	\N	\N	\N
2747430	9093	1997-01-19	VYDAJ	VYBER KARTOU	1200	43643	\N	\N	0
2747431	9093	1997-01-16	VYDAJ	VYBER KARTOU	700	44843	\N	\N	0
2747432	9093	1997-01-06	VYDAJ	VYBER KARTOU	2000	40344	\N	\N	0
2747433	9093	1997-01-12	VYDAJ	VYBER KARTOU	1800	52858	\N	\N	0
2747434	9093	1997-01-04	VYDAJ	VYBER KARTOU	1400	45144	\N	\N	0
2747435	9093	1997-01-11	VYDAJ	VYBER KARTOU	700	54658	\N	\N	0
2747436	9093	1998-01-21	VYDAJ	VYBER KARTOU	3200	62486	\N	\N	0
2747437	9093	1998-01-09	VYDAJ	VYBER KARTOU	1300	80441	\N	\N	0
2747438	9093	1998-01-22	VYDAJ	VYBER KARTOU	2200	60286	\N	\N	0
2747439	9093	1998-01-20	VYDAJ	VYBER KARTOU	2200	75086	\N	\N	0
2747441	9093	1998-01-02	VYDAJ	VYBER KARTOU	1200	75207	\N	\N	0
2747444	9093	1994-01-05	VYDAJ	VYBER	5880	16422	\N	\N	\N
2747445	9093	1994-09-19	VYDAJ	VYBER	720	28817	\N	\N	\N
2747446	9093	1994-02-24	VYDAJ	VYBER	4440	17701	\N	\N	\N
2747447	9093	1994-05-25	VYDAJ	VYBER	5520	29231	\N	\N	\N
2747448	9093	1994-09-29	VYDAJ	VYBER	1560	27257	\N	\N	\N
2747449	9093	1994-08-20	VYDAJ	VYBER	5640	24071	\N	\N	\N
2747450	9093	1994-02-17	VYDAJ	VYBER	3840	22141	\N	\N	\N
2747451	9093	1994-10-12	VYDAJ	VYBER	1800	30731	\N	\N	\N
2747452	9093	1995-03-06	VYDAJ	VYBER	960	36967	\N	\N	\N
2747453	9093	1995-11-11	VYDAJ	VYBER	3240	54422	\N	\N	\N
2747454	9093	1995-04-06	VYDAJ	VYBER	2160	31184	\N	\N	\N
2747455	9093	1995-10-04	VYDAJ	VYBER	5160	51874	\N	\N	\N
2747456	9093	1995-03-11	VYDAJ	VYBER	2040	36241	\N	\N	\N
2747457	9093	1996-12-13	VYDAJ	VYBER KARTOU	2600	57563	\N	\N	0
2747458	9093	1996-02-27	VYDAJ	VYBER	5280	40877	\N	\N	\N
2747459	9093	1996-05-07	VYDAJ	VYBER	1680	57911	\N	\N	\N
2747460	9093	1997-08-13	VYDAJ	VYBER KARTOU	1100	65283	\N	\N	0
2747461	9093	1997-08-10	VYDAJ	VYBER KARTOU	3000	69538	\N	\N	0
2747462	9093	1997-07-06	VYDAJ	VYBER KARTOU	600	51043	\N	\N	0
2747463	9093	1997-01-05	VYDAJ	VYBER KARTOU	2800	42344	\N	\N	0
2747464	9093	1998-02-04	VYDAJ	VYBER KARTOU	1100	59673	\N	\N	0
2747465	9093	1998-05-10	VYDAJ	VYBER KARTOU	3400	69324	\N	\N	0
2747466	9093	1998-01-08	VYDAJ	VYBER KARTOU	2400	83052	\N	\N	0
2747467	9093	1998-12-11	VYDAJ	VYBER	4440	61865	\N	\N	\N
2747479	9093	1993-11-30	VYDAJ	VYBER	15	35730	SLUZBY	\N	\N
2747480	9093	1993-12-31	VYDAJ	VYBER	15	35862	SLUZBY	\N	\N
2747481	9093	1994-01-31	VYDAJ	VYBER	15	19467	SLUZBY	\N	\N
2747482	9093	1994-02-28	VYDAJ	VYBER	15	17857	SLUZBY	\N	\N
2747483	9093	1994-03-31	VYDAJ	VYBER	15	28377	SLUZBY	\N	\N
2747484	9093	1994-04-30	VYDAJ	VYBER	15	32037	SLUZBY	\N	\N
2747485	9093	1994-05-31	VYDAJ	VYBER	15	29480	SLUZBY	\N	\N
2747486	9093	1994-06-30	VYDAJ	VYBER	15	12972	SLUZBY	\N	\N
2747487	9093	1994-07-31	VYDAJ	VYBER	15	24552	SLUZBY	\N	\N
2747488	9093	1994-08-31	VYDAJ	VYBER	15	24278	SLUZBY	\N	\N
2747489	9093	1994-09-30	VYDAJ	VYBER	15	27472	SLUZBY	\N	\N
2747490	9093	1994-10-31	VYDAJ	VYBER	15	30958	SLUZBY	\N	\N
2747491	9093	1994-11-30	VYDAJ	VYBER	15	32133	SLUZBY	\N	\N
2747492	9093	1994-12-31	VYDAJ	VYBER	15	35466	SLUZBY	\N	\N
2747493	9093	1995-01-31	VYDAJ	VYBER	15	26620	SLUZBY	\N	\N
2747494	9093	1995-02-28	VYDAJ	VYBER	15	37927	SLUZBY	\N	\N
2747495	9093	1995-03-31	VYDAJ	VYBER	15	33344	SLUZBY	\N	\N
2747496	9093	1995-04-30	VYDAJ	VYBER	15	35685	SLUZBY	\N	\N
2747497	9093	1995-05-31	VYDAJ	VYBER	15	37122	SLUZBY	\N	\N
2747498	9093	1995-06-30	VYDAJ	VYBER	15	57831	SLUZBY	\N	\N
2747499	9093	1995-07-31	VYDAJ	VYBER	15	55981	SLUZBY	\N	\N
2747500	9093	1995-08-31	VYDAJ	VYBER	15	58380	SLUZBY	\N	\N
2747501	9093	1995-09-30	VYDAJ	VYBER	15	57034	SLUZBY	\N	\N
2747502	9093	1995-10-31	VYDAJ	VYBER	15	56448	SLUZBY	\N	\N
2747503	9093	1995-11-30	VYDAJ	VYBER	15	51618	SLUZBY	\N	\N
2747504	9093	1995-12-31	VYDAJ	VYBER	15	59591	SLUZBY	\N	\N
2747505	9093	1996-01-31	VYDAJ	VYBER	15	39898	SLUZBY	\N	\N
2747506	9093	1996-02-29	VYDAJ	VYBER	15	41205	SLUZBY	\N	\N
2747507	9093	1996-03-31	VYDAJ	VYBER	15	48208	SLUZBY	\N	\N
2747508	9093	1996-04-30	VYDAJ	VYBER	15	53549	SLUZBY	\N	\N
2747509	9093	1996-05-31	VYDAJ	VYBER	15	51161	SLUZBY	\N	\N
2747510	9093	1996-06-30	VYDAJ	VYBER	15	36829	SLUZBY	\N	\N
2747511	9093	1996-07-31	VYDAJ	VYBER	15	40932	SLUZBY	\N	\N
2747512	9093	1996-08-31	VYDAJ	VYBER	15	41850	SLUZBY	\N	\N
2747513	9093	1996-09-30	VYDAJ	VYBER	15	40170	SLUZBY	\N	\N
2747514	9093	1996-10-31	VYDAJ	VYBER	15	41777	SLUZBY	\N	\N
2747515	9093	1996-11-30	VYDAJ	VYBER	15	42993	SLUZBY	\N	\N
2747516	9093	1996-12-31	VYDAJ	VYBER	15	46544	SLUZBY	\N	\N
2747517	9093	1997-01-31	VYDAJ	VYBER	15	41941	SLUZBY	\N	\N
2747518	9093	1997-02-28	VYDAJ	VYBER	15	44047	SLUZBY	\N	\N
2747519	9093	1997-03-31	VYDAJ	VYBER	15	44241	SLUZBY	\N	\N
2747520	9093	1997-04-30	VYDAJ	VYBER	15	49271	SLUZBY	\N	\N
2747521	9093	1997-05-31	VYDAJ	VYBER	15	53333	SLUZBY	\N	\N
2747522	9093	1997-06-30	VYDAJ	VYBER	15	51643	SLUZBY	\N	\N
2747523	9093	1997-07-31	VYDAJ	VYBER	15	57524	SLUZBY	\N	\N
2747524	9093	1997-08-31	VYDAJ	VYBER	15	59532	SLUZBY	\N	\N
2747525	9093	1997-09-30	VYDAJ	VYBER	15	61761	SLUZBY	\N	\N
2747526	9093	1997-10-31	VYDAJ	VYBER	15	64563	SLUZBY	\N	\N
2747527	9093	1997-11-30	VYDAJ	VYBER	15	69293	SLUZBY	\N	\N
2747528	9093	1997-12-31	VYDAJ	VYBER	15	76407	SLUZBY	\N	\N
2747529	9093	1998-01-31	VYDAJ	VYBER	15	60773	SLUZBY	\N	\N
2747530	9093	1998-02-28	VYDAJ	VYBER	15	64357	SLUZBY	\N	\N
2747531	9093	1998-03-31	VYDAJ	VYBER	15	61302	SLUZBY	\N	\N
2747532	9093	1998-04-30	VYDAJ	VYBER	15	57710	SLUZBY	\N	\N
2747533	9093	1998-05-31	VYDAJ	VYBER	15	50532	SLUZBY	\N	\N
2747534	9093	1998-06-30	VYDAJ	VYBER	15	55573	SLUZBY	\N	\N
2747535	9093	1998-07-31	VYDAJ	VYBER	15	53897	SLUZBY	\N	\N
2747536	9093	1998-08-31	VYDAJ	VYBER	15	52440	SLUZBY	\N	\N
2747537	9093	1998-09-30	VYDAJ	VYBER	15	50262	SLUZBY	\N	\N
2747538	9093	1998-10-31	VYDAJ	VYBER	15	45655	SLUZBY	\N	\N
2747539	9093	1998-11-30	VYDAJ	VYBER	15	45220	SLUZBY	\N	\N
2747540	9093	1993-07-16	PRIJEM	VKLAD	2000	21742	\N	\N	\N
2747541	9093	1993-08-15	VYDAJ	VYBER	6800	33975	\N	\N	\N
2747542	9093	1993-09-14	VYDAJ	VYBER	14800	38308	\N	\N	\N
2747543	9093	1993-10-14	VYDAJ	VYBER	18100	39386	\N	\N	\N
2747544	9093	1993-11-13	VYDAJ	VYBER	15500	35451	\N	\N	\N
2747545	9093	1993-12-13	VYDAJ	VYBER	16900	40215	\N	\N	\N
2747546	9093	1994-01-12	PRIJEM	VKLAD	2300	30336	\N	\N	\N
2747547	9093	1994-02-11	VYDAJ	VYBER	5700	25981	\N	\N	\N
2747548	9093	1994-03-13	VYDAJ	VYBER	1600	28171	\N	\N	\N
2747549	9093	1994-04-12	VYDAJ	VYBER	8100	31791	\N	\N	\N
2747550	9093	1994-05-12	VYDAJ	VYBER	9200	37851	\N	\N	\N
2747551	9093	1994-06-11	VYDAJ	VYBER	12600	41365	\N	\N	\N
2747552	9093	1994-07-11	VYDAJ	VYBER	100	27886	\N	\N	\N
2747553	9093	1994-08-10	VYDAJ	VYBER	6700	32866	\N	\N	\N
2747554	9093	1994-09-09	VYDAJ	VYBER	6600	34003	\N	\N	\N
2747555	9093	1994-10-09	VYDAJ	VYBER	6800	36997	\N	\N	\N
2747556	9093	1994-11-08	VYDAJ	VYBER	10900	36383	\N	\N	\N
2747557	9093	1994-12-08	VYDAJ	VYBER	14400	43529	\N	\N	\N
2747558	9093	1995-01-07	VYDAJ	VYBER	10800	39071	\N	\N	\N
2747559	9093	1995-02-06	VYDAJ	VYBER	800	25820	\N	\N	\N
2747560	9093	1995-03-08	VYDAJ	VYBER	13700	39592	\N	\N	\N
2747561	9093	1995-04-07	VYDAJ	VYBER	7600	39909	\N	\N	\N
2747562	9093	1995-05-07	VYDAJ	VYBER	10700	41310	\N	\N	\N
2747563	9093	1995-06-06	VYDAJ	VYBER	1000	36122	\N	\N	\N
2747564	9093	1995-07-06	VYDAJ	VYBER	14100	43731	\N	\N	\N
2747565	9093	1995-08-05	VYDAJ	VYBER	9900	46081	\N	\N	\N
2747566	9093	1995-09-04	VYDAJ	VYBER	13600	44780	\N	\N	\N
2747567	9093	1995-10-04	VYDAJ	VYBER	7700	44174	\N	\N	\N
2747568	9093	1995-11-03	VYDAJ	VYBER	13800	42648	\N	\N	\N
2747569	9093	1995-12-03	VYDAJ	VYBER	9600	42018	\N	\N	\N
2747570	9093	1996-01-02	VYDAJ	VYBER	12200	46671	\N	\N	\N
2747571	9093	1996-02-01	VYDAJ	VYBER	5600	34298	\N	\N	\N
2747572	9093	1996-03-02	VYDAJ	VYBER	5200	36005	\N	\N	\N
2747573	9093	1996-04-01	VYDAJ	VYBER	6900	41308	\N	\N	\N
2747574	9093	1996-05-01	VYDAJ	VYBER	12900	40649	\N	\N	\N
2747575	9093	1996-05-31	VYDAJ	VYBER	9700	41461	\N	\N	\N
2747576	9093	1996-06-30	VYDAJ	VYBER	7800	36843	\N	\N	\N
2747577	9093	1996-07-30	VYDAJ	VYBER	8100	40588	\N	\N	\N
2747578	9093	1996-08-29	VYDAJ	VYBER	11300	41491	\N	\N	\N
2747579	9093	1996-09-28	VYDAJ	VYBER	13900	39809	\N	\N	\N
2747580	9093	1996-10-28	VYDAJ	VYBER	10600	41429	\N	\N	\N
2747581	9093	1996-11-27	VYDAJ	VYBER	11000	42636	\N	\N	\N
2747582	9093	1996-12-27	VYDAJ	VYBER	11400	46163	\N	\N	\N
2747583	9093	1997-01-26	VYDAJ	VYBER KARTOU	2000	41643	\N	\N	0
2747584	9093	1997-02-25	VYDAJ	VYBER	10100	43700	\N	\N	\N
2747585	9093	1997-03-27	VYDAJ	VYBER	12000	43906	\N	\N	\N
2747586	9093	1997-04-26	VYDAJ	VYBER	7200	48900	\N	\N	\N
2747587	9093	1997-05-26	VYDAJ	VYBER	8200	52930	\N	\N	\N
2747588	9093	1997-06-25	VYDAJ	VYBER	10300	51243	\N	\N	\N
2747589	9093	1997-07-25	VYDAJ	VYBER	5800	57102	\N	\N	\N
2747590	9093	1997-08-24	VYDAJ	VYBER	6200	59083	\N	\N	\N
2747591	9093	1997-09-23	VYDAJ	VYBER	10100	61291	\N	\N	\N
2747592	9093	1997-10-23	VYDAJ	VYBER	9500	64120	\N	\N	\N
2747593	9093	1997-11-22	VYDAJ	VYBER	7600	68822	\N	\N	\N
2747594	9093	1997-12-22	VYDAJ	VYBER	13200	75823	\N	\N	\N
2747595	9093	1998-01-21	VYDAJ	VYBER	9400	65686	\N	\N	\N
2747596	9093	1998-02-20	VYDAJ	VYBER	7600	63932	\N	\N	\N
2747597	9093	1998-03-22	VYDAJ	VYBER	15400	60816	\N	\N	\N
2747598	9093	1998-04-21	VYDAJ	VYBER	15900	57261	\N	\N	\N
2747599	9093	1998-05-21	VYDAJ	VYBER	16000	50169	\N	\N	\N
2747600	9093	1998-06-20	VYDAJ	VYBER	16700	55162	\N	\N	\N
2747601	9093	1998-07-20	VYDAJ	VYBER	13900	53532	\N	\N	\N
2747602	9093	1998-08-19	VYDAJ	VYBER	13700	52056	\N	\N	\N
2747603	9093	1998-09-18	VYDAJ	VYBER	14400	49899	\N	\N	\N
2747604	9093	1998-10-18	VYDAJ	VYBER	16800	45321	\N	\N	\N
2747605	9093	1998-11-17	VYDAJ	VYBER	12600	44914	\N	\N	\N
2750867	9104	1994-01-21	PRIJEM	VKLAD	200	200	\N	\N	\N
2750868	9104	1994-07-16	PRIJEM	VKLAD	26917	89718	\N	\N	\N
2750869	9104	1994-05-13	PRIJEM	VKLAD	19282	78683	\N	\N	\N
2750870	9104	1994-10-19	PRIJEM	VKLAD	28884	67801	\N	\N	\N
2750871	9104	1994-06-27	PRIJEM	VKLAD	32695	119139	\N	\N	\N
2750872	9104	1994-12-25	PRIJEM	VKLAD	21037	80450	\N	\N	\N
2750873	9104	1994-10-10	PRIJEM	VKLAD	20020	54002	\N	\N	\N
2750874	9104	1994-04-25	PRIJEM	VKLAD	23442	59119	\N	\N	\N
2750875	9104	1994-05-18	PRIJEM	VKLAD	9957	88640	\N	\N	\N
2750876	9104	1994-04-07	PRIJEM	VKLAD	7515	48277	\N	\N	\N
2750877	9104	1994-08-19	PRIJEM	VKLAD	43377	98001	\N	\N	\N
2750878	9104	1994-12-28	PRIJEM	VKLAD	9226	89676	\N	\N	\N
2750879	9104	1994-02-22	PRIJEM	VKLAD	22153	60092	\N	\N	\N
2750880	9104	1994-01-26	PRIJEM	VKLAD	28558	28758	\N	\N	\N
2750881	9104	1994-02-10	PRIJEM	VKLAD	19238	48039	\N	\N	\N
2750882	9104	1994-05-28	PRIJEM	VKLAD	30203	77662	\N	\N	\N
2750883	9104	1994-11-25	PRIJEM	VKLAD	14990	100441	\N	\N	\N
2750884	9104	1994-06-22	PRIJEM	VKLAD	45518	86444	\N	\N	\N
2750885	9104	1994-11-23	PRIJEM	VKLAD	49754	85451	\N	\N	\N
2750886	9104	1995-07-03	PRIJEM	VKLAD	39066	86747	\N	\N	\N
2750887	9104	1995-01-12	PRIJEM	VKLAD	29367	119581	\N	\N	\N
2750888	9104	1995-06-26	PRIJEM	VKLAD	25099	47525	\N	\N	\N
2750889	9104	1995-07-06	PRIJEM	VKLAD	36400	123147	\N	\N	\N
2750890	9104	1995-09-04	PRIJEM	VKLAD	23028	54407	\N	\N	\N
2750891	9104	1995-12-17	PRIJEM	VKLAD	14439	35661	\N	\N	\N
2750892	9104	1995-03-20	PRIJEM	VKLAD	20517	46912	\N	\N	\N
2750893	9104	1996-04-29	PRIJEM	VKLAD	14820	113828	\N	\N	\N
2750894	9104	1996-10-27	PRIJEM	VKLAD	17130	105001	\N	\N	\N
2750895	9104	1996-06-01	PRIJEM	VKLAD	25007	98316	\N	\N	\N
2750896	9104	1996-03-30	PRIJEM	VKLAD	47224	92921	\N	\N	\N
2750897	9104	1996-08-31	PRIJEM	VKLAD	11553	47069	\N	\N	\N
2750898	9104	1996-07-26	PRIJEM	VKLAD	22395	94991	\N	\N	\N
2750899	9104	1996-04-20	PRIJEM	VKLAD	24447	99008	\N	\N	\N
2750900	9104	1996-12-24	PRIJEM	VKLAD	15681	65483	\N	\N	\N
2750901	9104	1996-03-10	PRIJEM	VKLAD	29174	75482	\N	\N	\N
2750902	9104	1996-05-21	PRIJEM	VKLAD	14562	72653	\N	\N	\N
2750903	9104	1996-07-12	PRIJEM	VKLAD	31163	76181	\N	\N	\N
2750904	9104	1996-09-16	PRIJEM	VKLAD	6032	55331	\N	\N	\N
2750905	9104	1996-10-24	PRIJEM	VKLAD	31494	87871	\N	\N	\N
2750906	9104	1996-06-30	PRIJEM	VKLAD	27931	61197	\N	\N	\N
2750907	9104	1996-01-09	PRIJEM	VKLAD	38849	66291	\N	\N	\N
2750908	9104	1996-09-19	PRIJEM	VKLAD	6521	61852	\N	\N	\N
2750909	9104	1996-02-02	PRIJEM	VKLAD	47716	79086	\N	\N	\N
2750910	9104	1996-11-15	PRIJEM	VKLAD	10316	75090	\N	\N	\N
2750911	9104	1996-08-03	PRIJEM	VKLAD	27840	123387	\N	\N	\N
2750912	9104	1996-04-20	PRIJEM	VKLAD	20158	74561	\N	\N	\N
2750913	9104	1996-09-15	PRIJEM	VKLAD	14930	49299	\N	\N	\N
2750914	9104	1996-10-06	PRIJEM	VKLAD	25548	87762	\N	\N	\N
2750915	9104	1997-10-29	PRIJEM	VKLAD	24448	136137	\N	\N	\N
2750916	9104	1997-06-16	PRIJEM	VKLAD	17488	67926	\N	\N	\N
2750917	9104	1997-01-08	PRIJEM	VKLAD	5347	51704	\N	\N	\N
2750918	9104	1997-07-16	PRIJEM	VKLAD	13124	52745	\N	\N	\N
2750919	9104	1997-09-22	PRIJEM	VKLAD	33944	94039	\N	\N	\N
2750920	9104	1997-09-01	PRIJEM	VKLAD	26356	75618	\N	\N	\N
2750921	9104	1997-11-20	PRIJEM	VKLAD	25789	62057	\N	\N	\N
2750922	9104	1997-12-15	PRIJEM	VKLAD	22766	56892	\N	\N	\N
2750923	9104	1997-02-02	PRIJEM	VKLAD	36750	72370	\N	\N	\N
2750924	9104	1997-04-26	PRIJEM	VKLAD	15795	98658	\N	\N	\N
2750925	9104	1997-03-17	PRIJEM	VKLAD	13404	51091	\N	\N	\N
2750926	9104	1997-03-30	PRIJEM	VKLAD	25252	73957	\N	\N	\N
2750927	9104	1997-04-17	PRIJEM	VKLAD	49675	82863	\N	\N	\N
2750928	9104	1997-10-25	PRIJEM	VKLAD	47087	111689	\N	\N	\N
2750929	9104	1997-09-17	PRIJEM	VKLAD	24728	60095	\N	\N	\N
2750930	9104	1997-12-22	PRIJEM	VKLAD	34402	91294	\N	\N	\N
2750931	9104	1997-07-18	PRIJEM	VKLAD	17107	69852	\N	\N	\N
2750932	9104	1997-01-12	PRIJEM	VKLAD	24718	57222	\N	\N	\N
2750933	9104	1998-01-29	PRIJEM	VKLAD	14579	66399	\N	\N	\N
2750934	9104	1998-03-10	PRIJEM	VKLAD	24633	71248	\N	\N	\N
2750935	9104	1998-08-22	PRIJEM	VKLAD	22146	62024	\N	\N	\N
2750940	9104	1994-05-20	VYDAJ	VYBER	2700	85940	\N	\N	0
2750941	9104	1994-06-04	VYDAJ	VYBER	3400	74626	\N	\N	0
2750942	9104	1994-07-03	VYDAJ	VYBER	3900	62801	\N	\N	0
2750943	9104	1994-08-12	VYDAJ	PREVOD NA UCET	3585	54624	UVER	AB	10966873
2750944	9104	1994-09-12	VYDAJ	PREVOD NA UCET	3585	60207	UVER	AB	10966873
2750945	9104	1994-10-12	VYDAJ	PREVOD NA UCET	3585	50417	UVER	AB	10966873
2750946	9104	1994-11-12	VYDAJ	PREVOD NA UCET	3585	48997	UVER	AB	10966873
2750947	9104	1994-12-12	VYDAJ	PREVOD NA UCET	3585	91213	UVER	AB	10966873
2750948	9104	1995-01-12	VYDAJ	PREVOD NA UCET	3585	115996	UVER	AB	10966873
2750949	9104	1995-02-12	VYDAJ	PREVOD NA UCET	3585	28165	UVER	AB	10966873
2750950	9104	1995-03-12	VYDAJ	PREVOD NA UCET	3585	24295	UVER	AB	10966873
2750951	9104	1995-04-12	VYDAJ	PREVOD NA UCET	3585	43528	UVER	AB	10966873
2750952	9104	1995-05-12	VYDAJ	PREVOD NA UCET	3585	30753	UVER	AB	10966873
2750953	9104	1995-06-12	VYDAJ	PREVOD NA UCET	3585	24326	UVER	AB	10966873
2750954	9104	1995-07-12	VYDAJ	PREVOD NA UCET	3585	56961	UVER	AB	10966873
2750955	9104	1995-08-12	VYDAJ	PREVOD NA UCET	3585	39216	UVER	AB	10966873
2750956	9104	1995-09-12	VYDAJ	PREVOD NA UCET	3585	47822	UVER	AB	10966873
2750957	9104	1995-10-12	VYDAJ	PREVOD NA UCET	3585	30493	UVER	AB	10966873
2750958	9104	1995-11-12	VYDAJ	PREVOD NA UCET	3585	25327	UVER	AB	10966873
2750959	9104	1995-12-12	VYDAJ	PREVOD NA UCET	3585	21222	UVER	AB	10966873
2750960	9104	1996-01-12	VYDAJ	PREVOD NA UCET	3585	40106	UVER	AB	10966873
2750961	9104	1996-02-12	VYDAJ	PREVOD NA UCET	3585	46001	UVER	AB	10966873
2750962	9104	1996-03-12	VYDAJ	PREVOD NA UCET	3585	45697	UVER	AB	10966873
2750963	9104	1996-04-12	VYDAJ	PREVOD NA UCET	3585	54403	UVER	AB	10966873
2750964	9104	1996-05-12	VYDAJ	PREVOD NA UCET	3585	64391	UVER	AB	10966873
2750965	9104	1996-06-12	VYDAJ	PREVOD NA UCET	3585	60631	UVER	AB	10966873
2750966	9104	1996-07-12	VYDAJ	PREVOD NA UCET	3585	72596	UVER	AB	10966873
2750967	9104	1996-08-12	VYDAJ	PREVOD NA UCET	3585	46502	UVER	AB	10966873
2750968	9104	1996-09-12	VYDAJ	PREVOD NA UCET	3585	34369	UVER	AB	10966873
2750969	9104	1996-10-12	VYDAJ	PREVOD NA UCET	3585	56377	UVER	AB	10966873
2750970	9104	1996-11-12	VYDAJ	PREVOD NA UCET	3585	64774	UVER	AB	10966873
2750971	9104	1996-12-12	VYDAJ	PREVOD NA UCET	3585	49802	UVER	AB	10966873
2750972	9104	1997-01-12	VYDAJ	PREVOD NA UCET	3585	53637	UVER	AB	10966873
2750973	9104	1997-02-12	VYDAJ	PREVOD NA UCET	3585	45453	UVER	AB	10966873
2750974	9104	1997-03-12	VYDAJ	PREVOD NA UCET	3585	37687	UVER	AB	10966873
2750975	9104	1997-04-12	VYDAJ	PREVOD NA UCET	3585	33188	UVER	AB	10966873
2750976	9104	1997-05-12	VYDAJ	PREVOD NA UCET	3585	67981	UVER	AB	10966873
2750977	9104	1997-06-12	VYDAJ	PREVOD NA UCET	3585	50438	UVER	AB	10966873
2750978	9104	1997-07-12	VYDAJ	PREVOD NA UCET	3585	39621	UVER	AB	10966873
2750979	9104	1997-08-12	VYDAJ	PREVOD NA UCET	3585	48911	UVER	AB	10966873
2750980	9104	1997-09-12	VYDAJ	PREVOD NA UCET	3585	35367	UVER	AB	10966873
2750981	9104	1997-10-12	VYDAJ	PREVOD NA UCET	3585	64602	UVER	AB	10966873
2750982	9104	1997-11-12	VYDAJ	PREVOD NA UCET	3585	36268	UVER	AB	10966873
2750983	9104	1997-12-12	VYDAJ	PREVOD NA UCET	3585	34126	UVER	AB	10966873
2750984	9104	1998-01-12	VYDAJ	PREVOD NA UCET	3585	51820	UVER	AB	10966873
2750985	9104	1998-02-12	VYDAJ	PREVOD NA UCET	3585	51546	UVER	AB	10966873
2750986	9104	1998-03-12	VYDAJ	PREVOD NA UCET	3585	67663	UVER	AB	10966873
2750987	9104	1998-04-12	VYDAJ	PREVOD NA UCET	3585	54950	UVER	AB	10966873
2750988	9104	1998-05-12	VYDAJ	PREVOD NA UCET	3585	51399	UVER	AB	10966873
2750989	9104	1998-06-12	VYDAJ	PREVOD NA UCET	3585	34416	UVER	AB	10966873
2750990	9104	1998-07-12	VYDAJ	PREVOD NA UCET	3585	38050	UVER	AB	10966873
2750991	9104	1998-08-14	VYDAJ	VYBER	3600	39878	\N	\N	0
2750992	9104	1998-09-07	VYDAJ	VYBER	4400	46046	\N	\N	0
2750993	9104	1998-10-18	VYDAJ	VYBER	3000	42913	\N	\N	0
2750994	9104	1998-11-06	VYDAJ	VYBER	3000	38131	\N	\N	0
2750995	9104	1998-12-03	VYDAJ	VYBER	2800	41875	\N	\N	0
2750996	9104	1994-09-15	VYBER	VYBER	20880	39327	\N	\N	\N
2750998	9104	1994-10-19	VYBER	VYBER	15541	52260	\N	\N	\N
2751000	9104	1994-05-21	VYBER	VYBER	12081	73859	\N	\N	\N
2751007	9104	1996-08-25	VYBER	VYBER	11381	35121	\N	\N	\N
2751008	9104	1997-01-15	VYBER	VYBER	18281	35356	\N	\N	\N
2751009	9104	1997-02-04	VYBER	VYBER	13931	58439	\N	\N	\N
2751010	9104	1997-03-28	VYBER	VYBER	2386	48705	\N	\N	\N
2751011	9104	1997-11-10	VYBER	VYBER	20473	60694	\N	\N	\N
2751012	9104	1997-01-02	VYBER	VYBER	4676	61257	\N	\N	\N
2751013	9104	1997-09-11	VYBER	VYBER	14766	38952	\N	\N	\N
2751014	9104	1997-11-29	VYBER	VYBER	15499	35758	\N	\N	\N
2751015	9104	1997-05-15	VYBER	VYBER	4825	63156	\N	\N	\N
2751016	9104	1997-06-28	VYBER	VYBER	17860	50066	\N	\N	\N
2751017	9104	1997-04-08	VYBER	VYBER	24562	36774	\N	\N	\N
2751018	9104	1997-11-12	VYBER	VYBER	20841	39853	\N	\N	\N
2751019	9104	1998-03-17	VYBER	VYBER	5934	61729	\N	\N	\N
2751022	9104	1998-04-28	VYBER	VYBER	4578	50372	\N	\N	\N
2751027	9104	1998-08-25	VYBER	VYBER	20464	41560	\N	\N	\N
2751029	9104	1998-10-25	VYBER	VYBER	2941	39972	\N	\N	\N
2751030	9104	1998-01-07	VYBER	VYBER	11593	55406	\N	\N	\N
2751031	9104	1994-06-09	VYDAJ	VYBER	15900	58726	\N	\N	\N
2751033	9104	1996-06-26	VYDAJ	VYBER	27600	33031	\N	\N	\N
2751037	9104	1995-01-15	VYDAJ	VYBER	17100	36196	\N	\N	\N
2751038	9104	1996-01-17	VYDAJ	VYBER	9000	31106	\N	\N	\N
2751039	9104	1997-01-10	VYDAJ	VYBER	19200	32504	\N	\N	\N
2751041	9104	1994-12-05	VYDAJ	VYBER	6000	94798	\N	\N	\N
2751043	9104	1996-12-11	VYDAJ	VYBER	3900	53387	\N	\N	\N
2751044	9104	1997-12-11	VYDAJ	VYBER	1500	37711	\N	\N	\N
2751045	9104	1998-12-07	VYDAJ	VYBER	3000	38875	\N	\N	\N
2751046	9104	1994-06-29	VYDAJ	VYBER	12900	66139	\N	\N	\N
2751050	9104	1995-09-06	VYDAJ	VYBER	3000	51407	\N	\N	\N
2751054	9104	1996-01-07	VYDAJ	VYBER	8400	27442	\N	\N	\N
2751055	9104	1996-05-17	VYDAJ	VYBER	6300	58091	\N	\N	\N
2751056	9104	1996-09-04	VYDAJ	VYBER	6600	40454	\N	\N	\N
2751057	9104	1997-08-02	VYDAJ	VYBER	8100	62096	\N	\N	\N
2751058	9104	1997-12-04	VYDAJ	VYBER	1500	39211	\N	\N	\N
2751059	9104	1997-11-22	VYDAJ	VYBER	10800	51257	\N	\N	\N
2751064	9104	1998-05-31	VYDAJ	VYBER	6600	38001	\N	\N	\N
2751067	9104	1998-05-14	VYDAJ	VYBER	13800	37599	\N	\N	\N
2751072	9104	1994-04-30	VYDAJ	VYBER	15	59401	SLUZBY	\N	\N
2751073	9104	1994-05-31	VYDAJ	VYBER	15	78026	SLUZBY	\N	\N
2751074	9104	1994-06-30	VYDAJ	VYBER	15	66701	SLUZBY	\N	\N
2751075	9104	1994-07-31	VYDAJ	VYBER	15	58209	SLUZBY	\N	\N
2751076	9104	1994-08-31	VYDAJ	VYBER	15	63793	SLUZBY	\N	\N
2751077	9104	1994-09-30	VYDAJ	VYBER	15	33982	SLUZBY	\N	\N
2751078	9104	1994-10-31	VYDAJ	VYBER	15	52582	SLUZBY	\N	\N
2751079	9104	1994-11-30	VYDAJ	VYBER	15	100798	SLUZBY	\N	\N
2751080	9104	1994-12-31	VYDAJ	VYBER	15	90214	SLUZBY	\N	\N
2751081	9104	1995-01-31	VYDAJ	VYBER	15	31750	SLUZBY	\N	\N
2751082	9104	1995-02-28	VYDAJ	VYBER	15	27880	SLUZBY	\N	\N
2751083	9104	1995-03-31	VYDAJ	VYBER	15	47113	SLUZBY	\N	\N
2751084	9104	1995-04-30	VYDAJ	VYBER	15	34338	SLUZBY	\N	\N
2751085	9104	1995-05-31	VYDAJ	VYBER	15	27911	SLUZBY	\N	\N
2751086	9104	1995-06-30	VYDAJ	VYBER	15	47681	SLUZBY	\N	\N
2751087	9104	1995-07-31	VYDAJ	VYBER	15	42801	SLUZBY	\N	\N
2751088	9104	1995-08-31	VYDAJ	VYBER	15	31379	SLUZBY	\N	\N
2751089	9104	1995-09-30	VYDAJ	VYBER	15	34078	SLUZBY	\N	\N
2751090	9104	1995-10-31	VYDAJ	VYBER	15	28512	SLUZBY	\N	\N
2751091	9104	1995-11-30	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
2751092	9104	1995-12-31	VYDAJ	VYBER	15	35842	SLUZBY	\N	\N
2751093	9104	1996-01-31	VYDAJ	VYBER	15	31370	SLUZBY	\N	\N
2751094	9104	1996-02-29	VYDAJ	VYBER	15	46308	SLUZBY	\N	\N
2751095	9104	1996-03-31	VYDAJ	VYBER	15	93288	SLUZBY	\N	\N
2751096	9104	1996-04-30	VYDAJ	VYBER	15	114476	SLUZBY	\N	\N
2751097	9104	1996-05-31	VYDAJ	VYBER	15	73309	SLUZBY	\N	\N
2751098	9104	1996-06-30	VYDAJ	VYBER	15	61418	SLUZBY	\N	\N
2751099	9104	1996-07-31	VYDAJ	VYBER	15	95547	SLUZBY	\N	\N
2751100	9104	1996-08-31	VYDAJ	VYBER	15	47054	SLUZBY	\N	\N
2751101	9104	1996-09-30	VYDAJ	VYBER	15	62214	SLUZBY	\N	\N
2751102	9104	1996-10-31	VYDAJ	VYBER	15	105459	SLUZBY	\N	\N
2751103	9104	1996-11-30	VYDAJ	VYBER	15	75587	SLUZBY	\N	\N
2751104	9104	1996-12-31	VYDAJ	VYBER	15	65933	SLUZBY	\N	\N
2751105	9104	1997-01-31	VYDAJ	VYBER	15	35620	SLUZBY	\N	\N
2751106	9104	1997-02-28	VYDAJ	VYBER	15	45773	SLUZBY	\N	\N
2751107	9104	1997-03-31	VYDAJ	VYBER	15	74236	SLUZBY	\N	\N
2751108	9104	1997-04-30	VYDAJ	VYBER	15	99166	SLUZBY	\N	\N
2751109	9104	1997-05-31	VYDAJ	VYBER	15	63723	SLUZBY	\N	\N
2751110	9104	1997-06-30	VYDAJ	VYBER	15	50506	SLUZBY	\N	\N
2751111	9104	1997-07-31	VYDAJ	VYBER	15	70196	SLUZBY	\N	\N
2751112	9104	1997-08-31	VYDAJ	VYBER	15	49262	SLUZBY	\N	\N
2751113	9104	1997-09-30	VYDAJ	VYBER	15	94487	SLUZBY	\N	\N
2751114	9104	1997-10-31	VYDAJ	VYBER	15	119467	SLUZBY	\N	\N
2751115	9104	1997-11-30	VYDAJ	VYBER	15	36111	SLUZBY	\N	\N
2751116	9104	1997-12-31	VYDAJ	VYBER	15	91699	SLUZBY	\N	\N
2751117	9104	1998-01-31	VYDAJ	VYBER	15	55131	SLUZBY	\N	\N
2751118	9104	1998-02-28	VYDAJ	VYBER	15	51915	SLUZBY	\N	\N
2751119	9104	1998-03-31	VYDAJ	VYBER	15	62135	SLUZBY	\N	\N
2751120	9104	1998-04-30	VYDAJ	VYBER	15	54984	SLUZBY	\N	\N
2751121	9104	1998-05-31	VYDAJ	VYBER	15	44601	SLUZBY	\N	\N
2751122	9104	1998-06-30	VYDAJ	VYBER	15	41636	SLUZBY	\N	\N
2751123	9104	1998-07-31	VYDAJ	VYBER	15	43478	SLUZBY	\N	\N
2751124	9104	1998-08-31	VYDAJ	VYBER	15	50446	SLUZBY	\N	\N
2751125	9104	1998-09-30	VYDAJ	VYBER	15	45913	SLUZBY	\N	\N
2751126	9104	1998-10-31	VYDAJ	VYBER	15	41131	SLUZBY	\N	\N
2751127	9104	1998-11-30	VYDAJ	VYBER	15	44675	SLUZBY	\N	\N
2751128	9104	1994-02-20	VYDAJ	VYBER	10100	37939	\N	\N	\N
2751129	9104	1994-03-22	VYDAJ	VYBER	19800	40512	\N	\N	\N
2751130	9104	1994-04-21	VYDAJ	VYBER	12600	35677	\N	\N	\N
2751131	9104	1994-05-21	VYDAJ	VYBER	26400	47459	\N	\N	\N
2751132	9104	1994-06-20	VYDAJ	VYBER	17800	40926	\N	\N	\N
2751133	9104	1994-06-27	VYDAJ	VYBER	40100	79039	\N	\N	\N
2751134	9104	1994-07-20	VYDAJ	VYBER	31900	57818	\N	\N	\N
2751135	9104	1994-08-19	VYDAJ	VYBER	34600	63401	\N	\N	\N
2751136	9104	1994-09-18	VYDAJ	VYBER	5600	33727	\N	\N	\N
2751137	9104	1994-10-18	VYDAJ	VYBER	11500	38917	\N	\N	\N
2751138	9104	1994-11-17	VYDAJ	VYBER	13300	35697	\N	\N	\N
2751139	9104	1994-12-17	VYDAJ	VYBER	31800	59413	\N	\N	\N
2751140	9104	1995-01-12	VYDAJ	VYBER	62700	53296	\N	\N	\N
2751141	9104	1995-01-16	VYDAJ	VYBER	4900	31296	\N	\N	\N
2751142	9104	1995-02-15	VYDAJ	VYBER	500	27665	\N	\N	\N
2751143	9104	1995-03-17	PRIJEM	VKLAD	2100	26395	\N	\N	\N
2751144	9104	1995-04-16	VYDAJ	VYBER	9400	34128	\N	\N	\N
2751145	9104	1995-05-16	VYDAJ	VYBER	3000	27753	\N	\N	\N
2751146	9104	1995-06-15	VYDAJ	VYBER	1900	22426	\N	\N	\N
2751147	9104	1995-07-06	VYDAJ	VYBER	62600	60547	\N	\N	\N
2751148	9104	1995-07-15	VYDAJ	VYBER	14600	42361	\N	\N	\N
2751149	9104	1995-08-14	VYDAJ	VYBER	8100	31116	\N	\N	\N
2751150	9104	1995-09-13	VYDAJ	VYBER	14000	33822	\N	\N	\N
2751151	9104	1995-10-13	VYDAJ	VYBER	2200	28293	\N	\N	\N
2751152	9104	1995-11-12	PRIJEM	VKLAD	400	28912	\N	\N	\N
2751153	9104	1995-12-12	VYDAJ	VYBER	700	24807	\N	\N	\N
2751154	9104	1996-01-11	VYDAJ	VYBER	22600	43691	\N	\N	\N
2751155	9104	1996-02-10	VYDAJ	VYBER	29500	49586	\N	\N	\N
2751156	9104	1996-03-11	VYDAJ	VYBER	26200	49282	\N	\N	\N
2751157	9104	1996-04-10	VYDAJ	VYBER	35300	57988	\N	\N	\N
2751158	9104	1996-05-10	VYDAJ	VYBER	46500	67976	\N	\N	\N
2751159	9104	1996-06-09	VYDAJ	VYBER	34100	64216	\N	\N	\N
2751160	9104	1996-07-09	VYDAJ	VYBER	16400	45018	\N	\N	\N
2751161	9104	1996-08-03	VYDAJ	VYBER	50800	72587	\N	\N	\N
2751162	9104	1996-08-08	VYDAJ	VYBER	22500	50087	\N	\N	\N
2751163	9104	1996-09-07	VYDAJ	VYBER	2500	37954	\N	\N	\N
2751164	9104	1996-10-07	VYDAJ	VYBER	27800	59962	\N	\N	\N
2751165	9104	1996-11-06	VYDAJ	VYBER	37100	68359	\N	\N	\N
2751166	9104	1996-12-06	VYDAJ	VYBER	18300	57287	\N	\N	\N
2751167	9104	1997-01-05	VYDAJ	VYBER	14900	46357	\N	\N	\N
2751168	9104	1997-02-04	VYDAJ	VYBER	9400	49039	\N	\N	\N
2751169	9104	1997-03-06	VYDAJ	VYBER	4500	41273	\N	\N	\N
2751170	9104	1997-04-05	VYDAJ	VYBER	12900	61336	\N	\N	\N
2751171	9104	1997-05-05	VYDAJ	VYBER	27600	71566	\N	\N	\N
2751172	9104	1997-06-04	VYDAJ	VYBER	9700	54023	\N	\N	\N
2751173	9104	1997-07-04	VYDAJ	VYBER	7300	43206	\N	\N	\N
2751174	9104	1997-08-03	VYDAJ	VYBER	9600	52496	\N	\N	\N
2751175	9104	1997-09-02	VYDAJ	VYBER	21900	53718	\N	\N	\N
2751176	9104	1997-10-02	VYDAJ	VYBER	26300	68187	\N	\N	\N
2751177	9104	1997-10-29	VYDAJ	VYBER	17300	118837	\N	\N	\N
2751178	9104	1997-11-01	VYDAJ	VYBER	38300	81167	\N	\N	\N
2751179	9104	1997-12-01	PRIJEM	VKLAD	4600	40711	\N	\N	\N
2751180	9104	1997-12-31	VYDAJ	VYBER	24700	66999	\N	\N	\N
2751181	9104	1998-01-30	VYDAJ	VYBER	11700	54699	\N	\N	\N
2751182	9104	1998-03-01	VYDAJ	VYBER	5300	46615	\N	\N	\N
2751183	9104	1998-03-31	VYDAJ	VYBER	3600	58535	\N	\N	\N
2751184	9104	1998-04-30	PRIJEM	VKLAD	4400	54998	\N	\N	\N
2751185	9104	1998-05-30	PRIJEM	VKLAD	6800	44399	\N	\N	\N
2751186	9104	1998-06-29	PRIJEM	VKLAD	7000	41416	\N	\N	\N
2751187	9104	1998-07-29	PRIJEM	VKLAD	5300	43350	\N	\N	\N
2751188	9104	1998-08-28	PRIJEM	VKLAD	8700	50260	\N	\N	\N
2751189	9104	1998-09-27	VYDAJ	VYBER	300	45746	\N	\N	\N
2751190	9104	1998-10-27	PRIJEM	VKLAD	1000	40972	\N	\N	\N
2751191	9104	1998-11-26	PRIJEM	VKLAD	6300	44431	\N	\N	\N
2761780	9138	1996-07-18	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2761781	9138	1996-10-06	PRIJEM	VKLAD	44581	74303	\N	\N	\N
2761784	9138	1996-12-08	PRIJEM	VKLAD	23836	90425	\N	\N	\N
2761786	9138	1996-12-16	PRIJEM	VKLAD	19048	70688	\N	\N	\N
2761787	9138	1996-12-28	PRIJEM	VKLAD	33122	93793	\N	\N	\N
2761791	9138	1996-12-06	PRIJEM	VKLAD	19025	70989	\N	\N	\N
2761794	9138	1996-07-25	PRIJEM	VKLAD	26956	28056	\N	\N	\N
2761795	9138	1996-11-10	PRIJEM	VKLAD	23163	75740	\N	\N	\N
2761796	9138	1998-08-24	PRIJEM	VKLAD	20151	92342	\N	\N	\N
2761797	9138	1998-12-28	PRIJEM	VKLAD	12056	24679	\N	\N	\N
2761798	9138	1998-01-08	PRIJEM	VKLAD	19367	44537	\N	\N	\N
2761799	9138	1998-12-02	PRIJEM	VKLAD	19167	38345	\N	\N	\N
2761800	9138	1998-05-17	PRIJEM	VKLAD	30919	55112	\N	\N	\N
2761801	9138	1998-01-26	PRIJEM	VKLAD	11102	36117	\N	\N	\N
2761802	9138	1998-06-04	PRIJEM	VKLAD	29983	66211	\N	\N	\N
2761803	9138	1998-01-07	PRIJEM	VKLAD	17547	25170	\N	\N	\N
2761804	9138	1998-07-17	PRIJEM	VKLAD	41872	62094	\N	\N	\N
2761805	9138	1998-04-08	PRIJEM	VKLAD	24466	58145	\N	\N	\N
2761806	9138	1998-05-06	PRIJEM	VKLAD	13372	44615	\N	\N	\N
2761807	9138	1998-06-08	PRIJEM	VKLAD	31048	97259	\N	\N	\N
2761808	9138	1998-07-01	PRIJEM	VKLAD	10317	42944	\N	\N	\N
2761809	9138	1998-09-15	PRIJEM	VKLAD	27913	66759	\N	\N	\N
2761810	9138	1998-10-27	PRIJEM	VKLAD	21413	44689	\N	\N	\N
2761811	9138	1998-07-18	PRIJEM	VKLAD	31566	93660	\N	\N	\N
2761812	9138	1998-08-08	PRIJEM	VKLAD	43326	99816	\N	\N	\N
2761813	9138	1998-08-22	PRIJEM	VKLAD	40098	123191	\N	\N	\N
2761814	9138	1998-03-04	PRIJEM	VKLAD	41999	57985	\N	\N	\N
2761826	9138	1996-12-07	VYDAJ	VYBER	4400	66589	\N	\N	0
2761827	9138	1997-01-05	VYDAJ	VYBER	4000	74394	\N	\N	0
2761828	9138	1997-02-08	VYDAJ	VYBER	4900	9814	\N	\N	0
2761829	9138	1997-03-18	VYDAJ	VYBER	4800	11465	\N	\N	0
2761835	9138	1997-09-12	VYDAJ	PREVOD NA UCET	4537	17394	UVER	ST	11258626
2761836	9138	1997-10-12	VYDAJ	PREVOD NA UCET	4537	14455	UVER	ST	11258626
2761837	9138	1997-11-12	VYDAJ	PREVOD NA UCET	4537	12901	UVER	ST	11258626
2761838	9138	1997-12-12	VYDAJ	PREVOD NA UCET	4537	10250	UVER	ST	11258626
2761839	9138	1998-01-12	VYDAJ	PREVOD NA UCET	4537	27681	UVER	ST	11258626
2761840	9138	1998-02-12	VYDAJ	PREVOD NA UCET	4537	18531	UVER	ST	11258626
2761841	9138	1998-03-12	VYDAJ	PREVOD NA UCET	4537	36129	UVER	ST	11258626
2761842	9138	1998-04-12	VYDAJ	PREVOD NA UCET	4537	33689	UVER	ST	11258626
2761843	9138	1998-05-12	VYDAJ	PREVOD NA UCET	4537	26859	UVER	ST	11258626
2761844	9138	1998-06-12	VYDAJ	PREVOD NA UCET	4537	51603	UVER	ST	11258626
2761845	9138	1998-07-12	VYDAJ	PREVOD NA UCET	4537	22888	UVER	ST	11258626
2761846	9138	1998-08-12	VYDAJ	PREVOD NA UCET	4537	85759	UVER	ST	11258626
2761847	9138	1998-09-12	VYDAJ	PREVOD NA UCET	4537	41512	UVER	ST	11258626
2761848	9138	1998-10-12	VYDAJ	PREVOD NA UCET	4537	25942	UVER	ST	11258626
2761849	9138	1998-11-12	VYDAJ	PREVOD NA UCET	4537	21706	UVER	ST	11258626
2761850	9138	1998-12-12	VYDAJ	PREVOD NA UCET	4537	15289	UVER	ST	11258626
2761862	9138	1996-12-08	VYDAJ	PREVOD NA UCET	9519	80906	SIPO	IJ	72567075
2761863	9138	1997-01-08	VYDAJ	PREVOD NA UCET	9519	64875	SIPO	IJ	72567075
2761864	9138	1997-02-08	VYDAJ	PREVOD NA UCET	9519	14714	SIPO	IJ	72567075
2761865	9138	1997-03-08	VYDAJ	PREVOD NA UCET	9519	7731	SIPO	IJ	72567075
2761866	9138	1997-04-08	VYDAJ	PREVOD NA UCET	9519	2041	SIPO	IJ	72567075
2761867	9138	1997-05-08	VYDAJ	PREVOD NA UCET	9519	4236	SIPO	IJ	72567075
2761870	9138	1997-08-08	VYDAJ	PREVOD NA UCET	9519	4236	SIPO	IJ	72567075
2761871	9138	1997-09-08	VYDAJ	PREVOD NA UCET	9519	5632	SIPO	IJ	72567075
2761872	9138	1997-10-08	VYDAJ	PREVOD NA UCET	9519	5293	SIPO	IJ	72567075
2761873	9138	1997-11-08	VYDAJ	PREVOD NA UCET	9519	2339	SIPO	IJ	72567075
2761874	9138	1997-12-08	VYDAJ	PREVOD NA UCET	9519	787	SIPO	IJ	72567075
2761875	9138	1998-01-08	VYDAJ	PREVOD NA UCET	9519	35018	SIPO	IJ	72567075
2761876	9138	1998-02-08	VYDAJ	PREVOD NA UCET	9519	23068	SIPO	IJ	72567075
2761877	9138	1998-03-08	VYDAJ	PREVOD NA UCET	9519	48466	SIPO	IJ	72567075
2761878	9138	1998-04-08	VYDAJ	PREVOD NA UCET	9519	48626	SIPO	IJ	72567075
2761879	9138	1998-05-08	VYDAJ	PREVOD NA UCET	9519	35096	SIPO	IJ	72567075
2761880	9138	1998-06-08	VYDAJ	PREVOD NA UCET	9519	56140	SIPO	IJ	72567075
2761881	9138	1998-07-08	VYDAJ	PREVOD NA UCET	9519	27425	SIPO	IJ	72567075
2761882	9138	1998-08-08	VYDAJ	PREVOD NA UCET	9519	90297	SIPO	IJ	72567075
2761883	9138	1998-09-08	VYDAJ	PREVOD NA UCET	9519	46049	SIPO	IJ	72567075
2761884	9138	1998-10-08	VYDAJ	PREVOD NA UCET	9519	30480	SIPO	IJ	72567075
2761885	9138	1998-11-08	VYDAJ	PREVOD NA UCET	9519	26243	SIPO	IJ	72567075
2761886	9138	1998-12-08	VYDAJ	PREVOD NA UCET	9519	19826	SIPO	IJ	72567075
2761898	9138	1996-12-13	VYDAJ	PREVOD NA UCET	2666	78240	 	ST	63407915
2761899	9138	1997-01-13	VYDAJ	PREVOD NA UCET	2666	62209	 	ST	63407915
2761900	9138	1997-02-13	VYDAJ	PREVOD NA UCET	2666	17148	 	ST	63407915
2761901	9138	1997-03-13	VYDAJ	PREVOD NA UCET	2666	5065	 	ST	63407915
2761902	9138	1997-04-13	VYDAJ	PREVOD NA UCET	2666	-625	 	ST	63407915
2761903	9138	1997-05-13	VYDAJ	PREVOD NA UCET	2666	1570	 	ST	63407915
2761904	9138	1997-06-13	VYDAJ	PREVOD NA UCET	2666	-1086	 	ST	63407915
2761906	9138	1997-08-13	VYDAJ	PREVOD NA UCET	2666	15070	 	ST	63407915
2761907	9138	1997-09-13	VYDAJ	PREVOD NA UCET	2666	14728	 	ST	63407915
2761908	9138	1997-10-13	VYDAJ	PREVOD NA UCET	2666	11789	 	ST	63407915
2761909	9138	1997-11-13	VYDAJ	PREVOD NA UCET	2666	10235	 	ST	63407915
2761910	9138	1997-12-13	VYDAJ	PREVOD NA UCET	2666	7584	 	ST	63407915
2761911	9138	1998-01-13	VYDAJ	PREVOD NA UCET	2666	25015	 	ST	63407915
2761912	9138	1998-02-13	VYDAJ	PREVOD NA UCET	2666	15865	 	ST	63407915
2761913	9138	1998-03-13	VYDAJ	PREVOD NA UCET	2666	33463	 	ST	63407915
2761914	9138	1998-04-13	VYDAJ	PREVOD NA UCET	2666	31023	 	ST	63407915
2761915	9138	1998-05-13	VYDAJ	PREVOD NA UCET	2666	24193	 	ST	63407915
2761916	9138	1998-06-13	VYDAJ	PREVOD NA UCET	2666	48937	 	ST	63407915
2761917	9138	1998-07-13	VYDAJ	PREVOD NA UCET	2666	20222	 	ST	63407915
2761918	9138	1998-08-13	VYDAJ	PREVOD NA UCET	2666	83093	 	ST	63407915
2761919	9138	1998-09-13	VYDAJ	PREVOD NA UCET	2666	38846	 	ST	63407915
2761920	9138	1998-10-13	VYDAJ	PREVOD NA UCET	2666	23276	 	ST	63407915
2761921	9138	1998-11-13	VYDAJ	PREVOD NA UCET	2666	19040	 	ST	63407915
2761922	9138	1998-12-13	VYDAJ	PREVOD NA UCET	2666	12623	 	ST	63407915
2761924	9138	1996-12-19	VYBER	VYBER	10017	60671	\N	\N	\N
2761939	9138	1998-06-14	VYBER	VYBER	16636	32301	\N	\N	\N
2761942	9138	1998-06-01	VYDAJ	VYBER	19200	36228	\N	\N	\N
2761944	9138	1997-01-17	VYDAJ	VYBER	23100	23909	\N	\N	\N
2761946	9138	1996-12-29	VYDAJ	VYBER	7200	86593	\N	\N	\N
2761957	9138	1997-01-02	VYDAJ	VYBER	8700	78394	\N	\N	\N
2761961	9138	1998-02-08	VYDAJ	VYBER	5700	32587	\N	\N	\N
2761978	9138	1996-12-31	VYDAJ	VYBER	15	87094	SLUZBY	\N	\N
2761979	9138	1997-01-31	VYDAJ	VYBER	15	24233	SLUZBY	\N	\N
2761980	9138	1997-02-28	VYDAJ	VYBER	15	17250	SLUZBY	\N	\N
2761981	9138	1997-03-31	VYDAJ	VYBER	15	11560	SLUZBY	\N	\N
2761982	9138	1997-04-30	VYDAJ	VYBER	15	13755	SLUZBY	\N	\N
2761983	9138	1997-05-31	VYDAJ	VYBER	15	1580	SLUZBY	\N	\N
2761984	9138	1997-06-30	VYDAJ	VYBER	15	-1095	SLUZBY	\N	\N
2761985	9138	1997-07-31	VYDAJ	VYBER	15	13755	SLUZBY	\N	\N
2761986	9138	1997-08-31	VYDAJ	VYBER	15	15151	SLUZBY	\N	\N
2761987	9138	1997-09-30	VYDAJ	VYBER	15	14812	SLUZBY	\N	\N
2761988	9138	1997-10-31	VYDAJ	VYBER	15	11858	SLUZBY	\N	\N
2761989	9138	1997-11-30	VYDAJ	VYBER	15	10306	SLUZBY	\N	\N
2761990	9138	1997-12-31	VYDAJ	VYBER	15	7623	SLUZBY	\N	\N
2761991	9138	1998-01-31	VYDAJ	VYBER	15	36287	SLUZBY	\N	\N
2761992	9138	1998-02-28	VYDAJ	VYBER	15	15986	SLUZBY	\N	\N
2761993	9138	1998-03-31	VYDAJ	VYBER	15	33679	SLUZBY	\N	\N
2761994	9138	1998-04-30	VYDAJ	VYBER	15	31243	SLUZBY	\N	\N
2761995	9138	1998-05-31	VYDAJ	VYBER	15	55428	SLUZBY	\N	\N
2761996	9138	1998-06-30	VYDAJ	VYBER	15	32627	SLUZBY	\N	\N
2761997	9138	1998-07-31	VYDAJ	VYBER	15	94090	SLUZBY	\N	\N
2761998	9138	1998-08-31	VYDAJ	VYBER	15	93068	SLUZBY	\N	\N
2761999	9138	1998-09-30	VYDAJ	VYBER	15	67199	SLUZBY	\N	\N
2762000	9138	1998-10-31	VYDAJ	VYBER	15	44962	SLUZBY	\N	\N
2762001	9138	1998-11-30	VYDAJ	VYBER	15	19178	SLUZBY	\N	\N
2762002	9138	1996-09-16	PRIJEM	VKLAD	1500	29605	\N	\N	\N
2762003	9138	1996-10-16	VYDAJ	VYBER	22000	52303	\N	\N	\N
2762004	9138	1996-11-15	VYDAJ	VYBER	24100	51640	\N	\N	\N
2762005	9138	1996-12-15	VYDAJ	VYBER	26600	51640	\N	\N	\N
2762006	9138	1997-01-14	VYDAJ	VYBER	15200	47009	\N	\N	\N
2762007	9138	1997-02-13	PRIJEM	VKLAD	10000	19814	\N	\N	\N
2762008	9138	1997-03-15	PRIJEM	VKLAD	11200	16265	\N	\N	\N
2762009	9138	1997-04-14	PRIJEM	VKLAD	14300	13675	\N	\N	\N
2762010	9138	1997-07-13	PRIJEM	VKLAD	14900	13805	\N	\N	\N
2762011	9138	1997-08-12	PRIJEM	VKLAD	13500	17736	\N	\N	\N
2762012	9138	1997-09-11	PRIJEM	VKLAD	16300	21932	\N	\N	\N
2762013	9138	1997-10-11	PRIJEM	VKLAD	13700	18993	\N	\N	\N
2762014	9138	1997-11-10	PRIJEM	VKLAD	15100	17439	\N	\N	\N
2762015	9138	1997-12-10	PRIJEM	VKLAD	14000	14787	\N	\N	\N
2762016	9138	1998-01-09	VYDAJ	VYBER	2800	32218	\N	\N	\N
2762017	9138	1998-02-08	PRIJEM	VKLAD	2000	38287	\N	\N	\N
2762018	9138	1998-03-10	VYDAJ	VYBER	7800	40666	\N	\N	\N
2762019	9138	1998-04-09	VYDAJ	VYBER	10400	38226	\N	\N	\N
2762020	9138	1998-05-09	VYDAJ	VYBER	3700	31396	\N	\N	\N
2762021	9138	1998-06-08	VYDAJ	VYBER	31600	65659	\N	\N	\N
2762022	9138	1998-07-08	VYDAJ	VYBER	6000	36944	\N	\N	\N
2762023	9138	1998-08-07	VYDAJ	VYBER	37600	56490	\N	\N	\N
2762024	9138	1998-08-22	VYDAJ	VYBER	51000	72191	\N	\N	\N
2762025	9138	1998-09-06	VYDAJ	VYBER	37500	55568	\N	\N	\N
2762026	9138	1998-10-06	VYDAJ	VYBER	27200	39999	\N	\N	\N
2762027	9138	1998-11-05	VYDAJ	VYBER	9200	35762	\N	\N	\N
2762028	9138	1998-12-05	VYDAJ	VYBER	9000	29345	\N	\N	\N
2762409	9140	1997-08-18	PRIJEM	VKLAD	500	500	\N	\N	\N
2762418	9140	1997-09-06	PRIJEM	VKLAD	14009	14509	\N	\N	\N
2762419	9140	1997-10-06	PRIJEM	VKLAD	14009	29074	\N	\N	\N
2762420	9140	1997-11-06	PRIJEM	VKLAD	14009	40217	\N	\N	\N
2762421	9140	1997-12-06	PRIJEM	VKLAD	21014	53314	\N	\N	\N
2762422	9140	1998-01-06	PRIJEM	VKLAD	14009	47928	\N	\N	\N
2762423	9140	1998-02-06	PRIJEM	VKLAD	14009	28089	\N	\N	\N
2762424	9140	1998-03-06	PRIJEM	VKLAD	14009	26985	\N	\N	\N
2762425	9140	1998-04-06	PRIJEM	VKLAD	14009	30689	\N	\N	\N
2762426	9140	1998-05-06	PRIJEM	VKLAD	14009	29415	\N	\N	\N
2762427	9140	1998-06-06	PRIJEM	VKLAD	21014	38740	\N	\N	\N
2762428	9140	1998-07-06	PRIJEM	VKLAD	14009	28883	\N	\N	\N
2762429	9140	1998-08-06	PRIJEM	VKLAD	14009	30300	\N	\N	\N
2762430	9140	1998-09-06	PRIJEM	VKLAD	14009	35336	\N	\N	\N
2762431	9140	1998-10-06	PRIJEM	VKLAD	14009	33461	\N	\N	\N
2762432	9140	1998-11-06	PRIJEM	VKLAD	14009	30690	\N	\N	\N
2762433	9140	1998-12-06	PRIJEM	VKLAD	21014	36160	\N	\N	\N
2762446	9140	1998-01-13	VYDAJ	PREVOD NA UCET	9264	32208	SIPO	CD	64458685
2762447	9140	1998-02-13	VYDAJ	PREVOD NA UCET	9264	18469	SIPO	CD	64458685
2762448	9140	1998-03-13	VYDAJ	PREVOD NA UCET	9264	17665	SIPO	CD	64458685
2762449	9140	1998-04-13	VYDAJ	PREVOD NA UCET	9264	21369	SIPO	CD	64458685
2762450	9140	1998-05-13	VYDAJ	PREVOD NA UCET	9264	19695	SIPO	CD	64458685
2762451	9140	1998-06-13	VYDAJ	PREVOD NA UCET	9264	29420	SIPO	CD	64458685
2762452	9140	1998-07-13	VYDAJ	PREVOD NA UCET	9264	19563	SIPO	CD	64458685
2762453	9140	1998-08-13	VYDAJ	PREVOD NA UCET	9264	21380	SIPO	CD	64458685
2762454	9140	1998-09-13	VYDAJ	PREVOD NA UCET	9264	19616	SIPO	CD	64458685
2762455	9140	1998-10-13	VYDAJ	PREVOD NA UCET	9264	16741	SIPO	CD	64458685
2762456	9140	1998-11-13	VYDAJ	PREVOD NA UCET	9264	15036	SIPO	CD	64458685
2762457	9140	1998-12-13	VYDAJ	PREVOD NA UCET	9264	13406	SIPO	CD	64458685
2762471	9140	1998-02-05	VYDAJ	PREVOD NA UCET	19	14080	 	UV	6970173
2762472	9140	1998-03-05	VYDAJ	PREVOD NA UCET	19	12976	 	UV	6970173
2762473	9140	1998-04-05	VYDAJ	PREVOD NA UCET	19	16680	 	UV	6970173
2762474	9140	1998-05-05	VYDAJ	PREVOD NA UCET	19	15406	 	UV	6970173
2762475	9140	1998-06-05	VYDAJ	PREVOD NA UCET	19	17726	 	UV	6970173
2762476	9140	1998-07-05	VYDAJ	PREVOD NA UCET	19	14874	 	UV	6970173
2762477	9140	1998-08-05	VYDAJ	PREVOD NA UCET	19	16291	 	UV	6970173
2762478	9140	1998-09-05	VYDAJ	PREVOD NA UCET	19	21327	 	UV	6970173
2762479	9140	1998-10-05	VYDAJ	PREVOD NA UCET	19	19452	 	UV	6970173
2762480	9140	1998-11-05	VYDAJ	PREVOD NA UCET	19	16681	 	UV	6970173
2762481	9140	1998-12-05	VYDAJ	PREVOD NA UCET	19	15146	 	UV	6970173
2762494	9140	1998-01-06	VYDAJ	PREVOD NA UCET	56	47872	POJISTNE	WX	30615341
2762495	9140	1998-02-06	VYDAJ	PREVOD NA UCET	56	28033	POJISTNE	WX	30615341
2762496	9140	1998-03-06	VYDAJ	PREVOD NA UCET	56	26929	POJISTNE	WX	30615341
2762497	9140	1998-04-06	VYDAJ	PREVOD NA UCET	56	30633	POJISTNE	WX	30615341
2762498	9140	1998-05-06	VYDAJ	PREVOD NA UCET	56	29359	POJISTNE	WX	30615341
2762499	9140	1998-06-06	VYDAJ	PREVOD NA UCET	56	38684	POJISTNE	WX	30615341
2762500	9140	1998-07-06	VYDAJ	PREVOD NA UCET	56	28827	POJISTNE	WX	30615341
2762501	9140	1998-08-06	VYDAJ	PREVOD NA UCET	56	30244	POJISTNE	WX	30615341
2762502	9140	1998-09-06	VYDAJ	PREVOD NA UCET	56	35280	POJISTNE	WX	30615341
2762503	9140	1998-10-06	VYDAJ	PREVOD NA UCET	56	33405	POJISTNE	WX	30615341
2762504	9140	1998-11-06	VYDAJ	PREVOD NA UCET	56	30634	POJISTNE	WX	30615341
2762505	9140	1998-12-06	VYDAJ	PREVOD NA UCET	56	36104	POJISTNE	WX	30615341
2762518	9140	1998-01-14	VYDAJ	VYBER	300	31908	\N	\N	0
2762519	9140	1998-02-07	VYDAJ	VYBER	300	27733	\N	\N	0
2762520	9140	1998-03-15	VYDAJ	VYBER	300	17365	\N	\N	0
2762521	9140	1998-04-18	VYDAJ	VYBER	300	17869	\N	\N	0
2762522	9140	1998-05-12	VYDAJ	VYBER	400	28959	\N	\N	0
2762523	9140	1998-06-02	VYDAJ	VYBER	300	17745	\N	\N	0
2762524	9140	1998-07-04	VYDAJ	VYBER	300	14893	\N	\N	0
2762525	9140	1998-08-13	VYDAJ	VYBER	200	21180	\N	\N	0
2762526	9140	1998-09-19	VYDAJ	VYBER	300	19316	\N	\N	0
2762527	9140	1998-10-13	VYDAJ	VYBER	200	16541	\N	\N	0
2762528	9140	1998-11-12	VYDAJ	PREVOD NA UCET	334	24300	UVER	MN	91346168
2762529	9140	1998-12-12	VYDAJ	PREVOD NA UCET	334	22670	UVER	MN	91346168
2762531	9140	1998-06-20	VYDAJ	VYBER	13700	15020	\N	\N	\N
2762542	9140	1998-01-28	VYDAJ	VYBER	1300	16508	\N	\N	\N
2762543	9140	1998-01-07	VYDAJ	VYBER	2700	45172	\N	\N	\N
2762545	9140	1998-01-30	VYDAJ	VYBER	2600	13908	\N	\N	\N
2762546	9140	1998-01-13	VYDAJ	VYBER	1700	41472	\N	\N	\N
2762547	9140	1998-01-20	VYDAJ	VYBER	2100	20208	\N	\N	\N
2762553	9140	1998-01-10	VYDAJ	VYBER	2000	43172	\N	\N	\N
2762554	9140	1998-01-21	VYDAJ	VYBER	2400	17808	\N	\N	\N
2762555	9140	1998-05-02	VYDAJ	VYBER	2600	15425	\N	\N	\N
2762556	9140	1998-08-02	VYDAJ	VYBER	2000	16310	\N	\N	\N
2762557	9140	1998-03-01	VYDAJ	VYBER	3100	12995	\N	\N	\N
2762558	9140	1998-03-19	VYDAJ	VYBER	3900	16565	\N	\N	\N
2762572	9140	1998-01-31	VYDAJ	VYBER	15	14099	SLUZBY	\N	\N
2762573	9140	1998-02-28	VYDAJ	VYBER	15	16095	SLUZBY	\N	\N
2762574	9140	1998-03-31	VYDAJ	VYBER	15	16699	SLUZBY	\N	\N
2762575	9140	1998-04-30	VYDAJ	VYBER	15	18025	SLUZBY	\N	\N
2762576	9140	1998-05-31	VYDAJ	VYBER	15	18045	SLUZBY	\N	\N
2762577	9140	1998-06-30	VYDAJ	VYBER	15	15193	SLUZBY	\N	\N
2762578	9140	1998-07-31	VYDAJ	VYBER	15	18310	SLUZBY	\N	\N
2762579	9140	1998-08-31	VYDAJ	VYBER	15	21346	SLUZBY	\N	\N
2762580	9140	1998-09-30	VYDAJ	VYBER	15	19471	SLUZBY	\N	\N
2762581	9140	1998-10-31	VYDAJ	VYBER	15	16700	SLUZBY	\N	\N
2762582	9140	1998-11-30	VYDAJ	VYBER	15	15165	SLUZBY	\N	\N
2762583	9140	1997-09-17	PRIJEM	VKLAD	500	15009	\N	\N	\N
2762584	9140	1997-10-17	VYDAJ	VYBER	3000	26074	\N	\N	\N
2762585	9140	1997-11-16	VYDAJ	VYBER	8100	32117	\N	\N	\N
2762586	9140	1997-12-16	VYDAJ	VYBER	19600	33714	\N	\N	\N
2762587	9140	1998-01-15	VYDAJ	VYBER	9600	22308	\N	\N	\N
2762588	9140	1998-02-14	VYDAJ	VYBER	2500	15969	\N	\N	\N
2762589	9140	1998-03-16	PRIJEM	VKLAD	3100	20465	\N	\N	\N
2762590	9140	1998-04-15	VYDAJ	VYBER	3200	18169	\N	\N	\N
2762591	9140	1998-05-15	VYDAJ	VYBER	1800	17895	\N	\N	\N
2762592	9140	1998-06-14	VYDAJ	VYBER	700	28720	\N	\N	\N
2762593	9140	1998-07-14	VYDAJ	VYBER	1400	18163	\N	\N	\N
2762594	9140	1998-08-13	PRIJEM	VKLAD	400	30644	\N	\N	\N
2762595	9140	1998-09-12	VYDAJ	VYBER	6400	28880	\N	\N	\N
2762596	9140	1998-10-12	VYDAJ	VYBER	7400	26005	\N	\N	\N
2762597	9140	1998-11-11	VYDAJ	VYBER	6000	24634	\N	\N	\N
2762598	9140	1998-12-11	VYDAJ	VYBER	13100	23004	\N	\N	\N
2766704	9153	1996-12-12	PRIJEM	VKLAD	600	600	\N	\N	\N
2766717	9153	1997-01-07	PRIJEM	VKLAD	7563	8163	\N	\N	\N
2766718	9153	1997-02-07	PRIJEM	VKLAD	7563	20195	\N	\N	\N
2766719	9153	1997-03-07	PRIJEM	VKLAD	7563	30903	\N	\N	\N
2766720	9153	1997-04-07	PRIJEM	VKLAD	7563	37757	\N	\N	\N
2766721	9153	1997-05-07	PRIJEM	VKLAD	7563	40839	\N	\N	\N
2766722	9153	1997-06-07	PRIJEM	VKLAD	11345	39882	\N	\N	\N
2766723	9153	1997-07-07	PRIJEM	VKLAD	7563	40934	\N	\N	\N
2766724	9153	1997-08-07	PRIJEM	VKLAD	7563	30626	\N	\N	\N
2766725	9153	1997-09-07	PRIJEM	VKLAD	7563	39264	\N	\N	\N
2766726	9153	1997-10-07	PRIJEM	VKLAD	7563	42518	\N	\N	\N
2766727	9153	1997-11-07	PRIJEM	VKLAD	7563	43882	\N	\N	\N
2766728	9153	1997-12-07	PRIJEM	VKLAD	11345	41803	\N	\N	\N
2766729	9153	1998-01-07	PRIJEM	VKLAD	7563	47597	\N	\N	\N
2766730	9153	1998-02-07	PRIJEM	VKLAD	7563	48645	\N	\N	\N
2766731	9153	1998-03-07	PRIJEM	VKLAD	7563	44996	\N	\N	\N
2766732	9153	1998-04-07	PRIJEM	VKLAD	7563	52667	\N	\N	\N
2766733	9153	1998-05-07	PRIJEM	VKLAD	7563	54586	\N	\N	\N
2766734	9153	1998-06-07	PRIJEM	VKLAD	11345	58211	\N	\N	\N
2766735	9153	1998-07-07	PRIJEM	VKLAD	7563	58499	\N	\N	\N
2766736	9153	1998-08-07	PRIJEM	VKLAD	7563	59329	\N	\N	\N
2766737	9153	1998-09-07	PRIJEM	VKLAD	7563	61609	\N	\N	\N
2766738	9153	1998-10-07	PRIJEM	VKLAD	7563	58048	\N	\N	\N
2766739	9153	1998-11-07	PRIJEM	VKLAD	7563	58905	\N	\N	\N
2766740	9153	1998-12-07	PRIJEM	VKLAD	11345	63710	\N	\N	\N
2766757	9153	1997-05-09	VYDAJ	PREVOD NA UCET	5042	35797	SIPO	GH	1709419
2766758	9153	1997-06-09	VYDAJ	PREVOD NA UCET	5042	34840	SIPO	GH	1709419
2766759	9153	1997-07-09	VYDAJ	PREVOD NA UCET	5042	35892	SIPO	GH	1709419
2766760	9153	1997-08-09	VYDAJ	PREVOD NA UCET	5042	33184	SIPO	GH	1709419
2766761	9153	1997-09-09	VYDAJ	PREVOD NA UCET	5042	35822	SIPO	GH	1709419
2766762	9153	1997-10-09	VYDAJ	PREVOD NA UCET	5042	37476	SIPO	GH	1709419
2766763	9153	1997-11-09	VYDAJ	PREVOD NA UCET	5042	34400	SIPO	GH	1709419
2766764	9153	1997-12-09	VYDAJ	PREVOD NA UCET	5042	42361	SIPO	GH	1709419
2766765	9153	1998-01-09	VYDAJ	PREVOD NA UCET	5042	38235	SIPO	GH	1709419
2766766	9153	1998-02-09	VYDAJ	PREVOD NA UCET	5042	43603	SIPO	GH	1709419
2766767	9153	1998-03-09	VYDAJ	PREVOD NA UCET	5042	41254	SIPO	GH	1709419
2766768	9153	1998-04-09	VYDAJ	PREVOD NA UCET	5042	47625	SIPO	GH	1709419
2766769	9153	1998-05-09	VYDAJ	PREVOD NA UCET	5042	49544	SIPO	GH	1709419
2766770	9153	1998-06-09	VYDAJ	PREVOD NA UCET	5042	47729	SIPO	GH	1709419
2766771	9153	1998-07-09	VYDAJ	PREVOD NA UCET	5042	53457	SIPO	GH	1709419
2766772	9153	1998-08-09	VYDAJ	PREVOD NA UCET	5042	54287	SIPO	GH	1709419
2766773	9153	1998-09-09	VYDAJ	PREVOD NA UCET	5042	56567	SIPO	GH	1709419
2766774	9153	1998-10-09	VYDAJ	PREVOD NA UCET	5042	53006	SIPO	GH	1709419
2766775	9153	1998-11-09	VYDAJ	PREVOD NA UCET	5042	53863	SIPO	GH	1709419
2766776	9153	1998-12-09	VYDAJ	PREVOD NA UCET	5042	58668	SIPO	GH	1709419
2766793	9153	1997-05-18	VYDAJ	VYBER	1500	32397	\N	\N	0
2766794	9153	1997-06-13	VYDAJ	VYBER	1000	33140	\N	\N	0
2766795	9153	1997-07-20	VYDAJ	VYBER	1600	27312	\N	\N	0
2766796	9153	1997-08-15	VYDAJ	VYBER	1700	31484	\N	\N	0
2766797	9153	1997-09-17	VYDAJ	VYBER	1100	34722	\N	\N	0
2766798	9153	1997-10-19	VYDAJ	VYBER	1600	35876	\N	\N	0
2766799	9153	1997-11-10	VYDAJ	VYBER	1200	33200	\N	\N	0
2766800	9153	1997-12-21	VYDAJ	VYBER	1600	40761	\N	\N	0
2766801	9153	1998-01-10	VYDAJ	VYBER	1400	36835	\N	\N	0
2766802	9153	1998-02-11	VYDAJ	VYBER	1400	42203	\N	\N	0
2766803	9153	1998-03-12	VYDAJ	PREVOD NA UCET	1451	39803	UVER	ST	27339548
2766804	9153	1998-04-12	VYDAJ	PREVOD NA UCET	1451	46174	UVER	ST	27339548
2766805	9153	1998-05-12	VYDAJ	PREVOD NA UCET	1451	48093	UVER	ST	27339548
2766806	9153	1998-06-12	VYDAJ	PREVOD NA UCET	1451	46278	UVER	ST	27339548
2766807	9153	1998-07-12	VYDAJ	PREVOD NA UCET	1451	52006	UVER	ST	27339548
2766808	9153	1998-08-12	VYDAJ	PREVOD NA UCET	1451	52836	UVER	ST	27339548
2766809	9153	1998-09-12	VYDAJ	PREVOD NA UCET	1451	49476	UVER	ST	27339548
2766810	9153	1998-10-12	VYDAJ	PREVOD NA UCET	1451	51555	UVER	ST	27339548
2766811	9153	1998-11-12	VYDAJ	PREVOD NA UCET	1451	52412	UVER	ST	27339548
2766812	9153	1998-12-12	VYDAJ	PREVOD NA UCET	1451	57217	UVER	ST	27339548
2766815	9153	1998-06-08	VYDAJ	VYBER	5440	52771	\N	\N	\N
2766818	9153	1998-01-04	VYDAJ	VYBER	5120	32234	\N	\N	\N
2766820	9153	1997-12-24	VYDAJ	VYBER	3680	37081	\N	\N	\N
2766821	9153	1998-12-23	VYDAJ	VYBER	3520	53697	\N	\N	\N
2766834	9153	1998-01-04	VYDAJ	VYBER	3360	28874	\N	\N	\N
2766835	9153	1998-01-23	VYDAJ	VYBER	2880	32515	\N	\N	\N
2766836	9153	1998-01-08	VYDAJ	VYBER	1920	45677	\N	\N	\N
2766837	9153	1998-01-11	VYDAJ	VYBER	1440	35395	\N	\N	\N
2766838	9153	1998-01-06	VYDAJ	VYBER	1440	40034	\N	\N	\N
2766839	9153	1998-01-08	VYDAJ	VYBER	2400	43277	\N	\N	\N
2766848	9153	1997-07-11	VYDAJ	VYBER	5280	28912	\N	\N	\N
2766849	9153	1997-06-03	VYDAJ	VYBER	4080	28537	\N	\N	\N
2766850	9153	1997-08-02	VYDAJ	VYBER	4440	23063	\N	\N	\N
2766851	9153	1997-11-08	VYDAJ	VYBER	4440	39442	\N	\N	\N
2766852	9153	1997-12-05	VYDAJ	VYBER	3000	30458	\N	\N	\N
2766853	9153	1998-03-28	VYDAJ	VYBER	1200	38603	\N	\N	\N
2766854	9153	1998-02-22	VYDAJ	VYBER	3240	37163	\N	\N	\N
2766855	9153	1998-09-12	VYDAJ	VYBER	5640	50927	\N	\N	\N
2766856	9153	1998-02-12	VYDAJ	VYBER	1800	40403	\N	\N	\N
2766874	9153	1997-05-31	VYDAJ	VYBER	15	32617	SLUZBY	\N	\N
2766875	9153	1997-06-30	VYDAJ	VYBER	15	33371	SLUZBY	\N	\N
2766876	9153	1997-07-31	VYDAJ	VYBER	15	27503	SLUZBY	\N	\N
2766877	9153	1997-08-31	VYDAJ	VYBER	15	31701	SLUZBY	\N	\N
2766878	9153	1997-09-30	VYDAJ	VYBER	15	34955	SLUZBY	\N	\N
2766879	9153	1997-10-31	VYDAJ	VYBER	15	36119	SLUZBY	\N	\N
2766880	9153	1997-11-30	VYDAJ	VYBER	15	33458	SLUZBY	\N	\N
2766881	9153	1997-12-31	VYDAJ	VYBER	15	37354	SLUZBY	\N	\N
2766882	9153	1998-01-31	VYDAJ	VYBER	15	32782	SLUZBY	\N	\N
2766883	9153	1998-02-28	VYDAJ	VYBER	15	37433	SLUZBY	\N	\N
2766884	9153	1998-03-31	VYDAJ	VYBER	15	38904	SLUZBY	\N	\N
2766885	9153	1998-04-30	VYDAJ	VYBER	15	46523	SLUZBY	\N	\N
2766886	9153	1998-05-31	VYDAJ	VYBER	15	48466	SLUZBY	\N	\N
2766887	9153	1998-06-30	VYDAJ	VYBER	15	46636	SLUZBY	\N	\N
2766888	9153	1998-07-31	VYDAJ	VYBER	15	52366	SLUZBY	\N	\N
2766889	9153	1998-08-31	VYDAJ	VYBER	15	53246	SLUZBY	\N	\N
2766890	9153	1998-09-30	VYDAJ	VYBER	15	49885	SLUZBY	\N	\N
2766891	9153	1998-10-31	VYDAJ	VYBER	15	51942	SLUZBY	\N	\N
2766892	9153	1998-11-30	VYDAJ	VYBER	15	52765	SLUZBY	\N	\N
2766893	9153	1997-01-11	PRIJEM	VKLAD	4400	12563	\N	\N	\N
2766894	9153	1997-02-10	PRIJEM	VKLAD	3000	23195	\N	\N	\N
2766895	9153	1997-03-12	VYDAJ	VYBER	900	30003	\N	\N	\N
2766896	9153	1997-04-11	VYDAJ	VYBER	4700	33057	\N	\N	\N
2766897	9153	1997-05-11	VYDAJ	VYBER	1900	33897	\N	\N	\N
2766898	9153	1997-06-10	VYDAJ	VYBER	700	34140	\N	\N	\N
2766899	9153	1997-07-10	VYDAJ	VYBER	1700	34192	\N	\N	\N
2766900	9153	1997-08-09	PRIJEM	VKLAD	7600	38226	\N	\N	\N
2766901	9153	1997-09-08	PRIJEM	VKLAD	1600	40864	\N	\N	\N
2766902	9153	1997-11-07	PRIJEM	VKLAD	200	36319	\N	\N	\N
2766903	9153	1997-12-07	PRIJEM	VKLAD	5600	47403	\N	\N	\N
2766904	9153	1998-01-06	PRIJEM	VKLAD	12600	41474	\N	\N	\N
2766905	9153	1998-02-05	PRIJEM	VKLAD	8300	41082	\N	\N	\N
2766906	9153	1998-03-07	PRIJEM	VKLAD	1300	46296	\N	\N	\N
2766907	9153	1998-04-06	PRIJEM	VKLAD	6200	45104	\N	\N	\N
2766908	9153	1998-05-06	PRIJEM	VKLAD	500	47023	\N	\N	\N
2766909	9153	1998-06-05	VYDAJ	VYBER	1600	46866	\N	\N	\N
2766910	9153	1998-07-05	PRIJEM	VKLAD	4300	50936	\N	\N	\N
2766911	9153	1998-08-04	VYDAJ	VYBER	600	51766	\N	\N	\N
2766912	9153	1998-09-03	PRIJEM	VKLAD	800	54046	\N	\N	\N
2766913	9153	1998-10-03	PRIJEM	VKLAD	600	50485	\N	\N	\N
2766914	9153	1998-11-02	VYDAJ	VYBER	600	51342	\N	\N	\N
2766915	9153	1998-12-02	VYDAJ	VYBER	400	52365	\N	\N	\N
2767351	9156	1997-09-14	PRIJEM	VKLAD	600	600	\N	\N	\N
2767357	9156	1997-11-22	PRIJEM	VKLAD	45488	69328	\N	\N	\N
2767358	9156	1997-10-04	PRIJEM	VKLAD	23841	24441	\N	\N	\N
2767361	9156	1998-03-17	PRIJEM	VKLAD	10682	43295	\N	\N	\N
2767362	9156	1998-12-28	PRIJEM	VKLAD	24899	31583	\N	\N	\N
2767363	9156	1998-09-06	PRIJEM	VKLAD	27524	67680	\N	\N	\N
2767364	9156	1998-10-31	PRIJEM	VKLAD	25761	28557	\N	\N	\N
2767365	9156	1998-03-07	PRIJEM	VKLAD	28893	53213	\N	\N	\N
2767366	9156	1998-08-22	PRIJEM	VKLAD	25540	41494	\N	\N	\N
2767367	9156	1998-06-24	PRIJEM	VKLAD	48983	62152	\N	\N	\N
2767368	9156	1998-08-03	PRIJEM	VKLAD	45089	54204	\N	\N	\N
2767387	9156	1998-07-11	VYDAJ	VYBER	4100	12289	\N	\N	0
2767388	9156	1998-08-09	VYDAJ	VYBER	5400	30454	\N	\N	0
2767389	9156	1998-09-20	VYDAJ	VYBER	5100	33880	\N	\N	0
2767390	9156	1998-10-14	VYDAJ	VYBER	4600	6184	\N	\N	0
2767391	9156	1998-11-02	VYDAJ	VYBER	4800	23801	\N	\N	0
2767392	9156	1998-12-12	VYDAJ	PREVOD NA UCET	4537	6684	UVER	WX	22888767
2767402	9156	1998-10-29	VYBER	VYBER	3407	2777	\N	\N	\N
2767407	9156	1998-08-09	VYBER	VYBER	18350	35854	\N	\N	\N
2767408	9156	1998-10-05	VYBER	VYBER	21585	12584	\N	\N	\N
2767409	9156	1998-06-24	VYBER	VYBER	19648	42504	\N	\N	\N
2767415	9156	1998-12-08	VYDAJ	VYBER	4500	11221	\N	\N	\N
2767433	9156	1998-06-27	VYDAJ	VYBER	1800	27504	\N	\N	\N
2767435	9156	1998-07-16	VYDAJ	VYBER	3300	8989	\N	\N	\N
2767436	9156	1998-06-25	VYDAJ	VYBER	13200	29304	\N	\N	\N
2767438	9156	1998-08-27	VYDAJ	VYBER	1500	39994	\N	\N	\N
2767457	9156	1998-06-30	VYDAJ	VYBER	15	27689	SLUZBY	\N	\N
2767458	9156	1998-07-31	VYDAJ	VYBER	15	9115	SLUZBY	\N	\N
2767459	9156	1998-08-31	VYDAJ	VYBER	15	40156	SLUZBY	\N	\N
2767460	9156	1998-09-30	VYDAJ	VYBER	15	34169	SLUZBY	\N	\N
2767461	9156	1998-10-31	VYDAJ	VYBER	15	28601	SLUZBY	\N	\N
2767462	9156	1998-11-30	VYDAJ	VYBER	15	17621	SLUZBY	\N	\N
2767463	9156	1997-10-14	VYDAJ	VYBER	3300	21141	\N	\N	\N
2767464	9156	1997-11-13	PRIJEM	VKLAD	2600	23840	\N	\N	\N
2767465	9156	1997-12-13	VYDAJ	VYBER	25700	43854	\N	\N	\N
2767466	9156	1998-01-12	VYDAJ	VYBER	11700	32442	\N	\N	\N
2767467	9156	1998-02-11	VYDAJ	VYBER	8700	24031	\N	\N	\N
2767468	9156	1998-03-13	VYDAJ	VYBER	20600	32613	\N	\N	\N
2767469	9156	1998-04-12	VYDAJ	VYBER	16600	27010	\N	\N	\N
2767470	9156	1998-05-12	VYDAJ	VYBER	10700	16489	\N	\N	\N
2767471	9156	1998-06-11	VYDAJ	VYBER	3500	13169	\N	\N	\N
2767472	9156	1998-07-11	VYDAJ	VYBER	11300	16389	\N	\N	\N
2767473	9156	1998-08-10	VYDAJ	VYBER	14500	15954	\N	\N	\N
2767474	9156	1998-09-09	VYDAJ	VYBER	28700	38980	\N	\N	\N
2767475	9156	1998-10-09	VYDAJ	VYBER	1800	10784	\N	\N	\N
2767476	9156	1998-11-08	VYDAJ	VYBER	6300	17501	\N	\N	\N
2767477	9156	1998-12-08	VYDAJ	VYBER	1900	15721	\N	\N	\N
2767862	9159	1996-08-02	PRIJEM	VKLAD	700	700	\N	\N	\N
2767870	9159	1996-08-07	PRIJEM	VKLAD	16219	16919	\N	\N	\N
2767871	9159	1996-09-07	PRIJEM	VKLAD	16219	37749	\N	\N	\N
2767872	9159	1996-10-07	PRIJEM	VKLAD	16219	46829	\N	\N	\N
2767873	9159	1996-11-07	PRIJEM	VKLAD	16219	53084	\N	\N	\N
2767874	9159	1996-12-07	PRIJEM	VKLAD	24329	66365	\N	\N	\N
2767875	9159	1997-01-07	PRIJEM	VKLAD	16219	47151	\N	\N	\N
2767876	9159	1997-02-07	PRIJEM	VKLAD	16219	35991	\N	\N	\N
2767877	9159	1997-03-07	PRIJEM	VKLAD	16219	41525	\N	\N	\N
2767878	9159	1997-04-07	PRIJEM	VKLAD	16219	46596	\N	\N	\N
2767879	9159	1997-05-07	PRIJEM	VKLAD	16219	47086	\N	\N	\N
2767880	9159	1997-06-07	PRIJEM	VKLAD	24329	50282	\N	\N	\N
2767881	9159	1997-07-07	PRIJEM	VKLAD	16219	46093	\N	\N	\N
2767882	9159	1997-08-07	PRIJEM	VKLAD	16219	48103	\N	\N	\N
2767883	9159	1997-09-07	PRIJEM	VKLAD	16219	47240	\N	\N	\N
2767884	9159	1997-10-07	PRIJEM	VKLAD	16219	51704	\N	\N	\N
2767885	9159	1997-11-07	PRIJEM	VKLAD	16219	55263	\N	\N	\N
2767886	9159	1997-12-07	PRIJEM	VKLAD	24329	57972	\N	\N	\N
2767887	9159	1998-01-07	PRIJEM	VKLAD	16219	59971	\N	\N	\N
2767888	9159	1998-02-07	PRIJEM	VKLAD	16219	48708	\N	\N	\N
2767889	9159	1998-03-07	PRIJEM	VKLAD	16219	56008	\N	\N	\N
2767890	9159	1998-04-07	PRIJEM	VKLAD	16219	58846	\N	\N	\N
2767891	9159	1998-05-07	PRIJEM	VKLAD	16219	62512	\N	\N	\N
2767892	9159	1998-06-07	PRIJEM	VKLAD	24329	71209	\N	\N	\N
2767893	9159	1998-07-07	PRIJEM	VKLAD	16219	47991	\N	\N	\N
2767894	9159	1998-08-07	PRIJEM	VKLAD	16219	55142	\N	\N	\N
2767895	9159	1998-09-07	PRIJEM	VKLAD	16219	62844	\N	\N	\N
2767896	9159	1998-10-07	PRIJEM	VKLAD	16219	61314	\N	\N	\N
2767897	9159	1998-11-07	PRIJEM	VKLAD	16219	60970	\N	\N	\N
2767898	9159	1998-12-07	PRIJEM	VKLAD	24329	71243	\N	\N	\N
2767910	9159	1996-12-09	VYDAJ	PREVOD NA UCET	6869	59243	SIPO	EF	35698783
2767911	9159	1997-01-09	VYDAJ	PREVOD NA UCET	6869	40029	SIPO	EF	35698783
2767912	9159	1997-02-09	VYDAJ	PREVOD NA UCET	6869	28869	SIPO	EF	35698783
2767913	9159	1997-03-09	VYDAJ	PREVOD NA UCET	6869	34403	SIPO	EF	35698783
2767914	9159	1997-04-09	VYDAJ	PREVOD NA UCET	6869	39474	SIPO	EF	35698783
2767915	9159	1997-05-09	VYDAJ	PREVOD NA UCET	6869	39964	SIPO	EF	35698783
2767916	9159	1997-06-09	VYDAJ	PREVOD NA UCET	6869	43160	SIPO	EF	35698783
2767917	9159	1997-07-09	VYDAJ	PREVOD NA UCET	6869	38971	SIPO	EF	35698783
2767918	9159	1997-08-09	VYDAJ	PREVOD NA UCET	6869	40981	SIPO	EF	35698783
2767919	9159	1997-09-09	VYDAJ	PREVOD NA UCET	6869	40118	SIPO	EF	35698783
2767920	9159	1997-10-09	VYDAJ	PREVOD NA UCET	6869	44582	SIPO	EF	35698783
2767921	9159	1997-11-09	VYDAJ	PREVOD NA UCET	6869	48141	SIPO	EF	35698783
2767922	9159	1997-12-09	VYDAJ	PREVOD NA UCET	6869	50850	SIPO	EF	35698783
2767923	9159	1998-01-09	VYDAJ	PREVOD NA UCET	6869	52849	SIPO	EF	35698783
2767924	9159	1998-02-09	VYDAJ	PREVOD NA UCET	6869	41586	SIPO	EF	35698783
2767925	9159	1998-03-09	VYDAJ	PREVOD NA UCET	6869	48886	SIPO	EF	35698783
2767926	9159	1998-04-09	VYDAJ	PREVOD NA UCET	6869	51724	SIPO	EF	35698783
2767927	9159	1998-05-09	VYDAJ	PREVOD NA UCET	6869	55390	SIPO	EF	35698783
2767928	9159	1998-06-09	VYDAJ	PREVOD NA UCET	6869	64087	SIPO	EF	35698783
2767929	9159	1998-07-09	VYDAJ	PREVOD NA UCET	6869	40869	SIPO	EF	35698783
2767930	9159	1998-08-09	VYDAJ	PREVOD NA UCET	6869	48020	SIPO	EF	35698783
2767931	9159	1998-09-09	VYDAJ	PREVOD NA UCET	6869	55722	SIPO	EF	35698783
2767932	9159	1998-10-09	VYDAJ	PREVOD NA UCET	6869	54192	SIPO	EF	35698783
2767933	9159	1998-11-09	VYDAJ	PREVOD NA UCET	6869	53848	SIPO	EF	35698783
2767934	9159	1998-12-09	VYDAJ	PREVOD NA UCET	6869	64121	SIPO	EF	35698783
2767947	9159	1997-01-05	VYDAJ	PREVOD NA UCET	1847	34412	 	QR	61719810
2767948	9159	1997-02-05	VYDAJ	PREVOD NA UCET	1847	19772	 	QR	61719810
2767949	9159	1997-03-05	VYDAJ	PREVOD NA UCET	1847	25306	 	QR	61719810
2767950	9159	1997-04-05	VYDAJ	PREVOD NA UCET	1847	30377	 	QR	61719810
2767951	9159	1997-05-05	VYDAJ	PREVOD NA UCET	1847	30867	 	QR	61719810
2767952	9159	1997-06-05	VYDAJ	PREVOD NA UCET	1847	25954	 	QR	61719810
2767953	9159	1997-07-05	VYDAJ	PREVOD NA UCET	1847	29874	 	QR	61719810
2767954	9159	1997-08-05	VYDAJ	PREVOD NA UCET	1847	31884	 	QR	61719810
2767955	9159	1997-09-05	VYDAJ	PREVOD NA UCET	1847	31021	 	QR	61719810
2767956	9159	1997-10-05	VYDAJ	PREVOD NA UCET	1847	35485	 	QR	61719810
2767957	9159	1997-11-05	VYDAJ	PREVOD NA UCET	1847	39044	 	QR	61719810
2767958	9159	1997-12-05	VYDAJ	PREVOD NA UCET	1847	33644	 	QR	61719810
2767959	9159	1998-01-05	VYDAJ	PREVOD NA UCET	1847	43752	 	QR	61719810
2767960	9159	1998-02-05	VYDAJ	PREVOD NA UCET	1847	32489	 	QR	61719810
2767961	9159	1998-03-05	VYDAJ	PREVOD NA UCET	1847	39789	 	QR	61719810
2767962	9159	1998-04-05	VYDAJ	PREVOD NA UCET	1847	42627	 	QR	61719810
2767963	9159	1998-05-05	VYDAJ	PREVOD NA UCET	1847	46293	 	QR	61719810
2767964	9159	1998-06-05	VYDAJ	PREVOD NA UCET	1847	46880	 	QR	61719810
2767965	9159	1998-07-05	VYDAJ	PREVOD NA UCET	1847	31772	 	QR	61719810
2767966	9159	1998-08-05	VYDAJ	PREVOD NA UCET	1847	38923	 	QR	61719810
2767967	9159	1998-09-05	VYDAJ	PREVOD NA UCET	1847	46625	 	QR	61719810
2767968	9159	1998-10-05	VYDAJ	PREVOD NA UCET	1847	45095	 	QR	61719810
2767969	9159	1998-11-05	VYDAJ	PREVOD NA UCET	1847	44751	 	QR	61719810
2767970	9159	1998-12-05	VYDAJ	PREVOD NA UCET	1847	46915	 	QR	61719810
2767982	9159	1996-12-08	VYDAJ	PREVOD NA UCET	253	66112	POJISTNE	YZ	78505074
2767983	9159	1997-01-08	VYDAJ	PREVOD NA UCET	253	46898	POJISTNE	YZ	78505074
2767984	9159	1997-02-08	VYDAJ	PREVOD NA UCET	253	35738	POJISTNE	YZ	78505074
2767985	9159	1997-03-08	VYDAJ	PREVOD NA UCET	253	41272	POJISTNE	YZ	78505074
2767986	9159	1997-04-08	VYDAJ	PREVOD NA UCET	253	46343	POJISTNE	YZ	78505074
2767987	9159	1997-05-08	VYDAJ	PREVOD NA UCET	253	46833	POJISTNE	YZ	78505074
2767988	9159	1997-06-08	VYDAJ	PREVOD NA UCET	253	50029	POJISTNE	YZ	78505074
2767989	9159	1997-07-08	VYDAJ	PREVOD NA UCET	253	45840	POJISTNE	YZ	78505074
2767990	9159	1997-08-08	VYDAJ	PREVOD NA UCET	253	47850	POJISTNE	YZ	78505074
2767991	9159	1997-09-08	VYDAJ	PREVOD NA UCET	253	46987	POJISTNE	YZ	78505074
2767992	9159	1997-10-08	VYDAJ	PREVOD NA UCET	253	51451	POJISTNE	YZ	78505074
2767993	9159	1997-11-08	VYDAJ	PREVOD NA UCET	253	55010	POJISTNE	YZ	78505074
2767994	9159	1997-12-08	VYDAJ	PREVOD NA UCET	253	57719	POJISTNE	YZ	78505074
2767995	9159	1998-01-08	VYDAJ	PREVOD NA UCET	253	59718	POJISTNE	YZ	78505074
2767996	9159	1998-02-08	VYDAJ	PREVOD NA UCET	253	48455	POJISTNE	YZ	78505074
2767997	9159	1998-03-08	VYDAJ	PREVOD NA UCET	253	55755	POJISTNE	YZ	78505074
2767998	9159	1998-04-08	VYDAJ	PREVOD NA UCET	253	58593	POJISTNE	YZ	78505074
2767999	9159	1998-05-08	VYDAJ	PREVOD NA UCET	253	62259	POJISTNE	YZ	78505074
2768000	9159	1998-06-08	VYDAJ	PREVOD NA UCET	253	70956	POJISTNE	YZ	78505074
2768001	9159	1998-07-08	VYDAJ	PREVOD NA UCET	253	47738	POJISTNE	YZ	78505074
2768002	9159	1998-08-08	VYDAJ	PREVOD NA UCET	253	54889	POJISTNE	YZ	78505074
2768003	9159	1998-09-08	VYDAJ	PREVOD NA UCET	253	62591	POJISTNE	YZ	78505074
2768004	9159	1998-10-08	VYDAJ	PREVOD NA UCET	253	61061	POJISTNE	YZ	78505074
2768005	9159	1998-11-08	VYDAJ	PREVOD NA UCET	253	60717	POJISTNE	YZ	78505074
2768006	9159	1998-12-08	VYDAJ	PREVOD NA UCET	253	70990	POJISTNE	YZ	78505074
2768018	9159	1996-12-12	VYDAJ	PREVOD NA UCET	316	58927	 	IJ	98776262
2768019	9159	1997-01-12	VYDAJ	PREVOD NA UCET	316	23773	 	IJ	98776262
2768020	9159	1997-02-12	VYDAJ	PREVOD NA UCET	316	28553	 	IJ	98776262
2768021	9159	1997-03-12	VYDAJ	PREVOD NA UCET	316	34087	 	IJ	98776262
2768022	9159	1997-04-12	VYDAJ	PREVOD NA UCET	316	39158	 	IJ	98776262
2768023	9159	1997-05-12	VYDAJ	PREVOD NA UCET	316	37948	 	IJ	98776262
2768024	9159	1997-06-12	VYDAJ	PREVOD NA UCET	316	42844	 	IJ	98776262
2768025	9159	1997-07-12	VYDAJ	PREVOD NA UCET	316	38655	 	IJ	98776262
2768026	9159	1997-08-12	VYDAJ	PREVOD NA UCET	316	40665	 	IJ	98776262
2768027	9159	1997-09-12	VYDAJ	PREVOD NA UCET	316	36082	 	IJ	98776262
2768028	9159	1997-10-12	VYDAJ	PREVOD NA UCET	316	44266	 	IJ	98776262
2768029	9159	1997-11-12	VYDAJ	PREVOD NA UCET	316	47825	 	IJ	98776262
2768030	9159	1997-12-12	VYDAJ	PREVOD NA UCET	316	50534	 	IJ	98776262
2768031	9159	1998-01-12	VYDAJ	PREVOD NA UCET	316	47173	 	IJ	98776262
2768032	9159	1998-02-12	VYDAJ	PREVOD NA UCET	316	41270	 	IJ	98776262
2768033	9159	1998-03-12	VYDAJ	PREVOD NA UCET	316	45170	 	IJ	98776262
2768034	9159	1998-04-12	VYDAJ	PREVOD NA UCET	316	50008	 	IJ	98776262
2768035	9159	1998-05-12	VYDAJ	PREVOD NA UCET	316	55074	 	IJ	98776262
2768036	9159	1998-06-12	VYDAJ	PREVOD NA UCET	316	62321	 	IJ	98776262
2768037	9159	1998-07-12	VYDAJ	PREVOD NA UCET	316	40553	 	IJ	98776262
2768038	9159	1998-08-12	VYDAJ	PREVOD NA UCET	316	47704	 	IJ	98776262
2768039	9159	1998-09-12	VYDAJ	PREVOD NA UCET	316	55406	 	IJ	98776262
2768040	9159	1998-10-12	VYDAJ	PREVOD NA UCET	316	52426	 	IJ	98776262
2768041	9159	1998-11-12	VYDAJ	PREVOD NA UCET	316	52082	 	IJ	98776262
2768042	9159	1998-12-12	VYDAJ	PREVOD NA UCET	316	63805	 	IJ	98776262
2768054	9159	1996-12-16	VYDAJ	VYBER	1100	57827	\N	\N	0
2768055	9159	1997-01-11	VYDAJ	VYBER	1700	24089	\N	\N	0
2768056	9159	1997-02-14	VYDAJ	VYBER	1600	26953	\N	\N	0
2768057	9159	1997-03-02	VYDAJ	VYBER	1700	27153	\N	\N	0
2768058	9159	1997-04-16	VYDAJ	VYBER	1800	37358	\N	\N	0
2768059	9159	1997-05-11	VYDAJ	VYBER	1700	38264	\N	\N	0
2768060	9159	1997-06-16	VYDAJ	VYBER	1100	41744	\N	\N	0
2768061	9159	1997-07-16	VYDAJ	VYBER	1500	37155	\N	\N	0
2768062	9159	1997-08-17	VYDAJ	VYBER	1500	39165	\N	\N	0
2768063	9159	1997-09-17	VYDAJ	VYBER	1100	34982	\N	\N	0
2768064	9159	1997-10-18	VYDAJ	VYBER	1300	42966	\N	\N	0
2768065	9159	1997-11-16	VYDAJ	VYBER	1600	46225	\N	\N	0
2768066	9159	1997-12-04	VYDAJ	VYBER	1200	35491	\N	\N	0
2768067	9159	1998-01-10	VYDAJ	VYBER	1400	48209	\N	\N	0
2768068	9159	1998-02-18	VYDAJ	VYBER	1400	39870	\N	\N	0
2768069	9159	1998-03-10	VYDAJ	VYBER	1600	45486	\N	\N	0
2768070	9159	1998-04-10	VYDAJ	VYBER	1400	50324	\N	\N	0
2768071	9159	1998-05-13	VYDAJ	VYBER	1300	53774	\N	\N	0
2768072	9159	1998-06-12	VYDAJ	PREVOD NA UCET	1450	62637	UVER	ST	70977645
2768073	9159	1998-07-12	VYDAJ	PREVOD NA UCET	1450	39103	UVER	ST	70977645
2768074	9159	1998-08-12	VYDAJ	PREVOD NA UCET	1450	46254	UVER	ST	70977645
2768075	9159	1998-09-12	VYDAJ	PREVOD NA UCET	1450	53956	UVER	ST	70977645
2768076	9159	1998-10-12	VYDAJ	PREVOD NA UCET	1450	52742	UVER	ST	70977645
2768077	9159	1998-11-12	VYDAJ	PREVOD NA UCET	1450	52398	UVER	ST	70977645
2768078	9159	1998-12-12	VYDAJ	PREVOD NA UCET	1450	62355	UVER	ST	70977645
2768081	9159	1998-06-19	VYDAJ	VYBER	27520	34801	\N	\N	\N
2768083	9159	1997-01-09	VYDAJ	VYBER	14240	25789	\N	\N	\N
2768084	9159	1998-01-19	VYDAJ	VYBER	11520	33973	\N	\N	\N
2768086	9159	1997-12-02	VYDAJ	VYBER	960	36691	\N	\N	\N
2768087	9159	1998-12-03	VYDAJ	VYBER	1600	48762	\N	\N	\N
2768094	9159	1997-01-06	VYDAJ	VYBER	3480	30932	\N	\N	\N
2768095	9159	1997-01-05	VYDAJ	VYBER	3000	36259	\N	\N	\N
2768096	9159	1997-01-18	VYDAJ	VYBER	2760	21013	\N	\N	\N
2768097	9159	1997-01-18	VYDAJ	VYBER	600	20413	\N	\N	\N
2768098	9159	1997-01-23	VYDAJ	VYBER	1200	19213	\N	\N	\N
2768099	9159	1997-01-03	VYDAJ	VYBER	2160	39259	\N	\N	\N
2768100	9159	1998-01-03	VYDAJ	VYBER	600	45599	\N	\N	\N
2768101	9159	1998-01-09	VYDAJ	VYBER	3240	49609	\N	\N	\N
2768102	9159	1998-01-10	VYDAJ	VYBER	720	47489	\N	\N	\N
2768103	9159	1998-01-15	VYDAJ	VYBER	1680	45493	\N	\N	\N
2768104	9159	1998-01-26	VYDAJ	VYBER	2040	34033	\N	\N	\N
2768105	9159	1998-01-03	VYDAJ	VYBER	1680	46199	\N	\N	\N
2768112	9159	1997-10-26	VYDAJ	VYBER	4200	40566	\N	\N	\N
2768113	9159	1997-08-30	VYDAJ	VYBER	3360	32605	\N	\N	\N
2768114	9159	1997-11-28	VYDAJ	VYBER	3480	37345	\N	\N	\N
2768115	9159	1997-09-12	VYDAJ	VYBER	3720	36398	\N	\N	\N
2768116	9159	1997-05-23	VYDAJ	VYBER	600	37348	\N	\N	\N
2768117	9159	1998-07-04	VYDAJ	VYBER	5520	33619	\N	\N	\N
2768118	9159	1998-03-09	VYDAJ	VYBER	1800	47086	\N	\N	\N
2768119	9159	1998-09-22	VYDAJ	VYBER	3600	46556	\N	\N	\N
2768132	9159	1996-12-31	VYDAJ	VYBER	15	41419	SLUZBY	\N	\N
2768133	9159	1997-01-31	VYDAJ	VYBER	15	21619	SLUZBY	\N	\N
2768134	9159	1997-02-28	VYDAJ	VYBER	15	28853	SLUZBY	\N	\N
2768135	9159	1997-03-31	VYDAJ	VYBER	15	32224	SLUZBY	\N	\N
2768136	9159	1997-04-30	VYDAJ	VYBER	15	32714	SLUZBY	\N	\N
2768137	9159	1997-05-31	VYDAJ	VYBER	15	27801	SLUZBY	\N	\N
2768138	9159	1997-06-30	VYDAJ	VYBER	15	31721	SLUZBY	\N	\N
2768139	9159	1997-07-31	VYDAJ	VYBER	15	33731	SLUZBY	\N	\N
2768140	9159	1997-08-31	VYDAJ	VYBER	15	32868	SLUZBY	\N	\N
2768141	9159	1997-09-30	VYDAJ	VYBER	15	37332	SLUZBY	\N	\N
2768142	9159	1997-10-31	VYDAJ	VYBER	15	40891	SLUZBY	\N	\N
2768143	9159	1997-11-30	VYDAJ	VYBER	15	37651	SLUZBY	\N	\N
2768144	9159	1997-12-31	VYDAJ	VYBER	15	47879	SLUZBY	\N	\N
2768145	9159	1998-01-31	VYDAJ	VYBER	15	34336	SLUZBY	\N	\N
2768146	9159	1998-02-28	VYDAJ	VYBER	15	41636	SLUZBY	\N	\N
2768147	9159	1998-03-31	VYDAJ	VYBER	15	44474	SLUZBY	\N	\N
2768148	9159	1998-04-30	VYDAJ	VYBER	15	48140	SLUZBY	\N	\N
2768149	9159	1998-05-31	VYDAJ	VYBER	15	48727	SLUZBY	\N	\N
2768150	9159	1998-06-30	VYDAJ	VYBER	15	39139	SLUZBY	\N	\N
2768151	9159	1998-07-31	VYDAJ	VYBER	15	40770	SLUZBY	\N	\N
2768152	9159	1998-08-31	VYDAJ	VYBER	15	48472	SLUZBY	\N	\N
2768153	9159	1998-09-30	VYDAJ	VYBER	15	46942	SLUZBY	\N	\N
2768154	9159	1998-10-31	VYDAJ	VYBER	15	46598	SLUZBY	\N	\N
2768155	9159	1998-11-30	VYDAJ	VYBER	15	50362	SLUZBY	\N	\N
2768156	9159	1996-09-01	PRIJEM	VKLAD	4500	21530	\N	\N	\N
2768157	9159	1996-10-01	VYDAJ	VYBER	7400	30610	\N	\N	\N
2768158	9159	1996-10-31	VYDAJ	VYBER	10300	36865	\N	\N	\N
2768159	9159	1996-11-30	VYDAJ	VYBER	11200	42037	\N	\N	\N
2768160	9159	1996-12-30	VYDAJ	VYBER	16800	41027	\N	\N	\N
2768161	9159	1997-01-29	PRIJEM	VKLAD	2200	21413	\N	\N	\N
2768162	9159	1997-02-28	PRIJEM	VKLAD	1700	28758	\N	\N	\N
2768163	9159	1997-03-30	VYDAJ	VYBER	2100	31987	\N	\N	\N
2768164	9159	1997-04-29	VYDAJ	VYBER	4900	32458	\N	\N	\N
2768165	9159	1997-05-29	VYDAJ	VYBER	9800	27548	\N	\N	\N
2768166	9159	1997-06-28	VYDAJ	VYBER	10300	31444	\N	\N	\N
2768167	9159	1997-07-28	VYDAJ	VYBER	3700	33455	\N	\N	\N
2768168	9159	1997-08-27	VYDAJ	VYBER	3200	35965	\N	\N	\N
2768169	9159	1997-09-26	PRIJEM	VKLAD	2100	37082	\N	\N	\N
2768170	9159	1997-10-26	PRIJEM	VKLAD	1800	44766	\N	\N	\N
2768171	9159	1997-11-25	VYDAJ	VYBER	5400	40825	\N	\N	\N
2768172	9159	1997-12-25	VYDAJ	VYBER	3000	47534	\N	\N	\N
2768173	9159	1998-01-24	PRIJEM	VKLAD	2100	36073	\N	\N	\N
2768174	9159	1998-02-23	PRIJEM	VKLAD	1500	41370	\N	\N	\N
2768175	9159	1998-03-25	VYDAJ	VYBER	1000	44170	\N	\N	\N
2768176	9159	1998-04-24	VYDAJ	VYBER	2200	47808	\N	\N	\N
2768177	9159	1998-05-24	VYDAJ	VYBER	5400	48374	\N	\N	\N
2768178	9159	1998-06-23	PRIJEM	VKLAD	4000	38801	\N	\N	\N
2768179	9159	1998-07-23	PRIJEM	VKLAD	1400	40503	\N	\N	\N
2768180	9159	1998-08-22	PRIJEM	VKLAD	1900	48154	\N	\N	\N
2768181	9159	1998-09-21	VYDAJ	VYBER	3800	50156	\N	\N	\N
2768182	9159	1998-10-21	VYDAJ	VYBER	6200	46226	\N	\N	\N
2768183	9159	1998-11-20	VYDAJ	VYBER	2100	49982	\N	\N	\N
2769882	9167	1997-04-02	PRIJEM	VKLAD	500	500	\N	\N	\N
2769884	9167	1997-11-13	PRIJEM	VKLAD	23902	87065	\N	\N	\N
2769885	9167	1997-08-17	PRIJEM	VKLAD	47606	91978	\N	\N	\N
2769886	9167	1997-11-21	PRIJEM	VKLAD	17936	89461	\N	\N	\N
2769887	9167	1997-11-01	PRIJEM	VKLAD	16343	64595	\N	\N	\N
2769888	9167	1997-10-31	PRIJEM	VKLAD	28469	48267	\N	\N	\N
2769889	9167	1997-09-04	PRIJEM	VKLAD	38302	95227	\N	\N	\N
2769890	9167	1997-08-03	PRIJEM	VKLAD	20546	44372	\N	\N	\N
2769891	9167	1997-04-21	PRIJEM	VKLAD	7007	7507	\N	\N	\N
2769892	9167	1997-09-23	PRIJEM	VKLAD	9001	104228	\N	\N	\N
2769893	9167	1998-09-14	PRIJEM	VKLAD	5341	64590	\N	\N	\N
2769894	9167	1998-01-26	PRIJEM	VKLAD	48428	61699	\N	\N	\N
2769895	9167	1998-07-12	PRIJEM	VKLAD	17471	51760	\N	\N	\N
2769896	9167	1998-08-29	PRIJEM	VKLAD	42664	70061	\N	\N	\N
2769897	9167	1998-04-22	PRIJEM	VKLAD	11141	36307	\N	\N	\N
2769898	9167	1998-11-02	PRIJEM	VKLAD	35633	114328	\N	\N	\N
2769899	9167	1998-06-14	PRIJEM	VKLAD	37362	54838	\N	\N	\N
2769900	9167	1998-12-07	PRIJEM	VKLAD	42072	99415	\N	\N	\N
2769901	9167	1998-07-22	PRIJEM	VKLAD	9377	56426	\N	\N	\N
2769902	9167	1998-12-10	PRIJEM	VKLAD	6799	106214	\N	\N	\N
2769903	9167	1998-03-03	PRIJEM	VKLAD	21179	38352	\N	\N	\N
2769904	9167	1998-05-27	PRIJEM	VKLAD	16356	38984	\N	\N	\N
2769905	9167	1998-10-20	PRIJEM	VKLAD	47270	128130	\N	\N	\N
2769906	9167	1998-07-20	PRIJEM	VKLAD	26899	47049	\N	\N	\N
2769907	9167	1998-03-14	PRIJEM	VKLAD	13682	46064	\N	\N	\N
2769908	9167	1998-09-14	PRIJEM	VKLAD	8339	59249	\N	\N	\N
2769909	9167	1998-11-06	PRIJEM	VKLAD	15241	103002	\N	\N	\N
2769910	9167	1998-11-27	PRIJEM	VKLAD	9733	57590	\N	\N	\N
2769911	9167	1998-10-04	PRIJEM	VKLAD	49081	91779	\N	\N	\N
2769912	9167	1998-10-25	PRIJEM	VKLAD	10925	78055	\N	\N	\N
2769913	9167	1998-06-16	PRIJEM	VKLAD	29415	59203	\N	\N	\N
2769914	9167	1998-11-03	PRIJEM	VKLAD	10433	98261	\N	\N	\N
2769924	9167	1997-10-17	VYDAJ	VYBER	3400	21933	\N	\N	0
2769925	9167	1997-11-16	VYDAJ	VYBER	4800	71525	\N	\N	0
2769926	9167	1997-12-08	VYDAJ	VYBER	5300	34634	\N	\N	0
2769927	9167	1998-01-15	VYDAJ	VYBER	3800	13271	\N	\N	0
2769928	9167	1998-02-10	VYDAJ	VYBER	4300	17497	\N	\N	0
2769929	9167	1998-03-12	VYDAJ	PREVOD NA UCET	4537	32382	UVER	MN	98049097
2769930	9167	1998-04-12	VYDAJ	PREVOD NA UCET	4537	30116	UVER	MN	98049097
2769931	9167	1998-05-12	VYDAJ	PREVOD NA UCET	4537	27578	UVER	MN	98049097
2769932	9167	1998-06-12	VYDAJ	PREVOD NA UCET	4537	17476	UVER	MN	98049097
2769933	9167	1998-07-12	VYDAJ	PREVOD NA UCET	4537	47223	UVER	MN	98049097
2769934	9167	1998-08-12	VYDAJ	PREVOD NA UCET	4537	40047	UVER	MN	98049097
2769935	9167	1998-09-12	VYDAJ	PREVOD NA UCET	4537	50910	UVER	MN	98049097
2769936	9167	1998-10-12	VYDAJ	PREVOD NA UCET	4537	85810	UVER	MN	98049097
2769937	9167	1998-11-12	VYDAJ	PREVOD NA UCET	4537	97033	UVER	MN	98049097
2769938	9167	1998-12-12	VYDAJ	PREVOD NA UCET	4537	84032	UVER	MN	98049097
2769948	9167	1997-10-14	VYDAJ	PREVOD NA UCET	4950	25333	SIPO	QR	15502429
2769949	9167	1997-11-14	VYDAJ	PREVOD NA UCET	4950	82115	SIPO	QR	15502429
2769950	9167	1997-12-14	VYDAJ	PREVOD NA UCET	4950	29139	SIPO	QR	15502429
2769951	9167	1998-01-14	VYDAJ	PREVOD NA UCET	4950	17071	SIPO	QR	15502429
2769952	9167	1998-02-14	VYDAJ	PREVOD NA UCET	4950	12547	SIPO	QR	15502429
2769953	9167	1998-03-14	VYDAJ	PREVOD NA UCET	4950	41114	SIPO	QR	15502429
2769954	9167	1998-04-14	VYDAJ	PREVOD NA UCET	4950	25166	SIPO	QR	15502429
2769955	9167	1998-05-14	VYDAJ	PREVOD NA UCET	4950	22628	SIPO	QR	15502429
2769956	9167	1998-06-14	VYDAJ	PREVOD NA UCET	4950	49888	SIPO	QR	15502429
2769957	9167	1998-07-14	VYDAJ	PREVOD NA UCET	4950	20150	SIPO	QR	15502429
2769958	9167	1998-08-14	VYDAJ	PREVOD NA UCET	4950	35097	SIPO	QR	15502429
2769959	9167	1998-09-14	VYDAJ	PREVOD NA UCET	4950	59640	SIPO	QR	15502429
2769960	9167	1998-10-14	VYDAJ	PREVOD NA UCET	4950	80860	SIPO	QR	15502429
2769961	9167	1998-11-14	VYDAJ	PREVOD NA UCET	4950	92083	SIPO	QR	15502429
2769962	9167	1998-12-14	VYDAJ	PREVOD NA UCET	4950	70982	SIPO	QR	15502429
2769972	9167	1997-10-06	VYDAJ	PREVOD NA UCET	887	42403	 	WX	99994199
2769973	9167	1997-11-06	VYDAJ	PREVOD NA UCET	887	63708	 	WX	99994199
2769974	9167	1997-12-06	VYDAJ	PREVOD NA UCET	887	39934	 	WX	99994199
2769975	9167	1998-01-06	VYDAJ	PREVOD NA UCET	887	22566	 	WX	99994199
2769976	9167	1998-02-06	VYDAJ	PREVOD NA UCET	887	22342	 	WX	99994199
2769977	9167	1998-03-06	VYDAJ	PREVOD NA UCET	887	37465	 	WX	99994199
2769978	9167	1998-04-06	VYDAJ	PREVOD NA UCET	887	35198	 	WX	99994199
2769979	9167	1998-05-06	VYDAJ	PREVOD NA UCET	887	32661	 	WX	99994199
2769980	9167	1998-06-06	VYDAJ	PREVOD NA UCET	887	35476	 	WX	99994199
2769981	9167	1998-07-06	VYDAJ	PREVOD NA UCET	887	34834	 	WX	99994199
2769982	9167	1998-08-06	VYDAJ	PREVOD NA UCET	887	45129	 	WX	99994199
2769983	9167	1998-09-06	VYDAJ	PREVOD NA UCET	887	69492	 	WX	99994199
2769984	9167	1998-10-06	VYDAJ	PREVOD NA UCET	887	90892	 	WX	99994199
2769985	9167	1998-11-06	VYDAJ	PREVOD NA UCET	887	102115	 	WX	99994199
2769986	9167	1998-12-06	VYDAJ	PREVOD NA UCET	887	57343	 	WX	99994199
2769996	9167	1997-10-10	VYDAJ	PREVOD NA UCET	545	30283	POJISTNE	AB	40962070
2769997	9167	1997-11-10	VYDAJ	PREVOD NA UCET	545	63163	POJISTNE	AB	40962070
2769998	9167	1997-12-10	VYDAJ	PREVOD NA UCET	545	34089	POJISTNE	AB	40962070
2769999	9167	1998-01-10	VYDAJ	PREVOD NA UCET	545	22021	POJISTNE	AB	40962070
2770000	9167	1998-02-10	VYDAJ	PREVOD NA UCET	545	21797	POJISTNE	AB	40962070
2770001	9167	1998-03-10	VYDAJ	PREVOD NA UCET	545	36920	POJISTNE	AB	40962070
2770002	9167	1998-04-10	VYDAJ	PREVOD NA UCET	545	34653	POJISTNE	AB	40962070
2770003	9167	1998-05-10	VYDAJ	PREVOD NA UCET	545	32116	POJISTNE	AB	40962070
2770004	9167	1998-06-10	VYDAJ	PREVOD NA UCET	545	22014	POJISTNE	AB	40962070
2770005	9167	1998-07-10	VYDAJ	PREVOD NA UCET	545	34289	POJISTNE	AB	40962070
2770006	9167	1998-08-10	VYDAJ	PREVOD NA UCET	545	44584	POJISTNE	AB	40962070
2770007	9167	1998-09-10	VYDAJ	PREVOD NA UCET	545	68947	POJISTNE	AB	40962070
2770008	9167	1998-10-10	VYDAJ	PREVOD NA UCET	545	90347	POJISTNE	AB	40962070
2770009	9167	1998-11-10	VYDAJ	PREVOD NA UCET	545	101570	POJISTNE	AB	40962070
2770010	9167	1998-12-10	VYDAJ	PREVOD NA UCET	545	105669	POJISTNE	AB	40962070
2770011	9167	1997-09-25	VYBER	VYBER	8986	95242	\N	\N	\N
2770015	9167	1997-10-10	VYBER	VYBER	11575	30828	\N	\N	\N
2770016	9167	1997-12-06	VYBER	VYBER	14289	40821	\N	\N	\N
2770017	9167	1997-11-15	VYBER	VYBER	5790	76325	\N	\N	\N
2770018	9167	1997-10-05	VYBER	VYBER	12504	43290	\N	\N	\N
2770020	9167	1998-06-08	VYBER	VYBER	12917	22559	\N	\N	\N
2770021	9167	1998-07-13	VYBER	VYBER	22123	25100	\N	\N	\N
2770023	9167	1998-11-21	VYBER	VYBER	23026	69057	\N	\N	\N
2770025	9167	1998-06-14	VYDAJ	VYBER	20100	29788	\N	\N	\N
2770027	9167	1998-01-26	VYDAJ	VYBER	26700	34999	\N	\N	\N
2770028	9167	1997-12-23	VYDAJ	VYBER	8400	20739	\N	\N	\N
2770029	9167	1998-12-13	VYDAJ	VYBER	8100	75932	\N	\N	\N
2770036	9167	1998-01-27	VYDAJ	VYBER	5700	29699	\N	\N	\N
2770038	9167	1998-01-29	VYDAJ	VYBER	6600	23099	\N	\N	\N
2770047	9167	1997-11-24	VYDAJ	VYBER	2100	87361	\N	\N	\N
2770050	9167	1998-08-25	VYDAJ	VYBER	6300	27397	\N	\N	\N
2770051	9167	1998-06-17	VYDAJ	VYBER	3000	56203	\N	\N	\N
2770052	9167	1998-06-27	VYDAJ	VYBER	8400	35403	\N	\N	\N
2770053	9167	1998-11-03	VYDAJ	VYBER	10500	87761	\N	\N	\N
2770054	9167	1998-09-11	VYDAJ	VYBER	13500	55447	\N	\N	\N
2770066	9167	1997-09-30	VYDAJ	VYBER	15	55794	SLUZBY	\N	\N
2770067	9167	1997-10-31	VYDAJ	VYBER	15	48252	SLUZBY	\N	\N
2770068	9167	1997-11-30	VYDAJ	VYBER	15	55110	SLUZBY	\N	\N
2770069	9167	1997-12-31	VYDAJ	VYBER	15	23453	SLUZBY	\N	\N
2770070	9167	1998-01-31	VYDAJ	VYBER	15	23229	SLUZBY	\N	\N
2770071	9167	1998-02-28	VYDAJ	VYBER	15	17173	SLUZBY	\N	\N
2770072	9167	1998-03-31	VYDAJ	VYBER	15	36085	SLUZBY	\N	\N
2770073	9167	1998-04-30	VYDAJ	VYBER	15	33548	SLUZBY	\N	\N
2770074	9167	1998-05-31	VYDAJ	VYBER	15	36363	SLUZBY	\N	\N
2770075	9167	1998-06-30	VYDAJ	VYBER	15	35721	SLUZBY	\N	\N
2770076	9167	1998-07-31	VYDAJ	VYBER	15	46016	SLUZBY	\N	\N
2770077	9167	1998-08-31	VYDAJ	VYBER	15	70379	SLUZBY	\N	\N
2770078	9167	1998-09-30	VYDAJ	VYBER	15	42698	SLUZBY	\N	\N
2770079	9167	1998-10-31	VYDAJ	VYBER	15	78695	SLUZBY	\N	\N
2770080	9167	1998-11-30	VYDAJ	VYBER	15	58230	SLUZBY	\N	\N
2770081	9167	1997-05-02	PRIJEM	VKLAD	10200	17727	\N	\N	\N
2770082	9167	1997-06-01	PRIJEM	VKLAD	5200	22958	\N	\N	\N
2770083	9167	1997-07-01	PRIJEM	VKLAD	2300	25289	\N	\N	\N
2770084	9167	1997-07-31	VYDAJ	VYBER	1500	23826	\N	\N	\N
2770085	9167	1997-08-30	VYDAJ	VYBER	35500	56478	\N	\N	\N
2770086	9167	1997-09-29	VYDAJ	VYBER	39800	55442	\N	\N	\N
2770087	9167	1997-10-29	VYDAJ	VYBER	2400	19533	\N	\N	\N
2770088	9167	1997-11-28	VYDAJ	VYBER	32800	54561	\N	\N	\N
2770089	9167	1997-12-28	PRIJEM	VKLAD	2500	23239	\N	\N	\N
2770090	9167	1998-01-27	PRIJEM	VKLAD	400	35399	\N	\N	\N
2770091	9167	1998-02-26	PRIJEM	VKLAD	4500	17047	\N	\N	\N
2770092	9167	1998-03-28	VYDAJ	VYBER	5300	35814	\N	\N	\N
2770093	9167	1998-04-27	VYDAJ	VYBER	3000	33307	\N	\N	\N
2770094	9167	1998-05-27	VYDAJ	VYBER	2800	36184	\N	\N	\N
2770095	9167	1998-06-26	VYDAJ	VYBER	12400	43803	\N	\N	\N
2770096	9167	1998-07-26	VYDAJ	VYBER	10700	45726	\N	\N	\N
2770097	9167	1998-08-25	VYDAJ	VYBER	1400	33697	\N	\N	\N
2770098	9167	1998-09-24	VYDAJ	VYBER	17400	42240	\N	\N	\N
2770099	9167	1998-10-20	VYDAJ	VYBER	17700	110430	\N	\N	\N
2770100	9167	1998-10-24	VYDAJ	VYBER	43300	67130	\N	\N	\N
2770101	9167	1998-11-02	VYDAJ	VYBER	26500	87828	\N	\N	\N
2770102	9167	1998-11-23	VYDAJ	VYBER	21200	47857	\N	\N	\N
2770103	9167	1998-12-10	VYDAJ	VYBER	17100	88569	\N	\N	\N
2773064	9179	1997-01-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2773066	9179	1997-02-12	PRIJEM	PREVOD Z UCTU	21502	22502	\N	ST	23361808
2773067	9179	1997-03-12	PRIJEM	PREVOD Z UCTU	21502	43560	\N	ST	23361808
2773068	9179	1997-04-12	PRIJEM	PREVOD Z UCTU	21502	55911	\N	ST	23361808
2773069	9179	1997-05-12	PRIJEM	PREVOD Z UCTU	21502	62315	\N	ST	23361808
2773070	9179	1997-06-12	PRIJEM	PREVOD Z UCTU	32253	74897	\N	ST	23361808
2773071	9179	1997-07-12	PRIJEM	PREVOD Z UCTU	21502	53257	\N	ST	23361808
2773072	9179	1997-08-12	PRIJEM	PREVOD Z UCTU	21502	49427	\N	ST	23361808
2773073	9179	1997-09-12	PRIJEM	PREVOD Z UCTU	21502	43787	\N	ST	23361808
2773074	9179	1997-10-12	PRIJEM	PREVOD Z UCTU	21502	49895	\N	ST	23361808
2773075	9179	1997-11-12	PRIJEM	PREVOD Z UCTU	21502	47801	\N	ST	23361808
2773076	9179	1997-12-12	PRIJEM	PREVOD Z UCTU	32253	68989	\N	ST	23361808
2773077	9179	1998-01-12	PRIJEM	PREVOD Z UCTU	21502	48020	\N	ST	23361808
2773078	9179	1998-02-12	PRIJEM	PREVOD Z UCTU	21502	40703	\N	ST	23361808
2773079	9179	1998-03-12	PRIJEM	PREVOD Z UCTU	21502	59749	\N	ST	23361808
2773080	9179	1998-04-12	PRIJEM	PREVOD Z UCTU	21502	67914	\N	ST	23361808
2773081	9179	1998-05-12	PRIJEM	PREVOD Z UCTU	21502	74573	\N	ST	23361808
2773082	9179	1998-06-12	PRIJEM	PREVOD Z UCTU	32253	76321	\N	ST	23361808
2773083	9179	1998-07-12	PRIJEM	PREVOD Z UCTU	21502	69958	\N	ST	23361808
2773084	9179	1998-08-12	PRIJEM	PREVOD Z UCTU	21502	57916	\N	ST	23361808
2773085	9179	1998-09-12	PRIJEM	PREVOD Z UCTU	21502	49585	\N	ST	23361808
2773086	9179	1998-10-12	PRIJEM	PREVOD Z UCTU	21502	56801	\N	ST	23361808
2773087	9179	1998-11-12	PRIJEM	PREVOD Z UCTU	21502	59851	\N	ST	23361808
2773088	9179	1998-12-12	PRIJEM	PREVOD Z UCTU	32253	72070	\N	ST	23361808
2773094	9179	1997-06-15	VYDAJ	VYBER	3700	71197	\N	\N	0
2773095	9179	1997-07-12	VYDAJ	VYBER	3900	49357	\N	\N	0
2773096	9179	1997-08-13	VYDAJ	VYBER	4200	45227	\N	\N	0
2773097	9179	1997-09-21	VYDAJ	VYBER	3900	33287	\N	\N	0
2773098	9179	1997-10-13	VYDAJ	VYBER	3300	46595	\N	\N	0
2773099	9179	1997-11-08	VYDAJ	VYBER	3400	26299	\N	\N	0
2773100	9179	1997-12-13	VYDAJ	VYBER	2900	59189	\N	\N	0
2773101	9179	1998-01-03	VYDAJ	VYBER	3300	26518	\N	\N	0
2773102	9179	1998-02-05	VYDAJ	VYBER	3000	19201	\N	\N	0
2773103	9179	1998-03-12	VYDAJ	PREVOD NA UCET	3584	56166	UVER	CD	47917145
2773104	9179	1998-04-12	VYDAJ	PREVOD NA UCET	3584	64331	UVER	CD	47917145
2773105	9179	1998-05-12	VYDAJ	PREVOD NA UCET	3584	70989	UVER	CD	47917145
2773106	9179	1998-06-12	VYDAJ	PREVOD NA UCET	3584	72738	UVER	CD	47917145
2773107	9179	1998-07-12	VYDAJ	PREVOD NA UCET	3584	66374	UVER	CD	47917145
2773108	9179	1998-08-12	VYDAJ	PREVOD NA UCET	3584	54333	UVER	CD	47917145
2773109	9179	1998-09-12	VYDAJ	PREVOD NA UCET	3584	46002	UVER	CD	47917145
2773110	9179	1998-10-12	VYDAJ	PREVOD NA UCET	3584	53218	UVER	CD	47917145
2773111	9179	1998-11-12	VYDAJ	PREVOD NA UCET	3584	42167	UVER	CD	47917145
2773112	9179	1998-12-12	VYDAJ	PREVOD NA UCET	3584	47486	UVER	CD	47917145
2773113	9179	1997-10-28	VYBER	VYBER	6728	29467	\N	\N	\N
2773117	9179	1997-07-02	VYBER	VYBER	13639	31755	\N	\N	\N
2773119	9179	1997-08-23	VYBER	VYBER	13234	22093	\N	\N	\N
2773121	9179	1998-08-07	VYBER	VYBER	9229	36414	\N	\N	\N
2773124	9179	1998-01-21	VYBER	VYBER	2766	27367	\N	\N	\N
2773125	9179	1998-12-14	VYBER	VYBER	5951	41535	\N	\N	\N
2773126	9179	1998-01-17	VYBER	VYBER	5787	30133	\N	\N	\N
2773131	9179	1997-12-21	VYDAJ	VYBER	4200	38189	\N	\N	\N
2773132	9179	1998-12-10	VYDAJ	VYBER	2700	39817	\N	\N	\N
2773142	9179	1998-01-15	VYDAJ	VYBER	4800	43220	\N	\N	\N
2773143	9179	1998-01-03	VYDAJ	VYBER	8700	29818	\N	\N	\N
2773144	9179	1998-01-16	VYDAJ	VYBER	7200	35920	\N	\N	\N
2773146	9179	1997-07-20	VYDAJ	VYBER	9900	27657	\N	\N	\N
2773147	9179	1997-12-12	VYDAJ	VYBER	6900	62089	\N	\N	\N
2773149	9179	1997-10-02	VYDAJ	VYBER	5100	28393	\N	\N	\N
2773151	9179	1997-07-19	VYDAJ	VYBER	5100	44257	\N	\N	\N
2773152	9179	1998-05-13	VYDAJ	VYBER	12000	58989	\N	\N	\N
2773153	9179	1998-12-17	VYDAJ	VYBER	6900	34635	\N	\N	\N
2773154	9179	1998-08-31	VYDAJ	VYBER	11100	28083	\N	\N	\N
2773155	9179	1998-06-19	VYDAJ	VYBER	2100	48138	\N	\N	\N
2773156	9179	1998-01-21	VYDAJ	VYBER	5400	21967	\N	\N	\N
2773163	9179	1997-06-30	VYDAJ	VYBER	15	45394	SLUZBY	\N	\N
2773164	9179	1997-07-31	VYDAJ	VYBER	15	27925	SLUZBY	\N	\N
2773165	9179	1997-08-31	VYDAJ	VYBER	15	22285	SLUZBY	\N	\N
2773166	9179	1997-09-30	VYDAJ	VYBER	15	33493	SLUZBY	\N	\N
2773167	9179	1997-10-31	VYDAJ	VYBER	15	29699	SLUZBY	\N	\N
2773168	9179	1997-11-30	VYDAJ	VYBER	15	36736	SLUZBY	\N	\N
2773169	9179	1997-12-31	VYDAJ	VYBER	15	38518	SLUZBY	\N	\N
2773170	9179	1998-01-31	VYDAJ	VYBER	15	22201	SLUZBY	\N	\N
2773171	9179	1998-02-28	VYDAJ	VYBER	15	38247	SLUZBY	\N	\N
2773172	9179	1998-03-31	VYDAJ	VYBER	15	46412	SLUZBY	\N	\N
2773173	9179	1998-04-30	VYDAJ	VYBER	15	53071	SLUZBY	\N	\N
2773174	9179	1998-05-31	VYDAJ	VYBER	15	44068	SLUZBY	\N	\N
2773175	9179	1998-06-30	VYDAJ	VYBER	15	48456	SLUZBY	\N	\N
2773176	9179	1998-07-31	VYDAJ	VYBER	15	45643	SLUZBY	\N	\N
2773177	9179	1998-08-31	VYDAJ	VYBER	15	39183	SLUZBY	\N	\N
2773178	9179	1998-09-30	VYDAJ	VYBER	15	35299	SLUZBY	\N	\N
2773179	9179	1998-10-31	VYDAJ	VYBER	15	38349	SLUZBY	\N	\N
2773180	9179	1998-11-30	VYDAJ	VYBER	15	42517	SLUZBY	\N	\N
2773181	9179	1997-02-20	VYDAJ	VYBER	500	22002	\N	\N	\N
2773182	9179	1997-03-22	VYDAJ	VYBER	9300	34260	\N	\N	\N
2773183	9179	1997-04-21	VYDAJ	VYBER	15300	40611	\N	\N	\N
2773184	9179	1997-05-21	VYDAJ	VYBER	19900	42415	\N	\N	\N
2773185	9179	1997-06-20	VYDAJ	VYBER	26100	45097	\N	\N	\N
2773186	9179	1997-07-20	VYDAJ	VYBER	6700	37557	\N	\N	\N
2773187	9179	1997-08-19	VYDAJ	VYBER	9900	35327	\N	\N	\N
2773188	9179	1997-09-18	VYDAJ	VYBER	6600	37187	\N	\N	\N
2773189	9179	1997-10-18	VYDAJ	VYBER	10400	36195	\N	\N	\N
2773190	9179	1997-11-17	VYDAJ	VYBER	11300	36501	\N	\N	\N
2773191	9179	1997-12-17	VYDAJ	VYBER	16800	42389	\N	\N	\N
2773192	9179	1998-01-16	VYDAJ	VYBER	100	43120	\N	\N	\N
2773193	9179	1998-02-15	VYDAJ	VYBER	2700	38003	\N	\N	\N
2773194	9179	1998-03-17	VYDAJ	VYBER	10100	46066	\N	\N	\N
2773195	9179	1998-04-16	VYDAJ	VYBER	11600	52731	\N	\N	\N
2773196	9179	1998-05-16	VYDAJ	VYBER	15300	43689	\N	\N	\N
2773197	9179	1998-06-15	VYDAJ	VYBER	22500	50238	\N	\N	\N
2773198	9179	1998-07-15	VYDAJ	VYBER	21100	45274	\N	\N	\N
2773199	9179	1998-08-14	VYDAJ	VYBER	15400	38933	\N	\N	\N
2773200	9179	1998-09-13	VYDAJ	VYBER	10900	35102	\N	\N	\N
2773201	9179	1998-10-13	VYDAJ	VYBER	15100	38118	\N	\N	\N
2773202	9179	1998-11-12	VYDAJ	VYBER	14100	45751	\N	\N	\N
2773203	9179	1998-12-12	VYDAJ	VYBER	21000	51070	\N	\N	\N
2775579	9188	1993-02-08	PRIJEM	VKLAD	800	800	\N	\N	\N
2775582	9188	1993-03-07	PRIJEM	PREVOD Z UCTU	12710	13510	\N	GH	78292494
2775583	9188	1993-04-07	PRIJEM	PREVOD Z UCTU	12710	30020	\N	GH	78292494
2775584	9188	1993-05-07	PRIJEM	PREVOD Z UCTU	12710	40513	\N	GH	78292494
2775585	9188	1993-06-07	PRIJEM	PREVOD Z UCTU	19065	49590	\N	GH	78292494
2775586	9188	1993-07-07	PRIJEM	PREVOD Z UCTU	12710	47746	\N	GH	78292494
2775587	9188	1993-08-07	PRIJEM	PREVOD Z UCTU	12710	33179	\N	GH	78292494
2775588	9188	1993-09-07	PRIJEM	PREVOD Z UCTU	12710	35435	\N	GH	78292494
2775589	9188	1993-10-07	PRIJEM	PREVOD Z UCTU	12710	36618	\N	GH	78292494
2775590	9188	1993-11-07	PRIJEM	PREVOD Z UCTU	12710	39920	\N	GH	78292494
2775591	9188	1993-12-07	PRIJEM	PREVOD Z UCTU	19065	47614	\N	GH	78292494
2775592	9188	1994-01-07	PRIJEM	PREVOD Z UCTU	12710	39249	\N	GH	78292494
2775593	9188	1994-02-07	PRIJEM	PREVOD Z UCTU	12710	36147	\N	GH	78292494
2775594	9188	1994-03-07	PRIJEM	PREVOD Z UCTU	12710	38033	\N	GH	78292494
2775595	9188	1994-04-07	PRIJEM	PREVOD Z UCTU	12710	41438	\N	GH	78292494
2775596	9188	1994-05-07	PRIJEM	PREVOD Z UCTU	12710	39363	\N	GH	78292494
2775597	9188	1994-06-07	PRIJEM	PREVOD Z UCTU	19065	42344	\N	GH	78292494
2775598	9188	1994-07-07	PRIJEM	PREVOD Z UCTU	12710	40654	\N	GH	78292494
2775599	9188	1994-08-07	PRIJEM	PREVOD Z UCTU	12710	36228	\N	GH	78292494
2775600	9188	1994-09-07	PRIJEM	PREVOD Z UCTU	12710	39062	\N	GH	78292494
2775601	9188	1994-10-07	PRIJEM	PREVOD Z UCTU	12710	38864	\N	GH	78292494
2775602	9188	1994-11-07	PRIJEM	PREVOD Z UCTU	12710	37767	\N	GH	78292494
2775603	9188	1994-12-07	PRIJEM	PREVOD Z UCTU	19065	46819	\N	GH	78292494
2775604	9188	1995-01-07	PRIJEM	PREVOD Z UCTU	12710	34624	\N	GH	78292494
2775605	9188	1995-02-07	PRIJEM	PREVOD Z UCTU	12710	35006	\N	GH	78292494
2775606	9188	1995-03-07	PRIJEM	PREVOD Z UCTU	12710	34574	\N	GH	78292494
2775607	9188	1995-04-07	PRIJEM	PREVOD Z UCTU	12710	36944	\N	GH	78292494
2775608	9188	1995-05-07	PRIJEM	PREVOD Z UCTU	12710	35925	\N	GH	78292494
2775609	9188	1995-06-07	PRIJEM	PREVOD Z UCTU	19065	41455	\N	GH	78292494
2775610	9188	1995-07-07	PRIJEM	PREVOD Z UCTU	12710	36879	\N	GH	78292494
2775611	9188	1995-08-07	PRIJEM	PREVOD Z UCTU	12710	35280	\N	GH	78292494
2775612	9188	1995-09-07	PRIJEM	PREVOD Z UCTU	12710	30957	\N	GH	78292494
2775613	9188	1995-10-07	PRIJEM	PREVOD Z UCTU	12710	30491	\N	GH	78292494
2775614	9188	1995-11-07	PRIJEM	PREVOD Z UCTU	12710	30721	\N	GH	78292494
2775615	9188	1995-12-07	PRIJEM	PREVOD Z UCTU	19065	34719	\N	GH	78292494
2775616	9188	1996-01-07	PRIJEM	PREVOD Z UCTU	12710	30576	\N	GH	78292494
2775617	9188	1996-02-07	PRIJEM	PREVOD Z UCTU	12710	32810	\N	GH	78292494
2775618	9188	1996-03-07	PRIJEM	PREVOD Z UCTU	12710	35072	\N	GH	78292494
2775619	9188	1996-04-07	PRIJEM	PREVOD Z UCTU	12710	30125	\N	GH	78292494
2775620	9188	1996-05-07	PRIJEM	PREVOD Z UCTU	12710	32365	\N	GH	78292494
2775621	9188	1996-06-07	PRIJEM	PREVOD Z UCTU	19065	40974	\N	GH	78292494
2775622	9188	1996-07-07	PRIJEM	PREVOD Z UCTU	12710	30042	\N	GH	78292494
2775623	9188	1996-08-07	PRIJEM	PREVOD Z UCTU	12710	32266	\N	GH	78292494
2775624	9188	1996-09-07	PRIJEM	PREVOD Z UCTU	12710	34509	\N	GH	78292494
2775625	9188	1996-10-07	PRIJEM	PREVOD Z UCTU	12710	36780	\N	GH	78292494
2775626	9188	1996-11-07	PRIJEM	PREVOD Z UCTU	12710	39052	\N	GH	78292494
2775627	9188	1996-12-07	PRIJEM	PREVOD Z UCTU	19065	46188	\N	GH	78292494
2775628	9188	1997-01-07	PRIJEM	PREVOD Z UCTU	12710	42490	\N	GH	78292494
2775629	9188	1997-02-07	PRIJEM	PREVOD Z UCTU	12710	38169	\N	GH	78292494
2775630	9188	1997-03-07	PRIJEM	PREVOD Z UCTU	12710	40465	\N	GH	78292494
2775631	9188	1997-04-07	PRIJEM	PREVOD Z UCTU	12710	42763	\N	GH	78292494
2775632	9188	1997-05-07	PRIJEM	PREVOD Z UCTU	12710	45076	\N	GH	78292494
2775633	9188	1997-06-07	PRIJEM	PREVOD Z UCTU	19065	49263	\N	GH	78292494
2775634	9188	1997-07-07	PRIJEM	PREVOD Z UCTU	12710	40514	\N	GH	78292494
2775635	9188	1997-08-07	PRIJEM	PREVOD Z UCTU	12710	42826	\N	GH	78292494
2775636	9188	1997-09-07	PRIJEM	PREVOD Z UCTU	12710	45158	\N	GH	78292494
2775637	9188	1997-10-07	PRIJEM	PREVOD Z UCTU	12710	39979	\N	GH	78292494
2775638	9188	1997-11-07	PRIJEM	PREVOD Z UCTU	12710	42267	\N	GH	78292494
2775639	9188	1997-12-07	PRIJEM	PREVOD Z UCTU	19065	50926	\N	GH	78292494
2775640	9188	1998-01-07	PRIJEM	PREVOD Z UCTU	12710	40383	\N	GH	78292494
2775641	9188	1998-02-07	PRIJEM	PREVOD Z UCTU	12710	39656	\N	GH	78292494
2775642	9188	1998-03-07	PRIJEM	PREVOD Z UCTU	12710	41957	\N	GH	78292494
2775643	9188	1998-04-07	PRIJEM	PREVOD Z UCTU	12710	44271	\N	GH	78292494
2775644	9188	1998-05-07	PRIJEM	PREVOD Z UCTU	12710	43271	\N	GH	78292494
2775645	9188	1998-06-07	PRIJEM	PREVOD Z UCTU	19065	48403	\N	GH	78292494
2775646	9188	1998-07-07	PRIJEM	PREVOD Z UCTU	12710	50762	\N	GH	78292494
2775647	9188	1998-08-07	PRIJEM	PREVOD Z UCTU	12710	35625	\N	GH	78292494
2775648	9188	1998-09-07	PRIJEM	PREVOD Z UCTU	12710	35904	\N	GH	78292494
2775649	9188	1998-10-07	PRIJEM	PREVOD Z UCTU	12710	38494	\N	GH	78292494
2775650	9188	1998-11-07	PRIJEM	PREVOD Z UCTU	12710	40591	\N	GH	78292494
2775651	9188	1998-12-07	PRIJEM	PREVOD Z UCTU	19065	51359	\N	GH	78292494
2775658	9188	1993-07-12	VYDAJ	VYBER	1700	32273	\N	\N	0
2775659	9188	1993-08-12	VYDAJ	PREVOD NA UCET	2118	20487	UVER	GH	22466057
2775660	9188	1993-09-12	VYDAJ	PREVOD NA UCET	2118	24844	UVER	GH	22466057
2775661	9188	1993-10-12	VYDAJ	PREVOD NA UCET	2118	26027	UVER	GH	22466057
2775662	9188	1993-11-12	VYDAJ	PREVOD NA UCET	2118	29329	UVER	GH	22466057
2775663	9188	1993-12-12	VYDAJ	PREVOD NA UCET	2118	37023	UVER	GH	22466057
2775664	9188	1994-01-12	VYDAJ	PREVOD NA UCET	2118	21758	UVER	GH	22466057
2775665	9188	1994-02-12	VYDAJ	PREVOD NA UCET	2118	25556	UVER	GH	22466057
2775666	9188	1994-03-12	VYDAJ	PREVOD NA UCET	2118	27441	UVER	GH	22466057
2775667	9188	1994-04-12	VYDAJ	PREVOD NA UCET	2118	30846	UVER	GH	22466057
2775668	9188	1994-05-12	VYDAJ	PREVOD NA UCET	2118	28771	UVER	GH	22466057
2775669	9188	1994-06-12	VYDAJ	PREVOD NA UCET	2118	31753	UVER	GH	22466057
2775670	9188	1994-07-12	VYDAJ	PREVOD NA UCET	2118	30063	UVER	GH	22466057
2775671	9188	1994-08-12	VYDAJ	PREVOD NA UCET	2118	25636	UVER	GH	22466057
2775672	9188	1994-09-12	VYDAJ	PREVOD NA UCET	2118	28471	UVER	GH	22466057
2775673	9188	1994-10-12	VYDAJ	PREVOD NA UCET	2118	28273	UVER	GH	22466057
2775674	9188	1994-11-12	VYDAJ	PREVOD NA UCET	2118	27176	UVER	GH	22466057
2775675	9188	1994-12-12	VYDAJ	PREVOD NA UCET	2118	25428	UVER	GH	22466057
2775676	9188	1995-01-12	VYDAJ	PREVOD NA UCET	2118	24033	UVER	GH	22466057
2776128	9188	1996-06-30	VYDAJ	VYBER	15	17332	SLUZBY	\N	\N
2775677	9188	1995-02-12	VYDAJ	PREVOD NA UCET	2118	24415	UVER	GH	22466057
2775678	9188	1995-03-12	VYDAJ	PREVOD NA UCET	2118	23982	UVER	GH	22466057
2775679	9188	1995-04-12	VYDAJ	PREVOD NA UCET	2118	26353	UVER	GH	22466057
2775680	9188	1995-05-12	VYDAJ	PREVOD NA UCET	2118	25333	UVER	GH	22466057
2775681	9188	1995-06-12	VYDAJ	PREVOD NA UCET	2118	30864	UVER	GH	22466057
2775682	9188	1995-07-12	VYDAJ	PREVOD NA UCET	2118	26287	UVER	GH	22466057
2775683	9188	1995-08-12	VYDAJ	PREVOD NA UCET	2118	24688	UVER	GH	22466057
2775684	9188	1995-09-12	VYDAJ	PREVOD NA UCET	2118	20366	UVER	GH	22466057
2775685	9188	1995-10-12	VYDAJ	PREVOD NA UCET	2118	19899	UVER	GH	22466057
2775686	9188	1995-11-12	VYDAJ	PREVOD NA UCET	2118	20129	UVER	GH	22466057
2775687	9188	1995-12-12	VYDAJ	PREVOD NA UCET	2118	24128	UVER	GH	22466057
2775688	9188	1996-01-12	VYDAJ	PREVOD NA UCET	2118	19985	UVER	GH	22466057
2775689	9188	1996-02-12	VYDAJ	PREVOD NA UCET	2118	22219	UVER	GH	22466057
2775690	9188	1996-03-12	VYDAJ	PREVOD NA UCET	2118	24480	UVER	GH	22466057
2775691	9188	1996-04-12	VYDAJ	PREVOD NA UCET	2118	19534	UVER	GH	22466057
2775692	9188	1996-05-12	VYDAJ	PREVOD NA UCET	2118	21774	UVER	GH	22466057
2775693	9188	1996-06-12	VYDAJ	PREVOD NA UCET	2118	30382	UVER	GH	22466057
2775694	9188	1996-07-12	VYDAJ	PREVOD NA UCET	2118	19451	UVER	GH	22466057
2775695	9188	1996-08-12	VYDAJ	PREVOD NA UCET	2118	21675	UVER	GH	22466057
2775696	9188	1996-09-12	VYDAJ	PREVOD NA UCET	2118	23918	UVER	GH	22466057
2775697	9188	1996-10-12	VYDAJ	PREVOD NA UCET	2118	26188	UVER	GH	22466057
2775698	9188	1996-11-12	VYDAJ	PREVOD NA UCET	2118	28460	UVER	GH	22466057
2775699	9188	1996-12-12	VYDAJ	PREVOD NA UCET	2118	29597	UVER	GH	22466057
2775700	9188	1997-01-12	VYDAJ	PREVOD NA UCET	2118	28898	UVER	GH	22466057
2775701	9188	1997-02-12	VYDAJ	PREVOD NA UCET	2118	27577	UVER	GH	22466057
2775702	9188	1997-03-12	VYDAJ	PREVOD NA UCET	2118	29874	UVER	GH	22466057
2775703	9188	1997-04-12	VYDAJ	PREVOD NA UCET	2118	32172	UVER	GH	22466057
2775704	9188	1997-05-12	VYDAJ	PREVOD NA UCET	2118	34484	UVER	GH	22466057
2775705	9188	1997-06-12	VYDAJ	PREVOD NA UCET	2118	38672	UVER	GH	22466057
2775706	9188	1997-07-12	VYDAJ	PREVOD NA UCET	2118	29923	UVER	GH	22466057
2775707	9188	1997-08-12	VYDAJ	PREVOD NA UCET	2118	32235	UVER	GH	22466057
2775708	9188	1997-09-12	VYDAJ	PREVOD NA UCET	2118	34567	UVER	GH	22466057
2775709	9188	1997-10-12	VYDAJ	PREVOD NA UCET	2118	29388	UVER	GH	22466057
2775710	9188	1997-11-12	VYDAJ	PREVOD NA UCET	2118	31675	UVER	GH	22466057
2775711	9188	1997-12-12	VYDAJ	PREVOD NA UCET	2118	38535	UVER	GH	22466057
2775712	9188	1998-01-12	VYDAJ	PREVOD NA UCET	2118	26792	UVER	GH	22466057
2775713	9188	1998-02-12	VYDAJ	PREVOD NA UCET	2118	29065	UVER	GH	22466057
2775714	9188	1998-03-12	VYDAJ	PREVOD NA UCET	2118	31365	UVER	GH	22466057
2775715	9188	1998-04-12	VYDAJ	PREVOD NA UCET	2118	33680	UVER	GH	22466057
2775716	9188	1998-05-12	VYDAJ	PREVOD NA UCET	2118	29168	UVER	GH	22466057
2775717	9188	1998-06-12	VYDAJ	PREVOD NA UCET	2118	37812	UVER	GH	22466057
2775718	9188	1998-07-12	VYDAJ	PREVOD NA UCET	2118	22759	UVER	GH	22466057
2775719	9188	1998-08-14	VYDAJ	VYBER	2200	24952	\N	\N	0
2775720	9188	1998-09-06	VYDAJ	VYBER	1900	23194	\N	\N	0
2775721	9188	1998-10-06	VYDAJ	VYBER	1800	25784	\N	\N	0
2775722	9188	1998-11-03	VYDAJ	VYBER	2300	27881	\N	\N	0
2775723	9188	1998-12-20	VYDAJ	VYBER	1800	41086	\N	\N	0
2775730	9188	1993-07-07	VYDAJ	PREVOD NA UCET	7936	39744	SIPO	OP	94166147
2775731	9188	1993-08-07	VYDAJ	PREVOD NA UCET	7936	25243	SIPO	OP	94166147
2775732	9188	1993-09-07	VYDAJ	PREVOD NA UCET	7936	27499	SIPO	OP	94166147
2775733	9188	1993-10-07	VYDAJ	PREVOD NA UCET	7936	28682	SIPO	OP	94166147
2775734	9188	1993-11-07	VYDAJ	PREVOD NA UCET	7936	31984	SIPO	OP	94166147
2775735	9188	1993-12-07	VYDAJ	PREVOD NA UCET	7936	39678	SIPO	OP	94166147
2775736	9188	1994-01-07	VYDAJ	PREVOD NA UCET	7936	31313	SIPO	OP	94166147
2775737	9188	1994-02-07	VYDAJ	PREVOD NA UCET	7936	28145	SIPO	OP	94166147
2775738	9188	1994-03-07	VYDAJ	PREVOD NA UCET	7936	30031	SIPO	OP	94166147
2775739	9188	1994-04-07	VYDAJ	PREVOD NA UCET	7936	33436	SIPO	OP	94166147
2775740	9188	1994-05-07	VYDAJ	PREVOD NA UCET	7936	31427	SIPO	OP	94166147
2775741	9188	1994-06-07	VYDAJ	PREVOD NA UCET	7936	34342	SIPO	OP	94166147
2775742	9188	1994-07-07	VYDAJ	PREVOD NA UCET	7936	32718	SIPO	OP	94166147
2775743	9188	1994-08-07	VYDAJ	PREVOD NA UCET	7936	28292	SIPO	OP	94166147
2775744	9188	1994-09-07	VYDAJ	PREVOD NA UCET	7936	31126	SIPO	OP	94166147
2775745	9188	1994-10-07	VYDAJ	PREVOD NA UCET	7936	30862	SIPO	OP	94166147
2775746	9188	1994-11-07	VYDAJ	PREVOD NA UCET	7936	29831	SIPO	OP	94166147
2775747	9188	1994-12-07	VYDAJ	PREVOD NA UCET	7936	38817	SIPO	OP	94166147
2775748	9188	1995-01-07	VYDAJ	PREVOD NA UCET	7936	26688	SIPO	OP	94166147
2775749	9188	1995-02-07	VYDAJ	PREVOD NA UCET	7936	27070	SIPO	OP	94166147
2775750	9188	1995-03-07	VYDAJ	PREVOD NA UCET	7936	26572	SIPO	OP	94166147
2775751	9188	1995-04-07	VYDAJ	PREVOD NA UCET	7936	28942	SIPO	OP	94166147
2775752	9188	1995-05-07	VYDAJ	PREVOD NA UCET	7936	27923	SIPO	OP	94166147
2775753	9188	1995-06-07	VYDAJ	PREVOD NA UCET	7936	33519	SIPO	OP	94166147
2775754	9188	1995-07-07	VYDAJ	PREVOD NA UCET	7936	28943	SIPO	OP	94166147
2775755	9188	1995-08-07	VYDAJ	PREVOD NA UCET	7936	27278	SIPO	OP	94166147
2775756	9188	1995-09-07	VYDAJ	PREVOD NA UCET	7936	22955	SIPO	OP	94166147
2775757	9188	1995-10-07	VYDAJ	PREVOD NA UCET	7936	22489	SIPO	OP	94166147
2775758	9188	1995-11-07	VYDAJ	PREVOD NA UCET	7936	22719	SIPO	OP	94166147
2775759	9188	1995-12-07	VYDAJ	PREVOD NA UCET	7936	26717	SIPO	OP	94166147
2775760	9188	1996-01-07	VYDAJ	PREVOD NA UCET	7936	22640	SIPO	OP	94166147
2775761	9188	1996-02-07	VYDAJ	PREVOD NA UCET	7936	24808	SIPO	OP	94166147
2775762	9188	1996-03-07	VYDAJ	PREVOD NA UCET	7936	27070	SIPO	OP	94166147
2775763	9188	1996-04-07	VYDAJ	PREVOD NA UCET	7936	22189	SIPO	OP	94166147
2775764	9188	1996-05-07	VYDAJ	PREVOD NA UCET	7936	24363	SIPO	OP	94166147
2775765	9188	1996-06-07	VYDAJ	PREVOD NA UCET	7936	32972	SIPO	OP	94166147
2775766	9188	1996-07-07	VYDAJ	PREVOD NA UCET	7936	22106	SIPO	OP	94166147
2775767	9188	1996-08-07	VYDAJ	PREVOD NA UCET	7936	24330	SIPO	OP	94166147
2775768	9188	1996-09-07	VYDAJ	PREVOD NA UCET	7936	26507	SIPO	OP	94166147
2775769	9188	1996-10-07	VYDAJ	PREVOD NA UCET	7936	28778	SIPO	OP	94166147
2775770	9188	1996-11-07	VYDAJ	PREVOD NA UCET	7936	31050	SIPO	OP	94166147
2775771	9188	1996-12-07	VYDAJ	PREVOD NA UCET	7936	38252	SIPO	OP	94166147
2775772	9188	1997-01-07	VYDAJ	PREVOD NA UCET	7936	34554	SIPO	OP	94166147
2775773	9188	1997-02-07	VYDAJ	PREVOD NA UCET	7936	30167	SIPO	OP	94166147
2775774	9188	1997-03-07	VYDAJ	PREVOD NA UCET	7936	32463	SIPO	OP	94166147
2775775	9188	1997-04-07	VYDAJ	PREVOD NA UCET	7936	34761	SIPO	OP	94166147
2775776	9188	1997-05-07	VYDAJ	PREVOD NA UCET	7936	37074	SIPO	OP	94166147
2775777	9188	1997-06-07	VYDAJ	PREVOD NA UCET	7936	41327	SIPO	OP	94166147
2775778	9188	1997-07-07	VYDAJ	PREVOD NA UCET	7936	32578	SIPO	OP	94166147
2775779	9188	1997-08-07	VYDAJ	PREVOD NA UCET	7936	34824	SIPO	OP	94166147
2775780	9188	1997-09-07	VYDAJ	PREVOD NA UCET	7936	37156	SIPO	OP	94166147
2775781	9188	1997-10-07	VYDAJ	PREVOD NA UCET	7936	31977	SIPO	OP	94166147
2775782	9188	1997-11-07	VYDAJ	PREVOD NA UCET	7936	34265	SIPO	OP	94166147
2775783	9188	1997-12-07	VYDAJ	PREVOD NA UCET	7936	42924	SIPO	OP	94166147
2775784	9188	1998-01-07	VYDAJ	PREVOD NA UCET	7936	32447	SIPO	OP	94166147
2775785	9188	1998-02-07	VYDAJ	PREVOD NA UCET	7936	31720	SIPO	OP	94166147
2775786	9188	1998-03-07	VYDAJ	PREVOD NA UCET	7936	33955	SIPO	OP	94166147
2775787	9188	1998-04-07	VYDAJ	PREVOD NA UCET	7936	36269	SIPO	OP	94166147
2775788	9188	1998-05-07	VYDAJ	PREVOD NA UCET	7936	35335	SIPO	OP	94166147
2775789	9188	1998-06-07	VYDAJ	PREVOD NA UCET	7936	40467	SIPO	OP	94166147
2775790	9188	1998-07-07	VYDAJ	PREVOD NA UCET	7936	25348	SIPO	OP	94166147
2775791	9188	1998-08-07	VYDAJ	PREVOD NA UCET	7936	27689	SIPO	OP	94166147
2775792	9188	1998-09-07	VYDAJ	PREVOD NA UCET	7936	27902	SIPO	OP	94166147
2775793	9188	1998-10-07	VYDAJ	PREVOD NA UCET	7936	30492	SIPO	OP	94166147
2775794	9188	1998-11-07	VYDAJ	PREVOD NA UCET	7936	32655	SIPO	OP	94166147
2775795	9188	1998-12-07	VYDAJ	PREVOD NA UCET	7936	43357	SIPO	OP	94166147
2775802	9188	1993-07-09	VYDAJ	PREVOD NA UCET	471	33973	 	GH	11309677
2775803	9188	1993-08-09	VYDAJ	PREVOD NA UCET	471	22606	 	GH	11309677
2775804	9188	1993-09-09	VYDAJ	PREVOD NA UCET	471	26962	 	GH	11309677
2775805	9188	1993-10-09	VYDAJ	PREVOD NA UCET	471	28145	 	GH	11309677
2775806	9188	1993-11-09	VYDAJ	PREVOD NA UCET	471	31447	 	GH	11309677
2775807	9188	1993-12-09	VYDAJ	PREVOD NA UCET	471	39141	 	GH	11309677
2775808	9188	1994-01-09	VYDAJ	PREVOD NA UCET	471	25976	 	GH	11309677
2775809	9188	1994-02-09	VYDAJ	PREVOD NA UCET	471	27674	 	GH	11309677
2775810	9188	1994-03-09	VYDAJ	PREVOD NA UCET	471	29560	 	GH	11309677
2775811	9188	1994-04-09	VYDAJ	PREVOD NA UCET	471	32965	 	GH	11309677
2775812	9188	1994-05-09	VYDAJ	PREVOD NA UCET	471	30890	 	GH	11309677
2775813	9188	1994-06-09	VYDAJ	PREVOD NA UCET	471	33871	 	GH	11309677
2775814	9188	1994-07-09	VYDAJ	PREVOD NA UCET	471	32181	 	GH	11309677
2775815	9188	1994-08-09	VYDAJ	PREVOD NA UCET	471	27755	 	GH	11309677
2775816	9188	1994-09-09	VYDAJ	PREVOD NA UCET	471	30589	 	GH	11309677
2775817	9188	1994-10-09	VYDAJ	PREVOD NA UCET	471	30391	 	GH	11309677
2775818	9188	1994-11-09	VYDAJ	PREVOD NA UCET	471	29294	 	GH	11309677
2775819	9188	1994-12-09	VYDAJ	PREVOD NA UCET	471	27546	 	GH	11309677
2775820	9188	1995-01-09	VYDAJ	PREVOD NA UCET	471	26151	 	GH	11309677
2775821	9188	1995-02-09	VYDAJ	PREVOD NA UCET	471	26533	 	GH	11309677
2775822	9188	1995-03-09	VYDAJ	PREVOD NA UCET	471	26101	 	GH	11309677
2775823	9188	1995-04-09	VYDAJ	PREVOD NA UCET	471	28471	 	GH	11309677
2775824	9188	1995-05-09	VYDAJ	PREVOD NA UCET	471	27452	 	GH	11309677
2775825	9188	1995-06-09	VYDAJ	PREVOD NA UCET	471	32982	 	GH	11309677
2775826	9188	1995-07-09	VYDAJ	PREVOD NA UCET	471	28406	 	GH	11309677
2775827	9188	1995-08-09	VYDAJ	PREVOD NA UCET	471	26807	 	GH	11309677
2775828	9188	1995-09-09	VYDAJ	PREVOD NA UCET	471	22484	 	GH	11309677
2775829	9188	1995-10-09	VYDAJ	PREVOD NA UCET	471	22018	 	GH	11309677
2775830	9188	1995-11-09	VYDAJ	PREVOD NA UCET	471	22248	 	GH	11309677
2775831	9188	1995-12-09	VYDAJ	PREVOD NA UCET	471	26246	 	GH	11309677
2775832	9188	1996-01-09	VYDAJ	PREVOD NA UCET	471	22103	 	GH	11309677
2775833	9188	1996-02-09	VYDAJ	PREVOD NA UCET	471	24337	 	GH	11309677
2775834	9188	1996-03-09	VYDAJ	PREVOD NA UCET	471	26599	 	GH	11309677
2775835	9188	1996-04-09	VYDAJ	PREVOD NA UCET	471	21652	 	GH	11309677
2775836	9188	1996-05-09	VYDAJ	PREVOD NA UCET	471	23892	 	GH	11309677
2775837	9188	1996-06-09	VYDAJ	PREVOD NA UCET	471	32501	 	GH	11309677
2775838	9188	1996-07-09	VYDAJ	PREVOD NA UCET	471	21569	 	GH	11309677
2775839	9188	1996-08-09	VYDAJ	PREVOD NA UCET	471	23793	 	GH	11309677
2775840	9188	1996-09-09	VYDAJ	PREVOD NA UCET	471	26036	 	GH	11309677
2775841	9188	1996-10-09	VYDAJ	PREVOD NA UCET	471	28307	 	GH	11309677
2775842	9188	1996-11-09	VYDAJ	PREVOD NA UCET	471	30579	 	GH	11309677
2775843	9188	1996-12-09	VYDAJ	PREVOD NA UCET	471	31715	 	GH	11309677
2775844	9188	1997-01-09	VYDAJ	PREVOD NA UCET	471	31017	 	GH	11309677
2775845	9188	1997-02-09	VYDAJ	PREVOD NA UCET	471	29696	 	GH	11309677
2775846	9188	1997-03-09	VYDAJ	PREVOD NA UCET	471	31992	 	GH	11309677
2775847	9188	1997-04-09	VYDAJ	PREVOD NA UCET	471	34290	 	GH	11309677
2775848	9188	1997-05-09	VYDAJ	PREVOD NA UCET	471	36603	 	GH	11309677
2775849	9188	1997-06-09	VYDAJ	PREVOD NA UCET	471	40790	 	GH	11309677
2775850	9188	1997-07-09	VYDAJ	PREVOD NA UCET	471	32041	 	GH	11309677
2775851	9188	1997-08-09	VYDAJ	PREVOD NA UCET	471	34353	 	GH	11309677
2775852	9188	1997-09-09	VYDAJ	PREVOD NA UCET	471	36685	 	GH	11309677
2775853	9188	1997-10-09	VYDAJ	PREVOD NA UCET	471	31506	 	GH	11309677
2775854	9188	1997-11-09	VYDAJ	PREVOD NA UCET	471	33794	 	GH	11309677
2775855	9188	1997-12-09	VYDAJ	PREVOD NA UCET	471	40653	 	GH	11309677
2775856	9188	1998-01-09	VYDAJ	PREVOD NA UCET	471	31910	 	GH	11309677
2775857	9188	1998-02-09	VYDAJ	PREVOD NA UCET	471	31183	 	GH	11309677
2775858	9188	1998-03-09	VYDAJ	PREVOD NA UCET	471	33484	 	GH	11309677
2775859	9188	1998-04-09	VYDAJ	PREVOD NA UCET	471	35798	 	GH	11309677
2775860	9188	1998-05-09	VYDAJ	PREVOD NA UCET	471	34798	 	GH	11309677
2775861	9188	1998-06-09	VYDAJ	PREVOD NA UCET	471	39930	 	GH	11309677
2775862	9188	1998-07-09	VYDAJ	PREVOD NA UCET	471	24877	 	GH	11309677
2775863	9188	1998-08-09	VYDAJ	PREVOD NA UCET	471	27152	 	GH	11309677
2775864	9188	1998-09-09	VYDAJ	PREVOD NA UCET	471	27431	 	GH	11309677
2775865	9188	1998-10-09	VYDAJ	PREVOD NA UCET	471	30021	 	GH	11309677
2775866	9188	1998-11-09	VYDAJ	PREVOD NA UCET	471	32118	 	GH	11309677
2775867	9188	1998-12-09	VYDAJ	PREVOD NA UCET	471	42886	 	GH	11309677
2775874	9188	1993-07-07	VYDAJ	PREVOD NA UCET	66	47680	POJISTNE	OP	96138745
2775875	9188	1993-08-07	VYDAJ	PREVOD NA UCET	66	23077	POJISTNE	OP	96138745
2775876	9188	1993-09-07	VYDAJ	PREVOD NA UCET	66	27433	POJISTNE	OP	96138745
2775877	9188	1993-10-07	VYDAJ	PREVOD NA UCET	66	28616	POJISTNE	OP	96138745
2775878	9188	1993-11-07	VYDAJ	PREVOD NA UCET	66	31918	POJISTNE	OP	96138745
2775879	9188	1993-12-07	VYDAJ	PREVOD NA UCET	66	39612	POJISTNE	OP	96138745
2775880	9188	1994-01-07	VYDAJ	PREVOD NA UCET	66	31247	POJISTNE	OP	96138745
2775881	9188	1994-02-07	VYDAJ	PREVOD NA UCET	66	36081	POJISTNE	OP	96138745
2775882	9188	1994-03-07	VYDAJ	PREVOD NA UCET	66	37967	POJISTNE	OP	96138745
2775883	9188	1994-04-07	VYDAJ	PREVOD NA UCET	66	41372	POJISTNE	OP	96138745
2775884	9188	1994-05-07	VYDAJ	PREVOD NA UCET	66	31361	POJISTNE	OP	96138745
2775885	9188	1994-06-07	VYDAJ	PREVOD NA UCET	66	42278	POJISTNE	OP	96138745
2775886	9188	1994-07-07	VYDAJ	PREVOD NA UCET	66	32652	POJISTNE	OP	96138745
2775887	9188	1994-08-07	VYDAJ	PREVOD NA UCET	66	28226	POJISTNE	OP	96138745
2775888	9188	1994-09-07	VYDAJ	PREVOD NA UCET	66	31060	POJISTNE	OP	96138745
2775889	9188	1994-10-07	VYDAJ	PREVOD NA UCET	66	38798	POJISTNE	OP	96138745
2775890	9188	1994-11-07	VYDAJ	PREVOD NA UCET	66	29765	POJISTNE	OP	96138745
2775891	9188	1994-12-07	VYDAJ	PREVOD NA UCET	66	46753	POJISTNE	OP	96138745
2775892	9188	1995-01-07	VYDAJ	PREVOD NA UCET	66	26622	POJISTNE	OP	96138745
2775893	9188	1995-02-07	VYDAJ	PREVOD NA UCET	66	27004	POJISTNE	OP	96138745
2775894	9188	1995-03-07	VYDAJ	PREVOD NA UCET	66	34508	POJISTNE	OP	96138745
2775895	9188	1995-04-07	VYDAJ	PREVOD NA UCET	66	36878	POJISTNE	OP	96138745
2775896	9188	1995-05-07	VYDAJ	PREVOD NA UCET	66	35859	POJISTNE	OP	96138745
2775897	9188	1995-06-07	VYDAJ	PREVOD NA UCET	66	33453	POJISTNE	OP	96138745
2775898	9188	1995-07-07	VYDAJ	PREVOD NA UCET	66	28877	POJISTNE	OP	96138745
2775899	9188	1995-08-07	VYDAJ	PREVOD NA UCET	66	35214	POJISTNE	OP	96138745
2775900	9188	1995-09-07	VYDAJ	PREVOD NA UCET	66	30891	POJISTNE	OP	96138745
2775901	9188	1995-10-07	VYDAJ	PREVOD NA UCET	66	30425	POJISTNE	OP	96138745
2775902	9188	1995-11-07	VYDAJ	PREVOD NA UCET	66	30655	POJISTNE	OP	96138745
2775903	9188	1995-12-07	VYDAJ	PREVOD NA UCET	66	34653	POJISTNE	OP	96138745
2775904	9188	1996-01-07	VYDAJ	PREVOD NA UCET	66	22574	POJISTNE	OP	96138745
2775905	9188	1996-02-07	VYDAJ	PREVOD NA UCET	66	32744	POJISTNE	OP	96138745
2775906	9188	1996-03-07	VYDAJ	PREVOD NA UCET	66	35006	POJISTNE	OP	96138745
2775907	9188	1996-04-07	VYDAJ	PREVOD NA UCET	66	22123	POJISTNE	OP	96138745
2775908	9188	1996-05-07	VYDAJ	PREVOD NA UCET	66	32299	POJISTNE	OP	96138745
2775909	9188	1996-06-07	VYDAJ	PREVOD NA UCET	66	40908	POJISTNE	OP	96138745
2775910	9188	1996-07-07	VYDAJ	PREVOD NA UCET	66	22040	POJISTNE	OP	96138745
2775911	9188	1996-08-07	VYDAJ	PREVOD NA UCET	66	24264	POJISTNE	OP	96138745
2775912	9188	1996-09-07	VYDAJ	PREVOD NA UCET	66	34443	POJISTNE	OP	96138745
2775913	9188	1996-10-07	VYDAJ	PREVOD NA UCET	66	36714	POJISTNE	OP	96138745
2775914	9188	1996-11-07	VYDAJ	PREVOD NA UCET	66	38986	POJISTNE	OP	96138745
2775915	9188	1996-12-07	VYDAJ	PREVOD NA UCET	66	38186	POJISTNE	OP	96138745
2775916	9188	1997-01-07	VYDAJ	PREVOD NA UCET	66	34488	POJISTNE	OP	96138745
2775917	9188	1997-02-07	VYDAJ	PREVOD NA UCET	66	38103	POJISTNE	OP	96138745
2775918	9188	1997-03-07	VYDAJ	PREVOD NA UCET	66	40399	POJISTNE	OP	96138745
2775919	9188	1997-04-07	VYDAJ	PREVOD NA UCET	66	42697	POJISTNE	OP	96138745
2775920	9188	1997-05-07	VYDAJ	PREVOD NA UCET	66	45010	POJISTNE	OP	96138745
2775921	9188	1997-06-07	VYDAJ	PREVOD NA UCET	66	41261	POJISTNE	OP	96138745
2775922	9188	1997-07-07	VYDAJ	PREVOD NA UCET	66	32512	POJISTNE	OP	96138745
2775923	9188	1997-08-07	VYDAJ	PREVOD NA UCET	66	42760	POJISTNE	OP	96138745
2775924	9188	1997-09-07	VYDAJ	PREVOD NA UCET	66	45092	POJISTNE	OP	96138745
2775925	9188	1997-10-07	VYDAJ	PREVOD NA UCET	66	39913	POJISTNE	OP	96138745
2775926	9188	1997-11-07	VYDAJ	PREVOD NA UCET	66	42201	POJISTNE	OP	96138745
2775927	9188	1997-12-07	VYDAJ	PREVOD NA UCET	66	50860	POJISTNE	OP	96138745
2775928	9188	1998-01-07	VYDAJ	PREVOD NA UCET	66	32381	POJISTNE	OP	96138745
2775929	9188	1998-02-07	VYDAJ	PREVOD NA UCET	66	31654	POJISTNE	OP	96138745
2775930	9188	1998-03-07	VYDAJ	PREVOD NA UCET	66	41891	POJISTNE	OP	96138745
2775931	9188	1998-04-07	VYDAJ	PREVOD NA UCET	66	44205	POJISTNE	OP	96138745
2775932	9188	1998-05-07	VYDAJ	PREVOD NA UCET	66	35269	POJISTNE	OP	96138745
2775933	9188	1998-06-07	VYDAJ	PREVOD NA UCET	66	40401	POJISTNE	OP	96138745
2775934	9188	1998-07-07	VYDAJ	PREVOD NA UCET	66	33284	POJISTNE	OP	96138745
2775935	9188	1998-08-07	VYDAJ	PREVOD NA UCET	66	27623	POJISTNE	OP	96138745
2775936	9188	1998-09-07	VYDAJ	PREVOD NA UCET	66	35838	POJISTNE	OP	96138745
2775937	9188	1998-10-07	VYDAJ	PREVOD NA UCET	66	38428	POJISTNE	OP	96138745
2775938	9188	1998-11-07	VYDAJ	PREVOD NA UCET	66	32589	POJISTNE	OP	96138745
2775939	9188	1998-12-07	VYDAJ	PREVOD NA UCET	66	51293	POJISTNE	OP	96138745
2775948	9188	1993-12-27	VYBER	VYBER	3634	33389	\N	\N	\N
2775951	9188	1994-05-15	VYBER	VYBER	4366	24405	\N	\N	\N
2775956	9188	1994-08-22	VYBER	VYBER	2844	22792	\N	\N	\N
2775958	9188	1994-07-14	VYBER	VYBER	9221	20842	\N	\N	\N
2775986	9188	1998-05-10	VYBER	VYBER	3511	31287	\N	\N	\N
2775993	9188	1998-07-07	VYBER	VYBER	17412	33350	\N	\N	\N
2776008	9188	1993-12-28	VYDAJ	VYBER	2400	30989	\N	\N	\N
2776009	9188	1994-12-19	VYDAJ	VYBER	1800	23628	\N	\N	\N
2776011	9188	1996-12-09	VYDAJ	VYBER	6000	32186	\N	\N	\N
2776012	9188	1997-12-26	VYDAJ	VYBER	8700	29835	\N	\N	\N
2776013	9188	1998-12-29	VYDAJ	VYBER	6900	34186	\N	\N	\N
2776024	9188	1994-01-11	VYDAJ	VYBER	2100	23876	\N	\N	\N
2776025	9188	1994-01-08	VYDAJ	VYBER	4800	26447	\N	\N	\N
2776039	9188	1997-01-15	VYDAJ	VYBER	3600	25298	\N	\N	\N
2776041	9188	1997-01-08	VYDAJ	VYBER	3000	31488	\N	\N	\N
2776046	9188	1998-01-10	VYDAJ	VYBER	3000	28910	\N	\N	\N
2776048	9188	1998-01-01	VYDAJ	VYBER	2400	27673	\N	\N	\N
2776052	9188	1993-07-21	VYDAJ	VYBER	12000	20273	\N	\N	\N
2776056	9188	1994-06-18	VYDAJ	VYBER	6600	25153	\N	\N	\N
2776059	9188	1994-12-09	VYDAJ	VYBER	10800	28017	\N	\N	\N
2776065	9188	1995-01-17	VYDAJ	VYBER	1500	22533	\N	\N	\N
2776072	9188	1996-11-16	VYDAJ	VYBER	1500	26960	\N	\N	\N
2776076	9188	1997-06-24	VYDAJ	VYBER	6000	27572	\N	\N	\N
2776077	9188	1997-05-14	VYDAJ	VYBER	4500	29984	\N	\N	\N
2776078	9188	1997-12-08	VYDAJ	VYBER	1800	41124	\N	\N	\N
2776080	9188	1997-06-20	VYDAJ	VYBER	5100	33572	\N	\N	\N
2776081	9188	1997-09-18	VYDAJ	VYBER	7500	27067	\N	\N	\N
2776084	9188	1998-04-20	VYDAJ	VYBER	3300	30380	\N	\N	\N
2776093	9188	1993-07-31	VYDAJ	VYBER	15	20469	SLUZBY	\N	\N
2776094	9188	1993-08-31	VYDAJ	VYBER	15	20625	SLUZBY	\N	\N
2776095	9188	1993-09-30	VYDAJ	VYBER	15	25008	SLUZBY	\N	\N
2776096	9188	1993-10-31	VYDAJ	VYBER	15	26210	SLUZBY	\N	\N
2776097	9188	1993-11-30	VYDAJ	VYBER	15	29549	SLUZBY	\N	\N
2776098	9188	1993-12-31	VYDAJ	VYBER	15	31239	SLUZBY	\N	\N
2776099	9188	1994-01-31	VYDAJ	VYBER	15	21937	SLUZBY	\N	\N
2776100	9188	1994-02-28	VYDAJ	VYBER	15	25723	SLUZBY	\N	\N
2776101	9188	1994-03-31	VYDAJ	VYBER	15	27628	SLUZBY	\N	\N
2776102	9188	1994-04-30	VYDAJ	VYBER	15	31053	SLUZBY	\N	\N
2776103	9188	1994-05-31	VYDAJ	VYBER	15	24579	SLUZBY	\N	\N
2776104	9188	1994-06-30	VYDAJ	VYBER	15	25344	SLUZBY	\N	\N
2776105	9188	1994-07-31	VYDAJ	VYBER	15	21018	SLUZBY	\N	\N
2776106	9188	1994-08-31	VYDAJ	VYBER	15	22952	SLUZBY	\N	\N
2776107	9188	1994-09-30	VYDAJ	VYBER	15	28654	SLUZBY	\N	\N
2776108	9188	1994-10-31	VYDAJ	VYBER	15	25057	SLUZBY	\N	\N
2776109	9188	1994-11-30	VYDAJ	VYBER	15	27754	SLUZBY	\N	\N
2776110	9188	1994-12-31	VYDAJ	VYBER	15	21914	SLUZBY	\N	\N
2776111	9188	1995-01-31	VYDAJ	VYBER	15	22296	SLUZBY	\N	\N
2776112	9188	1995-02-28	VYDAJ	VYBER	15	24564	SLUZBY	\N	\N
2776113	9188	1995-03-31	VYDAJ	VYBER	15	24234	SLUZBY	\N	\N
2776114	9188	1995-04-30	VYDAJ	VYBER	15	23215	SLUZBY	\N	\N
2776115	9188	1995-05-31	VYDAJ	VYBER	15	22390	SLUZBY	\N	\N
2776116	9188	1995-06-30	VYDAJ	VYBER	15	24169	SLUZBY	\N	\N
2776117	9188	1995-07-31	VYDAJ	VYBER	15	22570	SLUZBY	\N	\N
2776118	9188	1995-08-31	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
2776119	9188	1995-09-30	VYDAJ	VYBER	15	17781	SLUZBY	\N	\N
2776120	9188	1995-10-31	VYDAJ	VYBER	15	18011	SLUZBY	\N	\N
2776121	9188	1995-11-30	VYDAJ	VYBER	15	15654	SLUZBY	\N	\N
2776122	9188	1995-12-31	VYDAJ	VYBER	15	17866	SLUZBY	\N	\N
2776123	9188	1996-01-31	VYDAJ	VYBER	15	20100	SLUZBY	\N	\N
2776124	9188	1996-02-29	VYDAJ	VYBER	15	22362	SLUZBY	\N	\N
2776125	9188	1996-03-31	VYDAJ	VYBER	15	17415	SLUZBY	\N	\N
2776126	9188	1996-04-30	VYDAJ	VYBER	15	19655	SLUZBY	\N	\N
2776127	9188	1996-05-31	VYDAJ	VYBER	15	21909	SLUZBY	\N	\N
2776129	9188	1996-07-31	VYDAJ	VYBER	15	19556	SLUZBY	\N	\N
2776130	9188	1996-08-31	VYDAJ	VYBER	15	21799	SLUZBY	\N	\N
2776131	9188	1996-09-30	VYDAJ	VYBER	15	24070	SLUZBY	\N	\N
2776132	9188	1996-10-31	VYDAJ	VYBER	15	26342	SLUZBY	\N	\N
2776133	9188	1996-11-30	VYDAJ	VYBER	15	27123	SLUZBY	\N	\N
2776134	9188	1996-12-31	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
2776135	9188	1997-01-31	VYDAJ	VYBER	15	25459	SLUZBY	\N	\N
2776136	9188	1997-02-28	VYDAJ	VYBER	15	27755	SLUZBY	\N	\N
2776137	9188	1997-03-31	VYDAJ	VYBER	15	30053	SLUZBY	\N	\N
2776138	9188	1997-04-30	VYDAJ	VYBER	15	32366	SLUZBY	\N	\N
2776139	9188	1997-05-31	VYDAJ	VYBER	15	30198	SLUZBY	\N	\N
2776140	9188	1997-06-30	VYDAJ	VYBER	15	27804	SLUZBY	\N	\N
2776141	9188	1997-07-31	VYDAJ	VYBER	15	30116	SLUZBY	\N	\N
2776142	9188	1997-08-31	VYDAJ	VYBER	15	32448	SLUZBY	\N	\N
2776143	9188	1997-09-30	VYDAJ	VYBER	15	27269	SLUZBY	\N	\N
2776144	9188	1997-10-31	VYDAJ	VYBER	15	29557	SLUZBY	\N	\N
2776145	9188	1997-11-30	VYDAJ	VYBER	15	31861	SLUZBY	\N	\N
2776146	9188	1997-12-31	VYDAJ	VYBER	15	30073	SLUZBY	\N	\N
2776147	9188	1998-01-31	VYDAJ	VYBER	15	26946	SLUZBY	\N	\N
2776148	9188	1998-02-28	VYDAJ	VYBER	15	29247	SLUZBY	\N	\N
2776149	9188	1998-03-31	VYDAJ	VYBER	15	31561	SLUZBY	\N	\N
2776150	9188	1998-04-30	VYDAJ	VYBER	15	30561	SLUZBY	\N	\N
2776151	9188	1998-05-31	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
2776152	9188	1998-06-30	VYDAJ	VYBER	15	38052	SLUZBY	\N	\N
2776153	9188	1998-07-31	VYDAJ	VYBER	15	22915	SLUZBY	\N	\N
2776154	9188	1998-08-31	VYDAJ	VYBER	15	25094	SLUZBY	\N	\N
2776155	9188	1998-09-30	VYDAJ	VYBER	15	27584	SLUZBY	\N	\N
2776156	9188	1998-10-31	VYDAJ	VYBER	15	30181	SLUZBY	\N	\N
2776157	9188	1998-11-30	VYDAJ	VYBER	15	32294	SLUZBY	\N	\N
2776158	9188	1993-03-10	PRIJEM	VKLAD	3700	17210	\N	\N	\N
2776159	9188	1993-04-09	VYDAJ	VYBER	2400	27620	\N	\N	\N
2776160	9188	1993-05-09	VYDAJ	VYBER	10200	30313	\N	\N	\N
2776161	9188	1993-06-08	VYDAJ	VYBER	14800	34790	\N	\N	\N
2776162	9188	1993-07-08	VYDAJ	VYBER	5300	34444	\N	\N	\N
2776163	9188	1993-08-07	VYDAJ	VYBER	2100	23143	\N	\N	\N
2776164	9188	1993-09-06	PRIJEM	VKLAD	2100	22725	\N	\N	\N
2776165	9188	1993-10-06	VYDAJ	VYBER	1100	23908	\N	\N	\N
2776166	9188	1993-11-05	PRIJEM	VKLAD	1000	27210	\N	\N	\N
2776167	9188	1993-12-05	VYDAJ	VYBER	1000	28549	\N	\N	\N
2776168	9188	1994-01-04	VYDAJ	VYBER	4700	26539	\N	\N	\N
2776169	9188	1994-02-03	PRIJEM	VKLAD	1500	23437	\N	\N	\N
2776170	9188	1994-03-05	VYDAJ	VYBER	400	25323	\N	\N	\N
2776171	9188	1994-04-04	PRIJEM	VKLAD	1100	28728	\N	\N	\N
2776172	9188	1994-05-04	VYDAJ	VYBER	4400	26653	\N	\N	\N
2776173	9188	1994-06-03	VYDAJ	VYBER	1300	23279	\N	\N	\N
2776174	9188	1994-07-03	PRIJEM	VKLAD	2600	27944	\N	\N	\N
2776175	9188	1994-08-02	PRIJEM	VKLAD	2500	23518	\N	\N	\N
2776176	9188	1994-09-01	PRIJEM	VKLAD	3400	26352	\N	\N	\N
2776177	9188	1994-10-01	VYDAJ	VYBER	2500	26154	\N	\N	\N
2776178	9188	1994-10-31	VYDAJ	VYBER	3400	25071	\N	\N	\N
2776179	9188	1994-11-30	PRIJEM	VKLAD	400	27769	\N	\N	\N
2776180	9188	1994-12-30	VYDAJ	VYBER	1900	21728	\N	\N	\N
2776181	9188	1995-01-29	VYDAJ	VYBER	400	22133	\N	\N	\N
2776182	9188	1995-02-28	VYDAJ	VYBER	2700	21864	\N	\N	\N
2776183	9188	1995-03-30	PRIJEM	VKLAD	100	24082	\N	\N	\N
2776184	9188	1995-04-29	VYDAJ	VYBER	3300	23053	\N	\N	\N
2776185	9188	1995-05-29	VYDAJ	VYBER	3100	22233	\N	\N	\N
2776186	9188	1995-06-28	VYDAJ	VYBER	6900	23964	\N	\N	\N
2776187	9188	1995-07-28	VYDAJ	VYBER	3900	22387	\N	\N	\N
2776188	9188	1995-08-27	VYDAJ	VYBER	6600	18088	\N	\N	\N
2776189	9188	1995-09-26	VYDAJ	VYBER	2700	17666	\N	\N	\N
2776190	9188	1995-10-26	VYDAJ	VYBER	2000	17899	\N	\N	\N
2776191	9188	1995-11-25	VYDAJ	VYBER	4600	15529	\N	\N	\N
2776192	9188	1995-12-25	VYDAJ	VYBER	6400	17728	\N	\N	\N
2776193	9188	1996-03-24	VYDAJ	VYBER	7200	17280	\N	\N	\N
2776194	9188	1996-06-22	VYDAJ	VYBER	13200	17182	\N	\N	\N
2777300	9192	1994-08-16	PRIJEM	VKLAD	500	500	\N	\N	\N
2777309	9192	1994-09-12	PRIJEM	VKLAD	23230	23730	\N	\N	\N
2777310	9192	1994-10-12	PRIJEM	VKLAD	23230	48569	\N	\N	\N
2777311	9192	1994-11-12	PRIJEM	VKLAD	23230	60410	\N	\N	\N
2777312	9192	1994-12-12	PRIJEM	VKLAD	34845	76410	\N	\N	\N
2777313	9192	1995-01-12	PRIJEM	VKLAD	23230	73848	\N	\N	\N
2777314	9192	1995-02-12	PRIJEM	VKLAD	23230	66771	\N	\N	\N
2777315	9192	1995-03-12	PRIJEM	VKLAD	23230	68043	\N	\N	\N
2777316	9192	1995-04-12	PRIJEM	VKLAD	23230	72068	\N	\N	\N
2777317	9192	1995-05-12	PRIJEM	VKLAD	23230	71279	\N	\N	\N
2777318	9192	1995-06-12	PRIJEM	VKLAD	34845	81389	\N	\N	\N
2777319	9192	1995-07-12	PRIJEM	VKLAD	23230	41664	\N	\N	\N
2777320	9192	1995-08-12	PRIJEM	VKLAD	23230	54551	\N	\N	\N
2777321	9192	1995-09-12	PRIJEM	VKLAD	23230	62095	\N	\N	\N
2777322	9192	1995-10-12	PRIJEM	VKLAD	23230	67608	\N	\N	\N
2777323	9192	1995-11-12	PRIJEM	VKLAD	23230	69665	\N	\N	\N
2777324	9192	1995-12-12	PRIJEM	VKLAD	34845	78345	\N	\N	\N
2777325	9192	1996-01-12	PRIJEM	VKLAD	23230	73059	\N	\N	\N
2777326	9192	1996-02-12	PRIJEM	VKLAD	23230	67042	\N	\N	\N
2777327	9192	1996-03-12	PRIJEM	VKLAD	23230	69199	\N	\N	\N
2777328	9192	1996-04-12	PRIJEM	VKLAD	23230	66263	\N	\N	\N
2777329	9192	1996-05-12	PRIJEM	VKLAD	23230	65717	\N	\N	\N
2777330	9192	1996-06-12	PRIJEM	VKLAD	34845	77271	\N	\N	\N
2777331	9192	1996-07-12	PRIJEM	VKLAD	23230	64219	\N	\N	\N
2777332	9192	1996-08-12	PRIJEM	VKLAD	23230	64693	\N	\N	\N
2777333	9192	1996-09-12	PRIJEM	VKLAD	23230	64905	\N	\N	\N
2777334	9192	1996-10-12	PRIJEM	VKLAD	23230	64133	\N	\N	\N
2777335	9192	1996-11-12	PRIJEM	VKLAD	23230	61312	\N	\N	\N
2777336	9192	1996-12-12	PRIJEM	VKLAD	34845	70332	\N	\N	\N
2777337	9192	1997-01-12	PRIJEM	VKLAD	23230	62275	\N	\N	\N
2777338	9192	1997-02-12	PRIJEM	VKLAD	23230	64397	\N	\N	\N
2777339	9192	1997-03-12	PRIJEM	VKLAD	23230	60598	\N	\N	\N
2777340	9192	1997-04-12	PRIJEM	VKLAD	23230	61377	\N	\N	\N
2777341	9192	1997-05-12	PRIJEM	VKLAD	23230	58361	\N	\N	\N
2777342	9192	1997-06-12	PRIJEM	VKLAD	34845	71558	\N	\N	\N
2777343	9192	1997-07-12	PRIJEM	VKLAD	23230	54266	\N	\N	\N
2777344	9192	1997-08-12	PRIJEM	VKLAD	23230	55293	\N	\N	\N
2777345	9192	1997-09-12	PRIJEM	VKLAD	23230	46918	\N	\N	\N
2777346	9192	1997-10-12	PRIJEM	VKLAD	23230	44107	\N	\N	\N
2777347	9192	1997-11-12	PRIJEM	VKLAD	23230	41737	\N	\N	\N
2777348	9192	1997-12-12	PRIJEM	VKLAD	34845	48009	\N	\N	\N
2777349	9192	1998-01-12	PRIJEM	VKLAD	23230	44191	\N	\N	\N
2777350	9192	1998-02-12	PRIJEM	VKLAD	23230	44620	\N	\N	\N
2777351	9192	1998-03-12	PRIJEM	VKLAD	23230	41497	\N	\N	\N
2777352	9192	1998-04-12	PRIJEM	VKLAD	23230	36297	\N	\N	\N
2777353	9192	1998-05-12	PRIJEM	VKLAD	23230	35339	\N	\N	\N
2777354	9192	1998-06-12	PRIJEM	VKLAD	34845	41249	\N	\N	\N
2777355	9192	1998-07-12	PRIJEM	VKLAD	23230	21681	\N	\N	\N
2777356	9192	1998-08-12	PRIJEM	VKLAD	23230	21806	\N	\N	\N
2777357	9192	1998-09-12	PRIJEM	VKLAD	23230	25645	\N	\N	\N
2777358	9192	1998-10-12	PRIJEM	VKLAD	23230	22599	\N	\N	\N
2777359	9192	1998-11-12	PRIJEM	VKLAD	23230	23030	\N	\N	\N
2777360	9192	1998-12-12	PRIJEM	VKLAD	34845	35783	\N	\N	\N
2777362	9192	1995-06-29	VYDAJ	VYBER	29800	21489	\N	\N	\N
2777363	9192	1996-06-14	VYDAJ	VYBER	8100	69171	\N	\N	\N
2777364	9192	1997-06-12	VYDAJ	VYBER	23800	47758	\N	\N	\N
2777365	9192	1998-06-14	VYDAJ	VYBER	28400	11849	\N	\N	\N
2777367	9192	1995-12-26	VYDAJ	VYBER	1200	77145	\N	\N	\N
2777368	9192	1996-12-10	VYDAJ	VYBER	2500	35487	\N	\N	\N
2777369	9192	1997-12-25	VYDAJ	VYBER KARTOU	600	47409	\N	\N	0
2777379	9192	1995-01-19	VYDAJ	VYBER	4700	43248	\N	\N	\N
2777380	9192	1995-07-05	VYDAJ	VYBER	3500	18434	\N	\N	\N
2777381	9192	1995-10-01	VYDAJ	VYBER	700	61778	\N	\N	\N
2777382	9192	1995-09-08	VYDAJ	VYBER	4300	50565	\N	\N	\N
2777383	9192	1995-05-15	VYDAJ	VYBER	4400	46179	\N	\N	\N
2777384	9192	1996-07-02	VYDAJ	VYBER	3100	63789	\N	\N	\N
2777385	9192	1996-10-09	VYDAJ	VYBER	3300	40903	\N	\N	\N
2777386	9192	1996-01-14	VYDAJ	VYBER	3000	70059	\N	\N	\N
2777387	9192	1996-10-22	VYDAJ	VYBER	3500	60633	\N	\N	\N
2777388	9192	1996-07-01	VYDAJ	VYBER	2800	66889	\N	\N	\N
2777389	9192	1996-11-03	VYDAJ	VYBER	4300	38082	\N	\N	\N
2777390	9192	1997-08-31	VYDAJ	VYBER	4500	23703	\N	\N	\N
2777391	9192	1997-01-07	VYDAJ	VYBER	900	40645	\N	\N	\N
2777392	9192	1997-01-09	VYDAJ	VYBER	1600	39045	\N	\N	\N
2777393	9192	1997-11-18	VYDAJ	VYBER	4400	37337	\N	\N	\N
2777394	9192	1997-05-04	VYDAJ	VYBER KARTOU	700	35131	\N	\N	0
2777395	9192	1998-05-18	VYDAJ	VYBER KARTOU	4000	31339	\N	\N	0
2777396	9192	1998-06-12	VYDAJ	VYBER KARTOU	1000	40249	\N	\N	0
2777397	9192	1998-04-30	VYDAJ	VYBER KARTOU	2100	12109	\N	\N	0
2777411	9192	1995-01-31	VYDAJ	VYBER	15	43541	SLUZBY	\N	\N
2777412	9192	1995-02-28	VYDAJ	VYBER	15	44813	SLUZBY	\N	\N
2777413	9192	1995-03-31	VYDAJ	VYBER	15	48838	SLUZBY	\N	\N
2777414	9192	1995-04-30	VYDAJ	VYBER	15	48049	SLUZBY	\N	\N
2777415	9192	1995-05-31	VYDAJ	VYBER	15	46544	SLUZBY	\N	\N
2777416	9192	1995-06-30	VYDAJ	VYBER	15	21934	SLUZBY	\N	\N
2777417	9192	1995-07-31	VYDAJ	VYBER	15	34921	SLUZBY	\N	\N
2777418	9192	1995-08-31	VYDAJ	VYBER	15	54865	SLUZBY	\N	\N
2777419	9192	1995-09-30	VYDAJ	VYBER	15	62478	SLUZBY	\N	\N
2777420	9192	1995-10-31	VYDAJ	VYBER	15	68035	SLUZBY	\N	\N
2777421	9192	1995-11-30	VYDAJ	VYBER	15	70100	SLUZBY	\N	\N
2777422	9192	1995-12-31	VYDAJ	VYBER	15	77629	SLUZBY	\N	\N
2777423	9192	1996-01-31	VYDAJ	VYBER	15	70512	SLUZBY	\N	\N
2777424	9192	1996-02-29	VYDAJ	VYBER	15	67469	SLUZBY	\N	\N
2777425	9192	1996-03-31	VYDAJ	VYBER	15	69733	SLUZBY	\N	\N
2777426	9192	1996-04-30	VYDAJ	VYBER	15	66787	SLUZBY	\N	\N
2777427	9192	1996-05-31	VYDAJ	VYBER	15	66226	SLUZBY	\N	\N
2777428	9192	1996-06-30	VYDAJ	VYBER	15	69689	SLUZBY	\N	\N
2777429	9192	1996-07-31	VYDAJ	VYBER	15	64663	SLUZBY	\N	\N
2777430	9192	1996-08-31	VYDAJ	VYBER	15	65175	SLUZBY	\N	\N
2777431	9192	1996-09-30	VYDAJ	VYBER	15	65303	SLUZBY	\N	\N
2777432	9192	1996-10-31	VYDAJ	VYBER	15	61082	SLUZBY	\N	\N
2777433	9192	1996-11-30	VYDAJ	VYBER	15	61687	SLUZBY	\N	\N
2777434	9192	1996-12-31	VYDAJ	VYBER	15	70745	SLUZBY	\N	\N
2777435	9192	1997-01-31	VYDAJ	VYBER	15	62667	SLUZBY	\N	\N
2777436	9192	1997-02-28	VYDAJ	VYBER	15	64868	SLUZBY	\N	\N
2777437	9192	1997-03-31	VYDAJ	VYBER	15	61047	SLUZBY	\N	\N
2777438	9192	1997-04-30	VYDAJ	VYBER	15	61731	SLUZBY	\N	\N
2777439	9192	1997-05-31	VYDAJ	VYBER	15	58713	SLUZBY	\N	\N
2777440	9192	1997-06-30	VYDAJ	VYBER	15	48236	SLUZBY	\N	\N
2777441	9192	1997-07-31	VYDAJ	VYBER	15	54563	SLUZBY	\N	\N
2777442	9192	1997-08-31	VYDAJ	VYBER	15	23688	SLUZBY	\N	\N
2777443	9192	1997-09-30	VYDAJ	VYBER	15	20877	SLUZBY	\N	\N
2777444	9192	1997-10-31	VYDAJ	VYBER	15	18507	SLUZBY	\N	\N
2777445	9192	1997-11-30	VYDAJ	VYBER	15	13164	SLUZBY	\N	\N
2777446	9192	1997-12-31	VYDAJ	VYBER	15	20961	SLUZBY	\N	\N
2777447	9192	1998-01-31	VYDAJ	VYBER	15	21390	SLUZBY	\N	\N
2777448	9192	1998-02-28	VYDAJ	VYBER	15	18267	SLUZBY	\N	\N
2777449	9192	1998-03-31	VYDAJ	VYBER	15	13067	SLUZBY	\N	\N
2777450	9192	1998-04-30	VYDAJ	VYBER	15	14209	SLUZBY	\N	\N
2777458	9192	1994-09-15	PRIJEM	VKLAD	1500	25230	\N	\N	\N
2777459	9192	1994-10-15	VYDAJ	VYBER	11600	36969	\N	\N	\N
2777460	9192	1994-11-14	VYDAJ	VYBER	19100	41310	\N	\N	\N
2777461	9192	1994-12-14	VYDAJ	VYBER	26100	50310	\N	\N	\N
2777462	9192	1995-01-13	VYDAJ	VYBER	25900	47948	\N	\N	\N
2777463	9192	1995-02-12	VYDAJ	VYBER	22300	44471	\N	\N	\N
2777464	9192	1995-03-14	VYDAJ	VYBER	19500	48543	\N	\N	\N
2777465	9192	1995-04-13	VYDAJ	VYBER	24400	47668	\N	\N	\N
2777466	9192	1995-05-13	VYDAJ	VYBER	20700	50579	\N	\N	\N
2777467	9192	1995-06-12	VYDAJ	VYBER	30100	51289	\N	\N	\N
2777468	9192	1995-07-12	VYDAJ	VYBER	7000	34664	\N	\N	\N
2777469	9192	1995-08-11	VYDAJ	VYBER	3600	31321	\N	\N	\N
2777470	9192	1995-09-10	VYDAJ	VYBER	11700	38865	\N	\N	\N
2777471	9192	1995-10-10	VYDAJ	VYBER	17400	44378	\N	\N	\N
2777472	9192	1995-11-09	VYDAJ	VYBER	21600	46435	\N	\N	\N
2777473	9192	1995-12-09	VYDAJ	VYBER	26600	43500	\N	\N	\N
2777474	9192	1996-01-08	VYDAJ	VYBER	27800	49829	\N	\N	\N
2777475	9192	1996-02-07	VYDAJ	VYBER	26700	43812	\N	\N	\N
2777476	9192	1996-03-08	VYDAJ	VYBER	21500	45969	\N	\N	\N
2777477	9192	1996-04-07	VYDAJ	VYBER	26700	43033	\N	\N	\N
2777478	9192	1996-05-07	VYDAJ	VYBER	24300	42487	\N	\N	\N
2777479	9192	1996-06-06	VYDAJ	VYBER	23800	42426	\N	\N	\N
2777480	9192	1996-07-06	VYDAJ	VYBER	22800	40989	\N	\N	\N
2777481	9192	1996-08-05	VYDAJ	VYBER	23200	41463	\N	\N	\N
2777482	9192	1996-09-04	VYDAJ	VYBER	23500	41675	\N	\N	\N
2777483	9192	1996-10-04	VYDAJ	VYBER	21100	44203	\N	\N	\N
2777484	9192	1996-11-03	VYDAJ	VYBER	18700	42382	\N	\N	\N
2777485	9192	1996-12-03	VYDAJ	VYBER	23700	37987	\N	\N	\N
2777486	9192	1997-01-02	VYDAJ	VYBER	29200	41545	\N	\N	\N
2777487	9192	1997-02-01	VYDAJ	VYBER	21500	41167	\N	\N	\N
2777488	9192	1997-03-03	VYDAJ	VYBER	27500	37368	\N	\N	\N
2777489	9192	1997-04-02	VYDAJ	VYBER	22900	38147	\N	\N	\N
2777490	9192	1997-05-02	VYDAJ	VYBER	25900	35831	\N	\N	\N
2777491	9192	1997-06-01	VYDAJ	VYBER	22000	36713	\N	\N	\N
2777492	9192	1997-07-01	VYDAJ	VYBER	17200	31036	\N	\N	\N
2777493	9192	1997-07-31	VYDAJ	VYBER	22500	32063	\N	\N	\N
2777494	9192	1997-08-30	VYDAJ	VYBER	27300	27993	\N	\N	\N
2777495	9192	1997-09-29	VYDAJ	VYBER	26200	20718	\N	\N	\N
2777496	9192	1997-10-29	VYDAJ	VYBER	25700	18407	\N	\N	\N
2777497	9192	1997-11-28	VYDAJ	VYBER	24300	13037	\N	\N	\N
2777498	9192	1997-12-28	VYDAJ	VYBER	26500	20909	\N	\N	\N
2777499	9192	1998-01-27	VYDAJ	VYBER	22900	21291	\N	\N	\N
2777500	9192	1998-02-26	VYDAJ	VYBER	26400	18220	\N	\N	\N
2777501	9192	1998-03-28	VYDAJ	VYBER	28500	12997	\N	\N	\N
2777502	9192	1998-04-27	VYDAJ	VYBER	22100	14197	\N	\N	\N
2777503	9192	1998-05-27	VYDAJ	VYBER	25000	6339	\N	\N	\N
2777504	9192	1998-06-26	VYDAJ	VYBER	13400	-1551	\N	\N	\N
2777505	9192	1998-07-26	VYDAJ	VYBER	23000	-1319	\N	\N	\N
2777506	9192	1998-08-25	VYDAJ	VYBER	19300	2506	\N	\N	\N
2777507	9192	1998-09-24	VYDAJ	VYBER	26200	-555	\N	\N	\N
2777508	9192	1998-10-24	VYDAJ	VYBER	22700	-101	\N	\N	\N
2777509	9192	1998-11-23	VYDAJ	VYBER	22000	1030	\N	\N	\N
2779584	9199	1996-05-15	PRIJEM	VKLAD	800	800	\N	\N	\N
2779590	9199	1996-06-06	PRIJEM	PREVOD Z UCTU	22090	22890	\N	MN	49895131
2779591	9199	1996-07-06	PRIJEM	PREVOD Z UCTU	14727	37617	\N	MN	49895131
2779592	9199	1996-08-06	PRIJEM	PREVOD Z UCTU	14727	42775	\N	MN	49895131
2779593	9199	1996-09-06	PRIJEM	PREVOD Z UCTU	14727	43791	\N	MN	49895131
2779594	9199	1996-10-06	PRIJEM	PREVOD Z UCTU	14727	43809	\N	MN	49895131
2779595	9199	1996-11-06	PRIJEM	PREVOD Z UCTU	14727	27162	\N	MN	49895131
2779596	9199	1996-12-06	PRIJEM	PREVOD Z UCTU	22090	35293	\N	MN	49895131
2779597	9199	1997-01-06	PRIJEM	PREVOD Z UCTU	14727	12597	\N	MN	49895131
2779598	9199	1997-02-06	PRIJEM	PREVOD Z UCTU	14727	13018	\N	MN	49895131
2779599	9199	1997-03-06	PRIJEM	PREVOD Z UCTU	14727	29153	\N	MN	49895131
2779600	9199	1997-04-06	PRIJEM	PREVOD Z UCTU	14727	19681	\N	MN	49895131
2779601	9199	1997-05-06	PRIJEM	PREVOD Z UCTU	14727	25740	\N	MN	49895131
2779602	9199	1997-06-06	PRIJEM	PREVOD Z UCTU	22090	33867	\N	MN	49895131
2779603	9199	1997-07-06	PRIJEM	PREVOD Z UCTU	14727	29836	\N	MN	49895131
2779604	9199	1997-08-06	PRIJEM	PREVOD Z UCTU	14727	15529	\N	MN	49895131
2779605	9199	1997-09-06	PRIJEM	PREVOD Z UCTU	14727	27769	\N	MN	49895131
2779606	9199	1997-10-06	PRIJEM	PREVOD Z UCTU	14727	14986	\N	MN	49895131
2779607	9199	1997-11-06	PRIJEM	PREVOD Z UCTU	14727	18030	\N	MN	49895131
2779608	9199	1997-12-06	PRIJEM	PREVOD Z UCTU	22090	27069	\N	MN	49895131
2779609	9199	1998-01-06	PRIJEM	PREVOD Z UCTU	14727	15942	\N	MN	49895131
2779610	9199	1998-02-06	PRIJEM	PREVOD Z UCTU	14727	16766	\N	MN	49895131
2779611	9199	1998-03-06	PRIJEM	PREVOD Z UCTU	14727	29062	\N	MN	49895131
2779612	9199	1998-04-06	PRIJEM	PREVOD Z UCTU	14727	16560	\N	MN	49895131
2779613	9199	1998-05-06	PRIJEM	PREVOD Z UCTU	14727	23366	\N	MN	49895131
2779614	9199	1998-06-06	PRIJEM	PREVOD Z UCTU	22090	28942	\N	MN	49895131
2779615	9199	1998-07-06	PRIJEM	PREVOD Z UCTU	14727	19843	\N	MN	49895131
2779616	9199	1998-08-06	PRIJEM	PREVOD Z UCTU	14727	15668	\N	MN	49895131
2779617	9199	1998-09-06	PRIJEM	PREVOD Z UCTU	14727	23959	\N	MN	49895131
2779618	9199	1998-10-06	PRIJEM	PREVOD Z UCTU	14727	22096	\N	MN	49895131
2779619	9199	1998-11-06	PRIJEM	PREVOD Z UCTU	14727	21414	\N	MN	49895131
2779620	9199	1998-12-06	PRIJEM	PREVOD Z UCTU	22090	39025	\N	MN	49895131
2779630	9199	1996-10-12	VYDAJ	PREVOD NA UCET	2455	41355	UVER	WX	42162633
2779631	9199	1996-11-12	VYDAJ	PREVOD NA UCET	2455	13108	UVER	WX	42162633
2779632	9199	1996-12-12	VYDAJ	PREVOD NA UCET	2455	19339	UVER	WX	42162633
2779633	9199	1997-01-12	VYDAJ	PREVOD NA UCET	2455	10043	UVER	WX	42162633
2779634	9199	1997-02-12	VYDAJ	PREVOD NA UCET	2455	14364	UVER	WX	42162633
2779635	9199	1997-03-12	VYDAJ	PREVOD NA UCET	2455	17199	UVER	WX	42162633
2779636	9199	1997-04-12	VYDAJ	PREVOD NA UCET	2455	13626	UVER	WX	42162633
2779637	9199	1997-05-12	VYDAJ	PREVOD NA UCET	2455	21885	UVER	WX	42162633
2779638	9199	1997-06-12	VYDAJ	PREVOD NA UCET	2455	21213	UVER	WX	42162633
2779639	9199	1997-07-12	VYDAJ	PREVOD NA UCET	2455	22881	UVER	WX	42162633
2779640	9199	1997-08-12	VYDAJ	PREVOD NA UCET	2455	12974	UVER	WX	42162633
2779642	9199	1997-10-09	VYDAJ	VYBER	2400	5386	\N	\N	0
2779643	9199	1997-11-02	VYDAJ	VYBER	2100	3303	\N	\N	0
2779644	9199	1997-12-11	VYDAJ	VYBER	3000	10169	\N	\N	0
2779646	9199	1998-02-10	VYDAJ	VYBER	2500	14266	\N	\N	0
2779648	9199	1998-04-07	VYDAJ	VYBER	2600	13960	\N	\N	0
2779649	9199	1998-05-19	VYDAJ	VYBER	2700	15529	\N	\N	0
2779650	9199	1998-06-10	VYDAJ	VYBER	2100	26842	\N	\N	0
2779651	9199	1998-07-10	VYDAJ	VYBER	2200	17643	\N	\N	0
2779652	9199	1998-08-06	VYDAJ	VYBER	2900	12768	\N	\N	0
2779653	9199	1998-09-13	VYDAJ	VYBER	2800	21159	\N	\N	0
2779654	9199	1998-10-07	VYDAJ	VYBER	2000	20096	\N	\N	0
2779655	9199	1998-11-20	VYDAJ	VYBER	3000	18414	\N	\N	0
2779656	9199	1998-12-06	VYDAJ	VYBER	2300	36725	\N	\N	0
2779659	9199	1996-10-22	VYBER	VYBER	14856	12299	\N	\N	\N
2779666	9199	1997-07-15	VYBER	VYBER	15220	7661	\N	\N	\N
2779668	9199	1997-07-16	VYBER	VYBER	6901	760	\N	\N	\N
2779670	9199	1997-05-27	VYBER	VYBER	10220	11665	\N	\N	\N
2779671	9199	1997-09-12	VYBER	VYBER	19235	234	\N	\N	\N
2779675	9199	1997-01-13	VYBER	VYBER	7559	2484	\N	\N	\N
2779677	9199	1997-06-24	VYBER	VYBER	6228	14985	\N	\N	\N
2779678	9199	1998-10-02	VYBER	VYBER	13735	7569	\N	\N	\N
2779679	9199	1998-07-13	VYBER	VYBER	18025	-382	\N	\N	\N
2779680	9199	1998-12-15	VYBER	VYBER	24562	10363	\N	\N	\N
2779681	9199	1998-03-11	VYBER	VYBER	13275	3287	\N	\N	\N
2779682	9199	1998-05-06	VYBER	VYBER	5137	18229	\N	\N	\N
2779683	9199	1998-10-17	VYBER	VYBER	2384	17712	\N	\N	\N
2779684	9199	1998-11-04	VYBER	VYBER	2496	6687	\N	\N	\N
2779685	9199	1998-10-25	VYBER	VYBER	9037	8675	\N	\N	\N
2779687	9199	1998-10-26	VYBER	VYBER	2590	6085	\N	\N	\N
2779692	9199	1997-01-03	VYDAJ	VYBER	3900	7170	\N	\N	\N
2779693	9199	1998-01-08	VYDAJ	VYBER	12600	3342	\N	\N	\N
2779694	9199	1996-12-07	VYDAJ	VYBER	6900	28393	\N	\N	\N
2779695	9199	1997-12-21	VYDAJ	VYBER	3900	6269	\N	\N	\N
2779696	9199	1998-12-09	VYDAJ	VYBER	1800	34925	\N	\N	\N
2779703	9199	1997-01-24	VYDAJ	VYBER	1500	-1716	\N	\N	\N
2779704	9199	1997-01-02	VYDAJ	VYBER	8400	11070	\N	\N	\N
2779705	9199	1997-01-23	VYDAJ	VYBER	2700	-216	\N	\N	\N
2779706	9199	1997-01-04	VYDAJ	VYBER	7800	-630	\N	\N	\N
2779708	9199	1997-01-05	VYDAJ	VYBER	1500	-2130	\N	\N	\N
2779709	9199	1998-01-28	VYDAJ	VYBER	3000	-2358	\N	\N	\N
2779710	9199	1998-01-05	VYDAJ	VYBER	7500	1215	\N	\N	\N
2779711	9199	1998-01-18	VYDAJ	VYBER	2700	642	\N	\N	\N
2779715	9199	1996-11-08	VYDAJ	VYBER	7200	19962	\N	\N	\N
2779721	9199	1997-11-15	VYDAJ	VYBER	3000	4930	\N	\N	\N
2779722	9199	1997-04-20	VYDAJ	VYBER	2700	10926	\N	\N	\N
2779723	9199	1997-04-01	VYDAJ	VYBER	3600	4954	\N	\N	\N
2779724	9199	1997-03-13	VYDAJ	VYBER	8700	8499	\N	\N	\N
2779725	9199	1998-12-17	VYDAJ	VYBER	2100	8263	\N	\N	\N
2779726	9199	1998-06-26	VYDAJ	VYBER	9300	17542	\N	\N	\N
2779739	9199	1996-10-31	VYDAJ	VYBER	15	12435	SLUZBY	\N	\N
2779740	9199	1996-11-30	VYDAJ	VYBER	15	13203	SLUZBY	\N	\N
2779741	9199	1996-12-31	VYDAJ	VYBER	15	19470	SLUZBY	\N	\N
2779742	9199	1997-01-31	VYDAJ	VYBER	15	-1696	SLUZBY	\N	\N
2779743	9199	1997-02-28	VYDAJ	VYBER	15	14426	SLUZBY	\N	\N
2779744	9199	1997-03-31	VYDAJ	VYBER	15	8554	SLUZBY	\N	\N
2779745	9199	1997-04-30	VYDAJ	VYBER	15	11013	SLUZBY	\N	\N
2779746	9199	1997-05-31	VYDAJ	VYBER	15	11777	SLUZBY	\N	\N
2779747	9199	1997-06-30	VYDAJ	VYBER	15	15109	SLUZBY	\N	\N
2779748	9199	1997-07-31	VYDAJ	VYBER	15	802	SLUZBY	\N	\N
2779749	9199	1997-08-31	VYDAJ	VYBER	15	13042	SLUZBY	\N	\N
2779750	9199	1997-09-30	VYDAJ	VYBER	15	262	SLUZBY	\N	\N
2779751	9199	1997-10-31	VYDAJ	VYBER	15	5403	SLUZBY	\N	\N
2779752	9199	1997-11-30	VYDAJ	VYBER	15	4979	SLUZBY	\N	\N
2779753	9199	1997-12-31	VYDAJ	VYBER	15	6315	SLUZBY	\N	\N
2779754	9199	1998-01-31	VYDAJ	VYBER	15	-2351	SLUZBY	\N	\N
2779755	9199	1998-02-28	VYDAJ	VYBER	15	14347	SLUZBY	\N	\N
2779756	9199	1998-03-31	VYDAJ	VYBER	15	3333	SLUZBY	\N	\N
2779757	9199	1998-04-30	VYDAJ	VYBER	15	14039	SLUZBY	\N	\N
2779758	9199	1998-05-31	VYDAJ	VYBER	15	15652	SLUZBY	\N	\N
2779759	9199	1998-06-30	VYDAJ	VYBER	15	17716	SLUZBY	\N	\N
2779760	9199	1998-07-31	VYDAJ	VYBER	15	-350	SLUZBY	\N	\N
2779761	9199	1998-08-31	VYDAJ	VYBER	15	12832	SLUZBY	\N	\N
2779762	9199	1998-09-30	VYDAJ	VYBER	15	21304	SLUZBY	\N	\N
2779763	9199	1998-10-31	VYDAJ	VYBER	15	6183	SLUZBY	\N	\N
2779764	9199	1998-11-30	VYDAJ	VYBER	15	18535	SLUZBY	\N	\N
2779765	9199	1996-07-14	VYDAJ	VYBER	9700	27917	\N	\N	\N
2779766	9199	1996-08-13	VYDAJ	VYBER	13900	28875	\N	\N	\N
2779767	9199	1996-09-12	VYDAJ	VYBER	14900	28891	\N	\N	\N
2779768	9199	1996-10-12	VYDAJ	VYBER	14200	27155	\N	\N	\N
2779769	9199	1996-11-11	VYDAJ	VYBER	4400	15562	\N	\N	\N
2779770	9199	1996-12-11	VYDAJ	VYBER	6600	21793	\N	\N	\N
2779771	9199	1997-01-10	VYDAJ	VYBER	100	12497	\N	\N	\N
2779772	9199	1997-02-09	PRIJEM	VKLAD	3800	16818	\N	\N	\N
2779773	9199	1997-03-11	VYDAJ	VYBER	9500	19653	\N	\N	\N
2779774	9199	1997-04-10	VYDAJ	VYBER	3600	16081	\N	\N	\N
2779775	9199	1997-05-10	VYDAJ	VYBER	1400	24340	\N	\N	\N
2779776	9199	1997-06-09	VYDAJ	VYBER	10200	23667	\N	\N	\N
2779777	9199	1997-07-09	VYDAJ	VYBER	4500	25336	\N	\N	\N
2779778	9199	1997-08-08	VYDAJ	VYBER	100	15429	\N	\N	\N
2779779	9199	1997-09-07	VYDAJ	VYBER	8300	19469	\N	\N	\N
2779780	9199	1997-10-07	VYDAJ	VYBER	7200	7786	\N	\N	\N
2779781	9199	1997-11-06	VYDAJ	VYBER	10100	7930	\N	\N	\N
2779782	9199	1997-12-06	VYDAJ	VYBER	13900	13169	\N	\N	\N
2779783	9199	1998-01-05	PRIJEM	VKLAD	2400	8715	\N	\N	\N
2779784	9199	1998-02-04	PRIJEM	VKLAD	4400	2039	\N	\N	\N
2779785	9199	1998-03-06	VYDAJ	VYBER	12500	16562	\N	\N	\N
2779786	9199	1998-04-05	VYDAJ	VYBER	1500	1833	\N	\N	\N
2779787	9199	1998-05-05	VYDAJ	VYBER	5400	8639	\N	\N	\N
2779788	9199	1998-06-04	VYDAJ	VYBER	8800	6852	\N	\N	\N
2779789	9199	1998-07-04	VYDAJ	VYBER	12600	5116	\N	\N	\N
2779790	9199	1998-08-03	PRIJEM	VKLAD	1300	941	\N	\N	\N
2779791	9199	1998-09-02	VYDAJ	VYBER	3600	9232	\N	\N	\N
2779792	9199	1998-10-02	VYDAJ	VYBER	200	7369	\N	\N	\N
2779793	9199	1998-11-01	PRIJEM	VKLAD	3000	9183	\N	\N	\N
2779794	9199	1998-12-01	VYDAJ	VYBER	1600	16935	\N	\N	\N
2779978	9201	1996-10-28	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2779989	9201	1996-11-07	PRIJEM	PREVOD Z UCTU	43002	44002	\N	GH	82294130
2779990	9201	1996-12-07	PRIJEM	PREVOD Z UCTU	64503	98238	\N	GH	82294130
2779991	9201	1997-01-07	PRIJEM	PREVOD Z UCTU	43002	105933	\N	GH	82294130
2779992	9201	1997-02-07	PRIJEM	PREVOD Z UCTU	43002	93914	\N	GH	82294130
2779993	9201	1997-03-07	PRIJEM	PREVOD Z UCTU	43002	102757	\N	GH	82294130
2779994	9201	1997-04-07	PRIJEM	PREVOD Z UCTU	43002	72985	\N	GH	82294130
2779995	9201	1997-05-07	PRIJEM	PREVOD Z UCTU	43002	75559	\N	GH	82294130
2779996	9201	1997-06-07	PRIJEM	PREVOD Z UCTU	64503	106090	\N	GH	82294130
2779997	9201	1997-07-07	PRIJEM	PREVOD Z UCTU	43002	64630	\N	GH	82294130
2779998	9201	1997-08-07	PRIJEM	PREVOD Z UCTU	43002	78972	\N	GH	82294130
2779999	9201	1997-09-07	PRIJEM	PREVOD Z UCTU	43002	83708	\N	GH	82294130
2780000	9201	1997-10-07	PRIJEM	PREVOD Z UCTU	43002	81216	\N	GH	82294130
2780001	9201	1997-11-07	PRIJEM	PREVOD Z UCTU	43002	69223	\N	GH	82294130
2780002	9201	1997-12-07	PRIJEM	PREVOD Z UCTU	64503	90295	\N	GH	82294130
2780003	9201	1998-01-07	PRIJEM	PREVOD Z UCTU	43002	67439	\N	GH	82294130
2780004	9201	1998-02-07	PRIJEM	PREVOD Z UCTU	43002	70869	\N	GH	82294130
2780005	9201	1998-03-07	PRIJEM	PREVOD Z UCTU	43002	73545	\N	GH	82294130
2780006	9201	1998-04-07	PRIJEM	PREVOD Z UCTU	43002	85649	\N	GH	82294130
2780007	9201	1998-05-07	PRIJEM	PREVOD Z UCTU	43002	93274	\N	GH	82294130
2780008	9201	1998-06-07	PRIJEM	PREVOD Z UCTU	64503	95723	\N	GH	82294130
2780009	9201	1998-07-07	PRIJEM	PREVOD Z UCTU	43002	95860	\N	GH	82294130
2780010	9201	1998-08-07	PRIJEM	PREVOD Z UCTU	43002	110427	\N	GH	82294130
2780011	9201	1998-09-07	PRIJEM	PREVOD Z UCTU	43002	100341	\N	GH	82294130
2780012	9201	1998-10-07	PRIJEM	PREVOD Z UCTU	43002	101032	\N	GH	82294130
2780013	9201	1998-11-07	PRIJEM	PREVOD Z UCTU	43002	86054	\N	GH	82294130
2780014	9201	1998-12-07	PRIJEM	PREVOD Z UCTU	64503	103177	\N	GH	82294130
2780029	9201	1997-03-21	VYDAJ	VYBER	4900	52296	\N	\N	0
2780030	9201	1997-04-12	VYDAJ	VYBER	5400	54124	\N	\N	0
2780031	9201	1997-05-06	VYDAJ	VYBER	4300	32557	\N	\N	0
2780032	9201	1997-06-18	VYDAJ	VYBER	4400	19829	\N	\N	0
2780033	9201	1997-07-09	VYDAJ	VYBER	4000	47169	\N	\N	0
2780034	9201	1997-08-07	VYDAJ	VYBER	6200	72772	\N	\N	0
2780035	9201	1997-09-08	VYDAJ	VYBER	4800	78908	\N	\N	0
2780036	9201	1997-10-08	VYDAJ	VYBER	5600	62155	\N	\N	0
2780037	9201	1997-11-06	VYDAJ	VYBER	4200	26221	\N	\N	0
2780038	9201	1997-12-16	VYDAJ	VYBER	5800	64335	\N	\N	0
2780039	9201	1998-01-11	VYDAJ	VYBER	4200	44295	\N	\N	0
2780040	9201	1998-02-12	VYDAJ	PREVOD NA UCET	5103	52305	UVER	AB	85031735
2780041	9201	1998-03-12	VYDAJ	PREVOD NA UCET	5103	54981	UVER	AB	85031735
2780042	9201	1998-04-12	VYDAJ	PREVOD NA UCET	5103	67085	UVER	AB	85031735
2780043	9201	1998-05-12	VYDAJ	PREVOD NA UCET	5103	66710	UVER	AB	85031735
2780044	9201	1998-06-12	VYDAJ	PREVOD NA UCET	5103	56159	UVER	AB	85031735
2780045	9201	1998-07-12	VYDAJ	PREVOD NA UCET	5103	77296	UVER	AB	85031735
2780046	9201	1998-08-12	VYDAJ	PREVOD NA UCET	5103	91863	UVER	AB	85031735
2780047	9201	1998-09-12	VYDAJ	PREVOD NA UCET	5103	64473	UVER	AB	85031735
2780048	9201	1998-10-12	VYDAJ	PREVOD NA UCET	5103	44850	UVER	AB	85031735
2780049	9201	1998-11-12	VYDAJ	PREVOD NA UCET	5103	49354	UVER	AB	85031735
2780050	9201	1998-12-12	VYDAJ	PREVOD NA UCET	5103	84613	UVER	AB	85031735
2780065	9201	1997-03-08	VYDAJ	PREVOD NA UCET	13461	57196	SIPO	CD	29740798
2780066	9201	1997-04-08	VYDAJ	PREVOD NA UCET	13461	59524	SIPO	CD	29740798
2780067	9201	1997-05-08	VYDAJ	PREVOD NA UCET	13461	62098	SIPO	CD	29740798
2780068	9201	1997-06-08	VYDAJ	PREVOD NA UCET	13461	92629	SIPO	CD	29740798
2780069	9201	1997-07-08	VYDAJ	PREVOD NA UCET	13461	51169	SIPO	CD	29740798
2780070	9201	1997-08-08	VYDAJ	PREVOD NA UCET	13461	59311	SIPO	CD	29740798
2780071	9201	1997-09-08	VYDAJ	PREVOD NA UCET	13461	65447	SIPO	CD	29740798
2780072	9201	1997-10-08	VYDAJ	PREVOD NA UCET	13461	67755	SIPO	CD	29740798
2780073	9201	1997-11-08	VYDAJ	PREVOD NA UCET	13461	55762	SIPO	CD	29740798
2780074	9201	1997-12-08	VYDAJ	PREVOD NA UCET	13461	76834	SIPO	CD	29740798
2780075	9201	1998-01-08	VYDAJ	PREVOD NA UCET	13461	53978	SIPO	CD	29740798
2780076	9201	1998-02-08	VYDAJ	PREVOD NA UCET	13461	57408	SIPO	CD	29740798
2780077	9201	1998-03-08	VYDAJ	PREVOD NA UCET	13461	60084	SIPO	CD	29740798
2780078	9201	1998-04-08	VYDAJ	PREVOD NA UCET	13461	72188	SIPO	CD	29740798
2780079	9201	1998-05-08	VYDAJ	PREVOD NA UCET	13461	79813	SIPO	CD	29740798
2780080	9201	1998-06-08	VYDAJ	PREVOD NA UCET	13461	75962	SIPO	CD	29740798
2780081	9201	1998-07-08	VYDAJ	PREVOD NA UCET	13461	82399	SIPO	CD	29740798
2780082	9201	1998-08-08	VYDAJ	PREVOD NA UCET	13461	96966	SIPO	CD	29740798
2780083	9201	1998-09-08	VYDAJ	PREVOD NA UCET	13461	69576	SIPO	CD	29740798
2780084	9201	1998-10-08	VYDAJ	PREVOD NA UCET	13461	87571	SIPO	CD	29740798
2780085	9201	1998-11-08	VYDAJ	PREVOD NA UCET	13461	72593	SIPO	CD	29740798
2780086	9201	1998-12-08	VYDAJ	PREVOD NA UCET	13461	89716	SIPO	CD	29740798
2780102	9201	1997-12-14	VYBER	VYBER	6699	70135	\N	\N	\N
2780103	9201	1997-10-20	VYBER	VYBER	22039	31116	\N	\N	\N
2780105	9201	1997-03-22	VYBER	VYBER	12566	39730	\N	\N	\N
2780106	9201	1997-11-17	VYBER	VYBER	21675	34087	\N	\N	\N
2780108	9201	1998-06-28	VYBER	VYBER	2587	52472	\N	\N	\N
2780109	9201	1998-03-02	VYBER	VYBER	6736	30543	\N	\N	\N
2780110	9201	1998-12-30	VYBER	VYBER	17159	47154	\N	\N	\N
2780111	9201	1998-11-11	VYBER	VYBER	18136	54457	\N	\N	\N
2780112	9201	1998-05-11	VYBER	VYBER	8000	71813	\N	\N	\N
2780113	9201	1998-10-10	VYBER	VYBER	10915	54753	\N	\N	\N
2780114	9201	1998-10-09	VYBER	VYBER	21903	65668	\N	\N	\N
2780117	9201	1998-01-11	VYBER	VYBER	5483	48495	\N	\N	\N
2780118	9201	1998-05-18	VYBER	VYBER	24249	42461	\N	\N	\N
2780119	9201	1998-09-08	VYBER	VYBER	17304	83037	\N	\N	\N
2780120	9201	1998-08-29	VYBER	VYBER	16727	56736	\N	\N	\N
2780122	9201	1997-06-10	VYDAJ	VYBER	68400	24229	\N	\N	\N
2780123	9201	1998-06-04	VYDAJ	VYBER	12000	31220	\N	\N	\N
2780126	9201	1998-01-13	VYDAJ	VYBER	5400	38895	\N	\N	\N
2780128	9201	1997-12-05	VYDAJ	VYBER	7200	25792	\N	\N	\N
2780129	9201	1998-12-17	VYDAJ	VYBER	2700	64313	\N	\N	\N
2780143	9201	1998-01-29	VYDAJ	VYBER	4200	27595	\N	\N	\N
2780144	9201	1998-01-02	VYDAJ	VYBER	4500	40637	\N	\N	\N
2780145	9201	1998-01-03	VYDAJ	VYBER	8400	32237	\N	\N	\N
2780146	9201	1998-01-25	VYDAJ	VYBER	6000	31795	\N	\N	\N
2780147	9201	1998-01-04	VYDAJ	VYBER	7800	24437	\N	\N	\N
2780154	9201	1997-09-11	VYDAJ	VYBER	13200	52247	\N	\N	\N
2780155	9201	1997-10-19	VYDAJ	VYBER	9000	53155	\N	\N	\N
2780156	9201	1997-05-21	VYDAJ	VYBER	1800	60298	\N	\N	\N
2780158	9201	1998-06-07	VYDAJ	VYBER	6300	89423	\N	\N	\N
2780159	9201	1998-02-16	VYDAJ	VYBER	13500	38805	\N	\N	\N
2780161	9201	1998-06-09	VYDAJ	VYBER	14700	61262	\N	\N	\N
2780162	9201	1998-10-10	VYDAJ	VYBER	4800	49953	\N	\N	\N
2780163	9201	1998-12-06	VYDAJ	VYBER	9600	38674	\N	\N	\N
2780164	9201	1998-10-13	VYDAJ	VYBER	4800	40050	\N	\N	\N
2780181	9201	1997-03-31	VYDAJ	VYBER	15	29983	SLUZBY	\N	\N
2780182	9201	1997-04-30	VYDAJ	VYBER	15	36857	SLUZBY	\N	\N
2780183	9201	1997-05-31	VYDAJ	VYBER	15	41587	SLUZBY	\N	\N
2780184	9201	1997-06-30	VYDAJ	VYBER	15	21628	SLUZBY	\N	\N
2780185	9201	1997-07-31	VYDAJ	VYBER	15	35970	SLUZBY	\N	\N
2780186	9201	1997-08-31	VYDAJ	VYBER	15	40706	SLUZBY	\N	\N
2780187	9201	1997-09-30	VYDAJ	VYBER	15	38214	SLUZBY	\N	\N
2780188	9201	1997-10-31	VYDAJ	VYBER	15	30421	SLUZBY	\N	\N
2780189	9201	1997-11-30	VYDAJ	VYBER	15	32992	SLUZBY	\N	\N
2780190	9201	1997-12-31	VYDAJ	VYBER	15	45137	SLUZBY	\N	\N
2780191	9201	1998-01-31	VYDAJ	VYBER	15	27867	SLUZBY	\N	\N
2780192	9201	1998-02-28	VYDAJ	VYBER	15	37279	SLUZBY	\N	\N
2780193	9201	1998-03-31	VYDAJ	VYBER	15	42647	SLUZBY	\N	\N
2780194	9201	1998-04-30	VYDAJ	VYBER	15	50272	SLUZBY	\N	\N
2780195	9201	1998-05-31	VYDAJ	VYBER	15	43220	SLUZBY	\N	\N
2780196	9201	1998-06-30	VYDAJ	VYBER	15	52858	SLUZBY	\N	\N
2780197	9201	1998-07-31	VYDAJ	VYBER	15	67425	SLUZBY	\N	\N
2780198	9201	1998-08-31	VYDAJ	VYBER	15	57339	SLUZBY	\N	\N
2780199	9201	1998-09-30	VYDAJ	VYBER	15	58030	SLUZBY	\N	\N
2780200	9201	1998-10-31	VYDAJ	VYBER	15	43052	SLUZBY	\N	\N
2780201	9201	1998-11-30	VYDAJ	VYBER	15	48274	SLUZBY	\N	\N
2780202	9201	1996-11-27	VYDAJ	VYBER	10300	33702	\N	\N	\N
2780203	9201	1996-12-27	VYDAJ	VYBER	35500	62738	\N	\N	\N
2780204	9201	1997-01-07	VYDAJ	VYBER	34200	71733	\N	\N	\N
2780205	9201	1997-01-26	VYDAJ	VYBER	21400	50333	\N	\N	\N
2780206	9201	1997-02-25	VYDAJ	VYBER	34400	59514	\N	\N	\N
2780207	9201	1997-03-07	VYDAJ	VYBER	32100	70657	\N	\N	\N
2780208	9201	1997-03-27	VYDAJ	VYBER	10100	29630	\N	\N	\N
2780209	9201	1997-04-26	VYDAJ	VYBER	17600	36524	\N	\N	\N
2780210	9201	1997-05-26	VYDAJ	VYBER	19100	41198	\N	\N	\N
2780211	9201	1997-06-25	PRIJEM	VKLAD	1600	21429	\N	\N	\N
2780212	9201	1997-07-25	VYDAJ	VYBER	11500	35669	\N	\N	\N
2780213	9201	1997-08-24	VYDAJ	VYBER	19000	40311	\N	\N	\N
2780214	9201	1997-09-23	VYDAJ	VYBER	14400	37847	\N	\N	\N
2780215	9201	1997-10-23	VYDAJ	VYBER	1000	30116	\N	\N	\N
2780216	9201	1997-11-22	VYDAJ	VYBER	1400	32687	\N	\N	\N
2780217	9201	1997-12-22	VYDAJ	VYBER	19600	44735	\N	\N	\N
2780218	9201	1998-01-21	VYDAJ	VYBER	1100	37795	\N	\N	\N
2780219	9201	1998-02-20	VYDAJ	VYBER	1800	37005	\N	\N	\N
2780220	9201	1998-03-22	VYDAJ	VYBER	12700	42281	\N	\N	\N
2780221	9201	1998-04-21	VYDAJ	VYBER	17200	49885	\N	\N	\N
2780222	9201	1998-05-21	PRIJEM	VKLAD	400	42861	\N	\N	\N
2780223	9201	1998-06-20	VYDAJ	VYBER	1100	55059	\N	\N	\N
2780224	9201	1998-07-20	VYDAJ	VYBER	10400	66896	\N	\N	\N
2780225	9201	1998-08-19	VYDAJ	VYBER	18400	73463	\N	\N	\N
2780226	9201	1998-09-18	VYDAJ	VYBER	6900	57573	\N	\N	\N
2780227	9201	1998-10-18	PRIJEM	VKLAD	2700	42750	\N	\N	\N
2780228	9201	1998-11-17	VYDAJ	VYBER	1400	47954	\N	\N	\N
2780229	9201	1998-12-17	VYDAJ	VYBER	17600	67013	\N	\N	\N
2780386	9203	1993-02-27	PRIJEM	VKLAD	900	900	\N	\N	\N
2780387	9203	1993-06-28	PRIJEM	VKLAD	20650	48551	\N	\N	\N
2780389	9203	1993-08-25	PRIJEM	VKLAD	27764	62752	\N	\N	\N
2780390	9203	1993-09-06	PRIJEM	VKLAD	35200	65449	\N	\N	\N
2780391	9203	1993-04-23	PRIJEM	VKLAD	10601	34683	\N	\N	\N
2780392	9203	1993-08-18	PRIJEM	VKLAD	22963	52188	\N	\N	\N
2780394	9203	1993-06-30	PRIJEM	VKLAD	22851	71571	\N	\N	\N
2780395	9203	1993-12-19	PRIJEM	VKLAD	14461	11294	\N	\N	\N
2780396	9203	1993-07-24	PRIJEM	VKLAD	12751	48712	\N	\N	\N
2780397	9203	1993-05-11	PRIJEM	VKLAD	9013	38365	\N	\N	\N
2780398	9203	1993-04-19	PRIJEM	VKLAD	12782	24082	\N	\N	\N
2780400	9203	1994-12-18	PRIJEM	VKLAD	10827	29207	\N	\N	\N
2780401	9203	1994-01-18	PRIJEM	VKLAD	26654	70895	\N	\N	\N
2780402	9203	1994-08-30	PRIJEM	VKLAD	24873	80501	\N	\N	\N
2780403	9203	1994-06-19	PRIJEM	VKLAD	38388	44865	\N	\N	\N
2780404	9203	1994-09-14	PRIJEM	VKLAD	43404	124324	\N	\N	\N
2780405	9203	1994-08-03	PRIJEM	VKLAD	6473	72538	\N	\N	\N
2780406	9203	1994-07-22	PRIJEM	VKLAD	37882	139754	\N	\N	\N
2780407	9203	1994-09-26	PRIJEM	VKLAD	17176	77243	\N	\N	\N
2780408	9203	1994-02-23	PRIJEM	VKLAD	47838	79050	\N	\N	\N
2780409	9203	1994-05-18	PRIJEM	VKLAD	49407	63819	\N	\N	\N
2780410	9203	1994-10-25	PRIJEM	VKLAD	46577	78956	\N	\N	\N
2780411	9203	1994-09-16	PRIJEM	VKLAD	26043	121867	\N	\N	\N
2780412	9203	1994-07-12	PRIJEM	VKLAD	43134	89904	\N	\N	\N
2780413	9203	1994-07-03	PRIJEM	VKLAD	11512	46770	\N	\N	\N
2780414	9203	1994-04-23	PRIJEM	VKLAD	15472	39145	\N	\N	\N
2780415	9203	1994-03-04	PRIJEM	VKLAD	15616	95083	\N	\N	\N
2780416	9203	1994-12-19	PRIJEM	VKLAD	34940	64147	\N	\N	\N
2780417	9203	1994-02-01	PRIJEM	VKLAD	33612	65312	\N	\N	\N
2780418	9203	1994-01-15	PRIJEM	VKLAD	41972	44241	\N	\N	\N
2780419	9203	1994-03-07	PRIJEM	VKLAD	7538	102621	\N	\N	\N
2780420	9203	1994-12-25	PRIJEM	VKLAD	38044	89664	\N	\N	\N
2780421	9203	1994-10-01	PRIJEM	VKLAD	23794	101707	\N	\N	\N
2780422	9203	1994-08-27	PRIJEM	VKLAD	18872	55628	\N	\N	\N
2780423	9203	1994-07-22	PRIJEM	VKLAD	26968	101872	\N	\N	\N
2780424	9203	1994-12-24	PRIJEM	VKLAD	8873	51620	\N	\N	\N
2780425	9203	1995-04-06	PRIJEM	VKLAD	11158	78712	\N	\N	\N
2780426	9203	1995-09-01	PRIJEM	VKLAD	47391	113650	\N	\N	\N
2780427	9203	1995-12-14	PRIJEM	VKLAD	22594	68411	\N	\N	\N
2780428	9203	1995-10-28	PRIJEM	VKLAD	38891	118059	\N	\N	\N
2780429	9203	1995-09-16	PRIJEM	VKLAD	23287	80037	\N	\N	\N
2780430	9203	1995-10-23	PRIJEM	VKLAD	19837	94868	\N	\N	\N
2780431	9203	1995-04-13	PRIJEM	VKLAD	29181	107893	\N	\N	\N
2780432	9203	1995-01-02	PRIJEM	VKLAD	49347	139357	\N	\N	\N
2780433	9203	1995-08-17	PRIJEM	VKLAD	37982	79416	\N	\N	\N
2780434	9203	1995-09-17	PRIJEM	VKLAD	22408	86745	\N	\N	\N
2780435	9203	1995-03-15	PRIJEM	VKLAD	10175	68945	\N	\N	\N
2780436	9203	1995-08-02	PRIJEM	VKLAD	39007	71134	\N	\N	\N
2780437	9203	1995-06-12	PRIJEM	VKLAD	41290	75653	\N	\N	\N
2780438	9203	1995-03-30	PRIJEM	VKLAD	19530	67193	\N	\N	\N
2780439	9203	1995-07-25	PRIJEM	VKLAD	5414	31853	\N	\N	\N
2780440	9203	1995-03-03	PRIJEM	VKLAD	6398	56844	\N	\N	\N
2780441	9203	1995-07-18	PRIJEM	VKLAD	19962	50910	\N	\N	\N
2780442	9203	1995-11-07	PRIJEM	VKLAD	26958	92032	\N	\N	\N
2780443	9203	1995-06-01	PRIJEM	VKLAD	21687	51463	\N	\N	\N
2780444	9203	1995-03-07	PRIJEM	VKLAD	12626	69470	\N	\N	\N
2780445	9203	1995-10-06	PRIJEM	VKLAD	28952	116331	\N	\N	\N
2780446	9203	1995-01-25	PRIJEM	VKLAD	44275	85632	\N	\N	\N
2780447	9203	1995-07-04	PRIJEM	VKLAD	10237	63148	\N	\N	\N
2780448	9203	1996-08-22	PRIJEM	VKLAD	21590	99804	\N	\N	\N
2780449	9203	1996-08-10	PRIJEM	VKLAD	45223	86692	\N	\N	\N
2780450	9203	1996-06-05	PRIJEM	VKLAD	49803	150813	\N	\N	\N
2780451	9203	1996-06-02	PRIJEM	VKLAD	40495	101010	\N	\N	\N
2780452	9203	1996-05-31	PRIJEM	VKLAD	19491	60331	\N	\N	\N
2780453	9203	1996-06-19	PRIJEM	VKLAD	12834	64847	\N	\N	\N
2780454	9203	1996-04-02	PRIJEM	VKLAD	41882	77732	\N	\N	\N
2780455	9203	1996-09-13	PRIJEM	VKLAD	46420	116911	\N	\N	\N
2780456	9203	1996-08-14	PRIJEM	VKLAD	47722	95414	\N	\N	\N
2780457	9203	1996-05-12	PRIJEM	VKLAD	41082	62542	\N	\N	\N
2780458	9203	1996-10-21	PRIJEM	VKLAD	18600	50130	\N	\N	\N
2780459	9203	1996-03-08	PRIJEM	VKLAD	39253	54284	\N	\N	\N
2780460	9203	1997-06-05	PRIJEM	VKLAD	29266	113627	\N	\N	\N
2780461	9203	1997-04-14	PRIJEM	VKLAD	43060	78984	\N	\N	\N
2780462	9203	1997-11-15	PRIJEM	VKLAD	7916	80228	\N	\N	\N
2780463	9203	1997-07-05	PRIJEM	VKLAD	35505	130748	\N	\N	\N
2780464	9203	1997-08-25	PRIJEM	VKLAD	26256	87669	\N	\N	\N
2780465	9203	1997-03-08	PRIJEM	VKLAD	32541	66143	\N	\N	\N
2780466	9203	1997-01-10	PRIJEM	VKLAD	17349	36537	\N	\N	\N
2780467	9203	1997-05-28	PRIJEM	VKLAD	22358	126699	\N	\N	\N
2780468	9203	1997-07-11	PRIJEM	VKLAD	15551	62573	\N	\N	\N
2780469	9203	1997-06-30	PRIJEM	VKLAD	49795	112074	\N	\N	\N
2780470	9203	1997-09-06	PRIJEM	VKLAD	25030	90542	\N	\N	\N
2780471	9203	1997-11-23	PRIJEM	VKLAD	22977	85505	\N	\N	\N
2780472	9203	1997-01-23	PRIJEM	VKLAD	34527	85158	\N	\N	\N
2780473	9203	1997-04-19	PRIJEM	VKLAD	26204	105188	\N	\N	\N
2780474	9203	1997-07-09	PRIJEM	VKLAD	43374	109022	\N	\N	\N
2780475	9203	1997-01-14	PRIJEM	VKLAD	14094	50631	\N	\N	\N
2780476	9203	1997-09-21	PRIJEM	VKLAD	8761	87203	\N	\N	\N
2780477	9203	1997-09-27	PRIJEM	VKLAD	11973	99176	\N	\N	\N
2780478	9203	1997-11-29	PRIJEM	VKLAD	29249	114754	\N	\N	\N
2780479	9203	1997-03-17	PRIJEM	VKLAD	12517	73460	\N	\N	\N
2780480	9203	1997-12-03	PRIJEM	VKLAD	44536	126927	\N	\N	\N
2780481	9203	1997-07-22	PRIJEM	VKLAD	18639	115944	\N	\N	\N
2780482	9203	1997-06-10	PRIJEM	VKLAD	41475	87402	\N	\N	\N
2780483	9203	1997-08-12	PRIJEM	VKLAD	7634	61413	\N	\N	\N
2780484	9203	1997-07-12	PRIJEM	VKLAD	46336	108909	\N	\N	\N
2780485	9203	1997-07-21	PRIJEM	VKLAD	41566	97305	\N	\N	\N
2780486	9203	1997-05-21	PRIJEM	VKLAD	38326	104341	\N	\N	\N
2780487	9203	1997-10-16	PRIJEM	VKLAD	28910	94733	\N	\N	\N
2780488	9203	1997-05-12	PRIJEM	VKLAD	9350	66015	\N	\N	\N
2780489	9203	1998-08-31	PRIJEM	VKLAD	10427	106254	\N	\N	\N
2780490	9203	1998-08-18	PRIJEM	VKLAD	15260	119627	\N	\N	\N
2780491	9203	1998-10-27	PRIJEM	VKLAD	9729	85364	\N	\N	\N
2780492	9203	1998-09-15	PRIJEM	VKLAD	36159	154989	\N	\N	\N
2780493	9203	1998-09-10	PRIJEM	VKLAD	37444	134430	\N	\N	\N
2780494	9203	1998-04-17	PRIJEM	VKLAD	12189	46453	\N	\N	\N
2780495	9203	1998-07-08	PRIJEM	VKLAD	16055	89805	\N	\N	\N
2780496	9203	1998-08-03	PRIJEM	VKLAD	38822	107599	\N	\N	\N
2780497	9203	1998-03-12	PRIJEM	VKLAD	22953	95242	\N	\N	\N
2780498	9203	1998-11-04	PRIJEM	VKLAD	30698	111697	\N	\N	\N
2780499	9203	1998-02-15	PRIJEM	VKLAD	38013	86676	\N	\N	\N
2780500	9203	1998-10-28	PRIJEM	VKLAD	14824	100188	\N	\N	\N
2780501	9203	1998-04-18	PRIJEM	VKLAD	17424	63877	\N	\N	\N
2780502	9203	1998-07-03	PRIJEM	VKLAD	30028	89050	\N	\N	\N
2780503	9203	1998-08-06	PRIJEM	VKLAD	23768	131367	\N	\N	\N
2780504	9203	1998-01-07	PRIJEM	VKLAD	37664	85124	\N	\N	\N
2780505	9203	1998-05-28	PRIJEM	VKLAD	7345	55923	\N	\N	\N
2780506	9203	1998-11-15	PRIJEM	VKLAD	23561	120458	\N	\N	\N
2780507	9203	1998-05-29	PRIJEM	VKLAD	48754	125908	\N	\N	\N
2780508	9203	1998-05-29	PRIJEM	VKLAD	21231	77154	\N	\N	\N
2780509	9203	1998-09-08	PRIJEM	VKLAD	27718	127186	\N	\N	\N
2780588	9203	1993-07-18	VYDAJ	VYBER	17000	54556	SIPO	\N	0
2780589	9203	1993-08-19	VYDAJ	VYBER	17200	34988	SIPO	\N	0
2780590	9203	1993-09-07	VYDAJ	VYBER	16200	49249	SIPO	\N	0
2780591	9203	1993-10-15	VYDAJ	VYBER	13500	3233	SIPO	\N	0
2780592	9203	1993-11-12	VYDAJ	VYBER	13400	-2200	SIPO	\N	0
2780593	9203	1993-12-05	VYDAJ	VYBER	10700	-3167	SIPO	\N	0
2780594	9203	1994-01-09	VYDAJ	VYBER	17400	2269	SIPO	\N	0
2780595	9203	1994-02-08	VYDAJ	VYBER	13900	41512	SIPO	\N	0
2780596	9203	1994-03-19	VYDAJ	VYBER	12500	77521	SIPO	\N	0
2780597	9203	1994-04-05	VYDAJ	VYBER	14800	34093	SIPO	\N	0
2780598	9203	1994-05-11	VYDAJ	VYBER	15900	14412	SIPO	\N	0
2780599	9203	1994-06-05	VYDAJ	VYBER	14800	16291	SIPO	\N	0
2780600	9203	1994-07-15	VYDAJ	VYBER	15000	74904	SIPO	\N	0
2780601	9203	1994-08-04	VYDAJ	VYBER	13100	47456	SIPO	\N	0
2780602	9203	1994-09-20	VYDAJ	VYBER	14300	107567	SIPO	\N	0
2780603	9203	1994-10-15	VYDAJ	VYBER	11300	75274	SIPO	\N	0
2780604	9203	1994-11-13	VYDAJ	VYBER	12000	51492	SIPO	\N	0
2780605	9203	1994-12-05	VYDAJ	VYBER	12900	18380	SIPO	\N	0
2780606	9203	1995-01-06	VYDAJ	VYBER	14800	68857	SIPO	\N	0
2780607	9203	1995-02-09	VYDAJ	VYBER	16900	69204	SIPO	\N	0
2780608	9203	1995-03-08	VYDAJ	VYBER	10700	58770	SIPO	\N	0
2780609	9203	1995-04-19	VYDAJ	VYBER	13400	66393	SIPO	\N	0
2780610	9203	1995-05-05	VYDAJ	VYBER	16000	50861	SIPO	\N	0
2780611	9203	1995-06-09	VYDAJ	VYBER	17100	34363	SIPO	\N	0
2780612	9203	1995-07-14	VYDAJ	VYBER	16000	34548	SIPO	\N	0
2780613	9203	1995-08-14	VYDAJ	VYBER	16000	55134	SIPO	\N	0
2780614	9203	1995-09-16	VYDAJ	VYBER	15700	64337	SIPO	\N	0
2780615	9203	1995-10-23	VYDAJ	VYBER	15700	79168	SIPO	\N	0
2780616	9203	1995-11-06	VYDAJ	VYBER	12700	65074	SIPO	\N	0
2780617	9203	1995-12-07	VYDAJ	VYBER	13500	45817	SIPO	\N	0
2780618	9203	1996-01-08	VYDAJ	VYBER	15300	30128	SIPO	\N	0
2780619	9203	1996-02-08	VYDAJ	VYBER	17200	8336	SIPO	\N	0
2780620	9203	1996-03-18	VYDAJ	VYBER	12300	35684	SIPO	\N	0
2780621	9203	1996-04-13	VYDAJ	VYBER	15600	37032	SIPO	\N	0
2780622	9203	1996-05-11	VYDAJ	VYBER	15800	21460	SIPO	\N	0
2780623	9203	1996-06-09	VYDAJ	VYBER	15800	81413	SIPO	\N	0
2780624	9203	1996-07-09	VYDAJ	VYBER	13300	52033	SIPO	\N	0
2780625	9203	1996-08-13	VYDAJ	VYBER	16500	47692	SIPO	\N	0
2780626	9203	1996-09-23	VYDAJ	VYBER	14200	52611	SIPO	\N	0
2780627	9203	1996-10-18	VYDAJ	VYBER	13500	31530	SIPO	\N	0
2780628	9203	1996-11-10	VYDAJ	VYBER	12200	35775	SIPO	\N	0
2780629	9203	1996-12-08	VYDAJ	VYBER	12600	23233	SIPO	\N	0
2780630	9203	1997-01-04	VYDAJ	VYBER	14300	9088	SIPO	\N	0
2780631	9203	1997-02-15	VYDAJ	VYBER	16600	38670	SIPO	\N	0
2780632	9203	1997-03-22	VYDAJ	VYBER	13900	59560	SIPO	\N	0
2780633	9203	1997-04-05	VYDAJ	VYBER	13500	41924	SIPO	\N	0
2780634	9203	1997-05-05	VYDAJ	VYBER	16100	81765	SIPO	\N	0
2780635	9203	1997-06-08	VYDAJ	VYBER	17200	45927	SIPO	\N	0
2780636	9203	1997-07-17	VYDAJ	VYBER	14300	55739	SIPO	\N	0
2780637	9203	1997-08-10	VYDAJ	VYBER	16600	53779	SIPO	\N	0
2780638	9203	1997-09-15	VYDAJ	VYBER	12100	78442	SIPO	\N	0
2780639	9203	1997-10-13	VYDAJ	VYBER	12000	65823	SIPO	\N	0
2780640	9203	1997-11-16	VYDAJ	VYBER	17700	62528	SIPO	\N	0
2780641	9203	1997-12-17	VYDAJ	VYBER	11300	44427	SIPO	\N	0
2780642	9203	1998-01-16	VYDAJ	VYBER	12200	65424	SIPO	\N	0
2780643	9203	1998-02-14	VYDAJ	VYBER	12400	48663	SIPO	\N	0
2780644	9203	1998-03-12	VYDAJ	VYBER	12000	83242	SIPO	\N	0
2780645	9203	1998-04-16	VYDAJ	VYBER	17600	34264	SIPO	\N	0
2780646	9203	1998-05-08	VYDAJ	VYBER	11900	48578	SIPO	\N	0
2780647	9203	1998-06-20	VYDAJ	VYBER	12300	53819	SIPO	\N	0
2780648	9203	1998-07-06	VYDAJ	VYBER	15300	73750	SIPO	\N	0
2780649	9203	1998-08-07	VYDAJ	VYBER	11500	104367	SIPO	\N	0
2780650	9203	1998-09-23	VYDAJ	VYBER	16900	115089	SIPO	\N	0
2780651	9203	1998-10-14	VYDAJ	VYBER	13600	82387	SIPO	\N	0
2780652	9203	1998-11-12	VYDAJ	VYBER	14800	96897	SIPO	\N	0
2780653	9203	1998-12-06	VYDAJ	VYBER	14300	91532	SIPO	\N	0
2780654	9203	1993-09-23	VYBER	VYBER	8159	41090	\N	\N	\N
2780655	9203	1993-07-21	VYBER	VYBER	18595	35961	\N	\N	\N
2780658	9203	1993-08-09	VYBER	VYBER	7173	29225	\N	\N	\N
2780660	9203	1993-10-04	VYBER	VYBER	13573	16733	\N	\N	\N
2780668	9203	1994-01-23	VYBER	VYBER	19848	37847	\N	\N	\N
2780669	9203	1994-10-23	VYBER	VYBER	21195	32379	\N	\N	\N
2780670	9203	1994-08-04	VYBER	VYBER	11982	60556	\N	\N	\N
2780672	9203	1994-05-18	VYBER	VYBER	20036	43783	\N	\N	\N
2780673	9203	1994-04-13	VYBER	VYBER	10420	23673	\N	\N	\N
2780674	9203	1994-06-10	VYBER	VYBER	9814	6477	\N	\N	\N
2780675	9203	1994-10-04	VYBER	VYBER	7333	86574	\N	\N	\N
2780676	9203	1994-11-16	VYBER	VYBER	23241	28251	\N	\N	\N
2780677	9203	1994-10-25	VYBER	VYBER	16018	62938	\N	\N	\N
2780678	9203	1995-03-16	VYBER	VYBER	14782	54163	\N	\N	\N
2780679	9203	1995-11-09	VYBER	VYBER	11029	81003	\N	\N	\N
2780681	9203	1995-07-18	VYBER	VYBER	24471	26439	\N	\N	\N
2780682	9203	1995-05-12	VYBER	VYBER	23792	27069	\N	\N	\N
2780683	9203	1995-09-15	VYBER	VYBER	12000	62150	\N	\N	\N
2780685	9203	1997-06-26	VYBER	VYBER	14008	61994	\N	\N	\N
2780686	9203	1997-07-16	VYBER	VYBER	2670	70039	\N	\N	\N
2780687	9203	1997-04-24	VYBER	VYBER	7839	97349	\N	\N	\N
2780688	9203	1998-07-29	VYBER	VYBER	5336	65781	\N	\N	\N
2780689	9203	1998-10-31	VYBER	VYBER	6295	86714	\N	\N	\N
2780691	9203	1998-04-06	VYBER	VYBER	13332	51864	\N	\N	\N
2780693	9203	1998-07-10	VYBER	VYBER	11488	78317	\N	\N	\N
2780694	9203	1998-10-16	VYBER	VYBER	6752	75635	\N	\N	\N
2780695	9203	1998-04-22	VYBER	VYBER	3663	60214	\N	\N	\N
2780696	9203	1998-04-02	VYBER	VYBER	21189	65196	\N	\N	\N
2780705	9203	1994-01-20	VYDAJ	VYBER	13200	57695	\N	\N	\N
2780706	9203	1995-01-10	VYDAJ	VYBER	24900	43957	\N	\N	\N
2780707	9203	1996-01-02	VYDAJ	VYBER	7500	45428	\N	\N	\N
2780708	9203	1997-01-26	VYDAJ	VYBER	21600	63558	\N	\N	\N
2780709	9203	1998-01-08	VYDAJ	VYBER KARTOU	7500	77624	\N	\N	0
2780711	9203	1994-12-21	VYDAJ	VYBER	5100	42747	\N	\N	\N
2780712	9203	1995-12-29	VYDAJ	VYBER	3600	52511	\N	\N	\N
2780714	9203	1997-12-14	VYDAJ	VYBER KARTOU	6300	55727	\N	\N	0
2780715	9203	1998-12-06	VYDAJ	VYBER KARTOU	1800	89732	\N	\N	0
2780718	9203	1993-09-02	VYDAJ	VYBER	10800	30249	\N	\N	\N
2780722	9203	1994-10-03	VYDAJ	VYBER	7800	93907	\N	\N	\N
2780723	9203	1994-03-16	VYDAJ	VYBER	12600	90021	\N	\N	\N
2780724	9203	1994-02-01	VYDAJ	VYBER	9900	55412	\N	\N	\N
2780725	9203	1994-09-22	VYDAJ	VYBER	4800	60067	\N	\N	\N
2780726	9203	1995-01-02	VYDAJ	VYBER	12600	126757	\N	\N	\N
2780727	9203	1995-08-18	VYDAJ	VYBER	3300	76116	\N	\N	\N
2780728	9203	1995-09-05	VYDAJ	VYBER	1800	74150	\N	\N	\N
2780729	9203	1995-08-28	VYDAJ	VYBER	10200	65916	\N	\N	\N
2780730	9203	1995-07-07	VYDAJ	VYBER	12600	50548	\N	\N	\N
2780731	9203	1996-09-14	VYDAJ	VYBER	9000	66811	\N	\N	\N
2780732	9203	1996-04-10	VYDAJ	VYBER	7500	70232	\N	\N	\N
2780733	9203	1997-03-24	VYDAJ	VYBER	4500	55060	\N	\N	\N
2780734	9203	1997-06-15	VYDAJ	VYBER	11400	76002	\N	\N	\N
2780735	9203	1997-02-19	VYDAJ	VYBER	5400	33270	\N	\N	\N
2780736	9203	1998-07-19	VYDAJ	VYBER KARTOU	7200	71117	\N	\N	0
2780737	9203	1998-11-02	VYDAJ	VYBER KARTOU	5700	80999	\N	\N	0
2780738	9203	1998-09-02	VYDAJ	VYBER KARTOU	7500	99468	\N	\N	0
2780745	9203	1993-06-30	VYDAJ	VYBER	15	71556	SLUZBY	\N	\N
2780746	9203	1993-07-31	VYDAJ	VYBER	15	36398	SLUZBY	\N	\N
2780747	9203	1993-08-31	VYDAJ	VYBER	15	41049	SLUZBY	\N	\N
2780748	9203	1993-09-30	VYDAJ	VYBER	15	30306	SLUZBY	\N	\N
2780749	9203	1993-10-31	VYDAJ	VYBER	15	11200	SLUZBY	\N	\N
2780750	9203	1993-11-30	VYDAJ	VYBER	15	7533	SLUZBY	\N	\N
2780751	9203	1993-12-31	VYDAJ	VYBER	15	19669	SLUZBY	\N	\N
2780752	9203	1994-01-31	VYDAJ	VYBER	15	31700	SLUZBY	\N	\N
2780753	9203	1994-02-28	VYDAJ	VYBER	15	79467	SLUZBY	\N	\N
2780754	9203	1994-03-31	VYDAJ	VYBER	15	48893	SLUZBY	\N	\N
2780755	9203	1994-04-30	VYDAJ	VYBER	15	30312	SLUZBY	\N	\N
2780756	9203	1994-05-31	VYDAJ	VYBER	15	31091	SLUZBY	\N	\N
2780757	9203	1994-06-30	VYDAJ	VYBER	15	35258	SLUZBY	\N	\N
2780758	9203	1994-07-31	VYDAJ	VYBER	15	66065	SLUZBY	\N	\N
2780759	9203	1994-08-31	VYDAJ	VYBER	15	80920	SLUZBY	\N	\N
2780760	9203	1994-09-30	VYDAJ	VYBER	15	77913	SLUZBY	\N	\N
2780761	9203	1994-10-31	VYDAJ	VYBER	15	63492	SLUZBY	\N	\N
2780762	9203	1994-11-30	VYDAJ	VYBER	15	31280	SLUZBY	\N	\N
2780763	9203	1994-12-31	VYDAJ	VYBER	15	90010	SLUZBY	\N	\N
2780764	9203	1995-01-31	VYDAJ	VYBER	15	86104	SLUZBY	\N	\N
2780765	9203	1995-02-28	VYDAJ	VYBER	15	50446	SLUZBY	\N	\N
2780766	9203	1995-03-31	VYDAJ	VYBER	15	67554	SLUZBY	\N	\N
2780767	9203	1995-04-30	VYDAJ	VYBER	15	66861	SLUZBY	\N	\N
2780768	9203	1995-05-31	VYDAJ	VYBER	15	29776	SLUZBY	\N	\N
2780769	9203	1995-06-30	VYDAJ	VYBER	15	52911	SLUZBY	\N	\N
2780770	9203	1995-07-31	VYDAJ	VYBER	15	32127	SLUZBY	\N	\N
2780771	9203	1995-08-31	VYDAJ	VYBER	15	66259	SLUZBY	\N	\N
2780772	9203	1995-09-30	VYDAJ	VYBER	15	87379	SLUZBY	\N	\N
2780773	9203	1995-10-31	VYDAJ	VYBER	15	77774	SLUZBY	\N	\N
2780774	9203	1995-11-30	VYDAJ	VYBER	15	59317	SLUZBY	\N	\N
2780775	9203	1995-12-31	VYDAJ	VYBER	15	52928	SLUZBY	\N	\N
2780776	9203	1996-01-31	VYDAJ	VYBER	15	25536	SLUZBY	\N	\N
2780777	9203	1996-02-29	VYDAJ	VYBER	15	15031	SLUZBY	\N	\N
2780778	9203	1996-03-31	VYDAJ	VYBER	15	35850	SLUZBY	\N	\N
2780779	9203	1996-04-30	VYDAJ	VYBER	15	37260	SLUZBY	\N	\N
2780780	9203	1996-05-31	VYDAJ	VYBER	15	60515	SLUZBY	\N	\N
2780781	9203	1996-06-30	VYDAJ	VYBER	15	65333	SLUZBY	\N	\N
2780782	9203	1996-07-31	VYDAJ	VYBER	15	41469	SLUZBY	\N	\N
2780783	9203	1996-08-31	VYDAJ	VYBER	15	100291	SLUZBY	\N	\N
2780784	9203	1996-09-30	VYDAJ	VYBER	15	53030	SLUZBY	\N	\N
2780785	9203	1996-10-31	VYDAJ	VYBER	15	50475	SLUZBY	\N	\N
2780786	9203	1996-11-30	VYDAJ	VYBER	15	36033	SLUZBY	\N	\N
2780787	9203	1996-12-31	VYDAJ	VYBER	15	23388	SLUZBY	\N	\N
2780788	9203	1997-01-31	VYDAJ	VYBER	15	63870	SLUZBY	\N	\N
2780789	9203	1997-02-28	VYDAJ	VYBER	15	33602	SLUZBY	\N	\N
2780790	9203	1997-03-31	VYDAJ	VYBER	15	55424	SLUZBY	\N	\N
2780791	9203	1997-04-30	VYDAJ	VYBER	15	97865	SLUZBY	\N	\N
2780792	9203	1997-05-31	VYDAJ	VYBER	15	84361	SLUZBY	\N	\N
2780793	9203	1997-06-30	VYDAJ	VYBER	15	95243	SLUZBY	\N	\N
2780794	9203	1997-07-31	VYDAJ	VYBER	15	92379	SLUZBY	\N	\N
2780795	9203	1997-08-31	VYDAJ	VYBER	15	88112	SLUZBY	\N	\N
2780796	9203	1997-09-30	VYDAJ	VYBER	15	99823	SLUZBY	\N	\N
2780797	9203	1997-10-31	VYDAJ	VYBER	15	95412	SLUZBY	\N	\N
2780798	9203	1997-11-30	VYDAJ	VYBER	15	82391	SLUZBY	\N	\N
2780799	9203	1997-12-31	VYDAJ	VYBER	15	44860	SLUZBY	\N	\N
2780800	9203	1998-01-31	VYDAJ	VYBER	15	65863	SLUZBY	\N	\N
2780801	9203	1998-02-28	VYDAJ	VYBER	15	87089	SLUZBY	\N	\N
2780802	9203	1998-03-31	VYDAJ	VYBER	15	83785	SLUZBY	\N	\N
2780803	9203	1998-04-30	VYDAJ	VYBER	15	60578	SLUZBY	\N	\N
2780804	9203	1998-05-31	VYDAJ	VYBER	15	66219	SLUZBY	\N	\N
2780805	9203	1998-06-30	VYDAJ	VYBER	15	54222	SLUZBY	\N	\N
2780806	9203	1998-07-31	VYDAJ	VYBER	15	68777	SLUZBY	\N	\N
2780807	9203	1998-08-31	VYDAJ	VYBER	15	106968	SLUZBY	\N	\N
2780808	9203	1998-09-30	VYDAJ	VYBER	15	95987	SLUZBY	\N	\N
2780809	9203	1998-10-31	VYDAJ	VYBER	15	86699	SLUZBY	\N	\N
2780810	9203	1998-11-30	VYDAJ	VYBER	15	105832	SLUZBY	\N	\N
2780811	9203	1993-03-29	PRIJEM	VKLAD	10400	11300	\N	\N	\N
2780812	9203	1993-04-28	VYDAJ	VYBER	5400	29283	\N	\N	\N
2780813	9203	1993-05-28	VYDAJ	VYBER	5900	32465	\N	\N	\N
2780814	9203	1993-06-27	VYDAJ	VYBER	4700	27901	\N	\N	\N
2780815	9203	1993-07-27	VYDAJ	VYBER	12800	35912	\N	\N	\N
2780816	9203	1993-08-26	VYDAJ	VYBER	22000	40752	\N	\N	\N
2780817	9203	1993-09-25	VYDAJ	VYBER	11100	29990	\N	\N	\N
2780818	9203	1993-10-25	PRIJEM	VKLAD	7900	11133	\N	\N	\N
2780819	9203	1993-11-24	PRIJEM	VKLAD	9700	7500	\N	\N	\N
2780820	9203	1993-12-24	PRIJEM	VKLAD	8300	19594	\N	\N	\N
2780821	9203	1994-01-23	VYDAJ	VYBER	6400	31447	\N	\N	\N
2780822	9203	1994-02-22	VYDAJ	VYBER	10300	31212	\N	\N	\N
2780823	9203	1994-03-24	VYDAJ	VYBER	29200	48321	\N	\N	\N
2780824	9203	1994-04-23	VYDAJ	VYBER	9100	30045	\N	\N	\N
2780825	9203	1994-05-23	VYDAJ	VYBER	12900	30883	\N	\N	\N
2780826	9203	1994-06-22	VYDAJ	VYBER	9800	35065	\N	\N	\N
2780827	9203	1994-07-22	VYDAJ	VYBER	15800	123954	\N	\N	\N
2780828	9203	1994-07-22	VYDAJ	VYBER	15300	108654	\N	\N	\N
2780829	9203	1994-07-22	VYDAJ	VYBER	43100	65554	\N	\N	\N
2780830	9203	1994-08-21	VYDAJ	VYBER	10700	36756	\N	\N	\N
2780831	9203	1994-09-14	VYDAJ	VYBER	28500	95824	\N	\N	\N
2780832	9203	1994-09-20	VYDAJ	VYBER	42700	64867	\N	\N	\N
2780833	9203	1994-10-20	VYDAJ	VYBER	21700	53574	\N	\N	\N
2780834	9203	1994-11-19	PRIJEM	VKLAD	2800	31051	\N	\N	\N
2780835	9203	1994-12-19	VYDAJ	VYBER	16300	47847	\N	\N	\N
2780836	9203	1995-01-02	VYDAJ	VYBER	43100	83657	\N	\N	\N
2780837	9203	1995-01-18	VYDAJ	VYBER	2600	41357	\N	\N	\N
2780838	9203	1995-02-17	VYDAJ	VYBER	19300	49904	\N	\N	\N
2780839	9203	1995-03-19	VYDAJ	VYBER	6500	47663	\N	\N	\N
2780840	9203	1995-04-18	VYDAJ	VYBER	28100	79793	\N	\N	\N
2780841	9203	1995-05-18	PRIJEM	VKLAD	2400	29469	\N	\N	\N
2780842	9203	1995-06-17	VYDAJ	VYBER	23100	52553	\N	\N	\N
2780843	9203	1995-07-17	VYDAJ	VYBER	3600	30948	\N	\N	\N
2780844	9203	1995-08-16	VYDAJ	VYBER	13700	41434	\N	\N	\N
2780845	9203	1995-09-01	VYDAJ	VYBER	37700	75950	\N	\N	\N
2780846	9203	1995-09-15	VYDAJ	VYBER	5400	56750	\N	\N	\N
2780847	9203	1995-10-06	VYDAJ	VYBER	15400	100931	\N	\N	\N
2780848	9203	1995-10-15	VYDAJ	VYBER	25900	75031	\N	\N	\N
2780849	9203	1995-10-28	VYDAJ	VYBER	41000	77059	\N	\N	\N
2780850	9203	1995-11-14	VYDAJ	VYBER	22200	58803	\N	\N	\N
2780851	9203	1995-12-14	VYDAJ	VYBER	12300	56111	\N	\N	\N
2780852	9203	1996-01-13	VYDAJ	VYBER	4800	25328	\N	\N	\N
2780853	9203	1996-02-12	PRIJEM	VKLAD	6600	14936	\N	\N	\N
2780854	9203	1996-03-13	VYDAJ	VYBER	6300	47984	\N	\N	\N
2780855	9203	1996-04-12	VYDAJ	VYBER	17600	52632	\N	\N	\N
2780856	9203	1996-05-12	VYDAJ	VYBER	21900	40642	\N	\N	\N
2780857	9203	1996-06-05	VYDAJ	VYBER	53600	97213	\N	\N	\N
2780858	9203	1996-06-11	VYDAJ	VYBER	29400	52013	\N	\N	\N
2780859	9203	1996-07-11	VYDAJ	VYBER	10900	41133	\N	\N	\N
2780860	9203	1996-08-10	VYDAJ	VYBER	22500	64192	\N	\N	\N
2780861	9203	1996-08-14	VYDAJ	VYBER	17200	78214	\N	\N	\N
2780862	9203	1996-09-09	VYDAJ	VYBER	29800	70491	\N	\N	\N
2780863	9203	1996-09-13	VYDAJ	VYBER	41100	75811	\N	\N	\N
2780864	9203	1996-10-09	VYDAJ	VYBER	8000	45030	\N	\N	\N
2780865	9203	1996-11-08	VYDAJ	VYBER	2500	47975	\N	\N	\N
2780866	9203	1996-12-08	VYDAJ	VYBER	200	35833	\N	\N	\N
2780867	9203	1997-01-07	PRIJEM	VKLAD	10100	19188	\N	\N	\N
2780868	9203	1997-02-06	VYDAJ	VYBER	8600	55270	\N	\N	\N
2780869	9203	1997-03-08	VYDAJ	VYBER	5200	60943	\N	\N	\N
2780870	9203	1997-04-07	VYDAJ	VYBER	6000	35924	\N	\N	\N
2780871	9203	1997-05-07	VYDAJ	VYBER	25100	56665	\N	\N	\N
2780872	9203	1997-05-28	VYDAJ	VYBER	42900	83799	\N	\N	\N
2780873	9203	1997-06-05	VYDAJ	VYBER	33400	80227	\N	\N	\N
2780874	9203	1997-06-06	VYDAJ	VYBER	17100	63127	\N	\N	\N
2780875	9203	1997-06-30	VYDAJ	VYBER	17100	95258	\N	\N	\N
2780876	9203	1997-07-05	VYDAJ	VYBER	46400	84348	\N	\N	\N
2780877	9203	1997-07-06	VYDAJ	VYBER	18700	65648	\N	\N	\N
2780878	9203	1997-07-09	VYDAJ	VYBER	62000	47022	\N	\N	\N
2780879	9203	1997-07-12	VYDAJ	VYBER	36200	72709	\N	\N	\N
2780880	9203	1997-07-22	VYDAJ	VYBER	24200	91744	\N	\N	\N
2780881	9203	1997-08-05	VYDAJ	VYBER	22000	70379	\N	\N	\N
2780882	9203	1997-09-04	VYDAJ	VYBER	22600	65512	\N	\N	\N
2780883	9203	1997-10-04	VYDAJ	VYBER	22000	77823	\N	\N	\N
2780884	9203	1997-11-03	VYDAJ	VYBER	23100	72312	\N	\N	\N
2780885	9203	1997-11-29	VYDAJ	VYBER	32800	81954	\N	\N	\N
2780886	9203	1997-12-03	VYDAJ	VYBER	58000	68927	\N	\N	\N
2780887	9203	1997-12-03	VYDAJ	VYBER KARTOU	6900	62027	\N	\N	0
2780888	9203	1998-01-02	PRIJEM	VKLAD	2600	47460	\N	\N	\N
2780889	9203	1998-02-01	VYDAJ	VYBER KARTOU	4800	61063	\N	\N	0
2780890	9203	1998-03-03	VYDAJ	VYBER	14800	72289	\N	\N	\N
2780891	9203	1998-04-02	PRIJEM	VKLAD	2600	86385	\N	\N	\N
2780892	9203	1998-05-02	VYDAJ	VYBER KARTOU	100	60478	\N	\N	0
2780893	9203	1998-05-29	VYDAJ	VYBER	60000	65908	\N	\N	\N
2780894	9203	1998-06-01	VYDAJ	VYBER KARTOU	100	66119	\N	\N	0
2780895	9203	1998-07-01	PRIJEM	VKLAD	4800	59022	\N	\N	\N
2780896	9203	1998-07-31	PRIJEM	VKLAD	2500	68281	\N	\N	\N
2780897	9203	1998-08-06	VYDAJ	VYBER	15500	115867	\N	\N	\N
2780898	9203	1998-08-30	VYDAJ	VYBER	23800	95827	\N	\N	\N
2780899	9203	1998-09-08	VYDAJ	VYBER	30200	96986	\N	\N	\N
2780900	9203	1998-09-10	VYDAJ	VYBER	15600	118830	\N	\N	\N
2780901	9203	1998-09-15	VYDAJ	VYBER	23000	131989	\N	\N	\N
2780902	9203	1998-09-29	VYDAJ	VYBER	19900	95189	\N	\N	\N
2780903	9203	1998-10-29	VYDAJ	VYBER KARTOU	7800	92388	\N	\N	0
2780904	9203	1998-11-28	VYDAJ	VYBER	15400	105058	\N	\N	\N
2781975	9208	1997-05-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2781981	9208	1997-06-05	PRIJEM	PREVOD Z UCTU	30794	31894	\N	OP	22525698
2781982	9208	1997-07-05	PRIJEM	PREVOD Z UCTU	20529	46606	\N	OP	22525698
2781983	9208	1997-08-05	PRIJEM	PREVOD Z UCTU	20529	57316	\N	OP	22525698
2781984	9208	1997-09-05	PRIJEM	PREVOD Z UCTU	20529	59803	\N	OP	22525698
2781985	9208	1997-10-05	PRIJEM	PREVOD Z UCTU	20529	64923	\N	OP	22525698
2781986	9208	1997-11-05	PRIJEM	PREVOD Z UCTU	20529	62754	\N	OP	22525698
2781987	9208	1997-12-05	PRIJEM	PREVOD Z UCTU	30794	70376	\N	OP	22525698
2781988	9208	1998-01-05	PRIJEM	PREVOD Z UCTU	20529	61511	\N	OP	22525698
2781989	9208	1998-02-05	PRIJEM	PREVOD Z UCTU	20529	59414	\N	OP	22525698
2781990	9208	1998-03-05	PRIJEM	PREVOD Z UCTU	20529	29906	\N	OP	22525698
2781991	9208	1998-04-05	PRIJEM	PREVOD Z UCTU	20529	37729	\N	OP	22525698
2781992	9208	1998-05-05	PRIJEM	PREVOD Z UCTU	20529	42724	\N	OP	22525698
2781993	9208	1998-06-05	PRIJEM	PREVOD Z UCTU	30794	55240	\N	OP	22525698
2781994	9208	1998-07-05	PRIJEM	PREVOD Z UCTU	20529	54837	\N	OP	22525698
2781995	9208	1998-08-05	PRIJEM	PREVOD Z UCTU	20529	41374	\N	OP	22525698
2781996	9208	1998-09-05	PRIJEM	PREVOD Z UCTU	20529	21400	\N	OP	22525698
2781997	9208	1998-10-05	PRIJEM	PREVOD Z UCTU	20529	37168	\N	OP	22525698
2781998	9208	1998-11-05	PRIJEM	PREVOD Z UCTU	20529	36090	\N	OP	22525698
2781999	9208	1998-12-05	PRIJEM	PREVOD Z UCTU	30794	49045	\N	OP	22525698
2782009	9208	1997-10-13	VYDAJ	VYBER	2700	62223	\N	\N	0
2782010	9208	1997-11-08	VYDAJ	VYBER	3500	59254	\N	\N	0
2782011	9208	1997-12-18	VYDAJ	VYBER	4200	66176	\N	\N	0
2782012	9208	1998-01-19	VYDAJ	VYBER	3800	57711	\N	\N	0
2782013	9208	1998-02-05	VYDAJ	VYBER	4100	55314	\N	\N	0
2782014	9208	1998-03-14	VYDAJ	VYBER	2700	27206	\N	\N	0
2782015	9208	1998-04-14	VYDAJ	VYBER	4000	33729	\N	\N	0
2782016	9208	1998-05-18	VYDAJ	VYBER	3500	24535	\N	\N	0
2782017	9208	1998-06-05	VYDAJ	VYBER	3400	51840	\N	\N	0
2782018	9208	1998-07-11	VYDAJ	VYBER	2600	29998	\N	\N	0
2782019	9208	1998-08-18	VYDAJ	VYBER	4200	30059	\N	\N	0
2782020	9208	1998-09-09	VYDAJ	VYBER	4200	9700	\N	\N	0
2782021	9208	1998-10-12	VYDAJ	VYBER	3400	33768	\N	\N	0
2782022	9208	1998-11-12	VYDAJ	VYBER	3400	32690	\N	\N	0
2782023	9208	1998-12-12	VYDAJ	PREVOD NA UCET	3422	45624	UVER	WX	63637012
2782028	9208	1998-03-20	VYBER	VYBER	11485	17021	\N	\N	\N
2782029	9208	1998-04-17	VYBER	VYBER	6433	27296	\N	\N	\N
2782030	9208	1998-11-14	VYBER	VYBER	9709	16381	\N	\N	\N
2782031	9208	1998-08-17	VYBER	VYBER	6415	34959	\N	\N	\N
2782032	9208	1998-08-31	VYBER	VYBER	15178	15160	\N	\N	\N
2782033	9208	1998-09-03	VYBER	VYBER	14274	871	\N	\N	\N
2782034	9208	1998-02-24	VYBER	VYBER	12653	8983	\N	\N	\N
2782035	9208	1998-07-05	VYBER	VYBER	22239	32598	\N	\N	\N
2782036	9208	1998-02-16	VYBER	VYBER	15578	28336	\N	\N	\N
2782037	9208	1998-07-15	VYBER	VYBER	4685	25313	\N	\N	\N
2782038	9208	1998-05-16	VYBER	VYBER	14689	28035	\N	\N	\N
2782039	9208	1998-10-25	VYBER	VYBER	7611	15357	\N	\N	\N
2782040	9208	1997-12-20	VYDAJ	VYBER	5100	61076	\N	\N	\N
2782041	9208	1998-12-16	VYDAJ	VYBER	7200	26824	\N	\N	\N
2782048	9208	1998-09-05	VYDAJ	VYBER	7500	13900	\N	\N	\N
2782049	9208	1998-07-18	VYDAJ	VYBER	7200	20513	\N	\N	\N
2782050	9208	1998-11-13	VYDAJ	VYBER	6600	26090	\N	\N	\N
2782051	9208	1998-02-15	VYDAJ	VYBER	11400	43914	\N	\N	\N
2782052	9208	1998-06-29	VYDAJ	VYBER	2400	33840	\N	\N	\N
2782063	9208	1997-10-31	VYDAJ	VYBER	15	42225	SLUZBY	\N	\N
2782064	9208	1997-11-30	VYDAJ	VYBER	15	39582	SLUZBY	\N	\N
2782065	9208	1997-12-31	VYDAJ	VYBER	15	40982	SLUZBY	\N	\N
2782066	9208	1998-01-31	VYDAJ	VYBER	15	38885	SLUZBY	\N	\N
2782067	9208	1998-02-28	VYDAJ	VYBER	15	9377	SLUZBY	\N	\N
2782068	9208	1998-03-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
2782069	9208	1998-04-30	VYDAJ	VYBER	15	22195	SLUZBY	\N	\N
2782070	9208	1998-05-31	VYDAJ	VYBER	15	24446	SLUZBY	\N	\N
2782071	9208	1998-06-30	VYDAJ	VYBER	15	34308	SLUZBY	\N	\N
2782072	9208	1998-07-31	VYDAJ	VYBER	15	20845	SLUZBY	\N	\N
2782073	9208	1998-08-31	VYDAJ	VYBER	15	15145	SLUZBY	\N	\N
2782074	9208	1998-09-30	VYDAJ	VYBER	15	16639	SLUZBY	\N	\N
2782075	9208	1998-10-31	VYDAJ	VYBER	15	15561	SLUZBY	\N	\N
2782076	9208	1998-11-30	VYDAJ	VYBER	15	18251	SLUZBY	\N	\N
2782077	9208	1997-06-23	VYDAJ	VYBER	5900	25994	\N	\N	\N
2782078	9208	1997-07-23	VYDAJ	VYBER	10100	36506	\N	\N	\N
2782079	9208	1997-08-22	VYDAJ	VYBER	18400	38916	\N	\N	\N
2782080	9208	1997-09-21	VYDAJ	VYBER	15800	44003	\N	\N	\N
2782081	9208	1997-10-21	VYDAJ	VYBER	20500	41723	\N	\N	\N
2782082	9208	1997-11-20	VYDAJ	VYBER	20200	39054	\N	\N	\N
2782083	9208	1997-12-20	VYDAJ	VYBER	20500	40576	\N	\N	\N
2782084	9208	1998-01-19	VYDAJ	VYBER	19200	38511	\N	\N	\N
2782085	9208	1998-02-18	VYDAJ	VYBER	6700	21636	\N	\N	\N
2782086	9208	1998-03-20	PRIJEM	VKLAD	1300	28506	\N	\N	\N
2782087	9208	1998-04-19	VYDAJ	VYBER	5300	21996	\N	\N	\N
2782088	9208	1998-05-19	VYDAJ	VYBER	300	24235	\N	\N	\N
2782089	9208	1998-06-18	VYDAJ	VYBER	15600	36240	\N	\N	\N
2782090	9208	1998-07-18	PRIJEM	VKLAD	2400	27713	\N	\N	\N
2782091	9208	1998-08-17	VYDAJ	VYBER	700	34259	\N	\N	\N
2782092	9208	1998-09-16	PRIJEM	VKLAD	6800	16500	\N	\N	\N
2782093	9208	1998-10-16	VYDAJ	VYBER	10800	22968	\N	\N	\N
2782094	9208	1998-11-15	PRIJEM	VKLAD	1700	18081	\N	\N	\N
2782095	9208	1998-12-15	VYDAJ	VYBER	11600	34024	\N	\N	\N
2786317	9225	1996-01-01	PRIJEM	VKLAD	600	600	\N	\N	\N
2786318	9225	1996-04-21	PRIJEM	VKLAD	16596	42807	\N	\N	\N
2786319	9225	1996-07-17	PRIJEM	VKLAD	45888	90585	\N	\N	\N
2786320	9225	1996-06-22	PRIJEM	VKLAD	16320	116638	\N	\N	\N
2786321	9225	1996-07-11	PRIJEM	VKLAD	13984	64863	\N	\N	\N
2786322	9225	1996-06-21	PRIJEM	VKLAD	49398	100318	\N	\N	\N
2786323	9225	1996-11-12	PRIJEM	VKLAD	43556	67259	\N	\N	\N
2786324	9225	1996-12-02	PRIJEM	VKLAD	17352	47523	\N	\N	\N
2786325	9225	1996-05-05	PRIJEM	VKLAD	41419	74641	\N	\N	\N
2786326	9225	1996-12-04	PRIJEM	VKLAD	9656	57179	\N	\N	\N
2786327	9225	1996-12-13	PRIJEM	VKLAD	30977	84756	\N	\N	\N
2786328	9225	1996-08-17	PRIJEM	VKLAD	40069	80019	\N	\N	\N
2786329	9225	1996-02-18	PRIJEM	VKLAD	29175	39778	\N	\N	\N
2786330	9225	1997-06-09	PRIJEM	VKLAD	7161	33188	\N	\N	\N
2786331	9225	1997-01-28	PRIJEM	VKLAD	13833	34803	\N	\N	\N
2786332	9225	1997-03-02	PRIJEM	VKLAD	12323	37398	\N	\N	\N
2786333	9225	1997-08-28	PRIJEM	VKLAD	7231	33856	\N	\N	\N
2786334	9225	1997-10-04	PRIJEM	VKLAD	15328	41964	\N	\N	\N
2786335	9225	1997-01-18	PRIJEM	VKLAD	11096	35070	\N	\N	\N
2786336	9225	1997-09-04	PRIJEM	VKLAD	21486	51456	\N	\N	\N
2786337	9225	1997-12-29	PRIJEM	VKLAD	33836	60312	\N	\N	\N
2786338	9225	1997-04-25	PRIJEM	VKLAD	22085	42406	\N	\N	\N
2786339	9225	1998-11-03	PRIJEM	VKLAD	34993	104376	\N	\N	\N
2786340	9225	1998-05-05	PRIJEM	VKLAD	39352	109134	\N	\N	\N
2786341	9225	1998-06-03	PRIJEM	VKLAD	28491	85095	\N	\N	\N
2786342	9225	1998-12-14	PRIJEM	VKLAD	42463	127045	\N	\N	\N
2786343	9225	1998-06-17	PRIJEM	VKLAD	26193	80267	\N	\N	\N
2786344	9225	1998-12-23	PRIJEM	VKLAD	19079	93929	\N	\N	\N
2786345	9225	1998-10-18	PRIJEM	VKLAD	16413	68803	\N	\N	\N
2786346	9225	1998-02-11	PRIJEM	VKLAD	27144	74180	\N	\N	\N
2786347	9225	1998-11-08	PRIJEM	VKLAD	8777	113153	\N	\N	\N
2786348	9225	1998-04-09	PRIJEM	VKLAD	46425	84077	\N	\N	\N
2786349	9225	1998-12-17	PRIJEM	VKLAD	29305	74850	\N	\N	\N
2786350	9225	1998-07-10	PRIJEM	VKLAD	24210	121978	\N	\N	\N
2786351	9225	1998-12-05	PRIJEM	VKLAD	36733	125404	\N	\N	\N
2786352	9225	1998-04-28	PRIJEM	VKLAD	22270	69425	\N	\N	\N
2786353	9225	1998-11-20	PRIJEM	VKLAD	30098	73093	\N	\N	\N
2786354	9225	1998-12-04	PRIJEM	VKLAD	15051	88671	\N	\N	\N
2786355	9225	1998-05-08	PRIJEM	VKLAD	32563	135697	\N	\N	\N
2786356	9225	1998-02-18	PRIJEM	VKLAD	14136	84895	\N	\N	\N
2786357	9225	1998-07-23	PRIJEM	VKLAD	41492	84806	\N	\N	\N
2786358	9225	1998-03-17	PRIJEM	VKLAD	23945	108670	\N	\N	\N
2786359	9225	1998-01-17	PRIJEM	VKLAD	34784	83420	\N	\N	\N
2786360	9225	1998-02-04	PRIJEM	VKLAD	8687	47036	\N	\N	\N
2786361	9225	1998-06-23	PRIJEM	VKLAD	33449	83516	\N	\N	\N
2786362	9225	1998-11-18	PRIJEM	VKLAD	5564	42995	\N	\N	\N
2786363	9225	1998-09-19	PRIJEM	VKLAD	40432	82704	\N	\N	\N
2786364	9225	1998-06-26	PRIJEM	VKLAD	24225	107741	\N	\N	\N
2786365	9225	1998-03-01	PRIJEM	VKLAD	35697	88147	\N	\N	\N
2786366	9225	1998-08-13	PRIJEM	VKLAD	47468	102931	\N	\N	\N
2786373	9225	1996-07-12	VYDAJ	VYBER	3600	61263	\N	\N	0
2786374	9225	1996-08-08	VYDAJ	VYBER	3600	50552	\N	\N	0
2786375	9225	1996-09-04	VYDAJ	VYBER	3000	50850	\N	\N	0
2786376	9225	1996-10-20	VYDAJ	VYBER	2900	21869	\N	\N	0
2786377	9225	1996-11-12	VYDAJ	VYBER	3700	63559	\N	\N	0
2786378	9225	1996-12-04	VYDAJ	VYBER	3400	53779	\N	\N	0
2786379	9225	1997-01-04	VYDAJ	VYBER	4200	38974	\N	\N	0
2786380	9225	1997-02-13	VYDAJ	VYBER	3300	31739	\N	\N	0
2786381	9225	1997-03-10	VYDAJ	VYBER	3600	33798	\N	\N	0
2786382	9225	1997-04-18	VYDAJ	VYBER	3100	20321	\N	\N	0
2786383	9225	1997-05-12	VYDAJ	PREVOD NA UCET	3422	30388	UVER	YZ	44963038
2786384	9225	1997-06-12	VYDAJ	PREVOD NA UCET	3422	29766	UVER	YZ	44963038
2786385	9225	1997-07-12	VYDAJ	PREVOD NA UCET	3422	24138	UVER	YZ	44963038
2786386	9225	1997-08-12	VYDAJ	PREVOD NA UCET	3422	20025	UVER	YZ	44963038
2786387	9225	1997-09-12	VYDAJ	PREVOD NA UCET	3422	48034	UVER	YZ	44963038
2786388	9225	1997-10-12	VYDAJ	PREVOD NA UCET	3422	38543	UVER	YZ	44963038
2786389	9225	1997-11-12	VYDAJ	PREVOD NA UCET	3422	25992	UVER	YZ	44963038
2786390	9225	1997-12-12	VYDAJ	PREVOD NA UCET	3422	24576	UVER	YZ	44963038
2786391	9225	1998-01-12	VYDAJ	PREVOD NA UCET	3422	52836	UVER	YZ	44963038
2786392	9225	1998-02-12	VYDAJ	PREVOD NA UCET	3422	70759	UVER	YZ	44963038
2786393	9225	1998-03-12	VYDAJ	PREVOD NA UCET	3422	84725	UVER	YZ	44963038
2786394	9225	1998-04-12	VYDAJ	PREVOD NA UCET	3422	80655	UVER	YZ	44963038
2786395	9225	1998-05-12	VYDAJ	PREVOD NA UCET	3422	89476	UVER	YZ	44963038
2786396	9225	1998-06-12	VYDAJ	PREVOD NA UCET	3422	54074	UVER	YZ	44963038
2786397	9225	1998-07-12	VYDAJ	PREVOD NA UCET	3422	84556	UVER	YZ	44963038
2786398	9225	1998-08-12	VYDAJ	PREVOD NA UCET	3422	55463	UVER	YZ	44963038
2786399	9225	1998-09-12	VYDAJ	PREVOD NA UCET	3422	63272	UVER	YZ	44963038
2786400	9225	1998-10-12	VYDAJ	PREVOD NA UCET	3422	79690	UVER	YZ	44963038
2786401	9225	1998-11-12	VYDAJ	PREVOD NA UCET	3422	45731	UVER	YZ	44963038
2786402	9225	1998-12-12	VYDAJ	PREVOD NA UCET	3422	84582	UVER	YZ	44963038
2786404	9225	1996-12-26	VYBER	VYBER	19283	61573	\N	\N	\N
2786405	9225	1996-08-12	VYBER	VYBER	10602	39950	\N	\N	\N
2786406	9225	1996-07-16	VYBER	VYBER	16566	44697	\N	\N	\N
2786407	9225	1996-11-20	VYBER	VYBER	10640	52919	\N	\N	\N
2786408	9225	1996-09-27	VYBER	VYBER	7352	38398	\N	\N	\N
2786410	9225	1996-11-24	VYBER	VYBER	12732	40187	\N	\N	\N
2786413	9225	1997-09-19	VYBER	VYBER	9313	38721	\N	\N	\N
2786415	9225	1997-06-15	VYBER	VYBER	2200	27566	\N	\N	\N
2786420	9225	1997-09-21	VYBER	VYBER	10514	28207	\N	\N	\N
2786421	9225	1997-08-31	VYBER	VYBER	3998	29984	\N	\N	\N
2786422	9225	1997-09-22	VYBER	VYBER	4274	26433	\N	\N	\N
2786424	9225	1998-08-07	VYBER	VYBER	15261	58885	\N	\N	\N
2786425	9225	1998-07-24	VYBER	VYBER	11268	73538	\N	\N	\N
2786426	9225	1998-07-13	VYBER	VYBER	20842	63714	\N	\N	\N
2786429	9225	1998-06-06	VYDAJ	VYBER	27600	57495	\N	\N	\N
2786430	9225	1996-12-18	VYDAJ	VYBER	3900	80856	\N	\N	\N
2786432	9225	1998-12-29	VYDAJ	VYBER	5700	88229	\N	\N	\N
2786439	9225	1997-01-27	VYDAJ	VYBER	4200	20970	\N	\N	\N
2786440	9225	1997-01-24	VYDAJ	VYBER	7800	27270	\N	\N	\N
2786441	9225	1997-01-15	VYDAJ	VYBER	2700	26674	\N	\N	\N
2786443	9225	1997-01-17	VYDAJ	VYBER	2700	23974	\N	\N	\N
2786444	9225	1997-01-04	VYDAJ	VYBER	1800	43174	\N	\N	\N
2786445	9225	1998-01-28	VYDAJ	VYBER	7500	39820	\N	\N	\N
2786446	9225	1998-01-30	VYDAJ	VYBER	1800	38020	\N	\N	\N
2786447	9225	1998-01-17	VYDAJ	VYBER	8400	75020	\N	\N	\N
2786448	9225	1998-01-14	VYDAJ	VYBER	4200	48636	\N	\N	\N
2786449	9225	1998-01-09	VYDAJ	VYBER	4200	56257	\N	\N	\N
2786450	9225	1998-01-22	VYDAJ	VYBER	6000	47320	\N	\N	\N
2786451	9225	1996-09-18	VYDAJ	VYBER	1800	45750	\N	\N	\N
2786452	9225	1996-08-05	VYDAJ	VYBER	3900	54152	\N	\N	\N
2786454	9225	1996-10-05	VYDAJ	VYBER	7800	24769	\N	\N	\N
2786455	9225	1996-09-15	VYDAJ	VYBER	3300	47550	\N	\N	\N
2786457	9225	1997-01-10	VYDAJ	VYBER	9600	29374	\N	\N	\N
2786458	9225	1997-04-12	VYDAJ	VYBER	3900	23421	\N	\N	\N
2786459	9225	1997-10-14	VYDAJ	VYBER	10200	28343	\N	\N	\N
2786463	9225	1998-05-06	VYDAJ	VYBER	6000	103134	\N	\N	\N
2786464	9225	1998-02-25	VYDAJ	VYBER	4500	52095	\N	\N	\N
2786465	9225	1998-04-13	VYDAJ	VYBER	4500	76155	\N	\N	\N
2786466	9225	1998-07-01	VYDAJ	VYBER	10500	97768	\N	\N	\N
2786467	9225	1998-07-15	VYDAJ	VYBER	9000	54714	\N	\N	\N
2786474	9225	1996-06-30	VYDAJ	VYBER	15	50879	SLUZBY	\N	\N
2786475	9225	1996-07-31	VYDAJ	VYBER	15	58052	SLUZBY	\N	\N
2786476	9225	1996-08-31	VYDAJ	VYBER	15	53850	SLUZBY	\N	\N
2786477	9225	1996-09-30	VYDAJ	VYBER	15	32569	SLUZBY	\N	\N
2786478	9225	1996-10-31	VYDAJ	VYBER	15	23703	SLUZBY	\N	\N
2786479	9225	1996-11-30	VYDAJ	VYBER	15	30171	SLUZBY	\N	\N
2786480	9225	1996-12-31	VYDAJ	VYBER	15	44974	SLUZBY	\N	\N
2786481	9225	1997-01-31	VYDAJ	VYBER	15	35039	SLUZBY	\N	\N
2786482	9225	1997-02-28	VYDAJ	VYBER	15	25075	SLUZBY	\N	\N
2786483	9225	1997-03-31	VYDAJ	VYBER	15	27321	SLUZBY	\N	\N
2786484	9225	1997-04-30	VYDAJ	VYBER	15	33810	SLUZBY	\N	\N
2786485	9225	1997-05-31	VYDAJ	VYBER	15	26027	SLUZBY	\N	\N
2786486	9225	1997-06-30	VYDAJ	VYBER	15	27560	SLUZBY	\N	\N
2786487	9225	1997-07-31	VYDAJ	VYBER	15	23446	SLUZBY	\N	\N
2786488	9225	1997-08-31	VYDAJ	VYBER	15	29970	SLUZBY	\N	\N
2786489	9225	1997-09-30	VYDAJ	VYBER	15	26636	SLUZBY	\N	\N
2786490	9225	1997-10-31	VYDAJ	VYBER	15	29414	SLUZBY	\N	\N
2786491	9225	1997-11-30	VYDAJ	VYBER	15	27997	SLUZBY	\N	\N
2786492	9225	1997-12-31	VYDAJ	VYBER	15	60457	SLUZBY	\N	\N
2786493	9225	1998-01-31	VYDAJ	VYBER	15	38349	SLUZBY	\N	\N
2786494	9225	1998-02-28	VYDAJ	VYBER	15	52450	SLUZBY	\N	\N
2786495	9225	1998-03-31	VYDAJ	VYBER	15	37652	SLUZBY	\N	\N
2786496	9225	1998-04-30	VYDAJ	VYBER	15	69782	SLUZBY	\N	\N
2786497	9225	1998-05-31	VYDAJ	VYBER	15	56604	SLUZBY	\N	\N
2786498	9225	1998-06-30	VYDAJ	VYBER	15	108268	SLUZBY	\N	\N
2786499	9225	1998-07-31	VYDAJ	VYBER	15	74146	SLUZBY	\N	\N
2786500	9225	1998-08-31	VYDAJ	VYBER	15	66693	SLUZBY	\N	\N
2786501	9225	1998-09-30	VYDAJ	VYBER	15	83111	SLUZBY	\N	\N
2786502	9225	1998-10-31	VYDAJ	VYBER	15	69383	SLUZBY	\N	\N
2786503	9225	1998-11-30	VYDAJ	VYBER	15	73620	SLUZBY	\N	\N
2786504	9225	1996-01-31	PRIJEM	VKLAD	10000	10603	\N	\N	\N
2786505	9225	1996-03-01	VYDAJ	VYBER	7300	32565	\N	\N	\N
2786506	9225	1996-03-31	VYDAJ	VYBER	6400	26211	\N	\N	\N
2786507	9225	1996-04-30	VYDAJ	VYBER	9700	33222	\N	\N	\N
2786508	9225	1996-05-30	VYDAJ	VYBER	24000	50641	\N	\N	\N
2786509	9225	1996-06-22	VYDAJ	VYBER	40400	76238	\N	\N	\N
2786510	9225	1996-06-29	VYDAJ	VYBER	25700	50538	\N	\N	\N
2786511	9225	1996-07-29	VYDAJ	VYBER	33000	57585	\N	\N	\N
2786512	9225	1996-08-28	VYDAJ	VYBER	26600	53419	\N	\N	\N
2786513	9225	1996-09-27	VYDAJ	VYBER	6100	32298	\N	\N	\N
2786514	9225	1996-10-27	PRIJEM	VKLAD	1700	23569	\N	\N	\N
2786515	9225	1996-11-26	VYDAJ	VYBER	10300	29887	\N	\N	\N
2786516	9225	1996-12-26	VYDAJ	VYBER	17100	44473	\N	\N	\N
2786517	9225	1997-01-25	VYDAJ	VYBER	2100	25170	\N	\N	\N
2786518	9225	1997-02-24	VYDAJ	VYBER	6800	24939	\N	\N	\N
2786519	9225	1997-03-26	VYDAJ	VYBER	6700	27098	\N	\N	\N
2786520	9225	1997-04-25	VYDAJ	VYBER	8800	33606	\N	\N	\N
2786521	9225	1997-05-25	VYDAJ	VYBER	4600	25788	\N	\N	\N
2786522	9225	1997-06-24	VYDAJ	VYBER	200	27366	\N	\N	\N
2786523	9225	1997-07-24	VYDAJ	VYBER	800	23338	\N	\N	\N
2786524	9225	1997-08-23	PRIJEM	VKLAD	6600	26625	\N	\N	\N
2786525	9225	1997-09-22	PRIJEM	VKLAD	2500	30707	\N	\N	\N
2786526	9225	1997-10-22	PRIJEM	VKLAD	900	29243	\N	\N	\N
2786527	9225	1997-11-21	PRIJEM	VKLAD	1800	27792	\N	\N	\N
2786528	9225	1997-12-21	PRIJEM	VKLAD	1900	26476	\N	\N	\N
2786529	9225	1998-01-20	VYDAJ	VYBER	21700	53320	\N	\N	\N
2786530	9225	1998-02-19	VYDAJ	VYBER	28300	56595	\N	\N	\N
2786531	9225	1998-03-17	VYDAJ	VYBER	52100	56570	\N	\N	\N
2786532	9225	1998-03-21	VYDAJ	VYBER	19300	37270	\N	\N	\N
2786533	9225	1998-04-20	VYDAJ	VYBER	29000	47155	\N	\N	\N
2786534	9225	1998-05-08	VYDAJ	VYBER	42800	92897	\N	\N	\N
2786535	9225	1998-05-20	VYDAJ	VYBER	33500	55976	\N	\N	\N
2786536	9225	1998-06-19	VYDAJ	VYBER	30200	50067	\N	\N	\N
2786537	9225	1998-07-10	VYDAJ	VYBER	34000	87978	\N	\N	\N
2786538	9225	1998-07-19	VYDAJ	VYBER	11400	43314	\N	\N	\N
2786539	9225	1998-08-18	VYDAJ	VYBER	36700	66231	\N	\N	\N
2786540	9225	1998-09-17	VYDAJ	VYBER	21000	42272	\N	\N	\N
2786541	9225	1998-10-17	VYDAJ	VYBER	27300	52390	\N	\N	\N
2786542	9225	1998-11-08	VYDAJ	VYBER	64000	49153	\N	\N	\N
2786543	9225	1998-11-16	VYDAJ	VYBER	8300	37431	\N	\N	\N
2786544	9225	1998-12-05	VYDAJ	VYBER	37400	88004	\N	\N	\N
2786545	9225	1998-12-14	VYDAJ	VYBER	52900	74145	\N	\N	\N
2786546	9225	1998-12-16	VYDAJ	VYBER	28600	45545	\N	\N	\N
2786778	9227	1997-11-04	PRIJEM	VKLAD	900	900	\N	\N	\N
2786789	9227	1997-11-09	PRIJEM	VKLAD	4423	5323	\N	\N	\N
2786790	9227	1997-12-09	PRIJEM	VKLAD	6634	19489	\N	\N	\N
2786791	9227	1998-01-09	PRIJEM	VKLAD	4423	21935	\N	\N	\N
2786792	9227	1998-02-09	PRIJEM	VKLAD	4423	27911	\N	\N	\N
2786793	9227	1998-03-09	PRIJEM	VKLAD	4423	22522	\N	\N	\N
2786794	9227	1998-04-09	PRIJEM	VKLAD	4423	24115	\N	\N	\N
2786795	9227	1998-05-09	PRIJEM	VKLAD	4423	20421	\N	\N	\N
2786796	9227	1998-06-09	PRIJEM	VKLAD	6634	26107	\N	\N	\N
2786797	9227	1998-07-09	PRIJEM	VKLAD	4423	22987	\N	\N	\N
2786798	9227	1998-08-09	PRIJEM	VKLAD	4423	17688	\N	\N	\N
2786799	9227	1998-09-09	PRIJEM	VKLAD	4423	18332	\N	\N	\N
2786800	9227	1998-10-09	PRIJEM	VKLAD	4423	16787	\N	\N	\N
2786801	9227	1998-11-09	PRIJEM	VKLAD	4423	17046	\N	\N	\N
2786802	9227	1998-12-09	PRIJEM	VKLAD	6634	23606	\N	\N	\N
2786817	9227	1998-03-13	VYDAJ	PREVOD NA UCET	1784	19574	SIPO	IJ	23946523
2786818	9227	1998-04-13	VYDAJ	PREVOD NA UCET	1784	21167	SIPO	IJ	23946523
2786819	9227	1998-05-13	VYDAJ	PREVOD NA UCET	1784	14280	SIPO	IJ	23946523
2786820	9227	1998-06-13	VYDAJ	PREVOD NA UCET	1784	16606	SIPO	IJ	23946523
2786821	9227	1998-07-13	VYDAJ	PREVOD NA UCET	1784	16846	SIPO	IJ	23946523
2786822	9227	1998-08-13	VYDAJ	PREVOD NA UCET	1784	6147	SIPO	IJ	23946523
2786823	9227	1998-09-13	VYDAJ	PREVOD NA UCET	1784	12191	SIPO	IJ	23946523
2786824	9227	1998-10-13	VYDAJ	PREVOD NA UCET	1784	10646	SIPO	IJ	23946523
2786825	9227	1998-11-13	VYDAJ	PREVOD NA UCET	1784	10905	SIPO	IJ	23946523
2786826	9227	1998-12-13	VYDAJ	PREVOD NA UCET	1784	15065	SIPO	IJ	23946523
2786841	9227	1998-03-10	VYDAJ	PREVOD NA UCET	1164	21358	 	AB	54022675
2786842	9227	1998-04-10	VYDAJ	PREVOD NA UCET	1164	22951	 	AB	54022675
2786843	9227	1998-05-10	VYDAJ	PREVOD NA UCET	1164	19257	 	AB	54022675
2786844	9227	1998-06-10	VYDAJ	PREVOD NA UCET	1164	24943	 	AB	54022675
2786845	9227	1998-07-10	VYDAJ	PREVOD NA UCET	1164	21823	 	AB	54022675
2786846	9227	1998-08-10	VYDAJ	PREVOD NA UCET	1164	11124	 	AB	54022675
2786847	9227	1998-09-10	VYDAJ	PREVOD NA UCET	1164	17168	 	AB	54022675
2786848	9227	1998-10-10	VYDAJ	PREVOD NA UCET	1164	15623	 	AB	54022675
2786849	9227	1998-11-10	VYDAJ	PREVOD NA UCET	1164	15882	 	AB	54022675
2786850	9227	1998-12-10	VYDAJ	PREVOD NA UCET	1164	22442	 	AB	54022675
2786865	9227	1998-03-08	VYDAJ	VYBER	3500	18099	\N	\N	0
2786866	9227	1998-04-18	VYDAJ	VYBER	3900	17267	\N	\N	0
2786867	9227	1998-05-12	VYDAJ	PREVOD NA UCET	3193	16064	UVER	GH	92207109
2786868	9227	1998-06-12	VYDAJ	PREVOD NA UCET	3193	18390	UVER	GH	92207109
2786869	9227	1998-07-12	VYDAJ	PREVOD NA UCET	3193	18630	UVER	GH	92207109
2786870	9227	1998-08-12	VYDAJ	PREVOD NA UCET	3193	7931	UVER	GH	92207109
2786871	9227	1998-09-12	VYDAJ	PREVOD NA UCET	3193	13975	UVER	GH	92207109
2786872	9227	1998-10-12	VYDAJ	PREVOD NA UCET	3193	12430	UVER	GH	92207109
2786873	9227	1998-11-12	VYDAJ	PREVOD NA UCET	3193	12689	UVER	GH	92207109
2786874	9227	1998-12-12	VYDAJ	PREVOD NA UCET	3193	16849	UVER	GH	92207109
2786878	9227	1998-12-12	VYDAJ	VYBER	2400	20042	\N	\N	\N
2786886	9227	1998-08-10	VYDAJ	VYBER	5400	12288	\N	\N	\N
2786888	9227	1998-03-13	VYDAJ	VYBER	4800	14774	\N	\N	\N
2786889	9227	1998-06-10	VYDAJ	VYBER	3360	21583	\N	\N	\N
2786890	9227	1998-06-23	VYDAJ	VYBER	3840	12766	\N	\N	\N
2786907	9227	1998-03-31	VYDAJ	VYBER	15	14892	SLUZBY	\N	\N
2786908	9227	1998-04-30	VYDAJ	VYBER	15	17398	SLUZBY	\N	\N
2786909	9227	1998-05-31	VYDAJ	VYBER	15	14373	SLUZBY	\N	\N
2786910	9227	1998-06-30	VYDAJ	VYBER	15	12864	SLUZBY	\N	\N
2786911	9227	1998-07-31	VYDAJ	VYBER	15	16965	SLUZBY	\N	\N
2786912	9227	1998-08-31	VYDAJ	VYBER	15	13909	SLUZBY	\N	\N
2786913	9227	1998-09-30	VYDAJ	VYBER	15	12364	SLUZBY	\N	\N
2786914	9227	1998-10-31	VYDAJ	VYBER	15	12623	SLUZBY	\N	\N
2786915	9227	1998-11-30	VYDAJ	VYBER	15	16972	SLUZBY	\N	\N
2786916	9227	1997-12-04	PRIJEM	VKLAD	7500	12855	\N	\N	\N
2786917	9227	1998-01-03	VYDAJ	VYBER	2100	17512	\N	\N	\N
2786918	9227	1998-02-02	PRIJEM	VKLAD	1400	23488	\N	\N	\N
2786919	9227	1998-03-04	VYDAJ	VYBER	6500	21599	\N	\N	\N
2786920	9227	1998-04-03	PRIJEM	VKLAD	4800	19692	\N	\N	\N
2786921	9227	1998-05-03	VYDAJ	VYBER	1400	15998	\N	\N	\N
2786922	9227	1998-06-02	PRIJEM	VKLAD	5100	19473	\N	\N	\N
2786923	9227	1998-07-02	PRIJEM	VKLAD	5700	18564	\N	\N	\N
2786924	9227	1998-08-01	VYDAJ	VYBER	3700	13265	\N	\N	\N
2786925	9227	1998-08-31	PRIJEM	VKLAD	7700	13886	\N	\N	\N
2786926	9227	1998-09-30	PRIJEM	VKLAD	100	12379	\N	\N	\N
2786927	9227	1998-10-30	PRIJEM	VKLAD	1900	12546	\N	\N	\N
2786928	9227	1998-11-29	PRIJEM	VKLAD	6000	16905	\N	\N	\N
2788845	9235	1995-06-24	PRIJEM	VKLAD	700	700	\N	\N	\N
2788852	9235	1995-07-09	PRIJEM	VKLAD	15698	16398	\N	\N	\N
2788853	9235	1995-08-09	PRIJEM	VKLAD	15698	38041	\N	\N	\N
2788854	9235	1995-09-09	PRIJEM	VKLAD	15698	50183	\N	\N	\N
2788855	9235	1995-10-09	PRIJEM	VKLAD	15698	54172	\N	\N	\N
2788856	9235	1995-11-09	PRIJEM	VKLAD	15698	56280	\N	\N	\N
2788857	9235	1995-12-09	PRIJEM	VKLAD	23547	62852	\N	\N	\N
2788858	9235	1996-01-09	PRIJEM	VKLAD	15698	58388	\N	\N	\N
2788859	9235	1996-02-09	PRIJEM	VKLAD	15698	42138	\N	\N	\N
2788860	9235	1996-03-09	PRIJEM	VKLAD	15698	50567	\N	\N	\N
2788861	9235	1996-04-09	PRIJEM	VKLAD	15698	54046	\N	\N	\N
2788862	9235	1996-05-09	PRIJEM	VKLAD	15698	59762	\N	\N	\N
2788863	9235	1996-06-09	PRIJEM	VKLAD	23547	69425	\N	\N	\N
2788864	9235	1996-07-09	PRIJEM	VKLAD	15698	60700	\N	\N	\N
2788865	9235	1996-08-09	PRIJEM	VKLAD	15698	62395	\N	\N	\N
2788866	9235	1996-09-09	PRIJEM	VKLAD	15698	56778	\N	\N	\N
2788867	9235	1996-10-09	PRIJEM	VKLAD	15698	53188	\N	\N	\N
2788868	9235	1996-11-09	PRIJEM	VKLAD	15698	53499	\N	\N	\N
2788869	9235	1996-12-09	PRIJEM	VKLAD	23547	49712	\N	\N	\N
2788870	9235	1997-01-09	PRIJEM	VKLAD	15698	48698	\N	\N	\N
2788871	9235	1997-02-09	PRIJEM	VKLAD	15698	35736	\N	\N	\N
2788872	9235	1997-03-09	PRIJEM	VKLAD	15698	41046	\N	\N	\N
2788873	9235	1997-04-09	PRIJEM	VKLAD	15698	50567	\N	\N	\N
2788874	9235	1997-05-09	PRIJEM	VKLAD	15698	51547	\N	\N	\N
2788875	9235	1997-06-09	PRIJEM	VKLAD	23547	60328	\N	\N	\N
2788876	9235	1997-07-09	PRIJEM	VKLAD	15698	58342	\N	\N	\N
2788877	9235	1997-08-09	PRIJEM	VKLAD	15698	56911	\N	\N	\N
2788878	9235	1997-09-09	PRIJEM	VKLAD	15698	54144	\N	\N	\N
2788879	9235	1997-10-09	PRIJEM	VKLAD	15698	49908	\N	\N	\N
2788880	9235	1997-11-09	PRIJEM	VKLAD	15698	48103	\N	\N	\N
2788881	9235	1997-12-09	PRIJEM	VKLAD	23547	51864	\N	\N	\N
2788882	9235	1998-01-09	PRIJEM	VKLAD	15698	43149	\N	\N	\N
2788883	9235	1998-02-09	PRIJEM	VKLAD	15698	43258	\N	\N	\N
2788884	9235	1998-03-09	PRIJEM	VKLAD	15698	50122	\N	\N	\N
2788885	9235	1998-04-09	PRIJEM	VKLAD	15698	52136	\N	\N	\N
2788886	9235	1998-05-09	PRIJEM	VKLAD	15698	54479	\N	\N	\N
2788887	9235	1998-06-09	PRIJEM	VKLAD	23547	63185	\N	\N	\N
2788888	9235	1998-07-09	PRIJEM	VKLAD	15698	61316	\N	\N	\N
2788889	9235	1998-08-09	PRIJEM	VKLAD	15698	62068	\N	\N	\N
2788890	9235	1998-09-09	PRIJEM	VKLAD	15698	62080	\N	\N	\N
2788891	9235	1998-10-09	PRIJEM	VKLAD	15698	63892	\N	\N	\N
2788892	9235	1998-11-09	PRIJEM	VKLAD	15698	64806	\N	\N	\N
2788893	9235	1998-12-09	PRIJEM	VKLAD	23547	80274	\N	\N	\N
2788904	9235	1995-11-19	VYDAJ	VYBER	2100	54180	\N	\N	0
2788905	9235	1995-12-14	VYDAJ	VYBER	2000	60852	\N	\N	0
2788906	9235	1996-01-12	VYDAJ	VYBER	1800	56588	\N	\N	0
2788907	9235	1996-02-19	VYDAJ	VYBER	1600	34638	\N	\N	0
2788908	9235	1996-03-16	VYDAJ	VYBER	1900	48667	\N	\N	0
2788909	9235	1996-04-17	VYDAJ	VYBER	1500	52546	\N	\N	0
2788910	9235	1996-05-09	VYDAJ	VYBER	1500	58262	\N	\N	0
2788911	9235	1996-06-20	VYDAJ	VYBER	2100	46145	\N	\N	0
2788912	9235	1996-07-05	VYDAJ	VYBER	1400	45002	\N	\N	0
2788913	9235	1996-08-20	VYDAJ	VYBER	1400	43495	\N	\N	0
2788914	9235	1996-09-13	VYDAJ	VYBER	1800	54978	\N	\N	0
2788915	9235	1996-10-21	VYDAJ	VYBER	1600	37588	\N	\N	0
2788916	9235	1996-11-16	VYDAJ	VYBER	1300	36799	\N	\N	0
2788917	9235	1996-12-05	VYDAJ	VYBER	1900	29525	\N	\N	0
2788918	9235	1997-01-05	VYDAJ	VYBER	1900	33000	\N	\N	0
2788919	9235	1997-02-09	VYDAJ	VYBER	1300	34436	\N	\N	0
2788920	9235	1997-03-08	VYDAJ	VYBER	1800	25348	\N	\N	0
2788921	9235	1997-04-12	VYDAJ	PREVOD NA UCET	1735	48832	UVER	UV	2864957
2788922	9235	1997-05-12	VYDAJ	PREVOD NA UCET	1735	49812	UVER	UV	2864957
2788923	9235	1997-06-12	VYDAJ	PREVOD NA UCET	1735	58593	UVER	UV	2864957
2788924	9235	1997-07-12	VYDAJ	PREVOD NA UCET	1735	56607	UVER	UV	2864957
2788925	9235	1997-08-12	VYDAJ	PREVOD NA UCET	1735	38176	UVER	UV	2864957
2788926	9235	1997-09-12	VYDAJ	PREVOD NA UCET	1735	34009	UVER	UV	2864957
2788927	9235	1997-10-12	VYDAJ	PREVOD NA UCET	1735	33173	UVER	UV	2864957
2788928	9235	1997-11-12	VYDAJ	PREVOD NA UCET	1735	32668	UVER	UV	2864957
2788929	9235	1997-12-12	VYDAJ	PREVOD NA UCET	1735	34429	UVER	UV	2864957
2788930	9235	1998-01-12	VYDAJ	PREVOD NA UCET	1735	34814	UVER	UV	2864957
2788931	9235	1998-02-12	VYDAJ	PREVOD NA UCET	1735	41523	UVER	UV	2864957
2788932	9235	1998-03-12	VYDAJ	PREVOD NA UCET	1735	36187	UVER	UV	2864957
2788933	9235	1998-04-12	VYDAJ	PREVOD NA UCET	1735	38501	UVER	UV	2864957
2788934	9235	1998-05-12	VYDAJ	PREVOD NA UCET	1735	45844	UVER	UV	2864957
2788935	9235	1998-06-12	VYDAJ	PREVOD NA UCET	1735	61450	UVER	UV	2864957
2788936	9235	1998-07-12	VYDAJ	PREVOD NA UCET	1735	59581	UVER	UV	2864957
2788937	9235	1998-08-12	VYDAJ	PREVOD NA UCET	1735	60333	UVER	UV	2864957
2788938	9235	1998-09-12	VYDAJ	PREVOD NA UCET	1735	60345	UVER	UV	2864957
2788939	9235	1998-10-12	VYDAJ	PREVOD NA UCET	1735	62157	UVER	UV	2864957
2788940	9235	1998-11-12	VYDAJ	PREVOD NA UCET	1735	63071	UVER	UV	2864957
2788941	9235	1998-12-12	VYDAJ	PREVOD NA UCET	1735	78539	UVER	UV	2864957
2788943	9235	1996-06-18	VYDAJ	VYBER	8480	48245	\N	\N	\N
2788947	9235	1996-01-13	VYDAJ	VYBER	15680	40908	\N	\N	\N
2788948	9235	1997-01-29	VYDAJ	VYBER	5440	19798	\N	\N	\N
2788949	9235	1998-01-19	VYDAJ	VYBER	2080	32734	\N	\N	\N
2788950	9235	1995-12-17	VYDAJ	VYBER	1920	58932	\N	\N	\N
2788951	9235	1996-12-06	VYDAJ	VYBER	3360	26165	\N	\N	\N
2788952	9235	1997-12-13	VYDAJ	VYBER	3200	31229	\N	\N	\N
2788953	9235	1998-12-18	VYDAJ	VYBER KARTOU	4000	74539	\N	\N	0
2788960	9235	1996-01-19	VYDAJ	VYBER	1800	35028	\N	\N	\N
2788961	9235	1996-01-16	VYDAJ	VYBER	3000	36828	\N	\N	\N
2788962	9235	1996-01-30	VYDAJ	VYBER	2400	26148	\N	\N	\N
2788963	9235	1996-01-29	VYDAJ	VYBER	1320	28548	\N	\N	\N
2788964	9235	1996-01-27	VYDAJ	VYBER	960	29868	\N	\N	\N
2788965	9235	1996-01-15	VYDAJ	VYBER	1080	39828	\N	\N	\N
2788966	9235	1997-01-26	VYDAJ	VYBER	3240	25238	\N	\N	\N
2788967	9235	1997-01-21	VYDAJ	VYBER	3240	28478	\N	\N	\N
2788968	9235	1997-01-09	VYDAJ	VYBER	1800	46898	\N	\N	\N
2788969	9235	1997-01-14	VYDAJ	VYBER	3480	39218	\N	\N	\N
2788970	9235	1997-01-12	VYDAJ	VYBER	1440	45458	\N	\N	\N
2788971	9235	1997-01-13	VYDAJ	VYBER	2760	42698	\N	\N	\N
2788972	9235	1998-01-03	VYDAJ	VYBER	3240	27451	\N	\N	\N
2788973	9235	1998-01-22	VYDAJ	VYBER	3480	25534	\N	\N	\N
2788974	9235	1998-01-19	VYDAJ	VYBER	1320	31414	\N	\N	\N
2788975	9235	1998-01-27	VYDAJ	VYBER	720	24214	\N	\N	\N
2788976	9235	1998-01-26	VYDAJ	VYBER	600	24934	\N	\N	\N
2788977	9235	1998-01-02	VYDAJ	VYBER	720	30691	\N	\N	\N
2788983	9235	1996-08-24	VYDAJ	VYBER	2760	40735	\N	\N	\N
2788984	9235	1996-05-19	VYDAJ	VYBER	1920	45542	\N	\N	\N
2788985	9235	1996-11-21	VYDAJ	VYBER	5640	31159	\N	\N	\N
2788986	9235	1996-09-30	VYDAJ	VYBER	1800	37490	\N	\N	\N
2788987	9235	1996-03-30	VYDAJ	VYBER	1920	38047	\N	\N	\N
2788988	9235	1996-12-12	VYDAJ	VYBER	2280	47432	\N	\N	\N
2788989	9235	1997-10-16	VYDAJ	VYBER	960	32213	\N	\N	\N
2788990	9235	1997-11-17	VYDAJ	VYBER	4560	28108	\N	\N	\N
2788991	9235	1997-03-06	VYDAJ	VYBER	2760	27148	\N	\N	\N
2788992	9235	1998-11-14	VYDAJ	VYBER KARTOU	800	62271	\N	\N	0
2788993	9235	1998-02-17	VYDAJ	VYBER	4920	36603	\N	\N	\N
2788994	9235	1998-05-17	VYDAJ	VYBER	5400	40444	\N	\N	\N
2788995	9235	1998-10-20	VYDAJ	VYBER KARTOU	2000	60157	\N	\N	0
2788996	9235	1998-02-07	VYDAJ	VYBER	1560	22860	\N	\N	\N
2788997	9235	1998-02-27	VYDAJ	VYBER	2400	34203	\N	\N	\N
2788998	9235	1998-01-21	VYDAJ	VYBER	2400	29014	\N	\N	\N
2789010	9235	1995-11-30	VYDAJ	VYBER	15	39305	SLUZBY	\N	\N
2789011	9235	1995-12-31	VYDAJ	VYBER	15	42690	SLUZBY	\N	\N
2789012	9235	1996-01-31	VYDAJ	VYBER	15	26440	SLUZBY	\N	\N
2789013	9235	1996-02-29	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
2789014	9235	1996-03-31	VYDAJ	VYBER	15	38348	SLUZBY	\N	\N
2789015	9235	1996-04-30	VYDAJ	VYBER	15	44064	SLUZBY	\N	\N
2789016	9235	1996-05-31	VYDAJ	VYBER	15	45878	SLUZBY	\N	\N
2789017	9235	1996-06-30	VYDAJ	VYBER	15	46402	SLUZBY	\N	\N
2789018	9235	1996-07-31	VYDAJ	VYBER	15	46697	SLUZBY	\N	\N
2789019	9235	1996-08-31	VYDAJ	VYBER	15	41080	SLUZBY	\N	\N
2789020	9235	1996-09-30	VYDAJ	VYBER	15	39290	SLUZBY	\N	\N
2789021	9235	1996-10-31	VYDAJ	VYBER	15	37801	SLUZBY	\N	\N
2789022	9235	1996-11-30	VYDAJ	VYBER	15	31425	SLUZBY	\N	\N
2789023	9235	1996-12-31	VYDAJ	VYBER	15	34900	SLUZBY	\N	\N
2789024	9235	1997-01-31	VYDAJ	VYBER	15	20038	SLUZBY	\N	\N
2789025	9235	1997-02-28	VYDAJ	VYBER	15	29908	SLUZBY	\N	\N
2789026	9235	1997-03-31	VYDAJ	VYBER	15	34869	SLUZBY	\N	\N
2789027	9235	1997-04-30	VYDAJ	VYBER	15	35849	SLUZBY	\N	\N
2789028	9235	1997-05-31	VYDAJ	VYBER	15	36781	SLUZBY	\N	\N
2789029	9235	1997-06-30	VYDAJ	VYBER	15	42644	SLUZBY	\N	\N
2789030	9235	1997-07-31	VYDAJ	VYBER	15	41213	SLUZBY	\N	\N
2789031	9235	1997-08-31	VYDAJ	VYBER	15	38446	SLUZBY	\N	\N
2789032	9235	1997-09-30	VYDAJ	VYBER	15	34210	SLUZBY	\N	\N
2789033	9235	1997-10-31	VYDAJ	VYBER	15	32405	SLUZBY	\N	\N
2789034	9235	1997-11-30	VYDAJ	VYBER	15	28317	SLUZBY	\N	\N
2789035	9235	1997-12-31	VYDAJ	VYBER	15	31411	SLUZBY	\N	\N
2789036	9235	1998-01-31	VYDAJ	VYBER	15	24420	SLUZBY	\N	\N
2789037	9235	1998-02-28	VYDAJ	VYBER	15	34424	SLUZBY	\N	\N
2789038	9235	1998-03-31	VYDAJ	VYBER	15	36438	SLUZBY	\N	\N
2789039	9235	1998-04-30	VYDAJ	VYBER	15	38781	SLUZBY	\N	\N
2789040	9235	1998-05-31	VYDAJ	VYBER	15	40738	SLUZBY	\N	\N
2789041	9235	1998-06-30	VYDAJ	VYBER	15	61818	SLUZBY	\N	\N
2789042	9235	1998-07-31	VYDAJ	VYBER	15	59970	SLUZBY	\N	\N
2789043	9235	1998-08-31	VYDAJ	VYBER	15	60782	SLUZBY	\N	\N
2789044	9235	1998-09-30	VYDAJ	VYBER	15	60794	SLUZBY	\N	\N
2789045	9235	1998-10-31	VYDAJ	VYBER	15	60608	SLUZBY	\N	\N
2789046	9235	1998-11-30	VYDAJ	VYBER	15	62727	SLUZBY	\N	\N
2789047	9235	1995-07-24	PRIJEM	VKLAD	5900	22298	\N	\N	\N
2789048	9235	1995-08-23	VYDAJ	VYBER	3700	34341	\N	\N	\N
2789049	9235	1995-09-22	VYDAJ	VYBER	11900	38283	\N	\N	\N
2789050	9235	1995-10-22	VYDAJ	VYBER	13800	40372	\N	\N	\N
2789051	9235	1995-11-21	VYDAJ	VYBER	15100	39080	\N	\N	\N
2789052	9235	1995-12-21	VYDAJ	VYBER	16600	42332	\N	\N	\N
2789053	9235	1996-01-20	VYDAJ	VYBER	4200	30828	\N	\N	\N
2789054	9235	1996-02-19	VYDAJ	VYBER	5900	36238	\N	\N	\N
2789055	9235	1996-03-20	VYDAJ	VYBER	8700	39967	\N	\N	\N
2789056	9235	1996-04-19	VYDAJ	VYBER	8800	43746	\N	\N	\N
2789057	9235	1996-05-19	VYDAJ	VYBER	10800	47462	\N	\N	\N
2789058	9235	1996-06-18	VYDAJ	VYBER	12700	56725	\N	\N	\N
2789059	9235	1996-07-18	VYDAJ	VYBER	14400	46300	\N	\N	\N
2789060	9235	1996-08-17	VYDAJ	VYBER	17500	44895	\N	\N	\N
2789061	9235	1996-09-16	VYDAJ	VYBER	16000	38978	\N	\N	\N
2789062	9235	1996-10-16	VYDAJ	VYBER	14000	39188	\N	\N	\N
2789063	9235	1996-11-15	VYDAJ	VYBER	15400	38099	\N	\N	\N
2789064	9235	1996-12-15	VYDAJ	VYBER	12800	34632	\N	\N	\N
2789065	9235	1997-01-14	VYDAJ	VYBER	7500	31718	\N	\N	\N
2789066	9235	1997-02-13	VYDAJ	VYBER	4700	29736	\N	\N	\N
2789067	9235	1997-03-15	VYDAJ	VYBER	6400	34646	\N	\N	\N
2789068	9235	1997-04-14	VYDAJ	VYBER	13200	35632	\N	\N	\N
2789069	9235	1997-05-14	VYDAJ	VYBER	13300	36512	\N	\N	\N
2789070	9235	1997-06-13	VYDAJ	VYBER	16200	42393	\N	\N	\N
2789071	9235	1997-07-13	VYDAJ	VYBER	15700	40907	\N	\N	\N
2789072	9235	1997-08-12	VYDAJ	VYBER	17000	39911	\N	\N	\N
2789073	9235	1997-09-11	VYDAJ	VYBER	18400	35744	\N	\N	\N
2789074	9235	1997-10-11	VYDAJ	VYBER	15000	34908	\N	\N	\N
2789075	9235	1997-11-10	VYDAJ	VYBER	13700	34403	\N	\N	\N
2789076	9235	1997-12-10	VYDAJ	VYBER	15700	36164	\N	\N	\N
2789077	9235	1998-01-09	VYDAJ	VYBER	6600	36549	\N	\N	\N
2789078	9235	1998-02-08	PRIJEM	VKLAD	4700	27560	\N	\N	\N
2789079	9235	1998-03-10	VYDAJ	VYBER	12200	37922	\N	\N	\N
2789080	9235	1998-04-09	VYDAJ	VYBER	11900	40236	\N	\N	\N
2789081	9235	1998-05-09	VYDAJ	VYBER	6900	47579	\N	\N	\N
2789082	9235	1998-06-08	VYDAJ	VYBER	1100	39638	\N	\N	\N
2789083	9235	1998-07-08	VYDAJ	VYBER	16200	45618	\N	\N	\N
2789084	9235	1998-08-07	VYDAJ	VYBER	13600	46370	\N	\N	\N
2789085	9235	1998-09-06	VYDAJ	VYBER	14400	46382	\N	\N	\N
2789086	9235	1998-10-06	VYDAJ	VYBER	12600	48194	\N	\N	\N
2789087	9235	1998-11-05	VYDAJ	VYBER	11500	49108	\N	\N	\N
2789088	9235	1998-12-05	VYDAJ	VYBER	6000	56727	\N	\N	\N
2789131	9236	1993-08-18	PRIJEM	VKLAD	800	800	\N	\N	\N
2789140	9236	1993-09-11	PRIJEM	VKLAD	11906	12706	\N	\N	\N
2789141	9236	1993-10-11	PRIJEM	VKLAD	11906	28474	\N	\N	\N
2789142	9236	1993-11-11	PRIJEM	VKLAD	11906	38318	\N	\N	\N
2789143	9236	1993-12-11	PRIJEM	VKLAD	17859	48353	\N	\N	\N
2789144	9236	1994-01-11	PRIJEM	VKLAD	11906	49375	\N	\N	\N
2789145	9236	1994-02-11	PRIJEM	VKLAD	11906	26919	\N	\N	\N
2789146	9236	1994-03-11	PRIJEM	VKLAD	11906	32222	\N	\N	\N
2789147	9236	1994-04-11	PRIJEM	VKLAD	11906	29633	\N	\N	\N
2789148	9236	1994-05-11	PRIJEM	VKLAD	11906	30943	\N	\N	\N
2789149	9236	1994-06-11	PRIJEM	VKLAD	17859	41348	\N	\N	\N
2789150	9236	1994-07-11	PRIJEM	VKLAD	11906	38364	\N	\N	\N
2789151	9236	1994-08-11	PRIJEM	VKLAD	11906	38565	\N	\N	\N
2789152	9236	1994-09-11	PRIJEM	VKLAD	11906	34938	\N	\N	\N
2789153	9236	1994-10-11	PRIJEM	VKLAD	11906	34668	\N	\N	\N
2789154	9236	1994-11-11	PRIJEM	VKLAD	11906	35333	\N	\N	\N
2789155	9236	1994-12-11	PRIJEM	VKLAD	17859	33460	\N	\N	\N
2789156	9236	1995-01-11	PRIJEM	VKLAD	11906	33537	\N	\N	\N
2789157	9236	1995-02-11	PRIJEM	VKLAD	11906	32394	\N	\N	\N
2789158	9236	1995-03-11	PRIJEM	VKLAD	11906	26427	\N	\N	\N
2789159	9236	1995-04-11	PRIJEM	VKLAD	11906	31186	\N	\N	\N
2789160	9236	1995-05-11	PRIJEM	VKLAD	11906	43276	\N	\N	\N
2789161	9236	1995-06-11	PRIJEM	VKLAD	17859	52080	\N	\N	\N
2789162	9236	1995-07-11	PRIJEM	VKLAD	11906	43607	\N	\N	\N
2789163	9236	1995-08-11	PRIJEM	VKLAD	11906	46321	\N	\N	\N
2789164	9236	1995-09-11	PRIJEM	VKLAD	11906	49892	\N	\N	\N
2789165	9236	1995-10-11	PRIJEM	VKLAD	11906	48333	\N	\N	\N
2789166	9236	1995-11-11	PRIJEM	VKLAD	11906	43385	\N	\N	\N
2789167	9236	1995-12-11	PRIJEM	VKLAD	17859	47565	\N	\N	\N
2789168	9236	1996-01-11	PRIJEM	VKLAD	11906	45583	\N	\N	\N
2789169	9236	1996-02-11	PRIJEM	VKLAD	11906	41927	\N	\N	\N
2789170	9236	1996-03-11	PRIJEM	VKLAD	11906	48173	\N	\N	\N
2789171	9236	1996-04-11	PRIJEM	VKLAD	11906	51625	\N	\N	\N
2789172	9236	1996-05-11	PRIJEM	VKLAD	11906	55624	\N	\N	\N
2789173	9236	1996-06-11	PRIJEM	VKLAD	17859	59262	\N	\N	\N
2789174	9236	1996-07-11	PRIJEM	VKLAD	11906	67953	\N	\N	\N
2789175	9236	1996-08-11	PRIJEM	VKLAD	11906	69393	\N	\N	\N
2789176	9236	1996-09-11	PRIJEM	VKLAD	11906	64339	\N	\N	\N
2789177	9236	1996-10-11	PRIJEM	VKLAD	11906	69067	\N	\N	\N
2789178	9236	1996-11-11	PRIJEM	VKLAD	11906	67431	\N	\N	\N
2789179	9236	1996-12-11	PRIJEM	VKLAD	17859	74137	\N	\N	\N
2789180	9236	1997-01-11	PRIJEM	VKLAD	11906	61960	\N	\N	\N
2789181	9236	1997-02-11	PRIJEM	VKLAD	11906	73691	\N	\N	\N
2789182	9236	1997-03-11	PRIJEM	VKLAD	11906	75048	\N	\N	\N
2789183	9236	1997-04-11	PRIJEM	VKLAD	11906	70353	\N	\N	\N
2789184	9236	1997-05-11	PRIJEM	VKLAD	11906	69002	\N	\N	\N
2789185	9236	1997-06-11	PRIJEM	VKLAD	17859	84673	\N	\N	\N
2789186	9236	1997-07-11	PRIJEM	VKLAD	11906	61604	\N	\N	\N
2789187	9236	1997-08-11	PRIJEM	VKLAD	11906	79973	\N	\N	\N
2789188	9236	1997-09-11	PRIJEM	VKLAD	11906	87760	\N	\N	\N
2789189	9236	1997-10-11	PRIJEM	VKLAD	11906	95786	\N	\N	\N
2789190	9236	1997-11-11	PRIJEM	VKLAD	11906	99586	\N	\N	\N
2789191	9236	1997-12-11	PRIJEM	VKLAD	17859	117257	\N	\N	\N
2789192	9236	1998-01-11	PRIJEM	VKLAD	11906	89135	\N	\N	\N
2789193	9236	1998-02-11	PRIJEM	VKLAD	11906	92709	\N	\N	\N
2789194	9236	1998-03-11	PRIJEM	VKLAD	11906	105138	\N	\N	\N
2789195	9236	1998-04-11	PRIJEM	VKLAD	11906	103538	\N	\N	\N
2789196	9236	1998-05-11	PRIJEM	VKLAD	11906	104062	\N	\N	\N
2789197	9236	1998-06-11	PRIJEM	VKLAD	17859	111447	\N	\N	\N
2789198	9236	1998-07-11	PRIJEM	VKLAD	11906	105779	\N	\N	\N
2789199	9236	1998-08-11	PRIJEM	VKLAD	11906	109712	\N	\N	\N
2789200	9236	1998-09-11	PRIJEM	VKLAD	11906	92556	\N	\N	\N
2789201	9236	1998-10-11	PRIJEM	VKLAD	11906	105107	\N	\N	\N
2789202	9236	1998-11-11	PRIJEM	VKLAD	11906	103908	\N	\N	\N
2789203	9236	1998-12-11	PRIJEM	VKLAD	17859	110740	\N	\N	\N
2789216	9236	1994-01-14	VYDAJ	PREVOD NA UCET	2239	39918	SIPO	YZ	16537583
2789217	9236	1994-02-14	VYDAJ	PREVOD NA UCET	2239	22462	SIPO	YZ	16537583
2789218	9236	1994-03-14	VYDAJ	PREVOD NA UCET	2239	22765	SIPO	YZ	16537583
2789219	9236	1994-04-14	VYDAJ	PREVOD NA UCET	2239	20176	SIPO	YZ	16537583
2789220	9236	1994-05-14	VYDAJ	PREVOD NA UCET	2239	21486	SIPO	YZ	16537583
2789221	9236	1994-06-14	VYDAJ	PREVOD NA UCET	2239	30691	SIPO	YZ	16537583
2789222	9236	1994-07-14	VYDAJ	PREVOD NA UCET	2239	28907	SIPO	YZ	16537583
2789223	9236	1994-08-14	VYDAJ	PREVOD NA UCET	2239	25108	SIPO	YZ	16537583
2789224	9236	1994-09-14	VYDAJ	PREVOD NA UCET	2239	24881	SIPO	YZ	16537583
2789225	9236	1994-10-14	VYDAJ	PREVOD NA UCET	2239	25511	SIPO	YZ	16537583
2789226	9236	1994-11-14	VYDAJ	PREVOD NA UCET	2239	19796	SIPO	YZ	16537583
2789227	9236	1994-12-14	VYDAJ	PREVOD NA UCET	2239	25203	SIPO	YZ	16537583
2789228	9236	1995-01-14	VYDAJ	PREVOD NA UCET	2239	23618	SIPO	YZ	16537583
2789229	9236	1995-02-14	VYDAJ	PREVOD NA UCET	2239	30155	SIPO	YZ	16537583
2789230	9236	1995-03-14	VYDAJ	PREVOD NA UCET	2239	24188	SIPO	YZ	16537583
2789231	9236	1995-04-14	VYDAJ	PREVOD NA UCET	2239	28947	SIPO	YZ	16537583
2789232	9236	1995-05-14	VYDAJ	PREVOD NA UCET	2239	33137	SIPO	YZ	16537583
2789233	9236	1995-06-14	VYDAJ	PREVOD NA UCET	2239	49841	SIPO	YZ	16537583
2789234	9236	1995-07-14	VYDAJ	PREVOD NA UCET	2239	41368	SIPO	YZ	16537583
2789235	9236	1995-08-14	VYDAJ	PREVOD NA UCET	2239	44082	SIPO	YZ	16537583
2789236	9236	1995-09-14	VYDAJ	PREVOD NA UCET	2239	39053	SIPO	YZ	16537583
2789237	9236	1995-10-14	VYDAJ	PREVOD NA UCET	2239	37494	SIPO	YZ	16537583
2789238	9236	1995-11-14	VYDAJ	PREVOD NA UCET	2239	41146	SIPO	YZ	16537583
2789239	9236	1995-12-14	VYDAJ	PREVOD NA UCET	2239	45326	SIPO	YZ	16537583
2789240	9236	1996-01-14	VYDAJ	PREVOD NA UCET	2239	43344	SIPO	YZ	16537583
2789241	9236	1996-02-14	VYDAJ	PREVOD NA UCET	2239	39688	SIPO	YZ	16537583
2789242	9236	1996-03-14	VYDAJ	PREVOD NA UCET	2239	45934	SIPO	YZ	16537583
2789243	9236	1996-04-14	VYDAJ	PREVOD NA UCET	2239	44466	SIPO	YZ	16537583
2789244	9236	1996-05-14	VYDAJ	PREVOD NA UCET	2239	53385	SIPO	YZ	16537583
2789245	9236	1996-06-14	VYDAJ	PREVOD NA UCET	2239	57023	SIPO	YZ	16537583
2789246	9236	1996-07-14	VYDAJ	PREVOD NA UCET	2239	59114	SIPO	YZ	16537583
2789247	9236	1996-08-14	VYDAJ	PREVOD NA UCET	2239	61754	SIPO	YZ	16537583
2789248	9236	1996-09-14	VYDAJ	PREVOD NA UCET	2239	58020	SIPO	YZ	16537583
2789249	9236	1996-10-14	VYDAJ	PREVOD NA UCET	2239	60328	SIPO	YZ	16537583
2789250	9236	1996-11-14	VYDAJ	PREVOD NA UCET	2239	65192	SIPO	YZ	16537583
2789251	9236	1996-12-14	VYDAJ	PREVOD NA UCET	2239	71898	SIPO	YZ	16537583
2789252	9236	1997-01-14	VYDAJ	PREVOD NA UCET	2239	59721	SIPO	YZ	16537583
2789253	9236	1997-02-14	VYDAJ	PREVOD NA UCET	2239	62852	SIPO	YZ	16537583
2789254	9236	1997-03-14	VYDAJ	PREVOD NA UCET	2239	72809	SIPO	YZ	16537583
2789255	9236	1997-04-14	VYDAJ	PREVOD NA UCET	2239	68114	SIPO	YZ	16537583
2789256	9236	1997-05-14	VYDAJ	PREVOD NA UCET	2239	66763	SIPO	YZ	16537583
2789257	9236	1997-06-14	VYDAJ	PREVOD NA UCET	2239	82434	SIPO	YZ	16537583
2789258	9236	1997-07-14	VYDAJ	PREVOD NA UCET	2239	59365	SIPO	YZ	16537583
2789259	9236	1997-08-14	VYDAJ	PREVOD NA UCET	2239	77734	SIPO	YZ	16537583
2789260	9236	1997-09-14	VYDAJ	PREVOD NA UCET	2239	84201	SIPO	YZ	16537583
2789261	9236	1997-10-14	VYDAJ	PREVOD NA UCET	2239	93547	SIPO	YZ	16537583
2789262	9236	1997-11-14	VYDAJ	PREVOD NA UCET	2239	97347	SIPO	YZ	16537583
2789263	9236	1997-12-14	VYDAJ	PREVOD NA UCET	2239	115018	SIPO	YZ	16537583
2789264	9236	1998-01-14	VYDAJ	PREVOD NA UCET	2239	84616	SIPO	YZ	16537583
2789265	9236	1998-02-14	VYDAJ	PREVOD NA UCET	2239	90470	SIPO	YZ	16537583
2789266	9236	1998-03-14	VYDAJ	PREVOD NA UCET	2239	94799	SIPO	YZ	16537583
2789267	9236	1998-04-14	VYDAJ	PREVOD NA UCET	2239	101299	SIPO	YZ	16537583
2789268	9236	1998-05-14	VYDAJ	PREVOD NA UCET	2239	101823	SIPO	YZ	16537583
2789269	9236	1998-06-14	VYDAJ	PREVOD NA UCET	2239	102008	SIPO	YZ	16537583
2789270	9236	1998-07-14	VYDAJ	PREVOD NA UCET	2239	103540	SIPO	YZ	16537583
2789271	9236	1998-08-14	VYDAJ	PREVOD NA UCET	2239	99273	SIPO	YZ	16537583
2789272	9236	1998-09-14	VYDAJ	PREVOD NA UCET	2239	90317	SIPO	YZ	16537583
2789273	9236	1998-10-14	VYDAJ	PREVOD NA UCET	2239	102868	SIPO	YZ	16537583
2789274	9236	1998-11-14	VYDAJ	PREVOD NA UCET	2239	101669	SIPO	YZ	16537583
2789275	9236	1998-12-14	VYDAJ	PREVOD NA UCET	2239	108501	SIPO	YZ	16537583
2789289	9236	1994-02-09	VYDAJ	PREVOD NA UCET	2276	15013	 	AB	10692495
2789290	9236	1994-03-09	VYDAJ	PREVOD NA UCET	2276	20316	 	AB	10692495
2789291	9236	1994-04-09	VYDAJ	PREVOD NA UCET	2276	17727	 	AB	10692495
2789292	9236	1994-05-09	VYDAJ	PREVOD NA UCET	2276	19037	 	AB	10692495
2789293	9236	1994-06-09	VYDAJ	PREVOD NA UCET	2276	23489	 	AB	10692495
2789294	9236	1994-07-09	VYDAJ	PREVOD NA UCET	2276	28618	 	AB	10692495
2789295	9236	1994-08-09	VYDAJ	PREVOD NA UCET	2276	26659	 	AB	10692495
2789296	9236	1994-09-09	VYDAJ	PREVOD NA UCET	2276	23032	 	AB	10692495
2789297	9236	1994-10-09	VYDAJ	PREVOD NA UCET	2276	22762	 	AB	10692495
2789298	9236	1994-11-09	VYDAJ	PREVOD NA UCET	2276	23427	 	AB	10692495
2789299	9236	1994-12-09	VYDAJ	PREVOD NA UCET	2276	15601	 	AB	10692495
2789300	9236	1995-01-09	VYDAJ	PREVOD NA UCET	2276	14871	 	AB	10692495
2789301	9236	1995-02-09	VYDAJ	PREVOD NA UCET	2276	20488	 	AB	10692495
2789302	9236	1995-03-09	VYDAJ	PREVOD NA UCET	2276	14321	 	AB	10692495
2789303	9236	1995-04-09	VYDAJ	PREVOD NA UCET	2276	13880	 	AB	10692495
2789304	9236	1995-05-09	VYDAJ	PREVOD NA UCET	2276	26870	 	AB	10692495
2789305	9236	1995-06-09	VYDAJ	PREVOD NA UCET	2276	34221	 	AB	10692495
2789306	9236	1995-07-09	VYDAJ	PREVOD NA UCET	2276	31701	 	AB	10692495
2789307	9236	1995-08-09	VYDAJ	PREVOD NA UCET	2276	34415	 	AB	10692495
2789308	9236	1995-09-09	VYDAJ	PREVOD NA UCET	2276	37986	 	AB	10692495
2789309	9236	1995-10-09	VYDAJ	PREVOD NA UCET	2276	36427	 	AB	10692495
2789310	9236	1995-11-09	VYDAJ	PREVOD NA UCET	2276	31479	 	AB	10692495
2789311	9236	1995-12-09	VYDAJ	PREVOD NA UCET	2276	29706	 	AB	10692495
2789312	9236	1996-01-09	VYDAJ	PREVOD NA UCET	2276	33677	 	AB	10692495
2789313	9236	1996-02-09	VYDAJ	PREVOD NA UCET	2276	30021	 	AB	10692495
2789314	9236	1996-03-09	VYDAJ	PREVOD NA UCET	2276	36267	 	AB	10692495
2789315	9236	1996-04-09	VYDAJ	PREVOD NA UCET	2276	39719	 	AB	10692495
2789316	9236	1996-05-09	VYDAJ	PREVOD NA UCET	2276	43718	 	AB	10692495
2789317	9236	1996-06-09	VYDAJ	PREVOD NA UCET	2276	41403	 	AB	10692495
2789318	9236	1996-07-09	VYDAJ	PREVOD NA UCET	2276	56047	 	AB	10692495
2789319	9236	1996-08-09	VYDAJ	PREVOD NA UCET	2276	57487	 	AB	10692495
2789320	9236	1996-09-09	VYDAJ	PREVOD NA UCET	2276	58133	 	AB	10692495
2789321	9236	1996-10-09	VYDAJ	PREVOD NA UCET	2276	57161	 	AB	10692495
2789322	9236	1996-11-09	VYDAJ	PREVOD NA UCET	2276	55525	 	AB	10692495
2789323	9236	1996-12-09	VYDAJ	PREVOD NA UCET	2276	56278	 	AB	10692495
2789324	9236	1997-01-09	VYDAJ	PREVOD NA UCET	2276	50054	 	AB	10692495
2789325	9236	1997-02-09	VYDAJ	PREVOD NA UCET	2276	61785	 	AB	10692495
2789326	9236	1997-03-09	VYDAJ	PREVOD NA UCET	2276	63142	 	AB	10692495
2789327	9236	1997-04-09	VYDAJ	PREVOD NA UCET	2276	58447	 	AB	10692495
2789328	9236	1997-05-09	VYDAJ	PREVOD NA UCET	2276	62376	 	AB	10692495
2789329	9236	1997-06-09	VYDAJ	PREVOD NA UCET	2276	66814	 	AB	10692495
2789330	9236	1997-07-09	VYDAJ	PREVOD NA UCET	2276	49698	 	AB	10692495
2789331	9236	1997-08-09	VYDAJ	PREVOD NA UCET	2276	68067	 	AB	10692495
2789332	9236	1997-09-09	VYDAJ	PREVOD NA UCET	2276	75854	 	AB	10692495
2789333	9236	1997-10-09	VYDAJ	PREVOD NA UCET	2276	83880	 	AB	10692495
2789334	9236	1997-11-09	VYDAJ	PREVOD NA UCET	2276	87680	 	AB	10692495
2789335	9236	1997-12-09	VYDAJ	PREVOD NA UCET	2276	99398	 	AB	10692495
2789336	9236	1998-01-09	VYDAJ	PREVOD NA UCET	2276	77229	 	AB	10692495
2789337	9236	1998-02-09	VYDAJ	PREVOD NA UCET	2276	80803	 	AB	10692495
2789338	9236	1998-03-09	VYDAJ	PREVOD NA UCET	2276	93232	 	AB	10692495
2789339	9236	1998-04-09	VYDAJ	PREVOD NA UCET	2276	91632	 	AB	10692495
2789340	9236	1998-05-09	VYDAJ	PREVOD NA UCET	2276	92156	 	AB	10692495
2789341	9236	1998-06-09	VYDAJ	PREVOD NA UCET	2276	93588	 	AB	10692495
2789342	9236	1998-07-09	VYDAJ	PREVOD NA UCET	2276	101473	 	AB	10692495
2789343	9236	1998-08-09	VYDAJ	PREVOD NA UCET	2276	97806	 	AB	10692495
2789344	9236	1998-09-09	VYDAJ	PREVOD NA UCET	2276	80650	 	AB	10692495
2789345	9236	1998-10-09	VYDAJ	PREVOD NA UCET	2276	93201	 	AB	10692495
2789346	9236	1998-11-09	VYDAJ	PREVOD NA UCET	2276	92002	 	AB	10692495
2789347	9236	1998-12-09	VYDAJ	PREVOD NA UCET	2276	92881	 	AB	10692495
2789360	9236	1994-01-12	VYDAJ	PREVOD NA UCET	7218	42157	UVER	KL	67995285
2789361	9236	1994-02-12	VYDAJ	PREVOD NA UCET	7218	19701	UVER	KL	67995285
2789362	9236	1994-03-12	VYDAJ	PREVOD NA UCET	7218	25004	UVER	KL	67995285
2789363	9236	1994-04-12	VYDAJ	PREVOD NA UCET	7218	22415	UVER	KL	67995285
2789364	9236	1994-05-12	VYDAJ	PREVOD NA UCET	7218	23725	UVER	KL	67995285
2789365	9236	1994-06-12	VYDAJ	PREVOD NA UCET	7218	34130	UVER	KL	67995285
2789366	9236	1994-07-12	VYDAJ	PREVOD NA UCET	7218	31146	UVER	KL	67995285
2789367	9236	1994-08-12	VYDAJ	PREVOD NA UCET	7218	31347	UVER	KL	67995285
2789368	9236	1994-09-12	VYDAJ	PREVOD NA UCET	7218	27120	UVER	KL	67995285
2789369	9236	1994-10-12	VYDAJ	PREVOD NA UCET	7218	27750	UVER	KL	67995285
2789370	9236	1994-11-12	VYDAJ	PREVOD NA UCET	7218	24915	UVER	KL	67995285
2789371	9236	1994-12-12	VYDAJ	PREVOD NA UCET	7218	27442	UVER	KL	67995285
2789372	9236	1995-01-03	VYDAJ	VYBER	8200	17147	\N	\N	0
2789373	9236	1995-02-18	VYDAJ	VYBER	8300	21855	\N	\N	0
2789374	9236	1995-03-09	VYDAJ	VYBER	5400	16597	\N	\N	0
2789375	9236	1995-04-09	VYDAJ	VYBER	8200	16156	\N	\N	0
2789376	9236	1995-05-14	VYDAJ	VYBER	7900	35376	\N	\N	0
2789377	9236	1995-06-20	VYDAJ	VYBER	6400	43441	\N	\N	0
2789378	9236	1995-07-18	VYDAJ	VYBER	7200	32368	\N	\N	0
2789379	9236	1995-08-18	VYDAJ	VYBER	6300	37782	\N	\N	0
2789380	9236	1995-09-12	VYDAJ	VYBER	8600	41292	\N	\N	0
2789381	9236	1995-10-11	VYDAJ	VYBER	8600	39733	\N	\N	0
2789382	9236	1995-11-16	VYDAJ	VYBER	6000	35146	\N	\N	0
2789383	9236	1995-12-05	VYDAJ	VYBER	7500	27882	\N	\N	0
2789384	9236	1996-01-17	VYDAJ	VYBER	7600	35744	\N	\N	0
2789385	9236	1996-02-03	VYDAJ	VYBER	6300	27797	\N	\N	0
2789386	9236	1996-03-18	VYDAJ	VYBER	8700	37234	\N	\N	0
2789387	9236	1996-04-15	VYDAJ	VYBER	8900	35566	\N	\N	0
2789388	9236	1996-05-17	VYDAJ	VYBER	8200	45185	\N	\N	0
2789389	9236	1996-06-07	VYDAJ	VYBER	6000	43679	\N	\N	0
2789390	9236	1996-07-13	VYDAJ	VYBER	6600	61353	\N	\N	0
2789391	9236	1996-08-17	VYDAJ	VYBER	5900	55854	\N	\N	0
2789392	9236	1996-09-09	VYDAJ	VYBER	5700	52433	\N	\N	0
2789393	9236	1996-10-12	VYDAJ	VYBER	6500	62567	\N	\N	0
2789394	9236	1996-11-21	VYDAJ	VYBER	6400	58792	\N	\N	0
2789395	9236	1996-12-04	VYDAJ	VYBER	5500	58554	\N	\N	0
2789396	9236	1997-01-06	VYDAJ	VYBER	6000	57370	\N	\N	0
2789397	9236	1997-02-12	VYDAJ	VYBER	8600	65091	\N	\N	0
2789398	9236	1997-03-15	VYDAJ	VYBER	5800	67009	\N	\N	0
2789399	9236	1997-04-05	VYDAJ	VYBER	8600	60723	\N	\N	0
2789400	9236	1997-05-05	VYDAJ	VYBER	6000	64652	\N	\N	0
2789401	9236	1997-06-09	VYDAJ	VYBER	6400	69090	\N	\N	0
2789402	9236	1997-07-06	VYDAJ	VYBER	8500	51974	\N	\N	0
2789403	9236	1997-08-06	VYDAJ	VYBER	6400	70343	\N	\N	0
2789404	9236	1997-09-02	VYDAJ	VYBER	6100	78130	\N	\N	0
2789405	9236	1997-10-06	VYDAJ	VYBER	6800	86156	\N	\N	0
2789406	9236	1997-11-08	VYDAJ	VYBER	8500	89956	\N	\N	0
2789407	9236	1997-12-20	VYDAJ	VYBER	7500	107518	\N	\N	0
2789408	9236	1998-01-03	VYDAJ	VYBER	8300	92105	\N	\N	0
2789409	9236	1998-02-14	VYDAJ	VYBER	8200	82270	\N	\N	0
2789410	9236	1998-03-14	VYDAJ	VYBER	8100	97038	\N	\N	0
2789411	9236	1998-04-05	VYDAJ	VYBER	6300	93908	\N	\N	0
2789412	9236	1998-05-04	VYDAJ	VYBER	8000	94432	\N	\N	0
2789413	9236	1998-06-03	VYDAJ	VYBER	7000	95864	\N	\N	0
2789414	9236	1998-07-09	VYDAJ	VYBER	7600	93873	\N	\N	0
2789415	9236	1998-08-12	VYDAJ	VYBER	8200	101512	\N	\N	0
2789416	9236	1998-09-06	VYDAJ	VYBER	8600	82926	\N	\N	0
2789417	9236	1998-10-18	VYDAJ	VYBER	5700	97168	\N	\N	0
2789418	9236	1998-11-05	VYDAJ	VYBER	7300	94278	\N	\N	0
2789419	9236	1998-12-09	VYDAJ	VYBER	6200	95157	\N	\N	0
2789422	9236	1995-06-22	VYDAJ	VYBER	11520	31921	\N	\N	\N
2789424	9236	1997-06-15	VYDAJ	VYBER	43040	39394	\N	\N	\N
2789425	9236	1998-06-12	VYDAJ	VYBER	7200	104247	\N	\N	\N
2789428	9236	1995-01-13	VYDAJ	VYBER	7680	25857	\N	\N	\N
2789429	9236	1996-01-04	VYDAJ	VYBER	3520	35413	\N	\N	\N
2789430	9236	1997-01-04	VYDAJ	VYBER	3040	64210	\N	\N	\N
2789431	9236	1998-01-19	VYDAJ	VYBER	2080	82536	\N	\N	\N
2789433	9236	1994-12-06	VYDAJ	VYBER	2080	17877	\N	\N	\N
2789434	9236	1995-12-24	VYDAJ	VYBER	1280	44046	\N	\N	\N
2789435	9236	1996-12-30	VYDAJ	VYBER	2560	69338	\N	\N	\N
2789436	9236	1997-12-21	VYDAJ	VYBER	1920	105598	\N	\N	\N
2789437	9236	1998-12-09	VYDAJ	VYBER	3840	101357	\N	\N	\N
2789444	9236	1994-01-30	VYDAJ	VYBER	3480	17098	\N	\N	\N
2789445	9236	1994-01-24	VYDAJ	VYBER	1560	26578	\N	\N	\N
2789446	9236	1994-01-25	VYDAJ	VYBER	3000	23578	\N	\N	\N
2789447	9236	1994-01-29	VYDAJ	VYBER	960	20578	\N	\N	\N
2789448	9236	1994-01-22	VYDAJ	VYBER	3480	28138	\N	\N	\N
2789449	9236	1994-01-27	VYDAJ	VYBER	2040	21538	\N	\N	\N
2789450	9236	1995-01-25	VYDAJ	VYBER	1920	14138	\N	\N	\N
2789451	9236	1995-01-22	VYDAJ	VYBER	3240	18578	\N	\N	\N
2789452	9236	1995-01-15	VYDAJ	VYBER	840	22778	\N	\N	\N
2789453	9236	1995-01-18	VYDAJ	VYBER	960	21818	\N	\N	\N
2789455	9236	1995-01-23	VYDAJ	VYBER	2520	16058	\N	\N	\N
2789456	9236	1996-01-17	VYDAJ	VYBER	1920	33824	\N	\N	\N
2789457	9236	1996-01-05	VYDAJ	VYBER	600	38713	\N	\N	\N
2789458	9236	1996-01-06	VYDAJ	VYBER	840	37873	\N	\N	\N
2789459	9236	1996-01-03	VYDAJ	VYBER	2400	38933	\N	\N	\N
2789460	9236	1996-01-07	VYDAJ	VYBER	1920	35953	\N	\N	\N
2789461	9236	1996-01-02	VYDAJ	VYBER	3000	41333	\N	\N	\N
2789462	9236	1997-01-21	VYDAJ	VYBER	840	58881	\N	\N	\N
2789463	9236	1997-01-04	VYDAJ	VYBER	840	63370	\N	\N	\N
2789464	9236	1997-01-07	VYDAJ	VYBER	1440	54850	\N	\N	\N
2789465	9236	1997-01-09	VYDAJ	VYBER	2520	52330	\N	\N	\N
2789466	9236	1997-01-25	VYDAJ	VYBER	1440	57441	\N	\N	\N
2789467	9236	1997-01-07	VYDAJ	VYBER	1080	56290	\N	\N	\N
2789468	9236	1998-01-12	VYDAJ	VYBER	2280	86855	\N	\N	\N
2789469	9236	1998-01-03	VYDAJ	VYBER	2760	89345	\N	\N	\N
2789470	9236	1998-01-08	VYDAJ	VYBER	2400	84905	\N	\N	\N
2789471	9236	1998-01-01	VYDAJ	VYBER	960	100405	\N	\N	\N
2789472	9236	1998-01-30	VYDAJ	VYBER	2520	87016	\N	\N	\N
2789473	9236	1998-01-08	VYDAJ	VYBER	2040	87305	\N	\N	\N
2789481	9236	1994-04-06	VYDAJ	VYBER	1800	20003	\N	\N	\N
2789482	9236	1994-11-13	VYDAJ	VYBER	2880	22035	\N	\N	\N
2789483	9236	1994-07-10	VYDAJ	VYBER	2160	26458	\N	\N	\N
2789484	9236	1995-07-15	VYDAJ	VYBER	1800	39568	\N	\N	\N
2789485	9236	1995-09-22	VYDAJ	VYBER	1800	37253	\N	\N	\N
2789486	9236	1995-01-10	VYDAJ	VYBER	840	21631	\N	\N	\N
2789487	9236	1995-11-01	VYDAJ	VYBER	1800	30555	\N	\N	\N
2789488	9236	1995-10-19	VYDAJ	VYBER	5400	32094	\N	\N	\N
2789489	9236	1996-03-25	VYDAJ	VYBER	5280	31954	\N	\N	\N
2789490	9236	1996-08-22	VYDAJ	VYBER	2880	52974	\N	\N	\N
2789491	9236	1996-11-04	VYDAJ	VYBER	3120	57801	\N	\N	\N
2789492	9236	1996-03-09	VYDAJ	VYBER	5400	38543	\N	\N	\N
2789493	9236	1996-04-12	VYDAJ	VYBER	4920	46705	\N	\N	\N
2789494	9236	1996-09-13	VYDAJ	VYBER	4080	60259	\N	\N	\N
2789495	9236	1996-09-20	VYDAJ	VYBER	600	57420	\N	\N	\N
2789496	9236	1996-08-11	VYDAJ	VYBER	5400	63993	\N	\N	\N
2789497	9236	1997-05-10	VYDAJ	VYBER	5280	57096	\N	\N	\N
2789498	9236	1997-09-11	VYDAJ	VYBER	1320	86440	\N	\N	\N
2789499	9236	1997-04-24	VYDAJ	VYBER	5280	62234	\N	\N	\N
2789500	9236	1997-04-23	VYDAJ	VYBER	600	67514	\N	\N	\N
2789501	9236	1997-06-21	VYDAJ	VYBER	960	38434	\N	\N	\N
2789502	9236	1998-08-26	VYDAJ	VYBER	1800	90933	\N	\N	\N
2789503	9236	1998-01-09	VYDAJ	VYBER	5400	79505	\N	\N	\N
2789504	9236	1998-01-31	VYDAJ	VYBER	4560	83094	\N	\N	\N
2789505	9236	1998-08-24	VYDAJ	VYBER	5640	92733	\N	\N	\N
2789519	9236	1994-01-31	VYDAJ	VYBER	15	17289	SLUZBY	\N	\N
2789520	9236	1994-02-28	VYDAJ	VYBER	15	22592	SLUZBY	\N	\N
2789521	9236	1994-03-31	VYDAJ	VYBER	15	21803	SLUZBY	\N	\N
2789522	9236	1994-04-30	VYDAJ	VYBER	15	21313	SLUZBY	\N	\N
2789523	9236	1994-05-31	VYDAJ	VYBER	15	25765	SLUZBY	\N	\N
2789524	9236	1994-06-30	VYDAJ	VYBER	15	30894	SLUZBY	\N	\N
2789525	9236	1994-07-31	VYDAJ	VYBER	15	28935	SLUZBY	\N	\N
2789526	9236	1994-08-31	VYDAJ	VYBER	15	25308	SLUZBY	\N	\N
2789527	9236	1994-09-30	VYDAJ	VYBER	15	25038	SLUZBY	\N	\N
2789528	9236	1994-10-31	VYDAJ	VYBER	15	25703	SLUZBY	\N	\N
2789529	9236	1994-11-30	VYDAJ	VYBER	15	19957	SLUZBY	\N	\N
2789530	9236	1994-12-31	VYDAJ	VYBER	15	25347	SLUZBY	\N	\N
2789531	9236	1995-01-31	VYDAJ	VYBER	15	14264	SLUZBY	\N	\N
2789532	9236	1995-02-28	VYDAJ	VYBER	15	21997	SLUZBY	\N	\N
2789533	9236	1995-03-31	VYDAJ	VYBER	15	24356	SLUZBY	\N	\N
2789534	9236	1995-04-30	VYDAJ	VYBER	15	29146	SLUZBY	\N	\N
2789535	9236	1995-05-31	VYDAJ	VYBER	15	33397	SLUZBY	\N	\N
2789536	9236	1995-06-30	VYDAJ	VYBER	15	32177	SLUZBY	\N	\N
2789537	9236	1995-07-31	VYDAJ	VYBER	15	32591	SLUZBY	\N	\N
2789538	9236	1995-08-31	VYDAJ	VYBER	15	38062	SLUZBY	\N	\N
2789539	9236	1995-09-30	VYDAJ	VYBER	15	37503	SLUZBY	\N	\N
2789540	9236	1995-10-31	VYDAJ	VYBER	15	32355	SLUZBY	\N	\N
2789541	9236	1995-11-30	VYDAJ	VYBER	15	35382	SLUZBY	\N	\N
2789542	9236	1995-12-31	VYDAJ	VYBER	15	44333	SLUZBY	\N	\N
2789543	9236	1996-01-31	VYDAJ	VYBER	15	34097	SLUZBY	\N	\N
2789544	9236	1996-02-29	VYDAJ	VYBER	15	39943	SLUZBY	\N	\N
2789545	9236	1996-03-31	VYDAJ	VYBER	15	32195	SLUZBY	\N	\N
2789546	9236	1996-04-30	VYDAJ	VYBER	15	35794	SLUZBY	\N	\N
2789547	9236	1996-05-31	VYDAJ	VYBER	15	45479	SLUZBY	\N	\N
2789548	9236	1996-06-30	VYDAJ	VYBER	15	57423	SLUZBY	\N	\N
2789549	9236	1996-07-31	VYDAJ	VYBER	15	59563	SLUZBY	\N	\N
2789550	9236	1996-08-31	VYDAJ	VYBER	15	53409	SLUZBY	\N	\N
2789551	9236	1996-09-30	VYDAJ	VYBER	15	57837	SLUZBY	\N	\N
2789552	9236	1996-10-31	VYDAJ	VYBER	15	60921	SLUZBY	\N	\N
2789553	9236	1996-11-30	VYDAJ	VYBER	15	64054	SLUZBY	\N	\N
2789554	9236	1996-12-31	VYDAJ	VYBER	15	67250	SLUZBY	\N	\N
2789555	9236	1997-01-31	VYDAJ	VYBER	15	64061	SLUZBY	\N	\N
2789556	9236	1997-02-28	VYDAJ	VYBER	15	65418	SLUZBY	\N	\N
2789557	9236	1997-03-31	VYDAJ	VYBER	15	69323	SLUZBY	\N	\N
2789558	9236	1997-04-30	VYDAJ	VYBER	15	70652	SLUZBY	\N	\N
2789559	9236	1997-05-31	VYDAJ	VYBER	15	75490	SLUZBY	\N	\N
2789560	9236	1997-06-30	VYDAJ	VYBER	15	60474	SLUZBY	\N	\N
2789561	9236	1997-07-31	VYDAJ	VYBER	15	76743	SLUZBY	\N	\N
2789562	9236	1997-08-31	VYDAJ	VYBER	15	84230	SLUZBY	\N	\N
2789563	9236	1997-09-30	VYDAJ	VYBER	15	92956	SLUZBY	\N	\N
2789564	9236	1997-10-31	VYDAJ	VYBER	15	98456	SLUZBY	\N	\N
2789565	9236	1997-11-30	VYDAJ	VYBER	15	101674	SLUZBY	\N	\N
2789566	9236	1997-12-31	VYDAJ	VYBER	15	101365	SLUZBY	\N	\N
2789567	9236	1998-01-31	VYDAJ	VYBER	15	83079	SLUZBY	\N	\N
2789568	9236	1998-02-28	VYDAJ	VYBER	15	95508	SLUZBY	\N	\N
2789569	9236	1998-03-31	VYDAJ	VYBER	15	100208	SLUZBY	\N	\N
2789570	9236	1998-04-30	VYDAJ	VYBER	15	102432	SLUZBY	\N	\N
2789571	9236	1998-05-31	VYDAJ	VYBER	15	102864	SLUZBY	\N	\N
2789572	9236	1998-06-30	VYDAJ	VYBER	15	103749	SLUZBY	\N	\N
2789573	9236	1998-07-31	VYDAJ	VYBER	15	100082	SLUZBY	\N	\N
2789574	9236	1998-08-31	VYDAJ	VYBER	15	91526	SLUZBY	\N	\N
2789575	9236	1998-09-30	VYDAJ	VYBER	15	95477	SLUZBY	\N	\N
2789576	9236	1998-10-31	VYDAJ	VYBER	15	101578	SLUZBY	\N	\N
2789577	9236	1998-11-30	VYDAJ	VYBER	15	105197	SLUZBY	\N	\N
2789578	9236	1993-09-17	PRIJEM	VKLAD	3800	16506	\N	\N	\N
2789579	9236	1993-10-17	VYDAJ	VYBER	2200	26274	\N	\N	\N
2789580	9236	1993-11-16	VYDAJ	VYBER	8000	30318	\N	\N	\N
2789581	9236	1993-12-16	VYDAJ	VYBER	11100	37253	\N	\N	\N
2789582	9236	1994-01-15	VYDAJ	VYBER	8300	31618	\N	\N	\N
2789583	9236	1994-02-14	PRIJEM	VKLAD	5000	24701	\N	\N	\N
2789584	9236	1994-03-16	VYDAJ	VYBER	1100	21665	\N	\N	\N
2789585	9236	1994-04-15	PRIJEM	VKLAD	1000	21176	\N	\N	\N
2789586	9236	1994-05-15	PRIJEM	VKLAD	4100	25586	\N	\N	\N
2789587	9236	1994-06-14	VYDAJ	VYBER	1200	32930	\N	\N	\N
2789588	9236	1994-07-14	VYDAJ	VYBER	200	28707	\N	\N	\N
2789589	9236	1994-08-13	VYDAJ	VYBER	4000	27347	\N	\N	\N
2789590	9236	1994-09-12	VYDAJ	VYBER	600	34338	\N	\N	\N
2789591	9236	1994-10-12	PRIJEM	VKLAD	300	34968	\N	\N	\N
2789592	9236	1994-11-11	VYDAJ	VYBER	3200	32133	\N	\N	\N
2789593	9236	1994-12-11	PRIJEM	VKLAD	1200	34660	\N	\N	\N
2789594	9236	1995-01-10	PRIJEM	VKLAD	7600	22471	\N	\N	\N
2789595	9236	1995-02-09	PRIJEM	VKLAD	8500	22764	\N	\N	\N
2789596	9236	1995-03-11	PRIJEM	VKLAD	200	14521	\N	\N	\N
2789597	9236	1995-04-10	PRIJEM	VKLAD	5400	19280	\N	\N	\N
2789598	9236	1995-05-10	PRIJEM	VKLAD	4500	31370	\N	\N	\N
2789599	9236	1995-06-09	PRIJEM	VKLAD	3100	36497	\N	\N	\N
2789600	9236	1995-07-09	PRIJEM	VKLAD	1800	33977	\N	\N	\N
2789601	9236	1995-08-08	PRIJEM	VKLAD	4100	36691	\N	\N	\N
2789602	9236	1995-09-07	PRIJEM	VKLAD	2200	40262	\N	\N	\N
2789603	9236	1995-10-07	PRIJEM	VKLAD	1200	38703	\N	\N	\N
2789604	9236	1995-11-06	PRIJEM	VKLAD	3200	33755	\N	\N	\N
2789605	9236	1995-12-06	PRIJEM	VKLAD	4100	31982	\N	\N	\N
2789606	9236	1996-01-05	PRIJEM	VKLAD	3900	39313	\N	\N	\N
2789607	9236	1996-02-04	PRIJEM	VKLAD	4500	32297	\N	\N	\N
2789608	9236	1996-03-05	PRIJEM	VKLAD	4000	43943	\N	\N	\N
2789609	9236	1996-04-04	PRIJEM	VKLAD	9800	41995	\N	\N	\N
2789610	9236	1996-05-04	PRIJEM	VKLAD	10200	45994	\N	\N	\N
2789611	9236	1996-06-03	PRIJEM	VKLAD	4200	49679	\N	\N	\N
2789612	9236	1996-07-03	PRIJEM	VKLAD	900	58323	\N	\N	\N
2789613	9236	1996-08-02	PRIJEM	VKLAD	200	59763	\N	\N	\N
2789614	9236	1996-09-01	PRIJEM	VKLAD	7000	60409	\N	\N	\N
2789615	9236	1996-10-01	PRIJEM	VKLAD	1600	59437	\N	\N	\N
2789616	9236	1996-10-31	PRIJEM	VKLAD	200	60703	\N	\N	\N
2789617	9236	1996-11-30	PRIJEM	VKLAD	4800	64069	\N	\N	\N
2789618	9236	1996-12-30	VYDAJ	VYBER	2600	66738	\N	\N	\N
2789619	9236	1997-01-29	PRIJEM	VKLAD	6200	63641	\N	\N	\N
2789620	9236	1997-02-28	PRIJEM	VKLAD	2100	65188	\N	\N	\N
2789621	9236	1997-03-30	PRIJEM	VKLAD	1900	68909	\N	\N	\N
2789622	9236	1997-04-29	PRIJEM	VKLAD	8000	70234	\N	\N	\N
2789623	9236	1997-05-29	PRIJEM	VKLAD	8300	75063	\N	\N	\N
2789624	9236	1997-06-28	PRIJEM	VKLAD	21700	60134	\N	\N	\N
2789625	9236	1997-07-28	PRIJEM	VKLAD	17000	76365	\N	\N	\N
2789626	9236	1997-08-27	PRIJEM	VKLAD	6000	83734	\N	\N	\N
2789627	9236	1997-09-26	PRIJEM	VKLAD	8200	92401	\N	\N	\N
2789628	9236	1997-10-26	PRIJEM	VKLAD	4200	97747	\N	\N	\N
2789629	9236	1997-11-25	PRIJEM	VKLAD	3600	100947	\N	\N	\N
2789630	9236	1997-12-25	VYDAJ	VYBER	4900	100698	\N	\N	\N
2789631	9236	1998-01-24	PRIJEM	VKLAD	7000	89536	\N	\N	\N
2789632	9236	1998-02-23	PRIJEM	VKLAD	12600	94870	\N	\N	\N
2789633	9236	1998-03-25	PRIJEM	VKLAD	4700	99499	\N	\N	\N
2789634	9236	1998-04-24	PRIJEM	VKLAD	500	101799	\N	\N	\N
2789635	9236	1998-05-24	PRIJEM	VKLAD	400	102223	\N	\N	\N
2789636	9236	1998-06-23	PRIJEM	VKLAD	1100	103108	\N	\N	\N
2789637	9236	1998-07-23	VYDAJ	VYBER	4100	99440	\N	\N	\N
2789638	9236	1998-08-22	VYDAJ	VYBER	900	98373	\N	\N	\N
2789639	9236	1998-09-21	PRIJEM	VKLAD	4500	94817	\N	\N	\N
2789640	9236	1998-10-21	PRIJEM	VKLAD	3700	100868	\N	\N	\N
2789641	9236	1998-11-20	PRIJEM	VKLAD	2900	104569	\N	\N	\N
2791303	9241	1996-09-25	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2791313	9241	1996-10-11	PRIJEM	PREVOD Z UCTU	28522	29622	\N	UV	17089629
2791314	9241	1996-11-11	PRIJEM	PREVOD Z UCTU	28522	54389	\N	UV	17089629
2791315	9241	1996-12-11	PRIJEM	PREVOD Z UCTU	42783	85331	\N	UV	17089629
2791316	9241	1997-01-11	PRIJEM	PREVOD Z UCTU	28522	88404	\N	UV	17089629
2791317	9241	1997-02-11	PRIJEM	PREVOD Z UCTU	28522	89240	\N	UV	17089629
2791318	9241	1997-03-11	PRIJEM	PREVOD Z UCTU	28522	66334	\N	UV	17089629
2791319	9241	1997-04-11	PRIJEM	PREVOD Z UCTU	28522	70444	\N	UV	17089629
2791320	9241	1997-05-11	PRIJEM	PREVOD Z UCTU	28522	64943	\N	UV	17089629
2791321	9241	1997-06-11	PRIJEM	PREVOD Z UCTU	42783	64063	\N	UV	17089629
2791322	9241	1997-07-11	PRIJEM	PREVOD Z UCTU	28522	71871	\N	UV	17089629
2791323	9241	1997-08-11	PRIJEM	PREVOD Z UCTU	28522	53362	\N	UV	17089629
2791324	9241	1997-09-11	PRIJEM	PREVOD Z UCTU	28522	49228	\N	UV	17089629
2791325	9241	1997-10-11	PRIJEM	PREVOD Z UCTU	28522	49961	\N	UV	17089629
2791326	9241	1997-11-11	PRIJEM	PREVOD Z UCTU	28522	54981	\N	UV	17089629
2791327	9241	1997-12-11	PRIJEM	PREVOD Z UCTU	42783	63798	\N	UV	17089629
2791328	9241	1998-01-11	PRIJEM	PREVOD Z UCTU	28522	49945	\N	UV	17089629
2791329	9241	1998-02-11	PRIJEM	PREVOD Z UCTU	28522	50730	\N	UV	17089629
2791330	9241	1998-03-11	PRIJEM	PREVOD Z UCTU	28522	57507	\N	UV	17089629
2791331	9241	1998-04-11	PRIJEM	PREVOD Z UCTU	28522	60222	\N	UV	17089629
2791332	9241	1998-05-11	PRIJEM	PREVOD Z UCTU	28522	67721	\N	UV	17089629
2791333	9241	1998-06-11	PRIJEM	PREVOD Z UCTU	42783	79769	\N	UV	17089629
2791334	9241	1998-07-11	PRIJEM	PREVOD Z UCTU	28522	53153	\N	UV	17089629
2791335	9241	1998-08-11	PRIJEM	PREVOD Z UCTU	28522	60580	\N	UV	17089629
2791336	9241	1998-09-11	PRIJEM	PREVOD Z UCTU	28522	52752	\N	UV	17089629
2791337	9241	1998-10-11	PRIJEM	PREVOD Z UCTU	28522	54220	\N	UV	17089629
2791338	9241	1998-11-11	PRIJEM	PREVOD Z UCTU	28522	52102	\N	UV	17089629
2791339	9241	1998-12-11	PRIJEM	PREVOD Z UCTU	42783	61051	\N	UV	17089629
2791353	9241	1997-02-21	VYDAJ	VYBER	4000	71440	\N	\N	0
2791354	9241	1997-03-11	VYDAJ	VYBER	3500	62834	\N	\N	0
2791355	9241	1997-04-21	VYDAJ	VYBER	4800	52229	\N	\N	0
2791356	9241	1997-05-13	VYDAJ	VYBER	4700	60243	\N	\N	0
2791357	9241	1997-06-12	VYDAJ	VYBER	4200	59863	\N	\N	0
2791358	9241	1997-07-12	VYDAJ	PREVOD NA UCET	4754	67118	UVER	ST	73753130
2791359	9241	1997-08-12	VYDAJ	PREVOD NA UCET	4754	48608	UVER	ST	73753130
2791360	9241	1997-09-12	VYDAJ	PREVOD NA UCET	4754	44474	UVER	ST	73753130
2791361	9241	1997-10-12	VYDAJ	PREVOD NA UCET	4754	45208	UVER	ST	73753130
2791362	9241	1997-11-12	VYDAJ	PREVOD NA UCET	4754	50227	UVER	ST	73753130
2791363	9241	1997-12-12	VYDAJ	PREVOD NA UCET	4754	59045	UVER	ST	73753130
2791364	9241	1998-01-12	VYDAJ	PREVOD NA UCET	4754	45192	UVER	ST	73753130
2791365	9241	1998-02-12	VYDAJ	PREVOD NA UCET	4754	45976	UVER	ST	73753130
2791366	9241	1998-03-12	VYDAJ	PREVOD NA UCET	4754	52753	UVER	ST	73753130
2791367	9241	1998-04-12	VYDAJ	PREVOD NA UCET	4754	55468	UVER	ST	73753130
2791368	9241	1998-05-12	VYDAJ	PREVOD NA UCET	4754	62967	UVER	ST	73753130
2791369	9241	1998-06-12	VYDAJ	PREVOD NA UCET	4754	75015	UVER	ST	73753130
2791370	9241	1998-07-12	VYDAJ	PREVOD NA UCET	4754	48399	UVER	ST	73753130
2791371	9241	1998-08-12	VYDAJ	PREVOD NA UCET	4754	55826	UVER	ST	73753130
2791372	9241	1998-09-12	VYDAJ	PREVOD NA UCET	4754	47998	UVER	ST	73753130
2791373	9241	1998-10-12	VYDAJ	PREVOD NA UCET	4754	47966	UVER	ST	73753130
2791374	9241	1998-11-12	VYDAJ	PREVOD NA UCET	4754	47348	UVER	ST	73753130
2791375	9241	1998-12-12	VYDAJ	PREVOD NA UCET	4754	56298	UVER	ST	73753130
2791390	9241	1997-03-08	VYDAJ	PREVOD NA UCET	3595	37812	SIPO	WX	9130680
2791391	9241	1997-04-08	VYDAJ	PREVOD NA UCET	3595	41922	SIPO	WX	9130680
2791392	9241	1997-05-08	VYDAJ	PREVOD NA UCET	3595	36421	SIPO	WX	9130680
2791393	9241	1997-06-08	VYDAJ	PREVOD NA UCET	3595	21280	SIPO	WX	9130680
2791394	9241	1997-07-08	VYDAJ	PREVOD NA UCET	3595	43349	SIPO	WX	9130680
2791395	9241	1997-08-08	VYDAJ	PREVOD NA UCET	3595	24840	SIPO	WX	9130680
2791396	9241	1997-09-08	VYDAJ	PREVOD NA UCET	3595	20706	SIPO	WX	9130680
2791397	9241	1997-10-08	VYDAJ	PREVOD NA UCET	3595	21439	SIPO	WX	9130680
2791398	9241	1997-11-08	VYDAJ	PREVOD NA UCET	3595	26459	SIPO	WX	9130680
2791399	9241	1997-12-08	VYDAJ	PREVOD NA UCET	3595	21015	SIPO	WX	9130680
2791400	9241	1998-01-08	VYDAJ	PREVOD NA UCET	3595	21423	SIPO	WX	9130680
2791401	9241	1998-02-08	VYDAJ	PREVOD NA UCET	3595	22208	SIPO	WX	9130680
2791402	9241	1998-03-08	VYDAJ	PREVOD NA UCET	3595	28985	SIPO	WX	9130680
2791403	9241	1998-04-08	VYDAJ	PREVOD NA UCET	3595	31700	SIPO	WX	9130680
2791404	9241	1998-05-08	VYDAJ	PREVOD NA UCET	3595	39199	SIPO	WX	9130680
2791405	9241	1998-06-08	VYDAJ	PREVOD NA UCET	3595	36986	SIPO	WX	9130680
2791406	9241	1998-07-08	VYDAJ	PREVOD NA UCET	3595	24631	SIPO	WX	9130680
2791407	9241	1998-08-08	VYDAJ	PREVOD NA UCET	3595	32058	SIPO	WX	9130680
2791408	9241	1998-09-08	VYDAJ	PREVOD NA UCET	3595	24230	SIPO	WX	9130680
2791409	9241	1998-10-08	VYDAJ	PREVOD NA UCET	3595	25698	SIPO	WX	9130680
2791410	9241	1998-11-08	VYDAJ	PREVOD NA UCET	3595	23580	SIPO	WX	9130680
2791411	9241	1998-12-08	VYDAJ	PREVOD NA UCET	3595	18268	SIPO	WX	9130680
2791417	9241	1997-12-20	VYBER	VYBER	14574	24771	\N	\N	\N
2791418	9241	1997-09-19	VYBER	VYBER	17984	26490	\N	\N	\N
2791419	9241	1997-04-21	VYBER	VYBER	13415	57029	\N	\N	\N
2791420	9241	1997-09-08	VYBER	VYBER	11474	24301	\N	\N	\N
2791421	9241	1997-11-30	VYBER	VYBER	13106	24625	\N	\N	\N
2791422	9241	1997-04-24	VYBER	VYBER	4167	39662	\N	\N	\N
2791424	9241	1997-06-05	VYBER	VYBER	13112	33575	\N	\N	\N
2791425	9241	1998-11-14	VYBER	VYBER	7567	39781	\N	\N	\N
2791430	9241	1998-06-04	VYBER	VYBER	2358	40581	\N	\N	\N
2791433	9241	1998-06-20	VYBER	VYBER	18716	27899	\N	\N	\N
2791434	9241	1998-03-15	VYBER	VYBER	8300	44453	\N	\N	\N
2791435	9241	1998-05-28	VYBER	VYBER	3798	42569	\N	\N	\N
2791445	9241	1997-12-13	VYDAJ	VYBER	4200	54845	\N	\N	\N
2791446	9241	1998-12-24	VYDAJ	VYBER	4800	26998	\N	\N	\N
2791461	9241	1998-01-13	VYDAJ	VYBER	4800	40392	\N	\N	\N
2791462	9241	1998-01-19	VYDAJ	VYBER	6300	25592	\N	\N	\N
2791463	9241	1998-01-18	VYDAJ	VYBER	3300	31892	\N	\N	\N
2791469	9241	1997-03-07	VYDAJ	VYBER	6900	41407	\N	\N	\N
2791470	9241	1997-07-28	VYDAJ	VYBER	14100	35818	\N	\N	\N
2791473	9241	1997-02-15	VYDAJ	VYBER	13800	75440	\N	\N	\N
2791474	9241	1997-06-07	VYDAJ	VYBER	8700	24875	\N	\N	\N
2791475	9241	1997-08-03	VYDAJ	VYBER	7800	28435	\N	\N	\N
2791476	9241	1997-03-06	VYDAJ	VYBER	3900	48307	\N	\N	\N
2791478	9241	1998-09-02	VYDAJ	VYBER	1800	27825	\N	\N	\N
2791479	9241	1998-10-11	VYDAJ	VYBER	1500	52720	\N	\N	\N
2791481	9241	1998-08-12	VYDAJ	VYBER	13500	42326	\N	\N	\N
2791496	9241	1997-02-28	VYDAJ	VYBER	15	52207	SLUZBY	\N	\N
2791497	9241	1997-03-31	VYDAJ	VYBER	15	45517	SLUZBY	\N	\N
2791498	9241	1997-04-30	VYDAJ	VYBER	15	40016	SLUZBY	\N	\N
2791499	9241	1997-05-31	VYDAJ	VYBER	15	46687	SLUZBY	\N	\N
2791500	9241	1997-06-30	VYDAJ	VYBER	15	46944	SLUZBY	\N	\N
2791501	9241	1997-07-31	VYDAJ	VYBER	15	36235	SLUZBY	\N	\N
2791502	9241	1997-08-31	VYDAJ	VYBER	15	35775	SLUZBY	\N	\N
2791503	9241	1997-09-30	VYDAJ	VYBER	15	25034	SLUZBY	\N	\N
2791504	9241	1997-10-31	VYDAJ	VYBER	15	30054	SLUZBY	\N	\N
2791505	9241	1997-11-30	VYDAJ	VYBER	15	24610	SLUZBY	\N	\N
2791506	9241	1997-12-31	VYDAJ	VYBER	15	25018	SLUZBY	\N	\N
2791507	9241	1998-01-31	VYDAJ	VYBER	15	25803	SLUZBY	\N	\N
2791508	9241	1998-02-28	VYDAJ	VYBER	15	32580	SLUZBY	\N	\N
2791509	9241	1998-03-31	VYDAJ	VYBER	15	35295	SLUZBY	\N	\N
2791510	9241	1998-04-30	VYDAJ	VYBER	15	42794	SLUZBY	\N	\N
2791511	9241	1998-05-31	VYDAJ	VYBER	15	42939	SLUZBY	\N	\N
2791512	9241	1998-06-30	VYDAJ	VYBER	15	28226	SLUZBY	\N	\N
2791513	9241	1998-07-31	VYDAJ	VYBER	15	35653	SLUZBY	\N	\N
2791514	9241	1998-08-31	VYDAJ	VYBER	15	29625	SLUZBY	\N	\N
2791515	9241	1998-09-30	VYDAJ	VYBER	15	29293	SLUZBY	\N	\N
2791516	9241	1998-10-31	VYDAJ	VYBER	15	27175	SLUZBY	\N	\N
2791517	9241	1998-11-30	VYDAJ	VYBER	15	21863	SLUZBY	\N	\N
2791518	9241	1996-10-25	VYDAJ	VYBER	3800	25822	\N	\N	\N
2791519	9241	1996-11-24	VYDAJ	VYBER	12000	42389	\N	\N	\N
2791520	9241	1996-12-24	VYDAJ	VYBER	25700	59631	\N	\N	\N
2791521	9241	1997-01-23	VYDAJ	VYBER	28000	60404	\N	\N	\N
2791522	9241	1997-02-22	VYDAJ	VYBER	19600	51840	\N	\N	\N
2791523	9241	1997-03-24	VYDAJ	VYBER	17700	45134	\N	\N	\N
2791524	9241	1997-04-23	VYDAJ	VYBER	8400	43829	\N	\N	\N
2791525	9241	1997-05-23	VYDAJ	VYBER	13900	46343	\N	\N	\N
2791526	9241	1997-06-22	VYDAJ	VYBER	13300	46563	\N	\N	\N
2791527	9241	1997-07-22	VYDAJ	VYBER	17200	49918	\N	\N	\N
2791528	9241	1997-08-21	VYDAJ	VYBER	13100	35508	\N	\N	\N
2791529	9241	1997-09-20	VYDAJ	VYBER	1700	24790	\N	\N	\N
2791530	9241	1997-10-20	VYDAJ	VYBER	15400	29808	\N	\N	\N
2791531	9241	1997-11-19	VYDAJ	VYBER	12800	37427	\N	\N	\N
2791532	9241	1997-12-19	VYDAJ	VYBER	15500	39345	\N	\N	\N
2791533	9241	1998-01-18	VYDAJ	VYBER	5200	35192	\N	\N	\N
2791534	9241	1998-02-17	VYDAJ	VYBER	13600	32376	\N	\N	\N
2791535	9241	1998-03-19	VYDAJ	VYBER	9400	35053	\N	\N	\N
2791536	9241	1998-04-18	VYDAJ	VYBER	13000	42468	\N	\N	\N
2791537	9241	1998-05-18	VYDAJ	VYBER	16600	46367	\N	\N	\N
2791538	9241	1998-06-17	VYDAJ	VYBER	28400	46615	\N	\N	\N
2791539	9241	1998-07-17	VYDAJ	VYBER	13000	35399	\N	\N	\N
2791540	9241	1998-08-16	VYDAJ	VYBER	12900	29426	\N	\N	\N
2791541	9241	1998-09-15	VYDAJ	VYBER	18900	29098	\N	\N	\N
2791542	9241	1998-10-15	VYDAJ	VYBER	21000	26966	\N	\N	\N
2791543	9241	1998-11-14	VYDAJ	VYBER	18100	21681	\N	\N	\N
2791544	9241	1998-12-14	VYDAJ	VYBER	24500	31798	\N	\N	\N
2791572	9242	1996-03-15	PRIJEM	VKLAD	200	200	\N	\N	\N
2791576	9242	1996-04-14	PRIJEM	VKLAD	7832	8032	\N	\N	\N
2791577	9242	1996-05-14	PRIJEM	VKLAD	7832	24641	\N	\N	\N
2791578	9242	1996-06-14	PRIJEM	VKLAD	11748	38521	\N	\N	\N
2791579	9242	1996-07-14	PRIJEM	VKLAD	7832	42276	\N	\N	\N
2791580	9242	1996-08-14	PRIJEM	VKLAD	7832	40873	\N	\N	\N
2791581	9242	1996-09-14	PRIJEM	VKLAD	7832	38260	\N	\N	\N
2791582	9242	1996-10-14	PRIJEM	VKLAD	7832	37738	\N	\N	\N
2791583	9242	1996-11-14	PRIJEM	VKLAD	7832	43661	\N	\N	\N
2791584	9242	1996-12-14	PRIJEM	VKLAD	11748	48025	\N	\N	\N
2791585	9242	1997-01-14	PRIJEM	VKLAD	7832	47341	\N	\N	\N
2791586	9242	1997-02-14	PRIJEM	VKLAD	7832	45032	\N	\N	\N
2791587	9242	1997-03-14	PRIJEM	VKLAD	7832	48845	\N	\N	\N
2791588	9242	1997-04-14	PRIJEM	VKLAD	7832	51512	\N	\N	\N
2791589	9242	1997-05-14	PRIJEM	VKLAD	7832	50114	\N	\N	\N
2791590	9242	1997-06-14	PRIJEM	VKLAD	11748	53134	\N	\N	\N
2791591	9242	1997-07-14	PRIJEM	VKLAD	7832	34424	\N	\N	\N
2791592	9242	1997-08-14	PRIJEM	VKLAD	7832	35482	\N	\N	\N
2791593	9242	1997-09-14	PRIJEM	VKLAD	7832	40181	\N	\N	\N
2791594	9242	1997-10-14	PRIJEM	VKLAD	7832	43709	\N	\N	\N
2791595	9242	1997-11-14	PRIJEM	VKLAD	7832	45263	\N	\N	\N
2791596	9242	1997-12-14	PRIJEM	VKLAD	11748	47424	\N	\N	\N
2791597	9242	1998-01-14	PRIJEM	VKLAD	7832	40927	\N	\N	\N
2791598	9242	1998-02-14	PRIJEM	VKLAD	7832	36110	\N	\N	\N
2791599	9242	1998-03-14	PRIJEM	VKLAD	7832	39537	\N	\N	\N
2791600	9242	1998-04-14	PRIJEM	VKLAD	7832	42429	\N	\N	\N
2791601	9242	1998-05-14	PRIJEM	VKLAD	7832	41548	\N	\N	\N
2791602	9242	1998-06-14	PRIJEM	VKLAD	11748	24314	\N	\N	\N
2791603	9242	1998-07-14	PRIJEM	VKLAD	7832	30188	\N	\N	\N
2791604	9242	1998-08-14	PRIJEM	VKLAD	7832	32831	\N	\N	\N
2791605	9242	1998-09-14	PRIJEM	VKLAD	7832	33347	\N	\N	\N
2791606	9242	1998-10-14	PRIJEM	VKLAD	7832	36081	\N	\N	\N
2791607	9242	1998-11-14	PRIJEM	VKLAD	7832	35852	\N	\N	\N
2791608	9242	1998-12-14	PRIJEM	VKLAD	11748	47030	\N	\N	\N
2791617	9242	1996-09-12	VYDAJ	VYBER	1900	30428	\N	\N	0
2791618	9242	1996-10-07	VYDAJ	VYBER	2100	36466	\N	\N	0
2791619	9242	1996-11-11	VYDAJ	VYBER	1600	35829	\N	\N	0
2791620	9242	1996-12-11	VYDAJ	VYBER	1700	36277	\N	\N	0
2791621	9242	1997-01-20	VYDAJ	VYBER	1600	42501	\N	\N	0
2791622	9242	1997-02-12	VYDAJ	PREVOD NA UCET	1932	37200	UVER	IJ	54940307
2791623	9242	1997-03-12	VYDAJ	PREVOD NA UCET	1932	41013	UVER	IJ	54940307
2791624	9242	1997-04-12	VYDAJ	PREVOD NA UCET	1932	43680	UVER	IJ	54940307
2791625	9242	1997-05-12	VYDAJ	PREVOD NA UCET	1932	42282	UVER	IJ	54940307
2791626	9242	1997-06-12	VYDAJ	PREVOD NA UCET	1932	41386	UVER	IJ	54940307
2791627	9242	1997-07-12	VYDAJ	PREVOD NA UCET	1932	26592	UVER	IJ	54940307
2791628	9242	1997-08-12	VYDAJ	PREVOD NA UCET	1932	27650	UVER	IJ	54940307
2791629	9242	1997-09-12	VYDAJ	PREVOD NA UCET	1932	32349	UVER	IJ	54940307
2791630	9242	1997-10-12	VYDAJ	PREVOD NA UCET	1932	35877	UVER	IJ	54940307
2791631	9242	1997-11-12	VYDAJ	PREVOD NA UCET	1932	37431	UVER	IJ	54940307
2791632	9242	1997-12-12	VYDAJ	PREVOD NA UCET	1932	35676	UVER	IJ	54940307
2791633	9242	1998-01-12	VYDAJ	PREVOD NA UCET	1932	33095	UVER	IJ	54940307
2791634	9242	1998-02-16	VYDAJ	VYBER	2300	33810	\N	\N	0
2791635	9242	1998-03-14	VYDAJ	VYBER	2300	37237	\N	\N	0
2791636	9242	1998-04-15	VYDAJ	VYBER	1900	40529	\N	\N	0
2791637	9242	1998-05-12	VYDAJ	VYBER	1700	33716	\N	\N	0
2791638	9242	1998-06-13	VYDAJ	VYBER	2300	12566	\N	\N	0
2791639	9242	1998-07-09	VYDAJ	VYBER	2300	22356	\N	\N	0
2791640	9242	1998-08-11	VYDAJ	VYBER	1600	24999	\N	\N	0
2791641	9242	1998-09-19	VYDAJ	VYBER	1800	31547	\N	\N	0
2791642	9242	1998-10-21	VYDAJ	VYBER	2100	29901	\N	\N	0
2791643	9242	1998-11-04	VYDAJ	VYBER	2000	28020	\N	\N	0
2791644	9242	1998-12-09	VYDAJ	VYBER	1700	35282	\N	\N	0
2791646	9242	1997-06-28	VYDAJ	VYBER	26080	25734	\N	\N	\N
2791647	9242	1998-06-01	VYDAJ	VYBER	28480	13366	\N	\N	\N
2791649	9242	1997-01-25	VYDAJ	VYBER	8000	34501	\N	\N	\N
2791650	9242	1998-01-21	VYDAJ	VYBER	8960	26927	\N	\N	\N
2791651	9242	1996-12-03	VYDAJ	VYBER	2400	41577	\N	\N	\N
2791652	9242	1997-12-01	VYDAJ	VYBER	1120	44408	\N	\N	\N
2791653	9242	1998-12-17	VYDAJ	VYBER	2880	44150	\N	\N	\N
2791660	9242	1997-01-20	VYDAJ	VYBER	1680	44101	\N	\N	\N
2791661	9242	1997-01-04	VYDAJ	VYBER	2520	44249	\N	\N	\N
2791662	9242	1997-01-04	VYDAJ	VYBER	840	46769	\N	\N	\N
2791663	9242	1997-01-12	VYDAJ	VYBER	2280	39509	\N	\N	\N
2791664	9242	1997-01-17	VYDAJ	VYBER	1560	45781	\N	\N	\N
2791665	9242	1997-01-02	VYDAJ	VYBER	720	47609	\N	\N	\N
2791666	9242	1998-01-27	VYDAJ	VYBER	2040	24887	\N	\N	\N
2791667	9242	1998-01-28	VYDAJ	VYBER	3360	20567	\N	\N	\N
2791668	9242	1998-01-14	VYDAJ	VYBER	1920	35887	\N	\N	\N
2791669	9242	1998-01-28	VYDAJ	VYBER	960	23927	\N	\N	\N
2791670	9242	1998-01-14	VYDAJ	VYBER	3120	37807	\N	\N	\N
2791671	9242	1998-01-07	VYDAJ	VYBER	3000	35027	\N	\N	\N
2791672	9242	1996-10-11	VYDAJ	VYBER	5160	29906	\N	\N	\N
2791678	9242	1997-05-14	VYDAJ	VYBER	2400	47714	\N	\N	\N
2791679	9242	1997-06-17	VYDAJ	VYBER	1320	51814	\N	\N	\N
2791680	9242	1997-01-07	VYDAJ	VYBER	2760	41489	\N	\N	\N
2791681	9242	1997-07-21	VYDAJ	VYBER	3120	31304	\N	\N	\N
2791682	9242	1997-04-29	VYDAJ	VYBER	2880	48632	\N	\N	\N
2791683	9242	1998-06-07	VYDAJ	VYBER	4800	14866	\N	\N	\N
2791684	9242	1998-09-03	VYDAJ	VYBER	2520	25515	\N	\N	\N
2791685	9242	1998-10-20	VYDAJ	VYBER	4080	32001	\N	\N	\N
2791686	9242	1998-07-22	VYDAJ	VYBER	4440	25748	\N	\N	\N
2791695	9242	1996-08-31	VYDAJ	VYBER	15	41128	SLUZBY	\N	\N
2791696	9242	1996-09-30	VYDAJ	VYBER	15	38566	SLUZBY	\N	\N
2791697	9242	1996-10-31	VYDAJ	VYBER	15	38029	SLUZBY	\N	\N
2791698	9242	1996-11-30	VYDAJ	VYBER	15	43977	SLUZBY	\N	\N
2791699	9242	1996-12-31	VYDAJ	VYBER	15	48329	SLUZBY	\N	\N
2791700	9242	1997-01-31	VYDAJ	VYBER	15	34832	SLUZBY	\N	\N
2791701	9242	1997-02-28	VYDAJ	VYBER	15	45345	SLUZBY	\N	\N
2791702	9242	1997-03-31	VYDAJ	VYBER	15	49212	SLUZBY	\N	\N
2791703	9242	1997-04-30	VYDAJ	VYBER	15	49014	SLUZBY	\N	\N
2791704	9242	1997-05-31	VYDAJ	VYBER	15	48018	SLUZBY	\N	\N
2791705	9242	1997-06-30	VYDAJ	VYBER	15	26024	SLUZBY	\N	\N
2791706	9242	1997-07-31	VYDAJ	VYBER	15	31482	SLUZBY	\N	\N
2791707	9242	1997-08-31	VYDAJ	VYBER	15	35681	SLUZBY	\N	\N
2791708	9242	1997-09-30	VYDAJ	VYBER	15	40409	SLUZBY	\N	\N
2791709	9242	1997-10-31	VYDAJ	VYBER	15	43963	SLUZBY	\N	\N
2791710	9242	1997-11-30	VYDAJ	VYBER	15	45528	SLUZBY	\N	\N
2791711	9242	1997-12-31	VYDAJ	VYBER	15	47727	SLUZBY	\N	\N
2791712	9242	1998-01-31	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
2791713	9242	1998-02-28	VYDAJ	VYBER	15	34005	SLUZBY	\N	\N
2791714	9242	1998-03-31	VYDAJ	VYBER	15	37497	SLUZBY	\N	\N
2791715	9242	1998-04-30	VYDAJ	VYBER	15	40816	SLUZBY	\N	\N
2791716	9242	1998-05-31	VYDAJ	VYBER	15	41846	SLUZBY	\N	\N
2791717	9242	1998-06-30	VYDAJ	VYBER	15	24456	SLUZBY	\N	\N
2791718	9242	1998-07-31	VYDAJ	VYBER	15	25899	SLUZBY	\N	\N
2791719	9242	1998-08-31	VYDAJ	VYBER	15	33035	SLUZBY	\N	\N
2791720	9242	1998-09-30	VYDAJ	VYBER	15	31749	SLUZBY	\N	\N
2791721	9242	1998-10-31	VYDAJ	VYBER	15	30020	SLUZBY	\N	\N
2791722	9242	1998-11-30	VYDAJ	VYBER	15	36982	SLUZBY	\N	\N
2791723	9242	1996-04-14	PRIJEM	VKLAD	8700	16732	\N	\N	\N
2791724	9242	1996-05-14	PRIJEM	VKLAD	1100	25741	\N	\N	\N
2791725	9242	1996-06-13	PRIJEM	VKLAD	900	26773	\N	\N	\N
2791726	9242	1996-07-13	VYDAJ	VYBER	4300	34444	\N	\N	\N
2791727	9242	1996-08-12	VYDAJ	VYBER	9500	33041	\N	\N	\N
2791728	9242	1996-09-11	VYDAJ	VYBER	8800	32328	\N	\N	\N
2791729	9242	1996-10-11	VYDAJ	VYBER	1400	35066	\N	\N	\N
2791730	9242	1996-11-10	VYDAJ	VYBER	600	37429	\N	\N	\N
2791731	9242	1996-12-10	VYDAJ	VYBER	3600	37977	\N	\N	\N
2791732	9242	1997-01-09	PRIJEM	VKLAD	300	41789	\N	\N	\N
2791733	9242	1997-02-08	PRIJEM	VKLAD	4300	39132	\N	\N	\N
2791734	9242	1997-03-10	VYDAJ	VYBER	2400	42945	\N	\N	\N
2791735	9242	1997-04-09	VYDAJ	VYBER	3600	45612	\N	\N	\N
2791736	9242	1997-05-09	VYDAJ	VYBER	4800	44214	\N	\N	\N
2791737	9242	1997-06-08	VYDAJ	VYBER	4700	43318	\N	\N	\N
2791738	9242	1997-07-08	PRIJEM	VKLAD	2500	28524	\N	\N	\N
2791739	9242	1997-08-07	VYDAJ	VYBER	1900	29582	\N	\N	\N
2791740	9242	1997-09-06	VYDAJ	VYBER	1400	34281	\N	\N	\N
2791741	9242	1997-10-06	VYDAJ	VYBER	2600	37809	\N	\N	\N
2791742	9242	1997-11-05	VYDAJ	VYBER	4600	39363	\N	\N	\N
2791743	9242	1997-12-05	VYDAJ	VYBER	6800	37608	\N	\N	\N
2791744	9242	1998-01-04	VYDAJ	VYBER	9700	38027	\N	\N	\N
2791745	9242	1998-02-03	PRIJEM	VKLAD	7500	28278	\N	\N	\N
2791746	9242	1998-03-05	VYDAJ	VYBER	2300	31705	\N	\N	\N
2791747	9242	1998-04-04	VYDAJ	VYBER	2900	34597	\N	\N	\N
2791748	9242	1998-05-04	VYDAJ	VYBER	5400	35416	\N	\N	\N
2791749	9242	1998-06-03	PRIJEM	VKLAD	6300	19666	\N	\N	\N
2791750	9242	1998-07-03	PRIJEM	VKLAD	200	24656	\N	\N	\N
2791751	9242	1998-08-02	PRIJEM	VKLAD	700	26599	\N	\N	\N
2791752	9242	1998-09-01	VYDAJ	VYBER	5000	28035	\N	\N	\N
2791753	9242	1998-10-01	VYDAJ	VYBER	3500	28249	\N	\N	\N
2791754	9242	1998-10-31	VYDAJ	VYBER	100	30035	\N	\N	\N
2791755	9242	1998-11-30	PRIJEM	VKLAD	900	36752	\N	\N	\N
2796962	9263	1996-06-04	PRIJEM	VKLAD	700	700	\N	\N	\N
2796968	9263	1996-06-14	PRIJEM	PREVOD Z UCTU	29685	30385	\N	EF	17869007
2796969	9263	1996-07-14	PRIJEM	PREVOD Z UCTU	19790	51314	\N	EF	17869007
2796970	9263	1996-08-14	PRIJEM	PREVOD Z UCTU	19790	61398	\N	EF	17869007
2796971	9263	1996-09-14	PRIJEM	PREVOD Z UCTU	19790	64466	\N	EF	17869007
2796972	9263	1996-10-14	PRIJEM	PREVOD Z UCTU	19790	63560	\N	EF	17869007
2796973	9263	1996-11-14	PRIJEM	PREVOD Z UCTU	19790	30776	\N	EF	17869007
2796974	9263	1996-12-14	PRIJEM	PREVOD Z UCTU	29685	46922	\N	EF	17869007
2796975	9263	1997-01-14	PRIJEM	PREVOD Z UCTU	19790	35301	\N	EF	17869007
2796976	9263	1997-02-14	PRIJEM	PREVOD Z UCTU	19790	24309	\N	EF	17869007
2796977	9263	1997-03-14	PRIJEM	PREVOD Z UCTU	19790	29579	\N	EF	17869007
2796978	9263	1997-04-14	PRIJEM	PREVOD Z UCTU	19790	29584	\N	EF	17869007
2796979	9263	1997-05-14	PRIJEM	PREVOD Z UCTU	19790	29194	\N	EF	17869007
2796980	9263	1997-06-14	PRIJEM	PREVOD Z UCTU	29685	39308	\N	EF	17869007
2796981	9263	1997-07-14	PRIJEM	PREVOD Z UCTU	19790	35261	\N	EF	17869007
2796982	9263	1997-08-14	PRIJEM	PREVOD Z UCTU	19790	28688	\N	EF	17869007
2796983	9263	1997-09-14	PRIJEM	PREVOD Z UCTU	19790	30087	\N	EF	17869007
2796984	9263	1997-10-14	PRIJEM	PREVOD Z UCTU	19790	29591	\N	EF	17869007
2796985	9263	1997-11-14	PRIJEM	PREVOD Z UCTU	19790	32496	\N	EF	17869007
2796986	9263	1997-12-14	PRIJEM	PREVOD Z UCTU	29685	40812	\N	EF	17869007
2796987	9263	1998-01-14	PRIJEM	PREVOD Z UCTU	19790	32188	\N	EF	17869007
2796988	9263	1998-02-14	PRIJEM	PREVOD Z UCTU	19790	29430	\N	EF	17869007
2796989	9263	1998-03-14	PRIJEM	PREVOD Z UCTU	19790	28640	\N	EF	17869007
2796990	9263	1998-04-14	PRIJEM	PREVOD Z UCTU	19790	31939	\N	EF	17869007
2796991	9263	1998-05-14	PRIJEM	PREVOD Z UCTU	19790	35047	\N	EF	17869007
2796992	9263	1998-06-14	PRIJEM	PREVOD Z UCTU	29685	48065	\N	EF	17869007
2796993	9263	1998-07-14	PRIJEM	PREVOD Z UCTU	19790	42869	\N	EF	17869007
2796994	9263	1998-08-14	PRIJEM	PREVOD Z UCTU	19790	40067	\N	EF	17869007
2796995	9263	1998-09-14	PRIJEM	PREVOD Z UCTU	19790	34214	\N	EF	17869007
2796996	9263	1998-10-14	PRIJEM	PREVOD Z UCTU	19790	30515	\N	EF	17869007
2796997	9263	1998-11-14	PRIJEM	PREVOD Z UCTU	19790	32140	\N	EF	17869007
2796998	9263	1998-12-14	PRIJEM	PREVOD Z UCTU	29685	43250	\N	EF	17869007
2797009	9263	1996-11-08	VYDAJ	VYBER	3100	10986	\N	\N	0
2797010	9263	1996-12-15	VYDAJ	VYBER	3800	43122	\N	\N	0
2797011	9263	1997-01-20	VYDAJ	VYBER	2500	24101	\N	\N	0
2797012	9263	1997-02-13	VYDAJ	VYBER	3400	4519	\N	\N	0
2797013	9263	1997-03-15	VYDAJ	VYBER	2700	26879	\N	\N	0
2797014	9263	1997-04-10	VYDAJ	VYBER	2400	9794	\N	\N	0
2797015	9263	1997-05-12	VYDAJ	PREVOD NA UCET	3298	9404	UVER	YZ	8448315
2797016	9263	1997-06-12	VYDAJ	PREVOD NA UCET	3298	9623	UVER	YZ	8448315
2797017	9263	1997-07-12	VYDAJ	PREVOD NA UCET	3298	15471	UVER	YZ	8448315
2797018	9263	1997-08-12	VYDAJ	PREVOD NA UCET	3298	8898	UVER	YZ	8448315
2797019	9263	1997-09-12	VYDAJ	PREVOD NA UCET	3298	10297	UVER	YZ	8448315
2797020	9263	1997-10-12	VYDAJ	PREVOD NA UCET	3298	9801	UVER	YZ	8448315
2797021	9263	1997-11-12	VYDAJ	PREVOD NA UCET	3298	12706	UVER	YZ	8448315
2797022	9263	1997-12-12	VYDAJ	PREVOD NA UCET	3298	11127	UVER	YZ	8448315
2797023	9263	1998-01-12	VYDAJ	PREVOD NA UCET	3298	12398	UVER	YZ	8448315
2797024	9263	1998-02-12	VYDAJ	PREVOD NA UCET	3298	9640	UVER	YZ	8448315
2797025	9263	1998-03-12	VYDAJ	PREVOD NA UCET	3298	8850	UVER	YZ	8448315
2797026	9263	1998-04-12	VYDAJ	PREVOD NA UCET	3298	12149	UVER	YZ	8448315
2797027	9263	1998-05-20	VYDAJ	VYBER	2700	32347	\N	\N	0
2797028	9263	1998-06-18	VYDAJ	VYBER	4000	44065	\N	\N	0
2797029	9263	1998-07-17	VYDAJ	VYBER	3500	39369	\N	\N	0
2797030	9263	1998-08-20	VYDAJ	VYBER	2500	28867	\N	\N	0
2797031	9263	1998-09-21	VYDAJ	VYBER	2900	31314	\N	\N	0
2797032	9263	1998-10-04	VYDAJ	VYBER	3300	20661	\N	\N	0
2797033	9263	1998-11-03	VYDAJ	VYBER	2700	22286	\N	\N	0
2797034	9263	1998-12-18	VYDAJ	VYBER	3100	32050	\N	\N	0
2797045	9263	1996-11-08	VYDAJ	PREVOD NA UCET	9874	14148	SIPO	IJ	66611260
2797046	9263	1996-12-08	VYDAJ	PREVOD NA UCET	9874	17299	SIPO	IJ	66611260
2797047	9263	1997-01-08	VYDAJ	PREVOD NA UCET	9874	15511	SIPO	IJ	66611260
2797048	9263	1997-02-08	VYDAJ	PREVOD NA UCET	9874	7981	SIPO	IJ	66611260
2797049	9263	1997-03-08	VYDAJ	PREVOD NA UCET	9874	9851	SIPO	IJ	66611260
2797050	9263	1997-04-08	VYDAJ	PREVOD NA UCET	9874	12194	SIPO	IJ	66611260
2797051	9263	1997-05-08	VYDAJ	PREVOD NA UCET	9874	12765	SIPO	IJ	66611260
2797052	9263	1997-06-08	VYDAJ	PREVOD NA UCET	9874	12983	SIPO	IJ	66611260
2797053	9263	1997-07-08	VYDAJ	PREVOD NA UCET	9874	18832	SIPO	IJ	66611260
2797054	9263	1997-08-08	VYDAJ	PREVOD NA UCET	9874	12196	SIPO	IJ	66611260
2797055	9263	1997-09-08	VYDAJ	PREVOD NA UCET	9874	13657	SIPO	IJ	66611260
2797056	9263	1997-10-08	VYDAJ	PREVOD NA UCET	9874	13162	SIPO	IJ	66611260
2797057	9263	1997-11-08	VYDAJ	PREVOD NA UCET	9874	16005	SIPO	IJ	66611260
2797058	9263	1997-12-08	VYDAJ	PREVOD NA UCET	9874	14487	SIPO	IJ	66611260
2797059	9263	1998-01-08	VYDAJ	PREVOD NA UCET	9874	15758	SIPO	IJ	66611260
2797060	9263	1998-02-08	VYDAJ	PREVOD NA UCET	9874	12938	SIPO	IJ	66611260
2797061	9263	1998-03-08	VYDAJ	PREVOD NA UCET	9874	12210	SIPO	IJ	66611260
2797062	9263	1998-04-08	VYDAJ	PREVOD NA UCET	9874	15447	SIPO	IJ	66611260
2797063	9263	1998-05-08	VYDAJ	PREVOD NA UCET	9874	15319	SIPO	IJ	66611260
2797064	9263	1998-06-08	VYDAJ	PREVOD NA UCET	9874	18442	SIPO	IJ	66611260
2797065	9263	1998-07-08	VYDAJ	PREVOD NA UCET	9874	23141	SIPO	IJ	66611260
2797066	9263	1998-08-08	VYDAJ	PREVOD NA UCET	9874	20277	SIPO	IJ	66611260
2797067	9263	1998-09-08	VYDAJ	PREVOD NA UCET	9874	14486	SIPO	IJ	66611260
2797068	9263	1998-10-08	VYDAJ	PREVOD NA UCET	9874	10725	SIPO	IJ	66611260
2797069	9263	1998-11-08	VYDAJ	PREVOD NA UCET	9874	12350	SIPO	IJ	66611260
2797070	9263	1998-12-08	VYDAJ	PREVOD NA UCET	9874	13627	SIPO	IJ	66611260
2797081	9263	1996-11-08	VYDAJ	PREVOD NA UCET	62	14086	 	ST	63701718
2797082	9263	1996-12-08	VYDAJ	PREVOD NA UCET	62	17237	 	ST	63701718
2797083	9263	1997-01-08	VYDAJ	PREVOD NA UCET	62	25385	 	ST	63701718
2797084	9263	1997-02-08	VYDAJ	PREVOD NA UCET	62	7919	 	ST	63701718
2797085	9263	1997-03-08	VYDAJ	PREVOD NA UCET	62	9789	 	ST	63701718
2797086	9263	1997-04-08	VYDAJ	PREVOD NA UCET	62	22068	 	ST	63701718
2797087	9263	1997-05-08	VYDAJ	PREVOD NA UCET	62	12703	 	ST	63701718
2797088	9263	1997-06-08	VYDAJ	PREVOD NA UCET	62	12921	 	ST	63701718
2797089	9263	1997-07-08	VYDAJ	PREVOD NA UCET	62	18770	 	ST	63701718
2797090	9263	1997-08-08	VYDAJ	PREVOD NA UCET	62	22070	 	ST	63701718
2797091	9263	1997-09-08	VYDAJ	PREVOD NA UCET	62	13595	 	ST	63701718
2797092	9263	1997-10-08	VYDAJ	PREVOD NA UCET	62	13100	 	ST	63701718
2797093	9263	1997-11-08	VYDAJ	PREVOD NA UCET	62	25879	 	ST	63701718
2797094	9263	1997-12-08	VYDAJ	PREVOD NA UCET	62	14425	 	ST	63701718
2797095	9263	1998-01-08	VYDAJ	PREVOD NA UCET	62	15696	 	ST	63701718
2797096	9263	1998-02-08	VYDAJ	PREVOD NA UCET	62	22812	 	ST	63701718
2797097	9263	1998-03-08	VYDAJ	PREVOD NA UCET	62	12148	 	ST	63701718
2797098	9263	1998-04-08	VYDAJ	PREVOD NA UCET	62	25321	 	ST	63701718
2797099	9263	1998-05-08	VYDAJ	PREVOD NA UCET	62	15257	 	ST	63701718
2797100	9263	1998-06-08	VYDAJ	PREVOD NA UCET	62	18380	 	ST	63701718
2797101	9263	1998-07-08	VYDAJ	PREVOD NA UCET	62	23079	 	ST	63701718
2797102	9263	1998-08-08	VYDAJ	PREVOD NA UCET	62	30151	 	ST	63701718
2797103	9263	1998-09-08	VYDAJ	PREVOD NA UCET	62	14424	 	ST	63701718
2797104	9263	1998-10-08	VYDAJ	PREVOD NA UCET	62	20599	 	ST	63701718
2797105	9263	1998-11-08	VYDAJ	PREVOD NA UCET	62	22224	 	ST	63701718
2797106	9263	1998-12-08	VYDAJ	PREVOD NA UCET	62	13565	 	ST	63701718
2797107	9263	1996-10-29	VYBER	VYBER	13398	50162	\N	\N	\N
2797112	9263	1996-11-08	VYBER	VYBER	12726	24022	\N	\N	\N
2797121	9263	1997-07-21	VYBER	VYBER	6230	29031	\N	\N	\N
2797130	9263	1996-12-20	VYDAJ	VYBER	7500	35622	\N	\N	\N
2797132	9263	1998-12-14	VYDAJ	VYBER	8100	35150	\N	\N	\N
2797143	9263	1997-01-30	VYDAJ	VYBER	2100	17701	\N	\N	\N
2797144	9263	1997-01-15	VYDAJ	VYBER	8700	26601	\N	\N	\N
2797146	9263	1998-01-18	VYDAJ	VYBER	2400	29788	\N	\N	\N
2797147	9263	1998-01-01	VYDAJ	VYBER	6300	25632	\N	\N	\N
2797162	9263	1998-08-19	VYDAJ	VYBER	8700	31367	\N	\N	\N
2797176	9263	1996-10-31	VYDAJ	VYBER	15	50548	SLUZBY	\N	\N
2797177	9263	1996-11-30	VYDAJ	VYBER	15	30973	SLUZBY	\N	\N
2797178	9263	1996-12-31	VYDAJ	VYBER	15	35847	SLUZBY	\N	\N
2797179	9263	1997-01-31	VYDAJ	VYBER	15	17855	SLUZBY	\N	\N
2797180	9263	1997-02-28	VYDAJ	VYBER	15	24425	SLUZBY	\N	\N
2797181	9263	1997-03-31	VYDAJ	VYBER	15	22130	SLUZBY	\N	\N
2797182	9263	1997-04-30	VYDAJ	VYBER	15	22639	SLUZBY	\N	\N
2797183	9263	1997-05-31	VYDAJ	VYBER	15	22857	SLUZBY	\N	\N
2797184	9263	1997-06-30	VYDAJ	VYBER	15	28706	SLUZBY	\N	\N
2797185	9263	1997-07-31	VYDAJ	VYBER	15	22132	SLUZBY	\N	\N
2797186	9263	1997-08-31	VYDAJ	VYBER	15	23531	SLUZBY	\N	\N
2797187	9263	1997-09-30	VYDAJ	VYBER	15	23036	SLUZBY	\N	\N
2797188	9263	1997-10-31	VYDAJ	VYBER	15	25941	SLUZBY	\N	\N
2797189	9263	1997-11-30	VYDAJ	VYBER	15	24361	SLUZBY	\N	\N
2797190	9263	1997-12-31	VYDAJ	VYBER	15	31932	SLUZBY	\N	\N
2797191	9263	1998-01-31	VYDAJ	VYBER	15	22874	SLUZBY	\N	\N
2797192	9263	1998-02-28	VYDAJ	VYBER	15	22084	SLUZBY	\N	\N
2797193	9263	1998-03-31	VYDAJ	VYBER	15	25383	SLUZBY	\N	\N
2797194	9263	1998-04-30	VYDAJ	VYBER	15	25193	SLUZBY	\N	\N
2797195	9263	1998-05-31	VYDAJ	VYBER	15	28316	SLUZBY	\N	\N
2797196	9263	1998-06-30	VYDAJ	VYBER	15	33015	SLUZBY	\N	\N
2797197	9263	1998-07-31	VYDAJ	VYBER	15	30213	SLUZBY	\N	\N
2797198	9263	1998-08-31	VYDAJ	VYBER	15	24360	SLUZBY	\N	\N
2797199	9263	1998-09-30	VYDAJ	VYBER	15	23961	SLUZBY	\N	\N
2797200	9263	1998-10-31	VYDAJ	VYBER	15	24986	SLUZBY	\N	\N
2797201	9263	1998-11-30	VYDAJ	VYBER	15	23501	SLUZBY	\N	\N
2797202	9263	1996-07-04	PRIJEM	VKLAD	1000	31524	\N	\N	\N
2797203	9263	1996-08-03	VYDAJ	VYBER	10000	41608	\N	\N	\N
2797204	9263	1996-09-02	VYDAJ	VYBER	17100	44676	\N	\N	\N
2797205	9263	1996-10-02	VYDAJ	VYBER	21100	43770	\N	\N	\N
2797206	9263	1996-11-01	VYDAJ	VYBER	13800	36748	\N	\N	\N
2797207	9263	1996-12-01	VYDAJ	VYBER	3800	27173	\N	\N	\N
2797208	9263	1996-12-31	VYDAJ	VYBER	10400	25447	\N	\N	\N
2797209	9263	1997-01-30	VYDAJ	VYBER	4300	19801	\N	\N	\N
2797210	9263	1997-03-01	VYDAJ	VYBER	4700	19725	\N	\N	\N
2797211	9263	1997-03-31	VYDAJ	VYBER	4900	22145	\N	\N	\N
2797212	9263	1997-04-30	VYDAJ	VYBER	7100	22653	\N	\N	\N
2797213	9263	1997-05-30	VYDAJ	VYBER	6500	22694	\N	\N	\N
2797214	9263	1997-06-29	VYDAJ	VYBER	10800	28508	\N	\N	\N
2797215	9263	1997-07-29	VYDAJ	VYBER	7100	21931	\N	\N	\N
2797216	9263	1997-08-28	VYDAJ	VYBER	5300	23388	\N	\N	\N
2797217	9263	1997-09-27	VYDAJ	VYBER	7200	22887	\N	\N	\N
2797218	9263	1997-10-27	VYDAJ	VYBER	3800	25791	\N	\N	\N
2797219	9263	1997-11-26	VYDAJ	VYBER	8300	24196	\N	\N	\N
2797220	9263	1997-12-26	VYDAJ	VYBER	9100	31712	\N	\N	\N
2797221	9263	1998-01-25	VYDAJ	VYBER	7100	22688	\N	\N	\N
2797222	9263	1998-02-24	VYDAJ	VYBER	7500	21930	\N	\N	\N
2797223	9263	1998-03-26	VYDAJ	VYBER	3400	25240	\N	\N	\N
2797224	9263	1998-04-25	VYDAJ	VYBER	6900	25039	\N	\N	\N
2797225	9263	1998-05-25	VYDAJ	VYBER	4200	28147	\N	\N	\N
2797226	9263	1998-06-24	VYDAJ	VYBER	11300	32765	\N	\N	\N
2797227	9263	1998-07-24	VYDAJ	VYBER	9400	29969	\N	\N	\N
2797228	9263	1998-08-23	VYDAJ	VYBER	4700	24167	\N	\N	\N
2797229	9263	1998-09-22	VYDAJ	VYBER	7500	23814	\N	\N	\N
2797230	9263	1998-10-22	VYDAJ	VYBER	5700	24815	\N	\N	\N
2797231	9263	1998-11-21	VYDAJ	VYBER	8800	23340	\N	\N	\N
2797771	9265	1993-02-04	PRIJEM	VKLAD	300	300	\N	\N	\N
2797772	9265	1993-07-25	PRIJEM	VKLAD	28883	64604	\N	\N	\N
2797773	9265	1993-12-25	PRIJEM	VKLAD	12085	19166	\N	\N	\N
2797774	9265	1993-07-29	PRIJEM	VKLAD	32652	97256	\N	\N	\N
2797775	9265	1993-08-07	PRIJEM	VKLAD	31002	80622	\N	\N	\N
2797776	9265	1993-08-10	PRIJEM	VKLAD	22845	103467	\N	\N	\N
2797777	9265	1993-06-02	PRIJEM	VKLAD	32142	63188	\N	\N	\N
2797778	9265	1993-10-31	PRIJEM	VKLAD	27764	50924	\N	\N	\N
2797779	9265	1993-02-23	PRIJEM	VKLAD	28361	28661	\N	\N	\N
2797780	9265	1993-09-21	PRIJEM	VKLAD	11245	54290	\N	\N	\N
2797781	9265	1993-03-04	PRIJEM	VKLAD	37305	66013	\N	\N	\N
2797782	9265	1994-03-19	PRIJEM	VKLAD	44799	95111	\N	\N	\N
2797783	9265	1994-03-11	PRIJEM	VKLAD	5582	57629	\N	\N	\N
2797784	9265	1994-05-29	PRIJEM	VKLAD	10139	76128	\N	\N	\N
2797785	9265	1994-08-09	PRIJEM	VKLAD	6201	34280	\N	\N	\N
2797786	9265	1994-02-09	PRIJEM	VKLAD	38756	96343	\N	\N	\N
2797787	9265	1994-07-26	PRIJEM	VKLAD	21198	37784	\N	\N	\N
2797788	9265	1994-10-13	PRIJEM	VKLAD	15725	26417	\N	\N	\N
2797789	9265	1994-12-18	PRIJEM	VKLAD	11872	29594	\N	\N	\N
2797790	9265	1994-02-05	PRIJEM	VKLAD	48352	69580	\N	\N	\N
2797791	9265	1994-05-10	PRIJEM	VKLAD	49603	74106	\N	\N	\N
2797792	9265	1994-08-28	PRIJEM	VKLAD	19691	46656	\N	\N	\N
2797793	9265	1994-11-03	PRIJEM	VKLAD	32495	61896	\N	\N	\N
2797794	9265	1994-01-15	PRIJEM	VKLAD	8308	13744	\N	\N	\N
2797795	9265	1995-11-14	PRIJEM	VKLAD	15146	113995	\N	\N	\N
2797796	9265	1995-11-07	PRIJEM	VKLAD	7193	102866	\N	\N	\N
2797797	9265	1995-02-22	PRIJEM	VKLAD	22287	82075	\N	\N	\N
2797798	9265	1995-07-10	PRIJEM	VKLAD	15678	85369	\N	\N	\N
2797799	9265	1995-02-20	PRIJEM	VKLAD	46559	59788	\N	\N	\N
2797800	9265	1995-03-22	PRIJEM	VKLAD	35247	82689	\N	\N	\N
2797801	9265	1995-04-05	PRIJEM	VKLAD	7807	64849	\N	\N	\N
2797802	9265	1995-09-24	PRIJEM	VKLAD	47642	104230	\N	\N	\N
2797803	9265	1995-08-25	PRIJEM	VKLAD	39847	84465	\N	\N	\N
2797804	9265	1995-06-13	PRIJEM	VKLAD	25336	116161	\N	\N	\N
2797805	9265	1995-01-05	PRIJEM	VKLAD	13044	44943	\N	\N	\N
2797806	9265	1995-11-04	PRIJEM	VKLAD	44728	108566	\N	\N	\N
2797807	9265	1995-09-11	PRIJEM	VKLAD	13138	72605	\N	\N	\N
2797808	9265	1995-02-28	PRIJEM	VKLAD	5606	64265	\N	\N	\N
2797809	9265	1995-01-06	PRIJEM	VKLAD	21323	56773	\N	\N	\N
2797810	9265	1995-05-14	PRIJEM	VKLAD	36841	67290	\N	\N	\N
2797811	9265	1995-11-01	PRIJEM	VKLAD	10575	63838	\N	\N	\N
2797812	9265	1995-05-14	PRIJEM	VKLAD	13346	30449	\N	\N	\N
2797813	9265	1995-05-25	PRIJEM	VKLAD	8232	117358	\N	\N	\N
2797814	9265	1995-06-12	PRIJEM	VKLAD	29276	98140	\N	\N	\N
2797815	9265	1995-05-23	PRIJEM	VKLAD	34817	127326	\N	\N	\N
2797816	9265	1995-12-22	PRIJEM	VKLAD	27483	89945	\N	\N	\N
2797817	9265	1995-04-19	PRIJEM	VKLAD	9124	57164	\N	\N	\N
2797818	9265	1995-05-15	PRIJEM	VKLAD	25219	92509	\N	\N	\N
2797819	9265	1995-12-13	PRIJEM	VKLAD	24538	80562	\N	\N	\N
2797820	9265	1996-01-14	PRIJEM	VKLAD	17668	96948	\N	\N	\N
2797821	9265	1996-12-16	PRIJEM	VKLAD	22119	67023	\N	\N	\N
2797822	9265	1996-02-26	PRIJEM	VKLAD	7919	82850	\N	\N	\N
2797823	9265	1996-03-12	PRIJEM	VKLAD	44261	114095	\N	\N	\N
2797824	9265	1996-11-05	PRIJEM	VKLAD	26168	82745	\N	\N	\N
2797825	9265	1996-07-20	PRIJEM	VKLAD	19214	75465	\N	\N	\N
2797826	9265	1996-02-12	PRIJEM	VKLAD	32089	78667	\N	\N	\N
2797827	9265	1996-08-28	PRIJEM	VKLAD	39648	140986	\N	\N	\N
2797828	9265	1996-04-17	PRIJEM	VKLAD	10357	46321	\N	\N	\N
2797829	9265	1996-02-25	PRIJEM	VKLAD	18281	74931	\N	\N	\N
2797830	9265	1996-09-08	PRIJEM	VKLAD	36044	99953	\N	\N	\N
2797831	9265	1996-06-03	PRIJEM	VKLAD	6389	55774	\N	\N	\N
2797832	9265	1996-06-22	PRIJEM	VKLAD	36261	79225	\N	\N	\N
2797833	9265	1996-08-22	PRIJEM	VKLAD	28572	101338	\N	\N	\N
2797834	9265	1996-10-29	PRIJEM	VKLAD	13041	56138	\N	\N	\N
2797835	9265	1996-01-12	PRIJEM	VKLAD	18773	83297	\N	\N	\N
2797836	9265	1996-04-26	PRIJEM	VKLAD	7487	51208	\N	\N	\N
2797837	9265	1996-05-13	PRIJEM	VKLAD	37539	61407	\N	\N	\N
2797838	9265	1996-07-21	PRIJEM	VKLAD	30159	105624	\N	\N	\N
2797839	9265	1996-09-27	PRIJEM	VKLAD	5543	77681	\N	\N	\N
2797840	9265	1997-08-18	PRIJEM	VKLAD	8423	81085	\N	\N	\N
2797841	9265	1997-06-18	PRIJEM	VKLAD	32182	72082	\N	\N	\N
2797842	9265	1997-10-30	PRIJEM	VKLAD	26649	150310	\N	\N	\N
2797843	9265	1997-07-07	PRIJEM	VKLAD	5075	107173	\N	\N	\N
2797844	9265	1997-06-30	PRIJEM	VKLAD	42424	114506	\N	\N	\N
2797845	9265	1997-02-28	PRIJEM	VKLAD	9702	101738	\N	\N	\N
2797846	9265	1997-03-18	PRIJEM	VKLAD	17915	75327	\N	\N	\N
2797847	9265	1997-10-13	PRIJEM	VKLAD	48683	160661	\N	\N	\N
2797848	9265	1997-08-04	PRIJEM	VKLAD	49803	123831	\N	\N	\N
2797849	9265	1997-01-25	PRIJEM	VKLAD	30282	73239	\N	\N	\N
2797850	9265	1997-11-11	PRIJEM	VKLAD	15617	94553	\N	\N	\N
2797851	9265	1997-03-06	PRIJEM	VKLAD	5370	67229	\N	\N	\N
2797852	9265	1997-09-11	PRIJEM	VKLAD	41306	136816	\N	\N	\N
2797853	9265	1997-03-26	PRIJEM	VKLAD	10622	73949	\N	\N	\N
2797854	9265	1997-04-09	PRIJEM	VKLAD	35070	96939	\N	\N	\N
2797855	9265	1997-01-01	PRIJEM	VKLAD	12972	67051	\N	\N	\N
2797856	9265	1997-08-12	PRIJEM	VKLAD	42441	156779	\N	\N	\N
2797857	9265	1997-11-08	PRIJEM	VKLAD	45315	127336	\N	\N	\N
2797858	9265	1997-03-05	PRIJEM	VKLAD	27604	129852	\N	\N	\N
2797859	9265	1997-12-17	PRIJEM	VKLAD	38463	95588	\N	\N	\N
2797860	9265	1997-08-28	PRIJEM	VKLAD	25984	142528	\N	\N	\N
2797861	9265	1997-10-06	PRIJEM	VKLAD	24344	81277	\N	\N	\N
2797862	9265	1997-02-01	PRIJEM	VKLAD	38067	90867	\N	\N	\N
2797863	9265	1997-08-26	PRIJEM	VKLAD	35459	116544	\N	\N	\N
2797864	9265	1997-02-26	PRIJEM	VKLAD	24479	92036	\N	\N	\N
2797865	9265	1997-12-08	PRIJEM	VKLAD	15582	75142	\N	\N	\N
2797866	9265	1997-10-13	PRIJEM	VKLAD	47318	111978	\N	\N	\N
2797867	9265	1997-01-20	PRIJEM	VKLAD	11716	50757	\N	\N	\N
2797868	9265	1998-04-10	PRIJEM	VKLAD	48111	101315	\N	\N	\N
2797869	9265	1998-10-08	PRIJEM	VKLAD	49713	95200	\N	\N	\N
2797870	9265	1998-01-14	PRIJEM	VKLAD	41253	99366	\N	\N	\N
2797871	9265	1998-11-23	PRIJEM	VKLAD	6652	58324	\N	\N	\N
2797872	9265	1998-06-16	PRIJEM	VKLAD	46598	90321	\N	\N	\N
2797873	9265	1998-06-17	PRIJEM	VKLAD	35791	115012	\N	\N	\N
2797874	9265	1998-06-01	PRIJEM	VKLAD	48184	114337	\N	\N	\N
2797875	9265	1998-12-23	PRIJEM	VKLAD	44111	85549	\N	\N	\N
2797883	9265	1993-08-19	VYDAJ	VYBER	3400	96050	\N	\N	0
2797884	9265	1993-09-13	VYDAJ	VYBER	3400	43045	\N	\N	0
2797885	9265	1993-10-08	VYDAJ	VYBER	3800	26941	\N	\N	0
2797886	9265	1993-11-07	VYDAJ	VYBER	2900	24716	\N	\N	0
2797887	9265	1993-12-03	VYDAJ	VYBER	2900	20591	\N	\N	0
2797888	9265	1994-01-02	VYDAJ	VYBER	2500	18946	\N	\N	0
2797889	9265	1994-02-05	VYDAJ	VYBER	2500	67080	\N	\N	0
2797890	9265	1994-03-11	VYDAJ	VYBER	3300	54329	\N	\N	0
2797891	9265	1994-04-04	VYDAJ	VYBER	2800	58094	\N	\N	0
2797892	9265	1994-05-13	VYDAJ	VYBER	4100	65989	\N	\N	0
2797893	9265	1994-06-18	VYDAJ	VYBER	2600	35157	\N	\N	0
2797894	9265	1994-07-12	VYDAJ	PREVOD NA UCET	3298	20603	UVER	IJ	81887966
2797895	9265	1994-08-12	VYDAJ	PREVOD NA UCET	3298	30982	UVER	IJ	81887966
2797896	9265	1994-09-12	VYDAJ	PREVOD NA UCET	3298	24462	UVER	IJ	81887966
2797897	9265	1994-10-12	VYDAJ	PREVOD NA UCET	3298	10692	UVER	IJ	81887966
2797898	9265	1994-11-12	VYDAJ	PREVOD NA UCET	3298	39674	UVER	IJ	81887966
2797899	9265	1994-12-12	VYDAJ	PREVOD NA UCET	3298	21739	UVER	IJ	81887966
2797900	9265	1995-01-12	VYDAJ	PREVOD NA UCET	3298	41475	UVER	IJ	81887966
2797901	9265	1995-02-12	VYDAJ	PREVOD NA UCET	3298	13229	UVER	IJ	81887966
2797902	9265	1995-03-12	VYDAJ	PREVOD NA UCET	3298	51459	UVER	IJ	81887966
2797903	9265	1995-04-12	VYDAJ	PREVOD NA UCET	3298	52057	UVER	IJ	81887966
2797904	9265	1995-05-12	VYDAJ	PREVOD NA UCET	3298	17103	UVER	IJ	81887966
2797905	9265	1995-06-12	VYDAJ	PREVOD NA UCET	3298	94842	UVER	IJ	81887966
2797906	9265	1995-07-12	VYDAJ	PREVOD NA UCET	3298	82071	UVER	IJ	81887966
2797907	9265	1995-08-04	VYDAJ	VYBER	3400	59028	\N	\N	0
2797908	9265	1995-09-06	VYDAJ	VYBER	2700	59467	\N	\N	0
2797909	9265	1995-10-04	VYDAJ	VYBER	3000	78930	\N	\N	0
2797910	9265	1995-11-04	VYDAJ	VYBER	3400	105166	\N	\N	0
2797911	9265	1995-12-20	VYDAJ	VYBER	4000	74462	\N	\N	0
2797912	9265	1996-01-17	VYDAJ	VYBER	3500	90748	\N	\N	0
2797913	9265	1996-02-19	VYDAJ	VYBER	2600	72050	\N	\N	0
2797914	9265	1996-03-11	VYDAJ	VYBER	4000	69834	\N	\N	0
2797915	9265	1996-04-03	VYDAJ	VYBER	2900	73834	\N	\N	0
2797916	9265	1996-05-16	VYDAJ	VYBER	2800	58607	\N	\N	0
2797917	9265	1996-06-15	VYDAJ	VYBER	2600	33064	\N	\N	0
2797918	9265	1996-07-04	VYDAJ	VYBER	4000	75561	\N	\N	0
2797919	9265	1996-08-18	VYDAJ	VYBER	3300	72766	\N	\N	0
2797920	9265	1996-09-06	VYDAJ	VYBER	3900	63909	\N	\N	0
2797921	9265	1996-10-15	VYDAJ	VYBER	2700	61997	\N	\N	0
2797922	9265	1996-11-16	VYDAJ	VYBER	2600	49635	\N	\N	0
2797923	9265	1996-12-20	VYDAJ	VYBER	3800	53800	\N	\N	0
2797924	9265	1997-01-02	VYDAJ	VYBER	3900	58651	\N	\N	0
2797925	9265	1997-02-20	VYDAJ	VYBER	2500	67557	\N	\N	0
2797926	9265	1997-03-17	VYDAJ	VYBER	3100	57412	\N	\N	0
2797927	9265	1997-04-05	VYDAJ	VYBER	3100	71362	\N	\N	0
2797928	9265	1997-05-02	VYDAJ	VYBER	2500	73758	\N	\N	0
2797929	9265	1997-06-14	VYDAJ	VYBER	3300	39900	\N	\N	0
2797930	9265	1997-07-06	VYDAJ	VYBER	3300	102098	\N	\N	0
2797931	9265	1997-08-17	VYDAJ	VYBER	3900	72662	\N	\N	0
2797932	9265	1997-09-18	VYDAJ	VYBER	2500	65999	\N	\N	0
2797933	9265	1997-10-15	VYDAJ	VYBER	2900	123661	\N	\N	0
2797934	9265	1997-11-19	VYDAJ	VYBER	3400	87136	\N	\N	0
2797935	9265	1997-12-03	VYDAJ	VYBER	4000	69053	\N	\N	0
2797936	9265	1998-01-03	VYDAJ	VYBER	3200	85423	\N	\N	0
2797937	9265	1998-02-08	VYDAJ	VYBER	4100	72259	\N	\N	0
2797938	9265	1998-03-20	VYDAJ	VYBER	3200	47992	\N	\N	0
2797939	9265	1998-04-20	VYDAJ	VYBER	3400	93898	\N	\N	0
2797940	9265	1998-05-04	VYDAJ	VYBER	3600	90808	\N	\N	0
2797941	9265	1998-06-15	VYDAJ	VYBER	2700	43723	\N	\N	0
2797942	9265	1998-07-11	VYDAJ	VYBER	3100	67495	\N	\N	0
2797943	9265	1998-08-04	VYDAJ	VYBER	3900	60031	\N	\N	0
2797944	9265	1998-09-11	VYDAJ	VYBER	3900	44806	\N	\N	0
2797945	9265	1998-10-21	VYDAJ	VYBER	3100	88083	\N	\N	0
2797946	9265	1998-11-21	VYDAJ	VYBER	3000	63072	\N	\N	0
2797947	9265	1998-12-21	VYDAJ	VYBER	2700	41438	\N	\N	0
2797955	9265	1993-08-05	VYDAJ	PREVOD NA UCET	9493	49620	SIPO	EF	98678969
2797956	9265	1993-09-05	VYDAJ	PREVOD NA UCET	9493	50462	SIPO	EF	98678969
2797957	9265	1993-10-05	VYDAJ	PREVOD NA UCET	9493	30741	SIPO	EF	98678969
2797958	9265	1993-11-05	VYDAJ	PREVOD NA UCET	9493	27616	SIPO	EF	98678969
2797959	9265	1993-12-05	VYDAJ	PREVOD NA UCET	9493	11098	SIPO	EF	98678969
2797960	9265	1994-01-05	VYDAJ	PREVOD NA UCET	9493	9453	SIPO	EF	98678969
2797961	9265	1994-02-05	VYDAJ	PREVOD NA UCET	9493	57587	SIPO	EF	98678969
2797962	9265	1994-03-05	VYDAJ	PREVOD NA UCET	9493	52047	SIPO	EF	98678969
2797963	9265	1994-04-05	VYDAJ	PREVOD NA UCET	9493	48601	SIPO	EF	98678969
2797964	9265	1994-05-05	VYDAJ	PREVOD NA UCET	9493	24503	SIPO	EF	98678969
2797965	9265	1994-06-05	VYDAJ	PREVOD NA UCET	9493	41774	SIPO	EF	98678969
2797966	9265	1994-07-05	VYDAJ	PREVOD NA UCET	9493	23901	SIPO	EF	98678969
2797967	9265	1994-08-05	VYDAJ	PREVOD NA UCET	9493	28079	SIPO	EF	98678969
2797968	9265	1994-09-05	VYDAJ	PREVOD NA UCET	9493	31777	SIPO	EF	98678969
2797969	9265	1994-10-05	VYDAJ	PREVOD NA UCET	9493	18007	SIPO	EF	98678969
2797970	9265	1994-11-05	VYDAJ	PREVOD NA UCET	9493	52403	SIPO	EF	98678969
2797971	9265	1994-12-05	VYDAJ	PREVOD NA UCET	9493	25038	SIPO	EF	98678969
2797972	9265	1995-01-05	VYDAJ	PREVOD NA UCET	9493	35450	SIPO	EF	98678969
2797973	9265	1995-02-05	VYDAJ	PREVOD NA UCET	9493	20544	SIPO	EF	98678969
2797974	9265	1995-03-05	VYDAJ	PREVOD NA UCET	9493	54757	SIPO	EF	98678969
2797975	9265	1995-04-05	VYDAJ	PREVOD NA UCET	9493	55356	SIPO	EF	98678969
2797976	9265	1995-05-05	VYDAJ	PREVOD NA UCET	9493	24418	SIPO	EF	98678969
2797977	9265	1995-06-05	VYDAJ	PREVOD NA UCET	9493	68864	SIPO	EF	98678969
2797978	9265	1995-07-05	VYDAJ	PREVOD NA UCET	9493	69691	SIPO	EF	98678969
2797979	9265	1995-08-05	VYDAJ	PREVOD NA UCET	9493	49535	SIPO	EF	98678969
2797980	9265	1995-09-05	VYDAJ	PREVOD NA UCET	9493	62167	SIPO	EF	98678969
2797981	9265	1995-10-05	VYDAJ	PREVOD NA UCET	9493	69437	SIPO	EF	98678969
2797982	9265	1995-11-05	VYDAJ	PREVOD NA UCET	9493	95673	SIPO	EF	98678969
2797983	9265	1995-12-05	VYDAJ	PREVOD NA UCET	9493	60041	SIPO	EF	98678969
2797984	9265	1996-01-05	VYDAJ	PREVOD NA UCET	9493	69624	SIPO	EF	98678969
2797985	9265	1996-02-05	VYDAJ	PREVOD NA UCET	9493	46578	SIPO	EF	98678969
2797986	9265	1996-03-05	VYDAJ	PREVOD NA UCET	9493	73834	SIPO	EF	98678969
2797987	9265	1996-04-05	VYDAJ	PREVOD NA UCET	9493	64341	SIPO	EF	98678969
2797988	9265	1996-05-05	VYDAJ	PREVOD NA UCET	9493	27885	SIPO	EF	98678969
2797989	9265	1996-06-05	VYDAJ	PREVOD NA UCET	9493	39681	SIPO	EF	98678969
2797990	9265	1996-07-05	VYDAJ	PREVOD NA UCET	9493	66068	SIPO	EF	98678969
2797991	9265	1996-08-05	VYDAJ	PREVOD NA UCET	9493	96683	SIPO	EF	98678969
2797992	9265	1996-09-05	VYDAJ	PREVOD NA UCET	9493	67809	SIPO	EF	98678969
2797993	9265	1996-10-05	VYDAJ	PREVOD NA UCET	9493	68714	SIPO	EF	98678969
2797994	9265	1996-11-05	VYDAJ	PREVOD NA UCET	9493	73252	SIPO	EF	98678969
2797995	9265	1996-12-05	VYDAJ	PREVOD NA UCET	9493	40521	SIPO	EF	98678969
2797996	9265	1997-01-05	VYDAJ	PREVOD NA UCET	9493	44658	SIPO	EF	98678969
2797997	9265	1997-02-05	VYDAJ	PREVOD NA UCET	9493	81374	SIPO	EF	98678969
2797998	9265	1997-03-05	VYDAJ	PREVOD NA UCET	9493	117059	SIPO	EF	98678969
2797999	9265	1997-04-05	VYDAJ	PREVOD NA UCET	9493	61869	SIPO	EF	98678969
2798000	9265	1997-05-05	VYDAJ	PREVOD NA UCET	9493	64265	SIPO	EF	98678969
2798001	9265	1997-06-05	VYDAJ	PREVOD NA UCET	9493	40817	SIPO	EF	98678969
2798002	9265	1997-07-05	VYDAJ	PREVOD NA UCET	9493	105398	SIPO	EF	98678969
2798003	9265	1997-08-05	VYDAJ	PREVOD NA UCET	9493	114338	SIPO	EF	98678969
2798004	9265	1997-09-05	VYDAJ	PREVOD NA UCET	9493	95510	SIPO	EF	98678969
2798005	9265	1997-10-05	VYDAJ	PREVOD NA UCET	9493	56933	SIPO	EF	98678969
2798006	9265	1997-11-05	VYDAJ	PREVOD NA UCET	9493	82021	SIPO	EF	98678969
2798007	9265	1997-12-05	VYDAJ	PREVOD NA UCET	9493	59560	SIPO	EF	98678969
2798008	9265	1998-01-05	VYDAJ	PREVOD NA UCET	9493	75930	SIPO	EF	98678969
2798009	9265	1998-02-05	VYDAJ	PREVOD NA UCET	9493	76359	SIPO	EF	98678969
2798010	9265	1998-03-05	VYDAJ	PREVOD NA UCET	9493	51209	SIPO	EF	98678969
2798011	9265	1998-04-05	VYDAJ	PREVOD NA UCET	9493	38804	SIPO	EF	98678969
2798012	9265	1998-05-05	VYDAJ	PREVOD NA UCET	9493	81315	SIPO	EF	98678969
2798013	9265	1998-06-05	VYDAJ	PREVOD NA UCET	9493	104844	SIPO	EF	98678969
2798014	9265	1998-07-05	VYDAJ	PREVOD NA UCET	9493	85195	SIPO	EF	98678969
2798015	9265	1998-08-05	VYDAJ	PREVOD NA UCET	9493	50538	SIPO	EF	98678969
2798016	9265	1998-09-05	VYDAJ	PREVOD NA UCET	9493	39306	SIPO	EF	98678969
2798017	9265	1998-10-05	VYDAJ	PREVOD NA UCET	9493	31487	SIPO	EF	98678969
2798018	9265	1998-11-05	VYDAJ	PREVOD NA UCET	9493	70089	SIPO	EF	98678969
2798019	9265	1998-12-05	VYDAJ	PREVOD NA UCET	9493	48155	SIPO	EF	98678969
2798027	9265	1993-08-12	VYDAJ	PREVOD NA UCET	4017	99450	 	EF	84062218
2798028	9265	1993-09-12	VYDAJ	PREVOD NA UCET	4017	46445	 	EF	84062218
2798029	9265	1993-10-12	VYDAJ	PREVOD NA UCET	4017	22924	 	EF	84062218
2798030	9265	1993-11-12	VYDAJ	PREVOD NA UCET	4017	20699	 	EF	84062218
2798031	9265	1993-12-12	VYDAJ	PREVOD NA UCET	4017	7081	 	EF	84062218
2798032	9265	1994-01-12	VYDAJ	PREVOD NA UCET	4017	5436	 	EF	84062218
2798033	9265	1994-02-12	VYDAJ	PREVOD NA UCET	4017	90226	 	EF	84062218
2798034	9265	1994-03-12	VYDAJ	PREVOD NA UCET	4017	50312	 	EF	84062218
2798035	9265	1994-04-12	VYDAJ	PREVOD NA UCET	4017	37984	 	EF	84062218
2798036	9265	1994-05-12	VYDAJ	PREVOD NA UCET	4017	70089	 	EF	84062218
2798037	9265	1994-06-12	VYDAJ	PREVOD NA UCET	4017	37757	 	EF	84062218
2798038	9265	1994-07-12	VYDAJ	PREVOD NA UCET	4017	16586	 	EF	84062218
2798039	9265	1994-08-12	VYDAJ	PREVOD NA UCET	4017	26965	 	EF	84062218
2798040	9265	1994-09-12	VYDAJ	PREVOD NA UCET	4017	27760	 	EF	84062218
2798041	9265	1994-10-12	VYDAJ	PREVOD NA UCET	4017	13990	 	EF	84062218
2798042	9265	1994-11-12	VYDAJ	PREVOD NA UCET	4017	35657	 	EF	84062218
2798043	9265	1994-12-12	VYDAJ	PREVOD NA UCET	4017	17722	 	EF	84062218
2798044	9265	1995-01-12	VYDAJ	PREVOD NA UCET	4017	35958	 	EF	84062218
2798045	9265	1995-02-12	VYDAJ	PREVOD NA UCET	4017	16527	 	EF	84062218
2798046	9265	1995-03-12	VYDAJ	PREVOD NA UCET	4017	47442	 	EF	84062218
2798047	9265	1995-04-12	VYDAJ	PREVOD NA UCET	4017	48040	 	EF	84062218
2798048	9265	1995-05-12	VYDAJ	PREVOD NA UCET	4017	20401	 	EF	84062218
2798049	9265	1995-06-12	VYDAJ	PREVOD NA UCET	4017	90825	 	EF	84062218
2798050	9265	1995-07-12	VYDAJ	PREVOD NA UCET	4017	78054	 	EF	84062218
2798051	9265	1995-08-12	VYDAJ	PREVOD NA UCET	4017	45518	 	EF	84062218
2798052	9265	1995-09-12	VYDAJ	PREVOD NA UCET	4017	68588	 	EF	84062218
2798053	9265	1995-10-12	VYDAJ	PREVOD NA UCET	4017	65420	 	EF	84062218
2798054	9265	1995-11-12	VYDAJ	PREVOD NA UCET	4017	98849	 	EF	84062218
2798055	9265	1995-12-12	VYDAJ	PREVOD NA UCET	4017	56024	 	EF	84062218
2798056	9265	1996-01-12	VYDAJ	PREVOD NA UCET	4017	79280	 	EF	84062218
2798057	9265	1996-02-12	VYDAJ	PREVOD NA UCET	4017	74650	 	EF	84062218
2798058	9265	1996-03-12	VYDAJ	PREVOD NA UCET	4017	110078	 	EF	84062218
2798059	9265	1996-04-12	VYDAJ	PREVOD NA UCET	4017	35964	 	EF	84062218
2798060	9265	1996-05-12	VYDAJ	PREVOD NA UCET	4017	23868	 	EF	84062218
2798061	9265	1996-06-12	VYDAJ	PREVOD NA UCET	4017	35664	 	EF	84062218
2798062	9265	1996-07-12	VYDAJ	PREVOD NA UCET	4017	62051	 	EF	84062218
2798063	9265	1996-08-12	VYDAJ	PREVOD NA UCET	4017	92666	 	EF	84062218
2798064	9265	1996-09-12	VYDAJ	PREVOD NA UCET	4017	92738	 	EF	84062218
2798065	9265	1996-10-12	VYDAJ	PREVOD NA UCET	4017	64697	 	EF	84062218
2798066	9265	1996-11-12	VYDAJ	PREVOD NA UCET	4017	60835	 	EF	84062218
2798067	9265	1996-12-12	VYDAJ	PREVOD NA UCET	4017	36504	 	EF	84062218
2798068	9265	1997-01-12	VYDAJ	PREVOD NA UCET	4017	40641	 	EF	84062218
2798069	9265	1997-02-12	VYDAJ	PREVOD NA UCET	4017	77357	 	EF	84062218
2798070	9265	1997-03-12	VYDAJ	PREVOD NA UCET	4017	63212	 	EF	84062218
2798071	9265	1997-04-12	VYDAJ	PREVOD NA UCET	4017	92922	 	EF	84062218
2798072	9265	1997-05-12	VYDAJ	PREVOD NA UCET	4017	60248	 	EF	84062218
2798073	9265	1997-06-12	VYDAJ	PREVOD NA UCET	4017	36800	 	EF	84062218
2798074	9265	1997-07-12	VYDAJ	PREVOD NA UCET	4017	97714	 	EF	84062218
2798075	9265	1997-08-12	VYDAJ	PREVOD NA UCET	4017	76562	 	EF	84062218
2798076	9265	1997-09-12	VYDAJ	PREVOD NA UCET	4017	68499	 	EF	84062218
2798077	9265	1997-10-12	VYDAJ	PREVOD NA UCET	4017	64660	 	EF	84062218
2798078	9265	1997-11-12	VYDAJ	PREVOD NA UCET	4017	90536	 	EF	84062218
2798079	9265	1997-12-12	VYDAJ	PREVOD NA UCET	4017	57125	 	EF	84062218
2798080	9265	1998-01-12	VYDAJ	PREVOD NA UCET	4017	62013	 	EF	84062218
2798081	9265	1998-02-12	VYDAJ	PREVOD NA UCET	4017	60342	 	EF	84062218
2798082	9265	1998-03-12	VYDAJ	PREVOD NA UCET	4017	51192	 	EF	84062218
2798083	9265	1998-04-12	VYDAJ	PREVOD NA UCET	4017	97298	 	EF	84062218
2798084	9265	1998-05-12	VYDAJ	PREVOD NA UCET	4017	65698	 	EF	84062218
2798085	9265	1998-06-12	VYDAJ	PREVOD NA UCET	4017	46423	 	EF	84062218
2798086	9265	1998-07-12	VYDAJ	PREVOD NA UCET	4017	63478	 	EF	84062218
2798087	9265	1998-08-12	VYDAJ	PREVOD NA UCET	4017	48521	 	EF	84062218
2798088	9265	1998-09-12	VYDAJ	PREVOD NA UCET	4017	40789	 	EF	84062218
2798089	9265	1998-10-12	VYDAJ	PREVOD NA UCET	4017	91183	 	EF	84062218
2798090	9265	1998-11-12	VYDAJ	PREVOD NA UCET	4017	66072	 	EF	84062218
2798091	9265	1998-12-12	VYDAJ	PREVOD NA UCET	4017	44138	 	EF	84062218
2798094	9265	1994-11-09	VYBER	VYBER	9431	42972	\N	\N	\N
2798098	9265	1995-04-23	VYBER	VYBER	24929	32235	\N	\N	\N
2798100	9265	1996-05-28	VYBER	VYBER	6232	49075	\N	\N	\N
2798101	9265	1996-04-06	VYBER	VYBER	24360	39981	\N	\N	\N
2798102	9265	1996-05-01	VYBER	VYBER	10343	37378	\N	\N	\N
2798103	9265	1996-09-09	VYBER	VYBER	3198	96755	\N	\N	\N
2798104	9265	1996-12-19	VYBER	VYBER	9423	57600	\N	\N	\N
2798106	9265	1996-04-29	VYBER	VYBER	3810	47398	\N	\N	\N
2798107	9265	1997-01-27	VYBER	VYBER	17456	55783	\N	\N	\N
2798108	9265	1997-07-09	VYBER	VYBER	5442	101731	\N	\N	\N
2798109	9265	1998-06-21	VYBER	VYBER	9168	105844	\N	\N	\N
2798112	9265	1998-06-09	VYBER	VYBER	23904	56140	\N	\N	\N
2798115	9265	1995-12-16	VYDAJ	VYBER	2100	78462	\N	\N	\N
2798117	9265	1997-12-09	VYDAJ	VYBER	7800	67342	\N	\N	\N
2798118	9265	1998-12-01	VYDAJ	VYBER	4800	49448	\N	\N	\N
2798131	9265	1995-01-11	VYDAJ	VYBER	4500	44773	\N	\N	\N
2798132	9265	1995-01-30	VYDAJ	VYBER	3000	29758	\N	\N	\N
2798133	9265	1995-01-21	VYDAJ	VYBER	3000	32958	\N	\N	\N
2798134	9265	1995-01-12	VYDAJ	VYBER	1500	39975	\N	\N	\N
2798135	9265	1995-01-22	VYDAJ	VYBER	1500	31458	\N	\N	\N
2798136	9265	1995-01-10	VYDAJ	VYBER	7500	49273	\N	\N	\N
2798137	9265	1996-01-26	VYDAJ	VYBER	2100	55548	\N	\N	\N
2798138	9265	1996-01-02	VYDAJ	VYBER	5400	79117	\N	\N	\N
2798139	9265	1996-01-09	VYDAJ	VYBER	5100	64524	\N	\N	\N
2798140	9265	1996-01-02	VYDAJ	VYBER	6000	84517	\N	\N	\N
2798141	9265	1996-01-14	VYDAJ	VYBER	2700	94248	\N	\N	\N
2798142	9265	1996-01-23	VYDAJ	VYBER	7500	57648	\N	\N	\N
2798143	9265	1997-01-18	VYDAJ	VYBER	5100	39041	\N	\N	\N
2798144	9265	1997-01-05	VYDAJ	VYBER	4500	54151	\N	\N	\N
2798145	9265	1997-01-22	VYDAJ	VYBER	7800	42957	\N	\N	\N
2798146	9265	1997-01-01	VYDAJ	VYBER	4500	62551	\N	\N	\N
2798148	9265	1997-01-28	VYDAJ	VYBER KARTOU	3300	52483	\N	\N	0
2798149	9265	1998-01-25	VYDAJ	VYBER	8700	90666	\N	\N	\N
2798150	9265	1998-01-28	VYDAJ	VYBER	5400	85266	\N	\N	\N
2798151	9265	1998-01-01	VYDAJ	VYBER	7500	88623	\N	\N	\N
2798152	9265	1998-01-09	VYDAJ	VYBER KARTOU	2100	66030	\N	\N	0
2798153	9265	1998-01-06	VYDAJ	VYBER KARTOU	2400	73530	\N	\N	0
2798154	9265	1998-01-13	VYDAJ	VYBER KARTOU	3900	58113	\N	\N	0
2798160	9265	1994-02-12	VYDAJ	VYBER	2100	94243	\N	\N	\N
2798161	9265	1994-04-09	VYDAJ	VYBER	6600	42001	\N	\N	\N
2798162	9265	1995-10-03	VYDAJ	VYBER	11700	81930	\N	\N	\N
2798163	9265	1995-08-27	VYDAJ	VYBER	13200	71265	\N	\N	\N
2798164	9265	1995-09-28	VYDAJ	VYBER	11100	93130	\N	\N	\N
2798165	9265	1996-06-03	VYDAJ	VYBER	6600	49174	\N	\N	\N
2798166	9265	1996-11-09	VYDAJ	VYBER	8400	64852	\N	\N	\N
2798167	9265	1996-11-15	VYDAJ	VYBER	9600	52235	\N	\N	\N
2798168	9265	1996-10-25	VYDAJ	VYBER	13200	43097	\N	\N	\N
2798169	9265	1997-03-22	VYDAJ	VYBER	12000	63327	\N	\N	\N
2798170	9265	1997-09-11	VYDAJ	VYBER KARTOU	3300	72516	\N	\N	0
2798171	9265	1997-05-14	VYDAJ	VYBER	10800	49948	\N	\N	\N
2798172	9265	1997-11-27	VYDAJ	VYBER	14700	72436	\N	\N	\N
2798173	9265	1997-03-05	VYDAJ	VYBER KARTOU	3300	126552	\N	\N	0
2798174	9265	1998-11-21	VYDAJ	VYBER	11400	51672	\N	\N	\N
2798175	9265	1998-11-28	VYDAJ	VYBER	4500	53824	\N	\N	\N
2798177	9265	1998-06-12	VYDAJ	VYBER	5700	50440	\N	\N	\N
2798178	9265	1998-06-16	VYDAJ	VYBER	11100	79221	\N	\N	\N
2798179	9265	1998-06-27	VYDAJ	VYBER	11700	94144	\N	\N	\N
2798187	9265	1993-07-31	VYDAJ	VYBER	15	97513	SLUZBY	\N	\N
2798188	9265	1993-08-31	VYDAJ	VYBER	15	96755	SLUZBY	\N	\N
2798189	9265	1993-09-30	VYDAJ	VYBER	15	54734	SLUZBY	\N	\N
2798190	9265	1993-10-31	VYDAJ	VYBER	15	50909	SLUZBY	\N	\N
2798191	9265	1993-11-30	VYDAJ	VYBER	15	20891	SLUZBY	\N	\N
2798192	9265	1993-12-31	VYDAJ	VYBER	15	21446	SLUZBY	\N	\N
2798193	9265	1994-01-31	VYDAJ	VYBER	15	21228	SLUZBY	\N	\N
2798194	9265	1994-02-28	VYDAJ	VYBER	15	90840	SLUZBY	\N	\N
2798195	9265	1994-03-31	VYDAJ	VYBER	15	95694	SLUZBY	\N	\N
2798196	9265	1994-04-30	VYDAJ	VYBER	15	38296	SLUZBY	\N	\N
2798197	9265	1994-05-31	VYDAJ	VYBER	15	51267	SLUZBY	\N	\N
2798198	9265	1994-06-30	VYDAJ	VYBER	15	33394	SLUZBY	\N	\N
2798199	9265	1994-07-31	VYDAJ	VYBER	15	37572	SLUZBY	\N	\N
2798200	9265	1994-08-31	VYDAJ	VYBER	15	41270	SLUZBY	\N	\N
2798201	9265	1994-09-30	VYDAJ	VYBER	15	27500	SLUZBY	\N	\N
2798202	9265	1994-10-31	VYDAJ	VYBER	15	29401	SLUZBY	\N	\N
2798203	9265	1994-11-30	VYDAJ	VYBER	15	34531	SLUZBY	\N	\N
2798204	9265	1994-12-31	VYDAJ	VYBER	15	31899	SLUZBY	\N	\N
2798205	9265	1995-01-31	VYDAJ	VYBER	15	30037	SLUZBY	\N	\N
2798206	9265	1995-02-28	VYDAJ	VYBER	15	64250	SLUZBY	\N	\N
2798207	9265	1995-03-31	VYDAJ	VYBER	15	57042	SLUZBY	\N	\N
2798208	9265	1995-04-30	VYDAJ	VYBER	15	33911	SLUZBY	\N	\N
2798209	9265	1995-05-31	VYDAJ	VYBER	15	78357	SLUZBY	\N	\N
2798210	9265	1995-06-30	VYDAJ	VYBER	15	79184	SLUZBY	\N	\N
2798211	9265	1995-07-31	VYDAJ	VYBER	15	62428	SLUZBY	\N	\N
2798212	9265	1995-08-31	VYDAJ	VYBER	15	71660	SLUZBY	\N	\N
2798213	9265	1995-09-30	VYDAJ	VYBER	15	93630	SLUZBY	\N	\N
2798214	9265	1995-10-31	VYDAJ	VYBER	15	53263	SLUZBY	\N	\N
2798215	9265	1995-11-30	VYDAJ	VYBER	15	69534	SLUZBY	\N	\N
2798216	9265	1995-12-31	VYDAJ	VYBER	15	90517	SLUZBY	\N	\N
2798217	9265	1996-01-31	VYDAJ	VYBER	15	56071	SLUZBY	\N	\N
2798218	9265	1996-02-29	VYDAJ	VYBER	15	83327	SLUZBY	\N	\N
2798219	9265	1996-03-31	VYDAJ	VYBER	15	76734	SLUZBY	\N	\N
2798220	9265	1996-04-30	VYDAJ	VYBER	15	47721	SLUZBY	\N	\N
2798221	9265	1996-05-31	VYDAJ	VYBER	15	49385	SLUZBY	\N	\N
2798222	9265	1996-06-30	VYDAJ	VYBER	15	79561	SLUZBY	\N	\N
2798223	9265	1996-07-31	VYDAJ	VYBER	15	106176	SLUZBY	\N	\N
2798224	9265	1996-08-31	VYDAJ	VYBER	15	77302	SLUZBY	\N	\N
2798225	9265	1996-09-30	VYDAJ	VYBER	15	78207	SLUZBY	\N	\N
2798226	9265	1996-10-31	VYDAJ	VYBER	15	56577	SLUZBY	\N	\N
2798227	9265	1996-11-30	VYDAJ	VYBER	15	50014	SLUZBY	\N	\N
2798228	9265	1996-12-31	VYDAJ	VYBER	15	54079	SLUZBY	\N	\N
2798229	9265	1997-01-31	VYDAJ	VYBER	15	52800	SLUZBY	\N	\N
2798230	9265	1997-02-28	VYDAJ	VYBER	15	102248	SLUZBY	\N	\N
2798231	9265	1997-03-31	VYDAJ	VYBER	15	74462	SLUZBY	\N	\N
2798232	9265	1997-04-30	VYDAJ	VYBER	15	76258	SLUZBY	\N	\N
2798233	9265	1997-05-31	VYDAJ	VYBER	15	50310	SLUZBY	\N	\N
2798234	9265	1997-06-30	VYDAJ	VYBER	15	114891	SLUZBY	\N	\N
2798235	9265	1997-07-31	VYDAJ	VYBER	15	74028	SLUZBY	\N	\N
2798236	9265	1997-08-31	VYDAJ	VYBER	15	105003	SLUZBY	\N	\N
2798237	9265	1997-09-30	VYDAJ	VYBER	15	66426	SLUZBY	\N	\N
2798238	9265	1997-10-31	VYDAJ	VYBER	15	91514	SLUZBY	\N	\N
2798239	9265	1997-11-30	VYDAJ	VYBER	15	73053	SLUZBY	\N	\N
2798240	9265	1997-12-31	VYDAJ	VYBER	15	96123	SLUZBY	\N	\N
2798241	9265	1998-01-31	VYDAJ	VYBER	15	85852	SLUZBY	\N	\N
2798242	9265	1998-02-28	VYDAJ	VYBER	15	60702	SLUZBY	\N	\N
2798243	9265	1998-03-31	VYDAJ	VYBER	15	48297	SLUZBY	\N	\N
2798244	9265	1998-04-30	VYDAJ	VYBER	15	94408	SLUZBY	\N	\N
2798245	9265	1998-05-31	VYDAJ	VYBER	15	66153	SLUZBY	\N	\N
2798246	9265	1998-06-30	VYDAJ	VYBER	15	94688	SLUZBY	\N	\N
2798247	9265	1998-07-31	VYDAJ	VYBER	15	63931	SLUZBY	\N	\N
2798248	9265	1998-08-31	VYDAJ	VYBER	15	48799	SLUZBY	\N	\N
2798249	9265	1998-09-30	VYDAJ	VYBER	15	40980	SLUZBY	\N	\N
2798250	9265	1998-10-31	VYDAJ	VYBER	15	88582	SLUZBY	\N	\N
2798251	9265	1998-11-30	VYDAJ	VYBER	15	54248	SLUZBY	\N	\N
2798252	9265	1993-03-06	VYDAJ	VYBER	19000	47013	\N	\N	\N
2798253	9265	1993-04-05	VYDAJ	VYBER	13000	34354	\N	\N	\N
2798254	9265	1993-05-05	VYDAJ	VYBER	3700	30850	\N	\N	\N
2798255	9265	1993-06-04	VYDAJ	VYBER	20400	42788	\N	\N	\N
2798256	9265	1993-07-04	VYDAJ	VYBER	7400	35721	\N	\N	\N
2798257	9265	1993-08-03	VYDAJ	VYBER	38400	59113	\N	\N	\N
2798258	9265	1993-09-02	VYDAJ	VYBER	36800	59955	\N	\N	\N
2798259	9265	1993-10-02	VYDAJ	VYBER	14500	40234	\N	\N	\N
2798260	9265	1993-11-01	VYDAJ	VYBER	13800	37109	\N	\N	\N
2798261	9265	1993-12-01	PRIJEM	VKLAD	2600	23491	\N	\N	\N
2798262	9265	1993-12-31	PRIJEM	VKLAD	2200	21460	\N	\N	\N
2798263	9265	1994-01-30	PRIJEM	VKLAD	7400	21144	\N	\N	\N
2798264	9265	1994-03-01	VYDAJ	VYBER	29300	61540	\N	\N	\N
2798265	9265	1994-03-31	VYDAJ	VYBER	34800	60894	\N	\N	\N
2798266	9265	1994-04-30	VYDAJ	VYBER	4300	33996	\N	\N	\N
2798267	9265	1994-05-30	VYDAJ	VYBER	25300	50828	\N	\N	\N
2798268	9265	1994-06-29	VYDAJ	VYBER	2000	33157	\N	\N	\N
2798269	9265	1994-07-29	VYDAJ	VYBER	400	37384	\N	\N	\N
2798270	9265	1994-08-28	VYDAJ	VYBER	5600	41056	\N	\N	\N
2798271	9265	1994-09-27	PRIJEM	VKLAD	2800	27262	\N	\N	\N
2798272	9265	1994-10-27	PRIJEM	VKLAD	2800	29217	\N	\N	\N
2798273	9265	1994-11-26	VYDAJ	VYBER	1400	34257	\N	\N	\N
2798274	9265	1994-12-26	PRIJEM	VKLAD	2100	31694	\N	\N	\N
2798275	9265	1995-01-25	PRIJEM	VKLAD	1300	32758	\N	\N	\N
2798276	9265	1995-02-24	VYDAJ	VYBER	23700	58375	\N	\N	\N
2798277	9265	1995-03-26	VYDAJ	VYBER	26100	56589	\N	\N	\N
2798278	9265	1995-04-25	PRIJEM	VKLAD	1300	33535	\N	\N	\N
2798279	9265	1995-05-23	VYDAJ	VYBER	18200	109126	\N	\N	\N
2798280	9265	1995-05-25	VYDAJ	VYBER	39500	77858	\N	\N	\N
2798281	9265	1995-06-24	VYDAJ	VYBER	37700	78461	\N	\N	\N
2798282	9265	1995-07-24	VYDAJ	VYBER	16200	61854	\N	\N	\N
2798283	9265	1995-08-23	VYDAJ	VYBER	900	44618	\N	\N	\N
2798284	9265	1995-09-22	VYDAJ	VYBER	12000	56588	\N	\N	\N
2798285	9265	1995-10-22	VYDAJ	VYBER	12600	52820	\N	\N	\N
2798286	9265	1995-11-14	VYDAJ	VYBER	16600	97395	\N	\N	\N
2798287	9265	1995-11-21	VYDAJ	VYBER	28500	68895	\N	\N	\N
2798288	9265	1995-12-21	VYDAJ	VYBER	12000	62462	\N	\N	\N
2798289	9265	1996-01-20	VYDAJ	VYBER	25600	65148	\N	\N	\N
2798290	9265	1996-02-19	VYDAJ	VYBER	15400	56650	\N	\N	\N
2798291	9265	1996-03-20	VYDAJ	VYBER	34000	76078	\N	\N	\N
2798292	9265	1996-04-19	VYDAJ	VYBER KARTOU	2600	43721	\N	\N	0
2798293	9265	1996-05-19	VYDAJ	VYBER KARTOU	3300	55307	\N	\N	0
2798294	9265	1996-06-18	PRIJEM	VKLAD	9900	42964	\N	\N	\N
2798295	9265	1996-07-18	VYDAJ	VYBER	5800	56251	\N	\N	\N
2798296	9265	1996-08-17	VYDAJ	VYBER	16600	76066	\N	\N	\N
2798297	9265	1996-08-28	VYDAJ	VYBER	64400	76586	\N	\N	\N
2798298	9265	1996-09-16	VYDAJ	VYBER	20600	72138	\N	\N	\N
2798299	9265	1996-10-16	VYDAJ	VYBER	5700	56297	\N	\N	\N
2798300	9265	1996-11-15	PRIJEM	VKLAD	1000	61835	\N	\N	\N
2798301	9265	1996-12-15	PRIJEM	VKLAD	8400	44904	\N	\N	\N
2798302	9265	1997-01-14	PRIJEM	VKLAD	3500	44141	\N	\N	\N
2798303	9265	1997-02-13	VYDAJ	VYBER	7300	70057	\N	\N	\N
2798304	9265	1997-03-05	VYDAJ	VYBER	55200	61859	\N	\N	\N
2798305	9265	1997-03-15	VYDAJ	VYBER KARTOU	2700	60512	\N	\N	0
2798306	9265	1997-04-14	VYDAJ	VYBER	17200	75722	\N	\N	\N
2798307	9265	1997-05-14	PRIJEM	VKLAD	500	60748	\N	\N	\N
2798308	9265	1997-06-13	PRIJEM	VKLAD	6400	43200	\N	\N	\N
2798309	9265	1997-07-13	VYDAJ	VYBER	24300	73414	\N	\N	\N
2798310	9265	1997-08-12	VYDAJ	VYBER	57400	99379	\N	\N	\N
2798311	9265	1997-08-12	VYDAJ	VYBER	18800	80579	\N	\N	\N
2798312	9265	1997-08-28	VYDAJ	VYBER	38300	104228	\N	\N	\N
2798313	9265	1997-09-11	VYDAJ	VYBER	45400	75816	\N	\N	\N
2798314	9265	1997-09-11	VYDAJ	VYBER	15600	121216	\N	\N	\N
2798315	9265	1997-10-11	VYDAJ	VYBER	12600	68677	\N	\N	\N
2798316	9265	1997-10-13	VYDAJ	VYBER	34100	126561	\N	\N	\N
2798317	9265	1997-10-30	VYDAJ	VYBER	59500	90810	\N	\N	\N
2798318	9265	1997-11-08	VYDAJ	VYBER	31400	95936	\N	\N	\N
2798319	9265	1997-11-10	VYDAJ	VYBER	17000	78936	\N	\N	\N
2798320	9265	1997-12-10	VYDAJ	VYBER	6200	61142	\N	\N	\N
2798321	9265	1998-01-09	VYDAJ	VYBER	5400	68130	\N	\N	\N
2798322	9265	1998-02-08	VYDAJ	VYBER	7900	64359	\N	\N	\N
2798323	9265	1998-03-10	PRIJEM	VKLAD	4000	55209	\N	\N	\N
2798324	9265	1998-04-09	PRIJEM	VKLAD	14400	53204	\N	\N	\N
2798325	9265	1998-05-09	VYDAJ	VYBER	11600	69715	\N	\N	\N
2798326	9265	1998-06-08	VYDAJ	VYBER	24800	80044	\N	\N	\N
2798327	9265	1998-07-08	VYDAJ	VYBER	14600	70595	\N	\N	\N
2798328	9265	1998-08-07	PRIJEM	VKLAD	2000	52538	\N	\N	\N
2798329	9265	1998-09-06	PRIJEM	VKLAD	9400	48706	\N	\N	\N
2798330	9265	1998-10-06	PRIJEM	VKLAD	14000	45487	\N	\N	\N
2798331	9265	1998-11-05	VYDAJ	VYBER	9000	79582	\N	\N	\N
2798332	9265	1998-12-05	PRIJEM	VKLAD	8200	57648	\N	\N	\N
2809952	9307	1993-01-24	PRIJEM	VKLAD	900	900	\N	\N	\N
2809953	9307	1993-06-26	PRIJEM	VKLAD	48546	129123	\N	\N	\N
2809954	9307	1993-09-24	PRIJEM	VKLAD	24855	43332	\N	\N	\N
2809955	9307	1993-04-27	PRIJEM	VKLAD	19773	49888	\N	\N	\N
2809956	9307	1993-06-26	PRIJEM	VKLAD	24753	80577	\N	\N	\N
2809957	9307	1993-04-14	PRIJEM	VKLAD	8588	37215	\N	\N	\N
2809958	9307	1993-10-21	PRIJEM	VKLAD	11736	70242	\N	\N	\N
2809959	9307	1993-01-31	PRIJEM	VKLAD	5282	6182	\N	\N	\N
2809960	9307	1993-03-17	PRIJEM	VKLAD	16549	29858	\N	\N	\N
2809961	9307	1993-06-19	PRIJEM	VKLAD	44663	82624	\N	\N	\N
2809962	9307	1993-06-30	PRIJEM	VKLAD	20583	73523	\N	\N	\N
2809963	9307	1993-10-11	PRIJEM	VKLAD	32383	61241	\N	\N	\N
2809964	9307	1994-08-11	PRIJEM	VKLAD	48234	81624	\N	\N	\N
2809965	9307	1994-03-07	PRIJEM	VKLAD	41629	49546	\N	\N	\N
2809966	9307	1994-06-23	PRIJEM	VKLAD	43234	65107	\N	\N	\N
2809967	9307	1994-04-03	PRIJEM	VKLAD	44636	71302	\N	\N	\N
2809968	9307	1994-11-01	PRIJEM	VKLAD	7389	37662	\N	\N	\N
2809969	9307	1995-01-24	PRIJEM	VKLAD	38868	62440	\N	\N	\N
2809970	9307	1995-02-20	PRIJEM	VKLAD	28639	69400	\N	\N	\N
2809971	9307	1995-03-10	PRIJEM	VKLAD	39332	82495	\N	\N	\N
2809972	9307	1996-08-14	PRIJEM	VKLAD	37802	97860	\N	\N	\N
2809973	9307	1996-10-02	PRIJEM	VKLAD	48958	122266	\N	\N	\N
2809974	9307	1996-09-01	PRIJEM	VKLAD	7653	106139	\N	\N	\N
2809975	9307	1996-09-05	PRIJEM	VKLAD	47991	166434	\N	\N	\N
2809976	9307	1996-04-15	PRIJEM	VKLAD	47307	127409	\N	\N	\N
2809977	9307	1996-09-26	PRIJEM	VKLAD	30135	133698	\N	\N	\N
2809978	9307	1996-02-23	PRIJEM	VKLAD	23910	126842	\N	\N	\N
2809979	9307	1996-07-29	PRIJEM	VKLAD	20321	134715	\N	\N	\N
2809980	9307	1996-09-20	PRIJEM	VKLAD	32462	103563	\N	\N	\N
2809981	9307	1996-02-17	PRIJEM	VKLAD	24188	67037	\N	\N	\N
2809982	9307	1996-01-26	PRIJEM	VKLAD	39337	62959	\N	\N	\N
2809983	9307	1996-07-06	PRIJEM	VKLAD	14723	44276	\N	\N	\N
2809984	9307	1996-10-31	PRIJEM	VKLAD	32048	135186	\N	\N	\N
2809985	9307	1996-02-28	PRIJEM	VKLAD	20153	117095	\N	\N	\N
2809986	9307	1996-07-08	PRIJEM	VKLAD	45257	104235	\N	\N	\N
2809987	9307	1996-03-15	PRIJEM	VKLAD	43085	117787	\N	\N	\N
2809988	9307	1996-12-28	PRIJEM	VKLAD	18050	61696	\N	\N	\N
2809989	9307	1996-02-19	PRIJEM	VKLAD	35895	102932	\N	\N	\N
2809990	9307	1996-04-09	PRIJEM	VKLAD	22443	82837	\N	\N	\N
2809991	9307	1996-09-05	PRIJEM	VKLAD	22371	118443	\N	\N	\N
2809992	9307	1996-07-08	PRIJEM	VKLAD	8156	58978	\N	\N	\N
2809993	9307	1996-12-11	PRIJEM	VKLAD	5604	62730	\N	\N	\N
2809994	9307	1996-04-25	PRIJEM	VKLAD	8622	115531	\N	\N	\N
2809995	9307	1996-10-22	PRIJEM	VKLAD	22126	102473	\N	\N	\N
2809996	9307	1996-03-08	PRIJEM	VKLAD	43257	112637	\N	\N	\N
2809997	9307	1996-07-22	PRIJEM	VKLAD	27302	120094	\N	\N	\N
2809998	9307	1996-05-04	PRIJEM	VKLAD	30974	119642	\N	\N	\N
2809999	9307	1996-10-11	PRIJEM	VKLAD	16970	86982	\N	\N	\N
2810000	9307	1997-06-14	PRIJEM	VKLAD	37350	80897	\N	\N	\N
2810001	9307	1997-09-30	PRIJEM	VKLAD	27991	105517	\N	\N	\N
2810002	9307	1997-11-13	PRIJEM	VKLAD	15570	101342	\N	\N	\N
2810003	9307	1997-08-15	PRIJEM	VKLAD	32646	113405	\N	\N	\N
2810004	9307	1997-11-03	PRIJEM	VKLAD	18560	96526	\N	\N	\N
2810005	9307	1997-03-24	PRIJEM	VKLAD	24330	69457	\N	\N	\N
2810006	9307	1997-11-27	PRIJEM	VKLAD	31710	130317	\N	\N	\N
2810007	9307	1997-07-05	PRIJEM	VKLAD	34684	116797	\N	\N	\N
2810008	9307	1997-10-06	PRIJEM	VKLAD	7935	94646	\N	\N	\N
2810009	9307	1997-11-30	PRIJEM	VKLAD	28072	94428	\N	\N	\N
2810010	9307	1997-06-27	PRIJEM	VKLAD	14630	88446	\N	\N	\N
2810011	9307	1997-03-11	PRIJEM	VKLAD	9154	56289	\N	\N	\N
2810012	9307	1997-12-17	PRIJEM	VKLAD	31867	85984	\N	\N	\N
2810013	9307	1997-06-24	PRIJEM	VKLAD	6719	73816	\N	\N	\N
2810014	9307	1997-08-10	PRIJEM	VKLAD	31853	83494	\N	\N	\N
2810015	9307	1997-08-24	PRIJEM	VKLAD	23756	137161	\N	\N	\N
2810016	9307	1998-11-10	PRIJEM	VKLAD	19278	111895	\N	\N	\N
2810017	9307	1998-06-12	PRIJEM	VKLAD	43356	97208	\N	\N	\N
2810018	9307	1998-12-18	PRIJEM	VKLAD	34763	148206	\N	\N	\N
2810019	9307	1998-07-29	PRIJEM	VKLAD	22260	92156	\N	\N	\N
2810020	9307	1998-12-01	PRIJEM	VKLAD	20699	102891	\N	\N	\N
2810021	9307	1998-03-02	PRIJEM	VKLAD	37906	85602	\N	\N	\N
2810022	9307	1998-05-26	PRIJEM	VKLAD	46575	89195	\N	\N	\N
2810023	9307	1998-12-16	PRIJEM	VKLAD	46341	138543	\N	\N	\N
2810024	9307	1998-09-19	PRIJEM	VKLAD	37435	75868	\N	\N	\N
2810025	9307	1998-05-15	PRIJEM	VKLAD	8577	59149	\N	\N	\N
2810026	9307	1998-03-17	PRIJEM	VKLAD	8015	86228	\N	\N	\N
2810027	9307	1998-12-27	PRIJEM	VKLAD	17859	110965	\N	\N	\N
2810028	9307	1998-11-08	PRIJEM	VKLAD	38132	92617	\N	\N	\N
2810035	9307	1993-07-16	VYDAJ	VYBER	3400	40643	\N	\N	0
2810036	9307	1993-08-17	VYDAJ	VYBER	3100	20622	\N	\N	0
2810037	9307	1993-09-16	VYDAJ	VYBER	3900	10277	\N	\N	0
2810038	9307	1993-10-08	VYDAJ	VYBER	3700	35158	\N	\N	0
2810039	9307	1993-11-02	VYDAJ	VYBER	2700	44150	\N	\N	0
2810040	9307	1993-12-20	VYDAJ	VYBER	3500	19739	\N	\N	0
2810041	9307	1994-01-12	VYDAJ	VYBER	3800	11382	\N	\N	0
2810042	9307	1994-02-05	VYDAJ	VYBER	3600	15869	\N	\N	0
2810043	9307	1994-03-06	VYDAJ	VYBER	3000	12571	\N	\N	0
2810044	9307	1994-04-18	VYDAJ	VYBER	3800	51518	\N	\N	0
2810045	9307	1994-05-12	VYDAJ	VYBER	3200	26190	\N	\N	0
2810046	9307	1994-06-16	VYDAJ	VYBER	4200	14573	\N	\N	0
2810047	9307	1994-07-12	VYDAJ	VYBER	3600	57072	\N	\N	0
2810048	9307	1994-08-12	VYDAJ	VYBER	3400	78224	\N	\N	0
2810049	9307	1994-09-12	VYDAJ	VYBER	4100	45440	\N	\N	0
2810050	9307	1994-10-12	VYDAJ	PREVOD NA UCET	3492	31321	UVER	EF	53406888
2810051	9307	1994-11-12	VYDAJ	PREVOD NA UCET	3492	29516	UVER	EF	53406888
2810052	9307	1994-12-12	VYDAJ	PREVOD NA UCET	3492	21933	UVER	EF	53406888
2810053	9307	1995-01-12	VYDAJ	PREVOD NA UCET	3492	19607	UVER	EF	53406888
2810054	9307	1995-02-12	VYDAJ	PREVOD NA UCET	3492	46096	UVER	EF	53406888
2810055	9307	1995-03-12	VYDAJ	PREVOD NA UCET	3492	79003	UVER	EF	53406888
2810056	9307	1995-04-12	VYDAJ	PREVOD NA UCET	3492	49296	UVER	EF	53406888
2810057	9307	1995-05-12	VYDAJ	PREVOD NA UCET	3492	30565	UVER	EF	53406888
2810058	9307	1995-06-12	VYDAJ	PREVOD NA UCET	3492	24846	UVER	EF	53406888
2810059	9307	1995-07-12	VYDAJ	PREVOD NA UCET	3492	26116	UVER	EF	53406888
2810060	9307	1995-08-12	VYDAJ	PREVOD NA UCET	3492	35208	UVER	EF	53406888
2810061	9307	1995-09-12	VYDAJ	PREVOD NA UCET	3492	36725	UVER	EF	53406888
2810062	9307	1995-10-08	VYDAJ	VYBER	2900	26630	\N	\N	0
2810063	9307	1995-11-04	VYDAJ	VYBER	3200	21663	\N	\N	0
2810064	9307	1995-12-12	VYDAJ	VYBER	2700	36018	\N	\N	0
2810065	9307	1996-01-04	VYDAJ	VYBER	3300	30211	\N	\N	0
2810066	9307	1996-02-04	VYDAJ	VYBER	3300	46538	\N	\N	0
2810067	9307	1996-03-09	VYDAJ	VYBER	3400	77437	\N	\N	0
2810068	9307	1996-04-03	VYDAJ	VYBER	3300	91548	\N	\N	0
2810069	9307	1996-05-04	VYDAJ	VYBER	2800	53742	\N	\N	0
2810070	9307	1996-06-04	VYDAJ	VYBER	2900	28610	\N	\N	0
2810071	9307	1996-07-05	VYDAJ	VYBER	3000	29553	\N	\N	0
2810072	9307	1996-08-10	VYDAJ	VYBER	3700	74793	\N	\N	0
2810073	9307	1996-09-16	VYDAJ	VYBER	4000	71101	\N	\N	0
2810074	9307	1996-10-11	VYDAJ	VYBER	3900	83082	\N	\N	0
2810075	9307	1996-11-06	VYDAJ	VYBER	3100	84417	\N	\N	0
2810076	9307	1996-12-06	VYDAJ	VYBER	3700	61780	\N	\N	0
2810077	9307	1997-01-03	VYDAJ	VYBER	3100	60986	\N	\N	0
2810078	9307	1997-02-18	VYDAJ	VYBER	3500	37345	\N	\N	0
2810079	9307	1997-03-18	VYDAJ	VYBER	2600	45127	\N	\N	0
2810080	9307	1997-04-20	VYDAJ	VYBER	3400	50921	\N	\N	0
2810081	9307	1997-05-09	VYDAJ	VYBER	3500	53141	\N	\N	0
2810082	9307	1997-06-02	VYDAJ	VYBER	3400	53400	\N	\N	0
2810083	9307	1997-07-15	VYDAJ	VYBER	4200	105208	\N	\N	0
2810084	9307	1997-08-09	VYDAJ	VYBER	2700	51641	\N	\N	0
2810085	9307	1997-09-09	VYDAJ	VYBER	4100	80261	\N	\N	0
2810086	9307	1997-10-14	VYDAJ	VYBER	3700	83557	\N	\N	0
2810087	9307	1997-11-04	VYDAJ	VYBER	3100	90426	\N	\N	0
2810088	9307	1997-12-08	VYDAJ	VYBER	3700	82474	\N	\N	0
2810089	9307	1998-01-17	VYDAJ	VYBER	3600	46196	\N	\N	0
2810090	9307	1998-02-05	VYDAJ	VYBER	3500	55544	\N	\N	0
2810091	9307	1998-03-21	VYDAJ	VYBER	3500	82728	\N	\N	0
2810092	9307	1998-04-20	VYDAJ	VYBER	3100	46209	\N	\N	0
2810093	9307	1998-05-20	VYDAJ	VYBER	3200	55949	\N	\N	0
2810094	9307	1998-06-02	VYDAJ	VYBER	4200	80205	\N	\N	0
2810095	9307	1998-07-13	VYDAJ	VYBER	4100	61631	\N	\N	0
2810096	9307	1998-08-05	VYDAJ	VYBER	3400	83071	\N	\N	0
2810097	9307	1998-09-21	VYDAJ	VYBER	4200	66827	\N	\N	0
2810098	9307	1998-10-12	VYDAJ	VYBER	2700	52413	\N	\N	0
2810099	9307	1998-11-15	VYDAJ	VYBER	3600	105560	\N	\N	0
2810100	9307	1998-12-12	VYDAJ	VYBER	3300	94937	\N	\N	0
2810107	9307	1993-07-06	VYDAJ	PREVOD NA UCET	4654	46778	SIPO	EF	84733318
2810108	9307	1993-08-06	VYDAJ	PREVOD NA UCET	4654	26457	SIPO	EF	84733318
2810109	9307	1993-09-06	VYDAJ	PREVOD NA UCET	4654	16912	SIPO	EF	84733318
2810110	9307	1993-10-06	VYDAJ	PREVOD NA UCET	4654	38858	SIPO	EF	84733318
2810111	9307	1993-11-06	VYDAJ	PREVOD NA UCET	4654	19424	SIPO	EF	84733318
2810112	9307	1993-12-06	VYDAJ	PREVOD NA UCET	4654	14674	SIPO	EF	84733318
2810113	9307	1994-01-06	VYDAJ	PREVOD NA UCET	4654	15182	SIPO	EF	84733318
2810114	9307	1994-02-06	VYDAJ	PREVOD NA UCET	4654	11215	SIPO	EF	84733318
2810115	9307	1994-03-06	VYDAJ	PREVOD NA UCET	4654	7917	SIPO	EF	84733318
2810116	9307	1994-04-06	VYDAJ	PREVOD NA UCET	4654	58053	SIPO	EF	84733318
2810117	9307	1994-05-06	VYDAJ	PREVOD NA UCET	4654	29390	SIPO	EF	84733318
2810118	9307	1994-06-06	VYDAJ	PREVOD NA UCET	4654	21508	SIPO	EF	84733318
2810119	9307	1994-07-06	VYDAJ	PREVOD NA UCET	4654	60672	SIPO	EF	84733318
2810120	9307	1994-08-06	VYDAJ	PREVOD NA UCET	4654	33390	SIPO	EF	84733318
2810121	9307	1994-09-06	VYDAJ	PREVOD NA UCET	4654	49540	SIPO	EF	84733318
2810122	9307	1994-10-06	VYDAJ	PREVOD NA UCET	4654	34812	SIPO	EF	84733318
2810123	9307	1994-11-06	VYDAJ	PREVOD NA UCET	4654	33008	SIPO	EF	84733318
2810124	9307	1994-12-06	VYDAJ	PREVOD NA UCET	4654	25425	SIPO	EF	84733318
2810125	9307	1995-01-06	VYDAJ	PREVOD NA UCET	4654	23098	SIPO	EF	84733318
2810126	9307	1995-02-06	VYDAJ	PREVOD NA UCET	4654	49587	SIPO	EF	84733318
2810127	9307	1995-03-06	VYDAJ	PREVOD NA UCET	4654	43163	SIPO	EF	84733318
2810128	9307	1995-04-06	VYDAJ	PREVOD NA UCET	4654	52788	SIPO	EF	84733318
2810129	9307	1995-05-06	VYDAJ	PREVOD NA UCET	4654	41645	SIPO	EF	84733318
2810130	9307	1995-06-06	VYDAJ	PREVOD NA UCET	4654	28338	SIPO	EF	84733318
2810131	9307	1995-07-06	VYDAJ	PREVOD NA UCET	4654	29608	SIPO	EF	84733318
2810132	9307	1995-08-06	VYDAJ	PREVOD NA UCET	4654	26900	SIPO	EF	84733318
2810133	9307	1995-09-06	VYDAJ	PREVOD NA UCET	4654	28017	SIPO	EF	84733318
2810134	9307	1995-10-06	VYDAJ	PREVOD NA UCET	4654	29530	SIPO	EF	84733318
2810135	9307	1995-11-06	VYDAJ	PREVOD NA UCET	4654	17009	SIPO	EF	84733318
2810136	9307	1995-12-06	VYDAJ	PREVOD NA UCET	4654	27618	SIPO	EF	84733318
2810137	9307	1996-01-06	VYDAJ	PREVOD NA UCET	4654	25557	SIPO	EF	84733318
2810138	9307	1996-02-06	VYDAJ	PREVOD NA UCET	4654	41884	SIPO	EF	84733318
2810139	9307	1996-03-06	VYDAJ	PREVOD NA UCET	4654	69380	SIPO	EF	84733318
2810140	9307	1996-04-06	VYDAJ	PREVOD NA UCET	4654	72494	SIPO	EF	84733318
2810141	9307	1996-05-06	VYDAJ	PREVOD NA UCET	4654	49088	SIPO	EF	84733318
2810142	9307	1996-06-06	VYDAJ	PREVOD NA UCET	4654	23956	SIPO	EF	84733318
2810143	9307	1996-07-06	VYDAJ	PREVOD NA UCET	4654	39622	SIPO	EF	84733318
2810144	9307	1996-08-06	VYDAJ	PREVOD NA UCET	4654	87693	SIPO	EF	84733318
2810145	9307	1996-09-06	VYDAJ	PREVOD NA UCET	4654	102080	SIPO	EF	84733318
2810146	9307	1996-10-06	VYDAJ	PREVOD NA UCET	4654	70012	SIPO	EF	84733318
2810147	9307	1996-11-06	VYDAJ	PREVOD NA UCET	4654	87517	SIPO	EF	84733318
2810148	9307	1996-12-06	VYDAJ	PREVOD NA UCET	4654	57126	SIPO	EF	84733318
2810149	9307	1997-01-06	VYDAJ	PREVOD NA UCET	4654	46163	SIPO	EF	84733318
2810150	9307	1997-02-06	VYDAJ	PREVOD NA UCET	4654	43580	SIPO	EF	84733318
2810151	9307	1997-03-06	VYDAJ	PREVOD NA UCET	4654	47135	SIPO	EF	84733318
2810152	9307	1997-04-06	VYDAJ	PREVOD NA UCET	4654	57056	SIPO	EF	84733318
2810153	9307	1997-05-06	VYDAJ	PREVOD NA UCET	4654	56641	SIPO	EF	84733318
2810154	9307	1997-06-06	VYDAJ	PREVOD NA UCET	4654	48746	SIPO	EF	84733318
2810155	9307	1997-07-06	VYDAJ	PREVOD NA UCET	4654	112143	SIPO	EF	84733318
2810156	9307	1997-08-06	VYDAJ	PREVOD NA UCET	4654	61852	SIPO	EF	84733318
2810157	9307	1997-09-06	VYDAJ	PREVOD NA UCET	4654	84361	SIPO	EF	84733318
2810158	9307	1997-10-06	VYDAJ	PREVOD NA UCET	4654	89992	SIPO	EF	84733318
2810159	9307	1997-11-06	VYDAJ	PREVOD NA UCET	4654	85772	SIPO	EF	84733318
2810160	9307	1997-12-06	VYDAJ	PREVOD NA UCET	4654	86174	SIPO	EF	84733318
2810161	9307	1998-01-06	VYDAJ	PREVOD NA UCET	4654	70231	SIPO	EF	84733318
2810162	9307	1998-02-06	VYDAJ	PREVOD NA UCET	4654	50890	SIPO	EF	84733318
2810163	9307	1998-03-06	VYDAJ	PREVOD NA UCET	4654	80948	SIPO	EF	84733318
2810164	9307	1998-04-06	VYDAJ	PREVOD NA UCET	4654	74675	SIPO	EF	84733318
2810165	9307	1998-05-06	VYDAJ	PREVOD NA UCET	4654	53307	SIPO	EF	84733318
2810166	9307	1998-06-06	VYDAJ	PREVOD NA UCET	4654	75551	SIPO	EF	84733318
2810167	9307	1998-07-06	VYDAJ	PREVOD NA UCET	4654	65731	SIPO	EF	84733318
2810168	9307	1998-08-06	VYDAJ	PREVOD NA UCET	4654	78417	SIPO	EF	84733318
2810169	9307	1998-09-06	VYDAJ	PREVOD NA UCET	4654	41168	SIPO	EF	84733318
2810170	9307	1998-10-06	VYDAJ	PREVOD NA UCET	4654	68913	SIPO	EF	84733318
2810171	9307	1998-11-06	VYDAJ	PREVOD NA UCET	4654	54485	SIPO	EF	84733318
2810172	9307	1998-12-06	VYDAJ	PREVOD NA UCET	4654	98237	SIPO	EF	84733318
2810179	9307	1993-07-13	VYDAJ	PREVOD NA UCET	2735	44043	 	AB	52218389
2810180	9307	1993-08-13	VYDAJ	PREVOD NA UCET	2735	23722	 	AB	52218389
2810181	9307	1993-09-13	VYDAJ	PREVOD NA UCET	2735	14177	 	AB	52218389
2810182	9307	1993-10-13	VYDAJ	PREVOD NA UCET	2735	58506	 	AB	52218389
2810183	9307	1993-11-13	VYDAJ	PREVOD NA UCET	2735	16689	 	AB	52218389
2810184	9307	1993-12-13	VYDAJ	PREVOD NA UCET	2735	11939	 	AB	52218389
2810185	9307	1994-01-13	VYDAJ	PREVOD NA UCET	2735	8647	 	AB	52218389
2810186	9307	1994-02-13	VYDAJ	PREVOD NA UCET	2735	8480	 	AB	52218389
2810187	9307	1994-03-13	VYDAJ	PREVOD NA UCET	2735	33966	 	AB	52218389
2810188	9307	1994-04-13	VYDAJ	PREVOD NA UCET	2735	55318	 	AB	52218389
2810189	9307	1994-05-13	VYDAJ	PREVOD NA UCET	2735	23455	 	AB	52218389
2810190	9307	1994-06-13	VYDAJ	PREVOD NA UCET	2735	18773	 	AB	52218389
2810191	9307	1994-07-13	VYDAJ	PREVOD NA UCET	2735	54337	 	AB	52218389
2810192	9307	1994-08-13	VYDAJ	PREVOD NA UCET	2735	75489	 	AB	52218389
2810193	9307	1994-09-13	VYDAJ	PREVOD NA UCET	2735	42705	 	AB	52218389
2810194	9307	1994-10-13	VYDAJ	PREVOD NA UCET	2735	28586	 	AB	52218389
2810195	9307	1994-11-13	VYDAJ	PREVOD NA UCET	2735	26781	 	AB	52218389
2810196	9307	1994-12-13	VYDAJ	PREVOD NA UCET	2735	19198	 	AB	52218389
2810197	9307	1995-01-13	VYDAJ	PREVOD NA UCET	2735	16872	 	AB	52218389
2810198	9307	1995-02-13	VYDAJ	PREVOD NA UCET	2735	40761	 	AB	52218389
2810199	9307	1995-03-13	VYDAJ	PREVOD NA UCET	2735	76268	 	AB	52218389
2810200	9307	1995-04-13	VYDAJ	PREVOD NA UCET	2735	46561	 	AB	52218389
2810201	9307	1995-05-13	VYDAJ	PREVOD NA UCET	2735	24833	 	AB	52218389
2810202	9307	1995-06-13	VYDAJ	PREVOD NA UCET	2735	34011	 	AB	52218389
2810203	9307	1995-07-13	VYDAJ	PREVOD NA UCET	2735	33881	 	AB	52218389
2810204	9307	1995-08-13	VYDAJ	PREVOD NA UCET	2735	32473	 	AB	52218389
2810205	9307	1995-09-13	VYDAJ	PREVOD NA UCET	2735	33990	 	AB	52218389
2810206	9307	1995-10-13	VYDAJ	PREVOD NA UCET	2735	31295	 	AB	52218389
2810207	9307	1995-11-13	VYDAJ	PREVOD NA UCET	2735	32074	 	AB	52218389
2810208	9307	1995-12-13	VYDAJ	PREVOD NA UCET	2735	33283	 	AB	52218389
2810209	9307	1996-01-13	VYDAJ	PREVOD NA UCET	2735	23622	 	AB	52218389
2810210	9307	1996-02-13	VYDAJ	PREVOD NA UCET	2735	42849	 	AB	52218389
2810211	9307	1996-03-13	VYDAJ	PREVOD NA UCET	2735	74702	 	AB	52218389
2810212	9307	1996-04-13	VYDAJ	PREVOD NA UCET	2735	80102	 	AB	52218389
2810213	9307	1996-05-13	VYDAJ	PREVOD NA UCET	2735	52653	 	AB	52218389
2810214	9307	1996-06-13	VYDAJ	PREVOD NA UCET	2735	42221	 	AB	52218389
2810215	9307	1996-07-13	VYDAJ	PREVOD NA UCET	2735	92792	 	AB	52218389
2810216	9307	1996-08-13	VYDAJ	PREVOD NA UCET	2735	60058	 	AB	52218389
2810217	9307	1996-09-13	VYDAJ	PREVOD NA UCET	2735	93345	 	AB	52218389
2810218	9307	1996-10-13	VYDAJ	PREVOD NA UCET	2735	80347	 	AB	52218389
2810219	9307	1996-11-13	VYDAJ	PREVOD NA UCET	2735	78441	 	AB	52218389
2810220	9307	1996-12-13	VYDAJ	PREVOD NA UCET	2735	49346	 	AB	52218389
2810221	9307	1997-01-13	VYDAJ	PREVOD NA UCET	2735	32628	 	AB	52218389
2810222	9307	1997-02-13	VYDAJ	PREVOD NA UCET	2735	40845	 	AB	52218389
2810223	9307	1997-03-13	VYDAJ	PREVOD NA UCET	2735	53554	 	AB	52218389
2810224	9307	1997-04-13	VYDAJ	PREVOD NA UCET	2735	54321	 	AB	52218389
2810225	9307	1997-05-13	VYDAJ	PREVOD NA UCET	2735	50406	 	AB	52218389
2810226	9307	1997-06-13	VYDAJ	PREVOD NA UCET	2735	43547	 	AB	52218389
2810227	9307	1997-07-13	VYDAJ	PREVOD NA UCET	2735	109408	 	AB	52218389
2810228	9307	1997-08-13	VYDAJ	PREVOD NA UCET	2735	80759	 	AB	52218389
2810229	9307	1997-09-13	VYDAJ	PREVOD NA UCET	2735	77526	 	AB	52218389
2810230	9307	1997-10-13	VYDAJ	PREVOD NA UCET	2735	87257	 	AB	52218389
2810231	9307	1997-11-13	VYDAJ	PREVOD NA UCET	2735	98607	 	AB	52218389
2810232	9307	1997-12-13	VYDAJ	PREVOD NA UCET	2735	79739	 	AB	52218389
2810233	9307	1998-01-13	VYDAJ	PREVOD NA UCET	2735	49796	 	AB	52218389
2810234	9307	1998-02-13	VYDAJ	PREVOD NA UCET	2735	48155	 	AB	52218389
2810235	9307	1998-03-13	VYDAJ	PREVOD NA UCET	2735	78213	 	AB	52218389
2810236	9307	1998-04-13	VYDAJ	PREVOD NA UCET	2735	52309	 	AB	52218389
2810237	9307	1998-05-13	VYDAJ	PREVOD NA UCET	2735	50572	 	AB	52218389
2810238	9307	1998-06-13	VYDAJ	PREVOD NA UCET	2735	94473	 	AB	52218389
2810239	9307	1998-07-13	VYDAJ	PREVOD NA UCET	2735	58896	 	AB	52218389
2810240	9307	1998-08-13	VYDAJ	PREVOD NA UCET	2735	59519	 	AB	52218389
2810241	9307	1998-09-13	VYDAJ	PREVOD NA UCET	2735	38433	 	AB	52218389
2810242	9307	1998-10-13	VYDAJ	PREVOD NA UCET	2735	49678	 	AB	52218389
2810243	9307	1998-11-13	VYDAJ	PREVOD NA UCET	2735	109160	 	AB	52218389
2810244	9307	1998-12-13	VYDAJ	PREVOD NA UCET	2735	92202	 	AB	52218389
2810246	9307	1993-11-05	VYBER	VYBER	20072	24078	\N	\N	\N
2810253	9307	1993-06-30	VYBER	VYBER	22076	51447	\N	\N	\N
2810255	9307	1994-03-07	VYBER	VYBER	12845	36701	\N	\N	\N
2810260	9307	1994-04-05	VYBER	VYBER	8595	62707	\N	\N	\N
2810261	9307	1995-03-06	VYBER	VYBER	21932	47817	\N	\N	\N
2810262	9307	1995-08-02	VYBER	VYBER	2570	31554	\N	\N	\N
2810270	9307	1995-05-08	VYBER	VYBER	7588	34057	\N	\N	\N
2810273	9307	1995-05-13	VYBER	VYBER	2997	27568	\N	\N	\N
2810276	9307	1996-11-13	VYBER	VYBER	3241	81176	\N	\N	\N
2810278	9307	1996-09-14	VYBER	VYBER	18244	75101	\N	\N	\N
2810279	9307	1996-09-02	VYBER	VYBER	10067	96072	\N	\N	\N
2810280	9307	1996-12-11	VYBER	VYBER	10649	52081	\N	\N	\N
2810281	9307	1996-02-04	VYBER	VYBER	4928	49838	\N	\N	\N
2810283	9307	1996-07-12	VYBER	VYBER	8708	95527	\N	\N	\N
2810284	9307	1996-05-28	VYBER	VYBER	8058	31095	\N	\N	\N
2810285	9307	1996-12-01	VYBER	VYBER	22331	56780	\N	\N	\N
2810287	9307	1997-12-15	VYBER	VYBER	21122	58617	\N	\N	\N
2810288	9307	1997-06-11	VYBER	VYBER	2464	46282	\N	\N	\N
2810289	9307	1997-08-05	VYBER	VYBER	14387	66506	\N	\N	\N
2810290	9307	1997-08-04	VYBER	VYBER	3855	80893	\N	\N	\N
2810291	9307	1997-08-28	VYBER	VYBER	9942	102519	\N	\N	\N
2810292	9307	1997-07-26	VYBER	VYBER	18121	87087	\N	\N	\N
2810293	9307	1997-03-18	VYBER	VYBER	5827	47727	\N	\N	\N
2810294	9307	1997-08-08	VYBER	VYBER	7511	54341	\N	\N	\N
2810295	9307	1997-01-04	VYBER	VYBER	10169	50817	\N	\N	\N
2810296	9307	1997-02-05	VYBER	VYBER	2041	48234	\N	\N	\N
2810297	9307	1997-04-03	VYBER	VYBER	19977	61710	\N	\N	\N
2810298	9307	1998-02-28	VYBER	VYBER	13472	47711	\N	\N	\N
2810299	9307	1998-08-13	VYBER	VYBER	16163	62254	\N	\N	\N
2810300	9307	1998-08-17	VYBER	VYBER	12353	47166	\N	\N	\N
2810301	9307	1998-05-22	VYBER	VYBER	13329	42620	\N	\N	\N
2810302	9307	1998-07-29	VYBER	VYBER	6038	86118	\N	\N	\N
2810303	9307	1998-11-17	VYBER	VYBER	14238	91322	\N	\N	\N
2810304	9307	1998-09-19	VYBER	VYBER	4841	71027	\N	\N	\N
2810305	9307	1998-09-03	VYBER	VYBER	11063	45822	\N	\N	\N
2810306	9307	1998-06-07	VYBER	VYBER	21699	53852	\N	\N	\N
2810307	9307	1998-04-08	VYBER	VYBER	19631	55044	\N	\N	\N
2810308	9307	1998-04-29	VYBER	VYBER	6414	57595	\N	\N	\N
2810311	9307	1998-11-22	VYBER	VYBER	19955	71367	\N	\N	\N
2810315	9307	1996-06-21	VYDAJ	VYBER	9900	32321	\N	\N	\N
2810317	9307	1998-06-17	VYDAJ	VYBER	35700	58773	\N	\N	\N
2810321	9307	1996-12-13	VYDAJ	VYBER	5700	43646	\N	\N	\N
2810322	9307	1997-12-15	VYDAJ	VYBER	4500	54117	\N	\N	\N
2810323	9307	1998-12-23	VYDAJ	VYBER	2400	96006	\N	\N	\N
2810336	9307	1995-01-16	VYDAJ	VYBER	1800	23572	\N	\N	\N
2810340	9307	1995-01-28	VYDAJ	VYBER	5100	54040	\N	\N	\N
2810341	9307	1995-01-26	VYDAJ	VYBER	3300	59140	\N	\N	\N
2810343	9307	1996-01-27	VYDAJ	VYBER	6000	56959	\N	\N	\N
2810345	9307	1996-01-28	VYDAJ	VYBER	2400	54559	\N	\N	\N
2810346	9307	1996-01-12	VYDAJ	VYBER	8700	26357	\N	\N	\N
2810348	9307	1997-01-12	VYDAJ	VYBER	4800	35363	\N	\N	\N
2810349	9307	1997-01-09	VYDAJ	VYBER	6000	40163	\N	\N	\N
2810354	9307	1998-01-05	VYDAJ	VYBER	4500	74885	\N	\N	\N
2810355	9307	1998-01-21	VYDAJ	VYBER	1500	44696	\N	\N	\N
2810356	9307	1998-01-24	VYDAJ	VYBER	4800	39896	\N	\N	\N
2810357	9307	1998-01-08	VYDAJ	VYBER	1500	52531	\N	\N	\N
2810358	9307	1998-01-07	VYDAJ	VYBER	6300	54031	\N	\N	\N
2810362	9307	1993-10-08	VYDAJ	VYBER	6300	28858	\N	\N	\N
2810366	9307	1994-08-05	VYDAJ	VYBER	2700	38044	\N	\N	\N
2810369	9307	1994-03-17	VYDAJ	VYBER	9600	24366	\N	\N	\N
2810370	9307	1994-04-19	VYDAJ	VYBER	9000	42518	\N	\N	\N
2810372	9307	1995-10-19	VYDAJ	VYBER	6600	24695	\N	\N	\N
2810373	9307	1995-04-01	VYDAJ	VYBER	2100	57442	\N	\N	\N
2810374	9307	1996-08-10	VYDAJ	VYBER	12000	62793	\N	\N	\N
2810375	9307	1996-05-26	VYDAJ	VYBER	13500	39153	\N	\N	\N
2810376	9307	1996-04-04	VYDAJ	VYBER	8400	83148	\N	\N	\N
2810377	9307	1996-04-05	VYDAJ	VYBER	6000	77148	\N	\N	\N
2810378	9307	1996-09-07	VYDAJ	VYBER	6000	96080	\N	\N	\N
2810379	9307	1996-07-27	VYDAJ	VYBER	5700	114394	\N	\N	\N
2810380	9307	1997-11-30	VYDAJ	VYBER	3900	90828	\N	\N	\N
2810381	9307	1997-11-03	VYDAJ	VYBER	3000	93526	\N	\N	\N
2810382	9307	1997-05-24	VYDAJ	VYBER	8700	41706	\N	\N	\N
2810383	9307	1997-06-22	VYDAJ	VYBER	13800	67097	\N	\N	\N
2810385	9307	1998-08-28	VYDAJ	VYBER	6600	56466	\N	\N	\N
2810386	9307	1998-10-08	VYDAJ	VYBER	13800	55113	\N	\N	\N
2810387	9307	1998-01-06	VYDAJ	VYBER	9900	60331	\N	\N	\N
2810388	9307	1998-04-19	VYDAJ	VYBER	3000	49309	\N	\N	\N
2810389	9307	1998-10-28	VYDAJ	VYBER	10800	58778	\N	\N	\N
2810396	9307	1993-06-30	VYDAJ	VYBER	15	51432	SLUZBY	\N	\N
2810397	9307	1993-07-31	VYDAJ	VYBER	15	31111	SLUZBY	\N	\N
2810398	9307	1993-08-31	VYDAJ	VYBER	15	21566	SLUZBY	\N	\N
2810399	9307	1993-09-30	VYDAJ	VYBER	15	43512	SLUZBY	\N	\N
2810400	9307	1993-10-31	VYDAJ	VYBER	15	46850	SLUZBY	\N	\N
2810401	9307	1993-11-30	VYDAJ	VYBER	15	19328	SLUZBY	\N	\N
2810402	9307	1993-12-31	VYDAJ	VYBER	15	19836	SLUZBY	\N	\N
2810403	9307	1994-01-31	VYDAJ	VYBER	15	19469	SLUZBY	\N	\N
2810404	9307	1994-02-28	VYDAJ	VYBER	15	15571	SLUZBY	\N	\N
2810405	9307	1994-03-31	VYDAJ	VYBER	15	26666	SLUZBY	\N	\N
2810406	9307	1994-04-30	VYDAJ	VYBER	15	34044	SLUZBY	\N	\N
2810407	9307	1994-05-31	VYDAJ	VYBER	15	26162	SLUZBY	\N	\N
2810408	9307	1994-06-30	VYDAJ	VYBER	15	65326	SLUZBY	\N	\N
2810409	9307	1994-07-31	VYDAJ	VYBER	15	40744	SLUZBY	\N	\N
2810410	9307	1994-08-31	VYDAJ	VYBER	15	54194	SLUZBY	\N	\N
2810411	9307	1994-09-30	VYDAJ	VYBER	15	39466	SLUZBY	\N	\N
2810412	9307	1994-10-31	VYDAJ	VYBER	15	30273	SLUZBY	\N	\N
2810413	9307	1994-11-30	VYDAJ	VYBER	15	30079	SLUZBY	\N	\N
2810414	9307	1994-12-31	VYDAJ	VYBER	15	27752	SLUZBY	\N	\N
2810415	9307	1995-01-31	VYDAJ	VYBER	15	54241	SLUZBY	\N	\N
2810416	9307	1995-02-28	VYDAJ	VYBER	15	69749	SLUZBY	\N	\N
2810417	9307	1995-03-31	VYDAJ	VYBER	15	59542	SLUZBY	\N	\N
2810418	9307	1995-04-30	VYDAJ	VYBER	15	46299	SLUZBY	\N	\N
2810419	9307	1995-05-31	VYDAJ	VYBER	15	32992	SLUZBY	\N	\N
2810420	9307	1995-06-30	VYDAJ	VYBER	15	34262	SLUZBY	\N	\N
2810421	9307	1995-07-31	VYDAJ	VYBER	15	34124	SLUZBY	\N	\N
2810422	9307	1995-08-31	VYDAJ	VYBER	15	32671	SLUZBY	\N	\N
2810423	9307	1995-09-30	VYDAJ	VYBER	15	34184	SLUZBY	\N	\N
2810424	9307	1995-10-31	VYDAJ	VYBER	15	24863	SLUZBY	\N	\N
2810425	9307	1995-11-30	VYDAJ	VYBER	15	32272	SLUZBY	\N	\N
2810426	9307	1995-12-31	VYDAJ	VYBER	15	33511	SLUZBY	\N	\N
2810427	9307	1996-01-31	VYDAJ	VYBER	15	54766	SLUZBY	\N	\N
2810428	9307	1996-02-29	VYDAJ	VYBER	15	74034	SLUZBY	\N	\N
2810429	9307	1996-03-31	VYDAJ	VYBER	15	94848	SLUZBY	\N	\N
2810430	9307	1996-04-30	VYDAJ	VYBER	15	88668	SLUZBY	\N	\N
2810431	9307	1996-05-31	VYDAJ	VYBER	15	31510	SLUZBY	\N	\N
2810432	9307	1996-06-30	VYDAJ	VYBER	15	32553	SLUZBY	\N	\N
2810433	9307	1996-07-31	VYDAJ	VYBER	15	92347	SLUZBY	\N	\N
2810434	9307	1996-08-31	VYDAJ	VYBER	15	98486	SLUZBY	\N	\N
2810435	9307	1996-09-30	VYDAJ	VYBER	15	73308	SLUZBY	\N	\N
2810436	9307	1996-10-31	VYDAJ	VYBER	15	135171	SLUZBY	\N	\N
2810437	9307	1996-11-30	VYDAJ	VYBER	15	79111	SLUZBY	\N	\N
2810438	9307	1996-12-31	VYDAJ	VYBER	15	62086	SLUZBY	\N	\N
2810439	9307	1997-01-31	VYDAJ	VYBER	15	32875	SLUZBY	\N	\N
2810440	9307	1997-02-28	VYDAJ	VYBER	15	37589	SLUZBY	\N	\N
2810441	9307	1997-03-31	VYDAJ	VYBER	15	69787	SLUZBY	\N	\N
2810442	9307	1997-04-30	VYDAJ	VYBER	15	51295	SLUZBY	\N	\N
2810443	9307	1997-05-31	VYDAJ	VYBER	15	42000	SLUZBY	\N	\N
2810444	9307	1997-06-30	VYDAJ	VYBER	15	88913	SLUZBY	\N	\N
2810445	9307	1997-07-31	VYDAJ	VYBER	15	87848	SLUZBY	\N	\N
2810446	9307	1997-08-31	VYDAJ	VYBER	15	89015	SLUZBY	\N	\N
2810447	9307	1997-09-30	VYDAJ	VYBER	15	106011	SLUZBY	\N	\N
2810448	9307	1997-10-31	VYDAJ	VYBER	15	77966	SLUZBY	\N	\N
2810449	9307	1997-11-30	VYDAJ	VYBER	15	94728	SLUZBY	\N	\N
2810450	9307	1997-12-31	VYDAJ	VYBER	15	79385	SLUZBY	\N	\N
2810451	9307	1998-01-31	VYDAJ	VYBER	15	59044	SLUZBY	\N	\N
2810452	9307	1998-02-28	VYDAJ	VYBER	15	47696	SLUZBY	\N	\N
2810453	9307	1998-03-31	VYDAJ	VYBER	15	79329	SLUZBY	\N	\N
2810454	9307	1998-04-30	VYDAJ	VYBER	15	57961	SLUZBY	\N	\N
2810455	9307	1998-05-31	VYDAJ	VYBER	15	84405	SLUZBY	\N	\N
2810456	9307	1998-06-30	VYDAJ	VYBER	15	70385	SLUZBY	\N	\N
2810457	9307	1998-07-31	VYDAJ	VYBER	15	86471	SLUZBY	\N	\N
2810458	9307	1998-08-31	VYDAJ	VYBER	15	56885	SLUZBY	\N	\N
2810459	9307	1998-09-30	VYDAJ	VYBER	15	73567	SLUZBY	\N	\N
2810460	9307	1998-10-31	VYDAJ	VYBER	15	59139	SLUZBY	\N	\N
2810461	9307	1998-11-30	VYDAJ	VYBER	15	82192	SLUZBY	\N	\N
2810462	9307	1993-02-23	PRIJEM	VKLAD	7100	13283	\N	\N	\N
2810463	9307	1993-03-25	VYDAJ	VYBER	1300	28558	\N	\N	\N
2810464	9307	1993-04-24	VYDAJ	VYBER	7100	30115	\N	\N	\N
2810465	9307	1993-05-24	VYDAJ	VYBER	12300	37753	\N	\N	\N
2810466	9307	1993-06-23	VYDAJ	VYBER	26800	55824	\N	\N	\N
2810467	9307	1993-06-26	VYDAJ	VYBER	24800	52623	\N	\N	\N
2810468	9307	1993-06-26	VYDAJ	VYBER	51700	77423	\N	\N	\N
2810469	9307	1993-07-23	VYDAJ	VYBER	9900	30743	\N	\N	\N
2810470	9307	1993-08-22	PRIJEM	VKLAD	800	21422	\N	\N	\N
2810471	9307	1993-09-21	PRIJEM	VKLAD	8200	18477	\N	\N	\N
2810472	9307	1993-10-21	VYDAJ	VYBER	23800	46442	\N	\N	\N
2810473	9307	1993-11-20	PRIJEM	VKLAD	2500	19189	\N	\N	\N
2810474	9307	1993-12-20	PRIJEM	VKLAD	11300	23239	\N	\N	\N
2810475	9307	1994-01-19	PRIJEM	VKLAD	10700	19347	\N	\N	\N
2810476	9307	1994-02-18	PRIJEM	VKLAD	7000	15480	\N	\N	\N
2810477	9307	1994-03-20	PRIJEM	VKLAD	2100	26466	\N	\N	\N
2810478	9307	1994-04-19	VYDAJ	VYBER	8800	33718	\N	\N	\N
2810479	9307	1994-05-19	PRIJEM	VKLAD	2500	25955	\N	\N	\N
2810480	9307	1994-06-18	PRIJEM	VKLAD	7300	21873	\N	\N	\N
2810481	9307	1994-07-18	VYDAJ	VYBER	14000	40337	\N	\N	\N
2810482	9307	1994-08-17	VYDAJ	VYBER	21700	53789	\N	\N	\N
2810483	9307	1994-09-16	VYDAJ	VYBER	3500	39205	\N	\N	\N
2810484	9307	1994-10-16	PRIJEM	VKLAD	1500	30086	\N	\N	\N
2810485	9307	1994-11-15	PRIJEM	VKLAD	3100	29881	\N	\N	\N
2810486	9307	1994-12-15	PRIJEM	VKLAD	8400	27598	\N	\N	\N
2810487	9307	1995-01-14	PRIJEM	VKLAD	8500	25372	\N	\N	\N
2810488	9307	1995-02-13	VYDAJ	VYBER	2600	43496	\N	\N	\N
2810489	9307	1995-03-15	VYDAJ	VYBER	17200	59068	\N	\N	\N
2810490	9307	1995-04-14	VYDAJ	VYBER	600	45961	\N	\N	\N
2810491	9307	1995-05-14	PRIJEM	VKLAD	7900	32733	\N	\N	\N
2810492	9307	1995-06-13	PRIJEM	VKLAD	11900	36746	\N	\N	\N
2810493	9307	1995-07-13	PRIJEM	VKLAD	10500	36616	\N	\N	\N
2810494	9307	1995-08-12	PRIJEM	VKLAD	11800	38700	\N	\N	\N
2810495	9307	1995-09-11	PRIJEM	VKLAD	12200	40217	\N	\N	\N
2810496	9307	1995-10-11	PRIJEM	VKLAD	7400	34030	\N	\N	\N
2810497	9307	1995-11-10	PRIJEM	VKLAD	17800	34809	\N	\N	\N
2810498	9307	1995-12-10	PRIJEM	VKLAD	11100	38718	\N	\N	\N
2810499	9307	1996-01-09	PRIJEM	VKLAD	9500	35057	\N	\N	\N
2810500	9307	1996-02-08	PRIJEM	VKLAD	3700	45584	\N	\N	\N
2810501	9307	1996-02-23	VYDAJ	VYBER	29900	96942	\N	\N	\N
2810502	9307	1996-02-29	VYDAJ	VYBER	43600	74049	\N	\N	\N
2810503	9307	1996-03-09	VYDAJ	VYBER	31800	80837	\N	\N	\N
2810504	9307	1996-03-15	VYDAJ	VYBER	23600	94187	\N	\N	\N
2810505	9307	1996-04-08	VYDAJ	VYBER	12100	60394	\N	\N	\N
2810506	9307	1996-04-15	VYDAJ	VYBER	20500	106909	\N	\N	\N
2810507	9307	1996-04-25	VYDAJ	VYBER	27600	87931	\N	\N	\N
2810508	9307	1996-05-04	VYDAJ	VYBER	63100	56542	\N	\N	\N
2810509	9307	1996-05-08	PRIJEM	VKLAD	6300	55388	\N	\N	\N
2810510	9307	1996-06-07	PRIJEM	VKLAD	21000	44956	\N	\N	\N
2810511	9307	1996-07-07	PRIJEM	VKLAD	11200	50822	\N	\N	\N
2810512	9307	1996-07-29	VYDAJ	VYBER	43000	91715	\N	\N	\N
2810513	9307	1996-08-06	VYDAJ	VYBER	9200	78493	\N	\N	\N
2810514	9307	1996-09-05	VYDAJ	VYBER	26900	139534	\N	\N	\N
2810515	9307	1996-09-05	VYDAJ	VYBER	32800	106734	\N	\N	\N
2810516	9307	1996-09-26	VYDAJ	VYBER	61100	72598	\N	\N	\N
2810517	9307	1996-10-02	VYDAJ	VYBER	44000	78266	\N	\N	\N
2810518	9307	1996-10-05	VYDAJ	VYBER	3600	74666	\N	\N	\N
2810519	9307	1996-10-31	VYDAJ	VYBER	17700	117471	\N	\N	\N
2810520	9307	1996-11-04	VYDAJ	VYBER	25300	92171	\N	\N	\N
2810521	9307	1996-12-04	PRIJEM	VKLAD	8700	65480	\N	\N	\N
2810522	9307	1997-01-03	PRIJEM	VKLAD	2000	64086	\N	\N	\N
2810523	9307	1997-02-02	PRIJEM	VKLAD	17400	50275	\N	\N	\N
2810524	9307	1997-03-04	PRIJEM	VKLAD	14200	51789	\N	\N	\N
2810525	9307	1997-04-03	PRIJEM	VKLAD	11900	81687	\N	\N	\N
2810526	9307	1997-05-03	PRIJEM	VKLAD	10000	61295	\N	\N	\N
2810527	9307	1997-06-02	PRIJEM	VKLAD	14800	56800	\N	\N	\N
2810528	9307	1997-07-02	VYDAJ	VYBER	6800	82113	\N	\N	\N
2810529	9307	1997-08-01	VYDAJ	VYBER	3100	84748	\N	\N	\N
2810530	9307	1997-08-24	VYDAJ	VYBER	24700	112461	\N	\N	\N
2810531	9307	1997-08-31	VYDAJ	VYBER	14200	89029	\N	\N	\N
2810532	9307	1997-09-30	VYDAJ	VYBER	19300	86711	\N	\N	\N
2810533	9307	1997-10-30	VYDAJ	VYBER	6200	77357	\N	\N	\N
2810534	9307	1997-11-27	VYDAJ	VYBER	61700	68617	\N	\N	\N
2810535	9307	1997-11-29	VYDAJ	VYBER	2600	66017	\N	\N	\N
2810536	9307	1997-12-29	VYDAJ	VYBER	7200	78784	\N	\N	\N
2810537	9307	1998-01-28	PRIJEM	VKLAD	18800	58696	\N	\N	\N
2810538	9307	1998-02-27	PRIJEM	VKLAD	12700	60855	\N	\N	\N
2810539	9307	1998-03-29	VYDAJ	VYBER	3900	78828	\N	\N	\N
2810540	9307	1998-04-28	PRIJEM	VKLAD	17800	64009	\N	\N	\N
2810541	9307	1998-05-28	VYDAJ	VYBER	5100	84095	\N	\N	\N
2810542	9307	1998-06-27	PRIJEM	VKLAD	11200	69973	\N	\N	\N
2810543	9307	1998-07-27	PRIJEM	VKLAD	11000	69896	\N	\N	\N
2810544	9307	1998-08-26	PRIJEM	VKLAD	15900	63066	\N	\N	\N
2810545	9307	1998-09-25	PRIJEM	VKLAD	6400	73227	\N	\N	\N
2810546	9307	1998-10-25	PRIJEM	VKLAD	19900	69578	\N	\N	\N
2810547	9307	1998-11-24	PRIJEM	VKLAD	10300	81667	\N	\N	\N
2810548	9307	1998-12-16	VYDAJ	VYBER	25100	113443	\N	\N	\N
2810549	9307	1998-12-18	VYDAJ	VYBER	49800	98406	\N	\N	\N
2810550	9307	1998-12-24	VYDAJ	VYBER	2900	93106	\N	\N	\N
2819067	9333	1996-11-08	PRIJEM	VKLAD	500	500	\N	\N	\N
2819070	9333	1997-04-26	PRIJEM	VKLAD	8939	79388	\N	\N	\N
2819071	9333	1997-10-31	PRIJEM	VKLAD	35953	53089	\N	\N	\N
2819072	9333	1997-01-27	PRIJEM	VKLAD	18982	60614	\N	\N	\N
2819073	9333	1997-01-13	PRIJEM	VKLAD	22832	41632	\N	\N	\N
2819074	9333	1997-06-25	PRIJEM	VKLAD	49271	70401	\N	\N	\N
2819075	9333	1997-03-12	PRIJEM	VKLAD	10863	65385	\N	\N	\N
2819076	9333	1997-02-24	PRIJEM	VKLAD	35439	95625	\N	\N	\N
2819077	9333	1997-05-14	PRIJEM	VKLAD	11376	55260	\N	\N	\N
2819078	9333	1997-03-20	PRIJEM	VKLAD	40078	86067	\N	\N	\N
2819079	9333	1997-06-09	PRIJEM	VKLAD	8323	53190	\N	\N	\N
2819080	9333	1997-03-30	PRIJEM	VKLAD	14378	100445	\N	\N	\N
2819081	9333	1997-02-17	PRIJEM	VKLAD	18042	60186	\N	\N	\N
2819082	9333	1997-05-16	PRIJEM	VKLAD	21019	76279	\N	\N	\N
2819083	9333	1997-04-11	PRIJEM	VKLAD	25278	88135	\N	\N	\N
2819084	9333	1997-09-08	PRIJEM	VKLAD	18311	28194	\N	\N	\N
2819085	9333	1997-04-28	PRIJEM	VKLAD	20441	99829	\N	\N	\N
2819086	9333	1997-11-18	PRIJEM	VKLAD	15585	32720	\N	\N	\N
2819087	9333	1998-03-21	PRIJEM	VKLAD	9955	114971	\N	\N	\N
2819088	9333	1998-10-26	PRIJEM	VKLAD	11331	118124	\N	\N	\N
2819089	9333	1998-01-30	PRIJEM	VKLAD	44734	119037	\N	\N	\N
2819090	9333	1998-07-24	PRIJEM	VKLAD	17008	74867	\N	\N	\N
2819091	9333	1998-08-24	PRIJEM	VKLAD	29847	98549	\N	\N	\N
2819092	9333	1998-10-02	PRIJEM	VKLAD	9172	71719	\N	\N	\N
2819093	9333	1998-03-12	PRIJEM	VKLAD	14626	105016	\N	\N	\N
2819094	9333	1998-12-25	PRIJEM	VKLAD	9930	70581	\N	\N	\N
2819095	9333	1998-02-21	PRIJEM	VKLAD	46161	111005	\N	\N	\N
2819096	9333	1998-03-12	PRIJEM	VKLAD	21217	90390	\N	\N	\N
2819097	9333	1998-01-07	PRIJEM	VKLAD	35004	36910	\N	\N	\N
2819098	9333	1998-03-25	PRIJEM	VKLAD	31127	114998	\N	\N	\N
2819099	9333	1998-08-27	PRIJEM	VKLAD	37122	135671	\N	\N	\N
2819100	9333	1998-09-14	PRIJEM	VKLAD	31490	94448	\N	\N	\N
2819101	9333	1998-08-22	PRIJEM	VKLAD	7100	68702	\N	\N	\N
2819102	9333	1998-01-19	PRIJEM	VKLAD	46698	86603	\N	\N	\N
2819103	9333	1998-01-11	PRIJEM	VKLAD	12595	49505	\N	\N	\N
2819104	9333	1998-11-12	PRIJEM	VKLAD	38785	101894	\N	\N	\N
2819105	9333	1998-04-14	PRIJEM	VKLAD	10038	80627	\N	\N	\N
2819106	9333	1998-06-23	PRIJEM	VKLAD	48754	64705	\N	\N	\N
2819107	9333	1998-06-30	PRIJEM	VKLAD	36588	86174	\N	\N	\N
2819108	9333	1998-10-10	PRIJEM	VKLAD	34157	98460	\N	\N	\N
2819109	9333	1998-10-25	PRIJEM	VKLAD	8333	106793	\N	\N	\N
2819110	9333	1998-04-19	PRIJEM	VKLAD	32921	113548	\N	\N	\N
2819111	9333	1998-03-07	PRIJEM	VKLAD	24746	69173	\N	\N	\N
2819112	9333	1998-07-19	PRIJEM	VKLAD	23429	57859	\N	\N	\N
2819113	9333	1998-03-30	PRIJEM	VKLAD	9388	106986	\N	\N	\N
2819114	9333	1998-07-28	PRIJEM	VKLAD	20844	95711	\N	\N	\N
2819128	9333	1997-07-11	VYBER	VYBER	20153	24255	\N	\N	\N
2819129	9333	1997-04-21	VYBER	VYBER	17686	70449	\N	\N	\N
2819130	9333	1997-11-06	VYBER	VYBER	16103	17135	\N	\N	\N
2819131	9333	1997-05-01	VYBER	VYBER	14976	61384	\N	\N	\N
2819132	9333	1997-12-24	VYBER	VYBER	19446	-429	\N	\N	\N
2819133	9333	1997-06-15	VYBER	VYBER	18620	34570	\N	\N	\N
2819134	9333	1997-08-25	VYBER	VYBER	21212	-846	\N	\N	\N
2819135	9333	1997-05-25	VYBER	VYBER	8247	62032	\N	\N	\N
2819136	9333	1997-06-16	VYBER	VYBER	13440	21130	\N	\N	\N
2819138	9333	1997-04-29	VYBER	VYBER	24038	75791	\N	\N	\N
2819139	9333	1997-10-01	VYBER	VYBER	16184	12160	\N	\N	\N
2819140	9333	1997-03-15	VYBER	VYBER	19396	45989	\N	\N	\N
2819141	9333	1998-10-08	VYBER	VYBER	7416	64303	\N	\N	\N
2819142	9333	1998-09-14	VYBER	VYBER	2173	92275	\N	\N	\N
2819143	9333	1998-06-28	VYBER	VYBER	15340	49365	\N	\N	\N
2819144	9333	1998-06-08	VYBER	VYBER	21568	15951	\N	\N	\N
2819145	9333	1998-07-08	VYBER	VYBER	21630	34430	\N	\N	\N
2819146	9333	1998-09-20	VYBER	VYBER	12787	79488	\N	\N	\N
2819152	9333	1998-12-02	VYDAJ	VYBER	8100	65451	\N	\N	\N
2819165	9333	1998-01-05	VYDAJ	VYBER	6000	1906	\N	\N	\N
2819166	9333	1998-01-25	VYDAJ	VYBER	7500	74303	\N	\N	\N
2819167	9333	1998-01-04	VYDAJ	VYBER	6000	7906	\N	\N	\N
2819168	9333	1998-01-17	VYDAJ	VYBER	3300	39905	\N	\N	\N
2819169	9333	1998-01-21	VYDAJ	VYBER	4800	81803	\N	\N	\N
2819170	9333	1998-01-16	VYDAJ	VYBER	6300	43205	\N	\N	\N
2819175	9333	1997-11-24	VYDAJ	VYBER	12600	20120	\N	\N	\N
2819177	9333	1997-05-17	VYDAJ	VYBER	6000	70279	\N	\N	\N
2819179	9333	1998-08-11	VYDAJ	VYBER	4500	61602	\N	\N	\N
2819180	9333	1998-05-21	VYDAJ	VYBER	13500	45983	\N	\N	\N
2819181	9333	1998-12-03	VYDAJ	VYBER	4800	60651	\N	\N	\N
2819182	9333	1998-04-19	VYDAJ	VYBER	9000	104548	\N	\N	\N
2819198	9333	1997-03-31	VYDAJ	VYBER	15	100957	SLUZBY	\N	\N
2819199	9333	1997-04-30	VYDAJ	VYBER	15	76360	SLUZBY	\N	\N
2819200	9333	1997-05-31	VYDAJ	VYBER	15	62467	SLUZBY	\N	\N
2819201	9333	1997-06-30	VYDAJ	VYBER	15	70708	SLUZBY	\N	\N
2819202	9333	1997-07-31	VYDAJ	VYBER	15	24466	SLUZBY	\N	\N
2819203	9333	1997-08-31	VYDAJ	VYBER	15	-709	SLUZBY	\N	\N
2819204	9333	1997-09-30	VYDAJ	VYBER	15	28344	SLUZBY	\N	\N
2819205	9333	1997-10-31	VYDAJ	VYBER	15	53138	SLUZBY	\N	\N
2819206	9333	1997-11-30	VYDAJ	VYBER	15	20317	SLUZBY	\N	\N
2819207	9333	1997-12-31	VYDAJ	VYBER	15	-385	SLUZBY	\N	\N
2819208	9333	1998-01-31	VYDAJ	VYBER	15	101044	SLUZBY	\N	\N
2819209	9333	1998-02-28	VYDAJ	VYBER	15	58927	SLUZBY	\N	\N
2819210	9333	1998-03-31	VYDAJ	VYBER	15	107689	SLUZBY	\N	\N
2819211	9333	1998-04-30	VYDAJ	VYBER	15	87683	SLUZBY	\N	\N
2819212	9333	1998-05-31	VYDAJ	VYBER	15	46319	SLUZBY	\N	\N
2819213	9333	1998-06-30	VYDAJ	VYBER	15	86160	SLUZBY	\N	\N
2819214	9333	1998-07-31	VYDAJ	VYBER	15	96102	SLUZBY	\N	\N
2819215	9333	1998-08-31	VYDAJ	VYBER	15	62958	SLUZBY	\N	\N
2819216	9333	1998-09-30	VYDAJ	VYBER	15	62547	SLUZBY	\N	\N
2819217	9333	1998-10-31	VYDAJ	VYBER	15	63109	SLUZBY	\N	\N
2819218	9333	1998-11-30	VYDAJ	VYBER	15	73551	SLUZBY	\N	\N
2819219	9333	1996-12-08	PRIJEM	VKLAD	11600	12100	\N	\N	\N
2819220	9333	1997-01-07	PRIJEM	VKLAD	6700	18800	\N	\N	\N
2819221	9333	1997-02-06	VYDAJ	VYBER	18700	42144	\N	\N	\N
2819222	9333	1997-03-08	VYDAJ	VYBER	41500	54522	\N	\N	\N
2819223	9333	1997-04-07	VYDAJ	VYBER	38100	62857	\N	\N	\N
2819224	9333	1997-05-07	VYDAJ	VYBER	17500	43884	\N	\N	\N
2819225	9333	1997-06-06	VYDAJ	VYBER	17600	44867	\N	\N	\N
2819226	9333	1997-07-06	VYDAJ	VYBER	26300	44408	\N	\N	\N
2819227	9333	1997-08-05	VYDAJ	VYBER	4100	20366	\N	\N	\N
2819228	9333	1997-09-04	PRIJEM	VKLAD	10600	9883	\N	\N	\N
2819229	9333	1997-10-04	PRIJEM	VKLAD	4900	17060	\N	\N	\N
2819230	9333	1997-11-03	VYDAJ	VYBER	19900	33238	\N	\N	\N
2819231	9333	1997-12-03	VYDAJ	VYBER	1300	19017	\N	\N	\N
2819232	9333	1998-01-02	PRIJEM	VKLAD	14300	13906	\N	\N	\N
2819233	9333	1998-01-30	VYDAJ	VYBER	18400	100637	\N	\N	\N
2819234	9333	1998-02-01	VYDAJ	VYBER	36200	64844	\N	\N	\N
2819235	9333	1998-02-21	VYDAJ	VYBER	52900	58105	\N	\N	\N
2819236	9333	1998-03-03	VYDAJ	VYBER	14500	44427	\N	\N	\N
2819237	9333	1998-03-21	VYDAJ	VYBER	31100	83871	\N	\N	\N
2819238	9333	1998-03-25	VYDAJ	VYBER	17400	97598	\N	\N	\N
2819239	9333	1998-04-02	VYDAJ	VYBER	37100	70589	\N	\N	\N
2819240	9333	1998-04-19	VYDAJ	VYBER	17500	87048	\N	\N	\N
2819241	9333	1998-05-02	VYDAJ	VYBER	28200	59483	\N	\N	\N
2819242	9333	1998-06-01	VYDAJ	VYBER	8800	37519	\N	\N	\N
2819243	9333	1998-07-01	VYDAJ	VYBER	30100	56060	\N	\N	\N
2819244	9333	1998-07-31	VYDAJ	VYBER	30000	66102	\N	\N	\N
2819245	9333	1998-08-27	VYDAJ	VYBER	50700	84971	\N	\N	\N
2819246	9333	1998-08-30	VYDAJ	VYBER	22400	62571	\N	\N	\N
2819247	9333	1998-09-29	VYDAJ	VYBER	17400	62088	\N	\N	\N
2819248	9333	1998-10-26	VYDAJ	VYBER	39900	78224	\N	\N	\N
2819249	9333	1998-10-29	VYDAJ	VYBER	15700	62524	\N	\N	\N
2819250	9333	1998-11-28	VYDAJ	VYBER	28600	73294	\N	\N	\N
2820215	9337	1993-09-13	PRIJEM	VKLAD	900	900	\N	\N	\N
2820220	9337	1993-12-20	PRIJEM	VKLAD	13162	54237	\N	\N	\N
2820222	9337	1993-09-19	PRIJEM	VKLAD	23029	23929	\N	\N	\N
2820228	9337	1993-11-13	PRIJEM	VKLAD	29556	57834	\N	\N	\N
2820235	9337	1993-09-29	PRIJEM	VKLAD	15098	39027	\N	\N	\N
2820242	9337	1994-02-03	PRIJEM	VKLAD	42254	55333	\N	\N	\N
2820243	9337	1994-03-24	PRIJEM	VKLAD	44473	57880	\N	\N	\N
2820244	9337	1994-05-24	PRIJEM	VKLAD	38840	58542	\N	\N	\N
2820245	9337	1994-01-04	PRIJEM	VKLAD	5159	59944	\N	\N	\N
2820246	9337	1994-02-02	PRIJEM	VKLAD	12687	13079	\N	\N	\N
2820247	9337	1995-09-26	PRIJEM	VKLAD	12416	37769	\N	\N	\N
2820248	9337	1995-10-19	PRIJEM	VKLAD	28908	64189	\N	\N	\N
2820249	9337	1995-08-24	PRIJEM	VKLAD	26790	70660	\N	\N	\N
2820250	9337	1995-05-07	PRIJEM	VKLAD	25321	45102	\N	\N	\N
2820251	9337	1995-10-31	PRIJEM	VKLAD	12900	73076	\N	\N	\N
2820252	9337	1995-07-03	PRIJEM	VKLAD	20833	112194	\N	\N	\N
2820253	9337	1995-06-08	PRIJEM	VKLAD	22187	56129	\N	\N	\N
2820254	9337	1995-08-05	PRIJEM	VKLAD	11535	46042	\N	\N	\N
2820255	9337	1995-06-24	PRIJEM	VKLAD	47600	90757	\N	\N	\N
2820256	9337	1996-06-05	PRIJEM	VKLAD	6642	40977	\N	\N	\N
2820257	9337	1997-12-02	PRIJEM	VKLAD	37100	151698	\N	\N	\N
2820258	9337	1997-07-01	PRIJEM	VKLAD	21614	86264	\N	\N	\N
2820259	9337	1997-11-02	PRIJEM	VKLAD	33604	93707	\N	\N	\N
2820260	9337	1997-11-10	PRIJEM	VKLAD	41237	132744	\N	\N	\N
2820261	9337	1997-12-17	PRIJEM	VKLAD	39987	161685	\N	\N	\N
2820262	9337	1997-08-09	PRIJEM	VKLAD	6684	110939	\N	\N	\N
2820263	9337	1997-05-15	PRIJEM	VKLAD	26017	79577	\N	\N	\N
2820264	9337	1997-07-23	PRIJEM	VKLAD	33996	121365	\N	\N	\N
2820265	9337	1997-08-15	PRIJEM	VKLAD	29183	130272	\N	\N	\N
2820266	9337	1997-11-29	PRIJEM	VKLAD	38691	113535	\N	\N	\N
2820267	9337	1997-08-06	PRIJEM	VKLAD	37270	104255	\N	\N	\N
2820268	9337	1997-09-08	PRIJEM	VKLAD	28968	101733	\N	\N	\N
2820269	9337	1997-07-24	PRIJEM	VKLAD	17190	85655	\N	\N	\N
2820270	9337	1997-06-02	PRIJEM	VKLAD	5158	113115	\N	\N	\N
2820271	9337	1997-07-04	PRIJEM	VKLAD	45060	131324	\N	\N	\N
2820272	9337	1997-02-16	PRIJEM	VKLAD	5430	13918	\N	\N	\N
2820273	9337	1997-09-19	PRIJEM	VKLAD	42527	141960	\N	\N	\N
2820274	9337	1997-07-06	PRIJEM	VKLAD	27745	129269	\N	\N	\N
2820275	9337	1997-08-09	PRIJEM	VKLAD	19350	130289	\N	\N	\N
2820276	9337	1997-05-27	PRIJEM	VKLAD	8055	72432	\N	\N	\N
2820277	9337	1997-10-13	PRIJEM	VKLAD	12227	79285	\N	\N	\N
2820278	9337	1997-06-21	PRIJEM	VKLAD	34758	142795	\N	\N	\N
2820279	9337	1997-05-29	PRIJEM	VKLAD	34871	107303	\N	\N	\N
2820280	9337	1997-03-05	PRIJEM	VKLAD	34402	65768	\N	\N	\N
2820281	9337	1997-09-23	PRIJEM	VKLAD	39340	121100	\N	\N	\N
2820282	9337	1998-05-31	PRIJEM	VKLAD	48506	103556	\N	\N	\N
2820283	9337	1998-03-02	PRIJEM	VKLAD	47595	88528	\N	\N	\N
2820296	9337	1994-01-07	VYDAJ	VYBER	2400	57544	\N	\N	0
2820297	9337	1994-02-10	VYDAJ	VYBER	2200	46233	\N	\N	0
2820298	9337	1994-03-06	VYDAJ	VYBER	2500	30860	\N	\N	0
2820299	9337	1994-04-04	VYDAJ	VYBER	1600	45791	\N	\N	0
2820300	9337	1994-05-03	VYDAJ	VYBER	2200	17002	\N	\N	0
2820301	9337	1994-06-12	VYDAJ	PREVOD NA UCET	2172	39773	UVER	CD	56037777
2820302	9337	1994-07-12	VYDAJ	PREVOD NA UCET	2172	32061	UVER	CD	56037777
2820303	9337	1994-08-12	VYDAJ	PREVOD NA UCET	2172	23409	UVER	CD	56037777
2820304	9337	1994-09-12	VYDAJ	PREVOD NA UCET	2172	22603	UVER	CD	56037777
2820305	9337	1994-10-12	VYDAJ	PREVOD NA UCET	2172	23573	UVER	CD	56037777
2820306	9337	1994-11-12	VYDAJ	PREVOD NA UCET	2172	22342	UVER	CD	56037777
2820307	9337	1994-12-12	VYDAJ	PREVOD NA UCET	2172	14924	UVER	CD	56037777
2820308	9337	1995-01-12	VYDAJ	PREVOD NA UCET	2172	14760	UVER	CD	56037777
2820309	9337	1995-02-12	VYDAJ	PREVOD NA UCET	2172	13197	UVER	CD	56037777
2820310	9337	1995-03-12	VYDAJ	PREVOD NA UCET	2172	15169	UVER	CD	56037777
2820311	9337	1995-04-12	VYDAJ	PREVOD NA UCET	2172	17526	UVER	CD	56037777
2820312	9337	1995-05-12	VYDAJ	PREVOD NA UCET	2172	42930	UVER	CD	56037777
2820313	9337	1995-06-12	VYDAJ	PREVOD NA UCET	2172	43157	UVER	CD	56037777
2820314	9337	1995-07-12	VYDAJ	PREVOD NA UCET	2172	36822	UVER	CD	56037777
2820315	9337	1995-08-12	VYDAJ	PREVOD NA UCET	2172	43870	UVER	CD	56037777
2820316	9337	1995-09-12	VYDAJ	PREVOD NA UCET	2172	49653	UVER	CD	56037777
2820317	9337	1995-10-12	VYDAJ	PREVOD NA UCET	2172	35281	UVER	CD	56037777
2820318	9337	1995-11-12	VYDAJ	PREVOD NA UCET	2172	52032	UVER	CD	56037777
2820319	9337	1995-12-12	VYDAJ	PREVOD NA UCET	2172	30920	UVER	CD	56037777
2820320	9337	1996-01-12	VYDAJ	PREVOD NA UCET	2172	20378	UVER	CD	56037777
2820321	9337	1996-02-12	VYDAJ	PREVOD NA UCET	2172	19976	UVER	CD	56037777
2820322	9337	1996-03-12	VYDAJ	PREVOD NA UCET	2172	20213	UVER	CD	56037777
2820323	9337	1996-04-12	VYDAJ	PREVOD NA UCET	2172	22084	UVER	CD	56037777
2820324	9337	1996-05-12	VYDAJ	PREVOD NA UCET	2172	29531	UVER	CD	56037777
2820325	9337	1996-06-11	VYDAJ	VYBER	2300	17077	\N	\N	0
2820326	9337	1996-07-10	VYDAJ	VYBER	2200	25036	\N	\N	0
2820327	9337	1996-08-11	VYDAJ	VYBER	2000	28549	\N	\N	0
2820328	9337	1996-09-17	VYDAJ	VYBER	2400	33103	\N	\N	0
2820329	9337	1996-10-19	VYDAJ	VYBER	2100	27547	\N	\N	0
2820330	9337	1996-11-10	VYDAJ	VYBER	2100	31975	\N	\N	0
2820331	9337	1996-12-19	VYDAJ	VYBER	1700	26878	\N	\N	0
2820334	9337	1997-03-12	VYDAJ	VYBER	1600	57969	\N	\N	0
2820335	9337	1997-04-18	VYDAJ	VYBER	1900	52348	\N	\N	0
2820336	9337	1997-05-10	VYDAJ	VYBER	1800	53560	\N	\N	0
2820337	9337	1997-06-19	VYDAJ	VYBER	1600	108037	\N	\N	0
2820338	9337	1997-07-18	VYDAJ	VYBER	2200	87369	\N	\N	0
2820339	9337	1997-08-14	VYDAJ	VYBER	1700	101089	\N	\N	0
2820340	9337	1997-09-08	VYDAJ	VYBER	2300	99433	\N	\N	0
2820341	9337	1997-10-09	VYDAJ	VYBER	1800	67058	\N	\N	0
2820342	9337	1997-11-03	VYDAJ	VYBER	2200	91507	\N	\N	0
2820343	9337	1997-12-19	VYDAJ	VYBER	1700	113112	\N	\N	0
2820344	9337	1998-01-09	VYDAJ	VYBER	2100	68331	\N	\N	0
2820345	9337	1998-02-14	VYDAJ	VYBER	2600	25396	\N	\N	0
2820346	9337	1998-03-17	VYDAJ	VYBER	1800	76528	\N	\N	0
2820347	9337	1998-04-04	VYDAJ	VYBER	1900	65009	\N	\N	0
2820348	9337	1998-05-14	VYDAJ	VYBER	2500	57389	\N	\N	0
2820349	9337	1998-06-10	VYDAJ	VYBER	2100	101441	\N	\N	0
2820350	9337	1998-07-17	VYDAJ	VYBER	2100	25222	\N	\N	0
2820351	9337	1998-08-20	VYDAJ	VYBER	1900	45547	\N	\N	0
2820352	9337	1998-09-09	VYDAJ	VYBER	2200	43681	\N	\N	0
2820353	9337	1998-10-16	VYDAJ	VYBER	1900	56024	\N	\N	0
2820354	9337	1998-11-08	VYDAJ	VYBER	1700	54280	\N	\N	0
2820355	9337	1998-12-11	VYDAJ	VYBER	2000	29998	\N	\N	0
2820367	9337	1994-11-20	VYBER	VYBER	9109	13233	\N	\N	\N
2820368	9337	1994-04-22	VYBER	VYBER	18076	18815	\N	\N	\N
2820369	9337	1994-12-27	VYBER	VYBER	9210	5714	\N	\N	\N
2820370	9337	1994-01-21	VYBER	VYBER	8800	4944	\N	\N	\N
2820371	9337	1994-03-11	VYBER	VYBER	18053	12807	\N	\N	\N
2820373	9337	1994-07-17	VYBER	VYBER	5046	27015	\N	\N	\N
2820375	9337	1996-10-24	VYBER	VYBER	8616	18931	\N	\N	\N
2820377	9337	1996-02-21	VYBER	VYBER	9890	10086	\N	\N	\N
2820379	9337	1996-08-12	VYBER	VYBER	5388	23161	\N	\N	\N
2820381	9337	1996-11-25	VYBER	VYBER	24995	6980	\N	\N	\N
2820383	9337	1997-06-15	VYBER	VYBER	3478	109637	\N	\N	\N
2820385	9337	1997-01-02	VYBER	VYBER	13945	22432	\N	\N	\N
2820386	9337	1997-03-10	VYBER	VYBER	6199	59569	\N	\N	\N
2820387	9337	1997-10-28	VYBER	VYBER	7492	59293	\N	\N	\N
2820388	9337	1997-12-18	VYBER	VYBER	2673	121412	\N	\N	\N
2820389	9337	1998-10-22	VYBER	VYBER	8668	55456	\N	\N	\N
2820390	9337	1998-02-08	VYBER	VYBER	10111	27996	\N	\N	\N
2820391	9337	1998-11-17	VYBER	VYBER	16546	37634	\N	\N	\N
2820394	9337	1995-06-09	VYDAJ	VYBER	10800	45329	\N	\N	\N
2820395	9337	1996-06-08	VYDAJ	VYBER	16500	24477	\N	\N	\N
2820397	9337	1998-06-21	VYDAJ	VYBER	44700	35241	\N	\N	\N
2820399	9337	1994-01-09	VYDAJ	VYBER	27300	30244	\N	\N	\N
2820403	9337	1998-01-13	VYDAJ	VYBER	4800	58731	\N	\N	\N
2820405	9337	1994-12-01	VYDAJ	VYBER	3600	9796	\N	\N	\N
2820406	9337	1995-12-11	VYDAJ	VYBER	6600	33092	\N	\N	\N
2820407	9337	1996-12-24	VYDAJ	VYBER	7500	19378	\N	\N	\N
2820408	9337	1997-12-18	VYDAJ	VYBER	6600	114812	\N	\N	\N
2820409	9337	1998-12-01	VYDAJ	VYBER	6000	31998	\N	\N	\N
2820416	9337	1994-01-21	VYDAJ	VYBER	4800	144	\N	\N	\N
2820418	9337	1994-01-14	VYDAJ	VYBER	3600	21544	\N	\N	\N
2820419	9337	1994-01-11	VYDAJ	VYBER	6000	25144	\N	\N	\N
2820420	9337	1994-01-20	VYDAJ	VYBER	7800	13744	\N	\N	\N
2820422	9337	1995-01-16	VYDAJ	VYBER	5700	1560	\N	\N	\N
2820425	9337	1995-01-07	VYDAJ	VYBER	1800	16932	\N	\N	\N
2820427	9337	1995-01-13	VYDAJ	VYBER	7500	7260	\N	\N	\N
2820428	9337	1996-01-09	VYDAJ	VYBER	4800	22550	\N	\N	\N
2820429	9337	1996-01-30	VYDAJ	VYBER	4800	5078	\N	\N	\N
2820430	9337	1996-01-08	VYDAJ	VYBER	5100	27350	\N	\N	\N
2820431	9337	1996-01-24	VYDAJ	VYBER	7200	11678	\N	\N	\N
2820432	9337	1996-01-29	VYDAJ	VYBER KARTOU	1800	9878	\N	\N	0
2820433	9337	1996-01-13	VYDAJ	VYBER KARTOU	1500	18878	\N	\N	0
2820434	9337	1997-01-06	VYDAJ	VYBER	4500	14032	\N	\N	\N
2820436	9337	1997-01-28	VYDAJ	VYBER	8400	8432	\N	\N	\N
2820437	9337	1997-01-03	VYDAJ	VYBER KARTOU	3900	18532	\N	\N	0
2820438	9337	1997-01-09	VYDAJ	VYBER KARTOU	2700	11332	\N	\N	0
2820440	9337	1998-01-23	VYDAJ	VYBER	5400	44231	\N	\N	\N
2820441	9337	1998-01-10	VYDAJ	VYBER	4800	63531	\N	\N	\N
2820442	9337	1998-01-25	VYDAJ	VYBER KARTOU	2700	37631	\N	\N	0
2820443	9337	1998-01-09	VYDAJ	VYBER	6900	70431	\N	\N	\N
2820444	9337	1998-01-19	VYDAJ	VYBER	8400	50331	\N	\N	\N
2820445	9337	1998-01-24	VYDAJ	VYBER KARTOU	3900	40331	\N	\N	0
2820451	9337	1994-03-11	VYDAJ	VYBER	10800	2007	\N	\N	\N
2820452	9337	1994-04-02	VYDAJ	VYBER	10800	47391	\N	\N	\N
2820453	9337	1994-02-03	VYDAJ	VYBER	6900	48433	\N	\N	\N
2820454	9337	1995-05-26	VYDAJ	VYBER	2700	38730	\N	\N	\N
2820456	9337	1995-05-20	VYDAJ	VYBER	1500	41430	\N	\N	\N
2820457	9337	1995-03-03	VYDAJ	VYBER	1800	11441	\N	\N	\N
2820458	9337	1995-10-24	VYDAJ	VYBER	4200	59989	\N	\N	\N
2820459	9337	1995-09-18	VYDAJ	VYBER	10200	39453	\N	\N	\N
2820460	9337	1995-09-25	VYDAJ	VYBER	14100	25353	\N	\N	\N
2820461	9337	1996-07-21	VYDAJ	VYBER	9600	15436	\N	\N	\N
2820462	9337	1996-10-16	VYDAJ	VYBER	6900	29647	\N	\N	\N
2820463	9337	1996-03-15	VYDAJ	VYBER	12300	7913	\N	\N	\N
2820464	9337	1996-06-09	VYDAJ	VYBER	5100	19377	\N	\N	\N
2820465	9337	1997-01-13	VYDAJ	VYBER KARTOU	2400	8932	\N	\N	0
2820466	9337	1997-06-30	VYDAJ	VYBER	13500	64665	\N	\N	\N
2820467	9337	1997-11-24	VYDAJ	VYBER	8100	74844	\N	\N	\N
2820468	9337	1997-12-20	VYDAJ	VYBER	13200	99912	\N	\N	\N
2820469	9337	1997-01-26	VYDAJ	VYBER	12600	16832	\N	\N	\N
2820470	9337	1997-05-17	VYDAJ	VYBER KARTOU	1800	77777	\N	\N	0
2820471	9337	1998-11-15	VYDAJ	VYBER	6600	42280	\N	\N	\N
2820472	9337	1998-03-15	VYDAJ	VYBER	10200	78328	\N	\N	\N
2820473	9337	1998-07-08	VYDAJ	VYBER KARTOU	2400	27322	\N	\N	0
2820474	9337	1998-11-10	VYDAJ	VYBER	5400	48880	\N	\N	\N
2820475	9337	1998-08-03	VYDAJ	VYBER	6600	32947	\N	\N	\N
2820476	9337	1998-06-23	VYDAJ	VYBER	6300	28941	\N	\N	\N
2820490	9337	1994-01-31	VYDAJ	VYBER	15	392	SLUZBY	\N	\N
2820491	9337	1994-02-28	VYDAJ	VYBER	15	33360	SLUZBY	\N	\N
2820492	9337	1994-03-31	VYDAJ	VYBER	15	58191	SLUZBY	\N	\N
2820493	9337	1994-04-30	VYDAJ	VYBER	15	19202	SLUZBY	\N	\N
2820494	9337	1994-05-31	VYDAJ	VYBER	15	58845	SLUZBY	\N	\N
2820495	9337	1994-06-30	VYDAJ	VYBER	15	40233	SLUZBY	\N	\N
2820496	9337	1994-07-31	VYDAJ	VYBER	15	27381	SLUZBY	\N	\N
2820497	9337	1994-08-31	VYDAJ	VYBER	15	23675	SLUZBY	\N	\N
2820498	9337	1994-09-30	VYDAJ	VYBER	15	22845	SLUZBY	\N	\N
2820499	9337	1994-10-31	VYDAJ	VYBER	15	23814	SLUZBY	\N	\N
2820500	9337	1994-11-30	VYDAJ	VYBER	15	13396	SLUZBY	\N	\N
2820501	9337	1994-12-31	VYDAJ	VYBER	15	5832	SLUZBY	\N	\N
2820502	9337	1995-01-31	VYDAJ	VYBER	15	1569	SLUZBY	\N	\N
2820503	9337	1995-02-28	VYDAJ	VYBER	15	13258	SLUZBY	\N	\N
2820504	9337	1995-03-31	VYDAJ	VYBER	15	15298	SLUZBY	\N	\N
2820505	9337	1995-04-30	VYDAJ	VYBER	15	17681	SLUZBY	\N	\N
2820506	9337	1995-05-31	VYDAJ	VYBER	15	39142	SLUZBY	\N	\N
2820507	9337	1995-06-30	VYDAJ	VYBER	15	91361	SLUZBY	\N	\N
2820508	9337	1995-07-31	VYDAJ	VYBER	15	37307	SLUZBY	\N	\N
2820509	9337	1995-08-31	VYDAJ	VYBER	15	71225	SLUZBY	\N	\N
2820510	9337	1995-09-30	VYDAJ	VYBER	15	38353	SLUZBY	\N	\N
2820511	9337	1995-10-31	VYDAJ	VYBER	15	73404	SLUZBY	\N	\N
2820512	9337	1995-11-30	VYDAJ	VYBER	15	52592	SLUZBY	\N	\N
2820513	9337	1995-12-31	VYDAJ	VYBER	15	31250	SLUZBY	\N	\N
2820514	9337	1996-01-31	VYDAJ	VYBER	15	22148	SLUZBY	\N	\N
2820515	9337	1996-02-29	VYDAJ	VYBER	15	10185	SLUZBY	\N	\N
2820516	9337	1996-03-31	VYDAJ	VYBER	15	24256	SLUZBY	\N	\N
2820517	9337	1996-04-30	VYDAJ	VYBER	15	31703	SLUZBY	\N	\N
2820518	9337	1996-05-31	VYDAJ	VYBER	15	34335	SLUZBY	\N	\N
2820519	9337	1996-06-30	VYDAJ	VYBER	15	27236	SLUZBY	\N	\N
2820520	9337	1996-07-31	VYDAJ	VYBER	15	30549	SLUZBY	\N	\N
2820521	9337	1996-08-31	VYDAJ	VYBER	15	35503	SLUZBY	\N	\N
2820522	9337	1996-09-30	VYDAJ	VYBER	15	36547	SLUZBY	\N	\N
2820523	9337	1996-10-31	VYDAJ	VYBER	15	34075	SLUZBY	\N	\N
2820524	9337	1996-11-30	VYDAJ	VYBER	15	28579	SLUZBY	\N	\N
2820525	9337	1996-12-31	VYDAJ	VYBER	15	36377	SLUZBY	\N	\N
2820526	9337	1997-01-31	VYDAJ	VYBER	15	8488	SLUZBY	\N	\N
2820527	9337	1997-02-28	VYDAJ	VYBER	15	31366	SLUZBY	\N	\N
2820528	9337	1997-03-31	VYDAJ	VYBER	15	54248	SLUZBY	\N	\N
2820529	9337	1997-04-30	VYDAJ	VYBER	15	55360	SLUZBY	\N	\N
2820530	9337	1997-05-31	VYDAJ	VYBER	15	107957	SLUZBY	\N	\N
2820531	9337	1997-06-30	VYDAJ	VYBER	15	64650	SLUZBY	\N	\N
2820532	9337	1997-07-31	VYDAJ	VYBER	15	66985	SLUZBY	\N	\N
2820533	9337	1997-08-31	VYDAJ	VYBER	15	72765	SLUZBY	\N	\N
2820534	9337	1997-09-30	VYDAJ	VYBER	15	68858	SLUZBY	\N	\N
2820535	9337	1997-10-31	VYDAJ	VYBER	15	60103	SLUZBY	\N	\N
2820536	9337	1997-11-30	VYDAJ	VYBER	15	114598	SLUZBY	\N	\N
2820537	9337	1997-12-31	VYDAJ	VYBER	15	77331	SLUZBY	\N	\N
2820538	9337	1998-01-31	VYDAJ	VYBER	15	38107	SLUZBY	\N	\N
2820539	9337	1998-02-28	VYDAJ	VYBER	15	40933	SLUZBY	\N	\N
2820540	9337	1998-03-31	VYDAJ	VYBER	15	66909	SLUZBY	\N	\N
2820541	9337	1998-04-30	VYDAJ	VYBER	15	59889	SLUZBY	\N	\N
2820542	9337	1998-05-31	VYDAJ	VYBER	15	103541	SLUZBY	\N	\N
2820543	9337	1998-06-30	VYDAJ	VYBER	15	29722	SLUZBY	\N	\N
2820544	9337	1998-07-31	VYDAJ	VYBER	15	39547	SLUZBY	\N	\N
2820545	9337	1998-08-31	VYDAJ	VYBER	15	45881	SLUZBY	\N	\N
2820546	9337	1998-09-30	VYDAJ	VYBER	15	57924	SLUZBY	\N	\N
2820547	9337	1998-10-31	VYDAJ	VYBER	15	55980	SLUZBY	\N	\N
2820548	9337	1998-11-30	VYDAJ	VYBER	15	37998	SLUZBY	\N	\N
2820549	9337	1993-10-13	VYDAJ	VYBER	8100	31054	\N	\N	\N
2820550	9337	1993-11-12	VYDAJ	VYBER	3100	28278	\N	\N	\N
2820551	9337	1993-12-12	VYDAJ	VYBER	17300	41075	\N	\N	\N
2820552	9337	1994-01-11	PRIJEM	VKLAD	900	31144	\N	\N	\N
2820553	9337	1994-02-10	VYDAJ	VYBER	13400	32833	\N	\N	\N
2820554	9337	1994-03-12	PRIJEM	VKLAD	11400	13407	\N	\N	\N
2820555	9337	1994-04-11	VYDAJ	VYBER	8900	36891	\N	\N	\N
2820556	9337	1994-05-11	PRIJEM	VKLAD	2700	19702	\N	\N	\N
2820557	9337	1994-06-10	VYDAJ	VYBER	16900	41945	\N	\N	\N
2820558	9337	1994-07-10	VYDAJ	VYBER	6000	34233	\N	\N	\N
2820559	9337	1994-08-09	VYDAJ	VYBER	1800	25581	\N	\N	\N
2820560	9337	1994-09-08	PRIJEM	VKLAD	1100	24775	\N	\N	\N
2820561	9337	1994-10-08	PRIJEM	VKLAD	2900	25745	\N	\N	\N
2820562	9337	1994-11-07	PRIJEM	VKLAD	700	24514	\N	\N	\N
2820563	9337	1994-12-07	PRIJEM	VKLAD	7300	17096	\N	\N	\N
2820564	9337	1995-01-06	PRIJEM	VKLAD	12900	18732	\N	\N	\N
2820565	9337	1995-02-05	PRIJEM	VKLAD	13800	15369	\N	\N	\N
2820566	9337	1995-03-07	PRIJEM	VKLAD	5900	17341	\N	\N	\N
2820567	9337	1995-04-06	PRIJEM	VKLAD	4400	19698	\N	\N	\N
2820568	9337	1995-05-06	PRIJEM	VKLAD	2100	19781	\N	\N	\N
2820569	9337	1995-06-05	VYDAJ	VYBER	5200	33942	\N	\N	\N
2820570	9337	1995-07-03	VYDAJ	VYBER	59900	52294	\N	\N	\N
2820571	9337	1995-07-05	VYDAJ	VYBER	13300	38994	\N	\N	\N
2820572	9337	1995-08-04	VYDAJ	VYBER	2800	34507	\N	\N	\N
2820573	9337	1995-09-03	VYDAJ	VYBER	19400	51825	\N	\N	\N
2820574	9337	1995-10-03	VYDAJ	VYBER	900	37453	\N	\N	\N
2820575	9337	1995-11-02	VYDAJ	VYBER	19200	54204	\N	\N	\N
2820576	9337	1995-12-02	VYDAJ	VYBER	12900	39692	\N	\N	\N
2820577	9337	1996-01-01	PRIJEM	VKLAD	1200	32450	\N	\N	\N
2820578	9337	1996-01-31	PRIJEM	VKLAD	16900	21978	\N	\N	\N
2820579	9337	1996-03-01	PRIJEM	VKLAD	12200	22385	\N	\N	\N
2820580	9337	1996-03-31	PRIJEM	VKLAD	16300	24228	\N	\N	\N
2820581	9337	1996-04-30	PRIJEM	VKLAD	9400	31558	\N	\N	\N
2820582	9337	1996-05-30	PRIJEM	VKLAD	4500	34031	\N	\N	\N
2820583	9337	1996-06-29	PRIJEM	VKLAD	10000	27077	\N	\N	\N
2820584	9337	1996-07-29	PRIJEM	VKLAD	14900	30336	\N	\N	\N
2820585	9337	1996-08-28	PRIJEM	VKLAD	12100	35261	\N	\N	\N
2820586	9337	1996-09-27	PRIJEM	VKLAD	3200	36303	\N	\N	\N
2820587	9337	1996-10-27	PRIJEM	VKLAD	14900	33831	\N	\N	\N
2820588	9337	1996-11-26	PRIJEM	VKLAD	21300	28280	\N	\N	\N
2820589	9337	1996-12-26	PRIJEM	VKLAD	16800	36178	\N	\N	\N
2820590	9337	1997-01-25	PRIJEM	VKLAD	20500	29432	\N	\N	\N
2820591	9337	1997-02-24	PRIJEM	VKLAD	17400	31318	\N	\N	\N
2820592	9337	1997-03-26	VYDAJ	VYBER	4200	53769	\N	\N	\N
2820593	9337	1997-04-25	PRIJEM	VKLAD	2600	54948	\N	\N	\N
2820594	9337	1997-05-25	VYDAJ	VYBER	13400	64377	\N	\N	\N
2820595	9337	1997-06-21	VYDAJ	VYBER	36900	105895	\N	\N	\N
2820596	9337	1997-06-24	VYDAJ	VYBER	28700	77195	\N	\N	\N
2820597	9337	1997-07-04	VYDAJ	VYBER	29800	101524	\N	\N	\N
2820598	9337	1997-07-06	VYDAJ	VYBER	39700	89569	\N	\N	\N
2820599	9337	1997-07-23	VYDAJ	VYBER	52900	68465	\N	\N	\N
2820600	9337	1997-07-24	VYDAJ	VYBER	19700	65955	\N	\N	\N
2820601	9337	1997-08-09	VYDAJ	VYBER	27500	102789	\N	\N	\N
2820602	9337	1997-08-15	VYDAJ	VYBER	34800	95472	\N	\N	\N
2820603	9337	1997-08-23	VYDAJ	VYBER	23600	71872	\N	\N	\N
2820604	9337	1997-09-19	VYDAJ	VYBER	22400	119560	\N	\N	\N
2820605	9337	1997-09-22	VYDAJ	VYBER	37800	81760	\N	\N	\N
2820606	9337	1997-09-30	VYDAJ	VYBER	53300	68873	\N	\N	\N
2820607	9337	1997-10-22	VYDAJ	VYBER	12500	66785	\N	\N	\N
2820608	9337	1997-11-10	VYDAJ	VYBER	23500	109244	\N	\N	\N
2820609	9337	1997-11-21	VYDAJ	VYBER	26300	82944	\N	\N	\N
2820610	9337	1997-12-02	VYDAJ	VYBER	30000	121698	\N	\N	\N
2820611	9337	1997-12-17	VYDAJ	VYBER	37600	124085	\N	\N	\N
2820612	9337	1997-12-21	VYDAJ	VYBER	23700	76212	\N	\N	\N
2820613	9337	1998-01-20	VYDAJ	VYBER KARTOU	700	49631	\N	\N	0
2820614	9337	1998-02-19	PRIJEM	VKLAD	15300	40696	\N	\N	\N
2820615	9337	1998-03-21	VYDAJ	VYBER	10100	66428	\N	\N	\N
2820616	9337	1998-04-20	VYDAJ	VYBER	5600	59409	\N	\N	\N
2820617	9337	1998-05-20	VYDAJ	VYBER KARTOU	2800	54589	\N	\N	0
2820618	9337	1998-06-19	VYDAJ	VYBER	21500	79941	\N	\N	\N
2820619	9337	1998-07-19	PRIJEM	VKLAD	14100	39322	\N	\N	\N
2820620	9337	1998-08-18	PRIJEM	VKLAD	14500	47447	\N	\N	\N
2820621	9337	1998-09-17	PRIJEM	VKLAD	13800	57481	\N	\N	\N
2820622	9337	1998-10-17	PRIJEM	VKLAD	8100	64124	\N	\N	\N
2820623	9337	1998-11-16	PRIJEM	VKLAD	11900	54180	\N	\N	\N
2824801	9353	1995-11-03	PRIJEM	VKLAD	900	900	\N	\N	\N
2824802	9353	1996-10-07	PRIJEM	VKLAD	14296	39424	\N	\N	\N
2824803	9353	1996-12-08	PRIJEM	VKLAD	23481	52463	\N	\N	\N
2824804	9353	1997-06-20	PRIJEM	VKLAD	24162	63275	\N	\N	\N
2824805	9353	1997-06-22	PRIJEM	VKLAD	46791	110066	\N	\N	\N
2824806	9353	1997-02-27	PRIJEM	VKLAD	49720	81731	\N	\N	\N
2824807	9353	1997-06-30	PRIJEM	VKLAD	47003	113169	\N	\N	\N
2824808	9353	1997-09-25	PRIJEM	VKLAD	8322	78304	\N	\N	\N
2824809	9353	1997-03-09	PRIJEM	VKLAD	49644	125455	\N	\N	\N
2824810	9353	1997-04-27	PRIJEM	VKLAD	34135	59148	\N	\N	\N
2824811	9353	1997-09-25	PRIJEM	VKLAD	30349	69982	\N	\N	\N
2824812	9353	1997-09-20	PRIJEM	VKLAD	25999	53833	\N	\N	\N
2824813	9353	1997-07-10	PRIJEM	VKLAD	6809	93546	\N	\N	\N
2824814	9353	1997-07-05	PRIJEM	VKLAD	36257	134537	\N	\N	\N
2824815	9353	1997-10-31	PRIJEM	VKLAD	28223	79935	\N	\N	\N
2824816	9353	1997-05-08	PRIJEM	VKLAD	40828	100253	\N	\N	\N
2824817	9353	1997-10-20	PRIJEM	VKLAD	41002	101558	\N	\N	\N
2824818	9353	1997-08-02	PRIJEM	VKLAD	35542	82827	\N	\N	\N
2824819	9353	1997-08-14	PRIJEM	VKLAD	35723	100451	\N	\N	\N
2824820	9353	1997-01-23	PRIJEM	VKLAD	8711	45733	\N	\N	\N
2824821	9353	1997-12-25	PRIJEM	VKLAD	25331	51837	\N	\N	\N
2824822	9353	1997-03-12	PRIJEM	VKLAD	14963	90278	\N	\N	\N
2824823	9353	1997-10-22	PRIJEM	VKLAD	34592	136150	\N	\N	\N
2824824	9353	1998-02-16	PRIJEM	VKLAD	19068	57870	\N	\N	\N
2824825	9353	1998-07-10	PRIJEM	VKLAD	12581	56890	\N	\N	\N
2824826	9353	1998-03-28	PRIJEM	VKLAD	15338	44440	\N	\N	\N
2824827	9353	1998-09-29	PRIJEM	VKLAD	27906	72392	\N	\N	\N
2824828	9353	1998-06-01	PRIJEM	VKLAD	8271	34270	\N	\N	\N
2824829	9353	1998-11-09	PRIJEM	VKLAD	9320	104819	\N	\N	\N
2824830	9353	1998-12-03	PRIJEM	VKLAD	21192	52476	\N	\N	\N
2824831	9353	1998-10-20	PRIJEM	VKLAD	37387	75277	\N	\N	\N
2824832	9353	1998-11-09	PRIJEM	VKLAD	19815	95499	\N	\N	\N
2824833	9353	1998-02-02	PRIJEM	VKLAD	34163	62271	\N	\N	\N
2824834	9353	1998-06-03	PRIJEM	VKLAD	28260	62530	\N	\N	\N
2824835	9353	1998-03-07	PRIJEM	VKLAD	42332	119201	\N	\N	\N
2824836	9353	1998-06-10	PRIJEM	VKLAD	31311	93841	\N	\N	\N
2824837	9353	1998-02-22	PRIJEM	VKLAD	20598	76509	\N	\N	\N
2824838	9353	1998-02-18	PRIJEM	VKLAD	22941	80811	\N	\N	\N
2824839	9353	1998-07-14	PRIJEM	VKLAD	10330	49121	\N	\N	\N
2824840	9353	1998-02-11	PRIJEM	VKLAD	21071	83342	\N	\N	\N
2824841	9353	1998-07-15	PRIJEM	VKLAD	43443	92564	\N	\N	\N
2824842	9353	1998-09-02	PRIJEM	VKLAD	48588	81785	\N	\N	\N
2824843	9353	1998-05-10	PRIJEM	VKLAD	16550	46305	\N	\N	\N
2824870	9353	1997-03-05	VYDAJ	VYBER	6100	75811	\N	\N	0
2824871	9353	1997-04-14	VYDAJ	VYBER	7800	18913	\N	\N	0
2824872	9353	1997-05-10	VYDAJ	VYBER	6400	93853	\N	\N	0
2824873	9353	1997-06-12	VYDAJ	PREVOD NA UCET	7859	39113	UVER	WX	95570617
2824874	9353	1997-07-12	VYDAJ	PREVOD NA UCET	7859	75447	UVER	WX	95570617
2824875	9353	1997-08-12	VYDAJ	PREVOD NA UCET	7859	64728	UVER	WX	95570617
2824876	9353	1997-09-12	VYDAJ	PREVOD NA UCET	7859	27834	UVER	WX	95570617
2824877	9353	1997-10-12	VYDAJ	PREVOD NA UCET	7859	60556	UVER	WX	95570617
2824878	9353	1997-11-12	VYDAJ	PREVOD NA UCET	7859	60022	UVER	WX	95570617
2824879	9353	1997-12-12	VYDAJ	PREVOD NA UCET	7859	19306	UVER	WX	95570617
2824880	9353	1998-01-12	VYDAJ	PREVOD NA UCET	7859	32493	UVER	WX	95570617
2824881	9353	1998-02-12	VYDAJ	PREVOD NA UCET	7859	58043	UVER	WX	95570617
2824882	9353	1998-03-12	VYDAJ	PREVOD NA UCET	7859	28502	UVER	WX	95570617
2824883	9353	1998-04-12	VYDAJ	PREVOD NA UCET	7859	26609	UVER	WX	95570617
2824884	9353	1998-05-12	VYDAJ	PREVOD NA UCET	7859	28206	UVER	WX	95570617
2824885	9353	1998-06-12	VYDAJ	PREVOD NA UCET	7859	75742	UVER	WX	95570617
2824886	9353	1998-07-12	VYDAJ	PREVOD NA UCET	7859	38791	UVER	WX	95570617
2824887	9353	1998-08-12	VYDAJ	PREVOD NA UCET	7859	41659	UVER	WX	95570617
2824888	9353	1998-09-12	VYDAJ	PREVOD NA UCET	7859	63686	UVER	WX	95570617
2824889	9353	1998-10-12	VYDAJ	PREVOD NA UCET	7859	54590	UVER	WX	95570617
2824890	9353	1998-11-12	VYDAJ	PREVOD NA UCET	7859	86720	UVER	WX	95570617
2824891	9353	1998-12-12	VYDAJ	PREVOD NA UCET	7859	29113	UVER	WX	95570617
2824918	9353	1997-03-11	VYDAJ	PREVOD NA UCET	10240	75315	SIPO	GH	35453134
2824919	9353	1997-04-11	VYDAJ	PREVOD NA UCET	10240	26713	SIPO	GH	35453134
2824920	9353	1997-05-11	VYDAJ	PREVOD NA UCET	10240	83613	SIPO	GH	35453134
2824921	9353	1997-06-11	VYDAJ	PREVOD NA UCET	10240	46972	SIPO	GH	35453134
2824922	9353	1997-07-11	VYDAJ	PREVOD NA UCET	10240	83306	SIPO	GH	35453134
2824923	9353	1997-08-11	VYDAJ	PREVOD NA UCET	10240	72587	SIPO	GH	35453134
2824924	9353	1997-09-11	VYDAJ	PREVOD NA UCET	10240	35693	SIPO	GH	35453134
2824925	9353	1997-10-11	VYDAJ	PREVOD NA UCET	10240	68415	SIPO	GH	35453134
2824926	9353	1997-11-11	VYDAJ	PREVOD NA UCET	10240	67881	SIPO	GH	35453134
2824927	9353	1997-12-11	VYDAJ	PREVOD NA UCET	10240	33465	SIPO	GH	35453134
2824928	9353	1998-01-11	VYDAJ	PREVOD NA UCET	10240	41852	SIPO	GH	35453134
2824929	9353	1998-02-11	VYDAJ	PREVOD NA UCET	10240	65902	SIPO	GH	35453134
2824930	9353	1998-03-11	VYDAJ	PREVOD NA UCET	10240	36361	SIPO	GH	35453134
2824931	9353	1998-04-11	VYDAJ	PREVOD NA UCET	10240	34468	SIPO	GH	35453134
2824932	9353	1998-05-11	VYDAJ	PREVOD NA UCET	10240	36065	SIPO	GH	35453134
2824933	9353	1998-06-11	VYDAJ	PREVOD NA UCET	10240	83601	SIPO	GH	35453134
2824934	9353	1998-07-11	VYDAJ	PREVOD NA UCET	10240	46650	SIPO	GH	35453134
2824935	9353	1998-08-11	VYDAJ	PREVOD NA UCET	10240	49518	SIPO	GH	35453134
2824936	9353	1998-09-11	VYDAJ	PREVOD NA UCET	10240	71545	SIPO	GH	35453134
2824937	9353	1998-10-11	VYDAJ	PREVOD NA UCET	10240	62449	SIPO	GH	35453134
2824938	9353	1998-11-11	VYDAJ	PREVOD NA UCET	10240	94579	SIPO	GH	35453134
2824939	9353	1998-12-11	VYDAJ	PREVOD NA UCET	10240	36972	SIPO	GH	35453134
2824964	9353	1997-04-09	VYBER	VYBER	14979	36953	\N	\N	\N
2824966	9353	1997-03-14	VYBER	VYBER	10642	66736	\N	\N	\N
2824967	9353	1997-08-30	VYBER	VYBER	21814	45437	\N	\N	\N
2824968	9353	1998-02-15	VYBER	VYBER	19241	38802	\N	\N	\N
2824969	9353	1998-11-27	VYBER	VYBER	10743	30803	\N	\N	\N
2824970	9353	1998-12-04	VYBER	VYBER	5264	47212	\N	\N	\N
2824971	9353	1998-07-08	VYBER	VYBER	8498	44309	\N	\N	\N
2824972	9353	1998-11-20	VYBER	VYBER	15974	41546	\N	\N	\N
2824983	9353	1997-12-11	VYDAJ	VYBER	6300	27165	\N	\N	\N
2825003	9353	1998-01-12	VYDAJ	VYBER	1500	40352	\N	\N	\N
2825004	9353	1998-01-25	VYDAJ	VYBER	4200	27893	\N	\N	\N
2825005	9353	1998-01-17	VYDAJ	VYBER	2100	30393	\N	\N	\N
2825018	9353	1997-03-13	VYDAJ	VYBER	12900	77378	\N	\N	\N
2825019	9353	1997-07-24	VYDAJ	VYBER	10800	64647	\N	\N	\N
2825021	9353	1997-11-10	VYDAJ	VYBER	1800	78121	\N	\N	\N
2825022	9353	1997-06-29	VYDAJ	VYBER	5700	66166	\N	\N	\N
2825023	9353	1998-03-08	VYDAJ	VYBER	7800	46601	\N	\N	\N
2825024	9353	1998-10-13	VYDAJ	VYBER	6900	47690	\N	\N	\N
2825025	9353	1998-02-11	VYDAJ	VYBER	7200	76142	\N	\N	\N
2825053	9353	1997-03-31	VYDAJ	VYBER	15	51932	SLUZBY	\N	\N
2825054	9353	1997-04-30	VYDAJ	VYBER	15	59425	SLUZBY	\N	\N
2825055	9353	1997-05-31	VYDAJ	VYBER	15	57212	SLUZBY	\N	\N
2825056	9353	1997-06-30	VYDAJ	VYBER	15	98280	SLUZBY	\N	\N
2825057	9353	1997-07-31	VYDAJ	VYBER	15	47285	SLUZBY	\N	\N
2825058	9353	1997-08-31	VYDAJ	VYBER	15	45933	SLUZBY	\N	\N
2825059	9353	1997-09-30	VYDAJ	VYBER	15	78655	SLUZBY	\N	\N
2825060	9353	1997-10-31	VYDAJ	VYBER	15	79921	SLUZBY	\N	\N
2825061	9353	1997-11-30	VYDAJ	VYBER	15	43705	SLUZBY	\N	\N
2825062	9353	1997-12-31	VYDAJ	VYBER	15	52092	SLUZBY	\N	\N
2825063	9353	1998-01-31	VYDAJ	VYBER	15	28108	SLUZBY	\N	\N
2825064	9353	1998-02-28	VYDAJ	VYBER	15	76869	SLUZBY	\N	\N
2825065	9353	1998-03-31	VYDAJ	VYBER	15	44708	SLUZBY	\N	\N
2825066	9353	1998-04-30	VYDAJ	VYBER	15	29755	SLUZBY	\N	\N
2825067	9353	1998-05-31	VYDAJ	VYBER	15	25999	SLUZBY	\N	\N
2825068	9353	1998-06-30	VYDAJ	VYBER	15	52807	SLUZBY	\N	\N
2825069	9353	1998-07-31	VYDAJ	VYBER	15	59758	SLUZBY	\N	\N
2825070	9353	1998-08-31	VYDAJ	VYBER	15	33197	SLUZBY	\N	\N
2825071	9353	1998-09-30	VYDAJ	VYBER	15	72689	SLUZBY	\N	\N
2825072	9353	1998-10-31	VYDAJ	VYBER	15	75684	SLUZBY	\N	\N
2825073	9353	1998-11-30	VYDAJ	VYBER	15	31284	SLUZBY	\N	\N
2825074	9353	1995-12-03	PRIJEM	VKLAD	11800	12700	\N	\N	\N
2825075	9353	1996-01-02	PRIJEM	VKLAD	7800	20500	\N	\N	\N
2825076	9353	1996-02-01	PRIJEM	VKLAD	4100	24600	\N	\N	\N
2825077	9353	1996-03-02	PRIJEM	VKLAD	1700	26300	\N	\N	\N
2825078	9353	1996-04-01	PRIJEM	VKLAD	700	27000	\N	\N	\N
2825079	9353	1996-05-01	VYDAJ	VYBER	1400	25600	\N	\N	\N
2825080	9353	1996-05-31	VYDAJ	VYBER	400	25207	\N	\N	\N
2825081	9353	1996-06-30	PRIJEM	VKLAD	100	25307	\N	\N	\N
2825082	9353	1996-07-30	PRIJEM	VKLAD	300	25813	\N	\N	\N
2825083	9353	1996-08-29	VYDAJ	VYBER	3400	22518	\N	\N	\N
2825084	9353	1996-09-28	PRIJEM	VKLAD	2400	25023	\N	\N	\N
2825085	9353	1996-10-28	VYDAJ	VYBER	6700	32724	\N	\N	\N
2825086	9353	1996-11-27	VYDAJ	VYBER	4000	28847	\N	\N	\N
2825087	9353	1996-12-27	VYDAJ	VYBER	15600	36863	\N	\N	\N
2825088	9353	1997-01-26	VYDAJ	VYBER	8500	37233	\N	\N	\N
2825089	9353	1997-02-25	VYDAJ	VYBER	5400	32011	\N	\N	\N
2825090	9353	1997-03-09	VYDAJ	VYBER	39900	85555	\N	\N	\N
2825091	9353	1997-03-27	VYDAJ	VYBER	15300	51436	\N	\N	\N
2825092	9353	1997-04-26	PRIJEM	VKLAD	6100	25013	\N	\N	\N
2825093	9353	1997-05-26	VYDAJ	VYBER	26900	56713	\N	\N	\N
2825094	9353	1997-06-25	VYDAJ	VYBER	38200	71866	\N	\N	\N
2825095	9353	1997-06-30	VYDAJ	VYBER	15300	98294	\N	\N	\N
2825096	9353	1997-07-05	VYDAJ	VYBER	47800	86737	\N	\N	\N
2825097	9353	1997-07-25	VYDAJ	VYBER	18000	46647	\N	\N	\N
2825098	9353	1997-08-24	VYDAJ	VYBER	33200	67251	\N	\N	\N
2825099	9353	1997-09-23	VYDAJ	VYBER	14200	39633	\N	\N	\N
2825100	9353	1997-10-22	VYDAJ	VYBER	56100	80050	\N	\N	\N
2825101	9353	1997-10-23	VYDAJ	VYBER	28900	51150	\N	\N	\N
2825102	9353	1997-11-22	VYDAJ	VYBER	16800	43222	\N	\N	\N
2825103	9353	1997-12-22	PRIJEM	VKLAD	7200	26506	\N	\N	\N
2825104	9353	1998-01-21	PRIJEM	VKLAD	1700	32093	\N	\N	\N
2825105	9353	1998-02-20	VYDAJ	VYBER	24900	55911	\N	\N	\N
2825106	9353	1998-03-07	VYDAJ	VYBER	64800	54401	\N	\N	\N
2825107	9353	1998-03-22	PRIJEM	VKLAD	600	29102	\N	\N	\N
2825108	9353	1998-04-21	PRIJEM	VKLAD	2900	29509	\N	\N	\N
2825109	9353	1998-05-21	VYDAJ	VYBER	2400	25806	\N	\N	\N
2825110	9353	1998-06-20	VYDAJ	VYBER	23400	52342	\N	\N	\N
2825111	9353	1998-07-20	VYDAJ	VYBER	33200	59364	\N	\N	\N
2825112	9353	1998-08-19	VYDAJ	VYBER	8700	32959	\N	\N	\N
2825113	9353	1998-09-18	VYDAJ	VYBER	19200	44486	\N	\N	\N
2825114	9353	1998-10-18	VYDAJ	VYBER	9800	37890	\N	\N	\N
2825115	9353	1998-11-17	VYDAJ	VYBER	29200	57520	\N	\N	\N
2825116	9353	1998-12-17	PRIJEM	VKLAD	2300	31413	\N	\N	\N
2833744	9377	1995-09-17	PRIJEM	VKLAD	400	400	\N	\N	\N
2833748	9377	1995-11-10	PRIJEM	VKLAD	10051	78673	\N	\N	\N
2833751	9377	1995-10-30	PRIJEM	VKLAD	49312	68579	\N	\N	\N
2833756	9377	1995-12-03	PRIJEM	VKLAD	18849	69468	\N	\N	\N
2833760	9377	1995-10-27	PRIJEM	VKLAD	6367	19267	\N	\N	\N
2833763	9377	1996-10-07	PRIJEM	VKLAD	36939	85221	\N	\N	\N
2833764	9377	1996-07-04	PRIJEM	VKLAD	27587	57845	\N	\N	\N
2833765	9377	1996-02-09	PRIJEM	VKLAD	7902	42847	\N	\N	\N
2833766	9377	1996-07-29	PRIJEM	VKLAD	28540	87977	\N	\N	\N
2833767	9377	1996-11-07	PRIJEM	VKLAD	37069	107318	\N	\N	\N
2833768	9377	1996-06-02	PRIJEM	VKLAD	26341	48056	\N	\N	\N
2833769	9377	1996-10-12	PRIJEM	VKLAD	19930	73684	\N	\N	\N
2833770	9377	1996-09-07	PRIJEM	VKLAD	31021	74758	\N	\N	\N
2833771	9377	1996-04-24	PRIJEM	VKLAD	7410	23769	\N	\N	\N
2833772	9377	1996-10-02	PRIJEM	VKLAD	11527	52482	\N	\N	\N
2833773	9377	1996-07-07	PRIJEM	VKLAD	40633	98478	\N	\N	\N
2833774	9377	1996-11-20	PRIJEM	VKLAD	28603	90480	\N	\N	\N
2833775	9377	1997-04-23	PRIJEM	VKLAD	22303	85669	\N	\N	\N
2833776	9377	1997-08-08	PRIJEM	VKLAD	33040	94958	\N	\N	\N
2833777	9377	1997-10-15	PRIJEM	VKLAD	20258	75878	\N	\N	\N
2833778	9377	1997-11-13	PRIJEM	VKLAD	23001	83739	\N	\N	\N
2833779	9377	1997-08-27	PRIJEM	VKLAD	5246	92057	\N	\N	\N
2833780	9377	1997-12-09	PRIJEM	VKLAD	25996	87837	\N	\N	\N
2833781	9377	1997-12-10	PRIJEM	VKLAD	15087	102924	\N	\N	\N
2833782	9377	1997-04-26	PRIJEM	VKLAD	5510	91179	\N	\N	\N
2833783	9377	1997-04-04	PRIJEM	VKLAD	19262	111407	\N	\N	\N
2833784	9377	1997-06-29	PRIJEM	VKLAD	30013	88897	\N	\N	\N
2833785	9377	1997-03-13	PRIJEM	VKLAD	32123	59573	\N	\N	\N
2833786	9377	1997-01-19	PRIJEM	VKLAD	31787	99225	\N	\N	\N
2833787	9377	1997-01-30	PRIJEM	VKLAD	12341	88466	\N	\N	\N
2833788	9377	1997-12-19	PRIJEM	VKLAD	27007	118784	\N	\N	\N
2833789	9377	1997-11-22	PRIJEM	VKLAD	43614	116553	\N	\N	\N
2833790	9377	1997-03-21	PRIJEM	VKLAD	32068	91641	\N	\N	\N
2833791	9377	1997-06-27	PRIJEM	VKLAD	31615	58884	\N	\N	\N
2833792	9377	1997-08-01	PRIJEM	VKLAD	36162	127076	\N	\N	\N
2833793	9377	1997-01-12	PRIJEM	VKLAD	42200	73221	\N	\N	\N
2833794	9377	1997-09-27	PRIJEM	VKLAD	30106	84121	\N	\N	\N
2833795	9377	1997-09-21	PRIJEM	VKLAD	20856	77226	\N	\N	\N
2833796	9377	1997-07-31	PRIJEM	VKLAD	46424	90928	\N	\N	\N
2833797	9377	1997-09-27	PRIJEM	VKLAD	18410	102531	\N	\N	\N
2833798	9377	1997-10-18	PRIJEM	VKLAD	30669	106547	\N	\N	\N
2833799	9377	1998-10-03	PRIJEM	VKLAD	24435	116681	\N	\N	\N
2833800	9377	1998-07-07	PRIJEM	VKLAD	36884	95142	\N	\N	\N
2833801	9377	1998-10-27	PRIJEM	VKLAD	40523	71120	\N	\N	\N
2833802	9377	1998-05-22	PRIJEM	VKLAD	20148	66195	\N	\N	\N
2833803	9377	1998-02-09	PRIJEM	VKLAD	11209	57396	\N	\N	\N
2833804	9377	1998-09-02	PRIJEM	VKLAD	38125	90707	\N	\N	\N
2833805	9377	1998-01-29	PRIJEM	VKLAD	9194	44793	\N	\N	\N
2833806	9377	1998-03-08	PRIJEM	VKLAD	30733	90050	\N	\N	\N
2833807	9377	1998-09-19	PRIJEM	VKLAD	39369	114163	\N	\N	\N
2833808	9377	1998-06-03	PRIJEM	VKLAD	47623	114212	\N	\N	\N
2833809	9377	1998-03-06	PRIJEM	VKLAD	14208	62075	\N	\N	\N
2833823	9377	1996-02-18	VYDAJ	VYBER	3600	32264	\N	\N	0
2833824	9377	1996-03-09	VYDAJ	VYBER	4000	25732	\N	\N	0
2833825	9377	1996-04-07	VYDAJ	VYBER	3500	18000	\N	\N	0
2833826	9377	1996-05-16	VYDAJ	VYBER	3200	21550	\N	\N	0
2833827	9377	1996-06-13	VYDAJ	VYBER	4900	36415	\N	\N	0
2833828	9377	1996-07-08	VYDAJ	VYBER	3100	92620	\N	\N	0
2833829	9377	1996-08-21	VYDAJ	VYBER	3600	56117	\N	\N	0
2833830	9377	1996-09-12	VYDAJ	VYBER	3900	47000	\N	\N	0
2833831	9377	1996-10-02	VYDAJ	VYBER	4200	48282	\N	\N	0
2833832	9377	1996-11-12	VYDAJ	VYBER	5100	61877	\N	\N	0
2833833	9377	1996-12-16	VYDAJ	VYBER	4500	53071	\N	\N	0
2833834	9377	1997-01-03	VYDAJ	VYBER	4800	48779	\N	\N	0
2833835	9377	1997-02-15	VYDAJ	VYBER	3900	51517	\N	\N	0
2833836	9377	1997-03-10	VYDAJ	VYBER	4600	31433	\N	\N	0
2833837	9377	1997-04-19	VYDAJ	VYBER	4300	63366	\N	\N	0
2833838	9377	1997-05-12	VYDAJ	PREVOD NA UCET	4164	42824	UVER	QR	64104062
2833839	9377	1997-06-12	VYDAJ	PREVOD NA UCET	4164	31252	UVER	QR	64104062
2833840	9377	1997-07-12	VYDAJ	PREVOD NA UCET	4164	46433	UVER	QR	64104062
2833841	9377	1997-08-12	VYDAJ	PREVOD NA UCET	4164	90794	UVER	QR	64104062
2833842	9377	1997-09-12	VYDAJ	PREVOD NA UCET	4164	60353	UVER	QR	64104062
2833843	9377	1997-10-12	VYDAJ	PREVOD NA UCET	4164	59603	UVER	QR	64104062
2833844	9377	1997-11-12	VYDAJ	PREVOD NA UCET	4164	64721	UVER	QR	64104062
2833845	9377	1997-12-12	VYDAJ	PREVOD NA UCET	4164	94777	UVER	QR	64104062
2833846	9377	1998-01-12	VYDAJ	PREVOD NA UCET	4164	51582	UVER	QR	64104062
2833847	9377	1998-02-12	VYDAJ	PREVOD NA UCET	4164	49249	UVER	QR	64104062
2833848	9377	1998-03-12	VYDAJ	PREVOD NA UCET	4164	85886	UVER	QR	64104062
2833849	9377	1998-04-12	VYDAJ	PREVOD NA UCET	4164	59662	UVER	QR	64104062
2833850	9377	1998-05-12	VYDAJ	PREVOD NA UCET	4164	46047	UVER	QR	64104062
2833851	9377	1998-06-12	VYDAJ	PREVOD NA UCET	4164	55890	UVER	QR	64104062
2833852	9377	1998-07-12	VYDAJ	PREVOD NA UCET	4164	84237	UVER	QR	64104062
2833853	9377	1998-08-12	VYDAJ	PREVOD NA UCET	4164	42175	UVER	QR	64104062
2833854	9377	1998-09-12	VYDAJ	PREVOD NA UCET	4164	74794	UVER	QR	64104062
2833855	9377	1998-10-12	VYDAJ	PREVOD NA UCET	4164	34580	UVER	QR	64104062
2833856	9377	1998-11-12	VYDAJ	PREVOD NA UCET	4164	59439	UVER	QR	64104062
2833857	9377	1998-12-12	VYDAJ	PREVOD NA UCET	4164	54052	UVER	QR	64104062
2833872	9377	1996-03-07	VYDAJ	PREVOD NA UCET	2758	29732	SIPO	QR	54912304
2833873	9377	1996-04-07	VYDAJ	PREVOD NA UCET	2758	15242	SIPO	QR	54912304
2833874	9377	1996-05-07	VYDAJ	PREVOD NA UCET	2758	21133	SIPO	QR	54912304
2833875	9377	1996-06-07	VYDAJ	PREVOD NA UCET	2758	45298	SIPO	QR	54912304
2833876	9377	1996-07-07	VYDAJ	PREVOD NA UCET	2758	95720	SIPO	QR	54912304
2833877	9377	1996-08-07	VYDAJ	PREVOD NA UCET	2758	85700	SIPO	QR	54912304
2833878	9377	1996-09-07	VYDAJ	PREVOD NA UCET	2758	72000	SIPO	QR	54912304
2833879	9377	1996-10-07	VYDAJ	PREVOD NA UCET	2758	82463	SIPO	QR	54912304
2833880	9377	1996-11-07	VYDAJ	PREVOD NA UCET	2758	104560	SIPO	QR	54912304
2833881	9377	1996-12-07	VYDAJ	PREVOD NA UCET	2758	88354	SIPO	QR	54912304
2833882	9377	1997-01-07	VYDAJ	PREVOD NA UCET	2758	39421	SIPO	QR	54912304
2833883	9377	1997-02-07	VYDAJ	PREVOD NA UCET	2758	74800	SIPO	QR	54912304
2833884	9377	1997-03-07	VYDAJ	PREVOD NA UCET	2758	49238	SIPO	QR	54912304
2833885	9377	1997-04-07	VYDAJ	PREVOD NA UCET	2758	108649	SIPO	QR	54912304
2833886	9377	1997-05-07	VYDAJ	PREVOD NA UCET	2758	89041	SIPO	QR	54912304
2833887	9377	1997-06-07	VYDAJ	PREVOD NA UCET	2758	36416	SIPO	QR	54912304
2833888	9377	1997-07-07	VYDAJ	PREVOD NA UCET	2758	72280	SIPO	QR	54912304
2833889	9377	1997-08-07	VYDAJ	PREVOD NA UCET	2758	90118	SIPO	QR	54912304
2833890	9377	1997-09-07	VYDAJ	PREVOD NA UCET	2758	64517	SIPO	QR	54912304
2833891	9377	1997-10-07	VYDAJ	PREVOD NA UCET	2758	63767	SIPO	QR	54912304
2833892	9377	1997-11-07	VYDAJ	PREVOD NA UCET	2758	68885	SIPO	QR	54912304
2833893	9377	1997-12-07	VYDAJ	PREVOD NA UCET	2758	61841	SIPO	QR	54912304
2833894	9377	1998-01-07	VYDAJ	PREVOD NA UCET	2758	59046	SIPO	QR	54912304
2833895	9377	1998-02-07	VYDAJ	PREVOD NA UCET	2758	46187	SIPO	QR	54912304
2833896	9377	1998-03-07	VYDAJ	PREVOD NA UCET	2758	59317	SIPO	QR	54912304
2833897	9377	1998-04-07	VYDAJ	PREVOD NA UCET	2758	63826	SIPO	QR	54912304
2833898	9377	1998-05-07	VYDAJ	PREVOD NA UCET	2758	54194	SIPO	QR	54912304
2833899	9377	1998-06-07	VYDAJ	PREVOD NA UCET	2758	84954	SIPO	QR	54912304
2833900	9377	1998-07-07	VYDAJ	PREVOD NA UCET	2758	92384	SIPO	QR	54912304
2833901	9377	1998-08-07	VYDAJ	PREVOD NA UCET	2758	50322	SIPO	QR	54912304
2833902	9377	1998-09-07	VYDAJ	PREVOD NA UCET	2758	82941	SIPO	QR	54912304
2833903	9377	1998-10-07	VYDAJ	PREVOD NA UCET	2758	38744	SIPO	QR	54912304
2833904	9377	1998-11-07	VYDAJ	PREVOD NA UCET	2758	67586	SIPO	QR	54912304
2833905	9377	1998-12-07	VYDAJ	PREVOD NA UCET	2758	58216	SIPO	QR	54912304
2833919	9377	1996-02-12	VYDAJ	PREVOD NA UCET	3983	38864	 	AB	52341222
2833920	9377	1996-03-12	VYDAJ	PREVOD NA UCET	3983	21749	 	AB	52341222
2833921	9377	1996-04-12	VYDAJ	PREVOD NA UCET	3983	11259	 	AB	52341222
2833922	9377	1996-05-12	VYDAJ	PREVOD NA UCET	3983	17150	 	AB	52341222
2833923	9377	1996-06-12	VYDAJ	PREVOD NA UCET	3983	41315	 	AB	52341222
2833924	9377	1996-07-12	VYDAJ	PREVOD NA UCET	3983	88637	 	AB	52341222
2833925	9377	1996-08-12	VYDAJ	PREVOD NA UCET	3983	81717	 	AB	52341222
2833926	9377	1996-09-12	VYDAJ	PREVOD NA UCET	3983	43017	 	AB	52341222
2833927	9377	1996-10-12	VYDAJ	PREVOD NA UCET	3983	69701	 	AB	52341222
2833928	9377	1996-11-12	VYDAJ	PREVOD NA UCET	3983	66977	 	AB	52341222
2833929	9377	1996-12-12	VYDAJ	PREVOD NA UCET	3983	59671	 	AB	52341222
2833930	9377	1997-01-12	VYDAJ	PREVOD NA UCET	3983	69238	 	AB	52341222
2833931	9377	1997-02-12	VYDAJ	PREVOD NA UCET	3983	55417	 	AB	52341222
2833932	9377	1997-03-12	VYDAJ	PREVOD NA UCET	3983	27450	 	AB	52341222
2833933	9377	1997-04-12	VYDAJ	PREVOD NA UCET	3983	67666	 	AB	52341222
2833934	9377	1997-05-12	VYDAJ	PREVOD NA UCET	3983	38841	 	AB	52341222
2833935	9377	1997-06-12	VYDAJ	PREVOD NA UCET	3983	27269	 	AB	52341222
2833936	9377	1997-07-12	VYDAJ	PREVOD NA UCET	3983	50597	 	AB	52341222
2833937	9377	1997-08-12	VYDAJ	PREVOD NA UCET	3983	86811	 	AB	52341222
2833938	9377	1997-09-12	VYDAJ	PREVOD NA UCET	3983	56370	 	AB	52341222
2833939	9377	1997-10-12	VYDAJ	PREVOD NA UCET	3983	55620	 	AB	52341222
2833940	9377	1997-11-12	VYDAJ	PREVOD NA UCET	3983	60738	 	AB	52341222
2833941	9377	1997-12-12	VYDAJ	PREVOD NA UCET	3983	98941	 	AB	52341222
2833942	9377	1998-01-12	VYDAJ	PREVOD NA UCET	3983	47599	 	AB	52341222
2833943	9377	1998-02-12	VYDAJ	PREVOD NA UCET	3983	53413	 	AB	52341222
2833944	9377	1998-03-12	VYDAJ	PREVOD NA UCET	3983	81903	 	AB	52341222
2833945	9377	1998-04-12	VYDAJ	PREVOD NA UCET	3983	55679	 	AB	52341222
2833946	9377	1998-05-12	VYDAJ	PREVOD NA UCET	3983	50211	 	AB	52341222
2833947	9377	1998-06-12	VYDAJ	PREVOD NA UCET	3983	51907	 	AB	52341222
2833948	9377	1998-07-12	VYDAJ	PREVOD NA UCET	3983	88401	 	AB	52341222
2833949	9377	1998-08-12	VYDAJ	PREVOD NA UCET	3983	46339	 	AB	52341222
2833950	9377	1998-09-12	VYDAJ	PREVOD NA UCET	3983	78958	 	AB	52341222
2833951	9377	1998-10-12	VYDAJ	PREVOD NA UCET	3983	30597	 	AB	52341222
2833952	9377	1998-11-12	VYDAJ	PREVOD NA UCET	3983	63603	 	AB	52341222
2833953	9377	1998-12-12	VYDAJ	PREVOD NA UCET	3983	50069	 	AB	52341222
2833961	9377	1996-10-10	VYBER	VYBER	12109	70354	\N	\N	\N
2833962	9377	1997-03-09	VYBER	VYBER	3905	33333	\N	\N	\N
2833963	9377	1997-07-18	VYBER	VYBER	2364	44069	\N	\N	\N
2833965	9377	1997-09-26	VYBER	VYBER	23211	54015	\N	\N	\N
2833966	9377	1997-05-12	VYBER	VYBER	14253	46988	\N	\N	\N
2833967	9377	1997-02-04	VYBER	VYBER	11424	77558	\N	\N	\N
2833968	9377	1998-09-03	VYBER	VYBER	5008	85699	\N	\N	\N
2833970	9377	1998-10-07	VYBER	VYBER	12379	41502	\N	\N	\N
2833974	9377	1998-06-11	VYDAJ	VYBER	24900	60054	\N	\N	\N
2833977	9377	1997-01-25	VYDAJ	VYBER	14700	76125	\N	\N	\N
2833978	9377	1998-01-21	VYDAJ	VYBER	4500	39199	\N	\N	\N
2833980	9377	1996-12-15	VYDAJ	VYBER	2100	57571	\N	\N	\N
2833981	9377	1997-12-16	VYDAJ	VYBER KARTOU	3000	91777	\N	\N	0
2833982	9377	1998-12-03	VYDAJ	VYBER	6000	60974	\N	\N	\N
2833995	9377	1997-01-21	VYDAJ	VYBER	3000	96225	\N	\N	\N
2833996	9377	1997-01-17	VYDAJ	VYBER	1800	67438	\N	\N	\N
2833997	9377	1997-01-21	VYDAJ	VYBER	5400	90825	\N	\N	\N
2833998	9377	1997-01-03	VYDAJ	VYBER	6600	42179	\N	\N	\N
2833999	9377	1997-01-09	VYDAJ	VYBER	7800	31021	\N	\N	\N
2834000	9377	1997-01-08	VYDAJ	VYBER	3600	35821	\N	\N	\N
2834001	9377	1998-01-01	VYDAJ	VYBER	6300	72904	\N	\N	\N
2834002	9377	1998-01-01	VYDAJ	VYBER	8700	79204	\N	\N	\N
2834003	9377	1998-01-15	VYDAJ	VYBER KARTOU	3900	43699	\N	\N	0
2834004	9377	1998-01-27	VYDAJ	VYBER KARTOU	3600	35599	\N	\N	0
2834005	9377	1998-01-11	VYDAJ	VYBER KARTOU	3300	55746	\N	\N	0
2834006	9377	1998-01-29	VYDAJ	VYBER KARTOU	1800	42993	\N	\N	0
2834014	9377	1996-09-24	VYDAJ	VYBER	2400	40617	\N	\N	\N
2834017	9377	1996-11-07	VYDAJ	VYBER	5100	99460	\N	\N	\N
2834018	9377	1996-08-25	VYDAJ	VYBER	12900	43217	\N	\N	\N
2834019	9377	1997-03-08	VYDAJ	VYBER	12000	37238	\N	\N	\N
2834020	9377	1997-10-01	VYDAJ	VYBER	7200	95825	\N	\N	\N
2834021	9377	1997-11-15	VYDAJ	VYBER	10800	72939	\N	\N	\N
2834022	9377	1997-07-02	VYDAJ	VYBER	14100	75038	\N	\N	\N
2834023	9377	1998-07-29	VYDAJ	VYBER	9300	74937	\N	\N	\N
2834024	9377	1998-08-03	VYDAJ	VYBER	14100	53080	\N	\N	\N
2834025	9377	1998-12-27	VYDAJ	VYBER	7200	42869	\N	\N	\N
2834026	9377	1998-11-16	VYDAJ	VYBER KARTOU	2100	57339	\N	\N	0
2834041	9377	1996-02-29	VYDAJ	VYBER	15	32490	SLUZBY	\N	\N
2834042	9377	1996-03-31	VYDAJ	VYBER	15	21500	SLUZBY	\N	\N
2834043	9377	1996-04-30	VYDAJ	VYBER	15	23891	SLUZBY	\N	\N
2834044	9377	1996-05-31	VYDAJ	VYBER	15	21715	SLUZBY	\N	\N
2834045	9377	1996-06-30	VYDAJ	VYBER	15	30258	SLUZBY	\N	\N
2834046	9377	1996-07-31	VYDAJ	VYBER	15	88458	SLUZBY	\N	\N
2834047	9377	1996-08-31	VYDAJ	VYBER	15	43737	SLUZBY	\N	\N
2834048	9377	1996-09-30	VYDAJ	VYBER	15	40955	SLUZBY	\N	\N
2834049	9377	1996-10-31	VYDAJ	VYBER	15	70249	SLUZBY	\N	\N
2834050	9377	1996-11-30	VYDAJ	VYBER	15	91112	SLUZBY	\N	\N
2834051	9377	1996-12-31	VYDAJ	VYBER	15	53579	SLUZBY	\N	\N
2834052	9377	1997-01-31	VYDAJ	VYBER	15	88982	SLUZBY	\N	\N
2834053	9377	1997-02-28	VYDAJ	VYBER	15	51996	SLUZBY	\N	\N
2834054	9377	1997-03-31	VYDAJ	VYBER	15	92145	SLUZBY	\N	\N
2834055	9377	1997-04-30	VYDAJ	VYBER	15	91799	SLUZBY	\N	\N
2834056	9377	1997-05-31	VYDAJ	VYBER	15	39174	SLUZBY	\N	\N
2834057	9377	1997-06-30	VYDAJ	VYBER	15	89138	SLUZBY	\N	\N
2834058	9377	1997-07-31	VYDAJ	VYBER	15	90914	SLUZBY	\N	\N
2834059	9377	1997-08-31	VYDAJ	VYBER	15	92775	SLUZBY	\N	\N
2834060	9377	1997-09-30	VYDAJ	VYBER	15	103025	SLUZBY	\N	\N
2834061	9377	1997-10-31	VYDAJ	VYBER	15	107243	SLUZBY	\N	\N
2834062	9377	1997-11-30	VYDAJ	VYBER	15	89399	SLUZBY	\N	\N
2834063	9377	1997-12-31	VYDAJ	VYBER	15	87904	SLUZBY	\N	\N
2834064	9377	1998-01-31	VYDAJ	VYBER	15	43345	SLUZBY	\N	\N
2834065	9377	1998-02-28	VYDAJ	VYBER	15	49567	SLUZBY	\N	\N
2834066	9377	1998-03-31	VYDAJ	VYBER	15	82484	SLUZBY	\N	\N
2834067	9377	1998-04-30	VYDAJ	VYBER	15	56152	SLUZBY	\N	\N
2834068	9377	1998-05-31	VYDAJ	VYBER	15	66589	SLUZBY	\N	\N
2834069	9377	1998-06-30	VYDAJ	VYBER	15	52358	SLUZBY	\N	\N
2834070	9377	1998-07-31	VYDAJ	VYBER	15	75480	SLUZBY	\N	\N
2834071	9377	1998-08-31	VYDAJ	VYBER	15	42482	SLUZBY	\N	\N
2834072	9377	1998-09-30	VYDAJ	VYBER	15	114846	SLUZBY	\N	\N
2834073	9377	1998-10-31	VYDAJ	VYBER	15	70344	SLUZBY	\N	\N
2834074	9377	1998-11-30	VYDAJ	VYBER	15	66974	SLUZBY	\N	\N
2834075	9377	1995-10-17	PRIJEM	VKLAD	12500	12900	\N	\N	\N
2834076	9377	1995-11-16	VYDAJ	VYBER	28400	50273	\N	\N	\N
2834077	9377	1995-12-16	VYDAJ	VYBER	24200	45268	\N	\N	\N
2834078	9377	1996-01-15	VYDAJ	VYBER	10800	34757	\N	\N	\N
2834079	9377	1996-02-14	VYDAJ	VYBER	3000	35864	\N	\N	\N
2834080	9377	1996-03-15	VYDAJ	VYBER	400	21349	\N	\N	\N
2834081	9377	1996-04-14	PRIJEM	VKLAD	5100	16359	\N	\N	\N
2834082	9377	1996-05-14	PRIJEM	VKLAD	7600	24750	\N	\N	\N
2834083	9377	1996-06-13	VYDAJ	VYBER	6400	30015	\N	\N	\N
2834084	9377	1996-07-13	VYDAJ	VYBER	29200	59437	\N	\N	\N
2834085	9377	1996-08-12	VYDAJ	VYBER	22000	59717	\N	\N	\N
2834086	9377	1996-09-11	VYDAJ	VYBER	21100	50900	\N	\N	\N
2834087	9377	1996-10-11	VYDAJ	VYBER	16600	53754	\N	\N	\N
2834088	9377	1996-11-10	VYDAJ	VYBER	28500	70960	\N	\N	\N
2834089	9377	1996-12-10	VYDAJ	VYBER	24700	63654	\N	\N	\N
2834090	9377	1997-01-09	PRIJEM	VKLAD	3000	38821	\N	\N	\N
2834091	9377	1997-02-08	VYDAJ	VYBER	15400	59400	\N	\N	\N
2834092	9377	1997-03-10	PRIJEM	VKLAD	2700	36033	\N	\N	\N
2834093	9377	1997-04-09	VYDAJ	VYBER	37000	71649	\N	\N	\N
2834094	9377	1997-05-09	VYDAJ	VYBER	27800	61241	\N	\N	\N
2834095	9377	1997-06-08	VYDAJ	VYBER	1000	35416	\N	\N	\N
2834096	9377	1997-07-08	VYDAJ	VYBER	17700	54580	\N	\N	\N
2834097	9377	1997-08-01	VYDAJ	VYBER	34200	92876	\N	\N	\N
2834098	9377	1997-08-07	VYDAJ	VYBER	28200	61918	\N	\N	\N
2834099	9377	1997-09-06	VYDAJ	VYBER	25500	67275	\N	\N	\N
2834100	9377	1997-10-06	VYDAJ	VYBER	29300	66525	\N	\N	\N
2834101	9377	1997-11-05	VYDAJ	VYBER	35600	71643	\N	\N	\N
2834102	9377	1997-11-22	VYDAJ	VYBER	27800	88753	\N	\N	\N
2834103	9377	1997-12-05	VYDAJ	VYBER	24800	64599	\N	\N	\N
2834104	9377	1997-12-19	VYDAJ	VYBER	31600	87184	\N	\N	\N
2834105	9377	1998-01-04	VYDAJ	VYBER	11100	61804	\N	\N	\N
2834106	9377	1998-02-03	PRIJEM	VKLAD	5600	48945	\N	\N	\N
2834107	9377	1998-03-05	VYDAJ	VYBER KARTOU	1700	47867	\N	\N	0
2834108	9377	1998-04-04	VYDAJ	VYBER	15900	66584	\N	\N	\N
2834109	9377	1998-05-04	PRIJEM	VKLAD	800	56952	\N	\N	\N
2834110	9377	1998-06-03	VYDAJ	VYBER	26500	87712	\N	\N	\N
2834111	9377	1998-07-03	PRIJEM	VKLAD	5900	58258	\N	\N	\N
2834112	9377	1998-08-02	VYDAJ	VYBER	8300	67180	\N	\N	\N
2834113	9377	1998-09-01	PRIJEM	VKLAD	10100	52582	\N	\N	\N
2834114	9377	1998-10-01	VYDAJ	VYBER	22600	92246	\N	\N	\N
2834115	9377	1998-10-03	VYDAJ	VYBER	62800	53881	\N	\N	\N
2834116	9377	1998-10-31	VYDAJ	VYBER KARTOU	1100	70359	\N	\N	0
2834117	9377	1998-11-30	PRIJEM	VKLAD	9200	66768	\N	\N	\N
2841111	9403	1993-03-27	PRIJEM	VKLAD	600	600	\N	\N	\N
2841112	9403	1993-07-09	PRIJEM	VKLAD	35840	91115	\N	\N	\N
2841113	9403	1993-10-03	PRIJEM	VKLAD	23359	43746	\N	\N	\N
2841114	9403	1993-07-30	PRIJEM	VKLAD	9570	55238	\N	\N	\N
2841115	9403	1993-08-10	PRIJEM	VKLAD	29799	58942	\N	\N	\N
2841117	9403	1993-07-19	PRIJEM	VKLAD	25353	116468	\N	\N	\N
2841118	9403	1993-10-14	PRIJEM	VKLAD	25982	63703	\N	\N	\N
2841119	9403	1993-05-24	PRIJEM	VKLAD	28658	87876	\N	\N	\N
2841120	9403	1993-05-28	PRIJEM	VKLAD	48453	103329	\N	\N	\N
2841121	9403	1993-10-31	PRIJEM	VKLAD	30444	73047	\N	\N	\N
2841124	9403	1993-05-17	PRIJEM	VKLAD	48618	59218	\N	\N	\N
2841125	9403	1994-08-01	PRIJEM	VKLAD	37386	63114	\N	\N	\N
2841126	9403	1994-01-27	PRIJEM	VKLAD	28277	45924	\N	\N	\N
2841127	9403	1994-03-14	PRIJEM	VKLAD	29054	47595	\N	\N	\N
2841128	9403	1994-06-09	PRIJEM	VKLAD	38389	61815	\N	\N	\N
2841129	9403	1994-12-01	PRIJEM	VKLAD	30960	65003	\N	\N	\N
2841130	9403	1994-11-09	PRIJEM	VKLAD	18651	45116	\N	\N	\N
2841131	9403	1995-12-17	PRIJEM	VKLAD	20251	44474	\N	\N	\N
2841132	9403	1995-07-16	PRIJEM	VKLAD	21269	52249	\N	\N	\N
2841133	9403	1995-09-11	PRIJEM	VKLAD	19635	51081	\N	\N	\N
2841134	9403	1995-05-02	PRIJEM	VKLAD	20231	55187	\N	\N	\N
2841135	9403	1995-08-22	PRIJEM	VKLAD	5825	34532	\N	\N	\N
2841136	9403	1995-01-04	PRIJEM	VKLAD	35800	66163	\N	\N	\N
2841137	9403	1995-04-21	PRIJEM	VKLAD	9652	34865	\N	\N	\N
2841138	9403	1996-04-28	PRIJEM	VKLAD	16454	60502	\N	\N	\N
2841139	9403	1996-03-08	PRIJEM	VKLAD	5621	25093	\N	\N	\N
2841140	9403	1996-04-02	PRIJEM	VKLAD	11807	31067	\N	\N	\N
2841141	9403	1996-06-01	PRIJEM	VKLAD	33084	56528	\N	\N	\N
2841142	9403	1996-04-18	PRIJEM	VKLAD	27493	49877	\N	\N	\N
2841143	9403	1997-05-26	PRIJEM	VKLAD	14735	36568	\N	\N	\N
2841144	9403	1997-07-19	PRIJEM	VKLAD	49024	68392	\N	\N	\N
2841145	9403	1997-01-27	PRIJEM	VKLAD	43513	68034	\N	\N	\N
2841146	9403	1997-01-06	PRIJEM	VKLAD	24422	44904	\N	\N	\N
2841147	9403	1997-12-12	PRIJEM	VKLAD	14691	58700	\N	\N	\N
2841148	9403	1997-11-07	PRIJEM	VKLAD	13343	74286	\N	\N	\N
2841149	9403	1997-12-27	PRIJEM	VKLAD	34797	90697	\N	\N	\N
2841150	9403	1997-10-29	PRIJEM	VKLAD	12647	114488	\N	\N	\N
2841151	9403	1997-04-07	PRIJEM	VKLAD	13701	35218	\N	\N	\N
2841152	9403	1997-09-16	PRIJEM	VKLAD	49297	95842	\N	\N	\N
2841153	9403	1997-10-14	PRIJEM	VKLAD	42196	105041	\N	\N	\N
2841154	9403	1997-09-15	PRIJEM	VKLAD	23562	50445	\N	\N	\N
2841155	9403	1997-07-30	PRIJEM	VKLAD	15828	84220	\N	\N	\N
2841156	9403	1998-08-31	PRIJEM	VKLAD	13117	44661	\N	\N	\N
2841157	9403	1998-01-05	PRIJEM	VKLAD	5463	70875	\N	\N	\N
2841158	9403	1998-01-10	PRIJEM	VKLAD	31735	96985	\N	\N	\N
2841159	9403	1998-10-23	PRIJEM	VKLAD	22050	53311	\N	\N	\N
2841160	9403	1998-04-29	PRIJEM	VKLAD	37246	70328	\N	\N	\N
2841168	9403	1993-08-20	VYDAJ	VYBER	2900	56042	\N	\N	0
2841169	9403	1993-09-14	VYDAJ	VYBER	2700	16429	\N	\N	0
2841170	9403	1993-10-04	VYDAJ	VYBER	2800	40946	\N	\N	0
2841171	9403	1993-11-06	VYDAJ	VYBER	3300	69909	\N	\N	0
2841172	9403	1993-12-02	VYDAJ	VYBER	4100	39597	\N	\N	0
2841173	9403	1994-01-20	VYDAJ	VYBER	3400	13447	\N	\N	0
2841174	9403	1994-02-11	VYDAJ	VYBER	3600	30772	\N	\N	0
2841175	9403	1994-03-04	VYDAJ	VYBER	3300	21766	\N	\N	0
2841176	9403	1994-04-06	VYDAJ	VYBER	3800	32204	\N	\N	0
2841177	9403	1994-05-15	VYDAJ	VYBER	2500	20850	\N	\N	0
2841178	9403	1994-06-05	VYDAJ	VYBER	3300	23426	\N	\N	0
2841179	9403	1994-07-20	VYDAJ	VYBER	3500	25638	\N	\N	0
2841180	9403	1994-08-12	VYDAJ	PREVOD NA UCET	3358	45431	UVER	GH	93069415
2841181	9403	1994-09-12	VYDAJ	PREVOD NA UCET	3358	20294	UVER	GH	93069415
2841182	9403	1994-10-12	VYDAJ	PREVOD NA UCET	3358	16998	UVER	GH	93069415
2841183	9403	1994-11-12	VYDAJ	PREVOD NA UCET	3358	38533	UVER	GH	93069415
2841184	9403	1994-12-12	VYDAJ	PREVOD NA UCET	3358	53020	UVER	GH	93069415
2841185	9403	1995-01-12	VYDAJ	PREVOD NA UCET	3358	51180	UVER	GH	93069415
2841186	9403	1995-02-12	VYDAJ	PREVOD NA UCET	3358	16838	UVER	GH	93069415
2841187	9403	1995-03-12	VYDAJ	PREVOD NA UCET	3358	17921	UVER	GH	93069415
2841188	9403	1995-04-12	VYDAJ	PREVOD NA UCET	3358	21913	UVER	GH	93069415
2841189	9403	1995-05-12	VYDAJ	PREVOD NA UCET	3358	48604	UVER	GH	93069415
2841190	9403	1995-06-12	VYDAJ	PREVOD NA UCET	3358	31354	UVER	GH	93069415
2841191	9403	1995-07-12	VYDAJ	PREVOD NA UCET	3358	24480	UVER	GH	93069415
2841192	9403	1995-08-12	VYDAJ	PREVOD NA UCET	3358	45807	UVER	GH	93069415
2841193	9403	1995-09-12	VYDAJ	PREVOD NA UCET	3358	47723	UVER	GH	93069415
2841194	9403	1995-10-12	VYDAJ	PREVOD NA UCET	3358	33270	UVER	GH	93069415
2841195	9403	1995-11-12	VYDAJ	PREVOD NA UCET	3358	30405	UVER	GH	93069415
2841196	9403	1995-12-12	VYDAJ	PREVOD NA UCET	3358	24223	UVER	GH	93069415
2841197	9403	1996-01-12	VYDAJ	PREVOD NA UCET	3358	22611	UVER	GH	93069415
2841198	9403	1996-02-12	VYDAJ	PREVOD NA UCET	3358	19418	UVER	GH	93069415
2841199	9403	1996-03-12	VYDAJ	PREVOD NA UCET	3358	19210	UVER	GH	93069415
2841200	9403	1996-04-12	VYDAJ	PREVOD NA UCET	3358	22384	UVER	GH	93069415
2841201	9403	1996-05-12	VYDAJ	PREVOD NA UCET	3358	30531	UVER	GH	93069415
2841202	9403	1996-06-12	VYDAJ	PREVOD NA UCET	3358	34645	UVER	GH	93069415
2841203	9403	1996-07-12	VYDAJ	PREVOD NA UCET	3358	20165	UVER	GH	93069415
2841204	9403	1996-08-12	VYDAJ	PREVOD NA UCET	3358	17450	UVER	GH	93069415
2841205	9403	1996-09-12	VYDAJ	PREVOD NA UCET	3358	12412	UVER	GH	93069415
2841206	9403	1996-10-12	VYDAJ	PREVOD NA UCET	3358	13955	UVER	GH	93069415
2841207	9403	1996-11-12	VYDAJ	PREVOD NA UCET	3358	16698	UVER	GH	93069415
2841208	9403	1996-12-12	VYDAJ	PREVOD NA UCET	3358	14850	UVER	GH	93069415
2841209	9403	1997-01-12	VYDAJ	PREVOD NA UCET	3358	24521	UVER	GH	93069415
2841210	9403	1997-02-12	VYDAJ	PREVOD NA UCET	3358	26053	UVER	GH	93069415
2841211	9403	1997-03-12	VYDAJ	PREVOD NA UCET	3358	18364	UVER	GH	93069415
2841212	9403	1997-04-12	VYDAJ	PREVOD NA UCET	3358	28635	UVER	GH	93069415
2841213	9403	1997-05-12	VYDAJ	PREVOD NA UCET	3358	21833	UVER	GH	93069415
2841214	9403	1997-06-12	VYDAJ	PREVOD NA UCET	3358	25963	UVER	GH	93069415
2841215	9403	1997-07-12	VYDAJ	PREVOD NA UCET	3358	19368	UVER	GH	93069415
2841216	9403	1997-08-02	VYDAJ	VYBER	3600	80766	\N	\N	0
2841217	9403	1997-09-15	VYDAJ	VYBER	3900	46545	\N	\N	0
2841218	9403	1997-10-20	VYDAJ	VYBER	3200	101841	\N	\N	0
2841219	9403	1997-11-21	VYDAJ	VYBER	2700	68361	\N	\N	0
2841220	9403	1997-12-17	VYDAJ	VYBER	2800	55900	\N	\N	0
2841221	9403	1998-01-13	VYDAJ	VYBER	3400	93585	\N	\N	0
2841222	9403	1998-02-08	VYDAJ	VYBER	2800	38131	\N	\N	0
2841223	9403	1998-03-19	VYDAJ	VYBER	2500	32399	\N	\N	0
2841224	9403	1998-04-21	VYDAJ	VYBER	2800	33082	\N	\N	0
2841225	9403	1998-05-07	VYDAJ	VYBER	3600	53456	\N	\N	0
2841226	9403	1998-06-10	VYDAJ	VYBER	3800	28235	\N	\N	0
2841227	9403	1998-07-14	VYDAJ	VYBER	3200	28403	\N	\N	0
2841228	9403	1998-08-21	VYDAJ	VYBER	2800	21044	\N	\N	0
2841229	9403	1998-09-18	VYDAJ	VYBER	4100	33958	\N	\N	0
2841230	9403	1998-10-11	VYDAJ	VYBER	3000	31261	\N	\N	0
2841231	9403	1998-11-15	VYDAJ	VYBER	4000	34808	\N	\N	0
2841232	9403	1998-12-08	VYDAJ	VYBER	4100	29332	\N	\N	0
2841240	9403	1993-08-09	VYDAJ	PREVOD NA UCET	3225	29143	SIPO	IJ	75850492
2841241	9403	1993-09-09	VYDAJ	PREVOD NA UCET	3225	19129	SIPO	IJ	75850492
2841242	9403	1993-10-09	VYDAJ	PREVOD NA UCET	3225	37721	SIPO	IJ	75850492
2841243	9403	1993-11-09	VYDAJ	PREVOD NA UCET	3225	66684	SIPO	IJ	75850492
2841244	9403	1993-12-09	VYDAJ	PREVOD NA UCET	3225	29772	SIPO	IJ	75850492
2841245	9403	1994-01-09	VYDAJ	PREVOD NA UCET	3225	16847	SIPO	IJ	75850492
2841246	9403	1994-02-09	VYDAJ	PREVOD NA UCET	3225	34372	SIPO	IJ	75850492
2841247	9403	1994-03-09	VYDAJ	PREVOD NA UCET	3225	18541	SIPO	IJ	75850492
2841248	9403	1994-04-09	VYDAJ	PREVOD NA UCET	3225	28979	SIPO	IJ	75850492
2841249	9403	1994-05-09	VYDAJ	PREVOD NA UCET	3225	23350	SIPO	IJ	75850492
2841250	9403	1994-06-09	VYDAJ	PREVOD NA UCET	3225	58590	SIPO	IJ	75850492
2841251	9403	1994-07-09	VYDAJ	PREVOD NA UCET	3225	27638	SIPO	IJ	75850492
2841252	9403	1994-08-09	VYDAJ	PREVOD NA UCET	3225	48789	SIPO	IJ	75850492
2841253	9403	1994-09-09	VYDAJ	PREVOD NA UCET	3225	35652	SIPO	IJ	75850492
2841254	9403	1994-10-09	VYDAJ	PREVOD NA UCET	3225	20356	SIPO	IJ	75850492
2841255	9403	1994-11-09	VYDAJ	PREVOD NA UCET	3225	41891	SIPO	IJ	75850492
2841256	9403	1994-12-09	VYDAJ	PREVOD NA UCET	3225	61778	SIPO	IJ	75850492
2841257	9403	1995-01-09	VYDAJ	PREVOD NA UCET	3225	60238	SIPO	IJ	75850492
2841258	9403	1995-02-09	VYDAJ	PREVOD NA UCET	3225	20196	SIPO	IJ	75850492
2841259	9403	1995-03-09	VYDAJ	PREVOD NA UCET	3225	21279	SIPO	IJ	75850492
2841260	9403	1995-04-09	VYDAJ	PREVOD NA UCET	3225	25271	SIPO	IJ	75850492
2841261	9403	1995-05-09	VYDAJ	PREVOD NA UCET	3225	51962	SIPO	IJ	75850492
2841262	9403	1995-06-09	VYDAJ	PREVOD NA UCET	3225	34712	SIPO	IJ	75850492
2841263	9403	1995-07-09	VYDAJ	PREVOD NA UCET	3225	27838	SIPO	IJ	75850492
2841264	9403	1995-08-09	VYDAJ	PREVOD NA UCET	3225	49165	SIPO	IJ	75850492
2841265	9403	1995-09-09	VYDAJ	PREVOD NA UCET	3225	31446	SIPO	IJ	75850492
2841266	9403	1995-10-09	VYDAJ	PREVOD NA UCET	3225	36628	SIPO	IJ	75850492
2841267	9403	1995-11-09	VYDAJ	PREVOD NA UCET	3225	30863	SIPO	IJ	75850492
2841268	9403	1995-12-09	VYDAJ	PREVOD NA UCET	3225	27281	SIPO	IJ	75850492
2841269	9403	1996-01-09	VYDAJ	PREVOD NA UCET	3225	33869	SIPO	IJ	75850492
2841270	9403	1996-02-09	VYDAJ	PREVOD NA UCET	3225	19476	SIPO	IJ	75850492
2841271	9403	1996-03-09	VYDAJ	PREVOD NA UCET	3225	21868	SIPO	IJ	75850492
2841272	9403	1996-04-09	VYDAJ	PREVOD NA UCET	3225	27842	SIPO	IJ	75850492
2841273	9403	1996-05-09	VYDAJ	PREVOD NA UCET	3225	46289	SIPO	IJ	75850492
2841274	9403	1996-06-09	VYDAJ	PREVOD NA UCET	3225	38003	SIPO	IJ	75850492
2841275	9403	1996-07-09	VYDAJ	PREVOD NA UCET	3225	23523	SIPO	IJ	75850492
2841276	9403	1996-08-09	VYDAJ	PREVOD NA UCET	3225	20808	SIPO	IJ	75850492
2841277	9403	1996-09-09	VYDAJ	PREVOD NA UCET	3225	15770	SIPO	IJ	75850492
2841278	9403	1996-10-09	VYDAJ	PREVOD NA UCET	3225	17313	SIPO	IJ	75850492
2841279	9403	1996-11-09	VYDAJ	PREVOD NA UCET	3225	20056	SIPO	IJ	75850492
2841280	9403	1996-12-09	VYDAJ	PREVOD NA UCET	3225	18208	SIPO	IJ	75850492
2841281	9403	1997-01-09	VYDAJ	PREVOD NA UCET	3225	41679	SIPO	IJ	75850492
2841282	9403	1997-02-09	VYDAJ	PREVOD NA UCET	3225	29411	SIPO	IJ	75850492
2841283	9403	1997-03-09	VYDAJ	PREVOD NA UCET	3225	21722	SIPO	IJ	75850492
2841284	9403	1997-04-09	VYDAJ	PREVOD NA UCET	3225	31993	SIPO	IJ	75850492
2841285	9403	1997-05-09	VYDAJ	PREVOD NA UCET	3225	25191	SIPO	IJ	75850492
2841286	9403	1997-06-09	VYDAJ	PREVOD NA UCET	3225	29321	SIPO	IJ	75850492
2841287	9403	1997-07-09	VYDAJ	PREVOD NA UCET	3225	22726	SIPO	IJ	75850492
2841288	9403	1997-08-09	VYDAJ	PREVOD NA UCET	3225	51541	SIPO	IJ	75850492
2841289	9403	1997-09-09	VYDAJ	PREVOD NA UCET	3225	26883	SIPO	IJ	75850492
2841290	9403	1997-10-09	VYDAJ	PREVOD NA UCET	3225	62845	SIPO	IJ	75850492
2841291	9403	1997-11-09	VYDAJ	PREVOD NA UCET	3225	71061	SIPO	IJ	75850492
2841292	9403	1997-12-09	VYDAJ	PREVOD NA UCET	3225	44009	SIPO	IJ	75850492
2841293	9403	1998-01-09	VYDAJ	PREVOD NA UCET	3225	65250	SIPO	IJ	75850492
2841294	9403	1998-02-09	VYDAJ	PREVOD NA UCET	3225	34906	SIPO	IJ	75850492
2841295	9403	1998-03-09	VYDAJ	PREVOD NA UCET	3225	34899	SIPO	IJ	75850492
2841296	9403	1998-04-09	VYDAJ	PREVOD NA UCET	3225	35882	SIPO	IJ	75850492
2841297	9403	1998-05-09	VYDAJ	PREVOD NA UCET	3225	50231	SIPO	IJ	75850492
2841298	9403	1998-06-09	VYDAJ	PREVOD NA UCET	3225	32035	SIPO	IJ	75850492
2841299	9403	1998-07-09	VYDAJ	PREVOD NA UCET	3225	31603	SIPO	IJ	75850492
2841300	9403	1998-08-09	VYDAJ	PREVOD NA UCET	3225	23844	SIPO	IJ	75850492
2841301	9403	1998-09-09	VYDAJ	PREVOD NA UCET	3225	38058	SIPO	IJ	75850492
2841302	9403	1998-10-09	VYDAJ	PREVOD NA UCET	3225	34261	SIPO	IJ	75850492
2841303	9403	1998-11-09	VYDAJ	PREVOD NA UCET	3225	38808	SIPO	IJ	75850492
2841304	9403	1998-12-09	VYDAJ	PREVOD NA UCET	3225	26107	SIPO	IJ	75850492
2841308	9403	1993-08-04	VYBER	VYBER	23190	32368	\N	\N	\N
2841311	9403	1993-09-03	VYBER	VYBER	5375	22354	\N	\N	\N
2841313	9403	1993-11-15	VYBER	VYBER	3110	63574	\N	\N	\N
2841315	9403	1993-08-22	VYBER	VYBER	22280	33762	\N	\N	\N
2841322	9403	1995-01-14	VYBER	VYBER	18891	32289	\N	\N	\N
2841328	9403	1996-04-26	VYBER	VYBER	5829	44048	\N	\N	\N
2841338	9403	1997-08-10	VYBER	VYBER	22857	28684	\N	\N	\N
2841342	9403	1998-05-18	VYBER	VYBER	21414	28817	\N	\N	\N
2841343	9403	1998-08-03	VYBER	VYBER	8031	27069	\N	\N	\N
2841346	9403	1998-09-09	VYBER	VYBER	3457	41283	\N	\N	\N
2841349	9403	1994-06-20	VYDAJ	VYBER	27000	30690	\N	\N	\N
2841356	9403	1995-01-01	VYDAJ	VYBER	8100	30363	\N	\N	\N
2841359	9403	1998-01-16	VYDAJ	VYBER	22500	64785	\N	\N	\N
2841360	9403	1993-12-03	VYDAJ	VYBER	6600	32997	\N	\N	\N
2841361	9403	1994-12-09	VYDAJ	VYBER	5400	56378	\N	\N	\N
2841364	9403	1997-12-04	VYDAJ	VYBER	3000	47234	\N	\N	\N
2841365	9403	1998-12-03	VYDAJ	VYBER	3600	33432	\N	\N	\N
2841375	9403	1994-01-27	VYDAJ	VYBER	8400	37524	\N	\N	\N
2841379	9403	1995-01-08	VYDAJ	VYBER	2700	63463	\N	\N	\N
2841380	9403	1995-01-18	VYDAJ	VYBER	3000	27189	\N	\N	\N
2841381	9403	1995-01-11	VYDAJ	VYBER	5700	54538	\N	\N	\N
2841382	9403	1995-01-23	VYDAJ	VYBER	1800	23289	\N	\N	\N
2841383	9403	1995-01-23	VYDAJ	VYBER	2100	25089	\N	\N	\N
2841385	9403	1996-01-09	VYDAJ	VYBER	7500	37094	\N	\N	\N
2841387	9403	1996-01-11	VYDAJ	VYBER	3300	30569	\N	\N	\N
2841390	9403	1997-01-11	VYDAJ	VYBER	6900	27879	\N	\N	\N
2841392	9403	1997-01-29	VYDAJ	VYBER	7800	60234	\N	\N	\N
2841394	9403	1997-01-29	VYDAJ	VYBER	6000	54234	\N	\N	\N
2841396	9403	1998-01-28	VYDAJ	VYBER	1500	48885	\N	\N	\N
2841397	9403	1998-01-25	VYDAJ	VYBER	2700	54585	\N	\N	\N
2841398	9403	1998-01-07	VYDAJ	VYBER	2400	68475	\N	\N	\N
2841399	9403	1998-01-16	VYDAJ	VYBER	6300	87285	\N	\N	\N
2841400	9403	1998-01-24	VYDAJ	VYBER	7500	57285	\N	\N	\N
2841401	9403	1998-01-30	VYDAJ	VYBER	3300	40685	\N	\N	\N
2841402	9403	1993-10-19	VYDAJ	VYBER	3600	60103	\N	\N	\N
2841404	9403	1994-09-09	VYDAJ	VYBER	12000	23652	\N	\N	\N
2841405	9403	1994-12-15	VYDAJ	VYBER	2100	50920	\N	\N	\N
2841406	9403	1994-08-04	VYDAJ	VYBER	11100	52014	\N	\N	\N
2841407	9403	1994-12-22	VYDAJ	VYBER	4200	38320	\N	\N	\N
2841409	9403	1994-01-05	VYDAJ	VYBER	9300	20072	\N	\N	\N
2841410	9403	1994-02-16	VYDAJ	VYBER	10500	20272	\N	\N	\N
2841412	9403	1995-05-15	VYDAJ	VYBER	9900	38704	\N	\N	\N
2841414	9403	1995-08-16	VYDAJ	VYBER	9600	28707	\N	\N	\N
2841416	9403	1996-05-14	VYDAJ	VYBER	7200	23331	\N	\N	\N
2841419	9403	1996-07-05	VYDAJ	VYBER	9600	25148	\N	\N	\N
2841420	9403	1996-05-01	VYDAJ	VYBER	11100	49514	\N	\N	\N
2841423	9403	1997-01-11	VYDAJ	VYBER	6900	34779	\N	\N	\N
2841424	9403	1997-02-02	VYDAJ	VYBER	13500	40836	\N	\N	\N
2841430	9403	1998-01-27	VYDAJ	VYBER	4200	50385	\N	\N	\N
2841438	9403	1993-07-31	VYDAJ	VYBER	30	55558	SLUZBY	\N	\N
2841439	9403	1993-08-31	VYDAJ	VYBER	30	27729	SLUZBY	\N	\N
2841440	9403	1993-09-30	VYDAJ	VYBER	30	20387	SLUZBY	\N	\N
2841441	9403	1993-10-31	VYDAJ	VYBER	30	73209	SLUZBY	\N	\N
2841442	9403	1993-11-30	VYDAJ	VYBER	30	43697	SLUZBY	\N	\N
2841443	9403	1993-12-31	VYDAJ	VYBER	30	29372	SLUZBY	\N	\N
2841444	9403	1994-01-31	VYDAJ	VYBER	30	37597	SLUZBY	\N	\N
2841445	9403	1994-02-28	VYDAJ	VYBER	30	25066	SLUZBY	\N	\N
2841446	9403	1994-03-31	VYDAJ	VYBER	30	36004	SLUZBY	\N	\N
2841447	9403	1994-04-30	VYDAJ	VYBER	30	26575	SLUZBY	\N	\N
2841448	9403	1994-05-31	VYDAJ	VYBER	30	26726	SLUZBY	\N	\N
2841449	9403	1994-06-30	VYDAJ	VYBER	30	30863	SLUZBY	\N	\N
2841450	9403	1994-07-31	VYDAJ	VYBER	30	25728	SLUZBY	\N	\N
2841451	9403	1994-08-31	VYDAJ	VYBER	30	38877	SLUZBY	\N	\N
2841452	9403	1994-09-30	VYDAJ	VYBER	30	23581	SLUZBY	\N	\N
2841453	9403	1994-10-31	VYDAJ	VYBER	30	26465	SLUZBY	\N	\N
2841454	9403	1994-11-30	VYDAJ	VYBER	30	34043	SLUZBY	\N	\N
2841455	9403	1994-12-31	VYDAJ	VYBER	30	38463	SLUZBY	\N	\N
2841456	9403	1995-01-31	VYDAJ	VYBER	30	23421	SLUZBY	\N	\N
2841457	9403	1995-02-28	VYDAJ	VYBER	30	24504	SLUZBY	\N	\N
2841458	9403	1995-03-31	VYDAJ	VYBER	30	28496	SLUZBY	\N	\N
2841459	9403	1995-04-30	VYDAJ	VYBER	30	34956	SLUZBY	\N	\N
2841460	9403	1995-05-31	VYDAJ	VYBER	30	37937	SLUZBY	\N	\N
2841461	9403	1995-06-30	VYDAJ	VYBER	30	31063	SLUZBY	\N	\N
2841462	9403	1995-07-31	VYDAJ	VYBER	30	52390	SLUZBY	\N	\N
2841463	9403	1995-08-31	VYDAJ	VYBER	30	34671	SLUZBY	\N	\N
2841464	9403	1995-09-30	VYDAJ	VYBER	30	39853	SLUZBY	\N	\N
2841465	9403	1995-10-31	VYDAJ	VYBER	30	34088	SLUZBY	\N	\N
2841466	9403	1995-11-30	VYDAJ	VYBER	30	30506	SLUZBY	\N	\N
2841467	9403	1995-12-31	VYDAJ	VYBER	30	44594	SLUZBY	\N	\N
2841468	9403	1996-01-31	VYDAJ	VYBER	30	22701	SLUZBY	\N	\N
2841469	9403	1996-02-29	VYDAJ	VYBER	30	19472	SLUZBY	\N	\N
2841470	9403	1996-03-31	VYDAJ	VYBER	30	19260	SLUZBY	\N	\N
2841471	9403	1996-04-30	VYDAJ	VYBER	30	60614	SLUZBY	\N	\N
2841472	9403	1996-05-31	VYDAJ	VYBER	30	23444	SLUZBY	\N	\N
2841473	9403	1996-06-30	VYDAJ	VYBER	30	34748	SLUZBY	\N	\N
2841474	9403	1996-07-31	VYDAJ	VYBER	30	20233	SLUZBY	\N	\N
2841475	9403	1996-08-31	VYDAJ	VYBER	30	17495	SLUZBY	\N	\N
2841476	9403	1996-09-30	VYDAJ	VYBER	30	12438	SLUZBY	\N	\N
2841477	9403	1996-10-31	VYDAJ	VYBER	30	13981	SLUZBY	\N	\N
2841478	9403	1996-11-30	VYDAJ	VYBER	30	16733	SLUZBY	\N	\N
2841479	9403	1996-12-31	VYDAJ	VYBER	30	14882	SLUZBY	\N	\N
2841480	9403	1997-01-31	VYDAJ	VYBER	30	54336	SLUZBY	\N	\N
2841481	9403	1997-02-28	VYDAJ	VYBER	30	26147	SLUZBY	\N	\N
2841482	9403	1997-03-31	VYDAJ	VYBER	30	18417	SLUZBY	\N	\N
2841483	9403	1997-04-30	VYDAJ	VYBER	30	28716	SLUZBY	\N	\N
2841484	9403	1997-05-31	VYDAJ	VYBER	30	36646	SLUZBY	\N	\N
2841485	9403	1997-06-30	VYDAJ	VYBER	30	26051	SLUZBY	\N	\N
2841486	9403	1997-07-31	VYDAJ	VYBER	30	84366	SLUZBY	\N	\N
2841487	9403	1997-08-31	VYDAJ	VYBER	30	28808	SLUZBY	\N	\N
2841488	9403	1997-09-30	VYDAJ	VYBER	30	96070	SLUZBY	\N	\N
2841489	9403	1997-10-31	VYDAJ	VYBER	30	88243	SLUZBY	\N	\N
2841490	9403	1997-11-30	VYDAJ	VYBER	30	68634	SLUZBY	\N	\N
2841491	9403	1997-12-31	VYDAJ	VYBER	30	90912	SLUZBY	\N	\N
2841492	9403	1998-01-31	VYDAJ	VYBER	30	40931	SLUZBY	\N	\N
2841493	9403	1998-02-28	VYDAJ	VYBER	30	35024	SLUZBY	\N	\N
2841494	9403	1998-03-31	VYDAJ	VYBER	30	39107	SLUZBY	\N	\N
2841495	9403	1998-04-30	VYDAJ	VYBER	30	70456	SLUZBY	\N	\N
2841496	9403	1998-05-31	VYDAJ	VYBER	30	35260	SLUZBY	\N	\N
2841497	9403	1998-06-30	VYDAJ	VYBER	30	34828	SLUZBY	\N	\N
2841498	9403	1998-07-31	VYDAJ	VYBER	30	35100	SLUZBY	\N	\N
2841499	9403	1998-08-31	VYDAJ	VYBER	30	44740	SLUZBY	\N	\N
2841500	9403	1998-09-30	VYDAJ	VYBER	30	37486	SLUZBY	\N	\N
2841501	9403	1998-10-31	VYDAJ	VYBER	30	42033	SLUZBY	\N	\N
2841502	9403	1998-11-30	VYDAJ	VYBER	30	37032	SLUZBY	\N	\N
2841503	9403	1993-04-26	PRIJEM	VKLAD	10000	10600	\N	\N	\N
2841504	9403	1993-05-26	VYDAJ	VYBER	33000	54876	\N	\N	\N
2841505	9403	1993-05-28	VYDAJ	VYBER	16600	86729	\N	\N	\N
2841506	9403	1993-06-25	VYDAJ	VYBER	31900	54914	\N	\N	\N
2841507	9403	1993-07-19	VYDAJ	VYBER	49200	67268	\N	\N	\N
2841508	9403	1993-07-25	VYDAJ	VYBER	21600	45668	\N	\N	\N
2841509	9403	1993-08-24	VYDAJ	VYBER	6200	27562	\N	\N	\N
2841510	9403	1993-09-23	PRIJEM	VKLAD	3900	20329	\N	\N	\N
2841511	9403	1993-10-23	VYDAJ	VYBER	17500	42603	\N	\N	\N
2841512	9403	1993-11-22	VYDAJ	VYBER	20100	43474	\N	\N	\N
2841513	9403	1993-12-22	VYDAJ	VYBER	500	29272	\N	\N	\N
2841514	9403	1994-01-21	PRIJEM	VKLAD	4200	17647	\N	\N	\N
2841515	9403	1994-02-20	PRIJEM	VKLAD	4700	24972	\N	\N	\N
2841516	9403	1994-03-22	VYDAJ	VYBER	11700	35895	\N	\N	\N
2841517	9403	1994-04-21	VYDAJ	VYBER	2500	26479	\N	\N	\N
2841518	9403	1994-05-21	PRIJEM	VKLAD	5800	26650	\N	\N	\N
2841519	9403	1994-06-20	VYDAJ	VYBER	900	57690	\N	\N	\N
2841520	9403	1994-07-20	PRIJEM	VKLAD	1500	29138	\N	\N	\N
2841521	9403	1994-08-19	VYDAJ	VYBER	6700	38731	\N	\N	\N
2841522	9403	1994-09-18	PRIJEM	VKLAD	3200	23494	\N	\N	\N
2841523	9403	1994-10-18	PRIJEM	VKLAD	9400	26398	\N	\N	\N
2841524	9403	1994-11-17	VYDAJ	VYBER	4600	33933	\N	\N	\N
2841525	9403	1994-12-17	VYDAJ	VYBER	8400	42520	\N	\N	\N
2841526	9403	1995-01-16	VYDAJ	VYBER	2100	30189	\N	\N	\N
2841527	9403	1995-02-15	PRIJEM	VKLAD	7600	24438	\N	\N	\N
2841528	9403	1995-03-17	PRIJEM	VKLAD	10500	28421	\N	\N	\N
2841529	9403	1995-04-16	PRIJEM	VKLAD	3300	25213	\N	\N	\N
2841530	9403	1995-05-16	VYDAJ	VYBER	900	37804	\N	\N	\N
2841531	9403	1995-06-15	VYDAJ	VYBER	400	30954	\N	\N	\N
2841532	9403	1995-07-15	PRIJEM	VKLAD	6500	30980	\N	\N	\N
2841533	9403	1995-08-14	VYDAJ	VYBER	7500	38307	\N	\N	\N
2841534	9403	1995-09-13	VYDAJ	VYBER	8000	39723	\N	\N	\N
2841535	9403	1995-10-13	PRIJEM	VKLAD	700	33970	\N	\N	\N
2841536	9403	1995-11-12	PRIJEM	VKLAD	2900	33763	\N	\N	\N
2841537	9403	1995-12-12	PRIJEM	VKLAD	300	27581	\N	\N	\N
2841538	9403	1996-01-11	VYDAJ	VYBER	4600	25969	\N	\N	\N
2841539	9403	1996-02-10	PRIJEM	VKLAD	3300	22776	\N	\N	\N
2841540	9403	1996-03-11	PRIJEM	VKLAD	700	22568	\N	\N	\N
2841541	9403	1996-04-10	VYDAJ	VYBER	2100	25742	\N	\N	\N
2841542	9403	1996-05-10	VYDAJ	VYBER	12400	33889	\N	\N	\N
2841543	9403	1996-06-09	VYDAJ	VYBER	15300	41228	\N	\N	\N
2841544	9403	1996-07-09	PRIJEM	VKLAD	1600	26748	\N	\N	\N
2841545	9403	1996-08-08	PRIJEM	VKLAD	3800	24033	\N	\N	\N
2841546	9403	1996-09-07	PRIJEM	VKLAD	1500	18995	\N	\N	\N
2841547	9403	1996-10-07	PRIJEM	VKLAD	8100	20538	\N	\N	\N
2841548	9403	1996-11-06	PRIJEM	VKLAD	9300	23281	\N	\N	\N
2841549	9403	1996-12-06	PRIJEM	VKLAD	4700	21433	\N	\N	\N
2841550	9403	1997-01-05	PRIJEM	VKLAD	5600	20482	\N	\N	\N
2841551	9403	1997-02-04	VYDAJ	VYBER	8200	32636	\N	\N	\N
2841552	9403	1997-03-06	VYDAJ	VYBER	1200	24947	\N	\N	\N
2841553	9403	1997-04-05	PRIJEM	VKLAD	3100	21517	\N	\N	\N
2841554	9403	1997-05-05	VYDAJ	VYBER	300	28416	\N	\N	\N
2841555	9403	1997-06-04	VYDAJ	VYBER	4100	32546	\N	\N	\N
2841556	9403	1997-07-04	VYDAJ	VYBER	100	25951	\N	\N	\N
2841557	9403	1997-08-03	VYDAJ	VYBER	26000	54766	\N	\N	\N
2841558	9403	1997-09-02	PRIJEM	VKLAD	1300	30108	\N	\N	\N
2841559	9403	1997-10-02	VYDAJ	VYBER	30000	66070	\N	\N	\N
2841560	9403	1997-10-29	VYDAJ	VYBER	26600	87888	\N	\N	\N
2841561	9403	1997-11-01	VYDAJ	VYBER	27300	60943	\N	\N	\N
2841562	9403	1997-12-01	VYDAJ	VYBER	18400	50234	\N	\N	\N
2841563	9403	1997-12-31	VYDAJ	VYBER	25500	65412	\N	\N	\N
2841564	9403	1998-01-30	VYDAJ	VYBER	4900	43985	\N	\N	\N
2841565	9403	1998-03-01	PRIJEM	VKLAD	3100	38124	\N	\N	\N
2841566	9403	1998-03-31	PRIJEM	VKLAD	6600	39137	\N	\N	\N
2841567	9403	1998-04-30	VYDAJ	VYBER	13400	57056	\N	\N	\N
2841568	9403	1998-05-30	PRIJEM	VKLAD	6300	35117	\N	\N	\N
2841569	9403	1998-06-29	PRIJEM	VKLAD	6500	34735	\N	\N	\N
2841570	9403	1998-07-29	PRIJEM	VKLAD	6600	35003	\N	\N	\N
2841571	9403	1998-08-28	PRIJEM	VKLAD	10500	31544	\N	\N	\N
2841572	9403	1998-09-27	PRIJEM	VKLAD	3400	37358	\N	\N	\N
2841573	9403	1998-10-27	VYDAJ	VYBER	11400	41911	\N	\N	\N
2841574	9403	1998-11-26	PRIJEM	VKLAD	2100	36908	\N	\N	\N
2847051	9422	1996-03-06	PRIJEM	VKLAD	300	300	\N	\N	\N
2847054	9422	1996-03-14	PRIJEM	PREVOD Z UCTU	43095	43395	\N	EF	10179949
2847055	9422	1996-04-14	PRIJEM	PREVOD Z UCTU	43095	74895	\N	EF	10179949
2847056	9422	1996-05-14	PRIJEM	PREVOD Z UCTU	43095	94245	\N	EF	10179949
2847057	9422	1996-06-14	PRIJEM	PREVOD Z UCTU	64642	128146	\N	EF	10179949
2847058	9422	1996-07-14	PRIJEM	PREVOD Z UCTU	43095	98395	\N	EF	10179949
2847059	9422	1996-08-14	PRIJEM	PREVOD Z UCTU	43095	92006	\N	EF	10179949
2847060	9422	1996-09-14	PRIJEM	PREVOD Z UCTU	43095	74591	\N	EF	10179949
2847061	9422	1996-10-14	PRIJEM	PREVOD Z UCTU	43095	67804	\N	EF	10179949
2847062	9422	1996-11-14	PRIJEM	PREVOD Z UCTU	43095	67551	\N	EF	10179949
2847063	9422	1996-12-14	PRIJEM	PREVOD Z UCTU	64642	86737	\N	EF	10179949
2847064	9422	1997-01-14	PRIJEM	PREVOD Z UCTU	43095	65971	\N	EF	10179949
2847065	9422	1997-02-14	PRIJEM	PREVOD Z UCTU	43095	63676	\N	EF	10179949
2847066	9422	1997-03-14	PRIJEM	PREVOD Z UCTU	43095	66100	\N	EF	10179949
2847067	9422	1997-04-14	PRIJEM	PREVOD Z UCTU	43095	78980	\N	EF	10179949
2847068	9422	1997-05-14	PRIJEM	PREVOD Z UCTU	43095	87522	\N	EF	10179949
2847069	9422	1997-06-14	PRIJEM	PREVOD Z UCTU	64642	91033	\N	EF	10179949
2847070	9422	1997-07-14	PRIJEM	PREVOD Z UCTU	43095	65771	\N	EF	10179949
2847071	9422	1997-08-14	PRIJEM	PREVOD Z UCTU	43095	80331	\N	EF	10179949
2847072	9422	1997-09-14	PRIJEM	PREVOD Z UCTU	43095	88445	\N	EF	10179949
2847073	9422	1997-10-14	PRIJEM	PREVOD Z UCTU	43095	64625	\N	EF	10179949
2847074	9422	1997-11-14	PRIJEM	PREVOD Z UCTU	43095	82370	\N	EF	10179949
2847075	9422	1997-12-14	PRIJEM	PREVOD Z UCTU	64642	120210	\N	EF	10179949
2847076	9422	1998-01-14	PRIJEM	PREVOD Z UCTU	43095	58996	\N	EF	10179949
2847077	9422	1998-02-14	PRIJEM	PREVOD Z UCTU	43095	69970	\N	EF	10179949
2847078	9422	1998-03-14	PRIJEM	PREVOD Z UCTU	43095	66194	\N	EF	10179949
2847079	9422	1998-04-14	PRIJEM	PREVOD Z UCTU	43095	63632	\N	EF	10179949
2847080	9422	1998-05-14	PRIJEM	PREVOD Z UCTU	43095	84450	\N	EF	10179949
2847081	9422	1998-06-14	PRIJEM	PREVOD Z UCTU	64642	111898	\N	EF	10179949
2847082	9422	1998-07-14	PRIJEM	PREVOD Z UCTU	43095	78250	\N	EF	10179949
2847083	9422	1998-08-14	PRIJEM	PREVOD Z UCTU	43095	80239	\N	EF	10179949
2847084	9422	1998-09-14	PRIJEM	PREVOD Z UCTU	43095	84701	\N	EF	10179949
2847085	9422	1998-10-14	PRIJEM	PREVOD Z UCTU	43095	91883	\N	EF	10179949
2847086	9422	1998-11-14	PRIJEM	PREVOD Z UCTU	43095	82839	\N	EF	10179949
2847087	9422	1998-12-14	PRIJEM	PREVOD Z UCTU	64642	92253	\N	EF	10179949
2847095	9422	1996-08-09	VYDAJ	VYBER	5700	49018	\N	\N	0
2847096	9422	1996-09-02	VYDAJ	VYBER	6500	44439	\N	\N	0
2847097	9422	1996-10-18	VYDAJ	VYBER	6300	61504	\N	\N	0
2847098	9422	1996-11-12	VYDAJ	PREVOD NA UCET	7183	24456	UVER	QR	97387158
2847099	9422	1996-12-12	VYDAJ	PREVOD NA UCET	7183	22095	UVER	QR	97387158
2847100	9422	1997-01-12	VYDAJ	PREVOD NA UCET	7183	22876	UVER	QR	97387158
2847101	9422	1997-02-12	VYDAJ	PREVOD NA UCET	7183	20581	UVER	QR	97387158
2847102	9422	1997-03-12	VYDAJ	PREVOD NA UCET	7183	23005	UVER	QR	97387158
2847103	9422	1997-04-12	VYDAJ	PREVOD NA UCET	7183	35885	UVER	QR	97387158
2847104	9422	1997-05-12	VYDAJ	PREVOD NA UCET	7183	44427	UVER	QR	97387158
2847105	9422	1997-06-12	VYDAJ	PREVOD NA UCET	7183	26391	UVER	QR	97387158
2847106	9422	1997-07-12	VYDAJ	PREVOD NA UCET	7183	22676	UVER	QR	97387158
2847107	9422	1997-08-12	VYDAJ	PREVOD NA UCET	7183	37236	UVER	QR	97387158
2847108	9422	1997-09-12	VYDAJ	PREVOD NA UCET	7183	45350	UVER	QR	97387158
2847109	9422	1997-10-12	VYDAJ	PREVOD NA UCET	7183	21530	UVER	QR	97387158
2847110	9422	1997-11-06	VYDAJ	VYBER	8800	39382	\N	\N	0
2847111	9422	1997-12-19	VYDAJ	VYBER	6500	67010	\N	\N	0
2847112	9422	1998-01-05	VYDAJ	VYBER	7900	19144	\N	\N	0
2847113	9422	1998-02-19	VYDAJ	VYBER	7800	62170	\N	\N	0
2847114	9422	1998-03-20	VYDAJ	VYBER	6500	31855	\N	\N	0
2847115	9422	1998-04-03	VYDAJ	VYBER	6000	23780	\N	\N	0
2847116	9422	1998-05-12	VYDAJ	VYBER	7600	41355	\N	\N	0
2847117	9422	1998-06-03	VYDAJ	VYBER	7700	50499	\N	\N	0
2847118	9422	1998-07-19	VYDAJ	VYBER	6400	71850	\N	\N	0
2847119	9422	1998-08-20	VYDAJ	VYBER	8200	72039	\N	\N	0
2847120	9422	1998-09-13	VYDAJ	VYBER	5300	41606	\N	\N	0
2847121	9422	1998-10-15	VYDAJ	VYBER	6500	85383	\N	\N	0
2847122	9422	1998-11-02	VYDAJ	VYBER	8200	42987	\N	\N	0
2847123	9422	1998-12-10	VYDAJ	VYBER	8600	41518	\N	\N	0
2847131	9422	1996-08-10	VYDAJ	PREVOD NA UCET	107	48911	SIPO	ST	30643040
2847132	9422	1996-09-10	VYDAJ	PREVOD NA UCET	107	31496	SIPO	ST	30643040
2847133	9422	1996-10-10	VYDAJ	PREVOD NA UCET	107	24709	SIPO	ST	30643040
2847134	9422	1996-11-10	VYDAJ	PREVOD NA UCET	107	31638	SIPO	ST	30643040
2847135	9422	1996-12-10	VYDAJ	PREVOD NA UCET	107	29278	SIPO	ST	30643040
2847136	9422	1997-01-10	VYDAJ	PREVOD NA UCET	107	30059	SIPO	ST	30643040
2847137	9422	1997-02-10	VYDAJ	PREVOD NA UCET	107	27764	SIPO	ST	30643040
2847138	9422	1997-03-10	VYDAJ	PREVOD NA UCET	107	33840	SIPO	ST	30643040
2847139	9422	1997-04-10	VYDAJ	PREVOD NA UCET	107	43067	SIPO	ST	30643040
2847140	9422	1997-05-10	VYDAJ	PREVOD NA UCET	107	51609	SIPO	ST	30643040
2847141	9422	1997-06-10	VYDAJ	PREVOD NA UCET	107	33573	SIPO	ST	30643040
2847142	9422	1997-07-10	VYDAJ	PREVOD NA UCET	107	29859	SIPO	ST	30643040
2847143	9422	1997-08-10	VYDAJ	PREVOD NA UCET	107	44418	SIPO	ST	30643040
2847144	9422	1997-09-10	VYDAJ	PREVOD NA UCET	107	52533	SIPO	ST	30643040
2847145	9422	1997-10-10	VYDAJ	PREVOD NA UCET	107	28712	SIPO	ST	30643040
2847146	9422	1997-11-10	VYDAJ	PREVOD NA UCET	107	39275	SIPO	ST	30643040
2847147	9422	1997-12-10	VYDAJ	PREVOD NA UCET	107	55568	SIPO	ST	30643040
2847148	9422	1998-01-10	VYDAJ	PREVOD NA UCET	107	15901	SIPO	ST	30643040
2847149	9422	1998-02-10	VYDAJ	PREVOD NA UCET	107	26875	SIPO	ST	30643040
2847150	9422	1998-03-10	VYDAJ	PREVOD NA UCET	107	46001	SIPO	ST	30643040
2847151	9422	1998-04-10	VYDAJ	PREVOD NA UCET	107	20537	SIPO	ST	30643040
2847152	9422	1998-05-10	VYDAJ	PREVOD NA UCET	107	48955	SIPO	ST	30643040
2847153	9422	1998-06-10	VYDAJ	PREVOD NA UCET	107	47256	SIPO	ST	30643040
2847154	9422	1998-07-10	VYDAJ	PREVOD NA UCET	107	35155	SIPO	ST	30643040
2847155	9422	1998-08-10	VYDAJ	PREVOD NA UCET	107	37144	SIPO	ST	30643040
2847156	9422	1998-09-10	VYDAJ	PREVOD NA UCET	107	46906	SIPO	ST	30643040
2847157	9422	1998-10-10	VYDAJ	PREVOD NA UCET	107	48788	SIPO	ST	30643040
2847158	9422	1998-11-10	VYDAJ	PREVOD NA UCET	107	39744	SIPO	ST	30643040
2847159	9422	1998-12-10	VYDAJ	PREVOD NA UCET	107	41411	SIPO	ST	30643040
2847167	9422	1996-08-05	VYDAJ	PREVOD NA UCET	3136	54718	 	YZ	28156739
2847168	9422	1996-09-05	VYDAJ	PREVOD NA UCET	3136	31603	 	YZ	28156739
2847169	9422	1996-10-05	VYDAJ	PREVOD NA UCET	3136	45856	 	YZ	28156739
2847170	9422	1996-11-05	VYDAJ	PREVOD NA UCET	3136	34020	 	YZ	28156739
2847171	9422	1996-12-05	VYDAJ	PREVOD NA UCET	3136	29385	 	YZ	28156739
2847172	9422	1997-01-05	VYDAJ	PREVOD NA UCET	3136	52966	 	YZ	28156739
2847173	9422	1997-02-05	VYDAJ	PREVOD NA UCET	3136	27871	 	YZ	28156739
2847174	9422	1997-03-05	VYDAJ	PREVOD NA UCET	3136	33947	 	YZ	28156739
2847175	9422	1997-04-05	VYDAJ	PREVOD NA UCET	3136	43174	 	YZ	28156739
2847176	9422	1997-05-05	VYDAJ	PREVOD NA UCET	3136	51716	 	YZ	28156739
2847177	9422	1997-06-05	VYDAJ	PREVOD NA UCET	3136	33680	 	YZ	28156739
2847178	9422	1997-07-05	VYDAJ	PREVOD NA UCET	3136	29966	 	YZ	28156739
2847179	9422	1997-08-05	VYDAJ	PREVOD NA UCET	3136	44525	 	YZ	28156739
2847180	9422	1997-09-05	VYDAJ	PREVOD NA UCET	3136	52640	 	YZ	28156739
2847181	9422	1997-10-05	VYDAJ	PREVOD NA UCET	3136	42019	 	YZ	28156739
2847182	9422	1997-11-05	VYDAJ	PREVOD NA UCET	3136	48182	 	YZ	28156739
2847183	9422	1997-12-05	VYDAJ	PREVOD NA UCET	3136	55675	 	YZ	28156739
2847184	9422	1998-01-05	VYDAJ	PREVOD NA UCET	3136	16008	 	YZ	28156739
2847185	9422	1998-02-05	VYDAJ	PREVOD NA UCET	3136	26982	 	YZ	28156739
2847186	9422	1998-03-05	VYDAJ	PREVOD NA UCET	3136	46108	 	YZ	28156739
2847187	9422	1998-04-05	VYDAJ	PREVOD NA UCET	3136	20644	 	YZ	28156739
2847188	9422	1998-05-05	VYDAJ	PREVOD NA UCET	3136	49062	 	YZ	28156739
2847189	9422	1998-06-05	VYDAJ	PREVOD NA UCET	3136	47363	 	YZ	28156739
2847190	9422	1998-07-05	VYDAJ	PREVOD NA UCET	3136	35262	 	YZ	28156739
2847191	9422	1998-08-05	VYDAJ	PREVOD NA UCET	3136	37251	 	YZ	28156739
2847192	9422	1998-09-05	VYDAJ	PREVOD NA UCET	3136	47013	 	YZ	28156739
2847193	9422	1998-10-05	VYDAJ	PREVOD NA UCET	3136	48895	 	YZ	28156739
2847194	9422	1998-11-05	VYDAJ	PREVOD NA UCET	3136	39851	 	YZ	28156739
2847195	9422	1998-12-05	VYDAJ	PREVOD NA UCET	3136	50118	 	YZ	28156739
2847197	9422	1996-11-06	VYBER	VYBER	2275	31745	\N	\N	\N
2847199	9422	1996-12-19	VYBER	VYBER	10964	75773	\N	\N	\N
2847203	9422	1996-08-30	VYBER	VYBER	21895	50648	\N	\N	\N
2847205	9422	1996-10-08	VYBER	VYBER	21040	24816	\N	\N	\N
2847207	9422	1996-10-28	VYBER	VYBER	18346	43158	\N	\N	\N
2847208	9422	1996-12-02	VYBER	VYBER	21237	32521	\N	\N	\N
2847209	9422	1996-08-26	VYBER	VYBER	19463	72543	\N	\N	\N
2847210	9422	1997-02-14	VYBER	VYBER	16440	47236	\N	\N	\N
2847211	9422	1997-05-18	VYBER	VYBER	10480	77042	\N	\N	\N
2847213	9422	1997-05-24	VYBER	VYBER	15346	40297	\N	\N	\N
2847214	9422	1997-09-30	VYBER	VYBER	14556	45170	\N	\N	\N
2847215	9422	1997-05-21	VYBER	VYBER	21399	55643	\N	\N	\N
2847217	9422	1997-01-18	VYBER	VYBER	10339	47832	\N	\N	\N
2847218	9422	1997-03-12	VYBER	VYBER	3652	30188	\N	\N	\N
2847220	9422	1998-03-15	VYBER	VYBER	15239	50955	\N	\N	\N
2847223	9422	1998-12-25	VYBER	VYBER	14781	39372	\N	\N	\N
2847224	9422	1998-03-11	VYBER	VYBER	22902	23099	\N	\N	\N
2847225	9422	1998-03-22	VYBER	VYBER	4619	27236	\N	\N	\N
2847226	9422	1998-07-03	VYBER	VYBER	18285	38398	\N	\N	\N
2847227	9422	1998-08-05	VYBER	VYBER	8672	40387	\N	\N	\N
2847228	9422	1998-10-24	VYBER	VYBER	5230	50953	\N	\N	\N
2847231	9422	1997-06-19	VYDAJ	VYBER	55500	35533	\N	\N	\N
2847234	9422	1997-01-10	VYDAJ	VYBER	14100	38866	\N	\N	\N
2847235	9422	1998-01-01	VYDAJ	VYBER	9300	33644	\N	\N	\N
2847237	9422	1997-12-30	VYDAJ	VYBER	4800	42710	\N	\N	\N
2847238	9422	1998-12-20	VYDAJ	VYBER KARTOU	2400	89853	\N	\N	0
2847245	9422	1997-01-28	VYDAJ	VYBER KARTOU	1500	33732	\N	\N	0
2847246	9422	1997-01-16	VYDAJ	VYBER	7800	58171	\N	\N	\N
2847247	9422	1997-01-23	VYDAJ	VYBER	6300	35232	\N	\N	\N
2847248	9422	1997-01-29	VYDAJ	VYBER KARTOU	3000	30732	\N	\N	0
2847249	9422	1997-01-10	VYDAJ	VYBER	8700	30166	\N	\N	\N
2847250	9422	1997-01-20	VYDAJ	VYBER KARTOU	2100	45732	\N	\N	0
2847251	9422	1998-01-18	VYDAJ	VYBER KARTOU	2100	49696	\N	\N	0
2847252	9422	1998-01-19	VYDAJ	VYBER	7200	42496	\N	\N	\N
2847253	9422	1998-01-28	VYDAJ	VYBER	6300	29996	\N	\N	\N
2847254	9422	1998-01-02	VYDAJ	VYBER KARTOU	1800	31844	\N	\N	0
2847255	9422	1998-01-03	VYDAJ	VYBER	4800	27044	\N	\N	\N
2847256	9422	1998-01-16	VYDAJ	VYBER	7200	51796	\N	\N	\N
2847258	9422	1996-09-18	VYDAJ	VYBER	14100	60491	\N	\N	\N
2847261	9422	1996-08-03	VYDAJ	VYBER	8700	57854	\N	\N	\N
2847264	9422	1997-01-22	VYDAJ	VYBER	4200	41532	\N	\N	\N
2847265	9422	1997-09-14	VYDAJ	VYBER KARTOU	3000	85445	\N	\N	0
2847266	9422	1997-03-31	VYDAJ	VYBER	9600	46310	\N	\N	\N
2847267	9422	1997-10-07	VYDAJ	VYBER	13200	28819	\N	\N	\N
2847268	9422	1998-12-13	VYDAJ	VYBER	13800	27611	\N	\N	\N
2847269	9422	1998-05-19	VYDAJ	VYBER KARTOU	1500	82950	\N	\N	0
2847271	9422	1998-03-17	VYDAJ	VYBER	12600	38355	\N	\N	\N
2847279	9422	1996-07-31	VYDAJ	VYBER	15	98754	SLUZBY	\N	\N
2847280	9422	1996-08-31	VYDAJ	VYBER	15	50939	SLUZBY	\N	\N
2847281	9422	1996-09-30	VYDAJ	VYBER	15	60692	SLUZBY	\N	\N
2847282	9422	1996-10-31	VYDAJ	VYBER	15	43356	SLUZBY	\N	\N
2847283	9422	1996-11-30	VYDAJ	VYBER	15	67758	SLUZBY	\N	\N
2847284	9422	1996-12-31	VYDAJ	VYBER	15	76002	SLUZBY	\N	\N
2847285	9422	1997-01-31	VYDAJ	VYBER	15	31007	SLUZBY	\N	\N
2847286	9422	1997-02-28	VYDAJ	VYBER	15	47383	SLUZBY	\N	\N
2847287	9422	1997-03-31	VYDAJ	VYBER	15	66310	SLUZBY	\N	\N
2847288	9422	1997-04-30	VYDAJ	VYBER	15	54852	SLUZBY	\N	\N
2847289	9422	1997-05-31	VYDAJ	VYBER	15	36816	SLUZBY	\N	\N
2847290	9422	1997-06-30	VYDAJ	VYBER	15	33102	SLUZBY	\N	\N
2847291	9422	1997-07-31	VYDAJ	VYBER	15	47661	SLUZBY	\N	\N
2847292	9422	1997-08-31	VYDAJ	VYBER	15	55776	SLUZBY	\N	\N
2847293	9422	1997-09-30	VYDAJ	VYBER	15	45155	SLUZBY	\N	\N
2847294	9422	1997-10-31	VYDAJ	VYBER	15	51318	SLUZBY	\N	\N
2847295	9422	1997-11-30	VYDAJ	VYBER	15	58811	SLUZBY	\N	\N
2847296	9422	1997-12-31	VYDAJ	VYBER	15	42944	SLUZBY	\N	\N
2847297	9422	1998-01-31	VYDAJ	VYBER	15	30118	SLUZBY	\N	\N
2847298	9422	1998-02-28	VYDAJ	VYBER	15	49244	SLUZBY	\N	\N
2847299	9422	1998-03-31	VYDAJ	VYBER	15	29780	SLUZBY	\N	\N
2847300	9422	1998-04-30	VYDAJ	VYBER	15	52198	SLUZBY	\N	\N
2847301	9422	1998-05-31	VYDAJ	VYBER	15	58199	SLUZBY	\N	\N
2847302	9422	1998-06-30	VYDAJ	VYBER	15	56683	SLUZBY	\N	\N
2847303	9422	1998-07-31	VYDAJ	VYBER	15	49059	SLUZBY	\N	\N
2847304	9422	1998-08-31	VYDAJ	VYBER	15	50149	SLUZBY	\N	\N
2847305	9422	1998-09-30	VYDAJ	VYBER	15	52031	SLUZBY	\N	\N
2847306	9422	1998-10-31	VYDAJ	VYBER	15	51187	SLUZBY	\N	\N
2847307	9422	1998-11-30	VYDAJ	VYBER	15	53254	SLUZBY	\N	\N
2847308	9422	1996-04-05	VYDAJ	VYBER	11700	31800	\N	\N	\N
2847309	9422	1996-05-05	VYDAJ	VYBER	24000	51150	\N	\N	\N
2847310	9422	1996-06-04	VYDAJ	VYBER	31100	63504	\N	\N	\N
2847311	9422	1996-06-14	VYDAJ	VYBER	50500	77646	\N	\N	\N
2847312	9422	1996-07-04	VYDAJ	VYBER	22700	55300	\N	\N	\N
2847313	9422	1996-08-03	VYDAJ	VYBER	32200	66554	\N	\N	\N
2847314	9422	1996-09-02	VYDAJ	VYBER	9700	34739	\N	\N	\N
2847315	9422	1996-10-02	VYDAJ	VYBER	11700	48992	\N	\N	\N
2847316	9422	1996-11-01	VYDAJ	VYBER	6200	37156	\N	\N	\N
2847317	9422	1996-12-01	VYDAJ	VYBER	14000	53758	\N	\N	\N
2847318	9422	1996-12-31	VYDAJ	VYBER	19900	56102	\N	\N	\N
2847319	9422	1997-01-30	PRIJEM	VKLAD	100	30832	\N	\N	\N
2847320	9422	1997-03-01	VYDAJ	VYBER	10300	37083	\N	\N	\N
2847321	9422	1997-03-31	VYDAJ	VYBER	10400	55910	\N	\N	\N
2847322	9422	1997-04-30	VYDAJ	VYBER	24400	54867	\N	\N	\N
2847323	9422	1997-05-30	VYDAJ	VYBER KARTOU	3700	36597	\N	\N	0
2847324	9422	1997-06-29	VYDAJ	VYBER KARTOU	2600	32933	\N	\N	0
2847325	9422	1997-07-29	VYDAJ	VYBER	18300	47471	\N	\N	\N
2847326	9422	1997-08-28	VYDAJ	VYBER	24800	55531	\N	\N	\N
2847327	9422	1997-09-27	VYDAJ	VYBER	26000	59445	\N	\N	\N
2847328	9422	1997-10-27	VYDAJ	VYBER	13500	51125	\N	\N	\N
2847329	9422	1997-11-26	VYDAJ	VYBER	23800	58570	\N	\N	\N
2847330	9422	1997-12-14	VYDAJ	VYBER	46700	73510	\N	\N	\N
2847331	9422	1997-12-26	VYDAJ	VYBER	19500	47510	\N	\N	\N
2847332	9422	1998-01-25	VYDAJ	VYBER	6200	36296	\N	\N	\N
2847333	9422	1998-02-24	VYDAJ	VYBER	13100	49070	\N	\N	\N
2847334	9422	1998-03-26	PRIJEM	VKLAD	2400	29636	\N	\N	\N
2847335	9422	1998-04-25	VYDAJ	VYBER	11600	52032	\N	\N	\N
2847336	9422	1998-05-25	VYDAJ	VYBER	25000	57950	\N	\N	\N
2847337	9422	1998-06-14	VYDAJ	VYBER	26400	85498	\N	\N	\N
2847338	9422	1998-06-24	VYDAJ	VYBER	29100	56398	\N	\N	\N
2847339	9422	1998-07-24	VYDAJ	VYBER	23000	48850	\N	\N	\N
2847340	9422	1998-08-23	VYDAJ	VYBER	22100	49939	\N	\N	\N
2847341	9422	1998-09-22	VYDAJ	VYBER	32900	51801	\N	\N	\N
2847342	9422	1998-10-22	VYDAJ	VYBER	29200	56183	\N	\N	\N
2847343	9422	1998-11-21	VYDAJ	VYBER	29800	53039	\N	\N	\N
2847344	9422	1998-12-21	VYDAJ	VYBER	35700	54153	\N	\N	\N
2847761	9424	1996-12-30	PRIJEM	VKLAD	500	500	\N	\N	\N
2847774	9424	1997-01-09	PRIJEM	PREVOD Z UCTU	13936	14436	\N	MN	56820648
2847775	9424	1997-02-09	PRIJEM	PREVOD Z UCTU	13936	34380	\N	MN	56820648
2847776	9424	1997-03-09	PRIJEM	PREVOD Z UCTU	13936	42303	\N	MN	56820648
2847777	9424	1997-04-09	PRIJEM	PREVOD Z UCTU	13936	46458	\N	MN	56820648
2847778	9424	1997-05-09	PRIJEM	PREVOD Z UCTU	13936	42829	\N	MN	56820648
2847779	9424	1997-06-09	PRIJEM	PREVOD Z UCTU	20904	53379	\N	MN	56820648
2847780	9424	1997-07-09	PRIJEM	PREVOD Z UCTU	13936	32986	\N	MN	56820648
2847781	9424	1997-08-09	PRIJEM	PREVOD Z UCTU	13936	31228	\N	MN	56820648
2847782	9424	1997-09-09	PRIJEM	PREVOD Z UCTU	13936	35864	\N	MN	56820648
2847783	9424	1997-10-09	PRIJEM	PREVOD Z UCTU	13936	37878	\N	MN	56820648
2847784	9424	1997-11-09	PRIJEM	PREVOD Z UCTU	13936	34138	\N	MN	56820648
2847785	9424	1997-12-09	PRIJEM	PREVOD Z UCTU	20904	34060	\N	MN	56820648
2847786	9424	1998-01-09	PRIJEM	PREVOD Z UCTU	13936	36453	\N	MN	56820648
2847787	9424	1998-02-09	PRIJEM	PREVOD Z UCTU	13936	26141	\N	MN	56820648
2847788	9424	1998-03-09	PRIJEM	PREVOD Z UCTU	13936	25843	\N	MN	56820648
2847789	9424	1998-04-09	PRIJEM	PREVOD Z UCTU	13936	34319	\N	MN	56820648
2847790	9424	1998-05-09	PRIJEM	PREVOD Z UCTU	13936	37024	\N	MN	56820648
2847791	9424	1998-06-09	PRIJEM	PREVOD Z UCTU	20904	39605	\N	MN	56820648
2847792	9424	1998-07-09	PRIJEM	PREVOD Z UCTU	13936	37415	\N	MN	56820648
2847793	9424	1998-08-09	PRIJEM	PREVOD Z UCTU	13936	34626	\N	MN	56820648
2847794	9424	1998-09-09	PRIJEM	PREVOD Z UCTU	13936	32364	\N	MN	56820648
2847795	9424	1998-10-09	PRIJEM	PREVOD Z UCTU	13936	33154	\N	MN	56820648
2847796	9424	1998-11-09	PRIJEM	PREVOD Z UCTU	13936	36151	\N	MN	56820648
2847797	9424	1998-12-09	PRIJEM	PREVOD Z UCTU	20904	42485	\N	MN	56820648
2847814	9424	1997-05-04	VYDAJ	VYBER	2300	28893	\N	\N	0
2847815	9424	1997-06-20	VYDAJ	VYBER	2700	40028	\N	\N	0
2847816	9424	1997-07-03	VYDAJ	VYBER	2800	19050	\N	\N	0
2847817	9424	1997-08-03	VYDAJ	VYBER	1800	23292	\N	\N	0
2847818	9424	1997-09-12	VYDAJ	PREVOD NA UCET	2323	33541	UVER	EF	1838881
2847819	9424	1997-10-12	VYDAJ	PREVOD NA UCET	2323	22922	UVER	EF	1838881
2847820	9424	1997-11-12	VYDAJ	PREVOD NA UCET	2323	16400	UVER	EF	1838881
2847821	9424	1997-12-12	VYDAJ	PREVOD NA UCET	2323	31738	UVER	EF	1838881
2847822	9424	1998-01-12	VYDAJ	PREVOD NA UCET	2323	27231	UVER	EF	1838881
2847823	9424	1998-02-12	VYDAJ	PREVOD NA UCET	2323	20456	UVER	EF	1838881
2847824	9424	1998-03-12	VYDAJ	PREVOD NA UCET	2323	23520	UVER	EF	1838881
2847825	9424	1998-04-12	VYDAJ	PREVOD NA UCET	2323	31996	UVER	EF	1838881
2847826	9424	1998-05-12	VYDAJ	PREVOD NA UCET	2323	34702	UVER	EF	1838881
2847827	9424	1998-06-12	VYDAJ	PREVOD NA UCET	2323	37283	UVER	EF	1838881
2847828	9424	1998-07-12	VYDAJ	PREVOD NA UCET	2323	35093	UVER	EF	1838881
2847829	9424	1998-08-12	VYDAJ	PREVOD NA UCET	2323	32303	UVER	EF	1838881
2847830	9424	1998-09-12	VYDAJ	PREVOD NA UCET	2323	30041	UVER	EF	1838881
2847831	9424	1998-10-12	VYDAJ	PREVOD NA UCET	2323	30832	UVER	EF	1838881
2847832	9424	1998-11-12	VYDAJ	PREVOD NA UCET	2323	30816	UVER	EF	1838881
2847833	9424	1998-12-12	VYDAJ	PREVOD NA UCET	2323	40163	UVER	EF	1838881
2847847	9424	1997-06-15	VYBER	VYBER	10651	42728	\N	\N	\N
2847849	9424	1997-11-12	VYBER	VYBER	15416	18722	\N	\N	\N
2847851	9424	1997-10-11	VYBER	VYBER	12633	25245	\N	\N	\N
2847855	9424	1998-08-16	VYBER	VYBER	2657	29646	\N	\N	\N
2847857	9424	1998-05-27	VYBER	VYBER	2797	18605	\N	\N	\N
2847859	9424	1998-11-10	VYBER	VYBER	3013	33138	\N	\N	\N
2847860	9424	1998-12-01	VYBER	VYBER	3529	21581	\N	\N	\N
2847863	9424	1998-02-11	VYBER	VYBER	3363	22778	\N	\N	\N
2847886	9424	1998-01-09	VYDAJ	VYBER	2700	33753	\N	\N	\N
2847887	9424	1998-01-12	VYDAJ	VYBER	1500	29553	\N	\N	\N
2847889	9424	1998-01-23	VYDAJ	VYBER	3300	18531	\N	\N	\N
2847890	9424	1998-01-15	VYDAJ	VYBER	5400	21831	\N	\N	\N
2847891	9424	1998-01-12	VYDAJ	VYBER	2700	31053	\N	\N	\N
2847898	9424	1997-06-23	VYDAJ	VYBER	12900	27128	\N	\N	\N
2847899	9424	1997-08-06	VYDAJ	VYBER	6000	17292	\N	\N	\N
2847900	9424	1997-12-16	VYDAJ	VYBER	1500	30238	\N	\N	\N
2847901	9424	1997-06-25	VYDAJ	VYBER	4200	22928	\N	\N	\N
2847924	9424	1997-05-31	VYDAJ	VYBER	15	32475	SLUZBY	\N	\N
2847925	9424	1997-06-30	VYDAJ	VYBER	15	21850	SLUZBY	\N	\N
2847926	9424	1997-07-31	VYDAJ	VYBER	15	25092	SLUZBY	\N	\N
2847927	9424	1997-08-31	VYDAJ	VYBER	15	21928	SLUZBY	\N	\N
2847928	9424	1997-09-30	VYDAJ	VYBER	15	23942	SLUZBY	\N	\N
2847929	9424	1997-10-31	VYDAJ	VYBER	15	20202	SLUZBY	\N	\N
2847930	9424	1997-11-30	VYDAJ	VYBER	15	13156	SLUZBY	\N	\N
2847931	9424	1997-12-31	VYDAJ	VYBER	15	22517	SLUZBY	\N	\N
2847932	9424	1998-01-31	VYDAJ	VYBER	15	12205	SLUZBY	\N	\N
2847933	9424	1998-02-28	VYDAJ	VYBER	15	11907	SLUZBY	\N	\N
2847934	9424	1998-03-31	VYDAJ	VYBER	15	20383	SLUZBY	\N	\N
2847935	9424	1998-04-30	VYDAJ	VYBER	15	23088	SLUZBY	\N	\N
2847936	9424	1998-05-31	VYDAJ	VYBER	15	18701	SLUZBY	\N	\N
2847937	9424	1998-06-30	VYDAJ	VYBER	15	23479	SLUZBY	\N	\N
2847938	9424	1998-07-31	VYDAJ	VYBER	15	20690	SLUZBY	\N	\N
2847939	9424	1998-08-31	VYDAJ	VYBER	15	18428	SLUZBY	\N	\N
2847940	9424	1998-09-30	VYDAJ	VYBER	15	19218	SLUZBY	\N	\N
2847941	9424	1998-10-31	VYDAJ	VYBER	15	22215	SLUZBY	\N	\N
2847942	9424	1998-11-30	VYDAJ	VYBER	15	25110	SLUZBY	\N	\N
2847943	9424	1997-01-29	PRIJEM	VKLAD	6000	20436	\N	\N	\N
2847944	9424	1997-02-28	VYDAJ	VYBER	6100	28367	\N	\N	\N
2847945	9424	1997-03-30	VYDAJ	VYBER	9900	32403	\N	\N	\N
2847946	9424	1997-04-29	VYDAJ	VYBER	15400	31058	\N	\N	\N
2847947	9424	1997-05-29	VYDAJ	VYBER	10500	32329	\N	\N	\N
2847948	9424	1997-06-28	VYDAJ	VYBER	1200	21728	\N	\N	\N
2847949	9424	1997-07-28	VYDAJ	VYBER	8000	24986	\N	\N	\N
2847950	9424	1997-08-27	VYDAJ	VYBER	9400	21828	\N	\N	\N
2847951	9424	1997-09-26	VYDAJ	VYBER	9700	23841	\N	\N	\N
2847952	9424	1997-10-26	VYDAJ	VYBER	2800	20122	\N	\N	\N
2847953	9424	1997-11-25	VYDAJ	VYBER	3300	13100	\N	\N	\N
2847954	9424	1997-12-25	VYDAJ	VYBER	7800	22438	\N	\N	\N
2847955	9424	1998-01-24	VYDAJ	VYBER	6400	12131	\N	\N	\N
2847956	9424	1998-02-23	VYDAJ	VYBER	8600	11856	\N	\N	\N
2847957	9424	1998-03-25	VYDAJ	VYBER	3200	20320	\N	\N	\N
2847958	9424	1998-04-24	VYDAJ	VYBER	9000	22996	\N	\N	\N
2847959	9424	1998-05-24	VYDAJ	VYBER	13300	21402	\N	\N	\N
2847960	9424	1998-06-23	VYDAJ	VYBER	13900	23383	\N	\N	\N
2847961	9424	1998-07-23	VYDAJ	VYBER	14500	20593	\N	\N	\N
2847962	9424	1998-08-22	VYDAJ	VYBER	11300	18346	\N	\N	\N
2847963	9424	1998-09-21	VYDAJ	VYBER	10900	19141	\N	\N	\N
2847964	9424	1998-10-21	VYDAJ	VYBER	8700	22132	\N	\N	\N
2847965	9424	1998-11-20	VYDAJ	VYBER	5800	25016	\N	\N	\N
2850447	9433	1997-08-14	PRIJEM	VKLAD	600	600	\N	\N	\N
2850456	9433	1997-09-05	PRIJEM	VKLAD	17275	17875	\N	\N	\N
2850457	9433	1997-10-05	PRIJEM	VKLAD	17275	36498	\N	\N	\N
2850458	9433	1997-11-05	PRIJEM	VKLAD	17275	47782	\N	\N	\N
2850459	9433	1997-12-05	PRIJEM	VKLAD	25913	65444	\N	\N	\N
2850460	9433	1998-01-05	PRIJEM	VKLAD	17275	64404	\N	\N	\N
2850461	9433	1998-02-05	PRIJEM	VKLAD	17275	51161	\N	\N	\N
2850462	9433	1998-03-05	PRIJEM	VKLAD	17275	57794	\N	\N	\N
2850463	9433	1998-04-05	PRIJEM	VKLAD	17275	64944	\N	\N	\N
2850464	9433	1998-05-05	PRIJEM	VKLAD	17275	63139	\N	\N	\N
2850465	9433	1998-06-05	PRIJEM	VKLAD	25913	35955	\N	\N	\N
2850466	9433	1998-07-05	PRIJEM	VKLAD	17275	48058	\N	\N	\N
2850467	9433	1998-08-05	PRIJEM	VKLAD	17275	52384	\N	\N	\N
2850468	9433	1998-09-05	PRIJEM	VKLAD	17275	53997	\N	\N	\N
2850469	9433	1998-10-05	PRIJEM	VKLAD	17275	55319	\N	\N	\N
2850470	9433	1998-11-05	PRIJEM	VKLAD	17275	46871	\N	\N	\N
2850471	9433	1998-12-05	PRIJEM	VKLAD	25913	58342	\N	\N	\N
2850484	9433	1998-01-10	VYDAJ	VYBER	2000	60724	\N	\N	0
2850485	9433	1998-02-05	VYDAJ	VYBER	2000	49161	\N	\N	0
2850486	9433	1998-03-20	VYDAJ	VYBER	1400	47494	\N	\N	0
2850487	9433	1998-04-05	VYDAJ	VYBER	1600	63344	\N	\N	0
2850488	9433	1998-05-02	VYDAJ	VYBER	2200	45864	\N	\N	0
2850489	9433	1998-06-13	VYDAJ	VYBER	1700	30655	\N	\N	0
2850490	9433	1998-07-16	VYDAJ	VYBER	2000	36658	\N	\N	0
2850491	9433	1998-08-08	VYDAJ	VYBER	2000	50384	\N	\N	0
2850492	9433	1998-09-06	VYDAJ	VYBER	1400	52597	\N	\N	0
2850493	9433	1998-10-12	VYDAJ	PREVOD NA UCET	1860	29479	UVER	KL	67186093
2850494	9433	1998-11-12	VYDAJ	PREVOD NA UCET	1860	32311	UVER	KL	67186093
2850495	9433	1998-12-12	VYDAJ	PREVOD NA UCET	1860	37282	UVER	KL	67186093
2850497	9433	1998-06-01	VYDAJ	VYBER	40000	10042	\N	\N	\N
2850499	9433	1998-12-27	VYDAJ	VYBER	1760	35522	\N	\N	\N
2850506	9433	1998-01-28	VYDAJ	VYBER	720	35884	\N	\N	\N
2850509	9433	1998-01-30	VYDAJ	VYBER	2160	33724	\N	\N	\N
2850510	9433	1998-01-07	VYDAJ	VYBER	1680	62724	\N	\N	\N
2850511	9433	1998-01-21	VYDAJ	VYBER	960	36604	\N	\N	\N
2850518	9433	1998-10-09	VYDAJ	VYBER	4680	31339	\N	\N	\N
2850519	9433	1998-04-24	VYDAJ	VYBER	1080	47864	\N	\N	\N
2850520	9433	1998-07-29	VYDAJ	VYBER	1680	34978	\N	\N	\N
2850521	9433	1998-01-12	VYDAJ	VYBER	2760	42364	\N	\N	\N
2850522	9433	1998-01-14	VYDAJ	VYBER	4800	37564	\N	\N	\N
2850536	9433	1998-01-31	VYDAJ	VYBER	15	33886	SLUZBY	\N	\N
2850537	9433	1998-02-28	VYDAJ	VYBER	15	40519	SLUZBY	\N	\N
2850538	9433	1998-03-31	VYDAJ	VYBER	15	47669	SLUZBY	\N	\N
2850539	9433	1998-04-30	VYDAJ	VYBER	15	48064	SLUZBY	\N	\N
2850540	9433	1998-05-31	VYDAJ	VYBER	15	50042	SLUZBY	\N	\N
2850541	9433	1998-06-30	VYDAJ	VYBER	15	30783	SLUZBY	\N	\N
2850542	9433	1998-07-31	VYDAJ	VYBER	15	35109	SLUZBY	\N	\N
2850543	9433	1998-08-31	VYDAJ	VYBER	15	36722	SLUZBY	\N	\N
2850544	9433	1998-09-30	VYDAJ	VYBER	15	38044	SLUZBY	\N	\N
2850545	9433	1998-10-31	VYDAJ	VYBER	15	29596	SLUZBY	\N	\N
2850546	9433	1998-11-30	VYDAJ	VYBER	15	32430	SLUZBY	\N	\N
2850547	9433	1997-09-13	PRIJEM	VKLAD	1300	19175	\N	\N	\N
2850548	9433	1997-10-13	VYDAJ	VYBER	6100	30398	\N	\N	\N
2850549	9433	1997-11-12	VYDAJ	VYBER	8400	39382	\N	\N	\N
2850550	9433	1997-12-12	VYDAJ	VYBER	18500	46944	\N	\N	\N
2850551	9433	1998-01-11	VYDAJ	VYBER	15600	45124	\N	\N	\N
2850552	9433	1998-02-10	VYDAJ	VYBER	8800	40361	\N	\N	\N
2850553	9433	1998-03-12	VYDAJ	VYBER	8900	48894	\N	\N	\N
2850554	9433	1998-04-11	VYDAJ	VYBER	14400	48944	\N	\N	\N
2850555	9433	1998-05-11	VYDAJ	VYBER	13300	49839	\N	\N	\N
2850556	9433	1998-06-10	VYDAJ	VYBER	3600	32355	\N	\N	\N
2850557	9433	1998-07-10	VYDAJ	VYBER	9400	38658	\N	\N	\N
2850558	9433	1998-08-09	VYDAJ	VYBER	13800	36584	\N	\N	\N
2850559	9433	1998-09-08	VYDAJ	VYBER	14700	37897	\N	\N	\N
2850560	9433	1998-10-08	VYDAJ	VYBER	19300	36019	\N	\N	\N
2850561	9433	1998-11-07	VYDAJ	VYBER	12700	34171	\N	\N	\N
2850562	9433	1998-12-07	VYDAJ	VYBER	19200	39142	\N	\N	\N
2857385	9455	1996-11-03	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2857396	9455	1996-11-13	PRIJEM	PREVOD Z UCTU	37475	38475	\N	AB	50390851
2857397	9455	1996-12-13	PRIJEM	PREVOD Z UCTU	56212	87083	\N	AB	50390851
2857398	9455	1997-01-13	PRIJEM	PREVOD Z UCTU	37475	92443	\N	AB	50390851
2857399	9455	1997-02-13	PRIJEM	PREVOD Z UCTU	37475	97794	\N	AB	50390851
2857400	9455	1997-03-13	PRIJEM	PREVOD Z UCTU	37475	102667	\N	AB	50390851
2857401	9455	1997-04-13	PRIJEM	PREVOD Z UCTU	37475	72473	\N	AB	50390851
2857402	9455	1997-05-13	PRIJEM	PREVOD Z UCTU	37475	70078	\N	AB	50390851
2857403	9455	1997-06-13	PRIJEM	PREVOD Z UCTU	56212	101031	\N	AB	50390851
2857404	9455	1997-07-13	PRIJEM	PREVOD Z UCTU	37475	67159	\N	AB	50390851
2857405	9455	1997-08-13	PRIJEM	PREVOD Z UCTU	37475	72030	\N	AB	50390851
2857406	9455	1997-09-13	PRIJEM	PREVOD Z UCTU	37475	79648	\N	AB	50390851
2857407	9455	1997-10-13	PRIJEM	PREVOD Z UCTU	37475	56323	\N	AB	50390851
2857408	9455	1997-11-13	PRIJEM	PREVOD Z UCTU	37475	72160	\N	AB	50390851
2857409	9455	1997-12-13	PRIJEM	PREVOD Z UCTU	56212	83982	\N	AB	50390851
2857410	9455	1998-01-13	PRIJEM	PREVOD Z UCTU	37475	66005	\N	AB	50390851
2857411	9455	1998-02-13	PRIJEM	PREVOD Z UCTU	37475	68743	\N	AB	50390851
2857412	9455	1998-03-13	PRIJEM	PREVOD Z UCTU	37475	75738	\N	AB	50390851
2857413	9455	1998-04-13	PRIJEM	PREVOD Z UCTU	37475	84417	\N	AB	50390851
2857414	9455	1998-05-13	PRIJEM	PREVOD Z UCTU	37475	57305	\N	AB	50390851
2857415	9455	1998-06-13	PRIJEM	PREVOD Z UCTU	56212	69654	\N	AB	50390851
2857416	9455	1998-07-13	PRIJEM	PREVOD Z UCTU	37475	53261	\N	AB	50390851
2857417	9455	1998-08-13	PRIJEM	PREVOD Z UCTU	37475	76052	\N	AB	50390851
2857418	9455	1998-09-13	PRIJEM	PREVOD Z UCTU	37475	80506	\N	AB	50390851
2857419	9455	1998-10-13	PRIJEM	PREVOD Z UCTU	37475	87794	\N	AB	50390851
2857420	9455	1998-11-13	PRIJEM	PREVOD Z UCTU	37475	59872	\N	AB	50390851
2857421	9455	1998-12-13	PRIJEM	PREVOD Z UCTU	56212	91915	\N	AB	50390851
2857437	9455	1997-04-13	VYDAJ	VYBER	4900	67573	\N	\N	0
2857438	9455	1997-05-06	VYDAJ	VYBER	5800	41014	\N	\N	0
2857439	9455	1997-06-21	VYDAJ	VYBER	6900	91342	\N	\N	0
2857440	9455	1997-07-18	VYDAJ	VYBER	4900	59470	\N	\N	0
2857441	9455	1997-08-06	VYDAJ	VYBER	5000	42966	\N	\N	0
2857442	9455	1997-09-17	VYDAJ	VYBER	7700	69159	\N	\N	0
2857443	9455	1997-10-11	VYDAJ	VYBER	7100	18848	\N	\N	0
2857444	9455	1997-11-14	VYDAJ	VYBER	5400	63971	\N	\N	0
2857445	9455	1997-12-15	VYDAJ	VYBER	6000	75193	\N	\N	0
2857446	9455	1998-01-07	VYDAJ	VYBER	7300	44741	\N	\N	0
2857447	9455	1998-02-12	VYDAJ	PREVOD NA UCET	6246	31268	UVER	YZ	28933072
2857448	9455	1998-03-12	VYDAJ	PREVOD NA UCET	6246	38263	UVER	YZ	28933072
2857449	9455	1998-04-12	VYDAJ	PREVOD NA UCET	6246	46942	UVER	YZ	28933072
2857450	9455	1998-05-12	VYDAJ	PREVOD NA UCET	6246	19830	UVER	YZ	28933072
2857451	9455	1998-06-12	VYDAJ	PREVOD NA UCET	6246	13442	UVER	YZ	28933072
2857452	9455	1998-07-12	VYDAJ	PREVOD NA UCET	6246	15786	UVER	YZ	28933072
2857453	9455	1998-08-12	VYDAJ	PREVOD NA UCET	6246	38577	UVER	YZ	28933072
2857454	9455	1998-09-12	VYDAJ	PREVOD NA UCET	6246	43031	UVER	YZ	28933072
2857455	9455	1998-10-12	VYDAJ	PREVOD NA UCET	6246	50319	UVER	YZ	28933072
2857456	9455	1998-11-12	VYDAJ	PREVOD NA UCET	6246	22397	UVER	YZ	28933072
2857457	9455	1998-12-12	VYDAJ	PREVOD NA UCET	6246	35703	UVER	YZ	28933072
2857472	9455	1997-03-13	VYDAJ	PREVOD NA UCET	2789	99878	SIPO	KL	21014684
2857473	9455	1997-04-13	VYDAJ	PREVOD NA UCET	2789	64784	SIPO	KL	21014684
2857474	9455	1997-05-13	VYDAJ	PREVOD NA UCET	2789	67289	SIPO	KL	21014684
2857475	9455	1997-06-13	VYDAJ	PREVOD NA UCET	2789	98242	SIPO	KL	21014684
2857476	9455	1997-07-13	VYDAJ	PREVOD NA UCET	2789	64370	SIPO	KL	21014684
2857477	9455	1997-08-13	VYDAJ	PREVOD NA UCET	2789	69241	SIPO	KL	21014684
2857478	9455	1997-09-13	VYDAJ	PREVOD NA UCET	2789	76859	SIPO	KL	21014684
2857479	9455	1997-10-13	VYDAJ	PREVOD NA UCET	2789	53534	SIPO	KL	21014684
2857480	9455	1997-11-13	VYDAJ	PREVOD NA UCET	2789	69371	SIPO	KL	21014684
2857481	9455	1997-12-13	VYDAJ	PREVOD NA UCET	2789	81193	SIPO	KL	21014684
2857482	9455	1998-01-13	VYDAJ	PREVOD NA UCET	2789	63216	SIPO	KL	21014684
2857483	9455	1998-02-13	VYDAJ	PREVOD NA UCET	2789	65954	SIPO	KL	21014684
2857484	9455	1998-03-13	VYDAJ	PREVOD NA UCET	2789	72949	SIPO	KL	21014684
2857485	9455	1998-04-13	VYDAJ	PREVOD NA UCET	2789	81628	SIPO	KL	21014684
2857486	9455	1998-05-13	VYDAJ	PREVOD NA UCET	2789	54516	SIPO	KL	21014684
2857487	9455	1998-06-13	VYDAJ	PREVOD NA UCET	2789	66865	SIPO	KL	21014684
2857488	9455	1998-07-13	VYDAJ	PREVOD NA UCET	2789	50472	SIPO	KL	21014684
2857489	9455	1998-08-13	VYDAJ	PREVOD NA UCET	2789	63319	SIPO	KL	21014684
2857490	9455	1998-09-13	VYDAJ	PREVOD NA UCET	2789	77717	SIPO	KL	21014684
2857491	9455	1998-10-13	VYDAJ	PREVOD NA UCET	2789	85005	SIPO	KL	21014684
2857492	9455	1998-11-13	VYDAJ	PREVOD NA UCET	2789	57083	SIPO	KL	21014684
2857493	9455	1998-12-13	VYDAJ	PREVOD NA UCET	2789	89126	SIPO	KL	21014684
2857509	9455	1997-04-08	VYDAJ	PREVOD NA UCET	618	42791	 	IJ	47912371
2857510	9455	1997-05-08	VYDAJ	PREVOD NA UCET	618	32603	 	IJ	47912371
2857511	9455	1997-06-08	VYDAJ	PREVOD NA UCET	618	44819	 	IJ	47912371
2857512	9455	1997-07-08	VYDAJ	PREVOD NA UCET	618	29684	 	IJ	47912371
2857513	9455	1997-08-08	VYDAJ	PREVOD NA UCET	618	34555	 	IJ	47912371
2857514	9455	1997-09-08	VYDAJ	PREVOD NA UCET	618	42173	 	IJ	47912371
2857515	9455	1997-10-08	VYDAJ	PREVOD NA UCET	618	33741	 	IJ	47912371
2857516	9455	1997-11-08	VYDAJ	PREVOD NA UCET	618	42478	 	IJ	47912371
2857517	9455	1997-12-08	VYDAJ	PREVOD NA UCET	618	35563	 	IJ	47912371
2857518	9455	1998-01-08	VYDAJ	PREVOD NA UCET	618	44123	 	IJ	47912371
2857519	9455	1998-02-08	VYDAJ	PREVOD NA UCET	618	45306	 	IJ	47912371
2857520	9455	1998-03-08	VYDAJ	PREVOD NA UCET	618	52302	 	IJ	47912371
2857521	9455	1998-04-08	VYDAJ	PREVOD NA UCET	618	60980	 	IJ	47912371
2857522	9455	1998-05-08	VYDAJ	PREVOD NA UCET	618	33869	 	IJ	47912371
2857523	9455	1998-06-08	VYDAJ	PREVOD NA UCET	618	27481	 	IJ	47912371
2857524	9455	1998-07-08	VYDAJ	PREVOD NA UCET	618	29825	 	IJ	47912371
2857525	9455	1998-08-08	VYDAJ	PREVOD NA UCET	618	44823	 	IJ	47912371
2857526	9455	1998-09-08	VYDAJ	PREVOD NA UCET	618	49277	 	IJ	47912371
2857527	9455	1998-10-08	VYDAJ	PREVOD NA UCET	618	56565	 	IJ	47912371
2857528	9455	1998-11-08	VYDAJ	PREVOD NA UCET	618	28642	 	IJ	47912371
2857529	9455	1998-12-08	VYDAJ	PREVOD NA UCET	618	41949	 	IJ	47912371
2857545	9455	1997-04-08	VYDAJ	PREVOD NA UCET	7793	34998	POJISTNE	IJ	93110262
2857546	9455	1997-05-08	VYDAJ	PREVOD NA UCET	7793	33221	POJISTNE	IJ	93110262
2857547	9455	1997-06-08	VYDAJ	PREVOD NA UCET	7793	45437	POJISTNE	IJ	93110262
2857548	9455	1997-07-08	VYDAJ	PREVOD NA UCET	7793	30302	POJISTNE	IJ	93110262
2857549	9455	1997-08-08	VYDAJ	PREVOD NA UCET	7793	35173	POJISTNE	IJ	93110262
2857550	9455	1997-09-08	VYDAJ	PREVOD NA UCET	7793	42791	POJISTNE	IJ	93110262
2857551	9455	1997-10-08	VYDAJ	PREVOD NA UCET	7793	25948	POJISTNE	IJ	93110262
2857552	9455	1997-11-08	VYDAJ	PREVOD NA UCET	7793	34685	POJISTNE	IJ	93110262
2857553	9455	1997-12-08	VYDAJ	PREVOD NA UCET	7793	27770	POJISTNE	IJ	93110262
2857554	9455	1998-01-08	VYDAJ	PREVOD NA UCET	7793	36330	POJISTNE	IJ	93110262
2857555	9455	1998-02-08	VYDAJ	PREVOD NA UCET	7793	37513	POJISTNE	IJ	93110262
2857556	9455	1998-03-08	VYDAJ	PREVOD NA UCET	7793	44509	POJISTNE	IJ	93110262
2857557	9455	1998-04-08	VYDAJ	PREVOD NA UCET	7793	53187	POJISTNE	IJ	93110262
2857558	9455	1998-05-08	VYDAJ	PREVOD NA UCET	7793	26076	POJISTNE	IJ	93110262
2857559	9455	1998-06-08	VYDAJ	PREVOD NA UCET	7793	19688	POJISTNE	IJ	93110262
2857560	9455	1998-07-08	VYDAJ	PREVOD NA UCET	7793	22032	POJISTNE	IJ	93110262
2857561	9455	1998-08-08	VYDAJ	PREVOD NA UCET	7793	45441	POJISTNE	IJ	93110262
2857562	9455	1998-09-08	VYDAJ	PREVOD NA UCET	7793	49895	POJISTNE	IJ	93110262
2857563	9455	1998-10-08	VYDAJ	PREVOD NA UCET	7793	57183	POJISTNE	IJ	93110262
2857564	9455	1998-11-08	VYDAJ	PREVOD NA UCET	7793	29260	POJISTNE	IJ	93110262
2857565	9455	1998-12-08	VYDAJ	PREVOD NA UCET	7793	42567	POJISTNE	IJ	93110262
2857568	9455	1997-08-19	VYBER	VYBER	8772	60469	\N	\N	\N
2857570	9455	1997-12-08	VYBER	VYBER	14799	36181	\N	\N	\N
2857571	9455	1997-04-03	VYBER	VYBER	23274	43409	\N	\N	\N
2857574	9455	1997-10-02	VYBER	VYBER	11131	34359	\N	\N	\N
2857578	9455	1998-06-28	VYBER	VYBER	20202	30262	\N	\N	\N
2857579	9455	1998-08-16	VYBER	VYBER	6443	56876	\N	\N	\N
2857580	9455	1998-10-29	VYBER	VYBER	22578	36791	\N	\N	\N
2857581	9455	1998-02-15	VYBER	VYBER	12928	53026	\N	\N	\N
2857582	9455	1998-05-02	VYBER	VYBER	15816	46189	\N	\N	\N
2857583	9455	1998-08-13	VYBER	VYBER	9944	66108	\N	\N	\N
2857584	9455	1998-04-23	VYBER	VYBER	3798	77830	\N	\N	\N
2857585	9455	1998-06-23	VYBER	VYBER	12301	54564	\N	\N	\N
2857586	9455	1998-10-22	VYBER	VYBER	7678	77327	\N	\N	\N
2857587	9455	1998-10-22	VYBER	VYBER	6258	71069	\N	\N	\N
2857588	9455	1998-05-25	VYBER	VYBER	21678	30138	\N	\N	\N
2857589	9455	1998-05-03	VYBER	VYBER	11702	34487	\N	\N	\N
2857591	9455	1997-06-22	VYDAJ	VYBER	51900	39442	\N	\N	\N
2857592	9455	1998-06-04	VYDAJ	VYBER	10200	28099	\N	\N	\N
2857594	9455	1997-12-06	VYDAJ	VYBER	4800	50980	\N	\N	\N
2857595	9455	1998-12-24	VYDAJ	VYBER	1800	62126	\N	\N	\N
2857608	9455	1998-01-10	VYDAJ	VYBER	7800	28530	\N	\N	\N
2857609	9455	1998-01-04	VYDAJ	VYBER	1800	52041	\N	\N	\N
2857610	9455	1998-01-02	VYDAJ	VYBER	8100	53841	\N	\N	\N
2857611	9455	1998-01-21	VYDAJ	VYBER	5700	57516	\N	\N	\N
2857612	9455	1998-01-29	VYDAJ	VYBER	2100	51416	\N	\N	\N
2857613	9455	1998-01-29	VYDAJ	VYBER	5700	45716	\N	\N	\N
2857621	9455	1997-10-18	VYDAJ	VYBER	12300	41234	\N	\N	\N
2857622	9455	1997-09-26	VYDAJ	VYBER	13200	55959	\N	\N	\N
2857623	9455	1998-05-17	VYDAJ	VYBER	2700	51816	\N	\N	\N
2857640	9455	1997-03-31	VYDAJ	VYBER	15	100283	SLUZBY	\N	\N
2857641	9455	1997-04-30	VYDAJ	VYBER	15	65014	SLUZBY	\N	\N
2857642	9455	1997-05-31	VYDAJ	VYBER	15	67530	SLUZBY	\N	\N
2857643	9455	1997-06-30	VYDAJ	VYBER	15	39695	SLUZBY	\N	\N
2857644	9455	1997-07-31	VYDAJ	VYBER	15	59666	SLUZBY	\N	\N
2857645	9455	1997-08-31	VYDAJ	VYBER	15	50584	SLUZBY	\N	\N
2857646	9455	1997-09-30	VYDAJ	VYBER	15	45490	SLUZBY	\N	\N
2857647	9455	1997-10-31	VYDAJ	VYBER	15	43096	SLUZBY	\N	\N
2857648	9455	1997-11-30	VYDAJ	VYBER	15	55780	SLUZBY	\N	\N
2857649	9455	1997-12-31	VYDAJ	VYBER	15	61941	SLUZBY	\N	\N
2857650	9455	1998-01-31	VYDAJ	VYBER	15	45924	SLUZBY	\N	\N
2857651	9455	1998-02-28	VYDAJ	VYBER	15	52920	SLUZBY	\N	\N
2857652	9455	1998-03-31	VYDAJ	VYBER	15	61598	SLUZBY	\N	\N
2857653	9455	1998-04-30	VYDAJ	VYBER	15	62005	SLUZBY	\N	\N
2857654	9455	1998-05-31	VYDAJ	VYBER	15	38299	SLUZBY	\N	\N
2857655	9455	1998-06-30	VYDAJ	VYBER	15	30443	SLUZBY	\N	\N
2857656	9455	1998-07-31	VYDAJ	VYBER	15	53234	SLUZBY	\N	\N
2857657	9455	1998-08-31	VYDAJ	VYBER	15	57688	SLUZBY	\N	\N
2857658	9455	1998-09-30	VYDAJ	VYBER	15	64976	SLUZBY	\N	\N
2857659	9455	1998-10-31	VYDAJ	VYBER	15	37053	SLUZBY	\N	\N
2857660	9455	1998-11-30	VYDAJ	VYBER	15	50360	SLUZBY	\N	\N
2857661	9455	1996-12-03	VYDAJ	VYBER	7700	30871	\N	\N	\N
2857662	9455	1997-01-02	VYDAJ	VYBER	32400	54968	\N	\N	\N
2857663	9455	1997-02-01	VYDAJ	VYBER	32500	60319	\N	\N	\N
2857664	9455	1997-03-03	VYDAJ	VYBER	33000	65192	\N	\N	\N
2857665	9455	1997-04-02	VYDAJ	VYBER	33600	66683	\N	\N	\N
2857666	9455	1997-05-02	VYDAJ	VYBER	18200	46814	\N	\N	\N
2857667	9455	1997-06-01	VYDAJ	VYBER	14300	53230	\N	\N	\N
2857668	9455	1997-07-01	VYDAJ	VYBER	1600	38095	\N	\N	\N
2857669	9455	1997-07-31	VYDAJ	VYBER	11700	47966	\N	\N	\N
2857670	9455	1997-08-30	VYDAJ	VYBER	10100	50369	\N	\N	\N
2857671	9455	1997-09-29	VYDAJ	VYBER	10700	45259	\N	\N	\N
2857672	9455	1997-10-29	PRIJEM	VKLAD	1700	42934	\N	\N	\N
2857673	9455	1997-11-28	VYDAJ	VYBER	8400	55571	\N	\N	\N
2857674	9455	1997-12-28	VYDAJ	VYBER	13500	61693	\N	\N	\N
2857675	9455	1998-01-27	VYDAJ	VYBER	4000	53516	\N	\N	\N
2857676	9455	1998-02-26	VYDAJ	VYBER	300	52726	\N	\N	\N
2857677	9455	1998-03-28	VYDAJ	VYBER	11600	61349	\N	\N	\N
2857678	9455	1998-04-27	VYDAJ	VYBER	16100	61730	\N	\N	\N
2857679	9455	1998-05-27	PRIJEM	VKLAD	8000	38138	\N	\N	\N
2857680	9455	1998-06-26	VYDAJ	VYBER	4100	50464	\N	\N	\N
2857681	9455	1998-07-26	PRIJEM	VKLAD	2600	53072	\N	\N	\N
2857682	9455	1998-08-25	PRIJEM	VKLAD	600	57476	\N	\N	\N
2857683	9455	1998-09-24	VYDAJ	VYBER	13000	64717	\N	\N	\N
2857684	9455	1998-10-24	VYDAJ	VYBER	11700	59369	\N	\N	\N
2857685	9455	1998-11-23	VYDAJ	VYBER	6900	50183	\N	\N	\N
2857686	9455	1998-12-23	VYDAJ	VYBER	25200	63926	\N	\N	\N
2862158	9472	1993-07-06	PRIJEM	VKLAD	800	800	\N	\N	\N
2862161	9472	1993-10-18	PRIJEM	VKLAD	46547	87043	\N	\N	\N
2862162	9472	1993-10-20	PRIJEM	VKLAD	23451	110494	\N	\N	\N
2862165	9472	1993-07-09	PRIJEM	VKLAD	41307	42107	\N	\N	\N
2862166	9472	1993-07-14	PRIJEM	VKLAD	32928	75035	\N	\N	\N
2862167	9472	1993-09-22	PRIJEM	VKLAD	20247	58005	\N	\N	\N
2862168	9472	1994-04-25	PRIJEM	VKLAD	30844	111437	\N	\N	\N
2862169	9472	1994-02-08	PRIJEM	VKLAD	39270	113006	\N	\N	\N
2862170	9472	1994-12-06	PRIJEM	VKLAD	48143	111497	\N	\N	\N
2862171	9472	1994-04-24	PRIJEM	VKLAD	42848	80593	\N	\N	\N
2862172	9472	1994-07-26	PRIJEM	VKLAD	16297	68809	\N	\N	\N
2862173	9472	1994-12-09	PRIJEM	VKLAD	34784	89462	\N	\N	\N
2862174	9472	1994-08-02	PRIJEM	VKLAD	20651	68393	\N	\N	\N
2862175	9472	1994-06-20	PRIJEM	VKLAD	46305	114152	\N	\N	\N
2862176	9472	1994-06-12	PRIJEM	VKLAD	10362	49058	\N	\N	\N
2862177	9472	1994-02-03	PRIJEM	VKLAD	7956	45580	\N	\N	\N
2862178	9472	1994-01-02	PRIJEM	VKLAD	18481	41986	\N	\N	\N
2862179	9472	1994-08-31	PRIJEM	VKLAD	20311	82699	\N	\N	\N
2862180	9472	1994-02-08	PRIJEM	VKLAD	33275	73736	\N	\N	\N
2862181	9472	1994-12-01	PRIJEM	VKLAD	5917	63354	\N	\N	\N
2862182	9472	1994-05-30	PRIJEM	VKLAD	15814	65708	\N	\N	\N
2862183	9472	1994-11-23	PRIJEM	VKLAD	47505	90128	\N	\N	\N
2862184	9472	1994-06-18	PRIJEM	VKLAD	18789	67847	\N	\N	\N
2862185	9472	1994-09-02	PRIJEM	VKLAD	17438	100453	\N	\N	\N
2862186	9472	1994-01-14	PRIJEM	VKLAD	46598	70165	\N	\N	\N
2862187	9472	1994-04-17	PRIJEM	VKLAD	28417	50345	\N	\N	\N
2862188	9472	1994-09-12	PRIJEM	VKLAD	16671	108305	\N	\N	\N
2862189	9472	1994-12-26	PRIJEM	VKLAD	40432	119894	\N	\N	\N
2862190	9472	1994-08-22	PRIJEM	VKLAD	47047	125888	\N	\N	\N
2862191	9472	1994-08-15	PRIJEM	VKLAD	18967	78841	\N	\N	\N
2862192	9472	1994-10-05	PRIJEM	VKLAD	35205	80710	\N	\N	\N
2862193	9472	1995-03-07	PRIJEM	VKLAD	22782	42788	\N	\N	\N
2862194	9472	1995-07-05	PRIJEM	VKLAD	49467	93939	\N	\N	\N
2862195	9472	1995-04-21	PRIJEM	VKLAD	40959	66952	\N	\N	\N
2862196	9472	1995-05-28	PRIJEM	VKLAD	43811	93216	\N	\N	\N
2862197	9472	1995-05-27	PRIJEM	VKLAD	41757	69805	\N	\N	\N
2862198	9472	1995-10-08	PRIJEM	VKLAD	21303	44380	\N	\N	\N
2862199	9472	1996-12-24	PRIJEM	VKLAD	49943	94503	\N	\N	\N
2862200	9472	1996-01-23	PRIJEM	VKLAD	46989	131365	\N	\N	\N
2862201	9472	1996-01-23	PRIJEM	VKLAD	35001	84376	\N	\N	\N
2862202	9472	1996-01-20	PRIJEM	VKLAD	36013	63875	\N	\N	\N
2862203	9472	1996-05-13	PRIJEM	VKLAD	12793	78930	\N	\N	\N
2862204	9472	1996-05-02	PRIJEM	VKLAD	30314	74656	\N	\N	\N
2862205	9472	1996-11-26	PRIJEM	VKLAD	44055	75741	\N	\N	\N
2862206	9472	1996-02-27	PRIJEM	VKLAD	19634	69712	\N	\N	\N
2862207	9472	1996-01-09	PRIJEM	VKLAD	19586	40495	\N	\N	\N
2862208	9472	1996-09-21	PRIJEM	VKLAD	39285	72130	\N	\N	\N
2862209	9472	1996-09-19	PRIJEM	VKLAD	15325	47545	\N	\N	\N
2862210	9472	1997-07-11	PRIJEM	VKLAD	12463	85072	\N	\N	\N
2862211	9472	1997-03-16	PRIJEM	VKLAD	15329	35936	\N	\N	\N
2862212	9472	1997-10-20	PRIJEM	VKLAD	37311	65357	\N	\N	\N
2862213	9472	1997-03-26	PRIJEM	VKLAD	43338	115184	\N	\N	\N
2862214	9472	1997-12-06	PRIJEM	VKLAD	13789	101387	\N	\N	\N
2862215	9472	1997-04-06	PRIJEM	VKLAD	6213	82053	\N	\N	\N
2862216	9472	1997-12-18	PRIJEM	VKLAD	35822	90488	\N	\N	\N
2862217	9472	1997-05-18	PRIJEM	VKLAD	34904	88338	\N	\N	\N
2862218	9472	1997-04-10	PRIJEM	VKLAD	27574	104508	\N	\N	\N
2862219	9472	1997-07-08	PRIJEM	VKLAD	37511	72609	\N	\N	\N
2862220	9472	1997-12-05	PRIJEM	VKLAD	22589	87598	\N	\N	\N
2862221	9472	1997-12-28	PRIJEM	VKLAD	6557	97045	\N	\N	\N
2862222	9472	1997-05-11	PRIJEM	VKLAD	49182	112350	\N	\N	\N
2862223	9472	1997-04-02	PRIJEM	VKLAD	22497	75840	\N	\N	\N
2862224	9472	1997-03-24	PRIJEM	VKLAD	27078	71846	\N	\N	\N
2862225	9472	1997-11-23	PRIJEM	VKLAD	43487	73209	\N	\N	\N
2862226	9472	1997-07-29	PRIJEM	VKLAD	35305	87913	\N	\N	\N
2862227	9472	1997-12-12	PRIJEM	VKLAD	21398	117666	\N	\N	\N
2862228	9472	1997-03-22	PRIJEM	VKLAD	6332	44768	\N	\N	\N
2862229	9472	1997-05-13	PRIJEM	VKLAD	29084	123834	\N	\N	\N
2862230	9472	1998-10-02	PRIJEM	VKLAD	22505	68550	\N	\N	\N
2862231	9472	1998-12-10	PRIJEM	VKLAD	40866	70647	\N	\N	\N
2862232	9472	1998-07-01	PRIJEM	VKLAD	32274	38596	\N	\N	\N
2862233	9472	1998-07-18	PRIJEM	VKLAD	32914	60091	\N	\N	\N
2862234	9472	1998-12-03	PRIJEM	VKLAD	42907	60700	\N	\N	\N
2862235	9472	1998-07-23	PRIJEM	VKLAD	13408	71199	\N	\N	\N
2862236	9472	1998-09-07	PRIJEM	VKLAD	45530	71495	\N	\N	\N
2862247	9472	1993-11-18	VYDAJ	VYBER	2300	41274	\N	\N	0
2862248	9472	1993-12-13	VYDAJ	VYBER	2800	23423	\N	\N	0
2862249	9472	1994-01-18	VYDAJ	VYBER	2800	62265	\N	\N	0
2862250	9472	1994-02-19	VYDAJ	VYBER	3400	92506	\N	\N	0
2862251	9472	1994-03-05	VYDAJ	VYBER	2400	58417	\N	\N	0
2862252	9472	1994-04-14	VYDAJ	VYBER	2300	21928	\N	\N	0
2862253	9472	1994-05-02	VYDAJ	VYBER	3100	55013	\N	\N	0
2862254	9472	1994-06-06	VYDAJ	VYBER	2600	38696	\N	\N	0
2862255	9472	1994-07-10	VYDAJ	VYBER	3100	52512	\N	\N	0
2862256	9472	1994-08-02	VYDAJ	VYBER	3400	64993	\N	\N	0
2862257	9472	1994-09-08	VYDAJ	VYBER	3700	91634	\N	\N	0
2862258	9472	1994-10-21	VYDAJ	VYBER	2500	73091	\N	\N	0
2862259	9472	1994-11-21	VYDAJ	VYBER	3400	42623	\N	\N	0
2862260	9472	1994-12-10	VYDAJ	VYBER	2800	86662	\N	\N	0
2862261	9472	1995-01-12	VYDAJ	VYBER	2900	34164	\N	\N	0
2862262	9472	1995-02-14	VYDAJ	VYBER	2700	18262	\N	\N	0
2862263	9472	1995-03-17	VYDAJ	VYBER	2800	39988	\N	\N	0
2862264	9472	1995-04-20	VYDAJ	VYBER	3700	25993	\N	\N	0
2862265	9472	1995-05-12	VYDAJ	PREVOD NA UCET	3033	42448	UVER	AB	21299124
2862266	9472	1995-06-12	VYDAJ	PREVOD NA UCET	3033	56460	UVER	AB	21299124
2862267	9472	1995-07-12	VYDAJ	PREVOD NA UCET	3033	85787	UVER	AB	21299124
2862268	9472	1995-08-12	VYDAJ	PREVOD NA UCET	3033	38881	UVER	AB	21299124
2862269	9472	1995-09-12	VYDAJ	PREVOD NA UCET	3033	23202	UVER	AB	21299124
2862270	9472	1995-10-12	VYDAJ	PREVOD NA UCET	3033	41347	UVER	AB	21299124
2862271	9472	1995-11-12	VYDAJ	PREVOD NA UCET	3033	26917	UVER	AB	21299124
2862272	9472	1995-12-12	VYDAJ	PREVOD NA UCET	3033	20158	UVER	AB	21299124
2862273	9472	1996-01-12	VYDAJ	PREVOD NA UCET	3033	29362	UVER	AB	21299124
2862274	9472	1996-02-12	VYDAJ	PREVOD NA UCET	3033	68578	UVER	AB	21299124
2862275	9472	1996-03-12	VYDAJ	PREVOD NA UCET	3033	61810	UVER	AB	21299124
2862276	9472	1996-04-12	VYDAJ	PREVOD NA UCET	3033	43581	UVER	AB	21299124
2862277	9472	1996-05-07	VYDAJ	VYBER	3400	66137	\N	\N	0
2862278	9472	1996-06-14	VYDAJ	VYBER	3500	49240	\N	\N	0
2862279	9472	1996-07-15	VYDAJ	VYBER	2600	37102	\N	\N	0
2862280	9472	1996-08-19	VYDAJ	VYBER	3600	34525	\N	\N	0
2862281	9472	1996-09-09	VYDAJ	VYBER	3400	21320	\N	\N	0
2862282	9472	1996-10-19	VYDAJ	VYBER	3500	41340	\N	\N	0
2862283	9472	1996-11-06	VYDAJ	VYBER	3000	38505	\N	\N	0
2862284	9472	1996-12-06	VYDAJ	VYBER	3600	72279	\N	\N	0
2862285	9472	1997-01-21	VYDAJ	VYBER	3300	33191	\N	\N	0
2862286	9472	1997-02-16	VYDAJ	VYBER	2700	28248	\N	\N	0
2862287	9472	1997-03-04	VYDAJ	VYBER	2600	25726	\N	\N	0
2862288	9472	1997-04-14	VYDAJ	VYBER	3000	101508	\N	\N	0
2862289	9472	1997-05-03	VYDAJ	VYBER	3000	68287	\N	\N	0
2862290	9472	1997-06-08	VYDAJ	VYBER	2600	67651	\N	\N	0
2862291	9472	1997-07-06	VYDAJ	VYBER	2300	40217	\N	\N	0
2862292	9472	1997-08-08	VYDAJ	VYBER	3100	50570	\N	\N	0
2862293	9472	1997-09-06	VYDAJ	VYBER	3400	36042	\N	\N	0
2862294	9472	1997-10-19	VYDAJ	VYBER	3400	28046	\N	\N	0
2862295	9472	1997-11-10	VYDAJ	VYBER	2600	57794	\N	\N	0
2862296	9472	1997-12-12	VYDAJ	VYBER	3700	113966	\N	\N	0
2862297	9472	1998-01-17	VYDAJ	VYBER	3600	56487	\N	\N	0
2862298	9472	1998-02-20	VYDAJ	VYBER	3700	19891	\N	\N	0
2862299	9472	1998-03-07	VYDAJ	VYBER	3400	11434	\N	\N	0
2862303	9472	1998-07-20	VYDAJ	VYBER	2300	57791	\N	\N	0
2862304	9472	1998-08-21	VYDAJ	VYBER	3000	30954	\N	\N	0
2862305	9472	1998-09-21	VYDAJ	VYBER	3300	45895	\N	\N	0
2862306	9472	1998-10-11	VYDAJ	VYBER	2500	35131	\N	\N	0
2862307	9472	1998-11-13	VYDAJ	VYBER	2900	17740	\N	\N	0
2862308	9472	1998-12-12	VYDAJ	VYBER	2400	64242	\N	\N	0
2862319	9472	1993-11-06	VYDAJ	PREVOD NA UCET	5119	43574	SIPO	KL	17279625
2862320	9472	1993-12-06	VYDAJ	PREVOD NA UCET	5119	28923	SIPO	KL	17279625
2862321	9472	1994-01-06	VYDAJ	PREVOD NA UCET	5119	28367	SIPO	KL	17279625
2862322	9472	1994-02-06	VYDAJ	PREVOD NA UCET	5119	40461	SIPO	KL	17279625
2862323	9472	1994-03-06	VYDAJ	PREVOD NA UCET	5119	53298	SIPO	KL	17279625
2862324	9472	1994-04-06	VYDAJ	PREVOD NA UCET	5119	24228	SIPO	KL	17279625
2862325	9472	1994-05-06	VYDAJ	PREVOD NA UCET	5119	49894	SIPO	KL	17279625
2862326	9472	1994-06-06	VYDAJ	PREVOD NA UCET	5119	41296	SIPO	KL	17279625
2862327	9472	1994-07-06	VYDAJ	PREVOD NA UCET	5119	55612	SIPO	KL	17279625
2862328	9472	1994-08-06	VYDAJ	PREVOD NA UCET	5119	59874	SIPO	KL	17279625
2862329	9472	1994-09-06	VYDAJ	PREVOD NA UCET	5119	95334	SIPO	KL	17279625
2862330	9472	1994-10-06	VYDAJ	PREVOD NA UCET	5119	75591	SIPO	KL	17279625
2862331	9472	1994-11-06	VYDAJ	PREVOD NA UCET	5119	46023	SIPO	KL	17279625
2862332	9472	1994-12-06	VYDAJ	PREVOD NA UCET	5119	106378	SIPO	KL	17279625
2862333	9472	1995-01-06	VYDAJ	PREVOD NA UCET	5119	46364	SIPO	KL	17279625
2862334	9472	1995-02-06	VYDAJ	PREVOD NA UCET	5119	20962	SIPO	KL	17279625
2862335	9472	1995-03-06	VYDAJ	PREVOD NA UCET	5119	20006	SIPO	KL	17279625
2862336	9472	1995-04-06	VYDAJ	PREVOD NA UCET	5119	29693	SIPO	KL	17279625
2862337	9472	1995-05-06	VYDAJ	PREVOD NA UCET	5119	45481	SIPO	KL	17279625
2862338	9472	1995-06-06	VYDAJ	PREVOD NA UCET	5119	59493	SIPO	KL	17279625
2862339	9472	1995-07-06	VYDAJ	PREVOD NA UCET	5119	88820	SIPO	KL	17279625
2862340	9472	1995-08-06	VYDAJ	PREVOD NA UCET	5119	41914	SIPO	KL	17279625
2862341	9472	1995-09-06	VYDAJ	PREVOD NA UCET	5119	31101	SIPO	KL	17279625
2862342	9472	1995-10-06	VYDAJ	PREVOD NA UCET	5119	23077	SIPO	KL	17279625
2862343	9472	1995-11-06	VYDAJ	PREVOD NA UCET	5119	29950	SIPO	KL	17279625
2862344	9472	1995-12-06	VYDAJ	PREVOD NA UCET	5119	23191	SIPO	KL	17279625
2862345	9472	1996-01-06	VYDAJ	PREVOD NA UCET	5119	20909	SIPO	KL	17279625
2862346	9472	1996-02-06	VYDAJ	PREVOD NA UCET	5119	71611	SIPO	KL	17279625
2862347	9472	1996-03-06	VYDAJ	PREVOD NA UCET	5119	64843	SIPO	KL	17279625
2862348	9472	1996-04-06	VYDAJ	PREVOD NA UCET	5119	46614	SIPO	KL	17279625
2862349	9472	1996-05-06	VYDAJ	PREVOD NA UCET	5119	69537	SIPO	KL	17279625
2862350	9472	1996-06-06	VYDAJ	PREVOD NA UCET	5119	52740	SIPO	KL	17279625
2862351	9472	1996-07-06	VYDAJ	PREVOD NA UCET	5119	39702	SIPO	KL	17279625
2862352	9472	1996-08-06	VYDAJ	PREVOD NA UCET	5119	36325	SIPO	KL	17279625
2862353	9472	1996-09-06	VYDAJ	PREVOD NA UCET	5119	24720	SIPO	KL	17279625
2862354	9472	1996-10-06	VYDAJ	PREVOD NA UCET	5119	47640	SIPO	KL	17279625
2862355	9472	1996-11-06	VYDAJ	PREVOD NA UCET	5119	33386	SIPO	KL	17279625
2862356	9472	1996-12-06	VYDAJ	PREVOD NA UCET	5119	67160	SIPO	KL	17279625
2862357	9472	1997-01-06	VYDAJ	PREVOD NA UCET	5119	89635	SIPO	KL	17279625
2862358	9472	1997-02-06	VYDAJ	PREVOD NA UCET	5119	20448	SIPO	KL	17279625
2862359	9472	1997-03-06	VYDAJ	PREVOD NA UCET	5119	20607	SIPO	KL	17279625
2862504	9472	1994-12-31	VYDAJ	VYBER	30	55983	SLUZBY	\N	\N
2862360	9472	1997-04-06	VYDAJ	PREVOD NA UCET	5119	76934	SIPO	KL	17279625
2862361	9472	1997-05-06	VYDAJ	PREVOD NA UCET	5119	63168	SIPO	KL	17279625
2862362	9472	1997-06-06	VYDAJ	PREVOD NA UCET	5119	70251	SIPO	KL	17279625
2862363	9472	1997-07-06	VYDAJ	PREVOD NA UCET	5119	35098	SIPO	KL	17279625
2862364	9472	1997-08-06	VYDAJ	PREVOD NA UCET	5119	75826	SIPO	KL	17279625
2862365	9472	1997-09-06	VYDAJ	PREVOD NA UCET	5119	39442	SIPO	KL	17279625
2862366	9472	1997-10-06	VYDAJ	PREVOD NA UCET	5119	30646	SIPO	KL	17279625
2862367	9472	1997-11-06	VYDAJ	PREVOD NA UCET	5119	60394	SIPO	KL	17279625
2862368	9472	1997-12-06	VYDAJ	PREVOD NA UCET	5119	96268	SIPO	KL	17279625
2862369	9472	1998-01-06	VYDAJ	PREVOD NA UCET	5119	90487	SIPO	KL	17279625
2862370	9472	1998-02-06	VYDAJ	PREVOD NA UCET	5119	22191	SIPO	KL	17279625
2862371	9472	1998-03-06	VYDAJ	PREVOD NA UCET	5119	14834	SIPO	KL	17279625
2862372	9472	1998-04-06	VYDAJ	PREVOD NA UCET	5119	6332	SIPO	KL	17279625
2862375	9472	1998-07-06	VYDAJ	PREVOD NA UCET	5119	33477	SIPO	KL	17279625
2862376	9472	1998-08-06	VYDAJ	PREVOD NA UCET	5119	47954	SIPO	KL	17279625
2862377	9472	1998-09-06	VYDAJ	PREVOD NA UCET	5119	25965	SIPO	KL	17279625
2862378	9472	1998-10-06	VYDAJ	PREVOD NA UCET	5119	56231	SIPO	KL	17279625
2862379	9472	1998-11-06	VYDAJ	PREVOD NA UCET	5119	30140	SIPO	KL	17279625
2862380	9472	1998-12-06	VYDAJ	PREVOD NA UCET	5119	55581	SIPO	KL	17279625
2862387	9472	1994-04-01	VYBER	VYBER	4265	49247	\N	\N	\N
2862388	9472	1995-06-01	VYBER	VYBER	13842	64612	\N	\N	\N
2862389	9472	1995-09-12	VYBER	VYBER	4866	26235	\N	\N	\N
2862392	9472	1995-07-21	VYBER	VYBER	24207	61580	\N	\N	\N
2862394	9472	1995-05-28	VYBER	VYBER	14940	78276	\N	\N	\N
2862396	9472	1996-09-21	VYBER	VYBER	19485	52645	\N	\N	\N
2862397	9472	1997-08-08	VYBER	VYBER	22156	53670	\N	\N	\N
2862398	9472	1997-01-10	VYBER	VYBER	24944	58691	\N	\N	\N
2862399	9472	1997-11-18	VYBER	VYBER	13272	29722	\N	\N	\N
2862400	9472	1997-07-05	VYBER	VYBER	2857	42517	\N	\N	\N
2862403	9472	1997-03-26	VYBER	VYBER	6099	109085	\N	\N	\N
2862404	9472	1997-07-27	VYBER	VYBER	7864	52608	\N	\N	\N
2862407	9472	1997-01-23	VYBER	VYBER	7807	25384	\N	\N	\N
2862408	9472	1997-07-02	VYBER	VYBER	4391	45374	\N	\N	\N
2862410	9472	1997-05-27	VYBER	VYBER	13253	75085	\N	\N	\N
2862411	9472	1998-12-12	VYBER	VYBER	4005	66642	\N	\N	\N
2862412	9472	1998-08-02	VYBER	VYBER	18265	53073	\N	\N	\N
2862414	9472	1998-12-16	VYBER	VYBER	10533	53709	\N	\N	\N
2862415	9472	1993-12-06	VYDAJ	VYBER	2700	26223	\N	\N	\N
2862416	9472	1994-12-25	VYDAJ	VYBER	7200	79462	\N	\N	\N
2862418	9472	1996-12-09	VYDAJ	VYBER	7500	59660	\N	\N	\N
2862419	9472	1997-12-01	VYDAJ	VYBER	8400	65009	\N	\N	\N
2862427	9472	1994-01-19	VYDAJ	VYBER	6000	52665	\N	\N	\N
2862428	9472	1994-01-06	VYDAJ	VYBER	4800	23567	\N	\N	\N
2862429	9472	1994-01-22	VYDAJ	VYBER	3600	49065	\N	\N	\N
2862431	9472	1994-01-19	VYDAJ	VYBER	3600	58665	\N	\N	\N
2862432	9472	1994-01-16	VYDAJ	VYBER	5100	65065	\N	\N	\N
2862433	9472	1995-01-07	VYDAJ	VYBER	6000	40364	\N	\N	\N
2862434	9472	1995-01-04	VYDAJ	VYBER	2700	51483	\N	\N	\N
2862435	9472	1995-01-12	VYDAJ	VYBER	3300	37064	\N	\N	\N
2862436	9472	1995-01-24	VYDAJ	VYBER	1800	26664	\N	\N	\N
2862437	9472	1995-01-18	VYDAJ	VYBER	5700	28464	\N	\N	\N
2862438	9472	1995-01-03	VYDAJ	VYBER	1800	54183	\N	\N	\N
2862439	9472	1996-01-15	VYDAJ	VYBER	1500	27862	\N	\N	\N
2862440	9472	1996-01-29	VYDAJ	VYBER	8700	76565	\N	\N	\N
2862442	9472	1996-01-11	VYDAJ	VYBER	8100	32395	\N	\N	\N
2862445	9472	1997-01-07	VYDAJ	VYBER	2400	87235	\N	\N	\N
2862446	9472	1997-01-17	VYDAJ	VYBER	4200	36491	\N	\N	\N
2862449	9472	1997-01-15	VYDAJ	VYBER	6900	44891	\N	\N	\N
2862450	9472	1997-01-11	VYDAJ	VYBER	6900	51791	\N	\N	\N
2862451	9472	1998-01-20	VYDAJ	VYBER	5100	51387	\N	\N	\N
2862452	9472	1998-01-27	VYDAJ	VYBER	8400	31587	\N	\N	\N
2862453	9472	1998-01-21	VYDAJ	VYBER	8100	43287	\N	\N	\N
2862454	9472	1998-01-30	VYDAJ	VYBER	4500	27087	\N	\N	\N
2862455	9472	1998-01-02	VYDAJ	VYBER	1800	95606	\N	\N	\N
2862456	9472	1998-01-27	VYDAJ	VYBER	3300	39987	\N	\N	\N
2862462	9472	1994-04-04	VYDAJ	VYBER	6600	29347	\N	\N	\N
2862463	9472	1994-09-17	VYDAJ	VYBER	5400	64805	\N	\N	\N
2862464	9472	1994-04-21	VYDAJ	VYBER	12600	37745	\N	\N	\N
2862466	9472	1995-05-23	VYDAJ	VYBER	14400	28048	\N	\N	\N
2862469	9472	1996-08-25	VYDAJ	VYBER	4800	29725	\N	\N	\N
2862470	9472	1996-09-20	VYDAJ	VYBER	14700	32845	\N	\N	\N
2862471	9472	1996-08-10	VYDAJ	VYBER	4200	32125	\N	\N	\N
2862473	9472	1997-01-08	VYDAJ	VYBER	3600	83635	\N	\N	\N
2862474	9472	1997-07-29	VYDAJ	VYBER	7200	80713	\N	\N	\N
2862475	9472	1997-07-26	VYDAJ	VYBER	3000	60472	\N	\N	\N
2862478	9472	1998-10-03	VYDAJ	VYBER	7200	61350	\N	\N	\N
2862490	9472	1993-10-31	VYDAJ	VYBER	30	73293	SLUZBY	\N	\N
2862491	9472	1993-11-30	VYDAJ	VYBER	30	41442	SLUZBY	\N	\N
2862492	9472	1993-12-31	VYDAJ	VYBER	30	23505	SLUZBY	\N	\N
2862493	9472	1994-01-31	VYDAJ	VYBER	30	49224	SLUZBY	\N	\N
2862494	9472	1994-02-28	VYDAJ	VYBER	30	92817	SLUZBY	\N	\N
2862495	9472	1994-03-31	VYDAJ	VYBER	30	53512	SLUZBY	\N	\N
2862496	9472	1994-04-30	VYDAJ	VYBER	30	90213	SLUZBY	\N	\N
2862497	9472	1994-05-31	VYDAJ	VYBER	30	65915	SLUZBY	\N	\N
2862498	9472	1994-06-30	VYDAJ	VYBER	30	96731	SLUZBY	\N	\N
2862499	9472	1994-07-31	VYDAJ	VYBER	30	47742	SLUZBY	\N	\N
2862500	9472	1994-08-31	VYDAJ	VYBER	30	83015	SLUZBY	\N	\N
2862501	9472	1994-09-30	VYDAJ	VYBER	30	45505	SLUZBY	\N	\N
2862502	9472	1994-10-31	VYDAJ	VYBER	30	51142	SLUZBY	\N	\N
2862503	9472	1994-11-30	VYDAJ	VYBER	30	57437	SLUZBY	\N	\N
2862505	9472	1995-01-31	VYDAJ	VYBER	30	26081	SLUZBY	\N	\N
2862506	9472	1995-02-28	VYDAJ	VYBER	30	25125	SLUZBY	\N	\N
2862507	9472	1995-03-31	VYDAJ	VYBER	30	34812	SLUZBY	\N	\N
2862508	9472	1995-04-30	VYDAJ	VYBER	30	50600	SLUZBY	\N	\N
2862509	9472	1995-05-31	VYDAJ	VYBER	30	78454	SLUZBY	\N	\N
2862510	9472	1995-06-30	VYDAJ	VYBER	30	44472	SLUZBY	\N	\N
2862511	9472	1995-07-31	VYDAJ	VYBER	30	47033	SLUZBY	\N	\N
2862512	9472	1995-08-31	VYDAJ	VYBER	30	36220	SLUZBY	\N	\N
2862513	9472	1995-09-30	VYDAJ	VYBER	30	28196	SLUZBY	\N	\N
2862514	9472	1995-10-31	VYDAJ	VYBER	30	35069	SLUZBY	\N	\N
2862515	9472	1995-11-30	VYDAJ	VYBER	30	28310	SLUZBY	\N	\N
2862516	9472	1995-12-31	VYDAJ	VYBER	30	26028	SLUZBY	\N	\N
2862517	9472	1996-01-31	VYDAJ	VYBER	30	76730	SLUZBY	\N	\N
2862518	9472	1996-02-29	VYDAJ	VYBER	30	69962	SLUZBY	\N	\N
2862519	9472	1996-03-31	VYDAJ	VYBER	30	51733	SLUZBY	\N	\N
2862520	9472	1996-04-30	VYDAJ	VYBER	30	44342	SLUZBY	\N	\N
2862521	9472	1996-05-31	VYDAJ	VYBER	30	57859	SLUZBY	\N	\N
2862522	9472	1996-06-30	VYDAJ	VYBER	30	44821	SLUZBY	\N	\N
2862523	9472	1996-07-31	VYDAJ	VYBER	30	41444	SLUZBY	\N	\N
2862524	9472	1996-08-31	VYDAJ	VYBER	30	29839	SLUZBY	\N	\N
2862525	9472	1996-09-30	VYDAJ	VYBER	30	52759	SLUZBY	\N	\N
2862526	9472	1996-10-31	VYDAJ	VYBER	30	41505	SLUZBY	\N	\N
2862527	9472	1996-11-30	VYDAJ	VYBER	30	75879	SLUZBY	\N	\N
2862528	9472	1996-12-31	VYDAJ	VYBER	30	94754	SLUZBY	\N	\N
2862529	9472	1997-01-31	VYDAJ	VYBER	30	25567	SLUZBY	\N	\N
2862530	9472	1997-02-28	VYDAJ	VYBER	30	28326	SLUZBY	\N	\N
2862531	9472	1997-03-31	VYDAJ	VYBER	30	53343	SLUZBY	\N	\N
2862532	9472	1997-04-30	VYDAJ	VYBER	30	71287	SLUZBY	\N	\N
2862533	9472	1997-05-31	VYDAJ	VYBER	30	75370	SLUZBY	\N	\N
2862534	9472	1997-06-30	VYDAJ	VYBER	30	49765	SLUZBY	\N	\N
2862535	9472	1997-07-31	VYDAJ	VYBER	30	80945	SLUZBY	\N	\N
2862536	9472	1997-08-31	VYDAJ	VYBER	30	44561	SLUZBY	\N	\N
2862537	9472	1997-09-30	VYDAJ	VYBER	30	35765	SLUZBY	\N	\N
2862538	9472	1997-10-31	VYDAJ	VYBER	30	65513	SLUZBY	\N	\N
2862539	9472	1997-11-30	VYDAJ	VYBER	30	73409	SLUZBY	\N	\N
2862540	9472	1997-12-31	VYDAJ	VYBER	30	97406	SLUZBY	\N	\N
2862541	9472	1998-01-31	VYDAJ	VYBER	30	27310	SLUZBY	\N	\N
2862542	9472	1998-02-28	VYDAJ	VYBER	30	19953	SLUZBY	\N	\N
2862543	9472	1998-03-31	VYDAJ	VYBER	30	11451	SLUZBY	\N	\N
2862544	9472	1998-04-30	VYDAJ	VYBER	30	6342	SLUZBY	\N	\N
2862545	9472	1998-05-31	VYDAJ	VYBER	30	6312	SLUZBY	\N	\N
2862546	9472	1998-06-30	VYDAJ	VYBER	30	6322	SLUZBY	\N	\N
2862547	9472	1998-07-31	VYDAJ	VYBER	30	71338	SLUZBY	\N	\N
2862548	9472	1998-08-31	VYDAJ	VYBER	30	31084	SLUZBY	\N	\N
2862549	9472	1998-09-30	VYDAJ	VYBER	30	46045	SLUZBY	\N	\N
2862550	9472	1998-10-31	VYDAJ	VYBER	30	35259	SLUZBY	\N	\N
2862551	9472	1998-11-30	VYDAJ	VYBER	30	17793	SLUZBY	\N	\N
2862552	9472	1993-08-05	VYDAJ	VYBER	25500	49745	\N	\N	\N
2862553	9472	1993-09-04	VYDAJ	VYBER	12300	37758	\N	\N	\N
2862554	9472	1993-10-04	VYDAJ	VYBER	17800	40496	\N	\N	\N
2862555	9472	1993-10-20	VYDAJ	VYBER	37500	72994	\N	\N	\N
2862556	9472	1993-11-03	VYDAJ	VYBER	24600	48693	\N	\N	\N
2862557	9472	1993-12-03	VYDAJ	VYBER	7400	34042	\N	\N	\N
2862558	9472	1994-01-02	VYDAJ	VYBER	8500	33486	\N	\N	\N
2862559	9472	1994-02-01	VYDAJ	VYBER	11600	37624	\N	\N	\N
2862560	9472	1994-02-08	VYDAJ	VYBER	17100	95906	\N	\N	\N
2862561	9472	1994-03-03	VYDAJ	VYBER	32000	60817	\N	\N	\N
2862562	9472	1994-04-02	VYDAJ	VYBER	13300	35947	\N	\N	\N
2862563	9472	1994-04-25	VYDAJ	VYBER	21400	90037	\N	\N	\N
2862564	9472	1994-05-02	VYDAJ	VYBER	32100	58113	\N	\N	\N
2862565	9472	1994-06-01	VYDAJ	VYBER	19500	46415	\N	\N	\N
2862566	9472	1994-06-20	VYDAJ	VYBER	17700	96452	\N	\N	\N
2862567	9472	1994-07-01	VYDAJ	VYBER	36000	60731	\N	\N	\N
2862568	9472	1994-07-31	VYDAJ	VYBER	21300	47772	\N	\N	\N
2862569	9472	1994-08-22	VYDAJ	VYBER	28700	97188	\N	\N	\N
2862570	9472	1994-08-30	VYDAJ	VYBER	34800	62388	\N	\N	\N
2862571	9472	1994-09-12	VYDAJ	VYBER	38100	70205	\N	\N	\N
2862572	9472	1994-09-29	VYDAJ	VYBER	19600	45205	\N	\N	\N
2862573	9472	1994-10-29	VYDAJ	VYBER	22200	50891	\N	\N	\N
2862574	9472	1994-11-28	VYDAJ	VYBER	32900	57228	\N	\N	\N
2862575	9472	1994-12-06	VYDAJ	VYBER	51700	54678	\N	\N	\N
2862576	9472	1994-12-26	VYDAJ	VYBER	34000	85894	\N	\N	\N
2862577	9472	1994-12-28	VYDAJ	VYBER	30200	55694	\N	\N	\N
2862578	9472	1995-01-27	VYDAJ	VYBER	700	25964	\N	\N	\N
2862579	9472	1995-02-26	PRIJEM	VKLAD	6800	25062	\N	\N	\N
2862580	9472	1995-03-28	VYDAJ	VYBER	5300	34688	\N	\N	\N
2862581	9472	1995-04-27	VYDAJ	VYBER	16500	50452	\N	\N	\N
2862582	9472	1995-05-27	VYDAJ	VYBER	20400	49405	\N	\N	\N
2862583	9472	1995-06-26	VYDAJ	VYBER	12200	44260	\N	\N	\N
2862584	9472	1995-07-26	VYDAJ	VYBER	14800	46780	\N	\N	\N
2862585	9472	1995-08-25	VYDAJ	VYBER	2800	36081	\N	\N	\N
2862586	9472	1995-09-24	PRIJEM	VKLAD	4900	28102	\N	\N	\N
2862587	9472	1995-10-24	VYDAJ	VYBER	6400	34947	\N	\N	\N
2862588	9472	1995-11-23	PRIJEM	VKLAD	1300	28217	\N	\N	\N
2862589	9472	1995-12-23	PRIJEM	VKLAD	5800	25958	\N	\N	\N
2862590	9472	1996-01-22	VYDAJ	VYBER	14500	49375	\N	\N	\N
2862591	9472	1996-01-23	VYDAJ	VYBER	46100	85265	\N	\N	\N
2862592	9472	1996-02-21	VYDAJ	VYBER	18500	50078	\N	\N	\N
2862593	9472	1996-03-22	VYDAJ	VYBER	10300	51510	\N	\N	\N
2862594	9472	1996-04-21	PRIJEM	VKLAD	600	44181	\N	\N	\N
2862595	9472	1996-05-21	VYDAJ	VYBER	21300	57630	\N	\N	\N
2862596	9472	1996-06-20	VYDAJ	VYBER	4600	44640	\N	\N	\N
2862597	9472	1996-07-20	PRIJEM	VKLAD	4200	41302	\N	\N	\N
2862598	9472	1996-08-19	PRIJEM	VKLAD	6000	38125	\N	\N	\N
2862599	9472	1996-09-18	PRIJEM	VKLAD	10900	32220	\N	\N	\N
2862600	9472	1996-10-18	VYDAJ	VYBER	2800	44840	\N	\N	\N
2862601	9472	1996-11-17	VYDAJ	VYBER	1700	31686	\N	\N	\N
2862602	9472	1996-12-17	VYDAJ	VYBER	15100	44560	\N	\N	\N
2862603	9472	1997-01-16	VYDAJ	VYBER	4200	40691	\N	\N	\N
2862604	9472	1997-02-15	PRIJEM	VKLAD	10500	30948	\N	\N	\N
2862605	9472	1997-03-17	PRIJEM	VKLAD	2500	38436	\N	\N	\N
2862606	9472	1997-03-26	VYDAJ	VYBER	55900	53185	\N	\N	\N
2862607	9472	1997-04-16	VYDAJ	VYBER	30500	71008	\N	\N	\N
2862608	9472	1997-05-11	VYDAJ	VYBER	17600	94750	\N	\N	\N
2862609	9472	1997-05-13	VYDAJ	VYBER	54200	69634	\N	\N	\N
2862610	9472	1997-05-16	VYDAJ	VYBER	16200	53434	\N	\N	\N
2862611	9472	1997-06-15	VYDAJ	VYBER	18100	49551	\N	\N	\N
2862612	9472	1997-07-15	VYDAJ	VYBER	21600	63472	\N	\N	\N
2862613	9472	1997-08-14	VYDAJ	VYBER	6200	44370	\N	\N	\N
2862614	9472	1997-09-13	VYDAJ	VYBER	400	35642	\N	\N	\N
2862615	9472	1997-10-13	PRIJEM	VKLAD	800	31446	\N	\N	\N
2862616	9472	1997-11-12	VYDAJ	VYBER	14800	42994	\N	\N	\N
2862617	9472	1997-12-12	VYDAJ	VYBER	28000	85966	\N	\N	\N
2862618	9472	1997-12-12	VYDAJ	VYBER	31300	54666	\N	\N	\N
2862619	9472	1998-01-11	VYDAJ	VYBER	30400	60087	\N	\N	\N
2862620	9472	1998-02-10	PRIJEM	VKLAD	1400	23591	\N	\N	\N
2862621	9472	1998-07-10	VYDAJ	VYBER	6300	27177	\N	\N	\N
2862622	9472	1998-08-09	VYDAJ	VYBER	14000	33954	\N	\N	\N
2862623	9472	1998-09-08	VYDAJ	VYBER	22300	49195	\N	\N	\N
2862624	9472	1998-10-08	VYDAJ	VYBER	18600	37631	\N	\N	\N
2862625	9472	1998-11-07	VYDAJ	VYBER	9500	20640	\N	\N	\N
2862626	9472	1998-12-07	VYDAJ	VYBER	25800	29781	\N	\N	\N
2866358	9484	1997-04-26	PRIJEM	VKLAD	900	900	\N	\N	\N
2866363	9484	1997-05-12	PRIJEM	VKLAD	8380	9280	\N	\N	\N
2866364	9484	1997-06-12	PRIJEM	VKLAD	12570	28273	\N	\N	\N
2866365	9484	1997-07-12	PRIJEM	VKLAD	8380	31340	\N	\N	\N
2866366	9484	1997-08-12	PRIJEM	VKLAD	8380	32336	\N	\N	\N
2866367	9484	1997-09-12	PRIJEM	VKLAD	8380	36546	\N	\N	\N
2866368	9484	1997-10-12	PRIJEM	VKLAD	8380	35181	\N	\N	\N
2866369	9484	1997-11-12	PRIJEM	VKLAD	8380	33854	\N	\N	\N
2866370	9484	1997-12-12	PRIJEM	VKLAD	12570	40622	\N	\N	\N
2866371	9484	1998-01-12	PRIJEM	VKLAD	8380	29032	\N	\N	\N
2866372	9484	1998-02-12	PRIJEM	VKLAD	8380	21270	\N	\N	\N
2866373	9484	1998-03-12	PRIJEM	VKLAD	8380	22206	\N	\N	\N
2866374	9484	1998-04-12	PRIJEM	VKLAD	8380	25692	\N	\N	\N
2866375	9484	1998-05-12	PRIJEM	VKLAD	8380	23395	\N	\N	\N
2866376	9484	1998-06-12	PRIJEM	VKLAD	12570	23391	\N	\N	\N
2866377	9484	1998-07-12	PRIJEM	VKLAD	8380	13336	\N	\N	\N
2866378	9484	1998-08-12	PRIJEM	VKLAD	8380	13928	\N	\N	\N
2866379	9484	1998-09-12	PRIJEM	VKLAD	8380	11629	\N	\N	\N
2866380	9484	1998-10-12	PRIJEM	VKLAD	8380	14236	\N	\N	\N
2866381	9484	1998-11-12	PRIJEM	VKLAD	8380	12525	\N	\N	\N
2866382	9484	1998-12-12	PRIJEM	VKLAD	12570	11310	\N	\N	\N
2866384	9484	1998-06-16	VYDAJ	VYBER	21100	2291	\N	\N	\N
2866386	9484	1998-01-26	VYDAJ	VYBER	1100	12732	\N	\N	\N
2866387	9484	1997-12-23	VYDAJ	VYBER	800	26622	\N	\N	\N
2866388	9484	1998-12-01	VYDAJ	VYBER	1800	1040	\N	\N	\N
2866395	9484	1998-01-08	VYDAJ	VYBER	1900	20652	\N	\N	\N
2866396	9484	1998-01-20	VYDAJ	VYBER	1300	26332	\N	\N	\N
2866397	9484	1998-01-19	VYDAJ	VYBER	1400	27632	\N	\N	\N
2866398	9484	1998-01-06	VYDAJ	VYBER	1000	22552	\N	\N	\N
2866399	9484	1998-01-22	VYDAJ	VYBER	600	16032	\N	\N	\N
2866400	9484	1998-01-25	VYDAJ	VYBER	2200	13832	\N	\N	\N
2866402	9484	1997-09-19	VYDAJ	VYBER	700	35846	\N	\N	\N
2866403	9484	1997-10-09	VYDAJ	VYBER	2200	26801	\N	\N	\N
2866404	9484	1997-10-27	VYDAJ	VYBER	700	25281	\N	\N	\N
2866407	9484	1997-12-26	VYDAJ	VYBER	3200	23422	\N	\N	\N
2866408	9484	1998-06-01	VYDAJ	VYBER	3000	10821	\N	\N	\N
2866409	9484	1998-12-11	VYDAJ	VYBER	2300	-1260	\N	\N	\N
2866410	9484	1998-05-10	VYDAJ	VYBER	1500	15015	\N	\N	\N
2866411	9484	1998-12-01	VYDAJ	VYBER	1800	2840	\N	\N	\N
2866412	9484	1998-09-07	VYDAJ	VYBER	1100	3249	\N	\N	\N
2866422	9484	1997-09-30	VYDAJ	VYBER	15	29001	SLUZBY	\N	\N
2866423	9484	1997-10-31	VYDAJ	VYBER	15	25474	SLUZBY	\N	\N
2866424	9484	1997-11-30	VYDAJ	VYBER	15	28052	SLUZBY	\N	\N
2866425	9484	1997-12-31	VYDAJ	VYBER	15	23552	SLUZBY	\N	\N
2866426	9484	1998-01-31	VYDAJ	VYBER	15	12890	SLUZBY	\N	\N
2866427	9484	1998-02-28	VYDAJ	VYBER	15	13826	SLUZBY	\N	\N
2866428	9484	1998-03-31	VYDAJ	VYBER	15	17312	SLUZBY	\N	\N
2866429	9484	1998-04-30	VYDAJ	VYBER	15	16515	SLUZBY	\N	\N
2866430	9484	1998-05-31	VYDAJ	VYBER	15	13821	SLUZBY	\N	\N
2866431	9484	1998-06-30	VYDAJ	VYBER	15	4956	SLUZBY	\N	\N
2866432	9484	1998-07-31	VYDAJ	VYBER	15	5548	SLUZBY	\N	\N
2866433	9484	1998-08-31	VYDAJ	VYBER	15	4349	SLUZBY	\N	\N
2866434	9484	1998-09-30	VYDAJ	VYBER	15	5856	SLUZBY	\N	\N
2866435	9484	1998-10-31	VYDAJ	VYBER	15	4145	SLUZBY	\N	\N
2866436	9484	1998-11-30	VYDAJ	VYBER	15	4640	SLUZBY	\N	\N
2866437	9484	1997-05-26	PRIJEM	VKLAD	6400	15680	\N	\N	\N
2866438	9484	1997-06-25	VYDAJ	VYBER	5400	22873	\N	\N	\N
2866439	9484	1997-07-25	VYDAJ	VYBER	7500	23840	\N	\N	\N
2866440	9484	1997-08-24	VYDAJ	VYBER	4300	28036	\N	\N	\N
2866441	9484	1997-09-23	VYDAJ	VYBER	7000	28846	\N	\N	\N
2866442	9484	1997-10-23	VYDAJ	VYBER	9200	25981	\N	\N	\N
2866443	9484	1997-11-22	VYDAJ	VYBER	6000	27854	\N	\N	\N
2866444	9484	1997-12-22	VYDAJ	VYBER	13200	27422	\N	\N	\N
2866445	9484	1998-01-21	VYDAJ	VYBER	9700	16632	\N	\N	\N
2866446	9484	1998-02-20	VYDAJ	VYBER	7500	13770	\N	\N	\N
2866447	9484	1998-03-22	VYDAJ	VYBER	5000	17206	\N	\N	\N
2866448	9484	1998-04-21	VYDAJ	VYBER	9300	16392	\N	\N	\N
2866449	9484	1998-05-21	VYDAJ	VYBER	9700	13695	\N	\N	\N
2866450	9484	1998-06-20	PRIJEM	VKLAD	2600	4891	\N	\N	\N
2866451	9484	1998-07-20	VYDAJ	VYBER	7800	5536	\N	\N	\N
2866452	9484	1998-08-19	VYDAJ	VYBER	9600	4328	\N	\N	\N
2866453	9484	1998-09-18	VYDAJ	VYBER	5800	5829	\N	\N	\N
2866454	9484	1998-10-18	VYDAJ	VYBER	10100	4136	\N	\N	\N
2866455	9484	1998-11-17	VYDAJ	VYBER	7900	4625	\N	\N	\N
2868166	9491	1996-08-08	PRIJEM	VKLAD	800	800	\N	\N	\N
2868174	9491	1996-08-13	PRIJEM	PREVOD Z UCTU	43825	44625	\N	QR	84854560
2868175	9491	1996-09-13	PRIJEM	PREVOD Z UCTU	43825	79964	\N	QR	84854560
2868176	9491	1996-10-13	PRIJEM	PREVOD Z UCTU	43825	96863	\N	QR	84854560
2868177	9491	1996-11-13	PRIJEM	PREVOD Z UCTU	43825	103865	\N	QR	84854560
2868178	9491	1996-12-13	PRIJEM	PREVOD Z UCTU	65738	127324	\N	QR	84854560
2868179	9491	1997-01-13	PRIJEM	PREVOD Z UCTU	43825	78251	\N	QR	84854560
2868180	9491	1997-02-13	PRIJEM	PREVOD Z UCTU	43825	68274	\N	QR	84854560
2868181	9491	1997-03-13	PRIJEM	PREVOD Z UCTU	43825	79564	\N	QR	84854560
2868182	9491	1997-04-13	PRIJEM	PREVOD Z UCTU	43825	79155	\N	QR	84854560
2868183	9491	1997-05-13	PRIJEM	PREVOD Z UCTU	43825	81779	\N	QR	84854560
2868184	9491	1997-06-13	PRIJEM	PREVOD Z UCTU	65738	99876	\N	QR	84854560
2868185	9491	1997-07-13	PRIJEM	PREVOD Z UCTU	43825	90474	\N	QR	84854560
2868186	9491	1997-08-13	PRIJEM	PREVOD Z UCTU	43825	85877	\N	QR	84854560
2868187	9491	1997-09-13	PRIJEM	PREVOD Z UCTU	43825	83363	\N	QR	84854560
2868188	9491	1997-10-13	PRIJEM	PREVOD Z UCTU	43825	67589	\N	QR	84854560
2868189	9491	1997-11-13	PRIJEM	PREVOD Z UCTU	43825	63011	\N	QR	84854560
2868190	9491	1997-12-13	PRIJEM	PREVOD Z UCTU	65738	97294	\N	QR	84854560
2868191	9491	1998-01-13	PRIJEM	PREVOD Z UCTU	43825	63643	\N	QR	84854560
2868192	9491	1998-02-13	PRIJEM	PREVOD Z UCTU	43825	69725	\N	QR	84854560
2868193	9491	1998-03-13	PRIJEM	PREVOD Z UCTU	43825	76314	\N	QR	84854560
2868194	9491	1998-04-13	PRIJEM	PREVOD Z UCTU	43825	71039	\N	QR	84854560
2868195	9491	1998-05-13	PRIJEM	PREVOD Z UCTU	43825	73341	\N	QR	84854560
2868196	9491	1998-06-13	PRIJEM	PREVOD Z UCTU	65738	104682	\N	QR	84854560
2868197	9491	1998-07-13	PRIJEM	PREVOD Z UCTU	43825	92064	\N	QR	84854560
2868198	9491	1998-08-13	PRIJEM	PREVOD Z UCTU	43825	83733	\N	QR	84854560
2868199	9491	1998-09-13	PRIJEM	PREVOD Z UCTU	43825	80871	\N	QR	84854560
2868200	9491	1998-10-13	PRIJEM	PREVOD Z UCTU	43825	82799	\N	QR	84854560
2868201	9491	1998-11-13	PRIJEM	PREVOD Z UCTU	43825	82632	\N	QR	84854560
2868202	9491	1998-12-13	PRIJEM	PREVOD Z UCTU	65738	105676	\N	QR	84854560
2868215	9491	1997-01-12	VYDAJ	VYBER	3600	34426	\N	\N	0
2868216	9491	1997-02-04	VYDAJ	VYBER	4700	30025	\N	\N	0
2868217	9491	1997-03-07	VYDAJ	VYBER	5800	40443	\N	\N	0
2868218	9491	1997-04-03	VYDAJ	VYBER	4500	58606	\N	\N	0
2868219	9491	1997-05-21	VYDAJ	VYBER	4400	75134	\N	\N	0
2868220	9491	1997-06-08	VYDAJ	VYBER	4900	34138	\N	\N	0
2868221	9491	1997-07-04	VYDAJ	VYBER	4400	93525	\N	\N	0
2868222	9491	1997-08-12	VYDAJ	VYBER	5000	42052	\N	\N	0
2868223	9491	1997-09-08	VYDAJ	VYBER	3900	39538	\N	\N	0
2868224	9491	1997-10-06	VYDAJ	VYBER	5500	28468	\N	\N	0
2868225	9491	1997-11-04	VYDAJ	VYBER	5000	24762	\N	\N	0
2868226	9491	1997-12-15	VYDAJ	VYBER	4000	91049	\N	\N	0
2868227	9491	1998-01-09	VYDAJ	VYBER	4300	19818	\N	\N	0
2868228	9491	1998-02-08	VYDAJ	VYBER	3600	25900	\N	\N	0
2868229	9491	1998-03-11	VYDAJ	VYBER	4800	32489	\N	\N	0
2868230	9491	1998-04-11	VYDAJ	VYBER	4800	27214	\N	\N	0
2868231	9491	1998-05-08	VYDAJ	VYBER	5100	29516	\N	\N	0
2868232	9491	1998-06-18	VYDAJ	VYBER	4200	98237	\N	\N	0
2868233	9491	1998-07-12	VYDAJ	PREVOD NA UCET	4698	48239	UVER	ST	8897775
2868234	9491	1998-08-12	VYDAJ	PREVOD NA UCET	4698	39908	UVER	ST	8897775
2868235	9491	1998-09-12	VYDAJ	PREVOD NA UCET	4698	37046	UVER	ST	8897775
2868236	9491	1998-10-12	VYDAJ	PREVOD NA UCET	4698	38974	UVER	ST	8897775
2868237	9491	1998-11-12	VYDAJ	PREVOD NA UCET	4698	38807	UVER	ST	8897775
2868238	9491	1998-12-12	VYDAJ	PREVOD NA UCET	4698	39938	UVER	ST	8897775
2868251	9491	1997-01-07	VYDAJ	PREVOD NA UCET	4704	41026	SIPO	GH	6734550
2868252	9491	1997-02-07	VYDAJ	PREVOD NA UCET	4704	24449	SIPO	GH	6734550
2868253	9491	1997-03-07	VYDAJ	PREVOD NA UCET	4704	35739	SIPO	GH	6734550
2868254	9491	1997-04-07	VYDAJ	PREVOD NA UCET	4704	35330	SIPO	GH	6734550
2868255	9491	1997-05-07	VYDAJ	PREVOD NA UCET	4704	37954	SIPO	GH	6734550
2868256	9491	1997-06-07	VYDAJ	PREVOD NA UCET	4704	39038	SIPO	GH	6734550
2868257	9491	1997-07-07	VYDAJ	PREVOD NA UCET	4704	46649	SIPO	GH	6734550
2868258	9491	1997-08-07	VYDAJ	PREVOD NA UCET	4704	47052	SIPO	GH	6734550
2868259	9491	1997-09-07	VYDAJ	PREVOD NA UCET	4704	43438	SIPO	GH	6734550
2868260	9491	1997-10-07	VYDAJ	PREVOD NA UCET	4704	23764	SIPO	GH	6734550
2868261	9491	1997-11-07	VYDAJ	PREVOD NA UCET	4704	19186	SIPO	GH	6734550
2868262	9491	1997-12-07	VYDAJ	PREVOD NA UCET	4704	31556	SIPO	GH	6734550
2868263	9491	1998-01-07	VYDAJ	PREVOD NA UCET	4704	27718	SIPO	GH	6734550
2868264	9491	1998-02-07	VYDAJ	PREVOD NA UCET	4704	29500	SIPO	GH	6734550
2868265	9491	1998-03-07	VYDAJ	PREVOD NA UCET	4704	37289	SIPO	GH	6734550
2868266	9491	1998-04-07	VYDAJ	PREVOD NA UCET	4704	32014	SIPO	GH	6734550
2868267	9491	1998-05-07	VYDAJ	PREVOD NA UCET	4704	34616	SIPO	GH	6734550
2868268	9491	1998-06-07	VYDAJ	PREVOD NA UCET	4704	38944	SIPO	GH	6734550
2868269	9491	1998-07-07	VYDAJ	PREVOD NA UCET	4704	52937	SIPO	GH	6734550
2868270	9491	1998-08-07	VYDAJ	PREVOD NA UCET	4704	44606	SIPO	GH	6734550
2868271	9491	1998-09-07	VYDAJ	PREVOD NA UCET	4704	41744	SIPO	GH	6734550
2868272	9491	1998-10-07	VYDAJ	PREVOD NA UCET	4704	43672	SIPO	GH	6734550
2868273	9491	1998-11-07	VYDAJ	PREVOD NA UCET	4704	43505	SIPO	GH	6734550
2868274	9491	1998-12-07	VYDAJ	PREVOD NA UCET	4704	44636	SIPO	GH	6734550
2868286	9491	1996-12-14	VYDAJ	PREVOD NA UCET	2245	74379	 	GH	42563897
2868287	9491	1997-01-14	VYDAJ	PREVOD NA UCET	2245	76006	 	GH	42563897
2868288	9491	1997-02-14	VYDAJ	PREVOD NA UCET	2245	66029	 	GH	42563897
2868289	9491	1997-03-14	VYDAJ	PREVOD NA UCET	2245	77319	 	GH	42563897
2868290	9491	1997-04-14	VYDAJ	PREVOD NA UCET	2245	76910	 	GH	42563897
2868291	9491	1997-05-14	VYDAJ	PREVOD NA UCET	2245	79534	 	GH	42563897
2868292	9491	1997-06-14	VYDAJ	PREVOD NA UCET	2245	97631	 	GH	42563897
2868293	9491	1997-07-14	VYDAJ	PREVOD NA UCET	2245	88229	 	GH	42563897
2868294	9491	1997-08-14	VYDAJ	PREVOD NA UCET	2245	83632	 	GH	42563897
2868295	9491	1997-09-14	VYDAJ	PREVOD NA UCET	2245	81118	 	GH	42563897
2868296	9491	1997-10-14	VYDAJ	PREVOD NA UCET	2245	65344	 	GH	42563897
2868297	9491	1997-11-14	VYDAJ	PREVOD NA UCET	2245	60766	 	GH	42563897
2868298	9491	1997-12-14	VYDAJ	PREVOD NA UCET	2245	95049	 	GH	42563897
2868299	9491	1998-01-14	VYDAJ	PREVOD NA UCET	2245	61398	 	GH	42563897
2868300	9491	1998-02-14	VYDAJ	PREVOD NA UCET	2245	67480	 	GH	42563897
2868301	9491	1998-03-14	VYDAJ	PREVOD NA UCET	2245	74069	 	GH	42563897
2868302	9491	1998-04-14	VYDAJ	PREVOD NA UCET	2245	68794	 	GH	42563897
2868303	9491	1998-05-14	VYDAJ	PREVOD NA UCET	2245	71096	 	GH	42563897
2868304	9491	1998-06-14	VYDAJ	PREVOD NA UCET	2245	102437	 	GH	42563897
2868305	9491	1998-07-14	VYDAJ	PREVOD NA UCET	2245	89819	 	GH	42563897
2868306	9491	1998-08-14	VYDAJ	PREVOD NA UCET	2245	81488	 	GH	42563897
2868307	9491	1998-09-14	VYDAJ	PREVOD NA UCET	2245	78626	 	GH	42563897
2868308	9491	1998-10-14	VYDAJ	PREVOD NA UCET	2245	80554	 	GH	42563897
2868309	9491	1998-11-14	VYDAJ	PREVOD NA UCET	2245	80387	 	GH	42563897
2868310	9491	1998-12-14	VYDAJ	PREVOD NA UCET	2245	103431	 	GH	42563897
2868323	9491	1997-01-05	VYDAJ	PREVOD NA UCET	872	66330	POJISTNE	QR	50093847
2868324	9491	1997-02-05	VYDAJ	PREVOD NA UCET	872	29153	POJISTNE	QR	50093847
2868325	9491	1997-03-05	VYDAJ	PREVOD NA UCET	872	65343	POJISTNE	QR	50093847
2868326	9491	1997-04-05	VYDAJ	PREVOD NA UCET	872	57734	POJISTNE	QR	50093847
2868327	9491	1997-05-05	VYDAJ	PREVOD NA UCET	872	42658	POJISTNE	QR	50093847
2868328	9491	1997-06-05	VYDAJ	PREVOD NA UCET	872	43742	POJISTNE	QR	50093847
2868329	9491	1997-07-05	VYDAJ	PREVOD NA UCET	872	51353	POJISTNE	QR	50093847
2868330	9491	1997-08-05	VYDAJ	PREVOD NA UCET	872	51756	POJISTNE	QR	50093847
2868331	9491	1997-09-05	VYDAJ	PREVOD NA UCET	872	48142	POJISTNE	QR	50093847
2868332	9491	1997-10-05	VYDAJ	PREVOD NA UCET	872	33968	POJISTNE	QR	50093847
2868333	9491	1997-11-05	VYDAJ	PREVOD NA UCET	872	23890	POJISTNE	QR	50093847
2868334	9491	1997-12-05	VYDAJ	PREVOD NA UCET	872	36260	POJISTNE	QR	50093847
2868335	9491	1998-01-05	VYDAJ	PREVOD NA UCET	872	38422	POJISTNE	QR	50093847
2868336	9491	1998-02-05	VYDAJ	PREVOD NA UCET	872	34204	POJISTNE	QR	50093847
2868337	9491	1998-03-05	VYDAJ	PREVOD NA UCET	872	41993	POJISTNE	QR	50093847
2868338	9491	1998-04-05	VYDAJ	PREVOD NA UCET	872	36718	POJISTNE	QR	50093847
2868339	9491	1998-05-05	VYDAJ	PREVOD NA UCET	872	39320	POJISTNE	QR	50093847
2868340	9491	1998-06-05	VYDAJ	PREVOD NA UCET	872	43648	POJISTNE	QR	50093847
2868341	9491	1998-07-05	VYDAJ	PREVOD NA UCET	872	57641	POJISTNE	QR	50093847
2868342	9491	1998-08-05	VYDAJ	PREVOD NA UCET	872	49310	POJISTNE	QR	50093847
2868343	9491	1998-09-05	VYDAJ	PREVOD NA UCET	872	46448	POJISTNE	QR	50093847
2868344	9491	1998-10-05	VYDAJ	PREVOD NA UCET	872	48376	POJISTNE	QR	50093847
2868345	9491	1998-11-05	VYDAJ	PREVOD NA UCET	872	48209	POJISTNE	QR	50093847
2868346	9491	1998-12-05	VYDAJ	PREVOD NA UCET	872	49340	POJISTNE	QR	50093847
2868361	9491	1997-10-30	VYBER	VYBER	10879	42885	\N	\N	\N
2868362	9491	1997-03-19	VYBER	VYBER	14439	62880	\N	\N	\N
2868363	9491	1997-09-29	VYBER	VYBER	24629	48689	\N	\N	\N
2868365	9491	1997-10-25	VYBER	VYBER	11580	53764	\N	\N	\N
2868366	9491	1997-12-16	VYBER	VYBER	21666	69383	\N	\N	\N
2868367	9491	1997-05-23	VYBER	VYBER	5957	69177	\N	\N	\N
2868369	9491	1996-12-28	VYDAJ	VYBER	7500	66879	\N	\N	\N
2868370	9491	1997-12-01	VYDAJ	VYBER	5100	37132	\N	\N	\N
2868371	9491	1998-12-29	VYDAJ	VYBER	6900	50231	\N	\N	\N
2868378	9491	1997-01-07	VYDAJ	VYBER	3000	38026	\N	\N	\N
2868379	9491	1997-01-17	VYDAJ	VYBER	3000	64306	\N	\N	\N
2868380	9491	1997-01-16	VYDAJ	VYBER	8700	67306	\N	\N	\N
2868381	9491	1997-01-23	VYDAJ	VYBER	7200	51706	\N	\N	\N
2868382	9491	1997-01-22	VYDAJ	VYBER	1500	62806	\N	\N	\N
2868383	9491	1997-01-23	VYDAJ	VYBER	3900	58906	\N	\N	\N
2868384	9491	1998-01-09	VYDAJ	VYBER KARTOU	3600	24118	\N	\N	0
2868385	9491	1998-01-06	VYDAJ	VYBER	6000	32422	\N	\N	\N
2868387	9491	1998-01-05	VYDAJ	VYBER KARTOU	2700	39294	\N	\N	0
2868388	9491	1998-01-24	VYDAJ	VYBER	8100	53298	\N	\N	\N
2868393	9491	1997-09-23	VYDAJ	VYBER	7800	73318	\N	\N	\N
2868394	9491	1997-04-20	VYDAJ	VYBER	11400	65510	\N	\N	\N
2868395	9491	1998-08-25	VYDAJ	VYBER KARTOU	3900	77588	\N	\N	0
2868396	9491	1998-12-23	VYDAJ	VYBER	8100	95331	\N	\N	\N
2868397	9491	1998-03-25	VYDAJ	VYBER	11400	62669	\N	\N	\N
2868398	9491	1998-07-23	VYDAJ	VYBER	10200	79619	\N	\N	\N
2868411	9491	1996-12-31	VYDAJ	VYBER	30	67202	SLUZBY	\N	\N
2868412	9491	1997-01-31	VYDAJ	VYBER	30	51925	SLUZBY	\N	\N
2868413	9491	1997-02-28	VYDAJ	VYBER	30	66215	SLUZBY	\N	\N
2868414	9491	1997-03-31	VYDAJ	VYBER	30	63106	SLUZBY	\N	\N
2868415	9491	1997-04-30	VYDAJ	VYBER	30	65730	SLUZBY	\N	\N
2868416	9491	1997-05-31	VYDAJ	VYBER	30	69414	SLUZBY	\N	\N
2868417	9491	1997-06-30	VYDAJ	VYBER	30	97925	SLUZBY	\N	\N
2868418	9491	1997-07-31	VYDAJ	VYBER	30	88528	SLUZBY	\N	\N
2868419	9491	1997-08-31	VYDAJ	VYBER	30	83914	SLUZBY	\N	\N
2868420	9491	1997-09-30	VYDAJ	VYBER	30	48940	SLUZBY	\N	\N
2868421	9491	1997-10-31	VYDAJ	VYBER	30	43062	SLUZBY	\N	\N
2868422	9491	1997-11-30	VYDAJ	VYBER	30	60932	SLUZBY	\N	\N
2868423	9491	1997-12-31	VYDAJ	VYBER	30	69594	SLUZBY	\N	\N
2868424	9491	1998-01-31	VYDAJ	VYBER	30	35076	SLUZBY	\N	\N
2868425	9491	1998-02-28	VYDAJ	VYBER	30	67665	SLUZBY	\N	\N
2868426	9491	1998-03-31	VYDAJ	VYBER	30	37590	SLUZBY	\N	\N
2868427	9491	1998-04-30	VYDAJ	VYBER	30	68992	SLUZBY	\N	\N
2868428	9491	1998-05-31	VYDAJ	VYBER	30	44520	SLUZBY	\N	\N
2868429	9491	1998-06-30	VYDAJ	VYBER	30	58513	SLUZBY	\N	\N
2868430	9491	1998-07-31	VYDAJ	VYBER	30	50182	SLUZBY	\N	\N
2868431	9491	1998-08-31	VYDAJ	VYBER	30	47320	SLUZBY	\N	\N
2868432	9491	1998-09-30	VYDAJ	VYBER	30	49248	SLUZBY	\N	\N
2868433	9491	1998-10-31	VYDAJ	VYBER	30	49081	SLUZBY	\N	\N
2868434	9491	1998-11-30	VYDAJ	VYBER	30	50212	SLUZBY	\N	\N
2868435	9491	1996-09-07	VYDAJ	VYBER	8600	36139	\N	\N	\N
2868436	9491	1996-10-07	VYDAJ	VYBER	27200	53038	\N	\N	\N
2868437	9491	1996-11-06	VYDAJ	VYBER	37200	60040	\N	\N	\N
2868438	9491	1996-12-06	VYDAJ	VYBER	42700	61586	\N	\N	\N
2868439	9491	1996-12-13	VYDAJ	VYBER	50700	76624	\N	\N	\N
2868440	9491	1997-01-05	VYDAJ	VYBER	20600	45730	\N	\N	\N
2868441	9491	1997-02-04	VYDAJ	VYBER	17200	34725	\N	\N	\N
2868442	9491	1997-03-06	VYDAJ	VYBER	19100	46243	\N	\N	\N
2868443	9491	1997-04-05	VYDAJ	VYBER	17700	40034	\N	\N	\N
2868444	9491	1997-05-05	VYDAJ	VYBER	22200	43530	\N	\N	\N
2868445	9491	1997-06-04	VYDAJ	VYBER	24800	44614	\N	\N	\N
2868446	9491	1997-07-04	VYDAJ	VYBER	41300	52225	\N	\N	\N
2868447	9491	1997-08-03	VYDAJ	VYBER	35900	52628	\N	\N	\N
2868448	9491	1997-09-02	VYDAJ	VYBER	34900	49014	\N	\N	\N
2868449	9491	1997-10-02	VYDAJ	VYBER	14100	34840	\N	\N	\N
2868450	9491	1997-11-01	VYDAJ	VYBER	13300	29762	\N	\N	\N
2868451	9491	1997-12-01	VYDAJ	VYBER	18700	42232	\N	\N	\N
2868452	9491	1997-12-31	VYDAJ	VYBER	27600	41994	\N	\N	\N
2868453	9491	1998-01-30	VYDAJ	VYBER	18400	34898	\N	\N	\N
2868454	9491	1998-03-01	VYDAJ	VYBER	24800	42865	\N	\N	\N
2868455	9491	1998-03-31	VYDAJ	VYBER	25300	37620	\N	\N	\N
2868456	9491	1998-04-30	VYDAJ	VYBER	28800	40192	\N	\N	\N
2868457	9491	1998-05-30	VYDAJ	VYBER	26800	44296	\N	\N	\N
2868458	9491	1998-06-29	VYDAJ	VYBER	40000	58237	\N	\N	\N
2868459	9491	1998-07-29	VYDAJ	VYBER	29700	49919	\N	\N	\N
2868460	9491	1998-08-28	VYDAJ	VYBER	30500	47088	\N	\N	\N
2868461	9491	1998-09-27	VYDAJ	VYBER	29600	49026	\N	\N	\N
2868462	9491	1998-10-27	VYDAJ	VYBER	31700	48854	\N	\N	\N
2868463	9491	1998-11-26	VYDAJ	VYBER	30400	49987	\N	\N	\N
2868464	9491	1998-12-26	VYDAJ	VYBER	38200	57131	\N	\N	\N
2868609	9493	1995-04-02	PRIJEM	VKLAD	400	400	\N	\N	\N
2868613	9493	1995-04-10	PRIJEM	PREVOD Z UCTU	23585	23985	\N	YZ	61292606
2868614	9493	1995-05-10	PRIJEM	PREVOD Z UCTU	23585	47940	\N	YZ	61292606
2868615	9493	1995-06-10	PRIJEM	PREVOD Z UCTU	35378	70989	\N	YZ	61292606
2868616	9493	1995-07-10	PRIJEM	PREVOD Z UCTU	23585	70341	\N	YZ	61292606
2868617	9493	1995-08-10	PRIJEM	PREVOD Z UCTU	23585	68217	\N	YZ	61292606
2868618	9493	1995-09-10	PRIJEM	PREVOD Z UCTU	23585	47165	\N	YZ	61292606
2868619	9493	1995-10-10	PRIJEM	PREVOD Z UCTU	23585	55244	\N	YZ	61292606
2868620	9493	1995-11-10	PRIJEM	PREVOD Z UCTU	23585	48818	\N	YZ	61292606
2868621	9493	1995-12-10	PRIJEM	PREVOD Z UCTU	35378	67390	\N	YZ	61292606
2868622	9493	1996-01-10	PRIJEM	PREVOD Z UCTU	23585	57429	\N	YZ	61292606
2868623	9493	1996-02-10	PRIJEM	PREVOD Z UCTU	23585	54533	\N	YZ	61292606
2868624	9493	1996-03-10	PRIJEM	PREVOD Z UCTU	23585	47106	\N	YZ	61292606
2868625	9493	1996-04-10	PRIJEM	PREVOD Z UCTU	23585	53618	\N	YZ	61292606
2868626	9493	1996-05-10	PRIJEM	PREVOD Z UCTU	23585	59513	\N	YZ	61292606
2868627	9493	1996-06-10	PRIJEM	PREVOD Z UCTU	35378	76925	\N	YZ	61292606
2868628	9493	1996-07-10	PRIJEM	PREVOD Z UCTU	23585	70791	\N	YZ	61292606
2868629	9493	1996-08-10	PRIJEM	PREVOD Z UCTU	23585	68751	\N	YZ	61292606
2868630	9493	1996-09-10	PRIJEM	PREVOD Z UCTU	23585	71104	\N	YZ	61292606
2868631	9493	1996-10-10	PRIJEM	PREVOD Z UCTU	23585	58677	\N	YZ	61292606
2868632	9493	1996-11-10	PRIJEM	PREVOD Z UCTU	23585	59805	\N	YZ	61292606
2868633	9493	1996-12-10	PRIJEM	PREVOD Z UCTU	35378	71001	\N	YZ	61292606
2868634	9493	1997-01-10	PRIJEM	PREVOD Z UCTU	23585	52139	\N	YZ	61292606
2868635	9493	1997-02-10	PRIJEM	PREVOD Z UCTU	23585	51215	\N	YZ	61292606
2868636	9493	1997-03-10	PRIJEM	PREVOD Z UCTU	23585	48998	\N	YZ	61292606
2868637	9493	1997-04-10	PRIJEM	PREVOD Z UCTU	23585	58574	\N	YZ	61292606
2868638	9493	1997-05-10	PRIJEM	PREVOD Z UCTU	23585	63447	\N	YZ	61292606
2868639	9493	1997-06-10	PRIJEM	PREVOD Z UCTU	35378	68554	\N	YZ	61292606
2868640	9493	1997-07-10	PRIJEM	PREVOD Z UCTU	23585	55842	\N	YZ	61292606
2868641	9493	1997-08-10	PRIJEM	PREVOD Z UCTU	23585	53040	\N	YZ	61292606
2868642	9493	1997-09-10	PRIJEM	PREVOD Z UCTU	23585	52523	\N	YZ	61292606
2868643	9493	1997-10-10	PRIJEM	PREVOD Z UCTU	23585	62814	\N	YZ	61292606
2868644	9493	1997-11-10	PRIJEM	PREVOD Z UCTU	23585	71243	\N	YZ	61292606
2868645	9493	1997-12-10	PRIJEM	PREVOD Z UCTU	35378	83375	\N	YZ	61292606
2868646	9493	1998-01-10	PRIJEM	PREVOD Z UCTU	23585	55424	\N	YZ	61292606
2868647	9493	1998-02-10	PRIJEM	PREVOD Z UCTU	23585	47709	\N	YZ	61292606
2868648	9493	1998-03-10	PRIJEM	PREVOD Z UCTU	23585	64389	\N	YZ	61292606
2868649	9493	1998-04-10	PRIJEM	PREVOD Z UCTU	23585	69823	\N	YZ	61292606
2868650	9493	1998-05-10	PRIJEM	PREVOD Z UCTU	23585	64068	\N	YZ	61292606
2868651	9493	1998-06-10	PRIJEM	PREVOD Z UCTU	35378	77382	\N	YZ	61292606
2868652	9493	1998-07-10	PRIJEM	PREVOD Z UCTU	23585	86856	\N	YZ	61292606
2868653	9493	1998-08-10	PRIJEM	PREVOD Z UCTU	23585	93679	\N	YZ	61292606
2868654	9493	1998-09-10	PRIJEM	PREVOD Z UCTU	23585	97423	\N	YZ	61292606
2868655	9493	1998-10-10	PRIJEM	PREVOD Z UCTU	23585	76718	\N	YZ	61292606
2868656	9493	1998-11-10	PRIJEM	PREVOD Z UCTU	23585	76693	\N	YZ	61292606
2868657	9493	1998-12-10	PRIJEM	PREVOD Z UCTU	35378	102792	\N	YZ	61292606
2868665	9493	1995-08-02	VYDAJ	VYBER	3000	44632	\N	\N	0
2868666	9493	1995-09-12	VYDAJ	PREVOD NA UCET	3931	36431	UVER	AB	57428258
2868667	9493	1995-10-12	VYDAJ	PREVOD NA UCET	3931	44510	UVER	AB	57428258
2868668	9493	1995-11-12	VYDAJ	PREVOD NA UCET	3931	38084	UVER	AB	57428258
2868669	9493	1995-12-12	VYDAJ	PREVOD NA UCET	3931	56656	UVER	AB	57428258
2868670	9493	1996-01-12	VYDAJ	PREVOD NA UCET	3931	46695	UVER	AB	57428258
2868671	9493	1996-02-12	VYDAJ	PREVOD NA UCET	3931	43799	UVER	AB	57428258
2868672	9493	1996-03-12	VYDAJ	PREVOD NA UCET	3931	36372	UVER	AB	57428258
2868673	9493	1996-04-12	VYDAJ	PREVOD NA UCET	3931	42884	UVER	AB	57428258
2868674	9493	1996-05-12	VYDAJ	PREVOD NA UCET	3931	48779	UVER	AB	57428258
2868675	9493	1996-06-12	VYDAJ	PREVOD NA UCET	3931	66191	UVER	AB	57428258
2868676	9493	1996-07-12	VYDAJ	PREVOD NA UCET	3931	60057	UVER	AB	57428258
2868677	9493	1996-08-12	VYDAJ	PREVOD NA UCET	3931	58017	UVER	AB	57428258
2868678	9493	1996-09-12	VYDAJ	PREVOD NA UCET	3931	60370	UVER	AB	57428258
2868679	9493	1996-10-12	VYDAJ	PREVOD NA UCET	3931	47943	UVER	AB	57428258
2868680	9493	1996-11-12	VYDAJ	PREVOD NA UCET	3931	49071	UVER	AB	57428258
2868681	9493	1996-12-12	VYDAJ	PREVOD NA UCET	3931	60267	UVER	AB	57428258
2868682	9493	1997-01-12	VYDAJ	PREVOD NA UCET	3931	33905	UVER	AB	57428258
2868683	9493	1997-02-12	VYDAJ	PREVOD NA UCET	3931	27881	UVER	AB	57428258
2868684	9493	1997-03-12	VYDAJ	PREVOD NA UCET	3931	38265	UVER	AB	57428258
2868685	9493	1997-04-12	VYDAJ	PREVOD NA UCET	3931	42910	UVER	AB	57428258
2868686	9493	1997-05-12	VYDAJ	PREVOD NA UCET	3931	52713	UVER	AB	57428258
2868687	9493	1997-06-12	VYDAJ	PREVOD NA UCET	3931	57820	UVER	AB	57428258
2868688	9493	1997-07-12	VYDAJ	PREVOD NA UCET	3931	45108	UVER	AB	57428258
2868689	9493	1997-08-12	VYDAJ	PREVOD NA UCET	3931	42306	UVER	AB	57428258
2868690	9493	1997-09-12	VYDAJ	PREVOD NA UCET	3931	41789	UVER	AB	57428258
2868691	9493	1997-10-12	VYDAJ	PREVOD NA UCET	3931	52080	UVER	AB	57428258
2868692	9493	1997-11-12	VYDAJ	PREVOD NA UCET	3931	60509	UVER	AB	57428258
2868693	9493	1997-12-12	VYDAJ	PREVOD NA UCET	3931	72641	UVER	AB	57428258
2868694	9493	1998-01-12	VYDAJ	PREVOD NA UCET	3931	44690	UVER	AB	57428258
2868695	9493	1998-02-12	VYDAJ	PREVOD NA UCET	3931	36975	UVER	AB	57428258
2868696	9493	1998-03-12	VYDAJ	PREVOD NA UCET	3931	53655	UVER	AB	57428258
2868697	9493	1998-04-12	VYDAJ	PREVOD NA UCET	3931	59090	UVER	AB	57428258
2868698	9493	1998-05-12	VYDAJ	PREVOD NA UCET	3931	53334	UVER	AB	57428258
2868699	9493	1998-06-12	VYDAJ	PREVOD NA UCET	3931	66648	UVER	AB	57428258
2868700	9493	1998-07-12	VYDAJ	PREVOD NA UCET	3931	76122	UVER	AB	57428258
2868701	9493	1998-08-12	VYDAJ	PREVOD NA UCET	3931	82946	UVER	AB	57428258
2868702	9493	1998-09-12	VYDAJ	PREVOD NA UCET	3931	86689	UVER	AB	57428258
2868703	9493	1998-10-12	VYDAJ	PREVOD NA UCET	3931	65984	UVER	AB	57428258
2868704	9493	1998-11-12	VYDAJ	PREVOD NA UCET	3931	67159	UVER	AB	57428258
2868705	9493	1998-12-12	VYDAJ	PREVOD NA UCET	3931	89358	UVER	AB	57428258
2868713	9493	1995-08-10	VYDAJ	PREVOD NA UCET	6803	61414	SIPO	WX	47398895
2868714	9493	1995-09-10	VYDAJ	PREVOD NA UCET	6803	40362	SIPO	WX	47398895
2868715	9493	1995-10-10	VYDAJ	PREVOD NA UCET	6803	48441	SIPO	WX	47398895
2868716	9493	1995-11-10	VYDAJ	PREVOD NA UCET	6803	42015	SIPO	WX	47398895
2868717	9493	1995-12-10	VYDAJ	PREVOD NA UCET	6803	60587	SIPO	WX	47398895
2868718	9493	1996-01-10	VYDAJ	PREVOD NA UCET	6803	50626	SIPO	WX	47398895
2868719	9493	1996-02-10	VYDAJ	PREVOD NA UCET	6803	47730	SIPO	WX	47398895
2868720	9493	1996-03-10	VYDAJ	PREVOD NA UCET	6803	40303	SIPO	WX	47398895
2868721	9493	1996-04-10	VYDAJ	PREVOD NA UCET	6803	46815	SIPO	WX	47398895
2868722	9493	1996-05-10	VYDAJ	PREVOD NA UCET	6803	52710	SIPO	WX	47398895
2868723	9493	1996-06-10	VYDAJ	PREVOD NA UCET	6803	70122	SIPO	WX	47398895
2868724	9493	1996-07-10	VYDAJ	PREVOD NA UCET	6803	63988	SIPO	WX	47398895
2868725	9493	1996-08-10	VYDAJ	PREVOD NA UCET	6803	61948	SIPO	WX	47398895
2868726	9493	1996-09-10	VYDAJ	PREVOD NA UCET	6803	64301	SIPO	WX	47398895
2868727	9493	1996-10-10	VYDAJ	PREVOD NA UCET	6803	51874	SIPO	WX	47398895
2868728	9493	1996-11-10	VYDAJ	PREVOD NA UCET	6803	53002	SIPO	WX	47398895
2868729	9493	1996-12-10	VYDAJ	PREVOD NA UCET	6803	64198	SIPO	WX	47398895
2868730	9493	1997-01-10	VYDAJ	PREVOD NA UCET	6803	45336	SIPO	WX	47398895
2868731	9493	1997-02-10	VYDAJ	PREVOD NA UCET	6803	31812	SIPO	WX	47398895
2868732	9493	1997-03-10	VYDAJ	PREVOD NA UCET	6803	42195	SIPO	WX	47398895
2868733	9493	1997-04-10	VYDAJ	PREVOD NA UCET	6803	51771	SIPO	WX	47398895
2868734	9493	1997-05-10	VYDAJ	PREVOD NA UCET	6803	56644	SIPO	WX	47398895
2868735	9493	1997-06-10	VYDAJ	PREVOD NA UCET	6803	61751	SIPO	WX	47398895
2868736	9493	1997-07-10	VYDAJ	PREVOD NA UCET	6803	49039	SIPO	WX	47398895
2868737	9493	1997-08-10	VYDAJ	PREVOD NA UCET	6803	46237	SIPO	WX	47398895
2868738	9493	1997-09-10	VYDAJ	PREVOD NA UCET	6803	45720	SIPO	WX	47398895
2868739	9493	1997-10-10	VYDAJ	PREVOD NA UCET	6803	56011	SIPO	WX	47398895
2868740	9493	1997-11-10	VYDAJ	PREVOD NA UCET	6803	64440	SIPO	WX	47398895
2868741	9493	1997-12-10	VYDAJ	PREVOD NA UCET	6803	76572	SIPO	WX	47398895
2868742	9493	1998-01-10	VYDAJ	PREVOD NA UCET	6803	48621	SIPO	WX	47398895
2868743	9493	1998-02-10	VYDAJ	PREVOD NA UCET	6803	40906	SIPO	WX	47398895
2868744	9493	1998-03-10	VYDAJ	PREVOD NA UCET	6803	57586	SIPO	WX	47398895
2868745	9493	1998-04-10	VYDAJ	PREVOD NA UCET	6803	63020	SIPO	WX	47398895
2868746	9493	1998-05-10	VYDAJ	PREVOD NA UCET	6803	57265	SIPO	WX	47398895
2868747	9493	1998-06-10	VYDAJ	PREVOD NA UCET	6803	70579	SIPO	WX	47398895
2868748	9493	1998-07-10	VYDAJ	PREVOD NA UCET	6803	80053	SIPO	WX	47398895
2868749	9493	1998-08-10	VYDAJ	PREVOD NA UCET	6803	86876	SIPO	WX	47398895
2868750	9493	1998-09-10	VYDAJ	PREVOD NA UCET	6803	90620	SIPO	WX	47398895
2868751	9493	1998-10-10	VYDAJ	PREVOD NA UCET	6803	69915	SIPO	WX	47398895
2868752	9493	1998-11-10	VYDAJ	PREVOD NA UCET	6803	69890	SIPO	WX	47398895
2868753	9493	1998-12-10	VYDAJ	PREVOD NA UCET	6803	95989	SIPO	WX	47398895
2868757	9493	1995-09-06	VYBER	VYBER	3592	23580	\N	\N	\N
2868763	9493	1995-08-14	VYBER	VYBER	22706	38708	\N	\N	\N
2868765	9493	1995-08-14	VYBER	VYBER	10206	28502	\N	\N	\N
2868767	9493	1995-10-16	VYBER	VYBER	23591	20919	\N	\N	\N
2868769	9493	1996-10-04	VYBER	VYBER	14489	35092	\N	\N	\N
2868770	9493	1996-03-30	VYBER	VYBER	3379	29893	\N	\N	\N
2868771	9493	1996-03-02	VYBER	VYBER	16128	23521	\N	\N	\N
2868772	9493	1996-11-15	VYBER	VYBER	6999	42072	\N	\N	\N
2868773	9493	1997-07-29	VYBER	VYBER	10999	29309	\N	\N	\N
2868776	9493	1997-04-11	VYBER	VYBER	4930	46841	\N	\N	\N
2868777	9493	1997-12-19	VYBER	VYBER	2158	52983	\N	\N	\N
2868778	9493	1997-06-21	VYBER	VYBER	15221	32099	\N	\N	\N
2868779	9493	1997-02-22	VYBER	VYBER	3372	25309	\N	\N	\N
2868780	9493	1997-11-15	VYBER	VYBER	8507	52002	\N	\N	\N
2868781	9493	1997-12-19	VYBER	VYBER	14162	38821	\N	\N	\N
2868783	9493	1998-09-28	VYBER	VYBER	22850	52839	\N	\N	\N
2868794	9493	1996-01-01	VYDAJ	VYBER	6300	39244	\N	\N	\N
2868795	9493	1996-01-12	VYDAJ	VYBER	3000	43695	\N	\N	\N
2868796	9493	1996-01-27	VYDAJ	VYBER	4800	30795	\N	\N	\N
2868797	9493	1996-01-07	VYDAJ	VYBER	2400	33844	\N	\N	\N
2868798	9493	1996-01-24	VYDAJ	VYBER	4500	39195	\N	\N	\N
2868799	9493	1996-01-04	VYDAJ	VYBER	3000	36244	\N	\N	\N
2868800	9493	1997-01-17	VYDAJ	VYBER	6600	27305	\N	\N	\N
2868801	9493	1997-01-05	VYDAJ	VYBER	6000	31554	\N	\N	\N
2868802	9493	1997-01-08	VYDAJ	VYBER	3000	28554	\N	\N	\N
2868803	9493	1997-01-01	VYDAJ	VYBER	8400	37554	\N	\N	\N
2868804	9493	1997-01-30	VYDAJ	VYBER	3600	27505	\N	\N	\N
2868805	9493	1997-01-12	VYDAJ	VYBER	7500	37836	\N	\N	\N
2868806	9493	1998-01-26	VYDAJ	VYBER	3900	23990	\N	\N	\N
2868807	9493	1998-01-19	VYDAJ	VYBER	6600	36290	\N	\N	\N
2868808	9493	1998-01-13	VYDAJ	VYBER	4500	40190	\N	\N	\N
2868809	9493	1998-01-24	VYDAJ	VYBER	6600	27890	\N	\N	\N
2868810	9493	1998-01-07	VYDAJ	VYBER	7200	31839	\N	\N	\N
2868811	9493	1998-01-23	VYDAJ	VYBER	1800	34490	\N	\N	\N
2868814	9493	1995-10-01	VYDAJ	VYBER	3600	31659	\N	\N	\N
2868816	9493	1996-10-31	VYDAJ	VYBER	3600	36220	\N	\N	\N
2868817	9493	1997-08-27	VYDAJ	VYBER	7800	28806	\N	\N	\N
2868818	9493	1997-05-22	VYDAJ	VYBER	9000	33013	\N	\N	\N
2868819	9493	1997-02-10	VYDAJ	VYBER	12600	38615	\N	\N	\N
2868820	9493	1997-12-16	VYDAJ	VYBER	6000	66641	\N	\N	\N
2868822	9493	1998-10-24	VYDAJ	VYBER	10200	52884	\N	\N	\N
2868823	9493	1998-04-28	VYDAJ	VYBER	11100	40290	\N	\N	\N
2868824	9493	1998-12-11	VYDAJ	VYBER	2700	93289	\N	\N	\N
2868825	9493	1998-05-18	VYDAJ	VYBER	8100	41834	\N	\N	\N
2868826	9493	1998-03-29	VYDAJ	VYBER	4200	46055	\N	\N	\N
2868835	9493	1995-08-31	VYDAJ	VYBER	15	27172	SLUZBY	\N	\N
2868836	9493	1995-09-30	VYDAJ	VYBER	15	35259	SLUZBY	\N	\N
2868837	9493	1995-10-31	VYDAJ	VYBER	15	25233	SLUZBY	\N	\N
2868838	9493	1995-11-30	VYDAJ	VYBER	15	32012	SLUZBY	\N	\N
2868839	9493	1995-12-31	VYDAJ	VYBER	15	45544	SLUZBY	\N	\N
2868840	9493	1996-01-31	VYDAJ	VYBER	15	30948	SLUZBY	\N	\N
2868841	9493	1996-02-29	VYDAJ	VYBER	15	39649	SLUZBY	\N	\N
2868842	9493	1996-03-31	VYDAJ	VYBER	15	30033	SLUZBY	\N	\N
2868843	9493	1996-04-30	VYDAJ	VYBER	15	35928	SLUZBY	\N	\N
2868844	9493	1996-05-31	VYDAJ	VYBER	15	41547	SLUZBY	\N	\N
2868845	9493	1996-06-30	VYDAJ	VYBER	15	47206	SLUZBY	\N	\N
2868846	9493	1996-07-31	VYDAJ	VYBER	15	45166	SLUZBY	\N	\N
2868847	9493	1996-08-31	VYDAJ	VYBER	15	47519	SLUZBY	\N	\N
2868848	9493	1996-09-30	VYDAJ	VYBER	15	49581	SLUZBY	\N	\N
2868849	9493	1996-10-31	VYDAJ	VYBER	15	39820	SLUZBY	\N	\N
2868850	9493	1996-11-30	VYDAJ	VYBER	15	35623	SLUZBY	\N	\N
2868851	9493	1996-12-31	VYDAJ	VYBER	15	45954	SLUZBY	\N	\N
2868852	9493	1997-01-31	VYDAJ	VYBER	15	27630	SLUZBY	\N	\N
2868853	9493	1997-02-28	VYDAJ	VYBER	15	25413	SLUZBY	\N	\N
2868854	9493	1997-03-31	VYDAJ	VYBER	15	34989	SLUZBY	\N	\N
2868855	9493	1997-04-30	VYDAJ	VYBER	15	39862	SLUZBY	\N	\N
2868856	9493	1997-05-31	VYDAJ	VYBER	15	33176	SLUZBY	\N	\N
2868857	9493	1997-06-30	VYDAJ	VYBER	15	32257	SLUZBY	\N	\N
2868858	9493	1997-07-31	VYDAJ	VYBER	15	29455	SLUZBY	\N	\N
2868859	9493	1997-08-31	VYDAJ	VYBER	15	28938	SLUZBY	\N	\N
2868860	9493	1997-09-30	VYDAJ	VYBER	15	39229	SLUZBY	\N	\N
2868861	9493	1997-10-31	VYDAJ	VYBER	15	47658	SLUZBY	\N	\N
2868862	9493	1997-11-30	VYDAJ	VYBER	15	47997	SLUZBY	\N	\N
2868863	9493	1997-12-31	VYDAJ	VYBER	15	39039	SLUZBY	\N	\N
2868864	9493	1998-01-31	VYDAJ	VYBER	15	24124	SLUZBY	\N	\N
2868865	9493	1998-02-28	VYDAJ	VYBER	15	40804	SLUZBY	\N	\N
2868866	9493	1998-03-31	VYDAJ	VYBER	15	46238	SLUZBY	\N	\N
2868867	9493	1998-04-30	VYDAJ	VYBER	15	40483	SLUZBY	\N	\N
2868868	9493	1998-05-31	VYDAJ	VYBER	15	42004	SLUZBY	\N	\N
2868869	9493	1998-06-30	VYDAJ	VYBER	15	63271	SLUZBY	\N	\N
2868870	9493	1998-07-31	VYDAJ	VYBER	15	70094	SLUZBY	\N	\N
2868871	9493	1998-08-31	VYDAJ	VYBER	15	73838	SLUZBY	\N	\N
2868872	9493	1998-09-30	VYDAJ	VYBER	15	53133	SLUZBY	\N	\N
2868873	9493	1998-10-31	VYDAJ	VYBER	15	53108	SLUZBY	\N	\N
2868874	9493	1998-11-30	VYDAJ	VYBER	15	67414	SLUZBY	\N	\N
2868875	9493	1995-05-02	PRIJEM	VKLAD	300	24355	\N	\N	\N
2868876	9493	1995-06-01	VYDAJ	VYBER	12500	35611	\N	\N	\N
2868877	9493	1995-07-01	VYDAJ	VYBER	24500	46756	\N	\N	\N
2868878	9493	1995-07-31	VYDAJ	VYBER	23000	47632	\N	\N	\N
2868879	9493	1995-08-30	VYDAJ	VYBER	1500	27002	\N	\N	\N
2868880	9493	1995-09-29	VYDAJ	VYBER	1300	35131	\N	\N	\N
2868881	9493	1995-10-29	PRIJEM	VKLAD	4200	25119	\N	\N	\N
2868882	9493	1995-11-28	VYDAJ	VYBER	6200	31884	\N	\N	\N
2868883	9493	1995-12-28	VYDAJ	VYBER	11300	45356	\N	\N	\N
2868884	9493	1996-01-27	VYDAJ	VYBER	3600	35595	\N	\N	\N
2868885	9493	1996-02-26	VYDAJ	VYBER	4300	39499	\N	\N	\N
2868886	9493	1996-03-27	VYDAJ	VYBER	3100	33272	\N	\N	\N
2868887	9493	1996-04-26	VYDAJ	VYBER	7100	35784	\N	\N	\N
2868888	9493	1996-05-26	VYDAJ	VYBER	7400	41379	\N	\N	\N
2868889	9493	1996-06-25	VYDAJ	VYBER	19200	46991	\N	\N	\N
2868890	9493	1996-07-25	VYDAJ	VYBER	15100	44957	\N	\N	\N
2868891	9493	1996-08-24	VYDAJ	VYBER	10700	47317	\N	\N	\N
2868892	9493	1996-09-23	VYDAJ	VYBER	11000	49370	\N	\N	\N
2868893	9493	1996-10-23	VYDAJ	VYBER	8300	39643	\N	\N	\N
2868894	9493	1996-11-22	VYDAJ	VYBER	6600	35472	\N	\N	\N
2868895	9493	1996-12-22	VYDAJ	VYBER	14500	45767	\N	\N	\N
2868896	9493	1997-01-21	PRIJEM	VKLAD	3800	31105	\N	\N	\N
2868897	9493	1997-02-20	PRIJEM	VKLAD	800	28681	\N	\N	\N
2868898	9493	1997-03-22	VYDAJ	VYBER	3400	34865	\N	\N	\N
2868899	9493	1997-04-21	VYDAJ	VYBER	3200	39710	\N	\N	\N
2868900	9493	1997-05-21	VYDAJ	VYBER	10700	42013	\N	\N	\N
2868901	9493	1997-06-20	VYDAJ	VYBER	10500	47320	\N	\N	\N
2868902	9493	1997-07-20	VYDAJ	VYBER	4800	40308	\N	\N	\N
2868903	9493	1997-08-19	VYDAJ	VYBER	5700	36606	\N	\N	\N
2868904	9493	1997-09-18	VYDAJ	VYBER	2700	39089	\N	\N	\N
2868905	9493	1997-10-18	VYDAJ	VYBER	4600	47480	\N	\N	\N
2868906	9493	1997-11-17	VYDAJ	VYBER	4200	47802	\N	\N	\N
2868907	9493	1997-12-17	VYDAJ	VYBER	11500	55141	\N	\N	\N
2868908	9493	1998-01-16	PRIJEM	VKLAD	2700	42890	\N	\N	\N
2868909	9493	1998-02-15	PRIJEM	VKLAD	3700	40675	\N	\N	\N
2868910	9493	1998-03-17	VYDAJ	VYBER	3400	50255	\N	\N	\N
2868911	9493	1998-04-16	VYDAJ	VYBER	7700	51390	\N	\N	\N
2868912	9493	1998-05-16	VYDAJ	VYBER	3400	49934	\N	\N	\N
2868913	9493	1998-06-15	VYDAJ	VYBER	3600	63048	\N	\N	\N
2868914	9493	1998-07-15	VYDAJ	VYBER	6300	69822	\N	\N	\N
2868915	9493	1998-08-14	VYDAJ	VYBER	9400	73546	\N	\N	\N
2868916	9493	1998-09-13	VYDAJ	VYBER	11000	75689	\N	\N	\N
2868917	9493	1998-10-13	VYDAJ	VYBER	2900	63084	\N	\N	\N
2868918	9493	1998-11-12	PRIJEM	VKLAD	1200	71090	\N	\N	\N
2868964	9494	1996-05-10	PRIJEM	VKLAD	400	400	\N	\N	\N
2868969	9494	1996-05-14	PRIJEM	VKLAD	11424	11824	\N	\N	\N
2868970	9494	1996-06-14	PRIJEM	VKLAD	17136	35089	\N	\N	\N
2868971	9494	1996-07-14	PRIJEM	VKLAD	11424	38617	\N	\N	\N
2868972	9494	1996-08-14	PRIJEM	VKLAD	11424	40596	\N	\N	\N
2868973	9494	1996-09-14	PRIJEM	VKLAD	11424	40085	\N	\N	\N
2868974	9494	1996-10-14	PRIJEM	VKLAD	11424	39616	\N	\N	\N
2868975	9494	1996-11-14	PRIJEM	VKLAD	11424	24010	\N	\N	\N
2868976	9494	1996-12-14	PRIJEM	VKLAD	17136	32806	\N	\N	\N
2868977	9494	1997-01-14	PRIJEM	VKLAD	11424	19612	\N	\N	\N
2868978	9494	1997-02-14	PRIJEM	VKLAD	11424	22427	\N	\N	\N
2868979	9494	1997-03-14	PRIJEM	VKLAD	11424	20465	\N	\N	\N
2868980	9494	1997-04-14	PRIJEM	VKLAD	11424	23051	\N	\N	\N
2868981	9494	1997-05-14	PRIJEM	VKLAD	11424	27749	\N	\N	\N
2868982	9494	1997-06-14	PRIJEM	VKLAD	17136	33795	\N	\N	\N
2868983	9494	1997-07-14	PRIJEM	VKLAD	11424	34042	\N	\N	\N
2868984	9494	1997-08-14	PRIJEM	VKLAD	11424	31416	\N	\N	\N
2868985	9494	1997-09-14	PRIJEM	VKLAD	11424	26956	\N	\N	\N
2868986	9494	1997-10-14	PRIJEM	VKLAD	11424	28091	\N	\N	\N
2868987	9494	1997-11-14	PRIJEM	VKLAD	11424	30512	\N	\N	\N
2868988	9494	1997-12-14	PRIJEM	VKLAD	17136	35964	\N	\N	\N
2868989	9494	1998-01-14	PRIJEM	VKLAD	11424	27836	\N	\N	\N
2868990	9494	1998-02-14	PRIJEM	VKLAD	11424	35313	\N	\N	\N
2868991	9494	1998-03-14	PRIJEM	VKLAD	11424	29070	\N	\N	\N
2868992	9494	1998-04-14	PRIJEM	VKLAD	11424	41836	\N	\N	\N
2868993	9494	1998-05-14	PRIJEM	VKLAD	11424	42918	\N	\N	\N
2868994	9494	1998-06-14	PRIJEM	VKLAD	17136	38329	\N	\N	\N
2868995	9494	1998-07-14	PRIJEM	VKLAD	11424	46683	\N	\N	\N
2868996	9494	1998-08-14	PRIJEM	VKLAD	11424	42492	\N	\N	\N
2868997	9494	1998-09-14	PRIJEM	VKLAD	11424	35655	\N	\N	\N
2868998	9494	1998-10-14	PRIJEM	VKLAD	11424	49267	\N	\N	\N
2868999	9494	1998-11-14	PRIJEM	VKLAD	11424	37289	\N	\N	\N
2869000	9494	1998-12-14	PRIJEM	VKLAD	17136	42280	\N	\N	\N
2869009	9494	1996-09-14	VYDAJ	PREVOD NA UCET	4746	35339	SIPO	IJ	95319723
2869010	9494	1996-10-14	VYDAJ	PREVOD NA UCET	4746	34870	SIPO	IJ	95319723
2869011	9494	1996-11-14	VYDAJ	PREVOD NA UCET	4746	19264	SIPO	IJ	95319723
2869012	9494	1996-12-14	VYDAJ	PREVOD NA UCET	4746	28060	SIPO	IJ	95319723
2869013	9494	1997-01-14	VYDAJ	PREVOD NA UCET	4746	14866	SIPO	IJ	95319723
2869014	9494	1997-02-14	VYDAJ	PREVOD NA UCET	4746	12041	SIPO	IJ	95319723
2869015	9494	1997-03-14	VYDAJ	PREVOD NA UCET	4746	15719	SIPO	IJ	95319723
2869016	9494	1997-04-14	VYDAJ	PREVOD NA UCET	4746	18305	SIPO	IJ	95319723
2869017	9494	1997-05-14	VYDAJ	PREVOD NA UCET	4746	23003	SIPO	IJ	95319723
2869018	9494	1997-06-14	VYDAJ	PREVOD NA UCET	4746	29049	SIPO	IJ	95319723
2869019	9494	1997-07-14	VYDAJ	PREVOD NA UCET	4746	29296	SIPO	IJ	95319723
2869020	9494	1997-08-14	VYDAJ	PREVOD NA UCET	4746	26670	SIPO	IJ	95319723
2869021	9494	1997-09-14	VYDAJ	PREVOD NA UCET	4746	22210	SIPO	IJ	95319723
2869022	9494	1997-10-14	VYDAJ	PREVOD NA UCET	4746	23345	SIPO	IJ	95319723
2869023	9494	1997-11-14	VYDAJ	PREVOD NA UCET	4746	25766	SIPO	IJ	95319723
2869024	9494	1997-12-14	VYDAJ	PREVOD NA UCET	4746	31218	SIPO	IJ	95319723
2869025	9494	1998-01-14	VYDAJ	PREVOD NA UCET	4746	23090	SIPO	IJ	95319723
2869026	9494	1998-02-14	VYDAJ	PREVOD NA UCET	4746	30567	SIPO	IJ	95319723
2869027	9494	1998-03-14	VYDAJ	PREVOD NA UCET	4746	24324	SIPO	IJ	95319723
2869028	9494	1998-04-14	VYDAJ	PREVOD NA UCET	4746	37090	SIPO	IJ	95319723
2869029	9494	1998-05-14	VYDAJ	PREVOD NA UCET	4746	38172	SIPO	IJ	95319723
2869030	9494	1998-06-14	VYDAJ	PREVOD NA UCET	4746	33583	SIPO	IJ	95319723
2869031	9494	1998-07-14	VYDAJ	PREVOD NA UCET	4746	41937	SIPO	IJ	95319723
2869032	9494	1998-08-14	VYDAJ	PREVOD NA UCET	4746	37746	SIPO	IJ	95319723
2869033	9494	1998-09-14	VYDAJ	PREVOD NA UCET	4746	30909	SIPO	IJ	95319723
2869034	9494	1998-10-14	VYDAJ	PREVOD NA UCET	4746	44521	SIPO	IJ	95319723
2869035	9494	1998-11-14	VYDAJ	PREVOD NA UCET	4746	32543	SIPO	IJ	95319723
2869036	9494	1998-12-14	VYDAJ	PREVOD NA UCET	4746	37534	SIPO	IJ	95319723
2869046	9494	1996-10-21	VYDAJ	VYBER	10300	24570	\N	\N	0
2869047	9494	1996-11-12	VYDAJ	VYBER	10000	12586	\N	\N	0
2869048	9494	1996-12-20	VYDAJ	VYBER	8500	19560	\N	\N	0
2869049	9494	1997-01-03	VYDAJ	VYBER	10500	9128	\N	\N	0
2869050	9494	1997-02-12	VYDAJ	PREVOD NA UCET	9736	11003	UVER	GH	66095858
2869051	9494	1997-03-12	VYDAJ	PREVOD NA UCET	9736	9041	UVER	GH	66095858
2869052	9494	1997-04-12	VYDAJ	PREVOD NA UCET	9736	11627	UVER	GH	66095858
2869053	9494	1997-05-12	VYDAJ	PREVOD NA UCET	9736	16325	UVER	GH	66095858
2869054	9494	1997-06-12	VYDAJ	PREVOD NA UCET	9736	21339	UVER	GH	66095858
2869055	9494	1997-07-12	VYDAJ	PREVOD NA UCET	9736	22618	UVER	GH	66095858
2869056	9494	1997-08-12	VYDAJ	PREVOD NA UCET	9736	19992	UVER	GH	66095858
2869057	9494	1997-09-12	VYDAJ	PREVOD NA UCET	9736	15532	UVER	GH	66095858
2869058	9494	1997-10-12	VYDAJ	PREVOD NA UCET	9736	16667	UVER	GH	66095858
2869059	9494	1997-11-12	VYDAJ	PREVOD NA UCET	9736	19088	UVER	GH	66095858
2869060	9494	1997-12-12	VYDAJ	PREVOD NA UCET	9736	18828	UVER	GH	66095858
2869061	9494	1998-01-12	VYDAJ	PREVOD NA UCET	9736	16412	UVER	GH	66095858
2869062	9494	1998-02-17	VYDAJ	VYBER	11500	19067	\N	\N	0
2869063	9494	1998-03-09	VYDAJ	VYBER	9300	17646	\N	\N	0
2869064	9494	1998-04-16	VYDAJ	VYBER	11500	25590	\N	\N	0
2869065	9494	1998-05-19	VYDAJ	VYBER	10100	28072	\N	\N	0
2869066	9494	1998-06-14	VYDAJ	VYBER	9200	24383	\N	\N	0
2869067	9494	1998-07-21	VYDAJ	VYBER	9300	28677	\N	\N	0
2869068	9494	1998-08-16	VYDAJ	VYBER	8900	28846	\N	\N	0
2869069	9494	1998-09-13	VYDAJ	VYBER	10800	24231	\N	\N	0
2869070	9494	1998-10-18	VYDAJ	VYBER	8300	36221	\N	\N	0
2869071	9494	1998-11-13	VYDAJ	VYBER	12100	25865	\N	\N	0
2869072	9494	1998-12-11	VYDAJ	VYBER	8500	25144	\N	\N	0
2869075	9494	1998-06-05	VYDAJ	VYBER	11360	21193	\N	\N	\N
2869079	9494	1996-12-03	VYDAJ	VYBER	3200	13370	\N	\N	\N
2869080	9494	1997-12-30	VYDAJ	VYBER	4480	24938	\N	\N	\N
2869081	9494	1998-12-06	VYDAJ	VYBER	3040	33644	\N	\N	\N
2869088	9494	1997-01-11	VYDAJ	VYBER	1440	8188	\N	\N	\N
2869092	9494	1997-01-14	VYDAJ	VYBER	2280	12586	\N	\N	\N
2869095	9494	1998-01-21	VYDAJ	VYBER	2040	14810	\N	\N	\N
2869097	9494	1998-01-19	VYDAJ	VYBER	2280	18770	\N	\N	\N
2869098	9494	1998-01-14	VYDAJ	VYBER	2040	21050	\N	\N	\N
2869099	9494	1998-01-21	VYDAJ	VYBER	1920	16850	\N	\N	\N
2869101	9494	1996-11-14	VYDAJ	VYBER	2760	16504	\N	\N	\N
2869106	9494	1997-02-14	VYDAJ	VYBER	5640	16787	\N	\N	\N
2869107	9494	1997-06-13	VYDAJ	VYBER	4680	16659	\N	\N	\N
2869109	9494	1997-07-28	VYDAJ	VYBER	4680	24616	\N	\N	\N
2869110	9494	1997-12-27	VYDAJ	VYBER	1800	29418	\N	\N	\N
2869111	9494	1997-08-02	VYDAJ	VYBER	600	24128	\N	\N	\N
2869112	9494	1998-07-17	VYDAJ	VYBER	720	41217	\N	\N	\N
2869113	9494	1998-07-20	VYDAJ	VYBER	3240	37977	\N	\N	\N
2869114	9494	1998-06-03	VYDAJ	VYBER	5040	32553	\N	\N	\N
2869115	9494	1998-08-02	VYDAJ	VYBER	5640	31068	\N	\N	\N
2869116	9494	1998-06-26	VYDAJ	VYBER	1440	22943	\N	\N	\N
2869117	9494	1998-08-29	VYDAJ	VYBER	4440	34906	\N	\N	\N
2869127	9494	1996-09-30	VYDAJ	VYBER	15	35492	SLUZBY	\N	\N
2869128	9494	1996-10-31	VYDAJ	VYBER	15	24686	SLUZBY	\N	\N
2869129	9494	1996-11-30	VYDAJ	VYBER	15	16570	SLUZBY	\N	\N
2869130	9494	1996-12-31	VYDAJ	VYBER	15	19628	SLUZBY	\N	\N
2869131	9494	1997-01-31	VYDAJ	VYBER	15	12639	SLUZBY	\N	\N
2869132	9494	1997-02-28	VYDAJ	VYBER	15	12077	SLUZBY	\N	\N
2869133	9494	1997-03-31	VYDAJ	VYBER	15	15763	SLUZBY	\N	\N
2869134	9494	1997-04-30	VYDAJ	VYBER	15	18361	SLUZBY	\N	\N
2869135	9494	1997-05-31	VYDAJ	VYBER	15	23075	SLUZBY	\N	\N
2869136	9494	1997-06-30	VYDAJ	VYBER	15	29154	SLUZBY	\N	\N
2869137	9494	1997-07-31	VYDAJ	VYBER	15	24728	SLUZBY	\N	\N
2869138	9494	1997-08-31	VYDAJ	VYBER	15	26768	SLUZBY	\N	\N
2869139	9494	1997-09-30	VYDAJ	VYBER	15	22303	SLUZBY	\N	\N
2869140	9494	1997-10-31	VYDAJ	VYBER	15	23424	SLUZBY	\N	\N
2869141	9494	1997-11-30	VYDAJ	VYBER	15	25864	SLUZBY	\N	\N
2869142	9494	1997-12-31	VYDAJ	VYBER	15	26148	SLUZBY	\N	\N
2869143	9494	1998-01-31	VYDAJ	VYBER	15	23889	SLUZBY	\N	\N
2869144	9494	1998-02-28	VYDAJ	VYBER	15	19146	SLUZBY	\N	\N
2869145	9494	1998-03-31	VYDAJ	VYBER	15	30412	SLUZBY	\N	\N
2869146	9494	1998-04-30	VYDAJ	VYBER	15	31494	SLUZBY	\N	\N
2869147	9494	1998-05-31	VYDAJ	VYBER	15	37593	SLUZBY	\N	\N
2869148	9494	1998-06-30	VYDAJ	VYBER	15	35259	SLUZBY	\N	\N
2869149	9494	1998-07-31	VYDAJ	VYBER	15	36708	SLUZBY	\N	\N
2869150	9494	1998-08-31	VYDAJ	VYBER	15	35031	SLUZBY	\N	\N
2869151	9494	1998-09-30	VYDAJ	VYBER	15	37843	SLUZBY	\N	\N
2869152	9494	1998-10-31	VYDAJ	VYBER	15	37965	SLUZBY	\N	\N
2869153	9494	1998-11-30	VYDAJ	VYBER	15	36684	SLUZBY	\N	\N
2869154	9494	1996-06-09	PRIJEM	VKLAD	6100	17953	\N	\N	\N
2869155	9494	1996-07-09	VYDAJ	VYBER	8000	27193	\N	\N	\N
2869156	9494	1996-08-08	VYDAJ	VYBER	9600	29172	\N	\N	\N
2869157	9494	1996-09-07	VYDAJ	VYBER	12100	28661	\N	\N	\N
2869158	9494	1996-10-07	VYDAJ	VYBER	7300	28192	\N	\N	\N
2869159	9494	1996-11-06	VYDAJ	VYBER	2100	22586	\N	\N	\N
2869160	9494	1996-12-06	PRIJEM	VKLAD	2300	15670	\N	\N	\N
2869161	9494	1997-01-05	PRIJEM	VKLAD	500	9628	\N	\N	\N
2869162	9494	1997-02-04	PRIJEM	VKLAD	8100	20739	\N	\N	\N
2869163	9494	1997-03-06	PRIJEM	VKLAD	6700	18777	\N	\N	\N
2869164	9494	1997-04-05	PRIJEM	VKLAD	5600	21363	\N	\N	\N
2869165	9494	1997-05-05	PRIJEM	VKLAD	7700	26061	\N	\N	\N
2869166	9494	1997-06-04	PRIJEM	VKLAD	8000	31075	\N	\N	\N
2869167	9494	1997-07-04	PRIJEM	VKLAD	3200	32354	\N	\N	\N
2869168	9494	1997-08-03	PRIJEM	VKLAD	5600	29728	\N	\N	\N
2869169	9494	1997-09-02	VYDAJ	VYBER	1500	25268	\N	\N	\N
2869170	9494	1997-10-02	PRIJEM	VKLAD	4100	26403	\N	\N	\N
2869171	9494	1997-11-01	PRIJEM	VKLAD	5400	28824	\N	\N	\N
2869172	9494	1997-12-01	PRIJEM	VKLAD	2700	28564	\N	\N	\N
2869173	9494	1997-12-31	PRIJEM	VKLAD	1100	26038	\N	\N	\N
2869174	9494	1998-01-30	PRIJEM	VKLAD	9000	23810	\N	\N	\N
2869175	9494	1998-03-01	PRIJEM	VKLAD	7800	26946	\N	\N	\N
2869176	9494	1998-03-31	PRIJEM	VKLAD	6000	30324	\N	\N	\N
2869177	9494	1998-04-30	PRIJEM	VKLAD	5800	31509	\N	\N	\N
2869178	9494	1998-05-30	PRIJEM	VKLAD	9400	37472	\N	\N	\N
2869179	9494	1998-06-29	PRIJEM	VKLAD	12200	35143	\N	\N	\N
2869180	9494	1998-07-29	PRIJEM	VKLAD	7900	36577	\N	\N	\N
2869181	9494	1998-08-28	PRIJEM	VKLAD	10500	39346	\N	\N	\N
2869182	9494	1998-09-27	PRIJEM	VKLAD	6800	37709	\N	\N	\N
2869183	9494	1998-10-27	PRIJEM	VKLAD	1600	37821	\N	\N	\N
2869184	9494	1998-11-26	PRIJEM	VKLAD	4000	36543	\N	\N	\N
2872037	9504	1996-01-29	PRIJEM	VKLAD	700	700	\N	\N	\N
2872039	9504	1996-02-05	PRIJEM	PREVOD Z UCTU	37085	37785	\N	UV	31728118
2872040	9504	1996-03-05	PRIJEM	PREVOD Z UCTU	37085	66679	\N	UV	31728118
2872041	9504	1996-04-05	PRIJEM	PREVOD Z UCTU	37085	81193	\N	UV	31728118
2872042	9504	1996-05-05	PRIJEM	PREVOD Z UCTU	37085	91165	\N	UV	31728118
2872043	9504	1996-06-05	PRIJEM	PREVOD Z UCTU	55628	110021	\N	UV	31728118
2872044	9504	1996-07-05	PRIJEM	PREVOD Z UCTU	37085	72189	\N	UV	31728118
2872045	9504	1996-08-05	PRIJEM	PREVOD Z UCTU	37085	75938	\N	UV	31728118
2872046	9504	1996-09-05	PRIJEM	PREVOD Z UCTU	37085	65830	\N	UV	31728118
2872047	9504	1996-10-05	PRIJEM	PREVOD Z UCTU	37085	73625	\N	UV	31728118
2872048	9504	1996-11-05	PRIJEM	PREVOD Z UCTU	37085	67901	\N	UV	31728118
2872049	9504	1996-12-05	PRIJEM	PREVOD Z UCTU	55628	89793	\N	UV	31728118
2872050	9504	1997-01-05	PRIJEM	PREVOD Z UCTU	37085	76792	\N	UV	31728118
2872051	9504	1997-02-05	PRIJEM	PREVOD Z UCTU	37085	58669	\N	UV	31728118
2872052	9504	1997-03-05	PRIJEM	PREVOD Z UCTU	37085	68367	\N	UV	31728118
2872053	9504	1997-04-05	PRIJEM	PREVOD Z UCTU	37085	66620	\N	UV	31728118
2872054	9504	1997-05-05	PRIJEM	PREVOD Z UCTU	37085	70077	\N	UV	31728118
2872055	9504	1997-06-05	PRIJEM	PREVOD Z UCTU	55628	90087	\N	UV	31728118
2872056	9504	1997-07-05	PRIJEM	PREVOD Z UCTU	37085	53369	\N	UV	31728118
2872057	9504	1997-08-05	PRIJEM	PREVOD Z UCTU	37085	59248	\N	UV	31728118
2872058	9504	1997-09-05	PRIJEM	PREVOD Z UCTU	37085	64160	\N	UV	31728118
2872059	9504	1997-10-05	PRIJEM	PREVOD Z UCTU	37085	59392	\N	UV	31728118
2872060	9504	1997-11-05	PRIJEM	PREVOD Z UCTU	37085	65348	\N	UV	31728118
2872061	9504	1997-12-05	PRIJEM	PREVOD Z UCTU	55628	83120	\N	UV	31728118
2872062	9504	1998-01-05	PRIJEM	PREVOD Z UCTU	37085	68070	\N	UV	31728118
2872063	9504	1998-02-05	PRIJEM	PREVOD Z UCTU	37085	55251	\N	UV	31728118
2872064	9504	1998-03-05	PRIJEM	PREVOD Z UCTU	37085	59839	\N	UV	31728118
2872065	9504	1998-04-05	PRIJEM	PREVOD Z UCTU	37085	67658	\N	UV	31728118
2872066	9504	1998-05-05	PRIJEM	PREVOD Z UCTU	37085	70598	\N	UV	31728118
2872067	9504	1998-06-05	PRIJEM	PREVOD Z UCTU	55628	80875	\N	UV	31728118
2872068	9504	1998-07-05	PRIJEM	PREVOD Z UCTU	37085	68882	\N	UV	31728118
2872069	9504	1998-08-05	PRIJEM	PREVOD Z UCTU	37085	65461	\N	UV	31728118
2872070	9504	1998-09-05	PRIJEM	PREVOD Z UCTU	37085	63673	\N	UV	31728118
2872071	9504	1998-10-05	PRIJEM	PREVOD Z UCTU	37085	59067	\N	UV	31728118
2872072	9504	1998-11-05	PRIJEM	PREVOD Z UCTU	37085	56847	\N	UV	31728118
2872073	9504	1998-12-05	PRIJEM	PREVOD Z UCTU	55628	74960	\N	UV	31728118
2872079	9504	1996-06-04	VYDAJ	VYBER	5500	54393	\N	\N	0
2872080	9504	1996-07-05	VYDAJ	VYBER	5200	59355	\N	\N	0
2872081	9504	1996-08-14	VYDAJ	VYBER	5200	54748	\N	\N	0
2872082	9504	1996-09-15	VYDAJ	VYBER	5900	59930	\N	\N	0
2872083	9504	1996-10-21	VYDAJ	VYBER	5000	49837	\N	\N	0
2872084	9504	1996-11-02	VYDAJ	VYBER	5400	30816	\N	\N	0
2872085	9504	1996-12-19	VYDAJ	VYBER	6200	79693	\N	\N	0
2872086	9504	1997-01-19	VYDAJ	VYBER	6800	48392	\N	\N	0
2872087	9504	1997-02-16	VYDAJ	VYBER	5600	53069	\N	\N	0
2872088	9504	1997-03-12	VYDAJ	PREVOD NA UCET	5688	62679	UVER	KL	22714406
2872089	9504	1997-04-12	VYDAJ	PREVOD NA UCET	5688	60932	UVER	KL	22714406
2872090	9504	1997-05-12	VYDAJ	PREVOD NA UCET	5688	64389	UVER	KL	22714406
2872091	9504	1997-06-12	VYDAJ	PREVOD NA UCET	5688	22899	UVER	KL	22714406
2872092	9504	1997-07-12	VYDAJ	PREVOD NA UCET	5688	40335	UVER	KL	22714406
2872093	9504	1997-08-12	VYDAJ	PREVOD NA UCET	5688	53560	UVER	KL	22714406
2872094	9504	1997-09-12	VYDAJ	PREVOD NA UCET	5688	58472	UVER	KL	22714406
2872095	9504	1997-10-12	VYDAJ	PREVOD NA UCET	5688	53704	UVER	KL	22714406
2872096	9504	1997-11-12	VYDAJ	PREVOD NA UCET	5688	59660	UVER	KL	22714406
2872097	9504	1997-12-12	VYDAJ	PREVOD NA UCET	5688	77432	UVER	KL	22714406
2872098	9504	1998-01-12	VYDAJ	PREVOD NA UCET	5688	53982	UVER	KL	22714406
2872099	9504	1998-02-12	VYDAJ	PREVOD NA UCET	5688	49563	UVER	KL	22714406
2872100	9504	1998-03-12	VYDAJ	PREVOD NA UCET	5688	54151	UVER	KL	22714406
2872101	9504	1998-04-12	VYDAJ	PREVOD NA UCET	5688	61970	UVER	KL	22714406
2872102	9504	1998-05-12	VYDAJ	PREVOD NA UCET	5688	64910	UVER	KL	22714406
2872103	9504	1998-06-12	VYDAJ	PREVOD NA UCET	5688	31687	UVER	KL	22714406
2872104	9504	1998-07-12	VYDAJ	PREVOD NA UCET	5688	55939	UVER	KL	22714406
2872105	9504	1998-08-12	VYDAJ	PREVOD NA UCET	5688	59773	UVER	KL	22714406
2872106	9504	1998-09-12	VYDAJ	PREVOD NA UCET	5688	57985	UVER	KL	22714406
2872107	9504	1998-10-12	VYDAJ	PREVOD NA UCET	5688	53379	UVER	KL	22714406
2872108	9504	1998-11-12	VYDAJ	PREVOD NA UCET	5688	51159	UVER	KL	22714406
2872109	9504	1998-12-12	VYDAJ	PREVOD NA UCET	5688	57572	UVER	KL	22714406
2872110	9504	1996-07-05	VYBER	VYBER	7634	64555	\N	\N	\N
2872113	9504	1996-11-29	VYBER	VYBER	8659	33942	\N	\N	\N
2872114	9504	1996-09-18	VYBER	VYBER	11593	48337	\N	\N	\N
2872116	9504	1996-08-08	VYBER	VYBER	15990	59948	\N	\N	\N
2872120	9504	1996-09-03	VYBER	VYBER	13011	28745	\N	\N	\N
2872121	9504	1996-08-02	VYBER	VYBER	2625	38853	\N	\N	\N
2872122	9504	1996-10-07	VYBER	VYBER	18788	54837	\N	\N	\N
2872124	9504	1997-07-05	VYBER	VYBER	7346	46023	\N	\N	\N
2872126	9504	1998-07-09	VYBER	VYBER	7255	61627	\N	\N	\N
2872127	9504	1996-06-15	VYDAJ	VYBER	10800	42521	\N	\N	\N
2872128	9504	1997-06-06	VYDAJ	VYBER	61500	28587	\N	\N	\N
2872129	9504	1998-06-10	VYDAJ	VYBER	43500	37375	\N	\N	\N
2872131	9504	1997-01-15	VYDAJ	VYBER	12900	55192	\N	\N	\N
2872133	9504	1996-12-13	VYDAJ	VYBER	3900	85893	\N	\N	\N
2872134	9504	1997-12-21	VYDAJ	VYBER	6000	30832	\N	\N	\N
2872142	9504	1997-01-13	VYDAJ	VYBER KARTOU	3000	68092	\N	\N	0
2872143	9504	1997-01-01	VYDAJ	VYBER	4800	42707	\N	\N	\N
2872144	9504	1997-01-04	VYDAJ	VYBER KARTOU	3000	39707	\N	\N	0
2872145	9504	1997-01-13	VYDAJ	VYBER	5700	71092	\N	\N	\N
2872146	9504	1997-01-19	VYDAJ	VYBER KARTOU	2100	46292	\N	\N	0
2872148	9504	1998-01-18	VYDAJ	VYBER KARTOU	3900	41682	\N	\N	0
2872149	9504	1998-01-18	VYDAJ	VYBER	8400	45582	\N	\N	\N
2872152	9504	1998-01-06	VYDAJ	VYBER KARTOU	3300	59670	\N	\N	0
2872153	9504	1998-01-05	VYDAJ	VYBER	5100	62970	\N	\N	\N
2872154	9504	1996-12-23	VYDAJ	VYBER	1500	78193	\N	\N	\N
2872161	9504	1997-01-24	VYDAJ	VYBER	6000	21392	\N	\N	\N
2872163	9504	1997-08-14	VYDAJ	VYBER	7200	46360	\N	\N	\N
2872165	9504	1997-03-19	VYDAJ	VYBER	12000	50679	\N	\N	\N
2872167	9504	1997-10-02	VYDAJ	VYBER	6300	22307	\N	\N	\N
2872168	9504	1998-05-28	VYDAJ	VYBER KARTOU	3000	25110	\N	\N	0
2872169	9504	1998-12-12	VYDAJ	VYBER	11700	63260	\N	\N	\N
2872176	9504	1996-06-30	VYDAJ	VYBER	15	35104	SLUZBY	\N	\N
2872177	9504	1996-07-31	VYDAJ	VYBER	15	41478	SLUZBY	\N	\N
2872178	9504	1996-08-31	VYDAJ	VYBER	15	41756	SLUZBY	\N	\N
2872179	9504	1996-09-30	VYDAJ	VYBER	15	36540	SLUZBY	\N	\N
2872180	9504	1996-10-31	VYDAJ	VYBER	15	36216	SLUZBY	\N	\N
2872181	9504	1996-11-30	VYDAJ	VYBER	15	34165	SLUZBY	\N	\N
2872182	9504	1996-12-31	VYDAJ	VYBER	15	47507	SLUZBY	\N	\N
2872183	9504	1997-01-31	VYDAJ	VYBER	15	21584	SLUZBY	\N	\N
2872184	9504	1997-02-28	VYDAJ	VYBER	15	31282	SLUZBY	\N	\N
2872185	9504	1997-03-31	VYDAJ	VYBER	15	29535	SLUZBY	\N	\N
2872186	9504	1997-04-30	VYDAJ	VYBER	15	32992	SLUZBY	\N	\N
2872187	9504	1997-05-31	VYDAJ	VYBER	15	34459	SLUZBY	\N	\N
2872188	9504	1997-06-30	VYDAJ	VYBER	15	16284	SLUZBY	\N	\N
2872189	9504	1997-07-31	VYDAJ	VYBER	15	22163	SLUZBY	\N	\N
2872190	9504	1997-08-31	VYDAJ	VYBER	15	27075	SLUZBY	\N	\N
2872191	9504	1997-09-30	VYDAJ	VYBER	15	28607	SLUZBY	\N	\N
2872192	9504	1997-10-31	VYDAJ	VYBER	15	28263	SLUZBY	\N	\N
2872193	9504	1997-11-30	VYDAJ	VYBER	15	27492	SLUZBY	\N	\N
2872194	9504	1997-12-31	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
2872195	9504	1998-01-31	VYDAJ	VYBER	15	18166	SLUZBY	\N	\N
2872196	9504	1998-02-28	VYDAJ	VYBER	15	22754	SLUZBY	\N	\N
2872197	9504	1998-03-31	VYDAJ	VYBER	15	30573	SLUZBY	\N	\N
2872198	9504	1998-04-30	VYDAJ	VYBER	15	33513	SLUZBY	\N	\N
2872199	9504	1998-05-31	VYDAJ	VYBER	15	25247	SLUZBY	\N	\N
2872200	9504	1998-06-30	VYDAJ	VYBER	15	31797	SLUZBY	\N	\N
2872201	9504	1998-07-31	VYDAJ	VYBER	15	28376	SLUZBY	\N	\N
2872202	9504	1998-08-31	VYDAJ	VYBER	15	26588	SLUZBY	\N	\N
2872203	9504	1998-09-30	VYDAJ	VYBER	15	21982	SLUZBY	\N	\N
2872204	9504	1998-10-31	VYDAJ	VYBER	15	19762	SLUZBY	\N	\N
2872205	9504	1998-11-30	VYDAJ	VYBER	15	19332	SLUZBY	\N	\N
2872206	9504	1996-02-28	VYDAJ	VYBER	8200	29585	\N	\N	\N
2872207	9504	1996-03-29	VYDAJ	VYBER	22700	43979	\N	\N	\N
2872208	9504	1996-04-28	VYDAJ	VYBER	27300	53893	\N	\N	\N
2872209	9504	1996-05-28	VYDAJ	VYBER	31500	59665	\N	\N	\N
2872210	9504	1996-06-05	VYDAJ	VYBER	56700	53321	\N	\N	\N
2872211	9504	1996-06-27	VYDAJ	VYBER	7600	34921	\N	\N	\N
2872212	9504	1996-07-27	VYDAJ	VYBER	18100	41255	\N	\N	\N
2872213	9504	1996-08-26	VYDAJ	VYBER	13200	41548	\N	\N	\N
2872214	9504	1996-09-25	VYDAJ	VYBER	12000	36337	\N	\N	\N
2872215	9504	1996-10-25	VYDAJ	VYBER	13800	36037	\N	\N	\N
2872216	9504	1996-11-24	VYDAJ	VYBER	25300	42601	\N	\N	\N
2872217	9504	1996-12-24	VYDAJ	VYBER	30900	47293	\N	\N	\N
2872218	9504	1997-01-23	VYDAJ	VYBER	18900	27392	\N	\N	\N
2872219	9504	1997-02-22	VYDAJ	VYBER	21900	31169	\N	\N	\N
2872220	9504	1997-03-24	VYDAJ	VYBER	21300	29379	\N	\N	\N
2872221	9504	1997-04-23	VYDAJ	VYBER	28100	32832	\N	\N	\N
2872222	9504	1997-05-23	VYDAJ	VYBER	30100	34289	\N	\N	\N
2872223	9504	1997-06-22	VYDAJ	VYBER	6700	16199	\N	\N	\N
2872224	9504	1997-07-22	VYDAJ	VYBER	18300	22035	\N	\N	\N
2872225	9504	1997-08-21	VYDAJ	VYBER	19400	26960	\N	\N	\N
2872226	9504	1997-09-20	VYDAJ	VYBER	30000	28472	\N	\N	\N
2872227	9504	1997-10-20	VYDAJ	VYBER	25600	28104	\N	\N	\N
2872228	9504	1997-11-19	VYDAJ	VYBER	32300	27360	\N	\N	\N
2872229	9504	1997-12-19	VYDAJ	VYBER	40600	36832	\N	\N	\N
2872230	9504	1998-01-18	VYDAJ	VYBER	23700	17982	\N	\N	\N
2872231	9504	1998-02-17	VYDAJ	VYBER	26900	22663	\N	\N	\N
2872232	9504	1998-03-19	VYDAJ	VYBER	23700	30451	\N	\N	\N
2872233	9504	1998-04-18	VYDAJ	VYBER	28600	33370	\N	\N	\N
2872234	9504	1998-05-18	VYDAJ	VYBER	36800	28110	\N	\N	\N
2872235	9504	1998-07-17	VYDAJ	VYBER	27700	28239	\N	\N	\N
2872236	9504	1998-08-16	VYDAJ	VYBER	33300	26473	\N	\N	\N
2872237	9504	1998-09-15	VYDAJ	VYBER	36100	21885	\N	\N	\N
2872238	9504	1998-10-15	VYDAJ	VYBER	33700	19679	\N	\N	\N
2872239	9504	1998-11-14	VYDAJ	VYBER	31900	19259	\N	\N	\N
2872240	9504	1998-12-14	VYDAJ	VYBER	39900	17672	\N	\N	\N
2873681	9510	1996-06-09	PRIJEM	VKLAD	500	500	\N	\N	\N
2873687	9510	1996-06-10	PRIJEM	VKLAD	22288	22788	\N	\N	\N
2873688	9510	1996-07-10	PRIJEM	VKLAD	14859	38514	\N	\N	\N
2873689	9510	1996-08-10	PRIJEM	VKLAD	14859	47514	\N	\N	\N
2873690	9510	1996-09-10	PRIJEM	VKLAD	14859	54260	\N	\N	\N
2873691	9510	1996-10-10	PRIJEM	VKLAD	14859	60237	\N	\N	\N
2873692	9510	1996-11-10	PRIJEM	VKLAD	14859	53708	\N	\N	\N
2873693	9510	1996-12-10	PRIJEM	VKLAD	22288	64281	\N	\N	\N
2873694	9510	1997-01-10	PRIJEM	VKLAD	14859	58738	\N	\N	\N
2873695	9510	1997-02-10	PRIJEM	VKLAD	14859	53954	\N	\N	\N
2873696	9510	1997-03-10	PRIJEM	VKLAD	14859	50737	\N	\N	\N
2873697	9510	1997-04-10	PRIJEM	VKLAD	14859	52129	\N	\N	\N
2873698	9510	1997-05-10	PRIJEM	VKLAD	14859	47684	\N	\N	\N
2873699	9510	1997-06-10	PRIJEM	VKLAD	22288	56689	\N	\N	\N
2873700	9510	1997-07-10	PRIJEM	VKLAD	14859	47215	\N	\N	\N
2873701	9510	1997-08-10	PRIJEM	VKLAD	14859	40427	\N	\N	\N
2873702	9510	1997-09-10	PRIJEM	VKLAD	14859	43478	\N	\N	\N
2873703	9510	1997-10-10	PRIJEM	VKLAD	14859	44134	\N	\N	\N
2873704	9510	1997-11-10	PRIJEM	VKLAD	14859	43563	\N	\N	\N
2873705	9510	1997-12-10	PRIJEM	VKLAD	22288	43764	\N	\N	\N
2873706	9510	1998-01-10	PRIJEM	VKLAD	14859	33206	\N	\N	\N
2873707	9510	1998-02-10	PRIJEM	VKLAD	14859	40617	\N	\N	\N
2873708	9510	1998-03-10	PRIJEM	VKLAD	14859	40649	\N	\N	\N
2873709	9510	1998-04-10	PRIJEM	VKLAD	14859	37756	\N	\N	\N
2873710	9510	1998-05-10	PRIJEM	VKLAD	14859	37296	\N	\N	\N
2873711	9510	1998-06-10	PRIJEM	VKLAD	22288	46956	\N	\N	\N
2873712	9510	1998-07-10	PRIJEM	VKLAD	14859	28371	\N	\N	\N
2873713	9510	1998-08-10	PRIJEM	VKLAD	14859	37853	\N	\N	\N
2873714	9510	1998-09-10	PRIJEM	VKLAD	14859	42572	\N	\N	\N
2873715	9510	1998-10-10	PRIJEM	VKLAD	14859	41107	\N	\N	\N
2873716	9510	1998-11-10	PRIJEM	VKLAD	14859	44638	\N	\N	\N
2873717	9510	1998-12-10	PRIJEM	VKLAD	22288	45433	\N	\N	\N
2873727	9510	1996-10-13	VYDAJ	VYBER	6600	53637	\N	\N	0
2873728	9510	1996-11-09	VYDAJ	VYBER	6700	38849	\N	\N	0
2873729	9510	1996-12-12	VYDAJ	PREVOD NA UCET	6341	57940	UVER	EF	56462389
2873730	9510	1997-01-12	VYDAJ	PREVOD NA UCET	6341	52397	UVER	EF	56462389
2873731	9510	1997-02-12	VYDAJ	PREVOD NA UCET	6341	47613	UVER	EF	56462389
2873732	9510	1997-03-12	VYDAJ	PREVOD NA UCET	6341	44396	UVER	EF	56462389
2873733	9510	1997-04-12	VYDAJ	PREVOD NA UCET	6341	45788	UVER	EF	56462389
2873734	9510	1997-05-12	VYDAJ	PREVOD NA UCET	6341	41343	UVER	EF	56462389
2873735	9510	1997-06-12	VYDAJ	PREVOD NA UCET	6341	50348	UVER	EF	56462389
2873736	9510	1997-07-12	VYDAJ	PREVOD NA UCET	6341	40874	UVER	EF	56462389
2873737	9510	1997-08-12	VYDAJ	PREVOD NA UCET	6341	34086	UVER	EF	56462389
2873738	9510	1997-09-12	VYDAJ	PREVOD NA UCET	6341	37137	UVER	EF	56462389
2873739	9510	1997-10-12	VYDAJ	PREVOD NA UCET	6341	32873	UVER	EF	56462389
2873740	9510	1997-11-12	VYDAJ	PREVOD NA UCET	6341	37222	UVER	EF	56462389
2873741	9510	1997-12-12	VYDAJ	PREVOD NA UCET	6341	37423	UVER	EF	56462389
2873742	9510	1998-01-12	VYDAJ	PREVOD NA UCET	6341	26865	UVER	EF	56462389
2873743	9510	1998-02-12	VYDAJ	PREVOD NA UCET	6341	34276	UVER	EF	56462389
2873744	9510	1998-03-12	VYDAJ	PREVOD NA UCET	6341	34308	UVER	EF	56462389
2873745	9510	1998-04-12	VYDAJ	PREVOD NA UCET	6341	31415	UVER	EF	56462389
2873746	9510	1998-05-12	VYDAJ	PREVOD NA UCET	6341	30955	UVER	EF	56462389
2873747	9510	1998-06-12	VYDAJ	PREVOD NA UCET	6341	40615	UVER	EF	56462389
2873748	9510	1998-07-12	VYDAJ	PREVOD NA UCET	6341	22030	UVER	EF	56462389
2873749	9510	1998-08-12	VYDAJ	PREVOD NA UCET	6341	31512	UVER	EF	56462389
2873750	9510	1998-09-12	VYDAJ	PREVOD NA UCET	6341	36231	UVER	EF	56462389
2873751	9510	1998-10-12	VYDAJ	PREVOD NA UCET	6341	34766	UVER	EF	56462389
2873752	9510	1998-11-12	VYDAJ	PREVOD NA UCET	6341	33017	UVER	EF	56462389
2873753	9510	1998-12-12	VYDAJ	PREVOD NA UCET	6341	39092	UVER	EF	56462389
2873755	9510	1997-06-15	VYDAJ	VYBER	7840	42508	\N	\N	\N
2873756	9510	1998-06-28	VYDAJ	VYBER	36320	4295	\N	\N	\N
2873758	9510	1997-01-15	VYDAJ	VYBER	5600	46797	\N	\N	\N
2873759	9510	1998-01-05	VYDAJ	VYBER	6880	18347	\N	\N	\N
2873760	9510	1996-12-16	VYDAJ	VYBER	1280	56660	\N	\N	\N
2873761	9510	1997-12-06	VYDAJ	VYBER	2880	21476	\N	\N	\N
2873762	9510	1998-12-13	VYDAJ	VYBER	2880	36212	\N	\N	\N
2873764	9510	1996-11-24	VYDAJ	VYBER	1920	51788	\N	\N	\N
2873768	9510	1997-05-06	VYDAJ	VYBER	5640	32825	\N	\N	\N
2873769	9510	1997-12-13	VYDAJ	VYBER	3240	34183	\N	\N	\N
2873770	9510	1997-08-08	VYDAJ	VYBER	5760	25568	\N	\N	\N
2873771	9510	1997-11-19	VYDAJ	VYBER	1200	36022	\N	\N	\N
2873772	9510	1997-10-12	VYDAJ	VYBER	4920	39214	\N	\N	\N
2873773	9510	1997-07-06	VYDAJ	VYBER	720	32356	\N	\N	\N
2873774	9510	1997-03-09	VYDAJ	VYBER	3120	35878	\N	\N	\N
2873775	9510	1998-11-11	VYDAJ	VYBER	5280	39358	\N	\N	\N
2873776	9510	1998-01-01	VYDAJ	VYBER	1080	25227	\N	\N	\N
2873777	9510	1998-11-24	VYDAJ	VYBER	4080	26537	\N	\N	\N
2873778	9510	1998-11-21	VYDAJ	VYBER	840	30617	\N	\N	\N
2873779	9510	1998-11-20	VYDAJ	VYBER	1560	31457	\N	\N	\N
2873780	9510	1998-04-07	VYDAJ	VYBER	3840	22897	\N	\N	\N
2873791	9510	1996-10-31	VYDAJ	VYBER	15	53849	SLUZBY	\N	\N
2873792	9510	1996-11-30	VYDAJ	VYBER	15	51993	SLUZBY	\N	\N
2873793	9510	1996-12-31	VYDAJ	VYBER	15	56879	SLUZBY	\N	\N
2873794	9510	1997-01-31	VYDAJ	VYBER	15	46995	SLUZBY	\N	\N
2873795	9510	1997-02-28	VYDAJ	VYBER	15	47798	SLUZBY	\N	\N
2873796	9510	1997-03-31	VYDAJ	VYBER	15	44570	SLUZBY	\N	\N
2873797	9510	1997-04-30	VYDAJ	VYBER	15	45965	SLUZBY	\N	\N
2873798	9510	1997-05-31	VYDAJ	VYBER	15	41501	SLUZBY	\N	\N
2873799	9510	1997-06-30	VYDAJ	VYBER	15	42676	SLUZBY	\N	\N
2873800	9510	1997-07-31	VYDAJ	VYBER	15	41028	SLUZBY	\N	\N
2873801	9510	1997-08-31	VYDAJ	VYBER	15	34219	SLUZBY	\N	\N
2873802	9510	1997-09-30	VYDAJ	VYBER	15	37275	SLUZBY	\N	\N
2873803	9510	1997-10-31	VYDAJ	VYBER	15	33004	SLUZBY	\N	\N
2873804	9510	1997-11-30	VYDAJ	VYBER	15	36156	SLUZBY	\N	\N
2873805	9510	1997-12-31	VYDAJ	VYBER	15	26307	SLUZBY	\N	\N
2873806	9510	1998-01-31	VYDAJ	VYBER	15	25758	SLUZBY	\N	\N
2873807	9510	1998-02-28	VYDAJ	VYBER	15	34390	SLUZBY	\N	\N
2873808	9510	1998-03-31	VYDAJ	VYBER	15	34437	SLUZBY	\N	\N
2873809	9510	1998-04-30	VYDAJ	VYBER	15	31537	SLUZBY	\N	\N
2873810	9510	1998-05-31	VYDAJ	VYBER	15	24668	SLUZBY	\N	\N
2873811	9510	1998-06-30	VYDAJ	VYBER	15	13512	SLUZBY	\N	\N
2873812	9510	1998-07-31	VYDAJ	VYBER	15	22994	SLUZBY	\N	\N
2873813	9510	1998-08-31	VYDAJ	VYBER	15	27713	SLUZBY	\N	\N
2873814	9510	1998-09-30	VYDAJ	VYBER	15	26248	SLUZBY	\N	\N
2873815	9510	1998-10-31	VYDAJ	VYBER	15	29779	SLUZBY	\N	\N
2873816	9510	1998-11-30	VYDAJ	VYBER	15	23145	SLUZBY	\N	\N
2873817	9510	1996-07-09	PRIJEM	VKLAD	800	23655	\N	\N	\N
2873818	9510	1996-08-08	VYDAJ	VYBER	6000	32655	\N	\N	\N
2873819	9510	1996-09-07	VYDAJ	VYBER	8300	39401	\N	\N	\N
2873820	9510	1996-10-07	VYDAJ	VYBER	9100	45378	\N	\N	\N
2873821	9510	1996-11-06	VYDAJ	VYBER	8300	45549	\N	\N	\N
2873822	9510	1996-12-06	VYDAJ	VYBER	10000	41993	\N	\N	\N
2873823	9510	1997-01-05	VYDAJ	VYBER	13000	43879	\N	\N	\N
2873824	9510	1997-02-04	VYDAJ	VYBER	7900	39095	\N	\N	\N
2873825	9510	1997-03-06	VYDAJ	VYBER	8800	38998	\N	\N	\N
2873826	9510	1997-04-05	VYDAJ	VYBER	7300	37270	\N	\N	\N
2873827	9510	1997-05-05	VYDAJ	VYBER	7500	38465	\N	\N	\N
2873828	9510	1997-06-04	VYDAJ	VYBER	7100	34401	\N	\N	\N
2873829	9510	1997-07-04	VYDAJ	VYBER	9600	33076	\N	\N	\N
2873830	9510	1997-08-03	VYDAJ	VYBER	9700	31328	\N	\N	\N
2873831	9510	1997-09-02	VYDAJ	VYBER	5600	28619	\N	\N	\N
2873832	9510	1997-10-02	VYDAJ	VYBER	8000	29275	\N	\N	\N
2873833	9510	1997-11-01	VYDAJ	VYBER	4300	28704	\N	\N	\N
2873834	9510	1997-12-01	VYDAJ	VYBER	11800	24356	\N	\N	\N
2873835	9510	1997-12-31	VYDAJ	VYBER	8000	26322	\N	\N	\N
2873836	9510	1998-01-30	VYDAJ	VYBER	1200	25665	\N	\N	\N
2873837	9510	1998-03-01	VYDAJ	VYBER	8600	25790	\N	\N	\N
2873838	9510	1998-03-31	VYDAJ	VYBER	7700	26737	\N	\N	\N
2873839	9510	1998-04-30	VYDAJ	VYBER	9100	22437	\N	\N	\N
2873840	9510	1998-05-30	VYDAJ	VYBER	6400	24555	\N	\N	\N
2873841	9510	1998-06-29	PRIJEM	VKLAD	9100	13395	\N	\N	\N
2873842	9510	1998-07-29	PRIJEM	VKLAD	900	22930	\N	\N	\N
2873843	9510	1998-08-28	VYDAJ	VYBER	3900	27612	\N	\N	\N
2873844	9510	1998-09-27	VYDAJ	VYBER	10100	26131	\N	\N	\N
2873845	9510	1998-10-27	VYDAJ	VYBER	5100	29666	\N	\N	\N
2873846	9510	1998-11-26	VYDAJ	VYBER	3500	23037	\N	\N	\N
2874636	9513	1996-05-12	PRIJEM	VKLAD	700	700	\N	\N	\N
2874641	9513	1996-05-14	PRIJEM	VKLAD	20326	21026	\N	\N	\N
2874642	9513	1996-06-14	PRIJEM	VKLAD	30489	49266	\N	\N	\N
2874643	9513	1996-07-14	PRIJEM	VKLAD	20326	54546	\N	\N	\N
2874644	9513	1996-08-14	PRIJEM	VKLAD	20326	53390	\N	\N	\N
2874645	9513	1996-09-14	PRIJEM	VKLAD	20326	50341	\N	\N	\N
2874646	9513	1996-10-14	PRIJEM	VKLAD	20326	48747	\N	\N	\N
2874647	9513	1996-11-14	PRIJEM	VKLAD	20326	45809	\N	\N	\N
2874648	9513	1996-12-14	PRIJEM	VKLAD	30489	53001	\N	\N	\N
2874649	9513	1997-01-14	PRIJEM	VKLAD	20326	43014	\N	\N	\N
2874650	9513	1997-02-14	PRIJEM	VKLAD	20326	34594	\N	\N	\N
2874651	9513	1997-03-14	PRIJEM	VKLAD	20326	35777	\N	\N	\N
2874652	9513	1997-04-14	PRIJEM	VKLAD	20326	34199	\N	\N	\N
2874653	9513	1997-05-14	PRIJEM	VKLAD	20326	35186	\N	\N	\N
2874654	9513	1997-06-14	PRIJEM	VKLAD	30489	41832	\N	\N	\N
2874655	9513	1997-07-14	PRIJEM	VKLAD	20326	39556	\N	\N	\N
2874656	9513	1997-08-14	PRIJEM	VKLAD	20326	39340	\N	\N	\N
2874657	9513	1997-09-14	PRIJEM	VKLAD	20326	34891	\N	\N	\N
2874658	9513	1997-10-14	PRIJEM	VKLAD	20326	36364	\N	\N	\N
2874659	9513	1997-11-14	PRIJEM	VKLAD	20326	43339	\N	\N	\N
2874660	9513	1997-12-14	PRIJEM	VKLAD	30489	45153	\N	\N	\N
2874661	9513	1998-01-14	PRIJEM	VKLAD	20326	36983	\N	\N	\N
2874662	9513	1998-02-14	PRIJEM	VKLAD	20326	39282	\N	\N	\N
2874663	9513	1998-03-14	PRIJEM	VKLAD	20326	49872	\N	\N	\N
2874664	9513	1998-04-14	PRIJEM	VKLAD	20326	39792	\N	\N	\N
2874665	9513	1998-05-14	PRIJEM	VKLAD	20326	34518	\N	\N	\N
2874666	9513	1998-06-14	PRIJEM	VKLAD	30489	47209	\N	\N	\N
2874667	9513	1998-07-14	PRIJEM	VKLAD	20326	48047	\N	\N	\N
2874668	9513	1998-08-14	PRIJEM	VKLAD	20326	37618	\N	\N	\N
2874669	9513	1998-09-14	PRIJEM	VKLAD	20326	35405	\N	\N	\N
2874670	9513	1998-10-14	PRIJEM	VKLAD	20326	33904	\N	\N	\N
2874671	9513	1998-11-14	PRIJEM	VKLAD	20326	45983	\N	\N	\N
2874672	9513	1998-12-14	PRIJEM	VKLAD	30489	48281	\N	\N	\N
2874681	9513	1996-09-14	VYDAJ	PREVOD NA UCET	8319	42022	SIPO	WX	64432430
2874682	9513	1996-10-14	VYDAJ	PREVOD NA UCET	8319	40428	SIPO	WX	64432430
2874683	9513	1996-11-14	VYDAJ	PREVOD NA UCET	8319	37490	SIPO	WX	64432430
2874684	9513	1996-12-14	VYDAJ	PREVOD NA UCET	8319	44682	SIPO	WX	64432430
2874685	9513	1997-01-14	VYDAJ	PREVOD NA UCET	8319	34695	SIPO	WX	64432430
2874686	9513	1997-02-14	VYDAJ	PREVOD NA UCET	8319	26275	SIPO	WX	64432430
2874687	9513	1997-03-14	VYDAJ	PREVOD NA UCET	8319	27458	SIPO	WX	64432430
2874688	9513	1997-04-14	VYDAJ	PREVOD NA UCET	8319	25880	SIPO	WX	64432430
2874689	9513	1997-05-14	VYDAJ	PREVOD NA UCET	8319	26867	SIPO	WX	64432430
2874690	9513	1997-06-14	VYDAJ	PREVOD NA UCET	8319	33513	SIPO	WX	64432430
2874691	9513	1997-07-14	VYDAJ	PREVOD NA UCET	8319	31237	SIPO	WX	64432430
2874692	9513	1997-08-14	VYDAJ	PREVOD NA UCET	8319	31021	SIPO	WX	64432430
2874693	9513	1997-09-14	VYDAJ	PREVOD NA UCET	8319	26572	SIPO	WX	64432430
2874694	9513	1997-10-14	VYDAJ	PREVOD NA UCET	8319	28045	SIPO	WX	64432430
2874695	9513	1997-11-14	VYDAJ	PREVOD NA UCET	8319	35020	SIPO	WX	64432430
2874696	9513	1997-12-14	VYDAJ	PREVOD NA UCET	8319	36834	SIPO	WX	64432430
2874697	9513	1998-01-14	VYDAJ	PREVOD NA UCET	8319	28664	SIPO	WX	64432430
2874698	9513	1998-02-14	VYDAJ	PREVOD NA UCET	8319	30963	SIPO	WX	64432430
2874699	9513	1998-03-14	VYDAJ	PREVOD NA UCET	8319	41553	SIPO	WX	64432430
2874700	9513	1998-04-14	VYDAJ	PREVOD NA UCET	8319	31473	SIPO	WX	64432430
2874701	9513	1998-05-14	VYDAJ	PREVOD NA UCET	8319	26199	SIPO	WX	64432430
2874702	9513	1998-06-14	VYDAJ	PREVOD NA UCET	8319	38890	SIPO	WX	64432430
2874703	9513	1998-07-14	VYDAJ	PREVOD NA UCET	8319	39728	SIPO	WX	64432430
2874704	9513	1998-08-14	VYDAJ	PREVOD NA UCET	8319	29299	SIPO	WX	64432430
2874705	9513	1998-09-14	VYDAJ	PREVOD NA UCET	8319	27086	SIPO	WX	64432430
2874706	9513	1998-10-14	VYDAJ	PREVOD NA UCET	8319	25585	SIPO	WX	64432430
2874707	9513	1998-11-14	VYDAJ	PREVOD NA UCET	8319	37664	SIPO	WX	64432430
2874708	9513	1998-12-14	VYDAJ	PREVOD NA UCET	8319	39962	SIPO	WX	64432430
2874718	9513	1996-10-21	VYDAJ	VYBER	1200	39228	\N	\N	0
2874719	9513	1996-11-16	VYDAJ	VYBER	1600	35890	\N	\N	0
2874720	9513	1996-12-17	VYDAJ	VYBER	1600	43082	\N	\N	0
2874721	9513	1997-01-06	VYDAJ	VYBER	1800	39508	\N	\N	0
2874722	9513	1997-02-06	VYDAJ	VYBER	1300	18868	\N	\N	0
2874723	9513	1997-03-13	VYDAJ	VYBER	1300	15451	\N	\N	0
2874724	9513	1997-04-18	VYDAJ	VYBER	1300	24580	\N	\N	0
2874725	9513	1997-05-12	VYDAJ	VYBER	1100	14860	\N	\N	0
2874726	9513	1997-06-09	VYDAJ	VYBER	1200	11343	\N	\N	0
2874727	9513	1997-07-02	VYDAJ	VYBER	1400	32230	\N	\N	0
2874728	9513	1997-08-12	VYDAJ	PREVOD NA UCET	1527	19014	UVER	WX	37582862
2874729	9513	1997-09-12	VYDAJ	PREVOD NA UCET	1527	14565	UVER	WX	37582862
2874730	9513	1997-10-12	VYDAJ	PREVOD NA UCET	1527	16038	UVER	WX	37582862
2874731	9513	1997-11-12	VYDAJ	PREVOD NA UCET	1527	23013	UVER	WX	37582862
2874732	9513	1997-12-12	VYDAJ	PREVOD NA UCET	1527	14664	UVER	WX	37582862
2874733	9513	1998-01-12	VYDAJ	PREVOD NA UCET	1527	16657	UVER	WX	37582862
2874734	9513	1998-02-12	VYDAJ	PREVOD NA UCET	1527	18956	UVER	WX	37582862
2874735	9513	1998-03-12	VYDAJ	PREVOD NA UCET	1527	29546	UVER	WX	37582862
2874736	9513	1998-04-12	VYDAJ	PREVOD NA UCET	1527	19466	UVER	WX	37582862
2874737	9513	1998-05-12	VYDAJ	PREVOD NA UCET	1527	14192	UVER	WX	37582862
2874738	9513	1998-06-12	VYDAJ	PREVOD NA UCET	1527	16720	UVER	WX	37582862
2874739	9513	1998-07-12	VYDAJ	PREVOD NA UCET	1527	27721	UVER	WX	37582862
2874740	9513	1998-08-19	VYDAJ	VYBER	1400	27899	\N	\N	0
2874741	9513	1998-09-04	VYDAJ	VYBER	1700	15079	\N	\N	0
2874742	9513	1998-10-04	VYDAJ	VYBER	1600	13578	\N	\N	0
2874743	9513	1998-11-14	VYDAJ	VYBER	1800	35864	\N	\N	0
2874744	9513	1998-12-04	VYDAJ	VYBER	1700	17792	\N	\N	0
2874747	9513	1998-06-27	VYDAJ	VYBER	9760	29130	\N	\N	\N
2874748	9513	1996-12-11	VYDAJ	VYBER	2080	22512	\N	\N	\N
2874749	9513	1997-12-05	VYDAJ	VYBER	960	16191	\N	\N	\N
2874757	9513	1997-01-19	VYDAJ	VYBER	2520	27015	\N	\N	\N
2874758	9513	1997-01-03	VYDAJ	VYBER	1920	41308	\N	\N	\N
2874759	9513	1997-01-12	VYDAJ	VYBER	720	22688	\N	\N	\N
2874760	9513	1997-01-21	VYDAJ	VYBER	2760	24255	\N	\N	\N
2874761	9513	1997-01-28	VYDAJ	VYBER	1320	22935	\N	\N	\N
2874762	9513	1997-01-30	VYDAJ	VYBER	2880	20055	\N	\N	\N
2874764	9513	1998-01-08	VYDAJ	VYBER	1080	18184	\N	\N	\N
2874765	9513	1998-01-23	VYDAJ	VYBER	2160	26504	\N	\N	\N
2874766	9513	1998-01-29	VYDAJ	VYBER	2880	23624	\N	\N	\N
2874767	9513	1998-01-29	VYDAJ	VYBER	600	23024	\N	\N	\N
2874768	9513	1998-01-30	VYDAJ	VYBER	2640	20384	\N	\N	\N
2874771	9513	1996-12-08	VYDAJ	VYBER	3840	32192	\N	\N	\N
2874775	9513	1997-08-14	VYDAJ	VYBER	3840	27181	\N	\N	\N
2874776	9513	1997-05-22	VYDAJ	VYBER	3120	23747	\N	\N	\N
2874777	9513	1997-04-02	VYDAJ	VYBER	3600	23973	\N	\N	\N
2874778	9513	1997-01-19	VYDAJ	VYBER	5160	29535	\N	\N	\N
2874779	9513	1997-10-30	VYDAJ	VYBER	3600	24445	\N	\N	\N
2874780	9513	1998-05-14	VYDAJ	VYBER	3000	23199	\N	\N	\N
2874781	9513	1998-05-26	VYDAJ	VYBER	2400	18159	\N	\N	\N
2874782	9513	1998-07-18	VYDAJ	VYBER	5160	34568	\N	\N	\N
2874784	9513	1998-05-21	VYDAJ	VYBER	2640	20559	\N	\N	\N
2874794	9513	1996-09-30	VYDAJ	VYBER	15	42221	SLUZBY	\N	\N
2874795	9513	1996-10-31	VYDAJ	VYBER	15	39383	SLUZBY	\N	\N
2874796	9513	1996-11-30	VYDAJ	VYBER	15	36032	SLUZBY	\N	\N
2874797	9513	1996-12-31	VYDAJ	VYBER	15	43228	SLUZBY	\N	\N
2874798	9513	1997-01-31	VYDAJ	VYBER	15	20168	SLUZBY	\N	\N
2874799	9513	1997-02-28	VYDAJ	VYBER	15	26351	SLUZBY	\N	\N
2874800	9513	1997-03-31	VYDAJ	VYBER	15	27573	SLUZBY	\N	\N
2874801	9513	1997-04-30	VYDAJ	VYBER	15	24660	SLUZBY	\N	\N
2874802	9513	1997-05-31	VYDAJ	VYBER	15	23843	SLUZBY	\N	\N
2874803	9513	1997-06-30	VYDAJ	VYBER	15	33630	SLUZBY	\N	\N
2874804	9513	1997-07-31	VYDAJ	VYBER	15	31341	SLUZBY	\N	\N
2874805	9513	1997-08-31	VYDAJ	VYBER	15	27292	SLUZBY	\N	\N
2874806	9513	1997-09-30	VYDAJ	VYBER	15	26665	SLUZBY	\N	\N
2874807	9513	1997-10-31	VYDAJ	VYBER	15	24540	SLUZBY	\N	\N
2874808	9513	1997-11-30	VYDAJ	VYBER	15	35151	SLUZBY	\N	\N
2874809	9513	1997-12-31	VYDAJ	VYBER	15	36964	SLUZBY	\N	\N
2874810	9513	1998-01-31	VYDAJ	VYBER	15	20483	SLUZBY	\N	\N
2874811	9513	1998-02-28	VYDAJ	VYBER	15	31073	SLUZBY	\N	\N
2874812	9513	1998-03-31	VYDAJ	VYBER	15	41693	SLUZBY	\N	\N
2874813	9513	1998-04-30	VYDAJ	VYBER	15	31619	SLUZBY	\N	\N
2874814	9513	1998-05-31	VYDAJ	VYBER	15	18247	SLUZBY	\N	\N
2874815	9513	1998-06-30	VYDAJ	VYBER	15	29248	SLUZBY	\N	\N
2874816	9513	1998-07-31	VYDAJ	VYBER	15	34692	SLUZBY	\N	\N
2874817	9513	1998-08-31	VYDAJ	VYBER	15	16779	SLUZBY	\N	\N
2874818	9513	1998-09-30	VYDAJ	VYBER	15	15178	SLUZBY	\N	\N
2874819	9513	1998-10-31	VYDAJ	VYBER	15	25657	SLUZBY	\N	\N
2874820	9513	1998-11-30	VYDAJ	VYBER	15	19492	SLUZBY	\N	\N
2874821	9513	1996-06-11	VYDAJ	VYBER	2300	18777	\N	\N	\N
2874822	9513	1996-07-11	VYDAJ	VYBER	15200	34220	\N	\N	\N
2874823	9513	1996-08-10	VYDAJ	VYBER	21700	33064	\N	\N	\N
2874824	9513	1996-09-09	VYDAJ	VYBER	23600	30015	\N	\N	\N
2874825	9513	1996-10-09	VYDAJ	VYBER	13800	28421	\N	\N	\N
2874826	9513	1996-11-08	VYDAJ	VYBER	13900	25483	\N	\N	\N
2874827	9513	1996-12-08	VYDAJ	VYBER	7600	24592	\N	\N	\N
2874828	9513	1997-01-07	VYDAJ	VYBER	16100	23408	\N	\N	\N
2874829	9513	1997-02-06	VYDAJ	VYBER	4600	14268	\N	\N	\N
2874830	9513	1997-03-08	VYDAJ	VYBER	9600	16751	\N	\N	\N
2874831	9513	1997-04-07	VYDAJ	VYBER	10100	13873	\N	\N	\N
2874832	9513	1997-05-07	VYDAJ	VYBER	8700	15960	\N	\N	\N
2874833	9513	1997-06-06	VYDAJ	VYBER	11300	12543	\N	\N	\N
2874834	9513	1997-07-06	VYDAJ	VYBER	13000	19230	\N	\N	\N
2874835	9513	1997-08-05	VYDAJ	VYBER	10800	20541	\N	\N	\N
2874836	9513	1997-09-04	VYDAJ	VYBER	11200	16092	\N	\N	\N
2874837	9513	1997-10-04	VYDAJ	VYBER	9100	17565	\N	\N	\N
2874838	9513	1997-12-03	VYDAJ	VYBER	18000	17151	\N	\N	\N
2874839	9513	1998-01-02	VYDAJ	VYBER	17700	19264	\N	\N	\N
2874840	9513	1998-04-02	VYDAJ	VYBER	20700	20993	\N	\N	\N
2874841	9513	1998-05-02	VYDAJ	VYBER	15900	15719	\N	\N	\N
2874842	9513	1998-07-31	VYDAJ	VYBER	17400	17292	\N	\N	\N
2874843	9513	1998-08-30	VYDAJ	VYBER	11200	16699	\N	\N	\N
2874844	9513	1998-09-29	VYDAJ	VYBER	12000	15086	\N	\N	\N
2874845	9513	1998-11-28	VYDAJ	VYBER	16500	19364	\N	\N	\N
2879437	9528	1996-11-07	PRIJEM	VKLAD	700	700	\N	\N	\N
2879438	9528	1996-12-16	PRIJEM	VKLAD	29393	105888	\N	\N	\N
2879440	9528	1996-11-21	PRIJEM	VKLAD	36763	45981	\N	\N	\N
2879442	9528	1996-12-12	PRIJEM	VKLAD	39959	76495	\N	\N	\N
2879450	9528	1996-11-08	PRIJEM	VKLAD	8518	9218	\N	\N	\N
2879451	9528	1996-12-20	PRIJEM	VKLAD	23938	89910	\N	\N	\N
2879454	9528	1996-12-16	PRIJEM	VKLAD	23684	129572	\N	\N	\N
2879457	9528	1997-11-30	PRIJEM	VKLAD	6786	7085	\N	\N	\N
2879458	9528	1997-09-23	PRIJEM	VKLAD	37092	35891	\N	\N	\N
2879459	9528	1997-06-15	PRIJEM	VKLAD	22630	15824	\N	\N	\N
2879460	9528	1998-01-18	PRIJEM	VKLAD	7897	6678	\N	\N	\N
2879461	9528	1998-02-03	PRIJEM	VKLAD	38994	56373	\N	\N	\N
2879462	9528	1998-06-13	PRIJEM	VKLAD	23079	39970	\N	\N	\N
2879463	9528	1998-11-22	PRIJEM	VKLAD	30282	50088	\N	\N	\N
2879464	9528	1998-05-14	PRIJEM	VKLAD	31527	80402	\N	\N	\N
2879465	9528	1998-07-12	PRIJEM	VKLAD	33030	73945	\N	\N	\N
2879466	9528	1998-07-18	PRIJEM	VKLAD	26749	86894	\N	\N	\N
2879467	9528	1998-04-30	PRIJEM	VKLAD	39451	69634	\N	\N	\N
2879468	9528	1998-08-04	PRIJEM	VKLAD	34294	95586	\N	\N	\N
2879469	9528	1998-05-27	PRIJEM	VKLAD	15085	109391	\N	\N	\N
2879470	9528	1998-02-14	PRIJEM	VKLAD	19632	76005	\N	\N	\N
2879471	9528	1998-11-26	PRIJEM	VKLAD	14811	64899	\N	\N	\N
2879472	9528	1998-02-23	PRIJEM	VKLAD	32304	99009	\N	\N	\N
2879473	9528	1998-07-21	PRIJEM	VKLAD	40115	127009	\N	\N	\N
2879474	9528	1998-09-17	PRIJEM	VKLAD	46309	73522	\N	\N	\N
2879475	9528	1998-05-19	PRIJEM	VKLAD	42604	109606	\N	\N	\N
2879488	9528	1997-01-02	VYDAJ	VYBER	14100	73606	SIPO	\N	0
2879489	9528	1997-01-31	VYDAJ	VYBER	15200	1964	SIPO	\N	0
2879490	9528	1997-02-28	VYDAJ	VYBER	14400	-7247	SIPO	\N	0
2879491	9528	1997-04-15	VYDAJ	VYBER	10000	1266	SIPO	\N	0
2879492	9528	1997-05-07	VYDAJ	VYBER	13800	-2844	SIPO	\N	0
2879493	9528	1997-06-11	VYDAJ	VYBER	11700	-6806	SIPO	\N	0
2879494	9528	1997-07-16	VYDAJ	VYBER	13100	8238	SIPO	\N	0
2879495	9528	1997-08-02	VYDAJ	VYBER	11500	-3210	SIPO	\N	0
2879496	9528	1997-09-06	VYDAJ	VYBER	11000	-1201	SIPO	\N	0
2879497	9528	1997-10-02	VYDAJ	VYBER	14300	11441	SIPO	\N	0
2879498	9528	1997-11-18	VYDAJ	VYBER	12900	299	SIPO	\N	0
2879499	9528	1997-12-18	VYDAJ	VYBER	11400	-1110	SIPO	\N	0
2879500	9528	1998-01-12	VYDAJ	VYBER	10200	-1219	SIPO	\N	0
2879501	9528	1998-02-17	VYDAJ	VYBER	9300	66705	SIPO	\N	0
2879502	9528	1998-03-13	VYDAJ	VYBER	10500	52477	SIPO	\N	0
2879503	9528	1998-04-05	VYDAJ	VYBER	11500	30183	SIPO	\N	0
2879504	9528	1998-05-18	VYDAJ	VYBER	13400	67002	SIPO	\N	0
2879505	9528	1998-06-07	VYDAJ	VYBER	14300	16891	SIPO	\N	0
2879506	9528	1998-07-15	VYDAJ	VYBER	13800	60145	SIPO	\N	0
2879507	9528	1998-08-15	VYDAJ	VYBER	9800	85786	SIPO	\N	0
2879508	9528	1998-09-12	VYDAJ	VYBER	10900	27213	SIPO	\N	0
2879509	9528	1998-10-17	VYDAJ	VYBER	15000	45050	SIPO	\N	0
2879510	9528	1998-11-16	VYDAJ	VYBER	14400	19806	SIPO	\N	0
2879511	9528	1998-11-30	VYDAJ	VYBER	10600	43119	SIPO	\N	0
2879519	9528	1997-01-10	VYBER	VYBER	6895	29511	\N	\N	\N
2879520	9528	1998-06-30	VYBER	VYBER	2816	40930	\N	\N	\N
2879521	9528	1998-11-04	VYBER	VYBER	3951	34206	\N	\N	\N
2879523	9528	1998-06-07	VYBER	VYBER	18592	31191	\N	\N	\N
2879524	9528	1998-10-19	VYBER	VYBER	17318	27732	\N	\N	\N
2879525	9528	1998-08-29	VYBER	VYBER	3674	71012	\N	\N	\N
2879526	9528	1998-09-09	VYBER	VYBER	10822	38113	\N	\N	\N
2879535	9528	1998-12-01	VYDAJ	VYBER	8700	34419	\N	\N	\N
2879542	9528	1997-01-05	VYDAJ	VYBER	3000	60406	\N	\N	\N
2879543	9528	1997-01-05	VYDAJ	VYBER	3600	63406	\N	\N	\N
2879544	9528	1997-01-01	VYDAJ	VYBER	2700	87706	\N	\N	\N
2879545	9528	1997-01-25	VYDAJ	VYBER	6000	16911	\N	\N	\N
2879546	9528	1997-01-04	VYDAJ	VYBER	6600	67006	\N	\N	\N
2879547	9528	1997-01-17	VYDAJ	VYBER	6600	22911	\N	\N	\N
2879562	9528	1997-09-30	VYDAJ	VYBER	10200	25770	\N	\N	\N
2879564	9528	1998-08-17	VYDAJ	VYBER	11100	74686	\N	\N	\N
2879565	9528	1998-05-07	VYDAJ	VYBER	5100	48875	\N	\N	\N
2879566	9528	1998-12-13	VYDAJ	VYBER	6000	28419	\N	\N	\N
2879567	9528	1998-08-29	VYDAJ	VYBER	10800	48512	\N	\N	\N
2879580	9528	1996-12-31	VYDAJ	VYBER	15	90406	SLUZBY	\N	\N
2879581	9528	1997-01-31	VYDAJ	VYBER	15	17164	SLUZBY	\N	\N
2879582	9528	1997-02-28	VYDAJ	VYBER	15	7156	SLUZBY	\N	\N
2879583	9528	1997-03-31	VYDAJ	VYBER	15	739	SLUZBY	\N	\N
2879584	9528	1997-04-30	VYDAJ	VYBER	15	1256	SLUZBY	\N	\N
2879585	9528	1997-05-31	VYDAJ	VYBER	15	-2857	SLUZBY	\N	\N
2879586	9528	1997-06-30	VYDAJ	VYBER	15	15877	SLUZBY	\N	\N
2879587	9528	1997-07-31	VYDAJ	VYBER	15	8290	SLUZBY	\N	\N
2879588	9528	1997-08-31	VYDAJ	VYBER	15	2399	SLUZBY	\N	\N
2879589	9528	1997-09-30	VYDAJ	VYBER	15	25741	SLUZBY	\N	\N
2879590	9528	1997-10-31	VYDAJ	VYBER	15	7499	SLUZBY	\N	\N
2879591	9528	1997-11-30	VYDAJ	VYBER	15	7090	SLUZBY	\N	\N
2879592	9528	1997-12-31	VYDAJ	VYBER	15	-1114	SLUZBY	\N	\N
2879593	9528	1998-01-31	VYDAJ	VYBER	15	17379	SLUZBY	\N	\N
2879594	9528	1998-02-28	VYDAJ	VYBER	15	99377	SLUZBY	\N	\N
2879595	9528	1998-03-31	VYDAJ	VYBER	15	52883	SLUZBY	\N	\N
2879596	9528	1998-04-30	VYDAJ	VYBER	15	69875	SLUZBY	\N	\N
2879597	9528	1998-05-31	VYDAJ	VYBER	15	49783	SLUZBY	\N	\N
2879598	9528	1998-06-30	VYDAJ	VYBER	15	40915	SLUZBY	\N	\N
2879599	9528	1998-07-31	VYDAJ	VYBER	15	61292	SLUZBY	\N	\N
2879600	9528	1998-08-31	VYDAJ	VYBER	15	48935	SLUZBY	\N	\N
2879601	9528	1998-09-30	VYDAJ	VYBER	15	60050	SLUZBY	\N	\N
2879602	9528	1998-10-31	VYDAJ	VYBER	15	38157	SLUZBY	\N	\N
2879603	9528	1998-11-30	VYDAJ	VYBER	15	53719	SLUZBY	\N	\N
2879604	9528	1996-12-07	VYDAJ	VYBER	9600	36536	\N	\N	\N
2879605	9528	1996-12-16	VYDAJ	VYBER	63600	65972	\N	\N	\N
2879606	9528	1997-01-06	VYDAJ	VYBER	24000	36406	\N	\N	\N
2879607	9528	1997-02-05	PRIJEM	VKLAD	5200	7164	\N	\N	\N
2879608	9528	1997-03-07	PRIJEM	VKLAD	8000	753	\N	\N	\N
2879609	9528	1997-04-06	PRIJEM	VKLAD	10600	11266	\N	\N	\N
2879610	9528	1997-05-06	PRIJEM	VKLAD	9700	10956	\N	\N	\N
2879611	9528	1997-06-05	PRIJEM	VKLAD	7800	4894	\N	\N	\N
2879612	9528	1997-07-05	PRIJEM	VKLAD	5500	21338	\N	\N	\N
2879613	9528	1997-08-04	PRIJEM	VKLAD	5600	2390	\N	\N	\N
2879614	9528	1997-09-03	PRIJEM	VKLAD	7400	9799	\N	\N	\N
2879615	9528	1997-10-03	VYDAJ	VYBER	4000	7441	\N	\N	\N
2879616	9528	1997-11-02	PRIJEM	VKLAD	5700	13199	\N	\N	\N
2879617	9528	1997-12-02	PRIJEM	VKLAD	3200	10290	\N	\N	\N
2879618	9528	1998-01-01	PRIJEM	VKLAD	10100	8981	\N	\N	\N
2879619	9528	1998-01-31	PRIJEM	VKLAD	10700	17403	\N	\N	\N
2879620	9528	1998-03-02	VYDAJ	VYBER	36400	62977	\N	\N	\N
2879621	9528	1998-04-01	VYDAJ	VYBER	11200	41683	\N	\N	\N
2879622	9528	1998-05-01	VYDAJ	VYBER	15900	53975	\N	\N	\N
2879623	9528	1998-05-19	VYDAJ	VYBER	15300	94306	\N	\N	\N
2879624	9528	1998-05-27	VYDAJ	VYBER	48100	61291	\N	\N	\N
2879625	9528	1998-05-31	VYDAJ	VYBER	12100	49797	\N	\N	\N
2879626	9528	1998-06-30	PRIJEM	VKLAD	3500	43746	\N	\N	\N
2879627	9528	1998-07-21	VYDAJ	VYBER	43600	83409	\N	\N	\N
2879628	9528	1998-07-30	VYDAJ	VYBER	22700	60709	\N	\N	\N
2879629	9528	1998-08-29	VYDAJ	VYBER	11700	59312	\N	\N	\N
2879630	9528	1998-09-28	VYDAJ	VYBER	13900	59622	\N	\N	\N
2879631	9528	1998-10-28	PRIJEM	VKLAD	10200	37932	\N	\N	\N
2879632	9528	1998-11-27	VYDAJ	VYBER	11400	53499	\N	\N	\N
2885253	9548	1996-06-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2885260	9548	1996-07-05	PRIJEM	VKLAD	18109	19109	\N	\N	\N
2885261	9548	1996-08-05	PRIJEM	VKLAD	18109	37383	\N	\N	\N
2885262	9548	1996-09-05	PRIJEM	VKLAD	18109	47708	\N	\N	\N
2885263	9548	1996-10-05	PRIJEM	VKLAD	18109	54705	\N	\N	\N
2885264	9548	1996-11-05	PRIJEM	VKLAD	18109	49038	\N	\N	\N
2885265	9548	1996-12-05	PRIJEM	VKLAD	27164	57749	\N	\N	\N
2885266	9548	1997-01-05	PRIJEM	VKLAD	18109	51264	\N	\N	\N
2885267	9548	1997-02-05	PRIJEM	VKLAD	18109	49353	\N	\N	\N
2885268	9548	1997-03-05	PRIJEM	VKLAD	18109	48938	\N	\N	\N
2885269	9548	1997-04-05	PRIJEM	VKLAD	18109	49122	\N	\N	\N
2885270	9548	1997-05-05	PRIJEM	VKLAD	18109	50606	\N	\N	\N
2885271	9548	1997-06-05	PRIJEM	VKLAD	27164	61651	\N	\N	\N
2885272	9548	1997-07-05	PRIJEM	VKLAD	18109	47036	\N	\N	\N
2885273	9548	1997-08-05	PRIJEM	VKLAD	18109	53704	\N	\N	\N
2885274	9548	1997-09-05	PRIJEM	VKLAD	18109	54595	\N	\N	\N
2885275	9548	1997-10-05	PRIJEM	VKLAD	18109	57994	\N	\N	\N
2885276	9548	1997-11-05	PRIJEM	VKLAD	18109	58706	\N	\N	\N
2885277	9548	1997-12-05	PRIJEM	VKLAD	27164	74573	\N	\N	\N
2885278	9548	1998-01-05	PRIJEM	VKLAD	18109	70236	\N	\N	\N
2885279	9548	1998-02-05	PRIJEM	VKLAD	18109	70390	\N	\N	\N
2885280	9548	1998-03-05	PRIJEM	VKLAD	18109	72149	\N	\N	\N
2885281	9548	1998-04-05	PRIJEM	VKLAD	18109	70409	\N	\N	\N
2885282	9548	1998-05-05	PRIJEM	VKLAD	18109	73868	\N	\N	\N
2885283	9548	1998-06-05	PRIJEM	VKLAD	27164	89197	\N	\N	\N
2885284	9548	1998-07-05	PRIJEM	VKLAD	18109	81200	\N	\N	\N
2885285	9548	1998-08-05	PRIJEM	VKLAD	18109	83393	\N	\N	\N
2885286	9548	1998-09-05	PRIJEM	VKLAD	18109	85703	\N	\N	\N
2885287	9548	1998-10-05	PRIJEM	VKLAD	18109	86822	\N	\N	\N
2885288	9548	1998-11-05	PRIJEM	VKLAD	18109	86447	\N	\N	\N
2885289	9548	1998-12-05	PRIJEM	VKLAD	27164	102539	\N	\N	\N
2885300	9548	1996-11-08	VYDAJ	PREVOD NA UCET	9613	39425	SIPO	YZ	97789895
2885301	9548	1996-12-08	VYDAJ	PREVOD NA UCET	9613	48136	SIPO	YZ	97789895
2885302	9548	1997-01-08	VYDAJ	PREVOD NA UCET	9613	41651	SIPO	YZ	97789895
2885303	9548	1997-02-08	VYDAJ	PREVOD NA UCET	9613	39740	SIPO	YZ	97789895
2885304	9548	1997-03-08	VYDAJ	PREVOD NA UCET	9613	39325	SIPO	YZ	97789895
2885305	9548	1997-04-08	VYDAJ	PREVOD NA UCET	9613	39509	SIPO	YZ	97789895
2885306	9548	1997-05-08	VYDAJ	PREVOD NA UCET	9613	40993	SIPO	YZ	97789895
2885307	9548	1997-06-08	VYDAJ	PREVOD NA UCET	9613	52038	SIPO	YZ	97789895
2885308	9548	1997-07-08	VYDAJ	PREVOD NA UCET	9613	37423	SIPO	YZ	97789895
2885309	9548	1997-08-08	VYDAJ	PREVOD NA UCET	9613	41491	SIPO	YZ	97789895
2885310	9548	1997-09-08	VYDAJ	PREVOD NA UCET	9613	44982	SIPO	YZ	97789895
2885311	9548	1997-10-08	VYDAJ	PREVOD NA UCET	9613	48381	SIPO	YZ	97789895
2885312	9548	1997-11-08	VYDAJ	PREVOD NA UCET	9613	49093	SIPO	YZ	97789895
2885313	9548	1997-12-08	VYDAJ	PREVOD NA UCET	9613	63860	SIPO	YZ	97789895
2885314	9548	1998-01-08	VYDAJ	PREVOD NA UCET	9613	60623	SIPO	YZ	97789895
2885315	9548	1998-02-08	VYDAJ	PREVOD NA UCET	9613	60777	SIPO	YZ	97789895
2885316	9548	1998-03-08	VYDAJ	PREVOD NA UCET	9613	62536	SIPO	YZ	97789895
2885317	9548	1998-04-08	VYDAJ	PREVOD NA UCET	9613	60796	SIPO	YZ	97789895
2885318	9548	1998-05-08	VYDAJ	PREVOD NA UCET	9613	64255	SIPO	YZ	97789895
2885319	9548	1998-06-08	VYDAJ	PREVOD NA UCET	9613	75284	SIPO	YZ	97789895
2885320	9548	1998-07-08	VYDAJ	PREVOD NA UCET	9613	71587	SIPO	YZ	97789895
2885321	9548	1998-08-08	VYDAJ	PREVOD NA UCET	9613	73780	SIPO	YZ	97789895
2885322	9548	1998-09-08	VYDAJ	PREVOD NA UCET	9613	76090	SIPO	YZ	97789895
2885323	9548	1998-10-08	VYDAJ	PREVOD NA UCET	9613	77209	SIPO	YZ	97789895
2885324	9548	1998-11-08	VYDAJ	PREVOD NA UCET	9613	76834	SIPO	YZ	97789895
2885325	9548	1998-12-08	VYDAJ	PREVOD NA UCET	9613	92926	SIPO	YZ	97789895
2885336	9548	1996-11-12	VYDAJ	VYBER	700	38725	\N	\N	0
2885337	9548	1996-12-12	VYDAJ	PREVOD NA UCET	962	47174	UVER	OP	54906487
2885338	9548	1997-01-12	VYDAJ	PREVOD NA UCET	962	40689	UVER	OP	54906487
2885339	9548	1997-02-12	VYDAJ	PREVOD NA UCET	962	38778	UVER	OP	54906487
2885340	9548	1997-03-12	VYDAJ	PREVOD NA UCET	962	38363	UVER	OP	54906487
2885341	9548	1997-04-12	VYDAJ	PREVOD NA UCET	962	38547	UVER	OP	54906487
2885342	9548	1997-05-12	VYDAJ	PREVOD NA UCET	962	40031	UVER	OP	54906487
2885343	9548	1997-06-12	VYDAJ	PREVOD NA UCET	962	51076	UVER	OP	54906487
2885344	9548	1997-07-12	VYDAJ	PREVOD NA UCET	962	36461	UVER	OP	54906487
2885345	9548	1997-08-12	VYDAJ	PREVOD NA UCET	962	40529	UVER	OP	54906487
2885346	9548	1997-09-12	VYDAJ	PREVOD NA UCET	962	44020	UVER	OP	54906487
2885347	9548	1997-10-12	VYDAJ	PREVOD NA UCET	962	47419	UVER	OP	54906487
2885348	9548	1997-11-12	VYDAJ	PREVOD NA UCET	962	48131	UVER	OP	54906487
2885349	9548	1997-12-12	VYDAJ	PREVOD NA UCET	962	62898	UVER	OP	54906487
2885350	9548	1998-01-12	VYDAJ	PREVOD NA UCET	962	59661	UVER	OP	54906487
2885351	9548	1998-02-12	VYDAJ	PREVOD NA UCET	962	59815	UVER	OP	54906487
2885352	9548	1998-03-12	VYDAJ	PREVOD NA UCET	962	59674	UVER	OP	54906487
2885353	9548	1998-04-12	VYDAJ	PREVOD NA UCET	962	59834	UVER	OP	54906487
2885354	9548	1998-05-12	VYDAJ	PREVOD NA UCET	962	63293	UVER	OP	54906487
2885355	9548	1998-06-12	VYDAJ	PREVOD NA UCET	962	74322	UVER	OP	54906487
2885356	9548	1998-07-12	VYDAJ	PREVOD NA UCET	962	66525	UVER	OP	54906487
2885357	9548	1998-08-12	VYDAJ	PREVOD NA UCET	962	72818	UVER	OP	54906487
2885358	9548	1998-09-12	VYDAJ	PREVOD NA UCET	962	75128	UVER	OP	54906487
2885359	9548	1998-10-12	VYDAJ	PREVOD NA UCET	962	76247	UVER	OP	54906487
2885360	9548	1998-11-12	VYDAJ	PREVOD NA UCET	962	75872	UVER	OP	54906487
2885361	9548	1998-12-12	VYDAJ	PREVOD NA UCET	962	91964	UVER	OP	54906487
2885363	9548	1997-06-20	VYDAJ	VYBER	29600	21476	\N	\N	\N
2885364	9548	1998-06-14	VYDAJ	VYBER	9100	65222	\N	\N	\N
2885366	9548	1997-01-14	VYDAJ	VYBER	3300	37389	\N	\N	\N
2885367	9548	1998-01-26	VYDAJ	VYBER	8700	50961	\N	\N	\N
2885368	9548	1996-12-04	VYDAJ	VYBER	1700	30585	\N	\N	\N
2885369	9548	1997-12-06	VYDAJ	VYBER	1100	73473	\N	\N	\N
2885370	9548	1998-12-19	VYDAJ	VYBER	500	91464	\N	\N	\N
2885377	9548	1997-08-07	VYDAJ	VYBER	2600	51104	\N	\N	\N
2885378	9548	1997-12-14	VYDAJ	VYBER	3200	59698	\N	\N	\N
2885379	9548	1998-05-26	VYDAJ	VYBER	1200	62093	\N	\N	\N
2885380	9548	1998-06-05	VYDAJ	VYBER	4300	84897	\N	\N	\N
2885381	9548	1998-03-12	VYDAJ	VYBER	1900	60636	\N	\N	\N
2885382	9548	1998-11-03	VYDAJ	VYBER	4300	68338	\N	\N	\N
2885383	9548	1998-07-10	VYDAJ	VYBER	4100	67487	\N	\N	\N
2885395	9548	1996-11-30	VYDAJ	VYBER	15	38885	SLUZBY	\N	\N
2885396	9548	1996-12-31	VYDAJ	VYBER	15	47355	SLUZBY	\N	\N
2885397	9548	1997-01-31	VYDAJ	VYBER	15	37544	SLUZBY	\N	\N
2885398	9548	1997-02-28	VYDAJ	VYBER	15	38929	SLUZBY	\N	\N
2885399	9548	1997-03-31	VYDAJ	VYBER	15	38513	SLUZBY	\N	\N
2885400	9548	1997-04-30	VYDAJ	VYBER	15	38697	SLUZBY	\N	\N
2885401	9548	1997-05-31	VYDAJ	VYBER	15	40187	SLUZBY	\N	\N
2885402	9548	1997-06-30	VYDAJ	VYBER	15	21627	SLUZBY	\N	\N
2885403	9548	1997-07-31	VYDAJ	VYBER	15	36595	SLUZBY	\N	\N
2885404	9548	1997-08-31	VYDAJ	VYBER	15	40686	SLUZBY	\N	\N
2885405	9548	1997-09-30	VYDAJ	VYBER	15	44185	SLUZBY	\N	\N
2885406	9548	1997-10-31	VYDAJ	VYBER	15	40597	SLUZBY	\N	\N
2885407	9548	1997-11-30	VYDAJ	VYBER	15	47409	SLUZBY	\N	\N
2885408	9548	1997-12-31	VYDAJ	VYBER	15	52127	SLUZBY	\N	\N
2885409	9548	1998-01-31	VYDAJ	VYBER	15	52281	SLUZBY	\N	\N
2885410	9548	1998-02-28	VYDAJ	VYBER	15	54040	SLUZBY	\N	\N
2885411	9548	1998-03-31	VYDAJ	VYBER	15	52300	SLUZBY	\N	\N
2885412	9548	1998-04-30	VYDAJ	VYBER	15	55759	SLUZBY	\N	\N
2885413	9548	1998-05-31	VYDAJ	VYBER	15	62033	SLUZBY	\N	\N
2885414	9548	1998-06-30	VYDAJ	VYBER	15	63091	SLUZBY	\N	\N
2885415	9548	1998-07-31	VYDAJ	VYBER	15	65284	SLUZBY	\N	\N
2885416	9548	1998-08-31	VYDAJ	VYBER	15	67594	SLUZBY	\N	\N
2885417	9548	1998-09-30	VYDAJ	VYBER	15	68713	SLUZBY	\N	\N
2885418	9548	1998-10-31	VYDAJ	VYBER	15	72638	SLUZBY	\N	\N
2885419	9548	1998-11-30	VYDAJ	VYBER	15	75375	SLUZBY	\N	\N
2885420	9548	1996-07-07	PRIJEM	VKLAD	100	19209	\N	\N	\N
2885421	9548	1996-08-06	VYDAJ	VYBER	7900	29483	\N	\N	\N
2885422	9548	1996-09-05	VYDAJ	VYBER	11300	36408	\N	\N	\N
2885423	9548	1996-10-05	VYDAJ	VYBER	13400	41305	\N	\N	\N
2885424	9548	1996-11-04	VYDAJ	VYBER	10600	30929	\N	\N	\N
2885425	9548	1996-12-04	VYDAJ	VYBER	6600	32285	\N	\N	\N
2885426	9548	1997-01-03	VYDAJ	VYBER	14200	33155	\N	\N	\N
2885427	9548	1997-02-02	VYDAJ	VYBER	6300	31244	\N	\N	\N
2885428	9548	1997-03-04	VYDAJ	VYBER	8100	30829	\N	\N	\N
2885429	9548	1997-04-03	VYDAJ	VYBER	7500	31013	\N	\N	\N
2885430	9548	1997-05-03	VYDAJ	VYBER	6200	32497	\N	\N	\N
2885431	9548	1997-06-02	VYDAJ	VYBER	5700	34487	\N	\N	\N
2885432	9548	1997-07-02	PRIJEM	VKLAD	7300	28927	\N	\N	\N
2885433	9548	1997-08-01	VYDAJ	VYBER	1000	35595	\N	\N	\N
2885434	9548	1997-08-31	VYDAJ	VYBER	4200	36486	\N	\N	\N
2885435	9548	1997-09-30	VYDAJ	VYBER	4300	39885	\N	\N	\N
2885436	9548	1997-10-30	VYDAJ	VYBER	7000	40419	\N	\N	\N
2885437	9548	1997-11-29	VYDAJ	VYBER	900	47231	\N	\N	\N
2885438	9548	1997-12-29	VYDAJ	VYBER	7800	51898	\N	\N	\N
2885439	9548	1998-01-28	PRIJEM	VKLAD	1100	52061	\N	\N	\N
2885440	9548	1998-02-27	VYDAJ	VYBER	6000	53815	\N	\N	\N
2885441	9548	1998-03-29	VYDAJ	VYBER	7600	52074	\N	\N	\N
2885442	9548	1998-04-28	VYDAJ	VYBER	4300	55534	\N	\N	\N
2885443	9548	1998-05-28	VYDAJ	VYBER	300	61793	\N	\N	\N
2885444	9548	1998-06-27	VYDAJ	VYBER	2400	62822	\N	\N	\N
2885445	9548	1998-07-27	VYDAJ	VYBER	1500	65025	\N	\N	\N
2885446	9548	1998-08-26	VYDAJ	VYBER	5500	67318	\N	\N	\N
2885447	9548	1998-09-25	VYDAJ	VYBER	6700	68428	\N	\N	\N
2885448	9548	1998-10-25	VYDAJ	VYBER	3900	72347	\N	\N	\N
2885449	9548	1998-11-24	VYDAJ	VYBER	800	75072	\N	\N	\N
2885480	9549	1997-01-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2885481	9549	1997-07-08	PRIJEM	VKLAD	49301	143284	\N	\N	\N
2885482	9549	1997-12-06	PRIJEM	VKLAD	12294	89042	\N	\N	\N
2885483	9549	1997-08-14	PRIJEM	VKLAD	13800	76074	\N	\N	\N
2885484	9549	1997-10-16	PRIJEM	VKLAD	45956	66831	\N	\N	\N
2885485	9549	1997-12-11	PRIJEM	VKLAD	30260	119302	\N	\N	\N
2885486	9549	1997-02-21	PRIJEM	VKLAD	45579	55979	\N	\N	\N
2885487	9549	1997-09-16	PRIJEM	VKLAD	40246	62152	\N	\N	\N
2885488	9549	1997-06-25	PRIJEM	VKLAD	30885	29587	\N	\N	\N
2885490	9549	1997-05-15	PRIJEM	VKLAD	35705	68448	\N	\N	\N
2885491	9549	1997-06-29	PRIJEM	VKLAD	45291	117188	\N	\N	\N
2885492	9549	1997-03-09	PRIJEM	VKLAD	21490	104693	\N	\N	\N
2885493	9549	1997-03-21	PRIJEM	VKLAD	9132	49225	\N	\N	\N
2885494	9549	1997-02-26	PRIJEM	VKLAD	27079	83058	\N	\N	\N
2885495	9549	1997-10-27	PRIJEM	VKLAD	23596	90427	\N	\N	\N
2885496	9549	1997-08-09	PRIJEM	VKLAD	14715	70365	\N	\N	\N
2885497	9549	1997-11-24	PRIJEM	VKLAD	24491	76173	\N	\N	\N
2885498	9549	1997-06-27	PRIJEM	VKLAD	42310	71897	\N	\N	\N
2885499	9549	1998-10-26	PRIJEM	VKLAD	33715	99974	\N	\N	\N
2885500	9549	1998-03-27	PRIJEM	VKLAD	11586	88762	\N	\N	\N
2885501	9549	1998-03-20	PRIJEM	VKLAD	37264	98290	\N	\N	\N
2885502	9549	1998-11-22	PRIJEM	VKLAD	19383	85149	\N	\N	\N
2885503	9549	1998-02-23	PRIJEM	VKLAD	25100	128358	\N	\N	\N
2885504	9549	1998-03-02	PRIJEM	VKLAD	23920	117590	\N	\N	\N
2885505	9549	1998-09-07	PRIJEM	VKLAD	12078	16593	\N	\N	\N
2885506	9549	1998-10-28	PRIJEM	VKLAD	7029	107003	\N	\N	\N
2885507	9549	1998-12-01	PRIJEM	VKLAD	42806	114465	\N	\N	\N
2885508	9549	1998-10-15	PRIJEM	VKLAD	38300	48517	\N	\N	\N
2885509	9549	1998-04-14	PRIJEM	VKLAD	6720	73612	\N	\N	\N
2885510	9549	1998-02-03	PRIJEM	VKLAD	5785	38188	\N	\N	\N
2885511	9549	1998-02-19	PRIJEM	VKLAD	49414	142358	\N	\N	\N
2885512	9549	1998-01-22	PRIJEM	VKLAD	32952	43642	\N	\N	\N
2885513	9549	1998-07-31	PRIJEM	VKLAD	5217	20976	\N	\N	\N
2885514	9549	1998-10-12	PRIJEM	VKLAD	6886	10217	\N	\N	\N
2885515	9549	1998-07-22	PRIJEM	VKLAD	11020	15703	\N	\N	\N
2885516	9549	1998-10-23	PRIJEM	VKLAD	17742	66259	\N	\N	\N
2885517	9549	1998-02-25	PRIJEM	VKLAD	6358	93016	\N	\N	\N
2885518	9549	1998-02-12	PRIJEM	VKLAD	44453	92944	\N	\N	\N
2885519	9549	1998-03-16	PRIJEM	VKLAD	9736	61026	\N	\N	\N
2885520	9549	1998-04-13	PRIJEM	VKLAD	11676	66892	\N	\N	\N
2885521	9549	1998-02-05	PRIJEM	VKLAD	46203	84391	\N	\N	\N
2885522	9549	1998-12-18	PRIJEM	VKLAD	38001	54865	\N	\N	\N
2885523	9549	1998-11-14	PRIJEM	VKLAD	41188	73675	\N	\N	\N
2885524	9549	1997-09-17	VYBER	VYBER	9642	52510	\N	\N	\N
2885526	9549	1997-08-11	VYBER	VYBER	8091	62274	\N	\N	\N
2885527	9549	1997-08-15	VYBER	VYBER	3657	72417	\N	\N	\N
2885528	9549	1997-05-21	VYBER	VYBER	21916	19232	\N	\N	\N
2885529	9549	1997-09-25	VYBER	VYBER	8152	40458	\N	\N	\N
2885530	9549	1997-08-31	VYBER	VYBER	17994	27220	\N	\N	\N
2885531	9549	1997-11-04	VYBER	VYBER	10511	80282	\N	\N	\N
2885532	9549	1997-12-18	VYBER	VYBER	10123	34979	\N	\N	\N
2885535	9549	1998-03-22	VYBER	VYBER	12714	85576	\N	\N	\N
2885536	9549	1998-05-20	VYBER	VYBER	17316	22883	\N	\N	\N
2885537	9549	1998-11-28	VYBER	VYBER	14048	71101	\N	\N	\N
2885538	9549	1998-11-18	VYBER	VYBER	7909	65766	\N	\N	\N
2885540	9549	1998-10-28	VYBER	VYBER	8422	98581	\N	\N	\N
2885542	9549	1998-12-16	VYBER	VYBER	13601	16864	\N	\N	\N
2885543	9549	1997-06-20	VYDAJ	VYBER	10500	-1298	\N	\N	\N
2885544	9549	1998-06-01	VYDAJ	VYBER	18300	4925	\N	\N	\N
2885546	9549	1998-01-08	VYDAJ	VYBER	17100	8590	\N	\N	\N
2885547	9549	1997-12-13	VYDAJ	VYBER	3600	45102	\N	\N	\N
2885548	9549	1998-12-24	VYDAJ	VYBER	2100	52765	\N	\N	\N
2885555	9549	1998-01-04	VYDAJ	VYBER	8100	25690	\N	\N	\N
2885556	9549	1998-01-14	VYDAJ	VYBER	1800	10690	\N	\N	\N
2885557	9549	1998-01-30	VYDAJ	VYBER	8100	32242	\N	\N	\N
2885558	9549	1998-01-09	VYDAJ	VYBER	2400	6190	\N	\N	\N
2885559	9549	1998-01-22	VYDAJ	VYBER	3300	40342	\N	\N	\N
2885560	9549	1998-01-02	VYDAJ	VYBER	1500	33790	\N	\N	\N
2885561	9549	1997-07-02	VYDAJ	VYBER	3300	93983	\N	\N	\N
2885562	9549	1997-05-21	VYDAJ	VYBER	12900	6332	\N	\N	\N
2885563	9549	1997-09-18	VYDAJ	VYBER	3900	48610	\N	\N	\N
2885564	9549	1997-10-01	VYDAJ	VYBER	10800	21175	\N	\N	\N
2885565	9549	1997-09-27	VYDAJ	VYBER	8700	31758	\N	\N	\N
2885567	9549	1998-07-21	VYDAJ	VYBER	5100	4683	\N	\N	\N
2885568	9549	1998-11-02	VYDAJ	VYBER	8100	90787	\N	\N	\N
2885569	9549	1998-05-01	VYDAJ	VYBER	4800	69299	\N	\N	\N
2885570	9549	1998-03-22	VYDAJ	VYBER	8400	77176	\N	\N	\N
2885571	9549	1998-08-28	VYDAJ	VYBER	9300	4462	\N	\N	\N
2885572	9549	1998-10-05	VYDAJ	VYBER	4500	6531	\N	\N	\N
2885573	9549	1998-11-09	VYDAJ	VYBER	12300	32487	\N	\N	\N
2885579	9549	1997-05-31	VYDAJ	VYBER	15	6502	SLUZBY	\N	\N
2885580	9549	1997-06-30	VYDAJ	VYBER	15	97288	SLUZBY	\N	\N
2885581	9549	1997-07-31	VYDAJ	VYBER	15	55650	SLUZBY	\N	\N
2885582	9549	1997-08-31	VYDAJ	VYBER	15	27206	SLUZBY	\N	\N
2885583	9549	1997-09-30	VYDAJ	VYBER	15	31975	SLUZBY	\N	\N
2885584	9549	1997-10-31	VYDAJ	VYBER	15	90793	SLUZBY	\N	\N
2885585	9549	1997-11-30	VYDAJ	VYBER	15	76748	SLUZBY	\N	\N
2885586	9549	1997-12-31	VYDAJ	VYBER	15	35290	SLUZBY	\N	\N
2885587	9549	1998-01-31	VYDAJ	VYBER	15	32403	SLUZBY	\N	\N
2885588	9549	1998-02-28	VYDAJ	VYBER	15	93670	SLUZBY	\N	\N
2885589	9549	1998-03-31	VYDAJ	VYBER	15	89416	SLUZBY	\N	\N
2885590	9549	1998-04-30	VYDAJ	VYBER	15	74099	SLUZBY	\N	\N
2885591	9549	1998-05-31	VYDAJ	VYBER	15	23225	SLUZBY	\N	\N
2885592	9549	1998-06-30	VYDAJ	VYBER	15	10683	SLUZBY	\N	\N
2885593	9549	1998-07-31	VYDAJ	VYBER	15	20962	SLUZBY	\N	\N
2885594	9549	1998-08-31	VYDAJ	VYBER	15	4515	SLUZBY	\N	\N
2885595	9549	1998-09-30	VYDAJ	VYBER	15	11031	SLUZBY	\N	\N
2885596	9549	1998-10-31	VYDAJ	VYBER	15	98887	SLUZBY	\N	\N
2885597	9549	1998-11-30	VYDAJ	VYBER	15	71659	SLUZBY	\N	\N
2885598	9549	1997-02-16	PRIJEM	VKLAD	9300	10400	\N	\N	\N
2885599	9549	1997-03-09	VYDAJ	VYBER	49900	54793	\N	\N	\N
2885600	9549	1997-03-18	VYDAJ	VYBER	14700	40093	\N	\N	\N
2885601	9549	1997-04-17	VYDAJ	VYBER	17200	32539	\N	\N	\N
2885602	9549	1997-05-17	VYDAJ	VYBER	27300	41148	\N	\N	\N
2885603	9549	1997-06-16	PRIJEM	VKLAD	2700	9202	\N	\N	\N
2885604	9549	1997-06-29	VYDAJ	VYBER	20000	97188	\N	\N	\N
2885605	9549	1997-07-08	VYDAJ	VYBER	42000	101284	\N	\N	\N
2885606	9549	1997-07-16	VYDAJ	VYBER	46200	55084	\N	\N	\N
2885607	9549	1997-08-15	VYDAJ	VYBER	27600	44817	\N	\N	\N
2885608	9549	1997-09-14	VYDAJ	VYBER	5300	21906	\N	\N	\N
2885609	9549	1997-10-14	VYDAJ	VYBER	300	20875	\N	\N	\N
2885610	9549	1997-11-13	VYDAJ	VYBER	28600	51682	\N	\N	\N
2885611	9549	1997-12-11	VYDAJ	VYBER	41400	77902	\N	\N	\N
2885612	9549	1997-12-13	VYDAJ	VYBER	29200	48702	\N	\N	\N
2885613	9549	1998-01-12	PRIJEM	VKLAD	6300	12490	\N	\N	\N
2885614	9549	1998-02-11	VYDAJ	VYBER	35900	48491	\N	\N	\N
2885615	9549	1998-02-19	VYDAJ	VYBER	39100	103258	\N	\N	\N
2885616	9549	1998-02-23	VYDAJ	VYBER	41700	86658	\N	\N	\N
2885617	9549	1998-03-02	VYDAJ	VYBER	35600	81990	\N	\N	\N
2885618	9549	1998-03-13	VYDAJ	VYBER	30700	51290	\N	\N	\N
2885619	9549	1998-04-12	VYDAJ	VYBER	34200	55216	\N	\N	\N
2885620	9549	1998-05-12	VYDAJ	VYBER	29100	40199	\N	\N	\N
2885621	9549	1998-06-11	PRIJEM	VKLAD	5700	10625	\N	\N	\N
2885622	9549	1998-07-11	VYDAJ	VYBER	900	9783	\N	\N	\N
2885623	9549	1998-08-10	VYDAJ	VYBER	7200	13762	\N	\N	\N
2885624	9549	1998-09-09	VYDAJ	VYBER	5600	10993	\N	\N	\N
2885625	9549	1998-10-09	VYDAJ	VYBER	3200	3331	\N	\N	\N
2885626	9549	1998-11-08	VYDAJ	VYBER	46000	44787	\N	\N	\N
2885627	9549	1998-12-01	VYDAJ	VYBER	57100	57365	\N	\N	\N
2885628	9549	1998-12-08	VYDAJ	VYBER	26900	30465	\N	\N	\N
2887727	9560	1997-07-13	PRIJEM	VKLAD	400	400	\N	\N	\N
2887730	9560	1997-09-17	PRIJEM	VKLAD	44217	66275	\N	\N	\N
2887731	9560	1997-09-18	PRIJEM	VKLAD	22344	88619	\N	\N	\N
2887733	9560	1997-07-17	PRIJEM	VKLAD	22019	22419	\N	\N	\N
2887735	9560	1998-07-20	PRIJEM	VKLAD	22839	35633	\N	\N	\N
2887736	9560	1998-02-19	PRIJEM	VKLAD	36199	56714	\N	\N	\N
2887737	9560	1998-04-29	PRIJEM	VKLAD	11257	43013	\N	\N	\N
2887738	9560	1998-11-22	PRIJEM	VKLAD	32620	99691	\N	\N	\N
2887739	9560	1998-04-04	PRIJEM	VKLAD	29959	108048	\N	\N	\N
2887740	9560	1998-03-25	PRIJEM	VKLAD	29130	67765	\N	\N	\N
2887741	9560	1998-11-06	PRIJEM	VKLAD	27311	84766	\N	\N	\N
2887742	9560	1998-10-21	PRIJEM	VKLAD	39157	90699	\N	\N	\N
2887743	9560	1998-03-27	PRIJEM	VKLAD	17290	120447	\N	\N	\N
2887744	9560	1998-12-05	PRIJEM	VKLAD	36622	136644	\N	\N	\N
2887745	9560	1998-03-31	PRIJEM	VKLAD	18313	77860	\N	\N	\N
2887746	9560	1998-03-27	PRIJEM	VKLAD	35392	103157	\N	\N	\N
2887747	9560	1998-10-01	PRIJEM	VKLAD	48312	85139	\N	\N	\N
2887748	9560	1998-08-25	PRIJEM	VKLAD	44985	67402	\N	\N	\N
2887764	9560	1998-04-12	VYDAJ	PREVOD NA UCET	4363	42352	UVER	OP	86154901
2887765	9560	1998-05-12	VYDAJ	PREVOD NA UCET	4363	23117	UVER	OP	86154901
2887766	9560	1998-06-12	VYDAJ	PREVOD NA UCET	4363	16227	UVER	OP	86154901
2887767	9560	1998-07-12	VYDAJ	PREVOD NA UCET	4363	12794	UVER	OP	86154901
2887768	9560	1998-08-12	VYDAJ	PREVOD NA UCET	4363	22417	UVER	OP	86154901
2887769	9560	1998-09-12	VYDAJ	PREVOD NA UCET	4363	41443	UVER	OP	86154901
2887770	9560	1998-10-12	VYDAJ	PREVOD NA UCET	4363	51542	UVER	OP	86154901
2887771	9560	1998-11-12	VYDAJ	PREVOD NA UCET	4363	73169	UVER	OP	86154901
2887772	9560	1998-12-12	VYDAJ	PREVOD NA UCET	4363	55747	UVER	OP	86154901
2887788	9560	1998-04-10	VYDAJ	PREVOD NA UCET	7234	46714	SIPO	EF	53716289
2887789	9560	1998-05-10	VYDAJ	PREVOD NA UCET	7234	27479	SIPO	EF	53716289
2887790	9560	1998-06-10	VYDAJ	PREVOD NA UCET	7234	20590	SIPO	EF	53716289
2887791	9560	1998-07-10	VYDAJ	PREVOD NA UCET	7234	17156	SIPO	EF	53716289
2887792	9560	1998-08-10	VYDAJ	PREVOD NA UCET	7234	26779	SIPO	EF	53716289
2887793	9560	1998-09-10	VYDAJ	PREVOD NA UCET	7234	45806	SIPO	EF	53716289
2887794	9560	1998-10-10	VYDAJ	PREVOD NA UCET	7234	55905	SIPO	EF	53716289
2887795	9560	1998-11-10	VYDAJ	PREVOD NA UCET	7234	77532	SIPO	EF	53716289
2887796	9560	1998-12-10	VYDAJ	PREVOD NA UCET	7234	60110	SIPO	EF	53716289
2887813	9560	1998-11-13	VYBER	VYBER	6098	67071	\N	\N	\N
2887815	9560	1998-04-24	VYBER	VYBER	10596	31756	\N	\N	\N
2887822	9560	1998-12-07	VYDAJ	VYBER	5400	67344	\N	\N	\N
2887843	9560	1998-11-05	VYDAJ	VYBER	14100	57455	\N	\N	\N
2887844	9560	1998-09-19	VYDAJ	VYBER	4800	36643	\N	\N	\N
2887861	9560	1998-03-31	VYDAJ	VYBER	15	78089	SLUZBY	\N	\N
2887862	9560	1998-04-30	VYDAJ	VYBER	15	43213	SLUZBY	\N	\N
2887863	9560	1998-05-31	VYDAJ	VYBER	15	23224	SLUZBY	\N	\N
2887864	9560	1998-06-30	VYDAJ	VYBER	15	16290	SLUZBY	\N	\N
2887865	9560	1998-07-31	VYDAJ	VYBER	15	35713	SLUZBY	\N	\N
2887866	9560	1998-08-31	VYDAJ	VYBER	15	67540	SLUZBY	\N	\N
2887867	9560	1998-09-30	VYDAJ	VYBER	15	36827	SLUZBY	\N	\N
2887868	9560	1998-10-31	VYDAJ	VYBER	15	90955	SLUZBY	\N	\N
2887869	9560	1998-11-30	VYDAJ	VYBER	15	100022	SLUZBY	\N	\N
2887870	9560	1997-08-12	PRIJEM	VKLAD	300	22764	\N	\N	\N
2887871	9560	1997-09-11	VYDAJ	VYBER	800	22058	\N	\N	\N
2887872	9560	1997-10-11	VYDAJ	VYBER	35200	53638	\N	\N	\N
2887873	9560	1997-11-10	VYDAJ	VYBER	17600	36407	\N	\N	\N
2887874	9560	1997-12-10	VYDAJ	VYBER	8700	28076	\N	\N	\N
2887875	9560	1998-01-09	VYDAJ	VYBER	5300	23145	\N	\N	\N
2887876	9560	1998-02-08	VYDAJ	VYBER	3000	20515	\N	\N	\N
2887877	9560	1998-03-10	VYDAJ	VYBER	18400	38635	\N	\N	\N
2887878	9560	1998-03-27	VYDAJ	VYBER	60900	59547	\N	\N	\N
2887879	9560	1998-04-04	VYDAJ	VYBER	25400	82648	\N	\N	\N
2887880	9560	1998-04-09	VYDAJ	VYBER	28700	53948	\N	\N	\N
2887881	9560	1998-05-09	VYDAJ	VYBER	8500	34713	\N	\N	\N
2887882	9560	1998-06-08	PRIJEM	VKLAD	4600	27824	\N	\N	\N
2887883	9560	1998-07-08	PRIJEM	VKLAD	8100	24390	\N	\N	\N
2887884	9560	1998-08-07	VYDAJ	VYBER	1700	34013	\N	\N	\N
2887885	9560	1998-09-06	VYDAJ	VYBER	14500	53040	\N	\N	\N
2887886	9560	1998-10-06	VYDAJ	VYBER	22000	63139	\N	\N	\N
2887887	9560	1998-11-05	VYDAJ	VYBER	19400	71555	\N	\N	\N
2887888	9560	1998-12-05	VYDAJ	VYBER	26400	110244	\N	\N	\N
2887889	9560	1998-12-05	VYDAJ	VYBER	37500	72744	\N	\N	\N
2893092	9583	1994-05-22	PRIJEM	VKLAD	300	300	\N	\N	\N
2893093	9583	1994-11-01	PRIJEM	VKLAD	39941	69994	\N	\N	\N
2893094	9583	1994-08-21	PRIJEM	VKLAD	18714	44714	\N	\N	\N
2893096	9583	1994-12-14	PRIJEM	VKLAD	8144	57933	\N	\N	\N
2893097	9583	1995-09-14	PRIJEM	VKLAD	39245	91501	\N	\N	\N
2893098	9583	1995-07-10	PRIJEM	VKLAD	24349	75504	\N	\N	\N
2893099	9583	1995-08-24	PRIJEM	VKLAD	32811	72067	\N	\N	\N
2893100	9583	1995-12-24	PRIJEM	VKLAD	19204	53357	\N	\N	\N
2893101	9583	1995-08-17	PRIJEM	VKLAD	11314	39256	\N	\N	\N
2893102	9583	1995-06-06	PRIJEM	VKLAD	48996	76441	\N	\N	\N
2893103	9583	1995-03-10	PRIJEM	VKLAD	38818	80875	\N	\N	\N
2893104	9583	1995-05-13	PRIJEM	VKLAD	20926	25376	\N	\N	\N
2893105	9583	1995-06-13	PRIJEM	VKLAD	5758	44578	\N	\N	\N
2893106	9583	1995-06-16	PRIJEM	VKLAD	34543	79121	\N	\N	\N
2893107	9583	1995-02-11	PRIJEM	VKLAD	48709	75993	\N	\N	\N
2893108	9583	1995-09-16	PRIJEM	VKLAD	19638	83039	\N	\N	\N
2893109	9583	1995-09-30	PRIJEM	VKLAD	36398	119437	\N	\N	\N
2893110	9583	1995-10-25	PRIJEM	VKLAD	15378	86520	\N	\N	\N
2893111	9583	1995-04-16	PRIJEM	VKLAD	11969	12880	\N	\N	\N
2893112	9583	1995-10-30	PRIJEM	VKLAD	10704	97224	\N	\N	\N
2893113	9583	1995-10-22	PRIJEM	VKLAD	16506	71142	\N	\N	\N
2893114	9583	1995-01-15	PRIJEM	VKLAD	20966	69186	\N	\N	\N
2893115	9583	1995-07-14	PRIJEM	VKLAD	13787	75905	\N	\N	\N
2893116	9583	1995-02-11	PRIJEM	VKLAD	40816	116809	\N	\N	\N
2893117	9583	1995-02-10	PRIJEM	VKLAD	6310	27284	\N	\N	\N
2893118	9583	1995-06-29	PRIJEM	VKLAD	8350	50957	\N	\N	\N
2893119	9583	1995-02-14	PRIJEM	VKLAD	27553	86176	\N	\N	\N
2893120	9583	1995-01-10	PRIJEM	VKLAD	5494	48220	\N	\N	\N
2893121	9583	1995-11-05	PRIJEM	VKLAD	10491	93841	\N	\N	\N
2893122	9583	1996-06-30	PRIJEM	VKLAD	44019	94012	\N	\N	\N
2893123	9583	1996-08-03	PRIJEM	VKLAD	17688	47549	\N	\N	\N
2893124	9583	1996-11-25	PRIJEM	VKLAD	32438	53416	\N	\N	\N
2893125	9583	1996-06-07	PRIJEM	VKLAD	23253	76023	\N	\N	\N
2893126	9583	1996-02-14	PRIJEM	VKLAD	35699	62391	\N	\N	\N
2893127	9583	1996-12-29	PRIJEM	VKLAD	36185	66734	\N	\N	\N
2893128	9583	1996-07-05	PRIJEM	VKLAD	49366	143348	\N	\N	\N
2893129	9583	1996-08-14	PRIJEM	VKLAD	44688	80988	\N	\N	\N
2893130	9583	1996-05-01	PRIJEM	VKLAD	40395	69661	\N	\N	\N
2893131	9583	1997-11-08	PRIJEM	VKLAD	42048	127028	\N	\N	\N
2893132	9583	1997-07-28	PRIJEM	VKLAD	20389	114240	\N	\N	\N
2893133	9583	1997-11-08	PRIJEM	VKLAD	26953	153981	\N	\N	\N
2893134	9583	1997-04-03	PRIJEM	VKLAD	32031	67822	\N	\N	\N
2893135	9583	1997-12-28	PRIJEM	VKLAD	19254	70288	\N	\N	\N
2893136	9583	1997-06-24	PRIJEM	VKLAD	30439	133333	\N	\N	\N
2893137	9583	1997-11-23	PRIJEM	VKLAD	29205	127054	\N	\N	\N
2893138	9583	1997-07-13	PRIJEM	VKLAD	23514	92092	\N	\N	\N
2893139	9583	1997-10-04	PRIJEM	VKLAD	43547	126661	\N	\N	\N
2893140	9583	1997-10-21	PRIJEM	VKLAD	32563	107784	\N	\N	\N
2893141	9583	1997-09-26	PRIJEM	VKLAD	34654	79783	\N	\N	\N
2893142	9583	1997-04-24	PRIJEM	VKLAD	39558	119009	\N	\N	\N
2893143	9583	1997-08-02	PRIJEM	VKLAD	25918	96897	\N	\N	\N
2893144	9583	1997-06-16	PRIJEM	VKLAD	35660	53819	\N	\N	\N
2893145	9583	1997-07-17	PRIJEM	VKLAD	33392	125484	\N	\N	\N
2893146	9583	1997-01-16	PRIJEM	VKLAD	35976	76210	\N	\N	\N
2893147	9583	1997-06-26	PRIJEM	VKLAD	18682	104315	\N	\N	\N
2893148	9583	1997-07-18	PRIJEM	VKLAD	15582	80866	\N	\N	\N
2893149	9583	1997-04-20	PRIJEM	VKLAD	33086	79451	\N	\N	\N
2893150	9583	1997-08-14	PRIJEM	VKLAD	36784	105032	\N	\N	\N
2893151	9583	1997-07-18	PRIJEM	VKLAD	12985	93851	\N	\N	\N
2893152	9583	1997-11-17	PRIJEM	VKLAD	27634	97849	\N	\N	\N
2893153	9583	1997-04-30	PRIJEM	VKLAD	36484	92693	\N	\N	\N
2893154	9583	1997-11-23	PRIJEM	VKLAD	21700	148754	\N	\N	\N
2893155	9583	1997-06-10	PRIJEM	VKLAD	6300	55408	\N	\N	\N
2893156	9583	1997-06-24	PRIJEM	VKLAD	49075	102894	\N	\N	\N
2893157	9583	1997-10-07	PRIJEM	VKLAD	18909	92970	\N	\N	\N
2893158	9583	1997-03-07	PRIJEM	VKLAD	38648	67714	\N	\N	\N
2893159	9583	1997-11-28	PRIJEM	VKLAD	24928	119082	\N	\N	\N
2893160	9583	1998-10-17	PRIJEM	VKLAD	7902	81200	\N	\N	\N
2893161	9583	1998-11-30	PRIJEM	VKLAD	9202	90354	\N	\N	\N
2893162	9583	1998-02-22	PRIJEM	VKLAD	37700	120022	\N	\N	\N
2893163	9583	1998-11-11	PRIJEM	VKLAD	17863	106255	\N	\N	\N
2893164	9583	1998-11-20	PRIJEM	VKLAD	29983	101452	\N	\N	\N
2893165	9583	1998-06-22	PRIJEM	VKLAD	32369	100091	\N	\N	\N
2893166	9583	1998-07-01	PRIJEM	VKLAD	16153	108049	\N	\N	\N
2893167	9583	1998-02-03	PRIJEM	VKLAD	48459	123608	\N	\N	\N
2893168	9583	1998-03-21	PRIJEM	VKLAD	30995	83800	\N	\N	\N
2893169	9583	1998-01-12	PRIJEM	VKLAD	47328	128025	\N	\N	\N
2893170	9583	1998-01-06	PRIJEM	VKLAD	23383	94083	\N	\N	\N
2893171	9583	1998-02-28	PRIJEM	VKLAD	46951	121173	\N	\N	\N
2893172	9583	1998-10-16	PRIJEM	VKLAD	48227	121398	\N	\N	\N
2893173	9583	1998-09-19	PRIJEM	VKLAD	29666	104657	\N	\N	\N
2893174	9583	1998-11-01	PRIJEM	VKLAD	19685	88392	\N	\N	\N
2893175	9583	1998-05-25	PRIJEM	VKLAD	15998	85106	\N	\N	\N
2893176	9583	1998-07-08	PRIJEM	VKLAD	15607	123656	\N	\N	\N
2893177	9583	1998-09-03	PRIJEM	VKLAD	14738	85315	\N	\N	\N
2893178	9583	1998-04-02	PRIJEM	VKLAD	8245	89208	\N	\N	\N
2893179	9583	1998-05-22	PRIJEM	VKLAD	29273	69108	\N	\N	\N
2893180	9583	1998-09-09	PRIJEM	VKLAD	11202	96517	\N	\N	\N
2893181	9583	1998-07-24	PRIJEM	VKLAD	30162	95832	\N	\N	\N
2893182	9583	1998-03-10	PRIJEM	VKLAD	12639	66191	\N	\N	\N
2893183	9583	1998-06-27	PRIJEM	VKLAD	28967	112558	\N	\N	\N
2893184	9583	1998-06-30	PRIJEM	VKLAD	9724	122282	\N	\N	\N
2893185	9583	1998-01-19	PRIJEM	VKLAD	28326	115951	\N	\N	\N
2893186	9583	1998-09-19	PRIJEM	VKLAD	9336	74991	\N	\N	\N
2893200	9583	1995-02-14	VYDAJ	VYBER	4300	81876	\N	\N	0
2893201	9583	1995-03-20	VYDAJ	VYBER	5100	43089	\N	\N	0
2893202	9583	1995-04-06	VYDAJ	VYBER	4500	25366	\N	\N	0
2893203	9583	1995-05-07	VYDAJ	VYBER	3900	17836	\N	\N	0
2893204	9583	1995-06-08	VYDAJ	VYBER	3300	52206	\N	\N	0
2893205	9583	1995-07-17	VYDAJ	VYBER	4600	50005	\N	\N	0
2893206	9583	1995-08-13	VYDAJ	VYBER	3500	20342	\N	\N	0
2893207	9583	1995-09-10	VYDAJ	VYBER	3300	65642	\N	\N	0
2893208	9583	1995-10-06	VYDAJ	VYBER	3900	78522	\N	\N	0
2893209	9583	1995-11-12	VYDAJ	VYBER	3300	65155	\N	\N	0
2893210	9583	1995-12-12	VYDAJ	PREVOD NA UCET	4363	25753	UVER	MN	86397230
2893211	9583	1996-01-12	VYDAJ	PREVOD NA UCET	4363	32012	UVER	MN	86397230
2893212	9583	1996-02-12	VYDAJ	PREVOD NA UCET	4363	26692	UVER	MN	86397230
2893213	9583	1996-03-12	VYDAJ	PREVOD NA UCET	4363	36678	UVER	MN	86397230
2893214	9583	1996-04-12	VYDAJ	PREVOD NA UCET	4363	29175	UVER	MN	86397230
2893215	9583	1996-05-12	VYDAJ	PREVOD NA UCET	4363	52613	UVER	MN	86397230
2893216	9583	1996-06-12	VYDAJ	PREVOD NA UCET	4363	49774	UVER	MN	86397230
2893217	9583	1996-07-12	VYDAJ	PREVOD NA UCET	4363	29691	UVER	MN	86397230
2893218	9583	1996-08-12	VYDAJ	PREVOD NA UCET	4363	36300	UVER	MN	86397230
2893219	9583	1996-09-12	VYDAJ	PREVOD NA UCET	4363	32847	UVER	MN	86397230
2893220	9583	1996-10-12	VYDAJ	PREVOD NA UCET	4363	20161	UVER	MN	86397230
2893221	9583	1996-11-12	VYDAJ	PREVOD NA UCET	4363	20978	UVER	MN	86397230
2893222	9583	1996-12-12	VYDAJ	PREVOD NA UCET	4363	34749	UVER	MN	86397230
2893223	9583	1997-01-12	VYDAJ	PREVOD NA UCET	4363	45634	UVER	MN	86397230
2893224	9583	1997-02-12	VYDAJ	PREVOD NA UCET	4363	27650	UVER	MN	86397230
2893225	9583	1997-03-12	VYDAJ	PREVOD NA UCET	4363	49965	UVER	MN	86397230
2893226	9583	1997-04-12	VYDAJ	PREVOD NA UCET	4363	50374	UVER	MN	86397230
2893227	9583	1997-05-12	VYDAJ	PREVOD NA UCET	4363	65602	UVER	MN	86397230
2893228	9583	1997-06-12	VYDAJ	PREVOD NA UCET	4363	18159	UVER	MN	86397230
2893229	9583	1997-07-12	VYDAJ	PREVOD NA UCET	4363	68578	UVER	MN	86397230
2893230	9583	1997-08-12	VYDAJ	PREVOD NA UCET	4363	68248	UVER	MN	86397230
2893231	9583	1997-09-12	VYDAJ	PREVOD NA UCET	4363	45129	UVER	MN	86397230
2893232	9583	1997-10-12	VYDAJ	PREVOD NA UCET	4363	75221	UVER	MN	86397230
2893233	9583	1997-11-12	VYDAJ	PREVOD NA UCET	4363	91233	UVER	MN	86397230
2893234	9583	1997-12-12	VYDAJ	PREVOD NA UCET	4363	56134	UVER	MN	86397230
2893235	9583	1998-01-02	VYDAJ	VYBER	3600	70700	\N	\N	0
2893236	9583	1998-02-08	VYDAJ	VYBER	5200	98708	\N	\N	0
2893237	9583	1998-03-05	VYDAJ	VYBER	4800	71617	\N	\N	0
2893238	9583	1998-04-13	VYDAJ	VYBER	4100	54255	\N	\N	0
2893239	9583	1998-05-02	VYDAJ	VYBER	3600	53221	\N	\N	0
2893240	9583	1998-06-07	VYDAJ	VYBER	3900	81108	\N	\N	0
2893241	9583	1998-07-12	VYDAJ	VYBER	4600	65670	\N	\N	0
2893242	9583	1998-08-16	VYDAJ	VYBER	3500	61618	\N	\N	0
2893243	9583	1998-09-21	VYDAJ	VYBER	4600	100057	\N	\N	0
2893244	9583	1998-10-14	VYDAJ	VYBER	5200	73171	\N	\N	0
2893245	9583	1998-11-11	VYDAJ	VYBER	3400	102855	\N	\N	0
2893246	9583	1998-12-21	VYDAJ	VYBER	3300	66203	\N	\N	0
2893260	9583	1995-02-11	VYDAJ	PREVOD NA UCET	13386	58623	SIPO	EF	69415771
2893261	9583	1995-03-11	VYDAJ	PREVOD NA UCET	13386	67489	SIPO	EF	69415771
2893262	9583	1995-04-11	VYDAJ	PREVOD NA UCET	13386	911	SIPO	EF	69415771
2893263	9583	1995-05-11	VYDAJ	PREVOD NA UCET	13386	4450	SIPO	EF	69415771
2893264	9583	1995-06-11	VYDAJ	PREVOD NA UCET	13386	38820	SIPO	EF	69415771
2893265	9583	1995-07-11	VYDAJ	PREVOD NA UCET	13386	62118	SIPO	EF	69415771
2893266	9583	1995-08-11	VYDAJ	PREVOD NA UCET	13386	23842	SIPO	EF	69415771
2893267	9583	1995-09-11	VYDAJ	PREVOD NA UCET	13386	52256	SIPO	EF	69415771
2893268	9583	1995-10-11	VYDAJ	PREVOD NA UCET	13386	65136	SIPO	EF	69415771
2893269	9583	1995-11-11	VYDAJ	PREVOD NA UCET	13386	68455	SIPO	EF	69415771
2893270	9583	1995-12-11	VYDAJ	PREVOD NA UCET	13386	30115	SIPO	EF	69415771
2893271	9583	1996-01-11	VYDAJ	PREVOD NA UCET	13386	23975	SIPO	EF	69415771
2893272	9583	1996-02-11	VYDAJ	PREVOD NA UCET	13386	31054	SIPO	EF	69415771
2893273	9583	1996-03-11	VYDAJ	PREVOD NA UCET	13386	29040	SIPO	EF	69415771
2893274	9583	1996-04-11	VYDAJ	PREVOD NA UCET	13386	33538	SIPO	EF	69415771
2893275	9583	1996-05-11	VYDAJ	PREVOD NA UCET	13386	56975	SIPO	EF	69415771
2893276	9583	1996-06-11	VYDAJ	PREVOD NA UCET	13386	54137	SIPO	EF	69415771
2893277	9583	1996-07-11	VYDAJ	PREVOD NA UCET	13386	34053	SIPO	EF	69415771
2893278	9583	1996-08-11	VYDAJ	PREVOD NA UCET	13386	40663	SIPO	EF	69415771
2893279	9583	1996-09-11	VYDAJ	PREVOD NA UCET	13386	37209	SIPO	EF	69415771
2893280	9583	1996-10-11	VYDAJ	PREVOD NA UCET	13386	24523	SIPO	EF	69415771
2893281	9583	1996-11-11	VYDAJ	PREVOD NA UCET	13386	25340	SIPO	EF	69415771
2893282	9583	1996-12-11	VYDAJ	PREVOD NA UCET	13386	39112	SIPO	EF	69415771
2893283	9583	1997-01-11	VYDAJ	PREVOD NA UCET	13386	49997	SIPO	EF	69415771
2893284	9583	1997-02-11	VYDAJ	PREVOD NA UCET	13386	32013	SIPO	EF	69415771
2893285	9583	1997-03-11	VYDAJ	PREVOD NA UCET	13386	54328	SIPO	EF	69415771
2893286	9583	1997-04-11	VYDAJ	PREVOD NA UCET	13386	54736	SIPO	EF	69415771
2893287	9583	1997-05-11	VYDAJ	PREVOD NA UCET	13386	69965	SIPO	EF	69415771
2893288	9583	1997-06-11	VYDAJ	PREVOD NA UCET	13386	22522	SIPO	EF	69415771
2893289	9583	1997-07-11	VYDAJ	PREVOD NA UCET	13386	72940	SIPO	EF	69415771
2893290	9583	1997-08-11	VYDAJ	PREVOD NA UCET	13386	72611	SIPO	EF	69415771
2893291	9583	1997-09-11	VYDAJ	PREVOD NA UCET	13386	49491	SIPO	EF	69415771
2893292	9583	1997-10-11	VYDAJ	PREVOD NA UCET	13386	79584	SIPO	EF	69415771
2893293	9583	1997-11-11	VYDAJ	PREVOD NA UCET	13386	95595	SIPO	EF	69415771
2893294	9583	1997-12-11	VYDAJ	PREVOD NA UCET	13386	60497	SIPO	EF	69415771
2893295	9583	1998-01-11	VYDAJ	PREVOD NA UCET	13386	80697	SIPO	EF	69415771
2893296	9583	1998-02-11	VYDAJ	PREVOD NA UCET	13386	85322	SIPO	EF	69415771
2893297	9583	1998-03-11	VYDAJ	PREVOD NA UCET	13386	52805	SIPO	EF	69415771
2893298	9583	1998-04-11	VYDAJ	PREVOD NA UCET	13386	58355	SIPO	EF	69415771
2893299	9583	1998-05-11	VYDAJ	PREVOD NA UCET	13386	39835	SIPO	EF	69415771
2893300	9583	1998-06-11	VYDAJ	PREVOD NA UCET	13386	67722	SIPO	EF	69415771
2893301	9583	1998-07-11	VYDAJ	PREVOD NA UCET	13386	70270	SIPO	EF	69415771
2893302	9583	1998-08-11	VYDAJ	PREVOD NA UCET	13386	65118	SIPO	EF	69415771
2893303	9583	1998-09-11	VYDAJ	PREVOD NA UCET	13386	78219	SIPO	EF	69415771
2893304	9583	1998-10-11	VYDAJ	PREVOD NA UCET	13386	78371	SIPO	EF	69415771
2893305	9583	1998-11-11	VYDAJ	PREVOD NA UCET	13386	89469	SIPO	EF	69415771
2893306	9583	1998-12-11	VYDAJ	PREVOD NA UCET	13386	69503	SIPO	EF	69415771
2893308	9583	1995-06-07	VYBER	VYBER	20935	55506	\N	\N	\N
2893310	9583	1995-02-25	VYBER	VYBER	11594	41882	\N	\N	\N
2893311	9583	1995-11-04	VYBER	VYBER	14153	83350	\N	\N	\N
2893314	9583	1995-01-18	VYBER	VYBER	24826	20860	\N	\N	\N
2893315	9583	1995-08-05	VYBER	VYBER	12969	37228	\N	\N	\N
2893316	9583	1995-11-16	VYBER	VYBER	12679	43276	\N	\N	\N
2893317	9583	1995-04-03	VYBER	VYBER	13395	29866	\N	\N	\N
2893318	9583	1995-06-27	VYBER	VYBER	15314	42607	\N	\N	\N
2893319	9583	1995-08-26	VYBER	VYBER	3294	68773	\N	\N	\N
2893320	9583	1995-04-07	VYBER	VYBER	11069	14297	\N	\N	\N
2893322	9583	1996-07-11	VYBER	VYBER	22372	47439	\N	\N	\N
2893324	9583	1996-07-07	VYBER	VYBER	14037	79911	\N	\N	\N
2893325	9583	1996-01-08	VYBER	VYBER	9240	37361	\N	\N	\N
2893327	9583	1996-10-09	VYBER	VYBER	9418	37909	\N	\N	\N
2893328	9583	1996-09-09	VYBER	VYBER	24224	50595	\N	\N	\N
2893329	9583	1996-02-16	VYBER	VYBER	20089	42302	\N	\N	\N
2893332	9583	1996-03-22	VYBER	VYBER	8778	27900	\N	\N	\N
2893333	9583	1996-09-30	VYBER	VYBER	5083	27957	\N	\N	\N
2893335	9583	1997-02-06	VYBER	VYBER	12216	45399	\N	\N	\N
2893336	9583	1997-09-08	VYBER	VYBER	21294	62877	\N	\N	\N
2893338	9583	1997-11-15	VYBER	VYBER	21018	70215	\N	\N	\N
2893339	9583	1997-05-14	VYBER	VYBER	16432	49170	\N	\N	\N
2893340	9583	1997-04-18	VYBER	VYBER	4009	46365	\N	\N	\N
2893341	9583	1997-07-10	VYBER	VYBER	2303	86326	\N	\N	\N
2893342	9583	1997-01-28	VYBER	VYBER	23432	52778	\N	\N	\N
2893344	9583	1997-10-24	VYBER	VYBER	21520	86264	\N	\N	\N
2893345	9583	1997-03-17	VYBER	VYBER	14292	35673	\N	\N	\N
2893346	9583	1998-07-26	VYBER	VYBER	5670	90162	\N	\N	\N
2893347	9583	1998-10-30	VYBER	VYBER	5880	68407	\N	\N	\N
2893348	9583	1998-04-27	VYBER	VYBER	16460	37795	\N	\N	\N
2893349	9583	1998-04-09	VYBER	VYBER	17467	71741	\N	\N	\N
2893350	9583	1998-03-08	VYBER	VYBER	18065	53552	\N	\N	\N
2893351	9583	1998-01-25	VYBER	VYBER	4794	63957	\N	\N	\N
2893352	9583	1998-09-10	VYBER	VYBER	4912	91605	\N	\N	\N
2893353	9583	1998-09-13	VYBER	VYBER	12564	65655	\N	\N	\N
2893354	9583	1998-10-22	VYBER	VYBER	14213	66987	\N	\N	\N
2893358	9583	1997-06-11	VYDAJ	VYBER	19500	35908	\N	\N	\N
2893359	9583	1998-06-25	VYDAJ	VYBER	16500	83591	\N	\N	\N
2893362	9583	1996-01-28	VYDAJ	VYBER	4200	27812	\N	\N	\N
2893363	9583	1997-01-12	VYDAJ	VYBER	5400	40234	\N	\N	\N
2893364	9583	1998-01-22	VYDAJ	VYBER	11700	68751	\N	\N	\N
2893366	9583	1995-12-24	VYDAJ	VYBER	6900	46457	\N	\N	\N
2893367	9583	1996-12-25	VYDAJ	VYBER	4200	30549	\N	\N	\N
2893368	9583	1997-12-14	VYDAJ	VYBER	5100	51034	\N	\N	\N
2893369	9583	1998-12-07	VYDAJ	VYBER	7800	82889	\N	\N	\N
2893375	9583	1995-11-06	VYDAJ	VYBER	12000	81841	\N	\N	\N
2893378	9583	1995-07-14	VYDAJ	VYBER	8100	67805	\N	\N	\N
2893381	9583	1996-08-05	VYDAJ	VYBER	8400	39149	\N	\N	\N
2893384	9583	1996-12-06	VYDAJ	VYBER	11700	41798	\N	\N	\N
2893385	9583	1997-05-31	VYDAJ	VYBER	12600	36808	\N	\N	\N
2893386	9583	1997-06-05	VYDAJ	VYBER	7800	49108	\N	\N	\N
2893387	9583	1997-08-22	VYDAJ	VYBER	14400	90632	\N	\N	\N
2893388	9583	1997-06-29	VYDAJ	VYBER	5700	98615	\N	\N	\N
2893389	9583	1998-11-19	VYDAJ	VYBER	10200	71469	\N	\N	\N
2893390	9583	1998-11-28	VYDAJ	VYBER	9900	81152	\N	\N	\N
2893391	9583	1998-03-02	VYDAJ	VYBER	10200	76417	\N	\N	\N
2893392	9583	1998-08-08	VYDAJ	VYBER	6900	78504	\N	\N	\N
2893393	9583	1998-02-14	VYDAJ	VYBER	3000	82322	\N	\N	\N
2893394	9583	1998-11-19	VYDAJ	VYBER	7800	81669	\N	\N	\N
2893408	9583	1995-01-31	VYDAJ	VYBER	30	20974	SLUZBY	\N	\N
2893409	9583	1995-02-28	VYDAJ	VYBER	30	42057	SLUZBY	\N	\N
2893410	9583	1995-03-31	VYDAJ	VYBER	30	43261	SLUZBY	\N	\N
2893411	9583	1995-04-30	VYDAJ	VYBER	30	21736	SLUZBY	\N	\N
2893412	9583	1995-05-31	VYDAJ	VYBER	30	27445	SLUZBY	\N	\N
2893413	9583	1995-06-30	VYDAJ	VYBER	30	51155	SLUZBY	\N	\N
2893414	9583	1995-07-31	VYDAJ	VYBER	30	50197	SLUZBY	\N	\N
2893415	9583	1995-08-31	VYDAJ	VYBER	30	68942	SLUZBY	\N	\N
2893416	9583	1995-09-30	VYDAJ	VYBER	30	82422	SLUZBY	\N	\N
2893417	9583	1995-10-31	VYDAJ	VYBER	30	97503	SLUZBY	\N	\N
2893418	9583	1995-11-30	VYDAJ	VYBER	30	43501	SLUZBY	\N	\N
2893419	9583	1995-12-31	VYDAJ	VYBER	30	46601	SLUZBY	\N	\N
2893420	9583	1996-01-31	VYDAJ	VYBER	30	27940	SLUZBY	\N	\N
2893421	9583	1996-02-29	VYDAJ	VYBER	30	42426	SLUZBY	\N	\N
2893422	9583	1996-03-31	VYDAJ	VYBER	30	28024	SLUZBY	\N	\N
2893423	9583	1996-04-30	VYDAJ	VYBER	30	29266	SLUZBY	\N	\N
2893424	9583	1996-05-31	VYDAJ	VYBER	30	52770	SLUZBY	\N	\N
2893425	9583	1996-06-30	VYDAJ	VYBER	30	93982	SLUZBY	\N	\N
2893426	9583	1996-07-31	VYDAJ	VYBER	30	29861	SLUZBY	\N	\N
2893427	9583	1996-08-31	VYDAJ	VYBER	30	81219	SLUZBY	\N	\N
2893428	9583	1996-09-30	VYDAJ	VYBER	30	27927	SLUZBY	\N	\N
2893429	9583	1996-10-31	VYDAJ	VYBER	30	20226	SLUZBY	\N	\N
2893430	9583	1996-11-30	VYDAJ	VYBER	30	53498	SLUZBY	\N	\N
2893431	9583	1996-12-31	VYDAJ	VYBER	30	66883	SLUZBY	\N	\N
2893432	9583	1997-01-31	VYDAJ	VYBER	30	53015	SLUZBY	\N	\N
2893433	9583	1997-02-28	VYDAJ	VYBER	30	27766	SLUZBY	\N	\N
2893434	9583	1997-03-31	VYDAJ	VYBER	30	35791	SLUZBY	\N	\N
2893435	9583	1997-04-30	VYDAJ	VYBER	30	92951	SLUZBY	\N	\N
2893436	9583	1997-05-31	VYDAJ	VYBER	30	49408	SLUZBY	\N	\N
2893437	9583	1997-06-30	VYDAJ	VYBER	30	98829	SLUZBY	\N	\N
2893438	9583	1997-07-31	VYDAJ	VYBER	30	114579	SLUZBY	\N	\N
2893439	9583	1997-08-31	VYDAJ	VYBER	30	90971	SLUZBY	\N	\N
2893440	9583	1997-09-30	VYDAJ	VYBER	30	80014	SLUZBY	\N	\N
2893441	9583	1997-10-31	VYDAJ	VYBER	30	86580	SLUZBY	\N	\N
2893442	9583	1997-11-30	VYDAJ	VYBER	30	66383	SLUZBY	\N	\N
2893443	9583	1997-12-31	VYDAJ	VYBER	30	70500	SLUZBY	\N	\N
2893444	9583	1998-01-31	VYDAJ	VYBER	30	75149	SLUZBY	\N	\N
2893445	9583	1998-02-28	VYDAJ	VYBER	30	121517	SLUZBY	\N	\N
2893446	9583	1998-03-31	VYDAJ	VYBER	30	84063	SLUZBY	\N	\N
2893447	9583	1998-04-30	VYDAJ	VYBER	30	38021	SLUZBY	\N	\N
2893448	9583	1998-05-31	VYDAJ	VYBER	30	85308	SLUZBY	\N	\N
2893449	9583	1998-06-30	VYDAJ	VYBER	30	122596	SLUZBY	\N	\N
2893450	9583	1998-07-31	VYDAJ	VYBER	30	85404	SLUZBY	\N	\N
2893451	9583	1998-08-31	VYDAJ	VYBER	30	70577	SLUZBY	\N	\N
2893452	9583	1998-09-30	VYDAJ	VYBER	30	91757	SLUZBY	\N	\N
2893453	9583	1998-10-31	VYDAJ	VYBER	30	68707	SLUZBY	\N	\N
2893454	9583	1998-11-30	VYDAJ	VYBER	30	90689	SLUZBY	\N	\N
2893455	9583	1994-06-21	PRIJEM	VKLAD	14600	14900	\N	\N	\N
2893456	9583	1994-07-21	PRIJEM	VKLAD	6900	21800	\N	\N	\N
2893457	9583	1994-08-20	PRIJEM	VKLAD	4200	26000	\N	\N	\N
2893458	9583	1994-09-19	VYDAJ	VYBER	9000	35780	\N	\N	\N
2893459	9583	1994-10-19	VYDAJ	VYBER	6100	29866	\N	\N	\N
2893460	9583	1994-11-18	VYDAJ	VYBER	20400	49594	\N	\N	\N
2893461	9583	1994-12-18	VYDAJ	VYBER	15400	42533	\N	\N	\N
2893462	9583	1995-01-17	VYDAJ	VYBER	23500	45686	\N	\N	\N
2893463	9583	1995-02-11	VYDAJ	VYBER	44800	72009	\N	\N	\N
2893464	9583	1995-02-16	VYDAJ	VYBER	28400	53476	\N	\N	\N
2893465	9583	1995-03-18	VYDAJ	VYBER	19300	48189	\N	\N	\N
2893466	9583	1995-04-17	PRIJEM	VKLAD	8800	21680	\N	\N	\N
2893467	9583	1995-05-17	PRIJEM	VKLAD	2000	27376	\N	\N	\N
2893468	9583	1995-06-16	VYDAJ	VYBER	21200	57921	\N	\N	\N
2893469	9583	1995-07-16	VYDAJ	VYBER	13200	54605	\N	\N	\N
2893470	9583	1995-08-15	PRIJEM	VKLAD	7600	27942	\N	\N	\N
2893471	9583	1995-09-14	VYDAJ	VYBER	28100	63401	\N	\N	\N
2893472	9583	1995-09-30	VYDAJ	VYBER	37300	82452	\N	\N	\N
2893473	9583	1995-10-14	VYDAJ	VYBER	10500	54636	\N	\N	\N
2893474	9583	1995-11-13	VYDAJ	VYBER	9200	55955	\N	\N	\N
2893475	9583	1995-12-13	PRIJEM	VKLAD	8400	34153	\N	\N	\N
2893476	9583	1996-01-12	PRIJEM	VKLAD	12400	36375	\N	\N	\N
2893477	9583	1996-02-11	PRIJEM	VKLAD	16500	44440	\N	\N	\N
2893478	9583	1996-03-12	PRIJEM	VKLAD	12000	41040	\N	\N	\N
2893479	9583	1996-04-11	PRIJEM	VKLAD	18900	46924	\N	\N	\N
2893480	9583	1996-05-11	PRIJEM	VKLAD	700	70361	\N	\N	\N
2893481	9583	1996-06-10	VYDAJ	VYBER	8500	67523	\N	\N	\N
2893482	9583	1996-07-05	VYDAJ	VYBER	49400	93948	\N	\N	\N
2893483	9583	1996-07-10	VYDAJ	VYBER	10100	69811	\N	\N	\N
2893484	9583	1996-08-09	PRIJEM	VKLAD	14900	54049	\N	\N	\N
2893485	9583	1996-09-08	VYDAJ	VYBER	6400	74819	\N	\N	\N
2893486	9583	1996-10-08	PRIJEM	VKLAD	19400	47327	\N	\N	\N
2893487	9583	1996-11-07	PRIJEM	VKLAD	18500	38726	\N	\N	\N
2893488	9583	1996-12-07	PRIJEM	VKLAD	10700	52498	\N	\N	\N
2893489	9583	1997-01-06	VYDAJ	VYBER	3500	63383	\N	\N	\N
2893490	9583	1997-02-05	PRIJEM	VKLAD	4600	57615	\N	\N	\N
2893491	9583	1997-03-07	PRIJEM	VKLAD	1300	29066	\N	\N	\N
2893492	9583	1997-04-06	PRIJEM	VKLAD	300	68122	\N	\N	\N
2893493	9583	1997-04-24	VYDAJ	VYBER	62800	56209	\N	\N	\N
2893494	9583	1997-05-06	VYDAJ	VYBER	9600	83351	\N	\N	\N
2893495	9583	1997-06-05	PRIJEM	VKLAD	20100	56908	\N	\N	\N
2893496	9583	1997-06-24	VYDAJ	VYBER	47700	85633	\N	\N	\N
2893497	9583	1997-07-05	VYDAJ	VYBER	10200	88629	\N	\N	\N
2893498	9583	1997-07-17	VYDAJ	VYBER	60200	65284	\N	\N	\N
2893499	9583	1997-07-31	VYDAJ	VYBER	43600	70979	\N	\N	\N
2893500	9583	1997-08-04	VYDAJ	VYBER	10900	85997	\N	\N	\N
2893501	9583	1997-09-03	VYDAJ	VYBER	6800	84171	\N	\N	\N
2893502	9583	1997-10-03	PRIJEM	VKLAD	3100	83114	\N	\N	\N
2893503	9583	1997-10-04	VYDAJ	VYBER	52600	74061	\N	\N	\N
2893504	9583	1997-11-02	VYDAJ	VYBER	1600	84980	\N	\N	\N
2893505	9583	1997-11-08	VYDAJ	VYBER	45000	108981	\N	\N	\N
2893506	9583	1997-11-23	VYDAJ	VYBER	54600	94154	\N	\N	\N
2893507	9583	1997-11-28	VYDAJ	VYBER	53100	65982	\N	\N	\N
2893508	9583	1997-12-02	PRIJEM	VKLAD	7500	73883	\N	\N	\N
2893509	9583	1998-01-01	PRIJEM	VKLAD	3800	74300	\N	\N	\N
2893510	9583	1998-01-12	VYDAJ	VYBER	40400	87625	\N	\N	\N
2893511	9583	1998-01-19	VYDAJ	VYBER	35500	80451	\N	\N	\N
2893512	9583	1998-01-31	PRIJEM	VKLAD	10900	75179	\N	\N	\N
2893513	9583	1998-02-03	VYDAJ	VYBER	19700	103908	\N	\N	\N
2893514	9583	1998-02-22	VYDAJ	VYBER	45800	74222	\N	\N	\N
2893515	9583	1998-02-28	VYDAJ	VYBER	46700	74817	\N	\N	\N
2893516	9583	1998-03-02	PRIJEM	VKLAD	11800	86617	\N	\N	\N
2893517	9583	1998-04-01	VYDAJ	VYBER	3100	80963	\N	\N	\N
2893518	9583	1998-05-01	PRIJEM	VKLAD	18800	56821	\N	\N	\N
2893519	9583	1998-05-31	VYDAJ	VYBER	300	85008	\N	\N	\N
2893520	9583	1998-06-30	VYDAJ	VYBER	21600	100996	\N	\N	\N
2893521	9583	1998-06-30	VYDAJ	VYBER	9100	91896	\N	\N	\N
2893522	9583	1998-07-08	VYDAJ	VYBER	40000	83656	\N	\N	\N
2893523	9583	1998-07-30	VYDAJ	VYBER	5100	85062	\N	\N	\N
2893524	9583	1998-08-29	PRIJEM	VKLAD	8700	70318	\N	\N	\N
2893525	9583	1998-09-28	VYDAJ	VYBER	8600	91457	\N	\N	\N
2893526	9583	1998-10-16	VYDAJ	VYBER	48100	73298	\N	\N	\N
2893527	9583	1998-10-28	PRIJEM	VKLAD	7300	74287	\N	\N	\N
2893528	9583	1998-11-27	VYDAJ	VYBER	10400	91052	\N	\N	\N
2895443	9591	1993-05-20	PRIJEM	VKLAD	400	400	\N	\N	\N
2895444	9591	1993-08-31	PRIJEM	VKLAD	13451	69810	\N	\N	\N
2895447	9591	1993-12-13	PRIJEM	VKLAD	12480	30884	\N	\N	\N
2895448	9591	1993-06-21	PRIJEM	VKLAD	46443	93577	\N	\N	\N
2895450	9591	1993-08-20	PRIJEM	VKLAD	19043	51935	\N	\N	\N
2895451	9591	1993-06-09	PRIJEM	VKLAD	44590	58332	\N	\N	\N
2895452	9591	1993-08-24	PRIJEM	VKLAD	8524	56359	\N	\N	\N
2895453	9591	1993-11-11	PRIJEM	VKLAD	12525	85011	\N	\N	\N
2895454	9591	1993-06-03	PRIJEM	VKLAD	13342	13742	\N	\N	\N
2895459	9591	1993-11-06	PRIJEM	VKLAD	35456	76632	\N	\N	\N
2895460	9591	1993-10-09	PRIJEM	VKLAD	24848	69038	\N	\N	\N
2895461	9591	1993-11-23	PRIJEM	VKLAD	11165	60976	\N	\N	\N
2895462	9591	1993-09-05	PRIJEM	VKLAD	16658	77715	\N	\N	\N
2895464	9591	1993-06-12	PRIJEM	VKLAD	8294	66626	\N	\N	\N
2895465	9591	1993-09-08	PRIJEM	VKLAD	46093	123808	\N	\N	\N
2895466	9591	1993-06-15	PRIJEM	VKLAD	6208	72834	\N	\N	\N
2895468	9591	1994-05-06	PRIJEM	VKLAD	46716	147603	\N	\N	\N
2895469	9591	1994-02-07	PRIJEM	VKLAD	17532	47398	\N	\N	\N
2895470	9591	1994-11-30	PRIJEM	VKLAD	13725	81662	\N	\N	\N
2895471	9591	1994-09-03	PRIJEM	VKLAD	36608	100514	\N	\N	\N
2895472	9591	1994-12-14	PRIJEM	VKLAD	14316	50564	\N	\N	\N
2895473	9591	1994-03-09	PRIJEM	VKLAD	32012	74716	\N	\N	\N
2895474	9591	1994-01-03	PRIJEM	VKLAD	18760	40345	\N	\N	\N
2895475	9591	1994-08-29	PRIJEM	VKLAD	34331	63757	\N	\N	\N
2895476	9591	1994-05-28	PRIJEM	VKLAD	15483	45430	\N	\N	\N
2895477	9591	1994-03-27	PRIJEM	VKLAD	12499	54454	\N	\N	\N
2895478	9591	1994-06-23	PRIJEM	VKLAD	23008	77803	\N	\N	\N
2895479	9591	1994-12-24	PRIJEM	VKLAD	26371	73935	\N	\N	\N
2895480	9591	1994-12-30	PRIJEM	VKLAD	23168	127659	\N	\N	\N
2895481	9591	1994-12-25	PRIJEM	VKLAD	30556	104491	\N	\N	\N
2895482	9591	1994-11-21	PRIJEM	VKLAD	40552	67758	\N	\N	\N
2895483	9591	1994-09-06	PRIJEM	VKLAD	49490	146004	\N	\N	\N
2895484	9591	1994-03-07	PRIJEM	VKLAD	8213	42704	\N	\N	\N
2895485	9591	1994-06-06	PRIJEM	VKLAD	48766	94441	\N	\N	\N
2895486	9591	1994-03-13	PRIJEM	VKLAD	49618	120188	\N	\N	\N
2895487	9591	1994-05-01	PRIJEM	VKLAD	42713	100887	\N	\N	\N
2895488	9591	1994-01-12	PRIJEM	VKLAD	6853	43052	\N	\N	\N
2895489	9591	1994-04-29	PRIJEM	VKLAD	33223	111054	\N	\N	\N
2895490	9591	1994-03-28	PRIJEM	VKLAD	15072	64809	\N	\N	\N
2895491	9591	1994-07-03	PRIJEM	VKLAD	49831	127881	\N	\N	\N
2895492	9591	1994-10-12	PRIJEM	VKLAD	8209	48479	\N	\N	\N
2895493	9591	1994-09-12	PRIJEM	VKLAD	21041	115799	\N	\N	\N
2895494	9591	1994-04-01	PRIJEM	VKLAD	45921	99228	\N	\N	\N
2895495	9591	1994-04-21	PRIJEM	VKLAD	16903	87782	\N	\N	\N
2895496	9591	1994-04-18	PRIJEM	VKLAD	21796	70879	\N	\N	\N
2895497	9591	1995-03-05	PRIJEM	VKLAD	20561	39408	\N	\N	\N
2895498	9591	1996-10-31	PRIJEM	VKLAD	39749	76527	\N	\N	\N
2895499	9591	1996-07-29	PRIJEM	VKLAD	10020	27191	\N	\N	\N
2895500	9591	1996-04-26	PRIJEM	VKLAD	15280	72160	\N	\N	\N
2895501	9591	1996-01-22	PRIJEM	VKLAD	20527	26904	\N	\N	\N
2895502	9591	1996-09-22	PRIJEM	VKLAD	26460	41519	\N	\N	\N
2895503	9591	1996-04-10	PRIJEM	VKLAD	45675	65389	\N	\N	\N
2895504	9591	1996-06-10	PRIJEM	VKLAD	23503	48723	\N	\N	\N
2895505	9591	1996-10-11	PRIJEM	VKLAD	25502	56075	\N	\N	\N
2895506	9591	1996-08-17	PRIJEM	VKLAD	34889	52145	\N	\N	\N
2895507	9591	1996-03-05	PRIJEM	VKLAD	19447	35647	\N	\N	\N
2895508	9591	1997-09-27	PRIJEM	VKLAD	41294	63191	\N	\N	\N
2895509	9591	1997-06-13	PRIJEM	VKLAD	18755	105905	\N	\N	\N
2895510	9591	1997-05-21	PRIJEM	VKLAD	36120	77183	\N	\N	\N
2895511	9591	1997-06-16	PRIJEM	VKLAD	36900	121505	\N	\N	\N
2895512	9591	1997-02-19	PRIJEM	VKLAD	16811	43943	\N	\N	\N
2895513	9591	1997-04-09	PRIJEM	VKLAD	19587	76170	\N	\N	\N
2895514	9591	1997-01-29	PRIJEM	VKLAD	9199	50272	\N	\N	\N
2895515	9591	1997-04-30	PRIJEM	VKLAD	24925	49903	\N	\N	\N
2895516	9591	1997-10-14	PRIJEM	VKLAD	46893	106052	\N	\N	\N
2895517	9591	1997-05-26	PRIJEM	VKLAD	46029	123212	\N	\N	\N
2895518	9591	1997-10-28	PRIJEM	VKLAD	28547	78446	\N	\N	\N
2895519	9591	1997-03-27	PRIJEM	VKLAD	31408	84102	\N	\N	\N
2895520	9591	1997-07-13	PRIJEM	VKLAD	36375	77119	\N	\N	\N
2895521	9591	1997-06-09	PRIJEM	VKLAD	6608	91296	\N	\N	\N
2895522	9591	1997-01-05	PRIJEM	VKLAD	35916	59590	\N	\N	\N
2895523	9591	1997-08-16	PRIJEM	VKLAD	27102	54688	\N	\N	\N
2895524	9591	1997-06-04	PRIJEM	VKLAD	37048	89788	\N	\N	\N
2895525	9591	1997-10-21	PRIJEM	VKLAD	7431	109983	\N	\N	\N
2895526	9591	1997-06-23	PRIJEM	VKLAD	41258	125363	\N	\N	\N
2895527	9591	1997-01-11	PRIJEM	VKLAD	11592	67036	\N	\N	\N
2895528	9591	1997-03-18	PRIJEM	VKLAD	45153	69320	\N	\N	\N
2895529	9591	1997-04-06	PRIJEM	VKLAD	14682	56583	\N	\N	\N
2895530	9591	1998-09-07	PRIJEM	VKLAD	5185	13836	\N	\N	\N
2895531	9591	1998-06-02	PRIJEM	VKLAD	29771	37207	\N	\N	\N
2895532	9591	1998-02-27	PRIJEM	VKLAD	43018	48699	\N	\N	\N
2895539	9591	1993-07-18	VYDAJ	VYBER	3400	74348	\N	\N	0
2895540	9591	1993-08-20	VYDAJ	VYBER	4100	47835	\N	\N	0
2895541	9591	1993-09-10	VYDAJ	VYBER	4100	63662	\N	\N	0
2895542	9591	1993-10-20	VYDAJ	VYBER	4900	40992	\N	\N	0
2895543	9591	1993-11-21	VYDAJ	VYBER	4700	49811	\N	\N	0
2895544	9591	1993-12-09	VYDAJ	VYBER	4400	22550	\N	\N	0
2895545	9591	1994-01-12	VYDAJ	VYBER	4500	38552	\N	\N	0
2895546	9591	1994-02-04	VYDAJ	VYBER	4200	29866	\N	\N	0
2895547	9591	1994-03-20	VYDAJ	VYBER	4200	41955	\N	\N	0
2895548	9591	1994-04-14	VYDAJ	VYBER	4200	77983	\N	\N	0
2895549	9591	1994-05-17	VYDAJ	VYBER	3500	50657	\N	\N	0
2895550	9591	1994-06-10	VYDAJ	VYBER	5300	84995	\N	\N	0
2895551	9591	1994-07-12	VYDAJ	VYBER	3900	56161	\N	\N	0
2895552	9591	1994-08-20	VYDAJ	VYBER	4800	29426	\N	\N	0
2895553	9591	1994-09-04	VYDAJ	VYBER	4000	96514	\N	\N	0
2895554	9591	1994-10-09	VYDAJ	VYBER	4000	44416	\N	\N	0
2895555	9591	1994-11-02	VYDAJ	VYBER	3800	29952	\N	\N	0
2895556	9591	1994-12-05	VYDAJ	VYBER	5100	48194	\N	\N	0
2895557	9591	1995-01-02	VYDAJ	VYBER	5300	71605	\N	\N	0
2895558	9591	1995-02-08	VYDAJ	VYBER	5200	18723	\N	\N	0
2895559	9591	1995-03-14	VYDAJ	VYBER	3700	25662	\N	\N	0
2895560	9591	1995-04-12	VYDAJ	PREVOD NA UCET	4363	17439	UVER	WX	37543189
2895561	9591	1995-05-12	VYDAJ	PREVOD NA UCET	4363	16800	UVER	WX	37543189
2895562	9591	1995-06-12	VYDAJ	PREVOD NA UCET	4363	14447	UVER	WX	37543189
2895563	9591	1995-07-12	VYDAJ	PREVOD NA UCET	4363	9687	UVER	WX	37543189
2895564	9591	1995-08-12	VYDAJ	PREVOD NA UCET	4363	8709	UVER	WX	37543189
2895565	9591	1995-09-12	VYDAJ	PREVOD NA UCET	4363	9023	UVER	WX	37543189
2895566	9591	1995-10-12	VYDAJ	PREVOD NA UCET	4363	10137	UVER	WX	37543189
2895567	9591	1995-11-12	VYDAJ	PREVOD NA UCET	4363	9354	UVER	WX	37543189
2895568	9591	1995-12-12	VYDAJ	PREVOD NA UCET	4363	6670	UVER	WX	37543189
2895569	9591	1996-01-12	VYDAJ	PREVOD NA UCET	4363	6377	UVER	WX	37543189
2895570	9591	1996-02-12	VYDAJ	PREVOD NA UCET	4363	16135	UVER	WX	37543189
2895571	9591	1996-03-12	VYDAJ	PREVOD NA UCET	4363	20939	UVER	WX	37543189
2895572	9591	1996-04-12	VYDAJ	PREVOD NA UCET	4363	56880	UVER	WX	37543189
2895573	9591	1996-05-12	VYDAJ	PREVOD NA UCET	4363	23191	UVER	WX	37543189
2895574	9591	1996-06-12	VYDAJ	PREVOD NA UCET	4363	40214	UVER	WX	37543189
2895575	9591	1996-07-12	VYDAJ	PREVOD NA UCET	4363	17171	UVER	WX	37543189
2895576	9591	1996-08-12	VYDAJ	PREVOD NA UCET	4363	17256	UVER	WX	37543189
2895577	9591	1996-09-12	VYDAJ	PREVOD NA UCET	4363	15059	UVER	WX	37543189
2895578	9591	1996-10-12	VYDAJ	PREVOD NA UCET	4363	51712	UVER	WX	37543189
2895579	9591	1996-11-12	VYDAJ	PREVOD NA UCET	4363	42975	UVER	WX	37543189
2895580	9591	1996-12-12	VYDAJ	PREVOD NA UCET	4363	24278	UVER	WX	37543189
2895581	9591	1997-01-12	VYDAJ	PREVOD NA UCET	4363	62673	UVER	WX	37543189
2895582	9591	1997-02-12	VYDAJ	PREVOD NA UCET	4363	27132	UVER	WX	37543189
2895583	9591	1997-03-12	VYDAJ	PREVOD NA UCET	4363	24167	UVER	WX	37543189
2895584	9591	1997-04-12	VYDAJ	PREVOD NA UCET	4363	67661	UVER	WX	37543189
2895585	9591	1997-05-11	VYDAJ	VYBER	4900	41063	\N	\N	0
2895586	9591	1997-06-07	VYDAJ	VYBER	5100	84688	\N	\N	0
2895587	9591	1997-07-09	VYDAJ	VYBER	5000	44890	\N	\N	0
2895588	9591	1997-08-16	VYDAJ	VYBER	5200	49488	\N	\N	0
2895589	9591	1997-09-04	VYDAJ	VYBER	4200	28243	\N	\N	0
2895590	9591	1997-10-18	VYDAJ	VYBER	3500	102552	\N	\N	0
2895591	9591	1997-11-13	VYDAJ	VYBER	3300	48270	\N	\N	0
2895592	9591	1997-12-10	VYDAJ	VYBER	4200	18359	\N	\N	0
2895593	9591	1998-01-12	VYDAJ	VYBER	4500	9792	\N	\N	0
2895595	9591	1998-03-16	VYDAJ	VYBER	4700	39886	\N	\N	0
2895596	9591	1998-04-18	VYDAJ	VYBER	3900	16690	\N	\N	0
2895597	9591	1998-05-09	VYDAJ	VYBER	5200	11559	\N	\N	0
2895598	9591	1998-06-02	VYDAJ	VYBER	4200	33007	\N	\N	0
2895599	9591	1998-07-02	VYDAJ	VYBER	3400	19461	\N	\N	0
2895600	9591	1998-08-07	VYDAJ	VYBER	5000	12771	\N	\N	0
2895611	9591	1993-07-10	VYDAJ	PREVOD NA UCET	4146	89652	SIPO	QR	26528680
2895612	9591	1993-08-10	VYDAJ	PREVOD NA UCET	4146	31592	SIPO	QR	26528680
2895613	9591	1993-09-10	VYDAJ	PREVOD NA UCET	4146	67762	SIPO	QR	26528680
2895614	9591	1993-10-10	VYDAJ	PREVOD NA UCET	4146	64892	SIPO	QR	26528680
2895615	9591	1993-11-10	VYDAJ	PREVOD NA UCET	4146	72486	SIPO	QR	26528680
2895616	9591	1993-12-10	VYDAJ	PREVOD NA UCET	4146	18404	SIPO	QR	26528680
2895617	9591	1994-01-10	VYDAJ	PREVOD NA UCET	4146	36199	SIPO	QR	26528680
2895618	9591	1994-02-10	VYDAJ	PREVOD NA UCET	4146	43252	SIPO	QR	26528680
2895619	9591	1994-03-10	VYDAJ	PREVOD NA UCET	4146	70570	SIPO	QR	26528680
2895620	9591	1994-04-10	VYDAJ	PREVOD NA UCET	4146	82183	SIPO	QR	26528680
2895621	9591	1994-05-10	VYDAJ	PREVOD NA UCET	4146	78657	SIPO	QR	26528680
2895622	9591	1994-06-10	VYDAJ	PREVOD NA UCET	4146	90295	SIPO	QR	26528680
2895623	9591	1994-07-10	VYDAJ	PREVOD NA UCET	4146	60061	SIPO	QR	26528680
2895624	9591	1994-08-10	VYDAJ	PREVOD NA UCET	4146	39826	SIPO	QR	26528680
2895625	9591	1994-09-10	VYDAJ	PREVOD NA UCET	4146	94758	SIPO	QR	26528680
2895626	9591	1994-10-10	VYDAJ	PREVOD NA UCET	4146	40270	SIPO	QR	26528680
2895627	9591	1994-11-10	VYDAJ	PREVOD NA UCET	4146	25806	SIPO	QR	26528680
2895628	9591	1994-12-10	VYDAJ	PREVOD NA UCET	4146	44048	SIPO	QR	26528680
2895629	9591	1995-01-10	VYDAJ	PREVOD NA UCET	4146	67459	SIPO	QR	26528680
2895630	9591	1995-02-10	VYDAJ	PREVOD NA UCET	4146	18777	SIPO	QR	26528680
2895631	9591	1995-03-10	VYDAJ	PREVOD NA UCET	4146	35262	SIPO	QR	26528680
2895632	9591	1995-04-10	VYDAJ	PREVOD NA UCET	4146	21801	SIPO	QR	26528680
2895633	9591	1995-05-10	VYDAJ	PREVOD NA UCET	4146	21162	SIPO	QR	26528680
2895634	9591	1995-06-10	VYDAJ	PREVOD NA UCET	4146	18810	SIPO	QR	26528680
2895635	9591	1995-07-10	VYDAJ	PREVOD NA UCET	4146	14049	SIPO	QR	26528680
2895636	9591	1995-08-10	VYDAJ	PREVOD NA UCET	4146	13072	SIPO	QR	26528680
2895637	9591	1995-09-10	VYDAJ	PREVOD NA UCET	4146	13386	SIPO	QR	26528680
2895638	9591	1995-10-10	VYDAJ	PREVOD NA UCET	4146	14499	SIPO	QR	26528680
2895639	9591	1995-11-10	VYDAJ	PREVOD NA UCET	4146	13717	SIPO	QR	26528680
2895640	9591	1995-12-10	VYDAJ	PREVOD NA UCET	4146	11033	SIPO	QR	26528680
2895641	9591	1996-01-10	VYDAJ	PREVOD NA UCET	4146	10740	SIPO	QR	26528680
2895642	9591	1996-02-10	VYDAJ	PREVOD NA UCET	4146	20497	SIPO	QR	26528680
2895643	9591	1996-03-10	VYDAJ	PREVOD NA UCET	4146	25301	SIPO	QR	26528680
2895644	9591	1996-04-10	VYDAJ	PREVOD NA UCET	4146	61243	SIPO	QR	26528680
2895645	9591	1996-05-10	VYDAJ	PREVOD NA UCET	4146	27553	SIPO	QR	26528680
2895646	9591	1996-06-10	VYDAJ	PREVOD NA UCET	4146	44577	SIPO	QR	26528680
2895647	9591	1996-07-10	VYDAJ	PREVOD NA UCET	4146	21533	SIPO	QR	26528680
2895648	9591	1996-08-10	VYDAJ	PREVOD NA UCET	4146	21618	SIPO	QR	26528680
2895649	9591	1996-09-10	VYDAJ	PREVOD NA UCET	4146	19422	SIPO	QR	26528680
2895650	9591	1996-10-10	VYDAJ	PREVOD NA UCET	4146	30573	SIPO	QR	26528680
2895651	9591	1996-11-10	VYDAJ	PREVOD NA UCET	4146	47338	SIPO	QR	26528680
2895652	9591	1996-12-10	VYDAJ	PREVOD NA UCET	4146	28641	SIPO	QR	26528680
2895653	9591	1997-01-10	VYDAJ	PREVOD NA UCET	4146	55444	SIPO	QR	26528680
2895654	9591	1997-02-10	VYDAJ	PREVOD NA UCET	4146	31495	SIPO	QR	26528680
2895655	9591	1997-03-10	VYDAJ	PREVOD NA UCET	4146	28529	SIPO	QR	26528680
2895656	9591	1997-04-10	VYDAJ	PREVOD NA UCET	4146	72024	SIPO	QR	26528680
2895657	9591	1997-05-10	VYDAJ	PREVOD NA UCET	4146	45963	SIPO	QR	26528680
2895658	9591	1997-06-10	VYDAJ	PREVOD NA UCET	4146	87150	SIPO	QR	26528680
2895659	9591	1997-07-10	VYDAJ	PREVOD NA UCET	4146	40744	SIPO	QR	26528680
2895660	9591	1997-08-10	VYDAJ	PREVOD NA UCET	4146	31632	SIPO	QR	26528680
2895661	9591	1997-09-10	VYDAJ	PREVOD NA UCET	4146	24097	SIPO	QR	26528680
2895662	9591	1997-10-10	VYDAJ	PREVOD NA UCET	4146	59159	SIPO	QR	26528680
2895663	9591	1997-11-10	VYDAJ	PREVOD NA UCET	4146	51570	SIPO	QR	26528680
2895664	9591	1997-12-10	VYDAJ	PREVOD NA UCET	4146	22559	SIPO	QR	26528680
2895665	9591	1998-01-10	VYDAJ	PREVOD NA UCET	4146	14292	SIPO	QR	26528680
2895666	9591	1998-02-10	VYDAJ	PREVOD NA UCET	4146	5681	SIPO	QR	26528680
2895667	9591	1998-03-10	VYDAJ	PREVOD NA UCET	4146	44586	SIPO	QR	26528680
2895668	9591	1998-04-10	VYDAJ	PREVOD NA UCET	4146	20590	SIPO	QR	26528680
2895669	9591	1998-05-10	VYDAJ	PREVOD NA UCET	4146	7413	SIPO	QR	26528680
2895670	9591	1998-06-10	VYDAJ	PREVOD NA UCET	4146	28861	SIPO	QR	26528680
2895671	9591	1998-07-10	VYDAJ	PREVOD NA UCET	4146	15315	SIPO	QR	26528680
2895672	9591	1998-08-10	VYDAJ	PREVOD NA UCET	4146	8625	SIPO	QR	26528680
2895673	9591	1998-09-10	VYDAJ	PREVOD NA UCET	4146	9690	SIPO	QR	26528680
2895674	9591	1998-10-10	VYDAJ	PREVOD NA UCET	4146	5563	SIPO	QR	26528680
2895678	9591	1993-09-02	VYBER	VYBER	8922	61057	\N	\N	\N
2895680	9591	1993-12-03	VYBER	VYBER	11004	35350	\N	\N	\N
2895681	9591	1993-07-13	VYBER	VYBER	11904	77748	\N	\N	\N
2895682	9591	1993-12-01	VYBER	VYBER	14864	46354	\N	\N	\N
2895684	9591	1994-03-16	VYBER	VYBER	3233	60555	\N	\N	\N
2895685	9591	1994-12-04	VYBER	VYBER	7173	53294	\N	\N	\N
2895687	9591	1994-03-27	VYBER	VYBER	4717	49737	\N	\N	\N
2895688	9591	1994-04-26	VYBER	VYBER	9951	77831	\N	\N	\N
2895689	9591	1994-03-28	VYBER	VYBER	11693	53116	\N	\N	\N
2895690	9591	1994-07-06	VYBER	VYBER	21574	64207	\N	\N	\N
2895692	9591	1994-04-02	VYBER	VYBER	12899	86329	\N	\N	\N
2895693	9591	1994-10-31	VYBER	VYBER	5986	33767	\N	\N	\N
2895694	9591	1994-09-19	VYBER	VYBER	2132	48167	\N	\N	\N
2895695	9591	1994-11-30	VYBER	VYBER	21181	60481	\N	\N	\N
2895696	9591	1994-05-18	VYBER	VYBER	20710	29947	\N	\N	\N
2895705	9591	1995-01-22	VYBER	VYBER	2943	23716	\N	\N	\N
2895711	9591	1996-06-16	VYBER	VYBER	11343	28871	\N	\N	\N
2895712	9591	1996-04-30	VYBER	VYBER	2611	66714	\N	\N	\N
2895715	9591	1996-04-30	VYBER	VYBER	3037	69325	\N	\N	\N
2895716	9591	1996-10-16	VYBER	VYBER	14934	36778	\N	\N	\N
2895717	9591	1996-08-31	VYBER	VYBER	19013	33282	\N	\N	\N
2895720	9591	1997-10-31	VYBER	VYBER	11329	67431	\N	\N	\N
2895721	9591	1997-08-03	VYBER	VYBER	4282	46278	\N	\N	\N
2895722	9591	1997-04-23	VYBER	VYBER	12360	55301	\N	\N	\N
2895723	9591	1997-08-13	VYBER	VYBER	4046	27586	\N	\N	\N
2895724	9591	1997-03-19	VYBER	VYBER	16626	52694	\N	\N	\N
2895726	9591	1997-03-27	VYBER	VYBER	17362	66740	\N	\N	\N
2895727	9591	1997-10-24	VYBER	VYBER	3984	79499	\N	\N	\N
2895729	9591	1997-04-24	VYBER	VYBER	14123	41178	\N	\N	\N
2895730	9591	1997-11-21	VYBER	VYBER	8250	40020	\N	\N	\N
2895731	9591	1997-08-17	VYBER	VYBER	6994	42494	\N	\N	\N
2895746	9591	1995-01-20	VYDAJ	VYBER	17100	26659	\N	\N	\N
2895748	9591	1997-01-22	VYDAJ	VYBER	21600	41073	\N	\N	\N
2895750	9591	1993-12-14	VYDAJ	VYBER	1500	29384	\N	\N	\N
2895751	9591	1994-12-15	VYDAJ	VYBER	3000	47564	\N	\N	\N
2895756	9591	1993-08-05	VYDAJ	VYBER	11100	35738	\N	\N	\N
2895758	9591	1993-12-07	VYDAJ	VYBER	8400	26950	\N	\N	\N
2895759	9591	1993-08-01	VYDAJ	VYBER	5700	46838	\N	\N	\N
2895760	9591	1993-12-22	VYDAJ	VYBER	6000	21484	\N	\N	\N
2895761	9591	1993-11-16	VYDAJ	VYBER	7200	77811	\N	\N	\N
2895762	9591	1994-12-30	VYDAJ	VYBER	12600	115059	\N	\N	\N
2895763	9591	1994-04-15	VYDAJ	VYBER	7500	49083	\N	\N	\N
2895769	9591	1996-09-08	VYDAJ	VYBER	6000	23568	\N	\N	\N
2895770	9591	1996-05-09	VYDAJ	VYBER	12000	31699	\N	\N	\N
2895772	9591	1997-05-31	VYDAJ	VYBER	2700	52755	\N	\N	\N
2895773	9591	1997-11-01	VYDAJ	VYBER	11700	55716	\N	\N	\N
2895774	9591	1997-04-27	VYDAJ	VYBER	9600	31578	\N	\N	\N
2895775	9591	1997-08-08	VYDAJ	VYBER	10500	35778	\N	\N	\N
2895785	9591	1993-06-30	VYDAJ	VYBER	15	93798	SLUZBY	\N	\N
2895786	9591	1993-07-31	VYDAJ	VYBER	15	52538	SLUZBY	\N	\N
2895787	9591	1993-08-31	VYDAJ	VYBER	15	69979	SLUZBY	\N	\N
2895788	9591	1993-09-30	VYDAJ	VYBER	15	44190	SLUZBY	\N	\N
2895789	9591	1993-10-31	VYDAJ	VYBER	15	41176	SLUZBY	\N	\N
2895790	9591	1993-11-30	VYDAJ	VYBER	15	61218	SLUZBY	\N	\N
2895791	9591	1993-12-31	VYDAJ	VYBER	15	21585	SLUZBY	\N	\N
2895792	9591	1994-01-31	VYDAJ	VYBER	15	34066	SLUZBY	\N	\N
2895793	9591	1994-02-28	VYDAJ	VYBER	15	34491	SLUZBY	\N	\N
2895794	9591	1994-03-31	VYDAJ	VYBER	15	53307	SLUZBY	\N	\N
2895795	9591	1994-04-30	VYDAJ	VYBER	15	58174	SLUZBY	\N	\N
2895796	9591	1994-05-31	VYDAJ	VYBER	15	45675	SLUZBY	\N	\N
2895797	9591	1994-06-30	VYDAJ	VYBER	15	78050	SLUZBY	\N	\N
2895798	9591	1994-07-31	VYDAJ	VYBER	15	43972	SLUZBY	\N	\N
2895799	9591	1994-08-31	VYDAJ	VYBER	15	63906	SLUZBY	\N	\N
2895800	9591	1994-09-30	VYDAJ	VYBER	15	48416	SLUZBY	\N	\N
2895801	9591	1994-10-31	VYDAJ	VYBER	15	33752	SLUZBY	\N	\N
2895802	9591	1994-11-30	VYDAJ	VYBER	15	60467	SLUZBY	\N	\N
2895803	9591	1994-12-31	VYDAJ	VYBER	15	76905	SLUZBY	\N	\N
2895804	9591	1995-01-31	VYDAJ	VYBER	15	23923	SLUZBY	\N	\N
2895805	9591	1995-02-28	VYDAJ	VYBER	15	18847	SLUZBY	\N	\N
2895806	9591	1995-03-31	VYDAJ	VYBER	15	25747	SLUZBY	\N	\N
2895807	9591	1995-04-30	VYDAJ	VYBER	15	17508	SLUZBY	\N	\N
2895808	9591	1995-05-31	VYDAJ	VYBER	15	16856	SLUZBY	\N	\N
2895809	9591	1995-06-30	VYDAJ	VYBER	15	14495	SLUZBY	\N	\N
2895810	9591	1995-07-31	VYDAJ	VYBER	15	9718	SLUZBY	\N	\N
2895811	9591	1995-08-31	VYDAJ	VYBER	15	8732	SLUZBY	\N	\N
2895812	9591	1995-09-30	VYDAJ	VYBER	15	9045	SLUZBY	\N	\N
2895813	9591	1995-10-31	VYDAJ	VYBER	15	10163	SLUZBY	\N	\N
2895814	9591	1995-11-30	VYDAJ	VYBER	15	9379	SLUZBY	\N	\N
2895815	9591	1995-12-31	VYDAJ	VYBER	15	6686	SLUZBY	\N	\N
2895816	9591	1996-01-31	VYDAJ	VYBER	15	26943	SLUZBY	\N	\N
2895817	9591	1996-02-29	VYDAJ	VYBER	15	16200	SLUZBY	\N	\N
2895818	9591	1996-03-31	VYDAJ	VYBER	15	21014	SLUZBY	\N	\N
2895819	9591	1996-04-30	VYDAJ	VYBER	15	66699	SLUZBY	\N	\N
2895820	9591	1996-05-31	VYDAJ	VYBER	15	23320	SLUZBY	\N	\N
2895821	9591	1996-06-30	VYDAJ	VYBER	15	28979	SLUZBY	\N	\N
2895822	9591	1996-07-31	VYDAJ	VYBER	15	27264	SLUZBY	\N	\N
2895823	9591	1996-08-31	VYDAJ	VYBER	15	33268	SLUZBY	\N	\N
2895824	9591	1996-09-30	VYDAJ	VYBER	15	41619	SLUZBY	\N	\N
2895825	9591	1996-10-31	VYDAJ	VYBER	15	76684	SLUZBY	\N	\N
2895826	9591	1996-11-30	VYDAJ	VYBER	15	32787	SLUZBY	\N	\N
2895827	9591	1996-12-31	VYDAJ	VYBER	15	23674	SLUZBY	\N	\N
2895828	9591	1997-01-31	VYDAJ	VYBER	15	35641	SLUZBY	\N	\N
2895829	9591	1997-02-28	VYDAJ	VYBER	15	44075	SLUZBY	\N	\N
2895830	9591	1997-03-31	VYDAJ	VYBER	15	41901	SLUZBY	\N	\N
2895831	9591	1997-04-30	VYDAJ	VYBER	15	50109	SLUZBY	\N	\N
2895832	9591	1997-05-31	VYDAJ	VYBER	15	52740	SLUZBY	\N	\N
2895833	9591	1997-06-30	VYDAJ	VYBER	15	49890	SLUZBY	\N	\N
2895834	9591	1997-07-31	VYDAJ	VYBER	15	50560	SLUZBY	\N	\N
2895835	9591	1997-08-31	VYDAJ	VYBER	15	32443	SLUZBY	\N	\N
2895836	9591	1997-09-30	VYDAJ	VYBER	15	63305	SLUZBY	\N	\N
2895837	9591	1997-10-31	VYDAJ	VYBER	15	67416	SLUZBY	\N	\N
2895838	9591	1997-11-30	VYDAJ	VYBER	15	26705	SLUZBY	\N	\N
2895839	9591	1997-12-31	VYDAJ	VYBER	15	18438	SLUZBY	\N	\N
2895840	9591	1998-01-31	VYDAJ	VYBER	15	9827	SLUZBY	\N	\N
2895841	9591	1998-02-28	VYDAJ	VYBER	15	48732	SLUZBY	\N	\N
2895842	9591	1998-03-31	VYDAJ	VYBER	15	24736	SLUZBY	\N	\N
2895843	9591	1998-04-30	VYDAJ	VYBER	15	16759	SLUZBY	\N	\N
2895844	9591	1998-05-31	VYDAJ	VYBER	15	7436	SLUZBY	\N	\N
2895845	9591	1998-06-30	VYDAJ	VYBER	15	22861	SLUZBY	\N	\N
2895846	9591	1998-07-31	VYDAJ	VYBER	15	17771	SLUZBY	\N	\N
2895847	9591	1998-08-31	VYDAJ	VYBER	15	8651	SLUZBY	\N	\N
2895848	9591	1998-09-30	VYDAJ	VYBER	15	9709	SLUZBY	\N	\N
2895849	9591	1998-10-31	VYDAJ	VYBER	15	5582	SLUZBY	\N	\N
2895850	9591	1998-11-30	VYDAJ	VYBER	15	5568	SLUZBY	\N	\N
2895851	9591	1993-06-19	VYDAJ	VYBER	25700	47134	\N	\N	\N
2895852	9591	1993-07-19	VYDAJ	VYBER	22100	52248	\N	\N	\N
2895853	9591	1993-08-18	PRIJEM	VKLAD	1300	32892	\N	\N	\N
2895854	9591	1993-09-08	VYDAJ	VYBER	51900	71908	\N	\N	\N
2895855	9591	1993-09-17	VYDAJ	VYBER	19700	43962	\N	\N	\N
2895856	9591	1993-10-17	VYDAJ	VYBER	19000	45892	\N	\N	\N
2895857	9591	1993-11-16	VYDAJ	VYBER	23300	54511	\N	\N	\N
2895858	9591	1993-12-16	VYDAJ	VYBER	1900	27484	\N	\N	\N
2895859	9591	1994-01-15	VYDAJ	VYBER	4600	33952	\N	\N	\N
2895860	9591	1994-02-14	VYDAJ	VYBER	8900	34352	\N	\N	\N
2895861	9591	1994-03-13	VYDAJ	VYBER	56400	63788	\N	\N	\N
2895862	9591	1994-03-16	VYDAJ	VYBER	14400	46155	\N	\N	\N
2895863	9591	1994-04-15	VYDAJ	VYBER	21400	56583	\N	\N	\N
2895864	9591	1994-04-30	VYDAJ	VYBER	53200	58189	\N	\N	\N
2895865	9591	1994-05-06	VYDAJ	VYBER	27900	119703	\N	\N	\N
2895866	9591	1994-05-10	VYDAJ	VYBER	36900	82803	\N	\N	\N
2895867	9591	1994-05-15	VYDAJ	VYBER	24500	54157	\N	\N	\N
2895868	9591	1994-06-14	VYDAJ	VYBER	30200	54795	\N	\N	\N
2895869	9591	1994-07-03	VYDAJ	VYBER	42100	85781	\N	\N	\N
2895870	9591	1994-07-14	VYDAJ	VYBER	12400	43761	\N	\N	\N
2895871	9591	1994-08-13	VYDAJ	VYBER	5600	34226	\N	\N	\N
2895872	9591	1994-09-06	VYDAJ	VYBER	47100	98904	\N	\N	\N
2895873	9591	1994-09-12	VYDAJ	VYBER	45400	70399	\N	\N	\N
2895874	9591	1994-09-12	VYDAJ	VYBER	20100	50299	\N	\N	\N
2895875	9591	1994-10-12	VYDAJ	VYBER	8900	39579	\N	\N	\N
2895876	9591	1994-11-11	PRIJEM	VKLAD	1400	27206	\N	\N	\N
2895877	9591	1994-12-11	VYDAJ	VYBER	7800	36248	\N	\N	\N
2895878	9591	1994-12-30	VYDAJ	VYBER	38400	76659	\N	\N	\N
2895879	9591	1995-01-10	VYDAJ	VYBER	23700	43759	\N	\N	\N
2895880	9591	1995-02-09	PRIJEM	VKLAD	4200	22923	\N	\N	\N
2895881	9591	1995-03-11	VYDAJ	VYBER	5900	29362	\N	\N	\N
2895882	9591	1995-04-10	PRIJEM	VKLAD	200	25947	\N	\N	\N
2895883	9591	1995-05-10	PRIJEM	VKLAD	7800	25308	\N	\N	\N
2895884	9591	1995-06-09	PRIJEM	VKLAD	6100	22956	\N	\N	\N
2895885	9591	1995-07-09	PRIJEM	VKLAD	3700	18195	\N	\N	\N
2895886	9591	1995-08-08	PRIJEM	VKLAD	7500	17218	\N	\N	\N
2895887	9591	1995-09-07	PRIJEM	VKLAD	8800	17532	\N	\N	\N
2895888	9591	1995-10-07	PRIJEM	VKLAD	9600	18645	\N	\N	\N
2895889	9591	1995-11-06	PRIJEM	VKLAD	7700	17863	\N	\N	\N
2895890	9591	1995-12-06	PRIJEM	VKLAD	5800	15179	\N	\N	\N
2895891	9591	1996-01-05	PRIJEM	VKLAD	8200	14886	\N	\N	\N
2895892	9591	1996-02-04	VYDAJ	VYBER	2300	24643	\N	\N	\N
2895893	9591	1996-03-05	VYDAJ	VYBER	6200	29447	\N	\N	\N
2895894	9591	1996-04-04	VYDAJ	VYBER	1300	19714	\N	\N	\N
2895895	9591	1996-05-04	VYDAJ	VYBER	23000	43699	\N	\N	\N
2895896	9591	1996-06-03	PRIJEM	VKLAD	1900	25220	\N	\N	\N
2895897	9591	1996-07-03	VYDAJ	VYBER	3300	25679	\N	\N	\N
2895898	9591	1996-08-02	VYDAJ	VYBER	1500	25764	\N	\N	\N
2895899	9591	1996-09-01	VYDAJ	VYBER	3700	29568	\N	\N	\N
2895900	9591	1996-10-01	VYDAJ	VYBER	6900	34719	\N	\N	\N
2895901	9591	1996-10-31	VYDAJ	VYBER	25200	51484	\N	\N	\N
2895902	9591	1996-11-30	VYDAJ	VYBER	10400	32802	\N	\N	\N
2895903	9591	1996-12-30	VYDAJ	VYBER	700	23578	\N	\N	\N
2895904	9591	1997-01-29	VYDAJ	VYBER	14800	35472	\N	\N	\N
2895905	9591	1997-02-28	VYDAJ	VYBER	11400	32675	\N	\N	\N
2895906	9591	1997-03-30	VYDAJ	VYBER	25000	41740	\N	\N	\N
2895907	9591	1997-04-29	VYDAJ	VYBER	6600	24978	\N	\N	\N
2895908	9591	1997-05-26	VYDAJ	VYBER	34100	89112	\N	\N	\N
2895909	9591	1997-05-29	VYDAJ	VYBER	33900	55212	\N	\N	\N
2895910	9591	1997-06-13	VYDAJ	VYBER	21300	84605	\N	\N	\N
2895911	9591	1997-06-16	VYDAJ	VYBER	37400	84105	\N	\N	\N
2895912	9591	1997-06-23	VYDAJ	VYBER	45800	79563	\N	\N	\N
2895913	9591	1997-06-28	VYDAJ	VYBER	30000	49563	\N	\N	\N
2895914	9591	1997-07-28	VYDAJ	VYBER	26800	50319	\N	\N	\N
2895915	9591	1997-08-27	VYDAJ	VYBER	10200	32294	\N	\N	\N
2895916	9591	1997-09-26	VYDAJ	VYBER	2200	21897	\N	\N	\N
2895917	9591	1997-10-21	VYDAJ	VYBER	26500	83483	\N	\N	\N
2895918	9591	1997-10-26	VYDAJ	VYBER	29600	49899	\N	\N	\N
2895919	9591	1997-11-25	VYDAJ	VYBER	13500	26520	\N	\N	\N
2895920	9591	1998-03-25	VYDAJ	VYBER	15300	24586	\N	\N	\N
2895921	9591	1998-06-23	VYDAJ	VYBER	6100	22761	\N	\N	\N
2895922	9591	1998-07-23	PRIJEM	VKLAD	2400	17715	\N	\N	\N
2906523	9627	1994-07-22	PRIJEM	VKLAD	200	200	\N	\N	\N
2906524	9627	1994-08-02	PRIJEM	VKLAD	34678	67043	\N	\N	\N
2906525	9627	1994-09-04	PRIJEM	VKLAD	38170	105119	\N	\N	\N
2906526	9627	1994-09-13	PRIJEM	VKLAD	10289	88416	\N	\N	\N
2906528	9627	1994-10-01	PRIJEM	VKLAD	48107	143173	\N	\N	\N
2906529	9627	1994-09-18	PRIJEM	VKLAD	30579	118995	\N	\N	\N
2906531	9627	1994-08-07	PRIJEM	VKLAD	8834	75877	\N	\N	\N
2906532	9627	1994-09-04	PRIJEM	VKLAD	13781	66949	\N	\N	\N
2906535	9627	1994-12-21	PRIJEM	VKLAD	26099	67290	\N	\N	\N
2906536	9627	1994-12-17	PRIJEM	VKLAD	5201	52591	\N	\N	\N
2906537	9627	1994-12-22	PRIJEM	VKLAD	44239	105229	\N	\N	\N
2906538	9627	1994-08-01	PRIJEM	VKLAD	32165	32365	\N	\N	\N
2906539	9627	1994-11-03	PRIJEM	VKLAD	5249	80820	\N	\N	\N
2906540	9627	1994-11-07	PRIJEM	VKLAD	26253	107073	\N	\N	\N
2906541	9627	1994-10-08	PRIJEM	VKLAD	41980	143453	\N	\N	\N
2906542	9627	1994-09-30	PRIJEM	VKLAD	41236	130266	\N	\N	\N
2906543	9627	1994-09-08	PRIJEM	VKLAD	36484	78127	\N	\N	\N
2906544	9627	1994-09-22	PRIJEM	VKLAD	33719	88714	\N	\N	\N
2906545	9627	1994-10-27	PRIJEM	VKLAD	31348	88801	\N	\N	\N
2906546	9627	1994-12-03	PRIJEM	VKLAD	10101	50690	\N	\N	\N
2906548	9627	1994-08-09	PRIJEM	VKLAD	49769	125646	\N	\N	\N
2906550	9627	1994-11-19	PRIJEM	VKLAD	24562	77035	\N	\N	\N
2906552	9627	1994-08-27	PRIJEM	VKLAD	49464	113910	\N	\N	\N
2906553	9627	1995-11-17	PRIJEM	VKLAD	39617	101794	\N	\N	\N
2906554	9627	1995-03-12	PRIJEM	VKLAD	41279	113881	\N	\N	\N
2906555	9627	1995-07-08	PRIJEM	VKLAD	37396	135646	\N	\N	\N
2906556	9627	1995-06-28	PRIJEM	VKLAD	35373	79337	\N	\N	\N
2906557	9627	1995-04-05	PRIJEM	VKLAD	20996	76954	\N	\N	\N
2906558	9627	1995-08-15	PRIJEM	VKLAD	38612	99882	\N	\N	\N
2906559	9627	1995-06-07	PRIJEM	VKLAD	12732	57268	\N	\N	\N
2906560	9627	1995-02-18	PRIJEM	VKLAD	32467	80604	\N	\N	\N
2906561	9627	1995-08-04	PRIJEM	VKLAD	31450	93991	\N	\N	\N
2906562	9627	1995-08-27	PRIJEM	VKLAD	12160	78942	\N	\N	\N
2906563	9627	1995-01-16	PRIJEM	VKLAD	39787	142326	\N	\N	\N
2906564	9627	1995-07-16	PRIJEM	VKLAD	7062	95908	\N	\N	\N
2906565	9627	1995-08-06	PRIJEM	VKLAD	37692	126083	\N	\N	\N
2906566	9627	1995-10-04	PRIJEM	VKLAD	22326	93161	\N	\N	\N
2906567	9627	1995-08-08	PRIJEM	VKLAD	32187	106970	\N	\N	\N
2906568	9627	1995-01-14	PRIJEM	VKLAD	36787	134739	\N	\N	\N
2906569	9627	1995-03-12	PRIJEM	VKLAD	18386	132267	\N	\N	\N
2906570	9627	1995-03-29	PRIJEM	VKLAD	12092	55779	\N	\N	\N
2906571	9627	1995-10-28	PRIJEM	VKLAD	16759	79220	\N	\N	\N
2906572	9627	1995-01-11	PRIJEM	VKLAD	48099	101552	\N	\N	\N
2906573	9627	1995-01-05	PRIJEM	VKLAD	31649	72353	\N	\N	\N
2906574	9627	1995-09-23	PRIJEM	VKLAD	9515	70626	\N	\N	\N
2906575	9627	1995-05-16	PRIJEM	VKLAD	21036	67918	\N	\N	\N
2906576	9627	1995-06-29	PRIJEM	VKLAD	18785	98122	\N	\N	\N
2906577	9627	1995-11-16	PRIJEM	VKLAD	12553	62177	\N	\N	\N
2906578	9627	1995-09-04	PRIJEM	VKLAD	15234	94411	\N	\N	\N
2906579	9627	1997-06-28	PRIJEM	VKLAD	45458	72908	\N	\N	\N
2906580	9627	1997-04-28	PRIJEM	VKLAD	20622	48216	\N	\N	\N
2906581	9627	1997-11-15	PRIJEM	VKLAD	24964	64300	\N	\N	\N
2906582	9627	1997-11-16	PRIJEM	VKLAD	22347	86647	\N	\N	\N
2906583	9627	1997-08-28	PRIJEM	VKLAD	6060	50361	\N	\N	\N
2906584	9627	1997-01-30	PRIJEM	VKLAD	37332	57655	\N	\N	\N
2906585	9627	1997-12-07	PRIJEM	VKLAD	6997	42313	\N	\N	\N
2906586	9627	1997-06-04	PRIJEM	VKLAD	10460	38541	\N	\N	\N
2906587	9627	1997-09-17	PRIJEM	VKLAD	32360	58812	\N	\N	\N
2906588	9627	1997-08-05	PRIJEM	VKLAD	33613	69392	\N	\N	\N
2906589	9627	1997-10-18	PRIJEM	VKLAD	14707	57510	\N	\N	\N
2906590	9627	1998-09-20	PRIJEM	VKLAD	27098	136744	\N	\N	\N
2906591	9627	1998-09-19	PRIJEM	VKLAD	47520	109646	\N	\N	\N
2906592	9627	1998-07-14	PRIJEM	VKLAD	27505	120257	\N	\N	\N
2906593	9627	1998-11-27	PRIJEM	VKLAD	15608	119385	\N	\N	\N
2906594	9627	1998-01-27	PRIJEM	VKLAD	5133	26645	\N	\N	\N
2906595	9627	1998-05-09	PRIJEM	VKLAD	37784	83334	\N	\N	\N
2906596	9627	1998-06-20	PRIJEM	VKLAD	11466	98127	\N	\N	\N
2906597	9627	1998-05-09	PRIJEM	VKLAD	20534	103868	\N	\N	\N
2906598	9627	1998-07-06	PRIJEM	VKLAD	43013	107165	\N	\N	\N
2906599	9627	1998-03-10	PRIJEM	VKLAD	5567	70115	\N	\N	\N
2906600	9627	1998-11-14	PRIJEM	VKLAD	8262	74637	\N	\N	\N
2906601	9627	1998-12-15	PRIJEM	VKLAD	7387	76711	\N	\N	\N
2906602	9627	1998-07-13	PRIJEM	VKLAD	20879	122952	\N	\N	\N
2906603	9627	1998-08-22	PRIJEM	VKLAD	42123	92944	\N	\N	\N
2906604	9627	1998-07-01	PRIJEM	VKLAD	29165	75352	\N	\N	\N
2906605	9627	1998-06-15	PRIJEM	VKLAD	32612	94761	\N	\N	\N
2906606	9627	1998-10-05	PRIJEM	VKLAD	41759	120834	\N	\N	\N
2906607	9627	1998-05-25	PRIJEM	VKLAD	39720	138497	\N	\N	\N
2906608	9627	1998-06-26	PRIJEM	VKLAD	49588	180290	\N	\N	\N
2906609	9627	1998-02-06	PRIJEM	VKLAD	9924	55823	\N	\N	\N
2906610	9627	1998-06-22	PRIJEM	VKLAD	49075	147202	\N	\N	\N
2906611	9627	1998-11-24	PRIJEM	VKLAD	29140	103777	\N	\N	\N
2906612	9627	1998-11-10	PRIJEM	VKLAD	31585	104582	\N	\N	\N
2906613	9627	1998-02-28	PRIJEM	VKLAD	47801	87348	\N	\N	\N
2906614	9627	1998-01-30	PRIJEM	VKLAD	29137	55782	\N	\N	\N
2906615	9627	1998-11-11	PRIJEM	VKLAD	22184	126766	\N	\N	\N
2906624	9627	1994-09-03	VYDAJ	VYBER	3800	53168	\N	\N	0
2906625	9627	1994-10-14	VYDAJ	VYBER	4800	85753	\N	\N	0
2906626	9627	1994-11-10	VYDAJ	VYBER	5400	52473	\N	\N	0
2906627	9627	1994-12-21	VYDAJ	VYBER	6300	60990	\N	\N	0
2906628	9627	1995-01-02	VYDAJ	VYBER	6100	45504	\N	\N	0
2906629	9627	1995-02-19	VYDAJ	VYBER	3900	76704	\N	\N	0
2906630	9627	1995-03-10	VYDAJ	VYBER	4300	72602	\N	\N	0
2906631	9627	1995-04-20	VYDAJ	VYBER	4700	52354	\N	\N	0
2906632	9627	1995-05-10	VYDAJ	VYBER	5600	46882	\N	\N	0
2906633	9627	1995-06-02	VYDAJ	VYBER	5000	44536	\N	\N	0
2906634	9627	1995-07-09	VYDAJ	VYBER	4600	88846	\N	\N	0
2906635	9627	1995-08-04	VYDAJ	VYBER	5600	88391	\N	\N	0
2906636	9627	1995-09-09	VYDAJ	VYBER	5100	89311	\N	\N	0
2906637	9627	1995-10-07	VYDAJ	VYBER	4400	88761	\N	\N	0
2906638	9627	1995-11-19	VYDAJ	VYBER	5700	86194	\N	\N	0
2906639	9627	1995-12-12	VYDAJ	PREVOD NA UCET	5091	81326	UVER	KL	63660836
2906640	9627	1996-01-12	VYDAJ	PREVOD NA UCET	5091	21209	UVER	KL	63660836
2906641	9627	1996-02-12	VYDAJ	PREVOD NA UCET	5091	24338	UVER	KL	63660836
2906642	9627	1996-03-12	VYDAJ	PREVOD NA UCET	5091	19253	UVER	KL	63660836
2906643	9627	1996-04-12	VYDAJ	PREVOD NA UCET	5091	28765	UVER	KL	63660836
2906644	9627	1996-05-12	VYDAJ	PREVOD NA UCET	5091	29400	UVER	KL	63660836
2906645	9627	1996-06-12	VYDAJ	PREVOD NA UCET	5091	21142	UVER	KL	63660836
2906646	9627	1996-07-12	VYDAJ	PREVOD NA UCET	5091	15751	UVER	KL	63660836
2906647	9627	1996-08-12	VYDAJ	PREVOD NA UCET	5091	15432	UVER	KL	63660836
2906648	9627	1996-09-12	VYDAJ	PREVOD NA UCET	5091	17504	UVER	KL	63660836
2906649	9627	1996-10-12	VYDAJ	PREVOD NA UCET	5091	17981	UVER	KL	63660836
2906650	9627	1996-11-12	VYDAJ	PREVOD NA UCET	5091	17362	UVER	KL	63660836
2906651	9627	1996-12-12	VYDAJ	PREVOD NA UCET	5091	17943	UVER	KL	63660836
2906652	9627	1997-01-12	VYDAJ	PREVOD NA UCET	5091	20323	UVER	KL	63660836
2906653	9627	1997-02-12	VYDAJ	PREVOD NA UCET	5091	41165	UVER	KL	63660836
2906654	9627	1997-03-12	VYDAJ	PREVOD NA UCET	5091	28161	UVER	KL	63660836
2906655	9627	1997-04-12	VYDAJ	PREVOD NA UCET	5091	27594	UVER	KL	63660836
2906656	9627	1997-05-12	VYDAJ	PREVOD NA UCET	5091	28047	UVER	KL	63660836
2906657	9627	1997-06-12	VYDAJ	PREVOD NA UCET	5091	27450	UVER	KL	63660836
2906658	9627	1997-07-12	VYDAJ	PREVOD NA UCET	5091	47952	UVER	KL	63660836
2906659	9627	1997-08-12	VYDAJ	PREVOD NA UCET	5091	44301	UVER	KL	63660836
2906660	9627	1997-09-12	VYDAJ	PREVOD NA UCET	5091	26452	UVER	KL	63660836
2906661	9627	1997-10-12	VYDAJ	PREVOD NA UCET	5091	42803	UVER	KL	63660836
2906662	9627	1997-11-12	VYDAJ	PREVOD NA UCET	5091	39336	UVER	KL	63660836
2906663	9627	1997-12-12	VYDAJ	PREVOD NA UCET	5091	37222	UVER	KL	63660836
2906664	9627	1998-01-12	VYDAJ	PREVOD NA UCET	5091	21512	UVER	KL	63660836
2906665	9627	1998-02-12	VYDAJ	PREVOD NA UCET	5091	50732	UVER	KL	63660836
2906666	9627	1998-03-12	VYDAJ	PREVOD NA UCET	5091	65023	UVER	KL	63660836
2906667	9627	1998-04-12	VYDAJ	PREVOD NA UCET	5091	47928	UVER	KL	63660836
2906668	9627	1998-05-12	VYDAJ	PREVOD NA UCET	5091	98777	UVER	KL	63660836
2906669	9627	1998-06-12	VYDAJ	PREVOD NA UCET	5091	62149	UVER	KL	63660836
2906670	9627	1998-07-12	VYDAJ	PREVOD NA UCET	5091	102073	UVER	KL	63660836
2906671	9627	1998-08-12	VYDAJ	PREVOD NA UCET	5091	50821	UVER	KL	63660836
2906672	9627	1998-09-12	VYDAJ	PREVOD NA UCET	5091	69326	UVER	KL	63660836
2906673	9627	1998-10-12	VYDAJ	PREVOD NA UCET	5091	87443	UVER	KL	63660836
2906674	9627	1998-11-12	VYDAJ	PREVOD NA UCET	5091	66375	UVER	KL	63660836
2906675	9627	1998-12-12	VYDAJ	PREVOD NA UCET	5091	69324	UVER	KL	63660836
2906676	9627	1994-09-05	VYBER	VYBER	23976	41643	\N	\N	\N
2906681	9627	1995-03-13	VYBER	VYBER	2164	78303	\N	\N	\N
2906682	9627	1995-03-13	VYBER	VYBER	5316	72987	\N	\N	\N
2906683	9627	1995-06-22	VYBER	VYBER	2804	43964	\N	\N	\N
2906684	9627	1995-12-24	VYBER	VYBER	12792	39334	\N	\N	\N
2906694	9627	1997-12-05	VYBER	VYBER	23813	39816	\N	\N	\N
2906695	9627	1997-01-30	VYBER	VYBER	2488	55167	\N	\N	\N
2906698	9627	1997-09-11	VYBER	VYBER	11003	31543	\N	\N	\N
2906702	9627	1997-10-08	VYBER	VYBER	3622	47895	\N	\N	\N
2906708	9627	1998-06-29	VYDAJ	VYBER	70200	45890	\N	\N	\N
2906710	9627	1995-01-09	VYDAJ	VYBER	4500	53453	\N	\N	\N
2906714	9627	1994-12-10	VYDAJ	VYBER	3300	47390	\N	\N	\N
2906715	9627	1995-12-21	VYDAJ	VYBER	4200	52126	\N	\N	\N
2906717	9627	1997-12-06	VYDAJ	VYBER	4500	35316	\N	\N	\N
2906718	9627	1998-12-03	VYDAJ	VYBER	8400	74415	\N	\N	\N
2906725	9627	1995-01-28	VYDAJ	VYBER	1500	67526	\N	\N	\N
2906726	9627	1995-01-03	VYDAJ	VYBER	4800	40704	\N	\N	\N
2906727	9627	1995-01-08	VYDAJ	VYBER	6000	57953	\N	\N	\N
2906728	9627	1995-01-11	VYDAJ	VYBER	3600	97952	\N	\N	\N
2906729	9627	1995-01-06	VYDAJ	VYBER	8400	63953	\N	\N	\N
2906730	9627	1995-01-19	VYDAJ	VYBER	3300	69026	\N	\N	\N
2906731	9627	1996-01-05	VYDAJ	VYBER	6900	26301	\N	\N	\N
2906746	9627	1998-01-09	VYDAJ	VYBER	7500	26604	\N	\N	\N
2906751	9627	1994-10-31	VYDAJ	VYBER	13500	75571	\N	\N	\N
2906752	9627	1994-12-02	VYDAJ	VYBER	13200	40589	\N	\N	\N
2906756	9627	1995-11-18	VYDAJ	VYBER	9900	91894	\N	\N	\N
2906757	9627	1995-03-22	VYDAJ	VYBER	6900	43687	\N	\N	\N
2906758	9627	1995-11-08	VYDAJ	VYBER	12000	67424	\N	\N	\N
2906759	9627	1995-11-10	VYDAJ	VYBER	12300	55124	\N	\N	\N
2906763	9627	1996-01-04	VYDAJ	VYBER	6300	33201	\N	\N	\N
2906764	9627	1997-02-24	VYDAJ	VYBER	7200	33965	\N	\N	\N
2906766	9627	1997-07-28	VYDAJ	VYBER	12300	35652	\N	\N	\N
2906767	9627	1997-05-05	VYDAJ	VYBER	10500	37738	\N	\N	\N
2906769	9627	1997-10-26	VYDAJ	VYBER	5400	52110	\N	\N	\N
2906770	9627	1998-06-17	VYDAJ	VYBER	8100	86661	\N	\N	\N
2906771	9627	1998-09-12	VYDAJ	VYBER	7200	62126	\N	\N	\N
2906772	9627	1998-05-29	VYDAJ	VYBER	9600	81197	\N	\N	\N
2906773	9627	1998-02-24	VYDAJ	VYBER	11400	39332	\N	\N	\N
2906774	9627	1998-07-20	VYDAJ	VYBER	10800	59357	\N	\N	\N
2906783	9627	1994-08-31	VYDAJ	VYBER	100	56968	SLUZBY	\N	\N
2906784	9627	1994-09-30	VYDAJ	VYBER	100	95066	SLUZBY	\N	\N
2906785	9627	1994-10-31	VYDAJ	VYBER	100	89071	SLUZBY	\N	\N
2906786	9627	1994-11-30	VYDAJ	VYBER	100	53789	SLUZBY	\N	\N
2906787	9627	1994-12-31	VYDAJ	VYBER	100	51604	SLUZBY	\N	\N
2906788	9627	1995-01-31	VYDAJ	VYBER	100	67737	SLUZBY	\N	\N
2906789	9627	1995-02-28	VYDAJ	VYBER	100	76902	SLUZBY	\N	\N
2906790	9627	1995-03-31	VYDAJ	VYBER	100	55958	SLUZBY	\N	\N
2906791	9627	1995-04-30	VYDAJ	VYBER	100	52482	SLUZBY	\N	\N
2906792	9627	1995-05-31	VYDAJ	VYBER	100	49536	SLUZBY	\N	\N
2906793	9627	1995-06-30	VYDAJ	VYBER	100	98250	SLUZBY	\N	\N
2906794	9627	1995-07-31	VYDAJ	VYBER	100	62541	SLUZBY	\N	\N
2906795	9627	1995-08-31	VYDAJ	VYBER	100	79177	SLUZBY	\N	\N
2906796	9627	1995-09-30	VYDAJ	VYBER	100	70835	SLUZBY	\N	\N
2906797	9627	1995-10-31	VYDAJ	VYBER	100	79424	SLUZBY	\N	\N
2906798	9627	1995-11-30	VYDAJ	VYBER	100	86417	SLUZBY	\N	\N
2906799	9627	1995-12-31	VYDAJ	VYBER	100	39501	SLUZBY	\N	\N
2906800	9627	1996-01-31	VYDAJ	VYBER	100	27929	SLUZBY	\N	\N
2906801	9627	1996-02-29	VYDAJ	VYBER	100	24344	SLUZBY	\N	\N
2906802	9627	1996-03-31	VYDAJ	VYBER	100	25256	SLUZBY	\N	\N
2906803	9627	1996-04-30	VYDAJ	VYBER	100	28791	SLUZBY	\N	\N
2906804	9627	1996-05-31	VYDAJ	VYBER	100	29434	SLUZBY	\N	\N
2906805	9627	1996-06-30	VYDAJ	VYBER	100	21142	SLUZBY	\N	\N
2906806	9627	1996-07-31	VYDAJ	VYBER	100	15723	SLUZBY	\N	\N
2906807	9627	1996-08-31	VYDAJ	VYBER	100	15395	SLUZBY	\N	\N
2906808	9627	1996-09-30	VYDAJ	VYBER	100	17472	SLUZBY	\N	\N
2906809	9627	1996-10-31	VYDAJ	VYBER	100	17954	SLUZBY	\N	\N
2906810	9627	1996-11-30	VYDAJ	VYBER	100	17334	SLUZBY	\N	\N
2906811	9627	1996-12-31	VYDAJ	VYBER	100	17915	SLUZBY	\N	\N
2906812	9627	1997-01-31	VYDAJ	VYBER	100	55156	SLUZBY	\N	\N
2906813	9627	1997-02-28	VYDAJ	VYBER	100	34052	SLUZBY	\N	\N
2906814	9627	1997-03-31	VYDAJ	VYBER	100	28185	SLUZBY	\N	\N
2906815	9627	1997-04-30	VYDAJ	VYBER	100	48238	SLUZBY	\N	\N
2906816	9627	1997-05-31	VYDAJ	VYBER	100	28081	SLUZBY	\N	\N
2906817	9627	1997-06-30	VYDAJ	VYBER	100	72943	SLUZBY	\N	\N
2906818	9627	1997-07-31	VYDAJ	VYBER	100	35779	SLUZBY	\N	\N
2906819	9627	1997-08-31	VYDAJ	VYBER	100	50446	SLUZBY	\N	\N
2906820	9627	1997-09-30	VYDAJ	VYBER	100	58917	SLUZBY	\N	\N
2906821	9627	1997-10-31	VYDAJ	VYBER	100	52227	SLUZBY	\N	\N
2906822	9627	1997-11-30	VYDAJ	VYBER	100	86829	SLUZBY	\N	\N
2906823	9627	1997-12-31	VYDAJ	VYBER	100	37304	SLUZBY	\N	\N
2906824	9627	1998-01-31	VYDAJ	VYBER	100	55799	SLUZBY	\N	\N
2906825	9627	1998-02-28	VYDAJ	VYBER	100	87248	SLUZBY	\N	\N
2906826	9627	1998-03-31	VYDAJ	VYBER	100	65219	SLUZBY	\N	\N
2906827	9627	1998-04-30	VYDAJ	VYBER	100	48050	SLUZBY	\N	\N
2906828	9627	1998-05-31	VYDAJ	VYBER	100	81440	SLUZBY	\N	\N
2906829	9627	1998-06-30	VYDAJ	VYBER	100	46187	SLUZBY	\N	\N
2906830	9627	1998-07-31	VYDAJ	VYBER	100	59613	SLUZBY	\N	\N
2906831	9627	1998-08-31	VYDAJ	VYBER	100	74418	SLUZBY	\N	\N
2906832	9627	1998-09-30	VYDAJ	VYBER	100	79075	SLUZBY	\N	\N
2906833	9627	1998-10-31	VYDAJ	VYBER	100	72997	SLUZBY	\N	\N
2906834	9627	1998-11-30	VYDAJ	VYBER	100	82815	SLUZBY	\N	\N
2906835	9627	1994-08-09	VYDAJ	VYBER	19200	106446	\N	\N	\N
2906836	9627	1994-08-21	VYDAJ	VYBER	42000	64446	\N	\N	\N
2906837	9627	1994-08-27	VYDAJ	VYBER	57200	56710	\N	\N	\N
2906838	9627	1994-09-04	VYDAJ	VYBER	39500	65619	\N	\N	\N
2906839	9627	1994-09-18	VYDAJ	VYBER	36100	82895	\N	\N	\N
2906840	9627	1994-09-20	VYDAJ	VYBER	27900	54995	\N	\N	\N
2906841	9627	1994-09-30	VYDAJ	VYBER	35100	95166	\N	\N	\N
2906842	9627	1994-10-01	VYDAJ	VYBER	41700	101473	\N	\N	\N
2906843	9627	1994-10-08	VYDAJ	VYBER	19100	124353	\N	\N	\N
2906844	9627	1994-10-12	VYDAJ	VYBER	33800	90553	\N	\N	\N
2906845	9627	1994-10-20	VYDAJ	VYBER	28300	57453	\N	\N	\N
2906846	9627	1994-11-07	VYDAJ	VYBER	49200	57873	\N	\N	\N
2906847	9627	1994-11-19	VYDAJ	VYBER	23400	53635	\N	\N	\N
2906848	9627	1994-12-19	VYDAJ	VYBER	11400	41191	\N	\N	\N
2906849	9627	1994-12-22	VYDAJ	VYBER	53800	51429	\N	\N	\N
2906850	9627	1995-01-14	VYDAJ	VYBER	32200	102539	\N	\N	\N
2906851	9627	1995-01-16	VYDAJ	VYBER	27900	114426	\N	\N	\N
2906852	9627	1995-01-18	VYDAJ	VYBER	42100	72326	\N	\N	\N
2906853	9627	1995-02-17	VYDAJ	VYBER	19600	48137	\N	\N	\N
2906854	9627	1995-03-12	VYDAJ	VYBER	51800	80467	\N	\N	\N
2906855	9627	1995-03-19	VYDAJ	VYBER	22400	50587	\N	\N	\N
2906856	9627	1995-04-18	VYDAJ	VYBER	19900	57054	\N	\N	\N
2906857	9627	1995-05-18	VYDAJ	VYBER	18500	49418	\N	\N	\N
2906858	9627	1995-06-17	VYDAJ	VYBER	10500	46768	\N	\N	\N
2906859	9627	1995-07-08	VYDAJ	VYBER	42200	93446	\N	\N	\N
2906860	9627	1995-07-17	VYDAJ	VYBER	33600	62308	\N	\N	\N
2906861	9627	1995-08-06	VYDAJ	VYBER	51300	74783	\N	\N	\N
2906862	9627	1995-08-08	VYDAJ	VYBER	45700	61270	\N	\N	\N
2906863	9627	1995-08-16	VYDAJ	VYBER	33100	66782	\N	\N	\N
2906864	9627	1995-09-15	VYDAJ	VYBER	28200	61111	\N	\N	\N
2906865	9627	1995-10-15	VYDAJ	VYBER	26300	62461	\N	\N	\N
2906866	9627	1995-11-14	VYDAJ	VYBER	5500	49624	\N	\N	\N
2906867	9627	1995-12-14	VYDAJ	VYBER	25000	56326	\N	\N	\N
2906868	9627	1996-01-13	PRIJEM	VKLAD	6700	27909	\N	\N	\N
2906869	9627	1996-02-12	PRIJEM	VKLAD	1500	29429	\N	\N	\N
2906870	9627	1996-03-13	PRIJEM	VKLAD	6000	25253	\N	\N	\N
2906871	9627	1996-04-12	PRIJEM	VKLAD	8600	33856	\N	\N	\N
2906872	9627	1996-05-12	PRIJEM	VKLAD	5700	34491	\N	\N	\N
2906873	9627	1996-06-11	VYDAJ	VYBER	3200	26234	\N	\N	\N
2906874	9627	1996-07-11	VYDAJ	VYBER	300	20842	\N	\N	\N
2906875	9627	1996-08-10	PRIJEM	VKLAD	4800	20523	\N	\N	\N
2906876	9627	1996-09-09	PRIJEM	VKLAD	7200	22595	\N	\N	\N
2906877	9627	1996-10-09	PRIJEM	VKLAD	5600	23072	\N	\N	\N
2906878	9627	1996-11-08	PRIJEM	VKLAD	4500	22454	\N	\N	\N
2906879	9627	1996-12-08	PRIJEM	VKLAD	5700	23034	\N	\N	\N
2906880	9627	1997-01-07	PRIJEM	VKLAD	7500	25415	\N	\N	\N
2906881	9627	1997-02-06	VYDAJ	VYBER	8900	46256	\N	\N	\N
2906882	9627	1997-03-08	VYDAJ	VYBER	800	33252	\N	\N	\N
2906883	9627	1997-04-07	PRIJEM	VKLAD	4500	32685	\N	\N	\N
2906884	9627	1997-05-07	VYDAJ	VYBER	4600	33138	\N	\N	\N
2906885	9627	1997-06-06	VYDAJ	VYBER	6000	32541	\N	\N	\N
2906886	9627	1997-07-06	VYDAJ	VYBER	19900	53043	\N	\N	\N
2906887	9627	1997-08-05	VYDAJ	VYBER	20000	49392	\N	\N	\N
2906888	9627	1997-09-04	VYDAJ	VYBER	7900	42546	\N	\N	\N
2906889	9627	1997-10-04	VYDAJ	VYBER	7400	51517	\N	\N	\N
2906890	9627	1997-11-03	VYDAJ	VYBER	7800	44427	\N	\N	\N
2906891	9627	1997-12-03	VYDAJ	VYBER	23200	63629	\N	\N	\N
2906892	9627	1998-01-02	VYDAJ	VYBER	3200	34104	\N	\N	\N
2906893	9627	1998-02-01	VYDAJ	VYBER	9900	45899	\N	\N	\N
2906894	9627	1998-03-03	VYDAJ	VYBER	22700	64548	\N	\N	\N
2906895	9627	1998-04-02	VYDAJ	VYBER	12200	53019	\N	\N	\N
2906896	9627	1998-05-02	VYDAJ	VYBER	2500	45550	\N	\N	\N
2906897	9627	1998-05-25	VYDAJ	VYBER	47700	90797	\N	\N	\N
2906898	9627	1998-06-01	VYDAJ	VYBER	14200	67240	\N	\N	\N
2906899	9627	1998-06-22	VYDAJ	VYBER	16500	130702	\N	\N	\N
2906900	9627	1998-06-26	VYDAJ	VYBER	64200	116090	\N	\N	\N
2906901	9627	1998-07-01	VYDAJ	VYBER	11200	64152	\N	\N	\N
2906902	9627	1998-07-13	VYDAJ	VYBER	30200	92752	\N	\N	\N
2906903	9627	1998-07-14	VYDAJ	VYBER	50100	70157	\N	\N	\N
2906904	9627	1998-07-31	VYDAJ	VYBER	3700	55913	\N	\N	\N
2906905	9627	1998-08-30	VYDAJ	VYBER	18700	74244	\N	\N	\N
2906906	9627	1998-09-20	VYDAJ	VYBER	37500	99244	\N	\N	\N
2906907	9627	1998-09-29	VYDAJ	VYBER	20400	78844	\N	\N	\N
2906908	9627	1998-10-05	VYDAJ	VYBER	28300	92534	\N	\N	\N
2906909	9627	1998-10-29	VYDAJ	VYBER	14700	72743	\N	\N	\N
2906910	9627	1998-11-11	VYDAJ	VYBER	55300	71466	\N	\N	\N
2906911	9627	1998-11-27	VYDAJ	VYBER	15000	104385	\N	\N	\N
2906912	9627	1998-11-28	VYDAJ	VYBER	21800	82585	\N	\N	\N
2907689	9631	1996-06-25	PRIJEM	VKLAD	200	200	\N	\N	\N
2907696	9631	1996-07-07	PRIJEM	PREVOD Z UCTU	14861	15061	\N	OP	66287123
2907697	9631	1996-08-07	PRIJEM	PREVOD Z UCTU	14861	33940	\N	OP	66287123
2907698	9631	1996-09-07	PRIJEM	PREVOD Z UCTU	14861	49697	\N	OP	66287123
2907699	9631	1996-10-07	PRIJEM	PREVOD Z UCTU	14861	58312	\N	OP	66287123
2907700	9631	1996-11-07	PRIJEM	PREVOD Z UCTU	14861	58354	\N	OP	66287123
2907701	9631	1996-12-07	PRIJEM	PREVOD Z UCTU	22292	67122	\N	OP	66287123
2907702	9631	1997-01-07	PRIJEM	PREVOD Z UCTU	14861	49890	\N	OP	66287123
2907703	9631	1997-02-07	PRIJEM	PREVOD Z UCTU	14861	27179	\N	OP	66287123
2907704	9631	1997-03-07	PRIJEM	PREVOD Z UCTU	14861	41329	\N	OP	66287123
2907705	9631	1997-04-07	PRIJEM	PREVOD Z UCTU	14861	18063	\N	OP	66287123
2907706	9631	1997-05-07	PRIJEM	PREVOD Z UCTU	14861	24159	\N	OP	66287123
2907707	9631	1997-06-07	PRIJEM	PREVOD Z UCTU	22292	27289	\N	OP	66287123
2907708	9631	1997-07-07	PRIJEM	PREVOD Z UCTU	14861	24099	\N	OP	66287123
2907709	9631	1997-08-07	PRIJEM	PREVOD Z UCTU	14861	35227	\N	OP	66287123
2907710	9631	1997-09-07	PRIJEM	PREVOD Z UCTU	14861	40984	\N	OP	66287123
2907711	9631	1997-10-07	PRIJEM	PREVOD Z UCTU	14861	41033	\N	OP	66287123
2907712	9631	1997-11-07	PRIJEM	PREVOD Z UCTU	14861	33870	\N	OP	66287123
2907713	9631	1997-12-07	PRIJEM	PREVOD Z UCTU	22292	34699	\N	OP	66287123
2907714	9631	1998-01-07	PRIJEM	PREVOD Z UCTU	14861	30715	\N	OP	66287123
2907715	9631	1998-02-07	PRIJEM	PREVOD Z UCTU	14861	20337	\N	OP	66287123
2907716	9631	1998-03-07	PRIJEM	PREVOD Z UCTU	14861	33962	\N	OP	66287123
2907717	9631	1998-04-07	PRIJEM	PREVOD Z UCTU	14861	31810	\N	OP	66287123
2907718	9631	1998-05-07	PRIJEM	PREVOD Z UCTU	14861	37268	\N	OP	66287123
2907719	9631	1998-06-07	PRIJEM	PREVOD Z UCTU	22292	45168	\N	OP	66287123
2907720	9631	1998-07-07	PRIJEM	PREVOD Z UCTU	14861	42451	\N	OP	66287123
2907721	9631	1998-08-07	PRIJEM	PREVOD Z UCTU	14861	43742	\N	OP	66287123
2907722	9631	1998-09-07	PRIJEM	PREVOD Z UCTU	14861	40532	\N	OP	66287123
2907723	9631	1998-10-07	PRIJEM	PREVOD Z UCTU	14861	21690	\N	OP	66287123
2907724	9631	1998-11-07	PRIJEM	PREVOD Z UCTU	14861	27210	\N	OP	66287123
2907725	9631	1998-12-07	PRIJEM	PREVOD Z UCTU	22292	30167	\N	OP	66287123
2907736	9631	1996-11-17	VYDAJ	VYBER	2600	55754	\N	\N	0
2907737	9631	1996-12-12	VYDAJ	VYBER	2900	62122	\N	\N	0
2907738	9631	1997-01-13	VYDAJ	VYBER	2000	40390	\N	\N	0
2907739	9631	1997-02-06	VYDAJ	VYBER	2900	12318	\N	\N	0
2907740	9631	1997-03-03	VYDAJ	VYBER	1900	26468	\N	\N	0
2907741	9631	1997-04-12	VYDAJ	VYBER	2000	16063	\N	\N	0
2907742	9631	1997-05-21	VYDAJ	VYBER	2400	15659	\N	\N	0
2907743	9631	1997-06-04	VYDAJ	VYBER	2300	13397	\N	\N	0
2907744	9631	1997-07-14	VYDAJ	VYBER	2800	18714	\N	\N	0
2907745	9631	1997-08-15	VYDAJ	VYBER	2200	29139	\N	\N	0
2907746	9631	1997-09-07	VYDAJ	VYBER	2500	38484	\N	\N	0
2907747	9631	1997-10-20	VYDAJ	VYBER	2500	18929	\N	\N	0
2907748	9631	1997-11-12	VYDAJ	PREVOD NA UCET	2477	31393	UVER	MN	51593184
2907749	9631	1997-12-12	VYDAJ	PREVOD NA UCET	2477	26222	UVER	MN	51593184
2907750	9631	1998-01-12	VYDAJ	PREVOD NA UCET	2477	13538	UVER	MN	51593184
2907751	9631	1998-02-12	VYDAJ	PREVOD NA UCET	2477	17860	UVER	MN	51593184
2907752	9631	1998-03-12	VYDAJ	PREVOD NA UCET	2477	21586	UVER	MN	51593184
2907753	9631	1998-04-12	VYDAJ	PREVOD NA UCET	2477	29333	UVER	MN	51593184
2907754	9631	1998-05-12	VYDAJ	PREVOD NA UCET	2477	34791	UVER	MN	51593184
2907755	9631	1998-06-12	VYDAJ	PREVOD NA UCET	2477	42692	UVER	MN	51593184
2907756	9631	1998-07-12	VYDAJ	PREVOD NA UCET	2477	39974	UVER	MN	51593184
2907757	9631	1998-08-12	VYDAJ	PREVOD NA UCET	2477	41266	UVER	MN	51593184
2907758	9631	1998-09-12	VYDAJ	PREVOD NA UCET	2477	28756	UVER	MN	51593184
2907759	9631	1998-10-12	VYDAJ	PREVOD NA UCET	2477	19213	UVER	MN	51593184
2907760	9631	1998-11-12	VYDAJ	PREVOD NA UCET	2477	24733	UVER	MN	51593184
2907761	9631	1998-12-12	VYDAJ	PREVOD NA UCET	2477	27690	UVER	MN	51593184
2907771	9631	1997-04-01	VYBER	VYBER	22262	10102	\N	\N	\N
2907772	9631	1997-10-17	VYBER	VYBER	24204	16829	\N	\N	\N
2907773	9631	1997-01-16	VYBER	VYBER	2898	37492	\N	\N	\N
2907774	9631	1997-07-14	VYBER	VYBER	2585	21514	\N	\N	\N
2907775	9631	1997-12-26	VYBER	VYBER	9234	15788	\N	\N	\N
2907776	9631	1997-09-16	VYBER	VYBER	4724	33760	\N	\N	\N
2907777	9631	1997-06-30	VYBER	VYBER	17535	9253	\N	\N	\N
2907778	9631	1997-08-15	VYBER	VYBER	3888	31339	\N	\N	\N
2907779	9631	1997-11-17	VYBER	VYBER	20082	12311	\N	\N	\N
2907783	9631	1996-12-07	VYDAJ	VYBER	2100	65022	\N	\N	\N
2907784	9631	1997-12-12	VYDAJ	VYBER	6000	28699	\N	\N	\N
2907785	9631	1998-12-23	VYDAJ	VYBER	6600	13090	\N	\N	\N
2907792	9631	1997-01-04	VYDAJ	VYBER	6900	35029	\N	\N	\N
2907793	9631	1997-01-01	VYDAJ	VYBER	1800	41929	\N	\N	\N
2907794	9631	1997-01-24	VYDAJ	VYBER	8700	21992	\N	\N	\N
2907795	9631	1997-01-27	VYDAJ	VYBER	6900	15092	\N	\N	\N
2907796	9631	1997-01-10	VYDAJ	VYBER	7500	42390	\N	\N	\N
2907797	9631	1997-01-19	VYDAJ	VYBER	5400	32092	\N	\N	\N
2907798	9631	1998-01-08	VYDAJ	VYBER	3300	22615	\N	\N	\N
2907799	9631	1998-01-11	VYDAJ	VYBER	3000	16015	\N	\N	\N
2907800	9631	1998-01-11	VYDAJ	VYBER	1500	19015	\N	\N	\N
2907801	9631	1998-01-10	VYDAJ	VYBER	2100	20515	\N	\N	\N
2907802	9631	1998-01-08	VYDAJ	VYBER	4800	25915	\N	\N	\N
2907803	9631	1998-01-22	VYDAJ	VYBER	8400	5438	\N	\N	\N
2907806	9631	1996-12-20	VYDAJ	VYBER	6000	56122	\N	\N	\N
2907808	9631	1997-04-01	VYDAJ	VYBER	6900	3202	\N	\N	\N
2907809	9631	1997-06-06	VYDAJ	VYBER	8400	4997	\N	\N	\N
2907810	9631	1997-04-22	VYDAJ	VYBER	8700	9263	\N	\N	\N
2907811	9631	1997-05-17	VYDAJ	VYBER	12900	11259	\N	\N	\N
2907812	9631	1998-03-09	VYDAJ	VYBER	9900	24062	\N	\N	\N
2907813	9631	1998-09-28	VYDAJ	VYBER	13800	6756	\N	\N	\N
2907814	9631	1998-10-25	VYDAJ	VYBER	4200	12313	\N	\N	\N
2907815	9631	1998-09-12	VYDAJ	VYBER	9300	31232	\N	\N	\N
2907816	9631	1998-12-06	VYDAJ	VYBER	6900	7875	\N	\N	\N
2907817	9631	1998-08-19	VYDAJ	VYBER	8400	25566	\N	\N	\N
2907829	9631	1996-11-30	VYDAJ	VYBER	15	44830	SLUZBY	\N	\N
2907830	9631	1996-12-31	VYDAJ	VYBER	15	43729	SLUZBY	\N	\N
2907831	9631	1997-01-31	VYDAJ	VYBER	15	15218	SLUZBY	\N	\N
2907832	9631	1997-02-28	VYDAJ	VYBER	15	28368	SLUZBY	\N	\N
2907833	9631	1997-03-31	VYDAJ	VYBER	15	32364	SLUZBY	\N	\N
2907834	9631	1997-04-30	VYDAJ	VYBER	15	9298	SLUZBY	\N	\N
2907835	9631	1997-05-31	VYDAJ	VYBER	15	15697	SLUZBY	\N	\N
2907836	9631	1997-06-30	VYDAJ	VYBER	15	9238	SLUZBY	\N	\N
2907837	9631	1997-07-31	VYDAJ	VYBER	15	20366	SLUZBY	\N	\N
2907838	9631	1997-08-31	VYDAJ	VYBER	15	26123	SLUZBY	\N	\N
2907839	9631	1997-09-30	VYDAJ	VYBER	15	26172	SLUZBY	\N	\N
2907840	9631	1997-10-31	VYDAJ	VYBER	15	19009	SLUZBY	\N	\N
2907841	9631	1997-11-30	VYDAJ	VYBER	15	12407	SLUZBY	\N	\N
2907842	9631	1997-12-31	VYDAJ	VYBER	15	15854	SLUZBY	\N	\N
2907843	9631	1998-01-31	VYDAJ	VYBER	15	5476	SLUZBY	\N	\N
2907844	9631	1998-02-28	VYDAJ	VYBER	15	19101	SLUZBY	\N	\N
2907845	9631	1998-03-31	VYDAJ	VYBER	15	16949	SLUZBY	\N	\N
2907846	9631	1998-04-30	VYDAJ	VYBER	15	22407	SLUZBY	\N	\N
2907847	9631	1998-05-31	VYDAJ	VYBER	15	22876	SLUZBY	\N	\N
2907848	9631	1998-06-30	VYDAJ	VYBER	15	27590	SLUZBY	\N	\N
2907849	9631	1998-07-31	VYDAJ	VYBER	15	28881	SLUZBY	\N	\N
2907850	9631	1998-08-31	VYDAJ	VYBER	15	25671	SLUZBY	\N	\N
2907851	9631	1998-09-30	VYDAJ	VYBER	15	6829	SLUZBY	\N	\N
2907852	9631	1998-10-31	VYDAJ	VYBER	15	12349	SLUZBY	\N	\N
2907853	9631	1998-11-30	VYDAJ	VYBER	15	14775	SLUZBY	\N	\N
2907854	9631	1996-07-25	PRIJEM	VKLAD	4000	19061	\N	\N	\N
2907855	9631	1996-08-24	PRIJEM	VKLAD	800	34740	\N	\N	\N
2907856	9631	1996-09-23	VYDAJ	VYBER	6400	43297	\N	\N	\N
2907857	9631	1996-10-23	VYDAJ	VYBER	15000	43312	\N	\N	\N
2907858	9631	1996-11-22	VYDAJ	VYBER	11100	44654	\N	\N	\N
2907859	9631	1996-12-22	VYDAJ	VYBER	12600	43522	\N	\N	\N
2907860	9631	1997-01-21	VYDAJ	VYBER	1400	30692	\N	\N	\N
2907861	9631	1997-02-20	PRIJEM	VKLAD	1100	28279	\N	\N	\N
2907862	9631	1997-03-22	VYDAJ	VYBER	9100	32229	\N	\N	\N
2907863	9631	1997-04-21	PRIJEM	VKLAD	1900	17963	\N	\N	\N
2907864	9631	1997-05-21	PRIJEM	VKLAD	6800	18059	\N	\N	\N
2907865	9631	1997-06-20	VYDAJ	VYBER	600	26689	\N	\N	\N
2907866	9631	1997-07-20	PRIJEM	VKLAD	1600	20314	\N	\N	\N
2907867	9631	1997-08-19	VYDAJ	VYBER	3100	26039	\N	\N	\N
2907868	9631	1997-09-18	VYDAJ	VYBER	7700	26060	\N	\N	\N
2907869	9631	1997-10-18	PRIJEM	VKLAD	4600	21429	\N	\N	\N
2907870	9631	1997-11-17	PRIJEM	VKLAD	1000	32393	\N	\N	\N
2907871	9631	1997-12-17	VYDAJ	VYBER	1200	25022	\N	\N	\N
2907872	9631	1998-01-16	PRIJEM	VKLAD	300	13838	\N	\N	\N
2907873	9631	1998-02-15	PRIJEM	VKLAD	1200	19060	\N	\N	\N
2907874	9631	1998-03-17	VYDAJ	VYBER	4700	16886	\N	\N	\N
2907875	9631	1998-04-16	VYDAJ	VYBER	7000	22333	\N	\N	\N
2907876	9631	1998-05-16	VYDAJ	VYBER	12000	22791	\N	\N	\N
2907877	9631	1998-06-15	VYDAJ	VYBER	15200	27492	\N	\N	\N
2907878	9631	1998-07-15	VYDAJ	VYBER	11200	28774	\N	\N	\N
2907879	9631	1998-08-14	VYDAJ	VYBER	7300	33966	\N	\N	\N
2907880	9631	1998-09-13	VYDAJ	VYBER	8200	20556	\N	\N	\N
2907881	9631	1998-10-13	VYDAJ	VYBER	2700	16513	\N	\N	\N
2907882	9631	1998-11-12	VYDAJ	VYBER	10000	14733	\N	\N	\N
2907883	9631	1998-12-12	VYDAJ	VYBER	8000	19690	\N	\N	\N
2908130	9633	1996-01-08	PRIJEM	VKLAD	500	500	\N	\N	\N
2908131	9633	1996-03-04	PRIJEM	VKLAD	43545	52745	\N	\N	\N
2908132	9633	1996-06-04	PRIJEM	VKLAD	13538	69280	\N	\N	\N
2908133	9633	1996-08-06	PRIJEM	VKLAD	18677	44956	\N	\N	\N
2908134	9633	1996-10-09	PRIJEM	VKLAD	44194	86384	\N	\N	\N
2908135	9633	1996-07-23	PRIJEM	VKLAD	19768	45444	\N	\N	\N
2908136	9633	1996-10-28	PRIJEM	VKLAD	10706	81505	\N	\N	\N
2908137	9633	1996-07-03	PRIJEM	VKLAD	48601	43076	\N	\N	\N
2908138	9633	1996-09-11	PRIJEM	VKLAD	47241	94795	\N	\N	\N
2908139	9633	1996-08-14	PRIJEM	VKLAD	35809	80765	\N	\N	\N
2908140	9633	1996-03-12	PRIJEM	VKLAD	7641	44086	\N	\N	\N
2908141	9633	1996-04-14	PRIJEM	VKLAD	44085	93690	\N	\N	\N
2908142	9633	1996-11-21	PRIJEM	VKLAD	34246	73085	\N	\N	\N
2908143	9633	1996-10-15	PRIJEM	VKLAD	32628	119012	\N	\N	\N
2908144	9633	1996-06-15	PRIJEM	VKLAD	12978	21564	\N	\N	\N
2908145	9633	1996-04-05	PRIJEM	VKLAD	37849	82205	\N	\N	\N
2908146	9633	1997-01-03	PRIJEM	VKLAD	15329	37842	\N	\N	\N
2908147	9633	1997-07-02	PRIJEM	VKLAD	45311	84141	\N	\N	\N
2908148	9633	1997-09-24	PRIJEM	VKLAD	7327	51584	\N	\N	\N
2908149	9633	1997-04-03	PRIJEM	VKLAD	22533	53018	\N	\N	\N
2908150	9633	1997-06-16	PRIJEM	VKLAD	20489	72415	\N	\N	\N
2908151	9633	1997-05-20	PRIJEM	VKLAD	34488	49945	\N	\N	\N
2908152	9633	1997-01-05	PRIJEM	VKLAD	24572	62414	\N	\N	\N
2908153	9633	1997-12-20	PRIJEM	VKLAD	39618	64866	\N	\N	\N
2908154	9633	1997-10-06	PRIJEM	VKLAD	11175	46883	\N	\N	\N
2908155	9633	1997-12-28	PRIJEM	VKLAD	12932	77798	\N	\N	\N
2908156	9633	1997-02-25	PRIJEM	VKLAD	31002	63780	\N	\N	\N
2908157	9633	1997-12-20	PRIJEM	VKLAD	11397	25248	\N	\N	\N
2908158	9633	1997-06-06	PRIJEM	VKLAD	17379	53826	\N	\N	\N
2908159	9633	1997-11-03	PRIJEM	VKLAD	25577	62627	\N	\N	\N
2908160	9633	1997-09-10	PRIJEM	VKLAD	26023	60265	\N	\N	\N
2908161	9633	1997-02-11	PRIJEM	VKLAD	22529	35078	\N	\N	\N
2908162	9633	1998-11-20	PRIJEM	VKLAD	11807	40391	\N	\N	\N
2908163	9633	1998-08-09	PRIJEM	VKLAD	16530	71232	\N	\N	\N
2908164	9633	1998-01-13	PRIJEM	VKLAD	33293	71655	\N	\N	\N
2908165	9633	1998-01-29	PRIJEM	VKLAD	19997	72255	\N	\N	\N
2908166	9633	1998-09-29	PRIJEM	VKLAD	20314	114148	\N	\N	\N
2908167	9633	1998-07-05	PRIJEM	VKLAD	45497	70893	\N	\N	\N
2908168	9633	1998-09-26	PRIJEM	VKLAD	45666	110507	\N	\N	\N
2908169	9633	1998-05-29	PRIJEM	VKLAD	11338	41221	\N	\N	\N
2908170	9633	1998-09-14	PRIJEM	VKLAD	32251	85641	\N	\N	\N
2908171	9633	1998-03-20	PRIJEM	VKLAD	16751	37839	\N	\N	\N
2908172	9633	1998-10-19	PRIJEM	VKLAD	46276	127403	\N	\N	\N
2908173	9633	1998-05-27	PRIJEM	VKLAD	10719	29883	\N	\N	\N
2908174	9633	1998-04-28	PRIJEM	VKLAD	16705	49903	\N	\N	\N
2908175	9633	1998-10-09	PRIJEM	VKLAD	12053	83604	\N	\N	\N
2908176	9633	1998-09-03	PRIJEM	VKLAD	5965	62766	\N	\N	\N
2908177	9633	1998-01-22	PRIJEM	VKLAD	25721	87476	\N	\N	\N
2908178	9633	1998-07-22	PRIJEM	VKLAD	41899	102515	\N	\N	\N
2908179	9633	1998-09-28	PRIJEM	VKLAD	15427	125934	\N	\N	\N
2908180	9633	1998-06-08	PRIJEM	VKLAD	5967	41170	\N	\N	\N
2908181	9633	1998-02-20	PRIJEM	VKLAD	22439	69493	\N	\N	\N
2908187	9633	1996-06-19	VYDAJ	VYBER	3000	18564	\N	\N	0
2908188	9633	1996-07-02	VYDAJ	VYBER	2300	-5525	\N	\N	0
2908189	9633	1996-08-05	VYDAJ	VYBER	2200	26279	\N	\N	0
2908190	9633	1996-09-06	VYDAJ	VYBER	1800	47554	\N	\N	0
2908191	9633	1996-10-16	VYDAJ	VYBER	2300	87512	\N	\N	0
2908192	9633	1996-11-10	VYDAJ	VYBER	2400	50239	\N	\N	0
2908193	9633	1996-12-08	VYDAJ	VYBER	2900	24788	\N	\N	0
2908194	9633	1997-01-12	VYDAJ	VYBER	3000	11270	\N	\N	0
2908195	9633	1997-02-19	VYDAJ	VYBER	2300	32778	\N	\N	0
2908196	9633	1997-03-13	VYDAJ	VYBER	1900	31256	\N	\N	0
2908197	9633	1997-04-06	VYDAJ	VYBER	2700	50318	\N	\N	0
2908198	9633	1997-05-11	VYDAJ	VYBER	2900	15457	\N	\N	0
2908199	9633	1997-06-10	VYDAJ	VYBER	1900	51926	\N	\N	0
2908200	9633	1997-07-12	VYDAJ	PREVOD NA UCET	2477	81664	UVER	ST	67566084
2908201	9633	1997-08-12	VYDAJ	PREVOD NA UCET	2477	55524	UVER	ST	67566084
2908202	9633	1997-09-12	VYDAJ	PREVOD NA UCET	2477	44257	UVER	ST	67566084
2908203	9633	1997-10-12	VYDAJ	PREVOD NA UCET	2477	44406	UVER	ST	67566084
2908204	9633	1997-11-12	VYDAJ	PREVOD NA UCET	2477	18608	UVER	ST	67566084
2908205	9633	1997-12-12	VYDAJ	PREVOD NA UCET	2477	18951	UVER	ST	67566084
2908206	9633	1998-01-12	VYDAJ	PREVOD NA UCET	2477	38362	UVER	ST	67566084
2908207	9633	1998-02-12	VYDAJ	PREVOD NA UCET	2477	47054	UVER	ST	67566084
2908208	9633	1998-03-12	VYDAJ	PREVOD NA UCET	2477	21088	UVER	ST	67566084
2908209	9633	1998-04-12	VYDAJ	PREVOD NA UCET	2477	28398	UVER	ST	67566084
2908210	9633	1998-05-12	VYDAJ	PREVOD NA UCET	2477	38854	UVER	ST	67566084
2908211	9633	1998-06-12	VYDAJ	PREVOD NA UCET	2477	38693	UVER	ST	67566084
2908212	9633	1998-07-12	VYDAJ	PREVOD NA UCET	2477	68416	UVER	ST	67566084
2908213	9633	1998-08-12	VYDAJ	PREVOD NA UCET	2477	68755	UVER	ST	67566084
2908214	9633	1998-09-12	VYDAJ	PREVOD NA UCET	2477	53390	UVER	ST	67566084
2908215	9633	1998-10-12	VYDAJ	PREVOD NA UCET	2477	81127	UVER	ST	67566084
2908216	9633	1998-11-12	VYDAJ	PREVOD NA UCET	2477	28584	UVER	ST	67566084
2908218	9633	1996-10-07	VYBER	VYBER	16733	42190	\N	\N	\N
2908220	9633	1996-06-05	VYBER	VYBER	11194	58086	\N	\N	\N
2908221	9633	1996-10-17	VYBER	VYBER	16713	70799	\N	\N	\N
2908224	9633	1996-06-28	VYBER	VYBER	21979	-3415	\N	\N	\N
2908227	9633	1997-09-12	VYBER	VYBER	13531	46734	\N	\N	\N
2908228	9633	1997-06-25	VYBER	VYBER	17506	54909	\N	\N	\N
2908229	9633	1997-11-03	VYBER	VYBER	14495	48132	\N	\N	\N
2908230	9633	1997-05-11	VYBER	VYBER	17832	18357	\N	\N	\N
2908231	9633	1997-01-11	VYBER	VYBER	11330	14270	\N	\N	\N
2908232	9633	1997-09-08	VYBER	VYBER	3462	34242	\N	\N	\N
2908233	9633	1997-11-29	VYBER	VYBER	9052	21256	\N	\N	\N
2908234	9633	1997-01-07	VYBER	VYBER	22414	31900	\N	\N	\N
2908237	9633	1997-11-12	VYBER	VYBER	8466	21085	\N	\N	\N
2908239	9633	1997-08-14	VYBER	VYBER	9701	45823	\N	\N	\N
2908240	9633	1997-11-08	VYBER	VYBER	5381	29551	\N	\N	\N
2908241	9633	1998-05-25	VYBER	VYBER	24390	14464	\N	\N	\N
2908242	9633	1998-02-20	VYBER	VYBER	11750	57743	\N	\N	\N
2908243	9633	1998-11-04	VYBER	VYBER	14616	31061	\N	\N	\N
2908244	9633	1998-01-23	VYBER	VYBER	20518	66958	\N	\N	\N
2908245	9633	1998-02-07	VYBER	VYBER	21079	49531	\N	\N	\N
2908246	9633	1998-12-02	VYBER	VYBER	24654	15539	\N	\N	\N
2908247	9633	1998-10-05	VYBER	VYBER	9032	71551	\N	\N	\N
2908248	9633	1998-03-11	VYBER	VYBER	24821	23565	\N	\N	\N
2908249	9633	1996-06-13	VYDAJ	VYBER	27600	8586	\N	\N	\N
2908252	9633	1996-12-01	VYDAJ	VYBER	7500	65988	\N	\N	\N
2908253	9633	1997-12-16	VYDAJ	VYBER	5100	13851	\N	\N	\N
2908254	9633	1998-12-06	VYDAJ	VYBER	8700	6839	\N	\N	\N
2908262	9633	1997-01-06	VYDAJ	VYBER	8100	54314	\N	\N	\N
2908263	9633	1997-01-08	VYDAJ	VYBER	6300	25600	\N	\N	\N
2908264	9633	1997-01-13	VYDAJ	VYBER	4800	1670	\N	\N	\N
2908266	9633	1997-01-12	VYDAJ	VYBER	4800	6470	\N	\N	\N
2908267	9633	1998-01-17	VYDAJ	VYBER	8100	63555	\N	\N	\N
2908268	9633	1998-01-19	VYDAJ	VYBER	1800	61755	\N	\N	\N
2908269	9633	1998-01-09	VYDAJ	VYBER	5100	47739	\N	\N	\N
2908270	9633	1998-01-11	VYDAJ	VYBER	6900	40839	\N	\N	\N
2908271	9633	1998-01-30	VYDAJ	VYBER	2100	70155	\N	\N	\N
2908272	9633	1998-01-06	VYDAJ	VYBER	3300	52839	\N	\N	\N
2908273	9633	1996-11-11	VYDAJ	VYBER	11400	38839	\N	\N	\N
2908274	9633	1996-12-08	VYDAJ	VYBER	12600	27688	\N	\N	\N
2908277	9633	1997-11-07	VYDAJ	VYBER	13200	34932	\N	\N	\N
2908278	9633	1997-09-28	VYDAJ	VYBER	3600	47984	\N	\N	\N
2908279	9633	1997-03-02	VYDAJ	VYBER	12000	40556	\N	\N	\N
2908280	9633	1997-02-26	VYDAJ	VYBER	11400	52380	\N	\N	\N
2908281	9633	1998-10-30	VYDAJ	VYBER	8400	45103	\N	\N	\N
2908282	9633	1998-03-20	VYDAJ	VYBER	12900	24939	\N	\N	\N
2908283	9633	1998-07-27	VYDAJ	VYBER	2100	63515	\N	\N	\N
2908284	9633	1998-05-31	VYDAJ	VYBER	6300	35203	\N	\N	\N
2908285	9633	1998-05-09	VYDAJ	VYBER	8700	41331	\N	\N	\N
2908286	9633	1998-07-21	VYDAJ	VYBER	7800	60616	\N	\N	\N
2908287	9633	1998-09-05	VYDAJ	VYBER	6900	55866	\N	\N	\N
2908288	9633	1998-07-04	VYDAJ	VYBER	9600	25396	\N	\N	\N
2908289	9633	1998-07-28	VYDAJ	VYBER	9300	54215	\N	\N	\N
2908296	9633	1996-06-30	VYDAJ	VYBER	15	-3219	SLUZBY	\N	\N
2908297	9633	1996-07-31	VYDAJ	VYBER	15	45679	SLUZBY	\N	\N
2908298	9633	1996-08-31	VYDAJ	VYBER	15	81254	SLUZBY	\N	\N
2908299	9633	1996-09-30	VYDAJ	VYBER	15	95423	SLUZBY	\N	\N
2908300	9633	1996-10-31	VYDAJ	VYBER	15	82139	SLUZBY	\N	\N
2908301	9633	1996-11-30	VYDAJ	VYBER	15	73488	SLUZBY	\N	\N
2908302	9633	1996-12-31	VYDAJ	VYBER	15	25013	SLUZBY	\N	\N
2908303	9633	1997-01-31	VYDAJ	VYBER	15	1749	SLUZBY	\N	\N
2908304	9633	1997-02-28	VYDAJ	VYBER	15	52556	SLUZBY	\N	\N
2908305	9633	1997-03-31	VYDAJ	VYBER	15	31485	SLUZBY	\N	\N
2908306	9633	1997-04-30	VYDAJ	VYBER	15	50689	SLUZBY	\N	\N
2908307	9633	1997-05-31	VYDAJ	VYBER	15	50247	SLUZBY	\N	\N
2908308	9633	1997-06-30	VYDAJ	VYBER	15	55330	SLUZBY	\N	\N
2908309	9633	1997-07-31	VYDAJ	VYBER	15	58001	SLUZBY	\N	\N
2908310	9633	1997-08-31	VYDAJ	VYBER	15	37704	SLUZBY	\N	\N
2908311	9633	1997-09-30	VYDAJ	VYBER	15	35708	SLUZBY	\N	\N
2908312	9633	1997-10-31	VYDAJ	VYBER	15	37050	SLUZBY	\N	\N
2908313	9633	1997-11-30	VYDAJ	VYBER	15	21428	SLUZBY	\N	\N
2908314	9633	1997-12-31	VYDAJ	VYBER	15	56139	SLUZBY	\N	\N
2908315	9633	1998-01-31	VYDAJ	VYBER	15	70610	SLUZBY	\N	\N
2908316	9633	1998-02-28	VYDAJ	VYBER	15	48386	SLUZBY	\N	\N
2908317	9633	1998-03-31	VYDAJ	VYBER	15	30875	SLUZBY	\N	\N
2908318	9633	1998-04-30	VYDAJ	VYBER	15	50031	SLUZBY	\N	\N
2908319	9633	1998-05-31	VYDAJ	VYBER	15	41503	SLUZBY	\N	\N
2908320	9633	1998-06-30	VYDAJ	VYBER	15	34996	SLUZBY	\N	\N
2908321	9633	1998-07-31	VYDAJ	VYBER	15	54702	SLUZBY	\N	\N
2908322	9633	1998-08-31	VYDAJ	VYBER	15	56801	SLUZBY	\N	\N
2908323	9633	1998-09-30	VYDAJ	VYBER	15	114683	SLUZBY	\N	\N
2908324	9633	1998-10-31	VYDAJ	VYBER	15	45677	SLUZBY	\N	\N
2908325	9633	1998-11-30	VYDAJ	VYBER	15	40193	SLUZBY	\N	\N
2908326	9633	1996-02-07	PRIJEM	VKLAD	8700	9200	\N	\N	\N
2908327	9633	1996-03-08	VYDAJ	VYBER	16300	36445	\N	\N	\N
2908328	9633	1996-04-07	VYDAJ	VYBER	32600	49605	\N	\N	\N
2908329	9633	1996-05-07	VYDAJ	VYBER	38900	55352	\N	\N	\N
2908330	9633	1996-06-06	VYDAJ	VYBER	21900	36186	\N	\N	\N
2908331	9633	1996-07-06	VYDAJ	VYBER	17400	25676	\N	\N	\N
2908332	9633	1996-08-05	VYDAJ	VYBER	17200	28479	\N	\N	\N
2908333	9633	1996-09-04	VYDAJ	VYBER	31900	49354	\N	\N	\N
2908334	9633	1996-10-04	VYDAJ	VYBER	36500	58923	\N	\N	\N
2908335	9633	1996-10-15	VYDAJ	VYBER	29200	89812	\N	\N	\N
2908336	9633	1996-11-03	VYDAJ	VYBER	29500	52639	\N	\N	\N
2908337	9633	1996-12-03	VYDAJ	VYBER	25700	40288	\N	\N	\N
2908338	9633	1997-01-02	VYDAJ	VYBER	2500	22513	\N	\N	\N
2908339	9633	1997-02-01	PRIJEM	VKLAD	10800	12549	\N	\N	\N
2908340	9633	1997-03-03	VYDAJ	VYBER	7400	33156	\N	\N	\N
2908341	9633	1997-04-02	VYDAJ	VYBER	1000	30485	\N	\N	\N
2908342	9633	1997-05-02	VYDAJ	VYBER	14500	36189	\N	\N	\N
2908343	9633	1997-06-01	VYDAJ	VYBER	13800	36447	\N	\N	\N
2908344	9633	1997-07-01	VYDAJ	VYBER	16500	38830	\N	\N	\N
2908345	9633	1997-07-31	VYDAJ	VYBER	24300	58016	\N	\N	\N
2908346	9633	1997-08-30	VYDAJ	VYBER	8500	37323	\N	\N	\N
2908347	9633	1997-09-29	VYDAJ	VYBER	12600	35384	\N	\N	\N
2908348	9633	1997-10-29	VYDAJ	VYBER	7600	36806	\N	\N	\N
2908349	9633	1997-11-28	PRIJEM	VKLAD	11700	30308	\N	\N	\N
2908350	9633	1997-12-28	VYDAJ	VYBER	21900	55898	\N	\N	\N
2908351	9633	1998-01-27	VYDAJ	VYBER	14700	52258	\N	\N	\N
2908352	9633	1998-02-26	VYDAJ	VYBER	9700	48043	\N	\N	\N
2908353	9633	1998-03-28	PRIJEM	VKLAD	5700	30639	\N	\N	\N
2908354	9633	1998-04-27	PRIJEM	VKLAD	4800	33198	\N	\N	\N
2908355	9633	1998-05-27	PRIJEM	VKLAD	4700	19164	\N	\N	\N
2908356	9633	1998-06-26	VYDAJ	VYBER	3900	34793	\N	\N	\N
2908357	9633	1998-07-26	VYDAJ	VYBER	36900	65615	\N	\N	\N
2908358	9633	1998-08-25	VYDAJ	VYBER	12400	56355	\N	\N	\N
2908359	9633	1998-09-24	VYDAJ	VYBER	20800	64841	\N	\N	\N
2908360	9633	1998-09-28	VYDAJ	VYBER	32100	93834	\N	\N	\N
2908361	9633	1998-09-30	VYDAJ	VYBER	34100	80583	\N	\N	\N
2908362	9633	1998-10-19	VYDAJ	VYBER	54400	73003	\N	\N	\N
2908363	9633	1998-10-24	VYDAJ	VYBER	19500	53503	\N	\N	\N
2908364	9633	1998-11-23	VYDAJ	VYBER	400	39991	\N	\N	\N
2908688	9635	1993-01-05	PRIJEM	VKLAD	400	400	\N	\N	\N
2908689	9635	1993-01-14	PRIJEM	PREVOD Z UCTU	4470	4870	DUCHOD	CD	37906074
2908690	9635	1993-02-14	PRIJEM	PREVOD Z UCTU	4470	9363	DUCHOD	CD	37906074
2908691	9635	1993-03-14	PRIJEM	PREVOD Z UCTU	4470	13853	DUCHOD	CD	37906074
2908692	9635	1993-04-14	PRIJEM	PREVOD Z UCTU	4470	18344	DUCHOD	CD	37906074
2908693	9635	1993-05-14	PRIJEM	PREVOD Z UCTU	4470	22834	DUCHOD	CD	37906074
2908694	9635	1993-06-14	PRIJEM	PREVOD Z UCTU	4470	5545	DUCHOD	CD	37906074
2908695	9635	1993-07-14	PRIJEM	PREVOD Z UCTU	4470	7677	DUCHOD	CD	37906074
2908696	9635	1993-08-14	PRIJEM	PREVOD Z UCTU	4470	12158	DUCHOD	CD	37906074
2908697	9635	1993-09-14	PRIJEM	PREVOD Z UCTU	4470	7306	DUCHOD	CD	37906074
2908698	9635	1993-10-14	PRIJEM	PREVOD Z UCTU	4470	11813	DUCHOD	CD	37906074
2908699	9635	1993-11-14	PRIJEM	PREVOD Z UCTU	4470	11032	DUCHOD	CD	37906074
2908700	9635	1993-12-14	PRIJEM	PREVOD Z UCTU	4470	15516	DUCHOD	CD	37906074
2908701	9635	1994-01-14	PRIJEM	PREVOD Z UCTU	4470	11044	DUCHOD	CD	37906074
2908702	9635	1994-02-14	PRIJEM	PREVOD Z UCTU	4470	1795	DUCHOD	CD	37906074
2908703	9635	1994-03-14	PRIJEM	PREVOD Z UCTU	4470	6223	DUCHOD	CD	37906074
2908704	9635	1994-04-14	PRIJEM	PREVOD Z UCTU	4470	5797	DUCHOD	CD	37906074
2908705	9635	1994-05-14	PRIJEM	PREVOD Z UCTU	4470	7690	DUCHOD	CD	37906074
2908706	9635	1994-06-14	PRIJEM	PREVOD Z UCTU	4470	9371	DUCHOD	CD	37906074
2908707	9635	1994-07-14	PRIJEM	PREVOD Z UCTU	4470	10267	DUCHOD	CD	37906074
2908708	9635	1994-08-14	PRIJEM	PREVOD Z UCTU	4470	14000	DUCHOD	CD	37906074
2908709	9635	1994-09-14	PRIJEM	PREVOD Z UCTU	4470	7299	DUCHOD	CD	37906074
2908710	9635	1994-10-14	PRIJEM	PREVOD Z UCTU	4470	6946	DUCHOD	CD	37906074
2908711	9635	1994-11-14	PRIJEM	PREVOD Z UCTU	4470	11442	DUCHOD	CD	37906074
2908712	9635	1994-12-14	PRIJEM	PREVOD Z UCTU	4470	12957	DUCHOD	CD	37906074
2908713	9635	1995-01-14	PRIJEM	PREVOD Z UCTU	4470	5597	DUCHOD	CD	37906074
2908714	9635	1995-02-14	PRIJEM	PREVOD Z UCTU	4470	2931	DUCHOD	CD	37906074
2908715	9635	1995-03-14	PRIJEM	PREVOD Z UCTU	4470	7368	DUCHOD	CD	37906074
2908716	9635	1995-04-14	PRIJEM	PREVOD Z UCTU	4470	4580	DUCHOD	CD	37906074
2908717	9635	1995-05-14	PRIJEM	PREVOD Z UCTU	4470	6664	DUCHOD	CD	37906074
2908718	9635	1995-06-14	PRIJEM	PREVOD Z UCTU	4470	8961	DUCHOD	CD	37906074
2908719	9635	1995-07-14	PRIJEM	PREVOD Z UCTU	4470	7255	DUCHOD	CD	37906074
2908720	9635	1995-08-14	PRIJEM	PREVOD Z UCTU	4470	9359	DUCHOD	CD	37906074
2908721	9635	1995-09-14	PRIJEM	PREVOD Z UCTU	4470	13868	DUCHOD	CD	37906074
2908722	9635	1995-10-14	PRIJEM	PREVOD Z UCTU	4470	9103	DUCHOD	CD	37906074
2908723	9635	1995-11-14	PRIJEM	PREVOD Z UCTU	4470	10015	DUCHOD	CD	37906074
2908724	9635	1995-12-14	PRIJEM	PREVOD Z UCTU	4470	12345	DUCHOD	CD	37906074
2908725	9635	1996-01-14	PRIJEM	PREVOD Z UCTU	4470	7471	DUCHOD	CD	37906074
2908726	9635	1996-02-14	PRIJEM	PREVOD Z UCTU	4470	7482	DUCHOD	CD	37906074
2908727	9635	1996-03-14	PRIJEM	PREVOD Z UCTU	4470	8357	DUCHOD	CD	37906074
2908728	9635	1996-04-14	PRIJEM	PREVOD Z UCTU	4470	7092	DUCHOD	CD	37906074
2908729	9635	1996-05-14	PRIJEM	PREVOD Z UCTU	4470	8486	DUCHOD	CD	37906074
2908730	9635	1996-06-14	PRIJEM	PREVOD Z UCTU	4470	12999	DUCHOD	CD	37906074
2908731	9635	1996-07-14	PRIJEM	PREVOD Z UCTU	4470	12724	DUCHOD	CD	37906074
2908732	9635	1996-08-14	PRIJEM	PREVOD Z UCTU	4470	11432	DUCHOD	CD	37906074
2908733	9635	1996-09-14	PRIJEM	PREVOD Z UCTU	4470	12814	DUCHOD	CD	37906074
2908734	9635	1996-10-14	PRIJEM	PREVOD Z UCTU	4470	12738	DUCHOD	CD	37906074
2908735	9635	1996-11-14	PRIJEM	PREVOD Z UCTU	4470	14768	DUCHOD	CD	37906074
2908736	9635	1996-12-14	PRIJEM	PREVOD Z UCTU	4470	13777	DUCHOD	CD	37906074
2908737	9635	1997-01-14	PRIJEM	PREVOD Z UCTU	4470	11145	DUCHOD	CD	37906074
2908738	9635	1997-02-14	PRIJEM	PREVOD Z UCTU	4470	7976	DUCHOD	CD	37906074
2908739	9635	1997-03-14	PRIJEM	PREVOD Z UCTU	4470	8852	DUCHOD	CD	37906074
2908740	9635	1997-04-14	PRIJEM	PREVOD Z UCTU	4470	10467	DUCHOD	CD	37906074
2908741	9635	1997-05-14	PRIJEM	PREVOD Z UCTU	4470	7626	DUCHOD	CD	37906074
2908742	9635	1997-06-14	PRIJEM	PREVOD Z UCTU	4470	7205	DUCHOD	CD	37906074
2908743	9635	1997-07-14	PRIJEM	PREVOD Z UCTU	4470	6900	DUCHOD	CD	37906074
2908744	9635	1997-08-14	PRIJEM	PREVOD Z UCTU	4470	11396	DUCHOD	CD	37906074
2908745	9635	1997-09-14	PRIJEM	PREVOD Z UCTU	4470	6283	DUCHOD	CD	37906074
2908746	9635	1997-10-14	PRIJEM	PREVOD Z UCTU	4470	8079	DUCHOD	CD	37906074
2908747	9635	1997-11-14	PRIJEM	PREVOD Z UCTU	4470	9952	DUCHOD	CD	37906074
2908748	9635	1997-12-14	PRIJEM	PREVOD Z UCTU	4470	14470	DUCHOD	CD	37906074
2908749	9635	1998-01-14	PRIJEM	PREVOD Z UCTU	4470	6150	DUCHOD	CD	37906074
2908750	9635	1998-02-14	PRIJEM	PREVOD Z UCTU	4470	6404	DUCHOD	CD	37906074
2908751	9635	1998-03-14	PRIJEM	PREVOD Z UCTU	4470	7562	DUCHOD	CD	37906074
2908752	9635	1998-04-14	PRIJEM	PREVOD Z UCTU	4470	8761	DUCHOD	CD	37906074
2908753	9635	1998-05-14	PRIJEM	PREVOD Z UCTU	4470	13258	DUCHOD	CD	37906074
2908754	9635	1998-06-14	PRIJEM	PREVOD Z UCTU	4470	10777	DUCHOD	CD	37906074
2908755	9635	1998-07-14	PRIJEM	PREVOD Z UCTU	4470	8892	DUCHOD	CD	37906074
2908756	9635	1998-08-14	PRIJEM	PREVOD Z UCTU	4470	7677	DUCHOD	CD	37906074
2908757	9635	1998-09-14	PRIJEM	PREVOD Z UCTU	4470	9066	DUCHOD	CD	37906074
2908758	9635	1998-10-14	PRIJEM	PREVOD Z UCTU	4470	10943	DUCHOD	CD	37906074
2908759	9635	1998-11-14	PRIJEM	PREVOD Z UCTU	4470	6987	DUCHOD	CD	37906074
2908760	9635	1998-12-14	PRIJEM	PREVOD Z UCTU	4470	6884	DUCHOD	CD	37906074
2908766	9635	1993-06-03	VYDAJ	VYBER	3500	19345	SIPO	\N	0
2908767	9635	1993-06-28	VYDAJ	VYBER	2400	3145	SIPO	\N	0
2908768	9635	1993-08-15	VYDAJ	VYBER	3700	8458	SIPO	\N	0
2908769	9635	1993-08-31	VYDAJ	VYBER	3500	5010	SIPO	\N	0
2908770	9635	1993-10-17	VYDAJ	VYBER	3100	8713	SIPO	\N	0
2908771	9635	1993-10-29	VYDAJ	VYBER	2200	6513	SIPO	\N	0
2908772	9635	1993-12-15	VYDAJ	VYBER	3600	11916	SIPO	\N	0
2908773	9635	1994-01-03	VYDAJ	VYBER	2300	8894	SIPO	\N	0
2908775	9635	1994-03-17	VYDAJ	VYBER	2300	3923	SIPO	\N	0
2908776	9635	1994-04-09	VYDAJ	VYBER	2600	1327	SIPO	\N	0
2908777	9635	1994-04-28	VYDAJ	VYBER	2600	3197	SIPO	\N	0
2908778	9635	1994-05-30	VYDAJ	VYBER	2800	4890	SIPO	\N	0
2908779	9635	1994-07-04	VYDAJ	VYBER	3600	5797	SIPO	\N	0
2908780	9635	1994-08-17	VYDAJ	VYBER	2700	7460	SIPO	\N	0
2908781	9635	1994-09-09	VYDAJ	VYBER	2200	2829	SIPO	\N	0
2908782	9635	1994-10-02	VYDAJ	VYBER	2600	2476	SIPO	\N	0
2908783	9635	1994-11-16	VYDAJ	VYBER	3000	8442	SIPO	\N	0
2908784	9635	1994-12-15	VYDAJ	VYBER	3400	9557	SIPO	\N	0
2908785	9635	1994-12-30	VYDAJ	VYBER	3500	5807	SIPO	\N	0
2908787	9635	1995-03-17	VYDAJ	VYBER	3200	4168	SIPO	\N	0
2908788	9635	1995-04-10	VYDAJ	VYBER	2700	110	SIPO	\N	0
2908789	9635	1995-05-10	VYDAJ	VYBER	2400	2194	SIPO	\N	0
2908790	9635	1995-05-29	VYDAJ	VYBER	2200	4464	SIPO	\N	0
2908791	9635	1995-07-06	VYDAJ	VYBER	2900	2785	SIPO	\N	0
2908792	9635	1995-08-02	VYDAJ	VYBER	2400	4889	SIPO	\N	0
2908793	9635	1995-09-15	VYDAJ	VYBER	3400	10468	SIPO	\N	0
2908794	9635	1995-10-02	VYDAJ	VYBER	2600	7913	SIPO	\N	0
2908795	9635	1995-11-05	VYDAJ	VYBER	3600	5545	SIPO	\N	0
2908796	9635	1995-12-02	VYDAJ	VYBER	2200	7875	SIPO	\N	0
2908797	9635	1995-12-30	VYDAJ	VYBER	2300	9745	SIPO	\N	0
2908799	9635	1996-03-07	VYDAJ	VYBER	3600	3887	SIPO	\N	0
2908800	9635	1996-04-07	VYDAJ	VYBER	2900	2622	SIPO	\N	0
2908801	9635	1996-05-02	VYDAJ	VYBER	3100	4016	SIPO	\N	0
2908802	9635	1996-06-15	VYDAJ	VYBER	2700	10299	SIPO	\N	0
2908803	9635	1996-07-16	VYDAJ	VYBER	2400	10324	SIPO	\N	0
2908804	9635	1996-07-30	VYDAJ	VYBER	3400	6924	SIPO	\N	0
2908805	9635	1996-09-09	VYDAJ	VYBER	3100	8344	SIPO	\N	0
2908806	9635	1996-10-12	VYDAJ	VYBER	3500	8268	SIPO	\N	0
2908807	9635	1996-11-08	VYDAJ	VYBER	2500	10298	SIPO	\N	0
2908808	9635	1996-12-06	VYDAJ	VYBER	3000	9307	SIPO	\N	0
2908809	9635	1997-01-09	VYDAJ	VYBER	2500	11355	SIPO	\N	0
2908811	9635	1997-03-05	VYDAJ	VYBER	3600	4382	SIPO	\N	0
2908812	9635	1997-04-13	VYDAJ	VYBER	2900	5997	SIPO	\N	0
2908813	9635	1997-05-03	VYDAJ	VYBER	3600	3156	SIPO	\N	0
2908814	9635	1997-06-04	VYDAJ	VYBER	3400	2735	SIPO	\N	0
2908815	9635	1997-07-03	VYDAJ	VYBER	3200	2430	SIPO	\N	0
2908816	9635	1997-08-17	VYDAJ	VYBER	2800	8596	SIPO	\N	0
2908817	9635	1997-09-06	VYDAJ	VYBER	3700	4933	SIPO	\N	0
2908818	9635	1997-09-29	VYDAJ	VYBER	2700	3583	SIPO	\N	0
2908819	9635	1997-11-01	VYDAJ	VYBER	2600	5482	SIPO	\N	0
2908820	9635	1997-12-14	VYDAJ	VYBER	2900	11570	SIPO	\N	0
2908821	9635	1998-01-01	VYDAJ	VYBER	2700	5920	SIPO	\N	0
2908823	9635	1998-03-09	VYDAJ	VYBER	3300	3092	SIPO	\N	0
2908824	9635	1998-04-09	VYDAJ	VYBER	3300	4291	SIPO	\N	0
2908825	9635	1998-05-14	VYDAJ	VYBER	2700	10558	SIPO	\N	0
2908826	9635	1998-06-16	VYDAJ	VYBER	2800	7977	SIPO	\N	0
2908827	9635	1998-07-15	VYDAJ	VYBER	3100	5792	SIPO	\N	0
2908828	9635	1998-08-02	VYDAJ	VYBER	2600	3207	SIPO	\N	0
2908829	9635	1998-08-31	VYDAJ	VYBER	3100	4596	SIPO	\N	0
2908830	9635	1998-10-07	VYDAJ	VYBER	2600	6473	SIPO	\N	0
2908831	9635	1998-11-08	VYDAJ	VYBER	3100	2517	SIPO	\N	0
2908832	9635	1998-12-12	VYDAJ	VYBER	3300	2414	SIPO	\N	0
2908833	9635	1993-06-10	VYDAJ	VYBER	14450	3795	\N	\N	\N
2908838	9635	1998-06-01	VYDAJ	VYBER	3900	6307	\N	\N	\N
2908840	9635	1994-01-30	VYDAJ	VYBER	3850	-1126	\N	\N	\N
2908841	9635	1995-01-08	VYDAJ	VYBER	1600	4247	\N	\N	\N
2908842	9635	1996-01-07	VYDAJ	VYBER	3600	4041	\N	\N	\N
2908843	9635	1997-01-13	VYDAJ	VYBER	3000	6675	\N	\N	\N
2908844	9635	1998-01-21	VYDAJ	VYBER	700	4890	\N	\N	\N
2908845	9635	1993-12-20	VYDAJ	VYBER	800	11116	\N	\N	\N
2908846	9635	1994-12-21	VYDAJ	VYBER	250	9307	\N	\N	\N
2908847	9635	1995-12-21	VYDAJ	VYBER	300	12045	\N	\N	\N
2908848	9635	1996-12-03	VYDAJ	VYBER	950	12307	\N	\N	\N
2908849	9635	1997-12-23	VYDAJ	VYBER	1250	8560	\N	\N	\N
2908850	9635	1998-12-10	VYDAJ	VYBER	1300	5714	\N	\N	\N
2908857	9635	1994-01-12	VYDAJ	VYBER	1840	6574	\N	\N	\N
2908858	9635	1994-01-22	VYDAJ	VYBER	2240	8004	\N	\N	\N
2908859	9635	1994-01-07	VYDAJ	VYBER	480	8414	\N	\N	\N
2908860	9635	1994-01-25	VYDAJ	VYBER	1440	6564	\N	\N	\N
2908861	9635	1994-01-16	VYDAJ	VYBER	800	10244	\N	\N	\N
2908862	9635	1994-01-30	VYDAJ	VYBER	1600	-2726	\N	\N	\N
2908863	9635	1995-01-19	VYDAJ	VYBER	2000	637	\N	\N	\N
2908864	9635	1995-01-11	VYDAJ	VYBER	2240	2007	\N	\N	\N
2908865	9635	1995-01-17	VYDAJ	VYBER	2080	2637	\N	\N	\N
2908866	9635	1995-01-13	VYDAJ	VYBER	880	1127	\N	\N	\N
2908867	9635	1995-01-20	VYDAJ	VYBER	2160	-1524	\N	\N	\N
2908868	9635	1995-01-16	VYDAJ	VYBER	880	4717	\N	\N	\N
2908869	9635	1996-01-14	VYDAJ	VYBER	1360	6111	\N	\N	\N
2908870	9635	1996-01-01	VYDAJ	VYBER	1120	8681	\N	\N	\N
2908871	9635	1996-01-18	VYDAJ	VYBER	1920	4191	\N	\N	\N
2908872	9635	1996-01-05	VYDAJ	VYBER	1040	7641	\N	\N	\N
2908873	9635	1996-01-08	VYDAJ	VYBER	1040	3001	\N	\N	\N
2908874	9635	1996-01-28	VYDAJ	VYBER	1200	2991	\N	\N	\N
2908875	9635	1997-01-25	VYDAJ	VYBER	1280	6505	\N	\N	\N
2908876	9635	1997-01-12	VYDAJ	VYBER	1120	9675	\N	\N	\N
2908877	9635	1997-01-16	VYDAJ	VYBER	1040	10105	\N	\N	\N
2908878	9635	1997-01-30	VYDAJ	VYBER	880	5625	\N	\N	\N
2908879	9635	1997-01-19	VYDAJ	VYBER	2320	7785	\N	\N	\N
2908880	9635	1997-01-10	VYDAJ	VYBER	560	10795	\N	\N	\N
2908881	9635	1998-01-24	VYDAJ	VYBER	2080	2810	\N	\N	\N
2908882	9635	1998-01-03	VYDAJ	VYBER	1920	4000	\N	\N	\N
2908883	9635	1998-01-15	VYDAJ	VYBER	560	5590	\N	\N	\N
2908885	9635	1998-01-03	VYDAJ	VYBER	2320	1680	\N	\N	\N
2908886	9635	1998-01-26	VYDAJ	VYBER	880	1930	\N	\N	\N
2908887	9635	1993-06-12	VYDAJ	VYBER	2720	1075	\N	\N	\N
2908889	9635	1993-09-02	VYDAJ	VYBER	2160	2836	\N	\N	\N
2908890	9635	1994-07-15	VYDAJ	VYBER	800	9467	\N	\N	\N
2908891	9635	1994-01-27	VYDAJ	VYBER	3840	2724	\N	\N	\N
2908892	9635	1994-09-16	VYDAJ	VYBER	2240	5059	\N	\N	\N
2908893	9635	1994-08-17	VYDAJ	VYBER	3840	10160	\N	\N	\N
2908894	9635	1994-08-25	VYDAJ	VYBER	2480	4980	\N	\N	\N
2908895	9635	1995-10-08	VYDAJ	VYBER	3280	4633	\N	\N	\N
2908896	9635	1995-07-04	VYDAJ	VYBER	3280	5685	\N	\N	\N
2908897	9635	1995-03-22	VYDAJ	VYBER	1360	2808	\N	\N	\N
2908898	9635	1996-04-03	VYDAJ	VYBER	2880	5522	\N	\N	\N
2908899	9635	1996-06-21	VYDAJ	VYBER	2080	8219	\N	\N	\N
2908900	9635	1996-09-18	VYDAJ	VYBER	1120	11694	\N	\N	\N
2908901	9635	1996-11-23	VYDAJ	VYBER	1600	13168	\N	\N	\N
2908902	9635	1997-09-11	VYDAJ	VYBER	3120	1813	\N	\N	\N
2908903	9635	1997-01-31	VYDAJ	VYBER	2160	3506	\N	\N	\N
2908904	9635	1997-04-25	VYDAJ	VYBER	3760	6707	\N	\N	\N
2908905	9635	1997-12-22	VYDAJ	VYBER	1760	9810	\N	\N	\N
2908906	9635	1997-05-19	VYDAJ	VYBER	1520	6106	\N	\N	\N
2908907	9635	1997-06-22	VYDAJ	VYBER	1600	5605	\N	\N	\N
2908908	9635	1998-10-21	VYDAJ	VYBER	2320	8623	\N	\N	\N
2908909	9635	1998-05-27	VYDAJ	VYBER	400	10158	\N	\N	\N
2908910	9635	1998-07-01	VYDAJ	VYBER	3600	4422	\N	\N	\N
2908912	9635	1998-10-31	VYDAJ	VYBER	3040	5631	\N	\N	\N
2908918	9635	1993-05-31	VYDAJ	VYBER	15	22845	SLUZBY	\N	\N
2908919	9635	1993-06-30	VYDAJ	VYBER	15	3207	SLUZBY	\N	\N
2908920	9635	1993-07-31	VYDAJ	VYBER	15	7688	SLUZBY	\N	\N
2908921	9635	1993-08-31	VYDAJ	VYBER	15	4996	SLUZBY	\N	\N
2908922	9635	1993-09-30	VYDAJ	VYBER	15	7343	SLUZBY	\N	\N
2908923	9635	1993-10-31	VYDAJ	VYBER	15	6562	SLUZBY	\N	\N
2908924	9635	1993-11-30	VYDAJ	VYBER	15	11046	SLUZBY	\N	\N
2908925	9635	1993-12-31	VYDAJ	VYBER	15	11194	SLUZBY	\N	\N
2908926	9635	1994-01-31	VYDAJ	VYBER	15	-2674	SLUZBY	\N	\N
2908927	9635	1994-02-28	VYDAJ	VYBER	15	1753	SLUZBY	\N	\N
2908928	9635	1994-03-31	VYDAJ	VYBER	15	3927	SLUZBY	\N	\N
2908929	9635	1994-04-30	VYDAJ	VYBER	15	3220	SLUZBY	\N	\N
2908930	9635	1994-05-31	VYDAJ	VYBER	15	4901	SLUZBY	\N	\N
2908931	9635	1994-06-30	VYDAJ	VYBER	15	9397	SLUZBY	\N	\N
2908932	9635	1994-07-31	VYDAJ	VYBER	15	9530	SLUZBY	\N	\N
2908933	9635	1994-08-31	VYDAJ	VYBER	15	5029	SLUZBY	\N	\N
2908934	9635	1994-09-30	VYDAJ	VYBER	15	5076	SLUZBY	\N	\N
2908935	9635	1994-10-31	VYDAJ	VYBER	15	6972	SLUZBY	\N	\N
2908936	9635	1994-11-30	VYDAJ	VYBER	15	8487	SLUZBY	\N	\N
2908937	9635	1994-12-31	VYDAJ	VYBER	15	5847	SLUZBY	\N	\N
2908938	9635	1995-01-31	VYDAJ	VYBER	15	-1525	SLUZBY	\N	\N
2908939	9635	1995-02-28	VYDAJ	VYBER	15	2898	SLUZBY	\N	\N
2908940	9635	1995-03-31	VYDAJ	VYBER	15	2810	SLUZBY	\N	\N
2908941	9635	1995-04-30	VYDAJ	VYBER	15	4594	SLUZBY	\N	\N
2908942	9635	1995-05-31	VYDAJ	VYBER	15	4491	SLUZBY	\N	\N
2908943	9635	1995-06-30	VYDAJ	VYBER	15	8965	SLUZBY	\N	\N
2908944	9635	1995-07-31	VYDAJ	VYBER	15	7289	SLUZBY	\N	\N
2908945	9635	1995-08-31	VYDAJ	VYBER	15	9398	SLUZBY	\N	\N
2908946	9635	1995-09-30	VYDAJ	VYBER	15	10513	SLUZBY	\N	\N
2908947	9635	1995-10-31	VYDAJ	VYBER	15	9145	SLUZBY	\N	\N
2908948	9635	1995-11-30	VYDAJ	VYBER	15	10075	SLUZBY	\N	\N
2908949	9635	1995-12-31	VYDAJ	VYBER	15	9801	SLUZBY	\N	\N
2908950	9635	1996-01-31	VYDAJ	VYBER	15	3012	SLUZBY	\N	\N
2908951	9635	1996-02-29	VYDAJ	VYBER	15	7487	SLUZBY	\N	\N
2908952	9635	1996-03-31	VYDAJ	VYBER	15	8402	SLUZBY	\N	\N
2908953	9635	1996-04-30	VYDAJ	VYBER	15	7116	SLUZBY	\N	\N
2908954	9635	1996-05-31	VYDAJ	VYBER	15	8529	SLUZBY	\N	\N
2908955	9635	1996-06-30	VYDAJ	VYBER	15	8254	SLUZBY	\N	\N
2908956	9635	1996-07-31	VYDAJ	VYBER	15	6962	SLUZBY	\N	\N
2908957	9635	1996-08-31	VYDAJ	VYBER	15	11444	SLUZBY	\N	\N
2908958	9635	1996-09-30	VYDAJ	VYBER	15	11768	SLUZBY	\N	\N
2908959	9635	1996-10-31	VYDAJ	VYBER	15	12798	SLUZBY	\N	\N
2908960	9635	1996-11-30	VYDAJ	VYBER	15	13257	SLUZBY	\N	\N
2908961	9635	1996-12-31	VYDAJ	VYBER	15	13855	SLUZBY	\N	\N
2908962	9635	1997-01-31	VYDAJ	VYBER	15	5666	SLUZBY	\N	\N
2908963	9635	1997-02-28	VYDAJ	VYBER	15	7982	SLUZBY	\N	\N
2908964	9635	1997-03-31	VYDAJ	VYBER	15	8897	SLUZBY	\N	\N
2908965	9635	1997-04-30	VYDAJ	VYBER	15	6756	SLUZBY	\N	\N
2908966	9635	1997-05-31	VYDAJ	VYBER	15	6135	SLUZBY	\N	\N
2908967	9635	1997-06-30	VYDAJ	VYBER	15	5630	SLUZBY	\N	\N
2908968	9635	1997-07-31	VYDAJ	VYBER	15	6926	SLUZBY	\N	\N
2908969	9635	1997-08-31	VYDAJ	VYBER	15	8633	SLUZBY	\N	\N
2908970	9635	1997-09-30	VYDAJ	VYBER	15	3609	SLUZBY	\N	\N
2908971	9635	1997-10-31	VYDAJ	VYBER	15	8082	SLUZBY	\N	\N
2908972	9635	1997-11-30	VYDAJ	VYBER	15	10000	SLUZBY	\N	\N
2908973	9635	1997-12-31	VYDAJ	VYBER	15	8620	SLUZBY	\N	\N
2908974	9635	1998-01-31	VYDAJ	VYBER	15	1934	SLUZBY	\N	\N
2908975	9635	1998-02-28	VYDAJ	VYBER	15	6392	SLUZBY	\N	\N
2908976	9635	1998-03-31	VYDAJ	VYBER	15	7591	SLUZBY	\N	\N
2908977	9635	1998-04-30	VYDAJ	VYBER	15	8788	SLUZBY	\N	\N
2908978	9635	1998-05-31	VYDAJ	VYBER	15	10207	SLUZBY	\N	\N
2908979	9635	1998-06-30	VYDAJ	VYBER	15	8022	SLUZBY	\N	\N
2908980	9635	1998-07-31	VYDAJ	VYBER	15	5807	SLUZBY	\N	\N
2908981	9635	1998-08-31	VYDAJ	VYBER	15	7696	SLUZBY	\N	\N
2908982	9635	1998-09-30	VYDAJ	VYBER	15	9073	SLUZBY	\N	\N
2908983	9635	1998-10-31	VYDAJ	VYBER	15	5617	SLUZBY	\N	\N
2908984	9635	1998-11-30	VYDAJ	VYBER	15	7014	SLUZBY	\N	\N
2908985	9635	1993-06-04	VYDAJ	VYBER	1100	18245	\N	\N	\N
2910387	9640	1993-03-13	PRIJEM	VKLAD	1100	20206	\N	\N	\N
2910390	9640	1993-03-13	PRIJEM	PREVOD Z UCTU	19106	19106	\N	UV	13876933
2910391	9640	1993-04-13	PRIJEM	PREVOD Z UCTU	19106	39861	\N	UV	13876933
2910392	9640	1993-05-13	PRIJEM	PREVOD Z UCTU	19106	50198	\N	UV	13876933
2910393	9640	1993-06-13	PRIJEM	PREVOD Z UCTU	28659	64250	\N	UV	13876933
2910394	9640	1993-07-13	PRIJEM	PREVOD Z UCTU	19106	62200	\N	UV	13876933
2910395	9640	1993-08-13	PRIJEM	PREVOD Z UCTU	19106	56570	\N	UV	13876933
2910396	9640	1993-09-13	PRIJEM	PREVOD Z UCTU	19106	41494	\N	UV	13876933
2910397	9640	1993-10-13	PRIJEM	PREVOD Z UCTU	19106	37863	\N	UV	13876933
2910398	9640	1993-11-13	PRIJEM	PREVOD Z UCTU	19106	43215	\N	UV	13876933
2910399	9640	1993-12-13	PRIJEM	PREVOD Z UCTU	28659	46943	\N	UV	13876933
2910400	9640	1994-01-13	PRIJEM	PREVOD Z UCTU	19106	37385	\N	UV	13876933
2910401	9640	1994-02-13	PRIJEM	PREVOD Z UCTU	19106	32005	\N	UV	13876933
2910402	9640	1994-03-13	PRIJEM	PREVOD Z UCTU	19106	35212	\N	UV	13876933
2910403	9640	1994-04-13	PRIJEM	PREVOD Z UCTU	19106	35638	\N	UV	13876933
2910404	9640	1994-05-13	PRIJEM	PREVOD Z UCTU	19106	42674	\N	UV	13876933
2910405	9640	1994-06-13	PRIJEM	PREVOD Z UCTU	28659	49887	\N	UV	13876933
2910406	9640	1994-07-13	PRIJEM	PREVOD Z UCTU	19106	41374	\N	UV	13876933
2910407	9640	1994-08-13	PRIJEM	PREVOD Z UCTU	19106	40175	\N	UV	13876933
2910408	9640	1994-09-13	PRIJEM	PREVOD Z UCTU	19106	38536	\N	UV	13876933
2910409	9640	1994-10-13	PRIJEM	PREVOD Z UCTU	19106	28361	\N	UV	13876933
2910410	9640	1994-11-13	PRIJEM	PREVOD Z UCTU	19106	31597	\N	UV	13876933
2910411	9640	1994-12-13	PRIJEM	PREVOD Z UCTU	28659	39058	\N	UV	13876933
2910412	9640	1995-01-13	PRIJEM	PREVOD Z UCTU	19106	28185	\N	UV	13876933
2910413	9640	1995-02-13	PRIJEM	PREVOD Z UCTU	19106	26899	\N	UV	13876933
2910414	9640	1995-03-13	PRIJEM	PREVOD Z UCTU	19106	31314	\N	UV	13876933
2910415	9640	1995-04-13	PRIJEM	PREVOD Z UCTU	19106	31405	\N	UV	13876933
2910416	9640	1995-05-13	PRIJEM	PREVOD Z UCTU	19106	32436	\N	UV	13876933
2910417	9640	1995-06-13	PRIJEM	PREVOD Z UCTU	28659	42530	\N	UV	13876933
2910418	9640	1995-07-13	PRIJEM	PREVOD Z UCTU	19106	37097	\N	UV	13876933
2910419	9640	1995-08-13	PRIJEM	PREVOD Z UCTU	19106	33061	\N	UV	13876933
2910420	9640	1995-09-13	PRIJEM	PREVOD Z UCTU	19106	29916	\N	UV	13876933
2910421	9640	1995-10-13	PRIJEM	PREVOD Z UCTU	19106	27854	\N	UV	13876933
2910422	9640	1995-11-13	PRIJEM	PREVOD Z UCTU	19106	31478	\N	UV	13876933
2910423	9640	1995-12-13	PRIJEM	PREVOD Z UCTU	28659	43575	\N	UV	13876933
2910424	9640	1996-01-13	PRIJEM	PREVOD Z UCTU	19106	26161	\N	UV	13876933
2910425	9640	1996-02-13	PRIJEM	PREVOD Z UCTU	19106	29979	\N	UV	13876933
2910426	9640	1996-03-13	PRIJEM	PREVOD Z UCTU	19106	35718	\N	UV	13876933
2910427	9640	1996-04-13	PRIJEM	PREVOD Z UCTU	19106	39581	\N	UV	13876933
2910428	9640	1996-05-13	PRIJEM	PREVOD Z UCTU	19106	38757	\N	UV	13876933
2910429	9640	1996-06-13	PRIJEM	PREVOD Z UCTU	28659	51485	\N	UV	13876933
2910430	9640	1996-07-13	PRIJEM	PREVOD Z UCTU	19106	48692	\N	UV	13876933
2910431	9640	1996-08-13	PRIJEM	PREVOD Z UCTU	19106	38086	\N	UV	13876933
2910432	9640	1996-09-13	PRIJEM	PREVOD Z UCTU	19106	39361	\N	UV	13876933
2910433	9640	1996-10-13	PRIJEM	PREVOD Z UCTU	19106	40136	\N	UV	13876933
2910434	9640	1996-11-13	PRIJEM	PREVOD Z UCTU	19106	43217	\N	UV	13876933
2910435	9640	1996-12-13	PRIJEM	PREVOD Z UCTU	28659	47756	\N	UV	13876933
2910436	9640	1997-01-13	PRIJEM	PREVOD Z UCTU	19106	37249	\N	UV	13876933
2910437	9640	1997-02-13	PRIJEM	PREVOD Z UCTU	19106	45803	\N	UV	13876933
2910438	9640	1997-03-13	PRIJEM	PREVOD Z UCTU	19106	52785	\N	UV	13876933
2910439	9640	1997-04-13	PRIJEM	PREVOD Z UCTU	19106	43292	\N	UV	13876933
2910440	9640	1997-05-13	PRIJEM	PREVOD Z UCTU	19106	48566	\N	UV	13876933
2910441	9640	1997-06-13	PRIJEM	PREVOD Z UCTU	28659	63584	\N	UV	13876933
2910442	9640	1997-07-13	PRIJEM	PREVOD Z UCTU	19106	39243	\N	UV	13876933
2910443	9640	1997-08-13	PRIJEM	PREVOD Z UCTU	19106	46595	\N	UV	13876933
2910444	9640	1997-09-13	PRIJEM	PREVOD Z UCTU	19106	43200	\N	UV	13876933
2910445	9640	1997-10-13	PRIJEM	PREVOD Z UCTU	19106	47472	\N	UV	13876933
2910446	9640	1997-11-13	PRIJEM	PREVOD Z UCTU	19106	54445	\N	UV	13876933
2910447	9640	1997-12-13	PRIJEM	PREVOD Z UCTU	28659	76325	\N	UV	13876933
2910448	9640	1998-01-13	PRIJEM	PREVOD Z UCTU	19106	53893	\N	UV	13876933
2910449	9640	1998-02-13	PRIJEM	PREVOD Z UCTU	19106	32191	\N	UV	13876933
2910450	9640	1998-03-13	PRIJEM	PREVOD Z UCTU	19106	61762	\N	UV	13876933
2910451	9640	1998-04-13	PRIJEM	PREVOD Z UCTU	19106	72629	\N	UV	13876933
2910452	9640	1998-05-13	PRIJEM	PREVOD Z UCTU	19106	81735	\N	UV	13876933
2910453	9640	1998-06-13	PRIJEM	PREVOD Z UCTU	28659	92517	\N	UV	13876933
2910454	9640	1998-07-13	PRIJEM	PREVOD Z UCTU	19106	93373	\N	UV	13876933
2910455	9640	1998-08-13	PRIJEM	PREVOD Z UCTU	19106	73333	\N	UV	13876933
2910456	9640	1998-09-13	PRIJEM	PREVOD Z UCTU	19106	86851	\N	UV	13876933
2910457	9640	1998-10-13	PRIJEM	PREVOD Z UCTU	19106	92614	\N	UV	13876933
2910458	9640	1998-11-13	PRIJEM	PREVOD Z UCTU	19106	112590	\N	UV	13876933
2910459	9640	1998-12-13	PRIJEM	PREVOD Z UCTU	28659	114034	\N	UV	13876933
2910467	9640	1993-08-16	VYDAJ	VYBER	2600	47370	\N	\N	0
2910468	9640	1993-09-04	VYDAJ	VYBER	3800	43772	\N	\N	0
2910469	9640	1993-10-02	VYDAJ	VYBER	3800	37841	\N	\N	0
2910470	9640	1993-11-17	VYDAJ	VYBER	2600	40615	\N	\N	0
2910471	9640	1993-12-15	VYDAJ	VYBER	2400	44543	\N	\N	0
2910472	9640	1994-01-14	VYDAJ	VYBER	2700	34685	\N	\N	0
2910473	9640	1994-02-05	VYDAJ	VYBER	2600	19283	\N	\N	0
2910474	9640	1994-03-18	VYDAJ	VYBER	3800	31412	\N	\N	0
2910475	9640	1994-04-05	VYDAJ	VYBER	2600	18319	\N	\N	0
2910476	9640	1994-05-18	VYDAJ	VYBER	2600	40074	\N	\N	0
2910477	9640	1994-06-07	VYDAJ	VYBER	3900	25315	\N	\N	0
2910478	9640	1994-07-10	VYDAJ	VYBER	2500	22268	\N	\N	0
2910479	9640	1994-08-03	VYDAJ	VYBER	3500	30653	\N	\N	0
2910480	9640	1994-09-15	VYDAJ	VYBER	2700	35836	\N	\N	0
2910481	9640	1994-10-07	VYDAJ	VYBER	3200	13342	\N	\N	0
2910482	9640	1994-11-13	VYDAJ	VYBER	3600	27997	\N	\N	0
2910483	9640	1994-12-08	VYDAJ	VYBER	3000	14486	\N	\N	0
2910484	9640	1995-01-12	VYDAJ	PREVOD NA UCET	3184	9079	UVER	WX	56319099
2910485	9640	1995-02-12	VYDAJ	PREVOD NA UCET	3184	7793	UVER	WX	56319099
2910486	9640	1995-03-12	VYDAJ	PREVOD NA UCET	3184	12208	UVER	WX	56319099
2910487	9640	1995-04-12	VYDAJ	PREVOD NA UCET	3184	12299	UVER	WX	56319099
2910488	9640	1995-05-12	VYDAJ	PREVOD NA UCET	3184	13330	UVER	WX	56319099
2910489	9640	1995-06-12	VYDAJ	PREVOD NA UCET	3184	13871	UVER	WX	56319099
2910490	9640	1995-07-12	VYDAJ	PREVOD NA UCET	3184	17991	UVER	WX	56319099
2910491	9640	1995-08-12	VYDAJ	PREVOD NA UCET	3184	13955	UVER	WX	56319099
2910492	9640	1995-09-12	VYDAJ	PREVOD NA UCET	3184	10810	UVER	WX	56319099
2910493	9640	1995-10-12	VYDAJ	PREVOD NA UCET	3184	8748	UVER	WX	56319099
2910494	9640	1995-11-12	VYDAJ	PREVOD NA UCET	3184	12372	UVER	WX	56319099
2910495	9640	1995-12-12	VYDAJ	PREVOD NA UCET	3184	14916	UVER	WX	56319099
2910496	9640	1996-01-12	VYDAJ	PREVOD NA UCET	3184	7055	UVER	WX	56319099
2910497	9640	1996-02-12	VYDAJ	PREVOD NA UCET	3184	10873	UVER	WX	56319099
2910498	9640	1996-03-12	VYDAJ	PREVOD NA UCET	3184	16612	UVER	WX	56319099
2910499	9640	1996-04-12	VYDAJ	PREVOD NA UCET	3184	20475	UVER	WX	56319099
2910500	9640	1996-05-12	VYDAJ	PREVOD NA UCET	3184	19651	UVER	WX	56319099
2910501	9640	1996-06-12	VYDAJ	PREVOD NA UCET	3184	22826	UVER	WX	56319099
2910502	9640	1996-07-12	VYDAJ	PREVOD NA UCET	3184	29586	UVER	WX	56319099
2910503	9640	1996-08-12	VYDAJ	PREVOD NA UCET	3184	18980	UVER	WX	56319099
2910504	9640	1996-09-12	VYDAJ	PREVOD NA UCET	3184	20255	UVER	WX	56319099
2910505	9640	1996-10-12	VYDAJ	PREVOD NA UCET	3184	21030	UVER	WX	56319099
2910506	9640	1996-11-12	VYDAJ	PREVOD NA UCET	3184	24111	UVER	WX	56319099
2910507	9640	1996-12-12	VYDAJ	PREVOD NA UCET	3184	19097	UVER	WX	56319099
2910508	9640	1997-01-12	VYDAJ	PREVOD NA UCET	3184	18143	UVER	WX	56319099
2910509	9640	1997-02-17	VYDAJ	VYBER	2900	42903	\N	\N	0
2910510	9640	1997-03-20	VYDAJ	VYBER	2800	29214	\N	\N	0
2910511	9640	1997-04-09	VYDAJ	VYBER	2600	28273	\N	\N	0
2910512	9640	1997-05-02	VYDAJ	VYBER	3300	44144	\N	\N	0
2910513	9640	1997-06-17	VYDAJ	VYBER	2800	60784	\N	\N	0
2910514	9640	1997-07-03	VYDAJ	VYBER	3400	34821	\N	\N	0
2910515	9640	1997-08-06	VYDAJ	VYBER	3600	31576	\N	\N	0
2910516	9640	1997-09-07	VYDAJ	VYBER	2400	28181	\N	\N	0
2910517	9640	1997-10-14	VYDAJ	VYBER	3500	43972	\N	\N	0
2910518	9640	1997-11-06	VYDAJ	VYBER	2800	39426	\N	\N	0
2910519	9640	1997-12-16	VYDAJ	VYBER	3600	72725	\N	\N	0
2910520	9640	1998-01-07	VYDAJ	VYBER	3400	43674	\N	\N	0
2910521	9640	1998-02-07	VYDAJ	VYBER	3000	17172	\N	\N	0
2910522	9640	1998-03-16	VYDAJ	VYBER	3300	58462	\N	\N	0
2910523	9640	1998-04-17	VYDAJ	VYBER	2400	77029	\N	\N	0
2910524	9640	1998-05-18	VYDAJ	VYBER	3200	81435	\N	\N	0
2910525	9640	1998-06-05	VYDAJ	VYBER	3200	78542	\N	\N	0
2910526	9640	1998-07-12	VYDAJ	VYBER	2800	74267	\N	\N	0
2910527	9640	1998-08-02	VYDAJ	VYBER	2500	79711	\N	\N	0
2910528	9640	1998-09-16	VYDAJ	VYBER	2400	93551	\N	\N	0
2910529	9640	1998-10-17	VYDAJ	VYBER	2700	95914	\N	\N	0
2910530	9640	1998-11-16	VYDAJ	VYBER	3100	96890	\N	\N	0
2910531	9640	1998-12-08	VYDAJ	VYBER	3600	71662	\N	\N	0
2910539	9640	1993-08-05	VYDAJ	PREVOD NA UCET	10597	51851	SIPO	QR	35819530
2910540	9640	1993-09-05	VYDAJ	PREVOD NA UCET	10597	33175	SIPO	QR	35819530
2910541	9640	1993-10-05	VYDAJ	PREVOD NA UCET	10597	27244	SIPO	QR	35819530
2910542	9640	1993-11-05	VYDAJ	PREVOD NA UCET	10597	27396	SIPO	QR	35819530
2910543	9640	1993-12-05	VYDAJ	PREVOD NA UCET	10597	14871	SIPO	QR	35819530
2910544	9640	1994-01-05	VYDAJ	PREVOD NA UCET	10597	16766	SIPO	QR	35819530
2910545	9640	1994-02-05	VYDAJ	PREVOD NA UCET	10597	8686	SIPO	QR	35819530
2910546	9640	1994-03-05	VYDAJ	PREVOD NA UCET	10597	15493	SIPO	QR	35819530
2910547	9640	1994-04-05	VYDAJ	PREVOD NA UCET	10597	20919	SIPO	QR	35819530
2910548	9640	1994-05-05	VYDAJ	PREVOD NA UCET	10597	25155	SIPO	QR	35819530
2910549	9640	1994-06-05	VYDAJ	PREVOD NA UCET	10597	29615	SIPO	QR	35819530
2910550	9640	1994-07-05	VYDAJ	PREVOD NA UCET	10597	36244	SIPO	QR	35819530
2910551	9640	1994-08-05	VYDAJ	PREVOD NA UCET	10597	25156	SIPO	QR	35819530
2910552	9640	1994-09-05	VYDAJ	PREVOD NA UCET	10597	23517	SIPO	QR	35819530
2910553	9640	1994-10-05	VYDAJ	PREVOD NA UCET	10597	16542	SIPO	QR	35819530
2910554	9640	1994-11-05	VYDAJ	PREVOD NA UCET	10597	16578	SIPO	QR	35819530
2910555	9640	1994-12-05	VYDAJ	PREVOD NA UCET	10597	17486	SIPO	QR	35819530
2910556	9640	1995-01-05	VYDAJ	PREVOD NA UCET	10597	16350	SIPO	QR	35819530
2910557	9640	1995-02-05	VYDAJ	PREVOD NA UCET	10597	15064	SIPO	QR	35819530
2910558	9640	1995-03-05	VYDAJ	PREVOD NA UCET	10597	19479	SIPO	QR	35819530
2910559	9640	1995-04-05	VYDAJ	PREVOD NA UCET	10597	19570	SIPO	QR	35819530
2910560	9640	1995-05-05	VYDAJ	PREVOD NA UCET	10597	20601	SIPO	QR	35819530
2910561	9640	1995-06-05	VYDAJ	PREVOD NA UCET	10597	21142	SIPO	QR	35819530
2910562	9640	1995-07-05	VYDAJ	PREVOD NA UCET	10597	25262	SIPO	QR	35819530
2910563	9640	1995-08-05	VYDAJ	PREVOD NA UCET	10597	21227	SIPO	QR	35819530
2910564	9640	1995-09-05	VYDAJ	PREVOD NA UCET	10597	18082	SIPO	QR	35819530
2910565	9640	1995-10-05	VYDAJ	PREVOD NA UCET	10597	16019	SIPO	QR	35819530
2910566	9640	1995-11-05	VYDAJ	PREVOD NA UCET	10597	19643	SIPO	QR	35819530
2910567	9640	1995-12-05	VYDAJ	PREVOD NA UCET	10597	22188	SIPO	QR	35819530
2910568	9640	1996-01-05	VYDAJ	PREVOD NA UCET	10597	14327	SIPO	QR	35819530
2910569	9640	1996-02-05	VYDAJ	PREVOD NA UCET	10597	18144	SIPO	QR	35819530
2910570	9640	1996-03-05	VYDAJ	PREVOD NA UCET	10597	23884	SIPO	QR	35819530
2910571	9640	1996-04-05	VYDAJ	PREVOD NA UCET	10597	27747	SIPO	QR	35819530
2910572	9640	1996-05-05	VYDAJ	PREVOD NA UCET	10597	26922	SIPO	QR	35819530
2910573	9640	1996-06-05	VYDAJ	PREVOD NA UCET	10597	30097	SIPO	QR	35819530
2910574	9640	1996-07-05	VYDAJ	PREVOD NA UCET	10597	36857	SIPO	QR	35819530
2910575	9640	1996-08-05	VYDAJ	PREVOD NA UCET	10597	26252	SIPO	QR	35819530
2910576	9640	1996-09-05	VYDAJ	PREVOD NA UCET	10597	27526	SIPO	QR	35819530
2910577	9640	1996-10-05	VYDAJ	PREVOD NA UCET	10597	28301	SIPO	QR	35819530
2910578	9640	1996-11-05	VYDAJ	PREVOD NA UCET	10597	31382	SIPO	QR	35819530
2910579	9640	1996-12-05	VYDAJ	PREVOD NA UCET	10597	26369	SIPO	QR	35819530
2910580	9640	1997-01-05	VYDAJ	PREVOD NA UCET	10597	32015	SIPO	QR	35819530
2910581	9640	1997-02-05	VYDAJ	PREVOD NA UCET	10597	30784	SIPO	QR	35819530
2910582	9640	1997-03-05	VYDAJ	PREVOD NA UCET	10597	37766	SIPO	QR	35819530
2910583	9640	1997-04-05	VYDAJ	PREVOD NA UCET	10597	30873	SIPO	QR	35819530
2910584	9640	1997-05-05	VYDAJ	PREVOD NA UCET	10597	33547	SIPO	QR	35819530
2910585	9640	1997-06-05	VYDAJ	PREVOD NA UCET	10597	39012	SIPO	QR	35819530
2910586	9640	1997-07-05	VYDAJ	PREVOD NA UCET	10597	24224	SIPO	QR	35819530
2910587	9640	1997-08-05	VYDAJ	PREVOD NA UCET	10597	35176	SIPO	QR	35819530
2910588	9640	1997-09-05	VYDAJ	PREVOD NA UCET	10597	30581	SIPO	QR	35819530
2910589	9640	1997-10-05	VYDAJ	PREVOD NA UCET	10597	32453	SIPO	QR	35819530
2910590	9640	1997-11-05	VYDAJ	PREVOD NA UCET	10597	42226	SIPO	QR	35819530
2910591	9640	1997-12-05	VYDAJ	PREVOD NA UCET	10597	51753	SIPO	QR	35819530
2910592	9640	1998-01-05	VYDAJ	PREVOD NA UCET	10597	47074	SIPO	QR	35819530
2910593	9640	1998-02-05	VYDAJ	PREVOD NA UCET	10597	20172	SIPO	QR	35819530
2910594	9640	1998-03-05	VYDAJ	PREVOD NA UCET	10597	46743	SIPO	QR	35819530
2910595	9640	1998-04-05	VYDAJ	PREVOD NA UCET	10597	61810	SIPO	QR	35819530
2910596	9640	1998-05-05	VYDAJ	PREVOD NA UCET	10597	66716	SIPO	QR	35819530
2910597	9640	1998-06-05	VYDAJ	PREVOD NA UCET	10597	67945	SIPO	QR	35819530
2910598	9640	1998-07-05	VYDAJ	PREVOD NA UCET	10597	81154	SIPO	QR	35819530
2910599	9640	1998-08-05	VYDAJ	PREVOD NA UCET	10597	69114	SIPO	QR	35819530
2910600	9640	1998-09-05	VYDAJ	PREVOD NA UCET	10597	71832	SIPO	QR	35819530
2910601	9640	1998-10-05	VYDAJ	PREVOD NA UCET	10597	77595	SIPO	QR	35819530
2910602	9640	1998-11-05	VYDAJ	PREVOD NA UCET	10597	85671	SIPO	QR	35819530
2910603	9640	1998-12-05	VYDAJ	PREVOD NA UCET	10597	75262	SIPO	QR	35819530
2910611	9640	1993-08-10	VYDAJ	PREVOD NA UCET	4087	47764	 	GH	37369465
2910612	9640	1993-09-10	VYDAJ	PREVOD NA UCET	4087	22388	 	GH	37369465
2910613	9640	1993-10-10	VYDAJ	PREVOD NA UCET	4087	18757	 	GH	37369465
2910614	9640	1993-11-10	VYDAJ	PREVOD NA UCET	4087	24109	 	GH	37369465
2910615	9640	1993-12-10	VYDAJ	PREVOD NA UCET	4087	18284	 	GH	37369465
2910616	9640	1994-01-10	VYDAJ	PREVOD NA UCET	4087	18279	 	GH	37369465
2910617	9640	1994-02-10	VYDAJ	PREVOD NA UCET	4087	12899	 	GH	37369465
2910618	9640	1994-03-10	VYDAJ	PREVOD NA UCET	4087	16106	 	GH	37369465
2910619	9640	1994-04-10	VYDAJ	PREVOD NA UCET	4087	16532	 	GH	37369465
2910620	9640	1994-05-10	VYDAJ	PREVOD NA UCET	4087	23568	 	GH	37369465
2910621	9640	1994-06-10	VYDAJ	PREVOD NA UCET	4087	21228	 	GH	37369465
2910622	9640	1994-07-10	VYDAJ	PREVOD NA UCET	4087	24768	 	GH	37369465
2910623	9640	1994-08-10	VYDAJ	PREVOD NA UCET	4087	21069	 	GH	37369465
2910624	9640	1994-09-10	VYDAJ	PREVOD NA UCET	4087	19430	 	GH	37369465
2910625	9640	1994-10-10	VYDAJ	PREVOD NA UCET	4087	9255	 	GH	37369465
2910626	9640	1994-11-10	VYDAJ	PREVOD NA UCET	4087	12491	 	GH	37369465
2910627	9640	1994-12-10	VYDAJ	PREVOD NA UCET	4087	10399	 	GH	37369465
2910628	9640	1995-01-10	VYDAJ	PREVOD NA UCET	4087	12263	 	GH	37369465
2910629	9640	1995-02-10	VYDAJ	PREVOD NA UCET	4087	10977	 	GH	37369465
2910630	9640	1995-03-10	VYDAJ	PREVOD NA UCET	4087	15392	 	GH	37369465
2910631	9640	1995-04-10	VYDAJ	PREVOD NA UCET	4087	15483	 	GH	37369465
2910632	9640	1995-05-10	VYDAJ	PREVOD NA UCET	4087	16514	 	GH	37369465
2910633	9640	1995-06-10	VYDAJ	PREVOD NA UCET	4087	17055	 	GH	37369465
2910634	9640	1995-07-10	VYDAJ	PREVOD NA UCET	4087	21175	 	GH	37369465
2910635	9640	1995-08-10	VYDAJ	PREVOD NA UCET	4087	17140	 	GH	37369465
2910636	9640	1995-09-10	VYDAJ	PREVOD NA UCET	4087	13995	 	GH	37369465
2910637	9640	1995-10-10	VYDAJ	PREVOD NA UCET	4087	11932	 	GH	37369465
2910638	9640	1995-11-10	VYDAJ	PREVOD NA UCET	4087	15556	 	GH	37369465
2910639	9640	1995-12-10	VYDAJ	PREVOD NA UCET	4087	18101	 	GH	37369465
2910640	9640	1996-01-10	VYDAJ	PREVOD NA UCET	4087	10240	 	GH	37369465
2910641	9640	1996-02-10	VYDAJ	PREVOD NA UCET	4087	14057	 	GH	37369465
2910642	9640	1996-03-10	VYDAJ	PREVOD NA UCET	4087	19797	 	GH	37369465
2910643	9640	1996-04-10	VYDAJ	PREVOD NA UCET	4087	23660	 	GH	37369465
2910644	9640	1996-05-10	VYDAJ	PREVOD NA UCET	4087	22835	 	GH	37369465
2910645	9640	1996-06-10	VYDAJ	PREVOD NA UCET	4087	26010	 	GH	37369465
2910646	9640	1996-07-10	VYDAJ	PREVOD NA UCET	4087	32770	 	GH	37369465
2910647	9640	1996-08-10	VYDAJ	PREVOD NA UCET	4087	22165	 	GH	37369465
2910648	9640	1996-09-10	VYDAJ	PREVOD NA UCET	4087	23439	 	GH	37369465
2910649	9640	1996-10-10	VYDAJ	PREVOD NA UCET	4087	24214	 	GH	37369465
2910650	9640	1996-11-10	VYDAJ	PREVOD NA UCET	4087	27295	 	GH	37369465
2910651	9640	1996-12-10	VYDAJ	PREVOD NA UCET	4087	22282	 	GH	37369465
2910652	9640	1997-01-10	VYDAJ	PREVOD NA UCET	4087	21328	 	GH	37369465
2910653	9640	1997-02-10	VYDAJ	PREVOD NA UCET	4087	26697	 	GH	37369465
2910654	9640	1997-03-10	VYDAJ	PREVOD NA UCET	4087	33679	 	GH	37369465
2910655	9640	1997-04-10	VYDAJ	PREVOD NA UCET	4087	24186	 	GH	37369465
2910656	9640	1997-05-10	VYDAJ	PREVOD NA UCET	4087	29460	 	GH	37369465
2910657	9640	1997-06-10	VYDAJ	PREVOD NA UCET	4087	34925	 	GH	37369465
2910658	9640	1997-07-10	VYDAJ	PREVOD NA UCET	4087	20137	 	GH	37369465
2910659	9640	1997-08-10	VYDAJ	PREVOD NA UCET	4087	27489	 	GH	37369465
2910660	9640	1997-09-10	VYDAJ	PREVOD NA UCET	4087	24094	 	GH	37369465
2910661	9640	1997-10-10	VYDAJ	PREVOD NA UCET	4087	28366	 	GH	37369465
2910662	9640	1997-11-10	VYDAJ	PREVOD NA UCET	4087	35339	 	GH	37369465
2910663	9640	1997-12-10	VYDAJ	PREVOD NA UCET	4087	47666	 	GH	37369465
2910664	9640	1998-01-10	VYDAJ	PREVOD NA UCET	4087	39587	 	GH	37369465
2910665	9640	1998-02-10	VYDAJ	PREVOD NA UCET	4087	13085	 	GH	37369465
2910666	9640	1998-03-10	VYDAJ	PREVOD NA UCET	4087	42656	 	GH	37369465
2910667	9640	1998-04-10	VYDAJ	PREVOD NA UCET	4087	57723	 	GH	37369465
2910668	9640	1998-05-10	VYDAJ	PREVOD NA UCET	4087	62629	 	GH	37369465
2910669	9640	1998-06-10	VYDAJ	PREVOD NA UCET	4087	63858	 	GH	37369465
2910670	9640	1998-07-10	VYDAJ	PREVOD NA UCET	4087	77067	 	GH	37369465
2910671	9640	1998-08-10	VYDAJ	PREVOD NA UCET	4087	54227	 	GH	37369465
2910672	9640	1998-09-10	VYDAJ	PREVOD NA UCET	4087	67745	 	GH	37369465
2910673	9640	1998-10-10	VYDAJ	PREVOD NA UCET	4087	73508	 	GH	37369465
2910674	9640	1998-11-10	VYDAJ	PREVOD NA UCET	4087	81584	 	GH	37369465
2910675	9640	1998-12-10	VYDAJ	PREVOD NA UCET	4087	67575	 	GH	37369465
2910680	9640	1993-11-26	VYBER	VYBER	15280	25335	\N	\N	\N
2910684	9640	1994-07-07	VYBER	VYBER	2289	28855	\N	\N	\N
2910685	9640	1994-08-02	VYBER	VYBER	7370	34153	\N	\N	\N
2910687	9640	1994-10-22	VYBER	VYBER	2866	25495	\N	\N	\N
2910690	9640	1994-12-13	VYBER	VYBER	8206	30852	\N	\N	\N
2910691	9640	1994-07-01	VYBER	VYBER	3207	46841	\N	\N	\N
2910694	9640	1994-01-02	VYBER	VYBER	5617	39063	\N	\N	\N
2910695	9640	1995-12-24	VYBER	VYBER	10077	33498	\N	\N	\N
2910697	9640	1995-03-15	VYBER	VYBER	4235	27079	\N	\N	\N
2910698	9640	1996-07-13	VYBER	VYBER	11209	37483	\N	\N	\N
2910699	9640	1996-08-16	VYBER	VYBER	2293	35793	\N	\N	\N
2910702	9640	1997-08-25	VYBER	VYBER	12975	41020	\N	\N	\N
2910703	9640	1997-03-16	VYBER	VYBER	20771	32014	\N	\N	\N
2910704	9640	1997-05-20	VYBER	VYBER	14821	33745	\N	\N	\N
2910706	9640	1997-10-18	VYBER	VYBER	10740	52632	\N	\N	\N
2910707	9640	1997-06-29	VYBER	VYBER	8761	38023	\N	\N	\N
2910712	9640	1997-06-26	VYDAJ	VYBER	12600	46784	\N	\N	\N
2910719	9640	1998-01-23	VYDAJ	VYBER	12900	30593	\N	\N	\N
2910721	9640	1994-12-26	VYDAJ	VYBER	3300	27552	\N	\N	\N
2910722	9640	1995-12-26	VYDAJ	VYBER	7800	25698	\N	\N	\N
2910723	9640	1996-12-27	VYDAJ	VYBER	4200	44256	\N	\N	\N
2910724	9640	1997-12-24	VYDAJ	VYBER	1500	70325	\N	\N	\N
2910725	9640	1998-12-20	VYDAJ	VYBER	2700	111334	\N	\N	\N
2910732	9640	1994-01-02	VYDAJ	VYBER	8400	30663	\N	\N	\N
2910733	9640	1994-01-04	VYDAJ	VYBER	3300	27363	\N	\N	\N
2910735	9640	1994-01-19	VYDAJ	VYBER	4200	30485	\N	\N	\N
2910737	9640	1994-01-24	VYDAJ	VYBER	8700	21785	\N	\N	\N
2910739	9640	1995-01-15	VYDAJ	VYBER	3300	24885	\N	\N	\N
2910742	9640	1995-01-03	VYDAJ	VYBER	1800	26947	\N	\N	\N
2910743	9640	1995-01-22	VYDAJ	VYBER	2100	22785	\N	\N	\N
2910744	9640	1996-01-23	VYDAJ	VYBER	2100	24061	\N	\N	\N
2910745	9640	1996-01-04	VYDAJ	VYBER	3600	24924	\N	\N	\N
2910748	9640	1996-01-30	VYDAJ	VYBER	1800	28661	\N	\N	\N
2910751	9640	1997-01-20	VYDAJ	VYBER	5700	29449	\N	\N	\N
2910752	9640	1997-01-14	VYDAJ	VYBER	2100	35149	\N	\N	\N
2910753	9640	1997-01-02	VYDAJ	VYBER	1800	42612	\N	\N	\N
2910754	9640	1997-01-08	VYDAJ	VYBER	6600	25415	\N	\N	\N
2910756	9640	1998-01-22	VYDAJ	VYBER	7500	54593	\N	\N	\N
2910757	9640	1998-01-22	VYDAJ	VYBER	5100	49493	\N	\N	\N
2910758	9640	1998-01-11	VYDAJ	VYBER	4800	34787	\N	\N	\N
2910759	9640	1998-01-20	VYDAJ	VYBER	2100	62093	\N	\N	\N
2910761	9640	1998-01-22	VYDAJ	VYBER	6000	43493	\N	\N	\N
2910763	9640	1993-08-13	VYDAJ	VYBER	6600	49970	\N	\N	\N
2910769	9640	1994-02-21	VYDAJ	VYBER	6000	26005	\N	\N	\N
2910770	9640	1994-09-19	VYDAJ	VYBER	11400	24436	\N	\N	\N
2910771	9640	1995-08-28	VYDAJ	VYBER	5100	27961	\N	\N	\N
2910772	9640	1995-10-03	VYDAJ	VYBER	3000	26616	\N	\N	\N
2910773	9640	1995-04-19	VYDAJ	VYBER	2100	29305	\N	\N	\N
2910775	9640	1996-11-25	VYDAJ	VYBER	8100	36817	\N	\N	\N
2910776	9640	1997-08-16	VYDAJ	VYBER	4200	42395	\N	\N	\N
2910777	9640	1997-04-17	VYDAJ	VYBER	6000	37292	\N	\N	\N
2910778	9640	1997-09-22	VYDAJ	VYBER	10200	42900	\N	\N	\N
2910779	9640	1997-12-25	VYDAJ	VYBER	12900	57425	\N	\N	\N
2910780	9640	1997-07-16	VYDAJ	VYBER	11700	27543	\N	\N	\N
2910781	9640	1998-10-02	VYDAJ	VYBER	5700	88192	\N	\N	\N
2910782	9640	1998-11-24	VYDAJ	VYBER	11400	85490	\N	\N	\N
2910783	9640	1998-04-12	VYDAJ	VYBER	4200	53523	\N	\N	\N
2910784	9640	1998-08-08	VYDAJ	VYBER	10800	58314	\N	\N	\N
2910785	9640	1998-11-15	VYDAJ	VYBER	12600	99990	\N	\N	\N
2910786	9640	1998-07-21	VYDAJ	VYBER	6000	81873	\N	\N	\N
2910794	9640	1993-07-31	VYDAJ	VYBER	15	62448	SLUZBY	\N	\N
2910795	9640	1993-08-31	VYDAJ	VYBER	15	47572	SLUZBY	\N	\N
2910796	9640	1993-09-30	VYDAJ	VYBER	15	41641	SLUZBY	\N	\N
2910797	9640	1993-10-31	VYDAJ	VYBER	15	37993	SLUZBY	\N	\N
2910798	9640	1993-11-30	VYDAJ	VYBER	15	25468	SLUZBY	\N	\N
2910799	9640	1993-12-31	VYDAJ	VYBER	15	44680	SLUZBY	\N	\N
2910800	9640	1994-01-31	VYDAJ	VYBER	15	21883	SLUZBY	\N	\N
2910801	9640	1994-02-28	VYDAJ	VYBER	15	26090	SLUZBY	\N	\N
2910802	9640	1994-03-31	VYDAJ	VYBER	15	31516	SLUZBY	\N	\N
2910803	9640	1994-04-30	VYDAJ	VYBER	15	35752	SLUZBY	\N	\N
2910804	9640	1994-05-31	VYDAJ	VYBER	15	40212	SLUZBY	\N	\N
2910805	9640	1994-06-30	VYDAJ	VYBER	15	50048	SLUZBY	\N	\N
2910806	9640	1994-07-31	VYDAJ	VYBER	15	41523	SLUZBY	\N	\N
2910807	9640	1994-08-31	VYDAJ	VYBER	15	40314	SLUZBY	\N	\N
2910808	9640	1994-09-30	VYDAJ	VYBER	15	24539	SLUZBY	\N	\N
2910809	9640	1994-10-31	VYDAJ	VYBER	15	25575	SLUZBY	\N	\N
2910810	9640	1994-11-30	VYDAJ	VYBER	15	28083	SLUZBY	\N	\N
2910811	9640	1994-12-31	VYDAJ	VYBER	15	27647	SLUZBY	\N	\N
2910812	9640	1995-01-31	VYDAJ	VYBER	15	22861	SLUZBY	\N	\N
2910813	9640	1995-02-28	VYDAJ	VYBER	15	26976	SLUZBY	\N	\N
2910814	9640	1995-03-31	VYDAJ	VYBER	15	27167	SLUZBY	\N	\N
2910815	9640	1995-04-30	VYDAJ	VYBER	15	29398	SLUZBY	\N	\N
2910816	9640	1995-05-31	VYDAJ	VYBER	15	32539	SLUZBY	\N	\N
2910817	9640	1995-06-30	VYDAJ	VYBER	15	42659	SLUZBY	\N	\N
2910818	9640	1995-07-31	VYDAJ	VYBER	15	37224	SLUZBY	\N	\N
2910819	9640	1995-08-31	VYDAJ	VYBER	15	28679	SLUZBY	\N	\N
2910820	9640	1995-09-30	VYDAJ	VYBER	15	29616	SLUZBY	\N	\N
2910821	9640	1995-10-31	VYDAJ	VYBER	15	30240	SLUZBY	\N	\N
2910822	9640	1995-11-30	VYDAJ	VYBER	15	32785	SLUZBY	\N	\N
2910823	9640	1995-12-31	VYDAJ	VYBER	15	28524	SLUZBY	\N	\N
2910824	9640	1996-01-31	VYDAJ	VYBER	15	28741	SLUZBY	\N	\N
2910825	9640	1996-02-29	VYDAJ	VYBER	15	34481	SLUZBY	\N	\N
2910826	9640	1996-03-31	VYDAJ	VYBER	15	38344	SLUZBY	\N	\N
2910827	9640	1996-04-30	VYDAJ	VYBER	15	37519	SLUZBY	\N	\N
2910828	9640	1996-05-31	VYDAJ	VYBER	15	40694	SLUZBY	\N	\N
2910829	9640	1996-06-30	VYDAJ	VYBER	15	47454	SLUZBY	\N	\N
2910830	9640	1996-07-31	VYDAJ	VYBER	15	36849	SLUZBY	\N	\N
2910831	9640	1996-08-31	VYDAJ	VYBER	15	38123	SLUZBY	\N	\N
2910832	9640	1996-09-30	VYDAJ	VYBER	15	38898	SLUZBY	\N	\N
2910833	9640	1996-10-31	VYDAJ	VYBER	15	41979	SLUZBY	\N	\N
2910834	9640	1996-11-30	VYDAJ	VYBER	15	36966	SLUZBY	\N	\N
2910835	9640	1996-12-31	VYDAJ	VYBER	15	44412	SLUZBY	\N	\N
2910836	9640	1997-01-31	VYDAJ	VYBER	15	41381	SLUZBY	\N	\N
2910837	9640	1997-02-28	VYDAJ	VYBER	15	48363	SLUZBY	\N	\N
2910838	9640	1997-03-31	VYDAJ	VYBER	15	41470	SLUZBY	\N	\N
2910839	9640	1997-04-30	VYDAJ	VYBER	15	47444	SLUZBY	\N	\N
2910840	9640	1997-05-31	VYDAJ	VYBER	15	49609	SLUZBY	\N	\N
2910841	9640	1997-06-30	VYDAJ	VYBER	15	38221	SLUZBY	\N	\N
2910842	9640	1997-07-31	VYDAJ	VYBER	15	45773	SLUZBY	\N	\N
2910843	9640	1997-08-31	VYDAJ	VYBER	15	41178	SLUZBY	\N	\N
2910844	9640	1997-09-30	VYDAJ	VYBER	15	43050	SLUZBY	\N	\N
2910845	9640	1997-10-31	VYDAJ	VYBER	15	52823	SLUZBY	\N	\N
2910846	9640	1997-11-30	VYDAJ	VYBER	15	62350	SLUZBY	\N	\N
2910847	9640	1997-12-31	VYDAJ	VYBER	15	57671	SLUZBY	\N	\N
2910848	9640	1998-01-31	VYDAJ	VYBER	15	30769	SLUZBY	\N	\N
2910849	9640	1998-02-28	VYDAJ	VYBER	15	57340	SLUZBY	\N	\N
2910850	9640	1998-03-31	VYDAJ	VYBER	15	72407	SLUZBY	\N	\N
2910851	9640	1998-04-30	VYDAJ	VYBER	15	77313	SLUZBY	\N	\N
2910852	9640	1998-05-31	VYDAJ	VYBER	15	81742	SLUZBY	\N	\N
2910853	9640	1998-06-30	VYDAJ	VYBER	15	91751	SLUZBY	\N	\N
2910854	9640	1998-07-31	VYDAJ	VYBER	15	82211	SLUZBY	\N	\N
2910855	9640	1998-08-31	VYDAJ	VYBER	15	82429	SLUZBY	\N	\N
2910856	9640	1998-09-30	VYDAJ	VYBER	15	93892	SLUZBY	\N	\N
2910857	9640	1998-10-31	VYDAJ	VYBER	15	96268	SLUZBY	\N	\N
2910858	9640	1998-11-30	VYDAJ	VYBER	15	85859	SLUZBY	\N	\N
2910859	9640	1993-04-12	PRIJEM	VKLAD	500	20755	\N	\N	\N
2910860	9640	1993-05-12	VYDAJ	VYBER	8900	31092	\N	\N	\N
2910861	9640	1993-06-11	VYDAJ	VYBER	14800	35591	\N	\N	\N
2910862	9640	1993-07-11	VYDAJ	VYBER	21400	43094	\N	\N	\N
2910863	9640	1993-08-10	VYDAJ	VYBER	10300	37464	\N	\N	\N
2910864	9640	1993-09-09	VYDAJ	VYBER	6700	26475	\N	\N	\N
2910865	9640	1993-10-09	VYDAJ	VYBER	4400	22844	\N	\N	\N
2910866	9640	1993-11-08	PRIJEM	VKLAD	800	28196	\N	\N	\N
2910867	9640	1993-12-08	PRIJEM	VKLAD	7500	22371	\N	\N	\N
2910868	9640	1994-01-07	PRIJEM	VKLAD	5600	22366	\N	\N	\N
2910869	9640	1994-02-06	PRIJEM	VKLAD	8300	16986	\N	\N	\N
2910870	9640	1994-03-08	PRIJEM	VKLAD	4700	20193	\N	\N	\N
2910871	9640	1994-04-07	PRIJEM	VKLAD	2300	20619	\N	\N	\N
2910872	9640	1994-05-07	PRIJEM	VKLAD	2500	27655	\N	\N	\N
2910873	9640	1994-06-06	VYDAJ	VYBER	400	29215	\N	\N	\N
2910874	9640	1994-07-06	VYDAJ	VYBER	5100	31144	\N	\N	\N
2910875	9640	1994-08-05	PRIJEM	VKLAD	5100	35753	\N	\N	\N
2910876	9640	1994-09-04	VYDAJ	VYBER	6200	34114	\N	\N	\N
2910877	9640	1994-10-04	PRIJEM	VKLAD	2600	27139	\N	\N	\N
2910878	9640	1994-11-03	PRIJEM	VKLAD	1600	27175	\N	\N	\N
2910879	9640	1995-01-02	PRIJEM	VKLAD	1100	28747	\N	\N	\N
2910880	9640	1995-02-01	PRIJEM	VKLAD	2800	25661	\N	\N	\N
2910881	9640	1995-03-03	PRIJEM	VKLAD	3100	30076	\N	\N	\N
2910882	9640	1995-04-02	PRIJEM	VKLAD	3000	30167	\N	\N	\N
2910883	9640	1995-05-02	PRIJEM	VKLAD	1800	31198	\N	\N	\N
2910884	9640	1995-06-01	VYDAJ	VYBER	800	31739	\N	\N	\N
2910885	9640	1995-07-01	VYDAJ	VYBER	6800	35859	\N	\N	\N
2910886	9640	1995-07-31	VYDAJ	VYBER	5400	31824	\N	\N	\N
2910887	9640	1995-08-30	PRIJEM	VKLAD	600	28561	\N	\N	\N
2910888	9640	1995-09-29	VYDAJ	VYBER	400	29516	\N	\N	\N
2910889	9640	1995-10-29	PRIJEM	VKLAD	2300	30154	\N	\N	\N
2910890	9640	1995-11-28	PRIJEM	VKLAD	1200	32678	\N	\N	\N
2910891	9640	1995-12-28	PRIJEM	VKLAD	2700	28398	\N	\N	\N
2910892	9640	1996-01-27	PRIJEM	VKLAD	6400	30461	\N	\N	\N
2910893	9640	1996-02-26	PRIJEM	VKLAD	4400	34379	\N	\N	\N
2910894	9640	1996-03-27	PRIJEM	VKLAD	2500	38218	\N	\N	\N
2910895	9640	1996-04-26	VYDAJ	VYBER	2200	37381	\N	\N	\N
2910896	9640	1996-05-26	PRIJEM	VKLAD	1800	40557	\N	\N	\N
2910897	9640	1996-06-25	VYDAJ	VYBER	4200	47285	\N	\N	\N
2910898	9640	1996-07-25	VYDAJ	VYBER	800	36683	\N	\N	\N
2910899	9640	1996-08-24	PRIJEM	VKLAD	2200	37993	\N	\N	\N
2910900	9640	1996-09-23	VYDAJ	VYBER	600	38761	\N	\N	\N
2910901	9640	1996-10-23	PRIJEM	VKLAD	1700	41836	\N	\N	\N
2910902	9640	1996-11-22	PRIJEM	VKLAD	1700	44917	\N	\N	\N
2910903	9640	1996-12-22	PRIJEM	VKLAD	700	48456	\N	\N	\N
2910904	9640	1997-01-21	PRIJEM	VKLAD	11800	41249	\N	\N	\N
2910905	9640	1997-02-20	PRIJEM	VKLAD	5300	48203	\N	\N	\N
2910906	9640	1997-03-22	PRIJEM	VKLAD	12100	41314	\N	\N	\N
2910907	9640	1997-04-21	PRIJEM	VKLAD	10000	47292	\N	\N	\N
2910908	9640	1997-05-21	PRIJEM	VKLAD	15700	49445	\N	\N	\N
2910909	9640	1997-06-20	VYDAJ	VYBER	1400	59384	\N	\N	\N
2910910	9640	1997-07-20	PRIJEM	VKLAD	18100	45643	\N	\N	\N
2910911	9640	1997-08-19	PRIJEM	VKLAD	11600	53995	\N	\N	\N
2910912	9640	1997-09-18	PRIJEM	VKLAD	9900	53100	\N	\N	\N
2910913	9640	1997-10-18	PRIJEM	VKLAD	19400	63372	\N	\N	\N
2910914	9640	1997-11-17	PRIJEM	VKLAD	7700	62145	\N	\N	\N
2910915	9640	1997-12-17	VYDAJ	VYBER	900	71825	\N	\N	\N
2910916	9640	1998-01-16	PRIJEM	VKLAD	10300	64193	\N	\N	\N
2910917	9640	1998-02-15	PRIJEM	VKLAD	25000	57191	\N	\N	\N
2910918	9640	1998-03-17	PRIJEM	VKLAD	13700	72162	\N	\N	\N
2910919	9640	1998-04-16	PRIJEM	VKLAD	6800	79429	\N	\N	\N
2910920	9640	1998-05-16	PRIJEM	VKLAD	2900	84635	\N	\N	\N
2910921	9640	1998-06-15	VYDAJ	VYBER	1100	91417	\N	\N	\N
2910922	9640	1998-07-15	VYDAJ	VYBER	5500	87873	\N	\N	\N
2910923	9640	1998-08-14	PRIJEM	VKLAD	8800	82133	\N	\N	\N
2910924	9640	1998-09-13	PRIJEM	VKLAD	9100	95951	\N	\N	\N
2910925	9640	1998-10-13	PRIJEM	VKLAD	6000	98614	\N	\N	\N
2910926	9640	1998-11-12	PRIJEM	VKLAD	11900	93484	\N	\N	\N
2910927	9640	1998-12-12	PRIJEM	VKLAD	17800	85375	\N	\N	\N
2912551	9645	1996-01-23	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2912553	9645	1996-02-08	PRIJEM	PREVOD Z UCTU	34881	35981	\N	UV	33317780
2912554	9645	1996-03-08	PRIJEM	PREVOD Z UCTU	34881	65297	\N	UV	33317780
2912555	9645	1996-04-08	PRIJEM	PREVOD Z UCTU	34881	77119	\N	UV	33317780
2912556	9645	1996-05-08	PRIJEM	PREVOD Z UCTU	34881	83783	\N	UV	33317780
2912557	9645	1996-06-08	PRIJEM	PREVOD Z UCTU	52322	105915	\N	UV	33317780
2912558	9645	1996-07-08	PRIJEM	PREVOD Z UCTU	34881	70198	\N	UV	33317780
2912559	9645	1996-08-08	PRIJEM	PREVOD Z UCTU	34881	69990	\N	UV	33317780
2912560	9645	1996-09-08	PRIJEM	PREVOD Z UCTU	34881	59566	\N	UV	33317780
2912561	9645	1996-10-08	PRIJEM	PREVOD Z UCTU	34881	70013	\N	UV	33317780
2912562	9645	1996-11-08	PRIJEM	PREVOD Z UCTU	34881	68892	\N	UV	33317780
2912563	9645	1996-12-08	PRIJEM	PREVOD Z UCTU	52322	80489	\N	UV	33317780
2912564	9645	1997-01-08	PRIJEM	PREVOD Z UCTU	34881	67180	\N	UV	33317780
2912565	9645	1997-02-08	PRIJEM	PREVOD Z UCTU	34881	58027	\N	UV	33317780
2912566	9645	1997-03-08	PRIJEM	PREVOD Z UCTU	34881	67660	\N	UV	33317780
2912567	9645	1997-04-08	PRIJEM	PREVOD Z UCTU	34881	70622	\N	UV	33317780
2912568	9645	1997-05-08	PRIJEM	PREVOD Z UCTU	34881	62292	\N	UV	33317780
2912569	9645	1997-06-08	PRIJEM	PREVOD Z UCTU	52322	88784	\N	UV	33317780
2912570	9645	1997-07-08	PRIJEM	PREVOD Z UCTU	34881	78174	\N	UV	33317780
2912571	9645	1997-08-08	PRIJEM	PREVOD Z UCTU	34881	76065	\N	UV	33317780
2912572	9645	1997-09-08	PRIJEM	PREVOD Z UCTU	34881	74544	\N	UV	33317780
2912573	9645	1997-10-08	PRIJEM	PREVOD Z UCTU	34881	64301	\N	UV	33317780
2912574	9645	1997-11-08	PRIJEM	PREVOD Z UCTU	34881	61549	\N	UV	33317780
2912575	9645	1997-12-08	PRIJEM	PREVOD Z UCTU	52322	87442	\N	UV	33317780
2912576	9645	1998-01-08	PRIJEM	PREVOD Z UCTU	34881	66831	\N	UV	33317780
2912577	9645	1998-02-08	PRIJEM	PREVOD Z UCTU	34881	58019	\N	UV	33317780
2912578	9645	1998-03-08	PRIJEM	PREVOD Z UCTU	34881	58215	\N	UV	33317780
2912579	9645	1998-04-08	PRIJEM	PREVOD Z UCTU	34881	64132	\N	UV	33317780
2912580	9645	1998-05-08	PRIJEM	PREVOD Z UCTU	34881	58136	\N	UV	33317780
2912581	9645	1998-06-08	PRIJEM	PREVOD Z UCTU	52322	82205	\N	UV	33317780
2912582	9645	1998-07-08	PRIJEM	PREVOD Z UCTU	34881	70003	\N	UV	33317780
2912583	9645	1998-08-08	PRIJEM	PREVOD Z UCTU	34881	72464	\N	UV	33317780
2912584	9645	1998-09-08	PRIJEM	PREVOD Z UCTU	34881	71111	\N	UV	33317780
2912585	9645	1998-10-08	PRIJEM	PREVOD Z UCTU	34881	58825	\N	UV	33317780
2912586	9645	1998-11-08	PRIJEM	PREVOD Z UCTU	34881	63332	\N	UV	33317780
2912587	9645	1998-12-08	PRIJEM	PREVOD Z UCTU	52322	76974	\N	UV	33317780
2912593	9645	1996-06-12	VYDAJ	PREVOD NA UCET	4893	47139	UVER	EF	71165287
2912594	9645	1996-07-12	VYDAJ	PREVOD NA UCET	4893	52445	UVER	EF	71165287
2912595	9645	1996-08-12	VYDAJ	PREVOD NA UCET	4893	21076	UVER	EF	71165287
2912596	9645	1996-09-12	VYDAJ	PREVOD NA UCET	4893	49490	UVER	EF	71165287
2912597	9645	1996-10-12	VYDAJ	PREVOD NA UCET	4893	59937	UVER	EF	71165287
2912598	9645	1996-11-12	VYDAJ	PREVOD NA UCET	4893	58816	UVER	EF	71165287
2912599	9645	1996-12-12	VYDAJ	PREVOD NA UCET	4893	70413	UVER	EF	71165287
2912600	9645	1997-01-12	VYDAJ	PREVOD NA UCET	4893	52604	UVER	EF	71165287
2912601	9645	1997-02-12	VYDAJ	PREVOD NA UCET	4893	47951	UVER	EF	71165287
2912602	9645	1997-03-12	VYDAJ	PREVOD NA UCET	4893	57584	UVER	EF	71165287
2912603	9645	1997-04-12	VYDAJ	PREVOD NA UCET	4893	60546	UVER	EF	71165287
2912604	9645	1997-05-12	VYDAJ	PREVOD NA UCET	4893	52216	UVER	EF	71165287
2912605	9645	1997-06-12	VYDAJ	PREVOD NA UCET	4893	66108	UVER	EF	71165287
2912606	9645	1997-07-12	VYDAJ	PREVOD NA UCET	4893	68098	UVER	EF	71165287
2912607	9645	1997-08-12	VYDAJ	PREVOD NA UCET	4893	65989	UVER	EF	71165287
2912608	9645	1997-09-12	VYDAJ	PREVOD NA UCET	4893	58768	UVER	EF	71165287
2912609	9645	1997-10-12	VYDAJ	PREVOD NA UCET	4893	54225	UVER	EF	71165287
2912610	9645	1997-11-12	VYDAJ	PREVOD NA UCET	4893	51473	UVER	EF	71165287
2912611	9645	1997-12-12	VYDAJ	PREVOD NA UCET	4893	77366	UVER	EF	71165287
2912612	9645	1998-01-12	VYDAJ	PREVOD NA UCET	4893	36955	UVER	EF	71165287
2912613	9645	1998-02-12	VYDAJ	PREVOD NA UCET	4893	23243	UVER	EF	71165287
2912614	9645	1998-03-12	VYDAJ	PREVOD NA UCET	4893	48139	UVER	EF	71165287
2912615	9645	1998-04-12	VYDAJ	PREVOD NA UCET	4893	32956	UVER	EF	71165287
2912616	9645	1998-05-12	VYDAJ	PREVOD NA UCET	4893	29760	UVER	EF	71165287
2912617	9645	1998-06-12	VYDAJ	PREVOD NA UCET	4893	41229	UVER	EF	71165287
2912618	9645	1998-07-12	VYDAJ	PREVOD NA UCET	4893	37427	UVER	EF	71165287
2912619	9645	1998-08-12	VYDAJ	PREVOD NA UCET	4893	36088	UVER	EF	71165287
2912620	9645	1998-09-12	VYDAJ	PREVOD NA UCET	4893	35535	UVER	EF	71165287
2912621	9645	1998-10-12	VYDAJ	PREVOD NA UCET	4893	28349	UVER	EF	71165287
2912622	9645	1998-11-12	VYDAJ	PREVOD NA UCET	4893	28456	UVER	EF	71165287
2912623	9645	1998-12-12	VYDAJ	PREVOD NA UCET	4893	35998	UVER	EF	71165287
2912629	9645	1996-06-09	VYDAJ	PREVOD NA UCET	5183	52032	SIPO	KL	32246267
2912630	9645	1996-07-09	VYDAJ	PREVOD NA UCET	5183	65015	SIPO	KL	32246267
2912631	9645	1996-08-09	VYDAJ	PREVOD NA UCET	5183	40736	SIPO	KL	32246267
2912632	9645	1996-09-09	VYDAJ	PREVOD NA UCET	5183	54383	SIPO	KL	32246267
2912633	9645	1996-10-09	VYDAJ	PREVOD NA UCET	5183	64830	SIPO	KL	32246267
2912634	9645	1996-11-09	VYDAJ	PREVOD NA UCET	5183	63709	SIPO	KL	32246267
2912635	9645	1996-12-09	VYDAJ	PREVOD NA UCET	5183	75306	SIPO	KL	32246267
2912636	9645	1997-01-09	VYDAJ	PREVOD NA UCET	5183	57497	SIPO	KL	32246267
2912637	9645	1997-02-09	VYDAJ	PREVOD NA UCET	5183	52844	SIPO	KL	32246267
2912638	9645	1997-03-09	VYDAJ	PREVOD NA UCET	5183	62477	SIPO	KL	32246267
2912639	9645	1997-04-09	VYDAJ	PREVOD NA UCET	5183	65439	SIPO	KL	32246267
2912640	9645	1997-05-09	VYDAJ	PREVOD NA UCET	5183	57109	SIPO	KL	32246267
2912641	9645	1997-06-09	VYDAJ	PREVOD NA UCET	5183	83601	SIPO	KL	32246267
2912642	9645	1997-07-09	VYDAJ	PREVOD NA UCET	5183	72991	SIPO	KL	32246267
2912643	9645	1997-08-09	VYDAJ	PREVOD NA UCET	5183	70882	SIPO	KL	32246267
2912644	9645	1997-09-09	VYDAJ	PREVOD NA UCET	5183	69361	SIPO	KL	32246267
2912645	9645	1997-10-09	VYDAJ	PREVOD NA UCET	5183	59118	SIPO	KL	32246267
2912646	9645	1997-11-09	VYDAJ	PREVOD NA UCET	5183	56366	SIPO	KL	32246267
2912647	9645	1997-12-09	VYDAJ	PREVOD NA UCET	5183	82259	SIPO	KL	32246267
2912648	9645	1998-01-09	VYDAJ	PREVOD NA UCET	5183	61648	SIPO	KL	32246267
2912649	9645	1998-02-09	VYDAJ	PREVOD NA UCET	5183	52836	SIPO	KL	32246267
2912650	9645	1998-03-09	VYDAJ	PREVOD NA UCET	5183	53032	SIPO	KL	32246267
2912651	9645	1998-04-09	VYDAJ	PREVOD NA UCET	5183	58949	SIPO	KL	32246267
2912652	9645	1998-05-09	VYDAJ	PREVOD NA UCET	5183	52953	SIPO	KL	32246267
2912653	9645	1998-06-09	VYDAJ	PREVOD NA UCET	5183	77022	SIPO	KL	32246267
2912654	9645	1998-07-09	VYDAJ	PREVOD NA UCET	5183	64820	SIPO	KL	32246267
2912655	9645	1998-08-09	VYDAJ	PREVOD NA UCET	5183	67281	SIPO	KL	32246267
2912656	9645	1998-09-09	VYDAJ	PREVOD NA UCET	5183	40428	SIPO	KL	32246267
2912657	9645	1998-10-09	VYDAJ	PREVOD NA UCET	5183	33242	SIPO	KL	32246267
2912658	9645	1998-11-09	VYDAJ	PREVOD NA UCET	5183	33349	SIPO	KL	32246267
2912659	9645	1998-12-09	VYDAJ	PREVOD NA UCET	5183	40891	SIPO	KL	32246267
2912662	9645	1996-08-12	VYBER	VYBER	14767	25969	\N	\N	\N
2912663	9645	1996-11-14	VYBER	VYBER	23696	35120	\N	\N	\N
2912669	9645	1996-08-08	VYBER	VYBER	24071	45919	\N	\N	\N
2912670	9645	1996-07-12	VYBER	VYBER	7677	57338	\N	\N	\N
2912672	9645	1997-09-15	VYBER	VYBER	6292	29276	\N	\N	\N
2912673	9645	1997-04-23	VYBER	VYBER	10891	27255	\N	\N	\N
2912677	9645	1998-04-20	VYBER	VYBER	9820	23136	\N	\N	\N
2912679	9645	1998-07-04	VYBER	VYBER	6261	35122	\N	\N	\N
2912682	9645	1998-01-14	VYBER	VYBER	3746	33209	\N	\N	\N
2912687	9645	1997-01-13	VYDAJ	VYBER	16500	36104	\N	\N	\N
2912689	9645	1996-12-30	VYDAJ	VYBER	4200	40813	\N	\N	\N
2912690	9645	1997-12-25	VYDAJ	VYBER	2100	44966	\N	\N	\N
2912691	9645	1998-12-18	VYDAJ	VYBER	6300	29698	\N	\N	\N
2912699	9645	1997-01-09	VYDAJ	VYBER	4500	62680	\N	\N	\N
2912700	9645	1997-01-03	VYDAJ	VYBER	8700	32299	\N	\N	\N
2912701	9645	1997-01-17	VYDAJ	VYBER	5700	28904	\N	\N	\N
2912703	9645	1997-01-16	VYDAJ	VYBER	1500	34604	\N	\N	\N
2912704	9645	1998-01-06	VYDAJ	VYBER	6900	31950	\N	\N	\N
2912707	9645	1998-01-15	VYDAJ	VYBER	6300	26909	\N	\N	\N
2912708	9645	1998-01-05	VYDAJ	VYBER	6300	38850	\N	\N	\N
2912709	9645	1998-01-21	VYDAJ	VYBER	2400	24509	\N	\N	\N
2912710	9645	1996-11-01	VYDAJ	VYBER	5700	34011	\N	\N	\N
2912713	9645	1996-06-09	VYDAJ	VYBER	7500	57215	\N	\N	\N
2912715	9645	1997-06-11	VYDAJ	VYBER	12600	71001	\N	\N	\N
2912716	9645	1997-03-16	VYDAJ	VYBER	8400	49184	\N	\N	\N
2912717	9645	1997-11-07	VYDAJ	VYBER	9900	26668	\N	\N	\N
2912718	9645	1997-09-11	VYDAJ	VYBER	5700	63661	\N	\N	\N
2912719	9645	1998-11-13	VYDAJ	VYBER	3900	24556	\N	\N	\N
2912721	9645	1998-01-21	VYDAJ	VYBER	1500	23009	\N	\N	\N
2912722	9645	1998-12-29	VYDAJ	VYBER	3300	26398	\N	\N	\N
2912724	9645	1998-09-14	VYDAJ	VYBER	11700	23835	\N	\N	\N
2912732	9645	1996-06-30	VYDAJ	VYBER	15	35317	SLUZBY	\N	\N
2912733	9645	1996-07-31	VYDAJ	VYBER	15	35109	SLUZBY	\N	\N
2912734	9645	1996-08-31	VYDAJ	VYBER	15	24685	SLUZBY	\N	\N
2912735	9645	1996-09-30	VYDAJ	VYBER	15	35132	SLUZBY	\N	\N
2912736	9645	1996-10-31	VYDAJ	VYBER	15	39711	SLUZBY	\N	\N
2912737	9645	1996-11-30	VYDAJ	VYBER	15	28167	SLUZBY	\N	\N
2912738	9645	1996-12-31	VYDAJ	VYBER	15	40999	SLUZBY	\N	\N
2912739	9645	1997-01-31	VYDAJ	VYBER	15	23146	SLUZBY	\N	\N
2912740	9645	1997-02-28	VYDAJ	VYBER	15	32779	SLUZBY	\N	\N
2912741	9645	1997-03-31	VYDAJ	VYBER	15	35741	SLUZBY	\N	\N
2912742	9645	1997-04-30	VYDAJ	VYBER	15	27411	SLUZBY	\N	\N
2912743	9645	1997-05-31	VYDAJ	VYBER	15	36462	SLUZBY	\N	\N
2912744	9645	1997-06-30	VYDAJ	VYBER	15	43293	SLUZBY	\N	\N
2912745	9645	1997-07-31	VYDAJ	VYBER	15	41184	SLUZBY	\N	\N
2912746	9645	1997-08-31	VYDAJ	VYBER	15	39663	SLUZBY	\N	\N
2912747	9645	1997-09-30	VYDAJ	VYBER	15	29420	SLUZBY	\N	\N
2912748	9645	1997-10-31	VYDAJ	VYBER	15	36568	SLUZBY	\N	\N
2912749	9645	1997-11-30	VYDAJ	VYBER	15	35120	SLUZBY	\N	\N
2912750	9645	1997-12-31	VYDAJ	VYBER	15	45150	SLUZBY	\N	\N
2912751	9645	1998-01-31	VYDAJ	VYBER	15	23138	SLUZBY	\N	\N
2912752	9645	1998-02-28	VYDAJ	VYBER	15	23334	SLUZBY	\N	\N
2912753	9645	1998-03-31	VYDAJ	VYBER	15	29251	SLUZBY	\N	\N
2912754	9645	1998-04-30	VYDAJ	VYBER	15	23255	SLUZBY	\N	\N
2912755	9645	1998-05-31	VYDAJ	VYBER	15	29883	SLUZBY	\N	\N
2912756	9645	1998-06-30	VYDAJ	VYBER	15	41383	SLUZBY	\N	\N
2912757	9645	1998-07-31	VYDAJ	VYBER	15	37583	SLUZBY	\N	\N
2912758	9645	1998-08-31	VYDAJ	VYBER	15	36230	SLUZBY	\N	\N
2912759	9645	1998-09-30	VYDAJ	VYBER	15	23944	SLUZBY	\N	\N
2912760	9645	1998-10-31	VYDAJ	VYBER	15	28451	SLUZBY	\N	\N
2912761	9645	1998-11-30	VYDAJ	VYBER	15	24652	SLUZBY	\N	\N
2912762	9645	1996-02-22	VYDAJ	VYBER	5600	30381	\N	\N	\N
2912763	9645	1996-03-23	VYDAJ	VYBER	23200	42097	\N	\N	\N
2912764	9645	1996-04-22	VYDAJ	VYBER	28400	48719	\N	\N	\N
2912765	9645	1996-05-22	VYDAJ	VYBER	30400	53383	\N	\N	\N
2912766	9645	1996-06-08	VYDAJ	VYBER	41200	64715	\N	\N	\N
2912767	9645	1996-06-21	VYDAJ	VYBER	12000	35139	\N	\N	\N
2912768	9645	1996-07-21	VYDAJ	VYBER	17500	34945	\N	\N	\N
2912769	9645	1996-08-20	PRIJEM	VKLAD	3500	24576	\N	\N	\N
2912770	9645	1996-09-19	VYDAJ	VYBER	14500	34990	\N	\N	\N
2912771	9645	1996-10-19	VYDAJ	VYBER	20400	39537	\N	\N	\N
2912772	9645	1996-11-18	VYDAJ	VYBER	7100	28020	\N	\N	\N
2912773	9645	1996-12-18	VYDAJ	VYBER	25400	45013	\N	\N	\N
2912774	9645	1997-01-17	VYDAJ	VYBER	5900	23004	\N	\N	\N
2912775	9645	1997-02-16	VYDAJ	VYBER	15300	32651	\N	\N	\N
2912776	9645	1997-03-18	VYDAJ	VYBER	13600	35584	\N	\N	\N
2912777	9645	1997-04-17	VYDAJ	VYBER	22400	38146	\N	\N	\N
2912778	9645	1997-05-17	VYDAJ	VYBER	15900	36316	\N	\N	\N
2912779	9645	1997-06-16	VYDAJ	VYBER	23000	43108	\N	\N	\N
2912780	9645	1997-07-16	VYDAJ	VYBER	27100	40998	\N	\N	\N
2912781	9645	1997-08-15	VYDAJ	VYBER	26500	39489	\N	\N	\N
2912782	9645	1997-09-14	VYDAJ	VYBER	23200	35568	\N	\N	\N
2912783	9645	1997-10-14	VYDAJ	VYBER	17800	36425	\N	\N	\N
2912784	9645	1997-11-13	VYDAJ	VYBER	16500	34973	\N	\N	\N
2912785	9645	1997-12-13	VYDAJ	VYBER	30300	47066	\N	\N	\N
2912786	9645	1998-01-12	VYDAJ	VYBER	19800	41848	\N	\N	\N
2912787	9645	1998-02-11	VYDAJ	VYBER	24700	28136	\N	\N	\N
2912788	9645	1998-03-13	VYDAJ	VYBER	19000	29139	\N	\N	\N
2912789	9645	1998-04-12	VYDAJ	VYBER	21100	37849	\N	\N	\N
2912790	9645	1998-05-12	VYDAJ	VYBER	18300	34653	\N	\N	\N
2912791	9645	1998-06-11	VYDAJ	VYBER	30900	46122	\N	\N	\N
2912792	9645	1998-07-11	VYDAJ	VYBER	22500	42320	\N	\N	\N
2912793	9645	1998-08-10	VYDAJ	VYBER	26300	40981	\N	\N	\N
2912794	9645	1998-09-09	VYDAJ	VYBER	25500	45611	\N	\N	\N
2912795	9645	1998-10-09	VYDAJ	VYBER	20400	38425	\N	\N	\N
2912796	9645	1998-11-08	VYDAJ	VYBER	24800	38532	\N	\N	\N
2912797	9645	1998-12-08	VYDAJ	VYBER	30900	46074	\N	\N	\N
2912833	9646	1996-07-30	PRIJEM	VKLAD	300	300	\N	\N	\N
2912834	9646	1997-10-06	PRIJEM	VKLAD	7700	54723	\N	\N	\N
2912835	9646	1997-10-10	PRIJEM	VKLAD	44680	99403	\N	\N	\N
2912836	9646	1997-05-22	PRIJEM	VKLAD	28893	45515	\N	\N	\N
2912837	9646	1997-10-16	PRIJEM	VKLAD	11843	111246	\N	\N	\N
2912838	9646	1997-03-07	PRIJEM	VKLAD	16208	35908	\N	\N	\N
2912839	9646	1997-09-16	PRIJEM	VKLAD	13365	56057	\N	\N	\N
2912840	9646	1997-07-10	PRIJEM	VKLAD	36083	78135	\N	\N	\N
2912841	9646	1997-08-08	PRIJEM	VKLAD	22806	65480	\N	\N	\N
2912842	9646	1997-09-20	PRIJEM	VKLAD	36170	92227	\N	\N	\N
2912843	9646	1997-10-26	PRIJEM	VKLAD	24666	62712	\N	\N	\N
2912844	9646	1997-07-06	PRIJEM	VKLAD	17604	42052	\N	\N	\N
2912845	9646	1997-08-12	PRIJEM	VKLAD	34780	100260	\N	\N	\N
2912846	9646	1997-10-30	PRIJEM	VKLAD	38516	101228	\N	\N	\N
2912847	9646	1998-12-21	PRIJEM	VKLAD	6990	48390	\N	\N	\N
2912848	9646	1998-01-07	PRIJEM	VKLAD	42317	46815	\N	\N	\N
2912849	9646	1998-01-10	PRIJEM	VKLAD	10114	56929	\N	\N	\N
2912850	9646	1998-11-30	PRIJEM	VKLAD	11479	54880	\N	\N	\N
2912851	9646	1998-12-16	PRIJEM	VKLAD	11996	87200	\N	\N	\N
2912852	9646	1998-03-06	PRIJEM	VKLAD	23252	67156	\N	\N	\N
2912853	9646	1998-12-01	PRIJEM	VKLAD	26481	69331	\N	\N	\N
2912854	9646	1998-03-09	PRIJEM	VKLAD	5371	72527	\N	\N	\N
2912855	9646	1998-06-12	PRIJEM	VKLAD	16307	56342	\N	\N	\N
2912856	9646	1998-12-26	PRIJEM	VKLAD	10595	58985	\N	\N	\N
2912857	9646	1998-01-28	PRIJEM	VKLAD	34431	42260	\N	\N	\N
2912858	9646	1998-06-29	PRIJEM	VKLAD	48661	72589	\N	\N	\N
2912859	9646	1998-02-26	PRIJEM	VKLAD	16607	49055	\N	\N	\N
2912860	9646	1998-12-08	PRIJEM	VKLAD	19486	81017	\N	\N	\N
2912861	9646	1998-11-30	PRIJEM	VKLAD	35216	43401	\N	\N	\N
2912862	9646	1998-07-31	PRIJEM	VKLAD	17621	69001	\N	\N	\N
2912863	9646	1998-10-25	PRIJEM	VKLAD	24342	28168	\N	\N	\N
2912864	9646	1998-08-29	PRIJEM	VKLAD	17954	47275	\N	\N	\N
2912865	9646	1998-02-12	PRIJEM	VKLAD	11103	35071	\N	\N	\N
2912866	9646	1998-08-04	PRIJEM	VKLAD	22664	91635	\N	\N	\N
2912867	9646	1998-09-10	PRIJEM	VKLAD	43226	81594	\N	\N	\N
2912868	9646	1998-06-06	PRIJEM	VKLAD	39420	40035	\N	\N	\N
2912869	9646	1998-02-17	PRIJEM	VKLAD	37877	72948	\N	\N	\N
2912870	9646	1998-07-23	PRIJEM	VKLAD	25842	51144	\N	\N	\N
2912890	9646	1997-08-03	VYDAJ	VYBER	5100	42674	\N	\N	0
2912891	9646	1997-09-02	VYDAJ	VYBER	4300	42692	\N	\N	0
2912892	9646	1997-10-03	VYDAJ	VYBER	5800	47023	\N	\N	0
2912893	9646	1997-11-10	VYDAJ	VYBER	6200	95324	\N	\N	0
2912894	9646	1997-12-17	VYDAJ	VYBER	6600	25605	\N	\N	0
2912895	9646	1998-01-20	VYDAJ	VYBER	5800	41229	\N	\N	0
2912896	9646	1998-02-11	VYDAJ	VYBER	4900	23968	\N	\N	0
2912897	9646	1998-03-05	VYDAJ	VYBER	5300	43904	\N	\N	0
2912898	9646	1998-04-12	VYDAJ	PREVOD NA UCET	5814	15685	UVER	QR	71861016
2912900	9646	1998-06-12	VYDAJ	PREVOD NA UCET	5814	50528	UVER	QR	71861016
2912901	9646	1998-07-12	VYDAJ	PREVOD NA UCET	5814	50602	UVER	QR	71861016
2912902	9646	1998-08-12	VYDAJ	PREVOD NA UCET	5814	85821	UVER	QR	71861016
2912903	9646	1998-09-12	VYDAJ	PREVOD NA UCET	5814	75781	UVER	QR	71861016
2912904	9646	1998-10-12	VYDAJ	PREVOD NA UCET	5814	16226	UVER	QR	71861016
2912905	9646	1998-11-12	VYDAJ	PREVOD NA UCET	5814	22403	UVER	QR	71861016
2912906	9646	1998-12-12	VYDAJ	PREVOD NA UCET	5814	75204	UVER	QR	71861016
2912920	9646	1997-11-24	VYBER	VYBER	16198	37926	\N	\N	\N
2912926	9646	1997-12-14	VYBER	VYBER	6039	32205	\N	\N	\N
2912928	9646	1998-07-05	VYBER	VYBER	16256	56416	\N	\N	\N
2912929	9646	1998-09-09	VYBER	VYBER	9118	38368	\N	\N	\N
2912930	9646	1998-03-29	VYBER	VYBER	16529	21298	\N	\N	\N
2912937	9646	1998-01-01	VYDAJ	VYBER	7800	8998	\N	\N	\N
2912939	9646	1997-12-29	VYDAJ	VYBER	2100	16705	\N	\N	\N
2912940	9646	1998-12-01	VYDAJ	VYBER	7800	61531	\N	\N	\N
2912953	9646	1998-01-25	VYDAJ	VYBER	8100	7829	\N	\N	\N
2912954	9646	1998-01-10	VYDAJ	VYBER	3900	53029	\N	\N	\N
2912955	9646	1998-01-02	VYDAJ	VYBER	4500	4498	\N	\N	\N
2912956	9646	1998-01-25	VYDAJ	VYBER	4800	15929	\N	\N	\N
2912957	9646	1998-01-18	VYDAJ	VYBER	6000	47029	\N	\N	\N
2912958	9646	1998-01-21	VYDAJ	VYBER	8100	20729	\N	\N	\N
2912967	9646	1998-09-21	VYDAJ	VYBER	11700	21881	\N	\N	\N
2912968	9646	1998-08-20	VYDAJ	VYBER	10800	29321	\N	\N	\N
2912969	9646	1998-02-09	VYDAJ	VYBER	13500	28868	\N	\N	\N
2912970	9646	1998-05-07	VYDAJ	VYBER	6300	1224	\N	\N	\N
2912971	9646	1998-11-30	VYDAJ	VYBER	12000	42850	\N	\N	\N
2912972	9646	1998-02-23	VYDAJ	VYBER	7200	32448	\N	\N	\N
2912993	9646	1997-08-31	VYDAJ	VYBER	30	46992	SLUZBY	\N	\N
2912994	9646	1997-09-30	VYDAJ	VYBER	30	52823	SLUZBY	\N	\N
2912995	9646	1997-10-31	VYDAJ	VYBER	30	101524	SLUZBY	\N	\N
2912996	9646	1997-11-30	VYDAJ	VYBER	30	38244	SLUZBY	\N	\N
2912997	9646	1997-12-31	VYDAJ	VYBER	30	16798	SLUZBY	\N	\N
2912998	9646	1998-01-31	VYDAJ	VYBER	30	42368	SLUZBY	\N	\N
2912999	9646	1998-02-28	VYDAJ	VYBER	30	49204	SLUZBY	\N	\N
2913000	9646	1998-03-31	VYDAJ	VYBER	30	21498	SLUZBY	\N	\N
2913001	9646	1998-04-30	VYDAJ	VYBER	30	7524	SLUZBY	\N	\N
2913002	9646	1998-05-31	VYDAJ	VYBER	30	615	SLUZBY	\N	\N
2913003	9646	1998-06-30	VYDAJ	VYBER	30	72672	SLUZBY	\N	\N
2913004	9646	1998-07-31	VYDAJ	VYBER	30	68971	SLUZBY	\N	\N
2913005	9646	1998-08-31	VYDAJ	VYBER	30	47486	SLUZBY	\N	\N
2913006	9646	1998-09-30	VYDAJ	VYBER	30	22039	SLUZBY	\N	\N
2913007	9646	1998-10-31	VYDAJ	VYBER	30	28217	SLUZBY	\N	\N
2913008	9646	1998-11-30	VYDAJ	VYBER	30	54850	SLUZBY	\N	\N
2913009	9646	1996-08-29	PRIJEM	VKLAD	13400	13700	\N	\N	\N
2913010	9646	1996-09-28	PRIJEM	VKLAD	5000	18700	\N	\N	\N
2913011	9646	1996-10-28	PRIJEM	VKLAD	1800	20500	\N	\N	\N
2913012	9646	1996-11-27	PRIJEM	VKLAD	2100	22600	\N	\N	\N
2913013	9646	1996-12-27	PRIJEM	VKLAD	1300	23900	\N	\N	\N
2913014	9646	1997-01-26	VYDAJ	VYBER	3900	20000	\N	\N	\N
2913015	9646	1997-02-25	VYDAJ	VYBER	300	19700	\N	\N	\N
2913016	9646	1997-03-27	VYDAJ	VYBER	12400	23508	\N	\N	\N
2913017	9646	1997-04-26	VYDAJ	VYBER	7000	16524	\N	\N	\N
2913018	9646	1997-05-26	VYDAJ	VYBER	14600	30915	\N	\N	\N
2913019	9646	1997-06-25	VYDAJ	VYBER	6700	24319	\N	\N	\N
2913020	9646	1997-07-25	VYDAJ	VYBER	30600	47535	\N	\N	\N
2913021	9646	1997-08-12	VYDAJ	VYBER	18600	81660	\N	\N	\N
2913022	9646	1997-08-24	VYDAJ	VYBER	34900	46760	\N	\N	\N
2913023	9646	1997-09-23	VYDAJ	VYBER	39600	52627	\N	\N	\N
2913024	9646	1997-10-16	VYDAJ	VYBER	45700	65546	\N	\N	\N
2913025	9646	1997-10-23	VYDAJ	VYBER	27500	38046	\N	\N	\N
2913026	9646	1997-11-22	VYDAJ	VYBER	41200	54124	\N	\N	\N
2913027	9646	1997-12-22	VYDAJ	VYBER	6800	18805	\N	\N	\N
2913028	9646	1998-01-21	VYDAJ	VYBER	12400	28829	\N	\N	\N
2913029	9646	1998-02-20	VYDAJ	VYBER	33300	39648	\N	\N	\N
2913030	9646	1998-03-22	VYDAJ	VYBER	34700	37827	\N	\N	\N
2913031	9646	1998-04-21	VYDAJ	VYBER	8200	7485	\N	\N	\N
2913032	9646	1998-05-21	VYDAJ	VYBER	600	624	\N	\N	\N
2913033	9646	1998-06-20	VYDAJ	VYBER	26600	23928	\N	\N	\N
2913034	9646	1998-07-20	VYDAJ	VYBER	25300	25302	\N	\N	\N
2913035	9646	1998-08-19	VYDAJ	VYBER	45700	40121	\N	\N	\N
2913036	9646	1998-09-18	VYDAJ	VYBER	42200	33581	\N	\N	\N
2913037	9646	1998-10-18	VYDAJ	VYBER	12400	3826	\N	\N	\N
2913038	9646	1998-11-17	VYDAJ	VYBER	14300	8103	\N	\N	\N
2913039	9646	1998-12-17	VYDAJ	VYBER	45800	41400	\N	\N	\N
2915118	9656	1993-11-14	PRIJEM	VKLAD	800	800	\N	\N	\N
2915119	9656	1993-11-26	PRIJEM	VKLAD	16810	17610	\N	\N	\N
2915120	9656	1994-08-31	PRIJEM	VKLAD	38837	122938	\N	\N	\N
2915121	9656	1994-09-07	PRIJEM	VKLAD	29955	94410	\N	\N	\N
2915122	9656	1994-11-25	PRIJEM	VKLAD	43013	107635	\N	\N	\N
2915123	9656	1994-10-20	PRIJEM	VKLAD	30031	66137	\N	\N	\N
2915124	9656	1994-12-26	PRIJEM	VKLAD	21131	119427	\N	\N	\N
2915125	9656	1994-08-13	PRIJEM	VKLAD	35005	85669	\N	\N	\N
2915126	9656	1994-08-29	PRIJEM	VKLAD	38059	83826	\N	\N	\N
2915127	9656	1994-11-21	PRIJEM	VKLAD	26796	64622	\N	\N	\N
2915128	9656	1994-12-16	PRIJEM	VKLAD	49193	98296	\N	\N	\N
2915129	9656	1994-01-28	PRIJEM	VKLAD	37114	113225	\N	\N	\N
2915130	9656	1994-01-17	PRIJEM	VKLAD	8043	40925	\N	\N	\N
2915131	9656	1994-10-01	PRIJEM	VKLAD	35661	77133	\N	\N	\N
2915132	9656	1994-04-14	PRIJEM	VKLAD	30055	82353	\N	\N	\N
2915133	9656	1994-05-03	PRIJEM	VKLAD	9585	89424	\N	\N	\N
2915134	9656	1994-07-28	PRIJEM	VKLAD	27694	42112	\N	\N	\N
2915135	9656	1994-01-16	PRIJEM	VKLAD	9186	32882	\N	\N	\N
2915136	9656	1994-12-02	PRIJEM	VKLAD	31767	103924	\N	\N	\N
2915137	9656	1994-01-27	PRIJEM	VKLAD	24863	65788	\N	\N	\N
2915138	9656	1994-04-10	PRIJEM	VKLAD	29007	76383	\N	\N	\N
2915139	9656	1994-01-27	PRIJEM	VKLAD	10323	76111	\N	\N	\N
2915140	9656	1994-08-06	PRIJEM	VKLAD	35894	54948	\N	\N	\N
2915141	9656	1994-11-04	PRIJEM	VKLAD	7031	70947	\N	\N	\N
2915142	9656	1994-03-15	PRIJEM	VKLAD	48742	71987	\N	\N	\N
2915143	9656	1994-04-14	PRIJEM	VKLAD	9915	52298	\N	\N	\N
2915144	9656	1994-04-25	PRIJEM	VKLAD	5017	79570	\N	\N	\N
2915145	9656	1994-08-08	PRIJEM	VKLAD	24316	79264	\N	\N	\N
2915146	9656	1994-12-01	PRIJEM	VKLAD	25924	80557	\N	\N	\N
2915147	9656	1994-10-05	PRIJEM	VKLAD	44194	121327	\N	\N	\N
2915148	9656	1994-10-28	PRIJEM	VKLAD	40231	106368	\N	\N	\N
2915149	9656	1995-12-25	PRIJEM	VKLAD	13555	83432	\N	\N	\N
2915150	9656	1995-02-28	PRIJEM	VKLAD	5271	104377	\N	\N	\N
2915151	9656	1995-11-09	PRIJEM	VKLAD	37826	91642	\N	\N	\N
2915152	9656	1995-08-14	PRIJEM	VKLAD	12267	58040	\N	\N	\N
2915153	9656	1995-05-02	PRIJEM	VKLAD	42805	151547	\N	\N	\N
2915154	9656	1995-03-12	PRIJEM	VKLAD	30207	90048	\N	\N	\N
2915155	9656	1995-02-17	PRIJEM	VKLAD	7412	83958	\N	\N	\N
2915156	9656	1995-12-20	PRIJEM	VKLAD	9996	52375	\N	\N	\N
2915157	9656	1995-08-22	PRIJEM	VKLAD	35416	93456	\N	\N	\N
2915158	9656	1995-02-17	PRIJEM	VKLAD	36176	76546	\N	\N	\N
2915159	9656	1995-01-30	PRIJEM	VKLAD	38325	73336	\N	\N	\N
2915160	9656	1995-03-15	PRIJEM	VKLAD	37944	127992	\N	\N	\N
2915161	9656	1995-11-12	PRIJEM	VKLAD	14526	106168	\N	\N	\N
2915162	9656	1995-08-03	PRIJEM	VKLAD	6413	23464	\N	\N	\N
2915163	9656	1995-04-07	PRIJEM	VKLAD	24678	111312	\N	\N	\N
2915164	9656	1995-05-03	PRIJEM	VKLAD	43133	148580	\N	\N	\N
2915165	9656	1995-04-16	PRIJEM	VKLAD	43350	108362	\N	\N	\N
2915166	9656	1995-02-21	PRIJEM	VKLAD	14855	98813	\N	\N	\N
2915167	9656	1995-10-28	PRIJEM	VKLAD	46913	93579	\N	\N	\N
2915168	9656	1995-08-13	PRIJEM	VKLAD	29543	45773	\N	\N	\N
2915169	9656	1995-01-11	PRIJEM	VKLAD	22681	41011	\N	\N	\N
2915170	9656	1995-10-23	PRIJEM	VKLAD	23644	46666	\N	\N	\N
2915171	9656	1995-12-21	PRIJEM	VKLAD	34300	86675	\N	\N	\N
2915172	9656	1995-12-22	PRIJEM	VKLAD	35602	122277	\N	\N	\N
2915173	9656	1996-10-15	PRIJEM	VKLAD	28700	74277	\N	\N	\N
2915174	9656	1996-03-01	PRIJEM	VKLAD	30985	81531	\N	\N	\N
2915175	9656	1996-05-15	PRIJEM	VKLAD	27660	62339	\N	\N	\N
2915176	9656	1996-04-22	PRIJEM	VKLAD	30173	68515	\N	\N	\N
2915177	9656	1996-01-15	PRIJEM	VKLAD	7272	43523	\N	\N	\N
2915178	9656	1996-09-06	PRIJEM	VKLAD	44022	62857	\N	\N	\N
2915179	9656	1996-07-02	PRIJEM	VKLAD	17946	70264	\N	\N	\N
2915180	9656	1996-09-23	PRIJEM	VKLAD	14331	71374	\N	\N	\N
2915181	9656	1996-11-12	PRIJEM	VKLAD	13979	34921	\N	\N	\N
2915182	9656	1996-07-21	PRIJEM	VKLAD	7921	49950	\N	\N	\N
2915183	9656	1996-03-24	PRIJEM	VKLAD	39892	71898	\N	\N	\N
2915184	9656	1996-02-20	PRIJEM	VKLAD	48590	66641	\N	\N	\N
2915185	9656	1996-06-29	PRIJEM	VKLAD	23002	66875	\N	\N	\N
2915186	9656	1996-10-08	PRIJEM	VKLAD	5320	51390	\N	\N	\N
2915187	9656	1996-06-17	PRIJEM	VKLAD	27251	50173	\N	\N	\N
2915188	9656	1997-05-28	PRIJEM	VKLAD	40185	92384	\N	\N	\N
2915189	9656	1997-06-25	PRIJEM	VKLAD	11948	56216	\N	\N	\N
2915190	9656	1997-07-20	PRIJEM	VKLAD	25936	69438	\N	\N	\N
2915191	9656	1997-01-14	PRIJEM	VKLAD	22419	37458	\N	\N	\N
2915192	9656	1997-10-19	PRIJEM	VKLAD	18597	47286	\N	\N	\N
2915193	9656	1997-09-25	PRIJEM	VKLAD	32156	62990	\N	\N	\N
2915194	9656	1997-02-16	PRIJEM	VKLAD	23281	54792	\N	\N	\N
2915195	9656	1997-12-13	PRIJEM	VKLAD	47786	74362	\N	\N	\N
2915196	9656	1997-06-30	PRIJEM	VKLAD	15259	65498	\N	\N	\N
2915197	9656	1997-12-17	PRIJEM	VKLAD	32386	101848	\N	\N	\N
2915198	9656	1997-12-27	PRIJEM	VKLAD	27855	87758	\N	\N	\N
2915199	9656	1997-03-16	PRIJEM	VKLAD	21500	41541	\N	\N	\N
2915200	9656	1997-03-24	PRIJEM	VKLAD	26587	68128	\N	\N	\N
2915201	9656	1997-10-22	PRIJEM	VKLAD	25404	65590	\N	\N	\N
2915202	9656	1997-12-22	PRIJEM	VKLAD	19555	121403	\N	\N	\N
2915203	9656	1997-05-09	PRIJEM	VKLAD	32619	62312	\N	\N	\N
2915204	9656	1997-01-23	PRIJEM	VKLAD	44080	76438	\N	\N	\N
2915205	9656	1998-07-19	PRIJEM	VKLAD	44541	88793	\N	\N	\N
2915206	9656	1998-12-07	PRIJEM	VKLAD	27671	64224	\N	\N	\N
2915207	9656	1998-08-05	PRIJEM	VKLAD	12344	68297	\N	\N	\N
2915208	9656	1998-05-17	PRIJEM	VKLAD	45442	73591	\N	\N	\N
2915209	9656	1998-07-06	PRIJEM	VKLAD	15242	50152	\N	\N	\N
2915210	9656	1998-05-06	PRIJEM	VKLAD	8184	32849	\N	\N	\N
2915211	9656	1998-10-02	PRIJEM	VKLAD	9801	70394	\N	\N	\N
2915212	9656	1998-02-05	PRIJEM	VKLAD	48089	81543	\N	\N	\N
2915213	9656	1998-09-10	PRIJEM	VKLAD	43856	75272	\N	\N	\N
2915214	9656	1998-02-12	PRIJEM	VKLAD	38815	109637	\N	\N	\N
2915215	9656	1998-10-28	PRIJEM	VKLAD	43472	93545	\N	\N	\N
2915216	9656	1998-12-13	PRIJEM	VKLAD	18072	82296	\N	\N	\N
2915217	9656	1998-03-18	PRIJEM	VKLAD	16146	82180	\N	\N	\N
2915231	9656	1994-02-08	VYDAJ	VYBER	6900	49447	\N	\N	0
2915232	9656	1994-03-21	VYDAJ	VYBER	6300	65687	\N	\N	0
2915233	9656	1994-04-10	VYDAJ	VYBER	5800	70583	\N	\N	0
2915234	9656	1994-05-08	VYDAJ	VYBER	5200	63312	\N	\N	0
2915235	9656	1994-06-20	VYDAJ	VYBER	5100	16472	\N	\N	0
2915237	9656	1994-08-16	VYDAJ	VYBER	5600	80069	\N	\N	0
2915238	9656	1994-09-14	VYDAJ	VYBER	7000	54510	\N	\N	0
2915239	9656	1994-10-18	VYDAJ	VYBER	4600	36106	\N	\N	0
2915240	9656	1994-11-08	VYDAJ	VYBER	5400	54826	\N	\N	0
2915241	9656	1994-12-05	VYDAJ	VYBER	5100	88103	\N	\N	0
2915242	9656	1995-01-07	VYDAJ	VYBER	4500	25530	\N	\N	0
2915243	9656	1995-02-09	VYDAJ	VYBER	4400	40370	\N	\N	0
2915244	9656	1995-03-21	VYDAJ	VYBER	4500	96950	\N	\N	0
2915245	9656	1995-04-09	VYDAJ	VYBER	5600	65012	\N	\N	0
2915246	9656	1995-05-20	VYDAJ	VYBER	4500	54300	\N	\N	0
2915247	9656	1995-06-21	VYDAJ	VYBER	6300	30173	\N	\N	0
2915248	9656	1995-07-12	VYDAJ	PREVOD NA UCET	5814	16981	UVER	EF	27695667
2915249	9656	1995-08-12	VYDAJ	PREVOD NA UCET	5814	16230	UVER	EF	27695667
2915250	9656	1995-09-12	VYDAJ	PREVOD NA UCET	5814	50830	UVER	EF	27695667
2915251	9656	1995-10-12	VYDAJ	PREVOD NA UCET	5814	23022	UVER	EF	27695667
2915252	9656	1995-11-12	VYDAJ	PREVOD NA UCET	5814	100354	UVER	EF	27695667
2915253	9656	1995-12-12	VYDAJ	PREVOD NA UCET	5814	47779	UVER	EF	27695667
2915254	9656	1996-01-12	VYDAJ	PREVOD NA UCET	5814	36251	UVER	EF	27695667
2915255	9656	1996-02-12	VYDAJ	PREVOD NA UCET	5814	18051	UVER	EF	27695667
2915256	9656	1996-03-12	VYDAJ	PREVOD NA UCET	5814	32006	UVER	EF	27695667
2915257	9656	1996-04-12	VYDAJ	PREVOD NA UCET	5814	38342	UVER	EF	27695667
2915258	9656	1996-05-12	VYDAJ	PREVOD NA UCET	5814	34679	UVER	EF	27695667
2915259	9656	1996-06-12	VYDAJ	PREVOD NA UCET	5814	22922	UVER	EF	27695667
2915260	9656	1996-07-12	VYDAJ	PREVOD NA UCET	5814	53729	UVER	EF	27695667
2915261	9656	1996-08-12	VYDAJ	PREVOD NA UCET	5814	26428	UVER	EF	27695667
2915262	9656	1996-09-12	VYDAJ	PREVOD NA UCET	5814	57043	UVER	EF	27695667
2915263	9656	1996-10-12	VYDAJ	PREVOD NA UCET	5814	45577	UVER	EF	27695667
2915264	9656	1996-11-12	VYDAJ	PREVOD NA UCET	5814	29107	UVER	EF	27695667
2915265	9656	1996-12-12	VYDAJ	PREVOD NA UCET	5814	18285	UVER	EF	27695667
2915266	9656	1997-01-12	VYDAJ	PREVOD NA UCET	5814	15039	UVER	EF	27695667
2915267	9656	1997-02-12	VYDAJ	PREVOD NA UCET	5814	31511	UVER	EF	27695667
2915268	9656	1997-03-12	VYDAJ	PREVOD NA UCET	5814	20041	UVER	EF	27695667
2915269	9656	1997-04-12	VYDAJ	PREVOD NA UCET	5814	37251	UVER	EF	27695667
2915270	9656	1997-05-12	VYDAJ	PREVOD NA UCET	5814	56499	UVER	EF	27695667
2915271	9656	1997-06-12	VYDAJ	PREVOD NA UCET	5814	46068	UVER	EF	27695667
2915272	9656	1997-07-09	VYDAJ	VYBER	6100	43502	\N	\N	0
2915273	9656	1997-08-05	VYDAJ	VYBER	5800	39023	\N	\N	0
2915274	9656	1997-09-12	VYDAJ	VYBER	7100	20734	\N	\N	0
2915275	9656	1997-10-21	VYDAJ	VYBER	7100	40186	\N	\N	0
2915276	9656	1997-11-19	VYDAJ	VYBER	6600	36422	\N	\N	0
2915277	9656	1997-12-14	VYDAJ	VYBER	4900	69462	\N	\N	0
2915278	9656	1998-01-10	VYDAJ	VYBER	5100	60782	\N	\N	0
2915279	9656	1998-02-02	VYDAJ	VYBER	4400	33454	\N	\N	0
2915280	9656	1998-03-07	VYDAJ	VYBER	4600	66034	\N	\N	0
2915281	9656	1998-04-13	VYDAJ	VYBER	5200	30249	\N	\N	0
2915282	9656	1998-05-16	VYDAJ	VYBER	4700	28149	\N	\N	0
2915283	9656	1998-06-10	VYDAJ	VYBER	4600	44648	\N	\N	0
2915284	9656	1998-07-16	VYDAJ	VYBER	5900	44252	\N	\N	0
2915285	9656	1998-08-15	VYDAJ	VYBER	5000	27680	\N	\N	0
2915286	9656	1998-09-16	VYDAJ	VYBER	5700	69572	\N	\N	0
2915287	9656	1998-10-08	VYDAJ	VYBER	5100	54573	\N	\N	0
2915288	9656	1998-11-06	VYDAJ	VYBER	5100	77947	\N	\N	0
2915289	9656	1998-12-20	VYDAJ	VYBER	5800	38705	\N	\N	0
2915303	9656	1994-02-05	VYDAJ	PREVOD NA UCET	10721	56347	SIPO	OP	12446082
2915304	9656	1994-03-05	VYDAJ	PREVOD NA UCET	10721	13545	SIPO	OP	12446082
2915305	9656	1994-04-05	VYDAJ	PREVOD NA UCET	10721	55152	SIPO	OP	12446082
2915306	9656	1994-05-05	VYDAJ	PREVOD NA UCET	10721	68512	SIPO	OP	12446082
2915307	9656	1994-06-05	VYDAJ	PREVOD NA UCET	10721	10372	SIPO	OP	12446082
2915308	9656	1994-07-05	VYDAJ	PREVOD NA UCET	10721	5818	SIPO	OP	12446082
2915309	9656	1994-08-05	VYDAJ	PREVOD NA UCET	10721	19054	SIPO	OP	12446082
2915310	9656	1994-09-05	VYDAJ	PREVOD NA UCET	10721	64455	SIPO	OP	12446082
2915311	9656	1994-10-05	VYDAJ	PREVOD NA UCET	10721	110606	SIPO	OP	12446082
2915312	9656	1994-11-05	VYDAJ	PREVOD NA UCET	10721	60226	SIPO	OP	12446082
2915313	9656	1994-12-05	VYDAJ	PREVOD NA UCET	10721	93203	SIPO	OP	12446082
2915314	9656	1995-01-05	VYDAJ	PREVOD NA UCET	10721	40830	SIPO	OP	12446082
2915315	9656	1995-02-05	VYDAJ	PREVOD NA UCET	10721	60070	SIPO	OP	12446082
2915316	9656	1995-03-05	VYDAJ	PREVOD NA UCET	10721	93641	SIPO	OP	12446082
2915317	9656	1995-04-05	VYDAJ	PREVOD NA UCET	10721	86634	SIPO	OP	12446082
2915318	9656	1995-05-05	VYDAJ	PREVOD NA UCET	10721	109259	SIPO	OP	12446082
2915319	9656	1995-06-05	VYDAJ	PREVOD NA UCET	10721	43873	SIPO	OP	12446082
2915320	9656	1995-07-05	VYDAJ	PREVOD NA UCET	10721	19595	SIPO	OP	12446082
2915321	9656	1995-08-05	VYDAJ	PREVOD NA UCET	10721	12743	SIPO	OP	12446082
2915322	9656	1995-09-05	VYDAJ	PREVOD NA UCET	10721	82944	SIPO	OP	12446082
2915323	9656	1995-10-05	VYDAJ	PREVOD NA UCET	10721	28835	SIPO	OP	12446082
2915324	9656	1995-11-05	VYDAJ	PREVOD NA UCET	10721	53816	SIPO	OP	12446082
2915325	9656	1995-12-05	VYDAJ	PREVOD NA UCET	10721	53593	SIPO	OP	12446082
2915326	9656	1996-01-05	VYDAJ	PREVOD NA UCET	10721	48965	SIPO	OP	12446082
2915327	9656	1996-02-05	VYDAJ	PREVOD NA UCET	10721	23864	SIPO	OP	12446082
2915328	9656	1996-03-05	VYDAJ	PREVOD NA UCET	10721	45710	SIPO	OP	12446082
2915329	9656	1996-04-05	VYDAJ	PREVOD NA UCET	10721	44155	SIPO	OP	12446082
2915330	9656	1996-05-05	VYDAJ	PREVOD NA UCET	10721	40492	SIPO	OP	12446082
2915331	9656	1996-06-05	VYDAJ	PREVOD NA UCET	10721	28735	SIPO	OP	12446082
2915332	9656	1996-07-05	VYDAJ	PREVOD NA UCET	10721	59543	SIPO	OP	12446082
2915333	9656	1996-08-05	VYDAJ	PREVOD NA UCET	10721	32242	SIPO	OP	12446082
2915334	9656	1996-09-05	VYDAJ	PREVOD NA UCET	10721	18835	SIPO	OP	12446082
2915335	9656	1996-10-05	VYDAJ	PREVOD NA UCET	10721	46070	SIPO	OP	12446082
2915336	9656	1996-11-05	VYDAJ	PREVOD NA UCET	10721	20942	SIPO	OP	12446082
2915337	9656	1996-12-05	VYDAJ	PREVOD NA UCET	10721	24098	SIPO	OP	12446082
2915338	9656	1997-01-05	VYDAJ	PREVOD NA UCET	10721	20852	SIPO	OP	12446082
2915339	9656	1997-02-05	VYDAJ	PREVOD NA UCET	10721	37325	SIPO	OP	12446082
2915340	9656	1997-03-05	VYDAJ	PREVOD NA UCET	10721	25854	SIPO	OP	12446082
2915341	9656	1997-04-05	VYDAJ	PREVOD NA UCET	10721	43064	SIPO	OP	12446082
2915342	9656	1997-05-05	VYDAJ	PREVOD NA UCET	10721	29693	SIPO	OP	12446082
2915343	9656	1997-06-05	VYDAJ	PREVOD NA UCET	10721	51882	SIPO	OP	12446082
2915344	9656	1997-07-05	VYDAJ	PREVOD NA UCET	10721	49602	SIPO	OP	12446082
2915345	9656	1997-08-05	VYDAJ	PREVOD NA UCET	10721	44823	SIPO	OP	12446082
2915346	9656	1997-09-05	VYDAJ	PREVOD NA UCET	10721	27834	SIPO	OP	12446082
2915347	9656	1997-10-05	VYDAJ	PREVOD NA UCET	10721	28689	SIPO	OP	12446082
2915348	9656	1997-11-05	VYDAJ	PREVOD NA UCET	10721	43022	SIPO	OP	12446082
2915349	9656	1997-12-05	VYDAJ	PREVOD NA UCET	10721	26576	SIPO	OP	12446082
2915350	9656	1998-01-05	VYDAJ	PREVOD NA UCET	10721	70682	SIPO	OP	12446082
2915351	9656	1998-02-05	VYDAJ	PREVOD NA UCET	10721	70822	SIPO	OP	12446082
2915352	9656	1998-03-05	VYDAJ	PREVOD NA UCET	10721	70634	SIPO	OP	12446082
2915353	9656	1998-04-05	VYDAJ	PREVOD NA UCET	10721	35449	SIPO	OP	12446082
2915354	9656	1998-05-05	VYDAJ	PREVOD NA UCET	10721	24665	SIPO	OP	12446082
2915355	9656	1998-06-05	VYDAJ	PREVOD NA UCET	10721	49248	SIPO	OP	12446082
2915356	9656	1998-07-05	VYDAJ	PREVOD NA UCET	10721	34910	SIPO	OP	12446082
2915357	9656	1998-08-05	VYDAJ	PREVOD NA UCET	10721	32680	SIPO	OP	12446082
2915358	9656	1998-09-05	VYDAJ	PREVOD NA UCET	10721	31416	SIPO	OP	12446082
2915359	9656	1998-10-05	VYDAJ	PREVOD NA UCET	10721	59673	SIPO	OP	12446082
2915360	9656	1998-11-05	VYDAJ	PREVOD NA UCET	10721	83047	SIPO	OP	12446082
2915361	9656	1998-12-05	VYDAJ	PREVOD NA UCET	10721	36553	SIPO	OP	12446082
2915367	9656	1994-08-01	VYBER	VYBER	12401	29775	\N	\N	\N
2915368	9656	1994-08-22	VYBER	VYBER	10585	69484	\N	\N	\N
2915369	9656	1994-05-04	VYBER	VYBER	10191	79233	\N	\N	\N
2915370	9656	1994-08-25	VYBER	VYBER	23717	45767	\N	\N	\N
2915371	9656	1994-02-20	VYBER	VYBER	11640	24107	\N	\N	\N
2915372	9656	1994-05-22	VYBER	VYBER	21096	20916	\N	\N	\N
2915373	9656	1994-09-05	VYBER	VYBER	8048	75176	\N	\N	\N
2915374	9656	1994-04-06	VYBER	VYBER	7776	47376	\N	\N	\N
2915375	9656	1994-09-16	VYBER	VYBER	13284	41226	\N	\N	\N
2915376	9656	1995-03-15	VYBER	VYBER	5942	122050	\N	\N	\N
2915377	9656	1995-05-20	VYBER	VYBER	13459	58800	\N	\N	\N
2915380	9656	1996-05-25	VYBER	VYBER	20573	41766	\N	\N	\N
2915382	9656	1996-02-27	VYBER	VYBER	14129	52512	\N	\N	\N
2915383	9656	1996-03-07	VYBER	VYBER	7891	37819	\N	\N	\N
2915385	9656	1996-11-05	VYBER	VYBER	24856	31663	\N	\N	\N
2915386	9656	1997-07-03	VYBER	VYBER	5160	60323	\N	\N	\N
2915389	9656	1997-10-02	VYBER	VYBER	10015	39410	\N	\N	\N
2915390	9656	1997-02-01	VYBER	VYBER	9944	48046	\N	\N	\N
2915391	9656	1997-09-30	VYBER	VYBER	13692	49440	\N	\N	\N
2915392	9656	1997-04-25	VYBER	VYBER	6389	30862	\N	\N	\N
2915394	9656	1997-02-28	VYBER	VYBER	14892	36590	\N	\N	\N
2915397	9656	1998-12-13	VYBER	VYBER	16063	48005	\N	\N	\N
2915398	9656	1998-03-25	VYBER	VYBER	18566	45914	\N	\N	\N
2915399	9656	1998-12-13	VYBER	VYBER	18228	64068	\N	\N	\N
2915400	9656	1998-01-15	VYBER	VYBER	4954	55828	\N	\N	\N
2915401	9656	1998-08-01	VYBER	VYBER	11857	55953	\N	\N	\N
2915402	9656	1998-11-23	VYBER	VYBER	3822	47025	\N	\N	\N
2915404	9656	1998-08-05	VYBER	VYBER	24896	43401	\N	\N	\N
2915409	9656	1997-06-04	VYDAJ	VYBER	30000	62603	\N	\N	\N
2915412	9656	1994-12-12	VYDAJ	VYBER	3000	49103	\N	\N	\N
2915413	9656	1995-12-14	VYDAJ	VYBER	5400	42379	\N	\N	\N
2915427	9656	1994-01-28	VYDAJ	VYBER	5100	108125	\N	\N	\N
2915429	9656	1995-01-04	VYDAJ	VYBER	4800	51551	\N	\N	\N
2915430	9656	1995-01-24	VYDAJ	VYBER	4500	35011	\N	\N	\N
2915431	9656	1995-01-19	VYDAJ	VYBER	1500	39511	\N	\N	\N
2915432	9656	1995-01-02	VYDAJ	VYBER	4800	56351	\N	\N	\N
2915433	9656	1995-01-09	VYDAJ	VYBER	3000	21030	\N	\N	\N
2915434	9656	1995-01-30	VYDAJ	VYBER	2700	70636	\N	\N	\N
2915435	9656	1996-01-10	VYDAJ	VYBER	2700	46265	\N	\N	\N
2915436	9656	1996-01-16	VYDAJ	VYBER	4500	39023	\N	\N	\N
2915438	9656	1996-01-18	VYDAJ	VYBER	8400	30623	\N	\N	\N
2915439	9656	1996-01-11	VYDAJ	VYBER	4200	42065	\N	\N	\N
2915442	9656	1997-01-17	VYDAJ	VYBER	5100	32358	\N	\N	\N
2915446	9656	1997-01-26	VYDAJ	VYBER	3900	72538	\N	\N	\N
2915447	9656	1998-01-08	VYDAJ	VYBER	2400	65882	\N	\N	\N
2915448	9656	1998-01-01	VYDAJ	VYBER	6600	81403	\N	\N	\N
2915449	9656	1998-01-30	VYDAJ	VYBER	3600	37628	\N	\N	\N
2915450	9656	1998-01-05	VYDAJ	VYBER	2400	68282	\N	\N	\N
2915451	9656	1998-01-26	VYDAJ	VYBER	7800	44228	\N	\N	\N
2915452	9656	1998-01-28	VYDAJ	VYBER	3000	41228	\N	\N	\N
2915455	9656	1994-08-08	VYDAJ	VYBER	1500	77764	\N	\N	\N
2915456	9656	1994-04-10	VYDAJ	VYBER	13200	57383	\N	\N	\N
2915458	9656	1994-04-15	VYDAJ	VYBER	7800	74553	\N	\N	\N
2915459	9656	1994-12-01	VYDAJ	VYBER	8400	72157	\N	\N	\N
2915460	9656	1994-12-26	VYDAJ	VYBER	13500	60827	\N	\N	\N
2915461	9656	1995-09-15	VYDAJ	VYBER	11400	39430	\N	\N	\N
2915462	9656	1995-01-05	VYDAJ	VYBER	10800	30030	\N	\N	\N
2915463	9656	1995-11-18	VYDAJ	VYBER	4800	95554	\N	\N	\N
2915464	9656	1995-01-10	VYDAJ	VYBER	2700	18330	\N	\N	\N
2915465	9656	1995-12-03	VYDAJ	VYBER	3600	92314	\N	\N	\N
2915468	9656	1996-10-22	VYDAJ	VYBER	1500	72777	\N	\N	\N
2915469	9656	1996-04-26	VYDAJ	VYBER	8100	60415	\N	\N	\N
2915470	9656	1996-07-20	VYDAJ	VYBER	11700	42029	\N	\N	\N
2915471	9656	1996-06-19	VYDAJ	VYBER	6300	43873	\N	\N	\N
2915472	9656	1996-02-29	VYDAJ	VYBER	2100	50546	\N	\N	\N
2915474	9656	1997-08-11	VYDAJ	VYBER	12300	26723	\N	\N	\N
2915475	9656	1997-04-02	VYDAJ	VYBER	4200	53785	\N	\N	\N
2915476	9656	1997-06-18	VYDAJ	VYBER	1800	44268	\N	\N	\N
2915477	9656	1997-11-28	VYDAJ	VYBER	1500	37122	\N	\N	\N
2915479	9656	1998-11-13	VYDAJ	VYBER	13500	64447	\N	\N	\N
2915493	9656	1994-01-31	VYDAJ	VYBER	15	67068	SLUZBY	\N	\N
2915494	9656	1994-02-28	VYDAJ	VYBER	15	24266	SLUZBY	\N	\N
2915495	9656	1994-03-31	VYDAJ	VYBER	15	65873	SLUZBY	\N	\N
2915496	9656	1994-04-30	VYDAJ	VYBER	15	79839	SLUZBY	\N	\N
2915497	9656	1994-05-31	VYDAJ	VYBER	15	21093	SLUZBY	\N	\N
2915498	9656	1994-06-30	VYDAJ	VYBER	15	16539	SLUZBY	\N	\N
2915499	9656	1994-07-31	VYDAJ	VYBER	15	42176	SLUZBY	\N	\N
2915500	9656	1994-08-31	VYDAJ	VYBER	15	83224	SLUZBY	\N	\N
2915501	9656	1994-09-30	VYDAJ	VYBER	15	41472	SLUZBY	\N	\N
2915502	9656	1994-10-31	VYDAJ	VYBER	15	63916	SLUZBY	\N	\N
2915503	9656	1994-11-30	VYDAJ	VYBER	15	54633	SLUZBY	\N	\N
2915504	9656	1994-12-31	VYDAJ	VYBER	15	61151	SLUZBY	\N	\N
2915505	9656	1995-01-31	VYDAJ	VYBER	15	70791	SLUZBY	\N	\N
2915506	9656	1995-02-28	VYDAJ	VYBER	15	104362	SLUZBY	\N	\N
2915507	9656	1995-03-31	VYDAJ	VYBER	15	97355	SLUZBY	\N	\N
2915508	9656	1995-04-30	VYDAJ	VYBER	15	108742	SLUZBY	\N	\N
2915509	9656	1995-05-31	VYDAJ	VYBER	15	54594	SLUZBY	\N	\N
2915510	9656	1995-06-30	VYDAJ	VYBER	15	30316	SLUZBY	\N	\N
2915511	9656	1995-07-31	VYDAJ	VYBER	15	17051	SLUZBY	\N	\N
2915512	9656	1995-08-31	VYDAJ	VYBER	15	93665	SLUZBY	\N	\N
2915513	9656	1995-09-30	VYDAJ	VYBER	15	39656	SLUZBY	\N	\N
2915514	9656	1995-10-31	VYDAJ	VYBER	15	93737	SLUZBY	\N	\N
2915515	9656	1995-11-30	VYDAJ	VYBER	15	95914	SLUZBY	\N	\N
2915516	9656	1995-12-31	VYDAJ	VYBER	15	83686	SLUZBY	\N	\N
2915517	9656	1996-01-31	VYDAJ	VYBER	15	30785	SLUZBY	\N	\N
2915518	9656	1996-02-29	VYDAJ	VYBER	15	52646	SLUZBY	\N	\N
2915519	9656	1996-03-31	VYDAJ	VYBER	15	72076	SLUZBY	\N	\N
2915520	9656	1996-04-30	VYDAJ	VYBER	15	60613	SLUZBY	\N	\N
2915521	9656	1996-05-31	VYDAJ	VYBER	15	41956	SLUZBY	\N	\N
2915522	9656	1996-06-30	VYDAJ	VYBER	15	67018	SLUZBY	\N	\N
2915523	9656	1996-07-31	VYDAJ	VYBER	15	50163	SLUZBY	\N	\N
2915524	9656	1996-08-31	VYDAJ	VYBER	15	29556	SLUZBY	\N	\N
2915525	9656	1996-09-30	VYDAJ	VYBER	15	56791	SLUZBY	\N	\N
2915526	9656	1996-10-31	VYDAJ	VYBER	15	56519	SLUZBY	\N	\N
2915527	9656	1996-11-30	VYDAJ	VYBER	15	34819	SLUZBY	\N	\N
2915528	9656	1996-12-31	VYDAJ	VYBER	15	31573	SLUZBY	\N	\N
2915529	9656	1997-01-31	VYDAJ	VYBER	15	57990	SLUZBY	\N	\N
2915530	9656	1997-02-28	VYDAJ	VYBER	15	36575	SLUZBY	\N	\N
2915531	9656	1997-03-31	VYDAJ	VYBER	15	57985	SLUZBY	\N	\N
2915532	9656	1997-04-30	VYDAJ	VYBER	15	40414	SLUZBY	\N	\N
2915533	9656	1997-05-31	VYDAJ	VYBER	15	92603	SLUZBY	\N	\N
2915534	9656	1997-06-30	VYDAJ	VYBER	15	65483	SLUZBY	\N	\N
2915535	9656	1997-07-31	VYDAJ	VYBER	15	55544	SLUZBY	\N	\N
2915536	9656	1997-08-31	VYDAJ	VYBER	15	38555	SLUZBY	\N	\N
2915537	9656	1997-09-30	VYDAJ	VYBER	15	49425	SLUZBY	\N	\N
2915538	9656	1997-10-31	VYDAJ	VYBER	15	53743	SLUZBY	\N	\N
2915539	9656	1997-11-30	VYDAJ	VYBER	15	37297	SLUZBY	\N	\N
2915540	9656	1997-12-31	VYDAJ	VYBER	15	88003	SLUZBY	\N	\N
2915541	9656	1998-01-31	VYDAJ	VYBER	15	37854	SLUZBY	\N	\N
2915542	9656	1998-02-28	VYDAJ	VYBER	15	81355	SLUZBY	\N	\N
2915543	9656	1998-03-31	VYDAJ	VYBER	15	46170	SLUZBY	\N	\N
2915544	9656	1998-04-30	VYDAJ	VYBER	15	35386	SLUZBY	\N	\N
2915545	9656	1998-05-31	VYDAJ	VYBER	15	59969	SLUZBY	\N	\N
2915546	9656	1998-06-30	VYDAJ	VYBER	15	45631	SLUZBY	\N	\N
2915547	9656	1998-07-31	VYDAJ	VYBER	15	67810	SLUZBY	\N	\N
2915548	9656	1998-08-31	VYDAJ	VYBER	15	42137	SLUZBY	\N	\N
2915549	9656	1998-09-30	VYDAJ	VYBER	15	60593	SLUZBY	\N	\N
2915550	9656	1998-10-31	VYDAJ	VYBER	15	93768	SLUZBY	\N	\N
2915551	9656	1998-11-30	VYDAJ	VYBER	15	47274	SLUZBY	\N	\N
2915552	9656	1993-12-14	PRIJEM	VKLAD	5700	23322	\N	\N	\N
2915553	9656	1994-01-13	PRIJEM	VKLAD	300	23696	\N	\N	\N
2915554	9656	1994-01-28	VYDAJ	VYBER	41200	66925	\N	\N	\N
2915555	9656	1994-02-12	VYDAJ	VYBER	13700	35747	\N	\N	\N
2915556	9656	1994-03-14	PRIJEM	VKLAD	9700	23245	\N	\N	\N
2915557	9656	1994-04-13	VYDAJ	VYBER	15000	42383	\N	\N	\N
2915558	9656	1994-05-13	VYDAJ	VYBER	21300	42012	\N	\N	\N
2915559	9656	1994-06-12	PRIJEM	VKLAD	11200	21572	\N	\N	\N
2915560	9656	1994-07-12	PRIJEM	VKLAD	8600	14418	\N	\N	\N
2915561	9656	1994-08-11	VYDAJ	VYBER	27100	50664	\N	\N	\N
2915562	9656	1994-08-31	VYDAJ	VYBER	39700	83238	\N	\N	\N
2915563	9656	1994-09-10	VYDAJ	VYBER	32900	61510	\N	\N	\N
2915564	9656	1994-10-05	VYDAJ	VYBER	50400	60206	\N	\N	\N
2915565	9656	1994-10-10	VYDAJ	VYBER	19500	40706	\N	\N	\N
2915566	9656	1994-10-28	VYDAJ	VYBER	42700	63668	\N	\N	\N
2915567	9656	1994-11-09	VYDAJ	VYBER	17000	37826	\N	\N	\N
2915568	9656	1994-11-25	VYDAJ	VYBER	53200	54435	\N	\N	\N
2915569	9656	1994-12-09	VYDAJ	VYBER	36000	52103	\N	\N	\N
2915570	9656	1994-12-26	VYDAJ	VYBER	45100	74327	\N	\N	\N
2915571	9656	1995-01-08	VYDAJ	VYBER	1500	24030	\N	\N	\N
2915572	9656	1995-02-07	VYDAJ	VYBER	15300	44770	\N	\N	\N
2915573	9656	1995-03-09	VYDAJ	VYBER	33800	59841	\N	\N	\N
2915574	9656	1995-03-15	VYDAJ	VYBER	20600	101450	\N	\N	\N
2915575	9656	1995-04-08	VYDAJ	VYBER	40700	70612	\N	\N	\N
2915576	9656	1995-05-02	VYDAJ	VYBER	46100	105447	\N	\N	\N
2915577	9656	1995-05-03	VYDAJ	VYBER	28600	119980	\N	\N	\N
2915578	9656	1995-05-08	VYDAJ	VYBER	37000	72259	\N	\N	\N
2915579	9656	1995-06-07	VYDAJ	VYBER	7400	36473	\N	\N	\N
2915580	9656	1995-07-07	PRIJEM	VKLAD	3200	22795	\N	\N	\N
2915581	9656	1995-08-06	PRIJEM	VKLAD	9300	22043	\N	\N	\N
2915582	9656	1995-09-05	VYDAJ	VYBER	26300	56644	\N	\N	\N
2915583	9656	1995-10-05	VYDAJ	VYBER	100	39556	\N	\N	\N
2915584	9656	1995-11-04	VYDAJ	VYBER	29200	64537	\N	\N	\N
2915585	9656	1995-12-04	VYDAJ	VYBER	28000	64314	\N	\N	\N
2915586	9656	1995-12-22	VYDAJ	VYBER	52400	69877	\N	\N	\N
2915587	9656	1996-01-03	VYDAJ	VYBER	24000	59686	\N	\N	\N
2915588	9656	1996-02-02	PRIJEM	VKLAD	3800	34585	\N	\N	\N
2915589	9656	1996-03-03	VYDAJ	VYBER	25100	56431	\N	\N	\N
2915590	9656	1996-04-02	VYDAJ	VYBER	17200	54876	\N	\N	\N
2915591	9656	1996-05-02	VYDAJ	VYBER	9400	51213	\N	\N	\N
2915592	9656	1996-06-01	VYDAJ	VYBER	2500	39456	\N	\N	\N
2915593	9656	1996-07-01	VYDAJ	VYBER	14700	52318	\N	\N	\N
2915594	9656	1996-07-31	VYDAJ	VYBER	7200	42963	\N	\N	\N
2915595	9656	1996-08-30	PRIJEM	VKLAD	3000	29428	\N	\N	\N
2915596	9656	1996-09-29	VYDAJ	VYBER	14800	56574	\N	\N	\N
2915597	9656	1996-10-29	VYDAJ	VYBER	16500	56277	\N	\N	\N
2915598	9656	1996-11-28	PRIJEM	VKLAD	5600	34707	\N	\N	\N
2915599	9656	1996-12-28	PRIJEM	VKLAD	13200	31485	\N	\N	\N
2915600	9656	1997-01-27	VYDAJ	VYBER	14700	57838	\N	\N	\N
2915601	9656	1997-02-26	VYDAJ	VYBER	3500	51292	\N	\N	\N
2915602	9656	1997-03-28	VYDAJ	VYBER	10300	57828	\N	\N	\N
2915603	9656	1997-04-27	PRIJEM	VKLAD	9400	40262	\N	\N	\N
2915604	9656	1997-05-27	VYDAJ	VYBER	4300	52199	\N	\N	\N
2915605	9656	1997-06-26	VYDAJ	VYBER	6200	50016	\N	\N	\N
2915606	9656	1997-07-26	VYDAJ	VYBER	14100	55338	\N	\N	\N
2915607	9656	1997-08-25	PRIJEM	VKLAD	11700	38423	\N	\N	\N
2915608	9656	1997-09-24	PRIJEM	VKLAD	10100	30834	\N	\N	\N
2915609	9656	1997-10-24	VYDAJ	VYBER	12000	53590	\N	\N	\N
2915610	9656	1997-11-23	PRIJEM	VKLAD	2200	38622	\N	\N	\N
2915611	9656	1997-12-22	VYDAJ	VYBER	52300	69103	\N	\N	\N
2915612	9656	1997-12-23	VYDAJ	VYBER	9200	59903	\N	\N	\N
2915613	9656	1998-01-22	VYDAJ	VYBER	3800	52028	\N	\N	\N
2915614	9656	1998-02-21	VYDAJ	VYBER	28600	81037	\N	\N	\N
2915615	9656	1998-03-23	VYDAJ	VYBER	17700	64480	\N	\N	\N
2915616	9656	1998-04-22	PRIJEM	VKLAD	5000	35249	\N	\N	\N
2915617	9656	1998-05-22	VYDAJ	VYBER	13800	59791	\N	\N	\N
2915618	9656	1998-06-21	PRIJEM	VKLAD	800	45448	\N	\N	\N
2915619	9656	1998-07-21	VYDAJ	VYBER	21200	67593	\N	\N	\N
2915620	9656	1998-08-20	PRIJEM	VKLAD	14300	41980	\N	\N	\N
2915621	9656	1998-09-19	VYDAJ	VYBER	9200	60372	\N	\N	\N
2915622	9656	1998-10-19	VYDAJ	VYBER	4500	50073	\N	\N	\N
2915623	9656	1998-11-18	VYDAJ	VYBER	13600	50847	\N	\N	\N
2915624	9656	1998-12-18	VYDAJ	VYBER	3500	44505	\N	\N	\N
2920830	9673	1997-06-07	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2920836	9673	1997-06-10	PRIJEM	PREVOD Z UCTU	22052	23152	\N	MN	6402934
2920837	9673	1997-07-10	PRIJEM	PREVOD Z UCTU	14701	41521	\N	MN	6402934
2920838	9673	1997-08-10	PRIJEM	PREVOD Z UCTU	14701	51872	\N	MN	6402934
2920839	9673	1997-09-10	PRIJEM	PREVOD Z UCTU	14701	55377	\N	MN	6402934
2920840	9673	1997-10-10	PRIJEM	PREVOD Z UCTU	14701	54604	\N	MN	6402934
2920841	9673	1997-11-10	PRIJEM	PREVOD Z UCTU	14701	40590	\N	MN	6402934
2920842	9673	1997-12-10	PRIJEM	PREVOD Z UCTU	22052	48794	\N	MN	6402934
2920843	9673	1998-01-10	PRIJEM	PREVOD Z UCTU	14701	48569	\N	MN	6402934
2920844	9673	1998-02-10	PRIJEM	PREVOD Z UCTU	14701	34909	\N	MN	6402934
2920845	9673	1998-03-10	PRIJEM	PREVOD Z UCTU	14701	40228	\N	MN	6402934
2920846	9673	1998-04-10	PRIJEM	PREVOD Z UCTU	14701	42973	\N	MN	6402934
2920847	9673	1998-05-10	PRIJEM	PREVOD Z UCTU	14701	39172	\N	MN	6402934
2920848	9673	1998-06-10	PRIJEM	PREVOD Z UCTU	22052	51255	\N	MN	6402934
2920849	9673	1998-07-10	PRIJEM	PREVOD Z UCTU	14701	57335	\N	MN	6402934
2920850	9673	1998-08-10	PRIJEM	PREVOD Z UCTU	14701	48649	\N	MN	6402934
2920851	9673	1998-09-10	PRIJEM	PREVOD Z UCTU	14701	60162	\N	MN	6402934
2920852	9673	1998-10-10	PRIJEM	PREVOD Z UCTU	14701	56334	\N	MN	6402934
2920853	9673	1998-11-10	PRIJEM	PREVOD Z UCTU	14701	66901	\N	MN	6402934
2920854	9673	1998-12-10	PRIJEM	PREVOD Z UCTU	22052	75658	\N	MN	6402934
2920864	9673	1997-10-18	VYDAJ	VYBER	2000	36020	\N	\N	0
2920865	9673	1997-11-08	VYDAJ	VYBER	2800	25889	\N	\N	0
2920866	9673	1997-12-06	VYDAJ	VYBER	2200	26742	\N	\N	0
2920867	9673	1998-01-14	VYDAJ	VYBER	2400	29885	\N	\N	0
2920868	9673	1998-02-04	VYDAJ	VYBER	2000	20208	\N	\N	0
2920869	9673	1998-03-21	VYDAJ	VYBER	2600	33944	\N	\N	0
2920870	9673	1998-04-12	VYDAJ	VYBER	2400	36889	\N	\N	0
2920871	9673	1998-05-10	VYDAJ	VYBER	1900	37272	\N	\N	0
2920872	9673	1998-06-04	VYDAJ	VYBER	2000	29203	\N	\N	0
2920873	9673	1998-07-13	VYDAJ	VYBER	2800	50851	\N	\N	0
2920874	9673	1998-08-08	VYDAJ	VYBER	2400	33948	\N	\N	0
2920875	9673	1998-09-12	VYDAJ	PREVOD NA UCET	2450	54027	UVER	QR	70481157
2920876	9673	1998-10-12	VYDAJ	PREVOD NA UCET	2450	50200	UVER	QR	70481157
2920877	9673	1998-11-12	VYDAJ	PREVOD NA UCET	2450	60767	UVER	QR	70481157
2920878	9673	1998-12-12	VYDAJ	PREVOD NA UCET	2450	69524	UVER	QR	70481157
2920888	9673	1997-10-11	VYDAJ	PREVOD NA UCET	3684	50920	SIPO	GH	96695422
2920889	9673	1997-11-11	VYDAJ	PREVOD NA UCET	3684	36906	SIPO	GH	96695422
2920890	9673	1997-12-11	VYDAJ	PREVOD NA UCET	3684	45110	SIPO	GH	96695422
2920891	9673	1998-01-11	VYDAJ	PREVOD NA UCET	3684	32285	SIPO	GH	96695422
2920892	9673	1998-02-11	VYDAJ	PREVOD NA UCET	3684	31225	SIPO	GH	96695422
2920893	9673	1998-03-11	VYDAJ	PREVOD NA UCET	3684	36544	SIPO	GH	96695422
2920894	9673	1998-04-11	VYDAJ	PREVOD NA UCET	3684	39289	SIPO	GH	96695422
2920895	9673	1998-05-11	VYDAJ	PREVOD NA UCET	3684	33588	SIPO	GH	96695422
2920896	9673	1998-06-11	VYDAJ	PREVOD NA UCET	3684	47571	SIPO	GH	96695422
2920897	9673	1998-07-11	VYDAJ	PREVOD NA UCET	3684	53651	SIPO	GH	96695422
2920898	9673	1998-08-11	VYDAJ	PREVOD NA UCET	3684	44965	SIPO	GH	96695422
2920899	9673	1998-09-11	VYDAJ	PREVOD NA UCET	3684	56478	SIPO	GH	96695422
2920900	9673	1998-10-11	VYDAJ	PREVOD NA UCET	3684	52650	SIPO	GH	96695422
2920901	9673	1998-11-11	VYDAJ	PREVOD NA UCET	3684	63217	SIPO	GH	96695422
2920902	9673	1998-12-11	VYDAJ	PREVOD NA UCET	3684	71974	SIPO	GH	96695422
2920906	9673	1998-11-15	VYBER	VYBER	4263	56504	\N	\N	\N
2920908	9673	1998-07-26	VYBER	VYBER	16884	33967	\N	\N	\N
2920909	9673	1998-05-02	VYBER	VYBER	4207	22271	\N	\N	\N
2920910	9673	1998-08-31	VYBER	VYBER	3765	45475	\N	\N	\N
2920911	9673	1998-12-25	VYBER	VYBER	22211	47313	\N	\N	\N
2920912	9673	1998-04-15	VYBER	VYBER	10525	26364	\N	\N	\N
2920914	9673	1998-10-04	VYBER	VYBER	12098	41633	\N	\N	\N
2920920	9673	1997-12-30	VYDAJ	VYBER	1800	43310	\N	\N	\N
2920921	9673	1998-12-27	VYDAJ	VYBER	8700	38613	\N	\N	\N
2920928	9673	1998-01-10	VYDAJ	VYBER	4200	35969	\N	\N	\N
2920929	9673	1998-01-24	VYDAJ	VYBER	4500	25385	\N	\N	\N
2920930	9673	1998-01-25	VYDAJ	VYBER	2100	23285	\N	\N	\N
2920931	9673	1998-01-10	VYDAJ	VYBER	8400	40169	\N	\N	\N
2920936	9673	1997-10-14	VYDAJ	VYBER	12900	38020	\N	\N	\N
2920939	9673	1998-11-15	VYDAJ	VYBER	7200	49304	\N	\N	\N
2920950	9673	1997-10-31	VYDAJ	VYBER	15	36189	SLUZBY	\N	\N
2920951	9673	1997-11-30	VYDAJ	VYBER	15	37042	SLUZBY	\N	\N
2920952	9673	1997-12-31	VYDAJ	VYBER	15	43468	SLUZBY	\N	\N
2920953	9673	1998-01-31	VYDAJ	VYBER	15	23408	SLUZBY	\N	\N
2920954	9673	1998-02-28	VYDAJ	VYBER	15	31327	SLUZBY	\N	\N
2920955	9673	1998-03-31	VYDAJ	VYBER	15	34072	SLUZBY	\N	\N
2920956	9673	1998-04-30	VYDAJ	VYBER	15	26478	SLUZBY	\N	\N
2920957	9673	1998-05-31	VYDAJ	VYBER	15	33703	SLUZBY	\N	\N
2920958	9673	1998-06-30	VYDAJ	VYBER	15	47734	SLUZBY	\N	\N
2920959	9673	1998-07-31	VYDAJ	VYBER	15	34148	SLUZBY	\N	\N
2920960	9673	1998-08-31	VYDAJ	VYBER	15	45461	SLUZBY	\N	\N
2920961	9673	1998-09-30	VYDAJ	VYBER	15	53731	SLUZBY	\N	\N
2920962	9673	1998-10-31	VYDAJ	VYBER	15	52200	SLUZBY	\N	\N
2920963	9673	1998-11-30	VYDAJ	VYBER	15	53606	SLUZBY	\N	\N
2920964	9673	1997-07-07	PRIJEM	VKLAD	3600	26820	\N	\N	\N
2920965	9673	1997-08-06	VYDAJ	VYBER	4500	37171	\N	\N	\N
2920966	9673	1997-09-05	VYDAJ	VYBER	11400	40676	\N	\N	\N
2920967	9673	1997-10-05	VYDAJ	VYBER	15700	39903	\N	\N	\N
2920968	9673	1997-11-04	VYDAJ	VYBER	7500	28689	\N	\N	\N
2920969	9673	1997-12-04	VYDAJ	VYBER	8100	28942	\N	\N	\N
2920970	9673	1998-01-03	VYDAJ	VYBER	9600	33868	\N	\N	\N
2920971	9673	1998-02-02	VYDAJ	VYBER	1200	22208	\N	\N	\N
2920972	9673	1998-03-04	VYDAJ	VYBER	5800	25527	\N	\N	\N
2920973	9673	1998-04-03	VYDAJ	VYBER	5800	28272	\N	\N	\N
2920974	9673	1998-05-03	PRIJEM	VKLAD	2200	24471	\N	\N	\N
2920975	9673	1998-06-02	VYDAJ	VYBER	2500	31203	\N	\N	\N
2920976	9673	1998-07-02	VYDAJ	VYBER	5100	42634	\N	\N	\N
2920977	9673	1998-08-01	PRIJEM	VKLAD	2200	36348	\N	\N	\N
2920978	9673	1998-08-31	PRIJEM	VKLAD	4100	49065	\N	\N	\N
2920979	9673	1998-09-30	VYDAJ	VYBER	500	53746	\N	\N	\N
2920980	9673	1998-10-30	PRIJEM	VKLAD	1800	52000	\N	\N	\N
2920981	9673	1998-11-29	PRIJEM	VKLAD	4100	53404	\N	\N	\N
2921986	9677	1996-10-13	PRIJEM	VKLAD	500	500	\N	\N	\N
2921997	9677	1996-11-09	PRIJEM	VKLAD	13622	14122	\N	\N	\N
2921998	9677	1996-12-09	PRIJEM	VKLAD	20433	39004	\N	\N	\N
2921999	9677	1997-01-09	PRIJEM	VKLAD	13622	43333	\N	\N	\N
2922000	9677	1997-02-09	PRIJEM	VKLAD	13622	44481	\N	\N	\N
2922001	9677	1997-03-09	PRIJEM	VKLAD	13622	45836	\N	\N	\N
2922002	9677	1997-04-09	PRIJEM	VKLAD	13622	38020	\N	\N	\N
2922003	9677	1997-05-09	PRIJEM	VKLAD	13622	29969	\N	\N	\N
2922004	9677	1997-06-09	PRIJEM	VKLAD	20433	38224	\N	\N	\N
2922005	9677	1997-07-09	PRIJEM	VKLAD	13622	39592	\N	\N	\N
2922006	9677	1997-08-09	PRIJEM	VKLAD	13622	37433	\N	\N	\N
2922007	9677	1997-09-09	PRIJEM	VKLAD	13622	43678	\N	\N	\N
2922008	9677	1997-10-09	PRIJEM	VKLAD	13622	41562	\N	\N	\N
2922009	9677	1997-11-09	PRIJEM	VKLAD	13622	43235	\N	\N	\N
2922010	9677	1997-12-09	PRIJEM	VKLAD	20433	50121	\N	\N	\N
2922011	9677	1998-01-09	PRIJEM	VKLAD	13622	44018	\N	\N	\N
2922012	9677	1998-02-09	PRIJEM	VKLAD	13622	45500	\N	\N	\N
2922013	9677	1998-03-09	PRIJEM	VKLAD	13622	47787	\N	\N	\N
2922014	9677	1998-04-09	PRIJEM	VKLAD	13622	45585	\N	\N	\N
2922015	9677	1998-05-09	PRIJEM	VKLAD	13622	51180	\N	\N	\N
2922016	9677	1998-06-09	PRIJEM	VKLAD	20433	59500	\N	\N	\N
2922017	9677	1998-07-09	PRIJEM	VKLAD	13622	52738	\N	\N	\N
2922018	9677	1998-08-09	PRIJEM	VKLAD	13622	45366	\N	\N	\N
2922019	9677	1998-09-09	PRIJEM	VKLAD	13622	40464	\N	\N	\N
2922020	9677	1998-10-09	PRIJEM	VKLAD	13622	39340	\N	\N	\N
2922021	9677	1998-11-09	PRIJEM	VKLAD	13622	42905	\N	\N	\N
2922022	9677	1998-12-09	PRIJEM	VKLAD	20433	46685	\N	\N	\N
2922037	9677	1997-03-13	VYDAJ	PREVOD NA UCET	8944	24292	SIPO	WX	83789282
2922038	9677	1997-04-13	VYDAJ	PREVOD NA UCET	8944	18476	SIPO	WX	83789282
2922039	9677	1997-05-13	VYDAJ	PREVOD NA UCET	8944	20225	SIPO	WX	83789282
2922040	9677	1997-06-13	VYDAJ	PREVOD NA UCET	8944	25880	SIPO	WX	83789282
2922041	9677	1997-07-13	VYDAJ	PREVOD NA UCET	8944	23721	SIPO	WX	83789282
2922042	9677	1997-08-13	VYDAJ	PREVOD NA UCET	8944	26262	SIPO	WX	83789282
2922043	9677	1997-09-13	VYDAJ	PREVOD NA UCET	8944	30307	SIPO	WX	83789282
2922044	9677	1997-10-13	VYDAJ	PREVOD NA UCET	8944	32091	SIPO	WX	83789282
2922045	9677	1997-11-13	VYDAJ	PREVOD NA UCET	8944	33764	SIPO	WX	83789282
2922046	9677	1997-12-13	VYDAJ	PREVOD NA UCET	8944	40650	SIPO	WX	83789282
2922047	9677	1998-01-13	VYDAJ	PREVOD NA UCET	8944	34547	SIPO	WX	83789282
2922048	9677	1998-02-13	VYDAJ	PREVOD NA UCET	8944	36029	SIPO	WX	83789282
2922049	9677	1998-03-13	VYDAJ	PREVOD NA UCET	8944	38316	SIPO	WX	83789282
2922050	9677	1998-04-13	VYDAJ	PREVOD NA UCET	8944	36114	SIPO	WX	83789282
2922051	9677	1998-05-13	VYDAJ	PREVOD NA UCET	8944	41709	SIPO	WX	83789282
2922052	9677	1998-06-13	VYDAJ	PREVOD NA UCET	8944	50029	SIPO	WX	83789282
2922053	9677	1998-07-13	VYDAJ	PREVOD NA UCET	8944	43267	SIPO	WX	83789282
2922054	9677	1998-08-13	VYDAJ	PREVOD NA UCET	8944	35895	SIPO	WX	83789282
2922055	9677	1998-09-13	VYDAJ	PREVOD NA UCET	8944	30993	SIPO	WX	83789282
2922056	9677	1998-10-13	VYDAJ	PREVOD NA UCET	8944	29869	SIPO	WX	83789282
2922057	9677	1998-11-13	VYDAJ	PREVOD NA UCET	8944	33434	SIPO	WX	83789282
2922058	9677	1998-12-13	VYDAJ	PREVOD NA UCET	8944	37214	SIPO	WX	83789282
2922073	9677	1997-03-06	VYDAJ	VYBER	400	32214	\N	\N	0
2922074	9677	1997-04-10	VYDAJ	VYBER	600	37420	\N	\N	0
2922075	9677	1997-05-11	VYDAJ	VYBER	500	29169	\N	\N	0
2922076	9677	1997-06-09	VYDAJ	VYBER	400	37824	\N	\N	0
2922077	9677	1997-07-12	VYDAJ	PREVOD NA UCET	527	32665	UVER	AB	25327652
2922078	9677	1997-08-12	VYDAJ	PREVOD NA UCET	527	35206	UVER	AB	25327652
2922079	9677	1997-09-12	VYDAJ	PREVOD NA UCET	527	43151	UVER	AB	25327652
2922080	9677	1997-10-12	VYDAJ	PREVOD NA UCET	527	41035	UVER	AB	25327652
2922081	9677	1997-11-12	VYDAJ	PREVOD NA UCET	527	42708	UVER	AB	25327652
2922082	9677	1997-12-12	VYDAJ	PREVOD NA UCET	527	49594	UVER	AB	25327652
2922083	9677	1998-01-12	VYDAJ	PREVOD NA UCET	527	43491	UVER	AB	25327652
2922084	9677	1998-02-12	VYDAJ	PREVOD NA UCET	527	44973	UVER	AB	25327652
2922085	9677	1998-03-12	VYDAJ	PREVOD NA UCET	527	47260	UVER	AB	25327652
2922086	9677	1998-04-12	VYDAJ	PREVOD NA UCET	527	45058	UVER	AB	25327652
2922087	9677	1998-05-12	VYDAJ	PREVOD NA UCET	527	50653	UVER	AB	25327652
2922088	9677	1998-06-12	VYDAJ	PREVOD NA UCET	527	58973	UVER	AB	25327652
2922089	9677	1998-07-12	VYDAJ	PREVOD NA UCET	527	52211	UVER	AB	25327652
2922090	9677	1998-08-12	VYDAJ	PREVOD NA UCET	527	44839	UVER	AB	25327652
2922091	9677	1998-09-12	VYDAJ	PREVOD NA UCET	527	39937	UVER	AB	25327652
2922092	9677	1998-10-12	VYDAJ	PREVOD NA UCET	527	38813	UVER	AB	25327652
2922093	9677	1998-11-12	VYDAJ	PREVOD NA UCET	527	42378	UVER	AB	25327652
2922094	9677	1998-12-12	VYDAJ	PREVOD NA UCET	527	46158	UVER	AB	25327652
2922096	9677	1997-12-14	VYDAJ	VYBER	1800	38850	\N	\N	\N
2922097	9677	1998-12-06	VYDAJ	VYBER	1300	26252	\N	\N	\N
2922110	9677	1998-01-21	VYDAJ	VYBER	800	32847	\N	\N	\N
2922111	9677	1998-01-04	VYDAJ	VYBER	2100	34896	\N	\N	\N
2922112	9677	1998-01-01	VYDAJ	VYBER	1300	37696	\N	\N	\N
2922113	9677	1998-01-02	VYDAJ	VYBER	700	36996	\N	\N	\N
2922114	9677	1998-01-17	VYDAJ	VYBER	900	33647	\N	\N	\N
2922115	9677	1998-01-08	VYDAJ	VYBER	1600	30396	\N	\N	\N
2922122	9677	1997-04-18	VYDAJ	VYBER	2200	16276	\N	\N	\N
2922123	9677	1997-08-20	VYDAJ	VYBER	2600	23662	\N	\N	\N
2922125	9677	1997-05-13	VYDAJ	VYBER	2500	17725	\N	\N	\N
2922127	9677	1997-09-13	VYDAJ	VYBER	3900	39251	\N	\N	\N
2922128	9677	1997-11-15	VYDAJ	VYBER	2200	31564	\N	\N	\N
2922129	9677	1998-06-20	VYDAJ	VYBER	1100	48929	\N	\N	\N
2922130	9677	1998-09-30	VYDAJ	VYBER	900	30218	\N	\N	\N
2922131	9677	1998-11-17	VYDAJ	VYBER	4200	29234	\N	\N	\N
2922132	9677	1998-02-01	VYDAJ	VYBER	4800	28178	\N	\N	\N
2922148	9677	1997-03-31	VYDAJ	VYBER	15	24398	SLUZBY	\N	\N
2922149	9677	1997-04-30	VYDAJ	VYBER	15	16347	SLUZBY	\N	\N
2922150	9677	1997-05-31	VYDAJ	VYBER	15	17791	SLUZBY	\N	\N
2922151	9677	1997-06-30	VYDAJ	VYBER	15	25970	SLUZBY	\N	\N
2922152	9677	1997-07-31	VYDAJ	VYBER	15	23811	SLUZBY	\N	\N
2922153	9677	1997-08-31	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
2922154	9677	1997-09-30	VYDAJ	VYBER	15	30440	SLUZBY	\N	\N
2922155	9677	1997-10-31	VYDAJ	VYBER	15	32213	SLUZBY	\N	\N
2922156	9677	1997-11-30	VYDAJ	VYBER	15	31688	SLUZBY	\N	\N
2922157	9677	1997-12-31	VYDAJ	VYBER	15	38996	SLUZBY	\N	\N
2922158	9677	1998-01-31	VYDAJ	VYBER	15	32978	SLUZBY	\N	\N
2922159	9677	1998-02-28	VYDAJ	VYBER	15	36165	SLUZBY	\N	\N
2922160	9677	1998-03-31	VYDAJ	VYBER	15	38463	SLUZBY	\N	\N
2922161	9677	1998-04-30	VYDAJ	VYBER	15	36258	SLUZBY	\N	\N
2922162	9677	1998-05-31	VYDAJ	VYBER	15	41867	SLUZBY	\N	\N
2922163	9677	1998-06-30	VYDAJ	VYBER	15	49116	SLUZBY	\N	\N
2922164	9677	1998-07-31	VYDAJ	VYBER	15	43444	SLUZBY	\N	\N
2922165	9677	1998-08-31	VYDAJ	VYBER	15	36042	SLUZBY	\N	\N
2922166	9677	1998-09-30	VYDAJ	VYBER	15	31118	SLUZBY	\N	\N
2922167	9677	1998-10-31	VYDAJ	VYBER	15	29983	SLUZBY	\N	\N
2922168	9677	1998-11-30	VYDAJ	VYBER	15	29352	SLUZBY	\N	\N
2922169	9677	1996-11-12	PRIJEM	VKLAD	4400	18522	\N	\N	\N
2922170	9677	1996-12-12	VYDAJ	VYBER	9400	29604	\N	\N	\N
2922171	9677	1997-01-11	VYDAJ	VYBER	12600	30733	\N	\N	\N
2922172	9677	1997-02-10	VYDAJ	VYBER	12000	32481	\N	\N	\N
2922173	9677	1997-03-12	VYDAJ	VYBER	12600	33236	\N	\N	\N
2922174	9677	1997-04-11	VYDAJ	VYBER	10000	27420	\N	\N	\N
2922175	9677	1997-05-11	VYDAJ	VYBER	300	29669	\N	\N	\N
2922176	9677	1997-06-10	VYDAJ	VYBER	3000	34824	\N	\N	\N
2922177	9677	1997-07-10	VYDAJ	VYBER	6400	33192	\N	\N	\N
2922178	9677	1997-08-09	VYDAJ	VYBER	1700	35733	\N	\N	\N
2922179	9677	1997-09-08	PRIJEM	VKLAD	6300	30056	\N	\N	\N
2922180	9677	1997-10-08	VYDAJ	VYBER	2500	27940	\N	\N	\N
2922181	9677	1997-11-07	VYDAJ	VYBER	2600	29613	\N	\N	\N
2922182	9677	1997-12-07	VYDAJ	VYBER	2000	29688	\N	\N	\N
2922183	9677	1998-01-06	VYDAJ	VYBER	2900	31996	\N	\N	\N
2922184	9677	1998-02-05	PRIJEM	VKLAD	3700	31878	\N	\N	\N
2922185	9677	1998-03-07	VYDAJ	VYBER	2000	34165	\N	\N	\N
2922186	9677	1998-04-06	VYDAJ	VYBER	6500	31963	\N	\N	\N
2922187	9677	1998-05-06	PRIJEM	VKLAD	1300	37558	\N	\N	\N
2922188	9677	1998-06-05	VYDAJ	VYBER	2800	39067	\N	\N	\N
2922189	9677	1998-07-05	VYDAJ	VYBER	10000	39116	\N	\N	\N
2922190	9677	1998-08-04	VYDAJ	VYBER	11700	31744	\N	\N	\N
2922191	9677	1998-09-03	VYDAJ	VYBER	9200	26842	\N	\N	\N
2922192	9677	1998-10-03	VYDAJ	VYBER	4500	25718	\N	\N	\N
2922193	9677	1998-11-02	VYDAJ	VYBER	700	29283	\N	\N	\N
2922194	9677	1998-12-02	VYDAJ	VYBER	1800	27552	\N	\N	\N
2929753	9703	1993-07-15	PRIJEM	VKLAD	800	800	\N	\N	\N
2929761	9703	1993-08-08	PRIJEM	PREVOD Z UCTU	33936	34736	\N	OP	51146686
2929762	9703	1993-09-08	PRIJEM	PREVOD Z UCTU	33936	64716	\N	OP	51146686
2929763	9703	1993-10-08	PRIJEM	PREVOD Z UCTU	33936	76609	\N	OP	51146686
2929764	9703	1993-11-08	PRIJEM	PREVOD Z UCTU	33936	84663	\N	OP	51146686
2929765	9703	1993-12-08	PRIJEM	PREVOD Z UCTU	50904	103913	\N	OP	51146686
2929766	9703	1994-01-08	PRIJEM	PREVOD Z UCTU	33936	85060	\N	OP	51146686
2929767	9703	1994-02-08	PRIJEM	PREVOD Z UCTU	33936	31397	\N	OP	51146686
2929768	9703	1994-03-08	PRIJEM	PREVOD Z UCTU	33936	60741	\N	OP	51146686
2929769	9703	1994-04-08	PRIJEM	PREVOD Z UCTU	33936	65235	\N	OP	51146686
2929770	9703	1994-05-08	PRIJEM	PREVOD Z UCTU	33936	66885	\N	OP	51146686
2929771	9703	1994-06-08	PRIJEM	PREVOD Z UCTU	50904	87244	\N	OP	51146686
2929772	9703	1994-07-08	PRIJEM	PREVOD Z UCTU	33936	86920	\N	OP	51146686
2929773	9703	1994-08-08	PRIJEM	PREVOD Z UCTU	33936	86100	\N	OP	51146686
2929774	9703	1994-09-08	PRIJEM	PREVOD Z UCTU	33936	88556	\N	OP	51146686
2929775	9703	1994-10-08	PRIJEM	PREVOD Z UCTU	33936	89626	\N	OP	51146686
2929776	9703	1994-11-08	PRIJEM	PREVOD Z UCTU	33936	72093	\N	OP	51146686
2929777	9703	1994-12-08	PRIJEM	PREVOD Z UCTU	50904	99662	\N	OP	51146686
2929778	9703	1995-01-08	PRIJEM	PREVOD Z UCTU	33936	75913	\N	OP	51146686
2929779	9703	1995-02-08	PRIJEM	PREVOD Z UCTU	33936	65207	\N	OP	51146686
2929780	9703	1995-03-08	PRIJEM	PREVOD Z UCTU	33936	80544	\N	OP	51146686
2929781	9703	1995-04-08	PRIJEM	PREVOD Z UCTU	33936	81692	\N	OP	51146686
2929782	9703	1995-05-08	PRIJEM	PREVOD Z UCTU	33936	86972	\N	OP	51146686
2929783	9703	1995-06-08	PRIJEM	PREVOD Z UCTU	50904	106946	\N	OP	51146686
2929784	9703	1995-07-08	PRIJEM	PREVOD Z UCTU	33936	63516	\N	OP	51146686
2929785	9703	1995-08-08	PRIJEM	PREVOD Z UCTU	33936	57481	\N	OP	51146686
2929786	9703	1995-09-08	PRIJEM	PREVOD Z UCTU	33936	52394	\N	OP	51146686
2929787	9703	1995-10-08	PRIJEM	PREVOD Z UCTU	33936	55252	\N	OP	51146686
2929788	9703	1995-11-08	PRIJEM	PREVOD Z UCTU	33936	68675	\N	OP	51146686
2929789	9703	1995-12-08	PRIJEM	PREVOD Z UCTU	50904	81724	\N	OP	51146686
2929790	9703	1996-01-08	PRIJEM	PREVOD Z UCTU	33936	53192	\N	OP	51146686
2929791	9703	1996-02-08	PRIJEM	PREVOD Z UCTU	33936	62442	\N	OP	51146686
2929792	9703	1996-03-08	PRIJEM	PREVOD Z UCTU	33936	70315	\N	OP	51146686
2929793	9703	1996-04-08	PRIJEM	PREVOD Z UCTU	33936	85494	\N	OP	51146686
2929794	9703	1996-05-08	PRIJEM	PREVOD Z UCTU	33936	92395	\N	OP	51146686
2929795	9703	1996-06-08	PRIJEM	PREVOD Z UCTU	50904	99868	\N	OP	51146686
2929796	9703	1996-07-08	PRIJEM	PREVOD Z UCTU	33936	87170	\N	OP	51146686
2929797	9703	1996-08-08	PRIJEM	PREVOD Z UCTU	33936	93374	\N	OP	51146686
2929798	9703	1996-09-08	PRIJEM	PREVOD Z UCTU	33936	94043	\N	OP	51146686
2929799	9703	1996-10-08	PRIJEM	PREVOD Z UCTU	33936	93722	\N	OP	51146686
2929800	9703	1996-11-08	PRIJEM	PREVOD Z UCTU	33936	97686	\N	OP	51146686
2929801	9703	1996-12-08	PRIJEM	PREVOD Z UCTU	50904	109484	\N	OP	51146686
2929802	9703	1997-01-08	PRIJEM	PREVOD Z UCTU	33936	85757	\N	OP	51146686
2929803	9703	1997-02-08	PRIJEM	PREVOD Z UCTU	33936	76633	\N	OP	51146686
2929804	9703	1997-03-08	PRIJEM	PREVOD Z UCTU	33936	91864	\N	OP	51146686
2929805	9703	1997-04-08	PRIJEM	PREVOD Z UCTU	33936	97306	\N	OP	51146686
2929806	9703	1997-05-08	PRIJEM	PREVOD Z UCTU	33936	102491	\N	OP	51146686
2929807	9703	1997-06-08	PRIJEM	PREVOD Z UCTU	50904	121079	\N	OP	51146686
2929808	9703	1997-07-08	PRIJEM	PREVOD Z UCTU	33936	87983	\N	OP	51146686
2929809	9703	1997-08-08	PRIJEM	PREVOD Z UCTU	33936	96585	\N	OP	51146686
2929810	9703	1997-09-08	PRIJEM	PREVOD Z UCTU	33936	92921	\N	OP	51146686
2929811	9703	1997-10-08	PRIJEM	PREVOD Z UCTU	33936	90307	\N	OP	51146686
2929812	9703	1997-11-08	PRIJEM	PREVOD Z UCTU	33936	90698	\N	OP	51146686
2929813	9703	1997-12-08	PRIJEM	PREVOD Z UCTU	50904	104508	\N	OP	51146686
2929814	9703	1998-01-08	PRIJEM	PREVOD Z UCTU	33936	69887	\N	OP	51146686
2929815	9703	1998-02-08	PRIJEM	PREVOD Z UCTU	33936	57865	\N	OP	51146686
2929816	9703	1998-03-08	PRIJEM	PREVOD Z UCTU	33936	62266	\N	OP	51146686
2929817	9703	1998-04-08	PRIJEM	PREVOD Z UCTU	33936	55910	\N	OP	51146686
2929818	9703	1998-05-08	PRIJEM	PREVOD Z UCTU	33936	68937	\N	OP	51146686
2929819	9703	1998-06-08	PRIJEM	PREVOD Z UCTU	50904	82055	\N	OP	51146686
2929820	9703	1998-07-08	PRIJEM	PREVOD Z UCTU	33936	78646	\N	OP	51146686
2929821	9703	1998-08-08	PRIJEM	PREVOD Z UCTU	33936	81288	\N	OP	51146686
2929822	9703	1998-09-08	PRIJEM	PREVOD Z UCTU	33936	58305	\N	OP	51146686
2929823	9703	1998-10-08	PRIJEM	PREVOD Z UCTU	33936	68082	\N	OP	51146686
2929824	9703	1998-11-08	PRIJEM	PREVOD Z UCTU	33936	69659	\N	OP	51146686
2929825	9703	1998-12-08	PRIJEM	PREVOD Z UCTU	50904	82203	\N	OP	51146686
2929901	9703	1994-07-29	VYBER	VYBER	2113	51807	\N	\N	\N
2929903	9703	1994-04-21	VYBER	VYBER	5313	38622	\N	\N	\N
2929904	9703	1994-01-15	VYBER	VYBER	19388	-628	\N	\N	\N
2929905	9703	1995-07-26	VYBER	VYBER	20850	29310	\N	\N	\N
2929906	9703	1995-06-18	VYBER	VYBER	19919	87027	\N	\N	\N
2929907	9703	1995-10-10	VYBER	VYBER	11370	43882	\N	\N	\N
2929908	9703	1995-07-22	VYBER	VYBER	13356	50160	\N	\N	\N
2929909	9703	1995-09-02	VYBER	VYBER	17132	25557	\N	\N	\N
2929910	9703	1995-01-02	VYBER	VYBER	4715	81477	\N	\N	\N
2929911	9703	1995-03-22	VYBER	VYBER	15879	64665	\N	\N	\N
2929912	9703	1995-08-14	VYBER	VYBER	15056	42425	\N	\N	\N
2929913	9703	1995-11-20	VYBER	VYBER	4512	42475	\N	\N	\N
2929914	9703	1995-09-23	VYBER	VYBER	7869	30697	\N	\N	\N
2929915	9703	1995-09-20	VYBER	VYBER	13828	38566	\N	\N	\N
2929916	9703	1995-11-13	VYBER	VYBER	21688	46987	\N	\N	\N
2929917	9703	1995-09-03	VYBER	VYBER	13999	18458	\N	\N	\N
2929918	9703	1995-09-27	VYBER	VYBER	9447	21250	\N	\N	\N
2929919	9703	1996-02-26	VYBER	VYBER	6234	51708	\N	\N	\N
2929920	9703	1996-01-27	VYBER	VYBER	11451	24341	\N	\N	\N
2929921	9703	1996-11-28	VYBER	VYBER	2049	59637	\N	\N	\N
2929922	9703	1996-05-10	VYBER	VYBER	19796	72599	\N	\N	\N
2929923	9703	1996-12-19	VYBER	VYBER	8260	101224	\N	\N	\N
2929924	9703	1997-11-09	VYBER	VYBER	8054	82644	\N	\N	\N
2929925	9703	1997-09-17	VYBER	VYBER	14747	78174	\N	\N	\N
2929926	9703	1997-12-01	VYBER	VYBER	11735	53604	\N	\N	\N
2929927	9703	1998-06-06	VYBER	VYBER	19408	31151	\N	\N	\N
2929928	9703	1998-04-01	VYBER	VYBER	19081	21974	\N	\N	\N
2929929	9703	1998-06-21	VYBER	VYBER	3864	44391	\N	\N	\N
2929930	9703	1998-08-24	VYBER	VYBER	20879	24132	\N	\N	\N
2929931	9703	1998-03-25	VYBER	VYBER	7296	40770	\N	\N	\N
2929932	9703	1998-12-08	VYBER	VYBER	6054	76149	\N	\N	\N
2929933	9703	1998-01-06	VYBER	VYBER	14394	42851	\N	\N	\N
2929934	9703	1998-07-13	VYBER	VYBER	23678	54968	\N	\N	\N
2929935	9703	1998-02-26	VYBER	VYBER	9689	38276	\N	\N	\N
2929936	9703	1998-01-09	VYBER	VYBER	6410	46986	\N	\N	\N
2929937	9703	1998-08-22	VYBER	VYBER	10977	45011	\N	\N	\N
2929938	9703	1998-12-16	VYBER	VYBER	2290	73859	\N	\N	\N
2929939	9703	1998-01-08	VYBER	VYBER	16491	53396	\N	\N	\N
2929940	9703	1998-11-08	VYBER	VYBER	21285	48374	\N	\N	\N
2929943	9703	1995-06-20	VYDAJ	VYBER	47100	39927	\N	\N	\N
2929944	9703	1996-06-21	VYDAJ	VYBER	28200	71668	\N	\N	\N
2929946	9703	1998-06-15	VYDAJ	VYBER	26700	55355	\N	\N	\N
2929948	9703	1994-01-14	VYDAJ	VYBER	27900	18760	\N	\N	\N
2929949	9703	1995-01-06	VYDAJ	VYBER	19200	55677	\N	\N	\N
2929950	9703	1996-01-05	VYDAJ	VYBER	21600	21956	\N	\N	\N
2929951	9703	1997-01-24	VYDAJ	VYBER	25800	52157	\N	\N	\N
2929952	9703	1998-01-07	VYDAJ	VYBER	6900	35951	\N	\N	\N
2929953	9703	1993-12-30	VYDAJ	VYBER	2400	63013	\N	\N	\N
2929954	9703	1994-12-22	VYDAJ	VYBER	2400	85562	\N	\N	\N
2929955	9703	1995-12-02	VYDAJ	VYBER	3300	39520	\N	\N	\N
2929956	9703	1996-12-06	VYDAJ	VYBER	1500	58580	\N	\N	\N
2929957	9703	1997-12-14	VYDAJ	VYBER	6600	97908	\N	\N	\N
2929958	9703	1998-12-01	VYDAJ	VYBER	8700	31299	\N	\N	\N
2929965	9703	1994-01-07	VYDAJ	VYBER	2700	51124	\N	\N	\N
2929966	9703	1994-01-14	VYDAJ	VYBER	8400	46660	\N	\N	\N
2929967	9703	1994-01-05	VYDAJ	VYBER	3600	53824	\N	\N	\N
2929969	9703	1994-01-04	VYDAJ	VYBER	6000	57424	\N	\N	\N
2929970	9703	1994-01-25	VYDAJ	VYBER	2100	-2728	\N	\N	\N
2929971	9703	1995-01-13	VYDAJ	VYBER	2700	69313	\N	\N	\N
2929972	9703	1995-01-03	VYDAJ	VYBER	6600	74877	\N	\N	\N
2929973	9703	1995-01-26	VYDAJ	VYBER	5400	46513	\N	\N	\N
2929974	9703	1995-01-14	VYDAJ	VYBER	7800	61513	\N	\N	\N
2929975	9703	1995-01-10	VYDAJ	VYBER	3900	72013	\N	\N	\N
2929976	9703	1995-01-21	VYDAJ	VYBER	3900	51913	\N	\N	\N
2929977	9703	1996-01-11	VYDAJ	VYBER	7800	45392	\N	\N	\N
2929978	9703	1996-01-02	VYDAJ	VYBER	6900	43556	\N	\N	\N
2929979	9703	1996-01-07	VYDAJ	VYBER	2700	19256	\N	\N	\N
2929980	9703	1996-01-23	VYDAJ	VYBER	6600	38792	\N	\N	\N
2929981	9703	1996-01-01	VYDAJ	VYBER	5400	50456	\N	\N	\N
2929982	9703	1996-01-26	VYDAJ	VYBER	3000	35792	\N	\N	\N
2929983	9703	1997-01-04	VYDAJ	VYBER	5700	55121	\N	\N	\N
2929984	9703	1997-01-08	VYDAJ	VYBER	3900	81857	\N	\N	\N
2929985	9703	1997-01-02	VYDAJ	VYBER	3900	62321	\N	\N	\N
2929986	9703	1997-01-04	VYDAJ	VYBER	1500	60821	\N	\N	\N
2929987	9703	1997-01-06	VYDAJ	VYBER	3300	51821	\N	\N	\N
2929988	9703	1997-01-11	VYDAJ	VYBER	3900	77957	\N	\N	\N
2929989	9703	1998-01-04	VYDAJ	VYBER	3300	62345	\N	\N	\N
2929990	9703	1998-01-17	VYDAJ	VYBER	6900	30186	\N	\N	\N
2929991	9703	1998-01-04	VYDAJ	VYBER	5100	57245	\N	\N	\N
2929992	9703	1998-01-01	VYDAJ	VYBER	7800	65645	\N	\N	\N
2929993	9703	1998-01-23	VYDAJ	VYBER	8400	31186	\N	\N	\N
2929994	9703	1998-01-30	VYDAJ	VYBER	3600	27586	\N	\N	\N
2930000	9703	1994-06-25	VYDAJ	VYBER	4200	52644	\N	\N	\N
2930001	9703	1994-10-30	VYDAJ	VYBER	12000	46926	\N	\N	\N
2930002	9703	1994-12-19	VYDAJ	VYBER	11700	87962	\N	\N	\N
2930003	9703	1994-04-21	VYDAJ	VYBER	6000	32622	\N	\N	\N
2930004	9703	1994-04-06	VYDAJ	VYBER	13200	31299	\N	\N	\N
2930005	9703	1994-05-28	VYDAJ	VYBER	7500	36085	\N	\N	\N
2930006	9703	1995-06-03	VYDAJ	VYBER	5100	82542	\N	\N	\N
2930007	9703	1995-01-28	VYDAJ	VYBER	7800	38713	\N	\N	\N
2930008	9703	1995-06-28	VYDAJ	VYBER	10500	29427	\N	\N	\N
2930009	9703	1995-01-19	VYDAJ	VYBER	5700	55813	\N	\N	\N
2930010	9703	1995-07-26	VYDAJ	VYBER	7200	22110	\N	\N	\N
2930011	9703	1996-09-13	VYDAJ	VYBER	4500	89543	\N	\N	\N
2930012	9703	1996-03-06	VYDAJ	VYBER	4800	36379	\N	\N	\N
2930013	9703	1996-02-21	VYDAJ	VYBER	4500	57942	\N	\N	\N
2930014	9703	1996-05-21	VYDAJ	VYBER	8400	64199	\N	\N	\N
2930015	9703	1996-07-24	VYDAJ	VYBER	3600	83570	\N	\N	\N
2930016	9703	1997-08-19	VYDAJ	VYBER	6600	89985	\N	\N	\N
2930017	9703	1997-11-06	VYDAJ	VYBER	5400	56762	\N	\N	\N
2930018	9703	1997-08-19	VYDAJ	VYBER	13500	76485	\N	\N	\N
2930019	9703	1998-01-13	VYDAJ	VYBER	9900	37086	\N	\N	\N
2930020	9703	1998-10-24	VYDAJ	VYBER	9900	35582	\N	\N	\N
2930021	9703	1998-03-01	VYDAJ	VYBER	10200	28330	\N	\N	\N
2930022	9703	1998-02-05	VYDAJ	VYBER	3900	23929	\N	\N	\N
2930023	9703	1998-05-03	VYDAJ	VYBER	10800	35001	\N	\N	\N
2930024	9703	1998-09-25	VYDAJ	VYBER	9600	34005	\N	\N	\N
2930037	9703	1993-12-31	VYDAJ	VYBER	15	63424	SLUZBY	\N	\N
2930038	9703	1994-01-31	VYDAJ	VYBER	15	-2516	SLUZBY	\N	\N
2930039	9703	1994-02-28	VYDAJ	VYBER	15	26815	SLUZBY	\N	\N
2930040	9703	1994-03-31	VYDAJ	VYBER	15	44499	SLUZBY	\N	\N
2930041	9703	1994-04-30	VYDAJ	VYBER	15	32949	SLUZBY	\N	\N
2930042	9703	1994-05-31	VYDAJ	VYBER	15	36340	SLUZBY	\N	\N
2930043	9703	1994-06-30	VYDAJ	VYBER	15	52984	SLUZBY	\N	\N
2930044	9703	1994-07-31	VYDAJ	VYBER	15	52164	SLUZBY	\N	\N
2930045	9703	1994-08-31	VYDAJ	VYBER	15	54620	SLUZBY	\N	\N
2930046	9703	1994-09-30	VYDAJ	VYBER	15	55690	SLUZBY	\N	\N
2930047	9703	1994-10-31	VYDAJ	VYBER	15	47457	SLUZBY	\N	\N
2930048	9703	1994-11-30	VYDAJ	VYBER	15	72558	SLUZBY	\N	\N
2930049	9703	1994-12-31	VYDAJ	VYBER	15	86192	SLUZBY	\N	\N
2930050	9703	1995-01-31	VYDAJ	VYBER	15	39171	SLUZBY	\N	\N
2930051	9703	1995-02-28	VYDAJ	VYBER	15	65608	SLUZBY	\N	\N
2930052	9703	1995-03-31	VYDAJ	VYBER	15	65156	SLUZBY	\N	\N
2930053	9703	1995-04-30	VYDAJ	VYBER	15	82236	SLUZBY	\N	\N
2930054	9703	1995-05-31	VYDAJ	VYBER	15	87642	SLUZBY	\N	\N
2930055	9703	1995-06-30	VYDAJ	VYBER	15	29980	SLUZBY	\N	\N
2930056	9703	1995-07-31	VYDAJ	VYBER	15	22445	SLUZBY	\N	\N
2930057	9703	1995-08-31	VYDAJ	VYBER	15	42689	SLUZBY	\N	\N
2930058	9703	1995-09-30	VYDAJ	VYBER	15	21516	SLUZBY	\N	\N
2930059	9703	1995-10-31	VYDAJ	VYBER	15	44139	SLUZBY	\N	\N
2930060	9703	1995-11-30	VYDAJ	VYBER	15	42820	SLUZBY	\N	\N
2930061	9703	1995-12-31	VYDAJ	VYBER	15	82256	SLUZBY	\N	\N
2930062	9703	1996-01-31	VYDAJ	VYBER	15	28506	SLUZBY	\N	\N
2930063	9703	1996-02-29	VYDAJ	VYBER	15	51879	SLUZBY	\N	\N
2930064	9703	1996-03-31	VYDAJ	VYBER	15	70758	SLUZBY	\N	\N
2930065	9703	1996-04-30	VYDAJ	VYBER	15	58459	SLUZBY	\N	\N
2930066	9703	1996-05-31	VYDAJ	VYBER	15	48964	SLUZBY	\N	\N
2930067	9703	1996-06-30	VYDAJ	VYBER	15	53234	SLUZBY	\N	\N
2930068	9703	1996-07-31	VYDAJ	VYBER	15	59438	SLUZBY	\N	\N
2930069	9703	1996-08-31	VYDAJ	VYBER	15	60107	SLUZBY	\N	\N
2930070	9703	1996-09-30	VYDAJ	VYBER	15	59786	SLUZBY	\N	\N
2930071	9703	1996-10-31	VYDAJ	VYBER	15	63750	SLUZBY	\N	\N
2930072	9703	1996-11-30	VYDAJ	VYBER	15	60080	SLUZBY	\N	\N
2930073	9703	1996-12-31	VYDAJ	VYBER	15	66221	SLUZBY	\N	\N
2930074	9703	1997-01-31	VYDAJ	VYBER	15	42697	SLUZBY	\N	\N
2930075	9703	1997-02-28	VYDAJ	VYBER	15	57928	SLUZBY	\N	\N
2930076	9703	1997-03-31	VYDAJ	VYBER	15	63370	SLUZBY	\N	\N
2930077	9703	1997-04-30	VYDAJ	VYBER	15	68555	SLUZBY	\N	\N
2930078	9703	1997-05-31	VYDAJ	VYBER	15	70175	SLUZBY	\N	\N
2930079	9703	1997-06-30	VYDAJ	VYBER	15	54047	SLUZBY	\N	\N
2930080	9703	1997-07-31	VYDAJ	VYBER	15	62649	SLUZBY	\N	\N
2930081	9703	1997-08-31	VYDAJ	VYBER	15	58985	SLUZBY	\N	\N
2930082	9703	1997-09-30	VYDAJ	VYBER	15	56371	SLUZBY	\N	\N
2930083	9703	1997-10-31	VYDAJ	VYBER	15	62162	SLUZBY	\N	\N
2930084	9703	1997-11-30	VYDAJ	VYBER	15	65339	SLUZBY	\N	\N
2930085	9703	1997-12-31	VYDAJ	VYBER	15	73445	SLUZBY	\N	\N
2930086	9703	1998-01-31	VYDAJ	VYBER	15	27829	SLUZBY	\N	\N
2930087	9703	1998-02-28	VYDAJ	VYBER	15	38530	SLUZBY	\N	\N
2930088	9703	1998-03-31	VYDAJ	VYBER	15	41055	SLUZBY	\N	\N
2930089	9703	1998-04-30	VYDAJ	VYBER	15	45801	SLUZBY	\N	\N
2930090	9703	1998-05-31	VYDAJ	VYBER	15	50559	SLUZBY	\N	\N
2930091	9703	1998-06-30	VYDAJ	VYBER	15	44710	SLUZBY	\N	\N
2930092	9703	1998-07-31	VYDAJ	VYBER	15	47352	SLUZBY	\N	\N
2930093	9703	1998-08-31	VYDAJ	VYBER	15	24369	SLUZBY	\N	\N
2930094	9703	1998-09-30	VYDAJ	VYBER	15	34146	SLUZBY	\N	\N
2930095	9703	1998-10-31	VYDAJ	VYBER	15	35723	SLUZBY	\N	\N
2930096	9703	1998-11-30	VYDAJ	VYBER	15	39999	SLUZBY	\N	\N
2930097	9703	1993-08-14	VYDAJ	VYBER	4100	30636	\N	\N	\N
2930098	9703	1993-09-13	VYDAJ	VYBER	22300	42416	\N	\N	\N
2930099	9703	1993-10-13	VYDAJ	VYBER	26200	50409	\N	\N	\N
2930100	9703	1993-11-12	VYDAJ	VYBER	32000	52663	\N	\N	\N
2930101	9703	1993-12-12	VYDAJ	VYBER	38500	65413	\N	\N	\N
2930102	9703	1994-01-11	VYDAJ	VYBER	30000	55060	\N	\N	\N
2930103	9703	1994-02-10	VYDAJ	VYBER	4700	26697	\N	\N	\N
2930104	9703	1994-03-12	VYDAJ	VYBER	16500	44241	\N	\N	\N
2930105	9703	1994-04-11	VYDAJ	VYBER	21300	43935	\N	\N	\N
2930106	9703	1994-05-11	VYDAJ	VYBER	23300	43585	\N	\N	\N
2930107	9703	1994-06-10	VYDAJ	VYBER	30400	56844	\N	\N	\N
2930108	9703	1994-07-10	VYDAJ	VYBER	33000	53920	\N	\N	\N
2930109	9703	1994-08-09	VYDAJ	VYBER	31900	54200	\N	\N	\N
2930110	9703	1994-09-08	VYDAJ	VYBER	33500	55056	\N	\N	\N
2930111	9703	1994-10-08	VYDAJ	VYBER	30700	58926	\N	\N	\N
2930112	9703	1994-11-07	VYDAJ	VYBER	9300	38157	\N	\N	\N
2930113	9703	1994-12-07	VYDAJ	VYBER	23800	48758	\N	\N	\N
2930114	9703	1995-01-06	VYDAJ	VYBER	13700	41977	\N	\N	\N
2930115	9703	1995-02-05	VYDAJ	VYBER	7900	31271	\N	\N	\N
2930116	9703	1995-03-07	VYDAJ	VYBER	19000	46608	\N	\N	\N
2930117	9703	1995-04-06	VYDAJ	VYBER	17400	47756	\N	\N	\N
2930118	9703	1995-05-06	VYDAJ	VYBER	29200	53036	\N	\N	\N
2930119	9703	1995-06-05	VYDAJ	VYBER	26500	56042	\N	\N	\N
2930120	9703	1995-07-05	VYDAJ	VYBER	400	29580	\N	\N	\N
2930121	9703	1995-08-04	PRIJEM	VKLAD	1100	23545	\N	\N	\N
2930122	9703	1995-09-03	PRIJEM	VKLAD	6900	32457	\N	\N	\N
2930123	9703	1995-10-03	VYDAJ	VYBER	200	21316	\N	\N	\N
2930124	9703	1995-11-02	VYDAJ	VYBER	9400	34739	\N	\N	\N
2930125	9703	1995-12-02	VYDAJ	VYBER	8700	30820	\N	\N	\N
2930126	9703	1996-01-01	VYDAJ	VYBER	26400	55856	\N	\N	\N
2930127	9703	1996-01-31	PRIJEM	VKLAD	3900	28520	\N	\N	\N
2930128	9703	1996-03-01	VYDAJ	VYBER	10700	41179	\N	\N	\N
2930129	9703	1996-03-31	VYDAJ	VYBER	19200	51558	\N	\N	\N
2930130	9703	1996-04-30	VYDAJ	VYBER	27400	58474	\N	\N	\N
2930131	9703	1996-05-30	VYDAJ	VYBER	15700	48499	\N	\N	\N
2930132	9703	1996-06-29	VYDAJ	VYBER	18700	52968	\N	\N	\N
2930133	9703	1996-07-29	VYDAJ	VYBER	24400	59170	\N	\N	\N
2930134	9703	1996-08-28	VYDAJ	VYBER	33500	59874	\N	\N	\N
2930135	9703	1996-09-27	VYDAJ	VYBER	30300	59243	\N	\N	\N
2930136	9703	1996-10-27	VYDAJ	VYBER	30400	63322	\N	\N	\N
2930137	9703	1996-11-26	VYDAJ	VYBER	36000	61686	\N	\N	\N
2930138	9703	1996-12-26	VYDAJ	VYBER	35600	65624	\N	\N	\N
2930139	9703	1997-01-25	VYDAJ	VYBER	9900	42257	\N	\N	\N
2930140	9703	1997-02-24	VYDAJ	VYBER	19000	57633	\N	\N	\N
2930141	9703	1997-03-26	VYDAJ	VYBER	28900	62964	\N	\N	\N
2930142	9703	1997-04-25	VYDAJ	VYBER	29200	68106	\N	\N	\N
2930143	9703	1997-05-25	VYDAJ	VYBER	32800	69691	\N	\N	\N
2930144	9703	1997-06-08	VYDAJ	VYBER	53400	67679	\N	\N	\N
2930145	9703	1997-06-24	VYDAJ	VYBER	14200	53479	\N	\N	\N
2930146	9703	1997-07-24	VYDAJ	VYBER	25700	62283	\N	\N	\N
2930147	9703	1997-08-23	VYDAJ	VYBER	17800	58685	\N	\N	\N
2930148	9703	1997-09-22	VYDAJ	VYBER	22100	56074	\N	\N	\N
2930149	9703	1997-10-22	VYDAJ	VYBER	28400	61907	\N	\N	\N
2930150	9703	1997-11-21	VYDAJ	VYBER	17800	64844	\N	\N	\N
2930151	9703	1997-12-21	VYDAJ	VYBER	25000	72908	\N	\N	\N
2930152	9703	1998-01-20	PRIJEM	VKLAD	9400	39586	\N	\N	\N
2930153	9703	1998-02-19	VYDAJ	VYBER	9900	47965	\N	\N	\N
2930154	9703	1998-03-21	VYDAJ	VYBER	14200	48066	\N	\N	\N
2930155	9703	1998-04-20	VYDAJ	VYBER	10400	45510	\N	\N	\N
2930156	9703	1998-05-20	VYDAJ	VYBER	18700	50237	\N	\N	\N
2930157	9703	1998-06-19	VYDAJ	VYBER	7100	48255	\N	\N	\N
2930158	9703	1998-07-19	VYDAJ	VYBER	7900	47068	\N	\N	\N
2930159	9703	1998-08-18	VYDAJ	VYBER	25300	55988	\N	\N	\N
2930160	9703	1998-09-17	VYDAJ	VYBER	14700	43605	\N	\N	\N
2930161	9703	1998-10-17	VYDAJ	VYBER	22600	45482	\N	\N	\N
2930162	9703	1998-11-16	VYDAJ	VYBER	8600	39774	\N	\N	\N
2931453	9707	1993-04-24	PRIJEM	VKLAD	500	500	\N	\N	\N
2931454	9707	1993-07-11	PRIJEM	VKLAD	38539	61389	\N	\N	\N
2931455	9707	1993-08-12	PRIJEM	VKLAD	45084	83391	\N	\N	\N
2931456	9707	1993-09-11	PRIJEM	VKLAD	13260	69109	\N	\N	\N
2931457	9707	1993-08-22	PRIJEM	VKLAD	12713	96104	\N	\N	\N
2931458	9707	1993-05-15	PRIJEM	VKLAD	38168	74163	\N	\N	\N
2931459	9707	1993-06-11	PRIJEM	VKLAD	23158	71523	\N	\N	\N
2931460	9707	1993-05-02	PRIJEM	VKLAD	8621	35995	\N	\N	\N
2931461	9707	1993-09-29	PRIJEM	VKLAD	40266	91440	\N	\N	\N
2931462	9707	1993-09-18	PRIJEM	VKLAD	9865	78974	\N	\N	\N
2931463	9707	1993-05-01	PRIJEM	VKLAD	26874	27374	\N	\N	\N
2931465	9707	1993-06-15	PRIJEM	VKLAD	43947	115470	\N	\N	\N
2931466	9707	1993-10-22	PRIJEM	VKLAD	32490	90984	\N	\N	\N
2931467	9707	1993-06-17	PRIJEM	VKLAD	45972	130442	\N	\N	\N
2931469	9707	1993-09-06	PRIJEM	VKLAD	47596	109649	\N	\N	\N
2931470	9707	1995-08-03	PRIJEM	VKLAD	31518	103431	\N	\N	\N
2931471	9707	1995-10-14	PRIJEM	VKLAD	6651	41532	\N	\N	\N
2931472	9707	1995-03-02	PRIJEM	VKLAD	47630	65227	\N	\N	\N
2931473	9707	1995-06-18	PRIJEM	VKLAD	31978	67733	\N	\N	\N
2931474	9707	1995-07-24	PRIJEM	VKLAD	8408	76386	\N	\N	\N
2931475	9707	1995-10-27	PRIJEM	VKLAD	19483	99488	\N	\N	\N
2931476	9707	1995-12-22	PRIJEM	VKLAD	35548	121552	\N	\N	\N
2931477	9707	1995-04-12	PRIJEM	VKLAD	35077	97832	\N	\N	\N
2931478	9707	1995-10-18	PRIJEM	VKLAD	7864	99397	\N	\N	\N
2931479	9707	1995-12-26	PRIJEM	VKLAD	28696	99048	\N	\N	\N
2931480	9707	1995-01-01	PRIJEM	VKLAD	20423	30649	\N	\N	\N
2931481	9707	1995-05-05	PRIJEM	VKLAD	6574	73378	\N	\N	\N
2931482	9707	1995-10-15	PRIJEM	VKLAD	44938	86470	\N	\N	\N
2931483	9707	1995-10-02	PRIJEM	VKLAD	34751	77765	\N	\N	\N
2931484	9707	1995-06-20	PRIJEM	VKLAD	6408	74141	\N	\N	\N
2931485	9707	1995-08-29	PRIJEM	VKLAD	28845	69082	\N	\N	\N
2931486	9707	1995-08-12	PRIJEM	VKLAD	6010	86338	\N	\N	\N
2931487	9707	1995-10-17	PRIJEM	VKLAD	5063	91533	\N	\N	\N
2931488	9707	1995-06-06	PRIJEM	VKLAD	15235	88555	\N	\N	\N
2931489	9707	1995-09-11	PRIJEM	VKLAD	27469	96997	\N	\N	\N
2931490	9707	1995-06-03	PRIJEM	VKLAD	31286	73320	\N	\N	\N
2931491	9707	1995-06-25	PRIJEM	VKLAD	31499	105640	\N	\N	\N
2931492	9707	1995-04-07	PRIJEM	VKLAD	18712	62755	\N	\N	\N
2931493	9707	1995-11-11	PRIJEM	VKLAD	18728	84041	\N	\N	\N
2931494	9707	1995-12-12	PRIJEM	VKLAD	42302	94048	\N	\N	\N
2931495	9707	1996-01-10	PRIJEM	VKLAD	23011	84040	\N	\N	\N
2931496	9707	1996-10-27	PRIJEM	VKLAD	12950	35693	\N	\N	\N
2931497	9707	1996-08-26	PRIJEM	VKLAD	6350	102959	\N	\N	\N
2931498	9707	1996-07-01	PRIJEM	VKLAD	49967	102347	\N	\N	\N
2931499	9707	1996-01-19	PRIJEM	VKLAD	42191	127536	\N	\N	\N
2931500	9707	1996-12-13	PRIJEM	VKLAD	36726	52362	\N	\N	\N
2931501	9707	1996-02-05	PRIJEM	VKLAD	5753	93127	\N	\N	\N
2931502	9707	1996-03-26	PRIJEM	VKLAD	48334	120755	\N	\N	\N
2931503	9707	1996-06-01	PRIJEM	VKLAD	16110	112611	\N	\N	\N
2931504	9707	1996-02-03	PRIJEM	VKLAD	14567	65573	\N	\N	\N
2931505	9707	1996-10-31	PRIJEM	VKLAD	9390	45362	\N	\N	\N
2931506	9707	1996-01-14	PRIJEM	VKLAD	18705	85345	\N	\N	\N
2931507	9707	1996-01-25	PRIJEM	VKLAD	43229	113465	\N	\N	\N
2931508	9707	1996-09-03	PRIJEM	VKLAD	22607	125986	\N	\N	\N
2931509	9707	1996-09-08	PRIJEM	VKLAD	27477	89063	\N	\N	\N
2931510	9707	1996-04-12	PRIJEM	VKLAD	8037	66745	\N	\N	\N
2931511	9707	1996-04-28	PRIJEM	VKLAD	6147	72892	\N	\N	\N
2931512	9707	1996-08-20	PRIJEM	VKLAD	39247	96609	\N	\N	\N
2931513	9707	1996-02-12	PRIJEM	VKLAD	45623	108750	\N	\N	\N
2931514	9707	1996-02-05	PRIJEM	VKLAD	21801	87374	\N	\N	\N
2931515	9707	1996-05-29	PRIJEM	VKLAD	44106	96031	\N	\N	\N
2931516	9707	1997-12-09	PRIJEM	VKLAD	46970	149674	\N	\N	\N
2931517	9707	1997-12-02	PRIJEM	VKLAD	37291	102704	\N	\N	\N
2931518	9707	1997-09-04	PRIJEM	VKLAD	45075	90662	\N	\N	\N
2931519	9707	1997-04-18	PRIJEM	VKLAD	46629	88699	\N	\N	\N
2931520	9707	1997-09-12	PRIJEM	VKLAD	6619	94627	\N	\N	\N
2931521	9707	1998-10-28	PRIJEM	VKLAD	27085	102253	\N	\N	\N
2931522	9707	1998-05-16	PRIJEM	VKLAD	25309	120149	\N	\N	\N
2931523	9707	1998-06-07	PRIJEM	VKLAD	11262	96300	\N	\N	\N
2931524	9707	1998-07-19	PRIJEM	VKLAD	14848	72401	\N	\N	\N
2931525	9707	1998-05-02	PRIJEM	VKLAD	24627	94840	\N	\N	\N
2931526	9707	1998-08-23	PRIJEM	VKLAD	22738	138463	\N	\N	\N
2931527	9707	1998-02-15	PRIJEM	VKLAD	29125	108652	\N	\N	\N
2931528	9707	1998-03-07	PRIJEM	VKLAD	49618	134054	\N	\N	\N
2931529	9707	1998-08-12	PRIJEM	VKLAD	13641	73829	\N	\N	\N
2931530	9707	1998-07-06	PRIJEM	VKLAD	23576	69853	\N	\N	\N
2931531	9707	1998-02-17	PRIJEM	VKLAD	34076	152005	\N	\N	\N
2931532	9707	1998-10-16	PRIJEM	VKLAD	25846	95751	\N	\N	\N
2931533	9707	1998-02-16	PRIJEM	VKLAD	39677	148329	\N	\N	\N
2931534	9707	1998-02-26	PRIJEM	VKLAD	32767	162172	\N	\N	\N
2931535	9707	1998-12-25	PRIJEM	VKLAD	25611	99379	\N	\N	\N
2931536	9707	1998-03-10	PRIJEM	VKLAD	28983	130237	\N	\N	\N
2931537	9707	1998-02-08	PRIJEM	VKLAD	16799	79527	\N	\N	\N
2931538	9707	1998-08-17	PRIJEM	VKLAD	41896	115725	\N	\N	\N
2931539	9707	1998-03-27	PRIJEM	VKLAD	17990	75767	\N	\N	\N
2931540	9707	1998-04-25	PRIJEM	VKLAD	7371	67425	\N	\N	\N
2931541	9707	1998-01-16	PRIJEM	VKLAD	20089	70514	\N	\N	\N
2931542	9707	1998-05-21	PRIJEM	VKLAD	6687	110836	\N	\N	\N
2931617	9707	1993-07-07	VYBER	VYBER	15729	22850	\N	\N	\N
2931618	9707	1994-08-18	VYBER	VYBER	15732	-225	\N	\N	\N
2931619	9707	1994-11-24	VYBER	VYBER	4404	13236	\N	\N	\N
2931620	9707	1994-06-27	VYBER	VYBER	2881	17752	\N	\N	\N
2931621	9707	1994-08-15	VYBER	VYBER	7526	7107	\N	\N	\N
2931622	9707	1994-01-12	VYBER	VYBER	19042	15098	\N	\N	\N
2931624	9707	1994-06-27	VYBER	VYBER	15088	2664	\N	\N	\N
2931625	9707	1995-10-05	VYBER	VYBER	20014	57751	\N	\N	\N
2931626	9707	1995-09-26	VYBER	VYBER	23673	42624	\N	\N	\N
2931627	9707	1995-01-06	VYBER	VYBER	8626	22023	\N	\N	\N
2931628	9707	1995-08-02	VYBER	VYBER	4967	71913	\N	\N	\N
2931629	9707	1995-10-21	VYBER	VYBER	19392	80005	\N	\N	\N
2931630	9707	1995-12-04	VYBER	VYBER	11896	72846	\N	\N	\N
2931631	9707	1995-12-19	VYBER	VYBER	8044	86004	\N	\N	\N
2931632	9707	1995-05-29	VYBER	VYBER	5411	41605	\N	\N	\N
2931633	9707	1995-07-11	VYBER	VYBER	5534	100678	\N	\N	\N
2931634	9707	1995-05-22	VYBER	VYBER	2462	47016	\N	\N	\N
2931635	9707	1995-10-10	VYBER	VYBER	17770	39981	\N	\N	\N
2931636	9707	1995-08-12	VYBER	VYBER	24601	61737	\N	\N	\N
2931637	9707	1995-08-08	VYBER	VYBER	23103	80328	\N	\N	\N
2931638	9707	1995-03-11	VYBER	VYBER	6344	58883	\N	\N	\N
2931639	9707	1996-04-09	VYBER	VYBER	3503	58708	\N	\N	\N
2931640	9707	1996-10-25	VYBER	VYBER	19887	22743	\N	\N	\N
2931641	9707	1996-11-12	VYBER	VYBER	7137	35810	\N	\N	\N
2931642	9707	1996-02-16	VYBER	VYBER	3009	105741	\N	\N	\N
2931643	9707	1996-05-12	VYBER	VYBER	6988	51925	\N	\N	\N
2931644	9707	1996-12-13	VYBER	VYBER	10487	41875	\N	\N	\N
2931645	9707	1996-12-08	VYBER	VYBER	15631	15636	\N	\N	\N
2931646	9707	1996-06-20	VYBER	VYBER	20361	55750	\N	\N	\N
2931647	9707	1996-10-19	VYBER	VYBER	22302	42630	\N	\N	\N
2931648	9707	1996-03-31	VYBER	VYBER	7639	78425	\N	\N	\N
2931649	9707	1996-09-25	VYBER	VYBER	11949	77114	\N	\N	\N
2931652	9707	1997-06-24	VYBER	VYBER	24065	27927	\N	\N	\N
2931653	9707	1997-02-11	VYBER	VYBER	14736	24783	\N	\N	\N
2931654	9707	1997-09-08	VYBER	VYBER	2654	88008	\N	\N	\N
2931656	9707	1997-12-26	VYBER	VYBER	5865	91109	\N	\N	\N
2931657	9707	1997-07-30	VYBER	VYBER	5043	26163	\N	\N	\N
2931658	9707	1998-03-23	VYBER	VYBER	24060	57777	\N	\N	\N
2931659	9707	1998-04-14	VYBER	VYBER	14002	60054	\N	\N	\N
2931660	9707	1998-03-03	VYBER	VYBER	7109	84436	\N	\N	\N
2931661	9707	1998-09-08	VYBER	VYBER	19222	62016	\N	\N	\N
2931662	9707	1998-02-03	VYBER	VYBER	2079	62728	\N	\N	\N
2931663	9707	1998-07-20	VYBER	VYBER	11875	60526	\N	\N	\N
2931664	9707	1998-10-22	VYBER	VYBER	24283	71468	\N	\N	\N
2931665	9707	1998-10-28	VYBER	VYBER	17663	84590	\N	\N	\N
2931668	9707	1995-06-17	VYDAJ	VYBER	21600	35755	\N	\N	\N
2931671	9707	1998-06-21	VYDAJ	VYBER	58800	37500	\N	\N	\N
2931674	9707	1995-01-14	VYDAJ	VYBER	9300	21623	\N	\N	\N
2931675	9707	1996-01-11	VYDAJ	VYBER	17400	66640	\N	\N	\N
2931676	9707	1997-01-21	VYDAJ	VYBER	6900	23765	\N	\N	\N
2931677	9707	1998-01-15	VYDAJ	VYBER	8400	50425	\N	\N	\N
2931678	9707	1993-12-26	VYDAJ	VYBER	4200	36122	\N	\N	\N
2931679	9707	1994-12-09	VYDAJ	VYBER	7200	6053	\N	\N	\N
2931680	9707	1995-12-23	VYDAJ	VYBER	5100	70352	\N	\N	\N
2931681	9707	1996-12-23	VYDAJ	VYBER	4200	37675	\N	\N	\N
2931682	9707	1997-12-13	VYDAJ	VYBER	4200	96974	\N	\N	\N
2931683	9707	1998-12-01	VYDAJ	VYBER	8100	75568	\N	\N	\N
2931690	9707	1994-01-19	VYDAJ	VYBER	5100	15698	\N	\N	\N
2931692	9707	1994-01-15	VYDAJ	VYBER	3600	4898	\N	\N	\N
2931693	9707	1994-01-14	VYDAJ	VYBER	6600	8498	\N	\N	\N
2931695	9707	1994-01-10	VYDAJ	VYBER	2400	34140	\N	\N	\N
2931697	9707	1995-01-26	VYDAJ	VYBER	8100	1823	\N	\N	\N
2931698	9707	1995-01-23	VYDAJ	VYBER	4200	9923	\N	\N	\N
2931699	9707	1995-01-21	VYDAJ	VYBER	3000	14123	\N	\N	\N
2931701	9707	1995-01-17	VYDAJ	VYBER	4500	17123	\N	\N	\N
2931702	9707	1996-01-20	VYDAJ	VYBER	8400	78336	\N	\N	\N
2931703	9707	1996-01-19	VYDAJ	VYBER	3600	123936	\N	\N	\N
2931704	9707	1996-01-30	VYDAJ	VYBER	8700	50365	\N	\N	\N
2931705	9707	1996-01-09	VYDAJ	VYBER	7800	61029	\N	\N	\N
2931706	9707	1996-01-22	VYDAJ	VYBER	8100	70236	\N	\N	\N
2931707	9707	1996-01-04	VYDAJ	VYBER	5100	94629	\N	\N	\N
2931708	9707	1997-01-05	VYDAJ	VYBER	3300	30665	\N	\N	\N
2931709	9707	1997-01-04	VYDAJ	VYBER	1800	33965	\N	\N	\N
2931710	9707	1997-01-28	VYDAJ	VYBER	5100	18665	\N	\N	\N
2931711	9707	1997-01-01	VYDAJ	VYBER	5100	32765	\N	\N	\N
2931712	9707	1997-01-02	VYDAJ	VYBER	6300	26465	\N	\N	\N
2931713	9707	1997-01-04	VYDAJ	VYBER	5100	35765	\N	\N	\N
2931714	9707	1998-01-08	VYDAJ	VYBER	3000	58825	\N	\N	\N
2931715	9707	1998-01-06	VYDAJ	VYBER	6900	65725	\N	\N	\N
2931716	9707	1998-01-18	VYDAJ	VYBER	2100	68414	\N	\N	\N
2931717	9707	1998-01-20	VYDAJ	VYBER	7800	60614	\N	\N	\N
2931718	9707	1998-01-06	VYDAJ	VYBER	3900	61825	\N	\N	\N
2931719	9707	1998-01-04	VYDAJ	VYBER	3000	72625	\N	\N	\N
2931720	9707	1993-07-22	VYDAJ	VYBER	7500	53889	\N	\N	\N
2931721	9707	1993-06-17	VYDAJ	VYBER	14100	116342	\N	\N	\N
2931725	9707	1994-10-28	VYDAJ	VYBER	9300	4476	\N	\N	\N
2931726	9707	1994-10-27	VYDAJ	VYBER	3900	13776	\N	\N	\N
2931727	9707	1994-04-27	VYDAJ	VYBER	14700	4885	\N	\N	\N
2931728	9707	1994-04-04	VYDAJ	VYBER	14400	9985	\N	\N	\N
2931729	9707	1994-12-19	VYDAJ	VYBER	5700	10153	\N	\N	\N
2931731	9707	1994-10-14	VYDAJ	VYBER	9900	3976	\N	\N	\N
2931732	9707	1995-08-13	VYDAJ	VYBER	2400	40237	\N	\N	\N
2931733	9707	1995-08-12	VYDAJ	VYBER	10500	42637	\N	\N	\N
2931734	9707	1996-09-05	VYDAJ	VYBER	10200	61586	\N	\N	\N
2931735	9707	1996-07-12	VYDAJ	VYBER	10800	63647	\N	\N	\N
2931736	9707	1996-11-19	VYDAJ	VYBER	14700	9110	\N	\N	\N
2931737	9707	1996-11-05	VYDAJ	VYBER	8100	42947	\N	\N	\N
2931738	9707	1996-11-18	VYDAJ	VYBER	12000	23810	\N	\N	\N
2931739	9707	1996-06-26	VYDAJ	VYBER	3900	51850	\N	\N	\N
2931740	9707	1997-07-22	VYDAJ	VYBER	7800	31206	\N	\N	\N
2931741	9707	1997-03-17	VYDAJ	VYBER	9000	27758	\N	\N	\N
2931742	9707	1997-06-14	VYDAJ	VYBER	11400	51992	\N	\N	\N
2931744	9707	1997-02-11	VYDAJ	VYBER	6900	17883	\N	\N	\N
2931745	9707	1998-09-04	VYDAJ	VYBER	5700	81238	\N	\N	\N
2931746	9707	1998-06-27	VYDAJ	VYBER	11100	46000	\N	\N	\N
2931747	9707	1998-12-05	VYDAJ	VYBER	8400	67168	\N	\N	\N
2931748	9707	1998-07-08	VYDAJ	VYBER	12300	57553	\N	\N	\N
2931749	9707	1998-11-16	VYDAJ	VYBER	5400	79518	\N	\N	\N
2931756	9707	1993-06-30	VYDAJ	VYBER	15	38579	SLUZBY	\N	\N
2931757	9707	1993-07-31	VYDAJ	VYBER	15	38307	SLUZBY	\N	\N
2931758	9707	1993-08-31	VYDAJ	VYBER	15	62053	SLUZBY	\N	\N
2931759	9707	1993-09-30	VYDAJ	VYBER	15	91894	SLUZBY	\N	\N
2931760	9707	1993-10-31	VYDAJ	VYBER	15	91457	SLUZBY	\N	\N
2931761	9707	1993-11-30	VYDAJ	VYBER	15	57522	SLUZBY	\N	\N
2931762	9707	1993-12-31	VYDAJ	VYBER	15	36540	SLUZBY	\N	\N
2931763	9707	1994-01-31	VYDAJ	VYBER	15	15809	SLUZBY	\N	\N
2931764	9707	1994-02-28	VYDAJ	VYBER	15	22919	SLUZBY	\N	\N
2931765	9707	1994-03-31	VYDAJ	VYBER	15	24385	SLUZBY	\N	\N
2931766	9707	1994-04-30	VYDAJ	VYBER	15	5030	SLUZBY	\N	\N
2931767	9707	1994-05-31	VYDAJ	VYBER	15	13533	SLUZBY	\N	\N
2931768	9707	1994-06-30	VYDAJ	VYBER	15	2739	SLUZBY	\N	\N
2931769	9707	1994-07-31	VYDAJ	VYBER	15	14633	SLUZBY	\N	\N
2931770	9707	1994-08-31	VYDAJ	VYBER	15	-179	SLUZBY	\N	\N
2931771	9707	1994-09-30	VYDAJ	VYBER	15	13893	SLUZBY	\N	\N
2931772	9707	1994-10-31	VYDAJ	VYBER	15	4540	SLUZBY	\N	\N
2931773	9707	1994-11-30	VYDAJ	VYBER	15	13253	SLUZBY	\N	\N
2931774	9707	1994-12-31	VYDAJ	VYBER	15	10226	SLUZBY	\N	\N
2931775	9707	1995-01-31	VYDAJ	VYBER	15	1908	SLUZBY	\N	\N
2931776	9707	1995-02-28	VYDAJ	VYBER	15	17597	SLUZBY	\N	\N
2931777	9707	1995-03-31	VYDAJ	VYBER	15	44043	SLUZBY	\N	\N
2931778	9707	1995-04-30	VYDAJ	VYBER	15	66804	SLUZBY	\N	\N
2931779	9707	1995-05-31	VYDAJ	VYBER	15	42034	SLUZBY	\N	\N
2931780	9707	1995-06-30	VYDAJ	VYBER	15	106212	SLUZBY	\N	\N
2931781	9707	1995-07-31	VYDAJ	VYBER	15	76880	SLUZBY	\N	\N
2931782	9707	1995-08-31	VYDAJ	VYBER	15	69528	SLUZBY	\N	\N
2931783	9707	1995-09-30	VYDAJ	VYBER	15	43014	SLUZBY	\N	\N
2931784	9707	1995-10-31	VYDAJ	VYBER	15	100013	SLUZBY	\N	\N
2931785	9707	1995-11-30	VYDAJ	VYBER	15	84742	SLUZBY	\N	\N
2931786	9707	1995-12-31	VYDAJ	VYBER	15	99729	SLUZBY	\N	\N
2931787	9707	1996-01-31	VYDAJ	VYBER	15	51006	SLUZBY	\N	\N
2931788	9707	1996-02-29	VYDAJ	VYBER	15	106421	SLUZBY	\N	\N
2931789	9707	1996-03-31	VYDAJ	VYBER	15	78411	SLUZBY	\N	\N
2931790	9707	1996-04-30	VYDAJ	VYBER	15	73413	SLUZBY	\N	\N
2931791	9707	1996-05-31	VYDAJ	VYBER	15	96501	SLUZBY	\N	\N
2931792	9707	1996-06-30	VYDAJ	VYBER	15	52380	SLUZBY	\N	\N
2931793	9707	1996-07-31	VYDAJ	VYBER	15	64062	SLUZBY	\N	\N
2931794	9707	1996-08-31	VYDAJ	VYBER	15	103379	SLUZBY	\N	\N
2931795	9707	1996-09-30	VYDAJ	VYBER	15	77732	SLUZBY	\N	\N
2931796	9707	1996-10-31	VYDAJ	VYBER	15	45347	SLUZBY	\N	\N
2931797	9707	1996-11-30	VYDAJ	VYBER	15	9267	SLUZBY	\N	\N
2931798	9707	1996-12-31	VYDAJ	VYBER	15	37865	SLUZBY	\N	\N
2931799	9707	1997-01-31	VYDAJ	VYBER	15	18819	SLUZBY	\N	\N
2931800	9707	1997-02-28	VYDAJ	VYBER	15	17958	SLUZBY	\N	\N
2931801	9707	1997-03-31	VYDAJ	VYBER	15	27870	SLUZBY	\N	\N
2931802	9707	1997-04-30	VYDAJ	VYBER	15	89062	SLUZBY	\N	\N
2931803	9707	1997-05-31	VYDAJ	VYBER	15	71892	SLUZBY	\N	\N
2931804	9707	1997-06-30	VYDAJ	VYBER	15	28306	SLUZBY	\N	\N
2931805	9707	1997-07-31	VYDAJ	VYBER	15	26319	SLUZBY	\N	\N
2931806	9707	1997-08-31	VYDAJ	VYBER	15	45587	SLUZBY	\N	\N
2931807	9707	1997-09-30	VYDAJ	VYBER	15	77025	SLUZBY	\N	\N
2931808	9707	1997-10-31	VYDAJ	VYBER	15	70871	SLUZBY	\N	\N
2931809	9707	1997-11-30	VYDAJ	VYBER	15	65413	SLUZBY	\N	\N
2931810	9707	1997-12-31	VYDAJ	VYBER	15	75625	SLUZBY	\N	\N
2931811	9707	1998-01-31	VYDAJ	VYBER	15	64807	SLUZBY	\N	\N
2931812	9707	1998-02-28	VYDAJ	VYBER	15	91545	SLUZBY	\N	\N
2931813	9707	1998-03-31	VYDAJ	VYBER	15	74056	SLUZBY	\N	\N
2931814	9707	1998-04-30	VYDAJ	VYBER	15	70213	SLUZBY	\N	\N
2931815	9707	1998-05-31	VYDAJ	VYBER	15	85038	SLUZBY	\N	\N
2931816	9707	1998-06-30	VYDAJ	VYBER	15	46277	SLUZBY	\N	\N
2931817	9707	1998-07-31	VYDAJ	VYBER	15	60188	SLUZBY	\N	\N
2931818	9707	1998-08-31	VYDAJ	VYBER	15	86938	SLUZBY	\N	\N
2931819	9707	1998-09-30	VYDAJ	VYBER	15	69905	SLUZBY	\N	\N
2931820	9707	1998-10-31	VYDAJ	VYBER	15	84918	SLUZBY	\N	\N
2931821	9707	1998-11-30	VYDAJ	VYBER	15	83668	SLUZBY	\N	\N
2931822	9707	1993-05-24	VYDAJ	VYBER	26200	47963	\N	\N	\N
2931823	9707	1993-06-15	VYDAJ	VYBER	31000	84470	\N	\N	\N
2931824	9707	1993-06-17	VYDAJ	VYBER	61100	55242	\N	\N	\N
2931825	9707	1993-06-23	VYDAJ	VYBER	17000	38242	\N	\N	\N
2931826	9707	1993-07-23	VYDAJ	VYBER	15900	37989	\N	\N	\N
2931827	9707	1993-08-22	VYDAJ	VYBER	34300	61804	\N	\N	\N
2931828	9707	1993-09-06	VYDAJ	VYBER	53800	55849	\N	\N	\N
2931829	9707	1993-09-21	VYDAJ	VYBER	27800	51174	\N	\N	\N
2931830	9707	1993-10-21	VYDAJ	VYBER	33400	58494	\N	\N	\N
2931831	9707	1993-11-20	VYDAJ	VYBER	34300	57157	\N	\N	\N
2931832	9707	1993-12-20	VYDAJ	VYBER	17200	40322	\N	\N	\N
2931833	9707	1994-01-19	PRIJEM	VKLAD	15900	20798	\N	\N	\N
2931834	9707	1994-02-18	PRIJEM	VKLAD	7000	22809	\N	\N	\N
2931835	9707	1994-03-20	PRIJEM	VKLAD	1300	24219	\N	\N	\N
2931836	9707	1994-04-19	PRIJEM	VKLAD	9600	19585	\N	\N	\N
2931837	9707	1994-05-19	PRIJEM	VKLAD	8500	13530	\N	\N	\N
2931838	9707	1994-06-18	PRIJEM	VKLAD	7100	20633	\N	\N	\N
2931839	9707	1994-07-18	PRIJEM	VKLAD	11900	14639	\N	\N	\N
2931840	9707	1994-08-17	PRIJEM	VKLAD	8400	15507	\N	\N	\N
2931841	9707	1994-09-16	PRIJEM	VKLAD	14100	13906	\N	\N	\N
2931842	9707	1994-10-16	PRIJEM	VKLAD	13700	17676	\N	\N	\N
2931843	9707	1994-11-15	PRIJEM	VKLAD	13100	17640	\N	\N	\N
2931844	9707	1994-12-15	PRIJEM	VKLAD	9800	15853	\N	\N	\N
2931845	9707	1995-01-14	PRIJEM	VKLAD	8900	30923	\N	\N	\N
2931846	9707	1995-02-13	PRIJEM	VKLAD	15700	17608	\N	\N	\N
2931847	9707	1995-03-15	VYDAJ	VYBER	15100	43783	\N	\N	\N
2931848	9707	1995-04-14	VYDAJ	VYBER	31500	66332	\N	\N	\N
2931849	9707	1995-05-14	VYDAJ	VYBER	23900	49478	\N	\N	\N
2931850	9707	1995-06-13	VYDAJ	VYBER	31200	57355	\N	\N	\N
2931851	9707	1995-07-13	VYDAJ	VYBER	32700	67978	\N	\N	\N
2931852	9707	1995-08-12	VYDAJ	VYBER	8600	53137	\N	\N	\N
2931853	9707	1995-09-11	VYDAJ	VYBER	30700	66297	\N	\N	\N
2931854	9707	1995-10-11	VYDAJ	VYBER	5100	34881	\N	\N	\N
2931855	9707	1995-11-10	VYDAJ	VYBER	34700	65313	\N	\N	\N
2931856	9707	1995-12-10	VYDAJ	VYBER	21100	51746	\N	\N	\N
2931857	9707	1995-12-22	VYDAJ	VYBER	46100	75452	\N	\N	\N
2931858	9707	1996-01-09	VYDAJ	VYBER	25800	68829	\N	\N	\N
2931859	9707	1996-01-19	VYDAJ	VYBER	37200	86736	\N	\N	\N
2931860	9707	1996-01-25	VYDAJ	VYBER	54400	59065	\N	\N	\N
2931861	9707	1996-02-08	VYDAJ	VYBER	30000	63127	\N	\N	\N
2931862	9707	1996-03-09	VYDAJ	VYBER	34000	72421	\N	\N	\N
2931863	9707	1996-03-26	VYDAJ	VYBER	35500	85255	\N	\N	\N
2931864	9707	1996-04-08	VYDAJ	VYBER	16200	62211	\N	\N	\N
2931865	9707	1996-05-08	VYDAJ	VYBER	14500	58913	\N	\N	\N
2931866	9707	1996-06-07	VYDAJ	VYBER	36500	76111	\N	\N	\N
2931867	9707	1996-07-07	VYDAJ	VYBER	27900	74447	\N	\N	\N
2931868	9707	1996-08-06	VYDAJ	VYBER	6700	57362	\N	\N	\N
2931869	9707	1996-09-03	VYDAJ	VYBER	37600	88386	\N	\N	\N
2931870	9707	1996-09-05	VYDAJ	VYBER	16600	71786	\N	\N	\N
2931871	9707	1996-10-05	VYDAJ	VYBER	12800	64932	\N	\N	\N
2931872	9707	1996-11-04	PRIJEM	VKLAD	5700	51047	\N	\N	\N
2931873	9707	1996-12-04	PRIJEM	VKLAD	22000	31267	\N	\N	\N
2931874	9707	1997-01-03	PRIJEM	VKLAD	14400	40865	\N	\N	\N
2931875	9707	1997-02-02	PRIJEM	VKLAD	20700	39519	\N	\N	\N
2931876	9707	1997-03-04	PRIJEM	VKLAD	18800	36758	\N	\N	\N
2931877	9707	1997-04-03	PRIJEM	VKLAD	14200	42070	\N	\N	\N
2931878	9707	1997-05-03	VYDAJ	VYBER	17500	71562	\N	\N	\N
2931879	9707	1997-06-02	VYDAJ	VYBER	8500	63392	\N	\N	\N
2931880	9707	1997-07-02	PRIJEM	VKLAD	10700	39006	\N	\N	\N
2931881	9707	1997-08-01	PRIJEM	VKLAD	10500	36819	\N	\N	\N
2931882	9707	1997-08-31	PRIJEM	VKLAD	8700	45519	\N	\N	\N
2931883	9707	1997-09-30	VYDAJ	VYBER	18200	77040	\N	\N	\N
2931884	9707	1997-10-30	VYDAJ	VYBER	6700	70325	\N	\N	\N
2931885	9707	1997-11-29	VYDAJ	VYBER	5700	65171	\N	\N	\N
2931886	9707	1997-12-09	VYDAJ	VYBER	48500	101174	\N	\N	\N
2931887	9707	1997-12-29	VYDAJ	VYBER	16100	75009	\N	\N	\N
2931888	9707	1998-01-28	PRIJEM	VKLAD	3800	64414	\N	\N	\N
2931889	9707	1998-02-16	VYDAJ	VYBER	30400	117929	\N	\N	\N
2931890	9707	1998-02-17	VYDAJ	VYBER	22600	129405	\N	\N	\N
2931891	9707	1998-02-26	VYDAJ	VYBER	53100	109072	\N	\N	\N
2931892	9707	1998-02-27	VYDAJ	VYBER	18200	90872	\N	\N	\N
2931893	9707	1998-03-07	VYDAJ	VYBER	32800	101254	\N	\N	\N
2931894	9707	1998-03-10	VYDAJ	VYBER	48400	81837	\N	\N	\N
2931895	9707	1998-03-29	VYDAJ	VYBER	2400	73367	\N	\N	\N
2931896	9707	1998-04-28	PRIJEM	VKLAD	2500	69925	\N	\N	\N
2931897	9707	1998-05-16	VYDAJ	VYBER	16000	104149	\N	\N	\N
2931898	9707	1998-05-28	VYDAJ	VYBER	26300	84536	\N	\N	\N
2931899	9707	1998-06-27	PRIJEM	VKLAD	19600	57100	\N	\N	\N
2931900	9707	1998-07-27	VYDAJ	VYBER	700	59826	\N	\N	\N
2931901	9707	1998-08-23	VYDAJ	VYBER	38600	99863	\N	\N	\N
2931902	9707	1998-08-26	VYDAJ	VYBER	13400	86463	\N	\N	\N
2931903	9707	1998-09-25	PRIJEM	VKLAD	7500	69516	\N	\N	\N
2931904	9707	1998-10-25	PRIJEM	VKLAD	3700	75168	\N	\N	\N
2931905	9707	1998-11-24	PRIJEM	VKLAD	3800	83318	\N	\N	\N
2931906	9707	1998-12-24	PRIJEM	VKLAD	6600	73768	\N	\N	\N
2938058	9730	1997-01-01	PRIJEM	VKLAD	900	900	\N	\N	\N
2938059	9730	1997-01-08	PRIJEM	VKLAD	10694	11594	\N	\N	\N
2938060	9730	1997-02-08	PRIJEM	VKLAD	10694	25026	\N	\N	\N
2938061	9730	1997-03-08	PRIJEM	VKLAD	10694	34079	\N	\N	\N
2938062	9730	1997-04-08	PRIJEM	VKLAD	10694	36097	\N	\N	\N
2938063	9730	1997-05-08	PRIJEM	VKLAD	10694	35539	\N	\N	\N
2938064	9730	1997-06-08	PRIJEM	VKLAD	16041	42495	\N	\N	\N
2938065	9730	1997-07-08	PRIJEM	VKLAD	10694	41189	\N	\N	\N
2938066	9730	1997-08-08	PRIJEM	VKLAD	10694	39487	\N	\N	\N
2938067	9730	1997-09-08	PRIJEM	VKLAD	10694	36064	\N	\N	\N
2938068	9730	1997-10-08	PRIJEM	VKLAD	10694	36617	\N	\N	\N
2938069	9730	1997-11-08	PRIJEM	VKLAD	10694	32656	\N	\N	\N
2938070	9730	1997-12-08	PRIJEM	VKLAD	16041	34125	\N	\N	\N
2938071	9730	1998-01-08	PRIJEM	VKLAD	10694	27823	\N	\N	\N
2938072	9730	1998-02-08	PRIJEM	VKLAD	10694	24352	\N	\N	\N
2938073	9730	1998-03-08	PRIJEM	VKLAD	10694	26943	\N	\N	\N
2938074	9730	1998-04-08	PRIJEM	VKLAD	10694	22940	\N	\N	\N
2938075	9730	1998-05-08	PRIJEM	VKLAD	10694	22997	\N	\N	\N
2938076	9730	1998-06-08	PRIJEM	VKLAD	16041	26594	\N	\N	\N
2938077	9730	1998-07-08	PRIJEM	VKLAD	10694	30389	\N	\N	\N
2938078	9730	1998-08-08	PRIJEM	VKLAD	10694	34205	\N	\N	\N
2938079	9730	1998-09-08	PRIJEM	VKLAD	10694	38038	\N	\N	\N
2938080	9730	1998-10-08	PRIJEM	VKLAD	10694	39479	\N	\N	\N
2938081	9730	1998-11-08	PRIJEM	VKLAD	10694	37574	\N	\N	\N
2938082	9730	1998-12-08	PRIJEM	VKLAD	16041	46776	\N	\N	\N
2938087	9730	1997-05-14	VYDAJ	PREVOD NA UCET	258	30517	SIPO	WX	53964394
2938088	9730	1997-06-14	VYDAJ	PREVOD NA UCET	258	35873	SIPO	WX	53964394
2938089	9730	1997-07-14	VYDAJ	PREVOD NA UCET	258	36167	SIPO	WX	53964394
2938090	9730	1997-08-14	VYDAJ	PREVOD NA UCET	258	34465	SIPO	WX	53964394
2938091	9730	1997-09-14	VYDAJ	PREVOD NA UCET	258	26228	SIPO	WX	53964394
2938092	9730	1997-10-14	VYDAJ	PREVOD NA UCET	258	29661	SIPO	WX	53964394
2938093	9730	1997-11-14	VYDAJ	PREVOD NA UCET	258	25700	SIPO	WX	53964394
2938094	9730	1997-12-14	VYDAJ	PREVOD NA UCET	258	25009	SIPO	WX	53964394
2938095	9730	1998-01-14	VYDAJ	PREVOD NA UCET	258	15467	SIPO	WX	53964394
2938096	9730	1998-02-14	VYDAJ	PREVOD NA UCET	258	17396	SIPO	WX	53964394
2938097	9730	1998-03-14	VYDAJ	PREVOD NA UCET	258	19987	SIPO	WX	53964394
2938098	9730	1998-04-14	VYDAJ	PREVOD NA UCET	258	12264	SIPO	WX	53964394
2938099	9730	1998-05-14	VYDAJ	PREVOD NA UCET	258	10521	SIPO	WX	53964394
2938100	9730	1998-06-14	VYDAJ	PREVOD NA UCET	258	19638	SIPO	WX	53964394
2938101	9730	1998-07-14	VYDAJ	PREVOD NA UCET	258	23433	SIPO	WX	53964394
2938102	9730	1998-08-14	VYDAJ	PREVOD NA UCET	258	27249	SIPO	WX	53964394
2938103	9730	1998-09-14	VYDAJ	PREVOD NA UCET	258	28682	SIPO	WX	53964394
2938104	9730	1998-10-14	VYDAJ	PREVOD NA UCET	258	32523	SIPO	WX	53964394
2938105	9730	1998-11-14	VYDAJ	PREVOD NA UCET	258	30618	SIPO	WX	53964394
2938106	9730	1998-12-14	VYDAJ	PREVOD NA UCET	258	38860	SIPO	WX	53964394
2938111	9730	1997-05-10	VYDAJ	PREVOD NA UCET	4764	30775	 	AB	9366584
2938112	9730	1997-06-10	VYDAJ	PREVOD NA UCET	4764	36131	 	AB	9366584
2938113	9730	1997-07-10	VYDAJ	PREVOD NA UCET	4764	36425	 	AB	9366584
2938114	9730	1997-08-10	VYDAJ	PREVOD NA UCET	4764	34723	 	AB	9366584
2938115	9730	1997-09-10	VYDAJ	PREVOD NA UCET	4764	31300	 	AB	9366584
2938116	9730	1997-10-10	VYDAJ	PREVOD NA UCET	4764	31853	 	AB	9366584
2938117	9730	1997-11-10	VYDAJ	PREVOD NA UCET	4764	27892	 	AB	9366584
2938118	9730	1997-12-10	VYDAJ	PREVOD NA UCET	4764	27201	 	AB	9366584
2938119	9730	1998-01-10	VYDAJ	PREVOD NA UCET	4764	23059	 	AB	9366584
2938120	9730	1998-02-10	VYDAJ	PREVOD NA UCET	4764	19588	 	AB	9366584
2938121	9730	1998-03-10	VYDAJ	PREVOD NA UCET	4764	22179	 	AB	9366584
2938122	9730	1998-04-10	VYDAJ	PREVOD NA UCET	4764	14456	 	AB	9366584
2938123	9730	1998-05-10	VYDAJ	PREVOD NA UCET	4764	12713	 	AB	9366584
2938124	9730	1998-06-10	VYDAJ	PREVOD NA UCET	4764	21830	 	AB	9366584
2938125	9730	1998-07-10	VYDAJ	PREVOD NA UCET	4764	25625	 	AB	9366584
2938126	9730	1998-08-10	VYDAJ	PREVOD NA UCET	4764	29441	 	AB	9366584
2938127	9730	1998-09-10	VYDAJ	PREVOD NA UCET	4764	30874	 	AB	9366584
2938128	9730	1998-10-10	VYDAJ	PREVOD NA UCET	4764	34715	 	AB	9366584
2938129	9730	1998-11-10	VYDAJ	PREVOD NA UCET	4764	32810	 	AB	9366584
2938130	9730	1998-12-10	VYDAJ	PREVOD NA UCET	4764	42012	 	AB	9366584
2938135	9730	1997-05-07	VYDAJ	VYBER	1600	24845	\N	\N	0
2938136	9730	1997-06-10	VYDAJ	VYBER	1600	40895	\N	\N	0
2938137	9730	1997-07-21	VYDAJ	VYBER	1700	34467	\N	\N	0
2938138	9730	1997-08-14	VYDAJ	VYBER	1900	32565	\N	\N	0
2938139	9730	1997-09-12	VYDAJ	PREVOD NA UCET	1934	26486	UVER	WX	82324945
2938140	9730	1997-10-12	VYDAJ	PREVOD NA UCET	1934	29919	UVER	WX	82324945
2938141	9730	1997-11-12	VYDAJ	PREVOD NA UCET	1934	25958	UVER	WX	82324945
2938142	9730	1997-12-12	VYDAJ	PREVOD NA UCET	1934	25267	UVER	WX	82324945
2938143	9730	1998-01-12	VYDAJ	PREVOD NA UCET	1934	21125	UVER	WX	82324945
2938144	9730	1998-02-12	VYDAJ	PREVOD NA UCET	1934	17654	UVER	WX	82324945
2938145	9730	1998-03-12	VYDAJ	PREVOD NA UCET	1934	20245	UVER	WX	82324945
2938146	9730	1998-04-12	VYDAJ	PREVOD NA UCET	1934	12522	UVER	WX	82324945
2938147	9730	1998-05-12	VYDAJ	PREVOD NA UCET	1934	10779	UVER	WX	82324945
2938148	9730	1998-06-12	VYDAJ	PREVOD NA UCET	1934	19896	UVER	WX	82324945
2938149	9730	1998-07-12	VYDAJ	PREVOD NA UCET	1934	23691	UVER	WX	82324945
2938150	9730	1998-08-12	VYDAJ	PREVOD NA UCET	1934	27507	UVER	WX	82324945
2938151	9730	1998-09-12	VYDAJ	PREVOD NA UCET	1934	28940	UVER	WX	82324945
2938152	9730	1998-10-12	VYDAJ	PREVOD NA UCET	1934	32781	UVER	WX	82324945
2938153	9730	1998-11-12	VYDAJ	PREVOD NA UCET	1934	30876	UVER	WX	82324945
2938154	9730	1998-12-12	VYDAJ	PREVOD NA UCET	1934	40078	UVER	WX	82324945
2938159	9730	1997-12-08	VYDAJ	VYBER	1440	31965	\N	\N	\N
2938160	9730	1998-12-12	VYDAJ	VYBER	960	39118	\N	\N	\N
2938167	9730	1998-01-12	VYDAJ	VYBER	2280	18845	\N	\N	\N
2938170	9730	1998-01-13	VYDAJ	VYBER	3120	15725	\N	\N	\N
2938172	9730	1998-01-18	VYDAJ	VYBER	960	14507	\N	\N	\N
2938173	9730	1997-12-27	VYDAJ	VYBER	4560	20449	\N	\N	\N
2938175	9730	1997-08-15	VYDAJ	VYBER	4800	27765	\N	\N	\N
2938176	9730	1997-09-11	VYDAJ	VYBER	2880	28420	\N	\N	\N
2938178	9730	1997-12-08	VYDAJ	VYBER	720	33405	\N	\N	\N
2938179	9730	1997-05-30	VYDAJ	VYBER	3480	27037	\N	\N	\N
2938180	9730	1998-04-08	VYDAJ	VYBER	3720	19220	\N	\N	\N
2938181	9730	1998-09-10	VYDAJ	VYBER	2400	35638	\N	\N	\N
2938182	9730	1998-05-09	VYDAJ	VYBER	5520	17477	\N	\N	\N
2938183	9730	1998-11-06	VYDAJ	VYBER	5760	26880	\N	\N	\N
2938189	9730	1997-05-31	VYDAJ	VYBER	15	27154	SLUZBY	\N	\N
2938190	9730	1997-06-30	VYDAJ	VYBER	15	30495	SLUZBY	\N	\N
2938191	9730	1997-07-31	VYDAJ	VYBER	15	28793	SLUZBY	\N	\N
2938192	9730	1997-08-31	VYDAJ	VYBER	15	25370	SLUZBY	\N	\N
2938193	9730	1997-09-30	VYDAJ	VYBER	15	25923	SLUZBY	\N	\N
2938194	9730	1997-10-31	VYDAJ	VYBER	15	21962	SLUZBY	\N	\N
2938195	9730	1997-11-30	VYDAJ	VYBER	15	18084	SLUZBY	\N	\N
2938196	9730	1997-12-31	VYDAJ	VYBER	15	17129	SLUZBY	\N	\N
2938197	9730	1998-01-31	VYDAJ	VYBER	15	13658	SLUZBY	\N	\N
2938198	9730	1998-02-28	VYDAJ	VYBER	15	16249	SLUZBY	\N	\N
2938199	9730	1998-03-31	VYDAJ	VYBER	15	12246	SLUZBY	\N	\N
2938200	9730	1998-04-30	VYDAJ	VYBER	15	12303	SLUZBY	\N	\N
2938201	9730	1998-05-31	VYDAJ	VYBER	15	10553	SLUZBY	\N	\N
2938202	9730	1998-06-30	VYDAJ	VYBER	15	19695	SLUZBY	\N	\N
2938203	9730	1998-07-31	VYDAJ	VYBER	15	23511	SLUZBY	\N	\N
2938204	9730	1998-08-31	VYDAJ	VYBER	15	27344	SLUZBY	\N	\N
2938205	9730	1998-09-30	VYDAJ	VYBER	15	28785	SLUZBY	\N	\N
2938206	9730	1998-10-31	VYDAJ	VYBER	15	32640	SLUZBY	\N	\N
2938207	9730	1998-11-30	VYDAJ	VYBER	15	30735	SLUZBY	\N	\N
2938208	9730	1997-01-31	PRIJEM	VKLAD	2700	14294	\N	\N	\N
2938209	9730	1997-03-02	VYDAJ	VYBER	1700	23385	\N	\N	\N
2938210	9730	1997-04-01	VYDAJ	VYBER	8800	25403	\N	\N	\N
2938211	9730	1997-05-01	VYDAJ	VYBER	9800	26445	\N	\N	\N
2938212	9730	1997-05-31	VYDAJ	VYBER	700	26454	\N	\N	\N
2938213	9730	1997-06-30	VYDAJ	VYBER	5500	30510	\N	\N	\N
2938214	9730	1997-07-30	VYDAJ	VYBER	5800	28667	\N	\N	\N
2938215	9730	1997-08-29	VYDAJ	VYBER	2500	25265	\N	\N	\N
2938216	9730	1997-09-28	VYDAJ	VYBER	400	25828	\N	\N	\N
2938217	9730	1997-10-28	VYDAJ	VYBER	7800	21861	\N	\N	\N
2938218	9730	1997-11-27	VYDAJ	VYBER	7700	18000	\N	\N	\N
2938219	9730	1997-12-27	VYDAJ	VYBER	3400	17049	\N	\N	\N
2938220	9730	1998-01-26	VYDAJ	VYBER	900	13607	\N	\N	\N
2938221	9730	1998-02-25	VYDAJ	VYBER	1200	16196	\N	\N	\N
2938222	9730	1998-03-27	VYDAJ	VYBER	7800	12187	\N	\N	\N
2938247	9731	1994-12-01	PRIJEM	VKLAD	500	500	\N	\N	\N
2938259	9731	1994-12-05	PRIJEM	PREVOD Z UCTU	28446	28946	\N	WX	76556020
2938260	9731	1995-01-05	PRIJEM	PREVOD Z UCTU	18964	46515	\N	WX	76556020
2938261	9731	1995-02-05	PRIJEM	PREVOD Z UCTU	18964	51595	\N	WX	76556020
2938262	9731	1995-03-05	PRIJEM	PREVOD Z UCTU	18964	57594	\N	WX	76556020
2938263	9731	1995-04-05	PRIJEM	PREVOD Z UCTU	18964	57882	\N	WX	76556020
2938264	9731	1995-05-05	PRIJEM	PREVOD Z UCTU	18964	49699	\N	WX	76556020
2938265	9731	1995-06-05	PRIJEM	PREVOD Z UCTU	28446	58022	\N	WX	76556020
2938266	9731	1995-07-05	PRIJEM	PREVOD Z UCTU	18964	40861	\N	WX	76556020
2938267	9731	1995-08-05	PRIJEM	PREVOD Z UCTU	18964	45160	\N	WX	76556020
2938268	9731	1995-09-05	PRIJEM	PREVOD Z UCTU	18964	42975	\N	WX	76556020
2938269	9731	1995-10-05	PRIJEM	PREVOD Z UCTU	18964	47198	\N	WX	76556020
2938270	9731	1995-11-05	PRIJEM	PREVOD Z UCTU	18964	43841	\N	WX	76556020
2938271	9731	1995-12-05	PRIJEM	PREVOD Z UCTU	28446	56933	\N	WX	76556020
2938272	9731	1996-01-05	PRIJEM	PREVOD Z UCTU	18964	42943	\N	WX	76556020
2938273	9731	1996-02-05	PRIJEM	PREVOD Z UCTU	18964	45674	\N	WX	76556020
2938274	9731	1996-03-05	PRIJEM	PREVOD Z UCTU	18964	44628	\N	WX	76556020
2938275	9731	1996-04-05	PRIJEM	PREVOD Z UCTU	18964	45102	\N	WX	76556020
2938276	9731	1996-05-05	PRIJEM	PREVOD Z UCTU	18964	46855	\N	WX	76556020
2938277	9731	1996-06-05	PRIJEM	PREVOD Z UCTU	28446	54830	\N	WX	76556020
2938278	9731	1996-07-05	PRIJEM	PREVOD Z UCTU	18964	47349	\N	WX	76556020
2938279	9731	1996-08-05	PRIJEM	PREVOD Z UCTU	18964	41495	\N	WX	76556020
2938280	9731	1996-09-05	PRIJEM	PREVOD Z UCTU	18964	39572	\N	WX	76556020
2938281	9731	1996-10-05	PRIJEM	PREVOD Z UCTU	18964	40597	\N	WX	76556020
2938282	9731	1996-11-05	PRIJEM	PREVOD Z UCTU	18964	43729	\N	WX	76556020
2938283	9731	1996-12-05	PRIJEM	PREVOD Z UCTU	28446	52350	\N	WX	76556020
2938284	9731	1997-01-05	PRIJEM	PREVOD Z UCTU	18964	43996	\N	WX	76556020
2938285	9731	1997-02-05	PRIJEM	PREVOD Z UCTU	18964	42428	\N	WX	76556020
2938286	9731	1997-03-05	PRIJEM	PREVOD Z UCTU	18964	39857	\N	WX	76556020
2938287	9731	1997-04-05	PRIJEM	PREVOD Z UCTU	18964	41783	\N	WX	76556020
2938288	9731	1997-05-05	PRIJEM	PREVOD Z UCTU	18964	38708	\N	WX	76556020
2938289	9731	1997-06-05	PRIJEM	PREVOD Z UCTU	28446	42496	\N	WX	76556020
2938290	9731	1997-07-05	PRIJEM	PREVOD Z UCTU	18964	36008	\N	WX	76556020
2938291	9731	1997-08-05	PRIJEM	PREVOD Z UCTU	18964	38016	\N	WX	76556020
2938292	9731	1997-09-05	PRIJEM	PREVOD Z UCTU	18964	36123	\N	WX	76556020
2938293	9731	1997-10-05	PRIJEM	PREVOD Z UCTU	18964	40635	\N	WX	76556020
2938294	9731	1997-11-05	PRIJEM	PREVOD Z UCTU	18964	40956	\N	WX	76556020
2938295	9731	1997-12-05	PRIJEM	PREVOD Z UCTU	28446	51061	\N	WX	76556020
2938296	9731	1998-01-05	PRIJEM	PREVOD Z UCTU	18964	40993	\N	WX	76556020
2938297	9731	1998-02-05	PRIJEM	PREVOD Z UCTU	18964	39609	\N	WX	76556020
2938298	9731	1998-03-05	PRIJEM	PREVOD Z UCTU	18964	41928	\N	WX	76556020
2938299	9731	1998-04-05	PRIJEM	PREVOD Z UCTU	18964	36940	\N	WX	76556020
2938300	9731	1998-05-05	PRIJEM	PREVOD Z UCTU	18964	36943	\N	WX	76556020
2938301	9731	1998-06-05	PRIJEM	PREVOD Z UCTU	28446	47330	\N	WX	76556020
2938302	9731	1998-07-05	PRIJEM	PREVOD Z UCTU	18964	42453	\N	WX	76556020
2938303	9731	1998-08-05	PRIJEM	PREVOD Z UCTU	18964	39169	\N	WX	76556020
2938304	9731	1998-09-05	PRIJEM	PREVOD Z UCTU	18964	41893	\N	WX	76556020
2938305	9731	1998-10-05	PRIJEM	PREVOD Z UCTU	18964	35694	\N	WX	76556020
2938306	9731	1998-11-05	PRIJEM	PREVOD Z UCTU	18964	34484	\N	WX	76556020
2938307	9731	1998-12-05	PRIJEM	PREVOD Z UCTU	28446	41947	\N	WX	76556020
2938323	9731	1995-04-18	VYDAJ	VYBER	3900	47695	\N	\N	0
2938324	9731	1995-05-08	VYDAJ	VYBER	2600	45779	\N	\N	0
2938325	9731	1995-06-17	VYDAJ	VYBER	2900	21161	\N	\N	0
2938326	9731	1995-07-08	VYDAJ	VYBER	3300	36241	\N	\N	0
2938327	9731	1995-08-07	VYDAJ	VYBER	3500	40340	\N	\N	0
2938328	9731	1995-09-03	VYDAJ	VYBER	2900	24011	\N	\N	0
2938329	9731	1995-10-05	VYDAJ	VYBER	3400	43798	\N	\N	0
2938330	9731	1995-11-10	VYDAJ	VYBER	3500	34054	\N	\N	0
2938331	9731	1995-12-12	VYDAJ	PREVOD NA UCET	3161	21275	UVER	IJ	58578437
2938332	9731	1996-01-12	VYDAJ	PREVOD NA UCET	3161	25696	UVER	IJ	58578437
2938333	9731	1996-02-12	VYDAJ	PREVOD NA UCET	3161	36226	UVER	IJ	58578437
2938334	9731	1996-03-12	VYDAJ	PREVOD NA UCET	3161	35181	UVER	IJ	58578437
2938335	9731	1996-04-12	VYDAJ	PREVOD NA UCET	3161	35655	UVER	IJ	58578437
2938336	9731	1996-05-12	VYDAJ	PREVOD NA UCET	3161	32054	UVER	IJ	58578437
2938337	9731	1996-06-12	VYDAJ	PREVOD NA UCET	3161	45382	UVER	IJ	58578437
2938338	9731	1996-07-12	VYDAJ	PREVOD NA UCET	3161	37902	UVER	IJ	58578437
2938339	9731	1996-08-12	VYDAJ	PREVOD NA UCET	3161	20517	UVER	IJ	58578437
2938340	9731	1996-09-12	VYDAJ	PREVOD NA UCET	3161	30124	UVER	IJ	58578437
2938341	9731	1996-10-12	VYDAJ	PREVOD NA UCET	3161	31150	UVER	IJ	58578437
2938342	9731	1996-11-12	VYDAJ	PREVOD NA UCET	3161	34282	UVER	IJ	58578437
2938343	9731	1996-12-12	VYDAJ	PREVOD NA UCET	3161	42902	UVER	IJ	58578437
2938344	9731	1997-01-12	VYDAJ	PREVOD NA UCET	3161	34548	UVER	IJ	58578437
2938345	9731	1997-02-12	VYDAJ	PREVOD NA UCET	3161	32980	UVER	IJ	58578437
2938346	9731	1997-03-12	VYDAJ	PREVOD NA UCET	3161	30409	UVER	IJ	58578437
2938347	9731	1997-04-12	VYDAJ	PREVOD NA UCET	3161	32335	UVER	IJ	58578437
2938348	9731	1997-05-12	VYDAJ	PREVOD NA UCET	3161	29260	UVER	IJ	58578437
2938349	9731	1997-06-12	VYDAJ	PREVOD NA UCET	3161	33049	UVER	IJ	58578437
2938350	9731	1997-07-12	VYDAJ	PREVOD NA UCET	3161	26561	UVER	IJ	58578437
2938351	9731	1997-08-12	VYDAJ	PREVOD NA UCET	3161	28568	UVER	IJ	58578437
2938352	9731	1997-09-12	VYDAJ	PREVOD NA UCET	3161	26676	UVER	IJ	58578437
2938353	9731	1997-10-12	VYDAJ	PREVOD NA UCET	3161	31187	UVER	IJ	58578437
2938354	9731	1997-11-12	VYDAJ	PREVOD NA UCET	3161	31509	UVER	IJ	58578437
2938355	9731	1997-12-12	VYDAJ	PREVOD NA UCET	3161	41613	UVER	IJ	58578437
2938356	9731	1998-01-12	VYDAJ	PREVOD NA UCET	3161	31545	UVER	IJ	58578437
2938357	9731	1998-02-12	VYDAJ	PREVOD NA UCET	3161	30161	UVER	IJ	58578437
2938358	9731	1998-03-12	VYDAJ	PREVOD NA UCET	3161	32480	UVER	IJ	58578437
2938359	9731	1998-04-12	VYDAJ	PREVOD NA UCET	3161	27493	UVER	IJ	58578437
2938360	9731	1998-05-12	VYDAJ	PREVOD NA UCET	3161	27496	UVER	IJ	58578437
2938361	9731	1998-06-12	VYDAJ	PREVOD NA UCET	3161	35182	UVER	IJ	58578437
2938362	9731	1998-07-12	VYDAJ	PREVOD NA UCET	3161	33006	UVER	IJ	58578437
2938363	9731	1998-08-12	VYDAJ	PREVOD NA UCET	3161	22921	UVER	IJ	58578437
2938364	9731	1998-09-12	VYDAJ	PREVOD NA UCET	3161	16745	UVER	IJ	58578437
2938365	9731	1998-10-12	VYDAJ	PREVOD NA UCET	3161	15547	UVER	IJ	58578437
2938366	9731	1998-11-12	VYDAJ	PREVOD NA UCET	3161	13536	UVER	IJ	58578437
2938367	9731	1998-12-06	VYDAJ	VYBER	2700	39247	\N	\N	0
2938383	9731	1995-04-09	VYDAJ	PREVOD NA UCET	4967	51595	SIPO	AB	50025022
2938384	9731	1995-05-09	VYDAJ	PREVOD NA UCET	4967	40812	SIPO	AB	50025022
2938385	9731	1995-06-09	VYDAJ	PREVOD NA UCET	4967	45135	SIPO	AB	50025022
2938386	9731	1995-07-09	VYDAJ	PREVOD NA UCET	4967	31274	SIPO	AB	50025022
2938387	9731	1995-08-09	VYDAJ	PREVOD NA UCET	4967	35373	SIPO	AB	50025022
2938388	9731	1995-09-09	VYDAJ	PREVOD NA UCET	4967	36688	SIPO	AB	50025022
2938389	9731	1995-10-09	VYDAJ	PREVOD NA UCET	4967	37511	SIPO	AB	50025022
2938390	9731	1995-11-09	VYDAJ	PREVOD NA UCET	4967	37554	SIPO	AB	50025022
2938391	9731	1995-12-09	VYDAJ	PREVOD NA UCET	4967	24436	SIPO	AB	50025022
2938392	9731	1996-01-09	VYDAJ	PREVOD NA UCET	4967	36656	SIPO	AB	50025022
2938393	9731	1996-02-09	VYDAJ	PREVOD NA UCET	4967	39387	SIPO	AB	50025022
2938394	9731	1996-03-09	VYDAJ	PREVOD NA UCET	4967	38341	SIPO	AB	50025022
2938395	9731	1996-04-09	VYDAJ	PREVOD NA UCET	4967	38815	SIPO	AB	50025022
2938396	9731	1996-05-09	VYDAJ	PREVOD NA UCET	4967	40568	SIPO	AB	50025022
2938397	9731	1996-06-09	VYDAJ	PREVOD NA UCET	4967	48543	SIPO	AB	50025022
2938398	9731	1996-07-09	VYDAJ	PREVOD NA UCET	4967	41062	SIPO	AB	50025022
2938503	9731	1995-10-18	VYBER	VYBER	6914	30597	\N	\N	\N
2938399	9731	1996-08-09	VYDAJ	PREVOD NA UCET	4967	23678	SIPO	AB	50025022
2938400	9731	1996-09-09	VYDAJ	PREVOD NA UCET	4967	33285	SIPO	AB	50025022
2938401	9731	1996-10-09	VYDAJ	PREVOD NA UCET	4967	34310	SIPO	AB	50025022
2938402	9731	1996-11-09	VYDAJ	PREVOD NA UCET	4967	37442	SIPO	AB	50025022
2938403	9731	1996-12-09	VYDAJ	PREVOD NA UCET	4967	46063	SIPO	AB	50025022
2938404	9731	1997-01-09	VYDAJ	PREVOD NA UCET	4967	37709	SIPO	AB	50025022
2938405	9731	1997-02-09	VYDAJ	PREVOD NA UCET	4967	36141	SIPO	AB	50025022
2938406	9731	1997-03-09	VYDAJ	PREVOD NA UCET	4967	33570	SIPO	AB	50025022
2938407	9731	1997-04-09	VYDAJ	PREVOD NA UCET	4967	35496	SIPO	AB	50025022
2938408	9731	1997-05-09	VYDAJ	PREVOD NA UCET	4967	32421	SIPO	AB	50025022
2938409	9731	1997-06-09	VYDAJ	PREVOD NA UCET	4967	36209	SIPO	AB	50025022
2938410	9731	1997-07-09	VYDAJ	PREVOD NA UCET	4967	29721	SIPO	AB	50025022
2938411	9731	1997-08-09	VYDAJ	PREVOD NA UCET	4967	31729	SIPO	AB	50025022
2938412	9731	1997-09-09	VYDAJ	PREVOD NA UCET	4967	29836	SIPO	AB	50025022
2938413	9731	1997-10-09	VYDAJ	PREVOD NA UCET	4967	34348	SIPO	AB	50025022
2938414	9731	1997-11-09	VYDAJ	PREVOD NA UCET	4967	34669	SIPO	AB	50025022
2938415	9731	1997-12-09	VYDAJ	PREVOD NA UCET	4967	44774	SIPO	AB	50025022
2938416	9731	1998-01-09	VYDAJ	PREVOD NA UCET	4967	34706	SIPO	AB	50025022
2938417	9731	1998-02-09	VYDAJ	PREVOD NA UCET	4967	33322	SIPO	AB	50025022
2938418	9731	1998-03-09	VYDAJ	PREVOD NA UCET	4967	35641	SIPO	AB	50025022
2938419	9731	1998-04-09	VYDAJ	PREVOD NA UCET	4967	30653	SIPO	AB	50025022
2938420	9731	1998-05-09	VYDAJ	PREVOD NA UCET	4967	30656	SIPO	AB	50025022
2938421	9731	1998-06-09	VYDAJ	PREVOD NA UCET	4967	41043	SIPO	AB	50025022
2938422	9731	1998-07-09	VYDAJ	PREVOD NA UCET	4967	36166	SIPO	AB	50025022
2938423	9731	1998-08-09	VYDAJ	PREVOD NA UCET	4967	32882	SIPO	AB	50025022
2938424	9731	1998-09-09	VYDAJ	PREVOD NA UCET	4967	35606	SIPO	AB	50025022
2938425	9731	1998-10-09	VYDAJ	PREVOD NA UCET	4967	29407	SIPO	AB	50025022
2938426	9731	1998-11-09	VYDAJ	PREVOD NA UCET	4967	28197	SIPO	AB	50025022
2938427	9731	1998-12-09	VYDAJ	PREVOD NA UCET	4967	32960	SIPO	AB	50025022
2938443	9731	1995-04-07	VYDAJ	PREVOD NA UCET	1320	56562	 	OP	14137328
2938444	9731	1995-05-07	VYDAJ	PREVOD NA UCET	1320	48379	 	OP	14137328
2938445	9731	1995-06-07	VYDAJ	PREVOD NA UCET	1320	56702	 	OP	14137328
2938446	9731	1995-07-07	VYDAJ	PREVOD NA UCET	1320	39541	 	OP	14137328
2938447	9731	1995-08-07	VYDAJ	PREVOD NA UCET	1320	43840	 	OP	14137328
2938448	9731	1995-09-07	VYDAJ	PREVOD NA UCET	1320	41655	 	OP	14137328
2938449	9731	1995-10-07	VYDAJ	PREVOD NA UCET	1320	42478	 	OP	14137328
2938450	9731	1995-11-07	VYDAJ	PREVOD NA UCET	1320	42521	 	OP	14137328
2938451	9731	1995-12-07	VYDAJ	PREVOD NA UCET	1320	29403	 	OP	14137328
2938452	9731	1996-01-07	VYDAJ	PREVOD NA UCET	1320	41623	 	OP	14137328
2938453	9731	1996-02-07	VYDAJ	PREVOD NA UCET	1320	44354	 	OP	14137328
2938454	9731	1996-03-07	VYDAJ	PREVOD NA UCET	1320	43308	 	OP	14137328
2938455	9731	1996-04-07	VYDAJ	PREVOD NA UCET	1320	43782	 	OP	14137328
2938456	9731	1996-05-07	VYDAJ	PREVOD NA UCET	1320	45535	 	OP	14137328
2938457	9731	1996-06-07	VYDAJ	PREVOD NA UCET	1320	53510	 	OP	14137328
2938458	9731	1996-07-07	VYDAJ	PREVOD NA UCET	1320	46029	 	OP	14137328
2938459	9731	1996-08-07	VYDAJ	PREVOD NA UCET	1320	28645	 	OP	14137328
2938460	9731	1996-09-07	VYDAJ	PREVOD NA UCET	1320	38252	 	OP	14137328
2938461	9731	1996-10-07	VYDAJ	PREVOD NA UCET	1320	39277	 	OP	14137328
2938462	9731	1996-11-07	VYDAJ	PREVOD NA UCET	1320	42409	 	OP	14137328
2938463	9731	1996-12-07	VYDAJ	PREVOD NA UCET	1320	51030	 	OP	14137328
2938464	9731	1997-01-07	VYDAJ	PREVOD NA UCET	1320	42676	 	OP	14137328
2938465	9731	1997-02-07	VYDAJ	PREVOD NA UCET	1320	41108	 	OP	14137328
2938466	9731	1997-03-07	VYDAJ	PREVOD NA UCET	1320	38537	 	OP	14137328
2938467	9731	1997-04-07	VYDAJ	PREVOD NA UCET	1320	40463	 	OP	14137328
2938468	9731	1997-05-07	VYDAJ	PREVOD NA UCET	1320	37388	 	OP	14137328
2938469	9731	1997-06-07	VYDAJ	PREVOD NA UCET	1320	41176	 	OP	14137328
2938470	9731	1997-07-07	VYDAJ	PREVOD NA UCET	1320	34688	 	OP	14137328
2938471	9731	1997-08-07	VYDAJ	PREVOD NA UCET	1320	36696	 	OP	14137328
2938472	9731	1997-09-07	VYDAJ	PREVOD NA UCET	1320	34803	 	OP	14137328
2938473	9731	1997-10-07	VYDAJ	PREVOD NA UCET	1320	39315	 	OP	14137328
2938474	9731	1997-11-07	VYDAJ	PREVOD NA UCET	1320	39636	 	OP	14137328
2938475	9731	1997-12-07	VYDAJ	PREVOD NA UCET	1320	49741	 	OP	14137328
2938476	9731	1998-01-07	VYDAJ	PREVOD NA UCET	1320	39673	 	OP	14137328
2938477	9731	1998-02-07	VYDAJ	PREVOD NA UCET	1320	38289	 	OP	14137328
2938478	9731	1998-03-07	VYDAJ	PREVOD NA UCET	1320	40608	 	OP	14137328
2938479	9731	1998-04-07	VYDAJ	PREVOD NA UCET	1320	35620	 	OP	14137328
2938480	9731	1998-05-07	VYDAJ	PREVOD NA UCET	1320	35623	 	OP	14137328
2938481	9731	1998-06-07	VYDAJ	PREVOD NA UCET	1320	46010	 	OP	14137328
2938482	9731	1998-07-07	VYDAJ	PREVOD NA UCET	1320	41133	 	OP	14137328
2938483	9731	1998-08-07	VYDAJ	PREVOD NA UCET	1320	37849	 	OP	14137328
2938484	9731	1998-09-07	VYDAJ	PREVOD NA UCET	1320	40573	 	OP	14137328
2938485	9731	1998-10-07	VYDAJ	PREVOD NA UCET	1320	34374	 	OP	14137328
2938486	9731	1998-11-07	VYDAJ	PREVOD NA UCET	1320	33164	 	OP	14137328
2938487	9731	1998-12-07	VYDAJ	PREVOD NA UCET	1320	37927	 	OP	14137328
2938500	9731	1995-12-06	VYBER	VYBER	22310	30723	\N	\N	\N
2938502	9731	1995-10-18	VYBER	VYBER	3458	27139	\N	\N	\N
2938504	9731	1995-04-25	VYBER	VYBER	13048	34647	\N	\N	\N
2938506	9731	1995-06-17	VYBER	VYBER	21074	24061	\N	\N	\N
2938511	9731	1996-03-19	VYBER	VYBER	2074	33107	\N	\N	\N
2938512	9731	1996-06-26	VYBER	VYBER	3556	28326	\N	\N	\N
2938515	9731	1996-05-10	VYBER	VYBER	5353	35215	\N	\N	\N
2938516	9731	1996-08-07	VYBER	VYBER	11530	29965	\N	\N	\N
2938543	9731	1996-01-11	VYDAJ	VYBER	7800	28856	\N	\N	\N
2938547	9731	1995-12-05	VYDAJ	VYBER	3900	53033	\N	\N	\N
2938548	9731	1996-12-13	VYDAJ	VYBER	8400	34502	\N	\N	\N
2938550	9731	1998-12-11	VYDAJ	VYBER	2400	18760	\N	\N	\N
2938556	9731	1995-06-08	VYDAJ	VYBER	4800	51902	\N	\N	\N
2938560	9731	1995-06-08	VYDAJ	VYBER	1800	50102	\N	\N	\N
2938562	9731	1996-02-26	VYDAJ	VYBER	3300	25626	\N	\N	\N
2938565	9731	1996-07-17	VYDAJ	VYBER	6300	31602	\N	\N	\N
2938567	9731	1997-01-14	VYDAJ	VYBER	5700	28848	\N	\N	\N
2938570	9731	1998-06-11	VYDAJ	VYBER	2700	38343	\N	\N	\N
2938589	9731	1995-04-30	VYDAJ	VYBER	100	34735	SLUZBY	\N	\N
2938590	9731	1995-05-31	VYDAJ	VYBER	100	29576	SLUZBY	\N	\N
2938591	9731	1995-06-30	VYDAJ	VYBER	100	21897	SLUZBY	\N	\N
2938592	9731	1995-07-31	VYDAJ	VYBER	100	26196	SLUZBY	\N	\N
2938593	9731	1995-08-31	VYDAJ	VYBER	100	26911	SLUZBY	\N	\N
2938594	9731	1995-09-30	VYDAJ	VYBER	100	28234	SLUZBY	\N	\N
2938595	9731	1995-10-31	VYDAJ	VYBER	100	24877	SLUZBY	\N	\N
2938596	9731	1995-11-30	VYDAJ	VYBER	100	28487	SLUZBY	\N	\N
2938597	9731	1995-12-31	VYDAJ	VYBER	100	23979	SLUZBY	\N	\N
2938598	9731	1996-01-31	VYDAJ	VYBER	100	26710	SLUZBY	\N	\N
2938599	9731	1996-02-29	VYDAJ	VYBER	100	25664	SLUZBY	\N	\N
2938600	9731	1996-03-31	VYDAJ	VYBER	100	26138	SLUZBY	\N	\N
2938601	9731	1996-04-30	VYDAJ	VYBER	100	27891	SLUZBY	\N	\N
2938602	9731	1996-05-31	VYDAJ	VYBER	100	26384	SLUZBY	\N	\N
2938603	9731	1996-06-30	VYDAJ	VYBER	100	28385	SLUZBY	\N	\N
2938604	9731	1996-07-31	VYDAJ	VYBER	100	22531	SLUZBY	\N	\N
2938605	9731	1996-08-31	VYDAJ	VYBER	100	20608	SLUZBY	\N	\N
2938606	9731	1996-09-30	VYDAJ	VYBER	100	21633	SLUZBY	\N	\N
2938607	9731	1996-10-31	VYDAJ	VYBER	100	24765	SLUZBY	\N	\N
2938608	9731	1996-11-30	VYDAJ	VYBER	100	23904	SLUZBY	\N	\N
2938609	9731	1996-12-31	VYDAJ	VYBER	100	25032	SLUZBY	\N	\N
2938610	9731	1997-01-31	VYDAJ	VYBER	100	23464	SLUZBY	\N	\N
2938611	9731	1997-02-28	VYDAJ	VYBER	100	20893	SLUZBY	\N	\N
2938612	9731	1997-03-31	VYDAJ	VYBER	100	22819	SLUZBY	\N	\N
2938613	9731	1997-04-30	VYDAJ	VYBER	100	19744	SLUZBY	\N	\N
2938614	9731	1997-05-31	VYDAJ	VYBER	100	14050	SLUZBY	\N	\N
2938615	9731	1997-06-30	VYDAJ	VYBER	100	17044	SLUZBY	\N	\N
2938616	9731	1997-07-31	VYDAJ	VYBER	100	19052	SLUZBY	\N	\N
2938617	9731	1997-08-31	VYDAJ	VYBER	100	17159	SLUZBY	\N	\N
2938618	9731	1997-09-30	VYDAJ	VYBER	100	21671	SLUZBY	\N	\N
2938619	9731	1997-10-31	VYDAJ	VYBER	100	21992	SLUZBY	\N	\N
2938620	9731	1997-11-30	VYDAJ	VYBER	100	22615	SLUZBY	\N	\N
2938621	9731	1997-12-31	VYDAJ	VYBER	100	22029	SLUZBY	\N	\N
2938622	9731	1998-01-31	VYDAJ	VYBER	100	20645	SLUZBY	\N	\N
2938623	9731	1998-02-28	VYDAJ	VYBER	100	22964	SLUZBY	\N	\N
2938624	9731	1998-03-31	VYDAJ	VYBER	100	17976	SLUZBY	\N	\N
2938625	9731	1998-04-30	VYDAJ	VYBER	100	17979	SLUZBY	\N	\N
2938626	9731	1998-05-31	VYDAJ	VYBER	100	18884	SLUZBY	\N	\N
2938627	9731	1998-06-30	VYDAJ	VYBER	100	23489	SLUZBY	\N	\N
2938628	9731	1998-07-31	VYDAJ	VYBER	100	20205	SLUZBY	\N	\N
2938629	9731	1998-08-31	VYDAJ	VYBER	100	22929	SLUZBY	\N	\N
2938630	9731	1998-09-30	VYDAJ	VYBER	100	16730	SLUZBY	\N	\N
2938631	9731	1998-10-31	VYDAJ	VYBER	100	15520	SLUZBY	\N	\N
2938632	9731	1998-11-30	VYDAJ	VYBER	100	13501	SLUZBY	\N	\N
2938633	9731	1994-12-31	VYDAJ	VYBER	1500	27551	\N	\N	\N
2938634	9731	1995-01-30	VYDAJ	VYBER	14000	32515	\N	\N	\N
2938635	9731	1995-03-01	VYDAJ	VYBER	13100	38630	\N	\N	\N
2938636	9731	1995-03-31	VYDAJ	VYBER	18900	38918	\N	\N	\N
2938637	9731	1995-04-30	VYDAJ	VYBER	4000	30735	\N	\N	\N
2938638	9731	1995-05-30	VYDAJ	VYBER	11300	29512	\N	\N	\N
2938639	9731	1995-06-29	PRIJEM	VKLAD	700	21861	\N	\N	\N
2938640	9731	1995-07-29	VYDAJ	VYBER	5100	26174	\N	\N	\N
2938641	9731	1995-08-28	VYDAJ	VYBER	8500	26873	\N	\N	\N
2938642	9731	1995-09-27	VYDAJ	VYBER	8500	28188	\N	\N	\N
2938643	9731	1995-10-27	VYDAJ	VYBER	2300	24839	\N	\N	\N
2938644	9731	1995-11-26	VYDAJ	VYBER	5600	28454	\N	\N	\N
2938645	9731	1995-12-26	PRIJEM	VKLAD	2700	23975	\N	\N	\N
2938646	9731	1996-01-25	PRIJEM	VKLAD	1000	26696	\N	\N	\N
2938647	9731	1996-02-24	VYDAJ	VYBER	7300	28926	\N	\N	\N
2938648	9731	1996-03-25	VYDAJ	VYBER	7000	26107	\N	\N	\N
2938649	9731	1996-04-24	VYDAJ	VYBER	7800	27855	\N	\N	\N
2938650	9731	1996-05-24	VYDAJ	VYBER	5700	26354	\N	\N	\N
2938651	9731	1996-06-23	VYDAJ	VYBER	13500	31882	\N	\N	\N
2938652	9731	1996-07-23	VYDAJ	VYBER	9100	22502	\N	\N	\N
2938653	9731	1996-08-22	PRIJEM	VKLAD	100	20617	\N	\N	\N
2938654	9731	1996-09-21	VYDAJ	VYBER	8500	21624	\N	\N	\N
2938655	9731	1996-10-21	VYDAJ	VYBER	6400	24750	\N	\N	\N
2938656	9731	1996-11-20	VYDAJ	VYBER	10400	23882	\N	\N	\N
2938657	9731	1996-12-20	VYDAJ	VYBER	9500	25002	\N	\N	\N
2938658	9731	1997-01-19	VYDAJ	VYBER	5400	23448	\N	\N	\N
2938659	9731	1997-02-18	VYDAJ	VYBER	12100	20880	\N	\N	\N
2938660	9731	1997-03-20	VYDAJ	VYBER	7600	22809	\N	\N	\N
2938661	9731	1997-04-19	VYDAJ	VYBER	12600	19735	\N	\N	\N
2938662	9731	1997-05-19	VYDAJ	VYBER	15200	14060	\N	\N	\N
2938663	9731	1997-06-18	VYDAJ	VYBER	16000	17049	\N	\N	\N
2938664	9731	1997-07-18	VYDAJ	VYBER	7500	19061	\N	\N	\N
2938665	9731	1997-08-17	VYDAJ	VYBER	11400	17168	\N	\N	\N
2938666	9731	1997-09-16	VYDAJ	VYBER	5000	21676	\N	\N	\N
2938667	9731	1997-10-16	VYDAJ	VYBER	9200	21987	\N	\N	\N
2938668	9731	1997-11-15	VYDAJ	VYBER	8900	22609	\N	\N	\N
2938669	9731	1997-12-15	VYDAJ	VYBER	19600	22013	\N	\N	\N
2938670	9731	1998-01-14	VYDAJ	VYBER	10900	20645	\N	\N	\N
2938671	9731	1998-02-13	VYDAJ	VYBER	7200	22961	\N	\N	\N
2938672	9731	1998-03-15	VYDAJ	VYBER	14500	17980	\N	\N	\N
2938673	9731	1998-04-14	VYDAJ	VYBER	9500	17993	\N	\N	\N
2938674	9731	1998-05-14	VYDAJ	VYBER	8600	18896	\N	\N	\N
2938675	9731	1998-06-13	VYDAJ	VYBER	11700	23482	\N	\N	\N
2938676	9731	1998-07-13	VYDAJ	VYBER	12800	20206	\N	\N	\N
2938677	9731	1998-08-12	VYDAJ	VYBER	6800	26082	\N	\N	\N
2938678	9731	1998-09-11	VYDAJ	VYBER	15700	19906	\N	\N	\N
2938679	9731	1998-10-11	VYDAJ	VYBER	10700	18707	\N	\N	\N
2938680	9731	1998-11-10	VYDAJ	VYBER	11500	16697	\N	\N	\N
2938681	9731	1998-12-10	VYDAJ	VYBER	11800	21160	\N	\N	\N
2944183	9750	1994-05-16	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2944185	9750	1994-10-24	PRIJEM	VKLAD	44471	66149	\N	\N	\N
2944186	9750	1994-07-05	PRIJEM	VKLAD	48906	61006	\N	\N	\N
2944187	9750	1994-07-08	PRIJEM	VKLAD	6522	67528	\N	\N	\N
2944188	9750	1994-09-14	PRIJEM	VKLAD	31880	72830	\N	\N	\N
2944190	9750	1994-07-31	PRIJEM	VKLAD	14032	59590	\N	\N	\N
2944192	9750	1994-08-06	PRIJEM	VKLAD	23195	82785	\N	\N	\N
2944194	9750	1995-09-16	PRIJEM	VKLAD	6361	23933	\N	\N	\N
2944195	9750	1995-12-04	PRIJEM	VKLAD	40102	68191	\N	\N	\N
2944196	9750	1995-08-16	PRIJEM	VKLAD	21222	35383	\N	\N	\N
2944197	9750	1995-03-08	PRIJEM	VKLAD	30873	67927	\N	\N	\N
2944198	9750	1995-03-20	PRIJEM	VKLAD	46379	90640	\N	\N	\N
2944199	9750	1995-01-26	PRIJEM	VKLAD	16226	31821	\N	\N	\N
2944200	9750	1995-05-02	PRIJEM	VKLAD	39999	135446	\N	\N	\N
2944201	9750	1995-05-17	PRIJEM	VKLAD	7787	54072	\N	\N	\N
2944202	9750	1995-03-12	PRIJEM	VKLAD	44845	138621	\N	\N	\N
2944203	9750	1995-02-16	PRIJEM	VKLAD	13536	36864	\N	\N	\N
2944204	9750	1995-03-11	PRIJEM	VKLAD	25849	93776	\N	\N	\N
2944205	9750	1995-01-22	PRIJEM	VKLAD	16005	15595	\N	\N	\N
2944206	9750	1995-12-30	PRIJEM	VKLAD	33948	52547	\N	\N	\N
2944207	9750	1995-04-16	PRIJEM	VKLAD	6740	62927	\N	\N	\N
2944208	9750	1995-11-14	PRIJEM	VKLAD	21156	27925	\N	\N	\N
2944209	9750	1995-04-20	PRIJEM	VKLAD	31994	94921	\N	\N	\N
2944210	9750	1996-06-08	PRIJEM	VKLAD	16257	65326	\N	\N	\N
2944211	9750	1996-03-26	PRIJEM	VKLAD	10773	42512	\N	\N	\N
2944212	9750	1996-01-22	PRIJEM	VKLAD	30464	45058	\N	\N	\N
2944213	9750	1996-10-14	PRIJEM	VKLAD	41624	72966	\N	\N	\N
2944214	9750	1996-09-23	PRIJEM	VKLAD	20043	47851	\N	\N	\N
2944215	9750	1996-03-10	PRIJEM	VKLAD	10090	45399	\N	\N	\N
2944216	9750	1996-07-02	PRIJEM	VKLAD	26472	98152	\N	\N	\N
2944217	9750	1996-06-29	PRIJEM	VKLAD	25080	71304	\N	\N	\N
2944218	9750	1996-06-18	PRIJEM	VKLAD	45567	65732	\N	\N	\N
2944219	9750	1996-02-23	PRIJEM	VKLAD	9573	44767	\N	\N	\N
2944220	9750	1996-04-08	PRIJEM	VKLAD	19751	53651	\N	\N	\N
2944221	9750	1996-08-19	PRIJEM	VKLAD	36003	74402	\N	\N	\N
2944222	9750	1996-11-21	PRIJEM	VKLAD	21570	38124	\N	\N	\N
2944223	9750	1996-05-13	PRIJEM	VKLAD	42905	70612	\N	\N	\N
2944224	9750	1997-03-05	PRIJEM	VKLAD	34174	91217	\N	\N	\N
2944225	9750	1997-06-01	PRIJEM	VKLAD	41770	89740	\N	\N	\N
2944226	9750	1997-06-22	PRIJEM	VKLAD	25854	136963	\N	\N	\N
2944227	9750	1997-04-23	PRIJEM	VKLAD	46625	103561	\N	\N	\N
2944228	9750	1997-03-04	PRIJEM	VKLAD	22198	57043	\N	\N	\N
2944229	9750	1997-06-30	PRIJEM	VKLAD	37562	64503	\N	\N	\N
2944230	9750	1997-01-11	PRIJEM	VKLAD	20199	50297	\N	\N	\N
2944231	9750	1997-12-17	PRIJEM	VKLAD	15640	53716	\N	\N	\N
2944232	9750	1997-02-04	PRIJEM	VKLAD	12499	46858	\N	\N	\N
2944233	9750	1997-04-25	PRIJEM	VKLAD	32760	136321	\N	\N	\N
2944234	9750	1997-12-02	PRIJEM	VKLAD	44343	59837	\N	\N	\N
2944235	9750	1997-08-05	PRIJEM	VKLAD	29247	60205	\N	\N	\N
2944236	9750	1997-12-30	PRIJEM	VKLAD	11780	52396	\N	\N	\N
2944237	9750	1997-05-11	PRIJEM	VKLAD	42677	88681	\N	\N	\N
2944238	9750	1997-06-21	PRIJEM	VKLAD	11119	111109	\N	\N	\N
2944239	9750	1997-01-03	PRIJEM	VKLAD	22955	48098	\N	\N	\N
2944240	9750	1997-01-29	PRIJEM	VKLAD	24632	47819	\N	\N	\N
2944241	9750	1997-05-14	PRIJEM	VKLAD	18644	104164	\N	\N	\N
2944242	9750	1997-05-16	PRIJEM	VKLAD	22504	126668	\N	\N	\N
2944243	9750	1997-07-06	PRIJEM	VKLAD	14541	79297	\N	\N	\N
2944244	9750	1997-03-01	PRIJEM	VKLAD	31039	44345	\N	\N	\N
2944245	9750	1997-11-07	PRIJEM	VKLAD	5507	13119	\N	\N	\N
2944246	9750	1997-03-22	PRIJEM	VKLAD	32112	120168	\N	\N	\N
2944247	9750	1997-06-12	PRIJEM	VKLAD	36546	103150	\N	\N	\N
2944248	9750	1997-03-25	PRIJEM	VKLAD	8873	94541	\N	\N	\N
2944249	9750	1998-12-12	PRIJEM	VKLAD	31570	95737	\N	\N	\N
2944250	9750	1998-06-01	PRIJEM	VKLAD	49888	90958	\N	\N	\N
2944251	9750	1998-12-01	PRIJEM	VKLAD	34189	59800	\N	\N	\N
2944252	9750	1998-07-13	PRIJEM	VKLAD	45361	60189	\N	\N	\N
2944253	9750	1998-04-21	PRIJEM	VKLAD	10523	107985	\N	\N	\N
2944254	9750	1998-03-29	PRIJEM	VKLAD	31019	77216	\N	\N	\N
2944255	9750	1998-12-29	PRIJEM	VKLAD	49332	108609	\N	\N	\N
2944256	9750	1998-03-24	PRIJEM	VKLAD	46336	72997	\N	\N	\N
2944257	9750	1998-09-29	PRIJEM	VKLAD	16531	57882	\N	\N	\N
2944258	9750	1998-11-16	PRIJEM	VKLAD	15171	33293	\N	\N	\N
2944259	9750	1998-09-05	PRIJEM	VKLAD	42453	75812	\N	\N	\N
2944260	9750	1998-12-05	PRIJEM	VKLAD	36150	83950	\N	\N	\N
2944261	9750	1998-01-21	PRIJEM	VKLAD	30367	66711	\N	\N	\N
2944262	9750	1998-05-13	PRIJEM	VKLAD	9311	68845	\N	\N	\N
2944263	9750	1998-04-17	PRIJEM	VKLAD	31241	105562	\N	\N	\N
2944264	9750	1998-07-13	PRIJEM	VKLAD	38994	99183	\N	\N	\N
2944274	9750	1994-10-16	VYDAJ	VYBER	2900	21678	\N	\N	0
2944275	9750	1994-11-21	VYDAJ	VYBER	2800	19430	\N	\N	0
2944277	9750	1995-01-05	VYDAJ	VYBER	3100	1324	\N	\N	0
2944278	9750	1995-02-12	VYDAJ	PREVOD NA UCET	3161	23328	UVER	OP	14637118
2944279	9750	1995-03-12	VYDAJ	PREVOD NA UCET	3161	135461	UVER	OP	14637118
2944280	9750	1995-04-12	VYDAJ	PREVOD NA UCET	3161	56187	UVER	OP	14637118
2944281	9750	1995-05-12	VYDAJ	PREVOD NA UCET	3161	46285	UVER	OP	14637118
2944282	9750	1995-06-12	VYDAJ	PREVOD NA UCET	3161	19378	UVER	OP	14637118
2944283	9750	1995-07-12	VYDAJ	PREVOD NA UCET	3161	10392	UVER	OP	14637118
2944284	9750	1995-08-12	VYDAJ	PREVOD NA UCET	3161	14161	UVER	OP	14637118
2944285	9750	1995-09-12	VYDAJ	PREVOD NA UCET	3161	17572	UVER	OP	14637118
2944286	9750	1995-10-12	VYDAJ	PREVOD NA UCET	3161	21745	UVER	OP	14637118
2944287	9750	1995-11-12	VYDAJ	PREVOD NA UCET	3161	6769	UVER	OP	14637118
2944288	9750	1995-12-12	VYDAJ	PREVOD NA UCET	3161	45130	UVER	OP	14637118
2944289	9750	1996-01-12	VYDAJ	PREVOD NA UCET	3161	14594	UVER	OP	14637118
2944290	9750	1996-02-12	VYDAJ	PREVOD NA UCET	3161	35194	UVER	OP	14637118
2944291	9750	1996-03-12	VYDAJ	PREVOD NA UCET	3161	42239	UVER	OP	14637118
2944292	9750	1996-04-12	VYDAJ	PREVOD NA UCET	3161	50491	UVER	OP	14637118
2944293	9750	1996-05-12	VYDAJ	PREVOD NA UCET	3161	27707	UVER	OP	14637118
2944294	9750	1996-06-12	VYDAJ	PREVOD NA UCET	3161	28265	UVER	OP	14637118
2944295	9750	1996-07-12	VYDAJ	PREVOD NA UCET	3161	59191	UVER	OP	14637118
2944296	9750	1996-08-12	VYDAJ	PREVOD NA UCET	3161	38399	UVER	OP	14637118
2944297	9750	1996-09-12	VYDAJ	PREVOD NA UCET	3161	27808	UVER	OP	14637118
2944298	9750	1996-10-12	VYDAJ	PREVOD NA UCET	3161	31342	UVER	OP	14637118
2944299	9750	1996-11-12	VYDAJ	PREVOD NA UCET	3161	32432	UVER	OP	14637118
2944300	9750	1996-12-12	VYDAJ	PREVOD NA UCET	3161	30175	UVER	OP	14637118
2944301	9750	1997-01-12	VYDAJ	PREVOD NA UCET	3161	47136	UVER	OP	14637118
2944302	9750	1997-02-12	VYDAJ	PREVOD NA UCET	3161	40998	UVER	OP	14637118
2944303	9750	1997-03-12	VYDAJ	PREVOD NA UCET	3161	88056	UVER	OP	14637118
2944304	9750	1997-04-12	VYDAJ	PREVOD NA UCET	3161	56936	UVER	OP	14637118
2944305	9750	1997-05-12	VYDAJ	PREVOD NA UCET	3161	85520	UVER	OP	14637118
2944306	9750	1997-06-12	VYDAJ	PREVOD NA UCET	3161	99990	UVER	OP	14637118
2944307	9750	1997-07-12	VYDAJ	PREVOD NA UCET	3161	76136	UVER	OP	14637118
2944308	9750	1997-08-12	VYDAJ	PREVOD NA UCET	3161	38650	UVER	OP	14637118
2944309	9750	1997-09-12	VYDAJ	PREVOD NA UCET	3161	30936	UVER	OP	14637118
2944310	9750	1997-10-12	VYDAJ	PREVOD NA UCET	3161	24283	UVER	OP	14637118
2944312	9750	1997-12-12	VYDAJ	PREVOD NA UCET	3161	42576	UVER	OP	14637118
2944313	9750	1998-01-12	VYDAJ	PREVOD NA UCET	3161	49544	UVER	OP	14637118
2944314	9750	1998-02-12	VYDAJ	PREVOD NA UCET	3161	44609	UVER	OP	14637118
2944315	9750	1998-03-12	VYDAJ	PREVOD NA UCET	3161	26661	UVER	OP	14637118
2944316	9750	1998-04-12	VYDAJ	PREVOD NA UCET	3161	74321	UVER	OP	14637118
2944317	9750	1998-05-12	VYDAJ	PREVOD NA UCET	3161	59534	UVER	OP	14637118
2944318	9750	1998-06-12	VYDAJ	PREVOD NA UCET	3161	63624	UVER	OP	14637118
2944320	9750	1998-08-12	VYDAJ	PREVOD NA UCET	3161	54519	UVER	OP	14637118
2944321	9750	1998-09-12	VYDAJ	PREVOD NA UCET	3161	62751	UVER	OP	14637118
2944322	9750	1998-10-12	VYDAJ	PREVOD NA UCET	3161	46937	UVER	OP	14637118
2944323	9750	1998-11-12	VYDAJ	PREVOD NA UCET	3161	18122	UVER	OP	14637118
2944324	9750	1998-12-12	VYDAJ	PREVOD NA UCET	3161	92577	UVER	OP	14637118
2944327	9750	1994-11-12	VYBER	VYBER	15893	47818	\N	\N	\N
2944330	9750	1994-09-17	VYBER	VYBER	23226	49604	\N	\N	\N
2944331	9750	1994-10-06	VYBER	VYBER	17359	18278	\N	\N	\N
2944334	9750	1994-10-24	VYBER	VYBER	2729	63420	\N	\N	\N
2944335	9750	1994-11-20	VYBER	VYBER	15288	22230	\N	\N	\N
2944337	9750	1994-10-05	VYBER	VYBER	14305	35637	\N	\N	\N
2944338	9750	1995-01-28	VYBER	VYBER	7692	24129	\N	\N	\N
2944340	9750	1995-11-10	VYBER	VYBER	14266	9929	\N	\N	\N
2944341	9750	1995-01-17	VYBER	VYBER	12834	-410	\N	\N	\N
2944343	9750	1995-06-24	VYBER	VYBER	13662	5716	\N	\N	\N
2944344	9750	1995-06-07	VYBER	VYBER	22150	32382	\N	\N	\N
2944345	9750	1995-06-10	VYBER	VYBER	12744	22538	\N	\N	\N
2944346	9750	1995-12-29	VYBER	VYBER	18431	18599	\N	\N	\N
2944347	9750	1995-09-02	VYBER	VYBER	20210	15332	\N	\N	\N
2944349	9750	1996-09-07	VYBER	VYBER	12288	37869	\N	\N	\N
2944350	9750	1996-11-18	VYBER	VYBER	15878	16554	\N	\N	\N
2944351	9750	1996-06-23	VYBER	VYBER	5408	46224	\N	\N	\N
2944352	9750	1996-10-15	VYBER	VYBER	20629	52337	\N	\N	\N
2944353	9750	1996-11-12	VYBER	VYBER	4244	35592	\N	\N	\N
2944354	9750	1996-05-16	VYBER	VYBER	5858	64754	\N	\N	\N
2944355	9750	1997-11-06	VYBER	VYBER	17129	7612	\N	\N	\N
2944356	9750	1997-06-10	VYBER	VYBER	11736	66604	\N	\N	\N
2944357	9750	1997-02-18	VYBER	VYBER	15986	13175	\N	\N	\N
2944358	9750	1997-02-15	VYBER	VYBER	11837	29161	\N	\N	\N
2944359	9750	1997-08-05	VYBER	VYBER	18394	41811	\N	\N	\N
2944360	9750	1997-01-17	VYBER	VYBER	23949	23187	\N	\N	\N
2944361	9750	1997-07-31	VYBER	VYBER	18390	30973	\N	\N	\N
2944362	9750	1997-05-20	VYBER	VYBER	8790	74878	\N	\N	\N
2944364	9750	1998-12-09	VYBER	VYBER	13183	64167	\N	\N	\N
2944365	9750	1998-10-19	VYBER	VYBER	18990	27947	\N	\N	\N
2944367	9750	1998-06-07	VYBER	VYBER	24174	66784	\N	\N	\N
2944368	9750	1998-07-02	VYBER	VYBER	21862	14828	\N	\N	\N
2944371	9750	1996-06-09	VYDAJ	VYBER	33900	31426	\N	\N	\N
2944372	9750	1997-06-23	VYDAJ	VYBER	54300	25363	\N	\N	\N
2944376	9750	1996-01-10	VYDAJ	VYBER	22800	17755	\N	\N	\N
2944377	9750	1997-01-03	VYDAJ	VYBER	18000	30098	\N	\N	\N
2944378	9750	1998-01-17	VYDAJ	VYBER	13200	36344	\N	\N	\N
2944379	9750	1994-12-19	VYDAJ	VYBER	7500	6825	\N	\N	\N
2944380	9750	1995-12-28	VYDAJ	VYBER	8100	37030	\N	\N	\N
2944381	9750	1996-12-27	VYDAJ	VYBER	3900	26275	\N	\N	\N
2944382	9750	1997-12-14	VYDAJ	VYBER	4500	38076	\N	\N	\N
2944383	9750	1998-12-06	VYDAJ	VYBER	6600	77350	\N	\N	\N
2944385	9750	1994-11-28	VYDAJ	VYBER	7200	-670	\N	\N	\N
2944388	9750	1994-11-23	VYDAJ	VYBER	12900	6530	\N	\N	\N
2944389	9750	1995-09-16	VYDAJ	VYBER	2100	21833	\N	\N	\N
2944390	9750	1995-07-14	VYDAJ	VYBER	3000	7392	\N	\N	\N
2944391	9750	1995-05-04	VYDAJ	VYBER	13800	74246	\N	\N	\N
2944392	9750	1995-01-01	VYDAJ	VYBER	2400	4424	\N	\N	\N
2944393	9750	1996-09-07	VYDAJ	VYBER	6900	30969	\N	\N	\N
2944394	9750	1996-03-15	VYDAJ	VYBER	10500	31739	\N	\N	\N
2944395	9750	1996-06-21	VYDAJ	VYBER	14100	51632	\N	\N	\N
2944396	9750	1996-06-17	VYDAJ	VYBER	8100	20165	\N	\N	\N
2944397	9750	1996-04-16	VYDAJ	VYBER	13500	36991	\N	\N	\N
2944398	9750	1997-09-18	VYDAJ	VYBER	12000	18936	\N	\N	\N
2944399	9750	1997-12-02	VYDAJ	VYBER	14100	45737	\N	\N	\N
2944400	9750	1997-02-10	VYDAJ	VYBER	2700	44158	\N	\N	\N
2944401	9750	1997-12-01	VYDAJ	VYBER	8700	15494	\N	\N	\N
2944402	9750	1997-06-03	VYDAJ	VYBER	11400	78340	\N	\N	\N
2944403	9750	1998-09-10	VYDAJ	VYBER	9900	65912	\N	\N	\N
2944404	9750	1998-03-10	VYDAJ	VYBER	8100	29822	\N	\N	\N
2944405	9750	1998-04-20	VYDAJ	VYBER	8100	97462	\N	\N	\N
2944406	9750	1998-09-29	VYDAJ	VYBER	8100	49782	\N	\N	\N
2944407	9750	1998-12-04	VYDAJ	VYBER	12000	47800	\N	\N	\N
2944417	9750	1994-09-30	VYDAJ	VYBER	15	49942	SLUZBY	\N	\N
2944418	9750	1994-10-31	VYDAJ	VYBER	15	63711	SLUZBY	\N	\N
2944419	9750	1994-11-30	VYDAJ	VYBER	15	-373	SLUZBY	\N	\N
2944420	9750	1994-12-31	VYDAJ	VYBER	15	6831	SLUZBY	\N	\N
2944421	9750	1995-01-31	VYDAJ	VYBER	15	24193	SLUZBY	\N	\N
2944422	9750	1995-02-28	VYDAJ	VYBER	15	37054	SLUZBY	\N	\N
2944423	9750	1995-03-31	VYDAJ	VYBER	15	91248	SLUZBY	\N	\N
2944424	9750	1995-04-30	VYDAJ	VYBER	15	95447	SLUZBY	\N	\N
2944425	9750	1995-05-31	VYDAJ	VYBER	15	54532	SLUZBY	\N	\N
2944426	9750	1995-06-30	VYDAJ	VYBER	15	5852	SLUZBY	\N	\N
2944427	9750	1995-07-31	VYDAJ	VYBER	15	7421	SLUZBY	\N	\N
2944428	9750	1995-08-31	VYDAJ	VYBER	15	35542	SLUZBY	\N	\N
2944429	9750	1995-09-30	VYDAJ	VYBER	15	22005	SLUZBY	\N	\N
2944430	9750	1995-10-31	VYDAJ	VYBER	15	21895	SLUZBY	\N	\N
2944431	9750	1995-11-30	VYDAJ	VYBER	15	28089	SLUZBY	\N	\N
2944432	9750	1995-12-31	VYDAJ	VYBER	15	52855	SLUZBY	\N	\N
2944433	9750	1996-01-31	VYDAJ	VYBER	15	45255	SLUZBY	\N	\N
2944434	9750	1996-02-29	VYDAJ	VYBER	15	45009	SLUZBY	\N	\N
2944435	9750	1996-03-31	VYDAJ	VYBER	15	42800	SLUZBY	\N	\N
2944436	9750	1996-04-30	VYDAJ	VYBER	15	37267	SLUZBY	\N	\N
2944437	9750	1996-05-31	VYDAJ	VYBER	15	65169	SLUZBY	\N	\N
2944438	9750	1996-06-30	VYDAJ	VYBER	15	71680	SLUZBY	\N	\N
2944439	9750	1996-07-31	VYDAJ	VYBER	15	59659	SLUZBY	\N	\N
2944440	9750	1996-08-31	VYDAJ	VYBER	15	74857	SLUZBY	\N	\N
2944441	9750	1996-09-30	VYDAJ	VYBER	15	48103	SLUZBY	\N	\N
2944442	9750	1996-10-31	VYDAJ	VYBER	15	52636	SLUZBY	\N	\N
2944443	9750	1996-11-30	VYDAJ	VYBER	15	38336	SLUZBY	\N	\N
2944444	9750	1996-12-31	VYDAJ	VYBER	15	26443	SLUZBY	\N	\N
2944445	9750	1997-01-31	VYDAJ	VYBER	15	34359	SLUZBY	\N	\N
2944446	9750	1997-02-28	VYDAJ	VYBER	15	13306	SLUZBY	\N	\N
2944447	9750	1997-03-31	VYDAJ	VYBER	15	60097	SLUZBY	\N	\N
2944448	9750	1997-04-30	VYDAJ	VYBER	15	72804	SLUZBY	\N	\N
2944449	9750	1997-05-31	VYDAJ	VYBER	15	47970	SLUZBY	\N	\N
2944450	9750	1997-06-30	VYDAJ	VYBER	15	64756	SLUZBY	\N	\N
2944451	9750	1997-07-31	VYDAJ	VYBER	15	30958	SLUZBY	\N	\N
2944452	9750	1997-08-31	VYDAJ	VYBER	15	34097	SLUZBY	\N	\N
2944453	9750	1997-09-30	VYDAJ	VYBER	15	27443	SLUZBY	\N	\N
2944454	9750	1997-10-31	VYDAJ	VYBER	15	24741	SLUZBY	\N	\N
2944455	9750	1997-11-30	VYDAJ	VYBER	15	24194	SLUZBY	\N	\N
2944456	9750	1997-12-31	VYDAJ	VYBER	15	52705	SLUZBY	\N	\N
2944457	9750	1998-01-31	VYDAJ	VYBER	15	47770	SLUZBY	\N	\N
2944458	9750	1998-02-28	VYDAJ	VYBER	15	37922	SLUZBY	\N	\N
2944459	9750	1998-03-31	VYDAJ	VYBER	15	77482	SLUZBY	\N	\N
2944460	9750	1998-04-30	VYDAJ	VYBER	15	62695	SLUZBY	\N	\N
2944461	9750	1998-05-31	VYDAJ	VYBER	15	41070	SLUZBY	\N	\N
2944462	9750	1998-06-30	VYDAJ	VYBER	15	36690	SLUZBY	\N	\N
2944463	9750	1998-07-31	VYDAJ	VYBER	15	57680	SLUZBY	\N	\N
2944464	9750	1998-08-31	VYDAJ	VYBER	15	33359	SLUZBY	\N	\N
2944465	9750	1998-09-30	VYDAJ	VYBER	15	50098	SLUZBY	\N	\N
2944466	9750	1998-10-31	VYDAJ	VYBER	15	21283	SLUZBY	\N	\N
2944467	9750	1998-11-30	VYDAJ	VYBER	15	25611	SLUZBY	\N	\N
2944468	9750	1994-06-15	PRIJEM	VKLAD	11100	12100	\N	\N	\N
2944469	9750	1994-07-15	VYDAJ	VYBER	22300	45228	\N	\N	\N
2944470	9750	1994-08-14	VYDAJ	VYBER	27000	55785	\N	\N	\N
2944471	9750	1994-09-13	VYDAJ	VYBER	15200	40950	\N	\N	\N
2944472	9750	1994-10-13	PRIJEM	VKLAD	6300	24578	\N	\N	\N
2944473	9750	1994-11-12	VYDAJ	VYBER	10300	37518	\N	\N	\N
2944474	9750	1994-12-12	PRIJEM	VKLAD	14700	14325	\N	\N	\N
2944475	9750	1995-01-11	PRIJEM	VKLAD	11100	12424	\N	\N	\N
2944476	9750	1995-02-10	PRIJEM	VKLAD	2300	26489	\N	\N	\N
2944477	9750	1995-03-12	VYDAJ	VYBER	23400	98461	\N	\N	\N
2944478	9750	1995-03-12	VYDAJ	VYBER	54200	44261	\N	\N	\N
2944479	9750	1995-03-12	VYDAJ	VYBER	13600	121861	\N	\N	\N
2944480	9750	1995-04-11	VYDAJ	VYBER	31900	59348	\N	\N	\N
2944481	9750	1995-05-02	VYDAJ	VYBER	47400	88046	\N	\N	\N
2944482	9750	1995-05-11	VYDAJ	VYBER	24800	49446	\N	\N	\N
2944483	9750	1995-06-10	PRIJEM	VKLAD	2900	35282	\N	\N	\N
2944484	9750	1995-07-10	PRIJEM	VKLAD	7700	13552	\N	\N	\N
2944485	9750	1995-08-09	PRIJEM	VKLAD	9900	17321	\N	\N	\N
2944486	9750	1995-09-08	PRIJEM	VKLAD	5400	20732	\N	\N	\N
2944487	9750	1995-10-08	PRIJEM	VKLAD	2900	24905	\N	\N	\N
2944488	9750	1995-11-07	PRIJEM	VKLAD	2300	24195	\N	\N	\N
2944489	9750	1995-12-07	VYDAJ	VYBER	19900	48291	\N	\N	\N
2944490	9750	1996-01-06	VYDAJ	VYBER	12300	40555	\N	\N	\N
2944491	9750	1996-02-05	VYDAJ	VYBER	6900	38355	\N	\N	\N
2944492	9750	1996-03-06	VYDAJ	VYBER	9700	35309	\N	\N	\N
2944493	9750	1996-04-05	VYDAJ	VYBER	8900	33900	\N	\N	\N
2944494	9750	1996-05-05	VYDAJ	VYBER	6400	30867	\N	\N	\N
2944495	9750	1996-06-04	VYDAJ	VYBER	16100	49069	\N	\N	\N
2944496	9750	1996-07-04	VYDAJ	VYBER	35800	62352	\N	\N	\N
2944497	9750	1996-08-03	VYDAJ	VYBER	18100	41559	\N	\N	\N
2944498	9750	1996-09-02	VYDAJ	VYBER	24700	50157	\N	\N	\N
2944499	9750	1996-10-02	VYDAJ	VYBER	13600	34503	\N	\N	\N
2944500	9750	1996-11-01	VYDAJ	VYBER	12800	39836	\N	\N	\N
2944501	9750	1996-12-01	VYDAJ	VYBER	5000	33336	\N	\N	\N
2944502	9750	1996-12-31	VYDAJ	VYBER	1300	25143	\N	\N	\N
2944503	9750	1997-01-30	VYDAJ	VYBER	13700	34119	\N	\N	\N
2944504	9750	1997-03-01	VYDAJ	VYBER	9500	34845	\N	\N	\N
2944505	9750	1997-03-22	VYDAJ	VYBER	34500	85668	\N	\N	\N
2944506	9750	1997-03-31	VYDAJ	VYBER	35100	60111	\N	\N	\N
2944507	9750	1997-04-25	VYDAJ	VYBER	64000	72321	\N	\N	\N
2944508	9750	1997-04-30	VYDAJ	VYBER	26800	46004	\N	\N	\N
2944509	9750	1997-05-16	VYDAJ	VYBER	43000	83668	\N	\N	\N
2944510	9750	1997-05-30	VYDAJ	VYBER	27400	47478	\N	\N	\N
2944511	9750	1997-06-22	VYDAJ	VYBER	57300	79663	\N	\N	\N
2944512	9750	1997-06-29	PRIJEM	VKLAD	1300	26663	\N	\N	\N
2944513	9750	1997-07-29	VYDAJ	VYBER	27300	48836	\N	\N	\N
2944514	9750	1997-08-28	VYDAJ	VYBER	4800	33850	\N	\N	\N
2944515	9750	1997-09-27	PRIJEM	VKLAD	8400	27336	\N	\N	\N
2944516	9750	1997-10-27	PRIJEM	VKLAD	300	24583	\N	\N	\N
2944517	9750	1997-11-26	PRIJEM	VKLAD	11000	24119	\N	\N	\N
2944518	9750	1997-12-26	VYDAJ	VYBER	13100	40616	\N	\N	\N
2944519	9750	1998-01-25	VYDAJ	VYBER	19200	47511	\N	\N	\N
2944520	9750	1998-02-24	VYDAJ	VYBER	7000	37609	\N	\N	\N
2944521	9750	1998-03-26	VYDAJ	VYBER	26800	46197	\N	\N	\N
2944522	9750	1998-04-25	VYDAJ	VYBER	45900	62085	\N	\N	\N
2944523	9750	1998-05-25	VYDAJ	VYBER	28200	40645	\N	\N	\N
2944524	9750	1998-06-24	VYDAJ	VYBER	27300	36324	\N	\N	\N
2944525	9750	1998-07-24	VYDAJ	VYBER	41900	57283	\N	\N	\N
2944526	9750	1998-08-23	VYDAJ	VYBER	21500	33019	\N	\N	\N
2944527	9750	1998-09-22	VYDAJ	VYBER	21400	41351	\N	\N	\N
2944528	9750	1998-10-22	VYDAJ	VYBER	6800	21147	\N	\N	\N
2944529	9750	1998-11-21	VYDAJ	VYBER	7800	25493	\N	\N	\N
2944530	9750	1998-12-21	VYDAJ	VYBER	33300	59277	\N	\N	\N
2956194	9790	1995-11-09	PRIJEM	VKLAD	200	200	\N	\N	\N
2956196	9790	1995-11-21	PRIJEM	VKLAD	7324	29005	\N	\N	\N
2956200	9790	1995-11-19	PRIJEM	VKLAD	21481	21681	\N	\N	\N
2956202	9790	1995-12-07	PRIJEM	VKLAD	43455	101718	\N	\N	\N
2956204	9790	1995-11-28	PRIJEM	VKLAD	23200	58202	\N	\N	\N
2956208	9790	1995-11-25	PRIJEM	VKLAD	5997	35002	\N	\N	\N
2956210	9790	1996-10-15	PRIJEM	VKLAD	32649	101409	\N	\N	\N
2956211	9790	1996-02-26	PRIJEM	VKLAD	49512	80680	\N	\N	\N
2956212	9790	1996-02-05	PRIJEM	VKLAD	30036	117459	\N	\N	\N
2956213	9790	1996-02-02	PRIJEM	VKLAD	46054	87423	\N	\N	\N
2956214	9790	1996-12-28	PRIJEM	VKLAD	44469	86988	\N	\N	\N
2956215	9790	1996-04-23	PRIJEM	VKLAD	45901	77852	\N	\N	\N
2956216	9790	1996-07-04	PRIJEM	VKLAD	42587	62821	\N	\N	\N
2956217	9790	1996-10-08	PRIJEM	VKLAD	24413	60383	\N	\N	\N
2956218	9790	1996-11-13	PRIJEM	VKLAD	33258	92233	\N	\N	\N
2956219	9790	1996-01-31	PRIJEM	VKLAD	22033	41383	\N	\N	\N
2956220	9790	1996-03-31	PRIJEM	VKLAD	26097	54757	\N	\N	\N
2956221	9790	1996-06-02	PRIJEM	VKLAD	40928	63433	\N	\N	\N
2956222	9790	1996-10-10	PRIJEM	VKLAD	46233	106616	\N	\N	\N
2956223	9790	1996-08-22	PRIJEM	VKLAD	42880	60855	\N	\N	\N
2956224	9790	1996-10-29	PRIJEM	VKLAD	25323	126732	\N	\N	\N
2956225	9790	1996-09-08	PRIJEM	VKLAD	48424	85114	\N	\N	\N
2956226	9790	1997-05-20	PRIJEM	VKLAD	28310	80824	\N	\N	\N
2956227	9790	1997-07-18	PRIJEM	VKLAD	15405	41571	\N	\N	\N
2956228	9790	1997-10-09	PRIJEM	VKLAD	26269	79909	\N	\N	\N
2956229	9790	1997-05-19	PRIJEM	VKLAD	29662	52514	\N	\N	\N
2956230	9790	1997-03-24	PRIJEM	VKLAD	43246	58889	\N	\N	\N
2956231	9790	1997-10-08	PRIJEM	VKLAD	35434	53640	\N	\N	\N
2956232	9790	1997-06-16	PRIJEM	VKLAD	32024	65859	\N	\N	\N
2956233	9790	1997-03-27	PRIJEM	VKLAD	40898	99787	\N	\N	\N
2956234	9790	1997-03-29	PRIJEM	VKLAD	49319	149106	\N	\N	\N
2956235	9790	1998-05-04	PRIJEM	VKLAD	46682	117951	\N	\N	\N
2956236	9790	1998-07-26	PRIJEM	VKLAD	11216	76526	\N	\N	\N
2956237	9790	1998-02-01	PRIJEM	VKLAD	49000	107612	\N	\N	\N
2956238	9790	1998-04-28	PRIJEM	VKLAD	24364	71125	\N	\N	\N
2956239	9790	1998-01-06	PRIJEM	VKLAD	7921	32324	\N	\N	\N
2956240	9790	1998-10-25	PRIJEM	VKLAD	19945	103872	\N	\N	\N
2956241	9790	1998-10-10	PRIJEM	VKLAD	15809	80788	\N	\N	\N
2956242	9790	1998-07-26	PRIJEM	VKLAD	24868	65310	\N	\N	\N
2956243	9790	1998-08-29	PRIJEM	VKLAD	5464	88030	\N	\N	\N
2956244	9790	1998-10-29	PRIJEM	VKLAD	24951	107535	\N	\N	\N
2956245	9790	1998-08-14	PRIJEM	VKLAD	34886	99087	\N	\N	\N
2956246	9790	1998-09-28	PRIJEM	VKLAD	7815	82754	\N	\N	\N
2956247	9790	1998-07-06	PRIJEM	VKLAD	43290	123324	\N	\N	\N
2956248	9790	1998-09-19	PRIJEM	VKLAD	17026	55289	\N	\N	\N
2956249	9790	1998-08-23	PRIJEM	VKLAD	23372	121466	\N	\N	\N
2956250	9790	1998-01-27	PRIJEM	VKLAD	37478	50420	\N	\N	\N
2956251	9790	1998-07-05	PRIJEM	VKLAD	24827	80034	\N	\N	\N
2956252	9790	1998-12-05	PRIJEM	VKLAD	27042	119241	\N	\N	\N
2956253	9790	1998-10-27	PRIJEM	VKLAD	34112	137984	\N	\N	\N
2956254	9790	1998-05-07	PRIJEM	VKLAD	49453	112110	\N	\N	\N
2956255	9790	1998-10-14	PRIJEM	VKLAD	45461	123458	\N	\N	\N
2956256	9790	1998-09-23	PRIJEM	VKLAD	13450	68739	\N	\N	\N
2956257	9790	1998-08-04	PRIJEM	VKLAD	8153	85101	\N	\N	\N
2956258	9790	1998-06-09	PRIJEM	VKLAD	8167	46950	\N	\N	\N
2956259	9790	1998-03-13	PRIJEM	VKLAD	10026	26819	\N	\N	\N
2956260	9790	1998-09-18	PRIJEM	VKLAD	19776	51820	\N	\N	\N
2956272	9790	1995-12-13	VYDAJ	VYBER	3000	56320	\N	\N	0
2956273	9790	1996-01-06	VYDAJ	VYBER	2500	45257	\N	\N	0
2956274	9790	1996-02-17	VYDAJ	VYBER	2100	31168	\N	\N	0
2956275	9790	1996-03-10	VYDAJ	VYBER	2300	45660	\N	\N	0
2956276	9790	1996-04-16	VYDAJ	VYBER	2700	31951	\N	\N	0
2956277	9790	1996-05-14	VYDAJ	VYBER	2600	22352	\N	\N	0
2956278	9790	1996-06-02	VYDAJ	VYBER	2600	60833	\N	\N	0
2956279	9790	1996-07-13	VYDAJ	VYBER	2800	35723	\N	\N	0
2956280	9790	1996-08-12	VYDAJ	PREVOD NA UCET	2791	18968	UVER	UV	22918135
2956281	9790	1996-09-12	VYDAJ	PREVOD NA UCET	2791	67623	UVER	UV	22918135
2956282	9790	1996-10-12	VYDAJ	PREVOD NA UCET	2791	69753	UVER	UV	22918135
2956283	9790	1996-11-12	VYDAJ	PREVOD NA UCET	2791	58975	UVER	UV	22918135
2956284	9790	1996-12-12	VYDAJ	PREVOD NA UCET	2791	43512	UVER	UV	22918135
2956285	9790	1997-01-12	VYDAJ	PREVOD NA UCET	2791	21909	UVER	UV	22918135
2956286	9790	1997-02-12	VYDAJ	PREVOD NA UCET	2791	19444	UVER	UV	22918135
2956287	9790	1997-03-12	VYDAJ	PREVOD NA UCET	2791	16636	UVER	UV	22918135
2956288	9790	1997-04-12	VYDAJ	PREVOD NA UCET	2791	49545	UVER	UV	22918135
2956289	9790	1997-05-12	VYDAJ	PREVOD NA UCET	2791	23845	UVER	UV	22918135
2956290	9790	1997-06-12	VYDAJ	PREVOD NA UCET	2791	50428	UVER	UV	22918135
2956291	9790	1997-07-12	VYDAJ	PREVOD NA UCET	2791	31959	UVER	UV	22918135
2956292	9790	1997-08-12	VYDAJ	PREVOD NA UCET	2791	33131	UVER	UV	22918135
2956293	9790	1997-09-12	VYDAJ	PREVOD NA UCET	2791	9838	UVER	UV	22918135
2956294	9790	1997-10-12	VYDAJ	PREVOD NA UCET	2791	77118	UVER	UV	22918135
2956295	9790	1997-11-12	VYDAJ	PREVOD NA UCET	2791	36579	UVER	UV	22918135
2956296	9790	1997-12-12	VYDAJ	PREVOD NA UCET	2791	23667	UVER	UV	22918135
2956297	9790	1998-01-12	VYDAJ	PREVOD NA UCET	2791	13935	UVER	UV	22918135
2956298	9790	1998-02-12	VYDAJ	PREVOD NA UCET	2791	48737	UVER	UV	22918135
2956299	9790	1998-03-12	VYDAJ	PREVOD NA UCET	2791	16793	UVER	UV	22918135
2956300	9790	1998-04-12	VYDAJ	PREVOD NA UCET	2791	31254	UVER	UV	22918135
2956301	9790	1998-05-12	VYDAJ	PREVOD NA UCET	2791	64121	UVER	UV	22918135
2956302	9790	1998-06-12	VYDAJ	PREVOD NA UCET	2791	44159	UVER	UV	22918135
2956303	9790	1998-07-12	VYDAJ	PREVOD NA UCET	2791	48035	UVER	UV	22918135
2956304	9790	1998-08-12	VYDAJ	PREVOD NA UCET	2791	64201	UVER	UV	22918135
2956305	9790	1998-09-12	VYDAJ	PREVOD NA UCET	2791	42037	UVER	UV	22918135
2956306	9790	1998-10-12	VYDAJ	PREVOD NA UCET	2791	77997	UVER	UV	22918135
2956307	9790	1998-11-12	VYDAJ	PREVOD NA UCET	2791	93409	UVER	UV	22918135
2956308	9790	1998-12-12	VYDAJ	PREVOD NA UCET	2791	78252	UVER	UV	22918135
2956320	9790	1995-12-07	VYDAJ	PREVOD NA UCET	9210	92508	SIPO	EF	28873682
2956321	9790	1996-01-07	VYDAJ	PREVOD NA UCET	9210	36047	SIPO	EF	28873682
2956322	9790	1996-02-07	VYDAJ	PREVOD NA UCET	9210	34261	SIPO	EF	28873682
2956323	9790	1996-03-07	VYDAJ	PREVOD NA UCET	9210	69160	SIPO	EF	28873682
2956324	9790	1996-04-07	VYDAJ	PREVOD NA UCET	9210	35644	SIPO	EF	28873682
2956325	9790	1996-05-07	VYDAJ	PREVOD NA UCET	9210	66347	SIPO	EF	28873682
2956326	9790	1996-06-07	VYDAJ	PREVOD NA UCET	9210	21134	SIPO	EF	28873682
2956327	9790	1996-07-07	VYDAJ	PREVOD NA UCET	9210	38523	SIPO	EF	28873682
2956328	9790	1996-08-07	VYDAJ	PREVOD NA UCET	9210	21759	SIPO	EF	28873682
2956329	9790	1996-09-07	VYDAJ	PREVOD NA UCET	9210	36690	SIPO	EF	28873682
2956330	9790	1996-10-07	VYDAJ	PREVOD NA UCET	9210	38458	SIPO	EF	28873682
2956331	9790	1996-11-07	VYDAJ	PREVOD NA UCET	9210	64254	SIPO	EF	28873682
2956332	9790	1996-12-07	VYDAJ	PREVOD NA UCET	9210	46303	SIPO	EF	28873682
2956333	9790	1997-01-07	VYDAJ	PREVOD NA UCET	9210	43600	SIPO	EF	28873682
2956334	9790	1997-02-07	VYDAJ	PREVOD NA UCET	9210	22235	SIPO	EF	28873682
2956335	9790	1997-03-07	VYDAJ	PREVOD NA UCET	9210	21915	SIPO	EF	28873682
2956336	9790	1997-04-07	VYDAJ	PREVOD NA UCET	9210	62236	SIPO	EF	28873682
2956337	9790	1997-05-07	VYDAJ	PREVOD NA UCET	9210	29124	SIPO	EF	28873682
2956338	9790	1997-06-07	VYDAJ	PREVOD NA UCET	9210	53219	SIPO	EF	28873682
2956339	9790	1997-07-07	VYDAJ	PREVOD NA UCET	9210	37238	SIPO	EF	28873682
2956340	9790	1997-08-07	VYDAJ	PREVOD NA UCET	9210	35922	SIPO	EF	28873682
2956341	9790	1997-09-07	VYDAJ	PREVOD NA UCET	9210	15117	SIPO	EF	28873682
2956342	9790	1997-10-07	VYDAJ	PREVOD NA UCET	9210	18206	SIPO	EF	28873682
2956343	9790	1997-11-07	VYDAJ	PREVOD NA UCET	9210	46366	SIPO	EF	28873682
2956344	9790	1997-12-07	VYDAJ	PREVOD NA UCET	9210	28946	SIPO	EF	28873682
2956345	9790	1998-01-07	VYDAJ	PREVOD NA UCET	9210	19214	SIPO	EF	28873682
2956346	9790	1998-02-07	VYDAJ	PREVOD NA UCET	9210	51528	SIPO	EF	28873682
2956347	9790	1998-03-07	VYDAJ	PREVOD NA UCET	9210	22072	SIPO	EF	28873682
2956348	9790	1998-04-07	VYDAJ	PREVOD NA UCET	9210	34045	SIPO	EF	28873682
2956349	9790	1998-05-07	VYDAJ	PREVOD NA UCET	9210	66912	SIPO	EF	28873682
2956350	9790	1998-06-07	VYDAJ	PREVOD NA UCET	9210	57290	SIPO	EF	28873682
2956351	9790	1998-07-07	VYDAJ	PREVOD NA UCET	9210	50826	SIPO	EF	28873682
2956352	9790	1998-08-07	VYDAJ	PREVOD NA UCET	9210	75891	SIPO	EF	28873682
2956353	9790	1998-09-07	VYDAJ	PREVOD NA UCET	9210	44828	SIPO	EF	28873682
2956354	9790	1998-10-07	VYDAJ	PREVOD NA UCET	9210	73767	SIPO	EF	28873682
2956355	9790	1998-11-07	VYDAJ	PREVOD NA UCET	9210	96200	SIPO	EF	28873682
2956356	9790	1998-12-07	VYDAJ	PREVOD NA UCET	9210	83531	SIPO	EF	28873682
2956368	9790	1995-12-14	VYDAJ	PREVOD NA UCET	993	55327	 	AB	42063897
2956369	9790	1996-01-14	VYDAJ	PREVOD NA UCET	993	21932	 	AB	42063897
2956370	9790	1996-02-14	VYDAJ	PREVOD NA UCET	993	33268	 	AB	42063897
2956371	9790	1996-03-14	VYDAJ	PREVOD NA UCET	993	36567	 	AB	42063897
2956372	9790	1996-04-14	VYDAJ	PREVOD NA UCET	993	34651	 	AB	42063897
2956373	9790	1996-05-14	VYDAJ	PREVOD NA UCET	993	24952	 	AB	42063897
2956374	9790	1996-06-14	VYDAJ	PREVOD NA UCET	993	20141	 	AB	42063897
2956375	9790	1996-07-14	VYDAJ	PREVOD NA UCET	993	34730	 	AB	42063897
2956376	9790	1996-08-14	VYDAJ	PREVOD NA UCET	993	17975	 	AB	42063897
2956377	9790	1996-09-14	VYDAJ	PREVOD NA UCET	993	54666	 	AB	42063897
2956378	9790	1996-10-14	VYDAJ	PREVOD NA UCET	993	68760	 	AB	42063897
2956379	9790	1996-11-14	VYDAJ	PREVOD NA UCET	993	91240	 	AB	42063897
2956380	9790	1996-12-14	VYDAJ	PREVOD NA UCET	993	42519	 	AB	42063897
2956381	9790	1997-01-14	VYDAJ	PREVOD NA UCET	993	20916	 	AB	42063897
2956382	9790	1997-02-14	VYDAJ	PREVOD NA UCET	993	18451	 	AB	42063897
2956383	9790	1997-03-14	VYDAJ	PREVOD NA UCET	993	15643	 	AB	42063897
2956384	9790	1997-04-14	VYDAJ	PREVOD NA UCET	993	48552	 	AB	42063897
2956385	9790	1997-05-14	VYDAJ	PREVOD NA UCET	993	22852	 	AB	42063897
2956386	9790	1997-06-14	VYDAJ	PREVOD NA UCET	993	33835	 	AB	42063897
2956387	9790	1997-07-14	VYDAJ	PREVOD NA UCET	993	30966	 	AB	42063897
2956388	9790	1997-08-14	VYDAJ	PREVOD NA UCET	993	32138	 	AB	42063897
2956389	9790	1997-09-14	VYDAJ	PREVOD NA UCET	993	8845	 	AB	42063897
2956390	9790	1997-10-14	VYDAJ	PREVOD NA UCET	993	76125	 	AB	42063897
2956391	9790	1997-11-14	VYDAJ	PREVOD NA UCET	993	35586	 	AB	42063897
2956392	9790	1997-12-14	VYDAJ	PREVOD NA UCET	993	22674	 	AB	42063897
2956393	9790	1998-01-14	VYDAJ	PREVOD NA UCET	993	12942	 	AB	42063897
2956394	9790	1998-02-14	VYDAJ	PREVOD NA UCET	993	47744	 	AB	42063897
2956395	9790	1998-03-14	VYDAJ	PREVOD NA UCET	993	25826	 	AB	42063897
2956396	9790	1998-04-14	VYDAJ	PREVOD NA UCET	993	30261	 	AB	42063897
2956397	9790	1998-05-14	VYDAJ	PREVOD NA UCET	993	63128	 	AB	42063897
2956398	9790	1998-06-14	VYDAJ	PREVOD NA UCET	993	43166	 	AB	42063897
2956399	9790	1998-07-14	VYDAJ	PREVOD NA UCET	993	47042	 	AB	42063897
2956400	9790	1998-08-14	VYDAJ	PREVOD NA UCET	993	98094	 	AB	42063897
2956401	9790	1998-09-14	VYDAJ	PREVOD NA UCET	993	41044	 	AB	42063897
2956402	9790	1998-10-14	VYDAJ	PREVOD NA UCET	993	90665	 	AB	42063897
2956403	9790	1998-11-14	VYDAJ	PREVOD NA UCET	993	92416	 	AB	42063897
2956404	9790	1998-12-14	VYDAJ	PREVOD NA UCET	993	77259	 	AB	42063897
2956416	9790	1995-12-07	VYDAJ	PREVOD NA UCET	2488	90020	POJISTNE	QR	93822401
2956417	9790	1996-01-07	VYDAJ	PREVOD NA UCET	2488	33559	POJISTNE	QR	93822401
2956418	9790	1996-02-07	VYDAJ	PREVOD NA UCET	2488	43471	POJISTNE	QR	93822401
2956419	9790	1996-03-07	VYDAJ	PREVOD NA UCET	2488	78370	POJISTNE	QR	93822401
2956420	9790	1996-04-07	VYDAJ	PREVOD NA UCET	2488	44854	POJISTNE	QR	93822401
2956421	9790	1996-05-07	VYDAJ	PREVOD NA UCET	2488	75557	POJISTNE	QR	93822401
2956422	9790	1996-06-07	VYDAJ	PREVOD NA UCET	2488	30344	POJISTNE	QR	93822401
2956423	9790	1996-07-07	VYDAJ	PREVOD NA UCET	2488	47733	POJISTNE	QR	93822401
2956424	9790	1996-08-07	VYDAJ	PREVOD NA UCET	2488	30969	POJISTNE	QR	93822401
2956425	9790	1996-09-07	VYDAJ	PREVOD NA UCET	2488	45900	POJISTNE	QR	93822401
2956426	9790	1996-10-07	VYDAJ	PREVOD NA UCET	2488	35970	POJISTNE	QR	93822401
2956427	9790	1996-11-07	VYDAJ	PREVOD NA UCET	2488	61766	POJISTNE	QR	93822401
2956428	9790	1996-12-07	VYDAJ	PREVOD NA UCET	2488	55513	POJISTNE	QR	93822401
2956429	9790	1997-01-07	VYDAJ	PREVOD NA UCET	2488	52810	POJISTNE	QR	93822401
2956430	9790	1997-02-07	VYDAJ	PREVOD NA UCET	2488	31445	POJISTNE	QR	93822401
2956431	9790	1997-03-07	VYDAJ	PREVOD NA UCET	2488	19427	POJISTNE	QR	93822401
2956432	9790	1997-04-07	VYDAJ	PREVOD NA UCET	2488	71446	POJISTNE	QR	93822401
2956433	9790	1997-05-07	VYDAJ	PREVOD NA UCET	2488	26636	POJISTNE	QR	93822401
2956434	9790	1997-06-07	VYDAJ	PREVOD NA UCET	2488	62429	POJISTNE	QR	93822401
2956435	9790	1997-07-07	VYDAJ	PREVOD NA UCET	2488	34750	POJISTNE	QR	93822401
2956436	9790	1997-08-07	VYDAJ	PREVOD NA UCET	2488	45132	POJISTNE	QR	93822401
2956437	9790	1997-09-07	VYDAJ	PREVOD NA UCET	2488	12629	POJISTNE	QR	93822401
2956438	9790	1997-10-07	VYDAJ	PREVOD NA UCET	2488	27416	POJISTNE	QR	93822401
2956439	9790	1997-11-07	VYDAJ	PREVOD NA UCET	2488	43878	POJISTNE	QR	93822401
2956440	9790	1997-12-07	VYDAJ	PREVOD NA UCET	2488	26458	POJISTNE	QR	93822401
2956441	9790	1998-01-07	VYDAJ	PREVOD NA UCET	2488	16726	POJISTNE	QR	93822401
2956442	9790	1998-02-07	VYDAJ	PREVOD NA UCET	2488	60738	POJISTNE	QR	93822401
2956443	9790	1998-03-07	VYDAJ	PREVOD NA UCET	2488	19584	POJISTNE	QR	93822401
2956444	9790	1998-04-07	VYDAJ	PREVOD NA UCET	2488	43255	POJISTNE	QR	93822401
2956445	9790	1998-05-07	VYDAJ	PREVOD NA UCET	2488	76122	POJISTNE	QR	93822401
2956446	9790	1998-06-07	VYDAJ	PREVOD NA UCET	2488	66500	POJISTNE	QR	93822401
2956447	9790	1998-07-07	VYDAJ	PREVOD NA UCET	2488	60036	POJISTNE	QR	93822401
2956448	9790	1998-08-07	VYDAJ	PREVOD NA UCET	2488	73403	POJISTNE	QR	93822401
2956449	9790	1998-09-07	VYDAJ	PREVOD NA UCET	2488	54038	POJISTNE	QR	93822401
2956450	9790	1998-10-07	VYDAJ	PREVOD NA UCET	2488	71279	POJISTNE	QR	93822401
2956451	9790	1998-11-07	VYDAJ	PREVOD NA UCET	2488	105410	POJISTNE	QR	93822401
2956452	9790	1998-12-07	VYDAJ	PREVOD NA UCET	2488	81043	POJISTNE	QR	93822401
2956459	9790	1996-05-14	VYBER	VYBER	22002	25945	\N	\N	\N
2956460	9790	1996-09-18	VYBER	VYBER	4024	50642	\N	\N	\N
2956461	9790	1996-10-11	VYBER	VYBER	5672	72544	\N	\N	\N
2956462	9790	1996-03-18	VYBER	VYBER	8093	28474	\N	\N	\N
2956464	9790	1996-09-13	VYBER	VYBER	11964	55659	\N	\N	\N
2956468	9790	1996-01-12	VYBER	VYBER	3034	22925	\N	\N	\N
2956469	9790	1996-12-03	VYBER	VYBER	17291	74301	\N	\N	\N
2956470	9790	1996-06-03	VYBER	VYBER	21422	39411	\N	\N	\N
2956471	9790	1996-06-04	VYBER	VYBER	10479	28932	\N	\N	\N
2956474	9790	1997-06-22	VYBER	VYBER	13343	52516	\N	\N	\N
2956476	9790	1997-12-05	VYBER	VYBER	6496	38156	\N	\N	\N
2956478	9790	1997-09-05	VYBER	VYBER	20548	24327	\N	\N	\N
2956479	9790	1997-11-11	VYBER	VYBER	4508	39370	\N	\N	\N
2956481	9790	1997-04-16	VYBER	VYBER	8737	39815	\N	\N	\N
2956483	9790	1998-09-18	VYBER	VYBER	13557	38263	\N	\N	\N
2956484	9790	1998-02-06	VYBER	VYBER	12186	63226	\N	\N	\N
2956485	9790	1998-03-07	VYBER	VYBER	20132	31282	\N	\N	\N
2956486	9790	1998-10-24	VYBER	VYBER	9738	83927	\N	\N	\N
2956487	9790	1998-06-08	VYBER	VYBER	18507	38783	\N	\N	\N
2956488	9790	1998-08-31	VYBER	VYBER	17761	56540	\N	\N	\N
2956489	9790	1998-01-02	VYBER	VYBER	18582	24403	\N	\N	\N
2956490	9790	1998-12-19	VYBER	VYBER	13240	64019	\N	\N	\N
2956491	9790	1998-05-05	VYBER	VYBER	23094	62657	\N	\N	\N
2956493	9790	1998-08-09	VYBER	VYBER	6411	66992	\N	\N	\N
2956494	9790	1998-02-20	VYBER	VYBER	5248	36196	\N	\N	\N
2956495	9790	1998-08-31	VYBER	VYBER	14079	74301	\N	\N	\N
2956496	9790	1998-07-02	VYBER	VYBER	2757	55207	\N	\N	\N
2956499	9790	1997-06-13	VYDAJ	VYBER	15600	34828	\N	\N	\N
2956512	9790	1996-01-01	VYDAJ	VYBER	1800	53757	\N	\N	\N
2956514	9790	1996-01-15	VYDAJ	VYBER	2700	19232	\N	\N	\N
2956516	9790	1996-01-06	VYDAJ	VYBER	6000	47757	\N	\N	\N
2956519	9790	1997-01-03	VYDAJ	VYBER	6300	62498	\N	\N	\N
2956521	9790	1997-01-05	VYDAJ	VYBER	7200	55298	\N	\N	\N
2956522	9790	1997-01-10	VYDAJ	VYBER	7200	24700	\N	\N	\N
2956525	9790	1998-01-06	VYDAJ	VYBER KARTOU	3900	28424	\N	\N	0
2956533	9790	1996-03-10	VYDAJ	VYBER	8100	37560	\N	\N	\N
2956536	9790	1996-09-11	VYDAJ	VYBER	14700	70414	\N	\N	\N
2956537	9790	1996-07-28	VYDAJ	VYBER	9600	25130	\N	\N	\N
2956539	9790	1997-05-02	VYDAJ	VYBER	11400	38334	\N	\N	\N
2956541	9790	1997-01-08	VYDAJ	VYBER	11700	31900	\N	\N	\N
2956542	9790	1997-07-17	VYDAJ	VYBER	4800	26166	\N	\N	\N
2956543	9790	1997-06-26	VYDAJ	VYBER	7800	44716	\N	\N	\N
2956544	9790	1997-11-02	VYDAJ	VYBER	9900	55576	\N	\N	\N
2956545	9790	1997-04-11	VYDAJ	VYBER	9900	52336	\N	\N	\N
2956547	9790	1998-07-21	VYDAJ	VYBER	6600	40442	\N	\N	\N
2956548	9790	1998-09-16	VYDAJ	VYBER	9000	32044	\N	\N	\N
2956549	9790	1998-10-09	VYDAJ	VYBER	6300	64979	\N	\N	\N
2956551	9790	1998-02-14	VYDAJ	VYBER	6300	41444	\N	\N	\N
2956565	9790	1995-12-31	VYDAJ	VYBER	15	55557	SLUZBY	\N	\N
2956566	9790	1996-01-31	VYDAJ	VYBER	15	41369	SLUZBY	\N	\N
2956567	9790	1996-02-29	VYDAJ	VYBER	15	80858	SLUZBY	\N	\N
2956568	9790	1996-03-31	VYDAJ	VYBER	15	54742	SLUZBY	\N	\N
2956569	9790	1996-04-30	VYDAJ	VYBER	15	78045	SLUZBY	\N	\N
2956570	9790	1996-05-31	VYDAJ	VYBER	15	22505	SLUZBY	\N	\N
2956571	9790	1996-06-30	VYDAJ	VYBER	15	20234	SLUZBY	\N	\N
2956572	9790	1996-07-31	VYDAJ	VYBER	15	25257	SLUZBY	\N	\N
2956573	9790	1996-08-31	VYDAJ	VYBER	15	60988	SLUZBY	\N	\N
2956574	9790	1996-09-30	VYDAJ	VYBER	15	50868	SLUZBY	\N	\N
2956575	9790	1996-10-31	VYDAJ	VYBER	15	103264	SLUZBY	\N	\N
2956576	9790	1996-11-30	VYDAJ	VYBER	15	91592	SLUZBY	\N	\N
2956577	9790	1996-12-31	VYDAJ	VYBER	15	87198	SLUZBY	\N	\N
2956578	9790	1997-01-31	VYDAJ	VYBER	15	21033	SLUZBY	\N	\N
2956579	9790	1997-02-28	VYDAJ	VYBER	15	18525	SLUZBY	\N	\N
2956580	9790	1997-03-31	VYDAJ	VYBER	15	93034	SLUZBY	\N	\N
2956581	9790	1997-04-30	VYDAJ	VYBER	15	40034	SLUZBY	\N	\N
2956582	9790	1997-05-31	VYDAJ	VYBER	15	81017	SLUZBY	\N	\N
2956583	9790	1997-06-30	VYDAJ	VYBER	15	44948	SLUZBY	\N	\N
2956584	9790	1997-07-31	VYDAJ	VYBER	15	47620	SLUZBY	\N	\N
2956585	9790	1997-08-31	VYDAJ	VYBER	15	44875	SLUZBY	\N	\N
2956586	9790	1997-09-30	VYDAJ	VYBER	15	29904	SLUZBY	\N	\N
2956587	9790	1997-10-31	VYDAJ	VYBER	15	65476	SLUZBY	\N	\N
2956588	9790	1997-11-30	VYDAJ	VYBER	15	44652	SLUZBY	\N	\N
2956589	9790	1997-12-31	VYDAJ	VYBER	15	42985	SLUZBY	\N	\N
2956590	9790	1998-01-31	VYDAJ	VYBER	15	58612	SLUZBY	\N	\N
2956591	9790	1998-02-28	VYDAJ	VYBER	15	51414	SLUZBY	\N	\N
2956592	9790	1998-03-31	VYDAJ	VYBER	15	45743	SLUZBY	\N	\N
2956593	9790	1998-04-30	VYDAJ	VYBER	15	71269	SLUZBY	\N	\N
2956594	9790	1998-05-31	VYDAJ	VYBER	15	68988	SLUZBY	\N	\N
2956595	9790	1998-06-30	VYDAJ	VYBER	15	57964	SLUZBY	\N	\N
2956596	9790	1998-07-31	VYDAJ	VYBER	15	76948	SLUZBY	\N	\N
2956597	9790	1998-08-31	VYDAJ	VYBER	15	56526	SLUZBY	\N	\N
2956598	9790	1998-09-30	VYDAJ	VYBER	15	82977	SLUZBY	\N	\N
2956599	9790	1998-10-31	VYDAJ	VYBER	15	107898	SLUZBY	\N	\N
2956600	9790	1998-11-30	VYDAJ	VYBER	15	92199	SLUZBY	\N	\N
2956601	9790	1995-12-09	VYDAJ	VYBER	30700	59320	\N	\N	\N
2956602	9790	1996-01-08	VYDAJ	VYBER	7600	25959	\N	\N	\N
2956603	9790	1996-02-05	VYDAJ	VYBER	60800	56659	\N	\N	\N
2956604	9790	1996-02-07	VYDAJ	VYBER	10700	45959	\N	\N	\N
2956605	9790	1996-03-08	VYDAJ	VYBER	21200	47960	\N	\N	\N
2956606	9790	1996-04-07	VYDAJ	VYBER	7400	47342	\N	\N	\N
2956607	9790	1996-05-07	VYDAJ	VYBER	18400	47947	\N	\N	\N
2956608	9790	1996-06-06	PRIJEM	VKLAD	3900	32832	\N	\N	\N
2956609	9790	1996-07-06	VYDAJ	VYBER	12600	50221	\N	\N	\N
2956610	9790	1996-08-05	PRIJEM	VKLAD	8200	33457	\N	\N	\N
2956611	9790	1996-09-04	VYDAJ	VYBER	12600	48388	\N	\N	\N
2956612	9790	1996-10-04	VYDAJ	VYBER KARTOU	3200	47668	\N	\N	0
2956613	9790	1996-10-10	VYDAJ	VYBER	28400	78216	\N	\N	\N
2956614	9790	1996-10-29	VYDAJ	VYBER	23800	102932	\N	\N	\N
2956615	9790	1996-11-03	VYDAJ	VYBER	29800	73464	\N	\N	\N
2956616	9790	1996-12-03	VYDAJ	VYBER	16300	58001	\N	\N	\N
2956617	9790	1997-01-02	VYDAJ	VYBER	18400	68798	\N	\N	\N
2956618	9790	1997-02-01	PRIJEM	VKLAD	12900	33933	\N	\N	\N
2956619	9790	1997-03-03	PRIJEM	VKLAD	12600	31125	\N	\N	\N
2956620	9790	1997-03-29	VYDAJ	VYBER	56200	92906	\N	\N	\N
2956621	9790	1997-04-02	VYDAJ	VYBER	19100	73934	\N	\N	\N
2956622	9790	1997-05-02	PRIJEM	VKLAD	9700	49734	\N	\N	\N
2956623	9790	1997-06-01	VYDAJ	VYBER	16100	64917	\N	\N	\N
2956624	9790	1997-07-01	PRIJEM	VKLAD	1500	46448	\N	\N	\N
2956625	9790	1997-07-31	PRIJEM	VKLAD	5900	47634	\N	\N	\N
2956626	9790	1997-08-30	PRIJEM	VKLAD	12600	44738	\N	\N	\N
2956627	9790	1997-09-29	PRIJEM	VKLAD	21000	29845	\N	\N	\N
2956628	9790	1997-10-29	VYDAJ	VYBER	10900	65225	\N	\N	\N
2956629	9790	1997-11-28	PRIJEM	VKLAD	8900	44486	\N	\N	\N
2956630	9790	1997-12-28	PRIJEM	VKLAD	20200	42874	\N	\N	\N
2956631	9790	1998-01-27	PRIJEM	VKLAD	8100	58520	\N	\N	\N
2956632	9790	1998-02-01	VYDAJ	VYBER	32200	75412	\N	\N	\N
2956633	9790	1998-02-26	PRIJEM	VKLAD	15000	51196	\N	\N	\N
2956634	9790	1998-03-28	PRIJEM	VKLAD	19800	45626	\N	\N	\N
2956635	9790	1998-04-27	PRIJEM	VKLAD	16500	46761	\N	\N	\N
2956636	9790	1998-05-04	VYDAJ	VYBER	32200	85751	\N	\N	\N
2956637	9790	1998-05-07	VYDAJ	VYBER	33500	78610	\N	\N	\N
2956638	9790	1998-05-27	PRIJEM	VKLAD	5600	68728	\N	\N	\N
2956639	9790	1998-06-26	PRIJEM	VKLAD	14600	57766	\N	\N	\N
2956640	9790	1998-07-06	VYDAJ	VYBER	60800	62524	\N	\N	\N
2956641	9790	1998-07-26	PRIJEM	VKLAD	200	76726	\N	\N	\N
2956642	9790	1998-08-23	VYDAJ	VYBER	38600	82866	\N	\N	\N
2956643	9790	1998-08-25	VYDAJ	VYBER KARTOU	300	82566	\N	\N	0
2956644	9790	1998-09-24	PRIJEM	VKLAD	6200	74939	\N	\N	\N
2956645	9790	1998-10-14	VYDAJ	VYBER	31800	91658	\N	\N	\N
2956646	9790	1998-10-24	PRIJEM	VKLAD	3000	93665	\N	\N	\N
2956647	9790	1998-10-27	VYDAJ	VYBER	55400	82584	\N	\N	\N
2956648	9790	1998-11-23	VYDAJ	VYBER KARTOU	600	91816	\N	\N	0
2956649	9790	1998-12-05	VYDAJ	VYBER	26500	92741	\N	\N	\N
2963537	9814	1995-01-19	PRIJEM	VKLAD	600	600	\N	\N	\N
2963538	9814	1995-02-23	PRIJEM	VKLAD	11822	24122	\N	\N	\N
2963539	9814	1995-07-24	PRIJEM	VKLAD	16692	62508	\N	\N	\N
2963540	9814	1995-07-03	PRIJEM	VKLAD	46253	67516	\N	\N	\N
2963541	9814	1995-04-20	PRIJEM	VKLAD	26357	62658	\N	\N	\N
2963542	9814	1995-10-08	PRIJEM	VKLAD	41329	115810	\N	\N	\N
2963543	9814	1995-05-08	PRIJEM	VKLAD	9843	63406	\N	\N	\N
2963545	9814	1995-03-02	PRIJEM	VKLAD	24993	64596	\N	\N	\N
2963547	9814	1995-12-11	PRIJEM	VKLAD	43566	76892	\N	\N	\N
2963548	9814	1995-02-25	PRIJEM	VKLAD	15395	39517	\N	\N	\N
2963549	9814	1995-10-07	PRIJEM	VKLAD	39120	74481	\N	\N	\N
2963550	9814	1995-09-06	PRIJEM	VKLAD	25502	60439	\N	\N	\N
2963551	9814	1995-12-20	PRIJEM	VKLAD	41157	92549	\N	\N	\N
2963552	9814	1995-05-14	PRIJEM	VKLAD	8518	62924	\N	\N	\N
2963553	9814	1996-05-22	PRIJEM	VKLAD	41656	61091	\N	\N	\N
2963554	9814	1996-02-18	PRIJEM	VKLAD	11427	54886	\N	\N	\N
2963555	9814	1996-04-11	PRIJEM	VKLAD	21152	81984	\N	\N	\N
2963556	9814	1996-04-09	PRIJEM	VKLAD	12270	67432	\N	\N	\N
2963557	9814	1996-10-20	PRIJEM	VKLAD	32186	42080	\N	\N	\N
2963558	9814	1996-06-03	PRIJEM	VKLAD	7623	69153	\N	\N	\N
2963559	9814	1996-01-09	PRIJEM	VKLAD	44790	138010	\N	\N	\N
2963560	9814	1996-04-01	PRIJEM	VKLAD	25900	55162	\N	\N	\N
2963561	9814	1996-01-30	PRIJEM	VKLAD	27811	59045	\N	\N	\N
2963562	9814	1996-02-20	PRIJEM	VKLAD	39835	94721	\N	\N	\N
2963563	9814	1997-02-28	PRIJEM	VKLAD	28330	56788	\N	\N	\N
2963564	9814	1997-06-22	PRIJEM	VKLAD	10865	21458	\N	\N	\N
2963565	9814	1997-11-01	PRIJEM	VKLAD	44195	60407	\N	\N	\N
2963566	9814	1997-07-25	PRIJEM	VKLAD	11288	93632	\N	\N	\N
2963567	9814	1997-08-01	PRIJEM	VKLAD	26751	110707	\N	\N	\N
2963568	9814	1997-07-12	PRIJEM	VKLAD	23062	90358	\N	\N	\N
2963569	9814	1997-07-01	PRIJEM	VKLAD	31668	93996	\N	\N	\N
2963570	9814	1997-11-24	PRIJEM	VKLAD	12848	81591	\N	\N	\N
2963571	9814	1997-01-10	PRIJEM	VKLAD	34505	51934	\N	\N	\N
2963572	9814	1997-04-13	PRIJEM	VKLAD	36293	92049	\N	\N	\N
2963573	9814	1997-03-19	PRIJEM	VKLAD	46723	104572	\N	\N	\N
2963574	9814	1997-09-25	PRIJEM	VKLAD	22176	74722	\N	\N	\N
2963575	9814	1997-03-25	PRIJEM	VKLAD	17953	122525	\N	\N	\N
2963576	9814	1997-06-01	PRIJEM	VKLAD	17795	73406	\N	\N	\N
2963577	9814	1997-02-19	PRIJEM	VKLAD	19509	36344	\N	\N	\N
2963578	9814	1997-06-23	PRIJEM	VKLAD	40612	62070	\N	\N	\N
2963579	9814	1997-11-21	PRIJEM	VKLAD	34157	68743	\N	\N	\N
2963580	9814	1997-03-12	PRIJEM	VKLAD	31137	65863	\N	\N	\N
2963581	9814	1997-08-16	PRIJEM	VKLAD	27128	94421	\N	\N	\N
2963582	9814	1998-07-09	PRIJEM	VKLAD	21464	84769	\N	\N	\N
2963583	9814	1998-08-21	PRIJEM	VKLAD	12051	81958	\N	\N	\N
2963584	9814	1998-11-29	PRIJEM	VKLAD	47924	167778	\N	\N	\N
2963585	9814	1998-10-15	PRIJEM	VKLAD	38658	128966	\N	\N	\N
2963586	9814	1998-09-13	PRIJEM	VKLAD	48615	135455	\N	\N	\N
2963587	9814	1998-08-25	PRIJEM	VKLAD	10884	92842	\N	\N	\N
2963588	9814	1998-05-02	PRIJEM	VKLAD	32724	56111	\N	\N	\N
2963589	9814	1998-05-23	PRIJEM	VKLAD	39540	99038	\N	\N	\N
2963590	9814	1998-07-05	PRIJEM	VKLAD	35674	94052	\N	\N	\N
2963591	9814	1998-06-14	PRIJEM	VKLAD	21553	72214	\N	\N	\N
2963592	9814	1998-04-06	PRIJEM	VKLAD	12952	130284	\N	\N	\N
2963593	9814	1998-03-22	PRIJEM	VKLAD	34426	107535	\N	\N	\N
2963594	9814	1998-04-11	PRIJEM	VKLAD	15184	82968	\N	\N	\N
2963595	9814	1998-01-06	PRIJEM	VKLAD	21932	73849	\N	\N	\N
2963596	9814	1998-06-22	PRIJEM	VKLAD	14469	65616	\N	\N	\N
2963597	9814	1998-04-06	PRIJEM	VKLAD	31074	117332	\N	\N	\N
2963598	9814	1998-11-03	PRIJEM	VKLAD	11952	111173	\N	\N	\N
2963599	9814	1998-12-16	PRIJEM	VKLAD	10284	87458	\N	\N	\N
2963600	9814	1998-07-06	PRIJEM	VKLAD	21653	115705	\N	\N	\N
2963601	9814	1998-05-21	PRIJEM	VKLAD	23879	59498	\N	\N	\N
2963602	9814	1998-01-28	PRIJEM	VKLAD	20549	102462	\N	\N	\N
2963603	9814	1998-01-16	PRIJEM	VKLAD	27764	95413	\N	\N	\N
2963604	9814	1998-03-07	PRIJEM	VKLAD	44897	84896	\N	\N	\N
2963605	9814	1998-11-09	PRIJEM	VKLAD	16381	127554	\N	\N	\N
2963610	9814	1995-05-04	VYDAJ	VYBER	9600	53563	\N	\N	0
2963611	9814	1995-06-05	VYDAJ	VYBER	6100	38311	\N	\N	0
2963612	9814	1995-07-06	VYDAJ	VYBER	6800	60716	\N	\N	0
2963613	9814	1995-08-16	VYDAJ	VYBER	7100	42205	\N	\N	0
2963614	9814	1995-09-20	VYDAJ	VYBER	6600	41739	\N	\N	0
2963615	9814	1995-10-06	VYDAJ	VYBER	6900	35361	\N	\N	0
2963616	9814	1995-11-07	VYDAJ	VYBER	9000	29642	\N	\N	0
2963617	9814	1995-12-13	VYDAJ	VYBER	8500	63292	\N	\N	0
2963618	9814	1996-01-13	VYDAJ	VYBER	8200	76310	\N	\N	0
2963619	9814	1996-02-10	VYDAJ	VYBER	9300	50459	\N	\N	0
2963620	9814	1996-03-10	VYDAJ	VYBER	9800	73684	\N	\N	0
2963621	9814	1996-04-10	VYDAJ	VYBER	6600	60832	\N	\N	0
2963622	9814	1996-05-08	VYDAJ	VYBER	9700	47538	\N	\N	0
2963623	9814	1996-06-20	VYDAJ	VYBER	9200	44953	\N	\N	0
2963624	9814	1996-07-06	VYDAJ	VYBER	9300	31670	\N	\N	0
2963625	9814	1996-08-17	VYDAJ	VYBER	9400	23185	\N	\N	0
2963626	9814	1996-09-12	VYDAJ	VYBER	8400	18309	\N	\N	0
2963627	9814	1996-10-12	VYDAJ	VYBER	8000	9894	\N	\N	0
2963628	9814	1996-11-12	VYDAJ	VYBER	8000	15561	\N	\N	0
2963629	9814	1996-12-12	VYDAJ	VYBER	8000	15058	\N	\N	0
2963630	9814	1997-01-12	VYDAJ	PREVOD NA UCET	8014	39453	UVER	QR	6911552
2963631	9814	1997-02-12	VYDAJ	PREVOD NA UCET	8014	16835	UVER	QR	6911552
2963632	9814	1997-03-12	VYDAJ	PREVOD NA UCET	8014	57849	UVER	QR	6911552
2963633	9814	1997-04-12	VYDAJ	PREVOD NA UCET	8014	55756	UVER	QR	6911552
2963634	9814	1997-05-12	VYDAJ	PREVOD NA UCET	8014	54876	UVER	QR	6911552
2963635	9814	1997-06-12	VYDAJ	PREVOD NA UCET	8014	10593	UVER	QR	6911552
2963636	9814	1997-07-12	VYDAJ	PREVOD NA UCET	8014	82344	UVER	QR	6911552
2963637	9814	1997-08-12	VYDAJ	PREVOD NA UCET	8014	67293	UVER	QR	6911552
2963638	9814	1997-09-12	VYDAJ	PREVOD NA UCET	8014	55246	UVER	QR	6911552
2963639	9814	1997-10-06	VYDAJ	VYBER	7700	53419	\N	\N	0
2963640	9814	1997-11-11	VYDAJ	VYBER	6700	34586	\N	\N	0
2963641	9814	1997-12-13	VYDAJ	VYBER	7000	59689	\N	\N	0
2963642	9814	1998-01-07	VYDAJ	VYBER	6200	67649	\N	\N	0
2963643	9814	1998-02-11	VYDAJ	VYBER	8100	72444	\N	\N	0
2963644	9814	1998-03-03	VYDAJ	VYBER	6800	29499	\N	\N	0
2963645	9814	1998-04-20	VYDAJ	VYBER	9200	60494	\N	\N	0
2963646	9814	1998-05-15	VYDAJ	VYBER	7000	35619	\N	\N	0
2963647	9814	1998-06-04	VYDAJ	VYBER	7100	50661	\N	\N	0
2963648	9814	1998-07-03	VYDAJ	VYBER	9300	58378	\N	\N	0
2963649	9814	1998-08-07	VYDAJ	VYBER	7500	69907	\N	\N	0
2963650	9814	1998-09-13	VYDAJ	VYBER	7100	109655	\N	\N	0
2963651	9814	1998-10-11	VYDAJ	VYBER	7800	90308	\N	\N	0
2963652	9814	1998-11-14	VYDAJ	VYBER	7700	119854	\N	\N	0
2963653	9814	1998-12-06	VYDAJ	VYBER	9400	77174	\N	\N	0
2963654	9814	1996-10-20	VYBER	VYBER	9863	32217	\N	\N	\N
2963655	9814	1996-03-24	VYBER	VYBER	24405	28679	\N	\N	\N
2963657	9814	1996-06-30	VYBER	VYBER	4541	41000	\N	\N	\N
2963658	9814	1996-01-22	VYBER	VYBER	8352	31234	\N	\N	\N
2963659	9814	1996-01-17	VYBER	VYBER	14424	39586	\N	\N	\N
2963660	9814	1996-10-23	VYBER	VYBER	10518	21699	\N	\N	\N
2963661	9814	1996-03-07	VYBER	VYBER	11912	83484	\N	\N	\N
2963662	9814	1996-05-16	VYBER	VYBER	19903	19435	\N	\N	\N
2963663	9814	1997-03-11	VYBER	VYBER	6610	34726	\N	\N	\N
2963665	9814	1997-10-22	VYBER	VYBER	22367	27152	\N	\N	\N
2963666	9814	1997-11-09	VYBER	VYBER	10621	41286	\N	\N	\N
2963667	9814	1997-01-15	VYBER	VYBER	8637	30816	\N	\N	\N
2963668	9814	1997-08-26	VYBER	VYBER	15857	78564	\N	\N	\N
2963670	9814	1997-02-23	VYBER	VYBER	7929	28415	\N	\N	\N
2963671	9814	1997-01-10	VYBER	VYBER	4467	47467	\N	\N	\N
2963672	9814	1998-04-30	VYBER	VYBER	24484	36857	\N	\N	\N
2963673	9814	1998-04-20	VYBER	VYBER	13274	69694	\N	\N	\N
2963674	9814	1998-02-27	VYBER	VYBER	5618	35523	\N	\N	\N
2963675	9814	1998-02-23	VYBER	VYBER	5383	46241	\N	\N	\N
2963676	9814	1998-03-12	VYBER	VYBER	11787	73109	\N	\N	\N
2963677	9814	1998-05-13	VYBER	VYBER	19592	42619	\N	\N	\N
2963678	9814	1998-02-21	VYBER	VYBER	20820	51624	\N	\N	\N
2963679	9814	1998-11-30	VYBER	VYBER	20218	86604	\N	\N	\N
2963680	9814	1998-04-30	VYBER	VYBER	13440	23417	\N	\N	\N
2963682	9814	1998-06-20	VYBER	VYBER	21067	51147	\N	\N	\N
2963683	9814	1998-10-16	VYBER	VYBER	7545	121421	\N	\N	\N
2963686	9814	1997-06-05	VYDAJ	VYBER	69000	4406	\N	\N	\N
2963687	9814	1998-06-03	VYDAJ	VYBER	29700	57761	\N	\N	\N
2963688	9814	1995-12-12	VYDAJ	VYBER	5100	71792	\N	\N	\N
2963689	9814	1996-12-09	VYDAJ	VYBER	5100	23058	\N	\N	\N
2963690	9814	1997-12-05	VYDAJ	VYBER	2400	66689	\N	\N	\N
2963691	9814	1998-12-18	VYDAJ	VYBER KARTOU	6600	80858	\N	\N	0
2963692	9814	1995-08-09	VYDAJ	VYBER	13800	49305	\N	\N	\N
2963694	9814	1995-05-08	VYDAJ	VYBER	9000	54406	\N	\N	\N
2963695	9814	1995-11-04	VYDAJ	VYBER	13800	38642	\N	\N	\N
2963696	9814	1995-06-30	VYDAJ	VYBER	13500	21293	\N	\N	\N
2963697	9814	1995-09-06	VYDAJ	VYBER	10500	49939	\N	\N	\N
2963699	9814	1996-12-16	VYDAJ	VYBER	3000	12058	\N	\N	\N
2963700	9814	1996-06-05	VYDAJ	VYBER	3000	66153	\N	\N	\N
2963701	9814	1996-09-25	VYDAJ	VYBER	14700	3609	\N	\N	\N
2963702	9814	1997-01-29	VYDAJ	VYBER	4800	26016	\N	\N	\N
2963703	9814	1997-07-31	VYDAJ	VYBER	10500	83956	\N	\N	\N
2963704	9814	1997-12-25	VYDAJ	VYBER	6900	52789	\N	\N	\N
2963705	9814	1997-10-31	VYDAJ	VYBER	11400	16242	\N	\N	\N
2963706	9814	1997-09-19	VYDAJ	VYBER	2700	52546	\N	\N	\N
2963707	9814	1997-10-21	VYDAJ	VYBER	3900	49519	\N	\N	\N
2963708	9814	1998-06-24	VYDAJ	VYBER	3300	62316	\N	\N	\N
2963709	9814	1998-02-24	VYDAJ	VYBER	5100	41141	\N	\N	\N
2963710	9814	1998-10-27	VYDAJ	VYBER	5400	116021	\N	\N	\N
2963711	9814	1998-01-20	VYDAJ	VYBER	13500	81913	\N	\N	\N
2963717	9814	1995-05-31	VYDAJ	VYBER	30	44411	SLUZBY	\N	\N
2963718	9814	1995-06-30	VYDAJ	VYBER	30	21263	SLUZBY	\N	\N
2963719	9814	1995-07-31	VYDAJ	VYBER	30	63105	SLUZBY	\N	\N
2963720	9814	1995-08-31	VYDAJ	VYBER	30	34937	SLUZBY	\N	\N
2963721	9814	1995-09-30	VYDAJ	VYBER	30	42261	SLUZBY	\N	\N
2963722	9814	1995-10-31	VYDAJ	VYBER	30	52442	SLUZBY	\N	\N
2963723	9814	1995-11-30	VYDAJ	VYBER	30	33326	SLUZBY	\N	\N
2963724	9814	1995-12-31	VYDAJ	VYBER	30	93220	SLUZBY	\N	\N
2963725	9814	1996-01-31	VYDAJ	VYBER	30	59759	SLUZBY	\N	\N
2963726	9814	1996-02-29	VYDAJ	VYBER	30	95396	SLUZBY	\N	\N
2963727	9814	1996-03-31	VYDAJ	VYBER	30	29262	SLUZBY	\N	\N
2963728	9814	1996-04-30	VYDAJ	VYBER	30	57238	SLUZBY	\N	\N
2963729	9814	1996-05-31	VYDAJ	VYBER	30	61530	SLUZBY	\N	\N
2963730	9814	1996-06-30	VYDAJ	VYBER	30	40970	SLUZBY	\N	\N
2963731	9814	1996-07-31	VYDAJ	VYBER	30	28585	SLUZBY	\N	\N
2963732	9814	1996-08-31	VYDAJ	VYBER	30	23409	SLUZBY	\N	\N
2963733	9814	1996-09-30	VYDAJ	VYBER	30	3699	SLUZBY	\N	\N
2963734	9814	1996-10-31	VYDAJ	VYBER	30	21761	SLUZBY	\N	\N
2963735	9814	1996-11-30	VYDAJ	VYBER	30	15658	SLUZBY	\N	\N
2963736	9814	1996-12-31	VYDAJ	VYBER	30	12129	SLUZBY	\N	\N
2963737	9814	1997-01-31	VYDAJ	VYBER	30	26248	SLUZBY	\N	\N
2963738	9814	1997-02-28	VYDAJ	VYBER	30	56936	SLUZBY	\N	\N
2963739	9814	1997-03-31	VYDAJ	VYBER	30	95770	SLUZBY	\N	\N
2963740	9814	1997-04-30	VYDAJ	VYBER	30	93089	SLUZBY	\N	\N
2963741	9814	1997-05-31	VYDAJ	VYBER	30	55611	SLUZBY	\N	\N
2963742	9814	1997-06-30	VYDAJ	VYBER	30	62328	SLUZBY	\N	\N
2963743	9814	1997-07-31	VYDAJ	VYBER	30	94456	SLUZBY	\N	\N
2963744	9814	1997-08-31	VYDAJ	VYBER	30	79459	SLUZBY	\N	\N
2963745	9814	1997-09-30	VYDAJ	VYBER	30	75319	SLUZBY	\N	\N
2963746	9814	1997-10-31	VYDAJ	VYBER	30	16212	SLUZBY	\N	\N
2963747	9814	1997-11-30	VYDAJ	VYBER	30	82089	SLUZBY	\N	\N
2963748	9814	1997-12-31	VYDAJ	VYBER	30	53417	SLUZBY	\N	\N
2963749	9814	1998-01-31	VYDAJ	VYBER	30	103244	SLUZBY	\N	\N
2963750	9814	1998-02-28	VYDAJ	VYBER	30	36299	SLUZBY	\N	\N
2963751	9814	1998-03-31	VYDAJ	VYBER	30	108358	SLUZBY	\N	\N
2963752	9814	1998-04-30	VYDAJ	VYBER	30	23387	SLUZBY	\N	\N
2963753	9814	1998-05-31	VYDAJ	VYBER	30	99661	SLUZBY	\N	\N
2963754	9814	1998-06-30	VYDAJ	VYBER	30	62878	SLUZBY	\N	\N
2963755	9814	1998-07-31	VYDAJ	VYBER	30	85607	SLUZBY	\N	\N
2963756	9814	1998-08-31	VYDAJ	VYBER	30	93640	SLUZBY	\N	\N
2963757	9814	1998-09-30	VYDAJ	VYBER	30	98108	SLUZBY	\N	\N
2963758	9814	1998-10-31	VYDAJ	VYBER	30	99221	SLUZBY	\N	\N
2963759	9814	1998-11-30	VYDAJ	VYBER	30	86574	SLUZBY	\N	\N
2963760	9814	1995-02-18	PRIJEM	VKLAD	11700	12300	\N	\N	\N
2963761	9814	1995-03-20	VYDAJ	VYBER	21500	43096	\N	\N	\N
2963762	9814	1995-04-19	VYDAJ	VYBER	7200	36301	\N	\N	\N
2963763	9814	1995-05-19	VYDAJ	VYBER	19100	43824	\N	\N	\N
2963764	9814	1995-06-18	VYDAJ	VYBER	3900	34411	\N	\N	\N
2963765	9814	1995-07-18	VYDAJ	VYBER	14900	45816	\N	\N	\N
2963766	9814	1995-08-17	VYDAJ	VYBER	7700	34505	\N	\N	\N
2963767	9814	1995-09-16	VYDAJ	VYBER	1600	48339	\N	\N	\N
2963768	9814	1995-10-08	VYDAJ	VYBER	48400	67410	\N	\N	\N
2963769	9814	1995-10-16	VYDAJ	VYBER	15700	51710	\N	\N	\N
2963770	9814	1995-11-15	PRIJEM	VKLAD	3300	32942	\N	\N	\N
2963771	9814	1995-12-15	VYDAJ	VYBER	11900	51392	\N	\N	\N
2963772	9814	1996-01-09	VYDAJ	VYBER	53500	84510	\N	\N	\N
2963773	9814	1996-01-14	VYDAJ	VYBER	22300	54010	\N	\N	\N
2963774	9814	1996-02-13	VYDAJ	VYBER	7000	43459	\N	\N	\N
2963775	9814	1996-03-14	VYDAJ	VYBER	20600	53084	\N	\N	\N
2963776	9814	1996-04-13	VYDAJ	VYBER	25300	56684	\N	\N	\N
2963777	9814	1996-05-13	VYDAJ	VYBER	8200	39338	\N	\N	\N
2963778	9814	1996-06-12	VYDAJ	VYBER	12000	54153	\N	\N	\N
2963779	9814	1996-07-12	VYDAJ	VYBER	3400	28270	\N	\N	\N
2963780	9814	1996-08-11	PRIJEM	VKLAD	4000	32585	\N	\N	\N
2963781	9814	1996-09-10	PRIJEM	VKLAD	3300	26709	\N	\N	\N
2963782	9814	1996-10-10	PRIJEM	VKLAD	14200	17894	\N	\N	\N
2963783	9814	1996-11-09	PRIJEM	VKLAD	1800	23561	\N	\N	\N
2963784	9814	1996-12-09	PRIJEM	VKLAD	12500	28158	\N	\N	\N
2963785	9814	1997-01-08	PRIJEM	VKLAD	5300	17429	\N	\N	\N
2963786	9814	1997-02-07	VYDAJ	VYBER	1400	24848	\N	\N	\N
2963787	9814	1997-03-09	VYDAJ	VYBER	15600	41336	\N	\N	\N
2963788	9814	1997-03-25	VYDAJ	VYBER	27600	94925	\N	\N	\N
2963789	9814	1997-04-08	VYDAJ	VYBER	32000	63770	\N	\N	\N
2963790	9814	1997-05-08	VYDAJ	VYBER	30200	62889	\N	\N	\N
2963791	9814	1997-06-07	PRIJEM	VKLAD	14200	18606	\N	\N	\N
2963792	9814	1997-07-07	VYDAJ	VYBER	26700	67296	\N	\N	\N
2963793	9814	1997-08-06	VYDAJ	VYBER	35400	75307	\N	\N	\N
2963794	9814	1997-09-05	VYDAJ	VYBER	16200	63259	\N	\N	\N
2963795	9814	1997-10-05	VYDAJ	VYBER	14200	61119	\N	\N	\N
2963796	9814	1997-11-04	VYDAJ	VYBER	8500	51907	\N	\N	\N
2963797	9814	1997-12-04	VYDAJ	VYBER	13000	69089	\N	\N	\N
2963798	9814	1998-01-03	VYDAJ	VYBER	1500	51917	\N	\N	\N
2963799	9814	1998-02-02	VYDAJ	VYBER	22700	80544	\N	\N	\N
2963800	9814	1998-03-04	PRIJEM	VKLAD	10500	39999	\N	\N	\N
2963801	9814	1998-04-03	VYDAJ	VYBER	22100	86258	\N	\N	\N
2963802	9814	1998-04-06	VYDAJ	VYBER	62500	67784	\N	\N	\N
2963803	9814	1998-05-03	PRIJEM	VKLAD	6100	62211	\N	\N	\N
2963804	9814	1998-06-02	VYDAJ	VYBER	12200	87461	\N	\N	\N
2963805	9814	1998-07-02	PRIJEM	VKLAD	4800	67678	\N	\N	\N
2963806	9814	1998-07-06	VYDAJ	VYBER	52400	63305	\N	\N	\N
2963807	9814	1998-08-01	VYDAJ	VYBER	8200	77407	\N	\N	\N
2963808	9814	1998-08-31	VYDAJ	VYBER	6800	86840	\N	\N	\N
2963809	9814	1998-09-13	VYDAJ	VYBER	18700	116755	\N	\N	\N
2963810	9814	1998-09-30	VYDAJ	VYBER	12700	98138	\N	\N	\N
2963811	9814	1998-10-30	VYDAJ	VYBER	18000	98021	\N	\N	\N
2963812	9814	1998-11-29	VYDAJ	VYBER	37000	105578	\N	\N	\N
2963813	9814	1998-11-29	VYDAJ	VYBER	25200	142578	\N	\N	\N
2966744	9826	1996-08-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
2966749	9826	1996-12-03	PRIJEM	VKLAD	15806	69706	\N	\N	\N
2966751	9826	1996-12-11	PRIJEM	VKLAD	20369	90075	\N	\N	\N
2966752	9826	1996-11-02	PRIJEM	VKLAD	41742	80252	\N	\N	\N
2966757	9826	1996-10-13	PRIJEM	VKLAD	36412	49312	\N	\N	\N
2966759	9826	1996-12-27	PRIJEM	VKLAD	5668	67743	\N	\N	\N
2966760	9826	1997-06-27	PRIJEM	VKLAD	21845	60216	\N	\N	\N
2966761	9826	1997-11-17	PRIJEM	VKLAD	9198	10508	\N	\N	\N
2966762	9826	1997-03-31	PRIJEM	VKLAD	21994	35397	\N	\N	\N
2966763	9826	1997-04-20	PRIJEM	VKLAD	39213	42863	\N	\N	\N
2966764	9826	1997-04-21	PRIJEM	VKLAD	10198	44561	\N	\N	\N
2966765	9826	1997-06-28	PRIJEM	VKLAD	5671	65887	\N	\N	\N
2966766	9826	1997-12-11	PRIJEM	VKLAD	46896	45241	\N	\N	\N
2966767	9826	1997-08-17	PRIJEM	VKLAD	8144	62688	\N	\N	\N
2966768	9826	1997-05-14	PRIJEM	VKLAD	43860	88690	\N	\N	\N
2966769	9826	1997-02-01	PRIJEM	VKLAD	23200	47609	\N	\N	\N
2966770	9826	1997-07-24	PRIJEM	VKLAD	20834	54249	\N	\N	\N
2966771	9826	1997-06-15	PRIJEM	VKLAD	9172	32343	\N	\N	\N
2966772	9826	1997-06-20	PRIJEM	VKLAD	13428	38371	\N	\N	\N
2966773	9826	1997-10-22	PRIJEM	VKLAD	22168	14586	\N	\N	\N
2966774	9826	1998-07-08	PRIJEM	VKLAD	21199	42870	\N	\N	\N
2966775	9826	1998-04-18	PRIJEM	VKLAD	14674	13123	\N	\N	\N
2966776	9826	1998-10-30	PRIJEM	VKLAD	26621	114490	\N	\N	\N
2966777	9826	1998-12-28	PRIJEM	VKLAD	27719	50623	\N	\N	\N
2966778	9826	1998-01-20	PRIJEM	VKLAD	47285	53474	\N	\N	\N
2966779	9826	1998-07-16	PRIJEM	VKLAD	17991	111276	\N	\N	\N
2966780	9826	1998-11-26	PRIJEM	VKLAD	43337	62641	\N	\N	\N
2966781	9826	1998-07-16	PRIJEM	VKLAD	14913	93285	\N	\N	\N
2966782	9826	1998-12-01	PRIJEM	VKLAD	37719	128821	\N	\N	\N
2966783	9826	1998-11-28	PRIJEM	VKLAD	28090	90731	\N	\N	\N
2966784	9826	1998-07-08	PRIJEM	VKLAD	9998	21671	\N	\N	\N
2966785	9826	1998-08-08	PRIJEM	VKLAD	36761	110943	\N	\N	\N
2966786	9826	1998-05-08	PRIJEM	VKLAD	26448	39636	\N	\N	\N
2966787	9826	1998-07-15	PRIJEM	VKLAD	35502	78372	\N	\N	\N
2966788	9826	1998-11-08	PRIJEM	VKLAD	21372	84263	\N	\N	\N
2966789	9826	1998-10-27	PRIJEM	VKLAD	46177	87869	\N	\N	\N
2966790	9826	1998-02-06	PRIJEM	VKLAD	39685	55314	\N	\N	\N
2966791	9826	1998-03-12	PRIJEM	VKLAD	6145	36559	\N	\N	\N
2966792	9826	1998-11-10	PRIJEM	VKLAD	40741	125004	\N	\N	\N
2966793	9826	1998-09-23	PRIJEM	VKLAD	27712	55156	\N	\N	\N
2966794	9826	1998-12-08	PRIJEM	VKLAD	28410	117713	\N	\N	\N
2966807	9826	1997-01-14	VYDAJ	VYBER	13100	19645	SIPO	\N	0
2966808	9826	1997-02-12	VYDAJ	VYBER	13300	34309	SIPO	\N	0
2966809	9826	1997-03-06	VYDAJ	VYBER	14900	7422	SIPO	\N	0
2966810	9826	1997-04-17	VYDAJ	VYBER	13700	3650	SIPO	\N	0
2966811	9826	1997-05-19	VYDAJ	VYBER	14100	74590	SIPO	\N	0
2966812	9826	1997-06-03	VYDAJ	VYBER	11800	23171	SIPO	\N	0
2966813	9826	1997-07-07	VYDAJ	VYBER	12000	54115	SIPO	\N	0
2966814	9826	1997-08-17	VYDAJ	VYBER	12500	50188	SIPO	\N	0
2966815	9826	1997-09-14	VYDAJ	VYBER	13100	2217	SIPO	\N	0
2966816	9826	1997-10-18	VYDAJ	VYBER	9900	-7582	SIPO	\N	0
2966817	9826	1997-11-08	VYDAJ	VYBER	11800	1310	SIPO	\N	0
2966818	9826	1997-12-01	VYDAJ	VYBER	12200	-1655	SIPO	\N	0
2966819	9826	1998-01-01	VYDAJ	VYBER	11500	6189	SIPO	\N	0
2966820	9826	1998-02-13	VYDAJ	VYBER	12400	30237	SIPO	\N	0
2966821	9826	1998-03-12	VYDAJ	VYBER	9100	27459	SIPO	\N	0
2966822	9826	1998-04-06	VYDAJ	VYBER	10300	-1551	SIPO	\N	0
2966823	9826	1998-05-16	VYDAJ	VYBER	10800	28836	SIPO	\N	0
2966824	9826	1998-06-02	VYDAJ	VYBER	10300	11518	SIPO	\N	0
2966825	9826	1998-07-19	VYDAJ	VYBER	13200	95051	SIPO	\N	0
2966826	9826	1998-08-15	VYDAJ	VYBER	10000	40343	SIPO	\N	0
2966827	9826	1998-09-16	VYDAJ	VYBER	10200	27444	SIPO	\N	0
2966828	9826	1998-10-05	VYDAJ	VYBER	13700	41692	SIPO	\N	0
2966829	9826	1998-11-16	VYDAJ	VYBER	13800	19304	SIPO	\N	0
2966830	9826	1998-12-16	VYDAJ	VYBER	11400	27713	SIPO	\N	0
2966840	9826	1996-12-28	VYBER	VYBER	11476	56267	\N	\N	\N
2966845	9826	1997-08-20	VYBER	VYBER	11545	15143	\N	\N	\N
2966846	9826	1997-04-05	VYBER	VYBER	18112	17350	\N	\N	\N
2966847	9826	1997-05-27	VYBER	VYBER	13762	34728	\N	\N	\N
2966849	9826	1998-12-27	VYBER	VYBER	4809	22904	\N	\N	\N
2966850	9826	1998-01-21	VYBER	VYBER	16988	36486	\N	\N	\N
2966851	9826	1998-11-04	VYBER	VYBER	4466	62891	\N	\N	\N
2966853	9826	1998-07-19	VYBER	VYBER	3025	108251	\N	\N	\N
2966856	9826	1998-02-10	VYBER	VYBER	12677	42637	\N	\N	\N
2966857	9826	1998-05-30	VYBER	VYBER	7168	21668	\N	\N	\N
2966858	9826	1998-12-06	VYBER	VYBER	6818	89303	\N	\N	\N
2966859	9826	1998-07-29	VYBER	VYBER	21333	73718	\N	\N	\N
2966861	9826	1997-12-22	VYDAJ	VYBER	3000	17541	\N	\N	\N
2966862	9826	1998-12-28	VYDAJ	VYBER	5400	45223	\N	\N	\N
2966869	9826	1997-01-03	VYDAJ	VYBER	3300	53445	\N	\N	\N
2966870	9826	1997-01-12	VYDAJ	VYBER	6900	32745	\N	\N	\N
2966871	9826	1997-01-09	VYDAJ	VYBER	6600	39645	\N	\N	\N
2966873	9826	1997-01-09	VYDAJ	VYBER	5700	46245	\N	\N	\N
2966874	9826	1997-01-07	VYDAJ	VYBER	1500	51945	\N	\N	\N
2966877	9826	1998-01-28	VYDAJ	VYBER	3000	15486	\N	\N	\N
2966878	9826	1998-01-22	VYDAJ	VYBER	8100	28386	\N	\N	\N
2966879	9826	1998-01-24	VYDAJ	VYBER	2400	25986	\N	\N	\N
2966880	9826	1998-01-25	VYDAJ	VYBER	7500	18486	\N	\N	\N
2966890	9826	1997-02-25	VYDAJ	VYBER	8100	22109	\N	\N	\N
2966891	9826	1997-11-04	VYDAJ	VYBER	1500	13110	\N	\N	\N
2966894	9826	1998-10-31	VYDAJ	VYBER	7500	67372	\N	\N	\N
2966896	9826	1998-09-07	VYDAJ	VYBER	3000	37644	\N	\N	\N
2966909	9826	1996-12-31	VYDAJ	VYBER	15	56745	SLUZBY	\N	\N
2966910	9826	1997-01-31	VYDAJ	VYBER	15	24409	SLUZBY	\N	\N
2966911	9826	1997-02-28	VYDAJ	VYBER	15	22322	SLUZBY	\N	\N
2966912	9826	1997-03-31	VYDAJ	VYBER	15	35462	SLUZBY	\N	\N
2966913	9826	1997-04-30	VYDAJ	VYBER	15	44830	SLUZBY	\N	\N
2966914	9826	1997-05-31	VYDAJ	VYBER	15	34971	SLUZBY	\N	\N
2966915	9826	1997-06-30	VYDAJ	VYBER	15	66115	SLUZBY	\N	\N
2966916	9826	1997-07-31	VYDAJ	VYBER	15	54544	SLUZBY	\N	\N
2966917	9826	1997-08-31	VYDAJ	VYBER	15	15317	SLUZBY	\N	\N
2966918	9826	1997-09-30	VYDAJ	VYBER	15	2318	SLUZBY	\N	\N
2966919	9826	1997-10-31	VYDAJ	VYBER	15	14610	SLUZBY	\N	\N
2966920	9826	1997-11-30	VYDAJ	VYBER	15	10545	SLUZBY	\N	\N
2966921	9826	1997-12-31	VYDAJ	VYBER	15	17689	SLUZBY	\N	\N
2966922	9826	1998-01-31	VYDAJ	VYBER	15	15629	SLUZBY	\N	\N
2966923	9826	1998-02-28	VYDAJ	VYBER	15	30414	SLUZBY	\N	\N
2966924	9826	1998-03-31	VYDAJ	VYBER	15	8749	SLUZBY	\N	\N
2966925	9826	1998-04-30	VYDAJ	VYBER	15	13188	SLUZBY	\N	\N
2966926	9826	1998-05-31	VYDAJ	VYBER	15	21818	SLUZBY	\N	\N
2966927	9826	1998-06-30	VYDAJ	VYBER	15	11673	SLUZBY	\N	\N
2966928	9826	1998-07-31	VYDAJ	VYBER	15	74182	SLUZBY	\N	\N
2966929	9826	1998-08-31	VYDAJ	VYBER	15	40644	SLUZBY	\N	\N
2966930	9826	1998-09-30	VYDAJ	VYBER	15	55392	SLUZBY	\N	\N
2966931	9826	1998-10-31	VYDAJ	VYBER	15	67357	SLUZBY	\N	\N
2966932	9826	1998-11-30	VYDAJ	VYBER	15	91102	SLUZBY	\N	\N
2966933	9826	1996-09-22	PRIJEM	VKLAD	11900	12900	\N	\N	\N
2966934	9826	1996-10-22	VYDAJ	VYBER	10900	38412	\N	\N	\N
2966935	9826	1996-11-21	VYDAJ	VYBER	26600	53652	\N	\N	\N
2966936	9826	1996-12-21	VYDAJ	VYBER	28000	62075	\N	\N	\N
2966937	9826	1997-01-20	PRIJEM	VKLAD	4500	24145	\N	\N	\N
2966938	9826	1997-02-19	VYDAJ	VYBER	4100	30209	\N	\N	\N
2966939	9826	1997-03-21	PRIJEM	VKLAD	5900	13322	\N	\N	\N
2966940	9826	1997-04-20	VYDAJ	VYBER	8500	34363	\N	\N	\N
2966941	9826	1997-05-20	VYDAJ	VYBER	26100	48490	\N	\N	\N
2966942	9826	1997-06-19	VYDAJ	VYBER	7400	24943	\N	\N	\N
2966943	9826	1997-07-19	VYDAJ	VYBER	20700	33415	\N	\N	\N
2966944	9826	1997-08-18	VYDAJ	VYBER	23500	26688	\N	\N	\N
2966945	9826	1997-12-16	VYDAJ	VYBER	24700	20541	\N	\N	\N
2966946	9826	1998-03-16	VYDAJ	VYBER	18800	8659	\N	\N	\N
2966947	9826	1998-08-13	VYDAJ	VYBER	60600	50343	\N	\N	\N
2966948	9826	1998-10-30	VYDAJ	VYBER	40100	74390	\N	\N	\N
2966949	9826	1998-11-10	VYDAJ	VYBER	60800	64204	\N	\N	\N
2966950	9826	1998-11-11	VYDAJ	VYBER	31100	33104	\N	\N	\N
2966951	9826	1998-12-01	VYDAJ	VYBER	32700	96121	\N	\N	\N
2966952	9826	1998-12-08	VYDAJ	VYBER	49300	68413	\N	\N	\N
2966953	9826	1998-12-11	VYDAJ	VYBER	29300	39113	\N	\N	\N
2967125	9828	1993-05-20	PRIJEM	VKLAD	400	400	\N	\N	\N
2967131	9828	1993-06-05	PRIJEM	PREVOD Z UCTU	47472	47872	\N	GH	8007508
2967132	9828	1993-07-05	PRIJEM	PREVOD Z UCTU	31648	69082	\N	GH	8007508
2967133	9828	1993-08-05	PRIJEM	PREVOD Z UCTU	31648	78703	\N	GH	8007508
2967134	9828	1993-09-05	PRIJEM	PREVOD Z UCTU	31648	80950	\N	GH	8007508
2967135	9828	1993-10-05	PRIJEM	PREVOD Z UCTU	31648	85411	\N	GH	8007508
2967136	9828	1993-11-05	PRIJEM	PREVOD Z UCTU	31648	85570	\N	GH	8007508
2967137	9828	1993-12-05	PRIJEM	PREVOD Z UCTU	47472	94043	\N	GH	8007508
2967138	9828	1994-01-05	PRIJEM	PREVOD Z UCTU	31648	81450	\N	GH	8007508
2967139	9828	1994-02-05	PRIJEM	PREVOD Z UCTU	31648	53963	\N	GH	8007508
2967140	9828	1994-03-05	PRIJEM	PREVOD Z UCTU	31648	67354	\N	GH	8007508
2967141	9828	1994-04-05	PRIJEM	PREVOD Z UCTU	31648	61759	\N	GH	8007508
2967142	9828	1994-05-05	PRIJEM	PREVOD Z UCTU	31648	54278	\N	GH	8007508
2967143	9828	1994-06-05	PRIJEM	PREVOD Z UCTU	47472	73863	\N	GH	8007508
2967144	9828	1994-07-05	PRIJEM	PREVOD Z UCTU	31648	69387	\N	GH	8007508
2967145	9828	1994-08-05	PRIJEM	PREVOD Z UCTU	31648	64812	\N	GH	8007508
2967146	9828	1994-09-05	PRIJEM	PREVOD Z UCTU	31648	76717	\N	GH	8007508
2967147	9828	1994-10-05	PRIJEM	PREVOD Z UCTU	31648	73347	\N	GH	8007508
2967148	9828	1994-11-05	PRIJEM	PREVOD Z UCTU	31648	58454	\N	GH	8007508
2967149	9828	1994-12-05	PRIJEM	PREVOD Z UCTU	47472	74692	\N	GH	8007508
2967150	9828	1995-01-05	PRIJEM	PREVOD Z UCTU	31648	63830	\N	GH	8007508
2967151	9828	1995-02-05	PRIJEM	PREVOD Z UCTU	31648	49524	\N	GH	8007508
2967152	9828	1995-03-05	PRIJEM	PREVOD Z UCTU	31648	68710	\N	GH	8007508
2967153	9828	1995-04-05	PRIJEM	PREVOD Z UCTU	31648	69721	\N	GH	8007508
2967154	9828	1995-05-05	PRIJEM	PREVOD Z UCTU	31648	74329	\N	GH	8007508
2967155	9828	1995-06-05	PRIJEM	PREVOD Z UCTU	47472	83374	\N	GH	8007508
2967156	9828	1995-07-05	PRIJEM	PREVOD Z UCTU	31648	80924	\N	GH	8007508
2967157	9828	1995-08-05	PRIJEM	PREVOD Z UCTU	31648	65651	\N	GH	8007508
2967158	9828	1995-09-05	PRIJEM	PREVOD Z UCTU	31648	61415	\N	GH	8007508
2967159	9828	1995-10-05	PRIJEM	PREVOD Z UCTU	31648	68841	\N	GH	8007508
2967160	9828	1995-11-05	PRIJEM	PREVOD Z UCTU	31648	70763	\N	GH	8007508
2967161	9828	1995-12-05	PRIJEM	PREVOD Z UCTU	47472	68333	\N	GH	8007508
2967162	9828	1996-01-05	PRIJEM	PREVOD Z UCTU	31648	55612	\N	GH	8007508
2967163	9828	1996-02-05	PRIJEM	PREVOD Z UCTU	31648	47709	\N	GH	8007508
2967164	9828	1996-03-05	PRIJEM	PREVOD Z UCTU	31648	74236	\N	GH	8007508
2967165	9828	1996-04-05	PRIJEM	PREVOD Z UCTU	31648	57893	\N	GH	8007508
2967166	9828	1996-05-05	PRIJEM	PREVOD Z UCTU	31648	65067	\N	GH	8007508
2967167	9828	1996-06-05	PRIJEM	PREVOD Z UCTU	47472	84998	\N	GH	8007508
2967168	9828	1996-07-05	PRIJEM	PREVOD Z UCTU	31648	81082	\N	GH	8007508
2967169	9828	1996-08-05	PRIJEM	PREVOD Z UCTU	31648	75262	\N	GH	8007508
2967170	9828	1996-09-05	PRIJEM	PREVOD Z UCTU	31648	71719	\N	GH	8007508
2967171	9828	1996-10-05	PRIJEM	PREVOD Z UCTU	31648	60012	\N	GH	8007508
2967172	9828	1996-11-05	PRIJEM	PREVOD Z UCTU	31648	68297	\N	GH	8007508
2967173	9828	1996-12-05	PRIJEM	PREVOD Z UCTU	47472	80621	\N	GH	8007508
2967174	9828	1997-01-05	PRIJEM	PREVOD Z UCTU	31648	69243	\N	GH	8007508
2967175	9828	1997-02-05	PRIJEM	PREVOD Z UCTU	31648	49072	\N	GH	8007508
2967176	9828	1997-03-05	PRIJEM	PREVOD Z UCTU	31648	58840	\N	GH	8007508
2967177	9828	1997-04-05	PRIJEM	PREVOD Z UCTU	31648	61974	\N	GH	8007508
2967178	9828	1997-05-05	PRIJEM	PREVOD Z UCTU	31648	63919	\N	GH	8007508
2967179	9828	1997-06-05	PRIJEM	PREVOD Z UCTU	47472	75351	\N	GH	8007508
2967180	9828	1997-07-05	PRIJEM	PREVOD Z UCTU	31648	55846	\N	GH	8007508
2967181	9828	1997-08-05	PRIJEM	PREVOD Z UCTU	31648	63147	\N	GH	8007508
2967182	9828	1997-09-05	PRIJEM	PREVOD Z UCTU	31648	66869	\N	GH	8007508
2967183	9828	1997-10-05	PRIJEM	PREVOD Z UCTU	31648	68198	\N	GH	8007508
2967184	9828	1997-11-05	PRIJEM	PREVOD Z UCTU	31648	72005	\N	GH	8007508
2967185	9828	1997-12-05	PRIJEM	PREVOD Z UCTU	47472	80465	\N	GH	8007508
2967186	9828	1998-01-05	PRIJEM	PREVOD Z UCTU	31648	53657	\N	GH	8007508
2967187	9828	1998-02-05	PRIJEM	PREVOD Z UCTU	31648	57515	\N	GH	8007508
2967188	9828	1998-03-05	PRIJEM	PREVOD Z UCTU	31648	48018	\N	GH	8007508
2967189	9828	1998-04-05	PRIJEM	PREVOD Z UCTU	31648	61068	\N	GH	8007508
2967190	9828	1998-05-05	PRIJEM	PREVOD Z UCTU	31648	65578	\N	GH	8007508
2967191	9828	1998-06-05	PRIJEM	PREVOD Z UCTU	47472	70564	\N	GH	8007508
2967192	9828	1998-07-05	PRIJEM	PREVOD Z UCTU	31648	59118	\N	GH	8007508
2967193	9828	1998-08-05	PRIJEM	PREVOD Z UCTU	31648	63267	\N	GH	8007508
2967194	9828	1998-09-05	PRIJEM	PREVOD Z UCTU	31648	76790	\N	GH	8007508
2967195	9828	1998-10-05	PRIJEM	PREVOD Z UCTU	31648	65147	\N	GH	8007508
2967196	9828	1998-11-05	PRIJEM	PREVOD Z UCTU	31648	60833	\N	GH	8007508
2967197	9828	1998-12-05	PRIJEM	PREVOD Z UCTU	47472	77168	\N	GH	8007508
2967207	9828	1993-10-19	VYDAJ	VYBER	6200	53711	\N	\N	0
2967208	9828	1993-11-20	VYDAJ	VYBER	4100	51170	\N	\N	0
2967209	9828	1993-12-05	VYDAJ	VYBER	4300	89743	\N	\N	0
2967210	9828	1994-01-17	VYDAJ	VYBER	5200	37274	\N	\N	0
2967211	9828	1994-02-05	VYDAJ	VYBER	5700	48263	\N	\N	0
2967212	9828	1994-03-17	VYDAJ	VYBER	6300	38410	\N	\N	0
2967213	9828	1994-04-21	VYDAJ	VYBER	5000	28011	\N	\N	0
2967214	9828	1994-05-04	VYDAJ	VYBER	5500	22630	\N	\N	0
2967215	9828	1994-06-05	VYDAJ	VYBER	4200	69663	\N	\N	0
2967216	9828	1994-07-13	VYDAJ	VYBER	6000	63387	\N	\N	0
2967217	9828	1994-08-19	VYDAJ	VYBER	5400	44912	\N	\N	0
2967218	9828	1994-09-16	VYDAJ	VYBER	6200	49917	\N	\N	0
2967219	9828	1994-10-07	VYDAJ	VYBER	5300	68047	\N	\N	0
2967220	9828	1994-11-14	VYDAJ	VYBER	5000	37854	\N	\N	0
2967221	9828	1994-12-10	VYDAJ	VYBER	4500	70192	\N	\N	0
2967222	9828	1995-01-08	VYDAJ	VYBER	6500	57330	\N	\N	0
2967223	9828	1995-02-02	VYDAJ	VYBER	6300	17876	\N	\N	0
2967224	9828	1995-03-10	VYDAJ	VYBER	5400	60183	\N	\N	0
2967225	9828	1995-04-15	VYDAJ	VYBER	6200	42521	\N	\N	0
2967226	9828	1995-05-12	VYDAJ	PREVOD NA UCET	5275	44154	UVER	UV	86956995
2967227	9828	1995-06-12	VYDAJ	PREVOD NA UCET	5275	49100	UVER	UV	86956995
2967228	9828	1995-07-12	VYDAJ	PREVOD NA UCET	5275	44615	UVER	UV	86956995
2967229	9828	1995-08-12	VYDAJ	PREVOD NA UCET	5275	38977	UVER	UV	86956995
2967230	9828	1995-09-12	VYDAJ	PREVOD NA UCET	5275	39441	UVER	UV	86956995
2967231	9828	1995-10-12	VYDAJ	PREVOD NA UCET	5275	38966	UVER	UV	86956995
2967232	9828	1995-11-12	VYDAJ	PREVOD NA UCET	5275	39288	UVER	UV	86956995
2967233	9828	1995-12-12	VYDAJ	PREVOD NA UCET	5275	23859	UVER	UV	86956995
2967234	9828	1996-01-12	VYDAJ	PREVOD NA UCET	5275	19584	UVER	UV	86956995
2967235	9828	1996-02-12	VYDAJ	PREVOD NA UCET	5275	42435	UVER	UV	86956995
2967236	9828	1996-03-12	VYDAJ	PREVOD NA UCET	5275	41161	UVER	UV	86956995
2967237	9828	1996-04-12	VYDAJ	PREVOD NA UCET	5275	52618	UVER	UV	86956995
2967238	9828	1996-05-12	VYDAJ	PREVOD NA UCET	5275	59792	UVER	UV	86956995
2967239	9828	1996-06-12	VYDAJ	PREVOD NA UCET	5275	79724	UVER	UV	86956995
2967240	9828	1996-07-12	VYDAJ	PREVOD NA UCET	5275	75807	UVER	UV	86956995
2967241	9828	1996-08-12	VYDAJ	PREVOD NA UCET	5275	69987	UVER	UV	86956995
2967242	9828	1996-09-12	VYDAJ	PREVOD NA UCET	5275	66444	UVER	UV	86956995
2967243	9828	1996-10-12	VYDAJ	PREVOD NA UCET	5275	54738	UVER	UV	86956995
2967244	9828	1996-11-12	VYDAJ	PREVOD NA UCET	5275	63022	UVER	UV	86956995
2967245	9828	1996-12-12	VYDAJ	PREVOD NA UCET	5275	75346	UVER	UV	86956995
2967246	9828	1997-01-12	VYDAJ	PREVOD NA UCET	5275	49269	UVER	UV	86956995
2967247	9828	1997-02-12	VYDAJ	PREVOD NA UCET	5275	43797	UVER	UV	86956995
2967248	9828	1997-03-12	VYDAJ	PREVOD NA UCET	5275	53565	UVER	UV	86956995
2967249	9828	1997-04-12	VYDAJ	PREVOD NA UCET	5275	56699	UVER	UV	86956995
2967250	9828	1997-05-21	VYDAJ	VYBER	3900	54919	\N	\N	0
2967251	9828	1997-06-11	VYDAJ	VYBER	4800	70551	\N	\N	0
2967252	9828	1997-07-09	VYDAJ	VYBER	6000	49846	\N	\N	0
2967253	9828	1997-08-11	VYDAJ	VYBER	4500	58647	\N	\N	0
2967254	9828	1997-09-18	VYDAJ	VYBER	4100	56469	\N	\N	0
2967255	9828	1997-10-20	VYDAJ	VYBER	5000	63198	\N	\N	0
2967256	9828	1997-11-21	VYDAJ	VYBER	6200	48405	\N	\N	0
2967257	9828	1997-12-06	VYDAJ	VYBER	6400	55251	\N	\N	0
2967258	9828	1998-01-12	VYDAJ	VYBER	5700	47957	\N	\N	0
2967259	9828	1998-02-09	VYDAJ	VYBER	6200	37190	\N	\N	0
2967260	9828	1998-03-14	VYDAJ	VYBER	4400	43618	\N	\N	0
2967261	9828	1998-04-21	VYDAJ	VYBER	6500	50590	\N	\N	0
2967262	9828	1998-05-18	VYDAJ	VYBER	4600	31569	\N	\N	0
2967263	9828	1998-06-19	VYDAJ	VYBER	4000	40164	\N	\N	0
2967264	9828	1998-07-20	VYDAJ	VYBER	4900	54218	\N	\N	0
2967265	9828	1998-08-10	VYDAJ	VYBER	4200	59067	\N	\N	0
2967266	9828	1998-09-17	VYDAJ	VYBER	6100	51321	\N	\N	0
2967267	9828	1998-10-03	VYDAJ	VYBER	4600	33499	\N	\N	0
2967268	9828	1998-11-07	VYDAJ	VYBER	6100	54733	\N	\N	0
2967269	9828	1998-12-21	VYDAJ	VYBER	4900	42468	\N	\N	0
2967283	9828	1994-03-29	VYBER	VYBER	8482	29928	\N	\N	\N
2967285	9828	1994-03-05	VYBER	VYBER	14044	53310	\N	\N	\N
2967286	9828	1994-07-24	VYBER	VYBER	3463	33024	\N	\N	\N
2967288	9828	1994-01-16	VYBER	VYBER	3676	42474	\N	\N	\N
2967289	9828	1994-10-20	VYBER	VYBER	19999	26648	\N	\N	\N
2967290	9828	1994-01-20	VYBER	VYBER	12426	24848	\N	\N	\N
2967291	9828	1994-05-27	VYBER	VYBER	14443	26235	\N	\N	\N
2967292	9828	1994-11-26	VYBER	VYBER	8657	29197	\N	\N	\N
2967293	9828	1994-04-14	VYBER	VYBER	5648	56111	\N	\N	\N
2967295	9828	1995-09-29	VYBER	VYBER	2391	37050	\N	\N	\N
2967296	9828	1995-03-24	VYBER	VYBER	4878	37905	\N	\N	\N
2967297	9828	1995-11-28	VYBER	VYBER	11074	28214	\N	\N	\N
2967299	9828	1995-05-28	VYBER	VYBER	8415	35739	\N	\N	\N
2967300	9828	1995-08-21	VYBER	VYBER	9340	29637	\N	\N	\N
2967301	9828	1995-01-11	VYBER	VYBER	17477	24053	\N	\N	\N
2967302	9828	1995-07-05	VYBER	VYBER	8434	72490	\N	\N	\N
2967303	9828	1995-03-06	VYBER	VYBER	3127	65583	\N	\N	\N
2967305	9828	1996-01-07	VYBER	VYBER	4453	24859	\N	\N	\N
2967306	9828	1996-09-14	VYBER	VYBER	22195	44249	\N	\N	\N
2967308	9828	1997-12-05	VYBER	VYBER	18814	61651	\N	\N	\N
2967309	9828	1997-12-20	VYBER	VYBER	10096	37655	\N	\N	\N
2967311	9828	1997-02-22	VYBER	VYBER	2223	41574	\N	\N	\N
2967312	9828	1997-06-24	VYBER	VYBER	23205	32646	\N	\N	\N
2967313	9828	1998-10-05	VYBER	VYBER	16980	48167	\N	\N	\N
2967314	9828	1998-07-26	VYBER	VYBER	5212	31506	\N	\N	\N
2967315	9828	1998-02-07	VYBER	VYBER	14125	43390	\N	\N	\N
2967316	9828	1998-11-18	VYBER	VYBER	12282	42451	\N	\N	\N
2967317	9828	1998-12-29	VYBER	VYBER	4592	37876	\N	\N	\N
2967318	9828	1998-04-15	VYBER	VYBER	3978	57090	\N	\N	\N
2967320	9828	1998-05-06	VYBER	VYBER	18609	45469	\N	\N	\N
2967321	9828	1998-10-11	VYBER	VYBER	10615	37552	\N	\N	\N
2967322	9828	1998-02-16	VYBER	VYBER	13915	23275	\N	\N	\N
2967323	9828	1998-09-08	VYBER	VYBER	19369	57421	\N	\N	\N
2967326	9828	1994-06-13	VYDAJ	VYBER	24300	45363	\N	\N	\N
2967330	9828	1998-06-14	VYDAJ	VYBER	26400	44164	\N	\N	\N
2967331	9828	1993-12-24	VYDAJ	VYBER	7800	49543	\N	\N	\N
2967332	9828	1994-12-03	VYDAJ	VYBER	2100	27220	\N	\N	\N
2967333	9828	1995-12-03	VYDAJ	VYBER	7500	20861	\N	\N	\N
2967334	9828	1996-12-19	VYDAJ	VYBER	6900	68446	\N	\N	\N
2967335	9828	1997-12-14	VYDAJ	VYBER	7500	47751	\N	\N	\N
2967336	9828	1998-12-09	VYDAJ	VYBER	7500	69668	\N	\N	\N
2967343	9828	1994-01-07	VYDAJ	VYBER	2400	74850	\N	\N	\N
2967344	9828	1994-01-15	VYDAJ	VYBER	6600	59850	\N	\N	\N
2967345	9828	1994-01-23	VYDAJ	VYBER	2700	22148	\N	\N	\N
2967347	9828	1994-01-07	VYDAJ	VYBER	4200	77250	\N	\N	\N
2967348	9828	1994-01-13	VYDAJ	VYBER	8400	66450	\N	\N	\N
2967353	9828	1995-01-04	VYDAJ	VYBER	7200	39082	\N	\N	\N
2967354	9828	1995-01-04	VYDAJ	VYBER	6900	32182	\N	\N	\N
2967357	9828	1996-01-06	VYDAJ	VYBER	1800	29312	\N	\N	\N
2967360	9828	1996-01-06	VYDAJ	VYBER	4500	31112	\N	\N	\N
2967361	9828	1997-01-20	VYDAJ	VYBER	3900	36969	\N	\N	\N
2967362	9828	1997-01-23	VYDAJ	VYBER	5400	31569	\N	\N	\N
2967363	9828	1997-01-08	VYDAJ	VYBER	2100	54543	\N	\N	\N
2967364	9828	1997-01-28	VYDAJ	VYBER	3600	27969	\N	\N	\N
2967366	9828	1997-01-20	VYDAJ	VYBER	8400	40869	\N	\N	\N
2967367	9828	1998-01-19	VYDAJ	VYBER	5700	39557	\N	\N	\N
2967368	9828	1998-01-21	VYDAJ	VYBER	2700	36857	\N	\N	\N
2967370	9828	1998-01-14	VYDAJ	VYBER	2700	45257	\N	\N	\N
2967374	9828	1993-11-23	VYDAJ	VYBER	4800	46370	\N	\N	\N
2967379	9828	1994-09-25	VYDAJ	VYBER	8400	41517	\N	\N	\N
2967380	9828	1994-07-15	VYDAJ	VYBER	7500	36487	\N	\N	\N
2967381	9828	1994-04-18	VYDAJ	VYBER	11400	33011	\N	\N	\N
2967382	9828	1994-10-17	VYDAJ	VYBER	3000	46647	\N	\N	\N
2967383	9828	1995-12-12	VYDAJ	VYBER	10800	29133	\N	\N	\N
2967384	9828	1995-12-05	VYDAJ	VYBER	5400	62933	\N	\N	\N
2967386	9828	1995-07-28	VYDAJ	VYBER	10800	33815	\N	\N	\N
2967387	9828	1996-11-23	VYDAJ	VYBER	6300	56722	\N	\N	\N
2967388	9828	1996-03-18	VYDAJ	VYBER	1800	39361	\N	\N	\N
2967389	9828	1997-01-05	VYDAJ	VYBER	12600	56643	\N	\N	\N
2967390	9828	1997-11-05	VYDAJ	VYBER	13200	58805	\N	\N	\N
2967391	9828	1997-05-24	VYDAJ	VYBER	1800	49219	\N	\N	\N
2967392	9828	1997-09-10	VYDAJ	VYBER	6300	60569	\N	\N	\N
2967393	9828	1997-05-22	VYDAJ	VYBER	3900	51019	\N	\N	\N
2967394	9828	1997-11-18	VYDAJ	VYBER	4200	54605	\N	\N	\N
2967395	9828	1997-06-12	VYDAJ	VYBER	14700	55851	\N	\N	\N
2967396	9828	1997-05-14	VYDAJ	VYBER	5100	58819	\N	\N	\N
2967397	9828	1998-05-11	VYDAJ	VYBER	9300	36169	\N	\N	\N
2967398	9828	1998-05-05	VYDAJ	VYBER	1500	64078	\N	\N	\N
2967411	9828	1993-10-31	VYDAJ	VYBER	15	53922	SLUZBY	\N	\N
2967412	9828	1993-11-30	VYDAJ	VYBER	15	46571	SLUZBY	\N	\N
2967413	9828	1993-12-31	VYDAJ	VYBER	15	49802	SLUZBY	\N	\N
2967414	9828	1994-01-31	VYDAJ	VYBER	15	22315	SLUZBY	\N	\N
2967415	9828	1994-02-28	VYDAJ	VYBER	15	35706	SLUZBY	\N	\N
2967416	9828	1994-03-31	VYDAJ	VYBER	15	30111	SLUZBY	\N	\N
2967417	9828	1994-04-30	VYDAJ	VYBER	15	28130	SLUZBY	\N	\N
2967418	9828	1994-05-31	VYDAJ	VYBER	15	26391	SLUZBY	\N	\N
2967419	9828	1994-06-30	VYDAJ	VYBER	15	37739	SLUZBY	\N	\N
2967420	9828	1994-07-31	VYDAJ	VYBER	15	33164	SLUZBY	\N	\N
2967421	9828	1994-08-31	VYDAJ	VYBER	15	45069	SLUZBY	\N	\N
2967422	9828	1994-09-30	VYDAJ	VYBER	15	41699	SLUZBY	\N	\N
2967423	9828	1994-10-31	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
2967424	9828	1994-11-30	VYDAJ	VYBER	15	29320	SLUZBY	\N	\N
2967425	9828	1994-12-31	VYDAJ	VYBER	15	46282	SLUZBY	\N	\N
2967426	9828	1995-01-31	VYDAJ	VYBER	15	24176	SLUZBY	\N	\N
2967427	9828	1995-02-28	VYDAJ	VYBER	15	37062	SLUZBY	\N	\N
2967428	9828	1995-03-31	VYDAJ	VYBER	15	38073	SLUZBY	\N	\N
2967429	9828	1995-04-30	VYDAJ	VYBER	15	42681	SLUZBY	\N	\N
2967430	9828	1995-05-31	VYDAJ	VYBER	15	35902	SLUZBY	\N	\N
2967431	9828	1995-06-30	VYDAJ	VYBER	15	49276	SLUZBY	\N	\N
2967432	9828	1995-07-31	VYDAJ	VYBER	15	34003	SLUZBY	\N	\N
2967433	9828	1995-08-31	VYDAJ	VYBER	15	29767	SLUZBY	\N	\N
2967434	9828	1995-09-30	VYDAJ	VYBER	15	37193	SLUZBY	\N	\N
2967435	9828	1995-10-31	VYDAJ	VYBER	15	39115	SLUZBY	\N	\N
2967436	9828	1995-11-30	VYDAJ	VYBER	15	28361	SLUZBY	\N	\N
2967437	9828	1995-12-31	VYDAJ	VYBER	15	23964	SLUZBY	\N	\N
2967438	9828	1996-01-31	VYDAJ	VYBER	15	19661	SLUZBY	\N	\N
2967439	9828	1996-02-29	VYDAJ	VYBER	15	42588	SLUZBY	\N	\N
2967440	9828	1996-03-31	VYDAJ	VYBER	15	39545	SLUZBY	\N	\N
2967441	9828	1996-04-30	VYDAJ	VYBER	15	52819	SLUZBY	\N	\N
2967442	9828	1996-05-31	VYDAJ	VYBER	15	60026	SLUZBY	\N	\N
2967443	9828	1996-06-30	VYDAJ	VYBER	15	80034	SLUZBY	\N	\N
2967444	9828	1996-07-31	VYDAJ	VYBER	15	76114	SLUZBY	\N	\N
2967445	9828	1996-08-31	VYDAJ	VYBER	15	70271	SLUZBY	\N	\N
2967446	9828	1996-09-30	VYDAJ	VYBER	15	44464	SLUZBY	\N	\N
2967447	9828	1996-10-31	VYDAJ	VYBER	15	54949	SLUZBY	\N	\N
2967448	9828	1996-11-30	VYDAJ	VYBER	15	56949	SLUZBY	\N	\N
2967449	9828	1996-12-31	VYDAJ	VYBER	15	37595	SLUZBY	\N	\N
2967450	9828	1997-01-31	VYDAJ	VYBER	15	17424	SLUZBY	\N	\N
2967451	9828	1997-02-28	VYDAJ	VYBER	15	27192	SLUZBY	\N	\N
2967452	9828	1997-03-31	VYDAJ	VYBER	15	30326	SLUZBY	\N	\N
2967453	9828	1997-04-30	VYDAJ	VYBER	15	32271	SLUZBY	\N	\N
2967454	9828	1997-05-31	VYDAJ	VYBER	15	27879	SLUZBY	\N	\N
2967455	9828	1997-06-30	VYDAJ	VYBER	15	24198	SLUZBY	\N	\N
2967456	9828	1997-07-31	VYDAJ	VYBER	15	31499	SLUZBY	\N	\N
2967457	9828	1997-08-31	VYDAJ	VYBER	15	35221	SLUZBY	\N	\N
2967458	9828	1997-09-30	VYDAJ	VYBER	15	36550	SLUZBY	\N	\N
2967459	9828	1997-10-31	VYDAJ	VYBER	15	40357	SLUZBY	\N	\N
2967460	9828	1997-11-30	VYDAJ	VYBER	15	32993	SLUZBY	\N	\N
2967461	9828	1997-12-31	VYDAJ	VYBER	15	22009	SLUZBY	\N	\N
2967462	9828	1998-01-31	VYDAJ	VYBER	15	25867	SLUZBY	\N	\N
2967463	9828	1998-02-28	VYDAJ	VYBER	15	16370	SLUZBY	\N	\N
2967464	9828	1998-03-31	VYDAJ	VYBER	15	29420	SLUZBY	\N	\N
2967465	9828	1998-04-30	VYDAJ	VYBER	15	33930	SLUZBY	\N	\N
2967466	9828	1998-05-31	VYDAJ	VYBER	15	23092	SLUZBY	\N	\N
2967467	9828	1998-06-30	VYDAJ	VYBER	15	27470	SLUZBY	\N	\N
2967468	9828	1998-07-31	VYDAJ	VYBER	15	31619	SLUZBY	\N	\N
2967469	9828	1998-08-31	VYDAJ	VYBER	15	45142	SLUZBY	\N	\N
2967470	9828	1998-09-30	VYDAJ	VYBER	15	38099	SLUZBY	\N	\N
2967471	9828	1998-10-31	VYDAJ	VYBER	15	29185	SLUZBY	\N	\N
2967472	9828	1998-11-30	VYDAJ	VYBER	15	29696	SLUZBY	\N	\N
2967473	9828	1993-06-19	VYDAJ	VYBER	10500	37372	\N	\N	\N
2967474	9828	1993-07-19	VYDAJ	VYBER	22200	46882	\N	\N	\N
2967475	9828	1993-08-18	VYDAJ	VYBER	29600	49103	\N	\N	\N
2967476	9828	1993-09-17	VYDAJ	VYBER	27400	53550	\N	\N	\N
2967477	9828	1993-10-17	VYDAJ	VYBER	25500	59911	\N	\N	\N
2967478	9828	1993-11-16	VYDAJ	VYBER	30300	55270	\N	\N	\N
2967479	9828	1993-12-16	VYDAJ	VYBER	32400	57343	\N	\N	\N
2967480	9828	1994-01-15	VYDAJ	VYBER	13700	46150	\N	\N	\N
2967481	9828	1994-02-14	VYDAJ	VYBER	12700	35563	\N	\N	\N
2967482	9828	1994-03-16	VYDAJ	VYBER	8600	44710	\N	\N	\N
2967483	9828	1994-04-15	VYDAJ	VYBER	11700	44411	\N	\N	\N
2967484	9828	1994-05-15	VYDAJ	VYBER	13600	40678	\N	\N	\N
2967485	9828	1994-06-14	VYDAJ	VYBER	7800	37563	\N	\N	\N
2967486	9828	1994-07-14	VYDAJ	VYBER	19400	43987	\N	\N	\N
2967487	9828	1994-08-13	VYDAJ	VYBER	14500	50312	\N	\N	\N
2967488	9828	1994-09-12	VYDAJ	VYBER	20600	56117	\N	\N	\N
2967489	9828	1994-10-12	VYDAJ	VYBER	18400	49647	\N	\N	\N
2967490	9828	1994-11-11	VYDAJ	VYBER	15600	42854	\N	\N	\N
2967491	9828	1994-12-11	VYDAJ	VYBER	24100	46092	\N	\N	\N
2967492	9828	1995-01-10	VYDAJ	VYBER	15800	41530	\N	\N	\N
2967493	9828	1995-02-09	VYDAJ	VYBER	12600	36924	\N	\N	\N
2967494	9828	1995-03-11	VYDAJ	VYBER	17400	42783	\N	\N	\N
2967495	9828	1995-04-10	VYDAJ	VYBER	21000	48721	\N	\N	\N
2967496	9828	1995-05-10	VYDAJ	VYBER	24900	49429	\N	\N	\N
2967497	9828	1995-06-09	VYDAJ	VYBER	29000	54374	\N	\N	\N
2967498	9828	1995-07-09	VYDAJ	VYBER	22600	49890	\N	\N	\N
2967499	9828	1995-08-08	VYDAJ	VYBER	21400	44251	\N	\N	\N
2967500	9828	1995-09-07	VYDAJ	VYBER	16700	44715	\N	\N	\N
2967501	9828	1995-10-07	VYDAJ	VYBER	24600	44241	\N	\N	\N
2967502	9828	1995-11-06	VYDAJ	VYBER	26200	44563	\N	\N	\N
2967503	9828	1995-12-06	VYDAJ	VYBER	23000	39933	\N	\N	\N
2967504	9828	1996-01-05	VYDAJ	VYBER	20000	35612	\N	\N	\N
2967505	9828	1996-02-04	VYDAJ	VYBER	3600	16061	\N	\N	\N
2967506	9828	1996-03-05	VYDAJ	VYBER	27800	46436	\N	\N	\N
2967507	9828	1996-04-04	VYDAJ	VYBER	13300	26245	\N	\N	\N
2967508	9828	1996-05-04	VYDAJ	VYBER	19400	33419	\N	\N	\N
2967509	9828	1996-06-03	VYDAJ	VYBER	22500	37526	\N	\N	\N
2967510	9828	1996-07-03	VYDAJ	VYBER	30600	49434	\N	\N	\N
2967511	9828	1996-08-02	VYDAJ	VYBER	32500	43614	\N	\N	\N
2967512	9828	1996-09-01	VYDAJ	VYBER	30200	40071	\N	\N	\N
2967513	9828	1996-10-01	VYDAJ	VYBER	16100	28364	\N	\N	\N
2967514	9828	1996-10-31	VYDAJ	VYBER	18300	36649	\N	\N	\N
2967515	9828	1996-11-30	VYDAJ	VYBER	23800	33149	\N	\N	\N
2967516	9828	1996-12-30	VYDAJ	VYBER	31100	37346	\N	\N	\N
2967517	9828	1997-01-29	VYDAJ	VYBER	10700	17269	\N	\N	\N
2967518	9828	1997-02-28	VYDAJ	VYBER	14500	27206	\N	\N	\N
2967519	9828	1997-03-30	VYDAJ	VYBER	23400	30165	\N	\N	\N
2967520	9828	1997-04-29	VYDAJ	VYBER	24600	32099	\N	\N	\N
2967521	9828	1997-05-29	VYDAJ	VYBER	21500	27719	\N	\N	\N
2967522	9828	1997-06-28	VYDAJ	VYBER	8600	24046	\N	\N	\N
2967523	9828	1997-07-28	VYDAJ	VYBER	18500	31346	\N	\N	\N
2967524	9828	1997-08-27	VYDAJ	VYBER	23600	35047	\N	\N	\N
2967525	9828	1997-09-26	VYDAJ	VYBER	20100	36369	\N	\N	\N
2967526	9828	1997-10-26	VYDAJ	VYBER	23000	40198	\N	\N	\N
2967527	9828	1997-11-25	VYDAJ	VYBER	15600	32805	\N	\N	\N
2967528	9828	1997-12-25	VYDAJ	VYBER	15800	21855	\N	\N	\N
2967529	9828	1998-01-24	VYDAJ	VYBER	11100	25757	\N	\N	\N
2967530	9828	1998-02-23	VYDAJ	VYBER	7000	16275	\N	\N	\N
2967531	9828	1998-03-25	VYDAJ	VYBER	14300	29318	\N	\N	\N
2967532	9828	1998-04-24	VYDAJ	VYBER	16800	33790	\N	\N	\N
2967533	9828	1998-05-24	VYDAJ	VYBER	8600	22969	\N	\N	\N
2967534	9828	1998-06-23	VYDAJ	VYBER	12800	27364	\N	\N	\N
2967535	9828	1998-07-23	VYDAJ	VYBER	17500	36718	\N	\N	\N
2967536	9828	1998-08-22	VYDAJ	VYBER	14100	44967	\N	\N	\N
2967537	9828	1998-09-21	VYDAJ	VYBER	13400	37921	\N	\N	\N
2967538	9828	1998-10-21	VYDAJ	VYBER	8500	29052	\N	\N	\N
2967539	9828	1998-11-20	VYDAJ	VYBER	12900	29551	\N	\N	\N
2967540	9828	1998-12-20	VYDAJ	VYBER	22300	47368	\N	\N	\N
2968813	9833	1993-07-24	PRIJEM	VKLAD	1100	1100	\N	\N	\N
2968821	9833	1993-08-08	PRIJEM	PREVOD Z UCTU	48816	49916	\N	YZ	57457953
2968822	9833	1993-09-08	PRIJEM	PREVOD Z UCTU	48816	87479	\N	YZ	57457953
2968823	9833	1993-10-08	PRIJEM	PREVOD Z UCTU	48816	104176	\N	YZ	57457953
2968824	9833	1993-11-08	PRIJEM	PREVOD Z UCTU	48816	111532	\N	YZ	57457953
2968825	9833	1993-12-08	PRIJEM	PREVOD Z UCTU	73224	119900	\N	YZ	57457953
2968826	9833	1994-01-08	PRIJEM	PREVOD Z UCTU	48816	76424	\N	YZ	57457953
2968827	9833	1994-02-08	PRIJEM	PREVOD Z UCTU	48816	70460	\N	YZ	57457953
2968828	9833	1994-03-08	PRIJEM	PREVOD Z UCTU	48816	87581	\N	YZ	57457953
2968829	9833	1994-04-08	PRIJEM	PREVOD Z UCTU	48816	87019	\N	YZ	57457953
2968830	9833	1994-05-08	PRIJEM	PREVOD Z UCTU	48816	79376	\N	YZ	57457953
2968831	9833	1994-06-08	PRIJEM	PREVOD Z UCTU	73224	114725	\N	YZ	57457953
2968832	9833	1994-07-08	PRIJEM	PREVOD Z UCTU	48816	94085	\N	YZ	57457953
2968833	9833	1994-08-08	PRIJEM	PREVOD Z UCTU	48816	76342	\N	YZ	57457953
2968834	9833	1994-09-08	PRIJEM	PREVOD Z UCTU	48816	92034	\N	YZ	57457953
2968835	9833	1994-10-08	PRIJEM	PREVOD Z UCTU	48816	73903	\N	YZ	57457953
2968836	9833	1994-11-08	PRIJEM	PREVOD Z UCTU	48816	87195	\N	YZ	57457953
2968837	9833	1994-12-08	PRIJEM	PREVOD Z UCTU	73224	111721	\N	YZ	57457953
2968838	9833	1995-01-08	PRIJEM	PREVOD Z UCTU	48816	98319	\N	YZ	57457953
2968839	9833	1995-02-08	PRIJEM	PREVOD Z UCTU	48816	82120	\N	YZ	57457953
2968840	9833	1995-03-08	PRIJEM	PREVOD Z UCTU	48816	75177	\N	YZ	57457953
2968841	9833	1995-04-08	PRIJEM	PREVOD Z UCTU	48816	72475	\N	YZ	57457953
2968842	9833	1995-05-08	PRIJEM	PREVOD Z UCTU	48816	90450	\N	YZ	57457953
2968843	9833	1995-06-08	PRIJEM	PREVOD Z UCTU	73224	99120	\N	YZ	57457953
2968844	9833	1995-07-08	PRIJEM	PREVOD Z UCTU	48816	79665	\N	YZ	57457953
2968845	9833	1995-08-08	PRIJEM	PREVOD Z UCTU	48816	75379	\N	YZ	57457953
2968846	9833	1995-09-08	PRIJEM	PREVOD Z UCTU	48816	95930	\N	YZ	57457953
2968847	9833	1995-10-08	PRIJEM	PREVOD Z UCTU	48816	80055	\N	YZ	57457953
2968848	9833	1995-11-08	PRIJEM	PREVOD Z UCTU	48816	71177	\N	YZ	57457953
2968849	9833	1995-12-08	PRIJEM	PREVOD Z UCTU	73224	112694	\N	YZ	57457953
2968850	9833	1996-01-08	PRIJEM	PREVOD Z UCTU	48816	73230	\N	YZ	57457953
2968851	9833	1996-02-08	PRIJEM	PREVOD Z UCTU	48816	71520	\N	YZ	57457953
2968852	9833	1996-03-08	PRIJEM	PREVOD Z UCTU	48816	73625	\N	YZ	57457953
2968853	9833	1996-04-08	PRIJEM	PREVOD Z UCTU	48816	75455	\N	YZ	57457953
2968854	9833	1996-05-08	PRIJEM	PREVOD Z UCTU	48816	87075	\N	YZ	57457953
2968855	9833	1996-06-08	PRIJEM	PREVOD Z UCTU	73224	114623	\N	YZ	57457953
2968856	9833	1996-07-08	PRIJEM	PREVOD Z UCTU	48816	76540	\N	YZ	57457953
2968857	9833	1996-08-08	PRIJEM	PREVOD Z UCTU	48816	79070	\N	YZ	57457953
2968858	9833	1996-09-08	PRIJEM	PREVOD Z UCTU	48816	102382	\N	YZ	57457953
2968859	9833	1996-10-08	PRIJEM	PREVOD Z UCTU	48816	102185	\N	YZ	57457953
2968860	9833	1996-11-08	PRIJEM	PREVOD Z UCTU	48816	97463	\N	YZ	57457953
2968861	9833	1996-12-08	PRIJEM	PREVOD Z UCTU	73224	137627	\N	YZ	57457953
2968862	9833	1997-01-08	PRIJEM	PREVOD Z UCTU	48816	85340	\N	YZ	57457953
2968863	9833	1997-02-08	PRIJEM	PREVOD Z UCTU	48816	101278	\N	YZ	57457953
2968864	9833	1997-03-08	PRIJEM	PREVOD Z UCTU	48816	110144	\N	YZ	57457953
2968865	9833	1997-04-08	PRIJEM	PREVOD Z UCTU	48816	90517	\N	YZ	57457953
2968866	9833	1997-05-08	PRIJEM	PREVOD Z UCTU	48816	112342	\N	YZ	57457953
2968867	9833	1997-06-08	PRIJEM	PREVOD Z UCTU	73224	126389	\N	YZ	57457953
2968868	9833	1997-07-08	PRIJEM	PREVOD Z UCTU	48816	92198	\N	YZ	57457953
2968869	9833	1997-08-08	PRIJEM	PREVOD Z UCTU	48816	112857	\N	YZ	57457953
2968870	9833	1997-09-08	PRIJEM	PREVOD Z UCTU	48816	80304	\N	YZ	57457953
2968871	9833	1997-10-08	PRIJEM	PREVOD Z UCTU	48816	106211	\N	YZ	57457953
2968872	9833	1997-11-08	PRIJEM	PREVOD Z UCTU	48816	117199	\N	YZ	57457953
2968873	9833	1997-12-08	PRIJEM	PREVOD Z UCTU	73224	117351	\N	YZ	57457953
2968874	9833	1998-01-08	PRIJEM	PREVOD Z UCTU	48816	76924	\N	YZ	57457953
2968875	9833	1998-02-08	PRIJEM	PREVOD Z UCTU	48816	84412	\N	YZ	57457953
2968876	9833	1998-03-08	PRIJEM	PREVOD Z UCTU	48816	90331	\N	YZ	57457953
2968877	9833	1998-04-08	PRIJEM	PREVOD Z UCTU	48816	97293	\N	YZ	57457953
2968878	9833	1998-05-08	PRIJEM	PREVOD Z UCTU	48816	116157	\N	YZ	57457953
2968879	9833	1998-06-08	PRIJEM	PREVOD Z UCTU	73224	128265	\N	YZ	57457953
2968880	9833	1998-07-08	PRIJEM	PREVOD Z UCTU	48816	106419	\N	YZ	57457953
2968881	9833	1998-08-08	PRIJEM	PREVOD Z UCTU	48816	101903	\N	YZ	57457953
2968882	9833	1998-09-08	PRIJEM	PREVOD Z UCTU	48816	118853	\N	YZ	57457953
2968883	9833	1998-10-08	PRIJEM	PREVOD Z UCTU	48816	101400	\N	YZ	57457953
2968884	9833	1998-11-08	PRIJEM	PREVOD Z UCTU	48816	94666	\N	YZ	57457953
2968885	9833	1998-12-08	PRIJEM	PREVOD Z UCTU	73224	125918	\N	YZ	57457953
2968897	9833	1993-12-16	VYDAJ	VYBER	7000	37054	\N	\N	0
2968898	9833	1994-01-19	VYDAJ	VYBER	7900	52778	\N	\N	0
2968899	9833	1994-02-09	VYDAJ	VYBER	6200	64260	\N	\N	0
2968900	9833	1994-03-11	VYDAJ	VYBER	9200	71850	\N	\N	0
2968901	9833	1994-04-08	VYDAJ	VYBER	9200	77819	\N	\N	0
2968902	9833	1994-05-16	VYDAJ	VYBER	8800	58130	\N	\N	0
2968903	9833	1994-06-12	VYDAJ	PREVOD NA UCET	8136	73758	UVER	OP	18851059
2968904	9833	1994-07-12	VYDAJ	PREVOD NA UCET	8136	63777	UVER	OP	18851059
2968905	9833	1994-08-12	VYDAJ	PREVOD NA UCET	8136	61675	UVER	OP	18851059
2968906	9833	1994-09-12	VYDAJ	PREVOD NA UCET	8136	69867	UVER	OP	18851059
2968907	9833	1994-10-12	VYDAJ	PREVOD NA UCET	8136	50638	UVER	OP	18851059
2968908	9833	1994-11-12	VYDAJ	PREVOD NA UCET	8136	72528	UVER	OP	18851059
2968909	9833	1994-12-12	VYDAJ	PREVOD NA UCET	8136	75754	UVER	OP	18851059
2968910	9833	1995-01-12	VYDAJ	PREVOD NA UCET	8136	56952	UVER	OP	18851059
2968911	9833	1995-02-12	VYDAJ	PREVOD NA UCET	8136	67453	UVER	OP	18851059
2968912	9833	1995-03-12	VYDAJ	PREVOD NA UCET	8136	60510	UVER	OP	18851059
2968913	9833	1995-04-12	VYDAJ	PREVOD NA UCET	8136	57808	UVER	OP	18851059
2968914	9833	1995-05-12	VYDAJ	PREVOD NA UCET	8136	50756	UVER	OP	18851059
2968915	9833	1995-06-19	VYDAJ	VYBER	6400	53758	\N	\N	0
2968916	9833	1995-07-21	VYDAJ	VYBER	7000	46919	\N	\N	0
2968917	9833	1995-08-09	VYDAJ	VYBER	9700	65679	\N	\N	0
2968918	9833	1995-09-16	VYDAJ	VYBER	9100	37068	\N	\N	0
2968919	9833	1995-10-19	VYDAJ	VYBER	9600	43809	\N	\N	0
2968920	9833	1995-11-21	VYDAJ	VYBER	9400	39331	\N	\N	0
2968921	9833	1995-12-10	VYDAJ	VYBER	9200	63094	\N	\N	0
2968922	9833	1996-01-10	VYDAJ	VYBER	6500	47330	\N	\N	0
2968923	9833	1996-02-20	VYDAJ	VYBER	8900	35174	\N	\N	0
2968924	9833	1996-03-21	VYDAJ	VYBER	9200	36079	\N	\N	0
2968925	9833	1996-04-07	VYDAJ	VYBER	9600	26639	\N	\N	0
2968926	9833	1996-05-20	VYDAJ	VYBER	8400	41229	\N	\N	0
2968927	9833	1996-06-13	VYDAJ	VYBER	7300	33492	\N	\N	0
2968928	9833	1996-07-16	VYDAJ	VYBER	8100	39994	\N	\N	0
2968929	9833	1996-08-07	VYDAJ	VYBER	9300	30254	\N	\N	0
2968930	9833	1996-09-08	VYDAJ	VYBER	8300	69582	\N	\N	0
2968931	9833	1996-10-12	VYDAJ	VYBER	6300	51954	\N	\N	0
2968932	9833	1996-11-17	VYDAJ	VYBER	8800	76217	\N	\N	0
2968933	9833	1996-12-20	VYDAJ	VYBER	6100	62881	\N	\N	0
2968934	9833	1997-01-20	VYDAJ	VYBER	9100	51494	\N	\N	0
2968935	9833	1997-02-17	VYDAJ	VYBER	7900	80932	\N	\N	0
2968936	9833	1997-03-17	VYDAJ	VYBER	8800	35898	\N	\N	0
2968937	9833	1997-04-11	VYDAJ	VYBER	6500	77486	\N	\N	0
2968938	9833	1997-05-19	VYDAJ	VYBER	8100	60196	\N	\N	0
2968939	9833	1997-06-21	VYDAJ	VYBER	9500	54943	\N	\N	0
2968940	9833	1997-07-03	VYDAJ	VYBER	9200	43382	\N	\N	0
2968941	9833	1997-08-16	VYDAJ	VYBER	7100	32711	\N	\N	0
2968942	9833	1997-09-07	VYDAJ	VYBER	6900	31488	\N	\N	0
2968943	9833	1997-10-14	VYDAJ	VYBER	7400	86365	\N	\N	0
2968944	9833	1997-11-21	VYDAJ	VYBER	8200	32253	\N	\N	0
2968945	9833	1997-12-11	VYDAJ	VYBER	8300	65651	\N	\N	0
2968946	9833	1998-01-08	VYDAJ	VYBER	9000	67924	\N	\N	0
2968947	9833	1998-02-10	VYDAJ	VYBER	6600	77812	\N	\N	0
2968948	9833	1998-03-06	VYDAJ	VYBER	7400	41515	\N	\N	0
2968949	9833	1998-04-02	VYDAJ	VYBER	8200	48477	\N	\N	0
2968950	9833	1998-05-17	VYDAJ	VYBER	9400	51811	\N	\N	0
2968951	9833	1998-06-17	VYDAJ	VYBER	6600	91719	\N	\N	0
2968952	9833	1998-07-04	VYDAJ	VYBER	9600	57603	\N	\N	0
2968953	9833	1998-08-16	VYDAJ	VYBER	8000	81457	\N	\N	0
2968954	9833	1998-09-19	VYDAJ	VYBER	8400	52307	\N	\N	0
2968955	9833	1998-10-21	VYDAJ	VYBER	9000	59399	\N	\N	0
2968956	9833	1998-11-05	VYDAJ	VYBER	9300	45850	\N	\N	0
2968957	9833	1998-12-04	VYDAJ	VYBER	6700	52694	\N	\N	0
2968969	9833	1993-12-11	VYDAJ	PREVOD NA UCET	6531	49969	SIPO	ST	35473787
2968970	9833	1994-01-11	VYDAJ	PREVOD NA UCET	6531	66593	SIPO	ST	35473787
2968971	9833	1994-02-11	VYDAJ	PREVOD NA UCET	6531	57729	SIPO	ST	35473787
2968972	9833	1994-03-11	VYDAJ	PREVOD NA UCET	6531	81050	SIPO	ST	35473787
2968973	9833	1994-04-11	VYDAJ	PREVOD NA UCET	6531	71288	SIPO	ST	35473787
2968974	9833	1994-05-11	VYDAJ	PREVOD NA UCET	6531	72845	SIPO	ST	35473787
2968975	9833	1994-06-11	VYDAJ	PREVOD NA UCET	6531	81894	SIPO	ST	35473787
2968976	9833	1994-07-11	VYDAJ	PREVOD NA UCET	6531	71913	SIPO	ST	35473787
2968977	9833	1994-08-11	VYDAJ	PREVOD NA UCET	6531	69811	SIPO	ST	35473787
2968978	9833	1994-09-11	VYDAJ	PREVOD NA UCET	6531	78003	SIPO	ST	35473787
2968979	9833	1994-10-11	VYDAJ	PREVOD NA UCET	6531	58774	SIPO	ST	35473787
2968980	9833	1994-11-11	VYDAJ	PREVOD NA UCET	6531	80664	SIPO	ST	35473787
2968981	9833	1994-12-11	VYDAJ	PREVOD NA UCET	6531	83890	SIPO	ST	35473787
2968982	9833	1995-01-11	VYDAJ	PREVOD NA UCET	6531	65088	SIPO	ST	35473787
2968983	9833	1995-02-11	VYDAJ	PREVOD NA UCET	6531	75589	SIPO	ST	35473787
2968984	9833	1995-03-11	VYDAJ	PREVOD NA UCET	6531	68646	SIPO	ST	35473787
2968985	9833	1995-04-11	VYDAJ	PREVOD NA UCET	6531	65944	SIPO	ST	35473787
2968986	9833	1995-05-11	VYDAJ	PREVOD NA UCET	6531	58892	SIPO	ST	35473787
2968987	9833	1995-06-11	VYDAJ	PREVOD NA UCET	6531	79673	SIPO	ST	35473787
2968988	9833	1995-07-11	VYDAJ	PREVOD NA UCET	6531	73134	SIPO	ST	35473787
2968989	9833	1995-08-11	VYDAJ	PREVOD NA UCET	6531	59148	SIPO	ST	35473787
2968990	9833	1995-09-11	VYDAJ	PREVOD NA UCET	6531	89399	SIPO	ST	35473787
2968991	9833	1995-10-11	VYDAJ	PREVOD NA UCET	6531	73524	SIPO	ST	35473787
2968992	9833	1995-11-11	VYDAJ	PREVOD NA UCET	6531	64646	SIPO	ST	35473787
2968993	9833	1995-12-11	VYDAJ	PREVOD NA UCET	6531	43963	SIPO	ST	35473787
2968994	9833	1996-01-11	VYDAJ	PREVOD NA UCET	6531	40799	SIPO	ST	35473787
2968995	9833	1996-02-11	VYDAJ	PREVOD NA UCET	6531	49989	SIPO	ST	35473787
2968996	9833	1996-03-11	VYDAJ	PREVOD NA UCET	6531	51194	SIPO	ST	35473787
2968997	9833	1996-04-11	VYDAJ	PREVOD NA UCET	6531	44024	SIPO	ST	35473787
2968998	9833	1996-05-11	VYDAJ	PREVOD NA UCET	6531	55544	SIPO	ST	35473787
2968999	9833	1996-06-11	VYDAJ	PREVOD NA UCET	6531	40792	SIPO	ST	35473787
2969000	9833	1996-07-11	VYDAJ	PREVOD NA UCET	6531	54009	SIPO	ST	35473787
2969001	9833	1996-08-11	VYDAJ	PREVOD NA UCET	6531	72539	SIPO	ST	35473787
2969002	9833	1996-09-11	VYDAJ	PREVOD NA UCET	6531	63051	SIPO	ST	35473787
2969003	9833	1996-10-11	VYDAJ	PREVOD NA UCET	6531	58254	SIPO	ST	35473787
2969004	9833	1996-11-11	VYDAJ	PREVOD NA UCET	6531	90932	SIPO	ST	35473787
2969005	9833	1996-12-11	VYDAJ	PREVOD NA UCET	6531	74896	SIPO	ST	35473787
2969006	9833	1997-01-11	VYDAJ	PREVOD NA UCET	6531	78809	SIPO	ST	35473787
2969007	9833	1997-02-11	VYDAJ	PREVOD NA UCET	6531	94747	SIPO	ST	35473787
2969008	9833	1997-03-11	VYDAJ	PREVOD NA UCET	6531	50613	SIPO	ST	35473787
2969009	9833	1997-04-11	VYDAJ	PREVOD NA UCET	6531	83986	SIPO	ST	35473787
2969010	9833	1997-05-11	VYDAJ	PREVOD NA UCET	6531	74211	SIPO	ST	35473787
2969011	9833	1997-06-11	VYDAJ	PREVOD NA UCET	6531	70358	SIPO	ST	35473787
2969012	9833	1997-07-11	VYDAJ	PREVOD NA UCET	6531	85667	SIPO	ST	35473787
2969013	9833	1997-08-11	VYDAJ	PREVOD NA UCET	6531	45726	SIPO	ST	35473787
2969014	9833	1997-09-11	VYDAJ	PREVOD NA UCET	6531	73773	SIPO	ST	35473787
2969015	9833	1997-10-11	VYDAJ	PREVOD NA UCET	6531	99680	SIPO	ST	35473787
2969016	9833	1997-11-11	VYDAJ	PREVOD NA UCET	6531	46368	SIPO	ST	35473787
2969017	9833	1997-12-11	VYDAJ	PREVOD NA UCET	6531	59120	SIPO	ST	35473787
2969018	9833	1998-01-11	VYDAJ	PREVOD NA UCET	6531	52693	SIPO	ST	35473787
2969019	9833	1998-02-11	VYDAJ	PREVOD NA UCET	6531	71281	SIPO	ST	35473787
2969020	9833	1998-03-11	VYDAJ	PREVOD NA UCET	6531	83800	SIPO	ST	35473787
2969021	9833	1998-04-11	VYDAJ	PREVOD NA UCET	6531	90762	SIPO	ST	35473787
2969022	9833	1998-05-11	VYDAJ	PREVOD NA UCET	6531	67126	SIPO	ST	35473787
2969023	9833	1998-06-11	VYDAJ	PREVOD NA UCET	6531	104234	SIPO	ST	35473787
2969024	9833	1998-07-11	VYDAJ	PREVOD NA UCET	6531	55988	SIPO	ST	35473787
2969025	9833	1998-08-11	VYDAJ	PREVOD NA UCET	6531	95372	SIPO	ST	35473787
2969026	9833	1998-09-11	VYDAJ	PREVOD NA UCET	6531	66622	SIPO	ST	35473787
2969027	9833	1998-10-11	VYDAJ	PREVOD NA UCET	6531	94869	SIPO	ST	35473787
2969028	9833	1998-11-11	VYDAJ	PREVOD NA UCET	6531	80935	SIPO	ST	35473787
2969029	9833	1998-12-11	VYDAJ	PREVOD NA UCET	6531	56687	SIPO	ST	35473787
2969041	9833	1993-12-13	VYDAJ	PREVOD NA UCET	5915	44054	 	EF	18397510
2969042	9833	1994-01-13	VYDAJ	PREVOD NA UCET	5915	60678	 	EF	18397510
2969043	9833	1994-02-13	VYDAJ	PREVOD NA UCET	5915	51814	 	EF	18397510
2969044	9833	1994-03-13	VYDAJ	PREVOD NA UCET	5915	65935	 	EF	18397510
2969045	9833	1994-04-13	VYDAJ	PREVOD NA UCET	5915	65373	 	EF	18397510
2969046	9833	1994-05-13	VYDAJ	PREVOD NA UCET	5915	66930	 	EF	18397510
2969047	9833	1994-06-13	VYDAJ	PREVOD NA UCET	5915	67843	 	EF	18397510
2969048	9833	1994-07-13	VYDAJ	PREVOD NA UCET	5915	57862	 	EF	18397510
2969049	9833	1994-08-13	VYDAJ	PREVOD NA UCET	5915	55760	 	EF	18397510
2969050	9833	1994-09-13	VYDAJ	PREVOD NA UCET	5915	63952	 	EF	18397510
2969051	9833	1994-10-13	VYDAJ	PREVOD NA UCET	5915	44723	 	EF	18397510
2969052	9833	1994-11-13	VYDAJ	PREVOD NA UCET	5915	66613	 	EF	18397510
2969053	9833	1994-12-13	VYDAJ	PREVOD NA UCET	5915	69839	 	EF	18397510
2969054	9833	1995-01-13	VYDAJ	PREVOD NA UCET	5915	51037	 	EF	18397510
2969055	9833	1995-02-13	VYDAJ	PREVOD NA UCET	5915	61538	 	EF	18397510
2969056	9833	1995-03-13	VYDAJ	PREVOD NA UCET	5915	54595	 	EF	18397510
2969057	9833	1995-04-13	VYDAJ	PREVOD NA UCET	5915	51893	 	EF	18397510
2969058	9833	1995-05-13	VYDAJ	PREVOD NA UCET	5915	44841	 	EF	18397510
2969059	9833	1995-06-13	VYDAJ	PREVOD NA UCET	5915	73758	 	EF	18397510
2969060	9833	1995-07-13	VYDAJ	PREVOD NA UCET	5915	67219	 	EF	18397510
2969061	9833	1995-08-13	VYDAJ	PREVOD NA UCET	5915	46933	 	EF	18397510
2969062	9833	1995-09-13	VYDAJ	PREVOD NA UCET	5915	60384	 	EF	18397510
2969063	9833	1995-10-13	VYDAJ	PREVOD NA UCET	5915	53409	 	EF	18397510
2969064	9833	1995-11-13	VYDAJ	PREVOD NA UCET	5915	48731	 	EF	18397510
2969065	9833	1995-12-13	VYDAJ	PREVOD NA UCET	5915	38048	 	EF	18397510
2969066	9833	1996-01-13	VYDAJ	PREVOD NA UCET	5915	34884	 	EF	18397510
2969067	9833	1996-02-13	VYDAJ	PREVOD NA UCET	5915	44074	 	EF	18397510
2969068	9833	1996-03-13	VYDAJ	PREVOD NA UCET	5915	45279	 	EF	18397510
2969069	9833	1996-04-13	VYDAJ	PREVOD NA UCET	5915	38109	 	EF	18397510
2969070	9833	1996-05-13	VYDAJ	PREVOD NA UCET	5915	49629	 	EF	18397510
2969071	9833	1996-06-13	VYDAJ	PREVOD NA UCET	5915	27577	 	EF	18397510
2969072	9833	1996-07-13	VYDAJ	PREVOD NA UCET	5915	48094	 	EF	18397510
2969073	9833	1996-08-13	VYDAJ	PREVOD NA UCET	5915	66624	 	EF	18397510
2969074	9833	1996-09-13	VYDAJ	PREVOD NA UCET	5915	57136	 	EF	18397510
2969075	9833	1996-10-13	VYDAJ	PREVOD NA UCET	5915	46039	 	EF	18397510
2969076	9833	1996-11-13	VYDAJ	PREVOD NA UCET	5915	85017	 	EF	18397510
2969077	9833	1996-12-13	VYDAJ	PREVOD NA UCET	5915	68981	 	EF	18397510
2969078	9833	1997-01-13	VYDAJ	PREVOD NA UCET	5915	72894	 	EF	18397510
2969079	9833	1997-02-13	VYDAJ	PREVOD NA UCET	5915	88832	 	EF	18397510
2969080	9833	1997-03-13	VYDAJ	PREVOD NA UCET	5915	44698	 	EF	18397510
2969081	9833	1997-04-13	VYDAJ	PREVOD NA UCET	5915	71571	 	EF	18397510
2969082	9833	1997-05-13	VYDAJ	PREVOD NA UCET	5915	68296	 	EF	18397510
2969083	9833	1997-06-13	VYDAJ	PREVOD NA UCET	5915	64443	 	EF	18397510
2969084	9833	1997-07-13	VYDAJ	PREVOD NA UCET	5915	79752	 	EF	18397510
2969085	9833	1997-08-13	VYDAJ	PREVOD NA UCET	5915	39811	 	EF	18397510
2969086	9833	1997-09-13	VYDAJ	PREVOD NA UCET	5915	67858	 	EF	18397510
2969087	9833	1997-10-13	VYDAJ	PREVOD NA UCET	5915	93765	 	EF	18397510
2969088	9833	1997-11-13	VYDAJ	PREVOD NA UCET	5915	40453	 	EF	18397510
2969089	9833	1997-12-13	VYDAJ	PREVOD NA UCET	5915	53205	 	EF	18397510
2969090	9833	1998-01-13	VYDAJ	PREVOD NA UCET	5915	46778	 	EF	18397510
2969091	9833	1998-02-13	VYDAJ	PREVOD NA UCET	5915	65366	 	EF	18397510
2969092	9833	1998-03-13	VYDAJ	PREVOD NA UCET	5915	77885	 	EF	18397510
2969093	9833	1998-04-13	VYDAJ	PREVOD NA UCET	5915	84847	 	EF	18397510
2969094	9833	1998-05-13	VYDAJ	PREVOD NA UCET	5915	61211	 	EF	18397510
2969095	9833	1998-06-13	VYDAJ	PREVOD NA UCET	5915	98319	 	EF	18397510
2969096	9833	1998-07-13	VYDAJ	PREVOD NA UCET	5915	50073	 	EF	18397510
2969097	9833	1998-08-13	VYDAJ	PREVOD NA UCET	5915	89457	 	EF	18397510
2969098	9833	1998-09-13	VYDAJ	PREVOD NA UCET	5915	60707	 	EF	18397510
2969099	9833	1998-10-13	VYDAJ	PREVOD NA UCET	5915	88954	 	EF	18397510
2969100	9833	1998-11-13	VYDAJ	PREVOD NA UCET	5915	75020	 	EF	18397510
2969101	9833	1998-12-13	VYDAJ	PREVOD NA UCET	5915	37572	 	EF	18397510
2969115	9833	1994-10-10	VYBER	VYBER	8598	65305	\N	\N	\N
2969117	9833	1994-09-20	VYBER	VYBER	9871	31203	\N	\N	\N
2969118	9833	1994-12-15	VYBER	VYBER	2656	67183	\N	\N	\N
2969119	9833	1994-10-02	VYBER	VYBER	3451	25087	\N	\N	\N
2969120	9833	1994-07-10	VYBER	VYBER	15641	78444	\N	\N	\N
2969121	9833	1994-04-14	VYBER	VYBER	21178	44195	\N	\N	\N
2969123	9833	1994-09-21	VYBER	VYBER	2826	28377	\N	\N	\N
2969124	9833	1994-09-17	VYBER	VYBER	14078	49874	\N	\N	\N
2969125	9833	1994-03-17	VYBER	VYBER	20707	45228	\N	\N	\N
2969127	9833	1995-09-15	VYBER	VYBER	14216	46168	\N	\N	\N
2969128	9833	1995-10-29	VYBER	VYBER	21627	22182	\N	\N	\N
2969129	9833	1995-05-09	VYBER	VYBER	10187	80263	\N	\N	\N
2969130	9833	1995-07-23	VYBER	VYBER	20505	26414	\N	\N	\N
2969132	9833	1995-02-16	VYBER	VYBER	10328	37010	\N	\N	\N
2969133	9833	1995-06-09	VYBER	VYBER	12916	86204	\N	\N	\N
2969137	9833	1995-03-17	VYBER	VYBER	18178	23517	\N	\N	\N
2969138	9833	1995-05-10	VYBER	VYBER	14840	65423	\N	\N	\N
2969139	9833	1996-12-23	VYBER	VYBER	11817	51064	\N	\N	\N
2969140	9833	1997-01-27	VYBER	VYBER	3657	47837	\N	\N	\N
2969141	9833	1998-01-25	VYBER	VYBER	4852	37726	\N	\N	\N
2969142	9833	1998-04-01	VYBER	VYBER	5926	56677	\N	\N	\N
2969143	9833	1998-01-01	VYBER	VYBER	8808	40708	\N	\N	\N
2969144	9833	1998-06-28	VYBER	VYBER	8252	83467	\N	\N	\N
2969145	9833	1998-09-27	VYBER	VYBER	6259	52348	\N	\N	\N
2969146	9833	1998-03-17	VYBER	VYBER	3964	73921	\N	\N	\N
2969147	9833	1998-10-19	VYBER	VYBER	20555	68399	\N	\N	\N
2969148	9833	1998-03-06	VYBER	VYBER	10584	48915	\N	\N	\N
2969151	9833	1995-06-23	VYDAJ	VYBER	23100	30658	\N	\N	\N
2969156	9833	1994-01-28	VYDAJ	VYBER	4800	21478	\N	\N	\N
2969158	9833	1996-01-28	VYDAJ	VYBER	3000	22584	\N	\N	\N
2969159	9833	1997-01-06	VYDAJ	VYBER	13800	36524	\N	\N	\N
2969161	9833	1993-12-10	VYDAJ	VYBER	8700	56500	\N	\N	\N
2969162	9833	1994-12-04	VYDAJ	VYBER	8100	38497	\N	\N	\N
2969163	9833	1995-12-29	VYDAJ	VYBER	6000	32048	\N	\N	\N
2969164	9833	1996-12-09	VYDAJ	VYBER	7500	81427	\N	\N	\N
2969165	9833	1997-12-22	VYDAJ	VYBER	6000	47205	\N	\N	\N
2969166	9833	1998-12-04	VYDAJ	VYBER	5700	59394	\N	\N	\N
2969173	9833	1994-01-08	VYDAJ	VYBER	3300	73124	\N	\N	\N
2969174	9833	1994-01-26	VYDAJ	VYBER	8400	26278	\N	\N	\N
2969175	9833	1994-01-20	VYDAJ	VYBER	4200	38278	\N	\N	\N
2969176	9833	1994-01-06	VYDAJ	VYBER	1800	27608	\N	\N	\N
2969179	9833	1995-01-10	VYDAJ	VYBER	6600	83619	\N	\N	\N
2969180	9833	1995-01-10	VYDAJ	VYBER	6000	77619	\N	\N	\N
2969181	9833	1995-01-21	VYDAJ	VYBER	4500	33137	\N	\N	\N
2969182	9833	1995-01-10	VYDAJ	VYBER	8100	90219	\N	\N	\N
2969183	9833	1995-01-21	VYDAJ	VYBER	2700	37637	\N	\N	\N
2969184	9833	1995-01-11	VYDAJ	VYBER	6000	71619	\N	\N	\N
2969185	9833	1996-01-02	VYDAJ	VYBER	5700	26514	\N	\N	\N
2969186	9833	1996-01-09	VYDAJ	VYBER	8400	64830	\N	\N	\N
2969187	9833	1996-01-27	VYDAJ	VYBER	3300	25584	\N	\N	\N
2969188	9833	1996-01-14	VYDAJ	VYBER	3000	31884	\N	\N	\N
2969189	9833	1996-01-25	VYDAJ	VYBER	3000	28884	\N	\N	\N
2969190	9833	1996-01-03	VYDAJ	VYBER	2100	24414	\N	\N	\N
2969191	9833	1997-01-16	VYDAJ	VYBER	8100	64794	\N	\N	\N
2969192	9833	1997-01-28	VYDAJ	VYBER	2100	45737	\N	\N	\N
2969193	9833	1997-01-16	VYDAJ	VYBER	1500	63294	\N	\N	\N
2969194	9833	1997-01-05	VYDAJ	VYBER	3600	50324	\N	\N	\N
2969195	9833	1997-01-04	VYDAJ	VYBER	2100	53924	\N	\N	\N
2969196	9833	1997-01-17	VYDAJ	VYBER	2700	60594	\N	\N	\N
2969197	9833	1998-01-25	VYDAJ	VYBER	8100	29626	\N	\N	\N
2969199	9833	1998-01-21	VYDAJ	VYBER	4200	42578	\N	\N	\N
2969200	9833	1998-01-11	VYDAJ	VYBER	8700	59224	\N	\N	\N
2969201	9833	1998-01-05	VYDAJ	VYBER	5700	35008	\N	\N	\N
2969202	9833	1998-01-26	VYDAJ	VYBER	4200	25426	\N	\N	\N
2969207	9833	1994-09-11	VYDAJ	VYBER	7500	84534	\N	\N	\N
2969208	9833	1994-01-23	VYDAJ	VYBER	3600	34678	\N	\N	\N
2969209	9833	1994-07-18	VYDAJ	VYBER	13500	44362	\N	\N	\N
2969210	9833	1994-04-15	VYDAJ	VYBER	7500	36695	\N	\N	\N
2969211	9833	1994-07-21	VYDAJ	VYBER	9900	27362	\N	\N	\N
2969212	9833	1995-10-07	VYDAJ	VYBER	6000	31239	\N	\N	\N
2969213	9833	1995-03-03	VYDAJ	VYBER	10800	26361	\N	\N	\N
2969214	9833	1995-06-04	VYDAJ	VYBER	5400	25896	\N	\N	\N
2969215	9833	1995-05-23	VYDAJ	VYBER	8400	31141	\N	\N	\N
2969216	9833	1996-10-27	VYDAJ	VYBER	3900	42139	\N	\N	\N
2969217	9833	1996-09-05	VYDAJ	VYBER	5100	61766	\N	\N	\N
2969218	9833	1996-03-02	VYDAJ	VYBER	10500	24809	\N	\N	\N
2969219	9833	1997-04-02	VYDAJ	VYBER	10800	25301	\N	\N	\N
2969220	9833	1997-10-17	VYDAJ	VYBER	9000	77365	\N	\N	\N
2969221	9833	1997-05-21	VYDAJ	VYBER	2100	58096	\N	\N	\N
2969222	9833	1997-12-10	VYDAJ	VYBER	12600	73951	\N	\N	\N
2969223	9833	1997-02-26	VYDAJ	VYBER	11700	69232	\N	\N	\N
2969224	9833	1997-04-19	VYDAJ	VYBER	3000	68571	\N	\N	\N
2969225	9833	1998-02-21	VYDAJ	VYBER	4800	60566	\N	\N	\N
2969226	9833	1998-12-12	VYDAJ	VYBER	13200	43487	\N	\N	\N
2969228	9833	1998-01-06	VYDAJ	VYBER	6900	28108	\N	\N	\N
2969229	9833	1998-04-17	VYDAJ	VYBER	5400	79447	\N	\N	\N
2969230	9833	1998-02-04	VYDAJ	VYBER	6000	35596	\N	\N	\N
2969231	9833	1998-11-08	VYDAJ	VYBER	7200	87466	\N	\N	\N
2969244	9833	1993-12-31	VYDAJ	VYBER	15	29408	SLUZBY	\N	\N
2969245	9833	1994-01-31	VYDAJ	VYBER	15	21644	SLUZBY	\N	\N
2969246	9833	1994-02-28	VYDAJ	VYBER	15	38765	SLUZBY	\N	\N
2969247	9833	1994-03-31	VYDAJ	VYBER	15	38203	SLUZBY	\N	\N
2969248	9833	1994-04-30	VYDAJ	VYBER	15	30560	SLUZBY	\N	\N
2969249	9833	1994-05-31	VYDAJ	VYBER	15	41501	SLUZBY	\N	\N
2969250	9833	1994-06-30	VYDAJ	VYBER	15	45269	SLUZBY	\N	\N
2969251	9833	1994-07-31	VYDAJ	VYBER	15	27526	SLUZBY	\N	\N
2969252	9833	1994-08-31	VYDAJ	VYBER	15	43218	SLUZBY	\N	\N
2969253	9833	1994-09-30	VYDAJ	VYBER	15	28538	SLUZBY	\N	\N
2969254	9833	1994-10-31	VYDAJ	VYBER	15	38379	SLUZBY	\N	\N
2969255	9833	1994-11-30	VYDAJ	VYBER	15	46597	SLUZBY	\N	\N
2969256	9833	1994-12-31	VYDAJ	VYBER	15	49503	SLUZBY	\N	\N
2969257	9833	1995-01-31	VYDAJ	VYBER	15	33304	SLUZBY	\N	\N
2969258	9833	1995-02-28	VYDAJ	VYBER	15	37161	SLUZBY	\N	\N
2969259	9833	1995-03-31	VYDAJ	VYBER	15	23659	SLUZBY	\N	\N
2969260	9833	1995-04-30	VYDAJ	VYBER	15	41634	SLUZBY	\N	\N
2969261	9833	1995-05-31	VYDAJ	VYBER	15	31296	SLUZBY	\N	\N
2969262	9833	1995-06-30	VYDAJ	VYBER	15	30849	SLUZBY	\N	\N
2969263	9833	1995-07-31	VYDAJ	VYBER	15	26563	SLUZBY	\N	\N
2969264	9833	1995-08-31	VYDAJ	VYBER	15	47114	SLUZBY	\N	\N
2969265	9833	1995-09-30	VYDAJ	VYBER	15	37239	SLUZBY	\N	\N
2969266	9833	1995-10-31	VYDAJ	VYBER	15	22361	SLUZBY	\N	\N
2969267	9833	1995-11-30	VYDAJ	VYBER	15	39470	SLUZBY	\N	\N
2969268	9833	1995-12-31	VYDAJ	VYBER	15	32214	SLUZBY	\N	\N
2969269	9833	1996-01-31	VYDAJ	VYBER	15	22704	SLUZBY	\N	\N
2969270	9833	1996-02-29	VYDAJ	VYBER	15	35309	SLUZBY	\N	\N
2969271	9833	1996-03-31	VYDAJ	VYBER	15	36239	SLUZBY	\N	\N
2969272	9833	1996-04-30	VYDAJ	VYBER	15	38259	SLUZBY	\N	\N
2969273	9833	1996-05-31	VYDAJ	VYBER	15	41399	SLUZBY	\N	\N
2969274	9833	1996-06-30	VYDAJ	VYBER	15	27724	SLUZBY	\N	\N
2969275	9833	1996-07-31	VYDAJ	VYBER	15	40154	SLUZBY	\N	\N
2969276	9833	1996-08-31	VYDAJ	VYBER	15	66866	SLUZBY	\N	\N
2969277	9833	1996-09-30	VYDAJ	VYBER	15	57369	SLUZBY	\N	\N
2969278	9833	1996-10-31	VYDAJ	VYBER	15	42347	SLUZBY	\N	\N
2969279	9833	1996-11-30	VYDAJ	VYBER	15	76503	SLUZBY	\N	\N
2969280	9833	1996-12-31	VYDAJ	VYBER	15	51324	SLUZBY	\N	\N
2969281	9833	1997-01-31	VYDAJ	VYBER	15	45962	SLUZBY	\N	\N
2969282	9833	1997-02-28	VYDAJ	VYBER	15	69528	SLUZBY	\N	\N
2969283	9833	1997-03-31	VYDAJ	VYBER	15	36101	SLUZBY	\N	\N
2969284	9833	1997-04-30	VYDAJ	VYBER	15	68826	SLUZBY	\N	\N
2969285	9833	1997-05-31	VYDAJ	VYBER	15	58365	SLUZBY	\N	\N
2969286	9833	1997-06-30	VYDAJ	VYBER	15	55182	SLUZBY	\N	\N
2969287	9833	1997-07-31	VYDAJ	VYBER	15	80041	SLUZBY	\N	\N
2969288	9833	1997-08-31	VYDAJ	VYBER	15	32888	SLUZBY	\N	\N
2969289	9833	1997-09-30	VYDAJ	VYBER	15	68095	SLUZBY	\N	\N
2969290	9833	1997-10-31	VYDAJ	VYBER	15	68383	SLUZBY	\N	\N
2969291	9833	1997-11-30	VYDAJ	VYBER	15	44127	SLUZBY	\N	\N
2969292	9833	1997-12-31	VYDAJ	VYBER	15	49516	SLUZBY	\N	\N
2969293	9833	1998-01-31	VYDAJ	VYBER	15	41596	SLUZBY	\N	\N
2969294	9833	1998-02-28	VYDAJ	VYBER	15	60799	SLUZBY	\N	\N
2969295	9833	1998-03-31	VYDAJ	VYBER	15	62603	SLUZBY	\N	\N
2969296	9833	1998-04-30	VYDAJ	VYBER	15	67341	SLUZBY	\N	\N
2969297	9833	1998-05-31	VYDAJ	VYBER	15	55041	SLUZBY	\N	\N
2969298	9833	1998-06-30	VYDAJ	VYBER	15	67203	SLUZBY	\N	\N
2969299	9833	1998-07-31	VYDAJ	VYBER	15	53087	SLUZBY	\N	\N
2969300	9833	1998-08-31	VYDAJ	VYBER	15	70037	SLUZBY	\N	\N
2969301	9833	1998-09-30	VYDAJ	VYBER	15	52584	SLUZBY	\N	\N
2969302	9833	1998-10-31	VYDAJ	VYBER	15	55150	SLUZBY	\N	\N
2969303	9833	1998-11-30	VYDAJ	VYBER	15	65094	SLUZBY	\N	\N
2969304	9833	1993-08-23	VYDAJ	VYBER	11300	38616	\N	\N	\N
2969305	9833	1993-09-22	VYDAJ	VYBER	32300	55179	\N	\N	\N
2969306	9833	1993-10-22	VYDAJ	VYBER	41700	62476	\N	\N	\N
2969307	9833	1993-11-08	VYDAJ	VYBER	45700	65832	\N	\N	\N
2969308	9833	1993-11-21	VYDAJ	VYBER	19400	46432	\N	\N	\N
2969309	9833	1993-12-08	VYDAJ	VYBER	54700	65200	\N	\N	\N
2969310	9833	1993-12-21	VYDAJ	VYBER	7800	29254	\N	\N	\N
2969311	9833	1994-01-20	VYDAJ	VYBER	10300	42478	\N	\N	\N
2969312	9833	1994-02-19	VYDAJ	VYBER	13200	38614	\N	\N	\N
2969313	9833	1994-03-21	VYDAJ	VYBER	7200	38028	\N	\N	\N
2969314	9833	1994-04-20	VYDAJ	VYBER	6300	30395	\N	\N	\N
2969315	9833	1994-05-20	VYDAJ	VYBER	16800	41330	\N	\N	\N
2969316	9833	1994-06-08	VYDAJ	VYBER	26300	88425	\N	\N	\N
2969317	9833	1994-06-19	VYDAJ	VYBER	22800	45043	\N	\N	\N
2969318	9833	1994-07-19	VYDAJ	VYBER	7100	37262	\N	\N	\N
2969319	9833	1994-08-18	VYDAJ	VYBER	12700	43060	\N	\N	\N
2969320	9833	1994-09-17	VYDAJ	VYBER	8800	41074	\N	\N	\N
2969321	9833	1994-10-17	VYDAJ	VYBER	6500	38223	\N	\N	\N
2969322	9833	1994-11-16	VYDAJ	VYBER	20200	46413	\N	\N	\N
2969323	9833	1994-12-08	VYDAJ	VYBER	21300	90421	\N	\N	\N
2969324	9833	1994-12-16	VYDAJ	VYBER	17900	49283	\N	\N	\N
2969325	9833	1995-01-15	VYDAJ	VYBER	10700	40337	\N	\N	\N
2969326	9833	1995-02-14	VYDAJ	VYBER	14200	47338	\N	\N	\N
2969327	9833	1995-03-16	VYDAJ	VYBER	12900	41695	\N	\N	\N
2969328	9833	1995-04-15	VYDAJ	VYBER	10400	41493	\N	\N	\N
2969329	9833	1995-05-15	VYDAJ	VYBER	5300	39541	\N	\N	\N
2969330	9833	1995-06-14	VYDAJ	VYBER	13600	60158	\N	\N	\N
2969331	9833	1995-07-14	VYDAJ	VYBER	13300	53919	\N	\N	\N
2969332	9833	1995-08-13	VYDAJ	VYBER	6300	52848	\N	\N	\N
2969333	9833	1995-09-12	VYDAJ	VYBER	23100	66299	\N	\N	\N
2969334	9833	1995-10-12	VYDAJ	VYBER	14200	59324	\N	\N	\N
2969335	9833	1995-11-11	VYDAJ	VYBER	10000	54646	\N	\N	\N
2969336	9833	1995-12-08	VYDAJ	VYBER	40400	72294	\N	\N	\N
2969337	9833	1995-12-11	VYDAJ	VYBER	12600	50494	\N	\N	\N
2969338	9833	1996-01-10	VYDAJ	VYBER	11000	53830	\N	\N	\N
2969339	9833	1996-02-09	VYDAJ	VYBER	15000	56520	\N	\N	\N
2969340	9833	1996-03-10	VYDAJ	VYBER	15900	57725	\N	\N	\N
2969341	9833	1996-04-09	VYDAJ	VYBER	24900	50555	\N	\N	\N
2969342	9833	1996-05-09	VYDAJ	VYBER	25000	62075	\N	\N	\N
2969343	9833	1996-06-08	VYDAJ	VYBER	57700	47323	\N	\N	\N
2969344	9833	1996-06-08	VYDAJ	VYBER	9600	105023	\N	\N	\N
2969345	9833	1996-07-08	VYDAJ	VYBER	16000	60540	\N	\N	\N
2969346	9833	1996-08-07	VYDAJ	VYBER	600	39554	\N	\N	\N
2969347	9833	1996-09-06	VYDAJ	VYBER	8200	53566	\N	\N	\N
2969348	9833	1996-09-08	VYDAJ	VYBER	24500	77882	\N	\N	\N
2969349	9833	1996-10-06	VYDAJ	VYBER	4000	53369	\N	\N	\N
2969350	9833	1996-10-08	VYDAJ	VYBER	37400	64785	\N	\N	\N
2969351	9833	1996-11-05	PRIJEM	VKLAD	6300	48647	\N	\N	\N
2969352	9833	1996-12-05	VYDAJ	VYBER	12100	64403	\N	\N	\N
2969353	9833	1996-12-08	VYDAJ	VYBER	48700	88927	\N	\N	\N
2969354	9833	1997-01-04	PRIJEM	VKLAD	4700	56024	\N	\N	\N
2969355	9833	1997-02-03	PRIJEM	VKLAD	6500	52462	\N	\N	\N
2969356	9833	1997-03-05	VYDAJ	VYBER	8200	61328	\N	\N	\N
2969357	9833	1997-03-08	VYDAJ	VYBER	53000	57144	\N	\N	\N
2969358	9833	1997-04-04	PRIJEM	VKLAD	16400	41701	\N	\N	\N
2969359	9833	1997-05-04	VYDAJ	VYBER	5300	63526	\N	\N	\N
2969360	9833	1997-05-08	VYDAJ	VYBER	31600	80742	\N	\N	\N
2969361	9833	1997-06-03	VYDAJ	VYBER	5200	53165	\N	\N	\N
2969362	9833	1997-06-08	VYDAJ	VYBER	49500	76889	\N	\N	\N
2969363	9833	1997-07-03	VYDAJ	VYBER	2600	52582	\N	\N	\N
2969364	9833	1997-08-02	VYDAJ	VYBER	16000	64041	\N	\N	\N
2969365	9833	1997-08-08	VYDAJ	VYBER	60600	52257	\N	\N	\N
2969366	9833	1997-09-01	PRIJEM	VKLAD	5500	38388	\N	\N	\N
2969367	9833	1997-10-01	VYDAJ	VYBER	10700	57395	\N	\N	\N
2969368	9833	1997-10-31	VYDAJ	VYBER	9300	68398	\N	\N	\N
2969369	9833	1997-11-08	VYDAJ	VYBER	64300	52899	\N	\N	\N
2969370	9833	1997-11-30	PRIJEM	VKLAD	11700	43953	\N	\N	\N
2969371	9833	1997-12-08	VYDAJ	VYBER	30800	86551	\N	\N	\N
2969372	9833	1997-12-30	PRIJEM	VKLAD	2100	49305	\N	\N	\N
2969373	9833	1998-01-29	PRIJEM	VKLAD	16000	41426	\N	\N	\N
2969374	9833	1998-02-28	VYDAJ	VYBER	1300	59499	\N	\N	\N
2969375	9833	1998-03-30	VYDAJ	VYBER	11600	62321	\N	\N	\N
2969376	9833	1998-04-29	VYDAJ	VYBER	12400	67047	\N	\N	\N
2969377	9833	1998-05-08	VYDAJ	VYBER	42500	73657	\N	\N	\N
2969378	9833	1998-05-29	PRIJEM	VKLAD	3000	54811	\N	\N	\N
2969379	9833	1998-06-08	VYDAJ	VYBER	17500	110765	\N	\N	\N
2969380	9833	1998-06-28	VYDAJ	VYBER	16600	66867	\N	\N	\N
2969381	9833	1998-07-08	VYDAJ	VYBER	43900	62519	\N	\N	\N
2969382	9833	1998-07-28	PRIJEM	VKLAD	2800	52873	\N	\N	\N
2969383	9833	1998-08-27	VYDAJ	VYBER	11700	69757	\N	\N	\N
2969384	9833	1998-09-08	VYDAJ	VYBER	45700	73153	\N	\N	\N
2969385	9833	1998-09-26	PRIJEM	VKLAD	6300	58607	\N	\N	\N
2969386	9833	1998-10-26	VYDAJ	VYBER	4500	54899	\N	\N	\N
2969387	9833	1998-11-25	VYDAJ	VYBER	10200	64820	\N	\N	\N
2969388	9833	1998-12-08	VYDAJ	VYBER	62700	63218	\N	\N	\N
2976354	9859	1996-07-08	PRIJEM	VKLAD	400	400	\N	\N	\N
2976362	9859	1996-08-08	PRIJEM	PREVOD Z UCTU	30063	42463	\N	GH	81795167
2976363	9859	1996-09-08	PRIJEM	PREVOD Z UCTU	30063	62863	\N	GH	81795167
2976364	9859	1996-10-08	PRIJEM	PREVOD Z UCTU	30063	75868	\N	GH	81795167
2976365	9859	1996-11-08	PRIJEM	PREVOD Z UCTU	30063	83635	\N	GH	81795167
2976366	9859	1996-12-08	PRIJEM	PREVOD Z UCTU	45094	104170	\N	GH	81795167
2976367	9859	1997-01-08	PRIJEM	PREVOD Z UCTU	30063	78209	\N	GH	81795167
2976368	9859	1997-02-08	PRIJEM	PREVOD Z UCTU	30063	54548	\N	GH	81795167
2976369	9859	1997-03-08	PRIJEM	PREVOD Z UCTU	30063	64829	\N	GH	81795167
2976370	9859	1997-04-08	PRIJEM	PREVOD Z UCTU	30063	54331	\N	GH	81795167
2976371	9859	1997-05-08	PRIJEM	PREVOD Z UCTU	30063	60703	\N	GH	81795167
2976372	9859	1997-06-08	PRIJEM	PREVOD Z UCTU	45094	82848	\N	GH	81795167
2976373	9859	1997-07-08	PRIJEM	PREVOD Z UCTU	30063	71847	\N	GH	81795167
2976374	9859	1997-08-08	PRIJEM	PREVOD Z UCTU	30063	73926	\N	GH	81795167
2976375	9859	1997-09-08	PRIJEM	PREVOD Z UCTU	30063	72399	\N	GH	81795167
2976376	9859	1997-10-08	PRIJEM	PREVOD Z UCTU	30063	57800	\N	GH	81795167
2976377	9859	1997-11-08	PRIJEM	PREVOD Z UCTU	30063	57974	\N	GH	81795167
2976378	9859	1997-12-08	PRIJEM	PREVOD Z UCTU	45094	67774	\N	GH	81795167
2976379	9859	1998-01-08	PRIJEM	PREVOD Z UCTU	30063	63822	\N	GH	81795167
2976380	9859	1998-02-08	PRIJEM	PREVOD Z UCTU	30063	58704	\N	GH	81795167
2976381	9859	1998-03-08	PRIJEM	PREVOD Z UCTU	30063	57518	\N	GH	81795167
2976382	9859	1998-04-08	PRIJEM	PREVOD Z UCTU	30063	60368	\N	GH	81795167
2976383	9859	1998-05-08	PRIJEM	PREVOD Z UCTU	30063	69762	\N	GH	81795167
2976384	9859	1998-06-08	PRIJEM	PREVOD Z UCTU	45094	65770	\N	GH	81795167
2976385	9859	1998-07-08	PRIJEM	PREVOD Z UCTU	30063	71481	\N	GH	81795167
2976386	9859	1998-08-08	PRIJEM	PREVOD Z UCTU	30063	69490	\N	GH	81795167
2976387	9859	1998-09-08	PRIJEM	PREVOD Z UCTU	30063	69287	\N	GH	81795167
2976388	9859	1998-10-08	PRIJEM	PREVOD Z UCTU	30063	63061	\N	GH	81795167
2976389	9859	1998-11-08	PRIJEM	PREVOD Z UCTU	30063	63056	\N	GH	81795167
2976390	9859	1998-12-08	PRIJEM	PREVOD Z UCTU	45094	83984	\N	GH	81795167
2976402	9859	1996-12-20	VYDAJ	VYBER	4400	95405	\N	\N	0
2976403	9859	1997-01-10	VYDAJ	VYBER	5900	72309	\N	\N	0
2976404	9859	1997-02-13	VYDAJ	VYBER	4100	50448	\N	\N	0
2976405	9859	1997-03-16	VYDAJ	VYBER	5200	58864	\N	\N	0
2976406	9859	1997-04-19	VYDAJ	VYBER	3900	40966	\N	\N	0
2976407	9859	1997-05-15	VYDAJ	VYBER	5800	54138	\N	\N	0
2976408	9859	1997-06-18	VYDAJ	VYBER	4900	77183	\N	\N	0
2976409	9859	1997-07-02	VYDAJ	VYBER	4800	72668	\N	\N	0
2976410	9859	1997-08-12	VYDAJ	PREVOD NA UCET	5011	68916	UVER	EF	18163144
2976411	9859	1997-09-12	VYDAJ	PREVOD NA UCET	5011	67388	UVER	EF	18163144
2976412	9859	1997-10-12	VYDAJ	PREVOD NA UCET	5011	52790	UVER	EF	18163144
2976413	9859	1997-11-12	VYDAJ	PREVOD NA UCET	5011	52964	UVER	EF	18163144
2976414	9859	1997-12-12	VYDAJ	PREVOD NA UCET	5011	62764	UVER	EF	18163144
2976415	9859	1998-01-12	VYDAJ	PREVOD NA UCET	5011	54611	UVER	EF	18163144
2976416	9859	1998-02-12	VYDAJ	PREVOD NA UCET	5011	53694	UVER	EF	18163144
2976417	9859	1998-03-12	VYDAJ	PREVOD NA UCET	5011	52507	UVER	EF	18163144
2976418	9859	1998-04-12	VYDAJ	PREVOD NA UCET	5011	55358	UVER	EF	18163144
2976419	9859	1998-05-12	VYDAJ	PREVOD NA UCET	5011	64751	UVER	EF	18163144
2976420	9859	1998-06-12	VYDAJ	PREVOD NA UCET	5011	60760	UVER	EF	18163144
2976421	9859	1998-07-12	VYDAJ	PREVOD NA UCET	5011	66470	UVER	EF	18163144
2976422	9859	1998-08-12	VYDAJ	PREVOD NA UCET	5011	53380	UVER	EF	18163144
2976423	9859	1998-09-12	VYDAJ	PREVOD NA UCET	5011	45680	UVER	EF	18163144
2976424	9859	1998-10-12	VYDAJ	PREVOD NA UCET	5011	58051	UVER	EF	18163144
2976425	9859	1998-11-12	VYDAJ	PREVOD NA UCET	5011	58045	UVER	EF	18163144
2976426	9859	1998-12-12	VYDAJ	PREVOD NA UCET	5011	78973	UVER	EF	18163144
2976439	9859	1997-01-07	VYDAJ	PREVOD NA UCET	1008	50546	SIPO	QR	24650532
2976440	9859	1997-02-07	VYDAJ	PREVOD NA UCET	1008	24485	SIPO	QR	24650532
2976441	9859	1997-03-07	VYDAJ	PREVOD NA UCET	1008	34766	SIPO	QR	24650532
2976442	9859	1997-04-07	VYDAJ	PREVOD NA UCET	1008	24268	SIPO	QR	24650532
2976443	9859	1997-05-07	VYDAJ	PREVOD NA UCET	1008	30640	SIPO	QR	24650532
2976444	9859	1997-06-07	VYDAJ	PREVOD NA UCET	1008	37754	SIPO	QR	24650532
2976445	9859	1997-07-07	VYDAJ	PREVOD NA UCET	1008	41784	SIPO	QR	24650532
2976446	9859	1997-08-07	VYDAJ	PREVOD NA UCET	1008	43863	SIPO	QR	24650532
2976447	9859	1997-09-07	VYDAJ	PREVOD NA UCET	1008	42336	SIPO	QR	24650532
2976448	9859	1997-10-07	VYDAJ	PREVOD NA UCET	1008	27737	SIPO	QR	24650532
2976449	9859	1997-11-07	VYDAJ	PREVOD NA UCET	1008	27911	SIPO	QR	24650532
2976450	9859	1997-12-07	VYDAJ	PREVOD NA UCET	1008	22680	SIPO	QR	24650532
2976451	9859	1998-01-07	VYDAJ	PREVOD NA UCET	1008	33759	SIPO	QR	24650532
2976452	9859	1998-02-07	VYDAJ	PREVOD NA UCET	1008	28641	SIPO	QR	24650532
2976453	9859	1998-03-07	VYDAJ	PREVOD NA UCET	1008	27455	SIPO	QR	24650532
2976454	9859	1998-04-07	VYDAJ	PREVOD NA UCET	1008	30305	SIPO	QR	24650532
2976455	9859	1998-05-07	VYDAJ	PREVOD NA UCET	1008	39699	SIPO	QR	24650532
2976456	9859	1998-06-07	VYDAJ	PREVOD NA UCET	1008	20676	SIPO	QR	24650532
2976457	9859	1998-07-07	VYDAJ	PREVOD NA UCET	1008	41418	SIPO	QR	24650532
2976458	9859	1998-08-07	VYDAJ	PREVOD NA UCET	1008	39427	SIPO	QR	24650532
2976459	9859	1998-09-07	VYDAJ	PREVOD NA UCET	1008	39224	SIPO	QR	24650532
2976460	9859	1998-10-07	VYDAJ	PREVOD NA UCET	1008	32998	SIPO	QR	24650532
2976461	9859	1998-11-07	VYDAJ	PREVOD NA UCET	1008	32993	SIPO	QR	24650532
2976462	9859	1998-12-07	VYDAJ	PREVOD NA UCET	1008	38890	SIPO	QR	24650532
2976475	9859	1997-01-05	VYDAJ	PREVOD NA UCET	1476	51554	 	KL	16269088
2976476	9859	1997-02-05	VYDAJ	PREVOD NA UCET	1476	25493	 	KL	16269088
2976477	9859	1997-03-05	VYDAJ	PREVOD NA UCET	1476	44474	 	KL	16269088
2976478	9859	1997-04-05	VYDAJ	PREVOD NA UCET	1476	25276	 	KL	16269088
2976479	9859	1997-05-05	VYDAJ	PREVOD NA UCET	1476	31648	 	KL	16269088
2976480	9859	1997-06-05	VYDAJ	PREVOD NA UCET	1476	38762	 	KL	16269088
2976481	9859	1997-07-05	VYDAJ	PREVOD NA UCET	1476	42792	 	KL	16269088
2976482	9859	1997-08-05	VYDAJ	PREVOD NA UCET	1476	44871	 	KL	16269088
2976483	9859	1997-09-05	VYDAJ	PREVOD NA UCET	1476	43344	 	KL	16269088
2976484	9859	1997-10-05	VYDAJ	PREVOD NA UCET	1476	28745	 	KL	16269088
2976485	9859	1997-11-05	VYDAJ	PREVOD NA UCET	1476	28919	 	KL	16269088
2976486	9859	1997-12-05	VYDAJ	PREVOD NA UCET	1476	25488	 	KL	16269088
2976487	9859	1998-01-05	VYDAJ	PREVOD NA UCET	1476	38067	 	KL	16269088
2976488	9859	1998-02-05	VYDAJ	PREVOD NA UCET	1476	29649	 	KL	16269088
2976618	9859	1997-07-31	VYDAJ	VYBER	15	71347	SLUZBY	\N	\N
2976489	9859	1998-03-05	VYDAJ	PREVOD NA UCET	1476	28463	 	KL	16269088
2976490	9859	1998-04-05	VYDAJ	PREVOD NA UCET	1476	31313	 	KL	16269088
2976491	9859	1998-05-05	VYDAJ	PREVOD NA UCET	1476	40707	 	KL	16269088
2976492	9859	1998-06-05	VYDAJ	PREVOD NA UCET	1476	21684	 	KL	16269088
2976493	9859	1998-07-05	VYDAJ	PREVOD NA UCET	1476	42426	 	KL	16269088
2976494	9859	1998-08-05	VYDAJ	PREVOD NA UCET	1476	40435	 	KL	16269088
2976495	9859	1998-09-05	VYDAJ	PREVOD NA UCET	1476	40232	 	KL	16269088
2976496	9859	1998-10-05	VYDAJ	PREVOD NA UCET	1476	34006	 	KL	16269088
2976497	9859	1998-11-05	VYDAJ	PREVOD NA UCET	1476	34001	 	KL	16269088
2976498	9859	1998-12-05	VYDAJ	PREVOD NA UCET	1476	39898	 	KL	16269088
2976510	9859	1996-12-13	VYDAJ	PREVOD NA UCET	765	103405	POJISTNE	KL	56029701
2976511	9859	1997-01-13	VYDAJ	PREVOD NA UCET	765	50844	POJISTNE	KL	56029701
2976512	9859	1997-02-13	VYDAJ	PREVOD NA UCET	765	49683	POJISTNE	KL	56029701
2976513	9859	1997-03-13	VYDAJ	PREVOD NA UCET	765	64064	POJISTNE	KL	56029701
2976514	9859	1997-04-13	VYDAJ	PREVOD NA UCET	765	44866	POJISTNE	KL	56029701
2976515	9859	1997-05-13	VYDAJ	PREVOD NA UCET	765	59938	POJISTNE	KL	56029701
2976516	9859	1997-06-13	VYDAJ	PREVOD NA UCET	765	82083	POJISTNE	KL	56029701
2976517	9859	1997-07-13	VYDAJ	PREVOD NA UCET	765	71082	POJISTNE	KL	56029701
2976518	9859	1997-08-13	VYDAJ	PREVOD NA UCET	765	68151	POJISTNE	KL	56029701
2976519	9859	1997-09-13	VYDAJ	PREVOD NA UCET	765	66623	POJISTNE	KL	56029701
2976520	9859	1997-10-13	VYDAJ	PREVOD NA UCET	765	52025	POJISTNE	KL	56029701
2976521	9859	1997-11-13	VYDAJ	PREVOD NA UCET	765	52199	POJISTNE	KL	56029701
2976522	9859	1997-12-13	VYDAJ	PREVOD NA UCET	765	61999	POJISTNE	KL	56029701
2976523	9859	1998-01-13	VYDAJ	PREVOD NA UCET	765	53846	POJISTNE	KL	56029701
2976524	9859	1998-02-13	VYDAJ	PREVOD NA UCET	765	52929	POJISTNE	KL	56029701
2976525	9859	1998-03-13	VYDAJ	PREVOD NA UCET	765	51742	POJISTNE	KL	56029701
2976526	9859	1998-04-13	VYDAJ	PREVOD NA UCET	765	54593	POJISTNE	KL	56029701
2976527	9859	1998-05-13	VYDAJ	PREVOD NA UCET	765	63986	POJISTNE	KL	56029701
2976528	9859	1998-06-13	VYDAJ	PREVOD NA UCET	765	59995	POJISTNE	KL	56029701
2976529	9859	1998-07-13	VYDAJ	PREVOD NA UCET	765	65705	POJISTNE	KL	56029701
2976530	9859	1998-08-13	VYDAJ	PREVOD NA UCET	765	52615	POJISTNE	KL	56029701
2976531	9859	1998-09-13	VYDAJ	PREVOD NA UCET	765	44915	POJISTNE	KL	56029701
2976532	9859	1998-10-13	VYDAJ	PREVOD NA UCET	765	57286	POJISTNE	KL	56029701
2976533	9859	1998-11-13	VYDAJ	PREVOD NA UCET	765	57280	POJISTNE	KL	56029701
2976534	9859	1998-12-13	VYDAJ	PREVOD NA UCET	765	78208	POJISTNE	KL	56029701
2976546	9859	1997-03-25	VYBER	VYBER	20804	35960	\N	\N	\N
2976547	9859	1997-09-20	VYBER	VYBER	9509	46598	\N	\N	\N
2976549	9859	1997-10-18	VYBER	VYBER	11891	40134	\N	\N	\N
2976550	9859	1997-04-01	VYBER	VYBER	8507	27652	\N	\N	\N
2976552	9859	1997-08-30	VYBER	VYBER	9889	58262	\N	\N	\N
2976553	9859	1997-01-25	VYBER	VYBER	19075	25469	\N	\N	\N
2976554	9859	1997-12-01	VYBER	VYBER	10027	26964	\N	\N	\N
2976555	9859	1997-12-28	VYBER	VYBER	11572	50427	\N	\N	\N
2976556	9859	1997-01-03	VYBER	VYBER	24758	71030	\N	\N	\N
2976557	9859	1997-09-20	VYBER	VYBER	10516	56107	\N	\N	\N
2976558	9859	1998-06-04	VYBER	VYBER	23352	23160	\N	\N	\N
2976559	9859	1998-03-27	VYBER	VYBER	10226	41516	\N	\N	\N
2976560	9859	1998-02-27	VYBER	VYBER	19469	33460	\N	\N	\N
2976561	9859	1998-09-09	VYBER	VYBER	18596	50691	\N	\N	\N
2976562	9859	1996-12-16	VYDAJ	VYBER	3600	99805	\N	\N	\N
2976563	9859	1997-12-05	VYDAJ	VYBER KARTOU	1800	23688	\N	\N	0
2976564	9859	1998-12-30	VYDAJ	VYBER	4500	48808	\N	\N	\N
2976571	9859	1997-01-11	VYDAJ	VYBER	8700	58809	\N	\N	\N
2976572	9859	1997-01-07	VYDAJ	VYBER	2400	48146	\N	\N	\N
2976573	9859	1997-01-20	VYDAJ	VYBER	2100	48744	\N	\N	\N
2976574	9859	1997-01-12	VYDAJ	VYBER	3900	51609	\N	\N	\N
2976575	9859	1997-01-22	VYDAJ	VYBER	4200	44544	\N	\N	\N
2976576	9859	1997-01-10	VYDAJ	VYBER	4800	67509	\N	\N	\N
2976577	9859	1998-01-21	VYDAJ	VYBER KARTOU	1500	52346	\N	\N	0
2976578	9859	1998-01-08	VYDAJ	VYBER	4200	59622	\N	\N	\N
2976579	9859	1998-01-05	VYDAJ	VYBER KARTOU	3300	34767	\N	\N	0
2976580	9859	1998-01-23	VYDAJ	VYBER	6300	43646	\N	\N	\N
2976581	9859	1998-01-21	VYDAJ	VYBER KARTOU	2400	49946	\N	\N	0
2976582	9859	1998-01-29	VYDAJ	VYBER	8100	35546	\N	\N	\N
2976588	9859	1997-04-13	VYDAJ	VYBER	8700	45631	\N	\N	\N
2976589	9859	1997-03-24	VYDAJ	VYBER	2100	56764	\N	\N	\N
2976590	9859	1997-01-11	VYDAJ	VYBER	3300	55509	\N	\N	\N
2976591	9859	1997-09-28	VYDAJ	VYBER	8400	30998	\N	\N	\N
2976592	9859	1997-09-27	VYDAJ	VYBER	7200	39398	\N	\N	\N
2976593	9859	1997-02-22	VYDAJ	VYBER	3900	45783	\N	\N	\N
2976594	9859	1997-08-04	VYDAJ	VYBER KARTOU	3000	46347	\N	\N	0
2976595	9859	1998-09-27	VYDAJ	VYBER KARTOU	3300	35315	\N	\N	0
2976596	9859	1998-08-11	VYDAJ	VYBER	11100	58390	\N	\N	\N
2976597	9859	1998-07-14	VYDAJ	VYBER	11400	54305	\N	\N	\N
2976598	9859	1998-11-01	VYDAJ	VYBER	5400	35477	\N	\N	\N
2976611	9859	1996-12-31	VYDAJ	VYBER	15	95788	SLUZBY	\N	\N
2976612	9859	1997-01-31	VYDAJ	VYBER	15	25669	SLUZBY	\N	\N
2976613	9859	1997-02-28	VYDAJ	VYBER	15	45950	SLUZBY	\N	\N
2976614	9859	1997-03-31	VYDAJ	VYBER	15	36159	SLUZBY	\N	\N
2976615	9859	1997-04-30	VYDAJ	VYBER	15	41124	SLUZBY	\N	\N
2976616	9859	1997-05-31	VYDAJ	VYBER	15	54338	SLUZBY	\N	\N
2976617	9859	1997-06-30	VYDAJ	VYBER	15	77468	SLUZBY	\N	\N
2976619	9859	1997-08-31	VYDAJ	VYBER	15	58520	SLUZBY	\N	\N
2976620	9859	1997-09-30	VYDAJ	VYBER	15	31221	SLUZBY	\N	\N
2976621	9859	1997-10-31	VYDAJ	VYBER	15	40295	SLUZBY	\N	\N
2976622	9859	1997-11-30	VYDAJ	VYBER	15	52391	SLUZBY	\N	\N
2976623	9859	1997-12-31	VYDAJ	VYBER	15	39543	SLUZBY	\N	\N
2976624	9859	1998-01-31	VYDAJ	VYBER	15	31125	SLUZBY	\N	\N
2976625	9859	1998-02-28	VYDAJ	VYBER	15	29939	SLUZBY	\N	\N
2976626	9859	1998-03-31	VYDAJ	VYBER	15	32789	SLUZBY	\N	\N
2976627	9859	1998-04-30	VYDAJ	VYBER	15	42183	SLUZBY	\N	\N
2976628	9859	1998-05-31	VYDAJ	VYBER	15	46512	SLUZBY	\N	\N
2976629	9859	1998-06-30	VYDAJ	VYBER	15	43902	SLUZBY	\N	\N
2976630	9859	1998-07-31	VYDAJ	VYBER	15	41911	SLUZBY	\N	\N
2976631	9859	1998-08-31	VYDAJ	VYBER	15	41708	SLUZBY	\N	\N
2976632	9859	1998-09-30	VYDAJ	VYBER	15	35482	SLUZBY	\N	\N
2976633	9859	1998-10-31	VYDAJ	VYBER	15	40877	SLUZBY	\N	\N
2976634	9859	1998-11-30	VYDAJ	VYBER	15	41374	SLUZBY	\N	\N
2976635	9859	1996-08-07	PRIJEM	VKLAD	12000	12400	\N	\N	\N
2976636	9859	1996-09-06	VYDAJ	VYBER	9800	32800	\N	\N	\N
2976637	9859	1996-10-06	VYDAJ	VYBER	17300	45805	\N	\N	\N
2976638	9859	1996-11-05	VYDAJ	VYBER	22600	53572	\N	\N	\N
2976639	9859	1996-12-05	VYDAJ	VYBER	24900	59076	\N	\N	\N
2976640	9859	1997-01-04	VYDAJ	VYBER	18000	53030	\N	\N	\N
2976641	9859	1997-02-03	PRIJEM	VKLAD	1300	26969	\N	\N	\N
2976642	9859	1997-03-05	VYDAJ	VYBER	8700	35774	\N	\N	\N
2976643	9859	1997-04-04	VYDAJ	VYBER	900	26752	\N	\N	\N
2976644	9859	1997-05-04	VYDAJ	VYBER	8000	33124	\N	\N	\N
2976645	9859	1997-06-03	VYDAJ	VYBER	14100	40238	\N	\N	\N
2976646	9859	1997-07-03	VYDAJ	VYBER	28400	44268	\N	\N	\N
2976647	9859	1997-08-02	VYDAJ	VYBER	22000	49347	\N	\N	\N
2976648	9859	1997-09-01	VYDAJ	VYBER	13700	44820	\N	\N	\N
2976649	9859	1997-10-01	VYDAJ	VYBER KARTOU	1000	30221	\N	\N	0
2976650	9859	1997-10-31	VYDAJ	VYBER	9900	30395	\N	\N	\N
2976651	9859	1997-11-30	VYDAJ	VYBER	15400	36991	\N	\N	\N
2976652	9859	1997-12-30	VYDAJ	VYBER	11100	39327	\N	\N	\N
2976653	9859	1998-01-29	VYDAJ	VYBER	4600	30946	\N	\N	\N
2976654	9859	1998-02-28	VYDAJ	VYBER KARTOU	3700	29954	\N	\N	0
2976655	9859	1998-03-30	VYDAJ	VYBER	8900	32616	\N	\N	\N
2976656	9859	1998-04-29	VYDAJ	VYBER	12600	41993	\N	\N	\N
2976657	9859	1998-05-29	VYDAJ	VYBER	17700	46286	\N	\N	\N
2976658	9859	1998-06-28	VYDAJ	VYBER	16300	43695	\N	\N	\N
2976659	9859	1998-07-28	VYDAJ	VYBER	12600	41705	\N	\N	\N
2976660	9859	1998-08-27	VYDAJ	VYBER	11100	41515	\N	\N	\N
2976661	9859	1998-09-26	VYDAJ	VYBER	6300	38615	\N	\N	\N
2976662	9859	1998-10-26	VYDAJ	VYBER	16600	40686	\N	\N	\N
2976663	9859	1998-11-25	VYDAJ	VYBER	16100	41180	\N	\N	\N
2976664	9859	1998-12-25	VYDAJ	VYBER	24900	53308	\N	\N	\N
2979016	9869	1993-08-21	PRIJEM	VKLAD	900	900	\N	\N	\N
2979025	9869	1993-09-13	PRIJEM	VKLAD	22184	23084	\N	\N	\N
2979026	9869	1993-10-13	PRIJEM	VKLAD	22184	46004	\N	\N	\N
2979027	9869	1993-11-13	PRIJEM	VKLAD	22184	55202	\N	\N	\N
2979028	9869	1993-12-13	PRIJEM	VKLAD	33276	71925	\N	\N	\N
2979029	9869	1994-01-13	PRIJEM	VKLAD	22184	71287	\N	\N	\N
2979030	9869	1994-02-13	PRIJEM	VKLAD	22184	60571	\N	\N	\N
2979031	9869	1994-03-13	PRIJEM	VKLAD	22184	49334	\N	\N	\N
2979032	9869	1994-04-13	PRIJEM	VKLAD	22184	44523	\N	\N	\N
2979033	9869	1994-05-13	PRIJEM	VKLAD	22184	40143	\N	\N	\N
2979034	9869	1994-06-13	PRIJEM	VKLAD	33276	53751	\N	\N	\N
2979035	9869	1994-07-13	PRIJEM	VKLAD	22184	53591	\N	\N	\N
2979036	9869	1994-08-13	PRIJEM	VKLAD	22184	40754	\N	\N	\N
2979037	9869	1994-09-13	PRIJEM	VKLAD	22184	41564	\N	\N	\N
2979038	9869	1994-10-13	PRIJEM	VKLAD	22184	39582	\N	\N	\N
2979039	9869	1994-11-13	PRIJEM	VKLAD	22184	43493	\N	\N	\N
2979040	9869	1994-12-13	PRIJEM	VKLAD	33276	54490	\N	\N	\N
2979041	9869	1995-01-13	PRIJEM	VKLAD	22184	52337	\N	\N	\N
2979042	9869	1995-02-13	PRIJEM	VKLAD	22184	57517	\N	\N	\N
2979043	9869	1995-03-13	PRIJEM	VKLAD	22184	60392	\N	\N	\N
2979044	9869	1995-04-13	PRIJEM	VKLAD	22184	52243	\N	\N	\N
2979045	9869	1995-05-13	PRIJEM	VKLAD	22184	48797	\N	\N	\N
2979046	9869	1995-06-13	PRIJEM	VKLAD	33276	61747	\N	\N	\N
2979047	9869	1995-07-13	PRIJEM	VKLAD	22184	61615	\N	\N	\N
2979048	9869	1995-08-13	PRIJEM	VKLAD	22184	59321	\N	\N	\N
2979049	9869	1995-09-13	PRIJEM	VKLAD	22184	54557	\N	\N	\N
2979050	9869	1995-10-13	PRIJEM	VKLAD	22184	56430	\N	\N	\N
2979051	9869	1995-11-13	PRIJEM	VKLAD	22184	61009	\N	\N	\N
2979052	9869	1995-12-13	PRIJEM	VKLAD	33276	70956	\N	\N	\N
2979053	9869	1996-01-13	PRIJEM	VKLAD	22184	69379	\N	\N	\N
2979054	9869	1996-02-13	PRIJEM	VKLAD	22184	65165	\N	\N	\N
2979055	9869	1996-03-13	PRIJEM	VKLAD	22184	66383	\N	\N	\N
2979056	9869	1996-04-13	PRIJEM	VKLAD	22184	64202	\N	\N	\N
2979057	9869	1996-05-13	PRIJEM	VKLAD	22184	65312	\N	\N	\N
2979058	9869	1996-06-13	PRIJEM	VKLAD	33276	74215	\N	\N	\N
2979059	9869	1996-07-13	PRIJEM	VKLAD	22184	69049	\N	\N	\N
2979060	9869	1996-08-13	PRIJEM	VKLAD	22184	59093	\N	\N	\N
2979061	9869	1996-09-13	PRIJEM	VKLAD	22184	57497	\N	\N	\N
2979062	9869	1996-10-13	PRIJEM	VKLAD	22184	61274	\N	\N	\N
2979063	9869	1996-11-13	PRIJEM	VKLAD	22184	63368	\N	\N	\N
2979064	9869	1996-12-13	PRIJEM	VKLAD	33276	71262	\N	\N	\N
2979065	9869	1997-01-13	PRIJEM	VKLAD	22184	71584	\N	\N	\N
2979066	9869	1997-02-13	PRIJEM	VKLAD	22184	69022	\N	\N	\N
2979067	9869	1997-03-13	PRIJEM	VKLAD	22184	72147	\N	\N	\N
2979068	9869	1997-04-13	PRIJEM	VKLAD	22184	76785	\N	\N	\N
2979069	9869	1997-05-13	PRIJEM	VKLAD	22184	82441	\N	\N	\N
2979070	9869	1997-06-13	PRIJEM	VKLAD	33276	93510	\N	\N	\N
2979071	9869	1997-07-13	PRIJEM	VKLAD	22184	88218	\N	\N	\N
2979072	9869	1997-08-13	PRIJEM	VKLAD	22184	85427	\N	\N	\N
2979073	9869	1997-09-13	PRIJEM	VKLAD	22184	80611	\N	\N	\N
2979074	9869	1997-10-13	PRIJEM	VKLAD	22184	83079	\N	\N	\N
2979075	9869	1997-11-13	PRIJEM	VKLAD	22184	79547	\N	\N	\N
2979076	9869	1997-12-13	PRIJEM	VKLAD	33276	92597	\N	\N	\N
2979077	9869	1998-01-13	PRIJEM	VKLAD	22184	83125	\N	\N	\N
2979078	9869	1998-02-13	PRIJEM	VKLAD	22184	82799	\N	\N	\N
2979079	9869	1998-03-13	PRIJEM	VKLAD	22184	81670	\N	\N	\N
2979080	9869	1998-04-13	PRIJEM	VKLAD	22184	83138	\N	\N	\N
2979081	9869	1998-05-13	PRIJEM	VKLAD	22184	83612	\N	\N	\N
2979082	9869	1998-06-13	PRIJEM	VKLAD	33276	86238	\N	\N	\N
2979083	9869	1998-07-13	PRIJEM	VKLAD	22184	91609	\N	\N	\N
2979084	9869	1998-08-13	PRIJEM	VKLAD	22184	91915	\N	\N	\N
2979085	9869	1998-09-13	PRIJEM	VKLAD	22184	92922	\N	\N	\N
2979086	9869	1998-10-13	PRIJEM	VKLAD	22184	89253	\N	\N	\N
2979087	9869	1998-11-13	PRIJEM	VKLAD	22184	90348	\N	\N	\N
2979088	9869	1998-12-13	PRIJEM	VKLAD	33276	102938	\N	\N	\N
2979102	9869	1994-02-07	VYDAJ	PREVOD NA UCET	5887	38387	SIPO	YZ	58726429
2979103	9869	1994-03-07	VYDAJ	PREVOD NA UCET	5887	27150	SIPO	YZ	58726429
2979104	9869	1994-04-07	VYDAJ	PREVOD NA UCET	5887	24979	SIPO	YZ	58726429
2979105	9869	1994-05-07	VYDAJ	PREVOD NA UCET	5887	23159	SIPO	YZ	58726429
2979106	9869	1994-06-07	VYDAJ	PREVOD NA UCET	5887	26175	SIPO	YZ	58726429
2979107	9869	1994-07-07	VYDAJ	PREVOD NA UCET	5887	31407	SIPO	YZ	58726429
2979108	9869	1994-08-07	VYDAJ	PREVOD NA UCET	5887	18570	SIPO	YZ	58726429
2979109	9869	1994-09-07	VYDAJ	PREVOD NA UCET	5887	23780	SIPO	YZ	58726429
2979110	9869	1994-10-07	VYDAJ	PREVOD NA UCET	5887	17398	SIPO	YZ	58726429
2979111	9869	1994-11-07	VYDAJ	PREVOD NA UCET	5887	21309	SIPO	YZ	58726429
2979112	9869	1994-12-07	VYDAJ	PREVOD NA UCET	5887	26914	SIPO	YZ	58726429
2979113	9869	1995-01-07	VYDAJ	PREVOD NA UCET	5887	35753	SIPO	YZ	58726429
2979114	9869	1995-02-07	VYDAJ	PREVOD NA UCET	5887	34733	SIPO	YZ	58726429
2979115	9869	1995-03-07	VYDAJ	PREVOD NA UCET	5887	42508	SIPO	YZ	58726429
2979116	9869	1995-04-07	VYDAJ	PREVOD NA UCET	5887	36545	SIPO	YZ	58726429
2979117	9869	1995-05-07	VYDAJ	PREVOD NA UCET	5887	32139	SIPO	YZ	58726429
2979118	9869	1995-06-07	VYDAJ	PREVOD NA UCET	5887	28497	SIPO	YZ	58726429
2979119	9869	1995-07-07	VYDAJ	PREVOD NA UCET	5887	53557	SIPO	YZ	58726429
2979120	9869	1995-08-07	VYDAJ	PREVOD NA UCET	5887	53463	SIPO	YZ	58726429
2979121	9869	1995-09-07	VYDAJ	PREVOD NA UCET	5887	45399	SIPO	YZ	58726429
2979122	9869	1995-10-07	VYDAJ	PREVOD NA UCET	5887	46372	SIPO	YZ	58726429
2979123	9869	1995-11-07	VYDAJ	PREVOD NA UCET	5887	48251	SIPO	YZ	58726429
2979124	9869	1995-12-07	VYDAJ	PREVOD NA UCET	5887	52846	SIPO	YZ	58726429
2979125	9869	1996-01-07	VYDAJ	PREVOD NA UCET	5887	62821	SIPO	YZ	58726429
2979126	9869	1996-02-07	VYDAJ	PREVOD NA UCET	5887	48507	SIPO	YZ	58726429
2979127	9869	1996-03-07	VYDAJ	PREVOD NA UCET	5887	57025	SIPO	YZ	58726429
2979128	9869	1996-04-07	VYDAJ	PREVOD NA UCET	5887	47544	SIPO	YZ	58726429
2979129	9869	1996-05-07	VYDAJ	PREVOD NA UCET	5887	52654	SIPO	YZ	58726429
2979130	9869	1996-06-07	VYDAJ	PREVOD NA UCET	5887	46465	SIPO	YZ	58726429
2979131	9869	1996-07-07	VYDAJ	PREVOD NA UCET	5887	52391	SIPO	YZ	58726429
2979132	9869	1996-08-07	VYDAJ	PREVOD NA UCET	5887	42435	SIPO	YZ	58726429
2979133	9869	1996-09-07	VYDAJ	PREVOD NA UCET	5887	40839	SIPO	YZ	58726429
2979134	9869	1996-10-07	VYDAJ	PREVOD NA UCET	5887	44616	SIPO	YZ	58726429
2979135	9869	1996-11-07	VYDAJ	PREVOD NA UCET	5887	46710	SIPO	YZ	58726429
2979136	9869	1996-12-07	VYDAJ	PREVOD NA UCET	5887	45712	SIPO	YZ	58726429
2979137	9869	1997-01-07	VYDAJ	PREVOD NA UCET	5887	54926	SIPO	YZ	58726429
2979138	9869	1997-02-07	VYDAJ	PREVOD NA UCET	5887	52364	SIPO	YZ	58726429
2979139	9869	1997-03-07	VYDAJ	PREVOD NA UCET	5887	55489	SIPO	YZ	58726429
2979140	9869	1997-04-07	VYDAJ	PREVOD NA UCET	5887	60127	SIPO	YZ	58726429
2979141	9869	1997-05-07	VYDAJ	PREVOD NA UCET	5887	65783	SIPO	YZ	58726429
2979142	9869	1997-06-07	VYDAJ	PREVOD NA UCET	5887	65760	SIPO	YZ	58726429
2979143	9869	1997-07-07	VYDAJ	PREVOD NA UCET	5887	71560	SIPO	YZ	58726429
2979144	9869	1997-08-07	VYDAJ	PREVOD NA UCET	5887	68769	SIPO	YZ	58726429
2979145	9869	1997-09-07	VYDAJ	PREVOD NA UCET	5887	63953	SIPO	YZ	58726429
2979146	9869	1997-10-07	VYDAJ	PREVOD NA UCET	5887	66421	SIPO	YZ	58726429
2979147	9869	1997-11-07	VYDAJ	PREVOD NA UCET	5887	62889	SIPO	YZ	58726429
2979148	9869	1997-12-07	VYDAJ	PREVOD NA UCET	5887	64847	SIPO	YZ	58726429
2979149	9869	1998-01-07	VYDAJ	PREVOD NA UCET	5887	66467	SIPO	YZ	58726429
2979150	9869	1998-02-07	VYDAJ	PREVOD NA UCET	5887	66141	SIPO	YZ	58726429
2979151	9869	1998-03-07	VYDAJ	PREVOD NA UCET	5887	65012	SIPO	YZ	58726429
2979152	9869	1998-04-07	VYDAJ	PREVOD NA UCET	5887	66480	SIPO	YZ	58726429
2979153	9869	1998-05-07	VYDAJ	PREVOD NA UCET	5887	66954	SIPO	YZ	58726429
2979154	9869	1998-06-07	VYDAJ	PREVOD NA UCET	5887	58488	SIPO	YZ	58726429
2979155	9869	1998-07-07	VYDAJ	PREVOD NA UCET	5887	74951	SIPO	YZ	58726429
2979156	9869	1998-08-07	VYDAJ	PREVOD NA UCET	5887	75257	SIPO	YZ	58726429
2979157	9869	1998-09-07	VYDAJ	PREVOD NA UCET	5887	76264	SIPO	YZ	58726429
2979158	9869	1998-10-07	VYDAJ	PREVOD NA UCET	5887	72595	SIPO	YZ	58726429
2979159	9869	1998-11-07	VYDAJ	PREVOD NA UCET	5887	73690	SIPO	YZ	58726429
2979160	9869	1998-12-07	VYDAJ	PREVOD NA UCET	5887	75188	SIPO	YZ	58726429
2979174	9869	1994-02-06	VYDAJ	PREVOD NA UCET	2498	44274	 	MN	41454464
2979175	9869	1994-03-06	VYDAJ	PREVOD NA UCET	2498	33037	 	MN	41454464
2979176	9869	1994-04-06	VYDAJ	PREVOD NA UCET	2498	30866	 	MN	41454464
2979177	9869	1994-05-06	VYDAJ	PREVOD NA UCET	2498	29046	 	MN	41454464
2979178	9869	1994-06-06	VYDAJ	PREVOD NA UCET	2498	32062	 	MN	41454464
2979179	9869	1994-07-06	VYDAJ	PREVOD NA UCET	2498	37294	 	MN	41454464
2979180	9869	1994-08-06	VYDAJ	PREVOD NA UCET	2498	24457	 	MN	41454464
2979181	9869	1994-09-06	VYDAJ	PREVOD NA UCET	2498	29667	 	MN	41454464
2979182	9869	1994-10-06	VYDAJ	PREVOD NA UCET	2498	23285	 	MN	41454464
2979183	9869	1994-11-06	VYDAJ	PREVOD NA UCET	2498	27196	 	MN	41454464
2979184	9869	1994-12-06	VYDAJ	PREVOD NA UCET	2498	32801	 	MN	41454464
2979185	9869	1995-01-06	VYDAJ	PREVOD NA UCET	2498	41640	 	MN	41454464
2979186	9869	1995-02-06	VYDAJ	PREVOD NA UCET	2498	40620	 	MN	41454464
2979187	9869	1995-03-06	VYDAJ	PREVOD NA UCET	2498	48395	 	MN	41454464
2979188	9869	1995-04-06	VYDAJ	PREVOD NA UCET	2498	42432	 	MN	41454464
2979189	9869	1995-05-06	VYDAJ	PREVOD NA UCET	2498	38026	 	MN	41454464
2979190	9869	1995-06-06	VYDAJ	PREVOD NA UCET	2498	34384	 	MN	41454464
2979191	9869	1995-07-06	VYDAJ	PREVOD NA UCET	2498	59444	 	MN	41454464
2979192	9869	1995-08-06	VYDAJ	PREVOD NA UCET	2498	59350	 	MN	41454464
2979193	9869	1995-09-06	VYDAJ	PREVOD NA UCET	2498	51286	 	MN	41454464
2979194	9869	1995-10-06	VYDAJ	PREVOD NA UCET	2498	52259	 	MN	41454464
2979195	9869	1995-11-06	VYDAJ	PREVOD NA UCET	2498	54138	 	MN	41454464
2979196	9869	1995-12-06	VYDAJ	PREVOD NA UCET	2498	58733	 	MN	41454464
2979197	9869	1996-01-06	VYDAJ	PREVOD NA UCET	2498	68708	 	MN	41454464
2979198	9869	1996-02-06	VYDAJ	PREVOD NA UCET	2498	62694	 	MN	41454464
2979199	9869	1996-03-06	VYDAJ	PREVOD NA UCET	2498	62912	 	MN	41454464
2979200	9869	1996-04-06	VYDAJ	PREVOD NA UCET	2498	63331	 	MN	41454464
2979201	9869	1996-05-06	VYDAJ	PREVOD NA UCET	2498	58541	 	MN	41454464
2979202	9869	1996-06-06	VYDAJ	PREVOD NA UCET	2498	63052	 	MN	41454464
2979203	9869	1996-07-06	VYDAJ	PREVOD NA UCET	2498	58278	 	MN	41454464
2979204	9869	1996-08-06	VYDAJ	PREVOD NA UCET	2498	48322	 	MN	41454464
2979205	9869	1996-09-06	VYDAJ	PREVOD NA UCET	2498	46726	 	MN	41454464
2979206	9869	1996-10-06	VYDAJ	PREVOD NA UCET	2498	50503	 	MN	41454464
2979207	9869	1996-11-06	VYDAJ	PREVOD NA UCET	2498	52597	 	MN	41454464
2979208	9869	1996-12-06	VYDAJ	PREVOD NA UCET	2498	51599	 	MN	41454464
2979209	9869	1997-01-06	VYDAJ	PREVOD NA UCET	2498	60813	 	MN	41454464
2979210	9869	1997-02-06	VYDAJ	PREVOD NA UCET	2498	58251	 	MN	41454464
2979211	9869	1997-03-06	VYDAJ	PREVOD NA UCET	2498	61376	 	MN	41454464
2979212	9869	1997-04-06	VYDAJ	PREVOD NA UCET	2498	66014	 	MN	41454464
2979213	9869	1997-05-06	VYDAJ	PREVOD NA UCET	2498	71670	 	MN	41454464
2979214	9869	1997-06-06	VYDAJ	PREVOD NA UCET	2498	71647	 	MN	41454464
2979215	9869	1997-07-06	VYDAJ	PREVOD NA UCET	2498	77447	 	MN	41454464
2979216	9869	1997-08-06	VYDAJ	PREVOD NA UCET	2498	74656	 	MN	41454464
2979217	9869	1997-09-06	VYDAJ	PREVOD NA UCET	2498	69840	 	MN	41454464
2979218	9869	1997-10-06	VYDAJ	PREVOD NA UCET	2498	72308	 	MN	41454464
2979219	9869	1997-11-06	VYDAJ	PREVOD NA UCET	2498	68776	 	MN	41454464
2979220	9869	1997-12-06	VYDAJ	PREVOD NA UCET	2498	70734	 	MN	41454464
2979221	9869	1998-01-06	VYDAJ	PREVOD NA UCET	2498	72354	 	MN	41454464
2979222	9869	1998-02-06	VYDAJ	PREVOD NA UCET	2498	72028	 	MN	41454464
2979223	9869	1998-03-06	VYDAJ	PREVOD NA UCET	2498	70899	 	MN	41454464
2979224	9869	1998-04-06	VYDAJ	PREVOD NA UCET	2498	72367	 	MN	41454464
2979225	9869	1998-05-06	VYDAJ	PREVOD NA UCET	2498	72841	 	MN	41454464
2979226	9869	1998-06-06	VYDAJ	PREVOD NA UCET	2498	64375	 	MN	41454464
2979227	9869	1998-07-06	VYDAJ	PREVOD NA UCET	2498	80838	 	MN	41454464
2979228	9869	1998-08-06	VYDAJ	PREVOD NA UCET	2498	81144	 	MN	41454464
2979229	9869	1998-09-06	VYDAJ	PREVOD NA UCET	2498	82151	 	MN	41454464
2979230	9869	1998-10-06	VYDAJ	PREVOD NA UCET	2498	78482	 	MN	41454464
2979231	9869	1998-11-06	VYDAJ	PREVOD NA UCET	2498	79577	 	MN	41454464
2979232	9869	1998-12-06	VYDAJ	PREVOD NA UCET	2498	81075	 	MN	41454464
2979246	9869	1994-02-20	VYDAJ	VYBER	6000	35371	\N	\N	0
2979247	9869	1994-03-14	VYDAJ	VYBER	6000	43334	\N	\N	0
2979248	9869	1994-04-13	VYDAJ	VYBER	4600	39923	\N	\N	0
2979249	9869	1994-05-08	VYDAJ	VYBER	5200	17959	\N	\N	0
2979250	9869	1994-06-10	VYDAJ	VYBER	5700	20475	\N	\N	0
2979251	9869	1994-07-14	VYDAJ	VYBER	5200	48391	\N	\N	0
2979252	9869	1994-08-03	VYDAJ	VYBER	6500	26955	\N	\N	0
2979253	9869	1994-09-07	VYDAJ	VYBER	4400	19380	\N	\N	0
2979254	9869	1994-10-03	VYDAJ	VYBER	6300	26623	\N	\N	0
2979255	9869	1994-11-03	VYDAJ	VYBER	4200	29694	\N	\N	0
2979256	9869	1994-12-09	VYDAJ	VYBER	5700	21214	\N	\N	0
2979257	9869	1995-01-12	VYDAJ	VYBER	5600	30153	\N	\N	0
2979258	9869	1995-02-14	VYDAJ	VYBER	6800	50717	\N	\N	0
2979259	9869	1995-03-10	VYDAJ	VYBER	4300	38208	\N	\N	0
2979260	9869	1995-04-12	VYDAJ	PREVOD NA UCET	5526	30059	UVER	CD	29203164
2979261	9869	1995-05-12	VYDAJ	PREVOD NA UCET	5526	26613	UVER	CD	29203164
2979262	9869	1995-06-12	VYDAJ	PREVOD NA UCET	5526	28471	UVER	CD	29203164
2979263	9869	1995-07-12	VYDAJ	PREVOD NA UCET	5526	39431	UVER	CD	29203164
2979264	9869	1995-08-12	VYDAJ	PREVOD NA UCET	5526	37137	UVER	CD	29203164
2979265	9869	1995-09-12	VYDAJ	PREVOD NA UCET	5526	32373	UVER	CD	29203164
2979266	9869	1995-10-12	VYDAJ	PREVOD NA UCET	5526	34246	UVER	CD	29203164
2979267	9869	1995-11-12	VYDAJ	PREVOD NA UCET	5526	38825	UVER	CD	29203164
2979268	9869	1995-12-12	VYDAJ	PREVOD NA UCET	5526	37680	UVER	CD	29203164
2979269	9869	1996-01-12	VYDAJ	PREVOD NA UCET	5526	47195	UVER	CD	29203164
2979270	9869	1996-02-12	VYDAJ	PREVOD NA UCET	5526	42981	UVER	CD	29203164
2979271	9869	1996-03-12	VYDAJ	PREVOD NA UCET	5526	44199	UVER	CD	29203164
2979272	9869	1996-04-12	VYDAJ	PREVOD NA UCET	5526	42018	UVER	CD	29203164
2979273	9869	1996-05-12	VYDAJ	PREVOD NA UCET	5526	43128	UVER	CD	29203164
2979274	9869	1996-06-12	VYDAJ	PREVOD NA UCET	5526	40939	UVER	CD	29203164
2979275	9869	1996-07-12	VYDAJ	PREVOD NA UCET	5526	46865	UVER	CD	29203164
2979276	9869	1996-08-12	VYDAJ	PREVOD NA UCET	5526	36909	UVER	CD	29203164
2979277	9869	1996-09-12	VYDAJ	PREVOD NA UCET	5526	35313	UVER	CD	29203164
2979278	9869	1996-10-12	VYDAJ	PREVOD NA UCET	5526	39090	UVER	CD	29203164
2979279	9869	1996-11-12	VYDAJ	PREVOD NA UCET	5526	41184	UVER	CD	29203164
2979280	9869	1996-12-12	VYDAJ	PREVOD NA UCET	5526	37986	UVER	CD	29203164
2979281	9869	1997-01-12	VYDAJ	PREVOD NA UCET	5526	49400	UVER	CD	29203164
2979282	9869	1997-02-12	VYDAJ	PREVOD NA UCET	5526	46838	UVER	CD	29203164
2979283	9869	1997-03-12	VYDAJ	PREVOD NA UCET	5526	49963	UVER	CD	29203164
2979284	9869	1997-04-12	VYDAJ	PREVOD NA UCET	5526	54601	UVER	CD	29203164
2979285	9869	1997-05-12	VYDAJ	PREVOD NA UCET	5526	60257	UVER	CD	29203164
2979286	9869	1997-06-12	VYDAJ	PREVOD NA UCET	5526	60234	UVER	CD	29203164
2979287	9869	1997-07-12	VYDAJ	PREVOD NA UCET	5526	66034	UVER	CD	29203164
2979288	9869	1997-08-12	VYDAJ	PREVOD NA UCET	5526	63243	UVER	CD	29203164
2979289	9869	1997-09-12	VYDAJ	PREVOD NA UCET	5526	58427	UVER	CD	29203164
2979290	9869	1997-10-12	VYDAJ	PREVOD NA UCET	5526	60895	UVER	CD	29203164
2979291	9869	1997-11-12	VYDAJ	PREVOD NA UCET	5526	57363	UVER	CD	29203164
2979292	9869	1997-12-12	VYDAJ	PREVOD NA UCET	5526	59321	UVER	CD	29203164
2979293	9869	1998-01-12	VYDAJ	PREVOD NA UCET	5526	60941	UVER	CD	29203164
2979294	9869	1998-02-12	VYDAJ	PREVOD NA UCET	5526	60615	UVER	CD	29203164
2979295	9869	1998-03-12	VYDAJ	PREVOD NA UCET	5526	59486	UVER	CD	29203164
2979296	9869	1998-04-12	VYDAJ	PREVOD NA UCET	5526	60954	UVER	CD	29203164
2979297	9869	1998-05-12	VYDAJ	PREVOD NA UCET	5526	61428	UVER	CD	29203164
2979298	9869	1998-06-12	VYDAJ	PREVOD NA UCET	5526	52962	UVER	CD	29203164
2979299	9869	1998-07-12	VYDAJ	PREVOD NA UCET	5526	69425	UVER	CD	29203164
2979300	9869	1998-08-12	VYDAJ	PREVOD NA UCET	5526	69731	UVER	CD	29203164
2979301	9869	1998-09-12	VYDAJ	PREVOD NA UCET	5526	70738	UVER	CD	29203164
2979302	9869	1998-10-12	VYDAJ	PREVOD NA UCET	5526	67069	UVER	CD	29203164
2979303	9869	1998-11-12	VYDAJ	PREVOD NA UCET	5526	68164	UVER	CD	29203164
2979304	9869	1998-12-12	VYDAJ	PREVOD NA UCET	5526	69662	UVER	CD	29203164
2979306	9869	1994-12-01	VYDAJ	VYBER	2720	35299	\N	\N	\N
2979307	9869	1995-12-07	VYDAJ	VYBER	3840	49006	\N	\N	\N
2979308	9869	1996-12-09	VYDAJ	VYBER KARTOU	2200	43512	\N	\N	0
2979309	9869	1997-12-28	VYDAJ	VYBER KARTOU	2400	74537	\N	\N	0
2979310	9869	1998-12-27	VYDAJ	VYBER KARTOU	2400	85338	\N	\N	0
2979317	9869	1994-07-27	VYDAJ	VYBER	5280	33311	\N	\N	\N
2979318	9869	1994-02-18	VYDAJ	VYBER	4200	41371	\N	\N	\N
2979319	9869	1994-04-11	VYDAJ	VYBER	2640	22339	\N	\N	\N
2979320	9869	1994-10-06	VYDAJ	VYBER	840	25783	\N	\N	\N
2979321	9869	1994-09-19	VYDAJ	VYBER	3960	32804	\N	\N	\N
2979322	9869	1995-05-31	VYDAJ	VYBER	5280	36882	\N	\N	\N
2979323	9869	1995-03-19	VYDAJ	VYBER	1920	46072	\N	\N	\N
2979324	9869	1995-08-29	VYDAJ	VYBER	5760	53561	\N	\N	\N
2979325	9869	1995-03-26	VYDAJ	VYBER	1320	44752	\N	\N	\N
2979326	9869	1995-04-08	VYDAJ	VYBER	960	35585	\N	\N	\N
2979327	9869	1996-08-24	VYDAJ	VYBER	4680	54413	\N	\N	\N
2979328	9869	1996-07-21	VYDAJ	VYBER	5880	63169	\N	\N	\N
2979329	9869	1996-01-18	VYDAJ	VYBER	4440	64939	\N	\N	\N
2979330	9869	1996-04-20	VYDAJ	VYBER KARTOU	3400	60802	\N	\N	0
2979331	9869	1996-07-21	VYDAJ	VYBER KARTOU	1200	61969	\N	\N	0
2979332	9869	1996-03-29	VYDAJ	VYBER KARTOU	800	65583	\N	\N	0
2979333	9869	1997-08-17	VYDAJ	VYBER KARTOU	1100	84327	\N	\N	0
2979334	9869	1997-12-21	VYDAJ	VYBER	4560	88037	\N	\N	\N
2979335	9869	1997-05-27	VYDAJ	VYBER KARTOU	3400	79041	\N	\N	0
2979336	9869	1997-02-04	VYDAJ	VYBER KARTOU	2200	60749	\N	\N	0
2979337	9869	1997-10-19	VYDAJ	VYBER KARTOU	3000	80079	\N	\N	0
2979338	9869	1997-10-22	VYDAJ	VYBER KARTOU	3000	77079	\N	\N	0
2979339	9869	1997-11-20	VYDAJ	VYBER KARTOU	2500	77047	\N	\N	0
2979340	9869	1998-06-04	VYDAJ	VYBER	4320	66873	\N	\N	\N
2979341	9869	1998-06-16	VYDAJ	VYBER KARTOU	1400	84838	\N	\N	0
2979342	9869	1998-05-30	VYDAJ	VYBER	5520	70892	\N	\N	\N
2979343	9869	1998-12-13	VYDAJ	VYBER KARTOU	4000	98938	\N	\N	0
2979344	9869	1998-10-15	VYDAJ	VYBER KARTOU	2400	86853	\N	\N	0
2979345	9869	1998-10-03	VYDAJ	VYBER	5280	80980	\N	\N	\N
2979346	9869	1998-03-22	VYDAJ	VYBER KARTOU	600	81070	\N	\N	0
2979360	9869	1994-01-31	VYDAJ	VYBER	15	46772	SLUZBY	\N	\N
2979361	9869	1994-02-28	VYDAJ	VYBER	15	35535	SLUZBY	\N	\N
2979362	9869	1994-03-31	VYDAJ	VYBER	15	33364	SLUZBY	\N	\N
2979363	9869	1994-04-30	VYDAJ	VYBER	15	31544	SLUZBY	\N	\N
2979364	9869	1994-05-31	VYDAJ	VYBER	15	34560	SLUZBY	\N	\N
2979365	9869	1994-06-30	VYDAJ	VYBER	15	39792	SLUZBY	\N	\N
2979366	9869	1994-07-31	VYDAJ	VYBER	15	33455	SLUZBY	\N	\N
2979367	9869	1994-08-31	VYDAJ	VYBER	15	32165	SLUZBY	\N	\N
2979368	9869	1994-09-30	VYDAJ	VYBER	15	32923	SLUZBY	\N	\N
2979369	9869	1994-10-31	VYDAJ	VYBER	15	33894	SLUZBY	\N	\N
2979370	9869	1994-11-30	VYDAJ	VYBER	15	38019	SLUZBY	\N	\N
2979371	9869	1994-12-31	VYDAJ	VYBER	15	44138	SLUZBY	\N	\N
2979372	9869	1995-01-31	VYDAJ	VYBER	15	43118	SLUZBY	\N	\N
2979373	9869	1995-02-28	VYDAJ	VYBER	15	50893	SLUZBY	\N	\N
2979374	9869	1995-03-31	VYDAJ	VYBER	15	44930	SLUZBY	\N	\N
2979375	9869	1995-04-30	VYDAJ	VYBER	15	40524	SLUZBY	\N	\N
2979376	9869	1995-05-31	VYDAJ	VYBER	15	42162	SLUZBY	\N	\N
2979377	9869	1995-06-30	VYDAJ	VYBER	15	61942	SLUZBY	\N	\N
2979378	9869	1995-07-31	VYDAJ	VYBER	15	61848	SLUZBY	\N	\N
2979379	9869	1995-08-31	VYDAJ	VYBER	15	53784	SLUZBY	\N	\N
2979380	9869	1995-09-30	VYDAJ	VYBER	15	54757	SLUZBY	\N	\N
2979381	9869	1995-10-31	VYDAJ	VYBER	15	56636	SLUZBY	\N	\N
2979382	9869	1995-11-30	VYDAJ	VYBER	15	61231	SLUZBY	\N	\N
2979383	9869	1995-12-31	VYDAJ	VYBER	15	71206	SLUZBY	\N	\N
2979384	9869	1996-01-31	VYDAJ	VYBER	15	65192	SLUZBY	\N	\N
2979385	9869	1996-02-29	VYDAJ	VYBER	15	65410	SLUZBY	\N	\N
2979386	9869	1996-03-31	VYDAJ	VYBER	15	65829	SLUZBY	\N	\N
2979387	9869	1996-04-30	VYDAJ	VYBER	15	61039	SLUZBY	\N	\N
2979388	9869	1996-05-31	VYDAJ	VYBER	15	65550	SLUZBY	\N	\N
2979389	9869	1996-06-30	VYDAJ	VYBER	15	74476	SLUZBY	\N	\N
2979390	9869	1996-07-31	VYDAJ	VYBER	15	62220	SLUZBY	\N	\N
2979391	9869	1996-08-31	VYDAJ	VYBER	15	54624	SLUZBY	\N	\N
2979392	9869	1996-09-30	VYDAJ	VYBER	15	57701	SLUZBY	\N	\N
2979393	9869	1996-10-31	VYDAJ	VYBER	15	61495	SLUZBY	\N	\N
2979394	9869	1996-11-30	VYDAJ	VYBER	15	63597	SLUZBY	\N	\N
2979395	9869	1996-12-31	VYDAJ	VYBER	15	71511	SLUZBY	\N	\N
2979396	9869	1997-01-31	VYDAJ	VYBER	15	71849	SLUZBY	\N	\N
2979397	9869	1997-02-28	VYDAJ	VYBER	15	69274	SLUZBY	\N	\N
2979398	9869	1997-03-31	VYDAJ	VYBER	15	72412	SLUZBY	\N	\N
2979399	9869	1997-04-30	VYDAJ	VYBER	15	77068	SLUZBY	\N	\N
2979400	9869	1997-05-31	VYDAJ	VYBER	15	79345	SLUZBY	\N	\N
2979401	9869	1997-06-30	VYDAJ	VYBER	15	93845	SLUZBY	\N	\N
2979402	9869	1997-07-31	VYDAJ	VYBER	15	77154	SLUZBY	\N	\N
2979403	9869	1997-08-31	VYDAJ	VYBER	15	72338	SLUZBY	\N	\N
2979404	9869	1997-09-30	VYDAJ	VYBER	15	74806	SLUZBY	\N	\N
2979405	9869	1997-10-31	VYDAJ	VYBER	15	71274	SLUZBY	\N	\N
2979406	9869	1997-11-30	VYDAJ	VYBER	15	73232	SLUZBY	\N	\N
2979407	9869	1997-12-31	VYDAJ	VYBER	15	74852	SLUZBY	\N	\N
2979408	9869	1998-01-31	VYDAJ	VYBER	15	74526	SLUZBY	\N	\N
2979409	9869	1998-02-28	VYDAJ	VYBER	15	73397	SLUZBY	\N	\N
2979410	9869	1998-03-31	VYDAJ	VYBER	15	74865	SLUZBY	\N	\N
2979411	9869	1998-04-30	VYDAJ	VYBER	15	75339	SLUZBY	\N	\N
2979412	9869	1998-05-31	VYDAJ	VYBER	15	71193	SLUZBY	\N	\N
2979413	9869	1998-06-30	VYDAJ	VYBER	15	83336	SLUZBY	\N	\N
2979414	9869	1998-07-31	VYDAJ	VYBER	15	83642	SLUZBY	\N	\N
2979415	9869	1998-08-31	VYDAJ	VYBER	15	84649	SLUZBY	\N	\N
2979416	9869	1998-09-30	VYDAJ	VYBER	15	86260	SLUZBY	\N	\N
2979417	9869	1998-10-31	VYDAJ	VYBER	15	82075	SLUZBY	\N	\N
2979418	9869	1998-11-30	VYDAJ	VYBER	15	83573	SLUZBY	\N	\N
2979419	9869	1993-09-20	PRIJEM	VKLAD	700	23784	\N	\N	\N
2979420	9869	1993-10-20	VYDAJ	VYBER	13100	32904	\N	\N	\N
2979421	9869	1993-11-19	VYDAJ	VYBER	16700	38502	\N	\N	\N
2979422	9869	1993-12-19	VYDAJ	VYBER	23000	48925	\N	\N	\N
2979423	9869	1994-01-18	VYDAJ	VYBER	24700	46587	\N	\N	\N
2979424	9869	1994-02-17	VYDAJ	VYBER	15000	45571	\N	\N	\N
2979425	9869	1994-03-19	VYDAJ	VYBER	10100	33234	\N	\N	\N
2979426	9869	1994-04-18	VYDAJ	VYBER	8500	31423	\N	\N	\N
2979427	9869	1994-05-18	VYDAJ	VYBER	5700	34443	\N	\N	\N
2979428	9869	1994-06-17	VYDAJ	VYBER	14100	39651	\N	\N	\N
2979429	9869	1994-07-17	VYDAJ	VYBER	9800	38591	\N	\N	\N
2979430	9869	1994-08-16	VYDAJ	VYBER	8700	32054	\N	\N	\N
2979431	9869	1994-09-15	VYDAJ	VYBER	4800	36764	\N	\N	\N
2979432	9869	1994-10-15	VYDAJ	VYBER	5800	33782	\N	\N	\N
2979433	9869	1994-11-14	VYDAJ	VYBER	5600	37893	\N	\N	\N
2979434	9869	1994-12-14	VYDAJ	VYBER	10500	43990	\N	\N	\N
2979435	9869	1995-01-13	VYDAJ	VYBER	9400	42937	\N	\N	\N
2979436	9869	1995-02-12	PRIJEM	VKLAD	600	35333	\N	\N	\N
2979437	9869	1995-03-14	VYDAJ	VYBER	12400	47992	\N	\N	\N
2979438	9869	1995-04-13	VYDAJ	VYBER	11900	40343	\N	\N	\N
2979439	9869	1995-05-13	VYDAJ	VYBER	6800	41997	\N	\N	\N
2979440	9869	1995-06-12	PRIJEM	VKLAD	5500	33997	\N	\N	\N
2979441	9869	1995-07-12	VYDAJ	VYBER	8600	44957	\N	\N	\N
2979442	9869	1995-08-11	VYDAJ	VYBER	10800	42663	\N	\N	\N
2979443	9869	1995-09-10	VYDAJ	VYBER	7500	37899	\N	\N	\N
2979444	9869	1995-10-10	VYDAJ	VYBER	6600	39772	\N	\N	\N
2979445	9869	1995-11-09	VYDAJ	VYBER	3900	44351	\N	\N	\N
2979446	9869	1995-12-09	VYDAJ	VYBER	5800	43206	\N	\N	\N
2979447	9869	1996-01-08	VYDAJ	VYBER	10100	52721	\N	\N	\N
2979448	9869	1996-02-07	VYDAJ	VYBER	8300	54394	\N	\N	\N
2979449	9869	1996-03-08	VYDAJ	VYBER	7300	49725	\N	\N	\N
2979450	9869	1996-04-07	VYDAJ	VYBER	9900	53431	\N	\N	\N
2979451	9869	1996-05-07	VYDAJ	VYBER KARTOU	4000	48654	\N	\N	0
2979452	9869	1996-06-06	VYDAJ	VYBER	10700	52352	\N	\N	\N
2979453	9869	1996-07-06	VYDAJ	VYBER	13700	60776	\N	\N	\N
2979454	9869	1996-08-05	VYDAJ	VYBER	11400	50820	\N	\N	\N
2979455	9869	1996-09-04	VYDAJ	VYBER	5400	49224	\N	\N	\N
2979456	9869	1996-10-04	VYDAJ	VYBER	4700	53001	\N	\N	\N
2979457	9869	1996-11-03	VYDAJ	VYBER	6400	55095	\N	\N	\N
2979458	9869	1996-12-03	VYDAJ	VYBER	9500	54097	\N	\N	\N
2979459	9869	1997-01-02	VYDAJ	VYBER	8200	63311	\N	\N	\N
2979460	9869	1997-02-01	VYDAJ	VYBER	8900	62949	\N	\N	\N
2979461	9869	1997-03-03	VYDAJ	VYBER	5400	63874	\N	\N	\N
2979462	9869	1997-04-02	VYDAJ	VYBER KARTOU	3900	68512	\N	\N	0
2979463	9869	1997-05-02	VYDAJ	VYBER KARTOU	2900	74168	\N	\N	0
2979464	9869	1997-06-01	VYDAJ	VYBER	5200	74145	\N	\N	\N
2979465	9869	1997-07-01	VYDAJ	VYBER	13900	79945	\N	\N	\N
2979466	9869	1997-07-31	VYDAJ	VYBER	11400	77169	\N	\N	\N
2979467	9869	1997-08-30	VYDAJ	VYBER	12300	72027	\N	\N	\N
2979468	9869	1997-09-29	VYDAJ	VYBER	6100	74511	\N	\N	\N
2979469	9869	1997-10-29	VYDAJ	VYBER	6100	70979	\N	\N	\N
2979470	9869	1997-11-28	VYDAJ	VYBER	4100	72947	\N	\N	\N
2979471	9869	1997-12-28	VYDAJ	VYBER	11100	76937	\N	\N	\N
2979472	9869	1998-01-27	VYDAJ	VYBER	8900	74225	\N	\N	\N
2979473	9869	1998-02-26	VYDAJ	VYBER	9700	73099	\N	\N	\N
2979474	9869	1998-03-28	VYDAJ	VYBER	6500	74570	\N	\N	\N
2979475	9869	1998-04-27	VYDAJ	VYBER	8100	75038	\N	\N	\N
2979476	9869	1998-05-27	VYDAJ	VYBER	7200	76412	\N	\N	\N
2979477	9869	1998-06-26	VYDAJ	VYBER KARTOU	1800	83038	\N	\N	0
2979478	9869	1998-07-26	VYDAJ	VYBER	8300	83309	\N	\N	\N
2979479	9869	1998-08-25	VYDAJ	VYBER	7600	84315	\N	\N	\N
2979480	9869	1998-09-24	VYDAJ	VYBER	7000	85922	\N	\N	\N
2979481	9869	1998-10-24	VYDAJ	VYBER	5100	81753	\N	\N	\N
2979482	9869	1998-11-23	VYDAJ	VYBER	7100	83248	\N	\N	\N
2979483	9869	1998-12-23	VYDAJ	VYBER	11200	87738	\N	\N	\N
2984138	9883	1993-03-19	PRIJEM	VKLAD	500	500	\N	\N	\N
2984139	9883	1993-08-10	PRIJEM	VKLAD	7604	31504	\N	\N	\N
2984140	9883	1994-11-11	PRIJEM	VKLAD	25611	62925	\N	\N	\N
2984141	9883	1994-12-11	PRIJEM	VKLAD	16410	36425	\N	\N	\N
2984142	9883	1994-06-17	PRIJEM	VKLAD	15531	36382	\N	\N	\N
2984143	9883	1994-09-10	PRIJEM	VKLAD	47440	82773	\N	\N	\N
2984144	9883	1994-08-22	PRIJEM	VKLAD	40557	49600	\N	\N	\N
2984145	9883	1994-05-17	PRIJEM	VKLAD	9466	61835	\N	\N	\N
2984146	9883	1994-03-11	PRIJEM	VKLAD	29896	105873	\N	\N	\N
2984147	9883	1994-02-24	PRIJEM	VKLAD	13475	103860	\N	\N	\N
2984148	9883	1994-09-14	PRIJEM	VKLAD	20554	78321	\N	\N	\N
2984149	9883	1994-07-04	PRIJEM	VKLAD	15633	52156	\N	\N	\N
2984150	9883	1994-08-31	PRIJEM	VKLAD	6159	35234	\N	\N	\N
2984151	9883	1994-12-13	PRIJEM	VKLAD	31741	68166	\N	\N	\N
2984152	9883	1994-10-13	PRIJEM	VKLAD	22048	74976	\N	\N	\N
2984153	9883	1994-12-21	PRIJEM	VKLAD	47939	101821	\N	\N	\N
2984154	9883	1994-07-25	PRIJEM	VKLAD	16588	41547	\N	\N	\N
2984155	9883	1994-03-29	PRIJEM	VKLAD	32653	76842	\N	\N	\N
2984156	9883	1994-02-19	PRIJEM	VKLAD	48755	82842	\N	\N	\N
2984157	9883	1994-01-19	PRIJEM	VKLAD	49805	111223	\N	\N	\N
2984158	9883	1994-05-03	PRIJEM	VKLAD	46965	99186	\N	\N	\N
2984159	9883	1994-01-16	PRIJEM	VKLAD	23263	61418	\N	\N	\N
2984160	9883	1994-01-11	PRIJEM	VKLAD	29152	52555	\N	\N	\N
2984161	9883	1994-02-22	PRIJEM	VKLAD	7543	90385	\N	\N	\N
2984162	9883	1994-09-11	PRIJEM	VKLAD	19091	72051	\N	\N	\N
2984163	9883	1994-10-11	PRIJEM	VKLAD	19765	52928	\N	\N	\N
2984164	9883	1994-04-01	PRIJEM	VKLAD	18984	96067	\N	\N	\N
2984165	9883	1995-09-27	PRIJEM	VKLAD	19115	18502	\N	\N	\N
2984166	9883	1995-06-11	PRIJEM	VKLAD	10376	10317	\N	\N	\N
2984167	9883	1995-11-10	PRIJEM	VKLAD	39366	65399	\N	\N	\N
2984168	9883	1995-10-13	PRIJEM	VKLAD	31474	50967	\N	\N	\N
2984169	9883	1995-02-17	PRIJEM	VKLAD	38720	53483	\N	\N	\N
2984170	9883	1995-01-08	PRIJEM	VKLAD	20930	112795	\N	\N	\N
2984171	9883	1995-08-01	PRIJEM	VKLAD	36304	42372	\N	\N	\N
2984172	9883	1995-02-10	PRIJEM	VKLAD	21538	29760	\N	\N	\N
2984173	9883	1996-11-27	PRIJEM	VKLAD	26687	65076	\N	\N	\N
2984174	9883	1996-03-02	PRIJEM	VKLAD	6172	29565	\N	\N	\N
2984175	9883	1996-11-30	PRIJEM	VKLAD	14022	60798	\N	\N	\N
2984176	9883	1996-11-24	PRIJEM	VKLAD	39601	38389	\N	\N	\N
2984177	9883	1996-07-23	PRIJEM	VKLAD	21613	32470	\N	\N	\N
2984178	9883	1996-02-29	PRIJEM	VKLAD	33493	42692	\N	\N	\N
2984179	9883	1996-01-29	PRIJEM	VKLAD	16854	24886	\N	\N	\N
2984180	9883	1996-03-16	PRIJEM	VKLAD	37533	47901	\N	\N	\N
2984181	9883	1997-09-19	PRIJEM	VKLAD	43223	63591	\N	\N	\N
2984182	9883	1997-08-26	PRIJEM	VKLAD	30001	74647	\N	\N	\N
2984183	9883	1997-11-19	PRIJEM	VKLAD	37361	46348	\N	\N	\N
2984184	9883	1997-12-09	PRIJEM	VKLAD	48285	77233	\N	\N	\N
2984185	9883	1997-05-11	PRIJEM	VKLAD	31257	91681	\N	\N	\N
2984186	9883	1997-01-27	PRIJEM	VKLAD	32391	54651	\N	\N	\N
2984187	9883	1997-08-17	PRIJEM	VKLAD	14618	26098	\N	\N	\N
2984188	9883	1997-03-01	PRIJEM	VKLAD	30321	52560	\N	\N	\N
2984189	9883	1997-05-02	PRIJEM	VKLAD	20088	61137	\N	\N	\N
2984190	9883	1997-07-24	PRIJEM	VKLAD	26487	27620	\N	\N	\N
2984191	9883	1997-04-08	PRIJEM	VKLAD	48010	73561	\N	\N	\N
2984192	9883	1997-01-01	PRIJEM	VKLAD	29605	60957	\N	\N	\N
2984193	9883	1997-08-20	PRIJEM	VKLAD	47443	73541	\N	\N	\N
2984194	9883	1998-11-07	PRIJEM	VKLAD	49320	150917	\N	\N	\N
2984195	9883	1998-02-03	PRIJEM	VKLAD	31075	54371	\N	\N	\N
2984196	9883	1998-01-05	PRIJEM	VKLAD	24026	72373	\N	\N	\N
2984197	9883	1998-09-25	PRIJEM	VKLAD	47523	74459	\N	\N	\N
2984198	9883	1998-10-31	PRIJEM	VKLAD	28906	101612	\N	\N	\N
2984199	9883	1998-07-08	PRIJEM	VKLAD	18071	51666	\N	\N	\N
2984200	9883	1998-05-29	PRIJEM	VKLAD	48536	88647	\N	\N	\N
2984201	9883	1998-05-21	PRIJEM	VKLAD	12045	65311	\N	\N	\N
2984202	9883	1998-05-01	PRIJEM	VKLAD	14982	24390	\N	\N	\N
2984203	9883	1998-10-13	PRIJEM	VKLAD	31140	120595	\N	\N	\N
2984204	9883	1998-10-08	PRIJEM	VKLAD	16619	90168	\N	\N	\N
2984205	9883	1998-05-18	PRIJEM	VKLAD	43873	53266	\N	\N	\N
2984206	9883	1998-10-21	PRIJEM	VKLAD	23215	42626	\N	\N	\N
2984207	9883	1998-12-27	PRIJEM	VKLAD	31283	45850	\N	\N	\N
2984208	9883	1998-01-01	PRIJEM	VKLAD	27260	50747	\N	\N	\N
2984209	9883	1998-10-25	PRIJEM	VKLAD	43888	86514	\N	\N	\N
2984210	9883	1998-03-25	PRIJEM	VKLAD	16538	24307	\N	\N	\N
2984211	9883	1998-11-16	PRIJEM	VKLAD	44887	129307	\N	\N	\N
2984212	9883	1998-10-05	PRIJEM	VKLAD	47963	122549	\N	\N	\N
2984213	9883	1998-09-15	PRIJEM	VKLAD	34612	42036	\N	\N	\N
2984214	9883	1998-08-01	PRIJEM	VKLAD	17649	37341	\N	\N	\N
2984301	9883	1994-03-10	VYDAJ	PREVOD NA UCET	713	75977	SIPO	CD	27317208
2984302	9883	1994-04-10	VYDAJ	PREVOD NA UCET	713	95354	SIPO	CD	27317208
2984303	9883	1994-05-10	VYDAJ	PREVOD NA UCET	713	98473	SIPO	CD	27317208
2984304	9883	1994-06-10	VYDAJ	PREVOD NA UCET	713	43435	SIPO	CD	27317208
2984305	9883	1994-07-10	VYDAJ	PREVOD NA UCET	713	51443	SIPO	CD	27317208
2984306	9883	1994-08-10	VYDAJ	PREVOD NA UCET	713	23927	SIPO	CD	27317208
2984307	9883	1994-09-10	VYDAJ	PREVOD NA UCET	713	52960	SIPO	CD	27317208
2984308	9883	1994-10-10	VYDAJ	PREVOD NA UCET	713	47263	SIPO	CD	27317208
2984309	9883	1994-11-10	VYDAJ	PREVOD NA UCET	713	37314	SIPO	CD	27317208
2984310	9883	1994-12-10	VYDAJ	PREVOD NA UCET	713	20015	SIPO	CD	27317208
2984311	9883	1995-01-10	VYDAJ	PREVOD NA UCET	713	28082	SIPO	CD	27317208
2984312	9883	1995-02-10	VYDAJ	PREVOD NA UCET	713	29047	SIPO	CD	27317208
2984313	9883	1995-03-10	VYDAJ	PREVOD NA UCET	713	30556	SIPO	CD	27317208
2984314	9883	1995-04-10	VYDAJ	PREVOD NA UCET	713	17390	SIPO	CD	27317208
2984315	9883	1995-05-10	VYDAJ	PREVOD NA UCET	713	2443	SIPO	CD	27317208
2984316	9883	1995-06-10	VYDAJ	PREVOD NA UCET	713	-59	SIPO	CD	27317208
2984317	9883	1995-07-10	VYDAJ	PREVOD NA UCET	713	7834	SIPO	CD	27317208
2984318	9883	1995-08-10	VYDAJ	PREVOD NA UCET	713	21159	SIPO	CD	27317208
2984319	9883	1995-09-10	VYDAJ	PREVOD NA UCET	713	11891	SIPO	CD	27317208
2984320	9883	1995-10-10	VYDAJ	PREVOD NA UCET	713	19493	SIPO	CD	27317208
2984321	9883	1995-11-10	VYDAJ	PREVOD NA UCET	713	64686	SIPO	CD	27317208
2984322	9883	1995-12-10	VYDAJ	PREVOD NA UCET	713	35694	SIPO	CD	27317208
2984323	9883	1996-01-10	VYDAJ	PREVOD NA UCET	713	22316	SIPO	CD	27317208
2984324	9883	1996-02-10	VYDAJ	PREVOD NA UCET	713	23419	SIPO	CD	27317208
2984325	9883	1996-03-10	VYDAJ	PREVOD NA UCET	713	24652	SIPO	CD	27317208
2984326	9883	1996-04-10	VYDAJ	PREVOD NA UCET	713	17311	SIPO	CD	27317208
2984327	9883	1996-05-10	VYDAJ	PREVOD NA UCET	713	2367	SIPO	CD	27317208
2984328	9883	1996-06-10	VYDAJ	PREVOD NA UCET	713	-136	SIPO	CD	27317208
2984329	9883	1996-07-10	VYDAJ	PREVOD NA UCET	713	12637	SIPO	CD	27317208
2984330	9883	1996-08-10	VYDAJ	PREVOD NA UCET	713	28098	SIPO	CD	27317208
2984331	9883	1996-09-10	VYDAJ	PREVOD NA UCET	713	18827	SIPO	CD	27317208
2984332	9883	1996-10-10	VYDAJ	PREVOD NA UCET	713	13464	SIPO	CD	27317208
2984333	9883	1996-11-10	VYDAJ	PREVOD NA UCET	713	13072	SIPO	CD	27317208
2984334	9883	1996-12-10	VYDAJ	PREVOD NA UCET	713	55632	SIPO	CD	27317208
2984335	9883	1997-01-10	VYDAJ	PREVOD NA UCET	713	40444	SIPO	CD	27317208
2984336	9883	1997-02-10	VYDAJ	PREVOD NA UCET	713	40482	SIPO	CD	27317208
2984337	9883	1997-03-10	VYDAJ	PREVOD NA UCET	713	51847	SIPO	CD	27317208
2984338	9883	1997-04-10	VYDAJ	PREVOD NA UCET	713	72848	SIPO	CD	27317208
2984339	9883	1997-05-10	VYDAJ	PREVOD NA UCET	713	60424	SIPO	CD	27317208
2984340	9883	1997-06-10	VYDAJ	PREVOD NA UCET	713	29420	SIPO	CD	27317208
2984341	9883	1997-07-10	VYDAJ	PREVOD NA UCET	713	15417	SIPO	CD	27317208
2984342	9883	1997-08-10	VYDAJ	PREVOD NA UCET	713	25764	SIPO	CD	27317208
2984343	9883	1997-09-10	VYDAJ	PREVOD NA UCET	713	34652	SIPO	CD	27317208
2984344	9883	1997-10-10	VYDAJ	PREVOD NA UCET	713	43247	SIPO	CD	27317208
2984345	9883	1997-11-10	VYDAJ	PREVOD NA UCET	713	23271	SIPO	CD	27317208
2984346	9883	1997-12-10	VYDAJ	PREVOD NA UCET	713	76520	SIPO	CD	27317208
2984347	9883	1998-01-10	VYDAJ	PREVOD NA UCET	713	55460	SIPO	CD	27317208
2984348	9883	1998-02-10	VYDAJ	PREVOD NA UCET	713	37649	SIPO	CD	27317208
2984349	9883	1998-03-10	VYDAJ	PREVOD NA UCET	713	22053	SIPO	CD	27317208
2984350	9883	1998-04-10	VYDAJ	PREVOD NA UCET	713	23647	SIPO	CD	27317208
2984351	9883	1998-05-10	VYDAJ	PREVOD NA UCET	713	23677	SIPO	CD	27317208
2984352	9883	1998-06-10	VYDAJ	PREVOD NA UCET	713	70449	SIPO	CD	27317208
2984353	9883	1998-07-10	VYDAJ	PREVOD NA UCET	713	50953	SIPO	CD	27317208
2984354	9883	1998-08-10	VYDAJ	PREVOD NA UCET	713	36628	SIPO	CD	27317208
2984355	9883	1998-09-10	VYDAJ	PREVOD NA UCET	713	21708	SIPO	CD	27317208
2984356	9883	1998-10-10	VYDAJ	PREVOD NA UCET	713	89455	SIPO	CD	27317208
2984357	9883	1998-11-10	VYDAJ	PREVOD NA UCET	713	98704	SIPO	CD	27317208
2984358	9883	1998-12-10	VYDAJ	PREVOD NA UCET	713	28851	SIPO	CD	27317208
2984373	9883	1994-03-13	VYDAJ	PREVOD NA UCET	1780	81493	 	CD	12663782
2984374	9883	1994-04-13	VYDAJ	PREVOD NA UCET	1780	64474	 	CD	12663782
2984375	9883	1994-05-13	VYDAJ	PREVOD NA UCET	1780	64873	 	CD	12663782
2984376	9883	1994-06-13	VYDAJ	PREVOD NA UCET	1780	33355	 	CD	12663782
2984377	9883	1994-07-13	VYDAJ	PREVOD NA UCET	1780	37463	 	CD	12663782
2984378	9883	1994-08-13	VYDAJ	PREVOD NA UCET	1780	21547	 	CD	12663782
2984379	9883	1994-09-13	VYDAJ	PREVOD NA UCET	1780	70271	 	CD	12663782
2984380	9883	1994-10-13	VYDAJ	PREVOD NA UCET	1780	73196	 	CD	12663782
2984381	9883	1994-11-13	VYDAJ	PREVOD NA UCET	1780	61145	 	CD	12663782
2984382	9883	1994-12-13	VYDAJ	PREVOD NA UCET	1780	53882	 	CD	12663782
2984383	9883	1995-01-13	VYDAJ	PREVOD NA UCET	1780	20602	 	CD	12663782
2984384	9883	1995-02-13	VYDAJ	PREVOD NA UCET	1780	14763	 	CD	12663782
2984385	9883	1995-03-13	VYDAJ	PREVOD NA UCET	1780	28776	 	CD	12663782
2984386	9883	1995-04-13	VYDAJ	PREVOD NA UCET	1780	3106	 	CD	12663782
2984387	9883	1995-05-13	VYDAJ	PREVOD NA UCET	1780	663	 	CD	12663782
2984388	9883	1995-06-13	VYDAJ	PREVOD NA UCET	1780	8537	 	CD	12663782
2984389	9883	1995-07-13	VYDAJ	PREVOD NA UCET	1780	6054	 	CD	12663782
2984390	9883	1995-08-13	VYDAJ	PREVOD NA UCET	1780	6875	 	CD	12663782
2984392	9883	1995-10-13	VYDAJ	PREVOD NA UCET	1780	36683	 	CD	12663782
2984393	9883	1995-11-13	VYDAJ	PREVOD NA UCET	1780	50402	 	CD	12663782
2984394	9883	1995-12-13	VYDAJ	PREVOD NA UCET	1780	21410	 	CD	12663782
2984395	9883	1996-01-13	VYDAJ	PREVOD NA UCET	1780	8032	 	CD	12663782
2984396	9883	1996-02-13	VYDAJ	PREVOD NA UCET	1780	9135	 	CD	12663782
2984397	9883	1996-03-13	VYDAJ	PREVOD NA UCET	1780	22872	 	CD	12663782
2984398	9883	1996-04-13	VYDAJ	PREVOD NA UCET	1780	15531	 	CD	12663782
2984399	9883	1996-05-13	VYDAJ	PREVOD NA UCET	1780	587	 	CD	12663782
2984401	9883	1996-07-13	VYDAJ	PREVOD NA UCET	1780	10857	 	CD	12663782
2984402	9883	1996-08-13	VYDAJ	PREVOD NA UCET	1780	6489	 	CD	12663782
2984403	9883	1996-09-13	VYDAJ	PREVOD NA UCET	1780	4543	 	CD	12663782
2984404	9883	1996-10-13	VYDAJ	PREVOD NA UCET	1780	-820	 	CD	12663782
2984405	9883	1996-11-13	VYDAJ	PREVOD NA UCET	1780	-1212	 	CD	12663782
2984406	9883	1996-12-13	VYDAJ	PREVOD NA UCET	1780	53852	 	CD	12663782
2984407	9883	1997-01-13	VYDAJ	PREVOD NA UCET	1780	26160	 	CD	12663782
2984408	9883	1997-02-13	VYDAJ	PREVOD NA UCET	1780	26198	 	CD	12663782
2984409	9883	1997-03-13	VYDAJ	PREVOD NA UCET	1780	48028	 	CD	12663782
2984410	9883	1997-04-13	VYDAJ	PREVOD NA UCET	1780	71068	 	CD	12663782
2984411	9883	1997-05-13	VYDAJ	PREVOD NA UCET	1780	48245	 	CD	12663782
2984412	9883	1997-06-13	VYDAJ	PREVOD NA UCET	1780	15136	 	CD	12663782
2984413	9883	1997-07-13	VYDAJ	PREVOD NA UCET	1780	1133	 	CD	12663782
2984414	9883	1997-08-13	VYDAJ	PREVOD NA UCET	1780	23984	 	CD	12663782
2984415	9883	1997-09-13	VYDAJ	PREVOD NA UCET	1780	20368	 	CD	12663782
2984416	9883	1997-10-13	VYDAJ	PREVOD NA UCET	1780	28963	 	CD	12663782
2984417	9883	1997-11-13	VYDAJ	PREVOD NA UCET	1780	8987	 	CD	12663782
2984418	9883	1997-12-13	VYDAJ	PREVOD NA UCET	1780	62236	 	CD	12663782
2984419	9883	1998-01-13	VYDAJ	PREVOD NA UCET	1780	40780	 	CD	12663782
2984420	9883	1998-02-13	VYDAJ	PREVOD NA UCET	1780	35869	 	CD	12663782
2984421	9883	1998-03-13	VYDAJ	PREVOD NA UCET	1780	20273	 	CD	12663782
2984422	9883	1998-04-13	VYDAJ	PREVOD NA UCET	1780	21867	 	CD	12663782
2984423	9883	1998-05-13	VYDAJ	PREVOD NA UCET	1780	9393	 	CD	12663782
2984424	9883	1998-06-13	VYDAJ	PREVOD NA UCET	1780	56165	 	CD	12663782
2984425	9883	1998-07-13	VYDAJ	PREVOD NA UCET	1780	49173	 	CD	12663782
2984426	9883	1998-08-13	VYDAJ	PREVOD NA UCET	1780	34848	 	CD	12663782
2984427	9883	1998-09-13	VYDAJ	PREVOD NA UCET	1780	7424	 	CD	12663782
2984428	9883	1998-10-13	VYDAJ	PREVOD NA UCET	1780	57511	 	CD	12663782
2984429	9883	1998-11-13	VYDAJ	PREVOD NA UCET	1780	96924	 	CD	12663782
2984430	9883	1998-12-13	VYDAJ	PREVOD NA UCET	1780	14567	 	CD	12663782
2984445	9883	1994-03-13	VYDAJ	PREVOD NA UCET	12504	68989	POJISTNE	WX	85923730
2984446	9883	1994-04-13	VYDAJ	PREVOD NA UCET	12504	51970	POJISTNE	WX	85923730
2984447	9883	1994-05-13	VYDAJ	PREVOD NA UCET	12504	52369	POJISTNE	WX	85923730
2984448	9883	1994-06-13	VYDAJ	PREVOD NA UCET	12504	20851	POJISTNE	WX	85923730
2984449	9883	1994-07-13	VYDAJ	PREVOD NA UCET	12504	24959	POJISTNE	WX	85923730
2984450	9883	1994-08-13	VYDAJ	PREVOD NA UCET	12504	9043	POJISTNE	WX	85923730
2984451	9883	1994-09-13	VYDAJ	PREVOD NA UCET	12504	57767	POJISTNE	WX	85923730
2984452	9883	1994-10-13	VYDAJ	PREVOD NA UCET	12504	60692	POJISTNE	WX	85923730
2984453	9883	1994-11-13	VYDAJ	PREVOD NA UCET	12504	48641	POJISTNE	WX	85923730
2984454	9883	1994-12-13	VYDAJ	PREVOD NA UCET	12504	55662	POJISTNE	WX	85923730
2984455	9883	1995-01-13	VYDAJ	PREVOD NA UCET	12504	8098	POJISTNE	WX	85923730
2984456	9883	1995-02-13	VYDAJ	PREVOD NA UCET	12504	16543	POJISTNE	WX	85923730
2984457	9883	1995-03-13	VYDAJ	PREVOD NA UCET	12504	16272	POJISTNE	WX	85923730
2984458	9883	1995-04-13	VYDAJ	PREVOD NA UCET	12504	4886	POJISTNE	WX	85923730
2984462	9883	1995-08-13	VYDAJ	PREVOD NA UCET	12504	8655	POJISTNE	WX	85923730
2984463	9883	1995-09-13	VYDAJ	PREVOD NA UCET	12504	-614	POJISTNE	WX	85923730
2984464	9883	1995-10-13	VYDAJ	PREVOD NA UCET	12504	38463	POJISTNE	WX	85923730
2984465	9883	1995-11-13	VYDAJ	PREVOD NA UCET	12504	52182	POJISTNE	WX	85923730
2984466	9883	1995-12-13	VYDAJ	PREVOD NA UCET	12504	23190	POJISTNE	WX	85923730
2984467	9883	1996-01-13	VYDAJ	PREVOD NA UCET	12504	9812	POJISTNE	WX	85923730
2984468	9883	1996-02-13	VYDAJ	PREVOD NA UCET	12504	10915	POJISTNE	WX	85923730
2984469	9883	1996-03-13	VYDAJ	PREVOD NA UCET	12504	10368	POJISTNE	WX	85923730
2984470	9883	1996-04-13	VYDAJ	PREVOD NA UCET	12504	3027	POJISTNE	WX	85923730
2984474	9883	1996-08-13	VYDAJ	PREVOD NA UCET	12504	8269	POJISTNE	WX	85923730
2984475	9883	1996-09-13	VYDAJ	PREVOD NA UCET	12504	6323	POJISTNE	WX	85923730
2984476	9883	1996-10-13	VYDAJ	PREVOD NA UCET	12504	960	POJISTNE	WX	85923730
2984477	9883	1996-11-13	VYDAJ	PREVOD NA UCET	12504	568	POJISTNE	WX	85923730
2984478	9883	1996-12-13	VYDAJ	PREVOD NA UCET	12504	41348	POJISTNE	WX	85923730
2984479	9883	1997-01-13	VYDAJ	PREVOD NA UCET	12504	27940	POJISTNE	WX	85923730
2984480	9883	1997-02-13	VYDAJ	PREVOD NA UCET	12504	27978	POJISTNE	WX	85923730
2984481	9883	1997-03-13	VYDAJ	PREVOD NA UCET	12504	35524	POJISTNE	WX	85923730
2984482	9883	1997-04-13	VYDAJ	PREVOD NA UCET	12504	58564	POJISTNE	WX	85923730
2984483	9883	1997-05-13	VYDAJ	PREVOD NA UCET	12504	50025	POJISTNE	WX	85923730
2984484	9883	1997-06-13	VYDAJ	PREVOD NA UCET	12504	16916	POJISTNE	WX	85923730
2984485	9883	1997-07-13	VYDAJ	PREVOD NA UCET	12504	2913	POJISTNE	WX	85923730
2984486	9883	1997-08-13	VYDAJ	PREVOD NA UCET	12504	11480	POJISTNE	WX	85923730
2984487	9883	1997-09-13	VYDAJ	PREVOD NA UCET	12504	22148	POJISTNE	WX	85923730
2984488	9883	1997-10-13	VYDAJ	PREVOD NA UCET	12504	30743	POJISTNE	WX	85923730
2984489	9883	1997-11-13	VYDAJ	PREVOD NA UCET	12504	10767	POJISTNE	WX	85923730
2984490	9883	1997-12-13	VYDAJ	PREVOD NA UCET	12504	64016	POJISTNE	WX	85923730
2984491	9883	1998-01-13	VYDAJ	PREVOD NA UCET	12504	28276	POJISTNE	WX	85923730
2984492	9883	1998-02-13	VYDAJ	PREVOD NA UCET	12504	23365	POJISTNE	WX	85923730
2984493	9883	1998-03-13	VYDAJ	PREVOD NA UCET	12504	7769	POJISTNE	WX	85923730
2984494	9883	1998-04-13	VYDAJ	PREVOD NA UCET	12504	9363	POJISTNE	WX	85923730
2984495	9883	1998-05-13	VYDAJ	PREVOD NA UCET	12504	11173	POJISTNE	WX	85923730
2984496	9883	1998-06-13	VYDAJ	PREVOD NA UCET	12504	57945	POJISTNE	WX	85923730
2984497	9883	1998-07-13	VYDAJ	PREVOD NA UCET	12504	36669	POJISTNE	WX	85923730
2984498	9883	1998-08-13	VYDAJ	PREVOD NA UCET	12504	22344	POJISTNE	WX	85923730
2984499	9883	1998-09-13	VYDAJ	PREVOD NA UCET	12504	9204	POJISTNE	WX	85923730
2984500	9883	1998-10-13	VYDAJ	PREVOD NA UCET	12504	59291	POJISTNE	WX	85923730
2984501	9883	1998-11-13	VYDAJ	PREVOD NA UCET	12504	84420	POJISTNE	WX	85923730
2984502	9883	1998-12-13	VYDAJ	PREVOD NA UCET	12504	16347	POJISTNE	WX	85923730
2984513	9883	1994-07-25	VYBER	VYBER	17019	24528	\N	\N	\N
2984514	9883	1994-11-22	VYBER	VYBER	20279	22062	\N	\N	\N
2984515	9883	1994-10-05	VYBER	VYBER	6134	72437	\N	\N	\N
2984516	9883	1994-05-13	VYBER	VYBER	5020	93453	\N	\N	\N
2984517	9883	1994-05-27	VYBER	VYBER	15215	43920	\N	\N	\N
2984518	9883	1994-10-06	VYBER	VYBER	24461	47976	\N	\N	\N
2984519	9883	1994-08-25	VYBER	VYBER	20525	29075	\N	\N	\N
2984522	9883	1995-03-04	VYBER	VYBER	9235	44369	\N	\N	\N
2984526	9883	1995-10-31	VYBER	VYBER	6258	30547	\N	\N	\N
2984529	9883	1996-03-01	VYBER	VYBER	19284	23393	\N	\N	\N
2984531	9883	1996-08-11	VYBER	VYBER	7325	20773	\N	\N	\N
2984536	9883	1996-03-27	VYBER	VYBER	15002	32899	\N	\N	\N
2984540	9883	1997-05-13	VYBER	VYBER	16852	62529	\N	\N	\N
2984541	9883	1997-05-25	VYBER	VYBER	7785	40460	\N	\N	\N
2984543	9883	1997-03-13	VYBER	VYBER	2039	49808	\N	\N	\N
2984544	9883	1997-08-25	VYBER	VYBER	12195	61346	\N	\N	\N
2984545	9883	1997-09-03	VYBER	VYBER	21779	53025	\N	\N	\N
2984546	9883	1997-09-07	VYBER	VYBER	4160	35365	\N	\N	\N
2984549	9883	1997-03-31	VYBER	VYBER	4890	25566	\N	\N	\N
2984550	9883	1997-12-27	VYBER	VYBER	19645	23291	\N	\N	\N
2984551	9883	1998-02-09	VYBER	VYBER	16009	38362	\N	\N	\N
2984553	9883	1998-12-10	VYBER	VYBER	7047	29564	\N	\N	\N
2984554	9883	1998-06-10	VYBER	VYBER	17597	71162	\N	\N	\N
2984556	9883	1998-10-17	VYBER	VYBER	24100	33411	\N	\N	\N
2984571	9883	1998-01-06	VYDAJ	VYBER	16200	56173	\N	\N	\N
2984573	9883	1994-12-28	VYDAJ	VYBER	4500	97321	\N	\N	\N
2984575	9883	1996-12-05	VYDAJ	VYBER	4500	56345	\N	\N	\N
2984576	9883	1997-12-08	VYDAJ	VYBER	3000	28948	\N	\N	\N
2984577	9883	1998-12-04	VYDAJ	VYBER	7200	36611	\N	\N	\N
2984590	9883	1995-01-10	VYDAJ	VYBER	5700	22382	\N	\N	\N
2984593	9883	1995-01-06	VYDAJ	VYBER	5700	91865	\N	\N	\N
2984594	9883	1995-01-09	VYDAJ	VYBER	7200	28795	\N	\N	\N
2984600	9883	1996-01-29	VYDAJ	VYBER	3000	21886	\N	\N	\N
2984603	9883	1997-01-20	VYDAJ	VYBER	3900	22260	\N	\N	\N
2984605	9883	1997-01-05	VYDAJ	VYBER	5700	46557	\N	\N	\N
2984606	9883	1997-01-09	VYDAJ	VYBER	5400	41157	\N	\N	\N
2984607	9883	1997-01-03	VYDAJ	VYBER	8700	52257	\N	\N	\N
2984608	9883	1998-01-20	VYDAJ	VYBER	4800	23476	\N	\N	\N
2984610	9883	1998-01-10	VYDAJ	VYBER	5700	49760	\N	\N	\N
2984613	9883	1998-01-11	VYDAJ	VYBER	7200	42560	\N	\N	\N
2984620	9883	1994-11-16	VYDAJ	VYBER	6300	42341	\N	\N	\N
2984622	9883	1994-05-22	VYDAJ	VYBER	2700	59135	\N	\N	\N
2984623	9883	1994-10-24	VYDAJ	VYBER	2700	57992	\N	\N	\N
2984624	9883	1994-11-07	VYDAJ	VYBER	1500	56727	\N	\N	\N
2984629	9883	1995-08-09	VYDAJ	VYBER	6000	21872	\N	\N	\N
2984632	9883	1996-04-01	VYDAJ	VYBER	12300	20724	\N	\N	\N
2984635	9883	1997-05-11	VYDAJ	VYBER	12300	79381	\N	\N	\N
2984638	9883	1997-09-05	VYDAJ	VYBER	13500	39525	\N	\N	\N
2984639	9883	1998-10-25	VYDAJ	VYBER	14100	72414	\N	\N	\N
2984640	9883	1998-01-04	VYDAJ	VYBER	2400	48347	\N	\N	\N
2984657	9883	1994-02-28	VYDAJ	VYBER	15	76690	SLUZBY	\N	\N
2984658	9883	1994-03-31	VYDAJ	VYBER	15	77083	SLUZBY	\N	\N
2984659	9883	1994-04-30	VYDAJ	VYBER	15	52221	SLUZBY	\N	\N
2984660	9883	1994-05-31	VYDAJ	VYBER	15	44148	SLUZBY	\N	\N
2984661	9883	1994-06-30	VYDAJ	VYBER	15	36523	SLUZBY	\N	\N
2984662	9883	1994-07-31	VYDAJ	VYBER	15	24640	SLUZBY	\N	\N
2984663	9883	1994-08-31	VYDAJ	VYBER	15	35333	SLUZBY	\N	\N
2984664	9883	1994-09-30	VYDAJ	VYBER	15	78571	SLUZBY	\N	\N
2984665	9883	1994-10-31	VYDAJ	VYBER	15	58227	SLUZBY	\N	\N
2984666	9883	1994-11-30	VYDAJ	VYBER	15	22228	SLUZBY	\N	\N
2984667	9883	1994-12-31	VYDAJ	VYBER	15	97565	SLUZBY	\N	\N
2984668	9883	1995-01-31	VYDAJ	VYBER	15	8222	SLUZBY	\N	\N
2984669	9883	1995-02-28	VYDAJ	VYBER	15	53604	SLUZBY	\N	\N
2984670	9883	1995-03-31	VYDAJ	VYBER	15	16403	SLUZBY	\N	\N
2984671	9883	1995-04-30	VYDAJ	VYBER	15	3156	SLUZBY	\N	\N
2984672	9883	1995-05-31	VYDAJ	VYBER	15	654	SLUZBY	\N	\N
2984673	9883	1995-06-30	VYDAJ	VYBER	15	8547	SLUZBY	\N	\N
2984674	9883	1995-07-31	VYDAJ	VYBER	15	6068	SLUZBY	\N	\N
2984675	9883	1995-08-31	VYDAJ	VYBER	15	6904	SLUZBY	\N	\N
2984676	9883	1995-09-30	VYDAJ	VYBER	15	18510	SLUZBY	\N	\N
2984677	9883	1995-10-31	VYDAJ	VYBER	15	30533	SLUZBY	\N	\N
2984678	9883	1995-11-30	VYDAJ	VYBER	15	50607	SLUZBY	\N	\N
2984679	9883	1995-12-31	VYDAJ	VYBER	15	21529	SLUZBY	\N	\N
2984680	9883	1996-01-31	VYDAJ	VYBER	15	21932	SLUZBY	\N	\N
2984681	9883	1996-02-29	VYDAJ	VYBER	15	42677	SLUZBY	\N	\N
2984682	9883	1996-03-31	VYDAJ	VYBER	15	33024	SLUZBY	\N	\N
2984683	9883	1996-04-30	VYDAJ	VYBER	15	3080	SLUZBY	\N	\N
2984684	9883	1996-05-31	VYDAJ	VYBER	15	577	SLUZBY	\N	\N
2984685	9883	1996-06-30	VYDAJ	VYBER	15	-150	SLUZBY	\N	\N
2984686	9883	1996-07-31	VYDAJ	VYBER	15	32511	SLUZBY	\N	\N
2984687	9883	1996-08-31	VYDAJ	VYBER	15	19540	SLUZBY	\N	\N
2984688	9883	1996-09-30	VYDAJ	VYBER	15	14177	SLUZBY	\N	\N
2984689	9883	1996-10-31	VYDAJ	VYBER	15	13792	SLUZBY	\N	\N
2984690	9883	1996-11-30	VYDAJ	VYBER	15	60845	SLUZBY	\N	\N
2984691	9883	1996-12-31	VYDAJ	VYBER	15	31352	SLUZBY	\N	\N
2984692	9883	1997-01-31	VYDAJ	VYBER	15	41195	SLUZBY	\N	\N
2984693	9883	1997-02-28	VYDAJ	VYBER	15	22239	SLUZBY	\N	\N
2984694	9883	1997-03-31	VYDAJ	VYBER	15	25551	SLUZBY	\N	\N
2984695	9883	1997-04-30	VYDAJ	VYBER	15	41049	SLUZBY	\N	\N
2984696	9883	1997-05-31	VYDAJ	VYBER	15	30133	SLUZBY	\N	\N
2984697	9883	1997-06-30	VYDAJ	VYBER	15	16130	SLUZBY	\N	\N
2984698	9883	1997-07-31	VYDAJ	VYBER	15	26477	SLUZBY	\N	\N
2984699	9883	1997-08-31	VYDAJ	VYBER	15	74804	SLUZBY	\N	\N
2984700	9883	1997-09-30	VYDAJ	VYBER	15	43960	SLUZBY	\N	\N
2984701	9883	1997-10-31	VYDAJ	VYBER	15	23984	SLUZBY	\N	\N
2984702	9883	1997-11-30	VYDAJ	VYBER	15	31948	SLUZBY	\N	\N
2984703	9883	1997-12-31	VYDAJ	VYBER	15	23487	SLUZBY	\N	\N
2984704	9883	1998-01-31	VYDAJ	VYBER	15	23296	SLUZBY	\N	\N
2984705	9883	1998-02-28	VYDAJ	VYBER	15	22766	SLUZBY	\N	\N
2984706	9883	1998-03-31	VYDAJ	VYBER	15	24360	SLUZBY	\N	\N
2984707	9883	1998-04-30	VYDAJ	VYBER	15	9408	SLUZBY	\N	\N
2984708	9883	1998-05-31	VYDAJ	VYBER	15	88759	SLUZBY	\N	\N
2984709	9883	1998-06-30	VYDAJ	VYBER	15	33595	SLUZBY	\N	\N
2984710	9883	1998-07-31	VYDAJ	VYBER	15	19692	SLUZBY	\N	\N
2984711	9883	1998-08-31	VYDAJ	VYBER	15	22421	SLUZBY	\N	\N
2984712	9883	1998-09-30	VYDAJ	VYBER	15	74586	SLUZBY	\N	\N
2984713	9883	1998-10-31	VYDAJ	VYBER	15	101597	SLUZBY	\N	\N
2984714	9883	1998-11-30	VYDAJ	VYBER	15	43811	SLUZBY	\N	\N
2984715	9883	1993-04-18	PRIJEM	VKLAD	9800	10300	\N	\N	\N
2984716	9883	1993-05-18	PRIJEM	VKLAD	9600	19900	\N	\N	\N
2984717	9883	1993-06-17	PRIJEM	VKLAD	2200	22100	\N	\N	\N
2984718	9883	1993-07-17	PRIJEM	VKLAD	1800	23900	\N	\N	\N
2984719	9883	1993-08-16	VYDAJ	VYBER	5000	26504	\N	\N	\N
2984720	9883	1993-09-15	VYDAJ	VYBER	1600	24961	\N	\N	\N
2984721	9883	1993-10-15	PRIJEM	VKLAD	500	25571	\N	\N	\N
2984722	9883	1993-11-14	PRIJEM	VKLAD	700	26382	\N	\N	\N
2984723	9883	1993-12-14	VYDAJ	VYBER	3200	23292	\N	\N	\N
2984724	9883	1994-01-13	VYDAJ	VYBER	14400	38155	\N	\N	\N
2984725	9883	1994-01-19	VYDAJ	VYBER	64800	46423	\N	\N	\N
2984726	9883	1994-02-12	VYDAJ	VYBER	12500	34087	\N	\N	\N
2984727	9883	1994-02-24	VYDAJ	VYBER	27400	76460	\N	\N	\N
2984728	9883	1994-03-11	VYDAJ	VYBER	22600	83273	\N	\N	\N
2984729	9883	1994-03-14	VYDAJ	VYBER	24800	44189	\N	\N	\N
2984730	9883	1994-04-13	VYDAJ	VYBER	29100	66254	\N	\N	\N
2984731	9883	1994-05-13	VYDAJ	VYBER	26800	66653	\N	\N	\N
2984732	9883	1994-06-12	VYDAJ	VYBER	8300	35135	\N	\N	\N
2984733	9883	1994-07-12	VYDAJ	VYBER	12200	39243	\N	\N	\N
2984734	9883	1994-08-11	VYDAJ	VYBER	600	23327	\N	\N	\N
2984735	9883	1994-09-10	VYDAJ	VYBER	29100	53673	\N	\N	\N
2984736	9883	1994-10-10	VYDAJ	VYBER	14100	33163	\N	\N	\N
2984737	9883	1994-11-09	VYDAJ	VYBER	18700	38027	\N	\N	\N
2984738	9883	1994-12-09	VYDAJ	VYBER	1500	20728	\N	\N	\N
2984739	9883	1995-01-08	VYDAJ	VYBER	63800	48995	\N	\N	\N
2984740	9883	1995-01-08	VYDAJ	VYBER	13000	35995	\N	\N	\N
2984741	9883	1995-03-09	VYDAJ	VYBER	13100	31269	\N	\N	\N
2984742	9883	1995-04-08	PRIJEM	VKLAD	1700	18103	\N	\N	\N
2984743	9883	1995-08-06	VYDAJ	VYBER	14500	27872	\N	\N	\N
2984744	9883	1995-09-05	PRIJEM	VKLAD	5700	12604	\N	\N	\N
2984745	9883	1995-10-05	PRIJEM	VKLAD	1700	20206	\N	\N	\N
2984746	9883	1995-11-04	VYDAJ	VYBER	4500	26033	\N	\N	\N
2984747	9883	1995-12-04	VYDAJ	VYBER	14200	36407	\N	\N	\N
2984748	9883	1996-01-03	PRIJEM	VKLAD	1500	23029	\N	\N	\N
2984749	9883	1996-02-02	PRIJEM	VKLAD	2200	24132	\N	\N	\N
2984750	9883	1996-03-03	VYDAJ	VYBER	4200	25365	\N	\N	\N
2984751	9883	1996-04-02	VYDAJ	VYBER	2700	18024	\N	\N	\N
2984752	9883	1996-07-01	PRIJEM	VKLAD	13500	13350	\N	\N	\N
2984753	9883	1996-07-31	VYDAJ	VYBER	3700	28811	\N	\N	\N
2984754	9883	1996-08-30	PRIJEM	VKLAD	13000	19489	\N	\N	\N
2984755	9883	1996-09-29	PRIJEM	VKLAD	9600	14143	\N	\N	\N
2984756	9883	1996-10-29	PRIJEM	VKLAD	14600	13780	\N	\N	\N
2984757	9883	1996-11-28	VYDAJ	VYBER	18300	46776	\N	\N	\N
2984758	9883	1996-12-28	VYDAJ	VYBER	10200	31148	\N	\N	\N
2984759	9883	1997-01-27	VYDAJ	VYBER	13600	41051	\N	\N	\N
2984760	9883	1997-02-26	VYDAJ	VYBER	4100	22098	\N	\N	\N
2984761	9883	1997-03-28	VYDAJ	VYBER	5200	30324	\N	\N	\N
2984762	9883	1997-04-27	VYDAJ	VYBER	17700	40864	\N	\N	\N
2984763	9883	1997-05-27	VYDAJ	VYBER	10500	29960	\N	\N	\N
2984764	9883	1997-06-26	PRIJEM	VKLAD	900	16036	\N	\N	\N
2984765	9883	1997-07-26	VYDAJ	VYBER	1200	26420	\N	\N	\N
2984766	9883	1997-08-25	VYDAJ	VYBER	16700	44646	\N	\N	\N
2984767	9883	1997-09-24	VYDAJ	VYBER	19800	43791	\N	\N	\N
2984768	9883	1997-10-24	VYDAJ	VYBER	5100	23863	\N	\N	\N
2984769	9883	1997-11-23	VYDAJ	VYBER	14500	31848	\N	\N	\N
2984770	9883	1997-12-23	VYDAJ	VYBER	19300	42936	\N	\N	\N
2984771	9883	1998-01-22	VYDAJ	VYBER	300	23176	\N	\N	\N
2984772	9883	1998-02-21	VYDAJ	VYBER	700	22665	\N	\N	\N
2984773	9883	1998-05-22	VYDAJ	VYBER	25200	40111	\N	\N	\N
2984774	9883	1998-06-21	VYDAJ	VYBER	22800	33365	\N	\N	\N
2984775	9883	1998-07-21	VYDAJ	VYBER	17100	19569	\N	\N	\N
2984776	9883	1998-09-19	VYDAJ	VYBER	15100	26936	\N	\N	\N
2984777	9883	1998-10-05	VYDAJ	VYBER	49000	73549	\N	\N	\N
2984778	9883	1998-10-13	VYDAJ	VYBER	48800	71795	\N	\N	\N
2984779	9883	1998-10-19	VYDAJ	VYBER	14000	19411	\N	\N	\N
2984780	9883	1998-11-07	VYDAJ	VYBER	51500	99417	\N	\N	\N
2984781	9883	1998-11-16	VYDAJ	VYBER	50400	78907	\N	\N	\N
2984782	9883	1998-11-18	VYDAJ	VYBER	35400	43507	\N	\N	\N
2989031	9897	1995-03-04	PRIJEM	VKLAD	300	300	\N	\N	\N
2989034	9897	1995-03-06	PRIJEM	PREVOD Z UCTU	18081	18381	\N	IJ	7909250
2989035	9897	1995-04-06	PRIJEM	PREVOD Z UCTU	18081	38926	\N	IJ	7909250
2989036	9897	1995-05-06	PRIJEM	PREVOD Z UCTU	18081	51155	\N	IJ	7909250
2989037	9897	1995-06-06	PRIJEM	PREVOD Z UCTU	27122	63482	\N	IJ	7909250
2989038	9897	1995-07-06	PRIJEM	PREVOD Z UCTU	18081	63319	\N	IJ	7909250
2989039	9897	1995-08-06	PRIJEM	PREVOD Z UCTU	18081	49321	\N	IJ	7909250
2989040	9897	1995-09-06	PRIJEM	PREVOD Z UCTU	18081	43430	\N	IJ	7909250
2989041	9897	1995-10-06	PRIJEM	PREVOD Z UCTU	18081	45229	\N	IJ	7909250
2989042	9897	1995-11-06	PRIJEM	PREVOD Z UCTU	18081	47720	\N	IJ	7909250
2989043	9897	1995-12-06	PRIJEM	PREVOD Z UCTU	27122	50357	\N	IJ	7909250
2989044	9897	1996-01-06	PRIJEM	PREVOD Z UCTU	18081	39655	\N	IJ	7909250
2989045	9897	1996-02-06	PRIJEM	PREVOD Z UCTU	18081	40109	\N	IJ	7909250
2989046	9897	1996-03-06	PRIJEM	PREVOD Z UCTU	18081	35976	\N	IJ	7909250
2989047	9897	1996-04-06	PRIJEM	PREVOD Z UCTU	18081	36928	\N	IJ	7909250
2989048	9897	1996-05-06	PRIJEM	PREVOD Z UCTU	18081	39784	\N	IJ	7909250
2989049	9897	1996-06-06	PRIJEM	PREVOD Z UCTU	27122	48813	\N	IJ	7909250
2989050	9897	1996-07-06	PRIJEM	PREVOD Z UCTU	18081	41344	\N	IJ	7909250
2989051	9897	1996-08-06	PRIJEM	PREVOD Z UCTU	18081	43919	\N	IJ	7909250
2989052	9897	1996-09-06	PRIJEM	PREVOD Z UCTU	18081	43100	\N	IJ	7909250
2989053	9897	1996-10-06	PRIJEM	PREVOD Z UCTU	18081	45482	\N	IJ	7909250
2989054	9897	1996-11-06	PRIJEM	PREVOD Z UCTU	18081	42985	\N	IJ	7909250
2989055	9897	1996-12-06	PRIJEM	PREVOD Z UCTU	27122	50718	\N	IJ	7909250
2989056	9897	1997-01-06	PRIJEM	PREVOD Z UCTU	18081	36940	\N	IJ	7909250
2989057	9897	1997-02-06	PRIJEM	PREVOD Z UCTU	18081	36097	\N	IJ	7909250
2989058	9897	1997-03-06	PRIJEM	PREVOD Z UCTU	18081	41371	\N	IJ	7909250
2989059	9897	1997-04-06	PRIJEM	PREVOD Z UCTU	18081	39152	\N	IJ	7909250
2989060	9897	1997-05-06	PRIJEM	PREVOD Z UCTU	18081	36829	\N	IJ	7909250
2989061	9897	1997-06-06	PRIJEM	PREVOD Z UCTU	27122	46642	\N	IJ	7909250
2989062	9897	1997-07-06	PRIJEM	PREVOD Z UCTU	18081	41034	\N	IJ	7909250
2989063	9897	1997-08-06	PRIJEM	PREVOD Z UCTU	18081	41315	\N	IJ	7909250
2989064	9897	1997-09-06	PRIJEM	PREVOD Z UCTU	18081	36324	\N	IJ	7909250
2989065	9897	1997-10-06	PRIJEM	PREVOD Z UCTU	18081	35604	\N	IJ	7909250
2989066	9897	1997-11-06	PRIJEM	PREVOD Z UCTU	18081	42377	\N	IJ	7909250
2989067	9897	1997-12-06	PRIJEM	PREVOD Z UCTU	27122	51405	\N	IJ	7909250
2989068	9897	1998-01-06	PRIJEM	PREVOD Z UCTU	18081	43208	\N	IJ	7909250
2989069	9897	1998-02-06	PRIJEM	PREVOD Z UCTU	18081	37049	\N	IJ	7909250
2989070	9897	1998-03-06	PRIJEM	PREVOD Z UCTU	18081	35125	\N	IJ	7909250
2989071	9897	1998-04-06	PRIJEM	PREVOD Z UCTU	18081	36068	\N	IJ	7909250
2989072	9897	1998-05-06	PRIJEM	PREVOD Z UCTU	18081	35547	\N	IJ	7909250
2989073	9897	1998-06-06	PRIJEM	PREVOD Z UCTU	27122	47859	\N	IJ	7909250
2989074	9897	1998-07-06	PRIJEM	PREVOD Z UCTU	18081	49969	\N	IJ	7909250
2989075	9897	1998-08-06	PRIJEM	PREVOD Z UCTU	18081	35719	\N	IJ	7909250
2989076	9897	1998-09-06	PRIJEM	PREVOD Z UCTU	18081	42869	\N	IJ	7909250
2989077	9897	1998-10-06	PRIJEM	PREVOD Z UCTU	18081	43380	\N	IJ	7909250
2989078	9897	1998-11-06	PRIJEM	PREVOD Z UCTU	18081	36883	\N	IJ	7909250
2989079	9897	1998-12-06	PRIJEM	PREVOD Z UCTU	27122	64234	\N	IJ	7909250
2989086	9897	1995-07-11	VYDAJ	VYBER	2400	56580	\N	\N	0
2989087	9897	1995-08-10	VYDAJ	VYBER	3600	36582	\N	\N	0
2989088	9897	1995-09-17	VYDAJ	VYBER	3000	29138	\N	\N	0
2989089	9897	1995-10-12	VYDAJ	PREVOD NA UCET	3014	37877	UVER	IJ	58063542
2989090	9897	1995-11-12	VYDAJ	PREVOD NA UCET	3014	40367	UVER	IJ	58063542
2989091	9897	1995-12-12	VYDAJ	PREVOD NA UCET	3014	43004	UVER	IJ	58063542
2989092	9897	1996-01-12	VYDAJ	PREVOD NA UCET	3014	27203	UVER	IJ	58063542
2989093	9897	1996-02-12	VYDAJ	PREVOD NA UCET	3014	21185	UVER	IJ	58063542
2989094	9897	1996-03-12	VYDAJ	PREVOD NA UCET	3014	28624	UVER	IJ	58063542
2989095	9897	1996-04-12	VYDAJ	PREVOD NA UCET	3014	29575	UVER	IJ	58063542
2989096	9897	1996-05-12	VYDAJ	PREVOD NA UCET	3014	32432	UVER	IJ	58063542
2989097	9897	1996-06-12	VYDAJ	PREVOD NA UCET	3014	26336	UVER	IJ	58063542
2989098	9897	1996-07-12	VYDAJ	PREVOD NA UCET	3014	33992	UVER	IJ	58063542
2989099	9897	1996-08-12	VYDAJ	PREVOD NA UCET	3014	36566	UVER	IJ	58063542
2989100	9897	1996-09-12	VYDAJ	PREVOD NA UCET	3014	35748	UVER	IJ	58063542
2989101	9897	1996-10-19	VYDAJ	VYBER	2600	31590	\N	\N	0
2989102	9897	1996-11-14	VYDAJ	VYBER	2700	28993	\N	\N	0
2989103	9897	1996-12-12	VYDAJ	VYBER	3700	42679	\N	\N	0
2989104	9897	1997-01-19	VYDAJ	VYBER	3400	14148	\N	\N	0
2989105	9897	1997-02-13	VYDAJ	VYBER	3200	21605	\N	\N	0
2989106	9897	1997-03-12	VYDAJ	VYBER	3600	33432	\N	\N	0
2989107	9897	1997-04-11	VYDAJ	VYBER	2600	32213	\N	\N	0
2989108	9897	1997-05-02	VYDAJ	VYBER	3600	20255	\N	\N	0
2989109	9897	1997-06-07	VYDAJ	VYBER	2300	44342	\N	\N	0
2989110	9897	1997-07-10	VYDAJ	VYBER	3100	33595	\N	\N	0
2989111	9897	1997-08-18	VYDAJ	VYBER	3100	26923	\N	\N	0
2989112	9897	1997-09-05	VYDAJ	VYBER	2700	18243	\N	\N	0
2989113	9897	1997-10-17	VYDAJ	VYBER	2900	21412	\N	\N	0
2989114	9897	1997-11-14	VYDAJ	VYBER	3600	27485	\N	\N	0
2989115	9897	1997-12-07	VYDAJ	VYBER	2900	48505	\N	\N	0
2989116	9897	1998-01-13	VYDAJ	VYBER	3600	21247	\N	\N	0
2989117	9897	1998-02-08	VYDAJ	VYBER	3500	29210	\N	\N	0
2989118	9897	1998-03-02	VYDAJ	VYBER	3700	23351	\N	\N	0
2989119	9897	1998-04-05	VYDAJ	VYBER	2600	19494	\N	\N	0
2989120	9897	1998-05-07	VYDAJ	VYBER	3700	31847	\N	\N	0
2989121	9897	1998-06-02	VYDAJ	VYBER	2700	22244	\N	\N	0
2989122	9897	1998-07-09	VYDAJ	VYBER	3300	42330	\N	\N	0
2989123	9897	1998-08-21	VYDAJ	VYBER	2400	29427	\N	\N	0
2989124	9897	1998-09-12	VYDAJ	VYBER	2700	35830	\N	\N	0
2989125	9897	1998-10-07	VYDAJ	VYBER	2300	41080	\N	\N	0
2989126	9897	1998-11-02	VYDAJ	VYBER	3300	20309	\N	\N	0
2989127	9897	1998-12-17	VYDAJ	VYBER	2500	52342	\N	\N	0
2989135	9897	1995-08-05	VYDAJ	PREVOD NA UCET	1507	31240	SIPO	ST	84057002
2989136	9897	1995-09-05	VYDAJ	PREVOD NA UCET	1507	25349	SIPO	ST	84057002
2989137	9897	1995-10-05	VYDAJ	PREVOD NA UCET	1507	27148	SIPO	ST	84057002
2989138	9897	1995-11-05	VYDAJ	PREVOD NA UCET	1507	29639	SIPO	ST	84057002
2989139	9897	1995-12-05	VYDAJ	PREVOD NA UCET	1507	23235	SIPO	ST	84057002
2989140	9897	1996-01-05	VYDAJ	PREVOD NA UCET	1507	21574	SIPO	ST	84057002
2989141	9897	1996-02-05	VYDAJ	PREVOD NA UCET	1507	22028	SIPO	ST	84057002
2989142	9897	1996-03-05	VYDAJ	PREVOD NA UCET	1507	17895	SIPO	ST	84057002
2989143	9897	1996-04-05	VYDAJ	PREVOD NA UCET	1507	18847	SIPO	ST	84057002
2989144	9897	1996-05-05	VYDAJ	PREVOD NA UCET	1507	21703	SIPO	ST	84057002
2989145	9897	1996-06-05	VYDAJ	PREVOD NA UCET	1507	21691	SIPO	ST	84057002
2989146	9897	1996-07-05	VYDAJ	PREVOD NA UCET	1507	23263	SIPO	ST	84057002
2989147	9897	1996-08-05	VYDAJ	PREVOD NA UCET	1507	25838	SIPO	ST	84057002
2989148	9897	1996-09-05	VYDAJ	PREVOD NA UCET	1507	25019	SIPO	ST	84057002
2989149	9897	1996-10-05	VYDAJ	PREVOD NA UCET	1507	27401	SIPO	ST	84057002
2989150	9897	1996-11-05	VYDAJ	PREVOD NA UCET	1507	24904	SIPO	ST	84057002
2989151	9897	1996-12-05	VYDAJ	PREVOD NA UCET	1507	23596	SIPO	ST	84057002
2989152	9897	1997-01-05	VYDAJ	PREVOD NA UCET	1507	18859	SIPO	ST	84057002
2989153	9897	1997-02-05	VYDAJ	PREVOD NA UCET	1507	18016	SIPO	ST	84057002
2989154	9897	1997-03-05	VYDAJ	PREVOD NA UCET	1507	23290	SIPO	ST	84057002
2989155	9897	1997-04-05	VYDAJ	PREVOD NA UCET	1507	21071	SIPO	ST	84057002
2989156	9897	1997-05-05	VYDAJ	PREVOD NA UCET	1507	18748	SIPO	ST	84057002
2989157	9897	1997-06-05	VYDAJ	PREVOD NA UCET	1507	19520	SIPO	ST	84057002
2989158	9897	1997-07-05	VYDAJ	PREVOD NA UCET	1507	22953	SIPO	ST	84057002
2989159	9897	1997-08-05	VYDAJ	PREVOD NA UCET	1507	23234	SIPO	ST	84057002
2989160	9897	1997-09-05	VYDAJ	PREVOD NA UCET	1507	20943	SIPO	ST	84057002
2989161	9897	1997-10-05	VYDAJ	PREVOD NA UCET	1507	17523	SIPO	ST	84057002
2989162	9897	1997-11-05	VYDAJ	PREVOD NA UCET	1507	24296	SIPO	ST	84057002
2989163	9897	1997-12-05	VYDAJ	PREVOD NA UCET	1507	24283	SIPO	ST	84057002
2989164	9897	1998-01-05	VYDAJ	PREVOD NA UCET	1507	25127	SIPO	ST	84057002
2989165	9897	1998-02-05	VYDAJ	PREVOD NA UCET	1507	18968	SIPO	ST	84057002
2989166	9897	1998-03-05	VYDAJ	PREVOD NA UCET	1507	21844	SIPO	ST	84057002
2989167	9897	1998-04-05	VYDAJ	PREVOD NA UCET	1507	17987	SIPO	ST	84057002
2989168	9897	1998-05-05	VYDAJ	PREVOD NA UCET	1507	17466	SIPO	ST	84057002
2989169	9897	1998-06-05	VYDAJ	PREVOD NA UCET	1507	20737	SIPO	ST	84057002
2989170	9897	1998-07-05	VYDAJ	PREVOD NA UCET	1507	31888	SIPO	ST	84057002
2989171	9897	1998-08-05	VYDAJ	PREVOD NA UCET	1507	17638	SIPO	ST	84057002
2989172	9897	1998-09-05	VYDAJ	PREVOD NA UCET	1507	24788	SIPO	ST	84057002
2989426	9897	1998-09-30	VYDAJ	VYBER	15	26806	SLUZBY	\N	\N
2989173	9897	1998-10-05	VYDAJ	PREVOD NA UCET	1507	25299	SIPO	ST	84057002
2989174	9897	1998-11-05	VYDAJ	PREVOD NA UCET	1507	18802	SIPO	ST	84057002
2989175	9897	1998-12-05	VYDAJ	PREVOD NA UCET	1507	37112	SIPO	ST	84057002
2989182	9897	1995-07-07	VYDAJ	PREVOD NA UCET	4339	58980	 	IJ	22879386
2989183	9897	1995-08-07	VYDAJ	PREVOD NA UCET	4339	44982	 	IJ	22879386
2989184	9897	1995-09-07	VYDAJ	PREVOD NA UCET	4339	39091	 	IJ	22879386
2989185	9897	1995-10-07	VYDAJ	PREVOD NA UCET	4339	40890	 	IJ	22879386
2989186	9897	1995-11-07	VYDAJ	PREVOD NA UCET	4339	43381	 	IJ	22879386
2989187	9897	1995-12-07	VYDAJ	PREVOD NA UCET	4339	46018	 	IJ	22879386
2989188	9897	1996-01-07	VYDAJ	PREVOD NA UCET	4339	30216	 	IJ	22879386
2989189	9897	1996-02-07	VYDAJ	PREVOD NA UCET	4339	35770	 	IJ	22879386
2989190	9897	1996-03-07	VYDAJ	PREVOD NA UCET	4339	31637	 	IJ	22879386
2989191	9897	1996-04-07	VYDAJ	PREVOD NA UCET	4339	32589	 	IJ	22879386
2989192	9897	1996-05-07	VYDAJ	PREVOD NA UCET	4339	35445	 	IJ	22879386
2989193	9897	1996-06-07	VYDAJ	PREVOD NA UCET	4339	35309	 	IJ	22879386
2989194	9897	1996-07-07	VYDAJ	PREVOD NA UCET	4339	37005	 	IJ	22879386
2989195	9897	1996-08-07	VYDAJ	PREVOD NA UCET	4339	39580	 	IJ	22879386
2989196	9897	1996-09-07	VYDAJ	PREVOD NA UCET	4339	38761	 	IJ	22879386
2989197	9897	1996-10-07	VYDAJ	PREVOD NA UCET	4339	41143	 	IJ	22879386
2989198	9897	1996-11-07	VYDAJ	PREVOD NA UCET	4339	38646	 	IJ	22879386
2989199	9897	1996-12-07	VYDAJ	PREVOD NA UCET	4339	46379	 	IJ	22879386
2989200	9897	1997-01-07	VYDAJ	PREVOD NA UCET	4339	32601	 	IJ	22879386
2989201	9897	1997-02-07	VYDAJ	PREVOD NA UCET	4339	31758	 	IJ	22879386
2989202	9897	1997-03-07	VYDAJ	PREVOD NA UCET	4339	37032	 	IJ	22879386
2989203	9897	1997-04-07	VYDAJ	PREVOD NA UCET	4339	34813	 	IJ	22879386
2989204	9897	1997-05-07	VYDAJ	PREVOD NA UCET	4339	32490	 	IJ	22879386
2989205	9897	1997-06-07	VYDAJ	PREVOD NA UCET	4339	40003	 	IJ	22879386
2989206	9897	1997-07-07	VYDAJ	PREVOD NA UCET	4339	36695	 	IJ	22879386
2989207	9897	1997-08-07	VYDAJ	PREVOD NA UCET	4339	36976	 	IJ	22879386
2989208	9897	1997-09-07	VYDAJ	PREVOD NA UCET	4339	28085	 	IJ	22879386
2989209	9897	1997-10-07	VYDAJ	PREVOD NA UCET	4339	31265	 	IJ	22879386
2989210	9897	1997-11-07	VYDAJ	PREVOD NA UCET	4339	38038	 	IJ	22879386
2989211	9897	1997-12-07	VYDAJ	PREVOD NA UCET	4339	44166	 	IJ	22879386
2989212	9897	1998-01-07	VYDAJ	PREVOD NA UCET	4339	35269	 	IJ	22879386
2989213	9897	1998-02-07	VYDAJ	PREVOD NA UCET	4339	32710	 	IJ	22879386
2989214	9897	1998-03-07	VYDAJ	PREVOD NA UCET	4339	24469	 	IJ	22879386
2989215	9897	1998-04-07	VYDAJ	PREVOD NA UCET	4339	31729	 	IJ	22879386
2989216	9897	1998-05-07	VYDAJ	PREVOD NA UCET	4339	27508	 	IJ	22879386
2989217	9897	1998-06-07	VYDAJ	PREVOD NA UCET	4339	43520	 	IJ	22879386
2989218	9897	1998-07-07	VYDAJ	PREVOD NA UCET	4339	45630	 	IJ	22879386
2989219	9897	1998-08-07	VYDAJ	PREVOD NA UCET	4339	31380	 	IJ	22879386
2989220	9897	1998-09-07	VYDAJ	PREVOD NA UCET	4339	38530	 	IJ	22879386
2989221	9897	1998-10-07	VYDAJ	PREVOD NA UCET	4339	36741	 	IJ	22879386
2989222	9897	1998-11-07	VYDAJ	PREVOD NA UCET	4339	32544	 	IJ	22879386
2989223	9897	1998-12-07	VYDAJ	PREVOD NA UCET	4339	59895	 	IJ	22879386
2989230	9897	1995-07-13	VYDAJ	PREVOD NA UCET	6953	49627	POJISTNE	YZ	57870101
2989231	9897	1995-08-13	VYDAJ	PREVOD NA UCET	6953	29629	POJISTNE	YZ	57870101
2989232	9897	1995-09-13	VYDAJ	PREVOD NA UCET	6953	32138	POJISTNE	YZ	57870101
2989233	9897	1995-10-13	VYDAJ	PREVOD NA UCET	6953	30924	POJISTNE	YZ	57870101
2989234	9897	1995-11-13	VYDAJ	PREVOD NA UCET	6953	33414	POJISTNE	YZ	57870101
2989235	9897	1995-12-13	VYDAJ	PREVOD NA UCET	6953	36051	POJISTNE	YZ	57870101
2989236	9897	1996-01-13	VYDAJ	PREVOD NA UCET	6953	20250	POJISTNE	YZ	57870101
2989237	9897	1996-02-13	VYDAJ	PREVOD NA UCET	6953	14232	POJISTNE	YZ	57870101
2989238	9897	1996-03-13	VYDAJ	PREVOD NA UCET	6953	21671	POJISTNE	YZ	57870101
2989239	9897	1996-04-13	VYDAJ	PREVOD NA UCET	6953	22622	POJISTNE	YZ	57870101
2989240	9897	1996-05-13	VYDAJ	PREVOD NA UCET	6953	19499	POJISTNE	YZ	57870101
2989241	9897	1996-06-13	VYDAJ	PREVOD NA UCET	6953	19383	POJISTNE	YZ	57870101
2989242	9897	1996-07-13	VYDAJ	PREVOD NA UCET	6953	27039	POJISTNE	YZ	57870101
2989243	9897	1996-08-13	VYDAJ	PREVOD NA UCET	6953	29613	POJISTNE	YZ	57870101
2989244	9897	1996-09-13	VYDAJ	PREVOD NA UCET	6953	28795	POJISTNE	YZ	57870101
2989245	9897	1996-10-13	VYDAJ	PREVOD NA UCET	6953	34190	POJISTNE	YZ	57870101
2989246	9897	1996-11-13	VYDAJ	PREVOD NA UCET	6953	31693	POJISTNE	YZ	57870101
2989247	9897	1996-12-13	VYDAJ	PREVOD NA UCET	6953	35726	POJISTNE	YZ	57870101
2989248	9897	1997-01-13	VYDAJ	PREVOD NA UCET	6953	17548	POJISTNE	YZ	57870101
2989249	9897	1997-02-13	VYDAJ	PREVOD NA UCET	6953	24805	POJISTNE	YZ	57870101
2989250	9897	1997-03-13	VYDAJ	PREVOD NA UCET	6953	26479	POJISTNE	YZ	57870101
2989251	9897	1997-04-13	VYDAJ	PREVOD NA UCET	6953	25260	POJISTNE	YZ	57870101
2989252	9897	1997-05-13	VYDAJ	PREVOD NA UCET	6953	25537	POJISTNE	YZ	57870101
2989253	9897	1997-06-13	VYDAJ	PREVOD NA UCET	6953	33050	POJISTNE	YZ	57870101
2989254	9897	1997-07-13	VYDAJ	PREVOD NA UCET	6953	26642	POJISTNE	YZ	57870101
2989255	9897	1997-08-13	VYDAJ	PREVOD NA UCET	6953	30023	POJISTNE	YZ	57870101
2989256	9897	1997-09-13	VYDAJ	PREVOD NA UCET	6953	14754	POJISTNE	YZ	57870101
2989257	9897	1997-10-13	VYDAJ	PREVOD NA UCET	6953	24312	POJISTNE	YZ	57870101
2989258	9897	1997-11-13	VYDAJ	PREVOD NA UCET	6953	31085	POJISTNE	YZ	57870101
2989259	9897	1997-12-13	VYDAJ	PREVOD NA UCET	6953	33013	POJISTNE	YZ	57870101
2989260	9897	1998-01-13	VYDAJ	PREVOD NA UCET	6953	14294	POJISTNE	YZ	57870101
2989261	9897	1998-02-13	VYDAJ	PREVOD NA UCET	6953	22257	POJISTNE	YZ	57870101
2989262	9897	1998-03-13	VYDAJ	PREVOD NA UCET	6953	17516	POJISTNE	YZ	57870101
2989263	9897	1998-04-13	VYDAJ	PREVOD NA UCET	6953	24776	POJISTNE	YZ	57870101
2989264	9897	1998-05-13	VYDAJ	PREVOD NA UCET	6953	20555	POJISTNE	YZ	57870101
2989265	9897	1998-06-13	VYDAJ	PREVOD NA UCET	6953	36567	POJISTNE	YZ	57870101
2989266	9897	1998-07-13	VYDAJ	PREVOD NA UCET	6953	13344	POJISTNE	YZ	57870101
2989267	9897	1998-08-13	VYDAJ	PREVOD NA UCET	6953	24427	POJISTNE	YZ	57870101
2989268	9897	1998-09-13	VYDAJ	PREVOD NA UCET	6953	28877	POJISTNE	YZ	57870101
2989269	9897	1998-10-13	VYDAJ	PREVOD NA UCET	6953	29788	POJISTNE	YZ	57870101
2989270	9897	1998-11-13	VYDAJ	PREVOD NA UCET	6953	38491	POJISTNE	YZ	57870101
2989271	9897	1998-12-13	VYDAJ	PREVOD NA UCET	6953	54842	POJISTNE	YZ	57870101
2989275	9897	1995-07-21	VYBER	VYBER	3081	44146	\N	\N	\N
2989289	9897	1996-06-07	VYBER	VYBER	9165	39648	\N	\N	\N
2989290	9897	1996-02-10	VYBER	VYBER	11571	24199	\N	\N	\N
2989293	9897	1996-06-11	VYBER	VYBER	5960	29349	\N	\N	\N
2989298	9897	1996-05-13	VYBER	VYBER	5980	26452	\N	\N	\N
2989299	9897	1997-09-13	VYBER	VYBER	6378	21707	\N	\N	\N
2989301	9897	1997-01-02	VYBER	VYBER	6087	20366	\N	\N	\N
2989305	9897	1997-08-28	VYBER	VYBER	4077	22346	\N	\N	\N
2989310	9897	1998-03-07	VYBER	VYBER	6317	28808	\N	\N	\N
2989314	9897	1998-07-12	VYBER	VYBER	22033	20297	\N	\N	\N
2989315	9897	1998-09-02	VYBER	VYBER	3235	26295	\N	\N	\N
2989316	9897	1998-09-29	VYBER	VYBER	6192	26685	\N	\N	\N
2989320	9897	1998-01-09	VYBER	VYBER	8022	27247	\N	\N	\N
2989322	9897	1998-04-23	VYBER	VYBER	9592	18884	\N	\N	\N
2989330	9897	1998-01-06	VYDAJ	VYBER	3600	39608	\N	\N	\N
2989331	9897	1995-12-25	VYDAJ	VYBER	5700	30351	\N	\N	\N
2989332	9897	1996-12-29	VYDAJ	VYBER	2100	26326	\N	\N	\N
2989333	9897	1997-12-11	VYDAJ	VYBER	4200	39966	\N	\N	\N
2989334	9897	1998-12-24	VYDAJ	VYBER	3000	45442	\N	\N	\N
2989342	9897	1996-01-07	VYDAJ	VYBER	5100	34555	\N	\N	\N
2989344	9897	1996-01-04	VYDAJ	VYBER	2700	23081	\N	\N	\N
2989347	9897	1997-01-07	VYDAJ	VYBER	5700	26901	\N	\N	\N
2989350	9897	1997-01-10	VYDAJ	VYBER	2400	24501	\N	\N	\N
2989353	9897	1998-01-20	VYDAJ	VYBER	2100	20394	\N	\N	\N
2989357	9897	1998-01-04	VYDAJ	VYBER	1800	26634	\N	\N	\N
2989358	9897	1998-01-09	VYDAJ	VYBER	2400	24847	\N	\N	\N
2989359	9897	1995-11-27	VYDAJ	VYBER	7800	21714	\N	\N	\N
2989362	9897	1995-08-08	VYDAJ	VYBER	4800	40182	\N	\N	\N
2989364	9897	1995-11-27	VYDAJ	VYBER	3900	29514	\N	\N	\N
2989365	9897	1995-07-18	VYDAJ	VYBER	2400	47227	\N	\N	\N
2989371	9897	1997-09-07	VYDAJ	VYBER	3900	32424	\N	\N	\N
2989372	9897	1997-07-17	VYDAJ	VYBER	1800	24842	\N	\N	\N
2989376	9897	1998-12-20	VYDAJ	VYBER	3900	48442	\N	\N	\N
2989377	9897	1998-07-29	VYDAJ	VYBER	5700	19044	\N	\N	\N
2989378	9897	1998-03-05	VYDAJ	VYBER	4800	17044	\N	\N	\N
2989379	9897	1998-10-30	VYDAJ	VYBER	10500	23488	\N	\N	\N
2989388	9897	1995-07-31	VYDAJ	VYBER	15	44347	SLUZBY	\N	\N
2989389	9897	1995-08-31	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
2989390	9897	1995-09-30	VYDAJ	VYBER	15	28655	SLUZBY	\N	\N
2989391	9897	1995-10-31	VYDAJ	VYBER	15	31146	SLUZBY	\N	\N
2989392	9897	1995-11-30	VYDAJ	VYBER	15	24742	SLUZBY	\N	\N
2989393	9897	1995-12-31	VYDAJ	VYBER	15	25781	SLUZBY	\N	\N
2989394	9897	1996-01-31	VYDAJ	VYBER	15	23535	SLUZBY	\N	\N
2989395	9897	1996-02-29	VYDAJ	VYBER	15	19402	SLUZBY	\N	\N
2989396	9897	1996-03-31	VYDAJ	VYBER	15	20354	SLUZBY	\N	\N
2989397	9897	1996-04-30	VYDAJ	VYBER	15	23210	SLUZBY	\N	\N
2989398	9897	1996-05-31	VYDAJ	VYBER	15	23198	SLUZBY	\N	\N
2989399	9897	1996-06-30	VYDAJ	VYBER	15	24770	SLUZBY	\N	\N
2989400	9897	1996-07-31	VYDAJ	VYBER	15	27345	SLUZBY	\N	\N
2989401	9897	1996-08-31	VYDAJ	VYBER	15	26526	SLUZBY	\N	\N
2989402	9897	1996-09-30	VYDAJ	VYBER	15	28908	SLUZBY	\N	\N
2989403	9897	1996-10-31	VYDAJ	VYBER	15	26411	SLUZBY	\N	\N
2989404	9897	1996-11-30	VYDAJ	VYBER	15	25103	SLUZBY	\N	\N
2989405	9897	1996-12-31	VYDAJ	VYBER	15	26453	SLUZBY	\N	\N
2989406	9897	1997-01-31	VYDAJ	VYBER	15	19523	SLUZBY	\N	\N
2989407	9897	1997-02-28	VYDAJ	VYBER	15	24797	SLUZBY	\N	\N
2989408	9897	1997-03-31	VYDAJ	VYBER	15	22578	SLUZBY	\N	\N
2989409	9897	1997-04-30	VYDAJ	VYBER	15	23855	SLUZBY	\N	\N
2989410	9897	1997-05-31	VYDAJ	VYBER	15	21027	SLUZBY	\N	\N
2989411	9897	1997-06-30	VYDAJ	VYBER	15	24460	SLUZBY	\N	\N
2989412	9897	1997-07-31	VYDAJ	VYBER	15	24741	SLUZBY	\N	\N
2989413	9897	1997-08-31	VYDAJ	VYBER	15	22450	SLUZBY	\N	\N
2989414	9897	1997-09-30	VYDAJ	VYBER	15	19030	SLUZBY	\N	\N
2989415	9897	1997-10-31	VYDAJ	VYBER	15	25803	SLUZBY	\N	\N
2989416	9897	1997-11-30	VYDAJ	VYBER	15	25790	SLUZBY	\N	\N
2989417	9897	1997-12-31	VYDAJ	VYBER	15	28434	SLUZBY	\N	\N
2989418	9897	1998-01-31	VYDAJ	VYBER	15	20475	SLUZBY	\N	\N
2989419	9897	1998-02-28	VYDAJ	VYBER	15	27051	SLUZBY	\N	\N
2989420	9897	1998-03-31	VYDAJ	VYBER	15	22094	SLUZBY	\N	\N
2989421	9897	1998-04-30	VYDAJ	VYBER	15	18973	SLUZBY	\N	\N
2989422	9897	1998-05-31	VYDAJ	VYBER	15	24944	SLUZBY	\N	\N
2989423	9897	1998-06-30	VYDAJ	VYBER	15	33395	SLUZBY	\N	\N
2989424	9897	1998-07-31	VYDAJ	VYBER	15	19145	SLUZBY	\N	\N
2989425	9897	1998-08-31	VYDAJ	VYBER	15	29530	SLUZBY	\N	\N
2989427	9897	1998-10-31	VYDAJ	VYBER	15	23609	SLUZBY	\N	\N
2989428	9897	1998-11-30	VYDAJ	VYBER	15	38619	SLUZBY	\N	\N
2989429	9897	1995-04-03	PRIJEM	VKLAD	2400	20845	\N	\N	\N
2989430	9897	1995-05-03	VYDAJ	VYBER	6000	33074	\N	\N	\N
2989431	9897	1995-06-02	VYDAJ	VYBER	15000	36360	\N	\N	\N
2989432	9897	1995-07-02	VYDAJ	VYBER	18500	45238	\N	\N	\N
2989433	9897	1995-08-01	VYDAJ	VYBER	11600	32747	\N	\N	\N
2989434	9897	1995-08-31	VYDAJ	VYBER	2900	26871	\N	\N	\N
2989435	9897	1995-09-30	VYDAJ	VYBER	600	28670	\N	\N	\N
2989436	9897	1995-10-30	PRIJEM	VKLAD	100	31024	\N	\N	\N
2989437	9897	1995-11-29	PRIJEM	VKLAD	2900	24614	\N	\N	\N
2989438	9897	1995-12-29	VYDAJ	VYBER	4700	25651	\N	\N	\N
2989439	9897	1996-01-28	PRIJEM	VKLAD	3200	23450	\N	\N	\N
2989440	9897	1996-02-27	PRIJEM	VKLAD	5100	19332	\N	\N	\N
2989441	9897	1996-03-28	VYDAJ	VYBER	1400	20271	\N	\N	\N
2989442	9897	1996-04-27	PRIJEM	VKLAD	500	23122	\N	\N	\N
2989443	9897	1996-05-27	PRIJEM	VKLAD	3600	23099	\N	\N	\N
2989444	9897	1996-06-26	PRIJEM	VKLAD	5300	24683	\N	\N	\N
2989445	9897	1996-07-26	PRIJEM	VKLAD	200	27239	\N	\N	\N
2989446	9897	1996-08-25	VYDAJ	VYBER	3200	26413	\N	\N	\N
2989447	9897	1996-10-24	VYDAJ	VYBER	5300	26290	\N	\N	\N
2989448	9897	1996-11-23	VYDAJ	VYBER	4000	24993	\N	\N	\N
2989449	9897	1996-12-23	VYDAJ	VYBER	7300	28426	\N	\N	\N
2989450	9897	1997-01-22	PRIJEM	VKLAD	5300	19448	\N	\N	\N
2989451	9897	1997-02-21	PRIJEM	VKLAD	3100	24705	\N	\N	\N
2989452	9897	1997-03-23	VYDAJ	VYBER	4000	22479	\N	\N	\N
2989453	9897	1997-04-22	VYDAJ	VYBER	1500	23760	\N	\N	\N
2989454	9897	1997-05-22	VYDAJ	VYBER	4600	20937	\N	\N	\N
2989455	9897	1997-06-21	VYDAJ	VYBER	8700	24350	\N	\N	\N
2989456	9897	1997-07-21	VYDAJ	VYBER	200	24642	\N	\N	\N
2989457	9897	1997-08-20	VYDAJ	VYBER	500	26423	\N	\N	\N
2989458	9897	1997-09-19	PRIJEM	VKLAD	4200	18954	\N	\N	\N
2989459	9897	1997-10-19	PRIJEM	VKLAD	4300	25712	\N	\N	\N
2989460	9897	1997-11-18	VYDAJ	VYBER	1800	25685	\N	\N	\N
2989461	9897	1997-12-18	VYDAJ	VYBER	4700	28313	\N	\N	\N
2989462	9897	1998-01-17	PRIJEM	VKLAD	8200	22494	\N	\N	\N
2989463	9897	1998-02-16	PRIJEM	VKLAD	4700	26957	\N	\N	\N
2989464	9897	1998-03-18	PRIJEM	VKLAD	4500	22016	\N	\N	\N
2989465	9897	1998-04-17	PRIJEM	VKLAD	3700	28476	\N	\N	\N
2989466	9897	1998-05-17	PRIJEM	VKLAD	4300	24855	\N	\N	\N
2989467	9897	1998-06-16	VYDAJ	VYBER	3300	33267	\N	\N	\N
2989468	9897	1998-07-16	PRIJEM	VKLAD	11400	24744	\N	\N	\N
2989469	9897	1998-08-15	PRIJEM	VKLAD	7400	31827	\N	\N	\N
2989470	9897	1998-09-14	PRIJEM	VKLAD	4000	32877	\N	\N	\N
2989471	9897	1998-10-14	PRIJEM	VKLAD	4200	33988	\N	\N	\N
2989472	9897	1998-11-13	PRIJEM	VKLAD	12900	45444	\N	\N	\N
2989473	9897	1998-12-13	PRIJEM	VKLAD	1900	61795	\N	\N	\N
2996753	9928	1995-11-09	PRIJEM	VKLAD	500	500	\N	\N	\N
2996764	9928	1995-11-12	PRIJEM	VKLAD	11542	12042	\N	\N	\N
2996765	9928	1995-12-12	PRIJEM	VKLAD	17313	35387	\N	\N	\N
2996766	9928	1996-01-12	PRIJEM	VKLAD	11542	42342	\N	\N	\N
2996767	9928	1996-02-12	PRIJEM	VKLAD	11542	45850	\N	\N	\N
2996768	9928	1996-03-12	PRIJEM	VKLAD	11542	51777	\N	\N	\N
2996769	9928	1996-04-12	PRIJEM	VKLAD	11542	47687	\N	\N	\N
2996770	9928	1996-05-12	PRIJEM	VKLAD	11542	48370	\N	\N	\N
2996771	9928	1996-06-12	PRIJEM	VKLAD	17313	54628	\N	\N	\N
2996772	9928	1996-07-12	PRIJEM	VKLAD	11542	53534	\N	\N	\N
2996773	9928	1996-08-12	PRIJEM	VKLAD	11542	52470	\N	\N	\N
2996774	9928	1996-09-12	PRIJEM	VKLAD	11542	57978	\N	\N	\N
2996775	9928	1996-10-12	PRIJEM	VKLAD	11542	52372	\N	\N	\N
2996776	9928	1996-11-12	PRIJEM	VKLAD	11542	54860	\N	\N	\N
2996777	9928	1996-12-12	PRIJEM	VKLAD	17313	59146	\N	\N	\N
2996778	9928	1997-01-12	PRIJEM	VKLAD	11542	54168	\N	\N	\N
2996779	9928	1997-02-12	PRIJEM	VKLAD	11542	50272	\N	\N	\N
2996780	9928	1997-03-12	PRIJEM	VKLAD	11542	60355	\N	\N	\N
2996781	9928	1997-04-12	PRIJEM	VKLAD	11542	62004	\N	\N	\N
2996782	9928	1997-05-12	PRIJEM	VKLAD	11542	60472	\N	\N	\N
2996783	9928	1997-06-12	PRIJEM	VKLAD	17313	41512	\N	\N	\N
2996784	9928	1997-07-12	PRIJEM	VKLAD	11542	52413	\N	\N	\N
2996785	9928	1997-08-12	PRIJEM	VKLAD	11542	59667	\N	\N	\N
2996786	9928	1997-09-12	PRIJEM	VKLAD	11542	65503	\N	\N	\N
2996787	9928	1997-10-12	PRIJEM	VKLAD	11542	70163	\N	\N	\N
2996788	9928	1997-11-12	PRIJEM	VKLAD	11542	76943	\N	\N	\N
2996789	9928	1997-12-12	PRIJEM	VKLAD	17313	84035	\N	\N	\N
2996790	9928	1998-01-12	PRIJEM	VKLAD	11542	69158	\N	\N	\N
2996791	9928	1998-02-12	PRIJEM	VKLAD	11542	65991	\N	\N	\N
2996792	9928	1998-03-12	PRIJEM	VKLAD	11542	72253	\N	\N	\N
2996793	9928	1998-04-12	PRIJEM	VKLAD	11542	73103	\N	\N	\N
2996794	9928	1998-05-12	PRIJEM	VKLAD	11542	83107	\N	\N	\N
2996795	9928	1998-06-12	PRIJEM	VKLAD	17313	91009	\N	\N	\N
2996796	9928	1998-07-12	PRIJEM	VKLAD	11542	54052	\N	\N	\N
2996797	9928	1998-08-12	PRIJEM	VKLAD	11542	65477	\N	\N	\N
2996798	9928	1998-09-12	PRIJEM	VKLAD	11542	73041	\N	\N	\N
2996799	9928	1998-10-12	PRIJEM	VKLAD	11542	72737	\N	\N	\N
2996800	9928	1998-11-12	PRIJEM	VKLAD	11542	73321	\N	\N	\N
2996801	9928	1998-12-12	PRIJEM	VKLAD	17313	77589	\N	\N	\N
2996816	9928	1996-03-12	VYDAJ	PREVOD NA UCET	5016	46761	SIPO	AB	96968262
2996817	9928	1996-04-12	VYDAJ	PREVOD NA UCET	5016	42671	SIPO	AB	96968262
2996818	9928	1996-05-12	VYDAJ	PREVOD NA UCET	5016	43354	SIPO	AB	96968262
2996929	9928	1998-01-01	VYDAJ	VYBER	2280	64096	\N	\N	\N
2996819	9928	1996-06-12	VYDAJ	PREVOD NA UCET	5016	49612	SIPO	AB	96968262
2996820	9928	1996-07-12	VYDAJ	PREVOD NA UCET	5016	48518	SIPO	AB	96968262
2996821	9928	1996-08-12	VYDAJ	PREVOD NA UCET	5016	45965	SIPO	AB	96968262
2996822	9928	1996-09-12	VYDAJ	PREVOD NA UCET	5016	52962	SIPO	AB	96968262
2996823	9928	1996-10-12	VYDAJ	PREVOD NA UCET	5016	45867	SIPO	AB	96968262
2996824	9928	1996-11-12	VYDAJ	PREVOD NA UCET	5016	48355	SIPO	AB	96968262
2996825	9928	1996-12-12	VYDAJ	PREVOD NA UCET	5016	54130	SIPO	AB	96968262
2996826	9928	1997-01-12	VYDAJ	PREVOD NA UCET	5016	47663	SIPO	AB	96968262
2996827	9928	1997-02-12	VYDAJ	PREVOD NA UCET	5016	45256	SIPO	AB	96968262
2996828	9928	1997-03-12	VYDAJ	PREVOD NA UCET	5016	53850	SIPO	AB	96968262
2996829	9928	1997-04-12	VYDAJ	PREVOD NA UCET	5016	55499	SIPO	AB	96968262
2996830	9928	1997-05-12	VYDAJ	PREVOD NA UCET	5016	55456	SIPO	AB	96968262
2996831	9928	1997-06-12	VYDAJ	PREVOD NA UCET	5016	35007	SIPO	AB	96968262
2996832	9928	1997-07-12	VYDAJ	PREVOD NA UCET	5016	45908	SIPO	AB	96968262
2996833	9928	1997-08-12	VYDAJ	PREVOD NA UCET	5016	54651	SIPO	AB	96968262
2996834	9928	1997-09-12	VYDAJ	PREVOD NA UCET	5016	58998	SIPO	AB	96968262
2996835	9928	1997-10-12	VYDAJ	PREVOD NA UCET	5016	65147	SIPO	AB	96968262
2996836	9928	1997-11-12	VYDAJ	PREVOD NA UCET	5016	71927	SIPO	AB	96968262
2996837	9928	1997-12-12	VYDAJ	PREVOD NA UCET	5016	77530	SIPO	AB	96968262
2996838	9928	1998-01-12	VYDAJ	PREVOD NA UCET	5016	64142	SIPO	AB	96968262
2996839	9928	1998-02-12	VYDAJ	PREVOD NA UCET	5016	59486	SIPO	AB	96968262
2996840	9928	1998-03-12	VYDAJ	PREVOD NA UCET	5016	67237	SIPO	AB	96968262
2996841	9928	1998-04-12	VYDAJ	PREVOD NA UCET	5016	68087	SIPO	AB	96968262
2996842	9928	1998-05-12	VYDAJ	PREVOD NA UCET	5016	76602	SIPO	AB	96968262
2996843	9928	1998-06-12	VYDAJ	PREVOD NA UCET	5016	84504	SIPO	AB	96968262
2996844	9928	1998-07-12	VYDAJ	PREVOD NA UCET	5016	49036	SIPO	AB	96968262
2996845	9928	1998-08-12	VYDAJ	PREVOD NA UCET	5016	60461	SIPO	AB	96968262
2996846	9928	1998-09-12	VYDAJ	PREVOD NA UCET	5016	66536	SIPO	AB	96968262
2996847	9928	1998-10-12	VYDAJ	PREVOD NA UCET	5016	66232	SIPO	AB	96968262
2996848	9928	1998-11-12	VYDAJ	PREVOD NA UCET	5016	66816	SIPO	AB	96968262
2996849	9928	1998-12-12	VYDAJ	PREVOD NA UCET	5016	71084	SIPO	AB	96968262
2996864	9928	1996-03-20	VYDAJ	VYBER	1600	39881	\N	\N	0
2996865	9928	1996-04-08	VYDAJ	VYBER	1200	36145	\N	\N	0
2996866	9928	1996-05-02	VYDAJ	VYBER	1300	41528	\N	\N	0
2996867	9928	1996-06-09	VYDAJ	VYBER	1600	37315	\N	\N	0
2996868	9928	1996-07-18	VYDAJ	VYBER	1200	47318	\N	\N	0
2996869	9928	1996-08-12	VYDAJ	PREVOD NA UCET	1489	50981	UVER	KL	10807258
2996870	9928	1996-09-12	VYDAJ	PREVOD NA UCET	1489	45953	UVER	KL	10807258
2996871	9928	1996-10-12	VYDAJ	PREVOD NA UCET	1489	50883	UVER	KL	10807258
2996872	9928	1996-11-12	VYDAJ	PREVOD NA UCET	1489	53371	UVER	KL	10807258
2996873	9928	1996-12-12	VYDAJ	PREVOD NA UCET	1489	52641	UVER	KL	10807258
2996874	9928	1997-01-12	VYDAJ	PREVOD NA UCET	1489	52679	UVER	KL	10807258
2996875	9928	1997-02-12	VYDAJ	PREVOD NA UCET	1489	43767	UVER	KL	10807258
2996876	9928	1997-03-12	VYDAJ	PREVOD NA UCET	1489	58866	UVER	KL	10807258
2996877	9928	1997-04-12	VYDAJ	PREVOD NA UCET	1489	60515	UVER	KL	10807258
2996878	9928	1997-05-12	VYDAJ	PREVOD NA UCET	1489	53967	UVER	KL	10807258
2996879	9928	1997-06-12	VYDAJ	PREVOD NA UCET	1489	40023	UVER	KL	10807258
2996880	9928	1997-07-12	VYDAJ	PREVOD NA UCET	1489	50924	UVER	KL	10807258
2996881	9928	1997-08-12	VYDAJ	PREVOD NA UCET	1489	53162	UVER	KL	10807258
2996882	9928	1997-09-12	VYDAJ	PREVOD NA UCET	1489	64014	UVER	KL	10807258
2996883	9928	1997-10-12	VYDAJ	PREVOD NA UCET	1489	63658	UVER	KL	10807258
2996884	9928	1997-11-12	VYDAJ	PREVOD NA UCET	1489	70438	UVER	KL	10807258
2996885	9928	1997-12-12	VYDAJ	PREVOD NA UCET	1489	82546	UVER	KL	10807258
2996886	9928	1998-01-12	VYDAJ	PREVOD NA UCET	1489	62653	UVER	KL	10807258
2996887	9928	1998-02-12	VYDAJ	PREVOD NA UCET	1489	64502	UVER	KL	10807258
2996888	9928	1998-03-12	VYDAJ	PREVOD NA UCET	1489	65748	UVER	KL	10807258
2996889	9928	1998-04-12	VYDAJ	PREVOD NA UCET	1489	66598	UVER	KL	10807258
2996890	9928	1998-05-12	VYDAJ	PREVOD NA UCET	1489	81618	UVER	KL	10807258
2996891	9928	1998-06-12	VYDAJ	PREVOD NA UCET	1489	89520	UVER	KL	10807258
2996892	9928	1998-07-12	VYDAJ	PREVOD NA UCET	1489	47547	UVER	KL	10807258
2996893	9928	1998-08-12	VYDAJ	PREVOD NA UCET	1489	58972	UVER	KL	10807258
2996894	9928	1998-09-12	VYDAJ	PREVOD NA UCET	1489	71552	UVER	KL	10807258
2996895	9928	1998-10-12	VYDAJ	PREVOD NA UCET	1489	71248	UVER	KL	10807258
2996896	9928	1998-11-12	VYDAJ	PREVOD NA UCET	1489	71832	UVER	KL	10807258
2996897	9928	1998-12-12	VYDAJ	PREVOD NA UCET	1489	76100	UVER	KL	10807258
2996900	9928	1997-06-10	VYDAJ	VYBER	24480	24199	\N	\N	\N
2996901	9928	1998-06-29	VYDAJ	VYBER	31200	45804	\N	\N	\N
2996904	9928	1997-01-23	VYDAJ	VYBER	9600	31463	\N	\N	\N
2996905	9928	1998-01-18	VYDAJ	VYBER	13440	47053	\N	\N	\N
2996907	9928	1996-12-16	VYDAJ	VYBER	1120	51521	\N	\N	\N
2996908	9928	1997-12-29	VYDAJ	VYBER	1440	67290	\N	\N	\N
2996909	9928	1998-12-27	VYDAJ	VYBER	1760	65924	\N	\N	\N
2996922	9928	1997-01-19	VYDAJ	VYBER	2280	41063	\N	\N	\N
2996923	9928	1997-01-10	VYDAJ	VYBER	2760	42626	\N	\N	\N
2996924	9928	1997-01-19	VYDAJ	VYBER	1680	43343	\N	\N	\N
2996925	9928	1997-01-19	VYDAJ	VYBER	2640	45023	\N	\N	\N
2996926	9928	1997-01-02	VYDAJ	VYBER	720	50266	\N	\N	\N
2996927	9928	1997-01-28	VYDAJ	VYBER	1200	30263	\N	\N	\N
2996928	9928	1998-01-05	VYDAJ	VYBER	3480	60616	\N	\N	\N
2996930	9928	1998-01-01	VYDAJ	VYBER	1200	66376	\N	\N	\N
2996931	9928	1998-01-17	VYDAJ	VYBER	2160	60493	\N	\N	\N
2996932	9928	1998-01-24	VYDAJ	VYBER	1920	45133	\N	\N	\N
2996933	9928	1998-01-06	VYDAJ	VYBER	3000	57616	\N	\N	\N
2996939	9928	1996-10-28	VYDAJ	VYBER	840	45027	\N	\N	\N
2996940	9928	1996-09-12	VYDAJ	VYBER	5520	47442	\N	\N	\N
2996941	9928	1996-03-13	VYDAJ	VYBER	5280	41481	\N	\N	\N
2996942	9928	1996-11-29	VYDAJ	VYBER	4800	41155	\N	\N	\N
2996943	9928	1996-07-29	VYDAJ	VYBER	5280	42038	\N	\N	\N
2996944	9928	1996-11-22	VYDAJ	VYBER	2400	45955	\N	\N	\N
2996945	9928	1997-04-23	VYDAJ	VYBER	2880	52619	\N	\N	\N
2996946	9928	1997-01-08	VYDAJ	VYBER	4080	45386	\N	\N	\N
2996947	9928	1997-07-25	VYDAJ	VYBER	3840	42068	\N	\N	\N
2996948	9928	1997-01-02	VYDAJ	VYBER	720	50986	\N	\N	\N
2996949	9928	1998-03-25	VYDAJ	VYBER	720	65028	\N	\N	\N
2996950	9928	1998-12-05	VYDAJ	VYBER	5400	60276	\N	\N	\N
2996951	9928	1998-04-10	VYDAJ	VYBER	4920	61561	\N	\N	\N
2996952	9928	1998-07-03	VYDAJ	VYBER	3600	42510	\N	\N	\N
2996968	9928	1996-03-31	VYDAJ	VYBER	15	40045	SLUZBY	\N	\N
2996969	9928	1996-04-30	VYDAJ	VYBER	15	42828	SLUZBY	\N	\N
2996970	9928	1996-05-31	VYDAJ	VYBER	15	43515	SLUZBY	\N	\N
2996971	9928	1996-06-30	VYDAJ	VYBER	15	49792	SLUZBY	\N	\N
2996972	9928	1996-07-31	VYDAJ	VYBER	15	42228	SLUZBY	\N	\N
2996973	9928	1996-08-31	VYDAJ	VYBER	15	46136	SLUZBY	\N	\N
2996974	9928	1996-09-30	VYDAJ	VYBER	15	46130	SLUZBY	\N	\N
2996975	9928	1996-10-31	VYDAJ	VYBER	15	45218	SLUZBY	\N	\N
2996976	9928	1996-11-30	VYDAJ	VYBER	15	41333	SLUZBY	\N	\N
2996977	9928	1996-12-31	VYDAJ	VYBER	15	51706	SLUZBY	\N	\N
2996978	9928	1997-01-31	VYDAJ	VYBER	15	30430	SLUZBY	\N	\N
2996979	9928	1997-02-28	VYDAJ	VYBER	15	43913	SLUZBY	\N	\N
2996980	9928	1997-03-31	VYDAJ	VYBER	15	54062	SLUZBY	\N	\N
2996981	9928	1997-04-30	VYDAJ	VYBER	15	52830	SLUZBY	\N	\N
2996982	9928	1997-05-31	VYDAJ	VYBER	15	54179	SLUZBY	\N	\N
2996983	9928	1997-06-30	VYDAJ	VYBER	15	35171	SLUZBY	\N	\N
2996984	9928	1997-07-31	VYDAJ	VYBER	15	48125	SLUZBY	\N	\N
2996985	9928	1997-08-31	VYDAJ	VYBER	15	53961	SLUZBY	\N	\N
2996986	9928	1997-09-30	VYDAJ	VYBER	15	58621	SLUZBY	\N	\N
2996987	9928	1997-10-31	VYDAJ	VYBER	15	65401	SLUZBY	\N	\N
2996988	9928	1997-11-30	VYDAJ	VYBER	15	66722	SLUZBY	\N	\N
2996989	9928	1997-12-31	VYDAJ	VYBER	15	67576	SLUZBY	\N	\N
2996990	9928	1998-01-31	VYDAJ	VYBER	15	54449	SLUZBY	\N	\N
2996991	9928	1998-02-28	VYDAJ	VYBER	15	60711	SLUZBY	\N	\N
2996992	9928	1998-03-31	VYDAJ	VYBER	15	66481	SLUZBY	\N	\N
2996993	9928	1998-04-30	VYDAJ	VYBER	15	71565	SLUZBY	\N	\N
2996994	9928	1998-05-31	VYDAJ	VYBER	15	73696	SLUZBY	\N	\N
2996995	9928	1998-06-30	VYDAJ	VYBER	15	46110	SLUZBY	\N	\N
2996996	9928	1998-07-31	VYDAJ	VYBER	15	53935	SLUZBY	\N	\N
2996997	9928	1998-08-31	VYDAJ	VYBER	15	61499	SLUZBY	\N	\N
2996998	9928	1998-09-30	VYDAJ	VYBER	15	61195	SLUZBY	\N	\N
2996999	9928	1998-10-31	VYDAJ	VYBER	15	61779	SLUZBY	\N	\N
2997000	9928	1998-11-30	VYDAJ	VYBER	15	65676	SLUZBY	\N	\N
2997001	9928	1995-12-09	PRIJEM	VKLAD	6000	18074	\N	\N	\N
2997002	9928	1996-01-08	VYDAJ	VYBER	4700	30800	\N	\N	\N
2997003	9928	1996-02-07	VYDAJ	VYBER	8200	34308	\N	\N	\N
2997004	9928	1996-03-08	VYDAJ	VYBER	5800	40235	\N	\N	\N
2997005	9928	1996-04-07	VYDAJ	VYBER	2700	37345	\N	\N	\N
2997006	9928	1996-05-07	VYDAJ	VYBER	4700	36828	\N	\N	\N
2997007	9928	1996-06-06	VYDAJ	VYBER	4600	38915	\N	\N	\N
2997008	9928	1996-07-06	VYDAJ	VYBER	7800	41992	\N	\N	\N
2997009	9928	1996-08-05	VYDAJ	VYBER	1300	40928	\N	\N	\N
2997010	9928	1996-09-04	PRIJEM	VKLAD	300	46436	\N	\N	\N
2997011	9928	1996-10-04	VYDAJ	VYBER	5300	40830	\N	\N	\N
2997012	9928	1996-11-03	VYDAJ	VYBER	1900	43318	\N	\N	\N
2997013	9928	1996-12-03	PRIJEM	VKLAD	500	41833	\N	\N	\N
2997014	9928	1997-01-02	VYDAJ	VYBER	800	49466	\N	\N	\N
2997015	9928	1997-02-01	PRIJEM	VKLAD	8300	38730	\N	\N	\N
2997016	9928	1997-03-03	PRIJEM	VKLAD	4900	48813	\N	\N	\N
2997017	9928	1997-04-02	VYDAJ	VYBER	3600	50462	\N	\N	\N
2997018	9928	1997-05-02	VYDAJ	VYBER	3900	48930	\N	\N	\N
2997019	9928	1997-06-01	VYDAJ	VYBER	5500	48679	\N	\N	\N
2997020	9928	1997-07-01	PRIJEM	VKLAD	5700	40871	\N	\N	\N
2997021	9928	1997-07-31	PRIJEM	VKLAD	5900	48140	\N	\N	\N
2997022	9928	1997-08-30	PRIJEM	VKLAD	600	53762	\N	\N	\N
2997023	9928	1997-09-29	VYDAJ	VYBER	600	58398	\N	\N	\N
2997024	9928	1997-10-29	PRIJEM	VKLAD	1500	65158	\N	\N	\N
2997025	9928	1997-11-28	VYDAJ	VYBER	4000	66438	\N	\N	\N
2997026	9928	1997-12-28	VYDAJ	VYBER	8800	68730	\N	\N	\N
2997027	9928	1998-01-27	PRIJEM	VKLAD	9100	54233	\N	\N	\N
2997028	9928	1998-02-26	PRIJEM	VKLAD	1000	60486	\N	\N	\N
2997029	9928	1998-03-28	PRIJEM	VKLAD	1200	66228	\N	\N	\N
2997030	9928	1998-04-27	PRIJEM	VKLAD	4700	71298	\N	\N	\N
2997031	9928	1998-05-27	VYDAJ	VYBER	3200	73402	\N	\N	\N
2997032	9928	1998-06-26	VYDAJ	VYBER	7500	77004	\N	\N	\N
2997033	9928	1998-07-26	PRIJEM	VKLAD	6200	53747	\N	\N	\N
2997034	9928	1998-08-25	PRIJEM	VKLAD	2300	61272	\N	\N	\N
2997035	9928	1998-09-24	VYDAJ	VYBER	5600	60936	\N	\N	\N
2997036	9928	1998-10-24	VYDAJ	VYBER	4700	61532	\N	\N	\N
2997037	9928	1998-11-23	VYDAJ	VYBER	1400	65416	\N	\N	\N
2997038	9928	1998-12-23	VYDAJ	VYBER	3400	67684	\N	\N	\N
3018012	10001	1995-05-28	PRIJEM	VKLAD	600	600	\N	\N	\N
3018018	10001	1995-06-06	PRIJEM	VKLAD	24126	24726	\N	\N	\N
3018019	10001	1995-07-06	PRIJEM	VKLAD	16084	41624	\N	\N	\N
3018020	10001	1995-08-06	PRIJEM	VKLAD	16084	51221	\N	\N	\N
3018021	10001	1995-09-06	PRIJEM	VKLAD	16084	56255	\N	\N	\N
3018022	10001	1995-10-06	PRIJEM	VKLAD	16084	55505	\N	\N	\N
3018023	10001	1995-11-06	PRIJEM	VKLAD	16084	56077	\N	\N	\N
3018024	10001	1995-12-06	PRIJEM	VKLAD	24126	64981	\N	\N	\N
3018025	10001	1996-01-06	PRIJEM	VKLAD	16084	56833	\N	\N	\N
3018026	10001	1996-02-06	PRIJEM	VKLAD	16084	50292	\N	\N	\N
3018027	10001	1996-03-06	PRIJEM	VKLAD	16084	51716	\N	\N	\N
3018028	10001	1996-04-06	PRIJEM	VKLAD	16084	56473	\N	\N	\N
3018029	10001	1996-05-06	PRIJEM	VKLAD	16084	55244	\N	\N	\N
3018030	10001	1996-06-06	PRIJEM	VKLAD	24126	62542	\N	\N	\N
3018031	10001	1996-07-06	PRIJEM	VKLAD	16084	50168	\N	\N	\N
3018032	10001	1996-08-06	PRIJEM	VKLAD	16084	52276	\N	\N	\N
3018033	10001	1996-09-06	PRIJEM	VKLAD	16084	54402	\N	\N	\N
3018034	10001	1996-10-06	PRIJEM	VKLAD	16084	54519	\N	\N	\N
3018035	10001	1996-11-06	PRIJEM	VKLAD	16084	54437	\N	\N	\N
3018036	10001	1996-12-06	PRIJEM	VKLAD	24126	61900	\N	\N	\N
3018037	10001	1997-01-06	PRIJEM	VKLAD	16084	61438	\N	\N	\N
3018038	10001	1997-02-06	PRIJEM	VKLAD	16084	55878	\N	\N	\N
3018039	10001	1997-03-06	PRIJEM	VKLAD	16084	58099	\N	\N	\N
3018040	10001	1997-04-06	PRIJEM	VKLAD	16084	61833	\N	\N	\N
3018041	10001	1997-05-06	PRIJEM	VKLAD	16084	64579	\N	\N	\N
3018042	10001	1997-06-06	PRIJEM	VKLAD	24126	70977	\N	\N	\N
3018043	10001	1997-07-06	PRIJEM	VKLAD	16084	68243	\N	\N	\N
3018044	10001	1997-08-06	PRIJEM	VKLAD	16084	70312	\N	\N	\N
3018045	10001	1997-09-06	PRIJEM	VKLAD	16084	73891	\N	\N	\N
3018046	10001	1997-10-06	PRIJEM	VKLAD	16084	68170	\N	\N	\N
3018047	10001	1997-11-06	PRIJEM	VKLAD	16084	77051	\N	\N	\N
3018048	10001	1997-12-06	PRIJEM	VKLAD	24126	87401	\N	\N	\N
3018049	10001	1998-01-06	PRIJEM	VKLAD	16084	81137	\N	\N	\N
3018050	10001	1998-02-06	PRIJEM	VKLAD	16084	66349	\N	\N	\N
3018051	10001	1998-03-06	PRIJEM	VKLAD	16084	77527	\N	\N	\N
3018052	10001	1998-04-06	PRIJEM	VKLAD	16084	83839	\N	\N	\N
3018053	10001	1998-05-06	PRIJEM	VKLAD	16084	85780	\N	\N	\N
3018054	10001	1998-06-06	PRIJEM	VKLAD	24126	94654	\N	\N	\N
3018055	10001	1998-07-06	PRIJEM	VKLAD	16084	86699	\N	\N	\N
3018056	10001	1998-08-06	PRIJEM	VKLAD	16084	86430	\N	\N	\N
3018057	10001	1998-09-06	PRIJEM	VKLAD	16084	82050	\N	\N	\N
3018058	10001	1998-10-06	PRIJEM	VKLAD	16084	87980	\N	\N	\N
3018059	10001	1998-11-06	PRIJEM	VKLAD	16084	88318	\N	\N	\N
3018060	10001	1998-12-06	PRIJEM	VKLAD	24126	101113	\N	\N	\N
3018070	10001	1995-10-07	VYDAJ	VYBER	500	55005	\N	\N	0
3018071	10001	1995-11-12	VYDAJ	VYBER	600	55477	\N	\N	0
3018072	10001	1995-12-21	VYDAJ	VYBER	500	64481	\N	\N	0
3018073	10001	1996-01-14	VYDAJ	VYBER	500	52633	\N	\N	0
3018074	10001	1996-02-17	VYDAJ	VYBER	500	49792	\N	\N	0
3018075	10001	1996-03-07	VYDAJ	VYBER	500	51216	\N	\N	0
3018076	10001	1996-04-07	VYDAJ	VYBER	400	56073	\N	\N	0
3018077	10001	1996-05-11	VYDAJ	VYBER	500	52144	\N	\N	0
3018078	10001	1996-06-20	VYDAJ	VYBER	600	39642	\N	\N	0
3018079	10001	1996-07-12	VYDAJ	PREVOD NA UCET	529	49639	UVER	WX	77369373
3018080	10001	1996-08-12	VYDAJ	PREVOD NA UCET	529	51747	UVER	WX	77369373
3018081	10001	1996-09-12	VYDAJ	PREVOD NA UCET	529	53873	UVER	WX	77369373
3018082	10001	1996-10-12	VYDAJ	PREVOD NA UCET	529	53990	UVER	WX	77369373
3018083	10001	1996-11-12	VYDAJ	PREVOD NA UCET	529	49208	UVER	WX	77369373
3018084	10001	1996-12-12	VYDAJ	PREVOD NA UCET	529	61371	UVER	WX	77369373
3018085	10001	1997-01-12	VYDAJ	PREVOD NA UCET	529	54409	UVER	WX	77369373
3018086	10001	1997-02-12	VYDAJ	PREVOD NA UCET	529	52149	UVER	WX	77369373
3018087	10001	1997-03-12	VYDAJ	PREVOD NA UCET	529	57570	UVER	WX	77369373
3018088	10001	1997-04-12	VYDAJ	PREVOD NA UCET	529	61304	UVER	WX	77369373
3018089	10001	1997-05-12	VYDAJ	PREVOD NA UCET	529	64050	UVER	WX	77369373
3018090	10001	1997-06-12	VYDAJ	PREVOD NA UCET	529	62348	UVER	WX	77369373
3018091	10001	1997-07-12	VYDAJ	PREVOD NA UCET	529	67714	UVER	WX	77369373
3018092	10001	1997-08-12	VYDAJ	PREVOD NA UCET	529	69783	UVER	WX	77369373
3018093	10001	1997-09-12	VYDAJ	PREVOD NA UCET	529	73362	UVER	WX	77369373
3018094	10001	1997-10-12	VYDAJ	PREVOD NA UCET	529	67641	UVER	WX	77369373
3018095	10001	1997-11-12	VYDAJ	PREVOD NA UCET	529	76522	UVER	WX	77369373
3018096	10001	1997-12-12	VYDAJ	PREVOD NA UCET	529	86872	UVER	WX	77369373
3018097	10001	1998-01-12	VYDAJ	PREVOD NA UCET	529	66408	UVER	WX	77369373
3018098	10001	1998-02-12	VYDAJ	PREVOD NA UCET	529	61220	UVER	WX	77369373
3018099	10001	1998-03-12	VYDAJ	PREVOD NA UCET	529	76998	UVER	WX	77369373
3018100	10001	1998-04-12	VYDAJ	PREVOD NA UCET	529	83310	UVER	WX	77369373
3018101	10001	1998-05-12	VYDAJ	PREVOD NA UCET	529	70251	UVER	WX	77369373
3018102	10001	1998-06-12	VYDAJ	PREVOD NA UCET	529	74025	UVER	WX	77369373
3018103	10001	1998-07-12	VYDAJ	PREVOD NA UCET	529	70070	UVER	WX	77369373
3018104	10001	1998-08-12	VYDAJ	PREVOD NA UCET	529	70401	UVER	WX	77369373
3018105	10001	1998-09-12	VYDAJ	PREVOD NA UCET	529	71621	UVER	WX	77369373
3018106	10001	1998-10-12	VYDAJ	PREVOD NA UCET	529	71951	UVER	WX	77369373
3018107	10001	1998-11-12	VYDAJ	PREVOD NA UCET	529	76689	UVER	WX	77369373
3018108	10001	1998-12-12	VYDAJ	PREVOD NA UCET	529	81084	UVER	WX	77369373
3018110	10001	1996-06-12	VYDAJ	VYBER	22300	40242	\N	\N	\N
3018111	10001	1997-06-07	VYDAJ	VYBER	8100	62877	\N	\N	\N
3018112	10001	1998-06-08	VYDAJ	VYBER	4100	90554	\N	\N	\N
3018114	10001	1996-01-17	VYDAJ	VYBER	5700	46933	\N	\N	\N
3018115	10001	1997-01-06	VYDAJ	VYBER	4200	57238	\N	\N	\N
3018116	10001	1998-01-30	VYDAJ	VYBER	2900	52908	\N	\N	\N
3018123	10001	1996-01-01	VYDAJ	VYBER	2100	41349	\N	\N	\N
3018124	10001	1996-01-29	VYDAJ	VYBER	1900	34033	\N	\N	\N
3018125	10001	1996-01-26	VYDAJ	VYBER	2500	35933	\N	\N	\N
3018126	10001	1996-01-08	VYDAJ	VYBER	1700	55133	\N	\N	\N
3018127	10001	1996-01-01	VYDAJ	VYBER	600	40749	\N	\N	\N
3018128	10001	1996-01-10	VYDAJ	VYBER	2000	53133	\N	\N	\N
3018129	10001	1997-01-28	VYDAJ	VYBER	2600	39609	\N	\N	\N
3018130	10001	1997-01-14	VYDAJ	VYBER	1200	53209	\N	\N	\N
3018131	10001	1997-01-01	VYDAJ	VYBER	1300	47954	\N	\N	\N
3018132	10001	1997-01-08	VYDAJ	VYBER	2300	54938	\N	\N	\N
3018133	10001	1997-01-01	VYDAJ	VYBER	2600	45354	\N	\N	\N
3018134	10001	1997-01-28	VYDAJ	VYBER	1200	42209	\N	\N	\N
3018135	10001	1998-01-15	VYDAJ	VYBER	2500	63908	\N	\N	\N
3018136	10001	1998-01-28	VYDAJ	VYBER	2900	55808	\N	\N	\N
3018137	10001	1998-01-16	VYDAJ	VYBER	2500	61408	\N	\N	\N
3018138	10001	1998-01-30	VYDAJ	VYBER	2900	50008	\N	\N	\N
3018139	10001	1998-01-25	VYDAJ	VYBER	2700	58708	\N	\N	\N
3018140	10001	1998-01-03	VYDAJ	VYBER	2200	65053	\N	\N	\N
3018148	10001	1996-08-02	VYDAJ	VYBER	3100	36192	\N	\N	\N
3018149	10001	1996-04-27	VYDAJ	VYBER	3900	38973	\N	\N	\N
3018150	10001	1996-11-06	VYDAJ	VYBER	4700	49737	\N	\N	\N
3018151	10001	1996-10-29	VYDAJ	VYBER	2900	38190	\N	\N	\N
3018152	10001	1996-05-08	VYDAJ	VYBER	2600	52644	\N	\N	\N
3018153	10001	1996-09-22	VYDAJ	VYBER	4600	38273	\N	\N	\N
3018154	10001	1997-12-02	VYDAJ	VYBER	2700	63275	\N	\N	\N
3018155	10001	1997-09-15	VYDAJ	VYBER	3600	56462	\N	\N	\N
3018156	10001	1997-09-26	VYDAJ	VYBER	4600	51862	\N	\N	\N
3018157	10001	1997-02-10	VYDAJ	VYBER	3200	52678	\N	\N	\N
3018158	10001	1997-05-30	VYDAJ	VYBER	4500	46650	\N	\N	\N
3018159	10001	1998-12-06	VYDAJ	VYBER	1300	99813	\N	\N	\N
3018160	10001	1998-08-13	VYDAJ	VYBER	4700	65701	\N	\N	\N
3018161	10001	1998-04-20	VYDAJ	VYBER	3800	69410	\N	\N	\N
3018162	10001	1998-06-20	VYDAJ	VYBER	3700	70325	\N	\N	\N
3018163	10001	1998-12-28	VYDAJ	VYBER	1600	78584	\N	\N	\N
3018164	10001	1998-12-19	VYDAJ	VYBER	900	80184	\N	\N	\N
3018175	10001	1995-10-31	VYDAJ	VYBER	15	39993	SLUZBY	\N	\N
3018176	10001	1995-11-30	VYDAJ	VYBER	15	40855	SLUZBY	\N	\N
3018177	10001	1995-12-31	VYDAJ	VYBER	15	43449	SLUZBY	\N	\N
3018178	10001	1996-01-31	VYDAJ	VYBER	15	34208	SLUZBY	\N	\N
3018179	10001	1996-02-29	VYDAJ	VYBER	15	35632	SLUZBY	\N	\N
3018180	10001	1996-03-31	VYDAJ	VYBER	15	40389	SLUZBY	\N	\N
3018181	10001	1996-04-30	VYDAJ	VYBER	15	39160	SLUZBY	\N	\N
3018182	10001	1996-05-31	VYDAJ	VYBER	15	38416	SLUZBY	\N	\N
3018183	10001	1996-06-30	VYDAJ	VYBER	15	34084	SLUZBY	\N	\N
3018184	10001	1996-07-31	VYDAJ	VYBER	15	39292	SLUZBY	\N	\N
3018185	10001	1996-08-31	VYDAJ	VYBER	15	38318	SLUZBY	\N	\N
3018186	10001	1996-09-30	VYDAJ	VYBER	15	38435	SLUZBY	\N	\N
3018187	10001	1996-10-31	VYDAJ	VYBER	15	38353	SLUZBY	\N	\N
3018188	10001	1996-11-30	VYDAJ	VYBER	15	37774	SLUZBY	\N	\N
3018189	10001	1996-12-31	VYDAJ	VYBER	15	49254	SLUZBY	\N	\N
3018190	10001	1997-01-31	VYDAJ	VYBER	15	39794	SLUZBY	\N	\N
3018191	10001	1997-02-28	VYDAJ	VYBER	15	42015	SLUZBY	\N	\N
3018192	10001	1997-03-31	VYDAJ	VYBER	15	45749	SLUZBY	\N	\N
3018193	10001	1997-04-30	VYDAJ	VYBER	15	48495	SLUZBY	\N	\N
3018194	10001	1997-05-31	VYDAJ	VYBER	15	46851	SLUZBY	\N	\N
3018195	10001	1997-06-30	VYDAJ	VYBER	15	52159	SLUZBY	\N	\N
3018196	10001	1997-07-31	VYDAJ	VYBER	15	54228	SLUZBY	\N	\N
3018197	10001	1997-08-31	VYDAJ	VYBER	15	57807	SLUZBY	\N	\N
3018198	10001	1997-09-30	VYDAJ	VYBER	15	52086	SLUZBY	\N	\N
3018199	10001	1997-10-31	VYDAJ	VYBER	15	60967	SLUZBY	\N	\N
3018200	10001	1997-11-30	VYDAJ	VYBER	15	65975	SLUZBY	\N	\N
3018201	10001	1997-12-31	VYDAJ	VYBER	15	67253	SLUZBY	\N	\N
3018202	10001	1998-01-31	VYDAJ	VYBER	15	50265	SLUZBY	\N	\N
3018203	10001	1998-02-28	VYDAJ	VYBER	15	61443	SLUZBY	\N	\N
3018204	10001	1998-03-31	VYDAJ	VYBER	15	67755	SLUZBY	\N	\N
3018205	10001	1998-04-30	VYDAJ	VYBER	15	69696	SLUZBY	\N	\N
3018206	10001	1998-05-31	VYDAJ	VYBER	15	70528	SLUZBY	\N	\N
3018207	10001	1998-06-30	VYDAJ	VYBER	15	70615	SLUZBY	\N	\N
3018208	10001	1998-07-31	VYDAJ	VYBER	15	70346	SLUZBY	\N	\N
3018209	10001	1998-08-31	VYDAJ	VYBER	15	65966	SLUZBY	\N	\N
3018210	10001	1998-09-30	VYDAJ	VYBER	15	71896	SLUZBY	\N	\N
3018211	10001	1998-10-31	VYDAJ	VYBER	15	72234	SLUZBY	\N	\N
3018212	10001	1998-11-30	VYDAJ	VYBER	15	76987	SLUZBY	\N	\N
3018213	10001	1995-06-27	PRIJEM	VKLAD	800	25526	\N	\N	\N
3018214	10001	1995-07-27	VYDAJ	VYBER	6600	35024	\N	\N	\N
3018215	10001	1995-08-26	VYDAJ	VYBER	11200	40021	\N	\N	\N
3018216	10001	1995-09-25	VYDAJ	VYBER	17000	39255	\N	\N	\N
3018217	10001	1995-10-25	VYDAJ	VYBER	15200	39805	\N	\N	\N
3018218	10001	1995-11-24	VYDAJ	VYBER	14800	40677	\N	\N	\N
3018219	10001	1995-12-24	VYDAJ	VYBER	21200	43281	\N	\N	\N
3018220	10001	1996-01-23	VYDAJ	VYBER	8500	38433	\N	\N	\N
3018221	10001	1996-02-22	VYDAJ	VYBER	14300	35492	\N	\N	\N
3018222	10001	1996-03-23	VYDAJ	VYBER	11000	40216	\N	\N	\N
3018223	10001	1996-04-22	VYDAJ	VYBER	13200	42873	\N	\N	\N
3018224	10001	1996-05-22	VYDAJ	VYBER	13900	38244	\N	\N	\N
3018225	10001	1996-06-21	VYDAJ	VYBER	5700	33942	\N	\N	\N
3018226	10001	1996-07-21	VYDAJ	VYBER	10500	39139	\N	\N	\N
3018227	10001	1996-08-20	VYDAJ	VYBER	13600	38147	\N	\N	\N
3018228	10001	1996-09-19	VYDAJ	VYBER	11000	42873	\N	\N	\N
3018229	10001	1996-10-19	VYDAJ	VYBER	12900	41090	\N	\N	\N
3018230	10001	1996-11-18	VYDAJ	VYBER	11600	37608	\N	\N	\N
3018231	10001	1996-12-18	VYDAJ	VYBER	12300	49071	\N	\N	\N
3018232	10001	1997-01-17	VYDAJ	VYBER	9800	43409	\N	\N	\N
3018233	10001	1997-02-16	VYDAJ	VYBER	10300	41849	\N	\N	\N
3018234	10001	1997-03-18	VYDAJ	VYBER	12000	45570	\N	\N	\N
3018235	10001	1997-04-17	VYDAJ	VYBER	13000	48304	\N	\N	\N
3018236	10001	1997-05-17	VYDAJ	VYBER	12900	51150	\N	\N	\N
3018237	10001	1997-06-16	VYDAJ	VYBER	10400	51948	\N	\N	\N
3018238	10001	1997-07-16	VYDAJ	VYBER	13700	54014	\N	\N	\N
3018239	10001	1997-08-15	VYDAJ	VYBER	12200	57583	\N	\N	\N
3018240	10001	1997-09-14	VYDAJ	VYBER	13300	60062	\N	\N	\N
3018241	10001	1997-10-14	VYDAJ	VYBER	6900	60741	\N	\N	\N
3018242	10001	1997-11-13	VYDAJ	VYBER	10800	65722	\N	\N	\N
3018243	10001	1997-12-13	VYDAJ	VYBER	19900	66972	\N	\N	\N
3018244	10001	1998-01-12	VYDAJ	VYBER	14200	66937	\N	\N	\N
3018245	10001	1998-02-11	VYDAJ	VYBER	4600	61749	\N	\N	\N
3018246	10001	1998-03-13	VYDAJ	VYBER	9500	67498	\N	\N	\N
3018247	10001	1998-04-12	VYDAJ	VYBER	10100	73210	\N	\N	\N
3018248	10001	1998-05-12	VYDAJ	VYBER	15000	70780	\N	\N	\N
3018249	10001	1998-06-11	VYDAJ	VYBER	16000	74554	\N	\N	\N
3018250	10001	1998-07-11	VYDAJ	VYBER	16100	70599	\N	\N	\N
3018251	10001	1998-08-10	VYDAJ	VYBER	15500	70930	\N	\N	\N
3018252	10001	1998-09-09	VYDAJ	VYBER	9900	72150	\N	\N	\N
3018253	10001	1998-10-09	VYDAJ	VYBER	15500	72480	\N	\N	\N
3018254	10001	1998-11-08	VYDAJ	VYBER	11100	77218	\N	\N	\N
3018255	10001	1998-12-08	VYDAJ	VYBER	18200	81613	\N	\N	\N
3018852	10005	1997-11-29	PRIJEM	VKLAD	200	200	\N	\N	\N
3018864	10005	1997-12-08	PRIJEM	PREVOD Z UCTU	52688	52888	\N	WX	25476360
3018865	10005	1998-01-08	PRIJEM	PREVOD Z UCTU	35125	74629	\N	WX	25476360
3018866	10005	1998-02-08	PRIJEM	PREVOD Z UCTU	35125	84524	\N	WX	25476360
3018867	10005	1998-03-08	PRIJEM	PREVOD Z UCTU	35125	85954	\N	WX	25476360
3018868	10005	1998-04-08	PRIJEM	PREVOD Z UCTU	35125	87393	\N	WX	25476360
3018869	10005	1998-05-08	PRIJEM	PREVOD Z UCTU	35125	79249	\N	WX	25476360
3018870	10005	1998-06-08	PRIJEM	PREVOD Z UCTU	52688	86124	\N	WX	25476360
3018871	10005	1998-07-08	PRIJEM	PREVOD Z UCTU	35125	59723	\N	WX	25476360
3018872	10005	1998-08-08	PRIJEM	PREVOD Z UCTU	35125	67039	\N	WX	25476360
3018873	10005	1998-09-08	PRIJEM	PREVOD Z UCTU	35125	60813	\N	WX	25476360
3018874	10005	1998-10-08	PRIJEM	PREVOD Z UCTU	35125	60030	\N	WX	25476360
3018875	10005	1998-11-08	PRIJEM	PREVOD Z UCTU	35125	57716	\N	WX	25476360
3018876	10005	1998-12-08	PRIJEM	PREVOD Z UCTU	52688	76119	\N	WX	25476360
3018892	10005	1998-04-06	VYDAJ	VYBER	5400	52268	\N	\N	0
3018893	10005	1998-05-03	VYDAJ	VYBER	6200	44124	\N	\N	0
3018894	10005	1998-06-21	VYDAJ	VYBER	5500	27542	\N	\N	0
3018895	10005	1998-07-14	VYDAJ	VYBER	5500	45072	\N	\N	0
3018896	10005	1998-08-12	VYDAJ	PREVOD NA UCET	5854	52034	UVER	WX	1889122
3018897	10005	1998-09-12	VYDAJ	PREVOD NA UCET	5854	45808	UVER	WX	1889122
3018898	10005	1998-10-12	VYDAJ	PREVOD NA UCET	5854	39665	UVER	WX	1889122
3018899	10005	1998-11-12	VYDAJ	PREVOD NA UCET	5854	42711	UVER	WX	1889122
3018900	10005	1998-12-12	VYDAJ	PREVOD NA UCET	5854	61114	UVER	WX	1889122
3018916	10005	1998-04-10	VYDAJ	PREVOD NA UCET	9151	78242	SIPO	WX	9563577
3018917	10005	1998-05-10	VYDAJ	PREVOD NA UCET	9151	70098	SIPO	WX	9563577
3018918	10005	1998-06-10	VYDAJ	PREVOD NA UCET	9151	76973	SIPO	WX	9563577
3018919	10005	1998-07-10	VYDAJ	PREVOD NA UCET	9151	50572	SIPO	WX	9563577
3018920	10005	1998-08-10	VYDAJ	PREVOD NA UCET	9151	57888	SIPO	WX	9563577
3018921	10005	1998-09-10	VYDAJ	PREVOD NA UCET	9151	51662	SIPO	WX	9563577
3018922	10005	1998-10-10	VYDAJ	PREVOD NA UCET	9151	45519	SIPO	WX	9563577
3018923	10005	1998-11-10	VYDAJ	PREVOD NA UCET	9151	48565	SIPO	WX	9563577
3018924	10005	1998-12-10	VYDAJ	PREVOD NA UCET	9151	66968	SIPO	WX	9563577
3018928	10005	1998-09-29	VYBER	VYBER	2139	24769	\N	\N	\N
3018930	10005	1998-10-08	VYBER	VYBER	5360	54670	\N	\N	\N
3018934	10005	1998-06-21	VYBER	VYBER	10631	33042	\N	\N	\N
3018937	10005	1998-06-10	VYDAJ	VYBER	33300	43673	\N	\N	\N
3018941	10005	1998-12-19	VYDAJ	VYBER	7500	53614	\N	\N	\N
3018960	10005	1998-05-23	VYDAJ	VYBER	10200	59898	\N	\N	\N
3018961	10005	1998-06-06	VYDAJ	VYBER	6600	33436	\N	\N	\N
3018962	10005	1998-08-23	VYDAJ	VYBER	10500	41534	\N	\N	\N
3018979	10005	1998-04-30	VYDAJ	VYBER	15	50324	SLUZBY	\N	\N
3018980	10005	1998-05-31	VYDAJ	VYBER	15	40036	SLUZBY	\N	\N
3018981	10005	1998-06-30	VYDAJ	VYBER	15	24598	SLUZBY	\N	\N
3018982	10005	1998-07-31	VYDAJ	VYBER	15	31914	SLUZBY	\N	\N
3018983	10005	1998-08-31	VYDAJ	VYBER	15	25688	SLUZBY	\N	\N
3018984	10005	1998-09-30	VYDAJ	VYBER	15	24905	SLUZBY	\N	\N
3018985	10005	1998-10-31	VYDAJ	VYBER	15	22591	SLUZBY	\N	\N
3018986	10005	1998-11-30	VYDAJ	VYBER	15	23431	SLUZBY	\N	\N
3018987	10005	1997-12-29	VYDAJ	VYBER	13400	39488	\N	\N	\N
3018988	10005	1998-01-28	VYDAJ	VYBER	25400	49229	\N	\N	\N
3018989	10005	1998-02-27	VYDAJ	VYBER	33900	50624	\N	\N	\N
3018990	10005	1998-03-29	VYDAJ	VYBER	28500	57454	\N	\N	\N
3018991	10005	1998-04-28	VYDAJ	VYBER	28200	50042	\N	\N	\N
3018992	10005	1998-05-28	VYDAJ	VYBER	20100	39798	\N	\N	\N
3018993	10005	1998-06-27	VYDAJ	VYBER	3100	24442	\N	\N	\N
3018994	10005	1998-07-27	VYDAJ	VYBER	13300	31772	\N	\N	\N
3018995	10005	1998-08-26	VYDAJ	VYBER	16000	25534	\N	\N	\N
3018996	10005	1998-09-25	VYDAJ	VYBER	18900	26908	\N	\N	\N
3018997	10005	1998-10-25	VYDAJ	VYBER	17200	22465	\N	\N	\N
3018998	10005	1998-11-24	VYDAJ	VYBER	19400	23311	\N	\N	\N
3021153	10018	1995-07-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3021161	10018	1995-08-12	PRIJEM	VKLAD	20176	21176	\N	\N	\N
3021162	10018	1995-09-12	PRIJEM	VKLAD	20176	41206	\N	\N	\N
3021163	10018	1995-10-12	PRIJEM	VKLAD	20176	52725	\N	\N	\N
3021164	10018	1995-11-12	PRIJEM	VKLAD	20176	59198	\N	\N	\N
3021165	10018	1995-12-12	PRIJEM	VKLAD	30264	68876	\N	\N	\N
3021166	10018	1996-01-12	PRIJEM	VKLAD	20176	60155	\N	\N	\N
3021167	10018	1996-02-12	PRIJEM	VKLAD	20176	42110	\N	\N	\N
3021168	10018	1996-03-12	PRIJEM	VKLAD	20176	53806	\N	\N	\N
3021169	10018	1996-04-12	PRIJEM	VKLAD	20176	50169	\N	\N	\N
3021170	10018	1996-05-12	PRIJEM	VKLAD	20176	46811	\N	\N	\N
3021171	10018	1996-06-12	PRIJEM	VKLAD	30264	57760	\N	\N	\N
3021172	10018	1996-07-12	PRIJEM	VKLAD	20176	30219	\N	\N	\N
3021173	10018	1996-08-12	PRIJEM	VKLAD	20176	38822	\N	\N	\N
3021174	10018	1996-09-12	PRIJEM	VKLAD	20176	33043	\N	\N	\N
3021175	10018	1996-10-12	PRIJEM	VKLAD	20176	45065	\N	\N	\N
3021176	10018	1996-11-12	PRIJEM	VKLAD	20176	45386	\N	\N	\N
3021177	10018	1996-12-12	PRIJEM	VKLAD	30264	47538	\N	\N	\N
3021178	10018	1997-01-12	PRIJEM	VKLAD	20176	27494	\N	\N	\N
3021179	10018	1997-02-12	PRIJEM	VKLAD	20176	26949	\N	\N	\N
3021180	10018	1997-03-12	PRIJEM	VKLAD	20176	28019	\N	\N	\N
3021181	10018	1997-04-12	PRIJEM	VKLAD	20176	31824	\N	\N	\N
3021182	10018	1997-05-12	PRIJEM	VKLAD	20176	41737	\N	\N	\N
3021183	10018	1997-06-12	PRIJEM	VKLAD	30264	45986	\N	\N	\N
3021184	10018	1997-07-12	PRIJEM	VKLAD	20176	15789	\N	\N	\N
3021185	10018	1997-08-12	PRIJEM	VKLAD	20176	21697	\N	\N	\N
3021186	10018	1997-09-12	PRIJEM	VKLAD	20176	24464	\N	\N	\N
3021187	10018	1997-10-12	PRIJEM	VKLAD	20176	31475	\N	\N	\N
3021188	10018	1997-11-12	PRIJEM	VKLAD	20176	35318	\N	\N	\N
3021189	10018	1997-12-12	PRIJEM	VKLAD	30264	41070	\N	\N	\N
3021190	10018	1998-01-12	PRIJEM	VKLAD	20176	34175	\N	\N	\N
3021191	10018	1998-02-12	PRIJEM	VKLAD	20176	22932	\N	\N	\N
3021192	10018	1998-03-12	PRIJEM	VKLAD	20176	27319	\N	\N	\N
3021193	10018	1998-04-12	PRIJEM	VKLAD	20176	30819	\N	\N	\N
3021194	10018	1998-05-12	PRIJEM	VKLAD	20176	17852	\N	\N	\N
3021195	10018	1998-06-12	PRIJEM	VKLAD	30264	31780	\N	\N	\N
3021196	10018	1998-07-12	PRIJEM	VKLAD	20176	15224	\N	\N	\N
3021197	10018	1998-08-12	PRIJEM	VKLAD	20176	21338	\N	\N	\N
3021198	10018	1998-09-12	PRIJEM	VKLAD	20176	26384	\N	\N	\N
3021199	10018	1998-10-12	PRIJEM	VKLAD	20176	17168	\N	\N	\N
3021200	10018	1998-11-12	PRIJEM	VKLAD	20176	27013	\N	\N	\N
3021201	10018	1998-12-12	PRIJEM	VKLAD	30264	37802	\N	\N	\N
3021213	10018	1995-12-13	VYDAJ	VYBER	5600	63276	SIPO	\N	0
3021214	10018	1996-01-16	VYDAJ	VYBER	7900	52255	SIPO	\N	0
3021215	10018	1996-02-11	VYDAJ	VYBER	5500	21934	SIPO	\N	0
3021216	10018	1996-03-21	VYDAJ	VYBER	8400	31606	SIPO	\N	0
3021217	10018	1996-04-17	VYDAJ	VYBER	6700	43469	SIPO	\N	0
3021218	10018	1996-05-12	VYDAJ	VYBER	7500	39311	SIPO	\N	0
3021219	10018	1996-06-14	VYDAJ	VYBER	8400	46860	SIPO	\N	0
3021220	10018	1996-07-08	VYDAJ	VYBER	8600	10043	SIPO	\N	0
3021221	10018	1996-08-16	VYDAJ	VYBER	8100	23922	SIPO	\N	0
3021222	10018	1996-09-09	VYDAJ	VYBER	7900	14467	SIPO	\N	0
3021223	10018	1996-10-18	VYDAJ	VYBER	5600	25065	SIPO	\N	0
3021224	10018	1996-11-20	VYDAJ	VYBER	8700	21686	SIPO	\N	0
3021225	10018	1996-12-18	VYDAJ	VYBER	6600	25038	SIPO	\N	0
3021226	10018	1997-01-06	VYDAJ	VYBER	7600	14418	SIPO	\N	0
3021227	10018	1997-02-21	VYDAJ	VYBER	6600	17349	SIPO	\N	0
3021228	10018	1997-03-08	VYDAJ	VYBER	7900	7843	SIPO	\N	0
3021229	10018	1997-04-06	VYDAJ	VYBER	6900	11648	SIPO	\N	0
3021230	10018	1997-05-20	VYDAJ	VYBER	7300	21837	SIPO	\N	0
3021231	10018	1997-06-21	VYDAJ	VYBER	7600	4286	SIPO	\N	0
3021232	10018	1997-07-02	VYDAJ	VYBER	5500	-2687	SIPO	\N	0
3021233	10018	1997-08-03	VYDAJ	VYBER	8200	5121	SIPO	\N	0
3021234	10018	1997-09-10	VYDAJ	VYBER	8600	4288	SIPO	\N	0
3021235	10018	1997-10-02	VYDAJ	VYBER	8100	15099	SIPO	\N	0
3021236	10018	1997-11-07	VYDAJ	VYBER	5700	25242	SIPO	\N	0
3021237	10018	1997-12-08	VYDAJ	VYBER	6500	24706	SIPO	\N	0
3021238	10018	1998-01-12	VYDAJ	VYBER	8100	26075	SIPO	\N	0
3021239	10018	1998-02-07	VYDAJ	VYBER	8400	15356	SIPO	\N	0
3021240	10018	1998-03-02	VYDAJ	VYBER	5600	17443	SIPO	\N	0
3021241	10018	1998-04-20	VYDAJ	VYBER	7400	21719	SIPO	\N	0
3021242	10018	1998-05-07	VYDAJ	VYBER	7300	12276	SIPO	\N	0
3021243	10018	1998-06-06	VYDAJ	VYBER	8500	7816	SIPO	\N	0
3021244	10018	1998-07-02	VYDAJ	VYBER	7400	5148	SIPO	\N	0
3021245	10018	1998-08-12	VYDAJ	VYBER	5500	15838	SIPO	\N	0
3021246	10018	1998-09-13	VYDAJ	VYBER	6100	20284	SIPO	\N	0
3021247	10018	1998-10-07	VYDAJ	VYBER	5600	-608	SIPO	\N	0
3021248	10018	1998-11-19	VYDAJ	VYBER	5900	21113	SIPO	\N	0
3021249	10018	1998-12-20	VYDAJ	VYBER	8500	29302	SIPO	\N	0
3021262	10018	1996-01-07	VYDAJ	VYBER	1600	39979	 	\N	0
3021263	10018	1996-02-03	VYDAJ	VYBER	2200	27434	 	\N	0
3021264	10018	1996-03-13	VYDAJ	VYBER	2400	51406	 	\N	0
3021265	10018	1996-04-09	VYDAJ	VYBER	1900	29993	 	\N	0
3021266	10018	1996-05-13	VYDAJ	VYBER	2500	36811	 	\N	0
3021267	10018	1996-06-13	VYDAJ	VYBER	2500	55260	 	\N	0
3021268	10018	1996-07-14	VYDAJ	VYBER	2200	28019	 	\N	0
3021269	10018	1996-08-18	VYDAJ	VYBER	1700	22222	 	\N	0
3021270	10018	1996-09-10	VYDAJ	VYBER	1600	12867	 	\N	0
3021271	10018	1996-10-17	VYDAJ	VYBER	1700	30665	 	\N	0
3021272	10018	1996-11-12	VYDAJ	VYBER	2600	42786	 	\N	0
3021273	10018	1996-12-06	VYDAJ	VYBER	1700	17274	 	\N	0
3021274	10018	1997-01-15	VYDAJ	VYBER	1700	16294	 	\N	0
3021275	10018	1997-02-14	VYDAJ	VYBER	1600	23949	 	\N	0
3021276	10018	1997-03-02	VYDAJ	VYBER	1700	15743	 	\N	0
3021277	10018	1997-04-02	VYDAJ	VYBER	2500	18548	 	\N	0
3021278	10018	1997-05-13	VYDAJ	VYBER	2100	29137	 	\N	0
3021279	10018	1997-06-10	VYDAJ	VYBER	1600	15722	 	\N	0
3021280	10018	1997-07-07	VYDAJ	VYBER	1700	-4387	 	\N	0
3021281	10018	1997-08-04	VYDAJ	VYBER	2500	2621	 	\N	0
3021282	10018	1997-09-01	VYDAJ	VYBER	2200	19588	 	\N	0
3021283	10018	1997-10-11	VYDAJ	VYBER	2500	11299	 	\N	0
3021284	10018	1997-11-14	VYDAJ	VYBER	2300	33018	 	\N	0
3021285	10018	1997-12-16	VYDAJ	VYBER	1800	39270	 	\N	0
3021286	10018	1998-01-02	VYDAJ	VYBER	2200	37299	 	\N	0
3021287	10018	1998-02-10	VYDAJ	VYBER	1600	2756	 	\N	0
3021288	10018	1998-03-16	VYDAJ	VYBER	2600	24719	 	\N	0
3021289	10018	1998-04-13	VYDAJ	VYBER	1700	29119	 	\N	0
3021290	10018	1998-05-17	VYDAJ	VYBER	1600	16252	 	\N	0
3021291	10018	1998-06-16	VYDAJ	VYBER	2100	12480	 	\N	0
3021292	10018	1998-07-09	VYDAJ	VYBER	1800	-4953	 	\N	0
3021294	10018	1998-09-13	VYDAJ	VYBER	1800	18484	 	\N	0
3021295	10018	1998-10-08	VYDAJ	VYBER	2400	-3008	 	\N	0
3021296	10018	1998-11-09	VYDAJ	VYBER	1600	6837	 	\N	0
3021299	10018	1996-06-29	VYDAJ	VYBER	10400	18460	\N	\N	\N
3021300	10018	1997-06-19	VYDAJ	VYBER	20900	11886	\N	\N	\N
3021301	10018	1998-06-12	VYDAJ	VYBER	17200	14580	\N	\N	\N
3021302	10018	1995-12-28	VYDAJ	VYBER	1000	43976	\N	\N	\N
3021303	10018	1996-12-24	VYDAJ	VYBER	700	24338	\N	\N	\N
3021304	10018	1997-12-05	VYDAJ	VYBER	2000	31206	\N	\N	\N
3021305	10018	1998-12-25	VYDAJ	VYBER	1200	28102	\N	\N	\N
3021312	10018	1996-01-07	VYDAJ	VYBER	1500	41579	\N	\N	\N
3021313	10018	1996-01-17	VYDAJ	VYBER	2500	49755	\N	\N	\N
3021314	10018	1996-01-03	VYDAJ	VYBER	1200	43079	\N	\N	\N
3021315	10018	1996-01-20	VYDAJ	VYBER	2100	30455	\N	\N	\N
3021316	10018	1996-01-24	VYDAJ	VYBER	1100	29355	\N	\N	\N
3021317	10018	1996-01-18	VYDAJ	VYBER	1800	47955	\N	\N	\N
3021318	10018	1997-01-06	VYDAJ	VYBER	2900	11518	\N	\N	\N
3021319	10018	1997-01-23	VYDAJ	VYBER	1900	9094	\N	\N	\N
3021320	10018	1997-01-22	VYDAJ	VYBER	2600	10994	\N	\N	\N
3021321	10018	1997-01-30	VYDAJ	VYBER	2400	6694	\N	\N	\N
3021322	10018	1997-01-16	VYDAJ	VYBER	2700	13594	\N	\N	\N
3021323	10018	1997-01-02	VYDAJ	VYBER	2500	22018	\N	\N	\N
3021324	10018	1998-01-02	VYDAJ	VYBER	1500	35799	\N	\N	\N
3021325	10018	1998-01-13	VYDAJ	VYBER	800	25275	\N	\N	\N
3021326	10018	1998-01-07	VYDAJ	VYBER	1800	33999	\N	\N	\N
3021327	10018	1998-01-09	VYDAJ	VYBER	1200	15199	\N	\N	\N
3021328	10018	1998-01-09	VYDAJ	VYBER	1200	13999	\N	\N	\N
3021329	10018	1998-01-25	VYDAJ	VYBER	1700	23575	\N	\N	\N
3021335	10018	1996-08-15	VYDAJ	VYBER	500	38322	\N	\N	\N
3021336	10018	1996-08-02	VYDAJ	VYBER	2500	18646	\N	\N	\N
3021337	10018	1996-05-11	VYDAJ	VYBER	4600	26635	\N	\N	\N
3021338	10018	1996-11-24	VYDAJ	VYBER	2900	18786	\N	\N	\N
3021339	10018	1997-10-15	VYDAJ	VYBER	700	30775	\N	\N	\N
3021340	10018	1997-01-11	VYDAJ	VYBER	4200	7318	\N	\N	\N
3021341	10018	1997-06-07	VYDAJ	VYBER	4700	17322	\N	\N	\N
3021342	10018	1997-08-08	VYDAJ	VYBER	2100	521	\N	\N	\N
3021343	10018	1997-09-09	VYDAJ	VYBER	1300	13988	\N	\N	\N
3021344	10018	1997-01-14	VYDAJ	VYBER	2000	17994	\N	\N	\N
3021345	10018	1997-09-02	VYDAJ	VYBER	4300	15288	\N	\N	\N
3021346	10018	1997-09-19	VYDAJ	VYBER	1400	23064	\N	\N	\N
3021347	10018	1997-06-27	VYDAJ	VYBER	1600	2686	\N	\N	\N
3021348	10018	1998-03-18	VYDAJ	VYBER	2400	22319	\N	\N	\N
3021349	10018	1998-07-23	VYDAJ	VYBER	2700	12524	\N	\N	\N
3021350	10018	1998-04-23	VYDAJ	VYBER	2300	19419	\N	\N	\N
3021351	10018	1998-09-17	VYDAJ	VYBER	900	17584	\N	\N	\N
3021364	10018	1995-12-31	VYDAJ	VYBER	15	44279	SLUZBY	\N	\N
3021365	10018	1996-01-31	VYDAJ	VYBER	15	29634	SLUZBY	\N	\N
3021366	10018	1996-02-29	VYDAJ	VYBER	15	33630	SLUZBY	\N	\N
3021367	10018	1996-03-31	VYDAJ	VYBER	15	31893	SLUZBY	\N	\N
3021368	10018	1996-04-30	VYDAJ	VYBER	15	31235	SLUZBY	\N	\N
3021369	10018	1996-05-31	VYDAJ	VYBER	15	27496	SLUZBY	\N	\N
3021370	10018	1996-06-30	VYDAJ	VYBER	15	18643	SLUZBY	\N	\N
3021371	10018	1996-07-31	VYDAJ	VYBER	15	21146	SLUZBY	\N	\N
3021372	10018	1996-08-31	VYDAJ	VYBER	15	22367	SLUZBY	\N	\N
3021373	10018	1996-09-30	VYDAJ	VYBER	15	24889	SLUZBY	\N	\N
3021374	10018	1996-10-31	VYDAJ	VYBER	15	25210	SLUZBY	\N	\N
3021375	10018	1996-11-30	VYDAJ	VYBER	15	18974	SLUZBY	\N	\N
3021376	10018	1996-12-31	VYDAJ	VYBER	15	24518	SLUZBY	\N	\N
3021377	10018	1997-01-31	VYDAJ	VYBER	15	6773	SLUZBY	\N	\N
3021378	10018	1997-02-28	VYDAJ	VYBER	15	17443	SLUZBY	\N	\N
3021379	10018	1997-03-31	VYDAJ	VYBER	15	21048	SLUZBY	\N	\N
3021380	10018	1997-04-30	VYDAJ	VYBER	15	21561	SLUZBY	\N	\N
3021381	10018	1997-05-31	VYDAJ	VYBER	15	22022	SLUZBY	\N	\N
3021382	10018	1997-06-30	VYDAJ	VYBER	15	2813	SLUZBY	\N	\N
3021383	10018	1997-07-31	VYDAJ	VYBER	15	13332	SLUZBY	\N	\N
3021384	10018	1997-08-31	VYDAJ	VYBER	15	21792	SLUZBY	\N	\N
3021385	10018	1997-09-30	VYDAJ	VYBER	15	23199	SLUZBY	\N	\N
3021386	10018	1997-10-31	VYDAJ	VYBER	15	30942	SLUZBY	\N	\N
3021387	10018	1997-11-30	VYDAJ	VYBER	15	33206	SLUZBY	\N	\N
3021388	10018	1997-12-31	VYDAJ	VYBER	15	39499	SLUZBY	\N	\N
3021389	10018	1998-01-31	VYDAJ	VYBER	15	23756	SLUZBY	\N	\N
3021390	10018	1998-02-28	VYDAJ	VYBER	15	23043	SLUZBY	\N	\N
3021391	10018	1998-03-31	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
3021392	10018	1998-04-30	VYDAJ	VYBER	15	19576	SLUZBY	\N	\N
3021393	10018	1998-05-31	VYDAJ	VYBER	15	16322	SLUZBY	\N	\N
3021394	10018	1998-06-30	VYDAJ	VYBER	15	12550	SLUZBY	\N	\N
3021395	10018	1998-07-31	VYDAJ	VYBER	15	12562	SLUZBY	\N	\N
3021396	10018	1998-08-31	VYDAJ	VYBER	15	15908	SLUZBY	\N	\N
3021397	10018	1998-09-30	VYDAJ	VYBER	15	17692	SLUZBY	\N	\N
3021398	10018	1998-10-31	VYDAJ	VYBER	15	17237	SLUZBY	\N	\N
3021399	10018	1998-11-30	VYDAJ	VYBER	15	21238	SLUZBY	\N	\N
3021400	10018	1995-08-22	VYDAJ	VYBER	200	20976	\N	\N	\N
3021401	10018	1995-09-21	VYDAJ	VYBER	8800	32406	\N	\N	\N
3021402	10018	1995-10-21	VYDAJ	VYBER	13900	38825	\N	\N	\N
3021403	10018	1995-11-20	VYDAJ	VYBER	20800	38398	\N	\N	\N
3021404	10018	1995-12-20	VYDAJ	VYBER	18300	44976	\N	\N	\N
3021405	10018	1996-01-19	VYDAJ	VYBER	15400	32555	\N	\N	\N
3021406	10018	1996-02-18	VYDAJ	VYBER	8700	33410	\N	\N	\N
3021407	10018	1996-03-19	VYDAJ	VYBER	11400	40006	\N	\N	\N
3021408	10018	1996-04-18	VYDAJ	VYBER	12500	30969	\N	\N	\N
3021409	10018	1996-05-18	VYDAJ	VYBER	9500	27311	\N	\N	\N
3021410	10018	1996-06-17	VYDAJ	VYBER	18000	28860	\N	\N	\N
3021411	10018	1996-07-17	VYDAJ	VYBER	7000	21019	\N	\N	\N
3021412	10018	1996-08-16	VYDAJ	VYBER	6300	32022	\N	\N	\N
3021413	10018	1996-09-15	VYDAJ	VYBER	8300	24743	\N	\N	\N
3021414	10018	1996-10-15	VYDAJ	VYBER	12700	32365	\N	\N	\N
3021415	10018	1996-11-14	VYDAJ	VYBER	12400	30386	\N	\N	\N
3021416	10018	1996-12-14	VYDAJ	VYBER	15900	31638	\N	\N	\N
3021417	10018	1997-01-13	VYDAJ	VYBER	7500	19994	\N	\N	\N
3021418	10018	1997-02-12	VYDAJ	VYBER	1400	25549	\N	\N	\N
3021419	10018	1997-03-14	VYDAJ	VYBER	7100	20919	\N	\N	\N
3021420	10018	1997-04-13	VYDAJ	VYBER	10400	21424	\N	\N	\N
3021421	10018	1997-05-13	VYDAJ	VYBER	10500	31237	\N	\N	\N
3021422	10018	1997-06-12	VYDAJ	VYBER	13200	32786	\N	\N	\N
3021423	10018	1997-07-12	VYDAJ	VYBER	2500	13289	\N	\N	\N
3021424	10018	1997-08-11	PRIJEM	VKLAD	1000	1521	\N	\N	\N
3021425	10018	1997-09-10	VYDAJ	VYBER	1100	12888	\N	\N	\N
3021426	10018	1997-10-10	VYDAJ	VYBER	1300	13799	\N	\N	\N
3021427	10018	1997-11-09	VYDAJ	VYBER	10100	15142	\N	\N	\N
3021428	10018	1997-12-09	VYDAJ	VYBER	13900	10806	\N	\N	\N
3021429	10018	1998-01-08	VYDAJ	VYBER	17600	16399	\N	\N	\N
3021430	10018	1998-02-07	VYDAJ	VYBER	11000	4356	\N	\N	\N
3021431	10018	1998-03-09	VYDAJ	VYBER	10300	7143	\N	\N	\N
3021432	10018	1998-04-08	VYDAJ	VYBER	11800	10643	\N	\N	\N
3021433	10018	1998-05-08	VYDAJ	VYBER	14600	-2324	\N	\N	\N
3021434	10018	1998-06-07	VYDAJ	VYBER	6300	1516	\N	\N	\N
3021435	10018	1998-07-07	VYDAJ	VYBER	8300	-3153	\N	\N	\N
3021436	10018	1998-08-06	VYDAJ	VYBER	11400	1162	\N	\N	\N
3021437	10018	1998-09-05	VYDAJ	VYBER	9700	6208	\N	\N	\N
3021438	10018	1998-10-05	VYDAJ	VYBER	12700	4992	\N	\N	\N
3021439	10018	1998-11-04	VYDAJ	VYBER	8800	8437	\N	\N	\N
3021440	10018	1998-12-04	VYDAJ	VYBER	13700	7538	\N	\N	\N
3021489	10019	1995-06-15	PRIJEM	VKLAD	600	600	\N	\N	\N
3021490	10019	1995-08-14	PRIJEM	VKLAD	31370	95655	\N	\N	\N
3021493	10019	1995-10-26	PRIJEM	VKLAD	29692	92152	\N	\N	\N
3021497	10019	1995-07-26	PRIJEM	VKLAD	11428	34679	\N	\N	\N
3021498	10019	1995-12-17	PRIJEM	VKLAD	18994	61344	\N	\N	\N
3021499	10019	1995-08-12	PRIJEM	VKLAD	29576	64285	\N	\N	\N
3021500	10019	1995-09-17	PRIJEM	VKLAD	34693	86666	\N	\N	\N
3021502	10019	1995-11-17	PRIJEM	VKLAD	24524	88380	\N	\N	\N
3021503	10019	1995-06-15	PRIJEM	VKLAD	25250	25850	\N	\N	\N
3021504	10019	1995-09-29	PRIJEM	VKLAD	48883	135549	\N	\N	\N
3021505	10019	1995-11-09	PRIJEM	VKLAD	33037	116856	\N	\N	\N
3021506	10019	1995-09-30	PRIJEM	VKLAD	15982	129556	\N	\N	\N
3021509	10019	1995-12-12	PRIJEM	VKLAD	19692	56450	\N	\N	\N
3021510	10019	1995-09-12	PRIJEM	VKLAD	43925	138173	\N	\N	\N
3021511	10019	1995-11-24	PRIJEM	VKLAD	34006	117386	\N	\N	\N
3021514	10019	1995-09-10	PRIJEM	VKLAD	41492	94248	\N	\N	\N
3021516	10019	1995-10-10	PRIJEM	VKLAD	26419	118060	\N	\N	\N
3021519	10019	1996-10-25	PRIJEM	VKLAD	44973	109506	\N	\N	\N
3021520	10019	1996-10-08	PRIJEM	VKLAD	40606	73449	\N	\N	\N
3021521	10019	1996-09-07	PRIJEM	VKLAD	30231	49512	\N	\N	\N
3021522	10019	1996-04-25	PRIJEM	VKLAD	39705	56539	\N	\N	\N
3021523	10019	1996-01-04	PRIJEM	VKLAD	38052	76079	\N	\N	\N
3021524	10019	1997-02-27	PRIJEM	VKLAD	12251	70718	\N	\N	\N
3021525	10019	1997-05-31	PRIJEM	VKLAD	9478	80610	\N	\N	\N
3021526	10019	1997-10-19	PRIJEM	VKLAD	16657	58719	\N	\N	\N
3021527	10019	1997-10-04	PRIJEM	VKLAD	32987	75236	\N	\N	\N
3021528	10019	1997-02-08	PRIJEM	VKLAD	37894	63882	\N	\N	\N
3021529	10019	1997-03-16	PRIJEM	VKLAD	40973	88170	\N	\N	\N
3021530	10019	1997-07-07	PRIJEM	VKLAD	36489	67682	\N	\N	\N
3021531	10019	1997-05-17	PRIJEM	VKLAD	43821	71132	\N	\N	\N
3021532	10019	1997-03-29	PRIJEM	VKLAD	21531	109701	\N	\N	\N
3021533	10019	1997-09-30	PRIJEM	VKLAD	38950	62140	\N	\N	\N
3021534	10019	1997-04-07	PRIJEM	VKLAD	20434	62625	\N	\N	\N
3021535	10019	1997-10-26	PRIJEM	VKLAD	8710	67429	\N	\N	\N
3021536	10019	1997-08-12	PRIJEM	VKLAD	14953	41091	\N	\N	\N
3021537	10019	1997-06-20	PRIJEM	VKLAD	19515	68415	\N	\N	\N
3021538	10019	1997-11-18	PRIJEM	VKLAD	23447	56957	\N	\N	\N
3021539	10019	1998-03-18	PRIJEM	VKLAD	32926	66845	\N	\N	\N
3021540	10019	1998-10-01	PRIJEM	VKLAD	49043	117873	\N	\N	\N
3021541	10019	1998-02-20	PRIJEM	VKLAD	10417	33325	\N	\N	\N
3021542	10019	1998-07-24	PRIJEM	VKLAD	12165	86418	\N	\N	\N
3021543	10019	1998-07-06	PRIJEM	VKLAD	44782	79668	\N	\N	\N
3021544	10019	1998-09-06	PRIJEM	VKLAD	17808	68595	\N	\N	\N
3021545	10019	1998-04-12	PRIJEM	VKLAD	17810	65120	\N	\N	\N
3021546	10019	1998-09-22	PRIJEM	VKLAD	20206	83386	\N	\N	\N
3021555	10019	1995-09-03	VYDAJ	VYBER	5000	52756	\N	\N	0
3021556	10019	1995-10-07	VYDAJ	VYBER	6600	91641	\N	\N	0
3021557	10019	1995-11-17	VYDAJ	VYBER	5000	83380	\N	\N	0
3021558	10019	1995-12-06	VYDAJ	VYBER	4900	38258	\N	\N	0
3021559	10019	1996-01-04	VYDAJ	VYBER	6500	69579	\N	\N	0
3021560	10019	1996-02-14	VYDAJ	VYBER	5100	16027	\N	\N	0
3021561	10019	1996-03-13	VYDAJ	VYBER	6300	14286	\N	\N	0
3021562	10019	1996-04-12	VYDAJ	VYBER	4500	16834	\N	\N	0
3021563	10019	1996-05-05	VYDAJ	VYBER	5400	51224	\N	\N	0
3021564	10019	1996-06-06	VYDAJ	VYBER	4200	31584	\N	\N	0
3021565	10019	1996-07-16	VYDAJ	VYBER	5400	25003	\N	\N	0
3021566	10019	1996-08-15	VYDAJ	VYBER	5700	19205	\N	\N	0
3021567	10019	1996-09-14	VYDAJ	VYBER	4700	34212	\N	\N	0
3021568	10019	1996-10-12	VYDAJ	PREVOD NA UCET	5415	64533	UVER	QR	87297737
3021569	10019	1996-11-12	VYDAJ	PREVOD NA UCET	5415	38374	UVER	QR	87297737
3021570	10019	1996-12-12	VYDAJ	PREVOD NA UCET	5415	19964	UVER	QR	87297737
3021571	10019	1997-01-12	VYDAJ	PREVOD NA UCET	5415	19022	UVER	QR	87297737
3021572	10019	1997-02-12	VYDAJ	PREVOD NA UCET	5415	58467	UVER	QR	87297737
3021573	10019	1997-03-12	VYDAJ	PREVOD NA UCET	5415	47197	UVER	QR	87297737
3021574	10019	1997-04-12	VYDAJ	PREVOD NA UCET	5415	57210	UVER	QR	87297737
3021575	10019	1997-05-12	VYDAJ	PREVOD NA UCET	5415	27311	UVER	QR	87297737
3021576	10019	1997-06-12	VYDAJ	PREVOD NA UCET	5415	48900	UVER	QR	87297737
3021577	10019	1997-07-12	VYDAJ	PREVOD NA UCET	5415	62267	UVER	QR	87297737
3021578	10019	1997-08-12	VYDAJ	PREVOD NA UCET	5415	35676	UVER	QR	87297737
3021579	10019	1997-09-12	VYDAJ	PREVOD NA UCET	5415	24690	UVER	QR	87297737
3021580	10019	1997-10-12	VYDAJ	PREVOD NA UCET	5415	64941	UVER	QR	87297737
3021581	10019	1997-11-12	VYDAJ	PREVOD NA UCET	5415	41610	UVER	QR	87297737
3021582	10019	1997-12-12	VYDAJ	PREVOD NA UCET	5415	27382	UVER	QR	87297737
3021583	10019	1998-01-12	VYDAJ	PREVOD NA UCET	5415	22722	UVER	QR	87297737
3021584	10019	1998-02-12	VYDAJ	PREVOD NA UCET	5415	22908	UVER	QR	87297737
3021585	10019	1998-03-12	VYDAJ	PREVOD NA UCET	5415	33919	UVER	QR	87297737
3021586	10019	1998-04-12	VYDAJ	PREVOD NA UCET	5415	59705	UVER	QR	87297737
3021587	10019	1998-05-12	VYDAJ	PREVOD NA UCET	5415	49417	UVER	QR	87297737
3021588	10019	1998-06-12	VYDAJ	PREVOD NA UCET	5415	38232	UVER	QR	87297737
3021589	10019	1998-07-12	VYDAJ	PREVOD NA UCET	5415	74253	UVER	QR	87297737
3021590	10019	1998-08-12	VYDAJ	PREVOD NA UCET	5415	59341	UVER	QR	87297737
3021591	10019	1998-09-12	VYDAJ	PREVOD NA UCET	5415	63180	UVER	QR	87297737
3021592	10019	1998-10-12	VYDAJ	PREVOD NA UCET	5415	96358	UVER	QR	87297737
3021593	10019	1998-11-12	VYDAJ	PREVOD NA UCET	5415	52104	UVER	QR	87297737
3021594	10019	1998-12-12	VYDAJ	PREVOD NA UCET	5415	21666	UVER	QR	87297737
3021600	10019	1996-01-03	VYBER	VYBER	23527	38027	\N	\N	\N
3021601	10019	1996-11-29	VYBER	VYBER	8546	29828	\N	\N	\N
3021604	10019	1996-10-12	VYBER	VYBER	3501	69948	\N	\N	\N
3021606	10019	1997-07-23	VYBER	VYBER	14564	47703	\N	\N	\N
3021608	10019	1997-07-03	VYBER	VYBER	24288	33293	\N	\N	\N
3021610	10019	1997-10-16	VYBER	VYBER	22879	42062	\N	\N	\N
3021611	10019	1997-11-24	VYBER	VYBER	2372	54585	\N	\N	\N
3021612	10019	1997-12-27	VYBER	VYBER	2668	24714	\N	\N	\N
3021613	10019	1997-07-27	VYBER	VYBER	24564	23139	\N	\N	\N
3021615	10019	1997-04-24	VYBER	VYBER	16885	38225	\N	\N	\N
3021617	10019	1997-10-31	VYBER	VYBER	5055	62640	\N	\N	\N
3021618	10019	1997-10-04	VYBER	VYBER	4880	70356	\N	\N	\N
3021619	10019	1998-11-17	VYBER	VYBER	18517	33587	\N	\N	\N
3021620	10019	1998-03-20	VYBER	VYBER	13698	53147	\N	\N	\N
3021621	10019	1998-11-03	VYBER	VYBER	13614	57519	\N	\N	\N
3021622	10019	1995-12-11	VYDAJ	VYBER	1500	36758	\N	\N	\N
3021624	10019	1997-12-07	VYDAJ	VYBER	8400	32797	\N	\N	\N
3021632	10019	1996-01-23	VYDAJ	VYBER	7800	18979	\N	\N	\N
3021634	10019	1996-01-08	VYDAJ	VYBER	6300	57279	\N	\N	\N
3021635	10019	1996-01-16	VYDAJ	VYBER	7200	26779	\N	\N	\N
3021636	10019	1996-01-04	VYDAJ	VYBER	6000	63579	\N	\N	\N
3021637	10019	1996-01-15	VYDAJ	VYBER	4200	33979	\N	\N	\N
3021651	10019	1995-11-07	VYDAJ	VYBER	8700	83819	\N	\N	\N
3021657	10019	1996-11-29	VYDAJ	VYBER	6900	22928	\N	\N	\N
3021659	10019	1997-04-14	VYDAJ	VYBER	2100	55110	\N	\N	\N
3021662	10019	1997-06-20	VYDAJ	VYBER	11100	57315	\N	\N	\N
3021663	10019	1997-09-12	VYDAJ	VYBER	1500	23190	\N	\N	\N
3021664	10019	1997-11-15	VYDAJ	VYBER	8100	33510	\N	\N	\N
3021665	10019	1998-06-07	VYDAJ	VYBER	2700	43647	\N	\N	\N
3021667	10019	1998-11-29	VYDAJ	VYBER	12300	26887	\N	\N	\N
3021669	10019	1998-06-29	VYDAJ	VYBER	13200	34732	\N	\N	\N
3021679	10019	1995-09-30	VYDAJ	VYBER	15	129541	SLUZBY	\N	\N
3021680	10019	1995-10-31	VYDAJ	VYBER	15	92519	SLUZBY	\N	\N
3021681	10019	1995-11-30	VYDAJ	VYBER	15	101858	SLUZBY	\N	\N
3021682	10019	1995-12-31	VYDAJ	VYBER	15	61554	SLUZBY	\N	\N
3021683	10019	1996-01-31	VYDAJ	VYBER	15	19127	SLUZBY	\N	\N
3021684	10019	1996-02-29	VYDAJ	VYBER	15	16086	SLUZBY	\N	\N
3021685	10019	1996-03-31	VYDAJ	VYBER	15	14334	SLUZBY	\N	\N
3021686	10019	1996-04-30	VYDAJ	VYBER	15	56624	SLUZBY	\N	\N
3021687	10019	1996-05-31	VYDAJ	VYBER	15	35784	SLUZBY	\N	\N
3021688	10019	1996-06-30	VYDAJ	VYBER	15	30703	SLUZBY	\N	\N
3021689	10019	1996-07-31	VYDAJ	VYBER	15	25105	SLUZBY	\N	\N
3021690	10019	1996-08-31	VYDAJ	VYBER	15	19281	SLUZBY	\N	\N
3021691	10019	1996-09-30	VYDAJ	VYBER	15	34343	SLUZBY	\N	\N
3021692	10019	1996-10-31	VYDAJ	VYBER	15	109789	SLUZBY	\N	\N
3021693	10019	1996-11-30	VYDAJ	VYBER	15	23179	SLUZBY	\N	\N
3021694	10019	1996-12-31	VYDAJ	VYBER	15	20037	SLUZBY	\N	\N
3021695	10019	1997-01-31	VYDAJ	VYBER	15	19088	SLUZBY	\N	\N
3021696	10019	1997-02-28	VYDAJ	VYBER	15	70912	SLUZBY	\N	\N
3021697	10019	1997-03-31	VYDAJ	VYBER	15	51891	SLUZBY	\N	\N
3021698	10019	1997-04-30	VYDAJ	VYBER	15	38426	SLUZBY	\N	\N
3021699	10019	1997-05-31	VYDAJ	VYBER	15	80815	SLUZBY	\N	\N
3021700	10019	1997-06-30	VYDAJ	VYBER	15	57581	SLUZBY	\N	\N
3021701	10019	1997-07-31	VYDAJ	VYBER	15	23338	SLUZBY	\N	\N
3021702	10019	1997-08-31	VYDAJ	VYBER	15	35805	SLUZBY	\N	\N
3021703	10019	1997-09-30	VYDAJ	VYBER	15	62249	SLUZBY	\N	\N
3021704	10019	1997-10-31	VYDAJ	VYBER	15	62625	SLUZBY	\N	\N
3021705	10019	1997-11-30	VYDAJ	VYBER	15	54797	SLUZBY	\N	\N
3021706	10019	1997-12-31	VYDAJ	VYBER	15	28137	SLUZBY	\N	\N
3021707	10019	1998-01-31	VYDAJ	VYBER	15	28323	SLUZBY	\N	\N
3021708	10019	1998-02-28	VYDAJ	VYBER	15	33434	SLUZBY	\N	\N
3021709	10019	1998-03-31	VYDAJ	VYBER	15	47310	SLUZBY	\N	\N
3021710	10019	1998-04-30	VYDAJ	VYBER	15	59932	SLUZBY	\N	\N
3021711	10019	1998-05-31	VYDAJ	VYBER	15	46347	SLUZBY	\N	\N
3021712	10019	1998-06-30	VYDAJ	VYBER	15	34886	SLUZBY	\N	\N
3021713	10019	1998-07-31	VYDAJ	VYBER	15	64756	SLUZBY	\N	\N
3021714	10019	1998-08-31	VYDAJ	VYBER	15	50787	SLUZBY	\N	\N
3021715	10019	1998-09-30	VYDAJ	VYBER	15	68830	SLUZBY	\N	\N
3021716	10019	1998-10-31	VYDAJ	VYBER	15	71133	SLUZBY	\N	\N
3021717	10019	1998-11-30	VYDAJ	VYBER	15	27081	SLUZBY	\N	\N
3021718	10019	1995-07-15	VYDAJ	VYBER	2600	23251	\N	\N	\N
3021719	10019	1995-08-14	VYDAJ	VYBER	38100	57555	\N	\N	\N
3021720	10019	1995-09-12	VYDAJ	VYBER	27300	110873	\N	\N	\N
3021721	10019	1995-09-12	VYDAJ	VYBER	32500	78373	\N	\N	\N
3021722	10019	1995-09-13	VYDAJ	VYBER	26400	51973	\N	\N	\N
3021723	10019	1995-09-29	VYDAJ	VYBER	22300	113249	\N	\N	\N
3021724	10019	1995-09-30	VYDAJ	VYBER	31300	98241	\N	\N	\N
3021725	10019	1995-10-10	VYDAJ	VYBER	15500	102560	\N	\N	\N
3021726	10019	1995-10-13	VYDAJ	VYBER	40100	62460	\N	\N	\N
3021727	10019	1995-11-09	VYDAJ	VYBER	19700	97156	\N	\N	\N
3021728	10019	1995-11-12	VYDAJ	VYBER	33300	63856	\N	\N	\N
3021729	10019	1995-11-24	VYDAJ	VYBER	15900	101486	\N	\N	\N
3021730	10019	1995-11-30	VYDAJ	VYBER	58700	43158	\N	\N	\N
3021731	10019	1995-12-12	VYDAJ	VYBER	14100	42350	\N	\N	\N
3021732	10019	1996-01-11	VYDAJ	VYBER	19100	38179	\N	\N	\N
3021733	10019	1996-02-10	PRIJEM	VKLAD	2000	21127	\N	\N	\N
3021734	10019	1996-03-11	PRIJEM	VKLAD	4500	20586	\N	\N	\N
3021735	10019	1996-04-10	PRIJEM	VKLAD	7000	21334	\N	\N	\N
3021736	10019	1996-05-10	VYDAJ	VYBER	15600	35624	\N	\N	\N
3021737	10019	1996-06-09	VYDAJ	VYBER	1000	30584	\N	\N	\N
3021738	10019	1996-07-09	VYDAJ	VYBER	300	30403	\N	\N	\N
3021739	10019	1996-08-08	VYDAJ	VYBER	200	24905	\N	\N	\N
3021740	10019	1996-09-07	VYDAJ	VYBER	10600	38912	\N	\N	\N
3021741	10019	1996-10-07	VYDAJ	VYBER	1500	32843	\N	\N	\N
3021742	10019	1996-10-31	VYDAJ	VYBER	46000	63789	\N	\N	\N
3021743	10019	1996-11-06	VYDAJ	VYBER	20000	43789	\N	\N	\N
3021744	10019	1996-12-06	PRIJEM	VKLAD	2200	25379	\N	\N	\N
3021745	10019	1997-01-05	PRIJEM	VKLAD	4400	24437	\N	\N	\N
3021746	10019	1997-02-04	PRIJEM	VKLAD	6900	25988	\N	\N	\N
3021747	10019	1997-03-06	VYDAJ	VYBER	18300	52612	\N	\N	\N
3021748	10019	1997-03-29	VYDAJ	VYBER	58100	51601	\N	\N	\N
3021749	10019	1997-04-05	VYDAJ	VYBER	9700	42191	\N	\N	\N
3021750	10019	1997-05-05	VYDAJ	VYBER	5700	32726	\N	\N	\N
3021751	10019	1997-06-04	VYDAJ	VYBER	26500	54315	\N	\N	\N
3021752	10019	1997-07-04	VYDAJ	VYBER	2100	31193	\N	\N	\N
3021753	10019	1997-08-03	PRIJEM	VKLAD	2800	26138	\N	\N	\N
3021754	10019	1997-09-02	VYDAJ	VYBER	5700	30105	\N	\N	\N
3021755	10019	1997-10-02	VYDAJ	VYBER	20000	42249	\N	\N	\N
3021756	10019	1997-11-01	VYDAJ	VYBER	15600	47025	\N	\N	\N
3021757	10019	1997-12-01	VYDAJ	VYBER	13600	41197	\N	\N	\N
3021758	10019	1997-12-31	PRIJEM	VKLAD	3300	28151	\N	\N	\N
3021759	10019	1998-01-30	PRIJEM	VKLAD	5500	28222	\N	\N	\N
3021760	10019	1998-03-01	PRIJEM	VKLAD	5900	39334	\N	\N	\N
3021761	10019	1998-03-31	VYDAJ	VYBER	6000	47325	\N	\N	\N
3021762	10019	1998-04-30	VYDAJ	VYBER	5100	54832	\N	\N	\N
3021763	10019	1998-05-30	VYDAJ	VYBER	3300	46117	\N	\N	\N
3021764	10019	1998-06-29	PRIJEM	VKLAD	9700	47932	\N	\N	\N
3021765	10019	1998-07-29	VYDAJ	VYBER	21900	64518	\N	\N	\N
3021766	10019	1998-08-28	VYDAJ	VYBER	8800	50541	\N	\N	\N
3021767	10019	1998-09-27	VYDAJ	VYBER	14800	68586	\N	\N	\N
3021768	10019	1998-10-01	VYDAJ	VYBER	16100	101773	\N	\N	\N
3021769	10019	1998-10-27	VYDAJ	VYBER	25600	70758	\N	\N	\N
3021770	10019	1998-11-26	PRIJEM	VKLAD	5600	39187	\N	\N	\N
3022518	10022	1997-05-07	PRIJEM	VKLAD	400	400	\N	\N	\N
3022524	10022	1997-06-06	PRIJEM	PREVOD Z UCTU	40884	41284	\N	OP	71522050
3022525	10022	1997-07-06	PRIJEM	PREVOD Z UCTU	27256	62161	\N	OP	71522050
3022526	10022	1997-08-06	PRIJEM	PREVOD Z UCTU	27256	62499	\N	OP	71522050
3022527	10022	1997-09-06	PRIJEM	PREVOD Z UCTU	27256	70104	\N	OP	71522050
3022528	10022	1997-10-06	PRIJEM	PREVOD Z UCTU	27256	72946	\N	OP	71522050
3022529	10022	1997-11-06	PRIJEM	PREVOD Z UCTU	27256	73421	\N	OP	71522050
3022530	10022	1997-12-06	PRIJEM	PREVOD Z UCTU	40884	81063	\N	OP	71522050
3022531	10022	1998-01-06	PRIJEM	PREVOD Z UCTU	27256	64850	\N	OP	71522050
3022532	10022	1998-02-06	PRIJEM	PREVOD Z UCTU	27256	56149	\N	OP	71522050
3022533	10022	1998-03-06	PRIJEM	PREVOD Z UCTU	27256	61728	\N	OP	71522050
3022534	10022	1998-04-06	PRIJEM	PREVOD Z UCTU	27256	71141	\N	OP	71522050
3022535	10022	1998-05-06	PRIJEM	PREVOD Z UCTU	27256	73085	\N	OP	71522050
3022536	10022	1998-06-06	PRIJEM	PREVOD Z UCTU	40884	91971	\N	OP	71522050
3022537	10022	1998-07-06	PRIJEM	PREVOD Z UCTU	27256	73066	\N	OP	71522050
3022538	10022	1998-08-06	PRIJEM	PREVOD Z UCTU	27256	71713	\N	OP	71522050
3022539	10022	1998-09-06	PRIJEM	PREVOD Z UCTU	27256	65669	\N	OP	71522050
3022540	10022	1998-10-06	PRIJEM	PREVOD Z UCTU	27256	57075	\N	OP	71522050
3022541	10022	1998-11-06	PRIJEM	PREVOD Z UCTU	27256	70470	\N	OP	71522050
3022542	10022	1998-12-06	PRIJEM	PREVOD Z UCTU	40884	82230	\N	OP	71522050
3022552	10022	1997-10-04	VYDAJ	VYBER	4200	66190	\N	\N	0
3022553	10022	1997-11-10	VYDAJ	VYBER	3600	55754	\N	\N	0
3022554	10022	1997-12-04	VYDAJ	VYBER	5500	40179	\N	\N	0
3022555	10022	1998-01-12	VYDAJ	PREVOD NA UCET	4543	45825	UVER	OP	56197208
3022556	10022	1998-02-12	VYDAJ	PREVOD NA UCET	4543	39824	UVER	OP	56197208
3022557	10022	1998-03-12	VYDAJ	PREVOD NA UCET	4543	45404	UVER	OP	56197208
3022558	10022	1998-04-12	VYDAJ	PREVOD NA UCET	4543	54816	UVER	OP	56197208
3022559	10022	1998-05-12	VYDAJ	PREVOD NA UCET	4543	56761	UVER	OP	56197208
3022560	10022	1998-06-12	VYDAJ	PREVOD NA UCET	4543	55546	UVER	OP	56197208
3022561	10022	1998-07-12	VYDAJ	PREVOD NA UCET	4543	56742	UVER	OP	56197208
3022562	10022	1998-08-12	VYDAJ	PREVOD NA UCET	4543	34367	UVER	OP	56197208
3022563	10022	1998-09-12	VYDAJ	PREVOD NA UCET	4543	49345	UVER	OP	56197208
3022564	10022	1998-10-12	VYDAJ	PREVOD NA UCET	4543	40751	UVER	OP	56197208
3022565	10022	1998-11-12	VYDAJ	PREVOD NA UCET	4543	54146	UVER	OP	56197208
3022566	10022	1998-12-12	VYDAJ	PREVOD NA UCET	4543	65905	UVER	OP	56197208
3022576	10022	1997-10-06	VYDAJ	PREVOD NA UCET	7678	65268	SIPO	MN	25915658
3022577	10022	1997-11-06	VYDAJ	PREVOD NA UCET	7678	65743	SIPO	MN	25915658
3022578	10022	1997-12-06	VYDAJ	PREVOD NA UCET	7678	73385	SIPO	MN	25915658
3022579	10022	1998-01-06	VYDAJ	PREVOD NA UCET	7678	57172	SIPO	MN	25915658
3022580	10022	1998-02-06	VYDAJ	PREVOD NA UCET	7678	48471	SIPO	MN	25915658
3022581	10022	1998-03-06	VYDAJ	PREVOD NA UCET	7678	54050	SIPO	MN	25915658
3022582	10022	1998-04-06	VYDAJ	PREVOD NA UCET	7678	63463	SIPO	MN	25915658
3022583	10022	1998-05-06	VYDAJ	PREVOD NA UCET	7678	65407	SIPO	MN	25915658
3022584	10022	1998-06-06	VYDAJ	PREVOD NA UCET	7678	84293	SIPO	MN	25915658
3022585	10022	1998-07-06	VYDAJ	PREVOD NA UCET	7678	65388	SIPO	MN	25915658
3022586	10022	1998-08-06	VYDAJ	PREVOD NA UCET	7678	43014	SIPO	MN	25915658
3022587	10022	1998-09-06	VYDAJ	PREVOD NA UCET	7678	57991	SIPO	MN	25915658
3022588	10022	1998-10-06	VYDAJ	PREVOD NA UCET	7678	49397	SIPO	MN	25915658
3022589	10022	1998-11-06	VYDAJ	PREVOD NA UCET	7678	62792	SIPO	MN	25915658
3022590	10022	1998-12-06	VYDAJ	PREVOD NA UCET	7678	74552	SIPO	MN	25915658
3022600	10022	1997-10-10	VYDAJ	PREVOD NA UCET	4104	61164	 	MN	82763254
3022601	10022	1997-11-10	VYDAJ	PREVOD NA UCET	4104	59354	 	MN	82763254
3022602	10022	1997-12-10	VYDAJ	PREVOD NA UCET	4104	69281	 	MN	82763254
3022603	10022	1998-01-10	VYDAJ	PREVOD NA UCET	4104	50368	 	MN	82763254
3022604	10022	1998-02-10	VYDAJ	PREVOD NA UCET	4104	44367	 	MN	82763254
3022605	10022	1998-03-10	VYDAJ	PREVOD NA UCET	4104	49946	 	MN	82763254
3022606	10022	1998-04-10	VYDAJ	PREVOD NA UCET	4104	59359	 	MN	82763254
3022607	10022	1998-05-10	VYDAJ	PREVOD NA UCET	4104	61303	 	MN	82763254
3022608	10022	1998-06-10	VYDAJ	PREVOD NA UCET	4104	60089	 	MN	82763254
3022609	10022	1998-07-10	VYDAJ	PREVOD NA UCET	4104	61284	 	MN	82763254
3022610	10022	1998-08-10	VYDAJ	PREVOD NA UCET	4104	38910	 	MN	82763254
3022611	10022	1998-09-10	VYDAJ	PREVOD NA UCET	4104	53887	 	MN	82763254
3022612	10022	1998-10-10	VYDAJ	PREVOD NA UCET	4104	45293	 	MN	82763254
3022613	10022	1998-11-10	VYDAJ	PREVOD NA UCET	4104	58688	 	MN	82763254
3022614	10022	1998-12-10	VYDAJ	PREVOD NA UCET	4104	70448	 	MN	82763254
3022617	10022	1997-10-16	VYBER	VYBER	7425	53739	\N	\N	\N
3022621	10022	1997-12-23	VYBER	VYBER	7087	62194	\N	\N	\N
3022626	10022	1997-11-09	VYBER	VYBER	2285	63458	\N	\N	\N
3022627	10022	1997-12-26	VYBER	VYBER	13448	48746	\N	\N	\N
3022629	10022	1998-06-23	VYBER	VYBER	7559	47987	\N	\N	\N
3022630	10022	1998-10-03	VYBER	VYBER	14313	29819	\N	\N	\N
3022631	10022	1998-08-06	VYBER	VYBER	21021	50692	\N	\N	\N
3022633	10022	1998-06-08	VYDAJ	VYBER	20100	64193	\N	\N	\N
3022640	10022	1998-01-23	VYDAJ	VYBER	2100	43725	\N	\N	\N
3022641	10022	1998-01-04	VYDAJ	VYBER	5100	37594	\N	\N	\N
3022642	10022	1998-01-29	VYDAJ	VYBER	8100	27225	\N	\N	\N
3022643	10022	1998-01-08	VYDAJ	VYBER	2700	54472	\N	\N	\N
3022644	10022	1998-01-26	VYDAJ	VYBER	8400	35325	\N	\N	\N
3022645	10022	1998-01-30	VYDAJ	VYBER	6900	20325	\N	\N	\N
3022648	10022	1998-11-23	VYDAJ	VYBER	11400	42746	\N	\N	\N
3022649	10022	1998-07-26	VYDAJ	VYBER	13500	43242	\N	\N	\N
3022660	10022	1997-10-31	VYDAJ	VYBER	15	53965	SLUZBY	\N	\N
3022661	10022	1997-11-30	VYDAJ	VYBER	15	55979	SLUZBY	\N	\N
3022662	10022	1997-12-31	VYDAJ	VYBER	15	48994	SLUZBY	\N	\N
3022663	10022	1998-01-31	VYDAJ	VYBER	15	20493	SLUZBY	\N	\N
3022664	10022	1998-02-28	VYDAJ	VYBER	15	39972	SLUZBY	\N	\N
3022665	10022	1998-03-31	VYDAJ	VYBER	15	45585	SLUZBY	\N	\N
3022666	10022	1998-04-30	VYDAJ	VYBER	15	55029	SLUZBY	\N	\N
3022667	10022	1998-05-31	VYDAJ	VYBER	15	56987	SLUZBY	\N	\N
3022668	10022	1998-06-30	VYDAJ	VYBER	15	48210	SLUZBY	\N	\N
3022669	10022	1998-07-31	VYDAJ	VYBER	15	44457	SLUZBY	\N	\N
3022670	10022	1998-08-31	VYDAJ	VYBER	15	38413	SLUZBY	\N	\N
3022671	10022	1998-09-30	VYDAJ	VYBER	15	44132	SLUZBY	\N	\N
3022672	10022	1998-10-31	VYDAJ	VYBER	15	43214	SLUZBY	\N	\N
3022673	10022	1998-11-30	VYDAJ	VYBER	15	41346	SLUZBY	\N	\N
3022674	10022	1997-06-06	VYDAJ	VYBER	6500	34784	\N	\N	\N
3022675	10022	1997-07-06	VYDAJ	VYBER	16800	45361	\N	\N	\N
3022676	10022	1997-08-05	VYDAJ	VYBER	10300	35243	\N	\N	\N
3022677	10022	1997-09-04	VYDAJ	VYBER	19900	42848	\N	\N	\N
3022678	10022	1997-10-04	VYDAJ	VYBER	20500	45690	\N	\N	\N
3022679	10022	1997-11-03	VYDAJ	VYBER	7800	46165	\N	\N	\N
3022680	10022	1997-12-03	VYDAJ	VYBER	10300	45679	\N	\N	\N
3022681	10022	1998-01-02	VYDAJ	VYBER	6300	42694	\N	\N	\N
3022682	10022	1998-02-01	PRIJEM	VKLAD	8400	28893	\N	\N	\N
3022683	10022	1998-03-03	VYDAJ	VYBER	5500	34472	\N	\N	\N
3022684	10022	1998-04-02	VYDAJ	VYBER	1700	43885	\N	\N	\N
3022685	10022	1998-05-02	VYDAJ	VYBER	9200	45829	\N	\N	\N
3022686	10022	1998-06-01	VYDAJ	VYBER	5900	51087	\N	\N	\N
3022687	10022	1998-07-01	VYDAJ	VYBER	2400	45810	\N	\N	\N
3022688	10022	1998-07-31	PRIJEM	VKLAD	1000	44242	\N	\N	\N
3022689	10022	1998-08-30	PRIJEM	VKLAD	3900	38267	\N	\N	\N
3022690	10022	1998-09-29	VYDAJ	VYBER	5400	43945	\N	\N	\N
3022691	10022	1998-10-29	PRIJEM	VKLAD	2300	43051	\N	\N	\N
3022692	10022	1998-11-28	VYDAJ	VYBER KARTOU	1600	41146	\N	\N	0
3026748	10036	1993-09-13	PRIJEM	VKLAD	700	700	\N	\N	\N
3026753	10036	1994-11-12	PRIJEM	VKLAD	20497	44719	\N	\N	\N
3026754	10036	1994-04-29	PRIJEM	VKLAD	39777	91513	\N	\N	\N
3026755	10036	1994-03-29	PRIJEM	VKLAD	40339	76288	\N	\N	\N
3026756	10036	1994-01-01	PRIJEM	VKLAD	41280	64780	\N	\N	\N
3026757	10036	1994-01-31	PRIJEM	VKLAD	35165	78945	\N	\N	\N
3026758	10036	1996-05-01	PRIJEM	VKLAD	6867	19083	\N	\N	\N
3026759	10036	1996-10-19	PRIJEM	VKLAD	25367	40768	\N	\N	\N
3026760	10036	1996-01-29	PRIJEM	VKLAD	29979	29774	\N	\N	\N
3026761	10036	1996-06-10	PRIJEM	VKLAD	32038	42886	\N	\N	\N
3026762	10036	1996-02-25	PRIJEM	VKLAD	33005	55900	\N	\N	\N
3026763	10036	1996-10-26	PRIJEM	VKLAD	41098	81866	\N	\N	\N
3026764	10036	1996-12-11	PRIJEM	VKLAD	40996	63799	\N	\N	\N
3026765	10036	1996-08-03	PRIJEM	VKLAD	36134	45970	\N	\N	\N
3026766	10036	1996-06-29	PRIJEM	VKLAD	24379	70265	\N	\N	\N
3026767	10036	1997-07-14	PRIJEM	VKLAD	13132	66088	\N	\N	\N
3026768	10036	1997-06-20	PRIJEM	VKLAD	40929	142239	\N	\N	\N
3026769	10036	1997-12-11	PRIJEM	VKLAD	38914	143317	\N	\N	\N
3026770	10036	1997-04-26	PRIJEM	VKLAD	23558	33627	\N	\N	\N
3026771	10036	1997-09-18	PRIJEM	VKLAD	22872	81449	\N	\N	\N
3026772	10036	1997-07-20	PRIJEM	VKLAD	16835	82923	\N	\N	\N
3026773	10036	1997-09-24	PRIJEM	VKLAD	31288	73982	\N	\N	\N
3026774	10036	1997-11-02	PRIJEM	VKLAD	37933	74364	\N	\N	\N
3026775	10036	1997-08-18	PRIJEM	VKLAD	44357	112363	\N	\N	\N
3026776	10036	1997-07-04	PRIJEM	VKLAD	49227	87738	\N	\N	\N
3026777	10036	1997-12-02	PRIJEM	VKLAD	44074	104403	\N	\N	\N
3026778	10036	1997-10-15	PRIJEM	VKLAD	29308	88411	\N	\N	\N
3026779	10036	1997-05-22	PRIJEM	VKLAD	23380	61797	\N	\N	\N
3026780	10036	1997-05-12	PRIJEM	VKLAD	10248	43979	\N	\N	\N
3026781	10036	1997-09-23	PRIJEM	VKLAD	6545	42694	\N	\N	\N
3026782	10036	1997-02-06	PRIJEM	VKLAD	36114	107847	\N	\N	\N
3026783	10036	1997-06-09	PRIJEM	VKLAD	35814	68909	\N	\N	\N
3026784	10036	1997-02-03	PRIJEM	VKLAD	42740	71733	\N	\N	\N
3026785	10036	1997-12-13	PRIJEM	VKLAD	34296	95043	\N	\N	\N
3026786	10036	1997-11-29	PRIJEM	VKLAD	18735	59834	\N	\N	\N
3026787	10036	1997-01-17	PRIJEM	VKLAD	40107	47322	\N	\N	\N
3026788	10036	1997-02-17	PRIJEM	VKLAD	42753	122302	\N	\N	\N
3026789	10036	1997-06-17	PRIJEM	VKLAD	46755	101310	\N	\N	\N
3026790	10036	1997-01-27	PRIJEM	VKLAD	17006	32128	\N	\N	\N
3026791	10036	1997-10-22	PRIJEM	VKLAD	34788	123199	\N	\N	\N
3026792	10036	1997-11-08	PRIJEM	VKLAD	42035	94399	\N	\N	\N
3026793	10036	1997-09-13	PRIJEM	VKLAD	14677	58577	\N	\N	\N
3026794	10036	1997-08-17	PRIJEM	VKLAD	37718	68006	\N	\N	\N
3026795	10036	1997-02-26	PRIJEM	VKLAD	35962	70764	\N	\N	\N
3026887	10036	1995-05-14	VYBER	VYBER	5621	4078	\N	\N	\N
3026888	10036	1995-01-03	VYBER	VYBER	6588	17532	\N	\N	\N
3026889	10036	1995-12-07	VYBER	VYBER	15921	-596	\N	\N	\N
3026890	10036	1995-04-20	VYBER	VYBER	2128	11556	\N	\N	\N
3026893	10036	1995-08-08	VYBER	VYBER	9675	2952	\N	\N	\N
3026896	10036	1995-05-01	VYBER	VYBER	7644	3999	\N	\N	\N
3026897	10036	1996-11-01	VYBER	VYBER	5862	41513	\N	\N	\N
3026898	10036	1996-11-02	VYBER	VYBER	7051	34462	\N	\N	\N
3026900	10036	1997-07-05	VYBER	VYBER	14706	73032	\N	\N	\N
3026901	10036	1997-06-11	VYBER	VYBER	14354	54555	\N	\N	\N
3026903	10036	1997-05-18	VYBER	VYBER	5562	38417	\N	\N	\N
3026904	10036	1997-07-09	VYBER	VYBER	20076	52956	\N	\N	\N
3026905	10036	1997-11-06	VYBER	VYBER	22000	52364	\N	\N	\N
3026906	10036	1997-08-23	VYBER	VYBER	19562	92801	\N	\N	\N
3026907	10036	1997-09-27	VYBER	VYBER	15277	58705	\N	\N	\N
3026908	10036	1997-08-10	VYBER	VYBER	9154	30288	\N	\N	\N
3026909	10036	1997-02-11	VYBER	VYBER	4498	79549	\N	\N	\N
3026910	10036	1997-03-06	VYBER	VYBER	14167	57081	\N	\N	\N
3026911	10036	1997-12-11	VYBER	VYBER	24870	118447	\N	\N	\N
3026912	10036	1997-03-15	VYBER	VYBER	20855	36226	\N	\N	\N
3026913	10036	1998-01-11	VYBER	VYBER	3276	31498	\N	\N	\N
3026923	10036	1996-06-29	VYDAJ	VYBER	56400	13865	\N	\N	\N
3026924	10036	1997-06-22	VYDAJ	VYBER	46800	72939	\N	\N	\N
3026930	10036	1997-01-23	VYDAJ	VYBER	24300	19422	\N	\N	\N
3026933	10036	1994-12-16	VYDAJ	VYBER	4500	23959	\N	\N	\N
3026935	10036	1996-12-10	VYDAJ	VYBER	1500	22803	\N	\N	\N
3026936	10036	1997-12-22	VYDAJ	VYBER	5100	38543	\N	\N	\N
3026950	10036	1995-01-08	VYDAJ	VYBER	7500	11332	\N	\N	\N
3026952	10036	1995-01-12	VYDAJ	VYBER	3600	5032	\N	\N	\N
3026953	10036	1995-01-20	VYDAJ	VYBER	3900	1132	\N	\N	\N
3026954	10036	1995-01-11	VYDAJ	VYBER	2700	8632	\N	\N	\N
3026958	10036	1996-01-08	VYDAJ	VYBER	4200	2195	\N	\N	\N
3026959	10036	1996-01-06	VYDAJ	VYBER	1500	6395	\N	\N	\N
3026961	10036	1996-01-08	VYDAJ	VYBER	2400	-205	\N	\N	\N
3026962	10036	1997-01-04	VYDAJ	VYBER	8400	21015	\N	\N	\N
3026963	10036	1997-01-14	VYDAJ	VYBER	5100	7215	\N	\N	\N
3026964	10036	1997-01-28	VYDAJ	VYBER	3300	28828	\N	\N	\N
3026965	10036	1997-01-10	VYDAJ	VYBER	8700	12315	\N	\N	\N
3026966	10036	1997-01-01	VYDAJ	VYBER	6000	29415	\N	\N	\N
3026967	10036	1997-01-18	VYDAJ	VYBER	3600	43722	\N	\N	\N
3026968	10036	1998-01-17	VYDAJ	VYBER	3900	27598	\N	\N	\N
3026969	10036	1998-01-05	VYDAJ	VYBER	1500	34774	\N	\N	\N
3026971	10036	1998-01-18	VYDAJ	VYBER	1800	12598	\N	\N	\N
3026972	10036	1998-01-03	VYDAJ	VYBER	2700	36274	\N	\N	\N
3026981	10036	1994-11-23	VYDAJ	VYBER	5700	39019	\N	\N	\N
3026984	10036	1995-09-22	VYDAJ	VYBER	3900	7274	\N	\N	\N
3026988	10036	1995-10-26	VYDAJ	VYBER	6300	5486	\N	\N	\N
3026990	10036	1996-08-17	VYDAJ	VYBER	4800	41170	\N	\N	\N
3026991	10036	1996-03-30	VYDAJ	VYBER	12000	14381	\N	\N	\N
3026992	10036	1996-05-09	VYDAJ	VYBER	8700	10383	\N	\N	\N
3026993	10036	1996-09-23	VYDAJ	VYBER	9600	16014	\N	\N	\N
3026994	10036	1996-03-28	VYDAJ	VYBER	11400	26381	\N	\N	\N
3026995	10036	1996-07-23	VYDAJ	VYBER	2400	11497	\N	\N	\N
3026996	10036	1997-08-02	VYDAJ	VYBER	4200	39442	\N	\N	\N
3026997	10036	1997-03-17	VYDAJ	VYBER	9300	26926	\N	\N	\N
3026998	10036	1997-08-30	VYDAJ	VYBER	2400	43501	\N	\N	\N
3027000	10036	1998-01-17	VYDAJ	VYBER	13200	14398	\N	\N	\N
3027029	10036	1994-11-30	VYDAJ	VYBER	15	39359	SLUZBY	\N	\N
3027030	10036	1994-12-31	VYDAJ	VYBER	15	24120	SLUZBY	\N	\N
3027031	10036	1995-01-31	VYDAJ	VYBER	15	1164	SLUZBY	\N	\N
3027032	10036	1995-02-28	VYDAJ	VYBER	15	10555	SLUZBY	\N	\N
3027033	10036	1995-03-31	VYDAJ	VYBER	15	14084	SLUZBY	\N	\N
3027034	10036	1995-04-30	VYDAJ	VYBER	15	11643	SLUZBY	\N	\N
3027035	10036	1995-05-31	VYDAJ	VYBER	15	4105	SLUZBY	\N	\N
3027036	10036	1995-06-30	VYDAJ	VYBER	15	9304	SLUZBY	\N	\N
3027037	10036	1995-07-31	VYDAJ	VYBER	15	13427	SLUZBY	\N	\N
3027038	10036	1995-08-31	VYDAJ	VYBER	15	2974	SLUZBY	\N	\N
3027039	10036	1995-09-30	VYDAJ	VYBER	15	7286	SLUZBY	\N	\N
3027040	10036	1995-10-31	VYDAJ	VYBER	15	5500	SLUZBY	\N	\N
3027041	10036	1995-11-30	VYDAJ	VYBER	15	11925	SLUZBY	\N	\N
3027043	10036	1996-01-31	VYDAJ	VYBER	15	22895	SLUZBY	\N	\N
3027044	10036	1996-02-29	VYDAJ	VYBER	15	55981	SLUZBY	\N	\N
3027045	10036	1996-03-31	VYDAJ	VYBER	15	14584	SLUZBY	\N	\N
3027046	10036	1996-04-30	VYDAJ	VYBER	15	12216	SLUZBY	\N	\N
3027047	10036	1996-05-31	VYDAJ	VYBER	15	10848	SLUZBY	\N	\N
3027048	10036	1996-06-30	VYDAJ	VYBER	15	13897	SLUZBY	\N	\N
3027049	10036	1996-07-31	VYDAJ	VYBER	15	9836	SLUZBY	\N	\N
3027050	10036	1996-08-31	VYDAJ	VYBER	15	25614	SLUZBY	\N	\N
3027051	10036	1996-09-30	VYDAJ	VYBER	15	15401	SLUZBY	\N	\N
3027052	10036	1996-10-31	VYDAJ	VYBER	15	47375	SLUZBY	\N	\N
3027053	10036	1996-11-30	VYDAJ	VYBER	15	24303	SLUZBY	\N	\N
3027054	10036	1996-12-31	VYDAJ	VYBER	15	35415	SLUZBY	\N	\N
3027055	10036	1997-01-31	VYDAJ	VYBER	15	28993	SLUZBY	\N	\N
3027056	10036	1997-02-28	VYDAJ	VYBER	15	71248	SLUZBY	\N	\N
3027057	10036	1997-03-31	VYDAJ	VYBER	15	13669	SLUZBY	\N	\N
3027058	10036	1997-04-30	VYDAJ	VYBER	15	33731	SLUZBY	\N	\N
3027059	10036	1997-05-31	VYDAJ	VYBER	15	33095	SLUZBY	\N	\N
3027060	10036	1997-06-30	VYDAJ	VYBER	15	38511	SLUZBY	\N	\N
3027061	10036	1997-07-31	VYDAJ	VYBER	15	43642	SLUZBY	\N	\N
3027062	10036	1997-08-31	VYDAJ	VYBER	15	43900	SLUZBY	\N	\N
3027063	10036	1997-09-30	VYDAJ	VYBER	15	59103	SLUZBY	\N	\N
3027064	10036	1997-10-31	VYDAJ	VYBER	15	36431	SLUZBY	\N	\N
3027065	10036	1997-11-30	VYDAJ	VYBER	15	60329	SLUZBY	\N	\N
3027066	10036	1997-12-31	VYDAJ	VYBER	15	38974	SLUZBY	\N	\N
3027078	10036	1993-10-13	PRIJEM	VKLAD	12200	12900	\N	\N	\N
3027079	10036	1993-11-12	PRIJEM	VKLAD	6100	19000	\N	\N	\N
3027080	10036	1993-12-12	PRIJEM	VKLAD	4500	23500	\N	\N	\N
3027081	10036	1994-01-11	VYDAJ	VYBER	21000	43780	\N	\N	\N
3027082	10036	1994-02-10	VYDAJ	VYBER	27800	51402	\N	\N	\N
3027083	10036	1994-03-12	VYDAJ	VYBER	16100	35949	\N	\N	\N
3027084	10036	1994-04-11	VYDAJ	VYBER	24900	51736	\N	\N	\N
3027085	10036	1994-05-11	VYDAJ	VYBER	35700	56146	\N	\N	\N
3027086	10036	1994-06-10	VYDAJ	VYBER	14500	42026	\N	\N	\N
3027087	10036	1994-07-10	VYDAJ	VYBER	11100	31305	\N	\N	\N
3027088	10036	1994-08-09	VYDAJ	VYBER	2400	29284	\N	\N	\N
3027089	10036	1994-09-08	VYDAJ	VYBER	5700	23964	\N	\N	\N
3027090	10036	1994-10-08	VYDAJ	VYBER	600	23743	\N	\N	\N
3027091	10036	1994-11-07	PRIJEM	VKLAD	100	24222	\N	\N	\N
3027092	10036	1994-12-07	VYDAJ	VYBER	10900	28459	\N	\N	\N
3027093	10036	1995-01-06	PRIJEM	VKLAD	1300	18832	\N	\N	\N
3027094	10036	1995-02-05	PRIJEM	VKLAD	9400	10564	\N	\N	\N
3027095	10036	1995-03-07	PRIJEM	VKLAD	3500	14055	\N	\N	\N
3027096	10036	1995-04-06	VYDAJ	VYBER	400	13684	\N	\N	\N
3027097	10036	1995-05-06	PRIJEM	VKLAD	5700	9699	\N	\N	\N
3027098	10036	1995-06-05	PRIJEM	VKLAD	5200	9305	\N	\N	\N
3027099	10036	1995-07-05	PRIJEM	VKLAD	4100	13404	\N	\N	\N
3027100	10036	1995-08-04	VYDAJ	VYBER	800	12627	\N	\N	\N
3027101	10036	1995-09-03	PRIJEM	VKLAD	8200	11174	\N	\N	\N
3027102	10036	1995-10-03	PRIJEM	VKLAD	4500	11786	\N	\N	\N
3027103	10036	1995-11-02	PRIJEM	VKLAD	6400	11900	\N	\N	\N
3027104	10036	1995-12-02	PRIJEM	VKLAD	3400	15325	\N	\N	\N
3027105	10036	1996-01-01	PRIJEM	VKLAD	8500	7895	\N	\N	\N
3027106	10036	1996-01-31	VYDAJ	VYBER	6900	22912	\N	\N	\N
3027107	10036	1996-03-01	VYDAJ	VYBER	18200	37781	\N	\N	\N
3027108	10036	1996-03-31	VYDAJ	VYBER	2600	11984	\N	\N	\N
3027109	10036	1996-04-30	PRIJEM	VKLAD	200	12184	\N	\N	\N
3027110	10036	1996-05-30	PRIJEM	VKLAD	400	10783	\N	\N	\N
3027111	10036	1996-06-29	PRIJEM	VKLAD	3000	45886	\N	\N	\N
3027112	10036	1996-07-29	VYDAJ	VYBER	1700	9797	\N	\N	\N
3027113	10036	1996-08-28	VYDAJ	VYBER	15700	25470	\N	\N	\N
3027114	10036	1996-09-27	VYDAJ	VYBER	700	15314	\N	\N	\N
3027115	10036	1996-10-27	VYDAJ	VYBER	34600	47266	\N	\N	\N
3027116	10036	1996-11-26	VYDAJ	VYBER	10400	24062	\N	\N	\N
3027117	10036	1996-12-26	VYDAJ	VYBER	28700	35099	\N	\N	\N
3027118	10036	1997-01-25	VYDAJ	VYBER	4300	15122	\N	\N	\N
3027119	10036	1997-02-06	VYDAJ	VYBER	23800	84047	\N	\N	\N
3027120	10036	1997-02-17	VYDAJ	VYBER	55000	67302	\N	\N	\N
3027121	10036	1997-02-24	VYDAJ	VYBER	32500	34802	\N	\N	\N
3027122	10036	1997-03-26	VYDAJ	VYBER	13600	13326	\N	\N	\N
3027123	10036	1997-04-25	VYDAJ	VYBER	3600	10069	\N	\N	\N
3027124	10036	1997-05-25	VYDAJ	VYBER	28900	32897	\N	\N	\N
3027125	10036	1997-06-20	VYDAJ	VYBER	22500	119739	\N	\N	\N
3027126	10036	1997-06-24	VYDAJ	VYBER	34800	38139	\N	\N	\N
3027127	10036	1997-07-24	VYDAJ	VYBER	39700	43223	\N	\N	\N
3027128	10036	1997-08-23	VYDAJ	VYBER	46900	45901	\N	\N	\N
3027129	10036	1997-09-22	VYDAJ	VYBER	45300	36149	\N	\N	\N
3027130	10036	1997-10-22	VYDAJ	VYBER	37100	36199	\N	\N	\N
3027131	10036	1997-10-22	VYDAJ	VYBER	49900	73299	\N	\N	\N
3027132	10036	1997-11-21	VYDAJ	VYBER	53300	41099	\N	\N	\N
3027133	10036	1997-12-11	VYDAJ	VYBER	57700	60747	\N	\N	\N
3027134	10036	1997-12-21	VYDAJ	VYBER	51400	43643	\N	\N	\N
3027135	10036	1998-01-20	VYDAJ	VYBER	11400	1198	\N	\N	\N
3027136	10036	1998-02-19	VYDAJ	VYBER	2900	-1581	\N	\N	\N
3027137	10036	1998-03-21	PRIJEM	VKLAD	1000	-608	\N	\N	\N
3027138	10036	1998-04-20	VYDAJ	VYBER	3400	-4034	\N	\N	\N
3027139	10036	1998-05-20	VYDAJ	VYBER	2900	-6960	\N	\N	\N
3027140	10036	1998-06-19	VYDAJ	VYBER	3500	-10487	\N	\N	\N
3027141	10036	1998-07-19	VYDAJ	VYBER	3400	-13913	\N	\N	\N
3027142	10036	1998-08-18	PRIJEM	VKLAD	1300	-12640	\N	\N	\N
3027143	10036	1998-09-17	PRIJEM	VKLAD	1400	-11266	\N	\N	\N
3027144	10036	1998-10-17	VYDAJ	VYBER	3700	-14993	\N	\N	\N
3027145	10036	1998-11-16	PRIJEM	VKLAD	600	-14419	\N	\N	\N
3031452	10049	1996-03-28	PRIJEM	VKLAD	300	300	\N	\N	\N
3031456	10049	1996-04-08	PRIJEM	VKLAD	4335	4635	\N	\N	\N
3031457	10049	1996-05-08	PRIJEM	VKLAD	4335	17477	\N	\N	\N
3031458	10049	1996-06-08	PRIJEM	VKLAD	6502	28340	\N	\N	\N
3031459	10049	1996-07-08	PRIJEM	VKLAD	4335	29168	\N	\N	\N
3031460	10049	1996-08-08	PRIJEM	VKLAD	4335	25608	\N	\N	\N
3031461	10049	1996-09-08	PRIJEM	VKLAD	4335	28845	\N	\N	\N
3031462	10049	1996-10-08	PRIJEM	VKLAD	4335	17079	\N	\N	\N
3031463	10049	1996-11-08	PRIJEM	VKLAD	4335	23986	\N	\N	\N
3031464	10049	1996-12-08	PRIJEM	VKLAD	6502	16471	\N	\N	\N
3031465	10049	1997-01-08	PRIJEM	VKLAD	4335	16453	\N	\N	\N
3031466	10049	1997-02-08	PRIJEM	VKLAD	4335	13940	\N	\N	\N
3031467	10049	1997-03-08	PRIJEM	VKLAD	4335	15811	\N	\N	\N
3031468	10049	1997-04-08	PRIJEM	VKLAD	4335	17693	\N	\N	\N
3031469	10049	1997-05-08	PRIJEM	VKLAD	4335	15940	\N	\N	\N
3031470	10049	1997-06-08	PRIJEM	VKLAD	6502	16047	\N	\N	\N
3031471	10049	1997-07-08	PRIJEM	VKLAD	4335	15888	\N	\N	\N
3031472	10049	1997-08-08	PRIJEM	VKLAD	4335	16398	\N	\N	\N
3031473	10049	1997-09-08	PRIJEM	VKLAD	4335	17047	\N	\N	\N
3031474	10049	1997-10-08	PRIJEM	VKLAD	4335	23807	\N	\N	\N
3031475	10049	1997-11-08	PRIJEM	VKLAD	4335	27191	\N	\N	\N
3031476	10049	1997-12-08	PRIJEM	VKLAD	6502	22242	\N	\N	\N
3031477	10049	1998-01-08	PRIJEM	VKLAD	4335	20422	\N	\N	\N
3031478	10049	1998-02-08	PRIJEM	VKLAD	4335	15844	\N	\N	\N
3031479	10049	1998-03-08	PRIJEM	VKLAD	4335	18696	\N	\N	\N
3031480	10049	1998-04-08	PRIJEM	VKLAD	4335	22761	\N	\N	\N
3031481	10049	1998-05-08	PRIJEM	VKLAD	4335	15465	\N	\N	\N
3031482	10049	1998-06-08	PRIJEM	VKLAD	6502	27241	\N	\N	\N
3031483	10049	1998-07-08	PRIJEM	VKLAD	4335	22080	\N	\N	\N
3031484	10049	1998-08-08	PRIJEM	VKLAD	4335	16296	\N	\N	\N
3031485	10049	1998-09-08	PRIJEM	VKLAD	4335	22602	\N	\N	\N
3031486	10049	1998-10-08	PRIJEM	VKLAD	4335	21329	\N	\N	\N
3031487	10049	1998-11-08	PRIJEM	VKLAD	4335	26854	\N	\N	\N
3031488	10049	1998-12-08	PRIJEM	VKLAD	6502	24813	\N	\N	\N
3031497	10049	1996-09-06	VYDAJ	PREVOD NA UCET	1609	24510	SIPO	CD	7603472
3031498	10049	1996-10-06	VYDAJ	PREVOD NA UCET	1609	12744	SIPO	CD	7603472
3031499	10049	1996-11-06	VYDAJ	PREVOD NA UCET	1609	19651	SIPO	CD	7603472
3031500	10049	1996-12-06	VYDAJ	PREVOD NA UCET	1609	9969	SIPO	CD	7603472
3031501	10049	1997-01-06	VYDAJ	PREVOD NA UCET	1609	12118	SIPO	CD	7603472
3031502	10049	1997-02-06	VYDAJ	PREVOD NA UCET	1609	9605	SIPO	CD	7603472
3031503	10049	1997-03-06	VYDAJ	PREVOD NA UCET	1609	11476	SIPO	CD	7603472
3031504	10049	1997-04-06	VYDAJ	PREVOD NA UCET	1609	13358	SIPO	CD	7603472
3031505	10049	1997-05-06	VYDAJ	PREVOD NA UCET	1609	11605	SIPO	CD	7603472
3031506	10049	1997-06-06	VYDAJ	PREVOD NA UCET	1609	9545	SIPO	CD	7603472
3031507	10049	1997-07-06	VYDAJ	PREVOD NA UCET	1609	11553	SIPO	CD	7603472
3031508	10049	1997-08-06	VYDAJ	PREVOD NA UCET	1609	12063	SIPO	CD	7603472
3031509	10049	1997-09-06	VYDAJ	PREVOD NA UCET	1609	12712	SIPO	CD	7603472
3031510	10049	1997-10-06	VYDAJ	PREVOD NA UCET	1609	19472	SIPO	CD	7603472
3031511	10049	1997-11-06	VYDAJ	PREVOD NA UCET	1609	22856	SIPO	CD	7603472
3031512	10049	1997-12-06	VYDAJ	PREVOD NA UCET	1609	15740	SIPO	CD	7603472
3031513	10049	1998-01-06	VYDAJ	PREVOD NA UCET	1609	18487	SIPO	CD	7603472
3031514	10049	1998-02-06	VYDAJ	PREVOD NA UCET	1609	11509	SIPO	CD	7603472
3031515	10049	1998-03-06	VYDAJ	PREVOD NA UCET	1609	14361	SIPO	CD	7603472
3031516	10049	1998-04-06	VYDAJ	PREVOD NA UCET	1609	18426	SIPO	CD	7603472
3031517	10049	1998-05-06	VYDAJ	PREVOD NA UCET	1609	11130	SIPO	CD	7603472
3031518	10049	1998-06-06	VYDAJ	PREVOD NA UCET	1609	20739	SIPO	CD	7603472
3031519	10049	1998-07-06	VYDAJ	PREVOD NA UCET	1609	17745	SIPO	CD	7603472
3031520	10049	1998-08-06	VYDAJ	PREVOD NA UCET	1609	11961	SIPO	CD	7603472
3031521	10049	1998-09-06	VYDAJ	PREVOD NA UCET	1609	18267	SIPO	CD	7603472
3031522	10049	1998-10-06	VYDAJ	PREVOD NA UCET	1609	16994	SIPO	CD	7603472
3031523	10049	1998-11-06	VYDAJ	PREVOD NA UCET	1609	22519	SIPO	CD	7603472
3031524	10049	1998-12-06	VYDAJ	PREVOD NA UCET	1609	18311	SIPO	CD	7603472
3031532	10049	1996-08-11	VYDAJ	PREVOD NA UCET	1281	24327	 	ST	95437645
3031533	10049	1996-09-11	VYDAJ	PREVOD NA UCET	1281	27564	 	ST	95437645
3031534	10049	1996-10-11	VYDAJ	PREVOD NA UCET	1281	15798	 	ST	95437645
3031535	10049	1996-11-11	VYDAJ	PREVOD NA UCET	1281	22705	 	ST	95437645
3031536	10049	1996-12-11	VYDAJ	PREVOD NA UCET	1281	15190	 	ST	95437645
3031537	10049	1997-01-11	VYDAJ	PREVOD NA UCET	1281	14452	 	ST	95437645
3031538	10049	1997-02-11	VYDAJ	PREVOD NA UCET	1281	12659	 	ST	95437645
3031539	10049	1997-03-11	VYDAJ	PREVOD NA UCET	1281	14530	 	ST	95437645
3031540	10049	1997-04-11	VYDAJ	PREVOD NA UCET	1281	16412	 	ST	95437645
3031541	10049	1997-05-11	VYDAJ	PREVOD NA UCET	1281	14659	 	ST	95437645
3031542	10049	1997-06-11	VYDAJ	PREVOD NA UCET	1281	14766	 	ST	95437645
3031543	10049	1997-07-11	VYDAJ	PREVOD NA UCET	1281	14607	 	ST	95437645
3031544	10049	1997-08-11	VYDAJ	PREVOD NA UCET	1281	15117	 	ST	95437645
3031545	10049	1997-09-11	VYDAJ	PREVOD NA UCET	1281	15766	 	ST	95437645
3031546	10049	1997-10-11	VYDAJ	PREVOD NA UCET	1281	22526	 	ST	95437645
3031547	10049	1997-11-11	VYDAJ	PREVOD NA UCET	1281	25910	 	ST	95437645
3031548	10049	1997-12-11	VYDAJ	PREVOD NA UCET	1281	20961	 	ST	95437645
3031549	10049	1998-01-11	VYDAJ	PREVOD NA UCET	1281	19141	 	ST	95437645
3031550	10049	1998-02-11	VYDAJ	PREVOD NA UCET	1281	14563	 	ST	95437645
3031551	10049	1998-03-11	VYDAJ	PREVOD NA UCET	1281	17415	 	ST	95437645
3031552	10049	1998-04-11	VYDAJ	PREVOD NA UCET	1281	12880	 	ST	95437645
3031553	10049	1998-05-11	VYDAJ	PREVOD NA UCET	1281	14184	 	ST	95437645
3031554	10049	1998-06-11	VYDAJ	PREVOD NA UCET	1281	25960	 	ST	95437645
3031555	10049	1998-07-11	VYDAJ	PREVOD NA UCET	1281	20799	 	ST	95437645
3031556	10049	1998-08-11	VYDAJ	PREVOD NA UCET	1281	15015	 	ST	95437645
3031557	10049	1998-09-11	VYDAJ	PREVOD NA UCET	1281	21321	 	ST	95437645
3031558	10049	1998-10-11	VYDAJ	PREVOD NA UCET	1281	20048	 	ST	95437645
3031559	10049	1998-11-11	VYDAJ	PREVOD NA UCET	1281	25573	 	ST	95437645
3031560	10049	1998-12-11	VYDAJ	PREVOD NA UCET	1281	23532	 	ST	95437645
3031568	10049	1996-08-02	VYDAJ	VYBER	6600	21273	\N	\N	0
3031569	10049	1996-09-19	VYDAJ	VYBER	8800	18764	\N	\N	0
3031570	10049	1996-10-03	VYDAJ	VYBER	9100	14353	\N	\N	0
3031571	10049	1996-11-21	VYDAJ	VYBER	7000	15705	\N	\N	0
3031572	10049	1996-12-02	VYDAJ	VYBER	7500	11578	\N	\N	0
3031573	10049	1997-01-20	VYDAJ	VYBER	8400	6052	\N	\N	0
3031574	10049	1997-02-12	VYDAJ	VYBER	8300	4359	\N	\N	0
3031575	10049	1997-03-13	VYDAJ	VYBER	6300	8230	\N	\N	0
3031576	10049	1997-04-12	VYDAJ	PREVOD NA UCET	7636	8776	UVER	GH	45261365
3031577	10049	1997-05-12	VYDAJ	PREVOD NA UCET	7636	7023	UVER	GH	45261365
3031578	10049	1997-06-12	VYDAJ	PREVOD NA UCET	7636	7130	UVER	GH	45261365
3031579	10049	1997-07-12	VYDAJ	PREVOD NA UCET	7636	6971	UVER	GH	45261365
3031580	10049	1997-08-12	VYDAJ	PREVOD NA UCET	7636	7481	UVER	GH	45261365
3031581	10049	1997-09-12	VYDAJ	PREVOD NA UCET	7636	8130	UVER	GH	45261365
3031582	10049	1997-10-12	VYDAJ	PREVOD NA UCET	7636	14890	UVER	GH	45261365
3031583	10049	1997-11-12	VYDAJ	PREVOD NA UCET	7636	18274	UVER	GH	45261365
3031584	10049	1997-12-12	VYDAJ	PREVOD NA UCET	7636	13325	UVER	GH	45261365
3031585	10049	1998-01-12	VYDAJ	PREVOD NA UCET	7636	10905	UVER	GH	45261365
3031586	10049	1998-02-12	VYDAJ	PREVOD NA UCET	7636	6927	UVER	GH	45261365
3031587	10049	1998-03-12	VYDAJ	PREVOD NA UCET	7636	9779	UVER	GH	45261365
3031588	10049	1998-04-08	VYDAJ	VYBER	8600	14161	\N	\N	0
3031589	10049	1998-05-03	VYDAJ	VYBER	6500	12739	\N	\N	0
3031590	10049	1998-06-16	VYDAJ	VYBER	9200	19260	\N	\N	0
3031591	10049	1998-07-18	VYDAJ	VYBER	7800	19599	\N	\N	0
3031592	10049	1998-08-05	VYDAJ	VYBER	6100	13570	\N	\N	0
3031593	10049	1998-09-14	VYDAJ	VYBER	6900	18521	\N	\N	0
3031594	10049	1998-10-17	VYDAJ	VYBER	5800	24048	\N	\N	0
3031595	10049	1998-11-20	VYDAJ	VYBER	7200	19833	\N	\N	0
3031596	10049	1998-12-17	VYDAJ	VYBER	8600	24232	\N	\N	0
3031603	10049	1996-12-30	VYDAJ	VYBER	4640	17150	\N	\N	\N
3031604	10049	1997-12-05	VYDAJ	VYBER	4640	17349	\N	\N	\N
3031605	10049	1998-12-27	VYDAJ	VYBER	4000	14352	\N	\N	\N
3031616	10049	1997-01-05	VYDAJ	VYBER	3480	13727	\N	\N	\N
3031619	10049	1998-01-06	VYDAJ	VYBER	2400	16087	\N	\N	\N
3031620	10049	1998-01-30	VYDAJ	VYBER	1440	13065	\N	\N	\N
3031621	10049	1998-01-18	VYDAJ	VYBER	1800	14505	\N	\N	\N
3031622	10049	1998-01-11	VYDAJ	VYBER	600	18541	\N	\N	\N
3031629	10049	1997-08-06	VYDAJ	VYBER	3840	13672	\N	\N	\N
3031630	10049	1997-01-23	VYDAJ	VYBER	1680	11172	\N	\N	\N
3031633	10049	1997-01-10	VYDAJ	VYBER	720	15733	\N	\N	\N
3031634	10049	1997-11-13	VYDAJ	VYBER	4560	13714	\N	\N	\N
3031636	10049	1998-01-03	VYDAJ	VYBER	3000	20096	\N	\N	\N
3031637	10049	1998-04-18	VYDAJ	VYBER	2400	19180	\N	\N	\N
3031638	10049	1998-12-27	VYDAJ	VYBER	5880	18352	\N	\N	\N
3031639	10049	1998-11-20	VYDAJ	VYBER	3240	27033	\N	\N	\N
3031648	10049	1996-08-31	VYDAJ	VYBER	15	26119	SLUZBY	\N	\N
3031649	10049	1996-09-30	VYDAJ	VYBER	15	23453	SLUZBY	\N	\N
3031650	10049	1996-10-31	VYDAJ	VYBER	15	21260	SLUZBY	\N	\N
3031651	10049	1996-11-30	VYDAJ	VYBER	15	19078	SLUZBY	\N	\N
3031652	10049	1996-12-31	VYDAJ	VYBER	15	17207	SLUZBY	\N	\N
3031653	10049	1997-01-31	VYDAJ	VYBER	15	11214	SLUZBY	\N	\N
3031654	10049	1997-02-28	VYDAJ	VYBER	15	13085	SLUZBY	\N	\N
3031655	10049	1997-03-31	VYDAJ	VYBER	15	14967	SLUZBY	\N	\N
3031656	10049	1997-04-30	VYDAJ	VYBER	15	13214	SLUZBY	\N	\N
3031657	10049	1997-05-31	VYDAJ	VYBER	15	11154	SLUZBY	\N	\N
3031658	10049	1997-06-30	VYDAJ	VYBER	15	13162	SLUZBY	\N	\N
3031659	10049	1997-07-31	VYDAJ	VYBER	15	17512	SLUZBY	\N	\N
3031660	10049	1997-08-31	VYDAJ	VYBER	15	14321	SLUZBY	\N	\N
3031661	10049	1997-09-30	VYDAJ	VYBER	15	21081	SLUZBY	\N	\N
3031662	10049	1997-10-31	VYDAJ	VYBER	15	24465	SLUZBY	\N	\N
3031663	10049	1997-11-30	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
3031664	10049	1997-12-31	VYDAJ	VYBER	15	23096	SLUZBY	\N	\N
3031665	10049	1998-01-31	VYDAJ	VYBER	15	13118	SLUZBY	\N	\N
3031666	10049	1998-02-28	VYDAJ	VYBER	15	15970	SLUZBY	\N	\N
3031667	10049	1998-03-31	VYDAJ	VYBER	15	20035	SLUZBY	\N	\N
3031668	10049	1998-04-30	VYDAJ	VYBER	15	19239	SLUZBY	\N	\N
3031669	10049	1998-05-31	VYDAJ	VYBER	15	22348	SLUZBY	\N	\N
3031670	10049	1998-06-30	VYDAJ	VYBER	15	19354	SLUZBY	\N	\N
3031671	10049	1998-07-31	VYDAJ	VYBER	15	19670	SLUZBY	\N	\N
3031672	10049	1998-08-31	VYDAJ	VYBER	15	19876	SLUZBY	\N	\N
3031673	10049	1998-09-30	VYDAJ	VYBER	15	18603	SLUZBY	\N	\N
3031674	10049	1998-10-31	VYDAJ	VYBER	15	24128	SLUZBY	\N	\N
3031675	10049	1998-11-30	VYDAJ	VYBER	15	19920	SLUZBY	\N	\N
3031676	10049	1996-04-27	PRIJEM	VKLAD	8500	13135	\N	\N	\N
3031677	10049	1996-05-27	PRIJEM	VKLAD	4300	21777	\N	\N	\N
3031678	10049	1996-06-26	VYDAJ	VYBER	3600	24740	\N	\N	\N
3031679	10049	1996-07-26	VYDAJ	VYBER	1400	27768	\N	\N	\N
3031680	10049	1996-08-25	PRIJEM	VKLAD	1700	26027	\N	\N	\N
3031681	10049	1996-09-24	PRIJEM	VKLAD	4600	23364	\N	\N	\N
3031682	10049	1996-10-24	PRIJEM	VKLAD	5400	21198	\N	\N	\N
3031683	10049	1996-11-23	PRIJEM	VKLAD	3300	19005	\N	\N	\N
3031684	10049	1996-12-23	PRIJEM	VKLAD	6600	21790	\N	\N	\N
3031685	10049	1997-01-22	PRIJEM	VKLAD	6800	12852	\N	\N	\N
3031686	10049	1997-02-21	PRIJEM	VKLAD	8700	13059	\N	\N	\N
3031687	10049	1997-03-23	PRIJEM	VKLAD	6700	14930	\N	\N	\N
3031688	10049	1997-04-22	PRIJEM	VKLAD	4400	13176	\N	\N	\N
3031689	10049	1997-05-22	PRIJEM	VKLAD	4100	11123	\N	\N	\N
3031690	10049	1997-06-21	PRIJEM	VKLAD	6000	13130	\N	\N	\N
3031691	10049	1997-07-21	PRIJEM	VKLAD	10500	17471	\N	\N	\N
3031692	10049	1997-08-20	PRIJEM	VKLAD	6800	14281	\N	\N	\N
3031693	10049	1997-09-19	PRIJEM	VKLAD	12900	21030	\N	\N	\N
3031694	10049	1997-10-19	PRIJEM	VKLAD	9500	24390	\N	\N	\N
3031695	10049	1997-11-18	PRIJEM	VKLAD	8200	21914	\N	\N	\N
3031696	10049	1997-12-18	PRIJEM	VKLAD	9700	23025	\N	\N	\N
3031697	10049	1998-01-17	PRIJEM	VKLAD	5400	16305	\N	\N	\N
3031698	10049	1998-02-16	PRIJEM	VKLAD	9000	15927	\N	\N	\N
3031699	10049	1998-03-18	PRIJEM	VKLAD	10200	19979	\N	\N	\N
3031700	10049	1998-04-17	PRIJEM	VKLAD	8700	21580	\N	\N	\N
3031701	10049	1998-05-17	PRIJEM	VKLAD	8100	22284	\N	\N	\N
3031702	10049	1998-06-16	PRIJEM	VKLAD	2500	28460	\N	\N	\N
3031703	10049	1998-07-16	PRIJEM	VKLAD	6600	27399	\N	\N	\N
3031704	10049	1998-08-15	PRIJEM	VKLAD	4800	19815	\N	\N	\N
3031705	10049	1998-09-14	PRIJEM	VKLAD	4100	25421	\N	\N	\N
3031706	10049	1998-10-14	PRIJEM	VKLAD	9800	29848	\N	\N	\N
3031707	10049	1998-11-13	PRIJEM	VKLAD	4700	30273	\N	\N	\N
3031708	10049	1998-12-13	PRIJEM	VKLAD	9300	32832	\N	\N	\N
3035435	10063	1996-10-13	PRIJEM	VKLAD	200	200	\N	\N	\N
3035446	10063	1996-11-06	PRIJEM	PREVOD Z UCTU	38902	39102	\N	OP	53588712
3035447	10063	1996-12-06	PRIJEM	PREVOD Z UCTU	58353	90740	\N	OP	53588712
3035448	10063	1997-01-06	PRIJEM	PREVOD Z UCTU	38902	100355	\N	OP	53588712
3035449	10063	1997-02-06	PRIJEM	PREVOD Z UCTU	38902	105025	\N	OP	53588712
3035450	10063	1997-03-06	PRIJEM	PREVOD Z UCTU	38902	100109	\N	OP	53588712
3035451	10063	1997-04-06	PRIJEM	PREVOD Z UCTU	38902	60568	\N	OP	53588712
3035452	10063	1997-05-06	PRIJEM	PREVOD Z UCTU	38902	75356	\N	OP	53588712
3035453	10063	1997-06-06	PRIJEM	PREVOD Z UCTU	58353	97512	\N	OP	53588712
3035454	10063	1997-07-06	PRIJEM	PREVOD Z UCTU	38902	86344	\N	OP	53588712
3035455	10063	1997-08-06	PRIJEM	PREVOD Z UCTU	38902	67568	\N	OP	53588712
3035456	10063	1997-09-06	PRIJEM	PREVOD Z UCTU	38902	70641	\N	OP	53588712
3035457	10063	1997-10-06	PRIJEM	PREVOD Z UCTU	38902	58626	\N	OP	53588712
3035458	10063	1997-11-06	PRIJEM	PREVOD Z UCTU	38902	57665	\N	OP	53588712
3035459	10063	1997-12-06	PRIJEM	PREVOD Z UCTU	58353	87468	\N	OP	53588712
3035460	10063	1998-01-06	PRIJEM	PREVOD Z UCTU	38902	60656	\N	OP	53588712
3035461	10063	1998-02-06	PRIJEM	PREVOD Z UCTU	38902	62477	\N	OP	53588712
3035462	10063	1998-03-06	PRIJEM	PREVOD Z UCTU	38902	83280	\N	OP	53588712
3035463	10063	1998-04-06	PRIJEM	PREVOD Z UCTU	38902	68261	\N	OP	53588712
3035464	10063	1998-05-06	PRIJEM	PREVOD Z UCTU	38902	53815	\N	OP	53588712
3035465	10063	1998-06-06	PRIJEM	PREVOD Z UCTU	58353	80584	\N	OP	53588712
3035466	10063	1998-07-06	PRIJEM	PREVOD Z UCTU	38902	75510	\N	OP	53588712
3035467	10063	1998-08-06	PRIJEM	PREVOD Z UCTU	38902	77972	\N	OP	53588712
3035468	10063	1998-09-06	PRIJEM	PREVOD Z UCTU	38902	64481	\N	OP	53588712
3035469	10063	1998-10-06	PRIJEM	PREVOD Z UCTU	38902	63474	\N	OP	53588712
3035470	10063	1998-11-06	PRIJEM	PREVOD Z UCTU	38902	73885	\N	OP	53588712
3035471	10063	1998-12-06	PRIJEM	PREVOD Z UCTU	58353	90130	\N	OP	53588712
3035486	10063	1997-03-05	VYDAJ	VYBER	7500	61207	\N	\N	0
3035487	10063	1997-04-03	VYDAJ	VYBER	4900	21666	\N	\N	0
3035488	10063	1997-05-17	VYDAJ	VYBER	7700	38993	\N	\N	0
3035489	10063	1997-06-13	VYDAJ	VYBER	7200	47249	\N	\N	0
3035490	10063	1997-07-12	VYDAJ	PREVOD NA UCET	6484	28536	UVER	UV	42204785
3035491	10063	1997-08-12	VYDAJ	PREVOD NA UCET	6484	31621	UVER	UV	42204785
3035492	10063	1997-09-12	VYDAJ	PREVOD NA UCET	6484	34894	UVER	UV	42204785
3035493	10063	1997-10-12	VYDAJ	PREVOD NA UCET	6484	24080	UVER	UV	42204785
3035494	10063	1997-11-12	VYDAJ	PREVOD NA UCET	6484	29018	UVER	UV	42204785
3035495	10063	1997-12-12	VYDAJ	PREVOD NA UCET	6484	40021	UVER	UV	42204785
3035496	10063	1998-01-12	VYDAJ	PREVOD NA UCET	6484	22909	UVER	UV	42204785
3035497	10063	1998-02-12	VYDAJ	PREVOD NA UCET	6484	44230	UVER	UV	42204785
3035498	10063	1998-03-12	VYDAJ	PREVOD NA UCET	6484	35733	UVER	UV	42204785
3035499	10063	1998-04-12	VYDAJ	PREVOD NA UCET	6484	14833	UVER	UV	42204785
3035500	10063	1998-05-12	VYDAJ	PREVOD NA UCET	6484	20568	UVER	UV	42204785
3035501	10063	1998-06-12	VYDAJ	PREVOD NA UCET	6484	62337	UVER	UV	42204785
3035502	10063	1998-07-12	VYDAJ	PREVOD NA UCET	6484	57264	UVER	UV	42204785
3035503	10063	1998-08-12	VYDAJ	PREVOD NA UCET	6484	59725	UVER	UV	42204785
3035504	10063	1998-09-12	VYDAJ	PREVOD NA UCET	6484	34534	UVER	UV	42204785
3035505	10063	1998-10-12	VYDAJ	PREVOD NA UCET	6484	45227	UVER	UV	42204785
3035506	10063	1998-11-12	VYDAJ	PREVOD NA UCET	6484	55638	UVER	UV	42204785
3035507	10063	1998-12-12	VYDAJ	PREVOD NA UCET	6484	71883	UVER	UV	42204785
3035522	10063	1997-03-11	VYDAJ	PREVOD NA UCET	90	22246	SIPO	GH	12242025
3035523	10063	1997-04-11	VYDAJ	PREVOD NA UCET	90	43906	SIPO	GH	12242025
3035524	10063	1997-05-11	VYDAJ	PREVOD NA UCET	90	46693	SIPO	GH	12242025
3035525	10063	1997-06-11	VYDAJ	PREVOD NA UCET	90	62050	SIPO	GH	12242025
3035526	10063	1997-07-11	VYDAJ	PREVOD NA UCET	90	35019	SIPO	GH	12242025
3035527	10063	1997-08-11	VYDAJ	PREVOD NA UCET	90	45706	SIPO	GH	12242025
3035528	10063	1997-09-11	VYDAJ	PREVOD NA UCET	90	48979	SIPO	GH	12242025
3035529	10063	1997-10-11	VYDAJ	PREVOD NA UCET	90	30563	SIPO	GH	12242025
3035530	10063	1997-11-11	VYDAJ	PREVOD NA UCET	90	35502	SIPO	GH	12242025
3035531	10063	1997-12-11	VYDAJ	PREVOD NA UCET	90	54106	SIPO	GH	12242025
3035532	10063	1998-01-11	VYDAJ	PREVOD NA UCET	90	29393	SIPO	GH	12242025
3035533	10063	1998-02-11	VYDAJ	PREVOD NA UCET	90	50714	SIPO	GH	12242025
3035534	10063	1998-03-11	VYDAJ	PREVOD NA UCET	90	42217	SIPO	GH	12242025
3035535	10063	1998-04-11	VYDAJ	PREVOD NA UCET	90	34398	SIPO	GH	12242025
3035536	10063	1998-05-11	VYDAJ	PREVOD NA UCET	90	34653	SIPO	GH	12242025
3035537	10063	1998-06-11	VYDAJ	PREVOD NA UCET	90	76422	SIPO	GH	12242025
3035538	10063	1998-07-11	VYDAJ	PREVOD NA UCET	90	71348	SIPO	GH	12242025
3035539	10063	1998-08-11	VYDAJ	PREVOD NA UCET	90	73810	SIPO	GH	12242025
3035540	10063	1998-09-11	VYDAJ	PREVOD NA UCET	90	52718	SIPO	GH	12242025
3035541	10063	1998-10-11	VYDAJ	PREVOD NA UCET	90	51711	SIPO	GH	12242025
3035542	10063	1998-11-11	VYDAJ	PREVOD NA UCET	90	62122	SIPO	GH	12242025
3035543	10063	1998-12-11	VYDAJ	PREVOD NA UCET	90	78367	SIPO	GH	12242025
3035558	10063	1997-03-11	VYDAJ	PREVOD NA UCET	7601	22336	 	UV	1152956
3035559	10063	1997-04-11	VYDAJ	PREVOD NA UCET	7601	36305	 	UV	1152956
3035560	10063	1997-05-11	VYDAJ	PREVOD NA UCET	7601	46783	 	UV	1152956
3035561	10063	1997-06-11	VYDAJ	PREVOD NA UCET	7601	54449	 	UV	1152956
3035562	10063	1997-07-11	VYDAJ	PREVOD NA UCET	7601	35109	 	UV	1152956
3035563	10063	1997-08-11	VYDAJ	PREVOD NA UCET	7601	38105	 	UV	1152956
3035564	10063	1997-09-11	VYDAJ	PREVOD NA UCET	7601	41378	 	UV	1152956
3035565	10063	1997-10-11	VYDAJ	PREVOD NA UCET	7601	30653	 	UV	1152956
3035566	10063	1997-11-11	VYDAJ	PREVOD NA UCET	7601	35592	 	UV	1152956
3035567	10063	1997-12-11	VYDAJ	PREVOD NA UCET	7601	46505	 	UV	1152956
3035568	10063	1998-01-11	VYDAJ	PREVOD NA UCET	7601	29483	 	UV	1152956
3035569	10063	1998-02-11	VYDAJ	PREVOD NA UCET	7601	50804	 	UV	1152956
3035570	10063	1998-03-11	VYDAJ	PREVOD NA UCET	7601	42307	 	UV	1152956
3035571	10063	1998-04-11	VYDAJ	PREVOD NA UCET	7601	34488	 	UV	1152956
3035572	10063	1998-05-11	VYDAJ	PREVOD NA UCET	7601	27052	 	UV	1152956
3035573	10063	1998-06-11	VYDAJ	PREVOD NA UCET	7601	68821	 	UV	1152956
3035574	10063	1998-07-11	VYDAJ	PREVOD NA UCET	7601	63747	 	UV	1152956
3035575	10063	1998-08-11	VYDAJ	PREVOD NA UCET	7601	66209	 	UV	1152956
3035576	10063	1998-09-11	VYDAJ	PREVOD NA UCET	7601	52808	 	UV	1152956
3035577	10063	1998-10-11	VYDAJ	PREVOD NA UCET	7601	51801	 	UV	1152956
3035578	10063	1998-11-11	VYDAJ	PREVOD NA UCET	7601	62212	 	UV	1152956
3035579	10063	1998-12-11	VYDAJ	PREVOD NA UCET	7601	78457	 	UV	1152956
3035594	10063	1997-03-07	VYDAJ	PREVOD NA UCET	2746	33237	POJISTNE	YZ	79726081
3035595	10063	1997-04-07	VYDAJ	PREVOD NA UCET	2746	56496	POJISTNE	YZ	79726081
3035596	10063	1997-05-07	VYDAJ	PREVOD NA UCET	2746	71284	POJISTNE	YZ	79726081
3035597	10063	1997-06-07	VYDAJ	PREVOD NA UCET	2746	93440	POJISTNE	YZ	79726081
3035598	10063	1997-07-07	VYDAJ	PREVOD NA UCET	2746	82272	POJISTNE	YZ	79726081
3035599	10063	1997-08-07	VYDAJ	PREVOD NA UCET	2746	63496	POJISTNE	YZ	79726081
3035600	10063	1997-09-07	VYDAJ	PREVOD NA UCET	2746	66569	POJISTNE	YZ	79726081
3035601	10063	1997-10-07	VYDAJ	PREVOD NA UCET	2746	54554	POJISTNE	YZ	79726081
3035602	10063	1997-11-07	VYDAJ	PREVOD NA UCET	2746	53593	POJISTNE	YZ	79726081
3035603	10063	1997-12-07	VYDAJ	PREVOD NA UCET	2746	83396	POJISTNE	YZ	79726081
3035604	10063	1998-01-07	VYDAJ	PREVOD NA UCET	2746	37084	POJISTNE	YZ	79726081
3035605	10063	1998-02-07	VYDAJ	PREVOD NA UCET	2746	58405	POJISTNE	YZ	79726081
3035606	10063	1998-03-07	VYDAJ	PREVOD NA UCET	2746	79208	POJISTNE	YZ	79726081
3035607	10063	1998-04-07	VYDAJ	PREVOD NA UCET	2746	42089	POJISTNE	YZ	79726081
3035608	10063	1998-05-07	VYDAJ	PREVOD NA UCET	2746	34743	POJISTNE	YZ	79726081
3035609	10063	1998-06-07	VYDAJ	PREVOD NA UCET	2746	76512	POJISTNE	YZ	79726081
3035610	10063	1998-07-07	VYDAJ	PREVOD NA UCET	2746	71438	POJISTNE	YZ	79726081
3035611	10063	1998-08-07	VYDAJ	PREVOD NA UCET	2746	73900	POJISTNE	YZ	79726081
3035612	10063	1998-09-07	VYDAJ	PREVOD NA UCET	2746	60409	POJISTNE	YZ	79726081
3035613	10063	1998-10-07	VYDAJ	PREVOD NA UCET	2746	59402	POJISTNE	YZ	79726081
3035614	10063	1998-11-07	VYDAJ	PREVOD NA UCET	2746	69813	POJISTNE	YZ	79726081
3035615	10063	1998-12-07	VYDAJ	PREVOD NA UCET	2746	86058	POJISTNE	YZ	79726081
3035630	10063	1997-03-06	VYDAJ	PREVOD NA UCET	1326	98783	 	ST	68336278
3035631	10063	1997-04-06	VYDAJ	PREVOD NA UCET	1326	59242	 	ST	68336278
3035632	10063	1997-05-06	VYDAJ	PREVOD NA UCET	1326	74030	 	ST	68336278
3035633	10063	1997-06-06	VYDAJ	PREVOD NA UCET	1326	96186	 	ST	68336278
3035634	10063	1997-07-06	VYDAJ	PREVOD NA UCET	1326	85018	 	ST	68336278
3035635	10063	1997-08-06	VYDAJ	PREVOD NA UCET	1326	66242	 	ST	68336278
3035636	10063	1997-09-06	VYDAJ	PREVOD NA UCET	1326	69315	 	ST	68336278
3035637	10063	1997-10-06	VYDAJ	PREVOD NA UCET	1326	57300	 	ST	68336278
3035638	10063	1997-11-06	VYDAJ	PREVOD NA UCET	1326	56339	 	ST	68336278
3035639	10063	1997-12-06	VYDAJ	PREVOD NA UCET	1326	86142	 	ST	68336278
3035640	10063	1998-01-06	VYDAJ	PREVOD NA UCET	1326	39830	 	ST	68336278
3035641	10063	1998-02-06	VYDAJ	PREVOD NA UCET	1326	61151	 	ST	68336278
3035642	10063	1998-03-06	VYDAJ	PREVOD NA UCET	1326	81954	 	ST	68336278
3035643	10063	1998-04-06	VYDAJ	PREVOD NA UCET	1326	44835	 	ST	68336278
3035644	10063	1998-05-06	VYDAJ	PREVOD NA UCET	1326	37489	 	ST	68336278
3035645	10063	1998-06-06	VYDAJ	PREVOD NA UCET	1326	79258	 	ST	68336278
3035646	10063	1998-07-06	VYDAJ	PREVOD NA UCET	1326	74184	 	ST	68336278
3035647	10063	1998-08-06	VYDAJ	PREVOD NA UCET	1326	76646	 	ST	68336278
3035648	10063	1998-09-06	VYDAJ	PREVOD NA UCET	1326	63155	 	ST	68336278
3035649	10063	1998-10-06	VYDAJ	PREVOD NA UCET	1326	62148	 	ST	68336278
3035650	10063	1998-11-06	VYDAJ	PREVOD NA UCET	1326	72559	 	ST	68336278
3035651	10063	1998-12-06	VYDAJ	PREVOD NA UCET	1326	88804	 	ST	68336278
3035668	10063	1997-07-09	VYBER	VYBER	22862	59410	\N	\N	\N
3035669	10063	1997-12-21	VYBER	VYBER	18385	21636	\N	\N	\N
3035670	10063	1998-12-19	VYBER	VYBER	15258	56625	\N	\N	\N
3035671	10063	1998-07-14	VYBER	VYBER	6294	50970	\N	\N	\N
3035673	10063	1998-08-30	VYBER	VYBER	14691	26489	\N	\N	\N
3035675	10063	1998-07-05	VYBER	VYBER	9835	45208	\N	\N	\N
3035676	10063	1998-03-30	VYBER	VYBER	6528	29205	\N	\N	\N
3035677	10063	1998-08-20	VYBER	VYBER	18545	41180	\N	\N	\N
3035678	10063	1998-11-22	VYBER	VYBER	8245	47393	\N	\N	\N
3035680	10063	1998-09-19	VYBER	VYBER	8783	25751	\N	\N	\N
3035681	10063	1998-04-12	VYBER	VYBER	13081	21317	\N	\N	\N
3035682	10063	1998-12-02	VYBER	VYBER	3212	44377	\N	\N	\N
3035688	10063	1998-01-14	VYDAJ	VYBER	3900	19009	\N	\N	\N
3035690	10063	1997-12-07	VYDAJ	VYBER	4200	54196	\N	\N	\N
3035691	10063	1998-12-25	VYDAJ	VYBER	6600	50025	\N	\N	\N
3035698	10063	1997-10-05	VYDAJ	VYBER	6600	19724	\N	\N	\N
3035699	10063	1997-10-01	VYDAJ	VYBER	8700	26324	\N	\N	\N
3035700	10063	1997-03-09	VYDAJ	VYBER	3300	29937	\N	\N	\N
3035701	10063	1997-10-21	VYDAJ	VYBER	5400	18680	\N	\N	\N
3035702	10063	1998-06-26	VYDAJ	VYBER	7500	54837	\N	\N	\N
3035703	10063	1998-09-12	VYDAJ	VYBER	11700	41018	\N	\N	\N
3035721	10063	1997-03-31	VYDAJ	VYBER	30	26566	SLUZBY	\N	\N
3035722	10063	1997-04-30	VYDAJ	VYBER	30	36454	SLUZBY	\N	\N
3035723	10063	1997-05-31	VYDAJ	VYBER	30	39159	SLUZBY	\N	\N
3035724	10063	1997-06-30	VYDAJ	VYBER	30	47442	SLUZBY	\N	\N
3035725	10063	1997-07-31	VYDAJ	VYBER	30	28666	SLUZBY	\N	\N
3035726	10063	1997-08-31	VYDAJ	VYBER	30	31739	SLUZBY	\N	\N
3035727	10063	1997-09-30	VYDAJ	VYBER	30	35024	SLUZBY	\N	\N
3035728	10063	1997-10-31	VYDAJ	VYBER	30	18763	SLUZBY	\N	\N
3035729	10063	1997-11-30	VYDAJ	VYBER	30	29115	SLUZBY	\N	\N
3035730	10063	1997-12-31	VYDAJ	VYBER	30	21754	SLUZBY	\N	\N
3035731	10063	1998-01-31	VYDAJ	VYBER	30	19075	SLUZBY	\N	\N
3035732	10063	1998-02-28	VYDAJ	VYBER	30	44378	SLUZBY	\N	\N
3035733	10063	1998-03-31	VYDAJ	VYBER	30	29359	SLUZBY	\N	\N
3035734	10063	1998-04-30	VYDAJ	VYBER	30	14913	SLUZBY	\N	\N
3035735	10063	1998-05-31	VYDAJ	VYBER	30	20631	SLUZBY	\N	\N
3035736	10063	1998-06-30	VYDAJ	VYBER	30	55043	SLUZBY	\N	\N
3035737	10063	1998-07-31	VYDAJ	VYBER	30	51170	SLUZBY	\N	\N
3035738	10063	1998-08-31	VYDAJ	VYBER	30	26679	SLUZBY	\N	\N
3035739	10063	1998-09-30	VYDAJ	VYBER	30	25872	SLUZBY	\N	\N
3035740	10063	1998-10-31	VYDAJ	VYBER	30	45383	SLUZBY	\N	\N
3035741	10063	1998-11-30	VYDAJ	VYBER	30	47589	SLUZBY	\N	\N
3035742	10063	1996-11-12	VYDAJ	VYBER	6800	32302	\N	\N	\N
3035743	10063	1996-12-12	VYDAJ	VYBER	29500	61240	\N	\N	\N
3035744	10063	1997-01-11	VYDAJ	VYBER	34500	65855	\N	\N	\N
3035745	10063	1997-02-10	VYDAJ	VYBER	36600	68425	\N	\N	\N
3035746	10063	1997-03-06	VYDAJ	VYBER	62800	35983	\N	\N	\N
3035747	10063	1997-03-12	PRIJEM	VKLAD	4200	26446	\N	\N	\N
3035748	10063	1997-04-11	VYDAJ	VYBER	12500	43996	\N	\N	\N
3035749	10063	1997-05-11	VYDAJ	VYBER	16900	54384	\N	\N	\N
3035750	10063	1997-06-10	VYDAJ	VYBER	31300	62140	\N	\N	\N
3035751	10063	1997-07-10	VYDAJ	VYBER	16700	42710	\N	\N	\N
3035752	10063	1997-08-09	VYDAJ	VYBER	17700	45796	\N	\N	\N
3035753	10063	1997-09-08	VYDAJ	VYBER	17500	49069	\N	\N	\N
3035754	10063	1997-10-08	VYDAJ	VYBER	16300	38254	\N	\N	\N
3035755	10063	1997-11-07	VYDAJ	VYBER	10400	43193	\N	\N	\N
3035756	10063	1997-12-07	VYDAJ	VYBER	25000	58396	\N	\N	\N
3035757	10063	1998-01-06	VYDAJ	VYBER	19500	41156	\N	\N	\N
3035758	10063	1998-02-05	PRIJEM	VKLAD	4500	23575	\N	\N	\N
3035759	10063	1998-03-07	VYDAJ	VYBER	29300	49908	\N	\N	\N
3035760	10063	1998-04-06	VYDAJ	VYBER	22100	46161	\N	\N	\N
3035761	10063	1998-05-06	VYDAJ	VYBER	15000	38815	\N	\N	\N
3035762	10063	1998-06-05	PRIJEM	VKLAD	1600	22231	\N	\N	\N
3035763	10063	1998-07-05	VYDAJ	VYBER	8600	36608	\N	\N	\N
3035764	10063	1998-08-04	VYDAJ	VYBER	12100	39070	\N	\N	\N
3035765	10063	1998-09-03	VYDAJ	VYBER	1100	25579	\N	\N	\N
3035766	10063	1998-10-03	VYDAJ	VYBER	1300	24572	\N	\N	\N
3035767	10063	1998-11-02	VYDAJ	VYBER	10400	34983	\N	\N	\N
3035768	10063	1998-12-02	VYDAJ	VYBER	12600	31777	\N	\N	\N
3036029	10065	1996-03-30	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3036030	10065	1996-06-22	PRIJEM	VKLAD	38967	132098	\N	\N	\N
3036031	10065	1996-05-10	PRIJEM	VKLAD	27049	92374	\N	\N	\N
3036032	10065	1996-10-14	PRIJEM	VKLAD	36378	87125	\N	\N	\N
3036033	10065	1996-06-09	PRIJEM	VKLAD	22222	98631	\N	\N	\N
3036034	10065	1996-12-04	PRIJEM	VKLAD	24247	78887	\N	\N	\N
3036035	10065	1996-05-30	PRIJEM	VKLAD	14842	76116	\N	\N	\N
3036037	10065	1996-11-05	PRIJEM	VKLAD	23578	81776	\N	\N	\N
3036039	10065	1996-12-29	PRIJEM	VKLAD	41830	133048	\N	\N	\N
3036040	10065	1996-09-17	PRIJEM	VKLAD	46451	144269	\N	\N	\N
3036041	10065	1996-07-22	PRIJEM	VKLAD	41245	138989	\N	\N	\N
3036042	10065	1996-12-24	PRIJEM	VKLAD	45773	119760	\N	\N	\N
3036043	10065	1996-09-14	PRIJEM	VKLAD	31482	97818	\N	\N	\N
3036045	10065	1996-05-03	PRIJEM	VKLAD	41229	65325	\N	\N	\N
3036046	10065	1996-07-17	PRIJEM	VKLAD	37592	103444	\N	\N	\N
3036047	10065	1996-08-08	PRIJEM	VKLAD	20469	78579	\N	\N	\N
3036048	10065	1996-07-06	PRIJEM	VKLAD	29368	78504	\N	\N	\N
3036049	10065	1996-08-28	PRIJEM	VKLAD	23993	75472	\N	\N	\N
3036050	10065	1996-12-26	PRIJEM	VKLAD	38958	91218	\N	\N	\N
3036051	10065	1996-09-10	PRIJEM	VKLAD	46168	116836	\N	\N	\N
3036052	10065	1996-04-12	PRIJEM	VKLAD	21289	22389	\N	\N	\N
3036053	10065	1997-06-24	PRIJEM	VKLAD	13508	48968	\N	\N	\N
3036054	10065	1997-08-24	PRIJEM	VKLAD	21210	74899	\N	\N	\N
3036055	10065	1997-10-18	PRIJEM	VKLAD	24700	102942	\N	\N	\N
3036056	10065	1997-05-18	PRIJEM	VKLAD	26242	66104	\N	\N	\N
3036057	10065	1997-04-10	PRIJEM	VKLAD	18773	47638	\N	\N	\N
3036058	10065	1997-11-26	PRIJEM	VKLAD	6934	83451	\N	\N	\N
3036059	10065	1997-02-07	PRIJEM	VKLAD	16318	115331	\N	\N	\N
3036060	10065	1997-01-24	PRIJEM	VKLAD	41730	131369	\N	\N	\N
3036061	10065	1997-11-24	PRIJEM	VKLAD	31467	76517	\N	\N	\N
3036062	10065	1997-07-24	PRIJEM	VKLAD	15935	81155	\N	\N	\N
3036063	10065	1997-03-05	PRIJEM	VKLAD	5095	73107	\N	\N	\N
3036064	10065	1997-01-24	PRIJEM	VKLAD	10545	89639	\N	\N	\N
3036065	10065	1997-01-06	PRIJEM	VKLAD	19270	133693	\N	\N	\N
3036066	10065	1997-07-07	PRIJEM	VKLAD	27319	107820	\N	\N	\N
3036067	10065	1997-01-20	PRIJEM	VKLAD	27965	92456	\N	\N	\N
3036068	10065	1997-09-19	PRIJEM	VKLAD	40113	98126	\N	\N	\N
3036069	10065	1997-08-30	PRIJEM	VKLAD	49001	123900	\N	\N	\N
3036070	10065	1997-03-04	PRIJEM	VKLAD	12455	68012	\N	\N	\N
3036071	10065	1997-05-31	PRIJEM	VKLAD	7256	48660	\N	\N	\N
3036072	10065	1997-02-17	PRIJEM	VKLAD	16374	89319	\N	\N	\N
3036073	10065	1997-10-11	PRIJEM	VKLAD	39118	91667	\N	\N	\N
3036074	10065	1997-12-14	PRIJEM	VKLAD	47477	119293	\N	\N	\N
3036075	10065	1997-01-29	PRIJEM	VKLAD	43185	119354	\N	\N	\N
3036076	10065	1997-09-01	PRIJEM	VKLAD	31282	119592	\N	\N	\N
3036077	10065	1997-09-09	PRIJEM	VKLAD	7221	72113	\N	\N	\N
3036078	10065	1997-10-20	PRIJEM	VKLAD	20787	121596	\N	\N	\N
3036079	10065	1997-07-03	PRIJEM	VKLAD	31360	80501	\N	\N	\N
3036080	10065	1998-12-11	PRIJEM	VKLAD	26075	102726	\N	\N	\N
3036081	10065	1998-03-27	PRIJEM	VKLAD	32730	42335	\N	\N	\N
3036082	10065	1998-11-22	PRIJEM	VKLAD	35464	136217	\N	\N	\N
3036083	10065	1998-11-20	PRIJEM	VKLAD	18117	100753	\N	\N	\N
3036084	10065	1998-09-28	PRIJEM	VKLAD	46885	87318	\N	\N	\N
3036085	10065	1998-04-09	PRIJEM	VKLAD	12294	90651	\N	\N	\N
3036086	10065	1998-11-11	PRIJEM	VKLAD	6979	69680	\N	\N	\N
3036087	10065	1998-05-03	PRIJEM	VKLAD	35665	100187	\N	\N	\N
3036088	10065	1998-06-12	PRIJEM	VKLAD	15011	94411	\N	\N	\N
3036089	10065	1998-06-19	PRIJEM	VKLAD	42232	115354	\N	\N	\N
3036090	10065	1998-07-12	PRIJEM	VKLAD	22633	85311	\N	\N	\N
3036091	10065	1998-08-07	PRIJEM	VKLAD	7488	59209	\N	\N	\N
3036092	10065	1998-04-03	PRIJEM	VKLAD	39899	78357	\N	\N	\N
3036093	10065	1998-08-25	PRIJEM	VKLAD	27554	47124	\N	\N	\N
3036094	10065	1998-05-21	PRIJEM	VKLAD	37534	99698	\N	\N	\N
3036095	10065	1998-02-11	PRIJEM	VKLAD	24575	125149	\N	\N	\N
3036096	10065	1998-01-28	PRIJEM	VKLAD	40447	100306	\N	\N	\N
3036097	10065	1998-12-25	PRIJEM	VKLAD	48353	125159	\N	\N	\N
3036098	10065	1998-11-16	PRIJEM	VKLAD	7497	69493	\N	\N	\N
3036099	10065	1998-11-19	PRIJEM	VKLAD	49243	118736	\N	\N	\N
3036100	10065	1998-01-08	PRIJEM	VKLAD	37508	115043	\N	\N	\N
3036101	10065	1998-06-16	PRIJEM	VKLAD	22295	110222	\N	\N	\N
3036102	10065	1998-11-27	PRIJEM	VKLAD	46537	126740	\N	\N	\N
3036103	10065	1998-01-03	PRIJEM	VKLAD	27638	77535	\N	\N	\N
3036104	10065	1998-11-24	PRIJEM	VKLAD	41386	136103	\N	\N	\N
3036105	10065	1998-05-22	PRIJEM	VKLAD	42128	141826	\N	\N	\N
3036111	10065	1996-06-21	VYDAJ	VYBER	5500	93131	\N	\N	0
3036112	10065	1996-07-18	VYDAJ	VYBER	5700	97744	\N	\N	0
3036113	10065	1996-08-05	VYDAJ	VYBER	7700	58110	\N	\N	0
3036114	10065	1996-09-05	VYDAJ	VYBER	5100	70668	\N	\N	0
3036115	10065	1996-10-07	VYDAJ	VYBER	6900	50747	\N	\N	0
3036116	10065	1996-11-09	VYDAJ	VYBER	6100	75676	\N	\N	0
3036117	10065	1996-12-20	VYDAJ	VYBER	4900	73987	\N	\N	0
3036118	10065	1997-01-07	VYDAJ	VYBER	7400	78993	\N	\N	0
3036119	10065	1997-02-12	VYDAJ	VYBER	7800	86631	\N	\N	0
3036120	10065	1997-03-09	VYDAJ	VYBER	7900	48187	\N	\N	0
3036121	10065	1997-04-19	VYDAJ	VYBER	6700	40938	\N	\N	0
3036122	10065	1997-05-19	VYDAJ	VYBER	7500	58604	\N	\N	0
3036123	10065	1997-06-16	VYDAJ	VYBER	5700	41628	\N	\N	0
3036124	10065	1997-07-12	VYDAJ	VYBER	7600	85120	\N	\N	0
3036125	10065	1997-08-19	VYDAJ	VYBER	5200	68189	\N	\N	0
3036126	10065	1997-09-03	VYDAJ	VYBER	5600	64892	\N	\N	0
3036127	10065	1997-10-12	VYDAJ	PREVOD NA UCET	6484	85183	UVER	CD	54091745
3036128	10065	1997-11-12	VYDAJ	PREVOD NA UCET	6484	53750	UVER	CD	54091745
3036129	10065	1997-12-12	VYDAJ	PREVOD NA UCET	6484	71816	UVER	CD	54091745
3036130	10065	1998-01-12	VYDAJ	PREVOD NA UCET	6484	71859	UVER	CD	54091745
3036131	10065	1998-02-12	VYDAJ	PREVOD NA UCET	6484	78165	UVER	CD	54091745
3036132	10065	1998-03-12	VYDAJ	PREVOD NA UCET	6484	51500	UVER	CD	54091745
3036133	10065	1998-04-12	VYDAJ	PREVOD NA UCET	6484	84168	UVER	CD	54091745
3036134	10065	1998-05-12	VYDAJ	PREVOD NA UCET	6484	93703	UVER	CD	54091745
3036135	10065	1998-06-12	VYDAJ	PREVOD NA UCET	6484	87927	UVER	CD	54091745
3036136	10065	1998-07-12	VYDAJ	PREVOD NA UCET	6484	78827	UVER	CD	54091745
3036137	10065	1998-08-12	VYDAJ	PREVOD NA UCET	6484	52726	UVER	CD	54091745
3036138	10065	1998-09-12	VYDAJ	PREVOD NA UCET	6484	25633	UVER	CD	54091745
3036139	10065	1998-10-12	VYDAJ	PREVOD NA UCET	6484	76962	UVER	CD	54091745
3036140	10065	1998-11-12	VYDAJ	PREVOD NA UCET	6484	63196	UVER	CD	54091745
3036141	10065	1998-12-12	VYDAJ	PREVOD NA UCET	6484	96242	UVER	CD	54091745
3036144	10065	1996-07-10	VYBER	VYBER	12652	65852	\N	\N	\N
3036145	10065	1996-06-28	VYBER	VYBER	9067	72431	\N	\N	\N
3036148	10065	1997-06-19	VYBER	VYBER	13668	27960	\N	\N	\N
3036149	10065	1997-10-14	VYBER	VYBER	6941	78242	\N	\N	\N
3036150	10065	1997-01-17	VYBER	VYBER	14502	64491	\N	\N	\N
3036151	10065	1997-03-06	VYBER	VYBER	17020	56087	\N	\N	\N
3036152	10065	1997-01-22	VYBER	VYBER	13362	79094	\N	\N	\N
3036153	10065	1997-08-19	VYBER	VYBER	8075	73389	\N	\N	\N
3036154	10065	1997-02-14	VYBER	VYBER	13686	72945	\N	\N	\N
3036155	10065	1997-10-21	VYBER	VYBER	2423	78173	\N	\N	\N
3036156	10065	1997-03-22	VYBER	VYBER	23696	24491	\N	\N	\N
3036157	10065	1997-09-22	VYBER	VYBER	19437	52289	\N	\N	\N
3036158	10065	1997-10-19	VYBER	VYBER	2133	100809	\N	\N	\N
3036159	10065	1998-08-22	VYBER	VYBER	14000	37026	\N	\N	\N
3036160	10065	1998-10-07	VYBER	VYBER	4038	83446	\N	\N	\N
3036161	10065	1998-09-03	VYBER	VYBER	10088	32116	\N	\N	\N
3036162	10065	1998-03-23	VYBER	VYBER	17447	21636	\N	\N	\N
3036163	10065	1998-03-14	VYBER	VYBER	16317	35183	\N	\N	\N
3036164	10065	1998-10-25	VYBER	VYBER	9462	62400	\N	\N	\N
3036165	10065	1998-03-24	VYBER	VYBER	12031	9605	\N	\N	\N
3036166	10065	1998-03-27	VYBER	VYBER	4046	38289	\N	\N	\N
3036167	10065	1998-07-25	VYBER	VYBER	8758	51469	\N	\N	\N
3036168	10065	1998-05-19	VYBER	VYBER	15839	77864	\N	\N	\N
3036169	10065	1998-12-16	VYBER	VYBER	3136	78606	\N	\N	\N
3036170	10065	1998-08-22	VYBER	VYBER	17456	19570	\N	\N	\N
3036171	10065	1998-07-02	VYBER	VYBER	4585	62678	\N	\N	\N
3036172	10065	1998-05-24	VYBER	VYBER	4536	79090	\N	\N	\N
3036173	10065	1996-12-24	VYDAJ	VYBER	7500	74260	\N	\N	\N
3036174	10065	1997-12-04	VYDAJ	VYBER	5400	78299	\N	\N	\N
3036175	10065	1998-12-23	VYDAJ	VYBER KARTOU	1800	76806	\N	\N	0
3036184	10065	1997-09-18	VYDAJ	VYBER	14100	58013	\N	\N	\N
3036185	10065	1997-05-25	VYDAJ	VYBER	6900	41404	\N	\N	\N
3036186	10065	1997-03-01	VYDAJ	VYBER	7500	55557	\N	\N	\N
3036187	10065	1997-06-08	VYDAJ	VYBER	1500	47328	\N	\N	\N
3036188	10065	1998-08-29	VYDAJ	VYBER	5100	42024	\N	\N	\N
3036189	10065	1998-01-08	VYDAJ	VYBER	5700	78343	\N	\N	\N
3036190	10065	1998-06-16	VYDAJ	VYBER	6000	104222	\N	\N	\N
3036191	10065	1998-03-04	VYDAJ	VYBER	4500	57984	\N	\N	\N
3036198	10065	1996-06-30	VYDAJ	VYBER	15	49136	SLUZBY	\N	\N
3036199	10065	1996-07-31	VYDAJ	VYBER	15	65810	SLUZBY	\N	\N
3036200	10065	1996-08-31	VYDAJ	VYBER	15	75768	SLUZBY	\N	\N
3036201	10065	1996-09-30	VYDAJ	VYBER	15	57647	SLUZBY	\N	\N
3036202	10065	1996-10-31	VYDAJ	VYBER	15	58198	SLUZBY	\N	\N
3036203	10065	1996-11-30	VYDAJ	VYBER	15	54640	SLUZBY	\N	\N
3036204	10065	1996-12-31	VYDAJ	VYBER	15	114423	SLUZBY	\N	\N
3036205	10065	1997-01-31	VYDAJ	VYBER	15	99013	SLUZBY	\N	\N
3036206	10065	1997-02-28	VYDAJ	VYBER	15	63057	SLUZBY	\N	\N
3036207	10065	1997-03-31	VYDAJ	VYBER	15	28865	SLUZBY	\N	\N
3036208	10065	1997-04-30	VYDAJ	VYBER	15	39862	SLUZBY	\N	\N
3036209	10065	1997-05-31	VYDAJ	VYBER	15	48828	SLUZBY	\N	\N
3036210	10065	1997-06-30	VYDAJ	VYBER	15	49141	SLUZBY	\N	\N
3036211	10065	1997-07-31	VYDAJ	VYBER	15	81464	SLUZBY	\N	\N
3036212	10065	1997-08-31	VYDAJ	VYBER	15	88310	SLUZBY	\N	\N
3036213	10065	1997-09-30	VYDAJ	VYBER	15	52549	SLUZBY	\N	\N
3036214	10065	1997-10-31	VYDAJ	VYBER	15	60234	SLUZBY	\N	\N
3036215	10065	1997-11-30	VYDAJ	VYBER	15	83699	SLUZBY	\N	\N
3036216	10065	1997-12-31	VYDAJ	VYBER	15	49897	SLUZBY	\N	\N
3036217	10065	1998-01-31	VYDAJ	VYBER	15	100574	SLUZBY	\N	\N
3036218	10065	1998-02-28	VYDAJ	VYBER	15	62484	SLUZBY	\N	\N
3036219	10065	1998-03-31	VYDAJ	VYBER	15	38458	SLUZBY	\N	\N
3036220	10065	1998-04-30	VYDAJ	VYBER	15	64522	SLUZBY	\N	\N
3036221	10065	1998-05-31	VYDAJ	VYBER	15	79400	SLUZBY	\N	\N
3036222	10065	1998-06-30	VYDAJ	VYBER	15	67263	SLUZBY	\N	\N
3036223	10065	1998-07-31	VYDAJ	VYBER	15	51721	SLUZBY	\N	\N
3036224	10065	1998-08-31	VYDAJ	VYBER	15	42204	SLUZBY	\N	\N
3036225	10065	1998-09-30	VYDAJ	VYBER	15	87484	SLUZBY	\N	\N
3036226	10065	1998-10-31	VYDAJ	VYBER	15	62701	SLUZBY	\N	\N
3036227	10065	1998-11-30	VYDAJ	VYBER	15	76651	SLUZBY	\N	\N
3036228	10065	1996-04-29	PRIJEM	VKLAD	1700	24089	\N	\N	\N
3036229	10065	1996-05-29	VYDAJ	VYBER	31100	61274	\N	\N	\N
3036230	10065	1996-06-22	VYDAJ	VYBER	50600	81498	\N	\N	\N
3036231	10065	1996-06-28	VYDAJ	VYBER	23600	48831	\N	\N	\N
3036232	10065	1996-07-22	VYDAJ	VYBER	35400	103589	\N	\N	\N
3036233	10065	1996-07-28	VYDAJ	VYBER	38100	65489	\N	\N	\N
3036234	10065	1996-08-27	VYDAJ	VYBER	27100	51479	\N	\N	\N
3036235	10065	1996-09-10	VYDAJ	VYBER	50500	66336	\N	\N	\N
3036236	10065	1996-09-17	VYDAJ	VYBER	61300	82969	\N	\N	\N
3036237	10065	1996-09-26	VYDAJ	VYBER	25700	57269	\N	\N	\N
3036238	10065	1996-10-26	VYDAJ	VYBER	29200	57925	\N	\N	\N
3036239	10065	1996-11-25	VYDAJ	VYBER	21300	54376	\N	\N	\N
3036240	10065	1996-12-24	VYDAJ	VYBER	38000	81760	\N	\N	\N
3036241	10065	1996-12-25	VYDAJ	VYBER	22000	52260	\N	\N	\N
3036242	10065	1996-12-29	VYDAJ	VYBER	18900	114148	\N	\N	\N
3036243	10065	1997-01-06	VYDAJ	VYBER	47300	86393	\N	\N	\N
3036244	10065	1997-01-24	VYDAJ	VYBER	17200	76169	\N	\N	\N
3036245	10065	1997-01-24	VYDAJ	VYBER	38000	93369	\N	\N	\N
3036246	10065	1997-01-29	VYDAJ	VYBER	20700	98654	\N	\N	\N
3036247	10065	1997-02-07	VYDAJ	VYBER	20900	94431	\N	\N	\N
3036248	10065	1997-02-23	VYDAJ	VYBER	26600	62719	\N	\N	\N
3036249	10065	1997-03-25	PRIJEM	VKLAD	4200	28691	\N	\N	\N
3036250	10065	1997-04-24	VYDAJ	VYBER	1200	39738	\N	\N	\N
3036251	10065	1997-05-24	VYDAJ	VYBER	10300	48304	\N	\N	\N
3036252	10065	1997-06-23	PRIJEM	VKLAD	7500	35460	\N	\N	\N
3036253	10065	1997-07-07	VYDAJ	VYBER	15100	92720	\N	\N	\N
3036254	10065	1997-07-23	VYDAJ	VYBER	19900	65220	\N	\N	\N
3036255	10065	1997-08-22	VYDAJ	VYBER	14500	53689	\N	\N	\N
3036256	10065	1997-08-30	VYDAJ	VYBER	35900	88000	\N	\N	\N
3036257	10065	1997-09-01	VYDAJ	VYBER	49100	70492	\N	\N	\N
3036258	10065	1997-09-21	VYDAJ	VYBER	26400	71726	\N	\N	\N
3036259	10065	1997-10-20	VYDAJ	VYBER	41000	80596	\N	\N	\N
3036260	10065	1997-10-21	VYDAJ	VYBER	18200	59973	\N	\N	\N
3036261	10065	1997-11-20	VYDAJ	VYBER	8700	45050	\N	\N	\N
3036262	10065	1997-12-14	VYDAJ	VYBER	62900	56393	\N	\N	\N
3036263	10065	1997-12-20	VYDAJ	VYBER	6800	49593	\N	\N	\N
3036264	10065	1998-01-08	VYDAJ	VYBER	31000	84043	\N	\N	\N
3036265	10065	1998-01-19	VYDAJ	VYBER	12000	59859	\N	\N	\N
3036266	10065	1998-02-11	VYDAJ	VYBER	40500	84649	\N	\N	\N
3036267	10065	1998-02-18	VYDAJ	VYBER	16000	62165	\N	\N	\N
3036268	10065	1998-03-20	PRIJEM	VKLAD	3900	39083	\N	\N	\N
3036269	10065	1998-04-19	VYDAJ	VYBER	19900	64268	\N	\N	\N
3036270	10065	1998-05-19	VYDAJ	VYBER	15700	62164	\N	\N	\N
3036271	10065	1998-05-22	VYDAJ	VYBER	58200	83626	\N	\N	\N
3036272	10065	1998-06-18	VYDAJ	VYBER	31100	73122	\N	\N	\N
3036273	10065	1998-06-19	VYDAJ	VYBER	48400	66954	\N	\N	\N
3036274	10065	1998-07-18	VYDAJ	VYBER	18600	60227	\N	\N	\N
3036275	10065	1998-08-17	VYDAJ	VYBER	1700	51026	\N	\N	\N
3036276	10065	1998-09-16	PRIJEM	VKLAD	14800	40433	\N	\N	\N
3036277	10065	1998-10-16	VYDAJ	VYBER	5100	71862	\N	\N	\N
3036278	10065	1998-11-15	VYDAJ	VYBER KARTOU	1200	61996	\N	\N	0
3036279	10065	1998-11-19	VYDAJ	VYBER	36100	82636	\N	\N	\N
3036280	10065	1998-11-22	VYDAJ	VYBER	41500	94717	\N	\N	\N
3036281	10065	1998-11-24	VYDAJ	VYBER	55900	80203	\N	\N	\N
3036282	10065	1998-11-27	VYDAJ	VYBER	50400	76340	\N	\N	\N
3036283	10065	1998-12-15	VYDAJ	VYBER	14500	81742	\N	\N	\N
3036284	10065	1998-12-25	VYDAJ	VYBER	32100	93059	\N	\N	\N
3036979	10068	1997-04-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3036980	10068	1997-06-06	PRIJEM	VKLAD	32243	91324	\N	\N	\N
3036981	10068	1997-05-14	PRIJEM	VKLAD	18339	81442	\N	\N	\N
3036982	10068	1997-06-02	PRIJEM	VKLAD	7992	59081	\N	\N	\N
3036983	10068	1997-09-30	PRIJEM	VKLAD	25533	80267	\N	\N	\N
3036985	10068	1997-07-17	PRIJEM	VKLAD	8040	65698	\N	\N	\N
3036986	10068	1997-04-18	PRIJEM	VKLAD	30831	90015	\N	\N	\N
3036987	10068	1997-04-25	PRIJEM	VKLAD	10882	100897	\N	\N	\N
3036988	10068	1997-04-17	PRIJEM	VKLAD	33149	59184	\N	\N	\N
3036989	10068	1997-09-28	PRIJEM	VKLAD	47314	93180	\N	\N	\N
3036990	10068	1997-04-15	PRIJEM	VKLAD	6241	26035	\N	\N	\N
3036992	10068	1997-08-28	PRIJEM	VKLAD	20381	59915	\N	\N	\N
3036993	10068	1997-11-01	PRIJEM	VKLAD	40559	105359	\N	\N	\N
3036994	10068	1997-04-03	PRIJEM	VKLAD	18794	19794	\N	\N	\N
3036995	10068	1997-10-12	PRIJEM	VKLAD	40093	120345	\N	\N	\N
3036996	10068	1997-12-20	PRIJEM	VKLAD	48987	73995	\N	\N	\N
3036998	10068	1997-07-30	PRIJEM	VKLAD	10328	68026	\N	\N	\N
3036999	10068	1997-11-01	PRIJEM	VKLAD	6655	64800	\N	\N	\N
3037000	10068	1997-10-19	PRIJEM	VKLAD	42873	98135	\N	\N	\N
3037001	10068	1997-08-31	PRIJEM	VKLAD	24753	64468	\N	\N	\N
3037002	10068	1998-09-09	PRIJEM	VKLAD	34145	53136	\N	\N	\N
3037003	10068	1998-10-27	PRIJEM	VKLAD	39822	65192	\N	\N	\N
3037004	10068	1998-01-02	PRIJEM	VKLAD	49399	92764	\N	\N	\N
3037005	10068	1998-04-24	PRIJEM	VKLAD	9432	40008	\N	\N	\N
3037006	10068	1998-07-09	PRIJEM	VKLAD	21830	79857	\N	\N	\N
3037007	10068	1998-11-18	PRIJEM	VKLAD	39767	133555	\N	\N	\N
3037008	10068	1998-01-30	PRIJEM	VKLAD	10975	53113	\N	\N	\N
3037009	10068	1998-09-30	PRIJEM	VKLAD	42290	69026	\N	\N	\N
3037010	10068	1998-03-31	PRIJEM	VKLAD	35635	49975	\N	\N	\N
3037011	10068	1998-07-26	PRIJEM	VKLAD	11829	83605	\N	\N	\N
3037012	10068	1998-07-22	PRIJEM	VKLAD	9888	71776	\N	\N	\N
3037013	10068	1998-10-30	PRIJEM	VKLAD	35717	100909	\N	\N	\N
3037014	10068	1998-01-19	PRIJEM	VKLAD	5358	73638	\N	\N	\N
3037015	10068	1998-07-01	PRIJEM	VKLAD	44184	58027	\N	\N	\N
3037020	10068	1997-05-16	VYDAJ	VYBER	5200	76242	\N	\N	0
3037021	10068	1997-06-16	VYDAJ	VYBER	5300	86024	\N	\N	0
3037022	10068	1997-07-21	VYDAJ	VYBER	8000	57698	\N	\N	0
3037023	10068	1997-08-12	VYDAJ	PREVOD NA UCET	6484	39534	UVER	WX	81110077
3037024	10068	1997-09-12	VYDAJ	PREVOD NA UCET	6484	58166	UVER	WX	81110077
3037025	10068	1997-10-12	VYDAJ	PREVOD NA UCET	6484	113862	UVER	WX	81110077
3037026	10068	1997-11-12	VYDAJ	PREVOD NA UCET	6484	54887	UVER	WX	81110077
3037027	10068	1997-12-12	VYDAJ	PREVOD NA UCET	6484	25008	UVER	WX	81110077
3037028	10068	1998-01-12	VYDAJ	PREVOD NA UCET	6484	73680	UVER	WX	81110077
3037029	10068	1998-02-12	VYDAJ	PREVOD NA UCET	6484	22527	UVER	WX	81110077
3037030	10068	1998-03-12	VYDAJ	PREVOD NA UCET	6484	12260	UVER	WX	81110077
3037031	10068	1998-04-12	VYDAJ	PREVOD NA UCET	6484	30576	UVER	WX	81110077
3037032	10068	1998-05-12	VYDAJ	PREVOD NA UCET	6484	20068	UVER	WX	81110077
3037033	10068	1998-06-12	VYDAJ	PREVOD NA UCET	6484	13775	UVER	WX	81110077
3037034	10068	1998-07-12	VYDAJ	PREVOD NA UCET	6484	73374	UVER	WX	81110077
3037035	10068	1998-08-14	VYDAJ	VYBER	5100	43929	\N	\N	0
3037036	10068	1998-09-07	VYDAJ	VYBER	7400	18991	\N	\N	0
3037037	10068	1998-10-05	VYDAJ	VYBER	7500	41415	\N	\N	0
3037038	10068	1998-11-03	VYDAJ	VYBER	7300	93788	\N	\N	0
3037039	10068	1998-12-15	VYDAJ	VYBER	6000	37879	\N	\N	0
3037041	10068	1997-11-20	VYBER	VYBER	3412	51475	\N	\N	\N
3037042	10068	1997-12-22	VYBER	VYBER	10495	63500	\N	\N	\N
3037043	10068	1997-11-08	VYBER	VYBER	6489	61370	\N	\N	\N
3037044	10068	1998-09-29	VYBER	VYBER	3400	26736	\N	\N	\N
3037045	10068	1998-10-08	VYBER	VYBER	3045	38370	\N	\N	\N
3037047	10068	1998-07-17	VYBER	VYBER	11486	61888	\N	\N	\N
3037049	10068	1998-10-03	VYBER	VYBER	14269	54915	\N	\N	\N
3037051	10068	1998-02-01	VYBER	VYBER	10578	36211	\N	\N	\N
3037056	10068	1998-01-23	VYDAJ	VYBER	3000	58338	\N	\N	\N
3037057	10068	1997-12-01	VYDAJ	VYBER	8100	31491	\N	\N	\N
3037058	10068	1998-12-18	VYDAJ	VYBER	6300	31579	\N	\N	\N
3037065	10068	1998-01-30	VYDAJ	VYBER	6600	46513	\N	\N	\N
3037066	10068	1998-01-09	VYDAJ	VYBER	2700	80164	\N	\N	\N
3037067	10068	1998-01-13	VYDAJ	VYBER	2700	70980	\N	\N	\N
3037068	10068	1998-01-21	VYDAJ	VYBER	5400	61338	\N	\N	\N
3037069	10068	1998-01-21	VYDAJ	VYBER	6900	66738	\N	\N	\N
3037070	10068	1998-01-18	VYDAJ	VYBER	2700	68280	\N	\N	\N
3037072	10068	1997-06-01	VYDAJ	VYBER	6900	69689	\N	\N	\N
3037073	10068	1997-08-29	VYDAJ	VYBER	7500	52415	\N	\N	\N
3037074	10068	1997-09-24	VYDAJ	VYBER	10800	45866	\N	\N	\N
3037075	10068	1997-09-16	VYDAJ	VYBER	1500	56666	\N	\N	\N
3037076	10068	1998-02-12	VYDAJ	VYBER	7200	29011	\N	\N	\N
3037077	10068	1998-01-02	VYDAJ	VYBER	9900	82864	\N	\N	\N
3037078	10068	1998-04-03	VYDAJ	VYBER	12900	37060	\N	\N	\N
3037079	10068	1998-08-12	VYDAJ	VYBER	1500	49029	\N	\N	\N
3037081	10068	1998-10-03	VYDAJ	VYBER	6000	48915	\N	\N	\N
3037086	10068	1997-04-30	VYDAJ	VYBER	15	101103	SLUZBY	\N	\N
3037087	10068	1997-05-31	VYDAJ	VYBER	15	76589	SLUZBY	\N	\N
3037088	10068	1997-06-30	VYDAJ	VYBER	15	86358	SLUZBY	\N	\N
3037089	10068	1997-07-31	VYDAJ	VYBER	15	46018	SLUZBY	\N	\N
3037090	10068	1997-08-31	VYDAJ	VYBER	15	64649	SLUZBY	\N	\N
3037091	10068	1997-09-30	VYDAJ	VYBER	15	80252	SLUZBY	\N	\N
3037092	10068	1997-10-31	VYDAJ	VYBER	15	58145	SLUZBY	\N	\N
3037093	10068	1997-11-30	VYDAJ	VYBER	15	39591	SLUZBY	\N	\N
3037094	10068	1997-12-31	VYDAJ	VYBER	15	43365	SLUZBY	\N	\N
3037095	10068	1998-01-31	VYDAJ	VYBER	15	46789	SLUZBY	\N	\N
3037096	10068	1998-02-28	VYDAJ	VYBER	15	18744	SLUZBY	\N	\N
3037097	10068	1998-03-31	VYDAJ	VYBER	15	49960	SLUZBY	\N	\N
3037098	10068	1998-04-30	VYDAJ	VYBER	15	26552	SLUZBY	\N	\N
3037099	10068	1998-05-31	VYDAJ	VYBER	15	20259	SLUZBY	\N	\N
3037100	10068	1998-06-30	VYDAJ	VYBER	15	13843	SLUZBY	\N	\N
3037101	10068	1998-07-31	VYDAJ	VYBER	15	50529	SLUZBY	\N	\N
3037102	10068	1998-08-31	VYDAJ	VYBER	15	26391	SLUZBY	\N	\N
3037103	10068	1998-09-30	VYDAJ	VYBER	15	69184	SLUZBY	\N	\N
3037104	10068	1998-10-31	VYDAJ	VYBER	15	101088	SLUZBY	\N	\N
3037105	10068	1998-11-30	VYDAJ	VYBER	15	43879	SLUZBY	\N	\N
3037106	10068	1997-05-02	VYDAJ	VYBER	38000	63103	\N	\N	\N
3037107	10068	1997-06-01	VYDAJ	VYBER	18600	51089	\N	\N	\N
3037108	10068	1997-07-01	VYDAJ	VYBER	28700	57658	\N	\N	\N
3037109	10068	1997-07-31	VYDAJ	VYBER	22300	46032	\N	\N	\N
3037110	10068	1997-08-30	VYDAJ	VYBER	12700	39715	\N	\N	\N
3037111	10068	1997-09-29	VYDAJ	VYBER	38700	54480	\N	\N	\N
3037112	10068	1997-10-12	VYDAJ	VYBER	58600	55262	\N	\N	\N
3037113	10068	1997-10-29	VYDAJ	VYBER	40300	57835	\N	\N	\N
3037114	10068	1997-11-01	VYDAJ	VYBER	37500	67859	\N	\N	\N
3037115	10068	1997-11-28	VYDAJ	VYBER	12100	39375	\N	\N	\N
3037116	10068	1997-12-28	VYDAJ	VYBER	20300	43200	\N	\N	\N
3037117	10068	1998-01-27	VYDAJ	VYBER	16200	42138	\N	\N	\N
3037118	10068	1998-02-26	VYDAJ	VYBER	3900	18627	\N	\N	\N
3037119	10068	1998-03-28	PRIJEM	VKLAD	2000	14260	\N	\N	\N
3037120	10068	1998-04-27	VYDAJ	VYBER	13600	26408	\N	\N	\N
3037121	10068	1998-05-27	PRIJEM	VKLAD	100	20168	\N	\N	\N
3037122	10068	1998-07-26	VYDAJ	VYBER	33300	50305	\N	\N	\N
3037123	10068	1998-08-25	VYDAJ	VYBER	17700	26229	\N	\N	\N
3037124	10068	1998-09-24	VYDAJ	VYBER	23000	30136	\N	\N	\N
3037125	10068	1998-10-24	VYDAJ	VYBER	13000	25370	\N	\N	\N
3037126	10068	1998-11-18	VYDAJ	VYBER	57700	75855	\N	\N	\N
3037127	10068	1998-11-23	VYDAJ	VYBER	32300	43555	\N	\N	\N
3037128	10068	1998-12-23	VYDAJ	VYBER	8400	23179	\N	\N	\N
3039484	10079	1993-05-06	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3039487	10079	1993-06-20	PRIJEM	VKLAD	18969	76406	\N	\N	\N
3039488	10079	1993-08-24	PRIJEM	VKLAD	31352	122022	\N	\N	\N
3039489	10079	1993-09-08	PRIJEM	VKLAD	34968	96540	\N	\N	\N
3039490	10079	1993-07-03	PRIJEM	VKLAD	19540	98584	\N	\N	\N
3039491	10079	1993-05-18	PRIJEM	VKLAD	11385	38801	\N	\N	\N
3039492	10079	1993-07-28	PRIJEM	VKLAD	11833	83636	\N	\N	\N
3039493	10079	1993-10-14	PRIJEM	VKLAD	27916	75537	\N	\N	\N
3039495	10079	1993-05-13	PRIJEM	VKLAD	26316	27416	\N	\N	\N
3039496	10079	1993-08-07	PRIJEM	VKLAD	38850	90670	\N	\N	\N
3039497	10079	1993-06-13	PRIJEM	VKLAD	24845	57437	\N	\N	\N
3039498	10079	1993-12-03	PRIJEM	VKLAD	39961	72873	\N	\N	\N
3039502	10079	1993-07-13	PRIJEM	VKLAD	16919	73303	\N	\N	\N
3039503	10079	1993-06-25	PRIJEM	VKLAD	49980	126386	\N	\N	\N
3039505	10079	1993-08-29	PRIJEM	VKLAD	42684	143606	\N	\N	\N
3039506	10079	1994-07-04	PRIJEM	VKLAD	5190	55691	\N	\N	\N
3039507	10079	1994-01-31	PRIJEM	VKLAD	35337	75109	\N	\N	\N
3039508	10079	1994-09-10	PRIJEM	VKLAD	19050	104531	\N	\N	\N
3039509	10079	1994-07-03	PRIJEM	VKLAD	6465	50501	\N	\N	\N
3039510	10079	1994-02-21	PRIJEM	VKLAD	41700	76049	\N	\N	\N
3039511	10079	1994-07-15	PRIJEM	VKLAD	7840	60746	\N	\N	\N
3039512	10079	1994-06-03	PRIJEM	VKLAD	31780	81074	\N	\N	\N
3039513	10079	1994-12-07	PRIJEM	VKLAD	32842	66284	\N	\N	\N
3039514	10079	1994-12-10	PRIJEM	VKLAD	25317	61769	\N	\N	\N
3039515	10079	1994-01-08	PRIJEM	VKLAD	6338	51199	\N	\N	\N
3039516	10079	1994-03-23	PRIJEM	VKLAD	26741	51405	\N	\N	\N
3039517	10079	1994-01-28	PRIJEM	VKLAD	18824	39619	\N	\N	\N
3039518	10079	1994-05-28	PRIJEM	VKLAD	46152	147888	\N	\N	\N
3039519	10079	1994-12-21	PRIJEM	VKLAD	31819	129360	\N	\N	\N
3039520	10079	1994-01-04	PRIJEM	VKLAD	12832	52361	\N	\N	\N
3039521	10079	1994-01-31	PRIJEM	VKLAD	44501	119610	\N	\N	\N
3039522	10079	1994-12-20	PRIJEM	VKLAD	15016	97541	\N	\N	\N
3039523	10079	1994-05-28	PRIJEM	VKLAD	46600	101736	\N	\N	\N
3039524	10079	1994-11-19	PRIJEM	VKLAD	10903	36215	\N	\N	\N
3039525	10079	1994-12-13	PRIJEM	VKLAD	27540	86524	\N	\N	\N
3039526	10079	1994-07-17	PRIJEM	VKLAD	45926	106672	\N	\N	\N
3039527	10079	1994-05-28	PRIJEM	VKLAD	41826	189714	\N	\N	\N
3039528	10079	1994-09-01	PRIJEM	VKLAD	31261	85481	\N	\N	\N
3039529	10079	1994-12-29	PRIJEM	VKLAD	15688	68848	\N	\N	\N
3039530	10079	1994-12-19	PRIJEM	VKLAD	28601	115125	\N	\N	\N
3039531	10079	1994-08-23	PRIJEM	VKLAD	14970	77158	\N	\N	\N
3039532	10079	1994-05-16	PRIJEM	VKLAD	6164	55136	\N	\N	\N
3039533	10079	1994-05-11	PRIJEM	VKLAD	29270	51757	\N	\N	\N
3039534	10079	1995-09-19	PRIJEM	VKLAD	30077	91845	\N	\N	\N
3039535	10079	1995-09-19	PRIJEM	VKLAD	43962	61768	\N	\N	\N
3039536	10079	1995-09-30	PRIJEM	VKLAD	37187	94232	\N	\N	\N
3039537	10079	1996-07-25	PRIJEM	VKLAD	41639	90642	\N	\N	\N
3039538	10079	1996-05-25	PRIJEM	VKLAD	6545	26903	\N	\N	\N
3039539	10079	1996-08-14	PRIJEM	VKLAD	13402	105173	\N	\N	\N
3039540	10079	1996-10-05	PRIJEM	VKLAD	31926	110277	\N	\N	\N
3039541	10079	1996-09-14	PRIJEM	VKLAD	12457	89003	\N	\N	\N
3039542	10079	1996-08-21	PRIJEM	VKLAD	29064	88137	\N	\N	\N
3039543	10079	1996-09-17	PRIJEM	VKLAD	37520	120142	\N	\N	\N
3039544	10079	1996-09-26	PRIJEM	VKLAD	37040	77982	\N	\N	\N
3039545	10079	1996-08-21	PRIJEM	VKLAD	40948	129085	\N	\N	\N
3039546	10079	1996-07-29	PRIJEM	VKLAD	37675	128317	\N	\N	\N
3039547	10079	1996-10-28	PRIJEM	VKLAD	44747	76035	\N	\N	\N
3039548	10079	1996-11-21	PRIJEM	VKLAD	9668	50356	\N	\N	\N
3039549	10079	1996-06-27	PRIJEM	VKLAD	42847	108176	\N	\N	\N
3039550	10079	1996-04-06	PRIJEM	VKLAD	38991	50426	\N	\N	\N
3039551	10079	1996-06-25	PRIJEM	VKLAD	49608	65329	\N	\N	\N
3039552	10079	1997-06-08	PRIJEM	VKLAD	5670	65502	\N	\N	\N
3039553	10079	1997-11-28	PRIJEM	VKLAD	19447	38849	\N	\N	\N
3039554	10079	1997-08-20	PRIJEM	VKLAD	20403	71284	\N	\N	\N
3039555	10079	1997-09-24	PRIJEM	VKLAD	24184	51513	\N	\N	\N
3039556	10079	1997-03-29	PRIJEM	VKLAD	37310	105486	\N	\N	\N
3039557	10079	1997-02-13	PRIJEM	VKLAD	34784	92135	\N	\N	\N
3039558	10079	1997-03-03	PRIJEM	VKLAD	28578	101901	\N	\N	\N
3039559	10079	1997-06-13	PRIJEM	VKLAD	9039	71756	\N	\N	\N
3039560	10079	1997-12-05	PRIJEM	VKLAD	47471	86401	\N	\N	\N
3039561	10079	1997-06-13	PRIJEM	VKLAD	49454	121210	\N	\N	\N
3039562	10079	1997-03-19	PRIJEM	VKLAD	9660	68176	\N	\N	\N
3039563	10079	1997-05-29	PRIJEM	VKLAD	10200	59552	\N	\N	\N
3039564	10079	1997-09-11	PRIJEM	VKLAD	25802	83449	\N	\N	\N
3039565	10079	1997-08-12	PRIJEM	VKLAD	15316	39427	\N	\N	\N
3039566	10079	1997-02-24	PRIJEM	VKLAD	25368	80903	\N	\N	\N
3039567	10079	1997-01-27	PRIJEM	VKLAD	43160	60035	\N	\N	\N
3039568	10079	1997-09-28	PRIJEM	VKLAD	21720	73233	\N	\N	\N
3039569	10079	1997-06-16	PRIJEM	VKLAD	17117	51327	\N	\N	\N
3039570	10079	1997-08-19	PRIJEM	VKLAD	28439	50881	\N	\N	\N
3039571	10079	1997-04-22	PRIJEM	VKLAD	42549	95583	\N	\N	\N
3039572	10079	1998-06-11	PRIJEM	VKLAD	40562	85760	\N	\N	\N
3039573	10079	1998-05-03	PRIJEM	VKLAD	26425	70217	\N	\N	\N
3039574	10079	1998-04-29	PRIJEM	VKLAD	8499	43622	\N	\N	\N
3039575	10079	1998-05-25	PRIJEM	VKLAD	43391	119662	\N	\N	\N
3039576	10079	1998-01-17	PRIJEM	VKLAD	30958	56779	\N	\N	\N
3039577	10079	1998-07-03	PRIJEM	VKLAD	18430	86080	\N	\N	\N
3039578	10079	1998-10-09	PRIJEM	VKLAD	12524	33007	\N	\N	\N
3039579	10079	1998-11-05	PRIJEM	VKLAD	43446	94758	\N	\N	\N
3039580	10079	1998-10-23	PRIJEM	VKLAD	20953	51175	\N	\N	\N
3039581	10079	1998-09-16	PRIJEM	VKLAD	13864	34781	\N	\N	\N
3039582	10079	1998-05-04	PRIJEM	VKLAD	20686	90903	\N	\N	\N
3039583	10079	1998-05-13	PRIJEM	VKLAD	20266	67884	\N	\N	\N
3039584	10079	1998-06-10	PRIJEM	VKLAD	22612	45198	\N	\N	\N
3039585	10079	1998-03-20	PRIJEM	VKLAD	31292	67662	\N	\N	\N
3039586	10079	1998-05-18	PRIJEM	VKLAD	20087	87971	\N	\N	\N
3039587	10079	1998-03-09	PRIJEM	VKLAD	37769	65855	\N	\N	\N
3039588	10079	1998-01-31	PRIJEM	VKLAD	26199	74448	\N	\N	\N
3039595	10079	1993-07-11	VYDAJ	VYBER	3000	56384	\N	\N	0
3039596	10079	1993-08-03	VYDAJ	VYBER	3000	80920	\N	\N	0
3039597	10079	1993-09-19	VYDAJ	VYBER	3400	93140	\N	\N	0
3039598	10079	1993-10-07	VYDAJ	VYBER	2800	47621	\N	\N	0
3039599	10079	1993-11-05	VYDAJ	VYBER	2300	47525	\N	\N	0
3039600	10079	1993-12-03	VYDAJ	VYBER	2800	70073	\N	\N	0
3039601	10079	1994-01-20	VYDAJ	VYBER	3100	20795	\N	\N	0
3039602	10079	1994-02-05	VYDAJ	VYBER	2300	50396	\N	\N	0
3039603	10079	1994-03-15	VYDAJ	VYBER	3100	24664	\N	\N	0
3039604	10079	1994-04-12	VYDAJ	PREVOD NA UCET	2785	36525	UVER	YZ	33228176
3039605	10079	1994-05-12	VYDAJ	PREVOD NA UCET	2785	48972	UVER	YZ	33228176
3039606	10079	1994-06-12	VYDAJ	PREVOD NA UCET	2785	78290	UVER	YZ	33228176
3039607	10079	1994-07-12	VYDAJ	PREVOD NA UCET	2785	52906	UVER	YZ	33228176
3039608	10079	1994-08-12	VYDAJ	PREVOD NA UCET	2785	62188	UVER	YZ	33228176
3039609	10079	1994-09-12	VYDAJ	PREVOD NA UCET	2785	101746	UVER	YZ	33228176
3039610	10079	1994-10-12	VYDAJ	PREVOD NA UCET	2785	44569	UVER	YZ	33228176
3039611	10079	1994-11-12	VYDAJ	PREVOD NA UCET	2785	25312	UVER	YZ	33228176
3039612	10079	1994-12-12	VYDAJ	PREVOD NA UCET	2785	58984	UVER	YZ	33228176
3039613	10079	1995-01-12	VYDAJ	PREVOD NA UCET	2785	47421	UVER	YZ	33228176
3039614	10079	1995-02-12	VYDAJ	PREVOD NA UCET	2785	23503	UVER	YZ	33228176
3039615	10079	1995-03-12	VYDAJ	PREVOD NA UCET	2785	24413	UVER	YZ	33228176
3039616	10079	1995-04-12	VYDAJ	PREVOD NA UCET	2785	21925	UVER	YZ	33228176
3039617	10079	1995-05-12	VYDAJ	PREVOD NA UCET	2785	20127	UVER	YZ	33228176
3039618	10079	1995-06-12	VYDAJ	PREVOD NA UCET	2785	18221	UVER	YZ	33228176
3039619	10079	1995-07-12	VYDAJ	PREVOD NA UCET	2785	20211	UVER	YZ	33228176
3039620	10079	1995-08-12	VYDAJ	PREVOD NA UCET	2785	21708	UVER	YZ	33228176
3039621	10079	1995-09-12	VYDAJ	PREVOD NA UCET	2785	17806	UVER	YZ	33228176
3039622	10079	1995-10-12	VYDAJ	PREVOD NA UCET	2785	91602	UVER	YZ	33228176
3039623	10079	1995-11-12	VYDAJ	PREVOD NA UCET	2785	48829	UVER	YZ	33228176
3039624	10079	1995-12-12	VYDAJ	PREVOD NA UCET	2785	27120	UVER	YZ	33228176
3039625	10079	1996-01-12	VYDAJ	PREVOD NA UCET	2785	20137	UVER	YZ	33228176
3039626	10079	1996-02-12	VYDAJ	PREVOD NA UCET	2785	14122	UVER	YZ	33228176
3039627	10079	1996-03-12	VYDAJ	PREVOD NA UCET	2785	11392	UVER	YZ	33228176
3039628	10079	1996-04-12	VYDAJ	PREVOD NA UCET	2785	47641	UVER	YZ	33228176
3039629	10079	1996-05-12	VYDAJ	PREVOD NA UCET	2785	28358	UVER	YZ	33228176
3039630	10079	1996-06-12	VYDAJ	PREVOD NA UCET	2785	24221	UVER	YZ	33228176
3039631	10079	1996-07-12	VYDAJ	PREVOD NA UCET	2785	90703	UVER	YZ	33228176
3039632	10079	1996-08-12	VYDAJ	PREVOD NA UCET	2785	91771	UVER	YZ	33228176
3039633	10079	1996-09-12	VYDAJ	PREVOD NA UCET	2785	76546	UVER	YZ	33228176
3039634	10079	1996-10-12	VYDAJ	PREVOD NA UCET	2785	72192	UVER	YZ	33228176
3039635	10079	1996-11-12	VYDAJ	PREVOD NA UCET	2785	73488	UVER	YZ	33228176
3039636	10079	1996-12-12	VYDAJ	PREVOD NA UCET	2785	47812	UVER	YZ	33228176
3039637	10079	1997-01-12	VYDAJ	PREVOD NA UCET	2785	24375	UVER	YZ	33228176
3039638	10079	1997-02-12	VYDAJ	PREVOD NA UCET	2785	57351	UVER	YZ	33228176
3039639	10079	1997-03-12	VYDAJ	PREVOD NA UCET	2785	99116	UVER	YZ	33228176
3039640	10079	1997-04-12	VYDAJ	PREVOD NA UCET	2785	92734	UVER	YZ	33228176
3039641	10079	1997-05-12	VYDAJ	PREVOD NA UCET	2785	93152	UVER	YZ	33228176
3039642	10079	1997-06-12	VYDAJ	PREVOD NA UCET	2785	62717	UVER	YZ	33228176
3039643	10079	1997-07-12	VYDAJ	PREVOD NA UCET	2785	43383	UVER	YZ	33228176
3039644	10079	1997-08-12	VYDAJ	PREVOD NA UCET	2785	36642	UVER	YZ	33228176
3039645	10079	1997-09-12	VYDAJ	PREVOD NA UCET	2785	42864	UVER	YZ	33228176
3039646	10079	1997-10-12	VYDAJ	PREVOD NA UCET	2785	34918	UVER	YZ	33228176
3039647	10079	1997-11-12	VYDAJ	PREVOD NA UCET	2785	19402	UVER	YZ	33228176
3039648	10079	1997-12-12	VYDAJ	PREVOD NA UCET	2785	44216	UVER	YZ	33228176
3039649	10079	1998-01-12	VYDAJ	PREVOD NA UCET	2785	25821	UVER	YZ	33228176
3039650	10079	1998-02-12	VYDAJ	PREVOD NA UCET	2785	38049	UVER	YZ	33228176
3039651	10079	1998-03-12	VYDAJ	PREVOD NA UCET	2785	36370	UVER	YZ	33228176
3039652	10079	1998-04-12	VYDAJ	PREVOD NA UCET	2785	35123	UVER	YZ	33228176
3039653	10079	1998-05-12	VYDAJ	PREVOD NA UCET	2785	47618	UVER	YZ	33228176
3039654	10079	1998-06-12	VYDAJ	PREVOD NA UCET	2785	82975	UVER	YZ	33228176
3039655	10079	1998-07-12	VYDAJ	PREVOD NA UCET	2785	42495	UVER	YZ	33228176
3039656	10079	1998-08-12	VYDAJ	PREVOD NA UCET	2785	23596	UVER	YZ	33228176
3039657	10079	1998-09-12	VYDAJ	PREVOD NA UCET	2785	20917	UVER	YZ	33228176
3039658	10079	1998-10-12	VYDAJ	PREVOD NA UCET	2785	30222	UVER	YZ	33228176
3039659	10079	1998-11-12	VYDAJ	PREVOD NA UCET	2785	45073	UVER	YZ	33228176
3039660	10079	1998-12-12	VYDAJ	PREVOD NA UCET	2785	22259	UVER	YZ	33228176
3039661	10079	1994-11-07	VYBER	VYBER	9650	28097	\N	\N	\N
3039662	10079	1994-06-21	VYBER	VYBER	21090	57200	\N	\N	\N
3039663	10079	1994-05-31	VYBER	VYBER	8105	75509	\N	\N	\N
3039664	10079	1994-09-29	VYBER	VYBER	9308	47038	\N	\N	\N
3039666	10079	1994-01-15	VYBER	VYBER	19804	23895	\N	\N	\N
3039667	10079	1994-03-13	VYBER	VYBER	21978	27764	\N	\N	\N
3039669	10079	1994-05-28	VYBER	VYBER	15431	174283	\N	\N	\N
3039670	10079	1994-12-08	VYBER	VYBER	7932	51752	\N	\N	\N
3039671	10079	1994-02-19	VYBER	VYBER	16047	34349	\N	\N	\N
3039673	10079	1994-04-17	VYBER	VYBER	13573	22952	\N	\N	\N
3039676	10079	1996-10-22	VYBER	VYBER	9404	31288	\N	\N	\N
3039677	10079	1996-09-14	VYBER	VYBER	6381	82622	\N	\N	\N
3039679	10079	1996-06-30	VYBER	VYBER	14829	93502	\N	\N	\N
3039686	10079	1997-02-27	VYBER	VYBER	7825	73078	\N	\N	\N
3039687	10079	1997-07-04	VYBER	VYBER	5367	46168	\N	\N	\N
3039689	10079	1997-10-10	VYBER	VYBER	5696	37703	\N	\N	\N
3039690	10079	1997-10-06	VYBER	VYBER	17152	56299	\N	\N	\N
3039691	10079	1997-04-10	VYBER	VYBER	10270	95518	\N	\N	\N
3039692	10079	1997-09-16	VYBER	VYBER	4958	37906	\N	\N	\N
3039694	10079	1997-09-16	VYBER	VYBER	10577	27329	\N	\N	\N
3039696	10079	1997-12-20	VYBER	VYBER	11847	32369	\N	\N	\N
3039698	10079	1998-03-28	VYBER	VYBER	6523	61139	\N	\N	\N
3039699	10079	1998-02-22	VYBER	VYBER	4751	33298	\N	\N	\N
3039702	10079	1998-06-21	VYBER	VYBER	13488	69487	\N	\N	\N
3039704	10079	1998-06-04	VYBER	VYBER	8495	47386	\N	\N	\N
3039705	10079	1993-12-12	VYDAJ	VYBER	4800	65273	\N	\N	\N
3039706	10079	1994-12-07	VYDAJ	VYBER	6600	59684	\N	\N	\N
3039707	10079	1995-12-05	VYDAJ	VYBER	2700	29905	\N	\N	\N
3039708	10079	1996-12-28	VYDAJ	VYBER	2700	27012	\N	\N	\N
3039709	10079	1997-12-21	VYDAJ	VYBER	1800	30569	\N	\N	\N
3039717	10079	1994-01-01	VYDAJ	VYBER	1500	44629	\N	\N	\N
3039719	10079	1994-01-02	VYDAJ	VYBER	5100	39529	\N	\N	\N
3039720	10079	1994-01-14	VYDAJ	VYBER	2400	43699	\N	\N	\N
3039721	10079	1994-01-06	VYDAJ	VYBER	7500	44861	\N	\N	\N
3039722	10079	1994-01-11	VYDAJ	VYBER	5100	46099	\N	\N	\N
3039723	10079	1995-01-13	VYDAJ	VYBER	6300	41121	\N	\N	\N
3039725	10079	1995-01-09	VYDAJ	VYBER	4500	50206	\N	\N	\N
3039726	10079	1995-01-07	VYDAJ	VYBER	8400	60706	\N	\N	\N
3039727	10079	1995-01-23	VYDAJ	VYBER	6900	27621	\N	\N	\N
3039728	10079	1995-01-08	VYDAJ	VYBER	6000	54706	\N	\N	\N
3039734	10079	1996-01-01	VYDAJ	VYBER	1800	22922	\N	\N	\N
3039741	10079	1998-01-21	VYDAJ	VYBER	2700	54079	\N	\N	\N
3039743	10079	1998-01-28	VYDAJ	VYBER	3000	51079	\N	\N	\N
3039744	10079	1998-01-29	VYDAJ	VYBER	3000	48079	\N	\N	\N
3039745	10079	1998-01-06	VYDAJ	VYBER	2100	28606	\N	\N	\N
3039747	10079	1993-10-07	VYDAJ	VYBER	10200	50421	\N	\N	\N
3039748	10079	1993-11-22	VYDAJ	VYBER	9600	37925	\N	\N	\N
3039750	10079	1993-07-27	VYDAJ	VYBER	1500	71803	\N	\N	\N
3039752	10079	1994-09-21	VYDAJ	VYBER	13800	87946	\N	\N	\N
3039753	10079	1994-07-19	VYDAJ	VYBER	3000	103672	\N	\N	\N
3039754	10079	1994-12-08	VYDAJ	VYBER	3600	48152	\N	\N	\N
3039755	10079	1994-12-09	VYDAJ	VYBER	11700	36452	\N	\N	\N
3039757	10079	1995-01-17	VYDAJ	VYBER	6600	34521	\N	\N	\N
3039758	10079	1995-10-13	VYDAJ	VYBER	8100	83502	\N	\N	\N
3039763	10079	1996-07-29	VYDAJ	VYBER	12000	94217	\N	\N	\N
3039764	10079	1997-10-09	VYDAJ	VYBER	12900	43399	\N	\N	\N
3039765	10079	1997-09-10	VYDAJ	VYBER	13800	57647	\N	\N	\N
3039771	10079	1998-11-20	VYDAJ	VYBER KARTOU	1500	43573	\N	\N	0
3039773	10079	1998-06-22	VYDAJ	VYBER	2100	67387	\N	\N	\N
3039774	10079	1998-06-09	VYDAJ	VYBER	10500	36886	\N	\N	\N
3039775	10079	1998-05-22	VYDAJ	VYBER	11700	76271	\N	\N	\N
3039776	10079	1998-02-22	VYDAJ	VYBER	5400	27898	\N	\N	\N
3039783	10079	1993-06-30	VYDAJ	VYBER	15	79044	SLUZBY	\N	\N
3039784	10079	1993-07-31	VYDAJ	VYBER	15	83920	SLUZBY	\N	\N
3039785	10079	1993-08-31	VYDAJ	VYBER	15	94772	SLUZBY	\N	\N
3039786	10079	1993-09-30	VYDAJ	VYBER	15	93521	SLUZBY	\N	\N
3039787	10079	1993-10-31	VYDAJ	VYBER	15	75825	SLUZBY	\N	\N
3039788	10079	1993-11-30	VYDAJ	VYBER	15	38112	SLUZBY	\N	\N
3039789	10079	1993-12-31	VYDAJ	VYBER	15	65529	SLUZBY	\N	\N
3039790	10079	1994-01-31	VYDAJ	VYBER	15	77296	SLUZBY	\N	\N
3039791	10079	1994-02-28	VYDAJ	VYBER	15	76342	SLUZBY	\N	\N
3039792	10079	1994-03-31	VYDAJ	VYBER	15	51610	SLUZBY	\N	\N
3039793	10079	1994-04-30	VYDAJ	VYBER	15	23087	SLUZBY	\N	\N
3039794	10079	1994-05-31	VYDAJ	VYBER	15	49294	SLUZBY	\N	\N
3039795	10079	1994-06-30	VYDAJ	VYBER	15	44036	SLUZBY	\N	\N
3039796	10079	1994-07-31	VYDAJ	VYBER	15	64973	SLUZBY	\N	\N
3039797	10079	1994-08-31	VYDAJ	VYBER	15	54220	SLUZBY	\N	\N
3039798	10079	1994-09-30	VYDAJ	VYBER	15	47354	SLUZBY	\N	\N
3039799	10079	1994-10-31	VYDAJ	VYBER	15	37747	SLUZBY	\N	\N
3039800	10079	1994-11-30	VYDAJ	VYBER	15	33442	SLUZBY	\N	\N
3039801	10079	1994-12-31	VYDAJ	VYBER	15	69106	SLUZBY	\N	\N
3039802	10079	1995-01-31	VYDAJ	VYBER	15	26287	SLUZBY	\N	\N
3039803	10079	1995-02-28	VYDAJ	VYBER	15	27198	SLUZBY	\N	\N
3039804	10079	1995-03-31	VYDAJ	VYBER	15	24710	SLUZBY	\N	\N
3039805	10079	1995-04-30	VYDAJ	VYBER	15	22912	SLUZBY	\N	\N
3039806	10079	1995-05-31	VYDAJ	VYBER	15	21006	SLUZBY	\N	\N
3039807	10079	1995-06-30	VYDAJ	VYBER	15	22995	SLUZBY	\N	\N
3039808	10079	1995-07-31	VYDAJ	VYBER	15	24493	SLUZBY	\N	\N
3039809	10079	1995-08-31	VYDAJ	VYBER	15	20590	SLUZBY	\N	\N
3039810	10079	1995-09-30	VYDAJ	VYBER	15	94387	SLUZBY	\N	\N
3039811	10079	1995-10-31	VYDAJ	VYBER	15	51614	SLUZBY	\N	\N
3039812	10079	1995-11-30	VYDAJ	VYBER	15	32605	SLUZBY	\N	\N
3039813	10079	1995-12-31	VYDAJ	VYBER	15	24722	SLUZBY	\N	\N
3039814	10079	1996-01-31	VYDAJ	VYBER	15	16907	SLUZBY	\N	\N
3039815	10079	1996-02-29	VYDAJ	VYBER	15	14177	SLUZBY	\N	\N
3039816	10079	1996-03-31	VYDAJ	VYBER	15	11435	SLUZBY	\N	\N
3039817	10079	1996-04-30	VYDAJ	VYBER	15	31143	SLUZBY	\N	\N
3039818	10079	1996-05-31	VYDAJ	VYBER	15	27006	SLUZBY	\N	\N
3039819	10079	1996-06-30	VYDAJ	VYBER	15	93487	SLUZBY	\N	\N
3039820	10079	1996-07-31	VYDAJ	VYBER	15	94556	SLUZBY	\N	\N
3039821	10079	1996-08-31	VYDAJ	VYBER	15	79331	SLUZBY	\N	\N
3039822	10079	1996-09-30	VYDAJ	VYBER	15	78351	SLUZBY	\N	\N
3039823	10079	1996-10-31	VYDAJ	VYBER	15	76273	SLUZBY	\N	\N
3039824	10079	1996-11-30	VYDAJ	VYBER	15	50596	SLUZBY	\N	\N
3039825	10079	1996-12-31	VYDAJ	VYBER	15	27159	SLUZBY	\N	\N
3039826	10079	1997-01-31	VYDAJ	VYBER	15	60136	SLUZBY	\N	\N
3039827	10079	1997-02-28	VYDAJ	VYBER	15	73323	SLUZBY	\N	\N
3039828	10079	1997-03-31	VYDAJ	VYBER	15	105788	SLUZBY	\N	\N
3039829	10079	1997-04-30	VYDAJ	VYBER	15	95937	SLUZBY	\N	\N
3039830	10079	1997-05-31	VYDAJ	VYBER	15	59832	SLUZBY	\N	\N
3039831	10079	1997-06-30	VYDAJ	VYBER	15	51535	SLUZBY	\N	\N
3039832	10079	1997-07-31	VYDAJ	VYBER	15	24111	SLUZBY	\N	\N
3039833	10079	1997-08-31	VYDAJ	VYBER	15	71447	SLUZBY	\N	\N
3039834	10079	1997-09-30	VYDAJ	VYBER	15	73451	SLUZBY	\N	\N
3039835	10079	1997-10-31	VYDAJ	VYBER	15	22187	SLUZBY	\N	\N
3039836	10079	1997-11-30	VYDAJ	VYBER	15	38930	SLUZBY	\N	\N
3039837	10079	1997-12-31	VYDAJ	VYBER	15	30706	SLUZBY	\N	\N
3039838	10079	1998-01-31	VYDAJ	VYBER	15	74434	SLUZBY	\N	\N
3039839	10079	1998-02-28	VYDAJ	VYBER	15	28086	SLUZBY	\N	\N
3039840	10079	1998-03-31	VYDAJ	VYBER	15	61308	SLUZBY	\N	\N
3039841	10079	1998-04-30	VYDAJ	VYBER	15	43792	SLUZBY	\N	\N
3039842	10079	1998-05-31	VYDAJ	VYBER	15	55881	SLUZBY	\N	\N
3039843	10079	1998-06-30	VYDAJ	VYBER	15	67650	SLUZBY	\N	\N
3039844	10079	1998-07-31	VYDAJ	VYBER	15	42681	SLUZBY	\N	\N
3039845	10079	1998-08-31	VYDAJ	VYBER	15	23702	SLUZBY	\N	\N
3039846	10079	1998-09-30	VYDAJ	VYBER	15	34883	SLUZBY	\N	\N
3039847	10079	1998-10-31	VYDAJ	VYBER	15	51312	SLUZBY	\N	\N
3039848	10079	1998-11-30	VYDAJ	VYBER	15	43744	SLUZBY	\N	\N
3039849	10079	1993-06-05	VYDAJ	VYBER	6300	32592	\N	\N	\N
3039850	10079	1993-06-25	VYDAJ	VYBER	47600	78786	\N	\N	\N
3039851	10079	1993-07-05	VYDAJ	VYBER	39200	59384	\N	\N	\N
3039852	10079	1993-08-04	VYDAJ	VYBER	29100	51820	\N	\N	\N
3039853	10079	1993-08-24	VYDAJ	VYBER	21100	100922	\N	\N	\N
3039854	10079	1993-08-29	VYDAJ	VYBER	49200	94406	\N	\N	\N
3039855	10079	1993-09-03	VYDAJ	VYBER	33200	61572	\N	\N	\N
3039856	10079	1993-10-03	VYDAJ	VYBER	32900	60621	\N	\N	\N
3039857	10079	1993-11-02	VYDAJ	VYBER	26000	49825	\N	\N	\N
3039858	10079	1993-12-02	VYDAJ	VYBER	5200	32912	\N	\N	\N
3039859	10079	1994-01-01	VYDAJ	VYBER	19400	46129	\N	\N	\N
3039860	10079	1994-01-31	VYDAJ	VYBER	42300	77310	\N	\N	\N
3039861	10079	1994-01-31	VYDAJ	VYBER	24600	52696	\N	\N	\N
3039862	10079	1994-03-02	VYDAJ	VYBER	26600	49742	\N	\N	\N
3039863	10079	1994-04-01	VYDAJ	VYBER	12300	39310	\N	\N	\N
3039864	10079	1994-05-01	VYDAJ	VYBER	600	22487	\N	\N	\N
3039865	10079	1994-05-28	VYDAJ	VYBER	21400	83383	\N	\N	\N
3039866	10079	1994-05-28	VYDAJ	VYBER	48900	125383	\N	\N	\N
3039867	10079	1994-05-28	VYDAJ	VYBER	20600	104783	\N	\N	\N
3039868	10079	1994-05-31	VYDAJ	VYBER	26200	49309	\N	\N	\N
3039869	10079	1994-06-30	VYDAJ	VYBER	13400	44051	\N	\N	\N
3039870	10079	1994-07-30	VYDAJ	VYBER	39000	64672	\N	\N	\N
3039871	10079	1994-08-29	VYDAJ	VYBER	23200	53958	\N	\N	\N
3039872	10079	1994-09-28	VYDAJ	VYBER	31600	56346	\N	\N	\N
3039873	10079	1994-10-28	VYDAJ	VYBER	7000	37569	\N	\N	\N
3039874	10079	1994-11-27	VYDAJ	VYBER	2900	33315	\N	\N	\N
3039875	10079	1994-12-19	VYDAJ	VYBER	32600	82525	\N	\N	\N
3039876	10079	1994-12-21	VYDAJ	VYBER	54600	74760	\N	\N	\N
3039877	10079	1994-12-27	VYDAJ	VYBER	21600	53160	\N	\N	\N
3039878	10079	1995-01-26	VYDAJ	VYBER	1500	26121	\N	\N	\N
3039879	10079	1995-02-25	PRIJEM	VKLAD	3600	27103	\N	\N	\N
3039880	10079	1995-03-27	PRIJEM	VKLAD	200	24613	\N	\N	\N
3039881	10079	1995-04-26	PRIJEM	VKLAD	900	22825	\N	\N	\N
3039882	10079	1995-05-26	PRIJEM	VKLAD	800	20927	\N	\N	\N
3039883	10079	1995-06-25	PRIJEM	VKLAD	4700	22921	\N	\N	\N
3039884	10079	1995-07-25	PRIJEM	VKLAD	4200	24411	\N	\N	\N
3039885	10079	1995-08-24	VYDAJ	VYBER	1200	20508	\N	\N	\N
3039886	10079	1995-09-23	VYDAJ	VYBER	34800	57045	\N	\N	\N
3039887	10079	1995-10-23	VYDAJ	VYBER	32200	51302	\N	\N	\N
3039888	10079	1995-11-22	VYDAJ	VYBER	16400	32429	\N	\N	\N
3039889	10079	1995-12-22	VYDAJ	VYBER	2500	24620	\N	\N	\N
3039890	10079	1996-01-21	VYDAJ	VYBER	3300	16837	\N	\N	\N
3039891	10079	1996-04-20	VYDAJ	VYBER	16600	31041	\N	\N	\N
3039892	10079	1996-05-20	VYDAJ	VYBER	8000	20358	\N	\N	\N
3039893	10079	1996-06-19	VYDAJ	VYBER	8500	15721	\N	\N	\N
3039894	10079	1996-07-19	VYDAJ	VYBER	41700	49003	\N	\N	\N
3039895	10079	1996-07-29	VYDAJ	VYBER	22100	106217	\N	\N	\N
3039896	10079	1996-08-18	VYDAJ	VYBER	46100	59073	\N	\N	\N
3039897	10079	1996-08-21	VYDAJ	VYBER	50100	78985	\N	\N	\N
3039898	10079	1996-09-17	VYDAJ	VYBER	50600	40942	\N	\N	\N
3039899	10079	1996-09-17	VYDAJ	VYBER	28600	91542	\N	\N	\N
3039900	10079	1996-10-05	VYDAJ	VYBER	35300	74977	\N	\N	\N
3039901	10079	1996-10-17	VYDAJ	VYBER	31500	40692	\N	\N	\N
3039902	10079	1996-11-16	VYDAJ	VYBER	32800	40688	\N	\N	\N
3039903	10079	1996-12-16	VYDAJ	VYBER	18100	29712	\N	\N	\N
3039904	10079	1997-01-15	VYDAJ	VYBER	7500	16875	\N	\N	\N
3039905	10079	1997-02-14	VYDAJ	VYBER	36600	55535	\N	\N	\N
3039906	10079	1997-03-16	VYDAJ	VYBER	40600	58516	\N	\N	\N
3039907	10079	1997-04-15	VYDAJ	VYBER	39700	53034	\N	\N	\N
3039908	10079	1997-05-15	VYDAJ	VYBER	43800	49352	\N	\N	\N
3039909	10079	1997-06-13	VYDAJ	VYBER	58500	62710	\N	\N	\N
3039910	10079	1997-06-14	VYDAJ	VYBER	28500	34210	\N	\N	\N
3039911	10079	1997-07-14	VYDAJ	VYBER	19400	23983	\N	\N	\N
3039912	10079	1997-08-13	VYDAJ	VYBER	14200	22442	\N	\N	\N
3039913	10079	1997-09-12	VYDAJ	VYBER	37800	45649	\N	\N	\N
3039914	10079	1997-10-12	VYDAJ	VYBER	12900	22018	\N	\N	\N
3039915	10079	1997-12-11	VYDAJ	VYBER	39400	47001	\N	\N	\N
3039916	10079	1998-02-09	VYDAJ	VYBER	33600	40834	\N	\N	\N
3039917	10079	1998-03-11	VYDAJ	VYBER	26700	39155	\N	\N	\N
3039918	10079	1998-04-10	VYDAJ	VYBER	23400	37908	\N	\N	\N
3039919	10079	1998-05-10	VYDAJ	VYBER	40500	50403	\N	\N	\N
3039920	10079	1998-05-25	VYDAJ	VYBER	64100	55562	\N	\N	\N
3039921	10079	1998-06-09	VYDAJ	VYBER	14300	22586	\N	\N	\N
3039922	10079	1998-07-09	VYDAJ	VYBER	40800	45280	\N	\N	\N
3039923	10079	1998-08-08	VYDAJ	VYBER	16300	26381	\N	\N	\N
3039924	10079	1998-10-07	VYDAJ	VYBER	14400	20483	\N	\N	\N
3039925	10079	1998-11-06	VYDAJ	VYBER	46900	47858	\N	\N	\N
3039926	10079	1998-12-06	VYDAJ	VYBER	18700	25044	\N	\N	\N
3043681	10093	1994-07-01	PRIJEM	VKLAD	800	800	\N	\N	\N
3043688	10093	1994-07-08	PRIJEM	PREVOD Z UCTU	40377	41177	\N	ST	78757834
3043689	10093	1994-08-08	PRIJEM	PREVOD Z UCTU	40377	72786	\N	ST	78757834
3043690	10093	1994-09-08	PRIJEM	PREVOD Z UCTU	40377	88402	\N	ST	78757834
3043691	10093	1994-10-08	PRIJEM	PREVOD Z UCTU	40377	96381	\N	ST	78757834
3043692	10093	1994-11-08	PRIJEM	PREVOD Z UCTU	40377	100992	\N	ST	78757834
3043693	10093	1994-12-08	PRIJEM	PREVOD Z UCTU	60566	108575	\N	ST	78757834
3043694	10093	1995-01-08	PRIJEM	PREVOD Z UCTU	40377	59996	\N	ST	78757834
3043695	10093	1995-02-08	PRIJEM	PREVOD Z UCTU	40377	56425	\N	ST	78757834
3043696	10093	1995-03-08	PRIJEM	PREVOD Z UCTU	40377	60289	\N	ST	78757834
3043697	10093	1995-04-08	PRIJEM	PREVOD Z UCTU	40377	72629	\N	ST	78757834
3043698	10093	1995-05-08	PRIJEM	PREVOD Z UCTU	40377	72018	\N	ST	78757834
3043699	10093	1995-06-08	PRIJEM	PREVOD Z UCTU	60566	86651	\N	ST	78757834
3043700	10093	1995-07-08	PRIJEM	PREVOD Z UCTU	40377	59901	\N	ST	78757834
3043701	10093	1995-08-08	PRIJEM	PREVOD Z UCTU	40377	64874	\N	ST	78757834
3043702	10093	1995-09-08	PRIJEM	PREVOD Z UCTU	40377	64520	\N	ST	78757834
3043703	10093	1995-10-08	PRIJEM	PREVOD Z UCTU	40377	64324	\N	ST	78757834
3043704	10093	1995-11-08	PRIJEM	PREVOD Z UCTU	40377	62226	\N	ST	78757834
3043705	10093	1995-12-08	PRIJEM	PREVOD Z UCTU	60566	81495	\N	ST	78757834
3043706	10093	1996-01-08	PRIJEM	PREVOD Z UCTU	40377	77836	\N	ST	78757834
3043707	10093	1996-02-08	PRIJEM	PREVOD Z UCTU	40377	58146	\N	ST	78757834
3043708	10093	1996-03-08	PRIJEM	PREVOD Z UCTU	40377	72435	\N	ST	78757834
3043709	10093	1996-04-08	PRIJEM	PREVOD Z UCTU	40377	75469	\N	ST	78757834
3043710	10093	1996-05-08	PRIJEM	PREVOD Z UCTU	40377	80817	\N	ST	78757834
3043711	10093	1996-06-08	PRIJEM	PREVOD Z UCTU	60566	105474	\N	ST	78757834
3043712	10093	1996-07-08	PRIJEM	PREVOD Z UCTU	40377	65219	\N	ST	78757834
3043713	10093	1996-08-08	PRIJEM	PREVOD Z UCTU	40377	69439	\N	ST	78757834
3043714	10093	1996-09-08	PRIJEM	PREVOD Z UCTU	40377	76863	\N	ST	78757834
3043715	10093	1996-10-08	PRIJEM	PREVOD Z UCTU	40377	59197	\N	ST	78757834
3043716	10093	1996-11-08	PRIJEM	PREVOD Z UCTU	40377	71883	\N	ST	78757834
3043717	10093	1996-12-08	PRIJEM	PREVOD Z UCTU	60566	98196	\N	ST	78757834
3043718	10093	1997-01-08	PRIJEM	PREVOD Z UCTU	40377	60982	\N	ST	78757834
3043719	10093	1997-02-08	PRIJEM	PREVOD Z UCTU	40377	59453	\N	ST	78757834
3043720	10093	1997-03-08	PRIJEM	PREVOD Z UCTU	40377	66222	\N	ST	78757834
3043721	10093	1997-04-08	PRIJEM	PREVOD Z UCTU	40377	68214	\N	ST	78757834
3043722	10093	1997-05-08	PRIJEM	PREVOD Z UCTU	40377	62584	\N	ST	78757834
3043723	10093	1997-06-08	PRIJEM	PREVOD Z UCTU	60566	87351	\N	ST	78757834
3043724	10093	1997-07-08	PRIJEM	PREVOD Z UCTU	40377	75575	\N	ST	78757834
3043725	10093	1997-08-08	PRIJEM	PREVOD Z UCTU	40377	59610	\N	ST	78757834
3043726	10093	1997-09-08	PRIJEM	PREVOD Z UCTU	40377	64070	\N	ST	78757834
3043727	10093	1997-10-08	PRIJEM	PREVOD Z UCTU	40377	63148	\N	ST	78757834
3043728	10093	1997-11-08	PRIJEM	PREVOD Z UCTU	40377	61198	\N	ST	78757834
3043729	10093	1997-12-08	PRIJEM	PREVOD Z UCTU	60566	88372	\N	ST	78757834
3043730	10093	1998-01-08	PRIJEM	PREVOD Z UCTU	40377	73308	\N	ST	78757834
3043731	10093	1998-02-08	PRIJEM	PREVOD Z UCTU	40377	60175	\N	ST	78757834
3043732	10093	1998-03-08	PRIJEM	PREVOD Z UCTU	40377	62227	\N	ST	78757834
3043733	10093	1998-04-08	PRIJEM	PREVOD Z UCTU	40377	63642	\N	ST	78757834
3043734	10093	1998-05-08	PRIJEM	PREVOD Z UCTU	40377	59487	\N	ST	78757834
3043735	10093	1998-06-08	PRIJEM	PREVOD Z UCTU	60566	78210	\N	ST	78757834
3043736	10093	1998-07-08	PRIJEM	PREVOD Z UCTU	40377	68175	\N	ST	78757834
3043737	10093	1998-08-08	PRIJEM	PREVOD Z UCTU	40377	59921	\N	ST	78757834
3043738	10093	1998-09-08	PRIJEM	PREVOD Z UCTU	40377	62663	\N	ST	78757834
3043739	10093	1998-10-08	PRIJEM	PREVOD Z UCTU	40377	62809	\N	ST	78757834
3043740	10093	1998-11-08	PRIJEM	PREVOD Z UCTU	40377	56051	\N	ST	78757834
3043741	10093	1998-12-08	PRIJEM	PREVOD Z UCTU	60566	76582	\N	ST	78757834
3043752	10093	1994-11-13	VYDAJ	VYBER	6100	87479	\N	\N	0
3043753	10093	1994-12-17	VYDAJ	VYBER	7500	65162	\N	\N	0
3043754	10093	1995-01-10	VYDAJ	VYBER	7500	45083	\N	\N	0
3043755	10093	1995-02-16	VYDAJ	VYBER	6100	23776	\N	\N	0
3043756	10093	1995-03-13	VYDAJ	VYBER	7500	45376	\N	\N	0
3043757	10093	1995-04-14	VYDAJ	VYBER	6100	43455	\N	\N	0
3043758	10093	1995-05-16	VYDAJ	VYBER	5100	59505	\N	\N	0
3043759	10093	1995-06-18	VYDAJ	VYBER	5100	61689	\N	\N	0
3043760	10093	1995-07-06	VYDAJ	VYBER	6400	22286	\N	\N	0
3043761	10093	1995-08-08	VYDAJ	VYBER	7200	57674	\N	\N	0
3043762	10093	1995-09-02	VYDAJ	VYBER	7300	26905	\N	\N	0
3043763	10093	1995-10-10	VYDAJ	VYBER	7300	39875	\N	\N	0
3043764	10093	1995-11-12	VYDAJ	PREVOD NA UCET	6436	48377	UVER	GH	24015391
3043765	10093	1995-12-12	VYDAJ	PREVOD NA UCET	6436	64646	UVER	GH	24015391
3043766	10093	1996-01-12	VYDAJ	PREVOD NA UCET	6436	55287	UVER	GH	24015391
3043767	10093	1996-02-12	VYDAJ	PREVOD NA UCET	6436	44297	UVER	GH	24015391
3043768	10093	1996-03-12	VYDAJ	PREVOD NA UCET	6436	58586	UVER	GH	24015391
3043769	10093	1996-04-12	VYDAJ	PREVOD NA UCET	6436	61620	UVER	GH	24015391
3043770	10093	1996-05-12	VYDAJ	PREVOD NA UCET	6436	66968	UVER	GH	24015391
3043771	10093	1996-06-12	VYDAJ	PREVOD NA UCET	6436	58925	UVER	GH	24015391
3043772	10093	1996-07-12	VYDAJ	PREVOD NA UCET	6436	51370	UVER	GH	24015391
3043773	10093	1996-08-12	VYDAJ	PREVOD NA UCET	6436	55590	UVER	GH	24015391
3043774	10093	1996-09-12	VYDAJ	PREVOD NA UCET	6436	63014	UVER	GH	24015391
3043775	10093	1996-10-12	VYDAJ	PREVOD NA UCET	6436	45348	UVER	GH	24015391
3043776	10093	1996-11-12	VYDAJ	PREVOD NA UCET	6436	58034	UVER	GH	24015391
3043777	10093	1996-12-12	VYDAJ	PREVOD NA UCET	6436	78047	UVER	GH	24015391
3043778	10093	1997-01-12	VYDAJ	PREVOD NA UCET	6436	40833	UVER	GH	24015391
3043779	10093	1997-02-12	VYDAJ	PREVOD NA UCET	6436	45604	UVER	GH	24015391
3043780	10093	1997-03-12	VYDAJ	PREVOD NA UCET	6436	52373	UVER	GH	24015391
3043781	10093	1997-04-12	VYDAJ	PREVOD NA UCET	6436	40265	UVER	GH	24015391
3043782	10093	1997-05-12	VYDAJ	PREVOD NA UCET	6436	48735	UVER	GH	24015391
3043783	10093	1997-06-12	VYDAJ	PREVOD NA UCET	6436	73502	UVER	GH	24015391
3043784	10093	1997-07-12	VYDAJ	PREVOD NA UCET	6436	61726	UVER	GH	24015391
3043785	10093	1997-08-12	VYDAJ	PREVOD NA UCET	6436	45761	UVER	GH	24015391
3043786	10093	1997-09-12	VYDAJ	PREVOD NA UCET	6436	50221	UVER	GH	24015391
3043787	10093	1997-10-12	VYDAJ	PREVOD NA UCET	6436	49299	UVER	GH	24015391
3043788	10093	1997-11-12	VYDAJ	PREVOD NA UCET	6436	30449	UVER	GH	24015391
3043789	10093	1997-12-12	VYDAJ	PREVOD NA UCET	6436	72723	UVER	GH	24015391
3043790	10093	1998-01-12	VYDAJ	PREVOD NA UCET	6436	29659	UVER	GH	24015391
3043791	10093	1998-02-12	VYDAJ	PREVOD NA UCET	6436	24526	UVER	GH	24015391
3043792	10093	1998-03-12	VYDAJ	PREVOD NA UCET	6436	48378	UVER	GH	24015391
3043793	10093	1998-04-12	VYDAJ	PREVOD NA UCET	6436	21793	UVER	GH	24015391
3043794	10093	1998-05-12	VYDAJ	PREVOD NA UCET	6436	20338	UVER	GH	24015391
3043795	10093	1998-06-12	VYDAJ	PREVOD NA UCET	6436	30461	UVER	GH	24015391
3043796	10093	1998-07-12	VYDAJ	PREVOD NA UCET	6436	22226	UVER	GH	24015391
3043797	10093	1998-08-12	VYDAJ	PREVOD NA UCET	6436	24972	UVER	GH	24015391
3043798	10093	1998-09-12	VYDAJ	PREVOD NA UCET	6436	25114	UVER	GH	24015391
3043799	10093	1998-10-12	VYDAJ	PREVOD NA UCET	6436	26860	UVER	GH	24015391
3043800	10093	1998-11-07	VYDAJ	VYBER	6800	15674	\N	\N	0
3043801	10093	1998-12-17	VYDAJ	VYBER	6700	54969	\N	\N	0
3043813	10093	1994-12-07	VYDAJ	PREVOD NA UCET	2762	48009	SIPO	EF	14110547
3043814	10093	1995-01-07	VYDAJ	PREVOD NA UCET	2762	19619	SIPO	EF	14110547
3043815	10093	1995-02-07	VYDAJ	PREVOD NA UCET	2762	16048	SIPO	EF	14110547
3043816	10093	1995-03-07	VYDAJ	PREVOD NA UCET	2762	19912	SIPO	EF	14110547
3043817	10093	1995-04-07	VYDAJ	PREVOD NA UCET	2762	32252	SIPO	EF	14110547
3043818	10093	1995-05-07	VYDAJ	PREVOD NA UCET	2762	31641	SIPO	EF	14110547
3043819	10093	1995-06-07	VYDAJ	PREVOD NA UCET	2762	26085	SIPO	EF	14110547
3043820	10093	1995-07-07	VYDAJ	PREVOD NA UCET	2762	19524	SIPO	EF	14110547
3043821	10093	1995-08-07	VYDAJ	PREVOD NA UCET	2762	24497	SIPO	EF	14110547
3043822	10093	1995-09-07	VYDAJ	PREVOD NA UCET	2762	24143	SIPO	EF	14110547
3043823	10093	1995-10-07	VYDAJ	PREVOD NA UCET	2762	23947	SIPO	EF	14110547
3043824	10093	1995-11-07	VYDAJ	PREVOD NA UCET	2762	21849	SIPO	EF	14110547
3043825	10093	1995-12-07	VYDAJ	PREVOD NA UCET	2762	20929	SIPO	EF	14110547
3043826	10093	1996-01-07	VYDAJ	PREVOD NA UCET	2762	37459	SIPO	EF	14110547
3043827	10093	1996-02-07	VYDAJ	PREVOD NA UCET	2762	17769	SIPO	EF	14110547
3043828	10093	1996-03-07	VYDAJ	PREVOD NA UCET	2762	32058	SIPO	EF	14110547
3043829	10093	1996-04-07	VYDAJ	PREVOD NA UCET	2762	35092	SIPO	EF	14110547
3043830	10093	1996-05-07	VYDAJ	PREVOD NA UCET	2762	40440	SIPO	EF	14110547
3043831	10093	1996-06-07	VYDAJ	PREVOD NA UCET	2762	44908	SIPO	EF	14110547
3043832	10093	1996-07-07	VYDAJ	PREVOD NA UCET	2762	24842	SIPO	EF	14110547
3043833	10093	1996-08-07	VYDAJ	PREVOD NA UCET	2762	29062	SIPO	EF	14110547
3043834	10093	1996-09-07	VYDAJ	PREVOD NA UCET	2762	36486	SIPO	EF	14110547
3043835	10093	1996-10-07	VYDAJ	PREVOD NA UCET	2762	18820	SIPO	EF	14110547
3043836	10093	1996-11-07	VYDAJ	PREVOD NA UCET	2762	31506	SIPO	EF	14110547
3043837	10093	1996-12-07	VYDAJ	PREVOD NA UCET	2762	37630	SIPO	EF	14110547
3043838	10093	1997-01-07	VYDAJ	PREVOD NA UCET	2762	20605	SIPO	EF	14110547
3043839	10093	1997-02-07	VYDAJ	PREVOD NA UCET	2762	19076	SIPO	EF	14110547
3043840	10093	1997-03-07	VYDAJ	PREVOD NA UCET	2762	25845	SIPO	EF	14110547
3043841	10093	1997-04-07	VYDAJ	PREVOD NA UCET	2762	27837	SIPO	EF	14110547
3043842	10093	1997-05-07	VYDAJ	PREVOD NA UCET	2762	22207	SIPO	EF	14110547
3043843	10093	1997-06-07	VYDAJ	PREVOD NA UCET	2762	26785	SIPO	EF	14110547
3043844	10093	1997-07-07	VYDAJ	PREVOD NA UCET	2762	35198	SIPO	EF	14110547
3043845	10093	1997-08-07	VYDAJ	PREVOD NA UCET	2762	19233	SIPO	EF	14110547
3043846	10093	1997-09-07	VYDAJ	PREVOD NA UCET	2762	23693	SIPO	EF	14110547
3043847	10093	1997-10-07	VYDAJ	PREVOD NA UCET	2762	22771	SIPO	EF	14110547
3043848	10093	1997-11-07	VYDAJ	PREVOD NA UCET	2762	20821	SIPO	EF	14110547
3043849	10093	1997-12-07	VYDAJ	PREVOD NA UCET	2762	27806	SIPO	EF	14110547
3043850	10093	1998-01-07	VYDAJ	PREVOD NA UCET	2762	32931	SIPO	EF	14110547
3043851	10093	1998-02-07	VYDAJ	PREVOD NA UCET	2762	19798	SIPO	EF	14110547
3043852	10093	1998-03-07	VYDAJ	PREVOD NA UCET	2762	21850	SIPO	EF	14110547
3043853	10093	1998-04-07	VYDAJ	PREVOD NA UCET	2762	23265	SIPO	EF	14110547
3043854	10093	1998-05-07	VYDAJ	PREVOD NA UCET	2762	19110	SIPO	EF	14110547
3043855	10093	1998-06-07	VYDAJ	PREVOD NA UCET	2762	17644	SIPO	EF	14110547
3043856	10093	1998-07-07	VYDAJ	PREVOD NA UCET	2762	27798	SIPO	EF	14110547
3043857	10093	1998-08-07	VYDAJ	PREVOD NA UCET	2762	19544	SIPO	EF	14110547
3043858	10093	1998-09-07	VYDAJ	PREVOD NA UCET	2762	22286	SIPO	EF	14110547
3043859	10093	1998-10-07	VYDAJ	PREVOD NA UCET	2762	22432	SIPO	EF	14110547
3043860	10093	1998-11-07	VYDAJ	PREVOD NA UCET	2762	22474	SIPO	EF	14110547
3043861	10093	1998-12-07	VYDAJ	PREVOD NA UCET	2762	16016	SIPO	EF	14110547
3043872	10093	1994-11-10	VYDAJ	PREVOD NA UCET	331	93579	 	WX	57294940
3043873	10093	1994-12-10	VYDAJ	PREVOD NA UCET	331	72662	 	WX	57294940
3043874	10093	1995-01-10	VYDAJ	PREVOD NA UCET	331	52583	 	WX	57294940
3043875	10093	1995-02-10	VYDAJ	PREVOD NA UCET	331	29876	 	WX	57294940
3043876	10093	1995-03-10	VYDAJ	PREVOD NA UCET	331	52876	 	WX	57294940
3043877	10093	1995-04-10	VYDAJ	PREVOD NA UCET	331	49555	 	WX	57294940
3043878	10093	1995-05-10	VYDAJ	PREVOD NA UCET	331	64605	 	WX	57294940
3043879	10093	1995-06-10	VYDAJ	PREVOD NA UCET	331	66789	 	WX	57294940
3043880	10093	1995-07-10	VYDAJ	PREVOD NA UCET	331	52488	 	WX	57294940
3043881	10093	1995-08-10	VYDAJ	PREVOD NA UCET	331	50261	 	WX	57294940
3043882	10093	1995-09-10	VYDAJ	PREVOD NA UCET	331	57107	 	WX	57294940
3043883	10093	1995-10-10	VYDAJ	PREVOD NA UCET	331	47175	 	WX	57294940
3043884	10093	1995-11-10	VYDAJ	PREVOD NA UCET	331	54813	 	WX	57294940
3043885	10093	1995-12-10	VYDAJ	PREVOD NA UCET	331	71082	 	WX	57294940
3043886	10093	1996-01-10	VYDAJ	PREVOD NA UCET	331	61723	 	WX	57294940
3043887	10093	1996-02-10	VYDAJ	PREVOD NA UCET	331	50733	 	WX	57294940
3043888	10093	1996-03-10	VYDAJ	PREVOD NA UCET	331	65022	 	WX	57294940
3043889	10093	1996-04-10	VYDAJ	PREVOD NA UCET	331	68056	 	WX	57294940
3043890	10093	1996-05-10	VYDAJ	PREVOD NA UCET	331	73404	 	WX	57294940
3043891	10093	1996-06-10	VYDAJ	PREVOD NA UCET	331	65361	 	WX	57294940
3043892	10093	1996-07-10	VYDAJ	PREVOD NA UCET	331	57806	 	WX	57294940
3043893	10093	1996-08-10	VYDAJ	PREVOD NA UCET	331	62026	 	WX	57294940
3043894	10093	1996-09-10	VYDAJ	PREVOD NA UCET	331	69450	 	WX	57294940
3044133	10093	1997-05-31	VYDAJ	VYBER	30	29547	SLUZBY	\N	\N
3043895	10093	1996-10-10	VYDAJ	PREVOD NA UCET	331	51784	 	WX	57294940
3043896	10093	1996-11-10	VYDAJ	PREVOD NA UCET	331	64470	 	WX	57294940
3043897	10093	1996-12-10	VYDAJ	PREVOD NA UCET	331	90783	 	WX	57294940
3043898	10093	1997-01-10	VYDAJ	PREVOD NA UCET	331	53569	 	WX	57294940
3043899	10093	1997-02-10	VYDAJ	PREVOD NA UCET	331	52040	 	WX	57294940
3043900	10093	1997-03-10	VYDAJ	PREVOD NA UCET	331	58809	 	WX	57294940
3043901	10093	1997-04-10	VYDAJ	PREVOD NA UCET	331	46701	 	WX	57294940
3043902	10093	1997-05-10	VYDAJ	PREVOD NA UCET	331	55171	 	WX	57294940
3043903	10093	1997-06-10	VYDAJ	PREVOD NA UCET	331	79938	 	WX	57294940
3043904	10093	1997-07-10	VYDAJ	PREVOD NA UCET	331	68162	 	WX	57294940
3043905	10093	1997-08-10	VYDAJ	PREVOD NA UCET	331	52197	 	WX	57294940
3043906	10093	1997-09-10	VYDAJ	PREVOD NA UCET	331	56657	 	WX	57294940
3043907	10093	1997-10-10	VYDAJ	PREVOD NA UCET	331	55735	 	WX	57294940
3043908	10093	1997-11-10	VYDAJ	PREVOD NA UCET	331	53785	 	WX	57294940
3043909	10093	1997-12-10	VYDAJ	PREVOD NA UCET	331	79159	 	WX	57294940
3043910	10093	1998-01-10	VYDAJ	PREVOD NA UCET	331	62595	 	WX	57294940
3043911	10093	1998-02-10	VYDAJ	PREVOD NA UCET	331	52762	 	WX	57294940
3043912	10093	1998-03-10	VYDAJ	PREVOD NA UCET	331	54814	 	WX	57294940
3043913	10093	1998-04-10	VYDAJ	PREVOD NA UCET	331	56229	 	WX	57294940
3043914	10093	1998-05-10	VYDAJ	PREVOD NA UCET	331	52074	 	WX	57294940
3043915	10093	1998-06-10	VYDAJ	PREVOD NA UCET	331	36897	 	WX	57294940
3043916	10093	1998-07-10	VYDAJ	PREVOD NA UCET	331	28662	 	WX	57294940
3043917	10093	1998-08-10	VYDAJ	PREVOD NA UCET	331	31408	 	WX	57294940
3043918	10093	1998-09-10	VYDAJ	PREVOD NA UCET	331	31550	 	WX	57294940
3043919	10093	1998-10-10	VYDAJ	PREVOD NA UCET	331	33296	 	WX	57294940
3043920	10093	1998-11-10	VYDAJ	PREVOD NA UCET	331	24002	 	WX	57294940
3043921	10093	1998-12-10	VYDAJ	PREVOD NA UCET	331	69169	 	WX	57294940
3043932	10093	1994-11-09	VYDAJ	PREVOD NA UCET	7082	93910	POJISTNE	EF	80783962
3043933	10093	1994-12-09	VYDAJ	PREVOD NA UCET	7082	72993	POJISTNE	EF	80783962
3043934	10093	1995-01-09	VYDAJ	PREVOD NA UCET	7082	52914	POJISTNE	EF	80783962
3043935	10093	1995-02-09	VYDAJ	PREVOD NA UCET	7082	30207	POJISTNE	EF	80783962
3043936	10093	1995-03-09	VYDAJ	PREVOD NA UCET	7082	53207	POJISTNE	EF	80783962
3043937	10093	1995-04-09	VYDAJ	PREVOD NA UCET	7082	65547	POJISTNE	EF	80783962
3043938	10093	1995-05-09	VYDAJ	PREVOD NA UCET	7082	64936	POJISTNE	EF	80783962
3043939	10093	1995-06-09	VYDAJ	PREVOD NA UCET	7082	79569	POJISTNE	EF	80783962
3043940	10093	1995-07-09	VYDAJ	PREVOD NA UCET	7082	52819	POJISTNE	EF	80783962
3043941	10093	1995-08-09	VYDAJ	PREVOD NA UCET	7082	50592	POJISTNE	EF	80783962
3043942	10093	1995-09-09	VYDAJ	PREVOD NA UCET	7082	57438	POJISTNE	EF	80783962
3043943	10093	1995-10-09	VYDAJ	PREVOD NA UCET	7082	47506	POJISTNE	EF	80783962
3043944	10093	1995-11-09	VYDAJ	PREVOD NA UCET	7082	55144	POJISTNE	EF	80783962
3043945	10093	1995-12-09	VYDAJ	PREVOD NA UCET	7082	74413	POJISTNE	EF	80783962
3043946	10093	1996-01-09	VYDAJ	PREVOD NA UCET	7082	62054	POJISTNE	EF	80783962
3043947	10093	1996-02-09	VYDAJ	PREVOD NA UCET	7082	51064	POJISTNE	EF	80783962
3043948	10093	1996-03-09	VYDAJ	PREVOD NA UCET	7082	65353	POJISTNE	EF	80783962
3043949	10093	1996-04-09	VYDAJ	PREVOD NA UCET	7082	68387	POJISTNE	EF	80783962
3043950	10093	1996-05-09	VYDAJ	PREVOD NA UCET	7082	73735	POJISTNE	EF	80783962
3043951	10093	1996-06-09	VYDAJ	PREVOD NA UCET	7082	65692	POJISTNE	EF	80783962
3043952	10093	1996-07-09	VYDAJ	PREVOD NA UCET	7082	58137	POJISTNE	EF	80783962
3043953	10093	1996-08-09	VYDAJ	PREVOD NA UCET	7082	62357	POJISTNE	EF	80783962
3043954	10093	1996-09-09	VYDAJ	PREVOD NA UCET	7082	69781	POJISTNE	EF	80783962
3043955	10093	1996-10-09	VYDAJ	PREVOD NA UCET	7082	52115	POJISTNE	EF	80783962
3043956	10093	1996-11-09	VYDAJ	PREVOD NA UCET	7082	64801	POJISTNE	EF	80783962
3043957	10093	1996-12-09	VYDAJ	PREVOD NA UCET	7082	91114	POJISTNE	EF	80783962
3043958	10093	1997-01-09	VYDAJ	PREVOD NA UCET	7082	53900	POJISTNE	EF	80783962
3043959	10093	1997-02-09	VYDAJ	PREVOD NA UCET	7082	52371	POJISTNE	EF	80783962
3043960	10093	1997-03-09	VYDAJ	PREVOD NA UCET	7082	59140	POJISTNE	EF	80783962
3043961	10093	1997-04-09	VYDAJ	PREVOD NA UCET	7082	61132	POJISTNE	EF	80783962
3043962	10093	1997-05-09	VYDAJ	PREVOD NA UCET	7082	55502	POJISTNE	EF	80783962
3043963	10093	1997-06-09	VYDAJ	PREVOD NA UCET	7082	80269	POJISTNE	EF	80783962
3043964	10093	1997-07-09	VYDAJ	PREVOD NA UCET	7082	68493	POJISTNE	EF	80783962
3043965	10093	1997-08-09	VYDAJ	PREVOD NA UCET	7082	52528	POJISTNE	EF	80783962
3043966	10093	1997-09-09	VYDAJ	PREVOD NA UCET	7082	56988	POJISTNE	EF	80783962
3043967	10093	1997-10-09	VYDAJ	PREVOD NA UCET	7082	56066	POJISTNE	EF	80783962
3043968	10093	1997-11-09	VYDAJ	PREVOD NA UCET	7082	54116	POJISTNE	EF	80783962
3043969	10093	1997-12-09	VYDAJ	PREVOD NA UCET	7082	79490	POJISTNE	EF	80783962
3043970	10093	1998-01-09	VYDAJ	PREVOD NA UCET	7082	62926	POJISTNE	EF	80783962
3043971	10093	1998-02-09	VYDAJ	PREVOD NA UCET	7082	53093	POJISTNE	EF	80783962
3043972	10093	1998-03-09	VYDAJ	PREVOD NA UCET	7082	55145	POJISTNE	EF	80783962
3043973	10093	1998-04-09	VYDAJ	PREVOD NA UCET	7082	56560	POJISTNE	EF	80783962
3043974	10093	1998-05-09	VYDAJ	PREVOD NA UCET	7082	52405	POJISTNE	EF	80783962
3043975	10093	1998-06-09	VYDAJ	PREVOD NA UCET	7082	71128	POJISTNE	EF	80783962
3043976	10093	1998-07-09	VYDAJ	PREVOD NA UCET	7082	49693	POJISTNE	EF	80783962
3043977	10093	1998-08-09	VYDAJ	PREVOD NA UCET	7082	52839	POJISTNE	EF	80783962
3043978	10093	1998-09-09	VYDAJ	PREVOD NA UCET	7082	31881	POJISTNE	EF	80783962
3043979	10093	1998-10-09	VYDAJ	PREVOD NA UCET	7082	33627	POJISTNE	EF	80783962
3043980	10093	1998-11-09	VYDAJ	PREVOD NA UCET	7082	48969	POJISTNE	EF	80783962
3043981	10093	1998-12-09	VYDAJ	PREVOD NA UCET	7082	69500	POJISTNE	EF	80783962
3043982	10093	1995-02-09	VYBER	VYBER	19136	37289	\N	\N	\N
3043983	10093	1995-02-20	VYBER	VYBER	3974	19802	\N	\N	\N
3043984	10093	1995-09-22	VYBER	VYBER	12656	44451	\N	\N	\N
3043985	10093	1995-05-21	VYBER	VYBER	5636	53869	\N	\N	\N
3043986	10093	1995-01-11	VYBER	VYBER	15460	29623	\N	\N	\N
3043987	10093	1995-11-19	VYBER	VYBER	13409	34968	\N	\N	\N
3043988	10093	1995-07-13	VYBER	VYBER	20239	32249	\N	\N	\N
3043990	10093	1995-04-10	VYBER	VYBER	15661	49886	\N	\N	\N
3043991	10093	1995-06-10	VYBER	VYBER	12449	67120	\N	\N	\N
3043992	10093	1995-10-09	VYBER	VYBER	9736	54588	\N	\N	\N
3043995	10093	1997-12-21	VYBER	VYBER	3979	38544	\N	\N	\N
3043998	10093	1997-01-02	VYBER	VYBER	17483	29367	\N	\N	\N
3044001	10093	1997-10-13	VYBER	VYBER	17710	31589	\N	\N	\N
3044002	10093	1997-07-24	VYBER	VYBER	3914	21870	\N	\N	\N
3044003	10093	1997-07-17	VYBER	VYBER	12142	25784	\N	\N	\N
3044006	10093	1998-10-18	VYBER	VYBER	2801	24059	\N	\N	\N
3044010	10093	1998-11-10	VYBER	VYBER	24636	24333	\N	\N	\N
3044019	10093	1995-06-26	VYDAJ	VYBER	23700	28489	\N	\N	\N
3044024	10093	1995-01-04	VYDAJ	VYBER	13200	22381	\N	\N	\N
3044028	10093	1994-12-23	VYDAJ	VYBER	8400	56762	\N	\N	\N
3044029	10093	1995-12-22	VYDAJ	VYBER	6900	57746	\N	\N	\N
3044030	10093	1996-12-10	VYDAJ	VYBER	6300	84483	\N	\N	\N
3044031	10093	1997-12-09	VYDAJ	VYBER	1800	86572	\N	\N	\N
3044032	10093	1998-12-12	VYDAJ	VYBER	7500	61669	\N	\N	\N
3044039	10093	1995-01-02	VYDAJ	VYBER	4800	35581	\N	\N	\N
3044040	10093	1995-01-22	VYDAJ	VYBER	4800	20923	\N	\N	\N
3044041	10093	1995-01-19	VYDAJ	VYBER	1500	25723	\N	\N	\N
3044042	10093	1995-01-28	VYDAJ	VYBER	2400	18723	\N	\N	\N
3044043	10093	1995-01-13	VYDAJ	VYBER	2400	27223	\N	\N	\N
3044045	10093	1996-01-09	VYDAJ	VYBER	8700	69136	\N	\N	\N
3044046	10093	1996-01-20	VYDAJ	VYBER	3300	44187	\N	\N	\N
3044047	10093	1996-01-29	VYDAJ	VYBER	7800	20387	\N	\N	\N
3044048	10093	1996-01-21	VYDAJ	VYBER	6300	37887	\N	\N	\N
3044049	10093	1996-01-15	VYDAJ	VYBER	5700	49587	\N	\N	\N
3044050	10093	1996-01-19	VYDAJ	VYBER	2100	47487	\N	\N	\N
3044053	10093	1997-01-10	VYDAJ	VYBER	6300	47269	\N	\N	\N
3044054	10093	1997-01-28	VYDAJ	VYBER	6600	21733	\N	\N	\N
3044056	10093	1997-01-03	VYDAJ	VYBER	6000	23367	\N	\N	\N
3044058	10093	1998-01-17	VYDAJ	VYBER	3300	22459	\N	\N	\N
3044059	10093	1998-01-17	VYDAJ	VYBER	3900	25759	\N	\N	\N
3044060	10093	1998-01-08	VYDAJ	VYBER	3300	70008	\N	\N	\N
3044061	10093	1998-01-07	VYDAJ	VYBER	3000	35693	\N	\N	\N
3044066	10093	1994-11-28	VYDAJ	VYBER	8100	79379	\N	\N	\N
3044069	10093	1995-12-10	VYDAJ	VYBER	3000	71413	\N	\N	\N
3044070	10093	1995-05-29	VYDAJ	VYBER	7200	28669	\N	\N	\N
3044072	10093	1995-10-05	VYDAJ	VYBER	5700	26709	\N	\N	\N
3044073	10093	1995-11-04	VYDAJ	VYBER	6600	24611	\N	\N	\N
3044074	10093	1995-11-19	VYDAJ	VYBER	8700	26268	\N	\N	\N
3044076	10093	1996-09-27	VYDAJ	VYBER	14100	28614	\N	\N	\N
3044077	10093	1996-08-01	VYDAJ	VYBER	5400	31824	\N	\N	\N
3044078	10093	1996-06-30	VYDAJ	VYBER	12300	27604	\N	\N	\N
3044079	10093	1996-09-30	VYDAJ	VYBER	7200	21582	\N	\N	\N
3044080	10093	1997-10-04	VYDAJ	VYBER	5700	25533	\N	\N	\N
3044081	10093	1997-11-11	VYDAJ	VYBER	4800	48985	\N	\N	\N
3044084	10093	1997-04-10	VYDAJ	VYBER	14100	47032	\N	\N	\N
3044086	10093	1998-07-09	VYDAJ	VYBER	11400	56775	\N	\N	\N
3044088	10093	1998-06-10	VYDAJ	VYBER	4800	37228	\N	\N	\N
3044103	10093	1994-11-30	VYDAJ	VYBER	30	50771	SLUZBY	\N	\N
3044104	10093	1994-12-31	VYDAJ	VYBER	30	40381	SLUZBY	\N	\N
3044105	10093	1995-01-31	VYDAJ	VYBER	30	18810	SLUZBY	\N	\N
3044106	10093	1995-02-28	VYDAJ	VYBER	30	22674	SLUZBY	\N	\N
3044107	10093	1995-03-31	VYDAJ	VYBER	30	35014	SLUZBY	\N	\N
3044108	10093	1995-04-30	VYDAJ	VYBER	30	34403	SLUZBY	\N	\N
3044109	10093	1995-05-31	VYDAJ	VYBER	30	28847	SLUZBY	\N	\N
3044110	10093	1995-06-30	VYDAJ	VYBER	30	28686	SLUZBY	\N	\N
3044111	10093	1995-07-31	VYDAJ	VYBER	30	27259	SLUZBY	\N	\N
3044112	10093	1995-08-31	VYDAJ	VYBER	30	34205	SLUZBY	\N	\N
3044113	10093	1995-09-30	VYDAJ	VYBER	30	32409	SLUZBY	\N	\N
3044114	10093	1995-10-31	VYDAJ	VYBER	30	31211	SLUZBY	\N	\N
3044115	10093	1995-11-30	VYDAJ	VYBER	30	23691	SLUZBY	\N	\N
3044116	10093	1995-12-31	VYDAJ	VYBER	30	40221	SLUZBY	\N	\N
3044117	10093	1996-01-31	VYDAJ	VYBER	30	20531	SLUZBY	\N	\N
3044118	10093	1996-02-29	VYDAJ	VYBER	30	34820	SLUZBY	\N	\N
3044119	10093	1996-03-31	VYDAJ	VYBER	30	37854	SLUZBY	\N	\N
3044120	10093	1996-04-30	VYDAJ	VYBER	30	43202	SLUZBY	\N	\N
3044121	10093	1996-05-31	VYDAJ	VYBER	30	47670	SLUZBY	\N	\N
3044122	10093	1996-06-30	VYDAJ	VYBER	30	39904	SLUZBY	\N	\N
3044123	10093	1996-07-31	VYDAJ	VYBER	30	37224	SLUZBY	\N	\N
3044124	10093	1996-08-31	VYDAJ	VYBER	30	39248	SLUZBY	\N	\N
3044125	10093	1996-09-30	VYDAJ	VYBER	30	28782	SLUZBY	\N	\N
3044126	10093	1996-10-31	VYDAJ	VYBER	30	34268	SLUZBY	\N	\N
3044127	10093	1996-11-30	VYDAJ	VYBER	30	40392	SLUZBY	\N	\N
3044128	10093	1996-12-31	VYDAJ	VYBER	30	46850	SLUZBY	\N	\N
3044129	10093	1997-01-31	VYDAJ	VYBER	30	21838	SLUZBY	\N	\N
3044130	10093	1997-02-28	VYDAJ	VYBER	30	28607	SLUZBY	\N	\N
3044131	10093	1997-03-31	VYDAJ	VYBER	30	30599	SLUZBY	\N	\N
3044132	10093	1997-04-30	VYDAJ	VYBER	30	24969	SLUZBY	\N	\N
3044134	10093	1997-06-30	VYDAJ	VYBER	30	37960	SLUZBY	\N	\N
3044135	10093	1997-07-31	VYDAJ	VYBER	30	21995	SLUZBY	\N	\N
3044136	10093	1997-08-31	VYDAJ	VYBER	30	26455	SLUZBY	\N	\N
3044137	10093	1997-09-30	VYDAJ	VYBER	30	31233	SLUZBY	\N	\N
3044138	10093	1997-10-31	VYDAJ	VYBER	30	23583	SLUZBY	\N	\N
3044139	10093	1997-11-30	VYDAJ	VYBER	30	30568	SLUZBY	\N	\N
3044140	10093	1997-12-31	VYDAJ	VYBER	30	38693	SLUZBY	\N	\N
3044141	10093	1998-01-31	VYDAJ	VYBER	30	22560	SLUZBY	\N	\N
3044142	10093	1998-02-28	VYDAJ	VYBER	30	24612	SLUZBY	\N	\N
3044143	10093	1998-03-31	VYDAJ	VYBER	30	26027	SLUZBY	\N	\N
3044144	10093	1998-04-30	VYDAJ	VYBER	30	21872	SLUZBY	\N	\N
3044145	10093	1998-05-31	VYDAJ	VYBER	30	20406	SLUZBY	\N	\N
3044146	10093	1998-06-30	VYDAJ	VYBER	30	30560	SLUZBY	\N	\N
3044147	10093	1998-07-31	VYDAJ	VYBER	30	22306	SLUZBY	\N	\N
3044148	10093	1998-08-31	VYDAJ	VYBER	30	25048	SLUZBY	\N	\N
3044149	10093	1998-09-30	VYDAJ	VYBER	30	25194	SLUZBY	\N	\N
3044150	10093	1998-10-31	VYDAJ	VYBER	30	24136	SLUZBY	\N	\N
3044151	10093	1998-11-30	VYDAJ	VYBER	30	24078	SLUZBY	\N	\N
3044152	10093	1994-07-31	VYDAJ	VYBER	8900	32409	\N	\N	\N
3044153	10093	1994-08-30	VYDAJ	VYBER	24900	47886	\N	\N	\N
3044154	10093	1994-09-29	VYDAJ	VYBER	32600	55802	\N	\N	\N
3044155	10093	1994-10-29	VYDAJ	VYBER	36000	60381	\N	\N	\N
3044156	10093	1994-11-28	VYDAJ	VYBER	28900	50479	\N	\N	\N
3044157	10093	1994-12-08	VYDAJ	VYBER	28500	80075	\N	\N	\N
3044158	10093	1994-12-28	VYDAJ	VYBER	16600	40162	\N	\N	\N
3044159	10093	1995-01-27	PRIJEM	VKLAD	200	21123	\N	\N	\N
3044160	10093	1995-02-26	PRIJEM	VKLAD	2800	22602	\N	\N	\N
3044161	10093	1995-03-28	VYDAJ	VYBER	10500	34876	\N	\N	\N
3044162	10093	1995-04-27	VYDAJ	VYBER	9200	34255	\N	\N	\N
3044163	10093	1995-05-27	VYDAJ	VYBER	18000	35869	\N	\N	\N
3044164	10093	1995-06-26	VYDAJ	VYBER	9500	52189	\N	\N	\N
3044165	10093	1995-07-26	VYDAJ	VYBER	5100	27149	\N	\N	\N
3044166	10093	1995-08-25	VYDAJ	VYBER	16200	34061	\N	\N	\N
3044167	10093	1995-09-24	VYDAJ	VYBER	12200	32251	\N	\N	\N
3044168	10093	1995-10-24	VYDAJ	VYBER	8800	31075	\N	\N	\N
3044169	10093	1995-11-23	VYDAJ	VYBER	2700	23568	\N	\N	\N
3044170	10093	1995-12-23	VYDAJ	VYBER	17700	40046	\N	\N	\N
3044171	10093	1996-01-22	VYDAJ	VYBER	9700	28187	\N	\N	\N
3044172	10093	1996-02-21	VYDAJ	VYBER	9600	34697	\N	\N	\N
3044173	10093	1996-03-22	VYDAJ	VYBER	20900	37686	\N	\N	\N
3044174	10093	1996-04-21	VYDAJ	VYBER	18600	43020	\N	\N	\N
3044175	10093	1996-05-21	VYDAJ	VYBER	19500	47468	\N	\N	\N
3044176	10093	1996-06-08	VYDAJ	VYBER	32700	72774	\N	\N	\N
3044177	10093	1996-06-20	VYDAJ	VYBER	19200	39725	\N	\N	\N
3044178	10093	1996-07-20	VYDAJ	VYBER	14300	37070	\N	\N	\N
3044179	10093	1996-08-19	VYDAJ	VYBER	16500	39090	\N	\N	\N
3044180	10093	1996-09-18	VYDAJ	VYBER	20300	42714	\N	\N	\N
3044181	10093	1996-10-18	VYDAJ	VYBER	11200	34148	\N	\N	\N
3044182	10093	1996-11-17	VYDAJ	VYBER	17800	40234	\N	\N	\N
3044183	10093	1996-12-17	VYDAJ	VYBER	31400	46647	\N	\N	\N
3044184	10093	1997-01-16	VYDAJ	VYBER	12500	28333	\N	\N	\N
3044185	10093	1997-02-15	VYDAJ	VYBER	17100	28504	\N	\N	\N
3044186	10093	1997-03-17	VYDAJ	VYBER	21900	30473	\N	\N	\N
3044187	10093	1997-04-16	VYDAJ	VYBER	15400	24865	\N	\N	\N
3044188	10093	1997-05-16	VYDAJ	VYBER	19300	29435	\N	\N	\N
3044189	10093	1997-06-15	VYDAJ	VYBER	35700	37802	\N	\N	\N
3044190	10093	1997-07-15	VYDAJ	VYBER	23800	37926	\N	\N	\N
3044191	10093	1997-08-14	VYDAJ	VYBER	19400	26361	\N	\N	\N
3044192	10093	1997-09-13	VYDAJ	VYBER	19100	31121	\N	\N	\N
3044193	10093	1997-10-13	VYDAJ	VYBER	8100	23489	\N	\N	\N
3044194	10093	1997-11-12	VYDAJ	VYBER	12100	36885	\N	\N	\N
3044195	10093	1997-12-12	VYDAJ	VYBER	30200	42523	\N	\N	\N
3044196	10093	1998-01-11	VYDAJ	VYBER	26500	36095	\N	\N	\N
3044197	10093	1998-02-10	VYDAJ	VYBER	21800	30962	\N	\N	\N
3044198	10093	1998-03-12	VYDAJ	VYBER	22500	25878	\N	\N	\N
3044199	10093	1998-04-11	VYDAJ	VYBER	28000	28229	\N	\N	\N
3044200	10093	1998-05-11	VYDAJ	VYBER	25300	26774	\N	\N	\N
3044201	10093	1998-06-10	VYDAJ	VYBER	29100	42028	\N	\N	\N
3044202	10093	1998-07-10	VYDAJ	VYBER	20700	28993	\N	\N	\N
3044203	10093	1998-08-09	VYDAJ	VYBER	21100	31739	\N	\N	\N
3044204	10093	1998-09-08	VYDAJ	VYBER	23700	38963	\N	\N	\N
3044205	10093	1998-10-08	VYDAJ	VYBER	22100	40709	\N	\N	\N
3044206	10093	1998-11-07	PRIJEM	VKLAD	1100	25236	\N	\N	\N
3044207	10093	1998-12-07	VYDAJ	VYBER	5300	18778	\N	\N	\N
3047484	10105	1993-04-28	PRIJEM	VKLAD	600	600	\N	\N	\N
3047485	10105	1993-11-19	PRIJEM	VKLAD	27343	66302	\N	\N	\N
3047487	10105	1993-09-04	PRIJEM	VKLAD	28989	78628	\N	\N	\N
3047490	10105	1993-05-05	PRIJEM	VKLAD	39004	39604	\N	\N	\N
3047492	10105	1993-07-13	PRIJEM	VKLAD	7413	38072	\N	\N	\N
3047494	10105	1993-12-11	PRIJEM	VKLAD	41169	82472	\N	\N	\N
3047495	10105	1993-08-26	PRIJEM	VKLAD	40389	70897	\N	\N	\N
3047497	10105	1994-04-16	PRIJEM	VKLAD	18537	52855	\N	\N	\N
3047498	10105	1994-09-13	PRIJEM	VKLAD	41682	68795	\N	\N	\N
3047499	10105	1994-07-14	PRIJEM	VKLAD	42189	103936	\N	\N	\N
3047500	10105	1994-06-11	PRIJEM	VKLAD	43990	133455	\N	\N	\N
3047501	10105	1994-01-12	PRIJEM	VKLAD	12883	65918	\N	\N	\N
3047502	10105	1994-06-20	PRIJEM	VKLAD	49558	100784	\N	\N	\N
3047503	10105	1994-03-06	PRIJEM	VKLAD	11866	59857	\N	\N	\N
3047504	10105	1994-12-20	PRIJEM	VKLAD	30232	69526	\N	\N	\N
3047505	10105	1994-04-22	PRIJEM	VKLAD	16366	67121	\N	\N	\N
3047506	10105	1994-07-20	PRIJEM	VKLAD	11688	115624	\N	\N	\N
3047507	10105	1994-06-11	PRIJEM	VKLAD	38107	89465	\N	\N	\N
3047508	10105	1994-02-09	PRIJEM	VKLAD	15079	75349	\N	\N	\N
3047509	10105	1994-05-04	PRIJEM	VKLAD	48079	79567	\N	\N	\N
3047510	10105	1994-12-28	PRIJEM	VKLAD	9919	53914	\N	\N	\N
3047511	10105	1994-09-19	PRIJEM	VKLAD	47546	102841	\N	\N	\N
3047512	10105	1994-05-17	PRIJEM	VKLAD	13231	85508	\N	\N	\N
3047513	10105	1994-10-22	PRIJEM	VKLAD	15319	52893	\N	\N	\N
3047514	10105	1994-11-29	PRIJEM	VKLAD	19929	48576	\N	\N	\N
3047515	10105	1994-02-06	PRIJEM	VKLAD	46267	73770	\N	\N	\N
3047516	10105	1994-08-14	PRIJEM	VKLAD	34466	57417	\N	\N	\N
3047517	10105	1994-05-09	PRIJEM	VKLAD	6087	72277	\N	\N	\N
3047518	10105	1994-01-06	PRIJEM	VKLAD	23720	74535	\N	\N	\N
3047519	10105	1994-11-18	PRIJEM	VKLAD	7312	25347	\N	\N	\N
3047520	10105	1994-07-07	PRIJEM	VKLAD	16139	61747	\N	\N	\N
3047521	10105	1995-08-08	PRIJEM	VKLAD	7511	93357	\N	\N	\N
3047522	10105	1995-07-07	PRIJEM	VKLAD	8296	71362	\N	\N	\N
3047523	10105	1995-06-17	PRIJEM	VKLAD	8079	87956	\N	\N	\N
3047524	10105	1995-01-31	PRIJEM	VKLAD	8074	31699	\N	\N	\N
3047525	10105	1995-04-10	PRIJEM	VKLAD	48024	128919	\N	\N	\N
3047526	10105	1995-09-27	PRIJEM	VKLAD	25085	93141	\N	\N	\N
3047527	10105	1995-03-07	PRIJEM	VKLAD	43741	82376	\N	\N	\N
3047528	10105	1995-11-01	PRIJEM	VKLAD	10028	75032	\N	\N	\N
3047529	10105	1995-06-13	PRIJEM	VKLAD	29620	91577	\N	\N	\N
3047530	10105	1995-12-03	PRIJEM	VKLAD	30535	88527	\N	\N	\N
3047531	10105	1995-03-10	PRIJEM	VKLAD	12499	94875	\N	\N	\N
3047532	10105	1995-02-02	PRIJEM	VKLAD	41258	73082	\N	\N	\N
3047533	10105	1995-04-18	PRIJEM	VKLAD	17362	121302	\N	\N	\N
3047534	10105	1995-07-13	PRIJEM	VKLAD	25194	91477	\N	\N	\N
3047535	10105	1995-08-28	PRIJEM	VKLAD	9298	105397	\N	\N	\N
3047536	10105	1995-05-19	PRIJEM	VKLAD	11260	66803	\N	\N	\N
3047537	10105	1995-08-11	PRIJEM	VKLAD	6700	100057	\N	\N	\N
3047538	10105	1995-10-15	PRIJEM	VKLAD	13127	115168	\N	\N	\N
3047539	10105	1995-08-23	PRIJEM	VKLAD	25721	96099	\N	\N	\N
3047540	10105	1995-04-03	PRIJEM	VKLAD	24294	80895	\N	\N	\N
3047541	10105	1995-05-06	PRIJEM	VKLAD	35977	79622	\N	\N	\N
3047542	10105	1995-03-12	PRIJEM	VKLAD	24415	119290	\N	\N	\N
3047543	10105	1995-08-08	PRIJEM	VKLAD	17495	85846	\N	\N	\N
3047544	10105	1995-10-10	PRIJEM	VKLAD	41884	135420	\N	\N	\N
3047545	10105	1996-12-11	PRIJEM	VKLAD	8446	68477	\N	\N	\N
3047546	10105	1996-04-07	PRIJEM	VKLAD	5151	91689	\N	\N	\N
3047547	10105	1996-10-13	PRIJEM	VKLAD	44453	96471	\N	\N	\N
3047548	10105	1996-10-28	PRIJEM	VKLAD	6325	102796	\N	\N	\N
3047549	10105	1996-01-20	PRIJEM	VKLAD	29030	71543	\N	\N	\N
3047550	10105	1996-05-07	PRIJEM	VKLAD	38579	99803	\N	\N	\N
3047551	10105	1996-08-16	PRIJEM	VKLAD	13828	70306	\N	\N	\N
3047552	10105	1996-04-13	PRIJEM	VKLAD	32382	109281	\N	\N	\N
3047553	10105	1996-02-26	PRIJEM	VKLAD	8702	99569	\N	\N	\N
3047554	10105	1996-02-24	PRIJEM	VKLAD	37077	90867	\N	\N	\N
3047555	10105	1996-12-20	PRIJEM	VKLAD	13360	69537	\N	\N	\N
3047556	10105	1996-07-25	PRIJEM	VKLAD	10643	64542	\N	\N	\N
3047557	10105	1996-03-24	PRIJEM	VKLAD	15248	86197	\N	\N	\N
3047558	10105	1996-07-01	PRIJEM	VKLAD	25715	65578	\N	\N	\N
3047559	10105	1996-04-12	PRIJEM	VKLAD	43689	135378	\N	\N	\N
3047560	10105	1997-02-12	PRIJEM	VKLAD	40765	81872	\N	\N	\N
3047561	10105	1997-04-24	PRIJEM	VKLAD	20093	81284	\N	\N	\N
3047562	10105	1997-02-14	PRIJEM	VKLAD	46838	128710	\N	\N	\N
3047563	10105	1997-07-01	PRIJEM	VKLAD	20195	128574	\N	\N	\N
3047564	10105	1997-01-15	PRIJEM	VKLAD	6737	45834	\N	\N	\N
3047565	10105	1997-11-08	PRIJEM	VKLAD	10077	77538	\N	\N	\N
3047566	10105	1997-04-09	PRIJEM	VKLAD	12815	61208	\N	\N	\N
3047567	10105	1997-02-26	PRIJEM	VKLAD	39048	138588	\N	\N	\N
3047568	10105	1997-12-01	PRIJEM	VKLAD	41981	117696	\N	\N	\N
3047569	10105	1997-06-11	PRIJEM	VKLAD	17418	72729	\N	\N	\N
3047570	10105	1997-06-27	PRIJEM	VKLAD	35155	125474	\N	\N	\N
3047571	10105	1997-05-10	PRIJEM	VKLAD	26576	92194	\N	\N	\N
3047572	10105	1997-10-30	PRIJEM	VKLAD	32965	73915	\N	\N	\N
3047573	10105	1997-09-12	PRIJEM	VKLAD	10320	56720	\N	\N	\N
3047574	10105	1997-05-09	PRIJEM	VKLAD	7708	65618	\N	\N	\N
3047575	10105	1997-04-14	PRIJEM	VKLAD	17431	78639	\N	\N	\N
3047576	10105	1997-06-24	PRIJEM	VKLAD	21546	90319	\N	\N	\N
3047577	10105	1997-01-02	PRIJEM	VKLAD	5506	75297	\N	\N	\N
3047578	10105	1997-05-02	PRIJEM	VKLAD	35965	117510	\N	\N	\N
3047579	10105	1997-02-25	PRIJEM	VKLAD	16030	99540	\N	\N	\N
3047580	10105	1997-09-18	PRIJEM	VKLAD	47474	92994	\N	\N	\N
3047581	10105	1998-02-06	PRIJEM	VKLAD	5553	79694	\N	\N	\N
3047582	10105	1998-04-24	PRIJEM	VKLAD	17888	102518	\N	\N	\N
3047583	10105	1998-09-07	PRIJEM	VKLAD	35526	105731	\N	\N	\N
3047584	10105	1998-10-28	PRIJEM	VKLAD	6415	72143	\N	\N	\N
3047585	10105	1998-07-20	PRIJEM	VKLAD	11220	51813	\N	\N	\N
3047586	10105	1998-09-24	PRIJEM	VKLAD	48188	160498	\N	\N	\N
3047587	10105	1998-11-19	PRIJEM	VKLAD	31943	94154	\N	\N	\N
3047588	10105	1998-05-20	PRIJEM	VKLAD	7605	89420	\N	\N	\N
3047589	10105	1998-06-27	PRIJEM	VKLAD	7906	48072	\N	\N	\N
3047590	10105	1998-08-02	PRIJEM	VKLAD	27194	104132	\N	\N	\N
3047591	10105	1998-04-13	PRIJEM	VKLAD	12490	65948	\N	\N	\N
3047592	10105	1998-04-04	PRIJEM	VKLAD	8004	59160	\N	\N	\N
3047593	10105	1998-01-27	PRIJEM	VKLAD	15760	45455	\N	\N	\N
3047594	10105	1998-04-16	PRIJEM	VKLAD	46245	112193	\N	\N	\N
3047595	10105	1998-07-28	PRIJEM	VKLAD	34231	91339	\N	\N	\N
3047596	10105	1998-09-16	PRIJEM	VKLAD	26179	131910	\N	\N	\N
3047597	10105	1998-08-30	PRIJEM	VKLAD	21884	95712	\N	\N	\N
3047598	10105	1998-01-28	PRIJEM	VKLAD	34261	79716	\N	\N	\N
3047599	10105	1998-11-27	PRIJEM	VKLAD	42432	136586	\N	\N	\N
3047600	10105	1998-02-01	PRIJEM	VKLAD	19526	84541	\N	\N	\N
3047601	10105	1998-04-28	PRIJEM	VKLAD	47834	140170	\N	\N	\N
3047602	10105	1998-07-06	PRIJEM	VKLAD	5237	54993	\N	\N	\N
3047603	10105	1998-05-22	PRIJEM	VKLAD	28063	117483	\N	\N	\N
3047604	10105	1998-04-20	PRIJEM	VKLAD	41768	142330	\N	\N	\N
3047605	10105	1998-04-26	PRIJEM	VKLAD	37118	139636	\N	\N	\N
3047606	10105	1998-12-29	PRIJEM	VKLAD	35750	94171	\N	\N	\N
3047607	10105	1998-07-26	PRIJEM	VKLAD	5295	57108	\N	\N	\N
3047619	10105	1993-12-17	VYDAJ	VYBER	4500	77972	\N	\N	0
3047620	10105	1994-01-10	VYDAJ	VYBER	4700	56635	\N	\N	0
3047621	10105	1994-02-03	VYDAJ	VYBER	4900	27503	\N	\N	0
3047622	10105	1994-03-02	VYDAJ	VYBER	5400	47991	\N	\N	0
3047623	10105	1994-04-09	VYDAJ	VYBER	5200	34318	\N	\N	0
3047624	10105	1994-05-19	VYDAJ	VYBER	5300	80208	\N	\N	0
3047625	10105	1994-06-03	VYDAJ	VYBER	5500	51358	\N	\N	0
3047626	10105	1994-07-03	VYDAJ	VYBER	6000	45608	\N	\N	0
3047627	10105	1994-08-04	VYDAJ	VYBER	4900	22951	\N	\N	0
3047628	10105	1994-09-12	VYDAJ	PREVOD NA UCET	5079	27113	UVER	OP	27668351
3047629	10105	1994-10-12	VYDAJ	PREVOD NA UCET	5079	62466	UVER	OP	27668351
3047630	10105	1994-11-12	VYDAJ	PREVOD NA UCET	5079	18035	UVER	OP	27668351
3047631	10105	1994-12-12	VYDAJ	PREVOD NA UCET	5079	43594	UVER	OP	27668351
3047632	10105	1995-01-12	VYDAJ	PREVOD NA UCET	5079	27125	UVER	OP	27668351
3047633	10105	1995-02-12	VYDAJ	PREVOD NA UCET	5079	40854	UVER	OP	27668351
3047634	10105	1995-03-12	VYDAJ	PREVOD NA UCET	5079	87911	UVER	OP	27668351
3047635	10105	1995-04-12	VYDAJ	PREVOD NA UCET	5079	103940	UVER	OP	27668351
3047636	10105	1995-05-12	VYDAJ	PREVOD NA UCET	5079	74543	UVER	OP	27668351
3047637	10105	1995-06-12	VYDAJ	PREVOD NA UCET	5079	61957	UVER	OP	27668351
3047638	10105	1995-07-12	VYDAJ	PREVOD NA UCET	5079	66283	UVER	OP	27668351
3047639	10105	1995-08-12	VYDAJ	PREVOD NA UCET	5079	94978	UVER	OP	27668351
3047640	10105	1995-09-12	VYDAJ	PREVOD NA UCET	5079	100656	UVER	OP	27668351
3047641	10105	1995-10-12	VYDAJ	PREVOD NA UCET	5079	102041	UVER	OP	27668351
3047642	10105	1995-11-12	VYDAJ	PREVOD NA UCET	5079	69953	UVER	OP	27668351
3047643	10105	1995-12-12	VYDAJ	PREVOD NA UCET	5079	72348	UVER	OP	27668351
3047644	10105	1996-01-12	VYDAJ	PREVOD NA UCET	5079	44613	UVER	OP	27668351
3047645	10105	1996-02-12	VYDAJ	PREVOD NA UCET	5079	57690	UVER	OP	27668351
3047646	10105	1996-03-12	VYDAJ	PREVOD NA UCET	5079	87549	UVER	OP	27668351
3047647	10105	1996-04-12	VYDAJ	PREVOD NA UCET	5079	130299	UVER	OP	27668351
3047648	10105	1996-05-12	VYDAJ	PREVOD NA UCET	5079	75624	UVER	OP	27668351
3047649	10105	1996-06-12	VYDAJ	PREVOD NA UCET	5079	52850	UVER	OP	27668351
3047650	10105	1996-07-12	VYDAJ	PREVOD NA UCET	5079	53899	UVER	OP	27668351
3047651	10105	1996-08-12	VYDAJ	PREVOD NA UCET	5079	56478	UVER	OP	27668351
3047652	10105	1996-09-12	VYDAJ	VYBER	4700	51908	\N	\N	0
3047653	10105	1996-10-05	VYDAJ	VYBER	6100	46018	\N	\N	0
3047654	10105	1996-11-06	VYDAJ	VYBER	4100	99013	\N	\N	0
3047655	10105	1996-12-14	VYDAJ	VYBER	4800	63677	\N	\N	0
3047656	10105	1997-01-08	VYDAJ	VYBER	4800	60697	\N	\N	0
3047657	10105	1997-02-09	VYDAJ	VYBER	5300	41107	\N	\N	0
3047658	10105	1997-03-19	VYDAJ	VYBER	6000	53830	\N	\N	0
3047659	10105	1997-04-02	VYDAJ	VYBER	6000	48093	\N	\N	0
3047660	10105	1997-05-13	VYDAJ	VYBER	4000	88194	\N	\N	0
3047661	10105	1997-06-09	VYDAJ	VYBER	4100	55311	\N	\N	0
3047662	10105	1997-07-03	VYDAJ	VYBER	4500	73742	\N	\N	0
3047663	10105	1997-08-05	VYDAJ	VYBER	5100	46097	\N	\N	0
3047664	10105	1997-09-18	VYDAJ	VYBER	5200	87794	\N	\N	0
3047665	10105	1997-10-02	VYDAJ	VYBER	5300	82732	\N	\N	0
3047666	10105	1997-11-05	VYDAJ	VYBER	5800	67461	\N	\N	0
3047667	10105	1997-12-11	VYDAJ	VYBER	5900	62496	\N	\N	0
3047668	10105	1998-01-20	VYDAJ	VYBER	5100	29695	\N	\N	0
3047669	10105	1998-02-16	VYDAJ	VYBER	4000	72283	\N	\N	0
3047670	10105	1998-03-09	VYDAJ	VYBER	5000	59036	\N	\N	0
3047671	10105	1998-04-03	VYDAJ	VYBER	5500	51156	\N	\N	0
3047672	10105	1998-05-19	VYDAJ	VYBER	5400	81815	\N	\N	0
3047673	10105	1998-06-03	VYDAJ	VYBER	4700	54566	\N	\N	0
3047674	10105	1998-07-03	VYDAJ	VYBER	5300	49756	\N	\N	0
3047675	10105	1998-08-13	VYDAJ	VYBER	5700	73828	\N	\N	0
3047676	10105	1998-09-04	VYDAJ	VYBER	6300	70205	\N	\N	0
3047677	10105	1998-10-09	VYDAJ	VYBER	4100	65728	\N	\N	0
3047678	10105	1998-11-10	VYDAJ	VYBER	4300	62211	\N	\N	0
3047679	10105	1998-12-13	VYDAJ	VYBER	3900	76988	\N	\N	0
3047692	10105	1994-10-26	VYBER	VYBER	21448	31445	\N	\N	\N
3047693	10105	1994-10-17	VYBER	VYBER	22892	39574	\N	\N	\N
3047694	10105	1994-11-03	VYBER	VYBER	4941	26714	\N	\N	\N
3047695	10105	1994-05-05	VYBER	VYBER	13377	66190	\N	\N	\N
3047696	10105	1994-01-17	VYBER	VYBER	20707	39511	\N	\N	\N
3047697	10105	1994-08-28	VYBER	VYBER	9870	32047	\N	\N	\N
3047699	10105	1994-07-24	VYBER	VYBER	21874	27608	\N	\N	\N
3047700	10105	1994-06-11	VYBER	VYBER	17329	116126	\N	\N	\N
3047701	10105	1994-12-22	VYBER	VYBER	19831	43995	\N	\N	\N
3047702	10105	1994-07-22	VYBER	VYBER	7442	69982	\N	\N	\N
3047703	10105	1994-06-27	VYBER	VYBER	7358	59426	\N	\N	\N
3047705	10105	1994-03-10	VYBER	VYBER	7234	52623	\N	\N	\N
3047706	10105	1995-03-23	VYBER	VYBER	7852	56359	\N	\N	\N
3047707	10105	1995-04-18	VYBER	VYBER	19306	101996	\N	\N	\N
3047709	10105	1995-02-12	VYBER	VYBER	19349	45933	\N	\N	\N
3047711	10105	1996-11-21	VYBER	VYBER	12686	62027	\N	\N	\N
3047712	10105	1996-08-22	VYBER	VYBER	11443	58863	\N	\N	\N
3047713	10105	1996-05-03	VYBER	VYBER	2551	61224	\N	\N	\N
3047714	10105	1997-04-20	VYBER	VYBER	17448	61191	\N	\N	\N
3047717	10105	1997-10-21	VYBER	VYBER	9961	59271	\N	\N	\N
3047718	10105	1997-07-05	VYBER	VYBER	23261	50481	\N	\N	\N
3047719	10105	1997-08-12	VYBER	VYBER	16314	28283	\N	\N	\N
3047720	10105	1997-12-21	VYBER	VYBER	21429	34889	\N	\N	\N
3047721	10105	1997-07-23	VYBER	VYBER	20682	32299	\N	\N	\N
3047722	10105	1997-07-01	VYBER	VYBER	18432	110142	\N	\N	\N
3047723	10105	1997-06-12	VYBER	VYBER	3956	68773	\N	\N	\N
3047724	10105	1997-12-14	VYBER	VYBER	6178	56318	\N	\N	\N
3047725	10105	1997-09-17	VYBER	VYBER	11200	45520	\N	\N	\N
3047726	10105	1997-11-15	VYBER	VYBER	2116	75422	\N	\N	\N
3047727	10105	1997-10-22	VYBER	VYBER	18321	40950	\N	\N	\N
3047728	10105	1998-05-31	VYBER	VYBER	24642	44981	\N	\N	\N
3047731	10105	1998-12-28	VYBER	VYBER	13967	58421	\N	\N	\N
3047732	10105	1998-04-17	VYBER	VYBER	11631	100562	\N	\N	\N
3047733	10105	1998-04-09	VYBER	VYBER	5702	53458	\N	\N	\N
3047734	10105	1998-01-29	VYBER	VYBER	7738	71978	\N	\N	\N
3047735	10105	1998-01-31	VYBER	VYBER	7111	65029	\N	\N	\N
3047736	10105	1998-02-16	VYBER	VYBER	3411	76283	\N	\N	\N
3047737	10105	1998-12-30	VYBER	VYBER	22038	72133	\N	\N	\N
3047738	10105	1998-08-13	VYBER	VYBER	24604	79528	\N	\N	\N
3047739	10105	1998-09-24	VYBER	VYBER	22452	138046	\N	\N	\N
3047740	10105	1998-02-21	VYBER	VYBER	17423	54860	\N	\N	\N
3047743	10105	1995-06-14	VYDAJ	VYBER	11700	79877	\N	\N	\N
3047745	10105	1997-06-05	VYDAJ	VYBER	31500	57011	\N	\N	\N
3047746	10105	1998-06-19	VYDAJ	VYBER	14400	40166	\N	\N	\N
3047747	10105	1993-12-10	VYDAJ	VYBER	5700	41303	\N	\N	\N
3047748	10105	1994-12-21	VYDAJ	VYBER	5700	63826	\N	\N	\N
3047749	10105	1995-12-19	VYDAJ	VYBER	1800	58148	\N	\N	\N
3047750	10105	1996-12-17	VYDAJ	VYBER	7500	56177	\N	\N	\N
3047751	10105	1997-12-04	VYDAJ	VYBER	6300	68396	\N	\N	\N
3047752	10105	1998-12-23	VYDAJ	VYBER	4800	72188	\N	\N	\N
3047759	10105	1994-01-10	VYDAJ	VYBER	5700	61335	\N	\N	\N
3047760	10105	1994-01-13	VYDAJ	VYBER	2100	63818	\N	\N	\N
3047761	10105	1994-01-30	VYDAJ	VYBER	2100	32211	\N	\N	\N
3047762	10105	1994-01-06	VYDAJ	VYBER	7500	67035	\N	\N	\N
3047763	10105	1994-01-11	VYDAJ	VYBER	3600	53035	\N	\N	\N
3047764	10105	1994-01-13	VYDAJ	VYBER	3600	60218	\N	\N	\N
3047765	10105	1995-01-07	VYDAJ	VYBER	6300	42704	\N	\N	\N
3047767	10105	1995-01-17	VYDAJ	VYBER	6300	20825	\N	\N	\N
3047768	10105	1995-01-28	VYDAJ	VYBER	2700	23625	\N	\N	\N
3047769	10105	1995-01-01	VYDAJ	VYBER	5100	49004	\N	\N	\N
3047771	10105	1996-01-13	VYDAJ	VYBER	1800	47913	\N	\N	\N
3047772	10105	1996-01-30	VYDAJ	VYBER	7200	62543	\N	\N	\N
3047773	10105	1996-01-25	VYDAJ	VYBER	1800	69743	\N	\N	\N
3047774	10105	1996-01-03	VYDAJ	VYBER	6600	51792	\N	\N	\N
3047775	10105	1996-01-13	VYDAJ	VYBER	5400	42513	\N	\N	\N
3047776	10105	1996-01-10	VYDAJ	VYBER	2100	49692	\N	\N	\N
3047777	10105	1997-01-11	VYDAJ	VYBER	5400	39097	\N	\N	\N
3047778	10105	1997-01-08	VYDAJ	VYBER	7200	44497	\N	\N	\N
3047779	10105	1997-01-22	VYDAJ	VYBER	2400	35634	\N	\N	\N
3047780	10105	1997-01-28	VYDAJ	VYBER	3600	32034	\N	\N	\N
3047781	10105	1997-01-06	VYDAJ	VYBER	5700	69597	\N	\N	\N
3047782	10105	1997-01-19	VYDAJ	VYBER	7800	38034	\N	\N	\N
3047785	10105	1998-01-09	VYDAJ	VYBER	6600	43495	\N	\N	\N
3047786	10105	1998-01-13	VYDAJ	VYBER	6600	36895	\N	\N	\N
3047787	10105	1998-01-14	VYDAJ	VYBER	2100	34795	\N	\N	\N
3047794	10105	1994-06-27	VYDAJ	VYBER	8100	51326	\N	\N	\N
3047795	10105	1994-09-14	VYDAJ	VYBER	13500	55295	\N	\N	\N
3047796	10105	1994-04-29	VYDAJ	VYBER	14400	31321	\N	\N	\N
3047798	10105	1994-02-08	VYDAJ	VYBER	13500	60270	\N	\N	\N
3047799	10105	1994-04-19	VYDAJ	VYBER	2100	50755	\N	\N	\N
3047800	10105	1994-11-05	VYDAJ	VYBER	3600	23114	\N	\N	\N
3047801	10105	1995-02-03	VYDAJ	VYBER	7800	65282	\N	\N	\N
3047802	10105	1995-12-07	VYDAJ	VYBER	11100	77427	\N	\N	\N
3047803	10105	1995-10-18	VYDAJ	VYBER	2100	64668	\N	\N	\N
3047805	10105	1995-09-15	VYDAJ	VYBER	8700	91956	\N	\N	\N
3047806	10105	1995-01-10	VYDAJ	VYBER	10500	32204	\N	\N	\N
3047807	10105	1996-07-04	VYDAJ	VYBER	9600	55978	\N	\N	\N
3047808	10105	1996-06-06	VYDAJ	VYBER	14400	61529	\N	\N	\N
3047809	10105	1996-06-18	VYDAJ	VYBER	13200	39650	\N	\N	\N
3047810	10105	1996-03-03	VYDAJ	VYBER	7200	92628	\N	\N	\N
3047811	10105	1996-04-13	VYDAJ	VYBER	11700	97581	\N	\N	\N
3047812	10105	1997-01-08	VYDAJ	VYBER	9000	51697	\N	\N	\N
3047813	10105	1997-03-17	VYDAJ	VYBER	6300	59830	\N	\N	\N
3047814	10105	1997-08-09	VYDAJ	VYBER	1500	44597	\N	\N	\N
3047816	10105	1998-08-30	VYDAJ	VYBER	7800	87912	\N	\N	\N
3047817	10105	1998-04-01	VYDAJ	VYBER	3000	50556	\N	\N	\N
3047818	10105	1998-03-30	VYDAJ	VYBER	5700	53336	\N	\N	\N
3047820	10105	1998-09-29	VYDAJ	VYBER	13500	69446	\N	\N	\N
3047821	10105	1998-07-09	VYDAJ	VYBER	14400	40593	\N	\N	\N
3047833	10105	1993-11-30	VYDAJ	VYBER	15	47003	SLUZBY	\N	\N
3047834	10105	1993-12-31	VYDAJ	VYBER	15	50815	SLUZBY	\N	\N
3047835	10105	1994-01-31	VYDAJ	VYBER	15	32403	SLUZBY	\N	\N
3047836	10105	1994-02-28	VYDAJ	VYBER	15	53391	SLUZBY	\N	\N
3047837	10105	1994-03-31	VYDAJ	VYBER	15	39518	SLUZBY	\N	\N
3047838	10105	1994-04-30	VYDAJ	VYBER	15	31488	SLUZBY	\N	\N
3047839	10105	1994-05-31	VYDAJ	VYBER	15	56858	SLUZBY	\N	\N
3047840	10105	1994-06-30	VYDAJ	VYBER	15	51608	SLUZBY	\N	\N
3047841	10105	1994-07-31	VYDAJ	VYBER	15	27851	SLUZBY	\N	\N
3047842	10105	1994-08-31	VYDAJ	VYBER	15	32192	SLUZBY	\N	\N
3047843	10105	1994-09-30	VYDAJ	VYBER	15	67545	SLUZBY	\N	\N
3047844	10105	1994-10-31	VYDAJ	VYBER	15	31655	SLUZBY	\N	\N
3047845	10105	1994-11-30	VYDAJ	VYBER	15	48673	SLUZBY	\N	\N
3047846	10105	1994-12-31	VYDAJ	VYBER	15	54104	SLUZBY	\N	\N
3047847	10105	1995-01-31	VYDAJ	VYBER	15	31824	SLUZBY	\N	\N
3047848	10105	1995-02-28	VYDAJ	VYBER	15	38635	SLUZBY	\N	\N
3047849	10105	1995-03-31	VYDAJ	VYBER	15	56601	SLUZBY	\N	\N
3047850	10105	1995-04-30	VYDAJ	VYBER	15	43645	SLUZBY	\N	\N
3047851	10105	1995-05-31	VYDAJ	VYBER	15	67036	SLUZBY	\N	\N
3047852	10105	1995-06-30	VYDAJ	VYBER	15	63066	SLUZBY	\N	\N
3047853	10105	1995-07-31	VYDAJ	VYBER	15	68351	SLUZBY	\N	\N
3047854	10105	1995-08-31	VYDAJ	VYBER	15	105735	SLUZBY	\N	\N
3047855	10105	1995-09-30	VYDAJ	VYBER	15	93536	SLUZBY	\N	\N
3047856	10105	1995-10-31	VYDAJ	VYBER	15	65004	SLUZBY	\N	\N
3047857	10105	1995-11-30	VYDAJ	VYBER	15	57992	SLUZBY	\N	\N
3047858	10105	1995-12-31	VYDAJ	VYBER	15	58392	SLUZBY	\N	\N
3047859	10105	1996-01-31	VYDAJ	VYBER	15	62769	SLUZBY	\N	\N
3047860	10105	1996-02-29	VYDAJ	VYBER	15	99828	SLUZBY	\N	\N
3047861	10105	1996-03-31	VYDAJ	VYBER	15	86538	SLUZBY	\N	\N
3047862	10105	1996-04-30	VYDAJ	VYBER	15	63775	SLUZBY	\N	\N
3047863	10105	1996-05-31	VYDAJ	VYBER	15	75929	SLUZBY	\N	\N
3047864	10105	1996-06-30	VYDAJ	VYBER	15	39863	SLUZBY	\N	\N
3047865	10105	1996-07-31	VYDAJ	VYBER	15	64757	SLUZBY	\N	\N
3047866	10105	1996-08-31	VYDAJ	VYBER	15	59108	SLUZBY	\N	\N
3047867	10105	1996-09-30	VYDAJ	VYBER	15	52118	SLUZBY	\N	\N
3047868	10105	1996-10-31	VYDAJ	VYBER	15	103113	SLUZBY	\N	\N
3047869	10105	1996-11-30	VYDAJ	VYBER	15	62331	SLUZBY	\N	\N
3047870	10105	1996-12-31	VYDAJ	VYBER	15	69791	SLUZBY	\N	\N
3047871	10105	1997-01-31	VYDAJ	VYBER	15	32207	SLUZBY	\N	\N
3047872	10105	1997-02-28	VYDAJ	VYBER	15	79430	SLUZBY	\N	\N
3047873	10105	1997-03-31	VYDAJ	VYBER	15	54093	SLUZBY	\N	\N
3047874	10105	1997-04-30	VYDAJ	VYBER	15	81545	SLUZBY	\N	\N
3047875	10105	1997-05-31	VYDAJ	VYBER	15	88511	SLUZBY	\N	\N
3047876	10105	1997-06-30	VYDAJ	VYBER	15	108379	SLUZBY	\N	\N
3047877	10105	1997-07-31	VYDAJ	VYBER	15	32497	SLUZBY	\N	\N
3047878	10105	1997-08-31	VYDAJ	VYBER	15	28400	SLUZBY	\N	\N
3047879	10105	1997-09-30	VYDAJ	VYBER	15	88032	SLUZBY	\N	\N
3047880	10105	1997-10-31	VYDAJ	VYBER	15	74161	SLUZBY	\N	\N
3047881	10105	1997-11-30	VYDAJ	VYBER	15	75715	SLUZBY	\N	\N
3047882	10105	1997-12-31	VYDAJ	VYBER	15	35095	SLUZBY	\N	\N
3047883	10105	1998-01-31	VYDAJ	VYBER	15	65015	SLUZBY	\N	\N
3047884	10105	1998-02-28	VYDAJ	VYBER	15	55136	SLUZBY	\N	\N
3047885	10105	1998-03-31	VYDAJ	VYBER	15	53556	SLUZBY	\N	\N
3047886	10105	1998-04-30	VYDAJ	VYBER	15	108515	SLUZBY	\N	\N
3047887	10105	1998-05-31	VYDAJ	VYBER	15	44966	SLUZBY	\N	\N
3047888	10105	1998-06-30	VYDAJ	VYBER	15	48256	SLUZBY	\N	\N
3047889	10105	1998-07-31	VYDAJ	VYBER	15	76938	SLUZBY	\N	\N
3047890	10105	1998-08-31	VYDAJ	VYBER	15	76505	SLUZBY	\N	\N
3047891	10105	1998-09-30	VYDAJ	VYBER	15	69828	SLUZBY	\N	\N
3047892	10105	1998-10-31	VYDAJ	VYBER	15	66511	SLUZBY	\N	\N
3047893	10105	1998-11-30	VYDAJ	VYBER	15	80888	SLUZBY	\N	\N
3047894	10105	1993-05-28	VYDAJ	VYBER	6600	33004	\N	\N	\N
3047895	10105	1993-06-27	VYDAJ	VYBER	2500	30522	\N	\N	\N
3047896	10105	1993-07-27	VYDAJ	VYBER	7700	30372	\N	\N	\N
3047897	10105	1993-08-26	VYDAJ	VYBER	21400	49497	\N	\N	\N
3047898	10105	1993-09-25	VYDAJ	VYBER	25400	53228	\N	\N	\N
3047899	10105	1993-10-25	VYDAJ	VYBER	14700	38737	\N	\N	\N
3047900	10105	1993-11-24	VYDAJ	VYBER	19500	46802	\N	\N	\N
3047901	10105	1993-12-24	VYDAJ	VYBER	27400	50572	\N	\N	\N
3047902	10105	1994-01-23	VYDAJ	VYBER	5200	34311	\N	\N	\N
3047903	10105	1994-02-22	VYDAJ	VYBER	22200	53149	\N	\N	\N
3047904	10105	1994-03-24	VYDAJ	VYBER	13300	39323	\N	\N	\N
3047905	10105	1994-04-23	VYDAJ	VYBER	21400	45721	\N	\N	\N
3047906	10105	1994-05-23	VYDAJ	VYBER	23600	56608	\N	\N	\N
3047907	10105	1994-06-11	VYDAJ	VYBER	64900	51226	\N	\N	\N
3047908	10105	1994-06-22	VYDAJ	VYBER	34000	66784	\N	\N	\N
3047909	10105	1994-07-20	VYDAJ	VYBER	38200	77424	\N	\N	\N
3047910	10105	1994-07-22	VYDAJ	VYBER	20500	49482	\N	\N	\N
3047911	10105	1994-08-21	VYDAJ	VYBER	15500	41917	\N	\N	\N
3047912	10105	1994-09-20	VYDAJ	VYBER	35500	67341	\N	\N	\N
3047913	10105	1994-10-20	VYDAJ	VYBER	2000	37574	\N	\N	\N
3047914	10105	1994-11-19	PRIJEM	VKLAD	3300	28647	\N	\N	\N
3047915	10105	1994-12-19	VYDAJ	VYBER	4300	39294	\N	\N	\N
3047916	10105	1995-01-18	PRIJEM	VKLAD	5500	26325	\N	\N	\N
3047917	10105	1995-02-17	VYDAJ	VYBER	2400	38454	\N	\N	\N
3047918	10105	1995-03-12	VYDAJ	VYBER	26300	92990	\N	\N	\N
3047919	10105	1995-03-19	VYDAJ	VYBER	23700	64211	\N	\N	\N
3047920	10105	1995-04-10	VYDAJ	VYBER	19900	109019	\N	\N	\N
3047921	10105	1995-04-18	VYDAJ	VYBER	53000	48996	\N	\N	\N
3047922	10105	1995-04-18	VYDAJ	VYBER	5700	43296	\N	\N	\N
3047923	10105	1995-05-18	VYDAJ	VYBER	19000	55543	\N	\N	\N
3047924	10105	1995-06-17	VYDAJ	VYBER	25200	62756	\N	\N	\N
3047925	10105	1995-07-17	VYDAJ	VYBER	23400	68077	\N	\N	\N
3047926	10105	1995-08-16	VYDAJ	VYBER	24600	70378	\N	\N	\N
3047927	10105	1995-09-15	VYDAJ	VYBER	23900	68056	\N	\N	\N
3047928	10105	1995-10-10	VYDAJ	VYBER	28300	107120	\N	\N	\N
3047929	10105	1995-10-15	VYDAJ	VYBER	24500	90668	\N	\N	\N
3047930	10105	1995-10-15	VYDAJ	VYBER	23900	66768	\N	\N	\N
3047931	10105	1995-11-14	VYDAJ	VYBER	12200	57753	\N	\N	\N
3047932	10105	1995-12-14	VYDAJ	VYBER	12400	59948	\N	\N	\N
3047933	10105	1996-01-13	PRIJEM	VKLAD	5100	49713	\N	\N	\N
3047934	10105	1996-02-12	VYDAJ	VYBER	3900	53790	\N	\N	\N
3047935	10105	1996-03-13	VYDAJ	VYBER	16600	70949	\N	\N	\N
3047936	10105	1996-04-12	VYDAJ	VYBER	28900	76899	\N	\N	\N
3047937	10105	1996-04-12	VYDAJ	VYBER	24500	105799	\N	\N	\N
3047938	10105	1996-04-13	VYDAJ	VYBER	34100	63481	\N	\N	\N
3047939	10105	1996-05-12	VYDAJ	VYBER	19100	80703	\N	\N	\N
3047940	10105	1996-06-11	VYDAJ	VYBER	3600	57929	\N	\N	\N
3047941	10105	1996-07-11	PRIJEM	VKLAD	3000	58978	\N	\N	\N
3047942	10105	1996-08-10	VYDAJ	VYBER	3200	61557	\N	\N	\N
3047943	10105	1996-09-09	VYDAJ	VYBER	2500	56608	\N	\N	\N
3047944	10105	1996-10-09	PRIJEM	VKLAD	6000	52018	\N	\N	\N
3047945	10105	1996-11-08	VYDAJ	VYBER	24300	74713	\N	\N	\N
3047946	10105	1996-12-08	VYDAJ	VYBER	2300	60031	\N	\N	\N
3047947	10105	1997-01-07	VYDAJ	VYBER	4100	65497	\N	\N	\N
3047948	10105	1997-02-06	PRIJEM	VKLAD	14200	46407	\N	\N	\N
3047949	10105	1997-02-14	VYDAJ	VYBER	45200	83510	\N	\N	\N
3047950	10105	1997-02-26	VYDAJ	VYBER	15600	122988	\N	\N	\N
3047951	10105	1997-02-28	VYDAJ	VYBER	43900	79444	\N	\N	\N
3047952	10105	1997-03-08	VYDAJ	VYBER	13300	66130	\N	\N	\N
3047953	10105	1997-04-07	PRIJEM	VKLAD	300	48393	\N	\N	\N
3047954	10105	1997-05-02	VYDAJ	VYBER	62600	54910	\N	\N	\N
3047955	10105	1997-05-07	PRIJEM	VKLAD	3000	57910	\N	\N	\N
3047956	10105	1997-06-06	PRIJEM	VKLAD	2400	59411	\N	\N	\N
3047957	10105	1997-06-27	VYDAJ	VYBER	17400	108074	\N	\N	\N
3047958	10105	1997-07-01	VYDAJ	VYBER	31900	78242	\N	\N	\N
3047959	10105	1997-07-06	PRIJEM	VKLAD	2500	52981	\N	\N	\N
3047960	10105	1997-08-05	PRIJEM	VKLAD	18700	51197	\N	\N	\N
3047961	10105	1997-09-04	PRIJEM	VKLAD	18000	46400	\N	\N	\N
3047962	10105	1997-10-04	VYDAJ	VYBER	13500	69232	\N	\N	\N
3047963	10105	1997-11-03	VYDAJ	VYBER	900	73261	\N	\N	\N
3047964	10105	1997-12-01	VYDAJ	VYBER	38900	78796	\N	\N	\N
3047965	10105	1997-12-03	VYDAJ	VYBER	4100	74696	\N	\N	\N
3047966	10105	1998-01-02	PRIJEM	VKLAD	15000	50095	\N	\N	\N
3047967	10105	1998-02-01	VYDAJ	VYBER	10400	74141	\N	\N	\N
3047968	10105	1998-03-03	PRIJEM	VKLAD	8900	64036	\N	\N	\N
3047969	10105	1998-04-02	PRIJEM	VKLAD	6100	56656	\N	\N	\N
3047970	10105	1998-04-20	VYDAJ	VYBER	57700	84630	\N	\N	\N
3047971	10105	1998-04-26	VYDAJ	VYBER	47300	92336	\N	\N	\N
3047972	10105	1998-04-28	VYDAJ	VYBER	32000	108170	\N	\N	\N
3047973	10105	1998-05-02	VYDAJ	VYBER	21300	87215	\N	\N	\N
3047974	10105	1998-05-22	VYDAJ	VYBER	48300	69183	\N	\N	\N
3047975	10105	1998-06-01	PRIJEM	VKLAD	14300	59266	\N	\N	\N
3047976	10105	1998-07-01	PRIJEM	VKLAD	6800	55056	\N	\N	\N
3047977	10105	1998-07-31	VYDAJ	VYBER	14600	76952	\N	\N	\N
3047978	10105	1998-08-30	VYDAJ	VYBER	11700	76212	\N	\N	\N
3047979	10105	1998-09-16	VYDAJ	VYBER	19600	112310	\N	\N	\N
3047980	10105	1998-09-24	VYDAJ	VYBER	50200	87846	\N	\N	\N
3047981	10105	1998-09-29	VYDAJ	VYBER	4900	82946	\N	\N	\N
3047982	10105	1998-10-29	VYDAJ	VYBER	5900	66243	\N	\N	\N
3047983	10105	1998-11-27	VYDAJ	VYBER	33700	102886	\N	\N	\N
3047984	10105	1998-11-28	VYDAJ	VYBER	22300	80586	\N	\N	\N
3047985	10105	1998-12-28	PRIJEM	VKLAD	200	72388	\N	\N	\N
3055456	10131	1993-11-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3055461	10131	1993-12-11	PRIJEM	VKLAD	49757	50757	\N	\N	\N
3055472	10131	1994-03-21	PRIJEM	VKLAD	9713	38646	\N	\N	\N
3055473	10131	1994-09-26	PRIJEM	VKLAD	27351	52957	\N	\N	\N
3055474	10131	1994-10-21	PRIJEM	VKLAD	48955	102113	\N	\N	\N
3055475	10131	1994-06-17	PRIJEM	VKLAD	21609	49911	\N	\N	\N
3055476	10131	1995-11-27	PRIJEM	VKLAD	12142	30413	\N	\N	\N
3055477	10131	1996-12-16	PRIJEM	VKLAD	20627	49297	\N	\N	\N
3055478	10131	1996-02-02	PRIJEM	VKLAD	32834	53975	\N	\N	\N
3055479	10131	1996-02-11	PRIJEM	VKLAD	28582	82557	\N	\N	\N
3055480	10131	1996-07-22	PRIJEM	VKLAD	20781	38163	\N	\N	\N
3055481	10131	1996-01-03	PRIJEM	VKLAD	22254	34080	\N	\N	\N
3055482	10131	1996-10-16	PRIJEM	VKLAD	28185	49708	\N	\N	\N
3055483	10131	1996-01-07	PRIJEM	VKLAD	38109	72189	\N	\N	\N
3055484	10131	1996-11-08	PRIJEM	VKLAD	28868	49734	\N	\N	\N
3055485	10131	1996-04-16	PRIJEM	VKLAD	26172	52681	\N	\N	\N
3055486	10131	1997-11-18	PRIJEM	VKLAD	35058	131306	\N	\N	\N
3055487	10131	1997-04-19	PRIJEM	VKLAD	38728	77768	\N	\N	\N
3055488	10131	1997-04-05	PRIJEM	VKLAD	12005	76342	\N	\N	\N
3055489	10131	1997-07-05	PRIJEM	VKLAD	21204	40459	\N	\N	\N
3055490	10131	1997-09-09	PRIJEM	VKLAD	33864	67316	\N	\N	\N
3055491	10131	1997-02-23	PRIJEM	VKLAD	34172	43172	\N	\N	\N
3055492	10131	1997-03-02	PRIJEM	VKLAD	26764	70008	\N	\N	\N
3055493	10131	1997-03-20	PRIJEM	VKLAD	25935	63660	\N	\N	\N
3055494	10131	1997-11-21	PRIJEM	VKLAD	48542	149948	\N	\N	\N
3055495	10131	1997-09-14	PRIJEM	VKLAD	5131	67547	\N	\N	\N
3055496	10131	1997-11-15	PRIJEM	VKLAD	25064	96248	\N	\N	\N
3055497	10131	1997-10-11	PRIJEM	VKLAD	7687	64189	\N	\N	\N
3055498	10131	1997-09-27	PRIJEM	VKLAD	37807	98755	\N	\N	\N
3055499	10131	1997-03-30	PRIJEM	VKLAD	30024	75407	\N	\N	\N
3055500	10131	1997-10-30	PRIJEM	VKLAD	37687	97376	\N	\N	\N
3055501	10131	1998-05-03	PRIJEM	VKLAD	15527	33686	\N	\N	\N
3055502	10131	1998-01-02	PRIJEM	VKLAD	27771	85759	\N	\N	\N
3055503	10131	1998-08-02	PRIJEM	VKLAD	13040	70972	\N	\N	\N
3055504	10131	1998-07-19	PRIJEM	VKLAD	38627	65452	\N	\N	\N
3055505	10131	1998-01-11	PRIJEM	VKLAD	49949	95508	\N	\N	\N
3055506	10131	1998-06-30	PRIJEM	VKLAD	48628	95604	\N	\N	\N
3055507	10131	1998-05-15	PRIJEM	VKLAD	30293	50479	\N	\N	\N
3055508	10131	1998-11-10	PRIJEM	VKLAD	9734	35878	\N	\N	\N
3055509	10131	1998-05-16	PRIJEM	VKLAD	22332	72811	\N	\N	\N
3055532	10131	1994-11-12	VYDAJ	PREVOD NA UCET	5983	22444	UVER	YZ	64831644
3055533	10131	1994-12-12	VYDAJ	PREVOD NA UCET	5983	5592	UVER	YZ	64831644
3055536	10131	1995-03-12	VYDAJ	PREVOD NA UCET	5983	4961	UVER	YZ	64831644
3055537	10131	1995-04-12	VYDAJ	PREVOD NA UCET	5983	10435	UVER	YZ	64831644
3055540	10131	1995-07-12	VYDAJ	PREVOD NA UCET	5983	12296	UVER	YZ	64831644
3055542	10131	1995-09-12	VYDAJ	PREVOD NA UCET	5983	9831	UVER	YZ	64831644
3055543	10131	1995-10-12	VYDAJ	PREVOD NA UCET	5983	13572	UVER	YZ	64831644
3055544	10131	1995-11-12	VYDAJ	PREVOD NA UCET	5983	13987	UVER	YZ	64831644
3055546	10131	1996-01-12	VYDAJ	PREVOD NA UCET	5983	42206	UVER	YZ	64831644
3055547	10131	1996-02-12	VYDAJ	PREVOD NA UCET	5983	76574	UVER	YZ	64831644
3055548	10131	1996-03-12	VYDAJ	PREVOD NA UCET	5983	40887	UVER	YZ	64831644
3055549	10131	1996-04-12	VYDAJ	PREVOD NA UCET	5983	22009	UVER	YZ	64831644
3055550	10131	1996-05-12	VYDAJ	PREVOD NA UCET	5983	35316	UVER	YZ	64831644
3055551	10131	1996-06-12	VYDAJ	PREVOD NA UCET	5983	21244	UVER	YZ	64831644
3055556	10131	1996-11-12	VYDAJ	PREVOD NA UCET	5983	35751	UVER	YZ	64831644
3055557	10131	1996-12-12	VYDAJ	PREVOD NA UCET	5983	28670	UVER	YZ	64831644
3055558	10131	1997-01-12	VYDAJ	PREVOD NA UCET	5983	13171	UVER	YZ	64831644
3055559	10131	1997-02-12	VYDAJ	PREVOD NA UCET	5983	9000	UVER	YZ	64831644
3055560	10131	1997-03-12	VYDAJ	PREVOD NA UCET	5983	37725	UVER	YZ	64831644
3055561	10131	1997-04-12	VYDAJ	PREVOD NA UCET	5983	39040	UVER	YZ	64831644
3055562	10131	1997-05-12	VYDAJ	VYBER	5800	50556	\N	\N	0
3055563	10131	1997-06-21	VYDAJ	VYBER	6500	24630	\N	\N	0
3055564	10131	1997-07-10	VYDAJ	VYBER	6600	28059	\N	\N	0
3055565	10131	1997-08-10	VYDAJ	VYBER	4700	19069	\N	\N	0
3055566	10131	1997-09-11	VYDAJ	VYBER	4900	62416	\N	\N	0
3055567	10131	1997-10-18	VYDAJ	VYBER	4500	59689	\N	\N	0
3055568	10131	1997-11-07	VYDAJ	VYBER	4600	71184	\N	\N	0
3055569	10131	1997-12-07	VYDAJ	VYBER	5200	57522	\N	\N	0
3055570	10131	1998-01-05	VYDAJ	VYBER	6700	64459	\N	\N	0
3055571	10131	1998-02-02	VYDAJ	VYBER	6500	55883	\N	\N	0
3055572	10131	1998-03-21	VYDAJ	VYBER	5300	35757	\N	\N	0
3055573	10131	1998-04-02	VYDAJ	VYBER	5900	30073	\N	\N	0
3055574	10131	1998-05-17	VYDAJ	VYBER	6300	66511	\N	\N	0
3055575	10131	1998-06-06	VYDAJ	VYBER	5400	46631	\N	\N	0
3055576	10131	1998-07-05	VYDAJ	VYBER	4900	59789	\N	\N	0
3055577	10131	1998-08-17	VYDAJ	VYBER	6700	24241	\N	\N	0
3055579	10131	1998-10-07	VYDAJ	VYBER	5300	20351	\N	\N	0
3055580	10131	1998-11-16	VYDAJ	VYBER	6000	25845	\N	\N	0
3055593	10131	1994-11-28	VYBER	VYBER	14172	11372	\N	\N	\N
3055594	10131	1994-11-10	VYBER	VYBER	12856	51044	\N	\N	\N
3055595	10131	1994-11-12	VYBER	VYBER	22617	28427	\N	\N	\N
3055598	10131	1995-04-28	VYBER	VYBER	20344	2091	\N	\N	\N
3055602	10131	1995-12-11	VYBER	VYBER	24173	649	\N	\N	\N
3055604	10131	1995-05-20	VYBER	VYBER	3029	-864	\N	\N	\N
3055605	10131	1995-05-25	VYBER	VYBER	14870	2366	\N	\N	\N
3055607	10131	1995-11-19	VYBER	VYBER	3716	18271	\N	\N	\N
3055608	10131	1996-07-29	VYBER	VYBER	7285	20978	\N	\N	\N
3055609	10131	1996-09-02	VYBER	VYBER	5943	3833	\N	\N	\N
3055610	10131	1996-07-02	VYBER	VYBER	19074	-218	\N	\N	\N
3055611	10131	1996-02-20	VYBER	VYBER	7615	46559	\N	\N	\N
3055612	10131	1996-10-21	VYBER	VYBER	14235	20773	\N	\N	\N
3055613	10131	1996-09-19	VYBER	VYBER	15056	2977	\N	\N	\N
3055614	10131	1996-08-24	VYBER	VYBER	11174	9752	\N	\N	\N
3055615	10131	1996-12-25	VYBER	VYBER	24312	24985	\N	\N	\N
3055616	10131	1996-05-08	VYBER	VYBER	11702	41299	\N	\N	\N
3055617	10131	1997-03-23	VYBER	VYBER	2125	61535	\N	\N	\N
3055618	10131	1997-03-29	VYBER	VYBER	16152	45383	\N	\N	\N
3055619	10131	1997-06-26	VYBER	VYBER	5543	19087	\N	\N	\N
3055621	10131	1997-09-18	VYBER	VYBER	6599	60948	\N	\N	\N
3055622	10131	1997-07-22	VYBER	VYBER	11339	11920	\N	\N	\N
3055623	10131	1997-04-06	VYBER	VYBER	16519	59823	\N	\N	\N
3055624	10131	1997-05-15	VYBER	VYBER	13307	35449	\N	\N	\N
3055625	10131	1997-07-31	VYBER	VYBER	7381	4683	\N	\N	\N
3055626	10131	1997-04-04	VYBER	VYBER	11396	64337	\N	\N	\N
3055627	10131	1997-09-30	VYBER	VYBER	23159	76016	\N	\N	\N
3055629	10131	1998-11-25	VYBER	VYBER	7195	18650	\N	\N	\N
3055630	10131	1998-07-15	VYBER	VYBER	24884	26825	\N	\N	\N
3055631	10131	1998-08-10	VYBER	VYBER	22331	30941	\N	\N	\N
3055632	10131	1998-11-16	VYBER	VYBER	4033	31845	\N	\N	\N
3055633	10131	1998-07-23	VYBER	VYBER	7950	57502	\N	\N	\N
3055634	10131	1998-07-09	VYBER	VYBER	8080	51709	\N	\N	\N
3055644	10131	1996-01-11	VYDAJ	VYBER	8700	63489	\N	\N	\N
3055645	10131	1997-01-02	VYDAJ	VYBER	18000	654	\N	\N	\N
3055646	10131	1998-01-07	VYDAJ	VYBER	8700	55759	\N	\N	\N
3055648	10131	1994-12-27	VYDAJ	VYBER	5700	10492	\N	\N	\N
3055649	10131	1995-12-24	VYDAJ	VYBER	4500	11749	\N	\N	\N
3055650	10131	1996-12-02	VYDAJ	VYBER	2700	33253	\N	\N	\N
3055651	10131	1997-12-02	VYDAJ	VYBER	3600	83722	\N	\N	\N
3055652	10131	1998-12-03	VYDAJ	VYBER	7500	18508	\N	\N	\N
3055666	10131	1995-01-11	VYDAJ	VYBER	5700	4843	\N	\N	\N
3055667	10131	1995-01-22	VYDAJ	VYBER	8700	7243	\N	\N	\N
3055668	10131	1995-01-19	VYDAJ	VYBER	3000	1843	\N	\N	\N
3055670	10131	1995-01-24	VYDAJ	VYBER	7500	-257	\N	\N	\N
3055671	10131	1996-01-12	VYDAJ	VYBER	8700	48189	\N	\N	\N
3055672	10131	1996-01-23	VYDAJ	VYBER	7500	20906	\N	\N	\N
3055673	10131	1996-01-16	VYDAJ	VYBER	4200	34406	\N	\N	\N
3055674	10131	1996-01-12	VYDAJ	VYBER	6600	56889	\N	\N	\N
3055675	10131	1996-01-16	VYDAJ	VYBER	6000	28406	\N	\N	\N
3055676	10131	1996-01-14	VYDAJ	VYBER	6600	35606	\N	\N	\N
3055677	10131	1997-01-21	VYDAJ	VYBER	5400	1471	\N	\N	\N
3055678	10131	1997-01-20	VYDAJ	VYBER	6300	6871	\N	\N	\N
3055681	10131	1997-01-01	VYDAJ	VYBER	6600	18654	\N	\N	\N
3055683	10131	1998-01-08	VYDAJ	VYBER	2400	53359	\N	\N	\N
3055684	10131	1998-01-18	VYDAJ	VYBER	7200	69108	\N	\N	\N
3055685	10131	1998-01-11	VYDAJ	VYBER	2100	78708	\N	\N	\N
3055686	10131	1998-01-24	VYDAJ	VYBER	7200	61908	\N	\N	\N
3055687	10131	1998-01-15	VYDAJ	VYBER	2400	76308	\N	\N	\N
3055688	10131	1998-01-10	VYDAJ	VYBER	7800	45559	\N	\N	\N
3055698	10131	1995-02-27	VYDAJ	VYBER	1500	10959	\N	\N	\N
3055700	10131	1995-12-08	VYDAJ	VYBER	5700	24822	\N	\N	\N
3055701	10131	1995-08-12	VYDAJ	VYBER	12300	6586	\N	\N	\N
3055702	10131	1996-10-17	VYDAJ	VYBER	14700	35008	\N	\N	\N
3055703	10131	1996-04-04	VYDAJ	VYBER	4500	27992	\N	\N	\N
3055704	10131	1996-07-30	VYDAJ	VYBER	12600	8378	\N	\N	\N
3055705	10131	1996-07-26	VYDAJ	VYBER	9900	28263	\N	\N	\N
3055706	10131	1996-05-29	VYDAJ	VYBER	6300	26916	\N	\N	\N
3055708	10131	1996-05-24	VYDAJ	VYBER	3600	33216	\N	\N	\N
3055709	10131	1996-06-13	VYDAJ	VYBER	12600	8644	\N	\N	\N
3055710	10131	1997-10-03	VYDAJ	VYBER	7200	68802	\N	\N	\N
3055711	10131	1997-07-21	VYDAJ	VYBER	4800	23259	\N	\N	\N
3055712	10131	1997-05-14	VYDAJ	VYBER	1800	48756	\N	\N	\N
3055713	10131	1997-06-05	VYDAJ	VYBER	13500	22230	\N	\N	\N
3055714	10131	1997-12-06	VYDAJ	VYBER	8100	62722	\N	\N	\N
3055715	10131	1997-03-12	VYDAJ	VYBER	5700	43708	\N	\N	\N
3055716	10131	1997-07-06	VYDAJ	VYBER	9600	30859	\N	\N	\N
3055717	10131	1998-05-09	VYDAJ	VYBER	11700	20186	\N	\N	\N
3055718	10131	1998-05-04	VYDAJ	VYBER	8400	25286	\N	\N	\N
3055719	10131	1998-03-16	VYDAJ	VYBER	5100	41057	\N	\N	\N
3055720	10131	1998-01-11	VYDAJ	VYBER	14700	80808	\N	\N	\N
3055721	10131	1998-04-11	VYDAJ	VYBER	1500	32373	\N	\N	\N
3055722	10131	1998-09-06	VYDAJ	VYBER	9300	18665	\N	\N	\N
3055723	10131	1998-04-27	VYDAJ	VYBER	14400	17973	\N	\N	\N
3055724	10131	1998-12-21	VYDAJ	VYBER	6300	12208	\N	\N	\N
3055747	10131	1994-10-31	VYDAJ	VYBER	15	63900	SLUZBY	\N	\N
3055748	10131	1994-11-30	VYDAJ	VYBER	15	11575	SLUZBY	\N	\N
3055749	10131	1994-12-31	VYDAJ	VYBER	15	10543	SLUZBY	\N	\N
3055750	10131	1995-01-31	VYDAJ	VYBER	15	-239	SLUZBY	\N	\N
3055751	10131	1995-02-28	VYDAJ	VYBER	15	10949	SLUZBY	\N	\N
3055752	10131	1995-03-31	VYDAJ	VYBER	15	16418	SLUZBY	\N	\N
3055753	10131	1995-04-30	VYDAJ	VYBER	15	2165	SLUZBY	\N	\N
3055754	10131	1995-05-31	VYDAJ	VYBER	15	2383	SLUZBY	\N	\N
3055755	10131	1995-06-30	VYDAJ	VYBER	15	18279	SLUZBY	\N	\N
3055756	10131	1995-07-31	VYDAJ	VYBER	15	18886	SLUZBY	\N	\N
3055757	10131	1995-08-31	VYDAJ	VYBER	15	15814	SLUZBY	\N	\N
3055758	10131	1995-09-30	VYDAJ	VYBER	15	19555	SLUZBY	\N	\N
3055759	10131	1995-10-31	VYDAJ	VYBER	15	19970	SLUZBY	\N	\N
3055760	10131	1995-11-30	VYDAJ	VYBER	15	30522	SLUZBY	\N	\N
3055761	10131	1995-12-31	VYDAJ	VYBER	15	11826	SLUZBY	\N	\N
3055762	10131	1996-01-31	VYDAJ	VYBER	15	21141	SLUZBY	\N	\N
3055763	10131	1996-02-29	VYDAJ	VYBER	15	46870	SLUZBY	\N	\N
3055764	10131	1996-03-31	VYDAJ	VYBER	15	32492	SLUZBY	\N	\N
3055765	10131	1996-04-30	VYDAJ	VYBER	15	53001	SLUZBY	\N	\N
3055766	10131	1996-05-31	VYDAJ	VYBER	15	27227	SLUZBY	\N	\N
3055767	10131	1996-06-30	VYDAJ	VYBER	15	18856	SLUZBY	\N	\N
3055768	10131	1996-07-31	VYDAJ	VYBER	15	8526	SLUZBY	\N	\N
3055769	10131	1996-08-31	VYDAJ	VYBER	15	9776	SLUZBY	\N	\N
3055770	10131	1996-09-30	VYDAJ	VYBER	15	3023	SLUZBY	\N	\N
3055771	10131	1996-10-31	VYDAJ	VYBER	15	20866	SLUZBY	\N	\N
3055772	10131	1996-11-30	VYDAJ	VYBER	15	35953	SLUZBY	\N	\N
3055773	10131	1996-12-31	VYDAJ	VYBER	15	25254	SLUZBY	\N	\N
3055774	10131	1997-01-31	VYDAJ	VYBER	15	1494	SLUZBY	\N	\N
3055775	10131	1997-02-28	VYDAJ	VYBER	15	43244	SLUZBY	\N	\N
3055776	10131	1997-03-31	VYDAJ	VYBER	15	75733	SLUZBY	\N	\N
3055777	10131	1997-04-30	VYDAJ	VYBER	15	78256	SLUZBY	\N	\N
3055778	10131	1997-05-31	VYDAJ	VYBER	15	35730	SLUZBY	\N	\N
3055779	10131	1997-06-30	VYDAJ	VYBER	15	19255	SLUZBY	\N	\N
3055780	10131	1997-07-31	VYDAJ	VYBER	15	4669	SLUZBY	\N	\N
3055781	10131	1997-08-31	VYDAJ	VYBER	15	19152	SLUZBY	\N	\N
3055782	10131	1997-09-30	VYDAJ	VYBER	15	76002	SLUZBY	\N	\N
3055783	10131	1997-10-31	VYDAJ	VYBER	15	97884	SLUZBY	\N	\N
3055784	10131	1997-11-30	VYDAJ	VYBER	15	87322	SLUZBY	\N	\N
3055785	10131	1997-12-31	VYDAJ	VYBER	15	57988	SLUZBY	\N	\N
3055786	10131	1998-01-31	VYDAJ	VYBER	15	62383	SLUZBY	\N	\N
3055787	10131	1998-02-28	VYDAJ	VYBER	15	51057	SLUZBY	\N	\N
3055788	10131	1998-03-31	VYDAJ	VYBER	15	35973	SLUZBY	\N	\N
3055789	10131	1998-04-30	VYDAJ	VYBER	15	18159	SLUZBY	\N	\N
3055790	10131	1998-05-31	VYDAJ	VYBER	15	66831	SLUZBY	\N	\N
3055791	10131	1998-06-30	VYDAJ	VYBER	15	95589	SLUZBY	\N	\N
3055792	10131	1998-07-31	VYDAJ	VYBER	15	57932	SLUZBY	\N	\N
3055793	10131	1998-08-31	VYDAJ	VYBER	15	24465	SLUZBY	\N	\N
3055794	10131	1998-09-30	VYDAJ	VYBER	15	18751	SLUZBY	\N	\N
3055795	10131	1998-10-31	VYDAJ	VYBER	15	20444	SLUZBY	\N	\N
3055796	10131	1998-11-30	VYDAJ	VYBER	15	18808	SLUZBY	\N	\N
3055797	10131	1993-12-27	VYDAJ	VYBER	11400	39357	\N	\N	\N
3055798	10131	1994-01-26	VYDAJ	VYBER	8200	31205	\N	\N	\N
3055799	10131	1994-02-25	VYDAJ	VYBER	2600	28769	\N	\N	\N
3055800	10131	1994-03-27	VYDAJ	VYBER	5200	33446	\N	\N	\N
3055801	10131	1994-04-26	VYDAJ	VYBER	3100	30524	\N	\N	\N
3055802	10131	1994-05-26	VYDAJ	VYBER	2500	28163	\N	\N	\N
3055803	10131	1994-06-25	VYDAJ	VYBER	11000	38911	\N	\N	\N
3055804	10131	1994-07-25	VYDAJ	VYBER	9000	30082	\N	\N	\N
3055805	10131	1994-08-24	VYDAJ	VYBER	2100	28144	\N	\N	\N
3055806	10131	1994-09-23	VYDAJ	VYBER	2700	25606	\N	\N	\N
3055807	10131	1994-10-23	VYDAJ	VYBER	38500	63613	\N	\N	\N
3055808	10131	1994-11-22	PRIJEM	VKLAD	3100	25544	\N	\N	\N
3055809	10131	1994-12-22	PRIJEM	VKLAD	10600	16192	\N	\N	\N
3055810	10131	1995-01-21	PRIJEM	VKLAD	14100	15943	\N	\N	\N
3055811	10131	1995-02-20	PRIJEM	VKLAD	12700	12459	\N	\N	\N
3055812	10131	1995-03-22	PRIJEM	VKLAD	11400	16361	\N	\N	\N
3055813	10131	1995-04-21	PRIJEM	VKLAD	12000	22435	\N	\N	\N
3055814	10131	1995-05-21	PRIJEM	VKLAD	18100	17236	\N	\N	\N
3055815	10131	1995-06-20	PRIJEM	VKLAD	15900	18283	\N	\N	\N
3055816	10131	1995-07-20	PRIJEM	VKLAD	6500	18796	\N	\N	\N
3055817	10131	1995-08-19	PRIJEM	VKLAD	9100	15686	\N	\N	\N
3055818	10131	1995-09-18	PRIJEM	VKLAD	9600	19431	\N	\N	\N
3055819	10131	1995-10-18	PRIJEM	VKLAD	6300	19872	\N	\N	\N
3055820	10131	1995-11-17	PRIJEM	VKLAD	8000	21987	\N	\N	\N
3055821	10131	1995-12-17	PRIJEM	VKLAD	15600	16249	\N	\N	\N
3055822	10131	1996-01-16	PRIJEM	VKLAD	3000	38606	\N	\N	\N
3055823	10131	1996-02-15	VYDAJ	VYBER	22400	54174	\N	\N	\N
3055824	10131	1996-03-16	VYDAJ	VYBER	8700	32187	\N	\N	\N
3055825	10131	1996-04-15	PRIJEM	VKLAD	4500	26509	\N	\N	\N
3055826	10131	1996-05-15	PRIJEM	VKLAD	1500	36816	\N	\N	\N
3055827	10131	1996-06-14	PRIJEM	VKLAD	10100	18744	\N	\N	\N
3055828	10131	1996-07-14	PRIJEM	VKLAD	17600	17382	\N	\N	\N
3055829	10131	1996-08-13	PRIJEM	VKLAD	12400	20926	\N	\N	\N
3055830	10131	1996-09-12	PRIJEM	VKLAD	14200	18033	\N	\N	\N
3055831	10131	1996-10-12	PRIJEM	VKLAD	18500	21523	\N	\N	\N
3055832	10131	1996-11-11	VYDAJ	VYBER	8000	41734	\N	\N	\N
3055833	10131	1996-12-11	PRIJEM	VKLAD	1400	34653	\N	\N	\N
3055834	10131	1997-01-10	PRIJEM	VKLAD	18500	19154	\N	\N	\N
3055835	10131	1997-02-09	PRIJEM	VKLAD	13500	14983	\N	\N	\N
3055836	10131	1997-03-11	VYDAJ	VYBER	20600	49408	\N	\N	\N
3055837	10131	1997-04-10	VYDAJ	VYBER	14800	45023	\N	\N	\N
3055838	10131	1997-05-10	VYDAJ	VYBER	21900	56356	\N	\N	\N
3055839	10131	1997-06-09	PRIJEM	VKLAD	8900	31130	\N	\N	\N
3055840	10131	1997-07-09	PRIJEM	VKLAD	3800	34659	\N	\N	\N
3055841	10131	1997-08-08	PRIJEM	VKLAD	19100	23769	\N	\N	\N
3055842	10131	1997-09-07	PRIJEM	VKLAD	14300	33452	\N	\N	\N
3055843	10131	1997-10-07	VYDAJ	VYBER	12300	56502	\N	\N	\N
3055844	10131	1997-11-06	VYDAJ	VYBER	22100	75784	\N	\N	\N
3055845	10131	1997-11-18	VYDAJ	VYBER	29900	101406	\N	\N	\N
3055846	10131	1997-11-21	VYDAJ	VYBER	63400	86548	\N	\N	\N
3055847	10131	1997-12-06	VYDAJ	VYBER	12900	70822	\N	\N	\N
3055848	10131	1998-01-05	VYDAJ	VYBER	14600	71159	\N	\N	\N
3055849	10131	1998-02-04	VYDAJ	VYBER	5200	50683	\N	\N	\N
3055850	10131	1998-03-06	VYDAJ	VYBER	4900	46157	\N	\N	\N
3055851	10131	1998-04-05	PRIJEM	VKLAD	3800	33873	\N	\N	\N
3055852	10131	1998-05-05	PRIJEM	VKLAD	6600	31886	\N	\N	\N
3055853	10131	1998-06-04	VYDAJ	VYBER	14800	52031	\N	\N	\N
3055854	10131	1998-07-04	VYDAJ	VYBER	30900	64689	\N	\N	\N
3055855	10131	1998-08-03	VYDAJ	VYBER	17700	53272	\N	\N	\N
3055856	10131	1998-09-02	PRIJEM	VKLAD	3500	27965	\N	\N	\N
3055857	10131	1998-10-02	PRIJEM	VKLAD	6900	25651	\N	\N	\N
3055858	10131	1998-11-01	PRIJEM	VKLAD	5700	26144	\N	\N	\N
3055859	10131	1998-12-01	PRIJEM	VKLAD	7200	26008	\N	\N	\N
3056560	10134	1997-04-26	PRIJEM	VKLAD	600	600	\N	\N	\N
3056561	10134	1997-11-20	PRIJEM	VKLAD	36970	119446	\N	\N	\N
3056562	10134	1997-09-26	PRIJEM	VKLAD	20077	75035	\N	\N	\N
3056563	10134	1997-09-21	PRIJEM	VKLAD	16406	58192	\N	\N	\N
3056564	10134	1997-05-01	PRIJEM	VKLAD	36197	36797	\N	\N	\N
3056565	10134	1997-11-03	PRIJEM	VKLAD	37325	96711	\N	\N	\N
3056566	10134	1997-05-28	PRIJEM	VKLAD	6962	51689	\N	\N	\N
3056567	10134	1997-07-07	PRIJEM	VKLAD	21639	114165	\N	\N	\N
3056568	10134	1997-07-02	PRIJEM	VKLAD	22703	60946	\N	\N	\N
3056569	10134	1997-09-23	PRIJEM	VKLAD	45466	89558	\N	\N	\N
3056570	10134	1997-08-20	PRIJEM	VKLAD	31589	89330	\N	\N	\N
3056571	10134	1997-10-09	PRIJEM	VKLAD	30453	96173	\N	\N	\N
3056572	10134	1997-07-04	PRIJEM	VKLAD	31580	92526	\N	\N	\N
3056574	10134	1997-12-12	PRIJEM	VKLAD	48627	92228	\N	\N	\N
3056576	10134	1997-08-18	PRIJEM	VKLAD	36131	57741	\N	\N	\N
3056577	10134	1997-05-02	PRIJEM	VKLAD	24730	61527	\N	\N	\N
3056579	10134	1998-04-22	PRIJEM	VKLAD	38127	65632	\N	\N	\N
3056580	10134	1998-12-11	PRIJEM	VKLAD	29269	93981	\N	\N	\N
3056581	10134	1998-06-16	PRIJEM	VKLAD	31961	60727	\N	\N	\N
3056582	10134	1998-05-12	PRIJEM	VKLAD	10366	63049	\N	\N	\N
3056583	10134	1998-09-30	PRIJEM	VKLAD	11089	32268	\N	\N	\N
3056584	10134	1998-12-03	PRIJEM	VKLAD	40862	74247	\N	\N	\N
3056585	10134	1998-04-26	PRIJEM	VKLAD	45640	111272	\N	\N	\N
3056586	10134	1998-07-01	PRIJEM	VKLAD	37540	59794	\N	\N	\N
3056587	10134	1998-07-13	PRIJEM	VKLAD	22269	108275	\N	\N	\N
3056588	10134	1998-01-09	PRIJEM	VKLAD	20936	60299	\N	\N	\N
3056589	10134	1998-07-05	PRIJEM	VKLAD	41428	101222	\N	\N	\N
3056590	10134	1998-03-02	PRIJEM	VKLAD	45732	69477	\N	\N	\N
3056591	10134	1998-11-17	PRIJEM	VKLAD	15877	34776	\N	\N	\N
3056592	10134	1998-03-17	PRIJEM	VKLAD	7394	61654	\N	\N	\N
3056593	10134	1998-10-17	PRIJEM	VKLAD	45451	62488	\N	\N	\N
3056600	10134	1997-07-19	VYDAJ	VYBER	4500	53330	\N	\N	0
3056601	10134	1997-08-17	VYDAJ	VYBER	4900	21610	\N	\N	0
3056602	10134	1997-09-07	VYDAJ	VYBER	6300	51321	\N	\N	0
3056603	10134	1997-10-17	VYDAJ	VYBER	6800	89373	\N	\N	0
3056604	10134	1997-11-10	VYDAJ	VYBER	4700	82476	\N	\N	0
3056605	10134	1997-12-08	VYDAJ	VYBER	7000	43601	\N	\N	0
3056606	10134	1998-01-12	VYDAJ	PREVOD NA UCET	5682	46217	UVER	EF	12704295
3056607	10134	1998-02-12	VYDAJ	PREVOD NA UCET	5682	11471	UVER	EF	12704295
3056608	10134	1998-03-12	VYDAJ	PREVOD NA UCET	5682	54260	UVER	EF	12704295
3056609	10134	1998-04-12	VYDAJ	PREVOD NA UCET	5682	19505	UVER	EF	12704295
3056610	10134	1998-05-12	VYDAJ	PREVOD NA UCET	5682	57367	UVER	EF	12704295
3056611	10134	1998-06-12	VYDAJ	PREVOD NA UCET	5682	28766	UVER	EF	12704295
3056612	10134	1998-07-12	VYDAJ	PREVOD NA UCET	5682	86006	UVER	EF	12704295
3056613	10134	1998-08-12	VYDAJ	PREVOD NA UCET	5682	10044	UVER	EF	12704295
3056614	10134	1998-09-12	VYDAJ	PREVOD NA UCET	5682	6403	UVER	EF	12704295
3056615	10134	1998-10-12	VYDAJ	PREVOD NA UCET	5682	17037	UVER	EF	12704295
3056616	10134	1998-11-12	VYDAJ	PREVOD NA UCET	5682	18699	UVER	EF	12704295
3056617	10134	1998-12-12	VYDAJ	PREVOD NA UCET	5682	88299	UVER	EF	12704295
3056624	10134	1997-07-08	VYDAJ	PREVOD NA UCET	9535	57830	SIPO	QR	69918125
3056625	10134	1997-08-08	VYDAJ	PREVOD NA UCET	9535	26510	SIPO	QR	69918125
3056626	10134	1997-09-08	VYDAJ	PREVOD NA UCET	9535	41786	SIPO	QR	69918125
3056627	10134	1997-10-08	VYDAJ	PREVOD NA UCET	9535	65720	SIPO	QR	69918125
3056628	10134	1997-11-08	VYDAJ	PREVOD NA UCET	9535	87176	SIPO	QR	69918125
3056629	10134	1997-12-08	VYDAJ	PREVOD NA UCET	9535	50601	SIPO	QR	69918125
3056630	10134	1998-01-08	VYDAJ	PREVOD NA UCET	9535	39363	SIPO	QR	69918125
3056631	10134	1998-02-08	VYDAJ	PREVOD NA UCET	9535	17153	SIPO	QR	69918125
3056632	10134	1998-03-08	VYDAJ	PREVOD NA UCET	9535	59942	SIPO	QR	69918125
3056633	10134	1998-04-08	VYDAJ	PREVOD NA UCET	9535	25187	SIPO	QR	69918125
3056634	10134	1998-05-08	VYDAJ	PREVOD NA UCET	9535	52683	SIPO	QR	69918125
3056635	10134	1998-06-08	VYDAJ	PREVOD NA UCET	9535	34448	SIPO	QR	69918125
3056636	10134	1998-07-08	VYDAJ	PREVOD NA UCET	9535	91687	SIPO	QR	69918125
3056637	10134	1998-08-08	VYDAJ	PREVOD NA UCET	9535	15726	SIPO	QR	69918125
3056638	10134	1998-09-08	VYDAJ	PREVOD NA UCET	9535	12085	SIPO	QR	69918125
3056639	10134	1998-10-08	VYDAJ	PREVOD NA UCET	9535	22719	SIPO	QR	69918125
3056640	10134	1998-11-08	VYDAJ	PREVOD NA UCET	9535	24381	SIPO	QR	69918125
3056641	10134	1998-12-08	VYDAJ	PREVOD NA UCET	9535	64712	SIPO	QR	69918125
3056642	10134	1998-06-29	VYBER	VYBER	22105	22095	\N	\N	\N
3056643	10134	1998-07-13	VYBER	VYBER	3369	104906	\N	\N	\N
3056644	10134	1998-06-18	VYBER	VYBER	8527	52200	\N	\N	\N
3056645	10134	1998-07-31	VYBER	VYBER	20518	25276	\N	\N	\N
3056646	10134	1998-10-23	VYBER	VYBER	14097	33791	\N	\N	\N
3056652	10134	1997-12-26	VYDAJ	VYBER	5100	58228	\N	\N	\N
3056653	10134	1998-12-30	VYDAJ	VYBER	5700	54299	\N	\N	\N
3056660	10134	1998-01-22	VYDAJ	VYBER	3000	38217	\N	\N	\N
3056661	10134	1998-01-29	VYDAJ	VYBER	8700	26517	\N	\N	\N
3056662	10134	1998-01-22	VYDAJ	VYBER	3000	35217	\N	\N	\N
3056663	10134	1998-01-01	VYDAJ	VYBER	1500	56998	\N	\N	\N
3056664	10134	1998-01-04	VYDAJ	VYBER	8100	48898	\N	\N	\N
3056665	10134	1998-01-10	VYDAJ	VYBER	8400	51899	\N	\N	\N
3056668	10134	1997-09-22	VYDAJ	VYBER	14100	44092	\N	\N	\N
3056670	10134	1998-06-06	VYDAJ	VYBER	3300	43983	\N	\N	\N
3056671	10134	1998-11-20	VYDAJ	VYBER	1500	33276	\N	\N	\N
3056673	10134	1998-07-24	VYDAJ	VYBER	4800	45506	\N	\N	\N
3056674	10134	1998-03-24	VYDAJ	VYBER	14400	34554	\N	\N	\N
3056676	10134	1998-12-17	VYDAJ	VYBER	3900	84399	\N	\N	\N
3056677	10134	1998-09-01	VYDAJ	VYBER	3600	21620	\N	\N	\N
3056685	10134	1997-07-31	VYDAJ	VYBER	15	36045	SLUZBY	\N	\N
3056686	10134	1997-08-31	VYDAJ	VYBER	15	57621	SLUZBY	\N	\N
3056687	10134	1997-09-30	VYDAJ	VYBER	15	75255	SLUZBY	\N	\N
3056688	10134	1997-10-31	VYDAJ	VYBER	15	59386	SLUZBY	\N	\N
3056689	10134	1997-11-30	VYDAJ	VYBER	15	60136	SLUZBY	\N	\N
3056690	10134	1997-12-31	VYDAJ	VYBER	15	58498	SLUZBY	\N	\N
3056691	10134	1998-01-31	VYDAJ	VYBER	15	26688	SLUZBY	\N	\N
3056692	10134	1998-02-28	VYDAJ	VYBER	15	23745	SLUZBY	\N	\N
3056693	10134	1998-03-31	VYDAJ	VYBER	15	34722	SLUZBY	\N	\N
3056694	10134	1998-04-30	VYDAJ	VYBER	15	62218	SLUZBY	\N	\N
3056695	10134	1998-05-31	VYDAJ	VYBER	15	47283	SLUZBY	\N	\N
3056696	10134	1998-06-30	VYDAJ	VYBER	15	22254	SLUZBY	\N	\N
3056697	10134	1998-07-31	VYDAJ	VYBER	15	25261	SLUZBY	\N	\N
3056698	10134	1998-08-31	VYDAJ	VYBER	15	25220	SLUZBY	\N	\N
3056699	10134	1998-09-30	VYDAJ	VYBER	15	32254	SLUZBY	\N	\N
3056700	10134	1998-10-31	VYDAJ	VYBER	15	33916	SLUZBY	\N	\N
3056701	10134	1998-11-30	VYDAJ	VYBER	15	33385	SLUZBY	\N	\N
3056702	10134	1997-05-26	VYDAJ	VYBER	16800	44727	\N	\N	\N
3056703	10134	1997-06-25	VYDAJ	VYBER	13900	38027	\N	\N	\N
3056704	10134	1997-07-07	VYDAJ	VYBER	46800	67365	\N	\N	\N
3056705	10134	1997-07-25	VYDAJ	VYBER	17500	35830	\N	\N	\N
3056706	10134	1997-08-24	VYDAJ	VYBER	31900	57430	\N	\N	\N
3056707	10134	1997-09-23	VYDAJ	VYBER	34600	54958	\N	\N	\N
3056708	10134	1997-10-23	VYDAJ	VYBER	30300	59073	\N	\N	\N
3056709	10134	1997-11-20	VYDAJ	VYBER	32900	86546	\N	\N	\N
3056710	10134	1997-11-22	VYDAJ	VYBER	26700	59846	\N	\N	\N
3056711	10134	1997-12-22	VYDAJ	VYBER	28900	63328	\N	\N	\N
3056712	10134	1998-01-21	VYDAJ	VYBER	5000	41217	\N	\N	\N
3056713	10134	1998-02-20	PRIJEM	VKLAD	12200	23671	\N	\N	\N
3056714	10134	1998-03-22	VYDAJ	VYBER	12700	48954	\N	\N	\N
3056715	10134	1998-04-21	PRIJEM	VKLAD	8000	27505	\N	\N	\N
3056716	10134	1998-04-26	VYDAJ	VYBER	49200	62072	\N	\N	\N
3056717	10134	1998-05-21	VYDAJ	VYBER	10300	47067	\N	\N	\N
3056718	10134	1998-06-20	VYDAJ	VYBER	8000	44200	\N	\N	\N
3056719	10134	1998-07-13	VYDAJ	VYBER	40400	64506	\N	\N	\N
3056720	10134	1998-07-20	VYDAJ	VYBER	14200	50306	\N	\N	\N
3056721	10134	1998-08-19	PRIJEM	VKLAD	15100	25144	\N	\N	\N
3056722	10134	1998-09-18	PRIJEM	VKLAD	14700	21103	\N	\N	\N
3056723	10134	1998-10-18	VYDAJ	VYBER	14600	47888	\N	\N	\N
3056724	10134	1998-11-17	PRIJEM	VKLAD	200	18899	\N	\N	\N
3056725	10134	1998-12-17	VYDAJ	VYBER	24400	59999	\N	\N	\N
3061425	10148	1997-01-13	PRIJEM	VKLAD	700	700	\N	\N	\N
3061427	10148	1997-02-05	PRIJEM	VKLAD	13508	14208	\N	\N	\N
3061428	10148	1997-03-05	PRIJEM	VKLAD	13508	34970	\N	\N	\N
3061429	10148	1997-04-05	PRIJEM	VKLAD	13508	41884	\N	\N	\N
3061430	10148	1997-05-05	PRIJEM	VKLAD	13508	51133	\N	\N	\N
3061431	10148	1997-06-05	PRIJEM	VKLAD	20262	61159	\N	\N	\N
3061432	10148	1997-07-05	PRIJEM	VKLAD	13508	56876	\N	\N	\N
3061433	10148	1997-08-05	PRIJEM	VKLAD	13508	55486	\N	\N	\N
3061434	10148	1997-09-05	PRIJEM	VKLAD	13508	55693	\N	\N	\N
3061435	10148	1997-10-05	PRIJEM	VKLAD	13508	52694	\N	\N	\N
3061436	10148	1997-11-05	PRIJEM	VKLAD	13508	53504	\N	\N	\N
3061437	10148	1997-12-05	PRIJEM	VKLAD	20262	58368	\N	\N	\N
3061438	10148	1998-01-05	PRIJEM	VKLAD	13508	48783	\N	\N	\N
3061439	10148	1998-02-05	PRIJEM	VKLAD	13508	52976	\N	\N	\N
3061440	10148	1998-03-05	PRIJEM	VKLAD	13508	59649	\N	\N	\N
3061441	10148	1998-04-05	PRIJEM	VKLAD	13508	68457	\N	\N	\N
3061442	10148	1998-05-05	PRIJEM	VKLAD	13508	61264	\N	\N	\N
3061443	10148	1998-06-05	PRIJEM	VKLAD	20262	72922	\N	\N	\N
3061444	10148	1998-07-05	PRIJEM	VKLAD	13508	57831	\N	\N	\N
3061445	10148	1998-08-05	PRIJEM	VKLAD	13508	60610	\N	\N	\N
3061446	10148	1998-09-05	PRIJEM	VKLAD	13508	64504	\N	\N	\N
3061447	10148	1998-10-05	PRIJEM	VKLAD	13508	67914	\N	\N	\N
3061448	10148	1998-11-05	PRIJEM	VKLAD	13508	69635	\N	\N	\N
3061449	10148	1998-12-05	PRIJEM	VKLAD	20262	74219	\N	\N	\N
3061455	10148	1997-06-09	VYDAJ	PREVOD NA UCET	4205	55088	SIPO	UV	70086633
3061456	10148	1997-07-09	VYDAJ	PREVOD NA UCET	4205	49005	SIPO	UV	70086633
3061457	10148	1997-08-09	VYDAJ	PREVOD NA UCET	4205	47815	SIPO	UV	70086633
3061458	10148	1997-09-09	VYDAJ	PREVOD NA UCET	4205	47922	SIPO	UV	70086633
3061459	10148	1997-10-09	VYDAJ	PREVOD NA UCET	4205	46623	SIPO	UV	70086633
3061460	10148	1997-11-09	VYDAJ	PREVOD NA UCET	4205	47433	SIPO	UV	70086633
3061461	10148	1997-12-09	VYDAJ	PREVOD NA UCET	4205	47897	SIPO	UV	70086633
3061462	10148	1998-01-09	VYDAJ	PREVOD NA UCET	4205	41112	SIPO	UV	70086633
3061463	10148	1998-02-09	VYDAJ	PREVOD NA UCET	4205	47805	SIPO	UV	70086633
3061464	10148	1998-03-09	VYDAJ	PREVOD NA UCET	4205	56578	SIPO	UV	70086633
3061465	10148	1998-04-09	VYDAJ	PREVOD NA UCET	4205	53986	SIPO	UV	70086633
3061466	10148	1998-05-09	VYDAJ	PREVOD NA UCET	4205	54293	SIPO	UV	70086633
3061467	10148	1998-06-09	VYDAJ	PREVOD NA UCET	4205	58751	SIPO	UV	70086633
3061468	10148	1998-07-09	VYDAJ	PREVOD NA UCET	4205	48760	SIPO	UV	70086633
3061469	10148	1998-08-09	VYDAJ	PREVOD NA UCET	4205	52639	SIPO	UV	70086633
3061470	10148	1998-09-09	VYDAJ	PREVOD NA UCET	4205	56033	SIPO	UV	70086633
3061471	10148	1998-10-09	VYDAJ	PREVOD NA UCET	4205	58843	SIPO	UV	70086633
3061472	10148	1998-11-09	VYDAJ	PREVOD NA UCET	4205	61064	SIPO	UV	70086633
3061473	10148	1998-12-09	VYDAJ	PREVOD NA UCET	4205	68148	SIPO	UV	70086633
3061479	10148	1997-06-05	VYDAJ	PREVOD NA UCET	1866	59293	 	UV	85131781
3061480	10148	1997-07-05	VYDAJ	PREVOD NA UCET	1866	55010	 	UV	85131781
3061481	10148	1997-08-05	VYDAJ	PREVOD NA UCET	1866	53620	 	UV	85131781
3061482	10148	1997-09-05	VYDAJ	PREVOD NA UCET	1866	53827	 	UV	85131781
3061483	10148	1997-10-05	VYDAJ	PREVOD NA UCET	1866	50828	 	UV	85131781
3061484	10148	1997-11-05	VYDAJ	PREVOD NA UCET	1866	51638	 	UV	85131781
3061485	10148	1997-12-05	VYDAJ	PREVOD NA UCET	1866	56502	 	UV	85131781
3061486	10148	1998-01-05	VYDAJ	PREVOD NA UCET	1866	46917	 	UV	85131781
3061487	10148	1998-02-05	VYDAJ	PREVOD NA UCET	1866	51110	 	UV	85131781
3061488	10148	1998-03-05	VYDAJ	PREVOD NA UCET	1866	57783	 	UV	85131781
3061489	10148	1998-04-05	VYDAJ	PREVOD NA UCET	1866	66591	 	UV	85131781
3061490	10148	1998-05-05	VYDAJ	PREVOD NA UCET	1866	59398	 	UV	85131781
3061491	10148	1998-06-05	VYDAJ	PREVOD NA UCET	1866	68956	 	UV	85131781
3061492	10148	1998-07-05	VYDAJ	PREVOD NA UCET	1866	55965	 	UV	85131781
3061493	10148	1998-08-05	VYDAJ	PREVOD NA UCET	1866	58744	 	UV	85131781
3061494	10148	1998-09-05	VYDAJ	PREVOD NA UCET	1866	62638	 	UV	85131781
3061495	10148	1998-10-05	VYDAJ	PREVOD NA UCET	1866	63048	 	UV	85131781
3061496	10148	1998-11-05	VYDAJ	PREVOD NA UCET	1866	67769	 	UV	85131781
3061497	10148	1998-12-05	VYDAJ	PREVOD NA UCET	1866	72353	 	UV	85131781
3061503	10148	1997-06-19	VYDAJ	VYBER	1900	43188	\N	\N	0
3061504	10148	1997-07-07	VYDAJ	VYBER	1800	53210	\N	\N	0
3061505	10148	1997-08-09	VYDAJ	VYBER	1600	52020	\N	\N	0
3061506	10148	1997-09-06	VYDAJ	VYBER	1700	52127	\N	\N	0
3061507	10148	1997-10-03	VYDAJ	VYBER	2000	39186	\N	\N	0
3061508	10148	1997-11-11	VYDAJ	VYBER	2200	43833	\N	\N	0
3061509	10148	1997-12-15	VYDAJ	VYBER	2000	44397	\N	\N	0
3061510	10148	1998-01-10	VYDAJ	VYBER	1800	39312	\N	\N	0
3061511	10148	1998-02-12	VYDAJ	PREVOD NA UCET	1842	45963	UVER	ST	5157071
3061512	10148	1998-03-12	VYDAJ	PREVOD NA UCET	1842	54736	UVER	ST	5157071
3061513	10148	1998-04-12	VYDAJ	PREVOD NA UCET	1842	52144	UVER	ST	5157071
3061514	10148	1998-05-12	VYDAJ	PREVOD NA UCET	1842	52451	UVER	ST	5157071
3061515	10148	1998-06-12	VYDAJ	PREVOD NA UCET	1842	56909	UVER	ST	5157071
3061516	10148	1998-07-12	VYDAJ	PREVOD NA UCET	1842	46918	UVER	ST	5157071
3061517	10148	1998-08-12	VYDAJ	PREVOD NA UCET	1842	50797	UVER	ST	5157071
3061518	10148	1998-09-12	VYDAJ	PREVOD NA UCET	1842	54191	UVER	ST	5157071
3061519	10148	1998-10-12	VYDAJ	PREVOD NA UCET	1842	57001	UVER	ST	5157071
3061520	10148	1998-11-12	VYDAJ	PREVOD NA UCET	1842	59222	UVER	ST	5157071
3061521	10148	1998-12-12	VYDAJ	PREVOD NA UCET	1842	66306	UVER	ST	5157071
3061523	10148	1998-06-25	VYDAJ	VYBER	10900	44109	\N	\N	\N
3061525	10148	1998-01-01	VYDAJ	VYBER	9300	35275	\N	\N	\N
3061526	10148	1997-12-11	VYDAJ	VYBER	1500	46397	\N	\N	\N
3061527	10148	1998-12-20	VYDAJ	VYBER	1700	64606	\N	\N	\N
3061529	10148	1997-11-28	VYDAJ	VYBER	1200	42633	\N	\N	\N
3061530	10148	1997-10-16	VYDAJ	VYBER	3200	43423	\N	\N	\N
3061531	10148	1997-12-01	VYDAJ	VYBER	4700	38106	\N	\N	\N
3061532	10148	1997-07-25	VYDAJ	VYBER	1900	41805	\N	\N	\N
3061533	10148	1997-11-04	VYDAJ	VYBER	3600	39996	\N	\N	\N
3061534	10148	1998-06-05	VYDAJ	VYBER	2100	70822	\N	\N	\N
3061535	10148	1998-11-07	VYDAJ	VYBER	2500	65269	\N	\N	\N
3061536	10148	1998-06-21	VYDAJ	VYBER	1900	55009	\N	\N	\N
3061537	10148	1998-05-04	VYDAJ	VYBER	4600	47756	\N	\N	\N
3061544	10148	1997-06-30	VYDAJ	VYBER	15	43368	SLUZBY	\N	\N
3061545	10148	1997-07-31	VYDAJ	VYBER	15	41978	SLUZBY	\N	\N
3061546	10148	1997-08-31	VYDAJ	VYBER	15	42185	SLUZBY	\N	\N
3061547	10148	1997-09-30	VYDAJ	VYBER	15	41186	SLUZBY	\N	\N
3061548	10148	1997-10-31	VYDAJ	VYBER	15	43596	SLUZBY	\N	\N
3061549	10148	1997-11-30	VYDAJ	VYBER	15	42806	SLUZBY	\N	\N
3061550	10148	1997-12-31	VYDAJ	VYBER	15	44575	SLUZBY	\N	\N
3061551	10148	1998-01-31	VYDAJ	VYBER	15	39468	SLUZBY	\N	\N
3061552	10148	1998-02-28	VYDAJ	VYBER	15	46141	SLUZBY	\N	\N
3061553	10148	1998-03-31	VYDAJ	VYBER	15	54949	SLUZBY	\N	\N
3061554	10148	1998-04-30	VYDAJ	VYBER	15	52356	SLUZBY	\N	\N
3061555	10148	1998-05-31	VYDAJ	VYBER	15	52660	SLUZBY	\N	\N
3061556	10148	1998-06-30	VYDAJ	VYBER	15	44323	SLUZBY	\N	\N
3061557	10148	1998-07-31	VYDAJ	VYBER	15	47102	SLUZBY	\N	\N
3061558	10148	1998-08-31	VYDAJ	VYBER	15	50996	SLUZBY	\N	\N
3061559	10148	1998-09-30	VYDAJ	VYBER	15	54406	SLUZBY	\N	\N
3061560	10148	1998-10-31	VYDAJ	VYBER	15	57227	SLUZBY	\N	\N
3061561	10148	1998-11-30	VYDAJ	VYBER	15	59457	SLUZBY	\N	\N
3061562	10148	1997-02-12	PRIJEM	VKLAD	7200	21408	\N	\N	\N
3061563	10148	1997-03-14	VYDAJ	VYBER	6700	28270	\N	\N	\N
3061564	10148	1997-04-13	VYDAJ	VYBER	4400	37484	\N	\N	\N
3061565	10148	1997-05-13	VYDAJ	VYBER	10400	40733	\N	\N	\N
3061566	10148	1997-06-12	VYDAJ	VYBER	10000	45088	\N	\N	\N
3061567	10148	1997-07-12	VYDAJ	VYBER	5300	43705	\N	\N	\N
3061568	10148	1997-08-11	VYDAJ	VYBER	5800	42015	\N	\N	\N
3061569	10148	1997-09-10	VYDAJ	VYBER	6900	41022	\N	\N	\N
3061570	10148	1997-11-09	VYDAJ	VYBER	1400	46033	\N	\N	\N
3061571	10148	1997-12-09	VYDAJ	VYBER	4400	52102	\N	\N	\N
3061572	10148	1998-01-08	VYDAJ	VYBER	1600	45317	\N	\N	\N
3061573	10148	1998-02-07	PRIJEM	VKLAD	900	52010	\N	\N	\N
3061574	10148	1998-03-09	PRIJEM	VKLAD	3000	60783	\N	\N	\N
3061575	10148	1998-04-08	VYDAJ	VYBER	8400	58191	\N	\N	\N
3061576	10148	1998-05-08	VYDAJ	VYBER	900	58498	\N	\N	\N
3061577	10148	1998-06-07	VYDAJ	VYBER	6000	62956	\N	\N	\N
3061578	10148	1998-07-07	VYDAJ	VYBER	3000	52965	\N	\N	\N
3061579	10148	1998-08-06	VYDAJ	VYBER	1900	56844	\N	\N	\N
3061580	10148	1998-09-05	VYDAJ	VYBER	2400	60238	\N	\N	\N
3061581	10148	1998-10-05	VYDAJ	VYBER	3000	64914	\N	\N	\N
3061582	10148	1998-11-04	VYDAJ	VYBER	1100	56127	\N	\N	\N
3061583	10148	1998-12-04	VYDAJ	VYBER	5500	53957	\N	\N	\N
3062425	10152	1997-09-28	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3062426	10152	1997-12-27	PRIJEM	VKLAD	34140	102106	\N	\N	\N
3062429	10152	1997-10-01	PRIJEM	VKLAD	42590	43690	\N	\N	\N
3062430	10152	1997-10-26	PRIJEM	VKLAD	26422	95416	\N	\N	\N
3062432	10152	1997-10-15	PRIJEM	VKLAD	10094	68994	\N	\N	\N
3062439	10152	1997-11-02	PRIJEM	VKLAD	7426	65578	\N	\N	\N
3062440	10152	1997-10-07	PRIJEM	VKLAD	15210	58900	\N	\N	\N
3062441	10152	1997-12-30	PRIJEM	VKLAD	15621	85127	\N	\N	\N
3062444	10152	1997-11-12	PRIJEM	VKLAD	25822	91400	\N	\N	\N
3062445	10152	1997-12-03	PRIJEM	VKLAD	5706	67920	\N	\N	\N
3062450	10152	1997-12-11	PRIJEM	VKLAD	21646	89566	\N	\N	\N
3062452	10152	1998-08-12	PRIJEM	VKLAD	16529	36605	\N	\N	\N
3062453	10152	1998-01-01	PRIJEM	VKLAD	42363	127988	\N	\N	\N
3062454	10152	1998-11-04	PRIJEM	VKLAD	48301	66238	\N	\N	\N
3062455	10152	1998-02-18	PRIJEM	VKLAD	20100	53328	\N	\N	\N
3062458	10152	1998-11-01	VYBER	VYBER	23989	17937	\N	\N	\N
3062459	10152	1998-03-04	VYBER	VYBER	20916	23180	\N	\N	\N
3062460	10152	1998-05-28	VYBER	VYBER	16578	15643	\N	\N	\N
3062461	10152	1998-11-13	VYBER	VYBER	14924	47414	\N	\N	\N
3062462	10152	1998-12-04	VYBER	VYBER	2960	46154	\N	\N	\N
3062463	10152	1998-10-03	VYBER	VYBER	2109	37120	\N	\N	\N
3062465	10152	1998-07-19	VYBER	VYBER	23510	-584	\N	\N	\N
3062466	10152	1998-11-16	VYBER	VYBER	4696	42718	\N	\N	\N
3062470	10152	1998-01-13	VYDAJ	VYBER	5700	53888	\N	\N	\N
3062471	10152	1997-12-18	VYDAJ	VYBER	1500	67966	\N	\N	\N
3062472	10152	1998-12-28	VYDAJ	VYBER	5400	46454	\N	\N	\N
3062479	10152	1998-01-29	VYDAJ	VYBER	6300	32788	\N	\N	\N
3062480	10152	1998-01-02	VYDAJ	VYBER	6300	59588	\N	\N	\N
3062481	10152	1998-01-22	VYDAJ	VYBER	1500	52388	\N	\N	\N
3062482	10152	1998-01-01	VYDAJ	VYBER	2100	84588	\N	\N	\N
3062483	10152	1998-01-27	VYDAJ	VYBER	5700	39088	\N	\N	\N
3062484	10152	1998-01-02	VYDAJ	VYBER	3000	65888	\N	\N	\N
3062486	10152	1997-12-16	VYDAJ	VYBER	7800	69466	\N	\N	\N
3062488	10152	1997-12-14	VYDAJ	VYBER	12300	77266	\N	\N	\N
3062491	10152	1998-11-12	VYDAJ	VYBER	3900	62338	\N	\N	\N
3062492	10152	1998-04-16	VYDAJ	VYBER	13500	17499	\N	\N	\N
3062493	10152	1998-09-30	VYDAJ	VYBER	1500	39229	\N	\N	\N
3062494	10152	1998-12-18	VYDAJ	VYBER	3900	42254	\N	\N	\N
3062495	10152	1998-03-10	VYDAJ	VYBER	1800	21380	\N	\N	\N
3062507	10152	1997-11-30	VYDAJ	VYBER	15	62214	SLUZBY	\N	\N
3062508	10152	1997-12-31	VYDAJ	VYBER	15	85625	SLUZBY	\N	\N
3062509	10152	1998-01-31	VYDAJ	VYBER	15	33228	SLUZBY	\N	\N
3062510	10152	1998-02-28	VYDAJ	VYBER	15	44096	SLUZBY	\N	\N
3062511	10152	1998-03-31	VYDAJ	VYBER	15	30999	SLUZBY	\N	\N
3062512	10152	1998-04-30	VYDAJ	VYBER	15	25121	SLUZBY	\N	\N
3062513	10152	1998-05-31	VYDAJ	VYBER	15	15818	SLUZBY	\N	\N
3062514	10152	1998-06-30	VYDAJ	VYBER	15	22926	SLUZBY	\N	\N
3062515	10152	1998-07-31	VYDAJ	VYBER	15	20076	SLUZBY	\N	\N
3062516	10152	1998-08-31	VYDAJ	VYBER	15	39281	SLUZBY	\N	\N
3062517	10152	1998-09-30	VYDAJ	VYBER	15	40729	SLUZBY	\N	\N
3062518	10152	1998-10-31	VYDAJ	VYBER	15	41926	SLUZBY	\N	\N
3062519	10152	1998-11-30	VYDAJ	VYBER	15	49114	SLUZBY	\N	\N
3062520	10152	1997-10-28	VYDAJ	VYBER	37700	57716	\N	\N	\N
3062521	10152	1997-11-27	VYDAJ	VYBER	29700	61700	\N	\N	\N
3062522	10152	1997-12-27	VYDAJ	VYBER	32600	69506	\N	\N	\N
3062523	10152	1998-01-01	VYDAJ	VYBER	15700	68888	\N	\N	\N
3062524	10152	1998-01-01	VYDAJ	VYBER	41300	86688	\N	\N	\N
3062525	10152	1998-01-26	VYDAJ	VYBER	7600	44788	\N	\N	\N
3062526	10152	1998-02-25	VYDAJ	VYBER	9500	43828	\N	\N	\N
3062527	10152	1998-03-27	PRIJEM	VKLAD	9400	30780	\N	\N	\N
3062528	10152	1998-04-26	PRIJEM	VKLAD	7500	24999	\N	\N	\N
3062529	10152	1998-05-26	PRIJEM	VKLAD	7100	32221	\N	\N	\N
3062530	10152	1998-06-25	PRIJEM	VKLAD	7000	22818	\N	\N	\N
3062531	10152	1998-07-25	PRIJEM	VKLAD	20500	19916	\N	\N	\N
3062532	10152	1998-08-24	PRIJEM	VKLAD	2500	39105	\N	\N	\N
3062533	10152	1998-09-23	PRIJEM	VKLAD	1300	40581	\N	\N	\N
3062534	10152	1998-10-23	PRIJEM	VKLAD	4500	41620	\N	\N	\N
3062535	10152	1998-11-22	PRIJEM	VKLAD	6000	48718	\N	\N	\N
3062536	10152	1998-12-22	PRIJEM	VKLAD	9600	51854	\N	\N	\N
3077777	10202	1996-07-08	PRIJEM	VKLAD	300	300	\N	\N	\N
3077778	10202	1996-07-11	PRIJEM	VKLAD	14202	14502	\N	\N	\N
3077781	10202	1996-08-07	PRIJEM	VKLAD	42530	57073	\N	\N	\N
3077782	10202	1996-08-12	PRIJEM	VKLAD	47968	88841	\N	\N	\N
3077783	10202	1996-12-02	PRIJEM	VKLAD	23089	67923	\N	\N	\N
3077784	10202	1996-09-20	PRIJEM	VKLAD	12324	86868	\N	\N	\N
3077785	10202	1996-10-14	PRIJEM	VKLAD	11249	100475	\N	\N	\N
3077786	10202	1996-08-21	PRIJEM	VKLAD	31387	120228	\N	\N	\N
3077791	10202	1996-10-15	PRIJEM	VKLAD	13593	92181	\N	\N	\N
3077792	10202	1996-10-10	PRIJEM	VKLAD	43312	94106	\N	\N	\N
3077799	10202	1996-09-17	PRIJEM	VKLAD	30455	93515	\N	\N	\N
3077800	10202	1996-12-12	PRIJEM	VKLAD	47157	76068	\N	\N	\N
3077801	10202	1996-09-15	PRIJEM	VKLAD	41562	84414	\N	\N	\N
3077802	10202	1996-10-25	PRIJEM	VKLAD	5549	97730	\N	\N	\N
3077803	10202	1997-06-20	PRIJEM	VKLAD	48174	57854	\N	\N	\N
3077804	10202	1997-11-03	PRIJEM	VKLAD	7943	32313	\N	\N	\N
3077805	10202	1997-07-31	PRIJEM	VKLAD	49252	79946	\N	\N	\N
3077806	10202	1997-12-07	PRIJEM	VKLAD	23993	47880	\N	\N	\N
3077807	10202	1997-02-10	PRIJEM	VKLAD	25851	41336	\N	\N	\N
3077808	10202	1998-01-31	PRIJEM	VKLAD	46225	72151	\N	\N	\N
3077809	10202	1998-08-10	PRIJEM	VKLAD	41628	75851	\N	\N	\N
3077810	10202	1998-08-11	PRIJEM	VKLAD	14678	85649	\N	\N	\N
3077811	10202	1998-09-26	PRIJEM	VKLAD	14453	57338	\N	\N	\N
3077812	10202	1998-03-20	PRIJEM	VKLAD	10854	46231	\N	\N	\N
3077822	10202	1996-10-09	VYDAJ	VYBER	6100	50794	\N	\N	0
3077823	10202	1996-11-21	VYDAJ	VYBER	7000	44618	\N	\N	0
3077824	10202	1996-12-03	VYDAJ	VYBER	5000	62923	\N	\N	0
3077825	10202	1997-01-17	VYDAJ	VYBER	4800	21949	\N	\N	0
3077826	10202	1997-02-02	VYDAJ	VYBER	7000	15066	\N	\N	0
3077827	10202	1997-03-19	VYDAJ	VYBER	5300	20907	\N	\N	0
3077828	10202	1997-04-12	VYDAJ	VYBER	6800	9041	\N	\N	0
3077829	10202	1997-05-04	VYDAJ	VYBER	5900	13780	\N	\N	0
3077830	10202	1997-06-12	VYDAJ	VYBER	5300	9680	\N	\N	0
3077831	10202	1997-07-12	VYDAJ	PREVOD NA UCET	6363	30537	UVER	AB	31367302
3077832	10202	1997-08-12	VYDAJ	PREVOD NA UCET	6363	40807	UVER	AB	31367302
3077833	10202	1997-09-12	VYDAJ	PREVOD NA UCET	6363	16168	UVER	AB	31367302
3077834	10202	1997-10-12	VYDAJ	PREVOD NA UCET	6363	14314	UVER	AB	31367302
3077835	10202	1997-11-12	VYDAJ	PREVOD NA UCET	6363	19788	UVER	AB	31367302
3077836	10202	1997-12-12	VYDAJ	PREVOD NA UCET	6363	36637	UVER	AB	31367302
3077837	10202	1998-01-12	VYDAJ	PREVOD NA UCET	6363	12245	UVER	AB	31367302
3077838	10202	1998-02-12	VYDAJ	PREVOD NA UCET	6363	59612	UVER	AB	31367302
3077839	10202	1998-03-12	VYDAJ	PREVOD NA UCET	6363	35377	UVER	AB	31367302
3077840	10202	1998-04-12	VYDAJ	PREVOD NA UCET	6363	35381	UVER	AB	31367302
3077841	10202	1998-05-12	VYDAJ	PREVOD NA UCET	6363	30099	UVER	AB	31367302
3077842	10202	1998-06-12	VYDAJ	PREVOD NA UCET	6363	26004	UVER	AB	31367302
3077843	10202	1998-07-12	VYDAJ	PREVOD NA UCET	6363	24994	UVER	AB	31367302
3077844	10202	1998-08-12	VYDAJ	PREVOD NA UCET	6363	68786	UVER	AB	31367302
3077845	10202	1998-09-12	VYDAJ	PREVOD NA UCET	6363	42885	UVER	AB	31367302
3077846	10202	1998-10-12	VYDAJ	PREVOD NA UCET	6363	41302	UVER	AB	31367302
3077847	10202	1998-11-12	VYDAJ	PREVOD NA UCET	6363	21939	UVER	AB	31367302
3077848	10202	1998-12-12	VYDAJ	PREVOD NA UCET	6363	25304	UVER	AB	31367302
3077858	10202	1996-10-05	VYDAJ	PREVOD NA UCET	1281	85994	SIPO	QR	56383961
3077859	10202	1996-11-05	VYDAJ	PREVOD NA UCET	1281	56498	SIPO	QR	56383961
3077860	10202	1996-12-05	VYDAJ	PREVOD NA UCET	1281	61642	SIPO	QR	56383961
3077861	10202	1997-01-05	VYDAJ	PREVOD NA UCET	1281	38829	SIPO	QR	56383961
3077862	10202	1997-02-05	VYDAJ	PREVOD NA UCET	1281	15485	SIPO	QR	56383961
3077863	10202	1997-03-05	VYDAJ	PREVOD NA UCET	1281	31087	SIPO	QR	56383961
3077864	10202	1997-04-05	VYDAJ	PREVOD NA UCET	1281	20721	SIPO	QR	56383961
3077865	10202	1997-05-05	VYDAJ	PREVOD NA UCET	1281	12499	SIPO	QR	56383961
3077866	10202	1997-06-05	VYDAJ	PREVOD NA UCET	1281	19860	SIPO	QR	56383961
3077867	10202	1997-07-05	VYDAJ	PREVOD NA UCET	1281	41780	SIPO	QR	56383961
3077868	10202	1997-08-05	VYDAJ	PREVOD NA UCET	1281	52050	SIPO	QR	56383961
3077869	10202	1997-09-05	VYDAJ	PREVOD NA UCET	1281	27411	SIPO	QR	56383961
3077870	10202	1997-10-05	VYDAJ	PREVOD NA UCET	1281	25557	SIPO	QR	56383961
3077871	10202	1997-11-05	VYDAJ	PREVOD NA UCET	1281	31032	SIPO	QR	56383961
3077872	10202	1997-12-05	VYDAJ	PREVOD NA UCET	1281	23887	SIPO	QR	56383961
3077873	10202	1998-01-05	VYDAJ	PREVOD NA UCET	1281	23488	SIPO	QR	56383961
3077874	10202	1998-02-05	VYDAJ	PREVOD NA UCET	1281	70856	SIPO	QR	56383961
3077875	10202	1998-03-05	VYDAJ	PREVOD NA UCET	1281	46621	SIPO	QR	56383961
3077876	10202	1998-04-05	VYDAJ	PREVOD NA UCET	1281	46625	SIPO	QR	56383961
3077877	10202	1998-05-05	VYDAJ	PREVOD NA UCET	1281	41343	SIPO	QR	56383961
3077878	10202	1998-06-05	VYDAJ	PREVOD NA UCET	1281	37248	SIPO	QR	56383961
3077879	10202	1998-07-05	VYDAJ	PREVOD NA UCET	1281	36237	SIPO	QR	56383961
3077880	10202	1998-08-05	VYDAJ	PREVOD NA UCET	1281	34223	SIPO	QR	56383961
3077881	10202	1998-09-05	VYDAJ	PREVOD NA UCET	1281	54128	SIPO	QR	56383961
3077882	10202	1998-10-05	VYDAJ	PREVOD NA UCET	1281	52546	SIPO	QR	56383961
3077883	10202	1998-11-05	VYDAJ	PREVOD NA UCET	1281	33183	SIPO	QR	56383961
3077884	10202	1998-12-05	VYDAJ	PREVOD NA UCET	1281	36548	SIPO	QR	56383961
3077894	10202	1996-10-10	VYDAJ	PREVOD NA UCET	4880	89226	 	CD	86462396
3077895	10202	1996-11-10	VYDAJ	PREVOD NA UCET	4880	51618	 	CD	86462396
3077896	10202	1996-12-10	VYDAJ	PREVOD NA UCET	4880	36362	 	CD	86462396
3077897	10202	1997-01-10	VYDAJ	PREVOD NA UCET	4880	28249	 	CD	86462396
3077898	10202	1997-02-10	VYDAJ	PREVOD NA UCET	4880	36456	 	CD	86462396
3077899	10202	1997-03-10	VYDAJ	PREVOD NA UCET	4880	26207	 	CD	86462396
3077900	10202	1997-04-10	VYDAJ	PREVOD NA UCET	4880	15841	 	CD	86462396
3077901	10202	1997-05-10	VYDAJ	PREVOD NA UCET	4880	7619	 	CD	86462396
3077902	10202	1997-06-10	VYDAJ	PREVOD NA UCET	4880	14980	 	CD	86462396
3077903	10202	1997-07-10	VYDAJ	PREVOD NA UCET	4880	36900	 	CD	86462396
3077904	10202	1997-08-10	VYDAJ	PREVOD NA UCET	4880	47170	 	CD	86462396
3077905	10202	1997-09-10	VYDAJ	PREVOD NA UCET	4880	22531	 	CD	86462396
3077906	10202	1997-10-10	VYDAJ	PREVOD NA UCET	4880	20677	 	CD	86462396
3077907	10202	1997-11-10	VYDAJ	PREVOD NA UCET	4880	26152	 	CD	86462396
3077908	10202	1997-12-10	VYDAJ	PREVOD NA UCET	4880	43000	 	CD	86462396
3077909	10202	1998-01-10	VYDAJ	PREVOD NA UCET	4880	18608	 	CD	86462396
3077910	10202	1998-02-10	VYDAJ	PREVOD NA UCET	4880	65976	 	CD	86462396
3077911	10202	1998-03-10	VYDAJ	PREVOD NA UCET	4880	41741	 	CD	86462396
3077912	10202	1998-04-10	VYDAJ	PREVOD NA UCET	4880	41745	 	CD	86462396
3077913	10202	1998-05-10	VYDAJ	PREVOD NA UCET	4880	36463	 	CD	86462396
3077914	10202	1998-06-10	VYDAJ	PREVOD NA UCET	4880	32368	 	CD	86462396
3077915	10202	1998-07-10	VYDAJ	PREVOD NA UCET	4880	31357	 	CD	86462396
3077916	10202	1998-08-10	VYDAJ	PREVOD NA UCET	4880	70971	 	CD	86462396
3077917	10202	1998-09-10	VYDAJ	PREVOD NA UCET	4880	49248	 	CD	86462396
3077918	10202	1998-10-10	VYDAJ	PREVOD NA UCET	4880	47666	 	CD	86462396
3077919	10202	1998-11-10	VYDAJ	PREVOD NA UCET	4880	28303	 	CD	86462396
3077920	10202	1998-12-10	VYDAJ	PREVOD NA UCET	4880	31668	 	CD	86462396
3077921	10202	1996-09-17	VYBER	VYBER	18971	74544	\N	\N	\N
3077923	10202	1996-10-14	VYBER	VYBER	21887	78588	\N	\N	\N
3077926	10202	1996-09-15	VYBER	VYBER	21354	63060	\N	\N	\N
3077927	10202	1996-12-11	VYBER	VYBER	7451	28911	\N	\N	\N
3077942	10202	1998-02-25	VYBER	VYBER	5059	54553	\N	\N	\N
3077944	10202	1998-11-26	VYBER	VYBER	2016	37723	\N	\N	\N
3077952	10202	1996-12-19	VYDAJ	VYBER	7500	68568	\N	\N	\N
3077953	10202	1997-12-29	VYDAJ	VYBER	6000	30637	\N	\N	\N
3077954	10202	1998-12-30	VYDAJ	VYBER	8700	33604	\N	\N	\N
3077964	10202	1997-01-08	VYDAJ	VYBER	5700	33129	\N	\N	\N
3077965	10202	1997-01-15	VYDAJ	VYBER	1500	26749	\N	\N	\N
3077966	10202	1997-01-05	VYDAJ	VYBER	8700	40110	\N	\N	\N
3077967	10202	1998-01-02	VYDAJ	VYBER	3300	30469	\N	\N	\N
3077970	10202	1998-01-04	VYDAJ	VYBER	5700	24769	\N	\N	\N
3077973	10202	1996-10-30	VYDAJ	VYBER	7800	89930	\N	\N	\N
3077979	10202	1997-09-02	VYDAJ	VYBER	6300	28692	\N	\N	\N
3077985	10202	1998-08-11	VYDAJ	VYBER	10500	75149	\N	\N	\N
3077986	10202	1998-10-23	VYDAJ	VYBER	14700	26602	\N	\N	\N
3077987	10202	1998-10-29	VYDAJ	VYBER	2700	34302	\N	\N	\N
3077989	10202	1998-04-13	VYDAJ	VYBER	3900	31481	\N	\N	\N
3078001	10202	1996-09-30	VYDAJ	VYBER	15	87275	SLUZBY	\N	\N
3078002	10202	1996-10-31	VYDAJ	VYBER	15	90279	SLUZBY	\N	\N
3078003	10202	1996-11-30	VYDAJ	VYBER	15	44834	SLUZBY	\N	\N
3078004	10202	1996-12-31	VYDAJ	VYBER	15	68810	SLUZBY	\N	\N
3078005	10202	1997-01-31	VYDAJ	VYBER	15	22066	SLUZBY	\N	\N
3078006	10202	1997-02-28	VYDAJ	VYBER	15	36568	SLUZBY	\N	\N
3078007	10202	1997-03-31	VYDAJ	VYBER	15	21002	SLUZBY	\N	\N
3078008	10202	1997-04-30	VYDAJ	VYBER	15	9080	SLUZBY	\N	\N
3078009	10202	1997-05-31	VYDAJ	VYBER	15	7641	SLUZBY	\N	\N
3078010	10202	1997-06-30	VYDAJ	VYBER	15	57961	SLUZBY	\N	\N
3078011	10202	1997-07-31	VYDAJ	VYBER	15	79931	SLUZBY	\N	\N
3078012	10202	1997-08-31	VYDAJ	VYBER	15	40992	SLUZBY	\N	\N
3078013	10202	1997-09-30	VYDAJ	VYBER	15	16238	SLUZBY	\N	\N
3078014	10202	1997-10-31	VYDAJ	VYBER	15	24370	SLUZBY	\N	\N
3078015	10202	1997-11-30	VYDAJ	VYBER	15	25168	SLUZBY	\N	\N
3078016	10202	1997-12-31	VYDAJ	VYBER	15	33769	SLUZBY	\N	\N
3078017	10202	1998-01-31	VYDAJ	VYBER	15	72137	SLUZBY	\N	\N
3078018	10202	1998-02-28	VYDAJ	VYBER	15	54802	SLUZBY	\N	\N
3078019	10202	1998-03-31	VYDAJ	VYBER	15	47906	SLUZBY	\N	\N
3078020	10202	1998-04-30	VYDAJ	VYBER	15	42624	SLUZBY	\N	\N
3078021	10202	1998-05-31	VYDAJ	VYBER	15	38529	SLUZBY	\N	\N
3078022	10202	1998-06-30	VYDAJ	VYBER	15	37518	SLUZBY	\N	\N
3078023	10202	1998-07-31	VYDAJ	VYBER	15	35504	SLUZBY	\N	\N
3078024	10202	1998-08-31	VYDAJ	VYBER	15	55409	SLUZBY	\N	\N
3078025	10202	1998-09-30	VYDAJ	VYBER	15	53827	SLUZBY	\N	\N
3078026	10202	1998-10-31	VYDAJ	VYBER	15	34464	SLUZBY	\N	\N
3078027	10202	1998-11-30	VYDAJ	VYBER	15	37829	SLUZBY	\N	\N
3078028	10202	1996-08-07	VYDAJ	VYBER	16200	40873	\N	\N	\N
3078029	10202	1996-08-21	VYDAJ	VYBER	58900	61328	\N	\N	\N
3078030	10202	1996-09-06	VYDAJ	VYBER	18800	42852	\N	\N	\N
3078031	10202	1996-10-06	VYDAJ	VYBER	29100	56894	\N	\N	\N
3078032	10202	1996-11-05	VYDAJ	VYBER	32500	57779	\N	\N	\N
3078033	10202	1996-12-05	VYDAJ	VYBER	20400	41242	\N	\N	\N
3078034	10202	1997-01-04	VYDAJ	VYBER	20000	48810	\N	\N	\N
3078035	10202	1997-02-03	PRIJEM	VKLAD	1700	16766	\N	\N	\N
3078036	10202	1997-03-05	VYDAJ	VYBER	4200	32368	\N	\N	\N
3078037	10202	1997-04-04	PRIJEM	VKLAD	1000	22002	\N	\N	\N
3078038	10202	1997-05-04	PRIJEM	VKLAD	10600	19680	\N	\N	\N
3078039	10202	1997-06-03	PRIJEM	VKLAD	13500	21141	\N	\N	\N
3078040	10202	1997-07-03	VYDAJ	VYBER	14900	43061	\N	\N	\N
3078041	10202	1997-08-02	VYDAJ	VYBER	26600	53331	\N	\N	\N
3078042	10202	1997-09-01	VYDAJ	VYBER	6000	34992	\N	\N	\N
3078043	10202	1997-10-01	PRIJEM	VKLAD	10600	26838	\N	\N	\N
3078044	10202	1997-10-31	PRIJEM	VKLAD	10000	24384	\N	\N	\N
3078045	10202	1997-11-30	PRIJEM	VKLAD	5300	25183	\N	\N	\N
3078046	10202	1997-12-30	PRIJEM	VKLAD	3000	33637	\N	\N	\N
3078047	10202	1998-01-29	PRIJEM	VKLAD	13600	25845	\N	\N	\N
3078048	10202	1998-02-28	VYDAJ	VYBER	6900	47902	\N	\N	\N
3078049	10202	1998-03-30	PRIJEM	VKLAD	1500	47731	\N	\N	\N
3078050	10202	1998-04-29	PRIJEM	VKLAD	11000	42481	\N	\N	\N
3078051	10202	1998-05-29	PRIJEM	VKLAD	8300	38399	\N	\N	\N
3078052	10202	1998-06-28	PRIJEM	VKLAD	11400	37404	\N	\N	\N
3078053	10202	1998-07-28	PRIJEM	VKLAD	10400	35394	\N	\N	\N
3078054	10202	1998-08-27	VYDAJ	VYBER	13600	55186	\N	\N	\N
3078055	10202	1998-09-26	VYDAJ	VYBER	3700	53638	\N	\N	\N
3078056	10202	1998-10-26	PRIJEM	VKLAD	10400	37002	\N	\N	\N
3078057	10202	1998-11-25	PRIJEM	VKLAD	17800	39739	\N	\N	\N
3078058	10202	1998-12-25	PRIJEM	VKLAD	17000	42304	\N	\N	\N
3080896	10215	1996-04-12	PRIJEM	VKLAD	300	300	\N	\N	\N
3080901	10215	1996-05-11	PRIJEM	VKLAD	14311	14611	\N	\N	\N
3080902	10215	1996-06-11	PRIJEM	VKLAD	21466	43737	\N	\N	\N
3080903	10215	1996-07-11	PRIJEM	VKLAD	14311	47470	\N	\N	\N
3080904	10215	1996-08-11	PRIJEM	VKLAD	14311	44327	\N	\N	\N
3080905	10215	1996-09-11	PRIJEM	VKLAD	14311	48711	\N	\N	\N
3080906	10215	1996-10-11	PRIJEM	VKLAD	14311	51118	\N	\N	\N
3080907	10215	1996-11-11	PRIJEM	VKLAD	14311	49127	\N	\N	\N
3080908	10215	1996-12-11	PRIJEM	VKLAD	21466	58281	\N	\N	\N
3080909	10215	1997-01-11	PRIJEM	VKLAD	14311	56402	\N	\N	\N
3080910	10215	1997-02-11	PRIJEM	VKLAD	14311	50720	\N	\N	\N
3080911	10215	1997-03-11	PRIJEM	VKLAD	14311	55929	\N	\N	\N
3080912	10215	1997-04-11	PRIJEM	VKLAD	14311	59508	\N	\N	\N
3080913	10215	1997-05-11	PRIJEM	VKLAD	14311	59004	\N	\N	\N
3080914	10215	1997-06-11	PRIJEM	VKLAD	21466	70057	\N	\N	\N
3080915	10215	1997-07-11	PRIJEM	VKLAD	14311	67886	\N	\N	\N
3080916	10215	1997-08-11	PRIJEM	VKLAD	14311	65323	\N	\N	\N
3080917	10215	1997-09-11	PRIJEM	VKLAD	14311	61641	\N	\N	\N
3080918	10215	1997-10-11	PRIJEM	VKLAD	14311	63742	\N	\N	\N
3080919	10215	1997-11-11	PRIJEM	VKLAD	14311	66657	\N	\N	\N
3080920	10215	1997-12-11	PRIJEM	VKLAD	21466	70338	\N	\N	\N
3080921	10215	1998-01-11	PRIJEM	VKLAD	14311	59173	\N	\N	\N
3080922	10215	1998-02-11	PRIJEM	VKLAD	14311	64065	\N	\N	\N
3080923	10215	1998-03-11	PRIJEM	VKLAD	14311	69769	\N	\N	\N
3080924	10215	1998-04-11	PRIJEM	VKLAD	14311	73303	\N	\N	\N
3080925	10215	1998-05-11	PRIJEM	VKLAD	14311	72856	\N	\N	\N
3080926	10215	1998-06-11	PRIJEM	VKLAD	21466	81467	\N	\N	\N
3080927	10215	1998-07-11	PRIJEM	VKLAD	14311	70531	\N	\N	\N
3080928	10215	1998-08-11	PRIJEM	VKLAD	14311	73080	\N	\N	\N
3080929	10215	1998-09-11	PRIJEM	VKLAD	14311	76026	\N	\N	\N
3080930	10215	1998-10-11	PRIJEM	VKLAD	14311	78079	\N	\N	\N
3080931	10215	1998-11-11	PRIJEM	VKLAD	14311	82340	\N	\N	\N
3080932	10215	1998-12-11	PRIJEM	VKLAD	21466	87973	\N	\N	\N
3080941	10215	1996-09-12	VYDAJ	PREVOD NA UCET	152	48559	SIPO	UV	65958177
3080942	10215	1996-10-12	VYDAJ	PREVOD NA UCET	152	50966	SIPO	UV	65958177
3080943	10215	1996-11-12	VYDAJ	PREVOD NA UCET	152	48975	SIPO	UV	65958177
3080944	10215	1996-12-12	VYDAJ	PREVOD NA UCET	152	58129	SIPO	UV	65958177
3080945	10215	1997-01-12	VYDAJ	PREVOD NA UCET	152	56250	SIPO	UV	65958177
3080946	10215	1997-02-12	VYDAJ	PREVOD NA UCET	152	50568	SIPO	UV	65958177
3080947	10215	1997-03-12	VYDAJ	PREVOD NA UCET	152	53931	SIPO	UV	65958177
3080948	10215	1997-04-12	VYDAJ	PREVOD NA UCET	152	59356	SIPO	UV	65958177
3080949	10215	1997-05-12	VYDAJ	PREVOD NA UCET	152	58852	SIPO	UV	65958177
3080950	10215	1997-06-12	VYDAJ	PREVOD NA UCET	152	69905	SIPO	UV	65958177
3080951	10215	1997-07-12	VYDAJ	PREVOD NA UCET	152	67734	SIPO	UV	65958177
3080952	10215	1997-08-12	VYDAJ	PREVOD NA UCET	152	63325	SIPO	UV	65958177
3080953	10215	1997-09-12	VYDAJ	PREVOD NA UCET	152	59643	SIPO	UV	65958177
3080954	10215	1997-10-12	VYDAJ	PREVOD NA UCET	152	61744	SIPO	UV	65958177
3080955	10215	1997-11-12	VYDAJ	PREVOD NA UCET	152	64659	SIPO	UV	65958177
3080956	10215	1997-12-12	VYDAJ	PREVOD NA UCET	152	70186	SIPO	UV	65958177
3080957	10215	1998-01-12	VYDAJ	PREVOD NA UCET	152	55575	SIPO	UV	65958177
3080958	10215	1998-02-12	VYDAJ	PREVOD NA UCET	152	63913	SIPO	UV	65958177
3080959	10215	1998-03-12	VYDAJ	PREVOD NA UCET	152	67771	SIPO	UV	65958177
3080960	10215	1998-04-12	VYDAJ	PREVOD NA UCET	152	73151	SIPO	UV	65958177
3080961	10215	1998-05-12	VYDAJ	PREVOD NA UCET	152	72704	SIPO	UV	65958177
3080962	10215	1998-06-12	VYDAJ	PREVOD NA UCET	152	79469	SIPO	UV	65958177
3080963	10215	1998-07-12	VYDAJ	PREVOD NA UCET	152	68533	SIPO	UV	65958177
3080964	10215	1998-08-12	VYDAJ	PREVOD NA UCET	152	72928	SIPO	UV	65958177
3080965	10215	1998-09-12	VYDAJ	PREVOD NA UCET	152	75874	SIPO	UV	65958177
3080966	10215	1998-10-12	VYDAJ	PREVOD NA UCET	152	77927	SIPO	UV	65958177
3080967	10215	1998-11-12	VYDAJ	PREVOD NA UCET	152	82188	SIPO	UV	65958177
3080968	10215	1998-12-12	VYDAJ	PREVOD NA UCET	152	87821	SIPO	UV	65958177
3080977	10215	1996-09-13	VYDAJ	PREVOD NA UCET	4122	44437	 	GH	18670410
3080978	10215	1996-10-13	VYDAJ	PREVOD NA UCET	4122	46844	 	GH	18670410
3080979	10215	1996-11-13	VYDAJ	PREVOD NA UCET	4122	44853	 	GH	18670410
3080980	10215	1996-12-13	VYDAJ	PREVOD NA UCET	4122	54007	 	GH	18670410
3080981	10215	1997-01-13	VYDAJ	PREVOD NA UCET	4122	52128	 	GH	18670410
3080982	10215	1997-02-13	VYDAJ	PREVOD NA UCET	4122	46446	 	GH	18670410
3080983	10215	1997-03-13	VYDAJ	PREVOD NA UCET	4122	49809	 	GH	18670410
3080984	10215	1997-04-13	VYDAJ	PREVOD NA UCET	4122	53388	 	GH	18670410
3080985	10215	1997-05-13	VYDAJ	PREVOD NA UCET	4122	52884	 	GH	18670410
3080986	10215	1997-06-13	VYDAJ	PREVOD NA UCET	4122	63937	 	GH	18670410
3080987	10215	1997-07-13	VYDAJ	PREVOD NA UCET	4122	61766	 	GH	18670410
3080988	10215	1997-08-13	VYDAJ	PREVOD NA UCET	4122	59203	 	GH	18670410
3080989	10215	1997-09-13	VYDAJ	PREVOD NA UCET	4122	55521	 	GH	18670410
3080990	10215	1997-10-13	VYDAJ	PREVOD NA UCET	4122	57622	 	GH	18670410
3080991	10215	1997-11-13	VYDAJ	PREVOD NA UCET	4122	60537	 	GH	18670410
3080992	10215	1997-12-13	VYDAJ	PREVOD NA UCET	4122	64218	 	GH	18670410
3080993	10215	1998-01-13	VYDAJ	PREVOD NA UCET	4122	49553	 	GH	18670410
3080994	10215	1998-02-13	VYDAJ	PREVOD NA UCET	4122	57945	 	GH	18670410
3080995	10215	1998-03-13	VYDAJ	PREVOD NA UCET	4122	63649	 	GH	18670410
3080996	10215	1998-04-13	VYDAJ	PREVOD NA UCET	4122	67183	 	GH	18670410
3080997	10215	1998-05-13	VYDAJ	PREVOD NA UCET	4122	66736	 	GH	18670410
3080998	10215	1998-06-13	VYDAJ	PREVOD NA UCET	4122	75347	 	GH	18670410
3080999	10215	1998-07-13	VYDAJ	PREVOD NA UCET	4122	64411	 	GH	18670410
3081000	10215	1998-08-13	VYDAJ	PREVOD NA UCET	4122	66960	 	GH	18670410
3081001	10215	1998-09-13	VYDAJ	PREVOD NA UCET	4122	69906	 	GH	18670410
3081002	10215	1998-10-13	VYDAJ	PREVOD NA UCET	4122	71959	 	GH	18670410
3081003	10215	1998-11-13	VYDAJ	PREVOD NA UCET	4122	76220	 	GH	18670410
3081004	10215	1998-12-13	VYDAJ	PREVOD NA UCET	4122	81853	 	GH	18670410
3081013	10215	1996-09-20	VYDAJ	VYBER	1400	43037	\N	\N	0
3081014	10215	1996-10-04	VYDAJ	VYBER	1900	41307	\N	\N	0
3081015	10215	1996-11-05	VYDAJ	VYBER	2000	40916	\N	\N	0
3081016	10215	1996-12-13	VYDAJ	VYBER	1700	52307	\N	\N	0
3081017	10215	1997-01-02	VYDAJ	VYBER	1700	47191	\N	\N	0
3081018	10215	1997-02-08	VYDAJ	VYBER	1700	36409	\N	\N	0
3081019	10215	1997-03-12	VYDAJ	PREVOD NA UCET	1846	54083	UVER	WX	33332234
3081020	10215	1997-04-12	VYDAJ	PREVOD NA UCET	1846	57510	UVER	WX	33332234
3081021	10215	1997-05-12	VYDAJ	PREVOD NA UCET	1846	57006	UVER	WX	33332234
3081022	10215	1997-06-12	VYDAJ	PREVOD NA UCET	1846	68059	UVER	WX	33332234
3081023	10215	1997-07-12	VYDAJ	PREVOD NA UCET	1846	65888	UVER	WX	33332234
3081024	10215	1997-08-12	VYDAJ	PREVOD NA UCET	1846	63477	UVER	WX	33332234
3081025	10215	1997-09-12	VYDAJ	PREVOD NA UCET	1846	59795	UVER	WX	33332234
3081026	10215	1997-10-12	VYDAJ	PREVOD NA UCET	1846	61896	UVER	WX	33332234
3081027	10215	1997-11-12	VYDAJ	PREVOD NA UCET	1846	64811	UVER	WX	33332234
3081028	10215	1997-12-12	VYDAJ	PREVOD NA UCET	1846	68340	UVER	WX	33332234
3081029	10215	1998-01-12	VYDAJ	PREVOD NA UCET	1846	55727	UVER	WX	33332234
3081030	10215	1998-02-12	VYDAJ	PREVOD NA UCET	1846	62067	UVER	WX	33332234
3081031	10215	1998-03-12	VYDAJ	PREVOD NA UCET	1846	67923	UVER	WX	33332234
3081032	10215	1998-04-12	VYDAJ	PREVOD NA UCET	1846	71305	UVER	WX	33332234
3081033	10215	1998-05-12	VYDAJ	PREVOD NA UCET	1846	70858	UVER	WX	33332234
3081034	10215	1998-06-12	VYDAJ	PREVOD NA UCET	1846	79621	UVER	WX	33332234
3081035	10215	1998-07-12	VYDAJ	PREVOD NA UCET	1846	68685	UVER	WX	33332234
3081036	10215	1998-08-12	VYDAJ	PREVOD NA UCET	1846	71082	UVER	WX	33332234
3081037	10215	1998-09-12	VYDAJ	PREVOD NA UCET	1846	74028	UVER	WX	33332234
3081038	10215	1998-10-12	VYDAJ	PREVOD NA UCET	1846	76081	UVER	WX	33332234
3081039	10215	1998-11-12	VYDAJ	PREVOD NA UCET	1846	80342	UVER	WX	33332234
3081040	10215	1998-12-12	VYDAJ	PREVOD NA UCET	1846	85975	UVER	WX	33332234
3081041	10215	1996-12-03	VYDAJ	VYBER	600	41015	\N	\N	\N
3081042	10215	1997-12-17	VYDAJ	VYBER	2500	61718	\N	\N	\N
3081043	10215	1998-12-07	VYDAJ	VYBER	2600	66507	\N	\N	\N
3081050	10215	1997-01-26	VYDAJ	VYBER	1500	42828	\N	\N	\N
3081051	10215	1997-01-13	VYDAJ	VYBER	1400	50728	\N	\N	\N
3081052	10215	1997-01-26	VYDAJ	VYBER	1700	44328	\N	\N	\N
3081053	10215	1997-01-05	VYDAJ	VYBER	2400	44791	\N	\N	\N
3081054	10215	1997-01-20	VYDAJ	VYBER	2100	46028	\N	\N	\N
3081055	10215	1997-01-18	VYDAJ	VYBER	2600	48128	\N	\N	\N
3081056	10215	1998-01-11	VYDAJ	VYBER	1600	57573	\N	\N	\N
3081057	10215	1998-01-05	VYDAJ	VYBER	2900	51662	\N	\N	\N
3081058	10215	1998-01-08	VYDAJ	VYBER	2200	44862	\N	\N	\N
3081059	10215	1998-01-13	VYDAJ	VYBER	1900	53675	\N	\N	\N
3081060	10215	1998-01-22	VYDAJ	VYBER	1800	47753	\N	\N	\N
3081061	10215	1998-01-07	VYDAJ	VYBER	1100	47062	\N	\N	\N
3081063	10215	1996-12-22	VYDAJ	VYBER	3600	48707	\N	\N	\N
3081067	10215	1996-11-20	VYDAJ	VYBER	3400	41453	\N	\N	\N
3081068	10215	1996-10-27	VYDAJ	VYBER	4100	42744	\N	\N	\N
3081069	10215	1997-07-22	VYDAJ	VYBER	1600	60166	\N	\N	\N
3081070	10215	1997-08-28	VYDAJ	VYBER	4500	50003	\N	\N	\N
3081071	10215	1997-03-02	VYDAJ	VYBER	900	45718	\N	\N	\N
3081072	10215	1997-08-24	VYDAJ	VYBER	4700	54503	\N	\N	\N
3081073	10215	1998-08-03	VYDAJ	VYBER	2200	58769	\N	\N	\N
3081074	10215	1998-06-18	VYDAJ	VYBER	4800	67247	\N	\N	\N
3081075	10215	1998-06-13	VYDAJ	VYBER	3300	72047	\N	\N	\N
3081076	10215	1998-01-07	VYDAJ	VYBER	3500	48162	\N	\N	\N
3081086	10215	1996-09-30	VYDAJ	VYBER	15	43207	SLUZBY	\N	\N
3081087	10215	1996-10-31	VYDAJ	VYBER	15	42916	SLUZBY	\N	\N
3081088	10215	1996-11-30	VYDAJ	VYBER	15	41615	SLUZBY	\N	\N
3081089	10215	1996-12-31	VYDAJ	VYBER	15	48891	SLUZBY	\N	\N
3081090	10215	1997-01-31	VYDAJ	VYBER	15	43009	SLUZBY	\N	\N
3081091	10215	1997-02-28	VYDAJ	VYBER	15	46618	SLUZBY	\N	\N
3081092	10215	1997-03-31	VYDAJ	VYBER	15	49997	SLUZBY	\N	\N
3081093	10215	1997-04-30	VYDAJ	VYBER	15	53593	SLUZBY	\N	\N
3081094	10215	1997-05-31	VYDAJ	VYBER	15	53091	SLUZBY	\N	\N
3081095	10215	1997-06-30	VYDAJ	VYBER	15	64175	SLUZBY	\N	\N
3081096	10215	1997-07-31	VYDAJ	VYBER	15	60412	SLUZBY	\N	\N
3081097	10215	1997-08-31	VYDAJ	VYBER	15	50230	SLUZBY	\N	\N
3081098	10215	1997-09-30	VYDAJ	VYBER	15	55731	SLUZBY	\N	\N
3081099	10215	1997-10-31	VYDAJ	VYBER	15	57846	SLUZBY	\N	\N
3081100	10215	1997-11-30	VYDAJ	VYBER	15	60772	SLUZBY	\N	\N
3081101	10215	1997-12-31	VYDAJ	VYBER	15	61962	SLUZBY	\N	\N
3081102	10215	1998-01-31	VYDAJ	VYBER	15	47954	SLUZBY	\N	\N
3081103	10215	1998-02-28	VYDAJ	VYBER	15	58158	SLUZBY	\N	\N
3081104	10215	1998-03-31	VYDAJ	VYBER	15	63892	SLUZBY	\N	\N
3081105	10215	1998-04-30	VYDAJ	VYBER	15	67445	SLUZBY	\N	\N
3081106	10215	1998-05-31	VYDAJ	VYBER	15	67001	SLUZBY	\N	\N
3081107	10215	1998-06-30	VYDAJ	VYBER	15	67520	SLUZBY	\N	\N
3081108	10215	1998-07-31	VYDAJ	VYBER	15	64669	SLUZBY	\N	\N
3081109	10215	1998-08-31	VYDAJ	VYBER	15	61715	SLUZBY	\N	\N
3081110	10215	1998-09-30	VYDAJ	VYBER	15	63768	SLUZBY	\N	\N
3081111	10215	1998-10-31	VYDAJ	VYBER	15	68029	SLUZBY	\N	\N
3081112	10215	1998-11-30	VYDAJ	VYBER	15	69107	SLUZBY	\N	\N
3081113	10215	1996-05-12	PRIJEM	VKLAD	7600	22211	\N	\N	\N
3081114	10215	1996-06-11	VYDAJ	VYBER	10700	33037	\N	\N	\N
3081115	10215	1996-07-11	VYDAJ	VYBER	11600	35870	\N	\N	\N
3081116	10215	1996-08-10	VYDAJ	VYBER	6000	30016	\N	\N	\N
3081117	10215	1996-09-09	VYDAJ	VYBER	10100	34400	\N	\N	\N
3081118	10215	1996-10-09	VYDAJ	VYBER	4500	36807	\N	\N	\N
3081119	10215	1996-11-08	VYDAJ	VYBER	6100	34816	\N	\N	\N
3081120	10215	1996-12-08	VYDAJ	VYBER	4200	36815	\N	\N	\N
3081121	10215	1997-01-07	VYDAJ	VYBER	2700	42091	\N	\N	\N
3081122	10215	1997-02-06	VYDAJ	VYBER	4900	38109	\N	\N	\N
3081123	10215	1997-03-08	VYDAJ	VYBER	4100	41618	\N	\N	\N
3081124	10215	1997-04-07	VYDAJ	VYBER	4800	45197	\N	\N	\N
3081125	10215	1997-05-07	VYDAJ	VYBER	8900	44693	\N	\N	\N
3081126	10215	1997-06-06	VYDAJ	VYBER	4500	48591	\N	\N	\N
3081127	10215	1997-07-06	VYDAJ	VYBER	10600	53575	\N	\N	\N
3081128	10215	1997-08-05	VYDAJ	VYBER	9400	51012	\N	\N	\N
3081129	10215	1997-09-04	VYDAJ	VYBER	2900	47330	\N	\N	\N
3081130	10215	1997-10-04	VYDAJ	VYBER	6300	49431	\N	\N	\N
3081131	10215	1997-11-03	VYDAJ	VYBER	5500	52346	\N	\N	\N
3081132	10215	1997-12-03	VYDAJ	VYBER	11900	48872	\N	\N	\N
3081133	10215	1998-01-02	VYDAJ	VYBER	7400	54562	\N	\N	\N
3081134	10215	1998-02-01	PRIJEM	VKLAD	1800	49754	\N	\N	\N
3081135	10215	1998-03-03	VYDAJ	VYBER	2700	55458	\N	\N	\N
3081136	10215	1998-04-02	VYDAJ	VYBER	4900	58992	\N	\N	\N
3081137	10215	1998-05-02	VYDAJ	VYBER	8900	58545	\N	\N	\N
3081138	10215	1998-06-01	VYDAJ	VYBER	7000	60001	\N	\N	\N
3081139	10215	1998-07-01	VYDAJ	VYBER	11300	56220	\N	\N	\N
3081140	10215	1998-07-31	VYDAJ	VYBER	3700	60969	\N	\N	\N
3081141	10215	1998-08-30	VYDAJ	VYBER	5500	61460	\N	\N	\N
3081142	10215	1998-09-29	VYDAJ	VYBER	6400	63506	\N	\N	\N
3081143	10215	1998-10-29	VYDAJ	VYBER	4200	67759	\N	\N	\N
3081144	10215	1998-11-28	VYDAJ	VYBER	7400	68820	\N	\N	\N
3082316	10220	1996-08-26	PRIJEM	VKLAD	200	200	\N	\N	\N
3082325	10220	1996-09-11	PRIJEM	VKLAD	19404	19604	\N	\N	\N
3082326	10220	1996-10-11	PRIJEM	VKLAD	19404	41642	\N	\N	\N
3082327	10220	1996-11-11	PRIJEM	VKLAD	19404	49169	\N	\N	\N
3082328	10220	1996-12-11	PRIJEM	VKLAD	29106	61929	\N	\N	\N
3082329	10220	1997-01-11	PRIJEM	VKLAD	19404	59113	\N	\N	\N
3082330	10220	1997-02-11	PRIJEM	VKLAD	19404	52358	\N	\N	\N
3082331	10220	1997-03-11	PRIJEM	VKLAD	19404	55121	\N	\N	\N
3082332	10220	1997-04-11	PRIJEM	VKLAD	19404	57395	\N	\N	\N
3082333	10220	1997-05-11	PRIJEM	VKLAD	19404	57182	\N	\N	\N
3082334	10220	1997-06-11	PRIJEM	VKLAD	29106	49720	\N	\N	\N
3082335	10220	1997-07-11	PRIJEM	VKLAD	19404	48684	\N	\N	\N
3082336	10220	1997-08-11	PRIJEM	VKLAD	19404	47808	\N	\N	\N
3082337	10220	1997-09-11	PRIJEM	VKLAD	19404	39460	\N	\N	\N
3082338	10220	1997-10-11	PRIJEM	VKLAD	19404	38534	\N	\N	\N
3082339	10220	1997-11-11	PRIJEM	VKLAD	19404	39577	\N	\N	\N
3082340	10220	1997-12-11	PRIJEM	VKLAD	29106	47217	\N	\N	\N
3082341	10220	1998-01-11	PRIJEM	VKLAD	19404	46133	\N	\N	\N
3082342	10220	1998-02-11	PRIJEM	VKLAD	19404	26425	\N	\N	\N
3082343	10220	1998-03-11	PRIJEM	VKLAD	19404	30690	\N	\N	\N
3082344	10220	1998-04-11	PRIJEM	VKLAD	19404	35429	\N	\N	\N
3082345	10220	1998-05-11	PRIJEM	VKLAD	19404	22528	\N	\N	\N
3082346	10220	1998-06-11	PRIJEM	VKLAD	29106	39108	\N	\N	\N
3082347	10220	1998-07-11	PRIJEM	VKLAD	19404	18934	\N	\N	\N
3082348	10220	1998-08-11	PRIJEM	VKLAD	19404	24045	\N	\N	\N
3082349	10220	1998-09-11	PRIJEM	VKLAD	19404	28573	\N	\N	\N
3082350	10220	1998-10-11	PRIJEM	VKLAD	19404	31337	\N	\N	\N
3082351	10220	1998-11-11	PRIJEM	VKLAD	19404	31010	\N	\N	\N
3082352	10220	1998-12-11	PRIJEM	VKLAD	29106	37681	\N	\N	\N
3082354	10220	1997-06-01	VYDAJ	VYBER	9300	24814	\N	\N	\N
3082355	10220	1998-06-20	VYDAJ	VYBER	18000	-492	\N	\N	\N
3082357	10220	1997-01-16	VYDAJ	VYBER	7200	51913	\N	\N	\N
3082358	10220	1998-01-19	VYDAJ	VYBER	8100	13233	\N	\N	\N
3082360	10220	1997-12-20	VYDAJ	VYBER	600	26617	\N	\N	\N
3082361	10220	1998-12-03	VYDAJ	VYBER	2500	8575	\N	\N	\N
3082368	10220	1997-01-24	VYDAJ	VYBER	500	34013	\N	\N	\N
3082370	10220	1997-01-21	VYDAJ	VYBER	2900	49013	\N	\N	\N
3082372	10220	1997-01-26	VYDAJ	VYBER	1300	32713	\N	\N	\N
3082374	10220	1998-01-23	VYDAJ	VYBER	2100	9433	\N	\N	\N
3082375	10220	1998-01-25	VYDAJ	VYBER	1300	8133	\N	\N	\N
3082376	10220	1998-01-17	VYDAJ	VYBER	2200	43933	\N	\N	\N
3082377	10220	1998-01-30	VYDAJ	VYBER	1200	6933	\N	\N	\N
3082378	10220	1998-01-18	VYDAJ	VYBER	1300	21333	\N	\N	\N
3082379	10220	1998-01-22	VYDAJ	VYBER	1700	11533	\N	\N	\N
3082384	10220	1997-08-11	VYDAJ	VYBER	2600	45208	\N	\N	\N
3082385	10220	1997-06-04	VYDAJ	VYBER	4200	20614	\N	\N	\N
3082386	10220	1997-05-13	VYDAJ	VYBER	1100	56082	\N	\N	\N
3082387	10220	1997-09-08	VYDAJ	VYBER	4500	20056	\N	\N	\N
3082388	10220	1998-03-01	VYDAJ	VYBER	3400	11286	\N	\N	\N
3082389	10220	1998-04-19	VYDAJ	VYBER	3600	11929	\N	\N	\N
3082390	10220	1998-04-16	VYDAJ	VYBER	3400	32029	\N	\N	\N
3082391	10220	1998-05-02	VYDAJ	VYBER	4900	3124	\N	\N	\N
3082392	10220	1998-07-12	VYDAJ	VYBER	4500	14434	\N	\N	\N
3082393	10220	1998-04-25	VYDAJ	VYBER	4000	7929	\N	\N	\N
3082407	10220	1997-01-31	VYDAJ	VYBER	15	32954	SLUZBY	\N	\N
3082408	10220	1997-02-28	VYDAJ	VYBER	15	35717	SLUZBY	\N	\N
3082409	10220	1997-03-31	VYDAJ	VYBER	15	37991	SLUZBY	\N	\N
3082410	10220	1997-04-30	VYDAJ	VYBER	15	37778	SLUZBY	\N	\N
3082411	10220	1997-05-31	VYDAJ	VYBER	15	34114	SLUZBY	\N	\N
3082412	10220	1997-06-30	VYDAJ	VYBER	15	29280	SLUZBY	\N	\N
3082413	10220	1997-07-31	VYDAJ	VYBER	15	28404	SLUZBY	\N	\N
3082414	10220	1997-08-31	VYDAJ	VYBER	15	24556	SLUZBY	\N	\N
3082415	10220	1997-09-30	VYDAJ	VYBER	15	19130	SLUZBY	\N	\N
3082416	10220	1997-10-31	VYDAJ	VYBER	15	20173	SLUZBY	\N	\N
3082417	10220	1997-11-30	VYDAJ	VYBER	15	18111	SLUZBY	\N	\N
3082418	10220	1997-12-31	VYDAJ	VYBER	15	26729	SLUZBY	\N	\N
3082419	10220	1998-01-31	VYDAJ	VYBER	15	7021	SLUZBY	\N	\N
3082420	10220	1998-02-28	VYDAJ	VYBER	15	14686	SLUZBY	\N	\N
3082421	10220	1998-03-31	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
3082422	10220	1998-04-30	VYDAJ	VYBER	15	8024	SLUZBY	\N	\N
3082423	10220	1998-05-31	VYDAJ	VYBER	15	10002	SLUZBY	\N	\N
3082424	10220	1998-06-30	VYDAJ	VYBER	15	-463	SLUZBY	\N	\N
3082425	10220	1998-07-31	VYDAJ	VYBER	15	4641	SLUZBY	\N	\N
3082426	10220	1998-08-31	VYDAJ	VYBER	15	9169	SLUZBY	\N	\N
3082427	10220	1998-09-30	VYDAJ	VYBER	15	11933	SLUZBY	\N	\N
3082428	10220	1998-10-31	VYDAJ	VYBER	15	11606	SLUZBY	\N	\N
3082429	10220	1998-11-30	VYDAJ	VYBER	15	11075	SLUZBY	\N	\N
3082430	10220	1996-09-25	PRIJEM	VKLAD	2600	22204	\N	\N	\N
3082431	10220	1996-10-25	VYDAJ	VYBER	12000	29642	\N	\N	\N
3082432	10220	1996-11-24	VYDAJ	VYBER	16500	32669	\N	\N	\N
3082433	10220	1996-12-24	VYDAJ	VYBER	22400	39529	\N	\N	\N
3082434	10220	1997-01-23	VYDAJ	VYBER	14500	34513	\N	\N	\N
3082435	10220	1997-02-22	VYDAJ	VYBER	16900	35458	\N	\N	\N
3082436	10220	1997-03-24	VYDAJ	VYBER	17300	37821	\N	\N	\N
3082437	10220	1997-04-23	VYDAJ	VYBER	19800	37595	\N	\N	\N
3082438	10220	1997-05-23	VYDAJ	VYBER	22300	33782	\N	\N	\N
3082439	10220	1997-06-22	VYDAJ	VYBER	20700	29020	\N	\N	\N
3082440	10220	1997-07-22	VYDAJ	VYBER	20500	28184	\N	\N	\N
3082441	10220	1997-08-21	VYDAJ	VYBER	20900	24308	\N	\N	\N
3082442	10220	1997-09-20	VYDAJ	VYBER	20500	18960	\N	\N	\N
3082443	10220	1997-10-20	VYDAJ	VYBER	18500	20034	\N	\N	\N
3082444	10220	1997-11-19	VYDAJ	VYBER	21600	17977	\N	\N	\N
3082445	10220	1997-12-19	VYDAJ	VYBER	20000	27217	\N	\N	\N
3082446	10220	1998-01-18	VYDAJ	VYBER	21300	22633	\N	\N	\N
3082447	10220	1998-02-17	VYDAJ	VYBER	11800	14625	\N	\N	\N
3082448	10220	1998-03-19	VYDAJ	VYBER	14800	15890	\N	\N	\N
3082449	10220	1998-04-18	VYDAJ	VYBER	16500	15529	\N	\N	\N
3082450	10220	1998-05-18	VYDAJ	VYBER	12600	9928	\N	\N	\N
3082451	10220	1998-06-17	VYDAJ	VYBER	21600	17508	\N	\N	\N
3082452	10220	1998-07-17	VYDAJ	VYBER	9800	4634	\N	\N	\N
3082453	10220	1998-08-16	VYDAJ	VYBER	14900	9145	\N	\N	\N
3082454	10220	1998-09-15	VYDAJ	VYBER	16700	11873	\N	\N	\N
3082455	10220	1998-10-15	VYDAJ	VYBER	19800	11537	\N	\N	\N
3082456	10220	1998-11-14	VYDAJ	VYBER	20000	11010	\N	\N	\N
3083694	10227	1993-09-27	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3083699	10227	1993-10-23	PRIJEM	VKLAD	14882	80748	\N	\N	\N
3083703	10227	1993-10-01	PRIJEM	VKLAD	45106	65866	\N	\N	\N
3083709	10227	1993-09-30	PRIJEM	VKLAD	19757	20757	\N	\N	\N
3083710	10227	1993-12-19	PRIJEM	VKLAD	24553	62344	\N	\N	\N
3083712	10227	1994-05-05	PRIJEM	VKLAD	35011	69711	\N	\N	\N
3083713	10227	1994-06-19	PRIJEM	VKLAD	11289	55737	\N	\N	\N
3083714	10227	1994-09-21	PRIJEM	VKLAD	39415	52438	\N	\N	\N
3083715	10227	1994-10-28	PRIJEM	VKLAD	14650	52883	\N	\N	\N
3083716	10227	1994-03-26	PRIJEM	VKLAD	13169	45086	\N	\N	\N
3083717	10227	1994-10-16	PRIJEM	VKLAD	35003	56802	\N	\N	\N
3083718	10227	1994-06-23	PRIJEM	VKLAD	30519	86256	\N	\N	\N
3083719	10227	1994-01-01	PRIJEM	VKLAD	48709	90298	\N	\N	\N
3083720	10227	1994-05-02	PRIJEM	VKLAD	41833	46227	\N	\N	\N
3083721	10227	1995-11-04	PRIJEM	VKLAD	24001	88841	\N	\N	\N
3083722	10227	1995-01-17	PRIJEM	VKLAD	33407	44425	\N	\N	\N
3083723	10227	1995-08-02	PRIJEM	VKLAD	35585	130187	\N	\N	\N
3083724	10227	1995-09-10	PRIJEM	VKLAD	10421	110128	\N	\N	\N
3083725	10227	1995-04-10	PRIJEM	VKLAD	33512	72793	\N	\N	\N
3083726	10227	1995-06-26	PRIJEM	VKLAD	35027	70017	\N	\N	\N
3083727	10227	1995-12-11	PRIJEM	VKLAD	14346	112866	\N	\N	\N
3083728	10227	1995-06-03	PRIJEM	VKLAD	36927	124011	\N	\N	\N
3083729	10227	1995-03-23	PRIJEM	VKLAD	26023	39253	\N	\N	\N
3083730	10227	1995-09-03	PRIJEM	VKLAD	48172	99707	\N	\N	\N
3083731	10227	1995-04-24	PRIJEM	VKLAD	47616	107062	\N	\N	\N
3083732	10227	1995-09-27	PRIJEM	VKLAD	21049	119942	\N	\N	\N
3083733	10227	1995-04-11	PRIJEM	VKLAD	15353	88146	\N	\N	\N
3083734	10227	1995-10-25	PRIJEM	VKLAD	17229	76238	\N	\N	\N
3083735	10227	1995-07-21	PRIJEM	VKLAD	39880	105829	\N	\N	\N
3083736	10227	1995-06-17	PRIJEM	VKLAD	48151	130690	\N	\N	\N
3083737	10227	1995-09-18	PRIJEM	VKLAD	49778	107106	\N	\N	\N
3083738	10227	1995-06-14	PRIJEM	VKLAD	16664	82539	\N	\N	\N
3083739	10227	1995-06-28	PRIJEM	VKLAD	31327	101344	\N	\N	\N
3083740	10227	1995-12-18	PRIJEM	VKLAD	29923	102089	\N	\N	\N
3083741	10227	1995-01-09	PRIJEM	VKLAD	9523	11018	\N	\N	\N
3083742	10227	1995-12-09	PRIJEM	VKLAD	48521	98520	\N	\N	\N
3083743	10227	1995-05-24	PRIJEM	VKLAD	40346	86633	\N	\N	\N
3083744	10227	1995-09-22	PRIJEM	VKLAD	41887	148993	\N	\N	\N
3083745	10227	1996-05-01	PRIJEM	VKLAD	22394	68200	\N	\N	\N
3083746	10227	1996-10-19	PRIJEM	VKLAD	48837	137421	\N	\N	\N
3083747	10227	1996-07-28	PRIJEM	VKLAD	27296	96873	\N	\N	\N
3083748	10227	1996-01-06	PRIJEM	VKLAD	40156	130774	\N	\N	\N
3083749	10227	1996-09-04	PRIJEM	VKLAD	13964	65678	\N	\N	\N
3083750	10227	1996-07-27	PRIJEM	VKLAD	8348	69577	\N	\N	\N
3083751	10227	1996-04-12	PRIJEM	VKLAD	26281	119232	\N	\N	\N
3083752	10227	1996-04-29	PRIJEM	VKLAD	16478	65546	\N	\N	\N
3083753	10227	1996-03-23	PRIJEM	VKLAD	29950	74160	\N	\N	\N
3083754	10227	1996-01-19	PRIJEM	VKLAD	9001	87202	\N	\N	\N
3083755	10227	1996-07-14	PRIJEM	VKLAD	48198	77818	\N	\N	\N
3083756	10227	1996-12-27	PRIJEM	VKLAD	43093	86104	\N	\N	\N
3083757	10227	1996-08-01	PRIJEM	VKLAD	38732	142888	\N	\N	\N
3083758	10227	1996-09-17	PRIJEM	VKLAD	36228	89406	\N	\N	\N
3083759	10227	1996-07-30	PRIJEM	VKLAD	6937	103810	\N	\N	\N
3083760	10227	1996-03-03	PRIJEM	VKLAD	20005	50510	\N	\N	\N
3083761	10227	1996-03-31	PRIJEM	VKLAD	40332	114673	\N	\N	\N
3083762	10227	1996-01-16	PRIJEM	VKLAD	45227	116801	\N	\N	\N
3083763	10227	1996-10-16	PRIJEM	VKLAD	39276	88584	\N	\N	\N
3083764	10227	1997-11-11	PRIJEM	VKLAD	18550	53008	\N	\N	\N
3083765	10227	1997-07-09	PRIJEM	VKLAD	9787	31189	\N	\N	\N
3083766	10227	1998-03-15	PRIJEM	VKLAD	32386	67723	\N	\N	\N
3083778	10227	1994-11-07	VYBER	VYBER	23624	9842	\N	\N	\N
3083779	10227	1994-08-19	VYBER	VYBER	24806	9427	\N	\N	\N
3083780	10227	1994-11-24	VYBER	VYBER	12625	-483	\N	\N	\N
3083781	10227	1994-10-22	VYBER	VYBER	8169	48633	\N	\N	\N
3083782	10227	1994-04-16	VYBER	VYBER	6071	19756	\N	\N	\N
3083783	10227	1994-10-05	VYBER	VYBER	18772	21799	\N	\N	\N
3083785	10227	1994-05-23	VYBER	VYBER	8045	61666	\N	\N	\N
3083786	10227	1994-03-30	VYBER	VYBER	7220	25766	\N	\N	\N
3083787	10227	1994-08-31	VYBER	VYBER	3536	13123	\N	\N	\N
3083788	10227	1994-11-07	VYBER	VYBER	15489	33466	\N	\N	\N
3083789	10227	1994-05-02	VYBER	VYBER	11527	34700	\N	\N	\N
3083790	10227	1994-04-27	VYBER	VYBER	18549	4307	\N	\N	\N
3083792	10227	1995-07-20	VYBER	VYBER	2136	65949	\N	\N	\N
3083793	10227	1995-02-10	VYBER	VYBER	16837	6094	\N	\N	\N
3083794	10227	1995-08-26	VYBER	VYBER	16966	50921	\N	\N	\N
3083795	10227	1995-06-08	VYBER	VYBER	13036	65875	\N	\N	\N
3083798	10227	1995-02-02	VYBER	VYBER	10668	22931	\N	\N	\N
3083799	10227	1996-10-08	VYBER	VYBER	23921	58108	\N	\N	\N
3083800	10227	1996-05-24	VYBER	VYBER	4555	50245	\N	\N	\N
3083801	10227	1996-02-27	VYBER	VYBER	15077	30293	\N	\N	\N
3083802	10227	1996-10-22	VYBER	VYBER	13600	88821	\N	\N	\N
3083803	10227	1996-04-29	VYBER	VYBER	20261	45285	\N	\N	\N
3083804	10227	1996-04-24	VYBER	VYBER	18264	49068	\N	\N	\N
3083805	10227	1996-08-31	VYBER	VYBER	6322	51814	\N	\N	\N
3083806	10227	1996-07-06	VYBER	VYBER	10564	21420	\N	\N	\N
3083807	10227	1996-09-25	VYBER	VYBER	7783	81623	\N	\N	\N
3083808	10227	1996-07-26	VYBER	VYBER	16589	61229	\N	\N	\N
3083809	10227	1996-02-04	VYBER	VYBER	20829	56770	\N	\N	\N
3083810	10227	1996-08-23	VYBER	VYBER	16363	57425	\N	\N	\N
3083812	10227	1997-07-23	VYBER	VYBER	16380	14809	\N	\N	\N
3083813	10227	1997-02-22	VYBER	VYBER	16920	11989	\N	\N	\N
3083814	10227	1997-01-30	VYBER	VYBER	3209	19548	\N	\N	\N
3083815	10227	1997-01-23	VYBER	VYBER	23187	22757	\N	\N	\N
3083816	10227	1997-05-03	VYBER	VYBER	9849	18214	\N	\N	\N
3083817	10227	1997-04-08	VYBER	VYBER	3085	14316	\N	\N	\N
3083820	10227	1997-05-27	VYBER	VYBER	12713	13401	\N	\N	\N
3083823	10227	1995-06-25	VYDAJ	VYBER	20100	34990	\N	\N	\N
3083825	10227	1997-06-16	VYDAJ	VYBER	12000	11342	\N	\N	\N
3083828	10227	1994-01-28	VYDAJ	VYBER	23400	36498	\N	\N	\N
3083829	10227	1995-01-07	VYDAJ	VYBER	12600	1495	\N	\N	\N
3083830	10227	1996-01-20	VYDAJ	VYBER	10200	77002	\N	\N	\N
3083831	10227	1997-01-10	VYDAJ	VYBER	20100	45944	\N	\N	\N
3083832	10227	1998-01-12	VYDAJ	VYBER	18300	20571	\N	\N	\N
3083835	10227	1995-12-02	VYDAJ	VYBER	2400	49999	\N	\N	\N
3083836	10227	1996-12-19	VYDAJ	VYBER	4500	43011	\N	\N	\N
3083837	10227	1997-12-23	VYDAJ	VYBER KARTOU	2100	41570	\N	\N	0
3083838	10227	1998-12-23	VYDAJ	VYBER	8400	36322	\N	\N	\N
3083842	10227	1994-07-03	VYDAJ	VYBER	13500	42420	\N	\N	\N
3083843	10227	1994-11-15	VYDAJ	VYBER	3300	-358	\N	\N	\N
3083844	10227	1994-11-09	VYDAJ	VYBER	6900	2942	\N	\N	\N
3083845	10227	1994-10-31	VYDAJ	VYBER	4200	48955	\N	\N	\N
3083846	10227	1995-01-23	VYDAJ	VYBER	1800	33525	\N	\N	\N
3083847	10227	1995-08-09	VYDAJ	VYBER	10200	101187	\N	\N	\N
3083848	10227	1995-11-03	VYDAJ	VYBER	11700	64840	\N	\N	\N
3083849	10227	1995-11-21	VYDAJ	VYBER	12900	51941	\N	\N	\N
3083850	10227	1995-03-07	VYDAJ	VYBER	12300	2530	\N	\N	\N
3083851	10227	1995-12-27	VYDAJ	VYBER	12000	90089	\N	\N	\N
3083852	10227	1995-07-31	VYDAJ	VYBER	11700	94702	\N	\N	\N
3083853	10227	1996-06-29	VYDAJ	VYBER	10800	31718	\N	\N	\N
3083854	10227	1996-08-21	VYDAJ	VYBER	4500	73788	\N	\N	\N
3083855	10227	1996-12-08	VYDAJ	VYBER KARTOU	2700	51911	\N	\N	0
3083856	10227	1996-11-28	VYDAJ	VYBER	11100	54059	\N	\N	\N
3083858	10227	1997-03-14	VYDAJ	VYBER	7800	17437	\N	\N	\N
3083859	10227	1997-11-15	VYDAJ	VYBER	4200	48808	\N	\N	\N
3083860	10227	1997-08-21	VYDAJ	VYBER	11400	11918	\N	\N	\N
3083861	10227	1997-06-04	VYDAJ	VYBER KARTOU	3000	10442	\N	\N	0
3083862	10227	1998-03-05	VYDAJ	VYBER KARTOU	1500	35337	\N	\N	0
3083863	10227	1998-04-10	VYDAJ	VYBER	6900	53377	\N	\N	\N
3083864	10227	1998-11-23	VYDAJ	VYBER	11700	38886	\N	\N	\N
3083866	10227	1998-11-21	VYDAJ	VYBER KARTOU	3000	50586	\N	\N	0
3083880	10227	1994-01-31	VYDAJ	VYBER	100	36619	SLUZBY	\N	\N
3083881	10227	1994-02-28	VYDAJ	VYBER	100	31917	SLUZBY	\N	\N
3083882	10227	1994-03-31	VYDAJ	VYBER	100	25827	SLUZBY	\N	\N
3083883	10227	1994-04-30	VYDAJ	VYBER	100	4394	SLUZBY	\N	\N
3083884	10227	1994-05-31	VYDAJ	VYBER	100	44448	SLUZBY	\N	\N
3083885	10227	1994-06-30	VYDAJ	VYBER	100	55920	SLUZBY	\N	\N
3083886	10227	1994-07-31	VYDAJ	VYBER	100	34233	SLUZBY	\N	\N
3083887	10227	1994-08-31	VYDAJ	VYBER	100	13023	SLUZBY	\N	\N
3083888	10227	1994-09-30	VYDAJ	VYBER	100	40571	SLUZBY	\N	\N
3083889	10227	1994-10-31	VYDAJ	VYBER	100	53155	SLUZBY	\N	\N
3083890	10227	1994-11-30	VYDAJ	VYBER	100	-474	SLUZBY	\N	\N
3083891	10227	1994-12-31	VYDAJ	VYBER	100	14113	SLUZBY	\N	\N
3083892	10227	1995-01-31	VYDAJ	VYBER	100	33599	SLUZBY	\N	\N
3083893	10227	1995-02-28	VYDAJ	VYBER	100	14830	SLUZBY	\N	\N
3083894	10227	1995-03-31	VYDAJ	VYBER	100	39281	SLUZBY	\N	\N
3083895	10227	1995-04-30	VYDAJ	VYBER	100	63287	SLUZBY	\N	\N
3083896	10227	1995-05-31	VYDAJ	VYBER	100	87084	SLUZBY	\N	\N
3083897	10227	1995-06-30	VYDAJ	VYBER	100	101885	SLUZBY	\N	\N
3083898	10227	1995-07-31	VYDAJ	VYBER	100	94602	SLUZBY	\N	\N
3083899	10227	1995-08-31	VYDAJ	VYBER	100	51535	SLUZBY	\N	\N
3083900	10227	1995-09-30	VYDAJ	VYBER	100	85509	SLUZBY	\N	\N
3083901	10227	1995-10-31	VYDAJ	VYBER	100	76540	SLUZBY	\N	\N
3083902	10227	1995-11-30	VYDAJ	VYBER	100	52399	SLUZBY	\N	\N
3083903	10227	1995-12-31	VYDAJ	VYBER	100	90618	SLUZBY	\N	\N
3083904	10227	1996-01-31	VYDAJ	VYBER	100	77599	SLUZBY	\N	\N
3083905	10227	1996-02-29	VYDAJ	VYBER	100	30505	SLUZBY	\N	\N
3083906	10227	1996-03-31	VYDAJ	VYBER	100	114751	SLUZBY	\N	\N
3083907	10227	1996-04-30	VYDAJ	VYBER	100	45806	SLUZBY	\N	\N
3083908	10227	1996-05-31	VYDAJ	VYBER	100	50518	SLUZBY	\N	\N
3083909	10227	1996-06-30	VYDAJ	VYBER	100	31984	SLUZBY	\N	\N
3083910	10227	1996-07-31	VYDAJ	VYBER	100	104156	SLUZBY	\N	\N
3083911	10227	1996-08-31	VYDAJ	VYBER	100	51714	SLUZBY	\N	\N
3083912	10227	1996-09-30	VYDAJ	VYBER	100	82029	SLUZBY	\N	\N
3083913	10227	1996-10-31	VYDAJ	VYBER	100	89259	SLUZBY	\N	\N
3083914	10227	1996-11-30	VYDAJ	VYBER	100	54611	SLUZBY	\N	\N
3083915	10227	1996-12-31	VYDAJ	VYBER	100	86344	SLUZBY	\N	\N
3083916	10227	1997-01-31	VYDAJ	VYBER	100	19809	SLUZBY	\N	\N
3083917	10227	1997-02-28	VYDAJ	VYBER	100	11937	SLUZBY	\N	\N
3083918	10227	1997-03-31	VYDAJ	VYBER	100	17401	SLUZBY	\N	\N
3083919	10227	1997-04-30	VYDAJ	VYBER	100	28063	SLUZBY	\N	\N
3083920	10227	1997-05-31	VYDAJ	VYBER	100	13442	SLUZBY	\N	\N
3083921	10227	1997-06-30	VYDAJ	VYBER	100	11302	SLUZBY	\N	\N
3083922	10227	1997-07-31	VYDAJ	VYBER	100	14818	SLUZBY	\N	\N
3083923	10227	1997-08-31	VYDAJ	VYBER	100	11866	SLUZBY	\N	\N
3083924	10227	1997-09-30	VYDAJ	VYBER	100	25484	SLUZBY	\N	\N
3083925	10227	1997-10-31	VYDAJ	VYBER	100	34258	SLUZBY	\N	\N
3083926	10227	1997-11-30	VYDAJ	VYBER	100	48970	SLUZBY	\N	\N
3083927	10227	1997-12-31	VYDAJ	VYBER	100	41671	SLUZBY	\N	\N
3083928	10227	1998-01-31	VYDAJ	VYBER	100	20635	SLUZBY	\N	\N
3083929	10227	1998-02-28	VYDAJ	VYBER	100	29037	SLUZBY	\N	\N
3083930	10227	1998-03-31	VYDAJ	VYBER	100	67977	SLUZBY	\N	\N
3083931	10227	1998-04-30	VYDAJ	VYBER	100	53679	SLUZBY	\N	\N
3083932	10227	1998-05-31	VYDAJ	VYBER	100	55466	SLUZBY	\N	\N
3083933	10227	1998-06-30	VYDAJ	VYBER	100	58860	SLUZBY	\N	\N
3083934	10227	1998-07-31	VYDAJ	VYBER	100	59774	SLUZBY	\N	\N
3083935	10227	1998-08-31	VYDAJ	VYBER	100	56296	SLUZBY	\N	\N
3083936	10227	1998-09-30	VYDAJ	VYBER	100	57381	SLUZBY	\N	\N
3083937	10227	1998-10-31	VYDAJ	VYBER	100	54186	SLUZBY	\N	\N
3083938	10227	1998-11-30	VYDAJ	VYBER	100	44722	SLUZBY	\N	\N
3083939	10227	1993-10-27	VYDAJ	VYBER	25900	54848	\N	\N	\N
3083940	10227	1993-11-26	VYDAJ	VYBER	17500	37562	\N	\N	\N
3083941	10227	1993-12-26	VYDAJ	VYBER	21000	41344	\N	\N	\N
3083942	10227	1994-01-25	VYDAJ	VYBER	30400	59898	\N	\N	\N
3083943	10227	1994-02-24	VYDAJ	VYBER	4900	31719	\N	\N	\N
3083944	10227	1994-03-26	VYDAJ	VYBER	12100	32986	\N	\N	\N
3083945	10227	1994-04-25	PRIJEM	VKLAD	3100	22856	\N	\N	\N
3083946	10227	1994-05-25	VYDAJ	VYBER	17600	44066	\N	\N	\N
3083947	10227	1994-06-24	VYDAJ	VYBER	30500	55756	\N	\N	\N
3083948	10227	1994-07-24	VYDAJ	VYBER	8500	33920	\N	\N	\N
3083949	10227	1994-08-23	PRIJEM	VKLAD	7000	16427	\N	\N	\N
3083950	10227	1994-09-22	VYDAJ	VYBER	11900	40538	\N	\N	\N
3083951	10227	1994-10-22	VYDAJ	VYBER	10400	38233	\N	\N	\N
3083952	10227	1994-11-21	PRIJEM	VKLAD	12500	12142	\N	\N	\N
3083953	10227	1994-12-21	PRIJEM	VKLAD	14700	14211	\N	\N	\N
3083954	10227	1995-01-20	VYDAJ	VYBER	9100	35325	\N	\N	\N
3083955	10227	1995-02-19	PRIJEM	VKLAD	8700	14794	\N	\N	\N
3083956	10227	1995-03-21	PRIJEM	VKLAD	10700	13230	\N	\N	\N
3083957	10227	1995-04-20	VYDAJ	VYBER	28700	59446	\N	\N	\N
3083958	10227	1995-04-24	VYDAJ	VYBER	44200	62862	\N	\N	\N
3083959	10227	1995-05-20	VYDAJ	VYBER	17000	46287	\N	\N	\N
3083960	10227	1995-06-03	VYDAJ	VYBER	45100	78911	\N	\N	\N
3083961	10227	1995-06-17	VYDAJ	VYBER	55600	75090	\N	\N	\N
3083962	10227	1995-06-19	VYDAJ	VYBER	20000	55090	\N	\N	\N
3083963	10227	1995-07-19	VYDAJ	VYBER	33800	68085	\N	\N	\N
3083964	10227	1995-08-02	VYDAJ	VYBER	18800	111387	\N	\N	\N
3083965	10227	1995-08-18	VYDAJ	VYBER	33300	67887	\N	\N	\N
3083966	10227	1995-09-10	VYDAJ	VYBER	30300	79828	\N	\N	\N
3083967	10227	1995-09-17	VYDAJ	VYBER	22500	57328	\N	\N	\N
3083968	10227	1995-09-22	VYDAJ	VYBER	50100	98893	\N	\N	\N
3083969	10227	1995-09-27	VYDAJ	VYBER	35000	84942	\N	\N	\N
3083970	10227	1995-10-17	VYDAJ	VYBER	26500	59009	\N	\N	\N
3083971	10227	1995-11-16	VYDAJ	VYBER	24000	64841	\N	\N	\N
3083972	10227	1995-12-16	VYDAJ	VYBER	40700	72166	\N	\N	\N
3083973	10227	1996-01-06	VYDAJ	VYBER	19800	110974	\N	\N	\N
3083974	10227	1996-01-15	VYDAJ	VYBER	39400	71574	\N	\N	\N
3083975	10227	1996-01-16	VYDAJ	VYBER	38600	78201	\N	\N	\N
3083976	10227	1996-02-14	VYDAJ	VYBER	11400	45370	\N	\N	\N
3083977	10227	1996-03-15	VYDAJ	VYBER	6300	44210	\N	\N	\N
3083978	10227	1996-03-31	VYDAJ	VYBER	21800	92951	\N	\N	\N
3083979	10227	1996-04-12	VYDAJ	VYBER	22700	96532	\N	\N	\N
3083980	10227	1996-04-14	VYDAJ	VYBER	29200	67332	\N	\N	\N
3083981	10227	1996-05-14	VYDAJ	VYBER	13400	54800	\N	\N	\N
3083982	10227	1996-06-13	VYDAJ	VYBER	8000	42518	\N	\N	\N
3083983	10227	1996-07-13	PRIJEM	VKLAD	8200	29620	\N	\N	\N
3083984	10227	1996-08-01	VYDAJ	VYBER	19500	123388	\N	\N	\N
3083985	10227	1996-08-12	VYDAJ	VYBER	45100	78288	\N	\N	\N
3083986	10227	1996-09-11	VYDAJ	VYBER	12500	53178	\N	\N	\N
3083987	10227	1996-10-11	VYDAJ	VYBER	8800	49308	\N	\N	\N
3083988	10227	1996-10-19	VYDAJ	VYBER	35000	102421	\N	\N	\N
3083989	10227	1996-11-10	VYDAJ	VYBER	24100	65159	\N	\N	\N
3083990	10227	1996-12-10	VYDAJ	VYBER	4400	47511	\N	\N	\N
3083991	10227	1997-01-09	VYDAJ	VYBER	20300	66044	\N	\N	\N
3083992	10227	1997-02-08	PRIJEM	VKLAD	9100	28909	\N	\N	\N
3083993	10227	1997-03-10	PRIJEM	VKLAD	13300	25237	\N	\N	\N
3083994	10227	1997-04-09	PRIJEM	VKLAD	13700	28016	\N	\N	\N
3083995	10227	1997-05-09	PRIJEM	VKLAD	7900	26114	\N	\N	\N
3083996	10227	1997-06-08	PRIJEM	VKLAD	12900	23342	\N	\N	\N
3083997	10227	1997-07-08	PRIJEM	VKLAD	10100	21402	\N	\N	\N
3083998	10227	1997-08-07	PRIJEM	VKLAD	8500	23318	\N	\N	\N
3083999	10227	1997-09-06	PRIJEM	VKLAD	13700	25566	\N	\N	\N
3084000	10227	1997-10-06	PRIJEM	VKLAD	8800	34284	\N	\N	\N
3084001	10227	1997-11-05	PRIJEM	VKLAD	200	34458	\N	\N	\N
3084002	10227	1997-12-05	VYDAJ	VYBER	5300	43670	\N	\N	\N
3084003	10227	1998-01-04	VYDAJ	VYBER KARTOU	2800	38871	\N	\N	0
3084004	10227	1998-02-03	PRIJEM	VKLAD	8400	29035	\N	\N	\N
3084005	10227	1998-03-05	PRIJEM	VKLAD	7800	36837	\N	\N	\N
3084006	10227	1998-04-04	VYDAJ	VYBER	7700	60277	\N	\N	\N
3084007	10227	1998-05-04	PRIJEM	VKLAD	1700	55379	\N	\N	\N
3084008	10227	1998-06-03	PRIJEM	VKLAD	3300	58766	\N	\N	\N
3084009	10227	1998-07-03	PRIJEM	VKLAD	800	59660	\N	\N	\N
3084010	10227	1998-08-02	VYDAJ	VYBER KARTOU	3800	55974	\N	\N	0
3084011	10227	1998-09-01	PRIJEM	VKLAD	800	57096	\N	\N	\N
3084012	10227	1998-10-01	VYDAJ	VYBER KARTOU	3300	54081	\N	\N	0
3084013	10227	1998-10-31	VYDAJ	VYBER KARTOU	600	53586	\N	\N	0
3084014	10227	1998-11-30	PRIJEM	VKLAD	5600	44486	\N	\N	\N
3084936	10233	1996-02-21	PRIJEM	VKLAD	500	500	\N	\N	\N
3084939	10233	1996-03-11	PRIJEM	PREVOD Z UCTU	23914	24414	\N	WX	83349090
3084940	10233	1996-04-11	PRIJEM	PREVOD Z UCTU	23914	48561	\N	WX	83349090
3084941	10233	1996-05-11	PRIJEM	PREVOD Z UCTU	23914	58091	\N	WX	83349090
3084942	10233	1996-06-11	PRIJEM	PREVOD Z UCTU	35871	77715	\N	WX	83349090
3084943	10233	1996-07-11	PRIJEM	PREVOD Z UCTU	23914	72213	\N	WX	83349090
3084944	10233	1996-08-11	PRIJEM	PREVOD Z UCTU	23914	49779	\N	WX	83349090
3084945	10233	1996-09-11	PRIJEM	PREVOD Z UCTU	23914	44276	\N	WX	83349090
3084946	10233	1996-10-11	PRIJEM	PREVOD Z UCTU	23914	52743	\N	WX	83349090
3084947	10233	1996-11-11	PRIJEM	PREVOD Z UCTU	23914	55541	\N	WX	83349090
3084948	10233	1996-12-11	PRIJEM	PREVOD Z UCTU	35871	71104	\N	WX	83349090
3084949	10233	1997-01-11	PRIJEM	PREVOD Z UCTU	23914	50225	\N	WX	83349090
3084950	10233	1997-02-11	PRIJEM	PREVOD Z UCTU	23914	50314	\N	WX	83349090
3084951	10233	1997-03-11	PRIJEM	PREVOD Z UCTU	23914	44874	\N	WX	83349090
3084952	10233	1997-04-11	PRIJEM	PREVOD Z UCTU	23914	48942	\N	WX	83349090
3084953	10233	1997-05-11	PRIJEM	PREVOD Z UCTU	23914	52016	\N	WX	83349090
3084954	10233	1997-06-11	PRIJEM	PREVOD Z UCTU	35871	63460	\N	WX	83349090
3084955	10233	1997-07-11	PRIJEM	PREVOD Z UCTU	23914	59274	\N	WX	83349090
3084956	10233	1997-08-11	PRIJEM	PREVOD Z UCTU	23914	50168	\N	WX	83349090
3084957	10233	1997-09-11	PRIJEM	PREVOD Z UCTU	23914	46739	\N	WX	83349090
3084958	10233	1997-10-11	PRIJEM	PREVOD Z UCTU	23914	35603	\N	WX	83349090
3084959	10233	1997-11-11	PRIJEM	PREVOD Z UCTU	23914	41242	\N	WX	83349090
3084960	10233	1997-12-11	PRIJEM	PREVOD Z UCTU	35871	53937	\N	WX	83349090
3084961	10233	1998-01-11	PRIJEM	PREVOD Z UCTU	23914	43544	\N	WX	83349090
3084962	10233	1998-02-11	PRIJEM	PREVOD Z UCTU	23914	29553	\N	WX	83349090
3084963	10233	1998-03-11	PRIJEM	PREVOD Z UCTU	23914	43776	\N	WX	83349090
3084964	10233	1998-04-11	PRIJEM	PREVOD Z UCTU	23914	36105	\N	WX	83349090
3084965	10233	1998-05-11	PRIJEM	PREVOD Z UCTU	23914	27293	\N	WX	83349090
3084966	10233	1998-06-11	PRIJEM	PREVOD Z UCTU	35871	53466	\N	WX	83349090
3084967	10233	1998-07-11	PRIJEM	PREVOD Z UCTU	23914	37374	\N	WX	83349090
3084968	10233	1998-08-11	PRIJEM	PREVOD Z UCTU	23914	51669	\N	WX	83349090
3084969	10233	1998-09-11	PRIJEM	PREVOD Z UCTU	23914	39087	\N	WX	83349090
3084970	10233	1998-10-11	PRIJEM	PREVOD Z UCTU	23914	53389	\N	WX	83349090
3084971	10233	1998-11-11	PRIJEM	PREVOD Z UCTU	23914	60809	\N	WX	83349090
3084972	10233	1998-12-11	PRIJEM	PREVOD Z UCTU	35871	61933	\N	WX	83349090
3084979	10233	1996-07-12	VYDAJ	VYBER	4200	49464	\N	\N	0
3084980	10233	1996-08-19	VYDAJ	VYBER	3800	24264	\N	\N	0
3084981	10233	1996-09-05	VYDAJ	VYBER	3500	20871	\N	\N	0
3084982	10233	1996-10-21	VYDAJ	VYBER	4600	35397	\N	\N	0
3084983	10233	1996-11-10	VYDAJ	VYBER	3400	31627	\N	\N	0
3084984	10233	1996-12-20	VYDAJ	VYBER	4200	39558	\N	\N	0
3084985	10233	1997-01-07	VYDAJ	VYBER	4500	26767	\N	\N	0
3084986	10233	1997-02-15	VYDAJ	VYBER	4200	33068	\N	\N	0
3084987	10233	1997-03-02	VYDAJ	VYBER	3700	21469	\N	\N	0
3084988	10233	1997-04-07	VYDAJ	VYBER	4300	25484	\N	\N	0
3084989	10233	1997-05-12	VYDAJ	PREVOD NA UCET	3986	48030	UVER	MN	72738069
3084990	10233	1997-06-12	VYDAJ	PREVOD NA UCET	3986	59475	UVER	MN	72738069
3084991	10233	1997-07-12	VYDAJ	PREVOD NA UCET	3986	54302	UVER	MN	72738069
3084992	10233	1997-08-12	VYDAJ	PREVOD NA UCET	3986	46182	UVER	MN	72738069
3084993	10233	1997-09-12	VYDAJ	PREVOD NA UCET	3986	18089	UVER	MN	72738069
3084994	10233	1997-10-12	VYDAJ	PREVOD NA UCET	3986	31617	UVER	MN	72738069
3084995	10233	1997-11-12	VYDAJ	PREVOD NA UCET	3986	22770	UVER	MN	72738069
3084996	10233	1997-12-12	VYDAJ	PREVOD NA UCET	3986	49951	UVER	MN	72738069
3084997	10233	1998-01-12	VYDAJ	PREVOD NA UCET	3986	11359	UVER	MN	72738069
3084998	10233	1998-02-12	VYDAJ	PREVOD NA UCET	3986	25567	UVER	MN	72738069
3084999	10233	1998-03-12	VYDAJ	PREVOD NA UCET	3986	38805	UVER	MN	72738069
3085000	10233	1998-04-12	VYDAJ	PREVOD NA UCET	3986	9119	UVER	MN	72738069
3085001	10233	1998-05-12	VYDAJ	PREVOD NA UCET	3986	23308	UVER	MN	72738069
3085002	10233	1998-06-12	VYDAJ	PREVOD NA UCET	3986	48495	UVER	MN	72738069
3085003	10233	1998-07-12	VYDAJ	PREVOD NA UCET	3986	33389	UVER	MN	72738069
3085004	10233	1998-08-12	VYDAJ	PREVOD NA UCET	3986	47683	UVER	MN	72738069
3085005	10233	1998-09-12	VYDAJ	PREVOD NA UCET	3986	34115	UVER	MN	72738069
3085006	10233	1998-10-12	VYDAJ	PREVOD NA UCET	3986	49403	UVER	MN	72738069
3085007	10233	1998-11-12	VYDAJ	PREVOD NA UCET	3986	51671	UVER	MN	72738069
3085008	10233	1998-12-12	VYDAJ	PREVOD NA UCET	3986	57947	UVER	MN	72738069
3085016	10233	1996-08-08	VYDAJ	PREVOD NA UCET	456	25865	SIPO	WX	6003463
3085017	10233	1996-09-08	VYDAJ	PREVOD NA UCET	456	20362	SIPO	WX	6003463
3085018	10233	1996-10-08	VYDAJ	PREVOD NA UCET	456	28829	SIPO	WX	6003463
3085019	10233	1996-11-08	VYDAJ	PREVOD NA UCET	456	35027	SIPO	WX	6003463
3085020	10233	1996-12-08	VYDAJ	PREVOD NA UCET	456	35233	SIPO	WX	6003463
3085021	10233	1997-01-08	VYDAJ	PREVOD NA UCET	456	26311	SIPO	WX	6003463
3085022	10233	1997-02-08	VYDAJ	PREVOD NA UCET	456	26400	SIPO	WX	6003463
3085023	10233	1997-03-08	VYDAJ	PREVOD NA UCET	456	20960	SIPO	WX	6003463
3085024	10233	1997-04-08	VYDAJ	PREVOD NA UCET	456	25028	SIPO	WX	6003463
3085025	10233	1997-05-08	VYDAJ	PREVOD NA UCET	456	28102	SIPO	WX	6003463
3085026	10233	1997-06-08	VYDAJ	PREVOD NA UCET	456	27589	SIPO	WX	6003463
3085027	10233	1997-07-08	VYDAJ	PREVOD NA UCET	456	35360	SIPO	WX	6003463
3085028	10233	1997-08-08	VYDAJ	PREVOD NA UCET	456	26254	SIPO	WX	6003463
3085029	10233	1997-09-08	VYDAJ	PREVOD NA UCET	456	22825	SIPO	WX	6003463
3085030	10233	1997-10-08	VYDAJ	PREVOD NA UCET	456	11689	SIPO	WX	6003463
3085031	10233	1997-11-08	VYDAJ	PREVOD NA UCET	456	17328	SIPO	WX	6003463
3085032	10233	1997-12-08	VYDAJ	PREVOD NA UCET	456	18066	SIPO	WX	6003463
3085033	10233	1998-01-08	VYDAJ	PREVOD NA UCET	456	19630	SIPO	WX	6003463
3085034	10233	1998-02-08	VYDAJ	PREVOD NA UCET	456	5639	SIPO	WX	6003463
3085035	10233	1998-03-08	VYDAJ	PREVOD NA UCET	456	19862	SIPO	WX	6003463
3085036	10233	1998-04-08	VYDAJ	PREVOD NA UCET	456	12191	SIPO	WX	6003463
3085037	10233	1998-05-08	VYDAJ	PREVOD NA UCET	456	3379	SIPO	WX	6003463
3085038	10233	1998-06-08	VYDAJ	PREVOD NA UCET	456	17595	SIPO	WX	6003463
3085039	10233	1998-07-08	VYDAJ	PREVOD NA UCET	456	43860	SIPO	WX	6003463
3085040	10233	1998-08-08	VYDAJ	PREVOD NA UCET	456	27755	SIPO	WX	6003463
3085041	10233	1998-09-08	VYDAJ	PREVOD NA UCET	456	42073	SIPO	WX	6003463
3085042	10233	1998-10-08	VYDAJ	PREVOD NA UCET	456	29475	SIPO	WX	6003463
3085043	10233	1998-11-08	VYDAJ	PREVOD NA UCET	456	36895	SIPO	WX	6003463
3085044	10233	1998-12-08	VYDAJ	PREVOD NA UCET	456	26062	SIPO	WX	6003463
3085052	10233	1996-08-05	VYDAJ	PREVOD NA UCET	53	31721	 	CD	70803910
3085053	10233	1996-09-05	VYDAJ	PREVOD NA UCET	53	20818	 	CD	70803910
3085054	10233	1996-10-05	VYDAJ	PREVOD NA UCET	53	29285	 	CD	70803910
3085055	10233	1996-11-05	VYDAJ	PREVOD NA UCET	53	35483	 	CD	70803910
3085056	10233	1996-12-05	VYDAJ	PREVOD NA UCET	53	35689	 	CD	70803910
3085057	10233	1997-01-05	VYDAJ	PREVOD NA UCET	53	31267	 	CD	70803910
3085058	10233	1997-02-05	VYDAJ	PREVOD NA UCET	53	26856	 	CD	70803910
3085059	10233	1997-03-05	VYDAJ	PREVOD NA UCET	53	21416	 	CD	70803910
3085060	10233	1997-04-05	VYDAJ	PREVOD NA UCET	53	29784	 	CD	70803910
3085061	10233	1997-05-05	VYDAJ	PREVOD NA UCET	53	28558	 	CD	70803910
3085062	10233	1997-06-05	VYDAJ	PREVOD NA UCET	53	28045	 	CD	70803910
3085063	10233	1997-07-05	VYDAJ	PREVOD NA UCET	53	35816	 	CD	70803910
3085064	10233	1997-08-05	VYDAJ	PREVOD NA UCET	53	26710	 	CD	70803910
3085065	10233	1997-09-05	VYDAJ	PREVOD NA UCET	53	23281	 	CD	70803910
3085066	10233	1997-10-05	VYDAJ	PREVOD NA UCET	53	12145	 	CD	70803910
3085067	10233	1997-11-05	VYDAJ	PREVOD NA UCET	53	17784	 	CD	70803910
3085068	10233	1997-12-05	VYDAJ	PREVOD NA UCET	53	18522	 	CD	70803910
3085069	10233	1998-01-05	VYDAJ	PREVOD NA UCET	53	20086	 	CD	70803910
3085070	10233	1998-02-05	VYDAJ	PREVOD NA UCET	53	6095	 	CD	70803910
3085071	10233	1998-03-05	VYDAJ	PREVOD NA UCET	53	20318	 	CD	70803910
3085072	10233	1998-04-05	VYDAJ	PREVOD NA UCET	53	12647	 	CD	70803910
3085073	10233	1998-05-05	VYDAJ	PREVOD NA UCET	53	3835	 	CD	70803910
3085074	10233	1998-06-05	VYDAJ	PREVOD NA UCET	53	18051	 	CD	70803910
3085075	10233	1998-07-05	VYDAJ	PREVOD NA UCET	53	44316	 	CD	70803910
3085076	10233	1998-08-05	VYDAJ	PREVOD NA UCET	53	28211	 	CD	70803910
3085077	10233	1998-09-05	VYDAJ	PREVOD NA UCET	53	42529	 	CD	70803910
3085078	10233	1998-10-05	VYDAJ	PREVOD NA UCET	53	29931	 	CD	70803910
3085079	10233	1998-11-05	VYDAJ	PREVOD NA UCET	53	37351	 	CD	70803910
3085080	10233	1998-12-05	VYDAJ	PREVOD NA UCET	53	46539	 	CD	70803910
3085087	10233	1996-07-12	VYDAJ	PREVOD NA UCET	986	48478	POJISTNE	OP	53952217
3085088	10233	1996-08-12	VYDAJ	PREVOD NA UCET	986	48793	POJISTNE	OP	53952217
3085089	10233	1996-09-12	VYDAJ	PREVOD NA UCET	986	43290	POJISTNE	OP	53952217
3085090	10233	1996-10-12	VYDAJ	PREVOD NA UCET	986	51757	POJISTNE	OP	53952217
3085091	10233	1996-11-12	VYDAJ	PREVOD NA UCET	986	54555	POJISTNE	OP	53952217
3085092	10233	1996-12-12	VYDAJ	PREVOD NA UCET	986	70118	POJISTNE	OP	53952217
3085093	10233	1997-01-12	VYDAJ	PREVOD NA UCET	986	49239	POJISTNE	OP	53952217
3085094	10233	1997-02-12	VYDAJ	PREVOD NA UCET	986	49328	POJISTNE	OP	53952217
3085095	10233	1997-03-12	VYDAJ	PREVOD NA UCET	986	43888	POJISTNE	OP	53952217
3085096	10233	1997-04-12	VYDAJ	PREVOD NA UCET	986	47956	POJISTNE	OP	53952217
3085097	10233	1997-05-12	VYDAJ	PREVOD NA UCET	986	47044	POJISTNE	OP	53952217
3085098	10233	1997-06-12	VYDAJ	PREVOD NA UCET	986	58489	POJISTNE	OP	53952217
3085099	10233	1997-07-12	VYDAJ	PREVOD NA UCET	986	58288	POJISTNE	OP	53952217
3085100	10233	1997-08-12	VYDAJ	PREVOD NA UCET	986	45196	POJISTNE	OP	53952217
3085101	10233	1997-09-12	VYDAJ	PREVOD NA UCET	986	17103	POJISTNE	OP	53952217
3085102	10233	1997-10-12	VYDAJ	PREVOD NA UCET	986	30631	POJISTNE	OP	53952217
3085103	10233	1997-11-12	VYDAJ	PREVOD NA UCET	986	40256	POJISTNE	OP	53952217
3085104	10233	1997-12-12	VYDAJ	PREVOD NA UCET	986	29065	POJISTNE	OP	53952217
3085105	10233	1998-01-12	VYDAJ	PREVOD NA UCET	986	10373	POJISTNE	OP	53952217
3085106	10233	1998-02-12	VYDAJ	PREVOD NA UCET	986	24581	POJISTNE	OP	53952217
3085107	10233	1998-03-12	VYDAJ	PREVOD NA UCET	986	42790	POJISTNE	OP	53952217
3085108	10233	1998-04-12	VYDAJ	PREVOD NA UCET	986	8133	POJISTNE	OP	53952217
3085109	10233	1998-05-12	VYDAJ	PREVOD NA UCET	986	22322	POJISTNE	OP	53952217
3085231	10233	1998-10-31	VYDAJ	VYBER	15	37404	SLUZBY	\N	\N
3085110	10233	1998-06-12	VYDAJ	PREVOD NA UCET	986	52480	POJISTNE	OP	53952217
3085111	10233	1998-07-12	VYDAJ	PREVOD NA UCET	986	32403	POJISTNE	OP	53952217
3085112	10233	1998-08-12	VYDAJ	PREVOD NA UCET	986	46697	POJISTNE	OP	53952217
3085113	10233	1998-09-12	VYDAJ	PREVOD NA UCET	986	38101	POJISTNE	OP	53952217
3085114	10233	1998-10-12	VYDAJ	PREVOD NA UCET	986	48417	POJISTNE	OP	53952217
3085115	10233	1998-11-12	VYDAJ	PREVOD NA UCET	986	50685	POJISTNE	OP	53952217
3085116	10233	1998-12-12	VYDAJ	PREVOD NA UCET	986	56961	POJISTNE	OP	53952217
3085123	10233	1996-07-13	VYDAJ	PREVOD NA UCET	4260	44218	 	MN	69788956
3085124	10233	1996-08-13	VYDAJ	PREVOD NA UCET	4260	44533	 	MN	69788956
3085125	10233	1996-09-13	VYDAJ	PREVOD NA UCET	4260	39030	 	MN	69788956
3085126	10233	1996-10-13	VYDAJ	PREVOD NA UCET	4260	47497	 	MN	69788956
3085127	10233	1996-11-13	VYDAJ	PREVOD NA UCET	4260	50295	 	MN	69788956
3085128	10233	1996-12-13	VYDAJ	PREVOD NA UCET	4260	65858	 	MN	69788956
3085129	10233	1997-01-13	VYDAJ	PREVOD NA UCET	4260	44979	 	MN	69788956
3085130	10233	1997-02-13	VYDAJ	PREVOD NA UCET	4260	45068	 	MN	69788956
3085131	10233	1997-03-13	VYDAJ	PREVOD NA UCET	4260	39628	 	MN	69788956
3085132	10233	1997-04-13	VYDAJ	PREVOD NA UCET	4260	43696	 	MN	69788956
3085133	10233	1997-05-13	VYDAJ	PREVOD NA UCET	4260	42784	 	MN	69788956
3085134	10233	1997-06-13	VYDAJ	PREVOD NA UCET	4260	54229	 	MN	69788956
3085135	10233	1997-07-13	VYDAJ	PREVOD NA UCET	4260	40442	 	MN	69788956
3085136	10233	1997-08-13	VYDAJ	PREVOD NA UCET	4260	40936	 	MN	69788956
3085137	10233	1997-09-13	VYDAJ	PREVOD NA UCET	4260	12843	 	MN	69788956
3085138	10233	1997-10-13	VYDAJ	PREVOD NA UCET	4260	17771	 	MN	69788956
3085139	10233	1997-11-13	VYDAJ	PREVOD NA UCET	4260	18510	 	MN	69788956
3085140	10233	1997-12-13	VYDAJ	PREVOD NA UCET	4260	24805	 	MN	69788956
3085141	10233	1998-01-13	VYDAJ	PREVOD NA UCET	4260	6113	 	MN	69788956
3085142	10233	1998-02-13	VYDAJ	PREVOD NA UCET	4260	20321	 	MN	69788956
3085143	10233	1998-03-13	VYDAJ	PREVOD NA UCET	4260	12645	 	MN	69788956
3085144	10233	1998-04-13	VYDAJ	PREVOD NA UCET	4260	3873	 	MN	69788956
3085145	10233	1998-05-13	VYDAJ	PREVOD NA UCET	4260	18062	 	MN	69788956
3085146	10233	1998-06-13	VYDAJ	PREVOD NA UCET	4260	44235	 	MN	69788956
3085147	10233	1998-07-13	VYDAJ	PREVOD NA UCET	4260	28143	 	MN	69788956
3085148	10233	1998-08-13	VYDAJ	PREVOD NA UCET	4260	42437	 	MN	69788956
3085149	10233	1998-09-13	VYDAJ	PREVOD NA UCET	4260	29855	 	MN	69788956
3085150	10233	1998-10-13	VYDAJ	PREVOD NA UCET	4260	44157	 	MN	69788956
3085151	10233	1998-11-13	VYDAJ	PREVOD NA UCET	4260	46425	 	MN	69788956
3085152	10233	1998-12-13	VYDAJ	PREVOD NA UCET	4260	52701	 	MN	69788956
3085155	10233	1996-07-11	VYBER	VYBER	18549	53664	\N	\N	\N
3085162	10233	1996-08-15	VYBER	VYBER	16469	28064	\N	\N	\N
3085164	10233	1997-09-11	VYBER	VYBER	24665	22074	\N	\N	\N
3085165	10233	1997-02-26	VYBER	VYBER	8022	25046	\N	\N	\N
3085166	10233	1998-12-06	VYBER	VYBER	20021	26518	\N	\N	\N
3085168	10233	1998-01-04	VYBER	VYBER	4753	20139	\N	\N	\N
3085171	10233	1998-12-16	VYBER	VYBER	4525	48176	\N	\N	\N
3085172	10233	1998-11-11	VYBER	VYBER	5153	55656	\N	\N	\N
3085180	10233	1998-01-11	VYDAJ	VYBER	15300	28244	\N	\N	\N
3085181	10233	1996-12-26	VYDAJ	VYBER	8400	31158	\N	\N	\N
3085183	10233	1998-12-16	VYDAJ	VYBER	8400	28676	\N	\N	\N
3085184	10233	1996-08-06	VYDAJ	VYBER	5400	26321	\N	\N	\N
3085187	10233	1997-02-04	VYDAJ	VYBER	7500	26909	\N	\N	\N
3085189	10233	1997-07-13	VYDAJ	VYBER	9600	44702	\N	\N	\N
3085191	10233	1997-08-24	VYDAJ	VYBER	2100	23236	\N	\N	\N
3085192	10233	1997-06-29	VYDAJ	VYBER	2400	35729	\N	\N	\N
3085193	10233	1998-12-24	VYDAJ	VYBER	1800	26876	\N	\N	\N
3085194	10233	1998-12-16	VYDAJ	VYBER	11100	37076	\N	\N	\N
3085196	10233	1998-10-28	VYDAJ	VYBER	6900	37257	\N	\N	\N
3085204	10233	1996-07-31	VYDAJ	VYBER	15	31774	SLUZBY	\N	\N
3085205	10233	1996-08-31	VYDAJ	VYBER	15	24371	SLUZBY	\N	\N
3085206	10233	1996-09-30	VYDAJ	VYBER	15	29338	SLUZBY	\N	\N
3085207	10233	1996-10-31	VYDAJ	VYBER	15	35536	SLUZBY	\N	\N
3085208	10233	1996-11-30	VYDAJ	VYBER	15	35742	SLUZBY	\N	\N
3085209	10233	1996-12-31	VYDAJ	VYBER	15	31320	SLUZBY	\N	\N
3085210	10233	1997-01-31	VYDAJ	VYBER	15	34409	SLUZBY	\N	\N
3085211	10233	1997-02-28	VYDAJ	VYBER	15	25169	SLUZBY	\N	\N
3085212	10233	1997-03-31	VYDAJ	VYBER	15	29837	SLUZBY	\N	\N
3085213	10233	1997-04-30	VYDAJ	VYBER	15	28611	SLUZBY	\N	\N
3085214	10233	1997-05-31	VYDAJ	VYBER	15	28098	SLUZBY	\N	\N
3085215	10233	1997-06-30	VYDAJ	VYBER	15	35869	SLUZBY	\N	\N
3085216	10233	1997-07-31	VYDAJ	VYBER	15	26763	SLUZBY	\N	\N
3085217	10233	1997-08-31	VYDAJ	VYBER	15	23334	SLUZBY	\N	\N
3085218	10233	1997-09-30	VYDAJ	VYBER	15	12198	SLUZBY	\N	\N
3085219	10233	1997-10-31	VYDAJ	VYBER	15	17837	SLUZBY	\N	\N
3085220	10233	1997-11-30	VYDAJ	VYBER	15	18575	SLUZBY	\N	\N
3085221	10233	1997-12-31	VYDAJ	VYBER	15	24892	SLUZBY	\N	\N
3085222	10233	1998-01-31	VYDAJ	VYBER	15	6148	SLUZBY	\N	\N
3085223	10233	1998-02-28	VYDAJ	VYBER	15	20371	SLUZBY	\N	\N
3085224	10233	1998-03-31	VYDAJ	VYBER	15	12700	SLUZBY	\N	\N
3085225	10233	1998-04-30	VYDAJ	VYBER	15	3888	SLUZBY	\N	\N
3085226	10233	1998-05-31	VYDAJ	VYBER	15	18104	SLUZBY	\N	\N
3085227	10233	1998-06-30	VYDAJ	VYBER	15	44369	SLUZBY	\N	\N
3085228	10233	1998-07-31	VYDAJ	VYBER	15	28264	SLUZBY	\N	\N
3085229	10233	1998-08-31	VYDAJ	VYBER	15	42582	SLUZBY	\N	\N
3085230	10233	1998-09-30	VYDAJ	VYBER	15	29984	SLUZBY	\N	\N
3085232	10233	1998-11-30	VYDAJ	VYBER	15	46592	SLUZBY	\N	\N
3085233	10233	1996-03-22	PRIJEM	VKLAD	200	24614	\N	\N	\N
3085234	10233	1996-04-21	VYDAJ	VYBER	14500	34061	\N	\N	\N
3085235	10233	1996-05-21	VYDAJ	VYBER	16400	41691	\N	\N	\N
3085236	10233	1996-06-20	VYDAJ	VYBER	29600	48115	\N	\N	\N
3085237	10233	1996-07-20	VYDAJ	VYBER	12600	31618	\N	\N	\N
3085238	10233	1996-09-18	VYDAJ	VYBER	9800	29230	\N	\N	\N
3085239	10233	1996-10-18	VYDAJ	VYBER	7500	39997	\N	\N	\N
3085240	10233	1996-11-17	VYDAJ	VYBER	14700	35595	\N	\N	\N
3085241	10233	1996-12-17	VYDAJ	VYBER	22100	43758	\N	\N	\N
3085242	10233	1997-01-16	VYDAJ	VYBER	10700	34279	\N	\N	\N
3085243	10233	1997-02-15	VYDAJ	VYBER	7800	37268	\N	\N	\N
3085244	10233	1997-03-17	VYDAJ	VYBER	9900	29728	\N	\N	\N
3085245	10233	1997-04-16	VYDAJ	VYBER	15200	28496	\N	\N	\N
3085246	10233	1997-05-16	VYDAJ	VYBER	14800	27984	\N	\N	\N
3085247	10233	1997-06-15	VYDAJ	VYBER	16100	38129	\N	\N	\N
3085248	10233	1997-07-15	VYDAJ	VYBER	13800	26642	\N	\N	\N
3085249	10233	1997-08-14	VYDAJ	VYBER	15600	25336	\N	\N	\N
3085250	10233	1997-09-13	VYDAJ	VYBER	700	12143	\N	\N	\N
3085251	10233	1997-10-13	VYDAJ	VYBER	8600	22031	\N	\N	\N
3085252	10233	1997-11-12	VYDAJ	VYBER	13500	26756	\N	\N	\N
3085253	10233	1997-12-12	VYDAJ	VYBER	19900	30051	\N	\N	\N
3085254	10233	1998-01-11	VYDAJ	VYBER	12900	15344	\N	\N	\N
3085255	10233	1998-03-12	VYDAJ	VYBER	21900	16905	\N	\N	\N
3085256	10233	1998-04-11	VYDAJ	VYBER	23000	13105	\N	\N	\N
3085257	10233	1998-07-10	VYDAJ	VYBER	30400	13460	\N	\N	\N
3085258	10233	1998-09-08	VYDAJ	VYBER	26900	15173	\N	\N	\N
3088140	10243	1997-09-03	PRIJEM	VKLAD	200	200	\N	\N	\N
3088142	10243	1997-12-30	PRIJEM	VKLAD	42893	100569	\N	\N	\N
3088143	10243	1997-10-05	PRIJEM	VKLAD	27588	72885	\N	\N	\N
3088145	10243	1997-12-12	PRIJEM	VKLAD	21444	69253	\N	\N	\N
3088146	10243	1997-11-10	PRIJEM	VKLAD	47893	98913	\N	\N	\N
3088148	10243	1997-09-22	PRIJEM	VKLAD	25308	71492	\N	\N	\N
3088152	10243	1997-11-17	PRIJEM	VKLAD	16465	118477	\N	\N	\N
3088155	10243	1997-10-20	PRIJEM	VKLAD	27284	100169	\N	\N	\N
3088156	10243	1997-09-04	PRIJEM	VKLAD	45984	46184	\N	\N	\N
3088162	10243	1997-11-12	PRIJEM	VKLAD	22499	121412	\N	\N	\N
3088166	10243	1997-11-08	PRIJEM	VKLAD	14580	112420	\N	\N	\N
3088167	10243	1997-12-25	PRIJEM	VKLAD	5423	57676	\N	\N	\N
3088168	10243	1997-11-04	PRIJEM	VKLAD	36224	97840	\N	\N	\N
3088169	10243	1998-07-05	PRIJEM	VKLAD	23473	53129	\N	\N	\N
3088170	10243	1998-09-05	PRIJEM	VKLAD	22338	94578	\N	\N	\N
3088171	10243	1998-11-06	PRIJEM	VKLAD	36609	105083	\N	\N	\N
3088172	10243	1998-06-08	PRIJEM	VKLAD	47941	112847	\N	\N	\N
3088173	10243	1998-09-18	PRIJEM	VKLAD	18505	110483	\N	\N	\N
3088174	10243	1998-11-07	PRIJEM	VKLAD	33210	138293	\N	\N	\N
3088175	10243	1998-01-17	PRIJEM	VKLAD	49770	85615	\N	\N	\N
3088176	10243	1998-01-02	PRIJEM	VKLAD	34253	86899	\N	\N	\N
3088177	10243	1998-02-09	PRIJEM	VKLAD	11021	85311	\N	\N	\N
3088178	10243	1998-12-15	PRIJEM	VKLAD	17226	112660	\N	\N	\N
3088179	10243	1998-02-25	PRIJEM	VKLAD	8265	65869	\N	\N	\N
3088180	10243	1998-07-17	PRIJEM	VKLAD	41841	94970	\N	\N	\N
3088181	10243	1998-04-13	PRIJEM	VKLAD	44549	73125	\N	\N	\N
3088182	10243	1998-05-17	PRIJEM	VKLAD	6137	54121	\N	\N	\N
3088183	10243	1998-08-13	PRIJEM	VKLAD	17846	58346	\N	\N	\N
3088184	10243	1998-02-07	PRIJEM	VKLAD	32494	74290	\N	\N	\N
3088185	10243	1998-08-30	PRIJEM	VKLAD	45197	78341	\N	\N	\N
3088186	10243	1998-12-09	PRIJEM	VKLAD	9897	98586	\N	\N	\N
3088187	10243	1998-12-19	PRIJEM	VKLAD	33098	119158	\N	\N	\N
3088188	10243	1998-06-07	PRIJEM	VKLAD	47455	64906	\N	\N	\N
3088189	10243	1998-01-03	PRIJEM	VKLAD	24146	111045	\N	\N	\N
3088190	10243	1998-06-13	PRIJEM	VKLAD	39163	131410	\N	\N	\N
3088191	10243	1998-04-26	PRIJEM	VKLAD	14929	88054	\N	\N	\N
3088192	10243	1998-06-26	PRIJEM	VKLAD	49919	118329	\N	\N	\N
3088193	10243	1998-11-22	PRIJEM	VKLAD	10161	101503	\N	\N	\N
3088194	10243	1998-02-21	PRIJEM	VKLAD	37793	119604	\N	\N	\N
3088195	10243	1998-11-02	PRIJEM	VKLAD	43080	68474	\N	\N	\N
3088196	10243	1998-12-01	PRIJEM	VKLAD	37537	88689	\N	\N	\N
3088197	10243	1998-03-28	PRIJEM	VKLAD	27081	56633	\N	\N	\N
3088208	10243	1997-11-12	VYDAJ	VYBER	3700	117712	\N	\N	0
3088209	10243	1997-12-21	VYDAJ	VYBER	3200	59753	\N	\N	0
3088210	10243	1998-01-04	VYDAJ	VYBER	3000	55645	\N	\N	0
3088211	10243	1998-02-11	VYDAJ	VYBER	3500	81811	\N	\N	0
3088212	10243	1998-03-12	VYDAJ	VYBER	2800	32852	\N	\N	0
3088213	10243	1998-04-02	VYDAJ	VYBER	2500	28576	\N	\N	0
3088214	10243	1998-05-18	VYDAJ	VYBER	3000	51121	\N	\N	0
3088215	10243	1998-06-15	VYDAJ	VYBER	2600	68410	\N	\N	0
3088216	10243	1998-07-02	VYDAJ	VYBER	2800	29656	\N	\N	0
3088217	10243	1998-08-08	VYDAJ	VYBER	3800	40500	\N	\N	0
3088218	10243	1998-09-09	VYDAJ	VYBER	2600	91978	\N	\N	0
3088219	10243	1998-10-12	VYDAJ	PREVOD NA UCET	3151	58107	UVER	GH	33131796
3088220	10243	1998-11-12	VYDAJ	PREVOD NA UCET	3151	91342	UVER	GH	33131796
3088221	10243	1998-12-12	VYDAJ	PREVOD NA UCET	3151	95434	UVER	GH	33131796
3088226	10243	1998-05-19	VYBER	VYBER	24804	26317	\N	\N	\N
3088227	10243	1998-11-23	VYBER	VYBER	4645	82725	\N	\N	\N
3088228	10243	1998-11-22	VYBER	VYBER	14133	87370	\N	\N	\N
3088230	10243	1998-01-28	VYBER	VYBER	4984	77331	\N	\N	\N
3088231	10243	1998-08-18	VYBER	VYBER	6602	51744	\N	\N	\N
3088232	10243	1998-10-17	VYBER	VYBER	21797	36310	\N	\N	\N
3088234	10243	1998-03-01	VYBER	VYBER	2873	63252	\N	\N	\N
3088235	10243	1998-07-23	VYBER	VYBER	24913	70057	\N	\N	\N
3088237	10243	1998-06-26	VYDAJ	VYBER	22200	57429	\N	\N	\N
3088239	10243	1998-01-06	VYDAJ	VYBER	4500	51145	\N	\N	\N
3088240	10243	1997-12-13	VYDAJ	VYBER	6300	62953	\N	\N	\N
3088241	10243	1998-12-29	VYDAJ	VYBER KARTOU	3900	45558	\N	\N	0
3088248	10243	1998-01-03	VYDAJ	VYBER	7200	103845	\N	\N	\N
3088249	10243	1998-01-26	VYDAJ	VYBER	3300	82315	\N	\N	\N
3088250	10243	1998-01-30	VYDAJ	VYBER	5400	71931	\N	\N	\N
3088251	10243	1998-01-15	VYDAJ	VYBER	2700	35845	\N	\N	\N
3088252	10243	1998-01-07	VYDAJ	VYBER	5700	45445	\N	\N	\N
3088253	10243	1998-01-12	VYDAJ	VYBER	6900	38545	\N	\N	\N
3088256	10243	1997-12-23	VYDAJ	VYBER	7500	52253	\N	\N	\N
3088259	10243	1998-09-03	VYDAJ	VYBER	6300	72240	\N	\N	\N
3088260	10243	1998-03-27	VYDAJ	VYBER	3300	29552	\N	\N	\N
3088272	10243	1997-11-30	VYDAJ	VYBER	15	80309	SLUZBY	\N	\N
3088273	10243	1997-12-31	VYDAJ	VYBER	15	100846	SLUZBY	\N	\N
3088274	10243	1998-01-31	VYDAJ	VYBER	15	72196	SLUZBY	\N	\N
3088275	10243	1998-02-28	VYDAJ	VYBER	15	66125	SLUZBY	\N	\N
3088276	10243	1998-03-31	VYDAJ	VYBER	15	56776	SLUZBY	\N	\N
3088277	10243	1998-04-30	VYDAJ	VYBER	15	88284	SLUZBY	\N	\N
3088278	10243	1998-05-31	VYDAJ	VYBER	15	17451	SLUZBY	\N	\N
3088279	10243	1998-06-30	VYDAJ	VYBER	15	57656	SLUZBY	\N	\N
3088280	10243	1998-07-31	VYDAJ	VYBER	15	44300	SLUZBY	\N	\N
3088281	10243	1998-08-31	VYDAJ	VYBER	15	78540	SLUZBY	\N	\N
3088282	10243	1998-09-30	VYDAJ	VYBER	15	61258	SLUZBY	\N	\N
3088283	10243	1998-10-31	VYDAJ	VYBER	15	25394	SLUZBY	\N	\N
3088284	10243	1998-11-30	VYDAJ	VYBER	15	51152	SLUZBY	\N	\N
3088285	10243	1997-10-03	VYDAJ	VYBER	26400	45297	\N	\N	\N
3088286	10243	1997-11-02	VYDAJ	VYBER	38900	61616	\N	\N	\N
3088287	10243	1997-11-08	VYDAJ	VYBER	61400	51020	\N	\N	\N
3088288	10243	1997-11-12	VYDAJ	VYBER	15700	102012	\N	\N	\N
3088289	10243	1997-11-17	VYDAJ	VYBER	38600	79877	\N	\N	\N
3088290	10243	1997-12-02	VYDAJ	VYBER	32500	47809	\N	\N	\N
3088291	10243	1998-01-01	VYDAJ	VYBER	48200	52646	\N	\N	\N
3088292	10243	1998-01-03	VYDAJ	VYBER	45200	58645	\N	\N	\N
3088293	10243	1998-01-31	VYDAJ	VYBER	30400	41796	\N	\N	\N
3088294	10243	1998-02-21	VYDAJ	VYBER	62000	57604	\N	\N	\N
3088295	10243	1998-03-02	VYDAJ	VYBER	27600	35652	\N	\N	\N
3088296	10243	1998-04-01	VYDAJ	VYBER	25700	31076	\N	\N	\N
3088297	10243	1998-05-01	VYDAJ	VYBER	40300	47984	\N	\N	\N
3088298	10243	1998-05-31	VYDAJ	VYBER	9100	17466	\N	\N	\N
3088299	10243	1998-06-08	VYDAJ	VYBER	20600	92247	\N	\N	\N
3088300	10243	1998-06-13	VYDAJ	VYBER	60400	71010	\N	\N	\N
3088301	10243	1998-06-26	VYDAJ	VYBER	38700	79629	\N	\N	\N
3088302	10243	1998-06-30	VYDAJ	VYBER	25200	32456	\N	\N	\N
3088303	10243	1998-07-30	VYDAJ	VYBER	26000	44057	\N	\N	\N
3088304	10243	1998-08-29	VYDAJ	VYBER	18600	33144	\N	\N	\N
3088305	10243	1998-09-28	VYDAJ	VYBER	49600	60883	\N	\N	\N
3088306	10243	1998-10-28	VYDAJ	VYBER	11100	25210	\N	\N	\N
3088307	10243	1998-11-07	VYDAJ	VYBER	43800	94493	\N	\N	\N
3088308	10243	1998-11-27	VYDAJ	VYBER	31900	50825	\N	\N	\N
3088309	10243	1998-12-15	VYDAJ	VYBER	26600	86060	\N	\N	\N
3088310	10243	1998-12-19	VYDAJ	VYBER	34800	84358	\N	\N	\N
3088311	10243	1998-12-27	VYDAJ	VYBER	34900	49458	\N	\N	\N
3091791	10257	1997-05-01	PRIJEM	VKLAD	900	900	\N	\N	\N
3091793	10257	1997-09-01	PRIJEM	VKLAD	30196	77021	\N	\N	\N
3091794	10257	1997-05-13	PRIJEM	VKLAD	17222	26689	\N	\N	\N
3091796	10257	1997-07-13	PRIJEM	VKLAD	40043	89115	\N	\N	\N
3091797	10257	1997-08-19	PRIJEM	VKLAD	49717	62497	\N	\N	\N
3091798	10257	1997-05-03	PRIJEM	VKLAD	8567	9467	\N	\N	\N
3091799	10257	1997-05-13	PRIJEM	VKLAD	36721	63410	\N	\N	\N
3091801	10257	1997-07-25	PRIJEM	VKLAD	20260	106775	\N	\N	\N
3091802	10257	1997-09-05	PRIJEM	VKLAD	44256	90777	\N	\N	\N
3091803	10257	1997-12-22	PRIJEM	VKLAD	5172	29011	\N	\N	\N
3091804	10257	1997-05-28	PRIJEM	VKLAD	35489	98899	\N	\N	\N
3091805	10257	1997-10-15	PRIJEM	VKLAD	34482	73128	\N	\N	\N
3091807	10257	1997-12-24	PRIJEM	VKLAD	49482	78493	\N	\N	\N
3091809	10257	1997-11-22	PRIJEM	VKLAD	31058	65036	\N	\N	\N
3091810	10257	1997-06-29	PRIJEM	VKLAD	38520	94829	\N	\N	\N
3091812	10257	1997-10-18	PRIJEM	VKLAD	42857	115985	\N	\N	\N
3091814	10257	1997-06-11	PRIJEM	VKLAD	49874	114562	\N	\N	\N
3091815	10257	1998-11-12	PRIJEM	VKLAD	42631	75910	\N	\N	\N
3091816	10257	1998-09-09	PRIJEM	VKLAD	6595	59202	\N	\N	\N
3091817	10257	1998-07-31	PRIJEM	VKLAD	23954	49422	\N	\N	\N
3091818	10257	1998-05-03	PRIJEM	VKLAD	37861	126763	\N	\N	\N
3091819	10257	1998-04-10	PRIJEM	VKLAD	29570	39389	\N	\N	\N
3091820	10257	1998-07-17	PRIJEM	VKLAD	36391	60337	\N	\N	\N
3091821	10257	1998-11-02	PRIJEM	VKLAD	43253	48080	\N	\N	\N
3091822	10257	1998-12-24	PRIJEM	VKLAD	41792	99765	\N	\N	\N
3091823	10257	1998-12-12	PRIJEM	VKLAD	22106	50543	\N	\N	\N
3091824	10257	1998-05-01	PRIJEM	VKLAD	33602	88902	\N	\N	\N
3091825	10257	1998-04-27	PRIJEM	VKLAD	12571	55109	\N	\N	\N
3091826	10257	1998-08-30	PRIJEM	VKLAD	30421	67213	\N	\N	\N
3091827	10257	1998-03-25	PRIJEM	VKLAD	7695	47605	\N	\N	\N
3091828	10257	1998-02-01	PRIJEM	VKLAD	20310	44463	\N	\N	\N
3091829	10257	1998-04-11	PRIJEM	VKLAD	40649	80038	\N	\N	\N
3091830	10257	1998-08-20	PRIJEM	VKLAD	37430	69792	\N	\N	\N
3091831	10257	1998-05-27	PRIJEM	VKLAD	19492	75554	\N	\N	\N
3091832	10257	1998-06-01	PRIJEM	VKLAD	24927	100832	\N	\N	\N
3091833	10257	1998-02-27	PRIJEM	VKLAD	23185	58173	\N	\N	\N
3091834	10257	1998-12-24	PRIJEM	VKLAD	24082	57973	\N	\N	\N
3091835	10257	1998-03-18	PRIJEM	VKLAD	23858	39910	\N	\N	\N
3091836	10257	1998-12-30	PRIJEM	VKLAD	14692	111757	\N	\N	\N
3091837	10257	1998-02-14	PRIJEM	VKLAD	25326	51588	\N	\N	\N
3091843	10257	1997-06-14	VYDAJ	VYBER	3900	58362	\N	\N	0
3091844	10257	1997-07-15	VYDAJ	VYBER	2600	86515	\N	\N	0
3091845	10257	1997-08-04	VYDAJ	VYBER	2800	27581	\N	\N	0
3091846	10257	1997-09-06	VYDAJ	VYBER	3500	72476	\N	\N	0
3091847	10257	1997-10-18	VYDAJ	VYBER	2700	113285	\N	\N	0
3091848	10257	1997-11-14	VYDAJ	VYBER	2700	33978	\N	\N	0
3091849	10257	1997-12-07	VYDAJ	VYBER	3600	28339	\N	\N	0
3091850	10257	1998-01-07	VYDAJ	VYBER	3600	34547	\N	\N	0
3091851	10257	1998-02-13	VYDAJ	VYBER	3400	26262	\N	\N	0
3091852	10257	1998-03-10	VYDAJ	VYBER	3700	16052	\N	\N	0
3091853	10257	1998-04-20	VYDAJ	VYBER	2400	64438	\N	\N	0
3091854	10257	1998-05-13	VYDAJ	VYBER	2900	91962	\N	\N	0
3091855	10257	1998-06-20	VYDAJ	VYBER	3600	82431	\N	\N	0
3091856	10257	1998-07-05	VYDAJ	VYBER	2600	23946	\N	\N	0
3091857	10257	1998-08-19	VYDAJ	VYBER	2400	32362	\N	\N	0
3091858	10257	1998-09-12	VYDAJ	PREVOD NA UCET	3151	56051	UVER	IJ	7045454
3091859	10257	1998-10-12	VYDAJ	PREVOD NA UCET	3151	4795	UVER	IJ	7045454
3091860	10257	1998-11-12	VYDAJ	PREVOD NA UCET	3151	72758	UVER	IJ	7045454
3091861	10257	1998-12-12	VYDAJ	PREVOD NA UCET	3151	47391	UVER	IJ	7045454
3091868	10257	1997-07-05	VYDAJ	PREVOD NA UCET	14801	49072	SIPO	YZ	6128639
3091869	10257	1997-08-05	VYDAJ	PREVOD NA UCET	14801	12780	SIPO	YZ	6128639
3091870	10257	1997-09-05	VYDAJ	PREVOD NA UCET	14801	75976	SIPO	YZ	6128639
3091871	10257	1997-10-05	VYDAJ	PREVOD NA UCET	14801	38646	SIPO	YZ	6128639
3091872	10257	1997-11-05	VYDAJ	PREVOD NA UCET	14801	50662	SIPO	YZ	6128639
3091873	10257	1997-12-05	VYDAJ	PREVOD NA UCET	14801	31939	SIPO	YZ	6128639
3091874	10257	1998-01-05	VYDAJ	PREVOD NA UCET	14801	38147	SIPO	YZ	6128639
3091875	10257	1998-02-05	VYDAJ	PREVOD NA UCET	14801	29662	SIPO	YZ	6128639
3091876	10257	1998-03-05	VYDAJ	PREVOD NA UCET	14801	19752	SIPO	YZ	6128639
3091877	10257	1998-04-05	VYDAJ	PREVOD NA UCET	14801	9819	SIPO	YZ	6128639
3091878	10257	1998-05-05	VYDAJ	PREVOD NA UCET	14801	94862	SIPO	YZ	6128639
3091879	10257	1998-06-05	VYDAJ	PREVOD NA UCET	14801	86031	SIPO	YZ	6128639
3091880	10257	1998-07-05	VYDAJ	PREVOD NA UCET	14801	26546	SIPO	YZ	6128639
3091881	10257	1998-08-05	VYDAJ	PREVOD NA UCET	14801	34762	SIPO	YZ	6128639
3091882	10257	1998-09-05	VYDAJ	PREVOD NA UCET	14801	52607	SIPO	YZ	6128639
3091883	10257	1998-10-05	VYDAJ	PREVOD NA UCET	14801	7946	SIPO	YZ	6128639
3091884	10257	1998-11-05	VYDAJ	PREVOD NA UCET	14801	33279	SIPO	YZ	6128639
3091885	10257	1998-12-05	VYDAJ	PREVOD NA UCET	14801	28437	SIPO	YZ	6128639
3091886	10257	1997-07-27	VYBER	VYBER	12260	40415	\N	\N	\N
3091887	10257	1997-06-24	VYBER	VYBER	2053	56309	\N	\N	\N
3091889	10257	1997-09-02	VYBER	VYBER	20300	56721	\N	\N	\N
3091892	10257	1997-11-12	VYBER	VYBER	13984	36678	\N	\N	\N
3091893	10257	1998-07-24	VYBER	VYBER	19269	41068	\N	\N	\N
3091894	10257	1998-02-27	VYBER	VYBER	10501	47672	\N	\N	\N
3091895	10257	1998-07-05	VYBER	VYBER	10191	41347	\N	\N	\N
3091896	10257	1998-03-01	VYBER	VYBER	13268	34553	\N	\N	\N
3091900	10257	1998-01-13	VYDAJ	VYBER	3600	22847	\N	\N	\N
3091901	10257	1997-12-21	VYDAJ	VYBER	4500	23839	\N	\N	\N
3091909	10257	1998-01-08	VYDAJ	VYBER	8100	26447	\N	\N	\N
3091913	10257	1998-01-16	VYDAJ	VYBER	3000	19847	\N	\N	\N
3091916	10257	1997-07-29	VYDAJ	VYBER	7200	33215	\N	\N	\N
3091917	10257	1997-09-04	VYDAJ	VYBER	10200	46521	\N	\N	\N
3091920	10257	1997-08-28	VYDAJ	VYBER	1800	60697	\N	\N	\N
3091922	10257	1998-04-12	VYDAJ	VYBER	13200	66838	\N	\N	\N
3091923	10257	1998-12-27	VYDAJ	VYBER	2700	97065	\N	\N	\N
3091925	10257	1998-04-04	VYDAJ	VYBER	8400	24620	\N	\N	\N
3091926	10257	1998-09-24	VYDAJ	VYBER	10500	22551	\N	\N	\N
3091933	10257	1997-06-30	VYDAJ	VYBER	15	63873	SLUZBY	\N	\N
3091934	10257	1997-07-31	VYDAJ	VYBER	15	30381	SLUZBY	\N	\N
3091935	10257	1997-08-31	VYDAJ	VYBER	15	46825	SLUZBY	\N	\N
3091936	10257	1997-09-30	VYDAJ	VYBER	15	53447	SLUZBY	\N	\N
3091937	10257	1997-10-31	VYDAJ	VYBER	15	65463	SLUZBY	\N	\N
3091938	10257	1997-11-30	VYDAJ	VYBER	15	46740	SLUZBY	\N	\N
3091939	10257	1997-12-31	VYDAJ	VYBER	15	52948	SLUZBY	\N	\N
3091940	10257	1998-01-31	VYDAJ	VYBER	15	24153	SLUZBY	\N	\N
3091941	10257	1998-02-28	VYDAJ	VYBER	15	47821	SLUZBY	\N	\N
3091942	10257	1998-03-31	VYDAJ	VYBER	15	33020	SLUZBY	\N	\N
3091943	10257	1998-04-30	VYDAJ	VYBER	15	55300	SLUZBY	\N	\N
3091944	10257	1998-05-31	VYDAJ	VYBER	15	75905	SLUZBY	\N	\N
3091945	10257	1998-06-30	VYDAJ	VYBER	15	51538	SLUZBY	\N	\N
3091946	10257	1998-07-31	VYDAJ	VYBER	15	49563	SLUZBY	\N	\N
3091947	10257	1998-08-31	VYDAJ	VYBER	15	67408	SLUZBY	\N	\N
3091948	10257	1998-09-30	VYDAJ	VYBER	15	22747	SLUZBY	\N	\N
3091949	10257	1998-10-31	VYDAJ	VYBER	15	4827	SLUZBY	\N	\N
3091950	10257	1998-11-30	VYDAJ	VYBER	15	43238	SLUZBY	\N	\N
3091951	10257	1997-05-31	VYDAJ	VYBER	34400	64688	\N	\N	\N
3091952	10257	1997-06-11	VYDAJ	VYBER	52300	62262	\N	\N	\N
3091953	10257	1997-06-30	VYDAJ	VYBER	31200	63887	\N	\N	\N
3091954	10257	1997-07-25	VYDAJ	VYBER	54100	52675	\N	\N	\N
3091955	10257	1997-07-30	VYDAJ	VYBER	3100	30115	\N	\N	\N
3091956	10257	1997-08-29	VYDAJ	VYBER	14000	46697	\N	\N	\N
3091957	10257	1997-09-28	VYDAJ	VYBER	19300	53176	\N	\N	\N
3091958	10257	1997-10-18	VYDAJ	VYBER	18700	94585	\N	\N	\N
3091959	10257	1997-10-28	VYDAJ	VYBER	29400	65185	\N	\N	\N
3091960	10257	1997-11-27	VYDAJ	VYBER	18500	46536	\N	\N	\N
3091961	10257	1997-12-27	VYDAJ	VYBER	25700	52793	\N	\N	\N
3091962	10257	1998-01-26	PRIJEM	VKLAD	4200	24047	\N	\N	\N
3091963	10257	1998-02-25	VYDAJ	VYBER	16600	34988	\N	\N	\N
3091964	10257	1998-03-27	VYDAJ	VYBER	14700	32905	\N	\N	\N
3091965	10257	1998-04-26	VYDAJ	VYBER	21900	42538	\N	\N	\N
3091966	10257	1998-05-03	VYDAJ	VYBER	17100	109663	\N	\N	\N
3091967	10257	1998-05-26	VYDAJ	VYBER	35900	56062	\N	\N	\N
3091968	10257	1998-06-25	VYDAJ	VYBER	31200	51231	\N	\N	\N
3091969	10257	1998-07-25	VYDAJ	VYBER	15600	25468	\N	\N	\N
3091970	10257	1998-08-24	VYDAJ	VYBER	33000	36792	\N	\N	\N
3091971	10257	1998-09-23	VYDAJ	VYBER	23000	33051	\N	\N	\N
3091972	10257	1998-11-22	VYDAJ	VYBER	29700	43058	\N	\N	\N
3091973	10257	1998-12-22	VYDAJ	VYBER	13500	33891	\N	\N	\N
3091974	10257	1998-12-30	VYDAJ	VYBER	28800	82957	\N	\N	\N
3094531	10266	1993-06-10	PRIJEM	VKLAD	400	400	\N	\N	\N
3094533	10266	1993-10-03	PRIJEM	VKLAD	40040	76349	\N	\N	\N
3094534	10266	1993-12-02	PRIJEM	VKLAD	47764	89755	\N	\N	\N
3094535	10266	1993-06-18	PRIJEM	VKLAD	29883	30283	\N	\N	\N
3094536	10266	1993-07-15	PRIJEM	VKLAD	49887	76575	\N	\N	\N
3094539	10266	1993-10-26	PRIJEM	VKLAD	5404	56653	\N	\N	\N
3094541	10266	1994-04-21	PRIJEM	VKLAD	15427	49054	\N	\N	\N
3094542	10266	1994-08-31	PRIJEM	VKLAD	29287	35189	\N	\N	\N
3094543	10266	1994-06-19	PRIJEM	VKLAD	14739	28766	\N	\N	\N
3094544	10266	1994-12-30	PRIJEM	VKLAD	47640	74025	\N	\N	\N
3094545	10266	1994-03-29	PRIJEM	VKLAD	40806	44938	\N	\N	\N
3094546	10266	1994-12-06	PRIJEM	VKLAD	20268	59114	\N	\N	\N
3094547	10266	1994-04-27	PRIJEM	VKLAD	46632	95686	\N	\N	\N
3094548	10266	1994-11-05	PRIJEM	VKLAD	47323	65757	\N	\N	\N
3094549	10266	1994-04-21	PRIJEM	VKLAD	16729	33627	\N	\N	\N
3094550	10266	1995-03-05	PRIJEM	VKLAD	15390	39966	\N	\N	\N
3094551	10266	1995-04-28	PRIJEM	VKLAD	33536	69068	\N	\N	\N
3094552	10266	1995-01-07	PRIJEM	VKLAD	15407	36699	\N	\N	\N
3094553	10266	1995-11-16	PRIJEM	VKLAD	41791	51943	\N	\N	\N
3094554	10266	1995-08-22	PRIJEM	VKLAD	27674	31539	\N	\N	\N
3094555	10266	1995-03-21	PRIJEM	VKLAD	43941	70856	\N	\N	\N
3094556	10266	1995-02-28	PRIJEM	VKLAD	17688	21691	\N	\N	\N
3094557	10266	1995-12-25	PRIJEM	VKLAD	5062	20534	\N	\N	\N
3094558	10266	1996-08-12	PRIJEM	VKLAD	48400	122629	\N	\N	\N
3094559	10266	1996-05-26	PRIJEM	VKLAD	19598	28582	\N	\N	\N
3094560	10266	1996-06-17	PRIJEM	VKLAD	49459	59793	\N	\N	\N
3094561	10266	1996-04-22	PRIJEM	VKLAD	17457	20868	\N	\N	\N
3094562	10266	1996-02-14	PRIJEM	VKLAD	15180	17287	\N	\N	\N
3094563	10266	1996-10-03	PRIJEM	VKLAD	23887	62076	\N	\N	\N
3094564	10266	1996-09-12	PRIJEM	VKLAD	27460	57277	\N	\N	\N
3094565	10266	1996-10-18	PRIJEM	VKLAD	39067	85989	\N	\N	\N
3094566	10266	1996-10-08	PRIJEM	VKLAD	26030	88106	\N	\N	\N
3094567	10266	1996-10-11	PRIJEM	VKLAD	43709	131815	\N	\N	\N
3094568	10266	1996-08-07	PRIJEM	VKLAD	45412	74229	\N	\N	\N
3094569	10266	1996-03-05	PRIJEM	VKLAD	16632	31613	\N	\N	\N
3094570	10266	1996-07-31	PRIJEM	VKLAD	13120	28810	\N	\N	\N
3094571	10266	1996-08-31	PRIJEM	VKLAD	8597	33732	\N	\N	\N
3094572	10266	1996-12-11	PRIJEM	VKLAD	9116	36712	\N	\N	\N
3094573	10266	1996-06-18	PRIJEM	VKLAD	47379	107172	\N	\N	\N
3094574	10266	1996-09-18	PRIJEM	VKLAD	41511	72588	\N	\N	\N
3094575	10266	1996-11-18	PRIJEM	VKLAD	9100	32437	\N	\N	\N
3094576	10266	1996-11-27	PRIJEM	VKLAD	13518	30955	\N	\N	\N
3094577	10266	1996-03-10	PRIJEM	VKLAD	40804	69617	\N	\N	\N
3094578	10266	1996-12-23	PRIJEM	VKLAD	16655	38567	\N	\N	\N
3094579	10266	1997-01-02	PRIJEM	VKLAD	34670	73452	\N	\N	\N
3094580	10266	1997-02-19	PRIJEM	VKLAD	29489	73066	\N	\N	\N
3094581	10266	1997-05-17	PRIJEM	VKLAD	45940	58258	\N	\N	\N
3094582	10266	1997-06-05	PRIJEM	VKLAD	19147	43792	\N	\N	\N
3094583	10266	1997-07-21	PRIJEM	VKLAD	26887	96467	\N	\N	\N
3094584	10266	1997-02-10	PRIJEM	VKLAD	18902	58377	\N	\N	\N
3094585	10266	1997-06-19	PRIJEM	VKLAD	35773	66965	\N	\N	\N
3094586	10266	1997-03-02	PRIJEM	VKLAD	18747	57051	\N	\N	\N
3094587	10266	1997-07-21	PRIJEM	VKLAD	33173	69580	\N	\N	\N
3094588	10266	1997-03-11	PRIJEM	VKLAD	29463	83114	\N	\N	\N
3094589	10266	1997-10-14	PRIJEM	VKLAD	31732	114307	\N	\N	\N
3094590	10266	1997-07-12	PRIJEM	VKLAD	35508	106170	\N	\N	\N
3094591	10266	1997-12-05	PRIJEM	VKLAD	32192	137909	\N	\N	\N
3094592	10266	1997-09-04	PRIJEM	VKLAD	49156	79332	\N	\N	\N
3094593	10266	1997-01-20	PRIJEM	VKLAD	15646	41298	\N	\N	\N
3094594	10266	1997-11-30	PRIJEM	VKLAD	40888	60650	\N	\N	\N
3094595	10266	1997-04-23	PRIJEM	VKLAD	37062	55134	\N	\N	\N
3094596	10266	1997-03-14	PRIJEM	VKLAD	16037	86551	\N	\N	\N
3094597	10266	1997-12-05	PRIJEM	VKLAD	15045	152954	\N	\N	\N
3094598	10266	1997-04-22	PRIJEM	VKLAD	12673	18072	\N	\N	\N
3094599	10266	1997-07-07	PRIJEM	VKLAD	27853	73662	\N	\N	\N
3094600	10266	1997-03-20	PRIJEM	VKLAD	20745	107296	\N	\N	\N
3094601	10266	1997-07-12	PRIJEM	VKLAD	35665	141835	\N	\N	\N
3094602	10266	1997-10-05	PRIJEM	VKLAD	47475	109069	\N	\N	\N
3094603	10266	1997-01-30	PRIJEM	VKLAD	19091	42189	\N	\N	\N
3094604	10266	1997-07-06	PRIJEM	VKLAD	13995	45809	\N	\N	\N
3094605	10266	1997-12-04	PRIJEM	VKLAD	38943	122817	\N	\N	\N
3094606	10266	1997-12-01	PRIJEM	VKLAD	23238	83874	\N	\N	\N
3094607	10266	1997-09-28	PRIJEM	VKLAD	37251	61253	\N	\N	\N
3094608	10266	1998-02-06	PRIJEM	VKLAD	36599	44646	\N	\N	\N
3094609	10266	1998-06-25	PRIJEM	VKLAD	34007	49162	\N	\N	\N
3094621	10266	1993-12-13	VYDAJ	VYBER	3200	55455	\N	\N	0
3094622	10266	1994-01-12	VYDAJ	PREVOD NA UCET	3151	8651	UVER	EF	72682583
3094623	10266	1994-02-12	VYDAJ	PREVOD NA UCET	3151	-2325	UVER	EF	72682583
3094624	10266	1994-03-12	VYDAJ	PREVOD NA UCET	3151	4132	UVER	EF	72682583
3094625	10266	1994-04-12	VYDAJ	PREVOD NA UCET	3151	16898	UVER	EF	72682583
3094626	10266	1994-05-12	VYDAJ	PREVOD NA UCET	3151	56598	UVER	EF	72682583
3094627	10266	1994-06-12	VYDAJ	PREVOD NA UCET	3151	14027	UVER	EF	72682583
3094628	10266	1994-07-12	VYDAJ	PREVOD NA UCET	3151	21524	UVER	EF	72682583
3094629	10266	1994-08-12	VYDAJ	PREVOD NA UCET	3151	15760	UVER	EF	72682583
3094630	10266	1994-09-12	VYDAJ	PREVOD NA UCET	3151	30360	UVER	EF	72682583
3094631	10266	1994-10-12	VYDAJ	PREVOD NA UCET	3151	20153	UVER	EF	72682583
3094632	10266	1994-11-12	VYDAJ	PREVOD NA UCET	3151	51206	UVER	EF	72682583
3094633	10266	1994-12-12	VYDAJ	PREVOD NA UCET	3151	41785	UVER	EF	72682583
3094634	10266	1995-01-12	VYDAJ	PREVOD NA UCET	3151	17648	UVER	EF	72682583
3094635	10266	1995-02-12	VYDAJ	PREVOD NA UCET	3151	3955	UVER	EF	72682583
3094636	10266	1995-03-12	VYDAJ	PREVOD NA UCET	3151	26915	UVER	EF	72682583
3094637	10266	1995-04-12	VYDAJ	PREVOD NA UCET	3151	47232	UVER	EF	72682583
3094638	10266	1995-05-12	VYDAJ	PREVOD NA UCET	3151	32832	UVER	EF	72682583
3094639	10266	1995-06-12	VYDAJ	PREVOD NA UCET	3151	23245	UVER	EF	72682583
3094640	10266	1995-07-12	VYDAJ	PREVOD NA UCET	3151	16881	UVER	EF	72682583
3094641	10266	1995-08-12	VYDAJ	PREVOD NA UCET	3151	3865	UVER	EF	72682583
3094642	10266	1995-09-12	VYDAJ	PREVOD NA UCET	3151	22404	UVER	EF	72682583
3094645	10266	1995-12-12	VYDAJ	PREVOD NA UCET	3151	30772	UVER	EF	72682583
3094646	10266	1996-01-05	VYDAJ	VYBER	2600	16957	\N	\N	0
3094648	10266	1996-03-08	VYDAJ	VYBER	2800	28813	\N	\N	0
3094649	10266	1996-04-10	VYDAJ	VYBER	2800	16711	\N	\N	0
3094650	10266	1996-05-10	VYDAJ	VYBER	3100	8984	\N	\N	0
3094651	10266	1996-06-07	VYDAJ	VYBER	2700	22934	\N	\N	0
3094652	10266	1996-07-07	VYDAJ	VYBER	3200	37760	\N	\N	0
3094653	10266	1996-08-21	VYDAJ	VYBER	2800	52429	\N	\N	0
3094654	10266	1996-09-09	VYDAJ	VYBER	3900	29817	\N	\N	0
3094655	10266	1996-10-14	VYDAJ	VYBER	3200	46922	\N	\N	0
3094656	10266	1996-11-16	VYDAJ	VYBER	2600	23337	\N	\N	0
3094657	10266	1996-12-09	VYDAJ	VYBER	3500	27596	\N	\N	0
3094658	10266	1997-01-07	VYDAJ	VYBER	3500	37552	\N	\N	0
3094659	10266	1997-02-07	VYDAJ	VYBER	3000	39475	\N	\N	0
3094660	10266	1997-03-10	VYDAJ	VYBER	3400	53651	\N	\N	0
3094661	10266	1997-04-13	VYDAJ	VYBER	3200	18499	\N	\N	0
3094662	10266	1997-05-06	VYDAJ	VYBER	2700	42834	\N	\N	0
3094663	10266	1997-06-12	VYDAJ	VYBER	2900	40892	\N	\N	0
3094664	10266	1997-07-09	VYDAJ	VYBER	3000	70662	\N	\N	0
3094665	10266	1997-08-20	VYDAJ	VYBER	2300	29875	\N	\N	0
3094666	10266	1997-09-19	VYDAJ	VYBER	3600	24002	\N	\N	0
3094667	10266	1997-10-11	VYDAJ	VYBER	3000	82575	\N	\N	0
3094668	10266	1997-11-12	VYDAJ	VYBER	2600	19613	\N	\N	0
3094669	10266	1997-12-19	VYDAJ	VYBER	2800	56554	\N	\N	0
3094670	10266	1998-01-02	VYDAJ	VYBER	3400	35133	\N	\N	0
3094671	10266	1998-02-12	VYDAJ	VYBER	2600	42046	\N	\N	0
3094672	10266	1998-03-05	VYDAJ	VYBER	2900	39400	\N	\N	0
3094673	10266	1998-04-09	VYDAJ	VYBER	2500	27256	\N	\N	0
3094676	10266	1998-07-05	VYDAJ	VYBER	3600	45631	\N	\N	0
3094677	10266	1998-08-18	VYDAJ	VYBER	3200	16808	\N	\N	0
3094693	10266	1993-12-17	VYDAJ	VYBER	13500	41955	SIPO	\N	0
3094694	10266	1994-01-03	VYDAJ	VYBER	13300	14302	SIPO	\N	0
3094695	10266	1994-02-12	VYDAJ	VYBER	14900	826	SIPO	\N	0
3094697	10266	1994-04-07	VYDAJ	VYBER	13900	20049	SIPO	\N	0
3094698	10266	1994-05-13	VYDAJ	VYBER	9400	47198	SIPO	\N	0
3094699	10266	1994-06-09	VYDAJ	VYBER	12200	21458	SIPO	\N	0
3094700	10266	1994-07-14	VYDAJ	VYBER	10500	11024	SIPO	\N	0
3094701	10266	1994-08-19	VYDAJ	VYBER	9900	5860	SIPO	\N	0
3094702	10266	1994-09-14	VYDAJ	VYBER	10300	20060	SIPO	\N	0
3094703	10266	1994-10-15	VYDAJ	VYBER	14100	6053	SIPO	\N	0
3094704	10266	1994-11-10	VYDAJ	VYBER	11400	54357	SIPO	\N	0
3094705	10266	1994-12-13	VYDAJ	VYBER	15400	26385	SIPO	\N	0
3094706	10266	1995-01-08	VYDAJ	VYBER	10800	25899	SIPO	\N	0
3094707	10266	1995-02-04	VYDAJ	VYBER	14700	7106	SIPO	\N	0
3094708	10266	1995-03-09	VYDAJ	VYBER	9900	30066	SIPO	\N	0
3094709	10266	1995-04-15	VYDAJ	VYBER	10200	37032	SIPO	\N	0
3094710	10266	1995-05-03	VYDAJ	VYBER	13900	35983	SIPO	\N	0
3094711	10266	1995-06-17	VYDAJ	VYBER	9400	13845	SIPO	\N	0
3094713	10266	1995-08-08	VYDAJ	VYBER	14100	7016	SIPO	\N	0
3094714	10266	1995-09-14	VYDAJ	VYBER	12300	10104	SIPO	\N	0
3094717	10266	1995-12-14	VYDAJ	VYBER	15300	15472	SIPO	\N	0
3094718	10266	1996-01-05	VYDAJ	VYBER	14900	2057	SIPO	\N	0
3094720	10266	1996-03-13	VYDAJ	VYBER	14300	55317	SIPO	\N	0
3094721	10266	1996-04-18	VYDAJ	VYBER	13300	3411	SIPO	\N	0
3094723	10266	1996-06-12	VYDAJ	VYBER	12600	10334	SIPO	\N	0
3094724	10266	1996-07-22	VYDAJ	VYBER	10600	27160	SIPO	\N	0
3094725	10266	1996-08-14	VYDAJ	VYBER	10300	55229	SIPO	\N	0
3094726	10266	1996-09-17	VYDAJ	VYBER	12100	31077	SIPO	\N	0
3094727	10266	1996-10-18	VYDAJ	VYBER	14900	71089	SIPO	\N	0
3094728	10266	1996-11-09	VYDAJ	VYBER	9700	25937	SIPO	\N	0
3094729	10266	1996-12-14	VYDAJ	VYBER	14800	21912	SIPO	\N	0
3094730	10266	1997-01-17	VYDAJ	VYBER	11900	25652	SIPO	\N	0
3094731	10266	1997-02-11	VYDAJ	VYBER	14800	43577	SIPO	\N	0
3094732	10266	1997-03-11	VYDAJ	VYBER	12600	70514	SIPO	\N	0
3094733	10266	1997-04-20	VYDAJ	VYBER	13100	5399	SIPO	\N	0
3094734	10266	1997-05-10	VYDAJ	VYBER	11200	12318	SIPO	\N	0
3094735	10266	1997-06-16	VYDAJ	VYBER	9700	31192	SIPO	\N	0
3094736	10266	1997-07-18	VYDAJ	VYBER	10100	77307	SIPO	\N	0
3094737	10266	1997-08-09	VYDAJ	VYBER	9800	87265	SIPO	\N	0
3094738	10266	1997-09-04	VYDAJ	VYBER	12600	66732	SIPO	\N	0
3094739	10266	1997-10-16	VYDAJ	VYBER	11700	102607	SIPO	\N	0
3094740	10266	1997-11-06	VYDAJ	VYBER	11300	36378	SIPO	\N	0
3094741	10266	1997-12-22	VYDAJ	VYBER	12900	43654	SIPO	\N	0
3094742	10266	1998-01-10	VYDAJ	VYBER	14000	21133	SIPO	\N	0
3094743	10266	1998-02-04	VYDAJ	VYBER	13200	8047	SIPO	\N	0
3094744	10266	1998-03-18	VYDAJ	VYBER	9800	29600	SIPO	\N	0
3094745	10266	1998-04-15	VYDAJ	VYBER	12200	15056	SIPO	\N	0
3094748	10266	1998-07-16	VYDAJ	VYBER	11200	34431	SIPO	\N	0
3094749	10266	1998-08-08	VYDAJ	VYBER	14700	20008	SIPO	\N	0
3094761	10266	1994-12-09	VYBER	VYBER	3378	55736	\N	\N	\N
3094762	10266	1994-11-23	VYBER	VYBER	2023	49183	\N	\N	\N
3094765	10266	1994-06-12	VYBER	VYBER	4280	17178	\N	\N	\N
3094772	10266	1996-10-12	VYBER	VYBER	20693	50122	\N	\N	\N
3094777	10266	1997-04-27	VYBER	VYBER	9780	45354	\N	\N	\N
3094779	10266	1997-10-11	VYBER	VYBER	23494	85575	\N	\N	\N
3094780	10266	1997-08-16	VYBER	VYBER	17590	69675	\N	\N	\N
3094781	10266	1997-07-18	VYBER	VYBER	2528	87407	\N	\N	\N
3094782	10266	1997-11-11	VYBER	VYBER	14165	22213	\N	\N	\N
3094783	10266	1997-09-14	VYBER	VYBER	6130	60602	\N	\N	\N
3094785	10266	1997-05-10	VYBER	VYBER	9116	33718	\N	\N	\N
3094809	10266	1995-01-04	VYDAJ	VYBER	24600	21292	\N	\N	\N
3094811	10266	1997-01-07	VYDAJ	VYBER	26100	41052	\N	\N	\N
3094813	10266	1993-12-30	VYDAJ	VYBER	8100	33855	\N	\N	\N
3094815	10266	1995-12-05	VYDAJ	VYBER	2700	33924	\N	\N	\N
3094817	10266	1997-12-30	VYDAJ	VYBER	5700	37954	\N	\N	\N
3094829	10266	1994-01-01	VYDAJ	VYBER	6600	27602	\N	\N	\N
3094831	10266	1995-01-10	VYDAJ	VYBER	5100	20799	\N	\N	\N
3094834	10266	1995-01-01	VYDAJ	VYBER	6000	68292	\N	\N	\N
3094847	10266	1997-01-06	VYDAJ	VYBER	6300	67152	\N	\N	\N
3094861	10266	1994-12-10	VYDAJ	VYBER	10800	44936	\N	\N	\N
3094863	10266	1994-05-22	VYDAJ	VYBER	6900	40298	\N	\N	\N
3094865	10266	1995-04-18	VYDAJ	VYBER	1500	35532	\N	\N	\N
3094868	10266	1996-09-12	VYDAJ	VYBER	14100	43177	\N	\N	\N
3094871	10266	1996-04-05	VYDAJ	VYBER	10800	19511	\N	\N	\N
3094872	10266	1996-05-28	VYDAJ	VYBER	3000	25582	\N	\N	\N
3094875	10266	1997-05-10	VYDAJ	VYBER	10200	23518	\N	\N	\N
3094877	10266	1997-06-03	VYDAJ	VYBER	2700	24645	\N	\N	\N
3094895	10266	1993-12-31	VYDAJ	VYBER	15	34202	SLUZBY	\N	\N
3094896	10266	1994-01-31	VYDAJ	VYBER	15	8726	SLUZBY	\N	\N
3094897	10266	1994-02-28	VYDAJ	VYBER	15	-2299	SLUZBY	\N	\N
3094898	10266	1994-03-31	VYDAJ	VYBER	15	44959	SLUZBY	\N	\N
3094899	10266	1994-04-30	VYDAJ	VYBER	15	95949	SLUZBY	\N	\N
3094900	10266	1994-05-31	VYDAJ	VYBER	15	40658	SLUZBY	\N	\N
3094901	10266	1994-06-30	VYDAJ	VYBER	15	28976	SLUZBY	\N	\N
3094902	10266	1994-07-31	VYDAJ	VYBER	15	11112	SLUZBY	\N	\N
3094903	10266	1994-08-31	VYDAJ	VYBER	15	35212	SLUZBY	\N	\N
3094904	10266	1994-09-30	VYDAJ	VYBER	15	20205	SLUZBY	\N	\N
3094905	10266	1994-10-31	VYDAJ	VYBER	15	6134	SLUZBY	\N	\N
3094906	10266	1994-11-30	VYDAJ	VYBER	15	49546	SLUZBY	\N	\N
3094907	10266	1994-12-31	VYDAJ	VYBER	15	74292	SLUZBY	\N	\N
3094908	10266	1995-01-31	VYDAJ	VYBER	15	21806	SLUZBY	\N	\N
3094909	10266	1995-02-28	VYDAJ	VYBER	15	21676	SLUZBY	\N	\N
3094910	10266	1995-03-31	VYDAJ	VYBER	15	71183	SLUZBY	\N	\N
3094911	10266	1995-04-30	VYDAJ	VYBER	15	69483	SLUZBY	\N	\N
3094912	10266	1995-05-31	VYDAJ	VYBER	15	33097	SLUZBY	\N	\N
3094913	10266	1995-06-30	VYDAJ	VYBER	15	20032	SLUZBY	\N	\N
3094914	10266	1995-07-31	VYDAJ	VYBER	15	21116	SLUZBY	\N	\N
3094915	10266	1995-08-31	VYDAJ	VYBER	15	25555	SLUZBY	\N	\N
3094916	10266	1995-09-30	VYDAJ	VYBER	15	10167	SLUZBY	\N	\N
3094917	10266	1995-10-31	VYDAJ	VYBER	15	10152	SLUZBY	\N	\N
3094918	10266	1995-11-30	VYDAJ	VYBER	15	36624	SLUZBY	\N	\N
3094919	10266	1995-12-31	VYDAJ	VYBER	15	19557	SLUZBY	\N	\N
3094920	10266	1996-01-31	VYDAJ	VYBER	15	2107	SLUZBY	\N	\N
3094921	10266	1996-02-29	VYDAJ	VYBER	15	14981	SLUZBY	\N	\N
3094922	10266	1996-03-31	VYDAJ	VYBER	15	30311	SLUZBY	\N	\N
3094923	10266	1996-04-30	VYDAJ	VYBER	15	12084	SLUZBY	\N	\N
3094924	10266	1996-05-31	VYDAJ	VYBER	15	25634	SLUZBY	\N	\N
3094925	10266	1996-06-30	VYDAJ	VYBER	15	40960	SLUZBY	\N	\N
3094926	10266	1996-07-31	VYDAJ	VYBER	15	28817	SLUZBY	\N	\N
3094927	10266	1996-08-31	VYDAJ	VYBER	15	33717	SLUZBY	\N	\N
3094928	10266	1996-09-30	VYDAJ	VYBER	15	38189	SLUZBY	\N	\N
3094929	10266	1996-10-31	VYDAJ	VYBER	15	35637	SLUZBY	\N	\N
3094930	10266	1996-11-30	VYDAJ	VYBER	15	31096	SLUZBY	\N	\N
3094931	10266	1996-12-31	VYDAJ	VYBER	15	38782	SLUZBY	\N	\N
3094932	10266	1997-01-31	VYDAJ	VYBER	15	42475	SLUZBY	\N	\N
3094933	10266	1997-02-28	VYDAJ	VYBER	15	38304	SLUZBY	\N	\N
3094934	10266	1997-03-31	VYDAJ	VYBER	15	21699	SLUZBY	\N	\N
3094935	10266	1997-04-30	VYDAJ	VYBER	15	45534	SLUZBY	\N	\N
3094936	10266	1997-05-31	VYDAJ	VYBER	15	27345	SLUZBY	\N	\N
3094937	10266	1997-06-30	VYDAJ	VYBER	15	31814	SLUZBY	\N	\N
3094938	10266	1997-07-31	VYDAJ	VYBER	15	97065	SLUZBY	\N	\N
3094939	10266	1997-08-31	VYDAJ	VYBER	15	30176	SLUZBY	\N	\N
3094940	10266	1997-09-30	VYDAJ	VYBER	15	61594	SLUZBY	\N	\N
3094941	10266	1997-10-31	VYDAJ	VYBER	15	47678	SLUZBY	\N	\N
3094942	10266	1997-11-30	VYDAJ	VYBER	15	60636	SLUZBY	\N	\N
3094943	10266	1997-12-31	VYDAJ	VYBER	15	38533	SLUZBY	\N	\N
3094944	10266	1998-01-31	VYDAJ	VYBER	15	21247	SLUZBY	\N	\N
3094945	10266	1998-02-28	VYDAJ	VYBER	15	42300	SLUZBY	\N	\N
3094946	10266	1998-03-31	VYDAJ	VYBER	15	29756	SLUZBY	\N	\N
3094947	10266	1998-04-30	VYDAJ	VYBER	15	15169	SLUZBY	\N	\N
3094948	10266	1998-05-31	VYDAJ	VYBER	15	15155	SLUZBY	\N	\N
3094949	10266	1998-06-30	VYDAJ	VYBER	15	49231	SLUZBY	\N	\N
3094950	10266	1998-07-31	VYDAJ	VYBER	15	34708	SLUZBY	\N	\N
3094951	10266	1998-08-31	VYDAJ	VYBER	15	16958	SLUZBY	\N	\N
3094952	10266	1998-09-30	VYDAJ	VYBER	15	17026	SLUZBY	\N	\N
3094953	10266	1998-10-31	VYDAJ	VYBER	15	17012	SLUZBY	\N	\N
3094954	10266	1998-11-30	VYDAJ	VYBER	15	17124	SLUZBY	\N	\N
3094955	10266	1993-07-10	VYDAJ	VYBER	3700	26688	\N	\N	\N
3094956	10266	1993-08-09	VYDAJ	VYBER	26200	50772	\N	\N	\N
3094957	10266	1993-09-08	VYDAJ	VYBER	15100	35990	\N	\N	\N
3094958	10266	1993-10-08	VYDAJ	VYBER	25100	51249	\N	\N	\N
3094959	10266	1993-11-07	VYDAJ	VYBER	15300	41756	\N	\N	\N
3094960	10266	1993-12-07	VYDAJ	VYBER	31100	58655	\N	\N	\N
3094961	10266	1994-01-06	VYDAJ	VYBER	2500	11802	\N	\N	\N
3094962	10266	1994-02-05	PRIJEM	VKLAD	7000	15726	\N	\N	\N
3094963	10266	1994-03-07	PRIJEM	VKLAD	9600	7283	\N	\N	\N
3094964	10266	1994-04-06	VYDAJ	VYBER	11000	33949	\N	\N	\N
3094965	10266	1994-05-06	VYDAJ	VYBER	36200	59749	\N	\N	\N
3094966	10266	1994-06-05	VYDAJ	VYBER	7000	33658	\N	\N	\N
3094967	10266	1994-07-05	VYDAJ	VYBER	4300	24676	\N	\N	\N
3094968	10266	1994-08-04	PRIJEM	VKLAD	7800	18912	\N	\N	\N
3094969	10266	1994-09-03	VYDAJ	VYBER	1700	33512	\N	\N	\N
3094970	10266	1994-10-03	PRIJEM	VKLAD	3100	23305	\N	\N	\N
3094971	10266	1994-11-02	PRIJEM	VKLAD	12300	18434	\N	\N	\N
3094972	10266	1994-12-02	VYDAJ	VYBER	10700	38846	\N	\N	\N
3094973	10266	1995-01-01	VYDAJ	VYBER	22400	45892	\N	\N	\N
3094974	10266	1995-01-31	PRIJEM	VKLAD	4000	21735	\N	\N	\N
3094975	10266	1995-03-02	PRIJEM	VKLAD	2900	24576	\N	\N	\N
3094976	10266	1995-04-01	VYDAJ	VYBER	20800	50383	\N	\N	\N
3094977	10266	1995-05-01	VYDAJ	VYBER	19600	49883	\N	\N	\N
3094978	10266	1995-05-31	VYDAJ	VYBER	6700	26397	\N	\N	\N
3094979	10266	1995-06-30	PRIJEM	VKLAD	6100	20047	\N	\N	\N
3094980	10266	1995-07-30	PRIJEM	VKLAD	4100	20981	\N	\N	\N
3094981	10266	1995-08-29	VYDAJ	VYBER	6100	25439	\N	\N	\N
3094982	10266	1995-11-27	VYDAJ	VYBER	15400	36543	\N	\N	\N
3094983	10266	1995-12-27	VYDAJ	VYBER	1100	19434	\N	\N	\N
3094984	10266	1996-02-25	VYDAJ	VYBER	2300	14987	\N	\N	\N
3094985	10266	1996-03-26	VYDAJ	VYBER	25300	30017	\N	\N	\N
3094986	10266	1996-04-25	VYDAJ	VYBER	8900	11968	\N	\N	\N
3094987	10266	1996-06-18	VYDAJ	VYBER	24300	82872	\N	\N	\N
3094988	10266	1996-06-24	VYDAJ	VYBER	42200	40672	\N	\N	\N
3094989	10266	1996-07-24	VYDAJ	VYBER	11600	15560	\N	\N	\N
3094990	10266	1996-08-12	VYDAJ	VYBER	57100	65529	\N	\N	\N
3094991	10266	1996-08-23	VYDAJ	VYBER	27600	24829	\N	\N	\N
3094992	10266	1996-09-22	VYDAJ	VYBER	34700	37888	\N	\N	\N
3094993	10266	1996-10-11	VYDAJ	VYBER	61000	70815	\N	\N	\N
3094994	10266	1996-10-22	VYDAJ	VYBER	35800	35289	\N	\N	\N
3094995	10266	1996-11-21	VYDAJ	VYBER	15000	17437	\N	\N	\N
3094996	10266	1997-01-20	VYDAJ	VYBER	18200	23098	\N	\N	\N
3094997	10266	1997-02-19	VYDAJ	VYBER	35100	37966	\N	\N	\N
3094998	10266	1997-03-20	VYDAJ	VYBER	57900	49396	\N	\N	\N
3094999	10266	1997-03-21	VYDAJ	VYBER	28000	21396	\N	\N	\N
3095000	10266	1997-05-20	VYDAJ	VYBER	31100	27158	\N	\N	\N
3095001	10266	1997-06-19	VYDAJ	VYBER	35500	31465	\N	\N	\N
3095002	10266	1997-07-12	VYDAJ	VYBER	51900	89935	\N	\N	\N
3095003	10266	1997-07-19	VYDAJ	VYBER	40900	36407	\N	\N	\N
3095004	10266	1997-08-18	VYDAJ	VYBER	37500	32175	\N	\N	\N
3095005	10266	1997-09-17	VYDAJ	VYBER	33000	27602	\N	\N	\N
3095006	10266	1997-10-17	VYDAJ	VYBER	55300	47307	\N	\N	\N
3095007	10266	1997-12-04	VYDAJ	VYBER	17100	105717	\N	\N	\N
3095008	10266	1997-12-05	VYDAJ	VYBER	45400	107554	\N	\N	\N
3095009	10266	1997-12-16	VYDAJ	VYBER	48200	59354	\N	\N	\N
3098419	10280	1996-12-01	PRIJEM	VKLAD	600	600	\N	\N	\N
3098431	10280	1996-12-14	PRIJEM	PREVOD Z UCTU	52221	52821	\N	WX	73216843
3098432	10280	1997-01-14	PRIJEM	PREVOD Z UCTU	34814	75961	\N	WX	73216843
3098433	10280	1997-02-14	PRIJEM	PREVOD Z UCTU	34814	89850	\N	WX	73216843
3098434	10280	1997-03-14	PRIJEM	PREVOD Z UCTU	34814	96993	\N	WX	73216843
3098435	10280	1997-04-14	PRIJEM	PREVOD Z UCTU	34814	101733	\N	WX	73216843
3098436	10280	1997-05-14	PRIJEM	PREVOD Z UCTU	34814	95712	\N	WX	73216843
3098437	10280	1997-06-14	PRIJEM	PREVOD Z UCTU	52221	111160	\N	WX	73216843
3098438	10280	1997-07-14	PRIJEM	PREVOD Z UCTU	34814	67085	\N	WX	73216843
3098439	10280	1997-08-14	PRIJEM	PREVOD Z UCTU	34814	69191	\N	WX	73216843
3098440	10280	1997-09-14	PRIJEM	PREVOD Z UCTU	34814	69891	\N	WX	73216843
3098441	10280	1997-10-14	PRIJEM	PREVOD Z UCTU	34814	86518	\N	WX	73216843
3098442	10280	1997-11-14	PRIJEM	PREVOD Z UCTU	34814	75587	\N	WX	73216843
3098443	10280	1997-12-14	PRIJEM	PREVOD Z UCTU	52221	84085	\N	WX	73216843
3098444	10280	1998-01-14	PRIJEM	PREVOD Z UCTU	34814	63653	\N	WX	73216843
3098445	10280	1998-02-14	PRIJEM	PREVOD Z UCTU	34814	66923	\N	WX	73216843
3098446	10280	1998-03-14	PRIJEM	PREVOD Z UCTU	34814	79695	\N	WX	73216843
3098447	10280	1998-04-14	PRIJEM	PREVOD Z UCTU	34814	79974	\N	WX	73216843
3098448	10280	1998-05-14	PRIJEM	PREVOD Z UCTU	34814	75657	\N	WX	73216843
3098449	10280	1998-06-14	PRIJEM	PREVOD Z UCTU	52221	99406	\N	WX	73216843
3098450	10280	1998-07-14	PRIJEM	PREVOD Z UCTU	34814	80789	\N	WX	73216843
3098451	10280	1998-08-14	PRIJEM	PREVOD Z UCTU	34814	78124	\N	WX	73216843
3098452	10280	1998-09-14	PRIJEM	PREVOD Z UCTU	34814	91084	\N	WX	73216843
3098453	10280	1998-10-14	PRIJEM	PREVOD Z UCTU	34814	97179	\N	WX	73216843
3098454	10280	1998-11-14	PRIJEM	PREVOD Z UCTU	34814	52260	\N	WX	73216843
3098455	10280	1998-12-14	PRIJEM	PREVOD Z UCTU	52221	96885	\N	WX	73216843
3098472	10280	1997-05-13	VYDAJ	VYBER	6900	60898	\N	\N	0
3098473	10280	1997-06-08	VYDAJ	VYBER	4700	58939	\N	\N	0
3098474	10280	1997-07-20	VYDAJ	VYBER	7100	59985	\N	\N	0
3098475	10280	1997-08-17	VYDAJ	VYBER	7200	61991	\N	\N	0
3098476	10280	1997-09-07	VYDAJ	VYBER	5400	35077	\N	\N	0
3098477	10280	1997-10-07	VYDAJ	VYBER	5400	51704	\N	\N	0
3098478	10280	1997-11-11	VYDAJ	VYBER	7100	40773	\N	\N	0
3098479	10280	1997-12-11	VYDAJ	VYBER	5400	31864	\N	\N	0
3098480	10280	1998-01-12	VYDAJ	PREVOD NA UCET	5802	28839	UVER	EF	13051045
3098481	10280	1998-02-12	VYDAJ	PREVOD NA UCET	5802	32109	UVER	EF	13051045
3098482	10280	1998-03-12	VYDAJ	PREVOD NA UCET	5802	44881	UVER	EF	13051045
3098483	10280	1998-04-12	VYDAJ	PREVOD NA UCET	5802	45160	UVER	EF	13051045
3098484	10280	1998-05-12	VYDAJ	PREVOD NA UCET	5802	40843	UVER	EF	13051045
3098485	10280	1998-06-12	VYDAJ	PREVOD NA UCET	5802	47185	UVER	EF	13051045
3098486	10280	1998-07-12	VYDAJ	PREVOD NA UCET	5802	45975	UVER	EF	13051045
3098487	10280	1998-08-12	VYDAJ	PREVOD NA UCET	5802	49010	UVER	EF	13051045
3098488	10280	1998-09-12	VYDAJ	PREVOD NA UCET	5802	56270	UVER	EF	13051045
3098489	10280	1998-10-12	VYDAJ	PREVOD NA UCET	5802	62365	UVER	EF	13051045
3098490	10280	1998-11-12	VYDAJ	PREVOD NA UCET	5802	17446	UVER	EF	13051045
3098491	10280	1998-12-12	VYDAJ	PREVOD NA UCET	5802	44664	UVER	EF	13051045
3098495	10280	1997-10-15	VYBER	VYBER	12157	74361	\N	\N	\N
3098496	10280	1997-07-29	VYBER	VYBER	20261	39724	\N	\N	\N
3098497	10280	1997-09-01	VYBER	VYBER	2887	40477	\N	\N	\N
3098500	10280	1997-11-27	VYBER	VYBER	16649	37038	\N	\N	\N
3098502	10280	1997-06-23	VYBER	VYBER	15866	34794	\N	\N	\N
3098503	10280	1997-12-24	VYBER	VYBER	4063	72822	\N	\N	\N
3098504	10280	1997-10-17	VYBER	VYBER	20409	53952	\N	\N	\N
3098506	10280	1998-06-23	VYBER	VYBER	16000	83406	\N	\N	\N
3098507	10280	1998-11-10	VYBER	VYBER	24413	23248	\N	\N	\N
3098508	10280	1998-05-08	VYBER	VYBER	2115	46645	\N	\N	\N
3098509	10280	1998-07-20	VYBER	VYBER	11810	65979	\N	\N	\N
3098510	10280	1998-03-02	VYBER	VYBER	2938	50683	\N	\N	\N
3098511	10280	1998-04-15	VYBER	VYBER	12441	67533	\N	\N	\N
3098512	10280	1998-03-23	VYBER	VYBER	16672	63023	\N	\N	\N
3098513	10280	1998-11-09	VYBER	VYBER	24523	47661	\N	\N	\N
3098516	10280	1998-06-28	VYDAJ	VYBER	9600	51506	\N	\N	\N
3098518	10280	1997-12-17	VYDAJ	VYBER	7200	76885	\N	\N	\N
3098519	10280	1998-12-14	VYDAJ	VYBER KARTOU	3000	93885	\N	\N	0
3098532	10280	1998-01-19	VYDAJ	VYBER	5700	43553	\N	\N	\N
3098533	10280	1998-01-14	VYDAJ	VYBER	6300	57353	\N	\N	\N
3098534	10280	1998-01-05	VYDAJ	VYBER	7800	34641	\N	\N	\N
3098535	10280	1998-01-16	VYDAJ	VYBER	8100	49253	\N	\N	\N
3098536	10280	1998-01-04	VYDAJ	VYBER	6000	42441	\N	\N	\N
3098537	10280	1998-01-02	VYDAJ	VYBER	5400	48441	\N	\N	\N
3098542	10280	1997-08-26	VYDAJ	VYBER	6600	55391	\N	\N	\N
3098543	10280	1998-07-14	VYDAJ	VYBER	3000	77789	\N	\N	\N
3098544	10280	1998-08-13	VYDAJ	VYBER	5700	43310	\N	\N	\N
3098545	10280	1998-04-30	VYDAJ	VYBER	6600	48760	\N	\N	\N
3098546	10280	1998-05-26	VYDAJ	VYBER	4500	52757	\N	\N	\N
3098563	10280	1997-04-30	VYDAJ	VYBER	15	101998	SLUZBY	\N	\N
3098564	10280	1997-05-31	VYDAJ	VYBER	15	63639	SLUZBY	\N	\N
3098565	10280	1997-06-30	VYDAJ	VYBER	15	32271	SLUZBY	\N	\N
3098566	10280	1997-07-31	VYDAJ	VYBER	15	34377	SLUZBY	\N	\N
3098567	10280	1997-08-31	VYDAJ	VYBER	15	43364	SLUZBY	\N	\N
3098568	10280	1997-09-30	VYDAJ	VYBER	15	57104	SLUZBY	\N	\N
3098569	10280	1997-10-31	VYDAJ	VYBER	15	47873	SLUZBY	\N	\N
3098570	10280	1997-11-30	VYDAJ	VYBER	15	37264	SLUZBY	\N	\N
3098571	10280	1997-12-31	VYDAJ	VYBER	15	53841	SLUZBY	\N	\N
3098572	10280	1998-01-31	VYDAJ	VYBER	15	37912	SLUZBY	\N	\N
3098573	10280	1998-02-28	VYDAJ	VYBER	15	53621	SLUZBY	\N	\N
3098574	10280	1998-03-31	VYDAJ	VYBER	15	50962	SLUZBY	\N	\N
3098575	10280	1998-04-30	VYDAJ	VYBER	15	55360	SLUZBY	\N	\N
3098576	10280	1998-05-31	VYDAJ	VYBER	15	52987	SLUZBY	\N	\N
3098577	10280	1998-06-30	VYDAJ	VYBER	15	51778	SLUZBY	\N	\N
3098578	10280	1998-07-31	VYDAJ	VYBER	15	54812	SLUZBY	\N	\N
3098579	10280	1998-08-31	VYDAJ	VYBER	15	62072	SLUZBY	\N	\N
3098580	10280	1998-09-30	VYDAJ	VYBER	15	68167	SLUZBY	\N	\N
3098581	10280	1998-10-31	VYDAJ	VYBER	15	72184	SLUZBY	\N	\N
3098582	10280	1998-11-30	VYDAJ	VYBER	15	50467	SLUZBY	\N	\N
3098583	10280	1996-12-31	VYDAJ	VYBER	11800	41147	\N	\N	\N
3098584	10280	1997-01-30	VYDAJ	VYBER	21100	54861	\N	\N	\N
3098585	10280	1997-03-01	VYDAJ	VYBER	27900	62179	\N	\N	\N
3098586	10280	1997-03-31	VYDAJ	VYBER	30400	66919	\N	\N	\N
3098587	10280	1997-04-30	VYDAJ	VYBER	34200	67798	\N	\N	\N
3098588	10280	1997-05-30	VYDAJ	VYBER	32400	63312	\N	\N	\N
3098589	10280	1997-06-14	VYDAJ	VYBER	60500	50660	\N	\N	\N
3098590	10280	1997-06-29	VYDAJ	VYBER	2800	31994	\N	\N	\N
3098591	10280	1997-07-29	VYDAJ	VYBER	5500	34224	\N	\N	\N
3098592	10280	1997-08-28	VYDAJ	VYBER	12200	43191	\N	\N	\N
3098593	10280	1997-09-27	VYDAJ	VYBER	13000	56891	\N	\N	\N
3098594	10280	1997-10-27	VYDAJ	VYBER	6300	47652	\N	\N	\N
3098595	10280	1997-11-26	VYDAJ	VYBER	21900	53687	\N	\N	\N
3098596	10280	1997-12-26	VYDAJ	VYBER	19200	53622	\N	\N	\N
3098597	10280	1998-01-25	VYDAJ	VYBER	5800	37753	\N	\N	\N
3098598	10280	1998-02-24	VYDAJ	VYBER	13500	53423	\N	\N	\N
3098599	10280	1998-03-26	VYDAJ	VYBER	12300	50723	\N	\N	\N
3098600	10280	1998-04-25	VYDAJ	VYBER	12400	55133	\N	\N	\N
3098601	10280	1998-05-25	VYDAJ	VYBER	18400	57257	\N	\N	\N
3098602	10280	1998-06-24	VYDAJ	VYBER	22300	61106	\N	\N	\N
3098603	10280	1998-07-24	VYDAJ	VYBER	11400	54579	\N	\N	\N
3098604	10280	1998-08-23	VYDAJ	VYBER	16300	61824	\N	\N	\N
3098605	10280	1998-09-22	VYDAJ	VYBER	23200	67884	\N	\N	\N
3098606	10280	1998-10-22	VYDAJ	VYBER	25300	71879	\N	\N	\N
3098607	10280	1998-11-21	VYDAJ	VYBER KARTOU	2000	50260	\N	\N	0
3104109	10297	1996-01-19	PRIJEM	VKLAD	600	600	\N	\N	\N
3104111	10297	1996-02-11	PRIJEM	VKLAD	21027	21627	\N	\N	\N
3104112	10297	1996-03-11	PRIJEM	VKLAD	21027	47099	\N	\N	\N
3104113	10297	1996-04-11	PRIJEM	VKLAD	21027	55349	\N	\N	\N
3104114	10297	1996-05-11	PRIJEM	VKLAD	21027	59726	\N	\N	\N
3104115	10297	1996-06-11	PRIJEM	VKLAD	31540	72330	\N	\N	\N
3104116	10297	1996-07-11	PRIJEM	VKLAD	21027	62531	\N	\N	\N
3104117	10297	1996-08-11	PRIJEM	VKLAD	21027	43828	\N	\N	\N
3104118	10297	1996-09-11	PRIJEM	VKLAD	21027	42069	\N	\N	\N
3104119	10297	1996-10-11	PRIJEM	VKLAD	21027	45517	\N	\N	\N
3104120	10297	1996-11-11	PRIJEM	VKLAD	21027	53470	\N	\N	\N
3104121	10297	1996-12-11	PRIJEM	VKLAD	31540	60068	\N	\N	\N
3104122	10297	1997-01-11	PRIJEM	VKLAD	21027	51631	\N	\N	\N
3104123	10297	1997-02-11	PRIJEM	VKLAD	21027	38431	\N	\N	\N
3104124	10297	1997-03-11	PRIJEM	VKLAD	21027	50375	\N	\N	\N
3104125	10297	1997-04-11	PRIJEM	VKLAD	21027	54851	\N	\N	\N
3104126	10297	1997-05-11	PRIJEM	VKLAD	21027	59767	\N	\N	\N
3104127	10297	1997-06-11	PRIJEM	VKLAD	31540	58867	\N	\N	\N
3104128	10297	1997-07-11	PRIJEM	VKLAD	21027	63000	\N	\N	\N
3104129	10297	1997-08-11	PRIJEM	VKLAD	21027	64024	\N	\N	\N
3104130	10297	1997-09-11	PRIJEM	VKLAD	21027	58208	\N	\N	\N
3104131	10297	1997-10-11	PRIJEM	VKLAD	21027	63206	\N	\N	\N
3104132	10297	1997-11-11	PRIJEM	VKLAD	21027	65127	\N	\N	\N
3104133	10297	1997-12-11	PRIJEM	VKLAD	31540	77908	\N	\N	\N
3104134	10297	1998-01-11	PRIJEM	VKLAD	21027	64374	\N	\N	\N
3104135	10297	1998-02-11	PRIJEM	VKLAD	21027	68643	\N	\N	\N
3104136	10297	1998-03-11	PRIJEM	VKLAD	21027	75276	\N	\N	\N
3104137	10297	1998-04-11	PRIJEM	VKLAD	21027	78945	\N	\N	\N
3104138	10297	1998-05-11	PRIJEM	VKLAD	21027	84832	\N	\N	\N
3104139	10297	1998-06-11	PRIJEM	VKLAD	31540	100355	\N	\N	\N
3104140	10297	1998-07-11	PRIJEM	VKLAD	21027	76926	\N	\N	\N
3104141	10297	1998-08-11	PRIJEM	VKLAD	21027	84983	\N	\N	\N
3104142	10297	1998-09-11	PRIJEM	VKLAD	21027	93991	\N	\N	\N
3104143	10297	1998-10-11	PRIJEM	VKLAD	21027	93334	\N	\N	\N
3104144	10297	1998-11-11	PRIJEM	VKLAD	21027	90886	\N	\N	\N
3104145	10297	1998-12-11	PRIJEM	VKLAD	31540	99445	\N	\N	\N
3104151	10297	1996-06-11	VYDAJ	PREVOD NA UCET	9902	62428	SIPO	CD	53796619
3104152	10297	1996-07-11	VYDAJ	PREVOD NA UCET	9902	52629	SIPO	CD	53796619
3104153	10297	1996-08-11	VYDAJ	PREVOD NA UCET	9902	33926	SIPO	CD	53796619
3104154	10297	1996-09-11	VYDAJ	PREVOD NA UCET	9902	32167	SIPO	CD	53796619
3104155	10297	1996-10-11	VYDAJ	PREVOD NA UCET	9902	35615	SIPO	CD	53796619
3104156	10297	1996-11-11	VYDAJ	PREVOD NA UCET	9902	43568	SIPO	CD	53796619
3104157	10297	1996-12-11	VYDAJ	PREVOD NA UCET	9902	50166	SIPO	CD	53796619
3104158	10297	1997-01-11	VYDAJ	PREVOD NA UCET	9902	41729	SIPO	CD	53796619
3104159	10297	1997-02-11	VYDAJ	PREVOD NA UCET	9902	28529	SIPO	CD	53796619
3104160	10297	1997-03-11	VYDAJ	PREVOD NA UCET	9902	40473	SIPO	CD	53796619
3104161	10297	1997-04-11	VYDAJ	PREVOD NA UCET	9902	44949	SIPO	CD	53796619
3104162	10297	1997-05-11	VYDAJ	PREVOD NA UCET	9902	49865	SIPO	CD	53796619
3104163	10297	1997-06-11	VYDAJ	PREVOD NA UCET	9902	48965	SIPO	CD	53796619
3104164	10297	1997-07-11	VYDAJ	PREVOD NA UCET	9902	53098	SIPO	CD	53796619
3104165	10297	1997-08-11	VYDAJ	PREVOD NA UCET	9902	54122	SIPO	CD	53796619
3104166	10297	1997-09-11	VYDAJ	PREVOD NA UCET	9902	48306	SIPO	CD	53796619
3104167	10297	1997-10-11	VYDAJ	PREVOD NA UCET	9902	53304	SIPO	CD	53796619
3104168	10297	1997-11-11	VYDAJ	PREVOD NA UCET	9902	55225	SIPO	CD	53796619
3104169	10297	1997-12-11	VYDAJ	PREVOD NA UCET	9902	68006	SIPO	CD	53796619
3104170	10297	1998-01-11	VYDAJ	PREVOD NA UCET	9902	54472	SIPO	CD	53796619
3104171	10297	1998-02-11	VYDAJ	PREVOD NA UCET	9902	58741	SIPO	CD	53796619
3104172	10297	1998-03-11	VYDAJ	PREVOD NA UCET	9902	65374	SIPO	CD	53796619
3104173	10297	1998-04-11	VYDAJ	PREVOD NA UCET	9902	69043	SIPO	CD	53796619
3104174	10297	1998-05-11	VYDAJ	PREVOD NA UCET	9902	74930	SIPO	CD	53796619
3104175	10297	1998-06-11	VYDAJ	PREVOD NA UCET	9902	90453	SIPO	CD	53796619
3104176	10297	1998-07-11	VYDAJ	PREVOD NA UCET	9902	67024	SIPO	CD	53796619
3104177	10297	1998-08-11	VYDAJ	PREVOD NA UCET	9902	75081	SIPO	CD	53796619
3104178	10297	1998-09-11	VYDAJ	PREVOD NA UCET	9902	84089	SIPO	CD	53796619
3104179	10297	1998-10-11	VYDAJ	PREVOD NA UCET	9902	83432	SIPO	CD	53796619
3104180	10297	1998-11-11	VYDAJ	PREVOD NA UCET	9902	80984	SIPO	CD	53796619
3104181	10297	1998-12-11	VYDAJ	PREVOD NA UCET	9902	89543	SIPO	CD	53796619
3104187	10297	1996-06-18	VYDAJ	VYBER	10500	41328	\N	\N	0
3104188	10297	1996-07-15	VYDAJ	VYBER	10600	42029	\N	\N	0
3104189	10297	1996-08-06	VYDAJ	VYBER	6900	22801	\N	\N	0
3104190	10297	1996-09-10	VYDAJ	VYBER	10900	21042	\N	\N	0
3104191	10297	1996-10-04	VYDAJ	VYBER	7600	24490	\N	\N	0
3104192	10297	1996-11-12	VYDAJ	VYBER	7600	35968	\N	\N	0
3104193	10297	1996-12-12	VYDAJ	PREVOD NA UCET	8771	41395	UVER	WX	2840400
3104194	10297	1997-01-12	VYDAJ	PREVOD NA UCET	8771	30918	UVER	WX	2840400
3104195	10297	1997-02-12	VYDAJ	PREVOD NA UCET	8771	29258	UVER	WX	2840400
3104196	10297	1997-03-12	VYDAJ	PREVOD NA UCET	8771	31702	UVER	WX	2840400
3104197	10297	1997-04-12	VYDAJ	PREVOD NA UCET	8771	36178	UVER	WX	2840400
3104198	10297	1997-05-12	VYDAJ	PREVOD NA UCET	8771	41094	UVER	WX	2840400
3104199	10297	1997-06-12	VYDAJ	PREVOD NA UCET	8771	41794	UVER	WX	2840400
3104200	10297	1997-07-12	VYDAJ	PREVOD NA UCET	8771	44327	UVER	WX	2840400
3104201	10297	1997-08-12	VYDAJ	PREVOD NA UCET	8771	38351	UVER	WX	2840400
3104202	10297	1997-09-12	VYDAJ	PREVOD NA UCET	8771	39535	UVER	WX	2840400
3104203	10297	1997-10-12	VYDAJ	PREVOD NA UCET	8771	44533	UVER	WX	2840400
3104204	10297	1997-11-12	VYDAJ	PREVOD NA UCET	8771	46454	UVER	WX	2840400
3104205	10297	1997-12-12	VYDAJ	PREVOD NA UCET	8771	59235	UVER	WX	2840400
3104206	10297	1998-01-12	VYDAJ	PREVOD NA UCET	8771	44141	UVER	WX	2840400
3104207	10297	1998-02-12	VYDAJ	PREVOD NA UCET	8771	49970	UVER	WX	2840400
3104208	10297	1998-03-12	VYDAJ	PREVOD NA UCET	8771	56603	UVER	WX	2840400
3104209	10297	1998-04-12	VYDAJ	PREVOD NA UCET	8771	60272	UVER	WX	2840400
3104210	10297	1998-05-12	VYDAJ	PREVOD NA UCET	8771	66159	UVER	WX	2840400
3104211	10297	1998-06-12	VYDAJ	PREVOD NA UCET	8771	81682	UVER	WX	2840400
3104212	10297	1998-07-12	VYDAJ	PREVOD NA UCET	8771	58253	UVER	WX	2840400
3104213	10297	1998-08-12	VYDAJ	PREVOD NA UCET	8771	66310	UVER	WX	2840400
3104214	10297	1998-09-12	VYDAJ	PREVOD NA UCET	8771	75318	UVER	WX	2840400
3104215	10297	1998-10-12	VYDAJ	PREVOD NA UCET	8771	74661	UVER	WX	2840400
3104216	10297	1998-11-12	VYDAJ	PREVOD NA UCET	8771	72213	UVER	WX	2840400
3104217	10297	1998-12-12	VYDAJ	PREVOD NA UCET	8771	80772	UVER	WX	2840400
3104219	10297	1997-06-02	VYDAJ	VYBER	11360	27327	\N	\N	\N
3104220	10297	1998-06-13	VYDAJ	VYBER	43680	38002	\N	\N	\N
3104222	10297	1997-01-27	VYDAJ	VYBER	8320	17298	\N	\N	\N
3104223	10297	1998-01-07	VYDAJ	VYBER	14880	37847	\N	\N	\N
3104224	10297	1996-12-22	VYDAJ	VYBER	2400	33595	\N	\N	\N
3104225	10297	1997-12-27	VYDAJ	VYBER	3360	55875	\N	\N	\N
3104226	10297	1998-12-03	VYDAJ	VYBER KARTOU	4000	68505	\N	\N	0
3104233	10297	1997-01-05	VYDAJ	VYBER	3120	30604	\N	\N	\N
3104234	10297	1997-01-18	VYDAJ	VYBER	1200	29818	\N	\N	\N
3104235	10297	1997-01-22	VYDAJ	VYBER	1200	25618	\N	\N	\N
3104236	10297	1997-01-21	VYDAJ	VYBER	600	26818	\N	\N	\N
3104237	10297	1997-01-11	VYDAJ	VYBER	2040	39689	\N	\N	\N
3104238	10297	1997-01-20	VYDAJ	VYBER	2400	27418	\N	\N	\N
3104239	10297	1998-01-04	VYDAJ	VYBER	2520	53567	\N	\N	\N
3104240	10297	1998-01-06	VYDAJ	VYBER	840	52727	\N	\N	\N
3104241	10297	1998-01-16	VYDAJ	VYBER	1440	42701	\N	\N	\N
3104242	10297	1998-01-28	VYDAJ	VYBER	1320	39341	\N	\N	\N
3104243	10297	1998-01-27	VYDAJ	VYBER	2040	40661	\N	\N	\N
3104244	10297	1998-01-12	VYDAJ	VYBER	1560	52912	\N	\N	\N
3104245	10297	1996-09-14	VYDAJ	VYBER	1800	30367	\N	\N	\N
3104247	10297	1996-07-30	VYDAJ	VYBER	3480	29549	\N	\N	\N
3104249	10297	1996-10-29	VYDAJ	VYBER	600	32315	\N	\N	\N
3104251	10297	1996-12-08	VYDAJ	VYBER	2760	28528	\N	\N	\N
3104252	10297	1997-05-25	VYDAJ	VYBER	2160	38534	\N	\N	\N
3104253	10297	1997-11-22	VYDAJ	VYBER	1560	44894	\N	\N	\N
3104254	10297	1997-08-28	VYDAJ	VYBER	5520	32831	\N	\N	\N
3104255	10297	1997-11-08	VYDAJ	VYBER	2280	36900	\N	\N	\N
3104256	10297	1997-04-16	VYDAJ	VYBER	1080	38598	\N	\N	\N
3104257	10297	1997-11-01	VYDAJ	VYBER	5520	39180	\N	\N	\N
3104258	10297	1998-12-16	VYDAJ	VYBER KARTOU	3400	77372	\N	\N	0
3104265	10297	1996-06-30	VYDAJ	VYBER	15	41504	SLUZBY	\N	\N
3104266	10297	1996-07-31	VYDAJ	VYBER	15	29701	SLUZBY	\N	\N
3104267	10297	1996-08-31	VYDAJ	VYBER	15	31942	SLUZBY	\N	\N
3104268	10297	1996-09-30	VYDAJ	VYBER	15	32090	SLUZBY	\N	\N
3104269	10297	1996-10-31	VYDAJ	VYBER	15	32443	SLUZBY	\N	\N
3104270	10297	1996-11-30	VYDAJ	VYBER	15	31288	SLUZBY	\N	\N
3104271	10297	1996-12-31	VYDAJ	VYBER	15	33724	SLUZBY	\N	\N
3104272	10297	1997-01-31	VYDAJ	VYBER	15	17404	SLUZBY	\N	\N
3104273	10297	1997-02-28	VYDAJ	VYBER	15	29348	SLUZBY	\N	\N
3104274	10297	1997-03-31	VYDAJ	VYBER	15	33824	SLUZBY	\N	\N
3104275	10297	1997-04-30	VYDAJ	VYBER	15	38740	SLUZBY	\N	\N
3104276	10297	1997-05-31	VYDAJ	VYBER	15	38687	SLUZBY	\N	\N
3104277	10297	1997-06-30	VYDAJ	VYBER	15	41973	SLUZBY	\N	\N
3104278	10297	1997-07-31	VYDAJ	VYBER	15	42997	SLUZBY	\N	\N
3104279	10297	1997-08-31	VYDAJ	VYBER	15	32981	SLUZBY	\N	\N
3104280	10297	1997-09-30	VYDAJ	VYBER	15	39679	SLUZBY	\N	\N
3104281	10297	1997-10-31	VYDAJ	VYBER	15	44700	SLUZBY	\N	\N
3104282	10297	1997-11-30	VYDAJ	VYBER	15	45068	SLUZBY	\N	\N
3104283	10297	1997-12-31	VYDAJ	VYBER	15	56087	SLUZBY	\N	\N
3104284	10297	1998-01-31	VYDAJ	VYBER	15	39516	SLUZBY	\N	\N
3104285	10297	1998-02-28	VYDAJ	VYBER	15	50149	SLUZBY	\N	\N
3104286	10297	1998-03-31	VYDAJ	VYBER	15	56818	SLUZBY	\N	\N
3104287	10297	1998-04-30	VYDAJ	VYBER	15	60505	SLUZBY	\N	\N
3104288	10297	1998-05-31	VYDAJ	VYBER	15	66415	SLUZBY	\N	\N
3104289	10297	1998-06-30	VYDAJ	VYBER	15	38199	SLUZBY	\N	\N
3104290	10297	1998-07-31	VYDAJ	VYBER	15	58456	SLUZBY	\N	\N
3104291	10297	1998-08-31	VYDAJ	VYBER	15	66564	SLUZBY	\N	\N
3104292	10297	1998-09-30	VYDAJ	VYBER	15	75607	SLUZBY	\N	\N
3104293	10297	1998-10-31	VYDAJ	VYBER	15	74959	SLUZBY	\N	\N
3104294	10297	1998-11-30	VYDAJ	VYBER	15	72505	SLUZBY	\N	\N
3104295	10297	1996-02-18	PRIJEM	VKLAD	4400	26027	\N	\N	\N
3104296	10297	1996-03-19	VYDAJ	VYBER	12900	34199	\N	\N	\N
3104297	10297	1996-04-18	VYDAJ	VYBER	16800	38549	\N	\N	\N
3104298	10297	1996-05-18	VYDAJ	VYBER	19100	40626	\N	\N	\N
3104299	10297	1996-06-17	VYDAJ	VYBER	10600	51828	\N	\N	\N
3104300	10297	1996-07-17	VYDAJ	VYBER	9000	33029	\N	\N	\N
3104301	10297	1996-08-16	VYDAJ	VYBER	2100	31826	\N	\N	\N
3104302	10297	1996-09-15	PRIJEM	VKLAD	1600	31967	\N	\N	\N
3104303	10297	1996-10-15	VYDAJ	VYBER	2700	32915	\N	\N	\N
3104304	10297	1996-11-14	VYDAJ	VYBER	4800	31168	\N	\N	\N
3104305	10297	1996-12-14	VYDAJ	VYBER	5400	35995	\N	\N	\N
3104306	10297	1997-01-13	PRIJEM	VKLAD	100	31018	\N	\N	\N
3104307	10297	1997-02-12	PRIJEM	VKLAD	9500	38029	\N	\N	\N
3104308	10297	1997-03-14	PRIJEM	VKLAD	2000	33702	\N	\N	\N
3104309	10297	1997-04-13	PRIJEM	VKLAD	3500	39678	\N	\N	\N
3104310	10297	1997-05-13	VYDAJ	VYBER	400	40694	\N	\N	\N
3104311	10297	1997-06-12	PRIJEM	VKLAD	1600	50565	\N	\N	\N
3104312	10297	1997-07-12	VYDAJ	VYBER	1500	42827	\N	\N	\N
3104313	10297	1997-08-11	VYDAJ	VYBER	7000	47122	\N	\N	\N
3104314	10297	1997-09-10	PRIJEM	VKLAD	4200	37181	\N	\N	\N
3104315	10297	1997-10-10	PRIJEM	VKLAD	2500	42179	\N	\N	\N
3104316	10297	1997-11-09	PRIJEM	VKLAD	7200	44100	\N	\N	\N
3104317	10297	1997-12-09	PRIJEM	VKLAD	1300	46368	\N	\N	\N
3104318	10297	1998-01-08	PRIJEM	VKLAD	5500	43347	\N	\N	\N
3104319	10297	1998-02-07	PRIJEM	VKLAD	8100	47616	\N	\N	\N
3104320	10297	1998-03-09	PRIJEM	VKLAD	4100	54249	\N	\N	\N
3104321	10297	1998-04-08	PRIJEM	VKLAD	1100	57918	\N	\N	\N
3104322	10297	1998-05-08	PRIJEM	VKLAD	3300	63805	\N	\N	\N
3104323	10297	1998-06-07	PRIJEM	VKLAD	2400	68815	\N	\N	\N
3104324	10297	1998-07-07	PRIJEM	VKLAD	17700	55899	\N	\N	\N
3104325	10297	1998-08-06	PRIJEM	VKLAD	5500	63956	\N	\N	\N
3104326	10297	1998-09-05	PRIJEM	VKLAD	6400	72964	\N	\N	\N
3104327	10297	1998-10-05	VYDAJ	VYBER	3300	72307	\N	\N	\N
3104328	10297	1998-11-04	VYDAJ	VYBER	5100	69859	\N	\N	\N
3104329	10297	1998-12-04	VYDAJ	VYBER KARTOU	600	67905	\N	\N	0
3110273	10320	1993-07-11	PRIJEM	VKLAD	800	800	\N	\N	\N
3110281	10320	1993-08-09	PRIJEM	PREVOD Z UCTU	25973	26773	\N	AB	35140204
3110282	10320	1993-09-09	PRIJEM	PREVOD Z UCTU	25973	51521	\N	AB	35140204
3110283	10320	1993-10-09	PRIJEM	PREVOD Z UCTU	25973	65980	\N	AB	35140204
3110284	10320	1993-11-09	PRIJEM	PREVOD Z UCTU	25973	61512	\N	AB	35140204
3110285	10320	1993-12-09	PRIJEM	PREVOD Z UCTU	38960	79634	\N	AB	35140204
3110286	10320	1994-01-09	PRIJEM	PREVOD Z UCTU	25973	60148	\N	AB	35140204
3110287	10320	1994-02-09	PRIJEM	PREVOD Z UCTU	25973	47623	\N	AB	35140204
3110288	10320	1994-03-09	PRIJEM	PREVOD Z UCTU	25973	55358	\N	AB	35140204
3110289	10320	1994-04-09	PRIJEM	PREVOD Z UCTU	25973	56226	\N	AB	35140204
3110290	10320	1994-05-09	PRIJEM	PREVOD Z UCTU	25973	49124	\N	AB	35140204
3110291	10320	1994-06-09	PRIJEM	PREVOD Z UCTU	38960	70153	\N	AB	35140204
3110292	10320	1994-07-09	PRIJEM	PREVOD Z UCTU	25973	57471	\N	AB	35140204
3110293	10320	1994-08-09	PRIJEM	PREVOD Z UCTU	25973	52149	\N	AB	35140204
3110294	10320	1994-09-09	PRIJEM	PREVOD Z UCTU	25973	55001	\N	AB	35140204
3110295	10320	1994-10-09	PRIJEM	PREVOD Z UCTU	25973	52377	\N	AB	35140204
3110296	10320	1994-11-09	PRIJEM	PREVOD Z UCTU	25973	60844	\N	AB	35140204
3110297	10320	1994-12-09	PRIJEM	PREVOD Z UCTU	38960	72124	\N	AB	35140204
3110298	10320	1995-01-09	PRIJEM	PREVOD Z UCTU	25973	51252	\N	AB	35140204
3110299	10320	1995-02-09	PRIJEM	PREVOD Z UCTU	25973	49286	\N	AB	35140204
3110300	10320	1995-03-09	PRIJEM	PREVOD Z UCTU	25973	58526	\N	AB	35140204
3110301	10320	1995-04-09	PRIJEM	PREVOD Z UCTU	25973	64906	\N	AB	35140204
3110302	10320	1995-05-09	PRIJEM	PREVOD Z UCTU	25973	63918	\N	AB	35140204
3110303	10320	1995-06-09	PRIJEM	PREVOD Z UCTU	38960	60007	\N	AB	35140204
3110304	10320	1995-07-09	PRIJEM	PREVOD Z UCTU	25973	49335	\N	AB	35140204
3110305	10320	1995-08-09	PRIJEM	PREVOD Z UCTU	25973	46680	\N	AB	35140204
3110306	10320	1995-09-09	PRIJEM	PREVOD Z UCTU	25973	55827	\N	AB	35140204
3110307	10320	1995-10-09	PRIJEM	PREVOD Z UCTU	25973	58592	\N	AB	35140204
3110308	10320	1995-11-09	PRIJEM	PREVOD Z UCTU	25973	60068	\N	AB	35140204
3110309	10320	1995-12-09	PRIJEM	PREVOD Z UCTU	38960	76637	\N	AB	35140204
3110310	10320	1996-01-09	PRIJEM	PREVOD Z UCTU	25973	54255	\N	AB	35140204
3110311	10320	1996-02-09	PRIJEM	PREVOD Z UCTU	25973	47591	\N	AB	35140204
3110312	10320	1996-03-09	PRIJEM	PREVOD Z UCTU	25973	55362	\N	AB	35140204
3110313	10320	1996-04-09	PRIJEM	PREVOD Z UCTU	25973	52563	\N	AB	35140204
3110314	10320	1996-05-09	PRIJEM	PREVOD Z UCTU	25973	59515	\N	AB	35140204
3110315	10320	1996-06-09	PRIJEM	PREVOD Z UCTU	38960	65128	\N	AB	35140204
3110316	10320	1996-07-09	PRIJEM	PREVOD Z UCTU	25973	48035	\N	AB	35140204
3110317	10320	1996-08-09	PRIJEM	PREVOD Z UCTU	25973	55468	\N	AB	35140204
3110318	10320	1996-09-09	PRIJEM	PREVOD Z UCTU	25973	51621	\N	AB	35140204
3110319	10320	1996-10-09	PRIJEM	PREVOD Z UCTU	25973	50600	\N	AB	35140204
3110320	10320	1996-11-09	PRIJEM	PREVOD Z UCTU	25973	55148	\N	AB	35140204
3110321	10320	1996-12-09	PRIJEM	PREVOD Z UCTU	38960	72092	\N	AB	35140204
3110322	10320	1997-01-09	PRIJEM	PREVOD Z UCTU	25973	49389	\N	AB	35140204
3110323	10320	1997-02-09	PRIJEM	PREVOD Z UCTU	25973	48318	\N	AB	35140204
3110324	10320	1997-03-09	PRIJEM	PREVOD Z UCTU	25973	57051	\N	AB	35140204
3110325	10320	1997-04-09	PRIJEM	PREVOD Z UCTU	25973	59112	\N	AB	35140204
3110326	10320	1997-05-09	PRIJEM	PREVOD Z UCTU	25973	56074	\N	AB	35140204
3110327	10320	1997-06-09	PRIJEM	PREVOD Z UCTU	38960	70116	\N	AB	35140204
3110328	10320	1997-07-09	PRIJEM	PREVOD Z UCTU	25973	46923	\N	AB	35140204
3110329	10320	1997-08-09	PRIJEM	PREVOD Z UCTU	25973	56452	\N	AB	35140204
3110330	10320	1997-09-09	PRIJEM	PREVOD Z UCTU	25973	50705	\N	AB	35140204
3110331	10320	1997-10-09	PRIJEM	PREVOD Z UCTU	25973	58947	\N	AB	35140204
3110332	10320	1997-11-09	PRIJEM	PREVOD Z UCTU	25973	48986	\N	AB	35140204
3110333	10320	1997-12-09	PRIJEM	PREVOD Z UCTU	38960	66801	\N	AB	35140204
3110334	10320	1998-01-09	PRIJEM	PREVOD Z UCTU	25973	53667	\N	AB	35140204
3110335	10320	1998-02-09	PRIJEM	PREVOD Z UCTU	25973	46751	\N	AB	35140204
3110336	10320	1998-03-09	PRIJEM	PREVOD Z UCTU	25973	50967	\N	AB	35140204
3110337	10320	1998-04-09	PRIJEM	PREVOD Z UCTU	25973	52708	\N	AB	35140204
3110338	10320	1998-05-09	PRIJEM	PREVOD Z UCTU	25973	53259	\N	AB	35140204
3110339	10320	1998-06-09	PRIJEM	PREVOD Z UCTU	38960	71491	\N	AB	35140204
3110340	10320	1998-07-09	PRIJEM	PREVOD Z UCTU	25973	70882	\N	AB	35140204
3110341	10320	1998-08-09	PRIJEM	PREVOD Z UCTU	25973	70287	\N	AB	35140204
3110342	10320	1998-09-09	PRIJEM	PREVOD Z UCTU	25973	50087	\N	AB	35140204
3110343	10320	1998-10-09	PRIJEM	PREVOD Z UCTU	25973	58665	\N	AB	35140204
3110344	10320	1998-11-09	PRIJEM	PREVOD Z UCTU	25973	67943	\N	AB	35140204
3110345	10320	1998-12-09	PRIJEM	PREVOD Z UCTU	38960	68228	\N	AB	35140204
3110357	10320	1993-12-05	VYDAJ	VYBER	4900	56874	\N	\N	0
3110358	10320	1994-01-12	VYDAJ	PREVOD NA UCET	4329	43405	UVER	KL	11919367
3110359	10320	1994-02-12	VYDAJ	PREVOD NA UCET	4329	30880	UVER	KL	11919367
3110360	10320	1994-03-12	VYDAJ	PREVOD NA UCET	4329	38615	UVER	KL	11919367
3110361	10320	1994-04-12	VYDAJ	PREVOD NA UCET	4329	39483	UVER	KL	11919367
3110362	10320	1994-05-12	VYDAJ	PREVOD NA UCET	4329	32381	UVER	KL	11919367
3110363	10320	1994-06-12	VYDAJ	PREVOD NA UCET	4329	53410	UVER	KL	11919367
3110364	10320	1994-07-12	VYDAJ	PREVOD NA UCET	4329	40728	UVER	KL	11919367
3110365	10320	1994-08-12	VYDAJ	PREVOD NA UCET	4329	25217	UVER	KL	11919367
3110366	10320	1994-09-12	VYDAJ	PREVOD NA UCET	4329	38259	UVER	KL	11919367
3110367	10320	1994-10-12	VYDAJ	PREVOD NA UCET	4329	35634	UVER	KL	11919367
3110368	10320	1994-11-12	VYDAJ	PREVOD NA UCET	4329	44101	UVER	KL	11919367
3110369	10320	1994-12-12	VYDAJ	PREVOD NA UCET	4329	55381	UVER	KL	11919367
3110370	10320	1995-01-12	VYDAJ	PREVOD NA UCET	4329	34509	UVER	KL	11919367
3110371	10320	1995-02-12	VYDAJ	PREVOD NA UCET	4329	32543	UVER	KL	11919367
3110372	10320	1995-03-12	VYDAJ	PREVOD NA UCET	4329	41783	UVER	KL	11919367
3110373	10320	1995-04-12	VYDAJ	PREVOD NA UCET	4329	48163	UVER	KL	11919367
3110374	10320	1995-05-12	VYDAJ	PREVOD NA UCET	4329	27043	UVER	KL	11919367
3110375	10320	1995-06-12	VYDAJ	PREVOD NA UCET	4329	43264	UVER	KL	11919367
3110376	10320	1995-07-12	VYDAJ	PREVOD NA UCET	4329	32593	UVER	KL	11919367
3110377	10320	1995-08-12	VYDAJ	PREVOD NA UCET	4329	29937	UVER	KL	11919367
3110378	10320	1995-09-12	VYDAJ	PREVOD NA UCET	4329	39084	UVER	KL	11919367
3110379	10320	1995-10-12	VYDAJ	PREVOD NA UCET	4329	41849	UVER	KL	11919367
3110380	10320	1995-11-12	VYDAJ	PREVOD NA UCET	4329	43325	UVER	KL	11919367
3110381	10320	1995-12-12	VYDAJ	PREVOD NA UCET	4329	59894	UVER	KL	11919367
3110382	10320	1996-01-12	VYDAJ	PREVOD NA UCET	4329	37513	UVER	KL	11919367
3110383	10320	1996-02-12	VYDAJ	PREVOD NA UCET	4329	30849	UVER	KL	11919367
3110384	10320	1996-03-12	VYDAJ	PREVOD NA UCET	4329	38619	UVER	KL	11919367
3110385	10320	1996-04-12	VYDAJ	PREVOD NA UCET	4329	35821	UVER	KL	11919367
3110386	10320	1996-05-12	VYDAJ	PREVOD NA UCET	4329	22372	UVER	KL	11919367
3110387	10320	1996-06-12	VYDAJ	PREVOD NA UCET	4329	48385	UVER	KL	11919367
3110388	10320	1996-07-12	VYDAJ	PREVOD NA UCET	4329	31292	UVER	KL	11919367
3110389	10320	1996-08-12	VYDAJ	PREVOD NA UCET	4329	38725	UVER	KL	11919367
3110390	10320	1996-09-12	VYDAJ	PREVOD NA UCET	4329	34879	UVER	KL	11919367
3110391	10320	1996-10-12	VYDAJ	PREVOD NA UCET	4329	33857	UVER	KL	11919367
3110392	10320	1996-11-12	VYDAJ	PREVOD NA UCET	4329	38405	UVER	KL	11919367
3110393	10320	1996-12-12	VYDAJ	PREVOD NA UCET	4329	55349	UVER	KL	11919367
3110394	10320	1997-01-12	VYDAJ	PREVOD NA UCET	4329	32646	UVER	KL	11919367
3110395	10320	1997-02-12	VYDAJ	PREVOD NA UCET	4329	31575	UVER	KL	11919367
3110396	10320	1997-03-12	VYDAJ	PREVOD NA UCET	4329	40308	UVER	KL	11919367
3110397	10320	1997-04-12	VYDAJ	PREVOD NA UCET	4329	42369	UVER	KL	11919367
3110398	10320	1997-05-12	VYDAJ	PREVOD NA UCET	4329	39331	UVER	KL	11919367
3110399	10320	1997-06-12	VYDAJ	PREVOD NA UCET	4329	16173	UVER	KL	11919367
3110400	10320	1997-07-12	VYDAJ	PREVOD NA UCET	4329	30180	UVER	KL	11919367
3110401	10320	1997-08-12	VYDAJ	PREVOD NA UCET	4329	39709	UVER	KL	11919367
3110402	10320	1997-09-12	VYDAJ	PREVOD NA UCET	4329	33962	UVER	KL	11919367
3110403	10320	1997-10-12	VYDAJ	PREVOD NA UCET	4329	42204	UVER	KL	11919367
3110404	10320	1997-11-12	VYDAJ	PREVOD NA UCET	4329	32244	UVER	KL	11919367
3110405	10320	1997-12-12	VYDAJ	PREVOD NA UCET	4329	50058	UVER	KL	11919367
3110406	10320	1998-01-12	VYDAJ	PREVOD NA UCET	4329	19286	UVER	KL	11919367
3110407	10320	1998-02-12	VYDAJ	PREVOD NA UCET	4329	30008	UVER	KL	11919367
3110408	10320	1998-03-12	VYDAJ	PREVOD NA UCET	4329	34224	UVER	KL	11919367
3110409	10320	1998-04-12	VYDAJ	PREVOD NA UCET	4329	28389	UVER	KL	11919367
3110410	10320	1998-05-12	VYDAJ	PREVOD NA UCET	4329	36516	UVER	KL	11919367
3110411	10320	1998-06-12	VYDAJ	PREVOD NA UCET	4329	54749	UVER	KL	11919367
3110412	10320	1998-07-12	VYDAJ	PREVOD NA UCET	4329	54140	UVER	KL	11919367
3110413	10320	1998-08-12	VYDAJ	PREVOD NA UCET	4329	53544	UVER	KL	11919367
3110414	10320	1998-09-12	VYDAJ	PREVOD NA UCET	4329	33344	UVER	KL	11919367
3110415	10320	1998-10-12	VYDAJ	PREVOD NA UCET	4329	41922	UVER	KL	11919367
3110416	10320	1998-11-12	VYDAJ	PREVOD NA UCET	4329	51201	UVER	KL	11919367
3110417	10320	1998-12-12	VYDAJ	PREVOD NA UCET	4329	51485	UVER	KL	11919367
3110429	10320	1993-12-10	VYDAJ	PREVOD NA UCET	12414	67220	SIPO	KL	6873333
3110430	10320	1994-01-10	VYDAJ	PREVOD NA UCET	12414	47734	SIPO	KL	6873333
3110431	10320	1994-02-10	VYDAJ	PREVOD NA UCET	12414	35209	SIPO	KL	6873333
3110432	10320	1994-03-10	VYDAJ	PREVOD NA UCET	12414	42944	SIPO	KL	6873333
3110433	10320	1994-04-10	VYDAJ	PREVOD NA UCET	12414	43812	SIPO	KL	6873333
3110434	10320	1994-05-10	VYDAJ	PREVOD NA UCET	12414	36710	SIPO	KL	6873333
3110435	10320	1994-06-10	VYDAJ	PREVOD NA UCET	12414	57739	SIPO	KL	6873333
3110436	10320	1994-07-10	VYDAJ	PREVOD NA UCET	12414	45057	SIPO	KL	6873333
3110437	10320	1994-08-10	VYDAJ	PREVOD NA UCET	12414	39735	SIPO	KL	6873333
3110438	10320	1994-09-10	VYDAJ	PREVOD NA UCET	12414	42587	SIPO	KL	6873333
3110439	10320	1994-10-10	VYDAJ	PREVOD NA UCET	12414	39963	SIPO	KL	6873333
3110440	10320	1994-11-10	VYDAJ	PREVOD NA UCET	12414	48430	SIPO	KL	6873333
3110441	10320	1994-12-10	VYDAJ	PREVOD NA UCET	12414	59710	SIPO	KL	6873333
3110442	10320	1995-01-10	VYDAJ	PREVOD NA UCET	12414	38838	SIPO	KL	6873333
3110443	10320	1995-02-10	VYDAJ	PREVOD NA UCET	12414	36872	SIPO	KL	6873333
3110444	10320	1995-03-10	VYDAJ	PREVOD NA UCET	12414	46112	SIPO	KL	6873333
3110445	10320	1995-04-10	VYDAJ	PREVOD NA UCET	12414	52492	SIPO	KL	6873333
3110446	10320	1995-05-10	VYDAJ	PREVOD NA UCET	12414	51504	SIPO	KL	6873333
3110447	10320	1995-06-10	VYDAJ	PREVOD NA UCET	12414	47593	SIPO	KL	6873333
3110448	10320	1995-07-10	VYDAJ	PREVOD NA UCET	12414	36921	SIPO	KL	6873333
3110449	10320	1995-08-10	VYDAJ	PREVOD NA UCET	12414	34266	SIPO	KL	6873333
3110450	10320	1995-09-10	VYDAJ	PREVOD NA UCET	12414	43413	SIPO	KL	6873333
3110451	10320	1995-10-10	VYDAJ	PREVOD NA UCET	12414	46178	SIPO	KL	6873333
3110452	10320	1995-11-10	VYDAJ	PREVOD NA UCET	12414	47654	SIPO	KL	6873333
3110453	10320	1995-12-10	VYDAJ	PREVOD NA UCET	12414	64223	SIPO	KL	6873333
3110454	10320	1996-01-10	VYDAJ	PREVOD NA UCET	12414	41841	SIPO	KL	6873333
3110455	10320	1996-02-10	VYDAJ	PREVOD NA UCET	12414	35177	SIPO	KL	6873333
3110456	10320	1996-03-10	VYDAJ	PREVOD NA UCET	12414	42948	SIPO	KL	6873333
3110457	10320	1996-04-10	VYDAJ	PREVOD NA UCET	12414	40149	SIPO	KL	6873333
3110458	10320	1996-05-10	VYDAJ	PREVOD NA UCET	12414	47101	SIPO	KL	6873333
3110459	10320	1996-06-10	VYDAJ	PREVOD NA UCET	12414	52714	SIPO	KL	6873333
3110460	10320	1996-07-10	VYDAJ	PREVOD NA UCET	12414	35621	SIPO	KL	6873333
3110461	10320	1996-08-10	VYDAJ	PREVOD NA UCET	12414	43054	SIPO	KL	6873333
3110462	10320	1996-09-10	VYDAJ	PREVOD NA UCET	12414	39207	SIPO	KL	6873333
3110463	10320	1996-10-10	VYDAJ	PREVOD NA UCET	12414	38186	SIPO	KL	6873333
3110464	10320	1996-11-10	VYDAJ	PREVOD NA UCET	12414	42734	SIPO	KL	6873333
3110465	10320	1996-12-10	VYDAJ	PREVOD NA UCET	12414	59678	SIPO	KL	6873333
3110466	10320	1997-01-10	VYDAJ	PREVOD NA UCET	12414	36975	SIPO	KL	6873333
3110467	10320	1997-02-10	VYDAJ	PREVOD NA UCET	12414	35904	SIPO	KL	6873333
3110468	10320	1997-03-10	VYDAJ	PREVOD NA UCET	12414	44637	SIPO	KL	6873333
3110469	10320	1997-04-10	VYDAJ	PREVOD NA UCET	12414	46698	SIPO	KL	6873333
3110470	10320	1997-05-10	VYDAJ	PREVOD NA UCET	12414	43660	SIPO	KL	6873333
3110471	10320	1997-06-10	VYDAJ	PREVOD NA UCET	12414	57702	SIPO	KL	6873333
3110472	10320	1997-07-10	VYDAJ	PREVOD NA UCET	12414	34509	SIPO	KL	6873333
3110473	10320	1997-08-10	VYDAJ	PREVOD NA UCET	12414	44038	SIPO	KL	6873333
3110474	10320	1997-09-10	VYDAJ	PREVOD NA UCET	12414	38291	SIPO	KL	6873333
3110475	10320	1997-10-10	VYDAJ	PREVOD NA UCET	12414	46533	SIPO	KL	6873333
3110476	10320	1997-11-10	VYDAJ	PREVOD NA UCET	12414	36572	SIPO	KL	6873333
3110477	10320	1997-12-10	VYDAJ	PREVOD NA UCET	12414	54387	SIPO	KL	6873333
3110478	10320	1998-01-10	VYDAJ	PREVOD NA UCET	12414	23615	SIPO	KL	6873333
3110479	10320	1998-02-10	VYDAJ	PREVOD NA UCET	12414	34337	SIPO	KL	6873333
3110480	10320	1998-03-10	VYDAJ	PREVOD NA UCET	12414	38553	SIPO	KL	6873333
3110481	10320	1998-04-10	VYDAJ	PREVOD NA UCET	12414	40294	SIPO	KL	6873333
3110482	10320	1998-05-10	VYDAJ	PREVOD NA UCET	12414	40845	SIPO	KL	6873333
3110483	10320	1998-06-10	VYDAJ	PREVOD NA UCET	12414	59077	SIPO	KL	6873333
3110484	10320	1998-07-10	VYDAJ	PREVOD NA UCET	12414	58468	SIPO	KL	6873333
3110485	10320	1998-08-10	VYDAJ	PREVOD NA UCET	12414	57873	SIPO	KL	6873333
3110486	10320	1998-09-10	VYDAJ	PREVOD NA UCET	12414	37673	SIPO	KL	6873333
3110487	10320	1998-10-10	VYDAJ	PREVOD NA UCET	12414	46251	SIPO	KL	6873333
3110488	10320	1998-11-10	VYDAJ	PREVOD NA UCET	12414	55529	SIPO	KL	6873333
3110489	10320	1998-12-10	VYDAJ	PREVOD NA UCET	12414	55814	SIPO	KL	6873333
3110492	10320	1994-10-07	VYBER	VYBER	5288	26404	\N	\N	\N
3110493	10320	1994-04-17	VYBER	VYBER	17547	21936	\N	\N	\N
3110494	10320	1994-08-12	VYBER	VYBER	10189	29546	\N	\N	\N
3110497	10320	1995-06-18	VYBER	VYBER	17324	25940	\N	\N	\N
3110498	10320	1995-07-03	VYBER	VYBER	4492	23362	\N	\N	\N
3110499	10320	1995-05-21	VYBER	VYBER	2060	24983	\N	\N	\N
3110500	10320	1995-05-12	VYBER	VYBER	20133	31371	\N	\N	\N
3110501	10320	1995-12-16	VYBER	VYBER	24964	34930	\N	\N	\N
3110504	10320	1995-06-05	VYBER	VYBER	8770	21047	\N	\N	\N
3110505	10320	1996-06-27	VYBER	VYBER	15364	21921	\N	\N	\N
3110508	10320	1996-03-15	VYBER	VYBER	16928	21691	\N	\N	\N
3110509	10320	1996-10-02	VYBER	VYBER	5064	24627	\N	\N	\N
3110510	10320	1996-02-25	VYBER	VYBER	4172	26677	\N	\N	\N
3110513	10320	1998-01-10	VYBER	VYBER	17638	36029	\N	\N	\N
3110514	10320	1998-11-13	VYBER	VYBER	17461	29140	\N	\N	\N
3110516	10320	1998-08-18	VYBER	VYBER	17162	23982	\N	\N	\N
3110517	10320	1998-03-18	VYBER	VYBER	4388	26636	\N	\N	\N
3110518	10320	1998-04-11	VYBER	VYBER	7577	32717	\N	\N	\N
3110520	10320	1998-09-17	VYBER	VYBER	5263	32581	\N	\N	\N
3110528	10320	1997-06-10	VYDAJ	VYBER	37200	20502	\N	\N	\N
3110531	10320	1994-01-05	VYDAJ	VYBER	14700	47075	\N	\N	\N
3110536	10320	1993-12-29	VYDAJ	VYBER	5700	61520	\N	\N	\N
3110537	10320	1994-12-03	VYDAJ	VYBER	8400	33164	\N	\N	\N
3110538	10320	1995-12-16	VYDAJ	VYBER	6600	28330	\N	\N	\N
3110539	10320	1996-12-30	VYDAJ	VYBER	8400	32849	\N	\N	\N
3110540	10320	1997-12-16	VYDAJ	VYBER	4200	45858	\N	\N	\N
3110541	10320	1998-12-18	VYDAJ	VYBER	7800	41685	\N	\N	\N
3110548	10320	1994-01-27	VYDAJ	VYBER	2700	19705	\N	\N	\N
3110549	10320	1994-01-18	VYDAJ	VYBER	5700	30505	\N	\N	\N
3110550	10320	1994-01-24	VYDAJ	VYBER	2100	28405	\N	\N	\N
3110551	10320	1994-01-07	VYDAJ	VYBER	3900	34175	\N	\N	\N
3110552	10320	1994-01-14	VYDAJ	VYBER	7200	36205	\N	\N	\N
3110553	10320	1994-01-25	VYDAJ	VYBER	6000	22405	\N	\N	\N
3110555	10320	1995-01-17	VYDAJ	VYBER	3900	22209	\N	\N	\N
3110557	10320	1995-01-06	VYDAJ	VYBER	5400	25279	\N	\N	\N
3110558	10320	1995-01-13	VYDAJ	VYBER	8400	26109	\N	\N	\N
3110559	10320	1995-01-06	VYDAJ	VYBER	8100	30679	\N	\N	\N
3110560	10320	1996-01-14	VYDAJ	VYBER	6000	31513	\N	\N	\N
3110561	10320	1996-01-14	VYDAJ	VYBER	7500	24013	\N	\N	\N
3110562	10320	1996-01-22	VYDAJ	VYBER	2100	21913	\N	\N	\N
3110565	10320	1996-01-08	VYDAJ	VYBER	2700	28282	\N	\N	\N
3110566	10320	1997-01-14	VYDAJ	VYBER	6600	26046	\N	\N	\N
3110567	10320	1997-01-05	VYDAJ	VYBER	1500	31516	\N	\N	\N
3110568	10320	1997-01-06	VYDAJ	VYBER	8100	23416	\N	\N	\N
3110569	10320	1997-01-22	VYDAJ	VYBER	6600	22246	\N	\N	\N
3110574	10320	1998-01-03	VYDAJ	VYBER	8100	27694	\N	\N	\N
3110582	10320	1994-07-04	VYDAJ	VYBER	9600	43998	\N	\N	\N
3110583	10320	1994-07-23	VYDAJ	VYBER	12300	28428	\N	\N	\N
3110584	10320	1994-07-06	VYDAJ	VYBER	6000	37998	\N	\N	\N
3110585	10320	1994-03-24	VYDAJ	VYBER	3000	35615	\N	\N	\N
3110586	10320	1994-08-01	VYDAJ	VYBER	5700	22876	\N	\N	\N
3110587	10320	1995-01-01	VYDAJ	VYBER	12300	43279	\N	\N	\N
3110588	10320	1995-08-02	VYDAJ	VYBER	12900	20707	\N	\N	\N
3110590	10320	1995-02-19	VYDAJ	VYBER	1800	30743	\N	\N	\N
3110591	10320	1996-05-11	VYDAJ	VYBER	9300	26701	\N	\N	\N
3110592	10320	1996-05-10	VYDAJ	VYBER	11100	36001	\N	\N	\N
3110593	10320	1996-08-26	VYDAJ	VYBER	10200	25525	\N	\N	\N
3110594	10320	1996-02-01	VYDAJ	VYBER	6900	21618	\N	\N	\N
3110595	10320	1997-10-14	VYDAJ	VYBER	7500	34704	\N	\N	\N
3110596	10320	1997-10-20	VYDAJ	VYBER	6600	22904	\N	\N	\N
3110597	10320	1997-08-29	VYDAJ	VYBER	8100	24609	\N	\N	\N
3110600	10320	1998-10-23	VYDAJ	VYBER	2400	41822	\N	\N	\N
3110616	10320	1993-12-31	VYDAJ	VYBER	15	61775	SLUZBY	\N	\N
3110617	10320	1994-01-31	VYDAJ	VYBER	15	19850	SLUZBY	\N	\N
3110618	10320	1994-02-28	VYDAJ	VYBER	15	30985	SLUZBY	\N	\N
3110619	10320	1994-03-31	VYDAJ	VYBER	15	35753	SLUZBY	\N	\N
3110620	10320	1994-04-30	VYDAJ	VYBER	15	22051	SLUZBY	\N	\N
3110621	10320	1994-05-31	VYDAJ	VYBER	15	32493	SLUZBY	\N	\N
3110622	10320	1994-06-30	VYDAJ	VYBER	15	53598	SLUZBY	\N	\N
3110623	10320	1994-07-31	VYDAJ	VYBER	15	28576	SLUZBY	\N	\N
3110624	10320	1994-08-31	VYDAJ	VYBER	15	25328	SLUZBY	\N	\N
3110625	10320	1994-09-30	VYDAJ	VYBER	15	38392	SLUZBY	\N	\N
3110626	10320	1994-10-31	VYDAJ	VYBER	15	35771	SLUZBY	\N	\N
3110627	10320	1994-11-30	VYDAJ	VYBER	15	44264	SLUZBY	\N	\N
3110628	10320	1994-12-31	VYDAJ	VYBER	15	55579	SLUZBY	\N	\N
3110629	10320	1995-01-31	VYDAJ	VYBER	15	22313	SLUZBY	\N	\N
3110630	10320	1995-02-28	VYDAJ	VYBER	15	30853	SLUZBY	\N	\N
3110631	10320	1995-03-31	VYDAJ	VYBER	15	41933	SLUZBY	\N	\N
3110632	10320	1995-04-30	VYDAJ	VYBER	15	48345	SLUZBY	\N	\N
3110633	10320	1995-05-31	VYDAJ	VYBER	15	25117	SLUZBY	\N	\N
3110634	10320	1995-06-30	VYDAJ	VYBER	15	26054	SLUZBY	\N	\N
3110635	10320	1995-07-31	VYDAJ	VYBER	15	33607	SLUZBY	\N	\N
3110636	10320	1995-08-31	VYDAJ	VYBER	15	29854	SLUZBY	\N	\N
3110637	10320	1995-09-30	VYDAJ	VYBER	15	32619	SLUZBY	\N	\N
3110638	10320	1995-10-31	VYDAJ	VYBER	15	34095	SLUZBY	\N	\N
3110639	10320	1995-11-30	VYDAJ	VYBER	15	37677	SLUZBY	\N	\N
3110640	10320	1995-12-31	VYDAJ	VYBER	15	30982	SLUZBY	\N	\N
3110641	10320	1996-01-31	VYDAJ	VYBER	15	28518	SLUZBY	\N	\N
3110642	10320	1996-02-29	VYDAJ	VYBER	15	29389	SLUZBY	\N	\N
3110643	10320	1996-03-31	VYDAJ	VYBER	15	26590	SLUZBY	\N	\N
3110644	10320	1996-04-30	VYDAJ	VYBER	15	33542	SLUZBY	\N	\N
3110645	10320	1996-05-31	VYDAJ	VYBER	15	26168	SLUZBY	\N	\N
3110646	10320	1996-06-30	VYDAJ	VYBER	15	22062	SLUZBY	\N	\N
3110647	10320	1996-07-31	VYDAJ	VYBER	15	29495	SLUZBY	\N	\N
3110648	10320	1996-08-31	VYDAJ	VYBER	15	25648	SLUZBY	\N	\N
3110649	10320	1996-09-30	VYDAJ	VYBER	15	29691	SLUZBY	\N	\N
3110650	10320	1996-10-31	VYDAJ	VYBER	15	29175	SLUZBY	\N	\N
3110651	10320	1996-11-30	VYDAJ	VYBER	15	33132	SLUZBY	\N	\N
3110652	10320	1996-12-31	VYDAJ	VYBER	15	33016	SLUZBY	\N	\N
3110653	10320	1997-01-31	VYDAJ	VYBER	15	22345	SLUZBY	\N	\N
3110654	10320	1997-02-28	VYDAJ	VYBER	15	31078	SLUZBY	\N	\N
3110655	10320	1997-03-31	VYDAJ	VYBER	15	33139	SLUZBY	\N	\N
3110656	10320	1997-04-30	VYDAJ	VYBER	15	30101	SLUZBY	\N	\N
3110657	10320	1997-05-31	VYDAJ	VYBER	15	31156	SLUZBY	\N	\N
3110658	10320	1997-06-30	VYDAJ	VYBER	15	20950	SLUZBY	\N	\N
3110659	10320	1997-07-31	VYDAJ	VYBER	15	30479	SLUZBY	\N	\N
3110660	10320	1997-08-31	VYDAJ	VYBER	15	24732	SLUZBY	\N	\N
3110661	10320	1997-09-30	VYDAJ	VYBER	15	32974	SLUZBY	\N	\N
3110662	10320	1997-10-31	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
3110663	10320	1997-11-30	VYDAJ	VYBER	15	27841	SLUZBY	\N	\N
3110664	10320	1997-12-31	VYDAJ	VYBER	15	35794	SLUZBY	\N	\N
3110665	10320	1998-01-31	VYDAJ	VYBER	15	20778	SLUZBY	\N	\N
3110666	10320	1998-02-28	VYDAJ	VYBER	15	24994	SLUZBY	\N	\N
3110667	10320	1998-03-31	VYDAJ	VYBER	15	26735	SLUZBY	\N	\N
3110668	10320	1998-04-30	VYDAJ	VYBER	15	27286	SLUZBY	\N	\N
3110669	10320	1998-05-31	VYDAJ	VYBER	15	32531	SLUZBY	\N	\N
3110670	10320	1998-06-30	VYDAJ	VYBER	15	44909	SLUZBY	\N	\N
3110671	10320	1998-07-31	VYDAJ	VYBER	15	44314	SLUZBY	\N	\N
3110672	10320	1998-08-31	VYDAJ	VYBER	15	24114	SLUZBY	\N	\N
3110673	10320	1998-09-30	VYDAJ	VYBER	15	32692	SLUZBY	\N	\N
3110674	10320	1998-10-31	VYDAJ	VYBER	15	41970	SLUZBY	\N	\N
3110675	10320	1998-11-30	VYDAJ	VYBER	15	29268	SLUZBY	\N	\N
3110676	10320	1993-08-10	VYDAJ	VYBER	1300	25473	\N	\N	\N
3110677	10320	1993-09-09	VYDAJ	VYBER	11700	39821	\N	\N	\N
3110678	10320	1993-10-09	VYDAJ	VYBER	21500	44480	\N	\N	\N
3110679	10320	1993-11-08	VYDAJ	VYBER	9200	35539	\N	\N	\N
3110680	10320	1993-12-08	VYDAJ	VYBER	16200	40674	\N	\N	\N
3110681	10320	1994-01-07	VYDAJ	VYBER	9000	38075	\N	\N	\N
3110682	10320	1994-02-06	PRIJEM	VKLAD	1800	21650	\N	\N	\N
3110683	10320	1994-03-08	VYDAJ	VYBER	1600	29385	\N	\N	\N
3110684	10320	1994-04-07	VYDAJ	VYBER	5500	30253	\N	\N	\N
3110685	10320	1994-05-07	PRIJEM	VKLAD	1100	23151	\N	\N	\N
3110686	10320	1994-06-06	VYDAJ	VYBER	1300	31193	\N	\N	\N
3110687	10320	1994-07-06	VYDAJ	VYBER	6500	31498	\N	\N	\N
3110688	10320	1994-08-05	PRIJEM	VKLAD	3300	26176	\N	\N	\N
3110689	10320	1994-09-04	PRIJEM	VKLAD	3700	29028	\N	\N	\N
3110690	10320	1994-10-04	VYDAJ	VYBER	6700	31692	\N	\N	\N
3110691	10320	1994-11-03	VYDAJ	VYBER	900	34871	\N	\N	\N
3110692	10320	1994-12-03	VYDAJ	VYBER	2700	41564	\N	\N	\N
3110693	10320	1995-01-02	VYDAJ	VYBER	4500	38779	\N	\N	\N
3110694	10320	1995-02-01	PRIJEM	VKLAD	1000	23313	\N	\N	\N
3110695	10320	1995-03-03	PRIJEM	VKLAD	1700	32553	\N	\N	\N
3110696	10320	1995-04-02	VYDAJ	VYBER	3000	38933	\N	\N	\N
3110697	10320	1995-05-02	VYDAJ	VYBER	10400	37945	\N	\N	\N
3110698	10320	1995-06-01	PRIJEM	VKLAD	4700	29817	\N	\N	\N
3110699	10320	1995-07-01	PRIJEM	VKLAD	1800	27854	\N	\N	\N
3110700	10320	1995-07-31	PRIJEM	VKLAD	900	33622	\N	\N	\N
3110701	10320	1995-08-30	VYDAJ	VYBER	200	29737	\N	\N	\N
3110702	10320	1995-09-29	VYDAJ	VYBER	6600	32484	\N	\N	\N
3110703	10320	1995-10-29	VYDAJ	VYBER	7900	33949	\N	\N	\N
3110704	10320	1995-11-28	VYDAJ	VYBER	5800	37525	\N	\N	\N
3110705	10320	1995-12-28	PRIJEM	VKLAD	2500	30830	\N	\N	\N
3110706	10320	1996-01-27	PRIJEM	VKLAD	6500	28413	\N	\N	\N
3110707	10320	1996-02-26	PRIJEM	VKLAD	2600	29277	\N	\N	\N
3110708	10320	1996-03-27	PRIJEM	VKLAD	4800	26491	\N	\N	\N
3110709	10320	1996-04-26	VYDAJ	VYBER	2400	33421	\N	\N	\N
3110710	10320	1996-05-26	PRIJEM	VKLAD	3700	26072	\N	\N	\N
3110711	10320	1996-06-25	VYDAJ	VYBER	11100	37285	\N	\N	\N
3110712	10320	1996-07-25	VYDAJ	VYBER	1900	29392	\N	\N	\N
3110713	10320	1996-08-24	VYDAJ	VYBER	3000	35725	\N	\N	\N
3110714	10320	1996-09-23	VYDAJ	VYBER	5300	29579	\N	\N	\N
3110715	10320	1996-10-23	VYDAJ	VYBER	4800	29057	\N	\N	\N
3110716	10320	1996-11-22	VYDAJ	VYBER	5400	33005	\N	\N	\N
3110717	10320	1996-12-22	VYDAJ	VYBER	14100	41249	\N	\N	\N
3110718	10320	1997-01-21	PRIJEM	VKLAD	2800	28846	\N	\N	\N
3110719	10320	1997-02-20	VYDAJ	VYBER	600	30975	\N	\N	\N
3110720	10320	1997-03-22	VYDAJ	VYBER	7300	33008	\N	\N	\N
3110721	10320	1997-04-21	VYDAJ	VYBER	12400	29969	\N	\N	\N
3110722	10320	1997-05-21	VYDAJ	VYBER	8300	31031	\N	\N	\N
3110723	10320	1997-06-20	PRIJEM	VKLAD	4700	20873	\N	\N	\N
3110724	10320	1997-07-20	PRIJEM	VKLAD	200	30380	\N	\N	\N
3110725	10320	1997-08-19	VYDAJ	VYBER	7000	32709	\N	\N	\N
3110726	10320	1997-09-18	VYDAJ	VYBER	1100	32862	\N	\N	\N
3110727	10320	1997-10-18	VYDAJ	VYBER	5200	29504	\N	\N	\N
3110728	10320	1997-11-17	VYDAJ	VYBER	4500	27744	\N	\N	\N
3110729	10320	1997-12-17	VYDAJ	VYBER	10200	35658	\N	\N	\N
3110730	10320	1998-01-16	PRIJEM	VKLAD	1400	20686	\N	\N	\N
3110731	10320	1998-02-15	VYDAJ	VYBER	5100	24908	\N	\N	\N
3110732	10320	1998-03-17	VYDAJ	VYBER	3200	31024	\N	\N	\N
3110733	10320	1998-04-16	VYDAJ	VYBER	1200	27189	\N	\N	\N
3110734	10320	1998-05-16	VYDAJ	VYBER	4100	32416	\N	\N	\N
3110735	10320	1998-06-15	VYDAJ	VYBER	10000	44749	\N	\N	\N
3110736	10320	1998-07-15	VYDAJ	VYBER	10000	44140	\N	\N	\N
3110737	10320	1998-08-14	VYDAJ	VYBER	12400	41144	\N	\N	\N
3110738	10320	1998-09-13	PRIJEM	VKLAD	4500	37844	\N	\N	\N
3110739	10320	1998-10-13	PRIJEM	VKLAD	2300	44222	\N	\N	\N
3110740	10320	1998-11-12	VYDAJ	VYBER	4600	46601	\N	\N	\N
3110741	10320	1998-12-12	VYDAJ	VYBER	2000	49485	\N	\N	\N
3116832	10343	1997-05-22	PRIJEM	VKLAD	800	800	\N	\N	\N
3116838	10343	1997-06-05	PRIJEM	VKLAD	11800	12600	\N	\N	\N
3116839	10343	1997-07-05	PRIJEM	VKLAD	7867	28922	\N	\N	\N
3116840	10343	1997-08-05	PRIJEM	VKLAD	7867	31312	\N	\N	\N
3116841	10343	1997-09-05	PRIJEM	VKLAD	7867	29204	\N	\N	\N
3116842	10343	1997-10-05	PRIJEM	VKLAD	7867	25780	\N	\N	\N
3116843	10343	1997-11-05	PRIJEM	VKLAD	7867	22827	\N	\N	\N
3116844	10343	1997-12-05	PRIJEM	VKLAD	11800	23275	\N	\N	\N
3116845	10343	1998-01-05	PRIJEM	VKLAD	7867	22189	\N	\N	\N
3116846	10343	1998-02-05	PRIJEM	VKLAD	7867	13722	\N	\N	\N
3116847	10343	1998-03-05	PRIJEM	VKLAD	7867	13032	\N	\N	\N
3116848	10343	1998-04-05	PRIJEM	VKLAD	7867	12721	\N	\N	\N
3116849	10343	1998-05-05	PRIJEM	VKLAD	7867	6393	\N	\N	\N
3116850	10343	1998-06-05	PRIJEM	VKLAD	11800	8437	\N	\N	\N
3116851	10343	1998-07-05	PRIJEM	VKLAD	7867	12068	\N	\N	\N
3116852	10343	1998-08-05	PRIJEM	VKLAD	7867	4889	\N	\N	\N
3116853	10343	1998-09-05	PRIJEM	VKLAD	7867	3577	\N	\N	\N
3116854	10343	1998-10-05	PRIJEM	VKLAD	7867	6492	\N	\N	\N
3116855	10343	1998-11-05	PRIJEM	VKLAD	7867	290	\N	\N	\N
3116856	10343	1998-12-05	PRIJEM	VKLAD	11800	2043	\N	\N	\N
3116861	10343	1997-12-14	VYDAJ	VYBER	800	22475	\N	\N	\N
3116869	10343	1998-01-25	VYDAJ	VYBER	600	9949	\N	\N	\N
3116870	10343	1998-01-02	VYDAJ	VYBER	1440	14322	\N	\N	\N
3116871	10343	1998-01-28	VYDAJ	VYBER	1800	5749	\N	\N	\N
3116872	10343	1998-01-07	VYDAJ	VYBER	1560	20629	\N	\N	\N
3116873	10343	1998-01-24	VYDAJ	VYBER	1680	10549	\N	\N	\N
3116874	10343	1998-01-25	VYDAJ	VYBER	2400	7549	\N	\N	\N
3116875	10343	1997-11-20	VYDAJ	VYBER	840	15687	\N	\N	\N
3116878	10343	1997-11-29	VYDAJ	VYBER	4320	11367	\N	\N	\N
3116880	10343	1998-05-22	VYDAJ	VYBER	4440	-3347	\N	\N	\N
3116882	10343	1998-03-06	VYDAJ	VYBER	1440	11592	\N	\N	\N
3116883	10343	1998-07-22	VYDAJ	VYBER	4320	-2952	\N	\N	\N
3116884	10343	1998-10-06	VYDAJ	VYBER	5280	1212	\N	\N	\N
3116885	10343	1998-02-25	VYDAJ	VYBER	2880	5142	\N	\N	\N
3116886	10343	1998-05-04	VYDAJ	VYBER	4200	-1474	\N	\N	\N
3116887	10343	1998-03-20	VYDAJ	VYBER	1680	4812	\N	\N	\N
3116898	10343	1997-10-31	VYDAJ	VYBER	15	14960	SLUZBY	\N	\N
3116899	10343	1997-11-30	VYDAJ	VYBER	15	11475	SLUZBY	\N	\N
3116900	10343	1997-12-31	VYDAJ	VYBER	15	15762	SLUZBY	\N	\N
3116901	10343	1998-01-31	VYDAJ	VYBER	15	5855	SLUZBY	\N	\N
3116902	10343	1998-02-28	VYDAJ	VYBER	15	5165	SLUZBY	\N	\N
3116903	10343	1998-03-31	VYDAJ	VYBER	15	4854	SLUZBY	\N	\N
3116904	10343	1998-04-30	VYDAJ	VYBER	15	2726	SLUZBY	\N	\N
3116905	10343	1998-05-31	VYDAJ	VYBER	15	-3351	SLUZBY	\N	\N
3116906	10343	1998-06-30	VYDAJ	VYBER	15	4238	SLUZBY	\N	\N
3116907	10343	1998-07-31	VYDAJ	VYBER	15	-2957	SLUZBY	\N	\N
3116909	10343	1998-09-30	VYDAJ	VYBER	15	-1376	SLUZBY	\N	\N
3116912	10343	1997-06-21	PRIJEM	VKLAD	8400	21000	\N	\N	\N
3116913	10343	1997-07-21	VYDAJ	VYBER	5600	23322	\N	\N	\N
3116914	10343	1997-08-20	VYDAJ	VYBER	10100	21212	\N	\N	\N
3116915	10343	1997-09-19	VYDAJ	VYBER	11400	17804	\N	\N	\N
3116916	10343	1997-10-19	VYDAJ	VYBER	10900	14880	\N	\N	\N
3116917	10343	1997-11-18	VYDAJ	VYBER	6300	16527	\N	\N	\N
3116918	10343	1997-12-18	VYDAJ	VYBER	6800	15675	\N	\N	\N
3116919	10343	1998-01-17	VYDAJ	VYBER	8400	12229	\N	\N	\N
3116920	10343	1998-02-16	VYDAJ	VYBER	5700	8022	\N	\N	\N
3116921	10343	1998-03-18	VYDAJ	VYBER	5100	6492	\N	\N	\N
3116922	10343	1998-04-17	VYDAJ	VYBER	10000	2721	\N	\N	\N
3116923	10343	1998-05-17	VYDAJ	VYBER	5300	1093	\N	\N	\N
3116924	10343	1998-06-16	VYDAJ	VYBER	4200	4237	\N	\N	\N
3116925	10343	1998-07-16	VYDAJ	VYBER	10700	1368	\N	\N	\N
3116926	10343	1998-08-15	VYDAJ	VYBER	9100	-4211	\N	\N	\N
3116927	10343	1998-09-14	VYDAJ	VYBER	4900	-1323	\N	\N	\N
3116928	10343	1998-10-14	VYDAJ	VYBER	8700	-7489	\N	\N	\N
3116929	10343	1998-11-13	VYDAJ	VYBER	9900	-9610	\N	\N	\N
3116930	10343	1998-12-13	VYDAJ	VYBER	8900	-6857	\N	\N	\N
3117348	10345	1996-04-07	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3117352	10345	1996-04-10	PRIJEM	VKLAD	10114	11114	\N	\N	\N
3117353	10345	1996-05-10	PRIJEM	VKLAD	10114	29060	\N	\N	\N
3117354	10345	1996-06-10	PRIJEM	VKLAD	15171	40531	\N	\N	\N
3117355	10345	1996-07-10	PRIJEM	VKLAD	10114	46199	\N	\N	\N
3117356	10345	1996-08-10	PRIJEM	VKLAD	10114	46699	\N	\N	\N
3117357	10345	1996-09-10	PRIJEM	VKLAD	10114	39945	\N	\N	\N
3117358	10345	1996-10-10	PRIJEM	VKLAD	10114	33262	\N	\N	\N
3117359	10345	1996-11-10	PRIJEM	VKLAD	10114	35356	\N	\N	\N
3117360	10345	1996-12-10	PRIJEM	VKLAD	15171	37346	\N	\N	\N
3117361	10345	1997-01-10	PRIJEM	VKLAD	10114	27607	\N	\N	\N
3117362	10345	1997-02-10	PRIJEM	VKLAD	10114	30191	\N	\N	\N
3117363	10345	1997-03-10	PRIJEM	VKLAD	10114	28537	\N	\N	\N
3117364	10345	1997-04-10	PRIJEM	VKLAD	10114	23898	\N	\N	\N
3117365	10345	1997-05-10	PRIJEM	VKLAD	10114	23489	\N	\N	\N
3117366	10345	1997-06-10	PRIJEM	VKLAD	15171	29389	\N	\N	\N
3117367	10345	1997-07-10	PRIJEM	VKLAD	10114	26149	\N	\N	\N
3117368	10345	1997-08-10	PRIJEM	VKLAD	10114	25008	\N	\N	\N
3117369	10345	1997-09-10	PRIJEM	VKLAD	10114	24463	\N	\N	\N
3117370	10345	1997-10-10	PRIJEM	VKLAD	10114	23115	\N	\N	\N
3117371	10345	1997-11-10	PRIJEM	VKLAD	10114	21561	\N	\N	\N
3117372	10345	1997-12-10	PRIJEM	VKLAD	15171	23636	\N	\N	\N
3117373	10345	1998-01-10	PRIJEM	VKLAD	10114	20572	\N	\N	\N
3117374	10345	1998-02-10	PRIJEM	VKLAD	10114	17355	\N	\N	\N
3117375	10345	1998-03-10	PRIJEM	VKLAD	10114	15867	\N	\N	\N
3117376	10345	1998-04-10	PRIJEM	VKLAD	10114	16173	\N	\N	\N
3117377	10345	1998-05-10	PRIJEM	VKLAD	10114	16981	\N	\N	\N
3117378	10345	1998-06-10	PRIJEM	VKLAD	15171	22850	\N	\N	\N
3117379	10345	1998-07-10	PRIJEM	VKLAD	10114	23679	\N	\N	\N
3117380	10345	1998-08-10	PRIJEM	VKLAD	10114	24518	\N	\N	\N
3117381	10345	1998-09-10	PRIJEM	VKLAD	10114	19961	\N	\N	\N
3117382	10345	1998-10-10	PRIJEM	VKLAD	10114	20784	\N	\N	\N
3117383	10345	1998-11-10	PRIJEM	VKLAD	10114	21611	\N	\N	\N
3117384	10345	1998-12-10	PRIJEM	VKLAD	15171	23498	\N	\N	\N
3117393	10345	1996-09-06	VYDAJ	PREVOD NA UCET	6742	29831	SIPO	UV	98083507
3117394	10345	1996-10-06	VYDAJ	PREVOD NA UCET	6742	23148	SIPO	UV	98083507
3117395	10345	1996-11-06	VYDAJ	PREVOD NA UCET	6742	25242	SIPO	UV	98083507
3117396	10345	1996-12-06	VYDAJ	PREVOD NA UCET	6742	22175	SIPO	UV	98083507
3117397	10345	1997-01-06	VYDAJ	PREVOD NA UCET	6742	23493	SIPO	UV	98083507
3117398	10345	1997-02-06	VYDAJ	PREVOD NA UCET	6742	20077	SIPO	UV	98083507
3117399	10345	1997-03-06	VYDAJ	PREVOD NA UCET	6742	18423	SIPO	UV	98083507
3117400	10345	1997-04-06	VYDAJ	PREVOD NA UCET	6742	16584	SIPO	UV	98083507
3117401	10345	1997-05-06	VYDAJ	PREVOD NA UCET	6742	13375	SIPO	UV	98083507
3117402	10345	1997-06-06	VYDAJ	PREVOD NA UCET	6742	14218	SIPO	UV	98083507
3117403	10345	1997-07-06	VYDAJ	PREVOD NA UCET	6742	16035	SIPO	UV	98083507
3117404	10345	1997-08-06	VYDAJ	PREVOD NA UCET	6742	14894	SIPO	UV	98083507
3117405	10345	1997-09-06	VYDAJ	PREVOD NA UCET	6742	14349	SIPO	UV	98083507
3117406	10345	1997-10-06	VYDAJ	PREVOD NA UCET	6742	13001	SIPO	UV	98083507
3117407	10345	1997-11-06	VYDAJ	PREVOD NA UCET	6742	11447	SIPO	UV	98083507
3117408	10345	1997-12-06	VYDAJ	PREVOD NA UCET	6742	8465	SIPO	UV	98083507
3117409	10345	1998-01-06	VYDAJ	PREVOD NA UCET	6742	10458	SIPO	UV	98083507
3117410	10345	1998-02-06	VYDAJ	PREVOD NA UCET	6742	7241	SIPO	UV	98083507
3117411	10345	1998-03-06	VYDAJ	PREVOD NA UCET	6742	5753	SIPO	UV	98083507
3117412	10345	1998-04-06	VYDAJ	PREVOD NA UCET	6742	6059	SIPO	UV	98083507
3117413	10345	1998-05-06	VYDAJ	PREVOD NA UCET	6742	6867	SIPO	UV	98083507
3117414	10345	1998-06-06	VYDAJ	PREVOD NA UCET	6742	7679	SIPO	UV	98083507
3117415	10345	1998-07-06	VYDAJ	PREVOD NA UCET	6742	13565	SIPO	UV	98083507
3117416	10345	1998-08-06	VYDAJ	PREVOD NA UCET	6742	14404	SIPO	UV	98083507
3117417	10345	1998-09-06	VYDAJ	PREVOD NA UCET	6742	9847	SIPO	UV	98083507
3117418	10345	1998-10-06	VYDAJ	PREVOD NA UCET	6742	10670	SIPO	UV	98083507
3117419	10345	1998-11-06	VYDAJ	PREVOD NA UCET	6742	11497	SIPO	UV	98083507
3117420	10345	1998-12-06	VYDAJ	PREVOD NA UCET	6742	8327	SIPO	UV	98083507
3117428	10345	1996-08-15	VYDAJ	VYBER	2300	44399	\N	\N	0
3117429	10345	1996-09-19	VYDAJ	VYBER	2600	37345	\N	\N	0
3117430	10345	1996-10-06	VYDAJ	VYBER	2200	31690	\N	\N	0
3117431	10345	1996-11-21	VYDAJ	VYBER	2900	32456	\N	\N	0
3117432	10345	1996-12-04	VYDAJ	VYBER	2900	28917	\N	\N	0
3117433	10345	1997-01-15	VYDAJ	VYBER	2000	25607	\N	\N	0
3117434	10345	1997-02-21	VYDAJ	VYBER	2800	27391	\N	\N	0
3117435	10345	1997-03-13	VYDAJ	VYBER	2600	25937	\N	\N	0
3117436	10345	1997-04-08	VYDAJ	VYBER	2800	13784	\N	\N	0
3117437	10345	1997-05-14	VYDAJ	VYBER	2000	21489	\N	\N	0
3117438	10345	1997-06-19	VYDAJ	VYBER	3000	26389	\N	\N	0
3117439	10345	1997-07-21	VYDAJ	VYBER	1900	24249	\N	\N	0
3117440	10345	1997-08-05	VYDAJ	VYBER	3100	21636	\N	\N	0
3117441	10345	1997-09-04	VYDAJ	VYBER	3100	21091	\N	\N	0
3117442	10345	1997-10-03	VYDAJ	VYBER	2700	19743	\N	\N	0
3117443	10345	1997-11-20	VYDAJ	VYBER	2700	18861	\N	\N	0
3117444	10345	1997-12-18	VYDAJ	VYBER	2700	20936	\N	\N	0
3117445	10345	1998-01-16	VYDAJ	VYBER	2200	13932	\N	\N	0
3117446	10345	1998-02-12	VYDAJ	PREVOD NA UCET	2605	14750	UVER	UV	38070029
3117447	10345	1998-03-12	VYDAJ	PREVOD NA UCET	2605	13262	UVER	UV	38070029
3117448	10345	1998-04-12	VYDAJ	PREVOD NA UCET	2605	13568	UVER	UV	38070029
3117449	10345	1998-05-12	VYDAJ	PREVOD NA UCET	2605	14376	UVER	UV	38070029
3117450	10345	1998-06-12	VYDAJ	PREVOD NA UCET	2605	20245	UVER	UV	38070029
3117451	10345	1998-07-12	VYDAJ	PREVOD NA UCET	2605	21074	UVER	UV	38070029
3117452	10345	1998-08-12	VYDAJ	PREVOD NA UCET	2605	21913	UVER	UV	38070029
3117453	10345	1998-09-12	VYDAJ	PREVOD NA UCET	2605	17356	UVER	UV	38070029
3117454	10345	1998-10-12	VYDAJ	PREVOD NA UCET	2605	18179	UVER	UV	38070029
3117455	10345	1998-11-12	VYDAJ	PREVOD NA UCET	2605	19006	UVER	UV	38070029
3117456	10345	1998-12-12	VYDAJ	PREVOD NA UCET	2605	20893	UVER	UV	38070029
3117460	10345	1996-12-02	VYDAJ	VYBER	960	31617	\N	\N	\N
3117461	10345	1997-12-03	VYDAJ	VYBER	4320	15207	\N	\N	\N
3117462	10345	1998-12-06	VYDAJ	VYBER	4000	15069	\N	\N	\N
3117469	10345	1997-01-07	VYDAJ	VYBER	2760	19653	\N	\N	\N
3117470	10345	1997-01-05	VYDAJ	VYBER	840	30235	\N	\N	\N
3117471	10345	1997-01-06	VYDAJ	VYBER	1080	22413	\N	\N	\N
3117472	10345	1997-01-23	VYDAJ	VYBER	2400	23207	\N	\N	\N
3117473	10345	1997-01-24	VYDAJ	VYBER	1680	21527	\N	\N	\N
3117474	10345	1997-01-08	VYDAJ	VYBER	2160	17493	\N	\N	\N
3117477	10345	1998-01-14	VYDAJ	VYBER	2280	16132	\N	\N	\N
3117481	10345	1996-10-06	VYDAJ	VYBER	1800	29890	\N	\N	\N
3117490	10345	1997-02-26	VYDAJ	VYBER	3120	24271	\N	\N	\N
3117492	10345	1997-04-27	VYDAJ	VYBER	3960	19938	\N	\N	\N
3117493	10345	1997-12-24	VYDAJ	VYBER	2400	18536	\N	\N	\N
3117495	10345	1998-09-01	VYDAJ	VYBER	5400	16589	\N	\N	\N
3117497	10345	1998-01-12	VYDAJ	VYBER	2160	18412	\N	\N	\N
3117506	10345	1996-08-31	VYDAJ	VYBER	15	44573	SLUZBY	\N	\N
3117507	10345	1996-09-30	VYDAJ	VYBER	15	37490	SLUZBY	\N	\N
3117508	10345	1996-10-31	VYDAJ	VYBER	15	33384	SLUZBY	\N	\N
3117509	10345	1996-11-30	VYDAJ	VYBER	15	32577	SLUZBY	\N	\N
3117510	10345	1996-12-31	VYDAJ	VYBER	15	37475	SLUZBY	\N	\N
3117511	10345	1997-01-31	VYDAJ	VYBER	15	21619	SLUZBY	\N	\N
3117512	10345	1997-02-28	VYDAJ	VYBER	15	24365	SLUZBY	\N	\N
3117513	10345	1997-03-31	VYDAJ	VYBER	15	26026	SLUZBY	\N	\N
3117514	10345	1997-04-30	VYDAJ	VYBER	15	20017	SLUZBY	\N	\N
3117515	10345	1997-05-31	VYDAJ	VYBER	15	21560	SLUZBY	\N	\N
3117516	10345	1997-06-30	VYDAJ	VYBER	15	26477	SLUZBY	\N	\N
3117517	10345	1997-07-31	VYDAJ	VYBER	15	24736	SLUZBY	\N	\N
3117518	10345	1997-08-31	VYDAJ	VYBER	15	24191	SLUZBY	\N	\N
3117519	10345	1997-09-30	VYDAJ	VYBER	15	22443	SLUZBY	\N	\N
3117520	10345	1997-10-31	VYDAJ	VYBER	15	18189	SLUZBY	\N	\N
3117521	10345	1997-11-30	VYDAJ	VYBER	15	19527	SLUZBY	\N	\N
3117522	10345	1997-12-31	VYDAJ	VYBER	15	17200	SLUZBY	\N	\N
3117523	10345	1998-01-31	VYDAJ	VYBER	15	13983	SLUZBY	\N	\N
3117524	10345	1998-02-28	VYDAJ	VYBER	15	12495	SLUZBY	\N	\N
3117525	10345	1998-03-31	VYDAJ	VYBER	15	12801	SLUZBY	\N	\N
3117526	10345	1998-04-30	VYDAJ	VYBER	15	13609	SLUZBY	\N	\N
3117527	10345	1998-05-31	VYDAJ	VYBER	15	14421	SLUZBY	\N	\N
3117528	10345	1998-06-30	VYDAJ	VYBER	15	20307	SLUZBY	\N	\N
3117529	10345	1998-07-31	VYDAJ	VYBER	15	21146	SLUZBY	\N	\N
3117530	10345	1998-08-31	VYDAJ	VYBER	15	21989	SLUZBY	\N	\N
3117531	10345	1998-09-30	VYDAJ	VYBER	15	17412	SLUZBY	\N	\N
3117532	10345	1998-10-31	VYDAJ	VYBER	15	18239	SLUZBY	\N	\N
3117533	10345	1998-11-30	VYDAJ	VYBER	15	19069	SLUZBY	\N	\N
3117534	10345	1996-05-07	PRIJEM	VKLAD	7800	18946	\N	\N	\N
3117535	10345	1996-06-06	VYDAJ	VYBER	3800	25360	\N	\N	\N
3117536	10345	1996-07-06	VYDAJ	VYBER	4600	36085	\N	\N	\N
3117537	10345	1996-08-05	VYDAJ	VYBER	9800	36585	\N	\N	\N
3117538	10345	1996-09-04	VYDAJ	VYBER	8000	36573	\N	\N	\N
3117539	10345	1996-10-04	VYDAJ	VYBER	3600	33890	\N	\N	\N
3117540	10345	1996-11-03	VYDAJ	VYBER	1400	31984	\N	\N	\N
3117541	10345	1996-12-03	PRIJEM	VKLAD	200	31817	\N	\N	\N
3117542	10345	1997-01-02	VYDAJ	VYBER	6400	31075	\N	\N	\N
3117543	10345	1997-02-01	PRIJEM	VKLAD	5200	26819	\N	\N	\N
3117544	10345	1997-03-03	PRIJEM	VKLAD	800	25165	\N	\N	\N
3117545	10345	1997-04-02	VYDAJ	VYBER	2700	23326	\N	\N	\N
3117546	10345	1997-05-02	PRIJEM	VKLAD	100	20117	\N	\N	\N
3117547	10345	1997-06-01	VYDAJ	VYBER	600	20960	\N	\N	\N
3117548	10345	1997-07-01	VYDAJ	VYBER	3700	22777	\N	\N	\N
3117549	10345	1997-07-31	PRIJEM	VKLAD	400	24750	\N	\N	\N
3117550	10345	1997-08-30	VYDAJ	VYBER	900	24108	\N	\N	\N
3117551	10345	1997-09-29	VYDAJ	VYBER	2100	22363	\N	\N	\N
3117552	10345	1997-10-29	VYDAJ	VYBER	5000	18115	\N	\N	\N
3117553	10345	1997-11-28	PRIJEM	VKLAD	600	19461	\N	\N	\N
3117554	10345	1997-12-28	VYDAJ	VYBER	1400	17136	\N	\N	\N
3117555	10345	1998-02-26	VYDAJ	VYBER	2300	12450	\N	\N	\N
3117556	10345	1998-03-28	VYDAJ	VYBER	500	12762	\N	\N	\N
3119072	10351	1995-05-04	PRIJEM	VKLAD	800	800	\N	\N	\N
3119077	10351	1995-05-06	PRIJEM	VKLAD	6616	7416	\N	\N	\N
3119078	10351	1995-06-06	PRIJEM	VKLAD	9924	29166	\N	\N	\N
3119079	10351	1995-07-06	PRIJEM	VKLAD	6616	31888	\N	\N	\N
3119080	10351	1995-08-06	PRIJEM	VKLAD	6616	31635	\N	\N	\N
3119081	10351	1995-09-06	PRIJEM	VKLAD	6616	31483	\N	\N	\N
3119082	10351	1995-10-06	PRIJEM	VKLAD	6616	24264	\N	\N	\N
3119083	10351	1995-11-06	PRIJEM	VKLAD	6616	27641	\N	\N	\N
3119084	10351	1995-12-06	PRIJEM	VKLAD	9924	28569	\N	\N	\N
3119085	10351	1996-01-06	PRIJEM	VKLAD	6616	21077	\N	\N	\N
3119086	10351	1996-02-06	PRIJEM	VKLAD	6616	20321	\N	\N	\N
3119087	10351	1996-03-06	PRIJEM	VKLAD	6616	22479	\N	\N	\N
3119088	10351	1996-04-06	PRIJEM	VKLAD	6616	21843	\N	\N	\N
3119089	10351	1996-05-06	PRIJEM	VKLAD	6616	24311	\N	\N	\N
3119090	10351	1996-06-06	PRIJEM	VKLAD	9924	24495	\N	\N	\N
3119091	10351	1996-07-06	PRIJEM	VKLAD	6616	24670	\N	\N	\N
3119092	10351	1996-08-06	PRIJEM	VKLAD	6616	25841	\N	\N	\N
3119093	10351	1996-09-06	PRIJEM	VKLAD	6616	25423	\N	\N	\N
3119094	10351	1996-10-06	PRIJEM	VKLAD	6616	22592	\N	\N	\N
3119095	10351	1996-11-06	PRIJEM	VKLAD	6616	18668	\N	\N	\N
3119096	10351	1996-12-06	PRIJEM	VKLAD	9924	23630	\N	\N	\N
3119097	10351	1997-01-06	PRIJEM	VKLAD	6616	19304	\N	\N	\N
3119098	10351	1997-02-06	PRIJEM	VKLAD	6616	18505	\N	\N	\N
3119099	10351	1997-03-06	PRIJEM	VKLAD	6616	20047	\N	\N	\N
3119100	10351	1997-04-06	PRIJEM	VKLAD	6616	22752	\N	\N	\N
3119101	10351	1997-05-06	PRIJEM	VKLAD	6616	21562	\N	\N	\N
3119102	10351	1997-06-06	PRIJEM	VKLAD	9924	26377	\N	\N	\N
3119103	10351	1997-07-06	PRIJEM	VKLAD	6616	23600	\N	\N	\N
3119104	10351	1997-08-06	PRIJEM	VKLAD	6616	21011	\N	\N	\N
3119105	10351	1997-09-06	PRIJEM	VKLAD	6616	22917	\N	\N	\N
3119106	10351	1997-10-06	PRIJEM	VKLAD	6616	22332	\N	\N	\N
3119107	10351	1997-11-06	PRIJEM	VKLAD	6616	23442	\N	\N	\N
3119108	10351	1997-12-06	PRIJEM	VKLAD	9924	23847	\N	\N	\N
3119109	10351	1998-01-06	PRIJEM	VKLAD	6616	20172	\N	\N	\N
3119110	10351	1998-02-06	PRIJEM	VKLAD	6616	14688	\N	\N	\N
3119111	10351	1998-03-06	PRIJEM	VKLAD	6616	15069	\N	\N	\N
3119112	10351	1998-04-06	PRIJEM	VKLAD	6616	18658	\N	\N	\N
3119113	10351	1998-05-06	PRIJEM	VKLAD	6616	18650	\N	\N	\N
3119114	10351	1998-06-06	PRIJEM	VKLAD	9924	22352	\N	\N	\N
3119115	10351	1998-07-06	PRIJEM	VKLAD	6616	18848	\N	\N	\N
3119116	10351	1998-08-06	PRIJEM	VKLAD	6616	19242	\N	\N	\N
3119117	10351	1998-09-06	PRIJEM	VKLAD	6616	19642	\N	\N	\N
3119118	10351	1998-10-06	PRIJEM	VKLAD	6616	20040	\N	\N	\N
3119119	10351	1998-11-06	PRIJEM	VKLAD	6616	20443	\N	\N	\N
3119120	10351	1998-12-06	PRIJEM	VKLAD	9924	24156	\N	\N	\N
3119129	10351	1995-09-12	VYDAJ	PREVOD NA UCET	4410	25073	SIPO	CD	99277340
3119130	10351	1995-10-12	VYDAJ	PREVOD NA UCET	4410	19854	SIPO	CD	99277340
3119131	10351	1995-11-12	VYDAJ	PREVOD NA UCET	4410	23231	SIPO	CD	99277340
3119132	10351	1995-12-12	VYDAJ	PREVOD NA UCET	4410	24159	SIPO	CD	99277340
3119133	10351	1996-01-12	VYDAJ	PREVOD NA UCET	4410	16667	SIPO	CD	99277340
3119134	10351	1996-02-12	VYDAJ	PREVOD NA UCET	4410	15911	SIPO	CD	99277340
3119135	10351	1996-03-12	VYDAJ	PREVOD NA UCET	4410	16469	SIPO	CD	99277340
3119136	10351	1996-04-12	VYDAJ	PREVOD NA UCET	4410	17433	SIPO	CD	99277340
3119137	10351	1996-05-12	VYDAJ	PREVOD NA UCET	4410	13721	SIPO	CD	99277340
3119138	10351	1996-06-12	VYDAJ	PREVOD NA UCET	4410	20085	SIPO	CD	99277340
3119139	10351	1996-07-12	VYDAJ	PREVOD NA UCET	4410	20260	SIPO	CD	99277340
3119140	10351	1996-08-12	VYDAJ	PREVOD NA UCET	4410	21431	SIPO	CD	99277340
3119141	10351	1996-09-12	VYDAJ	PREVOD NA UCET	4410	21013	SIPO	CD	99277340
3119142	10351	1996-10-12	VYDAJ	PREVOD NA UCET	4410	15982	SIPO	CD	99277340
3119143	10351	1996-11-12	VYDAJ	PREVOD NA UCET	4410	14258	SIPO	CD	99277340
3119144	10351	1996-12-12	VYDAJ	PREVOD NA UCET	4410	19220	SIPO	CD	99277340
3119145	10351	1997-01-12	VYDAJ	PREVOD NA UCET	4410	9954	SIPO	CD	99277340
3119146	10351	1997-02-12	VYDAJ	PREVOD NA UCET	4410	14095	SIPO	CD	99277340
3119147	10351	1997-03-12	VYDAJ	PREVOD NA UCET	4410	15637	SIPO	CD	99277340
3119148	10351	1997-04-12	VYDAJ	PREVOD NA UCET	4410	16494	SIPO	CD	99277340
3119149	10351	1997-05-12	VYDAJ	PREVOD NA UCET	4410	15304	SIPO	CD	99277340
3119150	10351	1997-06-12	VYDAJ	PREVOD NA UCET	4410	20119	SIPO	CD	99277340
3119151	10351	1997-07-12	VYDAJ	PREVOD NA UCET	4410	19190	SIPO	CD	99277340
3119152	10351	1997-08-12	VYDAJ	PREVOD NA UCET	4410	14753	SIPO	CD	99277340
3119153	10351	1997-09-12	VYDAJ	PREVOD NA UCET	4410	16659	SIPO	CD	99277340
3119154	10351	1997-10-12	VYDAJ	PREVOD NA UCET	4410	16074	SIPO	CD	99277340
3119155	10351	1997-11-12	VYDAJ	PREVOD NA UCET	4410	19032	SIPO	CD	99277340
3119156	10351	1997-12-12	VYDAJ	PREVOD NA UCET	4410	19437	SIPO	CD	99277340
3119157	10351	1998-01-12	VYDAJ	PREVOD NA UCET	4410	8034	SIPO	CD	99277340
3119158	10351	1998-02-12	VYDAJ	PREVOD NA UCET	4410	10278	SIPO	CD	99277340
3119159	10351	1998-03-12	VYDAJ	PREVOD NA UCET	4410	8811	SIPO	CD	99277340
3119160	10351	1998-04-12	VYDAJ	PREVOD NA UCET	4410	14248	SIPO	CD	99277340
3119161	10351	1998-05-12	VYDAJ	PREVOD NA UCET	4410	12392	SIPO	CD	99277340
3119162	10351	1998-06-12	VYDAJ	PREVOD NA UCET	4410	17942	SIPO	CD	99277340
3119163	10351	1998-07-12	VYDAJ	PREVOD NA UCET	4410	12590	SIPO	CD	99277340
3119164	10351	1998-08-12	VYDAJ	PREVOD NA UCET	4410	14832	SIPO	CD	99277340
3119165	10351	1998-09-12	VYDAJ	PREVOD NA UCET	4410	13384	SIPO	CD	99277340
3119166	10351	1998-10-12	VYDAJ	PREVOD NA UCET	4410	15630	SIPO	CD	99277340
3119167	10351	1998-11-12	VYDAJ	PREVOD NA UCET	4410	16033	SIPO	CD	99277340
3119168	10351	1998-12-12	VYDAJ	PREVOD NA UCET	4410	17898	SIPO	CD	99277340
3119177	10351	1995-09-07	VYDAJ	VYBER	2000	29483	\N	\N	0
3119178	10351	1995-10-02	VYDAJ	VYBER	1400	17648	\N	\N	0
3119179	10351	1995-11-14	VYDAJ	VYBER	2000	21231	\N	\N	0
3119180	10351	1995-12-19	VYDAJ	VYBER	2100	22059	\N	\N	0
3119181	10351	1996-01-03	VYDAJ	VYBER	2100	14461	\N	\N	0
3119182	10351	1996-02-05	VYDAJ	VYBER	1700	13705	\N	\N	0
3119183	10351	1996-03-06	VYDAJ	VYBER	1600	20879	\N	\N	0
3119184	10351	1996-04-02	VYDAJ	VYBER	1800	15227	\N	\N	0
3119185	10351	1996-05-09	VYDAJ	VYBER	2100	22211	\N	\N	0
3119186	10351	1996-06-03	VYDAJ	VYBER	2100	14571	\N	\N	0
3119187	10351	1996-07-20	VYDAJ	VYBER	1500	18760	\N	\N	0
3119188	10351	1996-08-03	VYDAJ	VYBER	1400	19225	\N	\N	0
3119189	10351	1996-09-17	VYDAJ	VYBER	1600	19413	\N	\N	0
3119190	10351	1996-10-09	VYDAJ	VYBER	2200	20392	\N	\N	0
3119191	10351	1996-11-05	VYDAJ	VYBER	1800	12052	\N	\N	0
3119192	10351	1996-12-17	VYDAJ	VYBER	2100	17120	\N	\N	0
3119193	10351	1997-01-09	VYDAJ	VYBER	1700	14364	\N	\N	0
3119194	10351	1997-02-13	VYDAJ	VYBER	2000	12095	\N	\N	0
3119195	10351	1997-03-12	VYDAJ	PREVOD NA UCET	1848	13789	UVER	GH	66402935
3119196	10351	1997-04-12	VYDAJ	PREVOD NA UCET	1848	20904	UVER	GH	66402935
3119197	10351	1997-05-12	VYDAJ	PREVOD NA UCET	1848	19714	UVER	GH	66402935
3119198	10351	1997-06-12	VYDAJ	PREVOD NA UCET	1848	24529	UVER	GH	66402935
3119199	10351	1997-07-12	VYDAJ	PREVOD NA UCET	1848	17342	UVER	GH	66402935
3119200	10351	1997-08-12	VYDAJ	PREVOD NA UCET	1848	19163	UVER	GH	66402935
3119201	10351	1997-09-12	VYDAJ	PREVOD NA UCET	1848	21069	UVER	GH	66402935
3119202	10351	1997-10-12	VYDAJ	PREVOD NA UCET	1848	20484	UVER	GH	66402935
3119203	10351	1997-11-12	VYDAJ	PREVOD NA UCET	1848	17184	UVER	GH	66402935
3119204	10351	1997-12-12	VYDAJ	PREVOD NA UCET	1848	17589	UVER	GH	66402935
3119205	10351	1998-01-12	VYDAJ	PREVOD NA UCET	1848	12444	UVER	GH	66402935
3119206	10351	1998-02-12	VYDAJ	PREVOD NA UCET	1848	8430	UVER	GH	66402935
3119207	10351	1998-03-12	VYDAJ	PREVOD NA UCET	1848	13221	UVER	GH	66402935
3119208	10351	1998-04-12	VYDAJ	PREVOD NA UCET	1848	12400	UVER	GH	66402935
3119209	10351	1998-05-12	VYDAJ	PREVOD NA UCET	1848	16802	UVER	GH	66402935
3119210	10351	1998-06-12	VYDAJ	PREVOD NA UCET	1848	16094	UVER	GH	66402935
3119211	10351	1998-07-12	VYDAJ	PREVOD NA UCET	1848	17000	UVER	GH	66402935
3119212	10351	1998-08-12	VYDAJ	PREVOD NA UCET	1848	12984	UVER	GH	66402935
3119213	10351	1998-09-12	VYDAJ	PREVOD NA UCET	1848	17794	UVER	GH	66402935
3119214	10351	1998-10-12	VYDAJ	PREVOD NA UCET	1848	13782	UVER	GH	66402935
3119215	10351	1998-11-12	VYDAJ	PREVOD NA UCET	1848	14185	UVER	GH	66402935
3119216	10351	1998-12-12	VYDAJ	PREVOD NA UCET	1848	22308	UVER	GH	66402935
3119225	10351	1995-12-05	VYDAJ	VYBER	1760	18645	\N	\N	\N
3119226	10351	1996-12-17	VYDAJ	VYBER	2080	15040	\N	\N	\N
3119227	10351	1997-12-23	VYDAJ	VYBER	2080	14109	\N	\N	\N
3119228	10351	1998-12-15	VYDAJ	VYBER	1440	14898	\N	\N	\N
3119235	10351	1996-01-03	VYDAJ	VYBER	2880	16561	\N	\N	\N
3119236	10351	1996-01-12	VYDAJ	VYBER	2520	14147	\N	\N	\N
3119245	10351	1997-01-06	VYDAJ	VYBER	3240	16064	\N	\N	\N
3119247	10351	1998-01-09	VYDAJ	VYBER	2520	17652	\N	\N	\N
3119252	10351	1998-01-10	VYDAJ	VYBER	3360	14292	\N	\N	\N
3119256	10351	1995-09-26	VYDAJ	VYBER	5520	19553	\N	\N	\N
3119258	10351	1996-02-18	VYDAJ	VYBER	2040	13871	\N	\N	\N
3119259	10351	1996-05-10	VYDAJ	VYBER	4080	18131	\N	\N	\N
3119261	10351	1996-03-03	VYDAJ	VYBER	960	15863	\N	\N	\N
3119262	10351	1996-10-18	VYDAJ	VYBER	1080	14902	\N	\N	\N
3119263	10351	1997-12-27	VYDAJ	VYBER	600	13509	\N	\N	\N
3119266	10351	1997-11-28	VYDAJ	VYBER	5520	13864	\N	\N	\N
3119268	10351	1998-12-14	VYDAJ	VYBER	1560	16338	\N	\N	\N
3119282	10351	1995-09-30	VYDAJ	VYBER	15	19648	SLUZBY	\N	\N
3119283	10351	1995-10-31	VYDAJ	VYBER	15	21025	SLUZBY	\N	\N
3119284	10351	1995-11-30	VYDAJ	VYBER	15	21305	SLUZBY	\N	\N
3119285	10351	1995-12-31	VYDAJ	VYBER	15	19441	SLUZBY	\N	\N
3119286	10351	1996-01-31	VYDAJ	VYBER	15	15405	SLUZBY	\N	\N
3119287	10351	1996-02-29	VYDAJ	VYBER	15	16823	SLUZBY	\N	\N
3119288	10351	1996-03-31	VYDAJ	VYBER	15	17027	SLUZBY	\N	\N
3119289	10351	1996-04-30	VYDAJ	VYBER	15	17695	SLUZBY	\N	\N
3119290	10351	1996-05-31	VYDAJ	VYBER	15	16671	SLUZBY	\N	\N
3119291	10351	1996-06-30	VYDAJ	VYBER	15	18054	SLUZBY	\N	\N
3119292	10351	1996-07-31	VYDAJ	VYBER	15	20625	SLUZBY	\N	\N
3119293	10351	1996-08-31	VYDAJ	VYBER	15	18807	SLUZBY	\N	\N
3119294	10351	1996-09-30	VYDAJ	VYBER	15	15976	SLUZBY	\N	\N
3119295	10351	1996-10-31	VYDAJ	VYBER	15	13852	SLUZBY	\N	\N
3119296	10351	1996-11-30	VYDAJ	VYBER	15	13706	SLUZBY	\N	\N
3119297	10351	1996-12-31	VYDAJ	VYBER	15	12688	SLUZBY	\N	\N
3119298	10351	1997-01-31	VYDAJ	VYBER	15	11889	SLUZBY	\N	\N
3119299	10351	1997-02-28	VYDAJ	VYBER	15	13431	SLUZBY	\N	\N
3119300	10351	1997-03-31	VYDAJ	VYBER	15	16136	SLUZBY	\N	\N
3119301	10351	1997-04-30	VYDAJ	VYBER	15	14946	SLUZBY	\N	\N
3119302	10351	1997-05-31	VYDAJ	VYBER	15	16453	SLUZBY	\N	\N
3119303	10351	1997-06-30	VYDAJ	VYBER	15	16984	SLUZBY	\N	\N
3119304	10351	1997-07-31	VYDAJ	VYBER	15	14395	SLUZBY	\N	\N
3119305	10351	1997-08-31	VYDAJ	VYBER	15	16301	SLUZBY	\N	\N
3119306	10351	1997-09-30	VYDAJ	VYBER	15	15716	SLUZBY	\N	\N
3119307	10351	1997-10-31	VYDAJ	VYBER	15	16826	SLUZBY	\N	\N
3119308	10351	1997-11-30	VYDAJ	VYBER	15	13923	SLUZBY	\N	\N
3119309	10351	1997-12-31	VYDAJ	VYBER	15	13556	SLUZBY	\N	\N
3119310	10351	1998-01-31	VYDAJ	VYBER	15	8072	SLUZBY	\N	\N
3119311	10351	1998-02-28	VYDAJ	VYBER	15	8453	SLUZBY	\N	\N
3119312	10351	1998-03-31	VYDAJ	VYBER	15	12042	SLUZBY	\N	\N
3119313	10351	1998-04-30	VYDAJ	VYBER	15	12034	SLUZBY	\N	\N
3119314	10351	1998-05-31	VYDAJ	VYBER	15	12428	SLUZBY	\N	\N
3119315	10351	1998-06-30	VYDAJ	VYBER	15	12232	SLUZBY	\N	\N
3119316	10351	1998-07-31	VYDAJ	VYBER	15	12626	SLUZBY	\N	\N
3119317	10351	1998-08-31	VYDAJ	VYBER	15	13026	SLUZBY	\N	\N
3119318	10351	1998-09-30	VYDAJ	VYBER	15	13424	SLUZBY	\N	\N
3119319	10351	1998-10-31	VYDAJ	VYBER	15	13827	SLUZBY	\N	\N
3119320	10351	1998-11-30	VYDAJ	VYBER	15	14232	SLUZBY	\N	\N
3119321	10351	1995-06-03	PRIJEM	VKLAD	11800	19242	\N	\N	\N
3119322	10351	1995-07-03	VYDAJ	VYBER	4000	25272	\N	\N	\N
3119323	10351	1995-08-02	VYDAJ	VYBER	7000	25019	\N	\N	\N
3119324	10351	1995-09-01	VYDAJ	VYBER	6900	24867	\N	\N	\N
3119325	10351	1995-10-01	VYDAJ	VYBER	600	19048	\N	\N	\N
3119326	10351	1995-10-31	PRIJEM	VKLAD	1100	21039	\N	\N	\N
3119327	10351	1995-11-30	VYDAJ	VYBER	900	20405	\N	\N	\N
3119328	10351	1995-12-30	VYDAJ	VYBER	2700	19359	\N	\N	\N
3119329	10351	1996-01-29	PRIJEM	VKLAD	1200	15347	\N	\N	\N
3119330	10351	1996-02-28	PRIJEM	VKLAD	2900	16771	\N	\N	\N
3119331	10351	1996-03-29	PRIJEM	VKLAD	500	16969	\N	\N	\N
3119332	10351	1996-04-28	PRIJEM	VKLAD	200	17633	\N	\N	\N
3119333	10351	1996-05-28	PRIJEM	VKLAD	2900	16621	\N	\N	\N
3119334	10351	1996-06-27	VYDAJ	VYBER	2100	17985	\N	\N	\N
3119335	10351	1996-07-27	PRIJEM	VKLAD	1800	20560	\N	\N	\N
3119336	10351	1996-08-26	VYDAJ	VYBER	2700	18731	\N	\N	\N
3119337	10351	1996-09-25	VYDAJ	VYBER	3500	15913	\N	\N	\N
3119338	10351	1996-10-25	VYDAJ	VYBER	1100	13802	\N	\N	\N
3119339	10351	1996-11-24	VYDAJ	VYBER	600	13658	\N	\N	\N
3119340	10351	1996-12-24	VYDAJ	VYBER	2400	12640	\N	\N	\N
3119341	10351	1997-01-23	PRIJEM	VKLAD	1900	11854	\N	\N	\N
3119342	10351	1997-02-22	PRIJEM	VKLAD	1300	13395	\N	\N	\N
3119343	10351	1997-03-24	PRIJEM	VKLAD	2300	16089	\N	\N	\N
3119344	10351	1997-04-23	VYDAJ	VYBER	1600	14894	\N	\N	\N
3119345	10351	1997-05-23	PRIJEM	VKLAD	1100	16404	\N	\N	\N
3119346	10351	1997-06-22	VYDAJ	VYBER	3200	16919	\N	\N	\N
3119347	10351	1997-07-22	VYDAJ	VYBER	3000	14342	\N	\N	\N
3119348	10351	1997-08-21	PRIJEM	VKLAD	1500	16253	\N	\N	\N
3119349	10351	1997-09-20	VYDAJ	VYBER	1000	15659	\N	\N	\N
3119350	10351	1997-10-20	PRIJEM	VKLAD	700	16774	\N	\N	\N
3119351	10351	1997-11-19	PRIJEM	VKLAD	2200	19384	\N	\N	\N
3119352	10351	1997-12-19	VYDAJ	VYBER	1400	16189	\N	\N	\N
3119353	10351	1998-03-19	PRIJEM	VKLAD	3200	12011	\N	\N	\N
3119354	10351	1998-04-18	VYDAJ	VYBER	400	12000	\N	\N	\N
3119355	10351	1998-06-17	VYDAJ	VYBER	3900	12194	\N	\N	\N
3122128	10361	1996-06-21	PRIJEM	VKLAD	500	500	\N	\N	\N
3122135	10361	1996-07-07	PRIJEM	PREVOD Z UCTU	43440	43940	\N	UV	25468045
3122136	10361	1996-08-07	PRIJEM	PREVOD Z UCTU	43440	76329	\N	UV	25468045
3122137	10361	1996-09-07	PRIJEM	PREVOD Z UCTU	43440	91329	\N	UV	25468045
3122138	10361	1996-10-07	PRIJEM	PREVOD Z UCTU	43440	100083	\N	UV	25468045
3122139	10361	1996-11-07	PRIJEM	PREVOD Z UCTU	43440	106369	\N	UV	25468045
3122140	10361	1996-12-07	PRIJEM	PREVOD Z UCTU	65160	102598	\N	UV	25468045
3122141	10361	1997-01-07	PRIJEM	PREVOD Z UCTU	43440	68773	\N	UV	25468045
3122142	10361	1997-02-07	PRIJEM	PREVOD Z UCTU	43440	77122	\N	UV	25468045
3122143	10361	1997-03-07	PRIJEM	PREVOD Z UCTU	43440	89678	\N	UV	25468045
3122144	10361	1997-04-07	PRIJEM	PREVOD Z UCTU	43440	93303	\N	UV	25468045
3122145	10361	1997-05-07	PRIJEM	PREVOD Z UCTU	43440	95132	\N	UV	25468045
3122146	10361	1997-06-07	PRIJEM	PREVOD Z UCTU	65160	99735	\N	UV	25468045
3122147	10361	1997-07-07	PRIJEM	PREVOD Z UCTU	43440	83318	\N	UV	25468045
3122148	10361	1997-08-07	PRIJEM	PREVOD Z UCTU	43440	86996	\N	UV	25468045
3122149	10361	1997-09-07	PRIJEM	PREVOD Z UCTU	43440	83769	\N	UV	25468045
3122150	10361	1997-10-07	PRIJEM	PREVOD Z UCTU	43440	82329	\N	UV	25468045
3122151	10361	1997-11-07	PRIJEM	PREVOD Z UCTU	43440	61646	\N	UV	25468045
3122152	10361	1997-12-07	PRIJEM	PREVOD Z UCTU	65160	82480	\N	UV	25468045
3122153	10361	1998-01-07	PRIJEM	PREVOD Z UCTU	43440	63437	\N	UV	25468045
3122154	10361	1998-02-07	PRIJEM	PREVOD Z UCTU	43440	57396	\N	UV	25468045
3122155	10361	1998-03-07	PRIJEM	PREVOD Z UCTU	43440	67167	\N	UV	25468045
3122156	10361	1998-04-07	PRIJEM	PREVOD Z UCTU	43440	68276	\N	UV	25468045
3122157	10361	1998-05-07	PRIJEM	PREVOD Z UCTU	43440	73732	\N	UV	25468045
3122158	10361	1998-06-07	PRIJEM	PREVOD Z UCTU	65160	84872	\N	UV	25468045
3122159	10361	1998-07-07	PRIJEM	PREVOD Z UCTU	43440	75415	\N	UV	25468045
3122160	10361	1998-08-07	PRIJEM	PREVOD Z UCTU	43440	63550	\N	UV	25468045
3122161	10361	1998-09-07	PRIJEM	PREVOD Z UCTU	43440	55441	\N	UV	25468045
3122162	10361	1998-10-07	PRIJEM	PREVOD Z UCTU	43440	53912	\N	UV	25468045
3122163	10361	1998-11-07	PRIJEM	PREVOD Z UCTU	43440	50371	\N	UV	25468045
3122164	10361	1998-12-07	PRIJEM	PREVOD Z UCTU	65160	72356	\N	UV	25468045
3122175	10361	1996-11-20	VYDAJ	VYBER	8400	37169	\N	\N	0
3122176	10361	1996-12-08	VYDAJ	VYBER	6300	96298	\N	\N	0
3122177	10361	1997-01-10	VYDAJ	VYBER	6700	59973	\N	\N	0
3122178	10361	1997-02-19	VYDAJ	VYBER	6800	46022	\N	\N	0
3122179	10361	1997-03-19	VYDAJ	VYBER	7600	49678	\N	\N	0
3122180	10361	1997-04-11	VYDAJ	VYBER	8200	85103	\N	\N	0
3122181	10361	1997-05-11	VYDAJ	VYBER	8800	86332	\N	\N	0
3122182	10361	1997-06-12	VYDAJ	PREVOD NA UCET	7240	92495	UVER	CD	64321249
3122183	10361	1997-07-12	VYDAJ	PREVOD NA UCET	7240	76078	UVER	CD	64321249
3122184	10361	1997-08-12	VYDAJ	PREVOD NA UCET	7240	79756	UVER	CD	64321249
3122185	10361	1997-09-12	VYDAJ	PREVOD NA UCET	7240	76529	UVER	CD	64321249
3122186	10361	1997-10-12	VYDAJ	PREVOD NA UCET	7240	75089	UVER	CD	64321249
3122187	10361	1997-11-12	VYDAJ	PREVOD NA UCET	7240	39139	UVER	CD	64321249
3122188	10361	1997-12-12	VYDAJ	PREVOD NA UCET	7240	55398	UVER	CD	64321249
3122189	10361	1998-01-12	VYDAJ	PREVOD NA UCET	7240	31297	UVER	CD	64321249
3122190	10361	1998-02-12	VYDAJ	PREVOD NA UCET	7240	23656	UVER	CD	64321249
3122191	10361	1998-03-12	VYDAJ	PREVOD NA UCET	7240	59927	UVER	CD	64321249
3122192	10361	1998-04-12	VYDAJ	PREVOD NA UCET	7240	30136	UVER	CD	64321249
3122193	10361	1998-05-12	VYDAJ	PREVOD NA UCET	7240	28592	UVER	CD	64321249
3122194	10361	1998-06-14	VYDAJ	VYBER	6000	31872	\N	\N	0
3122195	10361	1998-07-21	VYDAJ	VYBER	8000	20015	\N	\N	0
3122196	10361	1998-08-17	VYDAJ	VYBER	7400	11950	\N	\N	0
3122197	10361	1998-09-10	VYDAJ	VYBER	7500	10441	\N	\N	0
3122198	10361	1998-10-11	VYDAJ	VYBER	7600	6912	\N	\N	0
3122199	10361	1998-11-21	VYDAJ	VYBER	5600	7171	\N	\N	0
3122200	10361	1998-12-19	VYDAJ	VYBER	6300	13356	\N	\N	0
3122209	10361	1996-12-20	VYBER	VYBER	22282	30416	\N	\N	\N
3122212	10361	1996-12-30	VYBER	VYBER	2879	25137	\N	\N	\N
3122214	10361	1997-05-29	VYBER	VYBER	15675	34357	\N	\N	\N
3122215	10361	1997-12-09	VYBER	VYBER	19842	62638	\N	\N	\N
3122216	10361	1997-06-30	VYBER	VYBER	15119	39892	\N	\N	\N
3122217	10361	1997-10-28	VYBER	VYBER	18123	18066	\N	\N	\N
3122218	10361	1997-02-05	VYBER	VYBER	6260	33682	\N	\N	\N
3122219	10361	1997-12-13	VYBER	VYBER	20924	34474	\N	\N	\N
3122220	10361	1997-11-07	VYBER	VYBER	15267	46379	\N	\N	\N
3122221	10361	1997-04-16	VYBER	VYBER	2137	82966	\N	\N	\N
3122229	10361	1998-01-09	VYDAJ	VYBER	24900	38537	\N	\N	\N
3122230	10361	1996-12-23	VYDAJ	VYBER	2400	28016	\N	\N	\N
3122233	10361	1996-12-09	VYDAJ	VYBER	11700	84598	\N	\N	\N
3122234	10361	1996-11-07	VYDAJ	VYBER	2400	103969	\N	\N	\N
3122241	10361	1997-01-07	VYDAJ	VYBER	2100	66673	\N	\N	\N
3122242	10361	1998-04-01	VYDAJ	VYBER	6900	24836	\N	\N	\N
3122243	10361	1998-05-29	VYDAJ	VYBER	9000	19592	\N	\N	\N
3122259	10361	1996-11-30	VYDAJ	VYBER	15	37438	SLUZBY	\N	\N
3122260	10361	1996-12-31	VYDAJ	VYBER	15	25333	SLUZBY	\N	\N
3122261	10361	1997-01-31	VYDAJ	VYBER	15	39942	SLUZBY	\N	\N
3122262	10361	1997-02-28	VYDAJ	VYBER	15	46238	SLUZBY	\N	\N
3122263	10361	1997-03-31	VYDAJ	VYBER	15	49863	SLUZBY	\N	\N
3122264	10361	1997-04-30	VYDAJ	VYBER	15	51692	SLUZBY	\N	\N
3122265	10361	1997-05-31	VYDAJ	VYBER	15	34575	SLUZBY	\N	\N
3122266	10361	1997-06-30	VYDAJ	VYBER	15	39878	SLUZBY	\N	\N
3122267	10361	1997-07-31	VYDAJ	VYBER	15	43556	SLUZBY	\N	\N
3122268	10361	1997-08-31	VYDAJ	VYBER	15	40329	SLUZBY	\N	\N
3122269	10361	1997-09-30	VYDAJ	VYBER	15	38889	SLUZBY	\N	\N
3122270	10361	1997-10-31	VYDAJ	VYBER	15	18206	SLUZBY	\N	\N
3122271	10361	1997-11-30	VYDAJ	VYBER	15	17320	SLUZBY	\N	\N
3122272	10361	1997-12-31	VYDAJ	VYBER	15	19997	SLUZBY	\N	\N
3122273	10361	1998-01-31	VYDAJ	VYBER	15	13956	SLUZBY	\N	\N
3122274	10361	1998-02-28	VYDAJ	VYBER	15	23727	SLUZBY	\N	\N
3122275	10361	1998-03-31	VYDAJ	VYBER	15	31736	SLUZBY	\N	\N
3122276	10361	1998-04-30	VYDAJ	VYBER	15	30292	SLUZBY	\N	\N
3122277	10361	1998-05-31	VYDAJ	VYBER	15	19712	SLUZBY	\N	\N
3122278	10361	1998-06-30	VYDAJ	VYBER	15	31975	SLUZBY	\N	\N
3122279	10361	1998-07-31	VYDAJ	VYBER	15	20110	SLUZBY	\N	\N
3122280	10361	1998-08-31	VYDAJ	VYBER	15	12001	SLUZBY	\N	\N
3122281	10361	1998-09-30	VYDAJ	VYBER	15	10472	SLUZBY	\N	\N
3122282	10361	1998-10-31	VYDAJ	VYBER	15	6931	SLUZBY	\N	\N
3122283	10361	1998-11-30	VYDAJ	VYBER	15	7196	SLUZBY	\N	\N
3122284	10361	1996-07-21	VYDAJ	VYBER	11100	32840	\N	\N	\N
3122285	10361	1996-08-20	VYDAJ	VYBER	28600	47729	\N	\N	\N
3122286	10361	1996-09-19	VYDAJ	VYBER	34900	56429	\N	\N	\N
3122287	10361	1996-10-19	VYDAJ	VYBER	37400	62683	\N	\N	\N
3122288	10361	1996-11-07	VYDAJ	VYBER	40600	63369	\N	\N	\N
3122289	10361	1996-11-18	VYDAJ	VYBER	17800	45569	\N	\N	\N
3122290	10361	1996-12-18	VYDAJ	VYBER	31900	52698	\N	\N	\N
3122291	10361	1997-01-17	VYDAJ	VYBER	20200	39773	\N	\N	\N
3122292	10361	1997-02-16	VYDAJ	VYBER	24300	52822	\N	\N	\N
3122293	10361	1997-03-18	VYDAJ	VYBER	32400	57278	\N	\N	\N
3122294	10361	1997-04-17	VYDAJ	VYBER	31500	51466	\N	\N	\N
3122295	10361	1997-05-17	VYDAJ	VYBER	36300	50032	\N	\N	\N
3122296	10361	1997-06-16	VYDAJ	VYBER	37700	54795	\N	\N	\N
3122297	10361	1997-07-16	VYDAJ	VYBER	32700	43378	\N	\N	\N
3122298	10361	1997-08-15	VYDAJ	VYBER	39600	40156	\N	\N	\N
3122299	10361	1997-09-14	VYDAJ	VYBER	37800	38729	\N	\N	\N
3122300	10361	1997-10-14	VYDAJ	VYBER	38900	36189	\N	\N	\N
3122301	10361	1997-11-13	VYDAJ	VYBER	21900	17239	\N	\N	\N
3122302	10361	1997-12-13	VYDAJ	VYBER	14600	19874	\N	\N	\N
3122303	10361	1998-01-12	VYDAJ	VYBER	17400	13897	\N	\N	\N
3122304	10361	1998-02-11	VYDAJ	VYBER	26500	30896	\N	\N	\N
3122305	10361	1998-03-13	VYDAJ	VYBER	28300	31627	\N	\N	\N
3122306	10361	1998-04-12	VYDAJ	VYBER	30900	37376	\N	\N	\N
3122307	10361	1998-05-12	VYDAJ	VYBER	37900	35832	\N	\N	\N
3122308	10361	1998-06-11	VYDAJ	VYBER	47000	37872	\N	\N	\N
3122309	10361	1998-07-11	VYDAJ	VYBER	47400	28015	\N	\N	\N
3122310	10361	1998-08-10	VYDAJ	VYBER	44200	19350	\N	\N	\N
3122311	10361	1998-09-09	VYDAJ	VYBER	37500	17941	\N	\N	\N
3122312	10361	1998-10-09	VYDAJ	VYBER	39400	14512	\N	\N	\N
3122313	10361	1998-11-08	VYDAJ	VYBER	37600	12771	\N	\N	\N
3122314	10361	1998-12-08	VYDAJ	VYBER	52700	19656	\N	\N	\N
3122924	10364	1993-01-17	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3122926	10364	1993-02-07	PRIJEM	VKLAD	14493	15593	\N	\N	\N
3122927	10364	1993-03-07	PRIJEM	VKLAD	14493	34324	\N	\N	\N
3122928	10364	1993-04-07	PRIJEM	VKLAD	14493	44118	\N	\N	\N
3122929	10364	1993-05-07	PRIJEM	VKLAD	14493	48442	\N	\N	\N
3122930	10364	1993-06-07	PRIJEM	VKLAD	21740	60432	\N	\N	\N
3122931	10364	1993-07-07	PRIJEM	VKLAD	14493	39575	\N	\N	\N
3122932	10364	1993-08-07	PRIJEM	VKLAD	14493	45117	\N	\N	\N
3122933	10364	1993-09-07	PRIJEM	VKLAD	14493	44464	\N	\N	\N
3122934	10364	1993-10-07	PRIJEM	VKLAD	14493	46513	\N	\N	\N
3122935	10364	1993-11-07	PRIJEM	VKLAD	14493	49083	\N	\N	\N
3122936	10364	1993-12-07	PRIJEM	VKLAD	21740	51899	\N	\N	\N
3122937	10364	1994-01-07	PRIJEM	VKLAD	14493	49061	\N	\N	\N
3122938	10364	1994-02-07	PRIJEM	VKLAD	14493	35391	\N	\N	\N
3122939	10364	1994-03-07	PRIJEM	VKLAD	14493	38997	\N	\N	\N
3122940	10364	1994-04-07	PRIJEM	VKLAD	14493	44422	\N	\N	\N
3122941	10364	1994-05-07	PRIJEM	VKLAD	14493	46360	\N	\N	\N
3122942	10364	1994-06-07	PRIJEM	VKLAD	21740	53667	\N	\N	\N
3122943	10364	1994-07-07	PRIJEM	VKLAD	14493	33734	\N	\N	\N
3122944	10364	1994-08-07	PRIJEM	VKLAD	14493	34876	\N	\N	\N
3122945	10364	1994-09-07	PRIJEM	VKLAD	14493	36019	\N	\N	\N
3122946	10364	1994-10-07	PRIJEM	VKLAD	14493	39132	\N	\N	\N
3122947	10364	1994-11-07	PRIJEM	VKLAD	14493	43356	\N	\N	\N
3122948	10364	1994-12-07	PRIJEM	VKLAD	21740	52137	\N	\N	\N
3122949	10364	1995-01-07	PRIJEM	VKLAD	14493	41918	\N	\N	\N
3122950	10364	1995-02-07	PRIJEM	VKLAD	14493	37572	\N	\N	\N
3122951	10364	1995-03-07	PRIJEM	VKLAD	14493	45296	\N	\N	\N
3122952	10364	1995-04-07	PRIJEM	VKLAD	14493	45133	\N	\N	\N
3122953	10364	1995-05-07	PRIJEM	VKLAD	14493	44974	\N	\N	\N
3122954	10364	1995-06-07	PRIJEM	VKLAD	21740	47891	\N	\N	\N
3122955	10364	1995-07-07	PRIJEM	VKLAD	14493	50058	\N	\N	\N
3122956	10364	1995-08-07	PRIJEM	VKLAD	14493	52247	\N	\N	\N
3122957	10364	1995-09-07	PRIJEM	VKLAD	14493	46464	\N	\N	\N
3122958	10364	1995-10-07	PRIJEM	VKLAD	14493	48841	\N	\N	\N
3122959	10364	1995-11-07	PRIJEM	VKLAD	14493	50211	\N	\N	\N
3122960	10364	1995-12-07	PRIJEM	VKLAD	21740	61943	\N	\N	\N
3122961	10364	1996-01-07	PRIJEM	VKLAD	14493	56032	\N	\N	\N
3122962	10364	1996-02-07	PRIJEM	VKLAD	14493	46711	\N	\N	\N
3122963	10364	1996-03-07	PRIJEM	VKLAD	14493	51878	\N	\N	\N
3122964	10364	1996-04-07	PRIJEM	VKLAD	14493	49145	\N	\N	\N
3122965	10364	1996-05-07	PRIJEM	VKLAD	14493	52730	\N	\N	\N
3122966	10364	1996-06-07	PRIJEM	VKLAD	21740	58904	\N	\N	\N
3122967	10364	1996-07-07	PRIJEM	VKLAD	14493	54468	\N	\N	\N
3122968	10364	1996-08-07	PRIJEM	VKLAD	14493	58760	\N	\N	\N
3122969	10364	1996-09-07	PRIJEM	VKLAD	14493	57768	\N	\N	\N
3122970	10364	1996-10-07	PRIJEM	VKLAD	14493	53804	\N	\N	\N
3122971	10364	1996-11-07	PRIJEM	VKLAD	14493	55492	\N	\N	\N
3122972	10364	1996-12-07	PRIJEM	VKLAD	21740	66273	\N	\N	\N
3122973	10364	1997-01-07	PRIJEM	VKLAD	14493	61881	\N	\N	\N
3122974	10364	1997-02-07	PRIJEM	VKLAD	14493	50612	\N	\N	\N
3122975	10364	1997-03-07	PRIJEM	VKLAD	14493	59808	\N	\N	\N
3122976	10364	1997-04-07	PRIJEM	VKLAD	14493	64439	\N	\N	\N
3122977	10364	1997-05-07	PRIJEM	VKLAD	14493	68880	\N	\N	\N
3122978	10364	1997-06-07	PRIJEM	VKLAD	21740	66757	\N	\N	\N
3122979	10364	1997-07-07	PRIJEM	VKLAD	14493	48642	\N	\N	\N
3122980	10364	1997-08-07	PRIJEM	VKLAD	14493	59922	\N	\N	\N
3122981	10364	1997-09-07	PRIJEM	VKLAD	14493	68247	\N	\N	\N
3122982	10364	1997-10-07	PRIJEM	VKLAD	14493	74103	\N	\N	\N
3122983	10364	1997-11-07	PRIJEM	VKLAD	14493	66935	\N	\N	\N
3122984	10364	1997-12-07	PRIJEM	VKLAD	21740	78141	\N	\N	\N
3122985	10364	1998-01-07	PRIJEM	VKLAD	14493	78312	\N	\N	\N
3122986	10364	1998-02-07	PRIJEM	VKLAD	14493	67191	\N	\N	\N
3122987	10364	1998-03-07	PRIJEM	VKLAD	14493	75644	\N	\N	\N
3122988	10364	1998-04-07	PRIJEM	VKLAD	14493	78025	\N	\N	\N
3122989	10364	1998-05-07	PRIJEM	VKLAD	14493	82854	\N	\N	\N
3122990	10364	1998-06-07	PRIJEM	VKLAD	21740	91610	\N	\N	\N
3122991	10364	1998-07-07	PRIJEM	VKLAD	14493	63243	\N	\N	\N
3122992	10364	1998-08-07	PRIJEM	VKLAD	14493	72407	\N	\N	\N
3122993	10364	1998-09-07	PRIJEM	VKLAD	14493	86892	\N	\N	\N
3122994	10364	1998-10-07	PRIJEM	VKLAD	14493	97833	\N	\N	\N
3122995	10364	1998-11-07	PRIJEM	VKLAD	14493	101705	\N	\N	\N
3122996	10364	1998-12-07	PRIJEM	VKLAD	21740	116468	\N	\N	\N
3123002	10364	1993-06-11	VYDAJ	PREVOD NA UCET	6262	54170	SIPO	EF	67477196
3123003	10364	1993-07-11	VYDAJ	PREVOD NA UCET	6262	32713	SIPO	EF	67477196
3123004	10364	1993-08-11	VYDAJ	PREVOD NA UCET	6262	38855	SIPO	EF	67477196
3123005	10364	1993-09-11	VYDAJ	PREVOD NA UCET	6262	38202	SIPO	EF	67477196
3123006	10364	1993-10-11	VYDAJ	PREVOD NA UCET	6262	40251	SIPO	EF	67477196
3123007	10364	1993-11-11	VYDAJ	PREVOD NA UCET	6262	42821	SIPO	EF	67477196
3123008	10364	1993-12-11	VYDAJ	PREVOD NA UCET	6262	45637	SIPO	EF	67477196
3123009	10364	1994-01-11	VYDAJ	PREVOD NA UCET	6262	40879	SIPO	EF	67477196
3123010	10364	1994-02-11	VYDAJ	PREVOD NA UCET	6262	26229	SIPO	EF	67477196
3123011	10364	1994-03-11	VYDAJ	PREVOD NA UCET	6262	32735	SIPO	EF	67477196
3123012	10364	1994-04-11	VYDAJ	PREVOD NA UCET	6262	38160	SIPO	EF	67477196
3123013	10364	1994-05-11	VYDAJ	PREVOD NA UCET	6262	40098	SIPO	EF	67477196
3123014	10364	1994-06-11	VYDAJ	PREVOD NA UCET	6262	35705	SIPO	EF	67477196
3123015	10364	1994-07-11	VYDAJ	PREVOD NA UCET	6262	28472	SIPO	EF	67477196
3123016	10364	1994-08-11	VYDAJ	PREVOD NA UCET	6262	24214	SIPO	EF	67477196
3123017	10364	1994-09-11	VYDAJ	PREVOD NA UCET	6262	25157	SIPO	EF	67477196
3123018	10364	1994-10-11	VYDAJ	PREVOD NA UCET	6262	29370	SIPO	EF	67477196
3123019	10364	1994-11-11	VYDAJ	PREVOD NA UCET	6262	30894	SIPO	EF	67477196
3123020	10364	1994-12-11	VYDAJ	PREVOD NA UCET	6262	33355	SIPO	EF	67477196
3123021	10364	1995-01-11	VYDAJ	PREVOD NA UCET	6262	23716	SIPO	EF	67477196
3123022	10364	1995-02-11	VYDAJ	PREVOD NA UCET	6262	31310	SIPO	EF	67477196
3123023	10364	1995-03-11	VYDAJ	PREVOD NA UCET	6262	31134	SIPO	EF	67477196
3123024	10364	1995-04-11	VYDAJ	PREVOD NA UCET	6262	30971	SIPO	EF	67477196
3123025	10364	1995-05-11	VYDAJ	PREVOD NA UCET	6262	30312	SIPO	EF	67477196
3123026	10364	1995-06-11	VYDAJ	PREVOD NA UCET	6262	41629	SIPO	EF	67477196
3123027	10364	1995-07-11	VYDAJ	PREVOD NA UCET	6262	43796	SIPO	EF	67477196
3123028	10364	1995-08-11	VYDAJ	PREVOD NA UCET	6262	45985	SIPO	EF	67477196
3123029	10364	1995-09-11	VYDAJ	PREVOD NA UCET	6262	40202	SIPO	EF	67477196
3123030	10364	1995-10-11	VYDAJ	PREVOD NA UCET	6262	37779	SIPO	EF	67477196
3123031	10364	1995-11-11	VYDAJ	PREVOD NA UCET	6262	43949	SIPO	EF	67477196
3123032	10364	1995-12-11	VYDAJ	PREVOD NA UCET	6262	55681	SIPO	EF	67477196
3123033	10364	1996-01-11	VYDAJ	PREVOD NA UCET	6262	35130	SIPO	EF	67477196
3123034	10364	1996-02-11	VYDAJ	PREVOD NA UCET	6262	40449	SIPO	EF	67477196
3123035	10364	1996-03-11	VYDAJ	PREVOD NA UCET	6262	45616	SIPO	EF	67477196
3123036	10364	1996-04-11	VYDAJ	PREVOD NA UCET	6262	42883	SIPO	EF	67477196
3123037	10364	1996-05-11	VYDAJ	PREVOD NA UCET	6262	46468	SIPO	EF	67477196
3123038	10364	1996-06-11	VYDAJ	PREVOD NA UCET	6262	52642	SIPO	EF	67477196
3123039	10364	1996-07-11	VYDAJ	PREVOD NA UCET	6262	48206	SIPO	EF	67477196
3123040	10364	1996-08-11	VYDAJ	PREVOD NA UCET	6262	52498	SIPO	EF	67477196
3123041	10364	1996-09-11	VYDAJ	PREVOD NA UCET	6262	51506	SIPO	EF	67477196
3123042	10364	1996-10-11	VYDAJ	PREVOD NA UCET	6262	47542	SIPO	EF	67477196
3123043	10364	1996-11-11	VYDAJ	PREVOD NA UCET	6262	49230	SIPO	EF	67477196
3123044	10364	1996-12-11	VYDAJ	PREVOD NA UCET	6262	59311	SIPO	EF	67477196
3123045	10364	1997-01-11	VYDAJ	PREVOD NA UCET	6262	49739	SIPO	EF	67477196
3123046	10364	1997-02-11	VYDAJ	PREVOD NA UCET	6262	44350	SIPO	EF	67477196
3123047	10364	1997-03-11	VYDAJ	PREVOD NA UCET	6262	53546	SIPO	EF	67477196
3123048	10364	1997-04-11	VYDAJ	PREVOD NA UCET	6262	58177	SIPO	EF	67477196
3123049	10364	1997-05-11	VYDAJ	PREVOD NA UCET	6262	62618	SIPO	EF	67477196
3123050	10364	1997-06-11	VYDAJ	PREVOD NA UCET	6262	60495	SIPO	EF	67477196
3123051	10364	1997-07-11	VYDAJ	PREVOD NA UCET	6262	42380	SIPO	EF	67477196
3123052	10364	1997-08-11	VYDAJ	PREVOD NA UCET	6262	53260	SIPO	EF	67477196
3123053	10364	1997-09-11	VYDAJ	PREVOD NA UCET	6262	61985	SIPO	EF	67477196
3123054	10364	1997-10-11	VYDAJ	PREVOD NA UCET	6262	67841	SIPO	EF	67477196
3123055	10364	1997-11-11	VYDAJ	PREVOD NA UCET	6262	60673	SIPO	EF	67477196
3123056	10364	1997-12-11	VYDAJ	PREVOD NA UCET	6262	71479	SIPO	EF	67477196
3123057	10364	1998-01-11	VYDAJ	PREVOD NA UCET	6262	67610	SIPO	EF	67477196
3123058	10364	1998-02-11	VYDAJ	PREVOD NA UCET	6262	60929	SIPO	EF	67477196
3123059	10364	1998-03-11	VYDAJ	PREVOD NA UCET	6262	69382	SIPO	EF	67477196
3123060	10364	1998-04-11	VYDAJ	PREVOD NA UCET	6262	66703	SIPO	EF	67477196
3123061	10364	1998-05-11	VYDAJ	PREVOD NA UCET	6262	76592	SIPO	EF	67477196
3123062	10364	1998-06-11	VYDAJ	PREVOD NA UCET	6262	85348	SIPO	EF	67477196
3123063	10364	1998-07-11	VYDAJ	PREVOD NA UCET	6262	56981	SIPO	EF	67477196
3123064	10364	1998-08-11	VYDAJ	PREVOD NA UCET	6262	66145	SIPO	EF	67477196
3123065	10364	1998-09-11	VYDAJ	PREVOD NA UCET	6262	79930	SIPO	EF	67477196
3123066	10364	1998-10-11	VYDAJ	PREVOD NA UCET	6262	91571	SIPO	EF	67477196
3123067	10364	1998-11-11	VYDAJ	PREVOD NA UCET	6262	93763	SIPO	EF	67477196
3123068	10364	1998-12-11	VYDAJ	PREVOD NA UCET	6262	51346	SIPO	EF	67477196
3123074	10364	1993-06-19	VYDAJ	VYBER	500	24950	\N	\N	0
3123075	10364	1993-07-09	VYDAJ	VYBER	600	38975	\N	\N	0
3123076	10364	1993-08-18	VYDAJ	VYBER	600	29855	\N	\N	0
3123077	10364	1993-09-12	VYDAJ	VYBER	400	37802	\N	\N	0
3123078	10364	1993-10-14	VYDAJ	VYBER	700	39551	\N	\N	0
3123079	10364	1993-11-12	VYDAJ	PREVOD NA UCET	609	42212	UVER	IJ	11477667
3123080	10364	1993-12-12	VYDAJ	PREVOD NA UCET	609	45028	UVER	IJ	11477667
3123081	10364	1994-01-12	VYDAJ	PREVOD NA UCET	609	40270	UVER	IJ	11477667
3123082	10364	1994-02-12	VYDAJ	PREVOD NA UCET	609	25620	UVER	IJ	11477667
3123083	10364	1994-03-12	VYDAJ	PREVOD NA UCET	609	32126	UVER	IJ	11477667
3123084	10364	1994-04-12	VYDAJ	PREVOD NA UCET	609	37551	UVER	IJ	11477667
3123085	10364	1994-05-12	VYDAJ	PREVOD NA UCET	609	39489	UVER	IJ	11477667
3123086	10364	1994-06-12	VYDAJ	PREVOD NA UCET	609	35096	UVER	IJ	11477667
3123087	10364	1994-07-12	VYDAJ	PREVOD NA UCET	609	27863	UVER	IJ	11477667
3123088	10364	1994-08-12	VYDAJ	PREVOD NA UCET	609	23605	UVER	IJ	11477667
3123089	10364	1994-09-12	VYDAJ	PREVOD NA UCET	609	24548	UVER	IJ	11477667
3123090	10364	1994-10-12	VYDAJ	PREVOD NA UCET	609	28761	UVER	IJ	11477667
3123091	10364	1994-11-12	VYDAJ	PREVOD NA UCET	609	30285	UVER	IJ	11477667
3123092	10364	1994-12-12	VYDAJ	PREVOD NA UCET	609	32746	UVER	IJ	11477667
3123093	10364	1995-01-12	VYDAJ	PREVOD NA UCET	609	23107	UVER	IJ	11477667
3123094	10364	1995-02-12	VYDAJ	PREVOD NA UCET	609	30701	UVER	IJ	11477667
3123095	10364	1995-03-12	VYDAJ	PREVOD NA UCET	609	30525	UVER	IJ	11477667
3123096	10364	1995-04-12	VYDAJ	PREVOD NA UCET	609	30362	UVER	IJ	11477667
3123097	10364	1995-05-12	VYDAJ	PREVOD NA UCET	609	29703	UVER	IJ	11477667
3123098	10364	1995-06-12	VYDAJ	PREVOD NA UCET	609	41020	UVER	IJ	11477667
3123099	10364	1995-07-12	VYDAJ	PREVOD NA UCET	609	43187	UVER	IJ	11477667
3123100	10364	1995-08-12	VYDAJ	PREVOD NA UCET	609	45376	UVER	IJ	11477667
3123101	10364	1995-09-12	VYDAJ	PREVOD NA UCET	609	39593	UVER	IJ	11477667
3123102	10364	1995-10-12	VYDAJ	PREVOD NA UCET	609	37170	UVER	IJ	11477667
3123103	10364	1995-11-12	VYDAJ	PREVOD NA UCET	609	43340	UVER	IJ	11477667
3123104	10364	1995-12-12	VYDAJ	PREVOD NA UCET	609	55072	UVER	IJ	11477667
3123105	10364	1996-01-12	VYDAJ	PREVOD NA UCET	609	34521	UVER	IJ	11477667
3123106	10364	1996-02-12	VYDAJ	PREVOD NA UCET	609	39840	UVER	IJ	11477667
3123107	10364	1996-03-12	VYDAJ	PREVOD NA UCET	609	45007	UVER	IJ	11477667
3123108	10364	1996-04-12	VYDAJ	PREVOD NA UCET	609	42274	UVER	IJ	11477667
3123109	10364	1996-05-12	VYDAJ	PREVOD NA UCET	609	45859	UVER	IJ	11477667
3123110	10364	1996-06-12	VYDAJ	PREVOD NA UCET	609	52033	UVER	IJ	11477667
3123111	10364	1996-07-12	VYDAJ	PREVOD NA UCET	609	47597	UVER	IJ	11477667
3123112	10364	1996-08-12	VYDAJ	PREVOD NA UCET	609	51889	UVER	IJ	11477667
3123113	10364	1996-09-12	VYDAJ	PREVOD NA UCET	609	50897	UVER	IJ	11477667
3123114	10364	1996-10-12	VYDAJ	PREVOD NA UCET	609	46933	UVER	IJ	11477667
3123115	10364	1996-11-12	VYDAJ	PREVOD NA UCET	609	48621	UVER	IJ	11477667
3123116	10364	1996-12-11	VYDAJ	VYBER	700	65573	\N	\N	0
3123117	10364	1997-01-19	VYDAJ	VYBER	600	45299	\N	\N	0
3123118	10364	1997-02-04	VYDAJ	VYBER	500	36119	\N	\N	0
3123119	10364	1997-03-06	VYDAJ	VYBER	500	45315	\N	\N	0
3123120	10364	1997-04-21	VYDAJ	VYBER	500	57677	\N	\N	0
3123121	10364	1997-05-12	VYDAJ	VYBER	600	62018	\N	\N	0
3123122	10364	1997-06-05	VYDAJ	VYBER	700	45018	\N	\N	0
3123123	10364	1997-07-12	VYDAJ	VYBER	500	41880	\N	\N	0
3123124	10364	1997-08-11	VYDAJ	VYBER	400	59522	\N	\N	0
3123125	10364	1997-09-15	VYDAJ	VYBER	500	61485	\N	\N	0
3123126	10364	1997-10-19	VYDAJ	VYBER	700	67141	\N	\N	0
3123127	10364	1997-11-04	VYDAJ	VYBER	500	58082	\N	\N	0
3123128	10364	1997-12-08	VYDAJ	VYBER	400	77741	\N	\N	0
3123129	10364	1998-01-06	VYDAJ	VYBER	500	65739	\N	\N	0
3123130	10364	1998-02-13	VYDAJ	VYBER	600	60329	\N	\N	0
3123131	10364	1998-03-20	VYDAJ	VYBER	500	68882	\N	\N	0
3123132	10364	1998-04-10	VYDAJ	VYBER	500	77525	\N	\N	0
3123133	10364	1998-05-15	VYDAJ	VYBER	600	75992	\N	\N	0
3123134	10364	1998-06-06	VYDAJ	VYBER	700	69871	\N	\N	0
3123135	10364	1998-07-12	VYDAJ	VYBER	500	56481	\N	\N	0
3123136	10364	1998-08-11	VYDAJ	VYBER	600	65545	\N	\N	0
3123137	10364	1998-09-10	VYDAJ	VYBER	700	86192	\N	\N	0
3123138	10364	1998-10-19	VYDAJ	VYBER	600	86871	\N	\N	0
3123139	10364	1998-11-18	VYDAJ	VYBER	400	94363	\N	\N	0
3123140	10364	1998-12-12	VYDAJ	VYBER	600	50746	\N	\N	0
3123141	10364	1993-06-18	VYDAJ	VYBER	11520	25450	\N	\N	\N
3123142	10364	1994-06-22	VYDAJ	VYBER	11520	19136	\N	\N	\N
3123144	10364	1996-06-17	VYDAJ	VYBER	9120	42913	\N	\N	\N
3123145	10364	1997-06-28	VYDAJ	VYBER	19680	33935	\N	\N	\N
3123146	10364	1998-06-12	VYDAJ	VYBER	46080	39268	\N	\N	\N
3123148	10364	1994-01-17	VYDAJ	VYBER	2560	28110	\N	\N	\N
3123149	10364	1995-01-14	VYDAJ	VYBER	4160	18947	\N	\N	\N
3123150	10364	1996-01-08	VYDAJ	VYBER	12960	43072	\N	\N	\N
3123151	10364	1997-01-26	VYDAJ	VYBER	12960	40039	\N	\N	\N
3123152	10364	1998-01-18	VYDAJ	VYBER	4320	63290	\N	\N	\N
3123153	10364	1993-12-01	VYDAJ	VYBER	2880	30160	\N	\N	\N
3123154	10364	1994-12-20	VYDAJ	VYBER	3520	29226	\N	\N	\N
3123155	10364	1995-12-26	VYDAJ	VYBER	1600	53472	\N	\N	\N
3123156	10364	1996-12-05	VYDAJ	VYBER	960	44534	\N	\N	\N
3123157	10364	1997-12-19	VYDAJ	VYBER	800	70679	\N	\N	\N
3123158	10364	1998-12-10	VYDAJ	VYBER	1760	57608	\N	\N	\N
3123165	10364	1994-01-11	VYDAJ	VYBER	840	48221	\N	\N	\N
3123166	10364	1994-01-27	VYDAJ	VYBER	2040	20790	\N	\N	\N
3123167	10364	1994-01-14	VYDAJ	VYBER	3000	30670	\N	\N	\N
3123168	10364	1994-01-17	VYDAJ	VYBER	1800	26310	\N	\N	\N
3123169	10364	1994-01-24	VYDAJ	VYBER	2520	22830	\N	\N	\N
3123170	10364	1994-01-11	VYDAJ	VYBER	1080	47141	\N	\N	\N
3123171	10364	1995-01-03	VYDAJ	VYBER	1920	27425	\N	\N	\N
3123172	10364	1995-01-17	VYDAJ	VYBER	2160	14507	\N	\N	\N
3123173	10364	1995-01-08	VYDAJ	VYBER	3480	29978	\N	\N	\N
3123175	10364	1995-01-07	VYDAJ	VYBER	2760	33458	\N	\N	\N
3123176	10364	1995-01-14	VYDAJ	VYBER	2280	16667	\N	\N	\N
3123177	10364	1996-01-06	VYDAJ	VYBER	2760	42379	\N	\N	\N
3123178	10364	1996-01-06	VYDAJ	VYBER	840	41539	\N	\N	\N
3123179	10364	1996-01-24	VYDAJ	VYBER	3240	31281	\N	\N	\N
3123180	10364	1996-01-09	VYDAJ	VYBER	1680	41392	\N	\N	\N
3123181	10364	1996-01-01	VYDAJ	VYBER	1440	52239	\N	\N	\N
3123182	10364	1996-01-25	VYDAJ	VYBER	2400	28881	\N	\N	\N
3123183	10364	1997-01-30	VYDAJ	VYBER	600	36439	\N	\N	\N
3123184	10364	1997-01-02	VYDAJ	VYBER	2640	47388	\N	\N	\N
3123185	10364	1997-01-28	VYDAJ	VYBER	720	37039	\N	\N	\N
3123186	10364	1997-01-13	VYDAJ	VYBER	2880	46859	\N	\N	\N
3123187	10364	1997-01-26	VYDAJ	VYBER	2280	37759	\N	\N	\N
3123188	10364	1997-01-07	VYDAJ	VYBER	3480	58401	\N	\N	\N
3123189	10364	1998-01-30	VYDAJ	VYBER	1200	52450	\N	\N	\N
3123190	10364	1998-01-10	VYDAJ	VYBER	2400	73872	\N	\N	\N
3123191	10364	1998-01-23	VYDAJ	VYBER	3360	57130	\N	\N	\N
3123192	10364	1998-01-07	VYDAJ	VYBER	2040	76272	\N	\N	\N
3123193	10364	1998-01-29	VYDAJ	VYBER	3480	53650	\N	\N	\N
3123194	10364	1998-01-06	VYDAJ	VYBER	1920	63819	\N	\N	\N
3123198	10364	1994-01-18	VYDAJ	VYBER	960	25350	\N	\N	\N
3123199	10364	1994-06-19	VYDAJ	VYBER	4440	30656	\N	\N	\N
3123200	10364	1994-02-22	VYDAJ	VYBER	1200	24420	\N	\N	\N
3123201	10364	1994-09-02	VYDAJ	VYBER	2160	21526	\N	\N	\N
3123202	10364	1994-07-19	VYDAJ	VYBER	2400	20303	\N	\N	\N
3123203	10364	1994-12-07	VYDAJ	VYBER	4320	47817	\N	\N	\N
3123204	10364	1994-07-19	VYDAJ	VYBER	5160	22703	\N	\N	\N
3123205	10364	1995-09-05	VYDAJ	VYBER	4080	31971	\N	\N	\N
3123206	10364	1995-05-27	VYDAJ	VYBER	5760	23943	\N	\N	\N
3123207	10364	1995-10-11	VYDAJ	VYBER	4800	44041	\N	\N	\N
3123208	10364	1996-03-05	VYDAJ	VYBER	1200	37385	\N	\N	\N
3123209	10364	1996-03-14	VYDAJ	VYBER	2040	42967	\N	\N	\N
3123210	10364	1996-09-16	VYDAJ	VYBER	3360	47537	\N	\N	\N
3123211	10364	1996-04-06	VYDAJ	VYBER	3480	34652	\N	\N	\N
3123212	10364	1996-05-16	VYDAJ	VYBER	4560	41299	\N	\N	\N
3123213	10364	1997-05-24	VYDAJ	VYBER	5160	56138	\N	\N	\N
3123214	10364	1997-01-11	VYDAJ	VYBER	2400	56001	\N	\N	\N
3123215	10364	1997-06-01	VYDAJ	VYBER	5640	45718	\N	\N	\N
3123216	10364	1997-01-13	VYDAJ	VYBER	960	45899	\N	\N	\N
3123217	10364	1997-11-05	VYDAJ	VYBER	5640	52442	\N	\N	\N
3123218	10364	1997-06-20	VYDAJ	VYBER	1680	58815	\N	\N	\N
3123219	10364	1997-05-18	VYDAJ	VYBER	720	61298	\N	\N	\N
3123220	10364	1998-04-11	VYDAJ	VYBER	4560	72965	\N	\N	\N
3123221	10364	1998-06-25	VYDAJ	VYBER	2640	48528	\N	\N	\N
3123222	10364	1998-06-20	VYDAJ	VYBER	3600	51168	\N	\N	\N
3123223	10364	1998-11-09	VYDAJ	VYBER	1680	100025	\N	\N	\N
3123224	10364	1998-07-29	VYDAJ	VYBER	5280	57701	\N	\N	\N
3123231	10364	1993-06-30	VYDAJ	VYBER	15	25082	SLUZBY	\N	\N
3123232	10364	1993-07-31	VYDAJ	VYBER	15	30624	SLUZBY	\N	\N
3123233	10364	1993-08-31	VYDAJ	VYBER	15	29971	SLUZBY	\N	\N
3123234	10364	1993-09-30	VYDAJ	VYBER	15	32020	SLUZBY	\N	\N
3123235	10364	1993-10-31	VYDAJ	VYBER	15	34590	SLUZBY	\N	\N
3123236	10364	1993-11-30	VYDAJ	VYBER	15	33040	SLUZBY	\N	\N
3123237	10364	1993-12-31	VYDAJ	VYBER	15	34568	SLUZBY	\N	\N
3123238	10364	1994-01-31	VYDAJ	VYBER	15	20898	SLUZBY	\N	\N
3123239	10364	1994-02-28	VYDAJ	VYBER	15	24504	SLUZBY	\N	\N
3123240	10364	1994-03-31	VYDAJ	VYBER	15	29929	SLUZBY	\N	\N
3123241	10364	1994-04-30	VYDAJ	VYBER	15	31867	SLUZBY	\N	\N
3123242	10364	1994-05-31	VYDAJ	VYBER	15	31928	SLUZBY	\N	\N
3123243	10364	1994-06-30	VYDAJ	VYBER	15	19241	SLUZBY	\N	\N
3123244	10364	1994-07-31	VYDAJ	VYBER	15	20383	SLUZBY	\N	\N
3123245	10364	1994-08-31	VYDAJ	VYBER	15	23686	SLUZBY	\N	\N
3123246	10364	1994-09-30	VYDAJ	VYBER	15	24639	SLUZBY	\N	\N
3123247	10364	1994-10-31	VYDAJ	VYBER	15	28863	SLUZBY	\N	\N
3123248	10364	1994-11-30	VYDAJ	VYBER	15	30398	SLUZBY	\N	\N
3123249	10364	1994-12-31	VYDAJ	VYBER	15	29345	SLUZBY	\N	\N
3123250	10364	1995-01-31	VYDAJ	VYBER	15	14579	SLUZBY	\N	\N
3123251	10364	1995-02-28	VYDAJ	VYBER	15	30803	SLUZBY	\N	\N
3123252	10364	1995-03-31	VYDAJ	VYBER	15	30640	SLUZBY	\N	\N
3123253	10364	1995-04-30	VYDAJ	VYBER	15	30481	SLUZBY	\N	\N
3123254	10364	1995-05-31	VYDAJ	VYBER	15	24052	SLUZBY	\N	\N
3123255	10364	1995-06-30	VYDAJ	VYBER	15	41165	SLUZBY	\N	\N
3123256	10364	1995-07-31	VYDAJ	VYBER	15	43354	SLUZBY	\N	\N
3123257	10364	1995-08-31	VYDAJ	VYBER	15	45551	SLUZBY	\N	\N
3123258	10364	1995-09-30	VYDAJ	VYBER	15	39748	SLUZBY	\N	\N
3123259	10364	1995-10-31	VYDAJ	VYBER	15	37318	SLUZBY	\N	\N
3123260	10364	1995-11-30	VYDAJ	VYBER	15	43504	SLUZBY	\N	\N
3123261	10364	1995-12-31	VYDAJ	VYBER	15	53679	SLUZBY	\N	\N
3123262	10364	1996-01-31	VYDAJ	VYBER	15	29018	SLUZBY	\N	\N
3123263	10364	1996-02-29	VYDAJ	VYBER	15	39985	SLUZBY	\N	\N
3123264	10364	1996-03-31	VYDAJ	VYBER	15	43132	SLUZBY	\N	\N
3123265	10364	1996-04-30	VYDAJ	VYBER	15	42437	SLUZBY	\N	\N
3123266	10364	1996-05-31	VYDAJ	VYBER	15	37165	SLUZBY	\N	\N
3123267	10364	1996-06-30	VYDAJ	VYBER	15	39975	SLUZBY	\N	\N
3123268	10364	1996-07-31	VYDAJ	VYBER	15	44267	SLUZBY	\N	\N
3123269	10364	1996-08-31	VYDAJ	VYBER	15	43275	SLUZBY	\N	\N
3123270	10364	1996-09-30	VYDAJ	VYBER	15	39311	SLUZBY	\N	\N
3123271	10364	1996-10-31	VYDAJ	VYBER	15	40999	SLUZBY	\N	\N
3123272	10364	1996-11-30	VYDAJ	VYBER	15	45494	SLUZBY	\N	\N
3123273	10364	1996-12-31	VYDAJ	VYBER	15	50028	SLUZBY	\N	\N
3123274	10364	1997-01-31	VYDAJ	VYBER	15	36619	SLUZBY	\N	\N
3123275	10364	1997-02-28	VYDAJ	VYBER	15	45815	SLUZBY	\N	\N
3123276	10364	1997-03-31	VYDAJ	VYBER	15	49946	SLUZBY	\N	\N
3123277	10364	1997-04-30	VYDAJ	VYBER	15	54387	SLUZBY	\N	\N
3123278	10364	1997-05-31	VYDAJ	VYBER	15	51358	SLUZBY	\N	\N
3123279	10364	1997-06-30	VYDAJ	VYBER	15	34149	SLUZBY	\N	\N
3123280	10364	1997-07-31	VYDAJ	VYBER	15	45429	SLUZBY	\N	\N
3123281	10364	1997-08-31	VYDAJ	VYBER	15	53754	SLUZBY	\N	\N
3123282	10364	1997-09-30	VYDAJ	VYBER	15	59610	SLUZBY	\N	\N
3123283	10364	1997-10-31	VYDAJ	VYBER	15	58582	SLUZBY	\N	\N
3123284	10364	1997-11-30	VYDAJ	VYBER	15	56402	SLUZBY	\N	\N
3123285	10364	1997-12-31	VYDAJ	VYBER	15	66239	SLUZBY	\N	\N
3123286	10364	1998-01-31	VYDAJ	VYBER	15	52698	SLUZBY	\N	\N
3123287	10364	1998-02-28	VYDAJ	VYBER	15	61151	SLUZBY	\N	\N
3123288	10364	1998-03-31	VYDAJ	VYBER	15	63532	SLUZBY	\N	\N
3123289	10364	1998-04-30	VYDAJ	VYBER	15	68361	SLUZBY	\N	\N
3123290	10364	1998-05-31	VYDAJ	VYBER	15	70571	SLUZBY	\N	\N
3123291	10364	1998-06-30	VYDAJ	VYBER	15	48750	SLUZBY	\N	\N
3123292	10364	1998-07-31	VYDAJ	VYBER	15	57914	SLUZBY	\N	\N
3123293	10364	1998-08-31	VYDAJ	VYBER	15	72399	SLUZBY	\N	\N
3123294	10364	1998-09-30	VYDAJ	VYBER	15	83340	SLUZBY	\N	\N
3123295	10364	1998-10-31	VYDAJ	VYBER	15	87212	SLUZBY	\N	\N
3123296	10364	1998-11-30	VYDAJ	VYBER	15	94729	SLUZBY	\N	\N
3123297	10364	1993-02-16	PRIJEM	VKLAD	4200	19793	\N	\N	\N
3123298	10364	1993-03-18	VYDAJ	VYBER	4800	29524	\N	\N	\N
3123299	10364	1993-04-17	VYDAJ	VYBER	10300	33818	\N	\N	\N
3123300	10364	1993-05-17	VYDAJ	VYBER	9900	38542	\N	\N	\N
3123301	10364	1993-06-16	VYDAJ	VYBER	17200	36970	\N	\N	\N
3123302	10364	1993-07-16	VYDAJ	VYBER	2200	30513	\N	\N	\N
3123303	10364	1993-08-15	VYDAJ	VYBER	8400	30455	\N	\N	\N
3123304	10364	1993-09-14	VYDAJ	VYBER	5900	31902	\N	\N	\N
3123305	10364	1993-10-14	VYDAJ	VYBER	5100	34451	\N	\N	\N
3123306	10364	1993-11-13	VYDAJ	VYBER	9300	32912	\N	\N	\N
3123307	10364	1993-12-13	VYDAJ	VYBER	10600	34428	\N	\N	\N
3123308	10364	1994-01-12	VYDAJ	VYBER	6600	33670	\N	\N	\N
3123309	10364	1994-02-11	VYDAJ	VYBER	2900	32491	\N	\N	\N
3123310	10364	1994-03-13	VYDAJ	VYBER	2300	29826	\N	\N	\N
3123311	10364	1994-04-12	VYDAJ	VYBER	5800	31751	\N	\N	\N
3123312	10364	1994-05-12	VYDAJ	VYBER	7700	31789	\N	\N	\N
3123313	10364	1994-06-11	VYDAJ	VYBER	11700	41967	\N	\N	\N
3123314	10364	1994-07-11	PRIJEM	VKLAD	1000	34734	\N	\N	\N
3123315	10364	1994-08-10	VYDAJ	VYBER	4400	30476	\N	\N	\N
3123316	10364	1994-09-09	VYDAJ	VYBER	4600	31419	\N	\N	\N
3123317	10364	1994-10-09	VYDAJ	VYBER	3500	35632	\N	\N	\N
3123318	10364	1994-11-08	VYDAJ	VYBER	6200	37156	\N	\N	\N
3123319	10364	1994-12-08	VYDAJ	VYBER	8200	39617	\N	\N	\N
3123320	10364	1995-01-07	VYDAJ	VYBER	5700	36218	\N	\N	\N
3123321	10364	1995-02-06	PRIJEM	VKLAD	8500	23079	\N	\N	\N
3123322	10364	1995-03-08	VYDAJ	VYBER	7900	37396	\N	\N	\N
3123323	10364	1995-04-07	VYDAJ	VYBER	7900	37233	\N	\N	\N
3123324	10364	1995-05-07	VYDAJ	VYBER	8400	36574	\N	\N	\N
3123325	10364	1995-06-06	PRIJEM	VKLAD	2100	26152	\N	\N	\N
3123326	10364	1995-07-06	VYDAJ	VYBER	5600	35565	\N	\N	\N
3123327	10364	1995-08-05	VYDAJ	VYBER	5600	37754	\N	\N	\N
3123328	10364	1995-09-04	VYDAJ	VYBER	9500	36051	\N	\N	\N
3123329	10364	1995-10-04	VYDAJ	VYBER	5400	34348	\N	\N	\N
3123330	10364	1995-11-03	VYDAJ	VYBER	1600	35718	\N	\N	\N
3123331	10364	1995-12-03	VYDAJ	VYBER	3300	40204	\N	\N	\N
3123332	10364	1996-01-02	VYDAJ	VYBER	7100	45139	\N	\N	\N
3123333	10364	1996-02-01	PRIJEM	VKLAD	3200	32218	\N	\N	\N
3123334	10364	1996-03-02	VYDAJ	VYBER	1400	38585	\N	\N	\N
3123335	10364	1996-04-01	VYDAJ	VYBER	5000	38132	\N	\N	\N
3123336	10364	1996-05-01	VYDAJ	VYBER	4200	38237	\N	\N	\N
3123337	10364	1996-05-31	VYDAJ	VYBER	4300	37179	\N	\N	\N
3123338	10364	1996-06-30	VYDAJ	VYBER	3100	39989	\N	\N	\N
3123339	10364	1996-07-30	VYDAJ	VYBER	3500	44097	\N	\N	\N
3123340	10364	1996-08-29	VYDAJ	VYBER	8800	43089	\N	\N	\N
3123341	10364	1996-09-28	VYDAJ	VYBER	8400	39137	\N	\N	\N
3123342	10364	1996-10-28	VYDAJ	VYBER	6100	40833	\N	\N	\N
3123343	10364	1996-11-27	VYDAJ	VYBER	3300	45321	\N	\N	\N
3123344	10364	1996-12-27	VYDAJ	VYBER	9500	49811	\N	\N	\N
3123345	10364	1997-01-26	PRIJEM	VKLAD	7700	52999	\N	\N	\N
3123346	10364	1997-02-25	PRIJEM	VKLAD	1300	45650	\N	\N	\N
3123347	10364	1997-03-27	VYDAJ	VYBER	3800	49746	\N	\N	\N
3123348	10364	1997-04-26	VYDAJ	VYBER	3500	54177	\N	\N	\N
3123349	10364	1997-05-26	VYDAJ	VYBER	5000	51138	\N	\N	\N
3123350	10364	1997-06-25	VYDAJ	VYBER	5200	53615	\N	\N	\N
3123351	10364	1997-07-25	PRIJEM	VKLAD	3400	45280	\N	\N	\N
3123352	10364	1997-08-24	PRIJEM	VKLAD	300	53560	\N	\N	\N
3123353	10364	1997-09-23	VYDAJ	VYBER	2100	59385	\N	\N	\N
3123354	10364	1997-10-23	VYDAJ	VYBER	8800	58341	\N	\N	\N
3123355	10364	1997-11-22	VYDAJ	VYBER	4500	56173	\N	\N	\N
3123356	10364	1997-12-22	VYDAJ	VYBER	4700	65979	\N	\N	\N
3123357	10364	1998-01-21	VYDAJ	VYBER	2800	60490	\N	\N	\N
3123358	10364	1998-02-20	PRIJEM	VKLAD	600	60929	\N	\N	\N
3123359	10364	1998-03-22	VYDAJ	VYBER	5600	63282	\N	\N	\N
3123360	10364	1998-04-21	PRIJEM	VKLAD	1400	68103	\N	\N	\N
3123361	10364	1998-05-21	VYDAJ	VYBER	5700	70292	\N	\N	\N
3123362	10364	1998-06-20	PRIJEM	VKLAD	15500	54768	\N	\N	\N
3123363	10364	1998-07-20	PRIJEM	VKLAD	6500	62981	\N	\N	\N
3123364	10364	1998-08-19	PRIJEM	VKLAD	6600	72145	\N	\N	\N
3123365	10364	1998-09-18	PRIJEM	VKLAD	3100	83030	\N	\N	\N
3123366	10364	1998-10-18	VYDAJ	VYBER	4100	87471	\N	\N	\N
3123367	10364	1998-11-17	PRIJEM	VKLAD	1000	94763	\N	\N	\N
3123368	10364	1998-12-07	VYDAJ	VYBER	57100	59368	\N	\N	\N
3123440	10365	1995-09-02	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3123441	10365	1995-10-28	PRIJEM	VKLAD	28480	42380	\N	\N	\N
3123443	10365	1996-06-25	PRIJEM	VKLAD	28582	78315	\N	\N	\N
3123444	10365	1996-05-09	PRIJEM	VKLAD	41871	74192	\N	\N	\N
3123445	10365	1996-02-26	PRIJEM	VKLAD	30606	88438	\N	\N	\N
3123446	10365	1996-08-15	PRIJEM	VKLAD	33996	39925	\N	\N	\N
3123447	10365	1996-09-22	PRIJEM	VKLAD	40004	56712	\N	\N	\N
3123448	10365	1996-02-13	PRIJEM	VKLAD	30978	57832	\N	\N	\N
3123449	10365	1997-10-06	PRIJEM	VKLAD	16614	96985	\N	\N	\N
3123450	10365	1997-02-23	PRIJEM	VKLAD	25844	24236	\N	\N	\N
3123451	10365	1997-05-29	PRIJEM	VKLAD	25298	78662	\N	\N	\N
3123452	10365	1997-09-05	PRIJEM	VKLAD	10325	47247	\N	\N	\N
3123453	10365	1997-11-23	PRIJEM	VKLAD	32594	61716	\N	\N	\N
3123454	10365	1997-05-26	PRIJEM	VKLAD	48768	53364	\N	\N	\N
3123455	10365	1997-03-17	PRIJEM	VKLAD	43571	49940	\N	\N	\N
3123456	10365	1997-09-13	PRIJEM	VKLAD	12408	31886	\N	\N	\N
3123457	10365	1997-07-15	PRIJEM	VKLAD	29942	40064	\N	\N	\N
3123458	10365	1997-01-01	PRIJEM	VKLAD	12284	11565	\N	\N	\N
3123459	10365	1997-03-14	PRIJEM	VKLAD	6705	12764	\N	\N	\N
3123460	10365	1997-09-24	PRIJEM	VKLAD	9015	50192	\N	\N	\N
3123461	10365	1997-10-04	PRIJEM	VKLAD	30037	80371	\N	\N	\N
3123462	10365	1997-08-17	PRIJEM	VKLAD	18807	28217	\N	\N	\N
3123463	10365	1997-06-08	PRIJEM	VKLAD	26430	103069	\N	\N	\N
3123464	10365	1997-03-25	PRIJEM	VKLAD	15725	65665	\N	\N	\N
3123465	10365	1997-09-19	PRIJEM	VKLAD	38086	63577	\N	\N	\N
3123466	10365	1997-08-26	PRIJEM	VKLAD	25204	50921	\N	\N	\N
3123467	10365	1997-04-16	PRIJEM	VKLAD	29555	44821	\N	\N	\N
3123468	10365	1998-05-07	PRIJEM	VKLAD	32328	72453	\N	\N	\N
3123469	10365	1998-11-22	PRIJEM	VKLAD	11443	63513	\N	\N	\N
3123470	10365	1998-01-04	PRIJEM	VKLAD	34513	64075	\N	\N	\N
3123471	10365	1998-03-04	PRIJEM	VKLAD	48974	154184	\N	\N	\N
3123472	10365	1998-04-16	PRIJEM	VKLAD	38067	82309	\N	\N	\N
3123473	10365	1998-09-19	PRIJEM	VKLAD	42925	80755	\N	\N	\N
3123474	10365	1998-07-11	PRIJEM	VKLAD	46310	73876	\N	\N	\N
3123475	10365	1998-09-23	PRIJEM	VKLAD	6305	73269	\N	\N	\N
3123476	10365	1998-08-07	PRIJEM	VKLAD	24463	74928	\N	\N	\N
3123477	10365	1998-04-04	PRIJEM	VKLAD	14221	74589	\N	\N	\N
3123478	10365	1998-02-19	PRIJEM	VKLAD	46597	83953	\N	\N	\N
3123479	10365	1998-01-19	PRIJEM	VKLAD	41451	86139	\N	\N	\N
3123480	10365	1998-12-14	PRIJEM	VKLAD	48842	80967	\N	\N	\N
3123481	10365	1998-08-13	PRIJEM	VKLAD	36273	97532	\N	\N	\N
3123482	10365	1998-10-10	PRIJEM	VKLAD	43833	87588	\N	\N	\N
3123483	10365	1998-07-24	PRIJEM	VKLAD	5545	54686	\N	\N	\N
3123484	10365	1998-03-05	PRIJEM	VKLAD	31421	138205	\N	\N	\N
3123485	10365	1998-03-01	PRIJEM	VKLAD	21034	105210	\N	\N	\N
3123486	10365	1998-10-10	PRIJEM	VKLAD	10619	98207	\N	\N	\N
3123487	10365	1998-03-15	PRIJEM	VKLAD	11990	72034	\N	\N	\N
3123488	10365	1998-09-20	PRIJEM	VKLAD	47809	128564	\N	\N	\N
3123489	10365	1998-01-14	PRIJEM	VKLAD	18977	53183	\N	\N	\N
3123490	10365	1998-05-09	PRIJEM	VKLAD	41194	107218	\N	\N	\N
3123491	10365	1998-12-05	PRIJEM	VKLAD	8952	50294	\N	\N	\N
3123492	10365	1998-03-10	PRIJEM	VKLAD	36503	109779	\N	\N	\N
3123493	10365	1998-08-19	PRIJEM	VKLAD	16589	77726	\N	\N	\N
3123494	10365	1998-02-10	PRIJEM	VKLAD	13941	52025	\N	\N	\N
3123495	10365	1998-03-19	PRIJEM	VKLAD	26862	76967	\N	\N	\N
3123496	10365	1998-10-27	PRIJEM	VKLAD	46394	104366	\N	\N	\N
3123515	10365	1996-07-10	VYDAJ	VYBER	6500	37378	\N	\N	0
3123516	10365	1996-08-07	VYDAJ	VYBER	7300	18753	\N	\N	0
3123517	10365	1996-09-11	VYDAJ	VYBER	5700	23103	\N	\N	0
3123518	10365	1996-10-14	VYDAJ	VYBER	8600	20804	\N	\N	0
3123519	10365	1996-11-17	VYDAJ	VYBER	7500	3779	\N	\N	0
3123523	10365	1997-03-12	VYDAJ	PREVOD NA UCET	7240	6059	UVER	OP	35377323
3123524	10365	1997-04-12	VYDAJ	PREVOD NA UCET	7240	24193	UVER	OP	35377323
3123525	10365	1997-05-12	VYDAJ	PREVOD NA UCET	7240	10991	UVER	OP	35377323
3123526	10365	1997-06-12	VYDAJ	PREVOD NA UCET	7240	91504	UVER	OP	35377323
3123527	10365	1997-07-12	VYDAJ	PREVOD NA UCET	7240	16517	UVER	OP	35377323
3123528	10365	1997-08-12	VYDAJ	PREVOD NA UCET	7240	15805	UVER	OP	35377323
3123529	10365	1997-09-12	VYDAJ	PREVOD NA UCET	7240	19478	UVER	OP	35377323
3123530	10365	1997-10-12	VYDAJ	PREVOD NA UCET	7240	83316	UVER	OP	35377323
3123531	10365	1997-11-12	VYDAJ	PREVOD NA UCET	7240	35817	UVER	OP	35377323
3123532	10365	1997-12-12	VYDAJ	PREVOD NA UCET	7240	29820	UVER	OP	35377323
3123533	10365	1998-01-12	VYDAJ	PREVOD NA UCET	7240	34206	UVER	OP	35377323
3123534	10365	1998-02-12	VYDAJ	PREVOD NA UCET	7240	44785	UVER	OP	35377323
3123535	10365	1998-03-12	VYDAJ	PREVOD NA UCET	7240	66439	UVER	OP	35377323
3123536	10365	1998-04-12	VYDAJ	PREVOD NA UCET	7240	50637	UVER	OP	35377323
3123537	10365	1998-05-12	VYDAJ	PREVOD NA UCET	7240	98178	UVER	OP	35377323
3123538	10365	1998-06-12	VYDAJ	PREVOD NA UCET	7240	31540	UVER	OP	35377323
3123539	10365	1998-07-12	VYDAJ	PREVOD NA UCET	7240	66636	UVER	OP	35377323
3123540	10365	1998-08-12	VYDAJ	PREVOD NA UCET	7240	61259	UVER	OP	35377323
3123541	10365	1998-09-12	VYDAJ	PREVOD NA UCET	7240	51225	UVER	OP	35377323
3123542	10365	1998-10-12	VYDAJ	PREVOD NA UCET	7240	90967	UVER	OP	35377323
3123543	10365	1998-11-12	VYDAJ	PREVOD NA UCET	7240	83765	UVER	OP	35377323
3123544	10365	1998-12-12	VYDAJ	PREVOD NA UCET	7240	32125	UVER	OP	35377323
3123563	10365	1996-07-08	VYDAJ	PREVOD NA UCET	4325	43878	SIPO	MN	91104155
3123564	10365	1996-08-08	VYDAJ	PREVOD NA UCET	4325	12324	SIPO	MN	91104155
3123565	10365	1996-09-08	VYDAJ	PREVOD NA UCET	4325	28803	SIPO	MN	91104155
3123566	10365	1996-10-08	VYDAJ	PREVOD NA UCET	4325	34504	SIPO	MN	91104155
3123567	10365	1996-11-08	VYDAJ	PREVOD NA UCET	4325	11279	SIPO	MN	91104155
3123568	10365	1996-12-08	VYDAJ	PREVOD NA UCET	4325	5680	SIPO	MN	91104155
3123569	10365	1997-01-08	VYDAJ	PREVOD NA UCET	4325	5136	SIPO	MN	91104155
3123571	10365	1997-03-08	VYDAJ	PREVOD NA UCET	4325	13299	SIPO	MN	91104155
3123572	10365	1997-04-08	VYDAJ	PREVOD NA UCET	4325	31433	SIPO	MN	91104155
3123573	10365	1997-05-08	VYDAJ	PREVOD NA UCET	4325	18231	SIPO	MN	91104155
3123574	10365	1997-06-08	VYDAJ	PREVOD NA UCET	4325	98744	SIPO	MN	91104155
3123575	10365	1997-07-08	VYDAJ	PREVOD NA UCET	4325	23757	SIPO	MN	91104155
3123576	10365	1997-08-08	VYDAJ	PREVOD NA UCET	4325	23045	SIPO	MN	91104155
3123577	10365	1997-09-08	VYDAJ	PREVOD NA UCET	4325	26718	SIPO	MN	91104155
3123578	10365	1997-10-08	VYDAJ	PREVOD NA UCET	4325	90556	SIPO	MN	91104155
3123579	10365	1997-11-08	VYDAJ	PREVOD NA UCET	4325	43057	SIPO	MN	91104155
3123580	10365	1997-12-08	VYDAJ	PREVOD NA UCET	4325	37060	SIPO	MN	91104155
3123581	10365	1998-01-08	VYDAJ	PREVOD NA UCET	4325	49546	SIPO	MN	91104155
3123582	10365	1998-02-08	VYDAJ	PREVOD NA UCET	4325	38084	SIPO	MN	91104155
3123583	10365	1998-03-08	VYDAJ	PREVOD NA UCET	4325	73276	SIPO	MN	91104155
3123584	10365	1998-04-08	VYDAJ	PREVOD NA UCET	4325	68160	SIPO	MN	91104155
3123585	10365	1998-05-08	VYDAJ	PREVOD NA UCET	4325	66024	SIPO	MN	91104155
3123586	10365	1998-06-08	VYDAJ	PREVOD NA UCET	4325	52812	SIPO	MN	91104155
3123587	10365	1998-07-08	VYDAJ	PREVOD NA UCET	4325	27566	SIPO	MN	91104155
3123588	10365	1998-08-08	VYDAJ	PREVOD NA UCET	4325	68499	SIPO	MN	91104155
3123589	10365	1998-09-08	VYDAJ	PREVOD NA UCET	4325	58465	SIPO	MN	91104155
3123590	10365	1998-10-08	VYDAJ	PREVOD NA UCET	4325	43755	SIPO	MN	91104155
3123591	10365	1998-11-08	VYDAJ	PREVOD NA UCET	4325	91005	SIPO	MN	91104155
3123592	10365	1998-12-08	VYDAJ	PREVOD NA UCET	4325	39365	SIPO	MN	91104155
3123611	10365	1996-07-14	VYDAJ	PREVOD NA UCET	6395	30983	 	GH	19185972
3123612	10365	1996-08-14	VYDAJ	PREVOD NA UCET	6395	5929	 	GH	19185972
3123613	10365	1996-09-14	VYDAJ	PREVOD NA UCET	6395	16708	 	GH	19185972
3123614	10365	1996-10-14	VYDAJ	PREVOD NA UCET	6395	14409	 	GH	19185972
3123616	10365	1996-12-14	VYDAJ	PREVOD NA UCET	6395	-715	 	GH	19185972
3123617	10365	1997-01-14	VYDAJ	PREVOD NA UCET	6395	-1259	 	GH	19185972
3123619	10365	1997-03-14	VYDAJ	PREVOD NA UCET	6395	6369	 	GH	19185972
3123620	10365	1997-04-14	VYDAJ	PREVOD NA UCET	6395	15266	 	GH	19185972
3123621	10365	1997-05-14	VYDAJ	PREVOD NA UCET	6395	4596	 	GH	19185972
3123622	10365	1997-06-14	VYDAJ	PREVOD NA UCET	6395	85109	 	GH	19185972
3123623	10365	1997-07-14	VYDAJ	PREVOD NA UCET	6395	10122	 	GH	19185972
3123624	10365	1997-08-14	VYDAJ	PREVOD NA UCET	6395	9410	 	GH	19185972
3123625	10365	1997-09-14	VYDAJ	PREVOD NA UCET	6395	25491	 	GH	19185972
3123626	10365	1997-10-14	VYDAJ	PREVOD NA UCET	6395	76921	 	GH	19185972
3123627	10365	1997-11-14	VYDAJ	PREVOD NA UCET	6395	29422	 	GH	19185972
3123628	10365	1997-12-14	VYDAJ	PREVOD NA UCET	6395	23425	 	GH	19185972
3123629	10365	1998-01-14	VYDAJ	PREVOD NA UCET	6395	46788	 	GH	19185972
3123630	10365	1998-02-14	VYDAJ	PREVOD NA UCET	6395	38390	 	GH	19185972
3123631	10365	1998-03-14	VYDAJ	PREVOD NA UCET	6395	60044	 	GH	19185972
3123632	10365	1998-04-14	VYDAJ	PREVOD NA UCET	6395	44242	 	GH	19185972
3123633	10365	1998-05-14	VYDAJ	PREVOD NA UCET	6395	91783	 	GH	19185972
3123634	10365	1998-06-14	VYDAJ	PREVOD NA UCET	6395	25145	 	GH	19185972
3123635	10365	1998-07-14	VYDAJ	PREVOD NA UCET	6395	60241	 	GH	19185972
3123636	10365	1998-08-14	VYDAJ	PREVOD NA UCET	6395	91137	 	GH	19185972
3123637	10365	1998-09-14	VYDAJ	PREVOD NA UCET	6395	44830	 	GH	19185972
3123638	10365	1998-10-14	VYDAJ	PREVOD NA UCET	6395	84572	 	GH	19185972
3123639	10365	1998-11-14	VYDAJ	PREVOD NA UCET	6395	77370	 	GH	19185972
3123640	10365	1998-12-14	VYDAJ	PREVOD NA UCET	6395	74572	 	GH	19185972
3123659	10365	1996-07-07	VYDAJ	PREVOD NA UCET	331	49976	POJISTNE	OP	23228162
3123660	10365	1996-08-07	VYDAJ	PREVOD NA UCET	331	16649	POJISTNE	OP	23228162
3123661	10365	1996-09-07	VYDAJ	PREVOD NA UCET	331	34901	POJISTNE	OP	23228162
3123662	10365	1996-10-07	VYDAJ	PREVOD NA UCET	331	38829	POJISTNE	OP	23228162
3123663	10365	1996-11-07	VYDAJ	PREVOD NA UCET	331	17377	POJISTNE	OP	23228162
3123664	10365	1996-12-07	VYDAJ	PREVOD NA UCET	331	10005	POJISTNE	OP	23228162
3123665	10365	1997-01-07	VYDAJ	PREVOD NA UCET	331	9461	POJISTNE	OP	23228162
3123666	10365	1997-02-07	VYDAJ	PREVOD NA UCET	331	-1608	POJISTNE	OP	23228162
3123667	10365	1997-03-07	VYDAJ	PREVOD NA UCET	331	17624	POJISTNE	OP	23228162
3123668	10365	1997-04-07	VYDAJ	PREVOD NA UCET	331	35758	POJISTNE	OP	23228162
3123669	10365	1997-05-07	VYDAJ	PREVOD NA UCET	331	22556	POJISTNE	OP	23228162
3123670	10365	1997-06-07	VYDAJ	PREVOD NA UCET	331	76639	POJISTNE	OP	23228162
3123671	10365	1997-07-07	VYDAJ	PREVOD NA UCET	331	28082	POJISTNE	OP	23228162
3123672	10365	1997-08-07	VYDAJ	PREVOD NA UCET	331	29143	POJISTNE	OP	23228162
3123673	10365	1997-09-07	VYDAJ	PREVOD NA UCET	331	31043	POJISTNE	OP	23228162
3123674	10365	1997-10-07	VYDAJ	PREVOD NA UCET	331	96654	POJISTNE	OP	23228162
3123675	10365	1997-11-07	VYDAJ	PREVOD NA UCET	331	47382	POJISTNE	OP	23228162
3123676	10365	1997-12-07	VYDAJ	PREVOD NA UCET	331	59783	POJISTNE	OP	23228162
3123677	10365	1998-01-07	VYDAJ	PREVOD NA UCET	331	53871	POJISTNE	OP	23228162
3123678	10365	1998-02-07	VYDAJ	PREVOD NA UCET	331	44182	POJISTNE	OP	23228162
3123679	10365	1998-03-07	VYDAJ	PREVOD NA UCET	331	77601	POJISTNE	OP	23228162
3123680	10365	1998-04-07	VYDAJ	PREVOD NA UCET	331	72485	POJISTNE	OP	23228162
3123681	10365	1998-05-07	VYDAJ	PREVOD NA UCET	331	72122	POJISTNE	OP	23228162
3123682	10365	1998-06-07	VYDAJ	PREVOD NA UCET	331	57137	POJISTNE	OP	23228162
3123683	10365	1998-07-07	VYDAJ	PREVOD NA UCET	331	33664	POJISTNE	OP	23228162
3123684	10365	1998-08-07	VYDAJ	PREVOD NA UCET	331	74597	POJISTNE	OP	23228162
3123685	10365	1998-09-07	VYDAJ	PREVOD NA UCET	331	62790	POJISTNE	OP	23228162
3123686	10365	1998-10-07	VYDAJ	PREVOD NA UCET	331	49853	POJISTNE	OP	23228162
3123687	10365	1998-11-07	VYDAJ	PREVOD NA UCET	331	95330	POJISTNE	OP	23228162
3123688	10365	1998-12-07	VYDAJ	PREVOD NA UCET	331	43690	POJISTNE	OP	23228162
3123707	10365	1996-07-07	VYDAJ	PREVOD NA UCET	1773	48203	 	YZ	81018465
3123708	10365	1996-08-07	VYDAJ	PREVOD NA UCET	1773	16980	 	YZ	81018465
3123709	10365	1996-09-07	VYDAJ	PREVOD NA UCET	1773	33128	 	YZ	81018465
3123710	10365	1996-10-07	VYDAJ	PREVOD NA UCET	1773	39160	 	YZ	81018465
3123711	10365	1996-11-07	VYDAJ	PREVOD NA UCET	1773	15604	 	YZ	81018465
3123712	10365	1996-12-07	VYDAJ	PREVOD NA UCET	1773	10336	 	YZ	81018465
3123713	10365	1997-01-07	VYDAJ	PREVOD NA UCET	1773	9792	 	YZ	81018465
3123715	10365	1997-03-07	VYDAJ	PREVOD NA UCET	1773	17955	 	YZ	81018465
3123716	10365	1997-04-07	VYDAJ	PREVOD NA UCET	1773	36089	 	YZ	81018465
3123717	10365	1997-05-07	VYDAJ	PREVOD NA UCET	1773	22887	 	YZ	81018465
3123718	10365	1997-06-07	VYDAJ	PREVOD NA UCET	1773	76970	 	YZ	81018465
3123719	10365	1997-07-07	VYDAJ	PREVOD NA UCET	1773	28413	 	YZ	81018465
3123720	10365	1997-08-07	VYDAJ	PREVOD NA UCET	1773	27370	 	YZ	81018465
3123721	10365	1997-09-07	VYDAJ	PREVOD NA UCET	1773	31374	 	YZ	81018465
3123722	10365	1997-10-07	VYDAJ	PREVOD NA UCET	1773	94881	 	YZ	81018465
3123723	10365	1997-11-07	VYDAJ	PREVOD NA UCET	1773	47713	 	YZ	81018465
3123724	10365	1997-12-07	VYDAJ	PREVOD NA UCET	1773	60114	 	YZ	81018465
3123725	10365	1998-01-07	VYDAJ	PREVOD NA UCET	1773	62302	 	YZ	81018465
3123726	10365	1998-02-07	VYDAJ	PREVOD NA UCET	1773	42409	 	YZ	81018465
3123727	10365	1998-03-07	VYDAJ	PREVOD NA UCET	1773	77932	 	YZ	81018465
3123728	10365	1998-04-07	VYDAJ	PREVOD NA UCET	1773	72816	 	YZ	81018465
3123729	10365	1998-05-07	VYDAJ	PREVOD NA UCET	1773	70349	 	YZ	81018465
3123730	10365	1998-06-07	VYDAJ	PREVOD NA UCET	1773	57468	 	YZ	81018465
3123731	10365	1998-07-07	VYDAJ	PREVOD NA UCET	1773	31891	 	YZ	81018465
3123732	10365	1998-08-07	VYDAJ	PREVOD NA UCET	1773	72824	 	YZ	81018465
3123733	10365	1998-09-07	VYDAJ	PREVOD NA UCET	1773	63121	 	YZ	81018465
3123734	10365	1998-10-07	VYDAJ	PREVOD NA UCET	1773	48080	 	YZ	81018465
3123735	10365	1998-11-07	VYDAJ	PREVOD NA UCET	1773	95661	 	YZ	81018465
3123736	10365	1998-12-07	VYDAJ	PREVOD NA UCET	1773	44021	 	YZ	81018465
3123752	10365	1996-07-15	VYBER	VYBER	6855	24128	\N	\N	\N
3123755	10365	1997-04-14	VYBER	VYBER	2532	21661	\N	\N	\N
3123758	10365	1997-10-26	VYBER	VYBER	4699	49222	\N	\N	\N
3123760	10365	1997-04-01	VYBER	VYBER	2509	37862	\N	\N	\N
3123762	10365	1997-12-08	VYBER	VYBER	15698	44085	\N	\N	\N
3123763	10365	1997-06-16	VYBER	VYBER	12468	49241	\N	\N	\N
3123764	10365	1997-04-21	VYBER	VYBER	7083	37738	\N	\N	\N
3123765	10365	1998-03-15	VYBER	VYBER	21929	50105	\N	\N	\N
3123766	10365	1998-02-15	VYBER	VYBER	2034	36356	\N	\N	\N
3123767	10365	1998-04-09	VYBER	VYBER	10283	57877	\N	\N	\N
3123769	10365	1998-05-16	VYBER	VYBER	7316	84467	\N	\N	\N
3123770	10365	1998-11-29	VYBER	VYBER	6558	41055	\N	\N	\N
3123771	10365	1998-08-26	VYBER	VYBER	10416	67310	\N	\N	\N
3123773	10365	1998-09-30	VYBER	VYBER	20950	50198	\N	\N	\N
3123774	10365	1998-08-02	VYBER	VYBER	4406	50465	\N	\N	\N
3123775	10365	1998-04-16	VYBER	VYBER	17306	65003	\N	\N	\N
3123776	10365	1998-06-10	VYBER	VYBER	14032	38780	\N	\N	\N
3123777	10365	1998-09-03	VYBER	VYBER	2693	64894	\N	\N	\N
3123780	10365	1997-06-15	VYDAJ	VYBER	23400	61709	\N	\N	\N
3123785	10365	1998-01-07	VYDAJ	VYBER	4800	54202	\N	\N	\N
3123788	10365	1997-12-08	VYDAJ	VYBER	2700	41385	\N	\N	\N
3123789	10365	1998-12-16	VYDAJ	VYBER	1500	55072	\N	\N	\N
3123808	10365	1998-01-07	VYDAJ	VYBER	3300	59002	\N	\N	\N
3123809	10365	1998-01-20	VYDAJ	VYBER	1500	55739	\N	\N	\N
3123810	10365	1998-01-30	VYDAJ	VYBER	8700	44339	\N	\N	\N
3123811	10365	1998-01-17	VYDAJ	VYBER	2100	44688	\N	\N	\N
3123812	10365	1998-01-11	VYDAJ	VYBER	2400	41446	\N	\N	\N
3123813	10365	1998-01-09	VYDAJ	VYBER	5700	43846	\N	\N	\N
3123818	10365	1996-10-05	VYDAJ	VYBER	2700	40933	\N	\N	\N
3123820	10365	1996-10-10	VYDAJ	VYBER	5100	29404	\N	\N	\N
3123823	10365	1997-08-29	VYDAJ	VYBER	14100	36821	\N	\N	\N
3123825	10365	1997-09-06	VYDAJ	VYBER	14100	33147	\N	\N	\N
3123826	10365	1998-05-09	VYDAJ	VYBER	1800	105418	\N	\N	\N
3123827	10365	1998-05-05	VYDAJ	VYBER	10200	40125	\N	\N	\N
3123828	10365	1998-11-07	VYDAJ	VYBER	7200	97434	\N	\N	\N
3123829	10365	1998-11-27	VYDAJ	VYBER	13200	47613	\N	\N	\N
3123830	10365	1998-01-21	VYDAJ	VYBER	2700	53039	\N	\N	\N
3123831	10365	1998-11-25	VYDAJ	VYBER	2700	60813	\N	\N	\N
3123832	10365	1998-12-06	VYDAJ	VYBER	4500	45794	\N	\N	\N
3123833	10365	1998-09-24	VYDAJ	VYBER	2400	70869	\N	\N	\N
3123852	10365	1996-06-30	VYDAJ	VYBER	15	50307	SLUZBY	\N	\N
3123853	10365	1996-07-31	VYDAJ	VYBER	15	26053	SLUZBY	\N	\N
3123854	10365	1996-08-31	VYDAJ	VYBER	15	35232	SLUZBY	\N	\N
3123855	10365	1996-09-30	VYDAJ	VYBER	15	43633	SLUZBY	\N	\N
3123856	10365	1996-10-31	VYDAJ	VYBER	15	17708	SLUZBY	\N	\N
3123857	10365	1996-11-30	VYDAJ	VYBER	15	12109	SLUZBY	\N	\N
3123858	10365	1996-12-31	VYDAJ	VYBER	15	-714	SLUZBY	\N	\N
3123859	10365	1997-01-31	VYDAJ	VYBER	15	-1277	SLUZBY	\N	\N
3123860	10365	1997-02-28	VYDAJ	VYBER	15	19728	SLUZBY	\N	\N
3123861	10365	1997-03-31	VYDAJ	VYBER	15	40371	SLUZBY	\N	\N
3123862	10365	1997-04-30	VYDAJ	VYBER	15	24660	SLUZBY	\N	\N
3123863	10365	1997-05-31	VYDAJ	VYBER	15	78743	SLUZBY	\N	\N
3123864	10365	1997-06-30	VYDAJ	VYBER	15	30186	SLUZBY	\N	\N
3123865	10365	1997-07-31	VYDAJ	VYBER	15	29474	SLUZBY	\N	\N
3123866	10365	1997-08-31	VYDAJ	VYBER	15	36922	SLUZBY	\N	\N
3123867	10365	1997-09-30	VYDAJ	VYBER	15	50334	SLUZBY	\N	\N
3123868	10365	1997-10-31	VYDAJ	VYBER	15	49486	SLUZBY	\N	\N
3123869	10365	1997-11-30	VYDAJ	VYBER	15	61887	SLUZBY	\N	\N
3123870	10365	1997-12-31	VYDAJ	VYBER	15	29562	SLUZBY	\N	\N
3123871	10365	1998-01-31	VYDAJ	VYBER	15	44513	SLUZBY	\N	\N
3123872	10365	1998-02-28	VYDAJ	VYBER	15	84176	SLUZBY	\N	\N
3123873	10365	1998-03-31	VYDAJ	VYBER	15	60368	SLUZBY	\N	\N
3123874	10365	1998-04-30	VYDAJ	VYBER	15	50325	SLUZBY	\N	\N
3123875	10365	1998-05-31	VYDAJ	VYBER	15	59241	SLUZBY	\N	\N
3123876	10365	1998-06-30	VYDAJ	VYBER	15	33995	SLUZBY	\N	\N
3123877	10365	1998-07-31	VYDAJ	VYBER	15	54871	SLUZBY	\N	\N
3123878	10365	1998-08-31	VYDAJ	VYBER	15	67587	SLUZBY	\N	\N
3123879	10365	1998-09-30	VYDAJ	VYBER	15	50184	SLUZBY	\N	\N
3123880	10365	1998-10-31	VYDAJ	VYBER	15	104634	SLUZBY	\N	\N
3123881	10365	1998-11-30	VYDAJ	VYBER	15	41342	SLUZBY	\N	\N
3123882	10365	1995-10-02	PRIJEM	VKLAD	12900	13900	\N	\N	\N
3123883	10365	1995-11-01	VYDAJ	VYBER	9900	32503	\N	\N	\N
3123884	10365	1995-12-01	VYDAJ	VYBER	2100	30579	\N	\N	\N
3123885	10365	1995-12-31	PRIJEM	VKLAD	100	30679	\N	\N	\N
3123886	10365	1996-01-30	VYDAJ	VYBER	4000	26854	\N	\N	\N
3123887	10365	1996-02-29	VYDAJ	VYBER	30000	58732	\N	\N	\N
3123888	10365	1996-03-30	VYDAJ	VYBER	17700	41032	\N	\N	\N
3123889	10365	1996-04-29	VYDAJ	VYBER	9200	32077	\N	\N	\N
3123890	10365	1996-05-29	VYDAJ	VYBER	24700	49492	\N	\N	\N
3123891	10365	1996-06-28	VYDAJ	VYBER	28200	50115	\N	\N	\N
3123892	10365	1996-07-28	PRIJEM	VKLAD	1800	25928	\N	\N	\N
3123893	10365	1996-08-27	VYDAJ	VYBER	4800	35125	\N	\N	\N
3123894	10365	1996-09-26	VYDAJ	VYBER	13200	43512	\N	\N	\N
3123895	10365	1996-10-26	PRIJEM	VKLAD	3200	17609	\N	\N	\N
3123896	10365	1996-11-25	PRIJEM	VKLAD	8300	12079	\N	\N	\N
3123897	10365	1997-02-23	VYDAJ	VYBER	4500	19736	\N	\N	\N
3123898	10365	1997-03-25	VYDAJ	VYBER	25400	40265	\N	\N	\N
3123899	10365	1997-04-24	VYDAJ	VYBER	13200	24538	\N	\N	\N
3123900	10365	1997-06-23	VYDAJ	VYBER	19300	29941	\N	\N	\N
3123901	10365	1997-07-23	VYDAJ	VYBER	10700	29364	\N	\N	\N
3123902	10365	1997-08-22	VYDAJ	VYBER	2500	25717	\N	\N	\N
3123903	10365	1997-09-21	VYDAJ	VYBER	22400	41177	\N	\N	\N
3123904	10365	1997-10-21	VYDAJ	VYBER	23000	53921	\N	\N	\N
3123905	10365	1997-11-20	VYDAJ	VYBER	300	29122	\N	\N	\N
3123906	10365	1997-12-20	PRIJEM	VKLAD	6000	29425	\N	\N	\N
3123907	10365	1998-01-19	VYDAJ	VYBER	28900	57239	\N	\N	\N
3123908	10365	1998-02-18	PRIJEM	VKLAD	1000	37356	\N	\N	\N
3123909	10365	1998-03-04	VYDAJ	VYBER	47400	106784	\N	\N	\N
3123910	10365	1998-03-05	VYDAJ	VYBER	58500	79705	\N	\N	\N
3123911	10365	1998-03-10	VYDAJ	VYBER	36100	73679	\N	\N	\N
3123912	10365	1998-03-20	VYDAJ	VYBER	16900	60067	\N	\N	\N
3123913	10365	1998-04-19	VYDAJ	VYBER	14900	50103	\N	\N	\N
3123914	10365	1998-05-19	VYDAJ	VYBER	25500	58967	\N	\N	\N
3123915	10365	1998-06-18	PRIJEM	VKLAD	8700	33845	\N	\N	\N
3123916	10365	1998-07-18	VYDAJ	VYBER	11100	49141	\N	\N	\N
3123917	10365	1998-08-17	VYDAJ	VYBER	30000	61137	\N	\N	\N
3123918	10365	1998-09-16	VYDAJ	VYBER	7000	37830	\N	\N	\N
3123919	10365	1998-09-20	VYDAJ	VYBER	61600	66964	\N	\N	\N
3123920	10365	1998-10-16	VYDAJ	VYBER	26600	57972	\N	\N	\N
3123921	10365	1998-11-15	VYDAJ	VYBER	25300	52070	\N	\N	\N
3123922	10365	1998-12-15	VYDAJ	VYBER	18000	56572	\N	\N	\N
3134755	10404	1996-12-30	PRIJEM	VKLAD	300	300	\N	\N	\N
3134768	10404	1997-01-06	PRIJEM	VKLAD	24621	24921	\N	\N	\N
3134769	10404	1997-02-06	PRIJEM	VKLAD	24621	49352	\N	\N	\N
3134770	10404	1997-03-06	PRIJEM	VKLAD	24621	59377	\N	\N	\N
3134771	10404	1997-04-06	PRIJEM	VKLAD	24621	64645	\N	\N	\N
3134772	10404	1997-05-06	PRIJEM	VKLAD	24621	65532	\N	\N	\N
3134773	10404	1997-06-06	PRIJEM	VKLAD	36932	77920	\N	\N	\N
3134774	10404	1997-07-06	PRIJEM	VKLAD	24621	64488	\N	\N	\N
3134775	10404	1997-08-06	PRIJEM	VKLAD	24621	61689	\N	\N	\N
3134776	10404	1997-09-06	PRIJEM	VKLAD	24621	63128	\N	\N	\N
3134777	10404	1997-10-06	PRIJEM	VKLAD	24621	58786	\N	\N	\N
3134778	10404	1997-11-06	PRIJEM	VKLAD	24621	59536	\N	\N	\N
3134779	10404	1997-12-06	PRIJEM	VKLAD	36932	73296	\N	\N	\N
3134780	10404	1998-01-06	PRIJEM	VKLAD	24621	60352	\N	\N	\N
3134781	10404	1998-02-06	PRIJEM	VKLAD	24621	56233	\N	\N	\N
3134782	10404	1998-03-06	PRIJEM	VKLAD	24621	55160	\N	\N	\N
3134783	10404	1998-04-06	PRIJEM	VKLAD	24621	56854	\N	\N	\N
3134784	10404	1998-05-06	PRIJEM	VKLAD	24621	62752	\N	\N	\N
3134785	10404	1998-06-06	PRIJEM	VKLAD	36932	71346	\N	\N	\N
3134786	10404	1998-07-06	PRIJEM	VKLAD	24621	60222	\N	\N	\N
3134787	10404	1998-08-06	PRIJEM	VKLAD	24621	58523	\N	\N	\N
3134788	10404	1998-09-06	PRIJEM	VKLAD	24621	59217	\N	\N	\N
3134789	10404	1998-10-06	PRIJEM	VKLAD	24621	57711	\N	\N	\N
3134790	10404	1998-11-06	PRIJEM	VKLAD	24621	52477	\N	\N	\N
3134791	10404	1998-12-06	PRIJEM	VKLAD	36932	64131	\N	\N	\N
3134808	10404	1997-05-09	VYDAJ	PREVOD NA UCET	2171	62158	SIPO	AB	3621232
3134809	10404	1997-06-09	VYDAJ	PREVOD NA UCET	2171	66386	SIPO	AB	3621232
3134810	10404	1997-07-09	VYDAJ	PREVOD NA UCET	2171	61114	SIPO	AB	3621232
3134811	10404	1997-08-09	VYDAJ	PREVOD NA UCET	2171	58315	SIPO	AB	3621232
3134812	10404	1997-09-09	VYDAJ	PREVOD NA UCET	2171	56654	SIPO	AB	3621232
3134813	10404	1997-10-09	VYDAJ	PREVOD NA UCET	2171	55412	SIPO	AB	3621232
3134814	10404	1997-11-09	VYDAJ	PREVOD NA UCET	2171	56162	SIPO	AB	3621232
3134815	10404	1997-12-09	VYDAJ	PREVOD NA UCET	2171	65282	SIPO	AB	3621232
3134816	10404	1998-01-09	VYDAJ	PREVOD NA UCET	2171	56978	SIPO	AB	3621232
3134817	10404	1998-02-09	VYDAJ	PREVOD NA UCET	2171	49859	SIPO	AB	3621232
3134818	10404	1998-03-09	VYDAJ	PREVOD NA UCET	2171	51786	SIPO	AB	3621232
3134819	10404	1998-04-09	VYDAJ	PREVOD NA UCET	2171	53480	SIPO	AB	3621232
3134820	10404	1998-05-09	VYDAJ	PREVOD NA UCET	2171	59378	SIPO	AB	3621232
3134821	10404	1998-06-09	VYDAJ	PREVOD NA UCET	2171	52452	SIPO	AB	3621232
3134822	10404	1998-07-09	VYDAJ	PREVOD NA UCET	2171	56848	SIPO	AB	3621232
3134823	10404	1998-08-09	VYDAJ	PREVOD NA UCET	2171	55149	SIPO	AB	3621232
3134824	10404	1998-09-09	VYDAJ	PREVOD NA UCET	2171	55843	SIPO	AB	3621232
3134825	10404	1998-10-09	VYDAJ	PREVOD NA UCET	2171	54337	SIPO	AB	3621232
3134826	10404	1998-11-09	VYDAJ	PREVOD NA UCET	2171	46583	SIPO	AB	3621232
3134827	10404	1998-12-09	VYDAJ	PREVOD NA UCET	2171	57657	SIPO	AB	3621232
3134844	10404	1997-05-07	VYDAJ	PREVOD NA UCET	1203	64329	 	AB	74571001
3134845	10404	1997-06-07	VYDAJ	PREVOD NA UCET	1203	76717	 	AB	74571001
3134846	10404	1997-07-07	VYDAJ	PREVOD NA UCET	1203	63285	 	AB	74571001
3134847	10404	1997-08-07	VYDAJ	PREVOD NA UCET	1203	60486	 	AB	74571001
3134848	10404	1997-09-07	VYDAJ	PREVOD NA UCET	1203	58825	 	AB	74571001
3134849	10404	1997-10-07	VYDAJ	PREVOD NA UCET	1203	57583	 	AB	74571001
3134850	10404	1997-11-07	VYDAJ	PREVOD NA UCET	1203	58333	 	AB	74571001
3134851	10404	1997-12-07	VYDAJ	PREVOD NA UCET	1203	67453	 	AB	74571001
3134852	10404	1998-01-07	VYDAJ	PREVOD NA UCET	1203	59149	 	AB	74571001
3134853	10404	1998-02-07	VYDAJ	PREVOD NA UCET	1203	52030	 	AB	74571001
3134854	10404	1998-03-07	VYDAJ	PREVOD NA UCET	1203	53957	 	AB	74571001
3134855	10404	1998-04-07	VYDAJ	PREVOD NA UCET	1203	55651	 	AB	74571001
3134856	10404	1998-05-07	VYDAJ	PREVOD NA UCET	1203	61549	 	AB	74571001
3134857	10404	1998-06-07	VYDAJ	PREVOD NA UCET	1203	70143	 	AB	74571001
3134858	10404	1998-07-07	VYDAJ	PREVOD NA UCET	1203	59019	 	AB	74571001
3134859	10404	1998-08-07	VYDAJ	PREVOD NA UCET	1203	57320	 	AB	74571001
3134860	10404	1998-09-07	VYDAJ	PREVOD NA UCET	1203	58014	 	AB	74571001
3134861	10404	1998-10-07	VYDAJ	PREVOD NA UCET	1203	56508	 	AB	74571001
3134862	10404	1998-11-07	VYDAJ	PREVOD NA UCET	1203	51274	 	AB	74571001
3134863	10404	1998-12-07	VYDAJ	PREVOD NA UCET	1203	62928	 	AB	74571001
3134881	10404	1997-06-05	VYDAJ	PREVOD NA UCET	100	40988	POJISTNE	AB	21209323
3134882	10404	1997-07-05	VYDAJ	PREVOD NA UCET	100	39867	POJISTNE	AB	21209323
3134883	10404	1997-08-05	VYDAJ	PREVOD NA UCET	100	37068	POJISTNE	AB	21209323
3134884	10404	1997-09-05	VYDAJ	PREVOD NA UCET	100	38507	POJISTNE	AB	21209323
3134885	10404	1997-10-05	VYDAJ	PREVOD NA UCET	100	34165	POJISTNE	AB	21209323
3134886	10404	1997-11-05	VYDAJ	PREVOD NA UCET	100	34915	POJISTNE	AB	21209323
3134887	10404	1997-12-05	VYDAJ	PREVOD NA UCET	100	36364	POJISTNE	AB	21209323
3134888	10404	1998-01-05	VYDAJ	PREVOD NA UCET	100	35731	POJISTNE	AB	21209323
3134889	10404	1998-02-05	VYDAJ	PREVOD NA UCET	100	31612	POJISTNE	AB	21209323
3134890	10404	1998-03-05	VYDAJ	PREVOD NA UCET	100	30539	POJISTNE	AB	21209323
3134891	10404	1998-04-05	VYDAJ	PREVOD NA UCET	100	32233	POJISTNE	AB	21209323
3134892	10404	1998-05-05	VYDAJ	PREVOD NA UCET	100	38131	POJISTNE	AB	21209323
3134893	10404	1998-06-05	VYDAJ	PREVOD NA UCET	100	34414	POJISTNE	AB	21209323
3134894	10404	1998-07-05	VYDAJ	PREVOD NA UCET	100	35601	POJISTNE	AB	21209323
3134895	10404	1998-08-05	VYDAJ	PREVOD NA UCET	100	33902	POJISTNE	AB	21209323
3134896	10404	1998-09-05	VYDAJ	PREVOD NA UCET	100	34596	POJISTNE	AB	21209323
3134897	10404	1998-10-05	VYDAJ	PREVOD NA UCET	100	33090	POJISTNE	AB	21209323
3134898	10404	1998-11-05	VYDAJ	PREVOD NA UCET	100	27856	POJISTNE	AB	21209323
3134899	10404	1998-12-05	VYDAJ	PREVOD NA UCET	100	27199	POJISTNE	AB	21209323
3134916	10404	1997-05-12	VYDAJ	PREVOD NA UCET	883	61275	 	UV	60165852
3134917	10404	1997-06-12	VYDAJ	PREVOD NA UCET	883	62003	 	UV	60165852
3134918	10404	1997-07-12	VYDAJ	PREVOD NA UCET	883	56531	 	UV	60165852
3134919	10404	1997-08-12	VYDAJ	PREVOD NA UCET	883	57432	 	UV	60165852
3134920	10404	1997-09-12	VYDAJ	PREVOD NA UCET	883	55771	 	UV	60165852
3134921	10404	1997-10-12	VYDAJ	PREVOD NA UCET	883	54529	 	UV	60165852
3134922	10404	1997-11-12	VYDAJ	PREVOD NA UCET	883	55279	 	UV	60165852
3134923	10404	1997-12-12	VYDAJ	PREVOD NA UCET	883	64399	 	UV	60165852
3134924	10404	1998-01-12	VYDAJ	PREVOD NA UCET	883	44455	 	UV	60165852
3134925	10404	1998-02-12	VYDAJ	PREVOD NA UCET	883	48976	 	UV	60165852
3134926	10404	1998-03-12	VYDAJ	PREVOD NA UCET	883	50903	 	UV	60165852
3134927	10404	1998-04-12	VYDAJ	PREVOD NA UCET	883	49359	 	UV	60165852
3134928	10404	1998-05-12	VYDAJ	PREVOD NA UCET	883	58495	 	UV	60165852
3134929	10404	1998-06-12	VYDAJ	PREVOD NA UCET	883	48331	 	UV	60165852
3134930	10404	1998-07-12	VYDAJ	PREVOD NA UCET	883	55965	 	UV	60165852
3134931	10404	1998-08-12	VYDAJ	PREVOD NA UCET	883	51028	 	UV	60165852
3134932	10404	1998-09-12	VYDAJ	PREVOD NA UCET	883	51722	 	UV	60165852
3134933	10404	1998-10-12	VYDAJ	PREVOD NA UCET	883	53454	 	UV	60165852
3134934	10404	1998-11-12	VYDAJ	PREVOD NA UCET	883	45700	 	UV	60165852
3134935	10404	1998-12-12	VYDAJ	PREVOD NA UCET	883	53536	 	UV	60165852
3134952	10404	1997-05-21	VYDAJ	VYBER	3800	57475	\N	\N	0
3134953	10404	1997-06-10	VYDAJ	VYBER	3500	62886	\N	\N	0
3134954	10404	1997-07-11	VYDAJ	VYBER	3700	57414	\N	\N	0
3134955	10404	1997-08-17	VYDAJ	VYBER	3900	53532	\N	\N	0
3134956	10404	1997-09-06	VYDAJ	VYBER	3100	60028	\N	\N	0
3134957	10404	1997-10-04	VYDAJ	VYBER	2400	34265	\N	\N	0
3134958	10404	1997-11-20	VYDAJ	VYBER	3400	51879	\N	\N	0
3134959	10404	1997-12-21	VYDAJ	VYBER	3500	60899	\N	\N	0
3134960	10404	1998-01-13	VYDAJ	VYBER	2600	41855	\N	\N	0
3134961	10404	1998-02-07	VYDAJ	VYBER	3000	53233	\N	\N	0
3134962	10404	1998-03-12	VYDAJ	PREVOD NA UCET	3238	47665	UVER	ST	55139064
3134963	10404	1998-04-12	VYDAJ	PREVOD NA UCET	3238	50242	UVER	ST	55139064
3134964	10404	1998-05-12	VYDAJ	PREVOD NA UCET	3238	55257	UVER	ST	55139064
3134965	10404	1998-06-12	VYDAJ	PREVOD NA UCET	3238	49214	UVER	ST	55139064
3134966	10404	1998-07-12	VYDAJ	PREVOD NA UCET	3238	52727	UVER	ST	55139064
3134967	10404	1998-08-12	VYDAJ	PREVOD NA UCET	3238	51911	UVER	ST	55139064
3134968	10404	1998-09-12	VYDAJ	PREVOD NA UCET	3238	52605	UVER	ST	55139064
3134969	10404	1998-10-12	VYDAJ	PREVOD NA UCET	3238	50216	UVER	ST	55139064
3134970	10404	1998-11-12	VYDAJ	PREVOD NA UCET	3238	42462	UVER	ST	55139064
3134971	10404	1998-12-12	VYDAJ	PREVOD NA UCET	3238	54419	UVER	ST	55139064
3134973	10404	1997-06-09	VYDAJ	VYBER	8160	68557	\N	\N	\N
3134974	10404	1998-06-07	VYDAJ	VYBER	15520	54623	\N	\N	\N
3134976	10404	1997-12-07	VYDAJ	VYBER	4640	68656	\N	\N	\N
3134977	10404	1998-12-15	VYDAJ	VYBER KARTOU	3400	50136	\N	\N	0
3134990	10404	1998-01-10	VYDAJ	VYBER	3240	48098	\N	\N	\N
3134991	10404	1998-01-02	VYDAJ	VYBER	3480	35831	\N	\N	\N
3134992	10404	1998-01-11	VYDAJ	VYBER	1560	45338	\N	\N	\N
3134993	10404	1998-01-11	VYDAJ	VYBER	1200	46898	\N	\N	\N
3134994	10404	1998-01-09	VYDAJ	VYBER	2880	54098	\N	\N	\N
3134995	10404	1998-01-09	VYDAJ	VYBER	2760	51338	\N	\N	\N
3135002	10404	1997-08-17	VYDAJ	VYBER	1320	52212	\N	\N	\N
3135004	10404	1997-06-21	VYDAJ	VYBER	3960	58043	\N	\N	\N
3135006	10404	1997-07-16	VYDAJ	VYBER	3960	52571	\N	\N	\N
3135007	10404	1998-11-09	VYDAJ	VYBER	2520	48754	\N	\N	\N
3135008	10404	1998-11-03	VYDAJ	VYBER	4320	27956	\N	\N	\N
3135009	10404	1998-12-08	VYDAJ	VYBER KARTOU	3100	59828	\N	\N	0
3135010	10404	1998-06-02	VYDAJ	VYBER	1440	34514	\N	\N	\N
3135011	10404	1998-05-30	VYDAJ	VYBER	4800	35757	\N	\N	\N
3135029	10404	1997-05-31	VYDAJ	VYBER	15	41088	SLUZBY	\N	\N
3135030	10404	1997-06-30	VYDAJ	VYBER	15	39967	SLUZBY	\N	\N
3135031	10404	1997-07-31	VYDAJ	VYBER	15	37168	SLUZBY	\N	\N
3135032	10404	1997-08-31	VYDAJ	VYBER	15	38607	SLUZBY	\N	\N
3135033	10404	1997-09-30	VYDAJ	VYBER	15	36665	SLUZBY	\N	\N
3135034	10404	1997-10-31	VYDAJ	VYBER	15	35015	SLUZBY	\N	\N
3135035	10404	1997-11-30	VYDAJ	VYBER	15	36464	SLUZBY	\N	\N
3135036	10404	1997-12-31	VYDAJ	VYBER	15	39311	SLUZBY	\N	\N
3135037	10404	1998-01-31	VYDAJ	VYBER	15	31712	SLUZBY	\N	\N
3135038	10404	1998-02-28	VYDAJ	VYBER	15	30639	SLUZBY	\N	\N
3135039	10404	1998-03-31	VYDAJ	VYBER	15	32333	SLUZBY	\N	\N
3135040	10404	1998-04-30	VYDAJ	VYBER	15	38231	SLUZBY	\N	\N
3135041	10404	1998-05-31	VYDAJ	VYBER	15	35954	SLUZBY	\N	\N
3135042	10404	1998-06-30	VYDAJ	VYBER	15	35701	SLUZBY	\N	\N
3135043	10404	1998-07-31	VYDAJ	VYBER	15	34002	SLUZBY	\N	\N
3135044	10404	1998-08-31	VYDAJ	VYBER	15	34696	SLUZBY	\N	\N
3135045	10404	1998-09-30	VYDAJ	VYBER	15	33190	SLUZBY	\N	\N
3135046	10404	1998-10-31	VYDAJ	VYBER	15	32276	SLUZBY	\N	\N
3135047	10404	1998-11-30	VYDAJ	VYBER	15	27299	SLUZBY	\N	\N
3135048	10404	1997-01-29	VYDAJ	VYBER	200	24721	\N	\N	\N
3135049	10404	1997-02-28	VYDAJ	VYBER	14700	34756	\N	\N	\N
3135050	10404	1997-03-30	VYDAJ	VYBER	19500	39877	\N	\N	\N
3135051	10404	1997-04-29	VYDAJ	VYBER	23900	40745	\N	\N	\N
3135052	10404	1997-05-29	VYDAJ	VYBER	16600	40875	\N	\N	\N
3135053	10404	1997-06-28	VYDAJ	VYBER	18300	39743	\N	\N	\N
3135054	10404	1997-07-28	VYDAJ	VYBER	15600	36971	\N	\N	\N
3135055	10404	1997-08-27	VYDAJ	VYBER	13800	38412	\N	\N	\N
3135056	10404	1997-09-26	VYDAJ	VYBER	19300	36471	\N	\N	\N
3135057	10404	1997-10-26	VYDAJ	VYBER	19700	34829	\N	\N	\N
3135058	10404	1997-11-25	VYDAJ	VYBER	15600	36279	\N	\N	\N
3135059	10404	1997-12-25	VYDAJ	VYBER	21800	39099	\N	\N	\N
3135060	10404	1998-01-24	VYDAJ	VYBER	10300	31555	\N	\N	\N
3135061	10404	1998-02-23	VYDAJ	VYBER	18500	30476	\N	\N	\N
3135062	10404	1998-03-25	VYDAJ	VYBER	15500	32165	\N	\N	\N
3135063	10404	1998-04-24	VYDAJ	VYBER	11300	38059	\N	\N	\N
3135064	10404	1998-05-24	VYDAJ	VYBER	14700	40557	\N	\N	\N
3135065	10404	1998-06-23	VYDAJ	VYBER	12800	35531	\N	\N	\N
3135066	10404	1998-07-23	VYDAJ	VYBER	18900	33827	\N	\N	\N
3135067	10404	1998-08-22	VYDAJ	VYBER	16500	34528	\N	\N	\N
3135068	10404	1998-09-21	VYDAJ	VYBER	18700	33022	\N	\N	\N
3135069	10404	1998-10-21	VYDAJ	VYBER	18100	32116	\N	\N	\N
3135070	10404	1998-11-20	VYDAJ	VYBER	15300	27162	\N	\N	\N
3136766	10411	1995-11-23	PRIJEM	VKLAD	700	700	\N	\N	\N
3136772	10411	1995-12-28	PRIJEM	VKLAD	11866	56778	\N	\N	\N
3136775	10411	1995-12-14	PRIJEM	VKLAD	20112	66812	\N	\N	\N
3136781	10411	1995-12-28	PRIJEM	VKLAD	28692	85470	\N	\N	\N
3136784	10411	1995-12-02	PRIJEM	VKLAD	46000	46700	\N	\N	\N
3136796	10411	1996-08-08	PRIJEM	VKLAD	5496	27720	\N	\N	\N
3136797	10411	1996-06-22	PRIJEM	VKLAD	9513	42121	\N	\N	\N
3136798	10411	1997-05-29	PRIJEM	VKLAD	16460	64768	\N	\N	\N
3136799	10411	1997-12-07	PRIJEM	VKLAD	5638	88912	\N	\N	\N
3136800	10411	1997-01-12	PRIJEM	VKLAD	11564	81285	\N	\N	\N
3136801	10411	1997-09-02	PRIJEM	VKLAD	27333	96272	\N	\N	\N
3136802	10411	1997-09-13	PRIJEM	VKLAD	33695	104053	\N	\N	\N
3136803	10411	1997-01-29	PRIJEM	VKLAD	18412	51255	\N	\N	\N
3136804	10411	1997-09-21	PRIJEM	VKLAD	15478	99731	\N	\N	\N
3136805	10411	1997-07-08	PRIJEM	VKLAD	8112	62614	\N	\N	\N
3136806	10411	1997-12-26	PRIJEM	VKLAD	45674	150941	\N	\N	\N
3136807	10411	1997-09-02	PRIJEM	VKLAD	35910	132182	\N	\N	\N
3136808	10411	1997-04-02	PRIJEM	VKLAD	35197	63570	\N	\N	\N
3136809	10411	1997-12-04	PRIJEM	VKLAD	25663	85597	\N	\N	\N
3136810	10411	1997-08-19	PRIJEM	VKLAD	24381	68812	\N	\N	\N
3136811	10411	1997-01-09	PRIJEM	VKLAD	30998	43663	\N	\N	\N
3136812	10411	1997-05-25	PRIJEM	VKLAD	6494	48308	\N	\N	\N
3136813	10411	1997-12-08	PRIJEM	VKLAD	41952	125444	\N	\N	\N
3136814	10411	1997-12-15	PRIJEM	VKLAD	32504	105267	\N	\N	\N
3136815	10411	1997-01-10	PRIJEM	VKLAD	27865	69721	\N	\N	\N
3136816	10411	1997-02-23	PRIJEM	VKLAD	12096	45408	\N	\N	\N
3136817	10411	1997-05-30	PRIJEM	VKLAD	36521	101289	\N	\N	\N
3136818	10411	1998-08-27	PRIJEM	VKLAD	38086	128093	\N	\N	\N
3136819	10411	1998-08-25	PRIJEM	VKLAD	33685	90007	\N	\N	\N
3136820	10411	1998-07-14	PRIJEM	VKLAD	13510	77984	\N	\N	\N
3136821	10411	1998-08-01	PRIJEM	VKLAD	29357	96384	\N	\N	\N
3136822	10411	1998-05-05	PRIJEM	VKLAD	36200	79740	\N	\N	\N
3136823	10411	1998-05-17	PRIJEM	VKLAD	23258	88874	\N	\N	\N
3136824	10411	1998-02-23	PRIJEM	VKLAD	23604	54258	\N	\N	\N
3136825	10411	1998-09-27	PRIJEM	VKLAD	20575	62129	\N	\N	\N
3136826	10411	1998-07-10	PRIJEM	VKLAD	5544	69616	\N	\N	\N
3136827	10411	1998-12-21	PRIJEM	VKLAD	47810	83649	\N	\N	\N
3136846	10411	1996-07-17	VYDAJ	VYBER	4100	23341	\N	\N	0
3136847	10411	1996-08-09	VYDAJ	VYBER	5300	12881	\N	\N	0
3136848	10411	1996-09-05	VYDAJ	VYBER	4000	19568	\N	\N	0
3136850	10411	1996-11-02	VYDAJ	VYBER	3900	20349	\N	\N	0
3136852	10411	1997-01-12	VYDAJ	PREVOD NA UCET	5142	67743	UVER	GH	82482695
3136853	10411	1997-02-12	VYDAJ	PREVOD NA UCET	5142	27412	UVER	GH	82482695
3136854	10411	1997-03-12	VYDAJ	PREVOD NA UCET	5142	7071	UVER	GH	82482695
3136855	10411	1997-04-12	VYDAJ	PREVOD NA UCET	5142	43546	UVER	GH	82482695
3136856	10411	1997-05-12	VYDAJ	PREVOD NA UCET	5142	28214	UVER	GH	82482695
3136857	10411	1997-06-12	VYDAJ	PREVOD NA UCET	5142	66954	UVER	GH	82482695
3136858	10411	1997-07-12	VYDAJ	PREVOD NA UCET	5142	47933	UVER	GH	82482695
3136859	10411	1997-08-12	VYDAJ	PREVOD NA UCET	5142	32431	UVER	GH	82482695
3136860	10411	1997-09-12	VYDAJ	PREVOD NA UCET	5142	70358	UVER	GH	82482695
3136861	10411	1997-10-12	VYDAJ	PREVOD NA UCET	5142	68597	UVER	GH	82482695
3136862	10411	1997-11-12	VYDAJ	PREVOD NA UCET	5142	59784	UVER	GH	82482695
3136863	10411	1997-12-12	VYDAJ	PREVOD NA UCET	5142	72763	UVER	GH	82482695
3136864	10411	1998-01-12	VYDAJ	PREVOD NA UCET	5142	63724	UVER	GH	82482695
3136865	10411	1998-02-12	VYDAJ	PREVOD NA UCET	5142	33654	UVER	GH	82482695
3136866	10411	1998-03-12	VYDAJ	PREVOD NA UCET	5142	50872	UVER	GH	82482695
3136867	10411	1998-04-12	VYDAJ	PREVOD NA UCET	5142	48554	UVER	GH	82482695
3136868	10411	1998-05-12	VYDAJ	PREVOD NA UCET	5142	65616	UVER	GH	82482695
3136869	10411	1998-06-12	VYDAJ	PREVOD NA UCET	5142	73561	UVER	GH	82482695
3136870	10411	1998-07-12	VYDAJ	PREVOD NA UCET	5142	64474	UVER	GH	82482695
3136871	10411	1998-08-12	VYDAJ	PREVOD NA UCET	5142	76860	UVER	GH	82482695
3136872	10411	1998-09-12	VYDAJ	PREVOD NA UCET	5142	53449	UVER	GH	82482695
3136873	10411	1998-10-12	VYDAJ	PREVOD NA UCET	5142	46619	UVER	GH	82482695
3136874	10411	1998-11-12	VYDAJ	PREVOD NA UCET	5142	43599	UVER	GH	82482695
3136875	10411	1998-12-12	VYDAJ	PREVOD NA UCET	5142	35839	UVER	GH	82482695
3136894	10411	1996-07-07	VYDAJ	PREVOD NA UCET	3020	36980	SIPO	ST	41324371
3136895	10411	1996-08-07	VYDAJ	PREVOD NA UCET	3020	22224	SIPO	ST	41324371
3136896	10411	1996-09-07	VYDAJ	PREVOD NA UCET	3020	14225	SIPO	ST	41324371
3136897	10411	1996-10-07	VYDAJ	PREVOD NA UCET	3020	17311	SIPO	ST	41324371
3136898	10411	1996-11-07	VYDAJ	PREVOD NA UCET	3020	15006	SIPO	ST	41324371
3136899	10411	1996-12-07	VYDAJ	PREVOD NA UCET	3020	17896	SIPO	ST	41324371
3136900	10411	1997-01-07	VYDAJ	PREVOD NA UCET	3020	20397	SIPO	ST	41324371
3136901	10411	1997-02-07	VYDAJ	PREVOD NA UCET	3020	42093	SIPO	ST	41324371
3136902	10411	1997-03-07	VYDAJ	PREVOD NA UCET	3020	21752	SIPO	ST	41324371
3136903	10411	1997-04-07	VYDAJ	PREVOD NA UCET	3020	58227	SIPO	ST	41324371
3136904	10411	1997-05-07	VYDAJ	PREVOD NA UCET	3020	42895	SIPO	ST	41324371
3136905	10411	1997-06-07	VYDAJ	PREVOD NA UCET	3020	81635	SIPO	ST	41324371
3136906	10411	1997-07-07	VYDAJ	PREVOD NA UCET	3020	54502	SIPO	ST	41324371
3136907	10411	1997-08-07	VYDAJ	PREVOD NA UCET	3020	47112	SIPO	ST	41324371
3136908	10411	1997-09-07	VYDAJ	PREVOD NA UCET	3020	85039	SIPO	ST	41324371
3136909	10411	1997-10-07	VYDAJ	PREVOD NA UCET	3020	83278	SIPO	ST	41324371
3136910	10411	1997-11-07	VYDAJ	PREVOD NA UCET	3020	61765	SIPO	ST	41324371
3136911	10411	1997-12-07	VYDAJ	PREVOD NA UCET	3020	83492	SIPO	ST	41324371
3136912	10411	1998-01-07	VYDAJ	PREVOD NA UCET	3020	83105	SIPO	ST	41324371
3136913	10411	1998-02-07	VYDAJ	PREVOD NA UCET	3020	20835	SIPO	ST	41324371
3136914	10411	1998-03-07	VYDAJ	PREVOD NA UCET	3020	48953	SIPO	ST	41324371
3136915	10411	1998-04-07	VYDAJ	PREVOD NA UCET	3020	45635	SIPO	ST	41324371
3136916	10411	1998-05-07	VYDAJ	PREVOD NA UCET	3020	74397	SIPO	ST	41324371
3136917	10411	1998-06-07	VYDAJ	PREVOD NA UCET	3020	83742	SIPO	ST	41324371
3136918	10411	1998-07-07	VYDAJ	PREVOD NA UCET	3020	57611	SIPO	ST	41324371
3136919	10411	1998-08-07	VYDAJ	PREVOD NA UCET	3020	91041	SIPO	ST	41324371
3136920	10411	1998-09-07	VYDAJ	PREVOD NA UCET	3020	48630	SIPO	ST	41324371
3136921	10411	1998-10-07	VYDAJ	PREVOD NA UCET	3020	37700	SIPO	ST	41324371
3136922	10411	1998-11-07	VYDAJ	PREVOD NA UCET	3020	58280	SIPO	ST	41324371
3136923	10411	1998-12-07	VYDAJ	PREVOD NA UCET	3020	50520	SIPO	ST	41324371
3136942	10411	1996-07-09	VYDAJ	PREVOD NA UCET	1807	27441	 	GH	93566715
3136943	10411	1996-08-09	VYDAJ	PREVOD NA UCET	1807	18181	 	GH	93566715
3136944	10411	1996-09-09	VYDAJ	PREVOD NA UCET	1807	4686	 	GH	93566715
3136945	10411	1996-10-09	VYDAJ	PREVOD NA UCET	1807	7772	 	GH	93566715
3136946	10411	1996-11-09	VYDAJ	PREVOD NA UCET	1807	5467	 	GH	93566715
3136947	10411	1996-12-09	VYDAJ	PREVOD NA UCET	1807	8357	 	GH	93566715
3136948	10411	1997-01-09	VYDAJ	PREVOD NA UCET	1807	41856	 	GH	93566715
3136949	10411	1997-02-09	VYDAJ	PREVOD NA UCET	1807	32554	 	GH	93566715
3136950	10411	1997-03-09	VYDAJ	PREVOD NA UCET	1807	12213	 	GH	93566715
3136951	10411	1997-04-09	VYDAJ	PREVOD NA UCET	1807	48688	 	GH	93566715
3136952	10411	1997-05-09	VYDAJ	PREVOD NA UCET	1807	33356	 	GH	93566715
3136953	10411	1997-06-09	VYDAJ	PREVOD NA UCET	1807	72096	 	GH	93566715
3136954	10411	1997-07-09	VYDAJ	PREVOD NA UCET	1807	53075	 	GH	93566715
3136955	10411	1997-08-09	VYDAJ	PREVOD NA UCET	1807	37573	 	GH	93566715
3136956	10411	1997-09-09	VYDAJ	PREVOD NA UCET	1807	75500	 	GH	93566715
3136957	10411	1997-10-09	VYDAJ	PREVOD NA UCET	1807	73739	 	GH	93566715
3136958	10411	1997-11-09	VYDAJ	PREVOD NA UCET	1807	52226	 	GH	93566715
3136959	10411	1997-12-09	VYDAJ	PREVOD NA UCET	1807	79205	 	GH	93566715
3136960	10411	1998-01-09	VYDAJ	PREVOD NA UCET	1807	70266	 	GH	93566715
3136961	10411	1998-02-09	VYDAJ	PREVOD NA UCET	1807	11296	 	GH	93566715
3136962	10411	1998-03-09	VYDAJ	PREVOD NA UCET	1807	39414	 	GH	93566715
3136963	10411	1998-04-09	VYDAJ	PREVOD NA UCET	1807	36096	 	GH	93566715
3136964	10411	1998-05-09	VYDAJ	PREVOD NA UCET	1807	64858	 	GH	93566715
3136965	10411	1998-06-09	VYDAJ	PREVOD NA UCET	1807	74203	 	GH	93566715
3136966	10411	1998-07-09	VYDAJ	PREVOD NA UCET	1807	48072	 	GH	93566715
3136967	10411	1998-08-09	VYDAJ	PREVOD NA UCET	1807	82002	 	GH	93566715
3136968	10411	1998-09-09	VYDAJ	PREVOD NA UCET	1807	58591	 	GH	93566715
3136969	10411	1998-10-09	VYDAJ	PREVOD NA UCET	1807	51761	 	GH	93566715
3136970	10411	1998-11-09	VYDAJ	PREVOD NA UCET	1807	48741	 	GH	93566715
3136971	10411	1998-12-09	VYDAJ	PREVOD NA UCET	1807	40981	 	GH	93566715
3136990	10411	1996-07-05	VYDAJ	PREVOD NA UCET	2323	40000	POJISTNE	CD	33192354
3136991	10411	1996-08-05	VYDAJ	PREVOD NA UCET	2323	25244	POJISTNE	CD	33192354
3136992	10411	1996-09-05	VYDAJ	PREVOD NA UCET	2323	17245	POJISTNE	CD	33192354
3136993	10411	1996-10-05	VYDAJ	PREVOD NA UCET	2323	20331	POJISTNE	CD	33192354
3136994	10411	1996-11-05	VYDAJ	PREVOD NA UCET	2323	18026	POJISTNE	CD	33192354
3136995	10411	1996-12-05	VYDAJ	PREVOD NA UCET	2323	20916	POJISTNE	CD	33192354
3136996	10411	1997-01-05	VYDAJ	PREVOD NA UCET	2323	23417	POJISTNE	CD	33192354
3136997	10411	1997-02-05	VYDAJ	PREVOD NA UCET	2323	45113	POJISTNE	CD	33192354
3136998	10411	1997-03-05	VYDAJ	PREVOD NA UCET	2323	24772	POJISTNE	CD	33192354
3136999	10411	1997-04-05	VYDAJ	PREVOD NA UCET	2323	61247	POJISTNE	CD	33192354
3137000	10411	1997-05-05	VYDAJ	PREVOD NA UCET	2323	45915	POJISTNE	CD	33192354
3137001	10411	1997-06-05	VYDAJ	PREVOD NA UCET	2323	84655	POJISTNE	CD	33192354
3137002	10411	1997-07-05	VYDAJ	PREVOD NA UCET	2323	57522	POJISTNE	CD	33192354
3137003	10411	1997-08-05	VYDAJ	PREVOD NA UCET	2323	50132	POJISTNE	CD	33192354
3137004	10411	1997-09-05	VYDAJ	PREVOD NA UCET	2323	88059	POJISTNE	CD	33192354
3137005	10411	1997-10-05	VYDAJ	PREVOD NA UCET	2323	86298	POJISTNE	CD	33192354
3137006	10411	1997-11-05	VYDAJ	PREVOD NA UCET	2323	64785	POJISTNE	CD	33192354
3137007	10411	1997-12-05	VYDAJ	PREVOD NA UCET	2323	83274	POJISTNE	CD	33192354
3137008	10411	1998-01-05	VYDAJ	PREVOD NA UCET	2323	86125	POJISTNE	CD	33192354
3137009	10411	1998-02-05	VYDAJ	PREVOD NA UCET	2323	23855	POJISTNE	CD	33192354
3137010	10411	1998-03-05	VYDAJ	PREVOD NA UCET	2323	51973	POJISTNE	CD	33192354
3137011	10411	1998-04-05	VYDAJ	PREVOD NA UCET	2323	48655	POJISTNE	CD	33192354
3137012	10411	1998-05-05	VYDAJ	PREVOD NA UCET	2323	77417	POJISTNE	CD	33192354
3137013	10411	1998-06-05	VYDAJ	PREVOD NA UCET	2323	86762	POJISTNE	CD	33192354
3137014	10411	1998-07-05	VYDAJ	PREVOD NA UCET	2323	60631	POJISTNE	CD	33192354
3137015	10411	1998-08-05	VYDAJ	PREVOD NA UCET	2323	94061	POJISTNE	CD	33192354
3137016	10411	1998-09-05	VYDAJ	PREVOD NA UCET	2323	51650	POJISTNE	CD	33192354
3137017	10411	1998-10-05	VYDAJ	PREVOD NA UCET	2323	59927	POJISTNE	CD	33192354
3137018	10411	1998-11-05	VYDAJ	PREVOD NA UCET	2323	44400	POJISTNE	CD	33192354
3137019	10411	1998-12-05	VYDAJ	PREVOD NA UCET	2323	27240	POJISTNE	CD	33192354
3137038	10411	1996-07-08	VYDAJ	PREVOD NA UCET	7732	29248	 	ST	47737151
3137039	10411	1996-08-08	VYDAJ	PREVOD NA UCET	7732	19988	 	ST	47737151
3137040	10411	1996-09-08	VYDAJ	PREVOD NA UCET	7732	6493	 	ST	47737151
3137041	10411	1996-10-08	VYDAJ	PREVOD NA UCET	7732	9579	 	ST	47737151
3137042	10411	1996-11-08	VYDAJ	PREVOD NA UCET	7732	7274	 	ST	47737151
3137043	10411	1996-12-08	VYDAJ	PREVOD NA UCET	7732	10164	 	ST	47737151
3137044	10411	1997-01-08	VYDAJ	PREVOD NA UCET	7732	12665	 	ST	47737151
3137045	10411	1997-02-08	VYDAJ	PREVOD NA UCET	7732	34361	 	ST	47737151
3137046	10411	1997-03-08	VYDAJ	PREVOD NA UCET	7732	14020	 	ST	47737151
3137047	10411	1997-04-08	VYDAJ	PREVOD NA UCET	7732	50495	 	ST	47737151
3137048	10411	1997-05-08	VYDAJ	PREVOD NA UCET	7732	35163	 	ST	47737151
3137049	10411	1997-06-08	VYDAJ	PREVOD NA UCET	7732	73903	 	ST	47737151
3137050	10411	1997-07-08	VYDAJ	PREVOD NA UCET	7732	54882	 	ST	47737151
3137051	10411	1997-08-08	VYDAJ	PREVOD NA UCET	7732	39380	 	ST	47737151
3137052	10411	1997-09-08	VYDAJ	PREVOD NA UCET	7732	77307	 	ST	47737151
3137053	10411	1997-10-08	VYDAJ	PREVOD NA UCET	7732	75546	 	ST	47737151
3137054	10411	1997-11-08	VYDAJ	PREVOD NA UCET	7732	54033	 	ST	47737151
3137055	10411	1997-12-08	VYDAJ	PREVOD NA UCET	7732	117712	 	ST	47737151
3137056	10411	1998-01-08	VYDAJ	PREVOD NA UCET	7732	72073	 	ST	47737151
3137057	10411	1998-02-08	VYDAJ	PREVOD NA UCET	7732	13103	 	ST	47737151
3137058	10411	1998-03-08	VYDAJ	PREVOD NA UCET	7732	41221	 	ST	47737151
3137059	10411	1998-04-08	VYDAJ	PREVOD NA UCET	7732	37903	 	ST	47737151
3137060	10411	1998-05-08	VYDAJ	PREVOD NA UCET	7732	66665	 	ST	47737151
3137061	10411	1998-06-08	VYDAJ	PREVOD NA UCET	7732	76010	 	ST	47737151
3137062	10411	1998-07-08	VYDAJ	PREVOD NA UCET	7732	49879	 	ST	47737151
3137063	10411	1998-08-08	VYDAJ	PREVOD NA UCET	7732	83309	 	ST	47737151
3137064	10411	1998-09-08	VYDAJ	PREVOD NA UCET	7732	60398	 	ST	47737151
3137065	10411	1998-10-08	VYDAJ	PREVOD NA UCET	7732	53568	 	ST	47737151
3137066	10411	1998-11-08	VYDAJ	PREVOD NA UCET	7732	50548	 	ST	47737151
3137067	10411	1998-12-08	VYDAJ	PREVOD NA UCET	7732	42788	 	ST	47737151
3137085	10411	1997-03-04	VYBER	VYBER	18373	27095	\N	\N	\N
3137086	10411	1998-07-28	VYBER	VYBER	11145	66839	\N	\N	\N
3137087	10411	1998-12-25	VYBER	VYBER	21840	61809	\N	\N	\N
3137088	10411	1998-01-22	VYBER	VYBER	9771	28453	\N	\N	\N
3137089	10411	1998-08-29	VYBER	VYBER	18735	53758	\N	\N	\N
3137090	10411	1998-10-06	VYBER	VYBER	19207	40720	\N	\N	\N
3137091	10411	1998-08-16	VYBER	VYBER	3138	73722	\N	\N	\N
3137094	10411	1998-09-23	VYBER	VYBER	11895	41554	\N	\N	\N
3137097	10411	1997-06-03	VYDAJ	VYBER	14400	86978	\N	\N	\N
3137098	10411	1998-06-13	VYDAJ	VYBER	10800	62761	\N	\N	\N
3137101	10411	1997-01-16	VYDAJ	VYBER	20400	47343	\N	\N	\N
3137102	10411	1998-01-16	VYDAJ	VYBER	24000	39724	\N	\N	\N
3137105	10411	1997-12-07	VYDAJ	VYBER KARTOU	2400	86512	\N	\N	0
3137119	10411	1997-01-17	VYDAJ	VYBER KARTOU	5100	32843	\N	\N	0
3137120	10411	1997-01-17	VYDAJ	VYBER KARTOU	7200	37943	\N	\N	0
3137122	10411	1997-01-12	VYDAJ	VYBER	8400	72885	\N	\N	\N
3137124	10411	1997-01-30	VYDAJ	VYBER KARTOU	3900	47355	\N	\N	0
3137126	10411	1998-01-08	VYDAJ	VYBER KARTOU	3300	79805	\N	\N	0
3137128	10411	1998-01-20	VYDAJ	VYBER KARTOU	1500	38224	\N	\N	0
3137129	10411	1998-01-24	VYDAJ	VYBER KARTOU	2400	26053	\N	\N	0
3137130	10411	1998-01-01	VYDAJ	VYBER	8100	88448	\N	\N	\N
3137138	10411	1997-06-13	VYDAJ	VYBER KARTOU	1800	65154	\N	\N	0
3137139	10411	1997-10-01	VYDAJ	VYBER	11400	88621	\N	\N	\N
3137140	10411	1997-10-25	VYDAJ	VYBER KARTOU	2400	66897	\N	\N	0
3137141	10411	1998-02-12	VYDAJ	VYBER KARTOU	3000	30654	\N	\N	0
3137142	10411	1998-08-21	VYDAJ	VYBER KARTOU	6300	56322	\N	\N	0
3137143	10411	1998-08-20	VYDAJ	VYBER	11100	62622	\N	\N	\N
3137144	10411	1998-11-20	VYDAJ	VYBER	14100	29499	\N	\N	\N
3137145	10411	1998-04-14	VYDAJ	VYBER KARTOU	5100	43454	\N	\N	0
3137164	10411	1996-06-30	VYDAJ	VYBER	100	42323	SLUZBY	\N	\N
3137165	10411	1996-07-31	VYDAJ	VYBER	100	27567	SLUZBY	\N	\N
3137166	10411	1996-08-31	VYDAJ	VYBER	100	23568	SLUZBY	\N	\N
3137167	10411	1996-09-30	VYDAJ	VYBER	100	22654	SLUZBY	\N	\N
3137168	10411	1996-10-31	VYDAJ	VYBER	100	24249	SLUZBY	\N	\N
3137169	10411	1996-11-30	VYDAJ	VYBER	100	23239	SLUZBY	\N	\N
3137170	10411	1996-12-31	VYDAJ	VYBER	100	25740	SLUZBY	\N	\N
3137171	10411	1997-01-31	VYDAJ	VYBER	100	47436	SLUZBY	\N	\N
3137172	10411	1997-02-28	VYDAJ	VYBER	100	45468	SLUZBY	\N	\N
3137173	10411	1997-03-31	VYDAJ	VYBER	100	28373	SLUZBY	\N	\N
3137174	10411	1997-04-30	VYDAJ	VYBER	100	48238	SLUZBY	\N	\N
3137175	10411	1997-05-31	VYDAJ	VYBER	100	101378	SLUZBY	\N	\N
3137176	10411	1997-06-30	VYDAJ	VYBER	100	59845	SLUZBY	\N	\N
3137177	10411	1997-07-31	VYDAJ	VYBER	100	52455	SLUZBY	\N	\N
3137178	10411	1997-08-31	VYDAJ	VYBER	100	68939	SLUZBY	\N	\N
3137179	10411	1997-09-30	VYDAJ	VYBER	100	100021	SLUZBY	\N	\N
3137180	10411	1997-10-31	VYDAJ	VYBER	100	67108	SLUZBY	\N	\N
3137181	10411	1997-11-30	VYDAJ	VYBER	100	59934	SLUZBY	\N	\N
3137182	10411	1997-12-31	VYDAJ	VYBER	100	96548	SLUZBY	\N	\N
3137183	10411	1998-01-31	VYDAJ	VYBER	100	26178	SLUZBY	\N	\N
3137184	10411	1998-02-28	VYDAJ	VYBER	100	54296	SLUZBY	\N	\N
3137185	10411	1998-03-31	VYDAJ	VYBER	100	50978	SLUZBY	\N	\N
3137186	10411	1998-04-30	VYDAJ	VYBER	100	43540	SLUZBY	\N	\N
3137187	10411	1998-05-31	VYDAJ	VYBER	100	89085	SLUZBY	\N	\N
3137188	10411	1998-06-30	VYDAJ	VYBER	100	62954	SLUZBY	\N	\N
3137189	10411	1998-07-31	VYDAJ	VYBER	100	67027	SLUZBY	\N	\N
3137190	10411	1998-08-31	VYDAJ	VYBER	100	53973	SLUZBY	\N	\N
3137191	10411	1998-09-30	VYDAJ	VYBER	100	62250	SLUZBY	\N	\N
3137192	10411	1998-10-31	VYDAJ	VYBER	100	46723	SLUZBY	\N	\N
3137193	10411	1998-11-30	VYDAJ	VYBER	100	29563	SLUZBY	\N	\N
3137194	10411	1995-12-23	VYDAJ	VYBER	21900	44912	\N	\N	\N
3137195	10411	1996-01-22	VYDAJ	VYBER	27400	58227	\N	\N	\N
3137196	10411	1996-02-21	VYDAJ	VYBER	15000	43583	\N	\N	\N
3137197	10411	1996-03-22	VYDAJ	VYBER	7700	36239	\N	\N	\N
3137198	10411	1996-04-21	VYDAJ	VYBER	3400	33195	\N	\N	\N
3137199	10411	1996-05-21	VYDAJ	VYBER	1400	32151	\N	\N	\N
3137200	10411	1996-06-20	PRIJEM	VKLAD	100	32608	\N	\N	\N
3137201	10411	1996-07-20	PRIJEM	VKLAD	4200	27541	\N	\N	\N
3137202	10411	1996-08-19	PRIJEM	VKLAD	10700	23581	\N	\N	\N
3137203	10411	1996-09-18	PRIJEM	VKLAD	18000	22686	\N	\N	\N
3137204	10411	1996-10-18	PRIJEM	VKLAD	16500	24272	\N	\N	\N
3137205	10411	1996-11-17	PRIJEM	VKLAD	17800	23267	\N	\N	\N
3137206	10411	1996-12-17	PRIJEM	VKLAD	17400	25757	\N	\N	\N
3137207	10411	1997-01-16	VYDAJ	VYBER KARTOU	2200	45143	\N	\N	0
3137208	10411	1997-02-15	PRIJEM	VKLAD	5900	33312	\N	\N	\N
3137209	10411	1997-03-17	PRIJEM	VKLAD	21300	28371	\N	\N	\N
3137210	10411	1997-04-16	PRIJEM	VKLAD	4600	48146	\N	\N	\N
3137211	10411	1997-05-16	PRIJEM	VKLAD	13600	41814	\N	\N	\N
3137212	10411	1997-06-15	VYDAJ	VYBER KARTOU	5500	59654	\N	\N	0
3137213	10411	1997-07-15	PRIJEM	VKLAD	4400	52333	\N	\N	\N
3137214	10411	1997-08-14	PRIJEM	VKLAD	12000	44431	\N	\N	\N
3137215	10411	1997-09-02	VYDAJ	VYBER	41800	90382	\N	\N	\N
3137216	10411	1997-09-13	VYDAJ	VYBER	19800	84253	\N	\N	\N
3137217	10411	1997-10-13	PRIJEM	VKLAD	700	69297	\N	\N	\N
3137218	10411	1997-11-12	PRIJEM	VKLAD	12700	64926	\N	\N	\N
3137219	10411	1997-12-08	VYDAJ	VYBER	36700	81012	\N	\N	\N
3137220	10411	1997-12-12	VYDAJ	VYBER KARTOU	1300	77905	\N	\N	0
3137221	10411	1997-12-26	VYDAJ	VYBER	54700	96241	\N	\N	\N
3137222	10411	1998-01-11	VYDAJ	VYBER KARTOU	1400	68866	\N	\N	0
3137223	10411	1998-02-10	PRIJEM	VKLAD	27500	38796	\N	\N	\N
3137224	10411	1998-03-12	PRIJEM	VKLAD	16600	56014	\N	\N	\N
3137225	10411	1998-04-11	PRIJEM	VKLAD	17600	53696	\N	\N	\N
3137226	10411	1998-05-11	PRIJEM	VKLAD	5900	70758	\N	\N	\N
3137227	10411	1998-06-10	PRIJEM	VKLAD	4500	78703	\N	\N	\N
3137228	10411	1998-07-10	PRIJEM	VKLAD	16000	64072	\N	\N	\N
3137229	10411	1998-08-09	PRIJEM	VKLAD	500	83809	\N	\N	\N
3137230	10411	1998-08-27	VYDAJ	VYBER	55600	72493	\N	\N	\N
3137231	10411	1998-09-08	PRIJEM	VKLAD	19500	68130	\N	\N	\N
3137232	10411	1998-10-08	PRIJEM	VKLAD	23600	61300	\N	\N	\N
3137233	10411	1998-11-07	PRIJEM	VKLAD	16900	61300	\N	\N	\N
3137234	10411	1998-12-07	PRIJEM	VKLAD	26300	53540	\N	\N	\N
3144328	10436	1996-03-21	PRIJEM	VKLAD	800	800	\N	\N	\N
3144332	10436	1996-04-09	PRIJEM	VKLAD	7496	8296	\N	\N	\N
3144333	10436	1996-05-09	PRIJEM	VKLAD	7496	25720	\N	\N	\N
3144334	10436	1996-06-09	PRIJEM	VKLAD	11244	35349	\N	\N	\N
3144335	10436	1996-07-09	PRIJEM	VKLAD	7496	37755	\N	\N	\N
3144336	10436	1996-08-09	PRIJEM	VKLAD	7496	41684	\N	\N	\N
3144337	10436	1996-09-09	PRIJEM	VKLAD	7496	39809	\N	\N	\N
3144338	10436	1996-10-09	PRIJEM	VKLAD	7496	43844	\N	\N	\N
3144339	10436	1996-11-09	PRIJEM	VKLAD	7496	47076	\N	\N	\N
3144340	10436	1996-12-09	PRIJEM	VKLAD	11244	54169	\N	\N	\N
3144341	10436	1997-01-09	PRIJEM	VKLAD	7496	53033	\N	\N	\N
3144342	10436	1997-02-09	PRIJEM	VKLAD	7496	44492	\N	\N	\N
3144343	10436	1997-03-09	PRIJEM	VKLAD	7496	52235	\N	\N	\N
3144344	10436	1997-04-09	PRIJEM	VKLAD	7496	60112	\N	\N	\N
3144345	10436	1997-05-09	PRIJEM	VKLAD	7496	66423	\N	\N	\N
3144346	10436	1997-06-09	PRIJEM	VKLAD	11244	71194	\N	\N	\N
3144347	10436	1997-07-09	PRIJEM	VKLAD	7496	51426	\N	\N	\N
3144348	10436	1997-08-09	PRIJEM	VKLAD	7496	65314	\N	\N	\N
3144349	10436	1997-09-09	PRIJEM	VKLAD	7496	68341	\N	\N	\N
3144350	10436	1997-10-09	PRIJEM	VKLAD	7496	72383	\N	\N	\N
3144351	10436	1997-11-09	PRIJEM	VKLAD	7496	75838	\N	\N	\N
3144352	10436	1997-12-09	PRIJEM	VKLAD	11244	83751	\N	\N	\N
3144353	10436	1998-01-09	PRIJEM	VKLAD	7496	77629	\N	\N	\N
3144354	10436	1998-02-09	PRIJEM	VKLAD	7496	67985	\N	\N	\N
3144355	10436	1998-03-09	PRIJEM	VKLAD	7496	71016	\N	\N	\N
3144356	10436	1998-04-09	PRIJEM	VKLAD	7496	76967	\N	\N	\N
3144357	10436	1998-05-09	PRIJEM	VKLAD	7496	76428	\N	\N	\N
3144358	10436	1998-06-09	PRIJEM	VKLAD	11244	74136	\N	\N	\N
3144359	10436	1998-07-09	PRIJEM	VKLAD	7496	76896	\N	\N	\N
3144360	10436	1998-08-09	PRIJEM	VKLAD	7496	73951	\N	\N	\N
3144361	10436	1998-09-09	PRIJEM	VKLAD	7496	80618	\N	\N	\N
3144362	10436	1998-10-09	PRIJEM	VKLAD	7496	82610	\N	\N	\N
3144363	10436	1998-11-09	PRIJEM	VKLAD	7496	81216	\N	\N	\N
3144364	10436	1998-12-09	PRIJEM	VKLAD	11244	88464	\N	\N	\N
3144372	10436	1996-08-18	VYDAJ	VYBER	1300	40384	\N	\N	0
3144373	10436	1996-09-18	VYDAJ	VYBER	1500	36209	\N	\N	0
3144374	10436	1996-10-12	VYDAJ	PREVOD NA UCET	1511	42333	UVER	AB	4855519
3144375	10436	1996-11-12	VYDAJ	PREVOD NA UCET	1511	45565	UVER	AB	4855519
3144376	10436	1996-12-12	VYDAJ	PREVOD NA UCET	1511	52658	UVER	AB	4855519
3144377	10436	1997-01-12	VYDAJ	PREVOD NA UCET	1511	51522	UVER	AB	4855519
3144378	10436	1997-02-12	VYDAJ	PREVOD NA UCET	1511	42981	UVER	AB	4855519
3144379	10436	1997-03-12	VYDAJ	PREVOD NA UCET	1511	50724	UVER	AB	4855519
3144380	10436	1997-04-12	VYDAJ	PREVOD NA UCET	1511	58601	UVER	AB	4855519
3144381	10436	1997-05-12	VYDAJ	PREVOD NA UCET	1511	60512	UVER	AB	4855519
3144382	10436	1997-06-12	VYDAJ	PREVOD NA UCET	1511	69683	UVER	AB	4855519
3144383	10436	1997-07-12	VYDAJ	PREVOD NA UCET	1511	49915	UVER	AB	4855519
3144384	10436	1997-08-12	VYDAJ	PREVOD NA UCET	1511	63803	UVER	AB	4855519
3144385	10436	1997-09-12	VYDAJ	PREVOD NA UCET	1511	66830	UVER	AB	4855519
3144386	10436	1997-10-12	VYDAJ	PREVOD NA UCET	1511	70872	UVER	AB	4855519
3144387	10436	1997-11-12	VYDAJ	PREVOD NA UCET	1511	72227	UVER	AB	4855519
3144388	10436	1997-12-12	VYDAJ	PREVOD NA UCET	1511	74540	UVER	AB	4855519
3144389	10436	1998-01-12	VYDAJ	PREVOD NA UCET	1511	72018	UVER	AB	4855519
3144390	10436	1998-02-12	VYDAJ	PREVOD NA UCET	1511	63274	UVER	AB	4855519
3144391	10436	1998-03-12	VYDAJ	PREVOD NA UCET	1511	69205	UVER	AB	4855519
3144392	10436	1998-04-12	VYDAJ	PREVOD NA UCET	1511	73356	UVER	AB	4855519
3144393	10436	1998-05-12	VYDAJ	PREVOD NA UCET	1511	70317	UVER	AB	4855519
3144394	10436	1998-06-12	VYDAJ	PREVOD NA UCET	1511	69125	UVER	AB	4855519
3144395	10436	1998-07-12	VYDAJ	PREVOD NA UCET	1511	67385	UVER	AB	4855519
3144396	10436	1998-08-12	VYDAJ	PREVOD NA UCET	1511	72440	UVER	AB	4855519
3144397	10436	1998-09-12	VYDAJ	PREVOD NA UCET	1511	79107	UVER	AB	4855519
3144398	10436	1998-10-12	VYDAJ	PREVOD NA UCET	1511	81099	UVER	AB	4855519
3144399	10436	1998-11-12	VYDAJ	PREVOD NA UCET	1511	79705	UVER	AB	4855519
3144400	10436	1998-12-12	VYDAJ	PREVOD NA UCET	1511	86953	UVER	AB	4855519
3144402	10436	1997-06-28	VYDAJ	VYBER	24600	43683	\N	\N	\N
3144403	10436	1998-06-04	VYDAJ	VYBER	6500	62892	\N	\N	\N
3144405	10436	1997-01-27	VYDAJ	VYBER	4000	36822	\N	\N	\N
3144406	10436	1998-01-20	VYDAJ	VYBER	2300	66818	\N	\N	\N
3144407	10436	1996-12-19	VYDAJ	VYBER	2200	46758	\N	\N	\N
3144408	10436	1997-12-30	VYDAJ	VYBER	2300	72240	\N	\N	\N
3144409	10436	1998-12-28	VYDAJ	VYBER	2200	84753	\N	\N	\N
3144416	10436	1997-01-22	VYDAJ	VYBER	1400	42622	\N	\N	\N
3144417	10436	1997-01-05	VYDAJ	VYBER	1400	45537	\N	\N	\N
3144418	10436	1997-01-18	VYDAJ	VYBER	1900	46622	\N	\N	\N
3144419	10436	1997-01-24	VYDAJ	VYBER	1800	40822	\N	\N	\N
3144420	10436	1997-01-19	VYDAJ	VYBER	2600	44022	\N	\N	\N
3144421	10436	1997-01-15	VYDAJ	VYBER	2700	48522	\N	\N	\N
3144422	10436	1998-01-03	VYDAJ	VYBER	2400	70133	\N	\N	\N
3144423	10436	1998-01-28	VYDAJ	VYBER	1300	62018	\N	\N	\N
3144424	10436	1998-01-30	VYDAJ	VYBER	1800	60218	\N	\N	\N
3144425	10436	1998-01-24	VYDAJ	VYBER	1400	63318	\N	\N	\N
3144426	10436	1998-01-19	VYDAJ	VYBER	2900	69118	\N	\N	\N
3144427	10436	1998-01-20	VYDAJ	VYBER	2100	64718	\N	\N	\N
3144428	10436	1996-09-02	VYDAJ	VYBER	2800	32313	\N	\N	\N
3144429	10436	1996-09-17	VYDAJ	VYBER	4600	37709	\N	\N	\N
3144431	10436	1997-09-02	VYDAJ	VYBER	2500	60845	\N	\N	\N
3144432	10436	1997-08-24	VYDAJ	VYBER	1000	63103	\N	\N	\N
3144433	10436	1997-05-03	VYDAJ	VYBER	2500	58927	\N	\N	\N
3144434	10436	1997-05-10	VYDAJ	VYBER	4400	62023	\N	\N	\N
3144435	10436	1997-10-27	VYDAJ	VYBER	700	68072	\N	\N	\N
3144436	10436	1997-09-24	VYDAJ	VYBER	1800	64630	\N	\N	\N
3144437	10436	1998-07-11	VYDAJ	VYBER	3300	68896	\N	\N	\N
3144438	10436	1998-11-02	VYDAJ	VYBER	3200	78220	\N	\N	\N
3144439	10436	1998-12-03	VYDAJ	VYBER	4300	75720	\N	\N	\N
3144440	10436	1998-05-23	VYDAJ	VYBER	1200	69117	\N	\N	\N
3144441	10436	1998-04-17	VYDAJ	VYBER	4700	68656	\N	\N	\N
3144450	10436	1996-08-31	VYDAJ	VYBER	15	35113	SLUZBY	\N	\N
3144451	10436	1996-09-30	VYDAJ	VYBER	15	36348	SLUZBY	\N	\N
3144452	10436	1996-10-31	VYDAJ	VYBER	15	39580	SLUZBY	\N	\N
3144453	10436	1996-11-30	VYDAJ	VYBER	15	42925	SLUZBY	\N	\N
3144454	10436	1996-12-31	VYDAJ	VYBER	15	46937	SLUZBY	\N	\N
3144455	10436	1997-01-31	VYDAJ	VYBER	15	36996	SLUZBY	\N	\N
3144456	10436	1997-02-28	VYDAJ	VYBER	15	44739	SLUZBY	\N	\N
3144457	10436	1997-03-31	VYDAJ	VYBER	15	52616	SLUZBY	\N	\N
3144458	10436	1997-04-30	VYDAJ	VYBER	15	61427	SLUZBY	\N	\N
3144459	10436	1997-05-31	VYDAJ	VYBER	15	59950	SLUZBY	\N	\N
3144460	10436	1997-06-30	VYDAJ	VYBER	15	43930	SLUZBY	\N	\N
3144461	10436	1997-07-31	VYDAJ	VYBER	15	57818	SLUZBY	\N	\N
3144462	10436	1997-08-31	VYDAJ	VYBER	15	63345	SLUZBY	\N	\N
3144463	10436	1997-09-30	VYDAJ	VYBER	15	64887	SLUZBY	\N	\N
3144464	10436	1997-10-31	VYDAJ	VYBER	15	68342	SLUZBY	\N	\N
3144465	10436	1997-11-30	VYDAJ	VYBER	15	72507	SLUZBY	\N	\N
3144466	10436	1997-12-31	VYDAJ	VYBER	15	72533	SLUZBY	\N	\N
3144467	10436	1998-01-31	VYDAJ	VYBER	15	60489	SLUZBY	\N	\N
3144468	10436	1998-02-28	VYDAJ	VYBER	15	63520	SLUZBY	\N	\N
3144469	10436	1998-03-31	VYDAJ	VYBER	15	69471	SLUZBY	\N	\N
3144470	10436	1998-04-30	VYDAJ	VYBER	15	68932	SLUZBY	\N	\N
3144471	10436	1998-05-31	VYDAJ	VYBER	15	69392	SLUZBY	\N	\N
3144472	10436	1998-06-30	VYDAJ	VYBER	15	69400	SLUZBY	\N	\N
3144473	10436	1998-07-31	VYDAJ	VYBER	15	67655	SLUZBY	\N	\N
3144474	10436	1998-08-31	VYDAJ	VYBER	15	72722	SLUZBY	\N	\N
3144475	10436	1998-09-30	VYDAJ	VYBER	15	79414	SLUZBY	\N	\N
3144476	10436	1998-10-31	VYDAJ	VYBER	15	81420	SLUZBY	\N	\N
3144477	10436	1998-11-30	VYDAJ	VYBER	15	80020	SLUZBY	\N	\N
3144478	10436	1996-04-20	PRIJEM	VKLAD	9900	18196	\N	\N	\N
3144479	10436	1996-05-20	VYDAJ	VYBER	1700	24020	\N	\N	\N
3144480	10436	1996-06-19	VYDAJ	VYBER	5200	30149	\N	\N	\N
3144481	10436	1996-07-19	VYDAJ	VYBER	3700	34055	\N	\N	\N
3144482	10436	1996-08-18	VYDAJ	VYBER	5400	34984	\N	\N	\N
3144483	10436	1996-09-17	PRIJEM	VKLAD	2500	42309	\N	\N	\N
3144484	10436	1996-10-17	VYDAJ	VYBER	2900	39433	\N	\N	\N
3144485	10436	1996-11-16	VYDAJ	VYBER	2800	42765	\N	\N	\N
3144486	10436	1996-12-16	VYDAJ	VYBER	3700	48958	\N	\N	\N
3144487	10436	1997-01-15	VYDAJ	VYBER	300	51222	\N	\N	\N
3144488	10436	1997-02-14	PRIJEM	VKLAD	1600	44581	\N	\N	\N
3144489	10436	1997-03-16	PRIJEM	VKLAD	1700	52424	\N	\N	\N
3144490	10436	1997-04-15	PRIJEM	VKLAD	2600	61201	\N	\N	\N
3144491	10436	1997-05-15	VYDAJ	VYBER	800	59712	\N	\N	\N
3144492	10436	1997-06-14	VYDAJ	VYBER	1400	68283	\N	\N	\N
3144493	10436	1997-07-14	PRIJEM	VKLAD	7700	57615	\N	\N	\N
3144494	10436	1997-08-13	PRIJEM	VKLAD	300	64103	\N	\N	\N
3144495	10436	1997-09-12	VYDAJ	VYBER	400	66430	\N	\N	\N
3144496	10436	1997-10-12	VYDAJ	VYBER	2100	68772	\N	\N	\N
3144497	10436	1997-11-11	VYDAJ	VYBER	2100	73738	\N	\N	\N
3144498	10436	1997-12-11	VYDAJ	VYBER	7700	76051	\N	\N	\N
3144499	10436	1998-01-10	VYDAJ	VYBER	4100	73529	\N	\N	\N
3144500	10436	1998-02-09	VYDAJ	VYBER	3200	64785	\N	\N	\N
3144501	10436	1998-03-11	VYDAJ	VYBER	300	70716	\N	\N	\N
3144502	10436	1998-04-10	VYDAJ	VYBER	2100	74867	\N	\N	\N
3144503	10436	1998-05-10	VYDAJ	VYBER	4600	71828	\N	\N	\N
3144504	10436	1998-06-09	VYDAJ	VYBER	3500	70636	\N	\N	\N
3144505	10436	1998-07-09	VYDAJ	VYBER	4700	72196	\N	\N	\N
3144506	10436	1998-08-08	VYDAJ	VYBER	1200	66455	\N	\N	\N
3144507	10436	1998-09-07	PRIJEM	VKLAD	400	73122	\N	\N	\N
3144508	10436	1998-10-07	VYDAJ	VYBER	4300	75114	\N	\N	\N
3144509	10436	1998-11-06	VYDAJ	VYBER	4500	73720	\N	\N	\N
3144510	10436	1998-12-06	PRIJEM	VKLAD	1500	77220	\N	\N	\N
3145114	10439	1993-11-21	PRIJEM	VKLAD	300	300	\N	\N	\N
3145126	10439	1993-12-08	PRIJEM	PREVOD Z UCTU	56835	57135	\N	OP	41836589
3145127	10439	1994-01-08	PRIJEM	PREVOD Z UCTU	37890	78485	\N	OP	41836589
3145128	10439	1994-02-08	PRIJEM	PREVOD Z UCTU	37890	89361	\N	OP	41836589
3145129	10439	1994-03-08	PRIJEM	PREVOD Z UCTU	37890	96976	\N	OP	41836589
3145130	10439	1994-04-08	PRIJEM	PREVOD Z UCTU	37890	97913	\N	OP	41836589
3145131	10439	1994-05-08	PRIJEM	PREVOD Z UCTU	37890	66462	\N	OP	41836589
3145132	10439	1994-06-08	PRIJEM	PREVOD Z UCTU	56835	68024	\N	OP	41836589
3145133	10439	1994-07-08	PRIJEM	PREVOD Z UCTU	37890	62862	\N	OP	41836589
3145134	10439	1994-08-08	PRIJEM	PREVOD Z UCTU	37890	68980	\N	OP	41836589
3145135	10439	1994-09-08	PRIJEM	PREVOD Z UCTU	37890	72122	\N	OP	41836589
3145136	10439	1994-10-08	PRIJEM	PREVOD Z UCTU	37890	65952	\N	OP	41836589
3145137	10439	1994-11-08	PRIJEM	PREVOD Z UCTU	37890	57077	\N	OP	41836589
3145138	10439	1994-12-08	PRIJEM	PREVOD Z UCTU	56835	70444	\N	OP	41836589
3145139	10439	1995-01-08	PRIJEM	PREVOD Z UCTU	37890	69761	\N	OP	41836589
3145140	10439	1995-02-08	PRIJEM	PREVOD Z UCTU	37890	56254	\N	OP	41836589
3145141	10439	1995-03-08	PRIJEM	PREVOD Z UCTU	37890	65140	\N	OP	41836589
3145142	10439	1995-04-08	PRIJEM	PREVOD Z UCTU	37890	55662	\N	OP	41836589
3145143	10439	1995-05-08	PRIJEM	PREVOD Z UCTU	37890	55507	\N	OP	41836589
3145144	10439	1995-06-08	PRIJEM	PREVOD Z UCTU	56835	72219	\N	OP	41836589
3145145	10439	1995-07-08	PRIJEM	PREVOD Z UCTU	37890	66393	\N	OP	41836589
3145146	10439	1995-08-08	PRIJEM	PREVOD Z UCTU	37890	72516	\N	OP	41836589
3145147	10439	1995-09-08	PRIJEM	PREVOD Z UCTU	37890	75355	\N	OP	41836589
3145148	10439	1995-10-08	PRIJEM	PREVOD Z UCTU	37890	77014	\N	OP	41836589
3145149	10439	1995-11-08	PRIJEM	PREVOD Z UCTU	37890	75460	\N	OP	41836589
3145150	10439	1995-12-08	PRIJEM	PREVOD Z UCTU	56835	82728	\N	OP	41836589
3145151	10439	1996-01-08	PRIJEM	PREVOD Z UCTU	37890	47168	\N	OP	41836589
3145152	10439	1996-02-08	PRIJEM	PREVOD Z UCTU	37890	50105	\N	OP	41836589
3145153	10439	1996-03-08	PRIJEM	PREVOD Z UCTU	37890	55146	\N	OP	41836589
3145154	10439	1996-04-08	PRIJEM	PREVOD Z UCTU	37890	65726	\N	OP	41836589
3145155	10439	1996-05-08	PRIJEM	PREVOD Z UCTU	37890	62935	\N	OP	41836589
3145156	10439	1996-06-08	PRIJEM	PREVOD Z UCTU	56835	82494	\N	OP	41836589
3145157	10439	1996-07-08	PRIJEM	PREVOD Z UCTU	37890	60458	\N	OP	41836589
3145158	10439	1996-08-08	PRIJEM	PREVOD Z UCTU	37890	58529	\N	OP	41836589
3145159	10439	1996-09-08	PRIJEM	PREVOD Z UCTU	37890	73378	\N	OP	41836589
3145160	10439	1996-10-08	PRIJEM	PREVOD Z UCTU	37890	82900	\N	OP	41836589
3145161	10439	1996-11-08	PRIJEM	PREVOD Z UCTU	37890	89359	\N	OP	41836589
3145162	10439	1996-12-08	PRIJEM	PREVOD Z UCTU	56835	105180	\N	OP	41836589
3145163	10439	1997-01-08	PRIJEM	PREVOD Z UCTU	37890	84700	\N	OP	41836589
3145164	10439	1997-02-08	PRIJEM	PREVOD Z UCTU	37890	66512	\N	OP	41836589
3145165	10439	1997-03-08	PRIJEM	PREVOD Z UCTU	37890	87404	\N	OP	41836589
3145166	10439	1997-04-08	PRIJEM	PREVOD Z UCTU	37890	85570	\N	OP	41836589
3145167	10439	1997-05-08	PRIJEM	PREVOD Z UCTU	37890	80237	\N	OP	41836589
3145168	10439	1997-06-08	PRIJEM	PREVOD Z UCTU	56835	109037	\N	OP	41836589
3145169	10439	1997-07-08	PRIJEM	PREVOD Z UCTU	37890	101483	\N	OP	41836589
3145170	10439	1997-08-08	PRIJEM	PREVOD Z UCTU	37890	85613	\N	OP	41836589
3145171	10439	1997-09-08	PRIJEM	PREVOD Z UCTU	37890	84556	\N	OP	41836589
3145172	10439	1997-10-08	PRIJEM	PREVOD Z UCTU	37890	82714	\N	OP	41836589
3145173	10439	1997-11-08	PRIJEM	PREVOD Z UCTU	37890	71752	\N	OP	41836589
3145174	10439	1997-12-08	PRIJEM	PREVOD Z UCTU	56835	100100	\N	OP	41836589
3145175	10439	1998-01-08	PRIJEM	PREVOD Z UCTU	37890	77997	\N	OP	41836589
3145176	10439	1998-02-08	PRIJEM	PREVOD Z UCTU	37890	72895	\N	OP	41836589
3145177	10439	1998-03-08	PRIJEM	PREVOD Z UCTU	37890	72382	\N	OP	41836589
3145178	10439	1998-04-08	PRIJEM	PREVOD Z UCTU	37890	83379	\N	OP	41836589
3145179	10439	1998-05-08	PRIJEM	PREVOD Z UCTU	37890	91723	\N	OP	41836589
3145180	10439	1998-06-08	PRIJEM	PREVOD Z UCTU	56835	118147	\N	OP	41836589
3145181	10439	1998-07-08	PRIJEM	PREVOD Z UCTU	37890	103651	\N	OP	41836589
3145182	10439	1998-08-08	PRIJEM	PREVOD Z UCTU	37890	89035	\N	OP	41836589
3145183	10439	1998-09-08	PRIJEM	PREVOD Z UCTU	37890	99060	\N	OP	41836589
3145184	10439	1998-10-08	PRIJEM	PREVOD Z UCTU	37890	102363	\N	OP	41836589
3145185	10439	1998-11-08	PRIJEM	PREVOD Z UCTU	37890	90481	\N	OP	41836589
3145186	10439	1998-12-08	PRIJEM	PREVOD Z UCTU	56835	120008	\N	OP	41836589
3145202	10439	1994-04-09	VYDAJ	VYBER	5200	92713	\N	\N	0
3145203	10439	1994-05-06	VYDAJ	VYBER	7600	28572	\N	\N	0
3145204	10439	1994-06-12	VYDAJ	PREVOD NA UCET	6315	47559	UVER	AB	78703766
3145205	10439	1994-07-12	VYDAJ	PREVOD NA UCET	6315	56547	UVER	AB	78703766
3145206	10439	1994-08-12	VYDAJ	PREVOD NA UCET	6315	62665	UVER	AB	78703766
3145207	10439	1994-09-12	VYDAJ	PREVOD NA UCET	6315	65807	UVER	AB	78703766
3145208	10439	1994-10-12	VYDAJ	PREVOD NA UCET	6315	59637	UVER	AB	78703766
3145209	10439	1994-11-12	VYDAJ	PREVOD NA UCET	6315	50762	UVER	AB	78703766
3145210	10439	1994-12-12	VYDAJ	PREVOD NA UCET	6315	64129	UVER	AB	78703766
3145211	10439	1995-01-12	VYDAJ	PREVOD NA UCET	6315	58646	UVER	AB	78703766
3145212	10439	1995-02-12	VYDAJ	PREVOD NA UCET	6315	49939	UVER	AB	78703766
3145213	10439	1995-03-12	VYDAJ	PREVOD NA UCET	6315	58825	UVER	AB	78703766
3145214	10439	1995-04-12	VYDAJ	PREVOD NA UCET	6315	49347	UVER	AB	78703766
3145215	10439	1995-05-12	VYDAJ	PREVOD NA UCET	6315	49192	UVER	AB	78703766
3145216	10439	1995-06-12	VYDAJ	PREVOD NA UCET	6315	65904	UVER	AB	78703766
3145217	10439	1995-07-12	VYDAJ	PREVOD NA UCET	6315	60078	UVER	AB	78703766
3145218	10439	1995-08-12	VYDAJ	PREVOD NA UCET	6315	66201	UVER	AB	78703766
3145219	10439	1995-09-12	VYDAJ	PREVOD NA UCET	6315	49040	UVER	AB	78703766
3145220	10439	1995-10-12	VYDAJ	PREVOD NA UCET	6315	70699	UVER	AB	78703766
3145221	10439	1995-11-12	VYDAJ	PREVOD NA UCET	6315	47245	UVER	AB	78703766
3145222	10439	1995-12-12	VYDAJ	PREVOD NA UCET	6315	19292	UVER	AB	78703766
3145223	10439	1996-01-12	VYDAJ	PREVOD NA UCET	6315	36653	UVER	AB	78703766
3145224	10439	1996-02-12	VYDAJ	PREVOD NA UCET	6315	27290	UVER	AB	78703766
3145225	10439	1996-03-12	VYDAJ	PREVOD NA UCET	6315	37831	UVER	AB	78703766
3145226	10439	1996-04-12	VYDAJ	PREVOD NA UCET	6315	44311	UVER	AB	78703766
3145227	10439	1996-05-12	VYDAJ	PREVOD NA UCET	6315	43520	UVER	AB	78703766
3145228	10439	1996-06-07	VYDAJ	VYBER	5500	25659	\N	\N	0
3145229	10439	1996-07-20	VYDAJ	VYBER	5200	26958	\N	\N	0
3145230	10439	1996-08-03	VYDAJ	VYBER	7100	19973	\N	\N	0
3145231	10439	1996-09-03	VYDAJ	VYBER	7200	51522	\N	\N	0
3145232	10439	1996-10-02	VYDAJ	VYBER	6900	66744	\N	\N	0
3145233	10439	1996-11-08	VYDAJ	VYBER	5900	83459	\N	\N	0
3145234	10439	1996-12-10	VYDAJ	VYBER	7500	97680	\N	\N	0
3145235	10439	1997-01-11	VYDAJ	VYBER	6900	66100	\N	\N	0
3145236	10439	1997-02-06	VYDAJ	VYBER	6200	28622	\N	\N	0
3145237	10439	1997-03-21	VYDAJ	VYBER	7700	79704	\N	\N	0
3145238	10439	1997-04-18	VYDAJ	VYBER	5200	80370	\N	\N	0
3145239	10439	1997-05-02	VYDAJ	VYBER	6400	74281	\N	\N	0
3145240	10439	1997-06-21	VYDAJ	VYBER	5300	103737	\N	\N	0
3145241	10439	1997-07-14	VYDAJ	VYBER	7500	93983	\N	\N	0
3145242	10439	1997-08-11	VYDAJ	VYBER	5300	80313	\N	\N	0
3145243	10439	1997-09-09	VYDAJ	VYBER	6800	77756	\N	\N	0
3145244	10439	1997-10-10	VYDAJ	VYBER	6600	76114	\N	\N	0
3145245	10439	1997-11-13	VYDAJ	VYBER	5100	66652	\N	\N	0
3145246	10439	1997-12-06	VYDAJ	VYBER	4800	43265	\N	\N	0
3145247	10439	1998-01-19	VYDAJ	VYBER	6800	71197	\N	\N	0
3145248	10439	1998-02-14	VYDAJ	VYBER	5200	57206	\N	\N	0
3145249	10439	1998-03-18	VYDAJ	VYBER	7400	64982	\N	\N	0
3145250	10439	1998-04-21	VYDAJ	VYBER	6900	76479	\N	\N	0
3145251	10439	1998-05-21	VYDAJ	VYBER	6300	85423	\N	\N	0
3145252	10439	1998-06-18	VYDAJ	VYBER	6500	92547	\N	\N	0
3145253	10439	1998-07-20	VYDAJ	VYBER	5100	85351	\N	\N	0
3145254	10439	1998-08-21	VYDAJ	VYBER	6700	82335	\N	\N	0
3145255	10439	1998-09-19	VYDAJ	VYBER	6100	92960	\N	\N	0
3145256	10439	1998-10-04	VYDAJ	VYBER	5300	74607	\N	\N	0
3145257	10439	1998-11-06	VYDAJ	VYBER	5800	52591	\N	\N	0
3145258	10439	1998-12-14	VYDAJ	VYBER	5500	114508	\N	\N	0
3145275	10439	1994-05-05	VYDAJ	PREVOD NA UCET	10134	36172	SIPO	WX	55833750
3145276	10439	1994-06-05	VYDAJ	PREVOD NA UCET	10134	11189	SIPO	WX	55833750
3145277	10439	1994-07-05	VYDAJ	PREVOD NA UCET	10134	24972	SIPO	WX	55833750
3145278	10439	1994-08-05	VYDAJ	PREVOD NA UCET	10134	31090	SIPO	WX	55833750
3145279	10439	1994-09-05	VYDAJ	PREVOD NA UCET	10134	37232	SIPO	WX	55833750
3145280	10439	1994-10-05	VYDAJ	PREVOD NA UCET	10134	36477	SIPO	WX	55833750
3145281	10439	1994-11-05	VYDAJ	PREVOD NA UCET	10134	19187	SIPO	WX	55833750
3145282	10439	1994-12-05	VYDAJ	PREVOD NA UCET	10134	13609	SIPO	WX	55833750
3145283	10439	1995-01-05	VYDAJ	PREVOD NA UCET	10134	34871	SIPO	WX	55833750
3145284	10439	1995-02-05	VYDAJ	PREVOD NA UCET	10134	18364	SIPO	WX	55833750
3145285	10439	1995-03-05	VYDAJ	PREVOD NA UCET	10134	27250	SIPO	WX	55833750
3145286	10439	1995-04-05	VYDAJ	PREVOD NA UCET	10134	17772	SIPO	WX	55833750
3145287	10439	1995-05-05	VYDAJ	PREVOD NA UCET	10134	17617	SIPO	WX	55833750
3145288	10439	1995-06-05	VYDAJ	PREVOD NA UCET	10134	15384	SIPO	WX	55833750
3145289	10439	1995-07-05	VYDAJ	PREVOD NA UCET	10134	28503	SIPO	WX	55833750
3145290	10439	1995-08-05	VYDAJ	PREVOD NA UCET	10134	34626	SIPO	WX	55833750
3145291	10439	1995-09-05	VYDAJ	PREVOD NA UCET	10134	37465	SIPO	WX	55833750
3145292	10439	1995-10-05	VYDAJ	PREVOD NA UCET	10134	39124	SIPO	WX	55833750
3145293	10439	1995-11-05	VYDAJ	PREVOD NA UCET	10134	37570	SIPO	WX	55833750
3145294	10439	1995-12-05	VYDAJ	PREVOD NA UCET	10134	25893	SIPO	WX	55833750
3145295	10439	1996-01-05	VYDAJ	PREVOD NA UCET	10134	9278	SIPO	WX	55833750
3145296	10439	1996-02-05	VYDAJ	PREVOD NA UCET	10134	12215	SIPO	WX	55833750
3145297	10439	1996-03-05	VYDAJ	PREVOD NA UCET	10134	17256	SIPO	WX	55833750
3145298	10439	1996-04-05	VYDAJ	PREVOD NA UCET	10134	27836	SIPO	WX	55833750
3145299	10439	1996-05-05	VYDAJ	PREVOD NA UCET	10134	34345	SIPO	WX	55833750
3145300	10439	1996-06-05	VYDAJ	PREVOD NA UCET	10134	31159	SIPO	WX	55833750
3145301	10439	1996-07-05	VYDAJ	PREVOD NA UCET	10134	22568	SIPO	WX	55833750
3145302	10439	1996-08-05	VYDAJ	PREVOD NA UCET	10134	9839	SIPO	WX	55833750
3145303	10439	1996-09-05	VYDAJ	PREVOD NA UCET	10134	41388	SIPO	WX	55833750
3145304	10439	1996-10-05	VYDAJ	PREVOD NA UCET	10134	56610	SIPO	WX	55833750
3145305	10439	1996-11-05	VYDAJ	PREVOD NA UCET	10134	51469	SIPO	WX	55833750
3145306	10439	1996-12-05	VYDAJ	PREVOD NA UCET	10134	56745	SIPO	WX	55833750
3145307	10439	1997-01-05	VYDAJ	PREVOD NA UCET	10134	54910	SIPO	WX	55833750
3145308	10439	1997-02-05	VYDAJ	PREVOD NA UCET	10134	34822	SIPO	WX	55833750
3145309	10439	1997-03-05	VYDAJ	PREVOD NA UCET	10134	49514	SIPO	WX	55833750
3145310	10439	1997-04-05	VYDAJ	PREVOD NA UCET	10134	47680	SIPO	WX	55833750
3145311	10439	1997-05-05	VYDAJ	PREVOD NA UCET	10134	42347	SIPO	WX	55833750
3145312	10439	1997-06-05	VYDAJ	PREVOD NA UCET	10134	52202	SIPO	WX	55833750
3145313	10439	1997-07-05	VYDAJ	PREVOD NA UCET	10134	63593	SIPO	WX	55833750
3145314	10439	1997-08-05	VYDAJ	PREVOD NA UCET	10134	47723	SIPO	WX	55833750
3145315	10439	1997-09-05	VYDAJ	PREVOD NA UCET	10134	46666	SIPO	WX	55833750
3145316	10439	1997-10-05	VYDAJ	PREVOD NA UCET	10134	44824	SIPO	WX	55833750
3145317	10439	1997-11-05	VYDAJ	PREVOD NA UCET	10134	36562	SIPO	WX	55833750
3145318	10439	1997-12-05	VYDAJ	PREVOD NA UCET	10134	48065	SIPO	WX	55833750
3145319	10439	1998-01-05	VYDAJ	PREVOD NA UCET	10134	40107	SIPO	WX	55833750
3145320	10439	1998-02-05	VYDAJ	PREVOD NA UCET	10134	35005	SIPO	WX	55833750
3145321	10439	1998-03-05	VYDAJ	PREVOD NA UCET	10134	34492	SIPO	WX	55833750
3145322	10439	1998-04-05	VYDAJ	PREVOD NA UCET	10134	45489	SIPO	WX	55833750
3145323	10439	1998-05-05	VYDAJ	PREVOD NA UCET	10134	53833	SIPO	WX	55833750
3145324	10439	1998-06-05	VYDAJ	PREVOD NA UCET	10134	61312	SIPO	WX	55833750
3145325	10439	1998-07-05	VYDAJ	PREVOD NA UCET	10134	65761	SIPO	WX	55833750
3145326	10439	1998-08-05	VYDAJ	PREVOD NA UCET	10134	51145	SIPO	WX	55833750
3145327	10439	1998-09-05	VYDAJ	PREVOD NA UCET	10134	61170	SIPO	WX	55833750
3145328	10439	1998-10-05	VYDAJ	PREVOD NA UCET	10134	64473	SIPO	WX	55833750
3145329	10439	1998-11-05	VYDAJ	PREVOD NA UCET	10134	58391	SIPO	WX	55833750
3145330	10439	1998-12-05	VYDAJ	PREVOD NA UCET	10134	63173	SIPO	WX	55833750
3145333	10439	1994-11-23	VYBER	VYBER	13453	23609	\N	\N	\N
3145334	10439	1994-04-19	VYBER	VYBER	22367	70346	\N	\N	\N
3145336	10439	1994-10-31	VYBER	VYBER	13554	32991	\N	\N	\N
3145337	10439	1994-06-01	VYBER	VYBER	15993	21323	\N	\N	\N
3145338	10439	1994-10-07	VYBER	VYBER	8415	28062	\N	\N	\N
3145339	10439	1994-05-09	VYBER	VYBER	7936	58526	\N	\N	\N
3145340	10439	1994-11-04	VYBER	VYBER	3655	29321	\N	\N	\N
3145342	10439	1994-06-09	VYBER	VYBER	14150	53874	\N	\N	\N
3145343	10439	1994-05-13	VYBER	VYBER	13577	44949	\N	\N	\N
3145347	10439	1995-03-18	VYBER	VYBER	19271	27754	\N	\N	\N
3145349	10439	1995-12-12	VYBER	VYBER	24221	25607	\N	\N	\N
3145350	10439	1995-07-03	VYBER	VYBER	9047	38637	\N	\N	\N
3145351	10439	1995-04-17	VYBER	VYBER	14124	27623	\N	\N	\N
3145353	10439	1996-12-02	VYBER	VYBER	16894	66879	\N	\N	\N
3145354	10439	1996-05-30	VYBER	VYBER	2395	41125	\N	\N	\N
3145355	10439	1996-06-21	VYBER	VYBER	22158	32536	\N	\N	\N
3145358	10439	1997-09-10	VYBER	VYBER	9561	68195	\N	\N	\N
3145359	10439	1997-12-17	VYBER	VYBER	20865	74735	\N	\N	\N
3145360	10439	1998-08-22	VYBER	VYBER	5435	76900	\N	\N	\N
3145361	10439	1998-11-25	VYBER	VYBER	6405	84076	\N	\N	\N
3145362	10439	1998-02-09	VYBER	VYBER	10489	62406	\N	\N	\N
3145364	10439	1998-02-16	VYBER	VYBER	20954	36252	\N	\N	\N
3145365	10439	1998-12-16	VYBER	VYBER	18162	96346	\N	\N	\N
3145368	10439	1995-12-02	VYDAJ	VYBER	1500	36027	\N	\N	\N
3145369	10439	1996-12-21	VYDAJ	VYBER	3000	94680	\N	\N	\N
3145370	10439	1997-12-14	VYDAJ	VYBER	4500	95600	\N	\N	\N
3145371	10439	1998-12-05	VYDAJ	VYBER	3300	73307	\N	\N	\N
3145384	10439	1995-01-18	VYDAJ	VYBER	6900	31946	\N	\N	\N
3145385	10439	1995-01-05	VYDAJ	VYBER	3000	31871	\N	\N	\N
3145386	10439	1995-01-13	VYDAJ	VYBER	2700	55946	\N	\N	\N
3145387	10439	1995-01-09	VYDAJ	VYBER	4800	64961	\N	\N	\N
3145388	10439	1995-01-16	VYDAJ	VYBER	5100	38846	\N	\N	\N
3145389	10439	1995-01-20	VYDAJ	VYBER	3600	28346	\N	\N	\N
3145390	10439	1996-01-18	VYDAJ	VYBER	8700	24953	\N	\N	\N
3145392	10439	1996-01-12	VYDAJ	VYBER	3000	33653	\N	\N	\N
3145394	10439	1996-01-20	VYDAJ	VYBER	2700	22253	\N	\N	\N
3145396	10439	1997-01-09	VYDAJ	VYBER	4200	73000	\N	\N	\N
3145397	10439	1997-01-05	VYDAJ	VYBER	8100	46810	\N	\N	\N
3145398	10439	1997-01-26	VYDAJ	VYBER	5100	52600	\N	\N	\N
3145399	10439	1997-01-09	VYDAJ	VYBER	5400	77200	\N	\N	\N
3145400	10439	1997-01-09	VYDAJ	VYBER	2100	82600	\N	\N	\N
3145401	10439	1997-01-21	VYDAJ	VYBER	8400	57700	\N	\N	\N
3145402	10439	1998-01-21	VYDAJ	VYBER	6300	60097	\N	\N	\N
3145403	10439	1998-01-03	VYDAJ	VYBER	7200	57441	\N	\N	\N
3145404	10439	1998-01-23	VYDAJ	VYBER	7200	52897	\N	\N	\N
3145405	10439	1998-01-19	VYDAJ	VYBER	4800	66397	\N	\N	\N
3145406	10439	1998-01-04	VYDAJ	VYBER	7200	50241	\N	\N	\N
3145407	10439	1998-01-30	VYDAJ	VYBER	4200	44897	\N	\N	\N
3145414	10439	1994-09-06	VYDAJ	VYBER	3000	34232	\N	\N	\N
3145415	10439	1995-02-13	VYDAJ	VYBER	8100	41839	\N	\N	\N
3145416	10439	1995-05-19	VYDAJ	VYBER	11700	25392	\N	\N	\N
3145417	10439	1995-08-23	VYDAJ	VYBER	2100	47401	\N	\N	\N
3145418	10439	1995-10-17	VYDAJ	VYBER	6300	47499	\N	\N	\N
3145419	10439	1995-12-09	VYDAJ	VYBER	12600	70128	\N	\N	\N
3145420	10439	1995-11-22	VYDAJ	VYBER	9900	37345	\N	\N	\N
3145421	10439	1996-07-11	VYDAJ	VYBER	13200	32158	\N	\N	\N
3145422	10439	1996-05-07	VYDAJ	VYBER	9300	25045	\N	\N	\N
3145423	10439	1996-02-10	VYDAJ	VYBER	8400	33605	\N	\N	\N
3145424	10439	1996-10-23	VYDAJ	VYBER	6600	76300	\N	\N	\N
3145425	10439	1997-11-07	VYDAJ	VYBER	2700	33862	\N	\N	\N
3145426	10439	1997-11-04	VYDAJ	VYBER	12600	46696	\N	\N	\N
3145427	10439	1997-08-16	VYDAJ	VYBER	10200	70113	\N	\N	\N
3145428	10439	1997-08-04	VYDAJ	VYBER	10800	57857	\N	\N	\N
3145429	10439	1998-10-25	VYDAJ	VYBER	4500	97863	\N	\N	\N
3145430	10439	1998-11-04	VYDAJ	VYBER	13500	68525	\N	\N	\N
3145431	10439	1998-07-10	VYDAJ	VYBER	13200	90451	\N	\N	\N
3145432	10439	1998-07-30	VYDAJ	VYBER	8400	60951	\N	\N	\N
3145449	10439	1994-04-30	VYDAJ	VYBER	15	46306	SLUZBY	\N	\N
3145450	10439	1994-05-31	VYDAJ	VYBER	15	37316	SLUZBY	\N	\N
3145451	10439	1994-06-30	VYDAJ	VYBER	15	35106	SLUZBY	\N	\N
3145452	10439	1994-07-31	VYDAJ	VYBER	15	41224	SLUZBY	\N	\N
3145453	10439	1994-08-31	VYDAJ	VYBER	15	47366	SLUZBY	\N	\N
3145454	10439	1994-09-30	VYDAJ	VYBER	15	46611	SLUZBY	\N	\N
3145455	10439	1994-10-31	VYDAJ	VYBER	15	32976	SLUZBY	\N	\N
3145456	10439	1994-11-30	VYDAJ	VYBER	15	23743	SLUZBY	\N	\N
3145457	10439	1994-12-31	VYDAJ	VYBER	15	45005	SLUZBY	\N	\N
3145458	10439	1995-01-31	VYDAJ	VYBER	15	28498	SLUZBY	\N	\N
3145459	10439	1995-02-28	VYDAJ	VYBER	15	37384	SLUZBY	\N	\N
3145460	10439	1995-03-31	VYDAJ	VYBER	15	27906	SLUZBY	\N	\N
3145461	10439	1995-04-30	VYDAJ	VYBER	15	27751	SLUZBY	\N	\N
3145462	10439	1995-05-31	VYDAJ	VYBER	15	25518	SLUZBY	\N	\N
3145463	10439	1995-06-30	VYDAJ	VYBER	15	47684	SLUZBY	\N	\N
3145464	10439	1995-07-31	VYDAJ	VYBER	15	44760	SLUZBY	\N	\N
3145465	10439	1995-08-31	VYDAJ	VYBER	15	47599	SLUZBY	\N	\N
3145466	10439	1995-09-30	VYDAJ	VYBER	15	49258	SLUZBY	\N	\N
3145467	10439	1995-10-31	VYDAJ	VYBER	15	47704	SLUZBY	\N	\N
3145468	10439	1995-11-30	VYDAJ	VYBER	15	37527	SLUZBY	\N	\N
3145469	10439	1995-12-31	VYDAJ	VYBER	15	19412	SLUZBY	\N	\N
3145470	10439	1996-01-31	VYDAJ	VYBER	15	22349	SLUZBY	\N	\N
3145471	10439	1996-02-29	VYDAJ	VYBER	15	27390	SLUZBY	\N	\N
3145472	10439	1996-03-31	VYDAJ	VYBER	15	37970	SLUZBY	\N	\N
3145473	10439	1996-04-30	VYDAJ	VYBER	15	44479	SLUZBY	\N	\N
3145474	10439	1996-05-31	VYDAJ	VYBER	15	41293	SLUZBY	\N	\N
3145475	10439	1996-06-30	VYDAJ	VYBER	15	32702	SLUZBY	\N	\N
3145476	10439	1996-07-31	VYDAJ	VYBER	15	27073	SLUZBY	\N	\N
3145477	10439	1996-08-31	VYDAJ	VYBER	15	58722	SLUZBY	\N	\N
3145478	10439	1996-09-30	VYDAJ	VYBER	15	73644	SLUZBY	\N	\N
3145479	10439	1996-10-31	VYDAJ	VYBER	15	76603	SLUZBY	\N	\N
3145480	10439	1996-11-30	VYDAJ	VYBER	15	83773	SLUZBY	\N	\N
3145481	10439	1996-12-31	VYDAJ	VYBER	15	95044	SLUZBY	\N	\N
3145482	10439	1997-01-31	VYDAJ	VYBER	15	52856	SLUZBY	\N	\N
3145483	10439	1997-02-28	VYDAJ	VYBER	15	66748	SLUZBY	\N	\N
3145484	10439	1997-03-31	VYDAJ	VYBER	15	80014	SLUZBY	\N	\N
3145485	10439	1997-04-30	VYDAJ	VYBER	15	80681	SLUZBY	\N	\N
3145486	10439	1997-05-31	VYDAJ	VYBER	15	80536	SLUZBY	\N	\N
3145487	10439	1997-06-30	VYDAJ	VYBER	15	104127	SLUZBY	\N	\N
3145488	10439	1997-07-31	VYDAJ	VYBER	15	94357	SLUZBY	\N	\N
3145489	10439	1997-08-31	VYDAJ	VYBER	15	70400	SLUZBY	\N	\N
3145490	10439	1997-09-30	VYDAJ	VYBER	15	68458	SLUZBY	\N	\N
3145491	10439	1997-10-31	VYDAJ	VYBER	15	59296	SLUZBY	\N	\N
3145492	10439	1997-11-30	VYDAJ	VYBER	15	66899	SLUZBY	\N	\N
3145493	10439	1997-12-31	VYDAJ	VYBER	15	64641	SLUZBY	\N	\N
3145494	10439	1998-01-31	VYDAJ	VYBER	15	45139	SLUZBY	\N	\N
3145495	10439	1998-02-28	VYDAJ	VYBER	15	44626	SLUZBY	\N	\N
3145496	10439	1998-03-31	VYDAJ	VYBER	15	55623	SLUZBY	\N	\N
3145497	10439	1998-04-30	VYDAJ	VYBER	15	63967	SLUZBY	\N	\N
3145498	10439	1998-05-31	VYDAJ	VYBER	15	71446	SLUZBY	\N	\N
3145499	10439	1998-06-30	VYDAJ	VYBER	15	75895	SLUZBY	\N	\N
3145500	10439	1998-07-31	VYDAJ	VYBER	15	61279	SLUZBY	\N	\N
3145501	10439	1998-08-31	VYDAJ	VYBER	15	71304	SLUZBY	\N	\N
3145502	10439	1998-09-30	VYDAJ	VYBER	15	79907	SLUZBY	\N	\N
3145503	10439	1998-10-31	VYDAJ	VYBER	15	82025	SLUZBY	\N	\N
3145504	10439	1998-11-30	VYDAJ	VYBER	15	76607	SLUZBY	\N	\N
3145505	10439	1993-12-21	VYDAJ	VYBER	16600	40535	\N	\N	\N
3145506	10439	1994-01-20	VYDAJ	VYBER	27200	51285	\N	\N	\N
3145507	10439	1994-02-19	VYDAJ	VYBER	30500	58861	\N	\N	\N
3145508	10439	1994-03-21	VYDAJ	VYBER	37200	59776	\N	\N	\N
3145509	10439	1994-04-20	VYDAJ	VYBER	24300	46046	\N	\N	\N
3145510	10439	1994-05-20	VYDAJ	VYBER	7800	37149	\N	\N	\N
3145511	10439	1994-06-19	VYDAJ	VYBER	12600	34959	\N	\N	\N
3145512	10439	1994-07-19	VYDAJ	VYBER	15500	41047	\N	\N	\N
3145513	10439	1994-08-18	VYDAJ	VYBER	15500	47165	\N	\N	\N
3145514	10439	1994-09-17	VYDAJ	VYBER	19400	46407	\N	\N	\N
3145515	10439	1994-10-17	VYDAJ	VYBER	13300	46337	\N	\N	\N
3145516	10439	1994-11-16	VYDAJ	VYBER	13700	37062	\N	\N	\N
3145517	10439	1994-12-16	VYDAJ	VYBER	19300	44829	\N	\N	\N
3145518	10439	1995-01-15	VYDAJ	VYBER	12000	43946	\N	\N	\N
3145519	10439	1995-02-14	VYDAJ	VYBER	4600	37239	\N	\N	\N
3145520	10439	1995-03-16	VYDAJ	VYBER	11800	47025	\N	\N	\N
3145521	10439	1995-04-15	VYDAJ	VYBER	7600	41747	\N	\N	\N
3145522	10439	1995-05-15	VYDAJ	VYBER	12100	37092	\N	\N	\N
3145523	10439	1995-06-14	VYDAJ	VYBER	18400	47504	\N	\N	\N
3145524	10439	1995-07-14	VYDAJ	VYBER	15500	44578	\N	\N	\N
3145525	10439	1995-08-13	VYDAJ	VYBER	16700	49501	\N	\N	\N
3145526	10439	1995-09-12	VYDAJ	VYBER	20000	55355	\N	\N	\N
3145527	10439	1995-10-12	VYDAJ	VYBER	16900	53799	\N	\N	\N
3145528	10439	1995-11-11	VYDAJ	VYBER	21900	53560	\N	\N	\N
3145529	10439	1995-12-11	VYDAJ	VYBER	20300	49828	\N	\N	\N
3145530	10439	1996-01-10	VYDAJ	VYBER	4200	42968	\N	\N	\N
3145531	10439	1996-02-09	VYDAJ	VYBER	8100	42005	\N	\N	\N
3145532	10439	1996-03-10	VYDAJ	VYBER	11000	44146	\N	\N	\N
3145533	10439	1996-04-09	VYDAJ	VYBER	15100	50626	\N	\N	\N
3145534	10439	1996-05-09	VYDAJ	VYBER	13100	49835	\N	\N	\N
3145535	10439	1996-06-08	VYDAJ	VYBER	27800	54694	\N	\N	\N
3145536	10439	1996-07-08	VYDAJ	VYBER	15100	45358	\N	\N	\N
3145537	10439	1996-08-07	PRIJEM	VKLAD	10800	20639	\N	\N	\N
3145538	10439	1996-09-06	VYDAJ	VYBER	5900	35488	\N	\N	\N
3145539	10439	1996-10-06	VYDAJ	VYBER	11600	45010	\N	\N	\N
3145540	10439	1996-11-05	VYDAJ	VYBER	15000	61603	\N	\N	\N
3145541	10439	1996-12-05	VYDAJ	VYBER	8400	48345	\N	\N	\N
3145542	10439	1997-01-04	VYDAJ	VYBER	30000	65044	\N	\N	\N
3145543	10439	1997-02-03	VYDAJ	VYBER	7900	44956	\N	\N	\N
3145544	10439	1997-03-05	VYDAJ	VYBER	7100	59648	\N	\N	\N
3145545	10439	1997-04-04	VYDAJ	VYBER	22200	57814	\N	\N	\N
3145546	10439	1997-05-04	VYDAJ	VYBER	21800	52481	\N	\N	\N
3145547	10439	1997-06-03	VYDAJ	VYBER	18200	62336	\N	\N	\N
3145548	10439	1997-07-03	VYDAJ	VYBER	30400	73727	\N	\N	\N
3145549	10439	1997-08-02	VYDAJ	VYBER	25700	68657	\N	\N	\N
3145550	10439	1997-09-01	VYDAJ	VYBER	13600	56800	\N	\N	\N
3145551	10439	1997-10-01	VYDAJ	VYBER	13500	54958	\N	\N	\N
3145552	10439	1997-10-31	VYDAJ	VYBER	17100	59311	\N	\N	\N
3145553	10439	1997-11-30	VYDAJ	VYBER	8700	58199	\N	\N	\N
3145554	10439	1997-12-30	VYDAJ	VYBER	10400	64335	\N	\N	\N
3145555	10439	1998-01-29	VYDAJ	VYBER	3800	49097	\N	\N	\N
3145556	10439	1998-02-28	PRIJEM	VKLAD	8200	44452	\N	\N	\N
3145557	10439	1998-03-30	VYDAJ	VYBER	9600	55382	\N	\N	\N
3145558	10439	1998-04-29	VYDAJ	VYBER	12800	63679	\N	\N	\N
3145559	10439	1998-05-29	VYDAJ	VYBER	14300	71123	\N	\N	\N
3145560	10439	1998-06-08	VYDAJ	VYBER	19100	99047	\N	\N	\N
3145561	10439	1998-06-28	VYDAJ	VYBER	17000	75547	\N	\N	\N
3145562	10439	1998-07-28	VYDAJ	VYBER	16000	69351	\N	\N	\N
3145563	10439	1998-08-27	VYDAJ	VYBER	5900	71000	\N	\N	\N
3145564	10439	1998-09-26	VYDAJ	VYBER	13400	79560	\N	\N	\N
3145565	10439	1998-10-26	VYDAJ	VYBER	16200	81663	\N	\N	\N
3145566	10439	1998-11-25	VYDAJ	VYBER	7800	76276	\N	\N	\N
3145628	10440	1993-09-13	PRIJEM	VKLAD	400	400	\N	\N	\N
3145638	10440	1993-10-05	PRIJEM	VKLAD	7366	7766	\N	\N	\N
3145639	10440	1993-11-05	PRIJEM	VKLAD	7366	23674	\N	\N	\N
3145640	10440	1993-12-05	PRIJEM	VKLAD	11049	34910	\N	\N	\N
3145641	10440	1994-01-05	PRIJEM	VKLAD	7366	38896	\N	\N	\N
3145642	10440	1994-02-05	PRIJEM	VKLAD	7366	39394	\N	\N	\N
3145643	10440	1994-03-05	PRIJEM	VKLAD	7366	33456	\N	\N	\N
3145644	10440	1994-04-05	PRIJEM	VKLAD	7366	31808	\N	\N	\N
3145645	10440	1994-05-05	PRIJEM	VKLAD	7366	34761	\N	\N	\N
3145646	10440	1994-06-05	PRIJEM	VKLAD	11049	37300	\N	\N	\N
3145647	10440	1994-07-05	PRIJEM	VKLAD	7366	34555	\N	\N	\N
3145648	10440	1994-08-05	PRIJEM	VKLAD	7366	28525	\N	\N	\N
3145649	10440	1994-09-05	PRIJEM	VKLAD	7366	29559	\N	\N	\N
3145650	10440	1994-10-05	PRIJEM	VKLAD	7366	27188	\N	\N	\N
3145651	10440	1994-11-05	PRIJEM	VKLAD	7366	23507	\N	\N	\N
3145652	10440	1994-12-05	PRIJEM	VKLAD	11049	29110	\N	\N	\N
3145653	10440	1995-01-05	PRIJEM	VKLAD	7366	24400	\N	\N	\N
3145654	10440	1995-02-05	PRIJEM	VKLAD	7366	26122	\N	\N	\N
3145655	10440	1995-03-05	PRIJEM	VKLAD	7366	26149	\N	\N	\N
3145656	10440	1995-04-05	PRIJEM	VKLAD	7366	30285	\N	\N	\N
3145657	10440	1995-05-05	PRIJEM	VKLAD	7366	28203	\N	\N	\N
3145658	10440	1995-06-05	PRIJEM	VKLAD	11049	32620	\N	\N	\N
3145659	10440	1995-07-05	PRIJEM	VKLAD	7366	24245	\N	\N	\N
3145660	10440	1995-08-05	PRIJEM	VKLAD	7366	30968	\N	\N	\N
3145661	10440	1995-09-05	PRIJEM	VKLAD	7366	30727	\N	\N	\N
3145662	10440	1995-10-05	PRIJEM	VKLAD	7366	34474	\N	\N	\N
3145663	10440	1995-11-05	PRIJEM	VKLAD	7366	35236	\N	\N	\N
3145664	10440	1995-12-05	PRIJEM	VKLAD	11049	38052	\N	\N	\N
3145665	10440	1996-01-05	PRIJEM	VKLAD	7366	36007	\N	\N	\N
3145666	10440	1996-02-05	PRIJEM	VKLAD	7366	31478	\N	\N	\N
3145667	10440	1996-03-05	PRIJEM	VKLAD	7366	39142	\N	\N	\N
3145668	10440	1996-04-05	PRIJEM	VKLAD	7366	39621	\N	\N	\N
3145669	10440	1996-05-05	PRIJEM	VKLAD	7366	42601	\N	\N	\N
3145670	10440	1996-06-05	PRIJEM	VKLAD	11049	41654	\N	\N	\N
3145671	10440	1996-07-05	PRIJEM	VKLAD	7366	42638	\N	\N	\N
3145672	10440	1996-08-05	PRIJEM	VKLAD	7366	43229	\N	\N	\N
3145673	10440	1996-09-05	PRIJEM	VKLAD	7366	46024	\N	\N	\N
3145674	10440	1996-10-05	PRIJEM	VKLAD	7366	45703	\N	\N	\N
3145675	10440	1996-11-05	PRIJEM	VKLAD	7366	44805	\N	\N	\N
3145676	10440	1996-12-05	PRIJEM	VKLAD	11049	45348	\N	\N	\N
3145677	10440	1997-01-05	PRIJEM	VKLAD	7366	48757	\N	\N	\N
3145678	10440	1997-02-05	PRIJEM	VKLAD	7366	46045	\N	\N	\N
3145679	10440	1997-03-05	PRIJEM	VKLAD	7366	49552	\N	\N	\N
3145680	10440	1997-04-05	PRIJEM	VKLAD	7366	53373	\N	\N	\N
3145681	10440	1997-05-05	PRIJEM	VKLAD	7366	53237	\N	\N	\N
3145682	10440	1997-06-05	PRIJEM	VKLAD	11049	59256	\N	\N	\N
3145683	10440	1997-07-05	PRIJEM	VKLAD	7366	40099	\N	\N	\N
3145684	10440	1997-08-05	PRIJEM	VKLAD	7366	45484	\N	\N	\N
3145685	10440	1997-09-05	PRIJEM	VKLAD	7366	47458	\N	\N	\N
3145686	10440	1997-10-05	PRIJEM	VKLAD	7366	51210	\N	\N	\N
3145687	10440	1997-11-05	PRIJEM	VKLAD	7366	53136	\N	\N	\N
3145688	10440	1997-12-05	PRIJEM	VKLAD	11049	62760	\N	\N	\N
3145689	10440	1998-01-05	PRIJEM	VKLAD	7366	65009	\N	\N	\N
3145690	10440	1998-02-05	PRIJEM	VKLAD	7366	60126	\N	\N	\N
3145691	10440	1998-03-05	PRIJEM	VKLAD	7366	64092	\N	\N	\N
3145692	10440	1998-04-05	PRIJEM	VKLAD	7366	66973	\N	\N	\N
3145693	10440	1998-05-05	PRIJEM	VKLAD	7366	61561	\N	\N	\N
3145694	10440	1998-06-05	PRIJEM	VKLAD	11049	61900	\N	\N	\N
3145695	10440	1998-07-05	PRIJEM	VKLAD	7366	58251	\N	\N	\N
3145696	10440	1998-08-05	PRIJEM	VKLAD	7366	58845	\N	\N	\N
3145697	10440	1998-09-05	PRIJEM	VKLAD	7366	58699	\N	\N	\N
3145698	10440	1998-10-05	PRIJEM	VKLAD	7366	56247	\N	\N	\N
3145699	10440	1998-11-05	PRIJEM	VKLAD	7366	52021	\N	\N	\N
3145700	10440	1998-12-05	PRIJEM	VKLAD	11049	58234	\N	\N	\N
3145714	10440	1994-02-10	VYDAJ	PREVOD NA UCET	2960	35734	SIPO	YZ	4957092
3145715	10440	1994-03-10	VYDAJ	PREVOD NA UCET	2960	30496	SIPO	YZ	4957092
3145716	10440	1994-04-10	VYDAJ	PREVOD NA UCET	2960	28848	SIPO	YZ	4957092
3145717	10440	1994-05-10	VYDAJ	PREVOD NA UCET	2960	31801	SIPO	YZ	4957092
3145718	10440	1994-06-10	VYDAJ	PREVOD NA UCET	2960	34340	SIPO	YZ	4957092
3145719	10440	1994-07-10	VYDAJ	PREVOD NA UCET	2960	31595	SIPO	YZ	4957092
3145720	10440	1994-08-10	VYDAJ	PREVOD NA UCET	2960	25265	SIPO	YZ	4957092
3145721	10440	1994-09-10	VYDAJ	PREVOD NA UCET	2960	22699	SIPO	YZ	4957092
3145722	10440	1994-10-10	VYDAJ	PREVOD NA UCET	2960	21728	SIPO	YZ	4957092
3145723	10440	1994-11-10	VYDAJ	PREVOD NA UCET	2960	19947	SIPO	YZ	4957092
3145724	10440	1994-12-10	VYDAJ	PREVOD NA UCET	2960	24350	SIPO	YZ	4957092
3145725	10440	1995-01-10	VYDAJ	PREVOD NA UCET	2960	21640	SIPO	YZ	4957092
3145726	10440	1995-02-10	VYDAJ	PREVOD NA UCET	2960	21762	SIPO	YZ	4957092
3145727	10440	1995-03-10	VYDAJ	PREVOD NA UCET	2960	25689	SIPO	YZ	4957092
3145728	10440	1995-04-10	VYDAJ	PREVOD NA UCET	2960	26125	SIPO	YZ	4957092
3145729	10440	1995-05-10	VYDAJ	PREVOD NA UCET	2960	24143	SIPO	YZ	4957092
3145730	10440	1995-06-10	VYDAJ	PREVOD NA UCET	2960	23560	SIPO	YZ	4957092
3145731	10440	1995-07-10	VYDAJ	PREVOD NA UCET	2960	21885	SIPO	YZ	4957092
3145732	10440	1995-08-10	VYDAJ	PREVOD NA UCET	2960	28008	SIPO	YZ	4957092
3145733	10440	1995-09-10	VYDAJ	PREVOD NA UCET	2960	27767	SIPO	YZ	4957092
3145734	10440	1995-10-10	VYDAJ	PREVOD NA UCET	2960	31514	SIPO	YZ	4957092
3146033	10440	1998-10-31	VYDAJ	VYBER	15	44655	SLUZBY	\N	\N
3145735	10440	1995-11-10	VYDAJ	PREVOD NA UCET	2960	32276	SIPO	YZ	4957092
3145736	10440	1995-12-10	VYDAJ	PREVOD NA UCET	2960	31012	SIPO	YZ	4957092
3145737	10440	1996-01-10	VYDAJ	PREVOD NA UCET	2960	23287	SIPO	YZ	4957092
3145738	10440	1996-02-10	VYDAJ	PREVOD NA UCET	2960	28518	SIPO	YZ	4957092
3145739	10440	1996-03-10	VYDAJ	PREVOD NA UCET	2960	36182	SIPO	YZ	4957092
3145740	10440	1996-04-10	VYDAJ	PREVOD NA UCET	2960	36661	SIPO	YZ	4957092
3145741	10440	1996-05-10	VYDAJ	PREVOD NA UCET	2960	39641	SIPO	YZ	4957092
3145742	10440	1996-06-10	VYDAJ	PREVOD NA UCET	2960	38694	SIPO	YZ	4957092
3145743	10440	1996-07-10	VYDAJ	PREVOD NA UCET	2960	39678	SIPO	YZ	4957092
3145744	10440	1996-08-10	VYDAJ	PREVOD NA UCET	2960	40269	SIPO	YZ	4957092
3145745	10440	1996-09-10	VYDAJ	PREVOD NA UCET	2960	39944	SIPO	YZ	4957092
3145746	10440	1996-10-10	VYDAJ	PREVOD NA UCET	2960	42743	SIPO	YZ	4957092
3145747	10440	1996-11-10	VYDAJ	PREVOD NA UCET	2960	41845	SIPO	YZ	4957092
3145748	10440	1996-12-10	VYDAJ	PREVOD NA UCET	2960	42388	SIPO	YZ	4957092
3145749	10440	1997-01-10	VYDAJ	PREVOD NA UCET	2960	42437	SIPO	YZ	4957092
3145750	10440	1997-02-10	VYDAJ	PREVOD NA UCET	2960	43085	SIPO	YZ	4957092
3145751	10440	1997-03-10	VYDAJ	PREVOD NA UCET	2960	46592	SIPO	YZ	4957092
3145752	10440	1997-04-10	VYDAJ	PREVOD NA UCET	2960	44653	SIPO	YZ	4957092
3145753	10440	1997-05-10	VYDAJ	PREVOD NA UCET	2960	50277	SIPO	YZ	4957092
3145754	10440	1997-06-10	VYDAJ	PREVOD NA UCET	2960	56296	SIPO	YZ	4957092
3145755	10440	1997-07-10	VYDAJ	PREVOD NA UCET	2960	37139	SIPO	YZ	4957092
3145756	10440	1997-08-10	VYDAJ	PREVOD NA UCET	2960	42524	SIPO	YZ	4957092
3145757	10440	1997-09-10	VYDAJ	PREVOD NA UCET	2960	44498	SIPO	YZ	4957092
3145758	10440	1997-10-10	VYDAJ	PREVOD NA UCET	2960	48250	SIPO	YZ	4957092
3145759	10440	1997-11-10	VYDAJ	PREVOD NA UCET	2960	50176	SIPO	YZ	4957092
3145760	10440	1997-12-10	VYDAJ	PREVOD NA UCET	2960	59800	SIPO	YZ	4957092
3145761	10440	1998-01-10	VYDAJ	PREVOD NA UCET	2960	62049	SIPO	YZ	4957092
3145762	10440	1998-02-10	VYDAJ	PREVOD NA UCET	2960	57166	SIPO	YZ	4957092
3145763	10440	1998-03-10	VYDAJ	PREVOD NA UCET	2960	61132	SIPO	YZ	4957092
3145764	10440	1998-04-10	VYDAJ	PREVOD NA UCET	2960	64013	SIPO	YZ	4957092
3145765	10440	1998-05-10	VYDAJ	PREVOD NA UCET	2960	53801	SIPO	YZ	4957092
3145766	10440	1998-06-10	VYDAJ	PREVOD NA UCET	2960	53340	SIPO	YZ	4957092
3145767	10440	1998-07-10	VYDAJ	PREVOD NA UCET	2960	55291	SIPO	YZ	4957092
3145768	10440	1998-08-10	VYDAJ	PREVOD NA UCET	2960	55885	SIPO	YZ	4957092
3145769	10440	1998-09-10	VYDAJ	PREVOD NA UCET	2960	55739	SIPO	YZ	4957092
3145770	10440	1998-10-10	VYDAJ	PREVOD NA UCET	2960	53287	SIPO	YZ	4957092
3145771	10440	1998-11-10	VYDAJ	PREVOD NA UCET	2960	49061	SIPO	YZ	4957092
3145772	10440	1998-12-10	VYDAJ	PREVOD NA UCET	2960	55274	SIPO	YZ	4957092
3145786	10440	1994-02-11	VYDAJ	PREVOD NA UCET	1950	26984	 	IJ	96339386
3145787	10440	1994-03-11	VYDAJ	PREVOD NA UCET	1950	28546	 	IJ	96339386
3145788	10440	1994-04-11	VYDAJ	PREVOD NA UCET	1950	28098	 	IJ	96339386
3145789	10440	1994-05-11	VYDAJ	PREVOD NA UCET	1950	29851	 	IJ	96339386
3145790	10440	1994-06-11	VYDAJ	PREVOD NA UCET	1950	27890	 	IJ	96339386
3145791	10440	1994-07-11	VYDAJ	PREVOD NA UCET	1950	26345	 	IJ	96339386
3145792	10440	1994-08-11	VYDAJ	PREVOD NA UCET	1950	22115	 	IJ	96339386
3145793	10440	1994-09-11	VYDAJ	PREVOD NA UCET	1950	20749	 	IJ	96339386
3145794	10440	1994-10-11	VYDAJ	PREVOD NA UCET	1950	19778	 	IJ	96339386
3145795	10440	1994-11-11	VYDAJ	PREVOD NA UCET	1950	17997	 	IJ	96339386
3145796	10440	1994-12-11	VYDAJ	PREVOD NA UCET	1950	22400	 	IJ	96339386
3145797	10440	1995-01-11	VYDAJ	PREVOD NA UCET	1950	19690	 	IJ	96339386
3145798	10440	1995-02-11	VYDAJ	PREVOD NA UCET	1950	19812	 	IJ	96339386
3145799	10440	1995-03-11	VYDAJ	PREVOD NA UCET	1950	23739	 	IJ	96339386
3145800	10440	1995-04-11	VYDAJ	PREVOD NA UCET	1950	23275	 	IJ	96339386
3145801	10440	1995-05-11	VYDAJ	PREVOD NA UCET	1950	22193	 	IJ	96339386
3145802	10440	1995-06-11	VYDAJ	PREVOD NA UCET	1950	21610	 	IJ	96339386
3145803	10440	1995-07-11	VYDAJ	PREVOD NA UCET	1950	19935	 	IJ	96339386
3145804	10440	1995-08-11	VYDAJ	PREVOD NA UCET	1950	26058	 	IJ	96339386
3145805	10440	1995-09-11	VYDAJ	PREVOD NA UCET	1950	25817	 	IJ	96339386
3145806	10440	1995-10-11	VYDAJ	PREVOD NA UCET	1950	29564	 	IJ	96339386
3145807	10440	1995-11-11	VYDAJ	PREVOD NA UCET	1950	30326	 	IJ	96339386
3145808	10440	1995-12-11	VYDAJ	PREVOD NA UCET	1950	29062	 	IJ	96339386
3145809	10440	1996-01-11	VYDAJ	PREVOD NA UCET	1950	21337	 	IJ	96339386
3145810	10440	1996-02-11	VYDAJ	PREVOD NA UCET	1950	26568	 	IJ	96339386
3145811	10440	1996-03-11	VYDAJ	PREVOD NA UCET	1950	34232	 	IJ	96339386
3145812	10440	1996-04-11	VYDAJ	PREVOD NA UCET	1950	34711	 	IJ	96339386
3145813	10440	1996-05-11	VYDAJ	PREVOD NA UCET	1950	37691	 	IJ	96339386
3145814	10440	1996-06-11	VYDAJ	PREVOD NA UCET	1950	36744	 	IJ	96339386
3145815	10440	1996-07-11	VYDAJ	PREVOD NA UCET	1950	37728	 	IJ	96339386
3145816	10440	1996-08-11	VYDAJ	PREVOD NA UCET	1950	38319	 	IJ	96339386
3145817	10440	1996-09-11	VYDAJ	PREVOD NA UCET	1950	37994	 	IJ	96339386
3145818	10440	1996-10-11	VYDAJ	PREVOD NA UCET	1950	40793	 	IJ	96339386
3145819	10440	1996-11-11	VYDAJ	PREVOD NA UCET	1950	39895	 	IJ	96339386
3145820	10440	1996-12-11	VYDAJ	PREVOD NA UCET	1950	40438	 	IJ	96339386
3145821	10440	1997-01-11	VYDAJ	PREVOD NA UCET	1950	40487	 	IJ	96339386
3145822	10440	1997-02-11	VYDAJ	PREVOD NA UCET	1950	41135	 	IJ	96339386
3145823	10440	1997-03-11	VYDAJ	PREVOD NA UCET	1950	44642	 	IJ	96339386
3145824	10440	1997-04-11	VYDAJ	PREVOD NA UCET	1950	42703	 	IJ	96339386
3145825	10440	1997-05-11	VYDAJ	PREVOD NA UCET	1950	48327	 	IJ	96339386
3145826	10440	1997-06-11	VYDAJ	PREVOD NA UCET	1950	54346	 	IJ	96339386
3145827	10440	1997-07-11	VYDAJ	PREVOD NA UCET	1950	35189	 	IJ	96339386
3145828	10440	1997-08-11	VYDAJ	PREVOD NA UCET	1950	40574	 	IJ	96339386
3145829	10440	1997-09-11	VYDAJ	PREVOD NA UCET	1950	42548	 	IJ	96339386
3145830	10440	1997-10-11	VYDAJ	PREVOD NA UCET	1950	46300	 	IJ	96339386
3145831	10440	1997-11-11	VYDAJ	PREVOD NA UCET	1950	48226	 	IJ	96339386
3145832	10440	1997-12-11	VYDAJ	PREVOD NA UCET	1950	57850	 	IJ	96339386
3145833	10440	1998-01-11	VYDAJ	PREVOD NA UCET	1950	60099	 	IJ	96339386
3145834	10440	1998-02-11	VYDAJ	PREVOD NA UCET	1950	55216	 	IJ	96339386
3145835	10440	1998-03-11	VYDAJ	PREVOD NA UCET	1950	59182	 	IJ	96339386
3145836	10440	1998-04-11	VYDAJ	PREVOD NA UCET	1950	62063	 	IJ	96339386
3145837	10440	1998-05-11	VYDAJ	PREVOD NA UCET	1950	51851	 	IJ	96339386
3145838	10440	1998-06-11	VYDAJ	PREVOD NA UCET	1950	51390	 	IJ	96339386
3145839	10440	1998-07-11	VYDAJ	PREVOD NA UCET	1950	53341	 	IJ	96339386
3145840	10440	1998-08-11	VYDAJ	PREVOD NA UCET	1950	53935	 	IJ	96339386
3145841	10440	1998-09-11	VYDAJ	PREVOD NA UCET	1950	53789	 	IJ	96339386
3145842	10440	1998-10-11	VYDAJ	PREVOD NA UCET	1950	51337	 	IJ	96339386
3145843	10440	1998-11-11	VYDAJ	PREVOD NA UCET	1950	47111	 	IJ	96339386
3145844	10440	1998-12-11	VYDAJ	PREVOD NA UCET	1950	53324	 	IJ	96339386
3145858	10440	1994-02-09	VYDAJ	VYBER	700	38694	\N	\N	0
3145859	10440	1994-03-04	VYDAJ	VYBER	1000	26090	\N	\N	0
3145860	10440	1994-04-16	VYDAJ	VYBER	800	27298	\N	\N	0
3145861	10440	1994-05-18	VYDAJ	VYBER	1100	26151	\N	\N	0
3145862	10440	1994-06-18	VYDAJ	VYBER	800	27090	\N	\N	0
3145863	10440	1994-07-10	VYDAJ	VYBER	900	28295	\N	\N	0
3145864	10440	1994-08-11	VYDAJ	VYBER	1200	24065	\N	\N	0
3145865	10440	1994-09-20	VYDAJ	VYBER	1000	19749	\N	\N	0
3145866	10440	1994-10-11	VYDAJ	VYBER	900	18878	\N	\N	0
3145867	10440	1994-11-04	VYDAJ	VYBER	1000	16141	\N	\N	0
3145868	10440	1994-12-16	VYDAJ	VYBER	800	21600	\N	\N	0
3145869	10440	1995-01-17	VYDAJ	VYBER	1000	18690	\N	\N	0
3145870	10440	1995-02-11	VYDAJ	VYBER	1100	18712	\N	\N	0
3145871	10440	1995-03-17	VYDAJ	VYBER	900	22839	\N	\N	0
3145872	10440	1995-04-11	VYDAJ	VYBER	900	25225	\N	\N	0
3145873	10440	1995-05-18	VYDAJ	VYBER	700	21493	\N	\N	0
3145874	10440	1995-06-08	VYDAJ	VYBER	1100	26520	\N	\N	0
3145875	10440	1995-07-12	VYDAJ	PREVOD NA UCET	1000	18935	UVER	AB	1623732
3145876	10440	1995-08-12	VYDAJ	PREVOD NA UCET	1000	25058	UVER	AB	1623732
3145877	10440	1995-09-12	VYDAJ	PREVOD NA UCET	1000	24817	UVER	AB	1623732
3145878	10440	1995-10-12	VYDAJ	PREVOD NA UCET	1000	28564	UVER	AB	1623732
3145879	10440	1995-11-12	VYDAJ	PREVOD NA UCET	1000	24406	UVER	AB	1623732
3145880	10440	1995-12-12	VYDAJ	PREVOD NA UCET	1000	28062	UVER	AB	1623732
3145881	10440	1996-01-12	VYDAJ	PREVOD NA UCET	1000	20337	UVER	AB	1623732
3145882	10440	1996-02-12	VYDAJ	PREVOD NA UCET	1000	25568	UVER	AB	1623732
3145883	10440	1996-03-12	VYDAJ	PREVOD NA UCET	1000	33232	UVER	AB	1623732
3145884	10440	1996-04-12	VYDAJ	PREVOD NA UCET	1000	33711	UVER	AB	1623732
3145885	10440	1996-05-12	VYDAJ	PREVOD NA UCET	1000	36691	UVER	AB	1623732
3145886	10440	1996-06-12	VYDAJ	PREVOD NA UCET	1000	35744	UVER	AB	1623732
3145887	10440	1996-07-12	VYDAJ	PREVOD NA UCET	1000	36728	UVER	AB	1623732
3145888	10440	1996-08-12	VYDAJ	PREVOD NA UCET	1000	37319	UVER	AB	1623732
3145889	10440	1996-09-12	VYDAJ	PREVOD NA UCET	1000	36994	UVER	AB	1623732
3145890	10440	1996-10-12	VYDAJ	PREVOD NA UCET	1000	39793	UVER	AB	1623732
3145891	10440	1996-11-12	VYDAJ	PREVOD NA UCET	1000	38895	UVER	AB	1623732
3145892	10440	1996-12-12	VYDAJ	PREVOD NA UCET	1000	39438	UVER	AB	1623732
3145893	10440	1997-01-12	VYDAJ	PREVOD NA UCET	1000	39487	UVER	AB	1623732
3145894	10440	1997-02-12	VYDAJ	PREVOD NA UCET	1000	40135	UVER	AB	1623732
3145895	10440	1997-03-12	VYDAJ	PREVOD NA UCET	1000	43642	UVER	AB	1623732
3145896	10440	1997-04-12	VYDAJ	PREVOD NA UCET	1000	41703	UVER	AB	1623732
3145897	10440	1997-05-12	VYDAJ	PREVOD NA UCET	1000	47327	UVER	AB	1623732
3145898	10440	1997-06-12	VYDAJ	PREVOD NA UCET	1000	22306	UVER	AB	1623732
3145899	10440	1997-07-12	VYDAJ	PREVOD NA UCET	1000	34189	UVER	AB	1623732
3145900	10440	1997-08-12	VYDAJ	PREVOD NA UCET	1000	34054	UVER	AB	1623732
3145901	10440	1997-09-12	VYDAJ	PREVOD NA UCET	1000	41548	UVER	AB	1623732
3145902	10440	1997-10-12	VYDAJ	PREVOD NA UCET	1000	45300	UVER	AB	1623732
3145903	10440	1997-11-12	VYDAJ	PREVOD NA UCET	1000	47226	UVER	AB	1623732
3145904	10440	1997-12-12	VYDAJ	PREVOD NA UCET	1000	56850	UVER	AB	1623732
3145905	10440	1998-01-12	VYDAJ	PREVOD NA UCET	1000	43259	UVER	AB	1623732
3145906	10440	1998-02-12	VYDAJ	PREVOD NA UCET	1000	54216	UVER	AB	1623732
3145907	10440	1998-03-12	VYDAJ	PREVOD NA UCET	1000	58182	UVER	AB	1623732
3145908	10440	1998-04-12	VYDAJ	PREVOD NA UCET	1000	61063	UVER	AB	1623732
3145909	10440	1998-05-12	VYDAJ	PREVOD NA UCET	1000	50851	UVER	AB	1623732
3145910	10440	1998-06-12	VYDAJ	PREVOD NA UCET	1000	50390	UVER	AB	1623732
3145911	10440	1998-07-12	VYDAJ	PREVOD NA UCET	1000	52341	UVER	AB	1623732
3145912	10440	1998-08-12	VYDAJ	PREVOD NA UCET	1000	52935	UVER	AB	1623732
3145913	10440	1998-09-12	VYDAJ	PREVOD NA UCET	1000	52789	UVER	AB	1623732
3145914	10440	1998-10-12	VYDAJ	PREVOD NA UCET	1000	50337	UVER	AB	1623732
3145915	10440	1998-11-12	VYDAJ	PREVOD NA UCET	1000	46111	UVER	AB	1623732
3145916	10440	1998-12-12	VYDAJ	PREVOD NA UCET	1000	52324	UVER	AB	1623732
3145921	10440	1997-06-11	VYDAJ	VYBER	31040	23306	\N	\N	\N
3145922	10440	1998-06-07	VYDAJ	VYBER	5600	56300	\N	\N	\N
3145926	10440	1996-01-07	VYDAJ	VYBER	9760	26247	\N	\N	\N
3145927	10440	1997-01-27	VYDAJ	VYBER	1760	38527	\N	\N	\N
3145928	10440	1998-01-12	VYDAJ	VYBER	15840	44259	\N	\N	\N
3145930	10440	1994-12-30	VYDAJ	VYBER	4640	16960	\N	\N	\N
3145931	10440	1995-12-26	VYDAJ	VYBER	3520	22742	\N	\N	\N
3145932	10440	1996-12-01	VYDAJ	VYBER	3040	34299	\N	\N	\N
3145933	10440	1997-12-15	VYDAJ	VYBER	1120	55730	\N	\N	\N
3145934	10440	1998-12-19	VYDAJ	VYBER	3040	48784	\N	\N	\N
3145941	10440	1994-07-29	VYDAJ	VYBER	5280	21065	\N	\N	\N
3145943	10440	1994-10-17	VYDAJ	VYBER	1800	17078	\N	\N	\N
3145944	10440	1995-04-17	VYDAJ	VYBER	2520	20755	\N	\N	\N
3145945	10440	1995-12-20	VYDAJ	VYBER	1800	26262	\N	\N	\N
3145946	10440	1995-12-06	VYDAJ	VYBER	4080	33972	\N	\N	\N
3145947	10440	1995-08-16	VYDAJ	VYBER	3480	21578	\N	\N	\N
3145948	10440	1995-06-15	VYDAJ	VYBER	4800	16810	\N	\N	\N
3145949	10440	1995-11-11	VYDAJ	VYBER	4920	25406	\N	\N	\N
3145950	10440	1996-01-18	VYDAJ	VYBER	1320	19017	\N	\N	\N
3145951	10440	1996-01-28	VYDAJ	VYBER	3480	15537	\N	\N	\N
3145952	10440	1996-05-31	VYDAJ	VYBER	5520	30620	\N	\N	\N
3145953	10440	1996-09-08	VYDAJ	VYBER	3120	42904	\N	\N	\N
3145954	10440	1996-02-24	VYDAJ	VYBER	1080	24488	\N	\N	\N
3145955	10440	1997-08-11	VYDAJ	VYBER	5520	35054	\N	\N	\N
3145956	10440	1997-04-06	VYDAJ	VYBER	5760	47613	\N	\N	\N
3145957	10440	1997-09-17	VYDAJ	VYBER	2760	38788	\N	\N	\N
3145958	10440	1997-01-07	VYDAJ	VYBER	3360	45397	\N	\N	\N
3145959	10440	1998-10-20	VYDAJ	VYBER	2160	44477	\N	\N	\N
3145960	10440	1998-05-06	VYDAJ	VYBER	4800	56761	\N	\N	\N
3145961	10440	1998-07-29	VYDAJ	VYBER	960	51281	\N	\N	\N
3145962	10440	1998-04-30	VYDAJ	VYBER	5400	54195	\N	\N	\N
3145977	10440	1994-02-28	VYDAJ	VYBER	15	27090	SLUZBY	\N	\N
3145978	10440	1994-03-31	VYDAJ	VYBER	15	24442	SLUZBY	\N	\N
3145979	10440	1994-04-30	VYDAJ	VYBER	15	27395	SLUZBY	\N	\N
3145980	10440	1994-05-31	VYDAJ	VYBER	15	26251	SLUZBY	\N	\N
3145981	10440	1994-06-30	VYDAJ	VYBER	15	27189	SLUZBY	\N	\N
3145982	10440	1994-07-31	VYDAJ	VYBER	15	21159	SLUZBY	\N	\N
3145983	10440	1994-08-31	VYDAJ	VYBER	15	22193	SLUZBY	\N	\N
3145984	10440	1994-09-30	VYDAJ	VYBER	15	19822	SLUZBY	\N	\N
3145985	10440	1994-10-31	VYDAJ	VYBER	15	17141	SLUZBY	\N	\N
3145986	10440	1994-11-30	VYDAJ	VYBER	15	18061	SLUZBY	\N	\N
3145987	10440	1994-12-31	VYDAJ	VYBER	15	17034	SLUZBY	\N	\N
3145988	10440	1995-01-31	VYDAJ	VYBER	15	18756	SLUZBY	\N	\N
3145989	10440	1995-02-28	VYDAJ	VYBER	15	18783	SLUZBY	\N	\N
3145990	10440	1995-03-31	VYDAJ	VYBER	15	22919	SLUZBY	\N	\N
3145991	10440	1995-04-30	VYDAJ	VYBER	15	20837	SLUZBY	\N	\N
3145992	10440	1995-05-31	VYDAJ	VYBER	15	21571	SLUZBY	\N	\N
3145993	10440	1995-06-30	VYDAJ	VYBER	15	16879	SLUZBY	\N	\N
3145994	10440	1995-07-31	VYDAJ	VYBER	15	19002	SLUZBY	\N	\N
3145995	10440	1995-08-31	VYDAJ	VYBER	15	21661	SLUZBY	\N	\N
3145996	10440	1995-09-30	VYDAJ	VYBER	15	24908	SLUZBY	\N	\N
3145997	10440	1995-10-31	VYDAJ	VYBER	15	28670	SLUZBY	\N	\N
3145998	10440	1995-11-30	VYDAJ	VYBER	15	24503	SLUZBY	\N	\N
3145999	10440	1995-12-31	VYDAJ	VYBER	15	22841	SLUZBY	\N	\N
3146000	10440	1996-01-31	VYDAJ	VYBER	15	24112	SLUZBY	\N	\N
3146001	10440	1996-02-29	VYDAJ	VYBER	15	24576	SLUZBY	\N	\N
3146002	10440	1996-03-31	VYDAJ	VYBER	15	33355	SLUZBY	\N	\N
3146003	10440	1996-04-30	VYDAJ	VYBER	15	35235	SLUZBY	\N	\N
3146004	10440	1996-05-31	VYDAJ	VYBER	15	30605	SLUZBY	\N	\N
3146005	10440	1996-06-30	VYDAJ	VYBER	15	35272	SLUZBY	\N	\N
3146006	10440	1996-07-31	VYDAJ	VYBER	15	35863	SLUZBY	\N	\N
3146007	10440	1996-08-31	VYDAJ	VYBER	15	38658	SLUZBY	\N	\N
3146008	10440	1996-09-30	VYDAJ	VYBER	15	38337	SLUZBY	\N	\N
3146009	10440	1996-10-31	VYDAJ	VYBER	15	37439	SLUZBY	\N	\N
3146010	10440	1996-11-30	VYDAJ	VYBER	15	37339	SLUZBY	\N	\N
3146011	10440	1996-12-31	VYDAJ	VYBER	15	41391	SLUZBY	\N	\N
3146012	10440	1997-01-31	VYDAJ	VYBER	15	38679	SLUZBY	\N	\N
3146013	10440	1997-02-28	VYDAJ	VYBER	15	42186	SLUZBY	\N	\N
3146014	10440	1997-03-31	VYDAJ	VYBER	15	46007	SLUZBY	\N	\N
3146015	10440	1997-04-30	VYDAJ	VYBER	15	45871	SLUZBY	\N	\N
3146016	10440	1997-05-31	VYDAJ	VYBER	15	48207	SLUZBY	\N	\N
3146017	10440	1997-06-30	VYDAJ	VYBER	15	32733	SLUZBY	\N	\N
3146018	10440	1997-07-31	VYDAJ	VYBER	15	38118	SLUZBY	\N	\N
3146019	10440	1997-08-31	VYDAJ	VYBER	15	40092	SLUZBY	\N	\N
3146020	10440	1997-09-30	VYDAJ	VYBER	15	43844	SLUZBY	\N	\N
3146021	10440	1997-10-31	VYDAJ	VYBER	15	45770	SLUZBY	\N	\N
3146022	10440	1997-11-30	VYDAJ	VYBER	15	51711	SLUZBY	\N	\N
3146023	10440	1997-12-31	VYDAJ	VYBER	15	57643	SLUZBY	\N	\N
3146024	10440	1998-01-31	VYDAJ	VYBER	15	52760	SLUZBY	\N	\N
3146025	10440	1998-02-28	VYDAJ	VYBER	15	56726	SLUZBY	\N	\N
3146026	10440	1998-03-31	VYDAJ	VYBER	15	59607	SLUZBY	\N	\N
3146027	10440	1998-04-30	VYDAJ	VYBER	15	59595	SLUZBY	\N	\N
3146028	10440	1998-05-31	VYDAJ	VYBER	15	50851	SLUZBY	\N	\N
3146029	10440	1998-06-30	VYDAJ	VYBER	15	50885	SLUZBY	\N	\N
3146030	10440	1998-07-31	VYDAJ	VYBER	15	51479	SLUZBY	\N	\N
3146031	10440	1998-08-31	VYDAJ	VYBER	15	51333	SLUZBY	\N	\N
3146032	10440	1998-09-30	VYDAJ	VYBER	15	48881	SLUZBY	\N	\N
3146034	10440	1998-11-30	VYDAJ	VYBER	15	47185	SLUZBY	\N	\N
3146035	10440	1993-10-13	PRIJEM	VKLAD	8500	16266	\N	\N	\N
3146036	10440	1993-11-12	PRIJEM	VKLAD	100	23774	\N	\N	\N
3146037	10440	1993-12-12	VYDAJ	VYBER	3500	31410	\N	\N	\N
3146038	10440	1994-01-11	VYDAJ	VYBER	7000	31896	\N	\N	\N
3146039	10440	1994-02-10	VYDAJ	VYBER	6800	28934	\N	\N	\N
3146040	10440	1994-03-12	VYDAJ	VYBER	4200	24346	\N	\N	\N
3146041	10440	1994-04-11	PRIJEM	VKLAD	1200	30048	\N	\N	\N
3146042	10440	1994-05-11	VYDAJ	VYBER	2600	27251	\N	\N	\N
3146043	10440	1994-06-10	VYDAJ	VYBER	4500	29840	\N	\N	\N
3146044	10440	1994-07-10	VYDAJ	VYBER	2400	29195	\N	\N	\N
3146045	10440	1994-08-09	VYDAJ	VYBER	300	28225	\N	\N	\N
3146046	10440	1994-09-08	VYDAJ	VYBER	3900	25659	\N	\N	\N
3146047	10440	1994-10-08	VYDAJ	VYBER	2500	24688	\N	\N	\N
3146048	10440	1994-11-07	VYDAJ	VYBER	600	22907	\N	\N	\N
3146049	10440	1994-12-07	VYDAJ	VYBER	1800	27310	\N	\N	\N
3146050	10440	1995-01-06	PRIJEM	VKLAD	200	24600	\N	\N	\N
3146051	10440	1995-02-05	VYDAJ	VYBER	1400	24722	\N	\N	\N
3146052	10440	1995-03-07	PRIJEM	VKLAD	2500	28649	\N	\N	\N
3146053	10440	1995-04-06	VYDAJ	VYBER	1200	29085	\N	\N	\N
3146054	10440	1995-05-06	VYDAJ	VYBER	1100	27103	\N	\N	\N
3146055	10440	1995-06-05	VYDAJ	VYBER	5000	27620	\N	\N	\N
3146056	10440	1995-07-05	PRIJEM	VKLAD	600	24845	\N	\N	\N
3146057	10440	1995-08-04	PRIJEM	VKLAD	4600	23602	\N	\N	\N
3146058	10440	1995-09-03	PRIJEM	VKLAD	1700	23361	\N	\N	\N
3146059	10440	1995-10-03	PRIJEM	VKLAD	2200	27108	\N	\N	\N
3146060	10440	1995-11-02	VYDAJ	VYBER	800	27870	\N	\N	\N
3146061	10440	1995-12-02	PRIJEM	VKLAD	2500	27003	\N	\N	\N
3146062	10440	1996-01-01	PRIJEM	VKLAD	5800	28641	\N	\N	\N
3146063	10440	1996-01-31	PRIJEM	VKLAD	8500	24037	\N	\N	\N
3146064	10440	1996-03-01	PRIJEM	VKLAD	7200	31776	\N	\N	\N
3146065	10440	1996-03-31	VYDAJ	VYBER	1100	32255	\N	\N	\N
3146066	10440	1996-04-30	PRIJEM	VKLAD	1400	35249	\N	\N	\N
3146067	10440	1996-05-30	VYDAJ	VYBER	700	35991	\N	\N	\N
3146068	10440	1996-06-29	VYDAJ	VYBER	600	35144	\N	\N	\N
3146069	10440	1996-07-29	VYDAJ	VYBER	1000	35728	\N	\N	\N
3146070	10440	1996-08-28	PRIJEM	VKLAD	1200	38519	\N	\N	\N
3146071	10440	1996-09-27	PRIJEM	VKLAD	1200	38194	\N	\N	\N
3146072	10440	1996-10-27	VYDAJ	VYBER	2500	37293	\N	\N	\N
3146073	10440	1996-11-26	VYDAJ	VYBER	1700	37195	\N	\N	\N
3146074	10440	1996-12-26	PRIJEM	VKLAD	1800	41238	\N	\N	\N
3146075	10440	1997-01-25	PRIJEM	VKLAD	800	40287	\N	\N	\N
3146076	10440	1997-02-24	PRIJEM	VKLAD	1900	42035	\N	\N	\N
3146077	10440	1997-03-26	PRIJEM	VKLAD	2200	45842	\N	\N	\N
3146078	10440	1997-04-25	PRIJEM	VKLAD	4000	45703	\N	\N	\N
3146079	10440	1997-05-25	PRIJEM	VKLAD	700	48027	\N	\N	\N
3146080	10440	1997-06-24	PRIJEM	VKLAD	10300	32606	\N	\N	\N
3146081	10440	1997-07-24	PRIJEM	VKLAD	3800	37989	\N	\N	\N
3146082	10440	1997-08-23	PRIJEM	VKLAD	5900	39954	\N	\N	\N
3146083	10440	1997-09-22	PRIJEM	VKLAD	4900	43688	\N	\N	\N
3146084	10440	1997-10-22	PRIJEM	VKLAD	300	45600	\N	\N	\N
3146085	10440	1997-11-21	PRIJEM	VKLAD	4300	51526	\N	\N	\N
3146086	10440	1997-12-21	PRIJEM	VKLAD	1700	57430	\N	\N	\N
3146087	10440	1998-01-20	PRIJEM	VKLAD	9300	52559	\N	\N	\N
3146088	10440	1998-02-19	PRIJEM	VKLAD	2300	56516	\N	\N	\N
3146089	10440	1998-03-21	PRIJEM	VKLAD	1200	59382	\N	\N	\N
3146090	10440	1998-04-20	VYDAJ	VYBER	1700	59363	\N	\N	\N
3146091	10440	1998-05-20	VYDAJ	VYBER	200	50651	\N	\N	\N
3146092	10440	1998-06-19	PRIJEM	VKLAD	300	50690	\N	\N	\N
3146093	10440	1998-07-19	VYDAJ	VYBER	100	52241	\N	\N	\N
3146094	10440	1998-08-18	VYDAJ	VYBER	1800	51135	\N	\N	\N
3146095	10440	1998-09-17	VYDAJ	VYBER	4100	48689	\N	\N	\N
3146096	10440	1998-10-17	VYDAJ	VYBER	3700	46637	\N	\N	\N
3146097	10440	1998-11-16	PRIJEM	VKLAD	900	47011	\N	\N	\N
3146098	10440	1998-12-16	VYDAJ	VYBER	500	51824	\N	\N	\N
3147223	10445	1996-05-29	PRIJEM	VKLAD	800	800	\N	\N	\N
3147229	10445	1996-06-05	PRIJEM	VKLAD	35865	36665	\N	\N	\N
3147230	10445	1996-07-05	PRIJEM	VKLAD	23910	53387	\N	\N	\N
3147231	10445	1996-08-05	PRIJEM	VKLAD	23910	60924	\N	\N	\N
3147232	10445	1996-09-05	PRIJEM	VKLAD	23910	68793	\N	\N	\N
3147233	10445	1996-10-05	PRIJEM	VKLAD	23910	70791	\N	\N	\N
3147234	10445	1996-11-05	PRIJEM	VKLAD	23910	66408	\N	\N	\N
3147235	10445	1996-12-05	PRIJEM	VKLAD	35865	81663	\N	\N	\N
3147236	10445	1997-01-05	PRIJEM	VKLAD	23910	69683	\N	\N	\N
3147237	10445	1997-02-05	PRIJEM	VKLAD	23910	64176	\N	\N	\N
3147238	10445	1997-03-05	PRIJEM	VKLAD	23910	66858	\N	\N	\N
3147239	10445	1997-04-05	PRIJEM	VKLAD	23910	67958	\N	\N	\N
3147240	10445	1997-05-05	PRIJEM	VKLAD	23910	69883	\N	\N	\N
3147241	10445	1997-06-05	PRIJEM	VKLAD	35865	48229	\N	\N	\N
3147242	10445	1997-07-05	PRIJEM	VKLAD	23910	61569	\N	\N	\N
3147243	10445	1997-08-05	PRIJEM	VKLAD	23910	65037	\N	\N	\N
3147244	10445	1997-09-05	PRIJEM	VKLAD	23910	68715	\N	\N	\N
3147245	10445	1997-10-05	PRIJEM	VKLAD	23910	67402	\N	\N	\N
3147246	10445	1997-11-05	PRIJEM	VKLAD	23910	70584	\N	\N	\N
3147247	10445	1997-12-05	PRIJEM	VKLAD	35865	88158	\N	\N	\N
3147248	10445	1998-01-05	PRIJEM	VKLAD	23910	77000	\N	\N	\N
3147249	10445	1998-02-05	PRIJEM	VKLAD	23910	75110	\N	\N	\N
3147250	10445	1998-03-05	PRIJEM	VKLAD	23910	83579	\N	\N	\N
3147251	10445	1998-04-05	PRIJEM	VKLAD	23910	82668	\N	\N	\N
3147252	10445	1998-05-05	PRIJEM	VKLAD	23910	80713	\N	\N	\N
3147253	10445	1998-06-05	PRIJEM	VKLAD	35865	91371	\N	\N	\N
3147254	10445	1998-07-05	PRIJEM	VKLAD	23910	73187	\N	\N	\N
3147255	10445	1998-08-05	PRIJEM	VKLAD	23910	80745	\N	\N	\N
3147256	10445	1998-09-05	PRIJEM	VKLAD	23910	89536	\N	\N	\N
3147257	10445	1998-10-05	PRIJEM	VKLAD	23910	91948	\N	\N	\N
3147258	10445	1998-11-05	PRIJEM	VKLAD	23910	89261	\N	\N	\N
3147259	10445	1998-12-05	PRIJEM	VKLAD	35865	104928	\N	\N	\N
3147269	10445	1996-10-07	VYDAJ	PREVOD NA UCET	3234	67557	SIPO	MN	24684030
3147270	10445	1996-11-07	VYDAJ	PREVOD NA UCET	3234	63174	SIPO	MN	24684030
3147271	10445	1996-12-07	VYDAJ	PREVOD NA UCET	3234	78429	SIPO	MN	24684030
3147272	10445	1997-01-07	VYDAJ	PREVOD NA UCET	3234	66449	SIPO	MN	24684030
3147273	10445	1997-02-07	VYDAJ	PREVOD NA UCET	3234	60942	SIPO	MN	24684030
3147274	10445	1997-03-07	VYDAJ	PREVOD NA UCET	3234	63624	SIPO	MN	24684030
3147275	10445	1997-04-07	VYDAJ	PREVOD NA UCET	3234	64724	SIPO	MN	24684030
3147276	10445	1997-05-07	VYDAJ	PREVOD NA UCET	3234	66649	SIPO	MN	24684030
3147277	10445	1997-06-07	VYDAJ	PREVOD NA UCET	3234	44995	SIPO	MN	24684030
3147278	10445	1997-07-07	VYDAJ	PREVOD NA UCET	3234	56335	SIPO	MN	24684030
3147279	10445	1997-08-07	VYDAJ	PREVOD NA UCET	3234	61803	SIPO	MN	24684030
3147280	10445	1997-09-07	VYDAJ	PREVOD NA UCET	3234	65481	SIPO	MN	24684030
3147281	10445	1997-10-07	VYDAJ	PREVOD NA UCET	3234	64168	SIPO	MN	24684030
3147282	10445	1997-11-07	VYDAJ	PREVOD NA UCET	3234	67350	SIPO	MN	24684030
3147283	10445	1997-12-07	VYDAJ	PREVOD NA UCET	3234	84924	SIPO	MN	24684030
3147284	10445	1998-01-07	VYDAJ	PREVOD NA UCET	3234	72666	SIPO	MN	24684030
3147285	10445	1998-02-07	VYDAJ	PREVOD NA UCET	3234	71876	SIPO	MN	24684030
3147286	10445	1998-03-07	VYDAJ	PREVOD NA UCET	3234	80345	SIPO	MN	24684030
3147287	10445	1998-04-07	VYDAJ	PREVOD NA UCET	3234	79434	SIPO	MN	24684030
3147288	10445	1998-05-07	VYDAJ	PREVOD NA UCET	3234	77479	SIPO	MN	24684030
3147289	10445	1998-06-07	VYDAJ	PREVOD NA UCET	3234	88137	SIPO	MN	24684030
3147290	10445	1998-07-07	VYDAJ	PREVOD NA UCET	3234	69953	SIPO	MN	24684030
3147291	10445	1998-08-07	VYDAJ	PREVOD NA UCET	3234	77511	SIPO	MN	24684030
3147292	10445	1998-09-07	VYDAJ	PREVOD NA UCET	3234	86302	SIPO	MN	24684030
3147293	10445	1998-10-07	VYDAJ	PREVOD NA UCET	3234	87514	SIPO	MN	24684030
3147294	10445	1998-11-07	VYDAJ	PREVOD NA UCET	3234	86027	SIPO	MN	24684030
3147295	10445	1998-12-07	VYDAJ	PREVOD NA UCET	3234	101694	SIPO	MN	24684030
3147305	10445	1996-10-18	VYDAJ	VYBER	2400	65157	\N	\N	0
3147306	10445	1996-11-04	VYDAJ	VYBER	2300	42498	\N	\N	0
3147307	10445	1996-12-09	VYDAJ	VYBER	2300	76129	\N	\N	0
3147308	10445	1997-01-18	VYDAJ	VYBER	1800	60249	\N	\N	0
3147309	10445	1997-02-21	VYDAJ	VYBER	2100	58842	\N	\N	0
3147310	10445	1997-03-02	VYDAJ	VYBER	2200	42948	\N	\N	0
3147311	10445	1997-04-02	VYDAJ	VYBER	1500	44048	\N	\N	0
3147312	10445	1997-05-14	VYDAJ	VYBER	2000	64649	\N	\N	0
3147313	10445	1997-06-04	VYDAJ	VYBER	2300	12364	\N	\N	0
3147314	10445	1997-07-05	VYDAJ	VYBER	2000	59569	\N	\N	0
3147315	10445	1997-08-17	VYDAJ	VYBER	2000	59803	\N	\N	0
3147316	10445	1997-09-13	VYDAJ	VYBER	1600	63881	\N	\N	0
3147317	10445	1997-10-10	VYDAJ	VYBER	2200	60968	\N	\N	0
3147318	10445	1997-11-20	VYDAJ	VYBER	2100	65250	\N	\N	0
3147319	10445	1997-12-09	VYDAJ	VYBER	1500	83424	\N	\N	0
3147320	10445	1998-01-16	VYDAJ	VYBER	1700	58066	\N	\N	0
3147321	10445	1998-02-12	VYDAJ	PREVOD NA UCET	1951	69925	UVER	EF	399
3147322	10445	1998-03-12	VYDAJ	PREVOD NA UCET	1951	78394	UVER	EF	399
3147323	10445	1998-04-12	VYDAJ	PREVOD NA UCET	1951	77483	UVER	EF	399
3147324	10445	1998-05-12	VYDAJ	PREVOD NA UCET	1951	75528	UVER	EF	399
3147325	10445	1998-06-12	VYDAJ	PREVOD NA UCET	1951	46466	UVER	EF	399
3147326	10445	1998-07-12	VYDAJ	PREVOD NA UCET	1951	68002	UVER	EF	399
3147327	10445	1998-08-12	VYDAJ	PREVOD NA UCET	1951	75560	UVER	EF	399
3147328	10445	1998-09-12	VYDAJ	PREVOD NA UCET	1951	84351	UVER	EF	399
3147329	10445	1998-10-12	VYDAJ	PREVOD NA UCET	1951	83063	UVER	EF	399
3147330	10445	1998-11-12	VYDAJ	PREVOD NA UCET	1951	84076	UVER	EF	399
3147331	10445	1998-12-12	VYDAJ	PREVOD NA UCET	1951	99743	UVER	EF	399
3147333	10445	1997-06-01	VYDAJ	VYBER	37120	14664	\N	\N	\N
3147334	10445	1998-06-08	VYDAJ	VYBER	34080	54057	\N	\N	\N
3147336	10445	1997-01-11	VYDAJ	VYBER	1760	62049	\N	\N	\N
3147337	10445	1998-01-14	VYDAJ	VYBER	10400	59766	\N	\N	\N
3147338	10445	1996-12-20	VYDAJ	VYBER	1760	69929	\N	\N	\N
3147339	10445	1997-12-11	VYDAJ	VYBER KARTOU	2100	81324	\N	\N	0
3147340	10445	1998-12-25	VYDAJ	VYBER KARTOU	1000	77243	\N	\N	0
3147347	10445	1997-01-23	VYDAJ	VYBER	3120	57129	\N	\N	\N
3147348	10445	1997-01-10	VYDAJ	VYBER	960	65489	\N	\N	\N
3147349	10445	1997-01-11	VYDAJ	VYBER	1680	63809	\N	\N	\N
3147350	10445	1997-01-27	VYDAJ	VYBER	1080	40049	\N	\N	\N
3147351	10445	1997-01-03	VYDAJ	VYBER	3360	45773	\N	\N	\N
3147352	10445	1997-01-02	VYDAJ	VYBER	840	49133	\N	\N	\N
3147353	10445	1998-01-01	VYDAJ	VYBER KARTOU	3400	55890	\N	\N	0
3147354	10445	1998-01-11	VYDAJ	VYBER KARTOU	2500	70166	\N	\N	0
3147355	10445	1998-01-05	VYDAJ	VYBER KARTOU	1100	75900	\N	\N	0
3147356	10445	1998-01-01	VYDAJ	VYBER KARTOU	800	55090	\N	\N	0
3147357	10445	1998-01-04	VYDAJ	VYBER KARTOU	2000	53090	\N	\N	0
3147358	10445	1998-01-30	VYDAJ	VYBER KARTOU	1600	50966	\N	\N	0
3147361	10445	1996-10-26	VYDAJ	VYBER	3000	62157	\N	\N	\N
3147362	10445	1996-12-10	VYDAJ	VYBER	4440	71689	\N	\N	\N
3147363	10445	1997-05-02	VYDAJ	VYBER	2280	45973	\N	\N	\N
3147364	10445	1997-09-28	VYDAJ	VYBER KARTOU	3200	43281	\N	\N	0
3147365	10445	1997-10-25	VYDAJ	VYBER KARTOU	1000	46468	\N	\N	0
3147366	10445	1997-10-10	VYDAJ	VYBER KARTOU	1000	63168	\N	\N	0
3147367	10445	1998-10-09	VYDAJ	VYBER KARTOU	2500	85014	\N	\N	0
3147368	10445	1998-06-10	VYDAJ	VYBER	5640	48417	\N	\N	\N
3147369	10445	1998-03-14	VYDAJ	VYBER KARTOU	2200	76194	\N	\N	0
3147370	10445	1998-10-05	VYDAJ	VYBER KARTOU	1200	90748	\N	\N	0
3147371	10445	1998-04-20	VYDAJ	VYBER	5640	56543	\N	\N	\N
3147372	10445	1998-06-02	VYDAJ	VYBER	4080	55506	\N	\N	\N
3147383	10445	1996-10-31	VYDAJ	VYBER	15	44798	SLUZBY	\N	\N
3147384	10445	1996-11-30	VYDAJ	VYBER	15	45798	SLUZBY	\N	\N
3147385	10445	1996-12-31	VYDAJ	VYBER	15	49973	SLUZBY	\N	\N
3147386	10445	1997-01-31	VYDAJ	VYBER	15	40266	SLUZBY	\N	\N
3147387	10445	1997-02-28	VYDAJ	VYBER	15	45148	SLUZBY	\N	\N
3147388	10445	1997-03-31	VYDAJ	VYBER	15	45548	SLUZBY	\N	\N
3147389	10445	1997-04-30	VYDAJ	VYBER	15	48253	SLUZBY	\N	\N
3147390	10445	1997-05-31	VYDAJ	VYBER	15	51784	SLUZBY	\N	\N
3147391	10445	1997-06-30	VYDAJ	VYBER	15	37659	SLUZBY	\N	\N
3147392	10445	1997-07-31	VYDAJ	VYBER	15	41127	SLUZBY	\N	\N
3147393	10445	1997-08-31	VYDAJ	VYBER	15	44805	SLUZBY	\N	\N
3147394	10445	1997-09-30	VYDAJ	VYBER	15	43492	SLUZBY	\N	\N
3147395	10445	1997-10-31	VYDAJ	VYBER	15	46674	SLUZBY	\N	\N
3147396	10445	1997-11-30	VYDAJ	VYBER	15	52293	SLUZBY	\N	\N
3147397	10445	1997-12-31	VYDAJ	VYBER	15	59290	SLUZBY	\N	\N
3147398	10445	1998-01-31	VYDAJ	VYBER	15	51200	SLUZBY	\N	\N
3147399	10445	1998-02-28	VYDAJ	VYBER	15	59669	SLUZBY	\N	\N
3147400	10445	1998-03-31	VYDAJ	VYBER	15	58758	SLUZBY	\N	\N
3147401	10445	1998-04-30	VYDAJ	VYBER	15	56803	SLUZBY	\N	\N
3147402	10445	1998-05-31	VYDAJ	VYBER	15	59586	SLUZBY	\N	\N
3147403	10445	1998-06-30	VYDAJ	VYBER	15	49277	SLUZBY	\N	\N
3147404	10445	1998-07-31	VYDAJ	VYBER	15	56835	SLUZBY	\N	\N
3147405	10445	1998-08-31	VYDAJ	VYBER	15	65626	SLUZBY	\N	\N
3147406	10445	1998-09-30	VYDAJ	VYBER	15	68038	SLUZBY	\N	\N
3147407	10445	1998-10-31	VYDAJ	VYBER	15	65351	SLUZBY	\N	\N
3147408	10445	1998-11-30	VYDAJ	VYBER	15	69063	SLUZBY	\N	\N
3147409	10445	1996-06-28	VYDAJ	VYBER	7200	29465	\N	\N	\N
3147410	10445	1996-07-28	VYDAJ	VYBER	16500	36887	\N	\N	\N
3147411	10445	1996-08-27	VYDAJ	VYBER	16200	44724	\N	\N	\N
3147412	10445	1996-09-26	VYDAJ	VYBER	22100	46693	\N	\N	\N
3147413	10445	1996-10-26	VYDAJ	VYBER	17600	44557	\N	\N	\N
3147414	10445	1996-11-25	VYDAJ	VYBER	17600	45574	\N	\N	\N
3147415	10445	1996-12-25	VYDAJ	VYBER	20200	49729	\N	\N	\N
3147416	10445	1997-01-24	VYDAJ	VYBER	16000	41129	\N	\N	\N
3147417	10445	1997-02-23	VYDAJ	VYBER	13900	44942	\N	\N	\N
3147418	10445	1997-03-25	VYDAJ	VYBER	18300	45324	\N	\N	\N
3147419	10445	1997-04-24	VYDAJ	VYBER	16700	48024	\N	\N	\N
3147420	10445	1997-05-24	VYDAJ	VYBER	13100	51549	\N	\N	\N
3147421	10445	1997-06-23	VYDAJ	VYBER	7500	37495	\N	\N	\N
3147422	10445	1997-07-23	VYDAJ	VYBER	15400	40935	\N	\N	\N
3147423	10445	1997-08-22	VYDAJ	VYBER	15200	44603	\N	\N	\N
3147424	10445	1997-09-21	VYDAJ	VYBER	17400	46481	\N	\N	\N
3147425	10445	1997-10-21	VYDAJ	VYBER	13500	47468	\N	\N	\N
3147426	10445	1997-11-20	VYDAJ	VYBER	13200	52050	\N	\N	\N
3147427	10445	1997-12-20	VYDAJ	VYBER	22300	59024	\N	\N	\N
3147428	10445	1998-01-19	VYDAJ	VYBER	5500	52566	\N	\N	\N
3147429	10445	1998-02-18	VYDAJ	VYBER	10500	59425	\N	\N	\N
3147430	10445	1998-03-20	VYDAJ	VYBER	17700	58494	\N	\N	\N
3147431	10445	1998-04-19	VYDAJ	VYBER	15300	62183	\N	\N	\N
3147432	10445	1998-05-19	VYDAJ	VYBER	16200	59328	\N	\N	\N
3147433	10445	1998-06-18	PRIJEM	VKLAD	2600	49066	\N	\N	\N
3147434	10445	1998-07-18	VYDAJ	VYBER	11400	56602	\N	\N	\N
3147435	10445	1998-08-17	VYDAJ	VYBER	10200	65360	\N	\N	\N
3147436	10445	1998-09-16	VYDAJ	VYBER	16600	67751	\N	\N	\N
3147437	10445	1998-10-16	VYDAJ	VYBER	18000	65063	\N	\N	\N
3147438	10445	1998-11-15	VYDAJ	VYBER	15300	68776	\N	\N	\N
3147439	10445	1998-12-15	VYDAJ	VYBER	21500	78243	\N	\N	\N
3149084	10451	1993-08-29	PRIJEM	VKLAD	900	900	\N	\N	\N
3149093	10451	1993-09-07	PRIJEM	VKLAD	14037	14937	\N	\N	\N
3149094	10451	1993-10-07	PRIJEM	VKLAD	14037	32890	\N	\N	\N
3149095	10451	1993-11-07	PRIJEM	VKLAD	14037	43996	\N	\N	\N
3149096	10451	1993-12-07	PRIJEM	VKLAD	21056	57707	\N	\N	\N
3149097	10451	1994-01-07	PRIJEM	VKLAD	14037	56254	\N	\N	\N
3149098	10451	1994-02-07	PRIJEM	VKLAD	14037	39336	\N	\N	\N
3149099	10451	1994-03-07	PRIJEM	VKLAD	14037	36892	\N	\N	\N
3149100	10451	1994-04-07	PRIJEM	VKLAD	14037	27169	\N	\N	\N
3149101	10451	1994-05-07	PRIJEM	VKLAD	14037	28305	\N	\N	\N
3149102	10451	1994-06-07	PRIJEM	VKLAD	21056	44165	\N	\N	\N
3149103	10451	1994-07-07	PRIJEM	VKLAD	14037	38366	\N	\N	\N
3149104	10451	1994-08-07	PRIJEM	VKLAD	14037	33712	\N	\N	\N
3149105	10451	1994-09-07	PRIJEM	VKLAD	14037	32947	\N	\N	\N
3149106	10451	1994-10-07	PRIJEM	VKLAD	14037	33966	\N	\N	\N
3149107	10451	1994-11-07	PRIJEM	VKLAD	14037	33283	\N	\N	\N
3149108	10451	1994-12-07	PRIJEM	VKLAD	21056	23092	\N	\N	\N
3149109	10451	1995-01-07	PRIJEM	VKLAD	14037	29347	\N	\N	\N
3149110	10451	1995-02-07	PRIJEM	VKLAD	14037	23754	\N	\N	\N
3149111	10451	1995-03-07	PRIJEM	VKLAD	14037	29166	\N	\N	\N
3149112	10451	1995-04-07	PRIJEM	VKLAD	14037	30810	\N	\N	\N
3149113	10451	1995-05-07	PRIJEM	VKLAD	14037	30865	\N	\N	\N
3149114	10451	1995-06-07	PRIJEM	VKLAD	21056	37651	\N	\N	\N
3149115	10451	1995-07-07	PRIJEM	VKLAD	14037	33639	\N	\N	\N
3149116	10451	1995-08-07	PRIJEM	VKLAD	14037	32511	\N	\N	\N
3149117	10451	1995-09-07	PRIJEM	VKLAD	14037	31925	\N	\N	\N
3149118	10451	1995-10-07	PRIJEM	VKLAD	14037	32443	\N	\N	\N
3149119	10451	1995-11-07	PRIJEM	VKLAD	14037	34615	\N	\N	\N
3149120	10451	1995-12-07	PRIJEM	VKLAD	21056	42219	\N	\N	\N
3149121	10451	1996-01-07	PRIJEM	VKLAD	14037	30777	\N	\N	\N
3149122	10451	1996-02-07	PRIJEM	VKLAD	14037	24374	\N	\N	\N
3149123	10451	1996-03-07	PRIJEM	VKLAD	14037	24974	\N	\N	\N
3149124	10451	1996-04-07	PRIJEM	VKLAD	14037	30301	\N	\N	\N
3149125	10451	1996-05-07	PRIJEM	VKLAD	14037	32153	\N	\N	\N
3149126	10451	1996-06-07	PRIJEM	VKLAD	21056	43350	\N	\N	\N
3149127	10451	1996-07-07	PRIJEM	VKLAD	14037	42888	\N	\N	\N
3149128	10451	1996-08-07	PRIJEM	VKLAD	14037	41629	\N	\N	\N
3149129	10451	1996-09-07	PRIJEM	VKLAD	14037	38147	\N	\N	\N
3149130	10451	1996-10-07	PRIJEM	VKLAD	14037	31721	\N	\N	\N
3149131	10451	1996-11-07	PRIJEM	VKLAD	14037	27652	\N	\N	\N
3149132	10451	1996-12-07	PRIJEM	VKLAD	21056	32075	\N	\N	\N
3149133	10451	1997-01-07	PRIJEM	VKLAD	14037	21962	\N	\N	\N
3149134	10451	1997-02-07	PRIJEM	VKLAD	14037	14467	\N	\N	\N
3149135	10451	1997-03-07	PRIJEM	VKLAD	14037	12906	\N	\N	\N
3149136	10451	1997-04-07	PRIJEM	VKLAD	14037	14049	\N	\N	\N
3149137	10451	1997-05-07	PRIJEM	VKLAD	14037	18427	\N	\N	\N
3149138	10451	1997-06-07	PRIJEM	VKLAD	21056	27297	\N	\N	\N
3149139	10451	1997-07-07	PRIJEM	VKLAD	14037	22472	\N	\N	\N
3149140	10451	1997-08-07	PRIJEM	VKLAD	14037	18301	\N	\N	\N
3149141	10451	1997-09-07	PRIJEM	VKLAD	14037	22747	\N	\N	\N
3149142	10451	1997-10-07	PRIJEM	VKLAD	14037	21007	\N	\N	\N
3149143	10451	1997-11-07	PRIJEM	VKLAD	14037	29178	\N	\N	\N
3149144	10451	1997-12-07	PRIJEM	VKLAD	21056	33806	\N	\N	\N
3149145	10451	1998-01-07	PRIJEM	VKLAD	14037	24172	\N	\N	\N
3149146	10451	1998-02-07	PRIJEM	VKLAD	14037	25752	\N	\N	\N
3149147	10451	1998-03-07	PRIJEM	VKLAD	14037	30839	\N	\N	\N
3149148	10451	1998-04-07	PRIJEM	VKLAD	14037	31561	\N	\N	\N
3149149	10451	1998-05-07	PRIJEM	VKLAD	14037	29195	\N	\N	\N
3149150	10451	1998-06-07	PRIJEM	VKLAD	21056	32931	\N	\N	\N
3149151	10451	1998-07-07	PRIJEM	VKLAD	14037	28368	\N	\N	\N
3149152	10451	1998-08-07	PRIJEM	VKLAD	14037	29878	\N	\N	\N
3149153	10451	1998-09-07	PRIJEM	VKLAD	14037	26095	\N	\N	\N
3149154	10451	1998-10-07	PRIJEM	VKLAD	14037	22786	\N	\N	\N
3149155	10451	1998-11-07	PRIJEM	VKLAD	14037	21047	\N	\N	\N
3149156	10451	1998-12-07	PRIJEM	VKLAD	21056	26312	\N	\N	\N
3149170	10451	1994-02-06	VYDAJ	PREVOD NA UCET	2439	25299	SIPO	CD	58286762
3149171	10451	1994-03-06	VYDAJ	PREVOD NA UCET	2439	22855	SIPO	CD	58286762
3149172	10451	1994-04-06	VYDAJ	PREVOD NA UCET	2439	13132	SIPO	CD	58286762
3149173	10451	1994-05-06	VYDAJ	PREVOD NA UCET	2439	14268	SIPO	CD	58286762
3149174	10451	1994-06-06	VYDAJ	PREVOD NA UCET	2439	23109	SIPO	CD	58286762
3149175	10451	1994-07-06	VYDAJ	PREVOD NA UCET	2439	24329	SIPO	CD	58286762
3149176	10451	1994-08-06	VYDAJ	PREVOD NA UCET	2439	19675	SIPO	CD	58286762
3149177	10451	1994-09-06	VYDAJ	PREVOD NA UCET	2439	18910	SIPO	CD	58286762
3149178	10451	1994-10-06	VYDAJ	PREVOD NA UCET	2439	19929	SIPO	CD	58286762
3149179	10451	1994-11-06	VYDAJ	PREVOD NA UCET	2439	19246	SIPO	CD	58286762
3149180	10451	1994-12-06	VYDAJ	PREVOD NA UCET	2439	2036	SIPO	CD	58286762
3149181	10451	1995-01-06	VYDAJ	PREVOD NA UCET	2439	15310	SIPO	CD	58286762
3149182	10451	1995-02-06	VYDAJ	PREVOD NA UCET	2439	9717	SIPO	CD	58286762
3149183	10451	1995-03-06	VYDAJ	PREVOD NA UCET	2439	15129	SIPO	CD	58286762
3149184	10451	1995-04-06	VYDAJ	PREVOD NA UCET	2439	16773	SIPO	CD	58286762
3149185	10451	1995-05-06	VYDAJ	PREVOD NA UCET	2439	16828	SIPO	CD	58286762
3149186	10451	1995-06-06	VYDAJ	PREVOD NA UCET	2439	16595	SIPO	CD	58286762
3149187	10451	1995-07-06	VYDAJ	PREVOD NA UCET	2439	19602	SIPO	CD	58286762
3149188	10451	1995-08-06	VYDAJ	PREVOD NA UCET	2439	18474	SIPO	CD	58286762
3149189	10451	1995-09-06	VYDAJ	PREVOD NA UCET	2439	17888	SIPO	CD	58286762
3149190	10451	1995-10-06	VYDAJ	PREVOD NA UCET	2439	18406	SIPO	CD	58286762
3149191	10451	1995-11-06	VYDAJ	PREVOD NA UCET	2439	20578	SIPO	CD	58286762
3149192	10451	1995-12-06	VYDAJ	PREVOD NA UCET	2439	21163	SIPO	CD	58286762
3149193	10451	1996-01-06	VYDAJ	PREVOD NA UCET	2439	20580	SIPO	CD	58286762
3149194	10451	1996-02-06	VYDAJ	PREVOD NA UCET	2439	10337	SIPO	CD	58286762
3149195	10451	1996-03-06	VYDAJ	PREVOD NA UCET	2439	10937	SIPO	CD	58286762
3149196	10451	1996-04-06	VYDAJ	PREVOD NA UCET	2439	16264	SIPO	CD	58286762
3149197	10451	1996-05-06	VYDAJ	PREVOD NA UCET	2439	18116	SIPO	CD	58286762
3149198	10451	1996-06-06	VYDAJ	PREVOD NA UCET	2439	22294	SIPO	CD	58286762
3149199	10451	1996-07-06	VYDAJ	PREVOD NA UCET	2439	28851	SIPO	CD	58286762
3149200	10451	1996-08-06	VYDAJ	PREVOD NA UCET	2439	27592	SIPO	CD	58286762
3149201	10451	1996-09-06	VYDAJ	PREVOD NA UCET	2439	24110	SIPO	CD	58286762
3149202	10451	1996-10-06	VYDAJ	PREVOD NA UCET	2439	17684	SIPO	CD	58286762
3149203	10451	1996-11-06	VYDAJ	PREVOD NA UCET	2439	13615	SIPO	CD	58286762
3149204	10451	1996-12-06	VYDAJ	PREVOD NA UCET	2439	11019	SIPO	CD	58286762
3149205	10451	1997-01-06	VYDAJ	PREVOD NA UCET	2439	7925	SIPO	CD	58286762
3149206	10451	1997-02-06	VYDAJ	PREVOD NA UCET	2439	430	SIPO	CD	58286762
3149207	10451	1997-03-06	VYDAJ	PREVOD NA UCET	2439	-1131	SIPO	CD	58286762
3149208	10451	1997-04-06	VYDAJ	PREVOD NA UCET	2439	12	SIPO	CD	58286762
3149209	10451	1997-05-06	VYDAJ	PREVOD NA UCET	2439	4390	SIPO	CD	58286762
3149210	10451	1997-06-06	VYDAJ	PREVOD NA UCET	2439	6241	SIPO	CD	58286762
3149211	10451	1997-07-06	VYDAJ	PREVOD NA UCET	2439	8435	SIPO	CD	58286762
3149212	10451	1997-08-06	VYDAJ	PREVOD NA UCET	2439	4264	SIPO	CD	58286762
3149213	10451	1997-09-06	VYDAJ	PREVOD NA UCET	2439	5210	SIPO	CD	58286762
3149214	10451	1997-10-06	VYDAJ	PREVOD NA UCET	2439	6970	SIPO	CD	58286762
3149215	10451	1997-11-06	VYDAJ	PREVOD NA UCET	2439	15141	SIPO	CD	58286762
3149216	10451	1997-12-06	VYDAJ	PREVOD NA UCET	2439	12750	SIPO	CD	58286762
3149217	10451	1998-01-06	VYDAJ	PREVOD NA UCET	2439	10135	SIPO	CD	58286762
3149218	10451	1998-02-06	VYDAJ	PREVOD NA UCET	2439	11715	SIPO	CD	58286762
3149219	10451	1998-03-06	VYDAJ	PREVOD NA UCET	2439	16802	SIPO	CD	58286762
3149220	10451	1998-04-06	VYDAJ	PREVOD NA UCET	2439	17524	SIPO	CD	58286762
3149221	10451	1998-05-06	VYDAJ	PREVOD NA UCET	2439	15158	SIPO	CD	58286762
3149222	10451	1998-06-06	VYDAJ	PREVOD NA UCET	2439	11875	SIPO	CD	58286762
3149223	10451	1998-07-06	VYDAJ	PREVOD NA UCET	2439	14331	SIPO	CD	58286762
3149224	10451	1998-08-06	VYDAJ	PREVOD NA UCET	2439	15841	SIPO	CD	58286762
3149225	10451	1998-09-06	VYDAJ	PREVOD NA UCET	2439	12058	SIPO	CD	58286762
3149226	10451	1998-10-06	VYDAJ	PREVOD NA UCET	2439	8749	SIPO	CD	58286762
3149227	10451	1998-11-06	VYDAJ	PREVOD NA UCET	2439	7010	SIPO	CD	58286762
3149228	10451	1998-12-06	VYDAJ	PREVOD NA UCET	2439	5256	SIPO	CD	58286762
3149241	10451	1994-01-13	VYDAJ	PREVOD NA UCET	4653	47041	 	QR	73621487
3149242	10451	1994-02-13	VYDAJ	PREVOD NA UCET	4653	28483	 	QR	73621487
3149243	10451	1994-03-13	VYDAJ	PREVOD NA UCET	4653	24959	 	QR	73621487
3149244	10451	1994-04-13	VYDAJ	PREVOD NA UCET	4653	22516	 	QR	73621487
3149245	10451	1994-05-13	VYDAJ	PREVOD NA UCET	4653	23652	 	QR	73621487
3149246	10451	1994-06-13	VYDAJ	PREVOD NA UCET	4653	39512	 	QR	73621487
3149247	10451	1994-07-13	VYDAJ	PREVOD NA UCET	4653	23913	 	QR	73621487
3149248	10451	1994-08-13	VYDAJ	PREVOD NA UCET	4653	29059	 	QR	73621487
3149249	10451	1994-09-13	VYDAJ	PREVOD NA UCET	4653	18894	 	QR	73621487
3149250	10451	1994-10-13	VYDAJ	PREVOD NA UCET	4653	20113	 	QR	73621487
3149251	10451	1994-11-13	VYDAJ	PREVOD NA UCET	4653	24190	 	QR	73621487
3149252	10451	1994-12-13	VYDAJ	PREVOD NA UCET	4653	18439	 	QR	73621487
3149253	10451	1995-01-13	VYDAJ	PREVOD NA UCET	4653	8965	 	QR	73621487
3149254	10451	1995-02-13	VYDAJ	PREVOD NA UCET	4653	11052	 	QR	73621487
3149255	10451	1995-03-13	VYDAJ	PREVOD NA UCET	4653	16464	 	QR	73621487
3149256	10451	1995-04-13	VYDAJ	PREVOD NA UCET	4653	18108	 	QR	73621487
3149257	10451	1995-05-13	VYDAJ	PREVOD NA UCET	4653	15283	 	QR	73621487
3149258	10451	1995-06-13	VYDAJ	PREVOD NA UCET	4653	24949	 	QR	73621487
3149259	10451	1995-07-13	VYDAJ	PREVOD NA UCET	4653	20937	 	QR	73621487
3149260	10451	1995-08-13	VYDAJ	PREVOD NA UCET	4653	19809	 	QR	73621487
3149261	10451	1995-09-13	VYDAJ	PREVOD NA UCET	4653	16583	 	QR	73621487
3149262	10451	1995-10-13	VYDAJ	PREVOD NA UCET	4653	19741	 	QR	73621487
3149263	10451	1995-11-13	VYDAJ	PREVOD NA UCET	4653	21913	 	QR	73621487
3149264	10451	1995-12-13	VYDAJ	PREVOD NA UCET	4653	29517	 	QR	73621487
3149265	10451	1996-01-13	VYDAJ	PREVOD NA UCET	4653	12955	 	QR	73621487
3149266	10451	1996-02-13	VYDAJ	PREVOD NA UCET	4653	11672	 	QR	73621487
3149267	10451	1996-03-13	VYDAJ	PREVOD NA UCET	4653	12272	 	QR	73621487
3149268	10451	1996-04-13	VYDAJ	PREVOD NA UCET	4653	17599	 	QR	73621487
3149269	10451	1996-05-13	VYDAJ	PREVOD NA UCET	4653	19451	 	QR	73621487
3149270	10451	1996-06-13	VYDAJ	PREVOD NA UCET	4653	30648	 	QR	73621487
3149271	10451	1996-07-13	VYDAJ	PREVOD NA UCET	4653	30186	 	QR	73621487
3149272	10451	1996-08-13	VYDAJ	PREVOD NA UCET	4653	28927	 	QR	73621487
3149273	10451	1996-09-13	VYDAJ	PREVOD NA UCET	4653	20645	 	QR	73621487
3149274	10451	1996-10-13	VYDAJ	PREVOD NA UCET	4653	16619	 	QR	73621487
3149275	10451	1996-11-13	VYDAJ	PREVOD NA UCET	4653	14050	 	QR	73621487
3149276	10451	1996-12-13	VYDAJ	PREVOD NA UCET	4653	10973	 	QR	73621487
3149277	10451	1997-01-13	VYDAJ	PREVOD NA UCET	4653	3540	 	QR	73621487
3149278	10451	1997-02-13	VYDAJ	PREVOD NA UCET	4653	2014	 	QR	73621487
3149279	10451	1997-03-13	VYDAJ	PREVOD NA UCET	4653	3153	 	QR	73621487
3149280	10451	1997-04-13	VYDAJ	PREVOD NA UCET	4653	7496	 	QR	73621487
3149281	10451	1997-05-13	VYDAJ	PREVOD NA UCET	4653	9325	 	QR	73621487
3149282	10451	1997-06-13	VYDAJ	PREVOD NA UCET	4653	11495	 	QR	73621487
3149283	10451	1997-07-13	VYDAJ	PREVOD NA UCET	4653	7350	 	QR	73621487
3149284	10451	1997-08-13	VYDAJ	PREVOD NA UCET	4653	8299	 	QR	73621487
3149285	10451	1997-09-13	VYDAJ	PREVOD NA UCET	4653	10045	 	QR	73621487
3149286	10451	1997-10-13	VYDAJ	PREVOD NA UCET	4653	11205	 	QR	73621487
3149287	10451	1997-11-13	VYDAJ	PREVOD NA UCET	4653	16476	 	QR	73621487
3149288	10451	1997-12-13	VYDAJ	PREVOD NA UCET	4653	17584	 	QR	73621487
3149289	10451	1998-01-13	VYDAJ	PREVOD NA UCET	4653	11470	 	QR	73621487
3149290	10451	1998-02-13	VYDAJ	PREVOD NA UCET	4653	13050	 	QR	73621487
3149291	10451	1998-03-13	VYDAJ	PREVOD NA UCET	4653	18137	 	QR	73621487
3149292	10451	1998-04-13	VYDAJ	PREVOD NA UCET	4653	18859	 	QR	73621487
3149293	10451	1998-05-13	VYDAJ	PREVOD NA UCET	4653	16493	 	QR	73621487
3149294	10451	1998-06-13	VYDAJ	PREVOD NA UCET	4653	20229	 	QR	73621487
3149295	10451	1998-07-13	VYDAJ	PREVOD NA UCET	4653	15666	 	QR	73621487
3149296	10451	1998-08-13	VYDAJ	PREVOD NA UCET	4653	17176	 	QR	73621487
3149297	10451	1998-09-13	VYDAJ	PREVOD NA UCET	4653	13393	 	QR	73621487
3149298	10451	1998-10-13	VYDAJ	PREVOD NA UCET	4653	10084	 	QR	73621487
3149299	10451	1998-11-13	VYDAJ	PREVOD NA UCET	4653	8345	 	QR	73621487
3149300	10451	1998-12-13	VYDAJ	PREVOD NA UCET	4653	13610	 	QR	73621487
3149314	10451	1994-02-05	VYDAJ	PREVOD NA UCET	689	27738	POJISTNE	MN	92217593
3149315	10451	1994-03-05	VYDAJ	PREVOD NA UCET	689	25294	POJISTNE	MN	92217593
3149316	10451	1994-04-05	VYDAJ	PREVOD NA UCET	689	15571	POJISTNE	MN	92217593
3149317	10451	1994-05-05	VYDAJ	PREVOD NA UCET	689	16707	POJISTNE	MN	92217593
3149318	10451	1994-06-05	VYDAJ	PREVOD NA UCET	689	25548	POJISTNE	MN	92217593
3149319	10451	1994-07-05	VYDAJ	PREVOD NA UCET	689	26768	POJISTNE	MN	92217593
3149320	10451	1994-08-05	VYDAJ	PREVOD NA UCET	689	22114	POJISTNE	MN	92217593
3149321	10451	1994-09-05	VYDAJ	PREVOD NA UCET	689	21349	POJISTNE	MN	92217593
3149322	10451	1994-10-05	VYDAJ	PREVOD NA UCET	689	22368	POJISTNE	MN	92217593
3149323	10451	1994-11-05	VYDAJ	PREVOD NA UCET	689	21685	POJISTNE	MN	92217593
3149324	10451	1994-12-05	VYDAJ	PREVOD NA UCET	689	4475	POJISTNE	MN	92217593
3149325	10451	1995-01-05	VYDAJ	PREVOD NA UCET	689	17749	POJISTNE	MN	92217593
3149326	10451	1995-02-05	VYDAJ	PREVOD NA UCET	689	12156	POJISTNE	MN	92217593
3149327	10451	1995-03-05	VYDAJ	PREVOD NA UCET	689	17568	POJISTNE	MN	92217593
3149328	10451	1995-04-05	VYDAJ	PREVOD NA UCET	689	19212	POJISTNE	MN	92217593
3149329	10451	1995-05-05	VYDAJ	PREVOD NA UCET	689	19267	POJISTNE	MN	92217593
3149330	10451	1995-06-05	VYDAJ	PREVOD NA UCET	689	19034	POJISTNE	MN	92217593
3149331	10451	1995-07-05	VYDAJ	PREVOD NA UCET	689	22041	POJISTNE	MN	92217593
3149332	10451	1995-08-05	VYDAJ	PREVOD NA UCET	689	20913	POJISTNE	MN	92217593
3149333	10451	1995-09-05	VYDAJ	PREVOD NA UCET	689	20327	POJISTNE	MN	92217593
3149334	10451	1995-10-05	VYDAJ	PREVOD NA UCET	689	20845	POJISTNE	MN	92217593
3149335	10451	1995-11-05	VYDAJ	PREVOD NA UCET	689	23017	POJISTNE	MN	92217593
3149336	10451	1995-12-05	VYDAJ	PREVOD NA UCET	689	23602	POJISTNE	MN	92217593
3149337	10451	1996-01-05	VYDAJ	PREVOD NA UCET	689	23019	POJISTNE	MN	92217593
3149338	10451	1996-02-05	VYDAJ	PREVOD NA UCET	689	12776	POJISTNE	MN	92217593
3149339	10451	1996-03-05	VYDAJ	PREVOD NA UCET	689	13376	POJISTNE	MN	92217593
3149340	10451	1996-04-05	VYDAJ	PREVOD NA UCET	689	18703	POJISTNE	MN	92217593
3149341	10451	1996-05-05	VYDAJ	PREVOD NA UCET	689	20555	POJISTNE	MN	92217593
3149342	10451	1996-06-05	VYDAJ	PREVOD NA UCET	689	24733	POJISTNE	MN	92217593
3149343	10451	1996-07-05	VYDAJ	PREVOD NA UCET	689	31290	POJISTNE	MN	92217593
3149344	10451	1996-08-05	VYDAJ	PREVOD NA UCET	689	30031	POJISTNE	MN	92217593
3149345	10451	1996-09-05	VYDAJ	PREVOD NA UCET	689	26549	POJISTNE	MN	92217593
3149346	10451	1996-10-05	VYDAJ	PREVOD NA UCET	689	20123	POJISTNE	MN	92217593
3149347	10451	1996-11-05	VYDAJ	PREVOD NA UCET	689	16054	POJISTNE	MN	92217593
3149348	10451	1996-12-05	VYDAJ	PREVOD NA UCET	689	13458	POJISTNE	MN	92217593
3149349	10451	1997-01-05	VYDAJ	PREVOD NA UCET	689	10364	POJISTNE	MN	92217593
3149350	10451	1997-02-05	VYDAJ	PREVOD NA UCET	689	2869	POJISTNE	MN	92217593
3149351	10451	1997-03-05	VYDAJ	PREVOD NA UCET	689	1308	POJISTNE	MN	92217593
3149352	10451	1997-04-05	VYDAJ	PREVOD NA UCET	689	2451	POJISTNE	MN	92217593
3149353	10451	1997-05-05	VYDAJ	PREVOD NA UCET	689	6829	POJISTNE	MN	92217593
3149354	10451	1997-06-05	VYDAJ	PREVOD NA UCET	689	8680	POJISTNE	MN	92217593
3149355	10451	1997-07-05	VYDAJ	PREVOD NA UCET	689	10874	POJISTNE	MN	92217593
3149356	10451	1997-08-05	VYDAJ	PREVOD NA UCET	689	6703	POJISTNE	MN	92217593
3149357	10451	1997-09-05	VYDAJ	PREVOD NA UCET	689	7649	POJISTNE	MN	92217593
3149358	10451	1997-10-05	VYDAJ	PREVOD NA UCET	689	9409	POJISTNE	MN	92217593
3149359	10451	1997-11-05	VYDAJ	PREVOD NA UCET	689	10580	POJISTNE	MN	92217593
3149360	10451	1997-12-05	VYDAJ	PREVOD NA UCET	689	15889	POJISTNE	MN	92217593
3149361	10451	1998-01-05	VYDAJ	PREVOD NA UCET	689	12574	POJISTNE	MN	92217593
3149362	10451	1998-02-05	VYDAJ	PREVOD NA UCET	689	14154	POJISTNE	MN	92217593
3149363	10451	1998-03-05	VYDAJ	PREVOD NA UCET	689	12441	POJISTNE	MN	92217593
3149364	10451	1998-04-05	VYDAJ	PREVOD NA UCET	689	19963	POJISTNE	MN	92217593
3149365	10451	1998-05-05	VYDAJ	PREVOD NA UCET	689	18297	POJISTNE	MN	92217593
3149366	10451	1998-06-05	VYDAJ	PREVOD NA UCET	689	14314	POJISTNE	MN	92217593
3149367	10451	1998-07-05	VYDAJ	PREVOD NA UCET	689	16770	POJISTNE	MN	92217593
3149368	10451	1998-08-05	VYDAJ	PREVOD NA UCET	689	18280	POJISTNE	MN	92217593
3149369	10451	1998-09-05	VYDAJ	PREVOD NA UCET	689	14497	POJISTNE	MN	92217593
3149370	10451	1998-10-05	VYDAJ	PREVOD NA UCET	689	11188	POJISTNE	MN	92217593
3149371	10451	1998-11-05	VYDAJ	PREVOD NA UCET	689	9449	POJISTNE	MN	92217593
3149372	10451	1998-12-05	VYDAJ	PREVOD NA UCET	689	7695	POJISTNE	MN	92217593
3149385	10451	1994-01-20	VYDAJ	VYBER	7500	39541	\N	\N	0
3149386	10451	1994-02-11	VYDAJ	VYBER	6200	33136	\N	\N	0
3149387	10451	1994-03-09	VYDAJ	VYBER	6200	29612	\N	\N	0
3149388	10451	1994-04-05	VYDAJ	VYBER	9700	16260	\N	\N	0
3149389	10451	1994-05-02	VYDAJ	VYBER	9000	17396	\N	\N	0
3149390	10451	1994-06-15	VYDAJ	VYBER	9300	30212	\N	\N	0
3149391	10451	1994-07-09	VYDAJ	VYBER	9800	28566	\N	\N	0
3149392	10451	1994-08-15	VYDAJ	VYBER	8200	20859	\N	\N	0
3149393	10451	1994-09-11	VYDAJ	VYBER	9400	23547	\N	\N	0
3149394	10451	1994-10-11	VYDAJ	VYBER	9200	24766	\N	\N	0
3149395	10451	1994-11-21	VYDAJ	VYBER	9400	14790	\N	\N	0
3149396	10451	1994-12-03	VYDAJ	VYBER	7900	5164	\N	\N	0
3149397	10451	1995-01-12	VYDAJ	PREVOD NA UCET	8049	16138	UVER	YZ	10042131
3149398	10451	1995-02-12	VYDAJ	PREVOD NA UCET	8049	15705	UVER	YZ	10042131
3149399	10451	1995-03-12	VYDAJ	PREVOD NA UCET	8049	21117	UVER	YZ	10042131
3149400	10451	1995-04-12	VYDAJ	PREVOD NA UCET	8049	22761	UVER	YZ	10042131
3149401	10451	1995-05-12	VYDAJ	PREVOD NA UCET	8049	22816	UVER	YZ	10042131
3149402	10451	1995-06-12	VYDAJ	PREVOD NA UCET	8049	29602	UVER	YZ	10042131
3149403	10451	1995-07-12	VYDAJ	PREVOD NA UCET	8049	25590	UVER	YZ	10042131
3149404	10451	1995-08-12	VYDAJ	PREVOD NA UCET	8049	24462	UVER	YZ	10042131
3149405	10451	1995-09-12	VYDAJ	PREVOD NA UCET	8049	21236	UVER	YZ	10042131
3149406	10451	1995-10-12	VYDAJ	PREVOD NA UCET	8049	24394	UVER	YZ	10042131
3149407	10451	1995-11-12	VYDAJ	PREVOD NA UCET	8049	26566	UVER	YZ	10042131
3149408	10451	1995-12-12	VYDAJ	PREVOD NA UCET	8049	34170	UVER	YZ	10042131
3149409	10451	1996-01-12	VYDAJ	PREVOD NA UCET	8049	20968	UVER	YZ	10042131
3149410	10451	1996-02-12	VYDAJ	PREVOD NA UCET	8049	16325	UVER	YZ	10042131
3149411	10451	1996-03-12	VYDAJ	PREVOD NA UCET	8049	16925	UVER	YZ	10042131
3149412	10451	1996-04-12	VYDAJ	PREVOD NA UCET	8049	22252	UVER	YZ	10042131
3149413	10451	1996-05-12	VYDAJ	PREVOD NA UCET	8049	24104	UVER	YZ	10042131
3149414	10451	1996-06-12	VYDAJ	PREVOD NA UCET	8049	35301	UVER	YZ	10042131
3149415	10451	1996-07-12	VYDAJ	PREVOD NA UCET	8049	34839	UVER	YZ	10042131
3149416	10451	1996-08-12	VYDAJ	PREVOD NA UCET	8049	33580	UVER	YZ	10042131
3149417	10451	1996-09-12	VYDAJ	PREVOD NA UCET	8049	25298	UVER	YZ	10042131
3149418	10451	1996-10-12	VYDAJ	PREVOD NA UCET	8049	21272	UVER	YZ	10042131
3149419	10451	1996-11-12	VYDAJ	PREVOD NA UCET	8049	18703	UVER	YZ	10042131
3149420	10451	1996-12-12	VYDAJ	PREVOD NA UCET	8049	15626	UVER	YZ	10042131
3149421	10451	1997-01-12	VYDAJ	PREVOD NA UCET	8049	8193	UVER	YZ	10042131
3149422	10451	1997-02-12	VYDAJ	VYBER	8000	6667	\N	\N	0
3149423	10451	1997-03-12	VYDAJ	VYBER	8000	7806	\N	\N	0
3149424	10451	1997-04-12	VYDAJ	VYBER	8000	12149	\N	\N	0
3149425	10451	1997-05-12	VYDAJ	PREVOD NA UCET	8049	13978	UVER	YZ	10042131
3149426	10451	1997-06-12	VYDAJ	PREVOD NA UCET	8049	16148	UVER	YZ	10042131
3149427	10451	1997-07-12	VYDAJ	PREVOD NA UCET	8049	12003	UVER	YZ	10042131
3149428	10451	1997-08-12	VYDAJ	PREVOD NA UCET	8049	12952	UVER	YZ	10042131
3149429	10451	1997-09-12	VYDAJ	PREVOD NA UCET	8049	14698	UVER	YZ	10042131
3149430	10451	1997-10-12	VYDAJ	PREVOD NA UCET	8049	15858	UVER	YZ	10042131
3149431	10451	1997-11-12	VYDAJ	PREVOD NA UCET	8049	21129	UVER	YZ	10042131
3149432	10451	1997-12-12	VYDAJ	PREVOD NA UCET	8049	22237	UVER	YZ	10042131
3149433	10451	1998-01-12	VYDAJ	PREVOD NA UCET	8049	16123	UVER	YZ	10042131
3149434	10451	1998-02-12	VYDAJ	PREVOD NA UCET	8049	17703	UVER	YZ	10042131
3149435	10451	1998-03-12	VYDAJ	PREVOD NA UCET	8049	22790	UVER	YZ	10042131
3149436	10451	1998-04-12	VYDAJ	PREVOD NA UCET	8049	23512	UVER	YZ	10042131
3149437	10451	1998-05-12	VYDAJ	PREVOD NA UCET	8049	21146	UVER	YZ	10042131
3149438	10451	1998-06-12	VYDAJ	PREVOD NA UCET	8049	24882	UVER	YZ	10042131
3149439	10451	1998-07-12	VYDAJ	PREVOD NA UCET	8049	20319	UVER	YZ	10042131
3149440	10451	1998-08-12	VYDAJ	PREVOD NA UCET	8049	21829	UVER	YZ	10042131
3149441	10451	1998-09-12	VYDAJ	PREVOD NA UCET	8049	18046	UVER	YZ	10042131
3149442	10451	1998-10-12	VYDAJ	PREVOD NA UCET	8049	14737	UVER	YZ	10042131
3149443	10451	1998-11-12	VYDAJ	PREVOD NA UCET	8049	12998	UVER	YZ	10042131
3149444	10451	1998-12-12	VYDAJ	PREVOD NA UCET	8049	18263	UVER	YZ	10042131
3149452	10451	1994-01-24	VYDAJ	VYBER	4000	35541	\N	\N	\N
3149454	10451	1996-01-10	VYDAJ	VYBER	1760	29017	\N	\N	\N
3149455	10451	1997-01-07	VYDAJ	VYBER	1920	20042	\N	\N	\N
3149458	10451	1994-12-19	VYDAJ	VYBER	1120	17319	\N	\N	\N
3149459	10451	1995-12-21	VYDAJ	VYBER	1440	26977	\N	\N	\N
3149461	10451	1997-12-10	VYDAJ	VYBER	3520	30286	\N	\N	\N
3149470	10451	1994-01-10	VYDAJ	VYBER	720	55534	\N	\N	\N
3149471	10451	1994-01-29	VYDAJ	VYBER	1320	28101	\N	\N	\N
3149472	10451	1994-01-12	VYDAJ	VYBER	1920	51694	\N	\N	\N
3149473	10451	1994-01-12	VYDAJ	VYBER	1920	53614	\N	\N	\N
3149474	10451	1994-01-26	VYDAJ	VYBER	720	29421	\N	\N	\N
3149475	10451	1995-01-09	VYDAJ	VYBER	2040	24187	\N	\N	\N
3149476	10451	1995-01-12	VYDAJ	VYBER	2520	13618	\N	\N	\N
3149478	10451	1995-01-07	VYDAJ	VYBER	3120	26227	\N	\N	\N
3149479	10451	1995-01-25	VYDAJ	VYBER	2400	13465	\N	\N	\N
3149483	10451	1996-01-01	VYDAJ	VYBER	3480	23708	\N	\N	\N
3149484	10451	1996-01-26	VYDAJ	VYBER	1200	15735	\N	\N	\N
3149485	10451	1996-01-30	VYDAJ	VYBER	2400	13335	\N	\N	\N
3149486	10451	1996-01-13	VYDAJ	VYBER	3120	9835	\N	\N	\N
3149487	10451	1997-01-08	VYDAJ	VYBER	2280	17762	\N	\N	\N
3149491	10451	1997-01-12	VYDAJ	VYBER	2520	16242	\N	\N	\N
3149493	10451	1998-01-04	VYDAJ	VYBER	1080	15663	\N	\N	\N
3149495	10451	1998-01-03	VYDAJ	VYBER	960	16743	\N	\N	\N
3149503	10451	1994-11-09	VYDAJ	VYBER	4440	28843	\N	\N	\N
3149504	10451	1994-02-18	VYDAJ	VYBER	4320	24163	\N	\N	\N
3149505	10451	1994-10-14	VYDAJ	VYBER	3000	17113	\N	\N	\N
3149506	10451	1994-03-07	VYDAJ	VYBER	1080	35812	\N	\N	\N
3149507	10451	1994-11-28	VYDAJ	VYBER	2880	12910	\N	\N	\N
3149508	10451	1995-06-23	VYDAJ	VYBER	1800	22549	\N	\N	\N
3149509	10451	1995-08-31	VYDAJ	VYBER	3360	21031	\N	\N	\N
3149510	10451	1995-01-25	VYDAJ	VYBER	720	12745	\N	\N	\N
3149511	10451	1995-05-12	VYDAJ	VYBER	2880	19936	\N	\N	\N
3149512	10451	1995-09-10	VYDAJ	VYBER	2640	29285	\N	\N	\N
3149514	10451	1995-05-25	VYDAJ	VYBER	1200	19583	\N	\N	\N
3149515	10451	1996-02-20	VYDAJ	VYBER	2040	18032	\N	\N	\N
3149516	10451	1996-01-06	VYDAJ	VYBER	3840	16740	\N	\N	\N
3149517	10451	1996-03-03	VYDAJ	VYBER	4080	14065	\N	\N	\N
3149518	10451	1996-01-12	VYDAJ	VYBER	3360	17608	\N	\N	\N
3149521	10451	1997-07-09	VYDAJ	VYBER	1920	20052	\N	\N	\N
3149540	10451	1994-01-31	VYDAJ	VYBER	15	28427	SLUZBY	\N	\N
3149541	10451	1994-02-28	VYDAJ	VYBER	15	25983	SLUZBY	\N	\N
3149542	10451	1994-03-31	VYDAJ	VYBER	15	25960	SLUZBY	\N	\N
3149543	10451	1994-04-30	VYDAJ	VYBER	15	26396	SLUZBY	\N	\N
3149544	10451	1994-05-31	VYDAJ	VYBER	15	26237	SLUZBY	\N	\N
3149545	10451	1994-06-30	VYDAJ	VYBER	15	27457	SLUZBY	\N	\N
3149546	10451	1994-07-31	VYDAJ	VYBER	15	22803	SLUZBY	\N	\N
3149547	10451	1994-08-31	VYDAJ	VYBER	15	22038	SLUZBY	\N	\N
3149548	10451	1994-09-30	VYDAJ	VYBER	15	23057	SLUZBY	\N	\N
3149549	10451	1994-10-31	VYDAJ	VYBER	15	22374	SLUZBY	\N	\N
3149550	10451	1994-11-30	VYDAJ	VYBER	15	13064	SLUZBY	\N	\N
3149551	10451	1994-12-31	VYDAJ	VYBER	15	18438	SLUZBY	\N	\N
3149552	10451	1995-01-31	VYDAJ	VYBER	15	12845	SLUZBY	\N	\N
3149553	10451	1995-02-28	VYDAJ	VYBER	15	18257	SLUZBY	\N	\N
3149554	10451	1995-03-31	VYDAJ	VYBER	15	19901	SLUZBY	\N	\N
3149555	10451	1995-04-30	VYDAJ	VYBER	15	19956	SLUZBY	\N	\N
3149556	10451	1995-05-31	VYDAJ	VYBER	15	19723	SLUZBY	\N	\N
3149557	10451	1995-06-30	VYDAJ	VYBER	15	22730	SLUZBY	\N	\N
3149558	10451	1995-07-31	VYDAJ	VYBER	15	21602	SLUZBY	\N	\N
3149559	10451	1995-08-31	VYDAJ	VYBER	15	21016	SLUZBY	\N	\N
3149560	10451	1995-09-30	VYDAJ	VYBER	15	21534	SLUZBY	\N	\N
3149561	10451	1995-10-31	VYDAJ	VYBER	15	23706	SLUZBY	\N	\N
3149562	10451	1995-11-30	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
3149563	10451	1995-12-31	VYDAJ	VYBER	15	27188	SLUZBY	\N	\N
3149564	10451	1996-01-31	VYDAJ	VYBER	15	13465	SLUZBY	\N	\N
3149565	10451	1996-02-29	VYDAJ	VYBER	15	18145	SLUZBY	\N	\N
3149566	10451	1996-03-31	VYDAJ	VYBER	15	19392	SLUZBY	\N	\N
3149567	10451	1996-04-30	VYDAJ	VYBER	15	21244	SLUZBY	\N	\N
3149568	10451	1996-05-31	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
3149569	10451	1996-06-30	VYDAJ	VYBER	15	31979	SLUZBY	\N	\N
3149570	10451	1996-07-31	VYDAJ	VYBER	15	30720	SLUZBY	\N	\N
3149571	10451	1996-08-31	VYDAJ	VYBER	15	27238	SLUZBY	\N	\N
3149572	10451	1996-09-30	VYDAJ	VYBER	15	20812	SLUZBY	\N	\N
3149573	10451	1996-10-31	VYDAJ	VYBER	15	16743	SLUZBY	\N	\N
3149574	10451	1996-11-30	VYDAJ	VYBER	15	14147	SLUZBY	\N	\N
3149575	10451	1996-12-31	VYDAJ	VYBER	15	11053	SLUZBY	\N	\N
3149576	10451	1997-01-31	VYDAJ	VYBER	15	3559	SLUZBY	\N	\N
3149577	10451	1997-02-28	VYDAJ	VYBER	15	1997	SLUZBY	\N	\N
3149578	10451	1997-03-31	VYDAJ	VYBER	15	3147	SLUZBY	\N	\N
3149579	10451	1997-04-30	VYDAJ	VYBER	15	7521	SLUZBY	\N	\N
3149580	10451	1997-05-31	VYDAJ	VYBER	15	9369	SLUZBY	\N	\N
3149581	10451	1997-06-30	VYDAJ	VYBER	15	11563	SLUZBY	\N	\N
3149582	10451	1997-07-31	VYDAJ	VYBER	15	7392	SLUZBY	\N	\N
3149583	10451	1997-08-31	VYDAJ	VYBER	15	8338	SLUZBY	\N	\N
3149584	10451	1997-09-30	VYDAJ	VYBER	15	10098	SLUZBY	\N	\N
3149585	10451	1997-10-31	VYDAJ	VYBER	15	11269	SLUZBY	\N	\N
3149586	10451	1997-11-30	VYDAJ	VYBER	15	16578	SLUZBY	\N	\N
3149587	10451	1997-12-31	VYDAJ	VYBER	15	17703	SLUZBY	\N	\N
3149588	10451	1998-01-31	VYDAJ	VYBER	15	11543	SLUZBY	\N	\N
3149589	10451	1998-02-28	VYDAJ	VYBER	15	13130	SLUZBY	\N	\N
3149590	10451	1998-03-31	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
3149591	10451	1998-04-30	VYDAJ	VYBER	15	18986	SLUZBY	\N	\N
3149592	10451	1998-05-31	VYDAJ	VYBER	15	16603	SLUZBY	\N	\N
3149593	10451	1998-06-30	VYDAJ	VYBER	15	20359	SLUZBY	\N	\N
3149594	10451	1998-07-31	VYDAJ	VYBER	15	15769	SLUZBY	\N	\N
3149595	10451	1998-08-31	VYDAJ	VYBER	15	17286	SLUZBY	\N	\N
3149596	10451	1998-09-30	VYDAJ	VYBER	15	13477	SLUZBY	\N	\N
3149597	10451	1998-10-31	VYDAJ	VYBER	15	10138	SLUZBY	\N	\N
3149598	10451	1998-11-30	VYDAJ	VYBER	15	8384	SLUZBY	\N	\N
3149599	10451	1993-09-28	PRIJEM	VKLAD	3900	18837	\N	\N	\N
3149600	10451	1993-10-28	VYDAJ	VYBER	3100	29790	\N	\N	\N
3149601	10451	1993-11-27	VYDAJ	VYBER	7600	36396	\N	\N	\N
3149602	10451	1993-12-27	VYDAJ	VYBER	15800	41907	\N	\N	\N
3149603	10451	1994-01-26	VYDAJ	VYBER	5400	30141	\N	\N	\N
3149604	10451	1994-02-25	PRIJEM	VKLAD	1600	25763	\N	\N	\N
3149605	10451	1994-03-27	PRIJEM	VKLAD	800	25759	\N	\N	\N
3149606	10451	1994-04-26	PRIJEM	VKLAD	3700	26216	\N	\N	\N
3149607	10451	1994-05-26	PRIJEM	VKLAD	2400	26052	\N	\N	\N
3149608	10451	1994-06-25	VYDAJ	VYBER	3000	27212	\N	\N	\N
3149609	10451	1994-07-25	VYDAJ	VYBER	1300	22613	\N	\N	\N
3149610	10451	1994-08-24	PRIJEM	VKLAD	1000	21859	\N	\N	\N
3149611	10451	1994-09-23	PRIJEM	VKLAD	4000	22894	\N	\N	\N
3149612	10451	1994-10-23	PRIJEM	VKLAD	5100	22213	\N	\N	\N
3149613	10451	1994-11-22	PRIJEM	VKLAD	1000	15790	\N	\N	\N
3149614	10451	1994-12-22	PRIJEM	VKLAD	1000	18319	\N	\N	\N
3149615	10451	1995-01-21	PRIJEM	VKLAD	6900	15865	\N	\N	\N
3149616	10451	1995-02-20	PRIJEM	VKLAD	7100	18152	\N	\N	\N
3149617	10451	1995-03-22	PRIJEM	VKLAD	3300	19764	\N	\N	\N
3149618	10451	1995-04-21	PRIJEM	VKLAD	1700	19808	\N	\N	\N
3149619	10451	1995-05-21	PRIJEM	VKLAD	5500	20783	\N	\N	\N
3149620	10451	1995-06-20	VYDAJ	VYBER	600	24349	\N	\N	\N
3149621	10451	1995-07-20	PRIJEM	VKLAD	500	21437	\N	\N	\N
3149622	10451	1995-08-19	PRIJEM	VKLAD	4400	24209	\N	\N	\N
3149623	10451	1995-09-18	PRIJEM	VKLAD	4800	21383	\N	\N	\N
3149624	10451	1995-10-18	PRIJEM	VKLAD	3800	23541	\N	\N	\N
3149625	10451	1995-11-17	PRIJEM	VKLAD	2200	24113	\N	\N	\N
3149626	10451	1995-12-17	VYDAJ	VYBER	1100	28417	\N	\N	\N
3149627	10451	1996-01-16	PRIJEM	VKLAD	7100	16935	\N	\N	\N
3149628	10451	1996-02-15	PRIJEM	VKLAD	8400	20072	\N	\N	\N
3149629	10451	1996-03-16	PRIJEM	VKLAD	7000	19272	\N	\N	\N
3149630	10451	1996-04-15	PRIJEM	VKLAD	3500	21099	\N	\N	\N
3149631	10451	1996-05-15	PRIJEM	VKLAD	5800	25251	\N	\N	\N
3149632	10451	1996-06-14	PRIJEM	VKLAD	1100	31748	\N	\N	\N
3149633	10451	1996-07-14	PRIJEM	VKLAD	300	30486	\N	\N	\N
3149634	10451	1996-08-13	VYDAJ	VYBER	1900	27027	\N	\N	\N
3149635	10451	1996-09-12	VYDAJ	VYBER	4800	33347	\N	\N	\N
3149636	10451	1996-10-12	VYDAJ	VYBER	2400	29321	\N	\N	\N
3149637	10451	1996-11-11	VYDAJ	VYBER	900	26752	\N	\N	\N
3149638	10451	1996-12-11	VYDAJ	VYBER	8400	23675	\N	\N	\N
3149639	10451	1997-01-10	PRIJEM	VKLAD	1000	18762	\N	\N	\N
3149640	10451	1997-02-09	PRIJEM	VKLAD	200	14667	\N	\N	\N
3149641	10451	1997-03-11	PRIJEM	VKLAD	2900	15806	\N	\N	\N
3149642	10451	1997-04-10	PRIJEM	VKLAD	6100	20149	\N	\N	\N
3149643	10451	1997-05-10	PRIJEM	VKLAD	3600	22027	\N	\N	\N
3149644	10451	1997-06-09	VYDAJ	VYBER	3100	24197	\N	\N	\N
3149645	10451	1997-07-09	VYDAJ	VYBER	500	21972	\N	\N	\N
3149646	10451	1997-08-08	PRIJEM	VKLAD	2700	21001	\N	\N	\N
3149647	10451	1997-09-07	PRIJEM	VKLAD	3500	8710	\N	\N	\N
3149648	10451	1997-10-07	PRIJEM	VKLAD	2900	23907	\N	\N	\N
3149649	10451	1997-11-06	PRIJEM	VKLAD	7000	17580	\N	\N	\N
3149650	10451	1997-12-06	VYDAJ	VYBER	700	15189	\N	\N	\N
3149651	10451	1998-01-05	VYDAJ	VYBER	2400	13263	\N	\N	\N
3149652	10451	1998-02-04	PRIJEM	VKLAD	3300	14843	\N	\N	\N
3149653	10451	1998-03-06	PRIJEM	VKLAD	6800	19241	\N	\N	\N
3149654	10451	1998-04-05	PRIJEM	VKLAD	2400	20652	\N	\N	\N
3149655	10451	1998-05-05	VYDAJ	VYBER	700	17597	\N	\N	\N
3149656	10451	1998-06-04	VYDAJ	VYBER	1600	15003	\N	\N	\N
3149657	10451	1998-07-04	VYDAJ	VYBER	2900	17459	\N	\N	\N
3149658	10451	1998-08-03	PRIJEM	VKLAD	3200	18969	\N	\N	\N
3149659	10451	1998-09-02	VYDAJ	VYBER	2100	15186	\N	\N	\N
3149660	10451	1998-10-02	VYDAJ	VYBER	1600	11877	\N	\N	\N
3158158	10478	1996-02-24	PRIJEM	VKLAD	200	200	\N	\N	\N
3158159	10478	1996-04-01	PRIJEM	VKLAD	9669	23669	\N	\N	\N
3158160	10478	1996-05-01	PRIJEM	VKLAD	5331	30825	\N	\N	\N
3158161	10478	1997-02-16	PRIJEM	VKLAD	39406	98427	\N	\N	\N
3158162	10478	1997-10-08	PRIJEM	VKLAD	15500	108457	\N	\N	\N
3158163	10478	1997-04-13	PRIJEM	VKLAD	18025	103352	\N	\N	\N
3158164	10478	1997-01-19	PRIJEM	VKLAD	42297	111445	\N	\N	\N
3158165	10478	1997-10-12	PRIJEM	VKLAD	27189	135646	\N	\N	\N
3158166	10478	1997-03-27	PRIJEM	VKLAD	16694	95580	\N	\N	\N
3158167	10478	1997-10-16	PRIJEM	VKLAD	39007	136453	\N	\N	\N
3158168	10478	1997-06-30	PRIJEM	VKLAD	8291	60462	\N	\N	\N
3158169	10478	1997-06-30	PRIJEM	VKLAD	10514	52171	\N	\N	\N
3158170	10478	1997-01-18	PRIJEM	VKLAD	41031	69148	\N	\N	\N
3158171	10478	1997-06-18	PRIJEM	VKLAD	27811	50757	\N	\N	\N
3158172	10478	1997-09-01	PRIJEM	VKLAD	40462	110317	\N	\N	\N
3158173	10478	1997-04-21	PRIJEM	VKLAD	11461	81913	\N	\N	\N
3158174	10478	1997-06-17	PRIJEM	VKLAD	17254	22946	\N	\N	\N
3158175	10478	1997-07-19	PRIJEM	VKLAD	18121	64364	\N	\N	\N
3158176	10478	1997-11-10	PRIJEM	VKLAD	36966	115631	\N	\N	\N
3158177	10478	1997-10-21	PRIJEM	VKLAD	13441	74794	\N	\N	\N
3158178	10478	1997-12-03	PRIJEM	VKLAD	21059	51457	\N	\N	\N
3158179	10478	1997-02-18	PRIJEM	VKLAD	16199	114626	\N	\N	\N
3158180	10478	1997-10-25	PRIJEM	VKLAD	9164	83958	\N	\N	\N
3158181	10478	1997-09-09	PRIJEM	VKLAD	28694	133011	\N	\N	\N
3158182	10478	1997-08-06	PRIJEM	VKLAD	27595	87685	\N	\N	\N
3158183	10478	1997-08-16	PRIJEM	VKLAD	23385	111070	\N	\N	\N
3158184	10478	1997-03-24	PRIJEM	VKLAD	14118	78886	\N	\N	\N
3158185	10478	1997-03-20	PRIJEM	VKLAD	30785	89168	\N	\N	\N
3158186	10478	1997-11-01	PRIJEM	VKLAD	23963	78665	\N	\N	\N
3158187	10478	1997-04-07	PRIJEM	VKLAD	13598	90027	\N	\N	\N
3158188	10478	1997-03-30	PRIJEM	VKLAD	42094	137674	\N	\N	\N
3158189	10478	1997-09-22	PRIJEM	VKLAD	22111	92622	\N	\N	\N
3158190	10478	1998-11-27	PRIJEM	VKLAD	36900	62463	\N	\N	\N
3158191	10478	1998-10-03	PRIJEM	VKLAD	32795	80317	\N	\N	\N
3158192	10478	1998-02-21	PRIJEM	VKLAD	48501	63287	\N	\N	\N
3158193	10478	1998-10-06	PRIJEM	VKLAD	11279	91596	\N	\N	\N
3158194	10478	1998-04-05	PRIJEM	VKLAD	26532	58309	\N	\N	\N
3158195	10478	1998-04-25	PRIJEM	VKLAD	8604	54037	\N	\N	\N
3158196	10478	1998-09-10	PRIJEM	VKLAD	47921	112155	\N	\N	\N
3158197	10478	1998-06-10	PRIJEM	VKLAD	25257	64014	\N	\N	\N
3158198	10478	1998-11-02	PRIJEM	VKLAD	10168	73138	\N	\N	\N
3158199	10478	1998-10-30	PRIJEM	VKLAD	21864	62784	\N	\N	\N
3158200	10478	1998-01-03	PRIJEM	VKLAD	37049	48612	\N	\N	\N
3158201	10478	1998-05-27	PRIJEM	VKLAD	15524	54631	\N	\N	\N
3158202	10478	1998-08-18	PRIJEM	VKLAD	40566	64088	\N	\N	\N
3158203	10478	1998-02-23	PRIJEM	VKLAD	7381	70668	\N	\N	\N
3158204	10478	1998-09-13	PRIJEM	VKLAD	14151	47331	\N	\N	\N
3158205	10478	1998-03-11	PRIJEM	VKLAD	11458	82202	\N	\N	\N
3158206	10478	1998-07-03	PRIJEM	VKLAD	22122	34412	\N	\N	\N
3158221	10478	1997-03-05	VYDAJ	VYBER	4400	58383	\N	\N	0
3158222	10478	1997-04-12	VYDAJ	VYBER	4700	85327	\N	\N	0
3158223	10478	1997-05-04	VYDAJ	VYBER	5300	76930	\N	\N	0
3158225	10478	1997-07-10	VYDAJ	VYBER	4200	56443	\N	\N	0
3158226	10478	1997-08-04	VYDAJ	VYBER	4500	60090	\N	\N	0
3158227	10478	1997-09-08	VYDAJ	VYBER	6000	104317	\N	\N	0
3158228	10478	1997-10-16	VYDAJ	VYBER	4200	132253	\N	\N	0
3158229	10478	1997-11-18	VYDAJ	VYBER	6400	37731	\N	\N	0
3158230	10478	1997-12-10	VYDAJ	VYBER	6700	44757	\N	\N	0
3158231	10478	1998-01-12	VYDAJ	PREVOD NA UCET	5575	27621	UVER	MN	41004979
3158233	10478	1998-03-12	VYDAJ	PREVOD NA UCET	5575	76627	UVER	MN	41004979
3158234	10478	1998-04-12	VYDAJ	PREVOD NA UCET	5575	52733	UVER	MN	41004979
3158235	10478	1998-05-12	VYDAJ	PREVOD NA UCET	5575	38707	UVER	MN	41004979
3158236	10478	1998-06-12	VYDAJ	PREVOD NA UCET	5575	58438	UVER	MN	41004979
3158237	10478	1998-07-12	VYDAJ	PREVOD NA UCET	5575	28837	UVER	MN	41004979
3158238	10478	1998-08-12	VYDAJ	PREVOD NA UCET	5575	23522	UVER	MN	41004979
3158239	10478	1998-09-12	VYDAJ	PREVOD NA UCET	5575	33180	UVER	MN	41004979
3158240	10478	1998-10-12	VYDAJ	PREVOD NA UCET	5575	50520	UVER	MN	41004979
3158241	10478	1998-11-12	VYDAJ	PREVOD NA UCET	5575	35763	UVER	MN	41004979
3158242	10478	1998-12-12	VYDAJ	PREVOD NA UCET	5575	30946	UVER	MN	41004979
3158245	10478	1997-10-27	VYBER	VYBER	12425	71533	\N	\N	\N
3158247	10478	1997-10-29	VYBER	VYBER	9683	61850	\N	\N	\N
3158249	10478	1998-06-01	VYBER	VYBER	16037	38757	\N	\N	\N
3158250	10478	1998-01-07	VYBER	VYBER	15415	33197	\N	\N	\N
3158251	10478	1998-03-22	VYBER	VYBER	21145	31582	\N	\N	\N
3158253	10478	1997-06-01	VYDAJ	VYBER	48300	5692	\N	\N	\N
3158254	10478	1998-06-27	VYDAJ	VYBER	30900	12138	\N	\N	\N
3158257	10478	1998-01-15	VYDAJ	VYBER	9900	17821	\N	\N	\N
3158259	10478	1997-12-20	VYDAJ	VYBER	6900	23457	\N	\N	\N
3158260	10478	1998-12-07	VYDAJ	VYBER	6900	53621	\N	\N	\N
3158273	10478	1998-01-20	VYDAJ	VYBER	1800	16021	\N	\N	\N
3158274	10478	1998-01-28	VYDAJ	VYBER	1500	10921	\N	\N	\N
3158276	10478	1998-01-01	VYDAJ	VYBER	3300	11563	\N	\N	\N
3158277	10478	1998-01-27	VYDAJ	VYBER	3600	12421	\N	\N	\N
3158278	10478	1998-01-29	VYDAJ	VYBER	2100	8821	\N	\N	\N
3158285	10478	1997-06-18	VYDAJ	VYBER	6600	41657	\N	\N	\N
3158286	10478	1997-10-30	VYDAJ	VYBER	7500	54350	\N	\N	\N
3158288	10478	1997-12-24	VYDAJ	VYBER	8700	14757	\N	\N	\N
3158289	10478	1997-12-02	VYDAJ	VYBER	7500	30398	\N	\N	\N
3158290	10478	1997-03-05	VYDAJ	VYBER	1500	62783	\N	\N	\N
3158291	10478	1998-11-02	VYDAJ	VYBER	8400	64738	\N	\N	\N
3158292	10478	1998-10-14	VYDAJ	VYBER	9600	40920	\N	\N	\N
3158293	10478	1998-11-09	VYDAJ	VYBER	4500	60238	\N	\N	\N
3158294	10478	1998-11-15	VYDAJ	VYBER	10200	25563	\N	\N	\N
3158295	10478	1998-07-24	VYDAJ	VYBER	6900	24037	\N	\N	\N
3158296	10478	1998-05-09	VYDAJ	VYBER	9900	44282	\N	\N	\N
3158297	10478	1998-12-01	VYDAJ	VYBER	2100	60521	\N	\N	\N
3158312	10478	1997-02-28	VYDAJ	VYBER	30	64283	SLUZBY	\N	\N
3158313	10478	1997-03-31	VYDAJ	VYBER	30	76429	SLUZBY	\N	\N
3158314	10478	1997-04-30	VYDAJ	VYBER	30	82230	SLUZBY	\N	\N
3158315	10478	1997-05-31	VYDAJ	VYBER	30	53992	SLUZBY	\N	\N
3158316	10478	1997-06-30	VYDAJ	VYBER	30	60643	SLUZBY	\N	\N
3158317	10478	1997-07-31	VYDAJ	VYBER	30	64590	SLUZBY	\N	\N
3158318	10478	1997-08-31	VYDAJ	VYBER	30	69855	SLUZBY	\N	\N
3158319	10478	1997-09-30	VYDAJ	VYBER	30	92957	SLUZBY	\N	\N
3158320	10478	1997-10-31	VYDAJ	VYBER	30	54702	SLUZBY	\N	\N
3158321	10478	1997-11-30	VYDAJ	VYBER	30	37898	SLUZBY	\N	\N
3158322	10478	1997-12-31	VYDAJ	VYBER	30	14863	SLUZBY	\N	\N
3158323	10478	1998-01-31	VYDAJ	VYBER	30	8886	SLUZBY	\N	\N
3158324	10478	1998-02-28	VYDAJ	VYBER	30	70744	SLUZBY	\N	\N
3158325	10478	1998-03-31	VYDAJ	VYBER	30	31777	SLUZBY	\N	\N
3158326	10478	1998-04-30	VYDAJ	VYBER	30	54182	SLUZBY	\N	\N
3158327	10478	1998-05-31	VYDAJ	VYBER	30	54794	SLUZBY	\N	\N
3158328	10478	1998-06-30	VYDAJ	VYBER	30	12290	SLUZBY	\N	\N
3158329	10478	1998-07-31	VYDAJ	VYBER	30	24097	SLUZBY	\N	\N
3158330	10478	1998-08-31	VYDAJ	VYBER	30	64234	SLUZBY	\N	\N
3158331	10478	1998-09-30	VYDAJ	VYBER	30	47522	SLUZBY	\N	\N
3158332	10478	1998-10-31	VYDAJ	VYBER	30	62970	SLUZBY	\N	\N
3158333	10478	1998-11-30	VYDAJ	VYBER	30	62621	SLUZBY	\N	\N
3158334	10478	1996-03-25	PRIJEM	VKLAD	13800	14000	\N	\N	\N
3158335	10478	1996-04-24	PRIJEM	VKLAD	1800	25469	\N	\N	\N
3158336	10478	1996-05-24	PRIJEM	VKLAD	2700	33525	\N	\N	\N
3158337	10478	1996-06-23	VYDAJ	VYBER	1800	31840	\N	\N	\N
3158338	10478	1996-07-23	VYDAJ	VYBER	1700	30279	\N	\N	\N
3158339	10478	1996-08-22	VYDAJ	VYBER	300	30119	\N	\N	\N
3158340	10478	1996-09-21	VYDAJ	VYBER	2200	28059	\N	\N	\N
3158341	10478	1996-10-21	PRIJEM	VKLAD	1900	30098	\N	\N	\N
3158342	10478	1996-11-20	VYDAJ	VYBER	700	29538	\N	\N	\N
3158343	10478	1996-12-20	VYDAJ	VYBER	1700	27978	\N	\N	\N
3158344	10478	1997-01-19	VYDAJ	VYBER	28600	82845	\N	\N	\N
3158345	10478	1997-01-19	VYDAJ	VYBER	24100	58745	\N	\N	\N
3158346	10478	1997-02-18	VYDAJ	VYBER	17200	97426	\N	\N	\N
3158347	10478	1997-02-18	VYDAJ	VYBER	33500	63926	\N	\N	\N
3158348	10478	1997-03-20	VYDAJ	VYBER	24400	64768	\N	\N	\N
3158349	10478	1997-03-30	VYDAJ	VYBER	61500	76174	\N	\N	\N
3158350	10478	1997-04-19	VYDAJ	VYBER	32900	70452	\N	\N	\N
3158351	10478	1997-05-19	VYDAJ	VYBER	23200	53730	\N	\N	\N
3158352	10478	1997-06-18	VYDAJ	VYBER	2500	48257	\N	\N	\N
3158353	10478	1997-07-18	VYDAJ	VYBER	10200	46243	\N	\N	\N
3158354	10478	1997-08-17	VYDAJ	VYBER	41500	69570	\N	\N	\N
3158355	10478	1997-09-09	VYDAJ	VYBER	20200	112811	\N	\N	\N
3158356	10478	1997-09-16	VYDAJ	VYBER	42300	70511	\N	\N	\N
3158357	10478	1997-10-12	VYDAJ	VYBER	38200	97446	\N	\N	\N
3158358	10478	1997-10-16	VYDAJ	VYBER	38100	61353	\N	\N	\N
3158359	10478	1997-10-16	VYDAJ	VYBER	32800	99453	\N	\N	\N
3158360	10478	1997-11-10	VYDAJ	VYBER	51100	64531	\N	\N	\N
3158361	10478	1997-11-15	VYDAJ	VYBER	20400	44131	\N	\N	\N
3158362	10478	1997-12-15	VYDAJ	VYBER	14400	30357	\N	\N	\N
3158363	10478	1998-01-14	PRIJEM	VKLAD	100	27721	\N	\N	\N
3158364	10478	1998-02-13	PRIJEM	VKLAD	5900	14786	\N	\N	\N
3158365	10478	1998-03-15	VYDAJ	VYBER	23900	52727	\N	\N	\N
3158366	10478	1998-04-14	VYDAJ	VYBER	7300	45433	\N	\N	\N
3158367	10478	1998-05-14	PRIJEM	VKLAD	400	39107	\N	\N	\N
3158368	10478	1998-06-13	VYDAJ	VYBER	15400	43038	\N	\N	\N
3158369	10478	1998-07-13	PRIJEM	VKLAD	2100	30937	\N	\N	\N
3158370	10478	1998-08-12	PRIJEM	VKLAD	5000	29097	\N	\N	\N
3158371	10478	1998-09-10	VYDAJ	VYBER	52200	59955	\N	\N	\N
3158372	10478	1998-09-11	VYDAJ	VYBER	21200	38755	\N	\N	\N
3158373	10478	1998-10-11	VYDAJ	VYBER	35500	56096	\N	\N	\N
3158374	10478	1998-11-10	VYDAJ	VYBER	18900	41338	\N	\N	\N
3158375	10478	1998-12-10	VYDAJ	VYBER	17100	36521	\N	\N	\N
3161886	10493	1997-01-09	PRIJEM	VKLAD	300	300	\N	\N	\N
3161888	10493	1997-04-09	PRIJEM	VKLAD	30829	77510	\N	\N	\N
3161889	10493	1997-01-18	PRIJEM	VKLAD	45412	45712	\N	\N	\N
3161890	10493	1997-11-29	PRIJEM	VKLAD	47382	73580	\N	\N	\N
3161892	10493	1997-04-19	PRIJEM	VKLAD	33443	78353	\N	\N	\N
3161893	10493	1997-05-16	PRIJEM	VKLAD	37513	83556	\N	\N	\N
3161894	10493	1997-09-06	PRIJEM	VKLAD	8504	71909	\N	\N	\N
3161895	10493	1997-08-08	PRIJEM	VKLAD	34136	49321	\N	\N	\N
3161896	10493	1997-08-16	PRIJEM	VKLAD	32709	76988	\N	\N	\N
3161897	10493	1997-10-24	PRIJEM	VKLAD	23394	43807	\N	\N	\N
3161898	10493	1997-03-02	PRIJEM	VKLAD	38800	74989	\N	\N	\N
3161899	10493	1997-07-18	PRIJEM	VKLAD	13113	20220	\N	\N	\N
3161900	10493	1998-04-19	PRIJEM	VKLAD	18720	62575	\N	\N	\N
3161901	10493	1998-01-09	PRIJEM	VKLAD	43392	74963	\N	\N	\N
3161902	10493	1998-02-23	PRIJEM	VKLAD	35566	97614	\N	\N	\N
3161903	10493	1998-11-27	PRIJEM	VKLAD	33837	60384	\N	\N	\N
3161904	10493	1998-04-22	PRIJEM	VKLAD	29053	91628	\N	\N	\N
3161905	10493	1998-03-01	PRIJEM	VKLAD	15493	94400	\N	\N	\N
3161906	10493	1998-12-08	PRIJEM	VKLAD	46435	85034	\N	\N	\N
3161907	10493	1998-11-15	PRIJEM	VKLAD	14278	26547	\N	\N	\N
3161908	10493	1998-06-07	PRIJEM	VKLAD	11613	51921	\N	\N	\N
3161909	10493	1998-02-20	PRIJEM	VKLAD	25921	62048	\N	\N	\N
3161910	10493	1998-04-14	PRIJEM	VKLAD	26774	43855	\N	\N	\N
3161911	10493	1998-01-30	PRIJEM	VKLAD	30726	76647	\N	\N	\N
3161912	10493	1998-04-01	PRIJEM	VKLAD	10280	35793	\N	\N	\N
3161913	10493	1998-02-14	PRIJEM	VKLAD	19589	59597	\N	\N	\N
3161914	10493	1998-09-23	PRIJEM	VKLAD	20813	32980	\N	\N	\N
3161915	10493	1998-06-28	PRIJEM	VKLAD	31262	76766	\N	\N	\N
3161916	10493	1998-05-31	PRIJEM	VKLAD	7761	57217	\N	\N	\N
3161917	10493	1998-12-27	PRIJEM	VKLAD	20867	99484	\N	\N	\N
3161918	10493	1998-02-27	PRIJEM	VKLAD	22861	120475	\N	\N	\N
3161919	10493	1998-01-06	PRIJEM	VKLAD	9666	40165	\N	\N	\N
3161925	10493	1997-06-09	VYDAJ	VYBER	4500	21773	\N	\N	0
3161926	10493	1997-07-14	VYDAJ	VYBER	6500	7107	\N	\N	0
3161927	10493	1997-08-08	VYDAJ	VYBER	4200	45121	\N	\N	0
3161928	10493	1997-09-08	VYDAJ	VYBER	4300	42215	\N	\N	0
3161929	10493	1997-10-21	VYDAJ	VYBER	4900	20413	\N	\N	0
3161930	10493	1997-11-18	VYDAJ	VYBER	6400	26198	\N	\N	0
3161931	10493	1997-12-07	VYDAJ	VYBER	4800	38586	\N	\N	0
3161932	10493	1998-01-20	VYDAJ	VYBER	4500	45921	\N	\N	0
3161933	10493	1998-02-02	VYDAJ	VYBER	6900	69944	\N	\N	0
3161934	10493	1998-03-12	VYDAJ	PREVOD NA UCET	5575	28316	UVER	UV	88460844
3161935	10493	1998-04-12	VYDAJ	PREVOD NA UCET	5575	17923	UVER	UV	88460844
3161936	10493	1998-05-12	VYDAJ	PREVOD NA UCET	5575	50059	UVER	UV	88460844
3161937	10493	1998-06-12	VYDAJ	PREVOD NA UCET	5575	46346	UVER	UV	88460844
3161938	10493	1998-07-12	VYDAJ	PREVOD NA UCET	5575	38296	UVER	UV	88460844
3161939	10493	1998-08-12	VYDAJ	PREVOD NA UCET	5575	17255	UVER	UV	88460844
3161940	10493	1998-09-12	VYDAJ	PREVOD NA UCET	5575	13009	UVER	UV	88460844
3161941	10493	1998-10-12	VYDAJ	PREVOD NA UCET	5575	11077	UVER	UV	88460844
3161942	10493	1998-11-12	VYDAJ	PREVOD NA UCET	5575	13111	UVER	UV	88460844
3161943	10493	1998-12-12	VYDAJ	PREVOD NA UCET	5575	79459	UVER	UV	88460844
3161949	10493	1997-06-06	VYDAJ	PREVOD NA UCET	8594	55247	SIPO	YZ	11884606
3161950	10493	1997-07-06	VYDAJ	PREVOD NA UCET	8594	12449	SIPO	YZ	11884606
3161951	10493	1997-08-06	VYDAJ	PREVOD NA UCET	8594	11685	SIPO	YZ	11884606
3161952	10493	1997-09-06	VYDAJ	PREVOD NA UCET	8594	63315	SIPO	YZ	11884606
3161953	10493	1997-10-06	VYDAJ	PREVOD NA UCET	8594	33029	SIPO	YZ	11884606
3161954	10493	1997-11-06	VYDAJ	PREVOD NA UCET	8594	33440	SIPO	YZ	11884606
3161955	10493	1997-12-06	VYDAJ	PREVOD NA UCET	8594	43386	SIPO	YZ	11884606
3161956	10493	1998-01-06	VYDAJ	PREVOD NA UCET	8594	31571	SIPO	YZ	11884606
3161957	10493	1998-02-06	VYDAJ	PREVOD NA UCET	8594	40850	SIPO	YZ	11884606
3161958	10493	1998-03-06	VYDAJ	PREVOD NA UCET	8594	56706	SIPO	YZ	11884606
3161959	10493	1998-04-06	VYDAJ	PREVOD NA UCET	8594	23499	SIPO	YZ	11884606
3161960	10493	1998-05-06	VYDAJ	PREVOD NA UCET	8594	55634	SIPO	YZ	11884606
3161961	10493	1998-06-06	VYDAJ	PREVOD NA UCET	8594	40308	SIPO	YZ	11884606
3161962	10493	1998-07-06	VYDAJ	PREVOD NA UCET	8594	43871	SIPO	YZ	11884606
3161963	10493	1998-08-06	VYDAJ	PREVOD NA UCET	8594	22831	SIPO	YZ	11884606
3161964	10493	1998-09-06	VYDAJ	PREVOD NA UCET	8594	18585	SIPO	YZ	11884606
3161965	10493	1998-10-06	VYDAJ	PREVOD NA UCET	8594	16653	SIPO	YZ	11884606
3161966	10493	1998-11-06	VYDAJ	PREVOD NA UCET	8594	18687	SIPO	YZ	11884606
3161967	10493	1998-12-06	VYDAJ	PREVOD NA UCET	8594	45499	SIPO	YZ	11884606
3161973	10493	1997-06-13	VYDAJ	PREVOD NA UCET	842	20931	 	AB	16853463
3161974	10493	1997-07-13	VYDAJ	PREVOD NA UCET	842	13607	 	AB	16853463
3161975	10493	1997-08-13	VYDAJ	PREVOD NA UCET	842	44279	 	AB	16853463
3161976	10493	1997-09-13	VYDAJ	PREVOD NA UCET	842	41373	 	AB	16853463
3161977	10493	1997-10-13	VYDAJ	PREVOD NA UCET	842	25313	 	AB	16853463
3161978	10493	1997-11-13	VYDAJ	PREVOD NA UCET	842	32598	 	AB	16853463
3161979	10493	1997-12-13	VYDAJ	PREVOD NA UCET	842	37744	 	AB	16853463
3161980	10493	1998-01-13	VYDAJ	PREVOD NA UCET	842	66921	 	AB	16853463
3161981	10493	1998-02-13	VYDAJ	PREVOD NA UCET	842	40008	 	AB	16853463
3161982	10493	1998-03-13	VYDAJ	PREVOD NA UCET	842	27474	 	AB	16853463
3161983	10493	1998-04-13	VYDAJ	PREVOD NA UCET	842	17081	 	AB	16853463
3161984	10493	1998-05-13	VYDAJ	PREVOD NA UCET	842	49217	 	AB	16853463
3161985	10493	1998-06-13	VYDAJ	PREVOD NA UCET	842	45504	 	AB	16853463
3161986	10493	1998-07-13	VYDAJ	PREVOD NA UCET	842	37454	 	AB	16853463
3161987	10493	1998-08-13	VYDAJ	PREVOD NA UCET	842	16413	 	AB	16853463
3161988	10493	1998-09-13	VYDAJ	PREVOD NA UCET	842	12167	 	AB	16853463
3161989	10493	1998-10-13	VYDAJ	PREVOD NA UCET	842	10235	 	AB	16853463
3161990	10493	1998-11-13	VYDAJ	PREVOD NA UCET	842	12269	 	AB	16853463
3161991	10493	1998-12-13	VYDAJ	PREVOD NA UCET	842	78617	 	AB	16853463
3161995	10493	1997-05-29	VYBER	VYBER	20030	63526	\N	\N	\N
3161996	10493	1997-10-05	VYBER	VYBER	2035	39523	\N	\N	\N
3161997	10493	1997-12-02	VYBER	VYBER	3131	70580	\N	\N	\N
3161999	10493	1997-06-07	VYBER	VYBER	15274	39973	\N	\N	\N
3162000	10493	1997-10-09	VYBER	VYBER	6874	26155	\N	\N	\N
3162003	10493	1998-07-18	VYBER	VYBER	10282	27172	\N	\N	\N
3162004	10493	1998-02-16	VYBER	VYBER	23470	36127	\N	\N	\N
3162005	10493	1998-03-08	VYBER	VYBER	22815	33891	\N	\N	\N
3162007	10493	1997-12-20	VYDAJ	VYBER	4500	33244	\N	\N	\N
3162008	10493	1998-12-29	VYDAJ	VYBER	8100	91384	\N	\N	\N
3162015	10493	1998-01-05	VYDAJ	VYBER	2100	30499	\N	\N	\N
3162016	10493	1998-01-15	VYDAJ	VYBER	5400	61521	\N	\N	\N
3162017	10493	1998-01-18	VYDAJ	VYBER	5100	50421	\N	\N	\N
3162018	10493	1998-01-16	VYDAJ	VYBER	6000	55521	\N	\N	\N
3162019	10493	1998-01-10	VYDAJ	VYBER	1500	73463	\N	\N	\N
3162020	10493	1998-01-11	VYDAJ	VYBER	5700	67763	\N	\N	\N
3162021	10493	1997-12-25	VYDAJ	VYBER	3000	30244	\N	\N	\N
3162024	10493	1997-09-03	VYDAJ	VYBER	13800	63405	\N	\N	\N
3162026	10493	1998-12-06	VYDAJ	VYBER	6900	38599	\N	\N	\N
3162027	10493	1998-03-15	VYDAJ	VYBER	2100	25374	\N	\N	\N
3162028	10493	1998-10-02	VYDAJ	VYBER	13200	25247	\N	\N	\N
3162035	10493	1997-05-31	VYDAJ	VYBER	15	63841	SLUZBY	\N	\N
3162036	10493	1997-06-30	VYDAJ	VYBER	15	21043	SLUZBY	\N	\N
3162037	10493	1997-07-31	VYDAJ	VYBER	15	20279	SLUZBY	\N	\N
3162038	10493	1997-08-31	VYDAJ	VYBER	15	77205	SLUZBY	\N	\N
3162039	10493	1997-09-30	VYDAJ	VYBER	15	41558	SLUZBY	\N	\N
3162040	10493	1997-10-31	VYDAJ	VYBER	15	43934	SLUZBY	\N	\N
3162041	10493	1997-11-30	VYDAJ	VYBER	15	73711	SLUZBY	\N	\N
3162042	10493	1997-12-31	VYDAJ	VYBER	15	30399	SLUZBY	\N	\N
3162043	10493	1998-01-31	VYDAJ	VYBER	15	76844	SLUZBY	\N	\N
3162044	10493	1998-02-28	VYDAJ	VYBER	15	78907	SLUZBY	\N	\N
3162045	10493	1998-03-31	VYDAJ	VYBER	15	25513	SLUZBY	\N	\N
3162046	10493	1998-04-30	VYDAJ	VYBER	15	91828	SLUZBY	\N	\N
3162047	10493	1998-05-31	VYDAJ	VYBER	15	57202	SLUZBY	\N	\N
3162048	10493	1998-06-30	VYDAJ	VYBER	15	76965	SLUZBY	\N	\N
3162049	10493	1998-07-31	VYDAJ	VYBER	15	27325	SLUZBY	\N	\N
3162050	10493	1998-08-31	VYDAJ	VYBER	15	16479	SLUZBY	\N	\N
3162051	10493	1998-09-30	VYDAJ	VYBER	15	33047	SLUZBY	\N	\N
3162052	10493	1998-10-31	VYDAJ	VYBER	15	27281	SLUZBY	\N	\N
3162053	10493	1998-11-30	VYDAJ	VYBER	15	60493	SLUZBY	\N	\N
3162054	10493	1997-02-08	VYDAJ	VYBER	9800	35998	\N	\N	\N
3162055	10493	1997-03-10	VYDAJ	VYBER	28500	46489	\N	\N	\N
3162056	10493	1997-04-09	VYDAJ	VYBER	32600	44910	\N	\N	\N
3162057	10493	1997-05-09	VYDAJ	VYBER	32600	46043	\N	\N	\N
3162058	10493	1997-06-08	VYDAJ	VYBER	13700	26273	\N	\N	\N
3162059	10493	1997-07-08	PRIJEM	VKLAD	2000	14449	\N	\N	\N
3162060	10493	1997-08-07	PRIJEM	VKLAD	3500	15185	\N	\N	\N
3162061	10493	1997-09-06	VYDAJ	VYBER	16800	46515	\N	\N	\N
3162062	10493	1997-10-06	PRIJEM	VKLAD	2100	41623	\N	\N	\N
3162063	10493	1997-11-05	VYDAJ	VYBER	1900	42034	\N	\N	\N
3162064	10493	1997-12-05	VYDAJ	VYBER	18600	51980	\N	\N	\N
3162065	10493	1998-01-04	PRIJEM	VKLAD	2200	32599	\N	\N	\N
3162066	10493	1998-02-03	VYDAJ	VYBER	20500	49444	\N	\N	\N
3162067	10493	1998-02-27	VYDAJ	VYBER	41800	78675	\N	\N	\N
3162068	10493	1998-03-05	VYDAJ	VYBER	29100	65300	\N	\N	\N
3162069	10493	1998-04-04	VYDAJ	VYBER	3700	32093	\N	\N	\N
3162070	10493	1998-05-04	VYDAJ	VYBER	27600	64228	\N	\N	\N
3162071	10493	1998-06-03	VYDAJ	VYBER	8300	48902	\N	\N	\N
3162072	10493	1998-07-03	VYDAJ	VYBER	24500	52465	\N	\N	\N
3162073	10493	1998-08-02	PRIJEM	VKLAD	4100	31425	\N	\N	\N
3162074	10493	1998-09-01	PRIJEM	VKLAD	10700	27179	\N	\N	\N
3162075	10493	1998-10-01	PRIJEM	VKLAD	5400	38447	\N	\N	\N
3162076	10493	1998-10-31	PRIJEM	VKLAD	17000	27295	\N	\N	\N
3162077	10493	1998-11-30	VYDAJ	VYBER	6400	54093	\N	\N	\N
3170133	10520	1995-10-24	PRIJEM	VKLAD	200	200	\N	\N	\N
3170141	10520	1995-11-06	PRIJEM	VKLAD	31172	31372	\N	\N	\N
3170143	10520	1995-12-26	PRIJEM	VKLAD	36305	86823	\N	\N	\N
3170150	10520	1995-11-09	PRIJEM	VKLAD	31835	63207	\N	\N	\N
3170155	10520	1995-12-07	PRIJEM	VKLAD	27736	74818	\N	\N	\N
3170163	10520	1996-11-22	PRIJEM	VKLAD	31537	62907	\N	\N	\N
3170164	10520	1997-10-04	PRIJEM	VKLAD	22740	58910	\N	\N	\N
3170165	10520	1997-03-02	PRIJEM	VKLAD	48094	146672	\N	\N	\N
3170166	10520	1997-12-05	PRIJEM	VKLAD	8404	126494	\N	\N	\N
3170167	10520	1997-04-10	PRIJEM	VKLAD	7778	50087	\N	\N	\N
3170168	10520	1997-02-28	PRIJEM	VKLAD	38892	117678	\N	\N	\N
3170169	10520	1997-11-08	PRIJEM	VKLAD	42164	134547	\N	\N	\N
3170170	10520	1997-11-28	PRIJEM	VKLAD	33304	101691	\N	\N	\N
3170171	10520	1997-02-21	PRIJEM	VKLAD	36273	68300	\N	\N	\N
3170172	10520	1997-05-09	PRIJEM	VKLAD	19942	145979	\N	\N	\N
3170173	10520	1997-11-02	PRIJEM	VKLAD	47960	92383	\N	\N	\N
3170174	10520	1997-12-18	PRIJEM	VKLAD	7642	55976	\N	\N	\N
3170175	10520	1997-05-02	PRIJEM	VKLAD	49874	158429	\N	\N	\N
3170176	10520	1997-05-06	PRIJEM	VKLAD	48351	185780	\N	\N	\N
3170177	10520	1997-02-22	PRIJEM	VKLAD	42653	110953	\N	\N	\N
3170178	10520	1997-04-17	PRIJEM	VKLAD	40953	64938	\N	\N	\N
3170179	10520	1997-08-16	PRIJEM	VKLAD	44384	62941	\N	\N	\N
3170180	10520	1997-02-23	PRIJEM	VKLAD	41349	120702	\N	\N	\N
3170181	10520	1997-12-04	PRIJEM	VKLAD	46303	133890	\N	\N	\N
3170182	10520	1997-05-09	PRIJEM	VKLAD	43786	189765	\N	\N	\N
3170183	10520	1997-03-11	PRIJEM	VKLAD	24747	127235	\N	\N	\N
3170184	10520	1997-04-19	PRIJEM	VKLAD	43431	108369	\N	\N	\N
3170185	10520	1997-12-29	PRIJEM	VKLAD	9361	61737	\N	\N	\N
3170186	10520	1997-05-19	PRIJEM	VKLAD	20205	77110	\N	\N	\N
3170187	10520	1997-02-01	PRIJEM	VKLAD	27548	49987	\N	\N	\N
3170188	10520	1997-05-06	PRIJEM	VKLAD	23857	209637	\N	\N	\N
3170189	10520	1998-11-22	PRIJEM	VKLAD	18220	45543	\N	\N	\N
3170190	10520	1998-01-29	PRIJEM	VKLAD	43856	68096	\N	\N	\N
3170191	10520	1998-08-24	PRIJEM	VKLAD	39442	79010	\N	\N	\N
3170192	10520	1998-08-11	PRIJEM	VKLAD	20949	46528	\N	\N	\N
3170193	10520	1998-04-13	PRIJEM	VKLAD	23137	48306	\N	\N	\N
3170194	10520	1998-11-20	PRIJEM	VKLAD	7999	27323	\N	\N	\N
3170218	10520	1996-12-12	VYDAJ	PREVOD NA UCET	6960	51679	UVER	MN	4994863
3170219	10520	1997-01-12	VYDAJ	PREVOD NA UCET	6960	19429	UVER	MN	4994863
3170220	10520	1997-02-12	VYDAJ	PREVOD NA UCET	6960	43027	UVER	MN	4994863
3170221	10520	1997-03-12	VYDAJ	PREVOD NA UCET	6960	74675	UVER	MN	4994863
3170222	10520	1997-04-12	VYDAJ	PREVOD NA UCET	6960	43127	UVER	MN	4994863
3170223	10520	1997-05-12	VYDAJ	PREVOD NA UCET	6960	97205	UVER	MN	4994863
3170224	10520	1997-06-12	VYDAJ	PREVOD NA UCET	6960	34927	UVER	MN	4994863
3170225	10520	1997-07-12	VYDAJ	PREVOD NA UCET	6960	18032	UVER	MN	4994863
3170226	10520	1997-08-12	VYDAJ	PREVOD NA UCET	6960	9857	UVER	MN	4994863
3170227	10520	1997-09-12	VYDAJ	PREVOD NA UCET	6960	40900	UVER	MN	4994863
3170228	10520	1997-10-12	VYDAJ	PREVOD NA UCET	6960	51950	UVER	MN	4994863
3170229	10520	1997-11-12	VYDAJ	PREVOD NA UCET	6960	70787	UVER	MN	4994863
3170230	10520	1997-12-12	VYDAJ	PREVOD NA UCET	6960	62534	UVER	MN	4994863
3170231	10520	1998-01-12	VYDAJ	PREVOD NA UCET	6960	41640	UVER	MN	4994863
3170232	10520	1998-02-12	VYDAJ	PREVOD NA UCET	6960	40438	UVER	MN	4994863
3170233	10520	1998-03-12	VYDAJ	PREVOD NA UCET	6960	33580	UVER	MN	4994863
3170234	10520	1998-04-12	VYDAJ	PREVOD NA UCET	6960	25169	UVER	MN	4994863
3170235	10520	1998-05-12	VYDAJ	PREVOD NA UCET	6960	25095	UVER	MN	4994863
3170236	10520	1998-06-12	VYDAJ	PREVOD NA UCET	6960	21854	UVER	MN	4994863
3170237	10520	1998-07-12	VYDAJ	PREVOD NA UCET	6960	22388	UVER	MN	4994863
3170238	10520	1998-08-12	VYDAJ	PREVOD NA UCET	6960	39568	UVER	MN	4994863
3170239	10520	1998-09-12	VYDAJ	PREVOD NA UCET	6960	28807	UVER	MN	4994863
3170240	10520	1998-10-12	VYDAJ	PREVOD NA UCET	6960	21585	UVER	MN	4994863
3170241	10520	1998-11-12	VYDAJ	PREVOD NA UCET	6960	19324	UVER	MN	4994863
3170242	10520	1998-12-12	VYDAJ	PREVOD NA UCET	6960	28100	UVER	MN	4994863
3170257	10520	1997-06-04	VYBER	VYBER	20828	41887	\N	\N	\N
3170259	10520	1997-08-20	VYBER	VYBER	15126	47815	\N	\N	\N
3170261	10520	1997-12-02	VYBER	VYBER	12235	87587	\N	\N	\N
3170262	10520	1997-03-28	VYBER	VYBER	4009	42066	\N	\N	\N
3170263	10520	1997-04-14	VYBER	VYBER	14542	28585	\N	\N	\N
3170264	10520	1997-03-10	VYBER	VYBER	7984	102488	\N	\N	\N
3170266	10520	1997-01-09	VYBER	VYBER	2095	26389	\N	\N	\N
3170271	10520	1998-09-02	VYBER	VYBER	10568	68525	\N	\N	\N
3170273	10520	1998-04-22	VYBER	VYBER	12509	35797	\N	\N	\N
3170276	10520	1998-09-03	VYBER	VYBER	21158	33867	\N	\N	\N
3170278	10520	1996-12-03	VYDAJ	VYBER KARTOU	4500	58639	\N	\N	0
3170279	10520	1997-12-21	VYDAJ	VYBER KARTOU	3600	52376	\N	\N	0
3170293	10520	1997-01-06	VYDAJ	VYBER KARTOU	3600	28484	\N	\N	0
3170294	10520	1997-01-24	VYDAJ	VYBER KARTOU	2700	22429	\N	\N	0
3170297	10520	1997-01-03	VYDAJ	VYBER KARTOU	6300	32084	\N	\N	0
3170299	10520	1998-01-12	VYDAJ	VYBER KARTOU	1500	48600	\N	\N	0
3170300	10520	1998-01-24	VYDAJ	VYBER KARTOU	3600	31740	\N	\N	0
3170301	10520	1998-01-30	VYDAJ	VYBER KARTOU	3300	64796	\N	\N	0
3170302	10520	1998-01-17	VYDAJ	VYBER KARTOU	6300	35340	\N	\N	0
3170303	10520	1998-01-28	VYDAJ	VYBER KARTOU	7500	24240	\N	\N	0
3170304	10520	1998-01-01	VYDAJ	VYBER KARTOU	1800	60100	\N	\N	0
3170315	10520	1997-11-30	VYDAJ	VYBER KARTOU	2100	99922	\N	\N	0
3170316	10520	1997-05-18	VYDAJ	VYBER KARTOU	3900	56905	\N	\N	0
3170317	10520	1997-05-27	VYDAJ	VYBER	14700	62410	\N	\N	\N
3170319	10520	1997-11-27	VYDAJ	VYBER KARTOU	2400	68387	\N	\N	0
3170320	10520	1998-02-08	VYDAJ	VYBER	8700	56198	\N	\N	\N
3170322	10520	1998-09-02	VYDAJ	VYBER	13500	55025	\N	\N	\N
3170348	10520	1996-11-30	VYDAJ	VYBER	100	63139	SLUZBY	\N	\N
3170349	10520	1996-12-31	VYDAJ	VYBER	100	38384	SLUZBY	\N	\N
3170350	10520	1997-01-31	VYDAJ	VYBER	100	22439	SLUZBY	\N	\N
3170351	10520	1997-02-28	VYDAJ	VYBER	100	117578	SLUZBY	\N	\N
3170352	10520	1997-03-31	VYDAJ	VYBER	100	42309	SLUZBY	\N	\N
3170353	10520	1997-04-30	VYDAJ	VYBER	100	108555	SLUZBY	\N	\N
3170354	10520	1997-05-31	VYDAJ	VYBER	100	62715	SLUZBY	\N	\N
3170355	10520	1997-06-30	VYDAJ	VYBER	100	24992	SLUZBY	\N	\N
3170356	10520	1997-07-31	VYDAJ	VYBER	100	16817	SLUZBY	\N	\N
3170357	10520	1997-08-31	VYDAJ	VYBER	100	47860	SLUZBY	\N	\N
3170358	10520	1997-09-30	VYDAJ	VYBER	100	36170	SLUZBY	\N	\N
3170359	10520	1997-10-31	VYDAJ	VYBER	100	44423	SLUZBY	\N	\N
3170360	10520	1997-11-30	VYDAJ	VYBER	100	99822	SLUZBY	\N	\N
3170361	10520	1997-12-31	VYDAJ	VYBER	100	61900	SLUZBY	\N	\N
3170362	10520	1998-01-31	VYDAJ	VYBER	100	64898	SLUZBY	\N	\N
3170363	10520	1998-02-28	VYDAJ	VYBER	100	40540	SLUZBY	\N	\N
3170364	10520	1998-03-31	VYDAJ	VYBER	100	32129	SLUZBY	\N	\N
3170365	10520	1998-04-30	VYDAJ	VYBER	100	35854	SLUZBY	\N	\N
3170366	10520	1998-05-31	VYDAJ	VYBER	100	25113	SLUZBY	\N	\N
3170367	10520	1998-06-30	VYDAJ	VYBER	100	21848	SLUZBY	\N	\N
3170368	10520	1998-07-31	VYDAJ	VYBER	100	22379	SLUZBY	\N	\N
3170369	10520	1998-08-31	VYDAJ	VYBER	100	79093	SLUZBY	\N	\N
3170370	10520	1998-09-30	VYDAJ	VYBER	100	28845	SLUZBY	\N	\N
3170371	10520	1998-10-31	VYDAJ	VYBER	100	21584	SLUZBY	\N	\N
3170372	10520	1998-11-30	VYDAJ	VYBER	100	45560	SLUZBY	\N	\N
3170373	10520	1995-11-23	VYDAJ	VYBER	16300	46907	\N	\N	\N
3170374	10520	1995-12-23	VYDAJ	VYBER	24300	50518	\N	\N	\N
3170375	10520	1996-01-22	VYDAJ	VYBER	31700	55352	\N	\N	\N
3170376	10520	1996-02-21	VYDAJ	VYBER	12300	43414	\N	\N	\N
3170377	10520	1996-03-22	VYDAJ	VYBER	8000	35776	\N	\N	\N
3170378	10520	1996-04-21	VYDAJ	VYBER	3800	32337	\N	\N	\N
3170379	10520	1996-05-21	VYDAJ	VYBER	1800	30899	\N	\N	\N
3170380	10520	1996-06-20	VYDAJ	VYBER	500	30761	\N	\N	\N
3170381	10520	1996-07-20	VYDAJ	VYBER KARTOU	700	30423	\N	\N	0
3170382	10520	1996-08-19	PRIJEM	VKLAD	1400	32184	\N	\N	\N
3170383	10520	1996-09-18	VYDAJ	VYBER KARTOU	2300	30246	\N	\N	0
3170384	10520	1996-10-18	VYDAJ	VYBER KARTOU	3100	27508	\N	\N	0
3170385	10520	1996-11-17	PRIJEM	VKLAD	3500	31370	\N	\N	\N
3170386	10520	1996-12-17	VYDAJ	VYBER	13400	38279	\N	\N	\N
3170387	10520	1997-01-16	PRIJEM	VKLAD	5700	25129	\N	\N	\N
3170388	10520	1997-02-15	VYDAJ	VYBER	11000	32027	\N	\N	\N
3170389	10520	1997-02-22	VYDAJ	VYBER	31600	79353	\N	\N	\N
3170390	10520	1997-02-23	VYDAJ	VYBER	42100	78602	\N	\N	\N
3170391	10520	1997-02-28	VYDAJ	VYBER	19000	98578	\N	\N	\N
3170392	10520	1997-03-02	VYDAJ	VYBER	36200	110472	\N	\N	\N
3170393	10520	1997-03-11	VYDAJ	VYBER	45600	81635	\N	\N	\N
3170394	10520	1997-03-17	VYDAJ	VYBER	28600	46075	\N	\N	\N
3170395	10520	1997-04-16	VYDAJ	VYBER KARTOU	4600	23985	\N	\N	0
3170396	10520	1997-05-02	VYDAJ	VYBER	21000	137429	\N	\N	\N
3170397	10520	1997-05-06	VYDAJ	VYBER	53300	156337	\N	\N	\N
3170398	10520	1997-05-06	VYDAJ	VYBER	30300	126037	\N	\N	\N
3170399	10520	1997-05-09	VYDAJ	VYBER	24800	104165	\N	\N	\N
3170400	10520	1997-05-09	VYDAJ	VYBER	60800	128965	\N	\N	\N
3170401	10520	1997-05-16	VYDAJ	VYBER	36400	60805	\N	\N	\N
3170402	10520	1997-06-15	VYDAJ	VYBER	10000	24927	\N	\N	\N
3170403	10520	1997-07-15	VYDAJ	VYBER KARTOU	1200	16832	\N	\N	0
3170404	10520	1997-08-14	PRIJEM	VKLAD	8700	18557	\N	\N	\N
3170405	10520	1997-09-13	VYDAJ	VYBER KARTOU	4800	36100	\N	\N	0
3170406	10520	1997-10-13	VYDAJ	VYBER KARTOU	7600	44350	\N	\N	0
3170407	10520	1997-11-08	VYDAJ	VYBER	16600	117947	\N	\N	\N
3170408	10520	1997-11-12	VYDAJ	VYBER	40200	77747	\N	\N	\N
3170409	10520	1997-12-04	VYDAJ	VYBER	15800	118090	\N	\N	\N
3170410	10520	1997-12-05	VYDAJ	VYBER	57000	69494	\N	\N	\N
3170411	10520	1997-12-12	VYDAJ	VYBER	14200	48334	\N	\N	\N
3170412	10520	1998-01-11	VYDAJ	VYBER	10000	50100	\N	\N	\N
3170413	10520	1998-02-10	VYDAJ	VYBER	8800	47398	\N	\N	\N
3170414	10520	1998-03-12	VYDAJ	VYBER KARTOU	1500	32080	\N	\N	0
3170415	10520	1998-05-11	VYDAJ	VYBER KARTOU	3800	32054	\N	\N	0
3170416	10520	1998-06-10	PRIJEM	VKLAD	3700	28813	\N	\N	\N
3170417	10520	1998-07-10	PRIJEM	VKLAD	7500	29348	\N	\N	\N
3170418	10520	1998-08-09	PRIJEM	VKLAD	3200	25579	\N	\N	\N
3170419	10520	1998-09-08	PRIJEM	VKLAD	1900	35767	\N	\N	\N
3170420	10520	1998-10-08	VYDAJ	VYBER KARTOU	300	28545	\N	\N	0
3170421	10520	1998-11-07	PRIJEM	VKLAD	4700	26284	\N	\N	\N
3170422	10520	1998-12-07	VYDAJ	VYBER	10500	35060	\N	\N	\N
3182368	10558	1996-02-01	PRIJEM	VKLAD	200	200	\N	\N	\N
3182369	10558	1996-07-29	PRIJEM	VKLAD	22239	77593	\N	\N	\N
3182370	10558	1996-03-21	PRIJEM	VKLAD	29165	40065	\N	\N	\N
3182371	10558	1996-04-30	PRIJEM	VKLAD	45719	102286	\N	\N	\N
3182372	10558	1996-07-15	PRIJEM	VKLAD	30185	71443	\N	\N	\N
3182373	10558	1996-11-11	PRIJEM	VKLAD	7196	24452	\N	\N	\N
3182374	10558	1996-06-16	PRIJEM	VKLAD	19152	60189	\N	\N	\N
3182375	10558	1996-04-01	PRIJEM	VKLAD	48989	89167	\N	\N	\N
3182376	10558	1996-10-12	PRIJEM	VKLAD	45069	59309	\N	\N	\N
3182377	10558	1997-09-27	PRIJEM	VKLAD	39903	53356	\N	\N	\N
3182378	10558	1997-03-03	PRIJEM	VKLAD	14243	9518	\N	\N	\N
3182379	10558	1997-10-27	PRIJEM	VKLAD	45099	77170	\N	\N	\N
3182380	10558	1998-06-01	PRIJEM	VKLAD	22252	63413	\N	\N	\N
3182381	10558	1998-06-06	PRIJEM	VKLAD	49625	113038	\N	\N	\N
3182382	10558	1998-12-28	PRIJEM	VKLAD	7980	76884	\N	\N	\N
3182383	10558	1998-08-16	PRIJEM	VKLAD	33610	118054	\N	\N	\N
3182384	10558	1998-10-14	PRIJEM	VKLAD	20754	132239	\N	\N	\N
3182385	10558	1998-02-13	PRIJEM	VKLAD	30740	73736	\N	\N	\N
3182386	10558	1998-06-09	PRIJEM	VKLAD	14369	93885	\N	\N	\N
3182387	10558	1998-10-27	PRIJEM	VKLAD	13288	123516	\N	\N	\N
3182388	10558	1998-04-10	PRIJEM	VKLAD	37409	119743	\N	\N	\N
3182389	10558	1998-10-10	PRIJEM	VKLAD	41637	147885	\N	\N	\N
3182390	10558	1998-09-30	PRIJEM	VKLAD	31452	95660	\N	\N	\N
3182391	10558	1998-03-20	PRIJEM	VKLAD	23110	127913	\N	\N	\N
3182392	10558	1998-02-28	PRIJEM	VKLAD	45520	91185	\N	\N	\N
3182393	10558	1998-12-01	PRIJEM	VKLAD	22045	95687	\N	\N	\N
3182394	10558	1998-08-03	PRIJEM	VKLAD	11788	90044	\N	\N	\N
3182395	10558	1998-10-06	PRIJEM	VKLAD	41126	130389	\N	\N	\N
3182396	10558	1998-02-11	PRIJEM	VKLAD	27531	42996	\N	\N	\N
3182397	10558	1998-07-31	PRIJEM	VKLAD	38959	79729	\N	\N	\N
3182398	10558	1998-04-05	PRIJEM	VKLAD	18331	82334	\N	\N	\N
3182399	10558	1998-03-14	PRIJEM	VKLAD	48901	141381	\N	\N	\N
3182400	10558	1998-09-11	PRIJEM	VKLAD	42527	97213	\N	\N	\N
3182401	10558	1998-10-23	PRIJEM	VKLAD	39138	110228	\N	\N	\N
3182402	10558	1998-03-15	PRIJEM	VKLAD	21922	104803	\N	\N	\N
3182403	10558	1998-07-07	PRIJEM	VKLAD	9015	51770	\N	\N	\N
3182404	10558	1998-11-10	PRIJEM	VKLAD	23732	108927	\N	\N	\N
3182405	10558	1998-03-05	PRIJEM	VKLAD	6609	97780	\N	\N	\N
3182406	10558	1998-07-04	PRIJEM	VKLAD	13793	42755	\N	\N	\N
3182414	10558	1996-07-27	VYDAJ	VYBER	1900	55354	SIPO	\N	0
3182415	10558	1996-09-10	VYDAJ	VYBER	1600	28895	SIPO	\N	0
3182416	10558	1996-10-13	VYDAJ	VYBER	1700	57609	SIPO	\N	0
3182417	10558	1996-10-28	VYDAJ	VYBER	1600	33209	SIPO	\N	0
3182418	10558	1996-11-28	VYDAJ	VYBER	2400	14452	SIPO	\N	0
3182419	10558	1997-01-14	VYDAJ	VYBER	2600	4761	SIPO	\N	0
3182420	10558	1997-01-30	VYDAJ	VYBER	2000	-2239	SIPO	\N	0
3182421	10558	1997-02-27	VYDAJ	VYBER	2400	-4659	SIPO	\N	0
3182422	10558	1997-04-07	VYDAJ	VYBER	2100	2724	SIPO	\N	0
3182423	10558	1997-05-06	VYDAJ	VYBER	2300	425	SIPO	\N	0
3182428	10558	1997-10-07	VYDAJ	VYBER	2100	35071	SIPO	\N	0
3182429	10558	1997-10-29	VYDAJ	VYBER	2200	74970	SIPO	\N	0
3182430	10558	1997-12-12	VYDAJ	VYBER	1800	34596	SIPO	\N	0
3182431	10558	1998-01-02	VYDAJ	VYBER	2100	21398	SIPO	\N	0
3182432	10558	1998-01-28	VYDAJ	VYBER	1800	22398	SIPO	\N	0
3182433	10558	1998-02-25	VYDAJ	VYBER	1900	45336	SIPO	\N	0
3182434	10558	1998-04-11	VYDAJ	VYBER	2400	96143	SIPO	\N	0
3182435	10558	1998-05-09	VYDAJ	VYBER	2500	49843	SIPO	\N	0
3182436	10558	1998-05-31	VYDAJ	VYBER	1900	41176	SIPO	\N	0
3182437	10558	1998-06-25	VYDAJ	VYBER	2000	40123	SIPO	\N	0
3182438	10558	1998-08-02	VYDAJ	VYBER	1800	78256	SIPO	\N	0
3182439	10558	1998-09-11	VYDAJ	VYBER	2200	95013	SIPO	\N	0
3182440	10558	1998-10-08	VYDAJ	VYBER	1800	106248	SIPO	\N	0
3182441	10558	1998-10-30	VYDAJ	VYBER	2300	84408	SIPO	\N	0
3182442	10558	1998-12-07	VYDAJ	VYBER	2100	73904	SIPO	\N	0
3182450	10558	1996-08-07	VYDAJ	VYBER	6400	42048	 	\N	0
3182451	10558	1996-09-11	VYDAJ	VYBER	6200	22695	 	\N	0
3182452	10558	1996-10-08	VYDAJ	VYBER	6900	14240	 	\N	0
3182453	10558	1996-11-10	VYDAJ	VYBER	7000	17256	 	\N	0
3182454	10558	1996-12-10	VYDAJ	VYBER	7300	7320	 	\N	0
3182455	10558	1997-01-15	VYDAJ	VYBER	5000	-239	 	\N	0
3182457	10558	1997-03-06	VYDAJ	VYBER	4700	4818	 	\N	0
3182464	10558	1997-09-28	VYDAJ	VYBER	4800	48556	 	\N	0
3182465	10558	1997-11-09	VYDAJ	VYBER	7600	67585	 	\N	0
3182466	10558	1997-12-03	VYDAJ	VYBER	5600	36396	 	\N	0
3182467	10558	1997-12-27	VYDAJ	VYBER	4700	23296	 	\N	0
3182468	10558	1998-01-31	VYDAJ	VYBER	7100	15465	 	\N	0
3182469	10558	1998-03-11	VYDAJ	VYBER	5300	92480	 	\N	0
3182470	10558	1998-04-02	VYDAJ	VYBER	7000	64003	 	\N	0
3182471	10558	1998-05-03	VYDAJ	VYBER	5700	52343	 	\N	0
3182472	10558	1998-06-12	VYDAJ	VYBER	5100	88785	 	\N	0
3182473	10558	1998-07-14	VYDAJ	VYBER	6300	45470	 	\N	0
3182474	10558	1998-08-09	VYDAJ	VYBER	5600	84444	 	\N	0
3182475	10558	1998-09-08	VYDAJ	VYBER	5300	54686	 	\N	0
3182476	10558	1998-10-05	VYDAJ	VYBER	6900	89263	 	\N	0
3182477	10558	1998-11-15	VYDAJ	VYBER	7000	92435	 	\N	0
3182478	10558	1998-12-04	VYDAJ	VYBER	5600	78404	 	\N	0
3182483	10558	1996-07-21	VYBER	VYBER	14189	57254	\N	\N	\N
3182486	10558	1996-10-30	VYBER	VYBER	9249	23960	\N	\N	\N
3182489	10558	1997-11-13	VYBER	VYBER	3450	64135	\N	\N	\N
3182493	10558	1998-10-28	VYBER	VYBER	19808	86708	\N	\N	\N
3182494	10558	1998-10-14	VYBER	VYBER	9549	122690	\N	\N	\N
3182495	10558	1998-06-23	VYBER	VYBER	18362	42123	\N	\N	\N
3182496	10558	1998-09-17	VYBER	VYBER	7505	87508	\N	\N	\N
3182497	10558	1998-06-06	VYBER	VYBER	6722	106316	\N	\N	\N
3182498	10558	1998-11-12	VYBER	VYBER	9492	99435	\N	\N	\N
3182500	10558	1998-10-08	VYBER	VYBER	6241	108048	\N	\N	\N
3182502	10558	1998-12-01	VYBER	VYBER	11683	84004	\N	\N	\N
3182504	10558	1998-09-02	VYBER	VYBER	10126	59986	\N	\N	\N
3182505	10558	1998-07-02	VYBER	VYBER	11662	28962	\N	\N	\N
3182507	10558	1997-12-26	VYDAJ	VYBER	2100	27996	\N	\N	\N
3182508	10558	1998-12-06	VYDAJ	VYBER KARTOU	2400	76004	\N	\N	0
3182510	10558	1996-08-10	VYDAJ	VYBER	5400	36648	\N	\N	\N
3182514	10558	1997-09-29	VYDAJ	VYBER	11400	37156	\N	\N	\N
3182516	10558	1998-08-27	VYDAJ	VYBER	10200	69454	\N	\N	\N
3182517	10558	1998-02-20	VYDAJ	VYBER	14100	59636	\N	\N	\N
3182519	10558	1998-09-21	VYDAJ	VYBER	4500	64208	\N	\N	\N
3182520	10558	1998-04-30	VYDAJ	VYBER	11400	58058	\N	\N	\N
3182528	10558	1996-07-31	VYDAJ	VYBER	15	48448	SLUZBY	\N	\N
3182529	10558	1996-08-31	VYDAJ	VYBER	15	30495	SLUZBY	\N	\N
3182530	10558	1996-09-30	VYDAJ	VYBER	15	21140	SLUZBY	\N	\N
3182531	10558	1996-10-31	VYDAJ	VYBER	15	24256	SLUZBY	\N	\N
3182532	10558	1996-11-30	VYDAJ	VYBER	15	14620	SLUZBY	\N	\N
3182533	10558	1996-12-31	VYDAJ	VYBER	15	7361	SLUZBY	\N	\N
3182534	10558	1997-01-31	VYDAJ	VYBER	15	-2259	SLUZBY	\N	\N
3182536	10558	1997-03-31	VYDAJ	VYBER	15	4824	SLUZBY	\N	\N
3182537	10558	1997-04-30	VYDAJ	VYBER	15	2725	SLUZBY	\N	\N
3182538	10558	1997-05-31	VYDAJ	VYBER	15	417	SLUZBY	\N	\N
3182539	10558	1997-06-30	VYDAJ	VYBER	15	402	SLUZBY	\N	\N
3182540	10558	1997-07-31	VYDAJ	VYBER	15	374	SLUZBY	\N	\N
3182541	10558	1997-08-31	VYDAJ	VYBER	15	353	SLUZBY	\N	\N
3182542	10558	1997-09-30	VYDAJ	VYBER	15	37184	SLUZBY	\N	\N
3182543	10558	1997-10-31	VYDAJ	VYBER	15	75185	SLUZBY	\N	\N
3182544	10558	1997-11-30	VYDAJ	VYBER	15	41996	SLUZBY	\N	\N
3182545	10558	1997-12-31	VYDAJ	VYBER	15	23498	SLUZBY	\N	\N
3182546	10558	1998-01-31	VYDAJ	VYBER	15	22565	SLUZBY	\N	\N
3182547	10558	1998-02-28	VYDAJ	VYBER	15	91171	SLUZBY	\N	\N
3182548	10558	1998-03-31	VYDAJ	VYBER	15	71003	SLUZBY	\N	\N
3182549	10558	1998-04-30	VYDAJ	VYBER	15	58043	SLUZBY	\N	\N
3182550	10558	1998-05-31	VYDAJ	VYBER	15	41161	SLUZBY	\N	\N
3182551	10558	1998-06-30	VYDAJ	VYBER	15	40624	SLUZBY	\N	\N
3182552	10558	1998-07-31	VYDAJ	VYBER	15	80056	SLUZBY	\N	\N
3182553	10558	1998-08-31	VYDAJ	VYBER	15	70112	SLUZBY	\N	\N
3182554	10558	1998-09-30	VYDAJ	VYBER	15	96163	SLUZBY	\N	\N
3182555	10558	1998-10-31	VYDAJ	VYBER	15	85195	SLUZBY	\N	\N
3182556	10558	1998-11-30	VYDAJ	VYBER	15	73642	SLUZBY	\N	\N
3182557	10558	1996-03-02	PRIJEM	VKLAD	10700	10900	\N	\N	\N
3182558	10558	1996-04-01	VYDAJ	VYBER	32600	56567	\N	\N	\N
3182559	10558	1996-05-01	VYDAJ	VYBER	38400	64618	\N	\N	\N
3182560	10558	1996-05-31	VYDAJ	VYBER	24000	41037	\N	\N	\N
3182561	10558	1996-06-30	VYDAJ	VYBER	19100	41258	\N	\N	\N
3182562	10558	1996-07-30	VYDAJ	VYBER	29400	48193	\N	\N	\N
3182563	10558	1996-08-29	VYDAJ	VYBER	6400	30248	\N	\N	\N
3182564	10558	1996-09-28	VYDAJ	VYBER	1700	20995	\N	\N	\N
3182565	10558	1996-10-28	VYDAJ	VYBER	22800	34809	\N	\N	\N
3182566	10558	1996-11-27	VYDAJ	VYBER	7600	16852	\N	\N	\N
3182567	10558	1997-09-23	PRIJEM	VKLAD	13100	13453	\N	\N	\N
3182568	10558	1997-10-23	VYDAJ	VYBER	3000	32071	\N	\N	\N
3182569	10558	1997-11-22	VYDAJ	VYBER	22500	41635	\N	\N	\N
3182570	10558	1997-12-22	VYDAJ	VYBER	4500	30096	\N	\N	\N
3182571	10558	1998-01-21	PRIJEM	VKLAD	2800	24198	\N	\N	\N
3182572	10558	1998-02-20	VYDAJ	VYBER	12400	47236	\N	\N	\N
3182573	10558	1998-03-14	VYDAJ	VYBER	58500	82881	\N	\N	\N
3182574	10558	1998-03-20	VYDAJ	VYBER	23800	104113	\N	\N	\N
3182575	10558	1998-03-22	VYDAJ	VYBER	33700	70413	\N	\N	\N
3182576	10558	1998-04-10	VYDAJ	VYBER	21200	98543	\N	\N	\N
3182577	10558	1998-04-21	VYDAJ	VYBER	27300	68843	\N	\N	\N
3182578	10558	1998-05-21	VYDAJ	VYBER	7100	42743	\N	\N	\N
3182579	10558	1998-06-06	VYDAJ	VYBER	26800	79516	\N	\N	\N
3182580	10558	1998-06-20	VYDAJ	VYBER	28300	60485	\N	\N	\N
3182581	10558	1998-07-20	VYDAJ	VYBER	4700	40770	\N	\N	\N
3182582	10558	1998-08-19	VYDAJ	VYBER	38400	79654	\N	\N	\N
3182583	10558	1998-09-18	VYDAJ	VYBER	18800	68708	\N	\N	\N
3182584	10558	1998-10-06	VYDAJ	VYBER	16100	114289	\N	\N	\N
3182585	10558	1998-10-10	VYDAJ	VYBER	36400	111485	\N	\N	\N
3182586	10558	1998-10-14	VYDAJ	VYBER	33800	88890	\N	\N	\N
3182587	10558	1998-10-18	VYDAJ	VYBER	17800	71090	\N	\N	\N
3182588	10558	1998-10-27	VYDAJ	VYBER	17000	106516	\N	\N	\N
3182589	10558	1998-11-17	VYDAJ	VYBER	19300	73135	\N	\N	\N
3182590	10558	1998-12-17	VYDAJ	VYBER	5000	68904	\N	\N	\N
3183569	10562	1996-08-21	PRIJEM	VKLAD	800	800	\N	\N	\N
3183570	10562	1996-12-14	PRIJEM	VKLAD	7181	79080	\N	\N	\N
3183576	10562	1996-08-27	PRIJEM	VKLAD	37566	38366	\N	\N	\N
3183579	10562	1996-12-11	PRIJEM	VKLAD	49292	136199	\N	\N	\N
3183581	10562	1996-12-09	PRIJEM	VKLAD	46907	86907	\N	\N	\N
3183585	10562	1996-11-16	PRIJEM	VKLAD	32032	112078	\N	\N	\N
3183591	10562	1996-10-30	PRIJEM	VKLAD	40974	79813	\N	\N	\N
3183592	10562	1996-09-25	PRIJEM	VKLAD	10864	51502	\N	\N	\N
3183594	10562	1996-09-18	PRIJEM	VKLAD	15826	54238	\N	\N	\N
3183596	10562	1997-11-19	PRIJEM	VKLAD	8679	74232	\N	\N	\N
3183597	10562	1997-08-13	PRIJEM	VKLAD	31091	97481	\N	\N	\N
3183598	10562	1997-02-20	PRIJEM	VKLAD	42476	101773	\N	\N	\N
3183599	10562	1997-10-12	PRIJEM	VKLAD	29600	132331	\N	\N	\N
3183600	10562	1997-07-03	PRIJEM	VKLAD	23110	103778	\N	\N	\N
3183601	10562	1997-02-18	PRIJEM	VKLAD	26717	59297	\N	\N	\N
3183602	10562	1997-05-05	PRIJEM	VKLAD	9834	86721	\N	\N	\N
3183603	10562	1997-07-25	PRIJEM	VKLAD	21332	67920	\N	\N	\N
3183604	10562	1997-04-03	PRIJEM	VKLAD	43310	79382	\N	\N	\N
3183605	10562	1997-02-10	PRIJEM	VKLAD	25040	43180	\N	\N	\N
3183606	10562	1997-03-22	PRIJEM	VKLAD	8503	59883	\N	\N	\N
3183607	10562	1997-03-26	PRIJEM	VKLAD	43151	103034	\N	\N	\N
3183608	10562	1997-12-30	PRIJEM	VKLAD	48821	117031	\N	\N	\N
3183609	10562	1997-04-28	PRIJEM	VKLAD	21953	76535	\N	\N	\N
3183610	10562	1997-09-29	PRIJEM	VKLAD	46504	88470	\N	\N	\N
3183611	10562	1997-06-23	PRIJEM	VKLAD	32236	66267	\N	\N	\N
3183612	10562	1997-12-05	PRIJEM	VKLAD	14266	76768	\N	\N	\N
3183613	10562	1997-07-01	PRIJEM	VKLAD	14049	80668	\N	\N	\N
3183614	10562	1997-06-16	PRIJEM	VKLAD	48185	48174	\N	\N	\N
3183615	10562	1997-03-07	PRIJEM	VKLAD	27722	129880	\N	\N	\N
3183616	10562	1997-01-25	PRIJEM	VKLAD	21845	21239	\N	\N	\N
3183617	10562	1997-10-24	PRIJEM	VKLAD	21126	85557	\N	\N	\N
3183618	10562	1997-12-22	PRIJEM	VKLAD	11722	68210	\N	\N	\N
3183619	10562	1997-12-10	PRIJEM	VKLAD	13194	89962	\N	\N	\N
3183620	10562	1997-10-04	PRIJEM	VKLAD	13834	102731	\N	\N	\N
3183621	10562	1997-05-28	PRIJEM	VKLAD	18683	77604	\N	\N	\N
3183622	10562	1998-07-15	PRIJEM	VKLAD	27636	61596	\N	\N	\N
3183623	10562	1998-10-11	PRIJEM	VKLAD	30399	68527	\N	\N	\N
3183624	10562	1998-01-04	PRIJEM	VKLAD	13267	103166	\N	\N	\N
3183625	10562	1998-01-10	PRIJEM	VKLAD	43571	139237	\N	\N	\N
3183626	10562	1998-03-28	PRIJEM	VKLAD	19247	85409	\N	\N	\N
3183627	10562	1998-02-14	PRIJEM	VKLAD	29297	91675	\N	\N	\N
3183628	10562	1998-06-17	PRIJEM	VKLAD	42942	92249	\N	\N	\N
3183629	10562	1998-05-03	PRIJEM	VKLAD	36997	67480	\N	\N	\N
3183630	10562	1998-03-20	PRIJEM	VKLAD	17250	68862	\N	\N	\N
3183631	10562	1998-08-13	PRIJEM	VKLAD	30879	81160	\N	\N	\N
3183632	10562	1998-03-01	PRIJEM	VKLAD	8180	100389	\N	\N	\N
3183633	10562	1998-01-16	PRIJEM	VKLAD	48147	114484	\N	\N	\N
3183634	10562	1998-03-02	PRIJEM	VKLAD	18679	119068	\N	\N	\N
3183635	10562	1998-07-15	PRIJEM	VKLAD	8448	70044	\N	\N	\N
3183636	10562	1998-08-18	PRIJEM	VKLAD	28710	109870	\N	\N	\N
3183637	10562	1998-10-22	PRIJEM	VKLAD	29582	98109	\N	\N	\N
3183638	10562	1998-01-22	PRIJEM	VKLAD	46582	122366	\N	\N	\N
3183652	10562	1997-09-18	VYBER	VYBER	2797	41966	\N	\N	\N
3183653	10562	1997-09-12	VYBER	VYBER	9590	47763	\N	\N	\N
3183654	10562	1997-07-22	VYBER	VYBER	11210	46588	\N	\N	\N
3183655	10562	1997-11-22	VYBER	VYBER	7645	66587	\N	\N	\N
3183656	10562	1997-12-17	VYBER	VYBER	7774	60088	\N	\N	\N
3183657	10562	1997-07-10	VYBER	VYBER	11362	78298	\N	\N	\N
3183658	10562	1997-06-19	VYBER	VYBER	8043	34031	\N	\N	\N
3183659	10562	1997-07-08	VYBER	VYBER	14118	89660	\N	\N	\N
3183660	10562	1998-07-11	VYBER	VYBER	14272	22260	\N	\N	\N
3183661	10562	1998-10-09	VYBER	VYBER	6105	41128	\N	\N	\N
3183662	10562	1998-03-03	VYBER	VYBER	2256	72912	\N	\N	\N
3183663	10562	1998-09-19	VYBER	VYBER	8028	46920	\N	\N	\N
3183664	10562	1998-12-19	VYBER	VYBER	21188	26362	\N	\N	\N
3183665	10562	1998-07-02	VYBER	VYBER	9072	36532	\N	\N	\N
3183666	10562	1998-04-24	VYBER	VYBER	24492	30137	\N	\N	\N
3183668	10562	1997-06-03	VYDAJ	VYBER	78000	-11	\N	\N	\N
3183669	10562	1998-06-24	VYDAJ	VYBER	47100	45149	\N	\N	\N
3183671	10562	1997-01-21	VYDAJ	VYBER	28800	-606	\N	\N	\N
3183672	10562	1998-01-20	VYDAJ	VYBER	19500	75784	\N	\N	\N
3183673	10562	1996-12-16	VYDAJ	VYBER	1500	77580	\N	\N	\N
3183674	10562	1997-12-01	VYDAJ	VYBER	4500	62502	\N	\N	\N
3183675	10562	1998-12-17	VYDAJ	VYBER KARTOU	1500	47550	\N	\N	0
3183683	10562	1997-01-20	VYDAJ	VYBER	1800	28194	\N	\N	\N
3183684	10562	1997-01-17	VYDAJ	VYBER	2400	31894	\N	\N	\N
3183686	10562	1997-01-26	VYDAJ	VYBER	3300	17939	\N	\N	\N
3183687	10562	1997-01-01	VYDAJ	VYBER	7500	48694	\N	\N	\N
3183688	10562	1998-01-15	VYDAJ	VYBER	5400	66337	\N	\N	\N
3183689	10562	1998-01-22	VYDAJ	VYBER	2400	93866	\N	\N	\N
3183690	10562	1998-01-13	VYDAJ	VYBER	6600	104837	\N	\N	\N
3183691	10562	1998-01-24	VYDAJ	VYBER	2100	91766	\N	\N	\N
3183692	10562	1998-01-08	VYDAJ	VYBER	7500	95666	\N	\N	\N
3183693	10562	1998-01-27	VYDAJ	VYBER	2700	89066	\N	\N	\N
3183698	10562	1997-09-10	VYDAJ	VYBER	13200	57353	\N	\N	\N
3183699	10562	1997-01-16	VYDAJ	VYBER	2700	34294	\N	\N	\N
3183700	10562	1997-01-03	VYDAJ	VYBER	11700	36994	\N	\N	\N
3183701	10562	1997-08-06	VYDAJ	VYBER	2100	66390	\N	\N	\N
3183702	10562	1997-03-26	VYDAJ	VYBER	9600	93434	\N	\N	\N
3183703	10562	1997-12-20	VYDAJ	VYBER	3600	56488	\N	\N	\N
3183704	10562	1998-08-06	VYDAJ	VYBER	4800	63781	\N	\N	\N
3183705	10562	1998-04-11	VYDAJ	VYBER	5100	74229	\N	\N	\N
3183706	10562	1998-11-15	VYDAJ	VYBER KARTOU	3300	64844	\N	\N	0
3183707	10562	1998-03-11	VYDAJ	VYBER	6000	66912	\N	\N	\N
3183708	10562	1998-07-20	VYDAJ	VYBER KARTOU	1800	68244	\N	\N	0
3183709	10562	1998-03-22	VYDAJ	VYBER KARTOU	2700	66162	\N	\N	0
3183710	10562	1998-08-11	VYDAJ	VYBER KARTOU	1800	61981	\N	\N	0
3183711	10562	1998-04-05	VYDAJ	VYBER	6600	79329	\N	\N	\N
3183723	10562	1996-11-30	VYDAJ	VYBER	15	40000	SLUZBY	\N	\N
3183724	10562	1996-12-31	VYDAJ	VYBER	15	56194	SLUZBY	\N	\N
3183725	10562	1997-01-31	VYDAJ	VYBER	15	18142	SLUZBY	\N	\N
3183726	10562	1997-02-28	VYDAJ	VYBER	15	102158	SLUZBY	\N	\N
3183727	10562	1997-03-31	VYDAJ	VYBER	15	36072	SLUZBY	\N	\N
3183728	10562	1997-04-30	VYDAJ	VYBER	15	76887	SLUZBY	\N	\N
3183729	10562	1997-05-31	VYDAJ	VYBER	15	77989	SLUZBY	\N	\N
3183730	10562	1997-06-30	VYDAJ	VYBER	15	66619	SLUZBY	\N	\N
3183731	10562	1997-07-31	VYDAJ	VYBER	15	68490	SLUZBY	\N	\N
3183732	10562	1997-08-31	VYDAJ	VYBER	15	70553	SLUZBY	\N	\N
3183733	10562	1997-09-30	VYDAJ	VYBER	15	88897	SLUZBY	\N	\N
3183734	10562	1997-10-31	VYDAJ	VYBER	15	86053	SLUZBY	\N	\N
3183735	10562	1997-11-30	VYDAJ	VYBER	15	67002	SLUZBY	\N	\N
3183736	10562	1997-12-31	VYDAJ	VYBER	15	89899	SLUZBY	\N	\N
3183737	10562	1998-01-31	VYDAJ	VYBER	15	89778	SLUZBY	\N	\N
3183738	10562	1998-02-28	VYDAJ	VYBER	15	92209	SLUZBY	\N	\N
3183739	10562	1998-03-31	VYDAJ	VYBER	15	85929	SLUZBY	\N	\N
3183740	10562	1998-04-30	VYDAJ	VYBER	15	30483	SLUZBY	\N	\N
3183741	10562	1998-05-31	VYDAJ	VYBER	15	54307	SLUZBY	\N	\N
3183742	10562	1998-06-30	VYDAJ	VYBER	15	45604	SLUZBY	\N	\N
3183743	10562	1998-07-31	VYDAJ	VYBER	15	68581	SLUZBY	\N	\N
3183744	10562	1998-08-31	VYDAJ	VYBER	15	79548	SLUZBY	\N	\N
3183745	10562	1998-09-30	VYDAJ	VYBER	15	47233	SLUZBY	\N	\N
3183746	10562	1998-10-31	VYDAJ	VYBER	15	98644	SLUZBY	\N	\N
3183747	10562	1998-11-30	VYDAJ	VYBER	15	65450	SLUZBY	\N	\N
3183748	10562	1996-09-20	VYDAJ	VYBER	13600	40638	\N	\N	\N
3183749	10562	1996-10-20	VYDAJ	VYBER	12900	38839	\N	\N	\N
3183750	10562	1996-11-16	VYDAJ	VYBER	58900	53178	\N	\N	\N
3183751	10562	1996-11-19	VYDAJ	VYBER	13500	39678	\N	\N	\N
3183752	10562	1996-12-11	VYDAJ	VYBER	64300	71899	\N	\N	\N
3183753	10562	1996-12-19	VYDAJ	VYBER	21800	55780	\N	\N	\N
3183754	10562	1997-01-18	VYDAJ	VYBER	1900	29994	\N	\N	\N
3183755	10562	1997-02-17	VYDAJ	VYBER	10600	32580	\N	\N	\N
3183756	10562	1997-03-07	VYDAJ	VYBER	59300	70580	\N	\N	\N
3183757	10562	1997-03-19	VYDAJ	VYBER	19200	51380	\N	\N	\N
3183758	10562	1997-03-26	VYDAJ	VYBER	58000	35434	\N	\N	\N
3183759	10562	1997-04-18	VYDAJ	VYBER	24800	54582	\N	\N	\N
3183760	10562	1997-05-18	VYDAJ	VYBER	27800	58921	\N	\N	\N
3183761	10562	1997-06-17	VYDAJ	VYBER	6100	42074	\N	\N	\N
3183762	10562	1997-07-17	VYDAJ	VYBER	20500	57798	\N	\N	\N
3183763	10562	1997-08-16	VYDAJ	VYBER	27500	69981	\N	\N	\N
3183764	10562	1997-09-15	VYDAJ	VYBER	3000	44763	\N	\N	\N
3183765	10562	1997-10-12	VYDAJ	VYBER	50100	82231	\N	\N	\N
3183766	10562	1997-10-15	VYDAJ	VYBER	17800	64431	\N	\N	\N
3183767	10562	1997-11-14	VYDAJ	VYBER	20500	65553	\N	\N	\N
3183768	10562	1997-12-14	VYDAJ	VYBER	22100	67862	\N	\N	\N
3183769	10562	1997-12-30	VYDAJ	VYBER	27700	89331	\N	\N	\N
3183770	10562	1998-01-10	VYDAJ	VYBER	27800	111437	\N	\N	\N
3183771	10562	1998-01-13	VYDAJ	VYBER	33100	71737	\N	\N	\N
3183772	10562	1998-01-16	VYDAJ	VYBER	19200	95284	\N	\N	\N
3183773	10562	1998-01-22	VYDAJ	VYBER	26100	96266	\N	\N	\N
3183774	10562	1998-02-12	VYDAJ	VYBER	27400	62378	\N	\N	\N
3183775	10562	1998-03-02	VYDAJ	VYBER	43900	75168	\N	\N	\N
3183776	10562	1998-03-14	VYDAJ	VYBER	15300	51612	\N	\N	\N
3183777	10562	1998-04-13	VYDAJ	VYBER	19600	54629	\N	\N	\N
3183778	10562	1998-05-13	VYDAJ	VYBER	13500	53980	\N	\N	\N
3183779	10562	1998-06-12	VYDAJ	VYBER	5000	49307	\N	\N	\N
3183780	10562	1998-07-12	PRIJEM	VKLAD	11700	33960	\N	\N	\N
3183781	10562	1998-08-11	VYDAJ	VYBER	11700	50281	\N	\N	\N
3183782	10562	1998-08-18	VYDAJ	VYBER	30900	78970	\N	\N	\N
3183783	10562	1998-09-10	VYDAJ	VYBER	24600	54948	\N	\N	\N
3183784	10562	1998-10-10	VYDAJ	VYBER KARTOU	3000	38128	\N	\N	0
3183785	10562	1998-11-09	VYDAJ	VYBER	30500	68144	\N	\N	\N
3183786	10562	1998-12-09	VYDAJ	VYBER	16400	49050	\N	\N	\N
3196913	10607	1996-10-08	PRIJEM	VKLAD	300	300	\N	\N	\N
3196921	10607	1996-12-25	PRIJEM	VKLAD	36613	76255	\N	\N	\N
3196922	10607	1996-11-15	PRIJEM	VKLAD	42613	53113	\N	\N	\N
3196927	10607	1997-07-28	PRIJEM	VKLAD	28663	69606	\N	\N	\N
3196928	10607	1997-04-02	PRIJEM	VKLAD	20339	43398	\N	\N	\N
3196929	10607	1997-06-11	PRIJEM	VKLAD	7792	11517	\N	\N	\N
3196930	10607	1997-07-12	PRIJEM	VKLAD	28694	44973	\N	\N	\N
3196931	10607	1997-09-24	PRIJEM	VKLAD	48740	61060	\N	\N	\N
3196932	10607	1997-03-01	PRIJEM	VKLAD	43928	124298	\N	\N	\N
3196933	10607	1997-12-07	PRIJEM	VKLAD	21156	31846	\N	\N	\N
3196934	10607	1997-04-22	PRIJEM	VKLAD	23514	37812	\N	\N	\N
3196935	10607	1997-01-03	PRIJEM	VKLAD	42939	119498	\N	\N	\N
3196936	10607	1997-02-25	PRIJEM	VKLAD	44150	80103	\N	\N	\N
3196937	10607	1998-07-19	PRIJEM	VKLAD	21557	62858	\N	\N	\N
3196938	10607	1998-05-20	PRIJEM	VKLAD	9246	41264	\N	\N	\N
3196939	10607	1998-07-22	PRIJEM	VKLAD	12452	75310	\N	\N	\N
3196940	10607	1998-06-19	PRIJEM	VKLAD	9856	96863	\N	\N	\N
3196941	10607	1998-04-09	PRIJEM	VKLAD	40905	60306	\N	\N	\N
3196942	10607	1998-08-08	PRIJEM	VKLAD	22586	123673	\N	\N	\N
3196943	10607	1998-01-08	PRIJEM	VKLAD	35354	66624	\N	\N	\N
3196944	10607	1998-12-02	PRIJEM	VKLAD	16502	59273	\N	\N	\N
3196945	10607	1998-01-20	PRIJEM	VKLAD	15510	54234	\N	\N	\N
3196946	10607	1998-10-12	PRIJEM	VKLAD	17138	57659	\N	\N	\N
3196947	10607	1998-09-26	PRIJEM	VKLAD	14313	88931	\N	\N	\N
3196948	10607	1998-08-08	PRIJEM	VKLAD	34077	101087	\N	\N	\N
3196949	10607	1998-01-05	PRIJEM	VKLAD	11135	31270	\N	\N	\N
3196950	10607	1998-12-14	PRIJEM	VKLAD	44779	87052	\N	\N	\N
3196951	10607	1998-02-02	PRIJEM	VKLAD	11228	40794	\N	\N	\N
3196952	10607	1998-11-13	PRIJEM	VKLAD	34655	105820	\N	\N	\N
3196953	10607	1998-05-29	PRIJEM	VKLAD	46435	80199	\N	\N	\N
3196954	10607	1998-06-07	PRIJEM	VKLAD	48401	99607	\N	\N	\N
3196955	10607	1998-11-01	PRIJEM	VKLAD	7135	50923	\N	\N	\N
3196956	10607	1998-08-07	PRIJEM	VKLAD	27573	67010	\N	\N	\N
3196957	10607	1998-02-17	PRIJEM	VKLAD	25455	50049	\N	\N	\N
3196958	10607	1998-04-15	PRIJEM	VKLAD	19414	79720	\N	\N	\N
3196959	10607	1998-08-18	PRIJEM	VKLAD	14714	96587	\N	\N	\N
3196960	10607	1998-09-08	PRIJEM	VKLAD	36935	92018	\N	\N	\N
3196961	10607	1998-03-22	PRIJEM	VKLAD	30132	53740	\N	\N	\N
3196962	10607	1998-11-08	PRIJEM	VKLAD	20242	71165	\N	\N	\N
3197013	10607	1997-03-02	VYDAJ	VYBER	11900	47598	SIPO	\N	0
3197014	10607	1997-04-04	VYDAJ	VYBER	16900	26498	SIPO	\N	0
3197015	10607	1997-05-05	VYDAJ	VYBER	12000	16942	SIPO	\N	0
3197016	10607	1997-06-03	VYDAJ	VYBER	13100	-875	SIPO	\N	0
3197018	10607	1997-08-01	VYDAJ	VYBER	13200	56657	SIPO	\N	0
3197019	10607	1997-09-03	VYDAJ	VYBER	12000	12320	SIPO	\N	0
3197020	10607	1997-10-07	VYDAJ	VYBER	17500	24879	SIPO	\N	0
3197021	10607	1997-10-30	VYDAJ	VYBER	12700	12179	SIPO	\N	0
3197022	10607	1997-12-15	VYDAJ	VYBER	11800	20046	SIPO	\N	0
3197023	10607	1998-01-10	VYDAJ	VYBER	12600	54024	SIPO	\N	0
3197024	10607	1998-02-04	VYDAJ	VYBER	16200	24594	SIPO	\N	0
3197025	10607	1998-03-03	VYDAJ	VYBER	13000	23608	SIPO	\N	0
3197026	10607	1998-04-06	VYDAJ	VYBER	15800	19401	SIPO	\N	0
3197027	10607	1998-05-09	VYDAJ	VYBER	17600	32018	SIPO	\N	0
3197028	10607	1998-06-13	VYDAJ	VYBER	12600	87007	SIPO	\N	0
3197029	10607	1998-07-06	VYDAJ	VYBER	12000	41301	SIPO	\N	0
3197030	10607	1998-08-04	VYDAJ	VYBER	12600	39437	SIPO	\N	0
3197031	10607	1998-09-14	VYDAJ	VYBER	17400	74618	SIPO	\N	0
3197032	10607	1998-10-05	VYDAJ	VYBER	14800	40521	SIPO	\N	0
3197033	10607	1998-11-14	VYDAJ	VYBER	15200	90620	SIPO	\N	0
3197034	10607	1998-12-10	VYDAJ	VYBER	17000	42273	SIPO	\N	0
3197047	10607	1997-05-06	VYBER	VYBER	3008	13934	\N	\N	\N
3197049	10607	1997-04-24	VYBER	VYBER	6915	30897	\N	\N	\N
3197052	10607	1997-08-02	VYBER	VYBER	8867	47790	\N	\N	\N
3197056	10607	1997-07-22	VYBER	VYBER	4030	40943	\N	\N	\N
3197060	10607	1998-11-17	VYBER	VYBER	4757	61115	\N	\N	\N
3197061	10607	1998-11-17	VYBER	VYBER	22691	65872	\N	\N	\N
3197062	10607	1998-11-17	VYBER	VYBER	2057	88563	\N	\N	\N
3197063	10607	1998-05-04	VYBER	VYBER	6490	49618	\N	\N	\N
3197066	10607	1998-06-29	VYDAJ	VYBER	16200	80663	\N	\N	\N
3197069	10607	1998-12-24	VYDAJ	VYBER	5100	81952	\N	\N	\N
3197082	10607	1998-01-28	VYDAJ	VYBER	8700	45534	\N	\N	\N
3197083	10607	1998-01-18	VYDAJ	VYBER	3300	38724	\N	\N	\N
3197085	10607	1998-01-17	VYDAJ	VYBER	4200	42024	\N	\N	\N
3197086	10607	1998-01-28	VYDAJ	VYBER	6000	39534	\N	\N	\N
3197087	10607	1998-01-13	VYDAJ	VYBER	7800	46224	\N	\N	\N
3197092	10607	1997-03-28	VYDAJ	VYBER	8700	22798	\N	\N	\N
3197095	10607	1997-04-28	VYDAJ	VYBER	2100	28797	\N	\N	\N
3197098	10607	1998-08-31	VYDAJ	VYBER	8100	55097	\N	\N	\N
3197099	10607	1998-04-03	VYDAJ	VYBER	7200	35201	\N	\N	\N
3197100	10607	1998-05-22	VYDAJ	VYBER	7500	33764	\N	\N	\N
3197117	10607	1997-03-31	VYDAJ	VYBER	15	23059	SLUZBY	\N	\N
3197118	10607	1997-04-30	VYDAJ	VYBER	15	28942	SLUZBY	\N	\N
3197119	10607	1997-05-31	VYDAJ	VYBER	15	12225	SLUZBY	\N	\N
3197120	10607	1997-06-30	VYDAJ	VYBER	15	11579	SLUZBY	\N	\N
3197121	10607	1997-07-31	VYDAJ	VYBER	15	69857	SLUZBY	\N	\N
3197122	10607	1997-08-31	VYDAJ	VYBER	15	29120	SLUZBY	\N	\N
3197123	10607	1997-09-30	VYDAJ	VYBER	15	61279	SLUZBY	\N	\N
3197124	10607	1997-10-31	VYDAJ	VYBER	15	12414	SLUZBY	\N	\N
3197125	10607	1997-11-30	VYDAJ	VYBER	15	10690	SLUZBY	\N	\N
3197126	10607	1997-12-31	VYDAJ	VYBER	15	20135	SLUZBY	\N	\N
3197127	10607	1998-01-31	VYDAJ	VYBER	15	39866	SLUZBY	\N	\N
3197128	10607	1998-02-28	VYDAJ	VYBER	15	50308	SLUZBY	\N	\N
3197129	10607	1998-03-31	VYDAJ	VYBER	15	54001	SLUZBY	\N	\N
3197130	10607	1998-04-30	VYDAJ	VYBER	15	80208	SLUZBY	\N	\N
3197131	10607	1998-05-31	VYDAJ	VYBER	15	51206	SLUZBY	\N	\N
3197132	10607	1998-06-30	VYDAJ	VYBER	15	81301	SLUZBY	\N	\N
3197133	10607	1998-07-31	VYDAJ	VYBER	15	52037	SLUZBY	\N	\N
3197134	10607	1998-08-31	VYDAJ	VYBER	15	55083	SLUZBY	\N	\N
3197135	10607	1998-09-30	VYDAJ	VYBER	15	55321	SLUZBY	\N	\N
3197136	10607	1998-10-31	VYDAJ	VYBER	15	43788	SLUZBY	\N	\N
3197137	10607	1998-11-30	VYDAJ	VYBER	15	42771	SLUZBY	\N	\N
3197138	10607	1996-11-07	PRIJEM	VKLAD	10200	10500	\N	\N	\N
3197139	10607	1996-12-07	VYDAJ	VYBER	13700	39642	\N	\N	\N
3197140	10607	1997-01-03	VYDAJ	VYBER	38900	80598	\N	\N	\N
3197141	10607	1997-01-06	VYDAJ	VYBER	28800	51798	\N	\N	\N
3197142	10607	1997-02-05	VYDAJ	VYBER	16300	35953	\N	\N	\N
3197143	10607	1997-03-01	VYDAJ	VYBER	64800	59498	\N	\N	\N
3197144	10607	1997-03-07	VYDAJ	VYBER	16100	31498	\N	\N	\N
3197145	10607	1997-04-06	VYDAJ	VYBER	12200	14298	\N	\N	\N
3197146	10607	1997-05-06	VYDAJ	VYBER	1800	12134	\N	\N	\N
3197147	10607	1997-06-05	PRIJEM	VKLAD	4600	3725	\N	\N	\N
3197148	10607	1997-07-05	PRIJEM	VKLAD	4700	16279	\N	\N	\N
3197149	10607	1997-08-04	VYDAJ	VYBER	18900	28890	\N	\N	\N
3197150	10607	1997-09-03	VYDAJ	VYBER	4800	24320	\N	\N	\N
3197151	10607	1997-10-03	VYDAJ	VYBER	18900	42379	\N	\N	\N
3197152	10607	1997-11-02	VYDAJ	VYBER	1800	10614	\N	\N	\N
3197153	10607	1998-01-31	VYDAJ	VYBER	10300	29566	\N	\N	\N
3197154	10607	1998-03-02	VYDAJ	VYBER	13700	36608	\N	\N	\N
3197155	10607	1998-04-01	VYDAJ	VYBER	11600	42401	\N	\N	\N
3197156	10607	1998-05-01	VYDAJ	VYBER	24100	56108	\N	\N	\N
3197157	10607	1998-05-31	VYDAJ	VYBER	29300	51220	\N	\N	\N
3197158	10607	1998-06-30	VYDAJ	VYBER	28000	53301	\N	\N	\N
3197159	10607	1998-07-30	VYDAJ	VYBER	23800	51510	\N	\N	\N
3197160	10607	1998-08-08	VYDAJ	VYBER	41800	81873	\N	\N	\N
3197161	10607	1998-08-29	VYDAJ	VYBER	34100	62487	\N	\N	\N
3197162	10607	1998-09-28	VYDAJ	VYBER	34100	54831	\N	\N	\N
3197163	10607	1998-10-28	VYDAJ	VYBER	14200	43459	\N	\N	\N
3197164	10607	1998-11-27	VYDAJ	VYBER	18800	42315	\N	\N	\N
3198634	10613	1997-11-04	PRIJEM	VKLAD	700	700	\N	\N	\N
3198645	10613	1997-11-06	PRIJEM	PREVOD Z UCTU	31225	31925	\N	IJ	68143170
3198646	10613	1997-12-06	PRIJEM	PREVOD Z UCTU	46838	71874	\N	IJ	68143170
3198647	10613	1998-01-06	PRIJEM	PREVOD Z UCTU	31225	81272	\N	IJ	68143170
3198648	10613	1998-02-06	PRIJEM	PREVOD Z UCTU	31225	87929	\N	IJ	68143170
3198649	10613	1998-03-06	PRIJEM	PREVOD Z UCTU	31225	87615	\N	IJ	68143170
3198650	10613	1998-04-06	PRIJEM	PREVOD Z UCTU	31225	81077	\N	IJ	68143170
3198651	10613	1998-05-06	PRIJEM	PREVOD Z UCTU	31225	82494	\N	IJ	68143170
3198652	10613	1998-06-06	PRIJEM	PREVOD Z UCTU	46838	94979	\N	IJ	68143170
3198653	10613	1998-07-06	PRIJEM	PREVOD Z UCTU	31225	61620	\N	IJ	68143170
3198654	10613	1998-08-06	PRIJEM	PREVOD Z UCTU	31225	70039	\N	IJ	68143170
3198655	10613	1998-09-06	PRIJEM	PREVOD Z UCTU	31225	63439	\N	IJ	68143170
3198656	10613	1998-10-06	PRIJEM	PREVOD Z UCTU	31225	54025	\N	IJ	68143170
3198657	10613	1998-11-06	PRIJEM	PREVOD Z UCTU	31225	66420	\N	IJ	68143170
3198658	10613	1998-12-06	PRIJEM	PREVOD Z UCTU	46838	69115	\N	IJ	68143170
3198673	10613	1998-03-06	VYDAJ	VYBER	6300	81315	\N	\N	0
3198674	10613	1998-04-11	VYDAJ	VYBER	4100	76977	\N	\N	0
3198675	10613	1998-05-04	VYDAJ	VYBER	4400	51269	\N	\N	0
3198676	10613	1998-06-18	VYDAJ	VYBER	5700	17279	\N	\N	0
3198677	10613	1998-07-08	VYDAJ	VYBER	5700	55920	\N	\N	0
3198678	10613	1998-08-04	VYDAJ	VYBER	5700	38814	\N	\N	0
3198679	10613	1998-09-12	VYDAJ	PREVOD NA UCET	5204	38225	UVER	MN	57666522
3198680	10613	1998-10-12	VYDAJ	PREVOD NA UCET	5204	48821	UVER	MN	57666522
3198681	10613	1998-11-12	VYDAJ	PREVOD NA UCET	5204	40429	UVER	MN	57666522
3198682	10613	1998-12-12	VYDAJ	PREVOD NA UCET	5204	46897	UVER	MN	57666522
3198688	10613	1998-09-05	VYBER	VYBER	16970	32214	\N	\N	\N
3198689	10613	1998-09-23	VYBER	VYBER	7871	30354	\N	\N	\N
3198691	10613	1998-12-12	VYBER	VYBER	17014	52101	\N	\N	\N
3198692	10613	1998-03-27	VYBER	VYBER	13401	67914	\N	\N	\N
3198693	10613	1998-11-09	VYBER	VYBER	20787	45633	\N	\N	\N
3198694	10613	1998-05-17	VYBER	VYBER	20820	58074	\N	\N	\N
3198695	10613	1998-10-02	VYBER	VYBER	9713	22800	\N	\N	\N
3198696	10613	1998-04-24	VYBER	VYBER	2608	74369	\N	\N	\N
3198699	10613	1998-09-26	VYBER	VYBER	4505	25849	\N	\N	\N
3198701	10613	1998-09-10	VYBER	VYBER	20010	43429	\N	\N	\N
3198703	10613	1998-06-08	VYDAJ	VYBER	72000	22979	\N	\N	\N
3198707	10613	1998-12-28	VYDAJ	VYBER	6300	40597	\N	\N	\N
3198726	10613	1998-08-20	VYDAJ	VYBER	10800	59239	\N	\N	\N
3198727	10613	1998-10-28	VYDAJ	VYBER	14100	34721	\N	\N	\N
3198728	10613	1998-12-04	VYDAJ	VYBER	13200	22277	\N	\N	\N
3198729	10613	1998-05-15	VYDAJ	VYBER	3600	78894	\N	\N	\N
3198745	10613	1998-03-31	VYDAJ	VYBER	15	68252	SLUZBY	\N	\N
3198746	10613	1998-04-30	VYDAJ	VYBER	15	74669	SLUZBY	\N	\N
3198747	10613	1998-05-31	VYDAJ	VYBER	15	58341	SLUZBY	\N	\N
3198748	10613	1998-06-30	VYDAJ	VYBER	15	17395	SLUZBY	\N	\N
3198749	10613	1998-07-31	VYDAJ	VYBER	15	56114	SLUZBY	\N	\N
3198750	10613	1998-08-31	VYDAJ	VYBER	15	59484	SLUZBY	\N	\N
3198751	10613	1998-09-30	VYDAJ	VYBER	15	32513	SLUZBY	\N	\N
3198752	10613	1998-10-31	VYDAJ	VYBER	15	35195	SLUZBY	\N	\N
3198753	10613	1998-11-30	VYDAJ	VYBER	15	35477	SLUZBY	\N	\N
3198754	10613	1997-12-04	VYDAJ	VYBER	7000	25036	\N	\N	\N
3198755	10613	1998-01-03	VYDAJ	VYBER	22100	50047	\N	\N	\N
3198756	10613	1998-02-02	VYDAJ	VYBER	24900	56704	\N	\N	\N
3198757	10613	1998-03-04	VYDAJ	VYBER	31900	56390	\N	\N	\N
3198758	10613	1998-04-03	VYDAJ	VYBER	18400	49852	\N	\N	\N
3198759	10613	1998-05-03	VYDAJ	VYBER	19000	55669	\N	\N	\N
3198760	10613	1998-06-02	VYDAJ	VYBER	10200	48141	\N	\N	\N
3198761	10613	1998-07-02	PRIJEM	VKLAD	13000	30395	\N	\N	\N
3198762	10613	1998-08-01	VYDAJ	VYBER	11600	44514	\N	\N	\N
3198763	10613	1998-08-31	VYDAJ	VYBER	10300	49184	\N	\N	\N
3198764	10613	1998-09-30	PRIJEM	VKLAD	6500	32349	\N	\N	\N
3198765	10613	1998-10-30	PRIJEM	VKLAD	300	35021	\N	\N	\N
3198766	10613	1998-11-29	VYDAJ	VYBER	5100	35329	\N	\N	\N
3202704	10630	1995-01-15	PRIJEM	VKLAD	300	300	\N	\N	\N
3202706	10630	1995-02-13	PRIJEM	VKLAD	12970	13270	\N	\N	\N
3202707	10630	1995-03-13	PRIJEM	VKLAD	12970	32283	\N	\N	\N
3202708	10630	1995-04-13	PRIJEM	VKLAD	12970	43357	\N	\N	\N
3202709	10630	1995-05-13	PRIJEM	VKLAD	12970	45358	\N	\N	\N
3202710	10630	1995-06-13	PRIJEM	VKLAD	19455	51947	\N	\N	\N
3202711	10630	1995-07-13	PRIJEM	VKLAD	12970	38282	\N	\N	\N
3202712	10630	1995-08-13	PRIJEM	VKLAD	12970	33304	\N	\N	\N
3202713	10630	1995-09-13	PRIJEM	VKLAD	12970	31698	\N	\N	\N
3202714	10630	1995-10-13	PRIJEM	VKLAD	12970	32447	\N	\N	\N
3202715	10630	1995-11-13	PRIJEM	VKLAD	12970	29743	\N	\N	\N
3202716	10630	1995-12-13	PRIJEM	VKLAD	19455	38518	\N	\N	\N
3202717	10630	1996-01-13	PRIJEM	VKLAD	12970	33205	\N	\N	\N
3202718	10630	1996-02-13	PRIJEM	VKLAD	12970	26361	\N	\N	\N
3202719	10630	1996-03-13	PRIJEM	VKLAD	12970	31071	\N	\N	\N
3202720	10630	1996-04-13	PRIJEM	VKLAD	12970	32477	\N	\N	\N
3202721	10630	1996-05-13	PRIJEM	VKLAD	12970	36374	\N	\N	\N
3202722	10630	1996-06-13	PRIJEM	VKLAD	19455	40467	\N	\N	\N
3202723	10630	1996-07-13	PRIJEM	VKLAD	12970	38491	\N	\N	\N
3202724	10630	1996-08-13	PRIJEM	VKLAD	12970	38516	\N	\N	\N
3202725	10630	1996-09-13	PRIJEM	VKLAD	12970	38838	\N	\N	\N
3202726	10630	1996-10-13	PRIJEM	VKLAD	12970	33676	\N	\N	\N
3202727	10630	1996-11-13	PRIJEM	VKLAD	12970	34517	\N	\N	\N
3202728	10630	1996-12-13	PRIJEM	VKLAD	19455	38224	\N	\N	\N
3202729	10630	1997-01-13	PRIJEM	VKLAD	12970	27679	\N	\N	\N
3202730	10630	1997-02-13	PRIJEM	VKLAD	12970	27839	\N	\N	\N
3202731	10630	1997-03-13	PRIJEM	VKLAD	12970	28515	\N	\N	\N
3202732	10630	1997-04-13	PRIJEM	VKLAD	12970	33494	\N	\N	\N
3202733	10630	1997-05-13	PRIJEM	VKLAD	12970	36788	\N	\N	\N
3202734	10630	1997-06-13	PRIJEM	VKLAD	19455	45383	\N	\N	\N
3202735	10630	1997-07-13	PRIJEM	VKLAD	12970	48680	\N	\N	\N
3202736	10630	1997-08-13	PRIJEM	VKLAD	12970	41256	\N	\N	\N
3202737	10630	1997-09-13	PRIJEM	VKLAD	12970	41028	\N	\N	\N
3202738	10630	1997-10-13	PRIJEM	VKLAD	12970	36416	\N	\N	\N
3202739	10630	1997-11-13	PRIJEM	VKLAD	12970	32978	\N	\N	\N
3202740	10630	1997-12-13	PRIJEM	VKLAD	19455	39508	\N	\N	\N
3202741	10630	1998-01-13	PRIJEM	VKLAD	12970	25477	\N	\N	\N
3202742	10630	1998-02-13	PRIJEM	VKLAD	12970	31884	\N	\N	\N
3202743	10630	1998-03-13	PRIJEM	VKLAD	12970	25423	\N	\N	\N
3202744	10630	1998-04-13	PRIJEM	VKLAD	12970	30057	\N	\N	\N
3202745	10630	1998-05-13	PRIJEM	VKLAD	12970	28065	\N	\N	\N
3202746	10630	1998-06-13	PRIJEM	VKLAD	19455	41887	\N	\N	\N
3202747	10630	1998-07-13	PRIJEM	VKLAD	12970	38140	\N	\N	\N
3202748	10630	1998-08-13	PRIJEM	VKLAD	12970	40097	\N	\N	\N
3202749	10630	1998-09-13	PRIJEM	VKLAD	12970	44073	\N	\N	\N
3202750	10630	1998-10-13	PRIJEM	VKLAD	12970	45955	\N	\N	\N
3202751	10630	1998-11-13	PRIJEM	VKLAD	12970	48945	\N	\N	\N
3202752	10630	1998-12-13	PRIJEM	VKLAD	19455	44613	\N	\N	\N
3202758	10630	1995-06-14	VYDAJ	PREVOD NA UCET	7303	44644	SIPO	UV	65871029
3202759	10630	1995-07-14	VYDAJ	PREVOD NA UCET	7303	30979	SIPO	UV	65871029
3202760	10630	1995-08-14	VYDAJ	PREVOD NA UCET	7303	20901	SIPO	UV	65871029
3202761	10630	1995-09-14	VYDAJ	PREVOD NA UCET	7303	24395	SIPO	UV	65871029
3202762	10630	1995-10-14	VYDAJ	PREVOD NA UCET	7303	25144	SIPO	UV	65871029
3202763	10630	1995-11-14	VYDAJ	PREVOD NA UCET	7303	22440	SIPO	UV	65871029
3202764	10630	1995-12-14	VYDAJ	PREVOD NA UCET	7303	31215	SIPO	UV	65871029
3202765	10630	1996-01-14	VYDAJ	PREVOD NA UCET	7303	25902	SIPO	UV	65871029
3202766	10630	1996-02-14	VYDAJ	PREVOD NA UCET	7303	19058	SIPO	UV	65871029
3202767	10630	1996-03-14	VYDAJ	PREVOD NA UCET	7303	23768	SIPO	UV	65871029
3202768	10630	1996-04-14	VYDAJ	PREVOD NA UCET	7303	25174	SIPO	UV	65871029
3202769	10630	1996-05-14	VYDAJ	PREVOD NA UCET	7303	29071	SIPO	UV	65871029
3202770	10630	1996-06-14	VYDAJ	PREVOD NA UCET	7303	33164	SIPO	UV	65871029
3202771	10630	1996-07-14	VYDAJ	PREVOD NA UCET	7303	31188	SIPO	UV	65871029
3202772	10630	1996-08-14	VYDAJ	PREVOD NA UCET	7303	31213	SIPO	UV	65871029
3202773	10630	1996-09-14	VYDAJ	PREVOD NA UCET	7303	31535	SIPO	UV	65871029
3202774	10630	1996-10-14	VYDAJ	PREVOD NA UCET	7303	26373	SIPO	UV	65871029
3202775	10630	1996-11-14	VYDAJ	PREVOD NA UCET	7303	27214	SIPO	UV	65871029
3202776	10630	1996-12-14	VYDAJ	PREVOD NA UCET	7303	30921	SIPO	UV	65871029
3202777	10630	1997-01-14	VYDAJ	PREVOD NA UCET	7303	20376	SIPO	UV	65871029
3202778	10630	1997-02-14	VYDAJ	PREVOD NA UCET	7303	20536	SIPO	UV	65871029
3202779	10630	1997-03-14	VYDAJ	PREVOD NA UCET	7303	21212	SIPO	UV	65871029
3202780	10630	1997-04-14	VYDAJ	PREVOD NA UCET	7303	26191	SIPO	UV	65871029
3202781	10630	1997-05-14	VYDAJ	PREVOD NA UCET	7303	29485	SIPO	UV	65871029
3202782	10630	1997-06-14	VYDAJ	PREVOD NA UCET	7303	38080	SIPO	UV	65871029
3202783	10630	1997-07-14	VYDAJ	PREVOD NA UCET	7303	41377	SIPO	UV	65871029
3202784	10630	1997-08-14	VYDAJ	PREVOD NA UCET	7303	33953	SIPO	UV	65871029
3202785	10630	1997-09-14	VYDAJ	PREVOD NA UCET	7303	33725	SIPO	UV	65871029
3202786	10630	1997-10-14	VYDAJ	PREVOD NA UCET	7303	29113	SIPO	UV	65871029
3202787	10630	1997-11-14	VYDAJ	PREVOD NA UCET	7303	25675	SIPO	UV	65871029
3202788	10630	1997-12-14	VYDAJ	PREVOD NA UCET	7303	23665	SIPO	UV	65871029
3202789	10630	1998-01-14	VYDAJ	PREVOD NA UCET	7303	16614	SIPO	UV	65871029
3202790	10630	1998-02-14	VYDAJ	PREVOD NA UCET	7303	24581	SIPO	UV	65871029
3202791	10630	1998-03-14	VYDAJ	PREVOD NA UCET	7303	18120	SIPO	UV	65871029
3202792	10630	1998-04-14	VYDAJ	PREVOD NA UCET	7303	22754	SIPO	UV	65871029
3202793	10630	1998-05-14	VYDAJ	PREVOD NA UCET	7303	20762	SIPO	UV	65871029
3202794	10630	1998-06-14	VYDAJ	PREVOD NA UCET	7303	25784	SIPO	UV	65871029
3202795	10630	1998-07-14	VYDAJ	PREVOD NA UCET	7303	30837	SIPO	UV	65871029
3202796	10630	1998-08-14	VYDAJ	PREVOD NA UCET	7303	32794	SIPO	UV	65871029
3202797	10630	1998-09-14	VYDAJ	PREVOD NA UCET	7303	36770	SIPO	UV	65871029
3202798	10630	1998-10-14	VYDAJ	PREVOD NA UCET	7303	38652	SIPO	UV	65871029
3202799	10630	1998-11-14	VYDAJ	PREVOD NA UCET	7303	41642	SIPO	UV	65871029
3202800	10630	1998-12-14	VYDAJ	PREVOD NA UCET	7303	37310	SIPO	UV	65871029
3202807	10630	1995-07-12	VYDAJ	PREVOD NA UCET	8260	25312	UVER	OP	6516325
3202808	10630	1995-08-12	VYDAJ	PREVOD NA UCET	8260	20334	UVER	OP	6516325
3202809	10630	1995-09-12	VYDAJ	PREVOD NA UCET	8260	18728	UVER	OP	6516325
3202810	10630	1995-10-12	VYDAJ	PREVOD NA UCET	8260	19477	UVER	OP	6516325
3202811	10630	1995-11-12	VYDAJ	PREVOD NA UCET	8260	16773	UVER	OP	6516325
3202812	10630	1995-12-12	VYDAJ	PREVOD NA UCET	8260	19063	UVER	OP	6516325
3202813	10630	1996-01-12	VYDAJ	PREVOD NA UCET	8260	20235	UVER	OP	6516325
3202814	10630	1996-02-12	VYDAJ	PREVOD NA UCET	8260	13391	UVER	OP	6516325
3202815	10630	1996-03-12	VYDAJ	PREVOD NA UCET	8260	18101	UVER	OP	6516325
3202816	10630	1996-04-12	VYDAJ	PREVOD NA UCET	8260	19507	UVER	OP	6516325
3202817	10630	1996-05-12	VYDAJ	PREVOD NA UCET	8260	23404	UVER	OP	6516325
3202818	10630	1996-06-12	VYDAJ	PREVOD NA UCET	8260	21012	UVER	OP	6516325
3202819	10630	1996-07-12	VYDAJ	PREVOD NA UCET	8260	25521	UVER	OP	6516325
3202820	10630	1996-08-12	VYDAJ	PREVOD NA UCET	8260	25546	UVER	OP	6516325
3202821	10630	1996-09-12	VYDAJ	PREVOD NA UCET	8260	25868	UVER	OP	6516325
3202822	10630	1996-10-12	VYDAJ	PREVOD NA UCET	8260	20706	UVER	OP	6516325
3202823	10630	1996-11-12	VYDAJ	PREVOD NA UCET	8260	21547	UVER	OP	6516325
3202824	10630	1996-12-12	VYDAJ	PREVOD NA UCET	8260	18769	UVER	OP	6516325
3202825	10630	1997-01-12	VYDAJ	PREVOD NA UCET	8260	18189	UVER	OP	6516325
3202826	10630	1997-02-12	VYDAJ	PREVOD NA UCET	8260	14869	UVER	OP	6516325
3202827	10630	1997-03-12	VYDAJ	PREVOD NA UCET	8260	15545	UVER	OP	6516325
3202828	10630	1997-04-12	VYDAJ	PREVOD NA UCET	8260	20524	UVER	OP	6516325
3202829	10630	1997-05-12	VYDAJ	PREVOD NA UCET	8260	23818	UVER	OP	6516325
3202830	10630	1997-06-12	VYDAJ	PREVOD NA UCET	8260	25928	UVER	OP	6516325
3202831	10630	1997-07-20	VYDAJ	VYBER	8600	27257	\N	\N	0
3202832	10630	1997-08-20	VYDAJ	VYBER	7100	26853	\N	\N	0
3202833	10630	1997-09-21	VYDAJ	VYBER	9200	24525	\N	\N	0
3202834	10630	1997-10-15	VYDAJ	VYBER	8800	20313	\N	\N	0
3202835	10630	1997-11-21	VYDAJ	VYBER	6500	19175	\N	\N	0
3202836	10630	1997-12-14	VYDAJ	VYBER	6500	30968	\N	\N	0
3202837	10630	1998-01-05	VYDAJ	VYBER	7400	18267	\N	\N	0
3202838	10630	1998-02-18	VYDAJ	VYBER	6800	17781	\N	\N	0
3202839	10630	1998-03-06	VYDAJ	VYBER	8900	12453	\N	\N	0
3202840	10630	1998-04-11	VYDAJ	VYBER	6200	17087	\N	\N	0
3202841	10630	1998-05-06	VYDAJ	VYBER	7100	15095	\N	\N	0
3202842	10630	1998-06-13	VYDAJ	VYBER	8800	33087	\N	\N	0
3202843	10630	1998-07-18	VYDAJ	VYBER	6800	24037	\N	\N	0
3202844	10630	1998-08-14	VYDAJ	VYBER	7300	25494	\N	\N	0
3202845	10630	1998-09-19	VYDAJ	VYBER	7900	28870	\N	\N	0
3202846	10630	1998-10-17	VYDAJ	VYBER	7100	31552	\N	\N	0
3202847	10630	1998-11-20	VYDAJ	VYBER	8900	32742	\N	\N	0
3202848	10630	1998-12-05	VYDAJ	VYBER	10200	25158	\N	\N	0
3202853	10630	1995-12-18	VYDAJ	VYBER	1120	30095	\N	\N	\N
3202854	10630	1996-12-04	VYDAJ	VYBER	3200	24109	\N	\N	\N
3202855	10630	1997-12-04	VYDAJ	VYBER	4320	20053	\N	\N	\N
3202856	10630	1998-12-02	VYDAJ	VYBER	2720	35358	\N	\N	\N
3202863	10630	1996-01-28	VYDAJ	VYBER	600	19902	\N	\N	\N
3202864	10630	1996-01-22	VYDAJ	VYBER	2280	20502	\N	\N	\N
3202865	10630	1996-01-10	VYDAJ	VYBER	1440	31255	\N	\N	\N
3202866	10630	1996-01-10	VYDAJ	VYBER	2760	28495	\N	\N	\N
3202867	10630	1996-01-28	VYDAJ	VYBER	2040	17862	\N	\N	\N
3202868	10630	1996-01-15	VYDAJ	VYBER	3120	22782	\N	\N	\N
3202869	10630	1997-01-06	VYDAJ	VYBER	2280	26449	\N	\N	\N
3202870	10630	1997-01-25	VYDAJ	VYBER	2880	13416	\N	\N	\N
3202872	10630	1997-01-21	VYDAJ	VYBER	2760	16296	\N	\N	\N
3202873	10630	1997-01-12	VYDAJ	VYBER	3480	14709	\N	\N	\N
3202874	10630	1997-01-18	VYDAJ	VYBER	1320	19056	\N	\N	\N
3202875	10630	1998-01-13	VYDAJ	VYBER	1560	23917	\N	\N	\N
3202877	10630	1998-01-10	VYDAJ	VYBER	3360	12507	\N	\N	\N
3202879	10630	1998-01-06	VYDAJ	VYBER	2400	15867	\N	\N	\N
3202881	10630	1995-10-09	VYDAJ	VYBER	4440	20037	\N	\N	\N
3202884	10630	1995-07-04	VYDAJ	VYBER	1920	33572	\N	\N	\N
3202886	10630	1996-10-28	VYDAJ	VYBER	1560	24813	\N	\N	\N
3202887	10630	1996-04-07	VYDAJ	VYBER	1080	22767	\N	\N	\N
3202888	10630	1996-09-23	VYDAJ	VYBER	5280	26255	\N	\N	\N
3202889	10630	1996-12-07	VYDAJ	VYBER	1680	27029	\N	\N	\N
3202890	10630	1996-03-10	VYDAJ	VYBER	960	26361	\N	\N	\N
3202891	10630	1997-11-21	VYDAJ	VYBER	2280	16895	\N	\N	\N
3202892	10630	1997-11-05	VYDAJ	VYBER	4680	20008	\N	\N	\N
3202893	10630	1997-12-13	VYDAJ	VYBER	2040	37468	\N	\N	\N
3202894	10630	1997-02-05	VYDAJ	VYBER	960	23129	\N	\N	\N
3202895	10630	1997-09-28	VYDAJ	VYBER	2880	21645	\N	\N	\N
3202896	10630	1997-11-22	VYDAJ	VYBER	1200	15695	\N	\N	\N
3202897	10630	1997-07-19	VYDAJ	VYBER	5520	35857	\N	\N	\N
3202898	10630	1998-12-24	VYDAJ	VYBER	720	36590	\N	\N	\N
3202899	10630	1998-02-02	VYDAJ	VYBER	2760	18914	\N	\N	\N
3202900	10630	1998-05-05	VYDAJ	VYBER	4440	22195	\N	\N	\N
3202908	10630	1995-06-30	VYDAJ	VYBER	15	35492	SLUZBY	\N	\N
3202909	10630	1995-07-31	VYDAJ	VYBER	15	28594	SLUZBY	\N	\N
3202910	10630	1995-08-31	VYDAJ	VYBER	15	20988	SLUZBY	\N	\N
3202911	10630	1995-09-30	VYDAJ	VYBER	15	24477	SLUZBY	\N	\N
3202912	10630	1995-10-31	VYDAJ	VYBER	15	25233	SLUZBY	\N	\N
3202913	10630	1995-11-30	VYDAJ	VYBER	15	22523	SLUZBY	\N	\N
3202914	10630	1995-12-31	VYDAJ	VYBER	15	30195	SLUZBY	\N	\N
3202915	10630	1996-01-31	VYDAJ	VYBER	15	17951	SLUZBY	\N	\N
3202916	10630	1996-02-29	VYDAJ	VYBER	15	19121	SLUZBY	\N	\N
3202917	10630	1996-03-31	VYDAJ	VYBER	15	23847	SLUZBY	\N	\N
3202918	10630	1996-04-30	VYDAJ	VYBER	15	25264	SLUZBY	\N	\N
3202919	10630	1996-05-31	VYDAJ	VYBER	15	29172	SLUZBY	\N	\N
3202920	10630	1996-06-30	VYDAJ	VYBER	15	33281	SLUZBY	\N	\N
3202921	10630	1996-07-31	VYDAJ	VYBER	15	31306	SLUZBY	\N	\N
3202922	10630	1996-08-31	VYDAJ	VYBER	15	31328	SLUZBY	\N	\N
3202923	10630	1996-09-30	VYDAJ	VYBER	15	26366	SLUZBY	\N	\N
3202924	10630	1996-10-31	VYDAJ	VYBER	15	24907	SLUZBY	\N	\N
3202925	10630	1996-11-30	VYDAJ	VYBER	15	27309	SLUZBY	\N	\N
3202926	10630	1996-12-31	VYDAJ	VYBER	15	31029	SLUZBY	\N	\N
3202927	10630	1997-01-31	VYDAJ	VYBER	15	13489	SLUZBY	\N	\N
3202928	10630	1997-02-28	VYDAJ	VYBER	15	20605	SLUZBY	\N	\N
3202929	10630	1997-03-31	VYDAJ	VYBER	15	21284	SLUZBY	\N	\N
3202930	10630	1997-04-30	VYDAJ	VYBER	15	26278	SLUZBY	\N	\N
3202931	10630	1997-05-31	VYDAJ	VYBER	15	29588	SLUZBY	\N	\N
3202932	10630	1997-06-30	VYDAJ	VYBER	15	38210	SLUZBY	\N	\N
3202933	10630	1997-07-31	VYDAJ	VYBER	15	27386	SLUZBY	\N	\N
3202934	10630	1997-08-31	VYDAJ	VYBER	15	26958	SLUZBY	\N	\N
3202935	10630	1997-09-30	VYDAJ	VYBER	15	21746	SLUZBY	\N	\N
3202936	10630	1997-10-31	VYDAJ	VYBER	15	24688	SLUZBY	\N	\N
3202937	10630	1997-11-30	VYDAJ	VYBER	15	24373	SLUZBY	\N	\N
3202938	10630	1997-12-31	VYDAJ	VYBER	15	25667	SLUZBY	\N	\N
3202939	10630	1998-01-31	VYDAJ	VYBER	15	21674	SLUZBY	\N	\N
3202940	10630	1998-02-28	VYDAJ	VYBER	15	21353	SLUZBY	\N	\N
3202941	10630	1998-03-31	VYDAJ	VYBER	15	23287	SLUZBY	\N	\N
3202942	10630	1998-04-30	VYDAJ	VYBER	15	26635	SLUZBY	\N	\N
3202943	10630	1998-05-31	VYDAJ	VYBER	15	22432	SLUZBY	\N	\N
3202944	10630	1998-06-30	VYDAJ	VYBER	15	25170	SLUZBY	\N	\N
3202945	10630	1998-07-31	VYDAJ	VYBER	15	27127	SLUZBY	\N	\N
3202946	10630	1998-08-31	VYDAJ	VYBER	15	31103	SLUZBY	\N	\N
3202947	10630	1998-09-30	VYDAJ	VYBER	15	32985	SLUZBY	\N	\N
3202948	10630	1998-10-31	VYDAJ	VYBER	15	35975	SLUZBY	\N	\N
3202949	10630	1998-11-30	VYDAJ	VYBER	15	38078	SLUZBY	\N	\N
3202950	10630	1995-02-14	PRIJEM	VKLAD	6000	19270	\N	\N	\N
3202951	10630	1995-03-16	VYDAJ	VYBER	2000	30283	\N	\N	\N
3202952	10630	1995-04-15	VYDAJ	VYBER	11100	32257	\N	\N	\N
3202953	10630	1995-05-15	VYDAJ	VYBER	13000	32358	\N	\N	\N
3202954	10630	1995-06-14	VYDAJ	VYBER	9300	35344	\N	\N	\N
3202955	10630	1995-07-14	VYDAJ	VYBER	2500	28479	\N	\N	\N
3202956	10630	1995-08-13	VYDAJ	VYBER	5100	28204	\N	\N	\N
3202957	10630	1995-09-12	PRIJEM	VKLAD	6000	26988	\N	\N	\N
3202958	10630	1995-10-12	PRIJEM	VKLAD	7700	27737	\N	\N	\N
3202959	10630	1995-11-11	VYDAJ	VYBER	200	25033	\N	\N	\N
3202960	10630	1995-12-11	PRIJEM	VKLAD	4800	27323	\N	\N	\N
3202961	10630	1996-01-10	PRIJEM	VKLAD	2500	32695	\N	\N	\N
3202962	10630	1996-02-09	PRIJEM	VKLAD	3700	21651	\N	\N	\N
3202963	10630	1996-03-10	PRIJEM	VKLAD	8200	27321	\N	\N	\N
3202964	10630	1996-04-09	PRIJEM	VKLAD	5000	27767	\N	\N	\N
3202965	10630	1996-05-09	PRIJEM	VKLAD	6400	31664	\N	\N	\N
3202966	10630	1996-06-08	PRIJEM	VKLAD	100	29272	\N	\N	\N
3202967	10630	1996-07-08	PRIJEM	VKLAD	500	33781	\N	\N	\N
3202968	10630	1996-08-07	PRIJEM	VKLAD	2500	33806	\N	\N	\N
3202969	10630	1996-09-06	PRIJEM	VKLAD	2800	34128	\N	\N	\N
3202970	10630	1996-10-06	PRIJEM	VKLAD	2600	28966	\N	\N	\N
3202971	10630	1996-11-05	PRIJEM	VKLAD	4900	29807	\N	\N	\N
3202972	10630	1996-12-05	PRIJEM	VKLAD	4600	28709	\N	\N	\N
3202973	10630	1997-01-04	VYDAJ	VYBER	2300	28729	\N	\N	\N
3202974	10630	1997-02-03	PRIJEM	VKLAD	10600	24089	\N	\N	\N
3202975	10630	1997-03-05	PRIJEM	VKLAD	3200	23805	\N	\N	\N
3202976	10630	1997-04-04	PRIJEM	VKLAD	7500	28784	\N	\N	\N
3202977	10630	1997-05-04	PRIJEM	VKLAD	5800	32078	\N	\N	\N
3202978	10630	1997-06-03	PRIJEM	VKLAD	4600	34188	\N	\N	\N
3202979	10630	1997-07-03	VYDAJ	VYBER	2500	35710	\N	\N	\N
3202980	10630	1997-08-02	PRIJEM	VKLAD	900	28286	\N	\N	\N
3202981	10630	1997-09-01	PRIJEM	VKLAD	1100	28058	\N	\N	\N
3202982	10630	1997-10-01	PRIJEM	VKLAD	1700	23446	\N	\N	\N
3202983	10630	1997-10-31	PRIJEM	VKLAD	4300	24702	\N	\N	\N
3202984	10630	1997-11-30	PRIJEM	VKLAD	8600	24295	\N	\N	\N
3202985	10630	1997-12-30	PRIJEM	VKLAD	1900	25565	\N	\N	\N
3202986	10630	1998-01-29	PRIJEM	VKLAD	5000	21614	\N	\N	\N
3202987	10630	1998-02-28	PRIJEM	VKLAD	3500	21368	\N	\N	\N
3202988	10630	1998-03-30	PRIJEM	VKLAD	5100	23220	\N	\N	\N
3202989	10630	1998-04-29	PRIJEM	VKLAD	3800	26554	\N	\N	\N
3202990	10630	1998-05-29	PRIJEM	VKLAD	1600	22362	\N	\N	\N
3202991	10630	1998-06-28	VYDAJ	VYBER	700	25084	\N	\N	\N
3202992	10630	1998-07-28	PRIJEM	VKLAD	3000	27037	\N	\N	\N
3202993	10630	1998-08-27	PRIJEM	VKLAD	5500	30994	\N	\N	\N
3202994	10630	1998-09-26	PRIJEM	VKLAD	4000	32870	\N	\N	\N
3202995	10630	1998-10-26	PRIJEM	VKLAD	4300	35852	\N	\N	\N
3202996	10630	1998-11-25	PRIJEM	VKLAD	5200	37942	\N	\N	\N
3207350	10644	1997-07-12	PRIJEM	VKLAD	400	400	\N	\N	\N
3207357	10644	1997-07-13	PRIJEM	PREVOD Z UCTU	44992	45392	\N	EF	51945531
3207358	10644	1997-08-13	PRIJEM	PREVOD Z UCTU	44992	76500	\N	EF	51945531
3207359	10644	1997-09-13	PRIJEM	PREVOD Z UCTU	44992	89661	\N	EF	51945531
3207360	10644	1997-10-13	PRIJEM	PREVOD Z UCTU	44992	96804	\N	EF	51945531
3207361	10644	1997-11-13	PRIJEM	PREVOD Z UCTU	44992	101988	\N	EF	51945531
3207362	10644	1997-12-13	PRIJEM	PREVOD Z UCTU	67488	111939	\N	EF	51945531
3207363	10644	1998-01-13	PRIJEM	PREVOD Z UCTU	44992	65114	\N	EF	51945531
3207364	10644	1998-02-13	PRIJEM	PREVOD Z UCTU	44992	71902	\N	EF	51945531
3207365	10644	1998-03-13	PRIJEM	PREVOD Z UCTU	44992	86873	\N	EF	51945531
3207366	10644	1998-04-13	PRIJEM	PREVOD Z UCTU	44992	93489	\N	EF	51945531
3207367	10644	1998-05-13	PRIJEM	PREVOD Z UCTU	44992	79266	\N	EF	51945531
3207368	10644	1998-06-13	PRIJEM	PREVOD Z UCTU	67488	120647	\N	EF	51945531
3207369	10644	1998-07-13	PRIJEM	PREVOD Z UCTU	44992	87470	\N	EF	51945531
3207370	10644	1998-08-13	PRIJEM	PREVOD Z UCTU	44992	92379	\N	EF	51945531
3207371	10644	1998-09-13	PRIJEM	PREVOD Z UCTU	44992	88324	\N	EF	51945531
3207372	10644	1998-10-13	PRIJEM	PREVOD Z UCTU	44992	94958	\N	EF	51945531
3207373	10644	1998-11-13	PRIJEM	PREVOD Z UCTU	44992	70847	\N	EF	51945531
3207374	10644	1998-12-13	PRIJEM	PREVOD Z UCTU	67488	92037	\N	EF	51945531
3207386	10644	1997-12-07	VYDAJ	VYBER	6900	69451	\N	\N	0
3207387	10644	1998-01-11	VYDAJ	VYBER	6600	20122	\N	\N	0
3207388	10644	1998-02-03	VYDAJ	VYBER	6100	28910	\N	\N	0
3207389	10644	1998-03-16	VYDAJ	VYBER	8500	67320	\N	\N	0
3207390	10644	1998-04-20	VYDAJ	VYBER	7700	74736	\N	\N	0
3207391	10644	1998-05-11	VYDAJ	VYBER	8500	34274	\N	\N	0
3207392	10644	1998-06-13	VYDAJ	VYBER	8900	88347	\N	\N	0
3207393	10644	1998-07-12	VYDAJ	PREVOD NA UCET	7499	42478	UVER	ST	68935322
3207394	10644	1998-08-12	VYDAJ	PREVOD NA UCET	7499	47387	UVER	ST	68935322
3207395	10644	1998-09-12	VYDAJ	PREVOD NA UCET	7499	43332	UVER	ST	68935322
3207396	10644	1998-10-12	VYDAJ	PREVOD NA UCET	7499	49966	UVER	ST	68935322
3207397	10644	1998-11-12	VYDAJ	PREVOD NA UCET	7499	25855	UVER	ST	68935322
3207398	10644	1998-12-12	VYDAJ	PREVOD NA UCET	7499	24549	UVER	ST	68935322
3207409	10644	1997-11-14	VYDAJ	PREVOD NA UCET	11053	76011	SIPO	GH	87092184
3207410	10644	1997-12-14	VYDAJ	PREVOD NA UCET	11053	53886	SIPO	GH	87092184
3207411	10644	1998-01-14	VYDAJ	PREVOD NA UCET	11053	51361	SIPO	GH	87092184
3207412	10644	1998-02-14	VYDAJ	PREVOD NA UCET	11053	60849	SIPO	GH	87092184
3207413	10644	1998-03-14	VYDAJ	PREVOD NA UCET	11053	75820	SIPO	GH	87092184
3207414	10644	1998-04-14	VYDAJ	PREVOD NA UCET	11053	82436	SIPO	GH	87092184
3207415	10644	1998-05-14	VYDAJ	PREVOD NA UCET	11053	68213	SIPO	GH	87092184
3207416	10644	1998-06-14	VYDAJ	PREVOD NA UCET	11053	77294	SIPO	GH	87092184
3207417	10644	1998-07-14	VYDAJ	PREVOD NA UCET	11053	76417	SIPO	GH	87092184
3207418	10644	1998-08-14	VYDAJ	PREVOD NA UCET	11053	81326	SIPO	GH	87092184
3207419	10644	1998-09-14	VYDAJ	PREVOD NA UCET	11053	77271	SIPO	GH	87092184
3207420	10644	1998-10-14	VYDAJ	PREVOD NA UCET	11053	83905	SIPO	GH	87092184
3207421	10644	1998-11-14	VYDAJ	PREVOD NA UCET	11053	59794	SIPO	GH	87092184
3207422	10644	1998-12-14	VYDAJ	PREVOD NA UCET	11053	80984	SIPO	GH	87092184
3207423	10644	1997-11-14	VYBER	VYBER	14924	87064	\N	\N	\N
3207424	10644	1998-11-05	VYBER	VYBER	20631	33353	\N	\N	\N
3207425	10644	1998-06-20	VYBER	VYBER	6449	60015	\N	\N	\N
3207426	10644	1998-05-04	VYBER	VYBER	16631	52074	\N	\N	\N
3207427	10644	1998-02-17	VYBER	VYBER	3209	57640	\N	\N	\N
3207428	10644	1998-05-02	VYBER	VYBER	6311	68705	\N	\N	\N
3207429	10644	1998-06-16	VYBER	VYBER	10830	66464	\N	\N	\N
3207430	10644	1998-10-16	VYBER	VYBER	13414	70491	\N	\N	\N
3207431	10644	1998-04-07	VYBER	VYBER	4370	63197	\N	\N	\N
3207432	10644	1998-03-08	VYBER	VYBER	11840	45981	\N	\N	\N
3207433	10644	1998-11-16	VYBER	VYBER	16320	43474	\N	\N	\N
3207438	10644	1997-12-29	VYDAJ	VYBER	4200	49686	\N	\N	\N
3207439	10644	1998-12-10	VYDAJ	VYBER	6600	32047	\N	\N	\N
3207446	10644	1998-01-13	VYDAJ	VYBER	2700	62414	\N	\N	\N
3207447	10644	1998-01-16	VYDAJ	VYBER	1800	41761	\N	\N	\N
3207448	10644	1998-01-14	VYDAJ	VYBER	5100	46261	\N	\N	\N
3207449	10644	1998-01-25	VYDAJ	VYBER	2700	34861	\N	\N	\N
3207450	10644	1998-01-08	VYDAJ	VYBER	8700	41222	\N	\N	\N
3207451	10644	1998-01-17	VYDAJ	VYBER	4200	37561	\N	\N	\N
3207455	10644	1998-08-29	VYDAJ	VYBER	11100	70226	\N	\N	\N
3207456	10644	1998-01-14	VYDAJ	VYBER	2700	43561	\N	\N	\N
3207457	10644	1998-01-09	VYDAJ	VYBER	6900	26722	\N	\N	\N
3207458	10644	1998-07-16	VYDAJ	VYBER KARTOU	3300	73117	\N	\N	0
3207459	10644	1998-11-22	VYDAJ	VYBER KARTOU	2700	40774	\N	\N	0
3207471	10644	1997-11-30	VYDAJ	VYBER	15	76351	SLUZBY	\N	\N
3207472	10644	1997-12-31	VYDAJ	VYBER	15	49922	SLUZBY	\N	\N
3207473	10644	1998-01-31	VYDAJ	VYBER	15	35010	SLUZBY	\N	\N
3207474	10644	1998-02-28	VYDAJ	VYBER	15	57821	SLUZBY	\N	\N
3207475	10644	1998-03-31	VYDAJ	VYBER	15	67567	SLUZBY	\N	\N
3207476	10644	1998-04-30	VYDAJ	VYBER	15	75016	SLUZBY	\N	\N
3207477	10644	1998-05-31	VYDAJ	VYBER	15	68459	SLUZBY	\N	\N
3207478	10644	1998-06-30	VYDAJ	VYBER	15	60276	SLUZBY	\N	\N
3207479	10644	1998-07-31	VYDAJ	VYBER	15	73386	SLUZBY	\N	\N
3207480	10644	1998-08-31	VYDAJ	VYBER	15	70531	SLUZBY	\N	\N
3207481	10644	1998-09-30	VYDAJ	VYBER	15	77565	SLUZBY	\N	\N
3207482	10644	1998-10-31	VYDAJ	VYBER	15	70784	SLUZBY	\N	\N
3207483	10644	1998-11-30	VYDAJ	VYBER	15	40947	SLUZBY	\N	\N
3207484	10644	1997-08-11	VYDAJ	VYBER	14000	31508	\N	\N	\N
3207485	10644	1997-09-10	VYDAJ	VYBER	32100	44669	\N	\N	\N
3207486	10644	1997-10-10	VYDAJ	VYBER	38200	51812	\N	\N	\N
3207487	10644	1997-11-09	VYDAJ	VYBER	40200	56996	\N	\N	\N
3207488	10644	1997-12-09	VYDAJ	VYBER	25000	44451	\N	\N	\N
3207489	10644	1997-12-13	VYDAJ	VYBER	47000	64939	\N	\N	\N
3207490	10644	1998-01-08	VYDAJ	VYBER	7600	33622	\N	\N	\N
3207491	10644	1998-02-07	VYDAJ	VYBER	2000	26910	\N	\N	\N
3207492	10644	1998-03-09	VYDAJ	VYBER	4100	41881	\N	\N	\N
3207493	10644	1998-04-08	VYDAJ	VYBER	14700	48497	\N	\N	\N
3207494	10644	1998-05-08	VYDAJ	VYBER	9300	42774	\N	\N	\N
3207495	10644	1998-06-07	VYDAJ	VYBER	15300	53159	\N	\N	\N
3207496	10644	1998-06-13	VYDAJ	VYBER	23400	97247	\N	\N	\N
3207497	10644	1998-07-07	VYDAJ	VYBER	10300	49976	\N	\N	\N
3207498	10644	1998-08-06	VYDAJ	VYBER	18500	54886	\N	\N	\N
3207499	10644	1998-09-05	VYDAJ	VYBER	19700	50831	\N	\N	\N
3207500	10644	1998-10-05	VYDAJ	VYBER	20100	57465	\N	\N	\N
3207501	10644	1998-11-04	VYDAJ	VYBER	16800	53984	\N	\N	\N
3207502	10644	1998-12-04	VYDAJ	VYBER KARTOU	2300	38647	\N	\N	0
3207521	10645	1996-12-21	PRIJEM	VKLAD	500	500	\N	\N	\N
3207534	10645	1997-01-06	PRIJEM	PREVOD Z UCTU	49260	49760	\N	CD	95630412
3207535	10645	1997-02-06	PRIJEM	PREVOD Z UCTU	49260	89184	\N	CD	95630412
3207536	10645	1997-03-06	PRIJEM	PREVOD Z UCTU	49260	107437	\N	CD	95630412
3207537	10645	1997-04-06	PRIJEM	PREVOD Z UCTU	49260	117654	\N	CD	95630412
3207538	10645	1997-05-06	PRIJEM	PREVOD Z UCTU	49260	116392	\N	CD	95630412
3207682	10645	1998-05-06	VYDAJ	VYBER	3000	107677	\N	\N	\N
3207539	10645	1997-06-06	PRIJEM	PREVOD Z UCTU	73890	124697	\N	CD	95630412
3207540	10645	1997-07-06	PRIJEM	PREVOD Z UCTU	49260	87225	\N	CD	95630412
3207541	10645	1997-08-06	PRIJEM	PREVOD Z UCTU	49260	92285	\N	CD	95630412
3207542	10645	1997-09-06	PRIJEM	PREVOD Z UCTU	49260	84557	\N	CD	95630412
3207543	10645	1997-10-06	PRIJEM	PREVOD Z UCTU	49260	104038	\N	CD	95630412
3207544	10645	1997-11-06	PRIJEM	PREVOD Z UCTU	49260	93049	\N	CD	95630412
3207545	10645	1997-12-06	PRIJEM	PREVOD Z UCTU	73890	134634	\N	CD	95630412
3207546	10645	1998-01-06	PRIJEM	PREVOD Z UCTU	49260	80680	\N	CD	95630412
3207547	10645	1998-02-06	PRIJEM	PREVOD Z UCTU	49260	74481	\N	CD	95630412
3207548	10645	1998-03-06	PRIJEM	PREVOD Z UCTU	49260	88655	\N	CD	95630412
3207549	10645	1998-04-06	PRIJEM	PREVOD Z UCTU	49260	106495	\N	CD	95630412
3207550	10645	1998-05-06	PRIJEM	PREVOD Z UCTU	49260	110677	\N	CD	95630412
3207551	10645	1998-06-06	PRIJEM	PREVOD Z UCTU	73890	113329	\N	CD	95630412
3207552	10645	1998-07-06	PRIJEM	PREVOD Z UCTU	49260	76543	\N	CD	95630412
3207553	10645	1998-08-06	PRIJEM	PREVOD Z UCTU	49260	98850	\N	CD	95630412
3207554	10645	1998-09-06	PRIJEM	PREVOD Z UCTU	49260	103101	\N	CD	95630412
3207555	10645	1998-10-06	PRIJEM	PREVOD Z UCTU	49260	111076	\N	CD	95630412
3207556	10645	1998-11-06	PRIJEM	PREVOD Z UCTU	49260	104052	\N	CD	95630412
3207557	10645	1998-12-06	PRIJEM	PREVOD Z UCTU	73890	134650	\N	CD	95630412
3207574	10645	1997-05-21	VYDAJ	VYBER	5000	50552	\N	\N	0
3207575	10645	1997-06-16	VYDAJ	VYBER	5000	53257	\N	\N	0
3207576	10645	1997-07-19	VYDAJ	VYBER	7200	76285	\N	\N	0
3207577	10645	1997-08-08	VYDAJ	VYBER	4400	87885	\N	\N	0
3207578	10645	1997-09-02	VYDAJ	VYBER	5300	51580	\N	\N	0
3207579	10645	1997-10-03	VYDAJ	VYBER	5900	54778	\N	\N	0
3207580	10645	1997-11-11	VYDAJ	VYBER	6700	82609	\N	\N	0
3207581	10645	1997-12-21	VYDAJ	VYBER	7100	42794	\N	\N	0
3207582	10645	1998-01-02	VYDAJ	VYBER	4700	31420	\N	\N	0
3207583	10645	1998-02-11	VYDAJ	VYBER	5200	65541	\N	\N	0
3207584	10645	1998-03-12	VYDAJ	VYBER	5700	79215	\N	\N	0
3207585	10645	1998-04-13	VYDAJ	VYBER	7200	95555	\N	\N	0
3207586	10645	1998-05-17	VYDAJ	VYBER	4400	46437	\N	\N	0
3207587	10645	1998-06-07	VYDAJ	VYBER	5400	86829	\N	\N	0
3207588	10645	1998-07-12	VYDAJ	PREVOD NA UCET	5787	67016	UVER	AB	62736219
3207589	10645	1998-08-12	VYDAJ	PREVOD NA UCET	5787	87823	UVER	AB	62736219
3207590	10645	1998-09-12	VYDAJ	PREVOD NA UCET	5787	93574	UVER	AB	62736219
3207591	10645	1998-10-12	VYDAJ	PREVOD NA UCET	5787	67149	UVER	AB	62736219
3207592	10645	1998-11-12	VYDAJ	PREVOD NA UCET	5787	60525	UVER	AB	62736219
3207593	10645	1998-12-12	VYDAJ	PREVOD NA UCET	5787	42223	UVER	AB	62736219
3207610	10645	1997-05-10	VYDAJ	PREVOD NA UCET	3740	72852	SIPO	MN	86990302
3207611	10645	1997-06-10	VYDAJ	PREVOD NA UCET	3740	58257	SIPO	MN	86990302
3207612	10645	1997-07-10	VYDAJ	PREVOD NA UCET	3740	83485	SIPO	MN	86990302
3207613	10645	1997-08-10	VYDAJ	PREVOD NA UCET	3740	84145	SIPO	MN	86990302
3207614	10645	1997-09-10	VYDAJ	PREVOD NA UCET	3740	80817	SIPO	MN	86990302
3207615	10645	1997-10-10	VYDAJ	PREVOD NA UCET	3740	71398	SIPO	MN	86990302
3207616	10645	1997-11-10	VYDAJ	PREVOD NA UCET	3740	89309	SIPO	MN	86990302
3207617	10645	1997-12-10	VYDAJ	PREVOD NA UCET	3740	73794	SIPO	MN	86990302
3207618	10645	1998-01-10	VYDAJ	PREVOD NA UCET	3740	73340	SIPO	MN	86990302
3207619	10645	1998-02-10	VYDAJ	PREVOD NA UCET	3740	70741	SIPO	MN	86990302
3207620	10645	1998-03-10	VYDAJ	PREVOD NA UCET	3740	84915	SIPO	MN	86990302
3207621	10645	1998-04-10	VYDAJ	PREVOD NA UCET	3740	102755	SIPO	MN	86990302
3207622	10645	1998-05-10	VYDAJ	PREVOD NA UCET	3740	61637	SIPO	MN	86990302
3207623	10645	1998-06-10	VYDAJ	PREVOD NA UCET	3740	83089	SIPO	MN	86990302
3207624	10645	1998-07-10	VYDAJ	PREVOD NA UCET	3740	72803	SIPO	MN	86990302
3207625	10645	1998-08-10	VYDAJ	PREVOD NA UCET	3740	93610	SIPO	MN	86990302
3207626	10645	1998-09-10	VYDAJ	PREVOD NA UCET	3740	99361	SIPO	MN	86990302
3207627	10645	1998-10-10	VYDAJ	PREVOD NA UCET	3740	107336	SIPO	MN	86990302
3207628	10645	1998-11-10	VYDAJ	PREVOD NA UCET	3740	100312	SIPO	MN	86990302
3207629	10645	1998-12-10	VYDAJ	PREVOD NA UCET	3740	70310	SIPO	MN	86990302
3207636	10645	1997-08-14	VYBER	VYBER	14904	69241	\N	\N	\N
3207637	10645	1997-07-23	VYBER	VYBER	16118	42767	\N	\N	\N
3207638	10645	1997-09-04	VYBER	VYBER	16283	35297	\N	\N	\N
3207640	10645	1997-10-27	VYBER	VYBER	9343	43555	\N	\N	\N
3207643	10645	1998-06-19	VYDAJ	VYBER	32700	27089	\N	\N	\N
3207659	10645	1998-01-19	VYDAJ	VYBER	2700	50540	\N	\N	\N
3207660	10645	1998-01-07	VYDAJ	VYBER	3600	77080	\N	\N	\N
3207661	10645	1998-01-13	VYDAJ	VYBER	7200	66140	\N	\N	\N
3207662	10645	1998-01-18	VYDAJ	VYBER	1800	53240	\N	\N	\N
3207663	10645	1998-01-19	VYDAJ	VYBER	8100	42440	\N	\N	\N
3207664	10645	1998-01-20	VYDAJ	VYBER	3300	39140	\N	\N	\N
3207670	10645	1997-12-17	VYDAJ	VYBER	11700	49894	\N	\N	\N
3207671	10645	1997-07-03	VYDAJ	VYBER	11100	37965	\N	\N	\N
3207673	10645	1997-05-08	VYDAJ	VYBER	6900	81692	\N	\N	\N
3207674	10645	1997-05-09	VYDAJ	VYBER	5100	76592	\N	\N	\N
3207675	10645	1998-08-12	VYDAJ	VYBER	6600	81223	\N	\N	\N
3207676	10645	1998-02-18	VYDAJ	VYBER	13800	39241	\N	\N	\N
3207677	10645	1998-05-24	VYDAJ	VYBER	7200	39237	\N	\N	\N
3207678	10645	1998-10-17	VYDAJ	VYBER	12600	54549	\N	\N	\N
3207679	10645	1998-08-10	VYDAJ	VYBER	1500	97350	\N	\N	\N
3207680	10645	1998-01-24	VYDAJ	VYBER	14100	25040	\N	\N	\N
3207681	10645	1998-01-01	VYDAJ	VYBER	6900	36120	\N	\N	\N
3207700	10645	1997-05-31	VYDAJ	VYBER	15	50807	SLUZBY	\N	\N
3207701	10645	1997-06-30	VYDAJ	VYBER	15	49065	SLUZBY	\N	\N
3207702	10645	1997-07-31	VYDAJ	VYBER	15	43025	SLUZBY	\N	\N
3207703	10645	1997-08-31	VYDAJ	VYBER	15	56880	SLUZBY	\N	\N
3207704	10645	1997-09-30	VYDAJ	VYBER	15	60678	SLUZBY	\N	\N
3207705	10645	1997-10-31	VYDAJ	VYBER	15	43789	SLUZBY	\N	\N
3207706	10645	1997-11-30	VYDAJ	VYBER	15	60744	SLUZBY	\N	\N
3207707	10645	1997-12-31	VYDAJ	VYBER	15	43020	SLUZBY	\N	\N
3207708	10645	1998-01-31	VYDAJ	VYBER	15	25221	SLUZBY	\N	\N
3207709	10645	1998-02-28	VYDAJ	VYBER	15	39395	SLUZBY	\N	\N
3207710	10645	1998-03-31	VYDAJ	VYBER	15	57235	SLUZBY	\N	\N
3207711	10645	1998-04-30	VYDAJ	VYBER	15	61417	SLUZBY	\N	\N
3207712	10645	1998-05-31	VYDAJ	VYBER	15	39439	SLUZBY	\N	\N
3207713	10645	1998-06-30	VYDAJ	VYBER	15	27283	SLUZBY	\N	\N
3207714	10645	1998-07-31	VYDAJ	VYBER	15	49590	SLUZBY	\N	\N
3207715	10645	1998-08-31	VYDAJ	VYBER	15	53841	SLUZBY	\N	\N
3207716	10645	1998-09-30	VYDAJ	VYBER	15	61816	SLUZBY	\N	\N
3207717	10645	1998-10-31	VYDAJ	VYBER	15	54792	SLUZBY	\N	\N
3207718	10645	1998-11-30	VYDAJ	VYBER	15	60760	SLUZBY	\N	\N
3207719	10645	1997-01-20	VYDAJ	VYBER	9900	39860	\N	\N	\N
3207720	10645	1997-02-19	VYDAJ	VYBER	31200	57984	\N	\N	\N
3207721	10645	1997-03-21	VYDAJ	VYBER	39300	68137	\N	\N	\N
3207722	10645	1997-04-06	VYDAJ	VYBER	17500	100154	\N	\N	\N
3207723	10645	1997-04-20	VYDAJ	VYBER	33400	66754	\N	\N	\N
3207724	10645	1997-05-06	VYDAJ	VYBER	27800	88592	\N	\N	\N
3207725	10645	1997-05-20	VYDAJ	VYBER	17300	55552	\N	\N	\N
3207726	10645	1997-06-06	VYDAJ	VYBER	62700	61997	\N	\N	\N
3207727	10645	1997-06-19	VYDAJ	VYBER	4400	48857	\N	\N	\N
3207728	10645	1997-07-19	VYDAJ	VYBER	17400	58885	\N	\N	\N
3207729	10645	1997-08-18	VYDAJ	VYBER	12600	56641	\N	\N	\N
3207730	10645	1997-09-17	VYDAJ	VYBER	20400	60417	\N	\N	\N
3207731	10645	1997-10-06	VYDAJ	VYBER	28900	75138	\N	\N	\N
3207732	10645	1997-10-17	VYDAJ	VYBER	18500	52898	\N	\N	\N
3207733	10645	1997-11-16	VYDAJ	VYBER	22100	60509	\N	\N	\N
3207734	10645	1997-12-06	VYDAJ	VYBER	57100	77534	\N	\N	\N
3207735	10645	1997-12-16	VYDAJ	VYBER	12200	61594	\N	\N	\N
3207736	10645	1998-01-15	VYDAJ	VYBER	11100	55040	\N	\N	\N
3207737	10645	1998-02-14	VYDAJ	VYBER	12500	53041	\N	\N	\N
3207738	10645	1998-03-16	VYDAJ	VYBER	22200	57015	\N	\N	\N
3207739	10645	1998-04-15	VYDAJ	VYBER	34400	61155	\N	\N	\N
3207740	10645	1998-05-06	VYDAJ	VYBER	42300	65377	\N	\N	\N
3207741	10645	1998-05-15	VYDAJ	VYBER	10800	50837	\N	\N	\N
3207742	10645	1998-06-06	VYDAJ	VYBER	21100	92229	\N	\N	\N
3207743	10645	1998-06-14	VYDAJ	VYBER	23300	59789	\N	\N	\N
3207744	10645	1998-07-14	VYDAJ	VYBER	17600	49416	\N	\N	\N
3207745	10645	1998-08-13	VYDAJ	VYBER	27600	53623	\N	\N	\N
3207746	10645	1998-09-12	VYDAJ	VYBER	32000	61574	\N	\N	\N
3207747	10645	1998-10-12	VYDAJ	VYBER	34400	72936	\N	\N	\N
3207748	10645	1998-11-11	VYDAJ	VYBER	34000	66312	\N	\N	\N
3207749	10645	1998-12-06	VYDAJ	VYBER	60600	74050	\N	\N	\N
3207750	10645	1998-12-11	VYDAJ	VYBER	22300	48010	\N	\N	\N
3209246	10650	1997-09-09	PRIJEM	VKLAD	300	300	\N	\N	\N
3209255	10650	1997-09-11	PRIJEM	PREVOD Z UCTU	46901	47201	\N	UV	95178705
3209256	10650	1997-10-11	PRIJEM	PREVOD Z UCTU	46901	80133	\N	UV	95178705
3209257	10650	1997-11-11	PRIJEM	PREVOD Z UCTU	46901	103024	\N	UV	95178705
3209258	10650	1997-12-11	PRIJEM	PREVOD Z UCTU	70352	135473	\N	UV	95178705
3209259	10650	1998-01-11	PRIJEM	PREVOD Z UCTU	46901	114320	\N	UV	95178705
3209260	10650	1998-02-11	PRIJEM	PREVOD Z UCTU	46901	85380	\N	UV	95178705
3209261	10650	1998-03-11	PRIJEM	PREVOD Z UCTU	46901	94913	\N	UV	95178705
3209262	10650	1998-04-11	PRIJEM	PREVOD Z UCTU	46901	103708	\N	UV	95178705
3209263	10650	1998-05-11	PRIJEM	PREVOD Z UCTU	46901	87193	\N	UV	95178705
3209264	10650	1998-06-11	PRIJEM	PREVOD Z UCTU	70352	122694	\N	UV	95178705
3209265	10650	1998-07-11	PRIJEM	PREVOD Z UCTU	46901	99065	\N	UV	95178705
3209266	10650	1998-08-11	PRIJEM	PREVOD Z UCTU	46901	104171	\N	UV	95178705
3209267	10650	1998-09-11	PRIJEM	PREVOD Z UCTU	46901	105204	\N	UV	95178705
3209268	10650	1998-10-11	PRIJEM	PREVOD Z UCTU	46901	107545	\N	UV	95178705
3209269	10650	1998-11-11	PRIJEM	PREVOD Z UCTU	46901	91796	\N	UV	95178705
3209270	10650	1998-12-11	PRIJEM	PREVOD Z UCTU	70352	124198	\N	UV	95178705
3209283	10650	1998-01-14	VYDAJ	VYBER	4900	64020	\N	\N	0
3209284	10650	1998-02-19	VYDAJ	VYBER	4700	80680	\N	\N	0
3209285	10650	1998-03-12	VYDAJ	PREVOD NA UCET	4088	90825	UVER	QR	49945110
3209286	10650	1998-04-12	VYDAJ	PREVOD NA UCET	4088	84520	UVER	QR	49945110
3209287	10650	1998-05-12	VYDAJ	PREVOD NA UCET	4088	83105	UVER	QR	49945110
3209288	10650	1998-06-12	VYDAJ	PREVOD NA UCET	4088	82506	UVER	QR	49945110
3209289	10650	1998-07-12	VYDAJ	PREVOD NA UCET	4088	94977	UVER	QR	49945110
3209290	10650	1998-08-12	VYDAJ	PREVOD NA UCET	4088	100083	UVER	QR	49945110
3209291	10650	1998-09-12	VYDAJ	PREVOD NA UCET	4088	101116	UVER	QR	49945110
3209292	10650	1998-10-12	VYDAJ	PREVOD NA UCET	4088	66757	UVER	QR	49945110
3209293	10650	1998-11-12	VYDAJ	PREVOD NA UCET	4088	87708	UVER	QR	49945110
3209294	10650	1998-12-12	VYDAJ	PREVOD NA UCET	4088	56610	UVER	QR	49945110
3209308	10650	1998-02-07	VYDAJ	PREVOD NA UCET	10356	38479	SIPO	WX	40695470
3209309	10650	1998-03-07	VYDAJ	PREVOD NA UCET	10356	70612	SIPO	WX	40695470
3209310	10650	1998-04-07	VYDAJ	PREVOD NA UCET	10356	80807	SIPO	WX	40695470
3209311	10650	1998-05-07	VYDAJ	PREVOD NA UCET	10356	40292	SIPO	WX	40695470
3209312	10650	1998-06-07	VYDAJ	PREVOD NA UCET	10356	52342	SIPO	WX	40695470
3209313	10650	1998-07-07	VYDAJ	PREVOD NA UCET	10356	52164	SIPO	WX	40695470
3209314	10650	1998-08-07	VYDAJ	PREVOD NA UCET	10356	57270	SIPO	WX	40695470
3209315	10650	1998-09-07	VYDAJ	PREVOD NA UCET	10356	58303	SIPO	WX	40695470
3209316	10650	1998-10-07	VYDAJ	PREVOD NA UCET	10356	60644	SIPO	WX	40695470
3209317	10650	1998-11-07	VYDAJ	PREVOD NA UCET	10356	44895	SIPO	WX	40695470
3209318	10650	1998-12-07	VYDAJ	PREVOD NA UCET	10356	53846	SIPO	WX	40695470
3209328	10650	1998-04-27	VYBER	VYBER	18886	55134	\N	\N	\N
3209332	10650	1998-12-23	VYDAJ	VYBER KARTOU	3300	41610	\N	\N	0
3209334	10650	1998-04-30	VYDAJ	VYBER	3000	52448	\N	\N	\N
3209335	10650	1998-04-19	VYDAJ	VYBER	10500	74020	\N	\N	\N
3209336	10650	1998-12-14	VYDAJ	VYBER	11700	44910	\N	\N	\N
3209337	10650	1998-11-14	VYDAJ	VYBER KARTOU	6900	80808	\N	\N	0
3209351	10650	1998-01-31	VYDAJ	VYBER	15	64335	SLUZBY	\N	\N
3209352	10650	1998-02-28	VYDAJ	VYBER	15	80968	SLUZBY	\N	\N
3209353	10650	1998-03-31	VYDAJ	VYBER	15	91163	SLUZBY	\N	\N
3209354	10650	1998-04-30	VYDAJ	VYBER	15	55448	SLUZBY	\N	\N
3209355	10650	1998-05-31	VYDAJ	VYBER	15	83398	SLUZBY	\N	\N
3209356	10650	1998-06-30	VYDAJ	VYBER	15	82820	SLUZBY	\N	\N
3209357	10650	1998-07-31	VYDAJ	VYBER	15	95326	SLUZBY	\N	\N
3209358	10650	1998-08-31	VYDAJ	VYBER	15	100459	SLUZBY	\N	\N
3209359	10650	1998-09-30	VYDAJ	VYBER	15	101500	SLUZBY	\N	\N
3209360	10650	1998-10-31	VYDAJ	VYBER	15	67051	SLUZBY	\N	\N
3209361	10650	1998-11-30	VYDAJ	VYBER	15	81102	SLUZBY	\N	\N
3209362	10650	1997-10-09	VYDAJ	VYBER	14100	33232	\N	\N	\N
3209363	10650	1997-11-08	VYDAJ	VYBER	24300	56123	\N	\N	\N
3209364	10650	1997-12-08	VYDAJ	VYBER	38300	65121	\N	\N	\N
3209365	10650	1997-12-11	VYDAJ	VYBER	26600	108873	\N	\N	\N
3209366	10650	1998-01-07	VYDAJ	VYBER	41900	67419	\N	\N	\N
3209367	10650	1998-01-11	VYDAJ	VYBER	45400	68920	\N	\N	\N
3209368	10650	1998-02-06	VYDAJ	VYBER	15500	48835	\N	\N	\N
3209369	10650	1998-03-08	VYDAJ	VYBER	22600	48012	\N	\N	\N
3209370	10650	1998-04-07	VYDAJ	VYBER	24000	56807	\N	\N	\N
3209371	10650	1998-04-11	VYDAJ	VYBER	15100	88608	\N	\N	\N
3209372	10650	1998-05-07	VYDAJ	VYBER	1800	50648	\N	\N	\N
3209373	10650	1998-06-06	VYDAJ	VYBER	20700	62698	\N	\N	\N
3209374	10650	1998-06-11	VYDAJ	VYBER	36100	86594	\N	\N	\N
3209375	10650	1998-07-06	VYDAJ	VYBER	20300	62520	\N	\N	\N
3209376	10650	1998-08-05	VYDAJ	VYBER	27700	67626	\N	\N	\N
3209377	10650	1998-09-04	VYDAJ	VYBER	31800	68659	\N	\N	\N
3209378	10650	1998-10-04	VYDAJ	VYBER	30500	71000	\N	\N	\N
3209379	10650	1998-10-11	VYDAJ	VYBER	36700	70845	\N	\N	\N
3209380	10650	1998-11-03	VYDAJ	VYBER	11800	55251	\N	\N	\N
3209381	10650	1998-12-03	VYDAJ	VYBER	16900	64202	\N	\N	\N
3209382	10650	1998-12-11	VYDAJ	VYBER	63500	60698	\N	\N	\N
3209884	10652	1997-03-18	PRIJEM	VKLAD	700	700	\N	\N	\N
3209888	10652	1997-04-10	PRIJEM	PREVOD Z UCTU	30142	30842	\N	QR	39472097
3209889	10652	1997-05-10	PRIJEM	PREVOD Z UCTU	30142	55634	\N	QR	39472097
3209890	10652	1997-06-10	PRIJEM	PREVOD Z UCTU	45213	87186	\N	QR	39472097
3209891	10652	1997-07-10	PRIJEM	PREVOD Z UCTU	30142	85630	\N	QR	39472097
3209892	10652	1997-08-10	PRIJEM	PREVOD Z UCTU	30142	78194	\N	QR	39472097
3209893	10652	1997-09-10	PRIJEM	PREVOD Z UCTU	30142	72089	\N	QR	39472097
3209894	10652	1997-10-10	PRIJEM	PREVOD Z UCTU	30142	50912	\N	QR	39472097
3209895	10652	1997-11-10	PRIJEM	PREVOD Z UCTU	30142	63457	\N	QR	39472097
3209896	10652	1997-12-10	PRIJEM	PREVOD Z UCTU	45213	60810	\N	QR	39472097
3209897	10652	1998-01-10	PRIJEM	PREVOD Z UCTU	30142	58842	\N	QR	39472097
3209898	10652	1998-02-10	PRIJEM	PREVOD Z UCTU	30142	52049	\N	QR	39472097
3209899	10652	1998-03-10	PRIJEM	PREVOD Z UCTU	30142	59240	\N	QR	39472097
3209900	10652	1998-04-10	PRIJEM	PREVOD Z UCTU	30142	47360	\N	QR	39472097
3209901	10652	1998-05-10	PRIJEM	PREVOD Z UCTU	30142	59251	\N	QR	39472097
3209902	10652	1998-06-10	PRIJEM	PREVOD Z UCTU	45213	69914	\N	QR	39472097
3209903	10652	1998-07-10	PRIJEM	PREVOD Z UCTU	30142	64827	\N	QR	39472097
3209904	10652	1998-08-10	PRIJEM	PREVOD Z UCTU	30142	57728	\N	QR	39472097
3209905	10652	1998-09-10	PRIJEM	PREVOD Z UCTU	30142	42208	\N	QR	39472097
3209906	10652	1998-10-10	PRIJEM	PREVOD Z UCTU	30142	45814	\N	QR	39472097
3209907	10652	1998-11-10	PRIJEM	PREVOD Z UCTU	30142	43417	\N	QR	39472097
3209908	10652	1998-12-10	PRIJEM	PREVOD Z UCTU	45213	58415	\N	QR	39472097
3209916	10652	1997-08-02	VYDAJ	VYBER	3600	48052	\N	\N	0
3209917	10652	1997-09-08	VYDAJ	VYBER	4500	41947	\N	\N	0
3209918	10652	1997-10-02	VYDAJ	VYBER	2800	40478	\N	\N	0
3209919	10652	1997-11-18	VYDAJ	VYBER	3900	37405	\N	\N	0
3209920	10652	1997-12-09	VYDAJ	VYBER	4600	15597	\N	\N	0
3209921	10652	1998-01-19	VYDAJ	VYBER	3800	21790	\N	\N	0
3209922	10652	1998-02-20	VYDAJ	VYBER	3700	28997	\N	\N	0
3209923	10652	1998-03-10	VYDAJ	VYBER	3300	55940	\N	\N	0
3209924	10652	1998-04-08	VYDAJ	VYBER	3800	17218	\N	\N	0
3209925	10652	1998-05-12	VYDAJ	PREVOD NA UCET	3810	53079	UVER	UV	59188014
3209926	10652	1998-06-12	VYDAJ	PREVOD NA UCET	3810	40304	UVER	UV	59188014
3209927	10652	1998-07-12	VYDAJ	PREVOD NA UCET	3810	34117	UVER	UV	59188014
3209928	10652	1998-08-12	VYDAJ	PREVOD NA UCET	3810	30618	UVER	UV	59188014
3209929	10652	1998-09-12	VYDAJ	PREVOD NA UCET	3810	36036	UVER	UV	59188014
3209930	10652	1998-10-12	VYDAJ	PREVOD NA UCET	3810	22770	UVER	UV	59188014
3209931	10652	1998-11-12	VYDAJ	PREVOD NA UCET	3810	37245	UVER	UV	59188014
3209932	10652	1998-12-12	VYDAJ	PREVOD NA UCET	3810	52243	UVER	UV	59188014
3209940	10652	1997-08-14	VYDAJ	PREVOD NA UCET	1290	74542	SIPO	MN	74468493
3209941	10652	1997-09-14	VYDAJ	PREVOD NA UCET	1290	68437	SIPO	MN	74468493
3209942	10652	1997-10-14	VYDAJ	PREVOD NA UCET	1290	47260	SIPO	MN	74468493
3209943	10652	1997-11-14	VYDAJ	PREVOD NA UCET	1290	41305	SIPO	MN	74468493
3209944	10652	1997-12-14	VYDAJ	PREVOD NA UCET	1290	40558	SIPO	MN	74468493
3209945	10652	1998-01-14	VYDAJ	PREVOD NA UCET	1290	33090	SIPO	MN	74468493
3209946	10652	1998-02-14	VYDAJ	PREVOD NA UCET	1290	32697	SIPO	MN	74468493
3209947	10652	1998-03-14	VYDAJ	PREVOD NA UCET	1290	36588	SIPO	MN	74468493
3209948	10652	1998-04-14	VYDAJ	PREVOD NA UCET	1290	29008	SIPO	MN	74468493
3209949	10652	1998-05-14	VYDAJ	PREVOD NA UCET	1290	28789	SIPO	MN	74468493
3209950	10652	1998-06-14	VYDAJ	PREVOD NA UCET	1290	36652	SIPO	MN	74468493
3209951	10652	1998-07-14	VYDAJ	PREVOD NA UCET	1290	30465	SIPO	MN	74468493
3209952	10652	1998-08-14	VYDAJ	PREVOD NA UCET	1290	26966	SIPO	MN	74468493
3209953	10652	1998-09-14	VYDAJ	PREVOD NA UCET	1290	34746	SIPO	MN	74468493
3209954	10652	1998-10-14	VYDAJ	PREVOD NA UCET	1290	21480	SIPO	MN	74468493
3209955	10652	1998-11-14	VYDAJ	PREVOD NA UCET	1290	35955	SIPO	MN	74468493
3209956	10652	1998-12-14	VYDAJ	PREVOD NA UCET	1290	50953	SIPO	MN	74468493
3209964	10652	1997-08-12	VYDAJ	PREVOD NA UCET	2362	75832	 	QR	87759685
3209965	10652	1997-09-12	VYDAJ	PREVOD NA UCET	2362	69727	 	QR	87759685
3209966	10652	1997-10-12	VYDAJ	PREVOD NA UCET	2362	48550	 	QR	87759685
3209967	10652	1997-11-12	VYDAJ	PREVOD NA UCET	2362	61095	 	QR	87759685
3209968	10652	1997-12-12	VYDAJ	PREVOD NA UCET	2362	58448	 	QR	87759685
3209969	10652	1998-01-12	VYDAJ	PREVOD NA UCET	2362	56480	 	QR	87759685
3209970	10652	1998-02-12	VYDAJ	PREVOD NA UCET	2362	33987	 	QR	87759685
3209971	10652	1998-03-12	VYDAJ	PREVOD NA UCET	2362	53578	 	QR	87759685
3209972	10652	1998-04-12	VYDAJ	PREVOD NA UCET	2362	44998	 	QR	87759685
3209973	10652	1998-05-12	VYDAJ	PREVOD NA UCET	2362	56889	 	QR	87759685
3209974	10652	1998-06-12	VYDAJ	PREVOD NA UCET	2362	37942	 	QR	87759685
3209975	10652	1998-07-12	VYDAJ	PREVOD NA UCET	2362	31755	 	QR	87759685
3209976	10652	1998-08-12	VYDAJ	PREVOD NA UCET	2362	28256	 	QR	87759685
3209977	10652	1998-09-12	VYDAJ	PREVOD NA UCET	2362	39846	 	QR	87759685
3209978	10652	1998-10-12	VYDAJ	PREVOD NA UCET	2362	26580	 	QR	87759685
3209979	10652	1998-11-12	VYDAJ	PREVOD NA UCET	2362	41055	 	QR	87759685
3209980	10652	1998-12-12	VYDAJ	PREVOD NA UCET	2362	56053	 	QR	87759685
3209983	10652	1997-11-23	VYBER	VYBER	13134	24271	\N	\N	\N
3209984	10652	1997-10-03	VYBER	VYBER	19708	20770	\N	\N	\N
3209988	10652	1998-10-08	VYBER	VYBER	2594	32272	\N	\N	\N
3209990	10652	1998-11-19	VYBER	VYBER	13949	22006	\N	\N	\N
3209992	10652	1998-10-10	VYBER	VYBER	16872	28942	\N	\N	\N
3209993	10652	1998-03-17	VYBER	VYBER	15676	20912	\N	\N	\N
3209994	10652	1998-06-09	VYBER	VYBER	4201	24701	\N	\N	\N
3209997	10652	1997-12-05	VYDAJ	VYBER	1500	22897	\N	\N	\N
3209998	10652	1998-12-23	VYDAJ	VYBER	6900	44053	\N	\N	\N
3210005	10652	1998-01-05	VYDAJ	VYBER	4500	36200	\N	\N	\N
3210007	10652	1998-01-13	VYDAJ	VYBER	7500	34380	\N	\N	\N
3210008	10652	1998-01-08	VYDAJ	VYBER	7500	28700	\N	\N	\N
3210009	10652	1998-01-12	VYDAJ	VYBER	2100	54380	\N	\N	\N
3210010	10652	1998-01-14	VYDAJ	VYBER	7500	25590	\N	\N	\N
3210012	10652	1997-12-09	VYDAJ	VYBER	2700	20197	\N	\N	\N
3210013	10652	1998-07-07	VYDAJ	VYBER	2100	34685	\N	\N	\N
3210014	10652	1998-07-20	VYDAJ	VYBER	3000	27465	\N	\N	\N
3210015	10652	1998-09-03	VYDAJ	VYBER	4200	22866	\N	\N	\N
3210025	10652	1997-08-31	VYDAJ	VYBER	15	46447	SLUZBY	\N	\N
3210026	10652	1997-09-30	VYDAJ	VYBER	15	43278	SLUZBY	\N	\N
3210027	10652	1997-10-31	VYDAJ	VYBER	15	33315	SLUZBY	\N	\N
3210028	10652	1997-11-30	VYDAJ	VYBER	15	24397	SLUZBY	\N	\N
3210029	10652	1997-12-31	VYDAJ	VYBER	15	40700	SLUZBY	\N	\N
3210030	10652	1998-01-31	VYDAJ	VYBER	15	21907	SLUZBY	\N	\N
3210031	10652	1998-02-28	VYDAJ	VYBER	15	29098	SLUZBY	\N	\N
3210032	10652	1998-03-31	VYDAJ	VYBER	15	21018	SLUZBY	\N	\N
3210033	10652	1998-04-30	VYDAJ	VYBER	15	29109	SLUZBY	\N	\N
3210034	10652	1998-05-31	VYDAJ	VYBER	15	28902	SLUZBY	\N	\N
3210035	10652	1998-06-30	VYDAJ	VYBER	15	36785	SLUZBY	\N	\N
3210036	10652	1998-07-31	VYDAJ	VYBER	15	27586	SLUZBY	\N	\N
3210037	10652	1998-08-31	VYDAJ	VYBER	15	27066	SLUZBY	\N	\N
3210038	10652	1998-09-30	VYDAJ	VYBER	15	34866	SLUZBY	\N	\N
3210039	10652	1998-10-31	VYDAJ	VYBER	15	21575	SLUZBY	\N	\N
3210040	10652	1998-11-30	VYDAJ	VYBER	15	22102	SLUZBY	\N	\N
3210041	10652	1997-04-17	VYDAJ	VYBER	5400	25442	\N	\N	\N
3210042	10652	1997-05-17	VYDAJ	VYBER	13800	41834	\N	\N	\N
3210043	10652	1997-06-16	VYDAJ	VYBER	31900	55286	\N	\N	\N
3210044	10652	1997-07-16	VYDAJ	VYBER	34200	51430	\N	\N	\N
3210045	10652	1997-08-15	VYDAJ	VYBER	28300	46242	\N	\N	\N
3210046	10652	1997-09-14	VYDAJ	VYBER	25400	43037	\N	\N	\N
3210047	10652	1997-10-14	VYDAJ	VYBER	14100	33160	\N	\N	\N
3210048	10652	1997-11-13	VYDAJ	VYBER	18500	42595	\N	\N	\N
3210049	10652	1997-12-13	VYDAJ	VYBER	16600	41848	\N	\N	\N
3210050	10652	1998-01-12	VYDAJ	VYBER	12500	41880	\N	\N	\N
3210051	10652	1998-02-11	VYDAJ	VYBER	15700	36349	\N	\N	\N
3210052	10652	1998-03-13	VYDAJ	VYBER	15700	37878	\N	\N	\N
3210053	10652	1998-04-12	VYDAJ	VYBER	14700	30298	\N	\N	\N
3210054	10652	1998-05-12	VYDAJ	VYBER	23000	30079	\N	\N	\N
3210055	10652	1998-06-11	VYDAJ	VYBER	25800	44114	\N	\N	\N
3210056	10652	1998-07-11	VYDAJ	VYBER	26900	37927	\N	\N	\N
3210057	10652	1998-08-10	VYDAJ	VYBER	23300	34428	\N	\N	\N
3210058	10652	1998-09-09	VYDAJ	VYBER	10800	12066	\N	\N	\N
3210059	10652	1998-10-09	VYDAJ	VYBER	16600	15672	\N	\N	\N
3210060	10652	1998-11-08	VYDAJ	VYBER	8300	13275	\N	\N	\N
3210061	10652	1998-12-08	VYDAJ	VYBER	8900	13202	\N	\N	\N
3211320	10656	1993-05-05	PRIJEM	VKLAD	200	200	\N	\N	\N
3211325	10656	1993-05-08	PRIJEM	VKLAD	18660	18860	\N	\N	\N
3211326	10656	1993-06-08	PRIJEM	VKLAD	27990	51969	\N	\N	\N
3211327	10656	1993-07-08	PRIJEM	VKLAD	18660	59172	\N	\N	\N
3211328	10656	1993-08-08	PRIJEM	VKLAD	18660	63053	\N	\N	\N
3211329	10656	1993-09-08	PRIJEM	VKLAD	18660	63564	\N	\N	\N
3211330	10656	1993-10-08	PRIJEM	VKLAD	18660	62173	\N	\N	\N
3211331	10656	1993-11-08	PRIJEM	VKLAD	18660	63725	\N	\N	\N
3211332	10656	1993-12-08	PRIJEM	VKLAD	27990	70924	\N	\N	\N
3211333	10656	1994-01-08	PRIJEM	VKLAD	18660	61761	\N	\N	\N
3211334	10656	1994-02-08	PRIJEM	VKLAD	18660	61492	\N	\N	\N
3211335	10656	1994-03-08	PRIJEM	VKLAD	18660	57740	\N	\N	\N
3211336	10656	1994-04-08	PRIJEM	VKLAD	18660	62720	\N	\N	\N
3211337	10656	1994-05-08	PRIJEM	VKLAD	18660	66843	\N	\N	\N
3211338	10656	1994-06-08	PRIJEM	VKLAD	27990	78176	\N	\N	\N
3211339	10656	1994-07-08	PRIJEM	VKLAD	18660	73262	\N	\N	\N
3211340	10656	1994-08-08	PRIJEM	VKLAD	18660	67542	\N	\N	\N
3211341	10656	1994-09-08	PRIJEM	VKLAD	18660	68426	\N	\N	\N
3211342	10656	1994-10-08	PRIJEM	VKLAD	18660	65862	\N	\N	\N
3211343	10656	1994-11-08	PRIJEM	VKLAD	18660	65833	\N	\N	\N
3211344	10656	1994-12-08	PRIJEM	VKLAD	27990	77220	\N	\N	\N
3211345	10656	1995-01-08	PRIJEM	VKLAD	18660	68710	\N	\N	\N
3211346	10656	1995-02-08	PRIJEM	VKLAD	18660	55899	\N	\N	\N
3211347	10656	1995-03-08	PRIJEM	VKLAD	18660	60612	\N	\N	\N
3211348	10656	1995-04-08	PRIJEM	VKLAD	18660	60750	\N	\N	\N
3211349	10656	1995-05-08	PRIJEM	VKLAD	18660	58736	\N	\N	\N
3211350	10656	1995-06-08	PRIJEM	VKLAD	27990	69650	\N	\N	\N
3211351	10656	1995-07-08	PRIJEM	VKLAD	18660	64915	\N	\N	\N
3211352	10656	1995-08-08	PRIJEM	VKLAD	18660	60668	\N	\N	\N
3211353	10656	1995-09-08	PRIJEM	VKLAD	18660	59911	\N	\N	\N
3211354	10656	1995-10-08	PRIJEM	VKLAD	18660	57948	\N	\N	\N
3211355	10656	1995-11-08	PRIJEM	VKLAD	18660	55176	\N	\N	\N
3211356	10656	1995-12-08	PRIJEM	VKLAD	27990	62897	\N	\N	\N
3211357	10656	1996-01-08	PRIJEM	VKLAD	18660	56920	\N	\N	\N
3211358	10656	1996-02-08	PRIJEM	VKLAD	18660	48939	\N	\N	\N
3211359	10656	1996-03-08	PRIJEM	VKLAD	18660	53647	\N	\N	\N
3211360	10656	1996-04-08	PRIJEM	VKLAD	18660	55754	\N	\N	\N
3211361	10656	1996-05-08	PRIJEM	VKLAD	18660	52114	\N	\N	\N
3211362	10656	1996-06-08	PRIJEM	VKLAD	27990	58926	\N	\N	\N
3211363	10656	1996-07-08	PRIJEM	VKLAD	18660	55686	\N	\N	\N
3211364	10656	1996-08-08	PRIJEM	VKLAD	18660	41675	\N	\N	\N
3211365	10656	1996-09-08	PRIJEM	VKLAD	18660	43274	\N	\N	\N
3211366	10656	1996-10-08	PRIJEM	VKLAD	18660	42975	\N	\N	\N
3211367	10656	1996-11-08	PRIJEM	VKLAD	18660	39825	\N	\N	\N
3211368	10656	1996-12-08	PRIJEM	VKLAD	27990	47924	\N	\N	\N
3211369	10656	1997-01-08	PRIJEM	VKLAD	18660	32446	\N	\N	\N
3211370	10656	1997-02-08	PRIJEM	VKLAD	18660	28599	\N	\N	\N
3211371	10656	1997-03-08	PRIJEM	VKLAD	18660	27461	\N	\N	\N
3211372	10656	1997-04-08	PRIJEM	VKLAD	18660	27028	\N	\N	\N
3211373	10656	1997-05-08	PRIJEM	VKLAD	18660	27495	\N	\N	\N
3211374	10656	1997-06-08	PRIJEM	VKLAD	27990	35010	\N	\N	\N
3211375	10656	1997-07-08	PRIJEM	VKLAD	18660	30487	\N	\N	\N
3211376	10656	1997-08-08	PRIJEM	VKLAD	18660	27362	\N	\N	\N
3211377	10656	1997-09-08	PRIJEM	VKLAD	18660	24825	\N	\N	\N
3211378	10656	1997-10-08	PRIJEM	VKLAD	18660	21945	\N	\N	\N
3211379	10656	1997-11-08	PRIJEM	VKLAD	18660	23982	\N	\N	\N
3211380	10656	1997-12-08	PRIJEM	VKLAD	27990	34267	\N	\N	\N
3211381	10656	1998-01-08	PRIJEM	VKLAD	18660	25373	\N	\N	\N
3211382	10656	1998-02-08	PRIJEM	VKLAD	18660	23456	\N	\N	\N
3211383	10656	1998-03-08	PRIJEM	VKLAD	18660	18617	\N	\N	\N
3211384	10656	1998-04-08	PRIJEM	VKLAD	18660	20024	\N	\N	\N
3211385	10656	1998-05-08	PRIJEM	VKLAD	18660	19993	\N	\N	\N
3211386	10656	1998-06-08	PRIJEM	VKLAD	27990	26856	\N	\N	\N
3211387	10656	1998-07-08	PRIJEM	VKLAD	18660	20627	\N	\N	\N
3211388	10656	1998-08-08	PRIJEM	VKLAD	18660	2934	\N	\N	\N
3211389	10656	1998-09-08	PRIJEM	VKLAD	18660	3546	\N	\N	\N
3211390	10656	1998-10-08	PRIJEM	VKLAD	18660	5945	\N	\N	\N
3211391	10656	1998-11-08	PRIJEM	VKLAD	18660	8166	\N	\N	\N
3211392	10656	1998-12-08	PRIJEM	VKLAD	27990	20043	\N	\N	\N
3211393	10656	1993-12-24	VYDAJ	VYBER	2880	68044	\N	\N	\N
3211394	10656	1994-12-22	VYDAJ	VYBER	1440	73140	\N	\N	\N
3211395	10656	1995-12-13	VYDAJ	VYBER	1440	61457	\N	\N	\N
3211396	10656	1996-12-29	VYDAJ	VYBER	4480	15844	\N	\N	\N
3211405	10656	1994-01-23	VYDAJ	VYBER	720	59961	\N	\N	\N
3211406	10656	1994-01-01	VYDAJ	VYBER	1560	44661	\N	\N	\N
3211407	10656	1994-01-23	VYDAJ	VYBER	1800	58161	\N	\N	\N
3211408	10656	1994-01-05	VYDAJ	VYBER	1560	43101	\N	\N	\N
3211409	10656	1994-01-30	VYDAJ	VYBER	2160	56001	\N	\N	\N
3211410	10656	1994-01-13	VYDAJ	VYBER	1080	60681	\N	\N	\N
3211411	10656	1995-01-26	VYDAJ	VYBER	2640	41010	\N	\N	\N
3211412	10656	1995-01-07	VYDAJ	VYBER	2400	50050	\N	\N	\N
3211413	10656	1995-01-29	VYDAJ	VYBER	1080	36810	\N	\N	\N
3211414	10656	1995-01-15	VYDAJ	VYBER	3480	65230	\N	\N	\N
3211415	10656	1995-01-28	VYDAJ	VYBER	3120	37890	\N	\N	\N
3211416	10656	1995-01-17	VYDAJ	VYBER	1680	63550	\N	\N	\N
3211417	10656	1996-01-19	VYDAJ	VYBER	1200	48400	\N	\N	\N
3211418	10656	1996-01-15	VYDAJ	VYBER	1680	49600	\N	\N	\N
3211419	10656	1996-01-12	VYDAJ	VYBER	2160	54760	\N	\N	\N
3211420	10656	1996-01-20	VYDAJ	VYBER	3240	45160	\N	\N	\N
3211421	10656	1996-01-29	VYDAJ	VYBER	1800	30060	\N	\N	\N
3211422	10656	1996-01-12	VYDAJ	VYBER	3480	51280	\N	\N	\N
3211423	10656	1997-01-30	VYDAJ	VYBER	1560	9866	\N	\N	\N
3211424	10656	1997-01-02	VYDAJ	VYBER	2160	13786	\N	\N	\N
3211425	10656	1997-01-17	VYDAJ	VYBER	2880	12266	\N	\N	\N
3211426	10656	1997-01-10	VYDAJ	VYBER	2160	28846	\N	\N	\N
3211427	10656	1997-01-08	VYDAJ	VYBER	1440	31006	\N	\N	\N
3211428	10656	1997-01-22	VYDAJ	VYBER	840	11426	\N	\N	\N
3211429	10656	1998-01-02	VYDAJ	VYBER	3360	6713	\N	\N	\N
3211430	10656	1998-01-08	VYDAJ	VYBER	2160	23213	\N	\N	\N
3211438	10656	1993-11-14	VYDAJ	VYBER	1560	62165	\N	\N	\N
3211439	10656	1993-11-29	VYDAJ	VYBER	3360	58805	\N	\N	\N
3211441	10656	1994-06-12	VYDAJ	VYBER	3000	75176	\N	\N	\N
3211442	10656	1994-12-19	VYDAJ	VYBER	2640	74580	\N	\N	\N
3211443	10656	1994-10-28	VYDAJ	VYBER	2640	46822	\N	\N	\N
3211444	10656	1994-08-26	VYDAJ	VYBER	1560	65982	\N	\N	\N
3211445	10656	1994-03-03	VYDAJ	VYBER	3480	39080	\N	\N	\N
3211446	10656	1995-05-17	VYDAJ	VYBER	4320	54416	\N	\N	\N
3211447	10656	1995-04-10	VYDAJ	VYBER	2640	58110	\N	\N	\N
3211448	10656	1995-11-13	VYDAJ	VYBER	3000	52176	\N	\N	\N
3211449	10656	1996-04-02	VYDAJ	VYBER	600	37094	\N	\N	\N
3211450	10656	1996-07-28	VYDAJ	VYBER	5760	22826	\N	\N	\N
3211451	10656	1996-06-02	VYDAJ	VYBER	2400	30936	\N	\N	\N
3211452	10656	1996-07-12	VYDAJ	VYBER	3600	52086	\N	\N	\N
3211455	10656	1997-05-08	VYDAJ	VYBER	3000	24495	\N	\N	\N
3211456	10656	1997-07-09	VYDAJ	VYBER	720	29767	\N	\N	\N
3211457	10656	1997-02-23	VYDAJ	VYBER	2520	8779	\N	\N	\N
3211463	10656	1998-12-11	VYDAJ	VYBER	600	19443	\N	\N	\N
3211473	10656	1993-09-30	VYDAJ	VYBER	15	64013	SLUZBY	\N	\N
3211474	10656	1993-10-31	VYDAJ	VYBER	15	62665	SLUZBY	\N	\N
3211475	10656	1993-11-30	VYDAJ	VYBER	15	59234	SLUZBY	\N	\N
3211476	10656	1993-12-31	VYDAJ	VYBER	15	68521	SLUZBY	\N	\N
3211477	10656	1994-01-31	VYDAJ	VYBER	15	42832	SLUZBY	\N	\N
3211478	10656	1994-02-28	VYDAJ	VYBER	15	61660	SLUZBY	\N	\N
3211479	10656	1994-03-31	VYDAJ	VYBER	15	44060	SLUZBY	\N	\N
3211480	10656	1994-04-30	VYDAJ	VYBER	15	48183	SLUZBY	\N	\N
3211481	10656	1994-05-31	VYDAJ	VYBER	15	50186	SLUZBY	\N	\N
3211482	10656	1994-06-30	VYDAJ	VYBER	15	54602	SLUZBY	\N	\N
3211483	10656	1994-07-31	VYDAJ	VYBER	15	48882	SLUZBY	\N	\N
3211484	10656	1994-08-31	VYDAJ	VYBER	15	49766	SLUZBY	\N	\N
3211485	10656	1994-09-30	VYDAJ	VYBER	15	47202	SLUZBY	\N	\N
3211486	10656	1994-10-31	VYDAJ	VYBER	15	47173	SLUZBY	\N	\N
3211487	10656	1994-11-30	VYDAJ	VYBER	15	49230	SLUZBY	\N	\N
3211488	10656	1994-12-31	VYDAJ	VYBER	15	52450	SLUZBY	\N	\N
3211489	10656	1995-01-31	VYDAJ	VYBER	15	37239	SLUZBY	\N	\N
3211490	10656	1995-02-28	VYDAJ	VYBER	15	41952	SLUZBY	\N	\N
3211491	10656	1995-03-31	VYDAJ	VYBER	15	42090	SLUZBY	\N	\N
3211492	10656	1995-04-30	VYDAJ	VYBER	15	40076	SLUZBY	\N	\N
3211493	10656	1995-05-31	VYDAJ	VYBER	15	41660	SLUZBY	\N	\N
3211494	10656	1995-06-30	VYDAJ	VYBER	15	46255	SLUZBY	\N	\N
3211495	10656	1995-07-31	VYDAJ	VYBER	15	42008	SLUZBY	\N	\N
3211496	10656	1995-08-31	VYDAJ	VYBER	15	41251	SLUZBY	\N	\N
3211497	10656	1995-09-30	VYDAJ	VYBER	15	39288	SLUZBY	\N	\N
3211498	10656	1995-10-31	VYDAJ	VYBER	15	36516	SLUZBY	\N	\N
3211499	10656	1995-11-30	VYDAJ	VYBER	15	34907	SLUZBY	\N	\N
3211500	10656	1995-12-31	VYDAJ	VYBER	15	38260	SLUZBY	\N	\N
3211501	10656	1996-01-31	VYDAJ	VYBER	15	30279	SLUZBY	\N	\N
3211502	10656	1996-02-29	VYDAJ	VYBER	15	34987	SLUZBY	\N	\N
3211503	10656	1996-03-31	VYDAJ	VYBER	15	37694	SLUZBY	\N	\N
3211504	10656	1996-04-30	VYDAJ	VYBER	15	33454	SLUZBY	\N	\N
3211505	10656	1996-05-31	VYDAJ	VYBER	15	33336	SLUZBY	\N	\N
3211506	10656	1996-06-30	VYDAJ	VYBER	15	37026	SLUZBY	\N	\N
3211507	10656	1996-07-31	VYDAJ	VYBER	15	23015	SLUZBY	\N	\N
3211508	10656	1996-08-31	VYDAJ	VYBER	15	24614	SLUZBY	\N	\N
3211509	10656	1996-09-30	VYDAJ	VYBER	15	24315	SLUZBY	\N	\N
3211510	10656	1996-10-31	VYDAJ	VYBER	15	21165	SLUZBY	\N	\N
3211511	10656	1996-11-30	VYDAJ	VYBER	15	19934	SLUZBY	\N	\N
3211512	10656	1996-12-31	VYDAJ	VYBER	15	15946	SLUZBY	\N	\N
3211513	10656	1997-01-31	VYDAJ	VYBER	15	9939	SLUZBY	\N	\N
3211514	10656	1997-02-28	VYDAJ	VYBER	15	8801	SLUZBY	\N	\N
3211515	10656	1997-03-31	VYDAJ	VYBER	15	8368	SLUZBY	\N	\N
3211516	10656	1997-04-30	VYDAJ	VYBER	15	8835	SLUZBY	\N	\N
3211517	10656	1997-05-31	VYDAJ	VYBER	15	7020	SLUZBY	\N	\N
3211518	10656	1997-06-30	VYDAJ	VYBER	15	11827	SLUZBY	\N	\N
3211519	10656	1997-07-31	VYDAJ	VYBER	15	8702	SLUZBY	\N	\N
3211524	10656	1997-12-31	VYDAJ	VYBER	15	10073	SLUZBY	\N	\N
3211534	10656	1998-10-31	VYDAJ	VYBER	15	5930	SLUZBY	\N	\N
3211535	10656	1998-11-30	VYDAJ	VYBER	15	8156	SLUZBY	\N	\N
3211536	10656	1993-06-04	PRIJEM	VKLAD	5000	23979	\N	\N	\N
3211537	10656	1993-07-04	VYDAJ	VYBER	11800	40512	\N	\N	\N
3211538	10656	1993-08-03	VYDAJ	VYBER	15200	44393	\N	\N	\N
3211539	10656	1993-09-02	VYDAJ	VYBER	18600	44904	\N	\N	\N
3211540	10656	1993-10-02	VYDAJ	VYBER	20500	43513	\N	\N	\N
3211541	10656	1993-11-01	VYDAJ	VYBER	17600	45065	\N	\N	\N
3211542	10656	1993-12-01	VYDAJ	VYBER	16300	42934	\N	\N	\N
3211543	10656	1993-12-31	VYDAJ	VYBER	22300	46221	\N	\N	\N
3211544	10656	1994-01-30	VYDAJ	VYBER	13600	42401	\N	\N	\N
3211545	10656	1994-03-01	VYDAJ	VYBER	19100	42560	\N	\N	\N
3211546	10656	1994-03-31	VYDAJ	VYBER	14100	44075	\N	\N	\N
3211547	10656	1994-04-30	VYDAJ	VYBER	14700	48198	\N	\N	\N
3211548	10656	1994-05-30	VYDAJ	VYBER	16900	49943	\N	\N	\N
3211549	10656	1994-06-29	VYDAJ	VYBER	21000	54176	\N	\N	\N
3211550	10656	1994-07-29	VYDAJ	VYBER	24600	48662	\N	\N	\N
3211551	10656	1994-08-28	VYDAJ	VYBER	16600	49382	\N	\N	\N
3211552	10656	1994-09-27	VYDAJ	VYBER	21600	46826	\N	\N	\N
3211553	10656	1994-10-27	VYDAJ	VYBER	16400	49462	\N	\N	\N
3211554	10656	1994-11-26	VYDAJ	VYBER	16800	49033	\N	\N	\N
3211555	10656	1994-12-26	VYDAJ	VYBER	21000	52140	\N	\N	\N
3211556	10656	1995-01-25	VYDAJ	VYBER	19900	43650	\N	\N	\N
3211557	10656	1995-02-24	VYDAJ	VYBER	14100	41799	\N	\N	\N
3211558	10656	1995-03-26	VYDAJ	VYBER	18700	41912	\N	\N	\N
3211559	10656	1995-04-25	VYDAJ	VYBER	18400	39710	\N	\N	\N
3211560	10656	1995-05-25	VYDAJ	VYBER	13000	41416	\N	\N	\N
3211561	10656	1995-06-24	VYDAJ	VYBER	23700	45950	\N	\N	\N
3211562	10656	1995-07-24	VYDAJ	VYBER	23100	41815	\N	\N	\N
3211563	10656	1995-08-23	VYDAJ	VYBER	19600	41068	\N	\N	\N
3211564	10656	1995-09-22	VYDAJ	VYBER	20800	39111	\N	\N	\N
3211565	10656	1995-10-22	VYDAJ	VYBER	21600	36348	\N	\N	\N
3211566	10656	1995-11-21	VYDAJ	VYBER	17500	34676	\N	\N	\N
3211567	10656	1995-12-21	VYDAJ	VYBER	23500	37957	\N	\N	\N
3211568	10656	1996-01-20	VYDAJ	VYBER	13300	31860	\N	\N	\N
3211569	10656	1996-02-19	VYDAJ	VYBER	14100	34839	\N	\N	\N
3211570	10656	1996-03-20	VYDAJ	VYBER	16200	37447	\N	\N	\N
3211571	10656	1996-04-19	VYDAJ	VYBER	22600	33154	\N	\N	\N
3211572	10656	1996-05-19	VYDAJ	VYBER	19000	33114	\N	\N	\N
3211573	10656	1996-06-18	VYDAJ	VYBER	22200	36726	\N	\N	\N
3211574	10656	1996-07-18	VYDAJ	VYBER	23500	28586	\N	\N	\N
3211575	10656	1996-08-17	VYDAJ	VYBER	17200	24475	\N	\N	\N
3211576	10656	1996-09-16	VYDAJ	VYBER	19100	24174	\N	\N	\N
3211577	10656	1996-10-16	VYDAJ	VYBER	21900	21075	\N	\N	\N
3211578	10656	1996-11-15	VYDAJ	VYBER	20000	19825	\N	\N	\N
3211579	10656	1996-12-15	VYDAJ	VYBER	27600	20324	\N	\N	\N
3211580	10656	1997-01-14	VYDAJ	VYBER	13700	15146	\N	\N	\N
3211581	10656	1997-02-13	VYDAJ	VYBER	17300	11299	\N	\N	\N
3211582	10656	1997-03-15	VYDAJ	VYBER	19100	8361	\N	\N	\N
3211583	10656	1997-04-14	VYDAJ	VYBER	18200	8828	\N	\N	\N
3211584	10656	1997-05-14	VYDAJ	VYBER	17500	6995	\N	\N	\N
3211585	10656	1997-06-13	VYDAJ	VYBER	23200	11810	\N	\N	\N
3211586	10656	1997-07-13	VYDAJ	VYBER	21100	8667	\N	\N	\N
3211587	10656	1997-08-12	VYDAJ	VYBER	21200	6162	\N	\N	\N
3211588	10656	1997-09-11	VYDAJ	VYBER	21500	3325	\N	\N	\N
3211589	10656	1997-10-11	VYDAJ	VYBER	16600	5345	\N	\N	\N
3211590	10656	1997-11-10	VYDAJ	VYBER	17700	6282	\N	\N	\N
3211591	10656	1997-12-10	VYDAJ	VYBER	24200	10067	\N	\N	\N
3211592	10656	1998-01-09	VYDAJ	VYBER	18400	4813	\N	\N	\N
3211593	10656	1998-02-08	VYDAJ	VYBER	23500	-44	\N	\N	\N
3211594	10656	1998-03-10	VYDAJ	VYBER	17200	1417	\N	\N	\N
3211595	10656	1998-04-09	VYDAJ	VYBER	18600	1424	\N	\N	\N
3211596	10656	1998-05-09	VYDAJ	VYBER	21000	-1007	\N	\N	\N
3211597	10656	1998-06-08	VYDAJ	VYBER	24800	2056	\N	\N	\N
3211598	10656	1998-07-08	VYDAJ	VYBER	25500	-4873	\N	\N	\N
3211599	10656	1998-08-07	VYDAJ	VYBER	10800	-15726	\N	\N	\N
3211600	10656	1998-09-06	VYDAJ	VYBER	18000	-15114	\N	\N	\N
3211601	10656	1998-10-06	VYDAJ	VYBER	16200	-12715	\N	\N	\N
3211602	10656	1998-11-05	VYDAJ	VYBER	16400	-10494	\N	\N	\N
3211603	10656	1998-12-05	VYDAJ	VYBER	16100	-7947	\N	\N	\N
3213145	10663	1993-12-08	PRIJEM	VKLAD	200	200	\N	\N	\N
3213158	10663	1994-01-08	PRIJEM	PREVOD Z UCTU	43339	53839	\N	IJ	57889914
3213159	10663	1994-02-08	PRIJEM	PREVOD Z UCTU	43339	81252	\N	IJ	57889914
3213160	10663	1994-03-08	PRIJEM	PREVOD Z UCTU	43339	124901	\N	IJ	57889914
3213161	10663	1994-04-08	PRIJEM	PREVOD Z UCTU	43339	81486	\N	IJ	57889914
3213162	10663	1994-05-08	PRIJEM	PREVOD Z UCTU	43339	98337	\N	IJ	57889914
3213163	10663	1994-06-08	PRIJEM	PREVOD Z UCTU	65008	107598	\N	IJ	57889914
3213164	10663	1994-07-08	PRIJEM	PREVOD Z UCTU	43339	66844	\N	IJ	57889914
3213165	10663	1994-08-08	PRIJEM	PREVOD Z UCTU	43339	65909	\N	IJ	57889914
3213166	10663	1994-09-08	PRIJEM	PREVOD Z UCTU	43339	72869	\N	IJ	57889914
3213167	10663	1994-10-08	PRIJEM	PREVOD Z UCTU	43339	58656	\N	IJ	57889914
3213168	10663	1994-11-08	PRIJEM	PREVOD Z UCTU	43339	62863	\N	IJ	57889914
3213169	10663	1994-12-08	PRIJEM	PREVOD Z UCTU	65008	90276	\N	IJ	57889914
3213170	10663	1995-01-08	PRIJEM	PREVOD Z UCTU	43339	63604	\N	IJ	57889914
3213171	10663	1995-02-08	PRIJEM	PREVOD Z UCTU	43339	57521	\N	IJ	57889914
3213172	10663	1995-03-08	PRIJEM	PREVOD Z UCTU	43339	65106	\N	IJ	57889914
3213173	10663	1995-04-08	PRIJEM	PREVOD Z UCTU	43339	70735	\N	IJ	57889914
3213174	10663	1995-05-08	PRIJEM	PREVOD Z UCTU	43339	64637	\N	IJ	57889914
3213175	10663	1995-06-08	PRIJEM	PREVOD Z UCTU	65008	84585	\N	IJ	57889914
3213176	10663	1995-07-08	PRIJEM	PREVOD Z UCTU	43339	80305	\N	IJ	57889914
3213177	10663	1995-08-08	PRIJEM	PREVOD Z UCTU	43339	80803	\N	IJ	57889914
3213178	10663	1995-09-08	PRIJEM	PREVOD Z UCTU	43339	75950	\N	IJ	57889914
3213179	10663	1995-10-08	PRIJEM	PREVOD Z UCTU	43339	80333	\N	IJ	57889914
3213180	10663	1995-11-08	PRIJEM	PREVOD Z UCTU	43339	83023	\N	IJ	57889914
3213181	10663	1995-12-08	PRIJEM	PREVOD Z UCTU	65008	84976	\N	IJ	57889914
3213182	10663	1996-01-08	PRIJEM	PREVOD Z UCTU	43339	85040	\N	IJ	57889914
3213183	10663	1996-02-08	PRIJEM	PREVOD Z UCTU	43339	58892	\N	IJ	57889914
3213503	10663	1996-01-30	VYDAJ	VYBER	7800	24635	\N	\N	\N
3213184	10663	1996-03-08	PRIJEM	PREVOD Z UCTU	43339	72671	\N	IJ	57889914
3213185	10663	1996-04-08	PRIJEM	PREVOD Z UCTU	43339	73904	\N	IJ	57889914
3213186	10663	1996-05-08	PRIJEM	PREVOD Z UCTU	43339	69578	\N	IJ	57889914
3213187	10663	1996-06-08	PRIJEM	PREVOD Z UCTU	65008	97768	\N	IJ	57889914
3213188	10663	1996-07-08	PRIJEM	PREVOD Z UCTU	43339	75644	\N	IJ	57889914
3213189	10663	1996-08-08	PRIJEM	PREVOD Z UCTU	43339	69061	\N	IJ	57889914
3213190	10663	1996-09-08	PRIJEM	PREVOD Z UCTU	43339	74472	\N	IJ	57889914
3213191	10663	1996-10-08	PRIJEM	PREVOD Z UCTU	43339	70657	\N	IJ	57889914
3213192	10663	1996-11-08	PRIJEM	PREVOD Z UCTU	43339	76871	\N	IJ	57889914
3213193	10663	1996-12-08	PRIJEM	PREVOD Z UCTU	65008	98070	\N	IJ	57889914
3213194	10663	1997-01-08	PRIJEM	PREVOD Z UCTU	43339	80150	\N	IJ	57889914
3213195	10663	1997-02-08	PRIJEM	PREVOD Z UCTU	43339	63054	\N	IJ	57889914
3213196	10663	1997-03-08	PRIJEM	PREVOD Z UCTU	43339	68382	\N	IJ	57889914
3213197	10663	1997-04-08	PRIJEM	PREVOD Z UCTU	43339	63025	\N	IJ	57889914
3213198	10663	1997-05-08	PRIJEM	PREVOD Z UCTU	43339	68202	\N	IJ	57889914
3213199	10663	1997-06-08	PRIJEM	PREVOD Z UCTU	65008	85555	\N	IJ	57889914
3213200	10663	1997-07-08	PRIJEM	PREVOD Z UCTU	43339	69947	\N	IJ	57889914
3213201	10663	1997-08-08	PRIJEM	PREVOD Z UCTU	43339	67068	\N	IJ	57889914
3213202	10663	1997-09-08	PRIJEM	PREVOD Z UCTU	43339	67971	\N	IJ	57889914
3213203	10663	1997-10-08	PRIJEM	PREVOD Z UCTU	43339	56875	\N	IJ	57889914
3213204	10663	1997-11-08	PRIJEM	PREVOD Z UCTU	43339	61115	\N	IJ	57889914
3213205	10663	1997-12-08	PRIJEM	PREVOD Z UCTU	65008	73589	\N	IJ	57889914
3213206	10663	1998-01-08	PRIJEM	PREVOD Z UCTU	43339	67327	\N	IJ	57889914
3213207	10663	1998-02-08	PRIJEM	PREVOD Z UCTU	43339	59968	\N	IJ	57889914
3213208	10663	1998-03-08	PRIJEM	PREVOD Z UCTU	43339	53385	\N	IJ	57889914
3213209	10663	1998-04-08	PRIJEM	PREVOD Z UCTU	43339	58509	\N	IJ	57889914
3213210	10663	1998-05-08	PRIJEM	PREVOD Z UCTU	43339	61750	\N	IJ	57889914
3213211	10663	1998-06-08	PRIJEM	PREVOD Z UCTU	65008	84066	\N	IJ	57889914
3213212	10663	1998-07-08	PRIJEM	PREVOD Z UCTU	43339	66528	\N	IJ	57889914
3213213	10663	1998-08-08	PRIJEM	PREVOD Z UCTU	43339	61342	\N	IJ	57889914
3213214	10663	1998-09-08	PRIJEM	PREVOD Z UCTU	43339	61781	\N	IJ	57889914
3213215	10663	1998-10-08	PRIJEM	PREVOD Z UCTU	43339	54761	\N	IJ	57889914
3213216	10663	1998-11-08	PRIJEM	PREVOD Z UCTU	43339	54067	\N	IJ	57889914
3213217	10663	1998-12-08	PRIJEM	PREVOD Z UCTU	65008	82885	\N	IJ	57889914
3213234	10663	1994-05-08	VYDAJ	VYBER	5400	92937	\N	\N	0
3213235	10663	1994-06-07	VYDAJ	VYBER	8300	42590	\N	\N	0
3213236	10663	1994-07-02	VYDAJ	VYBER	7800	41022	\N	\N	0
3213237	10663	1994-08-21	VYDAJ	VYBER	7900	53227	\N	\N	0
3213238	10663	1994-09-09	VYDAJ	VYBER	8700	55081	\N	\N	0
3213239	10663	1994-10-15	VYDAJ	VYBER	8100	45774	\N	\N	0
3213240	10663	1994-11-07	VYDAJ	VYBER	6200	19524	\N	\N	0
3213241	10663	1994-12-20	VYDAJ	VYBER	8300	77194	\N	\N	0
3213242	10663	1995-01-17	VYDAJ	VYBER	8500	32451	\N	\N	0
3213243	10663	1995-02-20	VYDAJ	VYBER	6400	37039	\N	\N	0
3213244	10663	1995-03-08	VYDAJ	VYBER	7700	57406	\N	\N	0
3213245	10663	1995-04-09	VYDAJ	VYBER	7900	51923	\N	\N	0
3213246	10663	1995-05-16	VYDAJ	VYBER	7800	34658	\N	\N	0
3213247	10663	1995-06-21	VYDAJ	VYBER	5500	74303	\N	\N	0
3213248	10663	1995-07-17	VYDAJ	VYBER	7700	67823	\N	\N	0
3213249	10663	1995-08-18	VYDAJ	VYBER	7700	54095	\N	\N	0
3213250	10663	1995-09-18	VYDAJ	VYBER	5600	65568	\N	\N	0
3213251	10663	1995-10-08	VYDAJ	VYBER	5700	74633	\N	\N	0
3213252	10663	1995-11-12	VYDAJ	PREVOD NA UCET	7223	75800	UVER	MN	48801767
3213253	10663	1995-12-12	VYDAJ	PREVOD NA UCET	7223	77753	UVER	MN	48801767
3213254	10663	1996-01-12	VYDAJ	PREVOD NA UCET	7223	77817	UVER	MN	48801767
3213255	10663	1996-02-12	VYDAJ	PREVOD NA UCET	7223	51669	UVER	MN	48801767
3213256	10663	1996-03-12	VYDAJ	PREVOD NA UCET	7223	65448	UVER	MN	48801767
3213257	10663	1996-04-12	VYDAJ	PREVOD NA UCET	7223	66681	UVER	MN	48801767
3213258	10663	1996-05-12	VYDAJ	PREVOD NA UCET	7223	62355	UVER	MN	48801767
3213259	10663	1996-06-12	VYDAJ	PREVOD NA UCET	7223	63991	UVER	MN	48801767
3213260	10663	1996-07-12	VYDAJ	PREVOD NA UCET	7223	59121	UVER	MN	48801767
3213261	10663	1996-08-12	VYDAJ	PREVOD NA UCET	7223	61838	UVER	MN	48801767
3213262	10663	1996-09-12	VYDAJ	PREVOD NA UCET	7223	67249	UVER	MN	48801767
3213263	10663	1996-10-12	VYDAJ	PREVOD NA UCET	7223	63434	UVER	MN	48801767
3213264	10663	1996-11-12	VYDAJ	PREVOD NA UCET	7223	69648	UVER	MN	48801767
3213265	10663	1996-12-12	VYDAJ	PREVOD NA UCET	7223	88447	UVER	MN	48801767
3213266	10663	1997-01-12	VYDAJ	PREVOD NA UCET	7223	65426	UVER	MN	48801767
3213267	10663	1997-02-12	VYDAJ	PREVOD NA UCET	7223	55831	UVER	MN	48801767
3213268	10663	1997-03-12	VYDAJ	PREVOD NA UCET	7223	61159	UVER	MN	48801767
3213269	10663	1997-04-12	VYDAJ	PREVOD NA UCET	7223	55802	UVER	MN	48801767
3213270	10663	1997-05-12	VYDAJ	PREVOD NA UCET	7223	60979	UVER	MN	48801767
3213271	10663	1997-06-12	VYDAJ	PREVOD NA UCET	7223	78332	UVER	MN	48801767
3213272	10663	1997-07-12	VYDAJ	PREVOD NA UCET	7223	62724	UVER	MN	48801767
3213273	10663	1997-08-12	VYDAJ	PREVOD NA UCET	7223	59845	UVER	MN	48801767
3213274	10663	1997-09-12	VYDAJ	PREVOD NA UCET	7223	60748	UVER	MN	48801767
3213275	10663	1997-10-12	VYDAJ	PREVOD NA UCET	7223	49651	UVER	MN	48801767
3213276	10663	1997-11-12	VYDAJ	PREVOD NA UCET	7223	47675	UVER	MN	48801767
3213277	10663	1997-12-12	VYDAJ	PREVOD NA UCET	7223	63333	UVER	MN	48801767
3213278	10663	1998-01-12	VYDAJ	PREVOD NA UCET	7223	43604	UVER	MN	48801767
3213279	10663	1998-02-12	VYDAJ	PREVOD NA UCET	7223	45245	UVER	MN	48801767
3213280	10663	1998-03-12	VYDAJ	PREVOD NA UCET	7223	46162	UVER	MN	48801767
3213281	10663	1998-04-12	VYDAJ	PREVOD NA UCET	7223	51286	UVER	MN	48801767
3213282	10663	1998-05-12	VYDAJ	PREVOD NA UCET	7223	54527	UVER	MN	48801767
3213283	10663	1998-06-12	VYDAJ	PREVOD NA UCET	7223	76843	UVER	MN	48801767
3213284	10663	1998-07-12	VYDAJ	PREVOD NA UCET	7223	59305	UVER	MN	48801767
3213285	10663	1998-08-12	VYDAJ	PREVOD NA UCET	7223	54119	UVER	MN	48801767
3213286	10663	1998-09-12	VYDAJ	PREVOD NA UCET	7223	51320	UVER	MN	48801767
3213287	10663	1998-10-12	VYDAJ	PREVOD NA UCET	7223	47538	UVER	MN	48801767
3213288	10663	1998-11-19	VYDAJ	VYBER	5400	27085	\N	\N	0
3213289	10663	1998-12-08	VYDAJ	VYBER	7800	75085	\N	\N	0
3213306	10663	1994-05-14	VYDAJ	PREVOD NA UCET	4782	88155	SIPO	YZ	75102978
3213307	10663	1994-06-14	VYDAJ	PREVOD NA UCET	4782	51116	SIPO	YZ	75102978
3213308	10663	1994-07-14	VYDAJ	PREVOD NA UCET	4782	62062	SIPO	YZ	75102978
3213309	10663	1994-08-14	VYDAJ	PREVOD NA UCET	4782	61127	SIPO	YZ	75102978
3213310	10663	1994-09-14	VYDAJ	PREVOD NA UCET	4782	50299	SIPO	YZ	75102978
3213311	10663	1994-10-14	VYDAJ	PREVOD NA UCET	4782	53874	SIPO	YZ	75102978
3213312	10663	1994-11-14	VYDAJ	PREVOD NA UCET	4782	58081	SIPO	YZ	75102978
3213313	10663	1994-12-14	VYDAJ	PREVOD NA UCET	4782	85494	SIPO	YZ	75102978
3213314	10663	1995-01-14	VYDAJ	PREVOD NA UCET	4782	40951	SIPO	YZ	75102978
3213315	10663	1995-02-14	VYDAJ	PREVOD NA UCET	4782	52739	SIPO	YZ	75102978
3213316	10663	1995-03-14	VYDAJ	PREVOD NA UCET	4782	52624	SIPO	YZ	75102978
3213317	10663	1995-04-14	VYDAJ	PREVOD NA UCET	4782	47141	SIPO	YZ	75102978
3213318	10663	1995-05-14	VYDAJ	PREVOD NA UCET	4782	42458	SIPO	YZ	75102978
3213319	10663	1995-06-14	VYDAJ	PREVOD NA UCET	4782	79803	SIPO	YZ	75102978
3213320	10663	1995-07-14	VYDAJ	PREVOD NA UCET	4782	75523	SIPO	YZ	75102978
3213321	10663	1995-08-14	VYDAJ	PREVOD NA UCET	4782	76021	SIPO	YZ	75102978
3213322	10663	1995-09-14	VYDAJ	PREVOD NA UCET	4782	71168	SIPO	YZ	75102978
3213323	10663	1995-10-14	VYDAJ	PREVOD NA UCET	4782	69851	SIPO	YZ	75102978
3213324	10663	1995-11-14	VYDAJ	PREVOD NA UCET	4782	55211	SIPO	YZ	75102978
3213325	10663	1995-12-14	VYDAJ	PREVOD NA UCET	4782	72971	SIPO	YZ	75102978
3213326	10663	1996-01-14	VYDAJ	PREVOD NA UCET	4782	73035	SIPO	YZ	75102978
3213327	10663	1996-02-14	VYDAJ	PREVOD NA UCET	4782	46887	SIPO	YZ	75102978
3213328	10663	1996-03-14	VYDAJ	PREVOD NA UCET	4782	60666	SIPO	YZ	75102978
3213329	10663	1996-04-14	VYDAJ	PREVOD NA UCET	4782	61899	SIPO	YZ	75102978
3213330	10663	1996-05-14	VYDAJ	PREVOD NA UCET	4782	57573	SIPO	YZ	75102978
3213331	10663	1996-06-14	VYDAJ	PREVOD NA UCET	4782	59209	SIPO	YZ	75102978
3213332	10663	1996-07-14	VYDAJ	PREVOD NA UCET	4782	54339	SIPO	YZ	75102978
3213333	10663	1996-08-14	VYDAJ	PREVOD NA UCET	4782	57056	SIPO	YZ	75102978
3213334	10663	1996-09-14	VYDAJ	PREVOD NA UCET	4782	41162	SIPO	YZ	75102978
3213335	10663	1996-10-14	VYDAJ	PREVOD NA UCET	4782	58652	SIPO	YZ	75102978
3213336	10663	1996-11-14	VYDAJ	PREVOD NA UCET	4782	64866	SIPO	YZ	75102978
3213337	10663	1996-12-14	VYDAJ	PREVOD NA UCET	4782	83665	SIPO	YZ	75102978
3213338	10663	1997-01-14	VYDAJ	PREVOD NA UCET	4782	60644	SIPO	YZ	75102978
3213339	10663	1997-02-14	VYDAJ	PREVOD NA UCET	4782	51049	SIPO	YZ	75102978
3213340	10663	1997-03-14	VYDAJ	PREVOD NA UCET	4782	56377	SIPO	YZ	75102978
3213341	10663	1997-04-14	VYDAJ	PREVOD NA UCET	4782	51020	SIPO	YZ	75102978
3213342	10663	1997-05-14	VYDAJ	PREVOD NA UCET	4782	56197	SIPO	YZ	75102978
3213343	10663	1997-06-14	VYDAJ	PREVOD NA UCET	4782	73550	SIPO	YZ	75102978
3213344	10663	1997-07-14	VYDAJ	PREVOD NA UCET	4782	57942	SIPO	YZ	75102978
3213345	10663	1997-08-14	VYDAJ	PREVOD NA UCET	4782	55063	SIPO	YZ	75102978
3213346	10663	1997-09-14	VYDAJ	PREVOD NA UCET	4782	55966	SIPO	YZ	75102978
3213347	10663	1997-10-14	VYDAJ	PREVOD NA UCET	4782	44869	SIPO	YZ	75102978
3213348	10663	1997-11-14	VYDAJ	PREVOD NA UCET	4782	20399	SIPO	YZ	75102978
3213349	10663	1997-12-14	VYDAJ	PREVOD NA UCET	4782	58551	SIPO	YZ	75102978
3213350	10663	1998-01-14	VYDAJ	PREVOD NA UCET	4782	38822	SIPO	YZ	75102978
3213351	10663	1998-02-14	VYDAJ	PREVOD NA UCET	4782	26963	SIPO	YZ	75102978
3213352	10663	1998-03-14	VYDAJ	PREVOD NA UCET	4782	41380	SIPO	YZ	75102978
3213353	10663	1998-04-14	VYDAJ	PREVOD NA UCET	4782	46504	SIPO	YZ	75102978
3213354	10663	1998-05-14	VYDAJ	PREVOD NA UCET	4782	49745	SIPO	YZ	75102978
3213355	10663	1998-06-14	VYDAJ	PREVOD NA UCET	4782	72061	SIPO	YZ	75102978
3213356	10663	1998-07-14	VYDAJ	PREVOD NA UCET	4782	54523	SIPO	YZ	75102978
3213357	10663	1998-08-14	VYDAJ	PREVOD NA UCET	4782	27637	SIPO	YZ	75102978
3213358	10663	1998-09-14	VYDAJ	PREVOD NA UCET	4782	20638	SIPO	YZ	75102978
3213359	10663	1998-10-14	VYDAJ	PREVOD NA UCET	4782	19956	SIPO	YZ	75102978
3213360	10663	1998-11-14	VYDAJ	PREVOD NA UCET	4782	32485	SIPO	YZ	75102978
3213361	10663	1998-12-14	VYDAJ	PREVOD NA UCET	4782	37803	SIPO	YZ	75102978
3213379	10663	1994-06-06	VYDAJ	PREVOD NA UCET	9317	50890	 	YZ	54900079
3213380	10663	1994-07-06	VYDAJ	PREVOD NA UCET	9317	23505	 	YZ	54900079
3213381	10663	1994-08-06	VYDAJ	PREVOD NA UCET	9317	27670	 	YZ	54900079
3213382	10663	1994-09-06	VYDAJ	PREVOD NA UCET	9317	29530	 	YZ	54900079
3213504	10663	1996-01-23	VYDAJ	VYBER	6300	50535	\N	\N	\N
3213383	10663	1994-10-06	VYDAJ	PREVOD NA UCET	9317	15317	 	YZ	54900079
3213384	10663	1994-11-06	VYDAJ	PREVOD NA UCET	9317	25724	 	YZ	54900079
3213385	10663	1994-12-06	VYDAJ	PREVOD NA UCET	9317	25268	 	YZ	54900079
3213386	10663	1995-01-06	VYDAJ	PREVOD NA UCET	9317	39059	 	YZ	54900079
3213387	10663	1995-02-06	VYDAJ	PREVOD NA UCET	9317	14182	 	YZ	54900079
3213388	10663	1995-03-06	VYDAJ	PREVOD NA UCET	9317	21767	 	YZ	54900079
3213389	10663	1995-04-06	VYDAJ	PREVOD NA UCET	9317	27396	 	YZ	54900079
3213390	10663	1995-05-06	VYDAJ	PREVOD NA UCET	9317	21298	 	YZ	54900079
3213391	10663	1995-06-06	VYDAJ	PREVOD NA UCET	9317	19577	 	YZ	54900079
3213392	10663	1995-07-06	VYDAJ	PREVOD NA UCET	9317	36966	 	YZ	54900079
3213393	10663	1995-08-06	VYDAJ	PREVOD NA UCET	9317	37464	 	YZ	54900079
3213394	10663	1995-09-06	VYDAJ	PREVOD NA UCET	9317	32611	 	YZ	54900079
3213395	10663	1995-10-06	VYDAJ	PREVOD NA UCET	9317	36994	 	YZ	54900079
3213396	10663	1995-11-06	VYDAJ	PREVOD NA UCET	9317	39684	 	YZ	54900079
3213397	10663	1995-12-06	VYDAJ	PREVOD NA UCET	9317	19968	 	YZ	54900079
3213398	10663	1996-01-06	VYDAJ	PREVOD NA UCET	9317	41701	 	YZ	54900079
3213399	10663	1996-02-06	VYDAJ	PREVOD NA UCET	9317	15553	 	YZ	54900079
3213400	10663	1996-03-06	VYDAJ	PREVOD NA UCET	9317	29332	 	YZ	54900079
3213401	10663	1996-04-06	VYDAJ	PREVOD NA UCET	9317	30565	 	YZ	54900079
3213402	10663	1996-05-06	VYDAJ	PREVOD NA UCET	9317	26239	 	YZ	54900079
3213403	10663	1996-06-06	VYDAJ	PREVOD NA UCET	9317	32760	 	YZ	54900079
3213404	10663	1996-07-06	VYDAJ	PREVOD NA UCET	9317	32305	 	YZ	54900079
3213405	10663	1996-08-06	VYDAJ	PREVOD NA UCET	9317	25722	 	YZ	54900079
3213406	10663	1996-09-06	VYDAJ	PREVOD NA UCET	9317	31133	 	YZ	54900079
3213407	10663	1996-10-06	VYDAJ	PREVOD NA UCET	9317	27318	 	YZ	54900079
3213408	10663	1996-11-06	VYDAJ	PREVOD NA UCET	9317	33532	 	YZ	54900079
3213409	10663	1996-12-06	VYDAJ	PREVOD NA UCET	9317	33062	 	YZ	54900079
3213410	10663	1997-01-06	VYDAJ	PREVOD NA UCET	9317	36811	 	YZ	54900079
3213411	10663	1997-02-06	VYDAJ	PREVOD NA UCET	9317	19715	 	YZ	54900079
3213412	10663	1997-03-06	VYDAJ	PREVOD NA UCET	9317	25043	 	YZ	54900079
3213413	10663	1997-04-06	VYDAJ	PREVOD NA UCET	9317	19686	 	YZ	54900079
3213414	10663	1997-05-06	VYDAJ	PREVOD NA UCET	9317	24863	 	YZ	54900079
3213415	10663	1997-06-06	VYDAJ	PREVOD NA UCET	9317	20547	 	YZ	54900079
3213416	10663	1997-07-06	VYDAJ	PREVOD NA UCET	9317	28108	 	YZ	54900079
3213417	10663	1997-08-06	VYDAJ	PREVOD NA UCET	9317	23729	 	YZ	54900079
3213418	10663	1997-09-06	VYDAJ	PREVOD NA UCET	9317	24632	 	YZ	54900079
3213419	10663	1997-10-06	VYDAJ	PREVOD NA UCET	9317	13536	 	YZ	54900079
3213420	10663	1997-11-06	VYDAJ	PREVOD NA UCET	9317	17776	 	YZ	54900079
3213421	10663	1997-12-06	VYDAJ	PREVOD NA UCET	9317	8581	 	YZ	54900079
3213422	10663	1998-01-06	VYDAJ	PREVOD NA UCET	9317	23988	 	YZ	54900079
3213423	10663	1998-02-06	VYDAJ	PREVOD NA UCET	9317	16629	 	YZ	54900079
3213424	10663	1998-03-06	VYDAJ	PREVOD NA UCET	9317	10046	 	YZ	54900079
3213425	10663	1998-04-06	VYDAJ	PREVOD NA UCET	9317	15170	 	YZ	54900079
3213426	10663	1998-05-06	VYDAJ	PREVOD NA UCET	9317	18411	 	YZ	54900079
3213427	10663	1998-06-06	VYDAJ	PREVOD NA UCET	9317	19058	 	YZ	54900079
3213428	10663	1998-07-06	VYDAJ	PREVOD NA UCET	9317	23189	 	YZ	54900079
3213429	10663	1998-08-06	VYDAJ	PREVOD NA UCET	9317	18003	 	YZ	54900079
3213430	10663	1998-09-06	VYDAJ	PREVOD NA UCET	9317	18442	 	YZ	54900079
3213431	10663	1998-10-06	VYDAJ	PREVOD NA UCET	9317	11422	 	YZ	54900079
3213432	10663	1998-11-06	VYDAJ	PREVOD NA UCET	9317	10728	 	YZ	54900079
3213433	10663	1998-12-06	VYDAJ	PREVOD NA UCET	9317	17877	 	YZ	54900079
3213434	10663	1994-09-23	VYBER	VYBER	11839	38460	\N	\N	\N
3213435	10663	1994-06-22	VYBER	VYBER	2563	48553	\N	\N	\N
3213436	10663	1994-09-09	VYBER	VYBER	9088	63781	\N	\N	\N
3213437	10663	1995-01-07	VYBER	VYBER	18794	20265	\N	\N	\N
3213438	10663	1995-04-08	VYBER	VYBER	10912	59823	\N	\N	\N
3213439	10663	1995-11-13	VYBER	VYBER	15807	59993	\N	\N	\N
3213440	10663	1995-01-11	VYBER	VYBER	17871	45733	\N	\N	\N
3213441	10663	1995-06-29	VYBER	VYBER	14977	59326	\N	\N	\N
3213442	10663	1995-08-17	VYBER	VYBER	14226	61795	\N	\N	\N
3213443	10663	1995-11-25	VYBER	VYBER	16640	38571	\N	\N	\N
3213444	10663	1995-05-11	VYBER	VYBER	17397	47240	\N	\N	\N
3213445	10663	1996-09-13	VYBER	VYBER	21305	45944	\N	\N	\N
3213446	10663	1996-06-09	VYBER	VYBER	24753	73015	\N	\N	\N
3213447	10663	1996-05-01	VYBER	VYBER	9764	35556	\N	\N	\N
3213448	10663	1997-07-23	VYBER	VYBER	5369	32873	\N	\N	\N
3213449	10663	1997-11-14	VYBER	VYBER	22494	25181	\N	\N	\N
3213451	10663	1997-02-15	VYBER	VYBER	4046	47003	\N	\N	\N
3213453	10663	1997-12-08	VYBER	VYBER	3033	70556	\N	\N	\N
3213454	10663	1997-06-20	VYBER	VYBER	17225	56325	\N	\N	\N
3213456	10663	1997-09-16	VYBER	VYBER	24349	31617	\N	\N	\N
3213458	10663	1997-11-09	VYBER	VYBER	6217	54898	\N	\N	\N
3213459	10663	1997-09-05	VYBER	VYBER	2381	33949	\N	\N	\N
3213460	10663	1997-03-23	VYBER	VYBER	6944	28833	\N	\N	\N
3213464	10663	1998-07-20	VYBER	VYBER	8342	27181	\N	\N	\N
3213470	10663	1998-09-09	VYBER	VYBER	3238	58543	\N	\N	\N
3213471	10663	1998-06-29	VYBER	VYBER	10535	32326	\N	\N	\N
3213479	10663	1994-12-23	VYDAJ	VYBER	3000	74194	\N	\N	\N
3213480	10663	1995-12-03	VYDAJ	VYBER	6900	29285	\N	\N	\N
3213481	10663	1996-12-08	VYDAJ	VYBER	2400	95670	\N	\N	\N
3213496	10663	1995-01-04	VYDAJ	VYBER	3900	48376	\N	\N	\N
3213502	10663	1996-01-14	VYDAJ	VYBER	8700	64335	\N	\N	\N
3213505	10663	1996-01-27	VYDAJ	VYBER	4800	38135	\N	\N	\N
3213506	10663	1996-01-22	VYDAJ	VYBER	7500	56835	\N	\N	\N
3213507	10663	1996-01-29	VYDAJ	VYBER	5700	32435	\N	\N	\N
3213508	10663	1997-01-05	VYDAJ	VYBER	8100	46128	\N	\N	\N
3213509	10663	1997-01-18	VYDAJ	VYBER	5400	48344	\N	\N	\N
3213510	10663	1997-01-15	VYDAJ	VYBER	6900	53744	\N	\N	\N
3213512	10663	1997-01-28	VYDAJ	VYBER	4200	28844	\N	\N	\N
3213513	10663	1997-01-12	VYDAJ	VYBER	7500	72650	\N	\N	\N
3213516	10663	1998-01-09	VYDAJ	VYBER	8400	50827	\N	\N	\N
3213517	10663	1998-01-09	VYDAJ	VYBER KARTOU	2700	59227	\N	\N	0
3213518	10663	1998-01-08	VYDAJ	VYBER	5400	61927	\N	\N	\N
3213519	10663	1998-01-04	VYDAJ	VYBER KARTOU	2400	33305	\N	\N	0
3213526	10663	1994-11-29	VYDAJ	VYBER	9000	39481	\N	\N	\N
3213527	10663	1994-09-24	VYDAJ	VYBER	12300	26160	\N	\N	\N
3213529	10663	1994-08-06	VYDAJ	VYBER	5100	22570	\N	\N	\N
3213530	10663	1994-07-15	VYDAJ	VYBER	3000	59062	\N	\N	\N
3213531	10663	1994-11-25	VYDAJ	VYBER	9600	48481	\N	\N	\N
3213532	10663	1994-08-03	VYDAJ	VYBER	8400	50887	\N	\N	\N
3213534	10663	1995-01-24	VYDAJ	VYBER	14700	17751	\N	\N	\N
3213535	10663	1995-07-26	VYDAJ	VYBER	10200	57623	\N	\N	\N
3213536	10663	1995-03-31	VYDAJ	VYBER	11100	41727	\N	\N	\N
3213537	10663	1995-02-15	VYDAJ	VYBER	9300	43439	\N	\N	\N
3213538	10663	1995-04-27	VYDAJ	VYBER	9600	37541	\N	\N	\N
3213539	10663	1995-05-21	VYDAJ	VYBER	8700	25958	\N	\N	\N
3213541	10663	1996-11-21	VYDAJ	VYBER	1800	63066	\N	\N	\N
3213542	10663	1996-08-03	VYDAJ	VYBER	6300	35039	\N	\N	\N
3213543	10663	1996-07-12	VYDAJ	VYBER	9300	66344	\N	\N	\N
3213544	10663	1996-06-12	VYDAJ	VYBER	1800	71215	\N	\N	\N
3213545	10663	1996-04-01	VYDAJ	VYBER	6900	39882	\N	\N	\N
3213546	10663	1997-07-06	VYDAJ	VYBER KARTOU	1500	26608	\N	\N	0
3213547	10663	1997-05-22	VYDAJ	VYBER	5100	29697	\N	\N	\N
3213548	10663	1997-12-25	VYDAJ	VYBER KARTOU	3000	35551	\N	\N	0
3213549	10663	1998-02-11	VYDAJ	VYBER	7500	52468	\N	\N	\N
3213553	10663	1998-02-13	VYDAJ	VYBER	13500	31745	\N	\N	\N
3213571	10663	1994-05-31	VYDAJ	VYBER	15	88507	SLUZBY	\N	\N
3213572	10663	1994-06-30	VYDAJ	VYBER	15	48822	SLUZBY	\N	\N
3213573	10663	1994-07-31	VYDAJ	VYBER	15	59287	SLUZBY	\N	\N
3213574	10663	1994-08-31	VYDAJ	VYBER	15	53447	SLUZBY	\N	\N
3213575	10663	1994-09-30	VYDAJ	VYBER	15	26334	SLUZBY	\N	\N
3213576	10663	1994-10-31	VYDAJ	VYBER	15	45941	SLUZBY	\N	\N
3213577	10663	1994-11-30	VYDAJ	VYBER	15	39685	SLUZBY	\N	\N
3213578	10663	1994-12-31	VYDAJ	VYBER	15	74476	SLUZBY	\N	\N
3213579	10663	1995-01-31	VYDAJ	VYBER	15	17899	SLUZBY	\N	\N
3213580	10663	1995-02-28	VYDAJ	VYBER	15	37184	SLUZBY	\N	\N
3213581	10663	1995-03-31	VYDAJ	VYBER	15	41713	SLUZBY	\N	\N
3213582	10663	1995-04-30	VYDAJ	VYBER	15	37715	SLUZBY	\N	\N
3213583	10663	1995-05-31	VYDAJ	VYBER	15	26094	SLUZBY	\N	\N
3213584	10663	1995-06-30	VYDAJ	VYBER	15	59583	SLUZBY	\N	\N
3213585	10663	1995-07-31	VYDAJ	VYBER	15	46781	SLUZBY	\N	\N
3213586	10663	1995-08-31	VYDAJ	VYBER	15	41928	SLUZBY	\N	\N
3213587	10663	1995-09-30	VYDAJ	VYBER	15	46311	SLUZBY	\N	\N
3213588	10663	1995-10-31	VYDAJ	VYBER	15	49001	SLUZBY	\N	\N
3213589	10663	1995-11-30	VYDAJ	VYBER	15	36185	SLUZBY	\N	\N
3213590	10663	1995-12-31	VYDAJ	VYBER	15	51018	SLUZBY	\N	\N
3213591	10663	1996-01-31	VYDAJ	VYBER	15	24870	SLUZBY	\N	\N
3213592	10663	1996-02-29	VYDAJ	VYBER	15	38649	SLUZBY	\N	\N
3213593	10663	1996-03-31	VYDAJ	VYBER	15	46782	SLUZBY	\N	\N
3213594	10663	1996-04-30	VYDAJ	VYBER	15	45320	SLUZBY	\N	\N
3213595	10663	1996-05-31	VYDAJ	VYBER	15	42077	SLUZBY	\N	\N
3213596	10663	1996-06-30	VYDAJ	VYBER	15	41622	SLUZBY	\N	\N
3213597	10663	1996-07-31	VYDAJ	VYBER	15	41339	SLUZBY	\N	\N
3213598	10663	1996-08-31	VYDAJ	VYBER	15	40450	SLUZBY	\N	\N
3213599	10663	1996-09-30	VYDAJ	VYBER	15	36635	SLUZBY	\N	\N
3213600	10663	1996-10-31	VYDAJ	VYBER	15	42849	SLUZBY	\N	\N
3213601	10663	1996-11-30	VYDAJ	VYBER	15	42379	SLUZBY	\N	\N
3213602	10663	1996-12-31	VYDAJ	VYBER	15	54228	SLUZBY	\N	\N
3213603	10663	1997-01-31	VYDAJ	VYBER	15	29032	SLUZBY	\N	\N
3213604	10663	1997-02-28	VYDAJ	VYBER	15	34360	SLUZBY	\N	\N
3213605	10663	1997-03-31	VYDAJ	VYBER	15	29003	SLUZBY	\N	\N
3213606	10663	1997-04-30	VYDAJ	VYBER	15	34180	SLUZBY	\N	\N
3213607	10663	1997-05-31	VYDAJ	VYBER	15	29864	SLUZBY	\N	\N
3213608	10663	1997-06-30	VYDAJ	VYBER	15	37425	SLUZBY	\N	\N
3213609	10663	1997-07-31	VYDAJ	VYBER	15	33046	SLUZBY	\N	\N
3213610	10663	1997-08-31	VYDAJ	VYBER	15	36330	SLUZBY	\N	\N
3213611	10663	1997-09-30	VYDAJ	VYBER	15	22853	SLUZBY	\N	\N
3213612	10663	1997-10-31	VYDAJ	VYBER	15	27093	SLUZBY	\N	\N
3213613	10663	1997-11-30	VYDAJ	VYBER	15	17898	SLUZBY	\N	\N
3213614	10663	1997-12-31	VYDAJ	VYBER	15	35705	SLUZBY	\N	\N
3213615	10663	1998-01-31	VYDAJ	VYBER	15	25946	SLUZBY	\N	\N
3213616	10663	1998-02-28	VYDAJ	VYBER	15	19363	SLUZBY	\N	\N
3213617	10663	1998-03-31	VYDAJ	VYBER	15	24487	SLUZBY	\N	\N
3213618	10663	1998-04-30	VYDAJ	VYBER	15	27728	SLUZBY	\N	\N
3213619	10663	1998-05-31	VYDAJ	VYBER	15	28375	SLUZBY	\N	\N
3213620	10663	1998-06-30	VYDAJ	VYBER	15	32506	SLUZBY	\N	\N
3213621	10663	1998-07-31	VYDAJ	VYBER	15	27320	SLUZBY	\N	\N
3213622	10663	1998-08-31	VYDAJ	VYBER	15	27759	SLUZBY	\N	\N
3213623	10663	1998-09-30	VYDAJ	VYBER	15	20739	SLUZBY	\N	\N
3213624	10663	1998-10-31	VYDAJ	VYBER	15	20045	SLUZBY	\N	\N
3213625	10663	1998-11-30	VYDAJ	VYBER	15	27194	SLUZBY	\N	\N
3213626	10663	1994-01-07	PRIJEM	VKLAD	10300	10500	\N	\N	\N
3213627	10663	1994-02-06	VYDAJ	VYBER	16100	37913	\N	\N	\N
3213628	10663	1994-03-08	VYDAJ	VYBER	46900	78001	\N	\N	\N
3213629	10663	1994-03-08	VYDAJ	VYBER	25400	52601	\N	\N	\N
3213630	10663	1994-04-07	VYDAJ	VYBER	14700	38147	\N	\N	\N
3213631	10663	1994-05-07	VYDAJ	VYBER	26800	54998	\N	\N	\N
3213632	10663	1994-06-06	VYDAJ	VYBER	28300	60207	\N	\N	\N
3213633	10663	1994-06-08	VYDAJ	VYBER	51700	55898	\N	\N	\N
3213634	10663	1994-07-06	VYDAJ	VYBER	8200	32822	\N	\N	\N
3213635	10663	1994-08-05	VYDAJ	VYBER	13900	36987	\N	\N	\N
3213636	10663	1994-09-04	VYDAJ	VYBER	14600	38847	\N	\N	\N
3213637	10663	1994-10-04	VYDAJ	VYBER	1700	24634	\N	\N	\N
3213638	10663	1994-11-03	VYDAJ	VYBER	10900	35041	\N	\N	\N
3213639	10663	1994-12-03	VYDAJ	VYBER	5100	34585	\N	\N	\N
3213640	10663	1995-01-02	VYDAJ	VYBER	22200	52276	\N	\N	\N
3213641	10663	1995-02-01	PRIJEM	VKLAD	5600	23499	\N	\N	\N
3213642	10663	1995-03-03	VYDAJ	VYBER	6100	31084	\N	\N	\N
3213643	10663	1995-04-02	VYDAJ	VYBER	5000	36713	\N	\N	\N
3213644	10663	1995-05-02	VYDAJ	VYBER	7100	30615	\N	\N	\N
3213645	10663	1995-06-01	PRIJEM	VKLAD	2800	28894	\N	\N	\N
3213646	10663	1995-07-01	VYDAJ	VYBER	13300	46283	\N	\N	\N
3213647	10663	1995-07-31	VYDAJ	VYBER	11100	46796	\N	\N	\N
3213648	10663	1995-08-30	VYDAJ	VYBER	12400	41695	\N	\N	\N
3213649	10663	1995-09-29	VYDAJ	VYBER	19500	46068	\N	\N	\N
3213650	10663	1995-10-29	VYDAJ	VYBER	21100	48751	\N	\N	\N
3213651	10663	1995-11-28	VYDAJ	VYBER	2600	35971	\N	\N	\N
3213652	10663	1995-12-28	VYDAJ	VYBER	22200	50771	\N	\N	\N
3213653	10663	1996-01-27	VYDAJ	VYBER	7600	42935	\N	\N	\N
3213654	10663	1996-02-26	VYDAJ	VYBER	8400	38487	\N	\N	\N
3213655	10663	1996-03-27	VYDAJ	VYBER	14100	46566	\N	\N	\N
3213656	10663	1996-04-26	VYDAJ	VYBER	16800	45099	\N	\N	\N
3213657	10663	1996-05-26	VYDAJ	VYBER	15700	41873	\N	\N	\N
3213658	10663	1996-06-25	VYDAJ	VYBER	17800	41409	\N	\N	\N
3213659	10663	1996-07-25	VYDAJ	VYBER	13200	41139	\N	\N	\N
3213660	10663	1996-08-24	VYDAJ	VYBER	16800	40256	\N	\N	\N
3213661	10663	1996-09-23	VYDAJ	VYBER	4700	36462	\N	\N	\N
3213662	10663	1996-10-23	VYDAJ	VYBER	16000	42652	\N	\N	\N
3213663	10663	1996-11-22	VYDAJ	VYBER	20900	42166	\N	\N	\N
3213664	10663	1996-12-22	VYDAJ	VYBER	29700	53965	\N	\N	\N
3213665	10663	1997-01-21	VYDAJ	VYBER	15300	33044	\N	\N	\N
3213666	10663	1997-02-20	VYDAJ	VYBER	12800	34203	\N	\N	\N
3213667	10663	1997-03-22	VYDAJ	VYBER	20600	35777	\N	\N	\N
3213668	10663	1997-04-21	VYDAJ	VYBER	17000	34020	\N	\N	\N
3213669	10663	1997-05-21	VYDAJ	VYBER	21400	34797	\N	\N	\N
3213670	10663	1997-06-20	VYDAJ	VYBER	19100	37225	\N	\N	\N
3213671	10663	1997-07-20	VYDAJ	VYBER	19700	38242	\N	\N	\N
3213672	10663	1997-08-19	VYDAJ	VYBER	18900	36163	\N	\N	\N
3213673	10663	1997-09-18	VYDAJ	VYBER	8900	22717	\N	\N	\N
3213674	10663	1997-10-18	VYDAJ	VYBER	17900	26969	\N	\N	\N
3213675	10663	1997-11-17	VYDAJ	VYBER KARTOU	2600	17799	\N	\N	0
3213676	10663	1997-12-17	VYDAJ	VYBER	20000	38551	\N	\N	\N
3213677	10663	1998-01-16	VYDAJ	VYBER	13000	25822	\N	\N	\N
3213678	10663	1998-02-15	VYDAJ	VYBER	7700	19263	\N	\N	\N
3213679	10663	1998-03-17	VYDAJ	VYBER	17000	24380	\N	\N	\N
3213680	10663	1998-04-16	VYDAJ	VYBER	18900	27604	\N	\N	\N
3213681	10663	1998-05-16	VYDAJ	VYBER	21500	28245	\N	\N	\N
3213682	10663	1998-06-15	VYDAJ	VYBER	29200	42861	\N	\N	\N
3213683	10663	1998-07-15	VYDAJ	VYBER	19000	35523	\N	\N	\N
3213684	10663	1998-08-14	VYDAJ	VYBER	21700	32419	\N	\N	\N
3213685	10663	1998-09-13	VYDAJ	VYBER	25900	25420	\N	\N	\N
3213686	10663	1998-10-13	VYDAJ	VYBER	22800	24738	\N	\N	\N
3213687	10663	1998-11-12	VYDAJ	VYBER	16800	37267	\N	\N	\N
3213688	10663	1998-12-12	VYDAJ	VYBER	32500	42585	\N	\N	\N
3215604	10670	1993-11-18	PRIJEM	VKLAD	400	400	\N	\N	\N
3215614	10670	1993-12-25	PRIJEM	VKLAD	47513	69853	\N	\N	\N
3215621	10670	1993-12-10	PRIJEM	VKLAD	18440	18840	\N	\N	\N
3215625	10670	1994-04-08	PRIJEM	VKLAD	47650	92441	\N	\N	\N
3215626	10670	1994-11-25	PRIJEM	VKLAD	41080	102133	\N	\N	\N
3215627	10670	1994-07-15	PRIJEM	VKLAD	46917	44565	\N	\N	\N
3215628	10670	1994-01-03	PRIJEM	VKLAD	31607	101624	\N	\N	\N
3215629	10670	1994-09-07	PRIJEM	VKLAD	25748	54325	\N	\N	\N
3215630	10670	1994-05-25	PRIJEM	VKLAD	12931	49932	\N	\N	\N
3215631	10670	1994-08-08	PRIJEM	VKLAD	9304	33216	\N	\N	\N
3215632	10670	1994-03-03	PRIJEM	VKLAD	14633	49244	\N	\N	\N
3215633	10670	1994-03-24	PRIJEM	VKLAD	21911	44555	\N	\N	\N
3215634	10670	1994-11-29	PRIJEM	VKLAD	13773	74179	\N	\N	\N
3215635	10670	1994-01-04	PRIJEM	VKLAD	20264	121888	\N	\N	\N
3215636	10670	1994-10-18	PRIJEM	VKLAD	8731	45049	\N	\N	\N
3215637	10670	1994-08-11	PRIJEM	VKLAD	17879	51095	\N	\N	\N
3215638	10670	1994-11-25	PRIJEM	VKLAD	14273	116406	\N	\N	\N
3215639	10670	1994-11-08	PRIJEM	VKLAD	40797	99761	\N	\N	\N
3215640	10670	1994-10-16	PRIJEM	VKLAD	22887	36318	\N	\N	\N
3215641	10670	1994-12-09	PRIJEM	VKLAD	49535	113117	\N	\N	\N
3215642	10670	1994-05-05	PRIJEM	VKLAD	22361	55001	\N	\N	\N
3215643	10670	1994-11-18	PRIJEM	VKLAD	7292	61053	\N	\N	\N
3215644	10670	1994-10-25	PRIJEM	VKLAD	24606	69655	\N	\N	\N
3215645	10670	1995-03-28	PRIJEM	VKLAD	14929	83939	\N	\N	\N
3215646	10670	1995-08-23	PRIJEM	VKLAD	14561	80473	\N	\N	\N
3215647	10670	1995-01-20	PRIJEM	VKLAD	48750	71018	\N	\N	\N
3215648	10670	1995-12-24	PRIJEM	VKLAD	41418	130452	\N	\N	\N
3215649	10670	1995-02-05	PRIJEM	VKLAD	42637	72460	\N	\N	\N
3215650	10670	1995-07-27	PRIJEM	VKLAD	5930	73707	\N	\N	\N
3215651	10670	1995-03-09	PRIJEM	VKLAD	34043	86655	\N	\N	\N
3215652	10670	1995-05-18	PRIJEM	VKLAD	25817	80535	\N	\N	\N
3215653	10670	1995-08-15	PRIJEM	VKLAD	8086	45305	\N	\N	\N
3215654	10670	1995-10-09	PRIJEM	VKLAD	17750	136680	\N	\N	\N
3215655	10670	1995-05-05	PRIJEM	VKLAD	30433	133618	\N	\N	\N
3215656	10670	1995-10-15	PRIJEM	VKLAD	38368	110948	\N	\N	\N
3215657	10670	1995-04-20	PRIJEM	VKLAD	31444	113594	\N	\N	\N
3215658	10670	1995-08-26	PRIJEM	VKLAD	6539	87012	\N	\N	\N
3215659	10670	1995-02-11	PRIJEM	VKLAD	6564	100128	\N	\N	\N
3215660	10670	1995-07-12	PRIJEM	VKLAD	21878	75263	\N	\N	\N
3215661	10670	1995-12-13	PRIJEM	VKLAD	47959	94734	\N	\N	\N
3215662	10670	1995-07-23	PRIJEM	VKLAD	19514	67777	\N	\N	\N
3215663	10670	1995-09-03	PRIJEM	VKLAD	27411	114868	\N	\N	\N
3215664	10670	1995-02-10	PRIJEM	VKLAD	21104	93564	\N	\N	\N
3215665	10670	1995-03-22	PRIJEM	VKLAD	10455	69010	\N	\N	\N
3215666	10670	1995-04-19	PRIJEM	VKLAD	37099	82150	\N	\N	\N
3215667	10670	1995-04-06	PRIJEM	VKLAD	6774	91177	\N	\N	\N
3215668	10670	1995-10-02	PRIJEM	VKLAD	25259	144130	\N	\N	\N
3215669	10670	1995-01-29	PRIJEM	VKLAD	46835	113953	\N	\N	\N
3215670	10670	1995-08-18	PRIJEM	VKLAD	40419	85724	\N	\N	\N
3215671	10670	1995-09-15	PRIJEM	VKLAD	44783	118051	\N	\N	\N
3215672	10670	1995-11-17	PRIJEM	VKLAD	35506	77283	\N	\N	\N
3215673	10670	1995-04-30	PRIJEM	VKLAD	32579	103200	\N	\N	\N
3215674	10670	1996-11-23	PRIJEM	VKLAD	39475	130423	\N	\N	\N
3215675	10670	1996-10-30	PRIJEM	VKLAD	46013	137923	\N	\N	\N
3215676	10670	1996-04-17	PRIJEM	VKLAD	32883	67237	\N	\N	\N
3215677	10670	1996-05-20	PRIJEM	VKLAD	9472	77320	\N	\N	\N
3215678	10670	1996-02-01	PRIJEM	VKLAD	44090	106624	\N	\N	\N
3215679	10670	1996-12-20	PRIJEM	VKLAD	20972	77926	\N	\N	\N
3215680	10670	1996-06-27	PRIJEM	VKLAD	18321	78103	\N	\N	\N
3215681	10670	1996-08-23	PRIJEM	VKLAD	20661	148751	\N	\N	\N
3215682	10670	1996-02-05	PRIJEM	VKLAD	30043	136667	\N	\N	\N
3215683	10670	1996-11-30	PRIJEM	VKLAD	31876	163268	\N	\N	\N
3215684	10670	1996-08-06	PRIJEM	VKLAD	47421	103862	\N	\N	\N
3215685	10670	1996-01-26	PRIJEM	VKLAD	21223	66515	\N	\N	\N
3215686	10670	1996-09-19	PRIJEM	VKLAD	23019	78523	\N	\N	\N
3215687	10670	1996-10-03	PRIJEM	VKLAD	39900	113231	\N	\N	\N
3215688	10670	1996-06-03	PRIJEM	VKLAD	40754	118558	\N	\N	\N
3215689	10670	1996-10-24	PRIJEM	VKLAD	16279	91910	\N	\N	\N
3215690	10670	1996-05-17	PRIJEM	VKLAD	24096	67848	\N	\N	\N
3215691	10670	1996-05-06	PRIJEM	VKLAD	9733	70884	\N	\N	\N
3215692	10670	1996-08-23	PRIJEM	VKLAD	40528	128090	\N	\N	\N
3215693	10670	1997-08-09	PRIJEM	VKLAD	7393	63946	\N	\N	\N
3215694	10670	1997-05-19	PRIJEM	VKLAD	33984	110619	\N	\N	\N
3215695	10670	1997-01-26	PRIJEM	VKLAD	41242	99598	\N	\N	\N
3215696	10670	1997-04-05	PRIJEM	VKLAD	20481	94692	\N	\N	\N
3215697	10670	1997-05-16	PRIJEM	VKLAD	26434	76635	\N	\N	\N
3215698	10670	1997-06-21	PRIJEM	VKLAD	37699	117144	\N	\N	\N
3215699	10670	1997-06-23	PRIJEM	VKLAD	5807	122951	\N	\N	\N
3215700	10670	1997-03-31	PRIJEM	VKLAD	26808	86826	\N	\N	\N
3215701	10670	1997-02-10	PRIJEM	VKLAD	40526	93980	\N	\N	\N
3215702	10670	1997-10-29	PRIJEM	VKLAD	48906	106044	\N	\N	\N
3215703	10670	1997-01-22	PRIJEM	VKLAD	11094	58356	\N	\N	\N
3215704	10670	1997-11-05	PRIJEM	VKLAD	24159	130517	\N	\N	\N
3215705	10670	1997-08-28	PRIJEM	VKLAD	14623	78569	\N	\N	\N
3215706	10670	1998-01-28	PRIJEM	VKLAD	49007	154915	\N	\N	\N
3215707	10670	1998-06-01	PRIJEM	VKLAD	30649	102003	\N	\N	\N
3215708	10670	1998-12-25	PRIJEM	VKLAD	41748	129056	\N	\N	\N
3215709	10670	1998-01-28	PRIJEM	VKLAD	41013	105908	\N	\N	\N
3215710	10670	1998-01-07	PRIJEM	VKLAD	6283	70995	\N	\N	\N
3215711	10670	1998-02-04	PRIJEM	VKLAD	48194	130921	\N	\N	\N
3215712	10670	1998-11-09	PRIJEM	VKLAD	38154	138381	\N	\N	\N
3215713	10670	1998-10-30	PRIJEM	VKLAD	40176	110710	\N	\N	\N
3215714	10670	1998-11-28	PRIJEM	VKLAD	12337	110542	\N	\N	\N
3215715	10670	1998-12-27	PRIJEM	VKLAD	44890	173946	\N	\N	\N
3215716	10670	1998-08-07	PRIJEM	VKLAD	28329	87421	\N	\N	\N
3215731	10670	1994-03-12	VYDAJ	VYBER	16000	33244	SIPO	\N	0
3215732	10670	1994-04-14	VYDAJ	VYBER	16100	76341	SIPO	\N	0
3215733	10670	1994-05-02	VYDAJ	VYBER	17100	32640	SIPO	\N	0
3215734	10670	1994-06-17	VYDAJ	VYBER	15400	9118	SIPO	\N	0
3215735	10670	1994-07-08	VYDAJ	VYBER	11700	-2352	SIPO	\N	0
3215736	10670	1994-08-12	VYDAJ	VYBER	18100	32995	SIPO	\N	0
3215737	10670	1994-09-12	VYDAJ	VYBER	16100	38225	SIPO	\N	0
3215738	10670	1994-10-07	VYDAJ	VYBER	14400	11431	SIPO	\N	0
3215739	10670	1994-11-07	VYDAJ	VYBER	11000	58964	SIPO	\N	0
3215740	10670	1994-11-30	VYDAJ	VYBER	11200	63582	SIPO	\N	0
3215741	10670	1995-01-07	VYDAJ	VYBER	12300	10968	SIPO	\N	0
3215742	10670	1995-02-03	VYDAJ	VYBER	15900	29823	SIPO	\N	0
3215743	10670	1995-03-03	VYDAJ	VYBER	11300	52612	SIPO	\N	0
3215744	10670	1995-04-09	VYDAJ	VYBER	14900	59551	SIPO	\N	0
3215745	10670	1995-05-17	VYDAJ	VYBER	12900	54718	SIPO	\N	0
3215746	10670	1995-06-18	VYDAJ	VYBER	11400	56746	SIPO	\N	0
3215747	10670	1995-07-14	VYDAJ	VYBER	15900	59363	SIPO	\N	0
3215748	10670	1995-08-01	VYDAJ	VYBER	15400	58684	SIPO	\N	0
3215749	10670	1995-09-04	VYDAJ	VYBER	10900	103968	SIPO	\N	0
3215750	10670	1995-10-17	VYDAJ	VYBER	12100	76487	SIPO	\N	0
3215751	10670	1995-10-31	VYDAJ	VYBER	15900	61394	SIPO	\N	0
3215752	10670	1995-12-01	VYDAJ	VYBER	13400	64375	SIPO	\N	0
3215753	10670	1996-01-14	VYDAJ	VYBER	11200	57592	SIPO	\N	0
3215754	10670	1996-02-13	VYDAJ	VYBER	16000	66667	SIPO	\N	0
3215755	10670	1996-03-05	VYDAJ	VYBER	15800	47073	SIPO	\N	0
3215756	10670	1996-03-31	VYDAJ	VYBER	12500	31169	SIPO	\N	0
3215757	10670	1996-05-06	VYDAJ	VYBER	11500	46052	SIPO	\N	0
3215758	10670	1996-06-12	VYDAJ	VYBER	11600	77758	SIPO	\N	0
3215759	10670	1996-07-15	VYDAJ	VYBER	15100	50038	SIPO	\N	0
3215760	10670	1996-08-12	VYDAJ	VYBER	16300	87562	SIPO	\N	0
3215761	10670	1996-09-01	VYDAJ	VYBER	14000	101259	SIPO	\N	0
3215762	10670	1996-10-07	VYDAJ	VYBER	11100	75631	SIPO	\N	0
3215763	10670	1996-10-31	VYDAJ	VYBER	12300	126262	SIPO	\N	0
3215764	10670	1996-12-02	VYDAJ	VYBER	17000	74954	SIPO	\N	0
3215765	10670	1997-01-13	VYDAJ	VYBER	14200	47262	SIPO	\N	0
3215766	10670	1997-02-05	VYDAJ	VYBER	16900	53454	SIPO	\N	0
3215767	10670	1997-03-10	VYDAJ	VYBER	15300	59524	SIPO	\N	0
3215768	10670	1997-04-13	VYDAJ	VYBER	13700	80992	SIPO	\N	0
3215769	10670	1997-04-29	VYDAJ	VYBER	11600	46980	SIPO	\N	0
3215770	10670	1997-05-31	VYDAJ	VYBER	11000	79445	SIPO	\N	0
3215771	10670	1997-07-02	VYDAJ	VYBER	16300	74593	SIPO	\N	0
3215772	10670	1997-07-30	VYDAJ	VYBER	16200	61093	SIPO	\N	0
3215773	10670	1997-09-10	VYDAJ	VYBER	13800	60283	SIPO	\N	0
3215774	10670	1997-09-30	VYDAJ	VYBER	17300	48138	SIPO	\N	0
3215775	10670	1997-11-11	VYDAJ	VYBER	17100	110717	SIPO	\N	0
3215776	10670	1997-12-16	VYDAJ	VYBER	12000	55905	SIPO	\N	0
3215777	10670	1998-01-17	VYDAJ	VYBER	17900	53095	SIPO	\N	0
3215778	10670	1998-02-18	VYDAJ	VYBER	17100	113821	SIPO	\N	0
3215779	10670	1998-02-28	VYDAJ	VYBER	11000	85056	SIPO	\N	0
3215780	10670	1998-04-09	VYDAJ	VYBER	13800	64011	SIPO	\N	0
3215781	10670	1998-05-06	VYDAJ	VYBER	14200	59288	SIPO	\N	0
3215782	10670	1998-06-04	VYDAJ	VYBER	11600	82870	SIPO	\N	0
3215783	10670	1998-07-09	VYDAJ	VYBER	15700	57624	SIPO	\N	0
3215784	10670	1998-08-02	VYDAJ	VYBER	12000	59092	SIPO	\N	0
3215785	10670	1998-09-06	VYDAJ	VYBER	12100	69307	SIPO	\N	0
3215786	10670	1998-10-12	VYDAJ	VYBER	18000	62434	SIPO	\N	0
3215787	10670	1998-11-06	VYDAJ	VYBER	11000	100227	SIPO	\N	0
3215788	10670	1998-12-11	VYDAJ	VYBER	15200	96127	SIPO	\N	0
3215801	10670	1995-08-18	VYBER	VYBER	19812	65912	\N	\N	\N
3215802	10670	1995-04-24	VYBER	VYBER	6391	70103	\N	\N	\N
3215803	10670	1995-08-02	VYBER	VYBER	24465	34219	\N	\N	\N
3215804	10670	1995-10-16	VYBER	VYBER	22361	88587	\N	\N	\N
3215805	10670	1995-11-01	VYBER	VYBER	4017	57377	\N	\N	\N
3215806	10670	1995-04-08	VYBER	VYBER	16726	74451	\N	\N	\N
3215807	10670	1996-04-28	VYBER	VYBER	6443	60794	\N	\N	\N
3215811	10670	1996-02-18	VYBER	VYBER	4280	62387	\N	\N	\N
3215812	10670	1996-06-16	VYBER	VYBER	17976	59782	\N	\N	\N
3215813	10670	1996-05-06	VYBER	VYBER	13332	57552	\N	\N	\N
3215815	10670	1996-09-11	VYBER	VYBER	9855	55504	\N	\N	\N
3215818	10670	1997-08-06	VYBER	VYBER	4858	56553	\N	\N	\N
3215819	10670	1997-02-05	VYBER	VYBER	13095	70354	\N	\N	\N
3215820	10670	1997-04-19	VYBER	VYBER	22412	58580	\N	\N	\N
3215823	10670	1997-06-23	VYBER	VYBER	14268	108683	\N	\N	\N
3215825	10670	1997-11-20	VYBER	VYBER	10623	100094	\N	\N	\N
3215826	10670	1998-12-20	VYBER	VYBER	3673	86208	\N	\N	\N
3215828	10670	1998-06-18	VYBER	VYBER	8913	73957	\N	\N	\N
3215830	10670	1998-06-30	VYBER	VYBER	10036	73339	\N	\N	\N
3215832	10670	1998-08-10	VYBER	VYBER	12955	74466	\N	\N	\N
3215833	10670	1998-12-20	VYBER	VYBER	6246	89881	\N	\N	\N
3215834	10670	1998-11-18	VYBER	VYBER	19476	108405	\N	\N	\N
3215835	10670	1998-06-03	VYBER	VYBER	7533	94470	\N	\N	\N
3215839	10670	1994-06-05	VYDAJ	VYBER	36000	14318	\N	\N	\N
3215846	10670	1995-01-30	VYDAJ	VYBER	21300	45453	\N	\N	\N
3215847	10670	1996-01-16	VYDAJ	VYBER	10200	47392	\N	\N	\N
3215849	10670	1998-01-30	VYDAJ	VYBER	17700	82415	\N	\N	\N
3215851	10670	1994-12-27	VYDAJ	VYBER	6900	28317	\N	\N	\N
3215852	10670	1995-12-23	VYDAJ	VYBER	5700	89034	\N	\N	\N
3215855	10670	1998-12-29	VYDAJ	VYBER	5100	109446	\N	\N	\N
3215868	10670	1995-01-25	VYDAJ	VYBER	3900	67118	\N	\N	\N
3215869	10670	1995-01-29	VYDAJ	VYBER	7200	66753	\N	\N	\N
3215870	10670	1995-01-05	VYDAJ	VYBER	5400	23268	\N	\N	\N
3215875	10670	1996-01-05	VYDAJ	VYBER	1500	114292	\N	\N	\N
3215876	10670	1996-01-22	VYDAJ	VYBER	2100	45292	\N	\N	\N
3215877	10670	1996-01-09	VYDAJ	VYBER	3900	74192	\N	\N	\N
3215878	10670	1996-01-28	VYDAJ	VYBER	4500	62015	\N	\N	\N
3215879	10670	1996-01-13	VYDAJ	VYBER	5400	68792	\N	\N	\N
3215880	10670	1997-01-06	VYDAJ	VYBER	1500	67762	\N	\N	\N
3215883	10670	1997-01-01	VYDAJ	VYBER	7500	69262	\N	\N	\N
3215885	10670	1997-01-06	VYDAJ	VYBER	6300	61462	\N	\N	\N
3215891	10670	1998-01-30	VYDAJ	VYBER	7800	100115	\N	\N	\N
3215897	10670	1994-07-30	VYDAJ	VYBER	10500	23765	\N	\N	\N
3215898	10670	1994-12-16	VYDAJ	VYBER	9300	35217	\N	\N	\N
3215901	10670	1994-03-17	VYDAJ	VYBER	8100	25144	\N	\N	\N
3215902	10670	1995-07-17	VYDAJ	VYBER	11100	48263	\N	\N	\N
3215903	10670	1995-05-14	VYDAJ	VYBER	13500	67618	\N	\N	\N
3215904	10670	1995-06-21	VYDAJ	VYBER	6600	50146	\N	\N	\N
3215905	10670	1996-09-06	VYDAJ	VYBER	11700	65359	\N	\N	\N
3215907	10670	1996-12-13	VYDAJ	VYBER	5700	56954	\N	\N	\N
3215908	10670	1996-09-27	VYDAJ	VYBER	5700	72823	\N	\N	\N
3215909	10670	1996-12-12	VYDAJ	VYBER	12300	62654	\N	\N	\N
3215910	10670	1996-06-28	VYDAJ	VYBER	12600	65503	\N	\N	\N
3215911	10670	1997-12-01	VYDAJ	VYBER	12600	67905	\N	\N	\N
3215912	10670	1997-03-09	VYDAJ	VYBER	4800	74824	\N	\N	\N
3215913	10670	1997-03-31	VYDAJ	VYBER	7800	79011	\N	\N	\N
3215916	10670	1997-11-05	VYDAJ	VYBER	2700	127817	\N	\N	\N
3215917	10670	1998-05-27	VYDAJ	VYBER	5100	71088	\N	\N	\N
3215918	10670	1998-03-06	VYDAJ	VYBER	3300	81756	\N	\N	\N
3215919	10670	1998-11-12	VYDAJ	VYBER	10500	127881	\N	\N	\N
3215936	10670	1994-03-31	VYDAJ	VYBER	15	44791	SLUZBY	\N	\N
3215937	10670	1994-04-30	VYDAJ	VYBER	15	49740	SLUZBY	\N	\N
3215938	10670	1994-05-31	VYDAJ	VYBER	15	50318	SLUZBY	\N	\N
3215939	10670	1994-06-30	VYDAJ	VYBER	15	9348	SLUZBY	\N	\N
3215940	10670	1994-07-31	VYDAJ	VYBER	15	23912	SLUZBY	\N	\N
3215941	10670	1994-08-31	VYDAJ	VYBER	15	28577	SLUZBY	\N	\N
3215942	10670	1994-09-30	VYDAJ	VYBER	15	25831	SLUZBY	\N	\N
3215943	10670	1994-10-31	VYDAJ	VYBER	15	69964	SLUZBY	\N	\N
3215944	10670	1994-11-30	VYDAJ	VYBER	15	74782	SLUZBY	\N	\N
3215945	10670	1994-12-31	VYDAJ	VYBER	15	28668	SLUZBY	\N	\N
3215946	10670	1995-01-31	VYDAJ	VYBER	15	45723	SLUZBY	\N	\N
3215947	10670	1995-02-28	VYDAJ	VYBER	15	63912	SLUZBY	\N	\N
3215948	10670	1995-03-31	VYDAJ	VYBER	15	84403	SLUZBY	\N	\N
3215949	10670	1995-04-30	VYDAJ	VYBER	15	103185	SLUZBY	\N	\N
3215950	10670	1995-05-31	VYDAJ	VYBER	15	81246	SLUZBY	\N	\N
3215951	10670	1995-06-30	VYDAJ	VYBER	15	50485	SLUZBY	\N	\N
3215952	10670	1995-07-31	VYDAJ	VYBER	15	74084	SLUZBY	\N	\N
3215953	10670	1995-08-31	VYDAJ	VYBER	15	87457	SLUZBY	\N	\N
3215954	10670	1995-09-30	VYDAJ	VYBER	15	118871	SLUZBY	\N	\N
3215955	10670	1995-10-31	VYDAJ	VYBER	15	77294	SLUZBY	\N	\N
3215956	10670	1995-11-30	VYDAJ	VYBER	15	77775	SLUZBY	\N	\N
3215957	10670	1995-12-31	VYDAJ	VYBER	15	115792	SLUZBY	\N	\N
3215958	10670	1996-01-31	VYDAJ	VYBER	15	62534	SLUZBY	\N	\N
3215959	10670	1996-02-29	VYDAJ	VYBER	15	62873	SLUZBY	\N	\N
3215960	10670	1996-03-31	VYDAJ	VYBER	15	31154	SLUZBY	\N	\N
3215961	10670	1996-04-30	VYDAJ	VYBER	15	61151	SLUZBY	\N	\N
3215962	10670	1996-05-31	VYDAJ	VYBER	15	77804	SLUZBY	\N	\N
3215963	10670	1996-06-30	VYDAJ	VYBER	15	66038	SLUZBY	\N	\N
3215964	10670	1996-07-31	VYDAJ	VYBER	15	50441	SLUZBY	\N	\N
3215965	10670	1996-08-31	VYDAJ	VYBER	15	115259	SLUZBY	\N	\N
3215966	10670	1996-09-30	VYDAJ	VYBER	15	73331	SLUZBY	\N	\N
3215967	10670	1996-10-31	VYDAJ	VYBER	15	126248	SLUZBY	\N	\N
3215968	10670	1996-11-30	VYDAJ	VYBER	15	163254	SLUZBY	\N	\N
3215969	10670	1996-12-31	VYDAJ	VYBER	15	78462	SLUZBY	\N	\N
3215970	10670	1997-01-31	VYDAJ	VYBER	15	100049	SLUZBY	\N	\N
3215971	10670	1997-02-28	VYDAJ	VYBER	15	94624	SLUZBY	\N	\N
3215972	10670	1997-03-31	VYDAJ	VYBER	15	86811	SLUZBY	\N	\N
3215973	10670	1997-04-30	VYDAJ	VYBER	15	47501	SLUZBY	\N	\N
3215974	10670	1997-05-31	VYDAJ	VYBER	15	111145	SLUZBY	\N	\N
3215975	10670	1997-06-30	VYDAJ	VYBER	15	109393	SLUZBY	\N	\N
3215976	10670	1997-07-31	VYDAJ	VYBER	15	61411	SLUZBY	\N	\N
3215977	10670	1997-08-31	VYDAJ	VYBER	15	74083	SLUZBY	\N	\N
3215978	10670	1997-09-30	VYDAJ	VYBER	15	65438	SLUZBY	\N	\N
3215979	10670	1997-10-31	VYDAJ	VYBER	15	106358	SLUZBY	\N	\N
3215980	10670	1997-11-30	VYDAJ	VYBER	15	80505	SLUZBY	\N	\N
3215981	10670	1997-12-31	VYDAJ	VYBER	15	64712	SLUZBY	\N	\N
3215982	10670	1998-01-31	VYDAJ	VYBER	15	82727	SLUZBY	\N	\N
3215983	10670	1998-02-28	VYDAJ	VYBER	15	96056	SLUZBY	\N	\N
3215984	10670	1998-03-31	VYDAJ	VYBER	15	77811	SLUZBY	\N	\N
3215985	10670	1998-04-30	VYDAJ	VYBER	15	73488	SLUZBY	\N	\N
3215986	10670	1998-05-31	VYDAJ	VYBER	15	71354	SLUZBY	\N	\N
3215987	10670	1998-06-30	VYDAJ	VYBER	15	73324	SLUZBY	\N	\N
3215988	10670	1998-07-31	VYDAJ	VYBER	15	71092	SLUZBY	\N	\N
3215989	10670	1998-08-31	VYDAJ	VYBER	15	81407	SLUZBY	\N	\N
3215990	10670	1998-09-30	VYDAJ	VYBER	15	80434	SLUZBY	\N	\N
3215991	10670	1998-10-31	VYDAJ	VYBER	15	111227	SLUZBY	\N	\N
3215992	10670	1998-11-30	VYDAJ	VYBER	15	111327	SLUZBY	\N	\N
3215993	10670	1993-12-18	PRIJEM	VKLAD	3500	22340	\N	\N	\N
3215994	10670	1994-01-04	VYDAJ	VYBER	57900	63988	\N	\N	\N
3215995	10670	1994-01-17	VYDAJ	VYBER	18000	45988	\N	\N	\N
3215996	10670	1994-02-16	VYDAJ	VYBER	12100	34420	\N	\N	\N
3215997	10670	1994-03-18	VYDAJ	VYBER	2500	22644	\N	\N	\N
3215998	10670	1994-04-17	VYDAJ	VYBER	27000	49341	\N	\N	\N
3215999	10670	1994-05-17	VYDAJ	VYBER	18000	37001	\N	\N	\N
3216000	10670	1994-06-16	PRIJEM	VKLAD	10200	24518	\N	\N	\N
3216001	10670	1994-07-16	VYDAJ	VYBER	10300	34265	\N	\N	\N
3216002	10670	1994-08-15	VYDAJ	VYBER	4600	28395	\N	\N	\N
3216003	10670	1994-09-14	VYDAJ	VYBER	12600	25625	\N	\N	\N
3216004	10670	1994-10-14	PRIJEM	VKLAD	2000	13431	\N	\N	\N
3216005	10670	1994-11-08	VYDAJ	VYBER	17600	82161	\N	\N	\N
3216006	10670	1994-11-13	VYDAJ	VYBER	28400	53761	\N	\N	\N
3216007	10670	1994-11-25	VYDAJ	VYBER	56000	60406	\N	\N	\N
3216008	10670	1994-12-09	VYDAJ	VYBER	50300	62817	\N	\N	\N
3216009	10670	1994-12-13	VYDAJ	VYBER	18300	44517	\N	\N	\N
3216010	10670	1995-01-12	PRIJEM	VKLAD	11300	22268	\N	\N	\N
3216011	10670	1995-01-29	VYDAJ	VYBER	40000	73953	\N	\N	\N
3216012	10670	1995-02-11	VYDAJ	VYBER	36800	63328	\N	\N	\N
3216013	10670	1995-03-13	VYDAJ	VYBER	28100	58555	\N	\N	\N
3216014	10670	1995-04-12	VYDAJ	VYBER	14500	45051	\N	\N	\N
3216015	10670	1995-04-20	VYDAJ	VYBER	37100	76494	\N	\N	\N
3216016	10670	1995-05-05	VYDAJ	VYBER	22300	111318	\N	\N	\N
3216017	10670	1995-05-12	VYDAJ	VYBER	30200	81118	\N	\N	\N
3216018	10670	1995-06-11	VYDAJ	VYBER	13100	68146	\N	\N	\N
3216019	10670	1995-07-11	PRIJEM	VKLAD	2900	53385	\N	\N	\N
3216020	10670	1995-08-10	PRIJEM	VKLAD	3000	37219	\N	\N	\N
3216021	10670	1995-09-09	VYDAJ	VYBER	30700	73268	\N	\N	\N
3216022	10670	1995-10-02	VYDAJ	VYBER	25200	118930	\N	\N	\N
3216023	10670	1995-10-09	VYDAJ	VYBER	55800	72580	\N	\N	\N
3216024	10670	1995-10-09	VYDAJ	VYBER	8300	128380	\N	\N	\N
3216025	10670	1995-11-08	VYDAJ	VYBER	15600	41777	\N	\N	\N
3216026	10670	1995-12-08	VYDAJ	VYBER	17600	46775	\N	\N	\N
3216027	10670	1995-12-24	VYDAJ	VYBER	15300	115152	\N	\N	\N
3216028	10670	1996-01-07	VYDAJ	VYBER	36200	78092	\N	\N	\N
3216029	10670	1996-02-05	VYDAJ	VYBER	25600	111067	\N	\N	\N
3216030	10670	1996-02-06	VYDAJ	VYBER	28400	82667	\N	\N	\N
3216031	10670	1996-03-07	VYDAJ	VYBER	3700	43373	\N	\N	\N
3216032	10670	1996-04-06	PRIJEM	VKLAD	3200	34354	\N	\N	\N
3216033	10670	1996-05-06	VYDAJ	VYBER	2300	43752	\N	\N	\N
3216034	10670	1996-06-05	VYDAJ	VYBER	29200	89358	\N	\N	\N
3216035	10670	1996-07-05	VYDAJ	VYBER	900	65138	\N	\N	\N
3216036	10670	1996-08-04	PRIJEM	VKLAD	6000	56441	\N	\N	\N
3216037	10670	1996-08-23	VYDAJ	VYBER	34200	114551	\N	\N	\N
3216038	10670	1996-09-03	VYDAJ	VYBER	24200	77059	\N	\N	\N
3216039	10670	1996-10-03	VYDAJ	VYBER	26500	86731	\N	\N	\N
3216040	10670	1996-11-02	VYDAJ	VYBER	35300	90948	\N	\N	\N
3216041	10670	1996-11-30	VYDAJ	VYBER	45300	117954	\N	\N	\N
3216042	10670	1996-12-02	VYDAJ	VYBER	26000	91954	\N	\N	\N
3216043	10670	1997-01-01	VYDAJ	VYBER	1700	76762	\N	\N	\N
3216044	10670	1997-01-31	VYDAJ	VYBER	16600	83449	\N	\N	\N
3216045	10670	1997-03-02	VYDAJ	VYBER	15000	79624	\N	\N	\N
3216046	10670	1997-04-01	VYDAJ	VYBER	4800	74211	\N	\N	\N
3216047	10670	1997-05-01	PRIJEM	VKLAD	2700	50201	\N	\N	\N
3216048	10670	1997-05-31	VYDAJ	VYBER	20700	90445	\N	\N	\N
3216049	10670	1997-06-30	VYDAJ	VYBER	18500	90893	\N	\N	\N
3216050	10670	1997-07-30	PRIJEM	VKLAD	2700	77293	\N	\N	\N
3216051	10670	1997-08-29	VYDAJ	VYBER	4900	73669	\N	\N	\N
3216052	10670	1997-09-28	PRIJEM	VKLAD	4900	65183	\N	\N	\N
3216053	10670	1997-10-28	PRIJEM	VKLAD	9000	57138	\N	\N	\N
3216054	10670	1997-11-27	VYDAJ	VYBER	20300	79794	\N	\N	\N
3216055	10670	1997-12-27	PRIJEM	VKLAD	8500	64405	\N	\N	\N
3216056	10670	1998-01-26	PRIJEM	VKLAD	11800	64895	\N	\N	\N
3216057	10670	1998-01-28	VYDAJ	VYBER	47000	107915	\N	\N	\N
3216058	10670	1998-02-25	VYDAJ	VYBER	18400	95421	\N	\N	\N
3216059	10670	1998-03-27	VYDAJ	VYBER	4500	77256	\N	\N	\N
3216060	10670	1998-04-26	PRIJEM	VKLAD	9200	73211	\N	\N	\N
3216061	10670	1998-05-26	PRIJEM	VKLAD	16900	76188	\N	\N	\N
3216062	10670	1998-06-25	PRIJEM	VKLAD	8900	82857	\N	\N	\N
3216063	10670	1998-07-25	PRIJEM	VKLAD	13200	70824	\N	\N	\N
3216064	10670	1998-08-24	PRIJEM	VKLAD	6500	80966	\N	\N	\N
3216065	10670	1998-09-23	PRIJEM	VKLAD	10800	80107	\N	\N	\N
3216066	10670	1998-10-23	PRIJEM	VKLAD	8100	70534	\N	\N	\N
3216067	10670	1998-11-22	VYDAJ	VYBER	10200	98205	\N	\N	\N
3216068	10670	1998-12-22	PRIJEM	VKLAD	1100	87308	\N	\N	\N
3216069	10670	1998-12-27	VYDAJ	VYBER	59400	114546	\N	\N	\N
3218239	10679	1997-05-30	PRIJEM	VKLAD	900	900	\N	\N	\N
3218245	10679	1997-06-08	PRIJEM	PREVOD Z UCTU	74176	75076	\N	CD	32063299
3218246	10679	1997-07-08	PRIJEM	PREVOD Z UCTU	49451	97440	\N	CD	32063299
3218247	10679	1997-08-08	PRIJEM	PREVOD Z UCTU	49451	111797	\N	CD	32063299
3218248	10679	1997-09-08	PRIJEM	PREVOD Z UCTU	49451	107938	\N	CD	32063299
3218249	10679	1997-10-08	PRIJEM	PREVOD Z UCTU	49451	93334	\N	CD	32063299
3218250	10679	1997-11-08	PRIJEM	PREVOD Z UCTU	49451	104818	\N	CD	32063299
3218251	10679	1997-12-08	PRIJEM	PREVOD Z UCTU	74176	134985	\N	CD	32063299
3218252	10679	1998-01-08	PRIJEM	PREVOD Z UCTU	49451	86262	\N	CD	32063299
3218253	10679	1998-02-08	PRIJEM	PREVOD Z UCTU	49451	100725	\N	CD	32063299
3218254	10679	1998-03-08	PRIJEM	PREVOD Z UCTU	49451	108743	\N	CD	32063299
3218255	10679	1998-04-08	PRIJEM	PREVOD Z UCTU	49451	88204	\N	CD	32063299
3218256	10679	1998-05-08	PRIJEM	PREVOD Z UCTU	49451	100074	\N	CD	32063299
3218257	10679	1998-06-08	PRIJEM	PREVOD Z UCTU	74176	120516	\N	CD	32063299
3218258	10679	1998-07-08	PRIJEM	PREVOD Z UCTU	49451	87188	\N	CD	32063299
3218259	10679	1998-08-08	PRIJEM	PREVOD Z UCTU	49451	101254	\N	CD	32063299
3218260	10679	1998-09-08	PRIJEM	PREVOD Z UCTU	49451	99527	\N	CD	32063299
3218261	10679	1998-10-08	PRIJEM	PREVOD Z UCTU	49451	110357	\N	CD	32063299
3218262	10679	1998-11-08	PRIJEM	PREVOD Z UCTU	49451	110281	\N	CD	32063299
3218263	10679	1998-12-08	PRIJEM	PREVOD Z UCTU	74176	116358	\N	CD	32063299
3218273	10679	1997-10-12	VYDAJ	PREVOD NA UCET	8242	85092	UVER	AB	88228171
3218274	10679	1997-11-12	VYDAJ	PREVOD NA UCET	8242	89907	UVER	AB	88228171
3218275	10679	1997-12-12	VYDAJ	PREVOD NA UCET	8242	74874	UVER	AB	88228171
3218276	10679	1998-01-12	VYDAJ	PREVOD NA UCET	8242	78020	UVER	AB	88228171
3218277	10679	1998-02-12	VYDAJ	PREVOD NA UCET	8242	92484	UVER	AB	88228171
3218278	10679	1998-03-12	VYDAJ	PREVOD NA UCET	8242	60001	UVER	AB	88228171
3218279	10679	1998-04-12	VYDAJ	PREVOD NA UCET	8242	79962	UVER	AB	88228171
3218280	10679	1998-05-12	VYDAJ	PREVOD NA UCET	8242	85162	UVER	AB	88228171
3218281	10679	1998-06-12	VYDAJ	PREVOD NA UCET	8242	56574	UVER	AB	88228171
3218282	10679	1998-07-12	VYDAJ	PREVOD NA UCET	8242	64476	UVER	AB	88228171
3218283	10679	1998-08-12	VYDAJ	PREVOD NA UCET	8242	86342	UVER	AB	88228171
3218284	10679	1998-09-12	VYDAJ	PREVOD NA UCET	8242	91285	UVER	AB	88228171
3218285	10679	1998-10-12	VYDAJ	PREVOD NA UCET	8242	102115	UVER	AB	88228171
3218286	10679	1998-11-12	VYDAJ	PREVOD NA UCET	8242	63439	UVER	AB	88228171
3218287	10679	1998-12-12	VYDAJ	PREVOD NA UCET	8242	53547	UVER	AB	88228171
3218297	10679	1997-10-12	VYDAJ	PREVOD NA UCET	6670	78422	SIPO	UV	90083878
3218298	10679	1997-11-12	VYDAJ	PREVOD NA UCET	6670	98148	SIPO	UV	90083878
3218299	10679	1997-12-12	VYDAJ	PREVOD NA UCET	6670	83115	SIPO	UV	90083878
3218300	10679	1998-01-12	VYDAJ	PREVOD NA UCET	6670	71350	SIPO	UV	90083878
3218301	10679	1998-02-12	VYDAJ	PREVOD NA UCET	6670	85814	SIPO	UV	90083878
3218302	10679	1998-03-12	VYDAJ	PREVOD NA UCET	6670	53331	SIPO	UV	90083878
3218303	10679	1998-04-12	VYDAJ	PREVOD NA UCET	6670	73292	SIPO	UV	90083878
3218304	10679	1998-05-12	VYDAJ	PREVOD NA UCET	6670	93404	SIPO	UV	90083878
3218305	10679	1998-06-12	VYDAJ	PREVOD NA UCET	6670	49904	SIPO	UV	90083878
3218306	10679	1998-07-12	VYDAJ	PREVOD NA UCET	6670	72718	SIPO	UV	90083878
3218307	10679	1998-08-12	VYDAJ	PREVOD NA UCET	6670	94584	SIPO	UV	90083878
3218308	10679	1998-09-12	VYDAJ	PREVOD NA UCET	6670	84615	SIPO	UV	90083878
3218309	10679	1998-10-12	VYDAJ	PREVOD NA UCET	6670	95445	SIPO	UV	90083878
3218310	10679	1998-11-12	VYDAJ	PREVOD NA UCET	6670	56769	SIPO	UV	90083878
3218311	10679	1998-12-12	VYDAJ	PREVOD NA UCET	6670	61788	SIPO	UV	90083878
3218312	10679	1997-12-13	VYBER	VYBER	23480	51394	\N	\N	\N
3218316	10679	1998-09-03	VYBER	VYBER	9027	50076	\N	\N	\N
3218318	10679	1998-06-02	VYDAJ	VYBER	12300	46340	\N	\N	\N
3218319	10679	1997-12-26	VYDAJ	VYBER	3000	45094	\N	\N	\N
3218320	10679	1998-12-19	VYDAJ	VYBER KARTOU	1800	51747	\N	\N	0
3218323	10679	1997-12-17	VYDAJ	VYBER	3300	48094	\N	\N	\N
3218327	10679	1998-07-09	VYDAJ	VYBER	7800	79388	\N	\N	\N
3218328	10679	1998-07-02	VYDAJ	VYBER KARTOU	3600	37737	\N	\N	0
3218339	10679	1997-10-31	VYDAJ	VYBER	15	55367	SLUZBY	\N	\N
3218340	10679	1997-11-30	VYDAJ	VYBER	15	60809	SLUZBY	\N	\N
3218341	10679	1997-12-31	VYDAJ	VYBER	15	36811	SLUZBY	\N	\N
3218342	10679	1998-01-31	VYDAJ	VYBER	15	51274	SLUZBY	\N	\N
3218343	10679	1998-02-28	VYDAJ	VYBER	15	59292	SLUZBY	\N	\N
3218344	10679	1998-03-31	VYDAJ	VYBER	15	38753	SLUZBY	\N	\N
3218345	10679	1998-04-30	VYDAJ	VYBER	15	50623	SLUZBY	\N	\N
3218346	10679	1998-05-31	VYDAJ	VYBER	15	58640	SLUZBY	\N	\N
3218347	10679	1998-06-30	VYDAJ	VYBER	15	41337	SLUZBY	\N	\N
3218348	10679	1998-07-31	VYDAJ	VYBER	15	51803	SLUZBY	\N	\N
3218349	10679	1998-08-31	VYDAJ	VYBER	15	59103	SLUZBY	\N	\N
3218350	10679	1998-09-30	VYDAJ	VYBER	15	60906	SLUZBY	\N	\N
3218351	10679	1998-10-31	VYDAJ	VYBER	15	60830	SLUZBY	\N	\N
3218352	10679	1998-11-30	VYDAJ	VYBER	15	42182	SLUZBY	\N	\N
3218353	10679	1997-06-29	VYDAJ	VYBER	27100	47976	\N	\N	\N
3218354	10679	1997-07-29	VYDAJ	VYBER	35300	62140	\N	\N	\N
3218355	10679	1997-08-08	VYDAJ	VYBER	17600	94197	\N	\N	\N
3218356	10679	1997-08-28	VYDAJ	VYBER	36100	58097	\N	\N	\N
3218357	10679	1997-09-08	VYDAJ	VYBER	45700	62238	\N	\N	\N
3218358	10679	1997-09-27	VYDAJ	VYBER	18600	43638	\N	\N	\N
3218359	10679	1997-10-27	VYDAJ	VYBER	23300	55122	\N	\N	\N
3218360	10679	1997-11-26	VYDAJ	VYBER	29400	60507	\N	\N	\N
3218361	10679	1997-12-08	VYDAJ	VYBER	45200	89785	\N	\N	\N
3218362	10679	1997-12-26	VYDAJ	VYBER	8500	36594	\N	\N	\N
3218363	10679	1998-01-25	VYDAJ	VYBER	20300	51050	\N	\N	\N
3218364	10679	1998-02-24	VYDAJ	VYBER	26800	59014	\N	\N	\N
3218365	10679	1998-03-08	VYDAJ	VYBER	40500	68243	\N	\N	\N
3218366	10679	1998-03-26	VYDAJ	VYBER	14800	38531	\N	\N	\N
3218367	10679	1998-04-25	VYDAJ	VYBER	22900	50392	\N	\N	\N
3218368	10679	1998-05-25	VYDAJ	VYBER	26800	58362	\N	\N	\N
3218369	10679	1998-06-08	VYDAJ	VYBER	55700	64816	\N	\N	\N
3218370	10679	1998-06-24	VYDAJ	VYBER	8800	41104	\N	\N	\N
3218371	10679	1998-07-24	VYDAJ	VYBER	12900	51576	\N	\N	\N
3218372	10679	1998-08-23	VYDAJ	VYBER	27500	58842	\N	\N	\N
3218373	10679	1998-09-22	VYDAJ	VYBER	24000	60615	\N	\N	\N
3218374	10679	1998-10-22	VYDAJ	VYBER	34900	60545	\N	\N	\N
3218375	10679	1998-11-08	VYDAJ	VYBER	38600	71681	\N	\N	\N
3218376	10679	1998-11-21	VYDAJ	VYBER	14800	41969	\N	\N	\N
3218377	10679	1998-12-08	VYDAJ	VYBER	47900	68458	\N	\N	\N
3222548	10694	1996-05-15	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3222549	10694	1996-09-05	PRIJEM	VKLAD	21813	118734	\N	\N	\N
3222554	10694	1996-09-19	PRIJEM	VKLAD	23702	61519	\N	\N	\N
3222556	10694	1996-06-23	PRIJEM	VKLAD	24530	36030	\N	\N	\N
3222559	10694	1996-09-04	PRIJEM	VKLAD	49571	96921	\N	\N	\N
3222563	10694	1996-09-04	PRIJEM	VKLAD	8931	47350	\N	\N	\N
3222565	10694	1996-11-09	PRIJEM	VKLAD	24409	41550	\N	\N	\N
3222567	10694	1996-06-29	PRIJEM	VKLAD	35045	88065	\N	\N	\N
3222568	10694	1996-12-05	PRIJEM	VKLAD	23320	51178	\N	\N	\N
3222569	10694	1996-06-24	PRIJEM	VKLAD	16990	53020	\N	\N	\N
3222570	10694	1996-09-09	PRIJEM	VKLAD	20283	112017	\N	\N	\N
3222573	10694	1996-09-24	PRIJEM	VKLAD	45377	106896	\N	\N	\N
3222575	10694	1997-09-06	PRIJEM	VKLAD	42101	56698	\N	\N	\N
3222576	10694	1997-07-16	PRIJEM	VKLAD	18681	19757	\N	\N	\N
3222577	10694	1997-01-01	PRIJEM	VKLAD	25703	41843	\N	\N	\N
3222578	10694	1997-03-15	PRIJEM	VKLAD	46641	66092	\N	\N	\N
3222579	10694	1997-02-11	PRIJEM	VKLAD	12203	34968	\N	\N	\N
3222580	10694	1998-05-04	PRIJEM	VKLAD	41254	35279	\N	\N	\N
3222581	10694	1998-06-27	PRIJEM	VKLAD	42619	55369	\N	\N	\N
3222582	10694	1998-12-14	PRIJEM	VKLAD	41421	44788	\N	\N	\N
3222583	10694	1998-12-28	PRIJEM	VKLAD	21823	53411	\N	\N	\N
3222584	10694	1998-05-18	PRIJEM	VKLAD	13535	30014	\N	\N	\N
3222593	10694	1996-09-14	VYDAJ	VYBER	8300	37817	SIPO	\N	0
3222594	10694	1996-10-07	VYDAJ	VYBER	8800	34566	SIPO	\N	0
3222595	10694	1996-10-27	VYDAJ	VYBER	9300	16966	SIPO	\N	0
3222596	10694	1996-12-11	VYDAJ	VYBER	9900	38878	SIPO	\N	0
3222597	10694	1996-12-31	VYDAJ	VYBER	7100	16140	SIPO	\N	0
3222598	10694	1997-02-12	VYDAJ	VYBER	6700	28268	SIPO	\N	0
3222599	10694	1997-02-25	VYDAJ	VYBER	10600	17668	SIPO	\N	0
3222600	10694	1997-04-11	VYDAJ	VYBER	7800	35603	SIPO	\N	0
3222601	10694	1997-04-29	VYDAJ	VYBER	7800	27803	SIPO	\N	0
3222602	10694	1997-06-14	VYDAJ	VYBER	8700	10202	SIPO	\N	0
3222603	10694	1997-06-29	VYDAJ	VYBER	9200	1002	SIPO	\N	0
3222604	10694	1997-07-29	VYDAJ	VYBER	9400	10357	SIPO	\N	0
3222605	10694	1997-09-09	VYDAJ	VYBER	8800	32298	SIPO	\N	0
3222606	10694	1997-10-07	VYDAJ	VYBER	6800	24731	SIPO	\N	0
3222607	10694	1997-11-02	VYDAJ	VYBER	7700	14868	SIPO	\N	0
3222608	10694	1997-12-06	VYDAJ	VYBER	10100	2533	SIPO	\N	0
3222613	10694	1998-05-03	VYDAJ	VYBER	8400	-5975	SIPO	\N	0
3222614	10694	1998-06-03	VYDAJ	VYBER	9200	20950	SIPO	\N	0
3222615	10694	1998-07-03	VYDAJ	VYBER	9700	44586	SIPO	\N	0
3222616	10694	1998-08-14	VYDAJ	VYBER	9500	8313	SIPO	\N	0
3222629	10694	1996-09-02	VYDAJ	VYBER	900	38419	POJISTNE	\N	0
3222630	10694	1996-10-04	VYDAJ	VYBER	800	43366	POJISTNE	\N	0
3222631	10694	1996-11-13	VYDAJ	VYBER	1100	29950	POJISTNE	\N	0
3222632	10694	1996-12-16	VYDAJ	VYBER	1100	25478	POJISTNE	\N	0
3222633	10694	1997-01-02	VYDAJ	VYBER	900	40943	POJISTNE	\N	0
3222634	10694	1997-02-10	VYDAJ	VYBER	1100	22765	POJISTNE	\N	0
3222635	10694	1997-03-03	VYDAJ	VYBER	900	16951	POJISTNE	\N	0
3222636	10694	1997-04-06	VYDAJ	VYBER	1200	65203	POJISTNE	\N	0
3222637	10694	1997-05-19	VYDAJ	VYBER	1000	19936	POJISTNE	\N	0
3222638	10694	1997-06-02	VYDAJ	VYBER	1200	18902	POJISTNE	\N	0
3222640	10694	1997-08-10	VYDAJ	VYBER	900	14529	POJISTNE	\N	0
3222641	10694	1997-09-09	VYDAJ	VYBER	1000	31298	POJISTNE	\N	0
3222642	10694	1997-10-18	VYDAJ	VYBER	1100	22431	POJISTNE	\N	0
3222643	10694	1997-11-14	VYDAJ	VYBER	1100	13768	POJISTNE	\N	0
3222644	10694	1997-12-04	VYDAJ	VYBER	1200	12633	POJISTNE	\N	0
3222649	10694	1998-05-04	VYDAJ	VYBER	1200	34079	POJISTNE	\N	0
3222650	10694	1998-06-04	VYDAJ	VYBER	1000	19950	POJISTNE	\N	0
3222651	10694	1998-07-02	VYDAJ	VYBER	1200	54286	POJISTNE	\N	0
3222652	10694	1998-08-19	VYDAJ	VYBER	800	7513	POJISTNE	\N	0
3222653	10694	1998-09-19	VYDAJ	VYBER	900	6671	POJISTNE	\N	0
3222654	10694	1998-10-17	VYDAJ	VYBER	1100	5563	POJISTNE	\N	0
3222655	10694	1998-11-19	VYDAJ	VYBER	1200	4370	POJISTNE	\N	0
3222656	10694	1998-12-12	VYDAJ	VYBER	1000	3367	POJISTNE	\N	0
3222663	10694	1996-11-30	VYBER	VYBER	2246	27888	\N	\N	\N
3222672	10694	1996-12-10	VYDAJ	VYBER	2400	48778	\N	\N	\N
3222674	10694	1998-12-28	VYDAJ	VYBER	6300	47111	\N	\N	\N
3222679	10694	1996-12-27	VYDAJ	VYBER	2400	23078	\N	\N	\N
3222687	10694	1997-02-03	VYDAJ	VYBER	5700	22165	\N	\N	\N
3222690	10694	1998-12-26	VYDAJ	VYBER	13200	31588	\N	\N	\N
3222700	10694	1996-09-30	VYDAJ	VYBER	30	44166	SLUZBY	\N	\N
3222701	10694	1996-10-31	VYDAJ	VYBER	30	17141	SLUZBY	\N	\N
3222702	10694	1996-11-30	VYDAJ	VYBER	30	27858	SLUZBY	\N	\N
3222703	10694	1996-12-31	VYDAJ	VYBER	30	23240	SLUZBY	\N	\N
3222704	10694	1997-01-31	VYDAJ	VYBER	30	27865	SLUZBY	\N	\N
3222705	10694	1997-02-28	VYDAJ	VYBER	30	17851	SLUZBY	\N	\N
3222706	10694	1997-03-31	VYDAJ	VYBER	30	66403	SLUZBY	\N	\N
3222707	10694	1997-04-30	VYDAJ	VYBER	30	28136	SLUZBY	\N	\N
3222708	10694	1997-05-31	VYDAJ	VYBER	30	20102	SLUZBY	\N	\N
3222709	10694	1997-06-30	VYDAJ	VYBER	30	1076	SLUZBY	\N	\N
3222710	10694	1997-07-31	VYDAJ	VYBER	30	10329	SLUZBY	\N	\N
3222711	10694	1997-08-31	VYDAJ	VYBER	30	14597	SLUZBY	\N	\N
3222712	10694	1997-09-30	VYDAJ	VYBER	30	31531	SLUZBY	\N	\N
3222713	10694	1997-10-31	VYDAJ	VYBER	30	22568	SLUZBY	\N	\N
3222714	10694	1997-11-30	VYDAJ	VYBER	30	13833	SLUZBY	\N	\N
3222715	10694	1997-12-31	VYDAJ	VYBER	30	2525	SLUZBY	\N	\N
3222716	10694	1998-01-31	VYDAJ	VYBER	30	2495	SLUZBY	\N	\N
3222717	10694	1998-02-28	VYDAJ	VYBER	30	2478	SLUZBY	\N	\N
3222718	10694	1998-03-31	VYDAJ	VYBER	30	2448	SLUZBY	\N	\N
3222719	10694	1998-04-30	VYDAJ	VYBER	30	2425	SLUZBY	\N	\N
3222720	10694	1998-05-31	VYDAJ	VYBER	30	30150	SLUZBY	\N	\N
3222721	10694	1998-06-30	VYDAJ	VYBER	30	55486	SLUZBY	\N	\N
3222722	10694	1998-07-31	VYDAJ	VYBER	30	19713	SLUZBY	\N	\N
3222723	10694	1998-08-31	VYDAJ	VYBER	30	7571	SLUZBY	\N	\N
3222724	10694	1998-09-30	VYDAJ	VYBER	30	6663	SLUZBY	\N	\N
3222725	10694	1998-10-31	VYDAJ	VYBER	30	5570	SLUZBY	\N	\N
3222726	10694	1998-11-30	VYDAJ	VYBER	30	4367	SLUZBY	\N	\N
3222727	10694	1996-06-14	PRIJEM	VKLAD	10500	11500	\N	\N	\N
3222728	10694	1996-07-14	VYDAJ	VYBER	33000	55185	\N	\N	\N
3222729	10694	1996-08-13	VYDAJ	VYBER	16600	38952	\N	\N	\N
3222730	10694	1996-09-05	VYDAJ	VYBER	27000	91734	\N	\N	\N
3222731	10694	1996-09-09	VYDAJ	VYBER	49600	62417	\N	\N	\N
3222732	10694	1996-09-12	VYDAJ	VYBER	16300	46117	\N	\N	\N
3222733	10694	1996-09-24	VYDAJ	VYBER	63300	43596	\N	\N	\N
3222734	10694	1996-10-12	VYDAJ	VYBER	8300	26266	\N	\N	\N
3222735	10694	1996-11-11	VYDAJ	VYBER	10500	31050	\N	\N	\N
3222736	10694	1996-12-11	VYDAJ	VYBER	12300	26578	\N	\N	\N
3222737	10694	1997-01-10	VYDAJ	VYBER	13300	27643	\N	\N	\N
3222738	10694	1997-02-09	PRIJEM	VKLAD	1700	23865	\N	\N	\N
3222739	10694	1997-03-11	PRIJEM	VKLAD	2500	19451	\N	\N	\N
3222740	10694	1997-04-10	VYDAJ	VYBER	21800	43403	\N	\N	\N
3222741	10694	1997-05-10	VYDAJ	VYBER	7200	20936	\N	\N	\N
3222742	10694	1997-08-08	PRIJEM	VKLAD	5100	15429	\N	\N	\N
3222743	10694	1997-09-07	VYDAJ	VYBER	15600	41098	\N	\N	\N
3222744	10694	1997-10-07	VYDAJ	VYBER	1200	23531	\N	\N	\N
3222745	10694	1998-05-05	VYDAJ	VYBER	17600	16479	\N	\N	\N
3222746	10694	1998-06-04	VYDAJ	VYBER	7200	12750	\N	\N	\N
3222747	10694	1998-07-04	VYDAJ	VYBER	25000	19586	\N	\N	\N
3222748	10694	1998-08-03	VYDAJ	VYBER	1900	17813	\N	\N	\N
3227345	10710	1995-10-30	PRIJEM	VKLAD	900	900	\N	\N	\N
3227361	10710	1996-07-16	PRIJEM	VKLAD	21574	71186	\N	\N	\N
3227362	10710	1996-08-18	PRIJEM	VKLAD	38682	85503	\N	\N	\N
3227363	10710	1996-12-24	PRIJEM	VKLAD	23390	57690	\N	\N	\N
3227364	10710	1996-06-07	PRIJEM	VKLAD	49862	78313	\N	\N	\N
3227365	10710	1996-10-17	PRIJEM	VKLAD	32536	88999	\N	\N	\N
3227366	10710	1996-02-23	PRIJEM	VKLAD	28927	48627	\N	\N	\N
3227367	10710	1996-08-27	PRIJEM	VKLAD	39874	95077	\N	\N	\N
3227368	10710	1997-09-12	PRIJEM	VKLAD	47303	129263	\N	\N	\N
3227369	10710	1997-09-10	PRIJEM	VKLAD	14945	81960	\N	\N	\N
3227370	10710	1997-08-01	PRIJEM	VKLAD	43353	103713	\N	\N	\N
3227371	10710	1997-07-25	PRIJEM	VKLAD	48148	64370	\N	\N	\N
3227372	10710	1998-03-26	PRIJEM	VKLAD	34679	73331	\N	\N	\N
3227373	10710	1998-07-01	PRIJEM	VKLAD	26851	50811	\N	\N	\N
3227374	10710	1998-08-16	PRIJEM	VKLAD	8973	39116	\N	\N	\N
3227375	10710	1998-12-22	PRIJEM	VKLAD	28700	60374	\N	\N	\N
3227376	10710	1998-07-06	PRIJEM	VKLAD	9379	60190	\N	\N	\N
3227377	10710	1998-03-22	PRIJEM	VKLAD	21215	38652	\N	\N	\N
3227378	10710	1998-11-26	PRIJEM	VKLAD	21749	47177	\N	\N	\N
3227388	10710	1996-09-29	VYBER	VYBER	2588	56069	\N	\N	\N
3227390	10710	1997-12-06	VYBER	VYBER	10292	11962	\N	\N	\N
3227393	10710	1997-01-28	VYBER	VYBER	11745	6486	\N	\N	\N
3227394	10710	1997-05-02	VYBER	VYBER	7475	20989	\N	\N	\N
3227395	10710	1997-02-26	VYBER	VYBER	13145	2822	\N	\N	\N
3227396	10710	1997-07-16	VYBER	VYBER	12544	5422	\N	\N	\N
3227397	10710	1997-05-08	VYBER	VYBER	13944	7045	\N	\N	\N
3227398	10710	1997-05-26	VYBER	VYBER	7348	11397	\N	\N	\N
3227400	10710	1997-11-07	VYBER	VYBER	17770	15239	\N	\N	\N
3227401	10710	1997-07-27	VYBER	VYBER	4220	60150	\N	\N	\N
3227402	10710	1997-01-04	VYBER	VYBER	7003	48531	\N	\N	\N
3227403	10710	1998-06-15	VYBER	VYBER	8789	20872	\N	\N	\N
3227404	10710	1998-12-17	VYBER	VYBER	8972	31674	\N	\N	\N
3227407	10710	1998-03-01	VYBER	VYBER	2008	12337	\N	\N	\N
3227408	10710	1998-09-09	VYBER	VYBER	6633	30899	\N	\N	\N
3227410	10710	1998-07-20	VYBER	VYBER	2466	40824	\N	\N	\N
3227411	10710	1998-05-08	VYBER	VYBER	15169	32367	\N	\N	\N
3227418	10710	1997-01-12	VYDAJ	VYBER	16500	8931	\N	\N	\N
3227421	10710	1996-12-02	VYDAJ	VYBER	8700	36700	\N	\N	\N
3227422	10710	1997-12-23	VYDAJ	VYBER	5100	11662	\N	\N	\N
3227423	10710	1998-12-14	VYDAJ	VYBER	2700	40646	\N	\N	\N
3227436	10710	1997-01-01	VYDAJ	VYBER	2400	55534	\N	\N	\N
3227437	10710	1997-01-29	VYDAJ	VYBER	6900	-414	\N	\N	\N
3227438	10710	1997-01-11	VYDAJ	VYBER	6600	28731	\N	\N	\N
3227439	10710	1997-01-05	VYDAJ	VYBER	8100	35331	\N	\N	\N
3227440	10710	1997-01-04	VYDAJ	VYBER	5100	43431	\N	\N	\N
3227441	10710	1997-01-12	VYDAJ	VYBER	3300	25431	\N	\N	\N
3227442	10710	1998-01-18	VYDAJ	VYBER	8400	987	\N	\N	\N
3227443	10710	1998-01-05	VYDAJ	VYBER	8700	-213	\N	\N	\N
3227444	10710	1998-01-03	VYDAJ	VYBER	3300	8487	\N	\N	\N
3227456	10710	1996-09-14	VYDAJ	VYBER	9900	85457	\N	\N	\N
3227458	10710	1997-11-26	VYDAJ	VYBER	2100	22039	\N	\N	\N
3227459	10710	1997-06-01	VYDAJ	VYBER	6900	4571	\N	\N	\N
3227460	10710	1997-09-23	VYDAJ	VYBER	8100	41463	\N	\N	\N
3227461	10710	1997-09-22	VYDAJ	VYBER	12300	49563	\N	\N	\N
3227463	10710	1997-10-11	VYDAJ	VYBER	5100	36915	\N	\N	\N
3227464	10710	1998-08-25	VYDAJ	VYBER	1800	37316	\N	\N	\N
3227465	10710	1998-04-19	VYDAJ	VYBER	1500	47047	\N	\N	\N
3227466	10710	1998-08-01	VYDAJ	VYBER	14700	26443	\N	\N	\N
3227467	10710	1998-11-12	VYDAJ	VYBER	10800	15028	\N	\N	\N
3227468	10710	1998-10-09	VYDAJ	VYBER	13800	18283	\N	\N	\N
3227489	10710	1996-08-31	VYDAJ	VYBER	15	95357	SLUZBY	\N	\N
3227490	10710	1996-09-30	VYDAJ	VYBER	15	56463	SLUZBY	\N	\N
3227491	10710	1996-10-31	VYDAJ	VYBER	15	58175	SLUZBY	\N	\N
3227492	10710	1996-11-30	VYDAJ	VYBER	15	45400	SLUZBY	\N	\N
3227493	10710	1996-12-31	VYDAJ	VYBER	15	57934	SLUZBY	\N	\N
3227494	10710	1997-01-31	VYDAJ	VYBER	15	-231	SLUZBY	\N	\N
3227495	10710	1997-02-28	VYDAJ	VYBER	15	2803	SLUZBY	\N	\N
3227496	10710	1997-03-31	VYDAJ	VYBER	15	20395	SLUZBY	\N	\N
3227497	10710	1997-04-30	VYDAJ	VYBER	15	28464	SLUZBY	\N	\N
3227498	10710	1997-05-31	VYDAJ	VYBER	15	11471	SLUZBY	\N	\N
3227499	10710	1997-06-30	VYDAJ	VYBER	15	17966	SLUZBY	\N	\N
3227500	10710	1997-07-31	VYDAJ	VYBER	15	60360	SLUZBY	\N	\N
3227501	10710	1997-08-31	VYDAJ	VYBER	15	67015	SLUZBY	\N	\N
3227502	10710	1997-09-30	VYDAJ	VYBER	15	42015	SLUZBY	\N	\N
3227503	10710	1997-10-31	VYDAJ	VYBER	15	33009	SLUZBY	\N	\N
3227504	10710	1997-11-30	VYDAJ	VYBER	15	22254	SLUZBY	\N	\N
3227505	10710	1997-12-31	VYDAJ	VYBER	15	11787	SLUZBY	\N	\N
3227506	10710	1998-01-31	VYDAJ	VYBER	15	967	SLUZBY	\N	\N
3227507	10710	1998-02-28	VYDAJ	VYBER	15	14345	SLUZBY	\N	\N
3227508	10710	1998-03-31	VYDAJ	VYBER	15	73547	SLUZBY	\N	\N
3227509	10710	1998-04-30	VYDAJ	VYBER	15	47536	SLUZBY	\N	\N
3227510	10710	1998-05-31	VYDAJ	VYBER	15	29661	SLUZBY	\N	\N
3227511	10710	1998-06-30	VYDAJ	VYBER	15	23960	SLUZBY	\N	\N
3227512	10710	1998-07-31	VYDAJ	VYBER	15	41143	SLUZBY	\N	\N
3227513	10710	1998-08-31	VYDAJ	VYBER	15	37532	SLUZBY	\N	\N
3227514	10710	1998-09-30	VYDAJ	VYBER	15	32083	SLUZBY	\N	\N
3227515	10710	1998-10-31	VYDAJ	VYBER	15	25828	SLUZBY	\N	\N
3227516	10710	1998-11-30	VYDAJ	VYBER	15	47346	SLUZBY	\N	\N
3227517	10710	1995-11-29	PRIJEM	VKLAD	13700	14600	\N	\N	\N
3227518	10710	1995-12-29	PRIJEM	VKLAD	3300	17900	\N	\N	\N
3227519	10710	1996-01-28	PRIJEM	VKLAD	1800	19700	\N	\N	\N
3227520	10710	1996-02-27	VYDAJ	VYBER	9000	39627	\N	\N	\N
3227521	10710	1996-03-28	VYDAJ	VYBER	7000	32656	\N	\N	\N
3227522	10710	1996-04-27	VYDAJ	VYBER	2000	30821	\N	\N	\N
3227523	10710	1996-05-27	VYDAJ	VYBER	2700	28286	\N	\N	\N
3227524	10710	1996-06-26	VYDAJ	VYBER	28900	49413	\N	\N	\N
3227525	10710	1996-07-26	VYDAJ	VYBER	24600	46586	\N	\N	\N
3227526	10710	1996-08-25	VYDAJ	VYBER	30300	55203	\N	\N	\N
3227527	10710	1996-09-24	VYDAJ	VYBER	26800	58657	\N	\N	\N
3227528	10710	1996-10-24	VYDAJ	VYBER	31100	57899	\N	\N	\N
3227529	10710	1996-11-23	VYDAJ	VYBER	13000	45175	\N	\N	\N
3227530	10710	1996-12-23	VYDAJ	VYBER	2400	34300	\N	\N	\N
3227531	10710	1997-01-22	PRIJEM	VKLAD	9300	18231	\N	\N	\N
3227532	10710	1997-02-21	PRIJEM	VKLAD	16200	15967	\N	\N	\N
3227533	10710	1997-03-23	PRIJEM	VKLAD	17600	20397	\N	\N	\N
3227534	10710	1997-04-22	PRIJEM	VKLAD	8000	28395	\N	\N	\N
3227535	10710	1997-05-22	PRIJEM	VKLAD	11700	18745	\N	\N	\N
3227536	10710	1997-06-21	PRIJEM	VKLAD	13300	17871	\N	\N	\N
3227537	10710	1997-07-21	PRIJEM	VKLAD	10800	16222	\N	\N	\N
3227538	10710	1997-08-20	VYDAJ	VYBER	37200	66513	\N	\N	\N
3227539	10710	1997-09-12	VYDAJ	VYBER	33900	95363	\N	\N	\N
3227540	10710	1997-09-19	VYDAJ	VYBER	33500	61863	\N	\N	\N
3227541	10710	1997-10-19	VYDAJ	VYBER	4100	32815	\N	\N	\N
3227542	10710	1997-11-18	PRIJEM	VKLAD	8900	24139	\N	\N	\N
3227543	10710	1997-12-18	PRIJEM	VKLAD	4800	16762	\N	\N	\N
3227544	10710	1998-01-17	PRIJEM	VKLAD	9600	9387	\N	\N	\N
3227545	10710	1998-02-16	PRIJEM	VKLAD	13400	14367	\N	\N	\N
3227546	10710	1998-03-18	PRIJEM	VKLAD	5100	17437	\N	\N	\N
3227547	10710	1998-04-17	VYDAJ	VYBER	25000	48547	\N	\N	\N
3227548	10710	1998-05-17	VYDAJ	VYBER	2900	29467	\N	\N	\N
3227549	10710	1998-06-16	PRIJEM	VKLAD	2900	23772	\N	\N	\N
3227550	10710	1998-07-16	VYDAJ	VYBER	16900	43290	\N	\N	\N
3227551	10710	1998-08-15	PRIJEM	VKLAD	3700	30143	\N	\N	\N
3227552	10710	1998-09-14	PRIJEM	VKLAD	1000	31899	\N	\N	\N
3227553	10710	1998-10-14	PRIJEM	VKLAD	7400	25683	\N	\N	\N
3227554	10710	1998-11-13	PRIJEM	VKLAD	10400	25428	\N	\N	\N
3227555	10710	1998-12-13	VYDAJ	VYBER	4000	43346	\N	\N	\N
3227595	10711	1996-07-08	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3227603	10711	1996-08-07	PRIJEM	VKLAD	22044	23144	\N	\N	\N
3227604	10711	1996-09-07	PRIJEM	VKLAD	22044	47176	\N	\N	\N
3227605	10711	1996-10-07	PRIJEM	VKLAD	22044	62199	\N	\N	\N
3227606	10711	1996-11-07	PRIJEM	VKLAD	22044	68890	\N	\N	\N
3227607	10711	1996-12-07	PRIJEM	VKLAD	33066	89137	\N	\N	\N
3227608	10711	1997-01-07	PRIJEM	VKLAD	22044	81512	\N	\N	\N
3227609	10711	1997-02-07	PRIJEM	VKLAD	22044	83615	\N	\N	\N
3227610	10711	1997-03-07	PRIJEM	VKLAD	22044	81920	\N	\N	\N
3227611	10711	1997-04-07	PRIJEM	VKLAD	22044	84922	\N	\N	\N
3227612	10711	1997-05-07	PRIJEM	VKLAD	22044	83933	\N	\N	\N
3227613	10711	1997-06-07	PRIJEM	VKLAD	33066	95546	\N	\N	\N
3227614	10711	1997-07-07	PRIJEM	VKLAD	22044	93390	\N	\N	\N
3227615	10711	1997-08-07	PRIJEM	VKLAD	22044	94740	\N	\N	\N
3227616	10711	1997-09-07	PRIJEM	VKLAD	22044	91873	\N	\N	\N
3227617	10711	1997-10-07	PRIJEM	VKLAD	22044	88505	\N	\N	\N
3227618	10711	1997-11-07	PRIJEM	VKLAD	22044	89321	\N	\N	\N
3227619	10711	1997-12-07	PRIJEM	VKLAD	33066	97337	\N	\N	\N
3227620	10711	1998-01-07	PRIJEM	VKLAD	22044	92380	\N	\N	\N
3227621	10711	1998-02-07	PRIJEM	VKLAD	22044	90998	\N	\N	\N
3227622	10711	1998-03-07	PRIJEM	VKLAD	22044	90671	\N	\N	\N
3227623	10711	1998-04-07	PRIJEM	VKLAD	22044	92585	\N	\N	\N
3227624	10711	1998-05-07	PRIJEM	VKLAD	22044	89805	\N	\N	\N
3227625	10711	1998-06-07	PRIJEM	VKLAD	33066	98534	\N	\N	\N
3227626	10711	1998-07-07	PRIJEM	VKLAD	22044	92265	\N	\N	\N
3227627	10711	1998-08-07	PRIJEM	VKLAD	22044	90078	\N	\N	\N
3227628	10711	1998-09-07	PRIJEM	VKLAD	22044	82365	\N	\N	\N
3227629	10711	1998-10-07	PRIJEM	VKLAD	22044	80788	\N	\N	\N
3227630	10711	1998-11-07	PRIJEM	VKLAD	22044	81352	\N	\N	\N
3227631	10711	1998-12-07	PRIJEM	VKLAD	33066	90235	\N	\N	\N
3227643	10711	1996-12-10	VYDAJ	PREVOD NA UCET	2714	85267	SIPO	MN	4543543
3227644	10711	1997-01-10	VYDAJ	PREVOD NA UCET	2714	77942	SIPO	MN	4543543
3227645	10711	1997-02-10	VYDAJ	PREVOD NA UCET	2714	80045	SIPO	MN	4543543
3227646	10711	1997-03-10	VYDAJ	PREVOD NA UCET	2714	78350	SIPO	MN	4543543
3227647	10711	1997-04-10	VYDAJ	PREVOD NA UCET	2714	80952	SIPO	MN	4543543
3227648	10711	1997-05-10	VYDAJ	PREVOD NA UCET	2714	80363	SIPO	MN	4543543
3227649	10711	1997-06-10	VYDAJ	PREVOD NA UCET	2714	91576	SIPO	MN	4543543
3227650	10711	1997-07-10	VYDAJ	PREVOD NA UCET	2714	89820	SIPO	MN	4543543
3227651	10711	1997-08-10	VYDAJ	PREVOD NA UCET	2714	91170	SIPO	MN	4543543
3227652	10711	1997-09-10	VYDAJ	PREVOD NA UCET	2714	88303	SIPO	MN	4543543
3227653	10711	1997-10-10	VYDAJ	PREVOD NA UCET	2714	84935	SIPO	MN	4543543
3227654	10711	1997-11-10	VYDAJ	PREVOD NA UCET	2714	85451	SIPO	MN	4543543
3227655	10711	1997-12-10	VYDAJ	PREVOD NA UCET	2714	89207	SIPO	MN	4543543
3227656	10711	1998-01-10	VYDAJ	PREVOD NA UCET	2714	88810	SIPO	MN	4543543
3227657	10711	1998-02-10	VYDAJ	PREVOD NA UCET	2714	87428	SIPO	MN	4543543
3227658	10711	1998-03-10	VYDAJ	PREVOD NA UCET	2714	87101	SIPO	MN	4543543
3227659	10711	1998-04-10	VYDAJ	PREVOD NA UCET	2714	89015	SIPO	MN	4543543
3227660	10711	1998-05-10	VYDAJ	PREVOD NA UCET	2714	86235	SIPO	MN	4543543
3227661	10711	1998-06-10	VYDAJ	PREVOD NA UCET	2714	94964	SIPO	MN	4543543
3227662	10711	1998-07-10	VYDAJ	PREVOD NA UCET	2714	88695	SIPO	MN	4543543
3227663	10711	1998-08-10	VYDAJ	PREVOD NA UCET	2714	81708	SIPO	MN	4543543
3227664	10711	1998-09-10	VYDAJ	PREVOD NA UCET	2714	75675	SIPO	MN	4543543
3227665	10711	1998-10-10	VYDAJ	PREVOD NA UCET	2714	77218	SIPO	MN	4543543
3227666	10711	1998-11-10	VYDAJ	PREVOD NA UCET	2714	77782	SIPO	MN	4543543
3227667	10711	1998-12-10	VYDAJ	PREVOD NA UCET	2714	86665	SIPO	MN	4543543
3227679	10711	1996-12-08	VYDAJ	PREVOD NA UCET	413	87981	 	OP	49912905
3227680	10711	1997-01-08	VYDAJ	PREVOD NA UCET	413	80656	 	OP	49912905
3227681	10711	1997-02-08	VYDAJ	PREVOD NA UCET	413	82759	 	OP	49912905
3227682	10711	1997-03-08	VYDAJ	PREVOD NA UCET	413	81064	 	OP	49912905
3227683	10711	1997-04-08	VYDAJ	PREVOD NA UCET	413	83666	 	OP	49912905
3227684	10711	1997-05-08	VYDAJ	PREVOD NA UCET	413	83077	 	OP	49912905
3227685	10711	1997-06-08	VYDAJ	PREVOD NA UCET	413	94690	 	OP	49912905
3227686	10711	1997-07-08	VYDAJ	PREVOD NA UCET	413	92534	 	OP	49912905
3227687	10711	1997-08-08	VYDAJ	PREVOD NA UCET	413	93884	 	OP	49912905
3227688	10711	1997-09-08	VYDAJ	PREVOD NA UCET	413	91017	 	OP	49912905
3227689	10711	1997-10-08	VYDAJ	PREVOD NA UCET	413	87649	 	OP	49912905
3227690	10711	1997-11-08	VYDAJ	PREVOD NA UCET	413	88465	 	OP	49912905
3227691	10711	1997-12-08	VYDAJ	PREVOD NA UCET	413	96081	 	OP	49912905
3227692	10711	1998-01-08	VYDAJ	PREVOD NA UCET	413	91524	 	OP	49912905
3227693	10711	1998-02-08	VYDAJ	PREVOD NA UCET	413	90142	 	OP	49912905
3227694	10711	1998-03-08	VYDAJ	PREVOD NA UCET	413	89815	 	OP	49912905
3227695	10711	1998-04-08	VYDAJ	PREVOD NA UCET	413	91729	 	OP	49912905
3227696	10711	1998-05-08	VYDAJ	PREVOD NA UCET	413	88949	 	OP	49912905
3227697	10711	1998-06-08	VYDAJ	PREVOD NA UCET	413	97678	 	OP	49912905
3227698	10711	1998-07-08	VYDAJ	PREVOD NA UCET	413	91409	 	OP	49912905
3227699	10711	1998-08-08	VYDAJ	PREVOD NA UCET	413	89222	 	OP	49912905
3227700	10711	1998-09-08	VYDAJ	PREVOD NA UCET	413	78389	 	OP	49912905
3227701	10711	1998-10-08	VYDAJ	PREVOD NA UCET	413	79932	 	OP	49912905
3227702	10711	1998-11-08	VYDAJ	PREVOD NA UCET	413	80496	 	OP	49912905
3227703	10711	1998-12-08	VYDAJ	PREVOD NA UCET	413	89379	 	OP	49912905
3227715	10711	1996-12-13	VYDAJ	PREVOD NA UCET	85	85182	POJISTNE	WX	75319576
3227716	10711	1997-01-13	VYDAJ	PREVOD NA UCET	85	77557	POJISTNE	WX	75319576
3227717	10711	1997-02-13	VYDAJ	PREVOD NA UCET	85	79960	POJISTNE	WX	75319576
3227718	10711	1997-03-13	VYDAJ	PREVOD NA UCET	85	78265	POJISTNE	WX	75319576
3227719	10711	1997-04-13	VYDAJ	PREVOD NA UCET	85	80867	POJISTNE	WX	75319576
3227720	10711	1997-05-13	VYDAJ	PREVOD NA UCET	85	80278	POJISTNE	WX	75319576
3227721	10711	1997-06-13	VYDAJ	PREVOD NA UCET	85	91491	POJISTNE	WX	75319576
3227722	10711	1997-07-13	VYDAJ	PREVOD NA UCET	85	89735	POJISTNE	WX	75319576
3227723	10711	1997-08-13	VYDAJ	PREVOD NA UCET	85	90685	POJISTNE	WX	75319576
3227724	10711	1997-09-13	VYDAJ	PREVOD NA UCET	85	83618	POJISTNE	WX	75319576
3227725	10711	1997-10-13	VYDAJ	PREVOD NA UCET	85	84850	POJISTNE	WX	75319576
3227726	10711	1997-11-13	VYDAJ	PREVOD NA UCET	85	85366	POJISTNE	WX	75319576
3227727	10711	1997-12-13	VYDAJ	PREVOD NA UCET	85	89122	POJISTNE	WX	75319576
3227728	10711	1998-01-13	VYDAJ	PREVOD NA UCET	85	88322	POJISTNE	WX	75319576
3227729	10711	1998-02-13	VYDAJ	PREVOD NA UCET	85	86940	POJISTNE	WX	75319576
3227730	10711	1998-03-13	VYDAJ	PREVOD NA UCET	85	86613	POJISTNE	WX	75319576
3227731	10711	1998-04-13	VYDAJ	PREVOD NA UCET	85	88527	POJISTNE	WX	75319576
3227732	10711	1998-05-13	VYDAJ	PREVOD NA UCET	85	85747	POJISTNE	WX	75319576
3227733	10711	1998-06-13	VYDAJ	PREVOD NA UCET	85	94476	POJISTNE	WX	75319576
3227734	10711	1998-07-13	VYDAJ	PREVOD NA UCET	85	88207	POJISTNE	WX	75319576
3227735	10711	1998-08-13	VYDAJ	PREVOD NA UCET	85	81220	POJISTNE	WX	75319576
3227736	10711	1998-09-13	VYDAJ	PREVOD NA UCET	85	75187	POJISTNE	WX	75319576
3227737	10711	1998-10-13	VYDAJ	PREVOD NA UCET	85	76730	POJISTNE	WX	75319576
3227738	10711	1998-11-13	VYDAJ	PREVOD NA UCET	85	77294	POJISTNE	WX	75319576
3227739	10711	1998-12-13	VYDAJ	PREVOD NA UCET	85	81697	POJISTNE	WX	75319576
3227751	10711	1996-12-07	VYDAJ	PREVOD NA UCET	443	88694	 	EF	39264708
3227752	10711	1997-01-07	VYDAJ	PREVOD NA UCET	443	81069	 	EF	39264708
3227753	10711	1997-02-07	VYDAJ	PREVOD NA UCET	443	83172	 	EF	39264708
3227754	10711	1997-03-07	VYDAJ	PREVOD NA UCET	443	81477	 	EF	39264708
3227755	10711	1997-04-07	VYDAJ	PREVOD NA UCET	443	84479	 	EF	39264708
3227756	10711	1997-05-07	VYDAJ	PREVOD NA UCET	443	83490	 	EF	39264708
3227757	10711	1997-06-07	VYDAJ	PREVOD NA UCET	443	95103	 	EF	39264708
3227758	10711	1997-07-07	VYDAJ	PREVOD NA UCET	443	92947	 	EF	39264708
3227759	10711	1997-08-07	VYDAJ	PREVOD NA UCET	443	94297	 	EF	39264708
3227760	10711	1997-09-07	VYDAJ	PREVOD NA UCET	443	91430	 	EF	39264708
3227761	10711	1997-10-07	VYDAJ	PREVOD NA UCET	443	88062	 	EF	39264708
3227762	10711	1997-11-07	VYDAJ	PREVOD NA UCET	443	88878	 	EF	39264708
3227763	10711	1997-12-07	VYDAJ	PREVOD NA UCET	443	96494	 	EF	39264708
3227764	10711	1998-01-07	VYDAJ	PREVOD NA UCET	443	91937	 	EF	39264708
3227765	10711	1998-02-07	VYDAJ	PREVOD NA UCET	443	90555	 	EF	39264708
3227766	10711	1998-03-07	VYDAJ	PREVOD NA UCET	443	90228	 	EF	39264708
3227767	10711	1998-04-07	VYDAJ	PREVOD NA UCET	443	92142	 	EF	39264708
3227768	10711	1998-05-07	VYDAJ	PREVOD NA UCET	443	89362	 	EF	39264708
3227769	10711	1998-06-07	VYDAJ	PREVOD NA UCET	443	98091	 	EF	39264708
3227770	10711	1998-07-07	VYDAJ	PREVOD NA UCET	443	91822	 	EF	39264708
3227771	10711	1998-08-07	VYDAJ	PREVOD NA UCET	443	89635	 	EF	39264708
3227772	10711	1998-09-07	VYDAJ	PREVOD NA UCET	443	81922	 	EF	39264708
3227773	10711	1998-10-07	VYDAJ	PREVOD NA UCET	443	80345	 	EF	39264708
3227774	10711	1998-11-07	VYDAJ	PREVOD NA UCET	443	80909	 	EF	39264708
3227775	10711	1998-12-07	VYDAJ	PREVOD NA UCET	443	89792	 	EF	39264708
3227787	10711	1996-12-08	VYDAJ	VYBER	300	88394	\N	\N	0
3227788	10711	1997-01-12	VYDAJ	VYBER	300	77642	\N	\N	0
3227789	10711	1997-02-06	VYDAJ	VYBER	300	61571	\N	\N	0
3227790	10711	1997-03-19	VYDAJ	VYBER	300	77965	\N	\N	0
3227791	10711	1997-04-08	VYDAJ	VYBER	400	84079	\N	\N	0
3227792	10711	1997-05-04	VYDAJ	VYBER	300	61889	\N	\N	0
3227793	10711	1997-06-09	VYDAJ	VYBER	400	94290	\N	\N	0
3227794	10711	1997-07-20	VYDAJ	VYBER	300	89435	\N	\N	0
3227795	10711	1997-08-11	VYDAJ	VYBER	400	90770	\N	\N	0
3227796	10711	1997-09-12	VYDAJ	VYBER	400	87903	\N	\N	0
3227797	10711	1997-10-03	VYDAJ	VYBER	300	66461	\N	\N	0
3227798	10711	1997-11-09	VYDAJ	VYBER	300	88165	\N	\N	0
3227799	10711	1997-12-07	VYDAJ	VYBER	400	96937	\N	\N	0
3227800	10711	1998-01-12	VYDAJ	PREVOD NA UCET	403	88407	UVER	GH	56366127
3227801	10711	1998-02-12	VYDAJ	PREVOD NA UCET	403	87025	UVER	GH	56366127
3227802	10711	1998-03-12	VYDAJ	PREVOD NA UCET	403	86698	UVER	GH	56366127
3227803	10711	1998-04-12	VYDAJ	PREVOD NA UCET	403	88612	UVER	GH	56366127
3227804	10711	1998-05-12	VYDAJ	PREVOD NA UCET	403	85832	UVER	GH	56366127
3227805	10711	1998-06-12	VYDAJ	PREVOD NA UCET	403	94561	UVER	GH	56366127
3227806	10711	1998-07-12	VYDAJ	PREVOD NA UCET	403	88292	UVER	GH	56366127
3227807	10711	1998-08-12	VYDAJ	PREVOD NA UCET	403	81305	UVER	GH	56366127
3227808	10711	1998-09-12	VYDAJ	PREVOD NA UCET	403	75272	UVER	GH	56366127
3227809	10711	1998-10-12	VYDAJ	PREVOD NA UCET	403	76815	UVER	GH	56366127
3227810	10711	1998-11-12	VYDAJ	PREVOD NA UCET	403	77379	UVER	GH	56366127
3227811	10711	1998-12-12	VYDAJ	PREVOD NA UCET	403	81782	UVER	GH	56366127
3227812	10711	1996-12-26	VYDAJ	VYBER	3040	82142	\N	\N	\N
3227813	10711	1997-12-08	VYDAJ	VYBER	4160	91921	\N	\N	\N
3227814	10711	1998-12-12	VYDAJ	VYBER	4480	82185	\N	\N	\N
3227823	10711	1997-05-16	VYDAJ	VYBER	5400	74878	\N	\N	\N
3227824	10711	1997-08-29	VYDAJ	VYBER	1320	89365	\N	\N	\N
3227825	10711	1997-09-13	VYDAJ	VYBER	4200	83703	\N	\N	\N
3227826	10711	1997-12-06	VYDAJ	VYBER	720	64271	\N	\N	\N
3227827	10711	1997-12-29	VYDAJ	VYBER	2520	86602	\N	\N	\N
3227828	10711	1998-10-02	VYDAJ	VYBER	2520	58744	\N	\N	\N
3227829	10711	1998-02-24	VYDAJ	VYBER	3240	83700	\N	\N	\N
3227830	10711	1998-08-09	VYDAJ	VYBER	4800	84422	\N	\N	\N
3227831	10711	1998-09-08	VYDAJ	VYBER	3120	78802	\N	\N	\N
3227844	10711	1996-12-31	VYDAJ	VYBER	15	82468	SLUZBY	\N	\N
3227845	10711	1997-01-31	VYDAJ	VYBER	15	77871	SLUZBY	\N	\N
3227846	10711	1997-02-28	VYDAJ	VYBER	15	80276	SLUZBY	\N	\N
3227847	10711	1997-03-31	VYDAJ	VYBER	15	78278	SLUZBY	\N	\N
3227848	10711	1997-04-30	VYDAJ	VYBER	15	81189	SLUZBY	\N	\N
3227849	10711	1997-05-31	VYDAJ	VYBER	15	75180	SLUZBY	\N	\N
3227850	10711	1997-06-30	VYDAJ	VYBER	15	91846	SLUZBY	\N	\N
3227851	10711	1997-07-31	VYDAJ	VYBER	15	89796	SLUZBY	\N	\N
3227852	10711	1997-08-31	VYDAJ	VYBER	15	89729	SLUZBY	\N	\N
3227853	10711	1997-09-30	VYDAJ	VYBER	15	83961	SLUZBY	\N	\N
3227854	10711	1997-10-31	VYDAJ	VYBER	15	67277	SLUZBY	\N	\N
3227855	10711	1997-11-30	VYDAJ	VYBER	15	64991	SLUZBY	\N	\N
3227856	10711	1997-12-31	VYDAJ	VYBER	15	70336	SLUZBY	\N	\N
3227857	10711	1998-01-31	VYDAJ	VYBER	15	68954	SLUZBY	\N	\N
3227858	10711	1998-02-28	VYDAJ	VYBER	15	84027	SLUZBY	\N	\N
3227859	10711	1998-03-31	VYDAJ	VYBER	15	70541	SLUZBY	\N	\N
3227860	10711	1998-04-30	VYDAJ	VYBER	15	67761	SLUZBY	\N	\N
3227861	10711	1998-05-31	VYDAJ	VYBER	15	65468	SLUZBY	\N	\N
3227862	10711	1998-06-30	VYDAJ	VYBER	15	70221	SLUZBY	\N	\N
3227863	10711	1998-07-31	VYDAJ	VYBER	15	68034	SLUZBY	\N	\N
3227864	10711	1998-08-31	VYDAJ	VYBER	15	60321	SLUZBY	\N	\N
3227865	10711	1998-09-30	VYDAJ	VYBER	15	61264	SLUZBY	\N	\N
3227866	10711	1998-10-31	VYDAJ	VYBER	15	59308	SLUZBY	\N	\N
3227867	10711	1998-11-30	VYDAJ	VYBER	15	57169	SLUZBY	\N	\N
3227868	10711	1996-08-07	PRIJEM	VKLAD	2900	26044	\N	\N	\N
3227869	10711	1996-09-06	VYDAJ	VYBER	1000	25132	\N	\N	\N
3227870	10711	1996-10-06	VYDAJ	VYBER	7200	40155	\N	\N	\N
3227871	10711	1996-11-05	VYDAJ	VYBER	15600	46846	\N	\N	\N
3227872	10711	1996-12-05	VYDAJ	VYBER	13100	56071	\N	\N	\N
3227873	10711	1997-01-04	VYDAJ	VYBER	23000	59468	\N	\N	\N
3227874	10711	1997-02-03	VYDAJ	VYBER	16000	61871	\N	\N	\N
3227875	10711	1997-03-05	VYDAJ	VYBER	20400	59876	\N	\N	\N
3227876	10711	1997-04-04	VYDAJ	VYBER	15400	62878	\N	\N	\N
3227877	10711	1997-05-04	VYDAJ	VYBER	19000	62189	\N	\N	\N
3227878	10711	1997-06-03	VYDAJ	VYBER	12700	62480	\N	\N	\N
3227879	10711	1997-07-03	VYDAJ	VYBER	20500	71346	\N	\N	\N
3227880	10711	1997-08-02	VYDAJ	VYBER	17100	72696	\N	\N	\N
3227881	10711	1997-09-01	VYDAJ	VYBER	19900	69829	\N	\N	\N
3227882	10711	1997-10-01	VYDAJ	VYBER	17200	66761	\N	\N	\N
3227883	10711	1997-10-31	VYDAJ	VYBER	17900	67292	\N	\N	\N
3227884	10711	1997-11-30	VYDAJ	VYBER	20700	65005	\N	\N	\N
3227885	10711	1997-12-30	VYDAJ	VYBER	16600	70002	\N	\N	\N
3227886	10711	1998-01-29	VYDAJ	VYBER	19700	68622	\N	\N	\N
3227887	10711	1998-02-28	VYDAJ	VYBER	15400	68627	\N	\N	\N
3227888	10711	1998-03-30	VYDAJ	VYBER	16400	70213	\N	\N	\N
3227889	10711	1998-04-29	VYDAJ	VYBER	21100	67427	\N	\N	\N
3227890	10711	1998-05-29	VYDAJ	VYBER	20600	65147	\N	\N	\N
3227891	10711	1998-06-28	VYDAJ	VYBER	24600	69876	\N	\N	\N
3227892	10711	1998-07-28	VYDAJ	VYBER	20500	67707	\N	\N	\N
3227893	10711	1998-08-27	VYDAJ	VYBER	21200	60020	\N	\N	\N
3227894	10711	1998-09-26	VYDAJ	VYBER	14200	60987	\N	\N	\N
3227895	10711	1998-10-26	VYDAJ	VYBER	17700	59030	\N	\N	\N
3227896	10711	1998-11-25	VYDAJ	VYBER	20400	56894	\N	\N	\N
3232165	10728	1994-12-23	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3232178	10728	1995-01-09	PRIJEM	PREVOD Z UCTU	19329	20329	\N	WX	2606690
3232179	10728	1995-02-09	PRIJEM	PREVOD Z UCTU	19329	40587	\N	WX	2606690
3232180	10728	1995-03-09	PRIJEM	PREVOD Z UCTU	19329	51617	\N	WX	2606690
3232181	10728	1995-04-09	PRIJEM	PREVOD Z UCTU	19329	57988	\N	WX	2606690
3232182	10728	1995-05-09	PRIJEM	PREVOD Z UCTU	19329	61782	\N	WX	2606690
3232183	10728	1995-06-09	PRIJEM	PREVOD Z UCTU	28994	51869	\N	WX	2606690
3232184	10728	1995-07-09	PRIJEM	PREVOD Z UCTU	19329	53234	\N	WX	2606690
3232185	10728	1995-08-09	PRIJEM	PREVOD Z UCTU	19329	30354	\N	WX	2606690
3232186	10728	1995-09-09	PRIJEM	PREVOD Z UCTU	19329	42311	\N	WX	2606690
3232187	10728	1995-10-09	PRIJEM	PREVOD Z UCTU	19329	43493	\N	WX	2606690
3232188	10728	1995-11-09	PRIJEM	PREVOD Z UCTU	19329	47931	\N	WX	2606690
3232189	10728	1995-12-09	PRIJEM	PREVOD Z UCTU	28994	45987	\N	WX	2606690
3232190	10728	1996-01-09	PRIJEM	PREVOD Z UCTU	19329	35566	\N	WX	2606690
3232191	10728	1996-02-09	PRIJEM	PREVOD Z UCTU	19329	34417	\N	WX	2606690
3232192	10728	1996-03-09	PRIJEM	PREVOD Z UCTU	19329	41681	\N	WX	2606690
3232193	10728	1996-04-09	PRIJEM	PREVOD Z UCTU	19329	52777	\N	WX	2606690
3232194	10728	1996-05-09	PRIJEM	PREVOD Z UCTU	19329	57180	\N	WX	2606690
3232195	10728	1996-06-09	PRIJEM	PREVOD Z UCTU	28994	61741	\N	WX	2606690
3232196	10728	1996-07-09	PRIJEM	PREVOD Z UCTU	19329	36255	\N	WX	2606690
3232197	10728	1996-08-09	PRIJEM	PREVOD Z UCTU	19329	48506	\N	WX	2606690
3232198	10728	1996-09-09	PRIJEM	PREVOD Z UCTU	19329	49690	\N	WX	2606690
3232199	10728	1996-10-09	PRIJEM	PREVOD Z UCTU	19329	52673	\N	WX	2606690
3232200	10728	1996-11-09	PRIJEM	PREVOD Z UCTU	19329	58476	\N	WX	2606690
3232201	10728	1996-12-09	PRIJEM	PREVOD Z UCTU	28994	68353	\N	WX	2606690
3232202	10728	1997-01-09	PRIJEM	PREVOD Z UCTU	19329	64205	\N	WX	2606690
3232203	10728	1997-02-09	PRIJEM	PREVOD Z UCTU	19329	35884	\N	WX	2606690
3232204	10728	1997-03-09	PRIJEM	PREVOD Z UCTU	19329	50840	\N	WX	2606690
3232205	10728	1997-04-09	PRIJEM	PREVOD Z UCTU	19329	44672	\N	WX	2606690
3232206	10728	1997-05-09	PRIJEM	PREVOD Z UCTU	19329	36750	\N	WX	2606690
3232207	10728	1997-06-09	PRIJEM	PREVOD Z UCTU	28994	65093	\N	WX	2606690
3232208	10728	1997-07-09	PRIJEM	PREVOD Z UCTU	19329	69530	\N	WX	2606690
3232209	10728	1997-08-09	PRIJEM	PREVOD Z UCTU	19329	64473	\N	WX	2606690
3232210	10728	1997-09-09	PRIJEM	PREVOD Z UCTU	19329	75029	\N	WX	2606690
3232211	10728	1997-10-09	PRIJEM	PREVOD Z UCTU	19329	73493	\N	WX	2606690
3232212	10728	1997-11-09	PRIJEM	PREVOD Z UCTU	19329	53721	\N	WX	2606690
3232213	10728	1997-12-09	PRIJEM	PREVOD Z UCTU	28994	61115	\N	WX	2606690
3232214	10728	1998-01-09	PRIJEM	PREVOD Z UCTU	19329	56687	\N	WX	2606690
3232215	10728	1998-02-09	PRIJEM	PREVOD Z UCTU	19329	47809	\N	WX	2606690
3232216	10728	1998-03-09	PRIJEM	PREVOD Z UCTU	19329	61997	\N	WX	2606690
3232217	10728	1998-04-09	PRIJEM	PREVOD Z UCTU	19329	58283	\N	WX	2606690
3232218	10728	1998-05-09	PRIJEM	PREVOD Z UCTU	19329	57914	\N	WX	2606690
3232219	10728	1998-06-09	PRIJEM	PREVOD Z UCTU	28994	60134	\N	WX	2606690
3232220	10728	1998-07-09	PRIJEM	PREVOD Z UCTU	19329	65485	\N	WX	2606690
3232221	10728	1998-08-09	PRIJEM	PREVOD Z UCTU	19329	65945	\N	WX	2606690
3232222	10728	1998-09-09	PRIJEM	PREVOD Z UCTU	19329	56351	\N	WX	2606690
3232223	10728	1998-10-09	PRIJEM	PREVOD Z UCTU	19329	48342	\N	WX	2606690
3232224	10728	1998-11-09	PRIJEM	PREVOD Z UCTU	19329	49863	\N	WX	2606690
3232225	10728	1998-12-09	PRIJEM	PREVOD Z UCTU	28994	62634	\N	WX	2606690
3232242	10728	1995-05-20	VYDAJ	VYBER	3900	57882	\N	\N	0
3232243	10728	1995-06-03	VYDAJ	VYBER	2400	26742	\N	\N	0
3232244	10728	1995-07-15	VYDAJ	VYBER	3500	49734	\N	\N	0
3232245	10728	1995-08-06	VYDAJ	VYBER	3700	11025	\N	\N	0
3232246	10728	1995-09-13	VYDAJ	VYBER	2800	39511	\N	\N	0
3232247	10728	1995-10-05	VYDAJ	VYBER	2900	28031	\N	\N	0
3232248	10728	1995-11-11	VYDAJ	VYBER	3600	44331	\N	\N	0
3232249	10728	1995-12-05	VYDAJ	VYBER	3800	24760	\N	\N	0
3232250	10728	1996-01-04	VYDAJ	VYBER	3800	26104	\N	\N	0
3232251	10728	1996-02-19	VYDAJ	VYBER	2400	29317	\N	\N	0
3232252	10728	1996-03-05	VYDAJ	VYBER	3200	26219	\N	\N	0
3232253	10728	1996-04-12	VYDAJ	PREVOD NA UCET	3222	49555	UVER	QR	3507805
3232254	10728	1996-05-12	VYDAJ	PREVOD NA UCET	3222	42858	UVER	QR	3507805
3232255	10728	1996-06-12	VYDAJ	PREVOD NA UCET	3222	58520	UVER	QR	3507805
3232256	10728	1996-07-12	VYDAJ	PREVOD NA UCET	3222	33034	UVER	QR	3507805
3232257	10728	1996-08-12	VYDAJ	PREVOD NA UCET	3222	45285	UVER	QR	3507805
3232258	10728	1996-09-12	VYDAJ	PREVOD NA UCET	3222	46468	UVER	QR	3507805
3232259	10728	1996-10-12	VYDAJ	PREVOD NA UCET	3222	49452	UVER	QR	3507805
3232260	10728	1996-11-12	VYDAJ	PREVOD NA UCET	3222	55255	UVER	QR	3507805
3232261	10728	1996-12-12	VYDAJ	PREVOD NA UCET	3222	65131	UVER	QR	3507805
3232262	10728	1997-01-12	VYDAJ	PREVOD NA UCET	3222	49684	UVER	QR	3507805
3232263	10728	1997-02-12	VYDAJ	PREVOD NA UCET	3222	35263	UVER	QR	3507805
3232264	10728	1997-03-12	VYDAJ	PREVOD NA UCET	3222	47619	UVER	QR	3507805
3232265	10728	1997-04-12	VYDAJ	PREVOD NA UCET	3222	39450	UVER	QR	3507805
3232266	10728	1997-05-12	VYDAJ	PREVOD NA UCET	3222	39829	UVER	QR	3507805
3232267	10728	1997-06-12	VYDAJ	PREVOD NA UCET	3222	53871	UVER	QR	3507805
3232268	10728	1997-07-12	VYDAJ	PREVOD NA UCET	3222	55008	UVER	QR	3507805
3232269	10728	1997-08-12	VYDAJ	PREVOD NA UCET	3222	56352	UVER	QR	3507805
3232270	10728	1997-09-12	VYDAJ	PREVOD NA UCET	3222	71807	UVER	QR	3507805
3232271	10728	1997-10-12	VYDAJ	PREVOD NA UCET	3222	70272	UVER	QR	3507805
3232272	10728	1997-11-12	VYDAJ	PREVOD NA UCET	3222	50500	UVER	QR	3507805
3232273	10728	1997-12-12	VYDAJ	PREVOD NA UCET	3222	47094	UVER	QR	3507805
3232274	10728	1998-01-12	VYDAJ	PREVOD NA UCET	3222	53465	UVER	QR	3507805
3232275	10728	1998-02-12	VYDAJ	PREVOD NA UCET	3222	44587	UVER	QR	3507805
3232276	10728	1998-03-12	VYDAJ	PREVOD NA UCET	3222	58776	UVER	QR	3507805
3232277	10728	1998-04-12	VYDAJ	PREVOD NA UCET	3222	55062	UVER	QR	3507805
3232278	10728	1998-05-12	VYDAJ	PREVOD NA UCET	3222	54692	UVER	QR	3507805
3232279	10728	1998-06-12	VYDAJ	PREVOD NA UCET	3222	56913	UVER	QR	3507805
3232280	10728	1998-07-12	VYDAJ	PREVOD NA UCET	3222	62263	UVER	QR	3507805
3232281	10728	1998-08-12	VYDAJ	PREVOD NA UCET	3222	62724	UVER	QR	3507805
3232282	10728	1998-09-12	VYDAJ	PREVOD NA UCET	3222	53130	UVER	QR	3507805
3232283	10728	1998-10-12	VYDAJ	PREVOD NA UCET	3222	40620	UVER	QR	3507805
3232284	10728	1998-11-12	VYDAJ	PREVOD NA UCET	3222	46642	UVER	QR	3507805
3232285	10728	1998-12-12	VYDAJ	PREVOD NA UCET	3222	59412	UVER	QR	3507805
3232303	10728	1995-06-06	VYDAJ	PREVOD NA UCET	3867	22875	SIPO	UV	56014490
3232304	10728	1995-07-06	VYDAJ	PREVOD NA UCET	3867	33905	SIPO	UV	56014490
3232305	10728	1995-08-06	VYDAJ	PREVOD NA UCET	3867	14725	SIPO	UV	56014490
3232306	10728	1995-09-06	VYDAJ	PREVOD NA UCET	3867	22982	SIPO	UV	56014490
3232307	10728	1995-10-06	VYDAJ	PREVOD NA UCET	3867	24164	SIPO	UV	56014490
3232308	10728	1995-11-06	VYDAJ	PREVOD NA UCET	3867	28602	SIPO	UV	56014490
3232309	10728	1995-12-06	VYDAJ	PREVOD NA UCET	3867	16993	SIPO	UV	56014490
3232310	10728	1996-01-06	VYDAJ	PREVOD NA UCET	3867	16237	SIPO	UV	56014490
3232311	10728	1996-02-06	VYDAJ	PREVOD NA UCET	3867	15088	SIPO	UV	56014490
3232312	10728	1996-03-06	VYDAJ	PREVOD NA UCET	3867	22352	SIPO	UV	56014490
3232313	10728	1996-04-06	VYDAJ	PREVOD NA UCET	3867	33448	SIPO	UV	56014490
3232314	10728	1996-05-06	VYDAJ	PREVOD NA UCET	3867	37851	SIPO	UV	56014490
3232315	10728	1996-06-06	VYDAJ	PREVOD NA UCET	3867	32747	SIPO	UV	56014490
3232316	10728	1996-07-06	VYDAJ	PREVOD NA UCET	3867	16926	SIPO	UV	56014490
3232317	10728	1996-08-06	VYDAJ	PREVOD NA UCET	3867	29177	SIPO	UV	56014490
3232318	10728	1996-09-06	VYDAJ	PREVOD NA UCET	3867	30361	SIPO	UV	56014490
3232319	10728	1996-10-06	VYDAJ	PREVOD NA UCET	3867	33344	SIPO	UV	56014490
3232320	10728	1996-11-06	VYDAJ	PREVOD NA UCET	3867	39147	SIPO	UV	56014490
3232321	10728	1996-12-06	VYDAJ	PREVOD NA UCET	3867	39359	SIPO	UV	56014490
3232322	10728	1997-01-06	VYDAJ	PREVOD NA UCET	3867	44876	SIPO	UV	56014490
3232323	10728	1997-02-06	VYDAJ	PREVOD NA UCET	3867	16555	SIPO	UV	56014490
3232324	10728	1997-03-06	VYDAJ	PREVOD NA UCET	3867	31511	SIPO	UV	56014490
3232325	10728	1997-04-06	VYDAJ	PREVOD NA UCET	3867	25343	SIPO	UV	56014490
3232326	10728	1997-05-06	VYDAJ	PREVOD NA UCET	3867	17421	SIPO	UV	56014490
3232327	10728	1997-06-06	VYDAJ	PREVOD NA UCET	3867	36099	SIPO	UV	56014490
3232328	10728	1997-07-06	VYDAJ	PREVOD NA UCET	3867	50201	SIPO	UV	56014490
3232329	10728	1997-08-06	VYDAJ	PREVOD NA UCET	3867	45144	SIPO	UV	56014490
3232330	10728	1997-09-06	VYDAJ	PREVOD NA UCET	3867	52700	SIPO	UV	56014490
3232331	10728	1997-10-06	VYDAJ	PREVOD NA UCET	3867	52464	SIPO	UV	56014490
3232332	10728	1997-11-06	VYDAJ	PREVOD NA UCET	3867	19692	SIPO	UV	56014490
3232333	10728	1997-12-06	VYDAJ	PREVOD NA UCET	3867	20421	SIPO	UV	56014490
3232334	10728	1998-01-06	VYDAJ	PREVOD NA UCET	3867	44092	SIPO	UV	56014490
3232335	10728	1998-02-06	VYDAJ	PREVOD NA UCET	3867	28480	SIPO	UV	56014490
3232336	10728	1998-03-06	VYDAJ	PREVOD NA UCET	3867	40868	SIPO	UV	56014490
3232337	10728	1998-04-06	VYDAJ	PREVOD NA UCET	3867	38954	SIPO	UV	56014490
3232338	10728	1998-05-06	VYDAJ	PREVOD NA UCET	3867	38585	SIPO	UV	56014490
3232339	10728	1998-06-06	VYDAJ	PREVOD NA UCET	3867	31140	SIPO	UV	56014490
3232340	10728	1998-07-06	VYDAJ	PREVOD NA UCET	3867	46156	SIPO	UV	56014490
3232341	10728	1998-08-06	VYDAJ	PREVOD NA UCET	3867	46616	SIPO	UV	56014490
3232342	10728	1998-09-06	VYDAJ	PREVOD NA UCET	3867	37022	SIPO	UV	56014490
3232343	10728	1998-10-06	VYDAJ	PREVOD NA UCET	3867	29013	SIPO	UV	56014490
3232344	10728	1998-11-06	VYDAJ	PREVOD NA UCET	3867	30534	SIPO	UV	56014490
3232345	10728	1998-12-06	VYDAJ	PREVOD NA UCET	3867	33640	SIPO	UV	56014490
3232356	10728	1995-09-30	VYBER	VYBER	2607	30946	\N	\N	\N
3232359	10728	1995-11-12	VYBER	VYBER	17585	26746	\N	\N	\N
3232361	10728	1995-06-15	VYBER	VYBER	4147	47722	\N	\N	\N
3232363	10728	1995-10-16	VYBER	VYBER	5953	37540	\N	\N	\N
3232365	10728	1997-10-27	VYBER	VYBER	8576	41175	\N	\N	\N
3232366	10728	1997-11-05	VYBER	VYBER	17859	23559	\N	\N	\N
3232367	10728	1997-10-01	VYBER	VYBER	13943	56331	\N	\N	\N
3232368	10728	1997-04-15	VYBER	VYBER	8084	31366	\N	\N	\N
3232370	10728	1997-10-24	VYBER	VYBER	20521	49751	\N	\N	\N
3232371	10728	1997-07-29	VYBER	VYBER	6210	48798	\N	\N	\N
3232373	10728	1997-11-25	VYBER	VYBER	13777	36723	\N	\N	\N
3232374	10728	1997-03-25	VYBER	VYBER	5955	33264	\N	\N	\N
3232375	10728	1998-10-18	VYBER	VYBER	4554	36066	\N	\N	\N
3232377	10728	1998-01-08	VYBER	VYBER	6734	37358	\N	\N	\N
3232378	10728	1998-09-15	VYBER	VYBER	22794	30336	\N	\N	\N
3232380	10728	1998-04-13	VYBER	VYBER	11976	43086	\N	\N	\N
3232381	10728	1998-08-29	VYBER	VYBER	17363	45361	\N	\N	\N
3232382	10728	1998-06-06	VYBER	VYBER	11380	35007	\N	\N	\N
3232384	10728	1998-03-13	VYBER	VYBER	3932	54844	\N	\N	\N
3232385	10728	1998-12-22	VYBER	VYBER	20995	26717	\N	\N	\N
3232386	10728	1998-01-14	VYBER	VYBER	15345	38120	\N	\N	\N
3232387	10728	1998-03-23	VYBER	VYBER	15009	39835	\N	\N	\N
3232390	10728	1996-06-29	VYDAJ	VYBER	26400	20620	\N	\N	\N
3232394	10728	1995-12-06	VYDAJ	VYBER	3900	20860	\N	\N	\N
3232395	10728	1996-12-22	VYDAJ	VYBER	1800	48531	\N	\N	\N
3232396	10728	1997-12-02	VYDAJ	VYBER	4800	24288	\N	\N	\N
3232397	10728	1998-12-17	VYDAJ	VYBER	8700	50712	\N	\N	\N
3232410	10728	1996-01-19	VYDAJ	VYBER	8400	18866	\N	\N	\N
3232411	10728	1996-01-04	VYDAJ	VYBER	6000	20104	\N	\N	\N
3232413	10728	1996-01-14	VYDAJ	VYBER	4800	30766	\N	\N	\N
3232415	10728	1996-01-02	VYDAJ	VYBER	2400	29904	\N	\N	\N
3232416	10728	1997-01-09	VYDAJ	VYBER	2700	61505	\N	\N	\N
3232417	10728	1997-01-20	VYDAJ	VYBER	8400	24784	\N	\N	\N
3232418	10728	1997-01-22	VYDAJ	VYBER	4500	20284	\N	\N	\N
3232419	10728	1997-01-12	VYDAJ	VYBER	4200	45484	\N	\N	\N
3232420	10728	1997-01-17	VYDAJ	VYBER	4500	33184	\N	\N	\N
3232421	10728	1997-01-16	VYDAJ	VYBER	7800	37684	\N	\N	\N
3232423	10728	1998-01-15	VYDAJ	VYBER	6900	22520	\N	\N	\N
3232424	10728	1998-01-14	VYDAJ	VYBER	8700	29420	\N	\N	\N
3232425	10728	1998-01-01	VYDAJ	VYBER	6300	40959	\N	\N	\N
3232433	10728	1995-05-29	VYDAJ	VYBER	12600	28982	\N	\N	\N
3232435	10728	1995-07-28	VYDAJ	VYBER	13800	23834	\N	\N	\N
3232436	10728	1995-08-01	VYDAJ	VYBER	5400	18592	\N	\N	\N
3232437	10728	1995-12-11	VYDAJ	VYBER	11700	34287	\N	\N	\N
3232439	10728	1996-05-24	VYDAJ	VYBER	2400	36458	\N	\N	\N
3232440	10728	1996-05-11	VYDAJ	VYBER	11100	46080	\N	\N	\N
3232441	10728	1996-08-25	VYDAJ	VYBER	5100	34085	\N	\N	\N
3232442	10728	1996-07-12	VYDAJ	VYBER	3600	29434	\N	\N	\N
3232443	10728	1997-03-17	VYDAJ	VYBER	6900	39219	\N	\N	\N
3232444	10728	1997-11-27	VYDAJ	VYBER	7800	28923	\N	\N	\N
3232445	10728	1997-03-29	VYDAJ	VYBER	4200	29064	\N	\N	\N
3232446	10728	1997-05-06	VYDAJ	VYBER	10200	21288	\N	\N	\N
3232447	10728	1997-09-27	VYDAJ	VYBER	1800	70007	\N	\N	\N
3232448	10728	1997-12-11	VYDAJ	VYBER	10800	50315	\N	\N	\N
3232449	10728	1998-10-11	VYDAJ	VYBER	4500	43842	\N	\N	\N
3232450	10728	1998-07-14	VYDAJ	VYBER	6000	56263	\N	\N	\N
3232451	10728	1998-12-18	VYDAJ	VYBER	3000	47712	\N	\N	\N
3232452	10728	1998-04-28	VYDAJ	VYBER	7800	35286	\N	\N	\N
3232473	10728	1995-05-31	VYDAJ	VYBER	15	29142	SLUZBY	\N	\N
3232474	10728	1995-06-30	VYDAJ	VYBER	15	37772	SLUZBY	\N	\N
3232475	10728	1995-07-31	VYDAJ	VYBER	15	23992	SLUZBY	\N	\N
3232476	10728	1995-08-31	VYDAJ	VYBER	15	26849	SLUZBY	\N	\N
3232477	10728	1995-09-30	VYDAJ	VYBER	15	30931	SLUZBY	\N	\N
3232478	10728	1995-10-31	VYDAJ	VYBER	15	32469	SLUZBY	\N	\N
3232479	10728	1995-11-30	VYDAJ	VYBER	15	28560	SLUZBY	\N	\N
3232480	10728	1995-12-31	VYDAJ	VYBER	15	32304	SLUZBY	\N	\N
3232481	10728	1996-01-31	VYDAJ	VYBER	15	18955	SLUZBY	\N	\N
3232482	10728	1996-02-29	VYDAJ	VYBER	15	29419	SLUZBY	\N	\N
3232483	10728	1996-03-31	VYDAJ	VYBER	15	37315	SLUZBY	\N	\N
3232484	10728	1996-04-30	VYDAJ	VYBER	15	41718	SLUZBY	\N	\N
3232485	10728	1996-05-31	VYDAJ	VYBER	15	36614	SLUZBY	\N	\N
3232486	10728	1996-06-30	VYDAJ	VYBER	15	20793	SLUZBY	\N	\N
3232487	10728	1996-07-31	VYDAJ	VYBER	15	33044	SLUZBY	\N	\N
3232488	10728	1996-08-31	VYDAJ	VYBER	15	34228	SLUZBY	\N	\N
3232489	10728	1996-09-30	VYDAJ	VYBER	15	37211	SLUZBY	\N	\N
3232490	10728	1996-10-31	VYDAJ	VYBER	15	43014	SLUZBY	\N	\N
3232491	10728	1996-11-30	VYDAJ	VYBER	15	43226	SLUZBY	\N	\N
3232492	10728	1996-12-31	VYDAJ	VYBER	15	48743	SLUZBY	\N	\N
3232493	10728	1997-01-31	VYDAJ	VYBER	15	20422	SLUZBY	\N	\N
3232494	10728	1997-02-28	VYDAJ	VYBER	15	35378	SLUZBY	\N	\N
3232495	10728	1997-03-31	VYDAJ	VYBER	15	29210	SLUZBY	\N	\N
3232496	10728	1997-04-30	VYDAJ	VYBER	15	31488	SLUZBY	\N	\N
3232497	10728	1997-05-31	VYDAJ	VYBER	15	39966	SLUZBY	\N	\N
3232498	10728	1997-06-30	VYDAJ	VYBER	15	54068	SLUZBY	\N	\N
3232499	10728	1997-07-31	VYDAJ	VYBER	15	49011	SLUZBY	\N	\N
3232500	10728	1997-08-31	VYDAJ	VYBER	15	56567	SLUZBY	\N	\N
3232501	10728	1997-09-30	VYDAJ	VYBER	15	70274	SLUZBY	\N	\N
3232502	10728	1997-10-31	VYDAJ	VYBER	15	41418	SLUZBY	\N	\N
3232503	10728	1997-11-30	VYDAJ	VYBER	15	29088	SLUZBY	\N	\N
3232504	10728	1997-12-31	VYDAJ	VYBER	15	47259	SLUZBY	\N	\N
3232505	10728	1998-01-31	VYDAJ	VYBER	15	22647	SLUZBY	\N	\N
3232506	10728	1998-02-28	VYDAJ	VYBER	15	44735	SLUZBY	\N	\N
3232507	10728	1998-03-31	VYDAJ	VYBER	15	40021	SLUZBY	\N	\N
3232508	10728	1998-04-30	VYDAJ	VYBER	15	35452	SLUZBY	\N	\N
3232509	10728	1998-05-31	VYDAJ	VYBER	15	54887	SLUZBY	\N	\N
3232510	10728	1998-06-30	VYDAJ	VYBER	15	57123	SLUZBY	\N	\N
3232511	10728	1998-07-31	VYDAJ	VYBER	15	56483	SLUZBY	\N	\N
3232512	10728	1998-08-31	VYDAJ	VYBER	15	45589	SLUZBY	\N	\N
3232513	10728	1998-09-30	VYDAJ	VYBER	15	30480	SLUZBY	\N	\N
3232514	10728	1998-10-31	VYDAJ	VYBER	15	36201	SLUZBY	\N	\N
3232515	10728	1998-11-30	VYDAJ	VYBER	15	46807	SLUZBY	\N	\N
3232516	10728	1995-01-22	PRIJEM	VKLAD	900	21229	\N	\N	\N
3232517	10728	1995-02-21	VYDAJ	VYBER	8400	32187	\N	\N	\N
3232518	10728	1995-03-23	VYDAJ	VYBER	13100	38517	\N	\N	\N
3232519	10728	1995-04-22	VYDAJ	VYBER	15700	42288	\N	\N	\N
3232520	10728	1995-05-22	VYDAJ	VYBER	16300	41582	\N	\N	\N
3232521	10728	1995-06-21	VYDAJ	VYBER	10100	37622	\N	\N	\N
3232522	10728	1995-07-21	VYDAJ	VYBER	12100	37634	\N	\N	\N
3232523	10728	1995-08-20	VYDAJ	VYBER	3600	26754	\N	\N	\N
3232524	10728	1995-09-19	VYDAJ	VYBER	6100	33411	\N	\N	\N
3232525	10728	1995-10-19	VYDAJ	VYBER	5200	32340	\N	\N	\N
3232526	10728	1995-11-18	PRIJEM	VKLAD	1700	28446	\N	\N	\N
3232527	10728	1995-12-18	VYDAJ	VYBER	2100	32187	\N	\N	\N
3232528	10728	1996-01-17	VYDAJ	VYBER	3500	27266	\N	\N	\N
3232529	10728	1996-02-16	VYDAJ	VYBER	2700	31717	\N	\N	\N
3232530	10728	1996-03-17	VYDAJ	VYBER	4500	37181	\N	\N	\N
3232531	10728	1996-04-16	VYDAJ	VYBER	8000	41555	\N	\N	\N
3232532	10728	1996-05-16	VYDAJ	VYBER	4000	38858	\N	\N	\N
3232533	10728	1996-06-15	VYDAJ	VYBER	11500	47020	\N	\N	\N
3232534	10728	1996-07-15	PRIJEM	VKLAD	3500	32934	\N	\N	\N
3232535	10728	1996-08-14	VYDAJ	VYBER	6100	39185	\N	\N	\N
3232536	10728	1996-09-13	VYDAJ	VYBER	9400	37068	\N	\N	\N
3232537	10728	1996-10-13	VYDAJ	VYBER	6600	42852	\N	\N	\N
3232538	10728	1996-11-12	VYDAJ	VYBER	12200	43055	\N	\N	\N
3232539	10728	1996-12-12	VYDAJ	VYBER	14800	50331	\N	\N	\N
3232540	10728	1997-01-11	VYDAJ	VYBER	8600	52905	\N	\N	\N
3232541	10728	1997-02-10	PRIJEM	VKLAD	2600	38484	\N	\N	\N
3232542	10728	1997-03-12	VYDAJ	VYBER	1500	46119	\N	\N	\N
3232543	10728	1997-04-11	VYDAJ	VYBER	2000	42672	\N	\N	\N
3232544	10728	1997-05-11	PRIJEM	VKLAD	6300	43050	\N	\N	\N
3232545	10728	1997-06-10	VYDAJ	VYBER	8000	57093	\N	\N	\N
3232546	10728	1997-07-10	VYDAJ	VYBER	11300	58230	\N	\N	\N
3232547	10728	1997-08-09	VYDAJ	VYBER	4900	59573	\N	\N	\N
3232548	10728	1997-09-08	PRIJEM	VKLAD	3000	55700	\N	\N	\N
3232549	10728	1997-10-08	PRIJEM	VKLAD	1700	54164	\N	\N	\N
3232550	10728	1997-11-07	PRIJEM	VKLAD	14700	34392	\N	\N	\N
3232551	10728	1997-12-07	PRIJEM	VKLAD	11700	32121	\N	\N	\N
3232552	10728	1998-01-06	PRIJEM	VKLAD	7000	47959	\N	\N	\N
3232553	10728	1998-02-05	PRIJEM	VKLAD	9700	32347	\N	\N	\N
3232554	10728	1998-03-07	PRIJEM	VKLAD	1800	42668	\N	\N	\N
3232555	10728	1998-04-06	PRIJEM	VKLAD	2800	42821	\N	\N	\N
3232556	10728	1998-05-06	PRIJEM	VKLAD	7000	42452	\N	\N	\N
3232557	10728	1998-06-05	VYDAJ	VYBER	8500	46387	\N	\N	\N
3232558	10728	1998-07-05	VYDAJ	VYBER	7100	50023	\N	\N	\N
3232559	10728	1998-08-04	VYDAJ	VYBER	6000	50483	\N	\N	\N
3232560	10728	1998-09-03	VYDAJ	VYBER	4700	40889	\N	\N	\N
3232561	10728	1998-10-03	PRIJEM	VKLAD	2400	32880	\N	\N	\N
3232562	10728	1998-11-02	VYDAJ	VYBER	1800	34401	\N	\N	\N
3232563	10728	1998-12-02	VYDAJ	VYBER	9300	37507	\N	\N	\N
3235268	10738	1993-04-17	PRIJEM	VKLAD	200	200	\N	\N	\N
3235269	10738	1993-12-15	PRIJEM	VKLAD	14823	35001	\N	\N	\N
3235270	10738	1993-06-28	PRIJEM	VKLAD	43602	61726	\N	\N	\N
3235271	10738	1993-10-17	PRIJEM	VKLAD	28753	42944	\N	\N	\N
3235272	10738	1993-08-12	PRIJEM	VKLAD	17903	64995	\N	\N	\N
3235275	10738	1993-07-18	PRIJEM	VKLAD	15661	61242	\N	\N	\N
3235276	10738	1993-08-10	PRIJEM	VKLAD	46194	107692	\N	\N	\N
3235277	10738	1993-04-26	PRIJEM	VKLAD	7586	7786	\N	\N	\N
3235278	10738	1994-11-22	PRIJEM	VKLAD	26815	79478	\N	\N	\N
3235279	10738	1994-11-09	PRIJEM	VKLAD	34330	60705	\N	\N	\N
3235280	10738	1994-10-21	PRIJEM	VKLAD	26783	37105	\N	\N	\N
3235281	10738	1994-03-08	PRIJEM	VKLAD	24751	39848	\N	\N	\N
3235282	10738	1995-09-26	PRIJEM	VKLAD	40689	142186	\N	\N	\N
3235283	10738	1995-10-26	PRIJEM	VKLAD	39153	76206	\N	\N	\N
3235284	10738	1995-08-09	PRIJEM	VKLAD	13567	72804	\N	\N	\N
3235285	10738	1995-06-26	PRIJEM	VKLAD	14891	39958	\N	\N	\N
3235286	10738	1995-03-09	PRIJEM	VKLAD	18736	69332	\N	\N	\N
3235287	10738	1995-01-31	PRIJEM	VKLAD	48163	67869	\N	\N	\N
3235288	10738	1995-01-08	PRIJEM	VKLAD	18933	38170	\N	\N	\N
3235289	10738	1995-08-29	PRIJEM	VKLAD	11727	95382	\N	\N	\N
3235290	10738	1995-08-24	PRIJEM	VKLAD	22115	83655	\N	\N	\N
3235291	10738	1995-02-17	PRIJEM	VKLAD	5320	70846	\N	\N	\N
3235292	10738	1995-05-29	PRIJEM	VKLAD	9037	46656	\N	\N	\N
3235293	10738	1995-09-23	PRIJEM	VKLAD	18860	101497	\N	\N	\N
3235294	10738	1995-07-17	PRIJEM	VKLAD	7080	43427	\N	\N	\N
3235295	10738	1995-09-17	PRIJEM	VKLAD	11897	109837	\N	\N	\N
3235296	10738	1995-07-03	PRIJEM	VKLAD	40327	71097	\N	\N	\N
3235297	10738	1995-04-27	PRIJEM	VKLAD	49320	67775	\N	\N	\N
3235298	10738	1995-07-19	PRIJEM	VKLAD	45897	89324	\N	\N	\N
3235299	10738	1995-12-19	PRIJEM	VKLAD	43307	64611	\N	\N	\N
3235300	10738	1995-07-22	PRIJEM	VKLAD	26516	115840	\N	\N	\N
3235301	10738	1995-09-14	PRIJEM	VKLAD	46529	97940	\N	\N	\N
3235302	10738	1995-02-11	PRIJEM	VKLAD	34350	68747	\N	\N	\N
3235303	10738	1996-07-30	PRIJEM	VKLAD	46566	74546	\N	\N	\N
3235304	10738	1996-10-25	PRIJEM	VKLAD	42748	75517	\N	\N	\N
3235305	10738	1996-07-15	PRIJEM	VKLAD	18459	31211	\N	\N	\N
3235306	10738	1996-09-24	PRIJEM	VKLAD	48024	64322	\N	\N	\N
3235307	10738	1996-04-29	PRIJEM	VKLAD	5139	16905	\N	\N	\N
3235308	10738	1996-10-25	PRIJEM	VKLAD	10959	86476	\N	\N	\N
3235309	10738	1996-11-27	PRIJEM	VKLAD	11894	45315	\N	\N	\N
3235310	10738	1997-07-07	PRIJEM	VKLAD	20267	61914	\N	\N	\N
3235311	10738	1997-03-28	PRIJEM	VKLAD	18095	53890	\N	\N	\N
3235312	10738	1997-06-18	PRIJEM	VKLAD	6204	37407	\N	\N	\N
3235313	10738	1997-08-22	PRIJEM	VKLAD	35603	125449	\N	\N	\N
3235314	10738	1997-03-02	PRIJEM	VKLAD	20445	114061	\N	\N	\N
3235315	10738	1997-06-20	PRIJEM	VKLAD	43826	81233	\N	\N	\N
3235316	10738	1997-01-22	PRIJEM	VKLAD	49920	61390	\N	\N	\N
3235317	10738	1997-09-28	PRIJEM	VKLAD	43252	105099	\N	\N	\N
3235318	10738	1997-07-17	PRIJEM	VKLAD	37129	87779	\N	\N	\N
3235319	10738	1997-02-26	PRIJEM	VKLAD	39508	93434	\N	\N	\N
3235320	10738	1997-12-02	PRIJEM	VKLAD	15845	79764	\N	\N	\N
3235321	10738	1997-08-16	PRIJEM	VKLAD	49691	110473	\N	\N	\N
3235322	10738	1997-08-17	PRIJEM	VKLAD	33073	143546	\N	\N	\N
3235323	10738	1997-02-22	PRIJEM	VKLAD	29947	63526	\N	\N	\N
3235324	10738	1997-08-30	PRIJEM	VKLAD	37244	92254	\N	\N	\N
3235325	10738	1997-10-31	PRIJEM	VKLAD	39297	101764	\N	\N	\N
3235326	10738	1998-02-08	PRIJEM	VKLAD	18518	44899	\N	\N	\N
3235327	10738	1998-05-04	PRIJEM	VKLAD	18385	129991	\N	\N	\N
3235328	10738	1998-05-22	PRIJEM	VKLAD	6875	73967	\N	\N	\N
3235329	10738	1998-10-06	PRIJEM	VKLAD	12940	94221	\N	\N	\N
3235330	10738	1998-02-15	PRIJEM	VKLAD	41913	78770	\N	\N	\N
3235331	10738	1998-06-23	PRIJEM	VKLAD	49694	108488	\N	\N	\N
3235332	10738	1998-03-07	PRIJEM	VKLAD	25385	89956	\N	\N	\N
3235333	10738	1998-11-09	PRIJEM	VKLAD	15042	84039	\N	\N	\N
3235334	10738	1998-08-26	PRIJEM	VKLAD	20453	90262	\N	\N	\N
3235335	10738	1998-06-14	PRIJEM	VKLAD	33077	80662	\N	\N	\N
3235336	10738	1998-01-10	PRIJEM	VKLAD	24582	106321	\N	\N	\N
3235337	10738	1998-03-18	PRIJEM	VKLAD	41607	120021	\N	\N	\N
3235338	10738	1998-07-19	PRIJEM	VKLAD	23679	96033	\N	\N	\N
3235339	10738	1998-01-13	PRIJEM	VKLAD	9423	103485	\N	\N	\N
3235340	10738	1998-11-20	PRIJEM	VKLAD	12485	84982	\N	\N	\N
3235341	10738	1998-07-06	PRIJEM	VKLAD	29813	128182	\N	\N	\N
3235342	10738	1998-01-03	PRIJEM	VKLAD	26214	76939	\N	\N	\N
3235343	10738	1998-12-14	PRIJEM	VKLAD	20328	117657	\N	\N	\N
3235344	10738	1998-04-25	PRIJEM	VKLAD	48443	111314	\N	\N	\N
3235345	10738	1998-08-26	PRIJEM	VKLAD	18795	109057	\N	\N	\N
3235346	10738	1998-01-18	PRIJEM	VKLAD	20257	120142	\N	\N	\N
3235347	10738	1998-05-23	PRIJEM	VKLAD	40588	114555	\N	\N	\N
3235348	10738	1998-12-03	PRIJEM	VKLAD	40633	105557	\N	\N	\N
3235349	10738	1998-03-23	PRIJEM	VKLAD	37138	102159	\N	\N	\N
3235350	10738	1998-01-07	PRIJEM	VKLAD	38086	81739	\N	\N	\N
3235351	10738	1998-06-24	PRIJEM	VKLAD	45704	154192	\N	\N	\N
3235352	10738	1998-11-30	PRIJEM	VKLAD	38558	121140	\N	\N	\N
3235353	10738	1998-01-10	PRIJEM	VKLAD	35383	141704	\N	\N	\N
3235361	10738	1993-08-12	VYDAJ	VYBER	3700	61295	\N	\N	0
3235362	10738	1993-09-12	VYDAJ	VYBER	3400	8484	\N	\N	0
3235363	10738	1993-10-08	VYDAJ	VYBER	2900	11233	\N	\N	0
3235364	10738	1993-11-16	VYDAJ	VYBER	3400	28096	\N	\N	0
3235365	10738	1993-12-02	VYDAJ	VYBER	2800	25406	\N	\N	0
3235366	10738	1994-01-20	VYDAJ	VYBER	2800	19306	\N	\N	0
3235367	10738	1994-02-16	VYDAJ	VYBER	3700	15242	\N	\N	0
3235368	10738	1994-03-17	VYDAJ	VYBER	3300	25406	\N	\N	0
3235369	10738	1994-04-19	VYDAJ	VYBER	3400	19053	\N	\N	0
3235370	10738	1994-05-07	VYDAJ	VYBER	2600	16327	\N	\N	0
3235371	10738	1994-06-03	VYDAJ	VYBER	3400	12021	\N	\N	0
3235372	10738	1994-07-02	VYDAJ	VYBER	2600	10417	\N	\N	0
3235373	10738	1994-08-10	VYDAJ	VYBER	3300	13777	\N	\N	0
3235374	10738	1994-09-10	VYDAJ	VYBER	2800	19348	\N	\N	0
3235375	10738	1994-10-14	VYDAJ	VYBER	3500	10322	\N	\N	0
3235376	10738	1994-11-06	VYDAJ	VYBER	3600	31461	\N	\N	0
3235377	10738	1994-12-07	VYDAJ	VYBER	3200	34412	\N	\N	0
3235378	10738	1995-01-12	VYDAJ	PREVOD NA UCET	3222	19706	UVER	UV	56781524
3235379	10738	1995-02-12	VYDAJ	PREVOD NA UCET	3222	65526	UVER	UV	56781524
3235380	10738	1995-03-12	VYDAJ	PREVOD NA UCET	3222	58068	UVER	UV	56781524
3235381	10738	1995-04-12	VYDAJ	PREVOD NA UCET	3222	18455	UVER	UV	56781524
3235382	10738	1995-05-12	VYDAJ	PREVOD NA UCET	3222	37619	UVER	UV	56781524
3235383	10738	1995-06-12	VYDAJ	PREVOD NA UCET	3222	25067	UVER	UV	56781524
3235384	10738	1995-07-12	VYDAJ	PREVOD NA UCET	3222	36347	UVER	UV	56781524
3235385	10738	1995-08-12	VYDAJ	PREVOD NA UCET	3222	61540	UVER	UV	56781524
3235386	10738	1995-09-12	VYDAJ	PREVOD NA UCET	3222	51411	UVER	UV	56781524
3235387	10738	1995-10-12	VYDAJ	PREVOD NA UCET	3222	48753	UVER	UV	56781524
3235388	10738	1995-11-12	VYDAJ	PREVOD NA UCET	3222	42975	UVER	UV	56781524
3235389	10738	1995-12-12	VYDAJ	PREVOD NA UCET	3222	28204	UVER	UV	56781524
3235390	10738	1996-01-12	VYDAJ	PREVOD NA UCET	3222	31325	UVER	UV	56781524
3235391	10738	1996-02-12	VYDAJ	PREVOD NA UCET	3222	15880	UVER	UV	56781524
3235392	10738	1996-03-12	VYDAJ	PREVOD NA UCET	3222	14877	UVER	UV	56781524
3235393	10738	1996-04-12	VYDAJ	PREVOD NA UCET	3222	11766	UVER	UV	56781524
3235394	10738	1996-05-12	VYDAJ	PREVOD NA UCET	3222	12784	UVER	UV	56781524
3235395	10738	1996-06-12	VYDAJ	PREVOD NA UCET	3222	11667	UVER	UV	56781524
3235396	10738	1996-07-12	VYDAJ	PREVOD NA UCET	3222	12752	UVER	UV	56781524
3235397	10738	1996-08-12	VYDAJ	PREVOD NA UCET	3222	44878	UVER	UV	56781524
3235398	10738	1996-09-12	VYDAJ	PREVOD NA UCET	3222	16298	UVER	UV	56781524
3235399	10738	1996-10-12	VYDAJ	PREVOD NA UCET	3222	32769	UVER	UV	56781524
3235400	10738	1996-11-12	VYDAJ	PREVOD NA UCET	3222	33421	UVER	UV	56781524
3235401	10738	1996-12-12	VYDAJ	PREVOD NA UCET	3222	26218	UVER	UV	56781524
3235402	10738	1997-01-12	VYDAJ	PREVOD NA UCET	3222	11470	UVER	UV	56781524
3235403	10738	1997-02-12	VYDAJ	PREVOD NA UCET	3222	39033	UVER	UV	56781524
3235404	10738	1997-03-12	VYDAJ	PREVOD NA UCET	3222	25195	UVER	UV	56781524
3235405	10738	1997-04-12	VYDAJ	PREVOD NA UCET	3222	42614	UVER	UV	56781524
3235406	10738	1997-05-12	VYDAJ	PREVOD NA UCET	3222	30627	UVER	UV	56781524
3235407	10738	1997-06-12	VYDAJ	PREVOD NA UCET	3222	31203	UVER	UV	56781524
3235408	10738	1997-07-12	VYDAJ	PREVOD NA UCET	3222	50650	UVER	UV	56781524
3235409	10738	1997-08-12	VYDAJ	PREVOD NA UCET	3222	60782	UVER	UV	56781524
3235410	10738	1997-09-12	VYDAJ	PREVOD NA UCET	3222	73247	UVER	UV	56781524
3235411	10738	1997-10-12	VYDAJ	PREVOD NA UCET	3222	88249	UVER	UV	56781524
3235412	10738	1997-11-12	VYDAJ	PREVOD NA UCET	3222	90646	UVER	UV	56781524
3235413	10738	1997-12-12	VYDAJ	PREVOD NA UCET	3222	63815	UVER	UV	56781524
3235414	10738	1998-01-05	VYDAJ	VYBER	2800	43839	\N	\N	0
3235415	10738	1998-02-18	VYDAJ	VYBER	3500	75270	\N	\N	0
3235416	10738	1998-03-15	VYDAJ	VYBER	3500	78414	\N	\N	0
3235417	10738	1998-04-09	VYDAJ	VYBER	3700	70913	\N	\N	0
3235418	10738	1998-05-14	VYDAJ	VYBER	2800	75592	\N	\N	0
3235419	10738	1998-06-05	VYDAJ	VYBER	3900	55813	\N	\N	0
3235420	10738	1998-07-20	VYDAJ	VYBER	2900	79333	\N	\N	0
3235421	10738	1998-08-03	VYDAJ	VYBER	2500	77137	\N	\N	0
3235422	10738	1998-09-07	VYDAJ	VYBER	3300	105868	\N	\N	0
3235423	10738	1998-10-16	VYDAJ	VYBER	2500	83493	\N	\N	0
3235424	10738	1998-11-20	VYDAJ	VYBER	2400	82582	\N	\N	0
3235425	10738	1998-12-18	VYDAJ	VYBER	3800	54657	\N	\N	0
3235434	10738	1993-09-06	VYDAJ	PREVOD NA UCET	186	19926	SIPO	CD	73939931
3235435	10738	1993-10-06	VYDAJ	PREVOD NA UCET	186	14133	SIPO	CD	73939931
3235436	10738	1993-11-06	VYDAJ	PREVOD NA UCET	186	42838	SIPO	CD	73939931
3235437	10738	1993-12-06	VYDAJ	PREVOD NA UCET	186	25220	SIPO	CD	73939931
3235438	10738	1994-01-06	VYDAJ	PREVOD NA UCET	186	25048	SIPO	CD	73939931
3235439	10738	1994-02-06	VYDAJ	PREVOD NA UCET	186	19184	SIPO	CD	73939931
3235440	10738	1994-03-06	VYDAJ	PREVOD NA UCET	186	15097	SIPO	CD	73939931
3235441	10738	1994-04-06	VYDAJ	PREVOD NA UCET	186	25295	SIPO	CD	73939931
3235442	10738	1994-05-06	VYDAJ	PREVOD NA UCET	186	18927	SIPO	CD	73939931
3235443	10738	1994-06-06	VYDAJ	PREVOD NA UCET	186	11835	SIPO	CD	73939931
3235444	10738	1994-07-06	VYDAJ	PREVOD NA UCET	186	10231	SIPO	CD	73939931
3235445	10738	1994-08-06	VYDAJ	PREVOD NA UCET	186	11319	SIPO	CD	73939931
3235446	10738	1994-09-06	VYDAJ	PREVOD NA UCET	186	13648	SIPO	CD	73939931
3235447	10738	1994-10-06	VYDAJ	PREVOD NA UCET	186	11164	SIPO	CD	73939931
3235448	10738	1994-11-06	VYDAJ	PREVOD NA UCET	186	31275	SIPO	CD	73939931
3235449	10738	1994-12-06	VYDAJ	PREVOD NA UCET	186	37612	SIPO	CD	73939931
3235450	10738	1995-01-06	VYDAJ	PREVOD NA UCET	186	9537	SIPO	CD	73939931
3235451	10738	1995-02-06	VYDAJ	PREVOD NA UCET	186	42439	SIPO	CD	73939931
3235452	10738	1995-03-06	VYDAJ	PREVOD NA UCET	186	70896	SIPO	CD	73939931
3235453	10738	1995-04-06	VYDAJ	PREVOD NA UCET	186	36218	SIPO	CD	73939931
3235454	10738	1995-05-06	VYDAJ	PREVOD NA UCET	186	67683	SIPO	CD	73939931
3235455	10738	1995-06-06	VYDAJ	PREVOD NA UCET	186	46630	SIPO	CD	73939931
3235456	10738	1995-07-06	VYDAJ	PREVOD NA UCET	186	70911	SIPO	CD	73939931
3235457	10738	1995-08-06	VYDAJ	PREVOD NA UCET	186	59237	SIPO	CD	73939931
3235458	10738	1995-09-06	VYDAJ	PREVOD NA UCET	186	62674	SIPO	CD	73939931
3235459	10738	1995-10-06	VYDAJ	PREVOD NA UCET	186	60017	SIPO	CD	73939931
3235460	10738	1995-11-06	VYDAJ	PREVOD NA UCET	186	54238	SIPO	CD	73939931
3235461	10738	1995-12-06	VYDAJ	PREVOD NA UCET	186	39467	SIPO	CD	73939931
3235462	10738	1996-01-06	VYDAJ	PREVOD NA UCET	186	42588	SIPO	CD	73939931
3235463	10738	1996-02-06	VYDAJ	PREVOD NA UCET	186	27143	SIPO	CD	73939931
3235464	10738	1996-03-06	VYDAJ	PREVOD NA UCET	186	26140	SIPO	CD	73939931
3235465	10738	1996-04-06	VYDAJ	PREVOD NA UCET	186	23029	SIPO	CD	73939931
3235466	10738	1996-05-06	VYDAJ	PREVOD NA UCET	186	24047	SIPO	CD	73939931
3235467	10738	1996-06-06	VYDAJ	PREVOD NA UCET	186	22931	SIPO	CD	73939931
3235468	10738	1996-07-06	VYDAJ	PREVOD NA UCET	186	24015	SIPO	CD	73939931
3235469	10738	1996-08-06	VYDAJ	PREVOD NA UCET	186	56142	SIPO	CD	73939931
3235470	10738	1996-09-06	VYDAJ	PREVOD NA UCET	186	27561	SIPO	CD	73939931
3235471	10738	1996-10-06	VYDAJ	PREVOD NA UCET	186	44033	SIPO	CD	73939931
3235472	10738	1996-11-06	VYDAJ	PREVOD NA UCET	186	63848	SIPO	CD	73939931
3235473	10738	1996-12-06	VYDAJ	PREVOD NA UCET	186	40182	SIPO	CD	73939931
3235474	10738	1997-01-06	VYDAJ	PREVOD NA UCET	186	22733	SIPO	CD	73939931
3235475	10738	1997-02-06	VYDAJ	PREVOD NA UCET	186	50297	SIPO	CD	73939931
3235476	10738	1997-03-06	VYDAJ	PREVOD NA UCET	186	75275	SIPO	CD	73939931
3235477	10738	1997-04-06	VYDAJ	PREVOD NA UCET	186	53877	SIPO	CD	73939931
3235478	10738	1997-05-06	VYDAJ	PREVOD NA UCET	186	46691	SIPO	CD	73939931
3235479	10738	1997-06-06	VYDAJ	PREVOD NA UCET	186	42467	SIPO	CD	73939931
3235480	10738	1997-07-06	VYDAJ	PREVOD NA UCET	186	41647	SIPO	CD	73939931
3235481	10738	1997-08-06	VYDAJ	PREVOD NA UCET	186	72045	SIPO	CD	73939931
3235482	10738	1997-09-06	VYDAJ	PREVOD NA UCET	186	88448	SIPO	CD	73939931
3235483	10738	1997-10-06	VYDAJ	PREVOD NA UCET	186	99512	SIPO	CD	73939931
3235484	10738	1997-11-06	VYDAJ	PREVOD NA UCET	186	101909	SIPO	CD	73939931
3235485	10738	1997-12-06	VYDAJ	PREVOD NA UCET	186	79578	SIPO	CD	73939931
3235486	10738	1998-01-06	VYDAJ	PREVOD NA UCET	186	43653	SIPO	CD	73939931
3235487	10738	1998-02-06	VYDAJ	PREVOD NA UCET	186	26381	SIPO	CD	73939931
3235488	10738	1998-03-06	VYDAJ	PREVOD NA UCET	186	64571	SIPO	CD	73939931
3235489	10738	1998-04-06	VYDAJ	PREVOD NA UCET	186	81277	SIPO	CD	73939931
3235490	10738	1998-05-06	VYDAJ	PREVOD NA UCET	186	93905	SIPO	CD	73939931
3235491	10738	1998-06-06	VYDAJ	PREVOD NA UCET	186	55627	SIPO	CD	73939931
3235492	10738	1998-07-06	VYDAJ	PREVOD NA UCET	186	80396	SIPO	CD	73939931
3235493	10738	1998-08-06	VYDAJ	PREVOD NA UCET	186	76951	SIPO	CD	73939931
3235494	10738	1998-09-06	VYDAJ	PREVOD NA UCET	186	109168	SIPO	CD	73939931
3235495	10738	1998-10-06	VYDAJ	PREVOD NA UCET	186	94035	SIPO	CD	73939931
3235496	10738	1998-11-06	VYDAJ	PREVOD NA UCET	186	68997	SIPO	CD	73939931
3235497	10738	1998-12-06	VYDAJ	PREVOD NA UCET	186	105371	SIPO	CD	73939931
3235506	10738	1993-09-10	VYDAJ	PREVOD NA UCET	8042	11884	 	CD	41088736
3235507	10738	1993-10-10	VYDAJ	PREVOD NA UCET	8042	3191	 	CD	41088736
3235508	10738	1993-11-10	VYDAJ	PREVOD NA UCET	8042	34796	 	CD	41088736
3235509	10738	1993-12-10	VYDAJ	PREVOD NA UCET	8042	17178	 	CD	41088736
3235510	10738	1994-01-10	VYDAJ	PREVOD NA UCET	8042	17006	 	CD	41088736
3235511	10738	1994-02-10	VYDAJ	PREVOD NA UCET	8042	11142	 	CD	41088736
3235512	10738	1994-03-10	VYDAJ	PREVOD NA UCET	8042	31806	 	CD	41088736
3235513	10738	1994-04-10	VYDAJ	PREVOD NA UCET	8042	17253	 	CD	41088736
3235514	10738	1994-05-10	VYDAJ	PREVOD NA UCET	8042	8285	 	CD	41088736
3235515	10738	1994-06-10	VYDAJ	PREVOD NA UCET	8042	3793	 	CD	41088736
3235516	10738	1994-07-10	VYDAJ	PREVOD NA UCET	8042	2189	 	CD	41088736
3235517	10738	1994-08-10	VYDAJ	PREVOD NA UCET	8042	17077	 	CD	41088736
3235518	10738	1994-09-10	VYDAJ	PREVOD NA UCET	8042	11306	 	CD	41088736
3235519	10738	1994-10-10	VYDAJ	PREVOD NA UCET	8042	13822	 	CD	41088736
3235520	10738	1994-11-10	VYDAJ	PREVOD NA UCET	8042	52663	 	CD	41088736
3235521	10738	1994-12-10	VYDAJ	PREVOD NA UCET	8042	9670	 	CD	41088736
3235522	10738	1995-01-10	VYDAJ	PREVOD NA UCET	8042	22928	 	CD	41088736
3235523	10738	1995-02-10	VYDAJ	PREVOD NA UCET	8042	34397	 	CD	41088736
3235524	10738	1995-03-10	VYDAJ	PREVOD NA UCET	8042	61290	 	CD	41088736
3235525	10738	1995-04-10	VYDAJ	PREVOD NA UCET	8042	21676	 	CD	41088736
3235526	10738	1995-05-10	VYDAJ	PREVOD NA UCET	8042	40841	 	CD	41088736
3235527	10738	1995-06-10	VYDAJ	PREVOD NA UCET	8042	28288	 	CD	41088736
3235528	10738	1995-07-10	VYDAJ	PREVOD NA UCET	8042	39569	 	CD	41088736
3235529	10738	1995-08-10	VYDAJ	PREVOD NA UCET	8042	64762	 	CD	41088736
3235530	10738	1995-09-10	VYDAJ	PREVOD NA UCET	8042	54632	 	CD	41088736
3235531	10738	1995-10-10	VYDAJ	PREVOD NA UCET	8042	51975	 	CD	41088736
3235532	10738	1995-11-10	VYDAJ	PREVOD NA UCET	8042	46196	 	CD	41088736
3235533	10738	1995-12-10	VYDAJ	PREVOD NA UCET	8042	31425	 	CD	41088736
3235534	10738	1996-01-10	VYDAJ	PREVOD NA UCET	8042	34546	 	CD	41088736
3235535	10738	1996-02-10	VYDAJ	PREVOD NA UCET	8042	19101	 	CD	41088736
3235536	10738	1996-03-10	VYDAJ	PREVOD NA UCET	8042	18098	 	CD	41088736
3235537	10738	1996-04-10	VYDAJ	PREVOD NA UCET	8042	14987	 	CD	41088736
3235538	10738	1996-05-10	VYDAJ	PREVOD NA UCET	8042	16005	 	CD	41088736
3235539	10738	1996-06-10	VYDAJ	PREVOD NA UCET	8042	14889	 	CD	41088736
3235540	10738	1996-07-10	VYDAJ	PREVOD NA UCET	8042	15973	 	CD	41088736
3235541	10738	1996-08-10	VYDAJ	PREVOD NA UCET	8042	48100	 	CD	41088736
3235542	10738	1996-09-10	VYDAJ	PREVOD NA UCET	8042	19519	 	CD	41088736
3235543	10738	1996-10-10	VYDAJ	PREVOD NA UCET	8042	35991	 	CD	41088736
3235544	10738	1996-11-10	VYDAJ	PREVOD NA UCET	8042	36643	 	CD	41088736
3235545	10738	1996-12-10	VYDAJ	PREVOD NA UCET	8042	32140	 	CD	41088736
3235546	10738	1997-01-10	VYDAJ	PREVOD NA UCET	8042	14691	 	CD	41088736
3235547	10738	1997-02-10	VYDAJ	PREVOD NA UCET	8042	42255	 	CD	41088736
3235548	10738	1997-03-10	VYDAJ	PREVOD NA UCET	8042	53133	 	CD	41088736
3235549	10738	1997-04-10	VYDAJ	PREVOD NA UCET	8042	45835	 	CD	41088736
3235550	10738	1997-05-10	VYDAJ	PREVOD NA UCET	8042	38649	 	CD	41088736
3235551	10738	1997-06-10	VYDAJ	PREVOD NA UCET	8042	34425	 	CD	41088736
3235552	10738	1997-07-10	VYDAJ	PREVOD NA UCET	8042	53872	 	CD	41088736
3235553	10738	1997-08-10	VYDAJ	PREVOD NA UCET	8042	64003	 	CD	41088736
3235554	10738	1997-09-10	VYDAJ	PREVOD NA UCET	8042	76468	 	CD	41088736
3235555	10738	1997-10-10	VYDAJ	PREVOD NA UCET	8042	91470	 	CD	41088736
3235556	10738	1997-11-10	VYDAJ	PREVOD NA UCET	8042	93867	 	CD	41088736
3235557	10738	1997-12-10	VYDAJ	PREVOD NA UCET	8042	71536	 	CD	41088736
3235558	10738	1998-01-10	VYDAJ	PREVOD NA UCET	8042	112862	 	CD	41088736
3235559	10738	1998-02-10	VYDAJ	PREVOD NA UCET	8042	36857	 	CD	41088736
3235560	10738	1998-03-10	VYDAJ	PREVOD NA UCET	8042	81914	 	CD	41088736
3235561	10738	1998-04-10	VYDAJ	PREVOD NA UCET	8042	62871	 	CD	41088736
3235562	10738	1998-05-10	VYDAJ	PREVOD NA UCET	8042	78392	 	CD	41088736
3235563	10738	1998-06-10	VYDAJ	PREVOD NA UCET	8042	47585	 	CD	41088736
3235564	10738	1998-07-10	VYDAJ	PREVOD NA UCET	8042	72354	 	CD	41088736
3235565	10738	1998-08-10	VYDAJ	PREVOD NA UCET	8042	68909	 	CD	41088736
3235566	10738	1998-09-10	VYDAJ	PREVOD NA UCET	8042	97826	 	CD	41088736
3235567	10738	1998-10-10	VYDAJ	PREVOD NA UCET	8042	85993	 	CD	41088736
3235568	10738	1998-11-10	VYDAJ	PREVOD NA UCET	8042	75997	 	CD	41088736
3235569	10738	1998-12-10	VYDAJ	PREVOD NA UCET	8042	97329	 	CD	41088736
3235576	10738	1993-12-20	VYBER	VYBER	4155	30846	\N	\N	\N
3235579	10738	1993-08-17	VYBER	VYBER	22816	19979	\N	\N	\N
3235585	10738	1994-12-05	VYBER	VYBER	16900	37798	\N	\N	\N
3235587	10738	1994-11-29	VYBER	VYBER	18979	60499	\N	\N	\N
3235597	10738	1995-03-19	VYBER	VYBER	21851	36217	\N	\N	\N
3235600	10738	1996-07-17	VYBER	VYBER	3231	27980	\N	\N	\N
3235609	10738	1996-11-10	VYBER	VYBER	19163	44685	\N	\N	\N
3235610	10738	1997-02-19	VYBER	VYBER	5454	33579	\N	\N	\N
3235612	10738	1997-10-27	VYBER	VYBER	7182	62467	\N	\N	\N
3235614	10738	1997-12-15	VYBER	VYBER	6008	57807	\N	\N	\N
3235616	10738	1997-08-27	VYBER	VYBER	18739	55010	\N	\N	\N
3235617	10738	1997-07-04	VYBER	VYBER	22777	41833	\N	\N	\N
3235618	10738	1997-11-25	VYBER	VYBER	9556	63590	\N	\N	\N
3235620	10738	1997-09-08	VYBER	VYBER	3938	84510	\N	\N	\N
3235621	10738	1997-03-11	VYBER	VYBER	24716	28417	\N	\N	\N
3235624	10738	1998-01-30	VYBER	VYBER	12463	37379	\N	\N	\N
3235625	10738	1998-05-08	VYBER	VYBER	7471	86434	\N	\N	\N
3235626	10738	1998-04-07	VYBER	VYBER	6664	74613	\N	\N	\N
3235627	10738	1998-06-18	VYBER	VYBER	16968	63694	\N	\N	\N
3235637	10738	1996-01-13	VYDAJ	VYBER	9600	21725	\N	\N	\N
3235639	10738	1998-01-04	VYDAJ	VYBER	23700	46639	\N	\N	\N
3235642	10738	1995-12-15	VYDAJ	VYBER	6900	21304	\N	\N	\N
3235643	10738	1996-12-11	VYDAJ	VYBER	2700	29440	\N	\N	\N
3235644	10738	1997-12-11	VYDAJ	VYBER	4500	67036	\N	\N	\N
3235645	10738	1998-12-01	VYDAJ	VYBER KARTOU	2700	64924	\N	\N	0
3235654	10738	1994-01-02	VYDAJ	VYBER	5700	25234	\N	\N	\N
3235662	10738	1995-01-10	VYDAJ	VYBER	7200	30970	\N	\N	\N
3235665	10738	1996-01-06	VYDAJ	VYBER	6600	42774	\N	\N	\N
3235671	10738	1997-01-04	VYDAJ	VYBER	5700	28319	\N	\N	\N
3235675	10738	1997-01-04	VYDAJ	VYBER	5400	22919	\N	\N	\N
3235676	10738	1998-01-28	VYDAJ	VYBER KARTOU	3900	57642	\N	\N	0
3235677	10738	1998-01-04	VYDAJ	VYBER	6600	70339	\N	\N	\N
3235678	10738	1998-01-15	VYDAJ	VYBER KARTOU	3600	99885	\N	\N	0
3235679	10738	1998-01-25	VYDAJ	VYBER	6900	63642	\N	\N	\N
3235680	10738	1998-01-29	VYDAJ	VYBER	7800	49842	\N	\N	\N
3235681	10738	1998-01-27	VYDAJ	VYBER KARTOU	2100	61542	\N	\N	0
3235688	10738	1994-12-02	VYDAJ	VYBER	6000	54698	\N	\N	\N
3235689	10738	1994-11-05	VYDAJ	VYBER	2100	35061	\N	\N	\N
3235690	10738	1994-12-10	VYDAJ	VYBER	10500	17712	\N	\N	\N
3235692	10738	1994-01-10	VYDAJ	VYBER	3300	13706	\N	\N	\N
3235693	10738	1995-07-01	VYDAJ	VYBER	9300	30770	\N	\N	\N
3235694	10738	1995-10-17	VYDAJ	VYBER	11700	37053	\N	\N	\N
3235695	10738	1995-02-01	VYDAJ	VYBER	6900	61025	\N	\N	\N
3235697	10738	1996-09-04	VYDAJ	VYBER	13800	27747	\N	\N	\N
3235698	10738	1996-09-27	VYDAJ	VYBER	13800	50522	\N	\N	\N
3235700	10738	1997-05-11	VYDAJ	VYBER	4800	33849	\N	\N	\N
3235701	10738	1997-10-03	VYDAJ	VYBER	5700	99698	\N	\N	\N
3235702	10738	1997-03-09	VYDAJ	VYBER	3300	61175	\N	\N	\N
3235703	10738	1997-10-25	VYDAJ	VYBER KARTOU	3000	69649	\N	\N	0
3235704	10738	1997-03-07	VYDAJ	VYBER	10800	64475	\N	\N	\N
3235705	10738	1997-09-05	VYDAJ	VYBER	3900	88634	\N	\N	\N
3235706	10738	1998-03-27	VYDAJ	VYBER	14400	87759	\N	\N	\N
3235707	10738	1998-06-26	VYDAJ	VYBER	13800	98092	\N	\N	\N
3235708	10738	1998-02-01	VYDAJ	VYBER	11100	26567	\N	\N	\N
3235709	10738	1998-04-05	VYDAJ	VYBER	6600	81463	\N	\N	\N
3235710	10738	1998-10-17	VYDAJ	VYBER	10800	72693	\N	\N	\N
3235719	10738	1993-08-31	VYDAJ	VYBER	30	20112	SLUZBY	\N	\N
3235720	10738	1993-09-30	VYDAJ	VYBER	30	14319	SLUZBY	\N	\N
3235721	10738	1993-10-31	VYDAJ	VYBER	30	43024	SLUZBY	\N	\N
3235722	10738	1993-11-30	VYDAJ	VYBER	30	28206	SLUZBY	\N	\N
3235723	10738	1993-12-31	VYDAJ	VYBER	30	30934	SLUZBY	\N	\N
3235724	10738	1994-01-31	VYDAJ	VYBER	30	19370	SLUZBY	\N	\N
3235725	10738	1994-02-28	VYDAJ	VYBER	30	15283	SLUZBY	\N	\N
3235726	10738	1994-03-31	VYDAJ	VYBER	30	25481	SLUZBY	\N	\N
3235727	10738	1994-04-30	VYDAJ	VYBER	30	19113	SLUZBY	\N	\N
3235728	10738	1994-05-31	VYDAJ	VYBER	30	15421	SLUZBY	\N	\N
3235729	10738	1994-06-30	VYDAJ	VYBER	30	13017	SLUZBY	\N	\N
3235730	10738	1994-07-31	VYDAJ	VYBER	30	11505	SLUZBY	\N	\N
3235731	10738	1994-08-31	VYDAJ	VYBER	30	13834	SLUZBY	\N	\N
3235732	10738	1994-09-30	VYDAJ	VYBER	30	11350	SLUZBY	\N	\N
3235733	10738	1994-10-31	VYDAJ	VYBER	30	37161	SLUZBY	\N	\N
3235734	10738	1994-11-30	VYDAJ	VYBER	30	60698	SLUZBY	\N	\N
3235735	10738	1994-12-31	VYDAJ	VYBER	30	9723	SLUZBY	\N	\N
3235736	10738	1995-01-31	VYDAJ	VYBER	30	67925	SLUZBY	\N	\N
3235737	10738	1995-02-28	VYDAJ	VYBER	30	71082	SLUZBY	\N	\N
3235738	10738	1995-03-31	VYDAJ	VYBER	30	36404	SLUZBY	\N	\N
3235739	10738	1995-04-30	VYDAJ	VYBER	30	67869	SLUZBY	\N	\N
3235740	10738	1995-05-31	VYDAJ	VYBER	30	46816	SLUZBY	\N	\N
3235741	10738	1995-06-30	VYDAJ	VYBER	30	40070	SLUZBY	\N	\N
3235742	10738	1995-07-31	VYDAJ	VYBER	30	94623	SLUZBY	\N	\N
3235743	10738	1995-08-31	VYDAJ	VYBER	30	95660	SLUZBY	\N	\N
3235744	10738	1995-09-30	VYDAJ	VYBER	30	94503	SLUZBY	\N	\N
3235745	10738	1995-10-31	VYDAJ	VYBER	30	76424	SLUZBY	\N	\N
3235746	10738	1995-11-30	VYDAJ	VYBER	30	43153	SLUZBY	\N	\N
3235747	10738	1995-12-31	VYDAJ	VYBER	30	64774	SLUZBY	\N	\N
3235748	10738	1996-01-31	VYDAJ	VYBER	30	21829	SLUZBY	\N	\N
3235749	10738	1996-02-29	VYDAJ	VYBER	30	15926	SLUZBY	\N	\N
3235750	10738	1996-03-31	VYDAJ	VYBER	30	14915	SLUZBY	\N	\N
3235751	10738	1996-04-30	VYDAJ	VYBER	30	16933	SLUZBY	\N	\N
3235752	10738	1996-05-31	VYDAJ	VYBER	30	23117	SLUZBY	\N	\N
3235753	10738	1996-06-30	VYDAJ	VYBER	30	24201	SLUZBY	\N	\N
3235754	10738	1996-07-31	VYDAJ	VYBER	30	56328	SLUZBY	\N	\N
3235755	10738	1996-08-31	VYDAJ	VYBER	30	41547	SLUZBY	\N	\N
3235756	10738	1996-09-30	VYDAJ	VYBER	30	44219	SLUZBY	\N	\N
3235757	10738	1996-10-31	VYDAJ	VYBER	30	64034	SLUZBY	\N	\N
3235758	10738	1996-11-30	VYDAJ	VYBER	30	40368	SLUZBY	\N	\N
3235759	10738	1996-12-31	VYDAJ	VYBER	30	34019	SLUZBY	\N	\N
3235760	10738	1997-01-31	VYDAJ	VYBER	30	50483	SLUZBY	\N	\N
3235761	10738	1997-02-28	VYDAJ	VYBER	30	93616	SLUZBY	\N	\N
3235762	10738	1997-03-31	VYDAJ	VYBER	30	54063	SLUZBY	\N	\N
3235763	10738	1997-04-30	VYDAJ	VYBER	30	46877	SLUZBY	\N	\N
3235764	10738	1997-05-31	VYDAJ	VYBER	30	42653	SLUZBY	\N	\N
3235765	10738	1997-06-30	VYDAJ	VYBER	30	64610	SLUZBY	\N	\N
3235766	10738	1997-07-31	VYDAJ	VYBER	30	72231	SLUZBY	\N	\N
3235767	10738	1997-08-31	VYDAJ	VYBER	30	92534	SLUZBY	\N	\N
3235768	10738	1997-09-30	VYDAJ	VYBER	30	105398	SLUZBY	\N	\N
3235769	10738	1997-10-31	VYDAJ	VYBER	30	102095	SLUZBY	\N	\N
3235770	10738	1997-11-30	VYDAJ	VYBER	30	63919	SLUZBY	\N	\N
3235771	10738	1997-12-31	VYDAJ	VYBER	30	50725	SLUZBY	\N	\N
3235772	10738	1998-01-31	VYDAJ	VYBER	30	37667	SLUZBY	\N	\N
3235773	10738	1998-02-28	VYDAJ	VYBER	30	64757	SLUZBY	\N	\N
3235774	10738	1998-03-31	VYDAJ	VYBER	30	88063	SLUZBY	\N	\N
3235775	10738	1998-04-30	VYDAJ	VYBER	30	111606	SLUZBY	\N	\N
3235776	10738	1998-05-31	VYDAJ	VYBER	30	59713	SLUZBY	\N	\N
3235777	10738	1998-06-30	VYDAJ	VYBER	30	98369	SLUZBY	\N	\N
3235778	10738	1998-07-31	VYDAJ	VYBER	30	79637	SLUZBY	\N	\N
3235779	10738	1998-08-31	VYDAJ	VYBER	30	109354	SLUZBY	\N	\N
3235780	10738	1998-09-30	VYDAJ	VYBER	30	81281	SLUZBY	\N	\N
3235781	10738	1998-10-31	VYDAJ	VYBER	30	69183	SLUZBY	\N	\N
3235782	10738	1998-11-30	VYDAJ	VYBER	30	67624	SLUZBY	\N	\N
3235783	10738	1993-05-17	PRIJEM	VKLAD	6800	14591	\N	\N	\N
3235784	10738	1993-06-16	PRIJEM	VKLAD	3500	18124	\N	\N	\N
3235785	10738	1993-07-16	VYDAJ	VYBER	16200	45581	\N	\N	\N
3235786	10738	1993-08-10	VYDAJ	VYBER	60600	47092	\N	\N	\N
3235787	10738	1993-08-15	VYDAJ	VYBER	18500	42795	\N	\N	\N
3235788	10738	1993-09-14	PRIJEM	VKLAD	5800	14284	\N	\N	\N
3235789	10738	1993-10-14	PRIJEM	VKLAD	11000	14191	\N	\N	\N
3235790	10738	1993-11-13	VYDAJ	VYBER	3300	31496	\N	\N	\N
3235791	10738	1993-12-13	PRIJEM	VKLAD	3000	20178	\N	\N	\N
3235792	10738	1994-01-12	PRIJEM	VKLAD	8400	22106	\N	\N	\N
3235793	10738	1994-02-11	PRIJEM	VKLAD	7800	18942	\N	\N	\N
3235794	10738	1994-03-13	VYDAJ	VYBER	3100	28706	\N	\N	\N
3235795	10738	1994-04-12	PRIJEM	VKLAD	5200	22453	\N	\N	\N
3235796	10738	1994-05-12	PRIJEM	VKLAD	7100	15385	\N	\N	\N
3235797	10738	1994-06-11	PRIJEM	VKLAD	9200	12993	\N	\N	\N
3235798	10738	1994-07-11	PRIJEM	VKLAD	9300	11489	\N	\N	\N
3235799	10738	1994-08-10	PRIJEM	VKLAD	13800	25119	\N	\N	\N
3235800	10738	1994-09-09	PRIJEM	VKLAD	8500	22148	\N	\N	\N
3235801	10738	1994-10-09	PRIJEM	VKLAD	10700	21864	\N	\N	\N
3235802	10738	1994-11-08	VYDAJ	VYBER	4900	26375	\N	\N	\N
3235803	10738	1994-12-08	VYDAJ	VYBER	6200	28212	\N	\N	\N
3235804	10738	1995-01-07	PRIJEM	VKLAD	9700	19237	\N	\N	\N
3235805	10738	1995-02-06	VYDAJ	VYBER	18400	42625	\N	\N	\N
3235806	10738	1995-03-08	VYDAJ	VYBER	20300	50596	\N	\N	\N
3235807	10738	1995-04-07	VYDAJ	VYBER	6500	29718	\N	\N	\N
3235808	10738	1995-05-07	VYDAJ	VYBER	18800	48883	\N	\N	\N
3235809	10738	1995-06-06	VYDAJ	VYBER	10300	36330	\N	\N	\N
3235810	10738	1995-07-06	VYDAJ	VYBER	23300	47611	\N	\N	\N
3235811	10738	1995-07-22	VYDAJ	VYBER	21500	94340	\N	\N	\N
3235812	10738	1995-08-05	VYDAJ	VYBER	35200	59423	\N	\N	\N
3235813	10738	1995-09-04	VYDAJ	VYBER	32800	62860	\N	\N	\N
3235814	10738	1995-09-17	VYDAJ	VYBER	27200	82637	\N	\N	\N
3235815	10738	1995-09-26	VYDAJ	VYBER	48000	94186	\N	\N	\N
3235816	10738	1995-10-04	VYDAJ	VYBER	34300	60203	\N	\N	\N
3235817	10738	1995-11-03	VYDAJ	VYBER	22000	54424	\N	\N	\N
3235818	10738	1995-12-03	VYDAJ	VYBER	3500	39653	\N	\N	\N
3235819	10738	1996-01-02	VYDAJ	VYBER	15400	49374	\N	\N	\N
3235820	10738	1996-02-01	PRIJEM	VKLAD	5500	27329	\N	\N	\N
3235821	10738	1996-03-02	PRIJEM	VKLAD	10400	26326	\N	\N	\N
3235822	10738	1996-04-01	PRIJEM	VKLAD	8300	23215	\N	\N	\N
3235823	10738	1996-05-01	PRIJEM	VKLAD	7300	24233	\N	\N	\N
3235824	10738	1996-05-31	PRIJEM	VKLAD	10300	23084	\N	\N	\N
3235825	10738	1996-06-30	PRIJEM	VKLAD	12500	24231	\N	\N	\N
3235826	10738	1996-07-30	VYDAJ	VYBER	18300	56246	\N	\N	\N
3235827	10738	1996-08-29	VYDAJ	VYBER	3500	41378	\N	\N	\N
3235828	10738	1996-09-28	VYDAJ	VYBER	6400	44122	\N	\N	\N
3235829	10738	1996-10-28	VYDAJ	VYBER	22600	63876	\N	\N	\N
3235830	10738	1996-11-27	VYDAJ	VYBER	5100	40215	\N	\N	\N
3235831	10738	1996-12-27	PRIJEM	VKLAD	7700	33918	\N	\N	\N
3235832	10738	1997-01-26	VYDAJ	VYBER	11000	50390	\N	\N	\N
3235833	10738	1997-02-25	VYDAJ	VYBER	9600	53926	\N	\N	\N
3235834	10738	1997-03-02	VYDAJ	VYBER	38600	75461	\N	\N	\N
3235835	10738	1997-03-27	PRIJEM	VKLAD	10600	35795	\N	\N	\N
3235836	10738	1997-04-26	PRIJEM	VKLAD	4100	46714	\N	\N	\N
3235837	10738	1997-05-26	PRIJEM	VKLAD	11900	42527	\N	\N	\N
3235838	10738	1997-06-25	VYDAJ	VYBER	16800	64433	\N	\N	\N
3235839	10738	1997-07-25	VYDAJ	VYBER	15800	71979	\N	\N	\N
3235840	10738	1997-08-17	VYDAJ	VYBER	53700	89846	\N	\N	\N
3235841	10738	1997-08-22	VYDAJ	VYBER	34300	91149	\N	\N	\N
3235842	10738	1997-08-24	VYDAJ	VYBER	17400	73749	\N	\N	\N
3235843	10738	1997-09-23	VYDAJ	VYBER	11400	61847	\N	\N	\N
3235844	10738	1997-10-23	VYDAJ	VYBER	15600	72649	\N	\N	\N
3235845	10738	1997-11-22	VYDAJ	VYBER	17500	73146	\N	\N	\N
3235846	10738	1997-12-22	VYDAJ	VYBER	7300	50507	\N	\N	\N
3235847	10738	1998-01-10	VYDAJ	VYBER	18800	94062	\N	\N	\N
3235848	10738	1998-01-10	VYDAJ	VYBER	20800	120904	\N	\N	\N
3235849	10738	1998-01-18	VYDAJ	VYBER	32000	88142	\N	\N	\N
3235850	10738	1998-01-21	VYDAJ	VYBER	17600	70542	\N	\N	\N
3235851	10738	1998-02-20	VYDAJ	VYBER	10700	64570	\N	\N	\N
3235852	10738	1998-03-18	VYDAJ	VYBER	46000	74021	\N	\N	\N
3235853	10738	1998-03-22	VYDAJ	VYBER	9000	65021	\N	\N	\N
3235854	10738	1998-05-04	VYDAJ	VYBER	35900	94091	\N	\N	\N
3235855	10738	1998-05-21	VYDAJ	VYBER	8500	67092	\N	\N	\N
3235856	10738	1998-05-23	VYDAJ	VYBER	55200	59355	\N	\N	\N
3235857	10738	1998-06-20	VYDAJ	VYBER	4900	58794	\N	\N	\N
3235858	10738	1998-06-24	VYDAJ	VYBER	42300	111892	\N	\N	\N
3235859	10738	1998-07-06	VYDAJ	VYBER	47600	80582	\N	\N	\N
3235860	10738	1998-07-20	VYDAJ	VYBER	13800	82233	\N	\N	\N
3235861	10738	1998-08-19	PRIJEM	VKLAD	900	69809	\N	\N	\N
3235862	10738	1998-09-18	VYDAJ	VYBER	16900	80926	\N	\N	\N
3235863	10738	1998-10-18	VYDAJ	VYBER KARTOU	3800	68893	\N	\N	0
3235864	10738	1998-11-17	VYDAJ	VYBER KARTOU	3500	72497	\N	\N	0
3235865	10738	1998-11-30	VYDAJ	VYBER	53800	67654	\N	\N	\N
3235866	10738	1998-12-14	VYDAJ	VYBER	59200	58457	\N	\N	\N
3242207	10762	1995-10-23	PRIJEM	VKLAD	700	700	\N	\N	\N
3242218	10762	1995-11-09	PRIJEM	VKLAD	18902	19602	\N	\N	\N
3242219	10762	1995-12-09	PRIJEM	VKLAD	28353	50883	\N	\N	\N
3242220	10762	1996-01-09	PRIJEM	VKLAD	18902	54997	\N	\N	\N
3242221	10762	1996-02-09	PRIJEM	VKLAD	18902	61358	\N	\N	\N
3242222	10762	1996-03-09	PRIJEM	VKLAD	18902	61940	\N	\N	\N
3242223	10762	1996-04-09	PRIJEM	VKLAD	18902	55505	\N	\N	\N
3242224	10762	1996-05-09	PRIJEM	VKLAD	18902	51751	\N	\N	\N
3242225	10762	1996-06-09	PRIJEM	VKLAD	28353	57532	\N	\N	\N
3242226	10762	1996-07-09	PRIJEM	VKLAD	18902	31660	\N	\N	\N
3242227	10762	1996-08-09	PRIJEM	VKLAD	18902	44428	\N	\N	\N
3242228	10762	1996-09-09	PRIJEM	VKLAD	18902	53041	\N	\N	\N
3242229	10762	1996-10-09	PRIJEM	VKLAD	18902	57079	\N	\N	\N
3242230	10762	1996-11-09	PRIJEM	VKLAD	18902	57117	\N	\N	\N
3242231	10762	1996-12-09	PRIJEM	VKLAD	28353	64598	\N	\N	\N
3242232	10762	1997-01-09	PRIJEM	VKLAD	18902	40636	\N	\N	\N
3242233	10762	1997-02-09	PRIJEM	VKLAD	18902	45924	\N	\N	\N
3242234	10762	1997-03-09	PRIJEM	VKLAD	18902	48714	\N	\N	\N
3242235	10762	1997-04-09	PRIJEM	VKLAD	18902	49414	\N	\N	\N
3242236	10762	1997-05-09	PRIJEM	VKLAD	18902	50617	\N	\N	\N
3242237	10762	1997-06-09	PRIJEM	VKLAD	28353	63480	\N	\N	\N
3242238	10762	1997-07-09	PRIJEM	VKLAD	18902	45696	\N	\N	\N
3242239	10762	1997-08-09	PRIJEM	VKLAD	18902	46789	\N	\N	\N
3242240	10762	1997-09-09	PRIJEM	VKLAD	18902	51690	\N	\N	\N
3242241	10762	1997-10-09	PRIJEM	VKLAD	18902	50290	\N	\N	\N
3242242	10762	1997-11-09	PRIJEM	VKLAD	18902	49792	\N	\N	\N
3242243	10762	1997-12-09	PRIJEM	VKLAD	28353	52430	\N	\N	\N
3242244	10762	1998-01-09	PRIJEM	VKLAD	18902	37307	\N	\N	\N
3242245	10762	1998-02-09	PRIJEM	VKLAD	18902	42378	\N	\N	\N
3242246	10762	1998-03-09	PRIJEM	VKLAD	18902	48559	\N	\N	\N
3242247	10762	1998-04-09	PRIJEM	VKLAD	18902	48247	\N	\N	\N
3242248	10762	1998-05-09	PRIJEM	VKLAD	18902	46127	\N	\N	\N
3242249	10762	1998-06-09	PRIJEM	VKLAD	28353	54151	\N	\N	\N
3242250	10762	1998-07-09	PRIJEM	VKLAD	18902	45121	\N	\N	\N
3242251	10762	1998-08-09	PRIJEM	VKLAD	18902	35474	\N	\N	\N
3242252	10762	1998-09-09	PRIJEM	VKLAD	18902	35542	\N	\N	\N
3242253	10762	1998-10-09	PRIJEM	VKLAD	18902	34814	\N	\N	\N
3242254	10762	1998-11-09	PRIJEM	VKLAD	18902	40686	\N	\N	\N
3242255	10762	1998-12-09	PRIJEM	VKLAD	28353	52630	\N	\N	\N
3242271	10762	1996-04-06	VYDAJ	PREVOD NA UCET	5435	38903	SIPO	WX	41995155
3242272	10762	1996-05-06	VYDAJ	PREVOD NA UCET	5435	32849	SIPO	WX	41995155
3242273	10762	1996-06-06	VYDAJ	PREVOD NA UCET	5435	30579	SIPO	WX	41995155
3242274	10762	1996-07-06	VYDAJ	PREVOD NA UCET	5435	12758	SIPO	WX	41995155
3242275	10762	1996-08-06	VYDAJ	PREVOD NA UCET	5435	25526	SIPO	WX	41995155
3242276	10762	1996-09-06	VYDAJ	PREVOD NA UCET	5435	34139	SIPO	WX	41995155
3242277	10762	1996-10-06	VYDAJ	PREVOD NA UCET	5435	38177	SIPO	WX	41995155
3242278	10762	1996-11-06	VYDAJ	PREVOD NA UCET	5435	38215	SIPO	WX	41995155
3242279	10762	1996-12-06	VYDAJ	PREVOD NA UCET	5435	36245	SIPO	WX	41995155
3242280	10762	1997-01-06	VYDAJ	PREVOD NA UCET	5435	30634	SIPO	WX	41995155
3242281	10762	1997-02-06	VYDAJ	PREVOD NA UCET	5435	27022	SIPO	WX	41995155
3242282	10762	1997-03-06	VYDAJ	PREVOD NA UCET	5435	29812	SIPO	WX	41995155
3242283	10762	1997-04-06	VYDAJ	PREVOD NA UCET	5435	30512	SIPO	WX	41995155
3242284	10762	1997-05-06	VYDAJ	PREVOD NA UCET	5435	31715	SIPO	WX	41995155
3242285	10762	1997-06-06	VYDAJ	PREVOD NA UCET	5435	35127	SIPO	WX	41995155
3242286	10762	1997-07-06	VYDAJ	PREVOD NA UCET	5435	26794	SIPO	WX	41995155
3242287	10762	1997-08-06	VYDAJ	PREVOD NA UCET	5435	31587	SIPO	WX	41995155
3242288	10762	1997-09-06	VYDAJ	PREVOD NA UCET	5435	32788	SIPO	WX	41995155
3242289	10762	1997-10-06	VYDAJ	PREVOD NA UCET	5435	31388	SIPO	WX	41995155
3242290	10762	1997-11-06	VYDAJ	PREVOD NA UCET	5435	30890	SIPO	WX	41995155
3242291	10762	1997-12-06	VYDAJ	PREVOD NA UCET	5435	24077	SIPO	WX	41995155
3242292	10762	1998-01-06	VYDAJ	PREVOD NA UCET	5435	18405	SIPO	WX	41995155
3242293	10762	1998-02-06	VYDAJ	PREVOD NA UCET	5435	23476	SIPO	WX	41995155
3242294	10762	1998-03-06	VYDAJ	PREVOD NA UCET	5435	29657	SIPO	WX	41995155
3242295	10762	1998-04-06	VYDAJ	PREVOD NA UCET	5435	29345	SIPO	WX	41995155
3242296	10762	1998-05-06	VYDAJ	PREVOD NA UCET	5435	27225	SIPO	WX	41995155
3242297	10762	1998-06-06	VYDAJ	PREVOD NA UCET	5435	25798	SIPO	WX	41995155
3242298	10762	1998-07-06	VYDAJ	PREVOD NA UCET	5435	26219	SIPO	WX	41995155
3242299	10762	1998-08-06	VYDAJ	PREVOD NA UCET	5435	20072	SIPO	WX	41995155
3242300	10762	1998-09-06	VYDAJ	PREVOD NA UCET	5435	24640	SIPO	WX	41995155
3242301	10762	1998-10-06	VYDAJ	PREVOD NA UCET	5435	28312	SIPO	WX	41995155
3242302	10762	1998-11-06	VYDAJ	PREVOD NA UCET	5435	21784	SIPO	WX	41995155
3242303	10762	1998-12-06	VYDAJ	PREVOD NA UCET	5435	24277	SIPO	WX	41995155
3242318	10762	1996-03-07	VYDAJ	VYBER	1600	43038	\N	\N	0
3242319	10762	1996-04-08	VYDAJ	VYBER	2300	36603	\N	\N	0
3242320	10762	1996-05-02	VYDAJ	VYBER	1800	38284	\N	\N	0
3242321	10762	1996-06-02	VYDAJ	VYBER	1900	36014	\N	\N	0
3242322	10762	1996-07-18	VYDAJ	VYBER	2100	29560	\N	\N	0
3242323	10762	1996-08-13	VYDAJ	VYBER	1600	42828	\N	\N	0
3242324	10762	1996-09-12	VYDAJ	VYBER	1500	51541	\N	\N	0
3242325	10762	1996-10-12	VYDAJ	PREVOD NA UCET	1912	55167	UVER	YZ	96996306
3242326	10762	1996-11-12	VYDAJ	PREVOD NA UCET	1912	55205	UVER	YZ	96996306
3242327	10762	1996-12-12	VYDAJ	PREVOD NA UCET	1912	62686	UVER	YZ	96996306
3242328	10762	1997-01-12	VYDAJ	PREVOD NA UCET	1912	38724	UVER	YZ	96996306
3242329	10762	1997-02-12	VYDAJ	PREVOD NA UCET	1912	44012	UVER	YZ	96996306
3242330	10762	1997-03-12	VYDAJ	PREVOD NA UCET	1912	46802	UVER	YZ	96996306
3242331	10762	1997-04-12	VYDAJ	PREVOD NA UCET	1912	47502	UVER	YZ	96996306
3242332	10762	1997-05-12	VYDAJ	PREVOD NA UCET	1912	48705	UVER	YZ	96996306
3242333	10762	1997-06-12	VYDAJ	PREVOD NA UCET	1912	61568	UVER	YZ	96996306
3242334	10762	1997-07-12	VYDAJ	PREVOD NA UCET	1912	43784	UVER	YZ	96996306
3242335	10762	1997-08-12	VYDAJ	PREVOD NA UCET	1912	44877	UVER	YZ	96996306
3242336	10762	1997-09-12	VYDAJ	PREVOD NA UCET	1912	36678	UVER	YZ	96996306
3242337	10762	1997-10-12	VYDAJ	PREVOD NA UCET	1912	48378	UVER	YZ	96996306
3242338	10762	1997-11-12	VYDAJ	PREVOD NA UCET	1912	33980	UVER	YZ	96996306
3242339	10762	1997-12-12	VYDAJ	PREVOD NA UCET	1912	37418	UVER	YZ	96996306
3242340	10762	1998-01-12	VYDAJ	PREVOD NA UCET	1912	36495	UVER	YZ	96996306
3242341	10762	1998-02-12	VYDAJ	PREVOD NA UCET	1912	34966	UVER	YZ	96996306
3242342	10762	1998-03-12	VYDAJ	PREVOD NA UCET	1912	34647	UVER	YZ	96996306
3242343	10762	1998-04-12	VYDAJ	PREVOD NA UCET	1912	32535	UVER	YZ	96996306
3242344	10762	1998-05-12	VYDAJ	PREVOD NA UCET	1912	31115	UVER	YZ	96996306
3242345	10762	1998-06-12	VYDAJ	PREVOD NA UCET	1912	31539	UVER	YZ	96996306
3242346	10762	1998-07-12	VYDAJ	PREVOD NA UCET	1912	25409	UVER	YZ	96996306
3242347	10762	1998-08-12	VYDAJ	PREVOD NA UCET	1912	33562	UVER	YZ	96996306
3242348	10762	1998-09-12	VYDAJ	PREVOD NA UCET	1912	33630	UVER	YZ	96996306
3242349	10762	1998-10-12	VYDAJ	PREVOD NA UCET	1912	32902	UVER	YZ	96996306
3242350	10762	1998-11-12	VYDAJ	PREVOD NA UCET	1912	38774	UVER	YZ	96996306
3242351	10762	1998-12-12	VYDAJ	PREVOD NA UCET	1912	50718	UVER	YZ	96996306
3242353	10762	1996-06-27	VYDAJ	VYBER	24000	18032	\N	\N	\N
3242354	10762	1997-06-23	VYDAJ	VYBER	9200	32068	\N	\N	\N
3242358	10762	1997-01-07	VYDAJ	VYBER	8900	21734	\N	\N	\N
3242361	10762	1996-12-20	VYDAJ	VYBER	2000	42686	\N	\N	\N
3242362	10762	1997-12-17	VYDAJ	VYBER	900	33818	\N	\N	\N
3242363	10762	1998-12-02	VYDAJ	VYBER	2100	36812	\N	\N	\N
3242376	10762	1997-01-03	VYDAJ	VYBER	2300	38169	\N	\N	\N
3242377	10762	1997-01-02	VYDAJ	VYBER	2400	40469	\N	\N	\N
3242378	10762	1997-01-22	VYDAJ	VYBER	1100	35924	\N	\N	\N
3242379	10762	1997-01-23	VYDAJ	VYBER	2000	33924	\N	\N	\N
3242380	10762	1997-01-05	VYDAJ	VYBER	2100	36069	\N	\N	\N
3242381	10762	1997-01-25	VYDAJ	VYBER	1600	32324	\N	\N	\N
3242382	10762	1998-01-30	VYDAJ	VYBER	2400	28795	\N	\N	\N
3242383	10762	1998-01-04	VYDAJ	VYBER	1900	23840	\N	\N	\N
3242384	10762	1998-01-29	VYDAJ	VYBER	1500	31195	\N	\N	\N
3242385	10762	1998-01-26	VYDAJ	VYBER	1400	32695	\N	\N	\N
3242386	10762	1998-01-14	VYDAJ	VYBER	700	35795	\N	\N	\N
3242387	10762	1998-01-20	VYDAJ	VYBER	1700	34095	\N	\N	\N
3242392	10762	1996-10-17	VYDAJ	VYBER	1600	43467	\N	\N	\N
3242393	10762	1996-06-08	VYDAJ	VYBER	1400	29179	\N	\N	\N
3242394	10762	1996-11-17	VYDAJ	VYBER	900	41505	\N	\N	\N
3242395	10762	1997-08-08	VYDAJ	VYBER	3700	27887	\N	\N	\N
3242396	10762	1997-12-25	VYDAJ	VYBER	4000	29818	\N	\N	\N
3242397	10762	1997-10-30	VYDAJ	VYBER	2200	36178	\N	\N	\N
3242398	10762	1997-12-17	VYDAJ	VYBER	2700	34718	\N	\N	\N
3242399	10762	1997-07-13	VYDAJ	VYBER	1800	41984	\N	\N	\N
3242400	10762	1997-11-29	VYDAJ	VYBER	4600	29380	\N	\N	\N
3242401	10762	1997-12-26	VYDAJ	VYBER	4200	25618	\N	\N	\N
3242402	10762	1998-12-04	VYDAJ	VYBER	3700	33112	\N	\N	\N
3242403	10762	1998-08-29	VYDAJ	VYBER	3600	29962	\N	\N	\N
3242419	10762	1996-03-31	VYDAJ	VYBER	15	44338	SLUZBY	\N	\N
3242420	10762	1996-04-30	VYDAJ	VYBER	15	40084	SLUZBY	\N	\N
3242421	10762	1996-05-31	VYDAJ	VYBER	15	37914	SLUZBY	\N	\N
3242422	10762	1996-06-30	VYDAJ	VYBER	15	18193	SLUZBY	\N	\N
3242423	10762	1996-07-31	VYDAJ	VYBER	15	30961	SLUZBY	\N	\N
3242424	10762	1996-08-31	VYDAJ	VYBER	15	39574	SLUZBY	\N	\N
3242425	10762	1996-09-30	VYDAJ	VYBER	15	43612	SLUZBY	\N	\N
3242426	10762	1996-10-31	VYDAJ	VYBER	15	43650	SLUZBY	\N	\N
3242427	10762	1996-11-30	VYDAJ	VYBER	15	41680	SLUZBY	\N	\N
3242428	10762	1996-12-31	VYDAJ	VYBER	15	42869	SLUZBY	\N	\N
3242429	10762	1997-01-31	VYDAJ	VYBER	15	32457	SLUZBY	\N	\N
3242430	10762	1997-02-28	VYDAJ	VYBER	15	35247	SLUZBY	\N	\N
3242431	10762	1997-03-31	VYDAJ	VYBER	15	35947	SLUZBY	\N	\N
3242432	10762	1997-04-30	VYDAJ	VYBER	15	37150	SLUZBY	\N	\N
3242433	10762	1997-05-31	VYDAJ	VYBER	15	40562	SLUZBY	\N	\N
3242434	10762	1997-06-30	VYDAJ	VYBER	15	32229	SLUZBY	\N	\N
3242435	10762	1997-07-31	VYDAJ	VYBER	15	37022	SLUZBY	\N	\N
3242436	10762	1997-08-31	VYDAJ	VYBER	15	38223	SLUZBY	\N	\N
3242437	10762	1997-09-30	VYDAJ	VYBER	15	36823	SLUZBY	\N	\N
3242438	10762	1997-10-31	VYDAJ	VYBER	15	36325	SLUZBY	\N	\N
3242439	10762	1997-11-30	VYDAJ	VYBER	15	29512	SLUZBY	\N	\N
3242440	10762	1997-12-31	VYDAJ	VYBER	15	25740	SLUZBY	\N	\N
3242441	10762	1998-01-31	VYDAJ	VYBER	15	28911	SLUZBY	\N	\N
3242442	10762	1998-02-28	VYDAJ	VYBER	15	35092	SLUZBY	\N	\N
3242443	10762	1998-03-31	VYDAJ	VYBER	15	34780	SLUZBY	\N	\N
3242444	10762	1998-04-30	VYDAJ	VYBER	15	32660	SLUZBY	\N	\N
3242445	10762	1998-05-31	VYDAJ	VYBER	15	31233	SLUZBY	\N	\N
3242446	10762	1998-06-30	VYDAJ	VYBER	15	31654	SLUZBY	\N	\N
3242447	10762	1998-07-31	VYDAJ	VYBER	15	25507	SLUZBY	\N	\N
3242448	10762	1998-08-31	VYDAJ	VYBER	15	30075	SLUZBY	\N	\N
3242449	10762	1998-09-30	VYDAJ	VYBER	15	33747	SLUZBY	\N	\N
3242450	10762	1998-10-31	VYDAJ	VYBER	15	33019	SLUZBY	\N	\N
3242451	10762	1998-11-30	VYDAJ	VYBER	15	38912	SLUZBY	\N	\N
3242452	10762	1995-11-22	PRIJEM	VKLAD	2900	22502	\N	\N	\N
3242453	10762	1995-12-22	VYDAJ	VYBER	14900	35983	\N	\N	\N
3242454	10762	1996-01-21	VYDAJ	VYBER	12700	42297	\N	\N	\N
3242455	10762	1996-02-20	VYDAJ	VYBER	16900	44458	\N	\N	\N
3242456	10762	1996-03-21	VYDAJ	VYBER	17800	44140	\N	\N	\N
3242457	10762	1996-04-20	VYDAJ	VYBER	15600	39905	\N	\N	\N
3242458	10762	1996-05-20	VYDAJ	VYBER	14000	37751	\N	\N	\N
3242459	10762	1996-06-19	VYDAJ	VYBER	15500	42032	\N	\N	\N
3242460	10762	1996-07-19	PRIJEM	VKLAD	1300	30860	\N	\N	\N
3242461	10762	1996-08-18	VYDAJ	VYBER	3400	39428	\N	\N	\N
3242462	10762	1996-09-17	VYDAJ	VYBER	8100	43441	\N	\N	\N
3242463	10762	1996-10-17	VYDAJ	VYBER	10100	45067	\N	\N	\N
3242464	10762	1996-11-16	VYDAJ	VYBER	12800	42405	\N	\N	\N
3242465	10762	1996-12-16	VYDAJ	VYBER	18000	44686	\N	\N	\N
3242466	10762	1997-01-15	VYDAJ	VYBER	1700	37024	\N	\N	\N
3242467	10762	1997-02-14	VYDAJ	VYBER	8900	35112	\N	\N	\N
3242468	10762	1997-03-16	VYDAJ	VYBER	11000	35802	\N	\N	\N
3242469	10762	1997-04-15	VYDAJ	VYBER	10500	37002	\N	\N	\N
3242470	10762	1997-05-15	VYDAJ	VYBER	8300	40405	\N	\N	\N
3242471	10762	1997-06-14	VYDAJ	VYBER	20300	41268	\N	\N	\N
3242472	10762	1997-07-14	VYDAJ	VYBER	5100	36884	\N	\N	\N
3242473	10762	1997-08-13	VYDAJ	VYBER	6800	38077	\N	\N	\N
3242474	10762	1997-09-12	VYDAJ	VYBER	13100	38590	\N	\N	\N
3242475	10762	1997-10-12	VYDAJ	VYBER	10000	38378	\N	\N	\N
3242476	10762	1997-11-11	VYDAJ	VYBER	13900	35892	\N	\N	\N
3242477	10762	1997-12-11	VYDAJ	VYBER	13100	39330	\N	\N	\N
3242478	10762	1998-01-10	PRIJEM	VKLAD	1100	38407	\N	\N	\N
3242479	10762	1998-02-09	VYDAJ	VYBER	5500	36878	\N	\N	\N
3242480	10762	1998-03-11	VYDAJ	VYBER	12000	36559	\N	\N	\N
3242481	10762	1998-04-10	VYDAJ	VYBER	13800	34447	\N	\N	\N
3242482	10762	1998-05-10	VYDAJ	VYBER	13100	33027	\N	\N	\N
3242483	10762	1998-06-09	VYDAJ	VYBER	20700	33451	\N	\N	\N
3242484	10762	1998-07-09	VYDAJ	VYBER	17800	27321	\N	\N	\N
3242485	10762	1998-08-08	VYDAJ	VYBER	3500	16572	\N	\N	\N
3242486	10762	1998-09-07	VYDAJ	VYBER	8000	16640	\N	\N	\N
3242487	10762	1998-10-07	VYDAJ	VYBER	12400	15912	\N	\N	\N
3242488	10762	1998-11-06	VYDAJ	VYBER	5800	27219	\N	\N	\N
3242489	10762	1998-12-06	VYDAJ	VYBER	3400	29712	\N	\N	\N
3245022	10774	1997-07-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3245029	10774	1997-07-06	PRIJEM	VKLAD	5593	6593	\N	\N	\N
3245030	10774	1997-08-06	PRIJEM	VKLAD	5593	21009	\N	\N	\N
3245031	10774	1997-09-06	PRIJEM	VKLAD	5593	27580	\N	\N	\N
3245032	10774	1997-10-06	PRIJEM	VKLAD	5593	36983	\N	\N	\N
3245033	10774	1997-11-06	PRIJEM	VKLAD	5593	41024	\N	\N	\N
3245034	10774	1997-12-06	PRIJEM	VKLAD	8390	36916	\N	\N	\N
3245035	10774	1998-01-06	PRIJEM	VKLAD	5593	32440	\N	\N	\N
3245036	10774	1998-02-06	PRIJEM	VKLAD	5593	32809	\N	\N	\N
3245037	10774	1998-03-06	PRIJEM	VKLAD	5593	39534	\N	\N	\N
3245038	10774	1998-04-06	PRIJEM	VKLAD	5593	38806	\N	\N	\N
3245039	10774	1998-05-06	PRIJEM	VKLAD	5593	39284	\N	\N	\N
3245040	10774	1998-06-06	PRIJEM	VKLAD	8390	45694	\N	\N	\N
3245041	10774	1998-07-06	PRIJEM	VKLAD	5593	41952	\N	\N	\N
3245042	10774	1998-08-06	PRIJEM	VKLAD	5593	41187	\N	\N	\N
3245043	10774	1998-09-06	PRIJEM	VKLAD	5593	43310	\N	\N	\N
3245044	10774	1998-10-06	PRIJEM	VKLAD	5593	50447	\N	\N	\N
3245045	10774	1998-11-06	PRIJEM	VKLAD	5593	46075	\N	\N	\N
3245046	10774	1998-12-06	PRIJEM	VKLAD	8390	52920	\N	\N	\N
3245057	10774	1997-11-06	VYDAJ	PREVOD NA UCET	3728	37296	SIPO	AB	56546854
3245058	10774	1997-12-06	VYDAJ	PREVOD NA UCET	3728	33188	SIPO	AB	56546854
3245059	10774	1998-01-06	VYDAJ	PREVOD NA UCET	3728	28712	SIPO	AB	56546854
3245060	10774	1998-02-06	VYDAJ	PREVOD NA UCET	3728	29081	SIPO	AB	56546854
3245061	10774	1998-03-06	VYDAJ	PREVOD NA UCET	3728	35806	SIPO	AB	56546854
3245062	10774	1998-04-06	VYDAJ	PREVOD NA UCET	3728	35078	SIPO	AB	56546854
3245063	10774	1998-05-06	VYDAJ	PREVOD NA UCET	3728	35556	SIPO	AB	56546854
3245064	10774	1998-06-06	VYDAJ	PREVOD NA UCET	3728	41966	SIPO	AB	56546854
3245065	10774	1998-07-06	VYDAJ	PREVOD NA UCET	3728	38224	SIPO	AB	56546854
3245066	10774	1998-08-06	VYDAJ	PREVOD NA UCET	3728	37459	SIPO	AB	56546854
3245067	10774	1998-09-06	VYDAJ	PREVOD NA UCET	3728	39582	SIPO	AB	56546854
3245068	10774	1998-10-06	VYDAJ	PREVOD NA UCET	3728	46719	SIPO	AB	56546854
3245069	10774	1998-11-06	VYDAJ	PREVOD NA UCET	3728	42347	SIPO	AB	56546854
3245070	10774	1998-12-06	VYDAJ	PREVOD NA UCET	3728	49192	SIPO	AB	56546854
3245081	10774	1997-11-18	VYDAJ	VYBER	5700	31596	\N	\N	0
3245082	10774	1997-12-07	VYDAJ	VYBER	5900	27288	\N	\N	0
3245083	10774	1998-01-04	VYDAJ	VYBER	6900	26847	\N	\N	0
3245084	10774	1998-02-03	VYDAJ	VYBER	7500	27216	\N	\N	0
3245085	10774	1998-03-10	VYDAJ	VYBER	6700	29106	\N	\N	0
3245086	10774	1998-04-13	VYDAJ	VYBER	6400	28678	\N	\N	0
3245087	10774	1998-05-12	VYDAJ	PREVOD NA UCET	7066	28490	UVER	QR	93903570
3245088	10774	1998-06-12	VYDAJ	PREVOD NA UCET	7066	20660	UVER	QR	93903570
3245089	10774	1998-07-12	VYDAJ	PREVOD NA UCET	7066	31158	UVER	QR	93903570
3245090	10774	1998-08-12	VYDAJ	PREVOD NA UCET	7066	30393	UVER	QR	93903570
3245091	10774	1998-09-12	VYDAJ	PREVOD NA UCET	7066	32516	UVER	QR	93903570
3245092	10774	1998-10-12	VYDAJ	PREVOD NA UCET	7066	39653	UVER	QR	93903570
3245093	10774	1998-11-12	VYDAJ	PREVOD NA UCET	7066	35281	UVER	QR	93903570
3245094	10774	1998-12-12	VYDAJ	PREVOD NA UCET	7066	37486	UVER	QR	93903570
3245096	10774	1998-06-10	VYDAJ	VYBER	14240	27726	\N	\N	\N
3245099	10774	1997-12-24	VYDAJ	VYBER	800	26488	\N	\N	\N
3245100	10774	1998-12-09	VYDAJ	VYBER	4640	44552	\N	\N	\N
3245102	10774	1997-12-01	VYDAJ	VYBER	4800	26926	\N	\N	\N
3245106	10774	1997-12-26	VYDAJ	VYBER	2040	24448	\N	\N	\N
3245109	10774	1998-10-12	VYDAJ	VYBER	4920	34733	\N	\N	\N
3245110	10774	1998-03-31	VYDAJ	VYBER	2400	26813	\N	\N	\N
3245111	10774	1998-07-19	VYDAJ	VYBER	5880	25278	\N	\N	\N
3245112	10774	1998-02-26	VYDAJ	VYBER	3960	25121	\N	\N	\N
3245124	10774	1997-11-30	VYDAJ	VYBER	15	31726	SLUZBY	\N	\N
3245125	10774	1997-12-31	VYDAJ	VYBER	15	24547	SLUZBY	\N	\N
3245126	10774	1998-01-31	VYDAJ	VYBER	15	34716	SLUZBY	\N	\N
3245127	10774	1998-02-28	VYDAJ	VYBER	15	25241	SLUZBY	\N	\N
3245128	10774	1998-03-31	VYDAJ	VYBER	15	29213	SLUZBY	\N	\N
3245129	10774	1998-04-30	VYDAJ	VYBER	15	28791	SLUZBY	\N	\N
3245130	10774	1998-05-31	VYDAJ	VYBER	15	37304	SLUZBY	\N	\N
3245131	10774	1998-06-30	VYDAJ	VYBER	15	36359	SLUZBY	\N	\N
3245132	10774	1998-07-31	VYDAJ	VYBER	15	35594	SLUZBY	\N	\N
3245133	10774	1998-08-31	VYDAJ	VYBER	15	37717	SLUZBY	\N	\N
3245134	10774	1998-09-30	VYDAJ	VYBER	15	44854	SLUZBY	\N	\N
3245135	10774	1998-10-31	VYDAJ	VYBER	15	40482	SLUZBY	\N	\N
3245136	10774	1998-11-30	VYDAJ	VYBER	15	44530	SLUZBY	\N	\N
3245137	10774	1997-08-04	PRIJEM	VKLAD	8800	15416	\N	\N	\N
3245138	10774	1997-09-03	PRIJEM	VKLAD	900	21987	\N	\N	\N
3245139	10774	1997-10-03	PRIJEM	VKLAD	3700	31390	\N	\N	\N
3245140	10774	1997-11-02	VYDAJ	VYBER	1700	35431	\N	\N	\N
3245141	10774	1997-12-02	PRIJEM	VKLAD	1600	28526	\N	\N	\N
3245142	10774	1998-01-01	PRIJEM	VKLAD	9200	33747	\N	\N	\N
3245143	10774	1998-01-31	PRIJEM	VKLAD	5900	34730	\N	\N	\N
3245144	10774	1998-03-02	PRIJEM	VKLAD	8700	33941	\N	\N	\N
3245145	10774	1998-04-01	PRIJEM	VKLAD	6400	33213	\N	\N	\N
3245146	10774	1998-05-01	PRIJEM	VKLAD	4900	33691	\N	\N	\N
3245147	10774	1998-05-31	PRIJEM	VKLAD	8700	37190	\N	\N	\N
3245148	10774	1998-06-30	PRIJEM	VKLAD	15600	36373	\N	\N	\N
3245149	10774	1998-07-30	PRIJEM	VKLAD	10200	35478	\N	\N	\N
3245150	10774	1998-08-29	PRIJEM	VKLAD	7200	37593	\N	\N	\N
3245151	10774	1998-09-28	PRIJEM	VKLAD	12200	44716	\N	\N	\N
3245152	10774	1998-10-28	PRIJEM	VKLAD	5600	40333	\N	\N	\N
3245153	10774	1998-11-27	PRIJEM	VKLAD	9100	44381	\N	\N	\N
3248774	10788	1993-11-22	PRIJEM	VKLAD	800	800	\N	\N	\N
3248776	10788	1993-12-02	PRIJEM	VKLAD	14263	15063	\N	\N	\N
3248803	10788	1994-08-15	PRIJEM	VKLAD	36574	78328	\N	\N	\N
3248804	10788	1994-03-27	PRIJEM	VKLAD	19854	45051	\N	\N	\N
3248805	10788	1994-07-25	PRIJEM	VKLAD	10760	41583	\N	\N	\N
3248806	10788	1994-06-19	PRIJEM	VKLAD	8861	37116	\N	\N	\N
3248807	10788	1995-02-01	PRIJEM	VKLAD	20251	28004	\N	\N	\N
3248808	10788	1995-10-07	PRIJEM	VKLAD	38377	71350	\N	\N	\N
3248809	10788	1995-03-23	PRIJEM	VKLAD	35056	54531	\N	\N	\N
3248810	10788	1995-12-17	PRIJEM	VKLAD	14579	39952	\N	\N	\N
3248811	10788	1995-09-17	PRIJEM	VKLAD	27527	43488	\N	\N	\N
3248812	10788	1996-11-24	PRIJEM	VKLAD	44023	44549	\N	\N	\N
3248813	10788	1997-06-24	PRIJEM	VKLAD	23197	108909	\N	\N	\N
3248814	10788	1997-06-24	PRIJEM	VKLAD	13202	85712	\N	\N	\N
3248815	10788	1997-11-29	PRIJEM	VKLAD	40766	79142	\N	\N	\N
3248816	10788	1997-01-16	PRIJEM	VKLAD	19023	33605	\N	\N	\N
3248817	10788	1997-11-09	PRIJEM	VKLAD	27523	37602	\N	\N	\N
3248818	10788	1997-06-07	PRIJEM	VKLAD	29153	70095	\N	\N	\N
3248819	10788	1997-04-11	PRIJEM	VKLAD	22475	33537	\N	\N	\N
3248820	10788	1997-06-07	PRIJEM	VKLAD	17755	40942	\N	\N	\N
3248821	10788	1997-05-11	PRIJEM	VKLAD	46212	63875	\N	\N	\N
3248822	10788	1997-11-16	PRIJEM	VKLAD	18274	50376	\N	\N	\N
3248823	10788	1997-09-21	PRIJEM	VKLAD	22865	29831	\N	\N	\N
3248824	10788	1997-06-22	PRIJEM	VKLAD	6015	72510	\N	\N	\N
3248825	10788	1998-04-07	PRIJEM	VKLAD	44484	88699	\N	\N	\N
3248826	10788	1998-02-07	PRIJEM	VKLAD	44903	67942	\N	\N	\N
3248827	10788	1998-01-24	PRIJEM	VKLAD	45913	70202	\N	\N	\N
3248828	10788	1998-02-16	PRIJEM	VKLAD	7687	75629	\N	\N	\N
3248829	10788	1998-11-01	PRIJEM	VKLAD	25290	39945	\N	\N	\N
3248830	10788	1998-12-27	PRIJEM	VKLAD	40947	59668	\N	\N	\N
3248831	10788	1998-10-09	PRIJEM	VKLAD	44459	50412	\N	\N	\N
3248832	10788	1998-01-07	PRIJEM	VKLAD	31912	48589	\N	\N	\N
3248833	10788	1998-06-22	PRIJEM	VKLAD	39099	68586	\N	\N	\N
3248834	10788	1998-03-31	PRIJEM	VKLAD	37305	79756	\N	\N	\N
3248835	10788	1998-11-03	PRIJEM	VKLAD	30361	70306	\N	\N	\N
3248836	10788	1998-06-02	PRIJEM	VKLAD	28116	48660	\N	\N	\N
3248837	10788	1998-03-21	PRIJEM	VKLAD	32760	62051	\N	\N	\N
3248838	10788	1998-04-07	PRIJEM	VKLAD	5611	44215	\N	\N	\N
3248839	10788	1998-10-14	PRIJEM	VKLAD	18317	47274	\N	\N	\N
3248860	10788	1994-09-12	VYDAJ	PREVOD NA UCET	3814	28613	UVER	EF	82111698
3248861	10788	1994-10-12	VYDAJ	PREVOD NA UCET	3814	23189	UVER	EF	82111698
3248862	10788	1994-11-12	VYDAJ	PREVOD NA UCET	3814	12637	UVER	EF	82111698
3248863	10788	1994-12-12	VYDAJ	PREVOD NA UCET	3814	7528	UVER	EF	82111698
3248864	10788	1995-01-12	VYDAJ	PREVOD NA UCET	3814	6293	UVER	EF	82111698
3248865	10788	1995-02-12	VYDAJ	PREVOD NA UCET	3814	24190	UVER	EF	82111698
3248866	10788	1995-03-12	VYDAJ	PREVOD NA UCET	3814	15775	UVER	EF	82111698
3248867	10788	1995-04-12	VYDAJ	PREVOD NA UCET	3814	43397	UVER	EF	82111698
3248868	10788	1995-05-12	VYDAJ	PREVOD NA UCET	3814	24127	UVER	EF	82111698
3248869	10788	1995-06-12	VYDAJ	PREVOD NA UCET	3814	12697	UVER	EF	82111698
3248870	10788	1995-07-12	VYDAJ	PREVOD NA UCET	3814	10681	UVER	EF	82111698
3248871	10788	1995-08-12	VYDAJ	PREVOD NA UCET	3814	9076	UVER	EF	82111698
3248872	10788	1995-09-10	VYDAJ	VYBER	4300	14961	\N	\N	0
3248873	10788	1995-10-03	VYDAJ	VYBER	3800	39873	\N	\N	0
3248874	10788	1995-11-06	VYDAJ	VYBER	2800	44118	\N	\N	0
3248875	10788	1995-12-21	VYDAJ	VYBER	3500	36452	\N	\N	0
3248876	10788	1996-01-21	VYDAJ	VYBER	4500	18882	\N	\N	0
3248877	10788	1996-02-05	VYDAJ	VYBER	3800	15239	\N	\N	0
3248887	10788	1996-12-14	VYDAJ	VYBER	4500	25784	\N	\N	0
3248888	10788	1997-01-09	VYDAJ	VYBER	3700	14582	\N	\N	0
3248889	10788	1997-02-02	VYDAJ	VYBER	4600	18930	\N	\N	0
3248890	10788	1997-03-20	VYDAJ	VYBER	3400	11608	\N	\N	0
3248891	10788	1997-04-16	VYDAJ	VYBER	3900	29637	\N	\N	0
3248892	10788	1997-05-03	VYDAJ	VYBER	4100	21063	\N	\N	0
3248893	10788	1997-06-07	VYDAJ	VYBER	3600	66495	\N	\N	0
3248894	10788	1997-07-04	VYDAJ	VYBER	3800	40499	\N	\N	0
3248895	10788	1997-08-06	VYDAJ	VYBER	4100	22352	\N	\N	0
3248896	10788	1997-09-07	VYDAJ	VYBER	4000	14166	\N	\N	0
3248897	10788	1997-10-13	VYDAJ	VYBER	4600	10023	\N	\N	0
3248898	10788	1997-11-19	VYDAJ	VYBER	4700	45676	\N	\N	0
3248899	10788	1997-12-19	VYDAJ	VYBER	3200	24087	\N	\N	0
3248900	10788	1998-01-03	VYDAJ	VYBER	4200	16677	\N	\N	0
3248901	10788	1998-02-17	VYDAJ	VYBER	3100	72529	\N	\N	0
3248902	10788	1998-03-10	VYDAJ	VYBER	3700	36291	\N	\N	0
3248903	10788	1998-04-14	VYDAJ	VYBER	4100	84599	\N	\N	0
3248904	10788	1998-05-15	VYDAJ	VYBER	3100	39392	\N	\N	0
3248905	10788	1998-06-14	VYDAJ	VYBER	2900	29487	\N	\N	0
3248906	10788	1998-07-18	VYDAJ	VYBER	3200	29958	\N	\N	0
3248907	10788	1998-08-10	VYDAJ	VYBER	2900	20699	\N	\N	0
3248908	10788	1998-09-04	VYDAJ	VYBER	4700	16124	\N	\N	0
3248909	10788	1998-10-02	VYDAJ	VYBER	3500	5953	\N	\N	0
3248910	10788	1998-11-17	VYDAJ	VYBER	3600	66706	\N	\N	0
3248911	10788	1998-12-19	VYDAJ	VYBER	4100	18721	\N	\N	0
3248932	10788	1994-08-29	VYDAJ	VYBER	4800	49628	SIPO	\N	0
3248933	10788	1994-10-13	VYDAJ	VYBER	5300	17889	SIPO	\N	0
3248934	10788	1994-10-29	VYDAJ	VYBER	7300	16289	SIPO	\N	0
3248935	10788	1994-11-28	VYDAJ	VYBER	7200	11237	SIPO	\N	0
3248936	10788	1995-01-12	VYDAJ	VYBER	6300	10107	SIPO	\N	0
3248937	10788	1995-01-30	VYDAJ	VYBER	6200	7693	SIPO	\N	0
3248938	10788	1995-03-04	VYDAJ	VYBER	5000	19589	SIPO	\N	0
3248939	10788	1995-04-08	VYDAJ	VYBER	7500	47211	SIPO	\N	0
3248940	10788	1995-05-14	VYDAJ	VYBER	5900	18227	SIPO	\N	0
3248941	10788	1995-06-06	VYDAJ	VYBER	5800	16511	SIPO	\N	0
3248942	10788	1995-07-09	VYDAJ	VYBER	5800	14495	SIPO	\N	0
3248943	10788	1995-08-06	VYDAJ	VYBER	4800	12890	SIPO	\N	0
3248944	10788	1995-09-15	VYDAJ	VYBER	6400	15961	SIPO	\N	0
3248945	10788	1995-10-04	VYDAJ	VYBER	6900	32973	SIPO	\N	0
3248946	10788	1995-11-07	VYDAJ	VYBER	4700	39418	SIPO	\N	0
3248947	10788	1995-12-15	VYDAJ	VYBER	7100	27773	SIPO	\N	0
3248948	10788	1996-01-06	VYDAJ	VYBER	4800	27682	SIPO	\N	0
3248949	10788	1996-02-08	VYDAJ	VYBER	5100	10139	SIPO	\N	0
3248950	10788	1996-02-26	VYDAJ	VYBER	6700	7639	SIPO	\N	0
3248951	10788	1996-04-11	VYDAJ	VYBER	6900	765	SIPO	\N	0
3248959	10788	1996-12-06	VYDAJ	VYBER	5100	39384	SIPO	\N	0
3248960	10788	1997-01-02	VYDAJ	VYBER	5200	18382	SIPO	\N	0
3248961	10788	1997-02-15	VYDAJ	VYBER	6700	12530	SIPO	\N	0
3248962	10788	1997-03-03	VYDAJ	VYBER	6600	6008	SIPO	\N	0
3248963	10788	1997-03-27	VYDAJ	VYBER	5600	6008	SIPO	\N	0
3248964	10788	1997-04-26	VYDAJ	VYBER	4600	25037	SIPO	\N	0
3248965	10788	1997-05-31	VYDAJ	VYBER	6100	55761	SIPO	\N	0
3248966	10788	1997-07-11	VYDAJ	VYBER	5200	35299	SIPO	\N	0
3248967	10788	1997-08-09	VYDAJ	VYBER	5600	16752	SIPO	\N	0
3248968	10788	1997-09-12	VYDAJ	VYBER	7200	6966	SIPO	\N	0
3248969	10788	1997-10-07	VYDAJ	VYBER	5800	14623	SIPO	\N	0
3248970	10788	1997-11-12	VYDAJ	VYBER	5500	32102	SIPO	\N	0
3248971	10788	1997-11-26	VYDAJ	VYBER	7300	38376	SIPO	\N	0
3248972	10788	1998-01-14	VYDAJ	VYBER	6300	34789	SIPO	\N	0
3248973	10788	1998-01-27	VYDAJ	VYBER	7000	63202	SIPO	\N	0
3248974	10788	1998-03-11	VYDAJ	VYBER	7000	29291	SIPO	\N	0
3248975	10788	1998-03-29	VYDAJ	VYBER	5500	42451	SIPO	\N	0
3248976	10788	1998-04-29	VYDAJ	VYBER	4600	79999	SIPO	\N	0
3248977	10788	1998-06-04	VYDAJ	VYBER	6900	41760	SIPO	\N	0
3248978	10788	1998-07-10	VYDAJ	VYBER	7100	33158	SIPO	\N	0
3248979	10788	1998-07-29	VYDAJ	VYBER	6500	23458	SIPO	\N	0
3248980	10788	1998-09-08	VYDAJ	VYBER	6700	9424	SIPO	\N	0
3248981	10788	1998-10-12	VYDAJ	VYBER	6700	28957	SIPO	\N	0
3248982	10788	1998-10-30	VYDAJ	VYBER	5500	14474	SIPO	\N	0
3248983	10788	1998-12-08	VYDAJ	VYBER	6400	22821	SIPO	\N	0
3248994	10788	1994-09-03	VYBER	VYBER	17450	32427	\N	\N	\N
3248997	10788	1995-11-11	VYBER	VYBER	7846	31572	\N	\N	\N
3249007	10788	1997-06-02	VYBER	VYBER	17344	38387	\N	\N	\N
3249010	10788	1997-12-11	VYBER	VYBER	3450	27287	\N	\N	\N
3249012	10788	1997-12-03	VYBER	VYBER	15311	30737	\N	\N	\N
3249020	10788	1998-06-14	VYBER	VYBER	3373	32387	\N	\N	\N
3249022	10788	1998-11-24	VYBER	VYBER	7893	58813	\N	\N	\N
3249023	10788	1998-10-09	VYBER	VYBER	14755	35657	\N	\N	\N
3249031	10788	1997-06-24	VYDAJ	VYBER	14700	94209	\N	\N	\N
3249035	10788	1995-12-15	VYDAJ	VYBER	2400	25373	\N	\N	\N
3249058	10788	1996-01-03	VYDAJ	VYBER	4200	32482	\N	\N	\N
3249060	10788	1996-01-08	VYDAJ	VYBER	2700	24982	\N	\N	\N
3249065	10788	1997-01-27	VYDAJ	VYBER	3600	23405	\N	\N	\N
3249068	10788	1997-01-18	VYDAJ	VYBER	6600	27005	\N	\N	\N
3249069	10788	1998-01-16	VYDAJ	VYBER	5700	24289	\N	\N	\N
3249071	10788	1998-01-15	VYDAJ	VYBER	4800	29989	\N	\N	\N
3249072	10788	1998-01-29	VYDAJ	VYBER	4500	58702	\N	\N	\N
3249073	10788	1998-01-10	VYDAJ	VYBER	7500	41089	\N	\N	\N
3249088	10788	1995-05-01	VYDAJ	VYBER	7500	27941	\N	\N	\N
3249096	10788	1996-12-28	VYDAJ	VYBER	2400	23384	\N	\N	\N
3249098	10788	1997-10-02	VYDAJ	VYBER	4200	20423	\N	\N	\N
3249099	10788	1997-07-03	VYDAJ	VYBER	4800	71299	\N	\N	\N
3249100	10788	1997-05-17	VYDAJ	VYBER	2400	61475	\N	\N	\N
3249102	10788	1998-06-09	VYDAJ	VYBER	6000	35760	\N	\N	\N
3249104	10788	1998-10-26	VYDAJ	VYBER	3000	44274	\N	\N	\N
3249105	10788	1998-03-22	VYDAJ	VYBER	14100	47951	\N	\N	\N
3249107	10788	1998-05-25	VYDAJ	VYBER	13800	25592	\N	\N	\N
3249108	10788	1998-02-01	VYDAJ	VYBER	9900	23039	\N	\N	\N
3249129	10788	1994-08-31	VYDAJ	VYBER	30	49877	SLUZBY	\N	\N
3249130	10788	1994-09-30	VYDAJ	VYBER	30	27003	SLUZBY	\N	\N
3249131	10788	1994-10-31	VYDAJ	VYBER	30	16450	SLUZBY	\N	\N
3249132	10788	1994-11-30	VYDAJ	VYBER	30	11342	SLUZBY	\N	\N
3249133	10788	1994-12-31	VYDAJ	VYBER	30	16407	SLUZBY	\N	\N
3249134	10788	1995-01-31	VYDAJ	VYBER	30	7753	SLUZBY	\N	\N
3249135	10788	1995-02-28	VYDAJ	VYBER	30	24589	SLUZBY	\N	\N
3249136	10788	1995-03-31	VYDAJ	VYBER	30	54711	SLUZBY	\N	\N
3249137	10788	1995-04-30	VYDAJ	VYBER	30	35441	SLUZBY	\N	\N
3249138	10788	1995-05-31	VYDAJ	VYBER	30	22311	SLUZBY	\N	\N
3249139	10788	1995-06-30	VYDAJ	VYBER	30	20295	SLUZBY	\N	\N
3249140	10788	1995-07-31	VYDAJ	VYBER	30	17690	SLUZBY	\N	\N
3249141	10788	1995-08-31	VYDAJ	VYBER	30	19261	SLUZBY	\N	\N
3249142	10788	1995-09-30	VYDAJ	VYBER	30	43673	SLUZBY	\N	\N
3249143	10788	1995-10-31	VYDAJ	VYBER	30	46918	SLUZBY	\N	\N
3249144	10788	1995-11-30	VYDAJ	VYBER	30	28473	SLUZBY	\N	\N
3249145	10788	1995-12-31	VYDAJ	VYBER	30	36682	SLUZBY	\N	\N
3249146	10788	1996-01-31	VYDAJ	VYBER	30	19039	SLUZBY	\N	\N
3249147	10788	1996-02-29	VYDAJ	VYBER	30	7695	SLUZBY	\N	\N
3249148	10788	1996-03-31	VYDAJ	VYBER	30	7665	SLUZBY	\N	\N
3249149	10788	1996-04-30	VYDAJ	VYBER	30	784	SLUZBY	\N	\N
3249150	10788	1996-05-31	VYDAJ	VYBER	30	754	SLUZBY	\N	\N
3249151	10788	1996-06-30	VYDAJ	VYBER	30	713	SLUZBY	\N	\N
3249152	10788	1996-07-31	VYDAJ	VYBER	30	673	SLUZBY	\N	\N
3249153	10788	1996-08-31	VYDAJ	VYBER	30	632	SLUZBY	\N	\N
3249154	10788	1996-09-30	VYDAJ	VYBER	30	567	SLUZBY	\N	\N
3249155	10788	1996-10-31	VYDAJ	VYBER	30	526	SLUZBY	\N	\N
3249156	10788	1996-11-30	VYDAJ	VYBER	30	44484	SLUZBY	\N	\N
3249157	10788	1996-12-31	VYDAJ	VYBER	30	23582	SLUZBY	\N	\N
3249158	10788	1997-01-31	VYDAJ	VYBER	30	23530	SLUZBY	\N	\N
3249159	10788	1997-02-28	VYDAJ	VYBER	30	12608	SLUZBY	\N	\N
3249160	10788	1997-03-31	VYDAJ	VYBER	30	6062	SLUZBY	\N	\N
3249161	10788	1997-04-30	VYDAJ	VYBER	30	25163	SLUZBY	\N	\N
3249162	10788	1997-05-31	VYDAJ	VYBER	30	55731	SLUZBY	\N	\N
3249163	10788	1997-06-30	VYDAJ	VYBER	30	76099	SLUZBY	\N	\N
3249164	10788	1997-07-31	VYDAJ	VYBER	30	35552	SLUZBY	\N	\N
3249165	10788	1997-08-31	VYDAJ	VYBER	30	16866	SLUZBY	\N	\N
3249166	10788	1997-09-30	VYDAJ	VYBER	30	29923	SLUZBY	\N	\N
3249167	10788	1997-10-31	VYDAJ	VYBER	30	10079	SLUZBY	\N	\N
3249168	10788	1997-11-30	VYDAJ	VYBER	30	79348	SLUZBY	\N	\N
3249169	10788	1997-12-31	VYDAJ	VYBER	30	24277	SLUZBY	\N	\N
3249170	10788	1998-01-31	VYDAJ	VYBER	30	32939	SLUZBY	\N	\N
3249171	10788	1998-02-28	VYDAJ	VYBER	30	72991	SLUZBY	\N	\N
3249172	10788	1998-03-31	VYDAJ	VYBER	30	80104	SLUZBY	\N	\N
3249173	10788	1998-04-30	VYDAJ	VYBER	30	42492	SLUZBY	\N	\N
3249174	10788	1998-05-31	VYDAJ	VYBER	30	20544	SLUZBY	\N	\N
3249175	10788	1998-06-30	VYDAJ	VYBER	30	40258	SLUZBY	\N	\N
3249176	10788	1998-07-31	VYDAJ	VYBER	30	23599	SLUZBY	\N	\N
3249177	10788	1998-08-31	VYDAJ	VYBER	30	20824	SLUZBY	\N	\N
3249178	10788	1998-09-30	VYDAJ	VYBER	30	9453	SLUZBY	\N	\N
3249179	10788	1998-10-31	VYDAJ	VYBER	30	14655	SLUZBY	\N	\N
3249180	10788	1998-11-30	VYDAJ	VYBER	30	29221	SLUZBY	\N	\N
3249181	10788	1993-12-22	PRIJEM	VKLAD	6400	21463	\N	\N	\N
3249182	10788	1994-01-21	PRIJEM	VKLAD	1700	23218	\N	\N	\N
3249183	10788	1994-02-20	PRIJEM	VKLAD	2800	26107	\N	\N	\N
3249184	10788	1994-03-22	VYDAJ	VYBER	1000	25197	\N	\N	\N
3249185	10788	1994-04-21	VYDAJ	VYBER	12300	32880	\N	\N	\N
3249186	10788	1994-05-21	VYDAJ	VYBER	5000	28068	\N	\N	\N
3249187	10788	1994-06-20	VYDAJ	VYBER	6800	30316	\N	\N	\N
3249188	10788	1994-07-20	PRIJEM	VKLAD	300	30823	\N	\N	\N
3249189	10788	1994-08-19	VYDAJ	VYBER	23900	54428	\N	\N	\N
3249190	10788	1994-09-18	VYDAJ	VYBER	1800	26813	\N	\N	\N
3249191	10788	1994-10-18	PRIJEM	VKLAD	5700	23589	\N	\N	\N
3249192	10788	1994-11-17	PRIJEM	VKLAD	5800	18437	\N	\N	\N
3249193	10788	1994-12-17	PRIJEM	VKLAD	8800	16328	\N	\N	\N
3249194	10788	1995-01-16	PRIJEM	VKLAD	7600	13893	\N	\N	\N
3249195	10788	1995-02-15	PRIJEM	VKLAD	300	24490	\N	\N	\N
3249196	10788	1995-03-17	PRIJEM	VKLAD	3700	19475	\N	\N	\N
3249197	10788	1995-04-16	VYDAJ	VYBER	8200	35197	\N	\N	\N
3249198	10788	1995-05-16	PRIJEM	VKLAD	3900	22127	\N	\N	\N
3249199	10788	1995-06-15	PRIJEM	VKLAD	7500	20197	\N	\N	\N
3249200	10788	1995-07-15	PRIJEM	VKLAD	6900	17581	\N	\N	\N
3249201	10788	1995-08-14	PRIJEM	VKLAD	10100	19176	\N	\N	\N
3249202	10788	1995-09-13	PRIJEM	VKLAD	7400	22361	\N	\N	\N
3249203	10788	1995-10-13	VYDAJ	VYBER	24800	46550	\N	\N	\N
3249204	10788	1995-11-12	VYDAJ	VYBER	3300	28272	\N	\N	\N
3249205	10788	1995-12-12	PRIJEM	VKLAD	6400	34873	\N	\N	\N
3249206	10788	1996-01-11	VYDAJ	VYBER	1600	23382	\N	\N	\N
3249207	10788	1996-02-10	PRIJEM	VKLAD	4200	14339	\N	\N	\N
3249208	10788	1996-12-06	VYDAJ	VYBER	9100	30284	\N	\N	\N
3249209	10788	1997-01-05	VYDAJ	VYBER	100	18282	\N	\N	\N
3249210	10788	1997-02-04	PRIJEM	VKLAD	300	19230	\N	\N	\N
3249211	10788	1997-03-06	PRIJEM	VKLAD	9000	15008	\N	\N	\N
3249212	10788	1997-04-05	PRIJEM	VKLAD	5000	11062	\N	\N	\N
3249213	10788	1997-05-05	VYDAJ	VYBER	3400	17663	\N	\N	\N
3249214	10788	1997-06-04	VYDAJ	VYBER	15200	23187	\N	\N	\N
3249215	10788	1997-06-24	VYDAJ	VYBER	18600	75609	\N	\N	\N
3249216	10788	1997-07-04	VYDAJ	VYBER	27000	44299	\N	\N	\N
3249217	10788	1997-08-03	VYDAJ	VYBER	9100	26452	\N	\N	\N
3249218	10788	1997-09-02	PRIJEM	VKLAD	1300	18166	\N	\N	\N
3249219	10788	1997-10-02	VYDAJ	VYBER	5300	24623	\N	\N	\N
3249220	10788	1997-12-01	VYDAJ	VYBER	33300	46048	\N	\N	\N
3249221	10788	1997-12-31	VYDAJ	VYBER	3400	20877	\N	\N	\N
3249222	10788	1998-01-30	VYDAJ	VYBER	26000	32702	\N	\N	\N
3249223	10788	1998-03-01	VYDAJ	VYBER	33000	39991	\N	\N	\N
3249224	10788	1998-03-31	VYDAJ	VYBER	41500	38604	\N	\N	\N
3249225	10788	1998-04-30	VYDAJ	VYBER	38100	42522	\N	\N	\N
3249226	10788	1998-05-30	VYDAJ	VYBER	5300	20292	\N	\N	\N
3249227	10788	1998-06-29	VYDAJ	VYBER	28600	39986	\N	\N	\N
3249228	10788	1998-10-27	VYDAJ	VYBER	24300	19974	\N	\N	\N
3249229	10788	1998-11-26	VYDAJ	VYBER	30000	28813	\N	\N	\N
3249294	10789	1996-09-18	PRIJEM	VKLAD	900	900	\N	\N	\N
3249299	10789	1996-10-05	PRIJEM	VKLAD	30391	31291	\N	\N	\N
3249302	10789	1996-12-02	PRIJEM	VKLAD	22438	82157	\N	\N	\N
3249306	10789	1996-11-17	PRIJEM	VKLAD	25883	119889	\N	\N	\N
3249307	10789	1996-12-12	PRIJEM	VKLAD	43447	93026	\N	\N	\N
3249314	10789	1996-10-14	PRIJEM	VKLAD	19562	50853	\N	\N	\N
3249315	10789	1996-11-04	PRIJEM	VKLAD	35512	71159	\N	\N	\N
3249316	10789	1996-12-08	PRIJEM	VKLAD	39325	114379	\N	\N	\N
3249318	10789	1996-11-12	PRIJEM	VKLAD	22847	94006	\N	\N	\N
3249322	10789	1997-06-23	PRIJEM	VKLAD	45070	62056	\N	\N	\N
3249323	10789	1997-11-12	PRIJEM	VKLAD	10903	46061	\N	\N	\N
3249324	10789	1997-04-02	PRIJEM	VKLAD	38932	71136	\N	\N	\N
3249325	10789	1997-02-21	PRIJEM	VKLAD	48497	150978	\N	\N	\N
3249326	10789	1997-07-08	PRIJEM	VKLAD	42785	120298	\N	\N	\N
3249327	10789	1997-09-28	PRIJEM	VKLAD	42766	91049	\N	\N	\N
3249328	10789	1997-09-12	PRIJEM	VKLAD	32539	61409	\N	\N	\N
3249329	10789	1997-01-26	PRIJEM	VKLAD	7523	45061	\N	\N	\N
3249330	10789	1997-12-09	PRIJEM	VKLAD	48131	124520	\N	\N	\N
3249331	10789	1997-02-03	PRIJEM	VKLAD	37836	83084	\N	\N	\N
3249332	10789	1997-08-23	PRIJEM	VKLAD	5794	36636	\N	\N	\N
3249333	10789	1997-01-03	PRIJEM	VKLAD	15418	54107	\N	\N	\N
3249334	10789	1997-03-20	PRIJEM	VKLAD	16569	56180	\N	\N	\N
3249335	10789	1997-02-17	PRIJEM	VKLAD	45267	105681	\N	\N	\N
3249336	10789	1997-02-04	PRIJEM	VKLAD	41073	124157	\N	\N	\N
3249337	10789	1997-01-10	PRIJEM	VKLAD	48560	82378	\N	\N	\N
3249338	10789	1997-01-06	PRIJEM	VKLAD	5514	59621	\N	\N	\N
3249339	10789	1997-11-28	PRIJEM	VKLAD	41789	79810	\N	\N	\N
3249340	10789	1997-07-07	PRIJEM	VKLAD	18955	81116	\N	\N	\N
3249341	10789	1997-04-13	PRIJEM	VKLAD	22156	64549	\N	\N	\N
3249342	10789	1997-09-16	PRIJEM	VKLAD	16833	48283	\N	\N	\N
3249343	10789	1998-11-26	PRIJEM	VKLAD	41620	112960	\N	\N	\N
3249344	10789	1998-09-22	PRIJEM	VKLAD	19123	37871	\N	\N	\N
3249345	10789	1998-04-27	PRIJEM	VKLAD	27593	102593	\N	\N	\N
3249346	10789	1998-10-26	PRIJEM	VKLAD	44862	66386	\N	\N	\N
3249347	10789	1998-06-18	PRIJEM	VKLAD	7116	57990	\N	\N	\N
3249348	10789	1998-11-26	PRIJEM	VKLAD	21346	134306	\N	\N	\N
3249349	10789	1998-04-02	PRIJEM	VKLAD	27434	48237	\N	\N	\N
3249350	10789	1998-04-27	PRIJEM	VKLAD	41894	75000	\N	\N	\N
3249351	10789	1998-11-16	PRIJEM	VKLAD	11557	71340	\N	\N	\N
3249352	10789	1998-12-12	PRIJEM	VKLAD	26726	89896	\N	\N	\N
3249353	10789	1998-05-26	PRIJEM	VKLAD	34590	88609	\N	\N	\N
3249354	10789	1998-05-31	PRIJEM	VKLAD	49915	138845	\N	\N	\N
3249355	10789	1998-07-23	PRIJEM	VKLAD	26311	121061	\N	\N	\N
3249356	10789	1998-07-15	PRIJEM	VKLAD	47589	94750	\N	\N	\N
3249357	10789	1998-11-12	PRIJEM	VKLAD	25001	73936	\N	\N	\N
3249358	10789	1998-01-15	PRIJEM	VKLAD	32386	58149	\N	\N	\N
3249359	10789	1998-12-05	PRIJEM	VKLAD	37515	140373	\N	\N	\N
3249360	10789	1998-06-29	PRIJEM	VKLAD	49153	131847	\N	\N	\N
3249361	10789	1998-01-10	PRIJEM	VKLAD	45622	69317	\N	\N	\N
3249362	10789	1998-07-11	PRIJEM	VKLAD	6905	61314	\N	\N	\N
3249363	10789	1998-12-05	PRIJEM	VKLAD	23570	102858	\N	\N	\N
3249364	10789	1998-04-10	PRIJEM	VKLAD	17025	61659	\N	\N	\N
3249365	10789	1998-01-03	PRIJEM	VKLAD	11924	35698	\N	\N	\N
3249366	10789	1998-01-31	PRIJEM	VKLAD	22715	64844	\N	\N	\N
3249367	10789	1998-07-08	PRIJEM	VKLAD	22641	113909	\N	\N	\N
3249368	10789	1998-06-23	PRIJEM	VKLAD	24704	82694	\N	\N	\N
3249380	10789	1996-12-07	VYDAJ	VYBER	3500	75987	\N	\N	0
3249381	10789	1997-01-16	VYDAJ	VYBER	4100	42038	\N	\N	0
3249382	10789	1997-02-17	VYDAJ	VYBER	3200	102481	\N	\N	0
3249383	10789	1997-03-07	VYDAJ	VYBER	3000	63884	\N	\N	0
3249384	10789	1997-04-08	VYDAJ	VYBER	4600	60233	\N	\N	0
3249385	10789	1997-05-05	VYDAJ	VYBER	3400	48471	\N	\N	0
3249386	10789	1997-06-12	VYDAJ	VYBER	3900	2886	\N	\N	0
3249387	10789	1997-07-21	VYDAJ	VYBER	4200	56358	\N	\N	0
3249388	10789	1997-08-15	VYDAJ	VYBER	4500	30842	\N	\N	0
3249389	10789	1997-09-03	VYDAJ	VYBER	4300	32473	\N	\N	0
3249390	10789	1997-10-21	VYDAJ	VYBER	2900	50809	\N	\N	0
3249391	10789	1997-11-07	VYDAJ	VYBER	3300	35158	\N	\N	0
3249392	10789	1997-12-12	VYDAJ	PREVOD NA UCET	3814	54207	UVER	IJ	33691179
3249393	10789	1998-01-12	VYDAJ	PREVOD NA UCET	3814	39563	UVER	IJ	33691179
3249394	10789	1998-02-12	VYDAJ	PREVOD NA UCET	3814	32272	UVER	IJ	33691179
3249395	10789	1998-03-12	VYDAJ	PREVOD NA UCET	3814	31030	UVER	IJ	33691179
3249396	10789	1998-04-12	VYDAJ	PREVOD NA UCET	3814	33106	UVER	IJ	33691179
3249397	10789	1998-05-12	VYDAJ	PREVOD NA UCET	3814	64359	UVER	IJ	33691179
3249398	10789	1998-06-12	VYDAJ	PREVOD NA UCET	3814	50874	UVER	IJ	33691179
3249399	10789	1998-07-12	VYDAJ	PREVOD NA UCET	3814	57501	UVER	IJ	33691179
3249400	10789	1998-08-12	VYDAJ	PREVOD NA UCET	3814	57611	UVER	IJ	33691179
3249401	10789	1998-09-12	VYDAJ	PREVOD NA UCET	3814	29088	UVER	IJ	33691179
3249402	10789	1998-10-12	VYDAJ	PREVOD NA UCET	3814	31864	UVER	IJ	33691179
3249403	10789	1998-11-12	VYDAJ	PREVOD NA UCET	3814	70123	UVER	IJ	33691179
3249404	10789	1998-12-18	VYDAJ	VYBER	4600	74956	\N	\N	0
3249416	10789	1996-12-12	VYDAJ	PREVOD NA UCET	10340	82686	SIPO	GH	34503346
3249417	10789	1997-01-12	VYDAJ	PREVOD NA UCET	10340	57938	SIPO	GH	34503346
3249418	10789	1997-02-12	VYDAJ	PREVOD NA UCET	10340	85414	SIPO	GH	34503346
3249419	10789	1997-03-12	VYDAJ	PREVOD NA UCET	10340	41211	SIPO	GH	34503346
3249420	10789	1997-04-12	VYDAJ	PREVOD NA UCET	10340	42393	SIPO	GH	34503346
3249421	10789	1997-05-12	VYDAJ	PREVOD NA UCET	10340	34528	SIPO	GH	34503346
3249422	10789	1997-06-12	VYDAJ	PREVOD NA UCET	10340	6786	SIPO	GH	34503346
3249423	10789	1997-07-12	VYDAJ	PREVOD NA UCET	10340	85258	SIPO	GH	34503346
3249424	10789	1997-08-12	VYDAJ	PREVOD NA UCET	10340	27742	SIPO	GH	34503346
3249425	10789	1997-09-12	VYDAJ	PREVOD NA UCET	10340	51069	SIPO	GH	34503346
3249426	10789	1997-10-12	VYDAJ	PREVOD NA UCET	10340	68809	SIPO	GH	34503346
3249427	10789	1997-11-12	VYDAJ	PREVOD NA UCET	10340	38021	SIPO	GH	34503346
3249428	10789	1997-12-12	VYDAJ	PREVOD NA UCET	10340	43867	SIPO	GH	34503346
3249429	10789	1998-01-12	VYDAJ	PREVOD NA UCET	10340	43377	SIPO	GH	34503346
3249430	10789	1998-02-12	VYDAJ	PREVOD NA UCET	10340	36086	SIPO	GH	34503346
3249431	10789	1998-03-12	VYDAJ	PREVOD NA UCET	10340	20690	SIPO	GH	34503346
3249432	10789	1998-04-12	VYDAJ	PREVOD NA UCET	10340	36919	SIPO	GH	34503346
3249433	10789	1998-05-12	VYDAJ	PREVOD NA UCET	10340	54019	SIPO	GH	34503346
3249434	10789	1998-06-12	VYDAJ	PREVOD NA UCET	10340	54688	SIPO	GH	34503346
3249435	10789	1998-07-12	VYDAJ	PREVOD NA UCET	10340	47161	SIPO	GH	34503346
3249436	10789	1998-08-12	VYDAJ	PREVOD NA UCET	10340	47271	SIPO	GH	34503346
3249437	10789	1998-09-12	VYDAJ	PREVOD NA UCET	10340	18748	SIPO	GH	34503346
3249438	10789	1998-10-12	VYDAJ	PREVOD NA UCET	10340	21524	SIPO	GH	34503346
3249439	10789	1998-11-12	VYDAJ	PREVOD NA UCET	10340	59783	SIPO	GH	34503346
3249440	10789	1998-12-12	VYDAJ	PREVOD NA UCET	10340	79556	SIPO	GH	34503346
3249452	10789	1996-12-07	VYDAJ	PREVOD NA UCET	933	75054	 	GH	94227504
3249453	10789	1997-01-07	VYDAJ	PREVOD NA UCET	933	56018	 	GH	94227504
3249454	10789	1997-02-07	VYDAJ	PREVOD NA UCET	933	98424	 	GH	94227504
3249455	10789	1997-03-07	VYDAJ	PREVOD NA UCET	933	62951	 	GH	94227504
3249456	10789	1997-04-07	VYDAJ	PREVOD NA UCET	933	67503	 	GH	94227504
3249457	10789	1997-05-07	VYDAJ	PREVOD NA UCET	933	44868	 	GH	94227504
3249458	10789	1997-06-07	VYDAJ	PREVOD NA UCET	933	19796	 	GH	94227504
3249459	10789	1997-07-07	VYDAJ	PREVOD NA UCET	933	80183	 	GH	94227504
3249460	10789	1997-08-07	VYDAJ	PREVOD NA UCET	933	40718	 	GH	94227504
3249461	10789	1997-09-07	VYDAJ	PREVOD NA UCET	933	31540	 	GH	94227504
3249462	10789	1997-10-07	VYDAJ	PREVOD NA UCET	933	79149	 	GH	94227504
3249463	10789	1997-11-07	VYDAJ	PREVOD NA UCET	933	41128	 	GH	94227504
3249464	10789	1997-12-07	VYDAJ	PREVOD NA UCET	933	76389	 	GH	94227504
3249465	10789	1998-01-07	VYDAJ	PREVOD NA UCET	933	34765	 	GH	94227504
3249466	10789	1998-02-07	VYDAJ	PREVOD NA UCET	933	63896	 	GH	94227504
3249467	10789	1998-03-07	VYDAJ	PREVOD NA UCET	933	28844	 	GH	94227504
3249468	10789	1998-04-07	VYDAJ	PREVOD NA UCET	933	44634	 	GH	94227504
3249469	10789	1998-05-07	VYDAJ	PREVOD NA UCET	933	99173	 	GH	94227504
3249470	10789	1998-06-07	VYDAJ	PREVOD NA UCET	933	94128	 	GH	94227504
3249471	10789	1998-07-07	VYDAJ	PREVOD NA UCET	933	93938	 	GH	94227504
3249472	10789	1998-08-07	VYDAJ	PREVOD NA UCET	933	78395	 	GH	94227504
3249473	10789	1998-09-07	VYDAJ	PREVOD NA UCET	933	24102	 	GH	94227504
3249474	10789	1998-10-07	VYDAJ	PREVOD NA UCET	933	34378	 	GH	94227504
3249475	10789	1998-11-07	VYDAJ	PREVOD NA UCET	933	59305	 	GH	94227504
3249476	10789	1998-12-07	VYDAJ	PREVOD NA UCET	933	82040	 	GH	94227504
3249488	10789	1996-12-07	VYDAJ	PREVOD NA UCET	2670	79487	POJISTNE	AB	38727879
3249489	10789	1997-01-07	VYDAJ	PREVOD NA UCET	2670	56951	POJISTNE	AB	38727879
3249490	10789	1997-02-07	VYDAJ	PREVOD NA UCET	2670	95754	POJISTNE	AB	38727879
3249491	10789	1997-03-07	VYDAJ	PREVOD NA UCET	2670	66884	POJISTNE	AB	38727879
3249492	10789	1997-04-07	VYDAJ	PREVOD NA UCET	2670	64833	POJISTNE	AB	38727879
3249493	10789	1997-05-07	VYDAJ	PREVOD NA UCET	2670	45801	POJISTNE	AB	38727879
3249494	10789	1997-06-07	VYDAJ	PREVOD NA UCET	2670	17126	POJISTNE	AB	38727879
3249495	10789	1997-07-07	VYDAJ	PREVOD NA UCET	2670	77513	POJISTNE	AB	38727879
3249496	10789	1997-08-07	VYDAJ	PREVOD NA UCET	2670	41651	POJISTNE	AB	38727879
3249497	10789	1997-09-07	VYDAJ	PREVOD NA UCET	2670	28870	POJISTNE	AB	38727879
3249498	10789	1997-10-07	VYDAJ	PREVOD NA UCET	2670	80082	POJISTNE	AB	38727879
3249499	10789	1997-11-07	VYDAJ	PREVOD NA UCET	2670	38458	POJISTNE	AB	38727879
3249500	10789	1997-12-07	VYDAJ	PREVOD NA UCET	2670	77322	POJISTNE	AB	38727879
3249501	10789	1998-01-07	VYDAJ	PREVOD NA UCET	2670	23695	POJISTNE	AB	38727879
3249502	10789	1998-02-07	VYDAJ	PREVOD NA UCET	2670	61226	POJISTNE	AB	38727879
3249503	10789	1998-03-07	VYDAJ	PREVOD NA UCET	2670	29777	POJISTNE	AB	38727879
3249504	10789	1998-04-07	VYDAJ	PREVOD NA UCET	2670	45567	POJISTNE	AB	38727879
3249505	10789	1998-05-07	VYDAJ	PREVOD NA UCET	2670	100106	POJISTNE	AB	38727879
3249506	10789	1998-06-07	VYDAJ	PREVOD NA UCET	2670	95061	POJISTNE	AB	38727879
3249507	10789	1998-07-07	VYDAJ	PREVOD NA UCET	2670	91268	POJISTNE	AB	38727879
3249508	10789	1998-08-07	VYDAJ	PREVOD NA UCET	2670	75725	POJISTNE	AB	38727879
3249509	10789	1998-09-07	VYDAJ	PREVOD NA UCET	2670	25035	POJISTNE	AB	38727879
3249510	10789	1998-10-07	VYDAJ	PREVOD NA UCET	2670	35311	POJISTNE	AB	38727879
3249511	10789	1998-11-07	VYDAJ	PREVOD NA UCET	2670	56635	POJISTNE	AB	38727879
3249512	10789	1998-12-07	VYDAJ	PREVOD NA UCET	2670	79370	POJISTNE	AB	38727879
3249515	10789	1996-12-28	VYBER	VYBER	10555	45631	\N	\N	\N
3249516	10789	1997-08-09	VYBER	VYBER	2636	38082	\N	\N	\N
3249517	10789	1997-12-17	VYBER	VYBER	11907	31960	\N	\N	\N
3249518	10789	1997-10-06	VYBER	VYBER	8475	82752	\N	\N	\N
3249519	10789	1997-09-14	VYBER	VYBER	12219	31450	\N	\N	\N
3249520	10789	1997-04-01	VYBER	VYBER	24186	32204	\N	\N	\N
3249521	10789	1997-05-31	VYBER	VYBER	16753	20743	\N	\N	\N
3249522	10789	1998-08-06	VYBER	VYBER	20508	79328	\N	\N	\N
3249528	10789	1997-01-08	VYDAJ	VYBER	18300	33818	\N	\N	\N
3249530	10789	1996-12-10	VYDAJ	VYBER	7200	49579	\N	\N	\N
3249531	10789	1997-12-29	VYDAJ	VYBER	6900	25060	\N	\N	\N
3249532	10789	1998-12-03	VYDAJ	VYBER	6900	79288	\N	\N	\N
3249539	10789	1997-01-12	VYDAJ	VYBER	2100	68278	\N	\N	\N
3249540	10789	1997-01-01	VYDAJ	VYBER	7200	38689	\N	\N	\N
3249541	10789	1997-01-19	VYDAJ	VYBER	4500	37538	\N	\N	\N
3249542	10789	1997-01-12	VYDAJ	VYBER	8100	70378	\N	\N	\N
3249543	10789	1997-01-15	VYDAJ	VYBER	3300	54638	\N	\N	\N
3249544	10789	1997-01-11	VYDAJ	VYBER	3900	78478	\N	\N	\N
3249545	10789	1998-01-13	VYDAJ	VYBER	1500	38063	\N	\N	\N
3249546	10789	1998-01-23	VYDAJ	VYBER	2100	41949	\N	\N	\N
3249547	10789	1998-01-01	VYDAJ	VYBER	1500	23774	\N	\N	\N
3249548	10789	1998-01-19	VYDAJ	VYBER	5400	52749	\N	\N	\N
3249549	10789	1998-01-22	VYDAJ	VYBER	8700	44049	\N	\N	\N
3249550	10789	1998-01-07	VYDAJ	VYBER	8400	26365	\N	\N	\N
3249555	10789	1997-07-23	VYDAJ	VYBER	12300	44058	\N	\N	\N
3249556	10789	1997-10-30	VYDAJ	VYBER	9000	41809	\N	\N	\N
3249558	10789	1997-03-07	VYDAJ	VYBER	11400	51551	\N	\N	\N
3249559	10789	1997-04-03	VYDAJ	VYBER	2700	68436	\N	\N	\N
3249560	10789	1997-01-07	VYDAJ	VYBER	3900	52118	\N	\N	\N
3249561	10789	1997-04-09	VYDAJ	VYBER	7500	52733	\N	\N	\N
3249563	10789	1998-08-25	VYDAJ	VYBER	11100	36171	\N	\N	\N
3249564	10789	1998-05-31	VYDAJ	VYBER	4500	134345	\N	\N	\N
3249565	10789	1998-01-14	VYDAJ	VYBER	12300	25763	\N	\N	\N
3249566	10789	1998-01-11	VYDAJ	VYBER	2700	53717	\N	\N	\N
3249567	10789	1998-11-04	VYDAJ	VYBER	6300	60238	\N	\N	\N
3249568	10789	1998-09-05	VYDAJ	VYBER	8700	27705	\N	\N	\N
3249580	10789	1996-11-30	VYDAJ	VYBER	15	59719	SLUZBY	\N	\N
3249581	10789	1996-12-31	VYDAJ	VYBER	15	45889	SLUZBY	\N	\N
3249582	10789	1997-01-31	VYDAJ	VYBER	15	45248	SLUZBY	\N	\N
3249583	10789	1997-02-28	VYDAJ	VYBER	15	69554	SLUZBY	\N	\N
3249584	10789	1997-03-31	VYDAJ	VYBER	15	56390	SLUZBY	\N	\N
3249585	10789	1997-04-30	VYDAJ	VYBER	15	51871	SLUZBY	\N	\N
3249586	10789	1997-05-31	VYDAJ	VYBER	15	20729	SLUZBY	\N	\N
3249587	10789	1997-06-30	VYDAJ	VYBER	15	62161	SLUZBY	\N	\N
3249588	10789	1997-07-31	VYDAJ	VYBER	15	44321	SLUZBY	\N	\N
3249589	10789	1997-08-31	VYDAJ	VYBER	15	36773	SLUZBY	\N	\N
3249590	10789	1997-09-30	VYDAJ	VYBER	15	91227	SLUZBY	\N	\N
3249591	10789	1997-10-31	VYDAJ	VYBER	15	42061	SLUZBY	\N	\N
3249592	10789	1997-11-30	VYDAJ	VYBER	15	79992	SLUZBY	\N	\N
3249593	10789	1997-12-31	VYDAJ	VYBER	15	25274	SLUZBY	\N	\N
3249594	10789	1998-01-31	VYDAJ	VYBER	15	64829	SLUZBY	\N	\N
3249595	10789	1998-02-28	VYDAJ	VYBER	15	32447	SLUZBY	\N	\N
3249596	10789	1998-03-31	VYDAJ	VYBER	15	20803	SLUZBY	\N	\N
3249597	10789	1998-04-30	VYDAJ	VYBER	15	102776	SLUZBY	\N	\N
3249598	10789	1998-05-31	VYDAJ	VYBER	15	113831	SLUZBY	\N	\N
3249599	10789	1998-06-30	VYDAJ	VYBER	15	94871	SLUZBY	\N	\N
3249600	10789	1998-07-31	VYDAJ	VYBER	15	99836	SLUZBY	\N	\N
3249601	10789	1998-08-31	VYDAJ	VYBER	15	36405	SLUZBY	\N	\N
3249602	10789	1998-09-30	VYDAJ	VYBER	15	37981	SLUZBY	\N	\N
3249603	10789	1998-10-31	VYDAJ	VYBER	15	66538	SLUZBY	\N	\N
3249604	10789	1998-11-30	VYDAJ	VYBER	15	86188	SLUZBY	\N	\N
3249605	10789	1996-10-18	VYDAJ	VYBER	15300	35553	\N	\N	\N
3249606	10789	1996-11-17	VYDAJ	VYBER	27200	59389	\N	\N	\N
3249607	10789	1996-11-17	VYDAJ	VYBER	33300	86589	\N	\N	\N
3249608	10789	1996-12-08	VYDAJ	VYBER	57600	56779	\N	\N	\N
3249609	10789	1996-12-17	VYDAJ	VYBER	26500	56186	\N	\N	\N
3249610	10789	1997-01-16	VYDAJ	VYBER	8500	46138	\N	\N	\N
3249611	10789	1997-02-04	VYDAJ	VYBER	24800	99357	\N	\N	\N
3249612	10789	1997-02-15	VYDAJ	VYBER	25000	60414	\N	\N	\N
3249613	10789	1997-02-21	VYDAJ	VYBER	29000	121978	\N	\N	\N
3249614	10789	1997-02-28	VYDAJ	VYBER	52800	69569	\N	\N	\N
3249615	10789	1997-03-17	VYDAJ	VYBER	1600	39611	\N	\N	\N
3249616	10789	1997-04-16	VYDAJ	VYBER	12900	51649	\N	\N	\N
3249617	10789	1997-05-16	PRIJEM	VKLAD	2800	37328	\N	\N	\N
3249618	10789	1997-06-15	PRIJEM	VKLAD	14100	16986	\N	\N	\N
3249619	10789	1997-07-08	VYDAJ	VYBER	24700	95598	\N	\N	\N
3249620	10789	1997-07-15	VYDAJ	VYBER	24700	60558	\N	\N	\N
3249621	10789	1997-08-14	PRIJEM	VKLAD	7600	35342	\N	\N	\N
3249622	10789	1997-09-13	VYDAJ	VYBER	7400	43669	\N	\N	\N
3249623	10789	1997-10-13	VYDAJ	VYBER	15100	53709	\N	\N	\N
3249624	10789	1997-11-12	PRIJEM	VKLAD	2300	48361	\N	\N	\N
3249625	10789	1997-12-09	VYDAJ	VYBER	61900	62620	\N	\N	\N
3249626	10789	1997-12-12	VYDAJ	VYBER	4600	58020	\N	\N	\N
3249627	10789	1998-01-11	VYDAJ	VYBER	12900	56417	\N	\N	\N
3249628	10789	1998-02-10	VYDAJ	VYBER	14800	46426	\N	\N	\N
3249629	10789	1998-03-12	PRIJEM	VKLAD	6000	34844	\N	\N	\N
3249630	10789	1998-04-11	VYDAJ	VYBER	14400	47259	\N	\N	\N
3249631	10789	1998-05-11	VYDAJ	VYBER	31000	68173	\N	\N	\N
3249632	10789	1998-05-31	VYDAJ	VYBER	16100	97731	\N	\N	\N
3249633	10789	1998-05-31	VYDAJ	VYBER	20500	113845	\N	\N	\N
3249634	10789	1998-06-10	VYDAJ	VYBER	29100	65028	\N	\N	\N
3249635	10789	1998-06-29	VYDAJ	VYBER	37300	94547	\N	\N	\N
3249636	10789	1998-07-08	VYDAJ	VYBER	38500	75409	\N	\N	\N
3249637	10789	1998-07-10	VYDAJ	VYBER	21000	54409	\N	\N	\N
3249638	10789	1998-07-23	VYDAJ	VYBER	21600	99461	\N	\N	\N
3249639	10789	1998-08-09	VYDAJ	VYBER	14300	61425	\N	\N	\N
3249640	10789	1998-09-08	PRIJEM	VKLAD	8800	32902	\N	\N	\N
3249641	10789	1998-10-08	PRIJEM	VKLAD	1300	35678	\N	\N	\N
3249642	10789	1998-11-07	VYDAJ	VYBER	7700	48935	\N	\N	\N
3249643	10789	1998-11-26	VYDAJ	VYBER	48400	85906	\N	\N	\N
3249644	10789	1998-12-05	VYDAJ	VYBER	27100	82973	\N	\N	\N
3249645	10789	1998-12-05	VYDAJ	VYBER	30300	110073	\N	\N	\N
3249646	10789	1998-12-07	VYDAJ	VYBER	16200	63170	\N	\N	\N
3251778	10799	1997-08-19	PRIJEM	VKLAD	800	800	\N	\N	\N
3251787	10799	1997-09-07	PRIJEM	VKLAD	4911	5711	\N	\N	\N
3251788	10799	1997-10-07	PRIJEM	VKLAD	4911	20049	\N	\N	\N
3251789	10799	1997-11-07	PRIJEM	VKLAD	4911	29341	\N	\N	\N
3251790	10799	1997-12-07	PRIJEM	VKLAD	7366	33211	\N	\N	\N
3251791	10799	1998-01-07	PRIJEM	VKLAD	4911	33234	\N	\N	\N
3251792	10799	1998-02-07	PRIJEM	VKLAD	4911	32850	\N	\N	\N
3251793	10799	1998-03-07	PRIJEM	VKLAD	4911	33174	\N	\N	\N
3251794	10799	1998-04-07	PRIJEM	VKLAD	4911	32894	\N	\N	\N
3251795	10799	1998-05-07	PRIJEM	VKLAD	4911	36214	\N	\N	\N
3251796	10799	1998-06-07	PRIJEM	VKLAD	7366	27808	\N	\N	\N
3251797	10799	1998-07-07	PRIJEM	VKLAD	4911	36627	\N	\N	\N
3251798	10799	1998-08-07	PRIJEM	VKLAD	4911	47062	\N	\N	\N
3251799	10799	1998-09-07	PRIJEM	VKLAD	4911	46927	\N	\N	\N
3251800	10799	1998-10-07	PRIJEM	VKLAD	4911	43689	\N	\N	\N
3251801	10799	1998-11-07	PRIJEM	VKLAD	4911	50051	\N	\N	\N
3251802	10799	1998-12-07	PRIJEM	VKLAD	7366	58488	\N	\N	\N
3251815	10799	1998-01-16	VYDAJ	VYBER	600	29534	\N	\N	0
3251816	10799	1998-02-06	VYDAJ	VYBER	400	27939	\N	\N	0
3251817	10799	1998-03-08	VYDAJ	VYBER	400	32774	\N	\N	0
3251818	10799	1998-04-20	VYDAJ	VYBER	400	31194	\N	\N	0
3251819	10799	1998-05-20	VYDAJ	VYBER	500	37114	\N	\N	0
3251820	10799	1998-06-03	VYDAJ	VYBER	500	20442	\N	\N	0
3251821	10799	1998-07-12	VYDAJ	PREVOD NA UCET	519	36108	UVER	UV	80825555
3251822	10799	1998-08-12	VYDAJ	PREVOD NA UCET	519	44743	UVER	UV	80825555
3251823	10799	1998-09-12	VYDAJ	PREVOD NA UCET	519	41708	UVER	UV	80825555
3251824	10799	1998-10-12	VYDAJ	PREVOD NA UCET	519	43170	UVER	UV	80825555
3251825	10799	1998-11-12	VYDAJ	PREVOD NA UCET	519	50932	UVER	UV	80825555
3251826	10799	1998-12-12	VYDAJ	PREVOD NA UCET	519	57169	UVER	UV	80825555
3251828	10799	1998-06-02	VYDAJ	VYBER	16300	20942	\N	\N	\N
3251832	10799	1998-12-15	VYDAJ	VYBER	700	56469	\N	\N	\N
3251840	10799	1998-01-13	VYDAJ	VYBER	2900	28234	\N	\N	\N
3251842	10799	1998-01-12	VYDAJ	VYBER	2100	31134	\N	\N	\N
3251843	10799	1998-01-23	VYDAJ	VYBER	1300	28234	\N	\N	\N
3251853	10799	1998-03-11	VYDAJ	VYBER	1900	30874	\N	\N	\N
3251854	10799	1998-03-03	VYDAJ	VYBER	2100	28263	\N	\N	\N
3251855	10799	1998-10-06	VYDAJ	VYBER	4400	38778	\N	\N	\N
3251856	10799	1998-09-06	VYDAJ	VYBER	4200	42016	\N	\N	\N
3251857	10799	1998-08-08	VYDAJ	VYBER	1800	45262	\N	\N	\N
3251858	10799	1998-09-12	VYDAJ	VYBER	4700	42227	\N	\N	\N
3251872	10799	1998-01-31	VYDAJ	VYBER	15	28339	SLUZBY	\N	\N
3251873	10799	1998-02-28	VYDAJ	VYBER	15	30363	SLUZBY	\N	\N
3251874	10799	1998-03-31	VYDAJ	VYBER	15	27983	SLUZBY	\N	\N
3251875	10799	1998-04-30	VYDAJ	VYBER	15	31303	SLUZBY	\N	\N
3251876	10799	1998-05-31	VYDAJ	VYBER	15	37242	SLUZBY	\N	\N
3251877	10799	1998-06-30	VYDAJ	VYBER	15	31716	SLUZBY	\N	\N
3251878	10799	1998-07-31	VYDAJ	VYBER	15	42151	SLUZBY	\N	\N
3251879	10799	1998-08-31	VYDAJ	VYBER	15	46216	SLUZBY	\N	\N
3251880	10799	1998-09-30	VYDAJ	VYBER	15	43178	SLUZBY	\N	\N
3251881	10799	1998-10-31	VYDAJ	VYBER	15	45140	SLUZBY	\N	\N
3251882	10799	1998-11-30	VYDAJ	VYBER	15	51122	SLUZBY	\N	\N
3251883	10799	1997-09-18	PRIJEM	VKLAD	9400	15111	\N	\N	\N
3251884	10799	1997-10-18	PRIJEM	VKLAD	4300	24349	\N	\N	\N
3251885	10799	1997-11-17	VYDAJ	VYBER	3600	25741	\N	\N	\N
3251886	10799	1997-12-17	VYDAJ	VYBER	5000	28211	\N	\N	\N
3251887	10799	1998-01-16	PRIJEM	VKLAD	1900	30134	\N	\N	\N
3251888	10799	1998-02-15	VYDAJ	VYBER	2600	30250	\N	\N	\N
3251889	10799	1998-03-17	VYDAJ	VYBER	3000	27874	\N	\N	\N
3251890	10799	1998-04-16	VYDAJ	VYBER	1300	31594	\N	\N	\N
3251891	10799	1998-05-16	PRIJEM	VKLAD	1400	37614	\N	\N	\N
3251892	10799	1998-06-15	PRIJEM	VKLAD	3800	31608	\N	\N	\N
3251893	10799	1998-07-15	PRIJEM	VKLAD	5900	42008	\N	\N	\N
3251894	10799	1998-08-14	PRIJEM	VKLAD	1300	46043	\N	\N	\N
3251895	10799	1998-09-13	PRIJEM	VKLAD	1300	43008	\N	\N	\N
3251896	10799	1998-10-13	PRIJEM	VKLAD	1800	44970	\N	\N	\N
3251897	10799	1998-11-12	PRIJEM	VKLAD	1400	51451	\N	\N	\N
3251898	10799	1998-12-12	VYDAJ	VYBER	800	57688	\N	\N	\N
3253471	10807	1996-03-13	PRIJEM	VKLAD	600	600	\N	\N	\N
3253475	10807	1996-04-05	PRIJEM	PREVOD Z UCTU	33735	34335	\N	UV	11400890
3253476	10807	1996-05-05	PRIJEM	PREVOD Z UCTU	33735	63849	\N	UV	11400890
3253477	10807	1996-06-05	PRIJEM	PREVOD Z UCTU	50602	92408	\N	UV	11400890
3253478	10807	1996-07-05	PRIJEM	PREVOD Z UCTU	33735	91962	\N	UV	11400890
3253479	10807	1996-08-05	PRIJEM	PREVOD Z UCTU	33735	89130	\N	UV	11400890
3253480	10807	1996-09-05	PRIJEM	PREVOD Z UCTU	33735	79578	\N	UV	11400890
3253481	10807	1996-10-05	PRIJEM	PREVOD Z UCTU	33735	63495	\N	UV	11400890
3253482	10807	1996-11-05	PRIJEM	PREVOD Z UCTU	33735	73274	\N	UV	11400890
3253483	10807	1996-12-05	PRIJEM	PREVOD Z UCTU	50602	92236	\N	UV	11400890
3253484	10807	1997-01-05	PRIJEM	PREVOD Z UCTU	33735	75260	\N	UV	11400890
3253485	10807	1997-02-05	PRIJEM	PREVOD Z UCTU	33735	57720	\N	UV	11400890
3253486	10807	1997-03-05	PRIJEM	PREVOD Z UCTU	33735	64497	\N	UV	11400890
3253487	10807	1997-04-05	PRIJEM	PREVOD Z UCTU	33735	66179	\N	UV	11400890
3253488	10807	1997-05-05	PRIJEM	PREVOD Z UCTU	33735	73138	\N	UV	11400890
3253489	10807	1997-06-05	PRIJEM	PREVOD Z UCTU	50602	70528	\N	UV	11400890
3253490	10807	1997-07-05	PRIJEM	PREVOD Z UCTU	33735	60941	\N	UV	11400890
3253491	10807	1997-08-05	PRIJEM	PREVOD Z UCTU	33735	58857	\N	UV	11400890
3253492	10807	1997-09-05	PRIJEM	PREVOD Z UCTU	33735	54263	\N	UV	11400890
3253493	10807	1997-10-05	PRIJEM	PREVOD Z UCTU	33735	59857	\N	UV	11400890
3253494	10807	1997-11-05	PRIJEM	PREVOD Z UCTU	33735	68271	\N	UV	11400890
3253495	10807	1997-12-05	PRIJEM	PREVOD Z UCTU	50602	88657	\N	UV	11400890
3253496	10807	1998-01-05	PRIJEM	PREVOD Z UCTU	33735	81888	\N	UV	11400890
3253497	10807	1998-02-05	PRIJEM	PREVOD Z UCTU	33735	72557	\N	UV	11400890
3253498	10807	1998-03-05	PRIJEM	PREVOD Z UCTU	33735	76631	\N	UV	11400890
3253499	10807	1998-04-05	PRIJEM	PREVOD Z UCTU	33735	80643	\N	UV	11400890
3253500	10807	1998-05-05	PRIJEM	PREVOD Z UCTU	33735	77272	\N	UV	11400890
3253501	10807	1998-06-05	PRIJEM	PREVOD Z UCTU	50602	97964	\N	UV	11400890
3253502	10807	1998-07-05	PRIJEM	PREVOD Z UCTU	33735	81355	\N	UV	11400890
3253503	10807	1998-08-05	PRIJEM	PREVOD Z UCTU	33735	91994	\N	UV	11400890
3253504	10807	1998-09-05	PRIJEM	PREVOD Z UCTU	33735	90004	\N	UV	11400890
3253505	10807	1998-10-05	PRIJEM	PREVOD Z UCTU	33735	98317	\N	UV	11400890
3253506	10807	1998-11-05	PRIJEM	PREVOD Z UCTU	33735	100994	\N	UV	11400890
3253507	10807	1998-12-05	PRIJEM	PREVOD Z UCTU	50602	110281	\N	UV	11400890
3253515	10807	1996-08-07	VYDAJ	VYBER	5300	83830	\N	\N	0
3253516	10807	1996-09-03	VYDAJ	VYBER	4900	45843	\N	\N	0
3253517	10807	1996-10-16	VYDAJ	VYBER	4600	39395	\N	\N	0
3253518	10807	1996-11-13	VYDAJ	VYBER	5100	41474	\N	\N	0
3253519	10807	1996-12-14	VYDAJ	VYBER	4500	53036	\N	\N	0
3253520	10807	1997-01-19	VYDAJ	VYBER	4900	23860	\N	\N	0
3253521	10807	1997-02-16	VYDAJ	VYBER	5300	30620	\N	\N	0
3253522	10807	1997-03-12	VYDAJ	PREVOD NA UCET	5623	37475	UVER	EF	29934013
3253523	10807	1997-04-12	VYDAJ	PREVOD NA UCET	5623	39257	UVER	EF	29934013
3253524	10807	1997-05-12	VYDAJ	PREVOD NA UCET	5623	19828	UVER	EF	29934013
3253525	10807	1997-06-12	VYDAJ	PREVOD NA UCET	5623	43005	UVER	EF	29934013
3253526	10807	1997-07-12	VYDAJ	PREVOD NA UCET	5623	34919	UVER	EF	29934013
3253527	10807	1997-08-12	VYDAJ	PREVOD NA UCET	5623	20035	UVER	EF	29934013
3253528	10807	1997-09-12	VYDAJ	PREVOD NA UCET	5623	48641	UVER	EF	29934013
3253529	10807	1997-10-12	VYDAJ	PREVOD NA UCET	5623	54235	UVER	EF	29934013
3253530	10807	1997-11-12	VYDAJ	PREVOD NA UCET	5623	62648	UVER	EF	29934013
3253531	10807	1997-12-12	VYDAJ	PREVOD NA UCET	5623	83035	UVER	EF	29934013
3253532	10807	1998-01-12	VYDAJ	PREVOD NA UCET	5623	71166	UVER	EF	29934013
3253533	10807	1998-02-12	VYDAJ	PREVOD NA UCET	5623	66935	UVER	EF	29934013
3253534	10807	1998-03-12	VYDAJ	VYBER	6900	69731	\N	\N	0
3253535	10807	1998-04-18	VYDAJ	VYBER	6700	70043	\N	\N	0
3253536	10807	1998-05-02	VYDAJ	VYBER	6900	63437	\N	\N	0
3253537	10807	1998-06-16	VYDAJ	VYBER	5200	92764	\N	\N	0
3253538	10807	1998-07-02	VYDAJ	VYBER	6500	47620	\N	\N	0
3253539	10807	1998-08-14	VYDAJ	VYBER	6500	85494	\N	\N	0
3253540	10807	1998-09-14	VYDAJ	VYBER	5300	84704	\N	\N	0
3253541	10807	1998-10-06	VYDAJ	VYBER	4900	93417	\N	\N	0
3253542	10807	1998-11-21	VYDAJ	VYBER	6600	79994	\N	\N	0
3253543	10807	1998-12-16	VYDAJ	VYBER	5200	105081	\N	\N	0
3253549	10807	1996-09-15	VYBER	VYBER	15479	29599	\N	\N	\N
3253557	10807	1997-03-16	VYBER	VYBER	5157	32318	\N	\N	\N
3253558	10807	1997-05-06	VYBER	VYBER	2991	70147	\N	\N	\N
3253559	10807	1997-11-30	VYBER	VYBER	6031	56870	\N	\N	\N
3253560	10807	1997-05-10	VYBER	VYBER	17697	25450	\N	\N	\N
3253561	10807	1997-06-26	VYBER	VYBER	15940	27065	\N	\N	\N
3253562	10807	1997-09-16	VYBER	VYBER	16860	31781	\N	\N	\N
3253565	10807	1998-06-28	VYDAJ	VYBER	19800	72964	\N	\N	\N
3253566	10807	1996-12-22	VYDAJ	VYBER	7200	45836	\N	\N	\N
3253567	10807	1997-12-27	VYDAJ	VYBER	3300	79735	\N	\N	\N
3253568	10807	1998-12-27	VYDAJ	VYBER	6600	98481	\N	\N	\N
3253575	10807	1997-01-14	VYDAJ	VYBER	7500	28760	\N	\N	\N
3253576	10807	1997-01-08	VYDAJ	VYBER	6900	36260	\N	\N	\N
3253578	10807	1997-01-03	VYDAJ	VYBER	2700	41525	\N	\N	\N
3253579	10807	1997-01-07	VYDAJ	VYBER	2400	72860	\N	\N	\N
3253580	10807	1997-01-01	VYDAJ	VYBER	1800	44225	\N	\N	\N
3253581	10807	1998-01-01	VYDAJ	VYBER	7500	72553	\N	\N	\N
3253582	10807	1998-01-19	VYDAJ	VYBER	3900	58566	\N	\N	\N
3253583	10807	1998-01-15	VYDAJ	VYBER	3000	68166	\N	\N	\N
3253584	10807	1998-01-18	VYDAJ	VYBER	2400	62466	\N	\N	\N
3253585	10807	1998-01-17	VYDAJ	VYBER	3300	64866	\N	\N	\N
3253586	10807	1998-01-11	VYDAJ	VYBER	5100	76788	\N	\N	\N
3253589	10807	1997-08-09	VYDAJ	VYBER	13200	25657	\N	\N	\N
3253590	10807	1997-07-13	VYDAJ	VYBER	9900	25019	\N	\N	\N
3253591	10807	1997-08-05	VYDAJ	VYBER	1800	57057	\N	\N	\N
3253592	10807	1997-11-02	VYDAJ	VYBER	7800	42736	\N	\N	\N
3253593	10807	1997-10-28	VYDAJ	VYBER	3900	50335	\N	\N	\N
3253594	10807	1997-02-06	VYDAJ	VYBER	3600	54120	\N	\N	\N
3253595	10807	1998-05-23	VYDAJ	VYBER	7500	69772	\N	\N	\N
3253596	10807	1998-11-16	VYDAJ	VYBER	14400	86594	\N	\N	\N
3253597	10807	1998-02-22	VYDAJ	VYBER	2400	64535	\N	\N	\N
3253598	10807	1998-04-05	VYDAJ	VYBER	3900	76743	\N	\N	\N
3253599	10807	1998-08-24	VYDAJ	VYBER	10500	74994	\N	\N	\N
3253608	10807	1996-08-31	VYDAJ	VYBER	15	50743	SLUZBY	\N	\N
3253609	10807	1996-09-30	VYDAJ	VYBER	15	29760	SLUZBY	\N	\N
3253610	10807	1996-10-31	VYDAJ	VYBER	15	39539	SLUZBY	\N	\N
3253611	10807	1996-11-30	VYDAJ	VYBER	15	41634	SLUZBY	\N	\N
3253612	10807	1996-12-31	VYDAJ	VYBER	15	46025	SLUZBY	\N	\N
3253613	10807	1997-01-31	VYDAJ	VYBER	15	23985	SLUZBY	\N	\N
3253614	10807	1997-02-28	VYDAJ	VYBER	15	30762	SLUZBY	\N	\N
3253615	10807	1997-03-31	VYDAJ	VYBER	15	32444	SLUZBY	\N	\N
3253616	10807	1997-04-30	VYDAJ	VYBER	15	39403	SLUZBY	\N	\N
3253617	10807	1997-05-31	VYDAJ	VYBER	15	19926	SLUZBY	\N	\N
3253618	10807	1997-06-30	VYDAJ	VYBER	15	27206	SLUZBY	\N	\N
3253619	10807	1997-07-31	VYDAJ	VYBER	15	25122	SLUZBY	\N	\N
3253620	10807	1997-08-31	VYDAJ	VYBER	15	20128	SLUZBY	\N	\N
3253621	10807	1997-09-30	VYDAJ	VYBER	15	31922	SLUZBY	\N	\N
3253622	10807	1997-10-31	VYDAJ	VYBER	15	50536	SLUZBY	\N	\N
3253623	10807	1997-11-30	VYDAJ	VYBER	15	56855	SLUZBY	\N	\N
3253624	10807	1997-12-31	VYDAJ	VYBER	15	80053	SLUZBY	\N	\N
3253625	10807	1998-01-31	VYDAJ	VYBER	15	58822	SLUZBY	\N	\N
3253626	10807	1998-02-28	VYDAJ	VYBER	15	64796	SLUZBY	\N	\N
3253627	10807	1998-03-31	VYDAJ	VYBER	15	70008	SLUZBY	\N	\N
3253628	10807	1998-04-30	VYDAJ	VYBER	15	70337	SLUZBY	\N	\N
3253629	10807	1998-05-31	VYDAJ	VYBER	15	70062	SLUZBY	\N	\N
3253630	10807	1998-06-30	VYDAJ	VYBER	15	73320	SLUZBY	\N	\N
3253631	10807	1998-07-31	VYDAJ	VYBER	15	58259	SLUZBY	\N	\N
3253632	10807	1998-08-31	VYDAJ	VYBER	15	56269	SLUZBY	\N	\N
3253633	10807	1998-09-30	VYDAJ	VYBER	15	64582	SLUZBY	\N	\N
3253634	10807	1998-10-31	VYDAJ	VYBER	15	67259	SLUZBY	\N	\N
3253635	10807	1998-11-30	VYDAJ	VYBER	15	59679	SLUZBY	\N	\N
3253636	10807	1996-04-12	VYDAJ	VYBER	4300	30035	\N	\N	\N
3253637	10807	1996-05-12	VYDAJ	VYBER	22200	41649	\N	\N	\N
3253638	10807	1996-06-11	VYDAJ	VYBER	34400	58008	\N	\N	\N
3253639	10807	1996-07-11	VYDAJ	VYBER	36800	55162	\N	\N	\N
3253640	10807	1996-08-10	VYDAJ	VYBER	33300	50530	\N	\N	\N
3253641	10807	1996-09-09	VYDAJ	VYBER	34500	45078	\N	\N	\N
3253642	10807	1996-10-09	VYDAJ	VYBER	19500	43995	\N	\N	\N
3253643	10807	1996-11-08	VYDAJ	VYBER	26700	46574	\N	\N	\N
3253644	10807	1996-12-08	VYDAJ	VYBER	34700	57536	\N	\N	\N
3253645	10807	1997-01-07	VYDAJ	VYBER	29700	43160	\N	\N	\N
3253646	10807	1997-02-06	VYDAJ	VYBER	18200	35920	\N	\N	\N
3253647	10807	1997-03-08	VYDAJ	VYBER	21400	43097	\N	\N	\N
3253648	10807	1997-04-07	VYDAJ	VYBER	21300	44879	\N	\N	\N
3253649	10807	1997-05-07	VYDAJ	VYBER	27000	43147	\N	\N	\N
3253650	10807	1997-06-06	VYDAJ	VYBER	21900	48628	\N	\N	\N
3253651	10807	1997-07-06	VYDAJ	VYBER	20400	40541	\N	\N	\N
3253652	10807	1997-08-05	VYDAJ	VYBER	18200	38857	\N	\N	\N
3253653	10807	1997-09-04	PRIJEM	VKLAD	400	20528	\N	\N	\N
3253654	10807	1997-10-04	VYDAJ	VYBER	5800	26122	\N	\N	\N
3253655	10807	1997-11-03	VYDAJ	VYBER	8200	34536	\N	\N	\N
3253656	10807	1997-12-03	VYDAJ	VYBER	18800	38055	\N	\N	\N
3253657	10807	1998-01-02	VYDAJ	VYBER	24400	48153	\N	\N	\N
3253658	10807	1998-02-01	VYDAJ	VYBER	20000	38822	\N	\N	\N
3253659	10807	1998-03-03	VYDAJ	VYBER	21900	42896	\N	\N	\N
3253660	10807	1998-04-02	VYDAJ	VYBER	23100	46908	\N	\N	\N
3253661	10807	1998-05-02	VYDAJ	VYBER	19900	43537	\N	\N	\N
3253662	10807	1998-06-01	VYDAJ	VYBER	22700	47362	\N	\N	\N
3253663	10807	1998-07-01	VYDAJ	VYBER	19200	54120	\N	\N	\N
3253664	10807	1998-07-31	VYDAJ	VYBER	23400	58274	\N	\N	\N
3253665	10807	1998-08-30	VYDAJ	VYBER	19000	55994	\N	\N	\N
3253666	10807	1998-09-29	VYDAJ	VYBER	20400	64304	\N	\N	\N
3253667	10807	1998-10-29	VYDAJ	VYBER	26500	66917	\N	\N	\N
3253668	10807	1998-11-28	VYDAJ	VYBER	20600	59394	\N	\N	\N
3254829	10812	1997-04-08	PRIJEM	VKLAD	300	300	\N	\N	\N
3254831	10812	1997-11-20	PRIJEM	VKLAD	35892	56040	\N	\N	\N
3254833	10812	1997-07-14	PRIJEM	VKLAD	17344	40133	\N	\N	\N
3254837	10812	1997-10-03	PRIJEM	VKLAD	5304	95255	\N	\N	\N
3254839	10812	1997-06-30	PRIJEM	VKLAD	18784	50004	\N	\N	\N
3254841	10812	1997-07-28	PRIJEM	VKLAD	12717	63288	\N	\N	\N
3254842	10812	1997-08-23	PRIJEM	VKLAD	6071	97959	\N	\N	\N
3254843	10812	1997-06-08	PRIJEM	VKLAD	7575	39563	\N	\N	\N
3254844	10812	1997-07-16	PRIJEM	VKLAD	10438	50571	\N	\N	\N
3254845	10812	1997-08-10	PRIJEM	VKLAD	7699	68669	\N	\N	\N
3254847	10812	1997-09-14	PRIJEM	VKLAD	16071	92389	\N	\N	\N
3254848	10812	1997-06-21	PRIJEM	VKLAD	19093	58656	\N	\N	\N
3254849	10812	1997-09-10	PRIJEM	VKLAD	15322	76318	\N	\N	\N
3254851	10812	1997-06-01	PRIJEM	VKLAD	5006	47388	\N	\N	\N
3254852	10812	1997-12-08	PRIJEM	VKLAD	38734	71410	\N	\N	\N
3254853	10812	1997-05-10	PRIJEM	VKLAD	5109	42247	\N	\N	\N
3254855	10812	1997-08-23	PRIJEM	VKLAD	25819	91888	\N	\N	\N
3254856	10812	1997-07-29	PRIJEM	VKLAD	37305	100593	\N	\N	\N
3254857	10812	1997-05-03	PRIJEM	VKLAD	48538	48838	\N	\N	\N
3254859	10812	1998-02-23	PRIJEM	VKLAD	46090	99274	\N	\N	\N
3254860	10812	1998-06-24	PRIJEM	VKLAD	9398	39334	\N	\N	\N
3254861	10812	1998-10-19	PRIJEM	VKLAD	7974	15297	\N	\N	\N
3254862	10812	1998-03-01	PRIJEM	VKLAD	6955	81630	\N	\N	\N
3254863	10812	1998-02-07	PRIJEM	VKLAD	36371	56384	\N	\N	\N
3254864	10812	1998-02-26	PRIJEM	VKLAD	40972	140246	\N	\N	\N
3254865	10812	1998-06-18	PRIJEM	VKLAD	13575	29936	\N	\N	\N
3254866	10812	1998-04-07	PRIJEM	VKLAD	25232	41155	\N	\N	\N
3254873	10812	1997-07-04	VYDAJ	VYBER	2800	28789	\N	\N	0
3254874	10812	1997-08-15	VYDAJ	VYBER	2600	66069	\N	\N	0
3254875	10812	1997-09-15	VYDAJ	VYBER	2800	89589	\N	\N	0
3254876	10812	1997-10-19	VYDAJ	VYBER	2900	49855	\N	\N	0
3254877	10812	1997-11-16	VYDAJ	VYBER	3400	20148	\N	\N	0
3254878	10812	1997-12-09	VYDAJ	VYBER	2400	69010	\N	\N	0
3254879	10812	1998-01-06	VYDAJ	VYBER	3300	20527	\N	\N	0
3254880	10812	1998-02-11	VYDAJ	VYBER	3200	53184	\N	\N	0
3254881	10812	1998-03-10	VYDAJ	VYBER	2300	49030	\N	\N	0
3254882	10812	1998-04-06	VYDAJ	VYBER	3200	15923	\N	\N	0
3254883	10812	1998-05-03	VYDAJ	VYBER	3100	38200	\N	\N	0
3254884	10812	1998-06-12	VYDAJ	PREVOD NA UCET	2931	16361	UVER	IJ	5287313
3254885	10812	1998-07-12	VYDAJ	PREVOD NA UCET	2931	23903	UVER	IJ	5287313
3254886	10812	1998-08-12	VYDAJ	PREVOD NA UCET	2931	16980	UVER	IJ	5287313
3254887	10812	1998-09-12	VYDAJ	PREVOD NA UCET	2931	10214	UVER	IJ	5287313
3254888	10812	1998-10-12	VYDAJ	PREVOD NA UCET	2931	7323	UVER	IJ	5287313
3254889	10812	1998-11-12	VYDAJ	PREVOD NA UCET	2931	10502	UVER	IJ	5287313
3254890	10812	1998-12-12	VYDAJ	PREVOD NA UCET	2931	7611	UVER	IJ	5287313
3254891	10812	1997-10-23	VYBER	VYBER	20505	29350	\N	\N	\N
3254892	10812	1997-06-28	VYBER	VYBER	6609	31047	\N	\N	\N
3254893	10812	1997-07-02	VYBER	VYBER	6701	43289	\N	\N	\N
3254900	10812	1998-03-14	VYBER	VYBER	20160	28870	\N	\N	\N
3254904	10812	1998-01-04	VYBER	VYBER	13726	23827	\N	\N	\N
3254906	10812	1997-06-26	VYDAJ	VYBER	12900	37656	\N	\N	\N
3254910	10812	1997-12-18	VYDAJ	VYBER	4200	64810	\N	\N	\N
3254918	10812	1998-01-02	VYDAJ	VYBER	7800	57253	\N	\N	\N
3254924	10812	1997-06-22	VYDAJ	VYBER	8100	50556	\N	\N	\N
3254925	10812	1997-11-26	VYDAJ	VYBER	11100	44940	\N	\N	\N
3254928	10812	1997-07-03	VYDAJ	VYBER	11700	31589	\N	\N	\N
3254929	10812	1997-10-15	VYDAJ	VYBER	1800	52755	\N	\N	\N
3254941	10812	1997-06-30	VYDAJ	VYBER	15	49990	SLUZBY	\N	\N
3254942	10812	1997-07-31	VYDAJ	VYBER	15	100770	SLUZBY	\N	\N
3254943	10812	1997-08-31	VYDAJ	VYBER	15	98296	SLUZBY	\N	\N
3254944	10812	1997-09-30	VYDAJ	VYBER	15	89951	SLUZBY	\N	\N
3254945	10812	1997-10-31	VYDAJ	VYBER	15	29548	SLUZBY	\N	\N
3254946	10812	1997-11-30	VYDAJ	VYBER	15	45076	SLUZBY	\N	\N
3254947	10812	1997-12-31	VYDAJ	VYBER	15	65053	SLUZBY	\N	\N
3254948	10812	1998-01-31	VYDAJ	VYBER	15	20613	SLUZBY	\N	\N
3254949	10812	1998-02-28	VYDAJ	VYBER	15	105875	SLUZBY	\N	\N
3254950	10812	1998-03-31	VYDAJ	VYBER	15	29023	SLUZBY	\N	\N
3254951	10812	1998-04-30	VYDAJ	VYBER	15	41300	SLUZBY	\N	\N
3254952	10812	1998-05-31	VYDAJ	VYBER	15	24792	SLUZBY	\N	\N
3254953	10812	1998-06-30	VYDAJ	VYBER	15	39434	SLUZBY	\N	\N
3254954	10812	1998-07-31	VYDAJ	VYBER	15	24011	SLUZBY	\N	\N
3254955	10812	1998-08-31	VYDAJ	VYBER	15	17045	SLUZBY	\N	\N
3254956	10812	1998-09-30	VYDAJ	VYBER	15	10254	SLUZBY	\N	\N
3254957	10812	1998-10-31	VYDAJ	VYBER	15	13433	SLUZBY	\N	\N
3254958	10812	1998-11-30	VYDAJ	VYBER	15	10542	SLUZBY	\N	\N
3254959	10812	1997-05-08	VYDAJ	VYBER	11700	37138	\N	\N	\N
3254960	10812	1997-06-07	VYDAJ	VYBER	15400	31988	\N	\N	\N
3254961	10812	1997-07-07	VYDAJ	VYBER	6000	22789	\N	\N	\N
3254962	10812	1997-08-06	VYDAJ	VYBER	39800	60970	\N	\N	\N
3254963	10812	1997-09-05	VYDAJ	VYBER	37300	60996	\N	\N	\N
3254964	10812	1997-10-05	VYDAJ	VYBER	40700	54555	\N	\N	\N
3254965	10812	1997-11-04	VYDAJ	VYBER	6000	23548	\N	\N	\N
3254966	10812	1997-12-04	VYDAJ	VYBER	12400	32676	\N	\N	\N
3254967	10812	1998-01-03	VYDAJ	VYBER	19700	37553	\N	\N	\N
3254968	10812	1998-02-02	VYDAJ	VYBER	600	20013	\N	\N	\N
3254969	10812	1998-02-26	VYDAJ	VYBER	34600	105646	\N	\N	\N
3254970	10812	1998-02-28	VYDAJ	VYBER	31200	74675	\N	\N	\N
3254971	10812	1998-03-04	VYDAJ	VYBER	30300	51330	\N	\N	\N
3254972	10812	1998-04-03	VYDAJ	VYBER	9900	19123	\N	\N	\N
3254973	10812	1998-05-03	VYDAJ	VYBER	13500	24700	\N	\N	\N
3254974	10812	1998-06-02	VYDAJ	VYBER	5500	19292	\N	\N	\N
3254975	10812	1998-07-02	VYDAJ	VYBER	12600	26834	\N	\N	\N
3254976	10812	1998-08-01	VYDAJ	VYBER	4100	19911	\N	\N	\N
3254977	10812	1998-08-31	VYDAJ	VYBER	3900	13145	\N	\N	\N
3254978	10812	1998-10-30	VYDAJ	VYBER	1900	13397	\N	\N	\N
3268602	10857	1996-10-02	PRIJEM	VKLAD	700	700	\N	\N	\N
3268603	10857	1996-10-29	PRIJEM	VKLAD	16829	60819	\N	\N	\N
3268604	10857	1996-10-22	PRIJEM	VKLAD	43290	43990	\N	\N	\N
3268605	10857	1997-02-19	PRIJEM	VKLAD	24959	44906	\N	\N	\N
3268606	10857	1997-12-01	PRIJEM	VKLAD	41908	39776	\N	\N	\N
3268607	10857	1997-04-13	PRIJEM	VKLAD	43502	65866	\N	\N	\N
3268608	10857	1997-11-10	PRIJEM	VKLAD	26877	30815	\N	\N	\N
3268609	10857	1997-05-25	PRIJEM	VKLAD	26020	65275	\N	\N	\N
3268610	10857	1997-09-15	PRIJEM	VKLAD	29700	47310	\N	\N	\N
3268611	10857	1997-06-08	PRIJEM	VKLAD	7860	46339	\N	\N	\N
3268612	10857	1997-09-10	PRIJEM	VKLAD	14115	17610	\N	\N	\N
3268613	10857	1998-06-04	PRIJEM	VKLAD	9129	18563	\N	\N	\N
3268614	10857	1998-09-27	PRIJEM	VKLAD	36518	57816	\N	\N	\N
3268615	10857	1998-07-19	PRIJEM	VKLAD	47483	39062	\N	\N	\N
3268616	10857	1998-11-20	PRIJEM	VKLAD	28841	64108	\N	\N	\N
3268617	10857	1998-02-07	PRIJEM	VKLAD	42659	61252	\N	\N	\N
3268618	10857	1998-10-24	PRIJEM	VKLAD	23862	64108	\N	\N	\N
3268619	10857	1998-11-16	PRIJEM	VKLAD	28720	35267	\N	\N	\N
3268620	10857	1998-10-08	PRIJEM	VKLAD	41249	86317	\N	\N	\N
3268621	10857	1998-04-05	PRIJEM	VKLAD	30803	16970	\N	\N	\N
3268622	10857	1998-05-10	PRIJEM	VKLAD	20383	15817	\N	\N	\N
3268623	10857	1998-10-23	PRIJEM	VKLAD	26456	40246	\N	\N	\N
3268624	10857	1998-09-25	PRIJEM	VKLAD	12308	21298	\N	\N	\N
3268625	10857	1998-02-01	PRIJEM	VKLAD	8211	18593	\N	\N	\N
3268626	10857	1998-01-27	PRIJEM	VKLAD	22939	23041	\N	\N	\N
3268627	10857	1998-09-24	PRIJEM	VKLAD	12413	8990	\N	\N	\N
3268645	10857	1997-06-14	VYDAJ	VYBER	6900	29639	\N	\N	0
3268648	10857	1997-09-15	VYDAJ	VYBER	7500	39810	\N	\N	0
3268649	10857	1997-10-09	VYDAJ	VYBER	6600	3909	\N	\N	0
3268650	10857	1997-11-18	VYDAJ	VYBER	7600	23215	\N	\N	0
3268651	10857	1997-12-12	VYDAJ	PREVOD NA UCET	6426	31550	UVER	UV	47286009
3268653	10857	1998-02-12	VYDAJ	PREVOD NA UCET	6426	54825	UVER	UV	47286009
3268655	10857	1998-04-12	VYDAJ	PREVOD NA UCET	6426	5318	UVER	UV	47286009
3268656	10857	1998-05-12	VYDAJ	PREVOD NA UCET	6426	9391	UVER	UV	47286009
3268657	10857	1998-06-12	VYDAJ	PREVOD NA UCET	6426	12137	UVER	UV	47286009
3268658	10857	1998-07-12	VYDAJ	PREVOD NA UCET	6426	-8422	UVER	UV	47286009
3268659	10857	1998-08-12	VYDAJ	PREVOD NA UCET	6426	23009	UVER	UV	47286009
3268660	10857	1998-09-12	VYDAJ	PREVOD NA UCET	6426	-3423	UVER	UV	47286009
3268661	10857	1998-10-12	VYDAJ	PREVOD NA UCET	6426	70290	UVER	UV	47286009
3268662	10857	1998-11-12	VYDAJ	PREVOD NA UCET	6426	6547	UVER	UV	47286009
3268663	10857	1998-12-12	VYDAJ	PREVOD NA UCET	6426	-5303	UVER	UV	47286009
3268681	10857	1997-06-12	VYDAJ	VYBER	9800	36539	SIPO	\N	0
3268682	10857	1997-06-25	VYDAJ	VYBER	12100	17539	SIPO	\N	0
3268685	10857	1997-10-05	VYDAJ	VYBER	12000	10509	SIPO	\N	0
3268687	10857	1997-11-30	VYDAJ	VYBER	12600	-2131	SIPO	\N	0
3268688	10857	1998-01-10	VYDAJ	VYBER	12200	102	SIPO	\N	0
3268689	10857	1998-01-28	VYDAJ	VYBER	12700	10341	SIPO	\N	0
3268690	10857	1998-03-06	VYDAJ	VYBER	12800	283	SIPO	\N	0
3268691	10857	1998-03-31	VYDAJ	VYBER	14200	-13818	SIPO	\N	0
3268692	10857	1998-05-08	VYDAJ	VYBER	9900	-4566	SIPO	\N	0
3268693	10857	1998-06-13	VYDAJ	VYBER	14100	-1963	SIPO	\N	0
3268695	10857	1998-07-27	VYDAJ	VYBER	9700	29362	SIPO	\N	0
3268696	10857	1998-09-10	VYDAJ	VYBER	10900	3004	SIPO	\N	0
3268697	10857	1998-09-28	VYDAJ	VYBER	12800	45016	SIPO	\N	0
3268698	10857	1998-11-08	VYDAJ	VYBER	11400	12974	SIPO	\N	0
3268699	10857	1998-11-25	VYDAJ	VYBER	10000	1008	SIPO	\N	0
3268717	10857	1998-11-03	VYBER	VYBER	21322	24374	\N	\N	\N
3268718	10857	1998-04-09	VYBER	VYBER	5226	11744	\N	\N	\N
3268720	10857	1998-02-24	VYBER	VYBER	16053	38772	\N	\N	\N
3268721	10857	1998-10-31	VYBER	VYBER	18804	45710	\N	\N	\N
3268729	10857	1997-12-08	VYDAJ	VYBER	1800	37976	\N	\N	\N
3268756	10857	1998-08-25	VYDAJ	VYBER	9300	13709	\N	\N	\N
3268757	10857	1998-10-11	VYDAJ	VYBER	9600	76717	\N	\N	\N
3268777	10857	1997-05-31	VYDAJ	VYBER	15	38479	SLUZBY	\N	\N
3268778	10857	1997-06-30	VYDAJ	VYBER	15	3511	SLUZBY	\N	\N
3268779	10857	1997-07-31	VYDAJ	VYBER	15	3509	SLUZBY	\N	\N
3268780	10857	1997-08-31	VYDAJ	VYBER	15	3495	SLUZBY	\N	\N
3268781	10857	1997-09-30	VYDAJ	VYBER	15	22509	SLUZBY	\N	\N
3268782	10857	1997-10-31	VYDAJ	VYBER	15	3938	SLUZBY	\N	\N
3268783	10857	1997-11-30	VYDAJ	VYBER	15	10469	SLUZBY	\N	\N
3268784	10857	1997-12-31	VYDAJ	VYBER	15	12308	SLUZBY	\N	\N
3268785	10857	1998-01-31	VYDAJ	VYBER	15	10382	SLUZBY	\N	\N
3268786	10857	1998-02-28	VYDAJ	VYBER	15	13083	SLUZBY	\N	\N
3268787	10857	1998-03-31	VYDAJ	VYBER	15	-13833	SLUZBY	\N	\N
3268788	10857	1998-04-30	VYDAJ	VYBER	15	5335	SLUZBY	\N	\N
3268789	10857	1998-05-31	VYDAJ	VYBER	15	9434	SLUZBY	\N	\N
3268790	10857	1998-06-30	VYDAJ	VYBER	15	-1995	SLUZBY	\N	\N
3268791	10857	1998-07-31	VYDAJ	VYBER	15	29452	SLUZBY	\N	\N
3268792	10857	1998-08-31	VYDAJ	VYBER	15	13904	SLUZBY	\N	\N
3268793	10857	1998-09-30	VYDAJ	VYBER	15	45085	SLUZBY	\N	\N
3268794	10857	1998-10-31	VYDAJ	VYBER	15	45696	SLUZBY	\N	\N
3268795	10857	1998-11-30	VYDAJ	VYBER	15	1124	SLUZBY	\N	\N
3268796	10857	1996-11-01	VYDAJ	VYBER	20400	40543	\N	\N	\N
3268797	10857	1996-12-01	VYDAJ	VYBER	13100	27696	\N	\N	\N
3268798	10857	1996-12-31	VYDAJ	VYBER	6800	21147	\N	\N	\N
3268799	10857	1997-01-30	VYDAJ	VYBER	1200	19947	\N	\N	\N
3268800	10857	1997-03-01	VYDAJ	VYBER	16100	29173	\N	\N	\N
3268801	10857	1997-03-31	VYDAJ	VYBER	6900	22364	\N	\N	\N
3268802	10857	1997-04-30	VYDAJ	VYBER	26800	39255	\N	\N	\N
3268803	10857	1997-05-30	VYDAJ	VYBER	27100	38175	\N	\N	\N
3268804	10857	1997-06-29	VYDAJ	VYBER	14200	3339	\N	\N	\N
3268805	10857	1997-09-27	VYDAJ	VYBER	17500	22310	\N	\N	\N
3268806	10857	1997-11-26	VYDAJ	VYBER	12800	10415	\N	\N	\N
3268807	10857	1997-12-26	VYDAJ	VYBER	19400	12150	\N	\N	\N
3268808	10857	1998-02-24	VYDAJ	VYBER	26000	12772	\N	\N	\N
3268809	10857	1998-10-22	VYDAJ	VYBER	56500	13790	\N	\N	\N
3268810	10857	1998-11-21	VYDAJ	VYBER	53100	11008	\N	\N	\N
3276122	10884	1995-02-20	PRIJEM	VKLAD	700	700	\N	\N	\N
3276125	10884	1995-03-14	PRIJEM	PREVOD Z UCTU	18924	19624	\N	OP	24960416
3276126	10884	1995-04-14	PRIJEM	PREVOD Z UCTU	18924	40677	\N	OP	24960416
3276127	10884	1995-05-14	PRIJEM	PREVOD Z UCTU	18924	53910	\N	OP	24960416
3276128	10884	1995-06-14	PRIJEM	PREVOD Z UCTU	28386	68048	\N	OP	24960416
3276129	10884	1995-07-14	PRIJEM	PREVOD Z UCTU	18924	66248	\N	OP	24960416
3276130	10884	1995-08-14	PRIJEM	PREVOD Z UCTU	18924	56824	\N	OP	24960416
3276131	10884	1995-09-14	PRIJEM	PREVOD Z UCTU	18924	42078	\N	OP	24960416
3276132	10884	1995-10-14	PRIJEM	PREVOD Z UCTU	18924	46491	\N	OP	24960416
3276133	10884	1995-11-14	PRIJEM	PREVOD Z UCTU	18924	52022	\N	OP	24960416
3276134	10884	1995-12-14	PRIJEM	PREVOD Z UCTU	28386	45490	\N	OP	24960416
3276135	10884	1996-01-14	PRIJEM	PREVOD Z UCTU	18924	36227	\N	OP	24960416
3276136	10884	1996-02-14	PRIJEM	PREVOD Z UCTU	18924	32311	\N	OP	24960416
3276137	10884	1996-03-14	PRIJEM	PREVOD Z UCTU	18924	44446	\N	OP	24960416
3276138	10884	1996-04-14	PRIJEM	PREVOD Z UCTU	18924	40611	\N	OP	24960416
3276139	10884	1996-05-14	PRIJEM	PREVOD Z UCTU	18924	37575	\N	OP	24960416
3276140	10884	1996-06-14	PRIJEM	PREVOD Z UCTU	28386	48399	\N	OP	24960416
3276141	10884	1996-07-14	PRIJEM	PREVOD Z UCTU	18924	46181	\N	OP	24960416
3276142	10884	1996-08-14	PRIJEM	PREVOD Z UCTU	18924	52971	\N	OP	24960416
3276143	10884	1996-09-14	PRIJEM	PREVOD Z UCTU	18924	60690	\N	OP	24960416
3276144	10884	1996-10-14	PRIJEM	PREVOD Z UCTU	18924	60645	\N	OP	24960416
3276145	10884	1996-11-14	PRIJEM	PREVOD Z UCTU	18924	57101	\N	OP	24960416
3276146	10884	1996-12-14	PRIJEM	PREVOD Z UCTU	28386	57202	\N	OP	24960416
3276147	10884	1997-01-14	PRIJEM	PREVOD Z UCTU	18924	55339	\N	OP	24960416
3276148	10884	1997-02-14	PRIJEM	PREVOD Z UCTU	18924	51262	\N	OP	24960416
3276149	10884	1997-03-14	PRIJEM	PREVOD Z UCTU	18924	57572	\N	OP	24960416
3276150	10884	1997-04-14	PRIJEM	PREVOD Z UCTU	18924	43580	\N	OP	24960416
3276151	10884	1997-05-14	PRIJEM	PREVOD Z UCTU	18924	56047	\N	OP	24960416
3276152	10884	1997-06-14	PRIJEM	PREVOD Z UCTU	28386	62725	\N	OP	24960416
3276153	10884	1997-07-14	PRIJEM	PREVOD Z UCTU	18924	40793	\N	OP	24960416
3276154	10884	1997-08-14	PRIJEM	PREVOD Z UCTU	18924	53054	\N	OP	24960416
3276155	10884	1997-09-14	PRIJEM	PREVOD Z UCTU	18924	61772	\N	OP	24960416
3276156	10884	1997-10-14	PRIJEM	PREVOD Z UCTU	18924	62624	\N	OP	24960416
3276157	10884	1997-11-14	PRIJEM	PREVOD Z UCTU	18924	63360	\N	OP	24960416
3276158	10884	1997-12-14	PRIJEM	PREVOD Z UCTU	28386	75781	\N	OP	24960416
3276159	10884	1998-01-14	PRIJEM	PREVOD Z UCTU	18924	52794	\N	OP	24960416
3276160	10884	1998-02-14	PRIJEM	PREVOD Z UCTU	18924	44706	\N	OP	24960416
3276161	10884	1998-03-14	PRIJEM	PREVOD Z UCTU	18924	59923	\N	OP	24960416
3276162	10884	1998-04-14	PRIJEM	PREVOD Z UCTU	18924	67554	\N	OP	24960416
3276163	10884	1998-05-14	PRIJEM	PREVOD Z UCTU	18924	88114	\N	OP	24960416
3276164	10884	1998-06-14	PRIJEM	PREVOD Z UCTU	28386	87656	\N	OP	24960416
3276165	10884	1998-07-14	PRIJEM	PREVOD Z UCTU	18924	55861	\N	OP	24960416
3276166	10884	1998-08-14	PRIJEM	PREVOD Z UCTU	18924	81574	\N	OP	24960416
3276167	10884	1998-09-14	PRIJEM	PREVOD Z UCTU	18924	99289	\N	OP	24960416
3276168	10884	1998-10-14	PRIJEM	PREVOD Z UCTU	18924	88216	\N	OP	24960416
3276169	10884	1998-11-14	PRIJEM	PREVOD Z UCTU	18924	90094	\N	OP	24960416
3276170	10884	1998-12-14	PRIJEM	PREVOD Z UCTU	28386	88137	\N	OP	24960416
3276178	10884	1995-08-21	VYDAJ	VYBER	3700	40424	\N	\N	0
3276179	10884	1995-09-19	VYDAJ	VYBER	2800	35878	\N	\N	0
3276180	10884	1995-10-08	VYDAJ	VYBER	2700	33301	\N	\N	0
3276181	10884	1995-11-16	VYDAJ	VYBER	2500	49522	\N	\N	0
3276182	10884	1995-12-19	VYDAJ	VYBER	3400	30490	\N	\N	0
3276183	10884	1996-01-11	VYDAJ	VYBER	2400	17303	\N	\N	0
3276184	10884	1996-02-08	VYDAJ	VYBER	2900	17795	\N	\N	0
3276185	10884	1996-03-12	VYDAJ	PREVOD NA UCET	3154	25522	UVER	IJ	46969729
3276186	10884	1996-04-12	VYDAJ	PREVOD NA UCET	3154	21687	UVER	IJ	46969729
3276187	10884	1996-05-12	VYDAJ	PREVOD NA UCET	3154	18651	UVER	IJ	46969729
3276188	10884	1996-06-12	VYDAJ	PREVOD NA UCET	3154	20013	UVER	IJ	46969729
3276189	10884	1996-07-12	VYDAJ	PREVOD NA UCET	3154	27257	UVER	IJ	46969729
3276190	10884	1996-08-12	VYDAJ	PREVOD NA UCET	3154	33547	UVER	IJ	46969729
3276191	10884	1996-09-12	VYDAJ	PREVOD NA UCET	3154	44266	UVER	IJ	46969729
3276192	10884	1996-10-12	VYDAJ	PREVOD NA UCET	3154	41721	UVER	IJ	46969729
3276193	10884	1996-11-12	VYDAJ	PREVOD NA UCET	3154	38177	UVER	IJ	46969729
3276194	10884	1996-12-12	VYDAJ	PREVOD NA UCET	3154	28816	UVER	IJ	46969729
3276195	10884	1997-01-12	VYDAJ	PREVOD NA UCET	3154	36415	UVER	IJ	46969729
3276196	10884	1997-02-12	VYDAJ	PREVOD NA UCET	3154	32338	UVER	IJ	46969729
3276197	10884	1997-03-12	VYDAJ	PREVOD NA UCET	3154	38648	UVER	IJ	46969729
3276198	10884	1997-04-12	VYDAJ	PREVOD NA UCET	3154	24656	UVER	IJ	46969729
3276199	10884	1997-05-12	VYDAJ	PREVOD NA UCET	3154	37123	UVER	IJ	46969729
3276200	10884	1997-06-12	VYDAJ	PREVOD NA UCET	3154	34339	UVER	IJ	46969729
3276201	10884	1997-07-12	VYDAJ	PREVOD NA UCET	3154	21869	UVER	IJ	46969729
3276202	10884	1997-08-12	VYDAJ	PREVOD NA UCET	3154	34130	UVER	IJ	46969729
3276203	10884	1997-09-12	VYDAJ	PREVOD NA UCET	3154	42848	UVER	IJ	46969729
3276204	10884	1997-10-12	VYDAJ	PREVOD NA UCET	3154	43700	UVER	IJ	46969729
3276205	10884	1997-11-12	VYDAJ	PREVOD NA UCET	3154	44436	UVER	IJ	46969729
3276206	10884	1997-12-12	VYDAJ	PREVOD NA UCET	3154	47395	UVER	IJ	46969729
3276207	10884	1998-01-12	VYDAJ	PREVOD NA UCET	3154	33870	UVER	IJ	46969729
3276208	10884	1998-02-12	VYDAJ	PREVOD NA UCET	3154	25782	UVER	IJ	46969729
3276209	10884	1998-03-12	VYDAJ	PREVOD NA UCET	3154	47677	UVER	IJ	46969729
3276210	10884	1998-04-12	VYDAJ	PREVOD NA UCET	3154	48630	UVER	IJ	46969729
3276211	10884	1998-05-12	VYDAJ	PREVOD NA UCET	3154	69190	UVER	IJ	46969729
3276212	10884	1998-06-12	VYDAJ	PREVOD NA UCET	3154	59270	UVER	IJ	46969729
3276213	10884	1998-07-12	VYDAJ	PREVOD NA UCET	3154	48937	UVER	IJ	46969729
3276214	10884	1998-08-12	VYDAJ	PREVOD NA UCET	3154	62650	UVER	IJ	46969729
3276215	10884	1998-09-12	VYDAJ	PREVOD NA UCET	3154	80365	UVER	IJ	46969729
3276216	10884	1998-10-12	VYDAJ	PREVOD NA UCET	3154	69292	UVER	IJ	46969729
3276217	10884	1998-11-12	VYDAJ	PREVOD NA UCET	3154	71170	UVER	IJ	46969729
3276218	10884	1998-12-12	VYDAJ	PREVOD NA UCET	3154	59751	UVER	IJ	46969729
3276226	10884	1995-08-08	VYDAJ	PREVOD NA UCET	1326	42308	SIPO	EF	72628474
3276227	10884	1995-09-08	VYDAJ	PREVOD NA UCET	1326	27562	SIPO	EF	72628474
3276228	10884	1995-10-08	VYDAJ	PREVOD NA UCET	1326	31975	SIPO	EF	72628474
3276229	10884	1995-11-08	VYDAJ	PREVOD NA UCET	1326	37506	SIPO	EF	72628474
3276230	10884	1995-12-08	VYDAJ	PREVOD NA UCET	1326	21512	SIPO	EF	72628474
3276231	10884	1996-01-08	VYDAJ	PREVOD NA UCET	1326	24111	SIPO	EF	72628474
3276232	10884	1996-02-08	VYDAJ	PREVOD NA UCET	1326	20695	SIPO	EF	72628474
3276233	10884	1996-03-08	VYDAJ	PREVOD NA UCET	1326	33084	SIPO	EF	72628474
3276234	10884	1996-04-08	VYDAJ	PREVOD NA UCET	1326	29249	SIPO	EF	72628474
3276235	10884	1996-05-08	VYDAJ	PREVOD NA UCET	1326	26213	SIPO	EF	72628474
3276236	10884	1996-06-08	VYDAJ	PREVOD NA UCET	1326	27575	SIPO	EF	72628474
3276237	10884	1996-07-08	VYDAJ	PREVOD NA UCET	1326	34819	SIPO	EF	72628474
3276238	10884	1996-08-08	VYDAJ	PREVOD NA UCET	1326	41109	SIPO	EF	72628474
3276239	10884	1996-09-08	VYDAJ	PREVOD NA UCET	1326	51828	SIPO	EF	72628474
3276240	10884	1996-10-08	VYDAJ	PREVOD NA UCET	1326	49983	SIPO	EF	72628474
3276241	10884	1996-11-08	VYDAJ	PREVOD NA UCET	1326	53239	SIPO	EF	72628474
3276242	10884	1996-12-08	VYDAJ	PREVOD NA UCET	1326	38478	SIPO	EF	72628474
3276243	10884	1997-01-08	VYDAJ	PREVOD NA UCET	1326	53677	SIPO	EF	72628474
3276244	10884	1997-02-08	VYDAJ	PREVOD NA UCET	1326	39800	SIPO	EF	72628474
3276245	10884	1997-03-08	VYDAJ	PREVOD NA UCET	1326	50110	SIPO	EF	72628474
3276246	10884	1997-04-08	VYDAJ	PREVOD NA UCET	1326	21918	SIPO	EF	72628474
3276247	10884	1997-05-08	VYDAJ	PREVOD NA UCET	1326	42385	SIPO	EF	72628474
3276248	10884	1997-06-08	VYDAJ	PREVOD NA UCET	1326	44701	SIPO	EF	72628474
3276249	10884	1997-07-08	VYDAJ	PREVOD NA UCET	1326	22531	SIPO	EF	72628474
3276250	10884	1997-08-08	VYDAJ	PREVOD NA UCET	1326	41692	SIPO	EF	72628474
3276251	10884	1997-09-08	VYDAJ	PREVOD NA UCET	1326	50410	SIPO	EF	72628474
3276252	10884	1997-10-08	VYDAJ	PREVOD NA UCET	1326	51262	SIPO	EF	72628474
3276253	10884	1997-11-08	VYDAJ	PREVOD NA UCET	1326	51998	SIPO	EF	72628474
3276254	10884	1997-12-08	VYDAJ	PREVOD NA UCET	1326	54957	SIPO	EF	72628474
3276255	10884	1998-01-08	VYDAJ	PREVOD NA UCET	1326	56132	SIPO	EF	72628474
3276256	10884	1998-02-08	VYDAJ	PREVOD NA UCET	1326	33344	SIPO	EF	72628474
3276257	10884	1998-03-08	VYDAJ	PREVOD NA UCET	1326	58239	SIPO	EF	72628474
3276258	10884	1998-04-08	VYDAJ	PREVOD NA UCET	1326	56192	SIPO	EF	72628474
3276259	10884	1998-05-08	VYDAJ	PREVOD NA UCET	1326	76752	SIPO	EF	72628474
3276260	10884	1998-06-08	VYDAJ	PREVOD NA UCET	1326	66832	SIPO	EF	72628474
3276261	10884	1998-07-08	VYDAJ	PREVOD NA UCET	1326	56499	SIPO	EF	72628474
3276262	10884	1998-08-08	VYDAJ	PREVOD NA UCET	1326	70212	SIPO	EF	72628474
3276263	10884	1998-09-08	VYDAJ	PREVOD NA UCET	1326	87927	SIPO	EF	72628474
3276264	10884	1998-10-08	VYDAJ	PREVOD NA UCET	1326	76854	SIPO	EF	72628474
3276265	10884	1998-11-08	VYDAJ	PREVOD NA UCET	1326	78732	SIPO	EF	72628474
3276266	10884	1998-12-08	VYDAJ	PREVOD NA UCET	1326	67313	SIPO	EF	72628474
3276274	10884	1995-08-10	VYDAJ	PREVOD NA UCET	4408	37900	 	QR	42624378
3276275	10884	1995-09-10	VYDAJ	PREVOD NA UCET	4408	23154	 	QR	42624378
3276276	10884	1995-10-10	VYDAJ	PREVOD NA UCET	4408	27567	 	QR	42624378
3276277	10884	1995-11-10	VYDAJ	PREVOD NA UCET	4408	33098	 	QR	42624378
3276278	10884	1995-12-10	VYDAJ	PREVOD NA UCET	4408	17104	 	QR	42624378
3276279	10884	1996-01-10	VYDAJ	PREVOD NA UCET	4408	19703	 	QR	42624378
3276280	10884	1996-02-10	VYDAJ	PREVOD NA UCET	4408	13387	 	QR	42624378
3276281	10884	1996-03-10	VYDAJ	PREVOD NA UCET	4408	28676	 	QR	42624378
3276282	10884	1996-04-10	VYDAJ	PREVOD NA UCET	4408	24841	 	QR	42624378
3276283	10884	1996-05-10	VYDAJ	PREVOD NA UCET	4408	21805	 	QR	42624378
3276284	10884	1996-06-10	VYDAJ	PREVOD NA UCET	4408	23167	 	QR	42624378
3276285	10884	1996-07-10	VYDAJ	PREVOD NA UCET	4408	30411	 	QR	42624378
3276286	10884	1996-08-10	VYDAJ	PREVOD NA UCET	4408	36701	 	QR	42624378
3276287	10884	1996-09-10	VYDAJ	PREVOD NA UCET	4408	47420	 	QR	42624378
3276288	10884	1996-10-10	VYDAJ	PREVOD NA UCET	4408	45575	 	QR	42624378
3276289	10884	1996-11-10	VYDAJ	PREVOD NA UCET	4408	48831	 	QR	42624378
3276290	10884	1996-12-10	VYDAJ	PREVOD NA UCET	4408	34070	 	QR	42624378
3276291	10884	1997-01-10	VYDAJ	PREVOD NA UCET	4408	39569	 	QR	42624378
3276292	10884	1997-02-10	VYDAJ	PREVOD NA UCET	4408	35492	 	QR	42624378
3276293	10884	1997-03-10	VYDAJ	PREVOD NA UCET	4408	45702	 	QR	42624378
3276294	10884	1997-04-10	VYDAJ	PREVOD NA UCET	4408	27810	 	QR	42624378
3276295	10884	1997-05-10	VYDAJ	PREVOD NA UCET	4408	40277	 	QR	42624378
3276296	10884	1997-06-10	VYDAJ	PREVOD NA UCET	4408	37493	 	QR	42624378
3276297	10884	1997-07-10	VYDAJ	PREVOD NA UCET	4408	25023	 	QR	42624378
3276298	10884	1997-08-10	VYDAJ	PREVOD NA UCET	4408	37284	 	QR	42624378
3276299	10884	1997-09-10	VYDAJ	PREVOD NA UCET	4408	46002	 	QR	42624378
3276300	10884	1997-10-10	VYDAJ	PREVOD NA UCET	4408	46854	 	QR	42624378
3276301	10884	1997-11-10	VYDAJ	PREVOD NA UCET	4408	47590	 	QR	42624378
3276302	10884	1997-12-10	VYDAJ	PREVOD NA UCET	4408	50549	 	QR	42624378
3276303	10884	1998-01-10	VYDAJ	PREVOD NA UCET	4408	51724	 	QR	42624378
3276304	10884	1998-02-10	VYDAJ	PREVOD NA UCET	4408	28936	 	QR	42624378
3276305	10884	1998-03-10	VYDAJ	PREVOD NA UCET	4408	53831	 	QR	42624378
3276306	10884	1998-04-10	VYDAJ	PREVOD NA UCET	4408	51784	 	QR	42624378
3276307	10884	1998-05-10	VYDAJ	PREVOD NA UCET	4408	72344	 	QR	42624378
3276308	10884	1998-06-10	VYDAJ	PREVOD NA UCET	4408	62424	 	QR	42624378
3276309	10884	1998-07-10	VYDAJ	PREVOD NA UCET	4408	52091	 	QR	42624378
3276310	10884	1998-08-10	VYDAJ	PREVOD NA UCET	4408	65804	 	QR	42624378
3276311	10884	1998-09-10	VYDAJ	PREVOD NA UCET	4408	83519	 	QR	42624378
3276312	10884	1998-10-10	VYDAJ	PREVOD NA UCET	4408	72446	 	QR	42624378
3276313	10884	1998-11-10	VYDAJ	PREVOD NA UCET	4408	74324	 	QR	42624378
3276314	10884	1998-12-10	VYDAJ	PREVOD NA UCET	4408	62905	 	QR	42624378
3276315	10884	1995-11-22	VYBER	VYBER	17714	22708	\N	\N	\N
3276319	10884	1995-12-25	VYBER	VYBER	3051	27439	\N	\N	\N
3276323	10884	1996-12-05	VYBER	VYBER	9708	47604	\N	\N	\N
3276324	10884	1997-12-22	VYBER	VYBER	11259	64522	\N	\N	\N
3276326	10884	1997-03-27	VYBER	VYBER	10924	23075	\N	\N	\N
3276328	10884	1997-10-14	VYBER	VYBER	10531	52093	\N	\N	\N
3276329	10884	1997-03-22	VYBER	VYBER	23573	33999	\N	\N	\N
3276330	10884	1997-06-05	VYBER	VYBER	10213	46027	\N	\N	\N
3276332	10884	1997-11-02	VYBER	VYBER	3293	49024	\N	\N	\N
3276333	10884	1998-03-18	VYBER	VYBER	5056	38850	\N	\N	\N
3276334	10884	1998-03-16	VYBER	VYBER	16017	43906	\N	\N	\N
3276337	10884	1998-09-24	VYBER	VYBER	12864	65861	\N	\N	\N
3276338	10884	1998-02-08	VYBER	VYBER	23331	34670	\N	\N	\N
3276339	10884	1998-03-13	VYBER	VYBER	6678	40999	\N	\N	\N
3276340	10884	1998-11-23	VYBER	VYBER	20545	64957	\N	\N	\N
3276341	10884	1998-09-19	VYBER	VYBER	20564	78725	\N	\N	\N
3276342	10884	1998-05-15	VYBER	VYBER	13144	74970	\N	\N	\N
3276343	10884	1998-11-15	VYBER	VYBER	4592	85502	\N	\N	\N
3276344	10884	1998-10-29	VYBER	VYBER	3140	85076	\N	\N	\N
3276345	10884	1998-06-28	VYBER	VYBER	14242	27514	\N	\N	\N
3276346	10884	1998-10-29	VYBER	VYBER	21225	63851	\N	\N	\N
3276349	10884	1997-06-15	VYDAJ	VYBER	39000	23725	\N	\N	\N
3276350	10884	1998-06-16	VYDAJ	VYBER	45900	41756	\N	\N	\N
3276352	10884	1996-12-07	VYDAJ	VYBER	7800	39804	\N	\N	\N
3276353	10884	1997-12-27	VYDAJ	VYBER	4500	60022	\N	\N	\N
3276354	10884	1998-12-23	VYDAJ	VYBER	3600	84537	\N	\N	\N
3276361	10884	1996-01-16	VYDAJ	VYBER	6900	32427	\N	\N	\N
3276364	10884	1996-01-20	VYDAJ	VYBER	2700	21927	\N	\N	\N
3276365	10884	1996-01-06	VYDAJ	VYBER	2100	25437	\N	\N	\N
3276366	10884	1996-01-16	VYDAJ	VYBER	7800	24627	\N	\N	\N
3276367	10884	1997-01-17	VYDAJ	VYBER	3600	51739	\N	\N	\N
3276368	10884	1997-01-25	VYDAJ	VYBER	2400	40939	\N	\N	\N
3276369	10884	1997-01-05	VYDAJ	VYBER	2400	55003	\N	\N	\N
3276370	10884	1997-01-24	VYDAJ	VYBER	3300	43339	\N	\N	\N
3276371	10884	1997-01-19	VYDAJ	VYBER	5100	46639	\N	\N	\N
3276372	10884	1997-01-10	VYDAJ	VYBER	5100	48577	\N	\N	\N
3276373	10884	1998-01-30	VYDAJ	VYBER	2400	50394	\N	\N	\N
3276374	10884	1998-01-12	VYDAJ	VYBER	7800	43924	\N	\N	\N
3276375	10884	1998-01-03	VYDAJ	VYBER	8100	52158	\N	\N	\N
3276376	10884	1998-01-12	VYDAJ	VYBER	6900	37024	\N	\N	\N
3276377	10884	1998-01-08	VYDAJ	VYBER	1800	57458	\N	\N	\N
3276378	10884	1998-01-30	VYDAJ	VYBER	3300	47094	\N	\N	\N
3276381	10884	1995-08-06	VYDAJ	VYBER	6000	43634	\N	\N	\N
3276383	10884	1995-12-16	VYDAJ	VYBER	12900	32590	\N	\N	\N
3276385	10884	1995-08-26	VYDAJ	VYBER	11700	28724	\N	\N	\N
3276386	10884	1996-10-05	VYDAJ	VYBER	9600	51309	\N	\N	\N
3276387	10884	1996-07-01	VYDAJ	VYBER	7500	36145	\N	\N	\N
3276388	10884	1996-05-31	VYDAJ	VYBER	6900	28901	\N	\N	\N
3276389	10884	1996-03-22	VYDAJ	VYBER	12600	30446	\N	\N	\N
3276390	10884	1996-10-25	VYDAJ	VYBER	6300	54345	\N	\N	\N
3276391	10884	1996-05-01	VYDAJ	VYBER	11400	27539	\N	\N	\N
3276392	10884	1997-11-14	VYDAJ	VYBER	13800	49560	\N	\N	\N
3276393	10884	1997-09-27	VYDAJ	VYBER	6300	55472	\N	\N	\N
3276394	10884	1998-07-13	VYDAJ	VYBER	12000	36937	\N	\N	\N
3276395	10884	1998-03-10	VYDAJ	VYBER	3000	50831	\N	\N	\N
3276396	10884	1998-07-24	VYDAJ	VYBER	6900	48961	\N	\N	\N
3276397	10884	1998-12-24	VYDAJ	VYBER	1500	83037	\N	\N	\N
3276398	10884	1998-11-30	VYDAJ	VYBER	12600	39139	\N	\N	\N
3276399	10884	1998-06-06	VYDAJ	VYBER	13800	68158	\N	\N	\N
3276400	10884	1998-11-30	VYDAJ	VYBER	13500	51754	\N	\N	\N
3276408	10884	1995-07-31	VYDAJ	VYBER	15	49634	SLUZBY	\N	\N
3276409	10884	1995-08-31	VYDAJ	VYBER	15	28888	SLUZBY	\N	\N
3276410	10884	1995-09-30	VYDAJ	VYBER	15	36001	SLUZBY	\N	\N
3276411	10884	1995-10-31	VYDAJ	VYBER	15	38832	SLUZBY	\N	\N
3276412	10884	1995-11-30	VYDAJ	VYBER	15	22838	SLUZBY	\N	\N
3276413	10884	1995-12-31	VYDAJ	VYBER	15	27537	SLUZBY	\N	\N
3276414	10884	1996-01-31	VYDAJ	VYBER	15	22021	SLUZBY	\N	\N
3276415	10884	1996-02-29	VYDAJ	VYBER	15	34410	SLUZBY	\N	\N
3276416	10884	1996-03-31	VYDAJ	VYBER	15	30575	SLUZBY	\N	\N
3276417	10884	1996-04-30	VYDAJ	VYBER	15	38939	SLUZBY	\N	\N
3276418	10884	1996-05-31	VYDAJ	VYBER	15	35801	SLUZBY	\N	\N
3276419	10884	1996-06-30	VYDAJ	VYBER	15	43645	SLUZBY	\N	\N
3276420	10884	1996-07-31	VYDAJ	VYBER	15	42435	SLUZBY	\N	\N
3276421	10884	1996-08-31	VYDAJ	VYBER	15	53154	SLUZBY	\N	\N
3276422	10884	1996-09-30	VYDAJ	VYBER	15	60909	SLUZBY	\N	\N
3276423	10884	1996-10-31	VYDAJ	VYBER	15	54565	SLUZBY	\N	\N
3276424	10884	1996-11-30	VYDAJ	VYBER	15	57312	SLUZBY	\N	\N
3276425	10884	1996-12-31	VYDAJ	VYBER	15	57403	SLUZBY	\N	\N
3276426	10884	1997-01-31	VYDAJ	VYBER	15	41126	SLUZBY	\N	\N
3276427	10884	1997-02-28	VYDAJ	VYBER	15	51436	SLUZBY	\N	\N
3276428	10884	1997-03-31	VYDAJ	VYBER	15	23244	SLUZBY	\N	\N
3276429	10884	1997-04-30	VYDAJ	VYBER	15	43711	SLUZBY	\N	\N
3276430	10884	1997-05-31	VYDAJ	VYBER	15	56240	SLUZBY	\N	\N
3276431	10884	1997-06-30	VYDAJ	VYBER	15	23857	SLUZBY	\N	\N
3276432	10884	1997-07-31	VYDAJ	VYBER	15	40918	SLUZBY	\N	\N
3276433	10884	1997-08-31	VYDAJ	VYBER	15	53236	SLUZBY	\N	\N
3276434	10884	1997-09-30	VYDAJ	VYBER	15	55688	SLUZBY	\N	\N
3276435	10884	1997-10-31	VYDAJ	VYBER	15	52317	SLUZBY	\N	\N
3276436	10884	1997-11-30	VYDAJ	VYBER	15	49783	SLUZBY	\N	\N
3276437	10884	1997-12-31	VYDAJ	VYBER	15	60258	SLUZBY	\N	\N
3276438	10884	1998-01-31	VYDAJ	VYBER	15	47301	SLUZBY	\N	\N
3276439	10884	1998-02-28	VYDAJ	VYBER	15	44865	SLUZBY	\N	\N
3276440	10884	1998-03-31	VYDAJ	VYBER	15	39018	SLUZBY	\N	\N
3276441	10884	1998-04-30	VYDAJ	VYBER	15	67778	SLUZBY	\N	\N
3276442	10884	1998-05-31	VYDAJ	VYBER	15	75258	SLUZBY	\N	\N
3276443	10884	1998-06-30	VYDAJ	VYBER	15	27725	SLUZBY	\N	\N
3276444	10884	1998-07-31	VYDAJ	VYBER	15	49138	SLUZBY	\N	\N
3276445	10884	1998-08-31	VYDAJ	VYBER	15	81853	SLUZBY	\N	\N
3276446	10884	1998-09-30	VYDAJ	VYBER	15	66180	SLUZBY	\N	\N
3276447	10884	1998-10-31	VYDAJ	VYBER	15	64158	SLUZBY	\N	\N
3276448	10884	1998-11-30	VYDAJ	VYBER	15	51739	SLUZBY	\N	\N
3276449	10884	1995-03-22	PRIJEM	VKLAD	2100	21724	\N	\N	\N
3276450	10884	1995-04-21	VYDAJ	VYBER	5800	34877	\N	\N	\N
3276451	10884	1995-05-21	VYDAJ	VYBER	14400	39510	\N	\N	\N
3276452	10884	1995-06-20	VYDAJ	VYBER	20900	47148	\N	\N	\N
3276453	10884	1995-07-20	VYDAJ	VYBER	16800	49448	\N	\N	\N
3276454	10884	1995-08-19	VYDAJ	VYBER	12700	44124	\N	\N	\N
3276455	10884	1995-09-18	VYDAJ	VYBER	3400	38678	\N	\N	\N
3276456	10884	1995-10-18	VYDAJ	VYBER	7800	38691	\N	\N	\N
3276457	10884	1995-11-17	VYDAJ	VYBER	9100	40422	\N	\N	\N
3276458	10884	1995-12-17	PRIJEM	VKLAD	1300	33890	\N	\N	\N
3276459	10884	1996-01-16	PRIJEM	VKLAD	3100	39327	\N	\N	\N
3276460	10884	1996-02-15	PRIJEM	VKLAD	2000	34311	\N	\N	\N
3276461	10884	1996-03-16	VYDAJ	VYBER	1400	43046	\N	\N	\N
3276462	10884	1996-04-15	VYDAJ	VYBER	1800	38811	\N	\N	\N
3276463	10884	1996-05-15	VYDAJ	VYBER	1900	35675	\N	\N	\N
3276464	10884	1996-06-14	VYDAJ	VYBER	4900	43499	\N	\N	\N
3276465	10884	1996-07-14	VYDAJ	VYBER	3900	42281	\N	\N	\N
3276466	10884	1996-08-13	PRIJEM	VKLAD	500	34047	\N	\N	\N
3276467	10884	1996-09-12	VYDAJ	VYBER	2500	41766	\N	\N	\N
3276468	10884	1996-10-12	VYDAJ	VYBER	700	44875	\N	\N	\N
3276469	10884	1996-11-11	VYDAJ	VYBER	7500	41331	\N	\N	\N
3276470	10884	1996-12-11	VYDAJ	VYBER	2100	31970	\N	\N	\N
3276471	10884	1997-01-10	VYDAJ	VYBER	4600	43977	\N	\N	\N
3276472	10884	1997-02-09	PRIJEM	VKLAD	100	39900	\N	\N	\N
3276473	10884	1997-03-11	VYDAJ	VYBER	3900	41802	\N	\N	\N
3276474	10884	1997-04-10	PRIJEM	VKLAD	10300	32218	\N	\N	\N
3276475	10884	1997-05-10	PRIJEM	VKLAD	2300	44685	\N	\N	\N
3276476	10884	1997-06-09	VYDAJ	VYBER	2800	41901	\N	\N	\N
3276477	10884	1997-07-09	PRIJEM	VKLAD	6900	29431	\N	\N	\N
3276478	10884	1997-08-08	PRIJEM	VKLAD	2100	43018	\N	\N	\N
3276479	10884	1997-09-07	VYDAJ	VYBER	1500	51736	\N	\N	\N
3276480	10884	1997-10-07	VYDAJ	VYBER	3100	52588	\N	\N	\N
3276481	10884	1997-11-06	PRIJEM	VKLAD	4300	53324	\N	\N	\N
3276482	10884	1997-12-06	PRIJEM	VKLAD	6500	56283	\N	\N	\N
3276483	10884	1998-01-05	PRIJEM	VKLAD	7100	59258	\N	\N	\N
3276484	10884	1998-02-04	PRIJEM	VKLAD	10700	58001	\N	\N	\N
3276485	10884	1998-03-06	PRIJEM	VKLAD	14700	59565	\N	\N	\N
3276486	10884	1998-04-05	PRIJEM	VKLAD	18500	57518	\N	\N	\N
3276487	10884	1998-05-05	PRIJEM	VKLAD	10300	78078	\N	\N	\N
3276488	10884	1998-06-04	PRIJEM	VKLAD	6700	81958	\N	\N	\N
3276489	10884	1998-07-04	PRIJEM	VKLAD	30100	57825	\N	\N	\N
3276490	10884	1998-08-03	PRIJEM	VKLAD	22400	71538	\N	\N	\N
3276491	10884	1998-09-02	PRIJEM	VKLAD	7400	89253	\N	\N	\N
3276492	10884	1998-10-02	PRIJEM	VKLAD	12000	78180	\N	\N	\N
3276493	10884	1998-11-01	PRIJEM	VKLAD	15900	80058	\N	\N	\N
3276494	10884	1998-12-01	PRIJEM	VKLAD	29500	68639	\N	\N	\N
3281544	10904	1993-11-26	PRIJEM	VKLAD	500	500	\N	\N	\N
3281556	10904	1993-12-09	PRIJEM	VKLAD	7632	8132	\N	\N	\N
3281557	10904	1994-01-09	PRIJEM	VKLAD	5088	20643	\N	\N	\N
3281558	10904	1994-02-09	PRIJEM	VKLAD	5088	25416	\N	\N	\N
3281559	10904	1994-03-09	PRIJEM	VKLAD	5088	31809	\N	\N	\N
3281560	10904	1994-04-09	PRIJEM	VKLAD	5088	33428	\N	\N	\N
3281561	10904	1994-05-09	PRIJEM	VKLAD	5088	33893	\N	\N	\N
3281562	10904	1994-06-09	PRIJEM	VKLAD	7632	37848	\N	\N	\N
3281563	10904	1994-07-09	PRIJEM	VKLAD	5088	12770	\N	\N	\N
3281564	10904	1994-08-09	PRIJEM	VKLAD	5088	20744	\N	\N	\N
3281565	10904	1994-09-09	PRIJEM	VKLAD	5088	24672	\N	\N	\N
3281566	10904	1994-10-09	PRIJEM	VKLAD	5088	31021	\N	\N	\N
3281567	10904	1994-11-09	PRIJEM	VKLAD	5088	30502	\N	\N	\N
3281568	10904	1994-12-09	PRIJEM	VKLAD	7632	35765	\N	\N	\N
3281569	10904	1995-01-09	PRIJEM	VKLAD	5088	25103	\N	\N	\N
3281570	10904	1995-02-09	PRIJEM	VKLAD	5088	22141	\N	\N	\N
3281571	10904	1995-03-09	PRIJEM	VKLAD	5088	23580	\N	\N	\N
3281572	10904	1995-04-09	PRIJEM	VKLAD	5088	30072	\N	\N	\N
3281573	10904	1995-05-09	PRIJEM	VKLAD	5088	25499	\N	\N	\N
3281574	10904	1995-06-09	PRIJEM	VKLAD	7632	30040	\N	\N	\N
3281575	10904	1995-07-09	PRIJEM	VKLAD	5088	18100	\N	\N	\N
3281576	10904	1995-08-09	PRIJEM	VKLAD	5088	23275	\N	\N	\N
3281577	10904	1995-09-09	PRIJEM	VKLAD	5088	24191	\N	\N	\N
3281578	10904	1995-10-09	PRIJEM	VKLAD	5088	23685	\N	\N	\N
3281579	10904	1995-11-09	PRIJEM	VKLAD	5088	25702	\N	\N	\N
3281580	10904	1995-12-09	PRIJEM	VKLAD	7632	26728	\N	\N	\N
3281581	10904	1996-01-09	PRIJEM	VKLAD	5088	19686	\N	\N	\N
3281582	10904	1996-02-09	PRIJEM	VKLAD	5088	4253	\N	\N	\N
3281583	10904	1996-03-09	PRIJEM	VKLAD	5088	14149	\N	\N	\N
3281584	10904	1996-04-09	PRIJEM	VKLAD	5088	14354	\N	\N	\N
3281585	10904	1996-05-09	PRIJEM	VKLAD	5088	19837	\N	\N	\N
3281586	10904	1996-06-09	PRIJEM	VKLAD	7632	29799	\N	\N	\N
3281587	10904	1996-07-09	PRIJEM	VKLAD	5088	30257	\N	\N	\N
3281588	10904	1996-08-09	PRIJEM	VKLAD	5088	26316	\N	\N	\N
3281589	10904	1996-09-09	PRIJEM	VKLAD	5088	24951	\N	\N	\N
3281590	10904	1996-10-09	PRIJEM	VKLAD	5088	20009	\N	\N	\N
3281591	10904	1996-11-09	PRIJEM	VKLAD	5088	24798	\N	\N	\N
3281592	10904	1996-12-09	PRIJEM	VKLAD	7632	27951	\N	\N	\N
3281593	10904	1997-01-09	PRIJEM	VKLAD	5088	12588	\N	\N	\N
3281594	10904	1997-02-09	PRIJEM	VKLAD	5088	18838	\N	\N	\N
3281595	10904	1997-03-09	PRIJEM	VKLAD	5088	18731	\N	\N	\N
3281596	10904	1997-04-09	PRIJEM	VKLAD	5088	22339	\N	\N	\N
3281597	10904	1997-05-09	PRIJEM	VKLAD	5088	28236	\N	\N	\N
3281598	10904	1997-06-09	PRIJEM	VKLAD	7632	24942	\N	\N	\N
3281599	10904	1997-07-09	PRIJEM	VKLAD	5088	24306	\N	\N	\N
3281600	10904	1997-08-09	PRIJEM	VKLAD	5088	27730	\N	\N	\N
3281601	10904	1997-09-09	PRIJEM	VKLAD	5088	28477	\N	\N	\N
3281602	10904	1997-10-09	PRIJEM	VKLAD	5088	31431	\N	\N	\N
3281603	10904	1997-11-09	PRIJEM	VKLAD	5088	29708	\N	\N	\N
3281604	10904	1997-12-09	PRIJEM	VKLAD	7632	28852	\N	\N	\N
3281605	10904	1998-01-09	PRIJEM	VKLAD	5088	27019	\N	\N	\N
3281606	10904	1998-02-09	PRIJEM	VKLAD	5088	14960	\N	\N	\N
3281607	10904	1998-03-09	PRIJEM	VKLAD	5088	18612	\N	\N	\N
3281608	10904	1998-04-09	PRIJEM	VKLAD	5088	21903	\N	\N	\N
3281609	10904	1998-05-09	PRIJEM	VKLAD	5088	25922	\N	\N	\N
3281610	10904	1998-06-09	PRIJEM	VKLAD	7632	22434	\N	\N	\N
3281611	10904	1998-07-09	PRIJEM	VKLAD	5088	24446	\N	\N	\N
3281612	10904	1998-08-09	PRIJEM	VKLAD	5088	21285	\N	\N	\N
3281613	10904	1998-09-09	PRIJEM	VKLAD	5088	19242	\N	\N	\N
3281614	10904	1998-10-09	PRIJEM	VKLAD	5088	17002	\N	\N	\N
3281615	10904	1998-11-09	PRIJEM	VKLAD	5088	17279	\N	\N	\N
3281616	10904	1998-12-09	PRIJEM	VKLAD	7632	18164	\N	\N	\N
3281690	10904	1994-06-16	VYDAJ	VYBER	40000	-2152	\N	\N	\N
3281691	10904	1995-06-28	VYDAJ	VYBER	13440	12900	\N	\N	\N
3281694	10904	1998-06-02	VYDAJ	VYBER	13280	12802	\N	\N	\N
3281697	10904	1995-01-02	VYDAJ	VYBER	2720	23495	\N	\N	\N
3281698	10904	1996-01-18	VYDAJ	VYBER	14880	2706	\N	\N	\N
3281699	10904	1997-01-02	VYDAJ	VYBER	12320	10980	\N	\N	\N
3281700	10904	1998-01-27	VYDAJ	VYBER	5440	15099	\N	\N	\N
3281702	10904	1994-12-26	VYDAJ	VYBER	960	27205	\N	\N	\N
3281703	10904	1995-12-07	VYDAJ	VYBER	3360	19096	\N	\N	\N
3281704	10904	1996-12-12	VYDAJ	VYBER	2080	23171	\N	\N	\N
3281705	10904	1997-12-27	VYDAJ	VYBER	1120	27732	\N	\N	\N
3281706	10904	1998-12-26	VYDAJ	VYBER	2720	15444	\N	\N	\N
3281719	10904	1995-01-28	VYDAJ	VYBER	2040	16903	\N	\N	\N
3281720	10904	1995-01-01	VYDAJ	VYBER	1200	26215	\N	\N	\N
3281721	10904	1995-01-16	VYDAJ	VYBER	3480	21623	\N	\N	\N
3281722	10904	1995-01-18	VYDAJ	VYBER	2280	19343	\N	\N	\N
3281723	10904	1995-01-04	VYDAJ	VYBER	1920	21575	\N	\N	\N
3281724	10904	1995-01-04	VYDAJ	VYBER	1560	20015	\N	\N	\N
3281725	10904	1996-01-08	VYDAJ	VYBER	3120	14598	\N	\N	\N
3281726	10904	1996-01-28	VYDAJ	VYBER	600	-894	\N	\N	\N
3281727	10904	1996-01-02	VYDAJ	VYBER	720	22878	\N	\N	\N
3281728	10904	1996-01-02	VYDAJ	VYBER	2520	20358	\N	\N	\N
3281729	10904	1996-01-04	VYDAJ	VYBER	2640	17718	\N	\N	\N
3281730	10904	1996-01-27	VYDAJ	VYBER	3000	-294	\N	\N	\N
3281731	10904	1997-01-21	VYDAJ	VYBER	2160	12468	\N	\N	\N
3281732	10904	1997-01-28	VYDAJ	VYBER	600	7188	\N	\N	\N
3281733	10904	1997-01-05	VYDAJ	VYBER	3480	7500	\N	\N	\N
3281734	10904	1997-01-23	VYDAJ	VYBER	1680	7788	\N	\N	\N
3281735	10904	1997-01-23	VYDAJ	VYBER	3000	9468	\N	\N	\N
3281736	10904	1997-01-20	VYDAJ	VYBER	2160	14628	\N	\N	\N
3281737	10904	1998-01-16	VYDAJ	VYBER	1200	25219	\N	\N	\N
3281738	10904	1998-01-29	VYDAJ	VYBER	2760	12339	\N	\N	\N
3281739	10904	1998-01-13	VYDAJ	VYBER	600	26419	\N	\N	\N
3281740	10904	1998-01-26	VYDAJ	VYBER	1200	20539	\N	\N	\N
3281741	10904	1998-01-30	VYDAJ	VYBER	1320	11019	\N	\N	\N
3281742	10904	1998-01-21	VYDAJ	VYBER	3480	21739	\N	\N	\N
3281746	10904	1994-08-31	VYDAJ	VYBER	1440	19599	\N	\N	\N
3281747	10904	1994-07-15	VYDAJ	VYBER	3480	9290	\N	\N	\N
3281748	10904	1994-06-30	VYDAJ	VYBER	2520	7682	\N	\N	\N
3281749	10904	1994-04-13	VYDAJ	VYBER	4200	29228	\N	\N	\N
3281751	10904	1995-05-18	VYDAJ	VYBER	600	24899	\N	\N	\N
3281752	10904	1995-02-28	VYDAJ	VYBER	4440	18507	\N	\N	\N
3281753	10904	1995-10-24	VYDAJ	VYBER	1920	20465	\N	\N	\N
3281754	10904	1995-09-30	VYDAJ	VYBER	3600	18612	\N	\N	\N
3281755	10904	1995-04-26	VYDAJ	VYBER	5640	20232	\N	\N	\N
3281756	10904	1996-11-23	VYDAJ	VYBER	2520	20178	\N	\N	\N
3281757	10904	1996-03-26	VYDAJ	VYBER	1800	14249	\N	\N	\N
3281758	10904	1996-04-12	VYDAJ	VYBER	4680	9674	\N	\N	\N
3281759	10904	1996-09-29	VYDAJ	VYBER	5160	14791	\N	\N	\N
3281760	10904	1996-03-28	VYDAJ	VYBER	5040	9209	\N	\N	\N
3281761	10904	1996-08-04	VYDAJ	VYBER	2400	21228	\N	\N	\N
3281762	10904	1997-06-01	VYDAJ	VYBER	4560	18510	\N	\N	\N
3281763	10904	1997-03-19	VYDAJ	VYBER	4800	17131	\N	\N	\N
3281764	10904	1997-02-10	VYDAJ	VYBER	840	17998	\N	\N	\N
3281765	10904	1997-03-08	VYDAJ	VYBER	4440	13643	\N	\N	\N
3281766	10904	1997-06-24	VYDAJ	VYBER	3480	21462	\N	\N	\N
3281767	10904	1998-09-27	VYDAJ	VYBER	3720	15522	\N	\N	\N
3281768	10904	1998-08-27	VYDAJ	VYBER	2880	18405	\N	\N	\N
3281769	10904	1998-09-07	VYDAJ	VYBER	960	14154	\N	\N	\N
3281786	10904	1994-04-30	VYDAJ	VYBER	15	28805	SLUZBY	\N	\N
3281787	10904	1994-05-31	VYDAJ	VYBER	15	30216	SLUZBY	\N	\N
3281788	10904	1994-06-30	VYDAJ	VYBER	15	10208	SLUZBY	\N	\N
3281789	10904	1994-07-31	VYDAJ	VYBER	15	15656	SLUZBY	\N	\N
3281790	10904	1994-08-31	VYDAJ	VYBER	15	19584	SLUZBY	\N	\N
3281791	10904	1994-09-30	VYDAJ	VYBER	15	25933	SLUZBY	\N	\N
3281792	10904	1994-10-31	VYDAJ	VYBER	15	25414	SLUZBY	\N	\N
3281793	10904	1994-11-30	VYDAJ	VYBER	15	28133	SLUZBY	\N	\N
3281794	10904	1994-12-31	VYDAJ	VYBER	15	27415	SLUZBY	\N	\N
3281795	10904	1995-01-31	VYDAJ	VYBER	15	17053	SLUZBY	\N	\N
3281796	10904	1995-02-28	VYDAJ	VYBER	15	18492	SLUZBY	\N	\N
3281797	10904	1995-03-31	VYDAJ	VYBER	15	24984	SLUZBY	\N	\N
3281798	10904	1995-04-30	VYDAJ	VYBER	15	20411	SLUZBY	\N	\N
3281799	10904	1995-05-31	VYDAJ	VYBER	15	22408	SLUZBY	\N	\N
3281800	10904	1995-06-30	VYDAJ	VYBER	15	13012	SLUZBY	\N	\N
3281801	10904	1995-07-31	VYDAJ	VYBER	15	18187	SLUZBY	\N	\N
3281802	10904	1995-08-31	VYDAJ	VYBER	15	19103	SLUZBY	\N	\N
3281803	10904	1995-09-30	VYDAJ	VYBER	15	18597	SLUZBY	\N	\N
3281804	10904	1995-10-31	VYDAJ	VYBER	15	20614	SLUZBY	\N	\N
3281805	10904	1995-11-30	VYDAJ	VYBER	15	22456	SLUZBY	\N	\N
3281806	10904	1995-12-31	VYDAJ	VYBER	15	23598	SLUZBY	\N	\N
3281807	10904	1996-01-31	VYDAJ	VYBER	15	-835	SLUZBY	\N	\N
3281808	10904	1996-02-29	VYDAJ	VYBER	15	9061	SLUZBY	\N	\N
3281809	10904	1996-03-31	VYDAJ	VYBER	15	9266	SLUZBY	\N	\N
3281810	10904	1996-04-30	VYDAJ	VYBER	15	14749	SLUZBY	\N	\N
3281811	10904	1996-05-31	VYDAJ	VYBER	15	22167	SLUZBY	\N	\N
3281812	10904	1996-06-30	VYDAJ	VYBER	15	25169	SLUZBY	\N	\N
3281813	10904	1996-07-31	VYDAJ	VYBER	15	23628	SLUZBY	\N	\N
3281814	10904	1996-08-31	VYDAJ	VYBER	15	19863	SLUZBY	\N	\N
3281815	10904	1996-09-30	VYDAJ	VYBER	15	14921	SLUZBY	\N	\N
3281816	10904	1996-10-31	VYDAJ	VYBER	15	19710	SLUZBY	\N	\N
3281817	10904	1996-11-30	VYDAJ	VYBER	15	20319	SLUZBY	\N	\N
3281818	10904	1996-12-31	VYDAJ	VYBER	15	23300	SLUZBY	\N	\N
3281819	10904	1997-01-31	VYDAJ	VYBER	15	7250	SLUZBY	\N	\N
3281820	10904	1997-02-28	VYDAJ	VYBER	15	18083	SLUZBY	\N	\N
3281821	10904	1997-03-31	VYDAJ	VYBER	15	17251	SLUZBY	\N	\N
3281822	10904	1997-04-30	VYDAJ	VYBER	15	23148	SLUZBY	\N	\N
3281823	10904	1997-05-31	VYDAJ	VYBER	15	23070	SLUZBY	\N	\N
3281824	10904	1997-06-30	VYDAJ	VYBER	15	21618	SLUZBY	\N	\N
3281825	10904	1997-07-31	VYDAJ	VYBER	15	24442	SLUZBY	\N	\N
3281826	10904	1997-08-31	VYDAJ	VYBER	15	27889	SLUZBY	\N	\N
3281827	10904	1997-09-30	VYDAJ	VYBER	15	28643	SLUZBY	\N	\N
3281828	10904	1997-10-31	VYDAJ	VYBER	15	31620	SLUZBY	\N	\N
3281829	10904	1997-11-30	VYDAJ	VYBER	15	29920	SLUZBY	\N	\N
3281830	10904	1997-12-31	VYDAJ	VYBER	15	27931	SLUZBY	\N	\N
3281831	10904	1998-01-31	VYDAJ	VYBER	15	11172	SLUZBY	\N	\N
3281832	10904	1998-02-28	VYDAJ	VYBER	15	15024	SLUZBY	\N	\N
3281833	10904	1998-03-31	VYDAJ	VYBER	15	18715	SLUZBY	\N	\N
3281834	10904	1998-04-30	VYDAJ	VYBER	15	22034	SLUZBY	\N	\N
3281835	10904	1998-05-31	VYDAJ	VYBER	15	26082	SLUZBY	\N	\N
3281836	10904	1998-06-30	VYDAJ	VYBER	15	22558	SLUZBY	\N	\N
3281837	10904	1998-07-31	VYDAJ	VYBER	15	24597	SLUZBY	\N	\N
3281838	10904	1998-08-31	VYDAJ	VYBER	15	18514	SLUZBY	\N	\N
3281839	10904	1998-09-30	VYDAJ	VYBER	15	15614	SLUZBY	\N	\N
3281840	10904	1998-10-31	VYDAJ	VYBER	15	12191	SLUZBY	\N	\N
3281841	10904	1998-11-30	VYDAJ	VYBER	15	17332	SLUZBY	\N	\N
3281842	10904	1993-12-26	PRIJEM	VKLAD	7400	15532	\N	\N	\N
3281843	10904	1994-01-25	VYDAJ	VYBER	400	20243	\N	\N	\N
3281844	10904	1994-02-24	PRIJEM	VKLAD	1200	26616	\N	\N	\N
3281845	10904	1994-03-26	VYDAJ	VYBER	3600	28209	\N	\N	\N
3281846	10904	1994-04-25	VYDAJ	VYBER	600	28628	\N	\N	\N
3281847	10904	1994-05-25	VYDAJ	VYBER	3900	29993	\N	\N	\N
3281848	10904	1994-06-24	PRIJEM	VKLAD	12300	10148	\N	\N	\N
3281849	10904	1994-07-24	PRIJEM	VKLAD	6300	15590	\N	\N	\N
3281850	10904	1994-08-23	PRIJEM	VKLAD	200	20944	\N	\N	\N
3281851	10904	1994-09-22	PRIJEM	VKLAD	1100	25772	\N	\N	\N
3281852	10904	1994-10-22	VYDAJ	VYBER	5800	25221	\N	\N	\N
3281853	10904	1994-11-21	VYDAJ	VYBER	2500	28002	\N	\N	\N
3281854	10904	1994-12-21	VYDAJ	VYBER	7600	28165	\N	\N	\N
3281855	10904	1995-01-20	VYDAJ	VYBER	400	18943	\N	\N	\N
3281856	10904	1995-02-19	PRIJEM	VKLAD	700	22841	\N	\N	\N
3281857	10904	1995-03-21	PRIJEM	VKLAD	1300	24880	\N	\N	\N
3281858	10904	1995-04-20	VYDAJ	VYBER	4200	25872	\N	\N	\N
3281859	10904	1995-05-20	VYDAJ	VYBER	2600	22299	\N	\N	\N
3281860	10904	1995-06-19	VYDAJ	VYBER	3700	26340	\N	\N	\N
3281861	10904	1995-08-18	VYDAJ	VYBER	4300	18975	\N	\N	\N
3281862	10904	1995-09-17	VYDAJ	VYBER	2100	22091	\N	\N	\N
3281863	10904	1995-10-17	VYDAJ	VYBER	1300	22385	\N	\N	\N
3281864	10904	1995-11-16	VYDAJ	VYBER	3400	22302	\N	\N	\N
3281865	10904	1995-12-16	VYDAJ	VYBER	3300	23428	\N	\N	\N
3281866	10904	1996-01-15	VYDAJ	VYBER	2100	17586	\N	\N	\N
3281867	10904	1996-02-14	PRIJEM	VKLAD	4800	9053	\N	\N	\N
3281868	10904	1996-03-15	PRIJEM	VKLAD	1900	16049	\N	\N	\N
3281869	10904	1996-04-14	PRIJEM	VKLAD	5000	14674	\N	\N	\N
3281870	10904	1996-05-14	PRIJEM	VKLAD	2200	22037	\N	\N	\N
3281871	10904	1996-06-13	VYDAJ	VYBER	4800	24999	\N	\N	\N
3281872	10904	1996-07-13	VYDAJ	VYBER	6800	23457	\N	\N	\N
3281873	10904	1996-08-12	VYDAJ	VYBER	6600	19716	\N	\N	\N
3281874	10904	1996-09-11	VYDAJ	VYBER	5000	19951	\N	\N	\N
3281875	10904	1996-10-11	VYDAJ	VYBER	400	19609	\N	\N	\N
3281876	10904	1996-11-10	VYDAJ	VYBER	2100	22698	\N	\N	\N
3281877	10904	1996-12-10	VYDAJ	VYBER	2700	25251	\N	\N	\N
3281878	10904	1997-01-09	PRIJEM	VKLAD	4200	16788	\N	\N	\N
3281879	10904	1997-02-08	PRIJEM	VKLAD	6500	13750	\N	\N	\N
3281880	10904	1997-03-10	PRIJEM	VKLAD	3200	21931	\N	\N	\N
3281881	10904	1997-04-09	PRIJEM	VKLAD	700	23039	\N	\N	\N
3281882	10904	1997-05-09	VYDAJ	VYBER	5300	22936	\N	\N	\N
3281883	10904	1997-06-08	VYDAJ	VYBER	1200	17310	\N	\N	\N
3281884	10904	1997-07-08	VYDAJ	VYBER	2400	19218	\N	\N	\N
3281885	10904	1997-08-07	VYDAJ	VYBER	1800	22642	\N	\N	\N
3281886	10904	1997-09-06	VYDAJ	VYBER	4500	23389	\N	\N	\N
3281887	10904	1997-10-06	VYDAJ	VYBER	2300	26343	\N	\N	\N
3281888	10904	1997-11-05	VYDAJ	VYBER	7000	24620	\N	\N	\N
3281889	10904	1997-12-05	VYDAJ	VYBER	8700	21220	\N	\N	\N
3281890	10904	1998-01-04	VYDAJ	VYBER	6000	21931	\N	\N	\N
3281891	10904	1998-02-03	VYDAJ	VYBER	1300	9872	\N	\N	\N
3281892	10904	1998-03-05	VYDAJ	VYBER	1500	13524	\N	\N	\N
3281893	10904	1998-04-04	VYDAJ	VYBER	1900	16815	\N	\N	\N
3281894	10904	1998-05-04	VYDAJ	VYBER	1200	20834	\N	\N	\N
3281895	10904	1998-06-03	PRIJEM	VKLAD	2000	14802	\N	\N	\N
3281896	10904	1998-07-03	VYDAJ	VYBER	3200	19358	\N	\N	\N
3281897	10904	1998-08-02	VYDAJ	VYBER	8400	16197	\N	\N	\N
3281898	10904	1998-09-01	VYDAJ	VYBER	3400	15114	\N	\N	\N
3281899	10904	1998-10-01	VYDAJ	VYBER	3700	11914	\N	\N	\N
3281900	10904	1998-10-31	VYDAJ	VYBER	4900	12205	\N	\N	\N
3281901	10904	1998-11-30	VYDAJ	VYBER	6800	10532	\N	\N	\N
3281966	10905	1996-11-21	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3281978	10905	1996-12-06	PRIJEM	VKLAD	13722	14722	\N	\N	\N
3281979	10905	1997-01-06	PRIJEM	VKLAD	9148	32004	\N	\N	\N
3281980	10905	1997-02-06	PRIJEM	VKLAD	9148	42263	\N	\N	\N
3281981	10905	1997-03-06	PRIJEM	VKLAD	9148	47256	\N	\N	\N
3281982	10905	1997-04-06	PRIJEM	VKLAD	9148	53271	\N	\N	\N
3281983	10905	1997-05-06	PRIJEM	VKLAD	9148	51078	\N	\N	\N
3281984	10905	1997-06-06	PRIJEM	VKLAD	13722	52927	\N	\N	\N
3281985	10905	1997-07-06	PRIJEM	VKLAD	9148	49785	\N	\N	\N
3281986	10905	1997-08-06	PRIJEM	VKLAD	9148	52083	\N	\N	\N
3281987	10905	1997-09-06	PRIJEM	VKLAD	9148	52085	\N	\N	\N
3281988	10905	1997-10-06	PRIJEM	VKLAD	9148	49992	\N	\N	\N
3281989	10905	1997-11-06	PRIJEM	VKLAD	9148	50897	\N	\N	\N
3281990	10905	1997-12-06	PRIJEM	VKLAD	13722	59184	\N	\N	\N
3281991	10905	1998-01-06	PRIJEM	VKLAD	9148	54054	\N	\N	\N
3281992	10905	1998-02-06	PRIJEM	VKLAD	9148	47628	\N	\N	\N
3281993	10905	1998-03-06	PRIJEM	VKLAD	9148	58250	\N	\N	\N
3281994	10905	1998-04-06	PRIJEM	VKLAD	9148	54438	\N	\N	\N
3281995	10905	1998-05-06	PRIJEM	VKLAD	9148	56864	\N	\N	\N
3281996	10905	1998-06-06	PRIJEM	VKLAD	13722	56002	\N	\N	\N
3281997	10905	1998-07-06	PRIJEM	VKLAD	9148	36085	\N	\N	\N
3281998	10905	1998-08-06	PRIJEM	VKLAD	9148	53876	\N	\N	\N
3281999	10905	1998-09-06	PRIJEM	VKLAD	9148	62113	\N	\N	\N
3282000	10905	1998-10-06	PRIJEM	VKLAD	9148	61365	\N	\N	\N
3282001	10905	1998-11-06	PRIJEM	VKLAD	9148	66524	\N	\N	\N
3282002	10905	1998-12-06	PRIJEM	VKLAD	13722	74474	\N	\N	\N
3282018	10905	1997-04-14	VYDAJ	PREVOD NA UCET	2939	48650	SIPO	AB	20420891
3282019	10905	1997-05-14	VYDAJ	PREVOD NA UCET	2939	45357	SIPO	AB	20420891
3282020	10905	1997-06-14	VYDAJ	PREVOD NA UCET	2939	47006	SIPO	AB	20420891
3282021	10905	1997-07-14	VYDAJ	PREVOD NA UCET	2939	45164	SIPO	AB	20420891
3282022	10905	1997-08-14	VYDAJ	PREVOD NA UCET	2939	47462	SIPO	AB	20420891
3282023	10905	1997-09-14	VYDAJ	PREVOD NA UCET	2939	46274	SIPO	AB	20420891
3282024	10905	1997-10-14	VYDAJ	PREVOD NA UCET	2939	44181	SIPO	AB	20420891
3282025	10905	1997-11-14	VYDAJ	PREVOD NA UCET	2939	45086	SIPO	AB	20420891
3282026	10905	1997-12-14	VYDAJ	PREVOD NA UCET	2939	53373	SIPO	AB	20420891
3282027	10905	1998-01-14	VYDAJ	PREVOD NA UCET	2939	47523	SIPO	AB	20420891
3282028	10905	1998-02-14	VYDAJ	PREVOD NA UCET	2939	48917	SIPO	AB	20420891
3282029	10905	1998-03-14	VYDAJ	PREVOD NA UCET	2939	52439	SIPO	AB	20420891
3282030	10905	1998-04-14	VYDAJ	PREVOD NA UCET	2939	48627	SIPO	AB	20420891
3282031	10905	1998-05-14	VYDAJ	PREVOD NA UCET	2939	51053	SIPO	AB	20420891
3282032	10905	1998-06-14	VYDAJ	PREVOD NA UCET	2939	50691	SIPO	AB	20420891
3282033	10905	1998-07-14	VYDAJ	PREVOD NA UCET	2939	44574	SIPO	AB	20420891
3282034	10905	1998-08-14	VYDAJ	PREVOD NA UCET	2939	52765	SIPO	AB	20420891
3282035	10905	1998-09-14	VYDAJ	PREVOD NA UCET	2939	55102	SIPO	AB	20420891
3282036	10905	1998-10-14	VYDAJ	PREVOD NA UCET	2939	57154	SIPO	AB	20420891
3282037	10905	1998-11-14	VYDAJ	PREVOD NA UCET	2939	60513	SIPO	AB	20420891
3282038	10905	1998-12-14	VYDAJ	PREVOD NA UCET	2939	67263	SIPO	AB	20420891
3282054	10905	1997-04-06	VYDAJ	PREVOD NA UCET	1682	51589	 	EF	13832676
3282055	10905	1997-05-06	VYDAJ	PREVOD NA UCET	1682	49396	 	EF	13832676
3282056	10905	1997-06-06	VYDAJ	PREVOD NA UCET	1682	51245	 	EF	13832676
3282057	10905	1997-07-06	VYDAJ	PREVOD NA UCET	1682	48103	 	EF	13832676
3282058	10905	1997-08-06	VYDAJ	PREVOD NA UCET	1682	50401	 	EF	13832676
3282059	10905	1997-09-06	VYDAJ	PREVOD NA UCET	1682	50403	 	EF	13832676
3282060	10905	1997-10-06	VYDAJ	PREVOD NA UCET	1682	48310	 	EF	13832676
3282061	10905	1997-11-06	VYDAJ	PREVOD NA UCET	1682	49215	 	EF	13832676
3282062	10905	1997-12-06	VYDAJ	PREVOD NA UCET	1682	57502	 	EF	13832676
3282063	10905	1998-01-06	VYDAJ	PREVOD NA UCET	1682	52372	 	EF	13832676
3282064	10905	1998-02-06	VYDAJ	PREVOD NA UCET	1682	45946	 	EF	13832676
3282065	10905	1998-03-06	VYDAJ	PREVOD NA UCET	1682	56568	 	EF	13832676
3282066	10905	1998-04-06	VYDAJ	PREVOD NA UCET	1682	52756	 	EF	13832676
3282067	10905	1998-05-06	VYDAJ	PREVOD NA UCET	1682	55182	 	EF	13832676
3282068	10905	1998-06-06	VYDAJ	PREVOD NA UCET	1682	54320	 	EF	13832676
3282069	10905	1998-07-06	VYDAJ	PREVOD NA UCET	1682	34403	 	EF	13832676
3282070	10905	1998-08-06	VYDAJ	PREVOD NA UCET	1682	52194	 	EF	13832676
3282071	10905	1998-09-06	VYDAJ	PREVOD NA UCET	1682	60431	 	EF	13832676
3282072	10905	1998-10-06	VYDAJ	PREVOD NA UCET	1682	59683	 	EF	13832676
3282073	10905	1998-11-06	VYDAJ	PREVOD NA UCET	1682	64842	 	EF	13832676
3282074	10905	1998-12-06	VYDAJ	PREVOD NA UCET	1682	72792	 	EF	13832676
3282090	10905	1997-04-19	VYDAJ	VYBER	900	47750	\N	\N	0
3282091	10905	1997-05-10	VYDAJ	VYBER	1100	48296	\N	\N	0
3282092	10905	1997-06-12	VYDAJ	VYBER	1300	49945	\N	\N	0
3282093	10905	1997-07-21	VYDAJ	VYBER	900	42764	\N	\N	0
3282094	10905	1997-08-15	VYDAJ	VYBER	1300	43162	\N	\N	0
3282095	10905	1997-09-12	VYDAJ	PREVOD NA UCET	1190	49213	UVER	KL	88619136
3282096	10905	1997-10-12	VYDAJ	PREVOD NA UCET	1190	47120	UVER	KL	88619136
3282097	10905	1997-11-12	VYDAJ	PREVOD NA UCET	1190	48025	UVER	KL	88619136
3282098	10905	1997-12-12	VYDAJ	PREVOD NA UCET	1190	56312	UVER	KL	88619136
3282099	10905	1998-01-12	VYDAJ	PREVOD NA UCET	1190	50462	UVER	KL	88619136
3282100	10905	1998-02-12	VYDAJ	PREVOD NA UCET	1190	44756	UVER	KL	88619136
3282101	10905	1998-03-12	VYDAJ	PREVOD NA UCET	1190	55378	UVER	KL	88619136
3282102	10905	1998-04-12	VYDAJ	PREVOD NA UCET	1190	51566	UVER	KL	88619136
3282103	10905	1998-05-12	VYDAJ	PREVOD NA UCET	1190	53992	UVER	KL	88619136
3282104	10905	1998-06-12	VYDAJ	PREVOD NA UCET	1190	53130	UVER	KL	88619136
3282105	10905	1998-07-12	VYDAJ	PREVOD NA UCET	1190	33213	UVER	KL	88619136
3282106	10905	1998-08-12	VYDAJ	PREVOD NA UCET	1190	51004	UVER	KL	88619136
3282107	10905	1998-09-12	VYDAJ	PREVOD NA UCET	1190	58041	UVER	KL	88619136
3282108	10905	1998-10-12	VYDAJ	PREVOD NA UCET	1190	60093	UVER	KL	88619136
3282109	10905	1998-11-12	VYDAJ	PREVOD NA UCET	1190	63452	UVER	KL	88619136
3282110	10905	1998-12-12	VYDAJ	PREVOD NA UCET	1190	70202	UVER	KL	88619136
3282113	10905	1998-06-15	VYDAJ	VYBER	18400	32291	\N	\N	\N
3282115	10905	1997-12-18	VYDAJ	VYBER	4160	46513	\N	\N	\N
3282116	10905	1998-12-17	VYDAJ	VYBER KARTOU	3000	64263	\N	\N	0
3282129	10905	1998-01-24	VYDAJ	VYBER	960	42143	\N	\N	\N
3282130	10905	1998-01-07	VYDAJ	VYBER	720	51652	\N	\N	\N
3282131	10905	1998-01-23	VYDAJ	VYBER	3120	43103	\N	\N	\N
3282132	10905	1998-01-04	VYDAJ	VYBER	720	44906	\N	\N	\N
3282133	10905	1998-01-28	VYDAJ	VYBER	3240	38303	\N	\N	\N
3282134	10905	1998-01-01	VYDAJ	VYBER	1080	45626	\N	\N	\N
3282144	10905	1997-08-14	VYDAJ	VYBER	3000	44462	\N	\N	\N
3282145	10905	1997-05-23	VYDAJ	VYBER	3720	39037	\N	\N	\N
3282146	10905	1997-06-20	VYDAJ	VYBER	3840	40466	\N	\N	\N
3282147	10905	1998-03-20	VYDAJ	VYBER	3240	45099	\N	\N	\N
3282148	10905	1998-01-24	VYDAJ	VYBER	600	41543	\N	\N	\N
3282149	10905	1998-06-26	VYDAJ	VYBER KARTOU	3100	26791	\N	\N	0
3282150	10905	1998-09-20	VYDAJ	VYBER KARTOU	3100	52002	\N	\N	0
3282151	10905	1998-06-16	VYDAJ	VYBER KARTOU	2400	29891	\N	\N	0
3282152	10905	1998-05-24	VYDAJ	VYBER	5760	42093	\N	\N	\N
3282169	10905	1997-04-30	VYDAJ	VYBER	15	41930	SLUZBY	\N	\N
3282170	10905	1997-05-31	VYDAJ	VYBER	15	39205	SLUZBY	\N	\N
3282171	10905	1997-06-30	VYDAJ	VYBER	15	40637	SLUZBY	\N	\N
3282172	10905	1997-07-31	VYDAJ	VYBER	15	42935	SLUZBY	\N	\N
3282173	10905	1997-08-31	VYDAJ	VYBER	15	42937	SLUZBY	\N	\N
3282174	10905	1997-09-30	VYDAJ	VYBER	15	40844	SLUZBY	\N	\N
3282175	10905	1997-10-31	VYDAJ	VYBER	15	41749	SLUZBY	\N	\N
3282176	10905	1997-11-30	VYDAJ	VYBER	15	45462	SLUZBY	\N	\N
3282177	10905	1997-12-31	VYDAJ	VYBER	15	46706	SLUZBY	\N	\N
3282178	10905	1998-01-31	VYDAJ	VYBER	15	38480	SLUZBY	\N	\N
3282179	10905	1998-02-28	VYDAJ	VYBER	15	49102	SLUZBY	\N	\N
3282180	10905	1998-03-31	VYDAJ	VYBER	15	45290	SLUZBY	\N	\N
3282181	10905	1998-04-30	VYDAJ	VYBER	15	47716	SLUZBY	\N	\N
3282182	10905	1998-05-31	VYDAJ	VYBER	15	42280	SLUZBY	\N	\N
3282183	10905	1998-06-30	VYDAJ	VYBER	15	26937	SLUZBY	\N	\N
3282184	10905	1998-07-31	VYDAJ	VYBER	15	44728	SLUZBY	\N	\N
3282185	10905	1998-08-31	VYDAJ	VYBER	15	52965	SLUZBY	\N	\N
3282186	10905	1998-09-30	VYDAJ	VYBER	15	52217	SLUZBY	\N	\N
3282187	10905	1998-10-31	VYDAJ	VYBER	15	57376	SLUZBY	\N	\N
3282188	10905	1998-11-30	VYDAJ	VYBER	15	60752	SLUZBY	\N	\N
3282189	10905	1996-12-21	PRIJEM	VKLAD	8100	22822	\N	\N	\N
3282190	10905	1997-01-20	PRIJEM	VKLAD	1000	33004	\N	\N	\N
3282191	10905	1997-02-19	VYDAJ	VYBER	4300	37963	\N	\N	\N
3282192	10905	1997-03-21	VYDAJ	VYBER	3300	43956	\N	\N	\N
3282193	10905	1997-04-20	VYDAJ	VYBER	6000	41750	\N	\N	\N
3282194	10905	1997-05-20	VYDAJ	VYBER	2600	42757	\N	\N	\N
3282195	10905	1997-06-19	VYDAJ	VYBER	2700	44306	\N	\N	\N
3282196	10905	1997-07-19	VYDAJ	VYBER	1500	43664	\N	\N	\N
3282197	10905	1997-08-18	VYDAJ	VYBER	400	42762	\N	\N	\N
3282198	10905	1997-09-17	VYDAJ	VYBER	5600	40674	\N	\N	\N
3282199	10905	1997-10-17	VYDAJ	VYBER	2600	41581	\N	\N	\N
3282200	10905	1997-11-16	PRIJEM	VKLAD	200	45286	\N	\N	\N
3282201	10905	1997-12-16	VYDAJ	VYBER	2700	50673	\N	\N	\N
3282202	10905	1998-01-15	VYDAJ	VYBER	1300	46223	\N	\N	\N
3282203	10905	1998-02-14	PRIJEM	VKLAD	7100	51856	\N	\N	\N
3282204	10905	1998-03-16	VYDAJ	VYBER	4100	48339	\N	\N	\N
3282205	10905	1998-04-15	VYDAJ	VYBER	1100	47527	\N	\N	\N
3282206	10905	1998-05-15	VYDAJ	VYBER	3200	47853	\N	\N	\N
3282207	10905	1998-06-14	PRIJEM	VKLAD	500	53630	\N	\N	\N
3282208	10905	1998-07-14	PRIJEM	VKLAD	14300	47513	\N	\N	\N
3282209	10905	1998-08-13	PRIJEM	VKLAD	4700	55704	\N	\N	\N
3282210	10905	1998-09-12	VYDAJ	VYBER KARTOU	1200	59231	\N	\N	0
3282211	10905	1998-10-12	PRIJEM	VKLAD	1600	61283	\N	\N	\N
3282212	10905	1998-11-11	VYDAJ	VYBER KARTOU	200	64642	\N	\N	0
3282213	10905	1998-12-11	VYDAJ	VYBER KARTOU	1400	71392	\N	\N	0
3282239	10906	1993-11-14	PRIJEM	VKLAD	900	900	\N	\N	\N
3282249	10906	1993-12-22	PRIJEM	VKLAD	41738	56138	\N	\N	\N
3282256	10906	1994-04-30	PRIJEM	VKLAD	38960	70349	\N	\N	\N
3282257	10906	1994-08-08	PRIJEM	VKLAD	35512	110984	\N	\N	\N
3282258	10906	1994-04-01	PRIJEM	VKLAD	20577	80855	\N	\N	\N
3282259	10906	1994-03-01	PRIJEM	VKLAD	8511	77229	\N	\N	\N
3282260	10906	1994-09-20	PRIJEM	VKLAD	33618	59249	\N	\N	\N
3282261	10906	1994-04-09	PRIJEM	VKLAD	45308	113641	\N	\N	\N
3282262	10906	1994-07-14	PRIJEM	VKLAD	44622	65290	\N	\N	\N
3282263	10906	1994-03-11	PRIJEM	VKLAD	7872	85101	\N	\N	\N
3282264	10906	1994-03-13	PRIJEM	VKLAD	9448	94549	\N	\N	\N
3282265	10906	1994-08-05	PRIJEM	VKLAD	22066	75472	\N	\N	\N
3282266	10906	1994-11-15	PRIJEM	VKLAD	8982	35874	\N	\N	\N
3282267	10906	1994-02-20	PRIJEM	VKLAD	33971	68386	\N	\N	\N
3282268	10906	1995-01-20	PRIJEM	VKLAD	32531	32251	\N	\N	\N
3282269	10906	1995-04-22	PRIJEM	VKLAD	18254	94258	\N	\N	\N
3282270	10906	1995-11-04	PRIJEM	VKLAD	39406	87035	\N	\N	\N
3282271	10906	1995-08-30	PRIJEM	VKLAD	24072	66527	\N	\N	\N
3282272	10906	1995-03-06	PRIJEM	VKLAD	37299	106154	\N	\N	\N
3282273	10906	1995-10-28	PRIJEM	VKLAD	9881	13231	\N	\N	\N
3282274	10906	1995-04-11	PRIJEM	VKLAD	42485	99428	\N	\N	\N
3282275	10906	1995-06-19	PRIJEM	VKLAD	37765	95930	\N	\N	\N
3282276	10906	1995-10-29	PRIJEM	VKLAD	34366	47597	\N	\N	\N
3282277	10906	1995-05-20	PRIJEM	VKLAD	17982	71267	\N	\N	\N
3282278	10906	1995-08-13	PRIJEM	VKLAD	20867	42455	\N	\N	\N
3282279	10906	1995-04-05	PRIJEM	VKLAD	27470	89043	\N	\N	\N
3282280	10906	1995-06-02	PRIJEM	VKLAD	25073	122065	\N	\N	\N
3282281	10906	1995-09-06	PRIJEM	VKLAD	9620	52924	\N	\N	\N
3282282	10906	1995-02-18	PRIJEM	VKLAD	38120	65062	\N	\N	\N
3282283	10906	1995-05-28	PRIJEM	VKLAD	25289	96556	\N	\N	\N
3282284	10906	1995-03-10	PRIJEM	VKLAD	28338	95492	\N	\N	\N
3282285	10906	1995-11-12	PRIJEM	VKLAD	20063	70298	\N	\N	\N
3282286	10906	1995-03-02	PRIJEM	VKLAD	6638	71960	\N	\N	\N
3282287	10906	1995-12-16	PRIJEM	VKLAD	7777	34720	\N	\N	\N
3282288	10906	1996-10-13	PRIJEM	VKLAD	36608	70312	\N	\N	\N
3282289	10906	1996-06-12	PRIJEM	VKLAD	6886	26117	\N	\N	\N
3282290	10906	1996-01-28	PRIJEM	VKLAD	33308	37684	\N	\N	\N
3282291	10906	1996-02-19	PRIJEM	VKLAD	13855	31311	\N	\N	\N
3282292	10906	1996-10-06	PRIJEM	VKLAD	21075	33704	\N	\N	\N
3282293	10906	1997-07-10	PRIJEM	VKLAD	41191	84348	\N	\N	\N
3282294	10906	1997-01-30	PRIJEM	VKLAD	5247	54435	\N	\N	\N
3282295	10906	1997-11-15	PRIJEM	VKLAD	48837	110583	\N	\N	\N
3282296	10906	1997-07-13	PRIJEM	VKLAD	32421	116769	\N	\N	\N
3282297	10906	1997-06-03	PRIJEM	VKLAD	8657	72684	\N	\N	\N
3282298	10906	1997-10-13	PRIJEM	VKLAD	33105	82485	\N	\N	\N
3282299	10906	1997-10-22	PRIJEM	VKLAD	35581	101348	\N	\N	\N
3282300	10906	1997-04-26	PRIJEM	VKLAD	12302	81124	\N	\N	\N
3282301	10906	1997-12-22	PRIJEM	VKLAD	45249	93951	\N	\N	\N
3282302	10906	1997-03-08	PRIJEM	VKLAD	26385	70298	\N	\N	\N
3282303	10906	1997-01-14	PRIJEM	VKLAD	10647	33511	\N	\N	\N
3282304	10906	1997-01-12	PRIJEM	VKLAD	17864	24664	\N	\N	\N
3282305	10906	1997-06-02	PRIJEM	VKLAD	5003	64027	\N	\N	\N
3282306	10906	1997-05-11	PRIJEM	VKLAD	21406	66106	\N	\N	\N
3282307	10906	1997-04-07	PRIJEM	VKLAD	30923	68822	\N	\N	\N
3282308	10906	1997-01-15	PRIJEM	VKLAD	21093	52504	\N	\N	\N
3282309	10906	1997-01-22	PRIJEM	VKLAD	40784	93288	\N	\N	\N
3282310	10906	1997-02-02	PRIJEM	VKLAD	43943	98712	\N	\N	\N
3282311	10906	1997-07-13	PRIJEM	VKLAD	13373	130142	\N	\N	\N
3282312	10906	1997-08-31	PRIJEM	VKLAD	39676	75925	\N	\N	\N
3282313	10906	1997-10-13	PRIJEM	VKLAD	41782	124267	\N	\N	\N
3282314	10906	1997-05-11	PRIJEM	VKLAD	41724	107830	\N	\N	\N
3282315	10906	1998-06-07	PRIJEM	VKLAD	36410	131758	\N	\N	\N
3282316	10906	1998-03-31	PRIJEM	VKLAD	35820	124599	\N	\N	\N
3282317	10906	1998-10-26	PRIJEM	VKLAD	30166	89193	\N	\N	\N
3282318	10906	1998-12-15	PRIJEM	VKLAD	43720	101553	\N	\N	\N
3282319	10906	1998-04-09	PRIJEM	VKLAD	48119	153704	\N	\N	\N
3282320	10906	1998-05-25	PRIJEM	VKLAD	41932	94900	\N	\N	\N
3282321	10906	1998-09-30	PRIJEM	VKLAD	46722	93042	\N	\N	\N
3282322	10906	1998-05-19	PRIJEM	VKLAD	26655	83268	\N	\N	\N
3282323	10906	1998-09-20	PRIJEM	VKLAD	19913	46140	\N	\N	\N
3282324	10906	1998-03-26	PRIJEM	VKLAD	16461	48200	\N	\N	\N
3282325	10906	1998-03-27	PRIJEM	VKLAD	27944	76144	\N	\N	\N
3282326	10906	1998-06-27	PRIJEM	VKLAD	41740	60698	\N	\N	\N
3282327	10906	1998-03-30	PRIJEM	VKLAD	12458	88602	\N	\N	\N
3282328	10906	1998-11-06	PRIJEM	VKLAD	10407	99988	\N	\N	\N
3282329	10906	1998-03-08	PRIJEM	VKLAD	27819	41539	\N	\N	\N
3282330	10906	1994-04-03	VYBER	VYBER	6522	74333	\N	\N	\N
3282332	10906	1994-05-24	VYBER	VYBER	7773	28195	\N	\N	\N
3282333	10906	1994-07-17	VYBER	VYBER	12220	53070	\N	\N	\N
3282334	10906	1994-05-21	VYBER	VYBER	11993	35968	\N	\N	\N
3282335	10906	1994-12-14	VYBER	VYBER	4253	15028	\N	\N	\N
3282336	10906	1994-07-06	VYBER	VYBER	9794	17268	\N	\N	\N
3282338	10906	1994-04-09	VYBER	VYBER	5558	108083	\N	\N	\N
3282339	10906	1994-04-15	VYBER	VYBER	20303	31180	\N	\N	\N
3282340	10906	1994-09-06	VYBER	VYBER	14919	21731	\N	\N	\N
3282342	10906	1994-11-16	VYBER	VYBER	21999	13875	\N	\N	\N
3282343	10906	1994-09-30	VYBER	VYBER	7200	38208	\N	\N	\N
3282344	10906	1995-04-21	VYBER	VYBER	23424	76004	\N	\N	\N
3282345	10906	1995-03-03	VYBER	VYBER	3105	68855	\N	\N	\N
3282346	10906	1995-09-13	VYBER	VYBER	23437	6674	\N	\N	\N
3282347	10906	1995-09-11	VYBER	VYBER	22813	30111	\N	\N	\N
3282348	10906	1995-12-06	VYBER	VYBER	9190	26943	\N	\N	\N
3282349	10906	1995-03-22	VYBER	VYBER	9964	71728	\N	\N	\N
3282351	10906	1996-05-22	VYBER	VYBER	3570	14961	\N	\N	\N
3282353	10906	1996-02-17	VYBER	VYBER	8333	17456	\N	\N	\N
3282354	10906	1996-12-26	VYBER	VYBER	14824	12921	\N	\N	\N
3282356	10906	1997-02-25	VYBER	VYBER	11970	78342	\N	\N	\N
3282359	10906	1995-06-22	VYDAJ	VYBER	34200	61730	\N	\N	\N
3282360	10906	1996-06-27	VYDAJ	VYBER	9600	10817	\N	\N	\N
3282362	10906	1998-06-10	VYDAJ	VYBER	64200	18058	\N	\N	\N
3282365	10906	1995-01-10	VYDAJ	VYBER	3900	8120	\N	\N	\N
3282366	10906	1996-01-25	VYDAJ	VYBER	3000	4376	\N	\N	\N
3282368	10906	1998-01-19	VYDAJ	VYBER	29100	14192	\N	\N	\N
3282381	10906	1995-01-03	VYDAJ	VYBER	1500	13620	\N	\N	\N
3282382	10906	1995-01-03	VYDAJ	VYBER	5400	8220	\N	\N	\N
3282383	10906	1995-01-17	VYDAJ	VYBER	8400	-280	\N	\N	\N
3282384	10906	1995-01-04	VYDAJ	VYBER	6900	1320	\N	\N	\N
3282385	10906	1995-01-23	VYDAJ	VYBER	4200	28051	\N	\N	\N
3282388	10906	1996-01-16	VYDAJ	VYBER	6900	16076	\N	\N	\N
3282389	10906	1996-01-13	VYDAJ	VYBER	4500	22976	\N	\N	\N
3282390	10906	1996-01-28	VYDAJ	VYBER	2100	35584	\N	\N	\N
3282391	10906	1996-01-20	VYDAJ	VYBER	8700	7376	\N	\N	\N
3282393	10906	1997-01-27	VYDAJ	VYBER	4500	88788	\N	\N	\N
3282394	10906	1997-01-03	VYDAJ	VYBER	6900	6800	\N	\N	\N
3282396	10906	1997-01-13	VYDAJ	VYBER	1800	22864	\N	\N	\N
3282397	10906	1997-01-14	VYDAJ	VYBER	2100	31411	\N	\N	\N
3282399	10906	1998-01-26	VYDAJ	VYBER	3000	14792	\N	\N	\N
3282400	10906	1998-01-12	VYDAJ	VYBER	5700	45092	\N	\N	\N
3282401	10906	1998-01-08	VYDAJ	VYBER	3000	53492	\N	\N	\N
3282402	10906	1998-01-11	VYDAJ	VYBER	2700	50792	\N	\N	\N
3282403	10906	1998-01-21	VYDAJ	VYBER	2100	12092	\N	\N	\N
3282404	10906	1998-01-13	VYDAJ	VYBER	1800	43292	\N	\N	\N
3282411	10906	1994-04-05	VYDAJ	VYBER	6000	68333	\N	\N	\N
3282412	10906	1994-10-12	VYDAJ	VYBER	3000	31693	\N	\N	\N
3282413	10906	1994-08-16	VYDAJ	VYBER	13200	36284	\N	\N	\N
3282414	10906	1994-09-25	VYDAJ	VYBER	14100	45149	\N	\N	\N
3282415	10906	1995-03-19	VYDAJ	VYBER	13800	81692	\N	\N	\N
3282416	10906	1995-04-24	VYDAJ	VYBER	13500	80758	\N	\N	\N
3282417	10906	1995-11-20	VYDAJ	VYBER	9000	61298	\N	\N	\N
3282418	10906	1995-04-01	VYDAJ	VYBER	10800	61573	\N	\N	\N
3282419	10906	1995-07-12	VYDAJ	VYBER	12300	26599	\N	\N	\N
3282420	10906	1995-10-16	VYDAJ	VYBER	11400	3350	\N	\N	\N
3282421	10906	1996-06-21	VYDAJ	VYBER	5700	20417	\N	\N	\N
3282422	10906	1996-04-17	VYDAJ	VYBER	5100	19835	\N	\N	\N
3282423	10906	1996-09-13	VYDAJ	VYBER	11700	4348	\N	\N	\N
3282425	10906	1996-05-16	VYDAJ	VYBER	3600	18531	\N	\N	\N
3282426	10906	1997-11-23	VYDAJ	VYBER	5400	62783	\N	\N	\N
3282427	10906	1997-12-05	VYDAJ	VYBER	14400	48702	\N	\N	\N
3282428	10906	1997-08-22	VYDAJ	VYBER	1800	53576	\N	\N	\N
3282429	10906	1997-02-02	VYDAJ	VYBER	8400	90312	\N	\N	\N
3282430	10906	1998-09-04	VYDAJ	VYBER	6600	25627	\N	\N	\N
3282431	10906	1998-06-22	VYDAJ	VYBER	3900	18958	\N	\N	\N
3282432	10906	1998-07-18	VYDAJ	VYBER	5400	55546	\N	\N	\N
3282433	10906	1998-01-03	VYDAJ	VYBER	1500	56492	\N	\N	\N
3282435	10906	1998-04-17	VYDAJ	VYBER	7200	92804	\N	\N	\N
3282451	10906	1994-03-31	VYDAJ	VYBER	15	60278	SLUZBY	\N	\N
3282452	10906	1994-04-30	VYDAJ	VYBER	15	70561	SLUZBY	\N	\N
3282453	10906	1994-05-31	VYDAJ	VYBER	15	28645	SLUZBY	\N	\N
3282454	10906	1994-06-30	VYDAJ	VYBER	15	27062	SLUZBY	\N	\N
3282455	10906	1994-07-31	VYDAJ	VYBER	15	53406	SLUZBY	\N	\N
3282456	10906	1994-08-31	VYDAJ	VYBER	15	36650	SLUZBY	\N	\N
3282457	10906	1994-09-30	VYDAJ	VYBER	15	38193	SLUZBY	\N	\N
3282458	10906	1994-10-31	VYDAJ	VYBER	15	31892	SLUZBY	\N	\N
3282459	10906	1994-11-30	VYDAJ	VYBER	15	13981	SLUZBY	\N	\N
3282460	10906	1994-12-31	VYDAJ	VYBER	15	15120	SLUZBY	\N	\N
3282461	10906	1995-01-31	VYDAJ	VYBER	15	28142	SLUZBY	\N	\N
3282462	10906	1995-02-28	VYDAJ	VYBER	15	65322	SLUZBY	\N	\N
3282463	10906	1995-03-31	VYDAJ	VYBER	15	72373	SLUZBY	\N	\N
3282464	10906	1995-04-30	VYDAJ	VYBER	15	81385	SLUZBY	\N	\N
3282465	10906	1995-05-31	VYDAJ	VYBER	15	96992	SLUZBY	\N	\N
3282466	10906	1995-06-30	VYDAJ	VYBER	15	62299	SLUZBY	\N	\N
3282467	10906	1995-07-31	VYDAJ	VYBER	15	26888	SLUZBY	\N	\N
3282468	10906	1995-08-31	VYDAJ	VYBER	15	66804	SLUZBY	\N	\N
3282469	10906	1995-09-30	VYDAJ	VYBER	15	6850	SLUZBY	\N	\N
3282470	10906	1995-10-31	VYDAJ	VYBER	15	47629	SLUZBY	\N	\N
3282471	10906	1995-11-30	VYDAJ	VYBER	15	61733	SLUZBY	\N	\N
3282472	10906	1995-12-31	VYDAJ	VYBER	15	34976	SLUZBY	\N	\N
3282473	10906	1996-01-31	VYDAJ	VYBER	15	35689	SLUZBY	\N	\N
3282474	10906	1996-02-29	VYDAJ	VYBER	15	31535	SLUZBY	\N	\N
3282475	10906	1996-03-31	VYDAJ	VYBER	15	26835	SLUZBY	\N	\N
3282476	10906	1996-04-30	VYDAJ	VYBER	15	19931	SLUZBY	\N	\N
3282477	10906	1996-05-31	VYDAJ	VYBER	15	15031	SLUZBY	\N	\N
3282478	10906	1996-06-30	VYDAJ	VYBER	15	10909	SLUZBY	\N	\N
3282479	10906	1996-07-31	VYDAJ	VYBER	15	17154	SLUZBY	\N	\N
3282480	10906	1996-08-31	VYDAJ	VYBER	15	16048	SLUZBY	\N	\N
3282481	10906	1996-09-30	VYDAJ	VYBER	15	12629	SLUZBY	\N	\N
3282482	10906	1996-10-31	VYDAJ	VYBER	15	45128	SLUZBY	\N	\N
3282483	10906	1996-11-30	VYDAJ	VYBER	15	27745	SLUZBY	\N	\N
3282484	10906	1996-12-31	VYDAJ	VYBER	15	13700	SLUZBY	\N	\N
3282485	10906	1997-01-31	VYDAJ	VYBER	15	54769	SLUZBY	\N	\N
3282486	10906	1997-02-28	VYDAJ	VYBER	15	43913	SLUZBY	\N	\N
3282487	10906	1997-03-31	VYDAJ	VYBER	15	37899	SLUZBY	\N	\N
3282488	10906	1997-04-30	VYDAJ	VYBER	15	44700	SLUZBY	\N	\N
3282489	10906	1997-05-31	VYDAJ	VYBER	15	59024	SLUZBY	\N	\N
3282490	10906	1997-06-30	VYDAJ	VYBER	15	43157	SLUZBY	\N	\N
3282491	10906	1997-07-31	VYDAJ	VYBER	15	55376	SLUZBY	\N	\N
3282492	10906	1997-08-31	VYDAJ	VYBER	15	75910	SLUZBY	\N	\N
3282493	10906	1997-09-30	VYDAJ	VYBER	15	49380	SLUZBY	\N	\N
3282494	10906	1997-10-31	VYDAJ	VYBER	15	61746	SLUZBY	\N	\N
3282495	10906	1997-11-30	VYDAJ	VYBER	15	63102	SLUZBY	\N	\N
3282496	10906	1997-12-31	VYDAJ	VYBER	15	57992	SLUZBY	\N	\N
3282497	10906	1998-01-31	VYDAJ	VYBER	15	14972	SLUZBY	\N	\N
3282498	10906	1998-02-28	VYDAJ	VYBER	15	13720	SLUZBY	\N	\N
3282499	10906	1998-03-31	VYDAJ	VYBER	15	105585	SLUZBY	\N	\N
3282500	10906	1998-04-30	VYDAJ	VYBER	15	56613	SLUZBY	\N	\N
3282501	10906	1998-05-31	VYDAJ	VYBER	15	95348	SLUZBY	\N	\N
3282502	10906	1998-06-30	VYDAJ	VYBER	15	60946	SLUZBY	\N	\N
3282503	10906	1998-07-31	VYDAJ	VYBER	15	41506	SLUZBY	\N	\N
3282504	10906	1998-08-31	VYDAJ	VYBER	15	32227	SLUZBY	\N	\N
3282505	10906	1998-09-30	VYDAJ	VYBER	15	93027	SLUZBY	\N	\N
3282506	10906	1998-10-31	VYDAJ	VYBER	15	89581	SLUZBY	\N	\N
3282507	10906	1998-11-30	VYDAJ	VYBER	15	57833	SLUZBY	\N	\N
3282508	10906	1993-12-14	PRIJEM	VKLAD	13500	14400	\N	\N	\N
3282509	10906	1994-01-13	VYDAJ	VYBER	14700	41581	\N	\N	\N
3282510	10906	1994-02-12	VYDAJ	VYBER	7400	34415	\N	\N	\N
3282511	10906	1994-03-14	VYDAJ	VYBER	34700	59849	\N	\N	\N
3282512	10906	1994-04-09	VYDAJ	VYBER	28800	79283	\N	\N	\N
3282513	10906	1994-04-13	VYDAJ	VYBER	27800	51483	\N	\N	\N
3282514	10906	1994-05-13	VYDAJ	VYBER	22600	47961	\N	\N	\N
3282515	10906	1994-06-12	VYDAJ	VYBER	1800	26845	\N	\N	\N
3282516	10906	1994-07-12	PRIJEM	VKLAD	3400	20668	\N	\N	\N
3282517	10906	1994-08-08	VYDAJ	VYBER	43100	67884	\N	\N	\N
3282518	10906	1994-08-11	VYDAJ	VYBER	18400	49484	\N	\N	\N
3282519	10906	1994-09-10	PRIJEM	VKLAD	3900	25631	\N	\N	\N
3282520	10906	1994-10-10	VYDAJ	VYBER	3500	34693	\N	\N	\N
3282521	10906	1994-11-09	VYDAJ	VYBER	5000	26892	\N	\N	\N
3282522	10906	1994-12-09	PRIJEM	VKLAD	5300	19281	\N	\N	\N
3282523	10906	1995-01-08	PRIJEM	VKLAD	10700	12020	\N	\N	\N
3282524	10906	1995-02-07	VYDAJ	VYBER	1200	26942	\N	\N	\N
3282525	10906	1995-03-09	VYDAJ	VYBER	39000	67154	\N	\N	\N
3282526	10906	1995-04-08	VYDAJ	VYBER	32100	56943	\N	\N	\N
3282527	10906	1995-05-08	VYDAJ	VYBER	28100	53285	\N	\N	\N
3282528	10906	1995-06-02	VYDAJ	VYBER	29200	92865	\N	\N	\N
3282529	10906	1995-06-07	VYDAJ	VYBER	34700	58165	\N	\N	\N
3282530	10906	1995-07-07	VYDAJ	VYBER	23400	38899	\N	\N	\N
3282531	10906	1995-08-06	VYDAJ	VYBER	5300	21588	\N	\N	\N
3282532	10906	1995-09-05	VYDAJ	VYBER	23500	43304	\N	\N	\N
3282533	10906	1995-10-05	PRIJEM	VKLAD	7900	14750	\N	\N	\N
3282534	10906	1995-11-04	VYDAJ	VYBER	36800	50235	\N	\N	\N
3282535	10906	1995-12-04	VYDAJ	VYBER	25600	36133	\N	\N	\N
3282536	10906	1996-01-03	VYDAJ	VYBER	7500	27476	\N	\N	\N
3282537	10906	1996-02-02	VYDAJ	VYBER	9900	25789	\N	\N	\N
3282538	10906	1996-03-03	VYDAJ	VYBER	4800	26735	\N	\N	\N
3282539	10906	1996-04-02	VYDAJ	VYBER	1900	24935	\N	\N	\N
3282540	10906	1996-05-02	PRIJEM	VKLAD	2200	22131	\N	\N	\N
3282541	10906	1996-06-01	PRIJEM	VKLAD	4200	19231	\N	\N	\N
3282542	10906	1996-07-01	PRIJEM	VKLAD	6200	17109	\N	\N	\N
3282543	10906	1996-07-31	VYDAJ	VYBER	1000	16154	\N	\N	\N
3282544	10906	1996-08-30	VYDAJ	VYBER	200	15954	\N	\N	\N
3282545	10906	1996-09-29	PRIJEM	VKLAD	8200	12548	\N	\N	\N
3282546	10906	1996-10-29	VYDAJ	VYBER	25500	44812	\N	\N	\N
3282547	10906	1996-11-28	VYDAJ	VYBER	17700	27428	\N	\N	\N
3282548	10906	1996-12-28	PRIJEM	VKLAD	700	13621	\N	\N	\N
3282549	10906	1997-01-27	VYDAJ	VYBER	39600	49188	\N	\N	\N
3282550	10906	1997-02-26	VYDAJ	VYBER	35100	43242	\N	\N	\N
3282551	10906	1997-03-28	VYDAJ	VYBER	32700	37598	\N	\N	\N
3282552	10906	1997-04-27	VYDAJ	VYBER	36700	44424	\N	\N	\N
3282553	10906	1997-05-27	VYDAJ	VYBER	49400	58430	\N	\N	\N
3282554	10906	1997-06-26	VYDAJ	VYBER	30000	42684	\N	\N	\N
3282555	10906	1997-07-13	VYDAJ	VYBER	35600	94542	\N	\N	\N
3282556	10906	1997-07-26	VYDAJ	VYBER	39700	54842	\N	\N	\N
3282557	10906	1997-08-25	VYDAJ	VYBER	17700	35876	\N	\N	\N
3282558	10906	1997-09-24	VYDAJ	VYBER	26800	49110	\N	\N	\N
3282559	10906	1997-10-13	VYDAJ	VYBER	58500	65767	\N	\N	\N
3282560	10906	1997-10-24	VYDAJ	VYBER	40000	61348	\N	\N	\N
3282561	10906	1997-11-23	VYDAJ	VYBER	42400	68183	\N	\N	\N
3282562	10906	1997-12-23	VYDAJ	VYBER	36400	57551	\N	\N	\N
3282563	10906	1998-01-22	PRIJEM	VKLAD	5700	17792	\N	\N	\N
3282564	10906	1998-02-21	VYDAJ	VYBER	1300	13672	\N	\N	\N
3282565	10906	1998-03-23	VYDAJ	VYBER	9800	31739	\N	\N	\N
3282566	10906	1998-03-31	VYDAJ	VYBER	19000	105599	\N	\N	\N
3282567	10906	1998-04-09	VYDAJ	VYBER	53700	100004	\N	\N	\N
3282568	10906	1998-04-22	VYDAJ	VYBER	37000	55804	\N	\N	\N
3282569	10906	1998-05-22	VYDAJ	VYBER	30300	52968	\N	\N	\N
3282570	10906	1998-06-07	VYDAJ	VYBER	49500	82258	\N	\N	\N
3282571	10906	1998-06-21	PRIJEM	VKLAD	4800	22858	\N	\N	\N
3282572	10906	1998-07-21	VYDAJ	VYBER	14400	41146	\N	\N	\N
3282573	10906	1998-08-20	VYDAJ	VYBER	9400	32106	\N	\N	\N
3282574	10906	1998-09-19	PRIJEM	VKLAD	600	26227	\N	\N	\N
3282575	10906	1998-10-19	VYDAJ	VYBER	34000	59027	\N	\N	\N
3282576	10906	1998-11-18	VYDAJ	VYBER	42500	57488	\N	\N	\N
3284048	10911	1993-05-29	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3284054	10911	1993-06-09	PRIJEM	PREVOD Z UCTU	32823	33823	\N	AB	26012027
3284055	10911	1993-07-09	PRIJEM	PREVOD Z UCTU	21882	50917	\N	AB	26012027
3284056	10911	1993-08-09	PRIJEM	PREVOD Z UCTU	21882	59325	\N	AB	26012027
3284057	10911	1993-09-09	PRIJEM	PREVOD Z UCTU	21882	62564	\N	AB	26012027
3284058	10911	1993-10-09	PRIJEM	PREVOD Z UCTU	21882	61117	\N	AB	26012027
3284059	10911	1993-11-09	PRIJEM	PREVOD Z UCTU	21882	54927	\N	AB	26012027
3284060	10911	1993-12-09	PRIJEM	PREVOD Z UCTU	32823	70288	\N	AB	26012027
3284061	10911	1994-01-09	PRIJEM	PREVOD Z UCTU	21882	43425	\N	AB	26012027
3284062	10911	1994-02-09	PRIJEM	PREVOD Z UCTU	21882	39779	\N	AB	26012027
3284063	10911	1994-03-09	PRIJEM	PREVOD Z UCTU	21882	52041	\N	AB	26012027
3284064	10911	1994-04-09	PRIJEM	PREVOD Z UCTU	21882	45115	\N	AB	26012027
3284065	10911	1994-05-09	PRIJEM	PREVOD Z UCTU	21882	52095	\N	AB	26012027
3284066	10911	1994-06-09	PRIJEM	PREVOD Z UCTU	32823	52529	\N	AB	26012027
3284067	10911	1994-07-09	PRIJEM	PREVOD Z UCTU	21882	42173	\N	AB	26012027
3284068	10911	1994-08-09	PRIJEM	PREVOD Z UCTU	21882	42838	\N	AB	26012027
3284069	10911	1994-09-09	PRIJEM	PREVOD Z UCTU	21882	48843	\N	AB	26012027
3284070	10911	1994-10-09	PRIJEM	PREVOD Z UCTU	21882	46263	\N	AB	26012027
3284071	10911	1994-11-09	PRIJEM	PREVOD Z UCTU	21882	52582	\N	AB	26012027
3284072	10911	1994-12-09	PRIJEM	PREVOD Z UCTU	32823	68065	\N	AB	26012027
3284073	10911	1995-01-09	PRIJEM	PREVOD Z UCTU	21882	54529	\N	AB	26012027
3284074	10911	1995-02-09	PRIJEM	PREVOD Z UCTU	21882	42955	\N	AB	26012027
3284075	10911	1995-03-09	PRIJEM	PREVOD Z UCTU	21882	49358	\N	AB	26012027
3284076	10911	1995-04-09	PRIJEM	PREVOD Z UCTU	21882	55990	\N	AB	26012027
3284077	10911	1995-05-09	PRIJEM	PREVOD Z UCTU	21882	57740	\N	AB	26012027
3284078	10911	1995-06-09	PRIJEM	PREVOD Z UCTU	32823	70137	\N	AB	26012027
3284079	10911	1995-07-09	PRIJEM	PREVOD Z UCTU	21882	43202	\N	AB	26012027
3284080	10911	1995-08-09	PRIJEM	PREVOD Z UCTU	21882	52011	\N	AB	26012027
3284081	10911	1995-09-09	PRIJEM	PREVOD Z UCTU	21882	44023	\N	AB	26012027
3284082	10911	1995-10-09	PRIJEM	PREVOD Z UCTU	21882	53335	\N	AB	26012027
3284083	10911	1995-11-09	PRIJEM	PREVOD Z UCTU	21882	59880	\N	AB	26012027
3284084	10911	1995-12-09	PRIJEM	PREVOD Z UCTU	32823	69880	\N	AB	26012027
3284085	10911	1996-01-09	PRIJEM	PREVOD Z UCTU	21882	47158	\N	AB	26012027
3284086	10911	1996-02-09	PRIJEM	PREVOD Z UCTU	21882	44878	\N	AB	26012027
3284087	10911	1996-03-09	PRIJEM	PREVOD Z UCTU	21882	52187	\N	AB	26012027
3284088	10911	1996-04-09	PRIJEM	PREVOD Z UCTU	21882	57924	\N	AB	26012027
3284089	10911	1996-05-09	PRIJEM	PREVOD Z UCTU	21882	47401	\N	AB	26012027
3284090	10911	1996-06-09	PRIJEM	PREVOD Z UCTU	32823	66363	\N	AB	26012027
3284091	10911	1996-07-09	PRIJEM	PREVOD Z UCTU	21882	42785	\N	AB	26012027
3284092	10911	1996-08-09	PRIJEM	PREVOD Z UCTU	21882	52893	\N	AB	26012027
3284093	10911	1996-09-09	PRIJEM	PREVOD Z UCTU	21882	56826	\N	AB	26012027
3284094	10911	1996-10-09	PRIJEM	PREVOD Z UCTU	21882	56564	\N	AB	26012027
3284095	10911	1996-11-09	PRIJEM	PREVOD Z UCTU	21882	45692	\N	AB	26012027
3284096	10911	1996-12-09	PRIJEM	PREVOD Z UCTU	32823	54348	\N	AB	26012027
3284097	10911	1997-01-09	PRIJEM	PREVOD Z UCTU	21882	46104	\N	AB	26012027
3284098	10911	1997-02-09	PRIJEM	PREVOD Z UCTU	21882	48201	\N	AB	26012027
3284099	10911	1997-03-09	PRIJEM	PREVOD Z UCTU	21882	59232	\N	AB	26012027
3284100	10911	1997-04-09	PRIJEM	PREVOD Z UCTU	21882	44951	\N	AB	26012027
3284101	10911	1997-05-09	PRIJEM	PREVOD Z UCTU	21882	55474	\N	AB	26012027
3284102	10911	1997-06-09	PRIJEM	PREVOD Z UCTU	32823	62987	\N	AB	26012027
3284103	10911	1997-07-09	PRIJEM	PREVOD Z UCTU	21882	53618	\N	AB	26012027
3284104	10911	1997-08-09	PRIJEM	PREVOD Z UCTU	21882	53456	\N	AB	26012027
3284105	10911	1997-09-09	PRIJEM	PREVOD Z UCTU	21882	50471	\N	AB	26012027
3284106	10911	1997-10-09	PRIJEM	PREVOD Z UCTU	21882	61640	\N	AB	26012027
3284107	10911	1997-11-09	PRIJEM	PREVOD Z UCTU	21882	67873	\N	AB	26012027
3284108	10911	1997-12-09	PRIJEM	PREVOD Z UCTU	32823	71550	\N	AB	26012027
3284109	10911	1998-01-09	PRIJEM	PREVOD Z UCTU	21882	60525	\N	AB	26012027
3284110	10911	1998-02-09	PRIJEM	PREVOD Z UCTU	21882	53361	\N	AB	26012027
3284111	10911	1998-03-09	PRIJEM	PREVOD Z UCTU	21882	64875	\N	AB	26012027
3284112	10911	1998-04-09	PRIJEM	PREVOD Z UCTU	21882	60020	\N	AB	26012027
3284113	10911	1998-05-09	PRIJEM	PREVOD Z UCTU	21882	59143	\N	AB	26012027
3284114	10911	1998-06-09	PRIJEM	PREVOD Z UCTU	32823	74833	\N	AB	26012027
3284115	10911	1998-07-09	PRIJEM	PREVOD Z UCTU	21882	64347	\N	AB	26012027
3284116	10911	1998-08-09	PRIJEM	PREVOD Z UCTU	21882	57728	\N	AB	26012027
3284117	10911	1998-09-09	PRIJEM	PREVOD Z UCTU	21882	49903	\N	AB	26012027
3284118	10911	1998-10-09	PRIJEM	PREVOD Z UCTU	21882	53988	\N	AB	26012027
3284119	10911	1998-11-09	PRIJEM	PREVOD Z UCTU	21882	66608	\N	AB	26012027
3284120	10911	1998-12-09	PRIJEM	PREVOD Z UCTU	32823	78010	\N	AB	26012027
3284130	10911	1993-10-02	VYDAJ	VYBER	4200	39235	\N	\N	0
3284131	10911	1993-11-02	VYDAJ	VYBER	4100	33045	\N	\N	0
3284132	10911	1993-12-12	VYDAJ	VYBER	4000	58976	\N	\N	0
3284133	10911	1994-01-10	VYDAJ	VYBER	3200	37225	\N	\N	0
3284134	10911	1994-02-04	VYDAJ	VYBER	3500	17897	\N	\N	0
3284135	10911	1994-03-18	VYDAJ	VYBER	4000	28729	\N	\N	0
3284136	10911	1994-04-05	VYDAJ	VYBER	4400	23233	\N	\N	0
3284137	10911	1994-05-15	VYDAJ	VYBER	2900	41883	\N	\N	0
3284138	10911	1994-06-05	VYDAJ	VYBER	3500	19706	\N	\N	0
3284139	10911	1994-07-05	VYDAJ	VYBER	3200	20291	\N	\N	0
3284140	10911	1994-08-12	VYDAJ	PREVOD NA UCET	3647	31879	UVER	QR	35383486
3284141	10911	1994-09-12	VYDAJ	PREVOD NA UCET	3647	37884	UVER	QR	35383486
3284142	10911	1994-10-12	VYDAJ	PREVOD NA UCET	3647	35304	UVER	QR	35383486
3284143	10911	1994-11-12	VYDAJ	PREVOD NA UCET	3647	41623	UVER	QR	35383486
3284144	10911	1994-12-12	VYDAJ	PREVOD NA UCET	3647	51106	UVER	QR	35383486
3284145	10911	1995-01-12	VYDAJ	PREVOD NA UCET	3647	41170	UVER	QR	35383486
3284146	10911	1995-02-12	VYDAJ	PREVOD NA UCET	3647	31996	UVER	QR	35383486
3284147	10911	1995-03-12	VYDAJ	PREVOD NA UCET	3647	38399	UVER	QR	35383486
3284148	10911	1995-04-12	VYDAJ	PREVOD NA UCET	3647	45031	UVER	QR	35383486
3284149	10911	1995-05-12	VYDAJ	PREVOD NA UCET	3647	46781	UVER	QR	35383486
3284150	10911	1995-06-12	VYDAJ	PREVOD NA UCET	3647	59178	UVER	QR	35383486
3284151	10911	1995-07-12	VYDAJ	PREVOD NA UCET	3647	32243	UVER	QR	35383486
3284152	10911	1995-08-12	VYDAJ	PREVOD NA UCET	3647	41052	UVER	QR	35383486
3284153	10911	1995-09-12	VYDAJ	PREVOD NA UCET	3647	33064	UVER	QR	35383486
3284154	10911	1995-10-12	VYDAJ	PREVOD NA UCET	3647	42376	UVER	QR	35383486
3284155	10911	1995-11-12	VYDAJ	PREVOD NA UCET	3647	48921	UVER	QR	35383486
3284156	10911	1995-12-12	VYDAJ	PREVOD NA UCET	3647	55921	UVER	QR	35383486
3284157	10911	1996-01-12	VYDAJ	PREVOD NA UCET	3647	31399	UVER	QR	35383486
3284158	10911	1996-02-12	VYDAJ	PREVOD NA UCET	3647	33919	UVER	QR	35383486
3284159	10911	1996-03-12	VYDAJ	PREVOD NA UCET	3647	41228	UVER	QR	35383486
3284160	10911	1996-04-12	VYDAJ	PREVOD NA UCET	3647	46965	UVER	QR	35383486
3284161	10911	1996-05-12	VYDAJ	PREVOD NA UCET	3647	33436	UVER	QR	35383486
3284162	10911	1996-06-12	VYDAJ	PREVOD NA UCET	3647	45804	UVER	QR	35383486
3284163	10911	1996-07-12	VYDAJ	PREVOD NA UCET	3647	31826	UVER	QR	35383486
3284164	10911	1996-08-12	VYDAJ	PREVOD NA UCET	3647	34834	UVER	QR	35383486
3284165	10911	1996-09-12	VYDAJ	PREVOD NA UCET	3647	34567	UVER	QR	35383486
3284166	10911	1996-10-12	VYDAJ	PREVOD NA UCET	3647	31205	UVER	QR	35383486
3284167	10911	1996-11-12	VYDAJ	PREVOD NA UCET	3647	28633	UVER	QR	35383486
3284168	10911	1996-12-12	VYDAJ	PREVOD NA UCET	3647	30989	UVER	QR	35383486
3284169	10911	1997-01-12	VYDAJ	PREVOD NA UCET	3647	29745	UVER	QR	35383486
3284170	10911	1997-02-12	VYDAJ	PREVOD NA UCET	3647	37242	UVER	QR	35383486
3284171	10911	1997-03-12	VYDAJ	PREVOD NA UCET	3647	35173	UVER	QR	35383486
3284172	10911	1997-04-12	VYDAJ	PREVOD NA UCET	3647	33992	UVER	QR	35383486
3284173	10911	1997-05-12	VYDAJ	PREVOD NA UCET	3647	44515	UVER	QR	35383486
3284174	10911	1997-06-12	VYDAJ	PREVOD NA UCET	3647	52028	UVER	QR	35383486
3284175	10911	1997-07-12	VYDAJ	PREVOD NA UCET	3647	42659	UVER	QR	35383486
3284176	10911	1997-08-03	VYDAJ	VYBER	4100	27974	\N	\N	0
3284177	10911	1997-09-02	VYDAJ	VYBER	3200	21289	\N	\N	0
3284178	10911	1997-10-14	VYDAJ	VYBER	4100	50228	\N	\N	0
3284179	10911	1997-11-11	VYDAJ	VYBER	4200	63673	\N	\N	0
3284180	10911	1997-12-16	VYDAJ	VYBER	3400	60838	\N	\N	0
3284181	10911	1998-01-08	VYDAJ	VYBER	3800	38643	\N	\N	0
3284182	10911	1998-02-11	VYDAJ	VYBER	2800	50561	\N	\N	0
3284183	10911	1998-03-15	VYDAJ	VYBER	4300	53263	\N	\N	0
3284184	10911	1998-04-06	VYDAJ	VYBER	3900	38138	\N	\N	0
3284185	10911	1998-05-08	VYDAJ	VYBER	3200	37261	\N	\N	0
3284186	10911	1998-06-17	VYDAJ	VYBER	3800	63721	\N	\N	0
3284187	10911	1998-07-21	VYDAJ	VYBER	3300	34508	\N	\N	0
3284188	10911	1998-08-04	VYDAJ	VYBER	4100	35846	\N	\N	0
3284189	10911	1998-09-06	VYDAJ	VYBER	3200	28021	\N	\N	0
3284190	10911	1998-10-03	VYDAJ	VYBER	3400	32106	\N	\N	0
3284191	10911	1998-11-06	VYDAJ	VYBER	3300	44726	\N	\N	0
3284192	10911	1998-12-13	VYDAJ	VYBER	3700	61298	\N	\N	0
3284202	10911	1993-10-11	VYDAJ	PREVOD NA UCET	7312	53805	SIPO	YZ	70292973
3284203	10911	1993-11-11	VYDAJ	PREVOD NA UCET	7312	47615	SIPO	YZ	70292973
3284204	10911	1993-12-11	VYDAJ	PREVOD NA UCET	7312	62976	SIPO	YZ	70292973
3284205	10911	1994-01-11	VYDAJ	PREVOD NA UCET	7312	29913	SIPO	YZ	70292973
3284206	10911	1994-02-11	VYDAJ	PREVOD NA UCET	7312	32467	SIPO	YZ	70292973
3284207	10911	1994-03-11	VYDAJ	PREVOD NA UCET	7312	44729	SIPO	YZ	70292973
3284208	10911	1994-04-11	VYDAJ	PREVOD NA UCET	7312	37803	SIPO	YZ	70292973
3284209	10911	1994-05-11	VYDAJ	PREVOD NA UCET	7312	44783	SIPO	YZ	70292973
3284210	10911	1994-06-11	VYDAJ	PREVOD NA UCET	7312	21217	SIPO	YZ	70292973
3284211	10911	1994-07-11	VYDAJ	PREVOD NA UCET	7312	34861	SIPO	YZ	70292973
3284212	10911	1994-08-11	VYDAJ	PREVOD NA UCET	7312	35526	SIPO	YZ	70292973
3284213	10911	1994-09-11	VYDAJ	PREVOD NA UCET	7312	41531	SIPO	YZ	70292973
3284214	10911	1994-10-11	VYDAJ	PREVOD NA UCET	7312	38951	SIPO	YZ	70292973
3284215	10911	1994-11-11	VYDAJ	PREVOD NA UCET	7312	45270	SIPO	YZ	70292973
3284216	10911	1994-12-11	VYDAJ	PREVOD NA UCET	7312	60753	SIPO	YZ	70292973
3284217	10911	1995-01-11	VYDAJ	PREVOD NA UCET	7312	44817	SIPO	YZ	70292973
3284218	10911	1995-02-11	VYDAJ	PREVOD NA UCET	7312	35643	SIPO	YZ	70292973
3284219	10911	1995-03-11	VYDAJ	PREVOD NA UCET	7312	42046	SIPO	YZ	70292973
3284220	10911	1995-04-11	VYDAJ	PREVOD NA UCET	7312	48678	SIPO	YZ	70292973
3284221	10911	1995-05-11	VYDAJ	PREVOD NA UCET	7312	50428	SIPO	YZ	70292973
3284222	10911	1995-06-11	VYDAJ	PREVOD NA UCET	7312	62825	SIPO	YZ	70292973
3284223	10911	1995-07-11	VYDAJ	PREVOD NA UCET	7312	35890	SIPO	YZ	70292973
3284224	10911	1995-08-11	VYDAJ	PREVOD NA UCET	7312	44699	SIPO	YZ	70292973
3284225	10911	1995-09-11	VYDAJ	PREVOD NA UCET	7312	36711	SIPO	YZ	70292973
3284226	10911	1995-10-11	VYDAJ	PREVOD NA UCET	7312	46023	SIPO	YZ	70292973
3284227	10911	1995-11-11	VYDAJ	PREVOD NA UCET	7312	52568	SIPO	YZ	70292973
3284228	10911	1995-12-11	VYDAJ	PREVOD NA UCET	7312	62568	SIPO	YZ	70292973
3284229	10911	1996-01-11	VYDAJ	PREVOD NA UCET	7312	35046	SIPO	YZ	70292973
3284230	10911	1996-02-11	VYDAJ	PREVOD NA UCET	7312	37566	SIPO	YZ	70292973
3284231	10911	1996-03-11	VYDAJ	PREVOD NA UCET	7312	44875	SIPO	YZ	70292973
3284232	10911	1996-04-11	VYDAJ	PREVOD NA UCET	7312	50612	SIPO	YZ	70292973
3284233	10911	1996-05-11	VYDAJ	PREVOD NA UCET	7312	37083	SIPO	YZ	70292973
3284234	10911	1996-06-11	VYDAJ	PREVOD NA UCET	7312	59051	SIPO	YZ	70292973
3284235	10911	1996-07-11	VYDAJ	PREVOD NA UCET	7312	35473	SIPO	YZ	70292973
3284236	10911	1996-08-11	VYDAJ	PREVOD NA UCET	7312	45581	SIPO	YZ	70292973
3284237	10911	1996-09-11	VYDAJ	PREVOD NA UCET	7312	38214	SIPO	YZ	70292973
3284238	10911	1996-10-11	VYDAJ	PREVOD NA UCET	7312	34852	SIPO	YZ	70292973
3284239	10911	1996-11-11	VYDAJ	PREVOD NA UCET	7312	32280	SIPO	YZ	70292973
3284240	10911	1996-12-11	VYDAJ	PREVOD NA UCET	7312	34636	SIPO	YZ	70292973
3284241	10911	1997-01-11	VYDAJ	PREVOD NA UCET	7312	33392	SIPO	YZ	70292973
3284242	10911	1997-02-11	VYDAJ	PREVOD NA UCET	7312	40889	SIPO	YZ	70292973
3284243	10911	1997-03-11	VYDAJ	PREVOD NA UCET	7312	38820	SIPO	YZ	70292973
3284244	10911	1997-04-11	VYDAJ	PREVOD NA UCET	7312	37639	SIPO	YZ	70292973
3284245	10911	1997-05-11	VYDAJ	PREVOD NA UCET	7312	48162	SIPO	YZ	70292973
3284246	10911	1997-06-11	VYDAJ	PREVOD NA UCET	7312	55675	SIPO	YZ	70292973
3284247	10911	1997-07-11	VYDAJ	PREVOD NA UCET	7312	46306	SIPO	YZ	70292973
3284248	10911	1997-08-11	VYDAJ	PREVOD NA UCET	7312	39312	SIPO	YZ	70292973
3284249	10911	1997-09-11	VYDAJ	PREVOD NA UCET	7312	43159	SIPO	YZ	70292973
3284250	10911	1997-10-11	VYDAJ	PREVOD NA UCET	7312	54328	SIPO	YZ	70292973
3284251	10911	1997-11-11	VYDAJ	PREVOD NA UCET	7312	56361	SIPO	YZ	70292973
3284252	10911	1997-12-11	VYDAJ	PREVOD NA UCET	7312	64238	SIPO	YZ	70292973
3284253	10911	1998-01-11	VYDAJ	PREVOD NA UCET	7312	40313	SIPO	YZ	70292973
3284254	10911	1998-02-11	VYDAJ	PREVOD NA UCET	7312	43249	SIPO	YZ	70292973
3284255	10911	1998-03-11	VYDAJ	PREVOD NA UCET	7312	57563	SIPO	YZ	70292973
3284256	10911	1998-04-11	VYDAJ	PREVOD NA UCET	7312	52708	SIPO	YZ	70292973
3284257	10911	1998-05-11	VYDAJ	PREVOD NA UCET	7312	51831	SIPO	YZ	70292973
3284258	10911	1998-06-11	VYDAJ	PREVOD NA UCET	7312	67521	SIPO	YZ	70292973
3284259	10911	1998-07-11	VYDAJ	PREVOD NA UCET	7312	57035	SIPO	YZ	70292973
3284260	10911	1998-08-11	VYDAJ	PREVOD NA UCET	7312	50416	SIPO	YZ	70292973
3284261	10911	1998-09-11	VYDAJ	PREVOD NA UCET	7312	42591	SIPO	YZ	70292973
3284262	10911	1998-10-11	VYDAJ	PREVOD NA UCET	7312	46676	SIPO	YZ	70292973
3284263	10911	1998-11-11	VYDAJ	PREVOD NA UCET	7312	59296	SIPO	YZ	70292973
3284264	10911	1998-12-11	VYDAJ	PREVOD NA UCET	7312	64998	SIPO	YZ	70292973
3284276	10911	1993-10-19	VYBER	VYBER	5226	48579	\N	\N	\N
3284281	10911	1996-05-09	VYBER	VYBER	3006	44395	\N	\N	\N
3284282	10911	1996-04-15	VYBER	VYBER	14546	25419	\N	\N	\N
3284283	10911	1996-12-30	VYBER	VYBER	3056	23733	\N	\N	\N
3284285	10911	1996-06-23	VYBER	VYBER	12426	33378	\N	\N	\N
3284286	10911	1997-03-15	VYBER	VYBER	7416	27757	\N	\N	\N
3284287	10911	1997-09-21	VYBER	VYBER	3030	40129	\N	\N	\N
3284288	10911	1997-05-29	VYBER	VYBER	19289	25226	\N	\N	\N
3284289	10911	1997-11-14	VYBER	VYBER	11703	44658	\N	\N	\N
3284290	10911	1997-07-01	VYBER	VYBER	18651	33536	\N	\N	\N
3284291	10911	1997-07-25	VYBER	VYBER	10728	31931	\N	\N	\N
3284292	10911	1997-08-11	VYBER	VYBER	6832	46624	\N	\N	\N
3284293	10911	1997-09-02	VYBER	VYBER	14970	24489	\N	\N	\N
3284294	10911	1997-03-29	VYBER	VYBER	5493	22264	\N	\N	\N
3284296	10911	1998-04-19	VYBER	VYBER	4420	48288	\N	\N	\N
3284297	10911	1998-01-21	VYBER	VYBER	9756	30557	\N	\N	\N
3284298	10911	1998-06-21	VYBER	VYBER	9269	54452	\N	\N	\N
3284299	10911	1998-11-24	VYBER	VYBER	16796	42500	\N	\N	\N
3284300	10911	1998-07-13	VYBER	VYBER	19227	37808	\N	\N	\N
3284301	10911	1998-08-13	VYBER	VYBER	16814	33602	\N	\N	\N
3284304	10911	1994-06-10	VYDAJ	VYBER	24000	28529	\N	\N	\N
3284305	10911	1995-06-27	VYDAJ	VYBER	21000	21178	\N	\N	\N
3284306	10911	1996-06-25	VYDAJ	VYBER	12600	20778	\N	\N	\N
3284310	10911	1994-01-03	VYDAJ	VYBER	9000	30843	\N	\N	\N
3284314	10911	1998-01-04	VYDAJ	VYBER	6000	42443	\N	\N	\N
3284315	10911	1993-12-21	VYDAJ	VYBER	2100	55376	\N	\N	\N
3284316	10911	1994-12-12	VYDAJ	VYBER	6000	54753	\N	\N	\N
3284317	10911	1995-12-12	VYDAJ	VYBER	3000	59568	\N	\N	\N
3284318	10911	1996-12-24	VYDAJ	VYBER	4200	26789	\N	\N	\N
3284319	10911	1997-12-03	VYDAJ	VYBER	4500	40327	\N	\N	\N
3284320	10911	1998-12-10	VYDAJ	VYBER	5700	72310	\N	\N	\N
3284328	10911	1994-01-07	VYDAJ	VYBER	4200	21543	\N	\N	\N
3284329	10911	1994-01-25	VYDAJ	VYBER	2100	21313	\N	\N	\N
3284330	10911	1994-01-09	VYDAJ	VYBER	3000	40425	\N	\N	\N
3284331	10911	1994-01-18	VYDAJ	VYBER	5700	24213	\N	\N	\N
3284332	10911	1994-01-04	VYDAJ	VYBER	5100	25743	\N	\N	\N
3284333	10911	1995-01-22	VYDAJ	VYBER	3900	20970	\N	\N	\N
3284334	10911	1995-01-09	VYDAJ	VYBER	2400	52129	\N	\N	\N
3284336	10911	1995-01-01	VYDAJ	VYBER	2700	32647	\N	\N	\N
3284337	10911	1995-01-13	VYDAJ	VYBER	3600	37570	\N	\N	\N
3284338	10911	1995-01-20	VYDAJ	VYBER	8400	24870	\N	\N	\N
3284339	10911	1996-01-07	VYDAJ	VYBER	8400	25276	\N	\N	\N
3284340	10911	1996-01-06	VYDAJ	VYBER	5100	33676	\N	\N	\N
3284341	10911	1996-01-05	VYDAJ	VYBER	6600	38776	\N	\N	\N
3284342	10911	1996-01-09	VYDAJ	VYBER	4800	42358	\N	\N	\N
3284343	10911	1996-01-23	VYDAJ	VYBER	6000	22899	\N	\N	\N
3284344	10911	1996-01-13	VYDAJ	VYBER	7200	24199	\N	\N	\N
3284345	10911	1997-01-10	VYDAJ	VYBER	5400	40704	\N	\N	\N
3284347	10911	1997-01-17	VYDAJ	VYBER	8100	21645	\N	\N	\N
3284351	10911	1998-01-24	VYDAJ	VYBER	8400	22157	\N	\N	\N
3284352	10911	1998-01-09	VYDAJ	VYBER	5700	47625	\N	\N	\N
3284354	10911	1998-01-09	VYDAJ	VYBER	7200	53325	\N	\N	\N
3284355	10911	1998-01-03	VYDAJ	VYBER	3900	57143	\N	\N	\N
3284357	10911	1993-12-16	VYDAJ	VYBER	1500	57476	\N	\N	\N
3284362	10911	1994-06-05	VYDAJ	VYBER	11400	23206	\N	\N	\N
3284363	10911	1994-03-17	VYDAJ	VYBER	12000	32729	\N	\N	\N
3284364	10911	1994-12-30	VYDAJ	VYBER	3000	35206	\N	\N	\N
3284366	10911	1994-09-25	VYDAJ	VYBER	5100	24284	\N	\N	\N
3284367	10911	1994-07-28	VYDAJ	VYBER	10500	20861	\N	\N	\N
3284368	10911	1995-08-18	VYDAJ	VYBER	10200	22052	\N	\N	\N
3284369	10911	1995-06-13	VYDAJ	VYBER	3000	56178	\N	\N	\N
3284371	10911	1995-11-21	VYDAJ	VYBER	5100	36921	\N	\N	\N
3284374	10911	1996-11-06	VYDAJ	VYBER	7500	23810	\N	\N	\N
3284375	10911	1996-11-29	VYDAJ	VYBER	7200	21433	\N	\N	\N
3284376	10911	1997-10-19	VYDAJ	VYBER	4500	45728	\N	\N	\N
3284378	10911	1998-08-31	VYDAJ	VYBER	8400	31251	\N	\N	\N
3284379	10911	1998-09-19	VYDAJ	VYBER	8700	33891	\N	\N	\N
3284380	10911	1998-07-01	VYDAJ	VYBER	8400	46265	\N	\N	\N
3284381	10911	1998-12-25	VYDAJ	VYBER	13500	47798	\N	\N	\N
3284382	10911	1998-03-15	VYDAJ	VYBER	3600	49663	\N	\N	\N
3284383	10911	1998-09-25	VYDAJ	VYBER	5100	28791	\N	\N	\N
3284394	10911	1993-10-31	VYDAJ	VYBER	30	37145	SLUZBY	\N	\N
3284395	10911	1993-11-30	VYDAJ	VYBER	30	37465	SLUZBY	\N	\N
3284396	10911	1993-12-31	VYDAJ	VYBER	30	39843	SLUZBY	\N	\N
3284397	10911	1994-01-31	VYDAJ	VYBER	30	21397	SLUZBY	\N	\N
3284398	10911	1994-02-28	VYDAJ	VYBER	30	30159	SLUZBY	\N	\N
3284399	10911	1994-03-31	VYDAJ	VYBER	30	27633	SLUZBY	\N	\N
3284400	10911	1994-04-30	VYDAJ	VYBER	30	30213	SLUZBY	\N	\N
3284401	10911	1994-05-31	VYDAJ	VYBER	30	34606	SLUZBY	\N	\N
3284402	10911	1994-06-30	VYDAJ	VYBER	30	23491	SLUZBY	\N	\N
3284403	10911	1994-07-31	VYDAJ	VYBER	30	20956	SLUZBY	\N	\N
3284404	10911	1994-08-31	VYDAJ	VYBER	30	26961	SLUZBY	\N	\N
3284405	10911	1994-09-30	VYDAJ	VYBER	30	24381	SLUZBY	\N	\N
3284406	10911	1994-10-31	VYDAJ	VYBER	30	30700	SLUZBY	\N	\N
3284407	10911	1994-11-30	VYDAJ	VYBER	30	35242	SLUZBY	\N	\N
3284408	10911	1994-12-31	VYDAJ	VYBER	30	35347	SLUZBY	\N	\N
3284409	10911	1995-01-31	VYDAJ	VYBER	30	21073	SLUZBY	\N	\N
3284410	10911	1995-02-28	VYDAJ	VYBER	30	27476	SLUZBY	\N	\N
3284411	10911	1995-03-31	VYDAJ	VYBER	30	34108	SLUZBY	\N	\N
3284412	10911	1995-04-30	VYDAJ	VYBER	30	35858	SLUZBY	\N	\N
3284413	10911	1995-05-31	VYDAJ	VYBER	30	37314	SLUZBY	\N	\N
3284414	10911	1995-06-30	VYDAJ	VYBER	30	21320	SLUZBY	\N	\N
3284415	10911	1995-07-31	VYDAJ	VYBER	30	30129	SLUZBY	\N	\N
3284416	10911	1995-08-31	VYDAJ	VYBER	30	22141	SLUZBY	\N	\N
3284417	10911	1995-09-30	VYDAJ	VYBER	30	31453	SLUZBY	\N	\N
3284418	10911	1995-10-31	VYDAJ	VYBER	30	37998	SLUZBY	\N	\N
3284419	10911	1995-11-30	VYDAJ	VYBER	30	37057	SLUZBY	\N	\N
3284420	10911	1995-12-31	VYDAJ	VYBER	30	45376	SLUZBY	\N	\N
3284421	10911	1996-01-31	VYDAJ	VYBER	30	22996	SLUZBY	\N	\N
3284422	10911	1996-02-29	VYDAJ	VYBER	30	30305	SLUZBY	\N	\N
3284423	10911	1996-03-31	VYDAJ	VYBER	30	36042	SLUZBY	\N	\N
3284424	10911	1996-04-30	VYDAJ	VYBER	30	25519	SLUZBY	\N	\N
3284425	10911	1996-05-31	VYDAJ	VYBER	30	33540	SLUZBY	\N	\N
3284426	10911	1996-06-30	VYDAJ	VYBER	30	20903	SLUZBY	\N	\N
3284427	10911	1996-07-31	VYDAJ	VYBER	30	31011	SLUZBY	\N	\N
3284428	10911	1996-08-31	VYDAJ	VYBER	30	34944	SLUZBY	\N	\N
3284429	10911	1996-09-30	VYDAJ	VYBER	30	34682	SLUZBY	\N	\N
3284430	10911	1996-10-31	VYDAJ	VYBER	30	31310	SLUZBY	\N	\N
3284431	10911	1996-11-30	VYDAJ	VYBER	30	21525	SLUZBY	\N	\N
3284432	10911	1996-12-31	VYDAJ	VYBER	30	23822	SLUZBY	\N	\N
3284433	10911	1997-01-31	VYDAJ	VYBER	30	21719	SLUZBY	\N	\N
3284434	10911	1997-02-28	VYDAJ	VYBER	30	37350	SLUZBY	\N	\N
3284435	10911	1997-03-31	VYDAJ	VYBER	30	22369	SLUZBY	\N	\N
3284436	10911	1997-04-30	VYDAJ	VYBER	30	34092	SLUZBY	\N	\N
3284437	10911	1997-05-31	VYDAJ	VYBER	30	25364	SLUZBY	\N	\N
3284438	10911	1997-06-30	VYDAJ	VYBER	30	52187	SLUZBY	\N	\N
3284439	10911	1997-07-31	VYDAJ	VYBER	30	32074	SLUZBY	\N	\N
3284440	10911	1997-08-31	VYDAJ	VYBER	30	39459	SLUZBY	\N	\N
3284441	10911	1997-09-30	VYDAJ	VYBER	30	40258	SLUZBY	\N	\N
3284442	10911	1997-10-31	VYDAJ	VYBER	30	45891	SLUZBY	\N	\N
3284443	10911	1997-11-30	VYDAJ	VYBER	30	44827	SLUZBY	\N	\N
3284444	10911	1997-12-31	VYDAJ	VYBER	30	61043	SLUZBY	\N	\N
3284445	10911	1998-01-31	VYDAJ	VYBER	30	22279	SLUZBY	\N	\N
3284446	10911	1998-02-28	VYDAJ	VYBER	30	43393	SLUZBY	\N	\N
3284447	10911	1998-03-31	VYDAJ	VYBER	30	49838	SLUZBY	\N	\N
3284448	10911	1998-04-30	VYDAJ	VYBER	30	48461	SLUZBY	\N	\N
3284449	10911	1998-05-31	VYDAJ	VYBER	30	52010	SLUZBY	\N	\N
3284450	10911	1998-06-30	VYDAJ	VYBER	30	54665	SLUZBY	\N	\N
3284451	10911	1998-07-31	VYDAJ	VYBER	30	34646	SLUZBY	\N	\N
3284452	10911	1998-08-31	VYDAJ	VYBER	30	31221	SLUZBY	\N	\N
3284453	10911	1998-09-30	VYDAJ	VYBER	30	35506	SLUZBY	\N	\N
3284454	10911	1998-10-31	VYDAJ	VYBER	30	48026	SLUZBY	\N	\N
3284455	10911	1998-11-30	VYDAJ	VYBER	30	45187	SLUZBY	\N	\N
3284456	10911	1993-06-28	VYDAJ	VYBER	4800	29023	\N	\N	\N
3284457	10911	1993-07-28	VYDAJ	VYBER	13600	37317	\N	\N	\N
3284458	10911	1993-08-27	VYDAJ	VYBER	18800	40525	\N	\N	\N
3284459	10911	1993-09-26	VYDAJ	VYBER	19300	43264	\N	\N	\N
3284460	10911	1993-10-26	VYDAJ	VYBER	11600	36979	\N	\N	\N
3284461	10911	1993-11-25	VYDAJ	VYBER	10300	37315	\N	\N	\N
3284462	10911	1993-12-25	VYDAJ	VYBER	15700	39676	\N	\N	\N
3284463	10911	1994-01-24	VYDAJ	VYBER	800	23413	\N	\N	\N
3284464	10911	1994-02-23	VYDAJ	VYBER	2400	30067	\N	\N	\N
3284465	10911	1994-03-25	VYDAJ	VYBER	1200	27529	\N	\N	\N
3284466	10911	1994-04-24	VYDAJ	VYBER	7700	30103	\N	\N	\N
3284467	10911	1994-05-24	VYDAJ	VYBER	7400	34483	\N	\N	\N
3284468	10911	1994-06-23	PRIJEM	VKLAD	2200	23417	\N	\N	\N
3284469	10911	1994-07-23	VYDAJ	VYBER	3500	31361	\N	\N	\N
3284470	10911	1994-08-22	VYDAJ	VYBER	5000	26879	\N	\N	\N
3284471	10911	1994-09-21	VYDAJ	VYBER	8500	29384	\N	\N	\N
3284472	10911	1994-10-21	VYDAJ	VYBER	4700	30604	\N	\N	\N
3284473	10911	1994-11-20	VYDAJ	VYBER	6500	35123	\N	\N	\N
3284474	10911	1994-12-20	VYDAJ	VYBER	12900	38206	\N	\N	\N
3284475	10911	1995-01-19	VYDAJ	VYBER	4300	33270	\N	\N	\N
3284476	10911	1995-02-18	VYDAJ	VYBER	4600	27396	\N	\N	\N
3284477	10911	1995-03-20	VYDAJ	VYBER	4400	33999	\N	\N	\N
3284478	10911	1995-04-19	VYDAJ	VYBER	9300	35731	\N	\N	\N
3284479	10911	1995-05-19	VYDAJ	VYBER	9600	37181	\N	\N	\N
3284480	10911	1995-06-18	VYDAJ	VYBER	14000	42178	\N	\N	\N
3284481	10911	1995-07-18	VYDAJ	VYBER	2200	30043	\N	\N	\N
3284482	10911	1995-08-17	VYDAJ	VYBER	8800	32252	\N	\N	\N
3284483	10911	1995-09-16	VYDAJ	VYBER	1700	31364	\N	\N	\N
3284484	10911	1995-10-16	VYDAJ	VYBER	4500	37876	\N	\N	\N
3284485	10911	1995-11-15	VYDAJ	VYBER	6900	42021	\N	\N	\N
3284486	10911	1995-12-15	VYDAJ	VYBER	10700	45221	\N	\N	\N
3284487	10911	1996-01-14	PRIJEM	VKLAD	4700	28899	\N	\N	\N
3284488	10911	1996-02-13	VYDAJ	VYBER	3700	30219	\N	\N	\N
3284489	10911	1996-03-14	VYDAJ	VYBER	5300	35928	\N	\N	\N
3284490	10911	1996-04-13	VYDAJ	VYBER	7000	39965	\N	\N	\N
3284491	10911	1996-06-12	VYDAJ	VYBER	9600	49451	\N	\N	\N
3284492	10911	1996-07-12	VYDAJ	VYBER	900	30926	\N	\N	\N
3284493	10911	1996-08-11	VYDAJ	VYBER	7100	38481	\N	\N	\N
3284494	10911	1996-09-10	VYDAJ	VYBER	11300	45526	\N	\N	\N
3284495	10911	1996-10-10	VYDAJ	VYBER	14400	42164	\N	\N	\N
3284496	10911	1996-11-09	VYDAJ	VYBER	6100	39592	\N	\N	\N
3284497	10911	1996-12-09	VYDAJ	VYBER	12400	41948	\N	\N	\N
3284498	10911	1997-01-08	PRIJEM	VKLAD	400	24222	\N	\N	\N
3284499	10911	1997-02-07	PRIJEM	VKLAD	4600	26319	\N	\N	\N
3284500	10911	1997-03-09	VYDAJ	VYBER	13100	46132	\N	\N	\N
3284501	10911	1997-04-08	PRIJEM	VKLAD	700	23069	\N	\N	\N
3284502	10911	1997-05-08	VYDAJ	VYBER	500	33592	\N	\N	\N
3284503	10911	1997-06-07	PRIJEM	VKLAD	4800	30164	\N	\N	\N
3284504	10911	1997-07-07	VYDAJ	VYBER	1800	31736	\N	\N	\N
3284505	10911	1997-08-06	PRIJEM	VKLAD	3600	31574	\N	\N	\N
3284506	10911	1997-09-05	PRIJEM	VKLAD	7300	28589	\N	\N	\N
3284507	10911	1997-10-05	VYDAJ	VYBER	500	39758	\N	\N	\N
3284508	10911	1997-11-04	PRIJEM	VKLAD	100	45991	\N	\N	\N
3284509	10911	1997-12-04	VYDAJ	VYBER	1600	38727	\N	\N	\N
3284510	10911	1998-01-03	VYDAJ	VYBER	8700	48443	\N	\N	\N
3284511	10911	1998-02-02	PRIJEM	VKLAD	9200	31479	\N	\N	\N
3284512	10911	1998-03-04	VYDAJ	VYBER	400	42993	\N	\N	\N
3284513	10911	1998-04-03	VYDAJ	VYBER	7800	42038	\N	\N	\N
3284514	10911	1998-05-03	VYDAJ	VYBER	8000	40461	\N	\N	\N
3284515	10911	1998-06-02	VYDAJ	VYBER	10000	42010	\N	\N	\N
3284516	10911	1998-07-02	VYDAJ	VYBER	3800	42465	\N	\N	\N
3284517	10911	1998-08-01	PRIJEM	VKLAD	5300	39946	\N	\N	\N
3284518	10911	1998-08-31	PRIJEM	VKLAD	5900	39651	\N	\N	\N
3284519	10911	1998-09-30	PRIJEM	VKLAD	6600	35536	\N	\N	\N
3284520	10911	1998-10-30	PRIJEM	VKLAD	1200	47876	\N	\N	\N
3284521	10911	1998-11-29	PRIJEM	VKLAD	2500	45000	\N	\N	\N
3285384	10915	1997-02-15	PRIJEM	VKLAD	600	600	\N	\N	\N
3285387	10915	1997-03-12	PRIJEM	PREVOD Z UCTU	15245	15845	\N	YZ	60946518
3285388	10915	1997-04-12	PRIJEM	PREVOD Z UCTU	15245	32625	\N	YZ	60946518
3285389	10915	1997-05-12	PRIJEM	PREVOD Z UCTU	15245	39857	\N	YZ	60946518
3285390	10915	1997-06-12	PRIJEM	PREVOD Z UCTU	22868	52438	\N	YZ	60946518
3285391	10915	1997-07-12	PRIJEM	PREVOD Z UCTU	15245	49523	\N	YZ	60946518
3285392	10915	1997-08-12	PRIJEM	PREVOD Z UCTU	15245	39234	\N	YZ	60946518
3285393	10915	1997-09-12	PRIJEM	PREVOD Z UCTU	15245	26107	\N	YZ	60946518
3285394	10915	1997-10-12	PRIJEM	PREVOD Z UCTU	15245	23552	\N	YZ	60946518
3285395	10915	1997-11-12	PRIJEM	PREVOD Z UCTU	15245	21794	\N	YZ	60946518
3285396	10915	1997-12-12	PRIJEM	PREVOD Z UCTU	22868	27144	\N	YZ	60946518
3285397	10915	1998-01-12	PRIJEM	PREVOD Z UCTU	15245	32172	\N	YZ	60946518
3285398	10915	1998-02-12	PRIJEM	PREVOD Z UCTU	15245	26414	\N	YZ	60946518
3285399	10915	1998-03-12	PRIJEM	PREVOD Z UCTU	15245	22552	\N	YZ	60946518
3285400	10915	1998-04-12	PRIJEM	PREVOD Z UCTU	15245	25480	\N	YZ	60946518
3285401	10915	1998-05-12	PRIJEM	PREVOD Z UCTU	15245	29424	\N	YZ	60946518
3285402	10915	1998-06-12	PRIJEM	PREVOD Z UCTU	22868	32510	\N	YZ	60946518
3285403	10915	1998-07-12	PRIJEM	PREVOD Z UCTU	15245	26733	\N	YZ	60946518
3285404	10915	1998-08-12	PRIJEM	PREVOD Z UCTU	15245	27249	\N	YZ	60946518
3285405	10915	1998-09-12	PRIJEM	PREVOD Z UCTU	15245	28860	\N	YZ	60946518
3285406	10915	1998-10-12	PRIJEM	PREVOD Z UCTU	15245	27776	\N	YZ	60946518
3285407	10915	1998-11-12	PRIJEM	PREVOD Z UCTU	15245	29387	\N	YZ	60946518
3285408	10915	1998-12-12	PRIJEM	PREVOD Z UCTU	22868	32728	\N	YZ	60946518
3285415	10915	1997-07-04	VYDAJ	VYBER	3100	34278	\N	\N	0
3285416	10915	1997-08-19	VYDAJ	VYBER	2200	24044	\N	\N	0
3285417	10915	1997-09-07	VYDAJ	VYBER	2500	17109	\N	\N	0
3285418	10915	1997-10-04	VYDAJ	VYBER	3000	19074	\N	\N	0
3285419	10915	1997-11-09	VYDAJ	VYBER	2300	6549	\N	\N	0
3285420	10915	1997-12-07	VYDAJ	VYBER	2500	10523	\N	\N	0
3285421	10915	1998-01-18	VYDAJ	VYBER	2700	25182	\N	\N	0
3285422	10915	1998-02-02	VYDAJ	VYBER	2700	16536	\N	\N	0
3285423	10915	1998-03-10	VYDAJ	VYBER	2000	7307	\N	\N	0
3285424	10915	1998-04-08	VYDAJ	VYBER	2400	8486	\N	\N	0
3285425	10915	1998-05-11	VYDAJ	VYBER	2000	14179	\N	\N	0
3285426	10915	1998-06-12	VYDAJ	PREVOD NA UCET	2541	29969	UVER	AB	40481370
3285427	10915	1998-07-12	VYDAJ	PREVOD NA UCET	2541	24192	UVER	AB	40481370
3285428	10915	1998-08-12	VYDAJ	PREVOD NA UCET	2541	24708	UVER	AB	40481370
3285429	10915	1998-09-12	VYDAJ	PREVOD NA UCET	2541	26319	UVER	AB	40481370
3285430	10915	1998-10-12	VYDAJ	PREVOD NA UCET	2541	25235	UVER	AB	40481370
3285431	10915	1998-11-12	VYDAJ	PREVOD NA UCET	2541	26846	UVER	AB	40481370
3285432	10915	1998-12-12	VYDAJ	PREVOD NA UCET	2541	21487	UVER	AB	40481370
3285440	10915	1997-08-07	VYDAJ	PREVOD NA UCET	2596	27640	SIPO	CD	80617797
3285441	10915	1997-09-07	VYDAJ	PREVOD NA UCET	2596	14513	SIPO	CD	80617797
3285442	10915	1997-10-07	VYDAJ	PREVOD NA UCET	2596	11958	SIPO	CD	80617797
3285443	10915	1997-11-07	VYDAJ	PREVOD NA UCET	2596	12500	SIPO	CD	80617797
3285444	10915	1997-12-07	VYDAJ	PREVOD NA UCET	2596	7927	SIPO	CD	80617797
3285445	10915	1998-01-07	VYDAJ	PREVOD NA UCET	2596	12378	SIPO	CD	80617797
3285446	10915	1998-02-07	VYDAJ	PREVOD NA UCET	2596	9420	SIPO	CD	80617797
3285447	10915	1998-03-07	VYDAJ	PREVOD NA UCET	2596	12958	SIPO	CD	80617797
3285448	10915	1998-04-07	VYDAJ	PREVOD NA UCET	2596	10886	SIPO	CD	80617797
3285449	10915	1998-05-07	VYDAJ	PREVOD NA UCET	2596	13830	SIPO	CD	80617797
3285450	10915	1998-06-07	VYDAJ	PREVOD NA UCET	2596	13293	SIPO	CD	80617797
3285451	10915	1998-07-07	VYDAJ	PREVOD NA UCET	2596	22539	SIPO	CD	80617797
3285452	10915	1998-08-07	VYDAJ	PREVOD NA UCET	2596	16755	SIPO	CD	80617797
3285453	10915	1998-09-07	VYDAJ	PREVOD NA UCET	2596	17266	SIPO	CD	80617797
3285454	10915	1998-10-07	VYDAJ	PREVOD NA UCET	2596	16182	SIPO	CD	80617797
3285455	10915	1998-11-07	VYDAJ	PREVOD NA UCET	2596	17793	SIPO	CD	80617797
3285456	10915	1998-12-07	VYDAJ	PREVOD NA UCET	2596	13511	SIPO	CD	80617797
3285463	10915	1997-07-13	VYDAJ	PREVOD NA UCET	390	46433	 	GH	27411347
3285464	10915	1997-08-13	VYDAJ	PREVOD NA UCET	390	38844	 	GH	27411347
3285465	10915	1997-09-13	VYDAJ	PREVOD NA UCET	390	22017	 	GH	27411347
3285466	10915	1997-10-13	VYDAJ	PREVOD NA UCET	390	23162	 	GH	27411347
3285467	10915	1997-11-13	VYDAJ	PREVOD NA UCET	390	17504	 	GH	27411347
3285468	10915	1997-12-13	VYDAJ	PREVOD NA UCET	390	19454	 	GH	27411347
3285469	10915	1998-01-13	VYDAJ	PREVOD NA UCET	390	31782	 	GH	27411347
3285470	10915	1998-02-13	VYDAJ	PREVOD NA UCET	390	26024	 	GH	27411347
3285471	10915	1998-03-13	VYDAJ	PREVOD NA UCET	390	17962	 	GH	27411347
3285472	10915	1998-04-13	VYDAJ	PREVOD NA UCET	390	25090	 	GH	27411347
3285473	10915	1998-05-13	VYDAJ	PREVOD NA UCET	390	29034	 	GH	27411347
3285474	10915	1998-06-13	VYDAJ	PREVOD NA UCET	390	29579	 	GH	27411347
3285475	10915	1998-07-13	VYDAJ	PREVOD NA UCET	390	23802	 	GH	27411347
3285476	10915	1998-08-13	VYDAJ	PREVOD NA UCET	390	24318	 	GH	27411347
3285477	10915	1998-09-13	VYDAJ	PREVOD NA UCET	390	25929	 	GH	27411347
3285478	10915	1998-10-13	VYDAJ	PREVOD NA UCET	390	24845	 	GH	27411347
3285479	10915	1998-11-13	VYDAJ	PREVOD NA UCET	390	26456	 	GH	27411347
3285480	10915	1998-12-13	VYDAJ	PREVOD NA UCET	390	21097	 	GH	27411347
3285488	10915	1997-08-08	VYDAJ	PREVOD NA UCET	3651	23989	POJISTNE	IJ	40923118
3285489	10915	1997-09-08	VYDAJ	PREVOD NA UCET	3651	10862	POJISTNE	IJ	40923118
3285490	10915	1997-10-08	VYDAJ	PREVOD NA UCET	3651	8307	POJISTNE	IJ	40923118
3285491	10915	1997-11-08	VYDAJ	PREVOD NA UCET	3651	8849	POJISTNE	IJ	40923118
3285492	10915	1997-12-08	VYDAJ	PREVOD NA UCET	3651	4276	POJISTNE	IJ	40923118
3285493	10915	1998-01-08	VYDAJ	PREVOD NA UCET	3651	8727	POJISTNE	IJ	40923118
3285494	10915	1998-02-08	VYDAJ	PREVOD NA UCET	3651	5769	POJISTNE	IJ	40923118
3285495	10915	1998-03-08	VYDAJ	PREVOD NA UCET	3651	9307	POJISTNE	IJ	40923118
3285496	10915	1998-04-08	VYDAJ	PREVOD NA UCET	3651	4835	POJISTNE	IJ	40923118
3285497	10915	1998-05-08	VYDAJ	PREVOD NA UCET	3651	10179	POJISTNE	IJ	40923118
3285498	10915	1998-06-08	VYDAJ	PREVOD NA UCET	3651	9642	POJISTNE	IJ	40923118
3285499	10915	1998-07-08	VYDAJ	PREVOD NA UCET	3651	18888	POJISTNE	IJ	40923118
3285500	10915	1998-08-08	VYDAJ	PREVOD NA UCET	3651	13104	POJISTNE	IJ	40923118
3285501	10915	1998-09-08	VYDAJ	PREVOD NA UCET	3651	13615	POJISTNE	IJ	40923118
3285502	10915	1998-10-08	VYDAJ	PREVOD NA UCET	3651	12531	POJISTNE	IJ	40923118
3285503	10915	1998-11-08	VYDAJ	PREVOD NA UCET	3651	14142	POJISTNE	IJ	40923118
3285504	10915	1998-12-08	VYDAJ	PREVOD NA UCET	3651	9860	POJISTNE	IJ	40923118
3285512	10915	1997-08-05	VYDAJ	PREVOD NA UCET	4520	30236	 	WX	53494477
3285513	10915	1997-09-05	VYDAJ	PREVOD NA UCET	4520	19609	 	WX	53494477
3285514	10915	1997-10-05	VYDAJ	PREVOD NA UCET	4520	14554	 	WX	53494477
3285515	10915	1997-11-05	VYDAJ	PREVOD NA UCET	4520	15096	 	WX	53494477
3285516	10915	1997-12-05	VYDAJ	PREVOD NA UCET	4520	13023	 	WX	53494477
3285517	10915	1998-01-05	VYDAJ	PREVOD NA UCET	4520	14974	 	WX	53494477
3285518	10915	1998-02-05	VYDAJ	PREVOD NA UCET	4520	12016	 	WX	53494477
3285519	10915	1998-03-05	VYDAJ	PREVOD NA UCET	4520	15554	 	WX	53494477
3285520	10915	1998-04-05	VYDAJ	PREVOD NA UCET	4520	13482	 	WX	53494477
3285521	10915	1998-05-05	VYDAJ	PREVOD NA UCET	4520	16426	 	WX	53494477
3285522	10915	1998-06-05	VYDAJ	PREVOD NA UCET	4520	15889	 	WX	53494477
3285523	10915	1998-07-05	VYDAJ	PREVOD NA UCET	4520	25135	 	WX	53494477
3285524	10915	1998-08-05	VYDAJ	PREVOD NA UCET	4520	19351	 	WX	53494477
3285525	10915	1998-09-05	VYDAJ	PREVOD NA UCET	4520	19862	 	WX	53494477
3285526	10915	1998-10-05	VYDAJ	PREVOD NA UCET	4520	18778	 	WX	53494477
3285527	10915	1998-11-05	VYDAJ	PREVOD NA UCET	4520	20389	 	WX	53494477
3285528	10915	1998-12-05	VYDAJ	PREVOD NA UCET	4520	22007	 	WX	53494477
3285536	10915	1998-02-14	VYBER	VYBER	5994	20030	\N	\N	\N
3285543	10915	1998-12-12	VYDAJ	VYBER	8700	24028	\N	\N	\N
3285550	10915	1998-01-16	VYDAJ	VYBER	3900	27882	\N	\N	\N
3285554	10915	1998-01-18	VYDAJ	VYBER	6000	19182	\N	\N	\N
3285556	10915	1997-07-13	VYDAJ	VYBER	2700	46823	\N	\N	\N
3285564	10915	1998-06-04	VYDAJ	VYBER	8700	20409	\N	\N	\N
3285566	10915	1998-05-01	VYDAJ	VYBER	4200	20946	\N	\N	\N
3285568	10915	1998-10-04	VYDAJ	VYBER	2700	23298	\N	\N	\N
3285577	10915	1997-07-31	VYDAJ	VYBER	30	34756	SLUZBY	\N	\N
3285578	10915	1997-08-31	VYDAJ	VYBER	30	24129	SLUZBY	\N	\N
3285579	10915	1997-09-30	VYDAJ	VYBER	30	22074	SLUZBY	\N	\N
3285580	10915	1997-10-31	VYDAJ	VYBER	30	19616	SLUZBY	\N	\N
3285581	10915	1997-11-30	VYDAJ	VYBER	30	17543	SLUZBY	\N	\N
3285582	10915	1997-12-31	VYDAJ	VYBER	30	19494	SLUZBY	\N	\N
3285583	10915	1998-01-31	VYDAJ	VYBER	30	19236	SLUZBY	\N	\N
3285584	10915	1998-02-28	VYDAJ	VYBER	30	20074	SLUZBY	\N	\N
3285585	10915	1998-03-31	VYDAJ	VYBER	30	18002	SLUZBY	\N	\N
3285586	10915	1998-04-30	VYDAJ	VYBER	30	25146	SLUZBY	\N	\N
3285587	10915	1998-05-31	VYDAJ	VYBER	30	29109	SLUZBY	\N	\N
3285588	10915	1998-06-30	VYDAJ	VYBER	30	29655	SLUZBY	\N	\N
3285589	10915	1998-07-31	VYDAJ	VYBER	30	23871	SLUZBY	\N	\N
3285590	10915	1998-08-31	VYDAJ	VYBER	30	24382	SLUZBY	\N	\N
3285591	10915	1998-09-30	VYDAJ	VYBER	30	25998	SLUZBY	\N	\N
3285592	10915	1998-10-31	VYDAJ	VYBER	30	24909	SLUZBY	\N	\N
3285593	10915	1998-11-30	VYDAJ	VYBER	30	26527	SLUZBY	\N	\N
3285594	10915	1997-03-17	PRIJEM	VKLAD	1500	17345	\N	\N	\N
3285595	10915	1997-04-16	VYDAJ	VYBER	8100	24525	\N	\N	\N
3285596	10915	1997-05-16	VYDAJ	VYBER	10400	29457	\N	\N	\N
3285597	10915	1997-06-15	VYDAJ	VYBER	15200	37238	\N	\N	\N
3285598	10915	1997-07-15	VYDAJ	VYBER	11800	34633	\N	\N	\N
3285599	10915	1997-08-14	VYDAJ	VYBER	12600	26244	\N	\N	\N
3285600	10915	1997-09-13	VYDAJ	VYBER	3700	22407	\N	\N	\N
3285601	10915	1997-10-13	VYDAJ	VYBER	3600	19562	\N	\N	\N
3285602	10915	1997-11-12	VYDAJ	VYBER	3900	17894	\N	\N	\N
3285603	10915	1997-12-12	VYDAJ	VYBER	7300	19844	\N	\N	\N
3285604	10915	1998-01-11	PRIJEM	VKLAD	8200	16927	\N	\N	\N
3285605	10915	1998-02-10	PRIJEM	VKLAD	5400	11169	\N	\N	\N
3285606	10915	1998-03-12	VYDAJ	VYBER	4200	18352	\N	\N	\N
3285607	10915	1998-04-11	PRIJEM	VKLAD	5400	10235	\N	\N	\N
3285608	10915	1998-05-11	PRIJEM	VKLAD	6000	16179	\N	\N	\N
3285609	10915	1998-07-10	VYDAJ	VYBER	7400	11488	\N	\N	\N
3285610	10915	1998-08-09	VYDAJ	VYBER	1100	12004	\N	\N	\N
3285611	10915	1998-12-07	VYDAJ	VYBER	5900	16107	\N	\N	\N
3292170	10940	1993-09-13	PRIJEM	VKLAD	300	300	\N	\N	\N
3292180	10940	1993-10-09	PRIJEM	VKLAD	24144	24444	\N	\N	\N
3292181	10940	1993-11-09	PRIJEM	VKLAD	24144	50956	\N	\N	\N
3292182	10940	1993-12-09	PRIJEM	VKLAD	36216	74414	\N	\N	\N
3292183	10940	1994-01-09	PRIJEM	VKLAD	24144	73646	\N	\N	\N
3292184	10940	1994-02-09	PRIJEM	VKLAD	24144	73195	\N	\N	\N
3292185	10940	1994-03-09	PRIJEM	VKLAD	24144	57099	\N	\N	\N
3292186	10940	1994-04-09	PRIJEM	VKLAD	24144	53784	\N	\N	\N
3292187	10940	1994-05-09	PRIJEM	VKLAD	24144	49652	\N	\N	\N
3292188	10940	1994-06-09	PRIJEM	VKLAD	36216	61686	\N	\N	\N
3292189	10940	1994-07-09	PRIJEM	VKLAD	24144	56167	\N	\N	\N
3292190	10940	1994-08-09	PRIJEM	VKLAD	24144	46666	\N	\N	\N
3292191	10940	1994-09-09	PRIJEM	VKLAD	24144	44110	\N	\N	\N
3292192	10940	1994-10-09	PRIJEM	VKLAD	24144	53380	\N	\N	\N
3292193	10940	1994-11-09	PRIJEM	VKLAD	24144	54368	\N	\N	\N
3292194	10940	1994-12-09	PRIJEM	VKLAD	36216	67538	\N	\N	\N
3292195	10940	1995-01-09	PRIJEM	VKLAD	24144	59112	\N	\N	\N
3292196	10940	1995-02-09	PRIJEM	VKLAD	24144	54102	\N	\N	\N
3292197	10940	1995-03-09	PRIJEM	VKLAD	24144	58917	\N	\N	\N
3292198	10940	1995-04-09	PRIJEM	VKLAD	24144	60152	\N	\N	\N
3292199	10940	1995-05-09	PRIJEM	VKLAD	24144	62893	\N	\N	\N
3292200	10940	1995-06-09	PRIJEM	VKLAD	36216	78116	\N	\N	\N
3292201	10940	1995-07-09	PRIJEM	VKLAD	24144	48437	\N	\N	\N
3292202	10940	1995-08-09	PRIJEM	VKLAD	24144	52921	\N	\N	\N
3292203	10940	1995-09-09	PRIJEM	VKLAD	24144	56527	\N	\N	\N
3292204	10940	1995-10-09	PRIJEM	VKLAD	24144	55207	\N	\N	\N
3292205	10940	1995-11-09	PRIJEM	VKLAD	24144	59424	\N	\N	\N
3292206	10940	1995-12-09	PRIJEM	VKLAD	36216	73909	\N	\N	\N
3292207	10940	1996-01-09	PRIJEM	VKLAD	24144	56147	\N	\N	\N
3292208	10940	1996-02-09	PRIJEM	VKLAD	24144	54652	\N	\N	\N
3292209	10940	1996-03-09	PRIJEM	VKLAD	24144	63465	\N	\N	\N
3292210	10940	1996-04-09	PRIJEM	VKLAD	24144	63229	\N	\N	\N
3292211	10940	1996-05-09	PRIJEM	VKLAD	24144	62411	\N	\N	\N
3292212	10940	1996-06-09	PRIJEM	VKLAD	36216	78943	\N	\N	\N
3292213	10940	1996-07-09	PRIJEM	VKLAD	24144	73472	\N	\N	\N
3292214	10940	1996-08-09	PRIJEM	VKLAD	24144	75077	\N	\N	\N
3292215	10940	1996-09-09	PRIJEM	VKLAD	24144	73769	\N	\N	\N
3292216	10940	1996-10-09	PRIJEM	VKLAD	24144	76256	\N	\N	\N
3292217	10940	1996-11-09	PRIJEM	VKLAD	24144	73888	\N	\N	\N
3292218	10940	1996-12-09	PRIJEM	VKLAD	36216	88446	\N	\N	\N
3292219	10940	1997-01-09	PRIJEM	VKLAD	24144	68607	\N	\N	\N
3292220	10940	1997-02-09	PRIJEM	VKLAD	24144	58214	\N	\N	\N
3292221	10940	1997-03-09	PRIJEM	VKLAD	24144	63436	\N	\N	\N
3292222	10940	1997-04-09	PRIJEM	VKLAD	24144	60166	\N	\N	\N
3292223	10940	1997-05-09	PRIJEM	VKLAD	24144	67194	\N	\N	\N
3292224	10940	1997-06-09	PRIJEM	VKLAD	36216	76916	\N	\N	\N
3292225	10940	1997-07-09	PRIJEM	VKLAD	24144	59527	\N	\N	\N
3292226	10940	1997-08-09	PRIJEM	VKLAD	24144	55975	\N	\N	\N
3292227	10940	1997-09-09	PRIJEM	VKLAD	24144	59783	\N	\N	\N
3292228	10940	1997-10-09	PRIJEM	VKLAD	24144	51623	\N	\N	\N
3292229	10940	1997-11-09	PRIJEM	VKLAD	24144	55219	\N	\N	\N
3292230	10940	1997-12-09	PRIJEM	VKLAD	36216	74597	\N	\N	\N
3292231	10940	1998-01-09	PRIJEM	VKLAD	24144	44478	\N	\N	\N
3292232	10940	1998-02-09	PRIJEM	VKLAD	24144	47279	\N	\N	\N
3292233	10940	1998-03-09	PRIJEM	VKLAD	24144	50245	\N	\N	\N
3292234	10940	1998-04-09	PRIJEM	VKLAD	24144	56630	\N	\N	\N
3292235	10940	1998-05-09	PRIJEM	VKLAD	24144	56222	\N	\N	\N
3292236	10940	1998-06-09	PRIJEM	VKLAD	36216	59895	\N	\N	\N
3292237	10940	1998-07-09	PRIJEM	VKLAD	24144	64801	\N	\N	\N
3292238	10940	1998-08-09	PRIJEM	VKLAD	24144	57834	\N	\N	\N
3292239	10940	1998-09-09	PRIJEM	VKLAD	24144	59245	\N	\N	\N
3292240	10940	1998-10-09	PRIJEM	VKLAD	24144	65709	\N	\N	\N
3292241	10940	1998-11-09	PRIJEM	VKLAD	24144	65941	\N	\N	\N
3292242	10940	1998-12-09	PRIJEM	VKLAD	36216	76700	\N	\N	\N
3292257	10940	1994-03-05	VYDAJ	PREVOD NA UCET	7517	32955	SIPO	KL	1789451
3292258	10940	1994-04-05	VYDAJ	PREVOD NA UCET	7517	29640	SIPO	KL	1789451
3292259	10940	1994-05-05	VYDAJ	PREVOD NA UCET	7517	25508	SIPO	KL	1789451
3292260	10940	1994-06-05	VYDAJ	PREVOD NA UCET	7517	25470	SIPO	KL	1789451
3292261	10940	1994-07-05	VYDAJ	PREVOD NA UCET	7517	32023	SIPO	KL	1789451
3292262	10940	1994-08-05	VYDAJ	PREVOD NA UCET	7517	22522	SIPO	KL	1789451
3292263	10940	1994-09-05	VYDAJ	PREVOD NA UCET	7517	21566	SIPO	KL	1789451
3292264	10940	1994-10-05	VYDAJ	PREVOD NA UCET	7517	31236	SIPO	KL	1789451
3292265	10940	1994-11-05	VYDAJ	PREVOD NA UCET	7517	39224	SIPO	KL	1789451
3292266	10940	1994-12-05	VYDAJ	PREVOD NA UCET	7517	40702	SIPO	KL	1789451
3292267	10940	1995-01-05	VYDAJ	PREVOD NA UCET	7517	50188	SIPO	KL	1789451
3292268	10940	1995-02-05	VYDAJ	PREVOD NA UCET	7517	29958	SIPO	KL	1789451
3292269	10940	1995-03-05	VYDAJ	PREVOD NA UCET	7517	41273	SIPO	KL	1789451
3292270	10940	1995-04-05	VYDAJ	PREVOD NA UCET	7517	46108	SIPO	KL	1789451
3292271	10940	1995-05-05	VYDAJ	PREVOD NA UCET	7517	47349	SIPO	KL	1789451
3292272	10940	1995-06-05	VYDAJ	PREVOD NA UCET	7517	50100	SIPO	KL	1789451
3292273	10940	1995-07-05	VYDAJ	PREVOD NA UCET	7517	24293	SIPO	KL	1789451
3292274	10940	1995-08-05	VYDAJ	PREVOD NA UCET	7517	28777	SIPO	KL	1789451
3292275	10940	1995-09-05	VYDAJ	PREVOD NA UCET	7517	32383	SIPO	KL	1789451
3292276	10940	1995-10-05	VYDAJ	PREVOD NA UCET	7517	31063	SIPO	KL	1789451
3292277	10940	1995-11-05	VYDAJ	PREVOD NA UCET	7517	35280	SIPO	KL	1789451
3292278	10940	1995-12-05	VYDAJ	PREVOD NA UCET	7517	38293	SIPO	KL	1789451
3292279	10940	1996-01-05	VYDAJ	PREVOD NA UCET	7517	32003	SIPO	KL	1789451
3292280	10940	1996-02-05	VYDAJ	PREVOD NA UCET	7517	30508	SIPO	KL	1789451
3292281	10940	1996-03-05	VYDAJ	PREVOD NA UCET	7517	39321	SIPO	KL	1789451
3292282	10940	1996-04-05	VYDAJ	PREVOD NA UCET	7517	39085	SIPO	KL	1789451
3292283	10940	1996-05-05	VYDAJ	PREVOD NA UCET	7517	38267	SIPO	KL	1789451
3292284	10940	1996-06-05	VYDAJ	PREVOD NA UCET	7517	42727	SIPO	KL	1789451
3292285	10940	1996-07-05	VYDAJ	PREVOD NA UCET	7517	49328	SIPO	KL	1789451
3292286	10940	1996-08-05	VYDAJ	PREVOD NA UCET	7517	50933	SIPO	KL	1789451
3292287	10940	1996-09-05	VYDAJ	PREVOD NA UCET	7517	49625	SIPO	KL	1789451
3292288	10940	1996-10-05	VYDAJ	PREVOD NA UCET	7517	52112	SIPO	KL	1789451
3292289	10940	1996-11-05	VYDAJ	PREVOD NA UCET	7517	49744	SIPO	KL	1789451
3292290	10940	1996-12-05	VYDAJ	PREVOD NA UCET	7517	52230	SIPO	KL	1789451
3292291	10940	1997-01-05	VYDAJ	PREVOD NA UCET	7517	50343	SIPO	KL	1789451
3292292	10940	1997-02-05	VYDAJ	PREVOD NA UCET	7517	34070	SIPO	KL	1789451
3292293	10940	1997-03-05	VYDAJ	PREVOD NA UCET	7517	39292	SIPO	KL	1789451
3292294	10940	1997-04-05	VYDAJ	PREVOD NA UCET	7517	36022	SIPO	KL	1789451
3292295	10940	1997-05-05	VYDAJ	PREVOD NA UCET	7517	43050	SIPO	KL	1789451
3292296	10940	1997-06-05	VYDAJ	PREVOD NA UCET	7517	40700	SIPO	KL	1789451
3292297	10940	1997-07-05	VYDAJ	PREVOD NA UCET	7517	41883	SIPO	KL	1789451
3292298	10940	1997-08-05	VYDAJ	PREVOD NA UCET	7517	31831	SIPO	KL	1789451
3292299	10940	1997-09-05	VYDAJ	PREVOD NA UCET	7517	35639	SIPO	KL	1789451
3292300	10940	1997-10-05	VYDAJ	PREVOD NA UCET	7517	27479	SIPO	KL	1789451
3292301	10940	1997-11-05	VYDAJ	PREVOD NA UCET	7517	31075	SIPO	KL	1789451
3292302	10940	1997-12-05	VYDAJ	PREVOD NA UCET	7517	38381	SIPO	KL	1789451
3292303	10940	1998-01-05	VYDAJ	PREVOD NA UCET	7517	25334	SIPO	KL	1789451
3292304	10940	1998-02-05	VYDAJ	PREVOD NA UCET	7517	23135	SIPO	KL	1789451
3292305	10940	1998-03-05	VYDAJ	PREVOD NA UCET	7517	30301	SIPO	KL	1789451
3292306	10940	1998-04-05	VYDAJ	PREVOD NA UCET	7517	32486	SIPO	KL	1789451
3292307	10940	1998-05-05	VYDAJ	PREVOD NA UCET	7517	32078	SIPO	KL	1789451
3292308	10940	1998-06-05	VYDAJ	PREVOD NA UCET	7517	23679	SIPO	KL	1789451
3292309	10940	1998-07-05	VYDAJ	PREVOD NA UCET	7517	40657	SIPO	KL	1789451
3292310	10940	1998-08-05	VYDAJ	PREVOD NA UCET	7517	33690	SIPO	KL	1789451
3292311	10940	1998-09-05	VYDAJ	PREVOD NA UCET	7517	40701	SIPO	KL	1789451
3292312	10940	1998-10-05	VYDAJ	PREVOD NA UCET	7517	41565	SIPO	KL	1789451
3292313	10940	1998-11-05	VYDAJ	PREVOD NA UCET	7517	41797	SIPO	KL	1789451
3292314	10940	1998-12-05	VYDAJ	PREVOD NA UCET	7517	40484	SIPO	KL	1789451
3292328	10940	1994-02-16	VYDAJ	VYBER	5700	43295	\N	\N	0
3292329	10940	1994-03-12	VYDAJ	PREVOD NA UCET	5493	37006	UVER	YZ	91803866
3292330	10940	1994-04-12	VYDAJ	PREVOD NA UCET	5493	32891	UVER	YZ	91803866
3292331	10940	1994-05-12	VYDAJ	PREVOD NA UCET	5493	32859	UVER	YZ	91803866
3292332	10940	1994-06-12	VYDAJ	PREVOD NA UCET	5493	39393	UVER	YZ	91803866
3292333	10940	1994-07-12	VYDAJ	PREVOD NA UCET	5493	29914	UVER	YZ	91803866
3292334	10940	1994-08-12	VYDAJ	PREVOD NA UCET	5493	28973	UVER	YZ	91803866
3292335	10940	1994-09-12	VYDAJ	PREVOD NA UCET	5493	38617	UVER	YZ	91803866
3292336	10940	1994-10-12	VYDAJ	PREVOD NA UCET	5493	47887	UVER	YZ	91803866
3292337	10940	1994-11-12	VYDAJ	PREVOD NA UCET	5493	48875	UVER	YZ	91803866
3292338	10940	1994-12-12	VYDAJ	PREVOD NA UCET	5493	60245	UVER	YZ	91803866
3292339	10940	1995-01-12	VYDAJ	PREVOD NA UCET	5493	53619	UVER	YZ	91803866
3292340	10940	1995-02-12	VYDAJ	PREVOD NA UCET	5493	48609	UVER	YZ	91803866
3292341	10940	1995-03-12	VYDAJ	PREVOD NA UCET	5493	53424	UVER	YZ	91803866
3292342	10940	1995-04-12	VYDAJ	PREVOD NA UCET	5493	54659	UVER	YZ	91803866
3292343	10940	1995-05-12	VYDAJ	PREVOD NA UCET	5493	57400	UVER	YZ	91803866
3292344	10940	1995-06-12	VYDAJ	PREVOD NA UCET	5493	30863	UVER	YZ	91803866
3292345	10940	1995-07-12	VYDAJ	PREVOD NA UCET	5493	42944	UVER	YZ	91803866
3292346	10940	1995-08-12	VYDAJ	PREVOD NA UCET	5493	47428	UVER	YZ	91803866
3292347	10940	1995-09-12	VYDAJ	PREVOD NA UCET	5493	51034	UVER	YZ	91803866
3292348	10940	1995-10-12	VYDAJ	PREVOD NA UCET	5493	49714	UVER	YZ	91803866
3292349	10940	1995-11-12	VYDAJ	PREVOD NA UCET	5493	53931	UVER	YZ	91803866
3292350	10940	1995-12-12	VYDAJ	PREVOD NA UCET	5493	68416	UVER	YZ	91803866
3292351	10940	1996-01-12	VYDAJ	PREVOD NA UCET	5493	49814	UVER	YZ	91803866
3292352	10940	1996-02-12	VYDAJ	PREVOD NA UCET	5493	49159	UVER	YZ	91803866
3292353	10940	1996-03-12	VYDAJ	PREVOD NA UCET	5493	57972	UVER	YZ	91803866
3292354	10940	1996-04-12	VYDAJ	PREVOD NA UCET	5493	57736	UVER	YZ	91803866
3292355	10940	1996-05-12	VYDAJ	PREVOD NA UCET	5493	56918	UVER	YZ	91803866
3292356	10940	1996-06-12	VYDAJ	PREVOD NA UCET	5493	73450	UVER	YZ	91803866
3292357	10940	1996-07-12	VYDAJ	PREVOD NA UCET	5493	67979	UVER	YZ	91803866
3292358	10940	1996-08-12	VYDAJ	PREVOD NA UCET	5493	69584	UVER	YZ	91803866
3292359	10940	1996-09-12	VYDAJ	PREVOD NA UCET	5493	68276	UVER	YZ	91803866
3292360	10940	1996-10-12	VYDAJ	PREVOD NA UCET	5493	70763	UVER	YZ	91803866
3292361	10940	1996-11-12	VYDAJ	PREVOD NA UCET	5493	68395	UVER	YZ	91803866
3292362	10940	1996-12-12	VYDAJ	PREVOD NA UCET	5493	82953	UVER	YZ	91803866
3292363	10940	1997-01-12	VYDAJ	PREVOD NA UCET	5493	60954	UVER	YZ	91803866
3292364	10940	1997-02-12	VYDAJ	PREVOD NA UCET	5493	52721	UVER	YZ	91803866
3292365	10940	1997-03-13	VYDAJ	VYBER	6300	57136	\N	\N	0
3292366	10940	1997-04-18	VYDAJ	VYBER	6500	53666	\N	\N	0
3292367	10940	1997-05-21	VYDAJ	VYBER	6800	60394	\N	\N	0
3292368	10940	1997-06-09	VYDAJ	VYBER	4800	57556	\N	\N	0
3292369	10940	1997-07-07	VYDAJ	VYBER	6500	35383	\N	\N	0
3292370	10940	1997-08-02	VYDAJ	VYBER	4800	39348	\N	\N	0
3292371	10940	1997-09-09	VYDAJ	VYBER	5400	54383	\N	\N	0
3292372	10940	1997-10-02	VYDAJ	VYBER	4600	40036	\N	\N	0
3292373	10940	1997-11-03	VYDAJ	VYBER	5300	38592	\N	\N	0
3292374	10940	1997-12-09	VYDAJ	VYBER	6400	68197	\N	\N	0
3292375	10940	1998-01-07	VYDAJ	VYBER	5000	20334	\N	\N	0
3292376	10940	1998-02-09	VYDAJ	VYBER	4400	42879	\N	\N	0
3292377	10940	1998-03-05	VYDAJ	VYBER	4200	26101	\N	\N	0
3292378	10940	1998-04-12	VYDAJ	VYBER	4500	52130	\N	\N	0
3292379	10940	1998-05-13	VYDAJ	VYBER	4800	51422	\N	\N	0
3292380	10940	1998-06-15	VYDAJ	VYBER	5400	54495	\N	\N	0
3292381	10940	1998-07-17	VYDAJ	VYBER	5700	59101	\N	\N	0
3292382	10940	1998-08-04	VYDAJ	VYBER	6000	41207	\N	\N	0
3292383	10940	1998-09-08	VYDAJ	VYBER	5600	35101	\N	\N	0
3292384	10940	1998-10-20	VYDAJ	VYBER	5000	49109	\N	\N	0
3292385	10940	1998-11-14	VYDAJ	VYBER	5800	60141	\N	\N	0
3292386	10940	1998-12-16	VYDAJ	VYBER	4700	59500	\N	\N	0
3292389	10940	1995-06-10	VYDAJ	VYBER	41760	36356	\N	\N	\N
3292390	10940	1996-06-25	VYDAJ	VYBER	12160	61290	\N	\N	\N
3292391	10940	1997-06-09	VYDAJ	VYBER	14560	62356	\N	\N	\N
3292392	10940	1998-06-03	VYDAJ	VYBER	13600	31196	\N	\N	\N
3292395	10940	1995-01-06	VYDAJ	VYBER	4320	36768	\N	\N	\N
3292396	10940	1996-01-03	VYDAJ	VYBER	10240	39520	\N	\N	\N
3292397	10940	1997-01-23	VYDAJ	VYBER	12800	45274	\N	\N	\N
3292398	10940	1998-01-21	VYDAJ	VYBER	4480	30518	\N	\N	\N
3292400	10940	1994-12-06	VYDAJ	VYBER	4480	36222	\N	\N	\N
3292401	10940	1995-12-01	VYDAJ	VYBER	1120	53010	\N	\N	\N
3292402	10940	1996-12-28	VYDAJ	VYBER	2240	60093	\N	\N	\N
3292403	10940	1997-12-16	VYDAJ	VYBER	3840	64357	\N	\N	\N
3292404	10940	1998-12-27	VYDAJ	VYBER	1440	58060	\N	\N	\N
3292417	10940	1995-01-27	VYDAJ	VYBER	1200	46299	\N	\N	\N
3292418	10940	1995-01-23	VYDAJ	VYBER	3480	47499	\N	\N	\N
3292419	10940	1995-01-20	VYDAJ	VYBER	600	50979	\N	\N	\N
3292420	10940	1995-01-30	VYDAJ	VYBER	2640	43659	\N	\N	\N
3292421	10940	1995-01-07	VYDAJ	VYBER	1800	34968	\N	\N	\N
3292422	10940	1995-01-04	VYDAJ	VYBER	2760	57705	\N	\N	\N
3292423	10940	1996-01-28	VYDAJ	VYBER	3120	39254	\N	\N	\N
3292424	10940	1996-01-19	VYDAJ	VYBER	960	43814	\N	\N	\N
3292425	10940	1996-01-24	VYDAJ	VYBER	1440	42374	\N	\N	\N
3292426	10940	1996-01-15	VYDAJ	VYBER	3240	44774	\N	\N	\N
3292427	10940	1996-01-14	VYDAJ	VYBER	1800	48014	\N	\N	\N
3292428	10940	1996-01-09	VYDAJ	VYBER	840	55307	\N	\N	\N
3292429	10940	1997-01-13	VYDAJ	VYBER	840	60114	\N	\N	\N
3292430	10940	1997-01-11	VYDAJ	VYBER	2160	66447	\N	\N	\N
3292431	10940	1997-01-05	VYDAJ	VYBER	3360	46983	\N	\N	\N
3292432	10940	1997-01-08	VYDAJ	VYBER	2520	44463	\N	\N	\N
3292433	10940	1997-01-01	VYDAJ	VYBER	2520	57860	\N	\N	\N
3292434	10940	1997-01-23	VYDAJ	VYBER	2040	58074	\N	\N	\N
3292435	10940	1998-01-02	VYDAJ	VYBER	2280	44491	\N	\N	\N
3292436	10940	1998-01-20	VYDAJ	VYBER	3480	34998	\N	\N	\N
3292437	10940	1998-01-03	VYDAJ	VYBER	3360	38371	\N	\N	\N
3292438	10940	1998-01-03	VYDAJ	VYBER	2760	41731	\N	\N	\N
3292439	10940	1998-01-05	VYDAJ	VYBER	3000	32851	\N	\N	\N
3292440	10940	1998-01-04	VYDAJ	VYBER	2520	35851	\N	\N	\N
3292447	10940	1994-12-11	VYDAJ	VYBER	1800	65738	\N	\N	\N
3292448	10940	1994-10-21	VYDAJ	VYBER	1320	46567	\N	\N	\N
3292449	10940	1994-07-10	VYDAJ	VYBER	3960	52207	\N	\N	\N
3292450	10940	1994-02-27	VYDAJ	VYBER	3000	40295	\N	\N	\N
3292451	10940	1994-12-02	VYDAJ	VYBER	840	48219	\N	\N	\N
3292452	10940	1995-12-06	VYDAJ	VYBER	600	37693	\N	\N	\N
3292453	10940	1995-09-29	VYDAJ	VYBER	3840	47194	\N	\N	\N
3292454	10940	1995-01-18	VYDAJ	VYBER	2040	51579	\N	\N	\N
3292455	10940	1995-02-02	VYDAJ	VYBER	4080	39775	\N	\N	\N
3292456	10940	1996-07-21	VYDAJ	VYBER	2280	65699	\N	\N	\N
3292457	10940	1996-05-23	VYDAJ	VYBER	3480	53438	\N	\N	\N
3292458	10940	1996-12-18	VYDAJ	VYBER	1320	81633	\N	\N	\N
3292459	10940	1996-04-13	VYDAJ	VYBER	2160	55576	\N	\N	\N
3292460	10940	1996-10-20	VYDAJ	VYBER	1560	69203	\N	\N	\N
3292461	10940	1996-03-27	VYDAJ	VYBER	2880	55092	\N	\N	\N
3292462	10940	1997-09-09	VYDAJ	VYBER	840	53543	\N	\N	\N
3292463	10940	1997-12-17	VYDAJ	VYBER	2400	61957	\N	\N	\N
3292464	10940	1997-03-28	VYDAJ	VYBER	4800	43336	\N	\N	\N
3292465	10940	1997-10-04	VYDAJ	VYBER	5040	34996	\N	\N	\N
3292466	10940	1997-12-29	VYDAJ	VYBER	1200	46557	\N	\N	\N
3292467	10940	1997-07-30	VYDAJ	VYBER	2280	43947	\N	\N	\N
3292468	10940	1998-11-25	VYDAJ	VYBER	3240	47801	\N	\N	\N
3292469	10940	1998-07-19	VYDAJ	VYBER	3000	47001	\N	\N	\N
3292470	10940	1998-04-15	VYDAJ	VYBER	3600	48530	\N	\N	\N
3292471	10940	1998-09-24	VYDAJ	VYBER	3960	48885	\N	\N	\N
3292486	10940	1994-02-28	VYDAJ	VYBER	15	40472	SLUZBY	\N	\N
3292487	10940	1994-03-31	VYDAJ	VYBER	15	37157	SLUZBY	\N	\N
3292488	10940	1994-04-30	VYDAJ	VYBER	15	33025	SLUZBY	\N	\N
3292489	10940	1994-05-31	VYDAJ	VYBER	15	32987	SLUZBY	\N	\N
3292490	10940	1994-06-30	VYDAJ	VYBER	15	39540	SLUZBY	\N	\N
3292491	10940	1994-07-31	VYDAJ	VYBER	15	30039	SLUZBY	\N	\N
3292492	10940	1994-08-31	VYDAJ	VYBER	15	29083	SLUZBY	\N	\N
3292493	10940	1994-09-30	VYDAJ	VYBER	15	38753	SLUZBY	\N	\N
3292494	10940	1994-10-31	VYDAJ	VYBER	15	46741	SLUZBY	\N	\N
3292495	10940	1994-11-30	VYDAJ	VYBER	15	49059	SLUZBY	\N	\N
3292496	10940	1994-12-31	VYDAJ	VYBER	15	60465	SLUZBY	\N	\N
3292497	10940	1995-01-31	VYDAJ	VYBER	15	43855	SLUZBY	\N	\N
3292498	10940	1995-02-28	VYDAJ	VYBER	15	48790	SLUZBY	\N	\N
3292499	10940	1995-03-31	VYDAJ	VYBER	15	53625	SLUZBY	\N	\N
3292500	10940	1995-04-30	VYDAJ	VYBER	15	54866	SLUZBY	\N	\N
3292501	10940	1995-05-31	VYDAJ	VYBER	15	57617	SLUZBY	\N	\N
3292502	10940	1995-06-30	VYDAJ	VYBER	15	31010	SLUZBY	\N	\N
3292503	10940	1995-07-31	VYDAJ	VYBER	15	43094	SLUZBY	\N	\N
3292504	10940	1995-08-31	VYDAJ	VYBER	15	47600	SLUZBY	\N	\N
3292505	10940	1995-09-30	VYDAJ	VYBER	15	47380	SLUZBY	\N	\N
3292506	10940	1995-10-31	VYDAJ	VYBER	15	49897	SLUZBY	\N	\N
3292507	10940	1995-11-30	VYDAJ	VYBER	15	54130	SLUZBY	\N	\N
3292508	10940	1995-12-31	VYDAJ	VYBER	15	68660	SLUZBY	\N	\N
3292509	10940	1996-01-31	VYDAJ	VYBER	15	38025	SLUZBY	\N	\N
3292510	10940	1996-02-29	VYDAJ	VYBER	15	49338	SLUZBY	\N	\N
3292511	10940	1996-03-31	VYDAJ	VYBER	15	46602	SLUZBY	\N	\N
3292512	10940	1996-04-30	VYDAJ	VYBER	15	55784	SLUZBY	\N	\N
3292513	10940	1996-05-31	VYDAJ	VYBER	15	50244	SLUZBY	\N	\N
3292514	10940	1996-06-30	VYDAJ	VYBER	15	56845	SLUZBY	\N	\N
3292515	10940	1996-07-31	VYDAJ	VYBER	15	58450	SLUZBY	\N	\N
3292516	10940	1996-08-31	VYDAJ	VYBER	15	57142	SLUZBY	\N	\N
3292517	10940	1996-09-30	VYDAJ	VYBER	15	59629	SLUZBY	\N	\N
3292518	10940	1996-10-31	VYDAJ	VYBER	15	57261	SLUZBY	\N	\N
3292519	10940	1996-11-30	VYDAJ	VYBER	15	59747	SLUZBY	\N	\N
3292520	10940	1996-12-31	VYDAJ	VYBER	15	60380	SLUZBY	\N	\N
3292521	10940	1997-01-31	VYDAJ	VYBER	15	41587	SLUZBY	\N	\N
3292522	10940	1997-02-28	VYDAJ	VYBER	15	46809	SLUZBY	\N	\N
3292523	10940	1997-03-31	VYDAJ	VYBER	15	43539	SLUZBY	\N	\N
3292524	10940	1997-04-30	VYDAJ	VYBER	15	50567	SLUZBY	\N	\N
3292525	10940	1997-05-31	VYDAJ	VYBER	15	48217	SLUZBY	\N	\N
3292526	10940	1997-06-30	VYDAJ	VYBER	15	49400	SLUZBY	\N	\N
3292527	10940	1997-07-31	VYDAJ	VYBER	15	44148	SLUZBY	\N	\N
3292528	10940	1997-08-31	VYDAJ	VYBER	15	43156	SLUZBY	\N	\N
3292529	10940	1997-09-30	VYDAJ	VYBER	15	44636	SLUZBY	\N	\N
3292530	10940	1997-10-31	VYDAJ	VYBER	15	43892	SLUZBY	\N	\N
3292531	10940	1997-11-30	VYDAJ	VYBER	15	45898	SLUZBY	\N	\N
3292532	10940	1997-12-31	VYDAJ	VYBER	15	46771	SLUZBY	\N	\N
3292533	10940	1998-01-31	VYDAJ	VYBER	15	30652	SLUZBY	\N	\N
3292534	10940	1998-02-28	VYDAJ	VYBER	15	37818	SLUZBY	\N	\N
3292535	10940	1998-03-31	VYDAJ	VYBER	15	40003	SLUZBY	\N	\N
3292536	10940	1998-04-30	VYDAJ	VYBER	15	39595	SLUZBY	\N	\N
3292537	10940	1998-05-31	VYDAJ	VYBER	15	44796	SLUZBY	\N	\N
3292538	10940	1998-06-30	VYDAJ	VYBER	15	48174	SLUZBY	\N	\N
3292539	10940	1998-07-31	VYDAJ	VYBER	15	47207	SLUZBY	\N	\N
3292540	10940	1998-08-31	VYDAJ	VYBER	15	48218	SLUZBY	\N	\N
3292541	10940	1998-09-30	VYDAJ	VYBER	15	49082	SLUZBY	\N	\N
3292542	10940	1998-10-31	VYDAJ	VYBER	15	49314	SLUZBY	\N	\N
3292543	10940	1998-11-30	VYDAJ	VYBER	15	48001	SLUZBY	\N	\N
3292544	10940	1993-10-13	PRIJEM	VKLAD	2300	26744	\N	\N	\N
3292545	10940	1993-11-12	VYDAJ	VYBER	12900	38056	\N	\N	\N
3292546	10940	1993-12-12	VYDAJ	VYBER	25100	49314	\N	\N	\N
3292547	10940	1994-01-11	VYDAJ	VYBER	24800	48846	\N	\N	\N
3292548	10940	1994-02-10	VYDAJ	VYBER	24200	48995	\N	\N	\N
3292549	10940	1994-03-12	VYDAJ	VYBER	14600	42499	\N	\N	\N
3292550	10940	1994-04-11	VYDAJ	VYBER	15400	38384	\N	\N	\N
3292551	10940	1994-05-11	VYDAJ	VYBER	11300	38352	\N	\N	\N
3292552	10940	1994-06-10	VYDAJ	VYBER	16800	44886	\N	\N	\N
3292553	10940	1994-07-10	VYDAJ	VYBER	16800	35407	\N	\N	\N
3292554	10940	1994-08-09	VYDAJ	VYBER	12200	34466	\N	\N	\N
3292555	10940	1994-09-08	VYDAJ	VYBER	1600	19966	\N	\N	\N
3292556	10940	1994-10-08	VYDAJ	VYBER	2000	29236	\N	\N	\N
3292557	10940	1994-11-07	VYDAJ	VYBER	9000	30224	\N	\N	\N
3292558	10940	1994-12-07	VYDAJ	VYBER	4900	31322	\N	\N	\N
3292559	10940	1995-01-06	VYDAJ	VYBER	9100	41088	\N	\N	\N
3292560	10940	1995-02-05	VYDAJ	VYBER	2300	37475	\N	\N	\N
3292561	10940	1995-03-07	VYDAJ	VYBER	6500	34773	\N	\N	\N
3292562	10940	1995-04-06	VYDAJ	VYBER	10100	36008	\N	\N	\N
3292563	10940	1995-05-06	VYDAJ	VYBER	8600	38749	\N	\N	\N
3292564	10940	1995-06-05	VYDAJ	VYBER	8200	41900	\N	\N	\N
3292565	10940	1995-07-05	PRIJEM	VKLAD	800	31810	\N	\N	\N
3292566	10940	1995-08-04	VYDAJ	VYBER	6800	36294	\N	\N	\N
3292567	10940	1995-09-03	VYDAJ	VYBER	7700	39900	\N	\N	\N
3292568	10940	1995-10-03	VYDAJ	VYBER	8800	38580	\N	\N	\N
3292569	10940	1995-11-02	VYDAJ	VYBER	7100	42797	\N	\N	\N
3292570	10940	1995-12-02	VYDAJ	VYBER	7200	45810	\N	\N	\N
3292571	10940	1996-01-01	VYDAJ	VYBER	18900	49760	\N	\N	\N
3292572	10940	1996-01-31	VYDAJ	VYBER	1400	38039	\N	\N	\N
3292573	10940	1996-03-01	VYDAJ	VYBER	2500	46838	\N	\N	\N
3292574	10940	1996-03-31	VYDAJ	VYBER	8700	46616	\N	\N	\N
3292575	10940	1996-04-30	VYDAJ	VYBER	10000	45784	\N	\N	\N
3292576	10940	1996-05-30	VYDAJ	VYBER	3400	50038	\N	\N	\N
3292577	10940	1996-06-29	VYDAJ	VYBER	4700	56590	\N	\N	\N
3292578	10940	1996-07-29	VYDAJ	VYBER	7500	58199	\N	\N	\N
3292579	10940	1996-08-28	VYDAJ	VYBER	12700	56884	\N	\N	\N
3292580	10940	1996-09-27	VYDAJ	VYBER	8900	59376	\N	\N	\N
3292581	10940	1996-10-27	VYDAJ	VYBER	12200	57003	\N	\N	\N
3292582	10940	1996-11-26	VYDAJ	VYBER	8900	59495	\N	\N	\N
3292583	10940	1996-12-26	VYDAJ	VYBER	19300	62333	\N	\N	\N
3292584	10940	1997-01-25	VYDAJ	VYBER	3900	41374	\N	\N	\N
3292585	10940	1997-02-24	VYDAJ	VYBER	6100	46621	\N	\N	\N
3292586	10940	1997-03-26	VYDAJ	VYBER	9000	48136	\N	\N	\N
3292587	10940	1997-04-25	VYDAJ	VYBER	3300	50366	\N	\N	\N
3292588	10940	1997-05-25	VYDAJ	VYBER	12400	47994	\N	\N	\N
3292589	10940	1997-06-24	VYDAJ	VYBER	8400	49156	\N	\N	\N
3292590	10940	1997-07-24	VYDAJ	VYBER	13300	46227	\N	\N	\N
3292591	10940	1997-08-23	VYDAJ	VYBER	13000	42975	\N	\N	\N
3292592	10940	1997-09-22	VYDAJ	VYBER	9100	44443	\N	\N	\N
3292593	10940	1997-10-22	VYDAJ	VYBER	7900	43723	\N	\N	\N
3292594	10940	1997-11-21	VYDAJ	VYBER	9500	45719	\N	\N	\N
3292595	10940	1997-12-21	VYDAJ	VYBER	14200	47757	\N	\N	\N
3292596	10940	1998-01-20	VYDAJ	VYBER	6000	38478	\N	\N	\N
3292597	10940	1998-02-19	VYDAJ	VYBER	5200	37679	\N	\N	\N
3292598	10940	1998-03-21	VYDAJ	VYBER	10400	39845	\N	\N	\N
3292599	10940	1998-04-20	VYDAJ	VYBER	9100	39430	\N	\N	\N
3292600	10940	1998-05-20	VYDAJ	VYBER	6800	44622	\N	\N	\N
3292601	10940	1998-06-19	VYDAJ	VYBER	6500	47995	\N	\N	\N
3292602	10940	1998-07-19	VYDAJ	VYBER	9100	50001	\N	\N	\N
3292603	10940	1998-08-18	VYDAJ	VYBER	9800	48034	\N	\N	\N
3292604	10940	1998-09-17	VYDAJ	VYBER	6400	52845	\N	\N	\N
3292605	10940	1998-10-17	VYDAJ	VYBER	11600	54109	\N	\N	\N
3292606	10940	1998-11-16	VYDAJ	VYBER	9100	51041	\N	\N	\N
3292607	10940	1998-12-16	VYDAJ	VYBER	12500	64200	\N	\N	\N
3292795	10942	1994-06-05	PRIJEM	VKLAD	500	500	\N	\N	\N
3292796	10942	1994-10-05	PRIJEM	VKLAD	45328	83814	\N	\N	\N
3292799	10942	1994-06-17	PRIJEM	VKLAD	48765	49265	\N	\N	\N
3292800	10942	1994-12-19	PRIJEM	VKLAD	21597	92288	\N	\N	\N
3292801	10942	1994-12-11	PRIJEM	VKLAD	44687	109238	\N	\N	\N
3292802	10942	1994-12-10	PRIJEM	VKLAD	28338	64551	\N	\N	\N
3292804	10942	1994-12-23	PRIJEM	VKLAD	6618	98906	\N	\N	\N
3292805	10942	1994-10-24	PRIJEM	VKLAD	18547	88775	\N	\N	\N
3292806	10942	1994-07-27	PRIJEM	VKLAD	6174	69610	\N	\N	\N
3292807	10942	1994-12-11	PRIJEM	VKLAD	9653	118891	\N	\N	\N
3292809	10942	1994-07-02	PRIJEM	VKLAD	25401	74762	\N	\N	\N
3292810	10942	1994-10-26	PRIJEM	VKLAD	6725	95500	\N	\N	\N
3292811	10942	1994-11-17	PRIJEM	VKLAD	49457	124981	\N	\N	\N
3292812	10942	1994-09-10	PRIJEM	VKLAD	13899	63767	\N	\N	\N
3292813	10942	1994-11-07	PRIJEM	VKLAD	30024	80324	\N	\N	\N
3292815	10942	1994-09-07	PRIJEM	VKLAD	12731	49868	\N	\N	\N
3292816	10942	1994-10-14	PRIJEM	VKLAD	15286	70228	\N	\N	\N
3292817	10942	1994-07-17	PRIJEM	VKLAD	14774	63436	\N	\N	\N
3292818	10942	1995-11-23	PRIJEM	VKLAD	13430	84196	\N	\N	\N
3292819	10942	1995-07-11	PRIJEM	VKLAD	10941	122960	\N	\N	\N
3292820	10942	1995-12-07	PRIJEM	VKLAD	26259	68661	\N	\N	\N
3292821	10942	1995-09-26	PRIJEM	VKLAD	31065	120708	\N	\N	\N
3292822	10942	1995-07-16	PRIJEM	VKLAD	24323	127283	\N	\N	\N
3292823	10942	1995-07-10	PRIJEM	VKLAD	31158	128119	\N	\N	\N
3292824	10942	1995-08-07	PRIJEM	VKLAD	47770	99839	\N	\N	\N
3292825	10942	1995-12-23	PRIJEM	VKLAD	40666	96585	\N	\N	\N
3292826	10942	1995-02-17	PRIJEM	VKLAD	29738	35744	\N	\N	\N
3292827	10942	1995-06-01	PRIJEM	VKLAD	25973	47136	\N	\N	\N
3292828	10942	1995-12-27	PRIJEM	VKLAD	10815	107400	\N	\N	\N
3292829	10942	1995-08-30	PRIJEM	VKLAD	20481	78320	\N	\N	\N
3292830	10942	1995-10-28	PRIJEM	VKLAD	49736	98427	\N	\N	\N
3292831	10942	1995-09-01	PRIJEM	VKLAD	40935	119587	\N	\N	\N
3292832	10942	1995-04-11	PRIJEM	VKLAD	10339	46328	\N	\N	\N
3292833	10942	1995-04-26	PRIJEM	VKLAD	15004	39038	\N	\N	\N
3292834	10942	1995-06-05	PRIJEM	VKLAD	34767	81903	\N	\N	\N
3292835	10942	1995-07-05	PRIJEM	VKLAD	35108	73409	\N	\N	\N
3292836	10942	1995-07-08	PRIJEM	VKLAD	37924	100861	\N	\N	\N
3292837	10942	1995-06-29	PRIJEM	VKLAD	38496	96501	\N	\N	\N
3292838	10942	1995-11-19	PRIJEM	VKLAD	23175	70766	\N	\N	\N
3292839	10942	1995-06-08	PRIJEM	VKLAD	38574	110005	\N	\N	\N
3292840	10942	1995-03-04	PRIJEM	VKLAD	49298	77521	\N	\N	\N
3292841	10942	1995-04-04	PRIJEM	VKLAD	7483	51161	\N	\N	\N
3292842	10942	1995-10-11	PRIJEM	VKLAD	28691	53933	\N	\N	\N
3292843	10942	1995-09-14	PRIJEM	VKLAD	39928	89643	\N	\N	\N
3292844	10942	1995-07-29	PRIJEM	VKLAD	31825	94756	\N	\N	\N
3292845	10942	1996-04-14	PRIJEM	VKLAD	35963	66217	\N	\N	\N
3292846	10942	1996-01-31	PRIJEM	VKLAD	42651	101062	\N	\N	\N
3292847	10942	1996-06-27	PRIJEM	VKLAD	43036	88521	\N	\N	\N
3292848	10942	1996-10-05	PRIJEM	VKLAD	25822	46445	\N	\N	\N
3292849	10942	1996-05-25	PRIJEM	VKLAD	22206	46621	\N	\N	\N
3292850	10942	1996-01-27	PRIJEM	VKLAD	23993	62611	\N	\N	\N
3292851	10942	1996-04-15	PRIJEM	VKLAD	11564	77781	\N	\N	\N
3292852	10942	1996-02-03	PRIJEM	VKLAD	25618	126827	\N	\N	\N
3292853	10942	1996-07-10	PRIJEM	VKLAD	47840	109567	\N	\N	\N
3292854	10942	1996-09-20	PRIJEM	VKLAD	6895	23454	\N	\N	\N
3292855	10942	1996-10-27	PRIJEM	VKLAD	12419	49252	\N	\N	\N
3292856	10942	1996-01-26	PRIJEM	VKLAD	30898	57218	\N	\N	\N
3292857	10942	1996-10-12	PRIJEM	VKLAD	28602	64575	\N	\N	\N
3292858	10942	1996-02-04	PRIJEM	VKLAD	42972	106799	\N	\N	\N
3292859	10942	1996-08-16	PRIJEM	VKLAD	15126	49725	\N	\N	\N
3292860	10942	1996-06-26	PRIJEM	VKLAD	37375	45485	\N	\N	\N
3292861	10942	1996-03-29	PRIJEM	VKLAD	15928	45819	\N	\N	\N
3292862	10942	1996-10-27	PRIJEM	VKLAD	10166	59418	\N	\N	\N
3292863	10942	1997-03-09	PRIJEM	VKLAD	24403	90685	\N	\N	\N
3292864	10942	1997-10-06	PRIJEM	VKLAD	47713	63655	\N	\N	\N
3292865	10942	1997-10-13	PRIJEM	VKLAD	24345	105959	\N	\N	\N
3292866	10942	1997-08-03	PRIJEM	VKLAD	33070	99550	\N	\N	\N
3292867	10942	1997-02-28	PRIJEM	VKLAD	35405	76633	\N	\N	\N
3292868	10942	1997-10-07	PRIJEM	VKLAD	23201	86856	\N	\N	\N
3292869	10942	1997-12-01	PRIJEM	VKLAD	41960	89873	\N	\N	\N
3292870	10942	1997-11-11	PRIJEM	VKLAD	40651	140546	\N	\N	\N
3292871	10942	1997-03-21	PRIJEM	VKLAD	5057	90500	\N	\N	\N
3292872	10942	1997-06-09	PRIJEM	VKLAD	32952	93753	\N	\N	\N
3292873	10942	1997-03-25	PRIJEM	VKLAD	20610	71310	\N	\N	\N
3292874	10942	1997-02-17	PRIJEM	VKLAD	36451	77708	\N	\N	\N
3292875	10942	1997-10-29	PRIJEM	VKLAD	38852	85911	\N	\N	\N
3292876	10942	1997-12-24	PRIJEM	VKLAD	36385	70844	\N	\N	\N
3292877	10942	1997-07-25	PRIJEM	VKLAD	45043	66371	\N	\N	\N
3292878	10942	1997-01-13	PRIJEM	VKLAD	18210	44306	\N	\N	\N
3292879	10942	1997-11-06	PRIJEM	VKLAD	26419	99895	\N	\N	\N
3292880	10942	1997-02-15	PRIJEM	VKLAD	30180	41257	\N	\N	\N
3292881	10942	1997-06-02	PRIJEM	VKLAD	40399	51566	\N	\N	\N
3292882	10942	1997-12-28	PRIJEM	VKLAD	32178	103022	\N	\N	\N
3292883	10942	1997-01-11	PRIJEM	VKLAD	24032	31338	\N	\N	\N
3292884	10942	1997-08-06	PRIJEM	VKLAD	25787	114865	\N	\N	\N
3292885	10942	1997-06-02	PRIJEM	VKLAD	19707	71273	\N	\N	\N
3292886	10942	1997-09-09	PRIJEM	VKLAD	15624	61210	\N	\N	\N
3292887	10942	1997-07-04	PRIJEM	VKLAD	7102	37042	\N	\N	\N
3292888	10942	1997-08-27	PRIJEM	VKLAD	26917	55840	\N	\N	\N
3292889	10942	1997-11-02	PRIJEM	VKLAD	16388	83948	\N	\N	\N
3292890	10942	1998-07-03	PRIJEM	VKLAD	30852	139770	\N	\N	\N
3292891	10942	1998-01-17	PRIJEM	VKLAD	18952	61400	\N	\N	\N
3292892	10942	1998-04-06	PRIJEM	VKLAD	30471	56424	\N	\N	\N
3292893	10942	1998-10-11	PRIJEM	VKLAD	9214	16603	\N	\N	\N
3292894	10942	1998-02-26	PRIJEM	VKLAD	21069	69215	\N	\N	\N
3292895	10942	1998-05-17	PRIJEM	VKLAD	43794	90150	\N	\N	\N
3292896	10942	1998-07-02	PRIJEM	VKLAD	10108	108918	\N	\N	\N
3292897	10942	1998-04-18	PRIJEM	VKLAD	15481	48163	\N	\N	\N
3292898	10942	1998-01-23	PRIJEM	VKLAD	28298	115982	\N	\N	\N
3292899	10942	1998-01-17	PRIJEM	VKLAD	26284	87684	\N	\N	\N
3292900	10942	1998-01-27	PRIJEM	VKLAD	9361	51143	\N	\N	\N
3292901	10942	1998-05-03	PRIJEM	VKLAD	25330	104270	\N	\N	\N
3292902	10942	1998-06-29	PRIJEM	VKLAD	41048	98482	\N	\N	\N
3292903	10942	1998-06-13	PRIJEM	VKLAD	42998	113834	\N	\N	\N
3292904	10942	1998-07-13	PRIJEM	VKLAD	42404	135760	\N	\N	\N
3292905	10942	1998-11-24	PRIJEM	VKLAD	31313	42696	\N	\N	\N
3292906	10942	1998-05-31	PRIJEM	VKLAD	37282	123323	\N	\N	\N
3292907	10942	1998-04-24	PRIJEM	VKLAD	30587	78750	\N	\N	\N
3292908	10942	1998-05-22	PRIJEM	VKLAD	34111	124261	\N	\N	\N
3292909	10942	1998-07-24	PRIJEM	VKLAD	32309	78969	\N	\N	\N
3292910	10942	1998-12-30	PRIJEM	VKLAD	6912	48231	\N	\N	\N
3292911	10942	1998-03-07	PRIJEM	VKLAD	33283	92201	\N	\N	\N
3292912	10942	1998-08-07	PRIJEM	VKLAD	22562	91351	\N	\N	\N
3292913	10942	1998-12-22	PRIJEM	VKLAD	11025	48519	\N	\N	\N
3292914	10942	1998-02-15	PRIJEM	VKLAD	19308	48146	\N	\N	\N
3292915	10942	1998-12-08	PRIJEM	VKLAD	45396	77636	\N	\N	\N
3292924	10942	1994-09-13	VYDAJ	VYBER	6300	57467	\N	\N	0
3292925	10942	1994-10-10	VYDAJ	VYBER	6400	54942	\N	\N	0
3292926	10942	1994-11-10	VYDAJ	VYBER	4800	75524	\N	\N	0
3292927	10942	1994-12-07	VYDAJ	VYBER	5400	36213	\N	\N	0
3292928	10942	1995-01-10	VYDAJ	VYBER	6000	24576	\N	\N	0
3292929	10942	1995-02-15	VYDAJ	VYBER	4300	6006	\N	\N	0
3292930	10942	1995-03-14	VYDAJ	VYBER	3900	63149	\N	\N	0
3292931	10942	1995-04-06	VYDAJ	VYBER	4700	35989	\N	\N	0
3292932	10942	1995-05-21	VYDAJ	VYBER	5600	14905	\N	\N	0
3292933	10942	1995-06-08	VYDAJ	VYBER	4300	58005	\N	\N	0
3292934	10942	1995-07-09	VYDAJ	VYBER	3900	96961	\N	\N	0
3292935	10942	1995-08-16	VYDAJ	VYBER	5800	94039	\N	\N	0
3292936	10942	1995-09-13	VYDAJ	VYBER	5800	49715	\N	\N	0
3292937	10942	1995-10-12	VYDAJ	PREVOD NA UCET	5242	48691	UVER	IJ	35088640
3292938	10942	1995-11-12	VYDAJ	PREVOD NA UCET	5242	47591	UVER	IJ	35088640
3292939	10942	1995-12-12	VYDAJ	PREVOD NA UCET	5242	63419	UVER	IJ	35088640
3292940	10942	1996-01-12	VYDAJ	PREVOD NA UCET	5242	26320	UVER	IJ	35088640
3292941	10942	1996-02-12	VYDAJ	PREVOD NA UCET	5242	81484	UVER	IJ	35088640
3292942	10942	1996-03-12	VYDAJ	PREVOD NA UCET	5242	37391	UVER	IJ	35088640
3292943	10942	1996-04-12	VYDAJ	PREVOD NA UCET	5242	30254	UVER	IJ	35088640
3292944	10942	1996-05-12	VYDAJ	PREVOD NA UCET	5242	24415	UVER	IJ	35088640
3292945	10942	1996-06-12	VYDAJ	PREVOD NA UCET	5242	8110	UVER	IJ	35088640
3292946	10942	1996-07-12	VYDAJ	PREVOD NA UCET	5242	104325	UVER	IJ	35088640
3292947	10942	1996-08-12	VYDAJ	PREVOD NA UCET	5242	34599	UVER	IJ	35088640
3292948	10942	1996-09-12	VYDAJ	PREVOD NA UCET	5242	16559	UVER	IJ	35088640
3292949	10942	1996-10-12	VYDAJ	PREVOD NA UCET	5242	59333	UVER	IJ	35088640
3292950	10942	1996-11-12	VYDAJ	PREVOD NA UCET	5242	43874	UVER	IJ	35088640
3292951	10942	1996-12-12	VYDAJ	PREVOD NA UCET	5242	15618	UVER	IJ	35088640
3292952	10942	1997-01-12	VYDAJ	PREVOD NA UCET	5242	26096	UVER	IJ	35088640
3292953	10942	1997-02-12	VYDAJ	PREVOD NA UCET	5242	11077	UVER	IJ	35088640
3292954	10942	1997-03-12	VYDAJ	PREVOD NA UCET	5242	85443	UVER	IJ	35088640
3292955	10942	1997-04-12	VYDAJ	PREVOD NA UCET	5242	52301	UVER	IJ	35088640
3292956	10942	1997-05-12	VYDAJ	PREVOD NA UCET	5242	11130	UVER	IJ	35088640
3292957	10942	1997-06-12	VYDAJ	PREVOD NA UCET	5242	67665	UVER	IJ	35088640
3292958	10942	1997-07-12	VYDAJ	PREVOD NA UCET	5242	21328	UVER	IJ	35088640
3292959	10942	1997-08-12	VYDAJ	PREVOD NA UCET	5242	47023	UVER	IJ	35088640
3292960	10942	1997-09-12	VYDAJ	PREVOD NA UCET	5242	55968	UVER	IJ	35088640
3292961	10942	1997-10-12	VYDAJ	PREVOD NA UCET	5242	81614	UVER	IJ	35088640
3292962	10942	1997-11-12	VYDAJ	PREVOD NA UCET	5242	93604	UVER	IJ	35088640
3292963	10942	1997-12-12	VYDAJ	PREVOD NA UCET	5242	74159	UVER	IJ	35088640
3292964	10942	1998-01-12	VYDAJ	PREVOD NA UCET	5242	72848	UVER	IJ	35088640
3292965	10942	1998-02-12	VYDAJ	PREVOD NA UCET	5242	35738	UVER	IJ	35088640
3292966	10942	1998-03-12	VYDAJ	PREVOD NA UCET	5242	67240	UVER	IJ	35088640
3292967	10942	1998-04-12	VYDAJ	PREVOD NA UCET	5242	51182	UVER	IJ	35088640
3292968	10942	1998-05-12	VYDAJ	PREVOD NA UCET	5242	78956	UVER	IJ	35088640
3292969	10942	1998-06-12	VYDAJ	PREVOD NA UCET	5242	70836	UVER	IJ	35088640
3292970	10942	1998-07-12	VYDAJ	PREVOD NA UCET	5242	93356	UVER	IJ	35088640
3292971	10942	1998-08-12	VYDAJ	PREVOD NA UCET	5242	86109	UVER	IJ	35088640
3292972	10942	1998-09-12	VYDAJ	PREVOD NA UCET	5242	17798	UVER	IJ	35088640
3292973	10942	1998-10-12	VYDAJ	PREVOD NA UCET	5242	11361	UVER	IJ	35088640
3292975	10942	1998-12-12	VYDAJ	PREVOD NA UCET	5242	37494	UVER	IJ	35088640
3292985	10942	1994-10-05	VYDAJ	PREVOD NA UCET	10472	73342	SIPO	AB	71402126
3292986	10942	1994-11-05	VYDAJ	PREVOD NA UCET	10472	50300	SIPO	AB	71402126
3292987	10942	1994-12-05	VYDAJ	PREVOD NA UCET	10472	41613	SIPO	AB	71402126
3292988	10942	1995-01-05	VYDAJ	PREVOD NA UCET	10472	45876	SIPO	AB	71402126
3292989	10942	1995-02-05	VYDAJ	PREVOD NA UCET	10472	10306	SIPO	AB	71402126
3292990	10942	1995-03-05	VYDAJ	PREVOD NA UCET	10472	67049	SIPO	AB	71402126
3292991	10942	1995-04-05	VYDAJ	PREVOD NA UCET	10472	40689	SIPO	AB	71402126
3292992	10942	1995-05-05	VYDAJ	PREVOD NA UCET	10472	20505	SIPO	AB	71402126
3292993	10942	1995-06-05	VYDAJ	PREVOD NA UCET	10472	71431	SIPO	AB	71402126
3292994	10942	1995-07-05	VYDAJ	PREVOD NA UCET	10472	62937	SIPO	AB	71402126
3292995	10942	1995-08-05	VYDAJ	PREVOD NA UCET	10472	52069	SIPO	AB	71402126
3292996	10942	1995-09-05	VYDAJ	PREVOD NA UCET	10472	55515	SIPO	AB	71402126
3292997	10942	1995-10-05	VYDAJ	PREVOD NA UCET	10472	25242	SIPO	AB	71402126
3292998	10942	1995-11-05	VYDAJ	PREVOD NA UCET	10472	52833	SIPO	AB	71402126
3292999	10942	1995-12-05	VYDAJ	PREVOD NA UCET	10472	42402	SIPO	AB	71402126
3293000	10942	1996-01-05	VYDAJ	PREVOD NA UCET	10472	53167	SIPO	AB	71402126
3293001	10942	1996-02-05	VYDAJ	PREVOD NA UCET	10472	86726	SIPO	AB	71402126
3293002	10942	1996-03-05	VYDAJ	PREVOD NA UCET	10472	42633	SIPO	AB	71402126
3293003	10942	1996-04-05	VYDAJ	PREVOD NA UCET	10472	35496	SIPO	AB	71402126
3293004	10942	1996-05-05	VYDAJ	PREVOD NA UCET	10472	29657	SIPO	AB	71402126
3293005	10942	1996-06-05	VYDAJ	PREVOD NA UCET	10472	13352	SIPO	AB	71402126
3293006	10942	1996-07-05	VYDAJ	PREVOD NA UCET	10472	61727	SIPO	AB	71402126
3293007	10942	1996-08-05	VYDAJ	PREVOD NA UCET	10472	39841	SIPO	AB	71402126
3293008	10942	1996-09-05	VYDAJ	PREVOD NA UCET	10472	21801	SIPO	AB	71402126
3293009	10942	1996-10-05	VYDAJ	PREVOD NA UCET	10472	35973	SIPO	AB	71402126
3293010	10942	1996-11-05	VYDAJ	PREVOD NA UCET	10472	49116	SIPO	AB	71402126
3293011	10942	1996-12-05	VYDAJ	PREVOD NA UCET	10472	20860	SIPO	AB	71402126
3293012	10942	1997-01-05	VYDAJ	PREVOD NA UCET	10472	7306	SIPO	AB	71402126
3293013	10942	1997-02-05	VYDAJ	PREVOD NA UCET	10472	16319	SIPO	AB	71402126
3293014	10942	1997-03-05	VYDAJ	PREVOD NA UCET	10472	66282	SIPO	AB	71402126
3293015	10942	1997-04-05	VYDAJ	PREVOD NA UCET	10472	57543	SIPO	AB	71402126
3293016	10942	1997-05-05	VYDAJ	PREVOD NA UCET	10472	16372	SIPO	AB	71402126
3293017	10942	1997-06-05	VYDAJ	PREVOD NA UCET	10472	60801	SIPO	AB	71402126
3293018	10942	1997-07-05	VYDAJ	PREVOD NA UCET	10472	26570	SIPO	AB	71402126
3293019	10942	1997-08-05	VYDAJ	PREVOD NA UCET	10472	89078	SIPO	AB	71402126
3293020	10942	1997-09-05	VYDAJ	PREVOD NA UCET	10472	45586	SIPO	AB	71402126
3293021	10942	1997-10-05	VYDAJ	PREVOD NA UCET	10472	15942	SIPO	AB	71402126
3293022	10942	1997-11-05	VYDAJ	PREVOD NA UCET	10472	73476	SIPO	AB	71402126
3293023	10942	1997-12-05	VYDAJ	PREVOD NA UCET	10472	79401	SIPO	AB	71402126
3293024	10942	1998-01-05	VYDAJ	PREVOD NA UCET	10472	90990	SIPO	AB	71402126
3293025	10942	1998-02-05	VYDAJ	PREVOD NA UCET	10472	40980	SIPO	AB	71402126
3293026	10942	1998-03-05	VYDAJ	PREVOD NA UCET	10472	58918	SIPO	AB	71402126
3293027	10942	1998-04-05	VYDAJ	PREVOD NA UCET	10472	25953	SIPO	AB	71402126
3293028	10942	1998-05-05	VYDAJ	PREVOD NA UCET	10472	93798	SIPO	AB	71402126
3293029	10942	1998-06-05	VYDAJ	PREVOD NA UCET	10472	76078	SIPO	AB	71402126
3293030	10942	1998-07-05	VYDAJ	PREVOD NA UCET	10472	98598	SIPO	AB	71402126
3293031	10942	1998-08-05	VYDAJ	PREVOD NA UCET	10472	68789	SIPO	AB	71402126
3293032	10942	1998-09-05	VYDAJ	PREVOD NA UCET	10472	23040	SIPO	AB	71402126
3293033	10942	1998-10-05	VYDAJ	PREVOD NA UCET	10472	7389	SIPO	AB	71402126
3293035	10942	1998-12-05	VYDAJ	PREVOD NA UCET	10472	32240	SIPO	AB	71402126
3293036	10942	1995-04-20	VYBER	VYBER	22294	24034	\N	\N	\N
3293037	10942	1995-12-02	VYBER	VYBER	2252	52874	\N	\N	\N
3293038	10942	1995-07-16	VYBER	VYBER	7652	119631	\N	\N	\N
3293039	10942	1995-10-02	VYBER	VYBER	14773	35714	\N	\N	\N
3293040	10942	1996-01-10	VYBER	VYBER	4805	31562	\N	\N	\N
3293041	10942	1996-07-19	VYBER	VYBER	23405	80920	\N	\N	\N
3293045	10942	1996-06-30	VYBER	VYBER	16392	72229	\N	\N	\N
3293046	10942	1996-04-19	VYBER	VYBER	18236	59545	\N	\N	\N
3293048	10942	1996-02-05	VYBER	VYBER	9601	97198	\N	\N	\N
3293049	10942	1997-10-29	VYBER	VYBER	18575	67336	\N	\N	\N
3293050	10942	1997-09-19	VYBER	VYBER	3000	26268	\N	\N	\N
3293052	10942	1997-02-21	VYBER	VYBER	6880	41228	\N	\N	\N
3293053	10942	1997-04-23	VYBER	VYBER	4830	26671	\N	\N	\N
3293054	10942	1997-11-16	VYBER	VYBER	3123	90481	\N	\N	\N
3293056	10942	1997-06-09	VYBER	VYBER	20846	72907	\N	\N	\N
3293058	10942	1998-03-07	VYBER	VYBER	19719	72482	\N	\N	\N
3293060	10942	1998-05-24	VYBER	VYBER	10720	86041	\N	\N	\N
3293065	10942	1997-06-13	VYDAJ	VYBER	14700	52965	\N	\N	\N
3293067	10942	1994-12-25	VYDAJ	VYBER	5100	93806	\N	\N	\N
3293068	10942	1995-12-16	VYDAJ	VYBER	7500	55919	\N	\N	\N
3293070	10942	1997-12-13	VYDAJ	VYBER	5400	68759	\N	\N	\N
3293071	10942	1998-12-29	VYDAJ	VYBER	7200	41319	\N	\N	\N
3293078	10942	1995-01-05	VYDAJ	VYBER	1500	56348	\N	\N	\N
3293079	10942	1995-01-08	VYDAJ	VYBER	4200	36576	\N	\N	\N
3293080	10942	1995-01-06	VYDAJ	VYBER	5100	40776	\N	\N	\N
3293081	10942	1995-01-03	VYDAJ	VYBER	1800	57848	\N	\N	\N
3293082	10942	1995-01-09	VYDAJ	VYBER	6000	30576	\N	\N	\N
3293083	10942	1995-01-20	VYDAJ	VYBER	5400	19176	\N	\N	\N
3293084	10942	1996-01-27	VYDAJ	VYBER	4200	58411	\N	\N	\N
3293086	10942	1996-01-08	VYDAJ	VYBER	6900	36367	\N	\N	\N
3293087	10942	1996-01-07	VYDAJ	VYBER	4500	48667	\N	\N	\N
3293088	10942	1996-01-07	VYDAJ	VYBER	5400	43267	\N	\N	\N
3293090	10942	1997-01-16	VYDAJ	VYBER	3600	40706	\N	\N	\N
3293093	10942	1997-01-19	VYDAJ	VYBER	1800	38906	\N	\N	\N
3293094	10942	1997-01-20	VYDAJ	VYBER	1500	37406	\N	\N	\N
3293096	10942	1998-01-23	VYDAJ	VYBER	6900	48082	\N	\N	\N
3293097	10942	1998-01-14	VYDAJ	VYBER	5100	67748	\N	\N	\N
3293098	10942	1998-01-23	VYDAJ	VYBER	6300	41782	\N	\N	\N
3293099	10942	1998-01-09	VYDAJ	VYBER	4200	86790	\N	\N	\N
3293100	10942	1998-01-11	VYDAJ	VYBER	8700	78090	\N	\N	\N
3293101	10942	1998-01-01	VYDAJ	VYBER	1800	101462	\N	\N	\N
3293105	10942	1994-10-08	VYDAJ	VYBER	12000	61342	\N	\N	\N
3293107	10942	1995-07-01	VYDAJ	VYBER	4500	50301	\N	\N	\N
3293108	10942	1995-06-29	VYDAJ	VYBER	12300	84201	\N	\N	\N
3293109	10942	1995-08-21	VYDAJ	VYBER	2700	91339	\N	\N	\N
3293110	10942	1995-07-03	VYDAJ	VYBER	12000	38301	\N	\N	\N
3293112	10942	1996-06-03	VYDAJ	VYBER	9900	23824	\N	\N	\N
3293116	10942	1997-03-27	VYDAJ	VYBER	3600	67710	\N	\N	\N
3293117	10942	1997-10-18	VYDAJ	VYBER	8100	47059	\N	\N	\N
3293119	10942	1997-12-20	VYDAJ	VYBER	7200	34459	\N	\N	\N
3293123	10942	1998-03-16	VYDAJ	VYBER	6600	60640	\N	\N	\N
3293125	10942	1998-08-29	VYDAJ	VYBER	7500	33309	\N	\N	\N
3293127	10942	1998-05-08	VYDAJ	VYBER	9600	84198	\N	\N	\N
3293137	10942	1994-09-30	VYDAJ	VYBER	30	57686	SLUZBY	\N	\N
3293138	10942	1994-10-31	VYDAJ	VYBER	30	95772	SLUZBY	\N	\N
3293139	10942	1994-11-30	VYDAJ	VYBER	30	82785	SLUZBY	\N	\N
3293140	10942	1994-12-31	VYDAJ	VYBER	30	94148	SLUZBY	\N	\N
3293141	10942	1995-01-31	VYDAJ	VYBER	30	20778	SLUZBY	\N	\N
3293142	10942	1995-02-28	VYDAJ	VYBER	30	35823	SLUZBY	\N	\N
3293143	10942	1995-03-31	VYDAJ	VYBER	30	63378	SLUZBY	\N	\N
3293144	10942	1995-04-30	VYDAJ	VYBER	30	39177	SLUZBY	\N	\N
3293145	10942	1995-05-31	VYDAJ	VYBER	30	21163	SLUZBY	\N	\N
3293146	10942	1995-06-30	VYDAJ	VYBER	30	54801	SLUZBY	\N	\N
3293147	10942	1995-07-31	VYDAJ	VYBER	30	62541	SLUZBY	\N	\N
3293148	10942	1995-08-31	VYDAJ	VYBER	30	78652	SLUZBY	\N	\N
3293149	10942	1995-09-30	VYDAJ	VYBER	30	50487	SLUZBY	\N	\N
3293150	10942	1995-10-31	VYDAJ	VYBER	30	63305	SLUZBY	\N	\N
3293151	10942	1995-11-30	VYDAJ	VYBER	30	55126	SLUZBY	\N	\N
3293152	10942	1995-12-31	VYDAJ	VYBER	30	63639	SLUZBY	\N	\N
3293153	10942	1996-01-31	VYDAJ	VYBER	30	101209	SLUZBY	\N	\N
3293154	10942	1996-02-29	VYDAJ	VYBER	30	53105	SLUZBY	\N	\N
3293155	10942	1996-03-31	VYDAJ	VYBER	30	45968	SLUZBY	\N	\N
3293156	10942	1996-04-30	VYDAJ	VYBER	30	40129	SLUZBY	\N	\N
3293157	10942	1996-05-31	VYDAJ	VYBER	30	33724	SLUZBY	\N	\N
3293158	10942	1996-06-30	VYDAJ	VYBER	30	72199	SLUZBY	\N	\N
3293159	10942	1996-07-31	VYDAJ	VYBER	30	50313	SLUZBY	\N	\N
3293160	10942	1996-08-31	VYDAJ	VYBER	30	32273	SLUZBY	\N	\N
3293161	10942	1996-09-30	VYDAJ	VYBER	30	20623	SLUZBY	\N	\N
3293162	10942	1996-10-31	VYDAJ	VYBER	30	59588	SLUZBY	\N	\N
3293163	10942	1996-11-30	VYDAJ	VYBER	30	31332	SLUZBY	\N	\N
3293164	10942	1996-12-31	VYDAJ	VYBER	30	17778	SLUZBY	\N	\N
3293165	10942	1997-01-31	VYDAJ	VYBER	30	26791	SLUZBY	\N	\N
3293166	10942	1997-02-28	VYDAJ	VYBER	30	76754	SLUZBY	\N	\N
3293167	10942	1997-03-31	VYDAJ	VYBER	30	68015	SLUZBY	\N	\N
3293168	10942	1997-04-30	VYDAJ	VYBER	30	26844	SLUZBY	\N	\N
3293169	10942	1997-05-31	VYDAJ	VYBER	30	11167	SLUZBY	\N	\N
3293170	10942	1997-06-30	VYDAJ	VYBER	30	29940	SLUZBY	\N	\N
3293171	10942	1997-07-31	VYDAJ	VYBER	30	66480	SLUZBY	\N	\N
3293172	10942	1997-08-31	VYDAJ	VYBER	30	56058	SLUZBY	\N	\N
3293173	10942	1997-09-30	VYDAJ	VYBER	30	26414	SLUZBY	\N	\N
3293174	10942	1997-10-31	VYDAJ	VYBER	30	67560	SLUZBY	\N	\N
3293175	10942	1997-11-30	VYDAJ	VYBER	30	47913	SLUZBY	\N	\N
3293176	10942	1997-12-31	VYDAJ	VYBER	30	103262	SLUZBY	\N	\N
3293177	10942	1998-01-31	VYDAJ	VYBER	30	51452	SLUZBY	\N	\N
3293178	10942	1998-02-28	VYDAJ	VYBER	30	69390	SLUZBY	\N	\N
3293179	10942	1998-03-31	VYDAJ	VYBER	30	36425	SLUZBY	\N	\N
3293180	10942	1998-04-30	VYDAJ	VYBER	30	78940	SLUZBY	\N	\N
3293181	10942	1998-05-31	VYDAJ	VYBER	30	86550	SLUZBY	\N	\N
3293182	10942	1998-06-30	VYDAJ	VYBER	30	98810	SLUZBY	\N	\N
3293183	10942	1998-07-31	VYDAJ	VYBER	30	79261	SLUZBY	\N	\N
3293184	10942	1998-08-31	VYDAJ	VYBER	30	33512	SLUZBY	\N	\N
3293185	10942	1998-09-30	VYDAJ	VYBER	30	17861	SLUZBY	\N	\N
3293186	10942	1998-10-31	VYDAJ	VYBER	30	11383	SLUZBY	\N	\N
3293187	10942	1998-11-30	VYDAJ	VYBER	30	42712	SLUZBY	\N	\N
3293188	10942	1994-07-05	VYDAJ	VYBER	26100	48662	\N	\N	\N
3293189	10942	1994-08-04	VYDAJ	VYBER	23900	45947	\N	\N	\N
3293190	10942	1994-09-03	VYDAJ	VYBER	9100	37137	\N	\N	\N
3293191	10942	1994-10-03	VYDAJ	VYBER	19200	38486	\N	\N	\N
3293192	10942	1994-11-02	VYDAJ	VYBER	35000	60772	\N	\N	\N
3293193	10942	1994-11-17	VYDAJ	VYBER	42500	82481	\N	\N	\N
3293194	10942	1994-12-02	VYDAJ	VYBER	30700	52085	\N	\N	\N
3293195	10942	1994-12-11	VYDAJ	VYBER	48200	70691	\N	\N	\N
3293196	10942	1995-01-01	VYDAJ	VYBER	34500	59648	\N	\N	\N
3293197	10942	1995-01-31	PRIJEM	VKLAD	1500	20808	\N	\N	\N
3293198	10942	1995-03-02	VYDAJ	VYBER	7600	28223	\N	\N	\N
3293199	10942	1995-04-01	VYDAJ	VYBER	19700	43678	\N	\N	\N
3293200	10942	1995-05-01	VYDAJ	VYBER	8200	30977	\N	\N	\N
3293201	10942	1995-05-31	PRIJEM	VKLAD	6200	21105	\N	\N	\N
3293202	10942	1995-06-08	VYDAJ	VYBER	47700	62305	\N	\N	\N
3293203	10942	1995-06-30	VYDAJ	VYBER	29600	54831	\N	\N	\N
3293204	10942	1995-07-10	VYDAJ	VYBER	16100	112019	\N	\N	\N
3293205	10942	1995-07-11	VYDAJ	VYBER	20000	102960	\N	\N	\N
3293206	10942	1995-07-16	VYDAJ	VYBER	56700	62931	\N	\N	\N
3293207	10942	1995-07-30	VYDAJ	VYBER	32500	62256	\N	\N	\N
3293208	10942	1995-08-29	VYDAJ	VYBER	33500	57839	\N	\N	\N
3293209	10942	1995-09-01	VYDAJ	VYBER	53600	65987	\N	\N	\N
3293210	10942	1995-09-26	VYDAJ	VYBER	45400	75308	\N	\N	\N
3293211	10942	1995-09-28	VYDAJ	VYBER	25100	50208	\N	\N	\N
3293212	10942	1995-10-28	VYDAJ	VYBER	35300	63127	\N	\N	\N
3293213	10942	1995-11-27	VYDAJ	VYBER	29300	54896	\N	\N	\N
3293214	10942	1995-12-27	VYDAJ	VYBER	44000	63400	\N	\N	\N
3293215	10942	1996-01-26	VYDAJ	VYBER	18600	38618	\N	\N	\N
3293216	10942	1996-02-03	VYDAJ	VYBER	63000	63827	\N	\N	\N
3293217	10942	1996-02-25	VYDAJ	VYBER	28700	52784	\N	\N	\N
3293218	10942	1996-03-26	VYDAJ	VYBER	7500	29891	\N	\N	\N
3293219	10942	1996-04-25	VYDAJ	VYBER	19600	39945	\N	\N	\N
3293220	10942	1996-05-25	VYDAJ	VYBER	13000	33621	\N	\N	\N
3293221	10942	1996-07-24	VYDAJ	VYBER	30900	50020	\N	\N	\N
3293222	10942	1996-08-23	VYDAJ	VYBER	17600	32125	\N	\N	\N
3293223	10942	1996-09-22	VYDAJ	VYBER	2900	20554	\N	\N	\N
3293224	10942	1996-10-22	VYDAJ	VYBER	22500	36833	\N	\N	\N
3293225	10942	1996-11-21	VYDAJ	VYBER	12700	31174	\N	\N	\N
3293226	10942	1996-12-21	PRIJEM	VKLAD	2100	17718	\N	\N	\N
3293227	10942	1997-01-20	VYDAJ	VYBER	10700	26706	\N	\N	\N
3293228	10942	1997-02-19	VYDAJ	VYBER	29600	48108	\N	\N	\N
3293229	10942	1997-03-21	VYDAJ	VYBER	39800	50700	\N	\N	\N
3293230	10942	1997-04-20	VYDAJ	VYBER	20800	31501	\N	\N	\N
3293231	10942	1997-06-19	VYDAJ	VYBER	23200	29765	\N	\N	\N
3293232	10942	1997-08-06	VYDAJ	VYBER	62600	52265	\N	\N	\N
3293233	10942	1997-08-18	VYDAJ	VYBER	18100	28923	\N	\N	\N
3293234	10942	1997-09-17	VYDAJ	VYBER	26700	29268	\N	\N	\N
3293235	10942	1997-10-17	VYDAJ	VYBER	50800	55159	\N	\N	\N
3293236	10942	1997-11-11	VYDAJ	VYBER	41700	98846	\N	\N	\N
3293237	10942	1997-11-16	VYDAJ	VYBER	42900	47581	\N	\N	\N
3293238	10942	1997-12-16	VYDAJ	VYBER	27100	41659	\N	\N	\N
3293239	10942	1998-01-15	VYDAJ	VYBER	25300	42448	\N	\N	\N
3293240	10942	1998-01-23	VYDAJ	VYBER	61000	54982	\N	\N	\N
3293241	10942	1998-02-14	VYDAJ	VYBER	6900	28838	\N	\N	\N
3293242	10942	1998-03-16	VYDAJ	VYBER	24400	36240	\N	\N	\N
3293243	10942	1998-04-15	VYDAJ	VYBER	18500	32682	\N	\N	\N
3293244	10942	1998-05-15	VYDAJ	VYBER	32600	46356	\N	\N	\N
3293245	10942	1998-05-22	VYDAJ	VYBER	27500	96761	\N	\N	\N
3293246	10942	1998-05-31	VYDAJ	VYBER	37100	86580	\N	\N	\N
3293247	10942	1998-06-14	VYDAJ	VYBER	56400	57434	\N	\N	\N
3293248	10942	1998-07-03	VYDAJ	VYBER	30700	109070	\N	\N	\N
3293249	10942	1998-07-13	VYDAJ	VYBER	40800	94960	\N	\N	\N
3293250	10942	1998-07-14	VYDAJ	VYBER	48300	46660	\N	\N	\N
3293251	10942	1998-08-13	VYDAJ	VYBER	45300	40809	\N	\N	\N
3293252	10942	1998-12-11	VYDAJ	VYBER	34900	42736	\N	\N	\N
3296972	10954	1996-07-29	PRIJEM	VKLAD	300	300	\N	\N	\N
3296980	10954	1996-08-05	PRIJEM	VKLAD	12758	13058	\N	\N	\N
3296981	10954	1996-09-05	PRIJEM	VKLAD	12758	34428	\N	\N	\N
3296982	10954	1996-10-05	PRIJEM	VKLAD	12758	44982	\N	\N	\N
3296983	10954	1996-11-05	PRIJEM	VKLAD	12758	47675	\N	\N	\N
3296984	10954	1996-12-05	PRIJEM	VKLAD	19137	58660	\N	\N	\N
3296985	10954	1997-01-05	PRIJEM	VKLAD	12758	53014	\N	\N	\N
3296986	10954	1997-02-05	PRIJEM	VKLAD	12758	47188	\N	\N	\N
3296987	10954	1997-03-05	PRIJEM	VKLAD	12758	53913	\N	\N	\N
3296988	10954	1997-04-05	PRIJEM	VKLAD	12758	57066	\N	\N	\N
3296989	10954	1997-05-05	PRIJEM	VKLAD	12758	61808	\N	\N	\N
3296990	10954	1997-06-05	PRIJEM	VKLAD	19137	70246	\N	\N	\N
3296991	10954	1997-07-05	PRIJEM	VKLAD	12758	57356	\N	\N	\N
3296992	10954	1997-08-05	PRIJEM	VKLAD	12758	57092	\N	\N	\N
3296993	10954	1997-09-05	PRIJEM	VKLAD	12758	55725	\N	\N	\N
3296994	10954	1997-10-05	PRIJEM	VKLAD	12758	57254	\N	\N	\N
3296995	10954	1997-11-05	PRIJEM	VKLAD	12758	49475	\N	\N	\N
3296996	10954	1997-12-05	PRIJEM	VKLAD	19137	48800	\N	\N	\N
3296997	10954	1998-01-05	PRIJEM	VKLAD	12758	44502	\N	\N	\N
3296998	10954	1998-02-05	PRIJEM	VKLAD	12758	33373	\N	\N	\N
3296999	10954	1998-03-05	PRIJEM	VKLAD	12758	41621	\N	\N	\N
3297000	10954	1998-04-05	PRIJEM	VKLAD	12758	50400	\N	\N	\N
3297001	10954	1998-05-05	PRIJEM	VKLAD	12758	51903	\N	\N	\N
3297002	10954	1998-06-05	PRIJEM	VKLAD	19137	55785	\N	\N	\N
3297003	10954	1998-07-05	PRIJEM	VKLAD	12758	51604	\N	\N	\N
3297004	10954	1998-08-05	PRIJEM	VKLAD	12758	50805	\N	\N	\N
3297005	10954	1998-09-05	PRIJEM	VKLAD	12758	48202	\N	\N	\N
3297006	10954	1998-10-05	PRIJEM	VKLAD	12758	41674	\N	\N	\N
3297007	10954	1998-11-05	PRIJEM	VKLAD	12758	38831	\N	\N	\N
3297008	10954	1998-12-05	PRIJEM	VKLAD	19137	45996	\N	\N	\N
3297020	10954	1996-12-08	VYDAJ	VYBER	300	58360	\N	\N	0
3297021	10954	1997-01-19	VYDAJ	VYBER	300	47434	\N	\N	0
3297022	10954	1997-02-06	VYDAJ	VYBER	200	46988	\N	\N	0
3297023	10954	1997-03-05	VYDAJ	VYBER	300	53613	\N	\N	0
3297024	10954	1997-04-12	VYDAJ	PREVOD NA UCET	312	56754	UVER	ST	11468434
3297025	10954	1997-05-12	VYDAJ	PREVOD NA UCET	312	61496	UVER	ST	11468434
3297026	10954	1997-06-12	VYDAJ	PREVOD NA UCET	312	69934	UVER	ST	11468434
3297027	10954	1997-07-12	VYDAJ	PREVOD NA UCET	312	57044	UVER	ST	11468434
3297028	10954	1997-08-12	VYDAJ	PREVOD NA UCET	312	56780	UVER	ST	11468434
3297029	10954	1997-09-12	VYDAJ	PREVOD NA UCET	312	55413	UVER	ST	11468434
3297030	10954	1997-10-12	VYDAJ	PREVOD NA UCET	312	56942	UVER	ST	11468434
3297031	10954	1997-11-12	VYDAJ	PREVOD NA UCET	312	47863	UVER	ST	11468434
3297032	10954	1997-12-12	VYDAJ	PREVOD NA UCET	312	48488	UVER	ST	11468434
3297033	10954	1998-01-12	VYDAJ	PREVOD NA UCET	312	38390	UVER	ST	11468434
3297034	10954	1998-02-12	VYDAJ	PREVOD NA UCET	312	31461	UVER	ST	11468434
3297035	10954	1998-03-12	VYDAJ	PREVOD NA UCET	312	41309	UVER	ST	11468434
3297036	10954	1998-04-12	VYDAJ	PREVOD NA UCET	312	50088	UVER	ST	11468434
3297037	10954	1998-05-12	VYDAJ	PREVOD NA UCET	312	51591	UVER	ST	11468434
3297038	10954	1998-06-12	VYDAJ	PREVOD NA UCET	312	49393	UVER	ST	11468434
3297039	10954	1998-07-12	VYDAJ	PREVOD NA UCET	312	51292	UVER	ST	11468434
3297040	10954	1998-08-12	VYDAJ	PREVOD NA UCET	312	47093	UVER	ST	11468434
3297041	10954	1998-09-12	VYDAJ	PREVOD NA UCET	312	47890	UVER	ST	11468434
3297042	10954	1998-10-12	VYDAJ	PREVOD NA UCET	312	41362	UVER	ST	11468434
3297043	10954	1998-11-12	VYDAJ	PREVOD NA UCET	312	32759	UVER	ST	11468434
3297044	10954	1998-12-12	VYDAJ	PREVOD NA UCET	312	42984	UVER	ST	11468434
3297046	10954	1997-06-24	VYDAJ	VYBER	10720	59214	\N	\N	\N
3297047	10954	1998-06-12	VYDAJ	VYBER	6080	49705	\N	\N	\N
3297049	10954	1997-01-02	VYDAJ	VYBER	3040	40256	\N	\N	\N
3297050	10954	1998-01-15	VYDAJ	VYBER	11680	25910	\N	\N	\N
3297051	10954	1996-12-19	VYDAJ	VYBER	3360	55000	\N	\N	\N
3297052	10954	1997-12-01	VYDAJ	VYBER	4160	29663	\N	\N	\N
3297053	10954	1998-12-05	VYDAJ	VYBER KARTOU	2700	43296	\N	\N	0
3297060	10954	1997-01-09	VYDAJ	VYBER	2760	49294	\N	\N	\N
3297061	10954	1997-01-07	VYDAJ	VYBER	960	52054	\N	\N	\N
3297062	10954	1997-01-28	VYDAJ	VYBER	2520	36054	\N	\N	\N
3297063	10954	1997-01-19	VYDAJ	VYBER	1560	47734	\N	\N	\N
3297064	10954	1997-01-28	VYDAJ	VYBER	1800	34254	\N	\N	\N
3297065	10954	1997-01-26	VYDAJ	VYBER	2520	38574	\N	\N	\N
3297066	10954	1998-01-05	VYDAJ	VYBER KARTOU	2300	42202	\N	\N	0
3297067	10954	1998-01-06	VYDAJ	VYBER KARTOU	3500	38702	\N	\N	0
3297068	10954	1998-01-13	VYDAJ	VYBER KARTOU	800	37590	\N	\N	0
3297069	10954	1998-01-04	VYDAJ	VYBER KARTOU	1000	31744	\N	\N	0
3297070	10954	1998-01-16	VYDAJ	VYBER KARTOU	1100	24810	\N	\N	0
3297071	10954	1998-01-02	VYDAJ	VYBER KARTOU	700	32744	\N	\N	0
3297075	10954	1997-01-25	VYDAJ	VYBER	840	46594	\N	\N	\N
3297076	10954	1997-11-02	VYDAJ	VYBER KARTOU	2000	36717	\N	\N	0
3297077	10954	1997-11-08	VYDAJ	VYBER KARTOU	1300	48175	\N	\N	0
3297078	10954	1997-06-25	VYDAJ	VYBER	2040	44374	\N	\N	\N
3297079	10954	1997-10-14	VYDAJ	VYBER KARTOU	3800	53142	\N	\N	0
3297080	10954	1998-07-14	VYDAJ	VYBER KARTOU	1800	49492	\N	\N	0
3297081	10954	1998-08-07	VYDAJ	VYBER KARTOU	3400	47405	\N	\N	0
3297082	10954	1998-11-10	VYDAJ	VYBER	5760	33071	\N	\N	\N
3297083	10954	1998-09-14	VYDAJ	VYBER	5400	42490	\N	\N	\N
3297084	10954	1998-10-28	VYDAJ	VYBER KARTOU	2500	25962	\N	\N	0
3297085	10954	1998-02-07	VYDAJ	VYBER KARTOU	1600	31773	\N	\N	0
3297098	10954	1996-12-31	VYDAJ	VYBER	15	43296	SLUZBY	\N	\N
3297099	10954	1997-01-31	VYDAJ	VYBER	15	34430	SLUZBY	\N	\N
3297100	10954	1997-02-28	VYDAJ	VYBER	15	41155	SLUZBY	\N	\N
3297101	10954	1997-03-31	VYDAJ	VYBER	15	44308	SLUZBY	\N	\N
3297102	10954	1997-04-30	VYDAJ	VYBER	15	49050	SLUZBY	\N	\N
3297103	10954	1997-05-31	VYDAJ	VYBER	15	51109	SLUZBY	\N	\N
3297104	10954	1997-06-30	VYDAJ	VYBER	15	44598	SLUZBY	\N	\N
3297105	10954	1997-07-31	VYDAJ	VYBER	15	44334	SLUZBY	\N	\N
3297106	10954	1997-08-31	VYDAJ	VYBER	15	42967	SLUZBY	\N	\N
3297107	10954	1997-09-30	VYDAJ	VYBER	15	44496	SLUZBY	\N	\N
3297108	10954	1997-10-31	VYDAJ	VYBER	15	38717	SLUZBY	\N	\N
3297109	10954	1997-11-30	VYDAJ	VYBER	15	33823	SLUZBY	\N	\N
3297110	10954	1997-12-31	VYDAJ	VYBER	15	33444	SLUZBY	\N	\N
3297111	10954	1998-01-31	VYDAJ	VYBER	15	20615	SLUZBY	\N	\N
3297112	10954	1998-02-28	VYDAJ	VYBER	15	28863	SLUZBY	\N	\N
3297113	10954	1998-03-31	VYDAJ	VYBER	15	37642	SLUZBY	\N	\N
3297114	10954	1998-04-30	VYDAJ	VYBER	15	39145	SLUZBY	\N	\N
3297115	10954	1998-05-31	VYDAJ	VYBER	15	36648	SLUZBY	\N	\N
3297116	10954	1998-06-30	VYDAJ	VYBER	15	38846	SLUZBY	\N	\N
3297117	10954	1998-07-31	VYDAJ	VYBER	15	38047	SLUZBY	\N	\N
3297118	10954	1998-08-31	VYDAJ	VYBER	15	35444	SLUZBY	\N	\N
3297119	10954	1998-09-30	VYDAJ	VYBER	15	28916	SLUZBY	\N	\N
3297120	10954	1998-10-31	VYDAJ	VYBER	15	26073	SLUZBY	\N	\N
3297121	10954	1998-11-30	VYDAJ	VYBER	15	26859	SLUZBY	\N	\N
3297122	10954	1996-08-28	PRIJEM	VKLAD	8600	21658	\N	\N	\N
3297123	10954	1996-09-27	VYDAJ	VYBER	2300	32128	\N	\N	\N
3297124	10954	1996-10-27	VYDAJ	VYBER	10200	34782	\N	\N	\N
3297125	10954	1996-11-26	VYDAJ	VYBER	8300	39375	\N	\N	\N
3297126	10954	1996-12-26	VYDAJ	VYBER	11900	43100	\N	\N	\N
3297127	10954	1997-01-25	VYDAJ	VYBER	5500	41094	\N	\N	\N
3297128	10954	1997-02-24	VYDAJ	VYBER	6000	40988	\N	\N	\N
3297129	10954	1997-03-26	VYDAJ	VYBER	9500	44113	\N	\N	\N
3297130	10954	1997-04-25	VYDAJ	VYBER	7900	48854	\N	\N	\N
3297131	10954	1997-05-25	VYDAJ	VYBER	10600	50896	\N	\N	\N
3297132	10954	1997-06-24	VYDAJ	VYBER	12800	46414	\N	\N	\N
3297133	10954	1997-07-24	VYDAJ	VYBER	12900	44144	\N	\N	\N
3297134	10954	1997-08-23	VYDAJ	VYBER	14000	42780	\N	\N	\N
3297135	10954	1997-09-22	VYDAJ	VYBER	11100	44313	\N	\N	\N
3297136	10954	1997-10-22	VYDAJ	VYBER	14600	38542	\N	\N	\N
3297137	10954	1997-11-21	VYDAJ	VYBER	14200	33663	\N	\N	\N
3297138	10954	1997-12-21	VYDAJ	VYBER	15200	33288	\N	\N	\N
3297139	10954	1998-01-20	VYDAJ	VYBER	4300	20510	\N	\N	\N
3297140	10954	1998-02-19	VYDAJ	VYBER KARTOU	2700	28761	\N	\N	0
3297141	10954	1998-03-21	VYDAJ	VYBER KARTOU	3800	37509	\N	\N	0
3297142	10954	1998-04-20	VYDAJ	VYBER	11100	38988	\N	\N	\N
3297143	10954	1998-05-20	VYDAJ	VYBER	15100	36491	\N	\N	\N
3297144	10954	1998-06-19	VYDAJ	VYBER	10700	38693	\N	\N	\N
3297145	10954	1998-07-19	VYDAJ	VYBER	11600	37892	\N	\N	\N
3297146	10954	1998-08-18	VYDAJ	VYBER	11800	35293	\N	\N	\N
3297147	10954	1998-09-17	VYDAJ	VYBER	13700	28790	\N	\N	\N
3297148	10954	1998-10-17	VYDAJ	VYBER	12900	28462	\N	\N	\N
3297149	10954	1998-11-16	VYDAJ	VYBER	6000	26759	\N	\N	\N
3299416	10963	1995-05-20	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3299417	10963	1995-05-24	PRIJEM	VKLAD	46424	47524	\N	\N	\N
3299419	10963	1995-07-01	PRIJEM	VKLAD	15872	52845	\N	\N	\N
3299423	10963	1995-12-01	PRIJEM	VKLAD	42247	78873	\N	\N	\N
3299424	10963	1995-09-07	PRIJEM	VKLAD	40493	68399	\N	\N	\N
3299426	10963	1995-07-07	PRIJEM	VKLAD	14856	75937	\N	\N	\N
3299427	10963	1995-07-04	PRIJEM	VKLAD	8236	61081	\N	\N	\N
3299429	10963	1995-11-30	PRIJEM	VKLAD	5727	36467	\N	\N	\N
3299431	10963	1995-07-19	PRIJEM	VKLAD	36996	112933	\N	\N	\N
3299434	10963	1995-12-22	PRIJEM	VKLAD	21349	63122	\N	\N	\N
3299435	10963	1995-10-15	PRIJEM	VKLAD	49887	81713	\N	\N	\N
3299436	10963	1995-10-25	PRIJEM	VKLAD	29581	69352	\N	\N	\N
3299438	10963	1996-03-13	PRIJEM	VKLAD	39737	80327	\N	\N	\N
3299439	10963	1996-06-01	PRIJEM	VKLAD	46561	119527	\N	\N	\N
3299440	10963	1996-11-27	PRIJEM	VKLAD	44003	74084	\N	\N	\N
3299441	10963	1996-06-16	PRIJEM	VKLAD	7719	66009	\N	\N	\N
3299442	10963	1996-02-06	PRIJEM	VKLAD	34315	72816	\N	\N	\N
3299443	10963	1996-09-27	PRIJEM	VKLAD	9587	84731	\N	\N	\N
3299444	10963	1996-09-14	PRIJEM	VKLAD	42626	104035	\N	\N	\N
3299445	10963	1996-10-12	PRIJEM	VKLAD	7850	56224	\N	\N	\N
3299446	10963	1996-07-01	PRIJEM	VKLAD	13214	76924	\N	\N	\N
3299447	10963	1996-09-13	PRIJEM	VKLAD	24153	61409	\N	\N	\N
3299448	10963	1996-09-07	PRIJEM	VKLAD	34018	64456	\N	\N	\N
3299449	10963	1996-06-05	PRIJEM	VKLAD	23057	102084	\N	\N	\N
3299450	10963	1996-09-17	PRIJEM	VKLAD	39209	111044	\N	\N	\N
3299451	10963	1996-02-21	PRIJEM	VKLAD	25242	63878	\N	\N	\N
3299452	10963	1996-05-11	PRIJEM	VKLAD	18025	45716	\N	\N	\N
3299453	10963	1996-12-27	PRIJEM	VKLAD	6957	35335	\N	\N	\N
3299454	10963	1996-01-26	PRIJEM	VKLAD	9842	41442	\N	\N	\N
3299455	10963	1996-01-13	PRIJEM	VKLAD	35728	80500	\N	\N	\N
3299456	10963	1996-07-04	PRIJEM	VKLAD	20509	94133	\N	\N	\N
3299457	10963	1996-06-13	PRIJEM	VKLAD	12306	110490	\N	\N	\N
3299458	10963	1996-05-31	PRIJEM	VKLAD	39920	72836	\N	\N	\N
3299459	10963	1996-12-28	PRIJEM	VKLAD	8875	44210	\N	\N	\N
3299460	10963	1997-08-19	PRIJEM	VKLAD	35109	99088	\N	\N	\N
3299461	10963	1997-08-23	PRIJEM	VKLAD	35730	134818	\N	\N	\N
3299462	10963	1997-07-28	PRIJEM	VKLAD	32675	104647	\N	\N	\N
3299463	10963	1997-11-15	PRIJEM	VKLAD	39864	68363	\N	\N	\N
3299464	10963	1997-07-14	PRIJEM	VKLAD	34217	71972	\N	\N	\N
3299465	10963	1997-06-03	PRIJEM	VKLAD	47788	97995	\N	\N	\N
3299466	10963	1997-07-07	PRIJEM	VKLAD	6944	48972	\N	\N	\N
3299467	10963	1997-11-21	PRIJEM	VKLAD	40005	105668	\N	\N	\N
3299468	10963	1997-08-25	PRIJEM	VKLAD	5998	123416	\N	\N	\N
3299469	10963	1997-02-21	PRIJEM	VKLAD	23427	44821	\N	\N	\N
3299470	10963	1997-03-25	PRIJEM	VKLAD	9223	43935	\N	\N	\N
3299471	10963	1997-05-26	PRIJEM	VKLAD	29270	60565	\N	\N	\N
3299472	10963	1997-12-16	PRIJEM	VKLAD	33178	73957	\N	\N	\N
3299473	10963	1998-09-03	PRIJEM	VKLAD	35120	110579	\N	\N	\N
3299474	10963	1998-03-28	PRIJEM	VKLAD	27026	96143	\N	\N	\N
3299475	10963	1998-01-24	PRIJEM	VKLAD	21340	53503	\N	\N	\N
3299476	10963	1998-12-20	PRIJEM	VKLAD	12097	80570	\N	\N	\N
3299477	10963	1998-09-17	PRIJEM	VKLAD	13827	113914	\N	\N	\N
3299478	10963	1998-03-11	PRIJEM	VKLAD	6112	52674	\N	\N	\N
3299479	10963	1998-03-18	PRIJEM	VKLAD	19659	69117	\N	\N	\N
3299480	10963	1998-05-03	PRIJEM	VKLAD	10897	93472	\N	\N	\N
3299481	10963	1998-08-23	PRIJEM	VKLAD	38399	101050	\N	\N	\N
3299482	10963	1998-05-11	PRIJEM	VKLAD	5647	84719	\N	\N	\N
3299483	10963	1998-09-10	PRIJEM	VKLAD	45925	156504	\N	\N	\N
3299484	10963	1998-06-02	PRIJEM	VKLAD	26377	101610	\N	\N	\N
3299485	10963	1998-12-05	PRIJEM	VKLAD	34504	71690	\N	\N	\N
3299486	10963	1998-11-03	PRIJEM	VKLAD	31629	82200	\N	\N	\N
3299487	10963	1998-06-01	PRIJEM	VKLAD	19125	121433	\N	\N	\N
3299488	10963	1998-04-29	PRIJEM	VKLAD	49420	82348	\N	\N	\N
3299489	10963	1998-07-14	PRIJEM	VKLAD	10073	77666	\N	\N	\N
3299490	10963	1998-05-19	PRIJEM	VKLAD	20448	101951	\N	\N	\N
3299498	10963	1995-08-11	VYDAJ	VYBER	3900	37973	\N	\N	0
3299499	10963	1995-09-19	VYDAJ	VYBER	2500	41299	\N	\N	0
3299500	10963	1995-10-11	VYDAJ	VYBER	3000	31826	\N	\N	0
3299501	10963	1995-11-03	VYDAJ	VYBER	3600	65929	\N	\N	0
3299502	10963	1995-12-18	VYDAJ	VYBER	3200	41773	\N	\N	0
3299503	10963	1996-01-14	VYDAJ	VYBER	3600	76900	\N	\N	0
3299504	10963	1996-02-02	VYDAJ	VYBER	3100	38501	\N	\N	0
3299505	10963	1996-03-10	VYDAJ	VYBER	3600	60490	\N	\N	0
3299506	10963	1996-04-07	VYDAJ	VYBER	3200	46143	\N	\N	0
3299507	10963	1996-05-07	VYDAJ	VYBER	3300	27691	\N	\N	0
3299508	10963	1996-06-21	VYDAJ	VYBER	2600	63409	\N	\N	0
3299509	10963	1996-07-04	VYDAJ	VYBER	3600	90533	\N	\N	0
3299510	10963	1996-08-14	VYDAJ	VYBER	3700	30293	\N	\N	0
3299511	10963	1996-09-10	VYDAJ	VYBER	2600	61856	\N	\N	0
3299512	10963	1996-10-19	VYDAJ	VYBER	3000	53224	\N	\N	0
3299513	10963	1996-11-21	VYDAJ	VYBER	3400	30081	\N	\N	0
3299514	10963	1996-12-18	VYDAJ	VYBER	3100	41878	\N	\N	0
3299515	10963	1997-01-12	VYDAJ	PREVOD NA UCET	3217	28192	UVER	AB	61788761
3299516	10963	1997-02-12	VYDAJ	PREVOD NA UCET	3217	21394	UVER	AB	61788761
3299517	10963	1997-03-12	VYDAJ	PREVOD NA UCET	3217	34712	UVER	AB	61788761
3299518	10963	1997-04-12	VYDAJ	PREVOD NA UCET	3217	33371	UVER	AB	61788761
3299519	10963	1997-05-12	VYDAJ	PREVOD NA UCET	3217	31295	UVER	AB	61788761
3299520	10963	1997-06-12	VYDAJ	PREVOD NA UCET	3217	59679	UVER	AB	61788761
3299521	10963	1997-07-12	VYDAJ	PREVOD NA UCET	3217	37755	UVER	AB	61788761
3299522	10963	1997-08-12	VYDAJ	PREVOD NA UCET	3217	63979	UVER	AB	61788761
3299523	10963	1997-09-12	VYDAJ	PREVOD NA UCET	3217	47890	UVER	AB	61788761
3299524	10963	1997-10-12	VYDAJ	PREVOD NA UCET	3217	34584	UVER	AB	61788761
3299525	10963	1997-11-12	VYDAJ	PREVOD NA UCET	3217	28499	UVER	AB	61788761
3299526	10963	1997-12-12	VYDAJ	PREVOD NA UCET	3217	40779	UVER	AB	61788761
3299527	10963	1998-01-12	VYDAJ	PREVOD NA UCET	3217	35163	UVER	AB	61788761
3299528	10963	1998-02-12	VYDAJ	PREVOD NA UCET	3217	45575	UVER	AB	61788761
3299529	10963	1998-03-12	VYDAJ	PREVOD NA UCET	3217	49458	UVER	AB	61788761
3299530	10963	1998-04-12	VYDAJ	PREVOD NA UCET	3217	57529	UVER	AB	61788761
3299531	10963	1998-05-12	VYDAJ	PREVOD NA UCET	3217	81503	UVER	AB	61788761
3299532	10963	1998-06-12	VYDAJ	PREVOD NA UCET	3217	76493	UVER	AB	61788761
3299533	10963	1998-07-12	VYDAJ	PREVOD NA UCET	3217	67593	UVER	AB	61788761
3299534	10963	1998-08-12	VYDAJ	PREVOD NA UCET	3217	62651	UVER	AB	61788761
3299535	10963	1998-09-12	VYDAJ	PREVOD NA UCET	3217	100087	UVER	AB	61788761
3299536	10963	1998-10-12	VYDAJ	PREVOD NA UCET	3217	51436	UVER	AB	61788761
3299537	10963	1998-11-12	VYDAJ	PREVOD NA UCET	3217	49418	UVER	AB	61788761
3299538	10963	1998-12-12	VYDAJ	PREVOD NA UCET	3217	68473	UVER	AB	61788761
3299539	10963	1995-12-28	VYBER	VYBER	18569	44553	\N	\N	\N
3299541	10963	1995-10-16	VYBER	VYBER	24542	57171	\N	\N	\N
3299545	10963	1995-11-05	VYBER	VYBER	20489	45440	\N	\N	\N
3299546	10963	1996-10-08	VYBER	VYBER	2902	82074	\N	\N	\N
3299547	10963	1996-11-19	VYBER	VYBER	2396	33481	\N	\N	\N
3299549	10963	1996-02-08	VYBER	VYBER	9580	63236	\N	\N	\N
3299550	10963	1996-03-11	VYBER	VYBER	19900	40590	\N	\N	\N
3299551	10963	1997-06-25	VYBER	VYBER	17898	41781	\N	\N	\N
3299552	10963	1997-09-05	VYBER	VYBER	24006	72207	\N	\N	\N
3299553	10963	1997-09-27	VYBER	VYBER	2086	36504	\N	\N	\N
3299556	10963	1998-04-23	VYBER	VYBER	24601	32928	\N	\N	\N
3299558	10963	1998-04-01	VYBER	VYBER	21133	69846	\N	\N	\N
3299559	10963	1998-11-23	VYBER	VYBER	17113	32305	\N	\N	\N
3299560	10963	1998-11-03	VYBER	VYBER	12672	69528	\N	\N	\N
3299561	10963	1998-11-05	VYBER	VYBER	16893	52635	\N	\N	\N
3299567	10963	1996-01-17	VYDAJ	VYBER	16500	31600	\N	\N	\N
3299569	10963	1998-01-23	VYDAJ	VYBER	3000	32163	\N	\N	\N
3299570	10963	1995-12-14	VYDAJ	VYBER	6300	65673	\N	\N	\N
3299571	10963	1996-12-08	VYDAJ	VYBER	7500	66778	\N	\N	\N
3299572	10963	1997-12-18	VYDAJ	VYBER	3900	70057	\N	\N	\N
3299573	10963	1998-12-27	VYDAJ	VYBER	1800	78770	\N	\N	\N
3299574	10963	1995-09-29	VYDAJ	VYBER	6600	34699	\N	\N	\N
3299578	10963	1995-12-05	VYDAJ	VYBER	6900	71973	\N	\N	\N
3299579	10963	1996-12-25	VYDAJ	VYBER	13500	28378	\N	\N	\N
3299580	10963	1996-08-07	VYDAJ	VYBER	11400	40793	\N	\N	\N
3299581	10963	1996-07-02	VYDAJ	VYBER	3300	73624	\N	\N	\N
3299582	10963	1996-06-12	VYDAJ	VYBER	3900	98184	\N	\N	\N
3299583	10963	1997-11-20	VYDAJ	VYBER	2700	65663	\N	\N	\N
3299584	10963	1997-12-28	VYDAJ	VYBER	12000	58057	\N	\N	\N
3299585	10963	1997-11-28	VYDAJ	VYBER	9900	47968	\N	\N	\N
3299586	10963	1997-06-01	VYDAJ	VYBER	10500	50207	\N	\N	\N
3299587	10963	1997-09-13	VYDAJ	VYBER	9300	38590	\N	\N	\N
3299588	10963	1997-01-14	VYDAJ	VYBER	3600	24592	\N	\N	\N
3299589	10963	1998-10-06	VYDAJ	VYBER	8700	54653	\N	\N	\N
3299590	10963	1998-01-12	VYDAJ	VYBER	11700	38380	\N	\N	\N
3299591	10963	1998-12-03	VYDAJ	VYBER	9900	37186	\N	\N	\N
3299592	10963	1998-03-28	VYDAJ	VYBER	5400	90743	\N	\N	\N
3299593	10963	1998-07-29	VYDAJ	VYBER	2700	74966	\N	\N	\N
3299594	10963	1998-10-26	VYDAJ	VYBER	10500	40936	\N	\N	\N
3299602	10963	1995-07-31	VYDAJ	VYBER	15	41873	SLUZBY	\N	\N
3299603	10963	1995-08-31	VYDAJ	VYBER	15	27906	SLUZBY	\N	\N
3299604	10963	1995-09-30	VYDAJ	VYBER	15	34826	SLUZBY	\N	\N
3299605	10963	1995-10-31	VYDAJ	VYBER	15	69529	SLUZBY	\N	\N
3299606	10963	1995-11-30	VYDAJ	VYBER	15	36626	SLUZBY	\N	\N
3299607	10963	1995-12-31	VYDAJ	VYBER	15	44772	SLUZBY	\N	\N
3299608	10963	1996-01-31	VYDAJ	VYBER	15	41601	SLUZBY	\N	\N
3299609	10963	1996-02-29	VYDAJ	VYBER	15	64090	SLUZBY	\N	\N
3299610	10963	1996-03-31	VYDAJ	VYBER	15	49343	SLUZBY	\N	\N
3299611	10963	1996-04-30	VYDAJ	VYBER	15	30991	SLUZBY	\N	\N
3299612	10963	1996-05-31	VYDAJ	VYBER	15	72966	SLUZBY	\N	\N
3299613	10963	1996-06-30	VYDAJ	VYBER	15	63710	SLUZBY	\N	\N
3299614	10963	1996-07-31	VYDAJ	VYBER	15	52193	SLUZBY	\N	\N
3299615	10963	1996-08-31	VYDAJ	VYBER	15	30438	SLUZBY	\N	\N
3299616	10963	1996-09-30	VYDAJ	VYBER	15	84976	SLUZBY	\N	\N
3299617	10963	1996-10-31	VYDAJ	VYBER	15	53477	SLUZBY	\N	\N
3299618	10963	1996-11-30	VYDAJ	VYBER	15	74278	SLUZBY	\N	\N
3299619	10963	1996-12-31	VYDAJ	VYBER	15	44409	SLUZBY	\N	\N
3299620	10963	1997-01-31	VYDAJ	VYBER	15	24710	SLUZBY	\N	\N
3299621	10963	1997-02-28	VYDAJ	VYBER	15	44928	SLUZBY	\N	\N
3299622	10963	1997-03-31	VYDAJ	VYBER	15	44088	SLUZBY	\N	\N
3299623	10963	1997-04-30	VYDAJ	VYBER	15	33512	SLUZBY	\N	\N
3299624	10963	1997-05-31	VYDAJ	VYBER	15	60707	SLUZBY	\N	\N
3299625	10963	1997-06-30	VYDAJ	VYBER	15	42028	SLUZBY	\N	\N
3299626	10963	1997-07-31	VYDAJ	VYBER	15	104895	SLUZBY	\N	\N
3299627	10963	1997-08-31	VYDAJ	VYBER	15	96213	SLUZBY	\N	\N
3299628	10963	1997-09-30	VYDAJ	VYBER	15	36700	SLUZBY	\N	\N
3299629	10963	1997-10-31	VYDAJ	VYBER	15	34715	SLUZBY	\N	\N
3299630	10963	1997-11-30	VYDAJ	VYBER	15	48196	SLUZBY	\N	\N
3299631	10963	1997-12-31	VYDAJ	VYBER	15	58280	SLUZBY	\N	\N
3299632	10963	1998-01-31	VYDAJ	VYBER	15	53692	SLUZBY	\N	\N
3299633	10963	1998-02-28	VYDAJ	VYBER	15	45762	SLUZBY	\N	\N
3299634	10963	1998-03-31	VYDAJ	VYBER	15	90979	SLUZBY	\N	\N
3299635	10963	1998-04-30	VYDAJ	VYBER	15	82575	SLUZBY	\N	\N
3299636	10963	1998-05-31	VYDAJ	VYBER	15	102308	SLUZBY	\N	\N
3299637	10963	1998-06-30	VYDAJ	VYBER	15	76809	SLUZBY	\N	\N
3299638	10963	1998-07-31	VYDAJ	VYBER	15	75267	SLUZBY	\N	\N
3299639	10963	1998-08-31	VYDAJ	VYBER	15	101359	SLUZBY	\N	\N
3299640	10963	1998-09-30	VYDAJ	VYBER	15	114353	SLUZBY	\N	\N
3299641	10963	1998-10-31	VYDAJ	VYBER	15	50571	SLUZBY	\N	\N
3299642	10963	1998-11-30	VYDAJ	VYBER	15	47086	SLUZBY	\N	\N
3299643	10963	1995-06-19	VYDAJ	VYBER	10800	36775	\N	\N	\N
3299644	10963	1995-07-19	VYDAJ	VYBER	50800	41533	\N	\N	\N
3299645	10963	1995-07-19	VYDAJ	VYBER	20600	92333	\N	\N	\N
3299646	10963	1995-08-18	VYDAJ	VYBER	10200	27773	\N	\N	\N
3299647	10963	1995-09-17	VYDAJ	VYBER	24600	43799	\N	\N	\N
3299648	10963	1995-10-17	VYDAJ	VYBER	17400	39771	\N	\N	\N
3299649	10963	1995-11-16	VYDAJ	VYBER	14700	30740	\N	\N	\N
3299650	10963	1995-12-16	VYDAJ	VYBER	20700	44973	\N	\N	\N
3299651	10963	1996-01-15	VYDAJ	VYBER	28800	48100	\N	\N	\N
3299652	10963	1996-02-14	VYDAJ	VYBER	24600	38636	\N	\N	\N
3299653	10963	1996-03-15	VYDAJ	VYBER	31200	49127	\N	\N	\N
3299654	10963	1996-04-14	VYDAJ	VYBER	15300	30843	\N	\N	\N
3299655	10963	1996-05-14	VYDAJ	VYBER	12800	32916	\N	\N	\N
3299656	10963	1996-06-01	VYDAJ	VYBER	40500	79027	\N	\N	\N
3299657	10963	1996-06-13	VYDAJ	VYBER	18200	58290	\N	\N	\N
3299658	10963	1996-06-13	VYDAJ	VYBER	34000	76490	\N	\N	\N
3299659	10963	1996-07-13	VYDAJ	VYBER	38600	51933	\N	\N	\N
3299660	10963	1996-08-12	VYDAJ	VYBER	6800	33993	\N	\N	\N
3299661	10963	1996-09-11	VYDAJ	VYBER	24600	37256	\N	\N	\N
3299662	10963	1996-09-14	VYDAJ	VYBER	32200	71835	\N	\N	\N
3299663	10963	1996-09-17	VYDAJ	VYBER	35900	75144	\N	\N	\N
3299664	10963	1996-10-11	VYDAJ	VYBER	33700	48374	\N	\N	\N
3299665	10963	1996-11-10	VYDAJ	VYBER	17600	35877	\N	\N	\N
3299666	10963	1996-12-10	VYDAJ	VYBER	21800	44978	\N	\N	\N
3299667	10963	1997-01-09	VYDAJ	VYBER	13000	31409	\N	\N	\N
3299668	10963	1997-02-08	VYDAJ	VYBER	100	24610	\N	\N	\N
3299669	10963	1997-03-10	VYDAJ	VYBER	7000	37928	\N	\N	\N
3299670	10963	1997-04-09	VYDAJ	VYBER	7500	36588	\N	\N	\N
3299671	10963	1997-05-09	PRIJEM	VKLAD	1000	34512	\N	\N	\N
3299672	10963	1997-06-08	VYDAJ	VYBER	35100	62895	\N	\N	\N
3299673	10963	1997-07-08	VYDAJ	VYBER	8000	40972	\N	\N	\N
3299674	10963	1997-08-07	VYDAJ	VYBER	37700	67195	\N	\N	\N
3299675	10963	1997-08-23	VYDAJ	VYBER	17400	117418	\N	\N	\N
3299676	10963	1997-08-25	VYDAJ	VYBER	27600	95816	\N	\N	\N
3299677	10963	1997-09-06	VYDAJ	VYBER	21100	51107	\N	\N	\N
3299678	10963	1997-10-06	PRIJEM	VKLAD	1100	37800	\N	\N	\N
3299679	10963	1997-11-05	VYDAJ	VYBER	3000	31715	\N	\N	\N
3299680	10963	1997-11-21	VYDAJ	VYBER	47800	57868	\N	\N	\N
3299681	10963	1997-12-05	VYDAJ	VYBER	4200	43996	\N	\N	\N
3299682	10963	1998-01-04	VYDAJ	VYBER	8200	50080	\N	\N	\N
3299683	10963	1998-02-03	VYDAJ	VYBER	4900	48792	\N	\N	\N
3299684	10963	1998-03-05	PRIJEM	VKLAD	800	46562	\N	\N	\N
3299685	10963	1998-04-04	VYDAJ	VYBER	9100	60746	\N	\N	\N
3299686	10963	1998-05-04	VYDAJ	VYBER	14400	79072	\N	\N	\N
3299687	10963	1998-06-01	VYDAJ	VYBER	46200	75233	\N	\N	\N
3299688	10963	1998-06-03	VYDAJ	VYBER	21900	79710	\N	\N	\N
3299689	10963	1998-07-03	VYDAJ	VYBER	6000	70809	\N	\N	\N
3299690	10963	1998-08-02	VYDAJ	VYBER	9400	65867	\N	\N	\N
3299691	10963	1998-09-01	VYDAJ	VYBER	25900	75459	\N	\N	\N
3299692	10963	1998-09-10	VYDAJ	VYBER	53200	103304	\N	\N	\N
3299693	10963	1998-09-30	VYDAJ	VYBER	41500	72853	\N	\N	\N
3299694	10963	1998-10-01	VYDAJ	VYBER	9500	63353	\N	\N	\N
3299695	10963	1998-10-31	PRIJEM	VKLAD	9400	50585	\N	\N	\N
3299696	10963	1998-11-30	PRIJEM	VKLAD	14600	46905	\N	\N	\N
3302582	10973	1993-04-20	PRIJEM	VKLAD	400	9297	\N	\N	\N
3302584	10973	1993-12-24	PRIJEM	VKLAD	49024	142396	\N	\N	\N
3302585	10973	1993-12-21	PRIJEM	VKLAD	30424	93372	\N	\N	\N
3302586	10973	1993-05-15	PRIJEM	VKLAD	25060	60095	\N	\N	\N
3302587	10973	1993-06-10	PRIJEM	VKLAD	17624	58642	\N	\N	\N
3302588	10973	1993-05-03	PRIJEM	VKLAD	25724	35035	\N	\N	\N
3302590	10973	1993-06-29	PRIJEM	VKLAD	39098	81540	\N	\N	\N
3302593	10973	1993-11-20	PRIJEM	VKLAD	27582	83736	\N	\N	\N
3302594	10973	1993-08-11	PRIJEM	VKLAD	29103	70024	\N	\N	\N
3302595	10973	1993-11-09	PRIJEM	VKLAD	5582	80538	\N	\N	\N
3302597	10973	1993-12-10	PRIJEM	VKLAD	30645	95052	\N	\N	\N
3302598	10973	1993-04-20	PRIJEM	VKLAD	8897	8897	\N	\N	\N
3302599	10973	1993-09-21	PRIJEM	VKLAD	23814	47964	\N	\N	\N
3302600	10973	1993-11-18	PRIJEM	VKLAD	6332	56154	\N	\N	\N
3302602	10973	1993-11-04	PRIJEM	VKLAD	26755	102756	\N	\N	\N
3302605	10973	1993-10-19	PRIJEM	VKLAD	45055	82458	\N	\N	\N
3302606	10973	1993-09-21	PRIJEM	VKLAD	7902	55866	\N	\N	\N
3302607	10973	1993-12-10	PRIJEM	VKLAD	8612	103664	\N	\N	\N
3302608	10973	1994-11-09	PRIJEM	VKLAD	32949	93619	\N	\N	\N
3302609	10973	1994-12-06	PRIJEM	VKLAD	25422	80343	\N	\N	\N
3302610	10973	1994-04-27	PRIJEM	VKLAD	10868	82224	\N	\N	\N
3302611	10973	1994-08-15	PRIJEM	VKLAD	21040	46484	\N	\N	\N
3302612	10973	1994-05-30	PRIJEM	VKLAD	10562	47860	\N	\N	\N
3302613	10973	1994-06-17	PRIJEM	VKLAD	10491	39656	\N	\N	\N
3302614	10973	1994-02-18	PRIJEM	VKLAD	25422	51938	\N	\N	\N
3302615	10973	1994-08-08	PRIJEM	VKLAD	7402	32160	\N	\N	\N
3302616	10973	1994-01-02	PRIJEM	VKLAD	26203	99871	\N	\N	\N
3302617	10973	1994-10-12	PRIJEM	VKLAD	46711	146957	\N	\N	\N
3302618	10973	1994-09-28	PRIJEM	VKLAD	40484	87997	\N	\N	\N
3302619	10973	1994-08-20	PRIJEM	VKLAD	44749	91233	\N	\N	\N
3302620	10973	1994-03-29	PRIJEM	VKLAD	18369	60998	\N	\N	\N
3302621	10973	1994-04-18	PRIJEM	VKLAD	30568	71356	\N	\N	\N
3302622	10973	1994-10-02	PRIJEM	VKLAD	24437	89851	\N	\N	\N
3302623	10973	1994-03-13	PRIJEM	VKLAD	28514	119429	\N	\N	\N
3302624	10973	1994-05-13	PRIJEM	VKLAD	35950	115198	\N	\N	\N
3302625	10973	1994-03-03	PRIJEM	VKLAD	42064	94132	\N	\N	\N
3302626	10973	1994-09-01	PRIJEM	VKLAD	22302	113730	\N	\N	\N
3302627	10973	1994-10-07	PRIJEM	VKLAD	48895	138746	\N	\N	\N
3302628	10973	1994-09-30	PRIJEM	VKLAD	35726	124044	\N	\N	\N
3302629	10973	1994-11-01	PRIJEM	VKLAD	7218	72970	\N	\N	\N
3302630	10973	1995-01-28	PRIJEM	VKLAD	21645	52704	\N	\N	\N
3302631	10973	1995-10-10	PRIJEM	VKLAD	20913	81700	\N	\N	\N
3302632	10973	1995-09-05	PRIJEM	VKLAD	24049	87163	\N	\N	\N
3302633	10973	1995-09-25	PRIJEM	VKLAD	27276	107427	\N	\N	\N
3302634	10973	1995-12-23	PRIJEM	VKLAD	33874	77298	\N	\N	\N
3302635	10973	1995-05-30	PRIJEM	VKLAD	48752	111526	\N	\N	\N
3302636	10973	1995-09-22	PRIJEM	VKLAD	29601	80151	\N	\N	\N
3302637	10973	1995-02-24	PRIJEM	VKLAD	32291	65635	\N	\N	\N
3302638	10973	1995-09-06	PRIJEM	VKLAD	34403	121566	\N	\N	\N
3302639	10973	1995-06-26	PRIJEM	VKLAD	12074	58027	\N	\N	\N
3302640	10973	1995-04-12	PRIJEM	VKLAD	46536	94657	\N	\N	\N
3302641	10973	1995-11-26	PRIJEM	VKLAD	23030	91747	\N	\N	\N
3302642	10973	1995-06-30	PRIJEM	VKLAD	25979	84006	\N	\N	\N
3302643	10973	1995-11-08	PRIJEM	VKLAD	25599	73734	\N	\N	\N
3302644	10973	1995-01-03	PRIJEM	VKLAD	27327	70125	\N	\N	\N
3302645	10973	1995-01-08	PRIJEM	VKLAD	21751	83476	\N	\N	\N
3302646	10973	1995-07-26	PRIJEM	VKLAD	28927	113052	\N	\N	\N
3302647	10973	1995-10-28	PRIJEM	VKLAD	47249	122720	\N	\N	\N
3302648	10973	1995-08-28	PRIJEM	VKLAD	43274	119218	\N	\N	\N
3302649	10973	1995-03-19	PRIJEM	VKLAD	40165	92864	\N	\N	\N
3302650	10973	1995-05-15	PRIJEM	VKLAD	13649	58636	\N	\N	\N
3302651	10973	1995-08-26	PRIJEM	VKLAD	35649	75944	\N	\N	\N
3302652	10973	1995-07-21	PRIJEM	VKLAD	37008	84125	\N	\N	\N
3302653	10973	1995-05-28	PRIJEM	VKLAD	11938	62774	\N	\N	\N
3302654	10973	1995-03-16	PRIJEM	VKLAD	13126	52699	\N	\N	\N
3302655	10973	1996-06-11	PRIJEM	VKLAD	7137	29812	\N	\N	\N
3302656	10973	1996-10-12	PRIJEM	VKLAD	9506	32652	\N	\N	\N
3302657	10973	1996-02-13	PRIJEM	VKLAD	15102	33379	\N	\N	\N
3302658	10973	1996-05-07	PRIJEM	VKLAD	36477	54186	\N	\N	\N
3302659	10973	1996-07-21	PRIJEM	VKLAD	35417	52880	\N	\N	\N
3302660	10973	1996-03-21	PRIJEM	VKLAD	17446	33075	\N	\N	\N
3302661	10973	1996-01-10	PRIJEM	VKLAD	27368	79950	\N	\N	\N
3302662	10973	1996-01-06	PRIJEM	VKLAD	19123	59182	\N	\N	\N
3302663	10973	1997-02-21	PRIJEM	VKLAD	13643	89008	\N	\N	\N
3302664	10973	1997-10-03	PRIJEM	VKLAD	40849	69171	\N	\N	\N
3302665	10973	1997-10-31	PRIJEM	VKLAD	41071	96857	\N	\N	\N
3302666	10973	1997-01-21	PRIJEM	VKLAD	23876	31605	\N	\N	\N
3302667	10973	1997-05-02	PRIJEM	VKLAD	33878	56199	\N	\N	\N
3302668	10973	1997-09-25	PRIJEM	VKLAD	9263	34835	\N	\N	\N
3302669	10973	1997-11-13	PRIJEM	VKLAD	38442	124969	\N	\N	\N
3302670	10973	1997-05-27	PRIJEM	VKLAD	15020	48020	\N	\N	\N
3302671	10973	1997-07-27	PRIJEM	VKLAD	42469	68868	\N	\N	\N
3302672	10973	1997-11-14	PRIJEM	VKLAD	26155	103924	\N	\N	\N
3302673	10973	1997-05-14	PRIJEM	VKLAD	6644	44400	\N	\N	\N
3302674	10973	1997-03-04	PRIJEM	VKLAD	9435	53725	\N	\N	\N
3302675	10973	1997-02-20	PRIJEM	VKLAD	42513	75365	\N	\N	\N
3302676	10973	1997-10-23	PRIJEM	VKLAD	29408	95362	\N	\N	\N
3302677	10973	1997-02-04	PRIJEM	VKLAD	16628	36068	\N	\N	\N
3302678	10973	1997-04-18	PRIJEM	VKLAD	15665	37179	\N	\N	\N
3302679	10973	1997-06-01	PRIJEM	VKLAD	20937	55190	\N	\N	\N
3302680	10973	1997-11-22	PRIJEM	VKLAD	36358	140282	\N	\N	\N
3302681	10973	1997-02-24	PRIJEM	VKLAD	44422	133430	\N	\N	\N
3302682	10973	1998-03-30	PRIJEM	VKLAD	34385	127286	\N	\N	\N
3302683	10973	1998-08-01	PRIJEM	VKLAD	20724	57379	\N	\N	\N
3302684	10973	1998-09-30	PRIJEM	VKLAD	34987	65792	\N	\N	\N
3302685	10973	1998-08-21	PRIJEM	VKLAD	25730	99524	\N	\N	\N
3302686	10973	1998-12-29	PRIJEM	VKLAD	31279	57501	\N	\N	\N
3302687	10973	1998-08-15	PRIJEM	VKLAD	48535	175711	\N	\N	\N
3302688	10973	1998-08-15	PRIJEM	VKLAD	22185	127176	\N	\N	\N
3302689	10973	1998-05-12	PRIJEM	VKLAD	17600	75200	\N	\N	\N
3302690	10973	1998-03-28	PRIJEM	VKLAD	21969	53026	\N	\N	\N
3302691	10973	1998-06-28	PRIJEM	VKLAD	44418	90683	\N	\N	\N
3302692	10973	1998-08-20	PRIJEM	VKLAD	27183	136494	\N	\N	\N
3302693	10973	1998-04-06	PRIJEM	VKLAD	36089	131311	\N	\N	\N
3302694	10973	1998-03-30	PRIJEM	VKLAD	39875	92901	\N	\N	\N
3302695	10973	1998-08-21	PRIJEM	VKLAD	39156	138680	\N	\N	\N
3302696	10973	1998-10-27	PRIJEM	VKLAD	12036	56326	\N	\N	\N
3302697	10973	1998-08-10	PRIJEM	VKLAD	9674	104991	\N	\N	\N
3302698	10973	1998-06-04	PRIJEM	VKLAD	26309	86465	\N	\N	\N
3302699	10973	1998-10-11	PRIJEM	VKLAD	44548	110310	\N	\N	\N
3302700	10973	1998-08-07	PRIJEM	VKLAD	37938	95317	\N	\N	\N
3302701	10973	1998-03-10	PRIJEM	VKLAD	39101	57612	\N	\N	\N
3302702	10973	1998-11-01	PRIJEM	VKLAD	32973	89571	\N	\N	\N
3302703	10973	1998-05-23	PRIJEM	VKLAD	30910	106110	\N	\N	\N
3302704	10973	1998-04-12	PRIJEM	VKLAD	17722	126433	\N	\N	\N
3302705	10973	1998-10-17	PRIJEM	VKLAD	14880	122090	\N	\N	\N
3302706	10973	1998-09-02	PRIJEM	VKLAD	19458	71107	\N	\N	\N
3302713	10973	1993-07-09	VYDAJ	VYBER	3700	68994	\N	\N	0
3302714	10973	1993-08-18	VYDAJ	VYBER	3300	52324	\N	\N	0
3302715	10973	1993-09-14	VYDAJ	VYBER	3900	20150	\N	\N	0
3302716	10973	1993-10-08	VYDAJ	VYBER	2600	53403	\N	\N	0
3302717	10973	1993-11-12	VYDAJ	PREVOD NA UCET	3217	77322	UVER	OP	88414823
3302718	10973	1993-12-12	VYDAJ	PREVOD NA UCET	3217	100448	UVER	OP	88414823
3302719	10973	1994-01-12	VYDAJ	PREVOD NA UCET	3217	60354	UVER	OP	88414823
3302720	10973	1994-02-12	VYDAJ	PREVOD NA UCET	3217	27316	UVER	OP	88414823
3302721	10973	1994-03-12	VYDAJ	PREVOD NA UCET	3217	90915	UVER	OP	88414823
3302722	10973	1994-04-12	VYDAJ	PREVOD NA UCET	3217	57988	UVER	OP	88414823
3302723	10973	1994-05-12	VYDAJ	PREVOD NA UCET	3217	79248	UVER	OP	88414823
3302724	10973	1994-06-12	VYDAJ	PREVOD NA UCET	3217	30165	UVER	OP	88414823
3302725	10973	1994-07-12	VYDAJ	PREVOD NA UCET	3217	27873	UVER	OP	88414823
3302726	10973	1994-08-12	VYDAJ	PREVOD NA UCET	3217	28944	UVER	OP	88414823
3302727	10973	1994-09-12	VYDAJ	PREVOD NA UCET	3217	72713	UVER	OP	88414823
3302728	10973	1994-10-12	VYDAJ	PREVOD NA UCET	3217	143740	UVER	OP	88414823
3302729	10973	1994-11-12	VYDAJ	PREVOD NA UCET	3217	54703	UVER	OP	88414823
3302730	10973	1994-12-12	VYDAJ	PREVOD NA UCET	3217	42627	UVER	OP	88414823
3302731	10973	1995-01-12	VYDAJ	PREVOD NA UCET	3217	49059	UVER	OP	88414823
3302732	10973	1995-02-12	VYDAJ	PREVOD NA UCET	3217	33344	UVER	OP	88414823
3302733	10973	1995-03-12	VYDAJ	PREVOD NA UCET	3217	39573	UVER	OP	88414823
3302734	10973	1995-04-12	VYDAJ	PREVOD NA UCET	3217	91440	UVER	OP	88414823
3302735	10973	1995-05-12	VYDAJ	PREVOD NA UCET	3217	44987	UVER	OP	88414823
3302736	10973	1995-06-12	VYDAJ	PREVOD NA UCET	3217	45953	UVER	OP	88414823
3302737	10973	1995-07-12	VYDAJ	PREVOD NA UCET	3217	47117	UVER	OP	88414823
3302738	10973	1995-08-12	VYDAJ	PREVOD NA UCET	3217	40295	UVER	OP	88414823
3302739	10973	1995-09-12	VYDAJ	PREVOD NA UCET	3217	50550	UVER	OP	88414823
3302740	10973	1995-10-12	VYDAJ	PREVOD NA UCET	3217	78483	UVER	OP	88414823
3302741	10973	1995-11-12	VYDAJ	PREVOD NA UCET	3217	68717	UVER	OP	88414823
3302742	10973	1995-12-12	VYDAJ	PREVOD NA UCET	3217	49726	UVER	OP	88414823
3302743	10973	1996-01-12	VYDAJ	PREVOD NA UCET	3217	76733	UVER	OP	88414823
3302744	10973	1996-02-12	VYDAJ	PREVOD NA UCET	3217	18277	UVER	OP	88414823
3302745	10973	1996-03-12	VYDAJ	PREVOD NA UCET	3217	15629	UVER	OP	88414823
3302746	10973	1996-04-12	VYDAJ	PREVOD NA UCET	3217	22132	UVER	OP	88414823
3302747	10973	1996-05-12	VYDAJ	PREVOD NA UCET	3217	50970	UVER	OP	88414823
3302748	10973	1996-06-12	VYDAJ	PREVOD NA UCET	3217	26595	UVER	OP	88414823
3302749	10973	1996-07-12	VYDAJ	PREVOD NA UCET	3217	17463	UVER	OP	88414823
3302750	10973	1996-08-12	VYDAJ	PREVOD NA UCET	3217	26170	UVER	OP	88414823
3302751	10973	1996-09-12	VYDAJ	PREVOD NA UCET	3217	23069	UVER	OP	88414823
3302752	10973	1996-10-12	VYDAJ	PREVOD NA UCET	3217	29435	UVER	OP	88414823
3302753	10973	1996-11-12	VYDAJ	PREVOD NA UCET	3217	14098	UVER	OP	88414823
3302754	10973	1996-12-12	VYDAJ	PREVOD NA UCET	3217	10920	UVER	OP	88414823
3302755	10973	1997-01-12	VYDAJ	PREVOD NA UCET	3217	7729	UVER	OP	88414823
3302756	10973	1997-02-12	VYDAJ	PREVOD NA UCET	3217	32852	UVER	OP	88414823
3302757	10973	1997-03-12	VYDAJ	PREVOD NA UCET	3217	32419	UVER	OP	88414823
3302758	10973	1997-04-12	VYDAJ	PREVOD NA UCET	3217	21514	UVER	OP	88414823
3302759	10973	1997-05-12	VYDAJ	PREVOD NA UCET	3217	37756	UVER	OP	88414823
3302760	10973	1997-06-12	VYDAJ	PREVOD NA UCET	3217	51974	UVER	OP	88414823
3302761	10973	1997-07-12	VYDAJ	PREVOD NA UCET	3217	26399	UVER	OP	88414823
3302762	10973	1997-08-12	VYDAJ	PREVOD NA UCET	3217	39653	UVER	OP	88414823
3302763	10973	1997-09-12	VYDAJ	PREVOD NA UCET	3217	25572	UVER	OP	88414823
3302764	10973	1997-10-12	VYDAJ	PREVOD NA UCET	3217	65954	UVER	OP	88414823
3302765	10973	1997-11-04	VYDAJ	VYBER	2800	94027	\N	\N	0
3302766	10973	1997-12-04	VYDAJ	VYBER	3000	49022	\N	\N	0
3302767	10973	1998-01-05	VYDAJ	VYBER	3400	24392	\N	\N	0
3302768	10973	1998-02-12	VYDAJ	VYBER	2600	18458	\N	\N	0
3302769	10973	1998-03-15	VYDAJ	VYBER	2900	47457	\N	\N	0
3302770	10973	1998-04-04	VYDAJ	VYBER	3200	95222	\N	\N	0
3302771	10973	1998-05-02	VYDAJ	VYBER	3800	57600	\N	\N	0
3302772	10973	1998-06-19	VYDAJ	VYBER	2600	83865	\N	\N	0
3302773	10973	1998-07-13	VYDAJ	VYBER	2600	62318	\N	\N	0
3302774	10973	1998-08-19	VYDAJ	VYBER	2600	109311	\N	\N	0
3302775	10973	1998-09-03	VYDAJ	VYBER	3100	68007	\N	\N	0
3302776	10973	1998-10-12	VYDAJ	VYBER	3100	107210	\N	\N	0
3302777	10973	1998-11-15	VYDAJ	VYBER	2900	54055	\N	\N	0
3302778	10973	1998-12-04	VYDAJ	VYBER	3300	31522	\N	\N	0
3302782	10973	1993-11-01	VYBER	VYBER	6701	76001	\N	\N	\N
3302783	10973	1993-09-14	VYBER	VYBER	12644	24050	\N	\N	\N
3302784	10973	1993-07-10	VYBER	VYBER	14477	54517	\N	\N	\N
3302786	10973	1993-12-08	VYBER	VYBER	17538	64407	\N	\N	\N
3302791	10973	1995-05-07	VYBER	VYBER	12478	79303	\N	\N	\N
3302792	10973	1995-10-28	VYBER	VYBER	10831	111889	\N	\N	\N
3302793	10973	1995-04-09	VYBER	VYBER	19915	73221	\N	\N	\N
3302794	10973	1995-12-13	VYBER	VYBER	6302	43424	\N	\N	\N
3302795	10973	1995-10-16	VYBER	VYBER	3012	75471	\N	\N	\N
3302799	10973	1996-05-23	VYBER	VYBER	8943	30445	\N	\N	\N
3302801	10973	1996-05-20	VYBER	VYBER	11582	39388	\N	\N	\N
3302804	10973	1996-02-22	VYBER	VYBER	8015	25364	\N	\N	\N
3302805	10973	1996-01-23	VYBER	VYBER	17158	50575	\N	\N	\N
3302807	10973	1997-05-02	VYBER	VYBER	15226	40973	\N	\N	\N
3302809	10973	1997-12-12	VYBER	VYBER	2384	46638	\N	\N	\N
3302812	10973	1997-02-27	VYBER	VYBER	10486	78344	\N	\N	\N
3302813	10973	1997-04-22	VYBER	VYBER	3043	34136	\N	\N	\N
3302814	10973	1997-03-07	VYBER	VYBER	18090	35635	\N	\N	\N
3302819	10973	1998-03-11	VYBER	VYBER	7255	50357	\N	\N	\N
3302820	10973	1998-07-13	VYBER	VYBER	17596	64918	\N	\N	\N
3302821	10973	1998-11-09	VYBER	VYBER	18516	71055	\N	\N	\N
3302822	10973	1998-09-24	VYBER	VYBER	13934	30573	\N	\N	\N
3302830	10973	1994-01-04	VYDAJ	VYBER	28800	63571	\N	\N	\N
3302832	10973	1996-01-24	VYDAJ	VYBER	14400	31975	\N	\N	\N
3302835	10973	1993-12-01	VYDAJ	VYBER	2100	81945	\N	\N	\N
3302836	10973	1994-12-08	VYDAJ	VYBER	8100	72243	\N	\N	\N
3302837	10973	1995-12-27	VYDAJ	VYBER	4500	72798	\N	\N	\N
3302839	10973	1997-12-29	VYDAJ	VYBER	4500	29738	\N	\N	\N
3302847	10973	1994-01-28	VYDAJ	VYBER	3300	30354	\N	\N	\N
3302848	10973	1994-01-15	VYDAJ	VYBER	6300	35454	\N	\N	\N
3302849	10973	1994-01-02	VYDAJ	VYBER	3000	96871	\N	\N	\N
3302850	10973	1994-01-03	VYDAJ	VYBER	4500	92371	\N	\N	\N
3302851	10973	1994-01-21	VYDAJ	VYBER	1800	33654	\N	\N	\N
3302852	10973	1994-01-01	VYDAJ	VYBER	2400	73668	\N	\N	\N
3302853	10973	1995-01-18	VYDAJ	VYBER	1800	31059	\N	\N	\N
3302854	10973	1995-01-28	VYDAJ	VYBER	1500	51204	\N	\N	\N
3302855	10973	1995-01-17	VYDAJ	VYBER	2400	32859	\N	\N	\N
3302856	10973	1995-01-05	VYDAJ	VYBER	8400	61725	\N	\N	\N
3302857	10973	1995-01-13	VYDAJ	VYBER	7800	41259	\N	\N	\N
3302858	10973	1995-01-16	VYDAJ	VYBER	6000	35259	\N	\N	\N
3302859	10973	1996-01-09	VYDAJ	VYBER	6600	52582	\N	\N	\N
3302860	10973	1996-01-30	VYDAJ	VYBER	2400	23875	\N	\N	\N
3302861	10973	1996-01-28	VYDAJ	VYBER	5700	26275	\N	\N	\N
3302862	10973	1996-01-24	VYDAJ	VYBER	4200	46375	\N	\N	\N
3302863	10973	1996-01-17	VYDAJ	VYBER	6300	70433	\N	\N	\N
3302864	10973	1996-01-22	VYDAJ	VYBER	2700	67733	\N	\N	\N
3302865	10973	1997-01-21	VYDAJ	VYBER	3300	28305	\N	\N	\N
3302866	10973	1997-01-25	VYDAJ	VYBER	2400	25905	\N	\N	\N
3302873	10973	1998-01-01	VYDAJ	VYBER	2100	27792	\N	\N	\N
3302880	10973	1993-08-13	VYDAJ	VYBER	14400	55624	\N	\N	\N
3302882	10973	1993-07-04	VYDAJ	VYBER	9000	72694	\N	\N	\N
3302883	10973	1994-11-05	VYDAJ	VYBER	12300	60670	\N	\N	\N
3302884	10973	1994-06-24	VYDAJ	VYBER	6900	32756	\N	\N	\N
3302885	10973	1994-07-06	VYDAJ	VYBER	1800	31090	\N	\N	\N
3302886	10973	1994-06-11	VYDAJ	VYBER	14700	33382	\N	\N	\N
3302887	10973	1994-01-13	VYDAJ	VYBER	4800	55554	\N	\N	\N
3302888	10973	1995-11-12	VYDAJ	VYBER	1800	71934	\N	\N	\N
3302889	10973	1995-05-20	VYDAJ	VYBER	7800	50836	\N	\N	\N
3302890	10973	1995-02-02	VYDAJ	VYBER	3900	47460	\N	\N	\N
3302891	10973	1996-01-04	VYDAJ	VYBER	2100	70959	\N	\N	\N
3302894	10973	1997-05-23	VYDAJ	VYBER	11400	33000	\N	\N	\N
3302895	10973	1997-06-25	VYDAJ	VYBER	11100	40874	\N	\N	\N
3302896	10973	1997-11-12	VYDAJ	VYBER	7500	86527	\N	\N	\N
3302897	10973	1997-11-23	VYDAJ	VYBER	6300	88882	\N	\N	\N
3302898	10973	1998-04-03	VYDAJ	VYBER	7500	98422	\N	\N	\N
3302899	10973	1998-07-16	VYDAJ	VYBER	2700	59618	\N	\N	\N
3302900	10973	1998-11-10	VYDAJ	VYBER	14100	56955	\N	\N	\N
3302902	10973	1998-07-10	VYDAJ	VYBER	8400	82514	\N	\N	\N
3302910	10973	1993-06-30	VYDAJ	VYBER	30	81694	SLUZBY	\N	\N
3302911	10973	1993-07-31	VYDAJ	VYBER	30	40921	SLUZBY	\N	\N
3302912	10973	1993-08-31	VYDAJ	VYBER	30	36694	SLUZBY	\N	\N
3302913	10973	1993-09-30	VYDAJ	VYBER	30	56003	SLUZBY	\N	\N
3302914	10973	1993-10-31	VYDAJ	VYBER	30	82702	SLUZBY	\N	\N
3302915	10973	1993-11-30	VYDAJ	VYBER	30	84045	SLUZBY	\N	\N
3302916	10973	1993-12-31	VYDAJ	VYBER	30	122068	SLUZBY	\N	\N
3302917	10973	1994-01-31	VYDAJ	VYBER	30	30533	SLUZBY	\N	\N
3302918	10973	1994-02-28	VYDAJ	VYBER	30	52068	SLUZBY	\N	\N
3302919	10973	1994-03-31	VYDAJ	VYBER	30	61205	SLUZBY	\N	\N
3302920	10973	1994-04-30	VYDAJ	VYBER	30	82465	SLUZBY	\N	\N
3302921	10973	1994-05-31	VYDAJ	VYBER	30	48082	SLUZBY	\N	\N
3302922	10973	1994-06-30	VYDAJ	VYBER	30	32890	SLUZBY	\N	\N
3302923	10973	1994-07-31	VYDAJ	VYBER	30	24758	SLUZBY	\N	\N
3302924	10973	1994-08-31	VYDAJ	VYBER	30	91428	SLUZBY	\N	\N
3302925	10973	1994-09-30	VYDAJ	VYBER	30	65414	SLUZBY	\N	\N
3302926	10973	1994-10-31	VYDAJ	VYBER	30	65752	SLUZBY	\N	\N
3302927	10973	1994-11-30	VYDAJ	VYBER	30	54921	SLUZBY	\N	\N
3302928	10973	1994-12-31	VYDAJ	VYBER	30	42798	SLUZBY	\N	\N
3302929	10973	1995-01-31	VYDAJ	VYBER	30	51360	SLUZBY	\N	\N
3302930	10973	1995-02-28	VYDAJ	VYBER	30	65790	SLUZBY	\N	\N
3302931	10973	1995-03-31	VYDAJ	VYBER	30	93136	SLUZBY	\N	\N
3302932	10973	1995-04-30	VYDAJ	VYBER	30	91781	SLUZBY	\N	\N
3302933	10973	1995-05-31	VYDAJ	VYBER	30	81570	SLUZBY	\N	\N
3302934	10973	1995-06-30	VYDAJ	VYBER	30	84234	SLUZBY	\N	\N
3302935	10973	1995-07-31	VYDAJ	VYBER	30	65412	SLUZBY	\N	\N
3302936	10973	1995-08-31	VYDAJ	VYBER	30	63114	SLUZBY	\N	\N
3302937	10973	1995-09-30	VYDAJ	VYBER	30	107687	SLUZBY	\N	\N
3302938	10973	1995-10-31	VYDAJ	VYBER	30	84635	SLUZBY	\N	\N
3302939	10973	1995-11-30	VYDAJ	VYBER	30	92043	SLUZBY	\N	\N
3302940	10973	1995-12-31	VYDAJ	VYBER	30	73059	SLUZBY	\N	\N
3302941	10973	1996-01-31	VYDAJ	VYBER	30	24094	SLUZBY	\N	\N
3302942	10973	1996-02-29	VYDAJ	VYBER	30	25446	SLUZBY	\N	\N
3302943	10973	1996-03-31	VYDAJ	VYBER	30	33149	SLUZBY	\N	\N
3302944	10973	1996-04-30	VYDAJ	VYBER	30	22209	SLUZBY	\N	\N
3302945	10973	1996-05-31	VYDAJ	VYBER	30	30575	SLUZBY	\N	\N
3302946	10973	1996-06-30	VYDAJ	VYBER	30	26680	SLUZBY	\N	\N
3302947	10973	1996-07-31	VYDAJ	VYBER	30	52986	SLUZBY	\N	\N
3302948	10973	1996-08-31	VYDAJ	VYBER	30	26286	SLUZBY	\N	\N
3302949	10973	1996-09-30	VYDAJ	VYBER	30	23146	SLUZBY	\N	\N
3302950	10973	1996-10-31	VYDAJ	VYBER	30	29514	SLUZBY	\N	\N
3302951	10973	1996-11-30	VYDAJ	VYBER	30	14137	SLUZBY	\N	\N
3302952	10973	1996-12-31	VYDAJ	VYBER	30	10946	SLUZBY	\N	\N
3302953	10973	1997-01-31	VYDAJ	VYBER	30	19440	SLUZBY	\N	\N
3302954	10973	1997-02-28	VYDAJ	VYBER	30	44290	SLUZBY	\N	\N
3302955	10973	1997-03-31	VYDAJ	VYBER	30	24730	SLUZBY	\N	\N
3302956	10973	1997-04-30	VYDAJ	VYBER	30	22321	SLUZBY	\N	\N
3302957	10973	1997-05-31	VYDAJ	VYBER	30	34253	SLUZBY	\N	\N
3302958	10973	1997-06-30	VYDAJ	VYBER	30	29616	SLUZBY	\N	\N
3302959	10973	1997-07-31	VYDAJ	VYBER	30	42870	SLUZBY	\N	\N
3302960	10973	1997-08-31	VYDAJ	VYBER	30	28789	SLUZBY	\N	\N
3302961	10973	1997-09-30	VYDAJ	VYBER	30	28322	SLUZBY	\N	\N
3302962	10973	1997-10-31	VYDAJ	VYBER	30	96827	SLUZBY	\N	\N
3302963	10973	1997-11-30	VYDAJ	VYBER	30	52022	SLUZBY	\N	\N
3302964	10973	1997-12-31	VYDAJ	VYBER	30	29892	SLUZBY	\N	\N
3302965	10973	1998-01-31	VYDAJ	VYBER	30	21058	SLUZBY	\N	\N
3302966	10973	1998-02-28	VYDAJ	VYBER	30	18511	SLUZBY	\N	\N
3302967	10973	1998-03-31	VYDAJ	VYBER	30	105922	SLUZBY	\N	\N
3302968	10973	1998-04-30	VYDAJ	VYBER	30	61400	SLUZBY	\N	\N
3302969	10973	1998-05-31	VYDAJ	VYBER	30	60156	SLUZBY	\N	\N
3302970	10973	1998-06-30	VYDAJ	VYBER	30	90914	SLUZBY	\N	\N
3302971	10973	1998-07-31	VYDAJ	VYBER	30	36655	SLUZBY	\N	\N
3302972	10973	1998-08-31	VYDAJ	VYBER	30	51649	SLUZBY	\N	\N
3302973	10973	1998-09-30	VYDAJ	VYBER	30	65762	SLUZBY	\N	\N
3302974	10973	1998-10-31	VYDAJ	VYBER	30	56598	SLUZBY	\N	\N
3302975	10973	1998-11-30	VYDAJ	VYBER	30	34822	SLUZBY	\N	\N
3302976	10973	1993-05-20	VYDAJ	VYBER	19200	40895	\N	\N	\N
3302977	10973	1993-06-19	VYDAJ	VYBER	16200	42442	\N	\N	\N
3302978	10973	1993-07-19	VYDAJ	VYBER	13800	40717	\N	\N	\N
3302979	10973	1993-08-18	VYDAJ	VYBER	15800	36524	\N	\N	\N
3302980	10973	1993-09-17	PRIJEM	VKLAD	4000	24150	\N	\N	\N
3302981	10973	1993-10-17	VYDAJ	VYBER	16000	37403	\N	\N	\N
3302982	10973	1993-11-04	VYDAJ	VYBER	27800	74956	\N	\N	\N
3302983	10973	1993-11-16	VYDAJ	VYBER	27500	49822	\N	\N	\N
3302984	10973	1993-12-16	VYDAJ	VYBER	37500	62948	\N	\N	\N
3302985	10973	1993-12-24	VYDAJ	VYBER	20700	121696	\N	\N	\N
3302986	10973	1993-12-31	VYDAJ	VYBER	46000	76068	\N	\N	\N
3302987	10973	1994-01-15	VYDAJ	VYBER	13800	41754	\N	\N	\N
3302988	10973	1994-02-14	VYDAJ	VYBER	800	26516	\N	\N	\N
3302989	10973	1994-03-13	VYDAJ	VYBER	63000	56429	\N	\N	\N
3302990	10973	1994-03-16	VYDAJ	VYBER	13800	42629	\N	\N	\N
3302991	10973	1994-04-15	VYDAJ	VYBER	17200	40788	\N	\N	\N
3302992	10973	1994-05-13	VYDAJ	VYBER	63200	51998	\N	\N	\N
3302993	10973	1994-05-15	VYDAJ	VYBER	14700	37298	\N	\N	\N
3302994	10973	1994-06-14	VYDAJ	VYBER	1000	29165	\N	\N	\N
3302995	10973	1994-07-14	VYDAJ	VYBER	3200	24673	\N	\N	\N
3302996	10973	1994-08-13	VYDAJ	VYBER	3500	25444	\N	\N	\N
3302997	10973	1994-09-01	VYDAJ	VYBER	37800	75930	\N	\N	\N
3302998	10973	1994-09-12	VYDAJ	VYBER	25200	47513	\N	\N	\N
3302999	10973	1994-09-30	VYDAJ	VYBER	58600	65444	\N	\N	\N
3303000	10973	1994-10-07	VYDAJ	VYBER	38500	100246	\N	\N	\N
3303001	10973	1994-10-12	VYDAJ	VYBER	38400	105340	\N	\N	\N
3303002	10973	1994-10-12	VYDAJ	VYBER	39900	65440	\N	\N	\N
3303003	10973	1994-11-11	VYDAJ	VYBER	35700	57919	\N	\N	\N
3303004	10973	1994-12-11	VYDAJ	VYBER	26400	45843	\N	\N	\N
3303005	10973	1995-01-10	VYDAJ	VYBER	31200	52276	\N	\N	\N
3303006	10973	1995-02-09	VYDAJ	VYBER	10900	36560	\N	\N	\N
3303007	10973	1995-03-11	VYDAJ	VYBER	23000	42790	\N	\N	\N
3303008	10973	1995-04-10	VYDAJ	VYBER	25100	48121	\N	\N	\N
3303009	10973	1995-05-10	VYDAJ	VYBER	31100	48203	\N	\N	\N
3303010	10973	1995-05-30	VYDAJ	VYBER	30200	81326	\N	\N	\N
3303011	10973	1995-06-09	VYDAJ	VYBER	32400	49170	\N	\N	\N
3303012	10973	1995-07-09	VYDAJ	VYBER	33900	50334	\N	\N	\N
3303013	10973	1995-07-26	VYDAJ	VYBER	47900	65152	\N	\N	\N
3303014	10973	1995-08-08	VYDAJ	VYBER	21900	43512	\N	\N	\N
3303015	10973	1995-08-28	VYDAJ	VYBER	56300	62918	\N	\N	\N
3303016	10973	1995-09-06	VYDAJ	VYBER	33600	87966	\N	\N	\N
3303017	10973	1995-09-07	VYDAJ	VYBER	34200	53766	\N	\N	\N
3303018	10973	1995-10-07	VYDAJ	VYBER	46900	60787	\N	\N	\N
3303019	10973	1995-10-28	VYDAJ	VYBER	27600	84289	\N	\N	\N
3303020	10973	1995-11-06	VYDAJ	VYBER	36500	48135	\N	\N	\N
3303021	10973	1995-12-06	VYDAJ	VYBER	39100	52943	\N	\N	\N
3303022	10973	1996-01-05	VYDAJ	VYBER	30900	40059	\N	\N	\N
3303023	10973	1996-02-04	VYDAJ	VYBER	2600	21494	\N	\N	\N
3303024	10973	1996-03-05	VYDAJ	VYBER	6600	18846	\N	\N	\N
3303025	10973	1996-04-04	VYDAJ	VYBER	7800	25349	\N	\N	\N
3303026	10973	1996-05-04	VYDAJ	VYBER	4500	17709	\N	\N	\N
3303027	10973	1996-06-03	VYDAJ	VYBER	7900	22675	\N	\N	\N
3303028	10973	1996-07-03	VYDAJ	VYBER	6000	20680	\N	\N	\N
3303029	10973	1996-08-02	VYDAJ	VYBER	23600	29386	\N	\N	\N
3303030	10973	1996-10-31	VYDAJ	VYBER	12200	17314	\N	\N	\N
3303031	10973	1997-01-29	VYDAJ	VYBER	6500	19405	\N	\N	\N
3303032	10973	1997-02-24	VYDAJ	VYBER	44600	88830	\N	\N	\N
3303033	10973	1997-02-28	VYDAJ	VYBER	34200	44320	\N	\N	\N
3303034	10973	1997-03-30	VYDAJ	VYBER	7800	24619	\N	\N	\N
3303035	10973	1997-04-29	VYDAJ	VYBER	11900	22236	\N	\N	\N
3303036	10973	1997-05-29	VYDAJ	VYBER	13900	34120	\N	\N	\N
3303037	10973	1997-06-28	VYDAJ	VYBER	11400	29474	\N	\N	\N
3303038	10973	1997-07-28	VYDAJ	VYBER	26100	42768	\N	\N	\N
3303039	10973	1997-08-27	VYDAJ	VYBER	11000	28653	\N	\N	\N
3303040	10973	1997-09-26	VYDAJ	VYBER	6600	28235	\N	\N	\N
3303041	10973	1997-10-26	VYDAJ	VYBER	39800	55562	\N	\N	\N
3303042	10973	1997-11-13	VYDAJ	VYBER	47200	77769	\N	\N	\N
3303043	10973	1997-11-22	VYDAJ	VYBER	45100	95182	\N	\N	\N
3303044	10973	1997-11-25	VYDAJ	VYBER	37200	51682	\N	\N	\N
3303045	10973	1997-12-25	VYDAJ	VYBER	12400	34238	\N	\N	\N
3303046	10973	1998-01-24	VYDAJ	VYBER	3400	20992	\N	\N	\N
3303047	10973	1998-03-25	VYDAJ	VYBER	16400	31057	\N	\N	\N
3303048	10973	1998-03-30	VYDAJ	VYBER	21500	105786	\N	\N	\N
3303049	10973	1998-04-06	VYDAJ	VYBER	22600	108711	\N	\N	\N
3303050	10973	1998-04-12	VYDAJ	VYBER	17400	109033	\N	\N	\N
3303051	10973	1998-04-24	VYDAJ	VYBER	48000	61033	\N	\N	\N
3303052	10973	1998-05-24	VYDAJ	VYBER	46200	59910	\N	\N	\N
3303053	10973	1998-06-23	VYDAJ	VYBER	37600	46265	\N	\N	\N
3303054	10973	1998-07-23	VYDAJ	VYBER	23200	36418	\N	\N	\N
3303055	10973	1998-08-15	VYDAJ	VYBER	63800	111911	\N	\N	\N
3303056	10973	1998-08-20	VYDAJ	VYBER	62700	73794	\N	\N	\N
3303057	10973	1998-08-21	VYDAJ	VYBER	50600	88080	\N	\N	\N
3303058	10973	1998-08-22	VYDAJ	VYBER	36700	51380	\N	\N	\N
3303059	10973	1998-09-21	VYDAJ	VYBER	23500	44507	\N	\N	\N
3303060	10973	1998-10-17	VYDAJ	VYBER	49800	72290	\N	\N	\N
3303061	10973	1998-10-21	VYDAJ	VYBER	28000	44290	\N	\N	\N
3303062	10973	1998-11-20	VYDAJ	VYBER	19400	34655	\N	\N	\N
3303063	10973	1998-12-20	VYDAJ	VYBER	5300	26222	\N	\N	\N
3314624	11013	1993-02-14	PRIJEM	VKLAD	600	600	\N	\N	\N
3314627	11013	1993-03-13	PRIJEM	PREVOD Z UCTU	42244	42844	\N	YZ	45816707
3314628	11013	1993-04-13	PRIJEM	PREVOD Z UCTU	42244	78165	\N	YZ	45816707
3314629	11013	1993-05-13	PRIJEM	PREVOD Z UCTU	42244	94294	\N	YZ	45816707
3314630	11013	1993-06-13	PRIJEM	PREVOD Z UCTU	63366	122893	\N	YZ	45816707
3314631	11013	1993-07-13	PRIJEM	PREVOD Z UCTU	42244	103092	\N	YZ	45816707
3314632	11013	1993-08-13	PRIJEM	PREVOD Z UCTU	42244	83659	\N	YZ	45816707
3314633	11013	1993-09-13	PRIJEM	PREVOD Z UCTU	42244	74022	\N	YZ	45816707
3314634	11013	1993-10-13	PRIJEM	PREVOD Z UCTU	42244	83132	\N	YZ	45816707
3314635	11013	1993-11-13	PRIJEM	PREVOD Z UCTU	42244	81495	\N	YZ	45816707
3314636	11013	1993-12-13	PRIJEM	PREVOD Z UCTU	63366	89217	\N	YZ	45816707
3314637	11013	1994-01-13	PRIJEM	PREVOD Z UCTU	42244	59215	\N	YZ	45816707
3314638	11013	1994-02-13	PRIJEM	PREVOD Z UCTU	42244	58273	\N	YZ	45816707
3314639	11013	1994-03-13	PRIJEM	PREVOD Z UCTU	42244	67057	\N	YZ	45816707
3314640	11013	1994-04-13	PRIJEM	PREVOD Z UCTU	42244	77556	\N	YZ	45816707
3314641	11013	1994-05-13	PRIJEM	PREVOD Z UCTU	42244	60241	\N	YZ	45816707
3314642	11013	1994-06-13	PRIJEM	PREVOD Z UCTU	63366	91026	\N	YZ	45816707
3314643	11013	1994-07-13	PRIJEM	PREVOD Z UCTU	42244	83065	\N	YZ	45816707
3314644	11013	1994-08-13	PRIJEM	PREVOD Z UCTU	42244	65433	\N	YZ	45816707
3314645	11013	1994-09-13	PRIJEM	PREVOD Z UCTU	42244	65690	\N	YZ	45816707
3314646	11013	1994-10-13	PRIJEM	PREVOD Z UCTU	42244	70410	\N	YZ	45816707
3314647	11013	1994-11-13	PRIJEM	PREVOD Z UCTU	42244	71188	\N	YZ	45816707
3314648	11013	1994-12-13	PRIJEM	PREVOD Z UCTU	63366	84993	\N	YZ	45816707
3314649	11013	1995-01-13	PRIJEM	PREVOD Z UCTU	42244	74220	\N	YZ	45816707
3314650	11013	1995-02-13	PRIJEM	PREVOD Z UCTU	42244	75134	\N	YZ	45816707
3314651	11013	1995-03-13	PRIJEM	PREVOD Z UCTU	42244	79028	\N	YZ	45816707
3314652	11013	1995-04-13	PRIJEM	PREVOD Z UCTU	42244	82649	\N	YZ	45816707
3314653	11013	1995-05-13	PRIJEM	PREVOD Z UCTU	42244	87108	\N	YZ	45816707
3314654	11013	1995-06-13	PRIJEM	PREVOD Z UCTU	63366	110416	\N	YZ	45816707
3314655	11013	1995-07-13	PRIJEM	PREVOD Z UCTU	42244	73223	\N	YZ	45816707
3314656	11013	1995-08-13	PRIJEM	PREVOD Z UCTU	42244	82428	\N	YZ	45816707
3314657	11013	1995-09-13	PRIJEM	PREVOD Z UCTU	42244	80379	\N	YZ	45816707
3314658	11013	1995-10-13	PRIJEM	PREVOD Z UCTU	42244	83620	\N	YZ	45816707
3314659	11013	1995-11-13	PRIJEM	PREVOD Z UCTU	42244	75041	\N	YZ	45816707
3314660	11013	1995-12-13	PRIJEM	PREVOD Z UCTU	63366	105897	\N	YZ	45816707
3314661	11013	1996-01-13	PRIJEM	PREVOD Z UCTU	42244	93814	\N	YZ	45816707
3314662	11013	1996-02-13	PRIJEM	PREVOD Z UCTU	42244	85995	\N	YZ	45816707
3314663	11013	1996-03-13	PRIJEM	PREVOD Z UCTU	42244	94045	\N	YZ	45816707
3314664	11013	1996-04-13	PRIJEM	PREVOD Z UCTU	42244	97153	\N	YZ	45816707
3314665	11013	1996-05-13	PRIJEM	PREVOD Z UCTU	42244	101844	\N	YZ	45816707
3314666	11013	1996-06-13	PRIJEM	PREVOD Z UCTU	63366	110174	\N	YZ	45816707
3314667	11013	1996-07-13	PRIJEM	PREVOD Z UCTU	42244	73284	\N	YZ	45816707
3314668	11013	1996-08-13	PRIJEM	PREVOD Z UCTU	42244	71182	\N	YZ	45816707
3314669	11013	1996-09-13	PRIJEM	PREVOD Z UCTU	42244	90192	\N	YZ	45816707
3314670	11013	1996-10-13	PRIJEM	PREVOD Z UCTU	42244	73844	\N	YZ	45816707
3314671	11013	1996-11-13	PRIJEM	PREVOD Z UCTU	42244	85337	\N	YZ	45816707
3314672	11013	1996-12-13	PRIJEM	PREVOD Z UCTU	63366	87388	\N	YZ	45816707
3314673	11013	1997-01-13	PRIJEM	PREVOD Z UCTU	42244	75499	\N	YZ	45816707
3314674	11013	1997-02-13	PRIJEM	PREVOD Z UCTU	42244	72280	\N	YZ	45816707
3314675	11013	1997-03-13	PRIJEM	PREVOD Z UCTU	42244	90361	\N	YZ	45816707
3314676	11013	1997-04-13	PRIJEM	PREVOD Z UCTU	42244	88095	\N	YZ	45816707
3314677	11013	1997-05-13	PRIJEM	PREVOD Z UCTU	42244	92930	\N	YZ	45816707
3314678	11013	1997-06-13	PRIJEM	PREVOD Z UCTU	63366	108607	\N	YZ	45816707
3314679	11013	1997-07-13	PRIJEM	PREVOD Z UCTU	42244	108384	\N	YZ	45816707
3314680	11013	1997-08-13	PRIJEM	PREVOD Z UCTU	42244	108189	\N	YZ	45816707
3314681	11013	1997-09-13	PRIJEM	PREVOD Z UCTU	42244	104551	\N	YZ	45816707
3314682	11013	1997-10-13	PRIJEM	PREVOD Z UCTU	42244	66165	\N	YZ	45816707
3314683	11013	1997-11-13	PRIJEM	PREVOD Z UCTU	42244	68359	\N	YZ	45816707
3314684	11013	1997-12-13	PRIJEM	PREVOD Z UCTU	63366	109845	\N	YZ	45816707
3314685	11013	1998-01-13	PRIJEM	PREVOD Z UCTU	42244	84704	\N	YZ	45816707
3314686	11013	1998-02-13	PRIJEM	PREVOD Z UCTU	42244	77893	\N	YZ	45816707
3314687	11013	1998-03-13	PRIJEM	PREVOD Z UCTU	42244	90679	\N	YZ	45816707
3314688	11013	1998-04-13	PRIJEM	PREVOD Z UCTU	42244	98815	\N	YZ	45816707
3314689	11013	1998-05-13	PRIJEM	PREVOD Z UCTU	42244	91568	\N	YZ	45816707
3314690	11013	1998-06-13	PRIJEM	PREVOD Z UCTU	63366	112620	\N	YZ	45816707
3314691	11013	1998-07-13	PRIJEM	PREVOD Z UCTU	42244	106881	\N	YZ	45816707
3314692	11013	1998-08-13	PRIJEM	PREVOD Z UCTU	42244	79767	\N	YZ	45816707
3314693	11013	1998-09-13	PRIJEM	PREVOD Z UCTU	42244	74198	\N	YZ	45816707
3314694	11013	1998-10-13	PRIJEM	PREVOD Z UCTU	42244	86351	\N	YZ	45816707
3314695	11013	1998-11-13	PRIJEM	PREVOD Z UCTU	42244	85837	\N	YZ	45816707
3314696	11013	1998-12-13	PRIJEM	PREVOD Z UCTU	63366	109938	\N	YZ	45816707
3314704	11013	1993-08-21	VYDAJ	VYBER	4700	40960	\N	\N	0
3314705	11013	1993-09-12	VYDAJ	PREVOD NA UCET	4579	35778	UVER	YZ	91721045
3314706	11013	1993-10-12	VYDAJ	PREVOD NA UCET	4579	53688	UVER	YZ	91721045
3314707	11013	1993-11-12	VYDAJ	PREVOD NA UCET	4579	39251	UVER	YZ	91721045
3314708	11013	1993-12-12	VYDAJ	PREVOD NA UCET	4579	25851	UVER	YZ	91721045
3314709	11013	1994-01-12	VYDAJ	PREVOD NA UCET	4579	21771	UVER	YZ	91721045
3314710	11013	1994-02-12	VYDAJ	PREVOD NA UCET	4579	16029	UVER	YZ	91721045
3314711	11013	1994-03-12	VYDAJ	PREVOD NA UCET	4579	24813	UVER	YZ	91721045
3314712	11013	1994-04-12	VYDAJ	PREVOD NA UCET	4579	35312	UVER	YZ	91721045
3314713	11013	1994-05-12	VYDAJ	PREVOD NA UCET	4579	17997	UVER	YZ	91721045
3314714	11013	1994-06-12	VYDAJ	PREVOD NA UCET	4579	27660	UVER	YZ	91721045
3314715	11013	1994-07-12	VYDAJ	PREVOD NA UCET	4579	40821	UVER	YZ	91721045
3314716	11013	1994-08-12	VYDAJ	PREVOD NA UCET	4579	23189	UVER	YZ	91721045
3314717	11013	1994-09-12	VYDAJ	PREVOD NA UCET	4579	23446	UVER	YZ	91721045
3314718	11013	1994-10-12	VYDAJ	PREVOD NA UCET	4579	28166	UVER	YZ	91721045
3314719	11013	1994-11-12	VYDAJ	PREVOD NA UCET	4579	28944	UVER	YZ	91721045
3314720	11013	1994-12-12	VYDAJ	PREVOD NA UCET	4579	21627	UVER	YZ	91721045
3314721	11013	1995-01-12	VYDAJ	PREVOD NA UCET	4579	37676	UVER	YZ	91721045
3314722	11013	1995-02-12	VYDAJ	PREVOD NA UCET	4579	32890	UVER	YZ	91721045
3314993	11013	1998-01-17	VYDAJ	VYBER	8700	53305	\N	\N	\N
3314723	11013	1995-03-12	VYDAJ	PREVOD NA UCET	4579	36784	UVER	YZ	91721045
3314724	11013	1995-04-12	VYDAJ	PREVOD NA UCET	4579	40405	UVER	YZ	91721045
3314725	11013	1995-05-12	VYDAJ	PREVOD NA UCET	4579	44864	UVER	YZ	91721045
3314726	11013	1995-06-12	VYDAJ	PREVOD NA UCET	4579	47050	UVER	YZ	91721045
3314727	11013	1995-07-12	VYDAJ	PREVOD NA UCET	4579	30979	UVER	YZ	91721045
3314728	11013	1995-08-12	VYDAJ	PREVOD NA UCET	4579	40184	UVER	YZ	91721045
3314729	11013	1995-09-12	VYDAJ	PREVOD NA UCET	4579	38135	UVER	YZ	91721045
3314730	11013	1995-10-12	VYDAJ	PREVOD NA UCET	4579	41376	UVER	YZ	91721045
3314731	11013	1995-11-12	VYDAJ	PREVOD NA UCET	4579	32797	UVER	YZ	91721045
3314732	11013	1995-12-12	VYDAJ	PREVOD NA UCET	4579	42531	UVER	YZ	91721045
3314733	11013	1996-01-12	VYDAJ	PREVOD NA UCET	4579	51570	UVER	YZ	91721045
3314734	11013	1996-02-12	VYDAJ	PREVOD NA UCET	4579	43751	UVER	YZ	91721045
3314735	11013	1996-03-12	VYDAJ	PREVOD NA UCET	4579	51801	UVER	YZ	91721045
3314736	11013	1996-04-12	VYDAJ	PREVOD NA UCET	4579	54909	UVER	YZ	91721045
3314737	11013	1996-05-12	VYDAJ	PREVOD NA UCET	4579	59600	UVER	YZ	91721045
3314738	11013	1996-06-12	VYDAJ	PREVOD NA UCET	4579	46808	UVER	YZ	91721045
3314739	11013	1996-07-12	VYDAJ	PREVOD NA UCET	4579	31040	UVER	YZ	91721045
3314740	11013	1996-08-12	VYDAJ	PREVOD NA UCET	4579	28938	UVER	YZ	91721045
3314741	11013	1996-09-12	VYDAJ	PREVOD NA UCET	4579	47948	UVER	YZ	91721045
3314742	11013	1996-10-12	VYDAJ	PREVOD NA UCET	4579	31600	UVER	YZ	91721045
3314743	11013	1996-11-12	VYDAJ	PREVOD NA UCET	4579	43093	UVER	YZ	91721045
3314744	11013	1996-12-12	VYDAJ	PREVOD NA UCET	4579	24022	UVER	YZ	91721045
3314745	11013	1997-01-12	VYDAJ	PREVOD NA UCET	4579	33255	UVER	YZ	91721045
3314746	11013	1997-02-12	VYDAJ	PREVOD NA UCET	4579	30036	UVER	YZ	91721045
3314747	11013	1997-03-12	VYDAJ	PREVOD NA UCET	4579	48117	UVER	YZ	91721045
3314748	11013	1997-04-12	VYDAJ	PREVOD NA UCET	4579	45851	UVER	YZ	91721045
3314749	11013	1997-05-12	VYDAJ	PREVOD NA UCET	4579	50686	UVER	YZ	91721045
3314750	11013	1997-06-12	VYDAJ	PREVOD NA UCET	4579	45241	UVER	YZ	91721045
3314751	11013	1997-07-12	VYDAJ	PREVOD NA UCET	4579	66140	UVER	YZ	91721045
3314752	11013	1997-08-12	VYDAJ	PREVOD NA UCET	4579	65945	UVER	YZ	91721045
3314753	11013	1997-09-12	VYDAJ	PREVOD NA UCET	4579	62307	UVER	YZ	91721045
3314754	11013	1997-10-12	VYDAJ	PREVOD NA UCET	4579	23921	UVER	YZ	91721045
3314755	11013	1997-11-12	VYDAJ	PREVOD NA UCET	4579	26115	UVER	YZ	91721045
3314756	11013	1997-12-12	VYDAJ	PREVOD NA UCET	4579	46479	UVER	YZ	91721045
3314757	11013	1998-01-12	VYDAJ	PREVOD NA UCET	4579	42460	UVER	YZ	91721045
3314758	11013	1998-02-12	VYDAJ	PREVOD NA UCET	4579	35649	UVER	YZ	91721045
3314759	11013	1998-03-12	VYDAJ	PREVOD NA UCET	4579	48435	UVER	YZ	91721045
3314760	11013	1998-04-12	VYDAJ	PREVOD NA UCET	4579	56571	UVER	YZ	91721045
3314761	11013	1998-05-12	VYDAJ	PREVOD NA UCET	4579	49324	UVER	YZ	91721045
3314762	11013	1998-06-12	VYDAJ	PREVOD NA UCET	4579	49254	UVER	YZ	91721045
3314763	11013	1998-07-12	VYDAJ	PREVOD NA UCET	4579	64637	UVER	YZ	91721045
3314764	11013	1998-08-12	VYDAJ	PREVOD NA UCET	4579	37523	UVER	YZ	91721045
3314765	11013	1998-09-05	VYDAJ	VYBER	4300	43133	\N	\N	0
3314766	11013	1998-10-06	VYDAJ	VYBER	4000	44863	\N	\N	0
3314767	11013	1998-11-16	VYDAJ	VYBER	5600	51438	\N	\N	0
3314768	11013	1998-12-10	VYDAJ	VYBER	4300	46572	\N	\N	0
3314776	11013	1993-08-10	VYDAJ	PREVOD NA UCET	756	41415	SIPO	CD	27690512
3314777	11013	1993-09-10	VYDAJ	PREVOD NA UCET	756	40357	SIPO	CD	27690512
3314778	11013	1993-10-10	VYDAJ	PREVOD NA UCET	756	58267	SIPO	CD	27690512
3314779	11013	1993-11-10	VYDAJ	PREVOD NA UCET	756	63530	SIPO	CD	27690512
3314780	11013	1993-12-10	VYDAJ	PREVOD NA UCET	756	37530	SIPO	CD	27690512
3314781	11013	1994-01-10	VYDAJ	PREVOD NA UCET	756	30250	SIPO	CD	27690512
3314782	11013	1994-02-10	VYDAJ	PREVOD NA UCET	756	20608	SIPO	CD	27690512
3314783	11013	1994-03-10	VYDAJ	PREVOD NA UCET	756	28492	SIPO	CD	27690512
3314784	11013	1994-04-10	VYDAJ	PREVOD NA UCET	756	39891	SIPO	CD	27690512
3314785	11013	1994-05-10	VYDAJ	PREVOD NA UCET	756	34997	SIPO	CD	27690512
3314786	11013	1994-06-10	VYDAJ	PREVOD NA UCET	756	32239	SIPO	CD	27690512
3314787	11013	1994-07-10	VYDAJ	PREVOD NA UCET	756	49000	SIPO	CD	27690512
3314788	11013	1994-08-10	VYDAJ	PREVOD NA UCET	756	27768	SIPO	CD	27690512
3314789	11013	1994-09-10	VYDAJ	PREVOD NA UCET	756	37544	SIPO	CD	27690512
3314790	11013	1994-10-10	VYDAJ	PREVOD NA UCET	756	32745	SIPO	CD	27690512
3314791	11013	1994-11-10	VYDAJ	PREVOD NA UCET	756	33523	SIPO	CD	27690512
3314792	11013	1994-12-10	VYDAJ	PREVOD NA UCET	756	26206	SIPO	CD	27690512
3314793	11013	1995-01-10	VYDAJ	PREVOD NA UCET	756	42255	SIPO	CD	27690512
3314794	11013	1995-02-10	VYDAJ	PREVOD NA UCET	756	37469	SIPO	CD	27690512
3314795	11013	1995-03-10	VYDAJ	PREVOD NA UCET	756	41363	SIPO	CD	27690512
3314796	11013	1995-04-10	VYDAJ	PREVOD NA UCET	756	44984	SIPO	CD	27690512
3314797	11013	1995-05-10	VYDAJ	PREVOD NA UCET	756	49443	SIPO	CD	27690512
3314798	11013	1995-06-10	VYDAJ	PREVOD NA UCET	756	51629	SIPO	CD	27690512
3314799	11013	1995-07-10	VYDAJ	PREVOD NA UCET	756	35558	SIPO	CD	27690512
3314800	11013	1995-08-10	VYDAJ	PREVOD NA UCET	756	44763	SIPO	CD	27690512
3314801	11013	1995-09-10	VYDAJ	PREVOD NA UCET	756	42714	SIPO	CD	27690512
3314802	11013	1995-10-10	VYDAJ	PREVOD NA UCET	756	45955	SIPO	CD	27690512
3314803	11013	1995-11-10	VYDAJ	PREVOD NA UCET	756	37376	SIPO	CD	27690512
3314804	11013	1995-12-10	VYDAJ	PREVOD NA UCET	756	47110	SIPO	CD	27690512
3314805	11013	1996-01-10	VYDAJ	PREVOD NA UCET	756	56149	SIPO	CD	27690512
3314806	11013	1996-02-10	VYDAJ	PREVOD NA UCET	756	48330	SIPO	CD	27690512
3314807	11013	1996-03-10	VYDAJ	PREVOD NA UCET	756	56380	SIPO	CD	27690512
3314808	11013	1996-04-10	VYDAJ	PREVOD NA UCET	756	59488	SIPO	CD	27690512
3314809	11013	1996-05-10	VYDAJ	PREVOD NA UCET	756	64179	SIPO	CD	27690512
3314810	11013	1996-06-10	VYDAJ	PREVOD NA UCET	756	51387	SIPO	CD	27690512
3314811	11013	1996-07-10	VYDAJ	PREVOD NA UCET	756	35619	SIPO	CD	27690512
3314812	11013	1996-08-10	VYDAJ	PREVOD NA UCET	756	49916	SIPO	CD	27690512
3314813	11013	1996-09-10	VYDAJ	PREVOD NA UCET	756	52527	SIPO	CD	27690512
3314814	11013	1996-10-10	VYDAJ	PREVOD NA UCET	756	36179	SIPO	CD	27690512
3314815	11013	1996-11-10	VYDAJ	PREVOD NA UCET	756	47672	SIPO	CD	27690512
3314816	11013	1996-12-10	VYDAJ	PREVOD NA UCET	756	28601	SIPO	CD	27690512
3314817	11013	1997-01-10	VYDAJ	PREVOD NA UCET	756	41634	SIPO	CD	27690512
3314818	11013	1997-02-10	VYDAJ	PREVOD NA UCET	756	34615	SIPO	CD	27690512
3314819	11013	1997-03-10	VYDAJ	PREVOD NA UCET	756	52696	SIPO	CD	27690512
3314820	11013	1997-04-10	VYDAJ	PREVOD NA UCET	756	50430	SIPO	CD	27690512
3314821	11013	1997-05-10	VYDAJ	PREVOD NA UCET	756	55265	SIPO	CD	27690512
3314822	11013	1997-06-10	VYDAJ	PREVOD NA UCET	756	49820	SIPO	CD	27690512
3314823	11013	1997-07-10	VYDAJ	PREVOD NA UCET	756	70719	SIPO	CD	27690512
3314824	11013	1997-08-10	VYDAJ	PREVOD NA UCET	756	70524	SIPO	CD	27690512
3314825	11013	1997-09-10	VYDAJ	PREVOD NA UCET	756	66886	SIPO	CD	27690512
3314826	11013	1997-10-10	VYDAJ	PREVOD NA UCET	756	52174	SIPO	CD	27690512
3314827	11013	1997-11-10	VYDAJ	PREVOD NA UCET	756	30694	SIPO	CD	27690512
3314828	11013	1997-12-10	VYDAJ	PREVOD NA UCET	756	51058	SIPO	CD	27690512
3314829	11013	1998-01-10	VYDAJ	PREVOD NA UCET	756	47039	SIPO	CD	27690512
3314830	11013	1998-02-10	VYDAJ	PREVOD NA UCET	756	40228	SIPO	CD	27690512
3314831	11013	1998-03-10	VYDAJ	PREVOD NA UCET	756	53014	SIPO	CD	27690512
3314832	11013	1998-04-10	VYDAJ	PREVOD NA UCET	756	61150	SIPO	CD	27690512
3314833	11013	1998-05-10	VYDAJ	PREVOD NA UCET	756	53903	SIPO	CD	27690512
3314834	11013	1998-06-10	VYDAJ	PREVOD NA UCET	756	53833	SIPO	CD	27690512
3314835	11013	1998-07-10	VYDAJ	PREVOD NA UCET	756	69216	SIPO	CD	27690512
3314836	11013	1998-08-10	VYDAJ	PREVOD NA UCET	756	42102	SIPO	CD	27690512
3314837	11013	1998-09-10	VYDAJ	PREVOD NA UCET	756	31954	SIPO	CD	27690512
3314838	11013	1998-10-10	VYDAJ	PREVOD NA UCET	756	44107	SIPO	CD	27690512
3314839	11013	1998-11-10	VYDAJ	PREVOD NA UCET	756	43593	SIPO	CD	27690512
3314840	11013	1998-12-10	VYDAJ	PREVOD NA UCET	756	50872	SIPO	CD	27690512
3314847	11013	1993-07-14	VYDAJ	PREVOD NA UCET	9499	41993	 	IJ	43103534
3314848	11013	1993-08-14	VYDAJ	PREVOD NA UCET	9499	45660	 	IJ	43103534
3314849	11013	1993-09-14	VYDAJ	PREVOD NA UCET	9499	64523	 	IJ	43103534
3314850	11013	1993-10-14	VYDAJ	PREVOD NA UCET	9499	73633	 	IJ	43103534
3314851	11013	1993-11-14	VYDAJ	PREVOD NA UCET	9499	71996	 	IJ	43103534
3314852	11013	1993-12-14	VYDAJ	PREVOD NA UCET	9499	79718	 	IJ	43103534
3314853	11013	1994-01-14	VYDAJ	PREVOD NA UCET	9499	28569	 	IJ	43103534
3314854	11013	1994-02-14	VYDAJ	PREVOD NA UCET	9499	48774	 	IJ	43103534
3314855	11013	1994-03-14	VYDAJ	PREVOD NA UCET	9499	57558	 	IJ	43103534
3314856	11013	1994-04-14	VYDAJ	PREVOD NA UCET	9499	68057	 	IJ	43103534
3314857	11013	1994-05-14	VYDAJ	PREVOD NA UCET	9499	50742	 	IJ	43103534
3314858	11013	1994-06-14	VYDAJ	PREVOD NA UCET	9499	81527	 	IJ	43103534
3314859	11013	1994-07-14	VYDAJ	PREVOD NA UCET	9499	50125	 	IJ	43103534
3314860	11013	1994-08-14	VYDAJ	PREVOD NA UCET	9499	55934	 	IJ	43103534
3314861	11013	1994-09-14	VYDAJ	PREVOD NA UCET	9499	56191	 	IJ	43103534
3314862	11013	1994-10-14	VYDAJ	PREVOD NA UCET	9499	60911	 	IJ	43103534
3314863	11013	1994-11-14	VYDAJ	PREVOD NA UCET	9499	53589	 	IJ	43103534
3314864	11013	1994-12-14	VYDAJ	PREVOD NA UCET	9499	75494	 	IJ	43103534
3314865	11013	1995-01-14	VYDAJ	PREVOD NA UCET	9499	64721	 	IJ	43103534
3314866	11013	1995-02-14	VYDAJ	PREVOD NA UCET	9499	65635	 	IJ	43103534
3314867	11013	1995-03-14	VYDAJ	PREVOD NA UCET	9499	69529	 	IJ	43103534
3314868	11013	1995-04-14	VYDAJ	PREVOD NA UCET	9499	73150	 	IJ	43103534
3314869	11013	1995-05-14	VYDAJ	PREVOD NA UCET	9499	77609	 	IJ	43103534
3314870	11013	1995-06-14	VYDAJ	PREVOD NA UCET	9499	40017	 	IJ	43103534
3314871	11013	1995-07-14	VYDAJ	PREVOD NA UCET	9499	63724	 	IJ	43103534
3314872	11013	1995-08-14	VYDAJ	PREVOD NA UCET	9499	72929	 	IJ	43103534
3314873	11013	1995-09-14	VYDAJ	PREVOD NA UCET	9499	70880	 	IJ	43103534
3314874	11013	1995-10-14	VYDAJ	PREVOD NA UCET	9499	74121	 	IJ	43103534
3314875	11013	1995-11-14	VYDAJ	PREVOD NA UCET	9499	65542	 	IJ	43103534
3314876	11013	1995-12-14	VYDAJ	PREVOD NA UCET	9499	96398	 	IJ	43103534
3314877	11013	1996-01-14	VYDAJ	PREVOD NA UCET	9499	78315	 	IJ	43103534
3314878	11013	1996-02-14	VYDAJ	PREVOD NA UCET	9499	76496	 	IJ	43103534
3314879	11013	1996-03-14	VYDAJ	PREVOD NA UCET	9499	84546	 	IJ	43103534
3314880	11013	1996-04-14	VYDAJ	PREVOD NA UCET	9499	87654	 	IJ	43103534
3314881	11013	1996-05-14	VYDAJ	PREVOD NA UCET	9499	92345	 	IJ	43103534
3314882	11013	1996-06-14	VYDAJ	PREVOD NA UCET	9499	51175	 	IJ	43103534
3314883	11013	1996-07-14	VYDAJ	PREVOD NA UCET	9499	63785	 	IJ	43103534
3314884	11013	1996-08-14	VYDAJ	PREVOD NA UCET	9499	61683	 	IJ	43103534
3314885	11013	1996-09-14	VYDAJ	PREVOD NA UCET	9499	80693	 	IJ	43103534
3314886	11013	1996-10-14	VYDAJ	PREVOD NA UCET	9499	64345	 	IJ	43103534
3314887	11013	1996-11-14	VYDAJ	PREVOD NA UCET	9499	75838	 	IJ	43103534
3314888	11013	1996-12-14	VYDAJ	PREVOD NA UCET	9499	77889	 	IJ	43103534
3314889	11013	1997-01-14	VYDAJ	PREVOD NA UCET	9499	52800	 	IJ	43103534
3314890	11013	1997-02-14	VYDAJ	PREVOD NA UCET	9499	62781	 	IJ	43103534
3314891	11013	1997-03-14	VYDAJ	PREVOD NA UCET	9499	80862	 	IJ	43103534
3314892	11013	1997-04-14	VYDAJ	PREVOD NA UCET	9499	78596	 	IJ	43103534
3314893	11013	1997-05-14	VYDAJ	PREVOD NA UCET	9499	83431	 	IJ	43103534
3314894	11013	1997-06-14	VYDAJ	PREVOD NA UCET	9499	99108	 	IJ	43103534
3314895	11013	1997-07-14	VYDAJ	PREVOD NA UCET	9499	98885	 	IJ	43103534
3314896	11013	1997-08-14	VYDAJ	PREVOD NA UCET	9499	98690	 	IJ	43103534
3314897	11013	1997-09-14	VYDAJ	PREVOD NA UCET	9499	95052	 	IJ	43103534
3314898	11013	1997-10-14	VYDAJ	PREVOD NA UCET	9499	56666	 	IJ	43103534
3314899	11013	1997-11-14	VYDAJ	PREVOD NA UCET	9499	58860	 	IJ	43103534
3314900	11013	1997-12-14	VYDAJ	PREVOD NA UCET	9499	100346	 	IJ	43103534
3314901	11013	1998-01-14	VYDAJ	PREVOD NA UCET	9499	68305	 	IJ	43103534
3314902	11013	1998-02-14	VYDAJ	PREVOD NA UCET	9499	68394	 	IJ	43103534
3314903	11013	1998-03-14	VYDAJ	PREVOD NA UCET	9499	81180	 	IJ	43103534
3314904	11013	1998-04-14	VYDAJ	PREVOD NA UCET	9499	89316	 	IJ	43103534
3314905	11013	1998-05-14	VYDAJ	PREVOD NA UCET	9499	82069	 	IJ	43103534
3314906	11013	1998-06-14	VYDAJ	PREVOD NA UCET	9499	103121	 	IJ	43103534
3314907	11013	1998-07-14	VYDAJ	PREVOD NA UCET	9499	97382	 	IJ	43103534
3314908	11013	1998-08-14	VYDAJ	PREVOD NA UCET	9499	70268	 	IJ	43103534
3314909	11013	1998-09-14	VYDAJ	PREVOD NA UCET	9499	64699	 	IJ	43103534
3314910	11013	1998-10-14	VYDAJ	PREVOD NA UCET	9499	76852	 	IJ	43103534
3314911	11013	1998-11-14	VYDAJ	PREVOD NA UCET	9499	72438	 	IJ	43103534
3314912	11013	1998-12-14	VYDAJ	PREVOD NA UCET	9499	92339	 	IJ	43103534
3314915	11013	1993-12-20	VYBER	VYBER	24743	51375	\N	\N	\N
3314916	11013	1993-12-23	VYBER	VYBER	9785	41590	\N	\N	\N
3314918	11013	1993-12-06	VYBER	VYBER	17069	55179	\N	\N	\N
3314922	11013	1993-12-10	VYBER	VYBER	16893	38286	\N	\N	\N
3314924	11013	1994-05-24	VYBER	VYBER	9708	41034	\N	\N	\N
3314925	11013	1994-10-03	VYBER	VYBER	13576	39701	\N	\N	\N
3314926	11013	1994-07-14	VYBER	VYBER	23441	59624	\N	\N	\N
3314927	11013	1994-07-28	VYBER	VYBER	14191	35934	\N	\N	\N
3314928	11013	1994-09-30	VYBER	VYBER	3109	53307	\N	\N	\N
3314929	11013	1994-05-11	VYBER	VYBER	12421	22576	\N	\N	\N
3314930	11013	1994-08-02	VYBER	VYBER	8216	27924	\N	\N	\N
3314932	11013	1994-11-29	VYBER	VYBER	11502	42087	\N	\N	\N
3314933	11013	1994-01-13	VYBER	VYBER	17547	41668	\N	\N	\N
3314934	11013	1994-04-23	VYBER	VYBER	18612	49445	\N	\N	\N
3314935	11013	1994-03-03	VYBER	VYBER	19650	29248	\N	\N	\N
3314936	11013	1994-09-12	VYBER	VYBER	9519	28025	\N	\N	\N
3314937	11013	1995-12-10	VYBER	VYBER	3379	47866	\N	\N	\N
3314938	11013	1995-09-04	VYBER	VYBER	7610	43470	\N	\N	\N
3314939	11013	1995-10-29	VYBER	VYBER	20502	43719	\N	\N	\N
3314940	11013	1996-12-03	VYBER	VYBER	13444	34157	\N	\N	\N
3314941	11013	1996-09-30	VYBER	VYBER	24499	36965	\N	\N	\N
3314942	11013	1996-11-15	VYBER	VYBER	20921	54917	\N	\N	\N
3314944	11013	1996-10-24	VYBER	VYBER	14391	49954	\N	\N	\N
3314946	11013	1996-08-11	VYBER	VYBER	16399	33517	\N	\N	\N
3314947	11013	1997-09-26	VYBER	VYBER	14184	52668	\N	\N	\N
3314948	11013	1997-08-16	VYBER	VYBER	4834	93856	\N	\N	\N
3314949	11013	1997-01-11	VYBER	VYBER	3800	37834	\N	\N	\N
3314950	11013	1997-10-30	VYBER	VYBER	17992	31274	\N	\N	\N
3314951	11013	1997-03-25	VYBER	VYBER	23712	57150	\N	\N	\N
3314952	11013	1997-10-12	VYBER	VYBER	23674	28500	\N	\N	\N
3314954	11013	1998-09-10	VYBER	VYBER	10423	32710	\N	\N	\N
3314955	11013	1998-07-27	VYBER	VYBER	11566	42616	\N	\N	\N
3314957	11013	1993-12-17	VYDAJ	VYBER	3600	76118	\N	\N	\N
3314958	11013	1994-12-01	VYDAJ	VYBER	4800	37462	\N	\N	\N
3314959	11013	1995-12-18	VYDAJ	VYBER KARTOU	3600	92798	\N	\N	0
3314960	11013	1996-12-04	VYDAJ	VYBER	4800	29357	\N	\N	\N
3314961	11013	1997-12-27	VYDAJ	VYBER	8700	61046	\N	\N	\N
3314962	11013	1998-12-14	VYDAJ	VYBER	7500	84839	\N	\N	\N
3314969	11013	1994-01-13	VYDAJ	VYBER	3600	38068	\N	\N	\N
3314970	11013	1994-01-28	VYDAJ	VYBER	3000	21369	\N	\N	\N
3314971	11013	1994-01-19	VYDAJ	VYBER	4200	24369	\N	\N	\N
3314972	11013	1994-01-01	VYDAJ	VYBER	6000	35806	\N	\N	\N
3314973	11013	1994-01-12	VYDAJ	VYBER	4800	16971	\N	\N	\N
3314974	11013	1994-01-09	VYDAJ	VYBER	4800	31006	\N	\N	\N
3314975	11013	1995-01-26	VYDAJ	VYBER	5400	54521	\N	\N	\N
3314976	11013	1995-01-28	VYDAJ	VYBER	3000	51521	\N	\N	\N
3314977	11013	1995-01-01	VYDAJ	VYBER	3600	72111	\N	\N	\N
3314978	11013	1995-01-12	VYDAJ	VYBER	5700	31976	\N	\N	\N
3314979	11013	1995-01-23	VYDAJ	VYBER	4800	59921	\N	\N	\N
3314980	11013	1995-01-02	VYDAJ	VYBER	8400	63711	\N	\N	\N
3314981	11013	1996-01-19	VYDAJ	VYBER	5400	72915	\N	\N	\N
3314982	11013	1996-01-19	VYDAJ	VYBER KARTOU	3300	69615	\N	\N	0
3314983	11013	1996-01-13	VYDAJ	VYBER	6000	87814	\N	\N	\N
3314984	11013	1996-01-07	VYDAJ	VYBER	8700	56905	\N	\N	\N
3314985	11013	1996-01-20	VYDAJ	VYBER	5400	64215	\N	\N	\N
3314986	11013	1996-01-20	VYDAJ	VYBER	4500	59715	\N	\N	\N
3314987	11013	1997-01-13	VYDAJ	VYBER KARTOU	3900	71599	\N	\N	0
3314988	11013	1997-01-23	VYDAJ	VYBER KARTOU	2100	50700	\N	\N	0
3314989	11013	1997-01-14	VYDAJ	VYBER	6600	62299	\N	\N	\N
3314990	11013	1997-01-04	VYDAJ	VYBER	6900	51090	\N	\N	\N
3314991	11013	1997-01-13	VYDAJ	VYBER KARTOU	2700	68899	\N	\N	0
3314992	11013	1997-01-05	VYDAJ	VYBER	8700	42390	\N	\N	\N
3314994	11013	1998-01-03	VYDAJ	VYBER	8700	52595	\N	\N	\N
3314995	11013	1998-01-16	VYDAJ	VYBER	6300	62005	\N	\N	\N
3314996	11013	1998-01-18	VYDAJ	VYBER	6600	46705	\N	\N	\N
3314997	11013	1998-01-10	VYDAJ	VYBER	4800	47795	\N	\N	\N
3314998	11013	1998-01-13	VYDAJ	VYBER	6900	77804	\N	\N	\N
3314999	11013	1993-10-09	VYDAJ	VYBER	5700	59023	\N	\N	\N
3315002	11013	1993-10-28	VYDAJ	VYBER	9600	64033	\N	\N	\N
3315005	11013	1994-11-13	VYDAJ	VYBER	8100	63088	\N	\N	\N
3315006	11013	1994-12-06	VYDAJ	VYBER	5100	26962	\N	\N	\N
3315007	11013	1994-10-17	VYDAJ	VYBER	13500	47411	\N	\N	\N
3315009	11013	1994-06-15	VYDAJ	VYBER	4500	77027	\N	\N	\N
3315010	11013	1994-07-11	VYDAJ	VYBER	3600	45400	\N	\N	\N
3315011	11013	1995-10-02	VYDAJ	VYBER	10200	46711	\N	\N	\N
3315012	11013	1995-10-20	VYDAJ	VYBER	9900	64221	\N	\N	\N
3315013	11013	1995-03-16	VYDAJ	VYBER	7800	61729	\N	\N	\N
3315014	11013	1995-02-15	VYDAJ	VYBER	13500	52135	\N	\N	\N
3315016	11013	1996-06-26	VYDAJ	VYBER	9600	41575	\N	\N	\N
3315017	11013	1996-07-22	VYDAJ	VYBER	6000	57785	\N	\N	\N
3315018	11013	1996-07-02	VYDAJ	VYBER	6600	36375	\N	\N	\N
3315019	11013	1996-08-04	VYDAJ	VYBER KARTOU	3000	50672	\N	\N	0
3315020	11013	1996-06-08	VYDAJ	VYBER	13800	52143	\N	\N	\N
3315021	11013	1997-07-14	VYDAJ	VYBER KARTOU	3900	94985	\N	\N	0
3315022	11013	1997-09-19	VYDAJ	VYBER	14400	80652	\N	\N	\N
3315025	11013	1997-01-30	VYDAJ	VYBER	14400	35200	\N	\N	\N
3315026	11013	1997-05-30	VYDAJ	VYBER	13800	50331	\N	\N	\N
3315027	11013	1997-04-24	VYDAJ	VYBER	6300	55796	\N	\N	\N
3315028	11013	1998-05-09	VYDAJ	VYBER	6300	54659	\N	\N	\N
3315029	11013	1998-11-13	VYDAJ	VYBER KARTOU	3900	81937	\N	\N	0
3315030	11013	1998-07-26	VYDAJ	VYBER	6600	54182	\N	\N	\N
3315031	11013	1998-07-17	VYDAJ	VYBER	4800	92582	\N	\N	\N
3315032	11013	1998-11-09	VYDAJ	VYBER	14400	44349	\N	\N	\N
3315033	11013	1998-12-13	VYDAJ	VYBER	8100	101838	\N	\N	\N
3315041	11013	1993-07-31	VYDAJ	VYBER	30	42171	SLUZBY	\N	\N
3315042	11013	1993-08-31	VYDAJ	VYBER	30	41113	SLUZBY	\N	\N
3315043	11013	1993-09-30	VYDAJ	VYBER	30	64723	SLUZBY	\N	\N
3315044	11013	1993-10-31	VYDAJ	VYBER	30	64286	SLUZBY	\N	\N
3315045	11013	1993-11-30	VYDAJ	VYBER	30	72248	SLUZBY	\N	\N
3315046	11013	1993-12-31	VYDAJ	VYBER	30	41806	SLUZBY	\N	\N
3315047	11013	1994-01-31	VYDAJ	VYBER	30	21464	SLUZBY	\N	\N
3315048	11013	1994-02-28	VYDAJ	VYBER	30	48898	SLUZBY	\N	\N
3315049	11013	1994-03-31	VYDAJ	VYBER	30	57747	SLUZBY	\N	\N
3315050	11013	1994-04-30	VYDAJ	VYBER	30	49653	SLUZBY	\N	\N
3315051	11013	1994-05-31	VYDAJ	VYBER	30	41195	SLUZBY	\N	\N
3315052	11013	1994-06-30	VYDAJ	VYBER	30	77256	SLUZBY	\N	\N
3315053	11013	1994-07-31	VYDAJ	VYBER	30	36140	SLUZBY	\N	\N
3315054	11013	1994-08-31	VYDAJ	VYBER	30	56100	SLUZBY	\N	\N
3315055	11013	1994-09-30	VYDAJ	VYBER	30	53277	SLUZBY	\N	\N
3315056	11013	1994-10-31	VYDAJ	VYBER	30	47579	SLUZBY	\N	\N
3315057	11013	1994-11-30	VYDAJ	VYBER	30	42262	SLUZBY	\N	\N
3315058	11013	1994-12-31	VYDAJ	VYBER	30	75711	SLUZBY	\N	\N
3315059	11013	1995-01-31	VYDAJ	VYBER	30	51725	SLUZBY	\N	\N
3315060	11013	1995-02-28	VYDAJ	VYBER	30	52319	SLUZBY	\N	\N
3315061	11013	1995-03-31	VYDAJ	VYBER	30	61940	SLUZBY	\N	\N
3315062	11013	1995-04-30	VYDAJ	VYBER	30	73399	SLUZBY	\N	\N
3315063	11013	1995-05-31	VYDAJ	VYBER	30	77885	SLUZBY	\N	\N
3315064	11013	1995-06-30	VYDAJ	VYBER	30	40214	SLUZBY	\N	\N
3315065	11013	1995-07-31	VYDAJ	VYBER	30	63919	SLUZBY	\N	\N
3315066	11013	1995-08-31	VYDAJ	VYBER	30	73180	SLUZBY	\N	\N
3315067	11013	1995-09-30	VYDAJ	VYBER	30	71111	SLUZBY	\N	\N
3315068	11013	1995-10-31	VYDAJ	VYBER	30	43932	SLUZBY	\N	\N
3315069	11013	1995-11-30	VYDAJ	VYBER	30	65745	SLUZBY	\N	\N
3315070	11013	1995-12-31	VYDAJ	VYBER	30	93105	SLUZBY	\N	\N
3315071	11013	1996-01-31	VYDAJ	VYBER	30	49086	SLUZBY	\N	\N
3315072	11013	1996-02-29	VYDAJ	VYBER	30	76736	SLUZBY	\N	\N
3315073	11013	1996-03-31	VYDAJ	VYBER	30	60244	SLUZBY	\N	\N
3315074	11013	1996-04-30	VYDAJ	VYBER	30	64935	SLUZBY	\N	\N
3315075	11013	1996-05-31	VYDAJ	VYBER	30	65943	SLUZBY	\N	\N
3315076	11013	1996-06-30	VYDAJ	VYBER	30	42975	SLUZBY	\N	\N
3315077	11013	1996-07-31	VYDAJ	VYBER	30	53672	SLUZBY	\N	\N
3315078	11013	1996-08-31	VYDAJ	VYBER	30	53283	SLUZBY	\N	\N
3315079	11013	1996-09-30	VYDAJ	VYBER	30	36935	SLUZBY	\N	\N
3315080	11013	1996-10-31	VYDAJ	VYBER	30	48428	SLUZBY	\N	\N
3315081	11013	1996-11-30	VYDAJ	VYBER	30	47601	SLUZBY	\N	\N
3315082	11013	1996-12-31	VYDAJ	VYBER	30	57990	SLUZBY	\N	\N
3315083	11013	1997-01-31	VYDAJ	VYBER	30	35371	SLUZBY	\N	\N
3315084	11013	1997-02-28	VYDAJ	VYBER	30	53452	SLUZBY	\N	\N
3315085	11013	1997-03-31	VYDAJ	VYBER	30	51186	SLUZBY	\N	\N
3315086	11013	1997-04-30	VYDAJ	VYBER	30	56021	SLUZBY	\N	\N
3315087	11013	1997-05-31	VYDAJ	VYBER	30	50576	SLUZBY	\N	\N
3315088	11013	1997-06-30	VYDAJ	VYBER	30	71475	SLUZBY	\N	\N
3315089	11013	1997-07-31	VYDAJ	VYBER	30	71280	SLUZBY	\N	\N
3315090	11013	1997-08-31	VYDAJ	VYBER	30	67642	SLUZBY	\N	\N
3315091	11013	1997-09-30	VYDAJ	VYBER	30	52930	SLUZBY	\N	\N
3315092	11013	1997-10-31	VYDAJ	VYBER	30	31450	SLUZBY	\N	\N
3315093	11013	1997-11-30	VYDAJ	VYBER	30	51814	SLUZBY	\N	\N
3315094	11013	1997-12-31	VYDAJ	VYBER	30	61295	SLUZBY	\N	\N
3315095	11013	1998-01-31	VYDAJ	VYBER	30	40984	SLUZBY	\N	\N
3315096	11013	1998-02-28	VYDAJ	VYBER	30	53770	SLUZBY	\N	\N
3315097	11013	1998-03-31	VYDAJ	VYBER	30	61906	SLUZBY	\N	\N
3315098	11013	1998-04-30	VYDAJ	VYBER	30	60959	SLUZBY	\N	\N
3315099	11013	1998-05-31	VYDAJ	VYBER	30	54589	SLUZBY	\N	\N
3315100	11013	1998-06-30	VYDAJ	VYBER	30	69972	SLUZBY	\N	\N
3315101	11013	1998-07-31	VYDAJ	VYBER	30	42858	SLUZBY	\N	\N
3315102	11013	1998-08-31	VYDAJ	VYBER	30	47433	SLUZBY	\N	\N
3315103	11013	1998-09-30	VYDAJ	VYBER	30	48863	SLUZBY	\N	\N
3315104	11013	1998-10-31	VYDAJ	VYBER	30	58749	SLUZBY	\N	\N
3315105	11013	1998-11-30	VYDAJ	VYBER	30	51628	SLUZBY	\N	\N
3315106	11013	1993-03-16	VYDAJ	VYBER	7000	35844	\N	\N	\N
3315107	11013	1993-04-15	VYDAJ	VYBER	26300	51865	\N	\N	\N
3315108	11013	1993-05-15	VYDAJ	VYBER	35000	59294	\N	\N	\N
3315109	11013	1993-06-13	VYDAJ	VYBER	30000	92893	\N	\N	\N
3315110	11013	1993-06-14	VYDAJ	VYBER	32300	60593	\N	\N	\N
3315111	11013	1993-07-13	VYDAJ	VYBER	36700	66392	\N	\N	\N
3315112	11013	1993-07-14	VYDAJ	VYBER	14900	51492	\N	\N	\N
3315113	11013	1993-08-13	VYDAJ	VYBER	28500	55159	\N	\N	\N
3315114	11013	1993-09-12	VYDAJ	VYBER	4000	31778	\N	\N	\N
3315115	11013	1993-10-12	VYDAJ	VYBER	12800	40888	\N	\N	\N
3315116	11013	1993-11-11	VYDAJ	VYBER	19700	43830	\N	\N	\N
3315117	11013	1993-12-11	VYDAJ	VYBER	7100	30430	\N	\N	\N
3315118	11013	1994-01-10	VYDAJ	VYBER	3900	26350	\N	\N	\N
3315119	11013	1994-02-09	VYDAJ	VYBER	100	21364	\N	\N	\N
3315120	11013	1994-03-11	PRIJEM	VKLAD	900	29392	\N	\N	\N
3315121	11013	1994-04-10	VYDAJ	VYBER	17100	40647	\N	\N	\N
3315122	11013	1994-05-10	VYDAJ	VYBER	13900	35753	\N	\N	\N
3315123	11013	1994-06-09	VYDAJ	VYBER	8200	32995	\N	\N	\N
3315124	11013	1994-07-09	VYDAJ	VYBER	27500	49756	\N	\N	\N
3315125	11013	1994-08-08	PRIJEM	VKLAD	600	28524	\N	\N	\N
3315126	11013	1994-09-07	VYDAJ	VYBER	17800	38300	\N	\N	\N
3315127	11013	1994-10-07	VYDAJ	VYBER	6200	33501	\N	\N	\N
3315128	11013	1994-11-06	VYDAJ	VYBER	13300	34279	\N	\N	\N
3315129	11013	1994-12-06	VYDAJ	VYBER	5400	32062	\N	\N	\N
3315130	11013	1995-01-05	VYDAJ	VYBER	20700	43011	\N	\N	\N
3315131	11013	1995-02-04	VYDAJ	VYBER	13500	38225	\N	\N	\N
3315132	11013	1995-03-06	VYDAJ	VYBER	10200	42119	\N	\N	\N
3315133	11013	1995-04-05	VYDAJ	VYBER	16200	45740	\N	\N	\N
3315134	11013	1995-05-05	VYDAJ	VYBER	23200	50199	\N	\N	\N
3315135	11013	1995-06-04	VYDAJ	VYBER	25500	52385	\N	\N	\N
3315136	11013	1995-06-13	VYDAJ	VYBER	60900	49516	\N	\N	\N
3315137	11013	1995-07-04	VYDAJ	VYBER KARTOU	3900	36314	\N	\N	0
3315138	11013	1995-08-03	VYDAJ	VYBER	18400	45519	\N	\N	\N
3315139	11013	1995-09-02	VYDAJ	VYBER	22100	51080	\N	\N	\N
3315140	11013	1995-10-02	VYDAJ	VYBER	14200	56911	\N	\N	\N
3315141	11013	1995-11-01	VYDAJ	VYBER	5800	38132	\N	\N	\N
3315142	11013	1995-12-01	VYDAJ	VYBER	14500	51245	\N	\N	\N
3315143	11013	1995-12-31	VYDAJ	VYBER	27500	65605	\N	\N	\N
3315144	11013	1996-01-30	VYDAJ	VYBER	10900	48815	\N	\N	\N
3315145	11013	1996-02-29	VYDAJ	VYBER	19600	57136	\N	\N	\N
3315146	11013	1996-03-30	VYDAJ	VYBER	24600	59946	\N	\N	\N
3315147	11013	1996-04-29	VYDAJ	VYBER	23000	64654	\N	\N	\N
3315148	11013	1996-05-29	VYDAJ	VYBER	26700	65645	\N	\N	\N
3315149	11013	1996-06-13	VYDAJ	VYBER	49500	60674	\N	\N	\N
3315150	11013	1996-06-28	PRIJEM	VKLAD	1200	42775	\N	\N	\N
3315151	11013	1996-07-28	VYDAJ	VYBER	4300	53485	\N	\N	\N
3315152	11013	1996-08-27	VYDAJ	VYBER	8600	53083	\N	\N	\N
3315153	11013	1996-09-26	VYDAJ	VYBER	19500	61193	\N	\N	\N
3315154	11013	1996-10-26	VYDAJ	VYBER KARTOU	1700	48254	\N	\N	0
3315155	11013	1996-11-25	VYDAJ	VYBER	7500	47417	\N	\N	\N
3315156	11013	1996-12-25	VYDAJ	VYBER	20100	57789	\N	\N	\N
3315157	11013	1997-01-24	VYDAJ	VYBER KARTOU	1100	49600	\N	\N	0
3315158	11013	1997-02-23	VYDAJ	VYBER	9500	53281	\N	\N	\N
3315159	11013	1997-03-25	VYDAJ	VYBER	6200	50950	\N	\N	\N
3315160	11013	1997-04-24	VYDAJ	VYBER	16500	62096	\N	\N	\N
3315161	11013	1997-05-24	VYDAJ	VYBER	19300	64131	\N	\N	\N
3315162	11013	1997-06-23	VYDAJ	VYBER	27900	71208	\N	\N	\N
3315163	11013	1997-07-23	VYDAJ	VYBER	24000	70985	\N	\N	\N
3315164	11013	1997-08-22	VYDAJ	VYBER	26500	67356	\N	\N	\N
3315165	11013	1997-09-21	VYDAJ	VYBER	13800	66852	\N	\N	\N
3315166	11013	1997-10-21	VYDAJ	VYBER	7400	49266	\N	\N	\N
3315167	11013	1997-11-20	VYDAJ	VYBER	7200	51660	\N	\N	\N
3315168	11013	1997-12-20	VYDAJ	VYBER	30600	69746	\N	\N	\N
3315169	11013	1998-01-19	VYDAJ	VYBER	5900	40805	\N	\N	\N
3315170	11013	1998-02-18	VYDAJ	VYBER	14800	53594	\N	\N	\N
3315171	11013	1998-03-20	VYDAJ	VYBER	19500	61680	\N	\N	\N
3315172	11013	1998-04-19	VYDAJ	VYBER	28600	60716	\N	\N	\N
3315173	11013	1998-05-19	VYDAJ	VYBER	27700	54369	\N	\N	\N
3315174	11013	1998-06-18	VYDAJ	VYBER	33400	69721	\N	\N	\N
3315175	11013	1998-07-18	VYDAJ	VYBER	31800	60782	\N	\N	\N
3315176	11013	1998-08-17	VYDAJ	VYBER	23000	47268	\N	\N	\N
3315177	11013	1998-09-16	VYDAJ	VYBER	16000	48699	\N	\N	\N
3315178	11013	1998-10-16	VYDAJ	VYBER	18300	58552	\N	\N	\N
3315179	11013	1998-11-15	VYDAJ	VYBER	15400	57038	\N	\N	\N
3317635	11021	1993-08-10	PRIJEM	VKLAD	900	900	\N	\N	\N
3317636	11021	1993-12-17	PRIJEM	VKLAD	11589	46422	\N	\N	\N
3317637	11021	1993-08-22	PRIJEM	VKLAD	31770	32670	\N	\N	\N
3317640	11021	1993-09-06	PRIJEM	VKLAD	22056	70597	\N	\N	\N
3317644	11021	1993-09-14	PRIJEM	VKLAD	14191	102674	\N	\N	\N
3317645	11021	1993-10-14	PRIJEM	VKLAD	33128	78933	\N	\N	\N
3317648	11021	1993-09-03	PRIJEM	VKLAD	15788	48541	\N	\N	\N
3317650	11021	1993-09-12	PRIJEM	VKLAD	40286	88483	\N	\N	\N
3317653	11021	1993-12-03	PRIJEM	VKLAD	46783	95588	\N	\N	\N
3317655	11021	1993-10-08	PRIJEM	VKLAD	11297	64305	\N	\N	\N
3317659	11021	1993-12-07	PRIJEM	VKLAD	6845	102433	\N	\N	\N
3317660	11021	1993-11-02	PRIJEM	VKLAD	8669	113829	\N	\N	\N
3317661	11021	1993-10-27	PRIJEM	VKLAD	46191	104524	\N	\N	\N
3317662	11021	1993-10-02	PRIJEM	VKLAD	11329	108208	\N	\N	\N
3317665	11021	1994-03-17	PRIJEM	VKLAD	11701	49192	\N	\N	\N
3317666	11021	1994-01-31	PRIJEM	VKLAD	46105	65872	\N	\N	\N
3317667	11021	1994-11-27	PRIJEM	VKLAD	45453	97324	\N	\N	\N
3317668	11021	1994-03-31	PRIJEM	VKLAD	14502	55566	\N	\N	\N
3317669	11021	1994-01-29	PRIJEM	VKLAD	27711	27193	\N	\N	\N
3317670	11021	1994-04-02	PRIJEM	VKLAD	49960	97911	\N	\N	\N
3317671	11021	1994-07-21	PRIJEM	VKLAD	33085	91419	\N	\N	\N
3317672	11021	1994-04-11	PRIJEM	VKLAD	19602	81613	\N	\N	\N
3317673	11021	1994-07-01	PRIJEM	VKLAD	41309	72124	\N	\N	\N
3317674	11021	1994-05-31	PRIJEM	VKLAD	16650	78586	\N	\N	\N
3317675	11021	1994-06-01	PRIJEM	VKLAD	42004	120806	\N	\N	\N
3317676	11021	1994-10-30	PRIJEM	VKLAD	43314	87840	\N	\N	\N
3317677	11021	1994-06-03	PRIJEM	VKLAD	15693	91199	\N	\N	\N
3317678	11021	1994-02-24	PRIJEM	VKLAD	19935	71034	\N	\N	\N
3317679	11021	1994-09-29	PRIJEM	VKLAD	16069	77578	\N	\N	\N
3317680	11021	1994-02-03	PRIJEM	VKLAD	30375	96299	\N	\N	\N
3317681	11021	1994-07-05	PRIJEM	VKLAD	38510	99034	\N	\N	\N
3317682	11021	1994-05-16	PRIJEM	VKLAD	38657	61716	\N	\N	\N
3317683	11021	1994-09-25	PRIJEM	VKLAD	34844	61509	\N	\N	\N
3317684	11021	1995-07-17	PRIJEM	VKLAD	42257	80716	\N	\N	\N
3317685	11021	1995-06-05	PRIJEM	VKLAD	32785	94246	\N	\N	\N
3317686	11021	1995-05-11	PRIJEM	VKLAD	41941	97431	\N	\N	\N
3317687	11021	1995-11-01	PRIJEM	VKLAD	6495	50157	\N	\N	\N
3317688	11021	1995-08-09	PRIJEM	VKLAD	44329	98674	\N	\N	\N
3317689	11021	1995-03-08	PRIJEM	VKLAD	18963	43267	\N	\N	\N
3317690	11021	1995-08-17	PRIJEM	VKLAD	30266	86183	\N	\N	\N
3317691	11021	1995-08-23	PRIJEM	VKLAD	15897	102080	\N	\N	\N
3317692	11021	1995-03-09	PRIJEM	VKLAD	34249	77516	\N	\N	\N
3317693	11021	1995-03-18	PRIJEM	VKLAD	20921	79345	\N	\N	\N
3317694	11021	1995-04-16	PRIJEM	VKLAD	27015	74754	\N	\N	\N
3317695	11021	1996-08-26	PRIJEM	VKLAD	10885	84608	\N	\N	\N
3317696	11021	1996-03-20	PRIJEM	VKLAD	17958	56344	\N	\N	\N
3317697	11021	1996-10-28	PRIJEM	VKLAD	32450	94128	\N	\N	\N
3317698	11021	1996-07-25	PRIJEM	VKLAD	12908	43961	\N	\N	\N
3317699	11021	1996-12-15	PRIJEM	VKLAD	39764	82769	\N	\N	\N
3317700	11021	1996-07-28	PRIJEM	VKLAD	13538	57499	\N	\N	\N
3317701	11021	1996-08-16	PRIJEM	VKLAD	43694	99823	\N	\N	\N
3317702	11021	1996-02-25	PRIJEM	VKLAD	33285	43639	\N	\N	\N
3317703	11021	1996-09-17	PRIJEM	VKLAD	35816	106046	\N	\N	\N
3317704	11021	1996-10-17	PRIJEM	VKLAD	46961	120078	\N	\N	\N
3317705	11021	1996-04-07	PRIJEM	VKLAD	20056	72636	\N	\N	\N
3317706	11021	1996-08-02	PRIJEM	VKLAD	5515	63170	\N	\N	\N
3317707	11021	1997-10-27	PRIJEM	VKLAD	34557	96578	\N	\N	\N
3317708	11021	1997-10-18	PRIJEM	VKLAD	25976	70721	\N	\N	\N
3317709	11021	1997-03-15	PRIJEM	VKLAD	48072	82567	\N	\N	\N
3317710	11021	1998-08-05	PRIJEM	VKLAD	49413	134851	\N	\N	\N
3317711	11021	1998-11-11	PRIJEM	VKLAD	47074	151673	\N	\N	\N
3317712	11021	1998-03-25	PRIJEM	VKLAD	45766	118644	\N	\N	\N
3317713	11021	1998-06-08	PRIJEM	VKLAD	9177	73398	\N	\N	\N
3317714	11021	1998-11-28	PRIJEM	VKLAD	19012	114485	\N	\N	\N
3317715	11021	1998-06-22	PRIJEM	VKLAD	32264	84784	\N	\N	\N
3317716	11021	1998-06-14	PRIJEM	VKLAD	36622	101920	\N	\N	\N
3317717	11021	1998-12-09	PRIJEM	VKLAD	9188	124377	\N	\N	\N
3317718	11021	1998-01-28	PRIJEM	VKLAD	39897	64714	\N	\N	\N
3317719	11021	1998-06-27	PRIJEM	VKLAD	47299	165293	\N	\N	\N
3317720	11021	1998-04-25	PRIJEM	VKLAD	10614	97519	\N	\N	\N
3317721	11021	1998-06-26	PRIJEM	VKLAD	33210	117994	\N	\N	\N
3317722	11021	1998-02-17	PRIJEM	VKLAD	13914	67163	\N	\N	\N
3317723	11021	1998-04-16	PRIJEM	VKLAD	18812	105905	\N	\N	\N
3317724	11021	1998-05-02	PRIJEM	VKLAD	27443	125483	\N	\N	\N
3317725	11021	1998-10-01	PRIJEM	VKLAD	33541	103342	\N	\N	\N
3317726	11021	1998-03-14	PRIJEM	VKLAD	6741	66778	\N	\N	\N
3317727	11021	1998-12-24	PRIJEM	VKLAD	42890	160348	\N	\N	\N
3317728	11021	1998-05-13	PRIJEM	VKLAD	6886	95531	\N	\N	\N
3317729	11021	1998-05-15	PRIJEM	VKLAD	8181	103712	\N	\N	\N
3317730	11021	1998-12-22	PRIJEM	VKLAD	45381	117458	\N	\N	\N
3317731	11021	1998-11-08	PRIJEM	VKLAD	47573	138099	\N	\N	\N
3317741	11021	1993-10-21	VYDAJ	VYBER	7100	71833	\N	\N	0
3317742	11021	1993-11-14	VYDAJ	VYBER	8500	48329	\N	\N	0
3317743	11021	1993-12-11	VYDAJ	VYBER	8200	34833	\N	\N	0
3317744	11021	1994-01-06	VYDAJ	VYBER	8000	21082	\N	\N	0
3317745	11021	1994-02-07	VYDAJ	VYBER	7800	51099	\N	\N	0
3317746	11021	1994-03-06	VYDAJ	VYBER	8400	63091	\N	\N	0
3317747	11021	1994-04-13	VYDAJ	VYBER	5500	76113	\N	\N	0
3317748	11021	1994-05-13	VYDAJ	VYBER	5300	34960	\N	\N	0
3317749	11021	1994-06-05	VYDAJ	VYBER	6900	84299	\N	\N	0
3317750	11021	1994-07-03	VYDAJ	VYBER	7700	60524	\N	\N	0
3317751	11021	1994-08-14	VYDAJ	VYBER	5400	37950	\N	\N	0
3317752	11021	1994-09-18	VYDAJ	VYBER	6200	26665	\N	\N	0
3317753	11021	1994-10-18	VYDAJ	VYBER	8600	44526	\N	\N	0
3317754	11021	1994-11-21	VYDAJ	VYBER	6800	51871	\N	\N	0
3317755	11021	1994-12-13	VYDAJ	VYBER	6000	57872	\N	\N	0
3317756	11021	1995-01-07	VYDAJ	VYBER	5300	29338	\N	\N	0
3317757	11021	1995-02-07	VYDAJ	VYBER	7000	13062	\N	\N	0
3317758	11021	1995-03-12	VYDAJ	PREVOD NA UCET	7041	70476	UVER	KL	1485199
3317759	11021	1995-04-12	VYDAJ	PREVOD NA UCET	7041	47739	UVER	KL	1485199
3317760	11021	1995-05-12	VYDAJ	PREVOD NA UCET	7041	90390	UVER	KL	1485199
3317761	11021	1995-06-12	VYDAJ	PREVOD NA UCET	7041	87205	UVER	KL	1485199
3317762	11021	1995-07-12	VYDAJ	PREVOD NA UCET	7041	38459	UVER	KL	1485199
3317763	11021	1995-08-12	VYDAJ	PREVOD NA UCET	7041	55917	UVER	KL	1485199
3317764	11021	1995-09-12	VYDAJ	PREVOD NA UCET	7041	64311	UVER	KL	1485199
3317765	11021	1995-10-12	VYDAJ	PREVOD NA UCET	7041	45895	UVER	KL	1485199
3317766	11021	1995-11-12	VYDAJ	PREVOD NA UCET	7041	43117	UVER	KL	1485199
3317769	11021	1996-02-12	VYDAJ	PREVOD NA UCET	7041	19654	UVER	KL	1485199
3317770	11021	1996-03-12	VYDAJ	PREVOD NA UCET	7041	38386	UVER	KL	1485199
3317771	11021	1996-04-12	VYDAJ	PREVOD NA UCET	7041	65595	UVER	KL	1485199
3317772	11021	1996-05-12	VYDAJ	PREVOD NA UCET	7041	49311	UVER	KL	1485199
3317773	11021	1996-06-12	VYDAJ	PREVOD NA UCET	7041	46367	UVER	KL	1485199
3317774	11021	1996-07-12	VYDAJ	PREVOD NA UCET	7041	28553	UVER	KL	1485199
3317775	11021	1996-08-12	VYDAJ	PREVOD NA UCET	7041	56129	UVER	KL	1485199
3317776	11021	1996-09-12	VYDAJ	PREVOD NA UCET	7041	70230	UVER	KL	1485199
3317777	11021	1996-10-12	VYDAJ	PREVOD NA UCET	7041	73117	UVER	KL	1485199
3317778	11021	1996-11-12	VYDAJ	PREVOD NA UCET	7041	48848	UVER	KL	1485199
3317779	11021	1996-12-12	VYDAJ	PREVOD NA UCET	7041	43005	UVER	KL	1485199
3317780	11021	1997-01-12	VYDAJ	PREVOD NA UCET	7041	52860	UVER	KL	1485199
3317781	11021	1997-02-12	VYDAJ	PREVOD NA UCET	7041	22681	UVER	KL	1485199
3317782	11021	1997-03-11	VYDAJ	VYBER	6700	34495	\N	\N	0
3317783	11021	1997-04-07	VYDAJ	VYBER	6200	66617	\N	\N	0
3317784	11021	1997-05-06	VYDAJ	VYBER	6700	55220	\N	\N	0
3317785	11021	1997-06-02	VYDAJ	VYBER	8600	50496	\N	\N	0
3317786	11021	1997-07-16	VYDAJ	VYBER	6900	29580	\N	\N	0
3317787	11021	1997-08-08	VYDAJ	VYBER	8500	21330	\N	\N	0
3317788	11021	1997-09-10	VYDAJ	VYBER	7600	27710	\N	\N	0
3317789	11021	1997-10-19	VYDAJ	VYBER	8100	62021	\N	\N	0
3317790	11021	1997-11-03	VYDAJ	VYBER	6000	78660	\N	\N	0
3317791	11021	1997-12-07	VYDAJ	VYBER	8700	55496	\N	\N	0
3317792	11021	1998-01-03	VYDAJ	VYBER	5300	45903	\N	\N	0
3317793	11021	1998-02-16	VYDAJ	VYBER	6300	53249	\N	\N	0
3317794	11021	1998-03-09	VYDAJ	VYBER	7400	60037	\N	\N	0
3317795	11021	1998-04-16	VYDAJ	VYBER	5900	86905	\N	\N	0
3317796	11021	1998-05-07	VYDAJ	VYBER	6300	88645	\N	\N	0
3317797	11021	1998-06-11	VYDAJ	VYBER	8100	65298	\N	\N	0
3317798	11021	1998-07-18	VYDAJ	VYBER	6900	84782	\N	\N	0
3317799	11021	1998-08-16	VYDAJ	VYBER	7900	56818	\N	\N	0
3317800	11021	1998-09-02	VYDAJ	VYBER	6600	50788	\N	\N	0
3317801	11021	1998-10-18	VYDAJ	VYBER	7900	90042	\N	\N	0
3317802	11021	1998-11-10	VYDAJ	VYBER	7900	104599	\N	\N	0
3317803	11021	1998-12-21	VYDAJ	VYBER	5900	72077	\N	\N	0
3317804	11021	1993-12-18	VYBER	VYBER	5018	41404	\N	\N	\N
3317809	11021	1993-09-30	VYBER	VYBER	6421	96894	\N	\N	\N
3317811	11021	1994-10-06	VYBER	VYBER	2176	53126	\N	\N	\N
3317812	11021	1994-06-08	VYBER	VYBER	11306	41893	\N	\N	\N
3317813	11021	1994-05-14	VYBER	VYBER	11901	23059	\N	\N	\N
3317814	11021	1994-03-31	VYBER	VYBER	7600	47966	\N	\N	\N
3317815	11021	1994-03-24	VYBER	VYBER	8519	40673	\N	\N	\N
3317816	11021	1994-04-23	VYBER	VYBER	16930	59183	\N	\N	\N
3317817	11021	1995-08-09	VYBER	VYBER	16389	82285	\N	\N	\N
3317818	11021	1995-07-19	VYBER	VYBER	7542	73174	\N	\N	\N
3317820	11021	1995-08-11	VYBER	VYBER	19327	62958	\N	\N	\N
3317821	11021	1995-03-15	VYBER	VYBER	12052	58424	\N	\N	\N
3317822	11021	1995-12-10	VYBER	VYBER	21897	16155	\N	\N	\N
3317825	11021	1996-06-16	VYBER	VYBER	19233	27134	\N	\N	\N
3317826	11021	1996-10-31	VYBER	VYBER	23710	70993	\N	\N	\N
3317827	11021	1996-11-01	VYBER	VYBER	15090	55889	\N	\N	\N
3317829	11021	1997-11-07	VYBER	VYBER	19391	59269	\N	\N	\N
3317830	11021	1997-08-19	VYBER	VYBER	6846	35184	\N	\N	\N
3317831	11021	1998-08-13	VYBER	VYBER	4614	81237	\N	\N	\N
3317832	11021	1998-05-19	VYBER	VYBER	4218	85094	\N	\N	\N
3317833	11021	1998-06-07	VYBER	VYBER	8832	64221	\N	\N	\N
3317834	11021	1998-01-18	VYBER	VYBER	20486	24817	\N	\N	\N
3317835	11021	1998-05-25	VYBER	VYBER	6067	79027	\N	\N	\N
3317836	11021	1998-05-06	VYBER	VYBER	10038	94945	\N	\N	\N
3317837	11021	1998-08-16	VYBER	VYBER	18919	64718	\N	\N	\N
3317838	11021	1998-06-06	VYBER	VYBER	6624	73053	\N	\N	\N
3317842	11021	1996-06-19	VYDAJ	VYBER	9000	18134	\N	\N	\N
3317843	11021	1997-06-06	VYDAJ	VYBER	14700	35796	\N	\N	\N
3317844	11021	1998-06-17	VYDAJ	VYBER	33300	52520	\N	\N	\N
3317845	11021	1993-12-21	VYDAJ	VYBER	4500	32404	\N	\N	\N
3317846	11021	1994-12-28	VYDAJ	VYBER	4200	53672	\N	\N	\N
3317847	11021	1995-12-24	VYDAJ	VYBER	8100	8055	\N	\N	\N
3317848	11021	1996-12-17	VYDAJ	VYBER	5100	77669	\N	\N	\N
3317849	11021	1997-12-17	VYDAJ	VYBER	3000	64096	\N	\N	\N
3317850	11021	1998-12-25	VYDAJ	VYBER	3900	107848	\N	\N	\N
3317857	11021	1994-01-29	VYDAJ	VYBER	7500	19693	\N	\N	\N
3317858	11021	1994-01-24	VYDAJ	VYBER	6300	-518	\N	\N	\N
3317859	11021	1994-01-07	VYDAJ	VYBER	3600	17782	\N	\N	\N
3317860	11021	1994-01-01	VYDAJ	VYBER	3600	29082	\N	\N	\N
3317861	11021	1994-01-18	VYDAJ	VYBER	5700	12082	\N	\N	\N
3317862	11021	1994-01-18	VYDAJ	VYBER	6300	5782	\N	\N	\N
3317864	11021	1995-01-11	VYDAJ	VYBER	2700	18238	\N	\N	\N
3317865	11021	1995-01-12	VYDAJ	VYBER	2700	15538	\N	\N	\N
3317866	11021	1995-01-21	VYDAJ	VYBER	8100	7438	\N	\N	\N
3317867	11021	1995-01-07	VYDAJ	VYBER	8400	20938	\N	\N	\N
3317868	11021	1995-01-05	VYDAJ	VYBER	5700	34638	\N	\N	\N
3317869	11021	1996-01-01	VYDAJ	VYBER	8400	21749	\N	\N	\N
3317871	11021	1996-01-10	VYDAJ	VYBER	5400	8549	\N	\N	\N
3317872	11021	1996-01-05	VYDAJ	VYBER	7800	13949	\N	\N	\N
3317875	11021	1997-01-17	VYDAJ	VYBER	2400	35160	\N	\N	\N
3317876	11021	1997-01-15	VYDAJ	VYBER	6600	37560	\N	\N	\N
3317877	11021	1997-01-30	VYDAJ	VYBER	2700	42060	\N	\N	\N
3317878	11021	1997-01-21	VYDAJ	VYBER	1800	44760	\N	\N	\N
3317879	11021	1997-01-14	VYDAJ	VYBER	8700	44160	\N	\N	\N
3317880	11021	1997-01-07	VYDAJ	VYBER	8400	59900	\N	\N	\N
3317881	11021	1998-01-17	VYDAJ	VYBER	7800	45303	\N	\N	\N
3317882	11021	1998-01-29	VYDAJ	VYBER	6900	42214	\N	\N	\N
3317883	11021	1998-01-14	VYDAJ	VYBER	7500	33303	\N	\N	\N
3317884	11021	1998-01-29	VYDAJ	VYBER	8400	49114	\N	\N	\N
3317885	11021	1998-01-16	VYDAJ	VYBER	3000	53103	\N	\N	\N
3317886	11021	1998-01-10	VYDAJ	VYBER	5100	40803	\N	\N	\N
3317887	11021	1993-12-18	VYDAJ	VYBER	4500	36904	\N	\N	\N
3317890	11021	1993-10-26	VYDAJ	VYBER	13500	58333	\N	\N	\N
3317892	11021	1994-07-03	VYDAJ	VYBER	3900	68224	\N	\N	\N
3317893	11021	1994-08-13	VYDAJ	VYBER	6600	43350	\N	\N	\N
3317894	11021	1994-08-06	VYDAJ	VYBER	9900	49950	\N	\N	\N
3317895	11021	1994-06-09	VYDAJ	VYBER	11400	30493	\N	\N	\N
3317896	11021	1994-04-29	VYDAJ	VYBER	2700	56483	\N	\N	\N
3317898	11021	1995-02-16	VYDAJ	VYBER	3000	10062	\N	\N	\N
3317899	11021	1995-07-12	VYDAJ	VYBER	13800	45500	\N	\N	\N
3317900	11021	1995-12-08	VYDAJ	VYBER	5100	38052	\N	\N	\N
3317901	11021	1996-08-30	VYDAJ	VYBER	4500	80108	\N	\N	\N
3317902	11021	1996-02-14	VYDAJ	VYBER	9300	10354	\N	\N	\N
3317904	11021	1996-09-06	VYDAJ	VYBER	3300	77270	\N	\N	\N
3317906	11021	1996-07-20	VYDAJ	VYBER	7800	20753	\N	\N	\N
3317907	11021	1997-07-05	VYDAJ	VYBER	13200	36480	\N	\N	\N
3317908	11021	1997-07-24	VYDAJ	VYBER	14100	29580	\N	\N	\N
3317909	11021	1997-11-01	VYDAJ	VYBER	12300	84660	\N	\N	\N
3317910	11021	1997-02-06	VYDAJ	VYBER	12600	29722	\N	\N	\N
3317911	11021	1997-12-27	VYDAJ	VYBER	13200	50896	\N	\N	\N
3317912	11021	1998-01-29	VYDAJ	VYBER	7200	57514	\N	\N	\N
3317913	11021	1998-11-22	VYDAJ	VYBER	5700	95473	\N	\N	\N
3317914	11021	1998-12-13	VYDAJ	VYBER	5400	77977	\N	\N	\N
3317924	11021	1993-09-30	VYDAJ	VYBER	15	96879	SLUZBY	\N	\N
3317925	11021	1993-10-31	VYDAJ	VYBER	15	105160	SLUZBY	\N	\N
3317926	11021	1993-11-30	VYDAJ	VYBER	15	48805	SLUZBY	\N	\N
3317927	11021	1993-12-31	VYDAJ	VYBER	15	32682	SLUZBY	\N	\N
3317928	11021	1994-01-31	VYDAJ	VYBER	15	65929	SLUZBY	\N	\N
3317929	11021	1994-02-28	VYDAJ	VYBER	15	71491	SLUZBY	\N	\N
3317930	11021	1994-03-31	VYDAJ	VYBER	15	47951	SLUZBY	\N	\N
3317931	11021	1994-04-30	VYDAJ	VYBER	15	56960	SLUZBY	\N	\N
3317932	11021	1994-05-31	VYDAJ	VYBER	15	78802	SLUZBY	\N	\N
3317933	11021	1994-06-30	VYDAJ	VYBER	15	30815	SLUZBY	\N	\N
3317934	11021	1994-07-31	VYDAJ	VYBER	15	91950	SLUZBY	\N	\N
3317935	11021	1994-08-31	VYDAJ	VYBER	15	38265	SLUZBY	\N	\N
3317936	11021	1994-09-30	VYDAJ	VYBER	15	77802	SLUZBY	\N	\N
3317937	11021	1994-10-31	VYDAJ	VYBER	15	88271	SLUZBY	\N	\N
3317938	11021	1994-11-30	VYDAJ	VYBER	15	97972	SLUZBY	\N	\N
3317939	11021	1994-12-31	VYDAJ	VYBER	15	54238	SLUZBY	\N	\N
3317940	11021	1995-01-31	VYDAJ	VYBER	15	7562	SLUZBY	\N	\N
3317941	11021	1995-02-28	VYDAJ	VYBER	15	10104	SLUZBY	\N	\N
3317942	11021	1995-03-31	VYDAJ	VYBER	15	79780	SLUZBY	\N	\N
3317943	11021	1995-04-30	VYDAJ	VYBER	15	75190	SLUZBY	\N	\N
3317944	11021	1995-05-31	VYDAJ	VYBER	15	90961	SLUZBY	\N	\N
3317945	11021	1995-06-30	VYDAJ	VYBER	15	87900	SLUZBY	\N	\N
3317946	11021	1995-07-31	VYDAJ	VYBER	15	73745	SLUZBY	\N	\N
3317947	11021	1995-08-31	VYDAJ	VYBER	15	71351	SLUZBY	\N	\N
3317948	11021	1995-09-30	VYDAJ	VYBER	15	52936	SLUZBY	\N	\N
3317949	11021	1995-10-31	VYDAJ	VYBER	15	43662	SLUZBY	\N	\N
3317950	11021	1995-11-30	VYDAJ	VYBER	15	43152	SLUZBY	\N	\N
3317951	11021	1995-12-31	VYDAJ	VYBER	15	30149	SLUZBY	\N	\N
3317952	11021	1996-01-31	VYDAJ	VYBER	15	26694	SLUZBY	\N	\N
3317953	11021	1996-02-29	VYDAJ	VYBER	15	45427	SLUZBY	\N	\N
3317954	11021	1996-03-31	VYDAJ	VYBER	15	52580	SLUZBY	\N	\N
3317955	11021	1996-04-30	VYDAJ	VYBER	15	56352	SLUZBY	\N	\N
3317956	11021	1996-05-31	VYDAJ	VYBER	15	53407	SLUZBY	\N	\N
3317957	11021	1996-06-30	VYDAJ	VYBER	15	35594	SLUZBY	\N	\N
3317958	11021	1996-07-31	VYDAJ	VYBER	15	57655	SLUZBY	\N	\N
3317959	11021	1996-08-31	VYDAJ	VYBER	15	80570	SLUZBY	\N	\N
3317960	11021	1996-09-30	VYDAJ	VYBER	15	80157	SLUZBY	\N	\N
3317961	11021	1996-10-31	VYDAJ	VYBER	15	70979	SLUZBY	\N	\N
3317962	11021	1996-11-30	VYDAJ	VYBER	15	50046	SLUZBY	\N	\N
3317963	11021	1996-12-31	VYDAJ	VYBER	15	68300	SLUZBY	\N	\N
3317964	11021	1997-01-31	VYDAJ	VYBER	15	42322	SLUZBY	\N	\N
3317965	11021	1997-02-28	VYDAJ	VYBER	15	41195	SLUZBY	\N	\N
3317966	11021	1997-03-31	VYDAJ	VYBER	15	72817	SLUZBY	\N	\N
3317967	11021	1997-04-30	VYDAJ	VYBER	15	61920	SLUZBY	\N	\N
3317968	11021	1997-05-31	VYDAJ	VYBER	15	59096	SLUZBY	\N	\N
3317969	11021	1997-06-30	VYDAJ	VYBER	15	49680	SLUZBY	\N	\N
3317970	11021	1997-07-31	VYDAJ	VYBER	15	29830	SLUZBY	\N	\N
3317971	11021	1997-08-31	VYDAJ	VYBER	15	35310	SLUZBY	\N	\N
3317972	11021	1997-09-30	VYDAJ	VYBER	15	44745	SLUZBY	\N	\N
3317973	11021	1997-10-31	VYDAJ	VYBER	15	96960	SLUZBY	\N	\N
3317974	11021	1997-11-30	VYDAJ	VYBER	15	64196	SLUZBY	\N	\N
3317975	11021	1997-12-31	VYDAJ	VYBER	15	51203	SLUZBY	\N	\N
3317976	11021	1998-01-31	VYDAJ	VYBER	15	42449	SLUZBY	\N	\N
3317977	11021	1998-02-28	VYDAJ	VYBER	15	67437	SLUZBY	\N	\N
3317978	11021	1998-03-31	VYDAJ	VYBER	15	87093	SLUZBY	\N	\N
3317979	11021	1998-04-30	VYDAJ	VYBER	15	98040	SLUZBY	\N	\N
3317980	11021	1998-05-31	VYDAJ	VYBER	15	79677	SLUZBY	\N	\N
3317981	11021	1998-06-30	VYDAJ	VYBER	15	100182	SLUZBY	\N	\N
3317982	11021	1998-07-31	VYDAJ	VYBER	15	85438	SLUZBY	\N	\N
3317983	11021	1998-08-31	VYDAJ	VYBER	15	57388	SLUZBY	\N	\N
3317984	11021	1998-09-30	VYDAJ	VYBER	15	69801	SLUZBY	\N	\N
3317985	11021	1998-10-31	VYDAJ	VYBER	15	90526	SLUZBY	\N	\N
3317986	11021	1998-11-30	VYDAJ	VYBER	15	115189	SLUZBY	\N	\N
3317987	11021	1993-09-09	VYDAJ	VYBER	22400	48197	\N	\N	\N
3317988	11021	1993-10-02	VYDAJ	VYBER	55200	53008	\N	\N	\N
3317989	11021	1993-10-09	VYDAJ	VYBER	18500	45805	\N	\N	\N
3317990	11021	1993-11-02	VYDAJ	VYBER	29900	83929	\N	\N	\N
3317991	11021	1993-11-08	VYDAJ	VYBER	27100	56829	\N	\N	\N
3317992	11021	1993-12-07	VYDAJ	VYBER	36300	66133	\N	\N	\N
3317993	11021	1993-12-08	VYDAJ	VYBER	23100	43033	\N	\N	\N
3317994	11021	1994-01-07	PRIJEM	VKLAD	300	21382	\N	\N	\N
3317995	11021	1994-02-06	VYDAJ	VYBER	37400	58899	\N	\N	\N
3317996	11021	1994-03-08	VYDAJ	VYBER	25600	37491	\N	\N	\N
3317997	11021	1994-04-07	VYDAJ	VYBER	35900	62011	\N	\N	\N
3317998	11021	1994-05-07	VYDAJ	VYBER	16700	40260	\N	\N	\N
3317999	11021	1994-06-01	VYDAJ	VYBER	45300	75506	\N	\N	\N
3318000	11021	1994-06-06	VYDAJ	VYBER	31100	53199	\N	\N	\N
3318001	11021	1994-07-06	VYDAJ	VYBER	40700	58334	\N	\N	\N
3318002	11021	1994-08-05	VYDAJ	VYBER	32100	59850	\N	\N	\N
3318003	11021	1994-09-04	VYDAJ	VYBER	5400	32865	\N	\N	\N
3318004	11021	1994-10-04	VYDAJ	VYBER	22500	55302	\N	\N	\N
3318005	11021	1994-11-03	VYDAJ	VYBER	29600	58671	\N	\N	\N
3318006	11021	1994-12-03	VYDAJ	VYBER	34100	63872	\N	\N	\N
3318007	11021	1995-01-02	VYDAJ	VYBER	13900	40338	\N	\N	\N
3318008	11021	1995-02-01	PRIJEM	VKLAD	12500	20062	\N	\N	\N
3318009	11021	1995-03-03	PRIJEM	VKLAD	14200	24304	\N	\N	\N
3318010	11021	1995-04-02	VYDAJ	VYBER	25000	54780	\N	\N	\N
3318011	11021	1995-05-02	VYDAJ	VYBER	19700	55490	\N	\N	\N
3318012	11021	1995-06-01	VYDAJ	VYBER	29500	61461	\N	\N	\N
3318013	11021	1995-07-01	VYDAJ	VYBER	28600	59300	\N	\N	\N
3318014	11021	1995-07-31	VYDAJ	VYBER	19400	54345	\N	\N	\N
3318015	11021	1995-08-30	VYDAJ	VYBER	31300	70780	\N	\N	\N
3318016	11021	1995-09-29	VYDAJ	VYBER	11900	52411	\N	\N	\N
3318017	11021	1995-10-29	VYDAJ	VYBER	2600	43295	\N	\N	\N
3318018	11021	1995-11-28	VYDAJ	VYBER	200	42917	\N	\N	\N
3318019	11021	1995-12-28	PRIJEM	VKLAD	22000	30055	\N	\N	\N
3318020	11021	1996-01-27	PRIJEM	VKLAD	18100	26649	\N	\N	\N
3318021	11021	1996-02-26	PRIJEM	VKLAD	1700	45339	\N	\N	\N
3318022	11021	1996-03-27	VYDAJ	VYBER	4000	52344	\N	\N	\N
3318023	11021	1996-04-26	VYDAJ	VYBER	9600	55995	\N	\N	\N
3318024	11021	1996-05-26	PRIJEM	VKLAD	3700	53011	\N	\N	\N
3318025	11021	1996-06-25	PRIJEM	VKLAD	17200	35334	\N	\N	\N
3318026	11021	1996-07-25	PRIJEM	VKLAD	10300	31053	\N	\N	\N
3318027	11021	1996-08-24	VYDAJ	VYBER	26100	73723	\N	\N	\N
3318028	11021	1996-09-23	VYDAJ	VYBER	26400	79646	\N	\N	\N
3318029	11021	1996-10-17	VYDAJ	VYBER	49200	70878	\N	\N	\N
3318030	11021	1996-10-23	VYDAJ	VYBER	9200	61678	\N	\N	\N
3318031	11021	1996-11-22	PRIJEM	VKLAD	800	49648	\N	\N	\N
3318032	11021	1996-12-22	VYDAJ	VYBER	9800	67869	\N	\N	\N
3318033	11021	1997-01-21	PRIJEM	VKLAD	11400	46560	\N	\N	\N
3318034	11021	1997-02-20	PRIJEM	VKLAD	18300	40981	\N	\N	\N
3318035	11021	1997-03-22	VYDAJ	VYBER	10100	72467	\N	\N	\N
3318036	11021	1997-04-21	VYDAJ	VYBER	5000	61617	\N	\N	\N
3318037	11021	1997-05-21	PRIJEM	VKLAD	3600	58820	\N	\N	\N
3318038	11021	1997-06-20	PRIJEM	VKLAD	13600	49396	\N	\N	\N
3318039	11021	1997-07-20	PRIJEM	VKLAD	14100	43680	\N	\N	\N
3318040	11021	1997-08-19	PRIJEM	VKLAD	20700	42030	\N	\N	\N
3318041	11021	1997-09-18	PRIJEM	VKLAD	16800	44510	\N	\N	\N
3318042	11021	1997-10-18	VYDAJ	VYBER	600	70121	\N	\N	\N
3318043	11021	1997-11-17	PRIJEM	VKLAD	4500	63769	\N	\N	\N
3318044	11021	1997-12-17	PRIJEM	VKLAD	11600	67096	\N	\N	\N
3318045	11021	1998-01-16	PRIJEM	VKLAD	22800	56103	\N	\N	\N
3318046	11021	1998-02-15	PRIJEM	VKLAD	17100	59549	\N	\N	\N
3318047	11021	1998-03-17	PRIJEM	VKLAD	6100	72878	\N	\N	\N
3318048	11021	1998-03-31	VYDAJ	VYBER	32100	87108	\N	\N	\N
3318049	11021	1998-04-16	VYDAJ	VYBER	13100	92805	\N	\N	\N
3318050	11021	1998-05-02	VYDAJ	VYBER	20500	104983	\N	\N	\N
3318051	11021	1998-05-16	VYDAJ	VYBER	14400	89312	\N	\N	\N
3318052	11021	1998-06-15	VYDAJ	VYBER	16100	85820	\N	\N	\N
3318053	11021	1998-06-27	VYDAJ	VYBER	23900	141393	\N	\N	\N
3318054	11021	1998-06-30	VYDAJ	VYBER	41800	100197	\N	\N	\N
3318055	11021	1998-07-15	VYDAJ	VYBER	8500	91682	\N	\N	\N
3318056	11021	1998-08-05	VYDAJ	VYBER	49000	85851	\N	\N	\N
3318057	11021	1998-08-14	PRIJEM	VKLAD	2400	83637	\N	\N	\N
3318058	11021	1998-09-13	PRIJEM	VKLAD	18600	69388	\N	\N	\N
3318059	11021	1998-10-13	VYDAJ	VYBER	5400	97942	\N	\N	\N
3318060	11021	1998-11-08	VYDAJ	VYBER	25600	112499	\N	\N	\N
3318061	11021	1998-11-11	VYDAJ	VYBER	37500	114173	\N	\N	\N
3318062	11021	1998-11-12	VYDAJ	VYBER	13000	101173	\N	\N	\N
3318063	11021	1998-12-09	VYDAJ	VYBER	53800	70577	\N	\N	\N
3318064	11021	1998-12-12	PRIJEM	VKLAD	12800	83377	\N	\N	\N
3318065	11021	1998-12-24	VYDAJ	VYBER	48600	111748	\N	\N	\N
3319336	11027	1996-07-26	PRIJEM	VKLAD	800	800	\N	\N	\N
3319344	11027	1996-08-14	PRIJEM	PREVOD Z UCTU	12025	12825	\N	KL	45993560
3319345	11027	1996-09-14	PRIJEM	PREVOD Z UCTU	12025	32269	\N	KL	45993560
3319346	11027	1996-10-14	PRIJEM	PREVOD Z UCTU	12025	42889	\N	KL	45993560
3319347	11027	1996-11-14	PRIJEM	PREVOD Z UCTU	12025	42742	\N	KL	45993560
3319348	11027	1996-12-14	PRIJEM	PREVOD Z UCTU	18038	51010	\N	KL	45993560
3319349	11027	1997-01-14	PRIJEM	PREVOD Z UCTU	12025	45455	\N	KL	45993560
3319350	11027	1997-02-14	PRIJEM	PREVOD Z UCTU	12025	30995	\N	KL	45993560
3319351	11027	1997-03-14	PRIJEM	PREVOD Z UCTU	12025	41905	\N	KL	45993560
3319352	11027	1997-04-14	PRIJEM	PREVOD Z UCTU	12025	44216	\N	KL	45993560
3319353	11027	1997-05-14	PRIJEM	PREVOD Z UCTU	12025	38618	\N	KL	45993560
3319354	11027	1997-06-14	PRIJEM	PREVOD Z UCTU	18038	46065	\N	KL	45993560
3319355	11027	1997-07-14	PRIJEM	PREVOD Z UCTU	12025	29797	\N	KL	45993560
3319356	11027	1997-08-14	PRIJEM	PREVOD Z UCTU	12025	40508	\N	KL	45993560
3319357	11027	1997-09-14	PRIJEM	PREVOD Z UCTU	12025	45955	\N	KL	45993560
3319358	11027	1997-10-14	PRIJEM	PREVOD Z UCTU	12025	35253	\N	KL	45993560
3319359	11027	1997-11-14	PRIJEM	PREVOD Z UCTU	12025	38695	\N	KL	45993560
3319360	11027	1997-12-14	PRIJEM	PREVOD Z UCTU	18038	46749	\N	KL	45993560
3319361	11027	1998-01-14	PRIJEM	PREVOD Z UCTU	12025	39387	\N	KL	45993560
3319362	11027	1998-02-14	PRIJEM	PREVOD Z UCTU	12025	35318	\N	KL	45993560
3319363	11027	1998-03-14	PRIJEM	PREVOD Z UCTU	12025	27498	\N	KL	45993560
3319364	11027	1998-04-14	PRIJEM	PREVOD Z UCTU	12025	29100	\N	KL	45993560
3319365	11027	1998-05-14	PRIJEM	PREVOD Z UCTU	12025	29500	\N	KL	45993560
3319366	11027	1998-06-14	PRIJEM	PREVOD Z UCTU	18038	40613	\N	KL	45993560
3319367	11027	1998-07-14	PRIJEM	PREVOD Z UCTU	12025	41939	\N	KL	45993560
3319368	11027	1998-08-14	PRIJEM	PREVOD Z UCTU	12025	40074	\N	KL	45993560
3319369	11027	1998-09-14	PRIJEM	PREVOD Z UCTU	12025	37917	\N	KL	45993560
3319370	11027	1998-10-14	PRIJEM	PREVOD Z UCTU	12025	37925	\N	KL	45993560
3319371	11027	1998-11-14	PRIJEM	PREVOD Z UCTU	12025	44255	\N	KL	45993560
3319372	11027	1998-12-14	PRIJEM	PREVOD Z UCTU	18038	49602	\N	KL	45993560
3319385	11027	1997-01-12	VYDAJ	VYBER	2000	33430	\N	\N	0
3319386	11027	1997-02-07	VYDAJ	VYBER	1600	22769	\N	\N	0
3319387	11027	1997-03-21	VYDAJ	VYBER	1700	30974	\N	\N	0
3319388	11027	1997-04-19	VYDAJ	VYBER	1700	26177	\N	\N	0
3319389	11027	1997-05-20	VYDAJ	VYBER	1800	36818	\N	\N	0
3319390	11027	1997-06-17	VYDAJ	VYBER	2200	43865	\N	\N	0
3319391	11027	1997-07-14	VYDAJ	VYBER	2000	27797	\N	\N	0
3319392	11027	1997-08-07	VYDAJ	VYBER	2400	32282	\N	\N	0
3319393	11027	1997-09-02	VYDAJ	VYBER	1800	37729	\N	\N	0
3319394	11027	1997-10-21	VYDAJ	VYBER	2300	32353	\N	\N	0
3319395	11027	1997-11-12	VYDAJ	PREVOD NA UCET	2004	26670	UVER	QR	81596547
3319396	11027	1997-12-12	VYDAJ	PREVOD NA UCET	2004	28711	UVER	QR	81596547
3319397	11027	1998-01-12	VYDAJ	PREVOD NA UCET	2004	27362	UVER	QR	81596547
3319398	11027	1998-02-12	VYDAJ	PREVOD NA UCET	2004	23293	UVER	QR	81596547
3319399	11027	1998-03-12	VYDAJ	PREVOD NA UCET	2004	15473	UVER	QR	81596547
3319400	11027	1998-04-12	VYDAJ	PREVOD NA UCET	2004	17075	UVER	QR	81596547
3319401	11027	1998-05-12	VYDAJ	PREVOD NA UCET	2004	17475	UVER	QR	81596547
3319402	11027	1998-06-12	VYDAJ	PREVOD NA UCET	2004	22575	UVER	QR	81596547
3319403	11027	1998-07-12	VYDAJ	PREVOD NA UCET	2004	29914	UVER	QR	81596547
3319404	11027	1998-08-12	VYDAJ	PREVOD NA UCET	2004	28049	UVER	QR	81596547
3319405	11027	1998-09-12	VYDAJ	PREVOD NA UCET	2004	25892	UVER	QR	81596547
3319406	11027	1998-10-12	VYDAJ	PREVOD NA UCET	2004	18200	UVER	QR	81596547
3319407	11027	1998-11-12	VYDAJ	PREVOD NA UCET	2004	17930	UVER	QR	81596547
3319408	11027	1998-12-12	VYDAJ	PREVOD NA UCET	2004	22164	UVER	QR	81596547
3319421	11027	1997-01-08	VYDAJ	PREVOD NA UCET	3799	35430	SIPO	GH	23646575
3319422	11027	1997-02-08	VYDAJ	PREVOD NA UCET	3799	18970	SIPO	GH	23646575
3319423	11027	1997-03-08	VYDAJ	PREVOD NA UCET	3799	29880	SIPO	GH	23646575
3319424	11027	1997-04-08	VYDAJ	PREVOD NA UCET	3799	32191	SIPO	GH	23646575
3319425	11027	1997-05-08	VYDAJ	PREVOD NA UCET	3799	26593	SIPO	GH	23646575
3319426	11027	1997-06-08	VYDAJ	PREVOD NA UCET	3799	28027	SIPO	GH	23646575
3319427	11027	1997-07-08	VYDAJ	PREVOD NA UCET	3799	17772	SIPO	GH	23646575
3319428	11027	1997-08-08	VYDAJ	PREVOD NA UCET	3799	28483	SIPO	GH	23646575
3319429	11027	1997-09-08	VYDAJ	PREVOD NA UCET	3799	33930	SIPO	GH	23646575
3319430	11027	1997-10-08	VYDAJ	PREVOD NA UCET	3799	38996	SIPO	GH	23646575
3319431	11027	1997-11-08	VYDAJ	PREVOD NA UCET	3799	28674	SIPO	GH	23646575
3319432	11027	1997-12-08	VYDAJ	PREVOD NA UCET	3799	30715	SIPO	GH	23646575
3319433	11027	1998-01-08	VYDAJ	PREVOD NA UCET	3799	29367	SIPO	GH	23646575
3319434	11027	1998-02-08	VYDAJ	PREVOD NA UCET	3799	25297	SIPO	GH	23646575
3319435	11027	1998-03-08	VYDAJ	PREVOD NA UCET	3799	17477	SIPO	GH	23646575
3319436	11027	1998-04-08	VYDAJ	PREVOD NA UCET	3799	19079	SIPO	GH	23646575
3319437	11027	1998-05-08	VYDAJ	PREVOD NA UCET	3799	19480	SIPO	GH	23646575
3319438	11027	1998-06-08	VYDAJ	PREVOD NA UCET	3799	24579	SIPO	GH	23646575
3319439	11027	1998-07-08	VYDAJ	PREVOD NA UCET	3799	31918	SIPO	GH	23646575
3319440	11027	1998-08-08	VYDAJ	PREVOD NA UCET	3799	30053	SIPO	GH	23646575
3319441	11027	1998-09-08	VYDAJ	PREVOD NA UCET	3799	27896	SIPO	GH	23646575
3319442	11027	1998-10-08	VYDAJ	PREVOD NA UCET	3799	20204	SIPO	GH	23646575
3319443	11027	1998-11-08	VYDAJ	PREVOD NA UCET	3799	19934	SIPO	GH	23646575
3319444	11027	1998-12-08	VYDAJ	PREVOD NA UCET	3799	24168	SIPO	GH	23646575
3319457	11027	1997-03-18	VYBER	VYBER	9231	32674	\N	\N	\N
3319464	11027	1997-10-12	VYBER	VYBER	15768	23228	\N	\N	\N
3319465	11027	1997-06-30	VYBER	VYBER	20320	21601	\N	\N	\N
3319467	11027	1997-04-14	VYBER	VYBER	16339	27877	\N	\N	\N
3319469	11027	1998-09-24	VYBER	VYBER	13614	23903	\N	\N	\N
3319471	11027	1998-11-30	VYBER	VYBER	12503	31897	\N	\N	\N
3319472	11027	1998-02-16	VYBER	VYBER	3938	31380	\N	\N	\N
3319474	11027	1998-08-20	VYBER	VYBER	8889	31585	\N	\N	\N
3319477	11027	1998-04-23	VYBER	VYBER	11297	23203	\N	\N	\N
3319480	11027	1998-10-28	VYBER	VYBER	14286	23639	\N	\N	\N
3319485	11027	1997-01-19	VYDAJ	VYBER	16500	28955	\N	\N	\N
3319487	11027	1996-12-20	VYDAJ	VYBER	5400	45610	\N	\N	\N
3319488	11027	1997-12-07	VYDAJ	VYBER	4800	34514	\N	\N	\N
3319489	11027	1998-12-04	VYDAJ	VYBER	3900	27967	\N	\N	\N
3319497	11027	1997-01-26	VYDAJ	VYBER	3000	24255	\N	\N	\N
3319498	11027	1997-12-17	VYDAJ	VYBER	9600	37149	\N	\N	\N
3319499	11027	1997-05-27	VYDAJ	VYBER	2100	31718	\N	\N	\N
3319502	11027	1998-07-15	VYDAJ	VYBER	9900	32039	\N	\N	\N
3319503	11027	1998-03-04	VYDAJ	VYBER	9300	21276	\N	\N	\N
3319504	11027	1998-02-04	VYDAJ	VYBER	4200	29096	\N	\N	\N
3319509	11027	1998-03-28	VYDAJ	VYBER	8100	22798	\N	\N	\N
3319522	11027	1996-12-31	VYDAJ	VYBER	30	39229	SLUZBY	\N	\N
3319523	11027	1997-01-31	VYDAJ	VYBER	30	24369	SLUZBY	\N	\N
3319524	11027	1997-02-28	VYDAJ	VYBER	30	33679	SLUZBY	\N	\N
3319525	11027	1997-03-31	VYDAJ	VYBER	30	35990	SLUZBY	\N	\N
3319526	11027	1997-04-30	VYDAJ	VYBER	30	30392	SLUZBY	\N	\N
3319527	11027	1997-05-31	VYDAJ	VYBER	30	31826	SLUZBY	\N	\N
3319528	11027	1997-06-30	VYDAJ	VYBER	30	21571	SLUZBY	\N	\N
3319529	11027	1997-07-31	VYDAJ	VYBER	30	34682	SLUZBY	\N	\N
3319530	11027	1997-08-31	VYDAJ	VYBER	30	39529	SLUZBY	\N	\N
3319531	11027	1997-09-30	VYDAJ	VYBER	30	42795	SLUZBY	\N	\N
3319532	11027	1997-10-31	VYDAJ	VYBER	30	32473	SLUZBY	\N	\N
3319533	11027	1997-11-30	VYDAJ	VYBER	30	39314	SLUZBY	\N	\N
3319534	11027	1997-12-31	VYDAJ	VYBER	30	33166	SLUZBY	\N	\N
3319535	11027	1998-01-31	VYDAJ	VYBER	30	33296	SLUZBY	\N	\N
3319536	11027	1998-02-28	VYDAJ	VYBER	30	30576	SLUZBY	\N	\N
3319537	11027	1998-03-31	VYDAJ	VYBER	30	22878	SLUZBY	\N	\N
3319538	11027	1998-04-30	VYDAJ	VYBER	30	23279	SLUZBY	\N	\N
3319539	11027	1998-05-31	VYDAJ	VYBER	30	28378	SLUZBY	\N	\N
3319540	11027	1998-06-30	VYDAJ	VYBER	30	35717	SLUZBY	\N	\N
3319541	11027	1998-07-31	VYDAJ	VYBER	30	33852	SLUZBY	\N	\N
3319542	11027	1998-08-31	VYDAJ	VYBER	30	31695	SLUZBY	\N	\N
3319543	11027	1998-09-30	VYDAJ	VYBER	30	24003	SLUZBY	\N	\N
3319544	11027	1998-10-31	VYDAJ	VYBER	30	23733	SLUZBY	\N	\N
3319545	11027	1998-11-30	VYDAJ	VYBER	30	31867	SLUZBY	\N	\N
3319546	11027	1996-08-25	PRIJEM	VKLAD	7400	20225	\N	\N	\N
3319547	11027	1996-09-24	VYDAJ	VYBER	1500	30769	\N	\N	\N
3319548	11027	1996-10-24	VYDAJ	VYBER	12300	30589	\N	\N	\N
3319549	11027	1996-11-23	VYDAJ	VYBER	9900	32842	\N	\N	\N
3319550	11027	1996-12-23	VYDAJ	VYBER	6500	39110	\N	\N	\N
3319551	11027	1997-01-22	VYDAJ	VYBER	1700	27255	\N	\N	\N
3319552	11027	1997-02-21	PRIJEM	VKLAD	2600	33595	\N	\N	\N
3319553	11027	1997-03-23	PRIJEM	VKLAD	4900	35874	\N	\N	\N
3319554	11027	1997-04-22	PRIJEM	VKLAD	4100	30277	\N	\N	\N
3319555	11027	1997-05-22	VYDAJ	VYBER	3000	33818	\N	\N	\N
3319556	11027	1997-06-21	VYDAJ	VYBER	2100	41765	\N	\N	\N
3319557	11027	1997-07-21	PRIJEM	VKLAD	6800	34597	\N	\N	\N
3319558	11027	1997-08-20	VYDAJ	VYBER	1100	39408	\N	\N	\N
3319559	11027	1997-09-19	VYDAJ	VYBER	3300	42655	\N	\N	\N
3319560	11027	1997-10-19	VYDAJ	VYBER	600	34653	\N	\N	\N
3319561	11027	1997-11-18	PRIJEM	VKLAD	500	39195	\N	\N	\N
3319562	11027	1997-12-18	VYDAJ	VYBER	4100	33049	\N	\N	\N
3319563	11027	1998-01-17	VYDAJ	VYBER	6200	33187	\N	\N	\N
3319564	11027	1998-02-16	VYDAJ	VYBER	900	30480	\N	\N	\N
3319565	11027	1998-03-18	PRIJEM	VKLAD	3400	30898	\N	\N	\N
3319566	11027	1998-04-17	PRIJEM	VKLAD	5400	34500	\N	\N	\N
3319567	11027	1998-05-17	VYDAJ	VYBER	1200	28300	\N	\N	\N
3319568	11027	1998-06-16	VYDAJ	VYBER	5000	35613	\N	\N	\N
3319569	11027	1998-07-16	PRIJEM	VKLAD	1700	33739	\N	\N	\N
3319570	11027	1998-08-15	PRIJEM	VKLAD	400	40474	\N	\N	\N
3319571	11027	1998-09-14	VYDAJ	VYBER	400	37517	\N	\N	\N
3319572	11027	1998-10-14	PRIJEM	VKLAD	7700	25900	\N	\N	\N
3319573	11027	1998-11-13	PRIJEM	VKLAD	14300	32230	\N	\N	\N
3319574	11027	1998-12-13	PRIJEM	VKLAD	9400	31564	\N	\N	\N
3324311	11042	1995-01-29	PRIJEM	VKLAD	400	400	\N	\N	\N
3324313	11042	1995-02-05	PRIJEM	PREVOD Z UCTU	36191	36591	\N	AB	80826598
3324314	11042	1995-03-05	PRIJEM	PREVOD Z UCTU	36191	65486	\N	AB	80826598
3324315	11042	1995-04-05	PRIJEM	PREVOD Z UCTU	36191	78503	\N	AB	80826598
3324316	11042	1995-05-05	PRIJEM	PREVOD Z UCTU	36191	87872	\N	AB	80826598
3324317	11042	1995-06-05	PRIJEM	PREVOD Z UCTU	54286	109774	\N	AB	80826598
3324318	11042	1995-07-05	PRIJEM	PREVOD Z UCTU	36191	66940	\N	AB	80826598
3324319	11042	1995-08-05	PRIJEM	PREVOD Z UCTU	36191	61721	\N	AB	80826598
3324320	11042	1995-09-05	PRIJEM	PREVOD Z UCTU	36191	68641	\N	AB	80826598
3324321	11042	1995-10-05	PRIJEM	PREVOD Z UCTU	36191	75462	\N	AB	80826598
3324322	11042	1995-11-05	PRIJEM	PREVOD Z UCTU	36191	71604	\N	AB	80826598
3324323	11042	1995-12-05	PRIJEM	PREVOD Z UCTU	54286	96565	\N	AB	80826598
3324324	11042	1996-01-05	PRIJEM	PREVOD Z UCTU	36191	58438	\N	AB	80826598
3324325	11042	1996-02-05	PRIJEM	PREVOD Z UCTU	36191	61975	\N	AB	80826598
3324326	11042	1996-03-05	PRIJEM	PREVOD Z UCTU	36191	71762	\N	AB	80826598
3324327	11042	1996-04-05	PRIJEM	PREVOD Z UCTU	36191	82487	\N	AB	80826598
3324328	11042	1996-05-05	PRIJEM	PREVOD Z UCTU	36191	78107	\N	AB	80826598
3324329	11042	1996-06-05	PRIJEM	PREVOD Z UCTU	54286	86765	\N	AB	80826598
3324330	11042	1996-07-05	PRIJEM	PREVOD Z UCTU	36191	76618	\N	AB	80826598
3324331	11042	1996-08-05	PRIJEM	PREVOD Z UCTU	36191	86159	\N	AB	80826598
3324332	11042	1996-09-05	PRIJEM	PREVOD Z UCTU	36191	90629	\N	AB	80826598
3324333	11042	1996-10-05	PRIJEM	PREVOD Z UCTU	36191	90310	\N	AB	80826598
3324334	11042	1996-11-05	PRIJEM	PREVOD Z UCTU	36191	93594	\N	AB	80826598
3324335	11042	1996-12-05	PRIJEM	PREVOD Z UCTU	54286	112781	\N	AB	80826598
3324336	11042	1997-01-05	PRIJEM	PREVOD Z UCTU	36191	87102	\N	AB	80826598
3324337	11042	1997-02-05	PRIJEM	PREVOD Z UCTU	36191	63430	\N	AB	80826598
3324338	11042	1997-03-05	PRIJEM	PREVOD Z UCTU	36191	76515	\N	AB	80826598
3324339	11042	1997-04-05	PRIJEM	PREVOD Z UCTU	36191	83845	\N	AB	80826598
3324340	11042	1997-05-05	PRIJEM	PREVOD Z UCTU	36191	90704	\N	AB	80826598
3324341	11042	1997-06-05	PRIJEM	PREVOD Z UCTU	54286	102957	\N	AB	80826598
3324342	11042	1997-07-05	PRIJEM	PREVOD Z UCTU	36191	68395	\N	AB	80826598
3324343	11042	1997-08-05	PRIJEM	PREVOD Z UCTU	36191	75187	\N	AB	80826598
3324344	11042	1997-09-05	PRIJEM	PREVOD Z UCTU	36191	80904	\N	AB	80826598
3324345	11042	1997-10-05	PRIJEM	PREVOD Z UCTU	36191	84035	\N	AB	80826598
3324346	11042	1997-11-05	PRIJEM	PREVOD Z UCTU	36191	86577	\N	AB	80826598
3324347	11042	1997-12-05	PRIJEM	PREVOD Z UCTU	54286	92947	\N	AB	80826598
3324348	11042	1998-01-05	PRIJEM	PREVOD Z UCTU	36191	68889	\N	AB	80826598
3324349	11042	1998-02-05	PRIJEM	PREVOD Z UCTU	36191	65061	\N	AB	80826598
3324350	11042	1998-03-05	PRIJEM	PREVOD Z UCTU	36191	77743	\N	AB	80826598
3324351	11042	1998-04-05	PRIJEM	PREVOD Z UCTU	36191	84365	\N	AB	80826598
3324352	11042	1998-05-05	PRIJEM	PREVOD Z UCTU	36191	86097	\N	AB	80826598
3324353	11042	1998-06-05	PRIJEM	PREVOD Z UCTU	54286	111148	\N	AB	80826598
3324354	11042	1998-07-05	PRIJEM	PREVOD Z UCTU	36191	87031	\N	AB	80826598
3324355	11042	1998-08-05	PRIJEM	PREVOD Z UCTU	36191	83535	\N	AB	80826598
3324356	11042	1998-09-05	PRIJEM	PREVOD Z UCTU	36191	90776	\N	AB	80826598
3324357	11042	1998-10-05	PRIJEM	PREVOD Z UCTU	36191	71408	\N	AB	80826598
3324358	11042	1998-11-05	PRIJEM	PREVOD Z UCTU	36191	67331	\N	AB	80826598
3324359	11042	1998-12-05	PRIJEM	PREVOD Z UCTU	54286	95002	\N	AB	80826598
3324365	11042	1995-06-17	VYDAJ	VYBER	5200	59238	\N	\N	0
3324366	11042	1995-07-10	VYDAJ	VYBER	5900	52604	\N	\N	0
3324367	11042	1995-08-07	VYDAJ	VYBER	4700	48585	\N	\N	0
3324368	11042	1995-09-03	VYDAJ	VYBER	5500	32450	\N	\N	0
3324369	11042	1995-10-09	VYDAJ	VYBER	6800	60226	\N	\N	0
3324370	11042	1995-11-06	VYDAJ	VYBER	5800	57368	\N	\N	0
3324371	11042	1995-12-12	VYDAJ	PREVOD NA UCET	6032	76398	UVER	EF	86233681
3324372	11042	1996-01-12	VYDAJ	PREVOD NA UCET	6032	34370	UVER	EF	86233681
3324373	11042	1996-02-12	VYDAJ	PREVOD NA UCET	6032	47507	UVER	EF	86233681
3324374	11042	1996-03-12	VYDAJ	PREVOD NA UCET	6032	57294	UVER	EF	86233681
3324375	11042	1996-04-12	VYDAJ	PREVOD NA UCET	6032	51334	UVER	EF	86233681
3324376	11042	1996-05-12	VYDAJ	PREVOD NA UCET	6032	63640	UVER	EF	86233681
3324377	11042	1996-06-12	VYDAJ	PREVOD NA UCET	6032	72297	UVER	EF	86233681
3324378	11042	1996-07-12	VYDAJ	PREVOD NA UCET	6032	62151	UVER	EF	86233681
3324379	11042	1996-08-12	VYDAJ	PREVOD NA UCET	6032	71691	UVER	EF	86233681
3324380	11042	1996-09-12	VYDAJ	PREVOD NA UCET	6032	76162	UVER	EF	86233681
3324381	11042	1996-10-12	VYDAJ	PREVOD NA UCET	6032	75842	UVER	EF	86233681
3324382	11042	1996-11-12	VYDAJ	PREVOD NA UCET	6032	79126	UVER	EF	86233681
3324383	11042	1996-12-12	VYDAJ	PREVOD NA UCET	6032	98313	UVER	EF	86233681
3324384	11042	1997-01-12	VYDAJ	PREVOD NA UCET	6032	69334	UVER	EF	86233681
3324385	11042	1997-02-12	VYDAJ	PREVOD NA UCET	6032	48963	UVER	EF	86233681
3324386	11042	1997-03-12	VYDAJ	PREVOD NA UCET	6032	62047	UVER	EF	86233681
3324387	11042	1997-04-12	VYDAJ	PREVOD NA UCET	6032	69377	UVER	EF	86233681
3324388	11042	1997-05-12	VYDAJ	PREVOD NA UCET	6032	76236	UVER	EF	86233681
3324389	11042	1997-06-12	VYDAJ	PREVOD NA UCET	6032	88489	UVER	EF	86233681
3324390	11042	1997-07-12	VYDAJ	PREVOD NA UCET	6032	53927	UVER	EF	86233681
3324391	11042	1997-08-12	VYDAJ	PREVOD NA UCET	6032	60719	UVER	EF	86233681
3324392	11042	1997-09-12	VYDAJ	PREVOD NA UCET	6032	66436	UVER	EF	86233681
3324393	11042	1997-10-12	VYDAJ	PREVOD NA UCET	6032	69567	UVER	EF	86233681
3324394	11042	1997-11-12	VYDAJ	PREVOD NA UCET	6032	72109	UVER	EF	86233681
3324395	11042	1997-12-12	VYDAJ	PREVOD NA UCET	6032	78480	UVER	EF	86233681
3324396	11042	1998-01-12	VYDAJ	PREVOD NA UCET	6032	54421	UVER	EF	86233681
3324397	11042	1998-02-12	VYDAJ	PREVOD NA UCET	6032	50594	UVER	EF	86233681
3324398	11042	1998-03-12	VYDAJ	PREVOD NA UCET	6032	63276	UVER	EF	86233681
3324399	11042	1998-04-12	VYDAJ	PREVOD NA UCET	6032	56098	UVER	EF	86233681
3324400	11042	1998-05-12	VYDAJ	PREVOD NA UCET	6032	71629	UVER	EF	86233681
3324401	11042	1998-06-12	VYDAJ	PREVOD NA UCET	6032	63980	UVER	EF	86233681
3324402	11042	1998-07-12	VYDAJ	PREVOD NA UCET	6032	59163	UVER	EF	86233681
3324403	11042	1998-08-12	VYDAJ	PREVOD NA UCET	6032	54367	UVER	EF	86233681
3324404	11042	1998-09-12	VYDAJ	PREVOD NA UCET	6032	43606	UVER	EF	86233681
3324405	11042	1998-10-12	VYDAJ	PREVOD NA UCET	6032	39340	UVER	EF	86233681
3324406	11042	1998-11-12	VYDAJ	PREVOD NA UCET	6032	40563	UVER	EF	86233681
3324407	11042	1998-12-19	VYDAJ	VYBER	5100	45566	\N	\N	0
3324413	11042	1995-06-06	VYDAJ	PREVOD NA UCET	8436	67138	SIPO	UV	59894961
3324414	11042	1995-07-06	VYDAJ	PREVOD NA UCET	8436	58504	SIPO	UV	59894961
3324415	11042	1995-08-06	VYDAJ	PREVOD NA UCET	8436	53285	SIPO	UV	59894961
3324416	11042	1995-09-06	VYDAJ	PREVOD NA UCET	8436	60205	SIPO	UV	59894961
3324417	11042	1995-10-06	VYDAJ	PREVOD NA UCET	8436	67026	SIPO	UV	59894961
3324418	11042	1995-11-06	VYDAJ	PREVOD NA UCET	8436	63168	SIPO	UV	59894961
3324419	11042	1995-12-06	VYDAJ	PREVOD NA UCET	8436	88129	SIPO	UV	59894961
3324420	11042	1996-01-06	VYDAJ	PREVOD NA UCET	8436	50002	SIPO	UV	59894961
3324421	11042	1996-02-06	VYDAJ	PREVOD NA UCET	8436	53539	SIPO	UV	59894961
3324422	11042	1996-03-06	VYDAJ	PREVOD NA UCET	8436	63326	SIPO	UV	59894961
3324423	11042	1996-04-06	VYDAJ	PREVOD NA UCET	8436	74051	SIPO	UV	59894961
3324424	11042	1996-05-06	VYDAJ	PREVOD NA UCET	8436	69671	SIPO	UV	59894961
3324425	11042	1996-06-06	VYDAJ	PREVOD NA UCET	8436	78329	SIPO	UV	59894961
3324426	11042	1996-07-06	VYDAJ	PREVOD NA UCET	8436	68182	SIPO	UV	59894961
3324427	11042	1996-08-06	VYDAJ	PREVOD NA UCET	8436	77723	SIPO	UV	59894961
3324428	11042	1996-09-06	VYDAJ	PREVOD NA UCET	8436	82193	SIPO	UV	59894961
3324429	11042	1996-10-06	VYDAJ	PREVOD NA UCET	8436	81874	SIPO	UV	59894961
3324430	11042	1996-11-06	VYDAJ	PREVOD NA UCET	8436	85158	SIPO	UV	59894961
3324431	11042	1996-12-06	VYDAJ	PREVOD NA UCET	8436	104345	SIPO	UV	59894961
3324432	11042	1997-01-06	VYDAJ	PREVOD NA UCET	8436	78666	SIPO	UV	59894961
3324433	11042	1997-02-06	VYDAJ	PREVOD NA UCET	8436	54994	SIPO	UV	59894961
3324434	11042	1997-03-06	VYDAJ	PREVOD NA UCET	8436	68079	SIPO	UV	59894961
3324435	11042	1997-04-06	VYDAJ	PREVOD NA UCET	8436	75409	SIPO	UV	59894961
3324436	11042	1997-05-06	VYDAJ	PREVOD NA UCET	8436	82268	SIPO	UV	59894961
3324437	11042	1997-06-06	VYDAJ	PREVOD NA UCET	8436	94521	SIPO	UV	59894961
3324438	11042	1997-07-06	VYDAJ	PREVOD NA UCET	8436	59959	SIPO	UV	59894961
3324439	11042	1997-08-06	VYDAJ	PREVOD NA UCET	8436	66751	SIPO	UV	59894961
3324440	11042	1997-09-06	VYDAJ	PREVOD NA UCET	8436	72468	SIPO	UV	59894961
3324441	11042	1997-10-06	VYDAJ	PREVOD NA UCET	8436	75599	SIPO	UV	59894961
3324442	11042	1997-11-06	VYDAJ	PREVOD NA UCET	8436	78141	SIPO	UV	59894961
3324443	11042	1997-12-06	VYDAJ	PREVOD NA UCET	8436	84511	SIPO	UV	59894961
3324444	11042	1998-01-06	VYDAJ	PREVOD NA UCET	8436	60453	SIPO	UV	59894961
3324445	11042	1998-02-06	VYDAJ	PREVOD NA UCET	8436	56625	SIPO	UV	59894961
3324446	11042	1998-03-06	VYDAJ	PREVOD NA UCET	8436	69307	SIPO	UV	59894961
3324447	11042	1998-04-06	VYDAJ	PREVOD NA UCET	8436	75929	SIPO	UV	59894961
3324448	11042	1998-05-06	VYDAJ	PREVOD NA UCET	8436	77661	SIPO	UV	59894961
3324449	11042	1998-06-06	VYDAJ	PREVOD NA UCET	8436	102712	SIPO	UV	59894961
3324450	11042	1998-07-06	VYDAJ	PREVOD NA UCET	8436	78595	SIPO	UV	59894961
3324451	11042	1998-08-06	VYDAJ	PREVOD NA UCET	8436	75099	SIPO	UV	59894961
3324452	11042	1998-09-06	VYDAJ	PREVOD NA UCET	8436	62138	SIPO	UV	59894961
3324453	11042	1998-10-06	VYDAJ	PREVOD NA UCET	8436	54572	SIPO	UV	59894961
3324454	11042	1998-11-06	VYDAJ	PREVOD NA UCET	8436	58895	SIPO	UV	59894961
3324455	11042	1998-12-06	VYDAJ	PREVOD NA UCET	8436	86566	SIPO	UV	59894961
3324456	11042	1995-07-17	VYBER	VYBER	12325	40279	\N	\N	\N
3324460	11042	1995-12-28	VYBER	VYBER	23701	25597	\N	\N	\N
3324461	11042	1995-06-25	VYBER	VYBER	7602	37536	\N	\N	\N
3324463	11042	1995-09-09	VYBER	VYBER	5033	55172	\N	\N	\N
3324464	11042	1996-04-08	VYBER	VYBER	16685	57366	\N	\N	\N
3324465	11042	1996-04-21	VYBER	VYBER	2311	49023	\N	\N	\N
3324466	11042	1996-05-28	VYBER	VYBER	14573	32267	\N	\N	\N
3324467	11042	1997-06-15	VYBER	VYBER	20947	67542	\N	\N	\N
3324468	11042	1997-06-26	VYBER	VYBER	14668	31974	\N	\N	\N
3324469	11042	1997-11-30	VYBER	VYBER	12469	38676	\N	\N	\N
3324470	11042	1998-09-05	VYBER	VYBER	20202	70574	\N	\N	\N
3324471	11042	1998-09-26	VYBER	VYBER	3305	35045	\N	\N	\N
3324472	11042	1998-07-20	VYBER	VYBER	12037	47126	\N	\N	\N
3324473	11042	1998-10-31	VYBER	VYBER	8351	31154	\N	\N	\N
3324474	11042	1998-09-17	VYBER	VYBER	5256	38350	\N	\N	\N
3324475	11042	1995-06-20	VYDAJ	VYBER	14100	45138	\N	\N	\N
3324478	11042	1998-06-09	VYDAJ	VYBER	32700	70012	\N	\N	\N
3324481	11042	1997-01-25	VYDAJ	VYBER	18900	27034	\N	\N	\N
3324483	11042	1995-12-10	VYDAJ	VYBER	5700	82429	\N	\N	\N
3324484	11042	1996-12-24	VYDAJ	VYBER	8100	54213	\N	\N	\N
3324485	11042	1997-12-25	VYDAJ	VYBER	4800	48680	\N	\N	\N
3324486	11042	1998-12-11	VYDAJ	VYBER KARTOU	1800	56666	\N	\N	0
3324493	11042	1996-01-12	VYDAJ	VYBER KARTOU	3600	30770	\N	\N	0
3324494	11042	1996-01-02	VYDAJ	VYBER KARTOU	3600	22247	\N	\N	0
3324495	11042	1996-01-12	VYDAJ	VYBER	6000	40402	\N	\N	\N
3324497	11042	1996-01-17	VYDAJ	VYBER	8700	22070	\N	\N	\N
3324500	11042	1997-01-08	VYDAJ	VYBER KARTOU	3300	75366	\N	\N	0
3324501	11042	1997-01-15	VYDAJ	VYBER	8400	60934	\N	\N	\N
3324502	11042	1997-01-01	VYDAJ	VYBER KARTOU	1500	53011	\N	\N	0
3324503	11042	1997-01-17	VYDAJ	VYBER	4800	56134	\N	\N	\N
3324504	11042	1997-01-02	VYDAJ	VYBER KARTOU	2100	50911	\N	\N	0
3324505	11042	1998-01-02	VYDAJ	VYBER	6600	32698	\N	\N	\N
3324506	11042	1998-01-16	VYDAJ	VYBER KARTOU	2400	37421	\N	\N	0
3324507	11042	1998-01-18	VYDAJ	VYBER	8700	28721	\N	\N	\N
3324511	11042	1995-07-21	VYDAJ	VYBER	10500	29779	\N	\N	\N
3324512	11042	1995-06-15	VYDAJ	VYBER	2700	64438	\N	\N	\N
3324513	11042	1995-10-11	VYDAJ	VYBER	8700	51526	\N	\N	\N
3324515	11042	1996-12-16	VYDAJ	VYBER	6600	91713	\N	\N	\N
3324516	11042	1996-06-26	VYDAJ	VYBER	13500	40197	\N	\N	\N
3324517	11042	1996-02-23	VYDAJ	VYBER	8400	39107	\N	\N	\N
3324518	11042	1996-01-08	VYDAJ	VYBER KARTOU	3600	46402	\N	\N	0
3324519	11042	1997-07-18	VYDAJ	VYBER	6900	38827	\N	\N	\N
3324520	11042	1997-06-16	VYDAJ	VYBER	12900	54642	\N	\N	\N
3324521	11042	1997-08-24	VYDAJ	VYBER KARTOU	2700	44519	\N	\N	0
3324522	11042	1997-12-29	VYDAJ	VYBER	9600	39080	\N	\N	\N
3324523	11042	1997-07-16	VYDAJ	VYBER KARTOU	3000	50927	\N	\N	0
3324524	11042	1997-05-16	VYDAJ	VYBER	14400	61836	\N	\N	\N
3324526	11042	1998-12-12	VYDAJ	VYBER	6000	50666	\N	\N	\N
3324527	11042	1998-04-11	VYDAJ	VYBER	13800	62129	\N	\N	\N
3324528	11042	1998-10-06	VYDAJ	VYBER	8400	63008	\N	\N	\N
3324535	11042	1995-06-30	VYDAJ	VYBER	15	30749	SLUZBY	\N	\N
3324536	11042	1995-07-31	VYDAJ	VYBER	15	25530	SLUZBY	\N	\N
3324537	11042	1995-08-31	VYDAJ	VYBER	15	37950	SLUZBY	\N	\N
3324538	11042	1995-09-30	VYDAJ	VYBER	15	39271	SLUZBY	\N	\N
3324539	11042	1995-10-31	VYDAJ	VYBER	15	35413	SLUZBY	\N	\N
3324540	11042	1995-11-30	VYDAJ	VYBER	15	42279	SLUZBY	\N	\N
3324541	11042	1995-12-31	VYDAJ	VYBER	15	25847	SLUZBY	\N	\N
3324542	11042	1996-01-31	VYDAJ	VYBER	15	25784	SLUZBY	\N	\N
3324543	11042	1996-02-29	VYDAJ	VYBER	15	35571	SLUZBY	\N	\N
3324544	11042	1996-03-31	VYDAJ	VYBER	15	46296	SLUZBY	\N	\N
3324545	11042	1996-04-30	VYDAJ	VYBER	15	41916	SLUZBY	\N	\N
3324546	11042	1996-05-31	VYDAJ	VYBER	15	32479	SLUZBY	\N	\N
3324547	11042	1996-06-30	VYDAJ	VYBER	15	40427	SLUZBY	\N	\N
3324548	11042	1996-07-31	VYDAJ	VYBER	15	49968	SLUZBY	\N	\N
3324549	11042	1996-08-31	VYDAJ	VYBER	15	54438	SLUZBY	\N	\N
3324550	11042	1996-09-30	VYDAJ	VYBER	15	54119	SLUZBY	\N	\N
3324551	11042	1996-10-31	VYDAJ	VYBER	15	57403	SLUZBY	\N	\N
3324552	11042	1996-11-30	VYDAJ	VYBER	15	58495	SLUZBY	\N	\N
3324553	11042	1996-12-31	VYDAJ	VYBER	15	54511	SLUZBY	\N	\N
3324554	11042	1997-01-31	VYDAJ	VYBER	15	27239	SLUZBY	\N	\N
3324555	11042	1997-02-28	VYDAJ	VYBER	15	40324	SLUZBY	\N	\N
3324556	11042	1997-03-31	VYDAJ	VYBER	15	47654	SLUZBY	\N	\N
3324557	11042	1997-04-30	VYDAJ	VYBER	15	54513	SLUZBY	\N	\N
3324558	11042	1997-05-31	VYDAJ	VYBER	15	48671	SLUZBY	\N	\N
3324559	11042	1997-06-30	VYDAJ	VYBER	15	32204	SLUZBY	\N	\N
3324560	11042	1997-07-31	VYDAJ	VYBER	15	38996	SLUZBY	\N	\N
3324561	11042	1997-08-31	VYDAJ	VYBER	15	44713	SLUZBY	\N	\N
3324562	11042	1997-09-30	VYDAJ	VYBER	15	47844	SLUZBY	\N	\N
3324563	11042	1997-10-31	VYDAJ	VYBER	15	50386	SLUZBY	\N	\N
3324564	11042	1997-11-30	VYDAJ	VYBER	15	38661	SLUZBY	\N	\N
3324565	11042	1997-12-31	VYDAJ	VYBER	15	39298	SLUZBY	\N	\N
3324566	11042	1998-01-31	VYDAJ	VYBER	15	28870	SLUZBY	\N	\N
3324567	11042	1998-02-28	VYDAJ	VYBER	15	41552	SLUZBY	\N	\N
3324568	11042	1998-03-31	VYDAJ	VYBER	15	48174	SLUZBY	\N	\N
3324569	11042	1998-04-30	VYDAJ	VYBER	15	49906	SLUZBY	\N	\N
3324570	11042	1998-05-31	VYDAJ	VYBER	15	56862	SLUZBY	\N	\N
3324571	11042	1998-06-30	VYDAJ	VYBER	15	50840	SLUZBY	\N	\N
3324572	11042	1998-07-31	VYDAJ	VYBER	15	47344	SLUZBY	\N	\N
3324573	11042	1998-08-31	VYDAJ	VYBER	15	54585	SLUZBY	\N	\N
3324574	11042	1998-09-30	VYDAJ	VYBER	15	35217	SLUZBY	\N	\N
3324575	11042	1998-10-31	VYDAJ	VYBER	15	31140	SLUZBY	\N	\N
3324576	11042	1998-11-30	VYDAJ	VYBER	15	40716	SLUZBY	\N	\N
3324577	11042	1995-02-28	VYDAJ	VYBER	7300	29295	\N	\N	\N
3324578	11042	1995-03-30	VYDAJ	VYBER	23300	42186	\N	\N	\N
3324579	11042	1995-04-29	VYDAJ	VYBER	27000	51503	\N	\N	\N
3324580	11042	1995-05-29	VYDAJ	VYBER	32600	55272	\N	\N	\N
3324581	11042	1995-06-05	VYDAJ	VYBER	34200	75574	\N	\N	\N
3324582	11042	1995-06-28	VYDAJ	VYBER	7000	30536	\N	\N	\N
3324583	11042	1995-07-28	VYDAJ	VYBER	4400	25379	\N	\N	\N
3324584	11042	1995-08-27	VYDAJ	VYBER	10800	37785	\N	\N	\N
3324585	11042	1995-09-26	VYDAJ	VYBER	16100	39072	\N	\N	\N
3324586	11042	1995-10-26	VYDAJ	VYBER	16300	35226	\N	\N	\N
3324587	11042	1995-11-25	VYDAJ	VYBER	15300	42068	\N	\N	\N
3324588	11042	1995-12-25	VYDAJ	VYBER	27100	49298	\N	\N	\N
3324589	11042	1996-01-24	PRIJEM	VKLAD	3600	25670	\N	\N	\N
3324590	11042	1996-02-23	VYDAJ	VYBER KARTOU	3700	35407	\N	\N	0
3324591	11042	1996-03-24	VYDAJ	VYBER	11200	46094	\N	\N	\N
3324592	11042	1996-04-23	VYDAJ	VYBER	7300	41723	\N	\N	\N
3324593	11042	1996-05-23	VYDAJ	VYBER	16800	46840	\N	\N	\N
3324594	11042	1996-06-22	VYDAJ	VYBER	18600	53697	\N	\N	\N
3324595	11042	1996-07-22	VYDAJ	VYBER	12400	49751	\N	\N	\N
3324596	11042	1996-08-21	VYDAJ	VYBER	17500	54191	\N	\N	\N
3324597	11042	1996-09-20	VYDAJ	VYBER	22300	53862	\N	\N	\N
3324598	11042	1996-10-20	VYDAJ	VYBER	18700	57142	\N	\N	\N
3324599	11042	1996-11-19	VYDAJ	VYBER	20900	58226	\N	\N	\N
3324600	11042	1996-12-19	VYDAJ	VYBER	29400	62313	\N	\N	\N
3324601	11042	1997-01-18	VYDAJ	VYBER	10200	45934	\N	\N	\N
3324602	11042	1997-02-17	VYDAJ	VYBER	8800	40163	\N	\N	\N
3324603	11042	1997-03-19	VYDAJ	VYBER	14600	47447	\N	\N	\N
3324604	11042	1997-04-18	VYDAJ	VYBER	15100	54277	\N	\N	\N
3324605	11042	1997-05-18	VYDAJ	VYBER	13400	48436	\N	\N	\N
3324606	11042	1997-06-17	VYDAJ	VYBER	8000	46642	\N	\N	\N
3324607	11042	1997-07-17	VYDAJ	VYBER	5200	45727	\N	\N	\N
3324608	11042	1997-08-16	VYDAJ	VYBER	13500	47219	\N	\N	\N
3324609	11042	1997-09-15	VYDAJ	VYBER	18800	47636	\N	\N	\N
3324610	11042	1997-10-15	VYDAJ	VYBER	19400	50167	\N	\N	\N
3324611	11042	1997-11-14	VYDAJ	VYBER	21200	50909	\N	\N	\N
3324612	11042	1997-12-14	VYDAJ	VYBER	25000	53480	\N	\N	\N
3324613	11042	1998-01-13	VYDAJ	VYBER	14600	39821	\N	\N	\N
3324614	11042	1998-02-12	VYDAJ	VYBER	9200	41394	\N	\N	\N
3324615	11042	1998-03-14	VYDAJ	VYBER	15300	47976	\N	\N	\N
3324616	11042	1998-04-13	VYDAJ	VYBER	6400	49698	\N	\N	\N
3324617	11042	1998-05-13	VYDAJ	VYBER	15000	56629	\N	\N	\N
3324618	11042	1998-06-12	VYDAJ	VYBER	13400	50580	\N	\N	\N
3324619	11042	1998-07-12	VYDAJ	VYBER	13400	65195	\N	\N	\N
3324620	11042	1998-08-11	VYDAJ	VYBER	14700	60399	\N	\N	\N
3324621	11042	1998-09-10	VYDAJ	VYBER	12500	49638	\N	\N	\N
3324622	11042	1998-10-10	VYDAJ	VYBER	9200	45372	\N	\N	\N
3324623	11042	1998-11-09	VYDAJ	VYBER	12300	46595	\N	\N	\N
3324624	11042	1998-12-09	VYDAJ	VYBER	28100	58466	\N	\N	\N
3327256	11053	1997-05-27	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3327257	11053	1997-07-01	PRIJEM	VKLAD	28138	38138	\N	\N	\N
3327258	11053	1997-08-21	PRIJEM	VKLAD	44885	104159	\N	\N	\N
3327260	11053	1997-11-11	PRIJEM	VKLAD	8316	18561	\N	\N	\N
3327263	11053	1997-09-18	PRIJEM	VKLAD	48844	107793	\N	\N	\N
3327264	11053	1997-08-05	PRIJEM	VKLAD	13689	46175	\N	\N	\N
3327266	11053	1997-11-21	PRIJEM	VKLAD	38125	56686	\N	\N	\N
3327272	11053	1997-08-10	PRIJEM	VKLAD	13099	59274	\N	\N	\N
3327273	11053	1997-08-28	PRIJEM	VKLAD	10205	72264	\N	\N	\N
3327277	11053	1998-07-27	PRIJEM	VKLAD	42821	87059	\N	\N	\N
3327278	11053	1998-03-31	PRIJEM	VKLAD	48159	98150	\N	\N	\N
3327279	11053	1998-04-22	PRIJEM	VKLAD	25460	128055	\N	\N	\N
3327280	11053	1998-01-11	PRIJEM	VKLAD	16998	15066	\N	\N	\N
3327281	11053	1998-10-17	PRIJEM	VKLAD	15820	90036	\N	\N	\N
3327282	11053	1998-06-16	PRIJEM	VKLAD	27556	92123	\N	\N	\N
3327283	11053	1998-10-01	PRIJEM	VKLAD	41700	74216	\N	\N	\N
3327284	11053	1998-01-14	PRIJEM	VKLAD	43144	58210	\N	\N	\N
3327285	11053	1998-11-14	PRIJEM	VKLAD	26000	94719	\N	\N	\N
3327286	11053	1998-03-21	PRIJEM	VKLAD	27990	131604	\N	\N	\N
3327287	11053	1998-04-23	PRIJEM	VKLAD	34927	89240	\N	\N	\N
3327288	11053	1998-06-18	PRIJEM	VKLAD	21079	92186	\N	\N	\N
3327289	11053	1998-05-11	PRIJEM	VKLAD	42446	125604	\N	\N	\N
3327290	11053	1998-07-30	PRIJEM	VKLAD	41221	128280	\N	\N	\N
3327291	11053	1998-06-03	PRIJEM	VKLAD	20984	64567	\N	\N	\N
3327292	11053	1998-04-19	PRIJEM	VKLAD	48385	124395	\N	\N	\N
3327293	11053	1998-03-17	PRIJEM	VKLAD	43382	103614	\N	\N	\N
3327294	11053	1998-02-07	PRIJEM	VKLAD	6275	36803	\N	\N	\N
3327295	11053	1998-03-06	PRIJEM	VKLAD	36102	63232	\N	\N	\N
3327296	11053	1998-04-22	PRIJEM	VKLAD	46158	174213	\N	\N	\N
3327297	11053	1998-04-05	PRIJEM	VKLAD	38675	136810	\N	\N	\N
3327323	11053	1997-09-15	VYBER	VYBER	7145	58949	\N	\N	\N
3327324	11053	1997-10-18	VYBER	VYBER	14776	7243	\N	\N	\N
3327328	11053	1997-12-03	VYBER	VYBER	23190	15548	\N	\N	\N
3327329	11053	1998-06-16	VYBER	VYBER	6616	85507	\N	\N	\N
3327331	11053	1998-06-16	VYDAJ	VYBER	14400	71107	\N	\N	\N
3327332	11053	1997-12-29	VYDAJ	VYBER	1800	6048	\N	\N	\N
3327333	11053	1998-12-28	VYDAJ	VYBER	3900	56907	\N	\N	\N
3327340	11053	1998-01-01	VYDAJ	VYBER	8100	-1932	\N	\N	\N
3327341	11053	1998-01-25	VYDAJ	VYBER	3600	37510	\N	\N	\N
3327344	11053	1998-01-25	VYDAJ	VYBER	7200	30310	\N	\N	\N
3327345	11053	1998-01-14	VYDAJ	VYBER	3300	54910	\N	\N	\N
3327347	11053	1997-10-16	VYDAJ	VYBER	6000	22019	\N	\N	\N
3327349	11053	1997-09-10	VYDAJ	VYBER	6600	66094	\N	\N	\N
3327350	11053	1997-10-08	VYDAJ	VYBER	8400	28019	\N	\N	\N
3327351	11053	1997-12-25	VYDAJ	VYBER	11400	7848	\N	\N	\N
3327354	11053	1998-09-11	VYDAJ	VYBER	11400	36716	\N	\N	\N
3327355	11053	1998-08-19	VYDAJ	VYBER	8400	86197	\N	\N	\N
3327356	11053	1998-03-07	VYDAJ	VYBER	3000	60232	\N	\N	\N
3327357	11053	1998-08-26	VYDAJ	VYBER	13200	47497	\N	\N	\N
3327358	11053	1998-09-18	VYDAJ	VYBER	6900	29816	\N	\N	\N
3327359	11053	1998-12-29	VYDAJ	VYBER	8700	48207	\N	\N	\N
3327360	11053	1998-04-29	VYDAJ	VYBER	6900	82340	\N	\N	\N
3327369	11053	1997-08-31	VYDAJ	VYBER	15	72694	SLUZBY	\N	\N
3327370	11053	1997-09-30	VYDAJ	VYBER	15	36419	SLUZBY	\N	\N
3327371	11053	1997-10-31	VYDAJ	VYBER	15	10245	SLUZBY	\N	\N
3327372	11053	1997-11-30	VYDAJ	VYBER	15	38738	SLUZBY	\N	\N
3327373	11053	1997-12-31	VYDAJ	VYBER	15	6168	SLUZBY	\N	\N
3327374	11053	1998-01-31	VYDAJ	VYBER	15	30528	SLUZBY	\N	\N
3327375	11053	1998-02-28	VYDAJ	VYBER	15	27130	SLUZBY	\N	\N
3327376	11053	1998-03-31	VYDAJ	VYBER	15	98135	SLUZBY	\N	\N
3327377	11053	1998-04-30	VYDAJ	VYBER	15	83158	SLUZBY	\N	\N
3327378	11053	1998-05-31	VYDAJ	VYBER	15	43583	SLUZBY	\N	\N
3327379	11053	1998-06-30	VYDAJ	VYBER	15	60238	SLUZBY	\N	\N
3327380	11053	1998-07-31	VYDAJ	VYBER	15	94597	SLUZBY	\N	\N
3327381	11053	1998-08-31	VYDAJ	VYBER	15	48116	SLUZBY	\N	\N
3327382	11053	1998-09-30	VYDAJ	VYBER	15	32516	SLUZBY	\N	\N
3327383	11053	1998-10-31	VYDAJ	VYBER	15	68719	SLUZBY	\N	\N
3327384	11053	1998-11-30	VYDAJ	VYBER	15	71607	SLUZBY	\N	\N
3327385	11053	1997-06-26	PRIJEM	VKLAD	8900	10000	\N	\N	\N
3327386	11053	1997-07-26	VYDAJ	VYBER	5700	32438	\N	\N	\N
3327387	11053	1997-08-25	VYDAJ	VYBER	42100	62059	\N	\N	\N
3327388	11053	1997-09-18	VYDAJ	VYBER	55700	52093	\N	\N	\N
3327389	11053	1997-09-24	VYDAJ	VYBER	16000	36093	\N	\N	\N
3327390	11053	1997-10-24	PRIJEM	VKLAD	2900	10143	\N	\N	\N
3327391	11053	1997-11-23	VYDAJ	VYBER	18100	38586	\N	\N	\N
3327392	11053	1997-12-23	PRIJEM	VKLAD	3700	19248	\N	\N	\N
3327393	11053	1998-01-22	VYDAJ	VYBER	13800	41110	\N	\N	\N
3327394	11053	1998-02-21	VYDAJ	VYBER	9900	26903	\N	\N	\N
3327395	11053	1998-03-21	VYDAJ	VYBER	51000	80604	\N	\N	\N
3327396	11053	1998-03-23	VYDAJ	VYBER	31100	49504	\N	\N	\N
3327397	11053	1998-04-05	VYDAJ	VYBER	60800	76010	\N	\N	\N
3327398	11053	1998-04-19	VYDAJ	VYBER	21800	102595	\N	\N	\N
3327399	11053	1998-04-22	VYDAJ	VYBER	24700	54313	\N	\N	\N
3327400	11053	1998-04-22	VYDAJ	VYBER	63600	110613	\N	\N	\N
3327401	11053	1998-04-22	VYDAJ	VYBER	31600	79013	\N	\N	\N
3327402	11053	1998-05-11	VYDAJ	VYBER	59700	65904	\N	\N	\N
3327403	11053	1998-05-22	VYDAJ	VYBER	23000	42904	\N	\N	\N
3327404	11053	1998-06-21	VYDAJ	VYBER	32300	59886	\N	\N	\N
3327405	11053	1998-07-21	VYDAJ	VYBER	16000	44238	\N	\N	\N
3327406	11053	1998-07-30	VYDAJ	VYBER	34200	94080	\N	\N	\N
3327407	11053	1998-08-20	VYDAJ	VYBER	25500	60697	\N	\N	\N
3327408	11053	1998-09-19	PRIJEM	VKLAD	2500	32316	\N	\N	\N
3327409	11053	1998-10-19	VYDAJ	VYBER	21700	68336	\N	\N	\N
3327410	11053	1998-11-18	VYDAJ	VYBER	23500	71219	\N	\N	\N
3327411	11053	1998-12-18	VYDAJ	VYBER	10800	60807	\N	\N	\N
3327430	11054	1996-02-01	PRIJEM	VKLAD	400	400	\N	\N	\N
3327432	11054	1996-02-07	PRIJEM	PREVOD Z UCTU	14892	15292	\N	GH	66801631
3327433	11054	1996-03-07	PRIJEM	PREVOD Z UCTU	14892	35135	\N	GH	66801631
3327434	11054	1996-04-07	PRIJEM	PREVOD Z UCTU	14892	48157	\N	GH	66801631
3327435	11054	1996-05-07	PRIJEM	PREVOD Z UCTU	14892	52339	\N	GH	66801631
3327436	11054	1996-06-07	PRIJEM	PREVOD Z UCTU	22338	63290	\N	GH	66801631
3327437	11054	1996-07-07	PRIJEM	PREVOD Z UCTU	14892	46631	\N	GH	66801631
3327438	11054	1996-08-07	PRIJEM	PREVOD Z UCTU	14892	36285	\N	GH	66801631
3327439	11054	1996-09-07	PRIJEM	PREVOD Z UCTU	14892	37224	\N	GH	66801631
3327440	11054	1996-10-07	PRIJEM	PREVOD Z UCTU	14892	42198	\N	GH	66801631
3327441	11054	1996-11-07	PRIJEM	PREVOD Z UCTU	14892	34717	\N	GH	66801631
3327442	11054	1996-12-07	PRIJEM	PREVOD Z UCTU	22338	41686	\N	GH	66801631
3327443	11054	1997-01-07	PRIJEM	PREVOD Z UCTU	14892	40161	\N	GH	66801631
3327444	11054	1997-02-07	PRIJEM	PREVOD Z UCTU	14892	35925	\N	GH	66801631
3327445	11054	1997-03-07	PRIJEM	PREVOD Z UCTU	14892	40294	\N	GH	66801631
3327446	11054	1997-04-07	PRIJEM	PREVOD Z UCTU	14892	42480	\N	GH	66801631
3327447	11054	1997-05-07	PRIJEM	PREVOD Z UCTU	14892	34974	\N	GH	66801631
3327448	11054	1997-06-07	PRIJEM	PREVOD Z UCTU	22338	46936	\N	GH	66801631
3327449	11054	1997-07-07	PRIJEM	PREVOD Z UCTU	14892	45429	\N	GH	66801631
3327450	11054	1997-08-07	PRIJEM	PREVOD Z UCTU	14892	48231	\N	GH	66801631
3327451	11054	1997-09-07	PRIJEM	PREVOD Z UCTU	14892	43761	\N	GH	66801631
3327452	11054	1997-10-07	PRIJEM	PREVOD Z UCTU	14892	38069	\N	GH	66801631
3327453	11054	1997-11-07	PRIJEM	PREVOD Z UCTU	14892	49875	\N	GH	66801631
3327454	11054	1997-12-07	PRIJEM	PREVOD Z UCTU	22338	55351	\N	GH	66801631
3327455	11054	1998-01-07	PRIJEM	PREVOD Z UCTU	14892	58495	\N	GH	66801631
3327456	11054	1998-02-07	PRIJEM	PREVOD Z UCTU	14892	40330	\N	GH	66801631
3327457	11054	1998-03-07	PRIJEM	PREVOD Z UCTU	14892	50628	\N	GH	66801631
3327458	11054	1998-04-07	PRIJEM	PREVOD Z UCTU	14892	47125	\N	GH	66801631
3327459	11054	1998-05-07	PRIJEM	PREVOD Z UCTU	14892	49521	\N	GH	66801631
3327460	11054	1998-06-07	PRIJEM	PREVOD Z UCTU	22338	51998	\N	GH	66801631
3327461	11054	1998-07-07	PRIJEM	PREVOD Z UCTU	14892	38002	\N	GH	66801631
3327462	11054	1998-08-07	PRIJEM	PREVOD Z UCTU	14892	49093	\N	GH	66801631
3327463	11054	1998-09-07	PRIJEM	PREVOD Z UCTU	14892	35536	\N	GH	66801631
3327464	11054	1998-10-07	PRIJEM	PREVOD Z UCTU	14892	46318	\N	GH	66801631
3327465	11054	1998-11-07	PRIJEM	PREVOD Z UCTU	14892	51135	\N	GH	66801631
3327466	11054	1998-12-07	PRIJEM	PREVOD Z UCTU	22338	66825	\N	GH	66801631
3327472	11054	1996-06-09	VYDAJ	VYBER	3000	60290	\N	\N	0
3327473	11054	1996-07-13	VYDAJ	VYBER	2200	21651	\N	\N	0
3327474	11054	1996-08-18	VYDAJ	VYBER	2900	15279	\N	\N	0
3327475	11054	1996-09-12	VYDAJ	PREVOD NA UCET	2482	34742	UVER	KL	99520563
3327476	11054	1996-10-12	VYDAJ	PREVOD NA UCET	2482	20587	UVER	KL	99520563
3327477	11054	1996-11-12	VYDAJ	PREVOD NA UCET	2482	32235	UVER	KL	99520563
3327478	11054	1996-12-12	VYDAJ	PREVOD NA UCET	2482	30504	UVER	KL	99520563
3327479	11054	1997-01-12	VYDAJ	PREVOD NA UCET	2482	37679	UVER	KL	99520563
3327480	11054	1997-02-12	VYDAJ	PREVOD NA UCET	2482	33443	UVER	KL	99520563
3327481	11054	1997-03-12	VYDAJ	PREVOD NA UCET	2482	37812	UVER	KL	99520563
3327482	11054	1997-04-12	VYDAJ	PREVOD NA UCET	2482	39998	UVER	KL	99520563
3327483	11054	1997-05-12	VYDAJ	PREVOD NA UCET	2482	29233	UVER	KL	99520563
3327484	11054	1997-06-12	VYDAJ	PREVOD NA UCET	2482	44454	UVER	KL	99520563
3327485	11054	1997-07-12	VYDAJ	PREVOD NA UCET	2482	42947	UVER	KL	99520563
3327486	11054	1997-08-12	VYDAJ	PREVOD NA UCET	2482	37975	UVER	KL	99520563
3327487	11054	1997-09-12	VYDAJ	PREVOD NA UCET	2482	41279	UVER	KL	99520563
3327488	11054	1997-10-12	VYDAJ	PREVOD NA UCET	2482	35587	UVER	KL	99520563
3327489	11054	1997-11-12	VYDAJ	PREVOD NA UCET	2482	47393	UVER	KL	99520563
3327490	11054	1997-12-12	VYDAJ	PREVOD NA UCET	2482	52869	UVER	KL	99520563
3327491	11054	1998-01-12	VYDAJ	PREVOD NA UCET	2482	56013	UVER	KL	99520563
3327492	11054	1998-02-12	VYDAJ	PREVOD NA UCET	2482	37848	UVER	KL	99520563
3327493	11054	1998-03-12	VYDAJ	PREVOD NA UCET	2482	31734	UVER	KL	99520563
3327494	11054	1998-04-12	VYDAJ	PREVOD NA UCET	2482	44643	UVER	KL	99520563
3327495	11054	1998-05-12	VYDAJ	PREVOD NA UCET	2482	47039	UVER	KL	99520563
3327496	11054	1998-06-12	VYDAJ	PREVOD NA UCET	2482	49516	UVER	KL	99520563
3327497	11054	1998-07-12	VYDAJ	PREVOD NA UCET	2482	35520	UVER	KL	99520563
3327498	11054	1998-08-12	VYDAJ	PREVOD NA UCET	2482	38811	UVER	KL	99520563
3327499	11054	1998-09-12	VYDAJ	PREVOD NA UCET	2482	33054	UVER	KL	99520563
3327500	11054	1998-10-12	VYDAJ	PREVOD NA UCET	2482	43836	UVER	KL	99520563
3327501	11054	1998-11-12	VYDAJ	PREVOD NA UCET	2482	48653	UVER	KL	99520563
3327502	11054	1998-12-12	VYDAJ	PREVOD NA UCET	2482	64343	UVER	KL	99520563
3327508	11054	1996-06-14	VYDAJ	PREVOD NA UCET	11506	48784	SIPO	EF	28344845
3327509	11054	1996-07-14	VYDAJ	PREVOD NA UCET	11506	10145	SIPO	EF	28344845
3327510	11054	1996-08-14	VYDAJ	PREVOD NA UCET	11506	18179	SIPO	EF	28344845
3327511	11054	1996-09-14	VYDAJ	PREVOD NA UCET	11506	23236	SIPO	EF	28344845
3327512	11054	1996-10-14	VYDAJ	PREVOD NA UCET	11506	9081	SIPO	EF	28344845
3327513	11054	1996-11-14	VYDAJ	PREVOD NA UCET	11506	20729	SIPO	EF	28344845
3327514	11054	1996-12-14	VYDAJ	PREVOD NA UCET	11506	18998	SIPO	EF	28344845
3327515	11054	1997-01-14	VYDAJ	PREVOD NA UCET	11506	15673	SIPO	EF	28344845
3327516	11054	1997-02-14	VYDAJ	PREVOD NA UCET	11506	21937	SIPO	EF	28344845
3327517	11054	1997-03-14	VYDAJ	PREVOD NA UCET	11506	26306	SIPO	EF	28344845
3327518	11054	1997-04-14	VYDAJ	PREVOD NA UCET	11506	28492	SIPO	EF	28344845
3327519	11054	1997-05-14	VYDAJ	PREVOD NA UCET	11506	17727	SIPO	EF	28344845
3327520	11054	1997-06-14	VYDAJ	PREVOD NA UCET	11506	29348	SIPO	EF	28344845
3327521	11054	1997-07-14	VYDAJ	PREVOD NA UCET	11506	27541	SIPO	EF	28344845
3327522	11054	1997-08-14	VYDAJ	PREVOD NA UCET	11506	26469	SIPO	EF	28344845
3327523	11054	1997-09-14	VYDAJ	PREVOD NA UCET	11506	29773	SIPO	EF	28344845
3327524	11054	1997-10-14	VYDAJ	PREVOD NA UCET	11506	24081	SIPO	EF	28344845
3327525	11054	1997-11-14	VYDAJ	PREVOD NA UCET	11506	35887	SIPO	EF	28344845
3327526	11054	1997-12-14	VYDAJ	PREVOD NA UCET	11506	41363	SIPO	EF	28344845
3327527	11054	1998-01-14	VYDAJ	PREVOD NA UCET	11506	37607	SIPO	EF	28344845
3327528	11054	1998-02-14	VYDAJ	PREVOD NA UCET	11506	26342	SIPO	EF	28344845
3327529	11054	1998-03-14	VYDAJ	PREVOD NA UCET	11506	20228	SIPO	EF	28344845
3327530	11054	1998-04-14	VYDAJ	PREVOD NA UCET	11506	33137	SIPO	EF	28344845
3327531	11054	1998-05-14	VYDAJ	PREVOD NA UCET	11506	35533	SIPO	EF	28344845
3327532	11054	1998-06-14	VYDAJ	PREVOD NA UCET	11506	38010	SIPO	EF	28344845
3327533	11054	1998-07-14	VYDAJ	PREVOD NA UCET	11506	24014	SIPO	EF	28344845
3327534	11054	1998-08-14	VYDAJ	PREVOD NA UCET	11506	27305	SIPO	EF	28344845
3327535	11054	1998-09-14	VYDAJ	PREVOD NA UCET	11506	21548	SIPO	EF	28344845
3327536	11054	1998-10-14	VYDAJ	PREVOD NA UCET	11506	32330	SIPO	EF	28344845
3327537	11054	1998-11-14	VYDAJ	PREVOD NA UCET	11506	37147	SIPO	EF	28344845
3327538	11054	1998-12-14	VYDAJ	PREVOD NA UCET	11506	52837	SIPO	EF	28344845
3327542	11054	1996-12-05	VYBER	VYBER	5560	19348	\N	\N	\N
3327543	11054	1996-07-09	VYBER	VYBER	22780	23851	\N	\N	\N
3327544	11054	1996-10-12	VYBER	VYBER	19129	23069	\N	\N	\N
3327552	11054	1996-11-15	VYBER	VYBER	2278	18451	\N	\N	\N
3327553	11054	1997-12-20	VYBER	VYBER	3216	38147	\N	\N	\N
3327557	11054	1997-09-19	VYBER	VYBER	7289	22484	\N	\N	\N
3327559	11054	1997-08-09	VYBER	VYBER	7774	40457	\N	\N	\N
3327560	11054	1997-05-11	VYBER	VYBER	3259	31715	\N	\N	\N
3327566	11054	1998-04-20	VYBER	VYBER	3919	29218	\N	\N	\N
3327569	11054	1998-03-07	VYBER	VYBER	16412	34216	\N	\N	\N
3327571	11054	1998-08-29	VYBER	VYBER	4014	20543	\N	\N	\N
3327573	11054	1998-06-27	VYBER	VYBER	19639	22971	\N	\N	\N
3327574	11054	1998-08-24	VYBER	VYBER	3048	29057	\N	\N	\N
3327577	11054	1996-06-23	VYDAJ	VYBER	15300	33484	\N	\N	\N
3327583	11054	1996-12-08	VYDAJ	VYBER	8700	32986	\N	\N	\N
3327584	11054	1997-12-04	VYDAJ	VYBER	7500	33013	\N	\N	\N
3327585	11054	1998-12-24	VYDAJ	VYBER	3900	52837	\N	\N	\N
3327592	11054	1997-01-29	VYDAJ	VYBER	1800	20973	\N	\N	\N
3327594	11054	1997-01-13	VYDAJ	VYBER	4800	27179	\N	\N	\N
3327596	11054	1997-01-13	VYDAJ	VYBER	5700	31979	\N	\N	\N
3327598	11054	1998-01-29	VYDAJ	VYBER	7200	25307	\N	\N	\N
3327599	11054	1998-01-14	VYDAJ	VYBER	6900	49113	\N	\N	\N
3327600	11054	1998-01-17	VYDAJ	VYBER	8400	27707	\N	\N	\N
3327601	11054	1998-01-16	VYDAJ	VYBER	1500	36107	\N	\N	\N
3327602	11054	1998-01-21	VYDAJ	VYBER	3000	32507	\N	\N	\N
3327607	11054	1996-08-10	VYDAJ	VYBER	6600	29685	\N	\N	\N
3327609	11054	1997-06-14	VYDAJ	VYBER	3600	40854	\N	\N	\N
3327610	11054	1997-10-04	VYDAJ	VYBER	8400	23177	\N	\N	\N
3327611	11054	1997-07-13	VYDAJ	VYBER	3900	39047	\N	\N	\N
3327612	11054	1997-08-25	VYDAJ	VYBER	3300	28769	\N	\N	\N
3327613	11054	1997-05-01	VYDAJ	VYBER	6900	20082	\N	\N	\N
3327614	11054	1998-06-05	VYDAJ	VYBER	11100	29660	\N	\N	\N
3327615	11054	1998-08-09	VYDAJ	VYBER	7800	41293	\N	\N	\N
3327616	11054	1998-08-28	VYDAJ	VYBER	4500	24557	\N	\N	\N
3327623	11054	1996-06-30	VYDAJ	VYBER	30	33639	SLUZBY	\N	\N
3327624	11054	1996-07-31	VYDAJ	VYBER	30	21393	SLUZBY	\N	\N
3327625	11054	1996-08-31	VYDAJ	VYBER	30	22332	SLUZBY	\N	\N
3327626	11054	1996-09-30	VYDAJ	VYBER	30	27306	SLUZBY	\N	\N
3327627	11054	1996-10-31	VYDAJ	VYBER	30	19825	SLUZBY	\N	\N
3327628	11054	1996-11-30	VYDAJ	VYBER	30	24908	SLUZBY	\N	\N
3327629	11054	1996-12-31	VYDAJ	VYBER	30	25269	SLUZBY	\N	\N
3327630	11054	1997-01-31	VYDAJ	VYBER	30	21033	SLUZBY	\N	\N
3327631	11054	1997-02-28	VYDAJ	VYBER	30	25402	SLUZBY	\N	\N
3327632	11054	1997-03-31	VYDAJ	VYBER	30	27588	SLUZBY	\N	\N
3327633	11054	1997-04-30	VYDAJ	VYBER	30	26982	SLUZBY	\N	\N
3327634	11054	1997-05-31	VYDAJ	VYBER	30	24598	SLUZBY	\N	\N
3327635	11054	1997-06-30	VYDAJ	VYBER	30	30537	SLUZBY	\N	\N
3327636	11054	1997-07-31	VYDAJ	VYBER	30	33339	SLUZBY	\N	\N
3327637	11054	1997-08-31	VYDAJ	VYBER	30	28869	SLUZBY	\N	\N
3327638	11054	1997-09-30	VYDAJ	VYBER	30	31577	SLUZBY	\N	\N
3327639	11054	1997-10-31	VYDAJ	VYBER	30	34983	SLUZBY	\N	\N
3327640	11054	1997-11-30	VYDAJ	VYBER	30	40513	SLUZBY	\N	\N
3327641	11054	1997-12-31	VYDAJ	VYBER	30	43603	SLUZBY	\N	\N
3327642	11054	1998-01-31	VYDAJ	VYBER	30	25438	SLUZBY	\N	\N
3327643	11054	1998-02-28	VYDAJ	VYBER	30	35736	SLUZBY	\N	\N
3327644	11054	1998-03-31	VYDAJ	VYBER	30	32233	SLUZBY	\N	\N
3327645	11054	1998-04-30	VYDAJ	VYBER	30	34629	SLUZBY	\N	\N
3327646	11054	1998-05-31	VYDAJ	VYBER	30	40760	SLUZBY	\N	\N
3327647	11054	1998-06-30	VYDAJ	VYBER	30	23110	SLUZBY	\N	\N
3327648	11054	1998-07-31	VYDAJ	VYBER	30	34201	SLUZBY	\N	\N
3327649	11054	1998-08-31	VYDAJ	VYBER	30	20644	SLUZBY	\N	\N
3327650	11054	1998-09-30	VYDAJ	VYBER	30	31426	SLUZBY	\N	\N
3327651	11054	1998-10-31	VYDAJ	VYBER	30	36243	SLUZBY	\N	\N
3327652	11054	1998-11-30	VYDAJ	VYBER	30	44487	SLUZBY	\N	\N
3327653	11054	1996-03-02	PRIJEM	VKLAD	4900	20243	\N	\N	\N
3327654	11054	1996-04-01	VYDAJ	VYBER	2000	33265	\N	\N	\N
3327655	11054	1996-05-01	VYDAJ	VYBER	10900	37447	\N	\N	\N
3327656	11054	1996-05-31	VYDAJ	VYBER	11600	40952	\N	\N	\N
3327657	11054	1996-06-30	VYDAJ	VYBER	1900	31739	\N	\N	\N
3327658	11054	1996-07-30	PRIJEM	VKLAD	11200	21345	\N	\N	\N
3327659	11054	1996-08-29	PRIJEM	VKLAD	7000	22279	\N	\N	\N
3327660	11054	1996-09-28	PRIJEM	VKLAD	4000	27236	\N	\N	\N
3327661	11054	1996-10-28	PRIJEM	VKLAD	10700	19781	\N	\N	\N
3327662	11054	1996-11-27	PRIJEM	VKLAD	6400	24851	\N	\N	\N
3327663	11054	1996-12-27	PRIJEM	VKLAD	6200	25198	\N	\N	\N
3327664	11054	1997-01-26	PRIJEM	VKLAD	7100	22773	\N	\N	\N
3327665	11054	1997-02-25	PRIJEM	VKLAD	3400	25337	\N	\N	\N
3327666	11054	1997-03-27	PRIJEM	VKLAD	1200	27506	\N	\N	\N
3327667	11054	1997-04-26	VYDAJ	VYBER	1600	26892	\N	\N	\N
3327668	11054	1997-05-26	PRIJEM	VKLAD	6800	24527	\N	\N	\N
3327669	11054	1997-06-25	PRIJEM	VKLAD	1100	30448	\N	\N	\N
3327670	11054	1997-07-25	PRIJEM	VKLAD	5700	33241	\N	\N	\N
3327671	11054	1997-08-24	PRIJEM	VKLAD	5600	32069	\N	\N	\N
3327672	11054	1997-09-23	PRIJEM	VKLAD	9000	31484	\N	\N	\N
3327673	11054	1997-10-23	PRIJEM	VKLAD	10800	34881	\N	\N	\N
3327674	11054	1997-11-22	PRIJEM	VKLAD	4500	40387	\N	\N	\N
3327675	11054	1997-12-22	PRIJEM	VKLAD	5300	43447	\N	\N	\N
3327676	11054	1998-01-21	PRIJEM	VKLAD	7800	35507	\N	\N	\N
3327677	11054	1998-02-20	PRIJEM	VKLAD	9300	35642	\N	\N	\N
3327678	11054	1998-03-22	PRIJEM	VKLAD	11900	32128	\N	\N	\N
3327679	11054	1998-04-21	PRIJEM	VKLAD	5300	34518	\N	\N	\N
3327680	11054	1998-05-21	PRIJEM	VKLAD	5100	40633	\N	\N	\N
3327681	11054	1998-06-20	PRIJEM	VKLAD	4600	42610	\N	\N	\N
3327682	11054	1998-07-20	PRIJEM	VKLAD	10100	34114	\N	\N	\N
3327683	11054	1998-08-19	PRIJEM	VKLAD	4800	32105	\N	\N	\N
3327684	11054	1998-09-18	PRIJEM	VKLAD	9800	31348	\N	\N	\N
3327685	11054	1998-10-18	PRIJEM	VKLAD	3800	36130	\N	\N	\N
3327686	11054	1998-11-17	PRIJEM	VKLAD	7200	44347	\N	\N	\N
3327687	11054	1998-12-17	PRIJEM	VKLAD	3900	56737	\N	\N	\N
3331510	11065	1993-03-19	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3331514	11065	1993-04-06	PRIJEM	VKLAD	11855	12955	\N	\N	\N
3331515	11065	1993-05-06	PRIJEM	VKLAD	11855	30844	\N	\N	\N
3331516	11065	1993-06-06	PRIJEM	VKLAD	17782	43919	\N	\N	\N
3331517	11065	1993-07-06	PRIJEM	VKLAD	11855	43994	\N	\N	\N
3331518	11065	1993-08-06	PRIJEM	VKLAD	11855	44984	\N	\N	\N
3331519	11065	1993-09-06	PRIJEM	VKLAD	11855	46973	\N	\N	\N
3331520	11065	1993-10-06	PRIJEM	VKLAD	11855	44160	\N	\N	\N
3331521	11065	1993-11-06	PRIJEM	VKLAD	11855	42150	\N	\N	\N
3331522	11065	1993-12-06	PRIJEM	VKLAD	17782	48064	\N	\N	\N
3331523	11065	1994-01-06	PRIJEM	VKLAD	11855	49469	\N	\N	\N
3331524	11065	1994-02-06	PRIJEM	VKLAD	11855	27038	\N	\N	\N
3331525	11065	1994-03-06	PRIJEM	VKLAD	11855	38281	\N	\N	\N
3331526	11065	1994-04-06	PRIJEM	VKLAD	11855	45752	\N	\N	\N
3331527	11065	1994-05-06	PRIJEM	VKLAD	11855	46146	\N	\N	\N
3331528	11065	1994-06-06	PRIJEM	VKLAD	17782	52365	\N	\N	\N
3331529	11065	1994-07-06	PRIJEM	VKLAD	11855	42513	\N	\N	\N
3331530	11065	1994-08-06	PRIJEM	VKLAD	11855	41745	\N	\N	\N
3331531	11065	1994-09-06	PRIJEM	VKLAD	11855	41871	\N	\N	\N
3331532	11065	1994-10-06	PRIJEM	VKLAD	11855	48109	\N	\N	\N
3331533	11065	1994-11-06	PRIJEM	VKLAD	11855	48055	\N	\N	\N
3331534	11065	1994-12-06	PRIJEM	VKLAD	17782	56736	\N	\N	\N
3331535	11065	1995-01-06	PRIJEM	VKLAD	11855	53405	\N	\N	\N
3331536	11065	1995-02-06	PRIJEM	VKLAD	11855	42357	\N	\N	\N
3331537	11065	1995-03-06	PRIJEM	VKLAD	11855	47600	\N	\N	\N
3331538	11065	1995-04-06	PRIJEM	VKLAD	11855	48145	\N	\N	\N
3331539	11065	1995-05-06	PRIJEM	VKLAD	11855	46690	\N	\N	\N
3331540	11065	1995-06-06	PRIJEM	VKLAD	17782	53365	\N	\N	\N
3331541	11065	1995-07-06	PRIJEM	VKLAD	11855	48913	\N	\N	\N
3331542	11065	1995-08-06	PRIJEM	VKLAD	11855	45952	\N	\N	\N
3331543	11065	1995-09-06	PRIJEM	VKLAD	11855	42598	\N	\N	\N
3331544	11065	1995-10-06	PRIJEM	VKLAD	11855	44462	\N	\N	\N
3331545	11065	1995-11-06	PRIJEM	VKLAD	11855	47135	\N	\N	\N
3331546	11065	1995-12-06	PRIJEM	VKLAD	17782	55846	\N	\N	\N
3331547	11065	1996-01-06	PRIJEM	VKLAD	11855	51560	\N	\N	\N
3331548	11065	1996-02-06	PRIJEM	VKLAD	11855	38830	\N	\N	\N
3331549	11065	1996-03-06	PRIJEM	VKLAD	11855	41773	\N	\N	\N
3331550	11065	1996-04-06	PRIJEM	VKLAD	11855	45833	\N	\N	\N
3331551	11065	1996-05-06	PRIJEM	VKLAD	11855	43310	\N	\N	\N
3331552	11065	1996-06-06	PRIJEM	VKLAD	17782	50707	\N	\N	\N
3331553	11065	1996-07-06	PRIJEM	VKLAD	11855	41389	\N	\N	\N
3331554	11065	1996-08-06	PRIJEM	VKLAD	11855	43351	\N	\N	\N
3331555	11065	1996-09-06	PRIJEM	VKLAD	11855	41200	\N	\N	\N
3331556	11065	1996-10-06	PRIJEM	VKLAD	11855	38037	\N	\N	\N
3331557	11065	1996-11-06	PRIJEM	VKLAD	11855	42365	\N	\N	\N
3331558	11065	1996-12-06	PRIJEM	VKLAD	17782	48935	\N	\N	\N
3331559	11065	1997-01-06	PRIJEM	VKLAD	11855	40801	\N	\N	\N
3331560	11065	1997-02-06	PRIJEM	VKLAD	11855	29422	\N	\N	\N
3331561	11065	1997-03-06	PRIJEM	VKLAD	11855	33211	\N	\N	\N
3331562	11065	1997-04-06	PRIJEM	VKLAD	11855	34115	\N	\N	\N
3331563	11065	1997-05-06	PRIJEM	VKLAD	11855	33815	\N	\N	\N
3331564	11065	1997-06-06	PRIJEM	VKLAD	17782	39038	\N	\N	\N
3331565	11065	1997-07-06	PRIJEM	VKLAD	11855	33134	\N	\N	\N
3331566	11065	1997-08-06	PRIJEM	VKLAD	11855	34335	\N	\N	\N
3331567	11065	1997-09-06	PRIJEM	VKLAD	11855	31434	\N	\N	\N
3331568	11065	1997-10-06	PRIJEM	VKLAD	11855	28921	\N	\N	\N
3331569	11065	1997-11-06	PRIJEM	VKLAD	11855	38711	\N	\N	\N
3331570	11065	1997-12-06	PRIJEM	VKLAD	17782	38951	\N	\N	\N
3331571	11065	1998-01-06	PRIJEM	VKLAD	11855	30554	\N	\N	\N
3331572	11065	1998-02-06	PRIJEM	VKLAD	11855	31447	\N	\N	\N
3331573	11065	1998-03-06	PRIJEM	VKLAD	11855	38141	\N	\N	\N
3331574	11065	1998-04-06	PRIJEM	VKLAD	11855	30348	\N	\N	\N
3331575	11065	1998-05-06	PRIJEM	VKLAD	11855	40843	\N	\N	\N
3331576	11065	1998-06-06	PRIJEM	VKLAD	17782	38684	\N	\N	\N
3331577	11065	1998-07-06	PRIJEM	VKLAD	11855	31580	\N	\N	\N
3331578	11065	1998-08-06	PRIJEM	VKLAD	11855	31903	\N	\N	\N
3331579	11065	1998-09-06	PRIJEM	VKLAD	11855	29027	\N	\N	\N
3331580	11065	1998-10-06	PRIJEM	VKLAD	11855	33964	\N	\N	\N
3331581	11065	1998-11-06	PRIJEM	VKLAD	11855	29702	\N	\N	\N
3331582	11065	1998-12-06	PRIJEM	VKLAD	17782	38964	\N	\N	\N
3331590	11065	1993-08-11	VYDAJ	VYBER	1300	43684	\N	\N	0
3331591	11065	1993-09-13	VYDAJ	VYBER	1000	45973	\N	\N	0
3331592	11065	1993-10-05	VYDAJ	VYBER	1700	32305	\N	\N	0
3331593	11065	1993-11-05	VYDAJ	VYBER	1300	30295	\N	\N	0
3331594	11065	1993-12-14	VYDAJ	VYBER	1300	46764	\N	\N	0
3331595	11065	1994-01-10	VYDAJ	VYBER	1500	43469	\N	\N	0
3331596	11065	1994-02-03	VYDAJ	VYBER	1400	15183	\N	\N	0
3331597	11065	1994-03-12	VYDAJ	VYBER	1600	36681	\N	\N	0
3331598	11065	1994-04-06	VYDAJ	VYBER	1200	44552	\N	\N	0
3331599	11065	1994-05-07	VYDAJ	VYBER	1400	44746	\N	\N	0
3331600	11065	1994-06-12	VYDAJ	PREVOD NA UCET	1445	37220	UVER	MN	13170600
3331601	11065	1994-07-12	VYDAJ	PREVOD NA UCET	1445	37068	UVER	MN	13170600
3331602	11065	1994-08-12	VYDAJ	PREVOD NA UCET	1445	32900	UVER	MN	13170600
3331603	11065	1994-09-12	VYDAJ	PREVOD NA UCET	1445	36126	UVER	MN	13170600
3331604	11065	1994-10-12	VYDAJ	PREVOD NA UCET	1445	36064	UVER	MN	13170600
3331605	11065	1994-11-12	VYDAJ	PREVOD NA UCET	1445	38810	UVER	MN	13170600
3331606	11065	1994-12-12	VYDAJ	PREVOD NA UCET	1445	41391	UVER	MN	13170600
3331607	11065	1995-01-12	VYDAJ	PREVOD NA UCET	1445	38460	UVER	MN	13170600
3331608	11065	1995-02-12	VYDAJ	PREVOD NA UCET	1445	35612	UVER	MN	13170600
3331609	11065	1995-03-12	VYDAJ	PREVOD NA UCET	1445	36155	UVER	MN	13170600
3331610	11065	1995-04-12	VYDAJ	PREVOD NA UCET	1445	36900	UVER	MN	13170600
3331611	11065	1995-05-12	VYDAJ	PREVOD NA UCET	1445	37345	UVER	MN	13170600
3331612	11065	1995-06-12	VYDAJ	PREVOD NA UCET	1445	36920	UVER	MN	13170600
3331613	11065	1995-07-12	VYDAJ	PREVOD NA UCET	1445	33968	UVER	MN	13170600
3331614	11065	1995-08-12	VYDAJ	PREVOD NA UCET	1445	36507	UVER	MN	13170600
3331615	11065	1995-09-12	VYDAJ	PREVOD NA UCET	1445	41153	UVER	MN	13170600
3331616	11065	1995-10-12	VYDAJ	PREVOD NA UCET	1445	43017	UVER	MN	13170600
3331617	11065	1995-11-12	VYDAJ	PREVOD NA UCET	1445	45690	UVER	MN	13170600
3331618	11065	1995-12-12	VYDAJ	PREVOD NA UCET	1445	54401	UVER	MN	13170600
3331619	11065	1996-01-12	VYDAJ	PREVOD NA UCET	1445	48815	UVER	MN	13170600
3331620	11065	1996-02-12	VYDAJ	PREVOD NA UCET	1445	37385	UVER	MN	13170600
3331621	11065	1996-03-12	VYDAJ	PREVOD NA UCET	1445	40328	UVER	MN	13170600
3331622	11065	1996-04-12	VYDAJ	PREVOD NA UCET	1445	44388	UVER	MN	13170600
3331623	11065	1996-05-12	VYDAJ	PREVOD NA UCET	1445	41865	UVER	MN	13170600
3331624	11065	1996-06-12	VYDAJ	PREVOD NA UCET	1445	49262	UVER	MN	13170600
3331625	11065	1996-07-12	VYDAJ	PREVOD NA UCET	1445	39944	UVER	MN	13170600
3331626	11065	1996-08-12	VYDAJ	PREVOD NA UCET	1445	41906	UVER	MN	13170600
3331627	11065	1996-09-12	VYDAJ	PREVOD NA UCET	1445	39755	UVER	MN	13170600
3331628	11065	1996-10-12	VYDAJ	PREVOD NA UCET	1445	36592	UVER	MN	13170600
3331629	11065	1996-11-12	VYDAJ	PREVOD NA UCET	1445	40920	UVER	MN	13170600
3331630	11065	1996-12-12	VYDAJ	PREVOD NA UCET	1445	46890	UVER	MN	13170600
3331631	11065	1997-01-12	VYDAJ	PREVOD NA UCET	1445	36756	UVER	MN	13170600
3331632	11065	1997-02-12	VYDAJ	PREVOD NA UCET	1445	27977	UVER	MN	13170600
3331633	11065	1997-03-12	VYDAJ	PREVOD NA UCET	1445	31766	UVER	MN	13170600
3331634	11065	1997-04-12	VYDAJ	PREVOD NA UCET	1445	28470	UVER	MN	13170600
3331635	11065	1997-05-12	VYDAJ	PREVOD NA UCET	1445	27470	UVER	MN	13170600
3331636	11065	1997-06-12	VYDAJ	PREVOD NA UCET	1445	27393	UVER	MN	13170600
3331637	11065	1997-07-12	VYDAJ	PREVOD NA UCET	1445	31689	UVER	MN	13170600
3331638	11065	1997-08-12	VYDAJ	PREVOD NA UCET	1445	31390	UVER	MN	13170600
3331639	11065	1997-09-12	VYDAJ	PREVOD NA UCET	1445	29989	UVER	MN	13170600
3331640	11065	1997-10-12	VYDAJ	PREVOD NA UCET	1445	27476	UVER	MN	13170600
3331641	11065	1997-11-12	VYDAJ	PREVOD NA UCET	1445	37266	UVER	MN	13170600
3331642	11065	1997-12-12	VYDAJ	PREVOD NA UCET	1445	37506	UVER	MN	13170600
3331643	11065	1998-01-12	VYDAJ	PREVOD NA UCET	1445	25209	UVER	MN	13170600
3331644	11065	1998-02-12	VYDAJ	PREVOD NA UCET	1445	30002	UVER	MN	13170600
3331645	11065	1998-03-12	VYDAJ	PREVOD NA UCET	1445	36696	UVER	MN	13170600
3331646	11065	1998-04-12	VYDAJ	PREVOD NA UCET	1445	28903	UVER	MN	13170600
3331647	11065	1998-05-12	VYDAJ	PREVOD NA UCET	1445	39398	UVER	MN	13170600
3331648	11065	1998-06-12	VYDAJ	PREVOD NA UCET	1445	37239	UVER	MN	13170600
3331649	11065	1998-07-17	VYDAJ	VYBER	1600	29980	\N	\N	0
3331650	11065	1998-08-18	VYDAJ	VYBER	1600	30303	\N	\N	0
3331651	11065	1998-09-03	VYDAJ	VYBER	1500	17172	\N	\N	0
3331652	11065	1998-10-08	VYDAJ	VYBER	1200	32764	\N	\N	0
3331653	11065	1998-11-02	VYDAJ	VYBER	1200	17847	\N	\N	0
3331654	11065	1998-12-08	VYDAJ	VYBER	1100	36864	\N	\N	0
3331656	11065	1994-06-10	VYDAJ	VYBER	13700	38665	\N	\N	\N
3331658	11065	1996-06-12	VYDAJ	VYBER	3400	45862	\N	\N	\N
3331659	11065	1997-06-08	VYDAJ	VYBER	10200	28838	\N	\N	\N
3331662	11065	1994-01-13	VYDAJ	VYBER	6800	32569	\N	\N	\N
3331663	11065	1995-01-07	VYDAJ	VYBER	1000	52405	\N	\N	\N
3331664	11065	1996-01-28	VYDAJ	VYBER	5700	30115	\N	\N	\N
3331665	11065	1997-01-17	VYDAJ	VYBER	4800	31956	\N	\N	\N
3331667	11065	1993-12-02	VYDAJ	VYBER	2700	30282	\N	\N	\N
3331668	11065	1994-12-07	VYDAJ	VYBER	1000	55736	\N	\N	\N
3331669	11065	1995-12-03	VYDAJ	VYBER	1100	44764	\N	\N	\N
3331670	11065	1996-12-08	VYDAJ	VYBER	600	48335	\N	\N	\N
3331672	11065	1998-12-06	VYDAJ	VYBER	1000	37964	\N	\N	\N
3331679	11065	1994-01-06	VYDAJ	VYBER	1800	47669	\N	\N	\N
3331680	11065	1994-01-23	VYDAJ	VYBER	2100	22669	\N	\N	\N
3331681	11065	1994-01-08	VYDAJ	VYBER	2700	44969	\N	\N	\N
3331682	11065	1994-01-22	VYDAJ	VYBER	1100	24769	\N	\N	\N
3331683	11065	1994-01-28	VYDAJ	VYBER	2600	20069	\N	\N	\N
3331684	11065	1994-01-16	VYDAJ	VYBER	2600	25869	\N	\N	\N
3331685	11065	1995-01-28	VYDAJ	VYBER	2600	31660	\N	\N	\N
3331686	11065	1995-01-16	VYDAJ	VYBER	2600	35860	\N	\N	\N
3331687	11065	1995-01-25	VYDAJ	VYBER	700	35160	\N	\N	\N
3331688	11065	1995-01-09	VYDAJ	VYBER	1900	40605	\N	\N	\N
3331689	11065	1995-01-26	VYDAJ	VYBER	900	34260	\N	\N	\N
3331690	11065	1995-01-09	VYDAJ	VYBER	700	39905	\N	\N	\N
3331691	11065	1996-01-12	VYDAJ	VYBER	2900	45915	\N	\N	\N
3331692	11065	1996-01-25	VYDAJ	VYBER	700	35815	\N	\N	\N
3331693	11065	1996-01-13	VYDAJ	VYBER	2500	43415	\N	\N	\N
3331694	11065	1996-01-10	VYDAJ	VYBER	1300	50260	\N	\N	\N
3331695	11065	1996-01-15	VYDAJ	VYBER	2800	40615	\N	\N	\N
3331696	11065	1996-01-20	VYDAJ	VYBER	500	36515	\N	\N	\N
3331697	11065	1997-01-22	VYDAJ	VYBER	2900	27456	\N	\N	\N
3331698	11065	1997-01-27	VYDAJ	VYBER	2200	25256	\N	\N	\N
3331699	11065	1997-01-04	VYDAJ	VYBER	2700	28946	\N	\N	\N
3331700	11065	1997-01-10	VYDAJ	VYBER	600	38201	\N	\N	\N
3331701	11065	1997-01-06	VYDAJ	VYBER	1200	39601	\N	\N	\N
3331702	11065	1997-01-18	VYDAJ	VYBER	1600	30356	\N	\N	\N
3331703	11065	1998-01-23	VYDAJ	VYBER	1800	23409	\N	\N	\N
3331705	11065	1998-01-01	VYDAJ	VYBER	1900	18699	\N	\N	\N
3331708	11065	1998-01-11	VYDAJ	VYBER	1900	28654	\N	\N	\N
3331711	11065	1993-10-18	VYDAJ	VYBER	3300	31460	\N	\N	\N
3331712	11065	1994-05-11	VYDAJ	VYBER	2800	41946	\N	\N	\N
3331713	11065	1994-01-30	VYDAJ	VYBER	3600	16469	\N	\N	\N
3331714	11065	1994-08-27	VYDAJ	VYBER	3000	29900	\N	\N	\N
3331715	11065	1994-06-01	VYDAJ	VYBER	600	34583	\N	\N	\N
3331716	11065	1994-01-11	VYDAJ	VYBER	4100	39369	\N	\N	\N
3331717	11065	1994-06-29	VYDAJ	VYBER	3400	30520	\N	\N	\N
3331718	11065	1994-07-06	VYDAJ	VYBER	4000	38513	\N	\N	\N
3331719	11065	1994-07-22	VYDAJ	VYBER	3900	29768	\N	\N	\N
3331720	11065	1995-02-02	VYDAJ	VYBER	1300	30502	\N	\N	\N
3331721	11065	1995-04-21	VYDAJ	VYBER	2200	34700	\N	\N	\N
3331722	11065	1995-05-29	VYDAJ	VYBER	1900	35445	\N	\N	\N
3331723	11065	1996-06-16	VYDAJ	VYBER	2100	43762	\N	\N	\N
3331724	11065	1996-01-17	VYDAJ	VYBER	3600	37015	\N	\N	\N
3331725	11065	1996-02-02	VYDAJ	VYBER	2600	27675	\N	\N	\N
3331726	11065	1996-02-22	VYDAJ	VYBER	1500	35885	\N	\N	\N
3331727	11065	1996-09-21	VYDAJ	VYBER	1600	38155	\N	\N	\N
3331728	11065	1997-01-09	VYDAJ	VYBER	800	38801	\N	\N	\N
3331729	11065	1997-09-21	VYDAJ	VYBER	2100	27889	\N	\N	\N
3331730	11065	1997-08-12	VYDAJ	VYBER	1500	32835	\N	\N	\N
3331731	11065	1997-10-27	VYDAJ	VYBER	700	26776	\N	\N	\N
3331732	11065	1997-04-08	VYDAJ	VYBER	4200	29915	\N	\N	\N
3331733	11065	1997-08-28	VYDAJ	VYBER	2500	19490	\N	\N	\N
3331734	11065	1997-05-11	VYDAJ	VYBER	4900	28915	\N	\N	\N
3331735	11065	1997-04-16	VYDAJ	VYBER	900	27570	\N	\N	\N
3331736	11065	1998-01-25	VYDAJ	VYBER	3900	19509	\N	\N	\N
3331737	11065	1998-02-21	VYDAJ	VYBER	3800	26202	\N	\N	\N
3331738	11065	1998-08-29	VYDAJ	VYBER	3500	18603	\N	\N	\N
3331739	11065	1998-10-30	VYDAJ	VYBER	1000	18964	\N	\N	\N
3331740	11065	1998-01-12	VYDAJ	VYBER	2000	26654	\N	\N	\N
3331741	11065	1998-11-17	VYDAJ	VYBER	3000	26702	\N	\N	\N
3331750	11065	1993-08-31	VYDAJ	VYBER	15	35118	SLUZBY	\N	\N
3331751	11065	1993-09-30	VYDAJ	VYBER	15	34005	SLUZBY	\N	\N
3331752	11065	1993-10-31	VYDAJ	VYBER	15	31595	SLUZBY	\N	\N
3331753	11065	1993-11-30	VYDAJ	VYBER	15	32982	SLUZBY	\N	\N
3331754	11065	1993-12-31	VYDAJ	VYBER	15	37614	SLUZBY	\N	\N
3331755	11065	1994-01-31	VYDAJ	VYBER	15	16583	SLUZBY	\N	\N
3331756	11065	1994-02-28	VYDAJ	VYBER	15	26426	SLUZBY	\N	\N
3331757	11065	1994-03-31	VYDAJ	VYBER	15	33897	SLUZBY	\N	\N
3331758	11065	1994-04-30	VYDAJ	VYBER	15	34291	SLUZBY	\N	\N
3331759	11065	1994-05-31	VYDAJ	VYBER	15	35183	SLUZBY	\N	\N
3331760	11065	1994-06-30	VYDAJ	VYBER	15	30658	SLUZBY	\N	\N
3331761	11065	1994-07-31	VYDAJ	VYBER	15	29890	SLUZBY	\N	\N
3331762	11065	1994-08-31	VYDAJ	VYBER	15	30016	SLUZBY	\N	\N
3331763	11065	1994-09-30	VYDAJ	VYBER	15	36254	SLUZBY	\N	\N
3331764	11065	1994-10-31	VYDAJ	VYBER	15	36200	SLUZBY	\N	\N
3331765	11065	1994-11-30	VYDAJ	VYBER	15	38954	SLUZBY	\N	\N
3331766	11065	1994-12-31	VYDAJ	VYBER	15	41550	SLUZBY	\N	\N
3331767	11065	1995-01-31	VYDAJ	VYBER	15	31802	SLUZBY	\N	\N
3331768	11065	1995-02-28	VYDAJ	VYBER	15	35745	SLUZBY	\N	\N
3331769	11065	1995-03-31	VYDAJ	VYBER	15	36290	SLUZBY	\N	\N
3331770	11065	1995-04-30	VYDAJ	VYBER	15	34835	SLUZBY	\N	\N
3331771	11065	1995-05-31	VYDAJ	VYBER	15	35583	SLUZBY	\N	\N
3331772	11065	1995-06-30	VYDAJ	VYBER	15	37058	SLUZBY	\N	\N
3331773	11065	1995-07-31	VYDAJ	VYBER	15	34097	SLUZBY	\N	\N
3331774	11065	1995-08-31	VYDAJ	VYBER	15	36643	SLUZBY	\N	\N
3331775	11065	1995-09-30	VYDAJ	VYBER	15	41307	SLUZBY	\N	\N
3331776	11065	1995-10-31	VYDAJ	VYBER	15	43180	SLUZBY	\N	\N
3331777	11065	1995-11-30	VYDAJ	VYBER	15	45864	SLUZBY	\N	\N
3331778	11065	1995-12-31	VYDAJ	VYBER	15	54605	SLUZBY	\N	\N
3331779	11065	1996-01-31	VYDAJ	VYBER	15	30275	SLUZBY	\N	\N
3331780	11065	1996-02-29	VYDAJ	VYBER	15	36018	SLUZBY	\N	\N
3331781	11065	1996-03-31	VYDAJ	VYBER	15	40478	SLUZBY	\N	\N
3331782	11065	1996-04-30	VYDAJ	VYBER	15	44555	SLUZBY	\N	\N
3331783	11065	1996-05-31	VYDAJ	VYBER	15	42025	SLUZBY	\N	\N
3331784	11065	1996-06-30	VYDAJ	VYBER	15	43934	SLUZBY	\N	\N
3331785	11065	1996-07-31	VYDAJ	VYBER	15	40096	SLUZBY	\N	\N
3331786	11065	1996-08-31	VYDAJ	VYBER	15	29345	SLUZBY	\N	\N
3331787	11065	1996-09-30	VYDAJ	VYBER	15	26182	SLUZBY	\N	\N
3331788	11065	1996-10-31	VYDAJ	VYBER	15	30510	SLUZBY	\N	\N
3331789	11065	1996-11-30	VYDAJ	VYBER	15	31153	SLUZBY	\N	\N
3331790	11065	1996-12-31	VYDAJ	VYBER	15	31646	SLUZBY	\N	\N
3331791	11065	1997-01-31	VYDAJ	VYBER	15	17567	SLUZBY	\N	\N
3331792	11065	1997-02-28	VYDAJ	VYBER	15	21356	SLUZBY	\N	\N
3331793	11065	1997-03-31	VYDAJ	VYBER	15	22260	SLUZBY	\N	\N
3331794	11065	1997-04-30	VYDAJ	VYBER	15	21960	SLUZBY	\N	\N
3331795	11065	1997-05-31	VYDAJ	VYBER	15	21256	SLUZBY	\N	\N
3331796	11065	1997-06-30	VYDAJ	VYBER	15	21279	SLUZBY	\N	\N
3331797	11065	1997-07-31	VYDAJ	VYBER	15	22480	SLUZBY	\N	\N
3331798	11065	1997-08-31	VYDAJ	VYBER	15	19579	SLUZBY	\N	\N
3331799	11065	1997-09-30	VYDAJ	VYBER	15	17066	SLUZBY	\N	\N
3331800	11065	1997-10-31	VYDAJ	VYBER	15	26856	SLUZBY	\N	\N
3331801	11065	1997-11-30	VYDAJ	VYBER	15	21169	SLUZBY	\N	\N
3331802	11065	1997-12-31	VYDAJ	VYBER	15	20599	SLUZBY	\N	\N
3331803	11065	1998-01-31	VYDAJ	VYBER	15	19592	SLUZBY	\N	\N
3331804	11065	1998-02-28	VYDAJ	VYBER	15	26286	SLUZBY	\N	\N
3331805	11065	1998-03-31	VYDAJ	VYBER	15	18493	SLUZBY	\N	\N
3331806	11065	1998-04-30	VYDAJ	VYBER	15	28988	SLUZBY	\N	\N
3331807	11065	1998-05-31	VYDAJ	VYBER	15	20902	SLUZBY	\N	\N
3331808	11065	1998-06-30	VYDAJ	VYBER	15	19725	SLUZBY	\N	\N
3331809	11065	1998-07-31	VYDAJ	VYBER	15	20048	SLUZBY	\N	\N
3331810	11065	1998-08-31	VYDAJ	VYBER	15	18672	SLUZBY	\N	\N
3331811	11065	1998-09-30	VYDAJ	VYBER	15	22109	SLUZBY	\N	\N
3331812	11065	1998-10-31	VYDAJ	VYBER	15	19047	SLUZBY	\N	\N
3331813	11065	1998-11-30	VYDAJ	VYBER	15	21182	SLUZBY	\N	\N
3331814	11065	1993-04-18	PRIJEM	VKLAD	6000	18955	\N	\N	\N
3331815	11065	1993-05-18	VYDAJ	VYBER	4800	26044	\N	\N	\N
3331816	11065	1993-06-17	VYDAJ	VYBER	11900	32019	\N	\N	\N
3331817	11065	1993-07-17	VYDAJ	VYBER	11000	32994	\N	\N	\N
3331818	11065	1993-08-16	VYDAJ	VYBER	8700	34984	\N	\N	\N
3331819	11065	1993-09-15	VYDAJ	VYBER	12100	33873	\N	\N	\N
3331820	11065	1993-10-15	VYDAJ	VYBER	9400	34760	\N	\N	\N
3331821	11065	1993-11-14	VYDAJ	VYBER	9300	32850	\N	\N	\N
3331822	11065	1993-12-14	VYDAJ	VYBER	9300	37464	\N	\N	\N
3331823	11065	1994-01-13	VYDAJ	VYBER	4100	28469	\N	\N	\N
3331824	11065	1994-02-12	VYDAJ	VYBER	700	26338	\N	\N	\N
3331825	11065	1994-03-14	VYDAJ	VYBER	2900	33781	\N	\N	\N
3331826	11065	1994-04-13	VYDAJ	VYBER	10400	34152	\N	\N	\N
3331827	11065	1994-05-13	VYDAJ	VYBER	6900	35046	\N	\N	\N
3331828	11065	1994-06-12	VYDAJ	VYBER	3300	33920	\N	\N	\N
3331829	11065	1994-07-12	VYDAJ	VYBER	3400	33668	\N	\N	\N
3331830	11065	1994-08-11	VYDAJ	VYBER	7400	34345	\N	\N	\N
3331831	11065	1994-09-10	VYDAJ	VYBER	4300	37571	\N	\N	\N
3331832	11065	1994-10-10	VYDAJ	VYBER	10600	37509	\N	\N	\N
3331833	11065	1994-11-09	VYDAJ	VYBER	7800	40255	\N	\N	\N
3331834	11065	1994-12-09	VYDAJ	VYBER	12900	42836	\N	\N	\N
3331835	11065	1995-01-08	VYDAJ	VYBER	9900	42505	\N	\N	\N
3331836	11065	1995-02-07	VYDAJ	VYBER	5300	37057	\N	\N	\N
3331837	11065	1995-03-09	VYDAJ	VYBER	10000	37600	\N	\N	\N
3331838	11065	1995-04-08	VYDAJ	VYBER	9800	38345	\N	\N	\N
3331839	11065	1995-05-08	VYDAJ	VYBER	7900	38790	\N	\N	\N
3331840	11065	1995-06-07	VYDAJ	VYBER	15000	38365	\N	\N	\N
3331841	11065	1995-07-07	VYDAJ	VYBER	13500	35413	\N	\N	\N
3331842	11065	1995-08-06	VYDAJ	VYBER	8000	37952	\N	\N	\N
3331843	11065	1995-09-05	VYDAJ	VYBER	5900	30743	\N	\N	\N
3331844	11065	1995-10-05	VYDAJ	VYBER	8700	32607	\N	\N	\N
3331845	11065	1995-11-04	VYDAJ	VYBER	7900	35280	\N	\N	\N
3331846	11065	1995-12-04	VYDAJ	VYBER	6700	38064	\N	\N	\N
3331847	11065	1996-01-03	VYDAJ	VYBER	14900	39705	\N	\N	\N
3331848	11065	1996-02-02	VYDAJ	VYBER	700	26975	\N	\N	\N
3331849	11065	1996-03-03	VYDAJ	VYBER	6100	29918	\N	\N	\N
3331850	11065	1996-04-02	VYDAJ	VYBER	6500	33978	\N	\N	\N
3331851	11065	1996-05-02	VYDAJ	VYBER	13100	31455	\N	\N	\N
3331852	11065	1996-06-01	VYDAJ	VYBER	9100	32925	\N	\N	\N
3331853	11065	1996-07-01	VYDAJ	VYBER	14400	29534	\N	\N	\N
3331854	11065	1996-07-31	VYDAJ	VYBER	8600	31496	\N	\N	\N
3331855	11065	1996-08-30	VYDAJ	VYBER	12700	29206	\N	\N	\N
3331856	11065	1996-09-29	VYDAJ	VYBER	12100	26055	\N	\N	\N
3331857	11065	1996-10-29	VYDAJ	VYBER	6200	30392	\N	\N	\N
3331858	11065	1996-11-28	VYDAJ	VYBER	9900	31020	\N	\N	\N
3331859	11065	1996-12-28	VYDAJ	VYBER	15400	31490	\N	\N	\N
3331860	11065	1997-01-27	VYDAJ	VYBER	7800	17456	\N	\N	\N
3331861	11065	1997-02-26	VYDAJ	VYBER	6700	21277	\N	\N	\N
3331862	11065	1997-03-28	VYDAJ	VYBER	9600	22166	\N	\N	\N
3331863	11065	1997-04-27	VYDAJ	VYBER	5700	21870	\N	\N	\N
3331864	11065	1997-05-27	VYDAJ	VYBER	6300	21170	\N	\N	\N
3331865	11065	1997-06-26	VYDAJ	VYBER	6200	21193	\N	\N	\N
3331866	11065	1997-07-26	VYDAJ	VYBER	9300	22389	\N	\N	\N
3331867	11065	1997-08-25	VYDAJ	VYBER	9400	21990	\N	\N	\N
3331868	11065	1997-09-24	VYDAJ	VYBER	10900	16989	\N	\N	\N
3331869	11065	1997-11-23	VYDAJ	VYBER	16200	21066	\N	\N	\N
3331870	11065	1997-12-23	VYDAJ	VYBER	17000	20506	\N	\N	\N
3331871	11065	1998-03-23	VYDAJ	VYBER	18300	18396	\N	\N	\N
3331872	11065	1998-05-22	VYDAJ	VYBER	18600	20798	\N	\N	\N
3331873	11065	1998-06-21	VYDAJ	VYBER	17600	19639	\N	\N	\N
3331874	11065	1998-07-21	VYDAJ	VYBER	10000	19980	\N	\N	\N
3331875	11065	1998-08-20	VYDAJ	VYBER	8200	22103	\N	\N	\N
3331876	11065	1998-09-19	VYDAJ	VYBER	7000	22027	\N	\N	\N
3331877	11065	1998-10-19	VYDAJ	VYBER	12800	19964	\N	\N	\N
3331878	11065	1998-11-18	VYDAJ	VYBER	5600	21102	\N	\N	\N
3333096	11069	1995-06-02	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3333097	11069	1995-08-14	PRIJEM	VKLAD	8994	72990	\N	\N	\N
3333098	11069	1995-09-08	PRIJEM	VKLAD	15699	56239	\N	\N	\N
3333099	11069	1995-06-19	PRIJEM	VKLAD	32414	33514	\N	\N	\N
3333101	11069	1995-07-10	PRIJEM	VKLAD	16626	54308	\N	\N	\N
3333102	11069	1995-09-30	PRIJEM	VKLAD	40479	76120	\N	\N	\N
3333104	11069	1995-06-29	PRIJEM	VKLAD	17907	51421	\N	\N	\N
3333107	11069	1995-07-14	PRIJEM	VKLAD	42377	96685	\N	\N	\N
3333109	11069	1995-12-15	PRIJEM	VKLAD	13812	40577	\N	\N	\N
3333111	11069	1995-08-12	PRIJEM	VKLAD	6686	63996	\N	\N	\N
3333113	11069	1996-01-08	PRIJEM	VKLAD	43922	78431	\N	\N	\N
3333114	11069	1996-12-17	PRIJEM	VKLAD	40552	75692	\N	\N	\N
3333115	11069	1996-10-03	PRIJEM	VKLAD	24382	46243	\N	\N	\N
3333116	11069	1996-02-24	PRIJEM	VKLAD	28804	53504	\N	\N	\N
3333117	11069	1996-06-23	PRIJEM	VKLAD	45673	74384	\N	\N	\N
3333118	11069	1997-07-07	PRIJEM	VKLAD	46810	85325	\N	\N	\N
3333119	11069	1997-06-22	PRIJEM	VKLAD	7537	38390	\N	\N	\N
3333120	11069	1997-02-23	PRIJEM	VKLAD	17378	45586	\N	\N	\N
3333121	11069	1997-12-13	PRIJEM	VKLAD	23218	59795	\N	\N	\N
3333122	11069	1997-08-07	PRIJEM	VKLAD	28628	82619	\N	\N	\N
3333123	11069	1998-03-16	PRIJEM	VKLAD	26136	88953	\N	\N	\N
3333124	11069	1998-09-23	PRIJEM	VKLAD	10151	69223	\N	\N	\N
3333125	11069	1998-02-08	PRIJEM	VKLAD	40321	74441	\N	\N	\N
3333126	11069	1998-10-22	PRIJEM	VKLAD	10663	100195	\N	\N	\N
3333127	11069	1998-08-11	PRIJEM	VKLAD	25530	88029	\N	\N	\N
3333128	11069	1998-07-09	PRIJEM	VKLAD	17922	121370	\N	\N	\N
3333129	11069	1998-04-15	PRIJEM	VKLAD	49308	119776	\N	\N	\N
3333130	11069	1998-01-09	PRIJEM	VKLAD	37972	81249	\N	\N	\N
3333131	11069	1998-09-08	PRIJEM	VKLAD	14188	75754	\N	\N	\N
3333132	11069	1998-06-27	PRIJEM	VKLAD	31728	103174	\N	\N	\N
3333133	11069	1998-06-16	PRIJEM	VKLAD	46515	111329	\N	\N	\N
3333134	11069	1998-10-15	PRIJEM	VKLAD	39423	89532	\N	\N	\N
3333135	11069	1998-08-22	PRIJEM	VKLAD	41527	104774	\N	\N	\N
3333136	11069	1998-06-24	PRIJEM	VKLAD	46317	71446	\N	\N	\N
3333137	11069	1998-04-08	PRIJEM	VKLAD	29679	95651	\N	\N	\N
3333138	11069	1998-12-19	PRIJEM	VKLAD	39647	85088	\N	\N	\N
3333139	11069	1998-03-10	PRIJEM	VKLAD	14228	115499	\N	\N	\N
3333140	11069	1998-12-27	PRIJEM	VKLAD	31829	116917	\N	\N	\N
3333141	11069	1998-02-19	PRIJEM	VKLAD	45054	101013	\N	\N	\N
3333142	11069	1998-04-21	PRIJEM	VKLAD	49915	101491	\N	\N	\N
3333150	11069	1995-08-09	VYDAJ	VYBER	2700	57310	\N	\N	0
3333151	11069	1995-09-12	VYDAJ	VYBER	2900	53339	\N	\N	0
3333152	11069	1995-10-04	VYDAJ	VYBER	2300	50006	\N	\N	0
3333153	11069	1995-11-02	VYDAJ	VYBER	2000	37106	\N	\N	0
3333154	11069	1995-12-06	VYDAJ	VYBER	2600	26765	\N	\N	0
3333155	11069	1996-01-14	VYDAJ	VYBER	2400	70631	\N	\N	0
3333156	11069	1996-02-13	VYDAJ	VYBER	2100	24700	\N	\N	0
3333157	11069	1996-03-06	VYDAJ	VYBER	2600	31617	\N	\N	0
3333158	11069	1996-04-04	VYDAJ	VYBER	2400	22115	\N	\N	0
3333159	11069	1996-05-21	VYDAJ	VYBER	2300	26205	\N	\N	0
3333160	11069	1996-06-11	VYDAJ	VYBER	1800	28711	\N	\N	0
3333161	11069	1996-07-21	VYDAJ	VYBER	2900	53933	\N	\N	0
3333162	11069	1996-08-10	VYDAJ	VYBER	2600	42046	\N	\N	0
3333163	11069	1996-09-20	VYDAJ	VYBER	1900	23539	\N	\N	0
3333164	11069	1996-10-04	VYDAJ	VYBER	2300	43943	\N	\N	0
3333165	11069	1996-11-12	VYDAJ	VYBER	2500	35200	\N	\N	0
3333166	11069	1996-12-20	VYDAJ	VYBER	2100	73592	\N	\N	0
3333167	11069	1997-01-09	VYDAJ	VYBER	2400	46161	\N	\N	0
3333168	11069	1997-02-08	VYDAJ	VYBER	2100	26808	\N	\N	0
3333169	11069	1997-03-12	VYDAJ	PREVOD NA UCET	2482	33226	UVER	QR	55347859
3333170	11069	1997-04-12	VYDAJ	PREVOD NA UCET	2482	29988	UVER	QR	55347859
3333171	11069	1997-05-12	VYDAJ	PREVOD NA UCET	2482	27323	UVER	QR	55347859
3333172	11069	1997-06-12	VYDAJ	PREVOD NA UCET	2482	29353	UVER	QR	55347859
3333173	11069	1997-07-12	VYDAJ	PREVOD NA UCET	2482	82843	UVER	QR	55347859
3333174	11069	1997-08-12	VYDAJ	PREVOD NA UCET	2482	80137	UVER	QR	55347859
3333175	11069	1997-09-12	VYDAJ	PREVOD NA UCET	2482	49602	UVER	QR	55347859
3333176	11069	1997-10-12	VYDAJ	PREVOD NA UCET	2482	43321	UVER	QR	55347859
3333177	11069	1997-11-12	VYDAJ	PREVOD NA UCET	2482	34610	UVER	QR	55347859
3333178	11069	1997-12-12	VYDAJ	PREVOD NA UCET	2482	36577	UVER	QR	55347859
3333179	11069	1998-01-12	VYDAJ	PREVOD NA UCET	2482	69127	UVER	QR	55347859
3333180	11069	1998-02-12	VYDAJ	PREVOD NA UCET	2482	71959	UVER	QR	55347859
3333181	11069	1998-03-12	VYDAJ	PREVOD NA UCET	2482	62817	UVER	QR	55347859
3333182	11069	1998-04-12	VYDAJ	PREVOD NA UCET	2482	93169	UVER	QR	55347859
3333183	11069	1998-05-12	VYDAJ	PREVOD NA UCET	2482	99311	UVER	QR	55347859
3333184	11069	1998-06-12	VYDAJ	PREVOD NA UCET	2482	64814	UVER	QR	55347859
3333185	11069	1998-07-12	VYDAJ	PREVOD NA UCET	2482	87788	UVER	QR	55347859
3333186	11069	1998-08-12	VYDAJ	PREVOD NA UCET	2482	85547	UVER	QR	55347859
3333187	11069	1998-09-12	VYDAJ	PREVOD NA UCET	2482	73272	UVER	QR	55347859
3333188	11069	1998-10-12	VYDAJ	PREVOD NA UCET	2482	67009	UVER	QR	55347859
3333189	11069	1998-11-12	VYDAJ	PREVOD NA UCET	2482	85434	UVER	QR	55347859
3333190	11069	1998-12-12	VYDAJ	PREVOD NA UCET	2482	53241	UVER	QR	55347859
3333191	11069	1995-09-21	VYBER	VYBER	16378	35461	\N	\N	\N
3333194	11069	1995-11-05	VYBER	VYBER	8551	28555	\N	\N	\N
3333195	11069	1995-08-19	VYBER	VYBER	11533	61457	\N	\N	\N
3333199	11069	1996-09-14	VYBER	VYBER	11871	25439	\N	\N	\N
3333201	11069	1997-03-11	VYBER	VYBER	9998	35708	\N	\N	\N
3333204	11069	1998-04-13	VYBER	VYBER	22701	70468	\N	\N	\N
3333205	11069	1998-01-11	VYBER	VYBER	9640	71609	\N	\N	\N
3333206	11069	1998-05-16	VYBER	VYBER	4151	95160	\N	\N	\N
3333207	11069	1998-09-04	VYBER	VYBER	8819	61566	\N	\N	\N
3333208	11069	1998-09-03	VYBER	VYBER	19952	70385	\N	\N	\N
3333209	11069	1998-08-31	VYBER	VYBER	14745	90352	\N	\N	\N
3333214	11069	1998-06-21	VYDAJ	VYBER	50400	25129	\N	\N	\N
3333216	11069	1996-01-20	VYDAJ	VYBER	12600	38531	\N	\N	\N
3333225	11069	1996-01-11	VYDAJ	VYBER	5400	73031	\N	\N	\N
3333226	11069	1996-01-17	VYDAJ	VYBER	3000	56831	\N	\N	\N
3333227	11069	1996-01-17	VYDAJ	VYBER	7200	59831	\N	\N	\N
3333228	11069	1996-01-15	VYDAJ	VYBER	3600	67031	\N	\N	\N
3333229	11069	1996-01-18	VYDAJ	VYBER	5700	51131	\N	\N	\N
3333230	11069	1996-01-26	VYDAJ	VYBER	2100	36431	\N	\N	\N
3333231	11069	1997-01-03	VYDAJ	VYBER	4800	48561	\N	\N	\N
3333232	11069	1997-01-26	VYDAJ	VYBER	4200	30561	\N	\N	\N
3333233	11069	1997-01-13	VYDAJ	VYBER	3600	38361	\N	\N	\N
3333235	11069	1997-01-14	VYDAJ	VYBER	7800	30561	\N	\N	\N
3333236	11069	1997-01-26	VYDAJ	VYBER	1800	28761	\N	\N	\N
3333237	11069	1998-01-17	VYDAJ	VYBER	3900	49527	\N	\N	\N
3333238	11069	1998-01-16	VYDAJ	VYBER	3900	65227	\N	\N	\N
3333239	11069	1998-01-03	VYDAJ	VYBER	3900	43277	\N	\N	\N
3333240	11069	1998-01-19	VYDAJ	VYBER	5400	44127	\N	\N	\N
3333241	11069	1998-01-26	VYDAJ	VYBER	8100	33927	\N	\N	\N
3333242	11069	1998-01-21	VYDAJ	VYBER	2100	42027	\N	\N	\N
3333244	11069	1995-09-19	VYDAJ	VYBER	1500	51839	\N	\N	\N
3333249	11069	1996-02-29	VYDAJ	VYBER	3600	34232	\N	\N	\N
3333250	11069	1996-02-27	VYDAJ	VYBER	4800	48704	\N	\N	\N
3333251	11069	1996-10-02	VYDAJ	VYBER	3900	21861	\N	\N	\N
3333252	11069	1996-03-14	VYDAJ	VYBER	10800	20817	\N	\N	\N
3333253	11069	1996-01-28	VYDAJ	VYBER	8400	26631	\N	\N	\N
3333254	11069	1997-11-08	VYDAJ	VYBER	6300	37092	\N	\N	\N
3333256	11069	1997-12-27	VYDAJ	VYBER	4800	46995	\N	\N	\N
3333257	11069	1997-06-20	VYDAJ	VYBER	2700	26653	\N	\N	\N
3333258	11069	1997-01-13	VYDAJ	VYBER	4200	41961	\N	\N	\N
3333260	11069	1997-09-11	VYDAJ	VYBER	8100	52084	\N	\N	\N
3333261	11069	1997-04-23	VYDAJ	VYBER	5400	29688	\N	\N	\N
3333262	11069	1997-04-12	VYDAJ	VYBER	2100	32470	\N	\N	\N
3333263	11069	1997-07-21	VYDAJ	VYBER	8700	74143	\N	\N	\N
3333264	11069	1998-10-27	VYDAJ	VYBER	12600	87595	\N	\N	\N
3333265	11069	1998-11-13	VYDAJ	VYBER	9000	55434	\N	\N	\N
3333275	11069	1995-08-31	VYDAJ	VYBER	15	61740	SLUZBY	\N	\N
3333276	11069	1995-09-30	VYDAJ	VYBER	15	76106	SLUZBY	\N	\N
3333277	11069	1995-10-31	VYDAJ	VYBER	15	39106	SLUZBY	\N	\N
3333278	11069	1995-11-30	VYDAJ	VYBER	15	29365	SLUZBY	\N	\N
3333279	11069	1995-12-31	VYDAJ	VYBER	15	34509	SLUZBY	\N	\N
3333280	11069	1996-01-31	VYDAJ	VYBER	15	26800	SLUZBY	\N	\N
3333281	11069	1996-02-29	VYDAJ	VYBER	15	34217	SLUZBY	\N	\N
3333282	11069	1996-03-31	VYDAJ	VYBER	15	24515	SLUZBY	\N	\N
3333283	11069	1996-04-30	VYDAJ	VYBER	15	28505	SLUZBY	\N	\N
3333284	11069	1996-05-31	VYDAJ	VYBER	15	30511	SLUZBY	\N	\N
3333285	11069	1996-06-30	VYDAJ	VYBER	15	56833	SLUZBY	\N	\N
3333286	11069	1996-07-31	VYDAJ	VYBER	15	44646	SLUZBY	\N	\N
3333287	11069	1996-08-31	VYDAJ	VYBER	15	37310	SLUZBY	\N	\N
3333288	11069	1996-09-30	VYDAJ	VYBER	15	25761	SLUZBY	\N	\N
3333289	11069	1996-10-31	VYDAJ	VYBER	15	37700	SLUZBY	\N	\N
3333290	11069	1996-11-30	VYDAJ	VYBER	15	35140	SLUZBY	\N	\N
3333291	11069	1996-12-31	VYDAJ	VYBER	15	53361	SLUZBY	\N	\N
3333292	11069	1997-01-31	VYDAJ	VYBER	15	28908	SLUZBY	\N	\N
3333293	11069	1997-02-28	VYDAJ	VYBER	15	45706	SLUZBY	\N	\N
3333294	11069	1997-03-31	VYDAJ	VYBER	15	34570	SLUZBY	\N	\N
3333295	11069	1997-04-30	VYDAJ	VYBER	15	29805	SLUZBY	\N	\N
3333296	11069	1997-05-31	VYDAJ	VYBER	15	31835	SLUZBY	\N	\N
3333297	11069	1997-06-30	VYDAJ	VYBER	15	38515	SLUZBY	\N	\N
3333298	11069	1997-07-31	VYDAJ	VYBER	15	53991	SLUZBY	\N	\N
3333299	11069	1997-08-31	VYDAJ	VYBER	15	60184	SLUZBY	\N	\N
3333300	11069	1997-09-30	VYDAJ	VYBER	15	45803	SLUZBY	\N	\N
3333301	11069	1997-10-31	VYDAJ	VYBER	15	43392	SLUZBY	\N	\N
3333302	11069	1997-11-30	VYDAJ	VYBER	15	39059	SLUZBY	\N	\N
3333303	11069	1997-12-31	VYDAJ	VYBER	15	47177	SLUZBY	\N	\N
3333304	11069	1998-01-31	VYDAJ	VYBER	15	34120	SLUZBY	\N	\N
3333305	11069	1998-02-28	VYDAJ	VYBER	15	101271	SLUZBY	\N	\N
3333306	11069	1998-03-31	VYDAJ	VYBER	15	65972	SLUZBY	\N	\N
3333307	11069	1998-04-30	VYDAJ	VYBER	15	101793	SLUZBY	\N	\N
3333308	11069	1998-05-31	VYDAJ	VYBER	15	67296	SLUZBY	\N	\N
3333309	11069	1998-06-30	VYDAJ	VYBER	15	103448	SLUZBY	\N	\N
3333310	11069	1998-07-31	VYDAJ	VYBER	15	62499	SLUZBY	\N	\N
3333311	11069	1998-08-31	VYDAJ	VYBER	15	90337	SLUZBY	\N	\N
3333312	11069	1998-09-30	VYDAJ	VYBER	15	69491	SLUZBY	\N	\N
3333313	11069	1998-10-31	VYDAJ	VYBER	15	87916	SLUZBY	\N	\N
3333314	11069	1998-11-30	VYDAJ	VYBER	15	55723	SLUZBY	\N	\N
3333315	11069	1995-07-02	VYDAJ	VYBER	13800	37682	\N	\N	\N
3333316	11069	1995-08-01	VYDAJ	VYBER	37000	60010	\N	\N	\N
3333317	11069	1995-08-31	VYDAJ	VYBER	21200	40540	\N	\N	\N
3333318	11069	1995-09-30	VYDAJ	VYBER	23800	52306	\N	\N	\N
3333319	11069	1995-10-30	VYDAJ	VYBER	11100	38906	\N	\N	\N
3333320	11069	1995-11-29	PRIJEM	VKLAD	700	29255	\N	\N	\N
3333321	11069	1995-12-29	VYDAJ	VYBER	6200	34377	\N	\N	\N
3333322	11069	1996-01-28	VYDAJ	VYBER	1400	35031	\N	\N	\N
3333323	11069	1996-02-27	VYDAJ	VYBER	11000	37704	\N	\N	\N
3333324	11069	1996-03-28	PRIJEM	VKLAD	3600	24417	\N	\N	\N
3333325	11069	1996-04-27	PRIJEM	VKLAD	6300	28415	\N	\N	\N
3333326	11069	1996-05-27	PRIJEM	VKLAD	4200	30405	\N	\N	\N
3333327	11069	1996-06-26	VYDAJ	VYBER	17700	56684	\N	\N	\N
3333328	11069	1996-07-26	VYDAJ	VYBER	9500	44433	\N	\N	\N
3333329	11069	1996-08-25	VYDAJ	VYBER	4900	37146	\N	\N	\N
3333330	11069	1996-09-24	PRIJEM	VKLAD	2100	25639	\N	\N	\N
3333331	11069	1996-10-24	VYDAJ	VYBER	6400	37543	\N	\N	\N
3333332	11069	1996-11-23	VYDAJ	VYBER	200	35000	\N	\N	\N
3333333	11069	1996-12-23	VYDAJ	VYBER	20400	53192	\N	\N	\N
3333334	11069	1997-01-22	PRIJEM	VKLAD	4200	34761	\N	\N	\N
3333335	11069	1997-02-21	PRIJEM	VKLAD	1400	28208	\N	\N	\N
3333336	11069	1997-03-23	PRIJEM	VKLAD	1200	34426	\N	\N	\N
3333337	11069	1997-04-22	PRIJEM	VKLAD	5100	35088	\N	\N	\N
3333338	11069	1997-05-22	PRIJEM	VKLAD	4400	31723	\N	\N	\N
3333339	11069	1997-06-21	PRIJEM	VKLAD	4200	30853	\N	\N	\N
3333340	11069	1997-07-21	VYDAJ	VYBER	20400	53743	\N	\N	\N
3333341	11069	1997-08-20	VYDAJ	VYBER	20200	59937	\N	\N	\N
3333342	11069	1997-09-19	VYDAJ	VYBER	4000	45602	\N	\N	\N
3333343	11069	1997-10-19	VYDAJ	VYBER	100	43221	\N	\N	\N
3333344	11069	1997-11-18	PRIJEM	VKLAD	4300	38910	\N	\N	\N
3333345	11069	1997-12-18	VYDAJ	VYBER	8000	51795	\N	\N	\N
3333346	11069	1998-01-17	VYDAJ	VYBER	11800	53427	\N	\N	\N
3333347	11069	1998-02-16	VYDAJ	VYBER	16000	55959	\N	\N	\N
3333348	11069	1998-03-10	VYDAJ	VYBER	50200	65299	\N	\N	\N
3333349	11069	1998-03-18	VYDAJ	VYBER	23300	65653	\N	\N	\N
3333350	11069	1998-04-15	VYDAJ	VYBER	63100	56676	\N	\N	\N
3333351	11069	1998-04-17	VYDAJ	VYBER	5100	51576	\N	\N	\N
3333352	11069	1998-05-17	VYDAJ	VYBER	28200	66960	\N	\N	\N
3333353	11069	1998-06-16	VYDAJ	VYBER	35800	75529	\N	\N	\N
3333354	11069	1998-07-09	VYDAJ	VYBER	31100	90270	\N	\N	\N
3333355	11069	1998-07-16	VYDAJ	VYBER	25600	62188	\N	\N	\N
3333356	11069	1998-08-15	VYDAJ	VYBER	22300	63247	\N	\N	\N
3333357	11069	1998-09-14	VYDAJ	VYBER	14200	59072	\N	\N	\N
3333358	11069	1998-10-14	VYDAJ	VYBER	16900	50109	\N	\N	\N
3333359	11069	1998-11-13	VYDAJ	VYBER	21000	64434	\N	\N	\N
3333360	11069	1998-12-13	VYDAJ	VYBER	7800	45441	\N	\N	\N
3335883	11079	1995-11-10	PRIJEM	VKLAD	300	300	\N	\N	\N
3335894	11079	1995-11-11	PRIJEM	PREVOD Z UCTU	49149	49449	\N	UV	74063533
3335895	11079	1995-12-11	PRIJEM	PREVOD Z UCTU	73724	111010	\N	UV	74063533
3335896	11079	1996-01-11	PRIJEM	PREVOD Z UCTU	49149	111291	\N	UV	74063533
3335897	11079	1996-02-11	PRIJEM	PREVOD Z UCTU	49149	98681	\N	UV	74063533
3335898	11079	1996-03-11	PRIJEM	PREVOD Z UCTU	49149	115460	\N	UV	74063533
3335899	11079	1996-04-11	PRIJEM	PREVOD Z UCTU	49149	81815	\N	UV	74063533
3335900	11079	1996-05-11	PRIJEM	PREVOD Z UCTU	49149	78857	\N	UV	74063533
3335901	11079	1996-06-11	PRIJEM	PREVOD Z UCTU	73724	111467	\N	UV	74063533
3335902	11079	1996-07-11	PRIJEM	PREVOD Z UCTU	49149	81685	\N	UV	74063533
3335903	11079	1996-08-11	PRIJEM	PREVOD Z UCTU	49149	107177	\N	UV	74063533
3335904	11079	1996-09-11	PRIJEM	PREVOD Z UCTU	49149	81750	\N	UV	74063533
3335905	11079	1996-10-11	PRIJEM	PREVOD Z UCTU	49149	112959	\N	UV	74063533
3335906	11079	1996-11-11	PRIJEM	PREVOD Z UCTU	49149	117503	\N	UV	74063533
3335907	11079	1996-12-11	PRIJEM	PREVOD Z UCTU	73724	125192	\N	UV	74063533
3335908	11079	1997-01-11	PRIJEM	PREVOD Z UCTU	49149	80422	\N	UV	74063533
3335909	11079	1997-02-11	PRIJEM	PREVOD Z UCTU	49149	92963	\N	UV	74063533
3335910	11079	1997-03-11	PRIJEM	PREVOD Z UCTU	49149	106893	\N	UV	74063533
3335911	11079	1997-04-11	PRIJEM	PREVOD Z UCTU	49149	108446	\N	UV	74063533
3335912	11079	1997-05-11	PRIJEM	PREVOD Z UCTU	49149	92912	\N	UV	74063533
3335913	11079	1997-06-11	PRIJEM	PREVOD Z UCTU	73724	125329	\N	UV	74063533
3335914	11079	1997-07-11	PRIJEM	PREVOD Z UCTU	49149	112679	\N	UV	74063533
3335915	11079	1997-08-11	PRIJEM	PREVOD Z UCTU	49149	118619	\N	UV	74063533
3335916	11079	1997-09-11	PRIJEM	PREVOD Z UCTU	49149	127170	\N	UV	74063533
3335917	11079	1997-10-11	PRIJEM	PREVOD Z UCTU	49149	102651	\N	UV	74063533
3335918	11079	1997-11-11	PRIJEM	PREVOD Z UCTU	49149	110968	\N	UV	74063533
3336053	11079	1997-08-04	VYDAJ	VYBER	6600	69470	\N	\N	\N
3335919	11079	1997-12-11	PRIJEM	PREVOD Z UCTU	73724	146540	\N	UV	74063533
3335920	11079	1998-01-11	PRIJEM	PREVOD Z UCTU	49149	80833	\N	UV	74063533
3335921	11079	1998-02-11	PRIJEM	PREVOD Z UCTU	49149	97287	\N	UV	74063533
3335922	11079	1998-03-11	PRIJEM	PREVOD Z UCTU	49149	123426	\N	UV	74063533
3335923	11079	1998-04-11	PRIJEM	PREVOD Z UCTU	49149	109863	\N	UV	74063533
3335924	11079	1998-05-11	PRIJEM	PREVOD Z UCTU	49149	127254	\N	UV	74063533
3335925	11079	1998-06-11	PRIJEM	PREVOD Z UCTU	73724	119347	\N	UV	74063533
3335926	11079	1998-07-11	PRIJEM	PREVOD Z UCTU	49149	89253	\N	UV	74063533
3335927	11079	1998-08-11	PRIJEM	PREVOD Z UCTU	49149	125989	\N	UV	74063533
3335928	11079	1998-09-11	PRIJEM	PREVOD Z UCTU	49149	111255	\N	UV	74063533
3335929	11079	1998-10-11	PRIJEM	PREVOD Z UCTU	49149	136460	\N	UV	74063533
3335930	11079	1998-11-11	PRIJEM	PREVOD Z UCTU	49149	131021	\N	UV	74063533
3335931	11079	1998-12-11	PRIJEM	PREVOD Z UCTU	73724	111598	\N	UV	74063533
3335946	11079	1996-03-19	VYDAJ	VYBER	6800	61260	\N	\N	0
3335947	11079	1996-04-20	VYDAJ	VYBER	8400	73415	\N	\N	0
3335948	11079	1996-05-03	VYDAJ	VYBER	8500	42008	\N	\N	0
3335949	11079	1996-06-14	VYDAJ	VYBER	10200	50267	\N	\N	0
3335950	11079	1996-07-13	VYDAJ	VYBER	6400	75285	\N	\N	0
3335951	11079	1996-08-12	VYDAJ	VYBER	7500	42877	\N	\N	0
3335952	11079	1996-09-10	VYDAJ	VYBER	6900	32601	\N	\N	0
3335953	11079	1996-10-13	VYDAJ	VYBER	7600	105359	\N	\N	0
3335954	11079	1996-11-09	VYDAJ	VYBER	7600	68354	\N	\N	0
3335955	11079	1996-12-21	VYDAJ	VYBER	7700	72992	\N	\N	0
3335956	11079	1997-01-13	VYDAJ	VYBER	6600	59122	\N	\N	0
3335957	11079	1997-02-18	VYDAJ	VYBER	9000	83963	\N	\N	0
3335958	11079	1997-03-07	VYDAJ	VYBER	8500	57744	\N	\N	0
3335959	11079	1997-04-07	VYDAJ	VYBER	6800	59297	\N	\N	0
3335960	11079	1997-05-12	VYDAJ	PREVOD NA UCET	8192	84720	UVER	UV	40114671
3335961	11079	1997-06-12	VYDAJ	PREVOD NA UCET	8192	76137	UVER	UV	40114671
3335962	11079	1997-07-12	VYDAJ	PREVOD NA UCET	8192	104488	UVER	UV	40114671
3335963	11079	1997-08-12	VYDAJ	PREVOD NA UCET	8192	110428	UVER	UV	40114671
3335964	11079	1997-09-12	VYDAJ	PREVOD NA UCET	8192	76778	UVER	UV	40114671
3335965	11079	1997-10-12	VYDAJ	PREVOD NA UCET	8192	94459	UVER	UV	40114671
3335966	11079	1997-11-12	VYDAJ	PREVOD NA UCET	8192	102776	UVER	UV	40114671
3335967	11079	1997-12-12	VYDAJ	PREVOD NA UCET	8192	91949	UVER	UV	40114671
3335968	11079	1998-01-12	VYDAJ	PREVOD NA UCET	8192	59742	UVER	UV	40114671
3335969	11079	1998-02-12	VYDAJ	PREVOD NA UCET	8192	89095	UVER	UV	40114671
3335970	11079	1998-03-12	VYDAJ	PREVOD NA UCET	8192	68234	UVER	UV	40114671
3335971	11079	1998-04-12	VYDAJ	PREVOD NA UCET	8192	101672	UVER	UV	40114671
3335972	11079	1998-05-18	VYDAJ	VYBER	7300	89654	\N	\N	0
3335973	11079	1998-06-07	VYDAJ	VYBER	6800	45623	\N	\N	0
3335974	11079	1998-07-06	VYDAJ	VYBER	6800	40104	\N	\N	0
3335975	11079	1998-08-13	VYDAJ	VYBER	8900	85489	\N	\N	0
3335976	11079	1998-09-13	VYDAJ	VYBER	9400	101855	\N	\N	0
3335977	11079	1998-10-21	VYDAJ	VYBER	9100	101760	\N	\N	0
3335978	11079	1998-11-18	VYDAJ	VYBER	10200	84621	\N	\N	0
3335979	11079	1998-12-16	VYDAJ	VYBER	10200	101398	\N	\N	0
3335988	11079	1996-06-29	VYBER	VYBER	18122	32145	\N	\N	\N
3335991	11079	1996-04-27	VYBER	VYBER	23169	50246	\N	\N	\N
3335992	11079	1996-05-22	VYBER	VYBER	7111	53640	\N	\N	\N
3335993	11079	1996-12-02	VYBER	VYBER	18524	70668	\N	\N	\N
3335994	11079	1996-05-22	VYBER	VYBER	18106	60751	\N	\N	\N
3335995	11079	1996-06-04	VYBER	VYBER	17627	36243	\N	\N	\N
3335996	11079	1996-08-21	VYBER	VYBER	8380	34497	\N	\N	\N
3335998	11079	1997-12-26	VYBER	VYBER	22113	50362	\N	\N	\N
3336000	11079	1997-10-19	VYBER	VYBER	11551	82908	\N	\N	\N
3336001	11079	1997-03-13	VYBER	VYBER	6954	99939	\N	\N	\N
3336002	11079	1997-12-26	VYBER	VYBER	19474	72475	\N	\N	\N
3336003	11079	1998-05-28	VYBER	VYBER	15458	74196	\N	\N	\N
3336004	11079	1998-05-28	VYBER	VYBER	21927	52269	\N	\N	\N
3336005	11079	1998-12-05	VYBER	VYBER	24271	45374	\N	\N	\N
3336008	11079	1997-06-05	VYDAJ	VYBER	12300	51605	\N	\N	\N
3336009	11079	1998-06-19	VYDAJ	VYBER	52500	40447	\N	\N	\N
3336012	11079	1997-01-10	VYDAJ	VYBER	6000	39373	\N	\N	\N
3336013	11079	1998-01-03	VYDAJ	VYBER	16200	31684	\N	\N	\N
3336015	11079	1996-12-23	VYDAJ	VYBER	6000	66992	\N	\N	\N
3336016	11079	1997-12-30	VYDAJ	VYBER	5100	47562	\N	\N	\N
3336017	11079	1998-12-06	VYDAJ	VYBER	7500	37874	\N	\N	\N
3336030	11079	1997-01-14	VYDAJ	VYBER	6000	53122	\N	\N	\N
3336031	11079	1997-01-07	VYDAJ	VYBER	5700	47173	\N	\N	\N
3336032	11079	1997-01-25	VYDAJ	VYBER	3300	41122	\N	\N	\N
3336033	11079	1997-01-10	VYDAJ	VYBER	8100	31273	\N	\N	\N
3336034	11079	1997-01-10	VYDAJ	VYBER	1800	45373	\N	\N	\N
3336035	11079	1997-01-16	VYDAJ	VYBER	8700	44422	\N	\N	\N
3336036	11079	1998-01-12	VYDAJ	VYBER	4800	67933	\N	\N	\N
3336038	11079	1998-01-14	VYDAJ	VYBER	6000	53742	\N	\N	\N
3336039	11079	1998-01-20	VYDAJ	VYBER	6300	47442	\N	\N	\N
3336041	11079	1998-01-12	VYDAJ	VYBER	8100	72733	\N	\N	\N
3336045	11079	1996-12-27	VYDAJ	VYBER	4800	62192	\N	\N	\N
3336046	11079	1996-04-09	VYDAJ	VYBER	9300	32666	\N	\N	\N
3336047	11079	1996-04-05	VYDAJ	VYBER	14700	46866	\N	\N	\N
3336048	11079	1996-05-07	VYDAJ	VYBER	14100	27908	\N	\N	\N
3336049	11079	1996-12-10	VYDAJ	VYBER	7800	51468	\N	\N	\N
3336050	11079	1996-03-15	VYDAJ	VYBER	13800	68060	\N	\N	\N
3336051	11079	1996-11-27	VYDAJ	VYBER	9000	88803	\N	\N	\N
3336052	11079	1997-09-17	VYDAJ	VYBER	3600	66878	\N	\N	\N
3336054	11079	1997-09-14	VYDAJ	VYBER	6300	70478	\N	\N	\N
3336055	11079	1997-01-11	VYDAJ	VYBER	14700	65722	\N	\N	\N
3336056	11079	1997-03-23	VYDAJ	VYBER	8100	91839	\N	\N	\N
3336057	11079	1997-08-13	VYDAJ	VYBER	4500	105928	\N	\N	\N
3336058	11079	1998-09-02	VYDAJ	VYBER	11400	62106	\N	\N	\N
3336059	11079	1998-03-29	VYDAJ	VYBER	6000	60434	\N	\N	\N
3336060	11079	1998-11-27	VYDAJ	VYBER KARTOU	3000	69321	\N	\N	0
3336061	11079	1998-10-27	VYDAJ	VYBER KARTOU	3000	81460	\N	\N	0
3336077	11079	1996-03-31	VYDAJ	VYBER	15	61566	SLUZBY	\N	\N
3336078	11079	1996-04-30	VYDAJ	VYBER	15	50508	SLUZBY	\N	\N
3336079	11079	1996-05-31	VYDAJ	VYBER	15	53870	SLUZBY	\N	\N
3336080	11079	1996-06-30	VYDAJ	VYBER	15	32336	SLUZBY	\N	\N
3336081	11079	1996-07-31	VYDAJ	VYBER	15	75528	SLUZBY	\N	\N
3336082	11079	1996-08-31	VYDAJ	VYBER	15	34701	SLUZBY	\N	\N
3336083	11079	1996-09-30	VYDAJ	VYBER	15	82010	SLUZBY	\N	\N
3336084	11079	1996-10-31	VYDAJ	VYBER	15	105754	SLUZBY	\N	\N
3336085	11079	1996-11-30	VYDAJ	VYBER	15	89192	SLUZBY	\N	\N
3336086	11079	1996-12-31	VYDAJ	VYBER	15	62473	SLUZBY	\N	\N
3336087	11079	1997-01-31	VYDAJ	VYBER	15	41314	SLUZBY	\N	\N
3336088	11079	1997-02-28	VYDAJ	VYBER	15	84244	SLUZBY	\N	\N
3336089	11079	1997-03-31	VYDAJ	VYBER	15	92197	SLUZBY	\N	\N
3336090	11079	1997-04-30	VYDAJ	VYBER	15	44563	SLUZBY	\N	\N
3336091	11079	1997-05-31	VYDAJ	VYBER	15	85005	SLUZBY	\N	\N
3336092	11079	1997-06-30	VYDAJ	VYBER	15	76430	SLUZBY	\N	\N
3336093	11079	1997-07-31	VYDAJ	VYBER	15	104870	SLUZBY	\N	\N
3336094	11079	1997-08-31	VYDAJ	VYBER	15	106321	SLUZBY	\N	\N
3336095	11079	1997-09-30	VYDAJ	VYBER	15	67202	SLUZBY	\N	\N
3336096	11079	1997-10-31	VYDAJ	VYBER	15	61819	SLUZBY	\N	\N
3336097	11079	1997-11-30	VYDAJ	VYBER	15	72816	SLUZBY	\N	\N
3336098	11079	1997-12-31	VYDAJ	VYBER	15	47884	SLUZBY	\N	\N
3336099	11079	1998-01-31	VYDAJ	VYBER	15	48138	SLUZBY	\N	\N
3336100	11079	1998-02-28	VYDAJ	VYBER	15	74277	SLUZBY	\N	\N
3336101	11079	1998-03-31	VYDAJ	VYBER	15	60714	SLUZBY	\N	\N
3336102	11079	1998-04-30	VYDAJ	VYBER	15	78105	SLUZBY	\N	\N
3336103	11079	1998-05-31	VYDAJ	VYBER	15	52423	SLUZBY	\N	\N
3336104	11079	1998-06-30	VYDAJ	VYBER	15	46904	SLUZBY	\N	\N
3336105	11079	1998-07-31	VYDAJ	VYBER	15	76840	SLUZBY	\N	\N
3336106	11079	1998-08-31	VYDAJ	VYBER	15	73506	SLUZBY	\N	\N
3336107	11079	1998-09-30	VYDAJ	VYBER	15	87311	SLUZBY	\N	\N
3336108	11079	1998-10-31	VYDAJ	VYBER	15	81872	SLUZBY	\N	\N
3336109	11079	1998-11-30	VYDAJ	VYBER	15	69645	SLUZBY	\N	\N
3336110	11079	1995-12-10	VYDAJ	VYBER	12300	37286	\N	\N	\N
3336111	11079	1995-12-11	VYDAJ	VYBER	16900	94110	\N	\N	\N
3336112	11079	1996-01-09	VYDAJ	VYBER	32300	62142	\N	\N	\N
3336113	11079	1996-01-11	VYDAJ	VYBER	43400	67891	\N	\N	\N
3336114	11079	1996-02-08	VYDAJ	VYBER	18800	49532	\N	\N	\N
3336115	11079	1996-03-09	VYDAJ	VYBER	32800	66311	\N	\N	\N
3336116	11079	1996-03-11	VYDAJ	VYBER	33600	81860	\N	\N	\N
3336117	11079	1996-04-08	VYDAJ	VYBER	4900	41966	\N	\N	\N
3336118	11079	1996-05-08	PRIJEM	VKLAD	1800	29708	\N	\N	\N
3336119	11079	1996-06-07	PRIJEM	VKLAD	1500	37743	\N	\N	\N
3336120	11079	1996-06-11	VYDAJ	VYBER	51000	60467	\N	\N	\N
3336121	11079	1996-07-07	PRIJEM	VKLAD	200	32536	\N	\N	\N
3336122	11079	1996-08-06	VYDAJ	VYBER	17500	58028	\N	\N	\N
3336123	11079	1996-08-11	VYDAJ	VYBER	56800	50377	\N	\N	\N
3336124	11079	1996-09-05	PRIJEM	VKLAD	4800	39501	\N	\N	\N
3336125	11079	1996-10-05	VYDAJ	VYBER	18200	63810	\N	\N	\N
3336126	11079	1996-11-04	VYDAJ	VYBER	29800	75954	\N	\N	\N
3336127	11079	1996-11-11	VYDAJ	VYBER	19700	97803	\N	\N	\N
3336128	11079	1996-12-04	VYDAJ	VYBER	11400	59268	\N	\N	\N
3336129	11079	1996-12-11	VYDAJ	VYBER	44500	80692	\N	\N	\N
3336130	11079	1997-01-03	VYDAJ	VYBER	9600	52873	\N	\N	\N
3336131	11079	1997-02-02	PRIJEM	VKLAD	2500	43814	\N	\N	\N
3336132	11079	1997-03-04	VYDAJ	VYBER	18000	66244	\N	\N	\N
3336133	11079	1997-04-03	VYDAJ	VYBER	26100	66097	\N	\N	\N
3336134	11079	1997-04-11	VYDAJ	VYBER	64100	44346	\N	\N	\N
3336135	11079	1997-05-03	VYDAJ	VYBER	800	43763	\N	\N	\N
3336136	11079	1997-06-02	VYDAJ	VYBER	21100	63905	\N	\N	\N
3336137	11079	1997-06-11	VYDAJ	VYBER	41000	84329	\N	\N	\N
3336138	11079	1997-07-02	VYDAJ	VYBER	12900	63530	\N	\N	\N
3336139	11079	1997-08-01	VYDAJ	VYBER	28800	76070	\N	\N	\N
3336140	11079	1997-08-31	VYDAJ	VYBER	28300	78021	\N	\N	\N
3336141	11079	1997-09-11	VYDAJ	VYBER	42200	84970	\N	\N	\N
3336142	11079	1997-09-30	VYDAJ	VYBER	13700	53502	\N	\N	\N
3336143	11079	1997-10-30	VYDAJ	VYBER	21400	61508	\N	\N	\N
3336144	11079	1997-11-29	VYDAJ	VYBER	30300	72476	\N	\N	\N
3336145	11079	1997-12-11	VYDAJ	VYBER	46400	100140	\N	\N	\N
3336146	11079	1997-12-29	PRIJEM	VKLAD	2300	52662	\N	\N	\N
3336147	11079	1998-01-28	PRIJEM	VKLAD	500	47942	\N	\N	\N
3336148	11079	1998-02-27	VYDAJ	VYBER	15100	73995	\N	\N	\N
3336149	11079	1998-03-11	VYDAJ	VYBER	47000	76426	\N	\N	\N
3336150	11079	1998-03-29	VYDAJ	VYBER KARTOU	1800	66434	\N	\N	0
3336151	11079	1998-04-28	VYDAJ	VYBER	23900	77772	\N	\N	\N
3336152	11079	1998-05-11	VYDAJ	VYBER	30300	96954	\N	\N	\N
3336153	11079	1998-05-28	VYDAJ	VYBER KARTOU	200	52069	\N	\N	0
3336154	11079	1998-06-11	VYDAJ	VYBER	26400	92947	\N	\N	\N
3336155	11079	1998-06-27	PRIJEM	VKLAD	6200	46647	\N	\N	\N
3336156	11079	1998-07-27	VYDAJ	VYBER	12700	76553	\N	\N	\N
3336157	11079	1998-08-11	VYDAJ	VYBER	31600	94389	\N	\N	\N
3336158	11079	1998-08-26	VYDAJ	VYBER	12300	73189	\N	\N	\N
3336159	11079	1998-09-25	VYDAJ	VYBER	14900	86955	\N	\N	\N
3336160	11079	1998-10-11	VYDAJ	VYBER	25600	110860	\N	\N	\N
3336161	11079	1998-10-25	VYDAJ	VYBER	17300	84460	\N	\N	\N
3336162	11079	1998-11-11	VYDAJ	VYBER	36200	94821	\N	\N	\N
3336163	11079	1998-11-24	VYDAJ	VYBER	12300	72321	\N	\N	\N
3340702	11096	1996-12-10	PRIJEM	VKLAD	800	800	\N	\N	\N
3340715	11096	1997-01-05	PRIJEM	VKLAD	24245	25045	\N	\N	\N
3340716	11096	1997-02-05	PRIJEM	VKLAD	24245	49468	\N	\N	\N
3340717	11096	1997-03-05	PRIJEM	VKLAD	24245	60452	\N	\N	\N
3340718	11096	1997-04-05	PRIJEM	VKLAD	24245	61350	\N	\N	\N
3340719	11096	1997-05-05	PRIJEM	VKLAD	24245	64469	\N	\N	\N
3340720	11096	1997-06-05	PRIJEM	VKLAD	36368	54917	\N	\N	\N
3340721	11096	1997-07-05	PRIJEM	VKLAD	24245	48024	\N	\N	\N
3340722	11096	1997-08-05	PRIJEM	VKLAD	24245	43529	\N	\N	\N
3340723	11096	1997-09-05	PRIJEM	VKLAD	24245	46641	\N	\N	\N
3340724	11096	1997-10-05	PRIJEM	VKLAD	24245	46056	\N	\N	\N
3340725	11096	1997-11-05	PRIJEM	VKLAD	24245	46672	\N	\N	\N
3340726	11096	1997-12-05	PRIJEM	VKLAD	36368	56282	\N	\N	\N
3340727	11096	1998-01-05	PRIJEM	VKLAD	24245	50176	\N	\N	\N
3340728	11096	1998-02-05	PRIJEM	VKLAD	24245	41710	\N	\N	\N
3340729	11096	1998-03-05	PRIJEM	VKLAD	24245	55858	\N	\N	\N
3340730	11096	1998-04-05	PRIJEM	VKLAD	24245	50221	\N	\N	\N
3340731	11096	1998-05-05	PRIJEM	VKLAD	24245	55906	\N	\N	\N
3340732	11096	1998-06-05	PRIJEM	VKLAD	36368	68841	\N	\N	\N
3340733	11096	1998-07-05	PRIJEM	VKLAD	24245	45197	\N	\N	\N
3340734	11096	1998-08-05	PRIJEM	VKLAD	24245	50477	\N	\N	\N
3340735	11096	1998-09-05	PRIJEM	VKLAD	24245	53386	\N	\N	\N
3340736	11096	1998-10-05	PRIJEM	VKLAD	24245	58286	\N	\N	\N
3340737	11096	1998-11-05	PRIJEM	VKLAD	24245	63963	\N	\N	\N
3340738	11096	1998-12-05	PRIJEM	VKLAD	36368	74941	\N	\N	\N
3340755	11096	1997-05-13	VYDAJ	PREVOD NA UCET	6661	30408	SIPO	QR	41980844
3340756	11096	1997-06-13	VYDAJ	PREVOD NA UCET	6661	27501	SIPO	QR	41980844
3340757	11096	1997-07-13	VYDAJ	PREVOD NA UCET	6661	19208	SIPO	QR	41980844
3340758	11096	1997-08-13	VYDAJ	PREVOD NA UCET	6661	22313	SIPO	QR	41980844
3340759	11096	1997-09-13	VYDAJ	PREVOD NA UCET	6661	21725	SIPO	QR	41980844
3340760	11096	1997-10-13	VYDAJ	PREVOD NA UCET	6661	22340	SIPO	QR	41980844
3340761	11096	1997-11-13	VYDAJ	PREVOD NA UCET	6661	23656	SIPO	QR	41980844
3340762	11096	1997-12-13	VYDAJ	PREVOD NA UCET	6661	28066	SIPO	QR	41980844
3340763	11096	1998-01-13	VYDAJ	PREVOD NA UCET	6661	34680	SIPO	QR	41980844
3340764	11096	1998-02-13	VYDAJ	PREVOD NA UCET	6661	31494	SIPO	QR	41980844
3340765	11096	1998-03-13	VYDAJ	PREVOD NA UCET	6661	29042	SIPO	QR	41980844
3340766	11096	1998-04-13	VYDAJ	PREVOD NA UCET	6661	40005	SIPO	QR	41980844
3340767	11096	1998-05-13	VYDAJ	PREVOD NA UCET	6661	45690	SIPO	QR	41980844
3340768	11096	1998-06-13	VYDAJ	PREVOD NA UCET	6661	17345	SIPO	QR	41980844
3340769	11096	1998-07-13	VYDAJ	PREVOD NA UCET	6661	34981	SIPO	QR	41980844
3340770	11096	1998-08-13	VYDAJ	PREVOD NA UCET	6661	35101	SIPO	QR	41980844
3340771	11096	1998-09-13	VYDAJ	PREVOD NA UCET	6661	43170	SIPO	QR	41980844
3340772	11096	1998-10-13	VYDAJ	PREVOD NA UCET	6661	48070	SIPO	QR	41980844
3340773	11096	1998-11-13	VYDAJ	PREVOD NA UCET	6661	53747	SIPO	QR	41980844
3340774	11096	1998-12-13	VYDAJ	PREVOD NA UCET	6661	64725	SIPO	QR	41980844
3340791	11096	1997-05-03	VYDAJ	VYBER	3500	40224	\N	\N	0
3340792	11096	1997-06-12	VYDAJ	PREVOD NA UCET	3555	34162	UVER	WX	43682754
3340793	11096	1997-07-12	VYDAJ	PREVOD NA UCET	3555	25869	UVER	WX	43682754
3340794	11096	1997-08-12	VYDAJ	PREVOD NA UCET	3555	28974	UVER	WX	43682754
3340795	11096	1997-09-12	VYDAJ	PREVOD NA UCET	3555	28386	UVER	WX	43682754
3340796	11096	1997-10-12	VYDAJ	PREVOD NA UCET	3555	29001	UVER	WX	43682754
3340797	11096	1997-11-12	VYDAJ	PREVOD NA UCET	3555	30317	UVER	WX	43682754
3340798	11096	1997-12-12	VYDAJ	PREVOD NA UCET	3555	34727	UVER	WX	43682754
3340799	11096	1998-01-12	VYDAJ	PREVOD NA UCET	3555	43741	UVER	WX	43682754
3340800	11096	1998-02-12	VYDAJ	PREVOD NA UCET	3555	38155	UVER	WX	43682754
3340801	11096	1998-03-12	VYDAJ	PREVOD NA UCET	3555	35703	UVER	WX	43682754
3340802	11096	1998-04-12	VYDAJ	PREVOD NA UCET	3555	46666	UVER	WX	43682754
3340803	11096	1998-05-12	VYDAJ	PREVOD NA UCET	3555	52351	UVER	WX	43682754
3340804	11096	1998-06-12	VYDAJ	PREVOD NA UCET	3555	24006	UVER	WX	43682754
3340805	11096	1998-07-12	VYDAJ	PREVOD NA UCET	3555	41642	UVER	WX	43682754
3340806	11096	1998-08-12	VYDAJ	PREVOD NA UCET	3555	41762	UVER	WX	43682754
3340807	11096	1998-09-12	VYDAJ	PREVOD NA UCET	3555	49831	UVER	WX	43682754
3340808	11096	1998-10-12	VYDAJ	PREVOD NA UCET	3555	54731	UVER	WX	43682754
3340809	11096	1998-11-12	VYDAJ	PREVOD NA UCET	3555	60408	UVER	WX	43682754
3340810	11096	1998-12-12	VYDAJ	PREVOD NA UCET	3555	71386	UVER	WX	43682754
3340812	11096	1997-06-02	VYDAJ	VYBER	12000	18549	\N	\N	\N
3340813	11096	1998-06-09	VYDAJ	VYBER	41280	27561	\N	\N	\N
3340816	11096	1998-01-25	VYDAJ	VYBER	7040	21880	\N	\N	\N
3340818	11096	1997-12-18	VYDAJ	VYBER	1440	26626	\N	\N	\N
3340819	11096	1998-12-04	VYDAJ	VYBER	2560	38573	\N	\N	\N
3340832	11096	1998-01-10	VYDAJ	VYBER	2880	47296	\N	\N	\N
3340833	11096	1998-01-28	VYDAJ	VYBER	2880	19000	\N	\N	\N
3340834	11096	1998-01-16	VYDAJ	VYBER	3000	31680	\N	\N	\N
3340835	11096	1998-01-13	VYDAJ	VYBER	2400	41341	\N	\N	\N
3340836	11096	1998-01-25	VYDAJ	VYBER	2760	28920	\N	\N	\N
3340837	11096	1998-01-30	VYDAJ	VYBER	3360	15640	\N	\N	\N
3340847	11096	1997-06-28	VYDAJ	VYBER	3840	23661	\N	\N	\N
3340848	11096	1997-11-14	VYDAJ	VYBER	3840	19816	\N	\N	\N
3340849	11096	1998-10-23	VYDAJ	VYBER	3600	44470	\N	\N	\N
3340850	11096	1998-08-05	VYDAJ	VYBER	5160	45317	\N	\N	\N
3340851	11096	1998-10-31	VYDAJ	VYBER	3840	40833	\N	\N	\N
3340852	11096	1998-07-13	VYDAJ	VYBER	3480	31501	\N	\N	\N
3340870	11096	1997-05-31	VYDAJ	VYBER	15	30549	SLUZBY	\N	\N
3340871	11096	1997-06-30	VYDAJ	VYBER	15	23779	SLUZBY	\N	\N
3340872	11096	1997-07-31	VYDAJ	VYBER	15	19284	SLUZBY	\N	\N
3340873	11096	1997-08-31	VYDAJ	VYBER	15	22396	SLUZBY	\N	\N
3340874	11096	1997-09-30	VYDAJ	VYBER	15	21811	SLUZBY	\N	\N
3340875	11096	1997-10-31	VYDAJ	VYBER	15	22427	SLUZBY	\N	\N
3340876	11096	1997-11-30	VYDAJ	VYBER	15	19914	SLUZBY	\N	\N
3340877	11096	1997-12-31	VYDAJ	VYBER	15	26731	SLUZBY	\N	\N
3340878	11096	1998-01-31	VYDAJ	VYBER	15	15765	SLUZBY	\N	\N
3340879	11096	1998-02-28	VYDAJ	VYBER	15	31613	SLUZBY	\N	\N
3340880	11096	1998-03-31	VYDAJ	VYBER	15	29176	SLUZBY	\N	\N
3340881	11096	1998-04-30	VYDAJ	VYBER	15	40161	SLUZBY	\N	\N
3340882	11096	1998-05-31	VYDAJ	VYBER	15	45873	SLUZBY	\N	\N
3340883	11096	1998-06-30	VYDAJ	VYBER	15	17452	SLUZBY	\N	\N
3340884	11096	1998-07-31	VYDAJ	VYBER	15	31632	SLUZBY	\N	\N
3340885	11096	1998-08-31	VYDAJ	VYBER	15	35241	SLUZBY	\N	\N
3340886	11096	1998-09-30	VYDAJ	VYBER	15	43341	SLUZBY	\N	\N
3340887	11096	1998-10-31	VYDAJ	VYBER	15	40818	SLUZBY	\N	\N
3340888	11096	1998-11-30	VYDAJ	VYBER	15	41133	SLUZBY	\N	\N
3340889	11096	1997-01-09	PRIJEM	VKLAD	100	25145	\N	\N	\N
3340890	11096	1997-02-08	VYDAJ	VYBER	13400	36068	\N	\N	\N
3340891	11096	1997-03-10	VYDAJ	VYBER	23500	36952	\N	\N	\N
3340892	11096	1997-04-09	VYDAJ	VYBER	17800	43550	\N	\N	\N
3340893	11096	1997-05-09	VYDAJ	VYBER	27400	37069	\N	\N	\N
3340894	11096	1997-06-08	VYDAJ	VYBER	17200	37717	\N	\N	\N
3340895	11096	1997-07-08	VYDAJ	VYBER	18600	29424	\N	\N	\N
3340896	11096	1997-08-07	VYDAJ	VYBER	11000	32529	\N	\N	\N
3340897	11096	1997-09-06	VYDAJ	VYBER	14700	31941	\N	\N	\N
3340898	11096	1997-10-06	VYDAJ	VYBER	13500	32556	\N	\N	\N
3340899	11096	1997-11-05	VYDAJ	VYBER	12800	33872	\N	\N	\N
3340900	11096	1997-12-05	VYDAJ	VYBER	18000	38282	\N	\N	\N
3340901	11096	1998-01-04	VYDAJ	VYBER	800	25931	\N	\N	\N
3340902	11096	1998-02-03	PRIJEM	VKLAD	1700	17465	\N	\N	\N
3340903	11096	1998-03-05	VYDAJ	VYBER	16600	39258	\N	\N	\N
3340904	11096	1998-04-04	VYDAJ	VYBER	3200	25976	\N	\N	\N
3340905	11096	1998-05-04	VYDAJ	VYBER	8500	31661	\N	\N	\N
3340906	11096	1998-06-03	VYDAJ	VYBER	13400	32473	\N	\N	\N
3340907	11096	1998-07-03	PRIJEM	VKLAD	3500	20952	\N	\N	\N
3340908	11096	1998-08-02	VYDAJ	VYBER	5400	26232	\N	\N	\N
3340909	11096	1998-09-01	VYDAJ	VYBER	6100	29141	\N	\N	\N
3340910	11096	1998-10-01	VYDAJ	VYBER	9300	34041	\N	\N	\N
3340911	11096	1998-10-31	VYDAJ	VYBER	1100	39718	\N	\N	\N
3340912	11096	1998-11-30	VYDAJ	VYBER	12800	41148	\N	\N	\N
3344696	11111	1993-05-20	PRIJEM	VKLAD	900	900	\N	\N	\N
3344697	11111	1993-06-30	PRIJEM	VKLAD	37197	85585	\N	\N	\N
3344698	11111	1993-10-13	PRIJEM	VKLAD	37483	106107	\N	\N	\N
3344699	11111	1993-10-17	PRIJEM	VKLAD	7589	67596	\N	\N	\N
3344701	11111	1993-10-08	PRIJEM	VKLAD	45740	73360	\N	\N	\N
3344704	11111	1993-07-24	PRIJEM	VKLAD	15602	108123	\N	\N	\N
3344705	11111	1993-10-25	PRIJEM	VKLAD	27994	81586	\N	\N	\N
3344706	11111	1993-06-03	PRIJEM	VKLAD	33488	71488	\N	\N	\N
3344708	11111	1993-05-25	PRIJEM	VKLAD	37064	37964	\N	\N	\N
3344709	11111	1993-07-28	PRIJEM	VKLAD	37329	83352	\N	\N	\N
3344710	11111	1993-07-06	PRIJEM	VKLAD	38098	123863	\N	\N	\N
3344711	11111	1993-09-09	PRIJEM	VKLAD	7983	38633	\N	\N	\N
3344713	11111	1993-10-21	PRIJEM	VKLAD	9696	53592	\N	\N	\N
3344716	11111	1993-07-22	PRIJEM	VKLAD	45158	92521	\N	\N	\N
3344717	11111	1994-09-06	PRIJEM	VKLAD	32912	116322	\N	\N	\N
3344718	11111	1994-04-22	PRIJEM	VKLAD	22223	39141	\N	\N	\N
3344719	11111	1994-08-18	PRIJEM	VKLAD	23767	43419	\N	\N	\N
3344720	11111	1994-09-02	PRIJEM	VKLAD	39876	83410	\N	\N	\N
3344721	11111	1995-05-20	PRIJEM	VKLAD	25530	95586	\N	\N	\N
3344722	11111	1995-09-01	PRIJEM	VKLAD	43012	134593	\N	\N	\N
3344723	11111	1995-03-09	PRIJEM	VKLAD	39654	119218	\N	\N	\N
3344724	11111	1995-01-06	PRIJEM	VKLAD	25656	54090	\N	\N	\N
3344725	11111	1995-07-01	PRIJEM	VKLAD	23221	105854	\N	\N	\N
3344726	11111	1995-06-17	PRIJEM	VKLAD	10671	46590	\N	\N	\N
3344727	11111	1995-03-30	PRIJEM	VKLAD	49567	155582	\N	\N	\N
3344728	11111	1995-12-07	PRIJEM	VKLAD	33710	61959	\N	\N	\N
3344729	11111	1995-06-19	PRIJEM	VKLAD	40199	78184	\N	\N	\N
3344730	11111	1995-06-22	PRIJEM	VKLAD	23946	102130	\N	\N	\N
3344731	11111	1995-02-06	PRIJEM	VKLAD	38305	71995	\N	\N	\N
3344732	11111	1995-02-08	PRIJEM	VKLAD	15715	87710	\N	\N	\N
3344733	11111	1995-12-25	PRIJEM	VKLAD	43527	104050	\N	\N	\N
3344734	11111	1995-12-22	PRIJEM	VKLAD	11404	60523	\N	\N	\N
3344735	11111	1995-02-14	PRIJEM	VKLAD	37970	88892	\N	\N	\N
3344736	11111	1995-10-07	PRIJEM	VKLAD	35591	88084	\N	\N	\N
3344737	11111	1995-03-15	PRIJEM	VKLAD	23471	90014	\N	\N	\N
3344738	11111	1995-04-22	PRIJEM	VKLAD	20440	120191	\N	\N	\N
3344739	11111	1995-05-14	PRIJEM	VKLAD	25116	70056	\N	\N	\N
3344740	11111	1995-06-27	PRIJEM	VKLAD	17335	119465	\N	\N	\N
3344741	11111	1995-03-23	PRIJEM	VKLAD	16001	106015	\N	\N	\N
3344742	11111	1995-05-20	PRIJEM	VKLAD	14776	110362	\N	\N	\N
3344743	11111	1995-02-08	PRIJEM	VKLAD	33252	120962	\N	\N	\N
3344744	11111	1995-08-28	PRIJEM	VKLAD	37520	91343	\N	\N	\N
3344745	11111	1995-08-07	PRIJEM	VKLAD	35289	95163	\N	\N	\N
3344746	11111	1995-03-14	PRIJEM	VKLAD	31965	66543	\N	\N	\N
3344747	11111	1995-04-21	PRIJEM	VKLAD	40340	99751	\N	\N	\N
3344748	11111	1995-01-03	PRIJEM	VKLAD	32800	51834	\N	\N	\N
3344749	11111	1997-05-02	PRIJEM	VKLAD	25886	63250	\N	\N	\N
3344750	11111	1997-02-18	PRIJEM	VKLAD	36294	79398	\N	\N	\N
3344751	11111	1997-01-31	PRIJEM	VKLAD	47405	81866	\N	\N	\N
3344752	11111	1997-11-28	PRIJEM	VKLAD	11843	57154	\N	\N	\N
3344753	11111	1997-06-09	PRIJEM	VKLAD	24246	75161	\N	\N	\N
3344754	11111	1997-06-22	PRIJEM	VKLAD	45482	73607	\N	\N	\N
3344755	11111	1997-10-06	PRIJEM	VKLAD	30645	146162	\N	\N	\N
3344756	11111	1997-09-19	PRIJEM	VKLAD	45970	112849	\N	\N	\N
3344757	11111	1997-09-28	PRIJEM	VKLAD	16080	94229	\N	\N	\N
3344758	11111	1997-05-26	PRIJEM	VKLAD	14224	110769	\N	\N	\N
3344759	11111	1997-10-05	PRIJEM	VKLAD	39407	134017	\N	\N	\N
3344760	11111	1997-08-20	PRIJEM	VKLAD	35576	133179	\N	\N	\N
3344761	11111	1997-07-22	PRIJEM	VKLAD	19253	89311	\N	\N	\N
3344762	11111	1997-09-10	PRIJEM	VKLAD	13294	71615	\N	\N	\N
3344763	11111	1997-02-09	PRIJEM	VKLAD	35656	117507	\N	\N	\N
3344764	11111	1997-12-25	PRIJEM	VKLAD	43348	74451	\N	\N	\N
3344765	11111	1997-10-07	PRIJEM	VKLAD	12957	122419	\N	\N	\N
3344766	11111	1997-05-05	PRIJEM	VKLAD	35420	98670	\N	\N	\N
3344767	11111	1997-08-31	PRIJEM	VKLAD	43936	115135	\N	\N	\N
3344768	11111	1997-07-15	PRIJEM	VKLAD	20178	70058	\N	\N	\N
3344769	11111	1997-05-05	PRIJEM	VKLAD	5211	103881	\N	\N	\N
3344770	11111	1997-01-12	PRIJEM	VKLAD	17782	52062	\N	\N	\N
3344771	11111	1997-08-19	PRIJEM	VKLAD	38869	97603	\N	\N	\N
3344772	11111	1997-01-07	PRIJEM	VKLAD	7659	39016	\N	\N	\N
3344773	11111	1997-10-27	PRIJEM	VKLAD	10363	53125	\N	\N	\N
3344774	11111	1998-03-03	PRIJEM	VKLAD	34491	96461	\N	\N	\N
3344775	11111	1998-06-16	PRIJEM	VKLAD	6062	76751	\N	\N	\N
3344776	11111	1998-06-24	PRIJEM	VKLAD	32427	95878	\N	\N	\N
3344777	11111	1998-02-03	PRIJEM	VKLAD	42262	81415	\N	\N	\N
3344778	11111	1998-10-31	PRIJEM	VKLAD	41227	133098	\N	\N	\N
3344779	11111	1998-12-26	PRIJEM	VKLAD	13461	79233	\N	\N	\N
3344780	11111	1998-03-09	PRIJEM	VKLAD	25055	118116	\N	\N	\N
3344781	11111	1998-10-30	PRIJEM	VKLAD	30272	121290	\N	\N	\N
3344782	11111	1998-11-08	PRIJEM	VKLAD	17555	110039	\N	\N	\N
3344783	11111	1998-08-15	PRIJEM	VKLAD	18605	85798	\N	\N	\N
3344784	11111	1998-12-23	PRIJEM	VKLAD	10051	65772	\N	\N	\N
3344785	11111	1998-10-03	PRIJEM	VKLAD	18499	103092	\N	\N	\N
3344786	11111	1998-03-25	PRIJEM	VKLAD	30999	90279	\N	\N	\N
3344787	11111	1998-05-07	PRIJEM	VKLAD	44193	150169	\N	\N	\N
3344788	11111	1998-09-28	PRIJEM	VKLAD	11694	84252	\N	\N	\N
3344789	11111	1998-10-20	PRIJEM	VKLAD	45462	141318	\N	\N	\N
3344790	11111	1998-05-06	PRIJEM	VKLAD	23220	105976	\N	\N	\N
3344791	11111	1998-08-30	PRIJEM	VKLAD	15188	117117	\N	\N	\N
3344792	11111	1998-12-29	PRIJEM	VKLAD	29655	108888	\N	\N	\N
3344793	11111	1998-09-01	PRIJEM	VKLAD	18194	105394	\N	\N	\N
3344794	11111	1998-06-26	PRIJEM	VKLAD	12523	96300	\N	\N	\N
3344795	11111	1998-02-03	PRIJEM	VKLAD	6319	87734	\N	\N	\N
3344796	11111	1998-05-26	PRIJEM	VKLAD	16496	77324	\N	\N	\N
3344797	11111	1998-04-25	PRIJEM	VKLAD	49745	101233	\N	\N	\N
3344798	11111	1998-04-26	PRIJEM	VKLAD	26350	127583	\N	\N	\N
3344799	11111	1998-08-30	PRIJEM	VKLAD	39580	101929	\N	\N	\N
3344807	11111	1993-08-14	VYDAJ	VYBER	3600	61813	\N	\N	0
3344808	11111	1993-09-13	VYDAJ	VYBER	3400	30497	\N	\N	0
3344809	11111	1993-10-17	VYDAJ	VYBER	2700	64896	\N	\N	0
3344810	11111	1993-11-21	VYDAJ	VYBER	2600	47590	\N	\N	0
3344811	11111	1993-12-14	VYDAJ	VYBER	2600	40511	\N	\N	0
3344812	11111	1994-01-18	VYDAJ	VYBER	3500	21921	\N	\N	0
3344813	11111	1994-02-12	VYDAJ	PREVOD NA UCET	3005	14267	UVER	MN	63972902
3344814	11111	1994-03-12	VYDAJ	PREVOD NA UCET	3005	11395	UVER	MN	63972902
3344815	11111	1994-04-12	VYDAJ	PREVOD NA UCET	3005	12418	UVER	MN	63972902
3344816	11111	1994-05-12	VYDAJ	PREVOD NA UCET	3005	29987	UVER	MN	63972902
3344817	11111	1994-06-12	VYDAJ	PREVOD NA UCET	3005	22069	UVER	MN	63972902
3344818	11111	1994-07-12	VYDAJ	PREVOD NA UCET	3005	14218	UVER	MN	63972902
3344819	11111	1994-08-12	VYDAJ	PREVOD NA UCET	3005	14452	UVER	MN	63972902
3344820	11111	1994-09-12	VYDAJ	PREVOD NA UCET	3005	36082	UVER	MN	63972902
3344821	11111	1994-10-12	VYDAJ	PREVOD NA UCET	3005	22088	UVER	MN	63972902
3344822	11111	1994-11-12	VYDAJ	PREVOD NA UCET	3005	20633	UVER	MN	63972902
3344823	11111	1994-12-12	VYDAJ	PREVOD NA UCET	3005	18966	UVER	MN	63972902
3344824	11111	1995-01-12	VYDAJ	PREVOD NA UCET	3005	33550	UVER	MN	63972902
3344825	11111	1995-02-12	VYDAJ	PREVOD NA UCET	3005	50922	UVER	MN	63972902
3344826	11111	1995-03-12	VYDAJ	PREVOD NA UCET	3005	34578	UVER	MN	63972902
3344827	11111	1995-04-12	VYDAJ	PREVOD NA UCET	3005	59411	UVER	MN	63972902
3344828	11111	1995-05-12	VYDAJ	PREVOD NA UCET	3005	44940	UVER	MN	63972902
3344829	11111	1995-06-12	VYDAJ	PREVOD NA UCET	3005	35919	UVER	MN	63972902
3344830	11111	1995-07-12	VYDAJ	PREVOD NA UCET	3005	59614	UVER	MN	63972902
3344831	11111	1995-08-12	VYDAJ	PREVOD NA UCET	3005	53823	UVER	MN	63972902
3344832	11111	1995-09-12	VYDAJ	PREVOD NA UCET	3005	52253	UVER	MN	63972902
3344833	11111	1995-10-12	VYDAJ	PREVOD NA UCET	3005	50644	UVER	MN	63972902
3344834	11111	1995-11-12	VYDAJ	PREVOD NA UCET	3005	31805	UVER	MN	63972902
3344835	11111	1995-12-12	VYDAJ	PREVOD NA UCET	3005	54219	UVER	MN	63972902
3344836	11111	1996-01-12	VYDAJ	PREVOD NA UCET	3005	55947	UVER	MN	63972902
3344837	11111	1996-02-12	VYDAJ	PREVOD NA UCET	3005	25086	UVER	MN	63972902
3344838	11111	1996-03-12	VYDAJ	PREVOD NA UCET	3005	18655	UVER	MN	63972902
3344839	11111	1996-04-12	VYDAJ	PREVOD NA UCET	3005	16285	UVER	MN	63972902
3344840	11111	1996-05-12	VYDAJ	PREVOD NA UCET	3005	19001	UVER	MN	63972902
3344841	11111	1996-06-12	VYDAJ	PREVOD NA UCET	3005	17220	UVER	MN	63972902
3344842	11111	1996-07-12	VYDAJ	PREVOD NA UCET	3005	20238	UVER	MN	63972902
3344843	11111	1996-08-12	VYDAJ	PREVOD NA UCET	3005	19863	UVER	MN	63972902
3344844	11111	1996-09-12	VYDAJ	PREVOD NA UCET	3005	23589	UVER	MN	63972902
3344845	11111	1996-10-12	VYDAJ	PREVOD NA UCET	3005	23926	UVER	MN	63972902
3344846	11111	1996-11-12	VYDAJ	PREVOD NA UCET	3005	19933	UVER	MN	63972902
3344847	11111	1996-12-12	VYDAJ	PREVOD NA UCET	3005	19276	UVER	MN	63972902
3344848	11111	1997-01-12	VYDAJ	PREVOD NA UCET	3005	49057	UVER	MN	63972902
3344849	11111	1997-02-11	VYDAJ	VYBER	2500	65771	\N	\N	0
3344850	11111	1997-03-02	VYDAJ	VYBER	2300	55589	\N	\N	0
3344851	11111	1997-04-02	VYDAJ	VYBER	3500	40556	\N	\N	0
3344852	11111	1997-05-21	VYDAJ	VYBER	2600	96545	\N	\N	0
3344853	11111	1997-06-04	VYDAJ	VYBER	2900	50915	\N	\N	0
3344854	11111	1997-07-07	VYDAJ	VYBER	3100	54616	\N	\N	0
3344855	11111	1997-08-21	VYDAJ	VYBER	3400	106279	\N	\N	0
3344856	11111	1997-09-07	VYDAJ	VYBER	3200	58321	\N	\N	0
3344857	11111	1997-10-18	VYDAJ	VYBER	2200	44962	\N	\N	0
3344858	11111	1997-11-19	VYDAJ	VYBER	3000	45620	\N	\N	0
3344859	11111	1997-12-11	VYDAJ	VYBER	3300	35839	\N	\N	0
3344860	11111	1998-01-03	VYDAJ	VYBER	2400	49920	\N	\N	0
3344861	11111	1998-02-11	VYDAJ	VYBER	3000	72198	\N	\N	0
3344862	11111	1998-03-08	VYDAJ	VYBER	3400	93061	\N	\N	0
3344863	11111	1998-04-11	VYDAJ	VYBER	2300	52088	\N	\N	0
3344864	11111	1998-05-12	VYDAJ	VYBER	3300	68328	\N	\N	0
3344865	11111	1998-06-07	VYDAJ	VYBER	2200	75425	\N	\N	0
3344866	11111	1998-07-21	VYDAJ	VYBER	3500	88379	\N	\N	0
3344867	11111	1998-08-19	VYDAJ	VYBER	3200	82598	\N	\N	0
3344868	11111	1998-09-17	VYDAJ	VYBER	3100	91858	\N	\N	0
3344869	11111	1998-10-09	VYDAJ	VYBER	2500	100592	\N	\N	0
3344870	11111	1998-11-09	VYDAJ	VYBER	2800	107239	\N	\N	0
3344871	11111	1998-12-02	VYDAJ	VYBER	2300	72957	\N	\N	0
3344879	11111	1993-08-11	VYDAJ	PREVOD NA UCET	4736	65413	SIPO	CD	17909336
3344880	11111	1993-09-11	VYDAJ	PREVOD NA UCET	4736	33897	SIPO	CD	17909336
3344881	11111	1993-10-11	VYDAJ	PREVOD NA UCET	4736	68624	SIPO	CD	17909336
3344882	11111	1993-11-11	VYDAJ	PREVOD NA UCET	4736	77090	SIPO	CD	17909336
3344883	11111	1993-12-11	VYDAJ	PREVOD NA UCET	4736	43111	SIPO	CD	17909336
3344884	11111	1994-01-11	VYDAJ	PREVOD NA UCET	4736	21421	SIPO	CD	17909336
3344885	11111	1994-02-11	VYDAJ	PREVOD NA UCET	4736	17272	SIPO	CD	17909336
3344886	11111	1994-03-11	VYDAJ	PREVOD NA UCET	4736	14400	SIPO	CD	17909336
3344887	11111	1994-04-11	VYDAJ	PREVOD NA UCET	4736	15422	SIPO	CD	17909336
3344888	11111	1994-05-11	VYDAJ	PREVOD NA UCET	4736	32992	SIPO	CD	17909336
3344889	11111	1994-06-11	VYDAJ	PREVOD NA UCET	4736	25074	SIPO	CD	17909336
3344890	11111	1994-07-11	VYDAJ	PREVOD NA UCET	4736	17222	SIPO	CD	17909336
3344891	11111	1994-08-11	VYDAJ	PREVOD NA UCET	4736	17457	SIPO	CD	17909336
3344892	11111	1994-09-11	VYDAJ	PREVOD NA UCET	4736	39086	SIPO	CD	17909336
3344893	11111	1994-10-11	VYDAJ	PREVOD NA UCET	4736	17493	SIPO	CD	17909336
3344894	11111	1994-11-11	VYDAJ	PREVOD NA UCET	4736	23638	SIPO	CD	17909336
3344895	11111	1994-12-11	VYDAJ	PREVOD NA UCET	4736	21971	SIPO	CD	17909336
3344896	11111	1995-01-11	VYDAJ	PREVOD NA UCET	4736	36554	SIPO	CD	17909336
3344897	11111	1995-02-11	VYDAJ	PREVOD NA UCET	4736	53926	SIPO	CD	17909336
3344898	11111	1995-03-11	VYDAJ	PREVOD NA UCET	4736	54082	SIPO	CD	17909336
3344899	11111	1995-04-11	VYDAJ	PREVOD NA UCET	4736	62416	SIPO	CD	17909336
3344900	11111	1995-05-11	VYDAJ	PREVOD NA UCET	4736	47945	SIPO	CD	17909336
3344901	11111	1995-06-11	VYDAJ	PREVOD NA UCET	4736	38924	SIPO	CD	17909336
3344902	11111	1995-07-11	VYDAJ	PREVOD NA UCET	4736	62618	SIPO	CD	17909336
3344903	11111	1995-08-11	VYDAJ	PREVOD NA UCET	4736	56827	SIPO	CD	17909336
3344904	11111	1995-09-11	VYDAJ	PREVOD NA UCET	4736	55257	SIPO	CD	17909336
3344905	11111	1995-10-11	VYDAJ	PREVOD NA UCET	4736	53648	SIPO	CD	17909336
3344906	11111	1995-11-11	VYDAJ	PREVOD NA UCET	4736	34810	SIPO	CD	17909336
3344907	11111	1995-12-11	VYDAJ	PREVOD NA UCET	4736	57223	SIPO	CD	17909336
3344908	11111	1996-01-11	VYDAJ	PREVOD NA UCET	4736	58952	SIPO	CD	17909336
3344909	11111	1996-02-11	VYDAJ	PREVOD NA UCET	4736	28091	SIPO	CD	17909336
3344910	11111	1996-03-11	VYDAJ	PREVOD NA UCET	4736	21659	SIPO	CD	17909336
3344911	11111	1996-04-11	VYDAJ	PREVOD NA UCET	4736	19290	SIPO	CD	17909336
3344912	11111	1996-05-11	VYDAJ	PREVOD NA UCET	4736	22005	SIPO	CD	17909336
3344913	11111	1996-06-11	VYDAJ	PREVOD NA UCET	4736	20225	SIPO	CD	17909336
3344914	11111	1996-07-11	VYDAJ	PREVOD NA UCET	4736	23243	SIPO	CD	17909336
3344915	11111	1996-08-11	VYDAJ	PREVOD NA UCET	4736	22867	SIPO	CD	17909336
3344916	11111	1996-09-11	VYDAJ	PREVOD NA UCET	4736	26594	SIPO	CD	17909336
3344917	11111	1996-10-11	VYDAJ	PREVOD NA UCET	4736	26931	SIPO	CD	17909336
3344918	11111	1996-11-11	VYDAJ	PREVOD NA UCET	4736	22937	SIPO	CD	17909336
3344919	11111	1996-12-11	VYDAJ	PREVOD NA UCET	4736	22280	SIPO	CD	17909336
3344920	11111	1997-01-11	VYDAJ	PREVOD NA UCET	4736	34280	SIPO	CD	17909336
3344921	11111	1997-02-11	VYDAJ	PREVOD NA UCET	4736	68271	SIPO	CD	17909336
3344922	11111	1997-03-11	VYDAJ	PREVOD NA UCET	4736	50853	SIPO	CD	17909336
3344923	11111	1997-04-11	VYDAJ	PREVOD NA UCET	4736	35820	SIPO	CD	17909336
3344924	11111	1997-05-11	VYDAJ	PREVOD NA UCET	4736	99145	SIPO	CD	17909336
3344925	11111	1997-06-11	VYDAJ	PREVOD NA UCET	4736	70425	SIPO	CD	17909336
3344926	11111	1997-07-11	VYDAJ	PREVOD NA UCET	4736	49880	SIPO	CD	17909336
3344927	11111	1997-08-11	VYDAJ	PREVOD NA UCET	4736	58734	SIPO	CD	17909336
3344928	11111	1997-09-11	VYDAJ	PREVOD NA UCET	4736	66879	SIPO	CD	17909336
3344929	11111	1997-10-11	VYDAJ	PREVOD NA UCET	4736	47162	SIPO	CD	17909336
3344930	11111	1997-11-11	VYDAJ	PREVOD NA UCET	4736	48620	SIPO	CD	17909336
3344931	11111	1997-12-11	VYDAJ	PREVOD NA UCET	4736	31103	SIPO	CD	17909336
3344932	11111	1998-01-11	VYDAJ	PREVOD NA UCET	4736	45184	SIPO	CD	17909336
3344933	11111	1998-02-11	VYDAJ	PREVOD NA UCET	4736	75198	SIPO	CD	17909336
3344934	11111	1998-03-11	VYDAJ	PREVOD NA UCET	4736	68880	SIPO	CD	17909336
3344935	11111	1998-04-11	VYDAJ	PREVOD NA UCET	4736	54388	SIPO	CD	17909336
3344936	11111	1998-05-11	VYDAJ	PREVOD NA UCET	4736	93333	SIPO	CD	17909336
3344937	11111	1998-06-11	VYDAJ	PREVOD NA UCET	4736	70689	SIPO	CD	17909336
3344938	11111	1998-07-11	VYDAJ	PREVOD NA UCET	4736	91879	SIPO	CD	17909336
3344939	11111	1998-08-11	VYDAJ	PREVOD NA UCET	4736	67193	SIPO	CD	17909336
3344940	11111	1998-09-11	VYDAJ	PREVOD NA UCET	4736	100658	SIPO	CD	17909336
3344941	11111	1998-10-11	VYDAJ	PREVOD NA UCET	4736	95856	SIPO	CD	17909336
3344942	11111	1998-11-11	VYDAJ	PREVOD NA UCET	4736	102503	SIPO	CD	17909336
3344943	11111	1998-12-11	VYDAJ	PREVOD NA UCET	4736	60721	SIPO	CD	17909336
3344946	11111	1995-05-31	VYBER	VYBER	2856	65374	\N	\N	\N
3344948	11111	1995-05-07	VYBER	VYBER	18619	76181	\N	\N	\N
3344949	11111	1995-06-17	VYBER	VYBER	8605	37985	\N	\N	\N
3344955	11111	1996-11-11	VYBER	VYBER	2837	27673	\N	\N	\N
3344956	11111	1996-01-13	VYBER	VYBER	6076	49871	\N	\N	\N
3344959	11111	1997-12-06	VYBER	VYBER	18211	39139	\N	\N	\N
3344960	11111	1997-10-08	VYBER	VYBER	12185	51898	\N	\N	\N
3344961	11111	1997-02-13	VYBER	VYBER	22667	43104	\N	\N	\N
3344962	11111	1997-01-18	VYBER	VYBER	20945	28112	\N	\N	\N
3344963	11111	1997-11-26	VYBER	VYBER	3409	45311	\N	\N	\N
3344964	11111	1997-10-07	VYBER	VYBER	22736	99683	\N	\N	\N
3344965	11111	1998-08-21	VYBER	VYBER	9349	73249	\N	\N	\N
3344966	11111	1998-05-12	VYBER	VYBER	21705	71628	\N	\N	\N
3344967	11111	1998-04-07	VYBER	VYBER	9114	59124	\N	\N	\N
3344968	11111	1998-06-24	VYBER	VYBER	12101	83777	\N	\N	\N
3344973	11111	1997-06-14	VYDAJ	VYBER	42300	28125	\N	\N	\N
3344977	11111	1995-01-03	VYDAJ	VYBER	23400	28434	\N	\N	\N
3344978	11111	1996-01-29	VYDAJ	VYBER	11400	38471	\N	\N	\N
3344981	11111	1993-12-30	VYDAJ	VYBER	5400	26011	\N	\N	\N
3344983	11111	1995-12-06	VYDAJ	VYBER	3000	28949	\N	\N	\N
3344984	11111	1996-12-01	VYDAJ	VYBER	2400	27016	\N	\N	\N
3344985	11111	1997-12-26	VYDAJ	VYBER	6000	52151	\N	\N	\N
3344986	11111	1998-12-05	VYDAJ	VYBER	7500	65457	\N	\N	\N
3344987	11111	1993-08-02	VYDAJ	VYBER	13500	70149	\N	\N	\N
3344989	11111	1993-09-06	VYDAJ	VYBER	11400	30650	\N	\N	\N
3344990	11111	1993-07-27	VYDAJ	VYBER	1500	46023	\N	\N	\N
3344991	11111	1994-09-27	VYDAJ	VYBER	9000	22082	\N	\N	\N
3344994	11111	1994-09-10	VYDAJ	VYBER	14700	43822	\N	\N	\N
3344996	11111	1994-05-04	VYDAJ	VYBER	1500	37728	\N	\N	\N
3344998	11111	1995-03-01	VYDAJ	VYBER	9600	79564	\N	\N	\N
3344999	11111	1995-12-15	VYDAJ	VYBER	5100	49119	\N	\N	\N
3345000	11111	1995-12-28	VYDAJ	VYBER	5400	98650	\N	\N	\N
3345006	11111	1997-02-20	VYDAJ	VYBER	2700	76698	\N	\N	\N
3345007	11111	1998-03-28	VYDAJ	VYBER	1800	67979	\N	\N	\N
3345008	11111	1998-02-03	VYDAJ	VYBER	7800	79934	\N	\N	\N
3345009	11111	1998-03-20	VYDAJ	VYBER	9600	59280	\N	\N	\N
3345010	11111	1998-01-21	VYDAJ	VYBER	6300	38884	\N	\N	\N
3345011	11111	1998-09-16	VYDAJ	VYBER	5700	94958	\N	\N	\N
3345019	11111	1993-07-31	VYDAJ	VYBER	15	83649	SLUZBY	\N	\N
3345020	11111	1993-08-31	VYDAJ	VYBER	15	42050	SLUZBY	\N	\N
3345021	11111	1993-09-30	VYDAJ	VYBER	15	27620	SLUZBY	\N	\N
3345022	11111	1993-10-31	VYDAJ	VYBER	15	81826	SLUZBY	\N	\N
3345023	11111	1993-11-30	VYDAJ	VYBER	15	47847	SLUZBY	\N	\N
3345024	11111	1993-12-31	VYDAJ	VYBER	15	26157	SLUZBY	\N	\N
3345025	11111	1994-01-31	VYDAJ	VYBER	15	22008	SLUZBY	\N	\N
3345026	11111	1994-02-28	VYDAJ	VYBER	15	19136	SLUZBY	\N	\N
3345027	11111	1994-03-31	VYDAJ	VYBER	15	20158	SLUZBY	\N	\N
3345028	11111	1994-04-30	VYDAJ	VYBER	15	39228	SLUZBY	\N	\N
3345029	11111	1994-05-31	VYDAJ	VYBER	15	29810	SLUZBY	\N	\N
3345030	11111	1994-06-30	VYDAJ	VYBER	15	21958	SLUZBY	\N	\N
3345031	11111	1994-07-31	VYDAJ	VYBER	15	22193	SLUZBY	\N	\N
3345032	11111	1994-08-31	VYDAJ	VYBER	15	43534	SLUZBY	\N	\N
3345033	11111	1994-09-30	VYDAJ	VYBER	15	22229	SLUZBY	\N	\N
3345034	11111	1994-10-31	VYDAJ	VYBER	15	22174	SLUZBY	\N	\N
3345035	11111	1994-11-30	VYDAJ	VYBER	15	20707	SLUZBY	\N	\N
3345036	11111	1994-12-31	VYDAJ	VYBER	15	19034	SLUZBY	\N	\N
3345037	11111	1995-01-31	VYDAJ	VYBER	15	33690	SLUZBY	\N	\N
3345038	11111	1995-02-28	VYDAJ	VYBER	15	89164	SLUZBY	\N	\N
3345039	11111	1995-03-31	VYDAJ	VYBER	15	129752	SLUZBY	\N	\N
3345040	11111	1995-04-30	VYDAJ	VYBER	15	94800	SLUZBY	\N	\N
3345041	11111	1995-05-31	VYDAJ	VYBER	15	65360	SLUZBY	\N	\N
3345042	11111	1995-06-30	VYDAJ	VYBER	15	82633	SLUZBY	\N	\N
3345043	11111	1995-07-31	VYDAJ	VYBER	15	59874	SLUZBY	\N	\N
3345044	11111	1995-08-31	VYDAJ	VYBER	15	91581	SLUZBY	\N	\N
3345045	11111	1995-09-30	VYDAJ	VYBER	15	52493	SLUZBY	\N	\N
3345046	11111	1995-10-31	VYDAJ	VYBER	15	50846	SLUZBY	\N	\N
3345047	11111	1995-11-30	VYDAJ	VYBER	15	31949	SLUZBY	\N	\N
3345048	11111	1995-12-31	VYDAJ	VYBER	15	98888	SLUZBY	\N	\N
3345049	11111	1996-01-31	VYDAJ	VYBER	15	38727	SLUZBY	\N	\N
3345050	11111	1996-02-29	VYDAJ	VYBER	15	25195	SLUZBY	\N	\N
3345051	11111	1996-03-31	VYDAJ	VYBER	15	18726	SLUZBY	\N	\N
3345052	11111	1996-04-30	VYDAJ	VYBER	15	16341	SLUZBY	\N	\N
3345053	11111	1996-05-31	VYDAJ	VYBER	15	19061	SLUZBY	\N	\N
3345054	11111	1996-06-30	VYDAJ	VYBER	15	17279	SLUZBY	\N	\N
3345055	11111	1996-07-31	VYDAJ	VYBER	15	20303	SLUZBY	\N	\N
3345056	11111	1996-08-31	VYDAJ	VYBER	15	19930	SLUZBY	\N	\N
3345057	11111	1996-09-30	VYDAJ	VYBER	15	23667	SLUZBY	\N	\N
3345058	11111	1996-10-31	VYDAJ	VYBER	15	30510	SLUZBY	\N	\N
3345059	11111	1996-11-30	VYDAJ	VYBER	15	29416	SLUZBY	\N	\N
3345060	11111	1996-12-31	VYDAJ	VYBER	15	31357	SLUZBY	\N	\N
3345061	11111	1997-01-31	VYDAJ	VYBER	15	81851	SLUZBY	\N	\N
3345062	11111	1997-02-28	VYDAJ	VYBER	15	57889	SLUZBY	\N	\N
3345063	11111	1997-03-31	VYDAJ	VYBER	15	44056	SLUZBY	\N	\N
3345064	11111	1997-04-30	VYDAJ	VYBER	15	37364	SLUZBY	\N	\N
3345065	11111	1997-05-31	VYDAJ	VYBER	15	53815	SLUZBY	\N	\N
3345066	11111	1997-06-30	VYDAJ	VYBER	15	57716	SLUZBY	\N	\N
3345067	11111	1997-07-31	VYDAJ	VYBER	15	63470	SLUZBY	\N	\N
3345068	11111	1997-08-31	VYDAJ	VYBER	15	61521	SLUZBY	\N	\N
3345069	11111	1997-09-30	VYDAJ	VYBER	15	94610	SLUZBY	\N	\N
3345070	11111	1997-10-31	VYDAJ	VYBER	15	53356	SLUZBY	\N	\N
3345071	11111	1997-11-30	VYDAJ	VYBER	15	57350	SLUZBY	\N	\N
3345072	11111	1997-12-31	VYDAJ	VYBER	15	52320	SLUZBY	\N	\N
3345073	11111	1998-01-31	VYDAJ	VYBER	15	39153	SLUZBY	\N	\N
3345074	11111	1998-02-28	VYDAJ	VYBER	15	61970	SLUZBY	\N	\N
3345075	11111	1998-03-31	VYDAJ	VYBER	15	68238	SLUZBY	\N	\N
3345076	11111	1998-04-30	VYDAJ	VYBER	15	82756	SLUZBY	\N	\N
3345077	11111	1998-05-31	VYDAJ	VYBER	15	77625	SLUZBY	\N	\N
3345078	11111	1998-06-30	VYDAJ	VYBER	15	96615	SLUZBY	\N	\N
3345079	11111	1998-07-31	VYDAJ	VYBER	15	71929	SLUZBY	\N	\N
3345080	11111	1998-08-31	VYDAJ	VYBER	15	87200	SLUZBY	\N	\N
3345081	11111	1998-09-30	VYDAJ	VYBER	15	84593	SLUZBY	\N	\N
3345082	11111	1998-10-31	VYDAJ	VYBER	15	92484	SLUZBY	\N	\N
3345083	11111	1998-11-30	VYDAJ	VYBER	15	75257	SLUZBY	\N	\N
3345084	11111	1993-06-19	VYDAJ	VYBER	23100	48388	\N	\N	\N
3345085	11111	1993-07-06	VYDAJ	VYBER	57900	65963	\N	\N	\N
3345086	11111	1993-07-19	VYDAJ	VYBER	18600	47363	\N	\N	\N
3345087	11111	1993-07-24	VYDAJ	VYBER	60600	47523	\N	\N	\N
3345088	11111	1993-08-18	VYDAJ	VYBER	20000	41813	\N	\N	\N
3345089	11111	1993-09-17	VYDAJ	VYBER	3000	27497	\N	\N	\N
3345090	11111	1993-10-13	VYDAJ	VYBER	46100	60007	\N	\N	\N
3345091	11111	1993-10-17	VYDAJ	VYBER	21000	43896	\N	\N	\N
3345092	11111	1993-11-16	VYDAJ	VYBER	26900	50190	\N	\N	\N
3345093	11111	1993-12-16	VYDAJ	VYBER	9100	31411	\N	\N	\N
3345094	11111	1994-01-15	PRIJEM	VKLAD	4000	25421	\N	\N	\N
3345095	11111	1994-02-14	PRIJEM	VKLAD	4800	19067	\N	\N	\N
3345096	11111	1994-03-16	PRIJEM	VKLAD	8700	20095	\N	\N	\N
3345097	11111	1994-04-15	PRIJEM	VKLAD	4500	16918	\N	\N	\N
3345098	11111	1994-05-15	VYDAJ	VYBER	300	29687	\N	\N	\N
3345099	11111	1994-06-14	VYDAJ	VYBER	200	21869	\N	\N	\N
3345100	11111	1994-07-14	PRIJEM	VKLAD	7900	22118	\N	\N	\N
3345101	11111	1994-08-13	PRIJEM	VKLAD	5200	19652	\N	\N	\N
3345102	11111	1994-09-06	VYDAJ	VYBER	57800	58522	\N	\N	\N
3345103	11111	1994-09-12	VYDAJ	VYBER	5000	31082	\N	\N	\N
3345104	11111	1994-10-12	PRIJEM	VKLAD	7600	25093	\N	\N	\N
3345105	11111	1994-11-11	PRIJEM	VKLAD	6200	28374	\N	\N	\N
3345106	11111	1994-12-11	PRIJEM	VKLAD	6000	26707	\N	\N	\N
3345107	11111	1995-01-10	VYDAJ	VYBER	12800	41290	\N	\N	\N
3345108	11111	1995-02-08	VYDAJ	VYBER	31800	89162	\N	\N	\N
3345109	11111	1995-02-09	VYDAJ	VYBER	30500	58662	\N	\N	\N
3345110	11111	1995-03-09	VYDAJ	VYBER	60400	58818	\N	\N	\N
3345111	11111	1995-03-11	VYDAJ	VYBER	16500	37582	\N	\N	\N
3345112	11111	1995-03-30	VYDAJ	VYBER	26200	129382	\N	\N	\N
3345113	11111	1995-03-31	VYDAJ	VYBER	20300	109452	\N	\N	\N
3345114	11111	1995-04-10	VYDAJ	VYBER	42300	67152	\N	\N	\N
3345115	11111	1995-04-22	VYDAJ	VYBER	25800	94391	\N	\N	\N
3345116	11111	1995-05-10	VYDAJ	VYBER	23500	52681	\N	\N	\N
3345117	11111	1995-05-20	VYDAJ	VYBER	42500	67862	\N	\N	\N
3345118	11111	1995-06-09	VYDAJ	VYBER	21700	43660	\N	\N	\N
3345119	11111	1995-06-27	VYDAJ	VYBER	37100	82365	\N	\N	\N
3345120	11111	1995-07-09	VYDAJ	VYBER	38500	67354	\N	\N	\N
3345121	11111	1995-08-08	VYDAJ	VYBER	33600	61563	\N	\N	\N
3345122	11111	1995-09-01	VYDAJ	VYBER	42000	92593	\N	\N	\N
3345123	11111	1995-09-07	VYDAJ	VYBER	32600	59993	\N	\N	\N
3345124	11111	1995-10-07	VYDAJ	VYBER	29700	58384	\N	\N	\N
3345125	11111	1995-11-06	VYDAJ	VYBER	11300	39546	\N	\N	\N
3345126	11111	1995-12-06	VYDAJ	VYBER	700	28249	\N	\N	\N
3345127	11111	1996-01-05	VYDAJ	VYBER	35200	63688	\N	\N	\N
3345128	11111	1996-02-04	VYDAJ	VYBER	5900	32827	\N	\N	\N
3345129	11111	1996-03-05	PRIJEM	VKLAD	1200	26395	\N	\N	\N
3345130	11111	1996-04-04	PRIJEM	VKLAD	5300	24026	\N	\N	\N
3345131	11111	1996-05-04	PRIJEM	VKLAD	10400	26741	\N	\N	\N
3345132	11111	1996-06-03	PRIJEM	VKLAD	5900	24961	\N	\N	\N
3345133	11111	1996-07-03	PRIJEM	VKLAD	10700	27979	\N	\N	\N
3345134	11111	1996-08-02	PRIJEM	VKLAD	7300	27603	\N	\N	\N
3345135	11111	1996-09-01	PRIJEM	VKLAD	11400	31330	\N	\N	\N
3345136	11111	1996-10-01	PRIJEM	VKLAD	8000	31667	\N	\N	\N
3345137	11111	1996-10-31	PRIJEM	VKLAD	6500	30525	\N	\N	\N
3345138	11111	1996-11-30	PRIJEM	VKLAD	9400	29431	\N	\N	\N
3345139	11111	1996-12-30	PRIJEM	VKLAD	12000	31276	\N	\N	\N
3345140	11111	1997-01-29	PRIJEM	VKLAD	6200	34312	\N	\N	\N
3345141	11111	1997-02-09	VYDAJ	VYBER	44500	73007	\N	\N	\N
3345142	11111	1997-02-28	VYDAJ	VYBER	19100	57904	\N	\N	\N
3345143	11111	1997-03-30	VYDAJ	VYBER	7000	43853	\N	\N	\N
3345144	11111	1997-04-29	PRIJEM	VKLAD	1400	37220	\N	\N	\N
3345145	11111	1997-05-26	VYDAJ	VYBER	41400	69369	\N	\N	\N
3345146	11111	1997-05-29	VYDAJ	VYBER	15900	53469	\N	\N	\N
3345147	11111	1997-06-28	VYDAJ	VYBER	16100	57507	\N	\N	\N
3345148	11111	1997-07-28	VYDAJ	VYBER	26100	63211	\N	\N	\N
3345149	11111	1997-08-20	VYDAJ	VYBER	23500	109679	\N	\N	\N
3345150	11111	1997-08-27	VYDAJ	VYBER	35400	70879	\N	\N	\N
3345151	11111	1997-08-31	VYDAJ	VYBER	53600	61535	\N	\N	\N
3345152	11111	1997-09-26	VYDAJ	VYBER	34700	78149	\N	\N	\N
3345153	11111	1997-10-05	VYDAJ	VYBER	18500	115517	\N	\N	\N
3345154	11111	1997-10-06	VYDAJ	VYBER	36700	109462	\N	\N	\N
3345155	11111	1997-10-07	VYDAJ	VYBER	35600	64083	\N	\N	\N
3345156	11111	1997-10-26	VYDAJ	VYBER	2200	42762	\N	\N	\N
3345157	11111	1997-11-25	PRIJEM	VKLAD	3100	48720	\N	\N	\N
3345158	11111	1997-12-25	VYDAJ	VYBER	16300	58151	\N	\N	\N
3345159	11111	1998-01-24	PRIJEM	VKLAD	100	38984	\N	\N	\N
3345160	11111	1998-02-23	VYDAJ	VYBER	10500	61698	\N	\N	\N
3345161	11111	1998-03-09	VYDAJ	VYBER	44500	73616	\N	\N	\N
3345162	11111	1998-03-25	VYDAJ	VYBER	20500	69779	\N	\N	\N
3345163	11111	1998-04-24	VYDAJ	VYBER	600	51488	\N	\N	\N
3345164	11111	1998-04-26	VYDAJ	VYBER	45100	82483	\N	\N	\N
3345165	11111	1998-05-07	VYDAJ	VYBER	52100	98069	\N	\N	\N
3345166	11111	1998-05-24	VYDAJ	VYBER	7500	60828	\N	\N	\N
3345167	11111	1998-06-23	VYDAJ	VYBER	13300	63451	\N	\N	\N
3345168	11111	1998-07-23	VYDAJ	VYBER	16800	71579	\N	\N	\N
3345169	11111	1998-08-22	VYDAJ	VYBER	10900	62349	\N	\N	\N
3345170	11111	1998-08-30	VYDAJ	VYBER	30200	86917	\N	\N	\N
3345171	11111	1998-09-21	VYDAJ	VYBER	19300	72558	\N	\N	\N
3345172	11111	1998-10-20	VYDAJ	VYBER	17900	123418	\N	\N	\N
3345173	11111	1998-10-21	VYDAJ	VYBER	32400	91018	\N	\N	\N
3345174	11111	1998-10-30	VYDAJ	VYBER	29800	91490	\N	\N	\N
3345175	11111	1998-10-31	VYDAJ	VYBER	40600	92498	\N	\N	\N
3345176	11111	1998-11-20	VYDAJ	VYBER	27600	74903	\N	\N	\N
3345177	11111	1998-12-20	VYDAJ	VYBER	5000	55721	\N	\N	\N
3348980	11123	1996-07-21	PRIJEM	VKLAD	700	700	\N	\N	\N
3348981	11123	1996-09-22	PRIJEM	VKLAD	34394	56720	\N	\N	\N
3348986	11123	1996-09-04	PRIJEM	VKLAD	11226	23026	\N	\N	\N
3348987	11123	1996-12-26	PRIJEM	VKLAD	44721	96568	\N	\N	\N
3348988	11123	1996-11-30	PRIJEM	VKLAD	47798	80847	\N	\N	\N
3348990	11123	1997-12-18	PRIJEM	VKLAD	37225	42493	\N	\N	\N
3348991	11123	1997-09-29	PRIJEM	VKLAD	34195	40035	\N	\N	\N
3348992	11123	1997-01-29	PRIJEM	VKLAD	36161	95343	\N	\N	\N
3348993	11123	1997-04-10	PRIJEM	VKLAD	24465	54297	\N	\N	\N
3348994	11123	1997-06-06	PRIJEM	VKLAD	37209	51401	\N	\N	\N
3348995	11123	1997-10-06	PRIJEM	VKLAD	21442	61530	\N	\N	\N
3348996	11123	1997-10-30	PRIJEM	VKLAD	32869	54256	\N	\N	\N
3348997	11123	1997-02-27	PRIJEM	VKLAD	8241	57229	\N	\N	\N
3348998	11123	1998-05-31	PRIJEM	VKLAD	20780	30089	\N	\N	\N
3348999	11123	1998-03-07	PRIJEM	VKLAD	35841	62964	\N	\N	\N
3349000	11123	1998-04-24	PRIJEM	VKLAD	36577	38201	\N	\N	\N
3349001	11123	1998-02-20	PRIJEM	VKLAD	22379	27082	\N	\N	\N
3349004	11123	1997-01-30	VYBER	VYBER	23258	72085	\N	\N	\N
3349005	11123	1997-07-20	VYBER	VYBER	5291	6058	\N	\N	\N
3349006	11123	1997-06-08	VYBER	VYBER	24491	26910	\N	\N	\N
3349007	11123	1997-10-12	VYBER	VYBER	19943	41587	\N	\N	\N
3349008	11123	1997-11-03	VYBER	VYBER	4401	50038	\N	\N	\N
3349009	11123	1997-04-27	VYBER	VYBER	12502	24895	\N	\N	\N
3349010	11123	1997-09-05	VYBER	VYBER	2713	6340	\N	\N	\N
3349013	11123	1997-03-26	VYBER	VYBER	10610	29418	\N	\N	\N
3349015	11123	1997-11-09	VYBER	VYBER	22832	27206	\N	\N	\N
3349018	11123	1998-07-07	VYBER	VYBER	7680	4654	\N	\N	\N
3349019	11123	1998-04-25	VYBER	VYBER	14861	12076	\N	\N	\N
3349020	11123	1998-08-13	VYBER	VYBER	3869	3640	\N	\N	\N
3349022	11123	1998-04-18	VYBER	VYBER	21555	1624	\N	\N	\N
3349023	11123	1998-05-31	VYBER	VYBER	24045	6044	\N	\N	\N
3349024	11123	1998-04-24	VYBER	VYBER	11264	26937	\N	\N	\N
3349030	11123	1998-01-07	VYDAJ	VYBER	9000	30036	\N	\N	\N
3349032	11123	1997-12-23	VYDAJ	VYBER	3600	38893	\N	\N	\N
3349046	11123	1998-01-21	VYDAJ	VYBER	1500	136	\N	\N	\N
3349049	11123	1998-01-15	VYDAJ	VYBER	1800	17836	\N	\N	\N
3349050	11123	1998-01-17	VYDAJ	VYBER	7800	10036	\N	\N	\N
3349051	11123	1998-01-20	VYDAJ	VYBER	8400	1636	\N	\N	\N
3349063	11123	1997-04-27	VYDAJ	VYBER	8100	16795	\N	\N	\N
3349064	11123	1997-11-12	VYDAJ	VYBER	11700	15506	\N	\N	\N
3349080	11123	1997-01-31	VYDAJ	VYBER	15	72488	SLUZBY	\N	\N
3349081	11123	1997-02-28	VYDAJ	VYBER	15	57528	SLUZBY	\N	\N
3349082	11123	1997-03-31	VYDAJ	VYBER	15	29832	SLUZBY	\N	\N
3349083	11123	1997-04-30	VYDAJ	VYBER	15	16970	SLUZBY	\N	\N
3349084	11123	1997-05-31	VYDAJ	VYBER	15	14192	SLUZBY	\N	\N
3349085	11123	1997-06-30	VYDAJ	VYBER	15	16949	SLUZBY	\N	\N
3349086	11123	1997-07-31	VYDAJ	VYBER	15	6143	SLUZBY	\N	\N
3349087	11123	1997-08-31	VYDAJ	VYBER	15	9053	SLUZBY	\N	\N
3349088	11123	1997-09-30	VYDAJ	VYBER	15	40088	SLUZBY	\N	\N
3349089	11123	1997-10-31	VYDAJ	VYBER	15	54439	SLUZBY	\N	\N
3349090	11123	1997-11-30	VYDAJ	VYBER	15	7468	SLUZBY	\N	\N
3349091	11123	1997-12-31	VYDAJ	VYBER	15	39036	SLUZBY	\N	\N
3349092	11123	1998-01-31	VYDAJ	VYBER	15	206	SLUZBY	\N	\N
3349093	11123	1998-02-28	VYDAJ	VYBER	15	27128	SLUZBY	\N	\N
3349094	11123	1998-03-31	VYDAJ	VYBER	15	38179	SLUZBY	\N	\N
3349095	11123	1998-04-30	VYDAJ	VYBER	15	12261	SLUZBY	\N	\N
3349096	11123	1998-05-31	VYDAJ	VYBER	15	6030	SLUZBY	\N	\N
3349097	11123	1998-06-30	VYDAJ	VYBER	15	12334	SLUZBY	\N	\N
3349098	11123	1998-07-31	VYDAJ	VYBER	15	8409	SLUZBY	\N	\N
3349099	11123	1998-08-31	VYDAJ	VYBER	15	3659	SLUZBY	\N	\N
3349100	11123	1998-09-30	VYDAJ	VYBER	15	5754	SLUZBY	\N	\N
3349101	11123	1998-10-31	VYDAJ	VYBER	15	4058	SLUZBY	\N	\N
3349102	11123	1998-11-30	VYDAJ	VYBER	15	2965	SLUZBY	\N	\N
3349103	11123	1996-08-20	PRIJEM	VKLAD	11100	11800	\N	\N	\N
3349104	11123	1996-09-19	VYDAJ	VYBER	700	22326	\N	\N	\N
3349105	11123	1996-10-19	VYDAJ	VYBER	17900	38973	\N	\N	\N
3349106	11123	1996-11-18	VYDAJ	VYBER	6400	32809	\N	\N	\N
3349107	11123	1996-12-18	VYDAJ	VYBER	29000	51847	\N	\N	\N
3349108	11123	1997-01-17	VYDAJ	VYBER	37800	59182	\N	\N	\N
3349109	11123	1997-02-16	VYDAJ	VYBER	23500	48988	\N	\N	\N
3349110	11123	1997-03-18	VYDAJ	VYBER	17500	40028	\N	\N	\N
3349111	11123	1997-04-17	VYDAJ	VYBER	16900	37397	\N	\N	\N
3349112	11123	1997-05-17	VYDAJ	VYBER	2900	14070	\N	\N	\N
3349113	11123	1997-06-16	VYDAJ	VYBER	10100	16810	\N	\N	\N
3349114	11123	1997-07-16	VYDAJ	VYBER	5600	11349	\N	\N	\N
3349115	11123	1997-08-15	PRIJEM	VKLAD	2900	9043	\N	\N	\N
3349116	11123	1997-09-14	VYDAJ	VYBER	500	5840	\N	\N	\N
3349117	11123	1997-10-14	VYDAJ	VYBER	20200	21387	\N	\N	\N
3349118	11123	1997-11-13	VYDAJ	VYBER	8200	7306	\N	\N	\N
3349119	11123	1997-12-13	VYDAJ	VYBER	2200	5268	\N	\N	\N
3349120	11123	1998-01-12	VYDAJ	VYBER	10400	19636	\N	\N	\N
3349121	11123	1998-02-11	PRIJEM	VKLAD	4500	4703	\N	\N	\N
3349122	11123	1998-03-13	VYDAJ	VYBER	25000	37964	\N	\N	\N
3349123	11123	1998-04-12	VYDAJ	VYBER	15000	23179	\N	\N	\N
3349124	11123	1998-05-12	VYDAJ	VYBER	3000	9261	\N	\N	\N
3349125	11123	1998-06-11	PRIJEM	VKLAD	6200	12230	\N	\N	\N
3349126	11123	1998-07-11	PRIJEM	VKLAD	3700	8354	\N	\N	\N
3349127	11123	1998-08-10	VYDAJ	VYBER	900	7509	\N	\N	\N
3349128	11123	1998-09-09	PRIJEM	VKLAD	2100	5759	\N	\N	\N
3349129	11123	1998-10-09	VYDAJ	VYBER	1700	4054	\N	\N	\N
3349130	11123	1998-11-08	VYDAJ	VYBER	1100	2958	\N	\N	\N
3349131	11123	1998-12-08	VYDAJ	VYBER	4500	-1535	\N	\N	\N
3352812	11135	1993-10-10	PRIJEM	VKLAD	500	500	\N	\N	\N
3352823	11135	1993-11-08	PRIJEM	VKLAD	15469	15969	\N	\N	\N
3352824	11135	1993-12-08	PRIJEM	VKLAD	23204	45240	\N	\N	\N
3352825	11135	1994-01-08	PRIJEM	VKLAD	15469	52246	\N	\N	\N
3352826	11135	1994-02-08	PRIJEM	VKLAD	15469	45477	\N	\N	\N
3352827	11135	1994-03-08	PRIJEM	VKLAD	15469	61130	\N	\N	\N
3352828	11135	1994-04-08	PRIJEM	VKLAD	15469	48109	\N	\N	\N
3352829	11135	1994-05-08	PRIJEM	VKLAD	15469	40362	\N	\N	\N
3352830	11135	1994-06-08	PRIJEM	VKLAD	23204	48543	\N	\N	\N
3352831	11135	1994-07-08	PRIJEM	VKLAD	15469	48031	\N	\N	\N
3352832	11135	1994-08-08	PRIJEM	VKLAD	15469	48629	\N	\N	\N
3352833	11135	1994-09-08	PRIJEM	VKLAD	15469	47297	\N	\N	\N
3352834	11135	1994-10-08	PRIJEM	VKLAD	15469	47789	\N	\N	\N
3352835	11135	1994-11-08	PRIJEM	VKLAD	15469	48585	\N	\N	\N
3352836	11135	1994-12-08	PRIJEM	VKLAD	23204	55617	\N	\N	\N
3352837	11135	1995-01-08	PRIJEM	VKLAD	15469	51731	\N	\N	\N
3352838	11135	1995-02-08	PRIJEM	VKLAD	15469	37920	\N	\N	\N
3352839	11135	1995-03-08	PRIJEM	VKLAD	15469	43966	\N	\N	\N
3352840	11135	1995-04-08	PRIJEM	VKLAD	15469	46840	\N	\N	\N
3352841	11135	1995-05-08	PRIJEM	VKLAD	15469	47228	\N	\N	\N
3352842	11135	1995-06-08	PRIJEM	VKLAD	23204	49815	\N	\N	\N
3352843	11135	1995-07-08	PRIJEM	VKLAD	15469	46307	\N	\N	\N
3352844	11135	1995-08-08	PRIJEM	VKLAD	15469	45313	\N	\N	\N
3352845	11135	1995-09-08	PRIJEM	VKLAD	15469	45995	\N	\N	\N
3352846	11135	1995-10-08	PRIJEM	VKLAD	15469	44056	\N	\N	\N
3352847	11135	1995-11-08	PRIJEM	VKLAD	15469	46230	\N	\N	\N
3352848	11135	1995-12-08	PRIJEM	VKLAD	23204	50546	\N	\N	\N
3352849	11135	1996-01-08	PRIJEM	VKLAD	15469	32192	\N	\N	\N
3352850	11135	1996-02-08	PRIJEM	VKLAD	15469	35831	\N	\N	\N
3352851	11135	1996-03-08	PRIJEM	VKLAD	15469	39470	\N	\N	\N
3352852	11135	1996-04-08	PRIJEM	VKLAD	15469	40422	\N	\N	\N
3352853	11135	1996-05-08	PRIJEM	VKLAD	15469	41979	\N	\N	\N
3352854	11135	1996-06-08	PRIJEM	VKLAD	23204	49675	\N	\N	\N
3352855	11135	1996-07-08	PRIJEM	VKLAD	15469	45758	\N	\N	\N
3352856	11135	1996-08-08	PRIJEM	VKLAD	15469	45033	\N	\N	\N
3352857	11135	1996-09-08	PRIJEM	VKLAD	15469	42102	\N	\N	\N
3352858	11135	1996-10-08	PRIJEM	VKLAD	15469	42562	\N	\N	\N
3352859	11135	1996-11-08	PRIJEM	VKLAD	15469	47227	\N	\N	\N
3352860	11135	1996-12-08	PRIJEM	VKLAD	23204	56643	\N	\N	\N
3352861	11135	1997-01-08	PRIJEM	VKLAD	15469	42265	\N	\N	\N
3352862	11135	1997-02-08	PRIJEM	VKLAD	15469	41797	\N	\N	\N
3352863	11135	1997-03-08	PRIJEM	VKLAD	15469	51564	\N	\N	\N
3352864	11135	1997-04-08	PRIJEM	VKLAD	15469	53239	\N	\N	\N
3352865	11135	1997-05-08	PRIJEM	VKLAD	15469	41105	\N	\N	\N
3352866	11135	1997-06-08	PRIJEM	VKLAD	23204	51439	\N	\N	\N
3352867	11135	1997-07-08	PRIJEM	VKLAD	15469	54510	\N	\N	\N
3352868	11135	1997-08-08	PRIJEM	VKLAD	15469	48788	\N	\N	\N
3352869	11135	1997-09-08	PRIJEM	VKLAD	15469	56624	\N	\N	\N
3352870	11135	1997-10-08	PRIJEM	VKLAD	15469	58414	\N	\N	\N
3352871	11135	1997-11-08	PRIJEM	VKLAD	15469	58609	\N	\N	\N
3352872	11135	1997-12-08	PRIJEM	VKLAD	23204	64032	\N	\N	\N
3352873	11135	1998-01-08	PRIJEM	VKLAD	15469	54501	\N	\N	\N
3352874	11135	1998-02-08	PRIJEM	VKLAD	15469	38736	\N	\N	\N
3352875	11135	1998-03-08	PRIJEM	VKLAD	15469	52824	\N	\N	\N
3352876	11135	1998-04-08	PRIJEM	VKLAD	15469	53107	\N	\N	\N
3352877	11135	1998-05-08	PRIJEM	VKLAD	15469	57611	\N	\N	\N
3352878	11135	1998-06-08	PRIJEM	VKLAD	23204	62838	\N	\N	\N
3352879	11135	1998-07-08	PRIJEM	VKLAD	15469	49557	\N	\N	\N
3352880	11135	1998-08-08	PRIJEM	VKLAD	15469	56525	\N	\N	\N
3352881	11135	1998-09-08	PRIJEM	VKLAD	15469	61558	\N	\N	\N
3352882	11135	1998-10-08	PRIJEM	VKLAD	15469	54251	\N	\N	\N
3352883	11135	1998-11-08	PRIJEM	VKLAD	15469	62543	\N	\N	\N
3352884	11135	1998-12-08	PRIJEM	VKLAD	23204	71488	\N	\N	\N
3352900	11135	1994-04-05	VYDAJ	PREVOD NA UCET	3264	32640	SIPO	OP	24313068
3352901	11135	1994-05-05	VYDAJ	PREVOD NA UCET	3264	24893	SIPO	OP	24313068
3352902	11135	1994-06-05	VYDAJ	PREVOD NA UCET	3264	26639	SIPO	OP	24313068
3352903	11135	1994-07-05	VYDAJ	PREVOD NA UCET	3264	40362	SIPO	OP	24313068
3352904	11135	1994-08-05	VYDAJ	PREVOD NA UCET	3264	39860	SIPO	OP	24313068
3352905	11135	1994-09-05	VYDAJ	PREVOD NA UCET	3264	36128	SIPO	OP	24313068
3352906	11135	1994-10-05	VYDAJ	PREVOD NA UCET	3264	39120	SIPO	OP	24313068
3352907	11135	1994-11-05	VYDAJ	PREVOD NA UCET	3264	33116	SIPO	OP	24313068
3352908	11135	1994-12-05	VYDAJ	PREVOD NA UCET	3264	32413	SIPO	OP	24313068
3352909	11135	1995-01-05	VYDAJ	PREVOD NA UCET	3264	36262	SIPO	OP	24313068
3352910	11135	1995-02-05	VYDAJ	PREVOD NA UCET	3264	22451	SIPO	OP	24313068
3352911	11135	1995-03-05	VYDAJ	PREVOD NA UCET	3264	28497	SIPO	OP	24313068
3352912	11135	1995-04-05	VYDAJ	PREVOD NA UCET	3264	31371	SIPO	OP	24313068
3352913	11135	1995-05-05	VYDAJ	PREVOD NA UCET	3264	31759	SIPO	OP	24313068
3352914	11135	1995-06-05	VYDAJ	PREVOD NA UCET	3264	26611	SIPO	OP	24313068
3352915	11135	1995-07-05	VYDAJ	PREVOD NA UCET	3264	30838	SIPO	OP	24313068
3352916	11135	1995-08-05	VYDAJ	PREVOD NA UCET	3264	29844	SIPO	OP	24313068
3352917	11135	1995-09-05	VYDAJ	PREVOD NA UCET	3264	30526	SIPO	OP	24313068
3352918	11135	1995-10-05	VYDAJ	PREVOD NA UCET	3264	28587	SIPO	OP	24313068
3352919	11135	1995-11-05	VYDAJ	PREVOD NA UCET	3264	30761	SIPO	OP	24313068
3352920	11135	1995-12-05	VYDAJ	PREVOD NA UCET	3264	27342	SIPO	OP	24313068
3352921	11135	1996-01-05	VYDAJ	PREVOD NA UCET	3264	16723	SIPO	OP	24313068
3352922	11135	1996-02-05	VYDAJ	PREVOD NA UCET	3264	20362	SIPO	OP	24313068
3352923	11135	1996-03-05	VYDAJ	PREVOD NA UCET	3264	24001	SIPO	OP	24313068
3352924	11135	1996-04-05	VYDAJ	PREVOD NA UCET	3264	24953	SIPO	OP	24313068
3352925	11135	1996-05-05	VYDAJ	PREVOD NA UCET	3264	26510	SIPO	OP	24313068
3352926	11135	1996-06-05	VYDAJ	PREVOD NA UCET	3264	26471	SIPO	OP	24313068
3352927	11135	1996-07-05	VYDAJ	PREVOD NA UCET	3264	30289	SIPO	OP	24313068
3352928	11135	1996-08-05	VYDAJ	PREVOD NA UCET	3264	29564	SIPO	OP	24313068
3352929	11135	1996-09-05	VYDAJ	PREVOD NA UCET	3264	26633	SIPO	OP	24313068
3352930	11135	1996-10-05	VYDAJ	PREVOD NA UCET	3264	27093	SIPO	OP	24313068
3352931	11135	1996-11-05	VYDAJ	PREVOD NA UCET	3264	31758	SIPO	OP	24313068
3352932	11135	1996-12-05	VYDAJ	PREVOD NA UCET	3264	33439	SIPO	OP	24313068
3352933	11135	1997-01-05	VYDAJ	PREVOD NA UCET	3264	28716	SIPO	OP	24313068
3352934	11135	1997-02-05	VYDAJ	PREVOD NA UCET	3264	26328	SIPO	OP	24313068
3352935	11135	1997-03-05	VYDAJ	PREVOD NA UCET	3264	36095	SIPO	OP	24313068
3352936	11135	1997-04-05	VYDAJ	PREVOD NA UCET	3264	37770	SIPO	OP	24313068
3352937	11135	1997-05-05	VYDAJ	PREVOD NA UCET	3264	25636	SIPO	OP	24313068
3352938	11135	1997-06-05	VYDAJ	PREVOD NA UCET	3264	28235	SIPO	OP	24313068
3352939	11135	1997-07-05	VYDAJ	PREVOD NA UCET	3264	39041	SIPO	OP	24313068
3352940	11135	1997-08-05	VYDAJ	PREVOD NA UCET	3264	37319	SIPO	OP	24313068
3352941	11135	1997-09-05	VYDAJ	PREVOD NA UCET	3264	41995	SIPO	OP	24313068
3352942	11135	1997-10-05	VYDAJ	PREVOD NA UCET	3264	42945	SIPO	OP	24313068
3352943	11135	1997-11-05	VYDAJ	PREVOD NA UCET	3264	43140	SIPO	OP	24313068
3352944	11135	1997-12-05	VYDAJ	PREVOD NA UCET	3264	40828	SIPO	OP	24313068
3352945	11135	1998-01-05	VYDAJ	PREVOD NA UCET	3264	45092	SIPO	OP	24313068
3352946	11135	1998-02-05	VYDAJ	PREVOD NA UCET	3264	27167	SIPO	OP	24313068
3352947	11135	1998-03-05	VYDAJ	PREVOD NA UCET	3264	37355	SIPO	OP	24313068
3352948	11135	1998-04-05	VYDAJ	PREVOD NA UCET	3264	37638	SIPO	OP	24313068
3352949	11135	1998-05-05	VYDAJ	PREVOD NA UCET	3264	42142	SIPO	OP	24313068
3352950	11135	1998-06-05	VYDAJ	PREVOD NA UCET	3264	39634	SIPO	OP	24313068
3352951	11135	1998-07-05	VYDAJ	PREVOD NA UCET	3264	34088	SIPO	OP	24313068
3352952	11135	1998-08-05	VYDAJ	PREVOD NA UCET	3264	41056	SIPO	OP	24313068
3352953	11135	1998-09-05	VYDAJ	PREVOD NA UCET	3264	46089	SIPO	OP	24313068
3352954	11135	1998-10-05	VYDAJ	PREVOD NA UCET	3264	38782	SIPO	OP	24313068
3352955	11135	1998-11-05	VYDAJ	PREVOD NA UCET	3264	47074	SIPO	OP	24313068
3352956	11135	1998-12-05	VYDAJ	PREVOD NA UCET	3264	48284	SIPO	OP	24313068
3352971	11135	1994-03-12	VYDAJ	PREVOD NA UCET	5073	35757	UVER	UV	31748539
3352972	11135	1994-04-12	VYDAJ	PREVOD NA UCET	5073	28036	UVER	UV	31748539
3352973	11135	1994-05-12	VYDAJ	PREVOD NA UCET	5073	29789	UVER	UV	31748539
3352974	11135	1994-06-12	VYDAJ	PREVOD NA UCET	5073	43470	UVER	UV	31748539
3352975	11135	1994-07-12	VYDAJ	PREVOD NA UCET	5073	42958	UVER	UV	31748539
3352976	11135	1994-08-12	VYDAJ	PREVOD NA UCET	5073	43556	UVER	UV	31748539
3352977	11135	1994-09-12	VYDAJ	PREVOD NA UCET	5073	42224	UVER	UV	31748539
3352978	11135	1994-10-12	VYDAJ	PREVOD NA UCET	5073	42716	UVER	UV	31748539
3352979	11135	1994-11-12	VYDAJ	PREVOD NA UCET	5073	43512	UVER	UV	31748539
3352980	11135	1994-12-12	VYDAJ	PREVOD NA UCET	5073	50544	UVER	UV	31748539
3352981	11135	1995-01-12	VYDAJ	PREVOD NA UCET	5073	30978	UVER	UV	31748539
3352982	11135	1995-02-12	VYDAJ	PREVOD NA UCET	5073	32847	UVER	UV	31748539
3352983	11135	1995-03-12	VYDAJ	PREVOD NA UCET	5073	38893	UVER	UV	31748539
3352984	11135	1995-04-12	VYDAJ	PREVOD NA UCET	5073	41767	UVER	UV	31748539
3352985	11135	1995-05-12	VYDAJ	PREVOD NA UCET	5073	42155	UVER	UV	31748539
3352986	11135	1995-06-12	VYDAJ	PREVOD NA UCET	5073	44742	UVER	UV	31748539
3352987	11135	1995-07-12	VYDAJ	PREVOD NA UCET	5073	41234	UVER	UV	31748539
3352988	11135	1995-08-12	VYDAJ	PREVOD NA UCET	5073	40240	UVER	UV	31748539
3352989	11135	1995-09-12	VYDAJ	PREVOD NA UCET	5073	40922	UVER	UV	31748539
3352990	11135	1995-10-12	VYDAJ	PREVOD NA UCET	5073	38983	UVER	UV	31748539
3352991	11135	1995-11-12	VYDAJ	PREVOD NA UCET	5073	41157	UVER	UV	31748539
3352992	11135	1995-12-12	VYDAJ	PREVOD NA UCET	5073	43553	UVER	UV	31748539
3352993	11135	1996-01-12	VYDAJ	PREVOD NA UCET	5073	23999	UVER	UV	31748539
3352994	11135	1996-02-12	VYDAJ	PREVOD NA UCET	5073	30758	UVER	UV	31748539
3352995	11135	1996-03-12	VYDAJ	PREVOD NA UCET	5073	34397	UVER	UV	31748539
3352996	11135	1996-04-12	VYDAJ	PREVOD NA UCET	5073	35349	UVER	UV	31748539
3352997	11135	1996-05-12	VYDAJ	PREVOD NA UCET	5073	36906	UVER	UV	31748539
3352998	11135	1996-06-12	VYDAJ	PREVOD NA UCET	5073	44602	UVER	UV	31748539
3352999	11135	1996-07-12	VYDAJ	PREVOD NA UCET	5073	40685	UVER	UV	31748539
3353000	11135	1996-08-12	VYDAJ	PREVOD NA UCET	5073	39960	UVER	UV	31748539
3353001	11135	1996-09-12	VYDAJ	PREVOD NA UCET	5073	37029	UVER	UV	31748539
3353002	11135	1996-10-12	VYDAJ	PREVOD NA UCET	5073	37489	UVER	UV	31748539
3353003	11135	1996-11-12	VYDAJ	PREVOD NA UCET	5073	42154	UVER	UV	31748539
3353004	11135	1996-12-12	VYDAJ	PREVOD NA UCET	5073	51570	UVER	UV	31748539
3353005	11135	1997-01-12	VYDAJ	PREVOD NA UCET	5073	37192	UVER	UV	31748539
3353006	11135	1997-02-12	VYDAJ	PREVOD NA UCET	5073	36724	UVER	UV	31748539
3353007	11135	1997-03-18	VYDAJ	VYBER	5500	46064	\N	\N	0
3353008	11135	1997-04-21	VYDAJ	VYBER	6200	32639	\N	\N	0
3353009	11135	1997-05-04	VYDAJ	VYBER	4300	28900	\N	\N	0
3353010	11135	1997-06-08	VYDAJ	VYBER	3800	47639	\N	\N	0
3353011	11135	1997-07-14	VYDAJ	VYBER	5800	48710	\N	\N	0
3353012	11135	1997-08-07	VYDAJ	VYBER	4000	33319	\N	\N	0
3353013	11135	1997-09-15	VYDAJ	VYBER	6100	50524	\N	\N	0
3353014	11135	1997-10-12	VYDAJ	VYBER	3800	54614	\N	\N	0
3353015	11135	1997-11-12	VYDAJ	VYBER	6300	52309	\N	\N	0
3353016	11135	1997-12-17	VYDAJ	VYBER	4300	59732	\N	\N	0
3353017	11135	1998-01-05	VYDAJ	VYBER	4500	40592	\N	\N	0
3353018	11135	1998-02-06	VYDAJ	VYBER	3900	23267	\N	\N	0
3353019	11135	1998-03-08	VYDAJ	VYBER	4100	48724	\N	\N	0
3353020	11135	1998-04-02	VYDAJ	VYBER	5900	40902	\N	\N	0
3353021	11135	1998-05-12	VYDAJ	VYBER	4300	53311	\N	\N	0
3353022	11135	1998-06-05	VYDAJ	VYBER	5000	42898	\N	\N	0
3353023	11135	1998-07-13	VYDAJ	VYBER	4400	45157	\N	\N	0
3353024	11135	1998-08-12	VYDAJ	VYBER	4300	52225	\N	\N	0
3353025	11135	1998-09-10	VYDAJ	VYBER	6200	55358	\N	\N	0
3353026	11135	1998-10-04	VYDAJ	VYBER	5300	42046	\N	\N	0
3353027	11135	1998-11-19	VYDAJ	VYBER	3800	51343	\N	\N	0
3353028	11135	1998-12-20	VYDAJ	VYBER	5800	54428	\N	\N	0
3353034	11135	1998-06-17	VYDAJ	VYBER	13440	37178	\N	\N	\N
3353037	11135	1995-01-09	VYDAJ	VYBER	15680	36051	\N	\N	\N
3353038	11135	1996-01-03	VYDAJ	VYBER	3840	28747	\N	\N	\N
3353039	11135	1997-01-17	VYDAJ	VYBER	1760	32672	\N	\N	\N
3353040	11135	1998-01-26	VYDAJ	VYBER	9120	32301	\N	\N	\N
3353042	11135	1994-12-02	VYDAJ	VYBER	1600	42077	\N	\N	\N
3353043	11135	1995-12-08	VYDAJ	VYBER	1920	48626	\N	\N	\N
3353044	11135	1996-12-29	VYDAJ	VYBER	2400	37090	\N	\N	\N
3353045	11135	1997-12-26	VYDAJ	VYBER	3680	48152	\N	\N	\N
3353046	11135	1998-12-25	VYDAJ	VYBER	960	53468	\N	\N	\N
3353059	11135	1995-01-29	VYDAJ	VYBER	840	21618	\N	\N	\N
3353060	11135	1995-01-12	VYDAJ	VYBER	1080	29898	\N	\N	\N
3353061	11135	1995-01-17	VYDAJ	VYBER	2880	27018	\N	\N	\N
3353062	11135	1995-01-29	VYDAJ	VYBER	1680	22458	\N	\N	\N
3353063	11135	1995-01-21	VYDAJ	VYBER	2880	24138	\N	\N	\N
3353064	11135	1995-01-30	VYDAJ	VYBER	720	20898	\N	\N	\N
3353065	11135	1996-01-05	VYDAJ	VYBER	3120	19987	\N	\N	\N
3353066	11135	1996-01-04	VYDAJ	VYBER	3240	23107	\N	\N	\N
3353067	11135	1996-01-11	VYDAJ	VYBER	2520	29672	\N	\N	\N
3353068	11135	1996-01-04	VYDAJ	VYBER	2400	26347	\N	\N	\N
3353069	11135	1996-01-19	VYDAJ	VYBER	2160	21839	\N	\N	\N
3353070	11135	1996-01-01	VYDAJ	VYBER	1920	32587	\N	\N	\N
3353071	11135	1997-01-12	VYDAJ	VYBER	2760	34432	\N	\N	\N
3353072	11135	1997-01-25	VYDAJ	VYBER	720	29472	\N	\N	\N
3353073	11135	1997-01-01	VYDAJ	VYBER	3480	33780	\N	\N	\N
3353074	11135	1997-01-04	VYDAJ	VYBER	1800	31980	\N	\N	\N
3353075	11135	1997-01-18	VYDAJ	VYBER	3480	29192	\N	\N	\N
3353076	11135	1997-01-06	VYDAJ	VYBER	1920	26796	\N	\N	\N
3353077	11135	1998-01-30	VYDAJ	VYBER	2040	30261	\N	\N	\N
3353078	11135	1998-01-06	VYDAJ	VYBER	1560	39032	\N	\N	\N
3353079	11135	1998-01-16	VYDAJ	VYBER	2400	51501	\N	\N	\N
3353080	11135	1998-01-23	VYDAJ	VYBER	2160	41421	\N	\N	\N
3353081	11135	1998-01-09	VYDAJ	VYBER	600	53901	\N	\N	\N
3353082	11135	1998-01-21	VYDAJ	VYBER	2400	43581	\N	\N	\N
3353088	11135	1994-04-08	VYDAJ	VYBER	5400	33109	\N	\N	\N
3353089	11135	1994-12-16	VYDAJ	VYBER	2400	48144	\N	\N	\N
3353091	11135	1994-08-13	VYDAJ	VYBER	4320	39236	\N	\N	\N
3353092	11135	1995-09-27	VYDAJ	VYBER	2520	38402	\N	\N	\N
3353093	11135	1995-07-22	VYDAJ	VYBER	2280	38954	\N	\N	\N
3353094	11135	1995-06-01	VYDAJ	VYBER	4440	37875	\N	\N	\N
3353095	11135	1996-01-11	VYDAJ	VYBER	600	29072	\N	\N	\N
3353096	11135	1996-12-18	VYDAJ	VYBER	4080	47490	\N	\N	\N
3353097	11135	1997-04-20	VYDAJ	VYBER	3600	38839	\N	\N	\N
3353098	11135	1997-05-16	VYDAJ	VYBER	2880	38225	\N	\N	\N
3353099	11135	1997-04-18	VYDAJ	VYBER	5400	47839	\N	\N	\N
3353100	11135	1997-09-05	VYDAJ	VYBER	840	41155	\N	\N	\N
3353101	11135	1997-04-19	VYDAJ	VYBER	5400	42439	\N	\N	\N
3353102	11135	1997-06-01	VYDAJ	VYBER	3960	31499	\N	\N	\N
3353103	11135	1998-10-16	VYDAJ	VYBER	1200	50151	\N	\N	\N
3353104	11135	1998-08-21	VYDAJ	VYBER	1560	49165	\N	\N	\N
3353105	11135	1998-06-15	VYDAJ	VYBER	1920	60918	\N	\N	\N
3353106	11135	1998-01-21	VYDAJ	VYBER	1320	45981	\N	\N	\N
3353107	11135	1998-04-20	VYDAJ	VYBER	1680	45227	\N	\N	\N
3353108	11135	1998-02-28	VYDAJ	VYBER	3240	41354	\N	\N	\N
3353109	11135	1998-03-04	VYDAJ	VYBER	720	40619	\N	\N	\N
3353110	11135	1998-12-15	VYDAJ	VYBER	2760	60228	\N	\N	\N
3353126	11135	1994-03-31	VYDAJ	VYBER	15	35904	SLUZBY	\N	\N
3353127	11135	1994-04-30	VYDAJ	VYBER	15	28157	SLUZBY	\N	\N
3353128	11135	1994-05-31	VYDAJ	VYBER	15	29903	SLUZBY	\N	\N
3353129	11135	1994-06-30	VYDAJ	VYBER	15	43626	SLUZBY	\N	\N
3353130	11135	1994-07-31	VYDAJ	VYBER	15	43124	SLUZBY	\N	\N
3353131	11135	1994-08-31	VYDAJ	VYBER	15	39392	SLUZBY	\N	\N
3353132	11135	1994-09-30	VYDAJ	VYBER	15	42384	SLUZBY	\N	\N
3353133	11135	1994-10-31	VYDAJ	VYBER	15	42880	SLUZBY	\N	\N
3353134	11135	1994-11-30	VYDAJ	VYBER	15	43677	SLUZBY	\N	\N
3353135	11135	1994-12-31	VYDAJ	VYBER	15	48326	SLUZBY	\N	\N
3353136	11135	1995-01-31	VYDAJ	VYBER	15	21015	SLUZBY	\N	\N
3353137	11135	1995-02-28	VYDAJ	VYBER	15	32961	SLUZBY	\N	\N
3353138	11135	1995-03-31	VYDAJ	VYBER	15	39035	SLUZBY	\N	\N
3353139	11135	1995-04-30	VYDAJ	VYBER	15	41923	SLUZBY	\N	\N
3353140	11135	1995-05-31	VYDAJ	VYBER	15	42315	SLUZBY	\N	\N
3353141	11135	1995-06-30	VYDAJ	VYBER	15	44902	SLUZBY	\N	\N
3353142	11135	1995-07-31	VYDAJ	VYBER	15	39108	SLUZBY	\N	\N
3353143	11135	1995-08-31	VYDAJ	VYBER	15	33790	SLUZBY	\N	\N
3353144	11135	1995-09-30	VYDAJ	VYBER	15	38551	SLUZBY	\N	\N
3353145	11135	1995-10-31	VYDAJ	VYBER	15	34025	SLUZBY	\N	\N
3353146	11135	1995-11-30	VYDAJ	VYBER	15	30606	SLUZBY	\N	\N
3353147	11135	1995-12-31	VYDAJ	VYBER	15	34507	SLUZBY	\N	\N
3353148	11135	1996-01-31	VYDAJ	VYBER	15	23626	SLUZBY	\N	\N
3353149	11135	1996-02-29	VYDAJ	VYBER	15	27265	SLUZBY	\N	\N
3353150	11135	1996-03-31	VYDAJ	VYBER	15	28217	SLUZBY	\N	\N
3353151	11135	1996-04-30	VYDAJ	VYBER	15	29774	SLUZBY	\N	\N
3353152	11135	1996-05-31	VYDAJ	VYBER	15	29735	SLUZBY	\N	\N
3353153	11135	1996-06-30	VYDAJ	VYBER	15	33553	SLUZBY	\N	\N
3353154	11135	1996-07-31	VYDAJ	VYBER	15	32828	SLUZBY	\N	\N
3353155	11135	1996-08-31	VYDAJ	VYBER	15	29897	SLUZBY	\N	\N
3353156	11135	1996-09-30	VYDAJ	VYBER	15	30357	SLUZBY	\N	\N
3353157	11135	1996-10-31	VYDAJ	VYBER	15	35022	SLUZBY	\N	\N
3353158	11135	1996-11-30	VYDAJ	VYBER	15	36703	SLUZBY	\N	\N
3353159	11135	1996-12-31	VYDAJ	VYBER	15	37260	SLUZBY	\N	\N
3353160	11135	1997-01-31	VYDAJ	VYBER	15	29592	SLUZBY	\N	\N
3353161	11135	1997-02-28	VYDAJ	VYBER	15	39359	SLUZBY	\N	\N
3353162	11135	1997-03-31	VYDAJ	VYBER	15	41034	SLUZBY	\N	\N
3353163	11135	1997-04-30	VYDAJ	VYBER	15	33200	SLUZBY	\N	\N
3353164	11135	1997-05-31	VYDAJ	VYBER	15	35459	SLUZBY	\N	\N
3353165	11135	1997-06-30	VYDAJ	VYBER	15	42305	SLUZBY	\N	\N
3353166	11135	1997-07-31	VYDAJ	VYBER	15	40583	SLUZBY	\N	\N
3353167	11135	1997-08-31	VYDAJ	VYBER	15	45259	SLUZBY	\N	\N
3353168	11135	1997-09-30	VYDAJ	VYBER	15	46209	SLUZBY	\N	\N
3353169	11135	1997-10-31	VYDAJ	VYBER	15	46404	SLUZBY	\N	\N
3353170	11135	1997-11-30	VYDAJ	VYBER	15	44092	SLUZBY	\N	\N
3353171	11135	1997-12-31	VYDAJ	VYBER	15	48356	SLUZBY	\N	\N
3353172	11135	1998-01-31	VYDAJ	VYBER	15	30431	SLUZBY	\N	\N
3353173	11135	1998-02-28	VYDAJ	VYBER	15	41339	SLUZBY	\N	\N
3353174	11135	1998-03-31	VYDAJ	VYBER	15	46802	SLUZBY	\N	\N
3353175	11135	1998-04-30	VYDAJ	VYBER	15	45406	SLUZBY	\N	\N
3353176	11135	1998-05-31	VYDAJ	VYBER	15	47898	SLUZBY	\N	\N
3353177	11135	1998-06-30	VYDAJ	VYBER	15	37352	SLUZBY	\N	\N
3353178	11135	1998-07-31	VYDAJ	VYBER	15	44320	SLUZBY	\N	\N
3353179	11135	1998-08-31	VYDAJ	VYBER	15	49353	SLUZBY	\N	\N
3353180	11135	1998-09-30	VYDAJ	VYBER	15	47346	SLUZBY	\N	\N
3353181	11135	1998-10-31	VYDAJ	VYBER	15	50338	SLUZBY	\N	\N
3353182	11135	1998-11-30	VYDAJ	VYBER	15	51548	SLUZBY	\N	\N
3353183	11135	1993-11-09	PRIJEM	VKLAD	6000	21969	\N	\N	\N
3353184	11135	1993-12-09	VYDAJ	VYBER	8600	36640	\N	\N	\N
3353185	11135	1994-01-08	VYDAJ	VYBER	12600	39646	\N	\N	\N
3353186	11135	1994-02-07	VYDAJ	VYBER	9800	30008	\N	\N	\N
3353187	11135	1994-03-09	VYDAJ	VYBER	20300	40830	\N	\N	\N
3353188	11135	1994-04-08	VYDAJ	VYBER	9600	38509	\N	\N	\N
3353189	11135	1994-05-08	VYDAJ	VYBER	5500	34862	\N	\N	\N
3353190	11135	1994-06-07	VYDAJ	VYBER	1300	25339	\N	\N	\N
3353191	11135	1994-07-07	VYDAJ	VYBER	7800	32562	\N	\N	\N
3353192	11135	1994-08-06	VYDAJ	VYBER	6700	33160	\N	\N	\N
3353193	11135	1994-09-05	VYDAJ	VYBER	4300	31828	\N	\N	\N
3353194	11135	1994-10-05	VYDAJ	VYBER	6800	32320	\N	\N	\N
3353195	11135	1994-11-04	VYDAJ	VYBER	6500	36380	\N	\N	\N
3353196	11135	1994-12-04	VYDAJ	VYBER	6400	35677	\N	\N	\N
3353197	11135	1995-01-03	VYDAJ	VYBER	8800	39526	\N	\N	\N
3353198	11135	1995-02-02	PRIJEM	VKLAD	4700	25715	\N	\N	\N
3353199	11135	1995-03-04	VYDAJ	VYBER	1200	31761	\N	\N	\N
3353200	11135	1995-04-03	VYDAJ	VYBER	4400	34635	\N	\N	\N
3353201	11135	1995-05-03	VYDAJ	VYBER	6900	35023	\N	\N	\N
3353202	11135	1995-06-02	VYDAJ	VYBER	8000	29875	\N	\N	\N
3353203	11135	1995-07-02	VYDAJ	VYBER	10800	34102	\N	\N	\N
3353204	11135	1995-08-01	VYDAJ	VYBER	6000	33108	\N	\N	\N
3353205	11135	1995-08-31	VYDAJ	VYBER	6600	33805	\N	\N	\N
3353206	11135	1995-09-30	VYDAJ	VYBER	6700	31851	\N	\N	\N
3353207	11135	1995-10-30	VYDAJ	VYBER	5100	33883	\N	\N	\N
3353208	11135	1995-11-29	VYDAJ	VYBER	10700	30457	\N	\N	\N
3353209	11135	1995-12-29	VYDAJ	VYBER	9200	34353	\N	\N	\N
3353210	11135	1996-01-28	PRIJEM	VKLAD	1700	23539	\N	\N	\N
3353211	11135	1996-02-27	VYDAJ	VYBER	3600	27158	\N	\N	\N
3353212	11135	1996-03-28	VYDAJ	VYBER	6300	28097	\N	\N	\N
3353213	11135	1996-04-27	VYDAJ	VYBER	5700	29649	\N	\N	\N
3353214	11135	1996-05-27	VYDAJ	VYBER	7300	29606	\N	\N	\N
3353215	11135	1996-06-26	VYDAJ	VYBER	11200	33402	\N	\N	\N
3353216	11135	1996-07-26	VYDAJ	VYBER	8000	32685	\N	\N	\N
3353217	11135	1996-08-25	VYDAJ	VYBER	10200	29760	\N	\N	\N
3353218	11135	1996-09-24	VYDAJ	VYBER	6800	30229	\N	\N	\N
3353219	11135	1996-10-24	VYDAJ	VYBER	2600	34889	\N	\N	\N
3353220	11135	1996-11-23	VYDAJ	VYBER	5600	36554	\N	\N	\N
3353221	11135	1996-12-23	VYDAJ	VYBER	8000	39490	\N	\N	\N
3353222	11135	1997-01-22	PRIJEM	VKLAD	1000	30192	\N	\N	\N
3353223	11135	1997-02-21	PRIJEM	VKLAD	2500	39224	\N	\N	\N
3353224	11135	1997-03-23	VYDAJ	VYBER	5200	40864	\N	\N	\N
3353225	11135	1997-04-22	PRIJEM	VKLAD	400	33039	\N	\N	\N
3353226	11135	1997-05-22	VYDAJ	VYBER	2900	35325	\N	\N	\N
3353227	11135	1997-06-21	VYDAJ	VYBER	5500	42139	\N	\N	\N
3353228	11135	1997-07-21	VYDAJ	VYBER	8300	40410	\N	\N	\N
3353229	11135	1997-08-20	VYDAJ	VYBER	3700	45088	\N	\N	\N
3353230	11135	1997-09-19	VYDAJ	VYBER	4500	46024	\N	\N	\N
3353231	11135	1997-10-19	VYDAJ	VYBER	8400	46214	\N	\N	\N
3353232	11135	1997-11-18	VYDAJ	VYBER	8400	43909	\N	\N	\N
3353233	11135	1997-12-18	VYDAJ	VYBER	7900	51832	\N	\N	\N
3353234	11135	1998-01-17	VYDAJ	VYBER	4200	47301	\N	\N	\N
3353235	11135	1998-02-16	PRIJEM	VKLAD	5700	44436	\N	\N	\N
3353236	11135	1998-03-18	VYDAJ	VYBER	2100	46624	\N	\N	\N
3353237	11135	1998-04-17	VYDAJ	VYBER	6200	46907	\N	\N	\N
3353238	11135	1998-05-17	VYDAJ	VYBER	5600	47711	\N	\N	\N
3353239	11135	1998-06-16	VYDAJ	VYBER	10300	50618	\N	\N	\N
3353240	11135	1998-07-16	VYDAJ	VYBER	1000	44157	\N	\N	\N
3353241	11135	1998-08-15	VYDAJ	VYBER	1500	50725	\N	\N	\N
3353242	11135	1998-09-14	VYDAJ	VYBER	8200	47158	\N	\N	\N
3353243	11135	1998-10-14	VYDAJ	VYBER	2900	51351	\N	\N	\N
3353244	11135	1998-11-13	VYDAJ	VYBER	7400	55143	\N	\N	\N
3353245	11135	1998-12-13	VYDAJ	VYBER	8500	62988	\N	\N	\N
3353677	11138	1995-08-18	PRIJEM	VKLAD	800	800	\N	\N	\N
3353678	11138	1995-11-15	PRIJEM	VKLAD	6288	50861	\N	\N	\N
3353680	11138	1995-11-17	PRIJEM	VKLAD	46981	85242	\N	\N	\N
3353681	11138	1995-12-27	PRIJEM	VKLAD	45087	89791	\N	\N	\N
3353683	11138	1995-08-24	PRIJEM	VKLAD	23554	24354	\N	\N	\N
3353684	11138	1995-09-23	PRIJEM	VKLAD	43022	69927	\N	\N	\N
3353685	11138	1995-09-12	PRIJEM	VKLAD	8625	33005	\N	\N	\N
3353686	11138	1995-12-02	PRIJEM	VKLAD	40081	116004	\N	\N	\N
3353690	11138	1996-12-15	PRIJEM	VKLAD	49537	73245	\N	\N	\N
3353691	11138	1996-09-27	PRIJEM	VKLAD	43063	110347	\N	\N	\N
3353692	11138	1996-12-09	PRIJEM	VKLAD	30996	59840	\N	\N	\N
3353693	11138	1996-10-16	PRIJEM	VKLAD	45669	90147	\N	\N	\N
3353694	11138	1996-03-23	PRIJEM	VKLAD	49719	110909	\N	\N	\N
3353695	11138	1996-09-06	PRIJEM	VKLAD	36661	76383	\N	\N	\N
3353696	11138	1996-04-08	PRIJEM	VKLAD	36002	156374	\N	\N	\N
3353697	11138	1996-03-06	PRIJEM	VKLAD	24317	121134	\N	\N	\N
3353698	11138	1996-07-19	PRIJEM	VKLAD	24947	79141	\N	\N	\N
3353699	11138	1996-02-24	PRIJEM	VKLAD	15198	64563	\N	\N	\N
3353700	11138	1996-07-22	PRIJEM	VKLAD	36234	115375	\N	\N	\N
3353701	11138	1996-09-22	PRIJEM	VKLAD	12042	67284	\N	\N	\N
3353702	11138	1996-02-05	PRIJEM	VKLAD	10134	78677	\N	\N	\N
3353703	11138	1996-09-07	PRIJEM	VKLAD	22904	99287	\N	\N	\N
3353704	11138	1996-10-06	PRIJEM	VKLAD	24773	125722	\N	\N	\N
3353705	11138	1996-02-01	PRIJEM	VKLAD	36549	68543	\N	\N	\N
3353706	11138	1996-09-29	PRIJEM	VKLAD	29649	139996	\N	\N	\N
3353707	11138	1996-03-03	PRIJEM	VKLAD	9089	96817	\N	\N	\N
3353708	11138	1996-10-22	PRIJEM	VKLAD	40399	130546	\N	\N	\N
3353709	11138	1996-06-28	PRIJEM	VKLAD	41875	88705	\N	\N	\N
3353710	11138	1996-07-30	PRIJEM	VKLAD	29812	128587	\N	\N	\N
3353711	11138	1996-04-24	PRIJEM	VKLAD	30639	83869	\N	\N	\N
3353712	11138	1996-01-20	PRIJEM	VKLAD	10097	49177	\N	\N	\N
3353713	11138	1996-04-01	PRIJEM	VKLAD	45883	140607	\N	\N	\N
3353714	11138	1996-05-16	PRIJEM	VKLAD	36397	91453	\N	\N	\N
3353715	11138	1996-02-25	PRIJEM	VKLAD	49520	114083	\N	\N	\N
3353716	11138	1996-10-27	PRIJEM	VKLAD	41556	146802	\N	\N	\N
3353717	11138	1996-04-01	PRIJEM	VKLAD	27765	168372	\N	\N	\N
3353718	11138	1996-02-11	PRIJEM	VKLAD	42132	120809	\N	\N	\N
3353719	11138	1997-10-16	PRIJEM	VKLAD	29616	120053	\N	\N	\N
3353720	11138	1997-10-15	PRIJEM	VKLAD	44989	133137	\N	\N	\N
3353721	11138	1997-07-15	PRIJEM	VKLAD	25504	52813	\N	\N	\N
3353722	11138	1997-09-21	PRIJEM	VKLAD	27072	88845	\N	\N	\N
3353723	11138	1997-12-23	PRIJEM	VKLAD	36096	126528	\N	\N	\N
3353724	11138	1997-01-29	PRIJEM	VKLAD	49036	69614	\N	\N	\N
3353725	11138	1997-09-14	PRIJEM	VKLAD	23471	61773	\N	\N	\N
3353726	11138	1997-04-19	PRIJEM	VKLAD	22707	76032	\N	\N	\N
3353727	11138	1997-10-22	PRIJEM	VKLAD	32192	106345	\N	\N	\N
3353728	11138	1997-05-02	PRIJEM	VKLAD	17281	75528	\N	\N	\N
3353729	11138	1997-12-17	PRIJEM	VKLAD	38135	90432	\N	\N	\N
3353730	11138	1997-05-05	PRIJEM	VKLAD	23773	99301	\N	\N	\N
3353731	11138	1997-09-27	PRIJEM	VKLAD	33570	122415	\N	\N	\N
3353732	11138	1997-08-26	PRIJEM	VKLAD	45724	124739	\N	\N	\N
3353733	11138	1997-03-18	PRIJEM	VKLAD	33484	87082	\N	\N	\N
3353734	11138	1997-12-16	PRIJEM	VKLAD	21152	52297	\N	\N	\N
3353735	11138	1997-09-29	PRIJEM	VKLAD	48163	127278	\N	\N	\N
3353736	11138	1997-10-10	PRIJEM	VKLAD	25754	91893	\N	\N	\N
3353737	11138	1997-02-12	PRIJEM	VKLAD	22019	67342	\N	\N	\N
3353738	11138	1997-02-23	PRIJEM	VKLAD	37364	100961	\N	\N	\N
3353739	11138	1997-10-22	PRIJEM	VKLAD	8667	115012	\N	\N	\N
3353740	11138	1997-08-03	PRIJEM	VKLAD	26650	79617	\N	\N	\N
3353741	11138	1997-08-11	PRIJEM	VKLAD	42258	146859	\N	\N	\N
3353742	11138	1997-04-19	PRIJEM	VKLAD	14073	53325	\N	\N	\N
3353743	11138	1997-06-07	PRIJEM	VKLAD	20048	79642	\N	\N	\N
3353744	11138	1997-08-10	PRIJEM	VKLAD	48084	104601	\N	\N	\N
3353745	11138	1998-03-19	PRIJEM	VKLAD	22680	82103	\N	\N	\N
3353746	11138	1998-05-18	PRIJEM	VKLAD	36106	135353	\N	\N	\N
3353747	11138	1998-11-01	PRIJEM	VKLAD	11186	58337	\N	\N	\N
3353748	11138	1998-02-26	PRIJEM	VKLAD	27604	134566	\N	\N	\N
3353749	11138	1998-05-13	PRIJEM	VKLAD	24157	127647	\N	\N	\N
3353750	11138	1998-09-13	PRIJEM	VKLAD	49797	98161	\N	\N	\N
3353751	11138	1998-07-07	PRIJEM	VKLAD	47963	91510	\N	\N	\N
3353752	11138	1998-02-19	PRIJEM	VKLAD	30630	130187	\N	\N	\N
3353753	11138	1998-12-18	PRIJEM	VKLAD	24718	59930	\N	\N	\N
3353754	11138	1998-02-14	PRIJEM	VKLAD	39769	123657	\N	\N	\N
3353755	11138	1998-05-07	PRIJEM	VKLAD	47052	103490	\N	\N	\N
3353756	11138	1998-01-10	PRIJEM	VKLAD	16496	47388	\N	\N	\N
3353757	11138	1998-07-14	PRIJEM	VKLAD	24120	112130	\N	\N	\N
3353758	11138	1998-04-15	PRIJEM	VKLAD	48847	86579	\N	\N	\N
3353759	11138	1998-02-20	PRIJEM	VKLAD	33875	106962	\N	\N	\N
3353760	11138	1998-01-27	PRIJEM	VKLAD	34004	62347	\N	\N	\N
3353761	11138	1998-04-16	PRIJEM	VKLAD	11575	98154	\N	\N	\N
3353762	11138	1998-03-01	PRIJEM	VKLAD	24934	96623	\N	\N	\N
3353763	11138	1998-08-24	PRIJEM	VKLAD	34558	92712	\N	\N	\N
3353764	11138	1998-02-06	PRIJEM	VKLAD	48282	86688	\N	\N	\N
3353765	11138	1998-08-28	PRIJEM	VKLAD	33248	125960	\N	\N	\N
3353766	11138	1998-07-23	PRIJEM	VKLAD	23510	119340	\N	\N	\N
3353767	11138	1998-01-31	PRIJEM	VKLAD	8430	44077	\N	\N	\N
3353768	11138	1998-01-04	PRIJEM	VKLAD	8288	42592	\N	\N	\N
3353769	11138	1998-10-04	PRIJEM	VKLAD	34757	93027	\N	\N	\N
3353770	11138	1998-08-06	PRIJEM	VKLAD	5135	70916	\N	\N	\N
3353771	11138	1998-08-11	PRIJEM	VKLAD	5522	76438	\N	\N	\N
3353783	11138	1995-12-02	VYDAJ	VYBER	3900	112104	\N	\N	0
3353784	11138	1996-01-08	VYDAJ	VYBER	3000	81980	\N	\N	0
3353785	11138	1996-02-12	VYDAJ	PREVOD NA UCET	3745	83965	UVER	YZ	73215025
3353786	11138	1996-03-12	VYDAJ	PREVOD NA UCET	3745	91390	UVER	YZ	73215025
3353787	11138	1996-04-12	VYDAJ	PREVOD NA UCET	3745	87430	UVER	YZ	73215025
3353788	11138	1996-05-12	VYDAJ	PREVOD NA UCET	3745	80456	UVER	YZ	73215025
3353789	11138	1996-06-12	VYDAJ	PREVOD NA UCET	3745	73630	UVER	YZ	73215025
3353790	11138	1996-07-12	VYDAJ	PREVOD NA UCET	3745	85194	UVER	YZ	73215025
3353791	11138	1996-08-12	VYDAJ	PREVOD NA UCET	3745	80477	UVER	YZ	73215025
3353792	11138	1996-09-12	VYDAJ	PREVOD NA UCET	3745	55242	UVER	YZ	73215025
3353793	11138	1996-10-12	VYDAJ	PREVOD NA UCET	3745	44478	UVER	YZ	73215025
3353794	11138	1996-11-12	VYDAJ	PREVOD NA UCET	3745	49943	UVER	YZ	73215025
3353795	11138	1996-12-12	VYDAJ	PREVOD NA UCET	3745	23708	UVER	YZ	73215025
3353796	11138	1997-01-12	VYDAJ	PREVOD NA UCET	3745	20578	UVER	YZ	73215025
3353797	11138	1997-02-12	VYDAJ	PREVOD NA UCET	3745	63597	UVER	YZ	73215025
3353798	11138	1997-03-12	VYDAJ	PREVOD NA UCET	3745	53598	UVER	YZ	73215025
3353799	11138	1997-04-12	VYDAJ	PREVOD NA UCET	3745	39252	UVER	YZ	73215025
3353800	11138	1997-05-12	VYDAJ	PREVOD NA UCET	3745	59356	UVER	YZ	73215025
3353801	11138	1997-06-12	VYDAJ	PREVOD NA UCET	3745	48698	UVER	YZ	73215025
3353802	11138	1997-07-12	VYDAJ	PREVOD NA UCET	3745	27309	UVER	YZ	73215025
3353803	11138	1997-08-12	VYDAJ	PREVOD NA UCET	3745	79015	UVER	YZ	73215025
3353804	11138	1997-09-12	VYDAJ	PREVOD NA UCET	3745	38302	UVER	YZ	73215025
3353805	11138	1997-10-12	VYDAJ	PREVOD NA UCET	3745	88148	UVER	YZ	73215025
3353806	11138	1997-11-12	VYDAJ	PREVOD NA UCET	3745	53188	UVER	YZ	73215025
3353807	11138	1997-12-12	VYDAJ	PREVOD NA UCET	3745	31145	UVER	YZ	73215025
3353808	11138	1998-01-12	VYDAJ	PREVOD NA UCET	3745	39143	UVER	YZ	73215025
3353809	11138	1998-02-12	VYDAJ	VYBER	2800	83888	\N	\N	0
3353810	11138	1998-03-14	VYDAJ	VYBER	4200	59423	\N	\N	0
3353811	11138	1998-04-09	VYDAJ	VYBER	3800	37732	\N	\N	0
3353812	11138	1998-05-02	VYDAJ	VYBER	4200	91438	\N	\N	0
3353813	11138	1998-06-19	VYDAJ	VYBER	3900	64983	\N	\N	0
3353814	11138	1998-07-10	VYDAJ	VYBER	3500	88010	\N	\N	0
3353815	11138	1998-08-18	VYDAJ	VYBER	2900	58154	\N	\N	0
3353816	11138	1998-09-02	VYDAJ	VYBER	4000	61864	\N	\N	0
3353817	11138	1998-10-02	VYDAJ	VYBER	2900	58270	\N	\N	0
3353818	11138	1998-11-16	VYDAJ	VYBER	4400	53937	\N	\N	0
3353819	11138	1998-12-18	VYDAJ	VYBER	4100	55830	\N	\N	0
3353827	11138	1996-12-09	VYBER	VYBER	8487	51353	\N	\N	\N
3353828	11138	1996-03-30	VYBER	VYBER	16522	94387	\N	\N	\N
3353829	11138	1997-04-20	VYBER	VYBER	18016	58016	\N	\N	\N
3353830	11138	1997-11-20	VYBER	VYBER	17704	35484	\N	\N	\N
3353832	11138	1997-12-24	VYBER	VYBER	24504	43724	\N	\N	\N
3353833	11138	1998-08-12	VYBER	VYBER	4755	71683	\N	\N	\N
3353834	11138	1998-03-31	VYBER	VYBER	12035	70362	\N	\N	\N
3353835	11138	1998-10-11	VYBER	VYBER	11658	81369	\N	\N	\N
3353837	11138	1998-05-02	VYBER	VYBER	2789	95638	\N	\N	\N
3353838	11138	1998-08-13	VYBER	VYBER	10629	61054	\N	\N	\N
3353844	11138	1996-01-14	VYDAJ	VYBER	20400	51380	\N	\N	\N
3353845	11138	1997-01-04	VYDAJ	VYBER	9900	42523	\N	\N	\N
3353846	11138	1998-01-30	VYDAJ	VYBER	26700	35647	\N	\N	\N
3353847	11138	1995-12-11	VYDAJ	VYBER	3600	61404	\N	\N	\N
3353848	11138	1996-12-11	VYDAJ	VYBER	8700	27453	\N	\N	\N
3353849	11138	1997-12-28	VYDAJ	VYBER KARTOU	3000	40724	\N	\N	0
3353850	11138	1998-12-06	VYDAJ	VYBER	5400	35212	\N	\N	\N
3353857	11138	1996-01-23	VYDAJ	VYBER	3600	45577	\N	\N	\N
3353858	11138	1996-01-13	VYDAJ	VYBER	4200	71780	\N	\N	\N
3353859	11138	1996-01-03	VYDAJ	VYBER	5100	84980	\N	\N	\N
3353860	11138	1996-01-08	VYDAJ	VYBER	6000	75980	\N	\N	\N
3353861	11138	1996-01-23	VYDAJ	VYBER	8100	37477	\N	\N	\N
3353862	11138	1996-01-29	VYDAJ	VYBER	5700	31777	\N	\N	\N
3353864	11138	1997-01-03	VYDAJ	VYBER	5100	52423	\N	\N	\N
3353865	11138	1997-01-02	VYDAJ	VYBER	5100	57523	\N	\N	\N
3353866	11138	1997-01-11	VYDAJ	VYBER	6000	24323	\N	\N	\N
3353867	11138	1997-01-10	VYDAJ	VYBER KARTOU	2100	30323	\N	\N	0
3353869	11138	1998-01-11	VYDAJ	VYBER	4500	42888	\N	\N	\N
3353870	11138	1998-01-22	VYDAJ	VYBER	8700	28343	\N	\N	\N
3353871	11138	1998-01-04	VYDAJ	VYBER	7500	34792	\N	\N	\N
3353872	11138	1998-01-09	VYDAJ	VYBER KARTOU	3900	30892	\N	\N	0
3353873	11138	1998-01-02	VYDAJ	VYBER	6600	34304	\N	\N	\N
3353874	11138	1998-01-14	VYDAJ	VYBER KARTOU	2100	37043	\N	\N	0
3353876	11138	1995-11-27	VYDAJ	VYBER	9600	75642	\N	\N	\N
3353879	11138	1996-11-26	VYDAJ	VYBER	14700	28643	\N	\N	\N
3353880	11138	1996-11-13	VYDAJ	VYBER	6600	43343	\N	\N	\N
3353881	11138	1996-12-22	VYDAJ	VYBER	10800	62445	\N	\N	\N
3353882	11138	1996-08-20	VYDAJ	VYBER	12300	39477	\N	\N	\N
3353883	11138	1996-02-20	VYDAJ	VYBER	6000	49365	\N	\N	\N
3353884	11138	1996-05-29	VYDAJ	VYBER	14400	77053	\N	\N	\N
3353885	11138	1997-04-01	VYDAJ	VYBER	8400	78996	\N	\N	\N
3353886	11138	1997-02-27	VYDAJ	VYBER	7200	93761	\N	\N	\N
3353887	11138	1997-04-09	VYDAJ	VYBER	11400	42996	\N	\N	\N
3353888	11138	1997-04-09	VYDAJ	VYBER	5400	73596	\N	\N	\N
3353889	11138	1997-06-14	VYDAJ	VYBER	12000	36698	\N	\N	\N
3353890	11138	1998-04-01	VYDAJ	VYBER	4200	66132	\N	\N	\N
3353891	11138	1998-09-07	VYDAJ	VYBER	13500	48364	\N	\N	\N
3353892	11138	1998-10-15	VYDAJ	VYBER	11700	69669	\N	\N	\N
3353893	11138	1998-07-28	VYDAJ	VYBER KARTOU	3000	100540	\N	\N	0
3353894	11138	1998-06-22	VYDAJ	VYBER KARTOU	2700	62283	\N	\N	0
3353906	11138	1995-11-30	VYDAJ	VYBER	30	75923	SLUZBY	\N	\N
3353907	11138	1995-12-31	VYDAJ	VYBER	30	90080	SLUZBY	\N	\N
3353908	11138	1996-01-31	VYDAJ	VYBER	30	31994	SLUZBY	\N	\N
3353909	11138	1996-02-29	VYDAJ	VYBER	30	87728	SLUZBY	\N	\N
3353910	11138	1996-03-31	VYDAJ	VYBER	30	94724	SLUZBY	\N	\N
3353911	11138	1996-04-30	VYDAJ	VYBER	30	84200	SLUZBY	\N	\N
3353912	11138	1996-05-31	VYDAJ	VYBER	30	77375	SLUZBY	\N	\N
3353913	11138	1996-06-30	VYDAJ	VYBER	30	88939	SLUZBY	\N	\N
3353914	11138	1996-07-31	VYDAJ	VYBER	30	84222	SLUZBY	\N	\N
3353915	11138	1996-08-31	VYDAJ	VYBER	30	39722	SLUZBY	\N	\N
3353916	11138	1996-09-30	VYDAJ	VYBER	30	100949	SLUZBY	\N	\N
3353917	11138	1996-10-31	VYDAJ	VYBER	30	82987	SLUZBY	\N	\N
3353918	11138	1996-11-30	VYDAJ	VYBER	30	28844	SLUZBY	\N	\N
3353919	11138	1996-12-31	VYDAJ	VYBER	30	62623	SLUZBY	\N	\N
3353920	11138	1997-01-31	VYDAJ	VYBER	30	69723	SLUZBY	\N	\N
3353921	11138	1997-02-28	VYDAJ	VYBER	30	94042	SLUZBY	\N	\N
3353922	11138	1997-03-31	VYDAJ	VYBER	30	87396	SLUZBY	\N	\N
3353923	11138	1997-04-30	VYDAJ	VYBER	30	58247	SLUZBY	\N	\N
3353924	11138	1997-05-31	VYDAJ	VYBER	30	59594	SLUZBY	\N	\N
3353925	11138	1997-06-30	VYDAJ	VYBER	30	36853	SLUZBY	\N	\N
3353926	11138	1997-07-31	VYDAJ	VYBER	30	52967	SLUZBY	\N	\N
3353927	11138	1997-08-31	VYDAJ	VYBER	30	61347	SLUZBY	\N	\N
3353928	11138	1997-09-30	VYDAJ	VYBER	30	105639	SLUZBY	\N	\N
3353929	11138	1997-10-31	VYDAJ	VYBER	30	81733	SLUZBY	\N	\N
3353930	11138	1997-11-30	VYDAJ	VYBER	30	35690	SLUZBY	\N	\N
3353931	11138	1997-12-31	VYDAJ	VYBER	30	40904	SLUZBY	\N	\N
3353932	11138	1998-01-31	VYDAJ	VYBER	30	44206	SLUZBY	\N	\N
3353933	11138	1998-02-28	VYDAJ	VYBER	30	71689	SLUZBY	\N	\N
3353934	11138	1998-03-31	VYDAJ	VYBER	30	70332	SLUZBY	\N	\N
3353935	11138	1998-04-30	VYDAJ	VYBER	30	98427	SLUZBY	\N	\N
3353936	11138	1998-05-31	VYDAJ	VYBER	30	117083	SLUZBY	\N	\N
3353937	11138	1998-06-30	VYDAJ	VYBER	30	62647	SLUZBY	\N	\N
3353938	11138	1998-07-31	VYDAJ	VYBER	30	100881	SLUZBY	\N	\N
3353939	11138	1998-08-31	VYDAJ	VYBER	30	106164	SLUZBY	\N	\N
3353940	11138	1998-09-30	VYDAJ	VYBER	30	98470	SLUZBY	\N	\N
3353941	11138	1998-10-31	VYDAJ	VYBER	30	47151	SLUZBY	\N	\N
3353942	11138	1998-11-30	VYDAJ	VYBER	30	40612	SLUZBY	\N	\N
3353943	11138	1995-09-17	VYDAJ	VYBER	6100	26905	\N	\N	\N
3353944	11138	1995-10-17	VYDAJ	VYBER	25800	44281	\N	\N	\N
3353945	11138	1995-11-16	VYDAJ	VYBER	12600	38261	\N	\N	\N
3353946	11138	1995-12-02	VYDAJ	VYBER	47100	65004	\N	\N	\N
3353947	11138	1995-12-16	VYDAJ	VYBER	16700	44704	\N	\N	\N
3353948	11138	1996-01-15	VYDAJ	VYBER	12300	39080	\N	\N	\N
3353949	11138	1996-02-11	VYDAJ	VYBER	33100	87709	\N	\N	\N
3353950	11138	1996-02-14	VYDAJ	VYBER	28600	55365	\N	\N	\N
3353951	11138	1996-02-25	VYDAJ	VYBER	26600	87483	\N	\N	\N
3353952	11138	1996-03-06	VYDAJ	VYBER	26000	95134	\N	\N	\N
3353953	11138	1996-03-15	VYDAJ	VYBER	30200	61190	\N	\N	\N
3353954	11138	1996-04-01	VYDAJ	VYBER	24200	144172	\N	\N	\N
3353955	11138	1996-04-01	VYDAJ	VYBER	23800	120372	\N	\N	\N
3353956	11138	1996-04-08	VYDAJ	VYBER	39200	117174	\N	\N	\N
3353957	11138	1996-04-12	VYDAJ	VYBER	26000	91174	\N	\N	\N
3353958	11138	1996-04-14	VYDAJ	VYBER	34200	53230	\N	\N	\N
3353959	11138	1996-05-14	VYDAJ	VYBER	25400	55056	\N	\N	\N
3353960	11138	1996-06-13	VYDAJ	VYBER	26800	46830	\N	\N	\N
3353961	11138	1996-07-13	VYDAJ	VYBER	31000	54194	\N	\N	\N
3353962	11138	1996-07-22	VYDAJ	VYBER	16600	98775	\N	\N	\N
3353963	11138	1996-07-30	VYDAJ	VYBER	44700	83887	\N	\N	\N
3353964	11138	1996-08-12	VYDAJ	VYBER	28700	51777	\N	\N	\N
3353965	11138	1996-09-11	VYDAJ	VYBER	40300	58987	\N	\N	\N
3353966	11138	1996-09-29	VYDAJ	VYBER	39300	100696	\N	\N	\N
3353967	11138	1996-10-06	VYDAJ	VYBER	46800	78922	\N	\N	\N
3353968	11138	1996-10-11	VYDAJ	VYBER	30700	48222	\N	\N	\N
3353969	11138	1996-10-22	VYDAJ	VYBER	25300	105246	\N	\N	\N
3353970	11138	1996-10-27	VYDAJ	VYBER	64200	82602	\N	\N	\N
3353971	11138	1996-11-10	VYDAJ	VYBER	29300	53687	\N	\N	\N
3353972	11138	1996-12-10	VYDAJ	VYBER	15200	36153	\N	\N	\N
3353973	11138	1997-01-09	VYDAJ	VYBER	10100	32423	\N	\N	\N
3353974	11138	1997-02-08	VYDAJ	VYBER	24400	45323	\N	\N	\N
3353975	11138	1997-03-10	VYDAJ	VYBER	36700	57342	\N	\N	\N
3353976	11138	1997-04-09	VYDAJ	VYBER	19200	54396	\N	\N	\N
3353977	11138	1997-05-09	VYDAJ	VYBER	36200	63101	\N	\N	\N
3353978	11138	1997-06-08	VYDAJ	VYBER	27200	52442	\N	\N	\N
3353979	11138	1997-07-08	VYDAJ	VYBER	5800	31053	\N	\N	\N
3353980	11138	1997-08-07	VYDAJ	VYBER	23100	56517	\N	\N	\N
3353981	11138	1997-08-11	VYDAJ	VYBER	64100	82759	\N	\N	\N
3353982	11138	1997-08-26	VYDAJ	VYBER	63700	61039	\N	\N	\N
3353983	11138	1997-09-06	VYDAJ	VYBER	19300	42047	\N	\N	\N
3353984	11138	1997-09-27	VYDAJ	VYBER	43300	79115	\N	\N	\N
3353985	11138	1997-09-29	VYDAJ	VYBER	21900	105378	\N	\N	\N
3353986	11138	1997-10-06	VYDAJ	VYBER	39500	66139	\N	\N	\N
3353987	11138	1997-10-15	VYDAJ	VYBER	42700	90437	\N	\N	\N
3353988	11138	1997-10-16	VYDAJ	VYBER	45900	74153	\N	\N	\N
3353989	11138	1997-10-22	VYDAJ	VYBER	33700	81312	\N	\N	\N
3353990	11138	1997-11-05	VYDAJ	VYBER	24800	56933	\N	\N	\N
3353991	11138	1997-12-05	VYDAJ	VYBER KARTOU	800	34890	\N	\N	0
3353992	11138	1997-12-23	VYDAJ	VYBER	58300	68228	\N	\N	\N
3353993	11138	1998-01-04	VYDAJ	VYBER KARTOU	300	42292	\N	\N	0
3353994	11138	1998-02-03	VYDAJ	VYBER	5800	38406	\N	\N	\N
3353995	11138	1998-02-14	VYDAJ	VYBER	24100	99557	\N	\N	\N
3353996	11138	1998-02-19	VYDAJ	VYBER	57100	73087	\N	\N	\N
3353997	11138	1998-02-26	VYDAJ	VYBER	63200	71366	\N	\N	\N
3353998	11138	1998-03-05	VYDAJ	VYBER	33000	63623	\N	\N	\N
3353999	11138	1998-04-04	VYDAJ	VYBER	24600	41532	\N	\N	\N
3354000	11138	1998-05-04	VYDAJ	VYBER	35000	56438	\N	\N	\N
3354001	11138	1998-05-13	VYDAJ	VYBER	28400	99247	\N	\N	\N
3354002	11138	1998-05-18	VYDAJ	VYBER	18700	116653	\N	\N	\N
3354003	11138	1998-06-03	VYDAJ	VYBER	48200	68883	\N	\N	\N
3354004	11138	1998-07-03	VYDAJ	VYBER	19100	43547	\N	\N	\N
3354005	11138	1998-07-14	VYDAJ	VYBER	16300	95830	\N	\N	\N
3354006	11138	1998-07-23	VYDAJ	VYBER	15800	103540	\N	\N	\N
3354007	11138	1998-08-02	VYDAJ	VYBER	35100	65781	\N	\N	\N
3354008	11138	1998-08-28	VYDAJ	VYBER	20100	105860	\N	\N	\N
3354009	11138	1998-09-01	VYDAJ	VYBER	40300	65864	\N	\N	\N
3354010	11138	1998-10-01	VYDAJ	VYBER	37300	61170	\N	\N	\N
3354011	11138	1998-10-31	VYDAJ	VYBER	22800	47181	\N	\N	\N
3354012	11138	1998-11-30	VYDAJ	VYBER	13500	40642	\N	\N	\N
3354451	11141	1997-02-11	PRIJEM	VKLAD	200	200	\N	\N	\N
3354452	11141	1997-11-20	PRIJEM	VKLAD	27157	79480	\N	\N	\N
3354453	11141	1997-12-16	PRIJEM	VKLAD	18416	63222	\N	\N	\N
3354454	11141	1997-09-22	PRIJEM	VKLAD	16399	80618	\N	\N	\N
3354455	11141	1997-05-22	PRIJEM	VKLAD	35609	96459	\N	\N	\N
3354456	11141	1997-09-02	PRIJEM	VKLAD	27283	80099	\N	\N	\N
3354457	11141	1997-09-13	PRIJEM	VKLAD	8874	68719	\N	\N	\N
3354458	11141	1997-10-23	PRIJEM	VKLAD	14417	82502	\N	\N	\N
3354459	11141	1997-10-27	PRIJEM	VKLAD	7802	90304	\N	\N	\N
3354460	11141	1997-08-01	PRIJEM	VKLAD	47238	73923	\N	\N	\N
3354461	11141	1997-10-12	PRIJEM	VKLAD	10444	71830	\N	\N	\N
3354462	11141	1997-05-04	PRIJEM	VKLAD	46338	87350	\N	\N	\N
3354463	11141	1997-11-25	PRIJEM	VKLAD	5267	84747	\N	\N	\N
3354464	11141	1997-03-11	PRIJEM	VKLAD	26047	26247	\N	\N	\N
3354465	11141	1997-04-13	PRIJEM	VKLAD	14356	40868	\N	\N	\N
3354467	11141	1997-06-20	PRIJEM	VKLAD	37869	65636	\N	\N	\N
3354469	11141	1997-06-06	PRIJEM	VKLAD	9736	106467	\N	\N	\N
3354471	11141	1998-07-03	PRIJEM	VKLAD	38868	84024	\N	\N	\N
3354472	11141	1998-01-09	PRIJEM	VKLAD	20085	64464	\N	\N	\N
3354473	11141	1998-06-04	PRIJEM	VKLAD	9122	45363	\N	\N	\N
3354474	11141	1998-11-29	PRIJEM	VKLAD	5696	94145	\N	\N	\N
3354475	11141	1998-12-09	PRIJEM	VKLAD	44531	89955	\N	\N	\N
3354476	11141	1998-02-17	PRIJEM	VKLAD	8519	89217	\N	\N	\N
3354477	11141	1998-11-22	PRIJEM	VKLAD	17227	65311	\N	\N	\N
3354478	11141	1998-10-29	PRIJEM	VKLAD	8375	49826	\N	\N	\N
3354479	11141	1998-04-29	PRIJEM	VKLAD	21224	115834	\N	\N	\N
3354480	11141	1998-01-15	PRIJEM	VKLAD	47003	100823	\N	\N	\N
3354481	11141	1998-02-17	PRIJEM	VKLAD	32804	80698	\N	\N	\N
3354482	11141	1998-06-06	PRIJEM	VKLAD	6578	55641	\N	\N	\N
3354483	11141	1998-12-09	PRIJEM	VKLAD	32162	122117	\N	\N	\N
3354484	11141	1998-04-28	PRIJEM	VKLAD	29474	117210	\N	\N	\N
3354485	11141	1998-04-10	PRIJEM	VKLAD	46294	103480	\N	\N	\N
3354486	11141	1998-12-15	PRIJEM	VKLAD	49281	144498	\N	\N	\N
3354487	11141	1998-11-26	PRIJEM	VKLAD	23138	88449	\N	\N	\N
3354488	11141	1998-01-03	PRIJEM	VKLAD	8072	37279	\N	\N	\N
3354489	11141	1998-07-14	PRIJEM	VKLAD	31967	94947	\N	\N	\N
3354495	11141	1997-06-20	VYDAJ	VYBER	4400	40698	\N	\N	0
3354496	11141	1997-07-14	VYDAJ	VYBER	3000	26611	\N	\N	0
3354497	11141	1997-08-04	VYDAJ	VYBER	3500	70423	\N	\N	0
3354498	11141	1997-09-15	VYDAJ	VYBER	4500	64219	\N	\N	0
3354499	11141	1997-10-12	VYDAJ	PREVOD NA UCET	3745	68085	UVER	QR	68096905
3354500	11141	1997-11-12	VYDAJ	PREVOD NA UCET	3745	52323	UVER	QR	68096905
3354501	11141	1997-12-12	VYDAJ	PREVOD NA UCET	3745	52906	UVER	QR	68096905
3354502	11141	1998-01-12	VYDAJ	PREVOD NA UCET	3745	53820	UVER	QR	68096905
3354503	11141	1998-02-12	VYDAJ	PREVOD NA UCET	3745	47894	UVER	QR	68096905
3354504	11141	1998-03-12	VYDAJ	PREVOD NA UCET	3745	66106	UVER	QR	68096905
3354505	11141	1998-04-12	VYDAJ	PREVOD NA UCET	3745	99736	UVER	QR	68096905
3354506	11141	1998-05-12	VYDAJ	PREVOD NA UCET	3745	36115	UVER	QR	68096905
3354507	11141	1998-06-12	VYDAJ	PREVOD NA UCET	3745	44996	UVER	QR	68096905
3354508	11141	1998-07-12	VYDAJ	PREVOD NA UCET	3745	62980	UVER	QR	68096905
3354509	11141	1998-08-12	VYDAJ	PREVOD NA UCET	3745	59805	UVER	QR	68096905
3354510	11141	1998-09-12	VYDAJ	PREVOD NA UCET	3745	36396	UVER	QR	68096905
3354511	11141	1998-10-04	VYDAJ	VYBER	4500	41451	\N	\N	0
3354512	11141	1998-11-05	VYDAJ	VYBER	3400	48084	\N	\N	0
3354513	11141	1998-12-08	VYDAJ	VYBER	3500	45424	\N	\N	0
3354514	11141	1997-06-20	VYBER	VYBER	20538	45098	\N	\N	\N
3354515	11141	1997-12-05	VYBER	VYBER	3652	70280	\N	\N	\N
3354516	11141	1997-09-02	VYBER	VYBER	2554	77545	\N	\N	\N
3354517	11141	1997-12-22	VYBER	VYBER	5048	58174	\N	\N	\N
3354518	11141	1997-12-06	VYBER	VYBER	12429	57851	\N	\N	\N
3354519	11141	1997-12-25	VYBER	VYBER	23770	34404	\N	\N	\N
3354520	11141	1997-11-12	VYBER	VYBER	9517	56068	\N	\N	\N
3354522	11141	1997-06-25	VYBER	VYBER	19139	21559	\N	\N	\N
3354524	11141	1997-10-28	VYBER	VYBER	5004	85300	\N	\N	\N
3354525	11141	1998-12-05	VYBER	VYBER	22431	48924	\N	\N	\N
3354526	11141	1998-01-18	VYBER	VYBER	21988	65035	\N	\N	\N
3354527	11141	1998-07-26	VYBER	VYBER	24078	70869	\N	\N	\N
3354528	11141	1997-06-08	VYDAJ	VYBER	78600	13467	\N	\N	\N
3354531	11141	1998-01-16	VYDAJ	VYBER	13800	87023	\N	\N	\N
3354532	11141	1997-12-13	VYDAJ	VYBER	8100	44806	\N	\N	\N
3354533	11141	1998-12-29	VYDAJ	VYBER	7500	92498	\N	\N	\N
3354540	11141	1998-01-11	VYDAJ	VYBER	6900	57564	\N	\N	\N
3354541	11141	1998-01-26	VYDAJ	VYBER	7500	53935	\N	\N	\N
3354542	11141	1998-01-01	VYDAJ	VYBER KARTOU	2700	29207	\N	\N	0
3354543	11141	1998-01-29	VYDAJ	VYBER KARTOU	3000	50935	\N	\N	0
3354544	11141	1998-01-22	VYDAJ	VYBER KARTOU	3600	61435	\N	\N	0
3354545	11141	1998-01-01	VYDAJ	VYBER KARTOU	2700	31907	\N	\N	0
3354546	11141	1997-12-03	VYDAJ	VYBER	11100	73932	\N	\N	\N
3354547	11141	1997-10-04	VYDAJ	VYBER	3900	76986	\N	\N	\N
3354549	11141	1997-07-13	VYDAJ	VYBER	4500	29611	\N	\N	\N
3354550	11141	1997-06-06	VYDAJ	VYBER	14400	92067	\N	\N	\N
3354551	11141	1998-09-11	VYDAJ	VYBER	13500	40141	\N	\N	\N
3354552	11141	1998-04-20	VYDAJ	VYBER	12000	87736	\N	\N	\N
3354553	11141	1998-06-06	VYDAJ	VYBER	6900	48741	\N	\N	\N
3354554	11141	1998-05-03	VYDAJ	VYBER	11100	34460	\N	\N	\N
3354555	11141	1998-05-01	VYDAJ	VYBER	6000	45560	\N	\N	\N
3354562	11141	1997-06-30	VYDAJ	VYBER	30	21711	SLUZBY	\N	\N
3354563	11141	1997-07-31	VYDAJ	VYBER	30	26685	SLUZBY	\N	\N
3354564	11141	1997-08-31	VYDAJ	VYBER	30	52816	SLUZBY	\N	\N
3354565	11141	1997-09-30	VYDAJ	VYBER	30	80886	SLUZBY	\N	\N
3354566	11141	1997-10-31	VYDAJ	VYBER	30	85585	SLUZBY	\N	\N
3354567	11141	1997-11-30	VYDAJ	VYBER	30	85032	SLUZBY	\N	\N
3354568	11141	1997-12-31	VYDAJ	VYBER	30	34607	SLUZBY	\N	\N
3354569	11141	1998-01-31	VYDAJ	VYBER	30	51138	SLUZBY	\N	\N
3354570	11141	1998-02-28	VYDAJ	VYBER	30	89451	SLUZBY	\N	\N
3354571	11141	1998-03-31	VYDAJ	VYBER	30	66386	SLUZBY	\N	\N
3354572	11141	1998-04-30	VYDAJ	VYBER	30	51560	SLUZBY	\N	\N
3354573	11141	1998-05-31	VYDAJ	VYBER	30	36241	SLUZBY	\N	\N
3354574	11141	1998-06-30	VYDAJ	VYBER	30	45156	SLUZBY	\N	\N
3354575	11141	1998-07-31	VYDAJ	VYBER	30	71150	SLUZBY	\N	\N
3354576	11141	1998-08-31	VYDAJ	VYBER	30	60041	SLUZBY	\N	\N
3354577	11141	1998-09-30	VYDAJ	VYBER	30	36551	SLUZBY	\N	\N
3354578	11141	1998-10-31	VYDAJ	VYBER	30	49984	SLUZBY	\N	\N
3354579	11141	1998-11-30	VYDAJ	VYBER	30	94355	SLUZBY	\N	\N
3354580	11141	1997-03-13	VYDAJ	VYBER	900	25347	\N	\N	\N
3354581	11141	1997-04-12	PRIJEM	VKLAD	1100	26512	\N	\N	\N
3354582	11141	1997-05-12	VYDAJ	VYBER	26500	60850	\N	\N	\N
3354583	11141	1997-06-11	PRIJEM	VKLAD	14300	27767	\N	\N	\N
3354584	11141	1997-07-11	PRIJEM	VKLAD	12400	34111	\N	\N	\N
3354585	11141	1997-08-10	VYDAJ	VYBER	17800	52623	\N	\N	\N
3354586	11141	1997-09-09	VYDAJ	VYBER	17700	59845	\N	\N	\N
3354587	11141	1997-10-09	VYDAJ	VYBER	15600	61386	\N	\N	\N
3354588	11141	1997-11-08	VYDAJ	VYBER	20000	65585	\N	\N	\N
3354589	11141	1997-12-08	VYDAJ	VYBER KARTOU	1200	56651	\N	\N	0
3354590	11141	1998-01-07	PRIJEM	VKLAD	7100	44379	\N	\N	\N
3354591	11141	1998-02-06	PRIJEM	VKLAD	500	51638	\N	\N	\N
3354592	11141	1998-03-08	VYDAJ	VYBER	19600	69851	\N	\N	\N
3354593	11141	1998-04-07	VYDAJ	VYBER	9200	57186	\N	\N	\N
3354594	11141	1998-04-28	VYDAJ	VYBER	22600	94610	\N	\N	\N
3354595	11141	1998-04-29	VYDAJ	VYBER	64600	51234	\N	\N	\N
3354596	11141	1998-05-07	PRIJEM	VKLAD	5400	39860	\N	\N	\N
3354597	11141	1998-06-06	PRIJEM	VKLAD	3700	49063	\N	\N	\N
3354598	11141	1998-07-06	VYDAJ	VYBER	17300	66724	\N	\N	\N
3354599	11141	1998-08-05	VYDAJ	VYBER	7600	63550	\N	\N	\N
3354600	11141	1998-09-04	VYDAJ	VYBER	6400	53641	\N	\N	\N
3354601	11141	1998-10-04	PRIJEM	VKLAD	9400	45951	\N	\N	\N
3354602	11141	1998-11-03	PRIJEM	VKLAD	1500	51484	\N	\N	\N
3354603	11141	1998-12-03	VYDAJ	VYBER	23000	71355	\N	\N	\N
3354604	11141	1998-12-09	VYDAJ	VYBER	26900	95217	\N	\N	\N
3354605	11141	1998-12-15	VYDAJ	VYBER	44500	99998	\N	\N	\N
3369109	11186	1994-11-24	PRIJEM	VKLAD	900	900	\N	\N	\N
3369121	11186	1994-12-09	PRIJEM	PREVOD Z UCTU	58870	59770	\N	CD	4517418
3369122	11186	1995-01-09	PRIJEM	PREVOD Z UCTU	39247	79460	\N	CD	4517418
3369123	11186	1995-02-09	PRIJEM	PREVOD Z UCTU	39247	91889	\N	CD	4517418
3369124	11186	1995-03-09	PRIJEM	PREVOD Z UCTU	39247	96059	\N	CD	4517418
3369125	11186	1995-04-09	PRIJEM	PREVOD Z UCTU	39247	97150	\N	CD	4517418
3369126	11186	1995-05-09	PRIJEM	PREVOD Z UCTU	39247	99082	\N	CD	4517418
3369127	11186	1995-06-09	PRIJEM	PREVOD Z UCTU	58870	115913	\N	CD	4517418
3369128	11186	1995-07-09	PRIJEM	PREVOD Z UCTU	39247	72666	\N	CD	4517418
3369129	11186	1995-08-09	PRIJEM	PREVOD Z UCTU	39247	78508	\N	CD	4517418
3369130	11186	1995-09-09	PRIJEM	PREVOD Z UCTU	39247	87048	\N	CD	4517418
3369131	11186	1995-10-09	PRIJEM	PREVOD Z UCTU	39247	89103	\N	CD	4517418
3369132	11186	1995-11-09	PRIJEM	PREVOD Z UCTU	39247	87270	\N	CD	4517418
3369133	11186	1995-12-09	PRIJEM	PREVOD Z UCTU	58870	104255	\N	CD	4517418
3369134	11186	1996-01-09	PRIJEM	PREVOD Z UCTU	39247	59488	\N	CD	4517418
3369135	11186	1996-02-09	PRIJEM	PREVOD Z UCTU	39247	65258	\N	CD	4517418
3369136	11186	1996-03-09	PRIJEM	PREVOD Z UCTU	39247	75163	\N	CD	4517418
3369137	11186	1996-04-09	PRIJEM	PREVOD Z UCTU	39247	66026	\N	CD	4517418
3369138	11186	1996-05-09	PRIJEM	PREVOD Z UCTU	39247	79854	\N	CD	4517418
3369139	11186	1996-06-09	PRIJEM	PREVOD Z UCTU	58870	103424	\N	CD	4517418
3369140	11186	1996-07-09	PRIJEM	PREVOD Z UCTU	39247	97269	\N	CD	4517418
3369141	11186	1996-08-09	PRIJEM	PREVOD Z UCTU	39247	79255	\N	CD	4517418
3369142	11186	1996-09-09	PRIJEM	PREVOD Z UCTU	39247	84554	\N	CD	4517418
3369143	11186	1996-10-09	PRIJEM	PREVOD Z UCTU	39247	92492	\N	CD	4517418
3369144	11186	1996-11-09	PRIJEM	PREVOD Z UCTU	39247	94106	\N	CD	4517418
3369145	11186	1996-12-09	PRIJEM	PREVOD Z UCTU	58870	110249	\N	CD	4517418
3369146	11186	1997-01-09	PRIJEM	PREVOD Z UCTU	39247	95782	\N	CD	4517418
3369147	11186	1997-02-09	PRIJEM	PREVOD Z UCTU	39247	81285	\N	CD	4517418
3369148	11186	1997-03-09	PRIJEM	PREVOD Z UCTU	39247	80768	\N	CD	4517418
3369149	11186	1997-04-09	PRIJEM	PREVOD Z UCTU	39247	94982	\N	CD	4517418
3369150	11186	1997-05-09	PRIJEM	PREVOD Z UCTU	39247	102816	\N	CD	4517418
3369151	11186	1997-06-09	PRIJEM	PREVOD Z UCTU	58870	125744	\N	CD	4517418
3369152	11186	1997-07-09	PRIJEM	PREVOD Z UCTU	39247	94985	\N	CD	4517418
3369153	11186	1997-08-09	PRIJEM	PREVOD Z UCTU	39247	100710	\N	CD	4517418
3369154	11186	1997-09-09	PRIJEM	PREVOD Z UCTU	39247	97335	\N	CD	4517418
3369155	11186	1997-10-09	PRIJEM	PREVOD Z UCTU	39247	72124	\N	CD	4517418
3369156	11186	1997-11-09	PRIJEM	PREVOD Z UCTU	39247	88597	\N	CD	4517418
3369157	11186	1997-12-09	PRIJEM	PREVOD Z UCTU	58870	120072	\N	CD	4517418
3369158	11186	1998-01-09	PRIJEM	PREVOD Z UCTU	39247	101579	\N	CD	4517418
3369159	11186	1998-02-09	PRIJEM	PREVOD Z UCTU	39247	88833	\N	CD	4517418
3369160	11186	1998-03-09	PRIJEM	PREVOD Z UCTU	39247	104669	\N	CD	4517418
3369161	11186	1998-04-09	PRIJEM	PREVOD Z UCTU	39247	116395	\N	CD	4517418
3369162	11186	1998-05-09	PRIJEM	PREVOD Z UCTU	39247	93746	\N	CD	4517418
3369163	11186	1998-06-09	PRIJEM	PREVOD Z UCTU	58870	128044	\N	CD	4517418
3369164	11186	1998-07-09	PRIJEM	PREVOD Z UCTU	39247	107626	\N	CD	4517418
3369165	11186	1998-08-09	PRIJEM	PREVOD Z UCTU	39247	122359	\N	CD	4517418
3369166	11186	1998-09-09	PRIJEM	PREVOD Z UCTU	39247	103105	\N	CD	4517418
3369167	11186	1998-10-09	PRIJEM	PREVOD Z UCTU	39247	120004	\N	CD	4517418
3369168	11186	1998-11-09	PRIJEM	PREVOD Z UCTU	39247	128092	\N	CD	4517418
3369169	11186	1998-12-09	PRIJEM	PREVOD Z UCTU	58870	139173	\N	CD	4517418
3369185	11186	1995-04-03	VYDAJ	VYBER	6100	57903	\N	\N	0
3369186	11186	1995-05-15	VYDAJ	VYBER	6400	82872	\N	\N	0
3369187	11186	1995-06-15	VYDAJ	VYBER	5800	78103	\N	\N	0
3369188	11186	1995-07-20	VYDAJ	VYBER	4900	48196	\N	\N	0
3369189	11186	1995-08-09	VYDAJ	VYBER	5200	73308	\N	\N	0
3369190	11186	1995-09-14	VYDAJ	VYBER	6200	71038	\N	\N	0
3369191	11186	1995-10-17	VYDAJ	VYBER	6500	72793	\N	\N	0
3369192	11186	1995-11-21	VYDAJ	VYBER	8100	51460	\N	\N	0
3369193	11186	1995-12-07	VYDAJ	VYBER	6300	45385	\N	\N	0
3369194	11186	1996-01-03	VYDAJ	VYBER	5800	29541	\N	\N	0
3369195	11186	1996-02-20	VYDAJ	VYBER	5300	43748	\N	\N	0
3369196	11186	1996-03-07	VYDAJ	VYBER	8000	35916	\N	\N	0
3369197	11186	1996-04-07	VYDAJ	VYBER	5600	26779	\N	\N	0
3369198	11186	1996-05-19	VYDAJ	VYBER	5200	44368	\N	\N	0
3369199	11186	1996-06-15	VYDAJ	VYBER	5100	70094	\N	\N	0
3369200	11186	1996-07-16	VYDAJ	VYBER	7100	54119	\N	\N	0
3369201	11186	1996-08-13	VYDAJ	VYBER	6300	63145	\N	\N	0
3369202	11186	1996-09-13	VYDAJ	VYBER	6500	68244	\N	\N	0
3369203	11186	1996-10-12	VYDAJ	PREVOD NA UCET	6541	76141	UVER	UV	92339318
3369204	11186	1996-11-12	VYDAJ	PREVOD NA UCET	6541	77755	UVER	UV	92339318
3369205	11186	1996-12-12	VYDAJ	PREVOD NA UCET	6541	93897	UVER	UV	92339318
3369206	11186	1997-01-12	VYDAJ	PREVOD NA UCET	6541	72531	UVER	UV	92339318
3369207	11186	1997-02-12	VYDAJ	PREVOD NA UCET	6541	53334	UVER	UV	92339318
3369208	11186	1997-03-12	VYDAJ	PREVOD NA UCET	6541	64417	UVER	UV	92339318
3369209	11186	1997-04-12	VYDAJ	PREVOD NA UCET	6541	63331	UVER	UV	92339318
3369210	11186	1997-05-12	VYDAJ	PREVOD NA UCET	6541	86464	UVER	UV	92339318
3369211	11186	1997-06-12	VYDAJ	PREVOD NA UCET	6541	55493	UVER	UV	92339318
3369212	11186	1997-07-12	VYDAJ	PREVOD NA UCET	6541	61234	UVER	UV	92339318
3369213	11186	1997-08-12	VYDAJ	PREVOD NA UCET	6541	57859	UVER	UV	92339318
3369214	11186	1997-09-12	VYDAJ	PREVOD NA UCET	6541	46184	UVER	UV	92339318
3369215	11186	1997-10-12	VYDAJ	PREVOD NA UCET	6541	44973	UVER	UV	92339318
3369216	11186	1997-11-12	VYDAJ	PREVOD NA UCET	6541	72246	UVER	UV	92339318
3369217	11186	1997-12-12	VYDAJ	PREVOD NA UCET	6541	82921	UVER	UV	92339318
3369218	11186	1998-01-12	VYDAJ	PREVOD NA UCET	6541	83128	UVER	UV	92339318
3369219	11186	1998-02-12	VYDAJ	PREVOD NA UCET	6541	72482	UVER	UV	92339318
3369220	11186	1998-03-12	VYDAJ	PREVOD NA UCET	6541	88318	UVER	UV	92339318
3369221	11186	1998-04-12	VYDAJ	PREVOD NA UCET	6541	52143	UVER	UV	92339318
3369222	11186	1998-05-12	VYDAJ	PREVOD NA UCET	6541	77394	UVER	UV	92339318
3369223	11186	1998-06-12	VYDAJ	PREVOD NA UCET	6541	76193	UVER	UV	92339318
3369224	11186	1998-07-12	VYDAJ	PREVOD NA UCET	6541	91275	UVER	UV	92339318
3369225	11186	1998-08-12	VYDAJ	PREVOD NA UCET	6541	49708	UVER	UV	92339318
3369226	11186	1998-09-12	VYDAJ	PREVOD NA UCET	6541	86754	UVER	UV	92339318
3369227	11186	1998-10-12	VYDAJ	PREVOD NA UCET	6541	103653	UVER	UV	92339318
3369228	11186	1998-11-12	VYDAJ	PREVOD NA UCET	6541	88341	UVER	UV	92339318
3369229	11186	1998-12-12	VYDAJ	PREVOD NA UCET	6541	92821	UVER	UV	92339318
3369245	11186	1995-04-11	VYDAJ	PREVOD NA UCET	9810	87340	SIPO	WX	55896991
3369246	11186	1995-05-11	VYDAJ	PREVOD NA UCET	9810	89272	SIPO	WX	55896991
3369247	11186	1995-06-11	VYDAJ	PREVOD NA UCET	9810	83903	SIPO	WX	55896991
3369248	11186	1995-07-11	VYDAJ	PREVOD NA UCET	9810	62856	SIPO	WX	55896991
3369249	11186	1995-08-11	VYDAJ	PREVOD NA UCET	9810	63498	SIPO	WX	55896991
3369250	11186	1995-09-11	VYDAJ	PREVOD NA UCET	9810	77238	SIPO	WX	55896991
3369251	11186	1995-10-11	VYDAJ	PREVOD NA UCET	9810	79293	SIPO	WX	55896991
3369252	11186	1995-11-11	VYDAJ	PREVOD NA UCET	9810	77460	SIPO	WX	55896991
3369253	11186	1995-12-11	VYDAJ	PREVOD NA UCET	9810	68445	SIPO	WX	55896991
3369254	11186	1996-01-11	VYDAJ	PREVOD NA UCET	9810	49678	SIPO	WX	55896991
3369255	11186	1996-02-11	VYDAJ	PREVOD NA UCET	9810	55448	SIPO	WX	55896991
3369256	11186	1996-03-11	VYDAJ	PREVOD NA UCET	9810	65353	SIPO	WX	55896991
3369257	11186	1996-04-11	VYDAJ	PREVOD NA UCET	9810	56216	SIPO	WX	55896991
3369258	11186	1996-05-11	VYDAJ	PREVOD NA UCET	9810	70044	SIPO	WX	55896991
3369259	11186	1996-06-11	VYDAJ	PREVOD NA UCET	9810	93614	SIPO	WX	55896991
3369260	11186	1996-07-11	VYDAJ	PREVOD NA UCET	9810	75219	SIPO	WX	55896991
3369261	11186	1996-08-11	VYDAJ	PREVOD NA UCET	9810	69445	SIPO	WX	55896991
3369262	11186	1996-09-11	VYDAJ	PREVOD NA UCET	9810	74744	SIPO	WX	55896991
3369263	11186	1996-10-11	VYDAJ	PREVOD NA UCET	9810	82682	SIPO	WX	55896991
3369264	11186	1996-11-11	VYDAJ	PREVOD NA UCET	9810	84296	SIPO	WX	55896991
3369265	11186	1996-12-11	VYDAJ	PREVOD NA UCET	9810	100439	SIPO	WX	55896991
3369266	11186	1997-01-11	VYDAJ	PREVOD NA UCET	9810	79072	SIPO	WX	55896991
3369267	11186	1997-02-11	VYDAJ	PREVOD NA UCET	9810	71475	SIPO	WX	55896991
3369268	11186	1997-03-11	VYDAJ	PREVOD NA UCET	9810	70958	SIPO	WX	55896991
3369269	11186	1997-04-11	VYDAJ	PREVOD NA UCET	9810	85172	SIPO	WX	55896991
3369270	11186	1997-05-11	VYDAJ	PREVOD NA UCET	9810	93006	SIPO	WX	55896991
3369271	11186	1997-06-11	VYDAJ	PREVOD NA UCET	9810	62034	SIPO	WX	55896991
3369272	11186	1997-07-11	VYDAJ	PREVOD NA UCET	9810	67775	SIPO	WX	55896991
3369273	11186	1997-08-11	VYDAJ	PREVOD NA UCET	9810	64400	SIPO	WX	55896991
3369274	11186	1997-09-11	VYDAJ	PREVOD NA UCET	9810	52725	SIPO	WX	55896991
3369275	11186	1997-10-11	VYDAJ	PREVOD NA UCET	9810	51514	SIPO	WX	55896991
3369276	11186	1997-11-11	VYDAJ	PREVOD NA UCET	9810	78787	SIPO	WX	55896991
3369277	11186	1997-12-11	VYDAJ	PREVOD NA UCET	9810	89462	SIPO	WX	55896991
3369278	11186	1998-01-11	VYDAJ	PREVOD NA UCET	9810	89669	SIPO	WX	55896991
3369279	11186	1998-02-11	VYDAJ	PREVOD NA UCET	9810	79023	SIPO	WX	55896991
3369280	11186	1998-03-11	VYDAJ	PREVOD NA UCET	9810	94859	SIPO	WX	55896991
3369281	11186	1998-04-11	VYDAJ	PREVOD NA UCET	9810	58685	SIPO	WX	55896991
3369282	11186	1998-05-11	VYDAJ	PREVOD NA UCET	9810	83936	SIPO	WX	55896991
3369283	11186	1998-06-11	VYDAJ	PREVOD NA UCET	9810	82734	SIPO	WX	55896991
3369284	11186	1998-07-11	VYDAJ	PREVOD NA UCET	9810	97816	SIPO	WX	55896991
3369285	11186	1998-08-11	VYDAJ	PREVOD NA UCET	9810	56249	SIPO	WX	55896991
3369286	11186	1998-09-11	VYDAJ	PREVOD NA UCET	9810	93295	SIPO	WX	55896991
3369287	11186	1998-10-11	VYDAJ	PREVOD NA UCET	9810	110194	SIPO	WX	55896991
3369288	11186	1998-11-11	VYDAJ	PREVOD NA UCET	9810	94882	SIPO	WX	55896991
3369289	11186	1998-12-11	VYDAJ	PREVOD NA UCET	9810	99363	SIPO	WX	55896991
3369294	11186	1995-07-15	VYBER	VYBER	9760	53096	\N	\N	\N
3369295	11186	1995-06-27	VYBER	VYBER	22139	33164	\N	\N	\N
3369297	11186	1996-05-17	VYBER	VYBER	16076	53968	\N	\N	\N
3369298	11186	1996-03-22	VYBER	VYBER	17357	32196	\N	\N	\N
3369299	11186	1996-06-15	VYBER	VYBER	18420	75194	\N	\N	\N
3369300	11186	1996-07-25	VYBER	VYBER	14342	39777	\N	\N	\N
3369301	11186	1996-04-29	VYBER	VYBER	4280	40436	\N	\N	\N
3369302	11186	1996-08-28	VYBER	VYBER	4021	45124	\N	\N	\N
3369305	11186	1996-07-11	VYBER	VYBER	12240	85029	\N	\N	\N
3369311	11186	1998-06-04	VYDAJ	VYBER	12000	65674	\N	\N	\N
3369316	11186	1998-01-17	VYDAJ	VYBER	27600	55528	\N	\N	\N
3369318	11186	1995-12-14	VYDAJ	VYBER	2700	65745	\N	\N	\N
3369319	11186	1996-12-26	VYDAJ	VYBER	4500	59597	\N	\N	\N
3369320	11186	1997-12-16	VYDAJ	VYBER	5700	77221	\N	\N	\N
3369321	11186	1998-12-14	VYDAJ	VYBER	8400	84421	\N	\N	\N
3369334	11186	1996-01-15	VYDAJ	VYBER	1800	39778	\N	\N	\N
3369335	11186	1996-01-07	VYDAJ	VYBER	2400	20241	\N	\N	\N
3369336	11186	1996-01-17	VYDAJ	VYBER	8400	31378	\N	\N	\N
3369337	11186	1996-01-06	VYDAJ	VYBER	2100	27441	\N	\N	\N
3369338	11186	1996-01-14	VYDAJ	VYBER	8100	41578	\N	\N	\N
3369339	11186	1996-01-06	VYDAJ	VYBER	4800	22641	\N	\N	\N
3369340	11186	1997-01-13	VYDAJ	VYBER	6900	50831	\N	\N	\N
3369341	11186	1997-01-11	VYDAJ	VYBER	1500	88882	\N	\N	\N
3369342	11186	1997-01-04	VYDAJ	VYBER	3300	56535	\N	\N	\N
3369343	11186	1997-01-21	VYDAJ	VYBER	4800	41831	\N	\N	\N
3369344	11186	1997-01-14	VYDAJ	VYBER	4200	46631	\N	\N	\N
3369345	11186	1997-01-11	VYDAJ	VYBER	5400	90382	\N	\N	\N
3369346	11186	1998-01-30	VYDAJ	VYBER	8100	42928	\N	\N	\N
3369347	11186	1998-01-25	VYDAJ	VYBER	3000	52528	\N	\N	\N
3369348	11186	1998-01-11	VYDAJ	VYBER	2100	99479	\N	\N	\N
3369349	11186	1998-01-26	VYDAJ	VYBER	1500	51028	\N	\N	\N
3369350	11186	1998-01-05	VYDAJ	VYBER	2700	67332	\N	\N	\N
3369351	11186	1998-01-01	VYDAJ	VYBER	7500	70032	\N	\N	\N
3369360	11186	1995-12-20	VYDAJ	VYBER	10800	35145	\N	\N	\N
3369361	11186	1995-10-31	VYDAJ	VYBER	4800	48037	\N	\N	\N
3369362	11186	1996-02-04	VYDAJ	VYBER	3000	26011	\N	\N	\N
3369363	11186	1996-02-01	VYDAJ	VYBER	2700	29011	\N	\N	\N
3369364	11186	1996-11-30	VYDAJ	VYBER	6000	51393	\N	\N	\N
3369365	11186	1997-12-02	VYDAJ	VYBER	3900	68602	\N	\N	\N
3369366	11186	1997-10-07	VYDAJ	VYBER	13500	32877	\N	\N	\N
3369367	11186	1997-02-26	VYDAJ	VYBER	3000	50334	\N	\N	\N
3369368	11186	1997-09-10	VYDAJ	VYBER	11400	62535	\N	\N	\N
3369369	11186	1997-03-05	VYDAJ	VYBER	9000	41521	\N	\N	\N
3369370	11186	1998-05-04	VYDAJ	VYBER	9300	43099	\N	\N	\N
3369371	11186	1998-10-01	VYDAJ	VYBER KARTOU	1800	85257	\N	\N	0
3369372	11186	1998-06-13	VYDAJ	VYBER	9300	66893	\N	\N	\N
3369373	11186	1998-11-02	VYDAJ	VYBER	4800	99245	\N	\N	\N
3369374	11186	1998-02-14	VYDAJ	VYBER	5400	67082	\N	\N	\N
3369391	11186	1995-04-30	VYDAJ	VYBER	15	59835	SLUZBY	\N	\N
3369392	11186	1995-05-31	VYDAJ	VYBER	15	57043	SLUZBY	\N	\N
3369393	11186	1995-06-30	VYDAJ	VYBER	15	33419	SLUZBY	\N	\N
3369394	11186	1995-07-31	VYDAJ	VYBER	15	39261	SLUZBY	\N	\N
3369395	11186	1995-08-31	VYDAJ	VYBER	15	47801	SLUZBY	\N	\N
3369396	11186	1995-09-30	VYDAJ	VYBER	15	49856	SLUZBY	\N	\N
3369397	11186	1995-10-31	VYDAJ	VYBER	15	48023	SLUZBY	\N	\N
3369398	11186	1995-11-30	VYDAJ	VYBER	15	51685	SLUZBY	\N	\N
3369399	11186	1995-12-31	VYDAJ	VYBER	15	35341	SLUZBY	\N	\N
3369400	11186	1996-01-31	VYDAJ	VYBER	15	31711	SLUZBY	\N	\N
3369401	11186	1996-02-29	VYDAJ	VYBER	15	43916	SLUZBY	\N	\N
3369402	11186	1996-03-31	VYDAJ	VYBER	15	32379	SLUZBY	\N	\N
3369403	11186	1996-04-30	VYDAJ	VYBER	15	40607	SLUZBY	\N	\N
3369404	11186	1996-05-31	VYDAJ	VYBER	15	44554	SLUZBY	\N	\N
3369405	11186	1996-06-30	VYDAJ	VYBER	15	58022	SLUZBY	\N	\N
3369406	11186	1996-07-31	VYDAJ	VYBER	15	40008	SLUZBY	\N	\N
3369407	11186	1996-08-31	VYDAJ	VYBER	15	45307	SLUZBY	\N	\N
3369408	11186	1996-09-30	VYDAJ	VYBER	15	53245	SLUZBY	\N	\N
3369409	11186	1996-10-31	VYDAJ	VYBER	15	54859	SLUZBY	\N	\N
3369410	11186	1996-11-30	VYDAJ	VYBER	15	51379	SLUZBY	\N	\N
3369411	11186	1996-12-31	VYDAJ	VYBER	15	59835	SLUZBY	\N	\N
3369412	11186	1997-01-31	VYDAJ	VYBER	15	42038	SLUZBY	\N	\N
3369413	11186	1997-02-28	VYDAJ	VYBER	15	50521	SLUZBY	\N	\N
3369414	11186	1997-03-31	VYDAJ	VYBER	15	55735	SLUZBY	\N	\N
3369415	11186	1997-04-30	VYDAJ	VYBER	15	63569	SLUZBY	\N	\N
3369416	11186	1997-05-31	VYDAJ	VYBER	15	66874	SLUZBY	\N	\N
3369417	11186	1997-06-30	VYDAJ	VYBER	15	55738	SLUZBY	\N	\N
3369418	11186	1997-07-31	VYDAJ	VYBER	15	61463	SLUZBY	\N	\N
3369419	11186	1997-08-31	VYDAJ	VYBER	15	58088	SLUZBY	\N	\N
3369420	11186	1997-09-30	VYDAJ	VYBER	15	46377	SLUZBY	\N	\N
3369421	11186	1997-10-31	VYDAJ	VYBER	15	45150	SLUZBY	\N	\N
3369422	11186	1997-11-30	VYDAJ	VYBER	15	72502	SLUZBY	\N	\N
3369423	11186	1997-12-31	VYDAJ	VYBER	15	77532	SLUZBY	\N	\N
3369424	11186	1998-01-31	VYDAJ	VYBER	15	43186	SLUZBY	\N	\N
3369425	11186	1998-02-28	VYDAJ	VYBER	15	67322	SLUZBY	\N	\N
3369426	11186	1998-03-31	VYDAJ	VYBER	15	88648	SLUZBY	\N	\N
3369427	11186	1998-04-30	VYDAJ	VYBER	15	52399	SLUZBY	\N	\N
3369428	11186	1998-05-31	VYDAJ	VYBER	15	77674	SLUZBY	\N	\N
3369429	11186	1998-06-30	VYDAJ	VYBER	15	67179	SLUZBY	\N	\N
3369430	11186	1998-07-31	VYDAJ	VYBER	15	91612	SLUZBY	\N	\N
3369431	11186	1998-08-31	VYDAJ	VYBER	15	49958	SLUZBY	\N	\N
3369432	11186	1998-09-30	VYDAJ	VYBER	15	87057	SLUZBY	\N	\N
3369433	11186	1998-10-31	VYDAJ	VYBER	15	104045	SLUZBY	\N	\N
3369434	11186	1998-11-30	VYDAJ	VYBER	15	88703	SLUZBY	\N	\N
3369435	11186	1994-12-24	VYDAJ	VYBER	19600	40170	\N	\N	\N
3369436	11186	1995-01-23	VYDAJ	VYBER	27000	52460	\N	\N	\N
3369437	11186	1995-02-22	VYDAJ	VYBER	35300	56589	\N	\N	\N
3369438	11186	1995-03-24	VYDAJ	VYBER	32300	63759	\N	\N	\N
3369439	11186	1995-04-23	VYDAJ	VYBER	27800	59540	\N	\N	\N
3369440	11186	1995-05-23	VYDAJ	VYBER	26100	56772	\N	\N	\N
3369441	11186	1995-06-09	VYDAJ	VYBER	22200	93713	\N	\N	\N
3369442	11186	1995-06-22	VYDAJ	VYBER	22800	55303	\N	\N	\N
3369443	11186	1995-07-22	VYDAJ	VYBER	9100	39096	\N	\N	\N
3369444	11186	1995-08-21	VYDAJ	VYBER	15900	47598	\N	\N	\N
3369445	11186	1995-09-20	VYDAJ	VYBER	21400	49638	\N	\N	\N
3369446	11186	1995-10-20	VYDAJ	VYBER	20200	52593	\N	\N	\N
3369447	11186	1995-11-19	VYDAJ	VYBER	17900	59560	\N	\N	\N
3369448	11186	1995-12-09	VYDAJ	VYBER	26000	78255	\N	\N	\N
3369449	11186	1995-12-19	VYDAJ	VYBER	19800	45945	\N	\N	\N
3369450	11186	1996-01-18	PRIJEM	VKLAD	200	31578	\N	\N	\N
3369451	11186	1996-02-17	VYDAJ	VYBER	6400	49048	\N	\N	\N
3369452	11186	1996-03-18	VYDAJ	VYBER	15800	49553	\N	\N	\N
3369453	11186	1996-04-17	VYDAJ	VYBER	11500	44716	\N	\N	\N
3369454	11186	1996-05-17	VYDAJ	VYBER	4400	49568	\N	\N	\N
3369455	11186	1996-06-16	VYDAJ	VYBER	12300	57794	\N	\N	\N
3369456	11186	1996-07-16	VYDAJ	VYBER	14000	61219	\N	\N	\N
3369457	11186	1996-08-15	VYDAJ	VYBER	14000	49145	\N	\N	\N
3369458	11186	1996-09-14	VYDAJ	VYBER	15200	53044	\N	\N	\N
3369459	11186	1996-10-14	VYDAJ	VYBER	21500	54641	\N	\N	\N
3369460	11186	1996-11-13	VYDAJ	VYBER	20600	57155	\N	\N	\N
3369461	11186	1996-12-13	VYDAJ	VYBER	29800	64097	\N	\N	\N
3369462	11186	1997-01-12	VYDAJ	VYBER	14800	57731	\N	\N	\N
3369463	11186	1997-02-11	VYDAJ	VYBER	11600	59875	\N	\N	\N
3369464	11186	1997-03-13	VYDAJ	VYBER	8900	55517	\N	\N	\N
3369465	11186	1997-04-12	VYDAJ	VYBER	15300	69872	\N	\N	\N
3369466	11186	1997-05-12	VYDAJ	VYBER	19900	66564	\N	\N	\N
3369467	11186	1997-06-09	VYDAJ	VYBER	38800	86944	\N	\N	\N
3369468	11186	1997-06-11	VYDAJ	VYBER	15100	71844	\N	\N	\N
3369469	11186	1997-07-11	VYDAJ	VYBER	17400	77585	\N	\N	\N
3369470	11186	1997-08-10	VYDAJ	VYBER	26500	74210	\N	\N	\N
3369471	11186	1997-09-09	VYDAJ	VYBER	23400	73935	\N	\N	\N
3369472	11186	1997-10-09	VYDAJ	VYBER	10800	61324	\N	\N	\N
3369473	11186	1997-11-08	PRIJEM	VKLAD	4200	49350	\N	\N	\N
3369474	11186	1997-12-08	VYDAJ	VYBER	7400	61202	\N	\N	\N
3369475	11186	1997-12-09	VYDAJ	VYBER	20800	99272	\N	\N	\N
3369476	11186	1998-01-07	VYDAJ	VYBER	5000	62332	\N	\N	\N
3369477	11186	1998-02-06	PRIJEM	VKLAD	6400	49586	\N	\N	\N
3369478	11186	1998-03-08	VYDAJ	VYBER KARTOU	1900	65422	\N	\N	0
3369479	11186	1998-04-07	VYDAJ	VYBER	11500	77148	\N	\N	\N
3369480	11186	1998-04-09	VYDAJ	VYBER	47900	68495	\N	\N	\N
3369481	11186	1998-05-07	PRIJEM	VKLAD	11400	54499	\N	\N	\N
3369482	11186	1998-06-06	PRIJEM	VKLAD	3500	69174	\N	\N	\N
3369483	11186	1998-06-09	VYDAJ	VYBER	35500	92544	\N	\N	\N
3369484	11186	1998-07-06	PRIJEM	VKLAD	1200	68379	\N	\N	\N
3369485	11186	1998-08-05	VYDAJ	VYBER	8500	83112	\N	\N	\N
3369486	11186	1998-08-09	VYDAJ	VYBER	56300	66059	\N	\N	\N
3369487	11186	1998-09-04	PRIJEM	VKLAD	13900	63858	\N	\N	\N
3369488	11186	1998-10-04	VYDAJ	VYBER	4500	80757	\N	\N	\N
3369489	11186	1998-11-03	VYDAJ	VYBER	10400	88845	\N	\N	\N
3369490	11186	1998-11-09	VYDAJ	VYBER	23400	104692	\N	\N	\N
3369491	11186	1998-12-03	VYDAJ	VYBER	8400	80303	\N	\N	\N
3369492	11186	1998-12-09	VYDAJ	VYBER	30000	109173	\N	\N	\N
3382299	11231	1997-02-05	PRIJEM	VKLAD	900	900	\N	\N	\N
3382301	11231	1997-02-11	PRIJEM	PREVOD Z UCTU	44643	45543	\N	GH	82542776
3382302	11231	1997-03-11	PRIJEM	PREVOD Z UCTU	44643	80508	\N	GH	82542776
3382303	11231	1997-04-11	PRIJEM	PREVOD Z UCTU	44643	99639	\N	GH	82542776
3382304	11231	1997-05-11	PRIJEM	PREVOD Z UCTU	44643	107771	\N	GH	82542776
3382305	11231	1997-06-11	PRIJEM	PREVOD Z UCTU	66964	109530	\N	GH	82542776
3382306	11231	1997-07-11	PRIJEM	PREVOD Z UCTU	44643	78767	\N	GH	82542776
3382307	11231	1997-08-11	PRIJEM	PREVOD Z UCTU	44643	74632	\N	GH	82542776
3382308	11231	1997-09-11	PRIJEM	PREVOD Z UCTU	44643	80329	\N	GH	82542776
3382309	11231	1997-10-11	PRIJEM	PREVOD Z UCTU	44643	70349	\N	GH	82542776
3382310	11231	1997-11-11	PRIJEM	PREVOD Z UCTU	44643	68776	\N	GH	82542776
3382311	11231	1997-12-11	PRIJEM	PREVOD Z UCTU	66964	94677	\N	GH	82542776
3382312	11231	1998-01-11	PRIJEM	PREVOD Z UCTU	44643	52555	\N	GH	82542776
3382313	11231	1998-02-11	PRIJEM	PREVOD Z UCTU	44643	58416	\N	GH	82542776
3382314	11231	1998-03-11	PRIJEM	PREVOD Z UCTU	44643	68464	\N	GH	82542776
3382315	11231	1998-04-11	PRIJEM	PREVOD Z UCTU	44643	54581	\N	GH	82542776
3382316	11231	1998-05-11	PRIJEM	PREVOD Z UCTU	44643	57863	\N	GH	82542776
3382317	11231	1998-06-11	PRIJEM	PREVOD Z UCTU	66964	92832	\N	GH	82542776
3382318	11231	1998-07-11	PRIJEM	PREVOD Z UCTU	44643	87416	\N	GH	82542776
3382319	11231	1998-08-11	PRIJEM	PREVOD Z UCTU	44643	57188	\N	GH	82542776
3382320	11231	1998-09-11	PRIJEM	PREVOD Z UCTU	44643	65438	\N	GH	82542776
3382321	11231	1998-10-11	PRIJEM	PREVOD Z UCTU	44643	55555	\N	GH	82542776
3382322	11231	1998-11-11	PRIJEM	PREVOD Z UCTU	44643	53682	\N	GH	82542776
3382323	11231	1998-12-11	PRIJEM	PREVOD Z UCTU	66964	86386	\N	GH	82542776
3382329	11231	1997-06-19	VYDAJ	VYBER	7900	71901	\N	\N	0
3382330	11231	1997-07-11	VYDAJ	VYBER	7600	71167	\N	\N	0
3382331	11231	1997-08-12	VYDAJ	VYBER	7500	67132	\N	\N	0
3382332	11231	1997-09-11	VYDAJ	VYBER	9100	71229	\N	\N	0
3382333	11231	1997-10-14	VYDAJ	VYBER	8000	62120	\N	\N	0
3382334	11231	1997-11-12	VYDAJ	PREVOD NA UCET	7441	61336	UVER	CD	69176065
3382335	11231	1997-12-12	VYDAJ	PREVOD NA UCET	7441	87237	UVER	CD	69176065
3382336	11231	1998-01-12	VYDAJ	PREVOD NA UCET	7441	45114	UVER	CD	69176065
3382460	11231	1998-01-31	VYDAJ	VYBER	15	23556	SLUZBY	\N	\N
3382337	11231	1998-02-12	VYDAJ	PREVOD NA UCET	7441	50976	UVER	CD	69176065
3382338	11231	1998-03-12	VYDAJ	PREVOD NA UCET	7441	61023	UVER	CD	69176065
3382339	11231	1998-04-12	VYDAJ	PREVOD NA UCET	7441	47140	UVER	CD	69176065
3382340	11231	1998-05-12	VYDAJ	PREVOD NA UCET	7441	50422	UVER	CD	69176065
3382341	11231	1998-06-12	VYDAJ	PREVOD NA UCET	7441	85392	UVER	CD	69176065
3382342	11231	1998-07-12	VYDAJ	PREVOD NA UCET	7441	74760	UVER	CD	69176065
3382343	11231	1998-08-12	VYDAJ	PREVOD NA UCET	7441	49747	UVER	CD	69176065
3382344	11231	1998-09-12	VYDAJ	PREVOD NA UCET	7441	57998	UVER	CD	69176065
3382345	11231	1998-10-12	VYDAJ	PREVOD NA UCET	7441	48115	UVER	CD	69176065
3382346	11231	1998-11-07	VYDAJ	VYBER	5900	18822	\N	\N	0
3382347	11231	1998-12-17	VYDAJ	VYBER	8800	70157	\N	\N	0
3382354	11231	1997-07-10	VYDAJ	PREVOD NA UCET	9783	34124	SIPO	AB	4824811
3382355	11231	1997-08-10	VYDAJ	PREVOD NA UCET	9783	29989	SIPO	AB	4824811
3382356	11231	1997-09-10	VYDAJ	PREVOD NA UCET	9783	35686	SIPO	AB	4824811
3382357	11231	1997-10-10	VYDAJ	PREVOD NA UCET	9783	25706	SIPO	AB	4824811
3382358	11231	1997-11-10	VYDAJ	PREVOD NA UCET	9783	24133	SIPO	AB	4824811
3382359	11231	1997-12-10	VYDAJ	PREVOD NA UCET	9783	27713	SIPO	AB	4824811
3382360	11231	1998-01-10	VYDAJ	PREVOD NA UCET	9783	7912	SIPO	AB	4824811
3382361	11231	1998-02-10	VYDAJ	PREVOD NA UCET	9783	13773	SIPO	AB	4824811
3382362	11231	1998-03-10	VYDAJ	PREVOD NA UCET	9783	23821	SIPO	AB	4824811
3382363	11231	1998-04-10	VYDAJ	PREVOD NA UCET	9783	9938	SIPO	AB	4824811
3382364	11231	1998-05-10	VYDAJ	PREVOD NA UCET	9783	13220	SIPO	AB	4824811
3382365	11231	1998-06-10	VYDAJ	PREVOD NA UCET	9783	25868	SIPO	AB	4824811
3382366	11231	1998-07-10	VYDAJ	PREVOD NA UCET	9783	42773	SIPO	AB	4824811
3382367	11231	1998-08-10	VYDAJ	PREVOD NA UCET	9783	12545	SIPO	AB	4824811
3382368	11231	1998-09-10	VYDAJ	PREVOD NA UCET	9783	20795	SIPO	AB	4824811
3382369	11231	1998-10-10	VYDAJ	PREVOD NA UCET	9783	10912	SIPO	AB	4824811
3382370	11231	1998-11-10	VYDAJ	PREVOD NA UCET	9783	9039	SIPO	AB	4824811
3382371	11231	1998-12-10	VYDAJ	PREVOD NA UCET	9783	19422	SIPO	AB	4824811
3382377	11231	1997-06-14	VYDAJ	PREVOD NA UCET	229	79801	 	UV	15493494
3382378	11231	1997-07-14	VYDAJ	PREVOD NA UCET	229	70938	 	UV	15493494
3382379	11231	1997-08-14	VYDAJ	PREVOD NA UCET	229	66903	 	UV	15493494
3382380	11231	1997-09-14	VYDAJ	PREVOD NA UCET	229	71000	 	UV	15493494
3382381	11231	1997-10-14	VYDAJ	PREVOD NA UCET	229	70120	 	UV	15493494
3382382	11231	1997-11-14	VYDAJ	PREVOD NA UCET	229	61107	 	UV	15493494
3382383	11231	1997-12-14	VYDAJ	PREVOD NA UCET	229	87008	 	UV	15493494
3382384	11231	1998-01-14	VYDAJ	PREVOD NA UCET	229	44885	 	UV	15493494
3382385	11231	1998-02-14	VYDAJ	PREVOD NA UCET	229	50747	 	UV	15493494
3382386	11231	1998-03-14	VYDAJ	PREVOD NA UCET	229	60794	 	UV	15493494
3382387	11231	1998-04-14	VYDAJ	PREVOD NA UCET	229	40011	 	UV	15493494
3382388	11231	1998-05-14	VYDAJ	PREVOD NA UCET	229	50193	 	UV	15493494
3382389	11231	1998-06-14	VYDAJ	PREVOD NA UCET	229	85163	 	UV	15493494
3382390	11231	1998-07-14	VYDAJ	PREVOD NA UCET	229	74531	 	UV	15493494
3382391	11231	1998-08-14	VYDAJ	PREVOD NA UCET	229	49518	 	UV	15493494
3382392	11231	1998-09-14	VYDAJ	PREVOD NA UCET	229	57769	 	UV	15493494
3382393	11231	1998-10-14	VYDAJ	PREVOD NA UCET	229	47886	 	UV	15493494
3382394	11231	1998-11-14	VYDAJ	PREVOD NA UCET	229	53453	 	UV	15493494
3382395	11231	1998-12-14	VYDAJ	PREVOD NA UCET	229	86157	 	UV	15493494
3382396	11231	1997-07-16	VYBER	VYBER	5087	65851	\N	\N	\N
3382397	11231	1997-09-02	VYBER	VYBER	4779	62369	\N	\N	\N
3382398	11231	1997-11-26	VYBER	VYBER	3624	57483	\N	\N	\N
3382399	11231	1997-11-02	VYBER	VYBER	19341	43016	\N	\N	\N
3382401	11231	1997-06-22	VYBER	VYBER	9866	62035	\N	\N	\N
3382402	11231	1997-12-29	VYBER	VYBER	19693	65515	\N	\N	\N
3382403	11231	1997-07-20	VYBER	VYBER	11516	54335	\N	\N	\N
3382404	11231	1997-09-22	VYBER	VYBER	22830	48170	\N	\N	\N
3382408	11231	1998-01-21	VYBER	VYBER	22234	22651	\N	\N	\N
3382409	11231	1998-03-20	VYBER	VYBER	13346	47448	\N	\N	\N
3382410	11231	1998-07-12	VYBER	VYBER	5215	82201	\N	\N	\N
3382411	11231	1998-09-23	VYBER	VYBER	15255	42514	\N	\N	\N
3382412	11231	1998-08-01	VYBER	VYBER	15133	31703	\N	\N	\N
3382413	11231	1998-04-04	VYBER	VYBER	16122	19721	\N	\N	\N
3382414	11231	1998-08-05	VYBER	VYBER	9375	22328	\N	\N	\N
3382417	11231	1998-04-30	VYBER	VYBER	16843	23317	\N	\N	\N
3382418	11231	1998-09-28	VYBER	VYBER	4386	38128	\N	\N	\N
3382422	11231	1998-01-02	VYDAJ	VYBER	17400	30595	\N	\N	\N
3382423	11231	1997-12-02	VYDAJ	VYBER	6000	37496	\N	\N	\N
3382424	11231	1998-12-16	VYDAJ	VYBER	7200	78957	\N	\N	\N
3382431	11231	1998-01-02	VYDAJ	VYBER	3900	26695	\N	\N	\N
3382433	11231	1998-01-21	VYDAJ	VYBER	5100	17551	\N	\N	\N
3382434	11231	1998-01-04	VYDAJ	VYBER	5100	21595	\N	\N	\N
3382436	11231	1998-01-04	VYDAJ	VYBER	3900	17695	\N	\N	\N
3382438	11231	1997-09-27	VYDAJ	VYBER	5400	42770	\N	\N	\N
3382440	11231	1997-12-23	VYDAJ	VYBER	1800	85208	\N	\N	\N
3382442	11231	1998-03-07	VYDAJ	VYBER	5400	33604	\N	\N	\N
3382443	11231	1998-04-13	VYDAJ	VYBER	6900	40240	\N	\N	\N
3382453	11231	1997-06-30	VYDAJ	VYBER	15	62307	SLUZBY	\N	\N
3382454	11231	1997-07-31	VYDAJ	VYBER	15	54572	SLUZBY	\N	\N
3382455	11231	1997-08-31	VYDAJ	VYBER	15	67148	SLUZBY	\N	\N
3382456	11231	1997-09-30	VYDAJ	VYBER	15	42989	SLUZBY	\N	\N
3382457	11231	1997-10-31	VYDAJ	VYBER	15	62357	SLUZBY	\N	\N
3382458	11231	1997-11-30	VYDAJ	VYBER	15	57696	SLUZBY	\N	\N
3382459	11231	1997-12-31	VYDAJ	VYBER	15	65795	SLUZBY	\N	\N
3382461	11231	1998-02-28	VYDAJ	VYBER	15	50904	SLUZBY	\N	\N
3382462	11231	1998-03-31	VYDAJ	VYBER	15	47643	SLUZBY	\N	\N
3382463	11231	1998-04-30	VYDAJ	VYBER	15	23303	SLUZBY	\N	\N
3382464	11231	1998-05-31	VYDAJ	VYBER	15	50351	SLUZBY	\N	\N
3382465	11231	1998-06-30	VYDAJ	VYBER	15	85456	SLUZBY	\N	\N
3382466	11231	1998-07-31	VYDAJ	VYBER	15	46836	SLUZBY	\N	\N
3382467	11231	1998-08-31	VYDAJ	VYBER	15	30578	SLUZBY	\N	\N
3382468	11231	1998-09-30	VYDAJ	VYBER	15	20695	SLUZBY	\N	\N
3382469	11231	1998-10-31	VYDAJ	VYBER	15	24722	SLUZBY	\N	\N
3382470	11231	1998-11-30	VYDAJ	VYBER	15	29205	SLUZBY	\N	\N
3382471	11231	1997-03-07	VYDAJ	VYBER	9800	35865	\N	\N	\N
3382472	11231	1997-04-06	VYDAJ	VYBER	25800	54996	\N	\N	\N
3382473	11231	1997-05-06	VYDAJ	VYBER	36900	63128	\N	\N	\N
3382474	11231	1997-05-11	VYDAJ	VYBER	50900	56871	\N	\N	\N
3382475	11231	1997-06-05	VYDAJ	VYBER	14600	42566	\N	\N	\N
3382476	11231	1997-06-11	VYDAJ	VYBER	29500	80030	\N	\N	\N
3382477	11231	1997-07-05	VYDAJ	VYBER	18400	43907	\N	\N	\N
3382478	11231	1997-08-04	VYDAJ	VYBER	14800	39772	\N	\N	\N
3382479	11231	1997-09-03	VYDAJ	VYBER	16900	45469	\N	\N	\N
3382480	11231	1997-10-03	VYDAJ	VYBER	7500	35489	\N	\N	\N
3382481	11231	1997-11-02	VYDAJ	VYBER	9100	33916	\N	\N	\N
3382482	11231	1997-12-02	VYDAJ	VYBER	14200	43496	\N	\N	\N
3382483	11231	1998-01-01	VYDAJ	VYBER	17800	47995	\N	\N	\N
3382484	11231	1998-01-31	PRIJEM	VKLAD	5900	23571	\N	\N	\N
3382485	11231	1998-03-02	VYDAJ	VYBER	11900	39004	\N	\N	\N
3382486	11231	1998-04-01	VYDAJ	VYBER	11800	35843	\N	\N	\N
3382487	11231	1998-05-01	VYDAJ	VYBER	300	23003	\N	\N	\N
3382488	11231	1998-05-31	VYDAJ	VYBER	14700	35651	\N	\N	\N
3382489	11231	1998-06-30	VYDAJ	VYBER	32900	52556	\N	\N	\N
3382490	11231	1998-07-30	VYDAJ	VYBER	28000	46531	\N	\N	\N
3382491	11231	1998-08-29	VYDAJ	VYBER	19100	30418	\N	\N	\N
3382492	11231	1998-09-28	VYDAJ	VYBER	17600	20528	\N	\N	\N
3382493	11231	1998-10-28	VYDAJ	VYBER	23300	24586	\N	\N	\N
3382494	11231	1998-11-27	VYDAJ	VYBER	24400	29053	\N	\N	\N
3386869	11244	1997-01-12	PRIJEM	VKLAD	200	200	\N	\N	\N
3386870	11244	1997-09-28	PRIJEM	VKLAD	14782	48864	\N	\N	\N
3386871	11244	1997-03-13	PRIJEM	VKLAD	9230	58748	\N	\N	\N
3386872	11244	1997-09-03	PRIJEM	VKLAD	32181	85605	\N	\N	\N
3386873	11244	1997-12-18	PRIJEM	VKLAD	17486	47089	\N	\N	\N
3386874	11244	1997-02-05	PRIJEM	VKLAD	31452	31652	\N	\N	\N
3386875	11244	1997-04-24	PRIJEM	VKLAD	10593	42101	\N	\N	\N
3386876	11244	1997-11-26	PRIJEM	VKLAD	11443	85451	\N	\N	\N
3386877	11244	1997-11-10	PRIJEM	VKLAD	28817	75827	\N	\N	\N
3386878	11244	1997-05-17	PRIJEM	VKLAD	25188	41293	\N	\N	\N
3386879	11244	1997-09-24	PRIJEM	VKLAD	15087	34082	\N	\N	\N
3386880	11244	1997-03-08	PRIJEM	VKLAD	14672	40593	\N	\N	\N
3386881	11244	1997-09-03	PRIJEM	VKLAD	37885	53424	\N	\N	\N
3386882	11244	1997-09-05	PRIJEM	VKLAD	16844	102449	\N	\N	\N
3386883	11244	1997-06-13	PRIJEM	VKLAD	30382	81368	\N	\N	\N
3386884	11244	1997-05-26	PRIJEM	VKLAD	20885	62178	\N	\N	\N
3386885	11244	1997-06-29	PRIJEM	VKLAD	35835	75233	\N	\N	\N
3386886	11244	1997-10-28	PRIJEM	VKLAD	16723	29895	\N	\N	\N
3386887	11244	1997-10-11	PRIJEM	VKLAD	14224	41426	\N	\N	\N
3386888	11244	1997-05-30	PRIJEM	VKLAD	9800	71978	\N	\N	\N
3386889	11244	1997-12-25	PRIJEM	VKLAD	20141	67230	\N	\N	\N
3386890	11244	1997-10-30	PRIJEM	VKLAD	47085	76980	\N	\N	\N
3386891	11244	1997-11-12	PRIJEM	VKLAD	31937	107764	\N	\N	\N
3386892	11244	1997-07-09	PRIJEM	VKLAD	29341	68723	\N	\N	\N
3386893	11244	1997-11-25	PRIJEM	VKLAD	17105	74008	\N	\N	\N
3386894	11244	1997-06-01	PRIJEM	VKLAD	29640	101783	\N	\N	\N
3386895	11244	1997-03-09	PRIJEM	VKLAD	8925	49518	\N	\N	\N
3386896	11244	1997-12-26	PRIJEM	VKLAD	38132	105362	\N	\N	\N
3386897	11244	1997-07-25	PRIJEM	VKLAD	14354	42623	\N	\N	\N
3386898	11244	1997-07-01	PRIJEM	VKLAD	33054	108539	\N	\N	\N
3386899	11244	1998-04-16	PRIJEM	VKLAD	6556	16543	\N	\N	\N
3386900	11244	1998-07-08	PRIJEM	VKLAD	28517	60053	\N	\N	\N
3386901	11244	1998-06-15	PRIJEM	VKLAD	21920	44239	\N	\N	\N
3386902	11244	1998-03-04	PRIJEM	VKLAD	36833	39790	\N	\N	\N
3386903	11244	1998-10-23	PRIJEM	VKLAD	7056	22304	\N	\N	\N
3386904	11244	1998-09-15	PRIJEM	VKLAD	40625	46350	\N	\N	\N
3386905	11244	1998-08-06	PRIJEM	VKLAD	19314	52497	\N	\N	\N
3386906	11244	1998-05-28	PRIJEM	VKLAD	44178	69746	\N	\N	\N
3386907	11244	1998-06-06	PRIJEM	VKLAD	35405	105240	\N	\N	\N
3386908	11244	1998-12-02	PRIJEM	VKLAD	46023	57092	\N	\N	\N
3386909	11244	1998-05-17	PRIJEM	VKLAD	25230	25568	\N	\N	\N
3386910	11244	1998-01-04	PRIJEM	VKLAD	28388	131320	\N	\N	\N
3386915	11244	1997-05-02	VYDAJ	VYBER	5000	37259	\N	\N	0
3386916	11244	1997-06-16	VYDAJ	VYBER	6800	62414	\N	\N	0
3386917	11244	1997-07-19	VYDAJ	VYBER	6500	28269	\N	\N	0
3386918	11244	1997-08-13	VYDAJ	VYBER	7200	27597	\N	\N	0
3386919	11244	1997-09-19	VYDAJ	VYBER	6900	18995	\N	\N	0
3386920	11244	1997-10-18	VYDAJ	VYBER	6200	13172	\N	\N	0
3386921	11244	1997-11-20	VYDAJ	VYBER	5700	56903	\N	\N	0
3386922	11244	1997-12-12	VYDAJ	PREVOD NA UCET	6491	41757	UVER	KL	40766275
3386923	11244	1998-01-12	VYDAJ	PREVOD NA UCET	6491	45330	UVER	KL	40766275
3386924	11244	1998-02-12	VYDAJ	PREVOD NA UCET	6491	15073	UVER	KL	40766275
3386925	11244	1998-03-12	VYDAJ	PREVOD NA UCET	6491	21599	UVER	KL	40766275
3386926	11244	1998-04-12	VYDAJ	PREVOD NA UCET	6491	9987	UVER	KL	40766275
3386927	11244	1998-05-12	VYDAJ	PREVOD NA UCET	6491	12492	UVER	KL	40766275
3386928	11244	1998-06-12	VYDAJ	PREVOD NA UCET	6491	53750	UVER	KL	40766275
3386929	11244	1998-07-12	VYDAJ	PREVOD NA UCET	6491	53563	UVER	KL	40766275
3386930	11244	1998-08-12	VYDAJ	PREVOD NA UCET	6491	46006	UVER	KL	40766275
3386931	11244	1998-09-12	VYDAJ	PREVOD NA UCET	6491	17879	UVER	KL	40766275
3386932	11244	1998-10-12	VYDAJ	PREVOD NA UCET	6491	27402	UVER	KL	40766275
3386933	11244	1998-11-12	VYDAJ	PREVOD NA UCET	6491	11020	UVER	KL	40766275
3386934	11244	1998-12-12	VYDAJ	PREVOD NA UCET	6491	31101	UVER	KL	40766275
3386939	11244	1997-05-14	VYDAJ	PREVOD NA UCET	12154	16105	SIPO	EF	90770136
3386940	11244	1997-06-14	VYDAJ	PREVOD NA UCET	12154	69214	SIPO	EF	90770136
3386941	11244	1997-07-14	VYDAJ	PREVOD NA UCET	12154	34769	SIPO	EF	90770136
3386942	11244	1997-08-14	VYDAJ	PREVOD NA UCET	12154	15443	SIPO	EF	90770136
3386943	11244	1997-09-14	VYDAJ	PREVOD NA UCET	12154	25895	SIPO	EF	90770136
3386944	11244	1997-10-14	VYDAJ	PREVOD NA UCET	12154	19372	SIPO	EF	90770136
3386945	11244	1997-11-14	VYDAJ	PREVOD NA UCET	12154	80210	SIPO	EF	90770136
3386946	11244	1997-12-14	VYDAJ	PREVOD NA UCET	12154	29603	SIPO	EF	90770136
3386947	11244	1998-01-14	VYDAJ	PREVOD NA UCET	12154	33176	SIPO	EF	90770136
3386948	11244	1998-02-14	VYDAJ	PREVOD NA UCET	12154	2919	SIPO	EF	90770136
3386949	11244	1998-03-14	VYDAJ	PREVOD NA UCET	12154	9445	SIPO	EF	90770136
3386951	11244	1998-05-14	VYDAJ	PREVOD NA UCET	12154	338	SIPO	EF	90770136
3386952	11244	1998-06-14	VYDAJ	PREVOD NA UCET	12154	22319	SIPO	EF	90770136
3386953	11244	1998-07-14	VYDAJ	PREVOD NA UCET	12154	41409	SIPO	EF	90770136
3386954	11244	1998-08-14	VYDAJ	PREVOD NA UCET	12154	33852	SIPO	EF	90770136
3386955	11244	1998-09-14	VYDAJ	PREVOD NA UCET	12154	5725	SIPO	EF	90770136
3386956	11244	1998-10-14	VYDAJ	PREVOD NA UCET	12154	15248	SIPO	EF	90770136
3386958	11244	1998-12-14	VYDAJ	PREVOD NA UCET	12154	18947	SIPO	EF	90770136
3386960	11244	1997-11-06	VYBER	VYBER	10567	66510	\N	\N	\N
3386962	11244	1997-09-29	VYBER	VYBER	18798	30066	\N	\N	\N
3386963	11244	1997-07-08	VYBER	VYBER	23857	39382	\N	\N	\N
3386969	11244	1997-06-26	VYBER	VYBER	10416	39398	\N	\N	\N
3386970	11244	1997-11-18	VYBER	VYBER	17607	62603	\N	\N	\N
3386971	11244	1997-06-01	VYBER	VYBER	15697	86086	\N	\N	\N
3386972	11244	1998-09-10	VYBER	VYBER	6233	24369	\N	\N	\N
3386975	11244	1998-06-13	VYBER	VYBER	19277	34473	\N	\N	\N
3386976	11244	1997-06-02	VYDAJ	VYBER	10200	75886	\N	\N	\N
3386979	11244	1998-01-05	VYDAJ	VYBER	11100	86020	\N	\N	\N
3386980	11244	1997-12-26	VYDAJ	VYBER	2700	102662	\N	\N	\N
3386988	11244	1998-01-14	VYDAJ	VYBER	5100	28076	\N	\N	\N
3386989	11244	1998-01-23	VYDAJ	VYBER	3300	24776	\N	\N	\N
3386990	11244	1998-01-04	VYDAJ	VYBER	6600	97120	\N	\N	\N
3386992	11244	1998-01-05	VYDAJ	VYBER	1500	82120	\N	\N	\N
3386994	11244	1997-12-11	VYDAJ	VYBER	7200	48247	\N	\N	\N
3386995	11244	1997-09-05	VYDAJ	VYBER	8700	46149	\N	\N	\N
3386996	11244	1997-06-19	VYDAJ	VYBER	12600	49814	\N	\N	\N
3386997	11244	1997-10-12	VYDAJ	VYBER	9900	31526	\N	\N	\N
3387000	11244	1998-01-05	VYDAJ	VYBER	2400	83620	\N	\N	\N
3387005	11244	1997-04-30	VYDAJ	VYBER	15	42259	SLUZBY	\N	\N
3387006	11244	1997-05-31	VYDAJ	VYBER	15	72143	SLUZBY	\N	\N
3387007	11244	1997-06-30	VYDAJ	VYBER	15	75485	SLUZBY	\N	\N
3387008	11244	1997-07-31	VYDAJ	VYBER	15	42797	SLUZBY	\N	\N
3387009	11244	1997-08-31	VYDAJ	VYBER	15	15539	SLUZBY	\N	\N
3387010	11244	1997-09-30	VYDAJ	VYBER	15	30202	SLUZBY	\N	\N
3387011	11244	1997-10-31	VYDAJ	VYBER	15	77077	SLUZBY	\N	\N
3387012	11244	1997-11-30	VYDAJ	VYBER	15	85747	SLUZBY	\N	\N
3387013	11244	1997-12-31	VYDAJ	VYBER	15	102932	SLUZBY	\N	\N
3387014	11244	1998-01-31	VYDAJ	VYBER	15	24964	SLUZBY	\N	\N
3387015	11244	1998-02-28	VYDAJ	VYBER	15	2957	SLUZBY	\N	\N
3387016	11244	1998-03-31	VYDAJ	VYBER	15	9477	SLUZBY	\N	\N
3387017	11244	1998-04-30	VYDAJ	VYBER	15	16583	SLUZBY	\N	\N
3387018	11244	1998-05-31	VYDAJ	VYBER	15	69835	SLUZBY	\N	\N
3387019	11244	1998-06-30	VYDAJ	VYBER	15	44436	SLUZBY	\N	\N
3387020	11244	1998-07-31	VYDAJ	VYBER	15	41583	SLUZBY	\N	\N
3387021	11244	1998-08-31	VYDAJ	VYBER	15	34002	SLUZBY	\N	\N
3387022	11244	1998-09-30	VYDAJ	VYBER	15	46493	SLUZBY	\N	\N
3387023	11244	1998-10-31	VYDAJ	VYBER	15	22411	SLUZBY	\N	\N
3387024	11244	1998-11-30	VYDAJ	VYBER	15	11069	SLUZBY	\N	\N
3387025	11244	1997-02-11	VYDAJ	VYBER	5800	25852	\N	\N	\N
3387026	11244	1997-03-13	VYDAJ	VYBER	17500	41248	\N	\N	\N
3387027	11244	1997-04-12	VYDAJ	VYBER	9900	31508	\N	\N	\N
3387028	11244	1997-05-12	VYDAJ	VYBER	9000	28259	\N	\N	\N
3387029	11244	1997-06-11	VYDAJ	VYBER	24900	50986	\N	\N	\N
3387030	11244	1997-07-01	VYDAJ	VYBER	45300	63239	\N	\N	\N
3387031	11244	1997-07-11	VYDAJ	VYBER	21800	46923	\N	\N	\N
3387032	11244	1997-08-10	VYDAJ	VYBER	8000	34797	\N	\N	\N
3387033	11244	1997-09-05	VYDAJ	VYBER	47600	54849	\N	\N	\N
3387034	11244	1997-09-09	VYDAJ	VYBER	8100	38049	\N	\N	\N
3387035	11244	1997-10-09	VYDAJ	VYBER	3000	27202	\N	\N	\N
3387036	11244	1997-11-08	VYDAJ	VYBER	19500	47010	\N	\N	\N
3387037	11244	1997-11-12	VYDAJ	VYBER	15400	92364	\N	\N	\N
3387038	11244	1997-12-08	VYDAJ	VYBER	30300	55447	\N	\N	\N
3387039	11244	1998-01-04	VYDAJ	VYBER	27600	103720	\N	\N	\N
3387040	11244	1998-01-07	VYDAJ	VYBER	30300	51820	\N	\N	\N
3387041	11244	1998-02-06	VYDAJ	VYBER	3400	21564	\N	\N	\N
3387042	11244	1998-03-08	VYDAJ	VYBER	11700	28090	\N	\N	\N
3387043	11244	1998-04-07	PRIJEM	VKLAD	7000	16477	\N	\N	\N
3387044	11244	1998-05-07	PRIJEM	VKLAD	2400	18983	\N	\N	\N
3387045	11244	1998-06-06	VYDAJ	VYBER	45000	60240	\N	\N	\N
3387046	11244	1998-07-06	VYDAJ	VYBER	12900	31536	\N	\N	\N
3387047	11244	1998-08-05	VYDAJ	VYBER	8400	33183	\N	\N	\N
3387048	11244	1998-09-04	VYDAJ	VYBER	3400	30602	\N	\N	\N
3387049	11244	1998-10-04	VYDAJ	VYBER	12600	33893	\N	\N	\N
3387050	11244	1998-11-03	VYDAJ	VYBER	4900	17511	\N	\N	\N
3387051	11244	1998-12-03	VYDAJ	VYBER	19500	37592	\N	\N	\N
3393738	11265	1993-01-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3393740	11265	1993-02-05	PRIJEM	VKLAD	7618	8618	\N	\N	\N
3393741	11265	1993-03-05	PRIJEM	VKLAD	7618	26080	\N	\N	\N
3393742	11265	1993-04-05	PRIJEM	VKLAD	7618	32990	\N	\N	\N
3393743	11265	1993-05-05	PRIJEM	VKLAD	7618	35921	\N	\N	\N
3393744	11265	1993-06-05	PRIJEM	VKLAD	11427	41469	\N	\N	\N
3393745	11265	1993-07-05	PRIJEM	VKLAD	7618	22335	\N	\N	\N
3393746	11265	1993-08-05	PRIJEM	VKLAD	7618	25890	\N	\N	\N
3393747	11265	1993-09-05	PRIJEM	VKLAD	7618	25942	\N	\N	\N
3393748	11265	1993-10-05	PRIJEM	VKLAD	7618	24515	\N	\N	\N
3393749	11265	1993-11-05	PRIJEM	VKLAD	7618	28088	\N	\N	\N
3393750	11265	1993-12-05	PRIJEM	VKLAD	11427	29770	\N	\N	\N
3393751	11265	1994-01-05	PRIJEM	VKLAD	7618	21349	\N	\N	\N
3393752	11265	1994-02-05	PRIJEM	VKLAD	7618	26824	\N	\N	\N
3393753	11265	1994-03-05	PRIJEM	VKLAD	7618	25594	\N	\N	\N
3393754	11265	1994-04-05	PRIJEM	VKLAD	7618	25362	\N	\N	\N
3393755	11265	1994-05-05	PRIJEM	VKLAD	7618	23449	\N	\N	\N
3393756	11265	1994-06-05	PRIJEM	VKLAD	11427	26514	\N	\N	\N
3393757	11265	1994-07-05	PRIJEM	VKLAD	7618	25280	\N	\N	\N
3393758	11265	1994-08-05	PRIJEM	VKLAD	7618	20370	\N	\N	\N
3393759	11265	1994-09-05	PRIJEM	VKLAD	7618	19619	\N	\N	\N
3393760	11265	1994-10-05	PRIJEM	VKLAD	7618	22274	\N	\N	\N
3393761	11265	1994-11-05	PRIJEM	VKLAD	7618	20828	\N	\N	\N
3393762	11265	1994-12-05	PRIJEM	VKLAD	11427	23201	\N	\N	\N
3393763	11265	1995-01-05	PRIJEM	VKLAD	7618	27735	\N	\N	\N
3393764	11265	1995-02-05	PRIJEM	VKLAD	7618	27208	\N	\N	\N
3393765	11265	1995-03-05	PRIJEM	VKLAD	7618	25425	\N	\N	\N
3393766	11265	1995-04-05	PRIJEM	VKLAD	7618	25989	\N	\N	\N
3393767	11265	1995-05-05	PRIJEM	VKLAD	7618	26960	\N	\N	\N
3393768	11265	1995-06-05	PRIJEM	VKLAD	11427	33043	\N	\N	\N
3393769	11265	1995-07-05	PRIJEM	VKLAD	7618	32542	\N	\N	\N
3393770	11265	1995-08-05	PRIJEM	VKLAD	7618	33140	\N	\N	\N
3393771	11265	1995-09-05	PRIJEM	VKLAD	7618	30746	\N	\N	\N
3393772	11265	1995-10-05	PRIJEM	VKLAD	7618	28818	\N	\N	\N
3393773	11265	1995-11-05	PRIJEM	VKLAD	7618	30105	\N	\N	\N
3393774	11265	1995-12-05	PRIJEM	VKLAD	11427	29679	\N	\N	\N
3393775	11265	1996-01-05	PRIJEM	VKLAD	7618	19375	\N	\N	\N
3393776	11265	1996-02-05	PRIJEM	VKLAD	7618	23012	\N	\N	\N
3393777	11265	1996-03-05	PRIJEM	VKLAD	7618	23643	\N	\N	\N
3393778	11265	1996-04-05	PRIJEM	VKLAD	7618	20103	\N	\N	\N
3393779	11265	1996-05-05	PRIJEM	VKLAD	7618	21962	\N	\N	\N
3393780	11265	1996-06-05	PRIJEM	VKLAD	11427	27826	\N	\N	\N
3393781	11265	1996-07-05	PRIJEM	VKLAD	7618	23298	\N	\N	\N
3393782	11265	1996-08-05	PRIJEM	VKLAD	7618	20997	\N	\N	\N
3393783	11265	1996-09-05	PRIJEM	VKLAD	7618	22077	\N	\N	\N
3393784	11265	1996-10-05	PRIJEM	VKLAD	7618	25035	\N	\N	\N
3393785	11265	1996-11-05	PRIJEM	VKLAD	7618	26101	\N	\N	\N
3393786	11265	1996-12-05	PRIJEM	VKLAD	11427	30676	\N	\N	\N
3393787	11265	1997-01-05	PRIJEM	VKLAD	7618	23728	\N	\N	\N
3393788	11265	1997-02-05	PRIJEM	VKLAD	7618	24190	\N	\N	\N
3393789	11265	1997-03-05	PRIJEM	VKLAD	7618	25051	\N	\N	\N
3393790	11265	1997-04-05	PRIJEM	VKLAD	7618	24816	\N	\N	\N
3393791	11265	1997-05-05	PRIJEM	VKLAD	7618	24888	\N	\N	\N
3393792	11265	1997-06-05	PRIJEM	VKLAD	11427	29563	\N	\N	\N
3393793	11265	1997-07-05	PRIJEM	VKLAD	7618	29541	\N	\N	\N
3393794	11265	1997-08-05	PRIJEM	VKLAD	7618	29024	\N	\N	\N
3393795	11265	1997-09-05	PRIJEM	VKLAD	7618	30306	\N	\N	\N
3393796	11265	1997-10-05	PRIJEM	VKLAD	7618	30488	\N	\N	\N
3393797	11265	1997-11-05	PRIJEM	VKLAD	7618	28811	\N	\N	\N
3393798	11265	1997-12-05	PRIJEM	VKLAD	11427	33097	\N	\N	\N
3393799	11265	1998-01-05	PRIJEM	VKLAD	7618	30847	\N	\N	\N
3393800	11265	1998-02-05	PRIJEM	VKLAD	7618	28136	\N	\N	\N
3393801	11265	1998-03-05	PRIJEM	VKLAD	7618	32728	\N	\N	\N
3393802	11265	1998-04-05	PRIJEM	VKLAD	7618	32021	\N	\N	\N
3393803	11265	1998-05-05	PRIJEM	VKLAD	7618	27115	\N	\N	\N
3393804	11265	1998-06-05	PRIJEM	VKLAD	11427	35512	\N	\N	\N
3393805	11265	1998-07-05	PRIJEM	VKLAD	7618	34675	\N	\N	\N
3393806	11265	1998-08-05	PRIJEM	VKLAD	7618	34976	\N	\N	\N
3393807	11265	1998-09-05	PRIJEM	VKLAD	7618	35781	\N	\N	\N
3393808	11265	1998-10-05	PRIJEM	VKLAD	7618	35891	\N	\N	\N
3393809	11265	1998-11-05	PRIJEM	VKLAD	7618	27737	\N	\N	\N
3393810	11265	1998-12-05	PRIJEM	VKLAD	11427	32635	\N	\N	\N
3393816	11265	1993-06-10	VYDAJ	PREVOD NA UCET	506	20436	SIPO	KL	37816989
3393817	11265	1993-07-10	VYDAJ	PREVOD NA UCET	506	19222	SIPO	KL	37816989
3393818	11265	1993-08-10	VYDAJ	PREVOD NA UCET	506	22777	SIPO	KL	37816989
3393819	11265	1993-09-10	VYDAJ	PREVOD NA UCET	506	19129	SIPO	KL	37816989
3393820	11265	1993-10-10	VYDAJ	PREVOD NA UCET	506	21402	SIPO	KL	37816989
3393821	11265	1993-11-10	VYDAJ	PREVOD NA UCET	506	24975	SIPO	KL	37816989
3393822	11265	1993-12-10	VYDAJ	PREVOD NA UCET	506	26657	SIPO	KL	37816989
3393823	11265	1994-01-10	VYDAJ	PREVOD NA UCET	506	23536	SIPO	KL	37816989
3393824	11265	1994-02-10	VYDAJ	PREVOD NA UCET	506	22311	SIPO	KL	37816989
3393825	11265	1994-03-10	VYDAJ	PREVOD NA UCET	506	22081	SIPO	KL	37816989
3393826	11265	1994-04-10	VYDAJ	PREVOD NA UCET	506	22449	SIPO	KL	37816989
3393827	11265	1994-05-10	VYDAJ	PREVOD NA UCET	506	19436	SIPO	KL	37816989
3393828	11265	1994-06-10	VYDAJ	PREVOD NA UCET	506	22001	SIPO	KL	37816989
3393829	11265	1994-07-10	VYDAJ	PREVOD NA UCET	506	22967	SIPO	KL	37816989
3393830	11265	1994-08-10	VYDAJ	PREVOD NA UCET	506	16357	SIPO	KL	37816989
3393831	11265	1994-09-10	VYDAJ	PREVOD NA UCET	506	19006	SIPO	KL	37816989
3393832	11265	1994-10-10	VYDAJ	PREVOD NA UCET	506	17361	SIPO	KL	37816989
3393833	11265	1994-11-10	VYDAJ	PREVOD NA UCET	506	19215	SIPO	KL	37816989
3393834	11265	1994-12-10	VYDAJ	PREVOD NA UCET	506	14868	SIPO	KL	37816989
3393835	11265	1995-01-10	VYDAJ	PREVOD NA UCET	506	19422	SIPO	KL	37816989
3393836	11265	1995-02-10	VYDAJ	PREVOD NA UCET	506	24095	SIPO	KL	37816989
3393837	11265	1995-03-10	VYDAJ	PREVOD NA UCET	506	19012	SIPO	KL	37816989
3393838	11265	1995-04-10	VYDAJ	PREVOD NA UCET	506	22876	SIPO	KL	37816989
3393839	11265	1995-05-10	VYDAJ	PREVOD NA UCET	506	19347	SIPO	KL	37816989
3393840	11265	1995-06-10	VYDAJ	PREVOD NA UCET	506	26330	SIPO	KL	37816989
3393841	11265	1995-07-10	VYDAJ	PREVOD NA UCET	506	25329	SIPO	KL	37816989
3393842	11265	1995-08-10	VYDAJ	PREVOD NA UCET	506	30027	SIPO	KL	37816989
3393843	11265	1995-09-10	VYDAJ	PREVOD NA UCET	506	27633	SIPO	KL	37816989
3393844	11265	1995-10-10	VYDAJ	PREVOD NA UCET	506	25705	SIPO	KL	37816989
3393845	11265	1995-11-10	VYDAJ	PREVOD NA UCET	506	26992	SIPO	KL	37816989
3393846	11265	1995-12-10	VYDAJ	PREVOD NA UCET	506	26566	SIPO	KL	37816989
3393847	11265	1996-01-10	VYDAJ	PREVOD NA UCET	506	16262	SIPO	KL	37816989
3393848	11265	1996-02-10	VYDAJ	PREVOD NA UCET	506	14079	SIPO	KL	37816989
3393849	11265	1996-03-10	VYDAJ	PREVOD NA UCET	506	20530	SIPO	KL	37816989
3393850	11265	1996-04-10	VYDAJ	PREVOD NA UCET	506	16990	SIPO	KL	37816989
3393851	11265	1996-05-10	VYDAJ	PREVOD NA UCET	506	18849	SIPO	KL	37816989
3393852	11265	1996-06-10	VYDAJ	PREVOD NA UCET	506	24713	SIPO	KL	37816989
3393853	11265	1996-07-10	VYDAJ	PREVOD NA UCET	506	15385	SIPO	KL	37816989
3393854	11265	1996-08-10	VYDAJ	PREVOD NA UCET	506	17884	SIPO	KL	37816989
3393855	11265	1996-09-10	VYDAJ	PREVOD NA UCET	506	18964	SIPO	KL	37816989
3393856	11265	1996-10-10	VYDAJ	PREVOD NA UCET	506	21922	SIPO	KL	37816989
3393857	11265	1996-11-10	VYDAJ	PREVOD NA UCET	506	18388	SIPO	KL	37816989
3393858	11265	1996-12-10	VYDAJ	PREVOD NA UCET	506	27563	SIPO	KL	37816989
3393859	11265	1997-01-10	VYDAJ	PREVOD NA UCET	506	20615	SIPO	KL	37816989
3393860	11265	1997-02-10	VYDAJ	PREVOD NA UCET	506	21077	SIPO	KL	37816989
3393861	11265	1997-03-10	VYDAJ	PREVOD NA UCET	506	21938	SIPO	KL	37816989
3393862	11265	1997-04-10	VYDAJ	PREVOD NA UCET	506	21703	SIPO	KL	37816989
3393863	11265	1997-05-10	VYDAJ	PREVOD NA UCET	506	21775	SIPO	KL	37816989
3393864	11265	1997-06-10	VYDAJ	PREVOD NA UCET	506	21850	SIPO	KL	37816989
3393865	11265	1997-07-10	VYDAJ	PREVOD NA UCET	506	26428	SIPO	KL	37816989
3393866	11265	1997-08-10	VYDAJ	PREVOD NA UCET	506	22611	SIPO	KL	37816989
3393867	11265	1997-09-10	VYDAJ	PREVOD NA UCET	506	22793	SIPO	KL	37816989
3393868	11265	1997-10-10	VYDAJ	PREVOD NA UCET	506	26415	SIPO	KL	37816989
3393869	11265	1997-11-10	VYDAJ	PREVOD NA UCET	506	21598	SIPO	KL	37816989
3393870	11265	1997-12-10	VYDAJ	PREVOD NA UCET	506	23144	SIPO	KL	37816989
3393871	11265	1998-01-10	VYDAJ	PREVOD NA UCET	506	27734	SIPO	KL	37816989
3393872	11265	1998-02-10	VYDAJ	PREVOD NA UCET	506	25023	SIPO	KL	37816989
3393873	11265	1998-03-10	VYDAJ	PREVOD NA UCET	506	29615	SIPO	KL	37816989
3393874	11265	1998-04-10	VYDAJ	PREVOD NA UCET	506	28908	SIPO	KL	37816989
3393875	11265	1998-05-10	VYDAJ	PREVOD NA UCET	506	24002	SIPO	KL	37816989
3393876	11265	1998-06-10	VYDAJ	PREVOD NA UCET	506	32399	SIPO	KL	37816989
3393877	11265	1998-07-10	VYDAJ	PREVOD NA UCET	506	27262	SIPO	KL	37816989
3393878	11265	1998-08-10	VYDAJ	PREVOD NA UCET	506	28063	SIPO	KL	37816989
3393879	11265	1998-09-10	VYDAJ	PREVOD NA UCET	506	32668	SIPO	KL	37816989
3393880	11265	1998-10-10	VYDAJ	PREVOD NA UCET	506	32778	SIPO	KL	37816989
3393881	11265	1998-11-10	VYDAJ	PREVOD NA UCET	506	24624	SIPO	KL	37816989
3393882	11265	1998-12-10	VYDAJ	PREVOD NA UCET	506	27282	SIPO	KL	37816989
3393888	11265	1993-06-09	VYDAJ	PREVOD NA UCET	2607	20942	 	WX	80508869
3393889	11265	1993-07-09	VYDAJ	PREVOD NA UCET	2607	19728	 	WX	80508869
3393890	11265	1993-08-09	VYDAJ	PREVOD NA UCET	2607	23283	 	WX	80508869
3393891	11265	1993-09-09	VYDAJ	PREVOD NA UCET	2607	19635	 	WX	80508869
3393892	11265	1993-10-09	VYDAJ	PREVOD NA UCET	2607	21908	 	WX	80508869
3393893	11265	1993-11-09	VYDAJ	PREVOD NA UCET	2607	25481	 	WX	80508869
3393894	11265	1993-12-09	VYDAJ	PREVOD NA UCET	2607	27163	 	WX	80508869
3393895	11265	1994-01-09	VYDAJ	PREVOD NA UCET	2607	24042	 	WX	80508869
3393896	11265	1994-02-09	VYDAJ	PREVOD NA UCET	2607	22817	 	WX	80508869
3393897	11265	1994-03-09	VYDAJ	PREVOD NA UCET	2607	22987	 	WX	80508869
3393898	11265	1994-04-09	VYDAJ	PREVOD NA UCET	2607	22955	 	WX	80508869
3393899	11265	1994-05-09	VYDAJ	PREVOD NA UCET	2607	19942	 	WX	80508869
3393900	11265	1994-06-09	VYDAJ	PREVOD NA UCET	2607	22507	 	WX	80508869
3393901	11265	1994-07-09	VYDAJ	PREVOD NA UCET	2607	23473	 	WX	80508869
3393902	11265	1994-08-09	VYDAJ	PREVOD NA UCET	2607	16863	 	WX	80508869
3393903	11265	1994-09-09	VYDAJ	PREVOD NA UCET	2607	19512	 	WX	80508869
3393904	11265	1994-10-09	VYDAJ	PREVOD NA UCET	2607	17867	 	WX	80508869
3393905	11265	1994-11-09	VYDAJ	PREVOD NA UCET	2607	19721	 	WX	80508869
3393906	11265	1994-12-09	VYDAJ	PREVOD NA UCET	2607	15374	 	WX	80508869
3393907	11265	1995-01-09	VYDAJ	PREVOD NA UCET	2607	25128	 	WX	80508869
3393908	11265	1995-02-09	VYDAJ	PREVOD NA UCET	2607	24601	 	WX	80508869
3393909	11265	1995-03-09	VYDAJ	PREVOD NA UCET	2607	19518	 	WX	80508869
3393910	11265	1995-04-09	VYDAJ	PREVOD NA UCET	2607	23382	 	WX	80508869
3393911	11265	1995-05-09	VYDAJ	PREVOD NA UCET	2607	24353	 	WX	80508869
3393912	11265	1995-06-09	VYDAJ	PREVOD NA UCET	2607	26836	 	WX	80508869
3393913	11265	1995-07-09	VYDAJ	PREVOD NA UCET	2607	25835	 	WX	80508869
3393914	11265	1995-08-09	VYDAJ	PREVOD NA UCET	2607	30533	 	WX	80508869
3393915	11265	1995-09-09	VYDAJ	PREVOD NA UCET	2607	28139	 	WX	80508869
3393916	11265	1995-10-09	VYDAJ	PREVOD NA UCET	2607	26211	 	WX	80508869
3393917	11265	1995-11-09	VYDAJ	PREVOD NA UCET	2607	27498	 	WX	80508869
3393918	11265	1995-12-09	VYDAJ	PREVOD NA UCET	2607	27072	 	WX	80508869
3393919	11265	1996-01-09	VYDAJ	PREVOD NA UCET	2607	16768	 	WX	80508869
3393920	11265	1996-02-09	VYDAJ	PREVOD NA UCET	2607	19085	 	WX	80508869
3393921	11265	1996-03-09	VYDAJ	PREVOD NA UCET	2607	21036	 	WX	80508869
3393922	11265	1996-04-09	VYDAJ	PREVOD NA UCET	2607	17496	 	WX	80508869
3393923	11265	1996-05-09	VYDAJ	PREVOD NA UCET	2607	19355	 	WX	80508869
3393924	11265	1996-06-09	VYDAJ	PREVOD NA UCET	2607	25219	 	WX	80508869
3393925	11265	1996-07-09	VYDAJ	PREVOD NA UCET	2607	15891	 	WX	80508869
3393926	11265	1996-08-09	VYDAJ	PREVOD NA UCET	2607	18390	 	WX	80508869
3393927	11265	1996-09-09	VYDAJ	PREVOD NA UCET	2607	19470	 	WX	80508869
3393928	11265	1996-10-09	VYDAJ	PREVOD NA UCET	2607	22428	 	WX	80508869
3393929	11265	1996-11-09	VYDAJ	PREVOD NA UCET	2607	18894	 	WX	80508869
3393930	11265	1996-12-09	VYDAJ	PREVOD NA UCET	2607	28069	 	WX	80508869
3393931	11265	1997-01-09	VYDAJ	PREVOD NA UCET	2607	21121	 	WX	80508869
3393932	11265	1997-02-09	VYDAJ	PREVOD NA UCET	2607	21583	 	WX	80508869
3393933	11265	1997-03-09	VYDAJ	PREVOD NA UCET	2607	22444	 	WX	80508869
3393934	11265	1997-04-09	VYDAJ	PREVOD NA UCET	2607	22209	 	WX	80508869
3393935	11265	1997-05-09	VYDAJ	PREVOD NA UCET	2607	22281	 	WX	80508869
3393936	11265	1997-06-09	VYDAJ	PREVOD NA UCET	2607	22356	 	WX	80508869
3393937	11265	1997-07-09	VYDAJ	PREVOD NA UCET	2607	26934	 	WX	80508869
3393938	11265	1997-08-09	VYDAJ	PREVOD NA UCET	2607	23117	 	WX	80508869
3393939	11265	1997-09-09	VYDAJ	PREVOD NA UCET	2607	23299	 	WX	80508869
3393940	11265	1997-10-09	VYDAJ	PREVOD NA UCET	2607	27881	 	WX	80508869
3393941	11265	1997-11-09	VYDAJ	PREVOD NA UCET	2607	22104	 	WX	80508869
3393942	11265	1997-12-09	VYDAJ	PREVOD NA UCET	2607	27450	 	WX	80508869
3393943	11265	1998-01-09	VYDAJ	PREVOD NA UCET	2607	28240	 	WX	80508869
3393944	11265	1998-02-09	VYDAJ	PREVOD NA UCET	2607	25529	 	WX	80508869
3393945	11265	1998-03-09	VYDAJ	PREVOD NA UCET	2607	30121	 	WX	80508869
3393946	11265	1998-04-09	VYDAJ	PREVOD NA UCET	2607	29414	 	WX	80508869
3393947	11265	1998-05-09	VYDAJ	PREVOD NA UCET	2607	24508	 	WX	80508869
3393948	11265	1998-06-09	VYDAJ	PREVOD NA UCET	2607	32905	 	WX	80508869
3393949	11265	1998-07-09	VYDAJ	PREVOD NA UCET	2607	27768	 	WX	80508869
3393950	11265	1998-08-09	VYDAJ	PREVOD NA UCET	2607	28569	 	WX	80508869
3393951	11265	1998-09-09	VYDAJ	PREVOD NA UCET	2607	33174	 	WX	80508869
3393952	11265	1998-10-09	VYDAJ	PREVOD NA UCET	2607	33284	 	WX	80508869
3393953	11265	1998-11-09	VYDAJ	PREVOD NA UCET	2607	25130	 	WX	80508869
3393954	11265	1998-12-09	VYDAJ	PREVOD NA UCET	2607	27788	 	WX	80508869
3393960	11265	1993-06-17	VYDAJ	VYBER	5000	19136	\N	\N	0
3393961	11265	1993-07-02	VYDAJ	VYBER	4500	14717	\N	\N	0
3393962	11265	1993-08-15	VYDAJ	VYBER	4300	18257	\N	\N	0
3393963	11265	1993-09-07	VYDAJ	VYBER	3700	22242	\N	\N	0
3393964	11265	1993-10-12	VYDAJ	PREVOD NA UCET	4399	20403	UVER	KL	33709621
3393965	11265	1993-11-12	VYDAJ	PREVOD NA UCET	4399	18276	UVER	KL	33709621
3393966	11265	1993-12-12	VYDAJ	PREVOD NA UCET	4399	21658	UVER	KL	33709621
3393967	11265	1994-01-12	VYDAJ	PREVOD NA UCET	4399	19137	UVER	KL	33709621
3393968	11265	1994-02-12	VYDAJ	PREVOD NA UCET	4399	17912	UVER	KL	33709621
3393969	11265	1994-03-12	VYDAJ	PREVOD NA UCET	4399	17682	UVER	KL	33709621
3393970	11265	1994-04-12	VYDAJ	PREVOD NA UCET	4399	18050	UVER	KL	33709621
3393971	11265	1994-05-12	VYDAJ	PREVOD NA UCET	4399	15037	UVER	KL	33709621
3393972	11265	1994-06-12	VYDAJ	PREVOD NA UCET	4399	17602	UVER	KL	33709621
3393973	11265	1994-07-12	VYDAJ	PREVOD NA UCET	4399	18568	UVER	KL	33709621
3393974	11265	1994-08-12	VYDAJ	PREVOD NA UCET	4399	11958	UVER	KL	33709621
3393975	11265	1994-09-12	VYDAJ	PREVOD NA UCET	4399	14607	UVER	KL	33709621
3393976	11265	1994-10-17	VYDAJ	VYBER	4200	13161	\N	\N	0
3393977	11265	1994-11-21	VYDAJ	VYBER	3300	15915	\N	\N	0
3393978	11265	1994-12-04	VYDAJ	VYBER	4200	11774	\N	\N	0
3393979	11265	1995-01-09	VYDAJ	VYBER	5200	19928	\N	\N	0
3393980	11265	1995-02-13	VYDAJ	VYBER	4200	19895	\N	\N	0
3393981	11265	1995-03-16	VYDAJ	VYBER	3400	15612	\N	\N	0
3393982	11265	1995-04-13	VYDAJ	VYBER	5000	17876	\N	\N	0
3393983	11265	1995-05-10	VYDAJ	VYBER	4500	19853	\N	\N	0
3393984	11265	1995-06-07	VYDAJ	VYBER	3600	29443	\N	\N	0
3393985	11265	1995-07-07	VYDAJ	VYBER	4100	28442	\N	\N	0
3393986	11265	1995-08-19	VYDAJ	VYBER	4500	25527	\N	\N	0
3393987	11265	1995-09-15	VYDAJ	VYBER	4900	22733	\N	\N	0
3393988	11265	1995-10-14	VYDAJ	VYBER	3500	22205	\N	\N	0
3393989	11265	1995-11-20	VYDAJ	VYBER	5200	21792	\N	\N	0
3393990	11265	1995-12-19	VYDAJ	VYBER	4500	19986	\N	\N	0
3393991	11265	1996-01-03	VYDAJ	VYBER	5300	11757	\N	\N	0
3393992	11265	1996-02-09	VYDAJ	VYBER	4500	14585	\N	\N	0
3393993	11265	1996-03-20	VYDAJ	VYBER	5400	15130	\N	\N	0
3393994	11265	1996-04-11	VYDAJ	VYBER	3400	13590	\N	\N	0
3393995	11265	1996-05-16	VYDAJ	VYBER	4100	14749	\N	\N	0
3393996	11265	1996-06-18	VYDAJ	VYBER	4500	20213	\N	\N	0
3393997	11265	1996-07-05	VYDAJ	VYBER	4800	18498	\N	\N	0
3393998	11265	1996-08-04	VYDAJ	VYBER	4000	13379	\N	\N	0
3393999	11265	1996-09-18	VYDAJ	VYBER	3400	15564	\N	\N	0
3394000	11265	1996-10-12	VYDAJ	VYBER	3400	18522	\N	\N	0
3394001	11265	1996-11-08	VYDAJ	VYBER	4600	21501	\N	\N	0
3394002	11265	1996-12-16	VYDAJ	VYBER	3700	19543	\N	\N	0
3394003	11265	1997-01-19	VYDAJ	VYBER	4100	16515	\N	\N	0
3394004	11265	1997-02-12	VYDAJ	VYBER	3700	17377	\N	\N	0
3394005	11265	1997-03-16	VYDAJ	VYBER	4800	17138	\N	\N	0
3394006	11265	1997-04-10	VYDAJ	VYBER	4500	17203	\N	\N	0
3394007	11265	1997-05-16	VYDAJ	VYBER	3700	18075	\N	\N	0
3394008	11265	1997-06-05	VYDAJ	VYBER	4600	24963	\N	\N	0
3394009	11265	1997-07-18	VYDAJ	VYBER	5100	21328	\N	\N	0
3394010	11265	1997-08-06	VYDAJ	VYBER	3300	25724	\N	\N	0
3394011	11265	1997-09-08	VYDAJ	VYBER	4400	25906	\N	\N	0
3394012	11265	1997-10-17	VYDAJ	VYBER	5300	21115	\N	\N	0
3394013	11265	1997-11-08	VYDAJ	VYBER	4100	24711	\N	\N	0
3394014	11265	1997-12-10	VYDAJ	VYBER	3800	23650	\N	\N	0
3394015	11265	1998-01-17	VYDAJ	VYBER	3700	24034	\N	\N	0
3394016	11265	1998-02-03	VYDAJ	VYBER	3600	20518	\N	\N	0
3394017	11265	1998-03-15	VYDAJ	VYBER	5300	24315	\N	\N	0
3394018	11265	1998-04-21	VYDAJ	VYBER	5000	23908	\N	\N	0
3394019	11265	1998-05-04	VYDAJ	VYBER	4500	19497	\N	\N	0
3394020	11265	1998-06-21	VYDAJ	VYBER	4000	26959	\N	\N	0
3394021	11265	1998-07-06	VYDAJ	VYBER	4300	30375	\N	\N	0
3394022	11265	1998-08-05	VYDAJ	VYBER	3800	31176	\N	\N	0
3394023	11265	1998-09-21	VYDAJ	VYBER	4500	28168	\N	\N	0
3394024	11265	1998-10-16	VYDAJ	VYBER	5200	27578	\N	\N	0
3394025	11265	1998-11-04	VYDAJ	VYBER	3600	20119	\N	\N	0
3394026	11265	1998-12-02	VYDAJ	VYBER	3500	21208	\N	\N	0
3394027	11265	1993-06-09	VYDAJ	VYBER	17920	23549	\N	\N	\N
3394034	11265	1994-01-01	VYDAJ	VYBER	6400	13731	\N	\N	\N
3394039	11265	1993-12-29	VYDAJ	VYBER	1600	20058	\N	\N	\N
3394040	11265	1994-12-05	VYDAJ	VYBER	1120	17981	\N	\N	\N
3394041	11265	1995-12-16	VYDAJ	VYBER	2080	24486	\N	\N	\N
3394042	11265	1996-12-13	VYDAJ	VYBER	4320	23243	\N	\N	\N
3394043	11265	1997-12-05	VYDAJ	VYBER	3040	30057	\N	\N	\N
3394044	11265	1998-12-06	VYDAJ	VYBER	2240	30395	\N	\N	\N
3394045	11265	1993-07-25	VYDAJ	VYBER	840	18202	\N	\N	\N
3394047	11265	1993-08-14	VYDAJ	VYBER	5520	22557	\N	\N	\N
3394048	11265	1993-07-23	VYDAJ	VYBER	3480	19042	\N	\N	\N
3394049	11265	1993-09-26	VYDAJ	VYBER	4200	16829	\N	\N	\N
3394052	11265	1994-04-28	VYDAJ	VYBER	2280	15770	\N	\N	\N
3394053	11265	1994-07-30	VYDAJ	VYBER	1920	16648	\N	\N	\N
3394055	11265	1994-08-03	VYDAJ	VYBER	3960	12752	\N	\N	\N
3394056	11265	1995-02-19	VYDAJ	VYBER	2160	17735	\N	\N	\N
3394057	11265	1995-11-22	VYDAJ	VYBER	3120	18672	\N	\N	\N
3394058	11265	1995-12-22	VYDAJ	VYBER	1800	18186	\N	\N	\N
3394059	11265	1995-09-20	VYDAJ	VYBER	1920	20813	\N	\N	\N
3394060	11265	1996-08-22	VYDAJ	VYBER	3480	14404	\N	\N	\N
3394061	11265	1996-01-17	VYDAJ	VYBER	720	15542	\N	\N	\N
3394063	11265	1996-08-02	VYDAJ	VYBER	960	17379	\N	\N	\N
3394064	11265	1996-04-12	VYDAJ	VYBER	2880	10710	\N	\N	\N
3394065	11265	1996-02-08	VYDAJ	VYBER	1320	21692	\N	\N	\N
3394069	11265	1997-10-10	VYDAJ	VYBER	960	26921	\N	\N	\N
3394073	11265	1998-11-03	VYDAJ	VYBER	3960	23719	\N	\N	\N
3394075	11265	1998-06-19	VYDAJ	VYBER	1440	30959	\N	\N	\N
3394082	11265	1993-06-30	VYDAJ	VYBER	15	19217	SLUZBY	\N	\N
3394083	11265	1993-07-31	VYDAJ	VYBER	15	18272	SLUZBY	\N	\N
3394084	11265	1993-08-31	VYDAJ	VYBER	15	18324	SLUZBY	\N	\N
3394085	11265	1993-09-30	VYDAJ	VYBER	15	16897	SLUZBY	\N	\N
3394086	11265	1993-10-31	VYDAJ	VYBER	15	20470	SLUZBY	\N	\N
3394087	11265	1993-11-30	VYDAJ	VYBER	15	18343	SLUZBY	\N	\N
3394088	11265	1993-12-31	VYDAJ	VYBER	15	20131	SLUZBY	\N	\N
3394089	11265	1994-01-31	VYDAJ	VYBER	15	19206	SLUZBY	\N	\N
3394090	11265	1994-02-28	VYDAJ	VYBER	15	17976	SLUZBY	\N	\N
3394091	11265	1994-03-31	VYDAJ	VYBER	15	17744	SLUZBY	\N	\N
3394092	11265	1994-04-30	VYDAJ	VYBER	15	15831	SLUZBY	\N	\N
3394093	11265	1994-05-31	VYDAJ	VYBER	15	15087	SLUZBY	\N	\N
3394094	11265	1994-06-30	VYDAJ	VYBER	15	17662	SLUZBY	\N	\N
3394095	11265	1994-07-31	VYDAJ	VYBER	15	16712	SLUZBY	\N	\N
3394096	11265	1994-08-31	VYDAJ	VYBER	15	12001	SLUZBY	\N	\N
3394097	11265	1994-09-30	VYDAJ	VYBER	15	14656	SLUZBY	\N	\N
3394098	11265	1994-10-31	VYDAJ	VYBER	15	13210	SLUZBY	\N	\N
3394099	11265	1994-11-30	VYDAJ	VYBER	15	15974	SLUZBY	\N	\N
3394100	11265	1994-12-31	VYDAJ	VYBER	15	14917	SLUZBY	\N	\N
3394101	11265	1995-01-31	VYDAJ	VYBER	15	19490	SLUZBY	\N	\N
3394102	11265	1995-02-28	VYDAJ	VYBER	15	17807	SLUZBY	\N	\N
3394103	11265	1995-03-31	VYDAJ	VYBER	15	15671	SLUZBY	\N	\N
3394104	11265	1995-04-30	VYDAJ	VYBER	15	17942	SLUZBY	\N	\N
3394105	11265	1995-05-31	VYDAJ	VYBER	15	19416	SLUZBY	\N	\N
3394106	11265	1995-06-30	VYDAJ	VYBER	15	26424	SLUZBY	\N	\N
3394107	11265	1995-07-31	VYDAJ	VYBER	15	25422	SLUZBY	\N	\N
3394108	11265	1995-08-31	VYDAJ	VYBER	15	25628	SLUZBY	\N	\N
3394109	11265	1995-09-30	VYDAJ	VYBER	15	20900	SLUZBY	\N	\N
3394110	11265	1995-10-31	VYDAJ	VYBER	15	22487	SLUZBY	\N	\N
3394111	11265	1995-11-30	VYDAJ	VYBER	15	18252	SLUZBY	\N	\N
3394112	11265	1995-12-31	VYDAJ	VYBER	15	17057	SLUZBY	\N	\N
3394113	11265	1996-01-31	VYDAJ	VYBER	15	15394	SLUZBY	\N	\N
3394114	11265	1996-02-29	VYDAJ	VYBER	15	16025	SLUZBY	\N	\N
3394115	11265	1996-03-31	VYDAJ	VYBER	15	12485	SLUZBY	\N	\N
3394116	11265	1996-04-30	VYDAJ	VYBER	15	14344	SLUZBY	\N	\N
3394117	11265	1996-05-31	VYDAJ	VYBER	15	16399	SLUZBY	\N	\N
3394118	11265	1996-06-30	VYDAJ	VYBER	15	15680	SLUZBY	\N	\N
3394119	11265	1996-07-31	VYDAJ	VYBER	15	18339	SLUZBY	\N	\N
3394120	11265	1996-08-31	VYDAJ	VYBER	15	14459	SLUZBY	\N	\N
3394121	11265	1996-09-30	VYDAJ	VYBER	15	17417	SLUZBY	\N	\N
3394122	11265	1996-10-31	VYDAJ	VYBER	15	18483	SLUZBY	\N	\N
3394123	11265	1996-11-30	VYDAJ	VYBER	15	19249	SLUZBY	\N	\N
3394124	11265	1996-12-31	VYDAJ	VYBER	15	16110	SLUZBY	\N	\N
3394125	11265	1997-01-31	VYDAJ	VYBER	15	16572	SLUZBY	\N	\N
3394126	11265	1997-02-28	VYDAJ	VYBER	15	17433	SLUZBY	\N	\N
3394127	11265	1997-03-31	VYDAJ	VYBER	15	17198	SLUZBY	\N	\N
3394128	11265	1997-04-30	VYDAJ	VYBER	15	17270	SLUZBY	\N	\N
3394129	11265	1997-05-31	VYDAJ	VYBER	15	18136	SLUZBY	\N	\N
3394130	11265	1997-06-30	VYDAJ	VYBER	15	21923	SLUZBY	\N	\N
3394131	11265	1997-07-31	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
3394132	11265	1997-08-31	VYDAJ	VYBER	15	22688	SLUZBY	\N	\N
3394133	11265	1997-09-30	VYDAJ	VYBER	15	22870	SLUZBY	\N	\N
3394134	11265	1997-10-31	VYDAJ	VYBER	15	21193	SLUZBY	\N	\N
3394135	11265	1997-11-30	VYDAJ	VYBER	15	21670	SLUZBY	\N	\N
3394136	11265	1997-12-31	VYDAJ	VYBER	15	23229	SLUZBY	\N	\N
3394137	11265	1998-01-31	VYDAJ	VYBER	15	24118	SLUZBY	\N	\N
3394138	11265	1998-02-28	VYDAJ	VYBER	15	25110	SLUZBY	\N	\N
3394139	11265	1998-03-31	VYDAJ	VYBER	15	24403	SLUZBY	\N	\N
3394140	11265	1998-04-30	VYDAJ	VYBER	15	23997	SLUZBY	\N	\N
3394141	11265	1998-05-31	VYDAJ	VYBER	15	24085	SLUZBY	\N	\N
3394142	11265	1998-06-30	VYDAJ	VYBER	15	27057	SLUZBY	\N	\N
3394143	11265	1998-07-31	VYDAJ	VYBER	15	27358	SLUZBY	\N	\N
3394144	11265	1998-08-31	VYDAJ	VYBER	15	28163	SLUZBY	\N	\N
3394145	11265	1998-09-30	VYDAJ	VYBER	15	28273	SLUZBY	\N	\N
3394146	11265	1998-10-31	VYDAJ	VYBER	15	27679	SLUZBY	\N	\N
3394147	11265	1998-11-30	VYDAJ	VYBER	15	24708	SLUZBY	\N	\N
3394148	11265	1993-02-13	PRIJEM	VKLAD	9800	18418	\N	\N	\N
3394149	11265	1993-03-15	VYDAJ	VYBER	800	25280	\N	\N	\N
3394150	11265	1993-04-14	VYDAJ	VYBER	4800	28190	\N	\N	\N
3394151	11265	1993-05-14	VYDAJ	VYBER	6000	29921	\N	\N	\N
3394152	11265	1993-06-13	PRIJEM	VKLAD	3700	24136	\N	\N	\N
3394153	11265	1993-07-13	PRIJEM	VKLAD	3300	22522	\N	\N	\N
3394154	11265	1993-08-12	PRIJEM	VKLAD	5300	28077	\N	\N	\N
3394155	11265	1993-09-11	PRIJEM	VKLAD	1900	21029	\N	\N	\N
3394156	11265	1993-10-11	PRIJEM	VKLAD	3400	24802	\N	\N	\N
3394157	11265	1993-11-10	VYDAJ	VYBER	2300	22675	\N	\N	\N
3394158	11265	1993-12-10	VYDAJ	VYBER	600	26057	\N	\N	\N
3394159	11265	1994-01-09	PRIJEM	VKLAD	5300	26649	\N	\N	\N
3394160	11265	1994-02-08	VYDAJ	VYBER	1400	25424	\N	\N	\N
3394161	11265	1994-03-10	VYDAJ	VYBER	400	22587	\N	\N	\N
3394162	11265	1994-04-09	PRIJEM	VKLAD	200	25562	\N	\N	\N
3394163	11265	1994-05-09	VYDAJ	VYBER	900	22549	\N	\N	\N
3394164	11265	1994-06-08	VYDAJ	VYBER	1400	25114	\N	\N	\N
3394165	11265	1994-07-08	PRIJEM	VKLAD	800	26080	\N	\N	\N
3394166	11265	1994-08-07	VYDAJ	VYBER	900	19470	\N	\N	\N
3394167	11265	1994-09-06	PRIJEM	VKLAD	2500	22119	\N	\N	\N
3394168	11265	1994-10-06	VYDAJ	VYBER	1800	20474	\N	\N	\N
3394169	11265	1994-11-05	PRIJEM	VKLAD	1500	22328	\N	\N	\N
3394170	11265	1994-12-05	VYDAJ	VYBER	4100	19101	\N	\N	\N
3394171	11265	1995-01-04	PRIJEM	VKLAD	5200	20117	\N	\N	\N
3394172	11265	1995-02-03	PRIJEM	VKLAD	100	19590	\N	\N	\N
3394173	11265	1995-03-05	VYDAJ	VYBER	3300	22125	\N	\N	\N
3394174	11265	1995-04-04	PRIJEM	VKLAD	2700	18371	\N	\N	\N
3394175	11265	1995-05-04	PRIJEM	VKLAD	1400	19342	\N	\N	\N
3394176	11265	1995-06-03	PRIJEM	VKLAD	2200	21616	\N	\N	\N
3394177	11265	1995-07-03	VYDAJ	VYBER	1500	24924	\N	\N	\N
3394178	11265	1995-08-02	PRIJEM	VKLAD	100	25522	\N	\N	\N
3394179	11265	1995-09-01	VYDAJ	VYBER	2500	23128	\N	\N	\N
3394180	11265	1995-10-01	PRIJEM	VKLAD	300	21200	\N	\N	\N
3394181	11265	1995-10-31	PRIJEM	VKLAD	200	22405	\N	\N	\N
3394182	11265	1995-11-30	VYDAJ	VYBER	500	18267	\N	\N	\N
3394183	11265	1995-12-30	VYDAJ	VYBER	1200	16986	\N	\N	\N
3394184	11265	1996-01-29	VYDAJ	VYBER	200	15342	\N	\N	\N
3394185	11265	1996-02-28	PRIJEM	VKLAD	1900	15979	\N	\N	\N
3394186	11265	1996-03-29	VYDAJ	VYBER	2700	12430	\N	\N	\N
3394187	11265	1996-04-28	PRIJEM	VKLAD	3600	14310	\N	\N	\N
3394188	11265	1996-05-28	PRIJEM	VKLAD	1600	16349	\N	\N	\N
3394189	11265	1996-06-27	VYDAJ	VYBER	4600	15613	\N	\N	\N
3394190	11265	1996-07-27	PRIJEM	VKLAD	2900	18285	\N	\N	\N
3394191	11265	1996-09-25	PRIJEM	VKLAD	1800	17364	\N	\N	\N
3394192	11265	1996-10-25	VYDAJ	VYBER	100	18422	\N	\N	\N
3394193	11265	1996-11-24	PRIJEM	VKLAD	800	19188	\N	\N	\N
3394194	11265	1996-12-24	VYDAJ	VYBER	3500	16043	\N	\N	\N
3395154	11271	1995-09-20	PRIJEM	VKLAD	200	200	\N	\N	\N
3395164	11271	1995-10-05	PRIJEM	PREVOD Z UCTU	11222	11422	\N	IJ	3519863
3395165	11271	1995-11-05	PRIJEM	PREVOD Z UCTU	11222	31877	\N	IJ	3519863
3395539	11271	1996-08-15	VYDAJ	VYBER	1900	19849	\N	\N	\N
3395166	11271	1995-12-05	PRIJEM	PREVOD Z UCTU	16833	43506	\N	IJ	3519863
3395167	11271	1996-01-05	PRIJEM	PREVOD Z UCTU	11222	43949	\N	IJ	3519863
3395168	11271	1996-02-05	PRIJEM	PREVOD Z UCTU	11222	43807	\N	IJ	3519863
3395169	11271	1996-03-05	PRIJEM	PREVOD Z UCTU	11222	34455	\N	IJ	3519863
3395170	11271	1996-04-05	PRIJEM	PREVOD Z UCTU	11222	30372	\N	IJ	3519863
3395171	11271	1996-05-05	PRIJEM	PREVOD Z UCTU	11222	31581	\N	IJ	3519863
3395172	11271	1996-06-05	PRIJEM	PREVOD Z UCTU	16833	36504	\N	IJ	3519863
3395173	11271	1996-07-05	PRIJEM	PREVOD Z UCTU	11222	31225	\N	IJ	3519863
3395174	11271	1996-08-05	PRIJEM	PREVOD Z UCTU	11222	30437	\N	IJ	3519863
3395175	11271	1996-09-05	PRIJEM	PREVOD Z UCTU	11222	29444	\N	IJ	3519863
3395176	11271	1996-10-05	PRIJEM	PREVOD Z UCTU	11222	31056	\N	IJ	3519863
3395177	11271	1996-11-05	PRIJEM	PREVOD Z UCTU	11222	30375	\N	IJ	3519863
3395178	11271	1996-12-05	PRIJEM	PREVOD Z UCTU	16833	42110	\N	IJ	3519863
3395179	11271	1997-01-05	PRIJEM	PREVOD Z UCTU	11222	33846	\N	IJ	3519863
3395180	11271	1997-02-05	PRIJEM	PREVOD Z UCTU	11222	31055	\N	IJ	3519863
3395181	11271	1997-03-05	PRIJEM	PREVOD Z UCTU	11222	30094	\N	IJ	3519863
3395182	11271	1997-04-05	PRIJEM	PREVOD Z UCTU	11222	29228	\N	IJ	3519863
3395183	11271	1997-05-05	PRIJEM	PREVOD Z UCTU	11222	29762	\N	IJ	3519863
3395184	11271	1997-06-05	PRIJEM	PREVOD Z UCTU	16833	33246	\N	IJ	3519863
3395185	11271	1997-07-05	PRIJEM	PREVOD Z UCTU	11222	29172	\N	IJ	3519863
3395186	11271	1997-08-05	PRIJEM	PREVOD Z UCTU	11222	33114	\N	IJ	3519863
3395187	11271	1997-09-05	PRIJEM	PREVOD Z UCTU	11222	29451	\N	IJ	3519863
3395188	11271	1997-10-05	PRIJEM	PREVOD Z UCTU	11222	27177	\N	IJ	3519863
3395189	11271	1997-11-05	PRIJEM	PREVOD Z UCTU	11222	27201	\N	IJ	3519863
3395190	11271	1997-12-05	PRIJEM	PREVOD Z UCTU	16833	32835	\N	IJ	3519863
3395191	11271	1998-01-05	PRIJEM	PREVOD Z UCTU	11222	32781	\N	IJ	3519863
3395192	11271	1998-02-05	PRIJEM	PREVOD Z UCTU	11222	32628	\N	IJ	3519863
3395193	11271	1998-03-05	PRIJEM	PREVOD Z UCTU	11222	24551	\N	IJ	3519863
3395194	11271	1998-04-05	PRIJEM	PREVOD Z UCTU	11222	24763	\N	IJ	3519863
3395195	11271	1998-05-05	PRIJEM	PREVOD Z UCTU	11222	22970	\N	IJ	3519863
3395196	11271	1998-06-05	PRIJEM	PREVOD Z UCTU	16833	25075	\N	IJ	3519863
3395197	11271	1998-07-05	PRIJEM	PREVOD Z UCTU	11222	20871	\N	IJ	3519863
3395198	11271	1998-08-05	PRIJEM	PREVOD Z UCTU	11222	21670	\N	IJ	3519863
3395199	11271	1998-09-05	PRIJEM	PREVOD Z UCTU	11222	30985	\N	IJ	3519863
3395200	11271	1998-10-05	PRIJEM	PREVOD Z UCTU	11222	25876	\N	IJ	3519863
3395201	11271	1998-11-05	PRIJEM	PREVOD Z UCTU	11222	32495	\N	IJ	3519863
3395202	11271	1998-12-05	PRIJEM	PREVOD Z UCTU	16833	36150	\N	IJ	3519863
3395216	11271	1996-02-18	VYDAJ	VYBER	2100	23119	\N	\N	0
3395217	11271	1996-03-09	VYDAJ	VYBER	1500	30075	\N	\N	0
3395218	11271	1996-04-07	VYDAJ	VYBER	2300	27556	\N	\N	0
3395219	11271	1996-05-09	VYDAJ	VYBER	1900	26801	\N	\N	0
3395220	11271	1996-06-05	VYDAJ	VYBER	1700	34288	\N	\N	0
3395221	11271	1996-07-04	VYDAJ	VYBER	1800	20003	\N	\N	0
3395222	11271	1996-08-21	VYDAJ	VYBER	1700	18149	\N	\N	0
3395223	11271	1996-09-06	VYDAJ	VYBER	1900	27028	\N	\N	0
3395224	11271	1996-10-02	VYDAJ	VYBER	2200	19834	\N	\N	0
3395225	11271	1996-11-04	VYDAJ	VYBER	2000	19153	\N	\N	0
3395226	11271	1996-12-13	VYDAJ	VYBER	2000	29322	\N	\N	0
3395227	11271	1997-01-04	VYDAJ	VYBER	1500	22624	\N	\N	0
3395228	11271	1997-02-12	VYDAJ	PREVOD NA UCET	1870	18797	UVER	QR	24716264
3395229	11271	1997-03-12	VYDAJ	PREVOD NA UCET	1870	19536	UVER	QR	24716264
3395230	11271	1997-04-12	VYDAJ	PREVOD NA UCET	1870	18670	UVER	QR	24716264
3395231	11271	1997-05-12	VYDAJ	PREVOD NA UCET	1870	16347	UVER	QR	24716264
3395232	11271	1997-06-12	VYDAJ	PREVOD NA UCET	1870	17888	UVER	QR	24716264
3395233	11271	1997-07-12	VYDAJ	PREVOD NA UCET	1870	21813	UVER	QR	24716264
3395234	11271	1997-08-12	VYDAJ	PREVOD NA UCET	1870	18156	UVER	QR	24716264
3395235	11271	1997-09-12	VYDAJ	PREVOD NA UCET	1870	15893	UVER	QR	24716264
3395236	11271	1997-10-12	VYDAJ	PREVOD NA UCET	1870	15919	UVER	QR	24716264
3395237	11271	1997-11-12	VYDAJ	PREVOD NA UCET	1870	15942	UVER	QR	24716264
3395238	11271	1997-12-12	VYDAJ	PREVOD NA UCET	1870	22977	UVER	QR	24716264
3395239	11271	1998-01-12	VYDAJ	PREVOD NA UCET	1870	22823	UVER	QR	24716264
3395240	11271	1998-02-12	VYDAJ	PREVOD NA UCET	1870	13270	UVER	QR	24716264
3395241	11271	1998-03-12	VYDAJ	PREVOD NA UCET	1870	13492	UVER	QR	24716264
3395242	11271	1998-04-12	VYDAJ	PREVOD NA UCET	1870	11705	UVER	QR	24716264
3395243	11271	1998-05-12	VYDAJ	PREVOD NA UCET	1870	8212	UVER	QR	24716264
3395244	11271	1998-06-12	VYDAJ	PREVOD NA UCET	1870	9616	UVER	QR	24716264
3395245	11271	1998-07-12	VYDAJ	PREVOD NA UCET	1870	10413	UVER	QR	24716264
3395246	11271	1998-08-12	VYDAJ	PREVOD NA UCET	1870	14712	UVER	QR	24716264
3395247	11271	1998-09-12	VYDAJ	PREVOD NA UCET	1870	13405	UVER	QR	24716264
3395248	11271	1998-10-12	VYDAJ	PREVOD NA UCET	1870	15318	UVER	QR	24716264
3395249	11271	1998-11-12	VYDAJ	PREVOD NA UCET	1870	21937	UVER	QR	24716264
3395250	11271	1998-12-12	VYDAJ	PREVOD NA UCET	1870	19592	UVER	QR	24716264
3395264	11271	1996-02-11	VYDAJ	PREVOD NA UCET	5808	35119	SIPO	EF	69184708
3395265	11271	1996-03-11	VYDAJ	PREVOD NA UCET	5808	24267	SIPO	EF	69184708
3395266	11271	1996-04-11	VYDAJ	PREVOD NA UCET	5808	19384	SIPO	EF	69184708
3395267	11271	1996-05-11	VYDAJ	PREVOD NA UCET	5808	20993	SIPO	EF	69184708
3395268	11271	1996-06-11	VYDAJ	PREVOD NA UCET	5808	26116	SIPO	EF	69184708
3395269	11271	1996-07-11	VYDAJ	PREVOD NA UCET	5808	22537	SIPO	EF	69184708
3395270	11271	1996-08-11	VYDAJ	PREVOD NA UCET	5808	21749	SIPO	EF	69184708
3395271	11271	1996-09-11	VYDAJ	PREVOD NA UCET	5808	18856	SIPO	EF	69184708
3395272	11271	1996-10-11	VYDAJ	PREVOD NA UCET	5808	22368	SIPO	EF	69184708
3395273	11271	1996-11-11	VYDAJ	PREVOD NA UCET	5808	21687	SIPO	EF	69184708
3395274	11271	1996-12-11	VYDAJ	PREVOD NA UCET	5808	31322	SIPO	EF	69184708
3395275	11271	1997-01-11	VYDAJ	PREVOD NA UCET	5808	18558	SIPO	EF	69184708
3395276	11271	1997-02-11	VYDAJ	PREVOD NA UCET	5808	20667	SIPO	EF	69184708
3395277	11271	1997-03-11	VYDAJ	PREVOD NA UCET	5808	21406	SIPO	EF	69184708
3395278	11271	1997-04-11	VYDAJ	PREVOD NA UCET	5808	20540	SIPO	EF	69184708
3395279	11271	1997-05-11	VYDAJ	PREVOD NA UCET	5808	14717	SIPO	EF	69184708
3395280	11271	1997-06-11	VYDAJ	PREVOD NA UCET	5808	19758	SIPO	EF	69184708
3395281	11271	1997-07-11	VYDAJ	PREVOD NA UCET	5808	23684	SIPO	EF	69184708
3395282	11271	1997-08-11	VYDAJ	PREVOD NA UCET	5808	20026	SIPO	EF	69184708
3395283	11271	1997-09-11	VYDAJ	PREVOD NA UCET	5808	17763	SIPO	EF	69184708
3395284	11271	1997-10-11	VYDAJ	PREVOD NA UCET	5808	17789	SIPO	EF	69184708
3395285	11271	1997-11-11	VYDAJ	PREVOD NA UCET	5808	17813	SIPO	EF	69184708
3395286	11271	1997-12-11	VYDAJ	PREVOD NA UCET	5808	24847	SIPO	EF	69184708
3395287	11271	1998-01-11	VYDAJ	PREVOD NA UCET	5808	24693	SIPO	EF	69184708
3395288	11271	1998-02-11	VYDAJ	PREVOD NA UCET	5808	15140	SIPO	EF	69184708
3395289	11271	1998-03-11	VYDAJ	PREVOD NA UCET	5808	15363	SIPO	EF	69184708
3395290	11271	1998-04-11	VYDAJ	PREVOD NA UCET	5808	13575	SIPO	EF	69184708
3395291	11271	1998-05-11	VYDAJ	PREVOD NA UCET	5808	10082	SIPO	EF	69184708
3395292	11271	1998-06-11	VYDAJ	PREVOD NA UCET	5808	11487	SIPO	EF	69184708
3395293	11271	1998-07-11	VYDAJ	PREVOD NA UCET	5808	12283	SIPO	EF	69184708
3395294	11271	1998-08-11	VYDAJ	PREVOD NA UCET	5808	16582	SIPO	EF	69184708
3395295	11271	1998-09-11	VYDAJ	PREVOD NA UCET	5808	15275	SIPO	EF	69184708
3395296	11271	1998-10-11	VYDAJ	PREVOD NA UCET	5808	17188	SIPO	EF	69184708
3395297	11271	1998-11-11	VYDAJ	PREVOD NA UCET	5808	23807	SIPO	EF	69184708
3395298	11271	1998-12-11	VYDAJ	PREVOD NA UCET	5808	21462	SIPO	EF	69184708
3395312	11271	1996-02-09	VYDAJ	PREVOD NA UCET	2364	40927	 	AB	31909245
3395313	11271	1996-03-09	VYDAJ	PREVOD NA UCET	2364	31575	 	AB	31909245
3395314	11271	1996-04-09	VYDAJ	PREVOD NA UCET	2364	25192	 	AB	31909245
3395315	11271	1996-05-09	VYDAJ	PREVOD NA UCET	2364	28701	 	AB	31909245
3395316	11271	1996-06-09	VYDAJ	PREVOD NA UCET	2364	31924	 	AB	31909245
3395317	11271	1996-07-09	VYDAJ	PREVOD NA UCET	2364	28345	 	AB	31909245
3395318	11271	1996-08-09	VYDAJ	PREVOD NA UCET	2364	27557	 	AB	31909245
3395319	11271	1996-09-09	VYDAJ	PREVOD NA UCET	2364	24664	 	AB	31909245
3395320	11271	1996-10-09	VYDAJ	PREVOD NA UCET	2364	28176	 	AB	31909245
3395321	11271	1996-11-09	VYDAJ	PREVOD NA UCET	2364	27495	 	AB	31909245
3395322	11271	1996-12-09	VYDAJ	PREVOD NA UCET	2364	37130	 	AB	31909245
3395323	11271	1997-01-09	VYDAJ	PREVOD NA UCET	2364	24366	 	AB	31909245
3395324	11271	1997-02-09	VYDAJ	PREVOD NA UCET	2364	28175	 	AB	31909245
3395325	11271	1997-03-09	VYDAJ	PREVOD NA UCET	2364	27214	 	AB	31909245
3395326	11271	1997-04-09	VYDAJ	PREVOD NA UCET	2364	26348	 	AB	31909245
3395327	11271	1997-05-09	VYDAJ	PREVOD NA UCET	2364	20525	 	AB	31909245
3395328	11271	1997-06-09	VYDAJ	PREVOD NA UCET	2364	17166	 	AB	31909245
3395329	11271	1997-07-09	VYDAJ	PREVOD NA UCET	2364	26292	 	AB	31909245
3395330	11271	1997-08-09	VYDAJ	PREVOD NA UCET	2364	30234	 	AB	31909245
3395331	11271	1997-09-09	VYDAJ	PREVOD NA UCET	2364	23571	 	AB	31909245
3395332	11271	1997-10-09	VYDAJ	PREVOD NA UCET	2364	23597	 	AB	31909245
3395333	11271	1997-11-09	VYDAJ	PREVOD NA UCET	2364	23621	 	AB	31909245
3395334	11271	1997-12-09	VYDAJ	PREVOD NA UCET	2364	30655	 	AB	31909245
3395335	11271	1998-01-09	VYDAJ	PREVOD NA UCET	2364	30501	 	AB	31909245
3395336	11271	1998-02-09	VYDAJ	PREVOD NA UCET	2364	20948	 	AB	31909245
3395337	11271	1998-03-09	VYDAJ	PREVOD NA UCET	2364	21171	 	AB	31909245
3395338	11271	1998-04-09	VYDAJ	PREVOD NA UCET	2364	19383	 	AB	31909245
3395339	11271	1998-05-09	VYDAJ	PREVOD NA UCET	2364	15890	 	AB	31909245
3395340	11271	1998-06-09	VYDAJ	PREVOD NA UCET	2364	17295	 	AB	31909245
3395341	11271	1998-07-09	VYDAJ	PREVOD NA UCET	2364	18091	 	AB	31909245
3395342	11271	1998-08-09	VYDAJ	PREVOD NA UCET	2364	22390	 	AB	31909245
3395343	11271	1998-09-09	VYDAJ	PREVOD NA UCET	2364	21083	 	AB	31909245
3395344	11271	1998-10-09	VYDAJ	PREVOD NA UCET	2364	22996	 	AB	31909245
3395345	11271	1998-11-09	VYDAJ	PREVOD NA UCET	2364	29615	 	AB	31909245
3395346	11271	1998-12-09	VYDAJ	PREVOD NA UCET	2364	27270	 	AB	31909245
3395360	11271	1996-02-05	VYDAJ	PREVOD NA UCET	516	43291	POJISTNE	IJ	36822885
3395361	11271	1996-03-05	VYDAJ	PREVOD NA UCET	516	33939	POJISTNE	IJ	36822885
3395362	11271	1996-04-05	VYDAJ	PREVOD NA UCET	516	29856	POJISTNE	IJ	36822885
3395363	11271	1996-05-05	VYDAJ	PREVOD NA UCET	516	31065	POJISTNE	IJ	36822885
3395364	11271	1996-06-05	VYDAJ	PREVOD NA UCET	516	35988	POJISTNE	IJ	36822885
3395365	11271	1996-07-05	VYDAJ	PREVOD NA UCET	516	30709	POJISTNE	IJ	36822885
3395366	11271	1996-08-05	VYDAJ	PREVOD NA UCET	516	29921	POJISTNE	IJ	36822885
3395367	11271	1996-09-05	VYDAJ	PREVOD NA UCET	516	28928	POJISTNE	IJ	36822885
3395368	11271	1996-10-05	VYDAJ	PREVOD NA UCET	516	30540	POJISTNE	IJ	36822885
3395369	11271	1996-11-05	VYDAJ	PREVOD NA UCET	516	29859	POJISTNE	IJ	36822885
3395370	11271	1996-12-05	VYDAJ	PREVOD NA UCET	516	39494	POJISTNE	IJ	36822885
3395371	11271	1997-01-05	VYDAJ	PREVOD NA UCET	516	30930	POJISTNE	IJ	36822885
3395372	11271	1997-02-05	VYDAJ	PREVOD NA UCET	516	30539	POJISTNE	IJ	36822885
3395373	11271	1997-03-05	VYDAJ	PREVOD NA UCET	516	29578	POJISTNE	IJ	36822885
3395374	11271	1997-04-05	VYDAJ	PREVOD NA UCET	516	28712	POJISTNE	IJ	36822885
3395375	11271	1997-05-05	VYDAJ	PREVOD NA UCET	516	29246	POJISTNE	IJ	36822885
3395376	11271	1997-06-05	VYDAJ	PREVOD NA UCET	516	32730	POJISTNE	IJ	36822885
3395377	11271	1997-07-05	VYDAJ	PREVOD NA UCET	516	28656	POJISTNE	IJ	36822885
3395378	11271	1997-08-05	VYDAJ	PREVOD NA UCET	516	32598	POJISTNE	IJ	36822885
3395379	11271	1997-09-05	VYDAJ	PREVOD NA UCET	516	28935	POJISTNE	IJ	36822885
3395380	11271	1997-10-05	VYDAJ	PREVOD NA UCET	516	26661	POJISTNE	IJ	36822885
3395381	11271	1997-11-05	VYDAJ	PREVOD NA UCET	516	26685	POJISTNE	IJ	36822885
3395382	11271	1997-12-05	VYDAJ	PREVOD NA UCET	516	32319	POJISTNE	IJ	36822885
3395383	11271	1998-01-05	VYDAJ	PREVOD NA UCET	516	32265	POJISTNE	IJ	36822885
3395384	11271	1998-02-05	VYDAJ	PREVOD NA UCET	516	32112	POJISTNE	IJ	36822885
3395385	11271	1998-03-05	VYDAJ	PREVOD NA UCET	516	24035	POJISTNE	IJ	36822885
3395386	11271	1998-04-05	VYDAJ	PREVOD NA UCET	516	24247	POJISTNE	IJ	36822885
3395387	11271	1998-05-05	VYDAJ	PREVOD NA UCET	516	22454	POJISTNE	IJ	36822885
3395388	11271	1998-06-05	VYDAJ	PREVOD NA UCET	516	24559	POJISTNE	IJ	36822885
3395389	11271	1998-07-05	VYDAJ	PREVOD NA UCET	516	20355	POJISTNE	IJ	36822885
3395390	11271	1998-08-05	VYDAJ	PREVOD NA UCET	516	24754	POJISTNE	IJ	36822885
3395391	11271	1998-09-05	VYDAJ	PREVOD NA UCET	516	23447	POJISTNE	IJ	36822885
3395392	11271	1998-10-05	VYDAJ	PREVOD NA UCET	516	25360	POJISTNE	IJ	36822885
3395393	11271	1998-11-05	VYDAJ	PREVOD NA UCET	516	31979	POJISTNE	IJ	36822885
3395394	11271	1998-12-05	VYDAJ	PREVOD NA UCET	516	35634	POJISTNE	IJ	36822885
3395412	11271	1997-05-08	VYBER	VYBER	6357	22889	\N	\N	\N
3395427	11271	1998-09-05	VYBER	VYBER	7022	23963	\N	\N	\N
3395437	11271	1996-12-05	VYDAJ	VYBER	2100	40010	\N	\N	\N
3395438	11271	1997-12-20	VYDAJ	VYBER	1500	21477	\N	\N	\N
3395439	11271	1998-12-06	VYDAJ	VYBER	6000	29634	\N	\N	\N
3395452	11271	1997-01-06	VYDAJ	VYBER	4200	26730	\N	\N	\N
3395455	11271	1997-01-05	VYDAJ	VYBER	2400	31446	\N	\N	\N
3395463	11271	1998-01-15	VYDAJ	VYBER	1500	21323	\N	\N	\N
3395473	11271	1996-10-22	VYDAJ	VYBER	3300	21068	\N	\N	\N
3395476	11271	1997-06-06	VYDAJ	VYBER	13200	19530	\N	\N	\N
3395479	11271	1998-02-09	VYDAJ	VYBER	6600	23312	\N	\N	\N
3395495	11271	1996-02-29	VYDAJ	VYBER	15	23233	SLUZBY	\N	\N
3395496	11271	1996-03-31	VYDAJ	VYBER	15	19150	SLUZBY	\N	\N
3395497	11271	1996-04-30	VYDAJ	VYBER	15	20359	SLUZBY	\N	\N
3395498	11271	1996-05-31	VYDAJ	VYBER	15	19671	SLUZBY	\N	\N
3395499	11271	1996-06-30	VYDAJ	VYBER	15	21803	SLUZBY	\N	\N
3395500	11271	1996-07-31	VYDAJ	VYBER	15	19215	SLUZBY	\N	\N
3395501	11271	1996-08-31	VYDAJ	VYBER	15	18222	SLUZBY	\N	\N
3395502	11271	1996-09-30	VYDAJ	VYBER	15	22034	SLUZBY	\N	\N
3395503	11271	1996-10-31	VYDAJ	VYBER	15	21153	SLUZBY	\N	\N
3395504	11271	1996-11-30	VYDAJ	VYBER	15	25277	SLUZBY	\N	\N
3395505	11271	1996-12-31	VYDAJ	VYBER	15	24124	SLUZBY	\N	\N
3395506	11271	1997-01-31	VYDAJ	VYBER	15	19833	SLUZBY	\N	\N
3395507	11271	1997-02-28	VYDAJ	VYBER	15	18872	SLUZBY	\N	\N
3395508	11271	1997-03-31	VYDAJ	VYBER	15	18006	SLUZBY	\N	\N
3395509	11271	1997-04-30	VYDAJ	VYBER	15	18540	SLUZBY	\N	\N
3395510	11271	1997-05-31	VYDAJ	VYBER	15	16413	SLUZBY	\N	\N
3395511	11271	1997-06-30	VYDAJ	VYBER	15	17950	SLUZBY	\N	\N
3395512	11271	1997-07-31	VYDAJ	VYBER	15	21892	SLUZBY	\N	\N
3395513	11271	1997-08-31	VYDAJ	VYBER	15	18229	SLUZBY	\N	\N
3395514	11271	1997-09-30	VYDAJ	VYBER	15	15955	SLUZBY	\N	\N
3395515	11271	1997-10-31	VYDAJ	VYBER	15	15979	SLUZBY	\N	\N
3395516	11271	1997-11-30	VYDAJ	VYBER	15	16002	SLUZBY	\N	\N
3395517	11271	1997-12-31	VYDAJ	VYBER	15	21559	SLUZBY	\N	\N
3395518	11271	1998-01-31	VYDAJ	VYBER	15	21406	SLUZBY	\N	\N
3395519	11271	1998-02-28	VYDAJ	VYBER	15	13329	SLUZBY	\N	\N
3395520	11271	1998-03-31	VYDAJ	VYBER	15	13541	SLUZBY	\N	\N
3395521	11271	1998-04-30	VYDAJ	VYBER	15	11748	SLUZBY	\N	\N
3395522	11271	1998-05-31	VYDAJ	VYBER	15	8242	SLUZBY	\N	\N
3395523	11271	1998-06-30	VYDAJ	VYBER	15	9649	SLUZBY	\N	\N
3395524	11271	1998-07-31	VYDAJ	VYBER	15	10448	SLUZBY	\N	\N
3395525	11271	1998-08-31	VYDAJ	VYBER	15	14763	SLUZBY	\N	\N
3395526	11271	1998-09-30	VYDAJ	VYBER	15	13454	SLUZBY	\N	\N
3395527	11271	1998-10-31	VYDAJ	VYBER	15	15373	SLUZBY	\N	\N
3395528	11271	1998-11-30	VYDAJ	VYBER	15	22017	SLUZBY	\N	\N
3395529	11271	1995-10-20	PRIJEM	VKLAD	9200	20622	\N	\N	\N
3395530	11271	1995-11-19	VYDAJ	VYBER	5300	26577	\N	\N	\N
3395531	11271	1995-12-19	VYDAJ	VYBER	10900	32606	\N	\N	\N
3395532	11271	1996-01-18	VYDAJ	VYBER	11500	32449	\N	\N	\N
3395533	11271	1996-02-17	VYDAJ	VYBER	9900	25219	\N	\N	\N
3395534	11271	1996-03-18	VYDAJ	VYBER	5200	19067	\N	\N	\N
3395535	11271	1996-04-17	PRIJEM	VKLAD	900	20284	\N	\N	\N
3395536	11271	1996-05-17	VYDAJ	VYBER	1400	19593	\N	\N	\N
3395537	11271	1996-06-16	VYDAJ	VYBER	4400	21716	\N	\N	\N
3395538	11271	1996-07-16	VYDAJ	VYBER	3400	19137	\N	\N	\N
3395540	11271	1996-09-14	PRIJEM	VKLAD	3100	21956	\N	\N	\N
3395541	11271	1996-10-14	PRIJEM	VKLAD	2000	24368	\N	\N	\N
3395542	11271	1996-11-13	PRIJEM	VKLAD	3500	25187	\N	\N	\N
3395543	11271	1996-12-13	VYDAJ	VYBER	5300	24022	\N	\N	\N
3395544	11271	1997-01-12	PRIJEM	VKLAD	1200	19758	\N	\N	\N
3395545	11271	1997-02-11	VYDAJ	VYBER	1700	26475	\N	\N	\N
3395546	11271	1997-03-13	VYDAJ	VYBER	1600	17936	\N	\N	\N
3395547	11271	1997-04-12	VYDAJ	VYBER	200	18470	\N	\N	\N
3395548	11271	1997-05-12	PRIJEM	VKLAD	3500	18217	\N	\N	\N
3395549	11271	1997-06-11	PRIJEM	VKLAD	8400	25566	\N	\N	\N
3395550	11271	1997-07-11	PRIJEM	VKLAD	3200	29492	\N	\N	\N
3395551	11271	1997-08-10	VYDAJ	VYBER	4400	25834	\N	\N	\N
3395552	11271	1997-09-09	VYDAJ	VYBER	3000	25935	\N	\N	\N
3395553	11271	1997-10-09	VYDAJ	VYBER	700	25961	\N	\N	\N
3395554	11271	1997-11-08	VYDAJ	VYBER	700	25985	\N	\N	\N
3395555	11271	1997-12-08	PRIJEM	VKLAD	700	33019	\N	\N	\N
3395556	11271	1998-01-07	PRIJEM	VKLAD	600	32865	\N	\N	\N
3395557	11271	1998-02-06	VYDAJ	VYBER	2200	29912	\N	\N	\N
3395558	11271	1998-03-08	VYDAJ	VYBER	500	23535	\N	\N	\N
3395559	11271	1998-04-07	VYDAJ	VYBER	2500	21747	\N	\N	\N
3395560	11271	1998-05-07	VYDAJ	VYBER	4200	18254	\N	\N	\N
3395561	11271	1998-06-06	VYDAJ	VYBER	4900	19659	\N	\N	\N
3395562	11271	1998-07-06	PRIJEM	VKLAD	100	20455	\N	\N	\N
3395563	11271	1998-08-05	PRIJEM	VKLAD	3600	25270	\N	\N	\N
3395564	11271	1998-09-04	PRIJEM	VKLAD	5000	19763	\N	\N	\N
3395565	11271	1998-10-04	PRIJEM	VKLAD	1200	14654	\N	\N	\N
3395566	11271	1998-11-03	PRIJEM	VKLAD	5900	21273	\N	\N	\N
3395567	11271	1998-12-03	VYDAJ	VYBER	2700	19317	\N	\N	\N
3402664	11295	1993-01-21	PRIJEM	VKLAD	1100	1100	\N	\N	\N
3402666	11295	1993-02-08	PRIJEM	VKLAD	18347	19447	\N	\N	\N
3402667	11295	1993-03-08	PRIJEM	VKLAD	18347	41553	\N	\N	\N
3402668	11295	1993-04-08	PRIJEM	VKLAD	18347	49344	\N	\N	\N
3402669	11295	1993-05-08	PRIJEM	VKLAD	18347	57178	\N	\N	\N
3402670	11295	1993-06-08	PRIJEM	VKLAD	27520	63119	\N	\N	\N
3402671	11295	1993-07-08	PRIJEM	VKLAD	18347	40667	\N	\N	\N
3402672	11295	1993-08-08	PRIJEM	VKLAD	18347	44426	\N	\N	\N
3402673	11295	1993-09-08	PRIJEM	VKLAD	18347	38965	\N	\N	\N
3402674	11295	1993-10-08	PRIJEM	VKLAD	18347	47826	\N	\N	\N
3402675	11295	1993-11-08	PRIJEM	VKLAD	18347	48681	\N	\N	\N
3402676	11295	1993-12-08	PRIJEM	VKLAD	27520	60924	\N	\N	\N
3402677	11295	1994-01-08	PRIJEM	VKLAD	18347	46580	\N	\N	\N
3402678	11295	1994-02-08	PRIJEM	VKLAD	18347	37973	\N	\N	\N
3402679	11295	1994-03-08	PRIJEM	VKLAD	18347	37799	\N	\N	\N
3402680	11295	1994-04-08	PRIJEM	VKLAD	18347	41647	\N	\N	\N
3402681	11295	1994-05-08	PRIJEM	VKLAD	18347	52582	\N	\N	\N
3402682	11295	1994-06-08	PRIJEM	VKLAD	27520	57776	\N	\N	\N
3402683	11295	1994-07-08	PRIJEM	VKLAD	18347	40384	\N	\N	\N
3402684	11295	1994-08-08	PRIJEM	VKLAD	18347	50973	\N	\N	\N
3402685	11295	1994-09-08	PRIJEM	VKLAD	18347	53983	\N	\N	\N
3402686	11295	1994-10-08	PRIJEM	VKLAD	18347	53353	\N	\N	\N
3402687	11295	1994-11-08	PRIJEM	VKLAD	18347	53601	\N	\N	\N
3402688	11295	1994-12-08	PRIJEM	VKLAD	27520	49914	\N	\N	\N
3402689	11295	1995-01-08	PRIJEM	VKLAD	18347	49125	\N	\N	\N
3402690	11295	1995-02-08	PRIJEM	VKLAD	18347	47625	\N	\N	\N
3402691	11295	1995-03-08	PRIJEM	VKLAD	18347	47739	\N	\N	\N
3402692	11295	1995-04-08	PRIJEM	VKLAD	18347	47846	\N	\N	\N
3402693	11295	1995-05-08	PRIJEM	VKLAD	18347	44496	\N	\N	\N
3402694	11295	1995-06-08	PRIJEM	VKLAD	27520	54479	\N	\N	\N
3402695	11295	1995-07-08	PRIJEM	VKLAD	18347	16977	\N	\N	\N
3402696	11295	1995-08-08	PRIJEM	VKLAD	18347	35433	\N	\N	\N
3402697	11295	1995-09-08	PRIJEM	VKLAD	18347	39956	\N	\N	\N
3402698	11295	1995-10-08	PRIJEM	VKLAD	18347	49884	\N	\N	\N
3402699	11295	1995-11-08	PRIJEM	VKLAD	18347	55561	\N	\N	\N
3402700	11295	1995-12-08	PRIJEM	VKLAD	27520	66385	\N	\N	\N
3402701	11295	1996-01-08	PRIJEM	VKLAD	18347	66786	\N	\N	\N
3402702	11295	1996-02-08	PRIJEM	VKLAD	18347	60010	\N	\N	\N
3402703	11295	1996-03-08	PRIJEM	VKLAD	18347	68265	\N	\N	\N
3402704	11295	1996-04-08	PRIJEM	VKLAD	18347	69391	\N	\N	\N
3402705	11295	1996-05-08	PRIJEM	VKLAD	18347	74537	\N	\N	\N
3402706	11295	1996-06-08	PRIJEM	VKLAD	27520	84658	\N	\N	\N
3402707	11295	1996-07-08	PRIJEM	VKLAD	18347	51009	\N	\N	\N
3402708	11295	1996-08-08	PRIJEM	VKLAD	18347	69369	\N	\N	\N
3402709	11295	1996-09-08	PRIJEM	VKLAD	18347	76042	\N	\N	\N
3402710	11295	1996-10-08	PRIJEM	VKLAD	18347	70324	\N	\N	\N
3402711	11295	1996-11-08	PRIJEM	VKLAD	18347	72419	\N	\N	\N
3402712	11295	1996-12-08	PRIJEM	VKLAD	27520	76083	\N	\N	\N
3402713	11295	1997-01-08	PRIJEM	VKLAD	18347	64210	\N	\N	\N
3402714	11295	1997-02-08	PRIJEM	VKLAD	18347	76420	\N	\N	\N
3402715	11295	1997-03-08	PRIJEM	VKLAD	18347	74318	\N	\N	\N
3402716	11295	1997-04-08	PRIJEM	VKLAD	18347	76318	\N	\N	\N
3402717	11295	1997-05-08	PRIJEM	VKLAD	18347	87929	\N	\N	\N
3402718	11295	1997-06-08	PRIJEM	VKLAD	27520	95406	\N	\N	\N
3402719	11295	1997-07-08	PRIJEM	VKLAD	18347	77422	\N	\N	\N
3402720	11295	1997-08-08	PRIJEM	VKLAD	18347	94138	\N	\N	\N
3402721	11295	1997-09-08	PRIJEM	VKLAD	18347	92256	\N	\N	\N
3402722	11295	1997-10-08	PRIJEM	VKLAD	18347	90650	\N	\N	\N
3402723	11295	1997-11-08	PRIJEM	VKLAD	18347	91742	\N	\N	\N
3402724	11295	1997-12-08	PRIJEM	VKLAD	27520	100974	\N	\N	\N
3402725	11295	1998-01-08	PRIJEM	VKLAD	18347	99427	\N	\N	\N
3402726	11295	1998-02-08	PRIJEM	VKLAD	18347	83607	\N	\N	\N
3402727	11295	1998-03-08	PRIJEM	VKLAD	18347	90569	\N	\N	\N
3402728	11295	1998-04-08	PRIJEM	VKLAD	18347	94911	\N	\N	\N
3402729	11295	1998-05-08	PRIJEM	VKLAD	18347	104160	\N	\N	\N
3402730	11295	1998-06-08	PRIJEM	VKLAD	27520	103088	\N	\N	\N
3402731	11295	1998-07-08	PRIJEM	VKLAD	18347	103863	\N	\N	\N
3402732	11295	1998-08-08	PRIJEM	VKLAD	18347	104728	\N	\N	\N
3402733	11295	1998-09-08	PRIJEM	VKLAD	18347	103774	\N	\N	\N
3402734	11295	1998-10-08	PRIJEM	VKLAD	18347	110998	\N	\N	\N
3402735	11295	1998-11-08	PRIJEM	VKLAD	18347	107414	\N	\N	\N
3402736	11295	1998-12-08	PRIJEM	VKLAD	27520	108907	\N	\N	\N
3402742	11295	1993-06-04	VYDAJ	VYBER	6200	35599	SIPO	\N	0
3402743	11295	1993-07-19	VYDAJ	VYBER	6600	32167	SIPO	\N	0
3402744	11295	1993-08-14	VYDAJ	VYBER	7200	35126	SIPO	\N	0
3402745	11295	1993-08-31	VYDAJ	VYBER	7100	23232	SIPO	\N	0
3402746	11295	1993-10-11	VYDAJ	VYBER	6600	41226	SIPO	\N	0
3402747	11295	1993-11-17	VYDAJ	VYBER	6800	41881	SIPO	\N	0
3402748	11295	1993-12-17	VYDAJ	VYBER	7400	47424	SIPO	\N	0
3402749	11295	1994-01-15	VYDAJ	VYBER	5400	38660	SIPO	\N	0
3402750	11295	1994-02-08	VYDAJ	VYBER	6900	31073	SIPO	\N	0
3402751	11295	1994-03-07	VYDAJ	VYBER	6700	19452	SIPO	\N	0
3402752	11295	1994-04-07	VYDAJ	VYBER	6800	23300	SIPO	\N	0
3402753	11295	1994-05-19	VYDAJ	VYBER	5700	35782	SIPO	\N	0
3402754	11295	1994-06-16	VYDAJ	VYBER	4900	42976	SIPO	\N	0
3402755	11295	1994-07-15	VYDAJ	VYBER	7200	32384	SIPO	\N	0
3402756	11295	1994-08-17	VYDAJ	VYBER	6900	37473	SIPO	\N	0
3402757	11295	1994-09-13	VYDAJ	VYBER	5200	47083	SIPO	\N	0
3402758	11295	1994-10-14	VYDAJ	VYBER	6300	37153	SIPO	\N	0
3402759	11295	1994-11-13	VYDAJ	VYBER	5800	36601	SIPO	\N	0
3402760	11295	1994-12-04	VYDAJ	VYBER	7900	24994	SIPO	\N	0
3402761	11295	1995-01-06	VYDAJ	VYBER	5200	30778	SIPO	\N	0
3402762	11295	1995-02-08	VYDAJ	VYBER	6200	41425	SIPO	\N	0
3402763	11295	1995-03-17	VYDAJ	VYBER	8000	33539	SIPO	\N	0
3402764	11295	1995-04-17	VYDAJ	VYBER	6900	33986	SIPO	\N	0
3402765	11295	1995-04-30	VYDAJ	VYBER	6200	28049	SIPO	\N	0
3402766	11295	1995-06-04	VYDAJ	VYBER	7300	26959	SIPO	\N	0
3402767	11295	1995-07-07	VYDAJ	VYBER	6000	-1370	SIPO	\N	0
3402768	11295	1995-08-07	VYDAJ	VYBER	6100	17086	SIPO	\N	0
3402769	11295	1995-09-02	VYDAJ	VYBER	5600	21609	SIPO	\N	0
3402770	11295	1995-10-12	VYDAJ	VYBER	5300	38184	SIPO	\N	0
3402771	11295	1995-11-13	VYDAJ	VYBER	6700	48861	SIPO	\N	0
3402772	11295	1995-11-30	VYDAJ	VYBER	4900	42665	SIPO	\N	0
3402773	11295	1996-01-16	VYDAJ	VYBER	6900	48986	SIPO	\N	0
3402774	11295	1996-02-04	VYDAJ	VYBER	6800	40063	SIPO	\N	0
3402775	11295	1996-03-04	VYDAJ	VYBER	6900	51318	SIPO	\N	0
3402776	11295	1996-04-04	VYDAJ	VYBER	7800	58544	SIPO	\N	0
3402777	11295	1996-05-12	VYDAJ	VYBER	7500	64737	SIPO	\N	0
3402778	11295	1996-06-16	VYDAJ	VYBER	8000	27658	SIPO	\N	0
3402779	11295	1996-06-30	VYDAJ	VYBER	5000	22976	SIPO	\N	0
3402780	11295	1996-08-18	VYDAJ	VYBER	6200	61069	SIPO	\N	0
3402781	11295	1996-09-12	VYDAJ	VYBER	6900	69142	SIPO	\N	0
3402782	11295	1996-10-05	VYDAJ	VYBER	6000	54677	SIPO	\N	0
3402783	11295	1996-11-02	VYDAJ	VYBER	5600	54072	SIPO	\N	0
3402784	11295	1996-12-06	VYDAJ	VYBER	6800	48563	SIPO	\N	0
3402785	11295	1997-01-06	VYDAJ	VYBER	5600	45863	SIPO	\N	0
3402786	11295	1997-02-13	VYDAJ	VYBER	7600	68820	SIPO	\N	0
3402787	11295	1997-02-28	VYDAJ	VYBER	5300	61186	SIPO	\N	0
3402788	11295	1997-04-05	VYDAJ	VYBER	6600	57971	SIPO	\N	0
3402789	11295	1997-05-19	VYDAJ	VYBER	6300	79129	SIPO	\N	0
3402790	11295	1997-06-03	VYDAJ	VYBER	7000	67886	SIPO	\N	0
3402791	11295	1997-07-06	VYDAJ	VYBER	6800	59075	SIPO	\N	0
3402792	11295	1997-08-12	VYDAJ	VYBER	7700	84538	SIPO	\N	0
3402793	11295	1997-09-01	VYDAJ	VYBER	5700	73909	SIPO	\N	0
3402794	11295	1997-10-03	VYDAJ	VYBER	8100	72303	SIPO	\N	0
3402795	11295	1997-10-31	VYDAJ	VYBER	7700	73410	SIPO	\N	0
3402796	11295	1997-11-30	VYDAJ	VYBER	6200	73454	SIPO	\N	0
3402797	11295	1998-01-16	VYDAJ	VYBER	6100	87807	SIPO	\N	0
3402798	11295	1998-02-19	VYDAJ	VYBER	5800	77807	SIPO	\N	0
3402799	11295	1998-03-04	VYDAJ	VYBER	5700	72222	SIPO	\N	0
3402800	11295	1998-04-03	VYDAJ	VYBER	6300	76564	SIPO	\N	0
3402801	11295	1998-05-15	VYDAJ	VYBER	7400	96760	SIPO	\N	0
3402802	11295	1998-06-07	VYDAJ	VYBER	7700	75568	SIPO	\N	0
3402803	11295	1998-07-11	VYDAJ	VYBER	6400	97463	SIPO	\N	0
3402804	11295	1998-08-08	VYDAJ	VYBER	6100	98628	SIPO	\N	0
3402805	11295	1998-09-05	VYDAJ	VYBER	5000	85427	SIPO	\N	0
3402806	11295	1998-10-19	VYDAJ	VYBER	6100	102978	SIPO	\N	0
3402807	11295	1998-11-12	VYDAJ	VYBER	5400	102014	SIPO	\N	0
3402808	11295	1998-12-06	VYDAJ	VYBER	5400	81387	SIPO	\N	0
3402814	11295	1993-06-19	VYDAJ	VYBER	2700	60419	 	\N	0
3402815	11295	1993-07-19	VYDAJ	VYBER	1900	38767	 	\N	0
3402816	11295	1993-08-12	VYDAJ	VYBER	2100	42326	 	\N	0
3402817	11295	1993-09-03	VYDAJ	VYBER	2600	20618	 	\N	0
3402818	11295	1993-10-17	VYDAJ	VYBER	1800	39426	 	\N	0
3402819	11295	1993-11-17	VYDAJ	VYBER	1900	39981	 	\N	0
3402820	11295	1993-12-10	VYDAJ	VYBER	2100	58824	 	\N	0
3402821	11295	1994-01-18	VYDAJ	VYBER	1900	28760	 	\N	0
3402822	11295	1994-02-15	VYDAJ	VYBER	2000	27673	 	\N	0
3402823	11295	1994-03-04	VYDAJ	VYBER	1700	26152	 	\N	0
3402824	11295	1994-04-21	VYDAJ	VYBER	2300	35047	 	\N	0
3402825	11295	1994-05-12	VYDAJ	VYBER	2600	49982	 	\N	0
3402826	11295	1994-06-20	VYDAJ	VYBER	2700	24116	 	\N	0
3402827	11295	1994-07-04	VYDAJ	VYBER	2300	22037	 	\N	0
3402828	11295	1994-08-18	VYDAJ	VYBER	2100	35373	 	\N	0
3402829	11295	1994-09-08	VYDAJ	VYBER	1700	52283	 	\N	0
3402830	11295	1994-10-03	VYDAJ	VYBER	2300	35006	 	\N	0
3402831	11295	1994-11-06	VYDAJ	VYBER	2200	35254	 	\N	0
3402832	11295	1994-12-05	VYDAJ	VYBER	2600	22394	 	\N	0
3402833	11295	1995-01-19	VYDAJ	VYBER	1900	34785	 	\N	0
3402834	11295	1995-02-13	VYDAJ	VYBER	2300	32425	 	\N	0
3402835	11295	1995-03-22	VYDAJ	VYBER	1800	31739	 	\N	0
3402836	11295	1995-04-07	VYDAJ	VYBER	2500	29499	 	\N	0
3402837	11295	1995-05-03	VYDAJ	VYBER	1900	26149	 	\N	0
3402838	11295	1995-06-03	VYDAJ	VYBER	2300	34259	 	\N	0
3402839	11295	1995-07-08	VYDAJ	VYBER	1800	15177	 	\N	0
3402840	11295	1995-08-17	VYDAJ	VYBER	2300	30633	 	\N	0
3402841	11295	1995-09-09	VYDAJ	VYBER	1900	31356	 	\N	0
3402842	11295	1995-10-21	VYDAJ	VYBER	2500	35684	 	\N	0
3402843	11295	1995-11-18	VYDAJ	VYBER	1600	47261	 	\N	0
3402844	11295	1995-12-11	VYDAJ	VYBER	2100	64285	 	\N	0
3402845	11295	1996-01-09	VYDAJ	VYBER	2500	64286	 	\N	0
3402846	11295	1996-02-20	VYDAJ	VYBER	2200	57810	 	\N	0
3402847	11295	1996-03-17	VYDAJ	VYBER	2400	65865	 	\N	0
3402848	11295	1996-04-14	VYDAJ	VYBER	1800	63031	 	\N	0
3402849	11295	1996-05-10	VYDAJ	VYBER	2300	72237	 	\N	0
3402850	11295	1996-06-10	VYDAJ	VYBER	1800	82858	 	\N	0
3402851	11295	1996-07-04	VYDAJ	VYBER	2300	32662	 	\N	0
3402852	11295	1996-08-10	VYDAJ	VYBER	2100	67269	 	\N	0
3402853	11295	1996-09-20	VYDAJ	VYBER	2600	66542	 	\N	0
3402854	11295	1996-10-05	VYDAJ	VYBER	2700	51977	 	\N	0
3402855	11295	1996-11-08	VYDAJ	VYBER	1600	70819	 	\N	0
3402856	11295	1996-12-16	VYDAJ	VYBER	2100	72383	 	\N	0
3402857	11295	1997-01-19	VYDAJ	VYBER	2700	55870	 	\N	0
3402858	11295	1997-02-14	VYDAJ	VYBER	2700	66120	 	\N	0
3402859	11295	1997-03-15	VYDAJ	VYBER	2200	72118	 	\N	0
3402860	11295	1997-04-08	VYDAJ	VYBER	1800	74518	 	\N	0
3402861	11295	1997-05-11	VYDAJ	VYBER	2500	85429	 	\N	0
3402862	11295	1997-06-13	VYDAJ	VYBER	2100	93306	 	\N	0
3402863	11295	1997-07-19	VYDAJ	VYBER	2100	75322	 	\N	0
3402864	11295	1997-08-11	VYDAJ	VYBER	1900	92238	 	\N	0
3402865	11295	1997-09-14	VYDAJ	VYBER	2000	90256	 	\N	0
3402866	11295	1997-10-11	VYDAJ	VYBER	2000	88650	 	\N	0
3402867	11295	1997-11-12	VYDAJ	VYBER	2200	89542	 	\N	0
3402868	11295	1997-12-14	VYDAJ	VYBER	1900	99074	 	\N	0
3402869	11295	1998-01-06	VYDAJ	VYBER	1900	81080	 	\N	0
3402870	11295	1998-02-04	VYDAJ	VYBER	2700	65260	 	\N	0
3402871	11295	1998-03-13	VYDAJ	VYBER	2000	88569	 	\N	0
3402872	11295	1998-04-11	VYDAJ	VYBER	1700	93211	 	\N	0
3402873	11295	1998-05-20	VYDAJ	VYBER	1700	95060	 	\N	0
3402874	11295	1998-06-03	VYDAJ	VYBER	1700	83268	 	\N	0
3402875	11295	1998-07-21	VYDAJ	VYBER	2500	94963	 	\N	0
3402876	11295	1998-08-21	VYDAJ	VYBER	2400	96228	 	\N	0
3402877	11295	1998-09-12	VYDAJ	VYBER	1700	102074	 	\N	0
3402878	11295	1998-10-05	VYDAJ	VYBER	2400	92651	 	\N	0
3402879	11295	1998-11-20	VYDAJ	VYBER	2200	99814	 	\N	0
3402880	11295	1998-12-12	VYDAJ	VYBER	2000	103067	 	\N	0
3402881	11295	1993-06-19	VYDAJ	VYBER	35840	24579	\N	\N	\N
3402882	11295	1994-06-19	VYDAJ	VYBER	16160	26816	\N	\N	\N
3402883	11295	1995-06-20	VYDAJ	VYBER	28160	12719	\N	\N	\N
3402884	11295	1996-06-12	VYDAJ	VYBER	47200	35658	\N	\N	\N
3402885	11295	1997-06-25	VYDAJ	VYBER	37120	56186	\N	\N	\N
3402886	11295	1998-06-10	VYDAJ	VYBER	16000	87088	\N	\N	\N
3402888	11295	1994-01-17	VYDAJ	VYBER	1600	30660	\N	\N	\N
3402889	11295	1995-01-08	VYDAJ	VYBER	4640	44485	\N	\N	\N
3402890	11295	1996-01-06	VYDAJ	VYBER	2880	55639	\N	\N	\N
3402891	11295	1997-01-03	VYDAJ	VYBER	13280	52903	\N	\N	\N
3402892	11295	1998-01-25	VYDAJ	VYBER	15200	74907	\N	\N	\N
3402893	11295	1993-12-12	VYDAJ	VYBER	4000	54824	\N	\N	\N
3402894	11295	1994-12-01	VYDAJ	VYBER	4000	32894	\N	\N	\N
3402895	11295	1995-12-19	VYDAJ	VYBER	3680	60605	\N	\N	\N
3402896	11295	1996-12-13	VYDAJ	VYBER	1600	74483	\N	\N	\N
3402897	11295	1997-12-23	VYDAJ	VYBER	4160	94914	\N	\N	\N
3402898	11295	1998-12-09	VYDAJ	VYBER	3840	105067	\N	\N	\N
3402905	11295	1994-01-24	VYDAJ	VYBER	1920	26840	\N	\N	\N
3402906	11295	1994-01-28	VYDAJ	VYBER	2880	19400	\N	\N	\N
3402907	11295	1994-01-25	VYDAJ	VYBER	1680	25160	\N	\N	\N
3402908	11295	1994-01-28	VYDAJ	VYBER	2880	22280	\N	\N	\N
3402909	11295	1994-01-08	VYDAJ	VYBER	2520	44060	\N	\N	\N
3402910	11295	1994-01-06	VYDAJ	VYBER	3000	33033	\N	\N	\N
3402911	11295	1995-01-23	VYDAJ	VYBER	720	31665	\N	\N	\N
3402912	11295	1995-01-21	VYDAJ	VYBER	1560	33225	\N	\N	\N
3402913	11295	1995-01-26	VYDAJ	VYBER	2640	29025	\N	\N	\N
3402914	11295	1995-01-12	VYDAJ	VYBER	1800	36685	\N	\N	\N
3402915	11295	1995-01-02	VYDAJ	VYBER	2400	35978	\N	\N	\N
3402916	11295	1995-01-22	VYDAJ	VYBER	840	32385	\N	\N	\N
3402917	11295	1996-01-14	VYDAJ	VYBER	2760	59126	\N	\N	\N
3402918	11295	1996-01-03	VYDAJ	VYBER	2520	58519	\N	\N	\N
3402919	11295	1996-01-15	VYDAJ	VYBER	3240	55886	\N	\N	\N
3402920	11295	1996-01-26	VYDAJ	VYBER	1680	47306	\N	\N	\N
3402921	11295	1996-01-26	VYDAJ	VYBER	840	46466	\N	\N	\N
3402922	11295	1996-01-12	VYDAJ	VYBER	2400	61886	\N	\N	\N
3402923	11295	1997-01-29	VYDAJ	VYBER	1080	51670	\N	\N	\N
3402924	11295	1997-01-18	VYDAJ	VYBER	2880	58570	\N	\N	\N
3402925	11295	1997-01-09	VYDAJ	VYBER	2040	62170	\N	\N	\N
3402926	11295	1997-01-13	VYDAJ	VYBER	720	61450	\N	\N	\N
3402927	11295	1997-01-05	VYDAJ	VYBER	1440	51463	\N	\N	\N
3402928	11295	1997-01-27	VYDAJ	VYBER	3120	52750	\N	\N	\N
3402929	11295	1998-01-28	VYDAJ	VYBER	2640	72267	\N	\N	\N
3402930	11295	1998-01-01	VYDAJ	VYBER	3240	82980	\N	\N	\N
3402931	11295	1998-01-29	VYDAJ	VYBER	2160	70107	\N	\N	\N
3402932	11295	1998-01-14	VYDAJ	VYBER	2040	93907	\N	\N	\N
3402933	11295	1998-01-13	VYDAJ	VYBER	3480	95947	\N	\N	\N
3402934	11295	1998-01-30	VYDAJ	VYBER	2760	67347	\N	\N	\N
3402936	11295	1993-06-30	VYDAJ	VYBER	4560	22335	\N	\N	\N
3402937	11295	1993-07-24	VYDAJ	VYBER	3720	25947	\N	\N	\N
3402938	11295	1994-05-29	VYDAJ	VYBER	5760	30022	\N	\N	\N
3402939	11295	1994-12-19	VYDAJ	VYBER	3120	38094	\N	\N	\N
3402940	11295	1994-04-05	VYDAJ	VYBER	840	30100	\N	\N	\N
3402941	11295	1994-01-06	VYDAJ	VYBER	4800	28233	\N	\N	\N
3402942	11295	1994-04-23	VYDAJ	VYBER	1080	33967	\N	\N	\N
3402943	11295	1995-04-13	VYDAJ	VYBER	3360	40886	\N	\N	\N
3402944	11295	1995-06-24	VYDAJ	VYBER	4440	8279	\N	\N	\N
3402945	11295	1995-07-05	VYDAJ	VYBER	3840	4630	\N	\N	\N
3402946	11295	1995-08-27	VYDAJ	VYBER	3600	27033	\N	\N	\N
3402947	11295	1995-03-07	VYDAJ	VYBER	3240	29392	\N	\N	\N
3402948	11295	1996-08-25	VYDAJ	VYBER	3360	57709	\N	\N	\N
3402949	11295	1996-04-12	VYDAJ	VYBER	4560	64831	\N	\N	\N
3402950	11295	1996-11-02	VYDAJ	VYBER	2040	59672	\N	\N	\N
3402951	11295	1996-05-31	VYDAJ	VYBER	1080	61438	\N	\N	\N
3402952	11295	1996-05-18	VYDAJ	VYBER	2640	62097	\N	\N	\N
3402953	11295	1996-12-02	VYDAJ	VYBER	4680	55363	\N	\N	\N
3402954	11295	1996-11-25	VYDAJ	VYBER	4560	66259	\N	\N	\N
3402955	11295	1997-03-25	VYDAJ	VYBER	5640	60598	\N	\N	\N
3402956	11295	1997-04-14	VYDAJ	VYBER	2640	71878	\N	\N	\N
3402957	11295	1997-03-18	VYDAJ	VYBER	1920	70198	\N	\N	\N
3402958	11295	1997-03-20	VYDAJ	VYBER	3960	66238	\N	\N	\N
3402959	11295	1997-11-13	VYDAJ	VYBER	2160	87382	\N	\N	\N
3402960	11295	1998-10-22	VYDAJ	VYBER	2160	89818	\N	\N	\N
3402961	11295	1998-04-19	VYDAJ	VYBER	1920	91291	\N	\N	\N
3402962	11295	1998-11-27	VYDAJ	VYBER	3480	86134	\N	\N	\N
3402963	11295	1998-02-27	VYDAJ	VYBER	1920	77387	\N	\N	\N
3402964	11295	1998-11-03	VYDAJ	VYBER	1440	89067	\N	\N	\N
3402965	11295	1998-10-10	VYDAJ	VYBER	1920	109078	\N	\N	\N
3402972	11295	1993-06-30	VYDAJ	VYBER	15	22320	SLUZBY	\N	\N
3402973	11295	1993-07-31	VYDAJ	VYBER	15	26079	SLUZBY	\N	\N
3402974	11295	1993-08-31	VYDAJ	VYBER	15	23218	SLUZBY	\N	\N
3402975	11295	1993-09-30	VYDAJ	VYBER	15	29479	SLUZBY	\N	\N
3402976	11295	1993-10-31	VYDAJ	VYBER	15	30334	SLUZBY	\N	\N
3402977	11295	1993-11-30	VYDAJ	VYBER	15	33404	SLUZBY	\N	\N
3402978	11295	1993-12-31	VYDAJ	VYBER	15	36033	SLUZBY	\N	\N
3402979	11295	1994-01-31	VYDAJ	VYBER	15	19626	SLUZBY	\N	\N
3402980	11295	1994-02-28	VYDAJ	VYBER	15	27852	SLUZBY	\N	\N
3402981	11295	1994-03-31	VYDAJ	VYBER	15	30940	SLUZBY	\N	\N
3402982	11295	1994-04-30	VYDAJ	VYBER	15	34235	SLUZBY	\N	\N
3402983	11295	1994-05-31	VYDAJ	VYBER	15	30256	SLUZBY	\N	\N
3402984	11295	1994-06-30	VYDAJ	VYBER	15	24337	SLUZBY	\N	\N
3402985	11295	1994-07-31	VYDAJ	VYBER	15	32626	SLUZBY	\N	\N
3402986	11295	1994-08-31	VYDAJ	VYBER	15	35636	SLUZBY	\N	\N
3402987	11295	1994-09-30	VYDAJ	VYBER	15	37306	SLUZBY	\N	\N
3402988	11295	1994-10-31	VYDAJ	VYBER	15	37454	SLUZBY	\N	\N
3402989	11295	1994-11-30	VYDAJ	VYBER	15	36894	SLUZBY	\N	\N
3402990	11295	1994-12-31	VYDAJ	VYBER	15	38378	SLUZBY	\N	\N
3402991	11295	1995-01-31	VYDAJ	VYBER	15	29278	SLUZBY	\N	\N
3402992	11295	1995-02-28	VYDAJ	VYBER	15	32632	SLUZBY	\N	\N
3402993	11295	1995-03-31	VYDAJ	VYBER	15	31999	SLUZBY	\N	\N
3402994	11295	1995-04-30	VYDAJ	VYBER	15	34249	SLUZBY	\N	\N
3402995	11295	1995-05-31	VYDAJ	VYBER	15	36559	SLUZBY	\N	\N
3402996	11295	1995-06-30	VYDAJ	VYBER	15	8470	SLUZBY	\N	\N
3402997	11295	1995-07-31	VYDAJ	VYBER	15	23188	SLUZBY	\N	\N
3402998	11295	1995-08-31	VYDAJ	VYBER	15	27209	SLUZBY	\N	\N
3402999	11295	1995-09-30	VYDAJ	VYBER	15	31537	SLUZBY	\N	\N
3403000	11295	1995-10-31	VYDAJ	VYBER	15	35914	SLUZBY	\N	\N
3403001	11295	1995-11-30	VYDAJ	VYBER	15	47565	SLUZBY	\N	\N
3403002	11295	1995-12-31	VYDAJ	VYBER	15	61039	SLUZBY	\N	\N
3403003	11295	1996-01-31	VYDAJ	VYBER	15	46863	SLUZBY	\N	\N
3403004	11295	1996-02-29	VYDAJ	VYBER	15	58218	SLUZBY	\N	\N
3403005	11295	1996-03-31	VYDAJ	VYBER	15	66344	SLUZBY	\N	\N
3403006	11295	1996-04-30	VYDAJ	VYBER	15	63490	SLUZBY	\N	\N
3403007	11295	1996-05-31	VYDAJ	VYBER	15	62518	SLUZBY	\N	\N
3403008	11295	1996-06-30	VYDAJ	VYBER	15	22962	SLUZBY	\N	\N
3403009	11295	1996-07-31	VYDAJ	VYBER	15	51322	SLUZBY	\N	\N
3403010	11295	1996-08-31	VYDAJ	VYBER	15	58095	SLUZBY	\N	\N
3403011	11295	1996-09-30	VYDAJ	VYBER	15	66977	SLUZBY	\N	\N
3403012	11295	1996-10-31	VYDAJ	VYBER	15	70812	SLUZBY	\N	\N
3403013	11295	1996-11-30	VYDAJ	VYBER	15	66743	SLUZBY	\N	\N
3403014	11295	1996-12-31	VYDAJ	VYBER	15	72883	SLUZBY	\N	\N
3403015	11295	1997-01-31	VYDAJ	VYBER	15	58073	SLUZBY	\N	\N
3403016	11295	1997-02-28	VYDAJ	VYBER	15	61171	SLUZBY	\N	\N
3403017	11295	1997-03-31	VYDAJ	VYBER	15	64571	SLUZBY	\N	\N
3403018	11295	1997-04-30	VYDAJ	VYBER	15	72382	SLUZBY	\N	\N
3403019	11295	1997-05-31	VYDAJ	VYBER	15	74886	SLUZBY	\N	\N
3403020	11295	1997-06-30	VYDAJ	VYBER	15	65875	SLUZBY	\N	\N
3403021	11295	1997-07-31	VYDAJ	VYBER	15	75791	SLUZBY	\N	\N
3403022	11295	1997-08-31	VYDAJ	VYBER	15	79609	SLUZBY	\N	\N
3403023	11295	1997-09-30	VYDAJ	VYBER	15	80403	SLUZBY	\N	\N
3403024	11295	1997-10-31	VYDAJ	VYBER	15	73395	SLUZBY	\N	\N
3403025	11295	1997-11-30	VYDAJ	VYBER	15	79654	SLUZBY	\N	\N
3403026	11295	1997-12-31	VYDAJ	VYBER	15	86220	SLUZBY	\N	\N
3403027	11295	1998-01-31	VYDAJ	VYBER	15	67960	SLUZBY	\N	\N
3403028	11295	1998-02-28	VYDAJ	VYBER	15	77922	SLUZBY	\N	\N
3403029	11295	1998-03-31	VYDAJ	VYBER	15	82864	SLUZBY	\N	\N
3403030	11295	1998-04-30	VYDAJ	VYBER	15	85813	SLUZBY	\N	\N
3403031	11295	1998-05-31	VYDAJ	VYBER	15	84968	SLUZBY	\N	\N
3403032	11295	1998-06-30	VYDAJ	VYBER	15	85516	SLUZBY	\N	\N
3403033	11295	1998-07-31	VYDAJ	VYBER	15	86381	SLUZBY	\N	\N
3403034	11295	1998-08-31	VYDAJ	VYBER	15	90427	SLUZBY	\N	\N
3403035	11295	1998-09-30	VYDAJ	VYBER	15	95051	SLUZBY	\N	\N
3403036	11295	1998-10-31	VYDAJ	VYBER	15	90507	SLUZBY	\N	\N
3403037	11295	1998-11-30	VYDAJ	VYBER	15	86787	SLUZBY	\N	\N
3403038	11295	1993-02-20	PRIJEM	VKLAD	3700	23147	\N	\N	\N
3403039	11295	1993-03-22	VYDAJ	VYBER	10700	30853	\N	\N	\N
3403040	11295	1993-04-21	VYDAJ	VYBER	10700	38644	\N	\N	\N
3403041	11295	1993-05-21	VYDAJ	VYBER	15600	41578	\N	\N	\N
3403042	11295	1993-06-20	PRIJEM	VKLAD	2000	26579	\N	\N	\N
3403043	11295	1993-07-20	VYDAJ	VYBER	2500	29667	\N	\N	\N
3403044	11295	1993-08-19	VYDAJ	VYBER	5000	30126	\N	\N	\N
3403045	11295	1993-09-18	VYDAJ	VYBER	9700	29265	\N	\N	\N
3403046	11295	1993-10-18	VYDAJ	VYBER	9300	30126	\N	\N	\N
3403047	11295	1993-11-17	VYDAJ	VYBER	6800	33181	\N	\N	\N
3403048	11295	1993-12-17	VYDAJ	VYBER	11700	35724	\N	\N	\N
3403049	11295	1994-01-16	VYDAJ	VYBER	6400	32260	\N	\N	\N
3403050	11295	1994-02-15	VYDAJ	VYBER	1400	29673	\N	\N	\N
3403051	11295	1994-03-17	VYDAJ	VYBER	7100	30699	\N	\N	\N
3403052	11295	1994-04-16	VYDAJ	VYBER	4300	37347	\N	\N	\N
3403053	11295	1994-05-16	VYDAJ	VYBER	8500	41482	\N	\N	\N
3403054	11295	1994-06-15	VYDAJ	VYBER	9900	47876	\N	\N	\N
3403055	11295	1994-07-15	VYDAJ	VYBER	800	39584	\N	\N	\N
3403056	11295	1994-08-14	VYDAJ	VYBER	6600	44373	\N	\N	\N
3403057	11295	1994-09-13	VYDAJ	VYBER	10100	36983	\N	\N	\N
3403058	11295	1994-10-13	VYDAJ	VYBER	9900	43453	\N	\N	\N
3403059	11295	1994-11-12	VYDAJ	VYBER	11200	42401	\N	\N	\N
3403060	11295	1994-12-12	VYDAJ	VYBER	8700	41214	\N	\N	\N
3403061	11295	1995-01-11	VYDAJ	VYBER	6000	38485	\N	\N	\N
3403062	11295	1995-02-10	VYDAJ	VYBER	6700	34725	\N	\N	\N
3403063	11295	1995-03-12	VYDAJ	VYBER	6200	41539	\N	\N	\N
3403064	11295	1995-04-11	VYDAJ	VYBER	3600	44246	\N	\N	\N
3403065	11295	1995-05-11	VYDAJ	VYBER	8200	36296	\N	\N	\N
3403066	11295	1995-06-10	VYDAJ	VYBER	13600	40879	\N	\N	\N
3403067	11295	1995-07-10	PRIJEM	VKLAD	7900	23077	\N	\N	\N
3403068	11295	1995-08-09	VYDAJ	VYBER	2500	32933	\N	\N	\N
3403069	11295	1995-09-08	VYDAJ	VYBER	6700	33256	\N	\N	\N
3403070	11295	1995-10-08	VYDAJ	VYBER	6400	43484	\N	\N	\N
3403071	11295	1995-11-07	PRIJEM	VKLAD	1300	37214	\N	\N	\N
3403072	11295	1995-12-07	VYDAJ	VYBER	3800	38865	\N	\N	\N
3403073	11295	1996-01-06	VYDAJ	VYBER	7200	48439	\N	\N	\N
3403074	11295	1996-02-05	PRIJEM	VKLAD	1600	41663	\N	\N	\N
3403075	11295	1996-03-06	VYDAJ	VYBER	1400	49918	\N	\N	\N
3403076	11295	1996-04-05	VYDAJ	VYBER	7500	51044	\N	\N	\N
3403077	11295	1996-05-05	VYDAJ	VYBER	7300	56190	\N	\N	\N
3403078	11295	1996-06-04	VYDAJ	VYBER	4300	57138	\N	\N	\N
3403079	11295	1996-07-04	PRIJEM	VKLAD	12000	34962	\N	\N	\N
3403080	11295	1996-08-03	VYDAJ	VYBER	300	51022	\N	\N	\N
3403081	11295	1996-09-02	VYDAJ	VYBER	400	57695	\N	\N	\N
3403082	11295	1996-10-02	VYDAJ	VYBER	6300	60677	\N	\N	\N
3403083	11295	1996-11-01	VYDAJ	VYBER	9100	61712	\N	\N	\N
3403084	11295	1996-12-01	VYDAJ	VYBER	6700	60043	\N	\N	\N
3403085	11295	1996-12-31	VYDAJ	VYBER	6700	66183	\N	\N	\N
3403086	11295	1997-01-30	PRIJEM	VKLAD	6000	57670	\N	\N	\N
3403087	11295	1997-03-01	VYDAJ	VYBER	5200	55971	\N	\N	\N
3403088	11295	1997-03-31	PRIJEM	VKLAD	3500	64098	\N	\N	\N
3403089	11295	1997-04-30	VYDAJ	VYBER	2800	69582	\N	\N	\N
3403090	11295	1997-05-30	VYDAJ	VYBER	4800	74329	\N	\N	\N
3403091	11295	1997-06-29	PRIJEM	VKLAD	9100	65286	\N	\N	\N
3403092	11295	1997-08-28	VYDAJ	VYBER	5500	79038	\N	\N	\N
3403093	11295	1997-09-27	VYDAJ	VYBER	10400	79856	\N	\N	\N
3403094	11295	1997-10-27	VYDAJ	VYBER	8100	80550	\N	\N	\N
3403095	11295	1997-11-26	VYDAJ	VYBER	8300	79082	\N	\N	\N
3403096	11295	1997-12-26	VYDAJ	VYBER	9200	85714	\N	\N	\N
3403097	11295	1998-01-25	PRIJEM	VKLAD	2300	90107	\N	\N	\N
3403098	11295	1998-02-24	PRIJEM	VKLAD	1500	79307	\N	\N	\N
3403099	11295	1998-03-26	VYDAJ	VYBER	6300	82269	\N	\N	\N
3403100	11295	1998-04-25	VYDAJ	VYBER	6100	85191	\N	\N	\N
3403101	11295	1998-05-25	VYDAJ	VYBER	10700	84360	\N	\N	\N
3403102	11295	1998-06-24	VYDAJ	VYBER	2100	84988	\N	\N	\N
3403103	11295	1998-07-24	VYDAJ	VYBER	9100	85863	\N	\N	\N
3403104	11295	1998-08-23	VYDAJ	VYBER	6400	89828	\N	\N	\N
3403105	11295	1998-09-22	VYDAJ	VYBER	7700	94374	\N	\N	\N
3403106	11295	1998-10-22	VYDAJ	VYBER	11000	91978	\N	\N	\N
3403107	11295	1998-11-21	VYDAJ	VYBER	10200	89614	\N	\N	\N
3409649	11317	1997-07-11	PRIJEM	VKLAD	700	700	\N	\N	\N
3409651	11317	1997-11-18	PRIJEM	VKLAD	22886	88991	\N	\N	\N
3409652	11317	1997-12-07	PRIJEM	VKLAD	47102	128332	\N	\N	\N
3409653	11317	1997-09-22	PRIJEM	VKLAD	23711	118037	\N	\N	\N
3409655	11317	1997-12-10	PRIJEM	VKLAD	29972	79804	\N	\N	\N
3409656	11317	1997-07-16	PRIJEM	VKLAD	34805	35505	\N	\N	\N
3409657	11317	1997-10-25	PRIJEM	VKLAD	38418	94288	\N	\N	\N
3409658	11317	1997-12-26	PRIJEM	VKLAD	49407	116678	\N	\N	\N
3409660	11317	1997-08-05	PRIJEM	VKLAD	13174	48755	\N	\N	\N
3409661	11317	1997-11-12	PRIJEM	VKLAD	15516	74554	\N	\N	\N
3409664	11317	1997-09-16	PRIJEM	VKLAD	40589	94326	\N	\N	\N
3409666	11317	1997-10-20	PRIJEM	VKLAD	22328	55870	\N	\N	\N
3409667	11317	1997-09-07	PRIJEM	VKLAD	46031	82737	\N	\N	\N
3409669	11317	1998-11-21	PRIJEM	VKLAD	38736	76509	\N	\N	\N
3409670	11317	1998-10-01	PRIJEM	VKLAD	34291	95554	\N	\N	\N
3409671	11317	1998-06-26	PRIJEM	VKLAD	28009	107276	\N	\N	\N
3409672	11317	1998-08-05	PRIJEM	VKLAD	27420	104555	\N	\N	\N
3409673	11317	1998-10-11	PRIJEM	VKLAD	8198	65842	\N	\N	\N
3409674	11317	1998-07-11	PRIJEM	VKLAD	47424	100219	\N	\N	\N
3409675	11317	1998-09-04	PRIJEM	VKLAD	37961	98435	\N	\N	\N
3409676	11317	1998-04-15	PRIJEM	VKLAD	42857	88562	\N	\N	\N
3409677	11317	1998-06-27	PRIJEM	VKLAD	19909	122685	\N	\N	\N
3409678	11317	1998-04-02	PRIJEM	VKLAD	42825	65838	\N	\N	\N
3409679	11317	1998-03-08	PRIJEM	VKLAD	41614	59178	\N	\N	\N
3409680	11317	1998-10-21	PRIJEM	VKLAD	31125	86618	\N	\N	\N
3409681	11317	1998-12-02	PRIJEM	VKLAD	7884	84604	\N	\N	\N
3409682	11317	1998-01-05	PRIJEM	VKLAD	11639	60839	\N	\N	\N
3409683	11317	1998-10-23	PRIJEM	VKLAD	49272	135890	\N	\N	\N
3409684	11317	1998-06-20	PRIJEM	VKLAD	39972	94226	\N	\N	\N
3409685	11317	1998-12-05	PRIJEM	VKLAD	41843	105347	\N	\N	\N
3409686	11317	1998-06-24	PRIJEM	VKLAD	41341	117267	\N	\N	\N
3409687	11317	1998-07-31	PRIJEM	VKLAD	38193	119818	\N	\N	\N
3409688	11317	1998-06-03	PRIJEM	VKLAD	44721	118787	\N	\N	\N
3409689	11317	1998-10-25	PRIJEM	VKLAD	34709	110599	\N	\N	\N
3409690	11317	1998-05-26	PRIJEM	VKLAD	23231	73806	\N	\N	\N
3409700	11317	1997-10-04	VYDAJ	VYBER	4600	60075	\N	\N	0
3409701	11317	1997-11-16	VYDAJ	VYBER	4600	66105	\N	\N	0
3409702	11317	1997-12-13	VYDAJ	VYBER	5900	71120	\N	\N	0
3409703	11317	1998-01-02	VYDAJ	VYBER	4400	55500	\N	\N	0
3409704	11317	1998-02-10	VYDAJ	VYBER	5500	24129	\N	\N	0
3409705	11317	1998-03-14	VYDAJ	VYBER	5100	28271	\N	\N	0
3409706	11317	1998-04-21	VYDAJ	VYBER	4700	83862	\N	\N	0
3409707	11317	1998-05-21	VYDAJ	VYBER	4500	50575	\N	\N	0
3409708	11317	1998-06-07	VYDAJ	VYBER	6100	60887	\N	\N	0
3409709	11317	1998-07-07	VYDAJ	VYBER	4000	55579	\N	\N	0
3409710	11317	1998-08-06	VYDAJ	VYBER	6100	66855	\N	\N	0
3409711	11317	1998-09-14	VYDAJ	VYBER	4300	64851	\N	\N	0
3409712	11317	1998-10-18	VYDAJ	VYBER	6500	55493	\N	\N	0
3409713	11317	1998-11-05	VYDAJ	VYBER	6300	44406	\N	\N	0
3409714	11317	1998-12-12	VYDAJ	PREVOD NA UCET	5291	97272	UVER	CD	66904526
3409724	11317	1997-10-14	VYDAJ	PREVOD NA UCET	3849	33542	SIPO	KL	72136521
3409725	11317	1997-11-14	VYDAJ	PREVOD NA UCET	3849	70705	SIPO	KL	72136521
3409726	11317	1997-12-14	VYDAJ	PREVOD NA UCET	3849	67271	SIPO	KL	72136521
3409727	11317	1998-01-14	VYDAJ	PREVOD NA UCET	3849	28106	SIPO	KL	72136521
3409728	11317	1998-02-14	VYDAJ	PREVOD NA UCET	3849	17496	SIPO	KL	72136521
3409729	11317	1998-03-14	VYDAJ	PREVOD NA UCET	3849	24422	SIPO	KL	72136521
3409730	11317	1998-04-14	VYDAJ	PREVOD NA UCET	3849	45705	SIPO	KL	72136521
3409731	11317	1998-05-14	VYDAJ	PREVOD NA UCET	3849	55075	SIPO	KL	72136521
3409732	11317	1998-06-14	VYDAJ	PREVOD NA UCET	3849	54254	SIPO	KL	72136521
3409733	11317	1998-07-14	VYDAJ	PREVOD NA UCET	3849	96370	SIPO	KL	72136521
3409734	11317	1998-08-14	VYDAJ	PREVOD NA UCET	3849	60222	SIPO	KL	72136521
3409735	11317	1998-09-14	VYDAJ	PREVOD NA UCET	3849	61002	SIPO	KL	72136521
3409736	11317	1998-10-14	VYDAJ	PREVOD NA UCET	3849	61993	SIPO	KL	72136521
3409737	11317	1998-11-14	VYDAJ	PREVOD NA UCET	3849	37773	SIPO	KL	72136521
3409738	11317	1998-12-14	VYDAJ	PREVOD NA UCET	3849	93423	SIPO	KL	72136521
3409748	11317	1997-10-10	VYDAJ	PREVOD NA UCET	2784	37391	 	YZ	43205881
3409749	11317	1997-11-10	VYDAJ	PREVOD NA UCET	2784	59038	 	YZ	43205881
3409750	11317	1997-12-10	VYDAJ	PREVOD NA UCET	2784	77020	 	YZ	43205881
3409751	11317	1998-01-10	VYDAJ	PREVOD NA UCET	2784	33455	 	YZ	43205881
3409752	11317	1998-02-10	VYDAJ	PREVOD NA UCET	2784	21345	 	YZ	43205881
3409753	11317	1998-03-10	VYDAJ	PREVOD NA UCET	2784	42294	 	YZ	43205881
3409754	11317	1998-04-10	VYDAJ	PREVOD NA UCET	2784	49554	 	YZ	43205881
3409755	11317	1998-05-10	VYDAJ	PREVOD NA UCET	2784	58924	 	YZ	43205881
3409756	11317	1998-06-10	VYDAJ	PREVOD NA UCET	2784	58103	 	YZ	43205881
3409757	11317	1998-07-10	VYDAJ	PREVOD NA UCET	2784	52795	 	YZ	43205881
3409758	11317	1998-08-10	VYDAJ	PREVOD NA UCET	2784	64071	 	YZ	43205881
3409759	11317	1998-09-10	VYDAJ	PREVOD NA UCET	2784	69151	 	YZ	43205881
3409760	11317	1998-10-10	VYDAJ	PREVOD NA UCET	2784	57644	 	YZ	43205881
3409761	11317	1998-11-10	VYDAJ	PREVOD NA UCET	2784	41622	 	YZ	43205881
3409762	11317	1998-12-10	VYDAJ	PREVOD NA UCET	2784	102563	 	YZ	43205881
3409766	11317	1997-12-30	VYBER	VYBER	4287	59591	\N	\N	\N
3409769	11317	1998-03-13	VYBER	VYBER	8923	33371	\N	\N	\N
3409770	11317	1998-07-15	VYBER	VYBER	14745	81625	\N	\N	\N
3409771	11317	1998-10-03	VYBER	VYBER	21826	73728	\N	\N	\N
3409773	11317	1998-06-20	VYDAJ	VYBER	18300	75926	\N	\N	\N
3409775	11317	1998-01-03	VYDAJ	VYBER	6300	49200	\N	\N	\N
3409776	11317	1997-12-02	VYDAJ	VYBER	8100	81230	\N	\N	\N
3409777	11317	1998-12-22	VYDAJ	VYBER	3300	90123	\N	\N	\N
3409784	11317	1998-01-10	VYDAJ	VYBER	2100	36239	\N	\N	\N
3409785	11317	1998-01-18	VYDAJ	VYBER	5700	22406	\N	\N	\N
3409786	11317	1998-01-13	VYDAJ	VYBER	1500	31955	\N	\N	\N
3409789	11317	1998-01-08	VYDAJ	VYBER	7500	38339	\N	\N	\N
3409792	11317	1998-04-21	VYDAJ	VYBER	3300	80562	\N	\N	\N
3409793	11317	1998-06-26	VYDAJ	VYBER	4500	102776	\N	\N	\N
3409794	11317	1998-06-25	VYDAJ	VYBER	6300	79267	\N	\N	\N
3409796	11317	1998-03-15	VYDAJ	VYBER	1500	22922	\N	\N	\N
3409806	11317	1997-09-30	VYDAJ	VYBER	15	64675	SLUZBY	\N	\N
3409807	11317	1997-10-31	VYDAJ	VYBER	15	94522	SLUZBY	\N	\N
3409808	11317	1997-11-30	VYDAJ	VYBER	15	89330	SLUZBY	\N	\N
3409809	11317	1997-12-31	VYDAJ	VYBER	15	59900	SLUZBY	\N	\N
3409810	11317	1998-01-31	VYDAJ	VYBER	15	22529	SLUZBY	\N	\N
3409811	11317	1998-02-28	VYDAJ	VYBER	15	17564	SLUZBY	\N	\N
3409812	11317	1998-03-31	VYDAJ	VYBER	15	23013	SLUZBY	\N	\N
3409813	11317	1998-04-30	VYDAJ	VYBER	15	80808	SLUZBY	\N	\N
3409814	11317	1998-05-31	VYDAJ	VYBER	15	74066	SLUZBY	\N	\N
3409815	11317	1998-06-30	VYDAJ	VYBER	15	79479	SLUZBY	\N	\N
3409816	11317	1998-07-31	VYDAJ	VYBER	15	77135	SLUZBY	\N	\N
3409817	11317	1998-08-31	VYDAJ	VYBER	15	60474	SLUZBY	\N	\N
3409818	11317	1998-09-30	VYDAJ	VYBER	15	61263	SLUZBY	\N	\N
3409819	11317	1998-10-31	VYDAJ	VYBER	15	54406	SLUZBY	\N	\N
3409820	11317	1998-11-30	VYDAJ	VYBER	15	76720	SLUZBY	\N	\N
3409821	11317	1997-08-10	VYDAJ	VYBER	12200	36555	\N	\N	\N
3409822	11317	1997-09-09	VYDAJ	VYBER	29000	53737	\N	\N	\N
3409823	11317	1997-09-22	VYDAJ	VYBER	53600	64437	\N	\N	\N
3409824	11317	1997-10-09	VYDAJ	VYBER	19900	40175	\N	\N	\N
3409825	11317	1997-11-08	VYDAJ	VYBER	32700	61822	\N	\N	\N
3409826	11317	1997-12-07	VYDAJ	VYBER	61700	66632	\N	\N	\N
3409827	11317	1997-12-08	VYDAJ	VYBER	16800	49832	\N	\N	\N
3409828	11317	1997-12-26	VYDAJ	VYBER	52800	63878	\N	\N	\N
3409829	11317	1998-01-07	VYDAJ	VYBER	15000	45839	\N	\N	\N
3409830	11317	1998-02-06	PRIJEM	VKLAD	7100	29629	\N	\N	\N
3409831	11317	1998-03-08	VYDAJ	VYBER	14100	45078	\N	\N	\N
3409832	11317	1998-04-07	VYDAJ	VYBER	13500	52338	\N	\N	\N
3409833	11317	1998-05-07	VYDAJ	VYBER	19100	61708	\N	\N	\N
3409834	11317	1998-06-03	VYDAJ	VYBER	28000	90787	\N	\N	\N
3409835	11317	1998-06-06	VYDAJ	VYBER	23800	66987	\N	\N	\N
3409836	11317	1998-06-24	VYDAJ	VYBER	31700	85567	\N	\N	\N
3409837	11317	1998-06-27	VYDAJ	VYBER	43500	79185	\N	\N	\N
3409838	11317	1998-07-06	VYDAJ	VYBER	19900	59579	\N	\N	\N
3409839	11317	1998-07-31	VYDAJ	VYBER	43000	77150	\N	\N	\N
3409840	11317	1998-08-05	VYDAJ	VYBER	31600	72955	\N	\N	\N
3409841	11317	1998-09-04	VYDAJ	VYBER	26500	71935	\N	\N	\N
3409842	11317	1998-10-04	VYDAJ	VYBER	13300	60428	\N	\N	\N
3409843	11317	1998-10-23	VYDAJ	VYBER	60000	75890	\N	\N	\N
3409844	11317	1998-10-31	VYDAJ	VYBER	56500	54420	\N	\N	\N
3409845	11317	1998-11-03	VYDAJ	VYBER	3700	50706	\N	\N	\N
3409846	11317	1998-12-03	VYDAJ	VYBER	21100	63504	\N	\N	\N
3410663	11320	1993-05-26	PRIJEM	VKLAD	600	600	\N	\N	\N
3410669	11320	1993-06-07	PRIJEM	VKLAD	25918	26518	\N	\N	\N
3410670	11320	1993-07-07	PRIJEM	VKLAD	17279	45140	\N	\N	\N
3410671	11320	1993-08-07	PRIJEM	VKLAD	17279	53271	\N	\N	\N
3410672	11320	1993-09-07	PRIJEM	VKLAD	17279	56038	\N	\N	\N
3410673	11320	1993-10-07	PRIJEM	VKLAD	17279	56817	\N	\N	\N
3410674	11320	1993-11-07	PRIJEM	VKLAD	17279	59198	\N	\N	\N
3410675	11320	1993-12-07	PRIJEM	VKLAD	25918	60519	\N	\N	\N
3410676	11320	1994-01-07	PRIJEM	VKLAD	17279	59282	\N	\N	\N
3410677	11320	1994-02-07	PRIJEM	VKLAD	17279	52203	\N	\N	\N
3410678	11320	1994-03-07	PRIJEM	VKLAD	17279	56792	\N	\N	\N
3410679	11320	1994-04-07	PRIJEM	VKLAD	17279	58870	\N	\N	\N
3410680	11320	1994-05-07	PRIJEM	VKLAD	17279	59858	\N	\N	\N
3410681	11320	1994-06-07	PRIJEM	VKLAD	25918	34946	\N	\N	\N
3410682	11320	1994-07-07	PRIJEM	VKLAD	17279	46951	\N	\N	\N
3410683	11320	1994-08-07	PRIJEM	VKLAD	17279	53602	\N	\N	\N
3410684	11320	1994-09-07	PRIJEM	VKLAD	17279	55667	\N	\N	\N
3410685	11320	1994-10-07	PRIJEM	VKLAD	17279	55334	\N	\N	\N
3410686	11320	1994-11-07	PRIJEM	VKLAD	17279	56520	\N	\N	\N
3410687	11320	1994-12-07	PRIJEM	VKLAD	25918	65567	\N	\N	\N
3410688	11320	1995-01-07	PRIJEM	VKLAD	17279	60838	\N	\N	\N
3410689	11320	1995-02-07	PRIJEM	VKLAD	17279	47978	\N	\N	\N
3410690	11320	1995-03-07	PRIJEM	VKLAD	17279	53871	\N	\N	\N
3410691	11320	1995-04-07	PRIJEM	VKLAD	17279	54373	\N	\N	\N
3410692	11320	1995-05-07	PRIJEM	VKLAD	17279	55226	\N	\N	\N
3410693	11320	1995-06-07	PRIJEM	VKLAD	25918	66264	\N	\N	\N
3410694	11320	1995-07-07	PRIJEM	VKLAD	17279	62866	\N	\N	\N
3410695	11320	1995-08-07	PRIJEM	VKLAD	17279	56961	\N	\N	\N
3410696	11320	1995-09-07	PRIJEM	VKLAD	17279	51788	\N	\N	\N
3410697	11320	1995-10-07	PRIJEM	VKLAD	17279	54375	\N	\N	\N
3410698	11320	1995-11-07	PRIJEM	VKLAD	17279	51887	\N	\N	\N
3410699	11320	1995-12-07	PRIJEM	VKLAD	25918	60599	\N	\N	\N
3410700	11320	1996-01-07	PRIJEM	VKLAD	17279	52663	\N	\N	\N
3410701	11320	1996-02-07	PRIJEM	VKLAD	17279	41502	\N	\N	\N
3410702	11320	1996-03-07	PRIJEM	VKLAD	17279	44928	\N	\N	\N
3410703	11320	1996-04-07	PRIJEM	VKLAD	17279	45061	\N	\N	\N
3410704	11320	1996-05-07	PRIJEM	VKLAD	17279	43818	\N	\N	\N
3410705	11320	1996-06-07	PRIJEM	VKLAD	25918	54020	\N	\N	\N
3410706	11320	1996-07-07	PRIJEM	VKLAD	17279	32253	\N	\N	\N
3410707	11320	1996-08-07	PRIJEM	VKLAD	17279	36120	\N	\N	\N
3410708	11320	1996-09-07	PRIJEM	VKLAD	17279	37716	\N	\N	\N
3410709	11320	1996-10-07	PRIJEM	VKLAD	17279	37755	\N	\N	\N
3410710	11320	1996-11-07	PRIJEM	VKLAD	17279	35455	\N	\N	\N
3410711	11320	1996-12-07	PRIJEM	VKLAD	25918	47698	\N	\N	\N
3410712	11320	1997-01-07	PRIJEM	VKLAD	17279	42568	\N	\N	\N
3410713	11320	1997-02-07	PRIJEM	VKLAD	17279	35070	\N	\N	\N
3410714	11320	1997-03-07	PRIJEM	VKLAD	17279	33485	\N	\N	\N
3410715	11320	1997-04-07	PRIJEM	VKLAD	17279	31409	\N	\N	\N
3410716	11320	1997-05-07	PRIJEM	VKLAD	17279	28942	\N	\N	\N
3410717	11320	1997-06-07	PRIJEM	VKLAD	25918	42416	\N	\N	\N
3410718	11320	1997-07-07	PRIJEM	VKLAD	17279	26954	\N	\N	\N
3410719	11320	1997-08-07	PRIJEM	VKLAD	17279	36677	\N	\N	\N
3410720	11320	1997-09-07	PRIJEM	VKLAD	17279	35485	\N	\N	\N
3410721	11320	1997-10-07	PRIJEM	VKLAD	17279	37797	\N	\N	\N
3410722	11320	1997-11-07	PRIJEM	VKLAD	17279	37454	\N	\N	\N
3410723	11320	1997-12-07	PRIJEM	VKLAD	25918	48386	\N	\N	\N
3410724	11320	1998-01-07	PRIJEM	VKLAD	17279	44368	\N	\N	\N
3410725	11320	1998-02-07	PRIJEM	VKLAD	17279	34528	\N	\N	\N
3410726	11320	1998-03-07	PRIJEM	VKLAD	17279	34211	\N	\N	\N
3410727	11320	1998-04-07	PRIJEM	VKLAD	17279	32294	\N	\N	\N
3410728	11320	1998-05-07	PRIJEM	VKLAD	17279	35029	\N	\N	\N
3410729	11320	1998-06-07	PRIJEM	VKLAD	25918	41212	\N	\N	\N
3410730	11320	1998-07-07	PRIJEM	VKLAD	17279	16877	\N	\N	\N
3410731	11320	1998-08-07	PRIJEM	VKLAD	17279	21488	\N	\N	\N
3410732	11320	1998-09-07	PRIJEM	VKLAD	17279	27355	\N	\N	\N
3410733	11320	1998-10-07	PRIJEM	VKLAD	17279	27403	\N	\N	\N
3410734	11320	1998-11-07	PRIJEM	VKLAD	17279	23395	\N	\N	\N
3410735	11320	1998-12-07	PRIJEM	VKLAD	25918	35294	\N	\N	\N
3410737	11320	1994-06-02	VYDAJ	VYBER	31840	9028	\N	\N	\N
3410739	11320	1996-06-15	VYDAJ	VYBER	17280	14840	\N	\N	\N
3410740	11320	1997-06-22	VYDAJ	VYBER	29120	13296	\N	\N	\N
3410741	11320	1998-06-13	VYDAJ	VYBER	33440	7772	\N	\N	\N
3410743	11320	1994-01-16	VYDAJ	VYBER	15520	43762	\N	\N	\N
3410744	11320	1995-01-21	VYDAJ	VYBER	12800	30398	\N	\N	\N
3410745	11320	1996-01-24	VYDAJ	VYBER	10720	24043	\N	\N	\N
3410746	11320	1997-01-10	VYDAJ	VYBER	8800	33768	\N	\N	\N
3410747	11320	1998-01-27	VYDAJ	VYBER	9280	35088	\N	\N	\N
3410753	11320	1993-12-07	VYDAJ	VYBER	1080	59439	\N	\N	\N
3410754	11320	1993-12-05	VYDAJ	VYBER	3960	34601	\N	\N	\N
3410755	11320	1993-11-25	VYDAJ	VYBER	5160	38238	\N	\N	\N
3410756	11320	1994-01-18	VYDAJ	VYBER	2160	41602	\N	\N	\N
3410757	11320	1994-12-06	VYDAJ	VYBER	3000	39649	\N	\N	\N
3410758	11320	1994-02-19	VYDAJ	VYBER	3480	48723	\N	\N	\N
3410759	11320	1995-10-19	VYDAJ	VYBER	1320	34355	\N	\N	\N
3410760	11320	1995-08-18	VYDAJ	VYBER	4920	34241	\N	\N	\N
3410761	11320	1995-01-16	VYDAJ	VYBER	2640	58198	\N	\N	\N
3410762	11320	1995-03-03	VYDAJ	VYBER	1080	36592	\N	\N	\N
3410763	11320	1995-12-20	VYDAJ	VYBER	2520	35179	\N	\N	\N
3410764	11320	1996-12-10	VYDAJ	VYBER	600	47098	\N	\N	\N
3410765	11320	1997-12-07	VYDAJ	VYBER	1080	47306	\N	\N	\N
3410766	11320	1997-03-08	VYDAJ	VYBER	3360	30125	\N	\N	\N
3410767	11320	1997-04-25	VYDAJ	VYBER	3840	27569	\N	\N	\N
3410768	11320	1997-05-22	VYDAJ	VYBER	600	28342	\N	\N	\N
3410769	11320	1997-05-05	VYDAJ	VYBER	3000	11663	\N	\N	\N
3410770	11320	1997-10-29	VYDAJ	VYBER	3840	33957	\N	\N	\N
3410771	11320	1998-09-23	VYDAJ	VYBER	1440	25915	\N	\N	\N
3410772	11320	1998-05-07	VYDAJ	VYBER	3000	32029	\N	\N	\N
3410773	11320	1998-09-02	VYDAJ	VYBER	1680	10076	\N	\N	\N
3410774	11320	1998-10-23	VYDAJ	VYBER	4920	22483	\N	\N	\N
3410775	11320	1998-02-21	VYDAJ	VYBER	5400	29128	\N	\N	\N
3410786	11320	1993-10-31	VYDAJ	VYBER	15	41919	SLUZBY	\N	\N
3410787	11320	1993-11-30	VYDAJ	VYBER	15	38561	SLUZBY	\N	\N
3410788	11320	1993-12-31	VYDAJ	VYBER	15	42003	SLUZBY	\N	\N
3410789	11320	1994-01-31	VYDAJ	VYBER	15	34924	SLUZBY	\N	\N
3410790	11320	1994-02-28	VYDAJ	VYBER	15	39513	SLUZBY	\N	\N
3410791	11320	1994-03-31	VYDAJ	VYBER	15	41591	SLUZBY	\N	\N
3410792	11320	1994-04-30	VYDAJ	VYBER	15	42579	SLUZBY	\N	\N
3410793	11320	1994-05-31	VYDAJ	VYBER	15	40868	SLUZBY	\N	\N
3410794	11320	1994-06-30	VYDAJ	VYBER	15	29672	SLUZBY	\N	\N
3410795	11320	1994-07-31	VYDAJ	VYBER	15	36323	SLUZBY	\N	\N
3410796	11320	1994-08-31	VYDAJ	VYBER	15	38388	SLUZBY	\N	\N
3410797	11320	1994-09-30	VYDAJ	VYBER	15	38055	SLUZBY	\N	\N
3410798	11320	1994-10-31	VYDAJ	VYBER	15	39241	SLUZBY	\N	\N
3410799	11320	1994-11-30	VYDAJ	VYBER	15	42649	SLUZBY	\N	\N
3410800	11320	1994-12-31	VYDAJ	VYBER	15	43559	SLUZBY	\N	\N
3410801	11320	1995-01-31	VYDAJ	VYBER	15	30699	SLUZBY	\N	\N
3410802	11320	1995-02-28	VYDAJ	VYBER	15	37672	SLUZBY	\N	\N
3410803	11320	1995-03-31	VYDAJ	VYBER	15	37094	SLUZBY	\N	\N
3410804	11320	1995-04-30	VYDAJ	VYBER	15	37947	SLUZBY	\N	\N
3410805	11320	1995-05-31	VYDAJ	VYBER	15	40346	SLUZBY	\N	\N
3410806	11320	1995-06-30	VYDAJ	VYBER	15	45587	SLUZBY	\N	\N
3410807	11320	1995-07-31	VYDAJ	VYBER	15	39682	SLUZBY	\N	\N
3410808	11320	1995-08-31	VYDAJ	VYBER	15	34509	SLUZBY	\N	\N
3410809	11320	1995-09-30	VYDAJ	VYBER	15	37096	SLUZBY	\N	\N
3410810	11320	1995-10-31	VYDAJ	VYBER	15	34608	SLUZBY	\N	\N
3410811	11320	1995-11-30	VYDAJ	VYBER	15	34681	SLUZBY	\N	\N
3410812	11320	1995-12-31	VYDAJ	VYBER	15	35384	SLUZBY	\N	\N
3410813	11320	1996-01-31	VYDAJ	VYBER	15	24223	SLUZBY	\N	\N
3410814	11320	1996-02-29	VYDAJ	VYBER	15	27649	SLUZBY	\N	\N
3410815	11320	1996-03-31	VYDAJ	VYBER	15	27782	SLUZBY	\N	\N
3410816	11320	1996-04-30	VYDAJ	VYBER	15	26539	SLUZBY	\N	\N
3410817	11320	1996-05-31	VYDAJ	VYBER	15	28102	SLUZBY	\N	\N
3410818	11320	1996-06-30	VYDAJ	VYBER	15	14974	SLUZBY	\N	\N
3410819	11320	1996-07-31	VYDAJ	VYBER	15	18841	SLUZBY	\N	\N
3410820	11320	1996-08-31	VYDAJ	VYBER	15	20437	SLUZBY	\N	\N
3410821	11320	1996-09-30	VYDAJ	VYBER	15	20476	SLUZBY	\N	\N
3410822	11320	1996-10-31	VYDAJ	VYBER	15	26076	SLUZBY	\N	\N
3410823	11320	1996-11-30	VYDAJ	VYBER	15	35680	SLUZBY	\N	\N
3410824	11320	1996-12-31	VYDAJ	VYBER	15	47389	SLUZBY	\N	\N
3410825	11320	1997-01-31	VYDAJ	VYBER	15	33991	SLUZBY	\N	\N
3410826	11320	1997-02-28	VYDAJ	VYBER	15	35306	SLUZBY	\N	\N
3410827	11320	1997-03-31	VYDAJ	VYBER	15	30330	SLUZBY	\N	\N
3410828	11320	1997-04-30	VYDAJ	VYBER	15	27763	SLUZBY	\N	\N
3410829	11320	1997-05-31	VYDAJ	VYBER	15	28498	SLUZBY	\N	\N
3410830	11320	1997-06-30	VYDAJ	VYBER	15	13475	SLUZBY	\N	\N
3410831	11320	1997-07-31	VYDAJ	VYBER	15	27098	SLUZBY	\N	\N
3410832	11320	1997-08-31	VYDAJ	VYBER	15	36906	SLUZBY	\N	\N
3410833	11320	1997-09-30	VYDAJ	VYBER	15	35718	SLUZBY	\N	\N
3410834	11320	1997-10-31	VYDAJ	VYBER	15	34175	SLUZBY	\N	\N
3410835	11320	1997-11-30	VYDAJ	VYBER	15	37668	SLUZBY	\N	\N
3410836	11320	1997-12-31	VYDAJ	VYBER	15	27089	SLUZBY	\N	\N
3410837	11320	1998-01-31	VYDAJ	VYBER	15	17249	SLUZBY	\N	\N
3410838	11320	1998-02-28	VYDAJ	VYBER	15	29232	SLUZBY	\N	\N
3410839	11320	1998-03-31	VYDAJ	VYBER	15	15015	SLUZBY	\N	\N
3410840	11320	1998-04-30	VYDAJ	VYBER	15	17750	SLUZBY	\N	\N
3410841	11320	1998-05-31	VYDAJ	VYBER	15	15294	SLUZBY	\N	\N
3410844	11320	1998-08-31	VYDAJ	VYBER	15	11756	SLUZBY	\N	\N
3410845	11320	1998-09-30	VYDAJ	VYBER	15	10124	SLUZBY	\N	\N
3410847	11320	1998-11-30	VYDAJ	VYBER	15	9383	SLUZBY	\N	\N
3410848	11320	1993-06-25	PRIJEM	VKLAD	1300	27818	\N	\N	\N
3410849	11320	1993-07-25	VYDAJ	VYBER	9300	35840	\N	\N	\N
3410850	11320	1993-08-24	VYDAJ	VYBER	14700	38571	\N	\N	\N
3410851	11320	1993-09-23	VYDAJ	VYBER	16700	39338	\N	\N	\N
3410852	11320	1993-10-23	VYDAJ	VYBER	15100	41717	\N	\N	\N
3410853	11320	1993-11-22	VYDAJ	VYBER	15800	43398	\N	\N	\N
3410854	11320	1993-12-22	VYDAJ	VYBER	17800	41639	\N	\N	\N
3410855	11320	1994-01-21	VYDAJ	VYBER	6900	34702	\N	\N	\N
3410856	11320	1994-02-20	VYDAJ	VYBER	9400	39323	\N	\N	\N
3410857	11320	1994-03-22	VYDAJ	VYBER	15400	41392	\N	\N	\N
3410858	11320	1994-04-21	VYDAJ	VYBER	16500	42370	\N	\N	\N
3410859	11320	1994-05-21	VYDAJ	VYBER	19200	40658	\N	\N	\N
3410860	11320	1994-06-20	VYDAJ	VYBER	5500	29446	\N	\N	\N
3410861	11320	1994-07-20	VYDAJ	VYBER	10800	36151	\N	\N	\N
3410862	11320	1994-08-19	VYDAJ	VYBER	15500	38102	\N	\N	\N
3410863	11320	1994-09-18	VYDAJ	VYBER	17900	37767	\N	\N	\N
3410864	11320	1994-10-18	VYDAJ	VYBER	16300	39034	\N	\N	\N
3410865	11320	1994-11-17	VYDAJ	VYBER	14100	42420	\N	\N	\N
3410866	11320	1994-12-17	VYDAJ	VYBER	22400	43167	\N	\N	\N
3410867	11320	1995-01-16	VYDAJ	VYBER	15000	43198	\N	\N	\N
3410868	11320	1995-02-15	VYDAJ	VYBER	10500	37478	\N	\N	\N
3410869	11320	1995-03-17	VYDAJ	VYBER	17100	36771	\N	\N	\N
3410870	11320	1995-04-16	VYDAJ	VYBER	16700	37673	\N	\N	\N
3410871	11320	1995-05-16	VYDAJ	VYBER	15100	40126	\N	\N	\N
3410872	11320	1995-06-15	VYDAJ	VYBER	21000	45264	\N	\N	\N
3410873	11320	1995-07-15	VYDAJ	VYBER	23500	39366	\N	\N	\N
3410874	11320	1995-08-14	VYDAJ	VYBER	17800	39161	\N	\N	\N
3410875	11320	1995-09-13	VYDAJ	VYBER	14900	36888	\N	\N	\N
3410876	11320	1995-10-13	VYDAJ	VYBER	18700	35675	\N	\N	\N
3410877	11320	1995-11-12	VYDAJ	VYBER	17400	34487	\N	\N	\N
3410878	11320	1995-12-12	VYDAJ	VYBER	22900	37699	\N	\N	\N
3410879	11320	1996-01-11	VYDAJ	VYBER	17900	34763	\N	\N	\N
3410880	11320	1996-02-10	VYDAJ	VYBER	14000	27502	\N	\N	\N
3410881	11320	1996-03-11	VYDAJ	VYBER	17300	27628	\N	\N	\N
3410882	11320	1996-04-10	VYDAJ	VYBER	18700	26361	\N	\N	\N
3410883	11320	1996-05-10	VYDAJ	VYBER	15900	27918	\N	\N	\N
3410884	11320	1996-06-09	VYDAJ	VYBER	21900	32120	\N	\N	\N
3410885	11320	1996-07-09	VYDAJ	VYBER	13500	18753	\N	\N	\N
3410886	11320	1996-08-08	VYDAJ	VYBER	15800	20320	\N	\N	\N
3410887	11320	1996-09-07	VYDAJ	VYBER	17400	20316	\N	\N	\N
3410888	11320	1996-10-07	VYDAJ	VYBER	11900	25855	\N	\N	\N
3410889	11320	1996-11-06	VYDAJ	VYBER	7900	18176	\N	\N	\N
3410890	11320	1996-12-06	VYDAJ	VYBER	13900	21780	\N	\N	\N
3410891	11320	1997-01-05	VYDAJ	VYBER	22100	25289	\N	\N	\N
3410892	11320	1997-02-04	VYDAJ	VYBER	16200	17791	\N	\N	\N
3410893	11320	1997-03-06	VYDAJ	VYBER	19100	16206	\N	\N	\N
3410894	11320	1997-04-05	VYDAJ	VYBER	16200	14130	\N	\N	\N
3410895	11320	1997-05-05	VYDAJ	VYBER	13100	14663	\N	\N	\N
3410896	11320	1997-06-04	VYDAJ	VYBER	12000	16498	\N	\N	\N
3410897	11320	1997-07-04	VYDAJ	VYBER	3800	9675	\N	\N	\N
3410898	11320	1997-08-03	VYDAJ	VYBER	7700	19398	\N	\N	\N
3410899	11320	1997-09-02	VYDAJ	VYBER	18700	18206	\N	\N	\N
3410900	11320	1997-10-02	VYDAJ	VYBER	15200	20518	\N	\N	\N
3410901	11320	1997-11-01	VYDAJ	VYBER	14000	20175	\N	\N	\N
3410902	11320	1997-12-01	VYDAJ	VYBER	15200	22468	\N	\N	\N
3410903	11320	1997-12-31	VYDAJ	VYBER	20500	27104	\N	\N	\N
3410904	11320	1998-01-30	VYDAJ	VYBER	18000	17088	\N	\N	\N
3410905	11320	1998-03-01	VYDAJ	VYBER	12300	16932	\N	\N	\N
3410906	11320	1998-03-31	VYDAJ	VYBER	19400	15030	\N	\N	\N
3410907	11320	1998-04-30	VYDAJ	VYBER	14600	17764	\N	\N	\N
3410908	11320	1998-05-30	VYDAJ	VYBER	16900	15129	\N	\N	\N
3410909	11320	1998-06-29	VYDAJ	VYBER	8200	-428	\N	\N	\N
3410910	11320	1998-07-29	VYDAJ	VYBER	12600	4277	\N	\N	\N
3410911	11320	1998-08-28	VYDAJ	VYBER	9700	11788	\N	\N	\N
3410912	11320	1998-09-27	VYDAJ	VYBER	15900	10015	\N	\N	\N
3410913	11320	1998-10-27	VYDAJ	VYBER	16400	6083	\N	\N	\N
3410914	11320	1998-11-26	VYDAJ	VYBER	14000	9395	\N	\N	\N
3411977	11325	1996-10-15	PRIJEM	VKLAD	500	500	\N	\N	\N
3411987	11325	1996-11-02	PRIJEM	VKLAD	29209	29709	\N	\N	\N
3411996	11325	1996-12-05	PRIJEM	VKLAD	20368	49209	\N	\N	\N
3411998	11325	1996-12-06	PRIJEM	VKLAD	34071	83280	\N	\N	\N
3412006	11325	1997-12-07	PRIJEM	VKLAD	18797	83155	\N	\N	\N
3412007	11325	1997-10-26	PRIJEM	VKLAD	7850	60754	\N	\N	\N
3412008	11325	1997-12-01	PRIJEM	VKLAD	30893	64358	\N	\N	\N
3412009	11325	1997-08-15	PRIJEM	VKLAD	49858	78923	\N	\N	\N
3412010	11325	1997-10-06	PRIJEM	VKLAD	32205	81437	\N	\N	\N
3412011	11325	1997-10-19	PRIJEM	VKLAD	45779	114709	\N	\N	\N
3412012	11325	1997-05-21	PRIJEM	VKLAD	32513	71262	\N	\N	\N
3412013	11325	1997-09-01	PRIJEM	VKLAD	21761	111065	\N	\N	\N
3412014	11325	1997-10-11	PRIJEM	VKLAD	25293	75830	\N	\N	\N
3412015	11325	1997-05-01	PRIJEM	VKLAD	37223	57249	\N	\N	\N
3412016	11325	1997-12-23	PRIJEM	VKLAD	33421	77176	\N	\N	\N
3412017	11325	1997-04-02	PRIJEM	VKLAD	11174	39729	\N	\N	\N
3412018	11325	1997-04-08	PRIJEM	VKLAD	31128	48437	\N	\N	\N
3412019	11325	1997-01-28	PRIJEM	VKLAD	9801	46730	\N	\N	\N
3412020	11325	1997-08-16	PRIJEM	VKLAD	12196	91119	\N	\N	\N
3412036	11325	1997-04-06	VYDAJ	VYBER	2300	17309	SIPO	\N	0
3412037	11325	1997-05-17	VYDAJ	VYBER	2400	38749	SIPO	\N	0
3412038	11325	1997-06-11	VYDAJ	VYBER	2200	47565	SIPO	\N	0
3412039	11325	1997-07-08	VYDAJ	VYBER	2000	35454	SIPO	\N	0
3412040	11325	1997-08-18	VYDAJ	VYBER	2300	88819	SIPO	\N	0
3412041	11325	1997-09-02	VYDAJ	VYBER	1700	87465	SIPO	\N	0
3412042	11325	1997-10-10	VYDAJ	VYBER	2600	50537	SIPO	\N	0
3412043	11325	1997-11-13	VYDAJ	VYBER	2400	33217	SIPO	\N	0
3412044	11325	1997-12-10	VYDAJ	VYBER	2600	46755	SIPO	\N	0
3412045	11325	1998-01-09	VYDAJ	VYBER	2200	38106	SIPO	\N	0
3412046	11325	1998-02-02	VYDAJ	VYBER	2300	22595	SIPO	\N	0
3412047	11325	1998-03-02	VYDAJ	VYBER	2600	10896	SIPO	\N	0
3412048	11325	1998-04-07	VYDAJ	VYBER	1800	7141	SIPO	\N	0
3412049	11325	1998-05-16	VYDAJ	VYBER	2600	3672	SIPO	\N	0
3412050	11325	1998-06-06	VYDAJ	VYBER	2400	1274	SIPO	\N	0
3412072	11325	1997-03-31	VYDAJ	VYBER	900	28555	 	\N	0
3412073	11325	1997-05-04	VYDAJ	VYBER	1200	56049	 	\N	0
3412074	11325	1997-06-10	VYDAJ	VYBER	1200	49765	 	\N	0
3412075	11325	1997-07-09	VYDAJ	VYBER	1100	34354	 	\N	0
3412076	11325	1997-08-06	VYDAJ	VYBER	1200	29465	 	\N	0
3412077	11325	1997-09-13	VYDAJ	VYBER	1000	49565	 	\N	0
3412078	11325	1997-09-30	VYDAJ	VYBER	800	49247	 	\N	0
3412079	11325	1997-11-04	VYDAJ	VYBER	1000	60217	 	\N	0
3412080	11325	1997-12-13	VYDAJ	VYBER	900	45855	 	\N	0
3412081	11325	1998-01-04	VYDAJ	VYBER	1200	69506	 	\N	0
3412082	11325	1998-02-14	VYDAJ	VYBER	800	13395	 	\N	0
3412083	11325	1998-03-07	VYDAJ	VYBER	1200	9696	 	\N	0
3412084	11325	1998-04-03	VYDAJ	VYBER	800	8941	 	\N	0
3412085	11325	1998-05-15	VYDAJ	VYBER	900	6272	 	\N	0
3412086	11325	1998-06-10	VYDAJ	VYBER	1100	174	 	\N	0
3412107	11325	1997-06-08	VYBER	VYBER	20710	50965	\N	\N	\N
3412108	11325	1997-04-26	VYBER	VYBER	9540	19797	\N	\N	\N
3412109	11325	1997-10-20	VYBER	VYBER	14105	52904	\N	\N	\N
3412111	11325	1997-04-02	VYBER	VYBER	20120	19609	\N	\N	\N
3412121	11325	1997-12-21	VYDAJ	VYBER	2100	43755	\N	\N	\N
3412135	11325	1998-01-04	VYDAJ	VYBER	3900	70706	\N	\N	\N
3412136	11325	1998-01-07	VYDAJ	VYBER	4800	64706	\N	\N	\N
3412139	11325	1998-01-24	VYDAJ	VYBER	2700	24606	\N	\N	\N
3412140	11325	1998-01-03	VYDAJ	VYBER	3000	74606	\N	\N	\N
3412146	11325	1997-10-15	VYDAJ	VYBER	6900	68930	\N	\N	\N
3412147	11325	1997-04-12	VYDAJ	VYBER	9300	39137	\N	\N	\N
3412148	11325	1997-09-03	VYDAJ	VYBER	9300	78165	\N	\N	\N
3412151	11325	1998-01-09	VYDAJ	VYBER	10800	27306	\N	\N	\N
3412171	11325	1997-04-30	VYDAJ	VYBER	15	20026	SLUZBY	\N	\N
3412172	11325	1997-05-31	VYDAJ	VYBER	15	71675	SLUZBY	\N	\N
3412173	11325	1997-06-30	VYDAJ	VYBER	15	37454	SLUZBY	\N	\N
3412174	11325	1997-07-31	VYDAJ	VYBER	15	30665	SLUZBY	\N	\N
3412175	11325	1997-08-31	VYDAJ	VYBER	15	89304	SLUZBY	\N	\N
3412176	11325	1997-09-30	VYDAJ	VYBER	15	49232	SLUZBY	\N	\N
3412177	11325	1997-10-31	VYDAJ	VYBER	15	61217	SLUZBY	\N	\N
3412178	11325	1997-11-30	VYDAJ	VYBER	15	33465	SLUZBY	\N	\N
3412179	11325	1997-12-31	VYDAJ	VYBER	15	77606	SLUZBY	\N	\N
3412180	11325	1998-01-31	VYDAJ	VYBER	15	24895	SLUZBY	\N	\N
3412181	11325	1998-02-28	VYDAJ	VYBER	15	13496	SLUZBY	\N	\N
3412182	11325	1998-03-31	VYDAJ	VYBER	15	9741	SLUZBY	\N	\N
3412183	11325	1998-04-30	VYDAJ	VYBER	15	7172	SLUZBY	\N	\N
3412184	11325	1998-05-31	VYDAJ	VYBER	15	3674	SLUZBY	\N	\N
3412185	11325	1998-06-30	VYDAJ	VYBER	15	163	SLUZBY	\N	\N
3412186	11325	1998-07-31	VYDAJ	VYBER	15	120	SLUZBY	\N	\N
3412187	11325	1998-08-31	VYDAJ	VYBER	15	64	SLUZBY	\N	\N
3412188	11325	1998-09-30	VYDAJ	VYBER	15	-35	SLUZBY	\N	\N
3412189	11325	1998-10-31	VYDAJ	VYBER	15	-49	SLUZBY	\N	\N
3412190	11325	1998-11-30	VYDAJ	VYBER	15	-65	SLUZBY	\N	\N
3412191	11325	1996-11-14	VYDAJ	VYBER	1000	28709	\N	\N	\N
3412192	11325	1996-12-14	VYDAJ	VYBER	29900	53380	\N	\N	\N
3412193	11325	1997-01-13	VYDAJ	VYBER	16900	36929	\N	\N	\N
3412194	11325	1997-02-12	VYDAJ	VYBER	13000	33967	\N	\N	\N
3412195	11325	1997-03-14	VYDAJ	VYBER	4900	29260	\N	\N	\N
3412196	11325	1997-04-13	VYDAJ	VYBER	9800	29337	\N	\N	\N
3412197	11325	1997-05-13	VYDAJ	VYBER	14900	41149	\N	\N	\N
3412198	11325	1997-06-12	VYDAJ	VYBER	10400	37165	\N	\N	\N
3412199	11325	1997-07-12	VYDAJ	VYBER	3900	30454	\N	\N	\N
3412200	11325	1997-08-11	VYDAJ	VYBER	400	29065	\N	\N	\N
3412201	11325	1997-09-01	VYDAJ	VYBER	21900	89165	\N	\N	\N
3412202	11325	1997-09-10	VYDAJ	VYBER	27600	50565	\N	\N	\N
3412203	11325	1997-10-10	VYDAJ	VYBER	28300	53137	\N	\N	\N
3412204	11325	1997-10-19	VYDAJ	VYBER	47700	67009	\N	\N	\N
3412205	11325	1997-11-09	VYDAJ	VYBER	24600	35617	\N	\N	\N
3412206	11325	1997-12-09	VYDAJ	VYBER	33800	49355	\N	\N	\N
3412207	11325	1998-01-08	VYDAJ	VYBER	24400	40306	\N	\N	\N
3412208	11325	1998-02-07	VYDAJ	VYBER	8400	14195	\N	\N	\N
3412435	11327	1997-10-15	PRIJEM	VKLAD	300	300	\N	\N	\N
3412446	11327	1997-11-13	PRIJEM	VKLAD	20308	20608	\N	\N	\N
3412447	11327	1997-12-13	PRIJEM	VKLAD	30462	51419	\N	\N	\N
3412448	11327	1998-01-13	PRIJEM	VKLAD	20308	61563	\N	\N	\N
3412449	11327	1998-02-13	PRIJEM	VKLAD	20308	60958	\N	\N	\N
3412450	11327	1998-03-13	PRIJEM	VKLAD	20308	81496	\N	\N	\N
3412451	11327	1998-04-13	PRIJEM	VKLAD	20308	75047	\N	\N	\N
3412452	11327	1998-05-13	PRIJEM	VKLAD	20308	75295	\N	\N	\N
3412453	11327	1998-06-13	PRIJEM	VKLAD	30462	78634	\N	\N	\N
3412454	11327	1998-07-13	PRIJEM	VKLAD	20308	64898	\N	\N	\N
3412455	11327	1998-08-13	PRIJEM	VKLAD	20308	69147	\N	\N	\N
3412456	11327	1998-09-13	PRIJEM	VKLAD	20308	62119	\N	\N	\N
3412457	11327	1998-10-13	PRIJEM	VKLAD	20308	67541	\N	\N	\N
3412458	11327	1998-11-13	PRIJEM	VKLAD	20308	65473	\N	\N	\N
3412459	11327	1998-12-13	PRIJEM	VKLAD	30462	77059	\N	\N	\N
3412475	11327	1998-04-08	VYDAJ	PREVOD NA UCET	3693	54739	SIPO	YZ	5815422
3412476	11327	1998-05-08	VYDAJ	PREVOD NA UCET	3693	54987	SIPO	YZ	5815422
3412477	11327	1998-06-08	VYDAJ	PREVOD NA UCET	3693	55272	SIPO	YZ	5815422
3412478	11327	1998-07-08	VYDAJ	PREVOD NA UCET	3693	51590	SIPO	YZ	5815422
3412479	11327	1998-08-08	VYDAJ	PREVOD NA UCET	3693	59539	SIPO	YZ	5815422
3412480	11327	1998-09-08	VYDAJ	PREVOD NA UCET	3693	58911	SIPO	YZ	5815422
3412481	11327	1998-10-08	VYDAJ	PREVOD NA UCET	3693	58665	SIPO	YZ	5815422
3412482	11327	1998-11-08	VYDAJ	PREVOD NA UCET	3693	62597	SIPO	YZ	5815422
3412483	11327	1998-12-08	VYDAJ	PREVOD NA UCET	3693	62029	SIPO	YZ	5815422
3412499	11327	1998-04-07	VYDAJ	VYBER	1600	58432	\N	\N	0
3412500	11327	1998-05-04	VYDAJ	VYBER	1800	58680	\N	\N	0
3412501	11327	1998-06-04	VYDAJ	VYBER	1400	58965	\N	\N	0
3412502	11327	1998-07-20	VYDAJ	VYBER	1900	62998	\N	\N	0
3412503	11327	1998-08-20	VYDAJ	VYBER	1900	67247	\N	\N	0
3412504	11327	1998-09-02	VYDAJ	VYBER	1200	66304	\N	\N	0
3412505	11327	1998-10-12	VYDAJ	PREVOD NA UCET	1632	47233	UVER	CD	61814498
3412506	11327	1998-11-12	VYDAJ	PREVOD NA UCET	1632	45165	UVER	CD	61814498
3412507	11327	1998-12-12	VYDAJ	PREVOD NA UCET	1632	48097	UVER	CD	61814498
3412509	11327	1998-06-22	VYDAJ	VYBER	23600	55034	\N	\N	\N
3412511	11327	1998-12-12	VYDAJ	VYBER	1500	46597	\N	\N	\N
3412527	11327	1998-10-17	VYDAJ	VYBER	1500	66041	\N	\N	\N
3412528	11327	1998-07-10	VYDAJ	VYBER	2700	48890	\N	\N	\N
3412529	11327	1998-09-05	VYDAJ	VYBER	3700	62604	\N	\N	\N
3412545	11327	1998-03-31	VYDAJ	VYBER	15	60032	SLUZBY	\N	\N
3412546	11327	1998-04-30	VYDAJ	VYBER	15	60480	SLUZBY	\N	\N
3412547	11327	1998-05-31	VYDAJ	VYBER	15	60365	SLUZBY	\N	\N
3412548	11327	1998-06-30	VYDAJ	VYBER	15	55283	SLUZBY	\N	\N
3412549	11327	1998-07-31	VYDAJ	VYBER	15	63232	SLUZBY	\N	\N
3412550	11327	1998-08-31	VYDAJ	VYBER	15	67504	SLUZBY	\N	\N
3412551	11327	1998-09-30	VYDAJ	VYBER	15	62358	SLUZBY	\N	\N
3412552	11327	1998-10-31	VYDAJ	VYBER	15	66290	SLUZBY	\N	\N
3412553	11327	1998-11-30	VYDAJ	VYBER	15	65722	SLUZBY	\N	\N
3412554	11327	1997-11-14	PRIJEM	VKLAD	300	20908	\N	\N	\N
3412555	11327	1997-12-14	VYDAJ	VYBER	10300	41119	\N	\N	\N
3412556	11327	1998-01-13	VYDAJ	VYBER	14400	47163	\N	\N	\N
3412557	11327	1998-02-12	VYDAJ	VYBER	6700	40650	\N	\N	\N
3412558	11327	1998-03-14	VYDAJ	VYBER	21700	59796	\N	\N	\N
3412559	11327	1998-04-13	VYDAJ	VYBER	14800	60247	\N	\N	\N
3412560	11327	1998-05-13	VYDAJ	VYBER	15200	60095	\N	\N	\N
3412561	11327	1998-06-12	VYDAJ	VYBER	7100	48172	\N	\N	\N
3412562	11327	1998-07-12	VYDAJ	VYBER	4300	44590	\N	\N	\N
3412563	11327	1998-08-11	VYDAJ	VYBER	10700	48839	\N	\N	\N
3412564	11327	1998-09-10	VYDAJ	VYBER	17100	41811	\N	\N	\N
3412565	11327	1998-10-10	VYDAJ	VYBER	9800	48865	\N	\N	\N
3412566	11327	1998-11-09	VYDAJ	VYBER	15800	46797	\N	\N	\N
3412567	11327	1998-12-09	VYDAJ	VYBER	12300	49729	\N	\N	\N
3412582	11328	1996-11-05	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3412590	11328	1996-12-27	PRIJEM	VKLAD	26372	74772	\N	\N	\N
3412597	11328	1996-12-07	PRIJEM	VKLAD	12229	26529	\N	\N	\N
3412598	11328	1996-12-12	PRIJEM	VKLAD	21871	48400	\N	\N	\N
3412612	11328	1997-04-29	PRIJEM	VKLAD	6253	75502	\N	\N	\N
3412613	11328	1997-09-06	PRIJEM	VKLAD	18779	46553	\N	\N	\N
3412614	11328	1997-04-08	PRIJEM	VKLAD	39894	69249	\N	\N	\N
3412615	11328	1997-03-28	PRIJEM	VKLAD	12900	42461	\N	\N	\N
3412616	11328	1997-12-14	PRIJEM	VKLAD	44135	61659	\N	\N	\N
3412617	11328	1997-08-19	PRIJEM	VKLAD	25423	51278	\N	\N	\N
3412618	11328	1997-05-24	PRIJEM	VKLAD	16066	56213	\N	\N	\N
3412619	11328	1998-12-01	PRIJEM	VKLAD	29765	97111	\N	\N	\N
3412620	11328	1998-02-14	PRIJEM	VKLAD	20860	58504	\N	\N	\N
3412621	11328	1998-04-23	PRIJEM	VKLAD	29149	64319	\N	\N	\N
3412622	11328	1998-09-08	PRIJEM	VKLAD	22108	98986	\N	\N	\N
3412623	11328	1998-10-28	PRIJEM	VKLAD	11479	72103	\N	\N	\N
3412624	11328	1998-03-03	PRIJEM	VKLAD	8032	49242	\N	\N	\N
3412625	11328	1998-09-08	PRIJEM	VKLAD	19385	118371	\N	\N	\N
3412626	11328	1998-09-04	PRIJEM	VKLAD	30427	76878	\N	\N	\N
3412627	11328	1998-01-03	PRIJEM	VKLAD	7122	48715	\N	\N	\N
3412628	11328	1998-05-06	PRIJEM	VKLAD	20718	68778	\N	\N	\N
3412629	11328	1998-02-12	PRIJEM	VKLAD	15650	37644	\N	\N	\N
3412630	11328	1998-04-13	PRIJEM	VKLAD	15668	35170	\N	\N	\N
3412631	11328	1998-02-22	PRIJEM	VKLAD	43962	102466	\N	\N	\N
3412632	11328	1998-10-13	PRIJEM	VKLAD	34330	77124	\N	\N	\N
3412633	11328	1998-11-06	PRIJEM	VKLAD	21658	94009	\N	\N	\N
3412634	11328	1998-10-10	PRIJEM	VKLAD	11250	47468	\N	\N	\N
3412635	11328	1998-09-08	PRIJEM	VKLAD	17782	136153	\N	\N	\N
3412636	11328	1998-07-09	PRIJEM	VKLAD	10921	31303	\N	\N	\N
3412637	11328	1998-02-26	PRIJEM	VKLAD	10888	52354	\N	\N	\N
3412638	11328	1998-07-28	PRIJEM	VKLAD	48485	74688	\N	\N	\N
3412654	11328	1997-04-04	VYDAJ	VYBER	5500	29355	\N	\N	0
3412655	11328	1997-05-18	VYDAJ	VYBER	5000	40147	\N	\N	0
3412656	11328	1997-06-14	VYDAJ	VYBER	5700	24755	\N	\N	0
3412657	11328	1997-07-13	VYDAJ	VYBER	4300	21575	\N	\N	0
3412658	11328	1997-08-19	VYDAJ	VYBER	5400	33278	\N	\N	0
3412659	11328	1997-09-13	VYDAJ	VYBER	5200	41353	\N	\N	0
3412660	11328	1997-10-16	VYDAJ	VYBER	4600	11810	\N	\N	0
3412661	11328	1997-11-06	VYDAJ	VYBER	4600	10775	\N	\N	0
3412662	11328	1997-12-17	VYDAJ	VYBER	4900	56759	\N	\N	0
3412663	11328	1998-01-08	VYDAJ	VYBER	5300	29315	\N	\N	0
3412664	11328	1998-02-04	VYDAJ	VYBER	3700	21994	\N	\N	0
3412665	11328	1998-03-10	VYDAJ	VYBER	3600	45642	\N	\N	0
3412666	11328	1998-04-02	VYDAJ	VYBER	4900	19502	\N	\N	0
3412667	11328	1998-05-13	VYDAJ	VYBER	5400	60009	\N	\N	0
3412668	11328	1998-06-10	VYDAJ	VYBER	4600	41622	\N	\N	0
3412669	11328	1998-07-18	VYDAJ	VYBER	5100	26203	\N	\N	0
3412670	11328	1998-08-12	VYDAJ	PREVOD NA UCET	4674	50641	UVER	YZ	75745355
3412671	11328	1998-09-12	VYDAJ	PREVOD NA UCET	4674	74579	UVER	YZ	75745355
3412672	11328	1998-10-12	VYDAJ	PREVOD NA UCET	4674	42794	UVER	YZ	75745355
3412673	11328	1998-11-12	VYDAJ	PREVOD NA UCET	4674	83635	UVER	YZ	75745355
3412674	11328	1998-12-12	VYDAJ	PREVOD NA UCET	4674	92437	UVER	YZ	75745355
3412687	11328	1998-09-22	VYBER	VYBER	17703	56876	\N	\N	\N
3412688	11328	1998-05-09	VYBER	VYBER	3369	65409	\N	\N	\N
3412689	11328	1998-12-23	VYBER	VYBER	14340	63285	\N	\N	\N
3412690	11328	1998-01-18	VYBER	VYBER	4422	21293	\N	\N	\N
3412691	11328	1998-12-18	VYBER	VYBER	6712	77625	\N	\N	\N
3412692	11328	1998-06-30	VYBER	VYBER	11831	28780	\N	\N	\N
3412693	11328	1998-03-16	VYBER	VYBER	21975	23667	\N	\N	\N
3412694	11328	1998-07-03	VYBER	VYBER	8383	20382	\N	\N	\N
3412696	11328	1998-10-06	VYBER	VYBER	8420	36218	\N	\N	\N
3412705	11328	1998-12-16	VYDAJ	VYBER	8100	84337	\N	\N	\N
3412718	11328	1998-01-07	VYDAJ	VYBER	5400	34615	\N	\N	\N
3412719	11328	1998-01-04	VYDAJ	VYBER	8700	40015	\N	\N	\N
3412721	11328	1998-01-16	VYDAJ	VYBER	3600	25715	\N	\N	\N
3412723	11328	1998-01-23	VYDAJ	VYBER	2100	19193	\N	\N	\N
3412729	11328	1997-10-07	VYDAJ	VYBER	12600	16410	\N	\N	\N
3412732	11328	1997-05-27	VYDAJ	VYBER	14400	41813	\N	\N	\N
3412733	11328	1997-08-19	VYDAJ	VYBER	12600	38678	\N	\N	\N
3412734	11328	1998-05-21	VYDAJ	VYBER	6000	54009	\N	\N	\N
3412735	11328	1998-02-27	VYDAJ	VYBER	1500	50854	\N	\N	\N
3412736	11328	1998-11-12	VYDAJ	VYBER	5700	88309	\N	\N	\N
3412737	11328	1998-04-27	VYDAJ	VYBER	6300	58019	\N	\N	\N
3412754	11328	1997-04-30	VYDAJ	VYBER	15	75747	SLUZBY	\N	\N
3412755	11328	1997-05-31	VYDAJ	VYBER	15	42055	SLUZBY	\N	\N
3412756	11328	1997-06-30	VYDAJ	VYBER	15	24875	SLUZBY	\N	\N
3412757	11328	1997-07-31	VYDAJ	VYBER	15	21655	SLUZBY	\N	\N
3412758	11328	1997-08-31	VYDAJ	VYBER	15	33374	SLUZBY	\N	\N
3412759	11328	1997-09-30	VYDAJ	VYBER	15	41510	SLUZBY	\N	\N
3412760	11328	1997-10-31	VYDAJ	VYBER	15	15375	SLUZBY	\N	\N
3412761	11328	1997-11-30	VYDAJ	VYBER	15	17524	SLUZBY	\N	\N
3412762	11328	1997-12-31	VYDAJ	VYBER	15	41593	SLUZBY	\N	\N
3412763	11328	1998-01-31	VYDAJ	VYBER	15	25694	SLUZBY	\N	\N
3412764	11328	1998-02-28	VYDAJ	VYBER	15	51010	SLUZBY	\N	\N
3412765	11328	1998-03-31	VYDAJ	VYBER	15	24402	SLUZBY	\N	\N
3412766	11328	1998-04-30	VYDAJ	VYBER	15	48060	SLUZBY	\N	\N
3412767	11328	1998-05-31	VYDAJ	VYBER	15	46222	SLUZBY	\N	\N
3412768	11328	1998-06-30	VYDAJ	VYBER	15	28765	SLUZBY	\N	\N
3412769	11328	1998-07-31	VYDAJ	VYBER	15	55315	SLUZBY	\N	\N
3412770	11328	1998-08-31	VYDAJ	VYBER	15	46451	SLUZBY	\N	\N
3412771	11328	1998-09-30	VYDAJ	VYBER	15	44638	SLUZBY	\N	\N
3412772	11328	1998-10-31	VYDAJ	VYBER	15	72351	SLUZBY	\N	\N
3412773	11328	1998-11-30	VYDAJ	VYBER	15	67346	SLUZBY	\N	\N
3412774	11328	1996-12-05	PRIJEM	VKLAD	13300	14300	\N	\N	\N
3412775	11328	1997-01-04	VYDAJ	VYBER	28400	46538	\N	\N	\N
3412776	11328	1997-02-03	VYDAJ	VYBER	11000	35849	\N	\N	\N
3412777	11328	1997-03-05	VYDAJ	VYBER	6600	29561	\N	\N	\N
3412778	11328	1997-04-04	VYDAJ	VYBER	7900	34855	\N	\N	\N
3412779	11328	1997-05-04	VYDAJ	VYBER	30600	45147	\N	\N	\N
3412780	11328	1997-06-03	VYDAJ	VYBER	11600	30455	\N	\N	\N
3412781	11328	1997-07-03	PRIJEM	VKLAD	1000	25875	\N	\N	\N
3412782	11328	1997-08-02	PRIJEM	VKLAD	4200	25855	\N	\N	\N
3412783	11328	1997-09-01	VYDAJ	VYBER	5600	27774	\N	\N	\N
3412784	11328	1997-10-01	VYDAJ	VYBER	12500	29010	\N	\N	\N
3412785	11328	1997-10-31	PRIJEM	VKLAD	3500	15389	\N	\N	\N
3412786	11328	1997-11-30	PRIJEM	VKLAD	6700	17539	\N	\N	\N
3412787	11328	1997-12-30	VYDAJ	VYBER	15300	41459	\N	\N	\N
3412788	11328	1998-01-29	PRIJEM	VKLAD	6400	25593	\N	\N	\N
3412789	11328	1998-02-22	VYDAJ	VYBER	61000	41466	\N	\N	\N
3412790	11328	1998-02-28	VYDAJ	VYBER	9800	41210	\N	\N	\N
3412791	11328	1998-03-30	PRIJEM	VKLAD	600	24267	\N	\N	\N
3412792	11328	1998-04-29	VYDAJ	VYBER	10100	47919	\N	\N	\N
3412793	11328	1998-05-29	VYDAJ	VYBER	8000	46009	\N	\N	\N
3412794	11328	1998-06-28	VYDAJ	VYBER	1200	40422	\N	\N	\N
3412795	11328	1998-07-28	VYDAJ	VYBER	19500	55188	\N	\N	\N
3412796	11328	1998-08-27	VYDAJ	VYBER	4400	46241	\N	\N	\N
3412797	11328	1998-09-08	VYDAJ	VYBER	22300	79253	\N	\N	\N
3412798	11328	1998-09-08	VYDAJ	VYBER	34600	101553	\N	\N	\N
3412799	11328	1998-09-26	VYDAJ	VYBER	12500	44376	\N	\N	\N
3412800	11328	1998-10-26	VYDAJ	VYBER	16500	60624	\N	\N	\N
3412801	11328	1998-11-25	VYDAJ	VYBER	16600	67035	\N	\N	\N
3414432	11333	1994-05-26	PRIJEM	VKLAD	500	500	\N	\N	\N
3414433	11333	1994-07-26	PRIJEM	VKLAD	34322	90798	\N	\N	\N
3414435	11333	1994-09-18	PRIJEM	VKLAD	41100	92952	\N	\N	\N
3414437	11333	1994-07-22	PRIJEM	VKLAD	37328	83576	\N	\N	\N
3414438	11333	1994-11-22	PRIJEM	VKLAD	28328	63427	\N	\N	\N
3414439	11333	1994-08-14	PRIJEM	VKLAD	45948	137043	\N	\N	\N
3414440	11333	1994-09-21	PRIJEM	VKLAD	34649	127601	\N	\N	\N
3414442	11333	1994-06-08	PRIJEM	VKLAD	28027	28527	\N	\N	\N
3414444	11333	1994-12-13	PRIJEM	VKLAD	48037	76489	\N	\N	\N
3414447	11333	1994-08-18	PRIJEM	VKLAD	20492	128335	\N	\N	\N
3414448	11333	1994-06-17	PRIJEM	VKLAD	35907	64434	\N	\N	\N
3414449	11333	1994-10-02	PRIJEM	VKLAD	16099	69137	\N	\N	\N
3414452	11333	1995-04-24	PRIJEM	VKLAD	12245	28981	\N	\N	\N
3414453	11333	1996-01-03	PRIJEM	VKLAD	12382	14033	\N	\N	\N
3414454	11333	1996-07-03	PRIJEM	VKLAD	24251	71671	\N	\N	\N
3414455	11333	1996-08-09	PRIJEM	VKLAD	35728	107253	\N	\N	\N
3414456	11333	1996-06-21	PRIJEM	VKLAD	23366	60578	\N	\N	\N
3414457	11333	1996-05-31	PRIJEM	VKLAD	18731	45121	\N	\N	\N
3414458	11333	1996-09-03	PRIJEM	VKLAD	14114	106367	\N	\N	\N
3414459	11333	1996-06-28	PRIJEM	VKLAD	13973	51451	\N	\N	\N
3414460	11333	1996-09-29	PRIJEM	VKLAD	47871	102193	\N	\N	\N
3414461	11333	1996-09-10	PRIJEM	VKLAD	16954	83722	\N	\N	\N
3414462	11333	1996-07-29	PRIJEM	VKLAD	22246	71217	\N	\N	\N
3414463	11333	1996-02-24	PRIJEM	VKLAD	34289	48354	\N	\N	\N
3414464	11333	1996-05-21	PRIJEM	VKLAD	24913	39743	\N	\N	\N
3414465	11333	1996-12-07	PRIJEM	VKLAD	28166	58507	\N	\N	\N
3414466	11333	1996-01-18	PRIJEM	VKLAD	13687	28220	\N	\N	\N
3414467	11333	1996-01-21	PRIJEM	VKLAD	7047	27167	\N	\N	\N
3414468	11333	1996-09-01	PRIJEM	VKLAD	47853	92253	\N	\N	\N
3414469	11333	1997-09-06	PRIJEM	VKLAD	33008	130694	\N	\N	\N
3414470	11333	1997-11-04	PRIJEM	VKLAD	24302	92798	\N	\N	\N
3414471	11333	1997-08-20	PRIJEM	VKLAD	19659	86628	\N	\N	\N
3414472	11333	1997-04-09	PRIJEM	VKLAD	33738	98973	\N	\N	\N
3414473	11333	1997-03-26	PRIJEM	VKLAD	10733	64889	\N	\N	\N
3414474	11333	1997-06-18	PRIJEM	VKLAD	8793	60523	\N	\N	\N
3414475	11333	1997-03-22	PRIJEM	VKLAD	14768	54156	\N	\N	\N
3414476	11333	1997-09-24	PRIJEM	VKLAD	31945	58113	\N	\N	\N
3414477	11333	1997-01-19	PRIJEM	VKLAD	14683	24959	\N	\N	\N
3414478	11333	1997-10-07	PRIJEM	VKLAD	45091	103569	\N	\N	\N
3414479	11333	1997-07-09	PRIJEM	VKLAD	33168	94119	\N	\N	\N
3414480	11333	1997-05-23	PRIJEM	VKLAD	33059	70447	\N	\N	\N
3414481	11333	1997-09-02	PRIJEM	VKLAD	29323	116686	\N	\N	\N
3414482	11333	1997-07-31	PRIJEM	VKLAD	38383	99283	\N	\N	\N
3414483	11333	1997-12-01	PRIJEM	VKLAD	31552	43864	\N	\N	\N
3414484	11333	1997-09-24	PRIJEM	VKLAD	7307	26168	\N	\N	\N
3414485	11333	1997-06-16	PRIJEM	VKLAD	11698	51730	\N	\N	\N
3414486	11333	1997-03-06	PRIJEM	VKLAD	7061	50788	\N	\N	\N
3414487	11333	1997-11-18	PRIJEM	VKLAD	40439	112937	\N	\N	\N
3414488	11333	1997-12-10	PRIJEM	VKLAD	49368	92032	\N	\N	\N
3414489	11333	1997-02-07	PRIJEM	VKLAD	48927	65286	\N	\N	\N
3414490	11333	1998-01-14	PRIJEM	VKLAD	40054	105314	\N	\N	\N
3414491	11333	1998-10-18	PRIJEM	VKLAD	25602	95983	\N	\N	\N
3414492	11333	1998-05-08	PRIJEM	VKLAD	23602	69986	\N	\N	\N
3414493	11333	1998-03-24	PRIJEM	VKLAD	10713	48387	\N	\N	\N
3414494	11333	1998-10-18	PRIJEM	VKLAD	8189	70381	\N	\N	\N
3414495	11333	1998-08-14	PRIJEM	VKLAD	39277	68840	\N	\N	\N
3414557	11333	1994-11-23	VYBER	VYBER	18270	28157	\N	\N	\N
3414558	11333	1994-09-02	VYBER	VYBER	12068	51852	\N	\N	\N
3414560	11333	1994-10-04	VYBER	VYBER	15638	53499	\N	\N	\N
3414561	11333	1994-11-09	VYBER	VYBER	6094	35099	\N	\N	\N
3414570	11333	1995-03-19	VYBER	VYBER	7558	6277	\N	\N	\N
3414575	11333	1995-06-26	VYBER	VYBER	18320	-1291	\N	\N	\N
3414580	11333	1995-05-10	VYBER	VYBER	15462	13650	\N	\N	\N
3414582	11333	1995-12-19	VYBER	VYBER	13942	1603	\N	\N	\N
3414583	11333	1995-08-09	VYBER	VYBER	2450	7201	\N	\N	\N
3414585	11333	1996-05-12	VYBER	VYBER	15772	8030	\N	\N	\N
3414586	11333	1996-04-02	VYBER	VYBER	19170	14958	\N	\N	\N
3414587	11333	1996-08-14	VYBER	VYBER	18222	43969	\N	\N	\N
3414588	11333	1996-09-08	VYBER	VYBER	13426	66768	\N	\N	\N
3414589	11333	1996-09-05	VYBER	VYBER	15373	90994	\N	\N	\N
3414590	11333	1996-05-28	VYBER	VYBER	13353	26390	\N	\N	\N
3414591	11333	1996-08-12	VYBER	VYBER	14862	92391	\N	\N	\N
3414592	11333	1996-02-15	VYBER	VYBER	10069	14065	\N	\N	\N
3414594	11333	1996-06-29	VYBER	VYBER	2889	48562	\N	\N	\N
3414595	11333	1996-12-02	VYBER	VYBER	16391	30341	\N	\N	\N
3414596	11333	1997-04-12	VYBER	VYBER	14721	50152	\N	\N	\N
3414597	11333	1997-11-29	VYBER	VYBER	18873	11964	\N	\N	\N
3414598	11333	1997-09-09	VYBER	VYBER	11704	36729	\N	\N	\N
3414599	11333	1997-09-17	VYBER	VYBER	17868	18861	\N	\N	\N
3414600	11333	1997-09-08	VYBER	VYBER	8061	48433	\N	\N	\N
3414601	11333	1998-06-26	VYBER	VYBER	21610	33326	\N	\N	\N
3414602	11333	1998-07-29	VYBER	VYBER	10446	27832	\N	\N	\N
3414603	11333	1998-03-08	VYBER	VYBER	20795	37674	\N	\N	\N
3414604	11333	1998-04-27	VYBER	VYBER	18886	35061	\N	\N	\N
3414605	11333	1998-11-12	VYBER	VYBER	8770	74590	\N	\N	\N
3414608	11333	1996-06-26	VYDAJ	VYBER	23100	37478	\N	\N	\N
3414609	11333	1997-06-05	VYDAJ	VYBER	20700	50032	\N	\N	\N
3414612	11333	1995-01-29	VYDAJ	VYBER	11700	3320	\N	\N	\N
3414615	11333	1998-01-16	VYDAJ	VYBER	18900	81914	\N	\N	\N
3414616	11333	1994-12-20	VYDAJ	VYBER	1800	74689	\N	\N	\N
3414617	11333	1995-12-16	VYDAJ	VYBER	4800	1045	\N	\N	\N
3414618	11333	1996-12-29	VYDAJ	VYBER	4800	19507	\N	\N	\N
3414619	11333	1997-12-28	VYDAJ	VYBER	3600	88432	\N	\N	\N
3414620	11333	1998-12-15	VYDAJ	VYBER	4800	63654	\N	\N	\N
3414627	11333	1995-01-19	VYDAJ	VYBER	4800	45620	\N	\N	\N
3414628	11333	1995-01-22	VYDAJ	VYBER	5400	30620	\N	\N	\N
3414629	11333	1995-01-25	VYDAJ	VYBER	6300	21620	\N	\N	\N
3414630	11333	1995-01-11	VYDAJ	VYBER	1500	50420	\N	\N	\N
3414631	11333	1995-01-28	VYDAJ	VYBER	6600	15020	\N	\N	\N
3414632	11333	1995-01-23	VYDAJ	VYBER	2700	27920	\N	\N	\N
3414633	11333	1996-01-14	VYDAJ	VYBER	1800	12233	\N	\N	\N
3414634	11333	1996-01-19	VYDAJ	VYBER	8100	20120	\N	\N	\N
3414635	11333	1996-01-16	VYDAJ	VYBER	6000	14533	\N	\N	\N
3414636	11333	1996-01-21	VYDAJ	VYBER	6600	20567	\N	\N	\N
3414637	11333	1996-01-16	VYDAJ	VYBER	3000	20533	\N	\N	\N
3414638	11333	1996-01-29	VYDAJ	VYBER	6600	13967	\N	\N	\N
3414639	11333	1997-01-21	VYDAJ	VYBER	1500	23459	\N	\N	\N
3414640	11333	1997-01-29	VYDAJ	VYBER	7200	16259	\N	\N	\N
3414641	11333	1997-01-16	VYDAJ	VYBER	4800	10276	\N	\N	\N
3414642	11333	1997-01-12	VYDAJ	VYBER	2700	18676	\N	\N	\N
3414643	11333	1997-01-14	VYDAJ	VYBER	3600	15076	\N	\N	\N
3414644	11333	1997-01-06	VYDAJ	VYBER	1800	17976	\N	\N	\N
3414645	11333	1998-01-30	VYDAJ	VYBER	1800	59714	\N	\N	\N
3414646	11333	1998-01-15	VYDAJ	VYBER	4500	100814	\N	\N	\N
3414647	11333	1998-01-28	VYDAJ	VYBER	3900	61514	\N	\N	\N
3414648	11333	1998-01-01	VYDAJ	VYBER	4800	84160	\N	\N	\N
3414649	11333	1998-01-26	VYDAJ	VYBER	8100	73814	\N	\N	\N
3414650	11333	1998-01-27	VYDAJ	VYBER	8400	65414	\N	\N	\N
3414653	11333	1995-09-29	VYDAJ	VYBER	14100	-480	\N	\N	\N
3414654	11333	1995-12-04	VYDAJ	VYBER	9600	5845	\N	\N	\N
3414655	11333	1995-08-13	VYDAJ	VYBER	8100	-899	\N	\N	\N
3414656	11333	1995-08-31	VYDAJ	VYBER	10800	320	\N	\N	\N
3414657	11333	1995-06-01	VYDAJ	VYBER	2100	14529	\N	\N	\N
3414658	11333	1996-06-29	VYDAJ	VYBER	1500	47062	\N	\N	\N
3414659	11333	1996-03-24	VYDAJ	VYBER	4800	33789	\N	\N	\N
3414660	11333	1996-12-20	VYDAJ	VYBER	13500	26407	\N	\N	\N
3414661	11333	1996-09-07	VYDAJ	VYBER	10800	80194	\N	\N	\N
3414662	11333	1996-12-22	VYDAJ	VYBER	2100	24307	\N	\N	\N
3414663	11333	1997-11-19	VYDAJ	VYBER	8700	30837	\N	\N	\N
3414664	11333	1997-11-18	VYDAJ	VYBER	13800	99137	\N	\N	\N
3414665	11333	1997-10-22	VYDAJ	VYBER	5700	67969	\N	\N	\N
3414666	11333	1997-07-21	VYDAJ	VYBER	3900	60419	\N	\N	\N
3414667	11333	1998-07-01	VYDAJ	VYBER	3300	30478	\N	\N	\N
3414668	11333	1998-09-08	VYDAJ	VYBER	3900	57473	\N	\N	\N
3414669	11333	1998-12-26	VYDAJ	VYBER	5700	57954	\N	\N	\N
3414670	11333	1998-06-23	VYDAJ	VYBER	9000	54936	\N	\N	\N
3414671	11333	1998-08-10	VYDAJ	VYBER	12900	29563	\N	\N	\N
3414680	11333	1994-08-31	VYDAJ	VYBER	15	63920	SLUZBY	\N	\N
3414681	11333	1994-09-30	VYDAJ	VYBER	15	53038	SLUZBY	\N	\N
3414682	11333	1994-10-31	VYDAJ	VYBER	15	41193	SLUZBY	\N	\N
3414683	11333	1994-11-30	VYDAJ	VYBER	15	28452	SLUZBY	\N	\N
3414684	11333	1994-12-31	VYDAJ	VYBER	15	51920	SLUZBY	\N	\N
3414685	11333	1995-01-31	VYDAJ	VYBER	15	3629	SLUZBY	\N	\N
3414686	11333	1995-02-28	VYDAJ	VYBER	15	13835	SLUZBY	\N	\N
3414687	11333	1995-03-31	VYDAJ	VYBER	15	15736	SLUZBY	\N	\N
3414688	11333	1995-04-30	VYDAJ	VYBER	15	29112	SLUZBY	\N	\N
3414689	11333	1995-05-31	VYDAJ	VYBER	15	16629	SLUZBY	\N	\N
3414690	11333	1995-06-30	VYDAJ	VYBER	15	-1208	SLUZBY	\N	\N
3414691	11333	1995-07-31	VYDAJ	VYBER	15	9678	SLUZBY	\N	\N
3414692	11333	1995-08-31	VYDAJ	VYBER	15	11125	SLUZBY	\N	\N
3414693	11333	1995-09-30	VYDAJ	VYBER	15	-495	SLUZBY	\N	\N
3414694	11333	1995-10-31	VYDAJ	VYBER	15	9844	SLUZBY	\N	\N
3414695	11333	1995-11-30	VYDAJ	VYBER	15	15445	SLUZBY	\N	\N
3414696	11333	1995-12-31	VYDAJ	VYBER	15	1651	SLUZBY	\N	\N
3414697	11333	1996-01-31	VYDAJ	VYBER	15	14034	SLUZBY	\N	\N
3414698	11333	1996-02-29	VYDAJ	VYBER	15	48489	SLUZBY	\N	\N
3414699	11333	1996-03-31	VYDAJ	VYBER	15	34128	SLUZBY	\N	\N
3414700	11333	1996-04-30	VYDAJ	VYBER	15	23802	SLUZBY	\N	\N
3414701	11333	1996-05-31	VYDAJ	VYBER	15	45312	SLUZBY	\N	\N
3414702	11333	1996-06-30	VYDAJ	VYBER	15	47420	SLUZBY	\N	\N
3414703	11333	1996-07-31	VYDAJ	VYBER	15	71525	SLUZBY	\N	\N
3414704	11333	1996-08-31	VYDAJ	VYBER	15	44400	SLUZBY	\N	\N
3414705	11333	1996-09-30	VYDAJ	VYBER	15	102695	SLUZBY	\N	\N
3414706	11333	1996-10-31	VYDAJ	VYBER	15	63491	SLUZBY	\N	\N
3414707	11333	1996-11-30	VYDAJ	VYBER	15	46732	SLUZBY	\N	\N
3414708	11333	1996-12-31	VYDAJ	VYBER	15	19776	SLUZBY	\N	\N
3414709	11333	1997-01-31	VYDAJ	VYBER	15	16359	SLUZBY	\N	\N
3414710	11333	1997-02-28	VYDAJ	VYBER	15	43727	SLUZBY	\N	\N
3414711	11333	1997-03-31	VYDAJ	VYBER	15	65235	SLUZBY	\N	\N
3414712	11333	1997-04-30	VYDAJ	VYBER	15	50488	SLUZBY	\N	\N
3414713	11333	1997-05-31	VYDAJ	VYBER	15	70732	SLUZBY	\N	\N
3414714	11333	1997-06-30	VYDAJ	VYBER	15	60951	SLUZBY	\N	\N
3414715	11333	1997-07-31	VYDAJ	VYBER	15	99269	SLUZBY	\N	\N
3414716	11333	1997-08-31	VYDAJ	VYBER	15	87363	SLUZBY	\N	\N
3414717	11333	1997-09-30	VYDAJ	VYBER	15	58478	SLUZBY	\N	\N
3414718	11333	1997-10-31	VYDAJ	VYBER	15	68496	SLUZBY	\N	\N
3414719	11333	1997-11-30	VYDAJ	VYBER	15	12312	SLUZBY	\N	\N
3414720	11333	1997-12-31	VYDAJ	VYBER	15	88960	SLUZBY	\N	\N
3414721	11333	1998-01-31	VYDAJ	VYBER	15	60240	SLUZBY	\N	\N
3414722	11333	1998-02-28	VYDAJ	VYBER	15	56969	SLUZBY	\N	\N
3414723	11333	1998-03-31	VYDAJ	VYBER	15	48647	SLUZBY	\N	\N
3414724	11333	1998-04-30	VYDAJ	VYBER	15	35384	SLUZBY	\N	\N
3414725	11333	1998-05-31	VYDAJ	VYBER	15	70436	SLUZBY	\N	\N
3414726	11333	1998-06-30	VYDAJ	VYBER	15	33778	SLUZBY	\N	\N
3414727	11333	1998-07-31	VYDAJ	VYBER	15	28063	SLUZBY	\N	\N
3414728	11333	1998-08-31	VYDAJ	VYBER	15	69173	SLUZBY	\N	\N
3414729	11333	1998-09-30	VYDAJ	VYBER	15	57892	SLUZBY	\N	\N
3414730	11333	1998-10-31	VYDAJ	VYBER	15	96360	SLUZBY	\N	\N
3414731	11333	1998-11-30	VYDAJ	VYBER	15	75054	SLUZBY	\N	\N
3414732	11333	1994-06-25	VYDAJ	VYBER	18400	46034	\N	\N	\N
3414733	11333	1994-07-25	VYDAJ	VYBER	27100	56476	\N	\N	\N
3414734	11333	1994-08-14	VYDAJ	VYBER	29200	107843	\N	\N	\N
3414735	11333	1994-08-18	VYDAJ	VYBER	21700	106635	\N	\N	\N
3414736	11333	1994-08-24	VYDAJ	VYBER	43300	63335	\N	\N	\N
3414737	11333	1994-09-21	VYDAJ	VYBER	45300	82301	\N	\N	\N
3414738	11333	1994-09-23	VYDAJ	VYBER	29800	52501	\N	\N	\N
3414739	11333	1994-10-23	VYDAJ	VYBER	12700	40799	\N	\N	\N
3414740	11333	1994-11-22	VYDAJ	VYBER	17000	46427	\N	\N	\N
3414741	11333	1994-12-22	VYDAJ	VYBER	23000	51689	\N	\N	\N
3414742	11333	1995-01-21	VYDAJ	VYBER	9600	36020	\N	\N	\N
3414743	11333	1995-02-20	PRIJEM	VKLAD	10200	13829	\N	\N	\N
3414744	11333	1995-03-22	PRIJEM	VKLAD	9400	15677	\N	\N	\N
3414745	11333	1995-04-21	PRIJEM	VKLAD	1000	16736	\N	\N	\N
3414746	11333	1995-05-21	PRIJEM	VKLAD	2800	16450	\N	\N	\N
3414747	11333	1995-06-20	PRIJEM	VKLAD	2500	17029	\N	\N	\N
3414748	11333	1995-07-20	PRIJEM	VKLAD	10900	9692	\N	\N	\N
3414749	11333	1995-08-19	PRIJEM	VKLAD	12000	11101	\N	\N	\N
3414750	11333	1995-09-18	PRIJEM	VKLAD	13300	13620	\N	\N	\N
3414751	11333	1995-10-18	PRIJEM	VKLAD	10400	9878	\N	\N	\N
3414752	11333	1995-11-17	PRIJEM	VKLAD	5600	15423	\N	\N	\N
3414753	11333	1995-12-17	PRIJEM	VKLAD	14500	15545	\N	\N	\N
3414754	11333	1996-01-16	PRIJEM	VKLAD	11300	23533	\N	\N	\N
3414755	11333	1996-02-15	PRIJEM	VKLAD	10100	24134	\N	\N	\N
3414756	11333	1996-03-16	VYDAJ	VYBER	9900	38589	\N	\N	\N
3414757	11333	1996-04-15	PRIJEM	VKLAD	8700	23658	\N	\N	\N
3414758	11333	1996-05-15	PRIJEM	VKLAD	6800	14830	\N	\N	\N
3414759	11333	1996-06-14	VYDAJ	VYBER	8100	37212	\N	\N	\N
3414760	11333	1996-07-14	VYDAJ	VYBER	22700	48971	\N	\N	\N
3414761	11333	1996-08-13	VYDAJ	VYBER	30200	62191	\N	\N	\N
3414762	11333	1996-09-12	VYDAJ	VYBER	29400	54322	\N	\N	\N
3414763	11333	1996-10-12	VYDAJ	VYBER	39600	63095	\N	\N	\N
3414764	11333	1996-11-11	VYDAJ	VYBER	17000	46491	\N	\N	\N
3414765	11333	1996-12-11	VYDAJ	VYBER	18600	39907	\N	\N	\N
3414766	11333	1997-01-10	PRIJEM	VKLAD	3400	21376	\N	\N	\N
3414767	11333	1997-02-09	VYDAJ	VYBER	21800	43486	\N	\N	\N
3414768	11333	1997-03-11	VYDAJ	VYBER	11400	39388	\N	\N	\N
3414769	11333	1997-04-10	VYDAJ	VYBER	34100	64873	\N	\N	\N
3414770	11333	1997-05-10	VYDAJ	VYBER	13100	37388	\N	\N	\N
3414771	11333	1997-06-09	VYDAJ	VYBER	10000	40032	\N	\N	\N
3414772	11333	1997-07-09	VYDAJ	VYBER	29800	64319	\N	\N	\N
3414773	11333	1997-08-08	VYDAJ	VYBER	32300	66969	\N	\N	\N
3414774	11333	1997-09-02	VYDAJ	VYBER	19000	97686	\N	\N	\N
3414775	11333	1997-09-06	VYDAJ	VYBER	62800	67894	\N	\N	\N
3414776	11333	1997-09-07	VYDAJ	VYBER	11400	56494	\N	\N	\N
3414777	11333	1997-10-07	VYDAJ	VYBER	29900	73669	\N	\N	\N
3414778	11333	1997-11-06	VYDAJ	VYBER	20300	72498	\N	\N	\N
3414779	11333	1997-11-18	VYDAJ	VYBER	59600	39537	\N	\N	\N
3414780	11333	1997-12-06	VYDAJ	VYBER	1200	42664	\N	\N	\N
3414781	11333	1998-01-05	VYDAJ	VYBER	18900	65260	\N	\N	\N
3414782	11333	1998-02-04	VYDAJ	VYBER	3700	56540	\N	\N	\N
3414783	11333	1998-03-06	PRIJEM	VKLAD	1500	58469	\N	\N	\N
3414784	11333	1998-04-05	PRIJEM	VKLAD	5300	53947	\N	\N	\N
3414785	11333	1998-05-05	PRIJEM	VKLAD	11000	46384	\N	\N	\N
3414786	11333	1998-06-04	VYDAJ	VYBER	6500	63936	\N	\N	\N
3414787	11333	1998-07-04	PRIJEM	VKLAD	7800	38278	\N	\N	\N
3414788	11333	1998-08-03	PRIJEM	VKLAD	14400	42463	\N	\N	\N
3414789	11333	1998-09-02	VYDAJ	VYBER	7800	61373	\N	\N	\N
3414790	11333	1998-10-02	PRIJEM	VKLAD	4300	62192	\N	\N	\N
3414791	11333	1998-11-01	VYDAJ	VYBER	13000	83360	\N	\N	\N
3414792	11333	1998-12-01	VYDAJ	VYBER	6600	68454	\N	\N	\N
3419713	11349	1995-05-26	PRIJEM	VKLAD	200	200	\N	\N	\N
3419719	11349	1995-06-08	PRIJEM	PREVOD Z UCTU	62982	63182	\N	GH	94058370
3419720	11349	1995-07-08	PRIJEM	PREVOD Z UCTU	41988	88809	\N	GH	94058370
3419721	11349	1995-08-08	PRIJEM	PREVOD Z UCTU	41988	101103	\N	GH	94058370
3419722	11349	1995-09-08	PRIJEM	PREVOD Z UCTU	41988	104040	\N	GH	94058370
3419723	11349	1995-10-08	PRIJEM	PREVOD Z UCTU	41988	100090	\N	GH	94058370
3419724	11349	1995-11-08	PRIJEM	PREVOD Z UCTU	41988	66807	\N	GH	94058370
3419725	11349	1995-12-08	PRIJEM	PREVOD Z UCTU	62982	87181	\N	GH	94058370
3419726	11349	1996-01-08	PRIJEM	PREVOD Z UCTU	41988	78076	\N	GH	94058370
3419727	11349	1996-02-08	PRIJEM	PREVOD Z UCTU	41988	62425	\N	GH	94058370
3419728	11349	1996-03-08	PRIJEM	PREVOD Z UCTU	41988	79645	\N	GH	94058370
3419729	11349	1996-04-08	PRIJEM	PREVOD Z UCTU	41988	78726	\N	GH	94058370
3419730	11349	1996-05-08	PRIJEM	PREVOD Z UCTU	41988	87802	\N	GH	94058370
3419731	11349	1996-06-08	PRIJEM	PREVOD Z UCTU	62982	112499	\N	GH	94058370
3419732	11349	1996-07-08	PRIJEM	PREVOD Z UCTU	41988	62345	\N	GH	94058370
3419733	11349	1996-08-08	PRIJEM	PREVOD Z UCTU	41988	80926	\N	GH	94058370
3419734	11349	1996-09-08	PRIJEM	PREVOD Z UCTU	41988	84418	\N	GH	94058370
3419735	11349	1996-10-08	PRIJEM	PREVOD Z UCTU	41988	75012	\N	GH	94058370
3419736	11349	1996-11-08	PRIJEM	PREVOD Z UCTU	41988	90479	\N	GH	94058370
3419737	11349	1996-12-08	PRIJEM	PREVOD Z UCTU	62982	113679	\N	GH	94058370
3419738	11349	1997-01-08	PRIJEM	PREVOD Z UCTU	41988	72258	\N	GH	94058370
3419739	11349	1997-02-08	PRIJEM	PREVOD Z UCTU	41988	64157	\N	GH	94058370
3419740	11349	1997-03-08	PRIJEM	PREVOD Z UCTU	41988	68490	\N	GH	94058370
3419741	11349	1997-04-08	PRIJEM	PREVOD Z UCTU	41988	87256	\N	GH	94058370
3419742	11349	1997-05-08	PRIJEM	PREVOD Z UCTU	41988	71244	\N	GH	94058370
3419743	11349	1997-06-08	PRIJEM	PREVOD Z UCTU	62982	110114	\N	GH	94058370
3419744	11349	1997-07-08	PRIJEM	PREVOD Z UCTU	41988	91709	\N	GH	94058370
3419745	11349	1997-08-08	PRIJEM	PREVOD Z UCTU	41988	81822	\N	GH	94058370
3419746	11349	1997-09-08	PRIJEM	PREVOD Z UCTU	41988	91998	\N	GH	94058370
3419747	11349	1997-10-08	PRIJEM	PREVOD Z UCTU	41988	73164	\N	GH	94058370
3419748	11349	1997-11-08	PRIJEM	PREVOD Z UCTU	41988	87614	\N	GH	94058370
3419749	11349	1997-12-08	PRIJEM	PREVOD Z UCTU	62982	100760	\N	GH	94058370
3419750	11349	1998-01-08	PRIJEM	PREVOD Z UCTU	41988	68190	\N	GH	94058370
3419751	11349	1998-02-08	PRIJEM	PREVOD Z UCTU	41988	62780	\N	GH	94058370
3419752	11349	1998-03-08	PRIJEM	PREVOD Z UCTU	41988	65954	\N	GH	94058370
3419753	11349	1998-04-08	PRIJEM	PREVOD Z UCTU	41988	64696	\N	GH	94058370
3419754	11349	1998-05-08	PRIJEM	PREVOD Z UCTU	41988	67516	\N	GH	94058370
3419755	11349	1998-06-08	PRIJEM	PREVOD Z UCTU	62982	96213	\N	GH	94058370
3419756	11349	1998-07-08	PRIJEM	PREVOD Z UCTU	41988	82952	\N	GH	94058370
3419757	11349	1998-08-08	PRIJEM	PREVOD Z UCTU	41988	71879	\N	GH	94058370
3419758	11349	1998-09-08	PRIJEM	PREVOD Z UCTU	41988	58631	\N	GH	94058370
3419759	11349	1998-10-08	PRIJEM	PREVOD Z UCTU	41988	61195	\N	GH	94058370
3419760	11349	1998-11-08	PRIJEM	PREVOD Z UCTU	41988	59358	\N	GH	94058370
3419761	11349	1998-12-08	PRIJEM	PREVOD Z UCTU	62982	84383	\N	GH	94058370
3419771	11349	1995-10-04	VYDAJ	VYBER	8500	58102	\N	\N	0
3419772	11349	1995-11-12	VYDAJ	PREVOD NA UCET	6998	48923	UVER	KL	66436326
3419773	11349	1995-12-12	VYDAJ	PREVOD NA UCET	6998	69297	UVER	KL	66436326
3419774	11349	1996-01-12	VYDAJ	PREVOD NA UCET	6998	57192	UVER	KL	66436326
3419775	11349	1996-02-12	VYDAJ	PREVOD NA UCET	6998	44541	UVER	KL	66436326
3419776	11349	1996-03-12	VYDAJ	PREVOD NA UCET	6998	44297	UVER	KL	66436326
3419777	11349	1996-04-12	VYDAJ	PREVOD NA UCET	6998	60842	UVER	KL	66436326
3419778	11349	1996-05-12	VYDAJ	PREVOD NA UCET	6998	69918	UVER	KL	66436326
3419779	11349	1996-06-12	VYDAJ	PREVOD NA UCET	6998	30315	UVER	KL	66436326
3419780	11349	1996-07-12	VYDAJ	PREVOD NA UCET	6998	44461	UVER	KL	66436326
3419781	11349	1996-08-12	VYDAJ	PREVOD NA UCET	6998	63042	UVER	KL	66436326
3419782	11349	1996-09-12	VYDAJ	PREVOD NA UCET	6998	66534	UVER	KL	66436326
3419783	11349	1996-10-12	VYDAJ	PREVOD NA UCET	6998	57128	UVER	KL	66436326
3419784	11349	1996-11-12	VYDAJ	PREVOD NA UCET	6998	72595	UVER	KL	66436326
3419785	11349	1996-12-12	VYDAJ	PREVOD NA UCET	6998	50095	UVER	KL	66436326
3419786	11349	1997-01-12	VYDAJ	PREVOD NA UCET	6998	35357	UVER	KL	66436326
3419787	11349	1997-02-12	VYDAJ	PREVOD NA UCET	6998	46273	UVER	KL	66436326
3419788	11349	1997-03-12	VYDAJ	PREVOD NA UCET	6998	50606	UVER	KL	66436326
3419789	11349	1997-04-12	VYDAJ	PREVOD NA UCET	6998	69372	UVER	KL	66436326
3419790	11349	1997-05-12	VYDAJ	PREVOD NA UCET	6998	53360	UVER	KL	66436326
3419791	11349	1997-06-12	VYDAJ	PREVOD NA UCET	6998	61330	UVER	KL	66436326
3419792	11349	1997-07-12	VYDAJ	PREVOD NA UCET	6998	73825	UVER	KL	66436326
3419793	11349	1997-08-12	VYDAJ	PREVOD NA UCET	6998	63938	UVER	KL	66436326
3419794	11349	1997-09-12	VYDAJ	PREVOD NA UCET	6998	74114	UVER	KL	66436326
3419795	11349	1997-10-12	VYDAJ	PREVOD NA UCET	6998	45480	UVER	KL	66436326
3419796	11349	1997-11-12	VYDAJ	PREVOD NA UCET	6998	37630	UVER	KL	66436326
3419797	11349	1997-12-12	VYDAJ	PREVOD NA UCET	6998	39761	UVER	KL	66436326
3419798	11349	1998-01-12	VYDAJ	PREVOD NA UCET	6998	31206	UVER	KL	66436326
3419799	11349	1998-02-12	VYDAJ	PREVOD NA UCET	6998	23896	UVER	KL	66436326
3419800	11349	1998-03-12	VYDAJ	PREVOD NA UCET	6998	22637	UVER	KL	66436326
3419801	11349	1998-04-12	VYDAJ	PREVOD NA UCET	6998	25452	UVER	KL	66436326
3419802	11349	1998-05-12	VYDAJ	PREVOD NA UCET	6998	33132	UVER	KL	66436326
3419803	11349	1998-06-12	VYDAJ	PREVOD NA UCET	6998	40829	UVER	KL	66436326
3419804	11349	1998-07-12	VYDAJ	PREVOD NA UCET	6998	35168	UVER	KL	66436326
3419805	11349	1998-08-12	VYDAJ	PREVOD NA UCET	6998	9504	UVER	KL	66436326
3419806	11349	1998-09-12	VYDAJ	PREVOD NA UCET	6998	21945	UVER	KL	66436326
3419807	11349	1998-10-12	VYDAJ	PREVOD NA UCET	6998	43311	UVER	KL	66436326
3419808	11349	1998-11-12	VYDAJ	PREVOD NA UCET	6998	41474	UVER	KL	66436326
3419809	11349	1998-12-12	VYDAJ	PREVOD NA UCET	6998	60531	UVER	KL	66436326
3419819	11349	1995-10-10	VYDAJ	PREVOD NA UCET	10886	24404	SIPO	GH	57291018
3419820	11349	1995-11-10	VYDAJ	PREVOD NA UCET	10886	55921	SIPO	GH	57291018
3419821	11349	1995-12-10	VYDAJ	PREVOD NA UCET	10886	76295	SIPO	GH	57291018
3419822	11349	1996-01-10	VYDAJ	PREVOD NA UCET	10886	64190	SIPO	GH	57291018
3419823	11349	1996-02-10	VYDAJ	PREVOD NA UCET	10886	51539	SIPO	GH	57291018
3419824	11349	1996-03-10	VYDAJ	PREVOD NA UCET	10886	51295	SIPO	GH	57291018
3419825	11349	1996-04-10	VYDAJ	PREVOD NA UCET	10886	67840	SIPO	GH	57291018
3419826	11349	1996-05-10	VYDAJ	PREVOD NA UCET	10886	76916	SIPO	GH	57291018
3419827	11349	1996-06-10	VYDAJ	PREVOD NA UCET	10886	37313	SIPO	GH	57291018
3419828	11349	1996-07-10	VYDAJ	PREVOD NA UCET	10886	51459	SIPO	GH	57291018
3419829	11349	1996-08-10	VYDAJ	PREVOD NA UCET	10886	70040	SIPO	GH	57291018
3419830	11349	1996-09-10	VYDAJ	PREVOD NA UCET	10886	73532	SIPO	GH	57291018
3419831	11349	1996-10-10	VYDAJ	PREVOD NA UCET	10886	64126	SIPO	GH	57291018
3419832	11349	1996-11-10	VYDAJ	PREVOD NA UCET	10886	79593	SIPO	GH	57291018
3419833	11349	1996-12-10	VYDAJ	PREVOD NA UCET	10886	57093	SIPO	GH	57291018
3419834	11349	1997-01-10	VYDAJ	PREVOD NA UCET	10886	42355	SIPO	GH	57291018
3419835	11349	1997-02-10	VYDAJ	PREVOD NA UCET	10886	53271	SIPO	GH	57291018
3419836	11349	1997-03-10	VYDAJ	PREVOD NA UCET	10886	57604	SIPO	GH	57291018
3419837	11349	1997-04-10	VYDAJ	PREVOD NA UCET	10886	76370	SIPO	GH	57291018
3419838	11349	1997-05-10	VYDAJ	PREVOD NA UCET	10886	60358	SIPO	GH	57291018
3419839	11349	1997-06-10	VYDAJ	PREVOD NA UCET	10886	68328	SIPO	GH	57291018
3419840	11349	1997-07-10	VYDAJ	PREVOD NA UCET	10886	80823	SIPO	GH	57291018
3419841	11349	1997-08-10	VYDAJ	PREVOD NA UCET	10886	70936	SIPO	GH	57291018
3419842	11349	1997-09-10	VYDAJ	PREVOD NA UCET	10886	81112	SIPO	GH	57291018
3419843	11349	1997-10-10	VYDAJ	PREVOD NA UCET	10886	62278	SIPO	GH	57291018
3419844	11349	1997-11-10	VYDAJ	PREVOD NA UCET	10886	64128	SIPO	GH	57291018
3419845	11349	1997-12-10	VYDAJ	PREVOD NA UCET	10886	68159	SIPO	GH	57291018
3419846	11349	1998-01-10	VYDAJ	PREVOD NA UCET	10886	38204	SIPO	GH	57291018
3419847	11349	1998-02-10	VYDAJ	PREVOD NA UCET	10886	30894	SIPO	GH	57291018
3419848	11349	1998-03-10	VYDAJ	PREVOD NA UCET	10886	55068	SIPO	GH	57291018
3419849	11349	1998-04-10	VYDAJ	PREVOD NA UCET	10886	39210	SIPO	GH	57291018
3419850	11349	1998-05-10	VYDAJ	PREVOD NA UCET	10886	40130	SIPO	GH	57291018
3419851	11349	1998-06-10	VYDAJ	PREVOD NA UCET	10886	47827	SIPO	GH	57291018
3419852	11349	1998-07-10	VYDAJ	PREVOD NA UCET	10886	42166	SIPO	GH	57291018
3419853	11349	1998-08-10	VYDAJ	PREVOD NA UCET	10886	16502	SIPO	GH	57291018
3419854	11349	1998-09-10	VYDAJ	PREVOD NA UCET	10886	47745	SIPO	GH	57291018
3419855	11349	1998-10-10	VYDAJ	PREVOD NA UCET	10886	50309	SIPO	GH	57291018
3419856	11349	1998-11-10	VYDAJ	PREVOD NA UCET	10886	48472	SIPO	GH	57291018
3419857	11349	1998-12-10	VYDAJ	PREVOD NA UCET	10886	70983	SIPO	GH	57291018
3419861	11349	1995-11-19	VYBER	VYBER	12544	36379	\N	\N	\N
3419864	11349	1996-07-30	VYBER	VYBER	2544	38817	\N	\N	\N
3419866	11349	1996-09-21	VYBER	VYBER	7213	46321	\N	\N	\N
3419867	11349	1996-03-09	VYBER	VYBER	17464	62181	\N	\N	\N
3419868	11349	1997-01-10	VYBER	VYBER	4617	53241	\N	\N	\N
3419869	11349	1997-09-27	VYBER	VYBER	21065	30949	\N	\N	\N
3419870	11349	1997-07-26	VYBER	VYBER	7084	48341	\N	\N	\N
3419871	11349	1997-12-08	VYBER	VYBER	21715	79045	\N	\N	\N
3419872	11349	1997-02-16	VYBER	VYBER	2978	36495	\N	\N	\N
3419873	11349	1997-03-05	VYBER	VYBER	10105	26502	\N	\N	\N
3419874	11349	1997-12-30	VYBER	VYBER	11610	28151	\N	\N	\N
3419875	11349	1998-08-10	VYBER	VYBER	18491	27388	\N	\N	\N
3419876	11349	1998-04-11	VYBER	VYBER	6760	32450	\N	\N	\N
3419878	11349	1998-12-09	VYBER	VYBER	2514	81869	\N	\N	\N
3419879	11349	1998-10-28	VYBER	VYBER	10013	23764	\N	\N	\N
3419880	11349	1998-09-11	VYBER	VYBER	18802	28943	\N	\N	\N
3419881	11349	1998-03-11	VYBER	VYBER	18033	37035	\N	\N	\N
3419883	11349	1998-12-18	VYBER	VYBER	22839	37692	\N	\N	\N
3419885	11349	1998-12-11	VYBER	VYBER	3454	67529	\N	\N	\N
3419886	11349	1998-10-13	VYBER	VYBER	9534	33777	\N	\N	\N
3419890	11349	1996-06-29	VYDAJ	VYBER	13200	20215	\N	\N	\N
3419893	11349	1995-12-27	VYDAJ	VYBER	8700	35897	\N	\N	\N
3419894	11349	1996-12-06	VYDAJ	VYBER	1800	50697	\N	\N	\N
3419895	11349	1997-12-10	VYDAJ	VYBER	3300	64859	\N	\N	\N
3419896	11349	1998-12-02	VYDAJ	VYBER	2100	34401	\N	\N	\N
3419903	11349	1996-01-29	VYDAJ	VYBER	8400	20292	\N	\N	\N
3419904	11349	1996-01-16	VYDAJ	VYBER	3900	53292	\N	\N	\N
3419905	11349	1996-01-22	VYDAJ	VYBER	6600	31092	\N	\N	\N
3419906	11349	1996-01-28	VYDAJ	VYBER	2400	28692	\N	\N	\N
3419907	11349	1996-01-09	VYDAJ	VYBER	3000	75076	\N	\N	\N
3419908	11349	1996-01-20	VYDAJ	VYBER	4200	49092	\N	\N	\N
3419909	11349	1997-01-13	VYDAJ	VYBER	1500	33857	\N	\N	\N
3419910	11349	1997-01-09	VYDAJ	VYBER	7200	57858	\N	\N	\N
3419911	11349	1997-01-08	VYDAJ	VYBER	7200	65058	\N	\N	\N
3419912	11349	1997-01-22	VYDAJ	VYBER	8700	22057	\N	\N	\N
3419913	11349	1997-01-14	VYDAJ	VYBER	4800	26657	\N	\N	\N
3419914	11349	1997-01-14	VYDAJ	VYBER	2400	31457	\N	\N	\N
3419915	11349	1998-01-17	VYDAJ	VYBER	3300	24006	\N	\N	\N
3419917	11349	1998-01-19	VYDAJ	VYBER	3300	20706	\N	\N	\N
3419918	11349	1998-01-13	VYDAJ	VYBER	3900	27306	\N	\N	\N
3419919	11349	1998-01-05	VYDAJ	VYBER	2100	26202	\N	\N	\N
3419924	11349	1995-12-03	VYDAJ	VYBER	8100	24199	\N	\N	\N
3419926	11349	1996-09-29	VYDAJ	VYBER	13500	32821	\N	\N	\N
3419927	11349	1996-05-19	VYDAJ	VYBER	12000	57918	\N	\N	\N
3419928	11349	1996-09-02	VYDAJ	VYBER	11400	42430	\N	\N	\N
3419929	11349	1997-05-05	VYDAJ	VYBER	14100	29256	\N	\N	\N
3419930	11349	1997-04-13	VYDAJ	VYBER	7800	61572	\N	\N	\N
3419931	11349	1997-11-08	VYDAJ	VYBER	12600	75014	\N	\N	\N
3419932	11349	1997-07-26	VYDAJ	VYBER	8700	39641	\N	\N	\N
3419933	11349	1997-05-04	VYDAJ	VYBER	6000	43356	\N	\N	\N
3419934	11349	1997-01-02	VYDAJ	VYBER	14400	30270	\N	\N	\N
3419935	11349	1998-12-26	VYDAJ	VYBER	3900	33792	\N	\N	\N
3419936	11349	1998-07-28	VYDAJ	VYBER	5400	29768	\N	\N	\N
3419939	11349	1998-11-25	VYDAJ	VYBER	5100	36374	\N	\N	\N
3419950	11349	1995-10-31	VYDAJ	VYBER	30	24819	SLUZBY	\N	\N
3419951	11349	1995-11-30	VYDAJ	VYBER	30	32299	SLUZBY	\N	\N
3419952	11349	1995-12-31	VYDAJ	VYBER	30	36088	SLUZBY	\N	\N
3419953	11349	1996-01-31	VYDAJ	VYBER	30	20437	SLUZBY	\N	\N
3419954	11349	1996-02-29	VYDAJ	VYBER	30	37657	SLUZBY	\N	\N
3419955	11349	1996-03-31	VYDAJ	VYBER	30	36738	SLUZBY	\N	\N
3419956	11349	1996-04-30	VYDAJ	VYBER	30	45814	SLUZBY	\N	\N
3419957	11349	1996-05-31	VYDAJ	VYBER	30	49517	SLUZBY	\N	\N
3419958	11349	1996-06-30	VYDAJ	VYBER	30	20357	SLUZBY	\N	\N
3419959	11349	1996-07-31	VYDAJ	VYBER	30	38938	SLUZBY	\N	\N
3419960	11349	1996-08-31	VYDAJ	VYBER	30	53830	SLUZBY	\N	\N
3419961	11349	1996-09-30	VYDAJ	VYBER	30	33024	SLUZBY	\N	\N
3419962	11349	1996-10-31	VYDAJ	VYBER	30	48491	SLUZBY	\N	\N
3419963	11349	1996-11-30	VYDAJ	VYBER	30	52497	SLUZBY	\N	\N
3419964	11349	1996-12-31	VYDAJ	VYBER	30	44670	SLUZBY	\N	\N
3419965	11349	1997-01-31	VYDAJ	VYBER	30	22169	SLUZBY	\N	\N
3419966	11349	1997-02-28	VYDAJ	VYBER	30	36607	SLUZBY	\N	\N
3419967	11349	1997-03-31	VYDAJ	VYBER	30	45268	SLUZBY	\N	\N
3419968	11349	1997-04-30	VYDAJ	VYBER	30	49356	SLUZBY	\N	\N
3419969	11349	1997-05-31	VYDAJ	VYBER	30	47132	SLUZBY	\N	\N
3419970	11349	1997-06-30	VYDAJ	VYBER	30	49721	SLUZBY	\N	\N
3419971	11349	1997-07-31	VYDAJ	VYBER	30	39834	SLUZBY	\N	\N
3419972	11349	1997-08-31	VYDAJ	VYBER	30	50010	SLUZBY	\N	\N
3419973	11349	1997-09-30	VYDAJ	VYBER	30	31176	SLUZBY	\N	\N
3419974	11349	1997-10-31	VYDAJ	VYBER	30	45626	SLUZBY	\N	\N
3419975	11349	1997-11-30	VYDAJ	VYBER	30	37778	SLUZBY	\N	\N
3419976	11349	1997-12-31	VYDAJ	VYBER	30	28302	SLUZBY	\N	\N
3419977	11349	1998-01-31	VYDAJ	VYBER	30	20792	SLUZBY	\N	\N
3419978	11349	1998-02-28	VYDAJ	VYBER	30	23966	SLUZBY	\N	\N
3419979	11349	1998-03-31	VYDAJ	VYBER	30	22708	SLUZBY	\N	\N
3419980	11349	1998-04-30	VYDAJ	VYBER	30	25528	SLUZBY	\N	\N
3419981	11349	1998-05-31	VYDAJ	VYBER	30	33231	SLUZBY	\N	\N
3419982	11349	1998-06-30	VYDAJ	VYBER	30	40964	SLUZBY	\N	\N
3419983	11349	1998-07-31	VYDAJ	VYBER	30	29891	SLUZBY	\N	\N
3419984	11349	1998-08-31	VYDAJ	VYBER	30	9543	SLUZBY	\N	\N
3419985	11349	1998-09-30	VYDAJ	VYBER	30	22007	SLUZBY	\N	\N
3419986	11349	1998-10-31	VYDAJ	VYBER	30	23870	SLUZBY	\N	\N
3419987	11349	1998-11-30	VYDAJ	VYBER	30	36501	SLUZBY	\N	\N
3419988	11349	1995-06-25	VYDAJ	VYBER	16400	46782	\N	\N	\N
3419989	11349	1995-07-25	VYDAJ	VYBER	29900	58909	\N	\N	\N
3419990	11349	1995-08-24	VYDAJ	VYBER	39300	61803	\N	\N	\N
3419991	11349	1995-09-23	VYDAJ	VYBER	37700	66340	\N	\N	\N
3419992	11349	1995-10-08	VYDAJ	VYBER	64800	35290	\N	\N	\N
3419993	11349	1995-10-23	PRIJEM	VKLAD	300	24704	\N	\N	\N
3419994	11349	1995-11-22	VYDAJ	VYBER	4200	32179	\N	\N	\N
3419995	11349	1995-12-22	VYDAJ	VYBER	24700	44597	\N	\N	\N
3419996	11349	1996-01-21	VYDAJ	VYBER	11400	37692	\N	\N	\N
3419997	11349	1996-02-20	VYDAJ	VYBER	7000	37541	\N	\N	\N
3419998	11349	1996-03-21	VYDAJ	VYBER	7700	36597	\N	\N	\N
3419999	11349	1996-04-20	VYDAJ	VYBER	15200	45642	\N	\N	\N
3420000	11349	1996-05-20	VYDAJ	VYBER	8600	49318	\N	\N	\N
3420001	11349	1996-06-08	VYDAJ	VYBER	64300	48199	\N	\N	\N
3420002	11349	1996-06-19	PRIJEM	VKLAD	3100	33415	\N	\N	\N
3420003	11349	1996-07-19	VYDAJ	VYBER	3100	41361	\N	\N	\N
3420004	11349	1996-08-18	VYDAJ	VYBER	9400	53642	\N	\N	\N
3420005	11349	1996-09-17	VYDAJ	VYBER	13000	53534	\N	\N	\N
3420006	11349	1996-10-17	VYDAJ	VYBER	8800	48328	\N	\N	\N
3420007	11349	1996-11-16	VYDAJ	VYBER	20300	52295	\N	\N	\N
3420008	11349	1996-12-08	VYDAJ	VYBER	45700	67979	\N	\N	\N
3420009	11349	1996-12-16	VYDAJ	VYBER	5600	44495	\N	\N	\N
3420010	11349	1997-01-15	PRIJEM	VKLAD	4100	30757	\N	\N	\N
3420011	11349	1997-02-14	VYDAJ	VYBER	6800	39473	\N	\N	\N
3420012	11349	1997-03-16	VYDAJ	VYBER	5500	45106	\N	\N	\N
3420013	11349	1997-04-15	VYDAJ	VYBER	12400	49172	\N	\N	\N
3420014	11349	1997-05-15	VYDAJ	VYBER	6400	46960	\N	\N	\N
3420015	11349	1997-06-08	VYDAJ	VYBER	30900	79214	\N	\N	\N
3420016	11349	1997-06-14	VYDAJ	VYBER	11800	49530	\N	\N	\N
3420017	11349	1997-07-14	VYDAJ	VYBER	18400	55425	\N	\N	\N
3420018	11349	1997-08-13	VYDAJ	VYBER	14100	49838	\N	\N	\N
3420019	11349	1997-09-12	VYDAJ	VYBER	22100	52014	\N	\N	\N
3420020	11349	1997-10-12	VYDAJ	VYBER	9800	52478	\N	\N	\N
3420021	11349	1997-11-11	VYDAJ	VYBER	19500	44628	\N	\N	\N
3420022	11349	1997-12-11	VYDAJ	VYBER	18100	46759	\N	\N	\N
3420023	11349	1998-01-10	VYDAJ	VYBER	19100	49090	\N	\N	\N
3420024	11349	1998-02-09	VYDAJ	VYBER	21000	41780	\N	\N	\N
3420025	11349	1998-03-11	VYDAJ	VYBER	7400	29635	\N	\N	\N
3420026	11349	1998-04-10	VYDAJ	VYBER	14600	50096	\N	\N	\N
3420027	11349	1998-05-10	VYDAJ	VYBER	16500	51016	\N	\N	\N
3420028	11349	1998-06-09	VYDAJ	VYBER	37500	58713	\N	\N	\N
3420029	11349	1998-07-09	VYDAJ	VYBER	29900	53052	\N	\N	\N
3420030	11349	1998-08-08	VYDAJ	VYBER	26000	45879	\N	\N	\N
3420031	11349	1998-09-07	PRIJEM	VKLAD	7100	16643	\N	\N	\N
3420032	11349	1998-10-07	VYDAJ	VYBER	2800	19207	\N	\N	\N
3420033	11349	1998-11-06	VYDAJ	VYBER	6500	17370	\N	\N	\N
3420034	11349	1998-12-06	VYDAJ	VYBER	13000	21401	\N	\N	\N
3422853	11359	1994-10-01	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3422863	11359	1994-10-14	PRIJEM	PREVOD Z UCTU	27014	28014	\N	MN	87391823
3422864	11359	1994-11-14	PRIJEM	PREVOD Z UCTU	27014	51595	\N	MN	87391823
3422865	11359	1994-12-14	PRIJEM	PREVOD Z UCTU	40521	80621	\N	MN	87391823
3422866	11359	1995-01-14	PRIJEM	PREVOD Z UCTU	27014	81706	\N	MN	87391823
3422867	11359	1995-02-14	PRIJEM	PREVOD Z UCTU	27014	78846	\N	MN	87391823
3422868	11359	1995-03-14	PRIJEM	PREVOD Z UCTU	27014	71089	\N	MN	87391823
3422869	11359	1995-04-14	PRIJEM	PREVOD Z UCTU	27014	69974	\N	MN	87391823
3422870	11359	1995-05-14	PRIJEM	PREVOD Z UCTU	27014	62836	\N	MN	87391823
3422871	11359	1995-06-14	PRIJEM	PREVOD Z UCTU	40521	69074	\N	MN	87391823
3422872	11359	1995-07-14	PRIJEM	PREVOD Z UCTU	27014	55413	\N	MN	87391823
3422873	11359	1995-08-14	PRIJEM	PREVOD Z UCTU	27014	53024	\N	MN	87391823
3422874	11359	1995-09-14	PRIJEM	PREVOD Z UCTU	27014	52820	\N	MN	87391823
3422875	11359	1995-10-14	PRIJEM	PREVOD Z UCTU	27014	48708	\N	MN	87391823
3422876	11359	1995-11-14	PRIJEM	PREVOD Z UCTU	27014	51694	\N	MN	87391823
3422877	11359	1995-12-14	PRIJEM	PREVOD Z UCTU	40521	64887	\N	MN	87391823
3422878	11359	1996-01-14	PRIJEM	PREVOD Z UCTU	27014	38390	\N	MN	87391823
3422879	11359	1996-02-14	PRIJEM	PREVOD Z UCTU	27014	35630	\N	MN	87391823
3422880	11359	1996-03-14	PRIJEM	PREVOD Z UCTU	27014	46757	\N	MN	87391823
3422881	11359	1996-04-14	PRIJEM	PREVOD Z UCTU	27014	46615	\N	MN	87391823
3422882	11359	1996-05-14	PRIJEM	PREVOD Z UCTU	27014	50680	\N	MN	87391823
3422883	11359	1996-06-14	PRIJEM	PREVOD Z UCTU	40521	68376	\N	MN	87391823
3422884	11359	1996-07-14	PRIJEM	PREVOD Z UCTU	27014	36688	\N	MN	87391823
3422885	11359	1996-08-14	PRIJEM	PREVOD Z UCTU	27014	43422	\N	MN	87391823
3422886	11359	1996-09-14	PRIJEM	PREVOD Z UCTU	27014	49277	\N	MN	87391823
3422887	11359	1996-10-14	PRIJEM	PREVOD Z UCTU	27014	43943	\N	MN	87391823
3422888	11359	1996-11-14	PRIJEM	PREVOD Z UCTU	27014	50299	\N	MN	87391823
3422889	11359	1996-12-14	PRIJEM	PREVOD Z UCTU	40521	59970	\N	MN	87391823
3422890	11359	1997-01-14	PRIJEM	PREVOD Z UCTU	27014	41848	\N	MN	87391823
3422891	11359	1997-02-14	PRIJEM	PREVOD Z UCTU	27014	36673	\N	MN	87391823
3422892	11359	1997-03-14	PRIJEM	PREVOD Z UCTU	27014	42492	\N	MN	87391823
3422893	11359	1997-04-14	PRIJEM	PREVOD Z UCTU	27014	49141	\N	MN	87391823
3422894	11359	1997-05-14	PRIJEM	PREVOD Z UCTU	27014	49004	\N	MN	87391823
3422895	11359	1997-06-14	PRIJEM	PREVOD Z UCTU	40521	61672	\N	MN	87391823
3422896	11359	1997-07-14	PRIJEM	PREVOD Z UCTU	27014	47540	\N	MN	87391823
3422897	11359	1997-08-14	PRIJEM	PREVOD Z UCTU	27014	42208	\N	MN	87391823
3422898	11359	1997-09-14	PRIJEM	PREVOD Z UCTU	27014	38829	\N	MN	87391823
3422899	11359	1997-10-14	PRIJEM	PREVOD Z UCTU	27014	37943	\N	MN	87391823
3422900	11359	1997-11-14	PRIJEM	PREVOD Z UCTU	27014	45962	\N	MN	87391823
3422901	11359	1997-12-14	PRIJEM	PREVOD Z UCTU	40521	51995	\N	MN	87391823
3422902	11359	1998-01-14	PRIJEM	PREVOD Z UCTU	27014	40232	\N	MN	87391823
3422903	11359	1998-02-14	PRIJEM	PREVOD Z UCTU	27014	41072	\N	MN	87391823
3422904	11359	1998-03-14	PRIJEM	PREVOD Z UCTU	27014	57826	\N	MN	87391823
3422905	11359	1998-04-14	PRIJEM	PREVOD Z UCTU	27014	53461	\N	MN	87391823
3422906	11359	1998-05-14	PRIJEM	PREVOD Z UCTU	27014	60372	\N	MN	87391823
3422907	11359	1998-06-14	PRIJEM	PREVOD Z UCTU	40521	76742	\N	MN	87391823
3422908	11359	1998-07-14	PRIJEM	PREVOD Z UCTU	27014	72637	\N	MN	87391823
3422909	11359	1998-08-14	PRIJEM	PREVOD Z UCTU	27014	70350	\N	MN	87391823
3422910	11359	1998-09-14	PRIJEM	PREVOD Z UCTU	27014	71151	\N	MN	87391823
3422911	11359	1998-10-14	PRIJEM	PREVOD Z UCTU	27014	73343	\N	MN	87391823
3422912	11359	1998-11-14	PRIJEM	PREVOD Z UCTU	27014	63538	\N	MN	87391823
3422913	11359	1998-12-14	PRIJEM	PREVOD Z UCTU	40521	78818	\N	MN	87391823
3422928	11359	1995-03-13	VYDAJ	VYBER	5600	44075	\N	\N	0
3422929	11359	1995-04-18	VYDAJ	VYBER	4400	65574	\N	\N	0
3422930	11359	1995-05-18	VYDAJ	VYBER	5400	57436	\N	\N	0
3422931	11359	1995-06-06	VYDAJ	VYBER	5400	33325	\N	\N	0
3422932	11359	1995-07-17	VYDAJ	VYBER	4300	51113	\N	\N	0
3422933	11359	1995-08-02	VYDAJ	VYBER	5200	30782	\N	\N	0
3422934	11359	1995-09-10	VYDAJ	VYBER	5000	26060	\N	\N	0
3422935	11359	1995-10-13	VYDAJ	VYBER	5400	21694	\N	\N	0
3422936	11359	1995-11-02	VYDAJ	VYBER	4300	29452	\N	\N	0
3422937	11359	1995-12-07	VYDAJ	VYBER	5200	24620	\N	\N	0
3422938	11359	1996-01-07	VYDAJ	VYBER	4900	15530	\N	\N	0
3422939	11359	1996-02-10	VYDAJ	VYBER	4700	8870	\N	\N	0
3422940	11359	1996-03-16	VYDAJ	VYBER	3900	42857	\N	\N	0
3422941	11359	1996-04-06	VYDAJ	VYBER	4100	19855	\N	\N	0
3422942	11359	1996-05-13	VYDAJ	VYBER	5300	23666	\N	\N	0
3422943	11359	1996-06-04	VYDAJ	VYBER	4100	32627	\N	\N	0
3422944	11359	1996-07-11	VYDAJ	VYBER	5200	9928	\N	\N	0
3422945	11359	1996-08-12	VYDAJ	PREVOD NA UCET	4502	16408	UVER	EF	37834555
3422946	11359	1996-09-12	VYDAJ	PREVOD NA UCET	4502	22263	UVER	EF	37834555
3422947	11359	1996-10-12	VYDAJ	PREVOD NA UCET	4502	16929	UVER	EF	37834555
3422948	11359	1996-11-12	VYDAJ	PREVOD NA UCET	4502	23285	UVER	EF	37834555
3422949	11359	1996-12-12	VYDAJ	PREVOD NA UCET	4502	19449	UVER	EF	37834555
3422950	11359	1997-01-12	VYDAJ	PREVOD NA UCET	4502	14834	UVER	EF	37834555
3422951	11359	1997-02-12	VYDAJ	PREVOD NA UCET	4502	9659	UVER	EF	37834555
3422952	11359	1997-03-12	VYDAJ	PREVOD NA UCET	4502	15478	UVER	EF	37834555
3422953	11359	1997-04-12	VYDAJ	PREVOD NA UCET	4502	22127	UVER	EF	37834555
3422954	11359	1997-05-12	VYDAJ	PREVOD NA UCET	4502	21990	UVER	EF	37834555
3422955	11359	1997-06-12	VYDAJ	PREVOD NA UCET	4502	21151	UVER	EF	37834555
3422956	11359	1997-07-12	VYDAJ	PREVOD NA UCET	4502	20526	UVER	EF	37834555
3422957	11359	1997-08-20	VYDAJ	VYBER	5500	21508	\N	\N	0
3422958	11359	1997-09-12	VYDAJ	VYBER	5000	11815	\N	\N	0
3422959	11359	1997-10-13	VYDAJ	VYBER	4100	10929	\N	\N	0
3422960	11359	1997-11-20	VYDAJ	VYBER	4500	16162	\N	\N	0
3422961	11359	1997-12-17	VYDAJ	VYBER	4200	33895	\N	\N	0
3422962	11359	1998-01-03	VYDAJ	VYBER	3400	26990	\N	\N	0
3422963	11359	1998-02-10	VYDAJ	VYBER	3800	11312	\N	\N	0
3422964	11359	1998-03-13	VYDAJ	VYBER	5600	30812	\N	\N	0
3422965	11359	1998-04-08	VYDAJ	VYBER	3800	27101	\N	\N	0
3422966	11359	1998-05-12	VYDAJ	VYBER	4200	44658	\N	\N	0
3422967	11359	1998-06-15	VYDAJ	VYBER	4900	71842	\N	\N	0
3422968	11359	1998-07-18	VYDAJ	VYBER	5100	67537	\N	\N	0
3422969	11359	1998-08-20	VYDAJ	VYBER	3400	66950	\N	\N	0
3422970	11359	1998-09-16	VYDAJ	VYBER	5300	65851	\N	\N	0
3422971	11359	1998-10-19	VYDAJ	VYBER	4900	68443	\N	\N	0
3422972	11359	1998-11-07	VYDAJ	VYBER	4600	55978	\N	\N	0
3422973	11359	1998-12-21	VYDAJ	VYBER	3900	74918	\N	\N	0
3422988	11359	1995-03-06	VYDAJ	PREVOD NA UCET	4518	49929	SIPO	OP	33080721
3422989	11359	1995-04-06	VYDAJ	PREVOD NA UCET	4518	43214	SIPO	OP	33080721
3422990	11359	1995-05-06	VYDAJ	PREVOD NA UCET	4518	36076	SIPO	OP	33080721
3422991	11359	1995-06-06	VYDAJ	PREVOD NA UCET	4518	28807	SIPO	OP	33080721
3422992	11359	1995-07-06	VYDAJ	PREVOD NA UCET	4518	41553	SIPO	OP	33080721
3422993	11359	1995-08-06	VYDAJ	PREVOD NA UCET	4518	26264	SIPO	OP	33080721
3422994	11359	1995-09-06	VYDAJ	PREVOD NA UCET	4518	31060	SIPO	OP	33080721
3422995	11359	1995-10-06	VYDAJ	PREVOD NA UCET	4518	27348	SIPO	OP	33080721
3422996	11359	1995-11-06	VYDAJ	PREVOD NA UCET	4518	24934	SIPO	OP	33080721
3422997	11359	1995-12-06	VYDAJ	PREVOD NA UCET	4518	29820	SIPO	OP	33080721
3422998	11359	1996-01-06	VYDAJ	PREVOD NA UCET	4518	20430	SIPO	OP	33080721
3422999	11359	1996-02-06	VYDAJ	PREVOD NA UCET	4518	13570	SIPO	OP	33080721
3423000	11359	1996-03-06	VYDAJ	PREVOD NA UCET	4518	19997	SIPO	OP	33080721
3423001	11359	1996-04-06	VYDAJ	PREVOD NA UCET	4518	23955	SIPO	OP	33080721
3423002	11359	1996-05-06	VYDAJ	PREVOD NA UCET	4518	29220	SIPO	OP	33080721
3423003	11359	1996-06-06	VYDAJ	PREVOD NA UCET	4518	28109	SIPO	OP	33080721
3423004	11359	1996-07-06	VYDAJ	PREVOD NA UCET	4518	15128	SIPO	OP	33080721
3423005	11359	1996-08-06	VYDAJ	PREVOD NA UCET	4518	21165	SIPO	OP	33080721
3423006	11359	1996-09-06	VYDAJ	PREVOD NA UCET	4518	27019	SIPO	OP	33080721
3423007	11359	1996-10-06	VYDAJ	PREVOD NA UCET	4518	21685	SIPO	OP	33080721
3423008	11359	1996-11-06	VYDAJ	PREVOD NA UCET	4518	28041	SIPO	OP	33080721
3423009	11359	1996-12-06	VYDAJ	PREVOD NA UCET	4518	24206	SIPO	OP	33080721
3423010	11359	1997-01-06	VYDAJ	PREVOD NA UCET	4518	22590	SIPO	OP	33080721
3423011	11359	1997-02-06	VYDAJ	PREVOD NA UCET	4518	14415	SIPO	OP	33080721
3423012	11359	1997-03-06	VYDAJ	PREVOD NA UCET	4518	20234	SIPO	OP	33080721
3423013	11359	1997-04-06	VYDAJ	PREVOD NA UCET	4518	26884	SIPO	OP	33080721
3423014	11359	1997-05-06	VYDAJ	PREVOD NA UCET	4518	26746	SIPO	OP	33080721
3423015	11359	1997-06-06	VYDAJ	PREVOD NA UCET	4518	25907	SIPO	OP	33080721
3423016	11359	1997-07-06	VYDAJ	PREVOD NA UCET	4518	25282	SIPO	OP	33080721
3423017	11359	1997-08-06	VYDAJ	PREVOD NA UCET	4518	15448	SIPO	OP	33080721
3423018	11359	1997-09-06	VYDAJ	PREVOD NA UCET	4518	17069	SIPO	OP	33080721
3423019	11359	1997-10-06	VYDAJ	PREVOD NA UCET	4518	15283	SIPO	OP	33080721
3423020	11359	1997-11-06	VYDAJ	PREVOD NA UCET	4518	19202	SIPO	OP	33080721
3423021	11359	1997-12-06	VYDAJ	PREVOD NA UCET	4518	11728	SIPO	OP	33080721
3423022	11359	1998-01-06	VYDAJ	PREVOD NA UCET	4518	22472	SIPO	OP	33080721
3423023	11359	1998-02-06	VYDAJ	PREVOD NA UCET	4518	15112	SIPO	OP	33080721
3423024	11359	1998-03-06	VYDAJ	PREVOD NA UCET	4518	36666	SIPO	OP	33080721
3423025	11359	1998-04-06	VYDAJ	PREVOD NA UCET	4518	30901	SIPO	OP	33080721
3423026	11359	1998-05-06	VYDAJ	PREVOD NA UCET	4518	49112	SIPO	OP	33080721
3423027	11359	1998-06-06	VYDAJ	PREVOD NA UCET	4518	53075	SIPO	OP	33080721
3423028	11359	1998-07-06	VYDAJ	PREVOD NA UCET	4518	67577	SIPO	OP	33080721
3423029	11359	1998-08-06	VYDAJ	PREVOD NA UCET	4518	63290	SIPO	OP	33080721
3423030	11359	1998-09-06	VYDAJ	PREVOD NA UCET	4518	62691	SIPO	OP	33080721
3423031	11359	1998-10-06	VYDAJ	PREVOD NA UCET	4518	59183	SIPO	OP	33080721
3423032	11359	1998-11-06	VYDAJ	PREVOD NA UCET	4518	60578	SIPO	OP	33080721
3423033	11359	1998-12-06	VYDAJ	PREVOD NA UCET	4518	59251	SIPO	OP	33080721
3423048	11359	1995-03-11	VYDAJ	PREVOD NA UCET	254	49675	 	AB	90330576
3423049	11359	1995-04-11	VYDAJ	PREVOD NA UCET	254	42960	 	AB	90330576
3423050	11359	1995-05-11	VYDAJ	PREVOD NA UCET	254	35822	 	AB	90330576
3423051	11359	1995-06-11	VYDAJ	PREVOD NA UCET	254	28553	 	AB	90330576
3423052	11359	1995-07-11	VYDAJ	PREVOD NA UCET	254	28399	 	AB	90330576
3423053	11359	1995-08-11	VYDAJ	PREVOD NA UCET	254	26010	 	AB	90330576
3423054	11359	1995-09-11	VYDAJ	PREVOD NA UCET	254	25806	 	AB	90330576
3423055	11359	1995-10-11	VYDAJ	PREVOD NA UCET	254	27094	 	AB	90330576
3423056	11359	1995-11-11	VYDAJ	PREVOD NA UCET	254	24680	 	AB	90330576
3423057	11359	1995-12-11	VYDAJ	PREVOD NA UCET	254	24366	 	AB	90330576
3423058	11359	1996-01-11	VYDAJ	PREVOD NA UCET	254	11376	 	AB	90330576
3423059	11359	1996-02-11	VYDAJ	PREVOD NA UCET	254	8616	 	AB	90330576
3423060	11359	1996-03-11	VYDAJ	PREVOD NA UCET	254	19743	 	AB	90330576
3423061	11359	1996-04-11	VYDAJ	PREVOD NA UCET	254	19601	 	AB	90330576
3423062	11359	1996-05-11	VYDAJ	PREVOD NA UCET	254	28966	 	AB	90330576
3423063	11359	1996-06-11	VYDAJ	PREVOD NA UCET	254	27855	 	AB	90330576
3423064	11359	1996-07-11	VYDAJ	PREVOD NA UCET	254	9674	 	AB	90330576
3423065	11359	1996-08-11	VYDAJ	PREVOD NA UCET	254	20911	 	AB	90330576
3423066	11359	1996-09-11	VYDAJ	PREVOD NA UCET	254	26765	 	AB	90330576
3423067	11359	1996-10-11	VYDAJ	PREVOD NA UCET	254	21431	 	AB	90330576
3423068	11359	1996-11-11	VYDAJ	PREVOD NA UCET	254	27787	 	AB	90330576
3423069	11359	1996-12-11	VYDAJ	PREVOD NA UCET	254	23952	 	AB	90330576
3423070	11359	1997-01-11	VYDAJ	PREVOD NA UCET	254	19336	 	AB	90330576
3423071	11359	1997-02-11	VYDAJ	PREVOD NA UCET	254	14161	 	AB	90330576
3423072	11359	1997-03-11	VYDAJ	PREVOD NA UCET	254	19980	 	AB	90330576
3423073	11359	1997-04-11	VYDAJ	PREVOD NA UCET	254	26630	 	AB	90330576
3423074	11359	1997-05-11	VYDAJ	PREVOD NA UCET	254	26492	 	AB	90330576
3423075	11359	1997-06-11	VYDAJ	PREVOD NA UCET	254	25653	 	AB	90330576
3423076	11359	1997-07-11	VYDAJ	PREVOD NA UCET	254	25028	 	AB	90330576
3423077	11359	1997-08-11	VYDAJ	PREVOD NA UCET	254	15194	 	AB	90330576
3423078	11359	1997-09-11	VYDAJ	PREVOD NA UCET	254	16815	 	AB	90330576
3423079	11359	1997-10-11	VYDAJ	PREVOD NA UCET	254	15029	 	AB	90330576
3423080	11359	1997-11-11	VYDAJ	PREVOD NA UCET	254	18948	 	AB	90330576
3423081	11359	1997-12-11	VYDAJ	PREVOD NA UCET	254	11474	 	AB	90330576
3423082	11359	1998-01-11	VYDAJ	PREVOD NA UCET	254	14718	 	AB	90330576
3423083	11359	1998-02-11	VYDAJ	PREVOD NA UCET	254	11058	 	AB	90330576
3423084	11359	1998-03-11	VYDAJ	PREVOD NA UCET	254	36412	 	AB	90330576
3423085	11359	1998-04-11	VYDAJ	PREVOD NA UCET	254	26847	 	AB	90330576
3423086	11359	1998-05-11	VYDAJ	PREVOD NA UCET	254	48858	 	AB	90330576
3423087	11359	1998-06-11	VYDAJ	PREVOD NA UCET	254	52821	 	AB	90330576
3423088	11359	1998-07-11	VYDAJ	PREVOD NA UCET	254	67323	 	AB	90330576
3423089	11359	1998-08-11	VYDAJ	PREVOD NA UCET	254	43336	 	AB	90330576
3423090	11359	1998-09-11	VYDAJ	PREVOD NA UCET	254	44137	 	AB	90330576
3423091	11359	1998-10-11	VYDAJ	PREVOD NA UCET	254	46329	 	AB	90330576
3423092	11359	1998-11-11	VYDAJ	PREVOD NA UCET	254	36524	 	AB	90330576
3423093	11359	1998-12-11	VYDAJ	PREVOD NA UCET	254	38297	 	AB	90330576
3423103	11359	1996-11-27	VYBER	VYBER	3003	28596	\N	\N	\N
3423104	11359	1996-07-04	VYBER	VYBER	11663	19646	\N	\N	\N
3423111	11359	1997-07-14	VYBER	VYBER	14863	32677	\N	\N	\N
3423116	11359	1996-06-15	VYDAJ	VYBER	26100	42276	\N	\N	\N
3423122	11359	1997-01-14	VYDAJ	VYBER	13500	28348	\N	\N	\N
3423123	11359	1998-01-22	VYDAJ	VYBER	11700	28532	\N	\N	\N
3423125	11359	1995-12-21	VYDAJ	VYBER	8700	56187	\N	\N	\N
3423126	11359	1996-12-21	VYDAJ	VYBER KARTOU	3000	36270	\N	\N	0
3423128	11359	1998-12-11	VYDAJ	VYBER KARTOU	1800	38551	\N	\N	0
3423141	11359	1996-01-30	VYDAJ	VYBER	5400	17990	\N	\N	\N
3423142	11359	1996-01-11	VYDAJ	VYBER KARTOU	3900	11630	\N	\N	0
3423143	11359	1996-01-02	VYDAJ	VYBER	5400	30048	\N	\N	\N
3423145	11359	1996-01-05	VYDAJ	VYBER	5100	24948	\N	\N	\N
3423146	11359	1996-01-22	VYDAJ	VYBER KARTOU	3600	34790	\N	\N	0
3423147	11359	1997-01-09	VYDAJ	VYBER KARTOU	3000	19590	\N	\N	0
3423148	11359	1997-01-16	VYDAJ	VYBER KARTOU	2700	25648	\N	\N	0
3423150	11359	1997-01-04	VYDAJ	VYBER	6300	27108	\N	\N	\N
3423151	11359	1997-01-21	VYDAJ	VYBER KARTOU	2400	18848	\N	\N	0
3423152	11359	1997-01-04	VYDAJ	VYBER KARTOU	3000	33408	\N	\N	0
3423153	11359	1998-01-09	VYDAJ	VYBER KARTOU	3000	19472	\N	\N	0
3423154	11359	1998-01-03	VYDAJ	VYBER KARTOU	1800	30390	\N	\N	0
3423155	11359	1998-01-22	VYDAJ	VYBER KARTOU	3300	25232	\N	\N	0
3423156	11359	1998-01-09	VYDAJ	VYBER	4500	14972	\N	\N	\N
3423157	11359	1998-01-24	VYDAJ	VYBER KARTOU	2400	22832	\N	\N	0
3423158	11359	1998-01-27	VYDAJ	VYBER KARTOU	3300	19532	\N	\N	0
3423166	11359	1995-07-08	VYDAJ	VYBER	12900	28653	\N	\N	\N
3423168	11359	1995-04-29	VYDAJ	VYBER	7200	58374	\N	\N	\N
3423170	11359	1995-09-19	VYDAJ	VYBER	9300	43520	\N	\N	\N
3423171	11359	1996-09-25	VYDAJ	VYBER	7500	26077	\N	\N	\N
3423172	11359	1996-09-21	VYDAJ	VYBER KARTOU	1800	33577	\N	\N	0
3423173	11359	1997-09-14	VYDAJ	VYBER	9000	29829	\N	\N	\N
3423175	11359	1997-11-19	VYDAJ	VYBER	4500	20662	\N	\N	\N
3423176	11359	1997-11-18	VYDAJ	VYBER	4200	25162	\N	\N	\N
3423177	11359	1997-06-25	VYDAJ	VYBER KARTOU	3900	31472	\N	\N	0
3423179	11359	1997-06-29	VYDAJ	VYBER KARTOU	1800	29672	\N	\N	0
3423180	11359	1997-12-25	VYDAJ	VYBER KARTOU	1800	32095	\N	\N	0
3423182	11359	1998-09-24	VYDAJ	VYBER KARTOU	2400	63451	\N	\N	0
3423183	11359	1998-06-05	VYDAJ	VYBER KARTOU	3000	57593	\N	\N	0
3423184	11359	1998-12-09	VYDAJ	VYBER	10500	48751	\N	\N	\N
3423185	11359	1998-10-24	VYDAJ	VYBER KARTOU	3600	64843	\N	\N	0
3423200	11359	1995-02-28	VYDAJ	VYBER	15	54447	SLUZBY	\N	\N
3423201	11359	1995-03-31	VYDAJ	VYBER	15	47732	SLUZBY	\N	\N
3423202	11359	1995-04-30	VYDAJ	VYBER	15	40594	SLUZBY	\N	\N
3423203	11359	1995-05-31	VYDAJ	VYBER	15	38725	SLUZBY	\N	\N
3423204	11359	1995-06-30	VYDAJ	VYBER	15	46071	SLUZBY	\N	\N
3423205	11359	1995-07-31	VYDAJ	VYBER	15	35982	SLUZBY	\N	\N
3423206	11359	1995-08-31	VYDAJ	VYBER	15	35578	SLUZBY	\N	\N
3423207	11359	1995-09-30	VYDAJ	VYBER	15	31866	SLUZBY	\N	\N
3423208	11359	1995-10-31	VYDAJ	VYBER	15	33752	SLUZBY	\N	\N
3423209	11359	1995-11-30	VYDAJ	VYBER	15	34338	SLUZBY	\N	\N
3423210	11359	1995-12-31	VYDAJ	VYBER	15	35448	SLUZBY	\N	\N
3423211	11359	1996-01-31	VYDAJ	VYBER	15	18088	SLUZBY	\N	\N
3423212	11359	1996-02-29	VYDAJ	VYBER	15	24515	SLUZBY	\N	\N
3423213	11359	1996-03-31	VYDAJ	VYBER	15	28473	SLUZBY	\N	\N
3423214	11359	1996-04-30	VYDAJ	VYBER	15	33738	SLUZBY	\N	\N
3423215	11359	1996-05-31	VYDAJ	VYBER	15	36727	SLUZBY	\N	\N
3423216	11359	1996-06-30	VYDAJ	VYBER	15	31309	SLUZBY	\N	\N
3423217	11359	1996-07-31	VYDAJ	VYBER	15	25683	SLUZBY	\N	\N
3423218	11359	1996-08-31	VYDAJ	VYBER	15	31537	SLUZBY	\N	\N
3423219	11359	1996-09-30	VYDAJ	VYBER	15	26203	SLUZBY	\N	\N
3423220	11359	1996-10-31	VYDAJ	VYBER	15	32559	SLUZBY	\N	\N
3423221	11359	1996-11-30	VYDAJ	VYBER	15	28724	SLUZBY	\N	\N
3423222	11359	1996-12-31	VYDAJ	VYBER	15	36408	SLUZBY	\N	\N
3423223	11359	1997-01-31	VYDAJ	VYBER	15	18933	SLUZBY	\N	\N
3423224	11359	1997-02-28	VYDAJ	VYBER	15	24752	SLUZBY	\N	\N
3423225	11359	1997-03-31	VYDAJ	VYBER	15	31402	SLUZBY	\N	\N
3423226	11359	1997-04-30	VYDAJ	VYBER	15	31264	SLUZBY	\N	\N
3423227	11359	1997-05-31	VYDAJ	VYBER	15	30425	SLUZBY	\N	\N
3423228	11359	1997-06-30	VYDAJ	VYBER	15	29800	SLUZBY	\N	\N
3423229	11359	1997-07-31	VYDAJ	VYBER	15	19966	SLUZBY	\N	\N
3423230	11359	1997-08-31	VYDAJ	VYBER	15	21587	SLUZBY	\N	\N
3423231	11359	1997-09-30	VYDAJ	VYBER	15	19801	SLUZBY	\N	\N
3423232	11359	1997-10-31	VYDAJ	VYBER	15	23720	SLUZBY	\N	\N
3423233	11359	1997-11-30	VYDAJ	VYBER	15	16246	SLUZBY	\N	\N
3423234	11359	1997-12-31	VYDAJ	VYBER	15	32190	SLUZBY	\N	\N
3423235	11359	1998-01-31	VYDAJ	VYBER	15	19630	SLUZBY	\N	\N
3423236	11359	1998-02-28	VYDAJ	VYBER	15	41184	SLUZBY	\N	\N
3423237	11359	1998-03-31	VYDAJ	VYBER	15	35419	SLUZBY	\N	\N
3423238	11359	1998-04-30	VYDAJ	VYBER	15	53630	SLUZBY	\N	\N
3423239	11359	1998-05-31	VYDAJ	VYBER	15	60593	SLUZBY	\N	\N
3423240	11359	1998-06-30	VYDAJ	VYBER	15	72095	SLUZBY	\N	\N
3423241	11359	1998-07-31	VYDAJ	VYBER	15	67808	SLUZBY	\N	\N
3423242	11359	1998-08-31	VYDAJ	VYBER	15	67209	SLUZBY	\N	\N
3423243	11359	1998-09-30	VYDAJ	VYBER	15	63701	SLUZBY	\N	\N
3423244	11359	1998-10-31	VYDAJ	VYBER	15	65096	SLUZBY	\N	\N
3423245	11359	1998-11-30	VYDAJ	VYBER	15	63769	SLUZBY	\N	\N
3423246	11359	1994-10-31	VYDAJ	VYBER	3500	24581	\N	\N	\N
3423247	11359	1994-11-30	VYDAJ	VYBER	11600	40100	\N	\N	\N
3423248	11359	1994-12-30	VYDAJ	VYBER	26100	54521	\N	\N	\N
3423249	11359	1995-01-29	VYDAJ	VYBER	30100	51606	\N	\N	\N
3423250	11359	1995-02-28	VYDAJ	VYBER	24600	54461	\N	\N	\N
3423251	11359	1995-03-30	VYDAJ	VYBER	23600	47489	\N	\N	\N
3423252	11359	1995-04-29	VYDAJ	VYBER	18000	40374	\N	\N	\N
3423253	11359	1995-05-29	VYDAJ	VYBER	18900	38536	\N	\N	\N
3423254	11359	1995-06-28	VYDAJ	VYBER	23200	45874	\N	\N	\N
3423255	11359	1995-07-28	VYDAJ	VYBER	15300	35813	\N	\N	\N
3423256	11359	1995-08-27	VYDAJ	VYBER	17600	35424	\N	\N	\N
3423257	11359	1995-09-26	VYDAJ	VYBER	11800	31720	\N	\N	\N
3423258	11359	1995-10-26	VYDAJ	VYBER	15100	33608	\N	\N	\N
3423259	11359	1995-11-25	VYDAJ	VYBER	17500	34194	\N	\N	\N
3423260	11359	1995-12-25	VYDAJ	VYBER	20900	35287	\N	\N	\N
3423261	11359	1996-01-24	VYDAJ	VYBER	11400	23390	\N	\N	\N
3423262	11359	1996-02-23	VYDAJ	VYBER	11200	24430	\N	\N	\N
3423263	11359	1996-03-24	VYDAJ	VYBER	14500	28357	\N	\N	\N
3423264	11359	1996-04-23	VYDAJ	VYBER	13000	33615	\N	\N	\N
3423265	11359	1996-05-23	VYDAJ	VYBER	14100	36580	\N	\N	\N
3423266	11359	1996-06-22	VYDAJ	VYBER	11100	31176	\N	\N	\N
3423267	11359	1996-07-22	VYDAJ	VYBER	11100	25588	\N	\N	\N
3423268	11359	1996-08-21	VYDAJ	VYBER	12000	31422	\N	\N	\N
3423269	11359	1996-09-20	VYDAJ	VYBER	13900	35377	\N	\N	\N
3423270	11359	1996-10-20	VYDAJ	VYBER	11500	32443	\N	\N	\N
3423271	11359	1996-11-19	VYDAJ	VYBER	18700	31599	\N	\N	\N
3423272	11359	1996-12-19	VYDAJ	VYBER	20700	39270	\N	\N	\N
3423273	11359	1997-01-18	VYDAJ	VYBER	4400	21248	\N	\N	\N
3423274	11359	1997-02-17	VYDAJ	VYBER	12000	24673	\N	\N	\N
3423275	11359	1997-03-19	VYDAJ	VYBER	11200	31292	\N	\N	\N
3423276	11359	1997-04-18	VYDAJ	VYBER	18000	31141	\N	\N	\N
3423277	11359	1997-05-18	VYDAJ	VYBER	18700	30304	\N	\N	\N
3423278	11359	1997-06-17	VYDAJ	VYBER	26300	35372	\N	\N	\N
3423279	11359	1997-07-17	VYDAJ	VYBER	12800	19877	\N	\N	\N
3423280	11359	1997-08-16	VYDAJ	VYBER	15200	27008	\N	\N	\N
3423281	11359	1997-09-15	VYDAJ	VYBER	10100	19729	\N	\N	\N
3423282	11359	1997-10-15	VYDAJ	VYBER	14300	23643	\N	\N	\N
3423283	11359	1997-11-14	VYDAJ	VYBER	16600	29362	\N	\N	\N
3423284	11359	1997-12-14	VYDAJ	VYBER	13900	38095	\N	\N	\N
3423285	11359	1998-01-13	VYDAJ	VYBER KARTOU	1500	13218	\N	\N	0
3423286	11359	1998-02-12	PRIJEM	VKLAD	3000	14058	\N	\N	\N
3423287	11359	1998-03-14	VYDAJ	VYBER	22600	35226	\N	\N	\N
3423288	11359	1998-04-13	VYDAJ	VYBER KARTOU	400	26447	\N	\N	0
3423289	11359	1998-05-13	VYDAJ	VYBER	11300	33358	\N	\N	\N
3423290	11359	1998-06-12	VYDAJ	VYBER	16600	36221	\N	\N	\N
3423291	11359	1998-07-12	VYDAJ	VYBER	21700	45623	\N	\N	\N
3423292	11359	1998-08-11	VYDAJ	VYBER	19700	43590	\N	\N	\N
3423293	11359	1998-09-10	VYDAJ	VYBER	18300	44391	\N	\N	\N
3423294	11359	1998-10-10	VYDAJ	VYBER	12600	46583	\N	\N	\N
3423295	11359	1998-11-09	VYDAJ	VYBER	19200	36778	\N	\N	\N
3423296	11359	1998-12-09	VYDAJ	VYBER	8400	40351	\N	\N	\N
3423948	11362	1995-10-14	PRIJEM	VKLAD	1000	1000	\N	\N	\N
3423959	11362	1995-11-05	PRIJEM	VKLAD	16141	17141	\N	\N	\N
3423960	11362	1995-12-05	PRIJEM	VKLAD	24212	44303	\N	\N	\N
3423961	11362	1996-01-05	PRIJEM	VKLAD	16141	51567	\N	\N	\N
3423962	11362	1996-02-05	PRIJEM	VKLAD	16141	51755	\N	\N	\N
3423963	11362	1996-03-05	PRIJEM	VKLAD	16141	56056	\N	\N	\N
3423964	11362	1996-04-05	PRIJEM	VKLAD	16141	49853	\N	\N	\N
3423965	11362	1996-05-05	PRIJEM	VKLAD	16141	44325	\N	\N	\N
3423966	11362	1996-06-05	PRIJEM	VKLAD	24212	49146	\N	\N	\N
3423967	11362	1996-07-05	PRIJEM	VKLAD	16141	35404	\N	\N	\N
3423968	11362	1996-08-05	PRIJEM	VKLAD	16141	30208	\N	\N	\N
3423969	11362	1996-09-05	PRIJEM	VKLAD	16141	31015	\N	\N	\N
3423970	11362	1996-10-05	PRIJEM	VKLAD	16141	32120	\N	\N	\N
3423971	11362	1996-11-05	PRIJEM	VKLAD	16141	30858	\N	\N	\N
3423972	11362	1996-12-05	PRIJEM	VKLAD	24212	45295	\N	\N	\N
3423973	11362	1997-01-05	PRIJEM	VKLAD	16141	37312	\N	\N	\N
3423974	11362	1997-02-05	PRIJEM	VKLAD	16141	30597	\N	\N	\N
3423975	11362	1997-03-05	PRIJEM	VKLAD	16141	34119	\N	\N	\N
3423976	11362	1997-04-05	PRIJEM	VKLAD	16141	33137	\N	\N	\N
3423977	11362	1997-05-05	PRIJEM	VKLAD	16141	33154	\N	\N	\N
3423978	11362	1997-06-05	PRIJEM	VKLAD	24212	40644	\N	\N	\N
3423979	11362	1997-07-05	PRIJEM	VKLAD	16141	35672	\N	\N	\N
3423980	11362	1997-08-05	PRIJEM	VKLAD	16141	33482	\N	\N	\N
3423981	11362	1997-09-05	PRIJEM	VKLAD	16141	37619	\N	\N	\N
3423982	11362	1997-10-05	PRIJEM	VKLAD	16141	37077	\N	\N	\N
3423983	11362	1997-11-05	PRIJEM	VKLAD	16141	30922	\N	\N	\N
3423984	11362	1997-12-05	PRIJEM	VKLAD	24212	40026	\N	\N	\N
3423985	11362	1998-01-05	PRIJEM	VKLAD	16141	41289	\N	\N	\N
3423986	11362	1998-02-05	PRIJEM	VKLAD	16141	32142	\N	\N	\N
3423987	11362	1998-03-05	PRIJEM	VKLAD	16141	35383	\N	\N	\N
3423988	11362	1998-04-05	PRIJEM	VKLAD	16141	38623	\N	\N	\N
3423989	11362	1998-05-05	PRIJEM	VKLAD	16141	39283	\N	\N	\N
3423990	11362	1998-06-05	PRIJEM	VKLAD	24212	48119	\N	\N	\N
3423991	11362	1998-07-05	PRIJEM	VKLAD	16141	50010	\N	\N	\N
3423992	11362	1998-08-05	PRIJEM	VKLAD	16141	46813	\N	\N	\N
3423993	11362	1998-09-05	PRIJEM	VKLAD	16141	44311	\N	\N	\N
3423994	11362	1998-10-05	PRIJEM	VKLAD	16141	42189	\N	\N	\N
3423995	11362	1998-11-05	PRIJEM	VKLAD	16141	41996	\N	\N	\N
3423996	11362	1998-12-05	PRIJEM	VKLAD	24212	51935	\N	\N	\N
3424011	11362	1996-03-10	VYDAJ	PREVOD NA UCET	4780	50761	SIPO	YZ	70641225
3424012	11362	1996-04-10	VYDAJ	PREVOD NA UCET	4780	44558	SIPO	YZ	70641225
3424013	11362	1996-05-10	VYDAJ	PREVOD NA UCET	4780	39030	SIPO	YZ	70641225
3424014	11362	1996-06-10	VYDAJ	PREVOD NA UCET	4780	32751	SIPO	YZ	70641225
3424015	11362	1996-07-10	VYDAJ	PREVOD NA UCET	4780	17829	SIPO	YZ	70641225
3424016	11362	1996-08-10	VYDAJ	PREVOD NA UCET	4780	18913	SIPO	YZ	70641225
3424017	11362	1996-09-10	VYDAJ	PREVOD NA UCET	4780	20420	SIPO	YZ	70641225
3424018	11362	1996-10-10	VYDAJ	PREVOD NA UCET	4780	26125	SIPO	YZ	70641225
3424019	11362	1996-11-10	VYDAJ	PREVOD NA UCET	4780	21963	SIPO	YZ	70641225
3424020	11362	1996-12-10	VYDAJ	PREVOD NA UCET	4780	24200	SIPO	YZ	70641225
3424021	11362	1997-01-10	VYDAJ	PREVOD NA UCET	4780	24337	SIPO	YZ	70641225
3424022	11362	1997-02-10	VYDAJ	PREVOD NA UCET	4780	23302	SIPO	YZ	70641225
3424023	11362	1997-03-10	VYDAJ	PREVOD NA UCET	4780	22324	SIPO	YZ	70641225
3424024	11362	1997-04-10	VYDAJ	PREVOD NA UCET	4780	22342	SIPO	YZ	70641225
3424025	11362	1997-05-10	VYDAJ	PREVOD NA UCET	4780	23559	SIPO	YZ	70641225
3424026	11362	1997-06-10	VYDAJ	PREVOD NA UCET	4780	24849	SIPO	YZ	70641225
3424027	11362	1997-07-10	VYDAJ	PREVOD NA UCET	4780	19477	SIPO	YZ	70641225
3424028	11362	1997-08-10	VYDAJ	PREVOD NA UCET	4780	28187	SIPO	YZ	70641225
3424029	11362	1997-09-10	VYDAJ	PREVOD NA UCET	4780	32324	SIPO	YZ	70641225
3424030	11362	1997-10-10	VYDAJ	PREVOD NA UCET	4780	31782	SIPO	YZ	70641225
3424031	11362	1997-11-10	VYDAJ	PREVOD NA UCET	4780	25627	SIPO	YZ	70641225
3424032	11362	1997-12-10	VYDAJ	PREVOD NA UCET	4780	34731	SIPO	YZ	70641225
3424033	11362	1998-01-10	VYDAJ	PREVOD NA UCET	4780	35994	SIPO	YZ	70641225
3424034	11362	1998-02-10	VYDAJ	PREVOD NA UCET	4780	26847	SIPO	YZ	70641225
3424035	11362	1998-03-10	VYDAJ	PREVOD NA UCET	4780	30088	SIPO	YZ	70641225
3424036	11362	1998-04-10	VYDAJ	PREVOD NA UCET	4780	33328	SIPO	YZ	70641225
3424037	11362	1998-05-10	VYDAJ	PREVOD NA UCET	4780	33988	SIPO	YZ	70641225
3424038	11362	1998-06-10	VYDAJ	PREVOD NA UCET	4780	42824	SIPO	YZ	70641225
3424039	11362	1998-07-10	VYDAJ	PREVOD NA UCET	4780	44715	SIPO	YZ	70641225
3424040	11362	1998-08-10	VYDAJ	PREVOD NA UCET	4780	41518	SIPO	YZ	70641225
3424041	11362	1998-09-10	VYDAJ	PREVOD NA UCET	4780	39016	SIPO	YZ	70641225
3424042	11362	1998-10-10	VYDAJ	PREVOD NA UCET	4780	36894	SIPO	YZ	70641225
3424043	11362	1998-11-10	VYDAJ	PREVOD NA UCET	4780	36701	SIPO	YZ	70641225
3424044	11362	1998-12-10	VYDAJ	PREVOD NA UCET	4780	46640	SIPO	YZ	70641225
3424059	11362	1996-03-08	VYDAJ	PREVOD NA UCET	56	55541	 	MN	78507822
3424060	11362	1996-04-08	VYDAJ	PREVOD NA UCET	56	49338	 	MN	78507822
3424061	11362	1996-05-08	VYDAJ	PREVOD NA UCET	56	43810	 	MN	78507822
3424062	11362	1996-06-08	VYDAJ	PREVOD NA UCET	56	48631	 	MN	78507822
3424063	11362	1996-07-08	VYDAJ	PREVOD NA UCET	56	23909	 	MN	78507822
3424064	11362	1996-08-08	VYDAJ	PREVOD NA UCET	56	29693	 	MN	78507822
3424065	11362	1996-09-08	VYDAJ	PREVOD NA UCET	56	25200	 	MN	78507822
3424066	11362	1996-10-08	VYDAJ	PREVOD NA UCET	56	30905	 	MN	78507822
3424067	11362	1996-11-08	VYDAJ	PREVOD NA UCET	56	26743	 	MN	78507822
3424068	11362	1996-12-08	VYDAJ	PREVOD NA UCET	56	28980	 	MN	78507822
3424069	11362	1997-01-08	VYDAJ	PREVOD NA UCET	56	29117	 	MN	78507822
3424070	11362	1997-02-08	VYDAJ	PREVOD NA UCET	56	28082	 	MN	78507822
3424071	11362	1997-03-08	VYDAJ	PREVOD NA UCET	56	27104	 	MN	78507822
3424072	11362	1997-04-08	VYDAJ	PREVOD NA UCET	56	27122	 	MN	78507822
3424073	11362	1997-05-08	VYDAJ	PREVOD NA UCET	56	28339	 	MN	78507822
3424074	11362	1997-06-08	VYDAJ	PREVOD NA UCET	56	29629	 	MN	78507822
3424075	11362	1997-07-08	VYDAJ	PREVOD NA UCET	56	25457	 	MN	78507822
3424076	11362	1997-08-08	VYDAJ	PREVOD NA UCET	56	32967	 	MN	78507822
3424077	11362	1997-09-08	VYDAJ	PREVOD NA UCET	56	37104	 	MN	78507822
3424078	11362	1997-10-08	VYDAJ	PREVOD NA UCET	56	36562	 	MN	78507822
3424079	11362	1997-11-08	VYDAJ	PREVOD NA UCET	56	30407	 	MN	78507822
3424080	11362	1997-12-08	VYDAJ	PREVOD NA UCET	56	39511	 	MN	78507822
3424081	11362	1998-01-08	VYDAJ	PREVOD NA UCET	56	40774	 	MN	78507822
3424082	11362	1998-02-08	VYDAJ	PREVOD NA UCET	56	31627	 	MN	78507822
3424083	11362	1998-03-08	VYDAJ	PREVOD NA UCET	56	34868	 	MN	78507822
3424084	11362	1998-04-08	VYDAJ	PREVOD NA UCET	56	38108	 	MN	78507822
3424085	11362	1998-05-08	VYDAJ	PREVOD NA UCET	56	38768	 	MN	78507822
3424086	11362	1998-06-08	VYDAJ	PREVOD NA UCET	56	47604	 	MN	78507822
3424087	11362	1998-07-08	VYDAJ	PREVOD NA UCET	56	49495	 	MN	78507822
3424088	11362	1998-08-08	VYDAJ	PREVOD NA UCET	56	46298	 	MN	78507822
3424089	11362	1998-09-08	VYDAJ	PREVOD NA UCET	56	43796	 	MN	78507822
3424090	11362	1998-10-08	VYDAJ	PREVOD NA UCET	56	41674	 	MN	78507822
3424091	11362	1998-11-08	VYDAJ	PREVOD NA UCET	56	41481	 	MN	78507822
3424092	11362	1998-12-08	VYDAJ	PREVOD NA UCET	56	51420	 	MN	78507822
3424107	11362	1996-03-07	VYDAJ	PREVOD NA UCET	330	55597	POJISTNE	ST	40799850
3424108	11362	1996-04-07	VYDAJ	PREVOD NA UCET	330	49394	POJISTNE	ST	40799850
3424109	11362	1996-05-07	VYDAJ	PREVOD NA UCET	330	43866	POJISTNE	ST	40799850
3424110	11362	1996-06-07	VYDAJ	PREVOD NA UCET	330	48687	POJISTNE	ST	40799850
3424111	11362	1996-07-07	VYDAJ	PREVOD NA UCET	330	23965	POJISTNE	ST	40799850
3424112	11362	1996-08-07	VYDAJ	PREVOD NA UCET	330	29749	POJISTNE	ST	40799850
3424113	11362	1996-09-07	VYDAJ	PREVOD NA UCET	330	30556	POJISTNE	ST	40799850
3424114	11362	1996-10-07	VYDAJ	PREVOD NA UCET	330	31661	POJISTNE	ST	40799850
3424115	11362	1996-11-07	VYDAJ	PREVOD NA UCET	330	26799	POJISTNE	ST	40799850
3424116	11362	1996-12-07	VYDAJ	PREVOD NA UCET	330	29036	POJISTNE	ST	40799850
3424117	11362	1997-01-07	VYDAJ	PREVOD NA UCET	330	29173	POJISTNE	ST	40799850
3424118	11362	1997-02-07	VYDAJ	PREVOD NA UCET	330	28138	POJISTNE	ST	40799850
3424119	11362	1997-03-07	VYDAJ	PREVOD NA UCET	330	27160	POJISTNE	ST	40799850
3424120	11362	1997-04-07	VYDAJ	PREVOD NA UCET	330	27178	POJISTNE	ST	40799850
3424121	11362	1997-05-07	VYDAJ	PREVOD NA UCET	330	28395	POJISTNE	ST	40799850
3424122	11362	1997-06-07	VYDAJ	PREVOD NA UCET	330	29685	POJISTNE	ST	40799850
3424123	11362	1997-07-07	VYDAJ	PREVOD NA UCET	330	25513	POJISTNE	ST	40799850
3424124	11362	1997-08-07	VYDAJ	PREVOD NA UCET	330	33023	POJISTNE	ST	40799850
3424125	11362	1997-09-07	VYDAJ	PREVOD NA UCET	330	37160	POJISTNE	ST	40799850
3424126	11362	1997-10-07	VYDAJ	PREVOD NA UCET	330	36618	POJISTNE	ST	40799850
3424127	11362	1997-11-07	VYDAJ	PREVOD NA UCET	330	30463	POJISTNE	ST	40799850
3424128	11362	1997-12-07	VYDAJ	PREVOD NA UCET	330	39567	POJISTNE	ST	40799850
3424129	11362	1998-01-07	VYDAJ	PREVOD NA UCET	330	40830	POJISTNE	ST	40799850
3424130	11362	1998-02-07	VYDAJ	PREVOD NA UCET	330	31683	POJISTNE	ST	40799850
3424131	11362	1998-03-07	VYDAJ	PREVOD NA UCET	330	34924	POJISTNE	ST	40799850
3424132	11362	1998-04-07	VYDAJ	PREVOD NA UCET	330	38164	POJISTNE	ST	40799850
3424133	11362	1998-05-07	VYDAJ	PREVOD NA UCET	330	38824	POJISTNE	ST	40799850
3424134	11362	1998-06-07	VYDAJ	PREVOD NA UCET	330	47660	POJISTNE	ST	40799850
3424135	11362	1998-07-07	VYDAJ	PREVOD NA UCET	330	49551	POJISTNE	ST	40799850
3424136	11362	1998-08-07	VYDAJ	PREVOD NA UCET	330	46354	POJISTNE	ST	40799850
3424137	11362	1998-09-07	VYDAJ	PREVOD NA UCET	330	43852	POJISTNE	ST	40799850
3424138	11362	1998-10-07	VYDAJ	PREVOD NA UCET	330	41730	POJISTNE	ST	40799850
3424139	11362	1998-11-07	VYDAJ	PREVOD NA UCET	330	41537	POJISTNE	ST	40799850
3424140	11362	1998-12-07	VYDAJ	PREVOD NA UCET	330	51476	POJISTNE	ST	40799850
3424155	11362	1996-03-06	VYDAJ	PREVOD NA UCET	129	55927	 	KL	20009470
3424156	11362	1996-04-06	VYDAJ	PREVOD NA UCET	129	49724	 	KL	20009470
3424157	11362	1996-05-06	VYDAJ	PREVOD NA UCET	129	44196	 	KL	20009470
3424158	11362	1996-06-06	VYDAJ	PREVOD NA UCET	129	49017	 	KL	20009470
3424159	11362	1996-07-06	VYDAJ	PREVOD NA UCET	129	24295	 	KL	20009470
3424160	11362	1996-08-06	VYDAJ	PREVOD NA UCET	129	30079	 	KL	20009470
3424161	11362	1996-09-06	VYDAJ	PREVOD NA UCET	129	30886	 	KL	20009470
3424162	11362	1996-10-06	VYDAJ	PREVOD NA UCET	129	31991	 	KL	20009470
3424163	11362	1996-11-06	VYDAJ	PREVOD NA UCET	129	30729	 	KL	20009470
3424164	11362	1996-12-06	VYDAJ	PREVOD NA UCET	129	39766	 	KL	20009470
3424165	11362	1997-01-06	VYDAJ	PREVOD NA UCET	129	29503	 	KL	20009470
3424166	11362	1997-02-06	VYDAJ	PREVOD NA UCET	129	28468	 	KL	20009470
3424167	11362	1997-03-06	VYDAJ	PREVOD NA UCET	129	33990	 	KL	20009470
3424168	11362	1997-04-06	VYDAJ	PREVOD NA UCET	129	33008	 	KL	20009470
3424169	11362	1997-05-06	VYDAJ	PREVOD NA UCET	129	28725	 	KL	20009470
3424170	11362	1997-06-06	VYDAJ	PREVOD NA UCET	129	30015	 	KL	20009470
3424171	11362	1997-07-06	VYDAJ	PREVOD NA UCET	129	28843	 	KL	20009470
3424172	11362	1997-08-06	VYDAJ	PREVOD NA UCET	129	33353	 	KL	20009470
3424173	11362	1997-09-06	VYDAJ	PREVOD NA UCET	129	37490	 	KL	20009470
3424174	11362	1997-10-06	VYDAJ	PREVOD NA UCET	129	36948	 	KL	20009470
3424175	11362	1997-11-06	VYDAJ	PREVOD NA UCET	129	30793	 	KL	20009470
3424176	11362	1997-12-06	VYDAJ	PREVOD NA UCET	129	39897	 	KL	20009470
3424177	11362	1998-01-06	VYDAJ	PREVOD NA UCET	129	41160	 	KL	20009470
3424178	11362	1998-02-06	VYDAJ	PREVOD NA UCET	129	32013	 	KL	20009470
3424179	11362	1998-03-06	VYDAJ	PREVOD NA UCET	129	35254	 	KL	20009470
3424180	11362	1998-04-06	VYDAJ	PREVOD NA UCET	129	38494	 	KL	20009470
3424181	11362	1998-05-06	VYDAJ	PREVOD NA UCET	129	39154	 	KL	20009470
3424182	11362	1998-06-06	VYDAJ	PREVOD NA UCET	129	47990	 	KL	20009470
3424183	11362	1998-07-06	VYDAJ	PREVOD NA UCET	129	49881	 	KL	20009470
3424184	11362	1998-08-06	VYDAJ	PREVOD NA UCET	129	46684	 	KL	20009470
3424185	11362	1998-09-06	VYDAJ	PREVOD NA UCET	129	44182	 	KL	20009470
3424186	11362	1998-10-06	VYDAJ	PREVOD NA UCET	129	42060	 	KL	20009470
3424187	11362	1998-11-06	VYDAJ	PREVOD NA UCET	129	41867	 	KL	20009470
3424188	11362	1998-12-06	VYDAJ	PREVOD NA UCET	129	51806	 	KL	20009470
3424203	11362	1996-03-18	VYDAJ	VYBER	6400	33561	\N	\N	0
3424204	11362	1996-04-18	VYDAJ	VYBER	5700	28058	\N	\N	0
3424205	11362	1996-05-12	VYDAJ	VYBER	5300	24830	\N	\N	0
3424206	11362	1996-06-13	VYDAJ	VYBER	4800	27951	\N	\N	0
3424207	11362	1996-07-05	VYDAJ	VYBER	5700	29704	\N	\N	0
3424208	11362	1996-08-16	VYDAJ	VYBER	4100	14813	\N	\N	0
3424209	11362	1996-09-12	VYDAJ	VYBER	4500	15920	\N	\N	0
3424210	11362	1996-10-11	VYDAJ	VYBER	5800	20325	\N	\N	0
3424211	11362	1996-11-04	VYDAJ	VYBER	4600	14717	\N	\N	0
3424212	11362	1996-12-05	VYDAJ	VYBER	5400	39895	\N	\N	0
3424213	11362	1997-01-12	VYDAJ	PREVOD NA UCET	5392	18945	UVER	MN	61540514
3424214	11362	1997-02-12	VYDAJ	PREVOD NA UCET	5392	17910	UVER	MN	61540514
3424215	11362	1997-03-12	VYDAJ	PREVOD NA UCET	5392	16932	UVER	MN	61540514
3424216	11362	1997-04-12	VYDAJ	PREVOD NA UCET	5392	16950	UVER	MN	61540514
3424217	11362	1997-05-12	VYDAJ	PREVOD NA UCET	5392	18167	UVER	MN	61540514
3424218	11362	1997-06-12	VYDAJ	PREVOD NA UCET	5392	19457	UVER	MN	61540514
3424219	11362	1997-07-12	VYDAJ	PREVOD NA UCET	5392	14085	UVER	MN	61540514
3424220	11362	1997-08-12	VYDAJ	PREVOD NA UCET	5392	22795	UVER	MN	61540514
3424221	11362	1997-09-12	VYDAJ	PREVOD NA UCET	5392	26932	UVER	MN	61540514
3424222	11362	1997-10-12	VYDAJ	PREVOD NA UCET	5392	26390	UVER	MN	61540514
3424223	11362	1997-11-12	VYDAJ	PREVOD NA UCET	5392	20235	UVER	MN	61540514
3424224	11362	1997-12-12	VYDAJ	PREVOD NA UCET	5392	29339	UVER	MN	61540514
3424225	11362	1998-01-12	VYDAJ	PREVOD NA UCET	5392	30602	UVER	MN	61540514
3424226	11362	1998-02-12	VYDAJ	PREVOD NA UCET	5392	21455	UVER	MN	61540514
3424227	11362	1998-03-12	VYDAJ	PREVOD NA UCET	5392	24696	UVER	MN	61540514
3424228	11362	1998-04-12	VYDAJ	PREVOD NA UCET	5392	27936	UVER	MN	61540514
3424229	11362	1998-05-12	VYDAJ	PREVOD NA UCET	5392	28596	UVER	MN	61540514
3424230	11362	1998-06-12	VYDAJ	PREVOD NA UCET	5392	37432	UVER	MN	61540514
3424231	11362	1998-07-12	VYDAJ	PREVOD NA UCET	5392	39323	UVER	MN	61540514
3424232	11362	1998-08-12	VYDAJ	PREVOD NA UCET	5392	36126	UVER	MN	61540514
3424233	11362	1998-09-12	VYDAJ	PREVOD NA UCET	5392	33624	UVER	MN	61540514
3424234	11362	1998-10-12	VYDAJ	PREVOD NA UCET	5392	31502	UVER	MN	61540514
3424235	11362	1998-11-12	VYDAJ	PREVOD NA UCET	5392	31309	UVER	MN	61540514
3424236	11362	1998-12-12	VYDAJ	PREVOD NA UCET	5392	41248	UVER	MN	61540514
3424238	11362	1996-06-13	VYDAJ	VYBER	8800	19151	\N	\N	\N
3424244	11362	1998-01-13	VYDAJ	VYBER	4800	25802	\N	\N	\N
3424246	11362	1996-12-01	VYDAJ	VYBER	960	21083	\N	\N	\N
3424247	11362	1997-12-30	VYDAJ	VYBER	1600	27739	\N	\N	\N
3424248	11362	1998-12-19	VYDAJ	VYBER	2880	38368	\N	\N	\N
3424261	11362	1997-01-25	VYDAJ	VYBER	2640	16305	\N	\N	\N
3424262	11362	1997-01-04	VYDAJ	VYBER	720	21171	\N	\N	\N
3424263	11362	1997-01-25	VYDAJ	VYBER	1920	14385	\N	\N	\N
3424264	11362	1997-01-05	VYDAJ	VYBER	2880	34432	\N	\N	\N
3424266	11362	1997-01-02	VYDAJ	VYBER	2400	21891	\N	\N	\N
3424267	11362	1998-01-25	VYDAJ	VYBER	3360	18122	\N	\N	\N
3424270	11362	1998-01-18	VYDAJ	VYBER	2040	23762	\N	\N	\N
3424271	11362	1998-01-25	VYDAJ	VYBER	2280	21482	\N	\N	\N
3424272	11362	1998-01-29	VYDAJ	VYBER	1920	16202	\N	\N	\N
3424280	11362	1996-07-06	VYDAJ	VYBER	5280	24424	\N	\N	\N
3424281	11362	1996-08-01	VYDAJ	VYBER	2640	14067	\N	\N	\N
3424282	11362	1996-10-22	VYDAJ	VYBER	1080	19245	\N	\N	\N
3424284	11362	1996-07-31	VYDAJ	VYBER	1200	16722	\N	\N	\N
3424286	11362	1997-10-14	VYDAJ	VYBER	4800	21590	\N	\N	\N
3424289	11362	1997-07-06	VYDAJ	VYBER	3000	25843	\N	\N	\N
3424290	11362	1997-07-08	VYDAJ	VYBER	1200	24257	\N	\N	\N
3424291	11362	1997-05-25	VYDAJ	VYBER	1800	16367	\N	\N	\N
3424292	11362	1998-02-12	VYDAJ	VYBER	4080	17375	\N	\N	\N
3424293	11362	1998-11-22	VYDAJ	VYBER	1800	29509	\N	\N	\N
3424294	11362	1998-03-22	VYDAJ	VYBER	3600	21096	\N	\N	\N
3424295	11362	1998-08-13	VYDAJ	VYBER	4680	31446	\N	\N	\N
3424296	11362	1998-10-25	VYDAJ	VYBER	5760	25742	\N	\N	\N
3424312	11362	1996-03-31	VYDAJ	VYBER	15	33712	SLUZBY	\N	\N
3424313	11362	1996-04-30	VYDAJ	VYBER	15	28184	SLUZBY	\N	\N
3424314	11362	1996-05-31	VYDAJ	VYBER	15	24934	SLUZBY	\N	\N
3424315	11362	1996-06-30	VYDAJ	VYBER	15	19263	SLUZBY	\N	\N
3424316	11362	1996-07-31	VYDAJ	VYBER	15	16707	SLUZBY	\N	\N
3424317	11362	1996-08-31	VYDAJ	VYBER	15	14874	SLUZBY	\N	\N
3424318	11362	1996-09-30	VYDAJ	VYBER	15	15979	SLUZBY	\N	\N
3424319	11362	1996-10-31	VYDAJ	VYBER	15	19317	SLUZBY	\N	\N
3424320	11362	1996-11-30	VYDAJ	VYBER	15	22043	SLUZBY	\N	\N
3424321	11362	1996-12-31	VYDAJ	VYBER	15	24291	SLUZBY	\N	\N
3424322	11362	1997-01-31	VYDAJ	VYBER	15	14456	SLUZBY	\N	\N
3424323	11362	1997-02-28	VYDAJ	VYBER	15	17978	SLUZBY	\N	\N
3424324	11362	1997-03-31	VYDAJ	VYBER	15	16996	SLUZBY	\N	\N
3424325	11362	1997-04-30	VYDAJ	VYBER	15	17013	SLUZBY	\N	\N
3424326	11362	1997-05-31	VYDAJ	VYBER	15	16432	SLUZBY	\N	\N
3424327	11362	1997-06-30	VYDAJ	VYBER	15	19531	SLUZBY	\N	\N
3424328	11362	1997-07-31	VYDAJ	VYBER	15	14141	SLUZBY	\N	\N
3424329	11362	1997-08-31	VYDAJ	VYBER	15	22878	SLUZBY	\N	\N
3424330	11362	1997-09-30	VYDAJ	VYBER	15	27036	SLUZBY	\N	\N
3424331	11362	1997-10-31	VYDAJ	VYBER	15	21681	SLUZBY	\N	\N
3424332	11362	1997-11-30	VYDAJ	VYBER	15	20314	SLUZBY	\N	\N
3424333	11362	1997-12-31	VYDAJ	VYBER	15	27848	SLUZBY	\N	\N
3424334	11362	1998-01-31	VYDAJ	VYBER	15	16001	SLUZBY	\N	\N
3424335	11362	1998-02-28	VYDAJ	VYBER	15	17442	SLUZBY	\N	\N
3424336	11362	1998-03-31	VYDAJ	VYBER	15	21182	SLUZBY	\N	\N
3424337	11362	1998-04-30	VYDAJ	VYBER	15	28042	SLUZBY	\N	\N
3424338	11362	1998-05-31	VYDAJ	VYBER	15	28707	SLUZBY	\N	\N
3424339	11362	1998-06-30	VYDAJ	VYBER	15	33869	SLUZBY	\N	\N
3424340	11362	1998-07-31	VYDAJ	VYBER	15	30672	SLUZBY	\N	\N
3424341	11362	1998-08-31	VYDAJ	VYBER	15	28170	SLUZBY	\N	\N
3424342	11362	1998-09-30	VYDAJ	VYBER	15	26048	SLUZBY	\N	\N
3424343	11362	1998-10-31	VYDAJ	VYBER	15	25855	SLUZBY	\N	\N
3424344	11362	1998-11-30	VYDAJ	VYBER	15	27723	SLUZBY	\N	\N
3424345	11362	1995-11-13	PRIJEM	VKLAD	2900	20041	\N	\N	\N
3424346	11362	1995-12-13	VYDAJ	VYBER	9000	35303	\N	\N	\N
3424347	11362	1996-01-12	VYDAJ	VYBER	16100	35467	\N	\N	\N
3424348	11362	1996-02-11	VYDAJ	VYBER	12000	39755	\N	\N	\N
3424349	11362	1996-03-12	VYDAJ	VYBER	10800	39961	\N	\N	\N
3424350	11362	1996-04-11	VYDAJ	VYBER	10800	33758	\N	\N	\N
3424351	11362	1996-05-11	VYDAJ	VYBER	8900	30130	\N	\N	\N
3424352	11362	1996-06-10	VYDAJ	VYBER	11100	37531	\N	\N	\N
3424353	11362	1996-07-10	VYDAJ	VYBER	1300	22609	\N	\N	\N
3424354	11362	1996-08-09	VYDAJ	VYBER	6000	23693	\N	\N	\N
3424355	11362	1996-09-08	VYDAJ	VYBER	5300	25256	\N	\N	\N
3424356	11362	1996-10-08	VYDAJ	VYBER	700	30961	\N	\N	\N
3424357	11362	1996-11-07	VYDAJ	VYBER	3600	27129	\N	\N	\N
3424358	11362	1996-12-07	VYDAJ	VYBER	10400	29366	\N	\N	\N
3424359	11362	1997-01-06	VYDAJ	VYBER	4800	29632	\N	\N	\N
3424360	11362	1997-02-05	VYDAJ	VYBER	2000	28597	\N	\N	\N
3424361	11362	1997-03-07	VYDAJ	VYBER	6500	27490	\N	\N	\N
3424362	11362	1997-04-06	VYDAJ	VYBER	5500	27508	\N	\N	\N
3424363	11362	1997-05-06	VYDAJ	VYBER	4300	28854	\N	\N	\N
3424364	11362	1997-06-05	VYDAJ	VYBER	10500	30144	\N	\N	\N
3424365	11362	1997-07-05	VYDAJ	VYBER	6700	28972	\N	\N	\N
3424366	11362	1997-08-04	PRIJEM	VKLAD	3200	17341	\N	\N	\N
3424367	11362	1997-09-03	VYDAJ	VYBER	1400	21478	\N	\N	\N
3424368	11362	1997-10-03	VYDAJ	VYBER	6100	20936	\N	\N	\N
3424369	11362	1997-11-02	VYDAJ	VYBER	6900	14781	\N	\N	\N
3424370	11362	1997-12-02	VYDAJ	VYBER	4500	15814	\N	\N	\N
3424371	11362	1998-01-01	VYDAJ	VYBER	2700	25148	\N	\N	\N
3424372	11362	1998-01-31	VYDAJ	VYBER	300	16015	\N	\N	\N
3424373	11362	1998-03-02	PRIJEM	VKLAD	1800	19242	\N	\N	\N
3424374	11362	1998-04-01	PRIJEM	VKLAD	1300	22482	\N	\N	\N
3424375	11362	1998-05-01	VYDAJ	VYBER	4900	23142	\N	\N	\N
3424376	11362	1998-05-31	VYDAJ	VYBER	4800	23907	\N	\N	\N
3424377	11362	1998-06-30	VYDAJ	VYBER	3700	33883	\N	\N	\N
3424378	11362	1998-07-30	VYDAJ	VYBER	8800	30523	\N	\N	\N
3424379	11362	1998-08-29	VYDAJ	VYBER	3400	28046	\N	\N	\N
3424380	11362	1998-09-28	VYDAJ	VYBER	7700	25924	\N	\N	\N
3424381	11362	1998-11-27	VYDAJ	VYBER	1900	27609	\N	\N	\N
3431061	11382	1995-08-20	PRIJEM	VKLAD	200	200	\N	\N	\N
3431070	11382	1995-09-10	PRIJEM	PREVOD Z UCTU	30832	31032	\N	QR	62510245
3431071	11382	1995-10-10	PRIJEM	PREVOD Z UCTU	30832	55141	\N	QR	62510245
3431072	11382	1995-11-10	PRIJEM	PREVOD Z UCTU	30832	67254	\N	QR	62510245
3431073	11382	1995-12-10	PRIJEM	PREVOD Z UCTU	46248	93550	\N	QR	62510245
3431074	11382	1996-01-10	PRIJEM	PREVOD Z UCTU	30832	88698	\N	QR	62510245
3431075	11382	1996-02-10	PRIJEM	PREVOD Z UCTU	30832	48572	\N	QR	62510245
3431076	11382	1996-03-10	PRIJEM	PREVOD Z UCTU	30832	65760	\N	QR	62510245
3431077	11382	1996-04-10	PRIJEM	PREVOD Z UCTU	30832	51685	\N	QR	62510245
3431078	11382	1996-05-10	PRIJEM	PREVOD Z UCTU	30832	29956	\N	QR	62510245
3431079	11382	1996-06-10	PRIJEM	PREVOD Z UCTU	46248	48174	\N	QR	62510245
3431080	11382	1996-07-10	PRIJEM	PREVOD Z UCTU	30832	62230	\N	QR	62510245
3431081	11382	1996-08-10	PRIJEM	PREVOD Z UCTU	30832	67425	\N	QR	62510245
3431082	11382	1996-09-10	PRIJEM	PREVOD Z UCTU	30832	45022	\N	QR	62510245
3431083	11382	1996-10-10	PRIJEM	PREVOD Z UCTU	30832	43683	\N	QR	62510245
3431084	11382	1996-11-10	PRIJEM	PREVOD Z UCTU	30832	59833	\N	QR	62510245
3431085	11382	1996-12-10	PRIJEM	PREVOD Z UCTU	46248	78567	\N	QR	62510245
3431086	11382	1997-01-10	PRIJEM	PREVOD Z UCTU	30832	57837	\N	QR	62510245
3431087	11382	1997-02-10	PRIJEM	PREVOD Z UCTU	30832	31138	\N	QR	62510245
3431088	11382	1997-03-10	PRIJEM	PREVOD Z UCTU	30832	32289	\N	QR	62510245
3431089	11382	1997-04-10	PRIJEM	PREVOD Z UCTU	30832	51707	\N	QR	62510245
3431090	11382	1997-05-10	PRIJEM	PREVOD Z UCTU	30832	55489	\N	QR	62510245
3431091	11382	1997-06-10	PRIJEM	PREVOD Z UCTU	46248	77720	\N	QR	62510245
3431092	11382	1997-07-10	PRIJEM	PREVOD Z UCTU	30832	75647	\N	QR	62510245
3431093	11382	1997-08-10	PRIJEM	PREVOD Z UCTU	30832	47842	\N	QR	62510245
3431094	11382	1997-09-10	PRIJEM	PREVOD Z UCTU	30832	34137	\N	QR	62510245
3431095	11382	1997-10-10	PRIJEM	PREVOD Z UCTU	30832	35722	\N	QR	62510245
3431096	11382	1997-11-10	PRIJEM	PREVOD Z UCTU	30832	49504	\N	QR	62510245
3431097	11382	1997-12-10	PRIJEM	PREVOD Z UCTU	46248	75186	\N	QR	62510245
3431098	11382	1998-01-10	PRIJEM	PREVOD Z UCTU	30832	60947	\N	QR	62510245
3431099	11382	1998-02-10	PRIJEM	PREVOD Z UCTU	30832	39478	\N	QR	62510245
3431100	11382	1998-03-10	PRIJEM	PREVOD Z UCTU	30832	59251	\N	QR	62510245
3431101	11382	1998-04-10	PRIJEM	PREVOD Z UCTU	30832	63478	\N	QR	62510245
3431102	11382	1998-05-10	PRIJEM	PREVOD Z UCTU	30832	68606	\N	QR	62510245
3431103	11382	1998-06-10	PRIJEM	PREVOD Z UCTU	46248	86594	\N	QR	62510245
3431104	11382	1998-07-10	PRIJEM	PREVOD Z UCTU	30832	40477	\N	QR	62510245
3431105	11382	1998-08-10	PRIJEM	PREVOD Z UCTU	30832	43811	\N	QR	62510245
3431106	11382	1998-09-10	PRIJEM	PREVOD Z UCTU	30832	54786	\N	QR	62510245
3431107	11382	1998-10-10	PRIJEM	PREVOD Z UCTU	30832	62977	\N	QR	62510245
3431108	11382	1998-11-10	PRIJEM	PREVOD Z UCTU	30832	66310	\N	QR	62510245
3431109	11382	1998-12-10	PRIJEM	PREVOD Z UCTU	46248	87362	\N	QR	62510245
3431124	11382	1996-10-09	VYBER	VYBER	14109	12851	\N	\N	\N
3431125	11382	1996-08-14	VYBER	VYBER	7669	59756	\N	\N	\N
3431126	11382	1996-03-30	VYBER	VYBER	20620	20640	\N	\N	\N
3431127	11382	1996-05-10	VYBER	VYBER	4915	25041	\N	\N	\N
3431128	11382	1996-05-20	VYBER	VYBER	18669	1872	\N	\N	\N
3431129	11382	1996-04-26	VYBER	VYBER	8839	16300	\N	\N	\N
3431130	11382	1996-04-28	VYBER	VYBER	17337	-1037	\N	\N	\N
3431131	11382	1996-04-13	VYBER	VYBER	12046	39639	\N	\N	\N
3431132	11382	1996-09-04	VYBER	VYBER	21955	14190	\N	\N	\N
3431134	11382	1997-07-29	VYBER	VYBER	17965	21882	\N	\N	\N
3431135	11382	1997-02-15	VYBER	VYBER	16180	1458	\N	\N	\N
3431137	11382	1997-08-28	VYBER	VYBER	21916	25926	\N	\N	\N
3431138	11382	1997-10-09	VYBER	VYBER	12269	4890	\N	\N	\N
3431139	11382	1998-08-04	VYBER	VYBER	14865	14379	\N	\N	\N
3431140	11382	1998-06-19	VYBER	VYBER	3058	30736	\N	\N	\N
3431144	11382	1998-06-17	VYDAJ	VYBER	52800	33794	\N	\N	\N
3431146	11382	1996-01-20	VYDAJ	VYBER	21300	21698	\N	\N	\N
3431147	11382	1997-01-18	VYDAJ	VYBER	12600	3837	\N	\N	\N
3431148	11382	1998-01-15	VYDAJ	VYBER	12300	41147	\N	\N	\N
3431150	11382	1996-12-29	VYDAJ	VYBER	4200	26767	\N	\N	\N
3431151	11382	1997-12-18	VYDAJ	VYBER	8100	67086	\N	\N	\N
3431152	11382	1998-12-25	VYDAJ	VYBER	6300	81062	\N	\N	\N
3431159	11382	1996-01-13	VYDAJ	VYBER	5400	72798	\N	\N	\N
3431160	11382	1996-01-14	VYDAJ	VYBER	8100	64698	\N	\N	\N
3431161	11382	1996-01-15	VYDAJ	VYBER	2400	62298	\N	\N	\N
3431162	11382	1996-01-13	VYDAJ	VYBER	2400	78198	\N	\N	\N
3431163	11382	1996-01-13	VYDAJ	VYBER	4500	80598	\N	\N	\N
3431164	11382	1996-01-24	VYDAJ	VYBER	4200	17498	\N	\N	\N
3431165	11382	1997-01-21	VYDAJ	VYBER	1800	2037	\N	\N	\N
3431166	11382	1997-01-14	VYDAJ	VYBER	4500	26337	\N	\N	\N
3431167	11382	1997-01-17	VYDAJ	VYBER	2400	16437	\N	\N	\N
3431168	11382	1997-01-17	VYDAJ	VYBER	7500	18837	\N	\N	\N
3431170	11382	1997-01-28	VYDAJ	VYBER	1800	237	\N	\N	\N
3431171	11382	1998-01-26	VYDAJ	VYBER	2400	26447	\N	\N	\N
3431172	11382	1998-01-13	VYDAJ	VYBER	4800	56147	\N	\N	\N
3431173	11382	1998-01-25	VYDAJ	VYBER	5700	28847	\N	\N	\N
3431174	11382	1998-01-01	VYDAJ	VYBER	7200	60315	\N	\N	\N
3431175	11382	1998-01-02	VYDAJ	VYBER	3900	56415	\N	\N	\N
3431176	11382	1998-01-22	VYDAJ	VYBER	6600	34547	\N	\N	\N
3431186	11382	1996-12-26	VYDAJ	VYBER	14700	30967	\N	\N	\N
3431187	11382	1996-01-13	VYDAJ	VYBER	3600	85098	\N	\N	\N
3431189	11382	1997-04-23	VYDAJ	VYBER	4500	24507	\N	\N	\N
3431190	11382	1997-09-09	VYDAJ	VYBER	12300	3305	\N	\N	\N
3431191	11382	1998-07-13	VYDAJ	VYBER	11400	29077	\N	\N	\N
3431192	11382	1998-07-07	VYDAJ	VYBER	12600	9645	\N	\N	\N
3431193	11382	1998-08-27	VYDAJ	VYBER	7200	36611	\N	\N	\N
3431194	11382	1998-01-15	VYDAJ	VYBER	2700	53447	\N	\N	\N
3431195	11382	1998-10-14	VYDAJ	VYBER	9000	53977	\N	\N	\N
3431196	11382	1998-02-08	VYDAJ	VYBER	9300	8646	\N	\N	\N
3431210	11382	1996-01-31	VYDAJ	VYBER	15	17740	SLUZBY	\N	\N
3431211	11382	1996-02-29	VYDAJ	VYBER	15	34928	SLUZBY	\N	\N
3431212	11382	1996-03-31	VYDAJ	VYBER	15	20853	SLUZBY	\N	\N
3431213	11382	1996-04-30	VYDAJ	VYBER	15	-876	SLUZBY	\N	\N
3431214	11382	1996-05-31	VYDAJ	VYBER	15	1926	SLUZBY	\N	\N
3431215	11382	1996-06-30	VYDAJ	VYBER	15	31398	SLUZBY	\N	\N
3431216	11382	1996-07-31	VYDAJ	VYBER	15	36593	SLUZBY	\N	\N
3431217	11382	1996-08-31	VYDAJ	VYBER	15	36145	SLUZBY	\N	\N
3431218	11382	1996-09-30	VYDAJ	VYBER	15	26960	SLUZBY	\N	\N
3431219	11382	1996-10-31	VYDAJ	VYBER	15	29001	SLUZBY	\N	\N
3431220	11382	1996-11-30	VYDAJ	VYBER	15	32319	SLUZBY	\N	\N
3431221	11382	1996-12-31	VYDAJ	VYBER	15	27005	SLUZBY	\N	\N
3431222	11382	1997-01-31	VYDAJ	VYBER	15	308	SLUZBY	\N	\N
3431223	11382	1997-02-28	VYDAJ	VYBER	15	1467	SLUZBY	\N	\N
3431224	11382	1997-03-31	VYDAJ	VYBER	15	20875	SLUZBY	\N	\N
3431225	11382	1997-04-30	VYDAJ	VYBER	15	24657	SLUZBY	\N	\N
3431226	11382	1997-05-31	VYDAJ	VYBER	15	31472	SLUZBY	\N	\N
3431227	11382	1997-06-30	VYDAJ	VYBER	15	44815	SLUZBY	\N	\N
3431228	11382	1997-07-31	VYDAJ	VYBER	15	22310	SLUZBY	\N	\N
3431229	11382	1997-08-31	VYDAJ	VYBER	15	26205	SLUZBY	\N	\N
3431230	11382	1997-09-30	VYDAJ	VYBER	15	34359	SLUZBY	\N	\N
3431231	11382	1997-10-31	VYDAJ	VYBER	15	35972	SLUZBY	\N	\N
3431232	11382	1997-11-30	VYDAJ	VYBER	15	49838	SLUZBY	\N	\N
3431233	11382	1997-12-31	VYDAJ	VYBER	15	67515	SLUZBY	\N	\N
3431234	11382	1998-01-31	VYDAJ	VYBER	15	26746	SLUZBY	\N	\N
3431235	11382	1998-02-28	VYDAJ	VYBER	15	39719	SLUZBY	\N	\N
3431236	11382	1998-03-31	VYDAJ	VYBER	15	59646	SLUZBY	\N	\N
3431237	11382	1998-04-30	VYDAJ	VYBER	15	63874	SLUZBY	\N	\N
3431238	11382	1998-05-31	VYDAJ	VYBER	15	69046	SLUZBY	\N	\N
3431239	11382	1998-06-30	VYDAJ	VYBER	15	31145	SLUZBY	\N	\N
3431240	11382	1998-07-31	VYDAJ	VYBER	15	29244	SLUZBY	\N	\N
3431241	11382	1998-08-31	VYDAJ	VYBER	15	36854	SLUZBY	\N	\N
3431242	11382	1998-09-30	VYDAJ	VYBER	15	55145	SLUZBY	\N	\N
3431243	11382	1998-10-31	VYDAJ	VYBER	15	54378	SLUZBY	\N	\N
3431244	11382	1998-11-30	VYDAJ	VYBER	15	66714	SLUZBY	\N	\N
3431245	11382	1995-09-19	VYDAJ	VYBER	6800	24232	\N	\N	\N
3431246	11382	1995-10-19	VYDAJ	VYBER	18900	36241	\N	\N	\N
3431247	11382	1995-11-18	VYDAJ	VYBER	20200	47054	\N	\N	\N
3431248	11382	1995-12-18	VYDAJ	VYBER	36000	57550	\N	\N	\N
3431249	11382	1996-01-17	VYDAJ	VYBER	19300	42998	\N	\N	\N
3431250	11382	1996-02-16	VYDAJ	VYBER	13800	34772	\N	\N	\N
3431251	11382	1996-03-17	VYDAJ	VYBER	24500	41260	\N	\N	\N
3431252	11382	1996-04-16	VYDAJ	VYBER	14500	25139	\N	\N	\N
3431253	11382	1996-05-16	VYDAJ	VYBER	4500	20541	\N	\N	\N
3431254	11382	1996-06-15	VYDAJ	VYBER	16900	31274	\N	\N	\N
3431255	11382	1996-07-15	VYDAJ	VYBER	25900	36330	\N	\N	\N
3431256	11382	1996-08-14	VYDAJ	VYBER	24000	35756	\N	\N	\N
3431257	11382	1996-09-13	VYDAJ	VYBER	18300	26722	\N	\N	\N
3431258	11382	1996-10-13	VYDAJ	VYBER	14900	28783	\N	\N	\N
3431259	11382	1996-11-12	VYDAJ	VYBER	27700	32133	\N	\N	\N
3431260	11382	1996-12-12	VYDAJ	VYBER	32900	45667	\N	\N	\N
3431261	11382	1997-01-11	VYDAJ	VYBER	27000	30837	\N	\N	\N
3431262	11382	1997-02-10	VYDAJ	VYBER	13500	17638	\N	\N	\N
3431263	11382	1997-03-12	VYDAJ	VYBER	11500	20789	\N	\N	\N
3431264	11382	1997-04-11	VYDAJ	VYBER	22700	29007	\N	\N	\N
3431265	11382	1997-05-11	VYDAJ	VYBER	24200	31289	\N	\N	\N
3431266	11382	1997-06-10	VYDAJ	VYBER	33300	44420	\N	\N	\N
3431267	11382	1997-07-10	VYDAJ	VYBER	35800	39847	\N	\N	\N
3431268	11382	1997-08-09	VYDAJ	VYBER	5300	17010	\N	\N	\N
3431269	11382	1997-09-08	VYDAJ	VYBER	10600	15605	\N	\N	\N
3431270	11382	1997-10-08	VYDAJ	VYBER	17200	17159	\N	\N	\N
3431271	11382	1997-11-07	VYDAJ	VYBER	17300	18672	\N	\N	\N
3431272	11382	1997-12-07	VYDAJ	VYBER	20900	28938	\N	\N	\N
3431273	11382	1998-01-06	VYDAJ	VYBER	26300	30115	\N	\N	\N
3431274	11382	1998-02-05	VYDAJ	VYBER	8800	17946	\N	\N	\N
3431275	11382	1998-03-07	VYDAJ	VYBER	11300	28419	\N	\N	\N
3431276	11382	1998-04-06	VYDAJ	VYBER	27000	32646	\N	\N	\N
3431277	11382	1998-05-06	VYDAJ	VYBER	26100	37774	\N	\N	\N
3431278	11382	1998-06-05	VYDAJ	VYBER	28700	40346	\N	\N	\N
3431279	11382	1998-07-05	VYDAJ	VYBER	8900	22245	\N	\N	\N
3431280	11382	1998-08-04	VYDAJ	VYBER	1400	12979	\N	\N	\N
3431281	11382	1998-09-03	VYDAJ	VYBER	12900	23954	\N	\N	\N
3431282	11382	1998-10-03	VYDAJ	VYBER	23000	32145	\N	\N	\N
3431283	11382	1998-11-02	VYDAJ	VYBER	18900	35478	\N	\N	\N
3431284	11382	1998-12-02	VYDAJ	VYBER	25600	41114	\N	\N	\N
3437352	381	1993-07-31	PRIJEM	\N	30	9239	UROK	\N	\N
3437353	381	1993-08-31	PRIJEM	\N	90	25137	UROK	\N	\N
3437354	381	1993-09-30	PRIJEM	\N	135	34681	UROK	\N	\N
3437355	381	1993-10-31	PRIJEM	\N	156	38346	UROK	\N	\N
3437356	381	1993-11-30	PRIJEM	\N	168	41123	UROK	\N	\N
3437357	381	1993-12-31	PRIJEM	\N	172	39994	UROK	\N	\N
3437358	381	1994-01-31	PRIJEM	\N	106	23934	UROK	\N	\N
3437359	381	1994-02-28	PRIJEM	\N	118	25407	UROK	\N	\N
3437360	381	1994-03-31	PRIJEM	\N	133	34134	UROK	\N	\N
3437361	381	1994-04-30	PRIJEM	\N	126	38555	UROK	\N	\N
3437362	381	1994-05-31	PRIJEM	\N	145	29834	UROK	\N	\N
3437363	381	1994-06-30	PRIJEM	\N	126	34759	UROK	\N	\N
3437364	381	1994-07-31	PRIJEM	\N	145	35498	UROK	\N	\N
3437365	381	1994-08-31	PRIJEM	\N	148	35540	UROK	\N	\N
3437366	381	1994-09-30	PRIJEM	\N	148	35582	UROK	\N	\N
3437367	381	1994-10-31	PRIJEM	\N	148	36325	UROK	\N	\N
3437368	381	1994-11-30	PRIJEM	\N	151	36870	UROK	\N	\N
3437369	381	1994-12-31	PRIJEM	\N	172	34162	UROK	\N	\N
3437370	381	1995-01-31	PRIJEM	\N	119	21095	UROK	\N	\N
3437371	381	1995-02-28	PRIJEM	\N	109	24159	UROK	\N	\N
3437372	381	1995-03-31	PRIJEM	\N	102	24755	UROK	\N	\N
3437373	381	1995-04-30	PRIJEM	\N	104	26854	UROK	\N	\N
3437374	381	1995-05-31	PRIJEM	\N	115	29903	UROK	\N	\N
3437375	381	1995-06-30	PRIJEM	\N	140	27443	UROK	\N	\N
3437376	381	1995-07-31	PRIJEM	\N	110	23787	UROK	\N	\N
3437377	381	1995-08-31	PRIJEM	\N	104	28286	UROK	\N	\N
3437378	381	1995-09-30	PRIJEM	\N	119	29999	UROK	\N	\N
3437379	381	1995-10-31	PRIJEM	\N	127	31920	UROK	\N	\N
3437380	381	1995-11-30	PRIJEM	\N	131	31045	UROK	\N	\N
3437381	381	1995-12-31	PRIJEM	\N	138	34663	UROK	\N	\N
3437382	381	1996-01-31	PRIJEM	\N	114	18231	UROK	\N	\N
3437383	381	1996-02-29	PRIJEM	\N	84	24010	UROK	\N	\N
3437384	381	1996-03-31	PRIJEM	\N	101	25305	UROK	\N	\N
3437385	381	1996-04-30	PRIJEM	\N	107	27307	UROK	\N	\N
3437386	381	1996-05-31	PRIJEM	\N	116	29317	UROK	\N	\N
3437387	381	1996-06-30	PRIJEM	\N	108	22764	UROK	\N	\N
3437388	381	1996-07-31	PRIJEM	\N	106	29665	UROK	\N	\N
3437389	381	1996-08-31	PRIJEM	\N	124	30784	UROK	\N	\N
3437390	381	1996-09-30	PRIJEM	\N	133	29411	UROK	\N	\N
3437391	381	1996-10-31	PRIJEM	\N	122	30228	UROK	\N	\N
3437392	381	1996-11-30	PRIJEM	\N	127	30849	UROK	\N	\N
3437393	381	1996-12-31	PRIJEM	\N	132	32400	UROK	\N	\N
3437394	381	1997-01-31	PRIJEM	\N	115	20930	UROK	\N	\N
3437395	381	1997-02-28	PRIJEM	\N	100	22905	UROK	\N	\N
3437396	381	1997-03-31	PRIJEM	\N	96	22334	UROK	\N	\N
3437397	381	1997-04-30	PRIJEM	\N	112	31241	UROK	\N	\N
3437398	381	1997-05-31	PRIJEM	\N	139	34074	UROK	\N	\N
3437399	381	1997-06-30	PRIJEM	\N	138	27251	UROK	\N	\N
3437400	381	1997-07-31	PRIJEM	\N	123	28688	UROK	\N	\N
3437401	381	1997-08-31	PRIJEM	\N	133	34715	UROK	\N	\N
3437402	381	1997-09-30	PRIJEM	\N	155	39565	UROK	\N	\N
3437403	381	1997-10-31	PRIJEM	\N	153	35832	UROK	\N	\N
3437404	381	1997-11-30	PRIJEM	\N	148	36574	UROK	\N	\N
3437405	381	1997-12-31	PRIJEM	\N	163	38477	UROK	\N	\N
3437406	381	1998-01-31	PRIJEM	\N	123	20434	UROK	\N	\N
3437407	381	1998-02-28	PRIJEM	\N	107	27036	UROK	\N	\N
3437408	381	1998-03-31	PRIJEM	\N	126	32857	UROK	\N	\N
3437409	381	1998-04-30	PRIJEM	\N	139	34690	UROK	\N	\N
3437410	381	1998-05-31	PRIJEM	\N	144	35728	UROK	\N	\N
3437411	381	1998-06-30	PRIJEM	\N	147	31274	UROK	\N	\N
3437412	381	1998-07-31	PRIJEM	\N	121	28069	UROK	\N	\N
3437413	381	1998-08-31	PRIJEM	\N	141	36704	UROK	\N	\N
3437414	381	1998-09-30	PRIJEM	\N	182	47181	UROK	\N	\N
3437415	381	1998-10-31	PRIJEM	\N	198	48433	UROK	\N	\N
3437416	381	1998-11-30	PRIJEM	\N	202	49929	UROK	\N	\N
3437417	381	1998-12-31	PRIJEM	\N	205	49153	UROK	\N	\N
3437418	387	1998-01-31	PRIJEM	\N	64	36473	UROK	\N	\N
3437419	387	1998-02-28	PRIJEM	\N	152	29024	UROK	\N	\N
3437420	387	1998-03-31	PRIJEM	\N	152	24576	UROK	\N	\N
3437421	387	1998-04-30	PRIJEM	\N	179	68059	UROK	\N	\N
3437422	387	1998-05-31	PRIJEM	\N	279	91480	UROK	\N	\N
3437423	387	1998-06-30	PRIJEM	\N	228	42026	UROK	\N	\N
3437424	387	1998-07-31	PRIJEM	\N	182	30504	UROK	\N	\N
3437425	387	1998-08-31	PRIJEM	\N	126	22115	UROK	\N	\N
3437426	387	1998-09-30	PRIJEM	\N	73	13573	UROK	\N	\N
3437427	387	1998-10-31	PRIJEM	\N	57	18816	UROK	\N	\N
3437428	387	1998-11-30	PRIJEM	\N	179	64407	UROK	\N	\N
3437429	387	1998-12-31	PRIJEM	\N	244	43155	UROK	\N	\N
3437430	391	1993-12-31	PRIJEM	\N	5	2505	UROK	\N	\N
3437431	391	1994-01-31	PRIJEM	\N	40	17145	UROK	\N	\N
3437432	391	1994-02-28	PRIJEM	\N	81	21626	UROK	\N	\N
3437433	391	1994-03-31	PRIJEM	\N	98	24809	UROK	\N	\N
3437434	391	1994-04-30	PRIJEM	\N	106	26100	UROK	\N	\N
3437435	391	1994-05-31	PRIJEM	\N	114	28799	UROK	\N	\N
3437436	391	1994-06-30	PRIJEM	\N	112	15896	UROK	\N	\N
3437437	391	1994-07-31	PRIJEM	\N	76	20257	UROK	\N	\N
3437438	391	1994-08-31	PRIJEM	\N	93	24635	UROK	\N	\N
3437439	391	1994-09-30	PRIJEM	\N	111	28931	UROK	\N	\N
3437440	391	1994-10-31	PRIJEM	\N	166	42733	UROK	\N	\N
3437441	391	1994-11-30	PRIJEM	\N	168	38186	UROK	\N	\N
3437442	391	1994-12-31	PRIJEM	\N	149	42752	UROK	\N	\N
3437443	391	1995-01-31	PRIJEM	\N	207	47546	UROK	\N	\N
3437444	391	1995-02-28	PRIJEM	\N	175	38206	UROK	\N	\N
3437445	391	1995-03-31	PRIJEM	\N	148	33039	UROK	\N	\N
3437446	391	1995-04-30	PRIJEM	\N	130	29255	UROK	\N	\N
3437447	391	1995-05-31	PRIJEM	\N	121	29261	UROK	\N	\N
3437448	391	1995-06-30	PRIJEM	\N	89	15635	UROK	\N	\N
3437449	391	1995-07-31	PRIJEM	\N	87	26007	UROK	\N	\N
3437450	391	1995-08-31	PRIJEM	\N	120	31112	UROK	\N	\N
3437451	391	1995-09-30	PRIJEM	\N	130	31627	UROK	\N	\N
3437452	391	1995-10-31	PRIJEM	\N	131	29794	UROK	\N	\N
3437453	391	1995-11-30	PRIJEM	\N	180	52690	UROK	\N	\N
3437454	391	1995-12-31	PRIJEM	\N	195	42470	UROK	\N	\N
3437455	391	1996-01-31	PRIJEM	\N	129	28334	UROK	\N	\N
3437456	391	1996-02-29	PRIJEM	\N	120	29839	UROK	\N	\N
3437457	391	1996-03-31	PRIJEM	\N	137	34462	UROK	\N	\N
3437458	391	1996-04-30	PRIJEM	\N	145	36193	UROK	\N	\N
3437459	391	1996-05-31	PRIJEM	\N	151	35329	UROK	\N	\N
3437460	391	1996-06-30	PRIJEM	\N	139	30604	UROK	\N	\N
3437461	391	1996-07-31	PRIJEM	\N	217	58314	UROK	\N	\N
3437462	391	1996-08-31	PRIJEM	\N	233	42582	UROK	\N	\N
3437463	391	1996-09-30	PRIJEM	\N	177	41044	UROK	\N	\N
3437464	391	1996-10-31	PRIJEM	\N	169	38399	UROK	\N	\N
3437465	391	1996-11-30	PRIJEM	\N	157	35442	UROK	\N	\N
3437466	391	1996-12-31	PRIJEM	\N	143	34170	UROK	\N	\N
3437467	391	1997-01-31	PRIJEM	\N	117	27973	UROK	\N	\N
3437468	391	1997-02-28	PRIJEM	\N	116	29574	UROK	\N	\N
3437469	391	1997-03-31	PRIJEM	\N	184	42220	UROK	\N	\N
3437470	391	1997-04-30	PRIJEM	\N	188	71345	UROK	\N	\N
3437471	391	1997-05-31	PRIJEM	\N	270	47001	UROK	\N	\N
3437472	391	1997-06-30	PRIJEM	\N	147	24433	UROK	\N	\N
3437473	391	1997-07-31	PRIJEM	\N	100	23869	UROK	\N	\N
3437474	391	1997-08-31	PRIJEM	\N	100	25354	UROK	\N	\N
3437475	391	1997-09-30	PRIJEM	\N	97	20987	UROK	\N	\N
3437476	391	1997-10-31	PRIJEM	\N	84	19656	UROK	\N	\N
3437477	391	1997-11-30	PRIJEM	\N	82	21023	UROK	\N	\N
3437478	391	1997-12-31	PRIJEM	\N	86	21844	UROK	\N	\N
3437479	391	1998-01-31	PRIJEM	\N	101	16247	UROK	\N	\N
3437480	391	1998-02-28	PRIJEM	\N	74	21907	UROK	\N	\N
3437481	391	1998-03-31	PRIJEM	\N	92	23985	UROK	\N	\N
3437482	391	1998-04-30	PRIJEM	\N	101	25921	UROK	\N	\N
3437483	391	1998-05-31	PRIJEM	\N	151	41996	UROK	\N	\N
3437484	391	1998-06-30	PRIJEM	\N	157	28539	UROK	\N	\N
3437485	391	1998-07-31	PRIJEM	\N	102	21526	UROK	\N	\N
3437486	391	1998-08-31	PRIJEM	\N	80	18492	UROK	\N	\N
3437487	391	1998-09-30	PRIJEM	\N	76	20054	UROK	\N	\N
3437488	391	1998-10-31	PRIJEM	\N	85	22724	UROK	\N	\N
3437489	391	1998-11-30	PRIJEM	\N	92	23201	UROK	\N	\N
3437490	391	1998-12-31	PRIJEM	\N	86	18672	UROK	\N	\N
3437491	419	1993-11-30	PRIJEM	\N	13	13213	UROK	\N	\N
3437492	419	1993-12-31	PRIJEM	\N	66	23078	UROK	\N	\N
3437493	419	1994-01-31	PRIJEM	\N	100	26879	UROK	\N	\N
3437494	419	1994-02-28	PRIJEM	\N	112	27291	UROK	\N	\N
3437495	419	1994-03-31	PRIJEM	\N	110	22201	UROK	\N	\N
3437496	419	1994-04-30	PRIJEM	\N	97	26183	UROK	\N	\N
3437497	419	1994-05-31	PRIJEM	\N	117	29885	UROK	\N	\N
3437498	419	1994-06-30	PRIJEM	\N	101	21672	UROK	\N	\N
3437499	419	1994-07-31	PRIJEM	\N	98	27856	UROK	\N	\N
3437500	419	1994-08-31	PRIJEM	\N	112	23453	UROK	\N	\N
3437501	419	1994-09-30	PRIJEM	\N	102	26240	UROK	\N	\N
3437502	419	1994-10-31	PRIJEM	\N	109	25535	UROK	\N	\N
3437503	419	1994-11-30	PRIJEM	\N	108	26928	UROK	\N	\N
3437504	419	1994-12-31	PRIJEM	\N	118	28032	UROK	\N	\N
3437505	419	1995-01-31	PRIJEM	\N	93	19711	UROK	\N	\N
3437506	419	1995-02-28	PRIJEM	\N	83	24379	UROK	\N	\N
3437507	419	1995-03-31	PRIJEM	\N	107	26571	UROK	\N	\N
3437508	419	1995-04-30	PRIJEM	\N	110	26267	UROK	\N	\N
3437509	419	1995-05-31	PRIJEM	\N	115	27767	UROK	\N	\N
3437510	419	1995-06-30	PRIJEM	\N	116	16368	UROK	\N	\N
3437511	419	1995-07-31	PRIJEM	\N	76	19630	UROK	\N	\N
3437512	419	1995-08-31	PRIJEM	\N	96	26411	UROK	\N	\N
3437513	419	1995-09-30	PRIJEM	\N	106	24802	UROK	\N	\N
3437514	419	1995-10-31	PRIJEM	\N	104	25392	UROK	\N	\N
3437515	419	1995-11-30	PRIJEM	\N	116	29793	UROK	\N	\N
3437516	419	1995-12-31	PRIJEM	\N	131	32609	UROK	\N	\N
3437517	419	1996-01-31	PRIJEM	\N	106	18001	UROK	\N	\N
3437518	419	1996-02-29	PRIJEM	\N	86	22372	UROK	\N	\N
3437519	419	1996-03-31	PRIJEM	\N	99	24856	UROK	\N	\N
3437520	419	1996-04-30	PRIJEM	\N	118	30660	UROK	\N	\N
3437521	419	1996-05-31	PRIJEM	\N	139	31984	UROK	\N	\N
3437522	419	1996-06-30	PRIJEM	\N	141	35711	UROK	\N	\N
3437523	419	1996-07-31	PRIJEM	\N	138	34034	UROK	\N	\N
3437524	419	1996-08-31	PRIJEM	\N	137	29856	UROK	\N	\N
3437525	419	1996-09-30	PRIJEM	\N	127	28968	UROK	\N	\N
3437526	419	1996-10-31	PRIJEM	\N	131	33284	UROK	\N	\N
3437527	419	1996-11-30	PRIJEM	\N	136	32706	UROK	\N	\N
3437528	419	1996-12-31	PRIJEM	\N	143	34134	UROK	\N	\N
3437529	419	1997-01-31	PRIJEM	\N	126	17545	UROK	\N	\N
3437530	419	1997-02-28	PRIJEM	\N	101	29232	UROK	\N	\N
3437531	419	1997-03-31	PRIJEM	\N	129	32646	UROK	\N	\N
3437532	419	1997-04-30	PRIJEM	\N	131	31363	UROK	\N	\N
3437533	419	1997-05-31	PRIJEM	\N	125	29773	UROK	\N	\N
3437534	419	1997-06-30	PRIJEM	\N	112	24570	UROK	\N	\N
3437535	419	1997-07-31	PRIJEM	\N	88	20643	UROK	\N	\N
3437536	419	1997-08-31	PRIJEM	\N	76	19205	UROK	\N	\N
3437537	419	1997-09-30	PRIJEM	\N	102	28192	UROK	\N	\N
3437538	419	1997-10-31	PRIJEM	\N	123	31201	UROK	\N	\N
3437539	419	1997-11-30	PRIJEM	\N	136	34121	UROK	\N	\N
3437540	419	1997-12-31	PRIJEM	\N	140	34147	UROK	\N	\N
3437541	419	1998-01-31	PRIJEM	\N	92	16924	UROK	\N	\N
3437542	419	1998-02-28	PRIJEM	\N	72	18281	UROK	\N	\N
3437543	419	1998-03-31	PRIJEM	\N	89	23955	UROK	\N	\N
3437544	419	1998-04-30	PRIJEM	\N	64	16105	UROK	\N	\N
3437545	419	1998-05-31	PRIJEM	\N	67	17257	UROK	\N	\N
3437546	419	1998-06-30	PRIJEM	\N	65	15507	UROK	\N	\N
3437547	419	1998-07-31	PRIJEM	\N	56	13448	UROK	\N	\N
3437548	419	1998-08-31	PRIJEM	\N	37	16270	UROK	\N	\N
3437549	419	1998-09-30	PRIJEM	\N	66	18721	UROK	\N	\N
3437550	419	1998-10-31	PRIJEM	\N	77	23183	UROK	\N	\N
3437551	419	1998-11-30	PRIJEM	\N	93	21462	UROK	\N	\N
3437552	419	1998-12-31	PRIJEM	\N	101	26548	UROK	\N	\N
3437553	422	1994-10-31	PRIJEM	\N	19	35733	UROK	\N	\N
3437554	422	1994-11-30	PRIJEM	\N	153	42593	UROK	\N	\N
3437555	422	1994-12-31	PRIJEM	\N	182	50285	UROK	\N	\N
3437556	422	1995-01-31	PRIJEM	\N	225	42817	UROK	\N	\N
3437557	422	1995-02-28	PRIJEM	\N	179	44873	UROK	\N	\N
3437558	422	1995-03-31	PRIJEM	\N	188	46038	UROK	\N	\N
3437559	422	1995-04-30	PRIJEM	\N	189	40504	UROK	\N	\N
3437560	422	1995-05-31	PRIJEM	\N	168	38249	UROK	\N	\N
3437561	422	1995-06-30	PRIJEM	\N	168	48797	UROK	\N	\N
3437562	422	1995-07-31	PRIJEM	\N	211	43743	UROK	\N	\N
3437563	422	1995-08-31	PRIJEM	\N	205	44325	UROK	\N	\N
3437564	422	1995-09-30	PRIJEM	\N	187	46889	UROK	\N	\N
3437565	422	1995-10-31	PRIJEM	\N	198	49564	UROK	\N	\N
3437566	422	1995-11-30	PRIJEM	\N	216	42157	UROK	\N	\N
3437567	422	1995-12-31	PRIJEM	\N	204	45541	UROK	\N	\N
3437568	422	1996-01-31	PRIJEM	\N	155	24073	UROK	\N	\N
3437569	422	1996-02-29	PRIJEM	\N	121	39071	UROK	\N	\N
3437570	422	1996-03-31	PRIJEM	\N	171	35741	UROK	\N	\N
3437571	422	1996-04-30	PRIJEM	\N	159	39994	UROK	\N	\N
3437572	422	1996-05-31	PRIJEM	\N	173	44544	UROK	\N	\N
3437573	422	1996-06-30	PRIJEM	\N	195	50820	UROK	\N	\N
3437574	422	1996-07-31	PRIJEM	\N	206	47902	UROK	\N	\N
3437575	422	1996-08-31	PRIJEM	\N	194	40073	UROK	\N	\N
3437576	422	1996-09-30	PRIJEM	\N	164	39214	UROK	\N	\N
3437577	422	1996-10-31	PRIJEM	\N	157	36348	UROK	\N	\N
3437578	422	1996-11-30	PRIJEM	\N	149	35473	UROK	\N	\N
3437579	422	1996-12-31	PRIJEM	\N	149	34902	UROK	\N	\N
3437580	422	1997-01-31	PRIJEM	\N	118	22397	UROK	\N	\N
3437581	422	1997-02-28	PRIJEM	\N	105	28079	UROK	\N	\N
3437582	422	1997-03-31	PRIJEM	\N	120	30176	UROK	\N	\N
3437583	422	1997-04-30	PRIJEM	\N	131	33385	UROK	\N	\N
3437584	422	1997-05-31	PRIJEM	\N	128	26990	UROK	\N	\N
3437585	422	1997-06-30	PRIJEM	\N	110	22880	UROK	\N	\N
3437586	422	1997-07-31	PRIJEM	\N	92	22149	UROK	\N	\N
3437587	422	1997-08-31	PRIJEM	\N	94	23520	UROK	\N	\N
3437588	422	1997-09-30	PRIJEM	\N	96	23292	UROK	\N	\N
3437589	422	1997-10-31	PRIJEM	\N	160	27630	UROK	\N	\N
3437590	422	1997-11-30	PRIJEM	\N	157	44063	UROK	\N	\N
3437591	422	1997-12-31	PRIJEM	\N	203	41946	UROK	\N	\N
3437592	422	1998-01-31	PRIJEM	\N	154	27677	UROK	\N	\N
3437593	422	1998-02-28	PRIJEM	\N	117	52971	UROK	\N	\N
3437594	422	1998-03-31	PRIJEM	\N	202	46950	UROK	\N	\N
3437595	422	1998-04-30	PRIJEM	\N	169	29414	UROK	\N	\N
3437596	422	1998-05-31	PRIJEM	\N	159	28076	UROK	\N	\N
3437597	422	1998-06-30	PRIJEM	\N	145	41962	UROK	\N	\N
3437598	422	1998-07-31	PRIJEM	\N	160	63376	UROK	\N	\N
3437599	422	1998-08-31	PRIJEM	\N	136	24925	UROK	\N	\N
3437600	422	1998-09-30	PRIJEM	\N	105	50207	UROK	\N	\N
3437601	422	1998-10-31	PRIJEM	\N	235	61219	UROK	\N	\N
3437602	422	1998-11-30	PRIJEM	\N	206	43802	UROK	\N	\N
3437603	422	1998-12-31	PRIJEM	\N	188	76670	UROK	\N	\N
3437604	430	1995-12-31	PRIJEM	\N	4	26304	UROK	\N	\N
3437605	430	1996-02-29	PRIJEM	\N	117	26321	UROK	\N	\N
3437606	430	1996-02-29	PRIJEM	\N	110	26430	UROK	\N	\N
3437607	430	1996-03-31	PRIJEM	\N	110	31040	UROK	\N	\N
3437608	430	1996-05-31	PRIJEM	\N	110	32349	UROK	\N	\N
3437609	430	1996-06-30	PRIJEM	\N	110	31259	UROK	\N	\N
3437610	430	1996-07-31	PRIJEM	\N	110	30169	UROK	\N	\N
3437611	430	1996-08-31	PRIJEM	\N	110	32978	UROK	\N	\N
3437612	430	1996-09-30	PRIJEM	\N	110	33488	UROK	\N	\N
3437613	430	1996-10-31	PRIJEM	\N	110	37097	UROK	\N	\N
3437614	430	1996-11-30	PRIJEM	\N	110	39007	UROK	\N	\N
3437615	430	1996-12-31	PRIJEM	\N	110	38717	UROK	\N	\N
3437616	430	1997-01-31	PRIJEM	\N	110	38526	UROK	\N	\N
3437617	430	1997-02-28	PRIJEM	\N	110	36136	UROK	\N	\N
3437618	430	1997-03-31	PRIJEM	\N	110	36145	UROK	\N	\N
3437619	430	1997-04-30	PRIJEM	\N	110	40255	UROK	\N	\N
3437620	430	1997-05-31	PRIJEM	\N	110	40664	UROK	\N	\N
3437621	430	1997-06-30	PRIJEM	\N	110	42174	UROK	\N	\N
3437622	430	1997-07-31	PRIJEM	\N	110	47384	UROK	\N	\N
3437623	430	1997-08-31	PRIJEM	\N	110	43693	UROK	\N	\N
3437624	430	1997-09-30	PRIJEM	\N	110	43403	UROK	\N	\N
3437625	430	1997-10-31	PRIJEM	\N	110	42112	UROK	\N	\N
3437626	430	1997-11-30	PRIJEM	\N	110	46722	UROK	\N	\N
3437627	430	1997-12-31	PRIJEM	\N	110	46131	UROK	\N	\N
3437628	430	1998-01-31	PRIJEM	\N	110	45341	UROK	\N	\N
3437629	430	1998-02-28	PRIJEM	\N	110	45651	UROK	\N	\N
3437630	430	1998-03-31	PRIJEM	\N	110	47160	UROK	\N	\N
3437631	430	1998-04-30	PRIJEM	\N	110	47470	UROK	\N	\N
3437632	430	1998-05-31	PRIJEM	\N	110	45979	UROK	\N	\N
3437633	430	1998-06-30	PRIJEM	\N	110	47289	UROK	\N	\N
3437634	430	1998-07-31	PRIJEM	\N	110	49899	UROK	\N	\N
3437635	430	1998-08-31	PRIJEM	\N	110	51308	UROK	\N	\N
3437636	430	1998-09-30	PRIJEM	\N	110	53018	UROK	\N	\N
3437637	430	1998-10-31	PRIJEM	\N	110	54927	UROK	\N	\N
3437638	430	1998-11-30	PRIJEM	\N	110	58837	UROK	\N	\N
3437639	432	1993-07-31	PRIJEM	\N	32	15023	UROK	\N	\N
3437640	432	1993-08-31	PRIJEM	\N	87	25801	UROK	\N	\N
3437641	432	1993-09-30	PRIJEM	\N	120	31112	UROK	\N	\N
3437642	432	1993-10-31	PRIJEM	\N	130	31433	UROK	\N	\N
3437643	432	1993-11-30	PRIJEM	\N	131	31554	UROK	\N	\N
3437644	432	1993-12-31	PRIJEM	\N	127	28753	UROK	\N	\N
3437645	432	1994-01-31	PRIJEM	\N	120	20349	UROK	\N	\N
3437646	432	1994-02-28	PRIJEM	\N	106	28331	UROK	\N	\N
3437647	432	1994-03-31	PRIJEM	\N	131	31539	UROK	\N	\N
3437648	432	1994-04-30	PRIJEM	\N	134	30849	UROK	\N	\N
3437649	432	1994-05-31	PRIJEM	\N	134	32859	UROK	\N	\N
3437650	432	1994-06-30	PRIJEM	\N	111	13441	UROK	\N	\N
3437651	432	1994-07-31	PRIJEM	\N	82	22299	UROK	\N	\N
3437652	432	1994-08-31	PRIJEM	\N	108	27483	UROK	\N	\N
3437653	432	1994-09-30	PRIJEM	\N	112	26571	UROK	\N	\N
3437654	432	1994-10-31	PRIJEM	\N	104	24352	UROK	\N	\N
3437655	432	1994-11-30	PRIJEM	\N	102	24631	UROK	\N	\N
3437656	432	1994-12-31	PRIJEM	\N	117	28720	UROK	\N	\N
3437657	432	1995-01-31	PRIJEM	\N	104	20900	UROK	\N	\N
3437658	432	1995-02-28	PRIJEM	\N	118	30494	UROK	\N	\N
3437659	432	1995-03-31	PRIJEM	\N	121	28791	UROK	\N	\N
3437660	432	1995-04-30	PRIJEM	\N	123	29790	UROK	\N	\N
3437661	432	1995-05-31	PRIJEM	\N	115	27282	UROK	\N	\N
3437662	432	1995-06-30	PRIJEM	\N	138	32892	UROK	\N	\N
3437663	432	1995-07-31	PRIJEM	\N	150	36918	UROK	\N	\N
3437664	432	1995-08-31	PRIJEM	\N	147	34541	UROK	\N	\N
3437665	432	1995-09-30	PRIJEM	\N	150	35767	UROK	\N	\N
3437666	432	1995-10-31	PRIJEM	\N	138	32681	UROK	\N	\N
3437667	432	1995-11-30	PRIJEM	\N	137	31695	UROK	\N	\N
3437668	432	1995-12-31	PRIJEM	\N	133	31999	UROK	\N	\N
3437669	432	1996-01-31	PRIJEM	\N	94	18169	UROK	\N	\N
3437670	432	1996-02-29	PRIJEM	\N	93	23839	UROK	\N	\N
3437671	432	1996-03-31	PRIJEM	\N	95	20111	UROK	\N	\N
3437672	432	1996-04-30	PRIJEM	\N	103	26390	UROK	\N	\N
3437673	432	1996-05-31	PRIJEM	\N	97	21864	UROK	\N	\N
3437674	432	1996-06-30	PRIJEM	\N	95	26831	UROK	\N	\N
3437675	432	1996-07-31	PRIJEM	\N	110	23016	UROK	\N	\N
3437676	432	1996-08-31	PRIJEM	\N	94	22086	UROK	\N	\N
3437677	432	1996-09-30	PRIJEM	\N	72	20635	UROK	\N	\N
3437678	432	1996-10-31	PRIJEM	\N	85	21196	UROK	\N	\N
3437679	432	1996-11-30	PRIJEM	\N	88	17761	UROK	\N	\N
3437680	432	1996-12-31	PRIJEM	\N	97	20629	UROK	\N	\N
3437681	432	1997-01-31	PRIJEM	\N	76	14881	UROK	\N	\N
3437682	432	1997-02-28	PRIJEM	\N	61	15918	UROK	\N	\N
3437683	432	1997-03-31	PRIJEM	\N	62	12857	UROK	\N	\N
3437684	432	1997-04-30	PRIJEM	\N	59	15092	UROK	\N	\N
3437685	432	1997-05-31	PRIJEM	\N	60	14028	UROK	\N	\N
3437686	432	1997-06-30	PRIJEM	\N	56	14056	UROK	\N	\N
3437687	432	1997-07-31	PRIJEM	\N	55	13087	UROK	\N	\N
3437688	432	1997-08-31	PRIJEM	\N	53	20117	UROK	\N	\N
3437689	432	1997-09-30	PRIJEM	\N	75	13968	UROK	\N	\N
3437690	432	1997-10-31	PRIJEM	\N	57	15001	UROK	\N	\N
3437691	432	1997-11-30	PRIJEM	\N	60	22038	UROK	\N	\N
3437692	432	1997-12-31	PRIJEM	\N	85	27795	UROK	\N	\N
3437693	432	1998-01-31	PRIJEM	\N	112	18683	UROK	\N	\N
3437694	432	1998-02-28	PRIJEM	\N	92	24052	UROK	\N	\N
3437695	432	1998-03-31	PRIJEM	\N	84	14412	UROK	\N	\N
3437696	432	1998-04-30	PRIJEM	\N	67	17355	UROK	\N	\N
3437697	432	1998-05-31	PRIJEM	\N	70	24402	UROK	\N	\N
3437698	432	1998-06-30	PRIJEM	\N	99	21272	UROK	\N	\N
3437699	432	1998-07-31	PRIJEM	\N	74	14123	UROK	\N	\N
3437700	432	1998-08-31	PRIJEM	\N	57	21156	UROK	\N	\N
3437701	432	1998-09-30	PRIJEM	\N	86	28218	UROK	\N	\N
3437702	432	1998-10-31	PRIJEM	\N	115	35309	UROK	\N	\N
3437703	432	1998-11-30	PRIJEM	\N	109	17394	UROK	\N	\N
3437704	432	1998-12-31	PRIJEM	\N	96	26161	UROK	\N	\N
3437705	433	1993-11-30	PRIJEM	\N	46	65871	UROK	\N	\N
3437706	433	1993-12-31	PRIJEM	\N	274	44645	UROK	\N	\N
3437707	433	1994-01-31	PRIJEM	\N	274	37019	UROK	\N	\N
3437708	433	1994-02-28	PRIJEM	\N	233	34847	UROK	\N	\N
3437709	433	1994-03-31	PRIJEM	\N	144	28591	UROK	\N	\N
3437710	433	1994-04-30	PRIJEM	\N	144	28335	UROK	\N	\N
3437711	433	1994-05-31	PRIJEM	\N	192	54594	UROK	\N	\N
3437712	433	1994-06-30	PRIJEM	\N	227	40721	UROK	\N	\N
3437713	433	1994-07-31	PRIJEM	\N	227	31448	UROK	\N	\N
3437714	433	1994-08-31	PRIJEM	\N	227	25274	UROK	\N	\N
3437715	433	1994-09-30	PRIJEM	\N	227	26401	UROK	\N	\N
3437716	433	1994-10-31	PRIJEM	\N	227	24628	UROK	\N	\N
3437717	433	1994-11-30	PRIJEM	\N	227	24554	UROK	\N	\N
3437718	433	1994-12-31	PRIJEM	\N	227	21381	UROK	\N	\N
3437719	433	1995-01-31	PRIJEM	\N	227	23007	UROK	\N	\N
3437720	433	1995-02-28	PRIJEM	\N	177	34903	UROK	\N	\N
3437721	433	1995-03-31	PRIJEM	\N	145	25148	UROK	\N	\N
3437722	433	1995-04-30	PRIJEM	\N	145	23092	UROK	\N	\N
3437723	433	1995-05-31	PRIJEM	\N	145	21037	UROK	\N	\N
3437724	433	1995-06-30	PRIJEM	\N	145	22681	UROK	\N	\N
3437725	433	1995-07-31	PRIJEM	\N	145	22026	UROK	\N	\N
3437726	433	1995-08-31	PRIJEM	\N	161	39764	UROK	\N	\N
3437727	433	1995-09-30	PRIJEM	\N	115	27964	UROK	\N	\N
3437728	433	1995-10-31	PRIJEM	\N	104	23254	UROK	\N	\N
3437729	433	1995-11-30	PRIJEM	\N	96	23635	UROK	\N	\N
3437730	433	1995-12-31	PRIJEM	\N	94	23115	UROK	\N	\N
3437731	433	1996-01-31	PRIJEM	\N	94	19994	UROK	\N	\N
3437732	433	1996-02-29	PRIJEM	\N	83	20562	UROK	\N	\N
3437733	433	1996-03-31	PRIJEM	\N	96	31206	UROK	\N	\N
3437734	433	1996-04-30	PRIJEM	\N	126	26918	UROK	\N	\N
3437735	433	1996-05-31	PRIJEM	\N	111	25814	UROK	\N	\N
3437736	433	1996-06-30	PRIJEM	\N	107	27506	UROK	\N	\N
3437737	433	1996-07-31	PRIJEM	\N	110	23251	UROK	\N	\N
3437738	433	1996-08-31	PRIJEM	\N	97	25134	UROK	\N	\N
3437739	433	1996-09-30	PRIJEM	\N	103	24572	UROK	\N	\N
3437740	433	1996-10-31	PRIJEM	\N	96	20554	UROK	\N	\N
3437741	433	1996-11-30	PRIJEM	\N	106	40403	UROK	\N	\N
3437742	433	1996-12-31	PRIJEM	\N	158	31246	UROK	\N	\N
3437743	433	1997-01-31	PRIJEM	\N	107	18339	UROK	\N	\N
3437744	433	1997-02-28	PRIJEM	\N	75	21499	UROK	\N	\N
3437745	433	1997-03-31	PRIJEM	\N	113	42651	UROK	\N	\N
3437746	433	1997-04-30	PRIJEM	\N	165	33452	UROK	\N	\N
3437747	433	1997-05-31	PRIJEM	\N	216	47244	UROK	\N	\N
3437748	433	1997-06-30	PRIJEM	\N	149	23929	UROK	\N	\N
3437749	433	1997-07-31	PRIJEM	\N	98	27312	UROK	\N	\N
3437750	433	1997-08-31	PRIJEM	\N	111	28309	UROK	\N	\N
3437751	433	1997-09-30	PRIJEM	\N	116	30210	UROK	\N	\N
3437752	433	1997-10-31	PRIJEM	\N	119	27864	UROK	\N	\N
3437753	433	1997-11-30	PRIJEM	\N	110	21609	UROK	\N	\N
3437754	433	1997-12-31	PRIJEM	\N	87	21081	UROK	\N	\N
3437755	433	1998-01-31	PRIJEM	\N	79	19595	UROK	\N	\N
3437756	433	1998-02-28	PRIJEM	\N	79	24159	UROK	\N	\N
3437757	433	1998-03-31	PRIJEM	\N	94	22689	UROK	\N	\N
3437758	433	1998-04-30	PRIJEM	\N	129	49700	UROK	\N	\N
3437759	433	1998-05-31	PRIJEM	\N	201	34687	UROK	\N	\N
3437760	433	1998-06-30	PRIJEM	\N	115	22437	UROK	\N	\N
3437761	433	1998-07-31	PRIJEM	\N	89	19111	UROK	\N	\N
3437762	433	1998-08-31	PRIJEM	\N	76	19673	UROK	\N	\N
3437763	433	1998-09-30	PRIJEM	\N	74	17882	UROK	\N	\N
3437764	433	1998-11-30	PRIJEM	\N	73	19595	UROK	\N	\N
3437765	433	1998-11-30	PRIJEM	\N	71	19523	UROK	\N	\N
3437766	438	1997-09-30	PRIJEM	\N	60	61558	UROK	\N	\N
3437767	438	1997-10-31	PRIJEM	\N	256	42014	UROK	\N	\N
3437768	438	1997-11-30	PRIJEM	\N	256	32770	UROK	\N	\N
3437769	438	1997-12-31	PRIJEM	\N	256	27227	UROK	\N	\N
3437770	438	1998-01-31	PRIJEM	\N	222	42217	UROK	\N	\N
3437771	438	1998-02-28	PRIJEM	\N	175	28392	UROK	\N	\N
3437772	438	1998-03-31	PRIJEM	\N	175	22367	UROK	\N	\N
3437773	438	1998-04-30	PRIJEM	\N	175	20842	UROK	\N	\N
3437774	438	1998-05-31	PRIJEM	\N	175	20217	UROK	\N	\N
3437775	438	1998-06-30	PRIJEM	\N	175	13792	UROK	\N	\N
3437776	438	1998-07-31	PRIJEM	\N	175	11367	UROK	\N	\N
3437777	438	1998-11-30	PRIJEM	\N	175	33823	UROK	\N	\N
3437778	439	1996-05-31	PRIJEM	\N	27	13427	UROK	\N	\N
3437779	439	1996-06-30	PRIJEM	\N	167	63455	UROK	\N	\N
3437780	439	1996-07-31	PRIJEM	\N	222	46176	UROK	\N	\N
3437781	439	1996-08-31	PRIJEM	\N	172	38149	UROK	\N	\N
3437782	439	1996-09-30	PRIJEM	\N	144	31478	UROK	\N	\N
3437783	439	1996-10-31	PRIJEM	\N	123	27586	UROK	\N	\N
3437784	439	1996-11-30	PRIJEM	\N	163	69888	UROK	\N	\N
3437785	439	1996-12-31	PRIJEM	\N	236	46310	UROK	\N	\N
3437786	439	1997-01-31	PRIJEM	\N	157	31152	UROK	\N	\N
3437787	439	1997-02-28	PRIJEM	\N	127	29964	UROK	\N	\N
3437788	439	1997-03-31	PRIJEM	\N	118	27168	UROK	\N	\N
3437789	439	1997-04-30	PRIJEM	\N	97	19350	UROK	\N	\N
3437790	439	1997-05-31	PRIJEM	\N	79	18714	UROK	\N	\N
3437791	439	1997-06-30	PRIJEM	\N	89	29185	UROK	\N	\N
3437792	439	1997-07-31	PRIJEM	\N	113	25583	UROK	\N	\N
3437793	439	1997-08-31	PRIJEM	\N	97	21715	UROK	\N	\N
3437794	439	1997-09-30	PRIJEM	\N	93	23094	UROK	\N	\N
3437795	439	1997-10-31	PRIJEM	\N	96	24275	UROK	\N	\N
3437796	439	1997-11-30	PRIJEM	\N	100	23760	UROK	\N	\N
3437797	439	1997-12-31	PRIJEM	\N	91	20736	UROK	\N	\N
3437798	439	1998-01-31	PRIJEM	\N	67	13789	UROK	\N	\N
3437799	439	1998-02-28	PRIJEM	\N	74	22248	UROK	\N	\N
3437800	439	1998-03-31	PRIJEM	\N	116	32787	UROK	\N	\N
3437801	439	1998-04-30	PRIJEM	\N	127	27900	UROK	\N	\N
3437802	439	1998-05-31	PRIJEM	\N	163	40632	UROK	\N	\N
3437803	439	1998-06-30	PRIJEM	\N	143	15760	UROK	\N	\N
3437804	439	1998-07-31	PRIJEM	\N	85	22930	UROK	\N	\N
3437805	439	1998-08-31	PRIJEM	\N	105	26920	UROK	\N	\N
3437806	439	1998-09-30	PRIJEM	\N	124	32230	UROK	\N	\N
3437807	439	1998-10-31	PRIJEM	\N	132	31647	UROK	\N	\N
3437808	439	1998-11-30	PRIJEM	\N	128	29960	UROK	\N	\N
3437809	439	1998-12-31	PRIJEM	\N	120	28765	UROK	\N	\N
3437810	486	1995-12-31	PRIJEM	\N	21	14221	UROK	\N	\N
3437811	486	1996-01-31	PRIJEM	\N	91	39757	UROK	\N	\N
3437812	486	1996-02-29	PRIJEM	\N	153	31810	UROK	\N	\N
3437813	486	1996-03-31	PRIJEM	\N	130	30339	UROK	\N	\N
3437814	486	1996-04-30	PRIJEM	\N	155	42836	UROK	\N	\N
3437815	486	1996-05-31	PRIJEM	\N	164	34485	UROK	\N	\N
3437816	486	1996-06-30	PRIJEM	\N	138	32009	UROK	\N	\N
3437817	486	1996-07-31	PRIJEM	\N	130	30374	UROK	\N	\N
3437818	486	1996-08-31	PRIJEM	\N	130	30990	UROK	\N	\N
3437819	486	1996-09-30	PRIJEM	\N	132	28307	UROK	\N	\N
3437820	486	1996-10-31	PRIJEM	\N	120	28813	UROK	\N	\N
3437821	486	1996-11-30	PRIJEM	\N	124	30722	UROK	\N	\N
3437822	486	1996-12-31	PRIJEM	\N	128	30535	UROK	\N	\N
3437823	486	1997-01-31	PRIJEM	\N	123	21143	UROK	\N	\N
3437824	486	1997-02-28	PRIJEM	\N	94	24922	UROK	\N	\N
3437825	486	1997-03-31	PRIJEM	\N	113	29121	UROK	\N	\N
3437826	486	1997-04-30	PRIJEM	\N	140	36546	UROK	\N	\N
3437827	486	1997-05-31	PRIJEM	\N	208	59487	UROK	\N	\N
3437828	486	1997-06-30	PRIJEM	\N	188	25661	UROK	\N	\N
3437829	486	1997-07-31	PRIJEM	\N	133	36079	UROK	\N	\N
3437830	486	1997-08-31	PRIJEM	\N	161	40225	UROK	\N	\N
3437831	486	1997-09-30	PRIJEM	\N	179	45990	UROK	\N	\N
3437832	486	1997-10-31	PRIJEM	\N	208	53383	UROK	\N	\N
3437833	486	1997-11-30	PRIJEM	\N	219	51587	UROK	\N	\N
3437834	486	1997-12-31	PRIJEM	\N	211	49883	UROK	\N	\N
3437835	486	1998-01-31	PRIJEM	\N	197	38365	UROK	\N	\N
3437836	486	1998-02-28	PRIJEM	\N	178	44128	UROK	\N	\N
3437837	486	1998-03-31	PRIJEM	\N	200	50114	UROK	\N	\N
3437838	486	1998-04-30	PRIJEM	\N	225	55424	UROK	\N	\N
3437839	486	1998-05-31	PRIJEM	\N	237	57346	UROK	\N	\N
3437840	486	1998-06-30	PRIJEM	\N	232	45464	UROK	\N	\N
3437841	486	1998-07-31	PRIJEM	\N	209	52958	UROK	\N	\N
3437842	486	1998-08-31	PRIJEM	\N	234	57478	UROK	\N	\N
3437843	486	1998-09-30	PRIJEM	\N	236	55199	UROK	\N	\N
3437844	486	1998-10-31	PRIJEM	\N	230	55015	UROK	\N	\N
3437845	486	1998-11-30	PRIJEM	\N	336	94310	UROK	\N	\N
3437846	486	1998-12-31	PRIJEM	\N	415	105292	UROK	\N	\N
3437847	493	1994-04-30	PRIJEM	\N	60	17989	UROK	\N	\N
3437848	493	1994-05-31	PRIJEM	\N	150	40468	UROK	\N	\N
3437849	493	1994-06-30	PRIJEM	\N	228	58590	UROK	\N	\N
3437850	493	1994-07-31	PRIJEM	\N	239	57358	UROK	\N	\N
3437851	493	1994-08-31	PRIJEM	\N	230	50397	UROK	\N	\N
3437852	493	1994-09-30	PRIJEM	\N	221	53933	UROK	\N	\N
3437853	493	1994-10-31	PRIJEM	\N	242	59189	UROK	\N	\N
3437854	493	1994-11-30	PRIJEM	\N	241	59164	UROK	\N	\N
3437855	493	1994-12-31	PRIJEM	\N	270	65774	UROK	\N	\N
3437856	493	1995-01-31	PRIJEM	\N	232	37760	UROK	\N	\N
3437857	493	1995-02-28	PRIJEM	\N	210	54004	UROK	\N	\N
3437858	493	1995-03-31	PRIJEM	\N	231	53709	UROK	\N	\N
3437859	493	1995-04-30	PRIJEM	\N	182	61106	UROK	\N	\N
3437860	493	1995-05-31	PRIJEM	\N	212	42412	UROK	\N	\N
3437861	493	1995-06-30	PRIJEM	\N	199	42671	UROK	\N	\N
3437862	493	1995-07-31	PRIJEM	\N	179	46264	UROK	\N	\N
3437863	493	1995-08-31	PRIJEM	\N	194	48772	UROK	\N	\N
3437864	493	1995-09-30	PRIJEM	\N	203	49290	UROK	\N	\N
3437865	493	1995-10-31	PRIJEM	\N	206	51210	UROK	\N	\N
3437866	493	1995-11-30	PRIJEM	\N	217	51561	UROK	\N	\N
3437867	493	1995-12-31	PRIJEM	\N	242	58042	UROK	\N	\N
3437868	493	1996-01-31	PRIJEM	\N	250	43907	UROK	\N	\N
3437869	493	1996-02-29	PRIJEM	\N	201	49322	UROK	\N	\N
3437870	493	1996-03-31	PRIJEM	\N	207	52143	UROK	\N	\N
3437871	493	1996-04-30	PRIJEM	\N	214	50372	UROK	\N	\N
3437872	493	1996-05-31	PRIJEM	\N	206	48093	UROK	\N	\N
3437873	493	1996-06-30	PRIJEM	\N	215	36847	UROK	\N	\N
3437874	493	1996-07-31	PRIJEM	\N	155	36436	UROK	\N	\N
3437875	493	1996-08-31	PRIJEM	\N	151	37202	UROK	\N	\N
3437876	493	1996-09-30	PRIJEM	\N	157	40074	UROK	\N	\N
3437877	493	1996-10-31	PRIJEM	\N	160	36448	UROK	\N	\N
3437878	493	1996-11-30	PRIJEM	\N	151	37314	UROK	\N	\N
3437879	493	1996-12-31	PRIJEM	\N	201	46195	UROK	\N	\N
3437880	493	1997-01-31	PRIJEM	\N	183	31372	UROK	\N	\N
3437881	493	1997-02-28	PRIJEM	\N	141	38727	UROK	\N	\N
3437882	493	1997-03-31	PRIJEM	\N	162	40704	UROK	\N	\N
3437883	493	1997-04-30	PRIJEM	\N	172	41691	UROK	\N	\N
3437884	493	1997-05-31	PRIJEM	\N	189	44714	UROK	\N	\N
3437885	493	1997-06-30	PRIJEM	\N	190	43644	UROK	\N	\N
3437886	493	1997-07-31	PRIJEM	\N	181	44439	UROK	\N	\N
3437887	493	1997-08-31	PRIJEM	\N	185	41138	UROK	\N	\N
3437888	493	1997-09-30	PRIJEM	\N	169	41422	UROK	\N	\N
3437889	493	1997-10-31	PRIJEM	\N	194	43630	UROK	\N	\N
3437890	493	1997-11-30	PRIJEM	\N	184	41329	UROK	\N	\N
3437891	493	1997-12-31	PRIJEM	\N	197	43405	UROK	\N	\N
3437892	493	1998-01-31	PRIJEM	\N	149	24149	UROK	\N	\N
3437893	493	1998-02-28	PRIJEM	\N	110	29573	UROK	\N	\N
3437894	493	1998-03-31	PRIJEM	\N	135	35922	UROK	\N	\N
3437895	493	1998-04-30	PRIJEM	\N	155	39991	UROK	\N	\N
3437896	493	1998-05-31	PRIJEM	\N	159	37565	UROK	\N	\N
3437897	493	1998-06-30	PRIJEM	\N	157	39802	UROK	\N	\N
3437898	493	1998-07-31	PRIJEM	\N	157	31473	UROK	\N	\N
3437899	493	1998-08-31	PRIJEM	\N	124	29911	UROK	\N	\N
3437900	493	1998-09-30	PRIJEM	\N	135	35560	UROK	\N	\N
3437901	493	1998-10-31	PRIJEM	\N	136	33210	UROK	\N	\N
3437902	493	1998-11-30	PRIJEM	\N	121	29146	UROK	\N	\N
3437903	493	1998-12-31	PRIJEM	\N	136	35061	UROK	\N	\N
3437904	523	1993-09-30	PRIJEM	\N	54	18595	UROK	\N	\N
3437905	523	1993-10-31	PRIJEM	\N	103	27339	UROK	\N	\N
3437906	523	1993-11-30	PRIJEM	\N	124	30804	UROK	\N	\N
3437907	523	1993-12-31	PRIJEM	\N	183	34449	UROK	\N	\N
3437908	523	1994-01-31	PRIJEM	\N	174	33465	UROK	\N	\N
3437909	523	1994-02-28	PRIJEM	\N	167	42858	UROK	\N	\N
3437910	523	1994-03-31	PRIJEM	\N	165	35148	UROK	\N	\N
3437911	523	1994-04-30	PRIJEM	\N	165	39840	UROK	\N	\N
3437912	523	1994-05-31	PRIJEM	\N	186	46552	UROK	\N	\N
3437913	523	1994-06-30	PRIJEM	\N	199	27999	UROK	\N	\N
3437914	523	1994-07-31	PRIJEM	\N	154	40279	UROK	\N	\N
3437915	523	1994-08-31	PRIJEM	\N	187	46793	UROK	\N	\N
3437916	523	1994-09-30	PRIJEM	\N	202	48221	UROK	\N	\N
3437917	523	1994-10-31	PRIJEM	\N	199	47846	UROK	\N	\N
3437918	523	1994-11-30	PRIJEM	\N	204	49677	UROK	\N	\N
3437919	523	1994-12-31	PRIJEM	\N	223	55247	UROK	\N	\N
3437920	523	1995-01-31	PRIJEM	\N	176	35750	UROK	\N	\N
3437921	523	1995-02-28	PRIJEM	\N	178	45854	UROK	\N	\N
3437922	523	1995-03-31	PRIJEM	\N	203	50183	UROK	\N	\N
3437923	523	1995-04-30	PRIJEM	\N	219	50028	UROK	\N	\N
3437924	523	1995-05-31	PRIJEM	\N	219	53773	UROK	\N	\N
3437925	523	1995-06-30	PRIJEM	\N	192	47213	UROK	\N	\N
3437926	523	1995-07-31	PRIJEM	\N	212	52652	UROK	\N	\N
3437927	523	1995-08-31	PRIJEM	\N	223	51101	UROK	\N	\N
3437928	523	1995-09-30	PRIJEM	\N	211	55539	UROK	\N	\N
3437929	523	1995-10-31	PRIJEM	\N	195	53560	UROK	\N	\N
3437930	523	1995-11-30	PRIJEM	\N	241	49928	UROK	\N	\N
3437931	523	1995-12-31	PRIJEM	\N	252	51628	UROK	\N	\N
3437932	523	1996-01-31	PRIJEM	\N	208	47661	UROK	\N	\N
3437933	523	1996-02-29	PRIJEM	\N	205	48093	UROK	\N	\N
3437934	523	1996-03-31	PRIJEM	\N	206	54026	UROK	\N	\N
3437935	523	1996-04-30	PRIJEM	\N	249	55601	UROK	\N	\N
3437936	523	1996-05-31	PRIJEM	\N	233	60561	UROK	\N	\N
3437937	523	1996-06-30	PRIJEM	\N	250	47058	UROK	\N	\N
3437938	523	1996-07-31	PRIJEM	\N	202	56886	UROK	\N	\N
3437939	523	1996-08-31	PRIJEM	\N	256	60669	UROK	\N	\N
3437940	523	1996-09-30	PRIJEM	\N	252	61947	UROK	\N	\N
3437941	523	1996-10-31	PRIJEM	\N	259	64432	UROK	\N	\N
3437942	523	1996-11-30	PRIJEM	\N	270	68429	UROK	\N	\N
3437943	523	1996-12-31	PRIJEM	\N	305	70981	UROK	\N	\N
3437944	523	1997-01-31	PRIJEM	\N	274	63681	UROK	\N	\N
3437945	523	1997-02-28	PRIJEM	\N	272	71780	UROK	\N	\N
3437946	523	1997-03-31	PRIJEM	\N	299	74105	UROK	\N	\N
3437947	523	1997-04-30	PRIJEM	\N	309	76739	UROK	\N	\N
3437948	523	1997-05-31	PRIJEM	\N	319	78885	UROK	\N	\N
3437949	523	1997-06-30	PRIJEM	\N	275	72407	UROK	\N	\N
3437950	523	1997-07-31	PRIJEM	\N	302	75335	UROK	\N	\N
3437951	523	1997-08-31	PRIJEM	\N	310	75572	UROK	\N	\N
3437952	523	1997-09-30	PRIJEM	\N	305	68603	UROK	\N	\N
3437953	523	1997-10-31	PRIJEM	\N	284	70013	UROK	\N	\N
3437954	523	1997-11-30	PRIJEM	\N	285	68624	UROK	\N	\N
3437955	523	1997-12-31	PRIJEM	\N	301	70772	UROK	\N	\N
3437956	523	1998-01-31	PRIJEM	\N	292	62590	UROK	\N	\N
3437957	523	1998-02-28	PRIJEM	\N	263	66279	UROK	\N	\N
3437958	523	1998-03-31	PRIJEM	\N	270	66076	UROK	\N	\N
3437959	523	1998-04-30	PRIJEM	\N	278	70280	UROK	\N	\N
3437960	523	1998-05-31	PRIJEM	\N	304	72810	UROK	\N	\N
3437961	523	1998-06-30	PRIJEM	\N	281	58138	UROK	\N	\N
3437962	523	1998-07-31	PRIJEM	\N	243	61007	UROK	\N	\N
3437963	523	1998-08-31	PRIJEM	\N	252	62785	UROK	\N	\N
3437964	523	1998-09-30	PRIJEM	\N	258	64170	UROK	\N	\N
3437965	523	1998-10-31	PRIJEM	\N	263	65059	UROK	\N	\N
3437966	523	1998-11-30	PRIJEM	\N	278	70763	UROK	\N	\N
3437967	523	1998-12-31	PRIJEM	\N	292	70703	UROK	\N	\N
3437968	530	1996-12-31	PRIJEM	\N	55	31258	UROK	\N	\N
3437969	530	1997-01-31	PRIJEM	\N	147	40607	UROK	\N	\N
3437970	530	1997-02-28	PRIJEM	\N	173	43082	UROK	\N	\N
3437971	530	1997-03-31	PRIJEM	\N	185	46368	UROK	\N	\N
3437972	530	1997-04-30	PRIJEM	\N	208	43347	UROK	\N	\N
3437973	530	1997-05-31	PRIJEM	\N	183	44918	UROK	\N	\N
3437974	530	1997-06-30	PRIJEM	\N	212	41802	UROK	\N	\N
3437975	530	1997-07-31	PRIJEM	\N	173	34085	UROK	\N	\N
3437976	530	1997-08-31	PRIJEM	\N	130	26830	UROK	\N	\N
3437977	530	1997-09-30	PRIJEM	\N	136	37854	UROK	\N	\N
3437978	530	1997-10-31	PRIJEM	\N	192	39732	UROK	\N	\N
3437979	530	1997-11-30	PRIJEM	\N	172	42892	UROK	\N	\N
3437980	530	1997-12-31	PRIJEM	\N	161	22372	UROK	\N	\N
3437981	530	1998-01-31	PRIJEM	\N	118	23378	UROK	\N	\N
3437982	530	1998-02-28	PRIJEM	\N	137	39202	UROK	\N	\N
3437983	530	1998-03-31	PRIJEM	\N	113	23656	UROK	\N	\N
3437984	530	1998-04-30	PRIJEM	\N	130	36473	UROK	\N	\N
3437985	530	1998-05-31	PRIJEM	\N	123	24585	UROK	\N	\N
3437986	530	1998-06-30	PRIJEM	\N	148	35121	UROK	\N	\N
3437987	530	1998-07-31	PRIJEM	\N	160	38869	UROK	\N	\N
3437988	530	1998-08-31	PRIJEM	\N	145	29946	UROK	\N	\N
3437989	530	1998-09-30	PRIJEM	\N	149	34732	UROK	\N	\N
3437990	530	1998-10-31	PRIJEM	\N	133	29837	UROK	\N	\N
3437991	530	1998-11-30	PRIJEM	\N	133	28258	UROK	\N	\N
3437992	530	1998-12-31	PRIJEM	\N	140	32986	UROK	\N	\N
3437993	532	1995-10-31	PRIJEM	\N	25	46071	UROK	\N	\N
3437994	532	1995-11-30	PRIJEM	\N	192	35163	UROK	\N	\N
3437995	532	1995-12-31	PRIJEM	\N	189	31052	UROK	\N	\N
3437996	532	1996-02-29	PRIJEM	\N	114	24073	UROK	\N	\N
3437997	532	1996-02-29	PRIJEM	\N	107	23959	UROK	\N	\N
3437998	532	1996-03-31	PRIJEM	\N	107	27880	UROK	\N	\N
3437999	532	1996-04-30	PRIJEM	\N	111	41187	UROK	\N	\N
3438000	532	1996-05-31	PRIJEM	\N	171	36158	UROK	\N	\N
3438001	532	1996-06-30	PRIJEM	\N	171	32729	UROK	\N	\N
3438002	532	1996-07-31	PRIJEM	\N	176	50102	UROK	\N	\N
3438003	532	1996-08-31	PRIJEM	\N	208	38710	UROK	\N	\N
3438004	532	1996-09-30	PRIJEM	\N	208	30118	UROK	\N	\N
3438005	532	1996-10-31	PRIJEM	\N	208	26326	UROK	\N	\N
3438006	532	1996-11-30	PRIJEM	\N	208	24934	UROK	\N	\N
3438007	532	1996-12-31	PRIJEM	\N	208	23442	UROK	\N	\N
3438008	532	1997-01-31	PRIJEM	\N	212	50352	UROK	\N	\N
3438009	532	1997-02-28	PRIJEM	\N	214	80364	UROK	\N	\N
3438010	532	1997-03-31	PRIJEM	\N	396	76109	UROK	\N	\N
3438011	532	1997-04-30	PRIJEM	\N	303	54909	UROK	\N	\N
3438012	532	1997-05-31	PRIJEM	\N	330	57232	UROK	\N	\N
3438013	532	1997-06-30	PRIJEM	\N	326	64419	UROK	\N	\N
3438014	532	1997-07-31	PRIJEM	\N	333	56906	UROK	\N	\N
3438015	532	1997-08-31	PRIJEM	\N	182	42890	UROK	\N	\N
3438016	532	1997-09-30	PRIJEM	\N	272	52323	UROK	\N	\N
3438017	532	1997-10-31	PRIJEM	\N	226	60993	UROK	\N	\N
3438018	532	1997-11-30	PRIJEM	\N	242	53684	UROK	\N	\N
3438019	532	1997-12-31	PRIJEM	\N	230	99348	UROK	\N	\N
3438020	532	1998-01-31	PRIJEM	\N	401	55685	UROK	\N	\N
3438021	532	1998-02-28	PRIJEM	\N	229	76114	UROK	\N	\N
3438022	532	1998-03-31	PRIJEM	\N	274	81003	UROK	\N	\N
3438023	532	1998-04-30	PRIJEM	\N	245	64828	UROK	\N	\N
3438024	532	1998-05-31	PRIJEM	\N	323	60905	UROK	\N	\N
3438025	532	1998-06-30	PRIJEM	\N	260	124663	UROK	\N	\N
3438026	532	1998-07-31	PRIJEM	\N	506	47254	UROK	\N	\N
3438027	532	1998-08-31	PRIJEM	\N	204	65075	UROK	\N	\N
3438028	532	1998-09-30	PRIJEM	\N	348	93685	UROK	\N	\N
3438029	532	1998-10-31	PRIJEM	\N	247	55119	UROK	\N	\N
3438030	532	1998-11-30	PRIJEM	\N	231	57542	UROK	\N	\N
3438031	532	1998-12-31	PRIJEM	\N	422	74358	UROK	\N	\N
3438032	540	1993-10-31	PRIJEM	\N	3	1503	UROK	\N	\N
3438033	540	1993-11-30	PRIJEM	\N	34	14137	UROK	\N	\N
3438034	540	1993-12-31	PRIJEM	\N	157	58055	UROK	\N	\N
3438035	540	1994-01-31	PRIJEM	\N	184	26575	UROK	\N	\N
3438036	540	1994-02-28	PRIJEM	\N	114	28324	UROK	\N	\N
3438037	540	1994-03-31	PRIJEM	\N	122	30031	UROK	\N	\N
3438038	540	1994-04-30	PRIJEM	\N	119	27936	UROK	\N	\N
3438039	540	1994-05-31	PRIJEM	\N	121	30742	UROK	\N	\N
3438040	540	1994-06-30	PRIJEM	\N	118	22145	UROK	\N	\N
3438041	540	1994-07-31	PRIJEM	\N	107	28538	UROK	\N	\N
3438042	540	1994-08-31	PRIJEM	\N	126	31749	UROK	\N	\N
3438043	540	1994-09-30	PRIJEM	\N	139	70851	UROK	\N	\N
3438044	540	1994-10-31	PRIJEM	\N	247	51283	UROK	\N	\N
3438045	540	1994-11-30	PRIJEM	\N	193	41412	UROK	\N	\N
3438046	540	1994-12-31	PRIJEM	\N	189	48331	UROK	\N	\N
3438047	540	1995-01-31	PRIJEM	\N	145	22161	UROK	\N	\N
3438048	540	1995-02-28	PRIJEM	\N	179	59328	UROK	\N	\N
3438049	540	1995-03-31	PRIJEM	\N	211	43625	UROK	\N	\N
3438050	540	1995-04-30	PRIJEM	\N	165	37675	UROK	\N	\N
3438051	540	1995-05-31	PRIJEM	\N	143	32154	UROK	\N	\N
3438052	540	1995-06-30	PRIJEM	\N	123	27262	UROK	\N	\N
3438053	540	1995-07-31	PRIJEM	\N	161	43248	UROK	\N	\N
3438054	540	1995-08-31	PRIJEM	\N	156	31790	UROK	\N	\N
3438055	540	1995-09-30	PRIJEM	\N	116	25291	UROK	\N	\N
3438056	540	1995-10-31	PRIJEM	\N	99	23125	UROK	\N	\N
3438057	540	1995-11-30	PRIJEM	\N	95	21556	UROK	\N	\N
3438058	540	1995-12-31	PRIJEM	\N	87	21029	UROK	\N	\N
3438059	540	1996-01-31	PRIJEM	\N	68	14732	UROK	\N	\N
3438060	540	1996-02-29	PRIJEM	\N	68	18186	UROK	\N	\N
3438061	540	1996-03-31	PRIJEM	\N	80	20951	UROK	\N	\N
3438062	540	1996-04-30	PRIJEM	\N	80	18517	UROK	\N	\N
3438063	540	1996-05-31	PRIJEM	\N	73	17875	UROK	\N	\N
3438064	540	1996-06-30	PRIJEM	\N	78	20639	UROK	\N	\N
3438065	540	1996-07-31	PRIJEM	\N	78	17602	UROK	\N	\N
3438066	540	1996-08-31	PRIJEM	\N	73	18111	UROK	\N	\N
3438067	540	1996-09-30	PRIJEM	\N	193	70839	UROK	\N	\N
3438068	540	1996-10-31	PRIJEM	\N	150	19874	UROK	\N	\N
3438069	540	1996-11-30	PRIJEM	\N	85	21545	UROK	\N	\N
3438070	540	1996-12-31	PRIJEM	\N	123	34223	UROK	\N	\N
3438071	540	1997-01-31	PRIJEM	\N	113	22771	UROK	\N	\N
3438072	540	1997-02-28	PRIJEM	\N	98	25554	UROK	\N	\N
3438073	540	1997-03-31	PRIJEM	\N	153	40702	UROK	\N	\N
3438074	540	1997-04-30	PRIJEM	\N	164	23251	UROK	\N	\N
3438075	540	1997-05-31	PRIJEM	\N	92	21629	UROK	\N	\N
3438076	540	1997-06-30	PRIJEM	\N	82	19196	UROK	\N	\N
3438077	540	1997-07-31	PRIJEM	\N	83	21965	UROK	\N	\N
3438078	540	1997-08-31	PRIJEM	\N	149	31749	UROK	\N	\N
3438079	540	1997-09-30	PRIJEM	\N	120	16254	UROK	\N	\N
3438080	540	1997-10-31	PRIJEM	\N	70	19009	UROK	\N	\N
3438081	540	1997-11-30	PRIJEM	\N	78	19873	UROK	\N	\N
3438082	540	1997-12-31	PRIJEM	\N	85	22143	UROK	\N	\N
3438083	540	1998-01-31	PRIJEM	\N	78	16757	UROK	\N	\N
3438084	540	1998-02-28	PRIJEM	\N	72	19514	UROK	\N	\N
3438085	540	1998-03-31	PRIJEM	\N	80	20530	UROK	\N	\N
3438086	540	1998-04-30	PRIJEM	\N	88	23303	UROK	\N	\N
3438087	540	1998-05-31	PRIJEM	\N	99	26087	UROK	\N	\N
3438088	540	1998-06-30	PRIJEM	\N	108	27881	UROK	\N	\N
3438089	540	1998-07-31	PRIJEM	\N	118	30684	UROK	\N	\N
3438090	540	1998-08-31	PRIJEM	\N	159	83464	UROK	\N	\N
3438091	540	1998-09-30	PRIJEM	\N	280	41129	UROK	\N	\N
3438092	540	1998-10-31	PRIJEM	\N	140	24305	UROK	\N	\N
3438093	540	1998-11-30	PRIJEM	\N	92	22632	UROK	\N	\N
3438094	540	1998-12-31	PRIJEM	\N	94	23311	UROK	\N	\N
3438095	551	1993-05-31	PRIJEM	\N	6	2406	UROK	\N	\N
3438096	551	1993-06-30	PRIJEM	\N	38	16643	UROK	\N	\N
3438097	551	1993-07-31	PRIJEM	\N	84	24228	UROK	\N	\N
3438098	551	1993-08-31	PRIJEM	\N	100	24028	UROK	\N	\N
3438099	551	1993-09-30	PRIJEM	\N	106	26734	UROK	\N	\N
3438100	551	1993-10-31	PRIJEM	\N	94	22663	UROK	\N	\N
3438101	551	1993-11-30	PRIJEM	\N	98	24447	UROK	\N	\N
3438102	551	1993-12-31	PRIJEM	\N	89	20122	UROK	\N	\N
3438103	551	1994-01-31	PRIJEM	\N	75	16782	UROK	\N	\N
3438104	551	1994-02-28	PRIJEM	\N	82	22149	UROK	\N	\N
3438105	551	1994-03-31	PRIJEM	\N	127	68160	UROK	\N	\N
3438106	551	1994-04-30	PRIJEM	\N	230	45526	UROK	\N	\N
3438107	551	1994-05-31	PRIJEM	\N	173	38784	UROK	\N	\N
3438108	551	1994-06-30	PRIJEM	\N	145	31714	UROK	\N	\N
3438109	551	1994-07-31	PRIJEM	\N	130	30929	UROK	\N	\N
3438110	551	1994-08-31	PRIJEM	\N	118	25632	UROK	\N	\N
3438111	551	1994-09-30	PRIJEM	\N	142	34277	UROK	\N	\N
3438112	551	1994-10-31	PRIJEM	\N	139	27852	UROK	\N	\N
3438113	551	1994-11-30	PRIJEM	\N	114	24651	UROK	\N	\N
3438114	551	1994-12-31	PRIJEM	\N	98	20335	UROK	\N	\N
3438115	551	1995-01-31	PRIJEM	\N	78	16699	UROK	\N	\N
3438116	551	1995-02-28	PRIJEM	\N	67	20751	UROK	\N	\N
3438117	551	1995-03-31	PRIJEM	\N	86	20222	UROK	\N	\N
3438118	551	1995-04-30	PRIJEM	\N	83	18090	UROK	\N	\N
3438119	551	1995-05-31	PRIJEM	\N	77	20852	UROK	\N	\N
3438120	551	1995-06-30	PRIJEM	\N	107	28885	UROK	\N	\N
3438121	551	1995-07-31	PRIJEM	\N	113	21083	UROK	\N	\N
3438122	551	1995-08-31	PRIJEM	\N	87	19305	UROK	\N	\N
3438123	551	1995-09-30	PRIJEM	\N	77	15918	UROK	\N	\N
3438124	551	1995-10-31	PRIJEM	\N	146	39595	UROK	\N	\N
3438125	551	1995-11-30	PRIJEM	\N	147	24128	UROK	\N	\N
3438126	551	1995-12-31	PRIJEM	\N	92	17705	UROK	\N	\N
3438127	551	1996-01-31	PRIJEM	\N	69	15060	UROK	\N	\N
3438128	551	1996-02-29	PRIJEM	\N	58	12403	UROK	\N	\N
3438129	551	1996-03-31	PRIJEM	\N	51	12840	UROK	\N	\N
3438130	551	1996-04-30	PRIJEM	\N	53	14478	UROK	\N	\N
3438131	551	1996-05-31	PRIJEM	\N	70	25554	UROK	\N	\N
3438132	551	1996-06-30	PRIJEM	\N	85	12525	UROK	\N	\N
3438133	551	1996-07-31	PRIJEM	\N	51	14161	UROK	\N	\N
3438134	551	1996-08-31	PRIJEM	\N	70	19468	UROK	\N	\N
3438135	551	1996-09-30	PRIJEM	\N	80	21133	UROK	\N	\N
3438136	551	1996-10-31	PRIJEM	\N	87	22806	UROK	\N	\N
3438137	551	1996-11-30	PRIJEM	\N	74	12865	UROK	\N	\N
3438138	551	1996-12-31	PRIJEM	\N	52	14503	UROK	\N	\N
3438139	551	1997-01-31	PRIJEM	\N	59	16147	UROK	\N	\N
3438140	551	1997-02-28	PRIJEM	\N	66	17798	UROK	\N	\N
3438141	551	1997-03-31	PRIJEM	\N	73	19456	UROK	\N	\N
3438142	551	1997-04-30	PRIJEM	\N	80	21121	UROK	\N	\N
3438143	551	1997-05-31	PRIJEM	\N	78	15744	UROK	\N	\N
3438144	551	1997-06-30	PRIJEM	\N	64	17393	UROK	\N	\N
3438145	551	1997-07-31	PRIJEM	\N	71	17899	UROK	\N	\N
3438146	551	1997-08-31	PRIJEM	\N	73	19557	UROK	\N	\N
3438147	551	1997-09-30	PRIJEM	\N	101	28428	UROK	\N	\N
3438148	551	1997-10-31	PRIJEM	\N	118	28981	UROK	\N	\N
3438149	551	1997-11-30	PRIJEM	\N	119	30686	UROK	\N	\N
3438150	551	1997-12-31	PRIJEM	\N	118	29039	UROK	\N	\N
3438151	551	1998-01-31	PRIJEM	\N	110	23234	UROK	\N	\N
3438152	551	1998-02-28	PRIJEM	\N	95	24914	UROK	\N	\N
3438153	551	1998-03-31	PRIJEM	\N	102	26602	UROK	\N	\N
3438154	551	1998-04-30	PRIJEM	\N	108	26295	UROK	\N	\N
3438155	551	1998-05-31	PRIJEM	\N	107	27988	UROK	\N	\N
3438156	551	1998-06-30	PRIJEM	\N	95	23718	UROK	\N	\N
3438157	551	1998-07-31	PRIJEM	\N	102	29521	UROK	\N	\N
3438158	551	1998-08-31	PRIJEM	\N	121	31227	UROK	\N	\N
3438159	551	1998-09-30	PRIJEM	\N	137	37770	UROK	\N	\N
3438160	551	1998-10-31	PRIJEM	\N	155	39510	UROK	\N	\N
3438161	551	1998-11-30	PRIJEM	\N	162	41257	UROK	\N	\N
3438162	551	1998-12-31	PRIJEM	\N	169	41511	UROK	\N	\N
3438163	553	1995-06-30	PRIJEM	\N	3	1303	UROK	\N	\N
3438164	553	1995-07-31	PRIJEM	\N	87	29361	UROK	\N	\N
3438165	553	1995-08-31	PRIJEM	\N	121	28967	UROK	\N	\N
3438166	553	1995-09-30	PRIJEM	\N	113	27265	UROK	\N	\N
3438167	553	1995-10-31	PRIJEM	\N	108	25058	UROK	\N	\N
3438168	553	1995-11-30	PRIJEM	\N	153	38117	UROK	\N	\N
3438169	553	1995-12-31	PRIJEM	\N	148	31350	UROK	\N	\N
3438170	553	1996-01-31	PRIJEM	\N	112	19947	UROK	\N	\N
3438171	553	1996-02-29	PRIJEM	\N	204	52374	UROK	\N	\N
3438172	553	1996-03-31	PRIJEM	\N	171	36830	UROK	\N	\N
3438173	553	1996-04-30	PRIJEM	\N	236	70450	UROK	\N	\N
3438174	553	1996-05-31	PRIJEM	\N	239	50174	UROK	\N	\N
3438175	553	1996-06-30	PRIJEM	\N	133	17693	UROK	\N	\N
3438176	553	1996-07-31	PRIJEM	\N	76	18404	UROK	\N	\N
3438177	553	1996-08-31	PRIJEM	\N	78	17667	UROK	\N	\N
3438178	553	1996-09-30	PRIJEM	\N	76	20128	UROK	\N	\N
3438179	553	1996-10-31	PRIJEM	\N	86	22400	UROK	\N	\N
3438180	553	1996-11-30	PRIJEM	\N	96	25081	UROK	\N	\N
3438181	553	1996-12-31	PRIJEM	\N	105	26071	UROK	\N	\N
3438182	553	1997-01-31	PRIJEM	\N	95	20451	UROK	\N	\N
3438183	553	1997-02-28	PRIJEM	\N	87	22324	UROK	\N	\N
3438184	553	1997-03-31	PRIJEM	\N	95	24004	UROK	\N	\N
3438185	553	1997-04-30	PRIJEM	\N	98	20388	UROK	\N	\N
3438186	553	1997-05-31	PRIJEM	\N	86	20459	UROK	\N	\N
3438187	553	1997-06-30	PRIJEM	\N	89	25594	UROK	\N	\N
3438188	553	1997-07-31	PRIJEM	\N	107	25287	UROK	\N	\N
3438189	553	1997-08-31	PRIJEM	\N	104	23376	UROK	\N	\N
3438190	553	1997-09-30	PRIJEM	\N	100	25061	UROK	\N	\N
3438191	553	1997-10-31	PRIJEM	\N	122	54809	UROK	\N	\N
3438192	553	1997-11-30	PRIJEM	\N	209	40504	UROK	\N	\N
3438193	553	1997-12-31	PRIJEM	\N	161	34550	UROK	\N	\N
3438194	553	1998-01-31	PRIJEM	\N	109	20944	UROK	\N	\N
3438195	553	1998-02-28	PRIJEM	\N	87	24016	UROK	\N	\N
3438196	553	1998-03-31	PRIJEM	\N	117	29848	UROK	\N	\N
3438197	553	1998-04-30	PRIJEM	\N	123	28256	UROK	\N	\N
3438198	553	1998-05-31	PRIJEM	\N	122	30463	UROK	\N	\N
3438199	553	1998-06-30	PRIJEM	\N	134	34166	UROK	\N	\N
3438200	553	1998-07-31	PRIJEM	\N	142	33793	UROK	\N	\N
3438201	553	1998-08-31	PRIJEM	\N	141	34020	UROK	\N	\N
3438202	553	1998-09-30	PRIJEM	\N	145	35250	UROK	\N	\N
3438203	553	1998-10-31	PRIJEM	\N	160	42195	UROK	\N	\N
3438204	553	1998-11-30	PRIJEM	\N	178	43358	UROK	\N	\N
3438205	553	1998-12-31	PRIJEM	\N	177	41620	UROK	\N	\N
3438206	554	1996-02-29	PRIJEM	\N	12	11412	UROK	\N	\N
3438207	554	1996-03-31	PRIJEM	\N	61	20360	UROK	\N	\N
3438208	554	1996-04-30	PRIJEM	\N	89	22334	UROK	\N	\N
3438209	554	1996-05-31	PRIJEM	\N	95	22315	UROK	\N	\N
3438210	554	1996-06-30	PRIJEM	\N	94	21194	UROK	\N	\N
3438211	554	1996-07-31	PRIJEM	\N	84	23714	UROK	\N	\N
3438212	554	1996-08-31	PRIJEM	\N	105	27404	UROK	\N	\N
3438213	554	1996-09-30	PRIJEM	\N	117	28506	UROK	\N	\N
3438214	554	1996-10-31	PRIJEM	\N	124	31716	UROK	\N	\N
3438215	554	1996-11-30	PRIJEM	\N	134	32685	UROK	\N	\N
3438216	554	1996-12-31	PRIJEM	\N	174	45989	UROK	\N	\N
3438217	554	1997-01-31	PRIJEM	\N	168	34692	UROK	\N	\N
3438218	554	1997-02-28	PRIJEM	\N	148	37226	UROK	\N	\N
3438219	554	1997-03-31	PRIJEM	\N	156	38218	UROK	\N	\N
3438220	554	1997-04-30	PRIJEM	\N	158	37361	UROK	\N	\N
3438221	554	1997-05-31	PRIJEM	\N	158	38905	UROK	\N	\N
3438222	554	1997-06-30	PRIJEM	\N	147	35777	UROK	\N	\N
3438223	554	1997-07-31	PRIJEM	\N	144	32906	UROK	\N	\N
3438224	554	1997-08-31	PRIJEM	\N	148	41876	UROK	\N	\N
3438225	554	1997-09-30	PRIJEM	\N	166	38128	UROK	\N	\N
3438226	554	1997-10-31	PRIJEM	\N	151	34564	UROK	\N	\N
3438227	554	1997-11-30	PRIJEM	\N	140	32989	UROK	\N	\N
3438228	554	1997-12-31	PRIJEM	\N	145	35619	UROK	\N	\N
3438229	554	1998-01-31	PRIJEM	\N	139	26843	UROK	\N	\N
3438230	554	1998-02-28	PRIJEM	\N	131	37159	UROK	\N	\N
3438231	554	1998-03-31	PRIJEM	\N	157	38202	UROK	\N	\N
3438232	554	1998-04-30	PRIJEM	\N	191	53226	UROK	\N	\N
3438233	554	1998-05-31	PRIJEM	\N	209	48121	UROK	\N	\N
3438234	554	1998-06-30	PRIJEM	\N	211	38085	UROK	\N	\N
3438235	554	1998-07-31	PRIJEM	\N	159	38830	UROK	\N	\N
3438236	554	1998-08-31	PRIJEM	\N	157	37372	UROK	\N	\N
3438237	554	1998-09-30	PRIJEM	\N	152	36110	UROK	\N	\N
3438238	554	1998-10-31	PRIJEM	\N	145	34340	UROK	\N	\N
3438239	554	1998-11-30	PRIJEM	\N	141	33866	UROK	\N	\N
3438240	554	1998-12-31	PRIJEM	\N	115	24667	UROK	\N	\N
3438241	556	1997-07-31	PRIJEM	\N	17	21319	UROK	\N	\N
3438242	556	1997-08-31	PRIJEM	\N	97	30619	UROK	\N	\N
3438243	556	1997-09-30	PRIJEM	\N	131	34952	UROK	\N	\N
3438244	556	1997-10-31	PRIJEM	\N	144	33698	UROK	\N	\N
3438245	556	1997-11-30	PRIJEM	\N	140	34140	UROK	\N	\N
3438246	556	1997-12-31	PRIJEM	\N	173	34102	UROK	\N	\N
3438247	556	1998-01-31	PRIJEM	\N	153	15402	UROK	\N	\N
3438248	556	1998-02-28	PRIJEM	\N	73	22662	UROK	\N	\N
3438249	556	1998-03-31	PRIJEM	\N	128	22038	UROK	\N	\N
3438250	556	1998-04-30	PRIJEM	\N	97	26522	UROK	\N	\N
3438251	556	1998-05-31	PRIJEM	\N	142	26752	UROK	\N	\N
3438252	556	1998-06-30	PRIJEM	\N	156	26736	UROK	\N	\N
3438253	556	1998-07-31	PRIJEM	\N	115	29238	UROK	\N	\N
3438254	556	1998-08-31	PRIJEM	\N	133	29119	UROK	\N	\N
3438255	556	1998-09-30	PRIJEM	\N	111	22797	UROK	\N	\N
3438256	556	1998-10-31	PRIJEM	\N	111	27576	UROK	\N	\N
3438257	556	1998-11-30	PRIJEM	\N	121	31384	UROK	\N	\N
3438258	556	1998-12-31	PRIJEM	\N	219	55972	UROK	\N	\N
3438259	562	1993-03-31	PRIJEM	\N	15	14315	UROK	\N	\N
3438260	562	1993-04-30	PRIJEM	\N	69	21784	UROK	\N	\N
3438261	562	1993-05-31	PRIJEM	\N	97	25181	UROK	\N	\N
3438262	562	1993-06-30	PRIJEM	\N	115	22746	UROK	\N	\N
3438263	562	1993-07-31	PRIJEM	\N	169	48286	UROK	\N	\N
3438264	562	1993-08-31	PRIJEM	\N	192	35713	UROK	\N	\N
3438265	562	1993-09-30	PRIJEM	\N	149	34048	UROK	\N	\N
3438266	562	1993-10-31	PRIJEM	\N	143	33176	UROK	\N	\N
3438267	562	1993-11-30	PRIJEM	\N	137	31348	UROK	\N	\N
3438268	562	1993-12-31	PRIJEM	\N	133	32167	UROK	\N	\N
3438269	562	1994-01-31	PRIJEM	\N	103	20105	UROK	\N	\N
3438270	562	1994-02-28	PRIJEM	\N	89	23280	UROK	\N	\N
3438271	562	1994-03-31	PRIJEM	\N	131	36939	UROK	\N	\N
3438272	562	1994-04-30	PRIJEM	\N	149	32374	UROK	\N	\N
3438273	562	1994-05-31	PRIJEM	\N	135	32144	UROK	\N	\N
3438274	562	1994-06-30	PRIJEM	\N	134	18457	UROK	\N	\N
3438275	562	1994-07-31	PRIJEM	\N	85	23027	UROK	\N	\N
3438276	562	1994-08-31	PRIJEM	\N	105	27918	UROK	\N	\N
3438277	562	1994-09-30	PRIJEM	\N	119	29472	UROK	\N	\N
3438278	562	1994-10-31	PRIJEM	\N	122	29279	UROK	\N	\N
3438279	562	1994-11-30	PRIJEM	\N	126	31690	UROK	\N	\N
3438280	562	1994-12-31	PRIJEM	\N	133	32709	UROK	\N	\N
3438281	562	1995-01-31	PRIJEM	\N	130	29674	UROK	\N	\N
3438282	562	1995-02-28	PRIJEM	\N	122	29782	UROK	\N	\N
3438283	562	1995-03-31	PRIJEM	\N	127	31694	UROK	\N	\N
3438284	562	1995-04-30	PRIJEM	\N	128	30508	UROK	\N	\N
3438285	562	1995-05-31	PRIJEM	\N	130	32323	UROK	\N	\N
3438286	562	1995-06-30	PRIJEM	\N	109	17967	UROK	\N	\N
3438287	562	1995-07-31	PRIJEM	\N	92	26645	UROK	\N	\N
3438288	562	1995-08-31	PRIJEM	\N	111	27241	UROK	\N	\N
3438289	562	1995-09-30	PRIJEM	\N	123	32049	UROK	\N	\N
3438290	562	1995-10-31	PRIJEM	\N	131	31115	UROK	\N	\N
3438291	562	1995-11-30	PRIJEM	\N	165	45981	UROK	\N	\N
3438292	562	1995-12-31	PRIJEM	\N	182	56512	UROK	\N	\N
3438293	562	1996-01-31	PRIJEM	\N	151	30999	UROK	\N	\N
3438294	562	1996-02-29	PRIJEM	\N	129	32114	UROK	\N	\N
3438295	562	1996-03-31	PRIJEM	\N	138	34937	UROK	\N	\N
3438296	562	1996-04-30	PRIJEM	\N	147	36669	UROK	\N	\N
3438297	562	1996-05-31	PRIJEM	\N	146	34800	UROK	\N	\N
3438298	562	1996-06-30	PRIJEM	\N	119	15654	UROK	\N	\N
3438299	562	1996-07-31	PRIJEM	\N	92	26831	UROK	\N	\N
3438300	562	1996-08-31	PRIJEM	\N	115	29432	UROK	\N	\N
3438301	562	1996-09-30	PRIJEM	\N	118	28935	UROK	\N	\N
3438302	562	1996-10-31	PRIJEM	\N	152	39450	UROK	\N	\N
3438303	562	1996-11-30	PRIJEM	\N	177	69246	UROK	\N	\N
3438304	562	1996-12-31	PRIJEM	\N	223	49555	UROK	\N	\N
3438305	562	1997-01-31	PRIJEM	\N	249	72258	UROK	\N	\N
3438306	562	1997-02-28	PRIJEM	\N	254	54197	UROK	\N	\N
3438307	562	1997-03-31	PRIJEM	\N	208	48690	UROK	\N	\N
3438308	562	1997-04-30	PRIJEM	\N	191	45067	UROK	\N	\N
3438309	562	1997-05-31	PRIJEM	\N	172	43074	UROK	\N	\N
3438310	562	1997-06-30	PRIJEM	\N	124	18833	UROK	\N	\N
3438311	562	1997-07-31	PRIJEM	\N	105	30974	UROK	\N	\N
3438312	562	1997-08-31	PRIJEM	\N	137	36196	UROK	\N	\N
3438313	562	1997-09-30	PRIJEM	\N	194	77464	UROK	\N	\N
3438314	562	1997-10-31	PRIJEM	\N	268	56467	UROK	\N	\N
3438315	562	1997-11-30	PRIJEM	\N	220	50022	UROK	\N	\N
3438316	562	1997-12-31	PRIJEM	\N	179	39487	UROK	\N	\N
3438317	562	1998-01-31	PRIJEM	\N	109	21981	UROK	\N	\N
3438318	562	1998-02-28	PRIJEM	\N	95	29428	UROK	\N	\N
3438319	562	1998-03-31	PRIJEM	\N	122	31635	UROK	\N	\N
3438320	562	1998-04-30	PRIJEM	\N	109	29530	UROK	\N	\N
3438321	562	1998-05-31	PRIJEM	\N	106	24722	UROK	\N	\N
3438322	562	1998-06-30	PRIJEM	\N	91	21898	UROK	\N	\N
3438323	562	1998-07-31	PRIJEM	\N	94	26478	UROK	\N	\N
3438324	562	1998-08-31	PRIJEM	\N	114	32077	UROK	\N	\N
3438325	562	1998-09-30	PRIJEM	\N	138	39701	UROK	\N	\N
3438326	562	1998-10-31	PRIJEM	\N	165	41451	UROK	\N	\N
3438327	562	1998-11-30	PRIJEM	\N	202	63460	UROK	\N	\N
3438328	562	1998-12-31	PRIJEM	\N	263	65208	UROK	\N	\N
3438329	567	1996-07-31	PRIJEM	\N	18	10018	UROK	\N	\N
3438330	567	1996-08-31	PRIJEM	\N	57	17974	UROK	\N	\N
3438331	567	1996-09-30	PRIJEM	\N	77	19151	UROK	\N	\N
3438332	567	1996-10-31	PRIJEM	\N	86	22437	UROK	\N	\N
3438333	567	1996-11-30	PRIJEM	\N	89	20426	UROK	\N	\N
3438334	567	1996-12-31	PRIJEM	\N	89	22100	UROK	\N	\N
3438335	567	1997-01-31	PRIJEM	\N	73	12408	UROK	\N	\N
3438336	567	1997-02-28	PRIJEM	\N	60	16654	UROK	\N	\N
3438337	567	1997-03-31	PRIJEM	\N	76	20015	UROK	\N	\N
3438338	567	1997-04-30	PRIJEM	\N	129	38175	UROK	\N	\N
3438339	567	1997-05-31	PRIJEM	\N	139	29700	UROK	\N	\N
3438340	567	1997-06-30	PRIJEM	\N	124	22409	UROK	\N	\N
3438341	567	1997-07-31	PRIJEM	\N	90	21285	UROK	\N	\N
3438342	567	1997-08-31	PRIJEM	\N	87	21058	UROK	\N	\N
3438343	567	1997-09-30	PRIJEM	\N	188	63488	UROK	\N	\N
3438344	567	1997-10-31	PRIJEM	\N	223	44597	UROK	\N	\N
3438345	567	1997-11-30	PRIJEM	\N	159	33141	UROK	\N	\N
3438346	567	1997-12-31	PRIJEM	\N	125	27852	UROK	\N	\N
3438347	567	1998-01-31	PRIJEM	\N	79	13017	UROK	\N	\N
3438348	567	1998-02-28	PRIJEM	\N	193	65380	UROK	\N	\N
3438349	567	1998-03-31	PRIJEM	\N	229	44194	UROK	\N	\N
3438350	567	1998-04-30	PRIJEM	\N	152	33431	UROK	\N	\N
3438351	567	1998-05-31	PRIJEM	\N	124	27540	UROK	\N	\N
3438352	567	1998-06-30	PRIJEM	\N	102	22128	UROK	\N	\N
3438353	567	1998-07-31	PRIJEM	\N	99	25212	UROK	\N	\N
3438354	567	1998-08-31	PRIJEM	\N	98	23945	UROK	\N	\N
3438355	567	1998-09-30	PRIJEM	\N	104	26335	UROK	\N	\N
3438356	567	1998-10-31	PRIJEM	\N	114	28935	UROK	\N	\N
3438357	567	1998-11-30	PRIJEM	\N	122	30242	UROK	\N	\N
3438358	567	1998-12-31	PRIJEM	\N	167	53181	UROK	\N	\N
3438359	574	1993-08-31	PRIJEM	\N	14	33400	UROK	\N	\N
3438360	574	1993-09-30	PRIJEM	\N	146	48831	UROK	\N	\N
3438361	574	1993-10-31	PRIJEM	\N	208	58325	UROK	\N	\N
3438362	574	1993-11-30	PRIJEM	\N	244	61255	UROK	\N	\N
3438363	574	1993-12-31	PRIJEM	\N	285	48068	UROK	\N	\N
3438364	574	1994-01-31	PRIJEM	\N	200	11940	UROK	\N	\N
3438365	574	1994-02-28	PRIJEM	\N	100	29844	UROK	\N	\N
3438366	574	1994-03-31	PRIJEM	\N	136	47351	UROK	\N	\N
3438367	574	1994-04-30	PRIJEM	\N	307	58029	UROK	\N	\N
3438368	574	1994-05-31	PRIJEM	\N	247	65148	UROK	\N	\N
3438369	574	1994-06-30	PRIJEM	\N	396	13610	UROK	\N	\N
3438370	574	1994-07-31	PRIJEM	\N	82	41164	UROK	\N	\N
3438371	574	1994-08-31	PRIJEM	\N	187	37460	UROK	\N	\N
3438372	574	1994-09-30	PRIJEM	\N	175	55307	UROK	\N	\N
3438373	574	1994-10-31	PRIJEM	\N	240	63518	UROK	\N	\N
3438374	574	1994-11-30	PRIJEM	\N	297	60886	UROK	\N	\N
3438375	574	1994-12-31	PRIJEM	\N	206	34507	UROK	\N	\N
3438376	574	1995-01-31	PRIJEM	\N	155	21334	UROK	\N	\N
3438377	574	1995-02-28	PRIJEM	\N	166	45271	UROK	\N	\N
3438378	574	1995-03-31	PRIJEM	\N	203	57046	UROK	\N	\N
3438379	574	1995-04-30	PRIJEM	\N	308	59926	UROK	\N	\N
3438380	574	1995-05-31	PRIJEM	\N	243	46542	UROK	\N	\N
3438381	574	1995-06-30	PRIJEM	\N	229	70586	UROK	\N	\N
3438382	574	1995-07-31	PRIJEM	\N	185	32842	UROK	\N	\N
3438383	574	1995-08-31	PRIJEM	\N	172	50785	UROK	\N	\N
3438384	574	1995-09-30	PRIJEM	\N	227	60083	UROK	\N	\N
3438385	574	1995-10-31	PRIJEM	\N	255	63710	UROK	\N	\N
3438386	574	1995-11-30	PRIJEM	\N	315	64797	UROK	\N	\N
3438387	574	1995-12-31	PRIJEM	\N	270	48287	UROK	\N	\N
3438388	574	1996-01-31	PRIJEM	\N	146	16527	UROK	\N	\N
3438389	574	1996-02-29	PRIJEM	\N	126	43824	UROK	\N	\N
3438390	574	1996-03-31	PRIJEM	\N	212	50884	UROK	\N	\N
3438391	574	1996-04-30	PRIJEM	\N	174	27802	UROK	\N	\N
3438392	574	1996-05-31	PRIJEM	\N	131	7219	UROK	\N	\N
3438393	574	1996-06-30	PRIJEM	\N	131	51064	UROK	\N	\N
3438394	574	1996-07-31	PRIJEM	\N	225	55255	UROK	\N	\N
3438395	574	1996-08-31	PRIJEM	\N	207	42511	UROK	\N	\N
3438396	574	1996-09-30	PRIJEM	\N	217	58799	UROK	\N	\N
3438397	574	1996-10-31	PRIJEM	\N	275	56746	UROK	\N	\N
3438398	574	1996-11-30	PRIJEM	\N	235	45863	UROK	\N	\N
3438399	574	1996-12-31	PRIJEM	\N	257	67135	UROK	\N	\N
3438400	574	1997-01-31	PRIJEM	\N	251	43257	UROK	\N	\N
3438401	574	1997-02-28	PRIJEM	\N	228	60556	UROK	\N	\N
3438402	574	1997-03-31	PRIJEM	\N	288	67035	UROK	\N	\N
3438403	574	1997-04-30	PRIJEM	\N	291	72497	UROK	\N	\N
3438404	574	1997-05-31	PRIJEM	\N	275	61978	UROK	\N	\N
3438405	574	1997-06-30	PRIJEM	\N	244	48736	UROK	\N	\N
3438406	574	1997-07-31	PRIJEM	\N	241	49819	UROK	\N	\N
3438407	574	1997-08-31	PRIJEM	\N	204	37579	UROK	\N	\N
3438408	574	1997-09-30	PRIJEM	\N	222	58572	UROK	\N	\N
3438409	574	1997-10-31	PRIJEM	\N	239	54189	UROK	\N	\N
3438410	574	1997-11-30	PRIJEM	\N	243	45445	UROK	\N	\N
3438411	574	1997-12-31	PRIJEM	\N	224	41370	UROK	\N	\N
3438412	574	1998-01-31	PRIJEM	\N	142	14283	UROK	\N	\N
3438413	574	1998-02-28	PRIJEM	\N	230	47009	UROK	\N	\N
3438414	574	1998-03-31	PRIJEM	\N	209	38826	UROK	\N	\N
3438415	574	1998-04-30	PRIJEM	\N	319	77316	UROK	\N	\N
3438416	574	1998-05-31	PRIJEM	\N	416	106204	UROK	\N	\N
3438417	574	1998-06-30	PRIJEM	\N	389	36508	UROK	\N	\N
3438418	574	1998-07-31	PRIJEM	\N	217	44596	UROK	\N	\N
3438419	574	1998-08-31	PRIJEM	\N	342	91209	UROK	\N	\N
3438420	574	1998-09-30	PRIJEM	\N	325	38879	UROK	\N	\N
3438421	574	1998-10-31	PRIJEM	\N	329	89080	UROK	\N	\N
3438422	574	1998-11-30	PRIJEM	\N	272	62923	UROK	\N	\N
3438423	574	1998-12-31	PRIJEM	\N	394	103231	UROK	\N	\N
3438424	585	1998-07-31	PRIJEM	\N	4	28704	UROK	\N	\N
3438425	585	1998-08-31	PRIJEM	\N	120	24323	UROK	\N	\N
3438426	585	1998-09-30	PRIJEM	\N	120	20443	UROK	\N	\N
3438427	585	1998-10-31	PRIJEM	\N	120	18163	UROK	\N	\N
3438428	586	1995-03-31	PRIJEM	\N	32	15716	UROK	\N	\N
3438429	586	1995-04-30	PRIJEM	\N	126	61228	UROK	\N	\N
3438430	586	1995-05-31	PRIJEM	\N	224	46152	UROK	\N	\N
3438431	586	1995-06-30	PRIJEM	\N	155	30507	UROK	\N	\N
3438432	586	1995-07-31	PRIJEM	\N	126	30018	UROK	\N	\N
3438433	586	1995-08-31	PRIJEM	\N	123	29126	UROK	\N	\N
3438434	586	1995-09-30	PRIJEM	\N	117	27528	UROK	\N	\N
3438435	586	1995-10-31	PRIJEM	\N	117	28380	UROK	\N	\N
3438436	586	1995-11-30	PRIJEM	\N	114	26280	UROK	\N	\N
3438437	586	1995-12-31	PRIJEM	\N	92	19607	UROK	\N	\N
3438438	586	1996-01-31	PRIJEM	\N	82	20875	UROK	\N	\N
3438439	586	1996-02-29	PRIJEM	\N	81	17391	UROK	\N	\N
3438440	586	1996-03-31	PRIJEM	\N	79	19955	UROK	\N	\N
3438441	586	1996-04-30	PRIJEM	\N	84	20525	UROK	\N	\N
3438442	586	1996-05-31	PRIJEM	\N	99	46177	UROK	\N	\N
3438443	586	1996-06-30	PRIJEM	\N	131	15694	UROK	\N	\N
3438444	586	1996-07-31	PRIJEM	\N	84	40643	UROK	\N	\N
3438445	586	1996-08-31	PRIJEM	\N	144	30772	UROK	\N	\N
3438446	586	1996-09-30	PRIJEM	\N	114	24772	UROK	\N	\N
3438447	586	1996-10-31	PRIJEM	\N	81	19038	UROK	\N	\N
3438448	586	1996-11-30	PRIJEM	\N	76	17699	UROK	\N	\N
3438449	586	1996-12-31	PRIJEM	\N	71	16905	UROK	\N	\N
3438450	586	1997-01-31	PRIJEM	\N	65	15555	UROK	\N	\N
3438451	586	1997-02-28	PRIJEM	\N	74	19464	UROK	\N	\N
3438452	586	1997-03-31	PRIJEM	\N	79	18979	UROK	\N	\N
3438453	586	1997-04-30	PRIJEM	\N	77	18541	UROK	\N	\N
3438454	586	1997-05-31	PRIJEM	\N	72	16849	UROK	\N	\N
3438455	586	1997-06-30	PRIJEM	\N	72	17906	UROK	\N	\N
3438456	586	1997-07-31	PRIJEM	\N	93	50013	UROK	\N	\N
3438457	586	1997-08-31	PRIJEM	\N	178	36176	UROK	\N	\N
3438458	586	1997-09-30	PRIJEM	\N	139	31400	UROK	\N	\N
3438459	586	1997-10-31	PRIJEM	\N	128	30814	UROK	\N	\N
3438460	586	1997-11-30	PRIJEM	\N	123	30922	UROK	\N	\N
3438461	586	1997-12-31	PRIJEM	\N	241	50643	UROK	\N	\N
3438462	586	1998-01-31	PRIJEM	\N	311	67371	UROK	\N	\N
3438463	586	1998-02-28	PRIJEM	\N	277	68283	UROK	\N	\N
3438464	586	1998-03-31	PRIJEM	\N	197	41415	UROK	\N	\N
3438465	586	1998-04-30	PRIJEM	\N	175	46557	UROK	\N	\N
3438466	586	1998-05-31	PRIJEM	\N	190	39332	UROK	\N	\N
3438467	586	1998-06-30	PRIJEM	\N	130	29297	UROK	\N	\N
3438468	586	1998-07-31	PRIJEM	\N	121	29403	UROK	\N	\N
3438469	586	1998-08-31	PRIJEM	\N	123	32511	UROK	\N	\N
3438470	586	1998-09-30	PRIJEM	\N	133	30529	UROK	\N	\N
3438471	586	1998-10-31	PRIJEM	\N	123	27137	UROK	\N	\N
3438472	586	1998-11-30	PRIJEM	\N	108	23831	UROK	\N	\N
3438473	586	1998-12-31	PRIJEM	\N	92	22608	UROK	\N	\N
3438474	590	1996-03-31	PRIJEM	\N	18	19406	UROK	\N	\N
3438475	590	1996-04-30	PRIJEM	\N	90	29385	UROK	\N	\N
3438476	590	1996-05-31	PRIJEM	\N	124	31597	UROK	\N	\N
3438477	590	1996-06-30	PRIJEM	\N	139	38468	UROK	\N	\N
3438478	590	1996-07-31	PRIJEM	\N	178	37334	UROK	\N	\N
3438479	590	1996-08-31	PRIJEM	\N	160	40567	UROK	\N	\N
3438480	590	1996-09-30	PRIJEM	\N	167	39608	UROK	\N	\N
3438481	590	1996-10-31	PRIJEM	\N	162	33843	UROK	\N	\N
3438482	590	1996-11-30	PRIJEM	\N	146	37062	UROK	\N	\N
3438483	590	1996-12-31	PRIJEM	\N	190	39469	UROK	\N	\N
3438484	590	1997-01-31	PRIJEM	\N	165	40208	UROK	\N	\N
3438485	590	1997-02-28	PRIJEM	\N	162	36943	UROK	\N	\N
3438486	590	1997-03-31	PRIJEM	\N	153	36870	UROK	\N	\N
3438487	590	1997-04-30	PRIJEM	\N	154	37598	UROK	\N	\N
3438488	590	1997-05-31	PRIJEM	\N	154	34325	UROK	\N	\N
3438489	590	1997-06-30	PRIJEM	\N	129	25271	UROK	\N	\N
3438490	590	1997-07-31	PRIJEM	\N	113	27557	UROK	\N	\N
3438491	590	1997-08-31	PRIJEM	\N	126	33356	UROK	\N	\N
3438492	590	1997-09-30	PRIJEM	\N	147	37477	UROK	\N	\N
3438493	590	1997-10-31	PRIJEM	\N	158	38608	UROK	\N	\N
3438494	590	1997-11-30	PRIJEM	\N	163	39944	UROK	\N	\N
3438495	590	1997-12-31	PRIJEM	\N	185	42647	UROK	\N	\N
3438496	590	1998-01-31	PRIJEM	\N	166	35387	UROK	\N	\N
3438497	590	1998-02-28	PRIJEM	\N	144	31404	UROK	\N	\N
3438498	590	1998-03-31	PRIJEM	\N	136	32914	UROK	\N	\N
3438499	590	1998-04-30	PRIJEM	\N	142	35329	UROK	\N	\N
3438500	590	1998-05-31	PRIJEM	\N	152	37955	UROK	\N	\N
3438501	590	1998-06-30	PRIJEM	\N	174	41046	UROK	\N	\N
3438502	590	1998-07-31	PRIJEM	\N	171	41490	UROK	\N	\N
3438503	590	1998-08-31	PRIJEM	\N	169	40633	UROK	\N	\N
3438504	590	1998-09-30	PRIJEM	\N	170	41577	UROK	\N	\N
3438505	590	1998-10-31	PRIJEM	\N	173	42023	UROK	\N	\N
3438506	590	1998-11-30	PRIJEM	\N	182	43478	UROK	\N	\N
3438507	590	1998-12-31	PRIJEM	\N	231	59027	UROK	\N	\N
3438508	593	1996-08-31	PRIJEM	\N	44	19422	UROK	\N	\N
3438509	593	1996-09-30	PRIJEM	\N	100	27500	UROK	\N	\N
3438510	593	1996-10-31	PRIJEM	\N	136	36614	UROK	\N	\N
3438511	593	1996-11-30	PRIJEM	\N	161	40253	UROK	\N	\N
3438512	593	1996-12-31	PRIJEM	\N	174	41144	UROK	\N	\N
3438513	593	1997-01-31	PRIJEM	\N	160	32167	UROK	\N	\N
3438514	593	1997-02-28	PRIJEM	\N	148	37479	UROK	\N	\N
3438515	593	1997-03-31	PRIJEM	\N	168	42109	UROK	\N	\N
3438516	593	1997-04-30	PRIJEM	\N	176	42549	UROK	\N	\N
3438517	593	1997-05-31	PRIJEM	\N	180	43592	UROK	\N	\N
3438518	593	1997-06-30	PRIJEM	\N	138	25832	UROK	\N	\N
3438519	593	1997-07-31	PRIJEM	\N	135	35630	UROK	\N	\N
3438520	593	1997-08-31	PRIJEM	\N	148	35742	UROK	\N	\N
3438521	593	1997-09-30	PRIJEM	\N	148	35553	UROK	\N	\N
3438522	593	1997-10-31	PRIJEM	\N	162	40379	UROK	\N	\N
3438523	593	1997-11-30	PRIJEM	\N	165	39608	UROK	\N	\N
3438524	593	1997-12-31	PRIJEM	\N	182	43492	UROK	\N	\N
3438525	593	1998-01-31	PRIJEM	\N	160	29515	UROK	\N	\N
3438526	593	1998-02-28	PRIJEM	\N	176	44055	UROK	\N	\N
3438527	593	1998-03-31	PRIJEM	\N	197	48516	UROK	\N	\N
3438528	593	1998-04-30	PRIJEM	\N	246	51625	UROK	\N	\N
3438529	593	1998-05-31	PRIJEM	\N	234	55223	UROK	\N	\N
3438530	593	1998-06-30	PRIJEM	\N	245	55371	UROK	\N	\N
3438531	593	1998-07-31	PRIJEM	\N	267	66702	UROK	\N	\N
3438532	593	1998-08-31	PRIJEM	\N	299	73464	UROK	\N	\N
3438533	593	1998-09-30	PRIJEM	\N	315	76642	UROK	\N	\N
3438534	593	1998-10-31	PRIJEM	\N	308	73713	UROK	\N	\N
3438535	593	1998-11-30	PRIJEM	\N	296	70872	UROK	\N	\N
3438536	593	1998-12-31	PRIJEM	\N	292	69167	UROK	\N	\N
3438537	596	1994-11-30	PRIJEM	\N	52	19661	UROK	\N	\N
3438538	596	1994-12-31	PRIJEM	\N	126	36050	UROK	\N	\N
3438539	596	1995-01-31	PRIJEM	\N	166	41825	UROK	\N	\N
3438540	596	1995-02-28	PRIJEM	\N	176	42609	UROK	\N	\N
3438541	596	1995-03-31	PRIJEM	\N	173	41292	UROK	\N	\N
3438542	596	1995-04-30	PRIJEM	\N	173	41960	UROK	\N	\N
3438543	596	1995-05-31	PRIJEM	\N	188	46842	UROK	\N	\N
3438544	596	1995-06-30	PRIJEM	\N	184	37855	UROK	\N	\N
3438545	596	1995-07-31	PRIJEM	\N	172	42821	UROK	\N	\N
3438546	596	1995-08-31	PRIJEM	\N	188	46103	UROK	\N	\N
3438547	596	1995-09-30	PRIJEM	\N	192	46370	UROK	\N	\N
3438548	596	1995-10-31	PRIJEM	\N	196	41520	UROK	\N	\N
3438549	596	1995-11-30	PRIJEM	\N	218	55833	UROK	\N	\N
3438550	596	1995-12-31	PRIJEM	\N	267	66708	UROK	\N	\N
3438551	596	1996-01-31	PRIJEM	\N	260	54362	UROK	\N	\N
3438552	596	1996-02-29	PRIJEM	\N	248	61505	UROK	\N	\N
3438553	596	1996-03-31	PRIJEM	\N	268	65266	UROK	\N	\N
3438554	596	1996-04-30	PRIJEM	\N	262	59403	UROK	\N	\N
3438555	596	1996-05-31	PRIJEM	\N	263	65861	UROK	\N	\N
3438556	596	1996-06-30	PRIJEM	\N	260	46429	UROK	\N	\N
3438557	596	1996-07-31	PRIJEM	\N	240	61264	UROK	\N	\N
3438558	596	1996-08-31	PRIJEM	\N	283	69841	UROK	\N	\N
3438559	596	1996-09-30	PRIJEM	\N	305	74741	UROK	\N	\N
3438560	596	1996-10-31	PRIJEM	\N	322	78558	UROK	\N	\N
3438561	596	1996-11-30	PRIJEM	\N	338	82289	UROK	\N	\N
3438562	596	1996-12-31	PRIJEM	\N	359	86657	UROK	\N	\N
3438563	596	1997-01-31	PRIJEM	\N	310	68162	UROK	\N	\N
3438564	596	1997-02-28	PRIJEM	\N	285	85342	UROK	\N	\N
3438565	596	1997-03-31	PRIJEM	\N	364	87041	UROK	\N	\N
3438566	596	1997-04-30	PRIJEM	\N	362	89397	UROK	\N	\N
3438567	596	1997-05-31	PRIJEM	\N	371	77262	UROK	\N	\N
3438568	596	1997-06-30	PRIJEM	\N	315	68947	UROK	\N	\N
3438569	596	1997-07-31	PRIJEM	\N	324	76445	UROK	\N	\N
3438570	596	1997-08-31	PRIJEM	\N	332	83971	UROK	\N	\N
3438571	596	1997-09-30	PRIJEM	\N	351	89816	UROK	\N	\N
3438572	596	1997-10-31	PRIJEM	\N	407	91917	UROK	\N	\N
3438573	596	1997-11-30	PRIJEM	\N	380	91991	UROK	\N	\N
3438574	596	1997-12-31	PRIJEM	\N	258	65158	UROK	\N	\N
3438575	596	1998-01-31	PRIJEM	\N	302	77154	UROK	\N	\N
3438576	596	1998-02-28	PRIJEM	\N	329	92178	UROK	\N	\N
3438577	596	1998-03-31	PRIJEM	\N	385	98257	UROK	\N	\N
3438578	596	1998-04-30	PRIJEM	\N	325	83677	UROK	\N	\N
3438579	596	1998-05-31	PRIJEM	\N	360	99631	UROK	\N	\N
3438580	596	1998-06-30	PRIJEM	\N	393	49173	UROK	\N	\N
3438581	596	1998-07-31	PRIJEM	\N	241	86008	UROK	\N	\N
3438582	596	1998-08-31	PRIJEM	\N	379	106181	UROK	\N	\N
3438583	596	1998-09-30	PRIJEM	\N	344	90020	UROK	\N	\N
3438584	596	1998-10-31	PRIJEM	\N	407	104861	UROK	\N	\N
3438585	596	1998-11-30	PRIJEM	\N	447	93803	UROK	\N	\N
3438586	596	1998-12-31	PRIJEM	\N	424	87915	UROK	\N	\N
3438587	604	1993-12-31	PRIJEM	\N	17	21135	UROK	\N	\N
3438588	604	1994-01-31	PRIJEM	\N	95	28842	UROK	\N	\N
3438589	604	1994-02-28	PRIJEM	\N	122	31376	UROK	\N	\N
3438590	604	1994-03-31	PRIJEM	\N	133	34721	UROK	\N	\N
3438591	604	1994-04-30	PRIJEM	\N	147	34980	UROK	\N	\N
3438592	604	1994-05-31	PRIJEM	\N	143	32621	UROK	\N	\N
3438593	604	1994-06-30	PRIJEM	\N	142	28067	UROK	\N	\N
3438594	604	1994-07-31	PRIJEM	\N	127	28491	UROK	\N	\N
3438595	604	1994-08-31	PRIJEM	\N	124	32912	UROK	\N	\N
3438596	604	1994-09-30	PRIJEM	\N	136	34046	UROK	\N	\N
3438597	604	1994-10-31	PRIJEM	\N	143	31686	UROK	\N	\N
3438598	604	1994-11-30	PRIJEM	\N	147	31931	UROK	\N	\N
3438599	604	1994-12-31	PRIJEM	\N	137	35072	UROK	\N	\N
3438600	604	1995-01-31	PRIJEM	\N	148	28017	UROK	\N	\N
3438601	604	1995-02-28	PRIJEM	\N	121	28535	UROK	\N	\N
3438602	604	1995-03-31	PRIJEM	\N	122	30554	UROK	\N	\N
3438603	604	1995-04-30	PRIJEM	\N	134	35085	UROK	\N	\N
3438604	604	1995-05-31	PRIJEM	\N	158	35740	UROK	\N	\N
3438605	604	1995-06-30	PRIJEM	\N	130	26774	UROK	\N	\N
3438606	604	1995-07-31	PRIJEM	\N	111	26782	UROK	\N	\N
3438607	604	1995-08-31	PRIJEM	\N	115	29095	UROK	\N	\N
3438608	604	1995-09-30	PRIJEM	\N	113	24406	UROK	\N	\N
3438609	604	1995-10-31	PRIJEM	\N	112	29115	UROK	\N	\N
3438610	604	1995-11-30	PRIJEM	\N	114	26126	UROK	\N	\N
3438611	604	1995-12-31	PRIJEM	\N	116	29846	UROK	\N	\N
3438612	604	1996-01-31	PRIJEM	\N	119	24462	UROK	\N	\N
3438613	604	1996-02-29	PRIJEM	\N	113	29873	UROK	\N	\N
3438614	604	1996-03-31	PRIJEM	\N	127	31398	UROK	\N	\N
3438615	604	1996-04-30	PRIJEM	\N	136	34031	UROK	\N	\N
3438616	604	1996-05-31	PRIJEM	\N	149	37377	UROK	\N	\N
3438617	604	1996-06-30	PRIJEM	\N	152	36132	UROK	\N	\N
3438618	604	1996-07-31	PRIJEM	\N	151	35081	UROK	\N	\N
3438619	604	1996-08-31	PRIJEM	\N	153	38231	UROK	\N	\N
3438620	604	1996-09-30	PRIJEM	\N	156	37484	UROK	\N	\N
3438621	604	1996-10-31	PRIJEM	\N	159	39141	UROK	\N	\N
3438622	604	1996-11-30	PRIJEM	\N	162	39401	UROK	\N	\N
3438623	604	1996-12-31	PRIJEM	\N	169	41573	UROK	\N	\N
3438624	604	1997-01-31	PRIJEM	\N	156	32827	UROK	\N	\N
3438625	604	1997-02-28	PRIJEM	\N	161	37985	UROK	\N	\N
3438626	604	1997-03-31	PRIJEM	\N	169	41051	UROK	\N	\N
3438627	604	1997-04-30	PRIJEM	\N	179	44227	UROK	\N	\N
3438628	604	1997-05-31	PRIJEM	\N	182	44106	UROK	\N	\N
3438629	604	1997-06-30	PRIJEM	\N	154	35564	UROK	\N	\N
3438630	604	1997-07-31	PRIJEM	\N	153	37814	UROK	\N	\N
3438631	604	1997-08-31	PRIJEM	\N	187	47799	UROK	\N	\N
3438632	604	1997-09-30	PRIJEM	\N	205	50401	UROK	\N	\N
3438633	604	1997-10-31	PRIJEM	\N	210	51409	UROK	\N	\N
3438634	604	1997-11-30	PRIJEM	\N	225	55631	UROK	\N	\N
3438635	604	1997-12-31	PRIJEM	\N	236	59170	UROK	\N	\N
3438636	604	1998-01-31	PRIJEM	\N	205	45873	UROK	\N	\N
3438637	604	1998-02-28	PRIJEM	\N	203	50673	UROK	\N	\N
3438638	604	1998-03-31	PRIJEM	\N	212	50882	UROK	\N	\N
3438639	604	1998-04-30	PRIJEM	\N	226	56205	UROK	\N	\N
3438640	604	1998-05-31	PRIJEM	\N	220	52822	UROK	\N	\N
3438641	604	1998-06-30	PRIJEM	\N	203	33329	UROK	\N	\N
3438642	604	1998-07-31	PRIJEM	\N	156	39682	UROK	\N	\N
3438643	604	1998-08-31	PRIJEM	\N	179	45259	UROK	\N	\N
3438644	604	1998-09-30	PRIJEM	\N	200	50156	UROK	\N	\N
3438645	604	1998-10-31	PRIJEM	\N	197	48750	UROK	\N	\N
3438646	604	1998-11-30	PRIJEM	\N	183	46330	UROK	\N	\N
3438647	604	1998-12-31	PRIJEM	\N	179	47512	UROK	\N	\N
3438648	613	1996-09-30	PRIJEM	\N	64	20950	UROK	\N	\N
3438649	613	1996-10-31	PRIJEM	\N	124	32960	UROK	\N	\N
3438650	613	1996-11-30	PRIJEM	\N	159	39905	UROK	\N	\N
3438651	613	1996-12-31	PRIJEM	\N	182	44865	UROK	\N	\N
3438652	613	1997-01-31	PRIJEM	\N	157	22408	UROK	\N	\N
3438653	613	1997-02-28	PRIJEM	\N	131	32525	UROK	\N	\N
3438654	613	1997-03-31	PRIJEM	\N	128	30239	UROK	\N	\N
3438655	613	1997-04-30	PRIJEM	\N	165	26790	UROK	\N	\N
3438656	613	1997-05-31	PRIJEM	\N	102	23978	UROK	\N	\N
3438657	613	1997-06-30	PRIJEM	\N	138	32595	UROK	\N	\N
3438658	613	1997-07-31	PRIJEM	\N	123	19404	UROK	\N	\N
3438659	613	1997-08-31	PRIJEM	\N	109	27798	UROK	\N	\N
3438660	613	1997-09-30	PRIJEM	\N	139	35024	UROK	\N	\N
3438661	613	1997-10-31	PRIJEM	\N	145	34955	UROK	\N	\N
3438662	613	1997-11-30	PRIJEM	\N	158	38899	UROK	\N	\N
3438663	613	1997-12-31	PRIJEM	\N	174	42552	UROK	\N	\N
3438664	613	1998-01-31	PRIJEM	\N	111	19749	UROK	\N	\N
3438665	613	1998-02-28	PRIJEM	\N	102	26037	UROK	\N	\N
3438666	613	1998-03-31	PRIJEM	\N	114	27037	UROK	\N	\N
3438667	613	1998-04-30	PRIJEM	\N	94	21304	UROK	\N	\N
3438668	613	1998-05-31	PRIJEM	\N	92	22335	UROK	\N	\N
3438669	613	1998-06-30	PRIJEM	\N	95	41209	UROK	\N	\N
3438670	613	1998-07-31	PRIJEM	\N	112	22406	UROK	\N	\N
3438671	613	1998-08-31	PRIJEM	\N	94	34986	UROK	\N	\N
3438672	613	1998-09-30	PRIJEM	\N	120	23893	UROK	\N	\N
3438673	613	1998-10-31	PRIJEM	\N	97	19375	UROK	\N	\N
3438674	613	1998-11-30	PRIJEM	\N	94	25306	UROK	\N	\N
3438675	613	1998-12-31	PRIJEM	\N	144	37737	UROK	\N	\N
3438676	624	1993-10-31	PRIJEM	\N	22	16338	UROK	\N	\N
3438677	624	1993-11-30	PRIJEM	\N	119	38067	UROK	\N	\N
3438678	624	1993-12-31	PRIJEM	\N	158	29725	UROK	\N	\N
3438679	624	1994-01-31	PRIJEM	\N	200	27413	UROK	\N	\N
3438680	624	1994-02-28	PRIJEM	\N	160	42297	UROK	\N	\N
3438681	624	1994-03-31	PRIJEM	\N	158	38755	UROK	\N	\N
3438682	624	1994-04-30	PRIJEM	\N	160	30701	UROK	\N	\N
3438683	624	1994-05-31	PRIJEM	\N	128	28614	UROK	\N	\N
3438684	624	1994-06-30	PRIJEM	\N	207	84796	UROK	\N	\N
3438685	624	1994-07-31	PRIJEM	\N	436	42772	UROK	\N	\N
3438686	624	1994-08-31	PRIJEM	\N	176	35133	UROK	\N	\N
3438687	624	1994-09-30	PRIJEM	\N	200	53112	UROK	\N	\N
3438688	624	1994-10-31	PRIJEM	\N	149	32142	UROK	\N	\N
3438689	624	1994-11-30	PRIJEM	\N	235	83499	UROK	\N	\N
3438690	624	1994-12-31	PRIJEM	\N	295	56095	UROK	\N	\N
3438691	624	1995-01-31	PRIJEM	\N	141	40861	UROK	\N	\N
3438692	624	1995-02-28	PRIJEM	\N	282	71575	UROK	\N	\N
3438693	624	1995-03-31	PRIJEM	\N	242	42711	UROK	\N	\N
3438694	624	1995-04-30	PRIJEM	\N	288	39418	UROK	\N	\N
3438695	624	1995-05-31	PRIJEM	\N	239	99163	UROK	\N	\N
3438696	624	1995-06-30	PRIJEM	\N	267	27544	UROK	\N	\N
3438697	624	1995-07-31	PRIJEM	\N	194	97941	UROK	\N	\N
3438698	624	1995-08-31	PRIJEM	\N	273	70162	UROK	\N	\N
3438699	624	1995-09-30	PRIJEM	\N	284	52524	UROK	\N	\N
3438700	624	1995-10-31	PRIJEM	\N	210	49490	UROK	\N	\N
3438701	624	1995-11-30	PRIJEM	\N	168	28744	UROK	\N	\N
3438702	624	1995-12-31	PRIJEM	\N	114	25730	UROK	\N	\N
3438703	624	1996-01-31	PRIJEM	\N	141	95967	UROK	\N	\N
3438704	624	1996-02-29	PRIJEM	\N	324	52233	UROK	\N	\N
3438705	624	1996-03-31	PRIJEM	\N	292	44479	UROK	\N	\N
3438706	624	1996-04-30	PRIJEM	\N	207	47953	UROK	\N	\N
3438707	624	1996-05-31	PRIJEM	\N	253	50449	UROK	\N	\N
3438708	624	1996-06-30	PRIJEM	\N	227	60464	UROK	\N	\N
3438709	624	1996-07-31	PRIJEM	\N	335	54530	UROK	\N	\N
3438710	624	1996-08-31	PRIJEM	\N	283	52902	UROK	\N	\N
3438711	624	1996-09-30	PRIJEM	\N	390	59029	UROK	\N	\N
3438712	624	1996-10-31	PRIJEM	\N	255	80379	UROK	\N	\N
3438713	624	1996-11-30	PRIJEM	\N	390	42640	UROK	\N	\N
3438714	624	1996-12-31	PRIJEM	\N	275	68678	UROK	\N	\N
3438715	624	1997-01-31	PRIJEM	\N	151	29714	UROK	\N	\N
3438716	624	1997-02-28	PRIJEM	\N	120	28986	UROK	\N	\N
3438717	624	1997-03-31	PRIJEM	\N	264	60144	UROK	\N	\N
3438718	624	1997-04-30	PRIJEM	\N	244	87903	UROK	\N	\N
3438719	624	1997-05-31	PRIJEM	\N	330	93279	UROK	\N	\N
3438720	624	1997-06-30	PRIJEM	\N	380	65293	UROK	\N	\N
3438721	624	1997-07-31	PRIJEM	\N	238	43489	UROK	\N	\N
3438722	624	1997-08-31	PRIJEM	\N	216	88641	UROK	\N	\N
3438723	624	1997-09-30	PRIJEM	\N	417	42301	UROK	\N	\N
3438724	624	1997-10-31	PRIJEM	\N	236	90177	UROK	\N	\N
3438725	624	1997-11-30	PRIJEM	\N	414	102149	UROK	\N	\N
3438726	624	1997-12-31	PRIJEM	\N	345	68117	UROK	\N	\N
3438727	624	1998-01-31	PRIJEM	\N	261	87072	UROK	\N	\N
3438728	624	1998-02-28	PRIJEM	\N	353	56111	UROK	\N	\N
3438729	624	1998-03-31	PRIJEM	\N	224	60908	UROK	\N	\N
3438730	624	1998-04-30	PRIJEM	\N	246	46040	UROK	\N	\N
3438731	624	1998-05-31	PRIJEM	\N	186	64608	UROK	\N	\N
3438732	624	1998-06-30	PRIJEM	\N	237	47829	UROK	\N	\N
3438733	624	1998-07-31	PRIJEM	\N	190	36742	UROK	\N	\N
3438734	624	1998-08-31	PRIJEM	\N	146	29474	UROK	\N	\N
3438735	624	1998-09-30	PRIJEM	\N	116	23775	UROK	\N	\N
3438736	624	1998-10-31	PRIJEM	\N	132	40998	UROK	\N	\N
3438737	624	1998-11-30	PRIJEM	\N	163	49576	UROK	\N	\N
3438738	624	1998-12-31	PRIJEM	\N	190	37451	UROK	\N	\N
3438739	643	1997-11-30	PRIJEM	\N	8	15109	UROK	\N	\N
3438740	643	1997-12-31	PRIJEM	\N	72	28033	UROK	\N	\N
3438741	643	1998-01-31	PRIJEM	\N	122	34856	UROK	\N	\N
3438742	643	1998-02-28	PRIJEM	\N	143	31900	UROK	\N	\N
3438743	643	1998-03-31	PRIJEM	\N	134	32295	UROK	\N	\N
3438744	643	1998-04-30	PRIJEM	\N	137	36219	UROK	\N	\N
3438745	643	1998-05-31	PRIJEM	\N	153	33618	UROK	\N	\N
3438746	643	1998-06-30	PRIJEM	\N	137	30212	UROK	\N	\N
3438747	643	1998-07-31	PRIJEM	\N	129	33427	UROK	\N	\N
3438748	643	1998-08-31	PRIJEM	\N	136	30149	UROK	\N	\N
3438749	643	1998-09-30	PRIJEM	\N	127	31863	UROK	\N	\N
3438750	643	1998-10-31	PRIJEM	\N	133	31123	UROK	\N	\N
3438751	643	1998-11-30	PRIJEM	\N	131	30940	UROK	\N	\N
3438752	643	1998-12-31	PRIJEM	\N	137	35954	UROK	\N	\N
3438753	671	1997-12-31	PRIJEM	\N	6	10506	UROK	\N	\N
3438754	671	1998-01-31	PRIJEM	\N	47	15953	UROK	\N	\N
3438755	671	1998-02-28	PRIJEM	\N	68	20121	UROK	\N	\N
3438756	671	1998-03-31	PRIJEM	\N	82	17003	UROK	\N	\N
3438757	671	1998-04-30	PRIJEM	\N	70	16259	UROK	\N	\N
3438758	671	1998-05-31	PRIJEM	\N	69	16063	UROK	\N	\N
3438759	671	1998-06-30	PRIJEM	\N	67	14266	UROK	\N	\N
3438760	671	1998-07-31	PRIJEM	\N	57	11208	UROK	\N	\N
3438761	671	1998-08-31	PRIJEM	\N	121	40820	UROK	\N	\N
3438762	671	1998-09-30	PRIJEM	\N	154	24359	UROK	\N	\N
3438763	671	1998-10-31	PRIJEM	\N	95	18340	UROK	\N	\N
3438764	671	1998-11-30	PRIJEM	\N	70	12895	UROK	\N	\N
3438765	671	1998-12-31	PRIJEM	\N	54	12235	UROK	\N	\N
3438766	677	1997-10-31	PRIJEM	\N	61	23755	UROK	\N	\N
3438767	677	1997-11-30	PRIJEM	\N	127	34375	UROK	\N	\N
3438768	677	1997-12-31	PRIJEM	\N	169	44235	UROK	\N	\N
3438769	677	1998-01-31	PRIJEM	\N	176	41605	UROK	\N	\N
3438770	677	1998-02-28	PRIJEM	\N	179	43878	UROK	\N	\N
3438771	677	1998-03-31	PRIJEM	\N	191	46848	UROK	\N	\N
3438772	677	1998-04-30	PRIJEM	\N	194	46722	UROK	\N	\N
3438773	677	1998-05-31	PRIJEM	\N	189	44991	UROK	\N	\N
3438774	677	1998-06-30	PRIJEM	\N	175	27143	UROK	\N	\N
3438775	677	1998-07-31	PRIJEM	\N	130	32952	UROK	\N	\N
3438776	677	1998-08-31	PRIJEM	\N	144	35275	UROK	\N	\N
3438777	677	1998-09-30	PRIJEM	\N	214	32868	UROK	\N	\N
3438778	677	1998-10-31	PRIJEM	\N	204	30052	UROK	\N	\N
3438779	677	1998-11-30	PRIJEM	\N	136	33767	UROK	\N	\N
3438780	677	1998-12-31	PRIJEM	\N	189	46933	UROK	\N	\N
3438781	699	1993-09-30	PRIJEM	\N	66	47871	UROK	\N	\N
3438782	699	1993-10-31	PRIJEM	\N	199	34671	UROK	\N	\N
3438783	699	1993-11-30	PRIJEM	\N	199	28070	UROK	\N	\N
3438784	699	1993-12-31	PRIJEM	\N	199	28369	UROK	\N	\N
3438785	699	1994-01-31	PRIJEM	\N	210	58032	UROK	\N	\N
3438786	699	1994-02-28	PRIJEM	\N	289	76123	UROK	\N	\N
3438787	699	1994-03-31	PRIJEM	\N	326	118236	UROK	\N	\N
3438788	699	1994-04-30	PRIJEM	\N	368	54589	UROK	\N	\N
3438789	699	1994-05-31	PRIJEM	\N	239	80032	UROK	\N	\N
3438790	699	1994-06-30	PRIJEM	\N	330	54047	UROK	\N	\N
3438791	699	1994-07-31	PRIJEM	\N	235	61275	UROK	\N	\N
3438792	699	1994-08-31	PRIJEM	\N	229	46427	UROK	\N	\N
3438793	699	1994-09-30	PRIJEM	\N	210	70347	UROK	\N	\N
3438794	699	1994-10-31	PRIJEM	\N	380	100879	UROK	\N	\N
3438795	699	1994-11-30	PRIJEM	\N	391	111768	UROK	\N	\N
3438796	699	1994-12-31	PRIJEM	\N	327	71449	UROK	\N	\N
3438797	699	1995-01-31	PRIJEM	\N	351	91191	UROK	\N	\N
3438798	699	1995-02-28	PRIJEM	\N	327	79984	UROK	\N	\N
3438799	699	1995-03-31	PRIJEM	\N	349	100183	UROK	\N	\N
3438800	699	1995-04-30	PRIJEM	\N	395	101266	UROK	\N	\N
3438801	699	1995-05-31	PRIJEM	\N	404	80158	UROK	\N	\N
3438802	699	1995-06-30	PRIJEM	\N	179	29923	UROK	\N	\N
3438803	699	1995-07-31	PRIJEM	\N	124	34032	UROK	\N	\N
3438804	699	1995-08-31	PRIJEM	\N	148	52585	UROK	\N	\N
3438805	699	1995-09-30	PRIJEM	\N	232	58037	UROK	\N	\N
3438806	699	1995-10-31	PRIJEM	\N	198	31821	UROK	\N	\N
3438807	699	1995-11-30	PRIJEM	\N	132	36537	UROK	\N	\N
3438808	699	1995-12-31	PRIJEM	\N	191	59672	UROK	\N	\N
3438809	699	1996-01-31	PRIJEM	\N	344	77181	UROK	\N	\N
3438810	699	1996-02-29	PRIJEM	\N	372	100301	UROK	\N	\N
3438811	699	1996-03-31	PRIJEM	\N	377	110679	UROK	\N	\N
3438812	699	1996-04-30	PRIJEM	\N	448	91331	UROK	\N	\N
3438813	699	1996-05-31	PRIJEM	\N	332	53075	UROK	\N	\N
3438814	699	1996-06-30	PRIJEM	\N	161	5905	UROK	\N	\N
3438815	699	1996-07-31	PRIJEM	\N	97	68202	UROK	\N	\N
3438816	699	1996-08-31	PRIJEM	\N	299	75924	UROK	\N	\N
3438817	699	1996-09-30	PRIJEM	\N	268	61649	UROK	\N	\N
3438818	699	1996-10-31	PRIJEM	\N	221	65062	UROK	\N	\N
3438819	699	1996-11-30	PRIJEM	\N	198	48446	UROK	\N	\N
3438820	699	1996-12-31	PRIJEM	\N	236	55414	UROK	\N	\N
3438821	699	1997-01-31	PRIJEM	\N	231	48093	UROK	\N	\N
3438822	699	1997-02-28	PRIJEM	\N	195	48273	UROK	\N	\N
3438823	699	1997-03-31	PRIJEM	\N	161	52455	UROK	\N	\N
3438824	699	1997-04-30	PRIJEM	\N	213	43853	UROK	\N	\N
3438825	699	1997-05-31	PRIJEM	\N	169	33841	UROK	\N	\N
3438826	699	1997-06-30	PRIJEM	\N	133	23960	UROK	\N	\N
3438827	699	1997-07-31	PRIJEM	\N	106	46175	UROK	\N	\N
3438828	699	1997-08-31	PRIJEM	\N	188	47207	UROK	\N	\N
3438829	699	1997-09-30	PRIJEM	\N	133	33403	UROK	\N	\N
3438830	699	1997-10-31	PRIJEM	\N	135	42823	UROK	\N	\N
3438831	699	1997-11-30	PRIJEM	\N	135	32344	UROK	\N	\N
3438832	699	1997-12-31	PRIJEM	\N	115	37672	UROK	\N	\N
3438833	699	1998-01-31	PRIJEM	\N	177	54666	UROK	\N	\N
3438834	699	1998-02-28	PRIJEM	\N	271	61731	UROK	\N	\N
3438835	699	1998-03-31	PRIJEM	\N	276	82128	UROK	\N	\N
3438836	699	1998-04-30	PRIJEM	\N	318	55235	UROK	\N	\N
3438837	699	1998-05-31	PRIJEM	\N	250	80169	UROK	\N	\N
3438838	699	1998-06-30	PRIJEM	\N	260	87916	UROK	\N	\N
3438839	699	1998-07-31	PRIJEM	\N	347	76209	UROK	\N	\N
3438840	699	1998-08-31	PRIJEM	\N	316	81009	UROK	\N	\N
3438841	699	1998-09-30	PRIJEM	\N	292	98445	UROK	\N	\N
3438842	699	1998-10-31	PRIJEM	\N	379	96644	UROK	\N	\N
3438843	699	1998-11-30	PRIJEM	\N	419	91555	UROK	\N	\N
3438844	699	1998-12-31	PRIJEM	\N	429	113340	UROK	\N	\N
3438845	701	1993-06-30	PRIJEM	\N	7	3307	UROK	\N	\N
3438846	701	1993-07-31	PRIJEM	\N	34	13541	UROK	\N	\N
3438847	701	1993-08-31	PRIJEM	\N	76	21917	UROK	\N	\N
3438848	701	1993-09-30	PRIJEM	\N	98	24615	UROK	\N	\N
3438849	701	1993-10-31	PRIJEM	\N	103	24803	UROK	\N	\N
3438850	701	1993-11-30	PRIJEM	\N	102	24291	UROK	\N	\N
3438851	701	1993-12-31	PRIJEM	\N	86	19462	UROK	\N	\N
3438852	701	1994-01-31	PRIJEM	\N	117	59309	UROK	\N	\N
3438853	701	1994-02-28	PRIJEM	\N	215	41309	UROK	\N	\N
3438854	701	1994-03-31	PRIJEM	\N	155	34950	UROK	\N	\N
3438855	701	1994-04-30	PRIJEM	\N	138	31973	UROK	\N	\N
3438856	701	1994-05-31	PRIJEM	\N	122	27181	UROK	\N	\N
3438857	701	1994-06-30	PRIJEM	\N	113	24279	UROK	\N	\N
3438858	701	1994-07-31	PRIJEM	\N	99	23113	UROK	\N	\N
3438859	701	1994-08-31	PRIJEM	\N	102	25900	UROK	\N	\N
3438860	701	1994-09-30	PRIJEM	\N	143	46569	UROK	\N	\N
3438861	701	1994-10-31	PRIJEM	\N	166	37120	UROK	\N	\N
3438862	701	1994-11-30	PRIJEM	\N	140	35245	UROK	\N	\N
3438863	701	1994-12-31	PRIJEM	\N	123	28153	UROK	\N	\N
3438864	701	1995-01-31	PRIJEM	\N	115	22754	UROK	\N	\N
3438865	701	1995-02-28	PRIJEM	\N	95	25234	UROK	\N	\N
3438866	701	1995-03-31	PRIJEM	\N	101	24071	UROK	\N	\N
3438867	701	1995-04-30	PRIJEM	\N	101	28957	UROK	\N	\N
3438868	701	1995-05-31	PRIJEM	\N	120	29163	UROK	\N	\N
3438869	701	1995-06-30	PRIJEM	\N	120	25568	UROK	\N	\N
3438870	701	1995-07-31	PRIJEM	\N	107	25910	UROK	\N	\N
3438871	701	1995-08-31	PRIJEM	\N	112	29608	UROK	\N	\N
3438872	701	1995-09-30	PRIJEM	\N	120	28163	UROK	\N	\N
3438873	701	1995-10-31	PRIJEM	\N	149	40140	UROK	\N	\N
3438874	701	1995-11-30	PRIJEM	\N	165	35790	UROK	\N	\N
3438875	701	1995-12-31	PRIJEM	\N	139	29464	UROK	\N	\N
3438876	701	1996-01-31	PRIJEM	\N	101	23101	UROK	\N	\N
3438877	701	1996-02-29	PRIJEM	\N	96	23732	UROK	\N	\N
3438878	701	1996-03-31	PRIJEM	\N	98	23915	UROK	\N	\N
3438879	701	1996-04-30	PRIJEM	\N	103	27503	UROK	\N	\N
3438880	701	1996-05-31	PRIJEM	\N	111	25900	UROK	\N	\N
3438881	701	1996-06-30	PRIJEM	\N	104	23990	UROK	\N	\N
3438882	701	1996-07-31	PRIJEM	\N	101	26127	UROK	\N	\N
3438883	701	1996-08-31	PRIJEM	\N	102	23464	UROK	\N	\N
3438884	701	1996-09-30	PRIJEM	\N	101	26450	UROK	\N	\N
3438885	701	1996-10-31	PRIJEM	\N	105	24540	UROK	\N	\N
3438886	701	1996-11-30	PRIJEM	\N	101	24926	UROK	\N	\N
3438887	701	1996-12-31	PRIJEM	\N	177	54374	UROK	\N	\N
3438888	701	1997-01-31	PRIJEM	\N	193	29802	UROK	\N	\N
3438889	701	1997-02-28	PRIJEM	\N	120	28707	UROK	\N	\N
3438890	701	1997-03-31	PRIJEM	\N	112	25505	UROK	\N	\N
3438891	701	1997-04-30	PRIJEM	\N	118	72426	UROK	\N	\N
3438892	701	1997-05-31	PRIJEM	\N	301	50212	UROK	\N	\N
3438893	701	1997-06-30	PRIJEM	\N	173	34170	UROK	\N	\N
3438894	701	1997-07-31	PRIJEM	\N	140	34496	UROK	\N	\N
3438895	701	1997-08-31	PRIJEM	\N	185	50199	UROK	\N	\N
3438896	701	1997-09-30	PRIJEM	\N	196	45680	UROK	\N	\N
3438897	701	1997-10-31	PRIJEM	\N	188	41753	UROK	\N	\N
3438898	701	1997-11-30	PRIJEM	\N	168	40307	UROK	\N	\N
3438899	701	1997-12-31	PRIJEM	\N	160	35452	UROK	\N	\N
3438900	701	1998-01-31	PRIJEM	\N	128	26565	UROK	\N	\N
3438901	701	1998-02-28	PRIJEM	\N	112	28962	UROK	\N	\N
3438902	701	1998-03-31	PRIJEM	\N	132	46080	UROK	\N	\N
3438903	701	1998-04-30	PRIJEM	\N	171	38237	UROK	\N	\N
3438904	701	1998-05-31	PRIJEM	\N	150	35472	UROK	\N	\N
3438905	701	1998-06-30	PRIJEM	\N	105	23562	UROK	\N	\N
3438906	701	1998-07-31	PRIJEM	\N	229	56818	UROK	\N	\N
3438907	701	1998-08-31	PRIJEM	\N	217	51021	UROK	\N	\N
3438908	701	1998-09-30	PRIJEM	\N	199	46305	UROK	\N	\N
3438909	701	1998-10-31	PRIJEM	\N	191	47581	UROK	\N	\N
3438910	701	1998-11-30	PRIJEM	\N	183	41199	UROK	\N	\N
3438911	701	1998-12-31	PRIJEM	\N	173	44008	UROK	\N	\N
3438912	706	1996-05-31	PRIJEM	\N	54	19236	UROK	\N	\N
3438913	706	1996-06-30	PRIJEM	\N	154	46164	UROK	\N	\N
3438914	706	1996-07-31	PRIJEM	\N	202	49747	UROK	\N	\N
3438915	706	1996-08-31	PRIJEM	\N	214	52544	UROK	\N	\N
3438916	706	1996-09-30	PRIJEM	\N	224	54649	UROK	\N	\N
3438917	706	1996-10-31	PRIJEM	\N	228	55945	UROK	\N	\N
3438918	706	1996-11-30	PRIJEM	\N	228	54341	UROK	\N	\N
3438919	706	1996-12-31	PRIJEM	\N	250	62309	UROK	\N	\N
3438920	706	1997-01-31	PRIJEM	\N	233	40109	UROK	\N	\N
3438921	706	1997-02-28	PRIJEM	\N	190	48866	UROK	\N	\N
3438922	706	1997-03-31	PRIJEM	\N	203	49037	UROK	\N	\N
3438923	706	1997-04-30	PRIJEM	\N	207	50111	UROK	\N	\N
3438924	706	1997-05-31	PRIJEM	\N	203	46222	UROK	\N	\N
3438925	706	1997-06-30	PRIJEM	\N	223	57303	UROK	\N	\N
3438926	706	1997-07-31	PRIJEM	\N	213	49483	UROK	\N	\N
3438927	706	1997-08-31	PRIJEM	\N	135	14585	UROK	\N	\N
3438928	706	1997-09-30	PRIJEM	\N	62	19514	UROK	\N	\N
3438929	706	1997-10-31	PRIJEM	\N	82	22863	UROK	\N	\N
3438930	706	1997-11-30	PRIJEM	\N	96	25627	UROK	\N	\N
3438931	706	1997-12-31	PRIJEM	\N	109	31795	UROK	\N	\N
3438932	706	1998-01-31	PRIJEM	\N	151	24773	UROK	\N	\N
3438933	706	1998-02-28	PRIJEM	\N	103	25443	UROK	\N	\N
3438934	706	1998-03-31	PRIJEM	\N	105	24615	UROK	\N	\N
3438935	706	1998-04-30	PRIJEM	\N	101	23503	UROK	\N	\N
3438936	706	1998-05-31	PRIJEM	\N	118	23668	UROK	\N	\N
3438937	706	1998-06-30	PRIJEM	\N	123	19170	UROK	\N	\N
3438938	706	1998-07-31	PRIJEM	\N	97	15234	UROK	\N	\N
3438939	706	1998-08-31	PRIJEM	\N	63	16065	UROK	\N	\N
3438940	706	1998-09-30	PRIJEM	\N	64	14396	UROK	\N	\N
3438941	706	1998-10-31	PRIJEM	\N	61	32625	UROK	\N	\N
3438942	706	1998-11-30	PRIJEM	\N	124	23516	UROK	\N	\N
3438943	709	1994-08-31	PRIJEM	\N	21	25755	UROK	\N	\N
3438944	709	1994-09-30	PRIJEM	\N	116	33811	UROK	\N	\N
3438945	709	1994-10-31	PRIJEM	\N	172	80849	UROK	\N	\N
3438946	709	1994-11-30	PRIJEM	\N	308	44182	UROK	\N	\N
3438947	709	1994-12-31	PRIJEM	\N	123	12502	UROK	\N	\N
3438948	709	1995-01-31	PRIJEM	\N	92	19173	UROK	\N	\N
3438949	709	1995-02-28	PRIJEM	\N	78	18108	UROK	\N	\N
3438950	709	1995-03-31	PRIJEM	\N	58	3736	UROK	\N	\N
3438951	709	1995-04-30	PRIJEM	\N	36	11488	UROK	\N	\N
3438952	709	1995-05-31	PRIJEM	\N	49	20323	UROK	\N	\N
3438953	709	1995-06-30	PRIJEM	\N	157	32992	UROK	\N	\N
3438954	709	1995-07-31	PRIJEM	\N	134	18965	UROK	\N	\N
3438955	709	1995-08-31	PRIJEM	\N	136	55922	UROK	\N	\N
3438956	709	1995-09-30	PRIJEM	\N	296	64275	UROK	\N	\N
3438957	709	1995-10-31	PRIJEM	\N	214	35378	UROK	\N	\N
3438958	709	1995-11-30	PRIJEM	\N	123	16545	UROK	\N	\N
3438959	709	1995-12-31	PRIJEM	\N	106	31762	UROK	\N	\N
3438960	709	1996-01-31	PRIJEM	\N	92	13594	UROK	\N	\N
3438961	709	1996-02-29	PRIJEM	\N	57	19736	UROK	\N	\N
3438962	709	1996-03-31	PRIJEM	\N	82	22804	UROK	\N	\N
3438963	709	1996-04-30	PRIJEM	\N	130	39600	UROK	\N	\N
3438964	709	1996-05-31	PRIJEM	\N	167	42400	UROK	\N	\N
3438965	709	1996-06-30	PRIJEM	\N	175	34361	UROK	\N	\N
3438966	709	1996-07-31	PRIJEM	\N	162	52487	UROK	\N	\N
3438967	709	1996-08-31	PRIJEM	\N	245	63318	UROK	\N	\N
3438968	709	1996-09-30	PRIJEM	\N	210	43113	UROK	\N	\N
3438969	709	1996-10-31	PRIJEM	\N	214	80708	UROK	\N	\N
3438970	709	1996-11-30	PRIJEM	\N	333	60126	UROK	\N	\N
3438971	709	1996-12-31	PRIJEM	\N	199	36510	UROK	\N	\N
3438972	709	1997-01-31	PRIJEM	\N	129	15261	UROK	\N	\N
3438973	709	1997-02-28	PRIJEM	\N	71	21417	UROK	\N	\N
3438974	709	1997-03-31	PRIJEM	\N	209	33266	UROK	\N	\N
3438975	709	1997-04-30	PRIJEM	\N	223	76469	UROK	\N	\N
3438976	709	1997-05-31	PRIJEM	\N	258	49077	UROK	\N	\N
3438977	709	1997-06-30	PRIJEM	\N	255	102756	UROK	\N	\N
3438978	709	1997-07-31	PRIJEM	\N	423	72264	UROK	\N	\N
3438979	709	1997-08-31	PRIJEM	\N	372	80105	UROK	\N	\N
3438980	709	1997-09-30	PRIJEM	\N	395	98394	UROK	\N	\N
3438981	709	1997-10-31	PRIJEM	\N	368	65791	UROK	\N	\N
3438982	709	1997-11-30	PRIJEM	\N	301	81691	UROK	\N	\N
3438983	709	1997-12-31	PRIJEM	\N	411	95619	UROK	\N	\N
3438984	709	1998-01-31	PRIJEM	\N	280	53189	UROK	\N	\N
3438985	709	1998-02-28	PRIJEM	\N	278	78556	UROK	\N	\N
3438986	709	1998-03-31	PRIJEM	\N	274	51815	UROK	\N	\N
3438987	709	1998-04-30	PRIJEM	\N	249	67149	UROK	\N	\N
3438988	709	1998-05-31	PRIJEM	\N	259	76812	UROK	\N	\N
3438989	709	1998-06-30	PRIJEM	\N	290	37087	UROK	\N	\N
3438990	709	1998-07-31	PRIJEM	\N	148	21822	UROK	\N	\N
3438991	709	1998-08-31	PRIJEM	\N	109	28916	UROK	\N	\N
3438992	709	1998-09-30	PRIJEM	\N	119	43021	UROK	\N	\N
3438993	709	1998-10-31	PRIJEM	\N	174	44488	UROK	\N	\N
3438994	709	1998-11-30	PRIJEM	\N	186	74544	UROK	\N	\N
3438995	709	1998-12-31	PRIJEM	\N	278	58408	UROK	\N	\N
3438996	716	1994-10-31	PRIJEM	\N	19	19871	UROK	\N	\N
3438997	716	1994-11-30	PRIJEM	\N	93	30015	UROK	\N	\N
3438998	716	1994-12-31	PRIJEM	\N	139	42932	UROK	\N	\N
3438999	716	1995-01-31	PRIJEM	\N	177	41761	UROK	\N	\N
3439000	716	1995-02-28	PRIJEM	\N	177	45290	UROK	\N	\N
3439001	716	1995-03-31	PRIJEM	\N	203	40449	UROK	\N	\N
3439002	716	1995-04-30	PRIJEM	\N	174	37921	UROK	\N	\N
3439003	716	1995-05-31	PRIJEM	\N	162	41320	UROK	\N	\N
3439004	716	1995-06-30	PRIJEM	\N	168	36191	UROK	\N	\N
3439005	716	1995-07-31	PRIJEM	\N	156	40385	UROK	\N	\N
3439006	716	1995-08-31	PRIJEM	\N	167	37609	UROK	\N	\N
3439007	716	1995-09-30	PRIJEM	\N	158	38504	UROK	\N	\N
3439008	716	1995-10-31	PRIJEM	\N	167	42808	UROK	\N	\N
3439009	716	1995-11-30	PRIJEM	\N	189	42194	UROK	\N	\N
3439010	716	1995-12-31	PRIJEM	\N	174	37272	UROK	\N	\N
3439011	716	1996-01-31	PRIJEM	\N	139	13748	UROK	\N	\N
3439012	716	1996-02-29	PRIJEM	\N	80	25965	UROK	\N	\N
3439013	716	1996-03-31	PRIJEM	\N	122	33825	UROK	\N	\N
3439014	716	1996-04-30	PRIJEM	\N	140	33602	UROK	\N	\N
3439015	716	1996-05-31	PRIJEM	\N	142	34881	UROK	\N	\N
3439016	716	1996-06-30	PRIJEM	\N	134	28939	UROK	\N	\N
3439017	716	1996-07-31	PRIJEM	\N	127	32043	UROK	\N	\N
3439018	716	1996-08-31	PRIJEM	\N	136	33516	UROK	\N	\N
3439019	716	1996-09-30	PRIJEM	\N	141	34294	UROK	\N	\N
3439020	716	1996-10-31	PRIJEM	\N	187	36919	UROK	\N	\N
3439021	716	1996-11-30	PRIJEM	\N	185	50541	UROK	\N	\N
3439022	716	1996-12-31	PRIJEM	\N	223	58687	UROK	\N	\N
3439023	716	1997-01-31	PRIJEM	\N	223	35527	UROK	\N	\N
3439024	716	1997-02-28	PRIJEM	\N	176	48841	UROK	\N	\N
3439025	716	1997-03-31	PRIJEM	\N	210	52189	UROK	\N	\N
3439026	716	1997-04-30	PRIJEM	\N	224	52650	UROK	\N	\N
3439027	716	1997-05-31	PRIJEM	\N	224	57052	UROK	\N	\N
3439028	716	1997-06-30	PRIJEM	\N	244	64099	UROK	\N	\N
3439029	716	1997-07-31	PRIJEM	\N	264	63800	UROK	\N	\N
3439030	716	1997-08-31	PRIJEM	\N	257	59894	UROK	\N	\N
3439031	716	1997-09-30	PRIJEM	\N	246	59378	UROK	\N	\N
3439032	716	1997-10-31	PRIJEM	\N	250	61165	UROK	\N	\N
3439033	716	1997-11-30	PRIJEM	\N	250	60152	UROK	\N	\N
3439034	716	1997-12-31	PRIJEM	\N	258	62513	UROK	\N	\N
3439035	716	1998-01-31	PRIJEM	\N	135	26846	UROK	\N	\N
3439036	716	1998-02-28	PRIJEM	\N	142	41125	UROK	\N	\N
3439037	716	1998-03-31	PRIJEM	\N	183	46846	UROK	\N	\N
3439038	716	1998-04-30	PRIJEM	\N	198	49181	UROK	\N	\N
3439039	716	1998-05-31	PRIJEM	\N	207	51226	UROK	\N	\N
3439040	716	1998-06-30	PRIJEM	\N	184	26794	UROK	\N	\N
3439041	716	1998-07-31	PRIJEM	\N	151	40402	UROK	\N	\N
3439042	716	1998-08-31	PRIJEM	\N	184	51723	UROK	\N	\N
3439043	716	1998-09-30	PRIJEM	\N	226	57286	UROK	\N	\N
3439044	716	1998-10-31	PRIJEM	\N	240	58363	UROK	\N	\N
3439045	716	1998-11-30	PRIJEM	\N	243	59844	UROK	\N	\N
3439046	716	1998-12-31	PRIJEM	\N	233	67141	UROK	\N	\N
3439047	730	1993-10-31	PRIJEM	\N	63	57177	UROK	\N	\N
3439048	730	1993-11-30	PRIJEM	\N	283	50767	UROK	\N	\N
3439049	730	1993-12-31	PRIJEM	\N	210	39577	UROK	\N	\N
3439050	730	1994-01-31	PRIJEM	\N	210	33188	UROK	\N	\N
3439051	730	1994-02-28	PRIJEM	\N	238	59687	UROK	\N	\N
3439052	730	1994-03-31	PRIJEM	\N	234	41072	UROK	\N	\N
3439053	730	1994-04-30	PRIJEM	\N	185	79469	UROK	\N	\N
3439054	730	1994-05-31	PRIJEM	\N	262	51617	UROK	\N	\N
3439055	730	1994-06-30	PRIJEM	\N	177	11970	UROK	\N	\N
3439056	730	1994-07-31	PRIJEM	\N	85	63607	UROK	\N	\N
3439057	730	1994-08-31	PRIJEM	\N	247	47075	UROK	\N	\N
3439058	730	1994-09-30	PRIJEM	\N	209	56905	UROK	\N	\N
3439059	730	1994-10-31	PRIJEM	\N	235	44226	UROK	\N	\N
3439060	730	1994-11-30	PRIJEM	\N	191	44664	UROK	\N	\N
3439061	730	1994-12-31	PRIJEM	\N	276	79463	UROK	\N	\N
3439062	730	1995-01-31	PRIJEM	\N	274	33948	UROK	\N	\N
3439063	730	1995-02-28	PRIJEM	\N	68	19223	UROK	\N	\N
3439064	730	1995-03-31	PRIJEM	\N	189	63476	UROK	\N	\N
3439065	730	1995-04-30	PRIJEM	\N	232	42994	UROK	\N	\N
3439066	730	1995-05-31	PRIJEM	\N	186	44902	UROK	\N	\N
3439067	730	1995-06-30	PRIJEM	\N	195	35025	UROK	\N	\N
3439068	730	1995-07-31	PRIJEM	\N	201	52031	UROK	\N	\N
3439069	730	1995-08-31	PRIJEM	\N	183	30089	UROK	\N	\N
3439070	730	1995-09-30	PRIJEM	\N	90	36194	UROK	\N	\N
3439071	730	1995-10-31	PRIJEM	\N	298	61613	UROK	\N	\N
3439072	730	1995-11-30	PRIJEM	\N	285	38351	UROK	\N	\N
3439073	730	1995-12-31	PRIJEM	\N	116	21780	UROK	\N	\N
3439074	730	1996-01-31	PRIJEM	\N	89	8295	UROK	\N	\N
3439075	730	1996-02-29	PRIJEM	\N	229	96505	UROK	\N	\N
3439076	730	1996-03-31	PRIJEM	\N	361	71592	UROK	\N	\N
3439077	730	1996-04-30	PRIJEM	\N	416	65669	UROK	\N	\N
3439078	730	1996-05-31	PRIJEM	\N	222	49409	UROK	\N	\N
3439079	730	1996-06-30	PRIJEM	\N	183	69144	UROK	\N	\N
3439080	730	1996-07-31	PRIJEM	\N	278	64219	UROK	\N	\N
3439081	730	1996-08-31	PRIJEM	\N	288	59774	UROK	\N	\N
3439082	730	1996-09-30	PRIJEM	\N	285	63638	UROK	\N	\N
3439083	730	1996-10-31	PRIJEM	\N	270	49481	UROK	\N	\N
3439084	730	1996-11-30	PRIJEM	\N	215	51539	UROK	\N	\N
3439085	730	1996-12-31	PRIJEM	\N	183	30151	UROK	\N	\N
3439086	730	1997-01-31	PRIJEM	\N	80	7001	UROK	\N	\N
3439087	730	1997-02-28	PRIJEM	\N	95	50146	UROK	\N	\N
3439088	730	1997-03-31	PRIJEM	\N	282	90617	UROK	\N	\N
3439089	730	1997-04-30	PRIJEM	\N	313	92632	UROK	\N	\N
3439090	730	1997-05-31	PRIJEM	\N	353	70744	UROK	\N	\N
3439091	730	1997-06-30	PRIJEM	\N	171	51085	UROK	\N	\N
3439092	730	1997-07-31	PRIJEM	\N	197	44343	UROK	\N	\N
3439093	730	1997-08-31	PRIJEM	\N	217	79830	UROK	\N	\N
3439094	730	1997-09-30	PRIJEM	\N	319	80924	UROK	\N	\N
3439095	730	1997-10-31	PRIJEM	\N	276	65610	UROK	\N	\N
3439096	730	1997-11-30	PRIJEM	\N	252	68842	UROK	\N	\N
3439097	730	1997-12-31	PRIJEM	\N	380	111122	UROK	\N	\N
3439098	730	1998-01-31	PRIJEM	\N	228	21076	UROK	\N	\N
3439099	730	1998-02-28	PRIJEM	\N	175	76641	UROK	\N	\N
3439100	730	1998-03-31	PRIJEM	\N	313	66340	UROK	\N	\N
3439101	730	1998-04-30	PRIJEM	\N	336	93764	UROK	\N	\N
3439102	730	1998-05-31	PRIJEM	\N	314	74863	UROK	\N	\N
3439103	730	1998-06-30	PRIJEM	\N	347	69569	UROK	\N	\N
3439104	730	1998-07-31	PRIJEM	\N	281	60235	UROK	\N	\N
3439105	730	1998-08-31	PRIJEM	\N	370	102885	UROK	\N	\N
3439106	730	1998-09-30	PRIJEM	\N	345	51314	UROK	\N	\N
3439107	730	1998-10-31	PRIJEM	\N	188	43928	UROK	\N	\N
3439108	730	1998-11-30	PRIJEM	\N	295	89572	UROK	\N	\N
3439109	730	1998-12-31	PRIJEM	\N	335	82695	UROK	\N	\N
3439110	733	1995-05-31	PRIJEM	\N	22	27364	UROK	\N	\N
3439111	733	1995-06-30	PRIJEM	\N	114	26578	UROK	\N	\N
3439112	733	1995-07-31	PRIJEM	\N	198	62049	UROK	\N	\N
3439113	733	1995-08-31	PRIJEM	\N	278	76526	UROK	\N	\N
3439114	733	1995-09-30	PRIJEM	\N	350	84558	UROK	\N	\N
3439115	733	1995-10-31	PRIJEM	\N	247	42929	UROK	\N	\N
3439116	733	1995-11-30	PRIJEM	\N	123	27022	UROK	\N	\N
3439117	733	1995-12-31	PRIJEM	\N	254	87533	UROK	\N	\N
3439118	733	1996-01-31	PRIJEM	\N	215	56965	UROK	\N	\N
3439119	733	1996-02-29	PRIJEM	\N	235	43170	UROK	\N	\N
3439120	733	1996-03-31	PRIJEM	\N	243	67991	UROK	\N	\N
3439121	733	1996-04-30	PRIJEM	\N	278	64053	UROK	\N	\N
3439122	733	1996-05-31	PRIJEM	\N	215	48166	UROK	\N	\N
3439123	733	1996-06-30	PRIJEM	\N	225	69809	UROK	\N	\N
3439124	733	1996-07-31	PRIJEM	\N	239	70569	UROK	\N	\N
3439125	733	1996-08-31	PRIJEM	\N	209	25774	UROK	\N	\N
3439126	733	1996-09-30	PRIJEM	\N	94	71690	UROK	\N	\N
3439127	733	1996-10-31	PRIJEM	\N	167	34360	UROK	\N	\N
3439128	733	1996-11-30	PRIJEM	\N	142	31972	UROK	\N	\N
3439129	733	1996-12-31	PRIJEM	\N	256	68573	UROK	\N	\N
3439130	733	1997-01-31	PRIJEM	\N	191	54079	UROK	\N	\N
3439131	733	1997-02-28	PRIJEM	\N	220	72797	UROK	\N	\N
3439132	733	1997-03-31	PRIJEM	\N	352	77058	UROK	\N	\N
3439133	733	1997-04-30	PRIJEM	\N	315	70563	UROK	\N	\N
3439134	733	1997-05-31	PRIJEM	\N	256	60313	UROK	\N	\N
3439135	733	1997-06-30	PRIJEM	\N	275	90844	UROK	\N	\N
3439136	733	1997-07-31	PRIJEM	\N	305	71326	UROK	\N	\N
3439137	733	1997-08-31	PRIJEM	\N	211	44850	UROK	\N	\N
3439138	733	1997-09-30	PRIJEM	\N	185	42504	UROK	\N	\N
3439139	733	1997-10-31	PRIJEM	\N	175	42050	UROK	\N	\N
3439140	733	1997-11-30	PRIJEM	\N	111	20652	UROK	\N	\N
3439141	733	1997-12-31	PRIJEM	\N	150	41169	UROK	\N	\N
3439142	733	1998-01-31	PRIJEM	\N	262	71693	UROK	\N	\N
3439143	733	1998-02-28	PRIJEM	\N	270	87387	UROK	\N	\N
3439144	733	1998-03-31	PRIJEM	\N	466	108557	UROK	\N	\N
3439145	733	1998-04-30	PRIJEM	\N	425	75147	UROK	\N	\N
3439146	733	1998-05-31	PRIJEM	\N	307	58924	UROK	\N	\N
3439147	733	1998-06-30	PRIJEM	\N	435	76673	UROK	\N	\N
3439148	733	1998-07-31	PRIJEM	\N	236	48484	UROK	\N	\N
3439149	733	1998-08-31	PRIJEM	\N	199	50053	UROK	\N	\N
3439150	733	1998-09-30	PRIJEM	\N	219	97143	UROK	\N	\N
3439151	733	1998-10-31	PRIJEM	\N	428	109045	UROK	\N	\N
3439152	733	1998-11-30	PRIJEM	\N	265	59748	UROK	\N	\N
3439153	733	1998-12-31	PRIJEM	\N	387	84400	UROK	\N	\N
3439154	740	1994-10-31	PRIJEM	\N	3	21503	UROK	\N	\N
3439155	740	1994-11-30	PRIJEM	\N	81	19584	UROK	\N	\N
3439156	740	1994-12-31	PRIJEM	\N	81	18465	UROK	\N	\N
3439157	740	1995-02-28	PRIJEM	\N	90	20855	UROK	\N	\N
3439158	740	1995-02-28	PRIJEM	\N	81	20936	UROK	\N	\N
3439159	740	1995-03-31	PRIJEM	\N	81	21318	UROK	\N	\N
3439160	740	1995-04-30	PRIJEM	\N	81	20699	UROK	\N	\N
3439161	740	1995-05-31	PRIJEM	\N	81	21980	UROK	\N	\N
3439162	740	1995-06-30	PRIJEM	\N	81	22561	UROK	\N	\N
3439163	740	1995-07-31	PRIJEM	\N	81	22243	UROK	\N	\N
3439164	740	1995-08-31	PRIJEM	\N	81	19524	UROK	\N	\N
3439165	740	1995-09-30	PRIJEM	\N	81	18205	UROK	\N	\N
3439166	740	1995-10-31	PRIJEM	\N	81	19886	UROK	\N	\N
3439167	740	1995-11-30	PRIJEM	\N	81	18968	UROK	\N	\N
3439168	740	1995-12-31	PRIJEM	\N	81	20249	UROK	\N	\N
3439169	740	1996-01-31	PRIJEM	\N	81	19730	UROK	\N	\N
3439170	740	1996-03-31	PRIJEM	\N	81	24012	UROK	\N	\N
3439171	740	1996-04-30	PRIJEM	\N	81	22093	UROK	\N	\N
3439172	740	1996-05-31	PRIJEM	\N	81	22474	UROK	\N	\N
3439173	740	1996-06-30	PRIJEM	\N	81	20755	UROK	\N	\N
3439174	740	1996-07-31	PRIJEM	\N	81	21037	UROK	\N	\N
3439175	740	1996-08-31	PRIJEM	\N	81	24518	UROK	\N	\N
3439176	740	1996-09-30	PRIJEM	\N	81	24699	UROK	\N	\N
3439177	740	1996-10-31	PRIJEM	\N	81	21980	UROK	\N	\N
3439178	740	1996-11-30	PRIJEM	\N	81	21962	UROK	\N	\N
3439179	740	1996-12-31	PRIJEM	\N	81	23043	UROK	\N	\N
3439180	740	1997-01-31	PRIJEM	\N	81	22324	UROK	\N	\N
3439181	740	1997-02-28	PRIJEM	\N	81	23205	UROK	\N	\N
3439182	740	1997-03-31	PRIJEM	\N	81	20887	UROK	\N	\N
3439183	740	1997-04-30	PRIJEM	\N	81	24768	UROK	\N	\N
3439184	740	1997-05-31	PRIJEM	\N	81	23949	UROK	\N	\N
3439185	740	1997-06-30	PRIJEM	\N	81	22430	UROK	\N	\N
3439186	740	1997-07-31	PRIJEM	\N	81	25612	UROK	\N	\N
3439187	740	1997-08-31	PRIJEM	\N	81	24393	UROK	\N	\N
3439188	740	1997-09-30	PRIJEM	\N	81	18274	UROK	\N	\N
3439189	740	1997-10-31	PRIJEM	\N	81	19955	UROK	\N	\N
3439190	740	1997-11-30	PRIJEM	\N	81	21837	UROK	\N	\N
3439191	740	1997-12-31	PRIJEM	\N	81	21518	UROK	\N	\N
3439192	740	1998-01-31	PRIJEM	\N	81	20299	UROK	\N	\N
3439193	740	1998-02-28	PRIJEM	\N	81	26381	UROK	\N	\N
3439194	740	1998-03-31	PRIJEM	\N	81	24062	UROK	\N	\N
3439195	740	1998-04-30	PRIJEM	\N	81	25943	UROK	\N	\N
3439196	740	1998-05-31	PRIJEM	\N	81	21024	UROK	\N	\N
3439197	740	1998-06-30	PRIJEM	\N	81	23506	UROK	\N	\N
3439198	740	1998-07-31	PRIJEM	\N	81	21187	UROK	\N	\N
3439199	740	1998-08-31	PRIJEM	\N	81	23968	UROK	\N	\N
3439200	740	1998-09-30	PRIJEM	\N	81	24749	UROK	\N	\N
3439201	740	1998-10-31	PRIJEM	\N	81	21431	UROK	\N	\N
3439202	741	1994-07-31	PRIJEM	\N	5	2505	UROK	\N	\N
3439203	741	1994-08-31	PRIJEM	\N	126	56777	UROK	\N	\N
3439204	741	1994-09-30	PRIJEM	\N	200	42676	UROK	\N	\N
3439205	741	1994-10-31	PRIJEM	\N	157	35200	UROK	\N	\N
3439206	741	1994-11-30	PRIJEM	\N	138	32524	UROK	\N	\N
3439207	741	1994-12-31	PRIJEM	\N	135	30744	UROK	\N	\N
3439208	741	1995-01-31	PRIJEM	\N	108	15138	UROK	\N	\N
3439209	741	1995-02-28	PRIJEM	\N	78	22001	UROK	\N	\N
3439210	741	1995-03-31	PRIJEM	\N	107	28594	UROK	\N	\N
3439211	741	1995-04-30	PRIJEM	\N	119	28698	UROK	\N	\N
3439212	741	1995-05-31	PRIJEM	\N	124	31008	UROK	\N	\N
3439213	741	1995-06-30	PRIJEM	\N	125	28818	UROK	\N	\N
3439214	741	1995-07-31	PRIJEM	\N	217	52439	UROK	\N	\N
3439215	741	1995-08-31	PRIJEM	\N	296	81909	UROK	\N	\N
3439216	741	1995-09-30	PRIJEM	\N	279	57523	UROK	\N	\N
3439217	741	1995-10-31	PRIJEM	\N	219	47477	UROK	\N	\N
3439218	741	1995-11-30	PRIJEM	\N	186	41848	UROK	\N	\N
3439219	741	1995-12-31	PRIJEM	\N	173	42807	UROK	\N	\N
3439220	741	1996-01-31	PRIJEM	\N	126	17618	UROK	\N	\N
3439221	741	1996-02-29	PRIJEM	\N	98	27801	UROK	\N	\N
3439222	741	1996-03-31	PRIJEM	\N	213	56227	UROK	\N	\N
3439223	741	1996-04-30	PRIJEM	\N	214	46226	UROK	\N	\N
3439224	741	1996-05-31	PRIJEM	\N	188	44499	UROK	\N	\N
3439225	741	1996-06-30	PRIJEM	\N	150	19835	UROK	\N	\N
3439226	741	1996-07-31	PRIJEM	\N	117	35237	UROK	\N	\N
3439227	741	1996-08-31	PRIJEM	\N	158	41181	UROK	\N	\N
3439228	741	1996-09-30	PRIJEM	\N	184	47350	UROK	\N	\N
3439229	741	1996-10-31	PRIJEM	\N	199	49134	UROK	\N	\N
3439230	741	1996-11-30	PRIJEM	\N	195	49014	UROK	\N	\N
3439231	741	1996-12-31	PRIJEM	\N	238	56332	UROK	\N	\N
3439232	741	1997-01-31	PRIJEM	\N	195	45212	UROK	\N	\N
3439233	741	1997-02-28	PRIJEM	\N	186	44683	UROK	\N	\N
3439234	741	1997-03-31	PRIJEM	\N	179	43948	UROK	\N	\N
3439235	741	1997-04-30	PRIJEM	\N	182	43515	UROK	\N	\N
3439236	741	1997-05-31	PRIJEM	\N	180	44780	UROK	\N	\N
3439237	741	1997-06-30	PRIJEM	\N	179	33945	UROK	\N	\N
3439238	741	1997-07-31	PRIJEM	\N	147	39477	UROK	\N	\N
3439239	741	1997-08-31	PRIJEM	\N	191	64242	UROK	\N	\N
3439240	741	1997-09-30	PRIJEM	\N	264	58392	UROK	\N	\N
3439241	741	1997-10-31	PRIJEM	\N	240	53318	UROK	\N	\N
3439242	741	1997-11-30	PRIJEM	\N	281	73910	UROK	\N	\N
3439243	741	1997-12-31	PRIJEM	\N	296	62291	UROK	\N	\N
3439244	741	1998-01-31	PRIJEM	\N	243	48869	UROK	\N	\N
3439245	741	1998-02-28	PRIJEM	\N	203	48707	UROK	\N	\N
3439246	741	1998-03-31	PRIJEM	\N	207	52399	UROK	\N	\N
3439247	741	1998-04-30	PRIJEM	\N	222	57456	UROK	\N	\N
3439248	741	1998-05-31	PRIJEM	\N	241	61882	UROK	\N	\N
3439249	741	1998-06-30	PRIJEM	\N	248	84193	UROK	\N	\N
3439250	741	1998-07-31	PRIJEM	\N	334	73012	UROK	\N	\N
3439251	741	1998-08-31	PRIJEM	\N	288	63385	UROK	\N	\N
3439252	741	1998-09-30	PRIJEM	\N	254	58825	UROK	\N	\N
3439253	741	1998-10-31	PRIJEM	\N	240	57750	UROK	\N	\N
3439254	741	1998-11-30	PRIJEM	\N	236	57271	UROK	\N	\N
3439255	741	1998-12-31	PRIJEM	\N	233	56589	UROK	\N	\N
3439256	756	1997-07-31	PRIJEM	\N	8	63608	UROK	\N	\N
3439257	756	1997-08-31	PRIJEM	\N	254	59862	UROK	\N	\N
3439258	756	1997-09-30	PRIJEM	\N	254	64117	UROK	\N	\N
3439259	756	1997-10-31	PRIJEM	\N	254	66771	UROK	\N	\N
3439260	756	1997-11-30	PRIJEM	\N	254	67225	UROK	\N	\N
3439261	756	1997-12-31	PRIJEM	\N	254	69079	UROK	\N	\N
3439262	756	1998-01-31	PRIJEM	\N	254	71833	UROK	\N	\N
3439263	756	1998-02-28	PRIJEM	\N	254	70888	UROK	\N	\N
3439264	756	1998-03-31	PRIJEM	\N	254	72042	UROK	\N	\N
3439265	756	1998-04-30	PRIJEM	\N	254	71196	UROK	\N	\N
3439266	756	1998-05-31	PRIJEM	\N	254	72750	UROK	\N	\N
3439267	756	1998-06-30	PRIJEM	\N	254	73504	UROK	\N	\N
3439268	756	1998-07-31	PRIJEM	\N	254	77359	UROK	\N	\N
3439269	756	1998-08-31	PRIJEM	\N	254	78113	UROK	\N	\N
3439270	756	1998-09-30	PRIJEM	\N	254	81167	UROK	\N	\N
3439271	756	1998-10-31	PRIJEM	\N	254	83921	UROK	\N	\N
3439272	761	1995-10-31	PRIJEM	\N	3	26403	UROK	\N	\N
3439273	761	1995-11-30	PRIJEM	\N	106	28710	UROK	\N	\N
3439274	761	1995-12-31	PRIJEM	\N	106	27316	UROK	\N	\N
3439275	761	1996-01-31	PRIJEM	\N	106	27022	UROK	\N	\N
3439276	761	1996-02-29	PRIJEM	\N	106	29529	UROK	\N	\N
3439277	761	1996-03-31	PRIJEM	\N	106	28835	UROK	\N	\N
3439278	761	1996-04-30	PRIJEM	\N	106	30441	UROK	\N	\N
3439279	761	1996-05-31	PRIJEM	\N	106	30847	UROK	\N	\N
3439280	761	1996-06-30	PRIJEM	\N	106	31654	UROK	\N	\N
3439281	761	1996-07-31	PRIJEM	\N	106	31660	UROK	\N	\N
3439282	761	1996-08-31	PRIJEM	\N	106	32866	UROK	\N	\N
3439283	761	1996-09-30	PRIJEM	\N	106	31072	UROK	\N	\N
3439284	761	1996-10-31	PRIJEM	\N	106	29879	UROK	\N	\N
3439285	761	1996-11-30	PRIJEM	\N	106	32285	UROK	\N	\N
3439286	761	1996-12-31	PRIJEM	\N	106	37291	UROK	\N	\N
3439287	761	1997-01-31	PRIJEM	\N	106	42097	UROK	\N	\N
3439288	761	1997-02-28	PRIJEM	\N	106	46604	UROK	\N	\N
3439289	761	1997-03-31	PRIJEM	\N	106	50410	UROK	\N	\N
3439290	761	1997-04-30	PRIJEM	\N	106	47516	UROK	\N	\N
3439291	761	1997-05-31	PRIJEM	\N	106	44222	UROK	\N	\N
3439292	761	1997-06-30	PRIJEM	\N	106	40929	UROK	\N	\N
3439293	761	1997-07-31	PRIJEM	\N	106	39835	UROK	\N	\N
3439294	761	1997-08-31	PRIJEM	\N	106	42741	UROK	\N	\N
3439295	761	1997-09-30	PRIJEM	\N	106	47547	UROK	\N	\N
3439296	761	1997-10-31	PRIJEM	\N	106	52154	UROK	\N	\N
3439297	761	1997-11-30	PRIJEM	\N	106	56660	UROK	\N	\N
3439298	761	1997-12-31	PRIJEM	\N	106	59766	UROK	\N	\N
3439299	761	1998-01-31	PRIJEM	\N	106	61172	UROK	\N	\N
3439300	761	1998-02-28	PRIJEM	\N	106	61179	UROK	\N	\N
3439301	761	1998-03-31	PRIJEM	\N	106	62485	UROK	\N	\N
3439302	761	1998-04-30	PRIJEM	\N	106	66191	UROK	\N	\N
3439303	761	1998-05-31	PRIJEM	\N	106	66098	UROK	\N	\N
3439304	761	1998-06-30	PRIJEM	\N	106	65104	UROK	\N	\N
3439305	761	1998-07-31	PRIJEM	\N	106	62710	UROK	\N	\N
3439306	761	1998-08-31	PRIJEM	\N	106	60416	UROK	\N	\N
3439307	761	1998-09-30	PRIJEM	\N	106	64823	UROK	\N	\N
3439308	761	1998-10-31	PRIJEM	\N	106	65029	UROK	\N	\N
3439309	765	1997-01-31	PRIJEM	\N	21	12221	UROK	\N	\N
3439310	765	1997-02-28	PRIJEM	\N	56	15377	UROK	\N	\N
3439311	765	1997-03-31	PRIJEM	\N	78	34422	UROK	\N	\N
3439312	765	1997-04-30	PRIJEM	\N	141	33364	UROK	\N	\N
3439313	765	1997-05-31	PRIJEM	\N	188	46881	UROK	\N	\N
3439314	765	1997-06-30	PRIJEM	\N	171	35638	UROK	\N	\N
3439315	765	1997-07-31	PRIJEM	\N	147	35171	UROK	\N	\N
3439316	765	1997-08-31	PRIJEM	\N	150	37106	UROK	\N	\N
3439317	765	1997-09-30	PRIJEM	\N	154	35996	UROK	\N	\N
3439318	765	1997-10-31	PRIJEM	\N	156	38937	UROK	\N	\N
3439319	765	1997-11-30	PRIJEM	\N	168	41590	UROK	\N	\N
3439320	765	1997-12-31	PRIJEM	\N	177	43352	UROK	\N	\N
3439321	765	1998-01-31	PRIJEM	\N	163	39600	UROK	\N	\N
3439322	765	1998-02-28	PRIJEM	\N	232	83996	UROK	\N	\N
3439323	765	1998-03-31	PRIJEM	\N	309	66390	UROK	\N	\N
3439324	765	1998-04-30	PRIJEM	\N	261	59536	UROK	\N	\N
3439325	765	1998-05-31	PRIJEM	\N	234	53555	UROK	\N	\N
3439326	765	1998-06-30	PRIJEM	\N	209	50452	UROK	\N	\N
3439327	765	1998-07-31	PRIJEM	\N	218	54354	UROK	\N	\N
3439328	765	1998-08-31	PRIJEM	\N	236	56925	UROK	\N	\N
3439329	765	1998-09-30	PRIJEM	\N	238	57549	UROK	\N	\N
3439330	765	1998-10-31	PRIJEM	\N	238	56722	UROK	\N	\N
3439331	765	1998-11-30	PRIJEM	\N	237	57244	UROK	\N	\N
3439332	765	1998-12-31	PRIJEM	\N	227	53356	UROK	\N	\N
3439333	770	1996-10-31	PRIJEM	\N	18	16309	UROK	\N	\N
3439334	770	1996-11-30	PRIJEM	\N	80	27179	UROK	\N	\N
3439335	770	1996-12-31	PRIJEM	\N	123	35488	UROK	\N	\N
3439336	770	1997-01-31	PRIJEM	\N	150	37630	UROK	\N	\N
3439337	770	1997-02-28	PRIJEM	\N	153	34674	UROK	\N	\N
3439338	770	1997-03-31	PRIJEM	\N	142	32692	UROK	\N	\N
3439339	770	1997-04-30	PRIJEM	\N	136	32404	UROK	\N	\N
3439340	770	1997-05-31	PRIJEM	\N	130	27910	UROK	\N	\N
3439341	770	1997-06-30	PRIJEM	\N	136	22418	UROK	\N	\N
3439342	770	1997-07-31	PRIJEM	\N	113	28707	UROK	\N	\N
3439343	770	1997-08-31	PRIJEM	\N	122	30605	UROK	\N	\N
3439344	770	1997-09-30	PRIJEM	\N	126	27507	UROK	\N	\N
3439345	770	1997-10-31	PRIJEM	\N	120	30503	UROK	\N	\N
3439346	770	1997-11-30	PRIJEM	\N	135	34914	UROK	\N	\N
3439347	770	1997-12-31	PRIJEM	\N	151	34736	UROK	\N	\N
3439348	770	1998-01-31	PRIJEM	\N	140	25453	UROK	\N	\N
3439349	770	1998-02-28	PRIJEM	\N	111	28141	UROK	\N	\N
3439350	770	1998-03-31	PRIJEM	\N	135	34953	UROK	\N	\N
3439351	770	1998-04-30	PRIJEM	\N	151	35280	UROK	\N	\N
3439352	770	1998-05-31	PRIJEM	\N	153	38409	UROK	\N	\N
3439353	770	1998-06-30	PRIJEM	\N	123	20203	UROK	\N	\N
3439354	770	1998-07-31	PRIJEM	\N	107	31287	UROK	\N	\N
3439355	770	1998-08-31	PRIJEM	\N	135	32498	UROK	\N	\N
3439356	770	1998-09-30	PRIJEM	\N	131	30706	UROK	\N	\N
3439357	770	1998-10-31	PRIJEM	\N	130	31712	UROK	\N	\N
3439358	770	1998-11-30	PRIJEM	\N	139	34827	UROK	\N	\N
3439359	770	1998-12-31	PRIJEM	\N	175	46974	UROK	\N	\N
3439360	774	1993-06-30	PRIJEM	\N	6	2906	UROK	\N	\N
3439361	774	1993-07-31	PRIJEM	\N	37	13943	UROK	\N	\N
3439362	774	1993-08-31	PRIJEM	\N	71	19213	UROK	\N	\N
3439363	774	1993-09-30	PRIJEM	\N	91	24240	UROK	\N	\N
3439364	774	1993-10-31	PRIJEM	\N	102	24527	UROK	\N	\N
3439365	774	1993-11-30	PRIJEM	\N	146	62125	UROK	\N	\N
3439366	774	1993-12-31	PRIJEM	\N	214	40423	UROK	\N	\N
3439367	774	1994-01-31	PRIJEM	\N	125	26734	UROK	\N	\N
3439368	774	1994-02-28	PRIJEM	\N	97	23166	UROK	\N	\N
3439369	774	1994-03-31	PRIJEM	\N	115	74422	UROK	\N	\N
3439370	774	1994-04-30	PRIJEM	\N	260	53668	UROK	\N	\N
3439371	774	1994-05-31	PRIJEM	\N	200	43553	UROK	\N	\N
3439372	774	1994-06-30	PRIJEM	\N	91	19779	UROK	\N	\N
3439373	774	1994-07-31	PRIJEM	\N	98	27362	UROK	\N	\N
3439374	774	1994-08-31	PRIJEM	\N	124	31771	UROK	\N	\N
3439375	774	1994-09-30	PRIJEM	\N	128	30185	UROK	\N	\N
3439376	774	1994-10-31	PRIJEM	\N	130	32700	UROK	\N	\N
3439377	774	1994-11-30	PRIJEM	\N	136	34221	UROK	\N	\N
3439378	774	1994-12-31	PRIJEM	\N	156	38828	UROK	\N	\N
3439379	774	1995-01-31	PRIJEM	\N	144	33658	UROK	\N	\N
3439380	774	1995-02-28	PRIJEM	\N	144	36187	UROK	\N	\N
3439381	774	1995-03-31	PRIJEM	\N	227	52895	UROK	\N	\N
3439382	774	1995-04-30	PRIJEM	\N	218	43648	UROK	\N	\N
3439383	774	1995-05-31	PRIJEM	\N	184	40917	UROK	\N	\N
3439384	774	1995-06-30	PRIJEM	\N	162	28464	UROK	\N	\N
3439385	774	1995-07-31	PRIJEM	\N	123	31973	UROK	\N	\N
3439386	774	1995-08-31	PRIJEM	\N	136	33294	UROK	\N	\N
3439387	774	1995-09-30	PRIJEM	\N	197	42964	UROK	\N	\N
3439388	774	1995-10-31	PRIJEM	\N	176	36926	UROK	\N	\N
3439389	774	1995-11-30	PRIJEM	\N	153	33864	UROK	\N	\N
3439390	774	1995-12-31	PRIJEM	\N	137	28586	UROK	\N	\N
3439391	774	1996-01-31	PRIJEM	\N	106	26227	UROK	\N	\N
3439392	774	1996-02-29	PRIJEM	\N	112	28025	UROK	\N	\N
3439393	774	1996-03-31	PRIJEM	\N	122	32132	UROK	\N	\N
3439394	774	1996-04-30	PRIJEM	\N	176	43513	UROK	\N	\N
3439395	774	1996-05-31	PRIJEM	\N	166	36465	UROK	\N	\N
3439396	774	1996-06-30	PRIJEM	\N	150	32150	UROK	\N	\N
3439397	774	1996-07-31	PRIJEM	\N	160	78362	UROK	\N	\N
3439398	774	1996-08-31	PRIJEM	\N	290	54438	UROK	\N	\N
3439399	774	1996-09-30	PRIJEM	\N	202	39426	UROK	\N	\N
3439400	774	1996-10-31	PRIJEM	\N	153	33164	UROK	\N	\N
3439401	774	1996-11-30	PRIJEM	\N	128	28527	UROK	\N	\N
3439402	774	1996-12-31	PRIJEM	\N	115	27028	UROK	\N	\N
3439403	774	1997-01-31	PRIJEM	\N	80	18343	UROK	\N	\N
3439404	774	1997-02-28	PRIJEM	\N	80	21408	UROK	\N	\N
3439405	774	1997-03-31	PRIJEM	\N	87	21580	UROK	\N	\N
3439406	774	1997-04-30	PRIJEM	\N	100	45267	UROK	\N	\N
3439407	774	1997-05-31	PRIJEM	\N	168	35620	UROK	\N	\N
3439408	774	1997-06-30	PRIJEM	\N	128	20383	UROK	\N	\N
3439409	774	1997-07-31	PRIJEM	\N	84	23485	UROK	\N	\N
3439410	774	1997-08-31	PRIJEM	\N	103	27474	UROK	\N	\N
3439411	774	1997-09-30	PRIJEM	\N	114	28773	UROK	\N	\N
3439412	774	1997-10-31	PRIJEM	\N	123	31581	UROK	\N	\N
3439413	774	1997-11-30	PRIJEM	\N	131	32897	UROK	\N	\N
3439414	774	1997-12-31	PRIJEM	\N	127	31859	UROK	\N	\N
3439415	774	1998-01-31	PRIJEM	\N	114	23859	UROK	\N	\N
3439416	774	1998-02-28	PRIJEM	\N	105	28949	UROK	\N	\N
3439417	774	1998-03-31	PRIJEM	\N	123	31757	UROK	\N	\N
3439418	774	1998-04-30	PRIJEM	\N	125	30067	UROK	\N	\N
3439419	774	1998-05-31	PRIJEM	\N	117	28469	UROK	\N	\N
3439420	774	1998-06-30	PRIJEM	\N	127	29519	UROK	\N	\N
3439421	774	1998-07-31	PRIJEM	\N	113	27518	UROK	\N	\N
3439422	774	1998-08-31	PRIJEM	\N	110	27963	UROK	\N	\N
3439423	774	1998-09-30	PRIJEM	\N	100	24398	UROK	\N	\N
3439424	774	1998-10-31	PRIJEM	\N	88	20872	UROK	\N	\N
3439425	774	1998-11-30	PRIJEM	\N	81	20338	UROK	\N	\N
3439426	774	1998-12-31	PRIJEM	\N	102	64833	UROK	\N	\N
3439427	779	1996-09-30	PRIJEM	\N	56	21340	UROK	\N	\N
3439428	779	1996-10-31	PRIJEM	\N	109	28933	UROK	\N	\N
3439429	779	1996-11-30	PRIJEM	\N	138	35455	UROK	\N	\N
3439430	779	1996-12-31	PRIJEM	\N	163	40944	UROK	\N	\N
3439431	779	1997-01-31	PRIJEM	\N	160	31987	UROK	\N	\N
3439432	779	1997-02-28	PRIJEM	\N	150	37606	UROK	\N	\N
3439433	779	1997-03-31	PRIJEM	\N	147	34423	UROK	\N	\N
3439434	779	1997-04-30	PRIJEM	\N	143	34435	UROK	\N	\N
3439435	779	1997-05-31	PRIJEM	\N	147	35752	UROK	\N	\N
3439436	779	1997-06-30	PRIJEM	\N	148	35511	UROK	\N	\N
3439437	779	1997-07-31	PRIJEM	\N	131	27691	UROK	\N	\N
3439438	779	1997-08-31	PRIJEM	\N	105	24465	UROK	\N	\N
3439439	779	1997-09-30	PRIJEM	\N	93	21848	UROK	\N	\N
3439440	779	1997-10-31	PRIJEM	\N	105	26022	UROK	\N	\N
3439441	779	1997-11-30	PRIJEM	\N	109	26300	UROK	\N	\N
3439442	779	1997-12-31	PRIJEM	\N	129	31501	UROK	\N	\N
3439443	779	1998-01-31	PRIJEM	\N	88	16898	UROK	\N	\N
3439444	779	1998-02-28	PRIJEM	\N	110	28177	UROK	\N	\N
3439445	779	1998-03-31	PRIJEM	\N	108	25755	UROK	\N	\N
3439446	779	1998-04-30	PRIJEM	\N	101	21065	UROK	\N	\N
3439447	779	1998-05-31	PRIJEM	\N	73	16568	UROK	\N	\N
3439448	779	1998-06-30	PRIJEM	\N	118	30397	UROK	\N	\N
3439449	779	1998-07-31	PRIJEM	\N	128	31095	UROK	\N	\N
3439450	779	1998-08-31	PRIJEM	\N	130	31494	UROK	\N	\N
3439451	779	1998-09-30	PRIJEM	\N	128	29012	UROK	\N	\N
3439452	779	1998-10-31	PRIJEM	\N	133	32715	UROK	\N	\N
3439453	779	1998-11-30	PRIJEM	\N	107	23451	UROK	\N	\N
3439454	779	1998-12-31	PRIJEM	\N	141	33603	UROK	\N	\N
3439455	796	1997-05-31	PRIJEM	\N	52	21723	UROK	\N	\N
3439456	796	1997-06-30	PRIJEM	\N	90	22514	UROK	\N	\N
3439457	796	1997-07-31	PRIJEM	\N	90	23404	UROK	\N	\N
3439458	796	1997-08-31	PRIJEM	\N	90	25194	UROK	\N	\N
3439459	796	1997-09-30	PRIJEM	\N	98	50180	UROK	\N	\N
3439460	796	1997-10-31	PRIJEM	\N	209	37988	UROK	\N	\N
3439461	796	1997-11-30	PRIJEM	\N	209	30997	UROK	\N	\N
3439462	796	1997-12-31	PRIJEM	\N	209	31506	UROK	\N	\N
3439463	796	1998-01-31	PRIJEM	\N	209	29914	UROK	\N	\N
3439464	796	1998-02-28	PRIJEM	\N	209	29423	UROK	\N	\N
3439465	796	1998-03-31	PRIJEM	\N	209	29032	UROK	\N	\N
3439466	796	1998-04-30	PRIJEM	\N	209	31140	UROK	\N	\N
3439467	796	1998-05-31	PRIJEM	\N	232	63906	UROK	\N	\N
3439468	796	1998-06-30	PRIJEM	\N	265	44871	UROK	\N	\N
3439469	796	1998-07-31	PRIJEM	\N	259	47149	UROK	\N	\N
3439470	796	1998-08-31	PRIJEM	\N	217	64063	UROK	\N	\N
3439471	796	1998-09-30	PRIJEM	\N	265	50113	UROK	\N	\N
3439472	796	1998-10-31	PRIJEM	\N	157	21874	UROK	\N	\N
3439473	796	1998-11-30	PRIJEM	\N	92	32852	UROK	\N	\N
3439474	796	1998-12-31	PRIJEM	\N	109	23073	UROK	\N	\N
3439475	797	1996-12-31	PRIJEM	\N	57	35551	UROK	\N	\N
3439476	797	1997-01-31	PRIJEM	\N	166	46080	UROK	\N	\N
3439477	797	1997-02-28	PRIJEM	\N	199	50742	UROK	\N	\N
3439478	797	1997-03-31	PRIJEM	\N	215	53220	UROK	\N	\N
3439479	797	1997-04-30	PRIJEM	\N	224	55007	UROK	\N	\N
3439480	797	1997-05-31	PRIJEM	\N	228	54383	UROK	\N	\N
3439481	797	1997-06-30	PRIJEM	\N	240	61802	UROK	\N	\N
3439482	797	1997-07-31	PRIJEM	\N	237	51283	UROK	\N	\N
3439483	797	1997-08-31	PRIJEM	\N	223	56255	UROK	\N	\N
3439484	797	1997-09-30	PRIJEM	\N	264	53767	UROK	\N	\N
3439485	797	1997-10-31	PRIJEM	\N	246	41255	UROK	\N	\N
3439486	797	1997-11-30	PRIJEM	\N	207	49710	UROK	\N	\N
3439487	797	1997-12-31	PRIJEM	\N	223	39226	UROK	\N	\N
3439488	797	1998-01-31	PRIJEM	\N	156	13042	UROK	\N	\N
3439489	797	1998-02-28	PRIJEM	\N	117	39708	UROK	\N	\N
3439490	797	1998-03-31	PRIJEM	\N	197	29222	UROK	\N	\N
3439491	797	1998-04-30	PRIJEM	\N	164	47535	UROK	\N	\N
3439492	797	1998-05-31	PRIJEM	\N	218	56202	UROK	\N	\N
3439493	797	1998-06-30	PRIJEM	\N	257	62138	UROK	\N	\N
3439494	797	1998-07-31	PRIJEM	\N	163	11406	UROK	\N	\N
3439495	797	1998-08-31	PRIJEM	\N	129	32502	UROK	\N	\N
3439496	797	1998-09-30	PRIJEM	\N	184	50334	UROK	\N	\N
3439497	797	1998-10-31	PRIJEM	\N	173	36683	UROK	\N	\N
3439498	797	1998-11-30	PRIJEM	\N	140	16161	UROK	\N	\N
3439499	797	1998-12-31	PRIJEM	\N	173	39014	UROK	\N	\N
3439500	847	1996-08-31	PRIJEM	\N	17	10617	UROK	\N	\N
3439501	847	1996-09-30	PRIJEM	\N	57	18474	UROK	\N	\N
3439502	847	1996-10-31	PRIJEM	\N	83	22258	UROK	\N	\N
3439503	847	1996-11-30	PRIJEM	\N	97	24855	UROK	\N	\N
3439504	847	1996-12-31	PRIJEM	\N	95	19549	UROK	\N	\N
3439505	847	1997-01-31	PRIJEM	\N	66	12401	UROK	\N	\N
3439506	847	1997-02-28	PRIJEM	\N	66	19952	UROK	\N	\N
3439507	847	1997-03-31	PRIJEM	\N	88	20525	UROK	\N	\N
3439508	847	1997-04-30	PRIJEM	\N	93	24604	UROK	\N	\N
3439509	847	1997-05-31	PRIJEM	\N	123	54671	UROK	\N	\N
3439510	847	1997-06-30	PRIJEM	\N	190	21247	UROK	\N	\N
3439511	847	1997-07-31	PRIJEM	\N	91	22424	UROK	\N	\N
3439512	847	1997-08-31	PRIJEM	\N	123	42590	UROK	\N	\N
3439513	847	1997-09-30	PRIJEM	\N	177	29552	UROK	\N	\N
3439514	847	1997-10-31	PRIJEM	\N	116	26253	UROK	\N	\N
3439515	847	1997-11-30	PRIJEM	\N	104	23542	UROK	\N	\N
3439516	847	1997-12-31	PRIJEM	\N	101	24628	UROK	\N	\N
3439517	847	1998-01-31	PRIJEM	\N	80	19644	UROK	\N	\N
3439518	847	1998-02-28	PRIJEM	\N	97	26926	UROK	\N	\N
3439519	847	1998-03-31	PRIJEM	\N	117	29929	UROK	\N	\N
3439520	847	1998-04-30	PRIJEM	\N	127	31791	UROK	\N	\N
3439521	847	1998-05-31	PRIJEM	\N	137	33514	UROK	\N	\N
3439522	847	1998-06-30	PRIJEM	\N	123	18522	UROK	\N	\N
3439523	847	1998-07-31	PRIJEM	\N	101	28809	UROK	\N	\N
3439524	847	1998-08-31	PRIJEM	\N	299	93865	UROK	\N	\N
3439525	847	1998-09-30	PRIJEM	\N	329	69379	UROK	\N	\N
3439526	847	1998-10-31	PRIJEM	\N	269	61133	UROK	\N	\N
3439527	847	1998-11-30	PRIJEM	\N	246	58065	UROK	\N	\N
3439528	847	1998-12-31	PRIJEM	\N	237	55787	UROK	\N	\N
3439529	893	1995-05-31	PRIJEM	\N	69	25899	UROK	\N	\N
3439530	893	1995-06-30	PRIJEM	\N	154	42648	UROK	\N	\N
3439531	893	1995-07-31	PRIJEM	\N	187	46165	UROK	\N	\N
3439532	893	1995-08-31	PRIJEM	\N	194	46989	UROK	\N	\N
3439533	893	1995-09-30	PRIJEM	\N	204	49923	UROK	\N	\N
3439534	893	1995-10-31	PRIJEM	\N	216	52654	UROK	\N	\N
3439535	893	1995-11-30	PRIJEM	\N	240	59549	UROK	\N	\N
3439536	893	1995-12-31	PRIJEM	\N	309	77398	UROK	\N	\N
3439537	893	1996-01-31	PRIJEM	\N	267	55421	UROK	\N	\N
3439538	893	1996-02-29	PRIJEM	\N	244	54740	UROK	\N	\N
3439539	893	1996-03-31	PRIJEM	\N	261	65817	UROK	\N	\N
3439540	893	1996-04-30	PRIJEM	\N	292	69944	UROK	\N	\N
3439541	893	1996-05-31	PRIJEM	\N	306	75066	UROK	\N	\N
3439542	893	1996-06-30	PRIJEM	\N	277	70623	UROK	\N	\N
3439543	893	1996-07-31	PRIJEM	\N	311	76450	UROK	\N	\N
3439544	893	1996-08-31	PRIJEM	\N	338	83203	UROK	\N	\N
3439545	893	1996-09-30	PRIJEM	\N	362	88781	UROK	\N	\N
3439546	893	1996-10-31	PRIJEM	\N	367	88363	UROK	\N	\N
3439547	893	1996-11-30	PRIJEM	\N	367	88646	UROK	\N	\N
3439548	893	1996-12-31	PRIJEM	\N	386	94112	UROK	\N	\N
3439549	893	1997-01-31	PRIJEM	\N	271	59959	UROK	\N	\N
3439550	893	1997-02-28	PRIJEM	\N	283	71797	UROK	\N	\N
3439551	893	1997-03-31	PRIJEM	\N	315	77428	UROK	\N	\N
3439552	893	1997-04-30	PRIJEM	\N	321	77464	UROK	\N	\N
3439553	893	1997-05-31	PRIJEM	\N	319	77698	UROK	\N	\N
3439554	893	1997-06-30	PRIJEM	\N	213	47191	UROK	\N	\N
3439555	893	1997-07-31	PRIJEM	\N	239	52965	UROK	\N	\N
3439556	893	1997-08-31	PRIJEM	\N	222	60603	UROK	\N	\N
3439557	893	1997-09-30	PRIJEM	\N	252	63870	UROK	\N	\N
3439558	893	1997-10-31	PRIJEM	\N	267	68252	UROK	\N	\N
3439559	893	1997-11-30	PRIJEM	\N	330	67397	UROK	\N	\N
3439560	893	1997-12-31	PRIJEM	\N	310	71508	UROK	\N	\N
3439561	893	1998-01-31	PRIJEM	\N	324	59507	UROK	\N	\N
3439562	893	1998-02-28	PRIJEM	\N	249	65672	UROK	\N	\N
3439563	893	1998-03-31	PRIJEM	\N	273	68360	UROK	\N	\N
3439564	893	1998-04-30	PRIJEM	\N	283	70258	UROK	\N	\N
3439565	893	1998-05-31	PRIJEM	\N	288	67962	UROK	\N	\N
3439566	893	1998-06-30	PRIJEM	\N	313	59455	UROK	\N	\N
3439567	893	1998-07-31	PRIJEM	\N	250	65620	UROK	\N	\N
3439568	893	1998-08-31	PRIJEM	\N	271	66306	UROK	\N	\N
3439569	893	1998-09-30	PRIJEM	\N	297	71359	UROK	\N	\N
3439570	893	1998-10-31	PRIJEM	\N	296	69690	UROK	\N	\N
3439571	893	1998-11-30	PRIJEM	\N	287	67972	UROK	\N	\N
3439572	893	1998-12-31	PRIJEM	\N	355	91227	UROK	\N	\N
3439573	904	1994-04-30	PRIJEM	\N	32	19357	UROK	\N	\N
3439574	904	1994-05-31	PRIJEM	\N	104	32786	UROK	\N	\N
3439575	904	1994-06-30	PRIJEM	\N	154	42477	UROK	\N	\N
3439576	904	1994-07-31	PRIJEM	\N	174	41376	UROK	\N	\N
3439577	904	1994-08-31	PRIJEM	\N	169	40171	UROK	\N	\N
3439578	904	1994-09-30	PRIJEM	\N	202	43083	UROK	\N	\N
3439579	904	1994-10-31	PRIJEM	\N	182	44675	UROK	\N	\N
3439580	904	1994-11-30	PRIJEM	\N	182	42968	UROK	\N	\N
3439581	904	1994-12-31	PRIJEM	\N	189	46400	UROK	\N	\N
3439582	904	1995-01-31	PRIJEM	\N	184	37954	UROK	\N	\N
3439583	904	1995-02-28	PRIJEM	\N	159	38623	UROK	\N	\N
3439584	904	1995-03-31	PRIJEM	\N	163	39797	UROK	\N	\N
3439585	904	1995-04-30	PRIJEM	\N	168	39175	UROK	\N	\N
3439586	904	1995-05-31	PRIJEM	\N	176	43622	UROK	\N	\N
3439587	904	1995-06-30	PRIJEM	\N	228	47652	UROK	\N	\N
3439588	904	1995-07-31	PRIJEM	\N	232	41455	UROK	\N	\N
3439589	904	1995-08-31	PRIJEM	\N	196	50961	UROK	\N	\N
3439590	904	1995-09-30	PRIJEM	\N	231	58702	UROK	\N	\N
3439591	904	1995-10-31	PRIJEM	\N	247	59960	UROK	\N	\N
3439592	904	1995-11-30	PRIJEM	\N	257	63127	UROK	\N	\N
3439593	904	1995-12-31	PRIJEM	\N	268	68897	UROK	\N	\N
3439594	904	1996-01-31	PRIJEM	\N	244	53572	UROK	\N	\N
3439595	904	1996-02-29	PRIJEM	\N	231	60633	UROK	\N	\N
3439596	904	1996-03-31	PRIJEM	\N	261	64505	UROK	\N	\N
3439597	904	1996-04-30	PRIJEM	\N	265	63580	UROK	\N	\N
3439598	904	1996-05-31	PRIJEM	\N	242	59953	UROK	\N	\N
3439599	904	1996-06-30	PRIJEM	\N	281	73157	UROK	\N	\N
3439600	904	1996-07-31	PRIJEM	\N	274	64641	UROK	\N	\N
3439601	904	1996-08-31	PRIJEM	\N	268	64920	UROK	\N	\N
3439602	904	1996-09-30	PRIJEM	\N	271	61041	UROK	\N	\N
3439603	904	1996-10-31	PRIJEM	\N	261	64212	UROK	\N	\N
3439604	904	1996-11-30	PRIJEM	\N	273	67096	UROK	\N	\N
3439605	904	1996-12-31	PRIJEM	\N	290	79388	UROK	\N	\N
3439606	904	1997-01-31	PRIJEM	\N	266	66025	UROK	\N	\N
3439607	904	1997-02-28	PRIJEM	\N	293	74327	UROK	\N	\N
3439608	904	1997-03-31	PRIJEM	\N	320	79358	UROK	\N	\N
3439609	904	1997-04-30	PRIJEM	\N	332	81100	UROK	\N	\N
3439610	904	1997-05-31	PRIJEM	\N	337	82048	UROK	\N	\N
3439611	904	1997-06-30	PRIJEM	\N	364	91935	UROK	\N	\N
3439612	904	1997-07-31	PRIJEM	\N	362	84807	UROK	\N	\N
3439613	904	1997-08-31	PRIJEM	\N	333	78950	UROK	\N	\N
3439614	904	1997-09-30	PRIJEM	\N	293	77753	UROK	\N	\N
3439615	904	1997-10-31	PRIJEM	\N	247	57310	UROK	\N	\N
3439616	904	1997-11-30	PRIJEM	\N	249	52969	UROK	\N	\N
3439617	904	1997-12-31	PRIJEM	\N	279	63672	UROK	\N	\N
3439618	904	1998-01-31	PRIJEM	\N	292	58874	UROK	\N	\N
3439619	904	1998-02-28	PRIJEM	\N	275	61360	UROK	\N	\N
3439620	904	1998-03-31	PRIJEM	\N	264	66935	UROK	\N	\N
3439621	904	1998-04-30	PRIJEM	\N	303	64748	UROK	\N	\N
3439622	904	1998-05-31	PRIJEM	\N	266	65925	UROK	\N	\N
3439623	904	1998-06-30	PRIJEM	\N	274	73622	UROK	\N	\N
3439624	904	1998-07-31	PRIJEM	\N	303	74834	UROK	\N	\N
3439625	904	1998-08-31	PRIJEM	\N	310	79255	UROK	\N	\N
3439626	904	1998-09-30	PRIJEM	\N	322	76488	UROK	\N	\N
3439627	904	1998-10-31	PRIJEM	\N	312	75410	UROK	\N	\N
3439628	904	1998-11-30	PRIJEM	\N	313	79833	UROK	\N	\N
3439629	904	1998-12-31	PRIJEM	\N	393	106048	UROK	\N	\N
3439630	908	1994-05-31	PRIJEM	\N	5	13405	UROK	\N	\N
3439631	908	1994-06-30	PRIJEM	\N	99	33218	UROK	\N	\N
3439632	908	1994-07-31	PRIJEM	\N	137	30555	UROK	\N	\N
3439633	908	1994-08-31	PRIJEM	\N	124	25978	UROK	\N	\N
3439634	908	1994-09-30	PRIJEM	\N	107	24371	UROK	\N	\N
3439635	908	1994-10-31	PRIJEM	\N	97	22203	UROK	\N	\N
3439636	908	1994-11-30	PRIJEM	\N	95	24934	UROK	\N	\N
3439637	908	1994-12-31	PRIJEM	\N	104	25523	UROK	\N	\N
3439638	908	1995-01-31	PRIJEM	\N	88	20196	UROK	\N	\N
3439639	908	1995-02-28	PRIJEM	\N	157	44155	UROK	\N	\N
3439640	908	1995-03-31	PRIJEM	\N	170	31460	UROK	\N	\N
3439641	908	1995-04-30	PRIJEM	\N	124	24670	UROK	\N	\N
3439642	908	1995-05-31	PRIJEM	\N	101	23056	UROK	\N	\N
3439643	908	1995-06-30	PRIJEM	\N	93	20635	UROK	\N	\N
3439644	908	1995-07-31	PRIJEM	\N	88	21558	UROK	\N	\N
3439645	908	1995-08-31	PRIJEM	\N	91	22734	UROK	\N	\N
3439646	908	1995-09-30	PRIJEM	\N	91	20611	UROK	\N	\N
3439647	908	1995-10-31	PRIJEM	\N	90	23486	UROK	\N	\N
3439648	908	1995-11-30	PRIJEM	\N	96	22768	UROK	\N	\N
3439649	908	1995-12-31	PRIJEM	\N	119	30714	UROK	\N	\N
3439650	908	1996-01-31	PRIJEM	\N	99	17799	UROK	\N	\N
3439651	908	1996-02-29	PRIJEM	\N	80	21514	UROK	\N	\N
3439652	908	1996-03-31	PRIJEM	\N	100	28000	UROK	\N	\N
3439653	908	1996-04-30	PRIJEM	\N	121	30806	UROK	\N	\N
3439654	908	1996-05-31	PRIJEM	\N	124	28715	UROK	\N	\N
3439655	908	1996-06-30	PRIJEM	\N	119	28519	UROK	\N	\N
3439656	908	1996-07-31	PRIJEM	\N	117	27921	UROK	\N	\N
3439657	908	1996-08-31	PRIJEM	\N	110	25617	UROK	\N	\N
3439658	908	1996-09-30	PRIJEM	\N	101	25103	UROK	\N	\N
3439659	908	1996-10-31	PRIJEM	\N	172	42319	UROK	\N	\N
3439660	908	1996-11-30	PRIJEM	\N	172	85090	UROK	\N	\N
3439661	908	1996-12-31	PRIJEM	\N	294	55470	UROK	\N	\N
3439662	908	1997-01-31	PRIJEM	\N	175	33980	UROK	\N	\N
3439663	908	1997-02-28	PRIJEM	\N	141	34006	UROK	\N	\N
3439664	908	1997-03-31	PRIJEM	\N	128	27919	UROK	\N	\N
3439665	908	1997-04-30	PRIJEM	\N	111	22966	UROK	\N	\N
3439666	908	1997-05-31	PRIJEM	\N	96	23547	UROK	\N	\N
3439667	908	1997-06-30	PRIJEM	\N	94	21226	UROK	\N	\N
3439668	908	1997-07-31	PRIJEM	\N	86	20697	UROK	\N	\N
3439669	908	1997-08-31	PRIJEM	\N	78	17461	UROK	\N	\N
3439670	908	1997-09-30	PRIJEM	\N	71	17117	UROK	\N	\N
3439671	908	1997-10-31	PRIJEM	\N	70	17773	UROK	\N	\N
3439672	908	1997-11-30	PRIJEM	\N	72	17380	UROK	\N	\N
3439673	908	1997-12-31	PRIJEM	\N	198	76562	UROK	\N	\N
3439674	908	1998-01-31	PRIJEM	\N	198	26796	UROK	\N	\N
3439675	908	1998-02-28	PRIJEM	\N	91	18373	UROK	\N	\N
3439676	908	1998-03-31	PRIJEM	\N	75	19033	UROK	\N	\N
3439677	908	1998-04-30	PRIJEM	\N	77	18646	UROK	\N	\N
3439678	908	1998-05-31	PRIJEM	\N	75	18306	UROK	\N	\N
3439679	908	1998-06-30	PRIJEM	\N	75	18966	UROK	\N	\N
3439680	908	1998-07-31	PRIJEM	\N	77	19628	UROK	\N	\N
3439681	908	1998-08-31	PRIJEM	\N	80	20294	UROK	\N	\N
3439682	908	1998-09-30	PRIJEM	\N	83	20962	UROK	\N	\N
3439683	908	1998-10-31	PRIJEM	\N	85	21632	UROK	\N	\N
3439684	908	1998-11-30	PRIJEM	\N	112	32800	UROK	\N	\N
3439685	908	1998-12-31	PRIJEM	\N	94	19861	UROK	\N	\N
3439686	942	1993-08-31	PRIJEM	\N	3	1403	UROK	\N	\N
3439687	942	1993-09-30	PRIJEM	\N	29	12031	UROK	\N	\N
3439688	942	1993-10-31	PRIJEM	\N	66	19897	UROK	\N	\N
3439689	942	1993-11-30	PRIJEM	\N	91	23873	UROK	\N	\N
3439690	942	1993-12-31	PRIJEM	\N	103	25362	UROK	\N	\N
3439691	942	1994-01-31	PRIJEM	\N	81	15828	UROK	\N	\N
3439692	942	1994-02-28	PRIJEM	\N	81	22895	UROK	\N	\N
3439693	942	1994-03-31	PRIJEM	\N	99	24979	UROK	\N	\N
3439694	942	1994-04-30	PRIJEM	\N	162	35925	UROK	\N	\N
3439695	942	1994-05-31	PRIJEM	\N	138	30549	UROK	\N	\N
3439696	942	1994-06-30	PRIJEM	\N	122	28257	UROK	\N	\N
3439697	942	1994-07-31	PRIJEM	\N	125	31467	UROK	\N	\N
3439698	942	1994-08-31	PRIJEM	\N	127	30379	UROK	\N	\N
3439699	942	1994-09-30	PRIJEM	\N	116	27381	UROK	\N	\N
3439700	942	1994-10-31	PRIJEM	\N	107	24874	UROK	\N	\N
3439701	942	1994-11-30	PRIJEM	\N	108	27167	UROK	\N	\N
3439702	942	1994-12-31	PRIJEM	\N	100	22652	UROK	\N	\N
3439703	942	1995-01-31	PRIJEM	\N	74	13783	UROK	\N	\N
3439704	942	1995-02-28	PRIJEM	\N	63	17132	UROK	\N	\N
3439705	942	1995-03-31	PRIJEM	\N	73	18190	UROK	\N	\N
3439706	942	1995-04-30	PRIJEM	\N	84	21959	UROK	\N	\N
3439707	942	1995-05-31	PRIJEM	\N	96	24341	UROK	\N	\N
3439708	942	1995-06-30	PRIJEM	\N	95	21122	UROK	\N	\N
3439709	942	1995-07-31	PRIJEM	\N	86	20693	UROK	\N	\N
3439710	942	1995-08-31	PRIJEM	\N	157	50519	UROK	\N	\N
3439711	942	1995-09-30	PRIJEM	\N	182	39087	UROK	\N	\N
3439712	942	1995-10-31	PRIJEM	\N	143	29515	UROK	\N	\N
3439713	942	1995-11-30	PRIJEM	\N	115	25515	UROK	\N	\N
3439714	942	1995-12-31	PRIJEM	\N	101	22402	UROK	\N	\N
3439715	942	1996-01-31	PRIJEM	\N	63	13700	UROK	\N	\N
3439716	942	1996-02-29	PRIJEM	\N	63	16748	UROK	\N	\N
3439717	942	1996-03-31	PRIJEM	\N	75	18709	UROK	\N	\N
3439718	942	1996-04-30	PRIJEM	\N	77	18972	UROK	\N	\N
3439719	942	1996-05-31	PRIJEM	\N	73	16530	UROK	\N	\N
3439720	942	1996-06-30	PRIJEM	\N	118	54611	UROK	\N	\N
3439721	942	1996-07-31	PRIJEM	\N	178	36274	UROK	\N	\N
3439722	942	1996-08-31	PRIJEM	\N	220	43794	UROK	\N	\N
3439723	942	1996-09-30	PRIJEM	\N	179	29059	UROK	\N	\N
3439724	942	1996-10-31	PRIJEM	\N	120	23964	UROK	\N	\N
3439725	942	1996-11-30	PRIJEM	\N	99	20048	UROK	\N	\N
3439726	942	1996-12-31	PRIJEM	\N	80	17114	UROK	\N	\N
3439727	942	1997-01-31	PRIJEM	\N	66	15166	UROK	\N	\N
3439728	942	1997-02-28	PRIJEM	\N	61	14362	UROK	\N	\N
3439729	942	1997-03-31	PRIJEM	\N	61	16009	UROK	\N	\N
3439730	942	1997-04-30	PRIJEM	\N	65	16109	UROK	\N	\N
3439731	942	1997-05-31	PRIJEM	\N	68	17363	UROK	\N	\N
3439732	942	1997-06-30	PRIJEM	\N	75	21823	UROK	\N	\N
3439733	942	1997-07-31	PRIJEM	\N	79	20037	UROK	\N	\N
3439734	942	1997-08-31	PRIJEM	\N	88	25211	UROK	\N	\N
3439735	942	1997-09-30	PRIJEM	\N	107	29253	UROK	\N	\N
3439736	942	1997-10-31	PRIJEM	\N	123	31262	UROK	\N	\N
3439737	942	1997-11-30	PRIJEM	\N	132	33679	UROK	\N	\N
3439738	942	1997-12-31	PRIJEM	\N	244	58226	UROK	\N	\N
3439739	942	1998-01-31	PRIJEM	\N	208	43319	UROK	\N	\N
3439740	942	1998-02-28	PRIJEM	\N	177	41381	UROK	\N	\N
3439741	942	1998-03-31	PRIJEM	\N	164	36331	UROK	\N	\N
3439742	942	1998-04-30	PRIJEM	\N	149	35765	UROK	\N	\N
3439743	942	1998-05-31	PRIJEM	\N	146	34896	UROK	\N	\N
3439744	942	1998-06-30	PRIJEM	\N	128	31110	UROK	\N	\N
3439745	942	1998-07-31	PRIJEM	\N	135	36029	UROK	\N	\N
3439746	942	1998-08-31	PRIJEM	\N	155	40469	UROK	\N	\N
3439747	942	1998-09-30	PRIJEM	\N	193	54656	UROK	\N	\N
3439748	942	1998-10-31	PRIJEM	\N	210	46451	UROK	\N	\N
3439749	942	1998-11-30	PRIJEM	\N	192	38228	UROK	\N	\N
3439750	942	1998-12-31	PRIJEM	\N	247	74108	UROK	\N	\N
3439751	946	1996-01-31	PRIJEM	\N	65	21440	UROK	\N	\N
3439752	946	1996-02-29	PRIJEM	\N	89	39004	UROK	\N	\N
3439753	946	1996-03-31	PRIJEM	\N	191	51271	UROK	\N	\N
3439754	946	1996-04-30	PRIJEM	\N	161	56006	UROK	\N	\N
3439755	946	1996-05-31	PRIJEM	\N	187	41768	UROK	\N	\N
3439756	946	1996-06-30	PRIJEM	\N	176	48841	UROK	\N	\N
3439757	946	1996-07-31	PRIJEM	\N	202	44803	UROK	\N	\N
3439758	946	1996-08-31	PRIJEM	\N	186	42349	UROK	\N	\N
3439759	946	1996-09-30	PRIJEM	\N	179	46988	UROK	\N	\N
3439760	946	1996-10-31	PRIJEM	\N	241	44390	UROK	\N	\N
3439761	946	1996-11-30	PRIJEM	\N	217	41667	UROK	\N	\N
3439762	946	1996-12-31	PRIJEM	\N	199	48964	UROK	\N	\N
3439763	946	1997-01-31	PRIJEM	\N	223	40848	UROK	\N	\N
3439764	946	1997-02-28	PRIJEM	\N	191	37299	UROK	\N	\N
3439765	946	1997-03-31	PRIJEM	\N	155	36814	UROK	\N	\N
3439766	946	1997-04-30	PRIJEM	\N	156	40631	UROK	\N	\N
3439767	946	1997-05-31	PRIJEM	\N	168	40159	UROK	\N	\N
3439768	946	1997-06-30	PRIJEM	\N	172	45929	UROK	\N	\N
3439769	946	1997-07-31	PRIJEM	\N	187	42577	UROK	\N	\N
3439770	946	1997-08-31	PRIJEM	\N	172	38309	UROK	\N	\N
3439771	946	1997-09-30	PRIJEM	\N	186	34555	UROK	\N	\N
3439772	946	1997-10-31	PRIJEM	\N	141	32556	UROK	\N	\N
3439773	946	1997-11-30	PRIJEM	\N	149	31065	UROK	\N	\N
3439774	946	1997-12-31	PRIJEM	\N	158	33720	UROK	\N	\N
3439775	946	1998-01-31	PRIJEM	\N	150	21230	UROK	\N	\N
3439776	946	1998-02-28	PRIJEM	\N	112	19602	UROK	\N	\N
3439777	946	1998-03-31	PRIJEM	\N	90	25953	UROK	\N	\N
3439778	946	1998-04-30	PRIJEM	\N	136	27249	UROK	\N	\N
3439779	946	1998-05-31	PRIJEM	\N	112	27122	UROK	\N	\N
3439780	946	1998-06-30	PRIJEM	\N	124	34343	UROK	\N	\N
3439781	946	1998-07-31	PRIJEM	\N	136	31239	UROK	\N	\N
3439782	946	1998-08-31	PRIJEM	\N	128	30827	UROK	\N	\N
3439783	946	1998-09-30	PRIJEM	\N	131	33019	UROK	\N	\N
3439784	946	1998-10-31	PRIJEM	\N	136	33316	UROK	\N	\N
3439785	946	1998-11-30	PRIJEM	\N	144	36820	UROK	\N	\N
3439786	946	1998-12-31	PRIJEM	\N	154	33572	UROK	\N	\N
3439787	956	1993-12-31	PRIJEM	\N	4	1504	UROK	\N	\N
3439788	956	1994-01-31	PRIJEM	\N	38	13841	UROK	\N	\N
3439789	956	1994-02-28	PRIJEM	\N	73	20614	UROK	\N	\N
3439790	956	1994-03-31	PRIJEM	\N	96	25110	UROK	\N	\N
3439791	956	1994-04-30	PRIJEM	\N	99	22210	UROK	\N	\N
3439792	956	1994-05-31	PRIJEM	\N	113	56592	UROK	\N	\N
3439793	956	1994-06-30	PRIJEM	\N	153	32181	UROK	\N	\N
3439794	956	1994-07-31	PRIJEM	\N	160	43141	UROK	\N	\N
3439795	956	1994-08-31	PRIJEM	\N	165	36091	UROK	\N	\N
3439796	956	1994-09-30	PRIJEM	\N	139	30915	UROK	\N	\N
3439797	956	1994-10-31	PRIJEM	\N	125	27676	UROK	\N	\N
3439798	956	1994-11-30	PRIJEM	\N	115	28976	UROK	\N	\N
3439799	956	1994-12-31	PRIJEM	\N	119	27881	UROK	\N	\N
3439800	956	1995-01-31	PRIJEM	\N	95	17811	UROK	\N	\N
3439801	956	1995-02-28	PRIJEM	\N	82	31185	UROK	\N	\N
3439802	956	1995-03-31	PRIJEM	\N	131	33101	UROK	\N	\N
3439803	956	1995-04-30	PRIJEM	\N	138	34125	UROK	\N	\N
3439804	956	1995-05-31	PRIJEM	\N	142	33552	UROK	\N	\N
3439805	956	1995-06-30	PRIJEM	\N	103	29739	UROK	\N	\N
3439806	956	1995-07-31	PRIJEM	\N	126	34401	UROK	\N	\N
3439807	956	1995-08-31	PRIJEM	\N	144	34080	UROK	\N	\N
3439808	956	1995-09-30	PRIJEM	\N	144	37209	UROK	\N	\N
3439809	956	1995-10-31	PRIJEM	\N	153	35448	UROK	\N	\N
3439810	956	1995-11-30	PRIJEM	\N	198	47418	UROK	\N	\N
3439811	956	1995-12-31	PRIJEM	\N	190	38793	UROK	\N	\N
3439812	956	1996-01-31	PRIJEM	\N	220	44298	UROK	\N	\N
3439813	956	1996-02-29	PRIJEM	\N	180	40663	UROK	\N	\N
3439814	956	1996-03-31	PRIJEM	\N	171	41370	UROK	\N	\N
3439815	956	1996-04-30	PRIJEM	\N	168	42574	UROK	\N	\N
3439816	956	1996-05-31	PRIJEM	\N	212	75536	UROK	\N	\N
3439817	956	1996-06-30	PRIJEM	\N	244	40365	UROK	\N	\N
3439818	956	1996-07-31	PRIJEM	\N	169	41819	UROK	\N	\N
3439819	956	1996-08-31	PRIJEM	\N	179	46084	UROK	\N	\N
3439820	956	1996-09-30	PRIJEM	\N	187	43756	UROK	\N	\N
3439821	956	1996-10-31	PRIJEM	\N	185	46127	UROK	\N	\N
3439822	956	1996-11-30	PRIJEM	\N	196	49208	UROK	\N	\N
3439823	956	1996-12-31	PRIJEM	\N	196	44990	UROK	\N	\N
3439824	956	1997-01-31	PRIJEM	\N	152	31578	UROK	\N	\N
3439825	956	1997-02-28	PRIJEM	\N	146	38909	UROK	\N	\N
3439826	956	1997-03-31	PRIJEM	\N	168	43363	UROK	\N	\N
3439827	956	1997-04-30	PRIJEM	\N	211	54672	UROK	\N	\N
3439828	956	1997-05-31	PRIJEM	\N	214	48271	UROK	\N	\N
3439829	956	1997-06-30	PRIJEM	\N	148	22904	UROK	\N	\N
3439830	956	1997-07-31	PRIJEM	\N	112	32402	UROK	\N	\N
3439831	956	1997-08-31	PRIJEM	\N	145	38333	UROK	\N	\N
3439832	956	1997-09-30	PRIJEM	\N	166	43084	UROK	\N	\N
3439833	956	1997-10-31	PRIJEM	\N	172	42691	UROK	\N	\N
3439834	956	1997-11-30	PRIJEM	\N	215	63040	UROK	\N	\N
3439835	956	1997-12-31	PRIJEM	\N	236	53261	UROK	\N	\N
3439836	956	1998-01-31	PRIJEM	\N	196	43143	UROK	\N	\N
3439837	956	1998-02-28	PRIJEM	\N	175	42203	UROK	\N	\N
3439838	956	1998-03-31	PRIJEM	\N	176	44564	UROK	\N	\N
3439839	956	1998-04-30	PRIJEM	\N	184	43384	UROK	\N	\N
3439840	956	1998-05-31	PRIJEM	\N	175	42294	UROK	\N	\N
3439841	956	1998-06-30	PRIJEM	\N	150	23829	UROK	\N	\N
3439842	956	1998-07-31	PRIJEM	\N	133	39448	UROK	\N	\N
3439843	956	1998-08-31	PRIJEM	\N	188	52921	UROK	\N	\N
3439844	956	1998-09-30	PRIJEM	\N	237	63644	UROK	\N	\N
3439845	956	1998-10-31	PRIJEM	\N	279	79779	UROK	\N	\N
3439846	956	1998-11-30	PRIJEM	\N	307	68871	UROK	\N	\N
3439847	956	1998-12-31	PRIJEM	\N	292	71829	UROK	\N	\N
3439848	964	1994-07-31	PRIJEM	\N	2	902	UROK	\N	\N
3439849	964	1994-08-31	PRIJEM	\N	35	13837	UROK	\N	\N
3439850	964	1994-09-30	PRIJEM	\N	135	50970	UROK	\N	\N
3439851	964	1994-10-31	PRIJEM	\N	192	41262	UROK	\N	\N
3439852	964	1994-11-30	PRIJEM	\N	158	35505	UROK	\N	\N
3439853	964	1994-12-31	PRIJEM	\N	143	32833	UROK	\N	\N
3439854	964	1995-01-31	PRIJEM	\N	124	29243	UROK	\N	\N
3439855	964	1995-02-28	PRIJEM	\N	112	26340	UROK	\N	\N
3439856	964	1995-03-31	PRIJEM	\N	115	28240	UROK	\N	\N
3439857	964	1995-04-30	PRIJEM	\N	105	25231	UROK	\N	\N
3439858	964	1995-05-31	PRIJEM	\N	189	50201	UROK	\N	\N
3439859	964	1995-06-30	PRIJEM	\N	85	14571	UROK	\N	\N
3439860	964	1995-07-31	PRIJEM	\N	82	23438	UROK	\N	\N
3439861	964	1995-08-31	PRIJEM	\N	110	28733	UROK	\N	\N
3439862	964	1995-09-30	PRIJEM	\N	125	30943	UROK	\N	\N
3439863	964	1995-10-31	PRIJEM	\N	119	28648	UROK	\N	\N
3439864	964	1995-11-30	PRIJEM	\N	132	33265	UROK	\N	\N
3439865	964	1995-12-31	PRIJEM	\N	139	32190	UROK	\N	\N
3439866	964	1996-01-31	PRIJEM	\N	127	29302	UROK	\N	\N
3439867	964	1996-02-29	PRIJEM	\N	123	32510	UROK	\N	\N
3439868	964	1996-03-31	PRIJEM	\N	135	32331	UROK	\N	\N
3439869	964	1996-04-30	PRIJEM	\N	134	32250	UROK	\N	\N
3439870	964	1996-05-31	PRIJEM	\N	132	30417	UROK	\N	\N
3439871	964	1996-06-30	PRIJEM	\N	120	25423	UROK	\N	\N
3439872	964	1996-07-31	PRIJEM	\N	109	31317	UROK	\N	\N
3439873	964	1996-08-31	PRIJEM	\N	132	34435	UROK	\N	\N
3439874	964	1996-09-30	PRIJEM	\N	197	50304	UROK	\N	\N
3439875	964	1996-10-31	PRIJEM	\N	281	63343	UROK	\N	\N
3439876	964	1996-11-30	PRIJEM	\N	253	52681	UROK	\N	\N
3439877	964	1996-12-31	PRIJEM	\N	207	43973	UROK	\N	\N
3439878	964	1997-01-31	PRIJEM	\N	178	43741	UROK	\N	\N
3439879	964	1997-02-28	PRIJEM	\N	183	45910	UROK	\N	\N
3439880	964	1997-03-31	PRIJEM	\N	192	47687	UROK	\N	\N
3439881	964	1997-04-30	PRIJEM	\N	192	43065	UROK	\N	\N
3439882	964	1997-05-31	PRIJEM	\N	178	42928	UROK	\N	\N
3439883	964	1997-06-30	PRIJEM	\N	174	48879	UROK	\N	\N
3439884	964	1997-07-31	PRIJEM	\N	201	47865	UROK	\N	\N
3439885	964	1997-08-31	PRIJEM	\N	192	44042	UROK	\N	\N
3439886	964	1997-09-30	PRIJEM	\N	183	44610	UROK	\N	\N
3439887	964	1997-10-31	PRIJEM	\N	188	46883	UROK	\N	\N
3439888	964	1997-11-30	PRIJEM	\N	197	48765	UROK	\N	\N
3439889	964	1997-12-31	PRIJEM	\N	201	47151	UROK	\N	\N
3439890	964	1998-01-31	PRIJEM	\N	247	63606	UROK	\N	\N
3439891	964	1998-02-28	PRIJEM	\N	258	61250	UROK	\N	\N
3439892	964	1998-03-31	PRIJEM	\N	259	62914	UROK	\N	\N
3439893	964	1998-04-30	PRIJEM	\N	259	62659	UROK	\N	\N
3439894	964	1998-05-31	PRIJEM	\N	250	57194	UROK	\N	\N
3439895	964	1998-06-30	PRIJEM	\N	225	44855	UROK	\N	\N
3439896	964	1998-07-31	PRIJEM	\N	189	47579	UROK	\N	\N
3439897	964	1998-08-31	PRIJEM	\N	200	49864	UROK	\N	\N
3439898	964	1998-09-30	PRIJEM	\N	205	49654	UROK	\N	\N
3439899	964	1998-10-31	PRIJEM	\N	208	51698	UROK	\N	\N
3439900	964	1998-11-30	PRIJEM	\N	215	53598	UROK	\N	\N
3439901	964	1998-12-31	PRIJEM	\N	209	48393	UROK	\N	\N
3439902	969	1994-01-31	PRIJEM	\N	5	2205	UROK	\N	\N
3439903	969	1994-02-28	PRIJEM	\N	40	45769	UROK	\N	\N
3439904	969	1994-03-31	PRIJEM	\N	172	37926	UROK	\N	\N
3439905	969	1994-04-30	PRIJEM	\N	140	31152	UROK	\N	\N
3439906	969	1994-05-31	PRIJEM	\N	118	25155	UROK	\N	\N
3439907	969	1994-06-30	PRIJEM	\N	83	16223	UROK	\N	\N
3439908	969	1994-07-31	PRIJEM	\N	83	23891	UROK	\N	\N
3439909	969	1994-08-31	PRIJEM	\N	103	25680	UROK	\N	\N
3439910	969	1994-09-30	PRIJEM	\N	123	55525	UROK	\N	\N
3439911	969	1994-10-31	PRIJEM	\N	197	41907	UROK	\N	\N
3439912	969	1994-11-30	PRIJEM	\N	165	37457	UROK	\N	\N
3439913	969	1994-12-31	PRIJEM	\N	139	32681	UROK	\N	\N
3439914	969	1995-01-31	PRIJEM	\N	105	22472	UROK	\N	\N
3439915	969	1995-02-28	PRIJEM	\N	103	27360	UROK	\N	\N
3439916	969	1995-03-31	PRIJEM	\N	124	32670	UROK	\N	\N
3439917	969	1995-04-30	PRIJEM	\N	198	66891	UROK	\N	\N
3439918	969	1995-05-31	PRIJEM	\N	220	52446	UROK	\N	\N
3439919	969	1995-06-30	PRIJEM	\N	152	29283	UROK	\N	\N
3439920	969	1995-07-31	PRIJEM	\N	171	64631	UROK	\N	\N
3439921	969	1995-08-31	PRIJEM	\N	241	51457	UROK	\N	\N
3439922	969	1995-09-30	PRIJEM	\N	188	46731	UROK	\N	\N
3439923	969	1995-10-31	PRIJEM	\N	175	40391	UROK	\N	\N
3439924	969	1995-11-30	PRIJEM	\N	170	38746	UROK	\N	\N
3439925	969	1995-12-31	PRIJEM	\N	162	38594	UROK	\N	\N
3439926	969	1996-01-31	PRIJEM	\N	144	38324	UROK	\N	\N
3439927	969	1996-02-29	PRIJEM	\N	163	42472	UROK	\N	\N
3439928	969	1996-03-31	PRIJEM	\N	180	45138	UROK	\N	\N
3439929	969	1996-04-30	PRIJEM	\N	190	45313	UROK	\N	\N
3439930	969	1996-05-31	PRIJEM	\N	188	45386	UROK	\N	\N
3439931	969	1996-06-30	PRIJEM	\N	175	27197	UROK	\N	\N
3439932	969	1996-07-31	PRIJEM	\N	120	34502	UROK	\N	\N
3439933	969	1996-08-31	PRIJEM	\N	145	36633	UROK	\N	\N
3439934	969	1996-09-30	PRIJEM	\N	153	36171	UROK	\N	\N
3439935	969	1996-10-31	PRIJEM	\N	154	38910	UROK	\N	\N
3439936	969	1996-11-30	PRIJEM	\N	188	65130	UROK	\N	\N
3439937	969	1996-12-31	PRIJEM	\N	311	67960	UROK	\N	\N
3439938	969	1997-01-31	PRIJEM	\N	253	53198	UROK	\N	\N
3439939	969	1997-02-28	PRIJEM	\N	219	52353	UROK	\N	\N
3439940	969	1997-03-31	PRIJEM	\N	213	48552	UROK	\N	\N
3439941	969	1997-04-30	PRIJEM	\N	202	50189	UROK	\N	\N
3439942	969	1997-05-31	PRIJEM	\N	211	52485	UROK	\N	\N
3439943	969	1997-06-30	PRIJEM	\N	206	42476	UROK	\N	\N
3439944	969	1997-07-31	PRIJEM	\N	190	64146	UROK	\N	\N
3439945	969	1997-08-31	PRIJEM	\N	250	55332	UROK	\N	\N
3439946	969	1997-09-30	PRIJEM	\N	232	57749	UROK	\N	\N
3439947	969	1997-10-31	PRIJEM	\N	243	60678	UROK	\N	\N
3439948	969	1997-11-30	PRIJEM	\N	248	58661	UROK	\N	\N
3439949	969	1997-12-31	PRIJEM	\N	248	64563	UROK	\N	\N
3439950	969	1998-01-31	PRIJEM	\N	251	51749	UROK	\N	\N
3439951	969	1998-02-28	PRIJEM	\N	233	62467	UROK	\N	\N
3439952	969	1998-03-31	PRIJEM	\N	291	86946	UROK	\N	\N
3439953	969	1998-04-30	PRIJEM	\N	346	80578	UROK	\N	\N
3439954	969	1998-05-31	PRIJEM	\N	322	75585	UROK	\N	\N
3439955	969	1998-06-30	PRIJEM	\N	289	63359	UROK	\N	\N
3439956	969	1998-07-31	PRIJEM	\N	281	71325	UROK	\N	\N
3439957	969	1998-08-31	PRIJEM	\N	399	89903	UROK	\N	\N
3439958	969	1998-09-30	PRIJEM	\N	349	80337	UROK	\N	\N
3439959	969	1998-10-31	PRIJEM	\N	312	71134	UROK	\N	\N
3439960	969	1998-11-30	PRIJEM	\N	289	69808	UROK	\N	\N
3439961	969	1998-12-31	PRIJEM	\N	274	65467	UROK	\N	\N
3439962	974	1994-03-31	PRIJEM	\N	16	23674	UROK	\N	\N
3439963	974	1994-04-30	PRIJEM	\N	108	37440	UROK	\N	\N
3439964	974	1994-05-31	PRIJEM	\N	162	45860	UROK	\N	\N
3439965	974	1994-06-30	PRIJEM	\N	195	51693	UROK	\N	\N
3439966	974	1994-07-31	PRIJEM	\N	212	49163	UROK	\N	\N
3439967	974	1994-08-31	PRIJEM	\N	200	43006	UROK	\N	\N
3439968	974	1994-09-30	PRIJEM	\N	181	44930	UROK	\N	\N
3439969	974	1994-10-31	PRIJEM	\N	189	46563	UROK	\N	\N
3439970	974	1994-11-30	PRIJEM	\N	198	49704	UROK	\N	\N
3439971	974	1994-12-31	PRIJEM	\N	215	55941	UROK	\N	\N
3439972	974	1995-01-31	PRIJEM	\N	223	31867	UROK	\N	\N
3439973	974	1995-02-28	PRIJEM	\N	143	39754	UROK	\N	\N
3439974	974	1995-03-31	PRIJEM	\N	174	46471	UROK	\N	\N
3439975	974	1995-04-30	PRIJEM	\N	193	46308	UROK	\N	\N
3439976	974	1995-05-31	PRIJEM	\N	194	47145	UROK	\N	\N
3439977	974	1995-06-30	PRIJEM	\N	205	53372	UROK	\N	\N
3439978	974	1995-07-31	PRIJEM	\N	228	48344	UROK	\N	\N
3439979	974	1995-08-31	PRIJEM	\N	208	43855	UROK	\N	\N
3439980	974	1995-09-30	PRIJEM	\N	185	45383	UROK	\N	\N
3439981	974	1995-10-31	PRIJEM	\N	189	45716	UROK	\N	\N
3439982	974	1995-11-30	PRIJEM	\N	194	47953	UROK	\N	\N
3439983	974	1995-12-31	PRIJEM	\N	211	53786	UROK	\N	\N
3439984	974	1996-01-31	PRIJEM	\N	175	28484	UROK	\N	\N
3439985	974	1996-02-29	PRIJEM	\N	128	32436	UROK	\N	\N
3439986	974	1996-03-31	PRIJEM	\N	146	37266	UROK	\N	\N
3439987	974	1996-04-30	PRIJEM	\N	162	39071	UROK	\N	\N
3439988	974	1996-05-31	PRIJEM	\N	166	41181	UROK	\N	\N
3439989	974	1996-06-30	PRIJEM	\N	173	41936	UROK	\N	\N
3439990	974	1996-07-31	PRIJEM	\N	223	40282	UROK	\N	\N
3439991	974	1996-08-31	PRIJEM	\N	192	51218	UROK	\N	\N
3439992	974	1996-09-30	PRIJEM	\N	229	58791	UROK	\N	\N
3439993	974	1996-10-31	PRIJEM	\N	250	61584	UROK	\N	\N
3439994	974	1996-11-30	PRIJEM	\N	256	62183	UROK	\N	\N
3439995	974	1996-12-31	PRIJEM	\N	285	73990	UROK	\N	\N
3439996	974	1997-01-31	PRIJEM	\N	218	47372	UROK	\N	\N
3439997	974	1997-02-28	PRIJEM	\N	194	46709	UROK	\N	\N
3439998	974	1997-03-31	PRIJEM	\N	196	48348	UROK	\N	\N
3439999	974	1997-04-30	PRIJEM	\N	173	44105	UROK	\N	\N
3440000	974	1997-05-31	PRIJEM	\N	188	46277	UROK	\N	\N
3440001	974	1997-06-30	PRIJEM	\N	206	57805	UROK	\N	\N
3440002	974	1997-07-31	PRIJEM	\N	230	53578	UROK	\N	\N
3440003	974	1997-08-31	PRIJEM	\N	224	55045	UROK	\N	\N
3440004	974	1997-09-30	PRIJEM	\N	233	58122	UROK	\N	\N
3440005	974	1997-10-31	PRIJEM	\N	237	57402	UROK	\N	\N
3440006	974	1997-11-30	PRIJEM	\N	222	51467	UROK	\N	\N
3440007	974	1997-12-31	PRIJEM	\N	234	61023	UROK	\N	\N
3440008	974	1998-01-31	PRIJEM	\N	195	23302	UROK	\N	\N
3440009	974	1998-02-28	PRIJEM	\N	97	48142	UROK	\N	\N
3440010	974	1998-03-31	PRIJEM	\N	205	51691	UROK	\N	\N
3440011	974	1998-04-30	PRIJEM	\N	214	52848	UROK	\N	\N
3440012	974	1998-05-31	PRIJEM	\N	203	46694	UROK	\N	\N
3440013	974	1998-06-30	PRIJEM	\N	209	34346	UROK	\N	\N
3440014	974	1998-07-31	PRIJEM	\N	142	59231	UROK	\N	\N
3440015	974	1998-08-31	PRIJEM	\N	231	50385	UROK	\N	\N
3440016	974	1998-09-30	PRIJEM	\N	203	49531	UROK	\N	\N
3440017	974	1998-10-31	PRIJEM	\N	190	44465	UROK	\N	\N
3440018	974	1998-11-30	PRIJEM	\N	181	45090	UROK	\N	\N
3440019	974	1998-12-31	PRIJEM	\N	210	56422	UROK	\N	\N
3440020	994	1995-09-30	PRIJEM	\N	6	3106	UROK	\N	\N
3440021	994	1995-10-31	PRIJEM	\N	40	15246	UROK	\N	\N
3440022	994	1995-11-30	PRIJEM	\N	144	45156	UROK	\N	\N
3440023	994	1995-12-31	PRIJEM	\N	184	56869	UROK	\N	\N
3440024	994	1996-01-31	PRIJEM	\N	167	32572	UROK	\N	\N
3440025	994	1996-02-29	PRIJEM	\N	135	32892	UROK	\N	\N
3440026	994	1996-03-31	PRIJEM	\N	135	31713	UROK	\N	\N
3440027	994	1996-04-30	PRIJEM	\N	166	44952	UROK	\N	\N
3440028	994	1996-05-31	PRIJEM	\N	173	39311	UROK	\N	\N
3440029	994	1996-06-30	PRIJEM	\N	152	46150	UROK	\N	\N
3440030	994	1996-07-31	PRIJEM	\N	173	37208	UROK	\N	\N
3440031	994	1996-08-31	PRIJEM	\N	152	35845	UROK	\N	\N
3440032	994	1996-09-30	PRIJEM	\N	140	32170	UROK	\N	\N
3440033	994	1996-10-31	PRIJEM	\N	130	30686	UROK	\N	\N
3440034	994	1996-11-30	PRIJEM	\N	128	30799	UROK	\N	\N
3440035	994	1996-12-31	PRIJEM	\N	115	26099	UROK	\N	\N
3440036	994	1997-01-31	PRIJEM	\N	89	18523	UROK	\N	\N
3440037	994	1997-02-28	PRIJEM	\N	92	26500	UROK	\N	\N
3440038	994	1997-03-31	PRIJEM	\N	136	69529	UROK	\N	\N
3440039	994	1997-04-30	PRIJEM	\N	247	53261	UROK	\N	\N
3440040	994	1997-05-31	PRIJEM	\N	199	44146	UROK	\N	\N
3440041	994	1997-06-30	PRIJEM	\N	135	18866	UROK	\N	\N
3440042	994	1997-07-31	PRIJEM	\N	101	26753	UROK	\N	\N
3440043	994	1997-08-31	PRIJEM	\N	268	56796	UROK	\N	\N
3440044	994	1997-09-30	PRIJEM	\N	227	53108	UROK	\N	\N
3440045	994	1997-10-31	PRIJEM	\N	212	48906	UROK	\N	\N
3440046	994	1997-11-30	PRIJEM	\N	204	50096	UROK	\N	\N
3440047	994	1997-12-31	PRIJEM	\N	209	50990	UROK	\N	\N
3440048	994	1998-01-31	PRIJEM	\N	170	39446	UROK	\N	\N
3440049	994	1998-02-28	PRIJEM	\N	167	41798	UROK	\N	\N
3440050	994	1998-03-31	PRIJEM	\N	191	50575	UROK	\N	\N
3440051	994	1998-04-30	PRIJEM	\N	224	55775	UROK	\N	\N
3440052	994	1998-05-31	PRIJEM	\N	223	51284	UROK	\N	\N
3440053	994	1998-06-30	PRIJEM	\N	135	26104	UROK	\N	\N
3440054	994	1998-07-31	PRIJEM	\N	178	78517	UROK	\N	\N
3440055	994	1998-08-31	PRIJEM	\N	267	60369	UROK	\N	\N
3440056	994	1998-09-30	PRIJEM	\N	246	53951	UROK	\N	\N
3440057	994	1998-10-31	PRIJEM	\N	222	51958	UROK	\N	\N
3440058	994	1998-11-30	PRIJEM	\N	215	51758	UROK	\N	\N
3440059	994	1998-12-31	PRIJEM	\N	202	45746	UROK	\N	\N
3440060	1007	1996-07-31	PRIJEM	\N	14	15914	UROK	\N	\N
3440061	1007	1996-08-31	PRIJEM	\N	72	19485	UROK	\N	\N
3440062	1007	1996-09-30	PRIJEM	\N	154	39963	UROK	\N	\N
3440063	1007	1996-10-31	PRIJEM	\N	170	52347	UROK	\N	\N
3440064	1007	1996-11-30	PRIJEM	\N	207	38239	UROK	\N	\N
3440065	1007	1996-12-31	PRIJEM	\N	157	33382	UROK	\N	\N
3440066	1007	1997-01-31	PRIJEM	\N	117	24085	UROK	\N	\N
3440067	1007	1997-02-28	PRIJEM	\N	100	21970	UROK	\N	\N
3440068	1007	1997-03-31	PRIJEM	\N	91	20447	UROK	\N	\N
3440069	1007	1997-04-30	PRIJEM	\N	88	21521	UROK	\N	\N
3440070	1007	1997-05-31	PRIJEM	\N	102	41519	UROK	\N	\N
3440071	1007	1997-06-30	PRIJEM	\N	152	27756	UROK	\N	\N
3440072	1007	1997-07-31	PRIJEM	\N	114	25805	UROK	\N	\N
3440073	1007	1997-08-31	PRIJEM	\N	106	23746	UROK	\N	\N
3440074	1007	1997-09-30	PRIJEM	\N	143	45016	UROK	\N	\N
3440075	1007	1997-10-31	PRIJEM	\N	177	37679	UROK	\N	\N
3440076	1007	1997-11-30	PRIJEM	\N	157	37321	UROK	\N	\N
3440077	1007	1997-12-31	PRIJEM	\N	157	38363	UROK	\N	\N
3440078	1007	1998-01-31	PRIJEM	\N	136	29835	UROK	\N	\N
3440079	1007	1998-02-28	PRIJEM	\N	133	35403	UROK	\N	\N
3440080	1007	1998-03-31	PRIJEM	\N	154	39543	UROK	\N	\N
3440081	1007	1998-04-30	PRIJEM	\N	165	39693	UROK	\N	\N
3440082	1007	1998-05-31	PRIJEM	\N	165	39744	UROK	\N	\N
3440083	1007	1998-06-30	PRIJEM	\N	140	33669	UROK	\N	\N
3440084	1007	1998-07-31	PRIJEM	\N	157	44111	UROK	\N	\N
3440085	1007	1998-08-31	PRIJEM	\N	195	49892	UROK	\N	\N
3440086	1007	1998-09-30	PRIJEM	\N	224	58001	UROK	\N	\N
3440087	1007	1998-10-31	PRIJEM	\N	375	101440	UROK	\N	\N
3440088	1007	1998-11-30	PRIJEM	\N	383	84709	UROK	\N	\N
3440089	1007	1998-12-31	PRIJEM	\N	339	79333	UROK	\N	\N
3440090	1010	1995-05-31	PRIJEM	\N	2	13902	UROK	\N	\N
3440091	1010	1995-06-30	PRIJEM	\N	60	37810	UROK	\N	\N
3440092	1010	1995-07-31	PRIJEM	\N	126	31803	UROK	\N	\N
3440093	1010	1995-08-31	PRIJEM	\N	200	34078	UROK	\N	\N
3440094	1010	1995-09-30	PRIJEM	\N	200	30978	UROK	\N	\N
3440095	1010	1995-10-31	PRIJEM	\N	199	44359	UROK	\N	\N
3440096	1010	1995-11-30	PRIJEM	\N	245	51408	UROK	\N	\N
3440097	1010	1995-12-31	PRIJEM	\N	149	22642	UROK	\N	\N
3440098	1010	1996-01-31	PRIJEM	\N	149	36532	UROK	\N	\N
3440099	1010	1996-02-29	PRIJEM	\N	259	44641	UROK	\N	\N
3440100	1010	1996-03-31	PRIJEM	\N	275	30292	UROK	\N	\N
3440101	1010	1996-04-30	PRIJEM	\N	132	36134	UROK	\N	\N
3440102	1010	1996-05-31	PRIJEM	\N	216	48625	UROK	\N	\N
3440103	1010	1996-06-30	PRIJEM	\N	245	48785	UROK	\N	\N
3440104	1010	1996-07-31	PRIJEM	\N	294	84975	UROK	\N	\N
3440105	1010	1996-08-31	PRIJEM	\N	305	43375	UROK	\N	\N
3440106	1010	1996-09-30	PRIJEM	\N	176	64195	UROK	\N	\N
3440107	1010	1996-10-31	PRIJEM	\N	264	88544	UROK	\N	\N
3440108	1010	1996-11-30	PRIJEM	\N	301	69206	UROK	\N	\N
3440109	1010	1996-12-31	PRIJEM	\N	249	49304	UROK	\N	\N
3440110	1010	1997-01-31	PRIJEM	\N	127	22286	UROK	\N	\N
3440111	1010	1997-02-28	PRIJEM	\N	69	8741	UROK	\N	\N
3440112	1010	1997-04-30	PRIJEM	\N	23	28828	UROK	\N	\N
3440113	1010	1997-04-30	PRIJEM	\N	142	28970	UROK	\N	\N
3440114	1010	1997-05-31	PRIJEM	\N	160	38926	UROK	\N	\N
3440115	1010	1997-06-30	PRIJEM	\N	201	37668	UROK	\N	\N
3440116	1010	1997-07-31	PRIJEM	\N	121	24975	UROK	\N	\N
3440117	1010	1997-08-31	PRIJEM	\N	73	9533	UROK	\N	\N
3440118	1010	1997-09-30	PRIJEM	\N	86	19742	UROK	\N	\N
3440119	1010	1997-10-31	PRIJEM	\N	41	4369	UROK	\N	\N
3440120	1010	1997-11-30	PRIJEM	\N	16	4370	UROK	\N	\N
3440121	1010	1997-12-31	PRIJEM	\N	15	1270	UROK	\N	\N
3440122	1010	1998-01-31	PRIJEM	\N	199	71339	UROK	\N	\N
3440123	1010	1998-02-28	PRIJEM	\N	317	78161	UROK	\N	\N
3440124	1010	1998-03-31	PRIJEM	\N	264	59012	UROK	\N	\N
3440125	1010	1998-04-30	PRIJEM	\N	266	44593	UROK	\N	\N
3440126	1010	1998-05-31	PRIJEM	\N	176	44067	UROK	\N	\N
3440127	1010	1998-06-30	PRIJEM	\N	120	13773	UROK	\N	\N
3440128	1010	1998-07-31	PRIJEM	\N	283	79881	UROK	\N	\N
3440129	1010	1998-08-31	PRIJEM	\N	209	56485	UROK	\N	\N
3440130	1010	1998-09-30	PRIJEM	\N	141	32381	UROK	\N	\N
3440131	1010	1998-10-31	PRIJEM	\N	139	40549	UROK	\N	\N
3440132	1010	1998-11-30	PRIJEM	\N	169	59245	UROK	\N	\N
3440133	1010	1998-12-31	PRIJEM	\N	218	48577	UROK	\N	\N
3440134	1014	1996-04-30	PRIJEM	\N	24	15567	UROK	\N	\N
3440135	1014	1996-05-31	PRIJEM	\N	74	20841	UROK	\N	\N
3440136	1014	1996-06-30	PRIJEM	\N	95	25536	UROK	\N	\N
3440137	1014	1996-07-31	PRIJEM	\N	103	23839	UROK	\N	\N
3440138	1014	1996-08-31	PRIJEM	\N	98	21822	UROK	\N	\N
3440139	1014	1996-09-30	PRIJEM	\N	92	23499	UROK	\N	\N
3440140	1014	1996-10-31	PRIJEM	\N	103	25988	UROK	\N	\N
3440141	1014	1996-11-30	PRIJEM	\N	106	25179	UROK	\N	\N
3440142	1014	1996-12-31	PRIJEM	\N	96	21411	UROK	\N	\N
3440143	1014	1997-01-31	PRIJEM	\N	185	42907	UROK	\N	\N
3440144	1014	1997-02-28	PRIJEM	\N	159	31951	UROK	\N	\N
3440145	1014	1997-03-31	PRIJEM	\N	126	29162	UROK	\N	\N
3440146	1014	1997-04-30	PRIJEM	\N	108	21506	UROK	\N	\N
3440147	1014	1997-05-31	PRIJEM	\N	96	24487	UROK	\N	\N
3440148	1014	1997-06-30	PRIJEM	\N	96	22519	UROK	\N	\N
3440149	1014	1997-07-31	PRIJEM	\N	164	57811	UROK	\N	\N
3440150	1014	1997-08-31	PRIJEM	\N	198	39445	UROK	\N	\N
3440151	1014	1997-09-30	PRIJEM	\N	139	29569	UROK	\N	\N
3440152	1014	1997-10-31	PRIJEM	\N	108	22562	UROK	\N	\N
3440153	1014	1997-11-30	PRIJEM	\N	82	18980	UROK	\N	\N
3440154	1014	1997-12-31	PRIJEM	\N	76	17441	UROK	\N	\N
3440155	1014	1998-01-31	PRIJEM	\N	63	15139	UROK	\N	\N
3440156	1014	1998-02-28	PRIJEM	\N	60	14085	UROK	\N	\N
3440157	1014	1998-03-31	PRIJEM	\N	57	13527	UROK	\N	\N
3440158	1014	1998-04-30	PRIJEM	\N	60	15272	UROK	\N	\N
3440159	1014	1998-05-31	PRIJEM	\N	65	16423	UROK	\N	\N
3440160	1014	1998-06-30	PRIJEM	\N	68	17877	UROK	\N	\N
3440161	1014	1998-07-31	PRIJEM	\N	96	40516	UROK	\N	\N
3440162	1014	1998-08-31	PRIJEM	\N	142	27543	UROK	\N	\N
3440163	1014	1998-09-30	PRIJEM	\N	91	17820	UROK	\N	\N
3440164	1014	1998-10-31	PRIJEM	\N	58	13963	UROK	\N	\N
3440165	1014	1998-11-30	PRIJEM	\N	102	39005	UROK	\N	\N
3440166	1014	1998-12-31	PRIJEM	\N	119	23509	UROK	\N	\N
3440167	1023	1993-09-30	PRIJEM	\N	58	22136	UROK	\N	\N
3440168	1023	1993-10-31	PRIJEM	\N	115	30830	UROK	\N	\N
3440169	1023	1993-11-30	PRIJEM	\N	147	37755	UROK	\N	\N
3440170	1023	1993-12-31	PRIJEM	\N	182	46854	UROK	\N	\N
3440171	1023	1994-01-31	PRIJEM	\N	195	46366	UROK	\N	\N
3440172	1023	1994-02-28	PRIJEM	\N	193	46523	UROK	\N	\N
3440173	1023	1994-03-31	PRIJEM	\N	186	42112	UROK	\N	\N
3440174	1023	1994-04-30	PRIJEM	\N	175	42150	UROK	\N	\N
3440175	1023	1994-05-31	PRIJEM	\N	161	33815	UROK	\N	\N
3440176	1023	1994-06-30	PRIJEM	\N	142	27339	UROK	\N	\N
3440177	1023	1994-07-31	PRIJEM	\N	130	32833	UROK	\N	\N
3440178	1023	1994-08-31	PRIJEM	\N	154	37630	UROK	\N	\N
3440179	1023	1994-09-30	PRIJEM	\N	150	34783	UROK	\N	\N
3440180	1023	1994-10-31	PRIJEM	\N	156	38303	UROK	\N	\N
3440181	1023	1994-11-30	PRIJEM	\N	163	39630	UROK	\N	\N
3440182	1023	1994-12-31	PRIJEM	\N	181	44413	UROK	\N	\N
3440183	1023	1995-01-31	PRIJEM	\N	216	31232	UROK	\N	\N
3440184	1023	1995-02-28	PRIJEM	\N	172	43268	UROK	\N	\N
3440185	1023	1995-03-31	PRIJEM	\N	172	41303	UROK	\N	\N
3440186	1023	1995-04-30	PRIJEM	\N	169	40736	UROK	\N	\N
3440187	1023	1995-05-31	PRIJEM	\N	186	38886	UROK	\N	\N
3440188	1023	1995-06-30	PRIJEM	\N	230	58018	UROK	\N	\N
3440189	1023	1995-07-31	PRIJEM	\N	226	52687	UROK	\N	\N
3440190	1023	1995-08-31	PRIJEM	\N	215	49625	UROK	\N	\N
3440191	1023	1995-09-30	PRIJEM	\N	211	51199	UROK	\N	\N
3440192	1023	1995-10-31	PRIJEM	\N	221	53784	UROK	\N	\N
3440193	1023	1995-11-30	PRIJEM	\N	219	52766	UROK	\N	\N
3440194	1023	1995-12-31	PRIJEM	\N	242	60310	UROK	\N	\N
3440195	1023	1996-01-31	PRIJEM	\N	171	29885	UROK	\N	\N
3440196	1023	1996-02-29	PRIJEM	\N	124	48272	UROK	\N	\N
3440197	1023	1996-03-31	PRIJEM	\N	133	31769	UROK	\N	\N
3440198	1023	1996-04-30	PRIJEM	\N	131	31863	UROK	\N	\N
3440199	1023	1996-05-31	PRIJEM	\N	132	32958	UROK	\N	\N
3440200	1023	1996-06-30	PRIJEM	\N	164	30064	UROK	\N	\N
3440201	1023	1996-07-31	PRIJEM	\N	165	28793	UROK	\N	\N
3440202	1023	1996-08-31	PRIJEM	\N	116	25972	UROK	\N	\N
3440203	1023	1996-09-30	PRIJEM	\N	106	25141	UROK	\N	\N
3440204	1023	1996-10-31	PRIJEM	\N	113	22118	UROK	\N	\N
3440205	1023	1996-11-30	PRIJEM	\N	101	24982	UROK	\N	\N
3440206	1023	1996-12-31	PRIJEM	\N	108	31893	UROK	\N	\N
3440207	1023	1997-01-31	PRIJEM	\N	129	20586	UROK	\N	\N
3440208	1023	1997-02-28	PRIJEM	\N	121	18570	UROK	\N	\N
3440209	1023	1997-03-31	PRIJEM	\N	79	22912	UROK	\N	\N
3440210	1023	1997-04-30	PRIJEM	\N	94	19469	UROK	\N	\N
3440211	1023	1997-05-31	PRIJEM	\N	81	21513	UROK	\N	\N
3440212	1023	1997-06-30	PRIJEM	\N	122	16997	UROK	\N	\N
3440213	1023	1997-07-31	PRIJEM	\N	97	17678	UROK	\N	\N
3440214	1023	1997-08-31	PRIJEM	\N	73	19614	UROK	\N	\N
3440215	1023	1997-09-30	PRIJEM	\N	81	21158	UROK	\N	\N
3440216	1023	1997-10-31	PRIJEM	\N	86	21807	UROK	\N	\N
3440217	1023	1997-11-30	PRIJEM	\N	93	25764	UROK	\N	\N
3440218	1023	1997-12-31	PRIJEM	\N	118	30385	UROK	\N	\N
3440219	1023	1998-01-31	PRIJEM	\N	103	19131	UROK	\N	\N
3440220	1023	1998-02-28	PRIJEM	\N	77	19972	UROK	\N	\N
3440221	1023	1998-03-31	PRIJEM	\N	82	21918	UROK	\N	\N
3440222	1023	1998-04-30	PRIJEM	\N	82	18964	UROK	\N	\N
3440223	1023	1998-05-31	PRIJEM	\N	91	36218	UROK	\N	\N
3440224	1023	1998-06-30	PRIJEM	\N	121	26461	UROK	\N	\N
3440225	1023	1998-07-31	PRIJEM	\N	87	16412	UROK	\N	\N
3440226	1023	1998-08-31	PRIJEM	\N	67	34741	UROK	\N	\N
3440227	1023	1998-09-30	PRIJEM	\N	102	16507	UROK	\N	\N
3440228	1023	1998-10-31	PRIJEM	\N	67	34837	UROK	\N	\N
3440229	1023	1998-11-30	PRIJEM	\N	99	16400	UROK	\N	\N
3440230	1023	1998-12-31	PRIJEM	\N	90	41292	UROK	\N	\N
3440231	1032	1993-05-31	PRIJEM	\N	31	38196	UROK	\N	\N
3440232	1032	1993-06-30	PRIJEM	\N	314	57058	UROK	\N	\N
3440233	1032	1993-07-31	PRIJEM	\N	361	46584	UROK	\N	\N
3440234	1032	1993-08-31	PRIJEM	\N	208	60057	UROK	\N	\N
3440235	1032	1993-09-30	PRIJEM	\N	295	53817	UROK	\N	\N
3440236	1032	1993-10-31	PRIJEM	\N	239	66306	UROK	\N	\N
3440237	1032	1993-11-30	PRIJEM	\N	211	34168	UROK	\N	\N
3440238	1032	1993-12-31	PRIJEM	\N	178	29079	UROK	\N	\N
3440239	1032	1994-01-31	PRIJEM	\N	226	24909	UROK	\N	\N
3440240	1032	1994-02-28	PRIJEM	\N	118	34050	UROK	\N	\N
3440241	1032	1994-03-31	PRIJEM	\N	140	49113	UROK	\N	\N
3440242	1032	1994-04-30	PRIJEM	\N	246	57608	UROK	\N	\N
3440243	1032	1994-05-31	PRIJEM	\N	282	53541	UROK	\N	\N
3440244	1032	1994-06-30	PRIJEM	\N	261	26535	UROK	\N	\N
3440245	1032	1994-07-31	PRIJEM	\N	191	43718	UROK	\N	\N
3440246	1032	1994-08-31	PRIJEM	\N	205	54228	UROK	\N	\N
3440247	1032	1994-09-30	PRIJEM	\N	245	64723	UROK	\N	\N
3440248	1032	1994-10-31	PRIJEM	\N	199	39474	UROK	\N	\N
3440249	1032	1994-11-30	PRIJEM	\N	253	45486	UROK	\N	\N
3440250	1032	1994-12-31	PRIJEM	\N	207	44826	UROK	\N	\N
3440251	1032	1995-01-31	PRIJEM	\N	264	35340	UROK	\N	\N
3440252	1032	1995-02-28	PRIJEM	\N	194	57884	UROK	\N	\N
3440253	1032	1995-03-31	PRIJEM	\N	264	69198	UROK	\N	\N
3440254	1032	1995-04-30	PRIJEM	\N	303	60152	UROK	\N	\N
3440255	1032	1995-05-31	PRIJEM	\N	282	40884	UROK	\N	\N
3440256	1032	1995-06-30	PRIJEM	\N	177	35295	UROK	\N	\N
3440257	1032	1995-07-31	PRIJEM	\N	222	53933	UROK	\N	\N
3440258	1032	1995-08-31	PRIJEM	\N	255	66638	UROK	\N	\N
3440259	1032	1995-09-30	PRIJEM	\N	238	30726	UROK	\N	\N
3440260	1032	1995-10-31	PRIJEM	\N	200	59477	UROK	\N	\N
3440261	1032	1995-11-30	PRIJEM	\N	302	67630	UROK	\N	\N
3440262	1032	1995-12-31	PRIJEM	\N	314	47177	UROK	\N	\N
3440263	1032	1996-01-31	PRIJEM	\N	223	24451	UROK	\N	\N
3440264	1032	1996-02-29	PRIJEM	\N	146	34036	UROK	\N	\N
3440265	1032	1996-03-31	PRIJEM	\N	159	35689	UROK	\N	\N
3440266	1032	1996-04-30	PRIJEM	\N	190	32391	UROK	\N	\N
3440267	1032	1996-05-31	PRIJEM	\N	187	42491	UROK	\N	\N
3440268	1032	1996-06-30	PRIJEM	\N	204	37882	UROK	\N	\N
3440269	1032	1996-07-31	PRIJEM	\N	194	35277	UROK	\N	\N
3440270	1032	1996-08-31	PRIJEM	\N	187	43425	UROK	\N	\N
3440271	1032	1996-09-30	PRIJEM	\N	248	64323	UROK	\N	\N
3440272	1032	1996-10-31	PRIJEM	\N	205	46878	UROK	\N	\N
3440273	1032	1996-11-30	PRIJEM	\N	274	70402	UROK	\N	\N
3440274	1032	1996-12-31	PRIJEM	\N	273	59834	UROK	\N	\N
3440275	1032	1997-01-31	PRIJEM	\N	187	30969	UROK	\N	\N
3440276	1032	1997-02-28	PRIJEM	\N	259	48512	UROK	\N	\N
3440277	1032	1997-03-31	PRIJEM	\N	253	60315	UROK	\N	\N
3440278	1032	1997-04-30	PRIJEM	\N	348	53337	UROK	\N	\N
3440279	1032	1997-05-31	PRIJEM	\N	395	71682	UROK	\N	\N
3440280	1032	1997-06-30	PRIJEM	\N	367	85402	UROK	\N	\N
3440281	1032	1997-07-31	PRIJEM	\N	376	97591	UROK	\N	\N
3440282	1032	1997-08-31	PRIJEM	\N	270	49388	UROK	\N	\N
3440283	1032	1997-09-30	PRIJEM	\N	319	70376	UROK	\N	\N
3440284	1032	1997-10-31	PRIJEM	\N	424	107950	UROK	\N	\N
3440285	1032	1997-11-30	PRIJEM	\N	324	61791	UROK	\N	\N
3440286	1032	1997-12-31	PRIJEM	\N	294	62756	UROK	\N	\N
3440287	1032	1998-01-31	PRIJEM	\N	254	47713	UROK	\N	\N
3440288	1032	1998-02-28	PRIJEM	\N	256	75956	UROK	\N	\N
3440289	1032	1998-03-31	PRIJEM	\N	428	108634	UROK	\N	\N
3440290	1032	1998-04-30	PRIJEM	\N	397	70276	UROK	\N	\N
3440291	1032	1998-05-31	PRIJEM	\N	289	79516	UROK	\N	\N
3440292	1032	1998-06-30	PRIJEM	\N	360	61568	UROK	\N	\N
3440293	1032	1998-07-31	PRIJEM	\N	300	74018	UROK	\N	\N
3440294	1032	1998-08-31	PRIJEM	\N	399	77568	UROK	\N	\N
3440295	1032	1998-09-30	PRIJEM	\N	334	66852	UROK	\N	\N
3440296	1032	1998-10-31	PRIJEM	\N	279	78981	UROK	\N	\N
3440297	1032	1998-11-30	PRIJEM	\N	462	73394	UROK	\N	\N
3440298	1032	1998-12-31	PRIJEM	\N	408	99922	UROK	\N	\N
3440299	1033	1998-04-30	PRIJEM	\N	82	39468	UROK	\N	\N
3440300	1033	1998-05-31	PRIJEM	\N	164	33932	UROK	\N	\N
3440301	1033	1998-06-30	PRIJEM	\N	164	30596	UROK	\N	\N
3440302	1033	1998-07-31	PRIJEM	\N	153	28812	UROK	\N	\N
3440303	1033	1998-08-31	PRIJEM	\N	107	25219	UROK	\N	\N
3440304	1033	1998-09-30	PRIJEM	\N	107	24425	UROK	\N	\N
3440305	1033	1998-10-31	PRIJEM	\N	107	22432	UROK	\N	\N
3440306	1042	1994-04-30	PRIJEM	\N	31	12976	UROK	\N	\N
3440307	1042	1994-05-31	PRIJEM	\N	92	28813	UROK	\N	\N
3440308	1042	1994-06-30	PRIJEM	\N	156	44437	UROK	\N	\N
3440309	1042	1994-07-31	PRIJEM	\N	188	46070	UROK	\N	\N
3440310	1042	1994-08-31	PRIJEM	\N	200	50516	UROK	\N	\N
3440311	1042	1994-09-30	PRIJEM	\N	161	50307	UROK	\N	\N
3440312	1042	1994-10-31	PRIJEM	\N	207	39544	UROK	\N	\N
3440313	1042	1994-11-30	PRIJEM	\N	164	38138	UROK	\N	\N
3440314	1042	1994-12-31	PRIJEM	\N	194	40486	UROK	\N	\N
3440315	1042	1995-01-31	PRIJEM	\N	159	30675	UROK	\N	\N
3440316	1042	1995-02-28	PRIJEM	\N	148	35654	UROK	\N	\N
3440317	1042	1995-03-31	PRIJEM	\N	149	36833	UROK	\N	\N
3440318	1042	1995-04-30	PRIJEM	\N	156	43019	UROK	\N	\N
3440319	1042	1995-05-31	PRIJEM	\N	179	42728	UROK	\N	\N
3440320	1042	1995-06-30	PRIJEM	\N	172	30253	UROK	\N	\N
3440321	1042	1995-07-31	PRIJEM	\N	130	36213	UROK	\N	\N
3440322	1042	1995-08-31	PRIJEM	\N	156	42799	UROK	\N	\N
3440323	1042	1995-09-30	PRIJEM	\N	181	47010	UROK	\N	\N
3440324	1042	1995-10-31	PRIJEM	\N	195	47336	UROK	\N	\N
3440325	1042	1995-11-30	PRIJEM	\N	198	48664	UROK	\N	\N
3440326	1042	1995-12-31	PRIJEM	\N	222	47740	UROK	\N	\N
3440327	1042	1996-01-31	PRIJEM	\N	190	37060	UROK	\N	\N
3440328	1042	1996-02-29	PRIJEM	\N	171	42762	UROK	\N	\N
3440329	1042	1996-03-31	PRIJEM	\N	184	48075	UROK	\N	\N
3440330	1042	1996-04-30	PRIJEM	\N	213	49218	UROK	\N	\N
3440331	1042	1996-05-31	PRIJEM	\N	206	50554	UROK	\N	\N
3440332	1042	1996-06-30	PRIJEM	\N	188	39696	UROK	\N	\N
3440333	1042	1996-07-31	PRIJEM	\N	170	43997	UROK	\N	\N
3440334	1042	1996-08-31	PRIJEM	\N	188	47514	UROK	\N	\N
3440335	1042	1996-09-30	PRIJEM	\N	197	45041	UROK	\N	\N
3440336	1042	1996-10-31	PRIJEM	\N	191	47963	UROK	\N	\N
3440337	1042	1996-11-30	PRIJEM	\N	204	48597	UROK	\N	\N
3440338	1042	1996-12-31	PRIJEM	\N	208	47759	UROK	\N	\N
3440339	1042	1997-01-31	PRIJEM	\N	179	40268	UROK	\N	\N
3440340	1042	1997-02-28	PRIJEM	\N	162	37060	UROK	\N	\N
3440341	1042	1997-03-31	PRIJEM	\N	159	37550	UROK	\N	\N
3440342	1042	1997-04-30	PRIJEM	\N	156	38637	UROK	\N	\N
3440343	1042	1997-05-31	PRIJEM	\N	159	39026	UROK	\N	\N
3440344	1042	1997-06-30	PRIJEM	\N	172	44852	UROK	\N	\N
3440345	1042	1997-07-31	PRIJEM	\N	182	42364	UROK	\N	\N
3440346	1042	1997-08-31	PRIJEM	\N	173	42168	UROK	\N	\N
3440347	1042	1997-09-30	PRIJEM	\N	153	35951	UROK	\N	\N
3440348	1042	1997-10-31	PRIJEM	\N	175	36456	UROK	\N	\N
3440349	1042	1997-11-30	PRIJEM	\N	147	34634	UROK	\N	\N
3440350	1042	1997-12-31	PRIJEM	\N	165	44853	UROK	\N	\N
3440351	1042	1998-01-31	PRIJEM	\N	158	34941	UROK	\N	\N
3440352	1042	1998-02-28	PRIJEM	\N	168	46540	UROK	\N	\N
3440353	1042	1998-03-31	PRIJEM	\N	199	49969	UROK	\N	\N
3440354	1042	1998-04-30	PRIJEM	\N	213	54512	UROK	\N	\N
3440355	1042	1998-05-31	PRIJEM	\N	229	56771	UROK	\N	\N
3440356	1042	1998-06-30	PRIJEM	\N	240	59964	UROK	\N	\N
3440357	1042	1998-07-31	PRIJEM	\N	223	52717	UROK	\N	\N
3440358	1042	1998-08-31	PRIJEM	\N	214	52061	UROK	\N	\N
3440359	1042	1998-09-30	PRIJEM	\N	194	48685	UROK	\N	\N
3440360	1042	1998-10-31	PRIJEM	\N	202	50418	UROK	\N	\N
3440361	1042	1998-11-30	PRIJEM	\N	202	48950	UROK	\N	\N
3440362	1042	1998-12-31	PRIJEM	\N	198	49502	UROK	\N	\N
3440363	1052	1993-10-31	PRIJEM	\N	9	12709	UROK	\N	\N
3440364	1052	1993-11-30	PRIJEM	\N	58	20567	UROK	\N	\N
3440365	1052	1993-12-31	PRIJEM	\N	119	41622	UROK	\N	\N
3440366	1052	1994-01-31	PRIJEM	\N	156	26728	UROK	\N	\N
3440367	1052	1994-02-28	PRIJEM	\N	113	28826	UROK	\N	\N
3440368	1052	1994-03-31	PRIJEM	\N	121	28933	UROK	\N	\N
3440369	1052	1994-04-30	PRIJEM	\N	171	49308	UROK	\N	\N
3440370	1052	1994-05-31	PRIJEM	\N	195	37988	UROK	\N	\N
3440371	1052	1994-06-30	PRIJEM	\N	134	26308	UROK	\N	\N
3440372	1052	1994-07-31	PRIJEM	\N	179	45889	UROK	\N	\N
3440373	1052	1994-08-31	PRIJEM	\N	176	33651	UROK	\N	\N
3440374	1052	1994-09-30	PRIJEM	\N	135	29971	UROK	\N	\N
3440375	1052	1994-10-31	PRIJEM	\N	124	29581	UROK	\N	\N
3440376	1052	1994-11-30	PRIJEM	\N	119	26485	UROK	\N	\N
3440377	1052	1994-12-31	PRIJEM	\N	109	25529	UROK	\N	\N
3440378	1052	1995-01-31	PRIJEM	\N	98	21713	UROK	\N	\N
3440379	1052	1995-02-28	PRIJEM	\N	92	22690	UROK	\N	\N
3440380	1052	1995-03-31	PRIJEM	\N	97	24372	UROK	\N	\N
3440381	1052	1995-04-30	PRIJEM	\N	143	36606	UROK	\N	\N
3440382	1052	1995-05-31	PRIJEM	\N	140	29132	UROK	\N	\N
3440383	1052	1995-06-30	PRIJEM	\N	88	19205	UROK	\N	\N
3440384	1052	1995-07-31	PRIJEM	\N	87	23478	UROK	\N	\N
3440385	1052	1995-08-31	PRIJEM	\N	100	25063	UROK	\N	\N
3440386	1052	1995-09-30	PRIJEM	\N	99	22497	UROK	\N	\N
3440387	1052	1995-10-31	PRIJEM	\N	88	19871	UROK	\N	\N
3440388	1052	1995-11-30	PRIJEM	\N	101	23753	UROK	\N	\N
3440389	1052	1995-12-31	PRIJEM	\N	94	22033	UROK	\N	\N
3440390	1052	1996-01-31	PRIJEM	\N	87	16405	UROK	\N	\N
3440391	1052	1996-02-29	PRIJEM	\N	76	20466	UROK	\N	\N
3440392	1052	1996-03-31	PRIJEM	\N	84	20135	UROK	\N	\N
3440393	1052	1996-04-30	PRIJEM	\N	127	45279	UROK	\N	\N
3440394	1052	1996-05-31	PRIJEM	\N	150	29814	UROK	\N	\N
3440395	1052	1996-06-30	PRIJEM	\N	91	15240	UROK	\N	\N
3440396	1052	1996-07-31	PRIJEM	\N	66	16392	UROK	\N	\N
3440397	1052	1996-08-31	PRIJEM	\N	119	39080	UROK	\N	\N
3440398	1052	1996-09-30	PRIJEM	\N	124	24840	UROK	\N	\N
3440399	1052	1996-10-31	PRIJEM	\N	88	18513	UROK	\N	\N
3440400	1052	1996-11-30	PRIJEM	\N	70	16068	UROK	\N	\N
3440401	1052	1996-12-31	PRIJEM	\N	60	13814	UROK	\N	\N
3440402	1052	1997-01-31	PRIJEM	\N	60	23749	UROK	\N	\N
3440403	1052	1997-02-28	PRIJEM	\N	88	19623	UROK	\N	\N
3440404	1052	1997-03-31	PRIJEM	\N	73	15981	UROK	\N	\N
3440405	1052	1997-04-30	PRIJEM	\N	145	56999	UROK	\N	\N
3440406	1052	1997-05-31	PRIJEM	\N	205	41689	UROK	\N	\N
3440407	1052	1997-06-30	PRIJEM	\N	101	20076	UROK	\N	\N
3440408	1052	1997-07-31	PRIJEM	\N	80	19292	UROK	\N	\N
3440409	1052	1997-08-31	PRIJEM	\N	78	19155	UROK	\N	\N
3440410	1052	1997-09-30	PRIJEM	\N	83	21723	UROK	\N	\N
3440411	1052	1997-10-31	PRIJEM	\N	86	20995	UROK	\N	\N
3440412	1052	1997-11-30	PRIJEM	\N	73	16604	UROK	\N	\N
3440413	1052	1997-12-31	PRIJEM	\N	73	19113	UROK	\N	\N
3440414	1052	1998-01-31	PRIJEM	\N	76	18474	UROK	\N	\N
3440415	1052	1998-02-28	PRIJEM	\N	75	18934	UROK	\N	\N
3440416	1052	1998-03-31	PRIJEM	\N	74	17694	UROK	\N	\N
3440417	1052	1998-04-30	PRIJEM	\N	157	41203	UROK	\N	\N
3440418	1052	1998-05-31	PRIJEM	\N	142	30330	UROK	\N	\N
3440419	1052	1998-06-30	PRIJEM	\N	94	18010	UROK	\N	\N
3440420	1052	1998-07-31	PRIJEM	\N	78	20974	UROK	\N	\N
3440421	1052	1998-08-31	PRIJEM	\N	79	18037	UROK	\N	\N
3440422	1052	1998-09-30	PRIJEM	\N	71	17294	UROK	\N	\N
3440423	1052	1998-10-31	PRIJEM	\N	171	63721	UROK	\N	\N
3440424	1052	1998-11-30	PRIJEM	\N	140	34996	UROK	\N	\N
3440425	1060	1997-07-31	PRIJEM	\N	87	43022	UROK	\N	\N
3440426	1060	1997-08-31	PRIJEM	\N	179	36400	UROK	\N	\N
3440427	1060	1997-09-30	PRIJEM	\N	179	32779	UROK	\N	\N
3440428	1060	1997-10-31	PRIJEM	\N	238	72611	UROK	\N	\N
3440429	1060	1997-11-30	PRIJEM	\N	302	52712	UROK	\N	\N
3440430	1060	1997-12-31	PRIJEM	\N	302	38514	UROK	\N	\N
3440431	1060	1998-01-31	PRIJEM	\N	302	30615	UROK	\N	\N
3440432	1060	1998-02-28	PRIJEM	\N	302	28317	UROK	\N	\N
3440433	1060	1998-03-31	PRIJEM	\N	302	27218	UROK	\N	\N
3440434	1060	1998-04-30	PRIJEM	\N	255	51761	UROK	\N	\N
3440435	1060	1998-05-31	PRIJEM	\N	215	33775	UROK	\N	\N
3440436	1060	1998-06-30	PRIJEM	\N	215	23090	UROK	\N	\N
3440437	1060	1998-07-31	PRIJEM	\N	215	12904	UROK	\N	\N
3440438	1063	1996-10-31	PRIJEM	\N	25	14155	UROK	\N	\N
3440439	1063	1996-11-30	PRIJEM	\N	72	21557	UROK	\N	\N
3440440	1063	1996-12-31	PRIJEM	\N	103	28655	UROK	\N	\N
3440441	1063	1997-01-31	PRIJEM	\N	128	33213	UROK	\N	\N
3440442	1063	1997-02-28	PRIJEM	\N	148	38290	UROK	\N	\N
3440443	1063	1997-03-31	PRIJEM	\N	160	34266	UROK	\N	\N
3440444	1063	1997-04-30	PRIJEM	\N	158	42239	UROK	\N	\N
3440445	1063	1997-05-31	PRIJEM	\N	181	43936	UROK	\N	\N
3440446	1063	1997-06-30	PRIJEM	\N	176	41392	UROK	\N	\N
3440447	1063	1997-07-31	PRIJEM	\N	177	43885	UROK	\N	\N
3440448	1063	1997-08-31	PRIJEM	\N	190	47290	UROK	\N	\N
3440449	1063	1997-09-30	PRIJEM	\N	209	52115	UROK	\N	\N
3440450	1063	1997-10-31	PRIJEM	\N	236	58066	UROK	\N	\N
3440451	1063	1997-11-30	PRIJEM	\N	250	62132	UROK	\N	\N
3440452	1063	1997-12-31	PRIJEM	\N	279	70391	UROK	\N	\N
3440453	1063	1998-01-31	PRIJEM	\N	268	56875	UROK	\N	\N
3440454	1063	1998-02-28	PRIJEM	\N	258	66748	UROK	\N	\N
3440455	1063	1998-03-31	PRIJEM	\N	300	76063	UROK	\N	\N
3440456	1063	1998-04-30	PRIJEM	\N	327	80906	UROK	\N	\N
3440457	1063	1998-05-31	PRIJEM	\N	343	83264	UROK	\N	\N
3440458	1063	1998-06-30	PRIJEM	\N	329	82374	UROK	\N	\N
3440459	1063	1998-07-31	PRIJEM	\N	341	82131	UROK	\N	\N
3440460	1063	1998-08-31	PRIJEM	\N	346	84091	UROK	\N	\N
3440461	1063	1998-09-30	PRIJEM	\N	340	80247	UROK	\N	\N
3440462	1063	1998-10-31	PRIJEM	\N	342	82904	UROK	\N	\N
3440463	1063	1998-11-30	PRIJEM	\N	343	82562	UROK	\N	\N
3440464	1063	1998-12-31	PRIJEM	\N	358	89300	UROK	\N	\N
3440465	1065	1993-04-30	PRIJEM	\N	10	14910	UROK	\N	\N
3440466	1065	1993-05-31	PRIJEM	\N	67	20577	UROK	\N	\N
3440467	1065	1993-06-30	PRIJEM	\N	86	21962	UROK	\N	\N
3440468	1065	1993-07-31	PRIJEM	\N	90	24852	UROK	\N	\N
3440469	1065	1993-08-31	PRIJEM	\N	105	26557	UROK	\N	\N
3440470	1065	1993-09-30	PRIJEM	\N	192	45881	UROK	\N	\N
3440471	1065	1993-10-31	PRIJEM	\N	178	35345	UROK	\N	\N
3440472	1065	1993-11-30	PRIJEM	\N	141	30421	UROK	\N	\N
3440473	1065	1993-12-31	PRIJEM	\N	143	34937	UROK	\N	\N
3440474	1065	1994-01-31	PRIJEM	\N	124	21546	UROK	\N	\N
3440475	1065	1994-02-28	PRIJEM	\N	90	22921	UROK	\N	\N
3440476	1065	1994-03-31	PRIJEM	\N	96	24302	UROK	\N	\N
3440477	1065	1994-04-30	PRIJEM	\N	101	24589	UROK	\N	\N
3440478	1065	1994-05-31	PRIJEM	\N	103	25077	UROK	\N	\N
3440479	1065	1994-06-30	PRIJEM	\N	83	14346	UROK	\N	\N
3440480	1065	1994-07-31	PRIJEM	\N	96	30176	UROK	\N	\N
3440481	1065	1994-08-31	PRIJEM	\N	124	29285	UROK	\N	\N
3440482	1065	1994-09-30	PRIJEM	\N	119	27990	UROK	\N	\N
3440483	1065	1994-10-31	PRIJEM	\N	117	28693	UROK	\N	\N
3440484	1065	1994-11-30	PRIJEM	\N	119	28797	UROK	\N	\N
3440485	1065	1994-12-31	PRIJEM	\N	158	40399	UROK	\N	\N
3440486	1065	1995-01-31	PRIJEM	\N	108	21692	UROK	\N	\N
3440487	1065	1995-02-28	PRIJEM	\N	94	23571	UROK	\N	\N
3440488	1065	1995-03-31	PRIJEM	\N	99	24155	UROK	\N	\N
3440489	1065	1995-04-30	PRIJEM	\N	125	33399	UROK	\N	\N
3440490	1065	1995-05-31	PRIJEM	\N	132	29867	UROK	\N	\N
3440491	1065	1995-06-30	PRIJEM	\N	114	28166	UROK	\N	\N
3440492	1065	1995-07-31	PRIJEM	\N	120	29872	UROK	\N	\N
3440493	1065	1995-08-31	PRIJEM	\N	121	28078	UROK	\N	\N
3440494	1065	1995-09-30	PRIJEM	\N	125	32088	UROK	\N	\N
3440495	1065	1995-10-31	PRIJEM	\N	134	32607	UROK	\N	\N
3440496	1065	1995-11-30	PRIJEM	\N	139	34331	UROK	\N	\N
3440497	1065	1995-12-31	PRIJEM	\N	159	39059	UROK	\N	\N
3440498	1065	1996-01-31	PRIJEM	\N	136	27331	UROK	\N	\N
3440499	1065	1996-02-29	PRIJEM	\N	128	32994	UROK	\N	\N
3440500	1065	1996-03-31	PRIJEM	\N	139	33769	UROK	\N	\N
3440501	1065	1996-04-30	PRIJEM	\N	138	33091	UROK	\N	\N
3440502	1065	1996-05-31	PRIJEM	\N	149	37925	UROK	\N	\N
3440503	1065	1996-06-30	PRIJEM	\N	122	29533	UROK	\N	\N
3440504	1065	1996-07-31	PRIJEM	\N	144	38051	UROK	\N	\N
3440505	1065	1996-08-31	PRIJEM	\N	168	47510	UROK	\N	\N
3440506	1065	1996-09-30	PRIJEM	\N	185	41981	UROK	\N	\N
3440507	1065	1996-10-31	PRIJEM	\N	173	41839	UROK	\N	\N
3440508	1065	1996-11-30	PRIJEM	\N	171	41195	UROK	\N	\N
3440509	1065	1996-12-31	PRIJEM	\N	163	39043	UROK	\N	\N
3440510	1065	1997-01-31	PRIJEM	\N	111	20439	UROK	\N	\N
3440511	1065	1997-02-28	PRIJEM	\N	95	25719	UROK	\N	\N
3440512	1065	1997-03-31	PRIJEM	\N	224	64565	UROK	\N	\N
3440513	1065	1997-04-30	PRIJEM	\N	215	43966	UROK	\N	\N
3440514	1065	1997-05-31	PRIJEM	\N	195	63739	UROK	\N	\N
3440515	1065	1997-06-30	PRIJEM	\N	163	23538	UROK	\N	\N
3440516	1065	1997-07-31	PRIJEM	\N	98	24621	UROK	\N	\N
3440517	1065	1997-08-31	PRIJEM	\N	100	24807	UROK	\N	\N
3440518	1065	1997-09-30	PRIJEM	\N	99	24091	UROK	\N	\N
3440519	1065	1997-10-31	PRIJEM	\N	100	24126	UROK	\N	\N
3440520	1065	1997-11-30	PRIJEM	\N	97	23908	UROK	\N	\N
3440521	1065	1997-12-31	PRIJEM	\N	84	20977	UROK	\N	\N
3440522	1065	1998-01-31	PRIJEM	\N	72	16884	UROK	\N	\N
3440523	1065	1998-02-28	PRIJEM	\N	69	17989	UROK	\N	\N
3440524	1065	1998-03-31	PRIJEM	\N	210	53845	UROK	\N	\N
3440525	1065	1998-04-30	PRIJEM	\N	125	32556	UROK	\N	\N
3440526	1065	1998-05-31	PRIJEM	\N	129	23094	UROK	\N	\N
3440527	1065	1998-06-30	PRIJEM	\N	87	16316	UROK	\N	\N
3440528	1065	1998-07-31	PRIJEM	\N	64	17666	UROK	\N	\N
3440529	1065	1998-08-31	PRIJEM	\N	69	15520	UROK	\N	\N
3440530	1065	1998-09-30	PRIJEM	\N	61	16866	UROK	\N	\N
3440531	1065	1998-10-31	PRIJEM	\N	66	18217	UROK	\N	\N
3440532	1065	1998-11-30	PRIJEM	\N	72	19575	UROK	\N	\N
3440533	1065	1998-12-31	PRIJEM	\N	78	20238	UROK	\N	\N
3440534	1066	1996-10-31	PRIJEM	\N	78	34292	UROK	\N	\N
3440535	1066	1996-11-30	PRIJEM	\N	162	46068	UROK	\N	\N
3440536	1066	1996-12-31	PRIJEM	\N	223	50338	UROK	\N	\N
3440537	1066	1997-01-31	PRIJEM	\N	209	39447	UROK	\N	\N
3440538	1066	1997-02-28	PRIJEM	\N	273	93033	UROK	\N	\N
3440539	1066	1997-03-31	PRIJEM	\N	313	90743	UROK	\N	\N
3440540	1066	1997-04-30	PRIJEM	\N	350	64355	UROK	\N	\N
3440541	1066	1997-05-31	PRIJEM	\N	253	66084	UROK	\N	\N
3440542	1066	1997-06-30	PRIJEM	\N	236	61609	UROK	\N	\N
3440543	1066	1997-07-31	PRIJEM	\N	314	67589	UROK	\N	\N
3440544	1066	1997-08-31	PRIJEM	\N	297	64131	UROK	\N	\N
3440545	1066	1997-09-30	PRIJEM	\N	266	53567	UROK	\N	\N
3440546	1066	1997-10-31	PRIJEM	\N	221	61526	UROK	\N	\N
3440547	1066	1997-11-30	PRIJEM	\N	361	93925	UROK	\N	\N
3440548	1066	1997-12-31	PRIJEM	\N	287	60397	UROK	\N	\N
3440549	1066	1998-01-31	PRIJEM	\N	156	21323	UROK	\N	\N
3440550	1066	1998-02-28	PRIJEM	\N	185	38178	UROK	\N	\N
3440551	1066	1998-03-31	PRIJEM	\N	219	107397	UROK	\N	\N
3440552	1066	1998-04-30	PRIJEM	\N	352	83039	UROK	\N	\N
3440553	1066	1998-05-31	PRIJEM	\N	302	77315	UROK	\N	\N
3440554	1066	1998-06-30	PRIJEM	\N	295	94978	UROK	\N	\N
3440555	1066	1998-07-31	PRIJEM	\N	298	41557	UROK	\N	\N
3440556	1066	1998-08-31	PRIJEM	\N	348	109673	UROK	\N	\N
3440557	1066	1998-09-30	PRIJEM	\N	299	88942	UROK	\N	\N
3440558	1066	1998-10-31	PRIJEM	\N	291	60086	UROK	\N	\N
3440559	1066	1998-11-30	PRIJEM	\N	280	96894	UROK	\N	\N
3440560	1066	1998-12-31	PRIJEM	\N	391	79349	UROK	\N	\N
3440561	1077	1993-03-31	PRIJEM	\N	5	2505	UROK	\N	\N
3440562	1077	1993-04-30	PRIJEM	\N	40	16946	UROK	\N	\N
3440563	1077	1993-05-31	PRIJEM	\N	113	63217	UROK	\N	\N
3440564	1077	1993-06-30	PRIJEM	\N	225	46041	UROK	\N	\N
3440565	1077	1993-07-31	PRIJEM	\N	178	43624	UROK	\N	\N
3440566	1077	1993-08-31	PRIJEM	\N	150	33360	UROK	\N	\N
3440567	1077	1993-09-30	PRIJEM	\N	135	27931	UROK	\N	\N
3440568	1077	1993-10-31	PRIJEM	\N	116	26032	UROK	\N	\N
3440569	1077	1993-11-30	PRIJEM	\N	109	28526	UROK	\N	\N
3440570	1077	1993-12-31	PRIJEM	\N	118	28729	UROK	\N	\N
3440571	1077	1994-01-31	PRIJEM	\N	104	19718	UROK	\N	\N
3440572	1077	1994-02-28	PRIJEM	\N	84	23487	UROK	\N	\N
3440573	1077	1994-03-31	PRIJEM	\N	98	23971	UROK	\N	\N
3440574	1077	1994-04-30	PRIJEM	\N	99	23055	UROK	\N	\N
3440575	1077	1994-05-31	PRIJEM	\N	98	25638	UROK	\N	\N
3440576	1077	1994-06-30	PRIJEM	\N	108	27832	UROK	\N	\N
3440577	1077	1994-07-31	PRIJEM	\N	115	27132	UROK	\N	\N
3440578	1077	1994-08-31	PRIJEM	\N	107	23875	UROK	\N	\N
3440579	1077	1994-09-30	PRIJEM	\N	251	54509	UROK	\N	\N
3440580	1077	1994-10-31	PRIJEM	\N	210	39004	UROK	\N	\N
3440581	1077	1994-11-30	PRIJEM	\N	151	31040	UROK	\N	\N
3440582	1077	1994-12-31	PRIJEM	\N	125	26950	UROK	\N	\N
3440583	1077	1995-01-31	PRIJEM	\N	75	18310	UROK	\N	\N
3440584	1077	1995-02-28	PRIJEM	\N	79	21475	UROK	\N	\N
3440585	1077	1995-03-31	PRIJEM	\N	90	22651	UROK	\N	\N
3440586	1077	1995-04-30	PRIJEM	\N	188	50868	UROK	\N	\N
3440587	1077	1995-05-31	PRIJEM	\N	201	42754	UROK	\N	\N
3440588	1077	1995-06-30	PRIJEM	\N	117	22456	UROK	\N	\N
3440589	1077	1995-07-31	PRIJEM	\N	104	30046	UROK	\N	\N
3440590	1077	1995-08-31	PRIJEM	\N	123	29454	UROK	\N	\N
3440591	1077	1995-09-30	PRIJEM	\N	130	33919	UROK	\N	\N
3440592	1077	1995-10-31	PRIJEM	\N	179	47868	UROK	\N	\N
3440593	1077	1995-11-30	PRIJEM	\N	190	43343	UROK	\N	\N
3440594	1077	1995-12-31	PRIJEM	\N	174	38502	UROK	\N	\N
3440595	1077	1996-01-31	PRIJEM	\N	140	27852	UROK	\N	\N
3440596	1077	1996-02-29	PRIJEM	\N	128	32965	UROK	\N	\N
3440597	1077	1996-03-31	PRIJEM	\N	141	35592	UROK	\N	\N
3440598	1077	1996-04-30	PRIJEM	\N	151	38178	UROK	\N	\N
3440599	1077	1996-05-31	PRIJEM	\N	158	38421	UROK	\N	\N
3440600	1077	1996-06-30	PRIJEM	\N	143	27049	UROK	\N	\N
3440601	1077	1996-07-31	PRIJEM	\N	131	36066	UROK	\N	\N
3440602	1077	1996-08-31	PRIJEM	\N	155	36956	UROK	\N	\N
3440603	1077	1996-09-30	PRIJEM	\N	160	41302	UROK	\N	\N
3440604	1077	1996-10-31	PRIJEM	\N	184	69762	UROK	\N	\N
3440605	1077	1996-11-30	PRIJEM	\N	264	57411	UROK	\N	\N
3440606	1077	1996-12-31	PRIJEM	\N	215	49362	UROK	\N	\N
3440607	1077	1997-01-31	PRIJEM	\N	187	36034	UROK	\N	\N
3440608	1077	1997-02-28	PRIJEM	\N	159	41778	UROK	\N	\N
3440609	1077	1997-03-31	PRIJEM	\N	182	46546	UROK	\N	\N
3440610	1077	1997-04-30	PRIJEM	\N	189	45520	UROK	\N	\N
3440611	1077	1997-05-31	PRIJEM	\N	188	45993	UROK	\N	\N
3440612	1077	1997-06-30	PRIJEM	\N	162	17940	UROK	\N	\N
3440613	1077	1997-07-31	PRIJEM	\N	98	28924	UROK	\N	\N
3440614	1077	1997-08-31	PRIJEM	\N	155	41130	UROK	\N	\N
3440615	1077	1997-09-30	PRIJEM	\N	169	41785	UROK	\N	\N
3440616	1077	1997-10-31	PRIJEM	\N	181	46751	UROK	\N	\N
3440617	1077	1997-11-30	PRIJEM	\N	195	86366	UROK	\N	\N
3440618	1077	1997-12-31	PRIJEM	\N	311	67213	UROK	\N	\N
3440619	1077	1998-01-31	PRIJEM	\N	233	44631	UROK	\N	\N
3440620	1077	1998-02-28	PRIJEM	\N	274	81112	UROK	\N	\N
3440621	1077	1998-03-31	PRIJEM	\N	303	67000	UROK	\N	\N
3440622	1077	1998-04-30	PRIJEM	\N	258	60144	UROK	\N	\N
3440623	1077	1998-05-31	PRIJEM	\N	239	56768	UROK	\N	\N
3440624	1077	1998-06-30	PRIJEM	\N	195	42648	UROK	\N	\N
3440625	1077	1998-07-31	PRIJEM	\N	184	47417	UROK	\N	\N
3440626	1077	1998-08-31	PRIJEM	\N	204	52607	UROK	\N	\N
3440627	1077	1998-09-30	PRIJEM	\N	235	58027	UROK	\N	\N
3440628	1077	1998-10-31	PRIJEM	\N	244	61056	UROK	\N	\N
3440629	1077	1998-11-30	PRIJEM	\N	258	64499	UROK	\N	\N
3440630	1077	1998-12-31	PRIJEM	\N	275	98011	UROK	\N	\N
3440631	1087	1996-07-31	PRIJEM	\N	19	23294	UROK	\N	\N
3440632	1087	1996-08-31	PRIJEM	\N	103	29972	UROK	\N	\N
3440633	1087	1996-09-30	PRIJEM	\N	132	37779	UROK	\N	\N
3440634	1087	1996-10-31	PRIJEM	\N	160	40314	UROK	\N	\N
3440635	1087	1996-11-30	PRIJEM	\N	166	39255	UROK	\N	\N
3440636	1087	1996-12-31	PRIJEM	\N	170	44422	UROK	\N	\N
3440637	1087	1997-01-31	PRIJEM	\N	186	26068	UROK	\N	\N
3440638	1087	1997-02-28	PRIJEM	\N	153	31381	UROK	\N	\N
3440639	1087	1997-03-31	PRIJEM	\N	136	33077	UROK	\N	\N
3440640	1087	1997-04-30	PRIJEM	\N	144	38381	UROK	\N	\N
3440641	1087	1997-05-31	PRIJEM	\N	162	40204	UROK	\N	\N
3440642	1087	1997-06-30	PRIJEM	\N	163	34864	UROK	\N	\N
3440643	1087	1997-07-31	PRIJEM	\N	155	38379	UROK	\N	\N
3440644	1087	1997-08-31	PRIJEM	\N	183	40122	UROK	\N	\N
3440645	1087	1997-09-30	PRIJEM	\N	166	39948	UROK	\N	\N
3440646	1087	1997-10-31	PRIJEM	\N	178	43087	UROK	\N	\N
3440647	1087	1997-11-30	PRIJEM	\N	174	39921	UROK	\N	\N
3440648	1087	1997-12-31	PRIJEM	\N	173	43792	UROK	\N	\N
3440649	1087	1998-01-31	PRIJEM	\N	191	33143	UROK	\N	\N
3440650	1087	1998-02-28	PRIJEM	\N	149	39152	UROK	\N	\N
3440651	1087	1998-03-31	PRIJEM	\N	179	47992	UROK	\N	\N
3440652	1087	1998-04-30	PRIJEM	\N	204	50556	UROK	\N	\N
3440653	1087	1998-05-31	PRIJEM	\N	216	49832	UROK	\N	\N
3440654	1087	1998-06-30	PRIJEM	\N	205	33135	UROK	\N	\N
3440655	1087	1998-07-31	PRIJEM	\N	173	47468	UROK	\N	\N
3440656	1087	1998-08-31	PRIJEM	\N	234	53662	UROK	\N	\N
3440657	1087	1998-09-30	PRIJEM	\N	212	46534	UROK	\N	\N
3440658	1087	1998-10-31	PRIJEM	\N	199	49394	UROK	\N	\N
3440659	1087	1998-11-30	PRIJEM	\N	208	50762	UROK	\N	\N
3440660	1091	1995-07-31	PRIJEM	\N	3	25803	UROK	\N	\N
3440661	1091	1995-08-31	PRIJEM	\N	105	25609	UROK	\N	\N
3440662	1091	1995-09-30	PRIJEM	\N	105	26914	UROK	\N	\N
3440663	1091	1995-10-31	PRIJEM	\N	105	29920	UROK	\N	\N
3440664	1091	1995-11-30	PRIJEM	\N	105	31425	UROK	\N	\N
3440665	1091	1995-12-31	PRIJEM	\N	105	30731	UROK	\N	\N
3440666	1091	1996-01-31	PRIJEM	\N	105	32436	UROK	\N	\N
3440667	1091	1996-02-29	PRIJEM	\N	105	36441	UROK	\N	\N
3440668	1091	1996-03-31	PRIJEM	\N	105	37047	UROK	\N	\N
3440669	1091	1996-04-30	PRIJEM	\N	105	40352	UROK	\N	\N
3440670	1091	1996-05-31	PRIJEM	\N	105	41058	UROK	\N	\N
3440671	1091	1996-06-30	PRIJEM	\N	105	38863	UROK	\N	\N
3440672	1091	1996-07-31	PRIJEM	\N	105	42469	UROK	\N	\N
3440673	1091	1996-08-31	PRIJEM	\N	105	43974	UROK	\N	\N
3440674	1091	1996-09-30	PRIJEM	\N	105	47379	UROK	\N	\N
3440675	1091	1996-10-31	PRIJEM	\N	105	48085	UROK	\N	\N
3440676	1091	1996-11-30	PRIJEM	\N	105	48890	UROK	\N	\N
3440677	1091	1996-12-31	PRIJEM	\N	105	49496	UROK	\N	\N
3440678	1091	1997-01-31	PRIJEM	\N	105	53801	UROK	\N	\N
3440679	1091	1997-02-28	PRIJEM	\N	105	52007	UROK	\N	\N
3440680	1091	1997-03-31	PRIJEM	\N	105	52312	UROK	\N	\N
3440681	1091	1997-04-30	PRIJEM	\N	105	50817	UROK	\N	\N
3440682	1091	1997-05-31	PRIJEM	\N	105	52023	UROK	\N	\N
3440683	1091	1997-06-30	PRIJEM	\N	105	53528	UROK	\N	\N
3440684	1091	1997-07-31	PRIJEM	\N	105	59334	UROK	\N	\N
3440685	1091	1997-08-31	PRIJEM	\N	105	58239	UROK	\N	\N
3440686	1091	1997-09-30	PRIJEM	\N	105	62145	UROK	\N	\N
3440687	1091	1997-10-31	PRIJEM	\N	105	65450	UROK	\N	\N
3440688	1091	1997-11-30	PRIJEM	\N	105	69255	UROK	\N	\N
3440689	1091	1997-12-31	PRIJEM	\N	105	71361	UROK	\N	\N
3440690	1091	1998-01-31	PRIJEM	\N	105	72666	UROK	\N	\N
3440691	1091	1998-02-28	PRIJEM	\N	105	75872	UROK	\N	\N
3440692	1091	1998-03-31	PRIJEM	\N	105	79777	UROK	\N	\N
3440693	1091	1998-04-30	PRIJEM	\N	105	80583	UROK	\N	\N
3440694	1091	1998-05-31	PRIJEM	\N	105	79888	UROK	\N	\N
3440695	1091	1998-06-30	PRIJEM	\N	105	77493	UROK	\N	\N
3440696	1091	1998-07-31	PRIJEM	\N	105	75999	UROK	\N	\N
3440697	1091	1998-08-31	PRIJEM	\N	105	82904	UROK	\N	\N
3440698	1091	1998-09-30	PRIJEM	\N	105	85810	UROK	\N	\N
3440699	1091	1998-10-31	PRIJEM	\N	105	84415	UROK	\N	\N
3440700	1091	1998-11-30	PRIJEM	\N	105	86021	UROK	\N	\N
3440701	1103	1995-07-31	PRIJEM	\N	67	21630	UROK	\N	\N
3440702	1103	1995-08-31	PRIJEM	\N	163	45356	UROK	\N	\N
3440703	1103	1995-09-30	PRIJEM	\N	217	54836	UROK	\N	\N
3440704	1103	1995-10-31	PRIJEM	\N	252	62650	UROK	\N	\N
3440705	1103	1995-11-30	PRIJEM	\N	274	67187	UROK	\N	\N
3440706	1103	1995-12-31	PRIJEM	\N	304	73820	UROK	\N	\N
3440707	1103	1996-01-31	PRIJEM	\N	279	61548	UROK	\N	\N
3440708	1103	1996-02-29	PRIJEM	\N	232	59329	UROK	\N	\N
3440709	1103	1996-03-31	PRIJEM	\N	248	59825	UROK	\N	\N
3440710	1103	1996-04-30	PRIJEM	\N	252	60925	UROK	\N	\N
3440711	1103	1996-05-31	PRIJEM	\N	264	64437	UROK	\N	\N
3440712	1103	1996-06-30	PRIJEM	\N	257	67524	UROK	\N	\N
3440713	1103	1996-07-31	PRIJEM	\N	262	65034	UROK	\N	\N
3440714	1103	1996-08-31	PRIJEM	\N	274	66357	UROK	\N	\N
3440715	1103	1996-09-30	PRIJEM	\N	263	62168	UROK	\N	\N
3440716	1103	1996-10-31	PRIJEM	\N	254	60870	UROK	\N	\N
3440717	1103	1996-11-30	PRIJEM	\N	259	63877	UROK	\N	\N
3440718	1103	1996-12-31	PRIJEM	\N	268	46375	UROK	\N	\N
3440719	1103	1997-01-31	PRIJEM	\N	225	40648	UROK	\N	\N
3440720	1103	1997-02-28	PRIJEM	\N	168	61765	UROK	\N	\N
3440721	1103	1997-03-31	PRIJEM	\N	159	40173	UROK	\N	\N
3440722	1103	1997-04-30	PRIJEM	\N	191	39912	UROK	\N	\N
3440723	1103	1997-05-31	PRIJEM	\N	165	32625	UROK	\N	\N
3440724	1103	1997-06-30	PRIJEM	\N	135	23890	UROK	\N	\N
3440725	1103	1997-07-31	PRIJEM	\N	100	27838	UROK	\N	\N
3440726	1103	1997-08-31	PRIJEM	\N	115	28901	UROK	\N	\N
3440727	1103	1997-09-30	PRIJEM	\N	103	27253	UROK	\N	\N
3440728	1103	1997-10-31	PRIJEM	\N	125	24826	UROK	\N	\N
3440729	1103	1997-11-30	PRIJEM	\N	116	25190	UROK	\N	\N
3440730	1103	1997-12-31	PRIJEM	\N	123	29943	UROK	\N	\N
3440731	1103	1998-01-31	PRIJEM	\N	134	22926	UROK	\N	\N
3440732	1103	1998-02-28	PRIJEM	\N	93	21666	UROK	\N	\N
3440733	1103	1998-03-31	PRIJEM	\N	87	19901	UROK	\N	\N
3440734	1103	1998-04-30	PRIJEM	\N	101	20851	UROK	\N	\N
3440735	1103	1998-05-31	PRIJEM	\N	87	22786	UROK	\N	\N
3440736	1103	1998-06-30	PRIJEM	\N	139	16555	UROK	\N	\N
3440737	1103	1998-07-31	PRIJEM	\N	103	20506	UROK	\N	\N
3440738	1103	1998-08-31	PRIJEM	\N	84	21639	UROK	\N	\N
3440739	1103	1998-09-30	PRIJEM	\N	120	25408	UROK	\N	\N
3440740	1103	1998-10-31	PRIJEM	\N	103	25259	UROK	\N	\N
3440741	1103	1998-11-30	PRIJEM	\N	128	23835	UROK	\N	\N
3440742	1103	1998-12-31	PRIJEM	\N	109	31273	UROK	\N	\N
3440743	1109	1994-11-30	PRIJEM	\N	13	19334	UROK	\N	\N
3440744	1109	1994-12-31	PRIJEM	\N	93	35309	UROK	\N	\N
3440745	1109	1995-01-31	PRIJEM	\N	151	39681	UROK	\N	\N
3440746	1109	1995-02-28	PRIJEM	\N	167	42369	UROK	\N	\N
3440747	1109	1995-03-31	PRIJEM	\N	176	42966	UROK	\N	\N
3440748	1109	1995-04-30	PRIJEM	\N	214	37807	UROK	\N	\N
3440749	1109	1995-05-31	PRIJEM	\N	161	42075	UROK	\N	\N
3440750	1109	1995-06-30	PRIJEM	\N	213	36294	UROK	\N	\N
3440751	1109	1995-07-31	PRIJEM	\N	155	40255	UROK	\N	\N
3440752	1109	1995-08-31	PRIJEM	\N	180	39681	UROK	\N	\N
3440753	1109	1995-09-30	PRIJEM	\N	171	44359	UROK	\N	\N
3440754	1109	1995-10-31	PRIJEM	\N	184	43589	UROK	\N	\N
3440755	1109	1995-11-30	PRIJEM	\N	185	46181	UROK	\N	\N
3440756	1109	1995-12-31	PRIJEM	\N	196	47323	UROK	\N	\N
3440757	1109	1996-01-31	PRIJEM	\N	211	42340	UROK	\N	\N
3440758	1109	1996-02-29	PRIJEM	\N	182	46429	UROK	\N	\N
3440759	1109	1996-03-31	PRIJEM	\N	192	46028	UROK	\N	\N
3440760	1109	1996-04-30	PRIJEM	\N	198	45632	UROK	\N	\N
3440761	1109	1996-05-31	PRIJEM	\N	190	44448	UROK	\N	\N
3440762	1109	1996-06-30	PRIJEM	\N	190	41165	UROK	\N	\N
3440763	1109	1996-07-31	PRIJEM	\N	176	44148	UROK	\N	\N
3440764	1109	1996-08-31	PRIJEM	\N	213	43866	UROK	\N	\N
3440765	1109	1996-09-30	PRIJEM	\N	186	46059	UROK	\N	\N
3440766	1109	1996-10-31	PRIJEM	\N	201	50766	UROK	\N	\N
3440767	1109	1996-11-30	PRIJEM	\N	211	51284	UROK	\N	\N
3440768	1109	1996-12-31	PRIJEM	\N	218	52949	UROK	\N	\N
3440769	1109	1997-01-31	PRIJEM	\N	209	43725	UROK	\N	\N
3440770	1109	1997-02-28	PRIJEM	\N	186	46017	UROK	\N	\N
3440771	1109	1997-03-31	PRIJEM	\N	197	48820	UROK	\N	\N
3440772	1109	1997-04-30	PRIJEM	\N	200	48127	UROK	\N	\N
3440773	1109	1997-05-31	PRIJEM	\N	197	47430	UROK	\N	\N
3440774	1109	1997-06-30	PRIJEM	\N	198	48295	UROK	\N	\N
3440775	1109	1997-07-31	PRIJEM	\N	196	47098	UROK	\N	\N
3440776	1109	1997-08-31	PRIJEM	\N	179	38623	UROK	\N	\N
3440777	1109	1997-09-30	PRIJEM	\N	164	40393	UROK	\N	\N
3440778	1109	1997-10-31	PRIJEM	\N	176	43875	UROK	\N	\N
3440779	1109	1997-11-30	PRIJEM	\N	183	44865	UROK	\N	\N
3440780	1109	1997-12-31	PRIJEM	\N	200	46071	UROK	\N	\N
3440781	1109	1998-01-31	PRIJEM	\N	172	37849	UROK	\N	\N
3440782	1109	1998-02-28	PRIJEM	\N	202	53658	UROK	\N	\N
3440783	1109	1998-03-31	PRIJEM	\N	219	49583	UROK	\N	\N
3440784	1109	1998-04-30	PRIJEM	\N	256	49846	UROK	\N	\N
3440785	1109	1998-05-31	PRIJEM	\N	258	46010	UROK	\N	\N
3440786	1109	1998-06-30	PRIJEM	\N	222	58838	UROK	\N	\N
3440787	1109	1998-07-31	PRIJEM	\N	239	57583	UROK	\N	\N
3440788	1109	1998-08-31	PRIJEM	\N	249	61638	UROK	\N	\N
3440789	1109	1998-09-30	PRIJEM	\N	242	56946	UROK	\N	\N
3440790	1109	1998-10-31	PRIJEM	\N	226	54679	UROK	\N	\N
3440791	1109	1998-11-30	PRIJEM	\N	233	57618	UROK	\N	\N
3440792	1109	1998-12-31	PRIJEM	\N	243	63567	UROK	\N	\N
3440793	1112	1995-02-28	PRIJEM	\N	68	19787	UROK	\N	\N
3440794	1112	1995-03-31	PRIJEM	\N	147	38453	UROK	\N	\N
3440795	1112	1995-04-30	PRIJEM	\N	197	49269	UROK	\N	\N
3440796	1112	1995-05-31	PRIJEM	\N	225	55112	UROK	\N	\N
3440797	1112	1995-06-30	PRIJEM	\N	152	21952	UROK	\N	\N
3440798	1112	1995-07-31	PRIJEM	\N	161	42017	UROK	\N	\N
3440799	1112	1995-08-31	PRIJEM	\N	214	51416	UROK	\N	\N
3440800	1112	1995-09-30	PRIJEM	\N	248	61268	UROK	\N	\N
3440801	1112	1995-10-31	PRIJEM	\N	268	66041	UROK	\N	\N
3440802	1112	1995-11-30	PRIJEM	\N	194	65539	UROK	\N	\N
3440803	1112	1995-12-31	PRIJEM	\N	211	49764	UROK	\N	\N
3440804	1112	1996-01-31	PRIJEM	\N	233	39201	UROK	\N	\N
3440805	1112	1996-02-29	PRIJEM	\N	163	39469	UROK	\N	\N
3440806	1112	1996-03-31	PRIJEM	\N	207	42780	UROK	\N	\N
3440807	1112	1996-04-30	PRIJEM	\N	184	41688	UROK	\N	\N
3440808	1112	1996-05-31	PRIJEM	\N	175	44867	UROK	\N	\N
3440809	1112	1996-06-30	PRIJEM	\N	204	42044	UROK	\N	\N
3440810	1112	1996-07-31	PRIJEM	\N	177	45725	UROK	\N	\N
3440811	1112	1996-08-31	PRIJEM	\N	207	45296	UROK	\N	\N
3440812	1112	1996-09-30	PRIJEM	\N	191	48391	UROK	\N	\N
3440813	1112	1996-10-31	PRIJEM	\N	203	50899	UROK	\N	\N
3440814	1112	1996-11-30	PRIJEM	\N	213	52916	UROK	\N	\N
3440815	1112	1996-12-31	PRIJEM	\N	282	57932	UROK	\N	\N
3440816	1112	1997-01-31	PRIJEM	\N	252	47388	UROK	\N	\N
3440817	1112	1997-02-28	PRIJEM	\N	201	51993	UROK	\N	\N
3440818	1112	1997-03-31	PRIJEM	\N	222	51640	UROK	\N	\N
3440819	1112	1997-04-30	PRIJEM	\N	214	52058	UROK	\N	\N
3440820	1112	1997-05-31	PRIJEM	\N	221	56884	UROK	\N	\N
3440821	1112	1997-06-30	PRIJEM	\N	210	36587	UROK	\N	\N
3440822	1112	1997-07-31	PRIJEM	\N	169	50261	UROK	\N	\N
3440823	1112	1997-08-31	PRIJEM	\N	238	50503	UROK	\N	\N
3440824	1112	1997-09-30	PRIJEM	\N	245	52553	UROK	\N	\N
3440825	1112	1997-10-31	PRIJEM	\N	223	56280	UROK	\N	\N
3440826	1112	1997-11-30	PRIJEM	\N	231	55235	UROK	\N	\N
3440827	1112	1997-12-31	PRIJEM	\N	242	61891	UROK	\N	\N
3440828	1112	1998-01-31	PRIJEM	\N	258	49453	UROK	\N	\N
3440829	1112	1998-02-28	PRIJEM	\N	219	56516	UROK	\N	\N
3440830	1112	1998-03-31	PRIJEM	\N	251	66472	UROK	\N	\N
3440831	1112	1998-04-30	PRIJEM	\N	283	71159	UROK	\N	\N
3440832	1112	1998-05-31	PRIJEM	\N	302	75566	UROK	\N	\N
3440833	1112	1998-06-30	PRIJEM	\N	247	57066	UROK	\N	\N
3440834	1112	1998-07-31	PRIJEM	\N	267	72837	UROK	\N	\N
3440835	1112	1998-08-31	PRIJEM	\N	311	77553	UROK	\N	\N
3440836	1112	1998-09-30	PRIJEM	\N	331	80588	UROK	\N	\N
3440837	1112	1998-10-31	PRIJEM	\N	343	85135	UROK	\N	\N
3440838	1112	1998-11-30	PRIJEM	\N	353	85692	UROK	\N	\N
3440839	1112	1998-12-31	PRIJEM	\N	373	84478	UROK	\N	\N
3440840	1121	1996-05-31	PRIJEM	\N	41	20519	UROK	\N	\N
3440841	1121	1996-06-30	PRIJEM	\N	123	38459	UROK	\N	\N
3440842	1121	1996-07-31	PRIJEM	\N	164	40601	UROK	\N	\N
3440843	1121	1996-08-31	PRIJEM	\N	179	45258	UROK	\N	\N
3440844	1121	1996-09-30	PRIJEM	\N	185	43921	UROK	\N	\N
3440845	1121	1996-10-31	PRIJEM	\N	193	48277	UROK	\N	\N
3440846	1121	1996-11-30	PRIJEM	\N	193	44634	UROK	\N	\N
3440847	1121	1996-12-31	PRIJEM	\N	229	52265	UROK	\N	\N
3440848	1121	1997-01-31	PRIJEM	\N	196	42824	UROK	\N	\N
3440849	1121	1997-02-28	PRIJEM	\N	190	47478	UROK	\N	\N
3440850	1121	1997-03-31	PRIJEM	\N	202	49343	UROK	\N	\N
3440851	1121	1997-04-30	PRIJEM	\N	207	50214	UROK	\N	\N
3440852	1121	1997-05-31	PRIJEM	\N	208	49185	UROK	\N	\N
3440853	1121	1997-06-30	PRIJEM	\N	212	48400	UROK	\N	\N
3440854	1121	1997-07-31	PRIJEM	\N	202	48765	UROK	\N	\N
3440855	1121	1997-08-31	PRIJEM	\N	204	49332	UROK	\N	\N
3440856	1121	1997-09-30	PRIJEM	\N	208	50504	UROK	\N	\N
3440857	1121	1997-10-31	PRIJEM	\N	194	41561	UROK	\N	\N
3440858	1121	1997-11-30	PRIJEM	\N	165	39390	UROK	\N	\N
3440859	1121	1997-12-31	PRIJEM	\N	178	42870	UROK	\N	\N
3440860	1121	1998-01-31	PRIJEM	\N	147	26180	UROK	\N	\N
3440861	1121	1998-02-28	PRIJEM	\N	143	34886	UROK	\N	\N
3440862	1121	1998-03-31	PRIJEM	\N	173	42722	UROK	\N	\N
3440863	1121	1998-04-30	PRIJEM	\N	214	53799	UROK	\N	\N
3440864	1121	1998-05-31	PRIJEM	\N	237	58200	UROK	\N	\N
3440865	1121	1998-06-30	PRIJEM	\N	264	39466	UROK	\N	\N
3440866	1121	1998-07-31	PRIJEM	\N	206	49336	UROK	\N	\N
3440867	1121	1998-08-31	PRIJEM	\N	263	65862	UROK	\N	\N
3440868	1121	1998-09-30	PRIJEM	\N	297	72923	UROK	\N	\N
3440869	1121	1998-10-31	PRIJEM	\N	297	71483	UROK	\N	\N
3440870	1121	1998-11-30	PRIJEM	\N	310	75556	UROK	\N	\N
3440871	1121	1998-12-31	PRIJEM	\N	328	82386	UROK	\N	\N
3440872	1122	1995-09-30	PRIJEM	\N	50	18134	UROK	\N	\N
3440873	1122	1995-10-31	PRIJEM	\N	98	26216	UROK	\N	\N
3440874	1122	1995-11-30	PRIJEM	\N	117	28917	UROK	\N	\N
3440875	1122	1995-12-31	PRIJEM	\N	138	35031	UROK	\N	\N
3440876	1122	1996-01-31	PRIJEM	\N	134	25749	UROK	\N	\N
3440877	1122	1996-02-29	PRIJEM	\N	106	24524	UROK	\N	\N
3440878	1122	1996-03-31	PRIJEM	\N	111	27404	UROK	\N	\N
3440879	1122	1996-04-30	PRIJEM	\N	116	28190	UROK	\N	\N
3440880	1122	1996-05-31	PRIJEM	\N	119	27078	UROK	\N	\N
3440881	1122	1996-06-30	PRIJEM	\N	80	16219	UROK	\N	\N
3440882	1122	1996-07-31	PRIJEM	\N	99	19987	UROK	\N	\N
3440883	1122	1996-08-31	PRIJEM	\N	103	24460	UROK	\N	\N
3440884	1122	1996-09-30	PRIJEM	\N	107	26237	UROK	\N	\N
3440885	1122	1996-10-31	PRIJEM	\N	115	28021	UROK	\N	\N
3440886	1122	1996-11-30	PRIJEM	\N	128	31618	UROK	\N	\N
3440887	1122	1996-12-31	PRIJEM	\N	151	34931	UROK	\N	\N
3440888	1122	1997-01-31	PRIJEM	\N	110	17311	UROK	\N	\N
3440889	1122	1997-02-28	PRIJEM	\N	91	23371	UROK	\N	\N
3440890	1122	1997-03-31	PRIJEM	\N	100	24240	UROK	\N	\N
3440891	1122	1997-04-30	PRIJEM	\N	103	25013	UROK	\N	\N
3440892	1122	1997-05-31	PRIJEM	\N	106	25688	UROK	\N	\N
3440893	1122	1997-06-30	PRIJEM	\N	117	28767	UROK	\N	\N
3440894	1122	1997-07-31	PRIJEM	\N	104	24139	UROK	\N	\N
3440895	1122	1997-08-31	PRIJEM	\N	97	23506	UROK	\N	\N
3440896	1122	1997-09-30	PRIJEM	\N	81	22257	UROK	\N	\N
3440897	1122	1997-10-31	PRIJEM	\N	70	16196	UROK	\N	\N
3440898	1122	1997-11-30	PRIJEM	\N	71	15537	UROK	\N	\N
3440899	1122	1997-12-31	PRIJEM	\N	81	13679	UROK	\N	\N
3440900	1122	1998-01-31	PRIJEM	\N	65	14813	UROK	\N	\N
3440901	1122	1998-02-28	PRIJEM	\N	66	23949	UROK	\N	\N
3440902	1122	1998-03-31	PRIJEM	\N	96	16414	UROK	\N	\N
3440903	1122	1998-04-30	PRIJEM	\N	69	26052	UROK	\N	\N
3440904	1122	1998-05-31	PRIJEM	\N	109	35730	UROK	\N	\N
3440905	1122	1998-06-30	PRIJEM	\N	137	31929	UROK	\N	\N
3440906	1122	1998-07-31	PRIJEM	\N	120	13918	UROK	\N	\N
3440907	1122	1998-08-31	PRIJEM	\N	58	23545	UROK	\N	\N
3440908	1122	1998-09-30	PRIJEM	\N	89	14404	UROK	\N	\N
3440909	1122	1998-10-31	PRIJEM	\N	60	24033	UROK	\N	\N
3440910	1122	1998-11-30	PRIJEM	\N	88	13491	UROK	\N	\N
3440911	1122	1998-12-31	PRIJEM	\N	54	13206	UROK	\N	\N
3440912	1138	1997-07-31	PRIJEM	\N	85	24402	UROK	\N	\N
3440913	1138	1997-08-31	PRIJEM	\N	101	21403	UROK	\N	\N
3440914	1138	1997-10-31	PRIJEM	\N	101	23205	UROK	\N	\N
3440915	1138	1997-11-30	PRIJEM	\N	101	23406	UROK	\N	\N
3440916	1138	1997-12-31	PRIJEM	\N	101	25607	UROK	\N	\N
3440917	1138	1998-01-31	PRIJEM	\N	101	21909	UROK	\N	\N
3440918	1138	1998-02-28	PRIJEM	\N	101	19710	UROK	\N	\N
3440919	1138	1998-03-31	PRIJEM	\N	101	14211	UROK	\N	\N
3440920	1138	1998-07-31	PRIJEM	\N	101	14313	UROK	\N	\N
3440921	1138	1998-09-30	PRIJEM	\N	101	10414	UROK	\N	\N
3440922	1138	1998-11-30	PRIJEM	\N	105	18020	UROK	\N	\N
3440923	1138	1998-11-30	PRIJEM	\N	99	17916	UROK	\N	\N
3440924	1147	1993-05-31	PRIJEM	\N	74	25243	UROK	\N	\N
3440925	1147	1993-06-30	PRIJEM	\N	164	44611	UROK	\N	\N
3440926	1147	1993-07-31	PRIJEM	\N	190	46270	UROK	\N	\N
3440927	1147	1993-08-31	PRIJEM	\N	194	46934	UROK	\N	\N
3440928	1147	1993-09-30	PRIJEM	\N	231	58233	UROK	\N	\N
3440929	1147	1993-10-31	PRIJEM	\N	269	66556	UROK	\N	\N
3440930	1147	1993-11-30	PRIJEM	\N	284	68794	UROK	\N	\N
3440931	1147	1993-12-31	PRIJEM	\N	326	80670	UROK	\N	\N
3440932	1147	1994-01-31	PRIJEM	\N	257	55661	UROK	\N	\N
3440933	1147	1994-02-28	PRIJEM	\N	249	61264	UROK	\N	\N
3440934	1147	1994-03-31	PRIJEM	\N	263	62641	UROK	\N	\N
3440935	1147	1994-04-30	PRIJEM	\N	276	67571	UROK	\N	\N
3440936	1147	1994-05-31	PRIJEM	\N	270	67296	UROK	\N	\N
3440937	1147	1994-06-30	PRIJEM	\N	320	48445	UROK	\N	\N
3440938	1147	1994-07-31	PRIJEM	\N	248	63047	UROK	\N	\N
3440939	1147	1994-08-31	PRIJEM	\N	271	67633	UROK	\N	\N
3440940	1147	1994-09-30	PRIJEM	\N	296	72483	UROK	\N	\N
3440941	1147	1994-10-31	PRIJEM	\N	274	70492	UROK	\N	\N
3440942	1147	1994-11-30	PRIJEM	\N	300	72846	UROK	\N	\N
3440943	1147	1994-12-31	PRIJEM	\N	337	80272	UROK	\N	\N
3440944	1147	1995-01-31	PRIJEM	\N	271	46897	UROK	\N	\N
3440945	1147	1995-02-28	PRIJEM	\N	240	69072	UROK	\N	\N
3440946	1147	1995-03-31	PRIJEM	\N	292	69878	UROK	\N	\N
3440947	1147	1995-04-30	PRIJEM	\N	207	72739	UROK	\N	\N
3440948	1147	1995-05-31	PRIJEM	\N	218	51612	UROK	\N	\N
3440949	1147	1995-06-30	PRIJEM	\N	235	43476	UROK	\N	\N
3440950	1147	1995-07-31	PRIJEM	\N	181	43671	UROK	\N	\N
3440951	1147	1995-08-31	PRIJEM	\N	181	45307	UROK	\N	\N
3440952	1147	1995-09-30	PRIJEM	\N	200	45282	UROK	\N	\N
3440953	1147	1995-10-31	PRIJEM	\N	189	48125	UROK	\N	\N
3440954	1147	1995-11-30	PRIJEM	\N	198	45117	UROK	\N	\N
3440955	1147	1995-12-31	PRIJEM	\N	217	52283	UROK	\N	\N
3440956	1147	1996-01-31	PRIJEM	\N	201	28219	UROK	\N	\N
3440957	1147	1996-02-29	PRIJEM	\N	123	36996	UROK	\N	\N
3440958	1147	1996-03-31	PRIJEM	\N	201	43591	UROK	\N	\N
3440959	1147	1996-04-30	PRIJEM	\N	179	43224	UROK	\N	\N
3440960	1147	1996-05-31	PRIJEM	\N	180	45758	UROK	\N	\N
3440961	1147	1996-06-30	PRIJEM	\N	192	49840	UROK	\N	\N
3440962	1147	1996-07-31	PRIJEM	\N	203	48698	UROK	\N	\N
3440963	1147	1996-08-31	PRIJEM	\N	198	47650	UROK	\N	\N
3440964	1147	1996-09-30	PRIJEM	\N	194	47099	UROK	\N	\N
3440965	1147	1996-10-31	PRIJEM	\N	228	46582	UROK	\N	\N
3440966	1147	1996-11-30	PRIJEM	\N	193	48229	UROK	\N	\N
3440967	1147	1996-12-31	PRIJEM	\N	247	50465	UROK	\N	\N
3440968	1147	1997-01-31	PRIJEM	\N	182	36501	UROK	\N	\N
3440969	1147	1997-02-28	PRIJEM	\N	185	39540	UROK	\N	\N
3440970	1147	1997-03-31	PRIJEM	\N	166	42260	UROK	\N	\N
3440971	1147	1997-04-30	PRIJEM	\N	175	44090	UROK	\N	\N
3440972	1147	1997-05-31	PRIJEM	\N	185	42429	UROK	\N	\N
3440973	1147	1997-06-30	PRIJEM	\N	179	29617	UROK	\N	\N
3440974	1147	1997-07-31	PRIJEM	\N	122	31493	UROK	\N	\N
3440975	1147	1997-08-31	PRIJEM	\N	122	29170	UROK	\N	\N
3440976	1147	1997-09-30	PRIJEM	\N	114	31539	UROK	\N	\N
3440977	1147	1997-10-31	PRIJEM	\N	131	34024	UROK	\N	\N
3440978	1147	1997-11-30	PRIJEM	\N	142	36921	UROK	\N	\N
3440979	1147	1997-12-31	PRIJEM	\N	186	38596	UROK	\N	\N
3440980	1147	1998-01-31	PRIJEM	\N	135	21685	UROK	\N	\N
3440981	1147	1998-02-28	PRIJEM	\N	95	25835	UROK	\N	\N
3440982	1147	1998-03-31	PRIJEM	\N	115	32004	UROK	\N	\N
3440983	1147	1998-04-30	PRIJEM	\N	138	36997	UROK	\N	\N
3440984	1147	1998-05-31	PRIJEM	\N	155	38487	UROK	\N	\N
3440985	1147	1998-06-30	PRIJEM	\N	120	28615	UROK	\N	\N
3440986	1147	1998-07-31	PRIJEM	\N	137	38507	UROK	\N	\N
3440987	1147	1998-08-31	PRIJEM	\N	161	38922	UROK	\N	\N
3440988	1147	1998-09-30	PRIJEM	\N	171	44847	UROK	\N	\N
3440989	1147	1998-10-31	PRIJEM	\N	186	47488	UROK	\N	\N
3440990	1147	1998-11-30	PRIJEM	\N	189	47331	UROK	\N	\N
3440991	1147	1998-12-31	PRIJEM	\N	213	55133	UROK	\N	\N
3440992	1149	1996-01-31	PRIJEM	\N	6	46817	UROK	\N	\N
3440993	1149	1996-02-29	PRIJEM	\N	195	38812	UROK	\N	\N
3440994	1149	1996-03-31	PRIJEM	\N	195	34007	UROK	\N	\N
3440995	1149	1996-04-30	PRIJEM	\N	166	33823	UROK	\N	\N
3440996	1149	1996-05-31	PRIJEM	\N	140	29963	UROK	\N	\N
3440997	1149	1996-06-30	PRIJEM	\N	140	28604	UROK	\N	\N
3440998	1149	1996-07-31	PRIJEM	\N	140	31544	UROK	\N	\N
3440999	1149	1996-08-31	PRIJEM	\N	140	31984	UROK	\N	\N
3441000	1149	1996-09-30	PRIJEM	\N	140	35524	UROK	\N	\N
3441001	1149	1996-10-31	PRIJEM	\N	141	35765	UROK	\N	\N
3441002	1149	1996-11-30	PRIJEM	\N	147	35512	UROK	\N	\N
3441003	1149	1996-12-31	PRIJEM	\N	147	36759	UROK	\N	\N
3441004	1149	1997-02-28	PRIJEM	\N	163	48980	UROK	\N	\N
3441005	1149	1997-02-28	PRIJEM	\N	148	48817	UROK	\N	\N
3441006	1149	1997-03-31	PRIJEM	\N	179	37858	UROK	\N	\N
3441007	1149	1997-04-30	PRIJEM	\N	179	37537	UROK	\N	\N
3441008	1149	1997-05-31	PRIJEM	\N	179	33316	UROK	\N	\N
3441009	1149	1997-06-30	PRIJEM	\N	179	31794	UROK	\N	\N
3441010	1149	1997-07-31	PRIJEM	\N	179	31873	UROK	\N	\N
3441011	1149	1997-08-31	PRIJEM	\N	179	33551	UROK	\N	\N
3441012	1149	1997-09-30	PRIJEM	\N	179	28930	UROK	\N	\N
3441013	1149	1997-10-31	PRIJEM	\N	179	28008	UROK	\N	\N
3441014	1149	1997-11-30	PRIJEM	\N	182	47510	UROK	\N	\N
3441015	1149	1997-12-31	PRIJEM	\N	197	38007	UROK	\N	\N
3441016	1149	1998-01-31	PRIJEM	\N	197	34404	UROK	\N	\N
3441017	1149	1998-02-28	PRIJEM	\N	197	34901	UROK	\N	\N
3441018	1149	1998-03-31	PRIJEM	\N	197	38097	UROK	\N	\N
3441019	1149	1998-04-30	PRIJEM	\N	197	41294	UROK	\N	\N
3441020	1149	1998-05-31	PRIJEM	\N	208	57968	UROK	\N	\N
3441021	1149	1998-06-30	PRIJEM	\N	161	33595	UROK	\N	\N
3441022	1149	1998-07-31	PRIJEM	\N	140	35920	UROK	\N	\N
3441023	1149	1998-08-31	PRIJEM	\N	149	33954	UROK	\N	\N
3441024	1149	1998-09-30	PRIJEM	\N	143	35481	UROK	\N	\N
3441025	1149	1998-10-31	PRIJEM	\N	147	33113	UROK	\N	\N
3441026	1149	1998-11-30	PRIJEM	\N	136	29935	UROK	\N	\N
3441027	1150	1997-10-31	PRIJEM	\N	7	3007	UROK	\N	\N
3441028	1150	1997-11-30	PRIJEM	\N	36	13443	UROK	\N	\N
3441029	1150	1997-12-31	PRIJEM	\N	68	18611	UROK	\N	\N
3441030	1150	1998-01-31	PRIJEM	\N	76	17987	UROK	\N	\N
3441031	1150	1998-02-28	PRIJEM	\N	68	14355	UROK	\N	\N
3441032	1150	1998-03-31	PRIJEM	\N	53	12794	UROK	\N	\N
3441033	1150	1998-04-30	PRIJEM	\N	60	15338	UROK	\N	\N
3441034	1150	1998-05-31	PRIJEM	\N	67	16790	UROK	\N	\N
3441035	1150	1998-06-30	PRIJEM	\N	63	15639	UROK	\N	\N
3441036	1150	1998-07-31	PRIJEM	\N	71	18195	UROK	\N	\N
3441037	1150	1998-08-31	PRIJEM	\N	80	19960	UROK	\N	\N
3441038	1150	1998-09-30	PRIJEM	\N	89	22934	UROK	\N	\N
3441039	1150	1998-10-31	PRIJEM	\N	106	28770	UROK	\N	\N
3441040	1150	1998-11-30	PRIJEM	\N	171	67985	UROK	\N	\N
3441041	1150	1998-12-31	PRIJEM	\N	222	47093	UROK	\N	\N
3441042	1156	1997-12-31	PRIJEM	\N	89	30163	UROK	\N	\N
3441043	1156	1998-01-31	PRIJEM	\N	176	47288	UROK	\N	\N
3441044	1156	1998-02-28	PRIJEM	\N	230	59166	UROK	\N	\N
3441045	1156	1998-03-31	PRIJEM	\N	265	65881	UROK	\N	\N
3441046	1156	1998-04-30	PRIJEM	\N	284	69413	UROK	\N	\N
3441047	1156	1998-05-31	PRIJEM	\N	292	70539	UROK	\N	\N
3441048	1156	1998-06-30	PRIJEM	\N	295	65294	UROK	\N	\N
3441049	1156	1998-07-31	PRIJEM	\N	285	69813	UROK	\N	\N
3441050	1156	1998-08-31	PRIJEM	\N	291	70038	UROK	\N	\N
3441051	1156	1998-09-30	PRIJEM	\N	292	70364	UROK	\N	\N
3441052	1156	1998-10-31	PRIJEM	\N	295	71394	UROK	\N	\N
3441053	1156	1998-11-30	PRIJEM	\N	316	77944	UROK	\N	\N
3441054	1156	1998-12-31	PRIJEM	\N	352	86455	UROK	\N	\N
3441055	1157	1993-04-30	PRIJEM	\N	12	17500	UROK	\N	\N
3441056	1157	1993-05-31	PRIJEM	\N	78	24367	UROK	\N	\N
3441057	1157	1993-06-30	PRIJEM	\N	106	30655	UROK	\N	\N
3441058	1157	1993-07-31	PRIJEM	\N	127	30670	UROK	\N	\N
3441059	1157	1993-08-31	PRIJEM	\N	129	31787	UROK	\N	\N
3441060	1157	1993-09-30	PRIJEM	\N	133	31393	UROK	\N	\N
3441061	1157	1993-10-31	PRIJEM	\N	127	26793	UROK	\N	\N
3441062	1157	1993-11-30	PRIJEM	\N	112	27579	UROK	\N	\N
3441063	1157	1993-12-31	PRIJEM	\N	115	26961	UROK	\N	\N
3441064	1157	1994-01-31	PRIJEM	\N	92	22926	UROK	\N	\N
3441065	1157	1994-02-28	PRIJEM	\N	101	27400	UROK	\N	\N
3441066	1157	1994-03-31	PRIJEM	\N	114	27488	UROK	\N	\N
3441067	1157	1994-04-30	PRIJEM	\N	114	25575	UROK	\N	\N
3441068	1157	1994-05-31	PRIJEM	\N	113	30361	UROK	\N	\N
3441069	1157	1994-06-30	PRIJEM	\N	116	30345	UROK	\N	\N
3441070	1157	1994-07-31	PRIJEM	\N	129	32248	UROK	\N	\N
3441071	1157	1994-08-31	PRIJEM	\N	138	34759	UROK	\N	\N
3441072	1157	1994-09-30	PRIJEM	\N	148	36781	UROK	\N	\N
3441073	1157	1994-10-31	PRIJEM	\N	144	31298	UROK	\N	\N
3441074	1157	1994-11-30	PRIJEM	\N	129	30600	UROK	\N	\N
3441075	1157	1994-12-31	PRIJEM	\N	136	30704	UROK	\N	\N
3441076	1157	1995-01-31	PRIJEM	\N	124	22901	UROK	\N	\N
3441077	1157	1995-02-28	PRIJEM	\N	101	25775	UROK	\N	\N
3441078	1157	1995-03-31	PRIJEM	\N	113	28861	UROK	\N	\N
3441079	1157	1995-04-30	PRIJEM	\N	121	29656	UROK	\N	\N
3441080	1157	1995-05-31	PRIJEM	\N	123	29552	UROK	\N	\N
3441081	1157	1995-06-30	PRIJEM	\N	125	30744	UROK	\N	\N
3441082	1157	1995-07-31	PRIJEM	\N	125	29742	UROK	\N	\N
3441083	1157	1995-08-31	PRIJEM	\N	128	29744	UROK	\N	\N
3441084	1157	1995-09-30	PRIJEM	\N	121	28838	UROK	\N	\N
3441085	1157	1995-10-31	PRIJEM	\N	112	24423	UROK	\N	\N
3441086	1157	1995-11-30	PRIJEM	\N	102	25099	UROK	\N	\N
3441087	1157	1995-12-31	PRIJEM	\N	102	22168	UROK	\N	\N
3441088	1157	1996-01-31	PRIJEM	\N	86	17428	UROK	\N	\N
3441089	1157	1996-02-29	PRIJEM	\N	95	25596	UROK	\N	\N
3441090	1157	1996-03-31	PRIJEM	\N	115	29085	UROK	\N	\N
3441091	1157	1996-04-30	PRIJEM	\N	114	24472	UROK	\N	\N
3441092	1157	1996-05-31	PRIJEM	\N	104	25549	UROK	\N	\N
3441093	1157	1996-06-30	PRIJEM	\N	121	30737	UROK	\N	\N
3441094	1157	1996-07-31	PRIJEM	\N	138	34649	UROK	\N	\N
3441095	1157	1996-08-31	PRIJEM	\N	138	32160	UROK	\N	\N
3441096	1157	1996-09-30	PRIJEM	\N	153	38586	UROK	\N	\N
3441097	1157	1996-10-31	PRIJEM	\N	169	41929	UROK	\N	\N
3441098	1157	1996-11-30	PRIJEM	\N	184	45586	UROK	\N	\N
3441099	1157	1996-12-31	PRIJEM	\N	195	47748	UROK	\N	\N
3441100	1157	1997-01-31	PRIJEM	\N	162	34884	UROK	\N	\N
3441101	1157	1997-02-28	PRIJEM	\N	154	38512	UROK	\N	\N
3441102	1157	1997-03-31	PRIJEM	\N	171	42556	UROK	\N	\N
3441103	1157	1997-04-30	PRIJEM	\N	185	45814	UROK	\N	\N
3441104	1157	1997-05-31	PRIJEM	\N	187	45575	UROK	\N	\N
3441105	1157	1997-06-30	PRIJEM	\N	195	44637	UROK	\N	\N
3441106	1157	1997-07-31	PRIJEM	\N	177	42187	UROK	\N	\N
3441107	1157	1997-08-31	PRIJEM	\N	176	43136	UROK	\N	\N
3441108	1157	1997-09-30	PRIJEM	\N	177	43387	UROK	\N	\N
3441109	1157	1997-10-31	PRIJEM	\N	190	47150	UROK	\N	\N
3441110	1157	1997-11-30	PRIJEM	\N	188	45511	UROK	\N	\N
3441111	1157	1997-12-31	PRIJEM	\N	195	48174	UROK	\N	\N
3441112	1157	1998-01-31	PRIJEM	\N	164	30711	UROK	\N	\N
3441113	1157	1998-02-28	PRIJEM	\N	126	36410	UROK	\N	\N
3441114	1157	1998-03-31	PRIJEM	\N	147	35931	UROK	\N	\N
3441115	1157	1998-04-30	PRIJEM	\N	145	35549	UROK	\N	\N
3441116	1157	1998-05-31	PRIJEM	\N	114	30337	UROK	\N	\N
3441117	1157	1998-06-30	PRIJEM	\N	123	32327	UROK	\N	\N
3441118	1157	1998-07-31	PRIJEM	\N	130	30931	UROK	\N	\N
3441119	1157	1998-08-31	PRIJEM	\N	125	29729	UROK	\N	\N
3441120	1157	1998-09-30	PRIJEM	\N	121	31723	UROK	\N	\N
3441121	1157	1998-10-31	PRIJEM	\N	127	30023	UROK	\N	\N
3441122	1157	1998-11-30	PRIJEM	\N	117	24213	UROK	\N	\N
3441123	1157	1998-12-31	PRIJEM	\N	109	31590	UROK	\N	\N
3441124	1164	1994-01-31	PRIJEM	\N	75	35207	UROK	\N	\N
3441125	1164	1994-02-28	PRIJEM	\N	137	30644	UROK	\N	\N
3441126	1164	1994-03-31	PRIJEM	\N	120	27264	UROK	\N	\N
3441127	1164	1994-04-30	PRIJEM	\N	169	46512	UROK	\N	\N
3441128	1164	1994-05-31	PRIJEM	\N	169	36716	UROK	\N	\N
3441129	1164	1994-06-30	PRIJEM	\N	120	24221	UROK	\N	\N
3441130	1164	1994-07-31	PRIJEM	\N	100	24507	UROK	\N	\N
3441131	1164	1994-08-31	PRIJEM	\N	100	24293	UROK	\N	\N
3441132	1164	1994-09-30	PRIJEM	\N	104	26032	UROK	\N	\N
3441133	1164	1994-10-31	PRIJEM	\N	111	26679	UROK	\N	\N
3441134	1164	1994-11-30	PRIJEM	\N	107	24671	UROK	\N	\N
3441135	1164	1994-12-31	PRIJEM	\N	100	23357	UROK	\N	\N
3441136	1164	1995-01-31	PRIJEM	\N	75	13267	UROK	\N	\N
3441137	1164	1995-02-28	PRIJEM	\N	71	21524	UROK	\N	\N
3441138	1164	1995-03-31	PRIJEM	\N	101	26510	UROK	\N	\N
3441139	1164	1995-04-30	PRIJEM	\N	115	28910	UROK	\N	\N
3441140	1164	1995-05-31	PRIJEM	\N	122	30367	UROK	\N	\N
3441141	1164	1995-06-30	PRIJEM	\N	117	25420	UROK	\N	\N
3441142	1164	1995-07-31	PRIJEM	\N	135	35559	UROK	\N	\N
3441143	1164	1995-08-31	PRIJEM	\N	257	70182	UROK	\N	\N
3441144	1164	1995-09-30	PRIJEM	\N	244	49312	UROK	\N	\N
3441145	1164	1995-10-31	PRIJEM	\N	177	38224	UROK	\N	\N
3441146	1164	1995-11-30	PRIJEM	\N	149	34658	UROK	\N	\N
3441147	1164	1995-12-31	PRIJEM	\N	141	33935	UROK	\N	\N
3441148	1164	1996-01-31	PRIJEM	\N	100	17520	UROK	\N	\N
3441149	1164	1996-02-29	PRIJEM	\N	177	63127	UROK	\N	\N
3441150	1164	1996-03-31	PRIJEM	\N	217	48929	UROK	\N	\N
3441151	1164	1996-04-30	PRIJEM	\N	178	43342	UROK	\N	\N
3441152	1164	1996-05-31	PRIJEM	\N	177	42704	UROK	\N	\N
3441153	1164	1996-06-30	PRIJEM	\N	165	21055	UROK	\N	\N
3441154	1164	1996-07-31	PRIJEM	\N	201	56099	UROK	\N	\N
3441155	1164	1996-08-31	PRIJEM	\N	213	47497	UROK	\N	\N
3441156	1164	1996-09-30	PRIJEM	\N	180	44862	UROK	\N	\N
3441157	1164	1996-10-31	PRIJEM	\N	164	38411	UROK	\N	\N
3441158	1164	1996-11-30	PRIJEM	\N	151	38447	UROK	\N	\N
3441159	1164	1996-12-31	PRIJEM	\N	156	33288	UROK	\N	\N
3441160	1164	1997-01-31	PRIJEM	\N	101	23225	UROK	\N	\N
3441161	1164	1997-02-28	PRIJEM	\N	99	25609	UROK	\N	\N
3441162	1164	1997-03-31	PRIJEM	\N	110	31104	UROK	\N	\N
3441163	1164	1997-04-30	PRIJEM	\N	131	32921	UROK	\N	\N
3441164	1164	1997-05-31	PRIJEM	\N	135	32892	UROK	\N	\N
3441165	1164	1997-06-30	PRIJEM	\N	127	31604	UROK	\N	\N
3441166	1164	1997-07-31	PRIJEM	\N	131	31120	UROK	\N	\N
3441167	1164	1997-08-31	PRIJEM	\N	129	33334	UROK	\N	\N
3441168	1164	1997-09-30	PRIJEM	\N	137	31657	UROK	\N	\N
3441169	1164	1997-10-31	PRIJEM	\N	140	44906	UROK	\N	\N
3441170	1164	1997-11-30	PRIJEM	\N	178	38770	UROK	\N	\N
3441171	1164	1997-12-31	PRIJEM	\N	179	59389	UROK	\N	\N
3441172	1164	1998-01-31	PRIJEM	\N	213	36687	UROK	\N	\N
3441173	1164	1998-02-28	PRIJEM	\N	148	33220	UROK	\N	\N
3441174	1164	1998-03-31	PRIJEM	\N	132	28337	UROK	\N	\N
3441175	1164	1998-04-30	PRIJEM	\N	112	23934	UROK	\N	\N
3441176	1164	1998-05-31	PRIJEM	\N	95	21914	UROK	\N	\N
3441177	1164	1998-06-30	PRIJEM	\N	86	18985	UROK	\N	\N
3441178	1164	1998-07-31	PRIJEM	\N	73	15843	UROK	\N	\N
3441179	1164	1998-08-31	PRIJEM	\N	72	17811	UROK	\N	\N
3441180	1164	1998-09-30	PRIJEM	\N	74	19870	UROK	\N	\N
3441181	1164	1998-10-31	PRIJEM	\N	83	21939	UROK	\N	\N
3441182	1164	1998-11-30	PRIJEM	\N	111	47441	UROK	\N	\N
3441183	1164	1998-12-31	PRIJEM	\N	151	22077	UROK	\N	\N
3441184	1172	1997-11-30	PRIJEM	\N	25	25971	UROK	\N	\N
3441185	1172	1997-12-31	PRIJEM	\N	108	22179	UROK	\N	\N
3441186	1172	1998-01-31	PRIJEM	\N	108	15587	UROK	\N	\N
3441187	1172	1998-02-28	PRIJEM	\N	108	10396	UROK	\N	\N
3441188	1172	1998-03-31	PRIJEM	\N	108	11504	UROK	\N	\N
3441189	1172	1998-04-30	PRIJEM	\N	138	61304	UROK	\N	\N
3441190	1172	1998-05-31	PRIJEM	\N	255	36359	UROK	\N	\N
3441191	1172	1998-06-30	PRIJEM	\N	255	25114	UROK	\N	\N
3441192	1172	1998-07-31	PRIJEM	\N	255	19369	UROK	\N	\N
3441193	1172	1998-08-31	PRIJEM	\N	255	15924	UROK	\N	\N
3441194	1172	1998-10-31	PRIJEM	\N	175	11848	UROK	\N	\N
3441195	1180	1993-06-30	PRIJEM	\N	45	25054	UROK	\N	\N
3441196	1180	1993-07-31	PRIJEM	\N	114	30374	UROK	\N	\N
3441197	1180	1993-08-31	PRIJEM	\N	131	32711	UROK	\N	\N
3441198	1180	1993-09-30	PRIJEM	\N	139	34156	UROK	\N	\N
3441199	1180	1993-10-31	PRIJEM	\N	151	37733	UROK	\N	\N
3441200	1180	1993-11-30	PRIJEM	\N	158	38282	UROK	\N	\N
3441201	1180	1993-12-31	PRIJEM	\N	182	40879	UROK	\N	\N
3441202	1180	1994-01-31	PRIJEM	\N	168	32718	UROK	\N	\N
3441203	1180	1994-02-28	PRIJEM	\N	146	35555	UROK	\N	\N
3441204	1180	1994-03-31	PRIJEM	\N	153	37900	UROK	\N	\N
3441205	1180	1994-04-30	PRIJEM	\N	159	36011	UROK	\N	\N
3441206	1180	1994-05-31	PRIJEM	\N	159	39961	UROK	\N	\N
3441207	1180	1994-06-30	PRIJEM	\N	147	33722	UROK	\N	\N
3441208	1180	1994-07-31	PRIJEM	\N	145	35658	UROK	\N	\N
3441209	1180	1994-08-31	PRIJEM	\N	153	35743	UROK	\N	\N
3441210	1180	1994-09-30	PRIJEM	\N	148	35483	UROK	\N	\N
3441211	1180	1994-10-31	PRIJEM	\N	159	39734	UROK	\N	\N
3441212	1180	1994-11-30	PRIJEM	\N	166	40291	UROK	\N	\N
3441213	1180	1994-12-31	PRIJEM	\N	171	40836	UROK	\N	\N
3441214	1180	1995-01-31	PRIJEM	\N	141	25928	UROK	\N	\N
3441215	1180	1995-02-28	PRIJEM	\N	125	31645	UROK	\N	\N
3441216	1180	1995-03-31	PRIJEM	\N	138	34175	UROK	\N	\N
3441217	1180	1995-04-30	PRIJEM	\N	159	40025	UROK	\N	\N
3441218	1180	1995-05-31	PRIJEM	\N	174	40971	UROK	\N	\N
3441219	1180	1995-06-30	PRIJEM	\N	140	12745	UROK	\N	\N
3441220	1180	1995-07-31	PRIJEM	\N	106	29542	UROK	\N	\N
3441221	1180	1995-08-31	PRIJEM	\N	140	34113	UROK	\N	\N
3441222	1180	1995-09-30	PRIJEM	\N	145	30810	UROK	\N	\N
3441223	1180	1995-10-31	PRIJEM	\N	150	37451	UROK	\N	\N
3441224	1180	1995-11-30	PRIJEM	\N	165	40307	UROK	\N	\N
3441225	1180	1995-12-31	PRIJEM	\N	195	44897	UROK	\N	\N
3441226	1180	1996-01-31	PRIJEM	\N	182	34250	UROK	\N	\N
3441227	1180	1996-02-29	PRIJEM	\N	190	47832	UROK	\N	\N
3441228	1180	1996-03-31	PRIJEM	\N	217	53340	UROK	\N	\N
3441229	1180	1996-04-30	PRIJEM	\N	220	50372	UROK	\N	\N
3441230	1180	1996-05-31	PRIJEM	\N	224	54888	UROK	\N	\N
3441231	1180	1996-06-30	PRIJEM	\N	195	15357	UROK	\N	\N
3441232	1180	1996-07-31	PRIJEM	\N	134	35082	UROK	\N	\N
3441233	1180	1996-08-31	PRIJEM	\N	192	48165	UROK	\N	\N
3441234	1180	1996-09-30	PRIJEM	\N	172	48569	UROK	\N	\N
3441235	1180	1996-10-31	PRIJEM	\N	165	41125	UROK	\N	\N
3441236	1180	1996-11-30	PRIJEM	\N	170	43087	UROK	\N	\N
3441237	1180	1996-12-31	PRIJEM	\N	199	45460	UROK	\N	\N
3441238	1180	1997-01-31	PRIJEM	\N	216	38307	UROK	\N	\N
3441239	1180	1997-02-28	PRIJEM	\N	159	43458	UROK	\N	\N
3441240	1180	1997-03-31	PRIJEM	\N	180	47529	UROK	\N	\N
3441241	1180	1997-04-30	PRIJEM	\N	195	45115	UROK	\N	\N
3441242	1180	1997-05-31	PRIJEM	\N	208	44314	UROK	\N	\N
3441243	1180	1997-06-30	PRIJEM	\N	178	37426	UROK	\N	\N
3441244	1180	1997-07-31	PRIJEM	\N	152	35010	UROK	\N	\N
3441245	1180	1997-08-31	PRIJEM	\N	150	43451	UROK	\N	\N
3441246	1180	1997-09-30	PRIJEM	\N	182	47924	UROK	\N	\N
3441247	1180	1997-10-31	PRIJEM	\N	200	51415	UROK	\N	\N
3441248	1180	1997-11-30	PRIJEM	\N	211	51217	UROK	\N	\N
3441249	1180	1997-12-31	PRIJEM	\N	231	52942	UROK	\N	\N
3441250	1180	1998-01-31	PRIJEM	\N	229	37122	UROK	\N	\N
3441251	1180	1998-02-28	PRIJEM	\N	157	42670	UROK	\N	\N
3441252	1180	1998-03-31	PRIJEM	\N	184	52045	UROK	\N	\N
3441253	1180	1998-04-30	PRIJEM	\N	220	58757	UROK	\N	\N
3441254	1180	1998-05-31	PRIJEM	\N	247	64295	UROK	\N	\N
3441255	1180	1998-06-30	PRIJEM	\N	287	48537	UROK	\N	\N
3441256	1180	1998-07-31	PRIJEM	\N	214	61143	UROK	\N	\N
3441257	1180	1998-08-31	PRIJEM	\N	260	67215	UROK	\N	\N
3441258	1180	1998-09-30	PRIJEM	\N	281	71087	UROK	\N	\N
3441259	1180	1998-10-31	PRIJEM	\N	301	77279	UROK	\N	\N
3441260	1180	1998-11-30	PRIJEM	\N	322	80392	UROK	\N	\N
3441261	1180	1998-12-31	PRIJEM	\N	370	84376	UROK	\N	\N
3441262	1184	1994-06-30	PRIJEM	\N	147	40833	UROK	\N	\N
3441263	1184	1994-07-31	PRIJEM	\N	307	50531	UROK	\N	\N
3441264	1184	1994-08-31	PRIJEM	\N	324	78046	UROK	\N	\N
3441265	1184	1994-09-30	PRIJEM	\N	363	88900	UROK	\N	\N
3441266	1184	1994-10-31	PRIJEM	\N	331	70739	UROK	\N	\N
3441267	1184	1994-11-30	PRIJEM	\N	335	66076	UROK	\N	\N
3441268	1184	1994-12-31	PRIJEM	\N	398	99745	UROK	\N	\N
3441269	1184	1995-01-31	PRIJEM	\N	253	44375	UROK	\N	\N
3441270	1184	1995-02-28	PRIJEM	\N	224	60608	UROK	\N	\N
3441271	1184	1995-03-31	PRIJEM	\N	227	42599	UROK	\N	\N
3441272	1184	1995-04-30	PRIJEM	\N	250	56194	UROK	\N	\N
3441273	1184	1995-05-31	PRIJEM	\N	303	76474	UROK	\N	\N
3441274	1184	1995-06-30	PRIJEM	\N	266	76433	UROK	\N	\N
3441275	1184	1995-07-31	PRIJEM	\N	210	51619	UROK	\N	\N
3441276	1184	1995-08-31	PRIJEM	\N	233	45513	UROK	\N	\N
3441277	1184	1995-09-30	PRIJEM	\N	224	41714	UROK	\N	\N
3441278	1184	1995-10-31	PRIJEM	\N	177	49467	UROK	\N	\N
3441279	1184	1995-11-30	PRIJEM	\N	258	46502	UROK	\N	\N
3441280	1184	1995-12-31	PRIJEM	\N	265	49336	UROK	\N	\N
3441281	1184	1996-01-31	PRIJEM	\N	207	27740	UROK	\N	\N
3441282	1184	1996-02-29	PRIJEM	\N	192	42408	UROK	\N	\N
3441283	1184	1996-03-31	PRIJEM	\N	258	47137	UROK	\N	\N
3441284	1184	1996-04-30	PRIJEM	\N	201	53714	UROK	\N	\N
3441285	1184	1996-05-31	PRIJEM	\N	244	52894	UROK	\N	\N
3441286	1184	1996-06-30	PRIJEM	\N	218	44683	UROK	\N	\N
3441287	1184	1996-07-31	PRIJEM	\N	225	34994	UROK	\N	\N
3441288	1184	1996-08-31	PRIJEM	\N	160	27211	UROK	\N	\N
3441289	1184	1996-09-30	PRIJEM	\N	128	38015	UROK	\N	\N
3441290	1184	1996-10-31	PRIJEM	\N	190	46725	UROK	\N	\N
3441291	1184	1996-11-30	PRIJEM	\N	241	48481	UROK	\N	\N
3441292	1184	1996-12-31	PRIJEM	\N	295	59684	UROK	\N	\N
3441293	1184	1997-01-31	PRIJEM	\N	241	26301	UROK	\N	\N
3441294	1184	1997-02-28	PRIJEM	\N	124	26313	UROK	\N	\N
3441295	1184	1997-03-31	PRIJEM	\N	186	40975	UROK	\N	\N
3441296	1184	1997-04-30	PRIJEM	\N	189	54440	UROK	\N	\N
3441297	1184	1997-05-31	PRIJEM	\N	246	41452	UROK	\N	\N
3441298	1184	1997-06-30	PRIJEM	\N	209	58932	UROK	\N	\N
3441299	1184	1997-07-31	PRIJEM	\N	255	66364	UROK	\N	\N
3441300	1184	1997-08-31	PRIJEM	\N	274	66814	UROK	\N	\N
3441301	1184	1997-09-30	PRIJEM	\N	268	59859	UROK	\N	\N
3441302	1184	1997-10-31	PRIJEM	\N	236	48559	UROK	\N	\N
3441303	1184	1997-11-30	PRIJEM	\N	217	46436	UROK	\N	\N
3441304	1184	1997-12-31	PRIJEM	\N	223	39316	UROK	\N	\N
3441305	1184	1998-01-31	PRIJEM	\N	159	28172	UROK	\N	\N
3441306	1184	1998-02-28	PRIJEM	\N	142	38690	UROK	\N	\N
3441307	1184	1998-03-31	PRIJEM	\N	178	44344	UROK	\N	\N
3441308	1184	1998-04-30	PRIJEM	\N	204	55125	UROK	\N	\N
3441309	1184	1998-05-31	PRIJEM	\N	235	59736	UROK	\N	\N
3441310	1184	1998-06-30	PRIJEM	\N	318	68126	UROK	\N	\N
3441311	1184	1998-07-31	PRIJEM	\N	268	62971	UROK	\N	\N
3441312	1184	1998-08-31	PRIJEM	\N	249	59896	UROK	\N	\N
3441313	1184	1998-09-30	PRIJEM	\N	239	58212	UROK	\N	\N
3441314	1184	1998-10-31	PRIJEM	\N	236	57924	UROK	\N	\N
3441315	1184	1998-11-30	PRIJEM	\N	235	57835	UROK	\N	\N
3441316	1184	1998-12-31	PRIJEM	\N	368	94800	UROK	\N	\N
3441317	1186	1997-12-31	PRIJEM	\N	4	2004	UROK	\N	\N
3441318	1186	1998-01-31	PRIJEM	\N	38	16641	UROK	\N	\N
3441319	1186	1998-02-28	PRIJEM	\N	84	24925	UROK	\N	\N
3441320	1186	1998-03-31	PRIJEM	\N	106	26016	UROK	\N	\N
3441321	1186	1998-04-30	PRIJEM	\N	115	29616	UROK	\N	\N
3441322	1186	1998-05-31	PRIJEM	\N	163	44428	UROK	\N	\N
3441323	1186	1998-06-30	PRIJEM	\N	144	25557	UROK	\N	\N
3441324	1186	1998-07-31	PRIJEM	\N	185	43971	UROK	\N	\N
3441325	1186	1998-08-31	PRIJEM	\N	160	34766	UROK	\N	\N
3441326	1186	1998-09-30	PRIJEM	\N	141	33392	UROK	\N	\N
3441327	1186	1998-10-31	PRIJEM	\N	148	37525	UROK	\N	\N
3441328	1186	1998-11-30	PRIJEM	\N	162	40172	UROK	\N	\N
3441329	1186	1998-12-31	PRIJEM	\N	155	35162	UROK	\N	\N
3441330	1192	1996-05-31	PRIJEM	\N	33	11844	UROK	\N	\N
3441331	1192	1996-06-30	PRIJEM	\N	118	36578	UROK	\N	\N
3441332	1192	1996-07-31	PRIJEM	\N	166	41955	UROK	\N	\N
3441333	1192	1996-08-31	PRIJEM	\N	142	37208	UROK	\N	\N
3441334	1192	1996-09-30	PRIJEM	\N	154	35673	UROK	\N	\N
3441335	1192	1996-10-31	PRIJEM	\N	157	37926	UROK	\N	\N
3441336	1192	1996-11-30	PRIJEM	\N	175	36698	UROK	\N	\N
3441337	1192	1996-12-31	PRIJEM	\N	191	40590	UROK	\N	\N
3441338	1192	1997-01-31	PRIJEM	\N	180	40866	UROK	\N	\N
3441339	1192	1997-02-28	PRIJEM	\N	169	37631	UROK	\N	\N
3441340	1192	1997-03-31	PRIJEM	\N	175	36203	UROK	\N	\N
3441341	1192	1997-04-30	PRIJEM	\N	152	39251	UROK	\N	\N
3441342	1192	1997-05-31	PRIJEM	\N	166	43814	UROK	\N	\N
3441343	1192	1997-06-30	PRIJEM	\N	187	39902	UROK	\N	\N
3441344	1192	1997-07-31	PRIJEM	\N	168	42667	UROK	\N	\N
3441345	1192	1997-08-31	PRIJEM	\N	184	44248	UROK	\N	\N
3441346	1192	1997-09-30	PRIJEM	\N	184	43828	UROK	\N	\N
3441347	1192	1997-10-31	PRIJEM	\N	200	46424	UROK	\N	\N
3441348	1192	1997-11-30	PRIJEM	\N	195	48516	UROK	\N	\N
3441349	1192	1997-12-31	PRIJEM	\N	209	47727	UROK	\N	\N
3441350	1192	1998-01-31	PRIJEM	\N	200	44423	UROK	\N	\N
3441351	1192	1998-02-28	PRIJEM	\N	184	44003	UROK	\N	\N
3441352	1192	1998-03-31	PRIJEM	\N	184	44983	UROK	\N	\N
3441353	1192	1998-04-30	PRIJEM	\N	199	45679	UROK	\N	\N
3441354	1192	1998-05-31	PRIJEM	\N	187	41263	UROK	\N	\N
3441355	1192	1998-06-30	PRIJEM	\N	189	45253	UROK	\N	\N
3441356	1192	1998-07-31	PRIJEM	\N	187	45237	UROK	\N	\N
3441357	1192	1998-08-31	PRIJEM	\N	193	48827	UROK	\N	\N
3441358	1192	1998-09-30	PRIJEM	\N	210	53333	UROK	\N	\N
3441359	1192	1998-10-31	PRIJEM	\N	217	51346	UROK	\N	\N
3441360	1192	1998-11-30	PRIJEM	\N	203	46346	UROK	\N	\N
3441361	1192	1998-12-31	PRIJEM	\N	191	44539	UROK	\N	\N
3441362	1210	1996-06-30	PRIJEM	\N	40	26228	UROK	\N	\N
3441363	1210	1996-07-31	PRIJEM	\N	120	33107	UROK	\N	\N
3441364	1210	1996-08-31	PRIJEM	\N	143	36409	UROK	\N	\N
3441365	1210	1996-09-30	PRIJEM	\N	158	40126	UROK	\N	\N
3441366	1210	1996-10-31	PRIJEM	\N	174	44259	UROK	\N	\N
3441367	1210	1996-11-30	PRIJEM	\N	190	46294	UROK	\N	\N
3441368	1210	1996-12-31	PRIJEM	\N	228	54395	UROK	\N	\N
3441369	1210	1997-01-31	PRIJEM	\N	233	43973	UROK	\N	\N
3441370	1210	1997-02-28	PRIJEM	\N	181	39299	UROK	\N	\N
3441371	1210	1997-03-31	PRIJEM	\N	196	42939	UROK	\N	\N
3441372	1210	1997-04-30	PRIJEM	\N	182	44866	UROK	\N	\N
3441373	1210	1997-05-31	PRIJEM	\N	194	48304	UROK	\N	\N
3441374	1210	1997-06-30	PRIJEM	\N	205	34182	UROK	\N	\N
3441375	1210	1997-07-31	PRIJEM	\N	157	40583	UROK	\N	\N
3441376	1210	1997-08-31	PRIJEM	\N	173	42601	UROK	\N	\N
3441377	1210	1997-09-30	PRIJEM	\N	184	45429	UROK	\N	\N
3441378	1210	1997-10-31	PRIJEM	\N	184	43157	UROK	\N	\N
3441379	1210	1997-11-30	PRIJEM	\N	177	42278	UROK	\N	\N
3441380	1210	1997-12-31	PRIJEM	\N	193	48445	UROK	\N	\N
3441381	1210	1998-01-31	PRIJEM	\N	187	38476	UROK	\N	\N
3441382	1210	1998-02-28	PRIJEM	\N	165	40385	UROK	\N	\N
3441383	1210	1998-03-31	PRIJEM	\N	179	40009	UROK	\N	\N
3441384	1210	1998-04-30	PRIJEM	\N	159	37612	UROK	\N	\N
3441385	1210	1998-05-31	PRIJEM	\N	154	34710	UROK	\N	\N
3441386	1210	1998-06-30	PRIJEM	\N	171	37655	UROK	\N	\N
3441387	1210	1998-07-31	PRIJEM	\N	158	38557	UROK	\N	\N
3441388	1210	1998-08-31	PRIJEM	\N	170	41771	UROK	\N	\N
3441389	1210	1998-09-30	PRIJEM	\N	175	42591	UROK	\N	\N
3441390	1210	1998-10-31	PRIJEM	\N	183	44918	UROK	\N	\N
3441391	1210	1998-11-30	PRIJEM	\N	177	41640	UROK	\N	\N
3441392	1210	1998-12-31	PRIJEM	\N	182	44695	UROK	\N	\N
3441393	1225	1994-01-31	PRIJEM	\N	51	19870	UROK	\N	\N
3441394	1225	1994-02-28	PRIJEM	\N	109	30398	UROK	\N	\N
3441395	1225	1994-03-31	PRIJEM	\N	138	35255	UROK	\N	\N
3441396	1225	1994-04-30	PRIJEM	\N	161	40934	UROK	\N	\N
3441397	1225	1994-05-31	PRIJEM	\N	169	40522	UROK	\N	\N
3441398	1225	1994-06-30	PRIJEM	\N	99	20034	UROK	\N	\N
3441399	1225	1994-07-31	PRIJEM	\N	112	30650	UROK	\N	\N
3441400	1225	1994-08-31	PRIJEM	\N	145	37000	UROK	\N	\N
3441401	1225	1994-09-30	PRIJEM	\N	163	40267	UROK	\N	\N
3441402	1225	1994-10-31	PRIJEM	\N	178	43749	UROK	\N	\N
3441403	1225	1994-11-30	PRIJEM	\N	182	42956	UROK	\N	\N
3441404	1225	1994-12-31	PRIJEM	\N	189	44739	UROK	\N	\N
3441405	1225	1995-01-31	PRIJEM	\N	136	22479	UROK	\N	\N
3441406	1225	1995-02-28	PRIJEM	\N	145	36788	UROK	\N	\N
3441407	1225	1995-03-31	PRIJEM	\N	168	41661	UROK	\N	\N
3441408	1225	1995-04-30	PRIJEM	\N	183	40588	UROK	\N	\N
3441409	1225	1995-05-31	PRIJEM	\N	179	43771	UROK	\N	\N
3441410	1225	1995-06-30	PRIJEM	\N	194	47478	UROK	\N	\N
3441411	1225	1995-07-31	PRIJEM	\N	193	46376	UROK	\N	\N
3441412	1225	1995-08-31	PRIJEM	\N	200	48680	UROK	\N	\N
3441413	1225	1995-09-30	PRIJEM	\N	214	52098	UROK	\N	\N
3441414	1225	1995-10-31	PRIJEM	\N	196	44918	UROK	\N	\N
3441415	1225	1995-11-30	PRIJEM	\N	234	58037	UROK	\N	\N
3441416	1225	1995-12-31	PRIJEM	\N	303	74593	UROK	\N	\N
3441417	1225	1996-01-31	PRIJEM	\N	271	55729	UROK	\N	\N
3441418	1225	1996-02-29	PRIJEM	\N	268	66202	UROK	\N	\N
3441419	1225	1996-03-31	PRIJEM	\N	296	70642	UROK	\N	\N
3441420	1225	1996-04-30	PRIJEM	\N	309	75156	UROK	\N	\N
3441421	1225	1996-05-31	PRIJEM	\N	306	69525	UROK	\N	\N
3441422	1225	1996-06-30	PRIJEM	\N	318	76476	UROK	\N	\N
3441423	1225	1996-07-31	PRIJEM	\N	320	77401	UROK	\N	\N
3441424	1225	1996-08-31	PRIJEM	\N	316	57301	UROK	\N	\N
3441425	1225	1996-09-30	PRIJEM	\N	259	57604	UROK	\N	\N
3441426	1225	1996-10-31	PRIJEM	\N	240	61049	UROK	\N	\N
3441427	1225	1996-11-30	PRIJEM	\N	252	59705	UROK	\N	\N
3441428	1225	1996-12-31	PRIJEM	\N	320	59598	UROK	\N	\N
3441429	1225	1997-01-31	PRIJEM	\N	280	50482	UROK	\N	\N
3441430	1225	1997-02-28	PRIJEM	\N	210	55097	UROK	\N	\N
3441431	1225	1997-03-31	PRIJEM	\N	227	54728	UROK	\N	\N
3441432	1225	1997-04-30	PRIJEM	\N	227	57860	UROK	\N	\N
3441433	1225	1997-05-31	PRIJEM	\N	262	57927	UROK	\N	\N
3441434	1225	1997-06-30	PRIJEM	\N	285	56225	UROK	\N	\N
3441435	1225	1997-07-31	PRIJEM	\N	250	49759	UROK	\N	\N
3441436	1225	1997-08-31	PRIJEM	\N	203	48467	UROK	\N	\N
3441437	1225	1997-09-30	PRIJEM	\N	201	50672	UROK	\N	\N
3441438	1225	1997-10-31	PRIJEM	\N	208	50684	UROK	\N	\N
3441439	1225	1997-11-30	PRIJEM	\N	232	51261	UROK	\N	\N
3441440	1225	1997-12-31	PRIJEM	\N	277	58151	UROK	\N	\N
3441441	1225	1998-01-31	PRIJEM	\N	261	51536	UROK	\N	\N
3441442	1225	1998-02-28	PRIJEM	\N	228	56468	UROK	\N	\N
3441443	1225	1998-03-31	PRIJEM	\N	232	55805	UROK	\N	\N
3441444	1225	1998-04-30	PRIJEM	\N	255	51445	UROK	\N	\N
3441445	1225	1998-05-31	PRIJEM	\N	208	50257	UROK	\N	\N
3441446	1225	1998-06-30	PRIJEM	\N	190	40301	UROK	\N	\N
3441447	1225	1998-07-31	PRIJEM	\N	168	43493	UROK	\N	\N
3441448	1225	1998-08-31	PRIJEM	\N	174	42371	UROK	\N	\N
3441449	1225	1998-09-30	PRIJEM	\N	176	45151	UROK	\N	\N
3441450	1225	1998-10-31	PRIJEM	\N	180	43936	UROK	\N	\N
3441451	1225	1998-11-30	PRIJEM	\N	201	46142	UROK	\N	\N
3441452	1225	1998-12-31	PRIJEM	\N	266	66941	UROK	\N	\N
3441453	1232	1996-07-31	PRIJEM	\N	7	26217	UROK	\N	\N
3441454	1232	1996-08-31	PRIJEM	\N	109	25826	UROK	\N	\N
3441455	1232	1996-09-30	PRIJEM	\N	109	27535	UROK	\N	\N
3441456	1232	1996-10-31	PRIJEM	\N	109	26545	UROK	\N	\N
3441457	1232	1996-11-30	PRIJEM	\N	109	27354	UROK	\N	\N
3441458	1232	1996-12-31	PRIJEM	\N	109	28763	UROK	\N	\N
3441459	1232	1997-01-31	PRIJEM	\N	109	32872	UROK	\N	\N
3441460	1232	1997-02-28	PRIJEM	\N	109	33581	UROK	\N	\N
3441461	1232	1997-03-31	PRIJEM	\N	109	35891	UROK	\N	\N
3441462	1232	1997-04-30	PRIJEM	\N	109	37400	UROK	\N	\N
3441463	1232	1997-05-31	PRIJEM	\N	109	37409	UROK	\N	\N
3441464	1232	1997-06-30	PRIJEM	\N	109	36218	UROK	\N	\N
3441465	1232	1997-07-31	PRIJEM	\N	110	33028	UROK	\N	\N
3441466	1232	1997-08-31	PRIJEM	\N	128	33456	UROK	\N	\N
3441467	1232	1997-09-30	PRIJEM	\N	135	54630	UROK	\N	\N
3441468	1232	1997-10-31	PRIJEM	\N	227	54964	UROK	\N	\N
3441469	1232	1997-11-30	PRIJEM	\N	228	50592	UROK	\N	\N
3441470	1232	1998-01-31	PRIJEM	\N	228	49220	UROK	\N	\N
3441471	1232	1998-02-28	PRIJEM	\N	228	49348	UROK	\N	\N
3441472	1232	1998-03-31	PRIJEM	\N	228	48376	UROK	\N	\N
3441473	1232	1998-04-30	PRIJEM	\N	228	48204	UROK	\N	\N
3441474	1232	1998-05-31	PRIJEM	\N	228	47732	UROK	\N	\N
3441475	1232	1998-06-30	PRIJEM	\N	228	43260	UROK	\N	\N
3441476	1232	1998-07-31	PRIJEM	\N	228	43688	UROK	\N	\N
3441477	1232	1998-08-31	PRIJEM	\N	226	52669	UROK	\N	\N
3441478	1232	1998-09-30	PRIJEM	\N	218	47987	UROK	\N	\N
3441479	1232	1998-10-31	PRIJEM	\N	208	42871	UROK	\N	\N
3441480	1232	1998-11-30	PRIJEM	\N	178	38334	UROK	\N	\N
3441481	1232	1998-12-31	PRIJEM	\N	154	34073	UROK	\N	\N
3441482	1236	1993-05-31	PRIJEM	\N	6	2606	UROK	\N	\N
3441483	1236	1993-06-30	PRIJEM	\N	39	16844	UROK	\N	\N
3441484	1236	1993-07-31	PRIJEM	\N	81	21725	UROK	\N	\N
3441485	1236	1993-08-31	PRIJEM	\N	98	25023	UROK	\N	\N
3441486	1236	1993-09-30	PRIJEM	\N	104	25027	UROK	\N	\N
3441487	1236	1993-10-31	PRIJEM	\N	105	25518	UROK	\N	\N
3441488	1236	1993-11-30	PRIJEM	\N	109	26912	UROK	\N	\N
3441489	1236	1993-12-31	PRIJEM	\N	142	41995	UROK	\N	\N
3441490	1236	1994-01-31	PRIJEM	\N	124	25805	UROK	\N	\N
3441491	1236	1994-02-28	PRIJEM	\N	108	27498	UROK	\N	\N
3441492	1236	1994-03-31	PRIJEM	\N	111	26094	UROK	\N	\N
3441493	1236	1994-04-30	PRIJEM	\N	109	26288	UROK	\N	\N
3441494	1236	1994-05-31	PRIJEM	\N	109	23883	UROK	\N	\N
3441495	1236	1994-06-30	PRIJEM	\N	88	21855	UROK	\N	\N
3441496	1236	1994-07-31	PRIJEM	\N	93	26333	UROK	\N	\N
3441497	1236	1994-08-31	PRIJEM	\N	108	24127	UROK	\N	\N
3441498	1236	1994-09-30	PRIJEM	\N	100	24563	UROK	\N	\N
3441499	1236	1994-10-31	PRIJEM	\N	141	52159	UROK	\N	\N
3441500	1236	1994-11-30	PRIJEM	\N	207	37501	UROK	\N	\N
3441501	1236	1994-12-31	PRIJEM	\N	153	32440	UROK	\N	\N
3441502	1236	1995-01-31	PRIJEM	\N	117	25392	UROK	\N	\N
3441503	1236	1995-02-28	PRIJEM	\N	106	25633	UROK	\N	\N
3441504	1236	1995-03-31	PRIJEM	\N	107	26225	UROK	\N	\N
3441505	1236	1995-04-30	PRIJEM	\N	107	23567	UROK	\N	\N
3441506	1236	1995-05-31	PRIJEM	\N	96	21098	UROK	\N	\N
3441507	1236	1995-06-30	PRIJEM	\N	87	20870	UROK	\N	\N
3441508	1236	1995-07-31	PRIJEM	\N	82	20338	UROK	\N	\N
3441509	1236	1995-08-31	PRIJEM	\N	86	21760	UROK	\N	\N
3441510	1236	1995-09-30	PRIJEM	\N	89	21435	UROK	\N	\N
3441511	1236	1995-10-31	PRIJEM	\N	85	18805	UROK	\N	\N
3441512	1236	1995-11-30	PRIJEM	\N	97	24032	UROK	\N	\N
3441513	1236	1995-12-31	PRIJEM	\N	110	55991	UROK	\N	\N
3441514	1236	1996-01-31	PRIJEM	\N	182	28208	UROK	\N	\N
3441515	1236	1996-02-29	PRIJEM	\N	103	21497	UROK	\N	\N
3441516	1236	1996-03-31	PRIJEM	\N	78	15060	UROK	\N	\N
3441517	1236	1996-04-30	PRIJEM	\N	62	16707	UROK	\N	\N
3441518	1236	1996-05-31	PRIJEM	\N	67	15609	UROK	\N	\N
3441519	1236	1996-06-30	PRIJEM	\N	60	13254	UROK	\N	\N
3441520	1236	1996-07-31	PRIJEM	\N	53	12993	UROK	\N	\N
3441521	1236	1996-08-31	PRIJEM	\N	115	51756	UROK	\N	\N
3441522	1236	1996-09-30	PRIJEM	\N	163	27404	UROK	\N	\N
3441523	1236	1996-10-31	PRIJEM	\N	85	14474	UROK	\N	\N
3441524	1236	1996-11-30	PRIJEM	\N	59	16119	UROK	\N	\N
3441525	1236	1996-12-31	PRIJEM	\N	87	19754	UROK	\N	\N
3441526	1236	1997-01-31	PRIJEM	\N	68	14557	UROK	\N	\N
3441527	1236	1997-02-28	PRIJEM	\N	59	16201	UROK	\N	\N
3441528	1236	1997-03-31	PRIJEM	\N	73	19487	UROK	\N	\N
3441529	1236	1997-04-30	PRIJEM	\N	80	21152	UROK	\N	\N
3441530	1236	1997-05-31	PRIJEM	\N	86	22073	UROK	\N	\N
3441531	1236	1997-06-30	PRIJEM	\N	72	14531	UROK	\N	\N
3441532	1236	1997-07-31	PRIJEM	\N	63	26577	UROK	\N	\N
3441533	1236	1997-08-31	PRIJEM	\N	88	18550	UROK	\N	\N
3441534	1236	1997-09-30	PRIJEM	\N	75	20210	UROK	\N	\N
3441535	1236	1997-10-31	PRIJEM	\N	78	18774	UROK	\N	\N
3441536	1236	1997-11-30	PRIJEM	\N	77	19336	UROK	\N	\N
3441537	1236	1997-12-31	PRIJEM	\N	75	18697	UROK	\N	\N
3441538	1236	1998-01-31	PRIJEM	\N	66	15598	UROK	\N	\N
3441539	1236	1998-02-28	PRIJEM	\N	60	14644	UROK	\N	\N
3441540	1236	1998-03-31	PRIJEM	\N	66	17995	UROK	\N	\N
3441541	1236	1998-04-30	PRIJEM	\N	68	15448	UROK	\N	\N
3441542	1236	1998-05-31	PRIJEM	\N	62	15696	UROK	\N	\N
3441543	1236	1998-06-30	PRIJEM	\N	63	15944	UROK	\N	\N
3441544	1236	1998-07-31	PRIJEM	\N	66	17196	UROK	\N	\N
3441545	1236	1998-08-31	PRIJEM	\N	110	34194	UROK	\N	\N
3441546	1236	1998-09-30	PRIJEM	\N	135	37396	UROK	\N	\N
3441547	1236	1998-10-31	PRIJEM	\N	124	25806	UROK	\N	\N
3441548	1236	1998-11-30	PRIJEM	\N	81	16572	UROK	\N	\N
3441549	1236	1998-12-31	PRIJEM	\N	65	15822	UROK	\N	\N
3441550	1237	1994-03-31	PRIJEM	\N	115	68952	UROK	\N	\N
3441551	1237	1994-04-30	PRIJEM	\N	265	60948	UROK	\N	\N
3441552	1237	1994-05-31	PRIJEM	\N	263	87334	UROK	\N	\N
3441553	1237	1994-06-30	PRIJEM	\N	273	50825	UROK	\N	\N
3441554	1237	1994-07-31	PRIJEM	\N	295	73566	UROK	\N	\N
3441555	1237	1994-08-31	PRIJEM	\N	226	64513	UROK	\N	\N
3441556	1237	1994-09-30	PRIJEM	\N	241	34756	UROK	\N	\N
3441557	1237	1994-10-31	PRIJEM	\N	245	111544	UROK	\N	\N
3441558	1237	1994-11-30	PRIJEM	\N	331	107934	UROK	\N	\N
3441559	1237	1994-12-31	PRIJEM	\N	439	99815	UROK	\N	\N
3441560	1237	1995-01-31	PRIJEM	\N	198	12349	UROK	\N	\N
3441561	1237	1995-02-28	PRIJEM	\N	38	8966	UROK	\N	\N
3441562	1237	1995-03-31	PRIJEM	\N	28	4879	UROK	\N	\N
3441563	1237	1995-04-30	PRIJEM	\N	74	80664	UROK	\N	\N
3441564	1237	1995-05-31	PRIJEM	\N	332	54382	UROK	\N	\N
3441565	1237	1995-06-30	PRIJEM	\N	274	39376	UROK	\N	\N
3441566	1237	1995-07-31	PRIJEM	\N	201	56195	UROK	\N	\N
3441567	1237	1995-08-31	PRIJEM	\N	341	99267	UROK	\N	\N
3441568	1237	1995-09-30	PRIJEM	\N	401	88354	UROK	\N	\N
3441569	1237	1995-10-31	PRIJEM	\N	416	108452	UROK	\N	\N
3441570	1237	1995-11-30	PRIJEM	\N	331	85557	UROK	\N	\N
3441571	1237	1995-12-31	PRIJEM	\N	315	78149	UROK	\N	\N
3441572	1237	1996-01-31	PRIJEM	\N	189	24283	UROK	\N	\N
3441573	1237	1996-02-29	PRIJEM	\N	215	67683	UROK	\N	\N
3441574	1237	1996-03-31	PRIJEM	\N	249	95127	UROK	\N	\N
3441575	1237	1996-04-30	PRIJEM	\N	435	110829	UROK	\N	\N
3441576	1237	1996-05-31	PRIJEM	\N	347	84640	UROK	\N	\N
3441577	1237	1996-06-30	PRIJEM	\N	269	105840	UROK	\N	\N
3441578	1237	1996-07-31	PRIJEM	\N	356	68502	UROK	\N	\N
3441579	1237	1996-08-31	PRIJEM	\N	197	57214	UROK	\N	\N
3441580	1237	1996-09-30	PRIJEM	\N	314	73612	UROK	\N	\N
3441581	1237	1996-10-31	PRIJEM	\N	327	75594	UROK	\N	\N
3441582	1237	1996-11-30	PRIJEM	\N	244	43383	UROK	\N	\N
3441583	1237	1996-12-31	PRIJEM	\N	298	78047	UROK	\N	\N
3441584	1237	1997-01-31	PRIJEM	\N	294	62322	UROK	\N	\N
3441585	1237	1997-02-28	PRIJEM	\N	253	55452	UROK	\N	\N
3441586	1237	1997-03-31	PRIJEM	\N	229	60966	UROK	\N	\N
3441587	1237	1997-04-30	PRIJEM	\N	239	48774	UROK	\N	\N
3441588	1237	1997-05-31	PRIJEM	\N	201	53860	UROK	\N	\N
3441589	1237	1997-06-30	PRIJEM	\N	237	73296	UROK	\N	\N
3441590	1237	1997-07-31	PRIJEM	\N	301	67983	UROK	\N	\N
3441591	1237	1997-08-31	PRIJEM	\N	279	66748	UROK	\N	\N
3441592	1237	1997-09-30	PRIJEM	\N	275	71308	UROK	\N	\N
3441593	1237	1997-10-31	PRIJEM	\N	293	71386	UROK	\N	\N
3441594	1237	1997-11-30	PRIJEM	\N	293	71365	UROK	\N	\N
3441595	1237	1997-12-31	PRIJEM	\N	273	55823	UROK	\N	\N
3441596	1237	1998-01-31	PRIJEM	\N	184	37092	UROK	\N	\N
3441597	1237	1998-02-28	PRIJEM	\N	259	74374	UROK	\N	\N
3441598	1237	1998-03-31	PRIJEM	\N	321	86928	UROK	\N	\N
3441599	1237	1998-04-30	PRIJEM	\N	475	59434	UROK	\N	\N
3441600	1237	1998-05-31	PRIJEM	\N	247	57152	UROK	\N	\N
3441601	1237	1998-06-30	PRIJEM	\N	231	50069	UROK	\N	\N
3441602	1237	1998-07-31	PRIJEM	\N	269	74379	UROK	\N	\N
3441603	1237	1998-08-31	PRIJEM	\N	304	77268	UROK	\N	\N
3441604	1237	1998-09-30	PRIJEM	\N	330	77891	UROK	\N	\N
3441605	1237	1998-10-31	PRIJEM	\N	405	96923	UROK	\N	\N
3441606	1237	1998-11-30	PRIJEM	\N	396	97004	UROK	\N	\N
3441607	1237	1998-12-31	PRIJEM	\N	297	59877	UROK	\N	\N
3441608	1243	1996-08-31	PRIJEM	\N	107	46871	UROK	\N	\N
3441609	1243	1996-09-30	PRIJEM	\N	286	79687	UROK	\N	\N
3441610	1243	1996-10-31	PRIJEM	\N	331	52718	UROK	\N	\N
3441611	1243	1996-11-30	PRIJEM	\N	331	36949	UROK	\N	\N
3441612	1243	1996-12-31	PRIJEM	\N	331	30680	UROK	\N	\N
3441613	1243	1997-01-31	PRIJEM	\N	324	31604	UROK	\N	\N
3441614	1243	1997-03-31	PRIJEM	\N	124	27528	UROK	\N	\N
3441615	1243	1997-04-30	PRIJEM	\N	127	37552	UROK	\N	\N
3441616	1243	1997-05-31	PRIJEM	\N	156	35707	UROK	\N	\N
3441617	1243	1997-06-30	PRIJEM	\N	146	44020	UROK	\N	\N
3441618	1243	1997-07-31	PRIJEM	\N	179	39600	UROK	\N	\N
3441619	1243	1997-08-31	PRIJEM	\N	179	40879	UROK	\N	\N
3441620	1243	1997-09-30	PRIJEM	\N	179	44758	UROK	\N	\N
3441621	1243	1997-10-31	PRIJEM	\N	179	46937	UROK	\N	\N
3441622	1243	1997-12-31	PRIJEM	\N	179	50016	UROK	\N	\N
3441623	1243	1998-01-31	PRIJEM	\N	179	50895	UROK	\N	\N
3441624	1243	1998-02-28	PRIJEM	\N	179	50574	UROK	\N	\N
3441625	1243	1998-03-31	PRIJEM	\N	179	50853	UROK	\N	\N
3441626	1243	1998-04-30	PRIJEM	\N	179	53332	UROK	\N	\N
3441627	1243	1998-05-31	PRIJEM	\N	179	57412	UROK	\N	\N
3441628	1243	1998-06-30	PRIJEM	\N	179	58791	UROK	\N	\N
3441629	1243	1998-07-31	PRIJEM	\N	179	60670	UROK	\N	\N
3441630	1243	1998-08-31	PRIJEM	\N	224	85118	UROK	\N	\N
3441631	1243	1998-09-30	PRIJEM	\N	352	79455	UROK	\N	\N
3441632	1243	1998-10-31	PRIJEM	\N	330	74370	UROK	\N	\N
3441633	1243	1998-11-30	PRIJEM	\N	308	67864	UROK	\N	\N
3441634	1243	1998-12-31	PRIJEM	\N	343	110553	UROK	\N	\N
3441635	1254	1995-04-30	PRIJEM	\N	130	44746	UROK	\N	\N
3441636	1254	1995-05-31	PRIJEM	\N	326	51048	UROK	\N	\N
3441637	1254	1995-06-30	PRIJEM	\N	278	71892	UROK	\N	\N
3441638	1254	1995-07-31	PRIJEM	\N	296	60740	UROK	\N	\N
3441639	1254	1995-08-31	PRIJEM	\N	233	41558	UROK	\N	\N
3441640	1254	1995-09-30	PRIJEM	\N	117	22293	UROK	\N	\N
3441641	1254	1995-10-31	PRIJEM	\N	106	41638	UROK	\N	\N
3441642	1254	1995-11-30	PRIJEM	\N	171	37685	UROK	\N	\N
3441643	1254	1995-12-31	PRIJEM	\N	174	44540	UROK	\N	\N
3441644	1254	1996-01-31	PRIJEM	\N	176	22030	UROK	\N	\N
3441645	1254	1996-02-29	PRIJEM	\N	134	77797	UROK	\N	\N
3441646	1254	1996-03-31	PRIJEM	\N	299	56662	UROK	\N	\N
3441647	1254	1996-04-30	PRIJEM	\N	418	72406	UROK	\N	\N
3441648	1254	1996-05-31	PRIJEM	\N	323	62758	UROK	\N	\N
3441649	1254	1996-06-30	PRIJEM	\N	261	50005	UROK	\N	\N
3441650	1254	1996-07-31	PRIJEM	\N	276	62938	UROK	\N	\N
3441651	1254	1996-08-31	PRIJEM	\N	346	61800	UROK	\N	\N
3441652	1254	1996-09-30	PRIJEM	\N	276	106875	UROK	\N	\N
3441653	1254	1996-10-31	PRIJEM	\N	371	68031	UROK	\N	\N
3441654	1254	1996-11-30	PRIJEM	\N	356	67149	UROK	\N	\N
3441655	1254	1996-12-31	PRIJEM	\N	306	67269	UROK	\N	\N
3441656	1254	1997-01-31	PRIJEM	\N	254	49873	UROK	\N	\N
3441657	1254	1997-02-28	PRIJEM	\N	227	95500	UROK	\N	\N
3441658	1254	1997-03-31	PRIJEM	\N	342	68806	UROK	\N	\N
3441659	1254	1997-04-30	PRIJEM	\N	284	59775	UROK	\N	\N
3441660	1254	1997-05-31	PRIJEM	\N	247	54407	UROK	\N	\N
3441661	1254	1997-06-30	PRIJEM	\N	241	37677	UROK	\N	\N
3441662	1254	1997-07-31	PRIJEM	\N	162	40824	UROK	\N	\N
3441663	1254	1997-08-31	PRIJEM	\N	165	37604	UROK	\N	\N
3441664	1254	1997-09-30	PRIJEM	\N	152	24037	UROK	\N	\N
3441665	1254	1997-10-31	PRIJEM	\N	191	62598	UROK	\N	\N
3441666	1254	1997-11-30	PRIJEM	\N	240	29535	UROK	\N	\N
3441667	1254	1997-12-31	PRIJEM	\N	117	26981	UROK	\N	\N
3441668	1254	1998-01-31	PRIJEM	\N	110	25876	UROK	\N	\N
3441669	1254	1998-02-28	PRIJEM	\N	158	44718	UROK	\N	\N
3441670	1254	1998-03-31	PRIJEM	\N	150	31670	UROK	\N	\N
3441671	1254	1998-04-30	PRIJEM	\N	268	110181	UROK	\N	\N
3441672	1254	1998-05-31	PRIJEM	\N	378	78641	UROK	\N	\N
3441673	1254	1998-06-30	PRIJEM	\N	330	68909	UROK	\N	\N
3441674	1254	1998-07-31	PRIJEM	\N	254	49339	UROK	\N	\N
3441675	1254	1998-08-31	PRIJEM	\N	151	28353	UROK	\N	\N
3441676	1254	1998-09-30	PRIJEM	\N	213	89358	UROK	\N	\N
3441677	1254	1998-10-31	PRIJEM	\N	324	48979	UROK	\N	\N
3441678	1254	1998-11-30	PRIJEM	\N	191	67416	UROK	\N	\N
3441679	1254	1998-12-31	PRIJEM	\N	321	96054	UROK	\N	\N
3441680	1263	1996-01-31	PRIJEM	\N	29	24015	UROK	\N	\N
3441681	1263	1996-02-29	PRIJEM	\N	136	55409	UROK	\N	\N
3441682	1263	1996-03-31	PRIJEM	\N	263	78887	UROK	\N	\N
3441683	1263	1996-04-30	PRIJEM	\N	285	61222	UROK	\N	\N
3441684	1263	1996-05-31	PRIJEM	\N	335	100596	UROK	\N	\N
3441685	1263	1996-06-30	PRIJEM	\N	336	76592	UROK	\N	\N
3441686	1263	1996-07-31	PRIJEM	\N	345	90336	UROK	\N	\N
3441687	1263	1996-08-31	PRIJEM	\N	384	92050	UROK	\N	\N
3441688	1263	1996-09-30	PRIJEM	\N	265	83422	UROK	\N	\N
3441689	1263	1996-10-31	PRIJEM	\N	369	53882	UROK	\N	\N
3441690	1263	1996-11-30	PRIJEM	\N	253	101054	UROK	\N	\N
3441691	1263	1996-12-31	PRIJEM	\N	341	66914	UROK	\N	\N
3441692	1263	1997-01-31	PRIJEM	\N	117	25901	UROK	\N	\N
3441693	1263	1997-02-28	PRIJEM	\N	108	28979	UROK	\N	\N
3441694	1263	1997-03-31	PRIJEM	\N	143	63291	UROK	\N	\N
3441695	1263	1997-04-30	PRIJEM	\N	261	48222	UROK	\N	\N
3441696	1263	1997-05-31	PRIJEM	\N	413	86204	UROK	\N	\N
3441697	1263	1997-06-30	PRIJEM	\N	350	76108	UROK	\N	\N
3441698	1263	1997-07-31	PRIJEM	\N	313	53291	UROK	\N	\N
3441699	1263	1997-08-31	PRIJEM	\N	188	34249	UROK	\N	\N
3441700	1263	1997-09-30	PRIJEM	\N	152	30017	UROK	\N	\N
3441701	1263	1997-10-31	PRIJEM	\N	126	39912	UROK	\N	\N
3441702	1263	1997-11-30	PRIJEM	\N	167	48480	UROK	\N	\N
3441703	1263	1997-12-31	PRIJEM	\N	191	35841	UROK	\N	\N
3441704	1263	1998-01-31	PRIJEM	\N	104	25215	UROK	\N	\N
3441705	1263	1998-02-28	PRIJEM	\N	108	40601	UROK	\N	\N
3441706	1263	1998-03-31	PRIJEM	\N	165	35936	UROK	\N	\N
3441707	1263	1998-04-30	PRIJEM	\N	138	32544	UROK	\N	\N
3441708	1263	1998-05-31	PRIJEM	\N	123	28851	UROK	\N	\N
3441709	1263	1998-06-30	PRIJEM	\N	124	36178	UROK	\N	\N
3441710	1263	1998-07-31	PRIJEM	\N	190	46978	UROK	\N	\N
3441711	1263	1998-08-31	PRIJEM	\N	193	40341	UROK	\N	\N
3441712	1263	1998-09-30	PRIJEM	\N	301	60431	UROK	\N	\N
3441713	1263	1998-10-31	PRIJEM	\N	271	102777	UROK	\N	\N
3441714	1263	1998-11-30	PRIJEM	\N	440	54368	UROK	\N	\N
3441715	1263	1998-12-31	PRIJEM	\N	268	73584	UROK	\N	\N
3441716	1281	1997-05-31	PRIJEM	\N	54	22411	UROK	\N	\N
3441717	1281	1997-06-30	PRIJEM	\N	131	37528	UROK	\N	\N
3441718	1281	1997-07-31	PRIJEM	\N	155	37140	UROK	\N	\N
3441719	1281	1997-08-31	PRIJEM	\N	159	38855	UROK	\N	\N
3441720	1281	1997-09-30	PRIJEM	\N	172	42784	UROK	\N	\N
3441721	1281	1997-10-31	PRIJEM	\N	189	46716	UROK	\N	\N
3441722	1281	1997-11-30	PRIJEM	\N	213	53171	UROK	\N	\N
3441723	1281	1997-12-31	PRIJEM	\N	246	61289	UROK	\N	\N
3441724	1281	1998-01-31	PRIJEM	\N	228	48359	UROK	\N	\N
3441725	1281	1998-02-28	PRIJEM	\N	239	60840	UROK	\N	\N
3441726	1281	1998-03-31	PRIJEM	\N	268	66050	UROK	\N	\N
3441727	1281	1998-04-30	PRIJEM	\N	280	68073	UROK	\N	\N
3441728	1281	1998-05-31	PRIJEM	\N	325	67240	UROK	\N	\N
3441729	1281	1998-06-30	PRIJEM	\N	304	74116	UROK	\N	\N
3441730	1281	1998-07-31	PRIJEM	\N	316	73975	UROK	\N	\N
3441731	1281	1998-08-31	PRIJEM	\N	329	81046	UROK	\N	\N
3441732	1281	1998-09-30	PRIJEM	\N	349	85237	UROK	\N	\N
3441733	1281	1998-10-31	PRIJEM	\N	369	90248	UROK	\N	\N
3441734	1281	1998-11-30	PRIJEM	\N	394	96785	UROK	\N	\N
3441735	1281	1998-12-31	PRIJEM	\N	422	101378	UROK	\N	\N
3441736	1301	1994-10-31	PRIJEM	\N	5	37529	UROK	\N	\N
3441737	1301	1994-11-30	PRIJEM	\N	156	31085	UROK	\N	\N
3441738	1301	1994-12-31	PRIJEM	\N	156	28342	UROK	\N	\N
3441739	1301	1995-01-31	PRIJEM	\N	156	25098	UROK	\N	\N
3441740	1301	1995-02-28	PRIJEM	\N	156	24354	UROK	\N	\N
3441741	1301	1995-03-31	PRIJEM	\N	156	21511	UROK	\N	\N
3441742	1301	1995-04-30	PRIJEM	\N	156	19467	UROK	\N	\N
3441743	1301	1995-05-31	PRIJEM	\N	156	21524	UROK	\N	\N
3441744	1301	1995-06-30	PRIJEM	\N	156	19180	UROK	\N	\N
3441745	1301	1995-07-31	PRIJEM	\N	143	31839	UROK	\N	\N
3441746	1301	1995-08-31	PRIJEM	\N	132	23371	UROK	\N	\N
3441747	1301	1995-09-30	PRIJEM	\N	132	17403	UROK	\N	\N
3441748	1301	1995-10-31	PRIJEM	\N	132	15535	UROK	\N	\N
3441749	1301	1995-11-30	PRIJEM	\N	181	64067	UROK	\N	\N
3441750	1301	1995-12-31	PRIJEM	\N	266	40033	UROK	\N	\N
3441751	1301	1996-01-31	PRIJEM	\N	266	28100	UROK	\N	\N
3441752	1301	1996-02-29	PRIJEM	\N	266	22166	UROK	\N	\N
3441753	1301	1996-03-31	PRIJEM	\N	266	18132	UROK	\N	\N
3441754	1301	1996-04-30	PRIJEM	\N	266	14298	UROK	\N	\N
3441755	1301	1996-05-31	PRIJEM	\N	266	14764	UROK	\N	\N
3441756	1301	1996-06-30	PRIJEM	\N	108	18435	UROK	\N	\N
3441757	1301	1996-07-31	PRIJEM	\N	107	25912	UROK	\N	\N
3441758	1301	1996-08-31	PRIJEM	\N	107	20904	UROK	\N	\N
3441759	1301	1996-09-30	PRIJEM	\N	82	17572	UROK	\N	\N
3441760	1301	1996-10-31	PRIJEM	\N	72	16230	UROK	\N	\N
3441761	1301	1996-11-30	PRIJEM	\N	67	14932	UROK	\N	\N
3441762	1301	1996-12-31	PRIJEM	\N	61	14479	UROK	\N	\N
3441763	1301	1997-02-28	PRIJEM	\N	66	39159	UROK	\N	\N
3441764	1301	1997-02-28	PRIJEM	\N	81	39093	UROK	\N	\N
3441765	1301	1997-03-31	PRIJEM	\N	144	68620	UROK	\N	\N
3441766	1301	1997-04-30	PRIJEM	\N	281	38087	UROK	\N	\N
3441767	1301	1997-05-31	PRIJEM	\N	156	22727	UROK	\N	\N
3441768	1301	1997-06-30	PRIJEM	\N	93	15305	UROK	\N	\N
3441769	1301	1997-07-31	PRIJEM	\N	63	15353	UROK	\N	\N
3441770	1301	1997-08-31	PRIJEM	\N	62	14201	UROK	\N	\N
3441771	1301	1997-09-30	PRIJEM	\N	58	14244	UROK	\N	\N
3441772	1301	1997-11-30	PRIJEM	\N	60	14332	UROK	\N	\N
3441773	1301	1997-11-30	PRIJEM	\N	58	14273	UROK	\N	\N
3441774	1301	1997-12-31	PRIJEM	\N	58	14376	UROK	\N	\N
3441775	1301	1998-02-28	PRIJEM	\N	64	14410	UROK	\N	\N
3441776	1301	1998-02-28	PRIJEM	\N	58	14468	UROK	\N	\N
3441777	1301	1998-04-30	PRIJEM	\N	60	14499	UROK	\N	\N
3441778	1301	1998-04-30	PRIJEM	\N	58	14556	UROK	\N	\N
3441779	1301	1998-06-30	PRIJEM	\N	60	14587	UROK	\N	\N
3441780	1301	1998-06-30	PRIJEM	\N	58	14644	UROK	\N	\N
3441781	1301	1998-07-31	PRIJEM	\N	58	14688	UROK	\N	\N
3441782	1301	1998-09-30	PRIJEM	\N	60	14718	UROK	\N	\N
3441783	1301	1998-09-30	PRIJEM	\N	58	14776	UROK	\N	\N
3441784	1301	1998-11-30	PRIJEM	\N	60	17474	UROK	\N	\N
3441785	1301	1998-11-30	PRIJEM	\N	61	17535	UROK	\N	\N
3441786	1301	1998-12-31	PRIJEM	\N	72	16970	UROK	\N	\N
3441787	1305	1993-09-30	PRIJEM	\N	18	18257	UROK	\N	\N
3441788	1305	1993-10-31	PRIJEM	\N	86	27782	UROK	\N	\N
3441789	1305	1993-11-30	PRIJEM	\N	121	32542	UROK	\N	\N
3441790	1305	1993-12-31	PRIJEM	\N	140	36539	UROK	\N	\N
3441791	1305	1994-01-31	PRIJEM	\N	150	31129	UROK	\N	\N
3441792	1305	1994-02-28	PRIJEM	\N	133	34386	UROK	\N	\N
3441793	1305	1994-03-31	PRIJEM	\N	144	35155	UROK	\N	\N
3441794	1305	1994-04-30	PRIJEM	\N	152	36731	UROK	\N	\N
3441795	1305	1994-05-31	PRIJEM	\N	167	36322	UROK	\N	\N
3441796	1305	1994-06-30	PRIJEM	\N	150	34615	UROK	\N	\N
3441797	1305	1994-07-31	PRIJEM	\N	136	34176	UROK	\N	\N
3441798	1305	1994-08-31	PRIJEM	\N	152	33852	UROK	\N	\N
3441799	1305	1994-09-30	PRIJEM	\N	141	31017	UROK	\N	\N
3441800	1305	1994-10-31	PRIJEM	\N	134	33875	UROK	\N	\N
3441801	1305	1994-11-30	PRIJEM	\N	147	37547	UROK	\N	\N
3441802	1305	1994-12-31	PRIJEM	\N	178	42768	UROK	\N	\N
3441803	1305	1995-01-31	PRIJEM	\N	175	33367	UROK	\N	\N
3441804	1305	1995-02-28	PRIJEM	\N	149	35240	UROK	\N	\N
3441805	1305	1995-03-31	PRIJEM	\N	150	37315	UROK	\N	\N
3441806	1305	1995-04-30	PRIJEM	\N	165	39104	UROK	\N	\N
3441807	1305	1995-05-31	PRIJEM	\N	161	38489	UROK	\N	\N
3441808	1305	1995-06-30	PRIJEM	\N	166	38099	UROK	\N	\N
3441809	1305	1995-07-31	PRIJEM	\N	163	37786	UROK	\N	\N
3441810	1305	1995-08-31	PRIJEM	\N	167	42278	UROK	\N	\N
3441811	1305	1995-09-30	PRIJEM	\N	176	42578	UROK	\N	\N
3441812	1305	1995-10-31	PRIJEM	\N	182	44984	UROK	\N	\N
3441813	1305	1995-11-30	PRIJEM	\N	186	44694	UROK	\N	\N
3441814	1305	1995-12-31	PRIJEM	\N	189	46427	UROK	\N	\N
3441815	1305	1996-01-31	PRIJEM	\N	179	34130	UROK	\N	\N
3441816	1305	1996-02-29	PRIJEM	\N	160	41014	UROK	\N	\N
3441817	1305	1996-03-31	PRIJEM	\N	176	43514	UROK	\N	\N
3441818	1305	1996-04-30	PRIJEM	\N	189	46828	UROK	\N	\N
3441819	1305	1996-05-31	PRIJEM	\N	199	48651	UROK	\N	\N
3441820	1305	1996-06-30	PRIJEM	\N	194	46489	UROK	\N	\N
3441821	1305	1996-07-31	PRIJEM	\N	210	49423	UROK	\N	\N
3441822	1305	1996-08-31	PRIJEM	\N	235	52683	UROK	\N	\N
3441823	1305	1996-09-30	PRIJEM	\N	253	64360	UROK	\N	\N
3441824	1305	1996-10-31	PRIJEM	\N	292	72776	UROK	\N	\N
3441825	1305	1996-11-30	PRIJEM	\N	297	71597	UROK	\N	\N
3441826	1305	1996-12-31	PRIJEM	\N	321	78662	UROK	\N	\N
3441827	1305	1997-01-31	PRIJEM	\N	311	71697	UROK	\N	\N
3441828	1305	1997-02-28	PRIJEM	\N	315	78036	UROK	\N	\N
3441829	1305	1997-03-31	PRIJEM	\N	325	78885	UROK	\N	\N
3441830	1305	1997-04-30	PRIJEM	\N	331	80741	UROK	\N	\N
3441831	1305	1997-05-31	PRIJEM	\N	342	83506	UROK	\N	\N
3441832	1305	1997-06-30	PRIJEM	\N	316	61966	UROK	\N	\N
3441833	1305	1997-07-31	PRIJEM	\N	294	74684	UROK	\N	\N
3441834	1305	1997-08-31	PRIJEM	\N	319	78327	UROK	\N	\N
3441835	1305	1997-09-30	PRIJEM	\N	309	76761	UROK	\N	\N
3441836	1305	1997-10-31	PRIJEM	\N	324	80410	UROK	\N	\N
3441837	1305	1997-11-30	PRIJEM	\N	360	90094	UROK	\N	\N
3441838	1305	1997-12-31	PRIJEM	\N	405	100643	UROK	\N	\N
3441839	1305	1998-01-31	PRIJEM	\N	368	84935	UROK	\N	\N
3441840	1305	1998-02-28	PRIJEM	\N	350	95510	UROK	\N	\N
3441841	1305	1998-03-31	PRIJEM	\N	398	96732	UROK	\N	\N
3441842	1305	1998-04-30	PRIJEM	\N	414	101370	UROK	\N	\N
3441843	1305	1998-05-31	PRIJEM	\N	427	106322	UROK	\N	\N
3441844	1305	1998-06-30	PRIJEM	\N	405	101071	UROK	\N	\N
3441845	1305	1998-07-31	PRIJEM	\N	421	101816	UROK	\N	\N
3441846	1305	1998-08-31	PRIJEM	\N	429	104470	UROK	\N	\N
3441847	1305	1998-09-30	PRIJEM	\N	434	113828	UROK	\N	\N
3441848	1305	1998-10-31	PRIJEM	\N	490	105543	UROK	\N	\N
3441849	1305	1998-11-30	PRIJEM	\N	360	93627	UROK	\N	\N
3441850	1305	1998-12-31	PRIJEM	\N	401	107872	UROK	\N	\N
3441851	1310	1996-03-31	PRIJEM	\N	23	19340	UROK	\N	\N
3441852	1310	1996-04-30	PRIJEM	\N	89	25846	UROK	\N	\N
3441853	1310	1996-05-31	PRIJEM	\N	108	26271	UROK	\N	\N
3441854	1310	1996-06-30	PRIJEM	\N	115	30261	UROK	\N	\N
3441855	1310	1996-07-31	PRIJEM	\N	126	27604	UROK	\N	\N
3441856	1310	1996-08-31	PRIJEM	\N	115	25621	UROK	\N	\N
3441857	1310	1996-09-30	PRIJEM	\N	103	23526	UROK	\N	\N
3441858	1310	1996-10-31	PRIJEM	\N	99	21827	UROK	\N	\N
3441859	1310	1996-11-30	PRIJEM	\N	93	21523	UROK	\N	\N
3441860	1310	1996-12-31	PRIJEM	\N	96	22680	UROK	\N	\N
3441861	1310	1997-01-31	PRIJEM	\N	79	14162	UROK	\N	\N
3441862	1310	1997-02-28	PRIJEM	\N	73	20537	UROK	\N	\N
3441863	1310	1997-03-31	PRIJEM	\N	87	21426	UROK	\N	\N
3441864	1310	1997-04-30	PRIJEM	\N	88	19816	UROK	\N	\N
3441865	1310	1997-05-31	PRIJEM	\N	82	19700	UROK	\N	\N
3441866	1310	1997-06-30	PRIJEM	\N	86	21248	UROK	\N	\N
3441867	1310	1997-07-31	PRIJEM	\N	92	19941	UROK	\N	\N
3441868	1310	1997-08-31	PRIJEM	\N	84	20428	UROK	\N	\N
3441869	1310	1997-09-30	PRIJEM	\N	81	18711	UROK	\N	\N
3441870	1310	1997-10-31	PRIJEM	\N	76	17989	UROK	\N	\N
3441871	1310	1997-11-30	PRIJEM	\N	79	19870	UROK	\N	\N
3441872	1310	1997-12-31	PRIJEM	\N	97	26329	UROK	\N	\N
3441873	1310	1998-01-31	PRIJEM	\N	73	13304	UROK	\N	\N
3441874	1310	1998-02-28	PRIJEM	\N	69	19475	UROK	\N	\N
3441875	1310	1998-03-31	PRIJEM	\N	82	19959	UROK	\N	\N
3441876	1310	1998-04-30	PRIJEM	\N	79	19240	UROK	\N	\N
3441877	1310	1998-05-31	PRIJEM	\N	79	19122	UROK	\N	\N
3441878	1310	1998-06-30	PRIJEM	\N	77	13660	UROK	\N	\N
3441879	1310	1998-07-31	PRIJEM	\N	57	20420	UROK	\N	\N
3441880	1310	1998-08-31	PRIJEM	\N	85	27207	UROK	\N	\N
3441881	1310	1998-09-30	PRIJEM	\N	80	17989	UROK	\N	\N
3441882	1310	1998-10-31	PRIJEM	\N	87	23178	UROK	\N	\N
3441883	1310	1998-11-30	PRIJEM	\N	97	29977	UROK	\N	\N
3441884	1310	1998-12-31	PRIJEM	\N	98	17237	UROK	\N	\N
3441885	1313	1997-10-31	PRIJEM	\N	2	202	UROK	\N	\N
3441886	1313	1997-11-30	PRIJEM	\N	76	81669	UROK	\N	\N
3441887	1313	1997-12-31	PRIJEM	\N	415	60196	UROK	\N	\N
3441888	1313	1998-01-31	PRIJEM	\N	124	19705	UROK	\N	\N
3441889	1313	1998-02-28	PRIJEM	\N	200	58318	UROK	\N	\N
3441890	1313	1998-03-31	PRIJEM	\N	272	55932	UROK	\N	\N
3441891	1313	1998-04-30	PRIJEM	\N	233	56275	UROK	\N	\N
3441892	1313	1998-05-31	PRIJEM	\N	228	40271	UROK	\N	\N
3441893	1313	1998-06-30	PRIJEM	\N	226	37571	UROK	\N	\N
3441894	1313	1998-07-31	PRIJEM	\N	166	38842	UROK	\N	\N
3441895	1313	1998-08-31	PRIJEM	\N	325	59258	UROK	\N	\N
3441896	1313	1998-09-30	PRIJEM	\N	331	51664	UROK	\N	\N
3441897	1313	1998-10-31	PRIJEM	\N	292	52164	UROK	\N	\N
3441898	1313	1998-11-30	PRIJEM	\N	251	39828	UROK	\N	\N
3441899	1313	1998-12-31	PRIJEM	\N	167	41826	UROK	\N	\N
3441900	1327	1994-09-30	PRIJEM	\N	14	13014	UROK	\N	\N
3441901	1327	1994-10-31	PRIJEM	\N	63	20177	UROK	\N	\N
3441902	1327	1994-11-30	PRIJEM	\N	106	28364	UROK	\N	\N
3441903	1327	1994-12-31	PRIJEM	\N	116	27280	UROK	\N	\N
3441904	1327	1995-01-31	PRIJEM	\N	90	14206	UROK	\N	\N
3441905	1327	1995-02-28	PRIJEM	\N	93	28041	UROK	\N	\N
3441906	1327	1995-03-31	PRIJEM	\N	111	23938	UROK	\N	\N
3441907	1327	1995-04-30	PRIJEM	\N	96	23619	UROK	\N	\N
3441908	1327	1995-05-31	PRIJEM	\N	97	23301	UROK	\N	\N
3441909	1327	1995-06-30	PRIJEM	\N	97	23183	UROK	\N	\N
3441910	1327	1995-07-31	PRIJEM	\N	93	21162	UROK	\N	\N
3441911	1327	1995-08-31	PRIJEM	\N	88	21235	UROK	\N	\N
3441912	1327	1995-09-30	PRIJEM	\N	86	19806	UROK	\N	\N
3441913	1327	1995-10-31	PRIJEM	\N	125	35170	UROK	\N	\N
3441914	1327	1995-11-30	PRIJEM	\N	140	31895	UROK	\N	\N
3441915	1327	1995-12-31	PRIJEM	\N	126	28907	UROK	\N	\N
3441916	1327	1996-01-31	PRIJEM	\N	117	61435	UROK	\N	\N
3441917	1327	1996-02-29	PRIJEM	\N	216	40337	UROK	\N	\N
3441918	1327	1996-03-31	PRIJEM	\N	140	27412	UROK	\N	\N
3441919	1327	1996-04-30	PRIJEM	\N	104	21902	UROK	\N	\N
3441920	1327	1996-05-31	PRIJEM	\N	89	21076	UROK	\N	\N
3441921	1327	1996-06-30	PRIJEM	\N	87	21199	UROK	\N	\N
3441922	1327	1996-07-31	PRIJEM	\N	91	22225	UROK	\N	\N
3441923	1327	1996-08-31	PRIJEM	\N	94	23404	UROK	\N	\N
3441924	1327	1996-09-30	PRIJEM	\N	101	24990	UROK	\N	\N
3441925	1327	1996-10-31	PRIJEM	\N	106	26281	UROK	\N	\N
3441926	1327	1996-11-30	PRIJEM	\N	187	77199	UROK	\N	\N
3441927	1327	1996-12-31	PRIJEM	\N	243	49827	UROK	\N	\N
3441928	1327	1997-01-31	PRIJEM	\N	247	50026	UROK	\N	\N
3441929	1327	1997-02-28	PRIJEM	\N	185	39397	UROK	\N	\N
3441930	1327	1997-03-31	PRIJEM	\N	149	33131	UROK	\N	\N
3441931	1327	1997-04-30	PRIJEM	\N	123	27740	UROK	\N	\N
3441932	1327	1997-05-31	PRIJEM	\N	117	28342	UROK	\N	\N
3441933	1327	1997-06-30	PRIJEM	\N	108	23435	UROK	\N	\N
3441934	1327	1997-07-31	PRIJEM	\N	101	25572	UROK	\N	\N
3441935	1327	1997-08-31	PRIJEM	\N	107	26164	UROK	\N	\N
3441936	1327	1997-09-30	PRIJEM	\N	116	29966	UROK	\N	\N
3441937	1327	1997-10-31	PRIJEM	\N	131	38336	UROK	\N	\N
3441938	1327	1997-11-30	PRIJEM	\N	148	34070	UROK	\N	\N
3441939	1327	1997-12-31	PRIJEM	\N	130	28936	UROK	\N	\N
3441940	1327	1998-01-31	PRIJEM	\N	91	15512	UROK	\N	\N
3441941	1327	1998-02-28	PRIJEM	\N	74	21471	UROK	\N	\N
3441942	1327	1998-03-31	PRIJEM	\N	89	22146	UROK	\N	\N
3441943	1327	1998-04-30	PRIJEM	\N	94	23825	UROK	\N	\N
3441944	1327	1998-05-31	PRIJEM	\N	97	23808	UROK	\N	\N
3441945	1327	1998-06-30	PRIJEM	\N	87	19280	UROK	\N	\N
3441946	1327	1998-07-31	PRIJEM	\N	76	18491	UROK	\N	\N
3441947	1327	1998-08-31	PRIJEM	\N	80	20444	UROK	\N	\N
3441948	1327	1998-09-30	PRIJEM	\N	107	30521	UROK	\N	\N
3441949	1327	1998-10-31	PRIJEM	\N	95	18301	UROK	\N	\N
3441950	1327	1998-11-30	PRIJEM	\N	74	19761	UROK	\N	\N
3441951	1327	1998-12-31	PRIJEM	\N	79	19325	UROK	\N	\N
3441952	1334	1993-06-30	PRIJEM	\N	37	14977	UROK	\N	\N
3441953	1334	1993-07-31	PRIJEM	\N	77	20882	UROK	\N	\N
3441954	1334	1993-08-31	PRIJEM	\N	104	27212	UROK	\N	\N
3441955	1334	1993-09-30	PRIJEM	\N	121	30060	UROK	\N	\N
3441956	1334	1993-10-31	PRIJEM	\N	117	24784	UROK	\N	\N
3441957	1334	1993-11-30	PRIJEM	\N	109	27006	UROK	\N	\N
3441958	1334	1993-12-31	PRIJEM	\N	109	24560	UROK	\N	\N
3441959	1334	1994-01-31	PRIJEM	\N	85	17898	UROK	\N	\N
3441960	1334	1994-02-28	PRIJEM	\N	91	23402	UROK	\N	\N
3441961	1334	1994-03-31	PRIJEM	\N	108	27222	UROK	\N	\N
3441962	1334	1994-04-30	PRIJEM	\N	120	29555	UROK	\N	\N
3441963	1334	1994-05-31	PRIJEM	\N	119	28186	UROK	\N	\N
3441964	1334	1994-06-30	PRIJEM	\N	135	26946	UROK	\N	\N
3441965	1334	1994-07-31	PRIJEM	\N	113	22212	UROK	\N	\N
3441966	1334	1994-08-31	PRIJEM	\N	117	29841	UROK	\N	\N
3441967	1334	1994-09-30	PRIJEM	\N	137	34090	UROK	\N	\N
3441968	1334	1994-10-31	PRIJEM	\N	143	34865	UROK	\N	\N
3441969	1334	1994-11-30	PRIJEM	\N	138	31936	UROK	\N	\N
3441970	1334	1994-12-31	PRIJEM	\N	136	32457	UROK	\N	\N
3441971	1334	1995-01-31	PRIJEM	\N	97	19307	UROK	\N	\N
3441972	1334	1995-02-28	PRIJEM	\N	94	23773	UROK	\N	\N
3441973	1334	1995-03-31	PRIJEM	\N	101	23386	UROK	\N	\N
3441974	1334	1995-04-30	PRIJEM	\N	112	28010	UROK	\N	\N
3441975	1334	1995-05-31	PRIJEM	\N	127	31349	UROK	\N	\N
3441976	1334	1995-06-30	PRIJEM	\N	105	16740	UROK	\N	\N
3441977	1334	1995-07-31	PRIJEM	\N	81	19033	UROK	\N	\N
3441978	1334	1995-08-31	PRIJEM	\N	98	25244	UROK	\N	\N
3441979	1334	1995-09-30	PRIJEM	\N	119	29875	UROK	\N	\N
3441980	1334	1995-10-31	PRIJEM	\N	127	31214	UROK	\N	\N
3441981	1334	1995-11-30	PRIJEM	\N	104	26331	UROK	\N	\N
3441982	1334	1995-12-31	PRIJEM	\N	115	27472	UROK	\N	\N
3441983	1334	1996-01-31	PRIJEM	\N	100	19285	UROK	\N	\N
3441984	1334	1996-02-29	PRIJEM	\N	81	23578	UROK	\N	\N
3441985	1334	1996-03-31	PRIJEM	\N	97	22687	UROK	\N	\N
3441986	1334	1996-04-30	PRIJEM	\N	104	22603	UROK	\N	\N
3441987	1334	1996-05-31	PRIJEM	\N	94	24310	UROK	\N	\N
3441988	1334	1996-06-30	PRIJEM	\N	81	17396	UROK	\N	\N
3441989	1334	1996-07-31	PRIJEM	\N	78	20666	UROK	\N	\N
3441990	1334	1996-08-31	PRIJEM	\N	88	24867	UROK	\N	\N
3441991	1334	1996-09-30	PRIJEM	\N	104	26483	UROK	\N	\N
3441992	1334	1996-10-31	PRIJEM	\N	109	26404	UROK	\N	\N
3441993	1334	1996-11-30	PRIJEM	\N	110	27826	UROK	\N	\N
3441994	1334	1996-12-31	PRIJEM	\N	132	30444	UROK	\N	\N
3441995	1334	1997-01-31	PRIJEM	\N	116	23632	UROK	\N	\N
3441996	1334	1997-02-28	PRIJEM	\N	98	20482	UROK	\N	\N
3441997	1334	1997-03-31	PRIJEM	\N	87	23281	UROK	\N	\N
3441998	1334	1997-04-30	PRIJEM	\N	100	27393	UROK	\N	\N
3441999	1334	1997-05-31	PRIJEM	\N	118	32524	UROK	\N	\N
3442000	1334	1997-06-30	PRIJEM	\N	138	36087	UROK	\N	\N
3442001	1334	1997-07-31	PRIJEM	\N	149	36548	UROK	\N	\N
3442002	1334	1997-08-31	PRIJEM	\N	150	36711	UROK	\N	\N
3442003	1334	1997-09-30	PRIJEM	\N	148	34971	UROK	\N	\N
3442004	1334	1997-10-31	PRIJEM	\N	149	34312	UROK	\N	\N
3442005	1334	1997-11-30	PRIJEM	\N	136	31761	UROK	\N	\N
3442006	1334	1997-12-31	PRIJEM	\N	129	26696	UROK	\N	\N
3442007	1334	1998-01-31	PRIJEM	\N	102	20190	UROK	\N	\N
3442008	1334	1998-02-28	PRIJEM	\N	92	26094	UROK	\N	\N
3442009	1334	1998-03-31	PRIJEM	\N	109	27856	UROK	\N	\N
3442010	1334	1998-04-30	PRIJEM	\N	120	31487	UROK	\N	\N
3442011	1334	1998-05-31	PRIJEM	\N	120	26280	UROK	\N	\N
3442012	1334	1998-06-30	PRIJEM	\N	105	25810	UROK	\N	\N
3442013	1334	1998-07-31	PRIJEM	\N	103	25426	UROK	\N	\N
3442014	1334	1998-08-31	PRIJEM	\N	104	26262	UROK	\N	\N
3442015	1334	1998-09-30	PRIJEM	\N	106	22781	UROK	\N	\N
3442016	1334	1998-10-31	PRIJEM	\N	93	22867	UROK	\N	\N
3442017	1334	1998-11-30	PRIJEM	\N	86	20365	UROK	\N	\N
3442018	1334	1998-12-31	PRIJEM	\N	79	19569	UROK	\N	\N
3442019	1339	1997-10-31	PRIJEM	\N	99	49113	UROK	\N	\N
3442020	1339	1997-11-30	PRIJEM	\N	204	30917	UROK	\N	\N
3442021	1339	1997-12-31	PRIJEM	\N	204	20721	UROK	\N	\N
3442022	1339	1998-01-31	PRIJEM	\N	200	44098	UROK	\N	\N
3442023	1339	1998-02-28	PRIJEM	\N	185	45839	UROK	\N	\N
3442024	1339	1998-03-31	PRIJEM	\N	189	43678	UROK	\N	\N
3442025	1339	1998-04-30	PRIJEM	\N	181	25259	UROK	\N	\N
3442026	1339	1998-05-31	PRIJEM	\N	206	52480	UROK	\N	\N
3442027	1339	1998-06-30	PRIJEM	\N	251	82166	UROK	\N	\N
3442028	1339	1998-07-31	PRIJEM	\N	335	47386	UROK	\N	\N
3442029	1339	1998-08-31	PRIJEM	\N	106	14477	UROK	\N	\N
3442030	1339	1998-09-30	PRIJEM	\N	187	48989	UROK	\N	\N
3442031	1339	1998-10-31	PRIJEM	\N	201	27775	UROK	\N	\N
3442032	1339	1998-11-30	PRIJEM	\N	211	34385	UROK	\N	\N
3442033	1339	1998-12-31	PRIJEM	\N	168	34146	UROK	\N	\N
3442034	1344	1995-09-30	PRIJEM	\N	70	29681	UROK	\N	\N
3442035	1344	1995-10-31	PRIJEM	\N	123	26304	UROK	\N	\N
3442036	1344	1995-11-30	PRIJEM	\N	202	62813	UROK	\N	\N
3442037	1344	1995-12-31	PRIJEM	\N	288	58255	UROK	\N	\N
3442038	1344	1996-01-31	PRIJEM	\N	253	77212	UROK	\N	\N
3442039	1344	1996-02-29	PRIJEM	\N	269	52009	UROK	\N	\N
3442040	1344	1996-03-31	PRIJEM	\N	174	38823	UROK	\N	\N
3442041	1344	1996-04-30	PRIJEM	\N	114	19354	UROK	\N	\N
3442042	1344	1996-05-31	PRIJEM	\N	92	47538	UROK	\N	\N
3442043	1344	1996-06-30	PRIJEM	\N	201	49269	UROK	\N	\N
3442044	1344	1996-07-31	PRIJEM	\N	216	52046	UROK	\N	\N
3442045	1344	1996-08-31	PRIJEM	\N	214	32760	UROK	\N	\N
3442046	1344	1996-09-30	PRIJEM	\N	172	45855	UROK	\N	\N
3442047	1344	1996-10-31	PRIJEM	\N	185	33366	UROK	\N	\N
3442048	1344	1996-11-30	PRIJEM	\N	158	94975	UROK	\N	\N
3442049	1344	1996-12-31	PRIJEM	\N	403	62610	UROK	\N	\N
3442050	1344	1997-01-31	PRIJEM	\N	162	56731	UROK	\N	\N
3442051	1344	1997-02-28	PRIJEM	\N	199	86442	UROK	\N	\N
3442052	1344	1997-03-31	PRIJEM	\N	332	111799	UROK	\N	\N
3442053	1344	1997-04-30	PRIJEM	\N	364	48074	UROK	\N	\N
3442054	1344	1997-05-31	PRIJEM	\N	197	27571	UROK	\N	\N
3442055	1344	1997-06-30	PRIJEM	\N	154	72095	UROK	\N	\N
3442056	1344	1997-07-31	PRIJEM	\N	294	74057	UROK	\N	\N
3442057	1344	1997-08-31	PRIJEM	\N	175	79261	UROK	\N	\N
3442058	1344	1997-09-30	PRIJEM	\N	190	29152	UROK	\N	\N
3442059	1344	1997-10-31	PRIJEM	\N	303	101335	UROK	\N	\N
3442060	1344	1997-11-30	PRIJEM	\N	356	65244	UROK	\N	\N
3442061	1344	1997-12-31	PRIJEM	\N	361	80026	UROK	\N	\N
3442062	1344	1998-01-31	PRIJEM	\N	147	24473	UROK	\N	\N
3442063	1344	1998-02-28	PRIJEM	\N	106	59189	UROK	\N	\N
3442064	1344	1998-03-31	PRIJEM	\N	224	40032	UROK	\N	\N
3442065	1344	1998-04-30	PRIJEM	\N	163	21094	UROK	\N	\N
3442066	1344	1998-05-31	PRIJEM	\N	85	32568	UROK	\N	\N
3442067	1344	1998-06-30	PRIJEM	\N	65	56393	UROK	\N	\N
3442068	1344	1998-07-31	PRIJEM	\N	99	20206	UROK	\N	\N
3442069	1344	1998-09-30	PRIJEM	\N	85	20091	UROK	\N	\N
3442070	1344	1998-09-30	PRIJEM	\N	82	20173	UROK	\N	\N
3442071	1344	1998-10-31	PRIJEM	\N	86	27399	UROK	\N	\N
3442072	1344	1998-11-30	PRIJEM	\N	112	27411	UROK	\N	\N
3442073	1356	1997-02-28	PRIJEM	\N	11	5128	UROK	\N	\N
3442074	1356	1997-03-31	PRIJEM	\N	60	21206	UROK	\N	\N
3442075	1356	1997-04-30	PRIJEM	\N	103	27525	UROK	\N	\N
3442076	1356	1997-05-31	PRIJEM	\N	114	27457	UROK	\N	\N
3442077	1356	1997-06-30	PRIJEM	\N	116	22349	UROK	\N	\N
3442078	1356	1997-07-31	PRIJEM	\N	108	28760	UROK	\N	\N
3442079	1356	1997-08-31	PRIJEM	\N	118	23480	UROK	\N	\N
3442080	1356	1997-09-30	PRIJEM	\N	105	24787	UROK	\N	\N
3442081	1356	1997-10-31	PRIJEM	\N	105	29895	UROK	\N	\N
3442082	1356	1997-11-30	PRIJEM	\N	125	30722	UROK	\N	\N
3442083	1356	1997-12-31	PRIJEM	\N	135	29119	UROK	\N	\N
3442084	1356	1998-01-31	PRIJEM	\N	91	18612	UROK	\N	\N
3442085	1356	1998-02-28	PRIJEM	\N	79	21893	UROK	\N	\N
3442086	1356	1998-03-31	PRIJEM	\N	89	18485	UROK	\N	\N
3442087	1356	1998-04-30	PRIJEM	\N	80	20467	UROK	\N	\N
3442088	1356	1998-05-31	PRIJEM	\N	89	26559	UROK	\N	\N
3442089	1356	1998-06-30	PRIJEM	\N	82	10902	UROK	\N	\N
3442090	1356	1998-07-31	PRIJEM	\N	47	12951	UROK	\N	\N
3442091	1356	1998-08-31	PRIJEM	\N	56	16009	UROK	\N	\N
3442092	1356	1998-09-30	PRIJEM	\N	68	17880	UROK	\N	\N
3442093	1356	1998-10-31	PRIJEM	\N	72	15454	UROK	\N	\N
3442094	1356	1998-11-30	PRIJEM	\N	58	10014	UROK	\N	\N
3442095	1356	1998-12-31	PRIJEM	\N	47	14322	UROK	\N	\N
3442096	1359	1994-01-31	PRIJEM	\N	3	14803	UROK	\N	\N
3442097	1359	1994-03-31	PRIJEM	\N	89	22292	UROK	\N	\N
3442098	1359	1994-04-30	PRIJEM	\N	89	25781	UROK	\N	\N
3442099	1359	1994-05-31	PRIJEM	\N	90	23771	UROK	\N	\N
3442100	1359	1994-06-30	PRIJEM	\N	99	23769	UROK	\N	\N
3442101	1359	1994-07-31	PRIJEM	\N	99	22368	UROK	\N	\N
3442102	1359	1994-08-31	PRIJEM	\N	99	25467	UROK	\N	\N
3442103	1359	1994-09-30	PRIJEM	\N	99	26865	UROK	\N	\N
3442104	1359	1994-10-31	PRIJEM	\N	99	26064	UROK	\N	\N
3442105	1359	1994-11-30	PRIJEM	\N	99	23862	UROK	\N	\N
3442106	1359	1994-12-31	PRIJEM	\N	99	26061	UROK	\N	\N
3442107	1359	1995-01-31	PRIJEM	\N	99	24060	UROK	\N	\N
3442108	1359	1995-02-28	PRIJEM	\N	99	22858	UROK	\N	\N
3442109	1359	1995-03-31	PRIJEM	\N	99	24257	UROK	\N	\N
3442110	1359	1995-04-30	PRIJEM	\N	99	21956	UROK	\N	\N
3442111	1359	1995-05-31	PRIJEM	\N	99	21854	UROK	\N	\N
3442112	1359	1995-06-30	PRIJEM	\N	99	21253	UROK	\N	\N
3442113	1359	1995-07-31	PRIJEM	\N	99	21851	UROK	\N	\N
3442114	1359	1995-08-31	PRIJEM	\N	99	22450	UROK	\N	\N
3442115	1359	1995-09-30	PRIJEM	\N	99	21749	UROK	\N	\N
3442116	1359	1995-10-31	PRIJEM	\N	99	24747	UROK	\N	\N
3442117	1359	1995-11-30	PRIJEM	\N	99	24346	UROK	\N	\N
3442118	1359	1995-12-31	PRIJEM	\N	99	25145	UROK	\N	\N
3442119	1359	1996-01-31	PRIJEM	\N	99	25043	UROK	\N	\N
3442120	1359	1996-02-29	PRIJEM	\N	99	27342	UROK	\N	\N
3442121	1359	1996-03-31	PRIJEM	\N	99	30140	UROK	\N	\N
3442122	1359	1996-04-30	PRIJEM	\N	99	28439	UROK	\N	\N
3442123	1359	1996-05-31	PRIJEM	\N	99	27738	UROK	\N	\N
3442124	1359	1996-06-30	PRIJEM	\N	99	25136	UROK	\N	\N
3442125	1359	1996-07-31	PRIJEM	\N	99	24835	UROK	\N	\N
3442126	1359	1996-08-31	PRIJEM	\N	99	27833	UROK	\N	\N
3442127	1359	1996-09-30	PRIJEM	\N	99	28332	UROK	\N	\N
3442128	1359	1996-10-31	PRIJEM	\N	99	30431	UROK	\N	\N
3442129	1359	1996-11-30	PRIJEM	\N	99	31729	UROK	\N	\N
3442130	1359	1996-12-31	PRIJEM	\N	99	33528	UROK	\N	\N
3442131	1359	1997-01-31	PRIJEM	\N	99	36227	UROK	\N	\N
3442132	1359	1997-02-28	PRIJEM	\N	99	36425	UROK	\N	\N
3442133	1359	1997-03-31	PRIJEM	\N	99	37624	UROK	\N	\N
3442134	1359	1997-04-30	PRIJEM	\N	99	39522	UROK	\N	\N
3442135	1359	1997-05-31	PRIJEM	\N	99	38321	UROK	\N	\N
3442136	1359	1997-06-30	PRIJEM	\N	99	37820	UROK	\N	\N
3442137	1359	1997-07-31	PRIJEM	\N	99	36118	UROK	\N	\N
3442138	1359	1997-08-31	PRIJEM	\N	99	35117	UROK	\N	\N
3442139	1359	1997-09-30	PRIJEM	\N	99	34216	UROK	\N	\N
3442140	1359	1997-10-31	PRIJEM	\N	99	38914	UROK	\N	\N
3442141	1359	1997-11-30	PRIJEM	\N	99	42413	UROK	\N	\N
3442142	1359	1997-12-31	PRIJEM	\N	99	39911	UROK	\N	\N
3442143	1359	1998-01-31	PRIJEM	\N	99	42210	UROK	\N	\N
3442144	1359	1998-02-28	PRIJEM	\N	99	44409	UROK	\N	\N
3442145	1359	1998-03-31	PRIJEM	\N	99	48807	UROK	\N	\N
3442146	1359	1998-04-30	PRIJEM	\N	99	48806	UROK	\N	\N
3442147	1359	1998-05-31	PRIJEM	\N	99	51005	UROK	\N	\N
3442148	1359	1998-06-30	PRIJEM	\N	99	51203	UROK	\N	\N
3442149	1359	1998-07-31	PRIJEM	\N	99	57302	UROK	\N	\N
3442150	1359	1998-08-31	PRIJEM	\N	99	61600	UROK	\N	\N
3442151	1359	1998-09-30	PRIJEM	\N	99	63599	UROK	\N	\N
3442152	1359	1998-10-31	PRIJEM	\N	99	66898	UROK	\N	\N
3442153	1359	1998-11-30	PRIJEM	\N	99	66096	UROK	\N	\N
3442154	1360	1994-08-31	PRIJEM	\N	4	1904	UROK	\N	\N
3442155	1360	1994-09-30	PRIJEM	\N	33	15038	UROK	\N	\N
3442156	1360	1994-10-31	PRIJEM	\N	80	23218	UROK	\N	\N
3442157	1360	1994-11-30	PRIJEM	\N	97	23314	UROK	\N	\N
3442158	1360	1994-12-31	PRIJEM	\N	95	21609	UROK	\N	\N
3442159	1360	1995-01-31	PRIJEM	\N	71	16166	UROK	\N	\N
3442160	1360	1995-02-28	PRIJEM	\N	81	24132	UROK	\N	\N
3442161	1360	1995-03-31	PRIJEM	\N	108	27125	UROK	\N	\N
3442162	1360	1995-04-30	PRIJEM	\N	125	30835	UROK	\N	\N
3442163	1360	1995-05-31	PRIJEM	\N	178	74007	UROK	\N	\N
3442164	1360	1995-06-30	PRIJEM	\N	305	77868	UROK	\N	\N
3442165	1360	1995-07-31	PRIJEM	\N	273	55727	UROK	\N	\N
3442166	1360	1995-08-31	PRIJEM	\N	206	42418	UROK	\N	\N
3442167	1360	1995-09-30	PRIJEM	\N	167	37370	UROK	\N	\N
3442168	1360	1995-10-31	PRIJEM	\N	150	35406	UROK	\N	\N
3442169	1360	1995-11-30	PRIJEM	\N	145	34336	UROK	\N	\N
3442170	1360	1995-12-31	PRIJEM	\N	139	33060	UROK	\N	\N
3442171	1360	1996-01-31	PRIJEM	\N	116	23861	UROK	\N	\N
3442172	1360	1996-02-29	PRIJEM	\N	114	30460	UROK	\N	\N
3442173	1360	1996-03-31	PRIJEM	\N	136	33982	UROK	\N	\N
3442174	1360	1996-04-30	PRIJEM	\N	145	35212	UROK	\N	\N
3442175	1360	1996-05-31	PRIJEM	\N	153	37851	UROK	\N	\N
3442176	1360	1996-06-30	PRIJEM	\N	123	28859	UROK	\N	\N
3442177	1360	1996-07-31	PRIJEM	\N	130	33274	UROK	\N	\N
3442178	1360	1996-08-31	PRIJEM	\N	140	32200	UROK	\N	\N
3442179	1360	1996-09-30	PRIJEM	\N	142	35227	UROK	\N	\N
3442180	1360	1996-10-31	PRIJEM	\N	275	80255	UROK	\N	\N
3442181	1360	1996-11-30	PRIJEM	\N	287	59128	UROK	\N	\N
3442182	1360	1996-12-31	PRIJEM	\N	182	38995	UROK	\N	\N
3442183	1360	1997-01-31	PRIJEM	\N	144	31024	UROK	\N	\N
3442184	1360	1997-02-28	PRIJEM	\N	131	32340	UROK	\N	\N
3442185	1360	1997-03-31	PRIJEM	\N	143	35969	UROK	\N	\N
3442186	1360	1997-04-30	PRIJEM	\N	146	36201	UROK	\N	\N
3442187	1360	1997-05-31	PRIJEM	\N	144	34929	UROK	\N	\N
3442188	1360	1997-06-30	PRIJEM	\N	89	26404	UROK	\N	\N
3442189	1360	1997-07-31	PRIJEM	\N	151	43899	UROK	\N	\N
3442190	1360	1997-08-31	PRIJEM	\N	181	42265	UROK	\N	\N
3442191	1360	1997-09-30	PRIJEM	\N	177	44328	UROK	\N	\N
3442192	1360	1997-10-31	PRIJEM	\N	186	47299	UROK	\N	\N
3442193	1360	1997-11-30	PRIJEM	\N	205	58524	UROK	\N	\N
3442194	1360	1997-12-31	PRIJEM	\N	248	61457	UROK	\N	\N
3442195	1360	1998-01-31	PRIJEM	\N	227	53370	UROK	\N	\N
3442196	1360	1998-02-28	PRIJEM	\N	224	54680	UROK	\N	\N
3442197	1360	1998-03-31	PRIJEM	\N	229	55494	UROK	\N	\N
3442198	1360	1998-04-30	PRIJEM	\N	308	78534	UROK	\N	\N
3442199	1360	1998-05-31	PRIJEM	\N	315	65134	UROK	\N	\N
3442200	1360	1998-06-30	PRIJEM	\N	214	49033	UROK	\N	\N
3442201	1360	1998-07-31	PRIJEM	\N	210	54029	UROK	\N	\N
3442202	1360	1998-08-31	PRIJEM	\N	229	56843	UROK	\N	\N
3442203	1360	1998-09-30	PRIJEM	\N	238	57367	UROK	\N	\N
3442204	1360	1998-10-31	PRIJEM	\N	278	71691	UROK	\N	\N
3442205	1360	1998-11-30	PRIJEM	\N	291	65767	UROK	\N	\N
3442206	1360	1998-12-31	PRIJEM	\N	270	62722	UROK	\N	\N
3442207	1362	1997-01-31	PRIJEM	\N	57	30506	UROK	\N	\N
3442208	1362	1997-02-28	PRIJEM	\N	151	44350	UROK	\N	\N
3442209	1362	1997-03-31	PRIJEM	\N	181	42448	UROK	\N	\N
3442210	1362	1997-04-30	PRIJEM	\N	176	34124	UROK	\N	\N
3442211	1362	1997-05-31	PRIJEM	\N	176	28000	UROK	\N	\N
3442212	1362	1997-06-30	PRIJEM	\N	176	25476	UROK	\N	\N
3442213	1362	1997-07-31	PRIJEM	\N	176	24152	UROK	\N	\N
3442214	1362	1997-08-31	PRIJEM	\N	176	19728	UROK	\N	\N
3442215	1362	1997-09-30	PRIJEM	\N	176	18604	UROK	\N	\N
3442216	1362	1997-10-31	PRIJEM	\N	176	20180	UROK	\N	\N
3442217	1362	1997-11-30	PRIJEM	\N	176	20256	UROK	\N	\N
3442218	1362	1997-12-31	PRIJEM	\N	176	17733	UROK	\N	\N
3442219	1362	1998-01-31	PRIJEM	\N	173	60199	UROK	\N	\N
3442220	1362	1998-02-28	PRIJEM	\N	226	58375	UROK	\N	\N
3442221	1362	1998-03-31	PRIJEM	\N	231	28892	UROK	\N	\N
3442222	1362	1998-04-30	PRIJEM	\N	120	25897	UROK	\N	\N
3442223	1362	1998-05-31	PRIJEM	\N	108	27290	UROK	\N	\N
3442224	1362	1998-06-30	PRIJEM	\N	110	21286	UROK	\N	\N
3442225	1362	1998-07-31	PRIJEM	\N	159	55298	UROK	\N	\N
3442226	1362	1998-08-31	PRIJEM	\N	285	110286	UROK	\N	\N
3442227	1362	1998-09-30	PRIJEM	\N	235	36706	UROK	\N	\N
3442228	1362	1998-10-31	PRIJEM	\N	192	82651	UROK	\N	\N
3442229	1362	1998-11-30	PRIJEM	\N	340	54176	UROK	\N	\N
3442230	1362	1998-12-31	PRIJEM	\N	199	61044	UROK	\N	\N
3442231	1372	1993-04-30	PRIJEM	\N	31	14831	UROK	\N	\N
3442232	1372	1993-05-31	PRIJEM	\N	111	36356	UROK	\N	\N
3442233	1372	1993-06-30	PRIJEM	\N	141	31597	UROK	\N	\N
3442234	1372	1993-07-31	PRIJEM	\N	130	31127	UROK	\N	\N
3442235	1372	1993-08-31	PRIJEM	\N	151	49424	UROK	\N	\N
3442236	1372	1993-09-30	PRIJEM	\N	186	40895	UROK	\N	\N
3442237	1372	1993-10-31	PRIJEM	\N	158	35039	UROK	\N	\N
3442238	1372	1993-11-30	PRIJEM	\N	135	30659	UROK	\N	\N
3442239	1372	1993-12-31	PRIJEM	\N	121	26866	UROK	\N	\N
3442240	1372	1994-01-31	PRIJEM	\N	107	20208	UROK	\N	\N
3442241	1372	1994-02-28	PRIJEM	\N	95	25489	UROK	\N	\N
3442242	1372	1994-03-31	PRIJEM	\N	161	45281	UROK	\N	\N
3442243	1372	1994-04-30	PRIJEM	\N	163	34429	UROK	\N	\N
3442244	1372	1994-05-31	PRIJEM	\N	135	30849	UROK	\N	\N
3442245	1372	1994-06-30	PRIJEM	\N	120	24754	UROK	\N	\N
3442246	1372	1994-07-31	PRIJEM	\N	113	29752	UROK	\N	\N
3442247	1372	1994-08-31	PRIJEM	\N	123	29861	UROK	\N	\N
3442248	1372	1994-09-30	PRIJEM	\N	127	31272	UROK	\N	\N
3442249	1372	1994-10-31	PRIJEM	\N	210	77162	UROK	\N	\N
3442250	1372	1994-11-30	PRIJEM	\N	261	53259	UROK	\N	\N
3442251	1372	1994-12-31	PRIJEM	\N	190	38684	UROK	\N	\N
3442252	1372	1995-01-31	PRIJEM	\N	127	26647	UROK	\N	\N
3442253	1372	1995-02-28	PRIJEM	\N	118	30050	UROK	\N	\N
3442254	1372	1995-03-31	PRIJEM	\N	121	28156	UROK	\N	\N
3442255	1372	1995-04-30	PRIJEM	\N	125	32166	UROK	\N	\N
3442256	1372	1995-05-31	PRIJEM	\N	175	58404	UROK	\N	\N
3442257	1372	1995-06-30	PRIJEM	\N	187	23576	UROK	\N	\N
3442258	1372	1995-07-31	PRIJEM	\N	103	26064	UROK	\N	\N
3442259	1372	1995-08-31	PRIJEM	\N	123	52155	UROK	\N	\N
3442260	1372	1995-09-30	PRIJEM	\N	185	43825	UROK	\N	\N
3442261	1372	1995-10-31	PRIJEM	\N	178	42388	UROK	\N	\N
3442262	1372	1995-11-30	PRIJEM	\N	169	38892	UROK	\N	\N
3442263	1372	1995-12-31	PRIJEM	\N	159	38637	UROK	\N	\N
3442264	1372	1996-01-31	PRIJEM	\N	151	40456	UROK	\N	\N
3442265	1372	1996-02-29	PRIJEM	\N	168	41159	UROK	\N	\N
3442266	1372	1996-03-31	PRIJEM	\N	167	37511	UROK	\N	\N
3442267	1372	1996-04-30	PRIJEM	\N	159	37356	UROK	\N	\N
3442268	1372	1996-05-31	PRIJEM	\N	158	36699	UROK	\N	\N
3442269	1372	1996-06-30	PRIJEM	\N	126	31911	UROK	\N	\N
3442270	1372	1996-07-31	PRIJEM	\N	139	39635	UROK	\N	\N
3442271	1372	1996-08-31	PRIJEM	\N	167	42038	UROK	\N	\N
3442272	1372	1996-09-30	PRIJEM	\N	179	46652	UROK	\N	\N
3442273	1372	1996-10-31	PRIJEM	\N	196	47783	UROK	\N	\N
3442274	1372	1996-11-30	PRIJEM	\N	258	64190	UROK	\N	\N
3442275	1372	1996-12-31	PRIJEM	\N	253	51179	UROK	\N	\N
3442276	1372	1997-01-31	PRIJEM	\N	281	56350	UROK	\N	\N
3442277	1372	1997-02-28	PRIJEM	\N	227	50163	UROK	\N	\N
3442278	1372	1997-03-31	PRIJEM	\N	201	44049	UROK	\N	\N
3442279	1372	1997-04-30	PRIJEM	\N	178	41512	UROK	\N	\N
3442280	1372	1997-05-31	PRIJEM	\N	170	41018	UROK	\N	\N
3442281	1372	1997-06-30	PRIJEM	\N	154	20957	UROK	\N	\N
3442282	1372	1997-07-31	PRIJEM	\N	94	28836	UROK	\N	\N
3442283	1372	1997-08-31	PRIJEM	\N	121	32192	UROK	\N	\N
3442284	1372	1997-09-30	PRIJEM	\N	131	32108	UROK	\N	\N
3442285	1372	1997-10-31	PRIJEM	\N	133	33477	UROK	\N	\N
3442286	1372	1997-11-30	PRIJEM	\N	177	63116	UROK	\N	\N
3442287	1372	1997-12-31	PRIJEM	\N	236	48788	UROK	\N	\N
3442288	1372	1998-01-31	PRIJEM	\N	177	34699	UROK	\N	\N
3442289	1372	1998-02-28	PRIJEM	\N	139	32374	UROK	\N	\N
3442290	1372	1998-03-31	PRIJEM	\N	125	28284	UROK	\N	\N
3442291	1372	1998-04-30	PRIJEM	\N	113	27482	UROK	\N	\N
3442292	1372	1998-05-31	PRIJEM	\N	144	66568	UROK	\N	\N
3442293	1372	1998-06-30	PRIJEM	\N	328	48140	UROK	\N	\N
3442294	1372	1998-07-31	PRIJEM	\N	198	30023	UROK	\N	\N
3442295	1372	1998-08-31	PRIJEM	\N	105	22663	UROK	\N	\N
3442296	1372	1998-09-30	PRIJEM	\N	94	25543	UROK	\N	\N
3442297	1372	1998-10-31	PRIJEM	\N	106	28435	UROK	\N	\N
3442298	1372	1998-11-30	PRIJEM	\N	99	22619	UROK	\N	\N
3442299	1372	1998-12-31	PRIJEM	\N	91	22946	UROK	\N	\N
3442300	1387	1997-01-31	PRIJEM	\N	2	1102	UROK	\N	\N
3442301	1387	1997-03-31	PRIJEM	\N	68	19871	UROK	\N	\N
3442302	1387	1997-04-30	PRIJEM	\N	68	22239	UROK	\N	\N
3442303	1387	1997-05-31	PRIJEM	\N	70	29809	UROK	\N	\N
3442304	1387	1997-06-30	PRIJEM	\N	124	31333	UROK	\N	\N
3442305	1387	1997-07-31	PRIJEM	\N	124	27657	UROK	\N	\N
3442306	1387	1997-08-31	PRIJEM	\N	124	27581	UROK	\N	\N
3442307	1387	1997-10-31	PRIJEM	\N	124	27805	UROK	\N	\N
3442308	1387	1997-11-30	PRIJEM	\N	124	28929	UROK	\N	\N
3442309	1387	1997-12-31	PRIJEM	\N	124	31653	UROK	\N	\N
3442310	1387	1998-01-31	PRIJEM	\N	124	29676	UROK	\N	\N
3442311	1387	1998-02-28	PRIJEM	\N	124	35600	UROK	\N	\N
3442312	1387	1998-03-31	PRIJEM	\N	124	39324	UROK	\N	\N
3442313	1387	1998-04-30	PRIJEM	\N	124	41748	UROK	\N	\N
3442314	1387	1998-05-31	PRIJEM	\N	124	42272	UROK	\N	\N
3442315	1387	1998-06-30	PRIJEM	\N	124	43396	UROK	\N	\N
3442316	1387	1998-08-31	PRIJEM	\N	124	43820	UROK	\N	\N
3442317	1387	1998-09-30	PRIJEM	\N	124	43544	UROK	\N	\N
3442318	1387	1998-10-31	PRIJEM	\N	124	43968	UROK	\N	\N
3442319	1387	1998-11-30	PRIJEM	\N	124	47192	UROK	\N	\N
3442320	1388	1994-05-31	PRIJEM	\N	65	21985	UROK	\N	\N
3442321	1388	1994-06-30	PRIJEM	\N	188	55102	UROK	\N	\N
3442322	1388	1994-07-31	PRIJEM	\N	243	60866	UROK	\N	\N
3442323	1388	1994-08-31	PRIJEM	\N	176	44462	UROK	\N	\N
3442324	1388	1994-09-30	PRIJEM	\N	233	43915	UROK	\N	\N
3442325	1388	1994-10-31	PRIJEM	\N	183	43503	UROK	\N	\N
3442326	1388	1994-11-30	PRIJEM	\N	182	46390	UROK	\N	\N
3442327	1388	1994-12-31	PRIJEM	\N	206	50711	UROK	\N	\N
3442328	1388	1995-01-31	PRIJEM	\N	209	47926	UROK	\N	\N
3442329	1388	1995-02-28	PRIJEM	\N	199	46730	UROK	\N	\N
3442330	1388	1995-03-31	PRIJEM	\N	195	47931	UROK	\N	\N
3442331	1388	1995-04-30	PRIJEM	\N	240	48876	UROK	\N	\N
3442332	1388	1995-05-31	PRIJEM	\N	202	46483	UROK	\N	\N
3442333	1388	1995-06-30	PRIJEM	\N	211	48009	UROK	\N	\N
3442334	1388	1995-07-31	PRIJEM	\N	198	45612	UROK	\N	\N
3442335	1388	1995-08-31	PRIJEM	\N	187	43205	UROK	\N	\N
3442336	1388	1995-09-30	PRIJEM	\N	179	42489	UROK	\N	\N
3442337	1388	1995-10-31	PRIJEM	\N	176	41670	UROK	\N	\N
3442338	1388	1995-11-30	PRIJEM	\N	198	40574	UROK	\N	\N
3442339	1388	1995-12-31	PRIJEM	\N	178	47067	UROK	\N	\N
3442340	1388	1996-01-31	PRIJEM	\N	194	46467	UROK	\N	\N
3442341	1388	1996-02-29	PRIJEM	\N	193	46765	UROK	\N	\N
3442342	1388	1996-03-31	PRIJEM	\N	222	44892	UROK	\N	\N
3442343	1388	1996-04-30	PRIJEM	\N	179	39877	UROK	\N	\N
3442344	1388	1996-05-31	PRIJEM	\N	168	41850	UROK	\N	\N
3442345	1388	1996-06-30	PRIJEM	\N	179	45044	UROK	\N	\N
3442346	1388	1996-07-31	PRIJEM	\N	182	42231	UROK	\N	\N
3442347	1388	1996-08-31	PRIJEM	\N	166	35803	UROK	\N	\N
3442348	1388	1996-09-30	PRIJEM	\N	155	39663	UROK	\N	\N
3442349	1388	1996-10-31	PRIJEM	\N	167	41635	UROK	\N	\N
3442350	1388	1996-11-30	PRIJEM	\N	172	41913	UROK	\N	\N
3442351	1388	1996-12-31	PRIJEM	\N	202	39830	UROK	\N	\N
3442352	1388	1997-01-31	PRIJEM	\N	166	40701	UROK	\N	\N
3442353	1388	1997-02-28	PRIJEM	\N	165	39271	UROK	\N	\N
3442354	1388	1997-03-31	PRIJEM	\N	158	37735	UROK	\N	\N
3442355	1388	1997-04-30	PRIJEM	\N	147	33687	UROK	\N	\N
3442356	1388	1997-05-31	PRIJEM	\N	134	28627	UROK	\N	\N
3442357	1388	1997-06-30	PRIJEM	\N	120	24962	UROK	\N	\N
3442358	1388	1997-07-31	PRIJEM	\N	110	24878	UROK	\N	\N
3442359	1388	1997-08-31	PRIJEM	\N	103	25586	UROK	\N	\N
3442360	1388	1997-09-30	PRIJEM	\N	101	24592	UROK	\N	\N
3442361	1388	1997-10-31	PRIJEM	\N	96	21793	UROK	\N	\N
3442362	1388	1997-11-30	PRIJEM	\N	93	23591	UROK	\N	\N
3442363	1388	1997-12-31	PRIJEM	\N	99	21506	UROK	\N	\N
3442364	1388	1998-01-31	PRIJEM	\N	76	17787	UROK	\N	\N
3442365	1388	1998-02-28	PRIJEM	\N	70	17563	UROK	\N	\N
3442366	1388	1998-03-31	PRIJEM	\N	68	16736	UROK	\N	\N
3442367	1388	1998-04-30	PRIJEM	\N	112	33153	UROK	\N	\N
3442368	1388	1998-05-31	PRIJEM	\N	98	20157	UROK	\N	\N
3442369	1388	1998-06-30	PRIJEM	\N	73	17445	UROK	\N	\N
3442370	1388	1998-07-31	PRIJEM	\N	73	38723	UROK	\N	\N
3442371	1388	1998-08-31	PRIJEM	\N	184	56012	UROK	\N	\N
3442372	1388	1998-09-30	PRIJEM	\N	185	40702	UROK	\N	\N
3442373	1388	1998-10-31	PRIJEM	\N	171	57678	UROK	\N	\N
3442374	1388	1998-11-30	PRIJEM	\N	179	38163	UROK	\N	\N
3442375	1388	1998-12-31	PRIJEM	\N	222	63400	UROK	\N	\N
3442376	1398	1997-10-31	PRIJEM	\N	6	43806	UROK	\N	\N
3442377	1398	1997-11-30	PRIJEM	\N	183	43988	UROK	\N	\N
3442378	1398	1997-12-31	PRIJEM	\N	183	48271	UROK	\N	\N
3442379	1398	1998-02-28	PRIJEM	\N	202	46073	UROK	\N	\N
3442380	1398	1998-02-28	PRIJEM	\N	183	46255	UROK	\N	\N
3442381	1398	1998-03-31	PRIJEM	\N	183	41438	UROK	\N	\N
3442382	1398	1998-04-30	PRIJEM	\N	183	36820	UROK	\N	\N
3442383	1398	1998-05-31	PRIJEM	\N	183	37103	UROK	\N	\N
3442384	1398	1998-06-30	PRIJEM	\N	183	36085	UROK	\N	\N
3442385	1398	1998-07-31	PRIJEM	\N	183	35968	UROK	\N	\N
3442386	1398	1998-08-31	PRIJEM	\N	183	37150	UROK	\N	\N
3442387	1398	1998-09-30	PRIJEM	\N	183	31033	UROK	\N	\N
3442388	1398	1998-10-31	PRIJEM	\N	183	31815	UROK	\N	\N
3442389	1398	1998-11-30	PRIJEM	\N	183	30998	UROK	\N	\N
3442390	1408	1996-09-30	PRIJEM	\N	98	37178	UROK	\N	\N
3442391	1408	1996-10-31	PRIJEM	\N	229	64987	UROK	\N	\N
3442392	1408	1996-11-30	PRIJEM	\N	312	81179	UROK	\N	\N
3442393	1408	1996-12-31	PRIJEM	\N	402	74201	UROK	\N	\N
3442394	1408	1997-01-31	PRIJEM	\N	353	69033	UROK	\N	\N
3442395	1408	1997-02-28	PRIJEM	\N	312	79111	UROK	\N	\N
3442396	1408	1997-03-31	PRIJEM	\N	342	82942	UROK	\N	\N
3442397	1408	1997-04-30	PRIJEM	\N	363	89770	UROK	\N	\N
3442398	1408	1997-05-31	PRIJEM	\N	375	90410	UROK	\N	\N
3442399	1408	1997-06-30	PRIJEM	\N	323	88606	UROK	\N	\N
3442400	1408	1997-07-31	PRIJEM	\N	369	86040	UROK	\N	\N
3442401	1408	1997-08-31	PRIJEM	\N	378	93784	UROK	\N	\N
3442402	1408	1997-09-30	PRIJEM	\N	335	91584	UROK	\N	\N
3442403	1408	1997-10-31	PRIJEM	\N	404	100553	UROK	\N	\N
3442404	1408	1997-11-30	PRIJEM	\N	427	104045	UROK	\N	\N
3442405	1408	1997-12-31	PRIJEM	\N	473	93624	UROK	\N	\N
3442406	1408	1998-01-31	PRIJEM	\N	203	23100	UROK	\N	\N
3442407	1408	1998-02-28	PRIJEM	\N	101	60066	UROK	\N	\N
3442408	1408	1998-03-31	PRIJEM	\N	250	64781	UROK	\N	\N
3442409	1408	1998-04-30	PRIJEM	\N	180	80126	UROK	\N	\N
3442410	1408	1998-05-31	PRIJEM	\N	296	57700	UROK	\N	\N
3442411	1408	1998-06-30	PRIJEM	\N	242	67947	UROK	\N	\N
3442412	1408	1998-07-31	PRIJEM	\N	290	63297	UROK	\N	\N
3442413	1408	1998-08-31	PRIJEM	\N	297	60609	UROK	\N	\N
3442414	1408	1998-09-30	PRIJEM	\N	257	71731	UROK	\N	\N
3442415	1408	1998-10-31	PRIJEM	\N	309	72668	UROK	\N	\N
3442416	1408	1998-11-30	PRIJEM	\N	278	62079	UROK	\N	\N
3442417	1408	1998-12-31	PRIJEM	\N	345	91944	UROK	\N	\N
3442418	1421	1994-10-31	PRIJEM	\N	7	3607	UROK	\N	\N
3442419	1421	1994-11-30	PRIJEM	\N	37	14144	UROK	\N	\N
3442420	1421	1994-12-31	PRIJEM	\N	75	20219	UROK	\N	\N
3442421	1421	1995-01-31	PRIJEM	\N	98	18802	UROK	\N	\N
3442422	1421	1995-02-28	PRIJEM	\N	92	26280	UROK	\N	\N
3442423	1421	1995-03-31	PRIJEM	\N	109	25724	UROK	\N	\N
3442424	1421	1995-04-30	PRIJEM	\N	101	23911	UROK	\N	\N
3442425	1421	1995-05-31	PRIJEM	\N	109	27905	UROK	\N	\N
3442426	1421	1995-06-30	PRIJEM	\N	122	30912	UROK	\N	\N
3442427	1421	1995-07-31	PRIJEM	\N	137	76017	UROK	\N	\N
3442428	1421	1995-08-31	PRIJEM	\N	256	51358	UROK	\N	\N
3442429	1421	1995-09-30	PRIJEM	\N	193	40137	UROK	\N	\N
3442430	1421	1995-10-31	PRIJEM	\N	152	27374	UROK	\N	\N
3442431	1421	1995-11-30	PRIJEM	\N	117	24776	UROK	\N	\N
3442432	1421	1995-12-31	PRIJEM	\N	106	31369	UROK	\N	\N
3442433	1421	1996-01-31	PRIJEM	\N	114	25468	UROK	\N	\N
3442434	1421	1996-02-29	PRIJEM	\N	105	24058	UROK	\N	\N
3442435	1421	1996-03-31	PRIJEM	\N	100	24043	UROK	\N	\N
3442436	1421	1996-04-30	PRIJEM	\N	102	26031	UROK	\N	\N
3442437	1421	1996-05-31	PRIJEM	\N	108	26524	UROK	\N	\N
3442438	1421	1996-06-30	PRIJEM	\N	106	27916	UROK	\N	\N
3442439	1421	1996-07-31	PRIJEM	\N	116	29217	UROK	\N	\N
3442440	1421	1996-08-31	PRIJEM	\N	120	27722	UROK	\N	\N
3442441	1421	1996-09-30	PRIJEM	\N	116	29123	UROK	\N	\N
3442442	1421	1996-10-31	PRIJEM	\N	208	54850	UROK	\N	\N
3442443	1421	1996-11-30	PRIJEM	\N	211	41046	UROK	\N	\N
3442444	1421	1996-12-31	PRIJEM	\N	168	39049	UROK	\N	\N
3442445	1421	1997-01-31	PRIJEM	\N	146	22931	UROK	\N	\N
3442446	1421	1997-02-28	PRIJEM	\N	104	29720	UROK	\N	\N
3442447	1421	1997-03-31	PRIJEM	\N	135	39091	UROK	\N	\N
3442448	1421	1997-04-30	PRIJEM	\N	172	45847	UROK	\N	\N
3442449	1421	1997-05-31	PRIJEM	\N	192	46625	UROK	\N	\N
3442450	1421	1997-06-30	PRIJEM	\N	161	63507	UROK	\N	\N
3442451	1421	1997-07-31	PRIJEM	\N	248	53290	UROK	\N	\N
3442452	1421	1997-08-31	PRIJEM	\N	232	55358	UROK	\N	\N
3442453	1421	1997-09-30	PRIJEM	\N	217	48461	UROK	\N	\N
3442454	1421	1997-10-31	PRIJEM	\N	198	47244	UROK	\N	\N
3442455	1421	1997-11-30	PRIJEM	\N	197	48126	UROK	\N	\N
3442456	1421	1997-12-31	PRIJEM	\N	197	46458	UROK	\N	\N
3442457	1421	1998-01-31	PRIJEM	\N	187	44781	UROK	\N	\N
3442458	1421	1998-02-28	PRIJEM	\N	184	44700	UROK	\N	\N
3442459	1421	1998-03-31	PRIJEM	\N	187	46473	UROK	\N	\N
3442460	1421	1998-04-30	PRIJEM	\N	194	48153	UROK	\N	\N
3442461	1421	1998-05-31	PRIJEM	\N	202	50283	UROK	\N	\N
3442462	1421	1998-06-30	PRIJEM	\N	180	37448	UROK	\N	\N
3442463	1421	1998-07-31	PRIJEM	\N	175	47558	UROK	\N	\N
3442464	1421	1998-08-31	PRIJEM	\N	208	53501	UROK	\N	\N
3442465	1421	1998-09-30	PRIJEM	\N	225	56312	UROK	\N	\N
3442466	1421	1998-10-31	PRIJEM	\N	230	54777	UROK	\N	\N
3442467	1421	1998-11-30	PRIJEM	\N	216	51428	UROK	\N	\N
3442468	1421	1998-12-31	PRIJEM	\N	245	65485	UROK	\N	\N
3442469	1431	1996-06-30	PRIJEM	\N	4	2204	UROK	\N	\N
3442470	1431	1996-07-31	PRIJEM	\N	35	13739	UROK	\N	\N
3442471	1431	1996-08-31	PRIJEM	\N	68	18908	UROK	\N	\N
3442472	1431	1996-09-30	PRIJEM	\N	126	43356	UROK	\N	\N
3442473	1431	1996-10-31	PRIJEM	\N	155	35846	UROK	\N	\N
3442474	1431	1996-11-30	PRIJEM	\N	137	30068	UROK	\N	\N
3442475	1431	1996-12-31	PRIJEM	\N	106	24560	UROK	\N	\N
3442476	1431	1997-01-31	PRIJEM	\N	85	17330	UROK	\N	\N
3442477	1431	1997-02-28	PRIJEM	\N	66	16031	UROK	\N	\N
3442478	1431	1997-03-31	PRIJEM	\N	173	58483	UROK	\N	\N
3442479	1431	1997-04-30	PRIJEM	\N	199	41168	UROK	\N	\N
3442480	1431	1997-05-31	PRIJEM	\N	134	28487	UROK	\N	\N
3442481	1431	1997-06-30	PRIJEM	\N	85	19857	UROK	\N	\N
3442482	1431	1997-07-31	PRIJEM	\N	76	16719	UROK	\N	\N
3442483	1431	1997-08-31	PRIJEM	\N	56	13660	UROK	\N	\N
3442484	1431	1997-09-30	PRIJEM	\N	60	15705	UROK	\N	\N
3442485	1431	1997-10-31	PRIJEM	\N	59	13349	UROK	\N	\N
3442486	1431	1997-11-30	PRIJEM	\N	59	15394	UROK	\N	\N
3442487	1431	1997-12-31	PRIJEM	\N	58	13238	UROK	\N	\N
3442488	1431	1998-01-31	PRIJEM	\N	58	13281	UROK	\N	\N
3442489	1431	1998-02-28	PRIJEM	\N	56	13723	UROK	\N	\N
3442490	1431	1998-03-31	PRIJEM	\N	59	14867	UROK	\N	\N
3442491	1431	1998-04-30	PRIJEM	\N	60	13712	UROK	\N	\N
3442492	1431	1998-05-31	PRIJEM	\N	156	52646	UROK	\N	\N
3442493	1431	1998-06-30	PRIJEM	\N	150	15482	UROK	\N	\N
3442494	1431	1998-07-31	PRIJEM	\N	63	15030	UROK	\N	\N
3442495	1431	1998-08-31	PRIJEM	\N	60	14476	UROK	\N	\N
3442496	1431	1998-09-30	PRIJEM	\N	151	35662	UROK	\N	\N
3442497	1431	1998-10-31	PRIJEM	\N	144	25691	UROK	\N	\N
3442498	1431	1998-11-30	PRIJEM	\N	109	23986	UROK	\N	\N
3442499	1431	1998-12-31	PRIJEM	\N	88	20260	UROK	\N	\N
3442500	1438	1997-10-31	PRIJEM	\N	28	22779	UROK	\N	\N
3442501	1438	1997-11-30	PRIJEM	\N	154	57854	UROK	\N	\N
3442502	1438	1997-12-31	PRIJEM	\N	309	72206	UROK	\N	\N
3442503	1438	1998-01-31	PRIJEM	\N	233	70141	UROK	\N	\N
3442504	1438	1998-02-28	PRIJEM	\N	242	49449	UROK	\N	\N
3442505	1438	1998-03-31	PRIJEM	\N	118	25634	UROK	\N	\N
3442506	1438	1998-04-30	PRIJEM	\N	134	38905	UROK	\N	\N
3442507	1438	1998-05-31	PRIJEM	\N	150	26271	UROK	\N	\N
3442508	1438	1998-06-30	PRIJEM	\N	130	76202	UROK	\N	\N
3442509	1438	1998-07-31	PRIJEM	\N	307	50840	UROK	\N	\N
3442510	1438	1998-08-31	PRIJEM	\N	177	29267	UROK	\N	\N
3442511	1438	1998-09-30	PRIJEM	\N	120	26756	UROK	\N	\N
3442512	1438	1998-10-31	PRIJEM	\N	116	28056	UROK	\N	\N
3442513	1438	1998-11-30	PRIJEM	\N	122	30073	UROK	\N	\N
3442514	1438	1998-12-31	PRIJEM	\N	168	42638	UROK	\N	\N
3442515	1452	1995-10-31	PRIJEM	\N	50	23293	UROK	\N	\N
3442516	1452	1995-11-30	PRIJEM	\N	121	34157	UROK	\N	\N
3442517	1452	1995-12-31	PRIJEM	\N	166	44637	UROK	\N	\N
3442518	1452	1996-01-31	PRIJEM	\N	183	43763	UROK	\N	\N
3442519	1452	1996-02-29	PRIJEM	\N	186	45592	UROK	\N	\N
3442520	1452	1996-03-31	PRIJEM	\N	189	44309	UROK	\N	\N
3442521	1452	1996-04-30	PRIJEM	\N	187	45424	UROK	\N	\N
3442522	1452	1996-05-31	PRIJEM	\N	195	42447	UROK	\N	\N
3442523	1452	1996-06-30	PRIJEM	\N	166	37712	UROK	\N	\N
3442524	1452	1996-07-31	PRIJEM	\N	181	46621	UROK	\N	\N
3442525	1452	1996-08-31	PRIJEM	\N	201	49351	UROK	\N	\N
3442526	1452	1996-09-30	PRIJEM	\N	210	51190	UROK	\N	\N
3442527	1452	1996-10-31	PRIJEM	\N	212	49430	UROK	\N	\N
3442528	1452	1996-11-30	PRIJEM	\N	209	49267	UROK	\N	\N
3442529	1452	1996-12-31	PRIJEM	\N	240	59607	UROK	\N	\N
3442530	1452	1997-01-31	PRIJEM	\N	238	49173	UROK	\N	\N
3442531	1452	1997-02-28	PRIJEM	\N	250	64052	UROK	\N	\N
3442532	1452	1997-03-31	PRIJEM	\N	249	58529	UROK	\N	\N
3442533	1452	1997-04-30	PRIJEM	\N	302	53559	UROK	\N	\N
3442534	1452	1997-05-31	PRIJEM	\N	221	53408	UROK	\N	\N
3442535	1452	1997-06-30	PRIJEM	\N	272	46080	UROK	\N	\N
3442536	1452	1997-07-31	PRIJEM	\N	228	57536	UROK	\N	\N
3442537	1452	1997-08-31	PRIJEM	\N	266	66130	UROK	\N	\N
3442538	1452	1997-09-30	PRIJEM	\N	291	71450	UROK	\N	\N
3442539	1452	1997-10-31	PRIJEM	\N	291	69269	UROK	\N	\N
3442540	1452	1997-11-30	PRIJEM	\N	292	70889	UROK	\N	\N
3442541	1452	1997-12-31	PRIJEM	\N	293	72381	UROK	\N	\N
3442542	1452	1998-01-31	PRIJEM	\N	259	55168	UROK	\N	\N
3442543	1452	1998-02-28	PRIJEM	\N	254	63651	UROK	\N	\N
3442544	1452	1998-03-31	PRIJEM	\N	287	70766	UROK	\N	\N
3442545	1452	1998-04-30	PRIJEM	\N	316	78211	UROK	\N	\N
3442546	1452	1998-05-31	PRIJEM	\N	333	81172	UROK	\N	\N
3442547	1452	1998-06-30	PRIJEM	\N	359	76531	UROK	\N	\N
3442548	1452	1998-07-31	PRIJEM	\N	333	81893	UROK	\N	\N
3442549	1452	1998-08-31	PRIJEM	\N	338	82359	UROK	\N	\N
3442550	1452	1998-09-30	PRIJEM	\N	271	85558	UROK	\N	\N
3442551	1452	1998-10-31	PRIJEM	\N	290	68677	UROK	\N	\N
3442552	1452	1998-11-30	PRIJEM	\N	285	73990	UROK	\N	\N
3442553	1452	1998-12-31	PRIJEM	\N	379	102868	UROK	\N	\N
3442554	1464	1996-11-30	PRIJEM	\N	42	27368	UROK	\N	\N
3442555	1464	1996-12-31	PRIJEM	\N	114	23582	UROK	\N	\N
3442556	1464	1997-01-31	PRIJEM	\N	372	64739	UROK	\N	\N
3442557	1464	1997-02-28	PRIJEM	\N	458	47224	UROK	\N	\N
3442558	1464	1997-03-31	PRIJEM	\N	246	103352	UROK	\N	\N
3442559	1464	1997-04-30	PRIJEM	\N	323	54113	UROK	\N	\N
3442560	1464	1997-05-31	PRIJEM	\N	250	75151	UROK	\N	\N
3442561	1464	1997-06-30	PRIJEM	\N	315	78661	UROK	\N	\N
3442562	1464	1997-07-31	PRIJEM	\N	333	96228	UROK	\N	\N
3442563	1464	1997-08-31	PRIJEM	\N	280	33832	UROK	\N	\N
3442564	1464	1997-09-30	PRIJEM	\N	102	21296	UROK	\N	\N
3442565	1464	1997-10-31	PRIJEM	\N	166	42619	UROK	\N	\N
3442566	1464	1997-11-30	PRIJEM	\N	156	33649	UROK	\N	\N
3442567	1464	1997-12-31	PRIJEM	\N	173	35848	UROK	\N	\N
3442568	1464	1998-01-31	PRIJEM	\N	153	121629	UROK	\N	\N
3442569	1464	1998-02-28	PRIJEM	\N	422	126941	UROK	\N	\N
3442570	1464	1998-03-31	PRIJEM	\N	397	106061	UROK	\N	\N
3442571	1464	1998-04-30	PRIJEM	\N	436	67982	UROK	\N	\N
3442572	1464	1998-05-31	PRIJEM	\N	249	53292	UROK	\N	\N
3442573	1464	1998-06-30	PRIJEM	\N	274	99217	UROK	\N	\N
3442574	1464	1998-07-31	PRIJEM	\N	271	54720	UROK	\N	\N
3442575	1464	1998-08-31	PRIJEM	\N	267	103631	UROK	\N	\N
3442576	1464	1998-09-30	PRIJEM	\N	357	96520	UROK	\N	\N
3442577	1464	1998-10-31	PRIJEM	\N	370	97267	UROK	\N	\N
3442578	1464	1998-11-30	PRIJEM	\N	412	105750	UROK	\N	\N
3442579	1464	1998-12-31	PRIJEM	\N	301	42321	UROK	\N	\N
3442580	1494	1997-10-31	PRIJEM	\N	59	24629	UROK	\N	\N
3442581	1494	1997-11-30	PRIJEM	\N	161	49460	UROK	\N	\N
3442582	1494	1997-12-31	PRIJEM	\N	264	73629	UROK	\N	\N
3442583	1494	1998-01-31	PRIJEM	\N	314	77213	UROK	\N	\N
3442584	1494	1998-02-28	PRIJEM	\N	325	79008	UROK	\N	\N
3442585	1494	1998-03-31	PRIJEM	\N	332	80595	UROK	\N	\N
3442586	1494	1998-04-30	PRIJEM	\N	332	77182	UROK	\N	\N
3442587	1494	1998-05-31	PRIJEM	\N	315	72252	UROK	\N	\N
3442588	1494	1998-06-30	PRIJEM	\N	325	72167	UROK	\N	\N
3442589	1494	1998-07-31	PRIJEM	\N	296	70719	UROK	\N	\N
3442590	1494	1998-08-31	PRIJEM	\N	294	69069	UROK	\N	\N
3442591	1494	1998-09-30	PRIJEM	\N	292	71116	UROK	\N	\N
3442592	1494	1998-10-31	PRIJEM	\N	294	70365	UROK	\N	\N
3442593	1494	1998-11-30	PRIJEM	\N	297	72417	UROK	\N	\N
3442594	1494	1998-12-31	PRIJEM	\N	293	79701	UROK	\N	\N
3442595	1518	1993-05-31	PRIJEM	\N	30	20118	UROK	\N	\N
3442596	1518	1993-06-30	PRIJEM	\N	109	36759	UROK	\N	\N
3442597	1518	1993-07-31	PRIJEM	\N	156	38602	UROK	\N	\N
3442598	1518	1993-08-31	PRIJEM	\N	164	40955	UROK	\N	\N
3442599	1518	1993-09-30	PRIJEM	\N	173	42515	UROK	\N	\N
3442600	1518	1993-10-31	PRIJEM	\N	176	41965	UROK	\N	\N
3442601	1518	1993-11-30	PRIJEM	\N	179	44317	UROK	\N	\N
3442602	1518	1993-12-31	PRIJEM	\N	202	44836	UROK	\N	\N
3442603	1518	1994-01-31	PRIJEM	\N	173	34183	UROK	\N	\N
3442604	1518	1994-02-28	PRIJEM	\N	159	35215	UROK	\N	\N
3442605	1518	1994-03-31	PRIJEM	\N	153	38542	UROK	\N	\N
3442606	1518	1994-04-30	PRIJEM	\N	165	40880	UROK	\N	\N
3442607	1518	1994-05-31	PRIJEM	\N	171	41224	UROK	\N	\N
3442608	1518	1994-06-30	PRIJEM	\N	163	36004	UROK	\N	\N
3442609	1518	1994-07-31	PRIJEM	\N	158	39936	UROK	\N	\N
3442610	1518	1994-08-31	PRIJEM	\N	176	44286	UROK	\N	\N
3442611	1518	1994-09-30	PRIJEM	\N	198	45458	UROK	\N	\N
3442612	1518	1994-10-31	PRIJEM	\N	180	42211	UROK	\N	\N
3442613	1518	1994-11-30	PRIJEM	\N	187	46772	UROK	\N	\N
3442614	1518	1994-12-31	PRIJEM	\N	210	52199	UROK	\N	\N
3442615	1518	1995-01-31	PRIJEM	\N	202	34075	UROK	\N	\N
3442616	1518	1995-02-28	PRIJEM	\N	170	41618	UROK	\N	\N
3442617	1518	1995-03-31	PRIJEM	\N	186	46577	UROK	\N	\N
3442618	1518	1995-04-30	PRIJEM	\N	194	46644	UROK	\N	\N
3442619	1518	1995-05-31	PRIJEM	\N	200	46617	UROK	\N	\N
3442620	1518	1995-06-30	PRIJEM	\N	203	24137	UROK	\N	\N
3442621	1518	1995-07-31	PRIJEM	\N	149	40960	UROK	\N	\N
3442622	1518	1995-08-31	PRIJEM	\N	200	50933	UROK	\N	\N
3442623	1518	1995-09-30	PRIJEM	\N	212	50318	UROK	\N	\N
3442624	1518	1995-10-31	PRIJEM	\N	222	54814	UROK	\N	\N
3442625	1518	1995-11-30	PRIJEM	\N	283	59170	UROK	\N	\N
3442626	1518	1995-12-31	PRIJEM	\N	257	62945	UROK	\N	\N
3442627	1518	1996-01-31	PRIJEM	\N	258	59676	UROK	\N	\N
3442628	1518	1996-02-29	PRIJEM	\N	284	71033	UROK	\N	\N
3442629	1518	1996-03-31	PRIJEM	\N	304	73511	UROK	\N	\N
3442630	1518	1996-04-30	PRIJEM	\N	303	73887	UROK	\N	\N
3442631	1518	1996-05-31	PRIJEM	\N	325	79686	UROK	\N	\N
3442632	1518	1996-06-30	PRIJEM	\N	375	90478	UROK	\N	\N
3442633	1518	1996-07-31	PRIJEM	\N	368	87020	UROK	\N	\N
3442634	1518	1996-08-31	PRIJEM	\N	373	90865	UROK	\N	\N
3442635	1518	1996-09-30	PRIJEM	\N	390	93629	UROK	\N	\N
3442636	1518	1996-10-31	PRIJEM	\N	394	92996	UROK	\N	\N
3442637	1518	1996-11-30	PRIJEM	\N	367	92436	UROK	\N	\N
3442638	1518	1996-12-31	PRIJEM	\N	416	102470	UROK	\N	\N
3442639	1518	1997-01-31	PRIJEM	\N	384	75127	UROK	\N	\N
3442640	1518	1997-02-28	PRIJEM	\N	313	92714	UROK	\N	\N
3442641	1518	1997-03-31	PRIJEM	\N	394	96981	UROK	\N	\N
3442642	1518	1997-04-30	PRIJEM	\N	353	93008	UROK	\N	\N
3442643	1518	1997-05-31	PRIJEM	\N	333	81714	UROK	\N	\N
3442644	1518	1997-06-30	PRIJEM	\N	337	75868	UROK	\N	\N
3442645	1518	1997-07-31	PRIJEM	\N	315	83457	UROK	\N	\N
3442646	1518	1997-08-31	PRIJEM	\N	347	89277	UROK	\N	\N
3442647	1518	1997-09-30	PRIJEM	\N	405	89256	UROK	\N	\N
3442648	1518	1997-10-31	PRIJEM	\N	368	89897	UROK	\N	\N
3442649	1518	1997-11-30	PRIJEM	\N	371	91942	UROK	\N	\N
3442650	1518	1997-12-31	PRIJEM	\N	439	90599	UROK	\N	\N
3442651	1518	1998-01-31	PRIJEM	\N	381	78653	UROK	\N	\N
3442652	1518	1998-02-28	PRIJEM	\N	356	81882	UROK	\N	\N
3442653	1518	1998-03-31	PRIJEM	\N	338	85394	UROK	\N	\N
3442654	1518	1998-04-30	PRIJEM	\N	383	86650	UROK	\N	\N
3442655	1518	1998-05-31	PRIJEM	\N	359	90782	UROK	\N	\N
3442656	1518	1998-06-30	PRIJEM	\N	384	81684	UROK	\N	\N
3442657	1518	1998-07-31	PRIJEM	\N	338	85195	UROK	\N	\N
3442658	1518	1998-08-31	PRIJEM	\N	352	88420	UROK	\N	\N
3442659	1518	1998-09-30	PRIJEM	\N	367	93461	UROK	\N	\N
3442660	1518	1998-10-31	PRIJEM	\N	380	91714	UROK	\N	\N
3442661	1518	1998-11-30	PRIJEM	\N	392	89579	UROK	\N	\N
3442662	1518	1998-12-31	PRIJEM	\N	448	114544	UROK	\N	\N
3442663	1522	1997-08-31	PRIJEM	\N	4	1804	UROK	\N	\N
3442664	1522	1997-09-30	PRIJEM	\N	41	16045	UROK	\N	\N
3442665	1522	1997-10-31	PRIJEM	\N	87	27432	UROK	\N	\N
3442666	1522	1997-11-30	PRIJEM	\N	115	28546	UROK	\N	\N
3442667	1522	1997-12-31	PRIJEM	\N	133	33979	UROK	\N	\N
3442668	1522	1998-01-31	PRIJEM	\N	132	34320	UROK	\N	\N
3442669	1522	1998-02-28	PRIJEM	\N	143	35448	UROK	\N	\N
3442670	1522	1998-03-31	PRIJEM	\N	146	33579	UROK	\N	\N
3442671	1522	1998-04-30	PRIJEM	\N	140	34105	UROK	\N	\N
3442672	1522	1998-05-31	PRIJEM	\N	144	39434	UROK	\N	\N
3442673	1522	1998-06-30	PRIJEM	\N	136	33756	UROK	\N	\N
3442674	1522	1998-07-31	PRIJEM	\N	144	40785	UROK	\N	\N
3442675	1522	1998-08-31	PRIJEM	\N	177	51448	UROK	\N	\N
3442676	1522	1998-09-30	PRIJEM	\N	216	54749	UROK	\N	\N
3442677	1522	1998-10-31	PRIJEM	\N	284	70496	UROK	\N	\N
3442678	1522	1998-11-30	PRIJEM	\N	288	62519	UROK	\N	\N
3442679	1522	1998-12-31	PRIJEM	\N	256	60961	UROK	\N	\N
3442680	1537	1997-07-31	PRIJEM	\N	75	21640	UROK	\N	\N
3442681	1537	1997-08-31	PRIJEM	\N	118	29524	UROK	\N	\N
3442682	1537	1997-09-30	PRIJEM	\N	159	39748	UROK	\N	\N
3442683	1537	1997-10-31	PRIJEM	\N	198	48911	UROK	\N	\N
3442684	1537	1997-11-30	PRIJEM	\N	212	51288	UROK	\N	\N
3442685	1537	1997-12-31	PRIJEM	\N	217	50588	UROK	\N	\N
3442686	1537	1998-01-31	PRIJEM	\N	158	30616	UROK	\N	\N
3442687	1537	1998-02-28	PRIJEM	\N	155	36661	UROK	\N	\N
3442688	1537	1998-03-31	PRIJEM	\N	175	43087	UROK	\N	\N
3442689	1537	1998-04-30	PRIJEM	\N	186	45023	UROK	\N	\N
3442690	1537	1998-05-31	PRIJEM	\N	200	48573	UROK	\N	\N
3442691	1537	1998-06-30	PRIJEM	\N	152	18088	UROK	\N	\N
3442692	1537	1998-07-31	PRIJEM	\N	143	36682	UROK	\N	\N
3442693	1537	1998-08-31	PRIJEM	\N	175	50007	UROK	\N	\N
3442694	1537	1998-09-30	PRIJEM	\N	209	53166	UROK	\N	\N
3442695	1537	1998-10-31	PRIJEM	\N	224	59440	UROK	\N	\N
3442696	1537	1998-11-30	PRIJEM	\N	262	57973	UROK	\N	\N
3442697	1537	1998-12-31	PRIJEM	\N	260	70816	UROK	\N	\N
3442698	1541	1996-11-30	PRIJEM	\N	25	12925	UROK	\N	\N
3442699	1541	1996-12-31	PRIJEM	\N	64	18189	UROK	\N	\N
3442700	1541	1997-01-31	PRIJEM	\N	80	20569	UROK	\N	\N
3442701	1541	1997-02-28	PRIJEM	\N	88	21507	UROK	\N	\N
3442702	1541	1997-03-31	PRIJEM	\N	99	26592	UROK	\N	\N
3442703	1541	1997-04-30	PRIJEM	\N	113	27941	UROK	\N	\N
3442704	1541	1997-05-31	PRIJEM	\N	179	72168	UROK	\N	\N
3442705	1541	1997-06-30	PRIJEM	\N	214	30867	UROK	\N	\N
3442706	1541	1997-07-31	PRIJEM	\N	120	27072	UROK	\N	\N
3442707	1541	1997-08-31	PRIJEM	\N	101	21858	UROK	\N	\N
3442708	1541	1997-09-30	PRIJEM	\N	85	19029	UROK	\N	\N
3442709	1541	1997-10-31	PRIJEM	\N	79	20939	UROK	\N	\N
3442710	1541	1997-11-30	PRIJEM	\N	85	20210	UROK	\N	\N
3442711	1541	1997-12-31	PRIJEM	\N	92	23387	UROK	\N	\N
3442712	1541	1998-01-31	PRIJEM	\N	78	16651	UROK	\N	\N
3442713	1541	1998-02-28	PRIJEM	\N	80	22516	UROK	\N	\N
3442714	1541	1998-03-31	PRIJEM	\N	99	25200	UROK	\N	\N
3442715	1541	1998-04-30	PRIJEM	\N	111	27547	UROK	\N	\N
3442716	1541	1998-05-31	PRIJEM	\N	123	32156	UROK	\N	\N
3442717	1541	1998-06-30	PRIJEM	\N	215	100581	UROK	\N	\N
3442718	1541	1998-07-31	PRIJEM	\N	323	62540	UROK	\N	\N
3442719	1541	1998-08-31	PRIJEM	\N	215	45340	UROK	\N	\N
3442720	1541	1998-09-30	PRIJEM	\N	161	35087	UROK	\N	\N
3442721	1541	1998-10-31	PRIJEM	\N	132	29754	UROK	\N	\N
3442722	1541	1998-11-30	PRIJEM	\N	100	23640	UROK	\N	\N
3442723	1541	1998-12-31	PRIJEM	\N	88	17013	UROK	\N	\N
3442724	1543	1996-04-30	PRIJEM	\N	3	1603	UROK	\N	\N
3442725	1543	1996-05-31	PRIJEM	\N	42	16144	UROK	\N	\N
3442726	1543	1996-06-30	PRIJEM	\N	69	12714	UROK	\N	\N
3442727	1543	1996-07-31	PRIJEM	\N	67	18966	UROK	\N	\N
3442728	1543	1996-08-31	PRIJEM	\N	89	23540	UROK	\N	\N
3442729	1543	1996-09-30	PRIJEM	\N	110	28835	UROK	\N	\N
3442730	1543	1996-10-31	PRIJEM	\N	142	51021	UROK	\N	\N
3442731	1543	1996-11-30	PRIJEM	\N	192	42499	UROK	\N	\N
3442732	1543	1996-12-31	PRIJEM	\N	202	50056	UROK	\N	\N
3442733	1543	1997-01-31	PRIJEM	\N	171	34312	UROK	\N	\N
3442734	1543	1997-02-28	PRIJEM	\N	156	39953	UROK	\N	\N
3442735	1543	1997-03-31	PRIJEM	\N	183	47521	UROK	\N	\N
3442736	1543	1997-04-30	PRIJEM	\N	198	48005	UROK	\N	\N
3442737	1543	1997-05-31	PRIJEM	\N	198	47088	UROK	\N	\N
3442738	1543	1997-06-30	PRIJEM	\N	162	18935	UROK	\N	\N
3442739	1543	1997-07-31	PRIJEM	\N	112	32233	UROK	\N	\N
3442740	1543	1997-08-31	PRIJEM	\N	150	39968	UROK	\N	\N
3442741	1543	1997-09-30	PRIJEM	\N	181	58295	UROK	\N	\N
3442742	1543	1997-10-31	PRIJEM	\N	221	49001	UROK	\N	\N
3442743	1543	1997-11-30	PRIJEM	\N	183	40970	UROK	\N	\N
3442744	1543	1997-12-31	PRIJEM	\N	185	44434	UROK	\N	\N
3442745	1543	1998-01-31	PRIJEM	\N	148	28167	UROK	\N	\N
3442746	1543	1998-02-28	PRIJEM	\N	115	27768	UROK	\N	\N
3442747	1543	1998-03-31	PRIJEM	\N	109	25563	UROK	\N	\N
3442748	1543	1998-04-30	PRIJEM	\N	81	19029	UROK	\N	\N
3442749	1543	1998-05-31	PRIJEM	\N	83	21032	UROK	\N	\N
3442750	1543	1998-06-30	PRIJEM	\N	80	16847	UROK	\N	\N
3442751	1543	1998-07-31	PRIJEM	\N	71	17153	UROK	\N	\N
3442752	1543	1998-08-31	PRIJEM	\N	75	19513	UROK	\N	\N
3442753	1543	1998-09-30	PRIJEM	\N	85	21883	UROK	\N	\N
3442754	1543	1998-10-31	PRIJEM	\N	95	24263	UROK	\N	\N
3442755	1543	1998-11-30	PRIJEM	\N	149	67087	UROK	\N	\N
3442756	1543	1998-12-31	PRIJEM	\N	95	23368	UROK	\N	\N
3442757	1547	1993-10-31	PRIJEM	\N	57	23751	UROK	\N	\N
3442758	1547	1993-11-30	PRIJEM	\N	123	33368	UROK	\N	\N
3442759	1547	1993-12-31	PRIJEM	\N	172	46481	UROK	\N	\N
3442760	1547	1994-01-31	PRIJEM	\N	218	56293	UROK	\N	\N
3442761	1547	1994-02-28	PRIJEM	\N	250	63237	UROK	\N	\N
3442762	1547	1994-03-31	PRIJEM	\N	231	50228	UROK	\N	\N
3442763	1547	1994-04-30	PRIJEM	\N	233	59740	UROK	\N	\N
3442764	1547	1994-05-31	PRIJEM	\N	260	64179	UROK	\N	\N
3442765	1547	1994-06-30	PRIJEM	\N	278	70484	UROK	\N	\N
3442766	1547	1994-07-31	PRIJEM	\N	295	71618	UROK	\N	\N
3442767	1547	1994-08-31	PRIJEM	\N	301	72698	UROK	\N	\N
3442768	1547	1994-09-30	PRIJEM	\N	303	72880	UROK	\N	\N
3442769	1547	1994-10-31	PRIJEM	\N	281	70080	UROK	\N	\N
3442770	1547	1994-11-30	PRIJEM	\N	292	69152	UROK	\N	\N
3442771	1547	1994-12-31	PRIJEM	\N	294	80412	UROK	\N	\N
3442772	1547	1995-01-31	PRIJEM	\N	243	57114	UROK	\N	\N
3442773	1547	1995-02-28	PRIJEM	\N	243	57157	UROK	\N	\N
3442774	1547	1995-03-31	PRIJEM	\N	251	62688	UROK	\N	\N
3442775	1547	1995-04-30	PRIJEM	\N	269	66136	UROK	\N	\N
3442776	1547	1995-05-31	PRIJEM	\N	275	66491	UROK	\N	\N
3442777	1547	1995-06-30	PRIJEM	\N	308	79225	UROK	\N	\N
3442778	1547	1995-07-31	PRIJEM	\N	320	75624	UROK	\N	\N
3442779	1547	1995-08-31	PRIJEM	\N	300	70403	UROK	\N	\N
3442780	1547	1995-09-30	PRIJEM	\N	284	60146	UROK	\N	\N
3442781	1547	1995-10-31	PRIJEM	\N	259	64085	UROK	\N	\N
3442782	1547	1995-11-30	PRIJEM	\N	265	63729	UROK	\N	\N
3442783	1547	1995-12-31	PRIJEM	\N	279	78834	UROK	\N	\N
3442784	1547	1996-01-31	PRIJEM	\N	210	51403	UROK	\N	\N
3442785	1547	1996-02-29	PRIJEM	\N	226	57108	UROK	\N	\N
3442786	1547	1996-03-31	PRIJEM	\N	244	60532	UROK	\N	\N
3442787	1547	1996-04-30	PRIJEM	\N	258	62470	UROK	\N	\N
3442788	1547	1996-05-31	PRIJEM	\N	270	68519	UROK	\N	\N
3442789	1547	1996-06-30	PRIJEM	\N	183	38689	UROK	\N	\N
3442790	1547	1996-07-31	PRIJEM	\N	132	34801	UROK	\N	\N
3442791	1547	1996-08-31	PRIJEM	\N	184	38564	UROK	\N	\N
3442792	1547	1996-09-30	PRIJEM	\N	197	35641	UROK	\N	\N
3442793	1547	1996-10-31	PRIJEM	\N	147	38067	UROK	\N	\N
3442794	1547	1996-11-30	PRIJEM	\N	155	36802	UROK	\N	\N
3442795	1547	1996-12-31	PRIJEM	\N	210	39938	UROK	\N	\N
3442796	1547	1997-01-31	PRIJEM	\N	167	25945	UROK	\N	\N
3442797	1547	1997-02-28	PRIJEM	\N	108	31832	UROK	\N	\N
3442798	1547	1997-03-31	PRIJEM	\N	132	36944	UROK	\N	\N
3442799	1547	1997-04-30	PRIJEM	\N	149	35672	UROK	\N	\N
3442800	1547	1997-05-31	PRIJEM	\N	181	36433	UROK	\N	\N
3442801	1547	1997-06-30	PRIJEM	\N	150	39210	UROK	\N	\N
3442802	1547	1997-07-31	PRIJEM	\N	186	36475	UROK	\N	\N
3442803	1547	1997-08-31	PRIJEM	\N	170	30625	UROK	\N	\N
3442804	1547	1997-09-30	PRIJEM	\N	125	33030	UROK	\N	\N
3442805	1547	1997-10-31	PRIJEM	\N	140	29049	UROK	\N	\N
3442806	1547	1997-11-30	PRIJEM	\N	114	27843	UROK	\N	\N
3442807	1547	1997-12-31	PRIJEM	\N	147	22216	UROK	\N	\N
3442808	1547	1998-01-31	PRIJEM	\N	96	21752	UROK	\N	\N
3442809	1547	1998-02-28	PRIJEM	\N	88	44720	UROK	\N	\N
3442810	1547	1998-03-31	PRIJEM	\N	150	22450	UROK	\N	\N
3442811	1547	1998-04-30	PRIJEM	\N	91	45420	UROK	\N	\N
3442812	1547	1998-05-31	PRIJEM	\N	229	63728	UROK	\N	\N
3442813	1547	1998-06-30	PRIJEM	\N	211	22626	UROK	\N	\N
3442814	1547	1998-07-31	PRIJEM	\N	91	45596	UROK	\N	\N
3442815	1547	1998-08-31	PRIJEM	\N	138	20014	UROK	\N	\N
3442816	1547	1998-09-30	PRIJEM	\N	80	42973	UROK	\N	\N
3442817	1547	1998-10-31	PRIJEM	\N	175	66027	UROK	\N	\N
3442818	1547	1998-11-30	PRIJEM	\N	180	20887	UROK	\N	\N
3442819	1547	1998-12-31	PRIJEM	\N	111	49824	UROK	\N	\N
3442820	1553	1997-01-31	PRIJEM	\N	17	10717	UROK	\N	\N
3442821	1553	1997-02-28	PRIJEM	\N	58	19675	UROK	\N	\N
3442822	1553	1997-03-31	PRIJEM	\N	85	21960	UROK	\N	\N
3442823	1553	1997-04-30	PRIJEM	\N	93	23053	UROK	\N	\N
3442824	1553	1997-05-31	PRIJEM	\N	122	44859	UROK	\N	\N
3442825	1553	1997-06-30	PRIJEM	\N	187	23831	UROK	\N	\N
3442826	1553	1997-07-31	PRIJEM	\N	154	41205	UROK	\N	\N
3442827	1553	1997-08-31	PRIJEM	\N	153	30943	UROK	\N	\N
3442828	1553	1997-09-30	PRIJEM	\N	122	27751	UROK	\N	\N
3442829	1553	1997-10-31	PRIJEM	\N	111	25748	UROK	\N	\N
3442830	1553	1997-11-30	PRIJEM	\N	111	28045	UROK	\N	\N
3442831	1553	1997-12-31	PRIJEM	\N	111	25541	UROK	\N	\N
3442832	1553	1998-01-31	PRIJEM	\N	95	19721	UROK	\N	\N
3442833	1553	1998-02-28	PRIJEM	\N	79	18586	UROK	\N	\N
3442834	1553	1998-03-31	PRIJEM	\N	85	22156	UROK	\N	\N
3442835	1553	1998-04-30	PRIJEM	\N	87	19928	UROK	\N	\N
3442836	1553	1998-05-31	PRIJEM	\N	86	17999	UROK	\N	\N
3442837	1553	1998-06-30	PRIJEM	\N	64	13349	UROK	\N	\N
3442838	1553	1998-07-31	PRIJEM	\N	62	16596	UROK	\N	\N
3442839	1553	1998-08-31	PRIJEM	\N	125	39118	UROK	\N	\N
3442840	1553	1998-09-30	PRIJEM	\N	133	24936	UROK	\N	\N
3442841	1553	1998-10-31	PRIJEM	\N	87	17108	UROK	\N	\N
3442842	1553	1998-11-30	PRIJEM	\N	105	29948	UROK	\N	\N
3442843	1553	1998-12-31	PRIJEM	\N	100	21584	UROK	\N	\N
3442844	1564	1996-03-31	PRIJEM	\N	11	4811	UROK	\N	\N
3442845	1564	1996-04-30	PRIJEM	\N	43	16154	UROK	\N	\N
3442846	1564	1996-05-31	PRIJEM	\N	77	21331	UROK	\N	\N
3442847	1564	1996-06-30	PRIJEM	\N	97	25513	UROK	\N	\N
3442848	1564	1996-07-31	PRIJEM	\N	160	56008	UROK	\N	\N
3442849	1564	1996-08-31	PRIJEM	\N	209	46452	UROK	\N	\N
3442850	1564	1996-09-30	PRIJEM	\N	177	40014	UROK	\N	\N
3442851	1564	1996-10-31	PRIJEM	\N	158	36858	UROK	\N	\N
3442852	1564	1996-11-30	PRIJEM	\N	142	36785	UROK	\N	\N
3442853	1564	1996-12-31	PRIJEM	\N	190	42414	UROK	\N	\N
3442854	1564	1997-01-31	PRIJEM	\N	133	26482	UROK	\N	\N
3442855	1564	1997-02-28	PRIJEM	\N	122	44432	UROK	\N	\N
3442856	1564	1997-03-31	PRIJEM	\N	166	37983	UROK	\N	\N
3442857	1564	1997-04-30	PRIJEM	\N	164	39832	UROK	\N	\N
3442858	1564	1997-05-31	PRIJEM	\N	171	37788	UROK	\N	\N
3442859	1564	1997-06-30	PRIJEM	\N	111	25185	UROK	\N	\N
3442860	1564	1997-07-31	PRIJEM	\N	110	26181	UROK	\N	\N
3442861	1564	1997-08-31	PRIJEM	\N	119	31906	UROK	\N	\N
3442862	1564	1997-09-30	PRIJEM	\N	137	32729	UROK	\N	\N
3442863	1564	1997-10-31	PRIJEM	\N	137	28751	UROK	\N	\N
3442864	1564	1997-11-30	PRIJEM	\N	122	27758	UROK	\N	\N
3442865	1564	1997-12-31	PRIJEM	\N	118	28112	UROK	\N	\N
3442866	1564	1998-01-31	PRIJEM	\N	101	21399	UROK	\N	\N
3442867	1564	1998-02-28	PRIJEM	\N	98	29082	UROK	\N	\N
3442868	1564	1998-03-31	PRIJEM	\N	123	27490	UROK	\N	\N
3442869	1564	1998-04-30	PRIJEM	\N	120	30595	UROK	\N	\N
3442870	1564	1998-05-31	PRIJEM	\N	124	25705	UROK	\N	\N
3442871	1564	1998-06-30	PRIJEM	\N	131	37794	UROK	\N	\N
3442872	1564	1998-07-31	PRIJEM	\N	159	37438	UROK	\N	\N
3442873	1564	1998-08-31	PRIJEM	\N	154	35928	UROK	\N	\N
3442874	1564	1998-09-30	PRIJEM	\N	147	34160	UROK	\N	\N
3442875	1564	1998-10-31	PRIJEM	\N	141	32786	UROK	\N	\N
3442876	1564	1998-11-30	PRIJEM	\N	142	47385	UROK	\N	\N
3442877	1564	1998-12-31	PRIJEM	\N	185	39405	UROK	\N	\N
3442878	1585	1996-11-30	PRIJEM	\N	20	36119	UROK	\N	\N
3442879	1585	1996-12-31	PRIJEM	\N	181	61119	UROK	\N	\N
3442880	1585	1997-01-31	PRIJEM	\N	254	45372	UROK	\N	\N
3442881	1585	1997-02-28	PRIJEM	\N	254	35126	UROK	\N	\N
3442882	1585	1997-03-31	PRIJEM	\N	254	29080	UROK	\N	\N
3442883	1585	1997-04-30	PRIJEM	\N	254	28134	UROK	\N	\N
3442884	1585	1997-05-31	PRIJEM	\N	254	25088	UROK	\N	\N
3442885	1585	1997-06-30	PRIJEM	\N	254	27542	UROK	\N	\N
3442886	1585	1997-07-31	PRIJEM	\N	254	26496	UROK	\N	\N
3442887	1585	1997-08-31	PRIJEM	\N	254	26050	UROK	\N	\N
3442888	1585	1997-09-30	PRIJEM	\N	254	25304	UROK	\N	\N
3442889	1585	1997-10-31	PRIJEM	\N	254	23258	UROK	\N	\N
3442890	1585	1997-11-30	PRIJEM	\N	251	23609	UROK	\N	\N
3442891	1585	1997-12-31	PRIJEM	\N	175	43645	UROK	\N	\N
3442892	1585	1998-01-31	PRIJEM	\N	204	71703	UROK	\N	\N
3442893	1585	1998-02-28	PRIJEM	\N	296	53584	UROK	\N	\N
3442894	1585	1998-03-31	PRIJEM	\N	222	42391	UROK	\N	\N
3442895	1585	1998-04-30	PRIJEM	\N	176	36052	UROK	\N	\N
3442896	1585	1998-05-31	PRIJEM	\N	150	33887	UROK	\N	\N
3442897	1585	1998-06-30	PRIJEM	\N	140	28412	UROK	\N	\N
3442898	1585	1998-07-31	PRIJEM	\N	118	31516	UROK	\N	\N
3442899	1585	1998-08-31	PRIJEM	\N	132	41517	UROK	\N	\N
3442900	1585	1998-09-30	PRIJEM	\N	160	34812	UROK	\N	\N
3442901	1585	1998-10-31	PRIJEM	\N	138	31986	UROK	\N	\N
3442902	1585	1998-11-30	PRIJEM	\N	132	31104	UROK	\N	\N
3442903	1585	1998-12-31	PRIJEM	\N	128	30317	UROK	\N	\N
3442904	1587	1996-12-31	PRIJEM	\N	55	22787	UROK	\N	\N
3442905	1587	1997-01-31	PRIJEM	\N	132	38140	UROK	\N	\N
3442906	1587	1997-02-28	PRIJEM	\N	180	48041	UROK	\N	\N
3442907	1587	1997-03-31	PRIJEM	\N	207	51369	UROK	\N	\N
3442908	1587	1997-04-30	PRIJEM	\N	208	44967	UROK	\N	\N
3442909	1587	1997-05-31	PRIJEM	\N	195	48468	UROK	\N	\N
3442910	1587	1997-06-30	PRIJEM	\N	167	42053	UROK	\N	\N
3442911	1587	1997-07-31	PRIJEM	\N	179	40038	UROK	\N	\N
3442912	1587	1997-08-31	PRIJEM	\N	176	44221	UROK	\N	\N
3442913	1587	1997-09-30	PRIJEM	\N	188	46216	UROK	\N	\N
3442914	1587	1997-10-31	PRIJEM	\N	178	39800	UROK	\N	\N
3442915	1587	1997-11-30	PRIJEM	\N	170	42377	UROK	\N	\N
3442916	1587	1997-12-31	PRIJEM	\N	164	39191	UROK	\N	\N
3442917	1587	1998-01-31	PRIJEM	\N	104	20302	UROK	\N	\N
3442918	1587	1998-02-28	PRIJEM	\N	93	28501	UROK	\N	\N
3442919	1587	1998-03-31	PRIJEM	\N	118	28425	UROK	\N	\N
3442920	1587	1998-04-30	PRIJEM	\N	122	30153	UROK	\N	\N
3442921	1587	1998-05-31	PRIJEM	\N	127	44687	UROK	\N	\N
3442922	1587	1998-06-30	PRIJEM	\N	182	43186	UROK	\N	\N
3442923	1587	1998-07-31	PRIJEM	\N	147	24639	UROK	\N	\N
3442924	1587	1998-08-31	PRIJEM	\N	104	39149	UROK	\N	\N
3442925	1587	1998-09-30	PRIJEM	\N	147	32703	UROK	\N	\N
3442926	1587	1998-10-31	PRIJEM	\N	132	29206	UROK	\N	\N
3442927	1587	1998-11-30	PRIJEM	\N	117	27829	UROK	\N	\N
3442928	1587	1998-12-31	PRIJEM	\N	140	42087	UROK	\N	\N
3442929	1606	1996-03-31	PRIJEM	\N	72	40988	UROK	\N	\N
3442930	1606	1996-04-30	PRIJEM	\N	160	36848	UROK	\N	\N
3442931	1606	1996-05-31	PRIJEM	\N	145	32692	UROK	\N	\N
3442932	1606	1996-06-30	PRIJEM	\N	150	37822	UROK	\N	\N
3442933	1606	1996-07-31	PRIJEM	\N	135	32142	UROK	\N	\N
3442934	1606	1996-08-31	PRIJEM	\N	134	31561	UROK	\N	\N
3442935	1606	1996-09-30	PRIJEM	\N	136	33732	UROK	\N	\N
3442936	1606	1996-10-31	PRIJEM	\N	143	35361	UROK	\N	\N
3442937	1606	1996-11-30	PRIJEM	\N	152	36548	UROK	\N	\N
3442938	1606	1996-12-31	PRIJEM	\N	150	36484	UROK	\N	\N
3442939	1606	1997-01-31	PRIJEM	\N	113	17832	UROK	\N	\N
3442940	1606	1997-02-28	PRIJEM	\N	123	30640	UROK	\N	\N
3442941	1606	1997-03-31	PRIJEM	\N	130	31306	UROK	\N	\N
3442942	1606	1997-04-30	PRIJEM	\N	237	65386	UROK	\N	\N
3442943	1606	1997-05-31	PRIJEM	\N	285	73665	UROK	\N	\N
3442944	1606	1997-06-30	PRIJEM	\N	284	36534	UROK	\N	\N
3442945	1606	1997-07-31	PRIJEM	\N	178	45398	UROK	\N	\N
3442946	1606	1997-08-31	PRIJEM	\N	186	44169	UROK	\N	\N
3442947	1606	1997-09-30	PRIJEM	\N	185	47239	UROK	\N	\N
3442948	1606	1997-10-31	PRIJEM	\N	197	48372	UROK	\N	\N
3442949	1606	1997-11-30	PRIJEM	\N	202	51159	UROK	\N	\N
3442950	1606	1997-12-31	PRIJEM	\N	212	49307	UROK	\N	\N
3442951	1606	1998-01-31	PRIJEM	\N	174	43816	UROK	\N	\N
3442952	1606	1998-02-28	PRIJEM	\N	182	48683	UROK	\N	\N
3442953	1606	1998-03-31	PRIJEM	\N	201	47870	UROK	\N	\N
3442954	1606	1998-04-30	PRIJEM	\N	249	61895	UROK	\N	\N
3442955	1606	1998-05-31	PRIJEM	\N	251	55132	UROK	\N	\N
3442956	1606	1998-06-30	PRIJEM	\N	112	33379	UROK	\N	\N
3442957	1606	1998-07-31	PRIJEM	\N	145	41510	UROK	\N	\N
3442958	1606	1998-08-31	PRIJEM	\N	172	41567	UROK	\N	\N
3442959	1606	1998-09-30	PRIJEM	\N	177	46129	UROK	\N	\N
3442960	1606	1998-10-31	PRIJEM	\N	193	47907	UROK	\N	\N
3442961	1606	1998-11-30	PRIJEM	\N	224	80481	UROK	\N	\N
3442962	1606	1998-12-31	PRIJEM	\N	329	79096	UROK	\N	\N
3442963	1612	1996-03-31	PRIJEM	\N	61	23833	UROK	\N	\N
3442964	1612	1996-04-30	PRIJEM	\N	118	31123	UROK	\N	\N
3442965	1612	1996-05-31	PRIJEM	\N	145	36940	UROK	\N	\N
3442966	1612	1996-06-30	PRIJEM	\N	170	42867	UROK	\N	\N
3442967	1612	1996-07-31	PRIJEM	\N	175	41814	UROK	\N	\N
3442968	1612	1996-08-31	PRIJEM	\N	170	40542	UROK	\N	\N
3442969	1612	1996-09-30	PRIJEM	\N	163	38862	UROK	\N	\N
3442970	1612	1996-10-31	PRIJEM	\N	165	40085	UROK	\N	\N
3442971	1612	1996-11-30	PRIJEM	\N	160	38002	UROK	\N	\N
3442972	1612	1996-12-31	PRIJEM	\N	179	42324	UROK	\N	\N
3442973	1612	1997-01-31	PRIJEM	\N	161	32142	UROK	\N	\N
3442974	1612	1997-02-28	PRIJEM	\N	144	35344	UROK	\N	\N
3442975	1612	1997-03-31	PRIJEM	\N	148	35648	UROK	\N	\N
3442976	1612	1997-04-30	PRIJEM	\N	143	34149	UROK	\N	\N
3442977	1612	1997-05-31	PRIJEM	\N	136	32342	UROK	\N	\N
3442978	1612	1997-06-30	PRIJEM	\N	103	16288	UROK	\N	\N
3442979	1612	1997-07-31	PRIJEM	\N	90	22736	UROK	\N	\N
3442980	1612	1997-08-31	PRIJEM	\N	169	24761	UROK	\N	\N
3442981	1612	1997-09-30	PRIJEM	\N	152	38471	UROK	\N	\N
3442982	1612	1997-10-31	PRIJEM	\N	182	41810	UROK	\N	\N
3442983	1612	1997-11-30	PRIJEM	\N	175	43843	UROK	\N	\N
3442984	1612	1997-12-31	PRIJEM	\N	239	59325	UROK	\N	\N
3442985	1612	1998-01-31	PRIJEM	\N	175	34157	UROK	\N	\N
3442986	1612	1998-02-28	PRIJEM	\N	161	41376	UROK	\N	\N
3442987	1612	1998-03-31	PRIJEM	\N	197	48631	UROK	\N	\N
3442988	1612	1998-04-30	PRIJEM	\N	212	51600	UROK	\N	\N
3442989	1612	1998-05-31	PRIJEM	\N	211	50868	UROK	\N	\N
3442990	1612	1998-06-30	PRIJEM	\N	209	38720	UROK	\N	\N
3442991	1612	1998-07-31	PRIJEM	\N	175	42852	UROK	\N	\N
3442992	1612	1998-08-31	PRIJEM	\N	171	17980	UROK	\N	\N
3442993	1612	1998-09-30	PRIJEM	\N	122	15060	UROK	\N	\N
3442994	1612	1998-10-31	PRIJEM	\N	62	17079	UROK	\N	\N
3442995	1612	1998-11-30	PRIJEM	\N	68	14505	UROK	\N	\N
3442996	1612	1998-12-31	PRIJEM	\N	125	45574	UROK	\N	\N
3442997	1626	1994-04-30	PRIJEM	\N	59	24935	UROK	\N	\N
3442998	1626	1994-05-31	PRIJEM	\N	125	33836	UROK	\N	\N
3442999	1626	1994-06-30	PRIJEM	\N	172	46472	UROK	\N	\N
3443000	1626	1994-07-31	PRIJEM	\N	188	44736	UROK	\N	\N
3443001	1626	1994-08-31	PRIJEM	\N	193	47305	UROK	\N	\N
3443002	1626	1994-09-30	PRIJEM	\N	232	39078	UROK	\N	\N
3443003	1626	1994-10-31	PRIJEM	\N	171	42111	UROK	\N	\N
3443004	1626	1994-11-30	PRIJEM	\N	133	19745	UROK	\N	\N
3443005	1626	1994-12-31	PRIJEM	\N	168	49662	UROK	\N	\N
3443006	1626	1995-01-31	PRIJEM	\N	182	19605	UROK	\N	\N
3443007	1626	1995-02-28	PRIJEM	\N	140	41306	UROK	\N	\N
3443008	1626	1995-03-31	PRIJEM	\N	149	25514	UROK	\N	\N
3443009	1626	1995-04-30	PRIJEM	\N	157	43732	UROK	\N	\N
3443010	1626	1995-05-31	PRIJEM	\N	210	53603	UROK	\N	\N
3443011	1626	1995-06-30	PRIJEM	\N	207	52559	UROK	\N	\N
3443012	1626	1995-07-31	PRIJEM	\N	237	59057	UROK	\N	\N
3443013	1626	1995-08-31	PRIJEM	\N	256	62975	UROK	\N	\N
3443014	1626	1995-09-30	PRIJEM	\N	271	66408	UROK	\N	\N
3443015	1626	1995-10-31	PRIJEM	\N	268	63066	UROK	\N	\N
3443016	1626	1995-11-30	PRIJEM	\N	263	63490	UROK	\N	\N
3443017	1626	1995-12-31	PRIJEM	\N	298	73438	UROK	\N	\N
3443018	1626	1996-01-31	PRIJEM	\N	190	26289	UROK	\N	\N
3443019	1626	1996-02-29	PRIJEM	\N	168	47918	UROK	\N	\N
3443020	1626	1996-03-31	PRIJEM	\N	217	52617	UROK	\N	\N
3443021	1626	1996-04-30	PRIJEM	\N	234	58312	UROK	\N	\N
3443022	1626	1996-05-31	PRIJEM	\N	249	60922	UROK	\N	\N
3443023	1626	1996-06-30	PRIJEM	\N	256	30167	UROK	\N	\N
3443024	1626	1996-07-31	PRIJEM	\N	170	46398	UROK	\N	\N
3443025	1626	1996-08-31	PRIJEM	\N	219	56778	UROK	\N	\N
3443026	1626	1996-09-30	PRIJEM	\N	184	40023	UROK	\N	\N
3443027	1626	1996-10-31	PRIJEM	\N	104	30189	UROK	\N	\N
3443028	1626	1996-11-30	PRIJEM	\N	125	31275	UROK	\N	\N
3443029	1626	1996-12-31	PRIJEM	\N	142	23073	UROK	\N	\N
3443030	1626	1997-01-31	PRIJEM	\N	103	15337	UROK	\N	\N
3443031	1626	1997-02-28	PRIJEM	\N	64	21863	UROK	\N	\N
3443032	1626	1997-03-31	PRIJEM	\N	102	18126	UROK	\N	\N
3443033	1626	1997-04-30	PRIJEM	\N	75	21963	UROK	\N	\N
3443034	1626	1997-05-31	PRIJEM	\N	89	21213	UROK	\N	\N
3443035	1626	1997-06-30	PRIJEM	\N	100	26478	UROK	\N	\N
3443036	1626	1997-07-31	PRIJEM	\N	102	17342	UROK	\N	\N
3443037	1626	1997-08-31	PRIJEM	\N	73	37176	UROK	\N	\N
3443038	1626	1997-09-30	PRIJEM	\N	137	19074	UROK	\N	\N
3443039	1626	1997-10-31	PRIJEM	\N	95	30531	UROK	\N	\N
3443040	1626	1997-11-30	PRIJEM	\N	113	18305	UROK	\N	\N
3443041	1626	1997-12-31	PRIJEM	\N	156	41211	UROK	\N	\N
3443042	1626	1998-01-31	PRIJEM	\N	155	26927	UROK	\N	\N
3443043	1626	1998-02-28	PRIJEM	\N	112	46801	UROK	\N	\N
3443044	1626	1998-03-31	PRIJEM	\N	175	16037	UROK	\N	\N
3443045	1626	1998-04-30	PRIJEM	\N	66	35865	UROK	\N	\N
3443046	1626	1998-05-31	PRIJEM	\N	149	55775	UROK	\N	\N
3443047	1626	1998-06-30	PRIJEM	\N	196	29420	UROK	\N	\N
3443048	1626	1998-07-31	PRIJEM	\N	157	43638	UROK	\N	\N
3443049	1626	1998-08-31	PRIJEM	\N	142	19141	UROK	\N	\N
3443050	1626	1998-09-30	PRIJEM	\N	83	35986	UROK	\N	\N
3443051	1626	1998-10-31	PRIJEM	\N	149	55896	UROK	\N	\N
3443052	1626	1998-11-30	PRIJEM	\N	175	24032	UROK	\N	\N
3443053	1626	1998-12-31	PRIJEM	\N	180	46361	UROK	\N	\N
3443054	1627	1994-02-28	PRIJEM	\N	25	16573	UROK	\N	\N
3443055	1627	1994-03-31	PRIJEM	\N	82	25403	UROK	\N	\N
3443056	1627	1994-04-30	PRIJEM	\N	114	30965	UROK	\N	\N
3443057	1627	1994-05-31	PRIJEM	\N	134	34046	UROK	\N	\N
3443058	1627	1994-06-30	PRIJEM	\N	144	35812	UROK	\N	\N
3443059	1627	1994-07-31	PRIJEM	\N	143	32389	UROK	\N	\N
3443060	1627	1994-08-31	PRIJEM	\N	130	29852	UROK	\N	\N
3443061	1627	1994-09-30	PRIJEM	\N	123	27109	UROK	\N	\N
3443062	1627	1994-10-31	PRIJEM	\N	118	29960	UROK	\N	\N
3443063	1627	1994-11-30	PRIJEM	\N	124	25197	UROK	\N	\N
3443064	1627	1994-12-31	PRIJEM	\N	123	29008	UROK	\N	\N
3443065	1627	1995-01-31	PRIJEM	\N	108	22929	UROK	\N	\N
3443066	1627	1995-02-28	PRIJEM	\N	97	21300	UROK	\N	\N
3443067	1627	1995-03-31	PRIJEM	\N	103	27936	UROK	\N	\N
3443068	1627	1995-04-30	PRIJEM	\N	119	29088	UROK	\N	\N
3443069	1627	1995-05-31	PRIJEM	\N	127	31748	UROK	\N	\N
3443070	1627	1995-06-30	PRIJEM	\N	124	25060	UROK	\N	\N
3443071	1627	1995-07-31	PRIJEM	\N	111	28004	UROK	\N	\N
3443072	1627	1995-08-31	PRIJEM	\N	118	27775	UROK	\N	\N
3443073	1627	1995-09-30	PRIJEM	\N	121	29549	UROK	\N	\N
3443074	1627	1995-10-31	PRIJEM	\N	122	29304	UROK	\N	\N
3443075	1627	1995-11-30	PRIJEM	\N	124	30161	UROK	\N	\N
3443076	1627	1995-12-31	PRIJEM	\N	125	29714	UROK	\N	\N
3443077	1627	1996-01-31	PRIJEM	\N	82	14089	UROK	\N	\N
3443078	1627	1996-02-29	PRIJEM	\N	92	24634	UROK	\N	\N
3443079	1627	1996-03-31	PRIJEM	\N	114	24342	UROK	\N	\N
3443080	1627	1996-04-30	PRIJEM	\N	124	32339	UROK	\N	\N
3443081	1627	1996-05-31	PRIJEM	\N	139	34472	UROK	\N	\N
3443082	1627	1996-06-30	PRIJEM	\N	154	38333	UROK	\N	\N
3443083	1627	1996-07-31	PRIJEM	\N	156	37322	UROK	\N	\N
3443084	1627	1996-08-31	PRIJEM	\N	159	39014	UROK	\N	\N
3443085	1627	1996-09-30	PRIJEM	\N	157	37404	UROK	\N	\N
3443086	1627	1996-10-31	PRIJEM	\N	158	38495	UROK	\N	\N
3443087	1627	1996-11-30	PRIJEM	\N	154	36783	UROK	\N	\N
3443088	1627	1996-12-31	PRIJEM	\N	173	43583	UROK	\N	\N
3443089	1627	1997-01-31	PRIJEM	\N	157	36893	UROK	\N	\N
3443090	1627	1997-02-28	PRIJEM	\N	165	41291	UROK	\N	\N
3443091	1627	1997-03-31	PRIJEM	\N	191	48295	UROK	\N	\N
3443092	1627	1997-04-30	PRIJEM	\N	207	50835	UROK	\N	\N
3443093	1627	1997-05-31	PRIJEM	\N	209	50678	UROK	\N	\N
3443094	1627	1997-06-30	PRIJEM	\N	160	24025	UROK	\N	\N
3443095	1627	1997-07-31	PRIJEM	\N	141	38399	UROK	\N	\N
3443096	1627	1997-08-31	PRIJEM	\N	166	41019	UROK	\N	\N
3443097	1627	1997-09-30	PRIJEM	\N	172	42244	UROK	\N	\N
3443098	1627	1997-10-31	PRIJEM	\N	177	43454	UROK	\N	\N
3443099	1627	1997-11-30	PRIJEM	\N	159	45847	UROK	\N	\N
3443100	1627	1997-12-31	PRIJEM	\N	192	40165	UROK	\N	\N
3443101	1627	1998-01-31	PRIJEM	\N	167	34605	UROK	\N	\N
3443102	1627	1998-02-28	PRIJEM	\N	151	38489	UROK	\N	\N
3443103	1627	1998-03-31	PRIJEM	\N	149	36472	UROK	\N	\N
3443104	1627	1998-04-30	PRIJEM	\N	151	34136	UROK	\N	\N
3443105	1627	1998-05-31	PRIJEM	\N	143	34432	UROK	\N	\N
3443106	1627	1998-06-30	PRIJEM	\N	141	35300	UROK	\N	\N
3443107	1627	1998-07-31	PRIJEM	\N	147	40080	UROK	\N	\N
3443108	1627	1998-08-31	PRIJEM	\N	164	40678	UROK	\N	\N
3443109	1627	1998-09-30	PRIJEM	\N	165	38576	UROK	\N	\N
3443110	1627	1998-10-31	PRIJEM	\N	157	37166	UROK	\N	\N
3443111	1627	1998-11-30	PRIJEM	\N	149	34049	UROK	\N	\N
3443112	1627	1998-12-31	PRIJEM	\N	137	32293	UROK	\N	\N
3443113	1634	1994-06-30	PRIJEM	\N	54	22830	UROK	\N	\N
3443114	1634	1994-07-31	PRIJEM	\N	135	39315	UROK	\N	\N
3443115	1634	1994-08-31	PRIJEM	\N	177	45144	UROK	\N	\N
3443116	1634	1994-09-30	PRIJEM	\N	202	51497	UROK	\N	\N
3443117	1634	1994-10-31	PRIJEM	\N	225	56173	UROK	\N	\N
3443118	1634	1994-11-30	PRIJEM	\N	240	59050	UROK	\N	\N
3443119	1634	1994-12-31	PRIJEM	\N	233	62544	UROK	\N	\N
3443120	1634	1995-01-31	PRIJEM	\N	213	40293	UROK	\N	\N
3443121	1634	1995-02-28	PRIJEM	\N	185	52115	UROK	\N	\N
3443122	1634	1995-03-31	PRIJEM	\N	222	54773	UROK	\N	\N
3443123	1634	1995-04-30	PRIJEM	\N	182	58591	UROK	\N	\N
3443124	1634	1995-05-31	PRIJEM	\N	185	44912	UROK	\N	\N
3443125	1634	1995-06-30	PRIJEM	\N	196	39969	UROK	\N	\N
3443126	1634	1995-07-31	PRIJEM	\N	186	37292	UROK	\N	\N
3443127	1634	1995-08-31	PRIJEM	\N	168	35196	UROK	\N	\N
3443128	1634	1995-09-30	PRIJEM	\N	167	35600	UROK	\N	\N
3443129	1634	1995-10-31	PRIJEM	\N	150	39286	UROK	\N	\N
3443130	1634	1995-11-30	PRIJEM	\N	163	38486	UROK	\N	\N
3443131	1634	1995-12-31	PRIJEM	\N	193	43941	UROK	\N	\N
3443132	1634	1996-01-31	PRIJEM	\N	175	36652	UROK	\N	\N
3443133	1634	1996-02-29	PRIJEM	\N	172	39260	UROK	\N	\N
3443134	1634	1996-03-31	PRIJEM	\N	186	43183	UROK	\N	\N
3443135	1634	1996-04-30	PRIJEM	\N	181	45300	UROK	\N	\N
3443136	1634	1996-05-31	PRIJEM	\N	208	46144	UROK	\N	\N
3443137	1634	1996-06-30	PRIJEM	\N	179	39585	UROK	\N	\N
3443138	1634	1996-07-31	PRIJEM	\N	176	49297	UROK	\N	\N
3443139	1634	1996-08-31	PRIJEM	\N	208	51941	UROK	\N	\N
3443140	1634	1996-09-30	PRIJEM	\N	229	53606	UROK	\N	\N
3443141	1634	1996-10-31	PRIJEM	\N	226	56168	UROK	\N	\N
3443142	1634	1996-11-30	PRIJEM	\N	238	59642	UROK	\N	\N
3443143	1634	1996-12-31	PRIJEM	\N	249	60652	UROK	\N	\N
3443144	1634	1997-01-31	PRIJEM	\N	230	49418	UROK	\N	\N
3443145	1634	1997-02-28	PRIJEM	\N	219	54273	UROK	\N	\N
3443146	1634	1997-03-31	PRIJEM	\N	234	55244	UROK	\N	\N
3443147	1634	1997-04-30	PRIJEM	\N	238	57819	UROK	\N	\N
3443148	1634	1997-05-31	PRIJEM	\N	241	59096	UROK	\N	\N
3443149	1634	1997-06-30	PRIJEM	\N	248	58205	UROK	\N	\N
3443150	1634	1997-07-31	PRIJEM	\N	248	62389	UROK	\N	\N
3443151	1634	1997-08-31	PRIJEM	\N	259	62584	UROK	\N	\N
3443152	1634	1997-09-30	PRIJEM	\N	266	66487	UROK	\N	\N
3443153	1634	1997-10-31	PRIJEM	\N	274	66397	UROK	\N	\N
3443154	1634	1997-11-30	PRIJEM	\N	270	64804	UROK	\N	\N
3443155	1634	1997-12-31	PRIJEM	\N	278	68443	UROK	\N	\N
3443156	1634	1998-01-31	PRIJEM	\N	280	61959	UROK	\N	\N
3443157	1634	1998-02-28	PRIJEM	\N	288	76984	UROK	\N	\N
3443158	1634	1998-03-31	PRIJEM	\N	312	74632	UROK	\N	\N
3443159	1634	1998-04-30	PRIJEM	\N	332	68700	UROK	\N	\N
3443160	1634	1998-05-31	PRIJEM	\N	277	66714	UROK	\N	\N
3443161	1634	1998-06-30	PRIJEM	\N	279	70154	UROK	\N	\N
3443162	1634	1998-07-31	PRIJEM	\N	297	73988	UROK	\N	\N
3443163	1634	1998-08-31	PRIJEM	\N	327	83551	UROK	\N	\N
3443164	1634	1998-09-30	PRIJEM	\N	351	86737	UROK	\N	\N
3443165	1634	1998-10-31	PRIJEM	\N	369	93343	UROK	\N	\N
3443166	1634	1998-11-30	PRIJEM	\N	378	89257	UROK	\N	\N
3443167	1634	1998-12-31	PRIJEM	\N	394	100512	UROK	\N	\N
3443168	1648	1997-08-31	PRIJEM	\N	4	1804	UROK	\N	\N
3443169	1648	1997-09-30	PRIJEM	\N	35	13139	UROK	\N	\N
3443170	1648	1997-10-31	PRIJEM	\N	152	73821	UROK	\N	\N
3443171	1648	1997-11-30	PRIJEM	\N	246	49653	UROK	\N	\N
3443172	1648	1997-12-31	PRIJEM	\N	164	36552	UROK	\N	\N
3443173	1648	1998-01-31	PRIJEM	\N	137	21849	UROK	\N	\N
3443174	1648	1998-02-28	PRIJEM	\N	91	22476	UROK	\N	\N
3443175	1648	1998-03-31	PRIJEM	\N	99	24760	UROK	\N	\N
3443176	1648	1998-04-30	PRIJEM	\N	108	27553	UROK	\N	\N
3443177	1648	1998-05-31	PRIJEM	\N	112	26951	UROK	\N	\N
3443178	1648	1998-06-30	PRIJEM	\N	123	33206	UROK	\N	\N
3443179	1648	1998-07-31	PRIJEM	\N	130	29621	UROK	\N	\N
3443180	1648	1998-08-31	PRIJEM	\N	123	29730	UROK	\N	\N
3443181	1648	1998-09-30	PRIJEM	\N	121	28536	UROK	\N	\N
3443182	1648	1998-10-31	PRIJEM	\N	107	23828	UROK	\N	\N
3443183	1648	1998-11-30	PRIJEM	\N	97	22810	UROK	\N	\N
3443184	1648	1998-12-31	PRIJEM	\N	91	20987	UROK	\N	\N
3443185	1649	1993-05-31	PRIJEM	\N	26	32025	UROK	\N	\N
3443186	1649	1993-06-30	PRIJEM	\N	133	27758	UROK	\N	\N
3443187	1649	1993-07-31	PRIJEM	\N	133	23891	UROK	\N	\N
3443188	1649	1993-08-31	PRIJEM	\N	133	31554	UROK	\N	\N
3443189	1649	1993-09-30	PRIJEM	\N	131	27485	UROK	\N	\N
3443190	1649	1993-10-31	PRIJEM	\N	131	23916	UROK	\N	\N
3443191	1649	1993-11-30	PRIJEM	\N	131	26647	UROK	\N	\N
3443192	1649	1993-12-31	PRIJEM	\N	131	25578	UROK	\N	\N
3443193	1649	1994-01-31	PRIJEM	\N	131	25609	UROK	\N	\N
3443194	1649	1994-02-28	PRIJEM	\N	131	27540	UROK	\N	\N
3443195	1649	1994-03-31	PRIJEM	\N	131	26371	UROK	\N	\N
3443196	1649	1994-04-30	PRIJEM	\N	131	26802	UROK	\N	\N
3443197	1649	1994-05-31	PRIJEM	\N	158	59933	UROK	\N	\N
3443198	1649	1994-06-30	PRIJEM	\N	249	42182	UROK	\N	\N
3443199	1649	1994-07-31	PRIJEM	\N	246	58370	UROK	\N	\N
3443200	1649	1994-08-31	PRIJEM	\N	242	42813	UROK	\N	\N
3443201	1649	1994-09-30	PRIJEM	\N	242	36555	UROK	\N	\N
3443202	1649	1994-10-31	PRIJEM	\N	242	32997	UROK	\N	\N
3443203	1649	1994-11-30	PRIJEM	\N	242	31739	UROK	\N	\N
3443204	1649	1994-12-31	PRIJEM	\N	242	26881	UROK	\N	\N
3443205	1649	1995-01-31	PRIJEM	\N	242	26823	UROK	\N	\N
3443206	1649	1995-02-28	PRIJEM	\N	182	29489	UROK	\N	\N
3443207	1649	1995-03-31	PRIJEM	\N	127	33704	UROK	\N	\N
3443208	1649	1995-04-30	PRIJEM	\N	139	30029	UROK	\N	\N
3443209	1649	1995-05-31	PRIJEM	\N	124	25738	UROK	\N	\N
3443210	1649	1995-06-30	PRIJEM	\N	106	21930	UROK	\N	\N
3443211	1649	1995-07-31	PRIJEM	\N	90	19105	UROK	\N	\N
3443212	1649	1995-08-31	PRIJEM	\N	79	19270	UROK	\N	\N
3443213	1649	1995-09-30	PRIJEM	\N	80	20435	UROK	\N	\N
3443214	1649	1995-10-31	PRIJEM	\N	84	17904	UROK	\N	\N
3443215	1649	1995-11-30	PRIJEM	\N	68	16757	UROK	\N	\N
3443216	1649	1995-12-31	PRIJEM	\N	69	17012	UROK	\N	\N
3443217	1649	1996-01-31	PRIJEM	\N	70	16067	UROK	\N	\N
3443218	1649	1996-02-29	PRIJEM	\N	66	13318	UROK	\N	\N
3443219	1649	1996-03-31	PRIJEM	\N	55	15358	UROK	\N	\N
3443220	1649	1996-04-30	PRIJEM	\N	63	14507	UROK	\N	\N
3443221	1649	1996-06-30	PRIJEM	\N	61	42706	UROK	\N	\N
3443222	1649	1996-06-30	PRIJEM	\N	83	42789	UROK	\N	\N
3443223	1649	1996-07-31	PRIJEM	\N	175	27249	UROK	\N	\N
3443224	1649	1996-08-31	PRIJEM	\N	111	14245	UROK	\N	\N
3443225	1649	1996-09-30	PRIJEM	\N	58	14289	UROK	\N	\N
3443226	1649	1996-11-30	PRIJEM	\N	60	59690	UROK	\N	\N
3443227	1649	1996-11-30	PRIJEM	\N	64	59755	UROK	\N	\N
3443228	1649	1996-12-31	PRIJEM	\N	151	32191	UROK	\N	\N
3443229	1649	1997-01-31	PRIJEM	\N	92	16068	UROK	\N	\N
3443230	1649	1997-02-28	PRIJEM	\N	66	16119	UROK	\N	\N
3443231	1649	1997-04-30	PRIJEM	\N	68	16223	UROK	\N	\N
3443232	1649	1997-04-30	PRIJEM	\N	66	16155	UROK	\N	\N
3443233	1649	1997-06-30	PRIJEM	\N	68	16261	UROK	\N	\N
3443234	1649	1997-06-30	PRIJEM	\N	66	16327	UROK	\N	\N
3443235	1649	1997-07-31	PRIJEM	\N	66	16378	UROK	\N	\N
3443236	1649	1997-08-31	PRIJEM	\N	72	64878	UROK	\N	\N
3443237	1649	1997-09-30	PRIJEM	\N	288	74448	UROK	\N	\N
3443238	1649	1997-10-31	PRIJEM	\N	303	35336	UROK	\N	\N
3443239	1649	1997-11-30	PRIJEM	\N	143	15265	UROK	\N	\N
3443240	1649	1997-12-31	PRIJEM	\N	62	15312	UROK	\N	\N
3443241	1649	1998-02-28	PRIJEM	\N	68	15412	UROK	\N	\N
3443242	1649	1998-02-28	PRIJEM	\N	62	15344	UROK	\N	\N
3443243	1649	1998-04-30	PRIJEM	\N	64	15447	UROK	\N	\N
3443244	1649	1998-04-30	PRIJEM	\N	62	15509	UROK	\N	\N
3443245	1649	1998-06-30	PRIJEM	\N	64	15605	UROK	\N	\N
3443246	1649	1998-06-30	PRIJEM	\N	62	15541	UROK	\N	\N
3443247	1649	1998-07-31	PRIJEM	\N	62	15652	UROK	\N	\N
3443248	1649	1998-09-30	PRIJEM	\N	64	25915	UROK	\N	\N
3443249	1649	1998-09-30	PRIJEM	\N	68	25983	UROK	\N	\N
3443250	1649	1998-11-30	PRIJEM	\N	109	15362	UROK	\N	\N
3443251	1649	1998-11-30	PRIJEM	\N	104	15466	UROK	\N	\N
3443252	1649	1998-12-31	PRIJEM	\N	65	19718	UROK	\N	\N
3443253	1654	1996-08-31	PRIJEM	\N	60	19313	UROK	\N	\N
3443254	1654	1996-09-30	PRIJEM	\N	137	37802	UROK	\N	\N
3443255	1654	1996-10-31	PRIJEM	\N	179	45034	UROK	\N	\N
3443256	1654	1996-11-30	PRIJEM	\N	211	52798	UROK	\N	\N
3443257	1654	1996-12-31	PRIJEM	\N	248	59926	UROK	\N	\N
3443258	1654	1997-01-31	PRIJEM	\N	127	21249	UROK	\N	\N
3443259	1654	1997-02-28	PRIJEM	\N	142	39430	UROK	\N	\N
3443260	1654	1997-03-31	PRIJEM	\N	156	33611	UROK	\N	\N
3443261	1654	1997-04-30	PRIJEM	\N	179	46629	UROK	\N	\N
3443262	1654	1997-05-31	PRIJEM	\N	125	19532	UROK	\N	\N
3443263	1654	1997-06-30	PRIJEM	\N	165	38262	UROK	\N	\N
3443264	1654	1997-07-31	PRIJEM	\N	122	21448	UROK	\N	\N
3443265	1654	1997-08-31	PRIJEM	\N	121	36018	UROK	\N	\N
3443266	1654	1997-09-30	PRIJEM	\N	125	32093	UROK	\N	\N
3443267	1654	1997-10-31	PRIJEM	\N	140	47472	UROK	\N	\N
3443268	1654	1997-11-30	PRIJEM	\N	202	57912	UROK	\N	\N
3443269	1654	1997-12-31	PRIJEM	\N	306	67984	UROK	\N	\N
3443270	1654	1998-01-31	PRIJEM	\N	207	40829	UROK	\N	\N
3443271	1654	1998-02-28	PRIJEM	\N	177	57344	UROK	\N	\N
3443272	1654	1998-03-31	PRIJEM	\N	270	61127	UROK	\N	\N
3443273	1654	1998-04-30	PRIJEM	\N	256	60321	UROK	\N	\N
3443274	1654	1998-05-31	PRIJEM	\N	277	59871	UROK	\N	\N
3443275	1654	1998-06-30	PRIJEM	\N	317	63253	UROK	\N	\N
3443276	1654	1998-07-31	PRIJEM	\N	281	62594	UROK	\N	\N
3443277	1654	1998-08-31	PRIJEM	\N	266	68998	UROK	\N	\N
3443278	1654	1998-09-30	PRIJEM	\N	280	63802	UROK	\N	\N
3443279	1654	1998-10-31	PRIJEM	\N	280	78020	UROK	\N	\N
3443280	1654	1998-11-30	PRIJEM	\N	327	80985	UROK	\N	\N
3443281	1654	1998-12-31	PRIJEM	\N	223	40873	UROK	\N	\N
3443282	1682	1996-01-31	PRIJEM	\N	20	13320	UROK	\N	\N
3443283	1682	1996-02-29	PRIJEM	\N	62	17882	UROK	\N	\N
3443284	1682	1996-03-31	PRIJEM	\N	78	20159	UROK	\N	\N
3443285	1682	1996-04-30	PRIJEM	\N	84	20043	UROK	\N	\N
3443286	1682	1996-05-31	PRIJEM	\N	87	22630	UROK	\N	\N
3443287	1682	1996-06-30	PRIJEM	\N	91	20807	UROK	\N	\N
3443288	1682	1996-07-31	PRIJEM	\N	90	22682	UROK	\N	\N
3443289	1682	1996-08-31	PRIJEM	\N	98	24565	UROK	\N	\N
3443290	1682	1996-09-30	PRIJEM	\N	109	28210	UROK	\N	\N
3443291	1682	1996-10-31	PRIJEM	\N	116	42667	UROK	\N	\N
3443292	1682	1996-11-30	PRIJEM	\N	154	31507	UROK	\N	\N
3443293	1682	1996-12-31	PRIJEM	\N	162	40413	UROK	\N	\N
3443294	1682	1997-01-31	PRIJEM	\N	132	26630	UROK	\N	\N
3443295	1682	1997-02-28	PRIJEM	\N	119	31034	UROK	\N	\N
3443296	1682	1997-03-31	PRIJEM	\N	123	28443	UROK	\N	\N
3443297	1682	1997-04-30	PRIJEM	\N	122	30200	UROK	\N	\N
3443298	1682	1997-05-31	PRIJEM	\N	122	28808	UROK	\N	\N
3443299	1682	1997-06-30	PRIJEM	\N	181	71620	UROK	\N	\N
3443300	1682	1997-07-31	PRIJEM	\N	291	79247	UROK	\N	\N
3443301	1682	1997-08-31	PRIJEM	\N	262	52594	UROK	\N	\N
3443302	1682	1997-09-30	PRIJEM	\N	196	40776	UROK	\N	\N
3443303	1682	1997-10-31	PRIJEM	\N	167	38578	UROK	\N	\N
3443304	1682	1997-11-30	PRIJEM	\N	160	38423	UROK	\N	\N
3443305	1682	1997-12-31	PRIJEM	\N	164	40023	UROK	\N	\N
3443306	1682	1998-01-31	PRIJEM	\N	162	36770	UROK	\N	\N
3443307	1682	1998-02-28	PRIJEM	\N	154	37509	UROK	\N	\N
3443308	1682	1998-03-31	PRIJEM	\N	153	36648	UROK	\N	\N
3443309	1682	1998-04-30	PRIJEM	\N	159	39893	UROK	\N	\N
3443310	1682	1998-05-31	PRIJEM	\N	218	60733	UROK	\N	\N
3443311	1682	1998-06-30	PRIJEM	\N	205	45923	UROK	\N	\N
3443312	1682	1998-07-31	PRIJEM	\N	188	44696	UROK	\N	\N
3443313	1682	1998-08-31	PRIJEM	\N	198	49151	UROK	\N	\N
3443314	1682	1998-09-30	PRIJEM	\N	192	43528	UROK	\N	\N
3443315	1682	1998-10-31	PRIJEM	\N	176	41789	UROK	\N	\N
3443316	1682	1998-11-30	PRIJEM	\N	173	41448	UROK	\N	\N
3443317	1682	1998-12-31	PRIJEM	\N	164	38797	UROK	\N	\N
3443318	1687	1997-08-31	PRIJEM	\N	31	14471	UROK	\N	\N
3443319	1687	1997-09-30	PRIJEM	\N	59	13890	UROK	\N	\N
3443320	1687	1997-10-31	PRIJEM	\N	53	11089	UROK	\N	\N
3443321	1687	1997-11-30	PRIJEM	\N	55	13889	UROK	\N	\N
3443322	1687	1997-12-31	PRIJEM	\N	64	16148	UROK	\N	\N
3443323	1687	1998-01-31	PRIJEM	\N	49	6723	UROK	\N	\N
3443324	1687	1998-02-28	PRIJEM	\N	37	9705	UROK	\N	\N
3443325	1687	1998-03-31	PRIJEM	\N	39	10469	UROK	\N	\N
3443326	1687	1998-04-30	PRIJEM	\N	51	13065	UROK	\N	\N
3443327	1687	1998-05-31	PRIJEM	\N	63	15573	UROK	\N	\N
3443328	1687	1998-06-30	PRIJEM	\N	30	3748	UROK	\N	\N
3443329	1687	1998-07-31	PRIJEM	\N	23	6317	UROK	\N	\N
3443330	1687	1998-08-31	PRIJEM	\N	36	9398	UROK	\N	\N
3443331	1687	1998-09-30	PRIJEM	\N	45	12189	UROK	\N	\N
3443332	1687	1998-10-31	PRIJEM	\N	49	10944	UROK	\N	\N
3443333	1687	1998-11-30	PRIJEM	\N	53	13442	UROK	\N	\N
3443334	1687	1998-12-31	PRIJEM	\N	62	15649	UROK	\N	\N
3443335	1692	1995-04-30	PRIJEM	\N	14	33691	UROK	\N	\N
3443336	1692	1995-05-31	PRIJEM	\N	140	28231	UROK	\N	\N
3443337	1692	1995-06-30	PRIJEM	\N	147	45440	UROK	\N	\N
3443338	1692	1995-07-31	PRIJEM	\N	189	36629	UROK	\N	\N
3443339	1692	1995-08-31	PRIJEM	\N	189	30318	UROK	\N	\N
3443340	1692	1995-09-30	PRIJEM	\N	189	26906	UROK	\N	\N
3443341	1692	1995-10-31	PRIJEM	\N	189	23395	UROK	\N	\N
3443342	1692	1995-11-30	PRIJEM	\N	215	48383	UROK	\N	\N
3443343	1692	1995-12-31	PRIJEM	\N	197	32881	UROK	\N	\N
3443344	1692	1996-01-31	PRIJEM	\N	108	19054	UROK	\N	\N
3443345	1692	1996-02-29	PRIJEM	\N	74	14513	UROK	\N	\N
3443346	1692	1996-03-31	PRIJEM	\N	71	60304	UROK	\N	\N
3443347	1692	1996-04-30	PRIJEM	\N	214	30203	UROK	\N	\N
3443348	1692	1996-05-31	PRIJEM	\N	107	16596	UROK	\N	\N
3443349	1692	1996-06-30	PRIJEM	\N	68	8749	UROK	\N	\N
3443350	1692	1996-07-31	PRIJEM	\N	109	41754	UROK	\N	\N
3443351	1692	1996-08-31	PRIJEM	\N	142	14681	UROK	\N	\N
3443352	1692	1996-09-30	PRIJEM	\N	61	16528	UROK	\N	\N
3443353	1692	1996-10-31	PRIJEM	\N	78	18689	UROK	\N	\N
3443354	1692	1996-11-30	PRIJEM	\N	76	7051	UROK	\N	\N
3443355	1692	1996-12-31	PRIJEM	\N	130	29224	UROK	\N	\N
3443356	1692	1997-01-31	PRIJEM	\N	111	21041	UROK	\N	\N
3443357	1692	1997-02-28	PRIJEM	\N	109	26531	UROK	\N	\N
3443358	1692	1997-03-31	PRIJEM	\N	120	41411	UROK	\N	\N
3443359	1692	1997-04-30	PRIJEM	\N	112	9909	UROK	\N	\N
3443360	1692	1997-05-31	PRIJEM	\N	144	29930	UROK	\N	\N
3443361	1692	1997-06-30	PRIJEM	\N	194	48233	UROK	\N	\N
3443362	1692	1997-07-31	PRIJEM	\N	176	34019	UROK	\N	\N
3443363	1692	1997-08-31	PRIJEM	\N	122	19326	UROK	\N	\N
3443364	1692	1997-09-30	PRIJEM	\N	138	41377	UROK	\N	\N
3443365	1692	1997-10-31	PRIJEM	\N	188	39990	UROK	\N	\N
3443366	1692	1997-11-30	PRIJEM	\N	178	57064	UROK	\N	\N
3443367	1692	1997-12-31	PRIJEM	\N	186	73052	UROK	\N	\N
3443368	1692	1998-01-31	PRIJEM	\N	165	22203	UROK	\N	\N
3443369	1692	1998-02-28	PRIJEM	\N	77	6566	UROK	\N	\N
3443370	1692	1998-03-31	PRIJEM	\N	27	11378	UROK	\N	\N
3443371	1692	1998-04-30	PRIJEM	\N	55	14718	UROK	\N	\N
3443372	1692	1998-05-31	PRIJEM	\N	59	4763	UROK	\N	\N
3443373	1692	1998-06-30	PRIJEM	\N	20	13368	UROK	\N	\N
3443374	1692	1998-07-31	PRIJEM	\N	55	13508	UROK	\N	\N
3443375	1692	1998-08-31	PRIJEM	\N	54	2947	UROK	\N	\N
3443376	1692	1998-09-30	PRIJEM	\N	11	2943	UROK	\N	\N
3443377	1692	1998-10-31	PRIJEM	\N	12	5140	UROK	\N	\N
3443378	1692	1998-11-30	PRIJEM	\N	20	5145	UROK	\N	\N
3443379	1694	1993-10-31	PRIJEM	\N	23	42087	UROK	\N	\N
3443380	1694	1993-11-30	PRIJEM	\N	201	93204	UROK	\N	\N
3443381	1694	1993-12-31	PRIJEM	\N	388	60391	UROK	\N	\N
3443382	1694	1994-01-31	PRIJEM	\N	388	44279	UROK	\N	\N
3443383	1694	1994-02-28	PRIJEM	\N	284	38980	UROK	\N	\N
3443384	1694	1994-03-31	PRIJEM	\N	173	60061	UROK	\N	\N
3443385	1694	1994-04-30	PRIJEM	\N	219	22467	UROK	\N	\N
3443386	1694	1994-05-31	PRIJEM	\N	257	67533	UROK	\N	\N
3443387	1694	1994-06-30	PRIJEM	\N	352	70103	UROK	\N	\N
3443388	1694	1994-07-31	PRIJEM	\N	356	57283	UROK	\N	\N
3443389	1694	1994-08-31	PRIJEM	\N	237	55747	UROK	\N	\N
3443390	1694	1994-09-30	PRIJEM	\N	303	102599	UROK	\N	\N
3443391	1694	1994-10-31	PRIJEM	\N	397	70540	UROK	\N	\N
3443392	1694	1994-11-30	PRIJEM	\N	334	56180	UROK	\N	\N
3443393	1694	1994-12-31	PRIJEM	\N	202	32763	UROK	\N	\N
3443394	1694	1995-01-31	PRIJEM	\N	181	69560	UROK	\N	\N
3443395	1694	1995-02-28	PRIJEM	\N	307	69716	UROK	\N	\N
3443396	1694	1995-03-31	PRIJEM	\N	317	101841	UROK	\N	\N
3443397	1694	1995-04-30	PRIJEM	\N	419	57357	UROK	\N	\N
3443398	1694	1995-05-31	PRIJEM	\N	282	104983	UROK	\N	\N
3443399	1694	1995-06-30	PRIJEM	\N	346	60837	UROK	\N	\N
3443400	1694	1995-07-31	PRIJEM	\N	283	96905	UROK	\N	\N
3443401	1694	1995-08-31	PRIJEM	\N	478	110243	UROK	\N	\N
3443402	1694	1995-09-30	PRIJEM	\N	401	75002	UROK	\N	\N
3443403	1694	1995-10-31	PRIJEM	\N	310	70384	UROK	\N	\N
3443404	1694	1995-11-30	PRIJEM	\N	241	44736	UROK	\N	\N
3443405	1694	1995-12-31	PRIJEM	\N	218	88613	UROK	\N	\N
3443406	1694	1996-01-31	PRIJEM	\N	228	38911	UROK	\N	\N
3443407	1694	1996-02-29	PRIJEM	\N	161	44042	UROK	\N	\N
3443408	1694	1996-03-31	PRIJEM	\N	129	8592	UROK	\N	\N
3443409	1694	1996-04-30	PRIJEM	\N	42	27904	UROK	\N	\N
3443410	1694	1996-05-31	PRIJEM	\N	240	41964	UROK	\N	\N
3443411	1694	1996-06-30	PRIJEM	\N	147	30239	UROK	\N	\N
3443412	1694	1996-07-31	PRIJEM	\N	104	30927	UROK	\N	\N
3443413	1694	1996-08-31	PRIJEM	\N	99	21172	UROK	\N	\N
3443414	1694	1996-09-30	PRIJEM	\N	76	27202	UROK	\N	\N
3443415	1694	1996-10-31	PRIJEM	\N	111	32583	UROK	\N	\N
3443416	1694	1996-11-30	PRIJEM	\N	106	23133	UROK	\N	\N
3443417	1694	1996-12-31	PRIJEM	\N	218	72715	UROK	\N	\N
3443418	1694	1997-01-31	PRIJEM	\N	226	44279	UROK	\N	\N
3443419	1694	1997-02-28	PRIJEM	\N	221	52694	UROK	\N	\N
3443420	1694	1997-03-31	PRIJEM	\N	189	63763	UROK	\N	\N
3443421	1694	1997-04-30	PRIJEM	\N	418	63804	UROK	\N	\N
3443422	1694	1997-05-31	PRIJEM	\N	396	59091	UROK	\N	\N
3443423	1694	1997-06-30	PRIJEM	\N	236	53353	UROK	\N	\N
3443424	1694	1997-07-31	PRIJEM	\N	227	56597	UROK	\N	\N
3443425	1694	1997-08-31	PRIJEM	\N	115	19798	UROK	\N	\N
3443426	1694	1997-09-30	PRIJEM	\N	344	69234	UROK	\N	\N
3443427	1694	1997-10-31	PRIJEM	\N	199	47240	UROK	\N	\N
3443428	1694	1997-11-30	PRIJEM	\N	190	38700	UROK	\N	\N
3443429	1694	1997-12-31	PRIJEM	\N	148	30718	UROK	\N	\N
3443430	1694	1998-01-31	PRIJEM	\N	216	107020	UROK	\N	\N
3443431	1694	1998-02-28	PRIJEM	\N	435	64625	UROK	\N	\N
3443432	1694	1998-03-31	PRIJEM	\N	250	59158	UROK	\N	\N
3443433	1694	1998-04-30	PRIJEM	\N	386	104968	UROK	\N	\N
3443434	1694	1998-05-31	PRIJEM	\N	361	89681	UROK	\N	\N
3443435	1694	1998-06-30	PRIJEM	\N	240	24709	UROK	\N	\N
3443436	1694	1998-07-31	PRIJEM	\N	95	18373	UROK	\N	\N
3443437	1694	1998-08-31	PRIJEM	\N	69	19912	UROK	\N	\N
3443438	1694	1998-09-30	PRIJEM	\N	162	65085	UROK	\N	\N
3443439	1694	1998-10-31	PRIJEM	\N	181	34606	UROK	\N	\N
3443440	1694	1998-11-30	PRIJEM	\N	172	45114	UROK	\N	\N
3443441	1694	1998-12-31	PRIJEM	\N	46	9830	UROK	\N	\N
3443442	1713	1993-03-31	PRIJEM	\N	3	1403	UROK	\N	\N
3443443	1713	1993-04-30	PRIJEM	\N	30	13133	UROK	\N	\N
3443444	1713	1993-05-31	PRIJEM	\N	70	19903	UROK	\N	\N
3443445	1713	1993-06-30	PRIJEM	\N	92	24595	UROK	\N	\N
3443446	1713	1993-07-31	PRIJEM	\N	101	24196	UROK	\N	\N
3443447	1713	1993-08-31	PRIJEM	\N	111	26192	UROK	\N	\N
3443448	1713	1993-09-30	PRIJEM	\N	153	61788	UROK	\N	\N
3443449	1713	1993-10-31	PRIJEM	\N	250	44324	UROK	\N	\N
3443450	1713	1993-11-30	PRIJEM	\N	181	36790	UROK	\N	\N
3443451	1713	1993-12-31	PRIJEM	\N	152	31428	UROK	\N	\N
3443452	1713	1994-01-31	PRIJEM	\N	109	19072	UROK	\N	\N
3443453	1713	1994-02-28	PRIJEM	\N	80	21438	UROK	\N	\N
3443454	1713	1994-03-31	PRIJEM	\N	215	54137	UROK	\N	\N
3443455	1713	1994-04-30	PRIJEM	\N	218	41741	UROK	\N	\N
3443456	1713	1994-05-31	PRIJEM	\N	164	31740	UROK	\N	\N
3443457	1713	1994-06-30	PRIJEM	\N	122	25147	UROK	\N	\N
3443458	1713	1994-07-31	PRIJEM	\N	104	25887	UROK	\N	\N
3443459	1713	1994-08-31	PRIJEM	\N	107	27230	UROK	\N	\N
3443460	1713	1994-09-30	PRIJEM	\N	112	26627	UROK	\N	\N
3443461	1713	1994-10-31	PRIJEM	\N	108	24221	UROK	\N	\N
3443462	1713	1994-11-30	PRIJEM	\N	104	27010	UROK	\N	\N
3443463	1713	1994-12-31	PRIJEM	\N	106	23601	UROK	\N	\N
3443464	1713	1995-01-31	PRIJEM	\N	71	18308	UROK	\N	\N
3443465	1713	1995-02-28	PRIJEM	\N	79	21172	UROK	\N	\N
3443466	1713	1995-03-31	PRIJEM	\N	87	20945	UROK	\N	\N
3443467	1713	1995-04-30	PRIJEM	\N	87	21167	UROK	\N	\N
3443468	1713	1995-05-31	PRIJEM	\N	174	46973	UROK	\N	\N
3443469	1713	1995-06-30	PRIJEM	\N	136	21794	UROK	\N	\N
3443470	1713	1995-07-31	PRIJEM	\N	87	19666	UROK	\N	\N
3443471	1713	1995-08-31	PRIJEM	\N	78	17930	UROK	\N	\N
3443472	1713	1995-09-30	PRIJEM	\N	121	51950	UROK	\N	\N
3443473	1713	1995-10-31	PRIJEM	\N	185	34270	UROK	\N	\N
3443474	1713	1995-11-30	PRIJEM	\N	127	25982	UROK	\N	\N
3443475	1713	1995-12-31	PRIJEM	\N	87	15354	UROK	\N	\N
3443476	1713	1996-01-31	PRIJEM	\N	59	14249	UROK	\N	\N
3443477	1713	1996-02-29	PRIJEM	\N	55	12489	UROK	\N	\N
3443478	1713	1996-03-31	PRIJEM	\N	56	15230	UROK	\N	\N
3443479	1713	1996-04-30	PRIJEM	\N	61	14877	UROK	\N	\N
3443480	1713	1996-05-31	PRIJEM	\N	75	44234	UROK	\N	\N
3443481	1713	1996-06-30	PRIJEM	\N	139	17509	UROK	\N	\N
3443482	1713	1996-07-31	PRIJEM	\N	67	15461	UROK	\N	\N
3443483	1713	1996-08-31	PRIJEM	\N	63	16209	UROK	\N	\N
3443484	1713	1996-09-30	PRIJEM	\N	59	13354	UROK	\N	\N
3443485	1713	1996-10-31	PRIJEM	\N	54	14094	UROK	\N	\N
3443486	1713	1996-11-30	PRIJEM	\N	57	14836	UROK	\N	\N
3443487	1713	1996-12-31	PRIJEM	\N	60	14981	UROK	\N	\N
3443488	1713	1997-01-31	PRIJEM	\N	61	15478	UROK	\N	\N
3443489	1713	1997-02-28	PRIJEM	\N	133	49577	UROK	\N	\N
3443490	1713	1997-03-31	PRIJEM	\N	136	21698	UROK	\N	\N
3443491	1713	1997-04-30	PRIJEM	\N	88	22472	UROK	\N	\N
3443492	1713	1997-05-31	PRIJEM	\N	91	23249	UROK	\N	\N
3443493	1713	1997-06-30	PRIJEM	\N	95	23779	UROK	\N	\N
3443494	1713	1997-07-31	PRIJEM	\N	96	22461	UROK	\N	\N
3443495	1713	1997-08-31	PRIJEM	\N	91	23237	UROK	\N	\N
3443496	1713	1997-09-30	PRIJEM	\N	93	21766	UROK	\N	\N
3443497	1713	1997-10-31	PRIJEM	\N	88	22539	UROK	\N	\N
3443498	1713	1997-11-30	PRIJEM	\N	91	23316	UROK	\N	\N
3443499	1713	1997-12-31	PRIJEM	\N	105	28715	UROK	\N	\N
3443500	1713	1998-01-31	PRIJEM	\N	69	15920	UROK	\N	\N
3443501	1713	1998-02-28	PRIJEM	\N	63	16668	UROK	\N	\N
3443502	1713	1998-03-31	PRIJEM	\N	88	23232	UROK	\N	\N
3443503	1713	1998-04-30	PRIJEM	\N	89	20806	UROK	\N	\N
3443504	1713	1998-05-31	PRIJEM	\N	77	18069	UROK	\N	\N
3443505	1713	1998-06-30	PRIJEM	\N	68	16323	UROK	\N	\N
3443506	1713	1998-07-31	PRIJEM	\N	95	29145	UROK	\N	\N
3443507	1713	1998-08-31	PRIJEM	\N	91	16621	UROK	\N	\N
3443508	1713	1998-09-30	PRIJEM	\N	66	17372	UROK	\N	\N
3443509	1713	1998-10-31	PRIJEM	\N	69	18126	UROK	\N	\N
3443510	1713	1998-11-30	PRIJEM	\N	72	18883	UROK	\N	\N
3443511	1713	1998-12-31	PRIJEM	\N	70	17338	UROK	\N	\N
3443512	1725	1995-07-31	PRIJEM	\N	145	49115	UROK	\N	\N
3443513	1725	1995-08-31	PRIJEM	\N	303	82888	UROK	\N	\N
3443514	1725	1995-09-30	PRIJEM	\N	397	101055	UROK	\N	\N
3443515	1725	1995-10-31	PRIJEM	\N	427	57952	UROK	\N	\N
3443516	1725	1995-11-30	PRIJEM	\N	192	48805	UROK	\N	\N
3443517	1725	1995-12-31	PRIJEM	\N	291	29264	UROK	\N	\N
3443518	1725	1996-01-31	PRIJEM	\N	156	18590	UROK	\N	\N
3443519	1725	1996-02-29	PRIJEM	\N	152	41625	UROK	\N	\N
3443520	1725	1996-03-31	PRIJEM	\N	293	55088	UROK	\N	\N
3443521	1725	1996-04-30	PRIJEM	\N	314	56922	UROK	\N	\N
3443522	1725	1996-05-31	PRIJEM	\N	283	53602	UROK	\N	\N
3443523	1725	1996-06-30	PRIJEM	\N	323	60929	UROK	\N	\N
3443524	1725	1996-07-31	PRIJEM	\N	282	51856	UROK	\N	\N
3443525	1725	1996-08-31	PRIJEM	\N	270	41508	UROK	\N	\N
3443526	1725	1996-09-30	PRIJEM	\N	268	48702	UROK	\N	\N
3443527	1725	1996-10-31	PRIJEM	\N	220	62192	UROK	\N	\N
3443528	1725	1996-11-30	PRIJEM	\N	284	66887	UROK	\N	\N
3443529	1725	1996-12-31	PRIJEM	\N	347	56345	UROK	\N	\N
3443530	1725	1997-01-31	PRIJEM	\N	296	31112	UROK	\N	\N
3443531	1725	1997-02-28	PRIJEM	\N	152	54434	UROK	\N	\N
3443532	1725	1997-03-31	PRIJEM	\N	237	58741	UROK	\N	\N
3443533	1725	1997-04-30	PRIJEM	\N	255	70166	UROK	\N	\N
3443534	1725	1997-05-31	PRIJEM	\N	332	64368	UROK	\N	\N
3443535	1725	1997-06-30	PRIJEM	\N	300	48173	UROK	\N	\N
3443536	1725	1997-07-31	PRIJEM	\N	213	58856	UROK	\N	\N
3443537	1725	1997-08-31	PRIJEM	\N	247	51173	UROK	\N	\N
3443538	1725	1997-09-30	PRIJEM	\N	234	66577	UROK	\N	\N
3443539	1725	1997-10-31	PRIJEM	\N	335	64282	UROK	\N	\N
3443540	1725	1997-11-30	PRIJEM	\N	316	58768	UROK	\N	\N
3443541	1725	1997-12-31	PRIJEM	\N	239	43512	UROK	\N	\N
3443542	1725	1998-01-31	PRIJEM	\N	223	26442	UROK	\N	\N
3443543	1725	1998-02-28	PRIJEM	\N	144	47256	UROK	\N	\N
3443544	1725	1998-03-31	PRIJEM	\N	227	47448	UROK	\N	\N
3443545	1725	1998-04-30	PRIJEM	\N	267	51163	UROK	\N	\N
3443546	1725	1998-05-31	PRIJEM	\N	224	26852	UROK	\N	\N
3443547	1725	1998-06-30	PRIJEM	\N	158	42815	UROK	\N	\N
3443548	1725	1998-07-31	PRIJEM	\N	204	57389	UROK	\N	\N
3443549	1725	1998-08-31	PRIJEM	\N	245	59868	UROK	\N	\N
3443550	1725	1998-09-30	PRIJEM	\N	229	31668	UROK	\N	\N
3443551	1725	1998-10-31	PRIJEM	\N	174	51912	UROK	\N	\N
3443552	1725	1998-11-30	PRIJEM	\N	203	34873	UROK	\N	\N
3443553	1725	1998-12-31	PRIJEM	\N	181	27281	UROK	\N	\N
3443554	1735	1997-08-31	PRIJEM	\N	2	14302	UROK	\N	\N
3443555	1735	1997-10-31	PRIJEM	\N	58	11760	UROK	\N	\N
3443556	1735	1997-11-30	PRIJEM	\N	58	11519	UROK	\N	\N
3443557	1735	1998-01-31	PRIJEM	\N	58	12577	UROK	\N	\N
3443558	1735	1998-02-28	PRIJEM	\N	58	10435	UROK	\N	\N
3443559	1746	1997-04-30	PRIJEM	\N	57	19516	UROK	\N	\N
3443560	1746	1997-05-31	PRIJEM	\N	113	30488	UROK	\N	\N
3443561	1746	1997-06-30	PRIJEM	\N	165	42991	UROK	\N	\N
3443562	1746	1997-07-31	PRIJEM	\N	183	44533	UROK	\N	\N
3443563	1746	1997-08-31	PRIJEM	\N	192	44884	UROK	\N	\N
3443564	1746	1997-09-30	PRIJEM	\N	205	50533	UROK	\N	\N
3443565	1746	1997-10-31	PRIJEM	\N	223	54400	UROK	\N	\N
3443566	1746	1997-11-30	PRIJEM	\N	248	60692	UROK	\N	\N
3443567	1746	1997-12-31	PRIJEM	\N	282	68298	UROK	\N	\N
3443568	1746	1998-01-31	PRIJEM	\N	250	48592	UROK	\N	\N
3443569	1746	1998-02-28	PRIJEM	\N	291	73728	UROK	\N	\N
3443570	1746	1998-03-31	PRIJEM	\N	319	76891	UROK	\N	\N
3443571	1746	1998-04-30	PRIJEM	\N	388	83223	UROK	\N	\N
3443572	1746	1998-05-31	PRIJEM	\N	350	84518	UROK	\N	\N
3443573	1746	1998-06-30	PRIJEM	\N	368	79009	UROK	\N	\N
3443574	1746	1998-07-31	PRIJEM	\N	383	94336	UROK	\N	\N
3443575	1746	1998-08-31	PRIJEM	\N	412	99992	UROK	\N	\N
3443576	1746	1998-09-30	PRIJEM	\N	410	98646	UROK	\N	\N
3443577	1746	1998-10-31	PRIJEM	\N	408	97799	UROK	\N	\N
3443578	1746	1998-11-30	PRIJEM	\N	415	100458	UROK	\N	\N
3443579	1746	1998-12-31	PRIJEM	\N	351	54032	UROK	\N	\N
3443580	1751	1996-10-31	PRIJEM	\N	7	4337	UROK	\N	\N
3443581	1751	1996-11-30	PRIJEM	\N	48	17785	UROK	\N	\N
3443582	1751	1996-12-31	PRIJEM	\N	95	25880	UROK	\N	\N
3443583	1751	1997-01-31	PRIJEM	\N	103	21082	UROK	\N	\N
3443584	1751	1997-02-28	PRIJEM	\N	103	29871	UROK	\N	\N
3443585	1751	1997-03-31	PRIJEM	\N	136	34692	UROK	\N	\N
3443586	1751	1997-04-30	PRIJEM	\N	141	33118	UROK	\N	\N
3443587	1751	1997-05-31	PRIJEM	\N	136	32239	UROK	\N	\N
3443588	1751	1997-06-30	PRIJEM	\N	139	49083	UROK	\N	\N
3443589	1751	1997-07-31	PRIJEM	\N	190	43358	UROK	\N	\N
3443590	1751	1997-08-31	PRIJEM	\N	175	35068	UROK	\N	\N
3443591	1751	1997-09-30	PRIJEM	\N	144	28847	UROK	\N	\N
3443592	1751	1997-10-31	PRIJEM	\N	118	24150	UROK	\N	\N
3443593	1751	1997-11-30	PRIJEM	\N	159	36885	UROK	\N	\N
3443594	1751	1997-12-31	PRIJEM	\N	150	30420	UROK	\N	\N
3443595	1751	1998-01-31	PRIJEM	\N	114	26819	UROK	\N	\N
3443596	1751	1998-02-28	PRIJEM	\N	101	27556	UROK	\N	\N
3443597	1751	1998-03-31	PRIJEM	\N	116	30858	UROK	\N	\N
3443598	1751	1998-04-30	PRIJEM	\N	130	31723	UROK	\N	\N
3443599	1751	1998-05-31	PRIJEM	\N	132	31740	UROK	\N	\N
3443600	1751	1998-06-30	PRIJEM	\N	133	29114	UROK	\N	\N
3443601	1751	1998-07-31	PRIJEM	\N	122	30621	UROK	\N	\N
3443602	1751	1998-08-31	PRIJEM	\N	123	27479	UROK	\N	\N
3443603	1751	1998-09-30	PRIJEM	\N	118	31483	UROK	\N	\N
3443604	1751	1998-10-31	PRIJEM	\N	141	41670	UROK	\N	\N
3443605	1751	1998-11-30	PRIJEM	\N	169	38525	UROK	\N	\N
3443606	1751	1998-12-31	PRIJEM	\N	158	37768	UROK	\N	\N
3443607	1752	1996-05-31	PRIJEM	\N	44	18246	UROK	\N	\N
3443608	1752	1996-06-30	PRIJEM	\N	146	48246	UROK	\N	\N
3443609	1752	1996-07-31	PRIJEM	\N	206	50754	UROK	\N	\N
3443610	1752	1996-08-31	PRIJEM	\N	219	54175	UROK	\N	\N
3443611	1752	1996-09-30	PRIJEM	\N	237	59113	UROK	\N	\N
3443612	1752	1996-10-31	PRIJEM	\N	251	61151	UROK	\N	\N
3443613	1752	1996-11-30	PRIJEM	\N	255	61694	UROK	\N	\N
3443614	1752	1996-12-31	PRIJEM	\N	259	70631	UROK	\N	\N
3443615	1752	1997-01-31	PRIJEM	\N	248	56507	UROK	\N	\N
3443616	1752	1997-02-28	PRIJEM	\N	252	64347	UROK	\N	\N
3443617	1752	1997-03-31	PRIJEM	\N	269	65203	UROK	\N	\N
3443618	1752	1997-04-30	PRIJEM	\N	278	68068	UROK	\N	\N
3443619	1752	1997-05-31	PRIJEM	\N	276	65131	UROK	\N	\N
3443620	1752	1997-06-30	PRIJEM	\N	222	63692	UROK	\N	\N
3443621	1752	1997-07-31	PRIJEM	\N	259	61538	UROK	\N	\N
3443622	1752	1997-08-31	PRIJEM	\N	216	53161	UROK	\N	\N
3443623	1752	1997-09-30	PRIJEM	\N	170	43399	UROK	\N	\N
3443624	1752	1997-10-31	PRIJEM	\N	179	38165	UROK	\N	\N
3443625	1752	1997-11-30	PRIJEM	\N	159	41912	UROK	\N	\N
3443626	1752	1997-12-31	PRIJEM	\N	210	45740	UROK	\N	\N
3443627	1752	1998-01-31	PRIJEM	\N	207	43135	UROK	\N	\N
3443628	1752	1998-02-28	PRIJEM	\N	200	41382	UROK	\N	\N
3443629	1752	1998-03-31	PRIJEM	\N	172	43242	UROK	\N	\N
3443630	1752	1998-04-30	PRIJEM	\N	211	45840	UROK	\N	\N
3443631	1752	1998-05-31	PRIJEM	\N	192	50620	UROK	\N	\N
3443632	1752	1998-06-30	PRIJEM	\N	206	39545	UROK	\N	\N
3443633	1752	1998-07-31	PRIJEM	\N	181	44513	UROK	\N	\N
3443634	1752	1998-08-31	PRIJEM	\N	187	47887	UROK	\N	\N
3443635	1752	1998-09-30	PRIJEM	\N	199	48773	UROK	\N	\N
3443636	1752	1998-10-31	PRIJEM	\N	200	47661	UROK	\N	\N
3443637	1752	1998-11-30	PRIJEM	\N	198	48846	UROK	\N	\N
3443638	1752	1998-12-31	PRIJEM	\N	253	70097	UROK	\N	\N
3443639	1753	1997-09-30	PRIJEM	\N	177	73003	UROK	\N	\N
3443640	1753	1997-10-31	PRIJEM	\N	303	51607	UROK	\N	\N
3443641	1753	1997-11-30	PRIJEM	\N	303	44910	UROK	\N	\N
3443642	1753	1997-12-31	PRIJEM	\N	303	39914	UROK	\N	\N
3443643	1753	1998-01-31	PRIJEM	\N	268	61110	UROK	\N	\N
3443644	1753	1998-02-28	PRIJEM	\N	254	47363	UROK	\N	\N
3443645	1753	1998-03-31	PRIJEM	\N	254	47317	UROK	\N	\N
3443646	1753	1998-04-30	PRIJEM	\N	254	45970	UROK	\N	\N
3443647	1753	1998-05-31	PRIJEM	\N	254	47024	UROK	\N	\N
3443648	1753	1998-06-30	PRIJEM	\N	254	51777	UROK	\N	\N
3443649	1753	1998-07-31	PRIJEM	\N	299	92154	UROK	\N	\N
3443650	1753	1998-08-31	PRIJEM	\N	383	70936	UROK	\N	\N
3443651	1753	1998-09-30	PRIJEM	\N	383	61319	UROK	\N	\N
3443652	1753	1998-10-31	PRIJEM	\N	383	57901	UROK	\N	\N
3443653	1753	1998-11-30	PRIJEM	\N	383	53384	UROK	\N	\N
3443654	1754	1996-12-31	PRIJEM	\N	260	71284	UROK	\N	\N
3443655	1754	1997-01-31	PRIJEM	\N	214	58923	UROK	\N	\N
3443656	1754	1997-03-31	PRIJEM	\N	286	90862	UROK	\N	\N
3443657	1754	1997-04-30	PRIJEM	\N	378	98230	UROK	\N	\N
3443658	1754	1997-05-31	PRIJEM	\N	226	44263	UROK	\N	\N
3443659	1754	1997-06-30	PRIJEM	\N	231	64076	UROK	\N	\N
3443660	1754	1997-07-31	PRIJEM	\N	311	60959	UROK	\N	\N
3443661	1754	1997-08-31	PRIJEM	\N	437	74837	UROK	\N	\N
3443662	1754	1997-09-30	PRIJEM	\N	400	71887	UROK	\N	\N
3443663	1754	1997-10-31	PRIJEM	\N	274	45217	UROK	\N	\N
3443664	1754	1997-11-30	PRIJEM	\N	224	68053	UROK	\N	\N
3443665	1754	1997-12-31	PRIJEM	\N	296	75727	UROK	\N	\N
3443666	1754	1998-01-31	PRIJEM	\N	200	36112	UROK	\N	\N
3443667	1754	1998-02-28	PRIJEM	\N	166	58869	UROK	\N	\N
3443668	1754	1998-03-31	PRIJEM	\N	276	72030	UROK	\N	\N
3443669	1754	1998-04-30	PRIJEM	\N	310	99467	UROK	\N	\N
3443670	1754	1998-05-31	PRIJEM	\N	409	71662	UROK	\N	\N
3443671	1754	1998-06-30	PRIJEM	\N	237	42928	UROK	\N	\N
3443672	1754	1998-07-31	PRIJEM	\N	189	40930	UROK	\N	\N
3443673	1754	1998-08-31	PRIJEM	\N	395	66759	UROK	\N	\N
3443674	1754	1998-09-30	PRIJEM	\N	274	65489	UROK	\N	\N
3443675	1754	1998-10-31	PRIJEM	\N	286	77407	UROK	\N	\N
3443676	1754	1998-11-30	PRIJEM	\N	314	70858	UROK	\N	\N
3443677	1754	1998-12-31	PRIJEM	\N	280	59132	UROK	\N	\N
3443678	1757	1995-04-30	PRIJEM	\N	26	37027	UROK	\N	\N
3443679	1757	1995-05-31	PRIJEM	\N	167	52895	UROK	\N	\N
3443680	1757	1995-06-30	PRIJEM	\N	281	50027	UROK	\N	\N
3443681	1757	1995-07-31	PRIJEM	\N	216	59244	UROK	\N	\N
3443682	1757	1995-08-31	PRIJEM	\N	248	56993	UROK	\N	\N
3443683	1757	1995-09-30	PRIJEM	\N	245	64225	UROK	\N	\N
3443684	1757	1995-10-31	PRIJEM	\N	344	48155	UROK	\N	\N
3443685	1757	1995-11-30	PRIJEM	\N	270	56311	UROK	\N	\N
3443686	1757	1995-12-31	PRIJEM	\N	226	30475	UROK	\N	\N
3443687	1757	1996-01-31	PRIJEM	\N	187	24748	UROK	\N	\N
3443688	1757	1996-02-29	PRIJEM	\N	131	38265	UROK	\N	\N
3443689	1757	1996-03-31	PRIJEM	\N	177	50729	UROK	\N	\N
3443690	1757	1996-04-30	PRIJEM	\N	228	61843	UROK	\N	\N
3443691	1757	1996-05-31	PRIJEM	\N	268	68697	UROK	\N	\N
3443692	1757	1996-06-30	PRIJEM	\N	311	62746	UROK	\N	\N
3443693	1757	1996-07-31	PRIJEM	\N	196	39028	UROK	\N	\N
3443694	1757	1996-08-31	PRIJEM	\N	230	55344	UROK	\N	\N
3443695	1757	1996-09-30	PRIJEM	\N	241	59072	UROK	\N	\N
3443696	1757	1996-10-31	PRIJEM	\N	238	53096	UROK	\N	\N
3443697	1757	1996-11-30	PRIJEM	\N	240	48938	UROK	\N	\N
3443698	1757	1996-12-31	PRIJEM	\N	261	50736	UROK	\N	\N
3443699	1757	1997-01-31	PRIJEM	\N	198	28321	UROK	\N	\N
3443700	1757	1997-02-28	PRIJEM	\N	158	46865	UROK	\N	\N
3443701	1757	1997-03-31	PRIJEM	\N	215	56567	UROK	\N	\N
3443702	1757	1997-04-30	PRIJEM	\N	244	55997	UROK	\N	\N
3443703	1757	1997-05-31	PRIJEM	\N	285	65768	UROK	\N	\N
3443704	1757	1997-06-30	PRIJEM	\N	214	26819	UROK	\N	\N
3443705	1757	1997-07-31	PRIJEM	\N	160	39266	UROK	\N	\N
3443706	1757	1997-08-31	PRIJEM	\N	224	55676	UROK	\N	\N
3443707	1757	1997-09-30	PRIJEM	\N	260	66822	UROK	\N	\N
3443708	1757	1997-10-31	PRIJEM	\N	219	40272	UROK	\N	\N
3443709	1757	1997-11-30	PRIJEM	\N	222	55951	UROK	\N	\N
3443710	1757	1997-12-31	PRIJEM	\N	226	48276	UROK	\N	\N
3443711	1757	1998-01-31	PRIJEM	\N	167	24548	UROK	\N	\N
3443712	1757	1998-02-28	PRIJEM	\N	125	26532	UROK	\N	\N
3443713	1757	1998-03-31	PRIJEM	\N	176	50595	UROK	\N	\N
3443714	1757	1998-04-30	PRIJEM	\N	198	37019	UROK	\N	\N
3443715	1757	1998-05-31	PRIJEM	\N	221	60627	UROK	\N	\N
3443716	1757	1998-06-30	PRIJEM	\N	235	52900	UROK	\N	\N
3443717	1757	1998-07-31	PRIJEM	\N	191	37874	UROK	\N	\N
3443718	1757	1998-08-31	PRIJEM	\N	220	43719	UROK	\N	\N
3443719	1757	1998-09-30	PRIJEM	\N	286	77492	UROK	\N	\N
3443720	1757	1998-10-31	PRIJEM	\N	373	94163	UROK	\N	\N
3443721	1757	1998-11-30	PRIJEM	\N	377	82215	UROK	\N	\N
3443722	1757	1998-12-31	PRIJEM	\N	295	44883	UROK	\N	\N
3443723	1768	1994-01-31	PRIJEM	\N	32	18280	UROK	\N	\N
3443724	1768	1994-02-28	PRIJEM	\N	87	24815	UROK	\N	\N
3443725	1768	1994-03-31	PRIJEM	\N	112	30575	UROK	\N	\N
3443726	1768	1994-04-30	PRIJEM	\N	135	35558	UROK	\N	\N
3443727	1768	1994-05-31	PRIJEM	\N	147	34613	UROK	\N	\N
3443728	1768	1994-06-30	PRIJEM	\N	132	28922	UROK	\N	\N
3443729	1768	1994-07-31	PRIJEM	\N	137	34172	UROK	\N	\N
3443730	1768	1994-08-31	PRIJEM	\N	146	33732	UROK	\N	\N
3443731	1768	1994-09-30	PRIJEM	\N	144	35509	UROK	\N	\N
3443732	1768	1994-10-31	PRIJEM	\N	156	39498	UROK	\N	\N
3443733	1768	1994-11-30	PRIJEM	\N	165	37917	UROK	\N	\N
3443734	1768	1994-12-31	PRIJEM	\N	161	37355	UROK	\N	\N
3443735	1768	1995-01-31	PRIJEM	\N	139	14047	UROK	\N	\N
3443736	1768	1995-02-28	PRIJEM	\N	95	28976	UROK	\N	\N
3443737	1768	1995-03-31	PRIJEM	\N	133	34342	UROK	\N	\N
3443738	1768	1995-04-30	PRIJEM	\N	153	38628	UROK	\N	\N
3443739	1768	1995-05-31	PRIJEM	\N	165	40426	UROK	\N	\N
3443740	1768	1995-06-30	PRIJEM	\N	126	14409	UROK	\N	\N
3443741	1768	1995-07-31	PRIJEM	\N	102	31045	UROK	\N	\N
3443742	1768	1995-08-31	PRIJEM	\N	147	38225	UROK	\N	\N
3443743	1768	1995-09-30	PRIJEM	\N	153	39071	UROK	\N	\N
3443744	1768	1995-10-31	PRIJEM	\N	172	42476	UROK	\N	\N
3443745	1768	1995-11-30	PRIJEM	\N	181	44291	UROK	\N	\N
3443746	1768	1995-12-31	PRIJEM	\N	180	40728	UROK	\N	\N
3443747	1768	1996-01-31	PRIJEM	\N	129	22451	UROK	\N	\N
3443748	1768	1996-02-29	PRIJEM	\N	130	34214	UROK	\N	\N
3443749	1768	1996-03-31	PRIJEM	\N	162	40909	UROK	\N	\N
3443750	1768	1996-04-30	PRIJEM	\N	180	44423	UROK	\N	\N
3443751	1768	1996-05-31	PRIJEM	\N	183	44340	UROK	\N	\N
3443752	1768	1996-06-30	PRIJEM	\N	126	26583	UROK	\N	\N
3443753	1768	1996-07-31	PRIJEM	\N	145	37262	UROK	\N	\N
3443754	1768	1996-08-31	PRIJEM	\N	177	44072	UROK	\N	\N
3443755	1768	1996-09-30	PRIJEM	\N	222	45128	UROK	\N	\N
3443756	1768	1996-10-31	PRIJEM	\N	193	47155	UROK	\N	\N
3443757	1768	1996-11-30	PRIJEM	\N	209	47298	UROK	\N	\N
3443758	1768	1996-12-31	PRIJEM	\N	232	57267	UROK	\N	\N
3443759	1768	1997-01-31	PRIJEM	\N	199	43200	UROK	\N	\N
3443760	1768	1997-02-28	PRIJEM	\N	200	45654	UROK	\N	\N
3443761	1768	1997-03-31	PRIJEM	\N	217	53604	UROK	\N	\N
3443762	1768	1997-04-30	PRIJEM	\N	234	57170	UROK	\N	\N
3443763	1768	1997-05-31	PRIJEM	\N	235	53378	UROK	\N	\N
3443764	1768	1997-06-30	PRIJEM	\N	210	28106	UROK	\N	\N
3443765	1768	1997-07-31	PRIJEM	\N	164	41703	UROK	\N	\N
3443766	1768	1997-08-31	PRIJEM	\N	202	50038	UROK	\N	\N
3443767	1768	1997-09-30	PRIJEM	\N	177	54649	UROK	\N	\N
3443768	1768	1997-10-31	PRIJEM	\N	208	44750	UROK	\N	\N
3443769	1768	1997-11-30	PRIJEM	\N	184	46868	UROK	\N	\N
3443770	1768	1997-12-31	PRIJEM	\N	201	50546	UROK	\N	\N
3443771	1768	1998-01-31	PRIJEM	\N	212	36331	UROK	\N	\N
3443772	1768	1998-02-28	PRIJEM	\N	151	45416	UROK	\N	\N
3443773	1768	1998-03-31	PRIJEM	\N	186	46135	UROK	\N	\N
3443774	1768	1998-04-30	PRIJEM	\N	189	46558	UROK	\N	\N
3443775	1768	1998-05-31	PRIJEM	\N	192	49083	UROK	\N	\N
3443776	1768	1998-06-30	PRIJEM	\N	226	45686	UROK	\N	\N
3443777	1768	1998-07-31	PRIJEM	\N	190	50709	UROK	\N	\N
3443778	1768	1998-08-31	PRIJEM	\N	226	50309	UROK	\N	\N
3443779	1768	1998-09-30	PRIJEM	\N	204	48046	UROK	\N	\N
3443780	1768	1998-10-31	PRIJEM	\N	211	50390	UROK	\N	\N
3443781	1768	1998-11-30	PRIJEM	\N	206	51130	UROK	\N	\N
3443782	1768	1998-12-31	PRIJEM	\N	209	51577	UROK	\N	\N
3443783	1769	1995-02-28	PRIJEM	\N	11	14678	UROK	\N	\N
3443784	1769	1995-03-31	PRIJEM	\N	66	20311	UROK	\N	\N
3443785	1769	1995-04-30	PRIJEM	\N	86	22464	UROK	\N	\N
3443786	1769	1995-05-31	PRIJEM	\N	94	23525	UROK	\N	\N
3443787	1769	1995-06-30	PRIJEM	\N	73	14507	UROK	\N	\N
3443788	1769	1995-07-31	PRIJEM	\N	65	19025	UROK	\N	\N
3443789	1769	1995-08-31	PRIJEM	\N	85	23963	UROK	\N	\N
3443790	1769	1995-09-30	PRIJEM	\N	109	24723	UROK	\N	\N
3443791	1769	1995-10-31	PRIJEM	\N	106	27282	UROK	\N	\N
3443792	1769	1995-11-30	PRIJEM	\N	114	27849	UROK	\N	\N
3443793	1769	1995-12-31	PRIJEM	\N	118	27202	UROK	\N	\N
3443794	1769	1996-01-31	PRIJEM	\N	100	26014	UROK	\N	\N
3443795	1769	1996-02-29	PRIJEM	\N	108	24695	UROK	\N	\N
3443796	1769	1996-03-31	PRIJEM	\N	111	29859	UROK	\N	\N
3443797	1769	1996-04-30	PRIJEM	\N	130	33241	UROK	\N	\N
3443798	1769	1996-05-31	PRIJEM	\N	143	36236	UROK	\N	\N
3443799	1769	1996-06-30	PRIJEM	\N	107	24778	UROK	\N	\N
3443800	1769	1996-07-31	PRIJEM	\N	120	29590	UROK	\N	\N
3443801	1769	1996-08-31	PRIJEM	\N	127	31670	UROK	\N	\N
3443802	1769	1996-09-30	PRIJEM	\N	138	34660	UROK	\N	\N
3443803	1769	1996-10-31	PRIJEM	\N	140	32212	UROK	\N	\N
3443804	1769	1996-11-30	PRIJEM	\N	133	32097	UROK	\N	\N
3443805	1769	1996-12-31	PRIJEM	\N	141	34694	UROK	\N	\N
3443806	1769	1997-01-31	PRIJEM	\N	126	27532	UROK	\N	\N
3443807	1769	1997-02-28	PRIJEM	\N	109	25053	UROK	\N	\N
3443808	1769	1997-03-31	PRIJEM	\N	113	29018	UROK	\N	\N
3443809	1769	1997-04-30	PRIJEM	\N	124	30695	UROK	\N	\N
3443810	1769	1997-05-31	PRIJEM	\N	122	28569	UROK	\N	\N
3443811	1769	1997-06-30	PRIJEM	\N	88	18312	UROK	\N	\N
3443812	1769	1997-07-31	PRIJEM	\N	70	14235	UROK	\N	\N
3443813	1769	1997-08-31	PRIJEM	\N	69	18256	UROK	\N	\N
3443814	1769	1997-09-30	PRIJEM	\N	71	16679	UROK	\N	\N
3443815	1769	1997-10-31	PRIJEM	\N	65	15277	UROK	\N	\N
3443816	1769	1997-11-30	PRIJEM	\N	57	13486	UROK	\N	\N
3443817	1769	1997-12-31	PRIJEM	\N	65	16187	UROK	\N	\N
3443818	1769	1998-01-31	PRIJEM	\N	58	11397	UROK	\N	\N
3443819	1769	1998-02-28	PRIJEM	\N	61	12411	UROK	\N	\N
3443820	1769	1998-03-31	PRIJEM	\N	48	10792	UROK	\N	\N
3443821	1769	1998-04-30	PRIJEM	\N	57	15201	UROK	\N	\N
3443822	1769	1998-05-31	PRIJEM	\N	68	17522	UROK	\N	\N
3443823	1769	1998-06-30	PRIJEM	\N	46	7223	UROK	\N	\N
3443824	1769	1998-07-31	PRIJEM	\N	26	6001	UROK	\N	\N
3443825	1769	1998-08-31	PRIJEM	\N	52	15006	UROK	\N	\N
3443826	1769	1998-09-30	PRIJEM	\N	70	17728	UROK	\N	\N
3443827	1769	1998-10-31	PRIJEM	\N	79	19859	UROK	\N	\N
3443828	1769	1998-11-30	PRIJEM	\N	76	18288	UROK	\N	\N
3443829	1769	1998-12-31	PRIJEM	\N	81	18464	UROK	\N	\N
3443830	1781	1996-07-31	PRIJEM	\N	14	11314	UROK	\N	\N
3443831	1781	1996-08-31	PRIJEM	\N	52	15066	UROK	\N	\N
3443832	1781	1996-09-30	PRIJEM	\N	66	17532	UROK	\N	\N
3443833	1781	1996-10-31	PRIJEM	\N	79	21711	UROK	\N	\N
3443834	1781	1996-11-30	PRIJEM	\N	92	22702	UROK	\N	\N
3443835	1781	1996-12-31	PRIJEM	\N	103	27783	UROK	\N	\N
3443836	1781	1997-01-31	PRIJEM	\N	81	12199	UROK	\N	\N
3443837	1781	1997-02-28	PRIJEM	\N	56	14691	UROK	\N	\N
3443838	1781	1997-03-31	PRIJEM	\N	64	16540	UROK	\N	\N
3443839	1781	1997-04-30	PRIJEM	\N	74	19299	UROK	\N	\N
3443840	1781	1997-05-31	PRIJEM	\N	87	22871	UROK	\N	\N
3443841	1781	1997-06-30	PRIJEM	\N	122	54315	UROK	\N	\N
3443842	1781	1997-07-31	PRIJEM	\N	198	39598	UROK	\N	\N
3443843	1781	1997-08-31	PRIJEM	\N	174	41066	UROK	\N	\N
3443844	1781	1997-09-30	PRIJEM	\N	159	34060	UROK	\N	\N
3443845	1781	1997-10-31	PRIJEM	\N	126	26671	UROK	\N	\N
3443846	1781	1997-11-30	PRIJEM	\N	111	26867	UROK	\N	\N
3443847	1781	1997-12-31	PRIJEM	\N	115	28668	UROK	\N	\N
3443848	1781	1998-01-31	PRIJEM	\N	93	20146	UROK	\N	\N
3443849	1781	1998-02-28	PRIJEM	\N	192	68523	UROK	\N	\N
3443850	1781	1998-03-31	PRIJEM	\N	247	50855	UROK	\N	\N
3443851	1781	1998-04-30	PRIJEM	\N	194	43134	UROK	\N	\N
3443852	1781	1998-05-31	PRIJEM	\N	175	41094	UROK	\N	\N
3443853	1781	1998-06-30	PRIJEM	\N	106	18936	UROK	\N	\N
3443854	1781	1998-07-31	PRIJEM	\N	103	29324	UROK	\N	\N
3443855	1781	1998-08-31	PRIJEM	\N	130	33740	UROK	\N	\N
3443856	1781	1998-09-30	PRIJEM	\N	142	34618	UROK	\N	\N
3443857	1781	1998-10-31	PRIJEM	\N	141	34430	UROK	\N	\N
3443858	1781	1998-11-30	PRIJEM	\N	142	34057	UROK	\N	\N
3443859	1781	1998-12-31	PRIJEM	\N	137	30479	UROK	\N	\N
3443860	1788	1994-01-31	PRIJEM	\N	6	2606	UROK	\N	\N
3443861	1788	1994-02-28	PRIJEM	\N	33	14239	UROK	\N	\N
3443862	1788	1994-03-31	PRIJEM	\N	72	20012	UROK	\N	\N
3443863	1788	1994-04-30	PRIJEM	\N	92	24204	UROK	\N	\N
3443864	1788	1994-05-31	PRIJEM	\N	99	23403	UROK	\N	\N
3443865	1788	1994-06-30	PRIJEM	\N	85	16773	UROK	\N	\N
3443866	1788	1994-07-31	PRIJEM	\N	75	19234	UROK	\N	\N
3443867	1788	1994-08-31	PRIJEM	\N	87	22707	UROK	\N	\N
3443868	1788	1994-09-30	PRIJEM	\N	116	32993	UROK	\N	\N
3443869	1788	1994-10-31	PRIJEM	\N	170	46581	UROK	\N	\N
3443870	1788	1994-11-30	PRIJEM	\N	164	34131	UROK	\N	\N
3443871	1788	1994-12-31	PRIJEM	\N	124	25390	UROK	\N	\N
3443872	1788	1995-01-31	PRIJEM	\N	92	19568	UROK	\N	\N
3443873	1788	1995-02-28	PRIJEM	\N	82	22135	UROK	\N	\N
3443874	1788	1995-03-31	PRIJEM	\N	91	20111	UROK	\N	\N
3443875	1788	1995-04-30	PRIJEM	\N	84	20480	UROK	\N	\N
3443876	1788	1995-05-31	PRIJEM	\N	86	23652	UROK	\N	\N
3443877	1788	1995-06-30	PRIJEM	\N	93	18428	UROK	\N	\N
3443878	1788	1995-07-31	PRIJEM	\N	78	20192	UROK	\N	\N
3443879	1788	1995-08-31	PRIJEM	\N	84	20261	UROK	\N	\N
3443880	1788	1995-09-30	PRIJEM	\N	82	17528	UROK	\N	\N
3443881	1788	1995-10-31	PRIJEM	\N	72	16385	UROK	\N	\N
3443882	1788	1995-11-30	PRIJEM	\N	131	33066	UROK	\N	\N
3443883	1788	1995-12-31	PRIJEM	\N	128	21179	UROK	\N	\N
3443884	1788	1996-01-31	PRIJEM	\N	106	14783	UROK	\N	\N
3443885	1788	1996-02-29	PRIJEM	\N	61	15029	UROK	\N	\N
3443886	1788	1996-03-31	PRIJEM	\N	62	16577	UROK	\N	\N
3443887	1788	1996-04-30	PRIJEM	\N	69	18131	UROK	\N	\N
3443888	1788	1996-05-31	PRIJEM	\N	73	16189	UROK	\N	\N
3443889	1788	1996-06-30	PRIJEM	\N	65	15589	UROK	\N	\N
3443890	1788	1996-07-31	PRIJEM	\N	64	17139	UROK	\N	\N
3443891	1788	1996-08-31	PRIJEM	\N	72	17896	UROK	\N	\N
3443892	1788	1996-09-30	PRIJEM	\N	74	18055	UROK	\N	\N
3443893	1788	1996-10-31	PRIJEM	\N	74	19615	UROK	\N	\N
3443894	1788	1996-11-30	PRIJEM	\N	122	56459	UROK	\N	\N
3443895	1788	1996-12-31	PRIJEM	\N	178	26323	UROK	\N	\N
3443896	1788	1997-01-31	PRIJEM	\N	67	14125	UROK	\N	\N
3443897	1788	1997-02-28	PRIJEM	\N	58	15668	UROK	\N	\N
3443898	1788	1997-03-31	PRIJEM	\N	64	17218	UROK	\N	\N
3443899	1788	1997-04-30	PRIJEM	\N	71	18774	UROK	\N	\N
3443900	1788	1997-05-31	PRIJEM	\N	77	20336	UROK	\N	\N
3443901	1788	1997-06-30	PRIJEM	\N	84	21905	UROK	\N	\N
3443902	1788	1997-07-31	PRIJEM	\N	102	38109	UROK	\N	\N
3443903	1788	1997-08-31	PRIJEM	\N	158	38902	UROK	\N	\N
3443904	1788	1997-09-30	PRIJEM	\N	105	14205	UROK	\N	\N
3443905	1788	1997-10-31	PRIJEM	\N	58	15748	UROK	\N	\N
3443906	1788	1997-11-30	PRIJEM	\N	64	15247	UROK	\N	\N
3443907	1788	1997-12-31	PRIJEM	\N	62	16795	UROK	\N	\N
3443908	1788	1998-01-31	PRIJEM	\N	64	15744	UROK	\N	\N
3443909	1788	1998-02-28	PRIJEM	\N	64	17293	UROK	\N	\N
3443910	1788	1998-03-31	PRIJEM	\N	70	18849	UROK	\N	\N
3443911	1788	1998-04-30	PRIJEM	\N	75	18309	UROK	\N	\N
3443912	1788	1998-05-31	PRIJEM	\N	75	19570	UROK	\N	\N
3443913	1788	1998-06-30	PRIJEM	\N	80	21135	UROK	\N	\N
3443914	1788	1998-07-31	PRIJEM	\N	86	22706	UROK	\N	\N
3443915	1788	1998-08-31	PRIJEM	\N	93	24284	UROK	\N	\N
3443916	1788	1998-09-30	PRIJEM	\N	99	25868	UROK	\N	\N
3443917	1788	1998-10-31	PRIJEM	\N	192	58496	UROK	\N	\N
3443918	1788	1998-11-30	PRIJEM	\N	240	58322	UROK	\N	\N
3443919	1788	1998-12-31	PRIJEM	\N	242	59549	UROK	\N	\N
3443920	1804	1993-10-31	PRIJEM	\N	60	68727	UROK	\N	\N
3443921	1804	1993-11-30	PRIJEM	\N	293	30399	UROK	\N	\N
3443922	1804	1993-12-31	PRIJEM	\N	141	40819	UROK	\N	\N
3443923	1804	1994-01-31	PRIJEM	\N	124	19013	UROK	\N	\N
3443924	1804	1994-02-28	PRIJEM	\N	190	66385	UROK	\N	\N
3443925	1804	1994-03-31	PRIJEM	\N	267	30838	UROK	\N	\N
3443926	1804	1994-04-30	PRIJEM	\N	138	36329	UROK	\N	\N
3443927	1804	1994-05-31	PRIJEM	\N	117	21716	UROK	\N	\N
3443928	1804	1994-06-30	PRIJEM	\N	116	38607	UROK	\N	\N
3443929	1804	1994-07-31	PRIJEM	\N	141	26417	UROK	\N	\N
3443930	1804	1994-08-31	PRIJEM	\N	147	61117	UROK	\N	\N
3443931	1804	1994-09-30	PRIJEM	\N	218	41167	UROK	\N	\N
3443932	1804	1994-10-31	PRIJEM	\N	151	27760	UROK	\N	\N
3443933	1804	1994-11-30	PRIJEM	\N	115	25245	UROK	\N	\N
3443934	1804	1994-12-31	PRIJEM	\N	114	32232	UROK	\N	\N
3443935	1804	1995-01-31	PRIJEM	\N	113	22716	UROK	\N	\N
3443936	1804	1995-02-28	PRIJEM	\N	101	22468	UROK	\N	\N
3443937	1804	1995-03-31	PRIJEM	\N	95	23333	UROK	\N	\N
3443938	1804	1995-04-30	PRIJEM	\N	97	27000	UROK	\N	\N
3443939	1804	1995-05-31	PRIJEM	\N	112	25882	UROK	\N	\N
3443940	1804	1995-06-30	PRIJEM	\N	108	30360	UROK	\N	\N
3443941	1804	1995-07-31	PRIJEM	\N	196	66568	UROK	\N	\N
3443942	1804	1995-08-31	PRIJEM	\N	225	39679	UROK	\N	\N
3443943	1804	1995-09-30	PRIJEM	\N	160	28054	UROK	\N	\N
3443944	1804	1995-10-31	PRIJEM	\N	170	44964	UROK	\N	\N
3443945	1804	1995-11-30	PRIJEM	\N	155	33062	UROK	\N	\N
3443946	1804	1995-12-31	PRIJEM	\N	127	29589	UROK	\N	\N
3443947	1804	1996-01-31	PRIJEM	\N	154	58464	UROK	\N	\N
3443948	1804	1996-02-29	PRIJEM	\N	287	86371	UROK	\N	\N
3443949	1804	1996-03-31	PRIJEM	\N	310	67776	UROK	\N	\N
3443950	1804	1996-04-30	PRIJEM	\N	305	95143	UROK	\N	\N
3443951	1804	1996-05-31	PRIJEM	\N	330	66076	UROK	\N	\N
3443952	1804	1996-06-30	PRIJEM	\N	257	48715	UROK	\N	\N
3443953	1804	1996-07-31	PRIJEM	\N	205	51592	UROK	\N	\N
3443954	1804	1996-08-31	PRIJEM	\N	184	48865	UROK	\N	\N
3443955	1804	1996-09-30	PRIJEM	\N	197	34035	UROK	\N	\N
3443956	1804	1996-10-31	PRIJEM	\N	203	78256	UROK	\N	\N
3443957	1804	1996-11-30	PRIJEM	\N	299	69835	UROK	\N	\N
3443958	1804	1996-12-31	PRIJEM	\N	283	88150	UROK	\N	\N
3443959	1804	1997-01-31	PRIJEM	\N	327	49558	UROK	\N	\N
3443960	1804	1997-02-28	PRIJEM	\N	314	86451	UROK	\N	\N
3443961	1804	1997-03-31	PRIJEM	\N	364	96355	UROK	\N	\N
3443962	1804	1997-04-30	PRIJEM	\N	409	104094	UROK	\N	\N
3443963	1804	1997-05-31	PRIJEM	\N	329	80907	UROK	\N	\N
3443964	1804	1997-06-30	PRIJEM	\N	306	39263	UROK	\N	\N
3443965	1804	1997-07-31	PRIJEM	\N	305	115546	UROK	\N	\N
3443966	1804	1997-08-31	PRIJEM	\N	389	47710	UROK	\N	\N
3443967	1804	1997-09-30	PRIJEM	\N	315	79663	UROK	\N	\N
3443968	1804	1997-10-31	PRIJEM	\N	332	80712	UROK	\N	\N
3443969	1804	1997-11-30	PRIJEM	\N	373	93562	UROK	\N	\N
3443970	1804	1997-12-31	PRIJEM	\N	294	87330	UROK	\N	\N
3443971	1804	1998-01-31	PRIJEM	\N	203	34676	UROK	\N	\N
3443972	1804	1998-02-28	PRIJEM	\N	141	34788	UROK	\N	\N
3443973	1804	1998-03-31	PRIJEM	\N	141	37399	UROK	\N	\N
3443974	1804	1998-04-30	PRIJEM	\N	142	40639	UROK	\N	\N
3443975	1804	1998-05-31	PRIJEM	\N	297	55001	UROK	\N	\N
3443976	1804	1998-06-30	PRIJEM	\N	227	61151	UROK	\N	\N
3443977	1804	1998-07-31	PRIJEM	\N	324	56587	UROK	\N	\N
3443978	1804	1998-08-31	PRIJEM	\N	229	39886	UROK	\N	\N
3443979	1804	1998-09-30	PRIJEM	\N	161	32317	UROK	\N	\N
3443980	1804	1998-10-31	PRIJEM	\N	130	29916	UROK	\N	\N
3443981	1804	1998-11-30	PRIJEM	\N	331	64706	UROK	\N	\N
3443982	1804	1998-12-31	PRIJEM	\N	249	57172	UROK	\N	\N
3443983	1818	1997-03-31	PRIJEM	\N	14	20964	UROK	\N	\N
3443984	1818	1997-04-30	PRIJEM	\N	97	34611	UROK	\N	\N
3443985	1818	1997-05-31	PRIJEM	\N	148	39609	UROK	\N	\N
3443986	1818	1997-06-30	PRIJEM	\N	174	50757	UROK	\N	\N
3443987	1818	1997-07-31	PRIJEM	\N	246	52454	UROK	\N	\N
3443988	1818	1997-08-31	PRIJEM	\N	222	55711	UROK	\N	\N
3443989	1818	1997-09-30	PRIJEM	\N	237	58883	UROK	\N	\N
3443990	1818	1997-10-31	PRIJEM	\N	247	60365	UROK	\N	\N
3443991	1818	1997-11-30	PRIJEM	\N	248	57648	UROK	\N	\N
3443992	1818	1997-12-31	PRIJEM	\N	276	57564	UROK	\N	\N
3443993	1818	1998-01-31	PRIJEM	\N	240	47499	UROK	\N	\N
3443994	1818	1998-02-28	PRIJEM	\N	208	40882	UROK	\N	\N
3443995	1818	1998-03-31	PRIJEM	\N	171	41889	UROK	\N	\N
3443996	1818	1998-04-30	PRIJEM	\N	180	38384	UROK	\N	\N
3443997	1818	1998-05-31	PRIJEM	\N	161	39280	UROK	\N	\N
3443998	1818	1998-06-30	PRIJEM	\N	168	39328	UROK	\N	\N
3443999	1818	1998-07-31	PRIJEM	\N	162	38426	UROK	\N	\N
3444000	1818	1998-08-31	PRIJEM	\N	156	36517	UROK	\N	\N
3444001	1818	1998-09-30	PRIJEM	\N	151	36103	UROK	\N	\N
3444002	1818	1998-10-31	PRIJEM	\N	153	37691	UROK	\N	\N
3444003	1818	1998-11-30	PRIJEM	\N	160	38547	UROK	\N	\N
3444004	1818	1998-12-31	PRIJEM	\N	165	38612	UROK	\N	\N
3444005	1840	1997-02-28	PRIJEM	\N	18	15424	UROK	\N	\N
3444006	1840	1997-03-31	PRIJEM	\N	76	24906	UROK	\N	\N
3444007	1840	1997-04-30	PRIJEM	\N	107	27619	UROK	\N	\N
3444008	1840	1997-05-31	PRIJEM	\N	118	29842	UROK	\N	\N
3444009	1840	1997-06-30	PRIJEM	\N	130	18081	UROK	\N	\N
3444010	1840	1997-07-31	PRIJEM	\N	76	18949	UROK	\N	\N
3444011	1840	1997-08-31	PRIJEM	\N	85	22725	UROK	\N	\N
3444012	1840	1997-09-30	PRIJEM	\N	96	22412	UROK	\N	\N
3444013	1840	1997-10-31	PRIJEM	\N	105	24409	UROK	\N	\N
3444014	1840	1997-11-30	PRIJEM	\N	100	23801	UROK	\N	\N
3444015	1840	1997-12-31	PRIJEM	\N	117	23212	UROK	\N	\N
3444016	1840	1998-01-31	PRIJEM	\N	85	15588	UROK	\N	\N
3444017	1840	1998-02-28	PRIJEM	\N	67	17047	UROK	\N	\N
3444018	1840	1998-03-31	PRIJEM	\N	77	14615	UROK	\N	\N
3444019	1840	1998-04-30	PRIJEM	\N	64	16671	UROK	\N	\N
3444020	1840	1998-05-31	PRIJEM	\N	73	18535	UROK	\N	\N
3444021	1840	1998-06-30	PRIJEM	\N	74	16103	UROK	\N	\N
3444022	1840	1998-07-31	PRIJEM	\N	77	18872	UROK	\N	\N
3444023	1840	1998-08-31	PRIJEM	\N	76	17539	UROK	\N	\N
3444024	1840	1998-09-30	PRIJEM	\N	87	23818	UROK	\N	\N
3444025	1840	1998-10-31	PRIJEM	\N	96	19705	UROK	\N	\N
3444026	1840	1998-11-30	PRIJEM	\N	88	12784	UROK	\N	\N
3444027	1840	1998-12-31	PRIJEM	\N	99	25577	UROK	\N	\N
3444028	1853	1997-02-28	PRIJEM	\N	5	1905	UROK	\N	\N
3444029	1853	1997-03-31	PRIJEM	\N	74	26879	UROK	\N	\N
3444030	1853	1997-04-30	PRIJEM	\N	118	40477	UROK	\N	\N
3444031	1853	1997-05-31	PRIJEM	\N	170	40533	UROK	\N	\N
3444032	1853	1997-06-30	PRIJEM	\N	159	34277	UROK	\N	\N
3444033	1853	1997-07-31	PRIJEM	\N	147	39109	UROK	\N	\N
3444034	1853	1997-08-31	PRIJEM	\N	154	35249	UROK	\N	\N
3444035	1853	1997-09-30	PRIJEM	\N	165	45080	UROK	\N	\N
3444036	1853	1997-10-31	PRIJEM	\N	185	40150	UROK	\N	\N
3444037	1853	1997-11-30	PRIJEM	\N	164	35300	UROK	\N	\N
3444038	1853	1997-12-31	PRIJEM	\N	141	27577	UROK	\N	\N
3444039	1853	1998-01-31	PRIJEM	\N	110	17972	UROK	\N	\N
3444040	1853	1998-02-28	PRIJEM	\N	106	29705	UROK	\N	\N
3444041	1853	1998-03-31	PRIJEM	\N	119	23509	UROK	\N	\N
3444042	1853	1998-04-30	PRIJEM	\N	137	36052	UROK	\N	\N
3444043	1853	1998-05-31	PRIJEM	\N	146	31483	UROK	\N	\N
3444044	1853	1998-06-30	PRIJEM	\N	127	27396	UROK	\N	\N
3444045	1853	1998-07-31	PRIJEM	\N	113	26295	UROK	\N	\N
3444046	1853	1998-08-31	PRIJEM	\N	112	28192	UROK	\N	\N
3444047	1853	1998-09-30	PRIJEM	\N	118	28796	UROK	\N	\N
3444048	1853	1998-10-31	PRIJEM	\N	119	27100	UROK	\N	\N
3444049	1853	1998-11-30	PRIJEM	\N	118	30503	UROK	\N	\N
3444050	1853	1998-12-31	PRIJEM	\N	132	33220	UROK	\N	\N
3444051	1867	1995-12-31	PRIJEM	\N	64	28259	UROK	\N	\N
3444052	1867	1996-01-31	PRIJEM	\N	142	38431	UROK	\N	\N
3444053	1867	1996-02-29	PRIJEM	\N	171	43233	UROK	\N	\N
3444054	1867	1996-03-31	PRIJEM	\N	185	45648	UROK	\N	\N
3444055	1867	1996-04-30	PRIJEM	\N	200	49078	UROK	\N	\N
3444056	1867	1996-05-31	PRIJEM	\N	213	52606	UROK	\N	\N
3444057	1867	1996-06-30	PRIJEM	\N	202	33488	UROK	\N	\N
3444058	1867	1996-07-31	PRIJEM	\N	158	40561	UROK	\N	\N
3444059	1867	1996-08-31	PRIJEM	\N	188	47364	UROK	\N	\N
3444060	1867	1996-09-30	PRIJEM	\N	235	59414	UROK	\N	\N
3444061	1867	1996-10-31	PRIJEM	\N	266	66095	UROK	\N	\N
3444062	1867	1996-11-30	PRIJEM	\N	293	72503	UROK	\N	\N
3444063	1867	1996-12-31	PRIJEM	\N	329	81112	UROK	\N	\N
3444064	1867	1997-01-31	PRIJEM	\N	267	57195	UROK	\N	\N
3444065	1867	1997-02-28	PRIJEM	\N	252	62462	UROK	\N	\N
3444066	1867	1997-03-31	PRIJEM	\N	275	67952	UROK	\N	\N
3444067	1867	1997-04-30	PRIJEM	\N	287	69755	UROK	\N	\N
3444068	1867	1997-05-31	PRIJEM	\N	293	70963	UROK	\N	\N
3444069	1867	1997-06-30	PRIJEM	\N	302	57945	UROK	\N	\N
3444070	1867	1997-07-31	PRIJEM	\N	254	59314	UROK	\N	\N
3444071	1867	1997-08-31	PRIJEM	\N	273	68802	UROK	\N	\N
3444072	1867	1997-09-30	PRIJEM	\N	273	71091	UROK	\N	\N
3444073	1867	1997-10-31	PRIJEM	\N	303	72009	UROK	\N	\N
3444074	1867	1997-11-30	PRIJEM	\N	311	76636	UROK	\N	\N
3444075	1867	1997-12-31	PRIJEM	\N	355	88070	UROK	\N	\N
3444076	1867	1998-01-31	PRIJEM	\N	276	62362	UROK	\N	\N
3444077	1867	1998-02-28	PRIJEM	\N	278	69755	UROK	\N	\N
3444078	1867	1998-03-31	PRIJEM	\N	294	71665	UROK	\N	\N
3444079	1867	1998-04-30	PRIJEM	\N	292	69972	UROK	\N	\N
3444080	1867	1998-05-31	PRIJEM	\N	274	61761	UROK	\N	\N
3444081	1867	1998-06-30	PRIJEM	\N	287	69729	UROK	\N	\N
3444082	1867	1998-07-31	PRIJEM	\N	305	75649	UROK	\N	\N
3444083	1867	1998-08-31	PRIJEM	\N	320	75484	UROK	\N	\N
3444084	1867	1998-09-30	PRIJEM	\N	308	72907	UROK	\N	\N
3444085	1867	1998-10-31	PRIJEM	\N	296	53019	UROK	\N	\N
3444086	1867	1998-11-30	PRIJEM	\N	218	54353	UROK	\N	\N
3444087	1867	1998-12-31	PRIJEM	\N	251	87884	UROK	\N	\N
3444088	1870	1994-07-31	PRIJEM	\N	23	24756	UROK	\N	\N
3444089	1870	1994-08-31	PRIJEM	\N	114	35404	UROK	\N	\N
3444090	1870	1994-09-30	PRIJEM	\N	154	41490	UROK	\N	\N
3444091	1870	1994-10-31	PRIJEM	\N	175	43498	UROK	\N	\N
3444092	1870	1994-11-30	PRIJEM	\N	183	45714	UROK	\N	\N
3444093	1870	1994-12-31	PRIJEM	\N	210	44759	UROK	\N	\N
3444094	1870	1995-01-31	PRIJEM	\N	213	43930	UROK	\N	\N
3444095	1870	1995-02-28	PRIJEM	\N	190	49138	UROK	\N	\N
3444096	1870	1995-03-31	PRIJEM	\N	204	48460	UROK	\N	\N
3444097	1870	1995-04-30	PRIJEM	\N	203	49181	UROK	\N	\N
3444098	1870	1995-05-31	PRIJEM	\N	206	48685	UROK	\N	\N
3444099	1870	1995-06-30	PRIJEM	\N	248	52529	UROK	\N	\N
3444100	1870	1995-07-31	PRIJEM	\N	214	49861	UROK	\N	\N
3444101	1870	1995-08-31	PRIJEM	\N	203	47483	UROK	\N	\N
3444102	1870	1995-09-30	PRIJEM	\N	197	47098	UROK	\N	\N
3444103	1870	1995-10-31	PRIJEM	\N	191	44807	UROK	\N	\N
3444104	1870	1995-11-30	PRIJEM	\N	185	44411	UROK	\N	\N
3444105	1870	1995-12-31	PRIJEM	\N	221	46027	UROK	\N	\N
3444106	1870	1996-01-31	PRIJEM	\N	188	44433	UROK	\N	\N
3444107	1870	1996-02-29	PRIJEM	\N	182	40954	UROK	\N	\N
3444108	1870	1996-03-31	PRIJEM	\N	182	40614	UROK	\N	\N
3444109	1870	1996-04-30	PRIJEM	\N	169	41002	UROK	\N	\N
3444110	1870	1996-05-31	PRIJEM	\N	182	46502	UROK	\N	\N
3444111	1870	1996-06-30	PRIJEM	\N	203	50941	UROK	\N	\N
3444112	1870	1996-07-31	PRIJEM	\N	204	47863	UROK	\N	\N
3444113	1870	1996-08-31	PRIJEM	\N	189	44370	UROK	\N	\N
3444114	1870	1996-09-30	PRIJEM	\N	174	40662	UROK	\N	\N
3444115	1870	1996-10-31	PRIJEM	\N	162	38543	UROK	\N	\N
3444116	1870	1996-11-30	PRIJEM	\N	164	37945	UROK	\N	\N
3444117	1870	1996-12-31	PRIJEM	\N	176	39636	UROK	\N	\N
3444118	1870	1997-01-31	PRIJEM	\N	225	42779	UROK	\N	\N
3444119	1870	1997-02-28	PRIJEM	\N	201	49618	UROK	\N	\N
3444120	1870	1997-03-31	PRIJEM	\N	197	47034	UROK	\N	\N
3444121	1870	1997-04-30	PRIJEM	\N	253	42706	UROK	\N	\N
3444122	1870	1997-05-31	PRIJEM	\N	153	34677	UROK	\N	\N
3444123	1870	1997-06-30	PRIJEM	\N	209	57721	UROK	\N	\N
3444124	1870	1997-07-31	PRIJEM	\N	249	58568	UROK	\N	\N
3444125	1870	1997-08-31	PRIJEM	\N	228	55295	UROK	\N	\N
3444126	1870	1997-09-30	PRIJEM	\N	242	60155	UROK	\N	\N
3444127	1870	1997-10-31	PRIJEM	\N	254	62328	UROK	\N	\N
3444128	1870	1997-11-30	PRIJEM	\N	263	64609	UROK	\N	\N
3444129	1870	1997-12-31	PRIJEM	\N	298	70543	UROK	\N	\N
3444130	1870	1998-01-31	PRIJEM	\N	280	66641	UROK	\N	\N
3444131	1870	1998-02-28	PRIJEM	\N	269	64828	UROK	\N	\N
3444132	1870	1998-03-31	PRIJEM	\N	262	63309	UROK	\N	\N
3444133	1870	1998-04-30	PRIJEM	\N	243	57270	UROK	\N	\N
3444134	1870	1998-05-31	PRIJEM	\N	224	53712	UROK	\N	\N
3444135	1870	1998-06-30	PRIJEM	\N	248	62196	UROK	\N	\N
3444136	1870	1998-07-31	PRIJEM	\N	252	61167	UROK	\N	\N
3444137	1870	1998-08-31	PRIJEM	\N	230	54215	UROK	\N	\N
3444138	1870	1998-09-30	PRIJEM	\N	221	53854	UROK	\N	\N
3444139	1870	1998-10-31	PRIJEM	\N	214	51886	UROK	\N	\N
3444140	1870	1998-11-30	PRIJEM	\N	197	45722	UROK	\N	\N
3444141	1870	1998-12-31	PRIJEM	\N	198	57455	UROK	\N	\N
3444142	1871	1994-05-31	PRIJEM	\N	56	23291	UROK	\N	\N
3444143	1871	1994-06-30	PRIJEM	\N	181	59024	UROK	\N	\N
3444144	1871	1994-07-31	PRIJEM	\N	265	67424	UROK	\N	\N
3444145	1871	1994-08-31	PRIJEM	\N	286	70146	UROK	\N	\N
3444146	1871	1994-09-30	PRIJEM	\N	245	49418	UROK	\N	\N
3444147	1871	1994-10-31	PRIJEM	\N	236	61974	UROK	\N	\N
3444148	1871	1994-11-30	PRIJEM	\N	184	45289	UROK	\N	\N
3444149	1871	1994-12-31	PRIJEM	\N	214	62841	UROK	\N	\N
3444150	1871	1995-01-31	PRIJEM	\N	165	30912	UROK	\N	\N
3444151	1871	1995-02-28	PRIJEM	\N	123	25559	UROK	\N	\N
3444152	1871	1995-03-31	PRIJEM	\N	139	31619	UROK	\N	\N
3444153	1871	1995-04-30	PRIJEM	\N	115	31079	UROK	\N	\N
3444154	1871	1995-05-31	PRIJEM	\N	153	35390	UROK	\N	\N
3444155	1871	1995-06-30	PRIJEM	\N	200	57017	UROK	\N	\N
3444156	1871	1995-07-31	PRIJEM	\N	244	54177	UROK	\N	\N
3444157	1871	1995-08-31	PRIJEM	\N	207	33082	UROK	\N	\N
3444158	1871	1995-09-30	PRIJEM	\N	165	44767	UROK	\N	\N
3444159	1871	1995-10-31	PRIJEM	\N	203	51990	UROK	\N	\N
3444160	1871	1995-11-30	PRIJEM	\N	203	36808	UROK	\N	\N
3444161	1871	1995-12-31	PRIJEM	\N	155	44469	UROK	\N	\N
3444162	1871	1996-01-31	PRIJEM	\N	131	19620	UROK	\N	\N
3444163	1871	1996-02-29	PRIJEM	\N	84	42725	UROK	\N	\N
3444164	1871	1996-03-31	PRIJEM	\N	174	30519	UROK	\N	\N
3444165	1871	1996-04-30	PRIJEM	\N	139	37378	UROK	\N	\N
3444166	1871	1996-05-31	PRIJEM	\N	160	31658	UROK	\N	\N
3444167	1871	1996-06-30	PRIJEM	\N	181	36476	UROK	\N	\N
3444168	1871	1996-07-31	PRIJEM	\N	157	29814	UROK	\N	\N
3444169	1871	1996-08-31	PRIJEM	\N	126	33860	UROK	\N	\N
3444170	1871	1996-09-30	PRIJEM	\N	141	35821	UROK	\N	\N
3444171	1871	1996-10-31	PRIJEM	\N	140	27143	UROK	\N	\N
3444172	1871	1996-11-30	PRIJEM	\N	117	33680	UROK	\N	\N
3444173	1871	1996-12-31	PRIJEM	\N	183	42355	UROK	\N	\N
3444174	1871	1997-01-31	PRIJEM	\N	144	29620	UROK	\N	\N
3444175	1871	1997-02-28	PRIJEM	\N	154	39894	UROK	\N	\N
3444176	1871	1997-03-31	PRIJEM	\N	168	44183	UROK	\N	\N
3444177	1871	1997-04-30	PRIJEM	\N	190	37894	UROK	\N	\N
3444178	1871	1997-05-31	PRIJEM	\N	159	41373	UROK	\N	\N
3444179	1871	1997-06-30	PRIJEM	\N	179	49190	UROK	\N	\N
3444180	1871	1997-07-31	PRIJEM	\N	196	43405	UROK	\N	\N
3444181	1871	1997-08-31	PRIJEM	\N	178	40503	UROK	\N	\N
3444182	1871	1997-09-30	PRIJEM	\N	166	40289	UROK	\N	\N
3444183	1871	1997-10-31	PRIJEM	\N	158	33704	UROK	\N	\N
3444184	1871	1997-11-30	PRIJEM	\N	144	38169	UROK	\N	\N
3444185	1871	1997-12-31	PRIJEM	\N	154	30522	UROK	\N	\N
3444186	1871	1998-01-31	PRIJEM	\N	125	25167	UROK	\N	\N
3444187	1871	1998-02-28	PRIJEM	\N	119	35706	UROK	\N	\N
3444188	1871	1998-03-31	PRIJEM	\N	152	39779	UROK	\N	\N
3444189	1871	1998-04-30	PRIJEM	\N	145	29825	UROK	\N	\N
3444190	1871	1998-05-31	PRIJEM	\N	123	31269	UROK	\N	\N
3444191	1871	1998-06-30	PRIJEM	\N	144	30823	UROK	\N	\N
3444192	1871	1998-07-31	PRIJEM	\N	135	36579	UROK	\N	\N
3444193	1871	1998-08-31	PRIJEM	\N	148	36647	UROK	\N	\N
3444194	1871	1998-09-30	PRIJEM	\N	127	31694	UROK	\N	\N
3444195	1871	1998-10-31	PRIJEM	\N	128	31742	UROK	\N	\N
3444196	1871	1998-11-30	PRIJEM	\N	116	25151	UROK	\N	\N
3444197	1871	1998-12-31	PRIJEM	\N	112	28400	UROK	\N	\N
3444198	1880	1994-03-31	PRIJEM	\N	10	11110	UROK	\N	\N
3444199	1880	1994-04-30	PRIJEM	\N	52	16562	UROK	\N	\N
3444200	1880	1994-05-31	PRIJEM	\N	74	20937	UROK	\N	\N
3444201	1880	1994-06-30	PRIJEM	\N	91	23513	UROK	\N	\N
3444202	1880	1994-07-31	PRIJEM	\N	99	23097	UROK	\N	\N
3444203	1880	1994-08-31	PRIJEM	\N	126	53408	UROK	\N	\N
3444204	1880	1994-09-30	PRIJEM	\N	246	91958	UROK	\N	\N
3444205	1880	1994-10-31	PRIJEM	\N	342	58285	UROK	\N	\N
3444206	1880	1994-11-30	PRIJEM	\N	227	44697	UROK	\N	\N
3444207	1880	1994-12-31	PRIJEM	\N	177	37459	UROK	\N	\N
3444208	1880	1995-01-31	PRIJEM	\N	132	24477	UROK	\N	\N
3444209	1880	1995-02-28	PRIJEM	\N	104	25466	UROK	\N	\N
3444210	1880	1995-03-31	PRIJEM	\N	104	24805	UROK	\N	\N
3444211	1880	1995-04-30	PRIJEM	\N	114	36186	UROK	\N	\N
3444212	1880	1995-05-31	PRIJEM	\N	149	34720	UROK	\N	\N
3444213	1880	1995-06-30	PRIJEM	\N	121	27826	UROK	\N	\N
3444214	1880	1995-07-31	PRIJEM	\N	118	29230	UROK	\N	\N
3444215	1880	1995-08-31	PRIJEM	\N	125	31040	UROK	\N	\N
3444216	1880	1995-09-30	PRIJEM	\N	131	31356	UROK	\N	\N
3444217	1880	1995-10-31	PRIJEM	\N	123	27314	UROK	\N	\N
3444218	1880	1995-11-30	PRIJEM	\N	142	40489	UROK	\N	\N
3444219	1880	1995-12-31	PRIJEM	\N	157	35532	UROK	\N	\N
3444220	1880	1996-01-31	PRIJEM	\N	155	30114	UROK	\N	\N
3444221	1880	1996-02-29	PRIJEM	\N	123	29422	UROK	\N	\N
3444222	1880	1996-03-31	PRIJEM	\N	147	64559	UROK	\N	\N
3444223	1880	1996-04-30	PRIJEM	\N	233	48277	UROK	\N	\N
3444224	1880	1996-05-31	PRIJEM	\N	187	41799	UROK	\N	\N
3444225	1880	1996-06-30	PRIJEM	\N	123	19908	UROK	\N	\N
3444226	1880	1996-07-31	PRIJEM	\N	86	21979	UROK	\N	\N
3444227	1880	1996-08-31	PRIJEM	\N	101	26866	UROK	\N	\N
3444228	1880	1996-09-30	PRIJEM	\N	110	26861	UROK	\N	\N
3444229	1880	1996-10-31	PRIJEM	\N	109	25955	UROK	\N	\N
3444230	1880	1996-11-30	PRIJEM	\N	105	25096	UROK	\N	\N
3444231	1880	1996-12-31	PRIJEM	\N	105	25786	UROK	\N	\N
3444232	1880	1997-01-31	PRIJEM	\N	104	22226	UROK	\N	\N
3444233	1880	1997-02-28	PRIJEM	\N	99	26911	UROK	\N	\N
3444234	1880	1997-03-31	PRIJEM	\N	166	68505	UROK	\N	\N
3444235	1880	1997-04-30	PRIJEM	\N	245	52235	UROK	\N	\N
3444236	1880	1997-05-31	PRIJEM	\N	197	44317	UROK	\N	\N
3444237	1880	1997-06-30	PRIJEM	\N	134	26536	UROK	\N	\N
3444238	1880	1997-07-31	PRIJEM	\N	111	27782	UROK	\N	\N
3444239	1880	1997-08-31	PRIJEM	\N	111	26181	UROK	\N	\N
3444240	1880	1997-09-30	PRIJEM	\N	104	23021	UROK	\N	\N
3444241	1880	1997-10-31	PRIJEM	\N	97	24803	UROK	\N	\N
3444242	1880	1997-11-30	PRIJEM	\N	106	27194	UROK	\N	\N
3444243	1880	1997-12-31	PRIJEM	\N	112	27792	UROK	\N	\N
3444244	1880	1998-01-31	PRIJEM	\N	126	58953	UROK	\N	\N
3444245	1880	1998-02-28	PRIJEM	\N	197	47110	UROK	\N	\N
3444246	1880	1998-03-31	PRIJEM	\N	171	37466	UROK	\N	\N
3444247	1880	1998-04-30	PRIJEM	\N	141	31692	UROK	\N	\N
3444248	1880	1998-05-31	PRIJEM	\N	120	27197	UROK	\N	\N
3444249	1880	1998-06-30	PRIJEM	\N	94	23677	UROK	\N	\N
3444250	1880	1998-07-31	PRIJEM	\N	94	23106	UROK	\N	\N
3444251	1880	1998-08-31	PRIJEM	\N	97	24888	UROK	\N	\N
3444252	1880	1998-09-30	PRIJEM	\N	105	27479	UROK	\N	\N
3444253	1880	1998-10-31	PRIJEM	\N	114	28778	UROK	\N	\N
3444254	1880	1998-11-30	PRIJEM	\N	118	29581	UROK	\N	\N
3444255	1880	1998-12-31	PRIJEM	\N	125	31741	UROK	\N	\N
3444292	2099	1993-01-31	PRIJEM	\N	62	53805	UROK	\N	\N
3444293	2099	1993-02-28	PRIJEM	\N	220	52482	UROK	\N	\N
3444294	2099	1993-03-31	PRIJEM	\N	237	75023	UROK	\N	\N
3444295	2099	1993-04-30	PRIJEM	\N	277	62524	UROK	\N	\N
3444296	2099	1993-05-31	PRIJEM	\N	294	77869	UROK	\N	\N
3444297	2099	1993-06-30	PRIJEM	\N	239	34769	UROK	\N	\N
3444298	2099	1993-07-31	PRIJEM	\N	309	90961	UROK	\N	\N
3444299	2099	1993-08-31	PRIJEM	\N	401	101043	UROK	\N	\N
3444300	2099	1993-09-30	PRIJEM	\N	483	56147	UROK	\N	\N
3444301	2099	1993-10-31	PRIJEM	\N	448	108679	UROK	\N	\N
3444302	2099	1993-11-30	PRIJEM	\N	428	62541	UROK	\N	\N
3444303	2099	1993-12-31	PRIJEM	\N	147	42676	UROK	\N	\N
3444304	2099	1993-12-31	VYDAJ	VYBER	0	42676	SANKC. UROK	\N	\N
3444305	2099	1994-01-31	PRIJEM	\N	140	43009	UROK	\N	\N
3444306	2099	1994-02-28	PRIJEM	\N	178	43199	UROK	\N	\N
3444307	2099	1994-03-31	PRIJEM	\N	103	10623	UROK	\N	\N
3444308	2099	1994-04-30	PRIJEM	\N	76	14782	UROK	\N	\N
3444309	2099	1994-05-31	PRIJEM	\N	73	18681	UROK	\N	\N
3444310	2099	1994-06-30	PRIJEM	\N	105	23654	UROK	\N	\N
3444311	2099	1994-07-31	PRIJEM	\N	97	25821	UROK	\N	\N
3444312	2099	1994-08-31	PRIJEM	\N	77	10832	UROK	\N	\N
3444313	2099	1994-09-30	PRIJEM	\N	312	86191	UROK	\N	\N
3444314	2099	1994-10-31	PRIJEM	\N	233	42388	UROK	\N	\N
3444315	2099	1994-11-30	PRIJEM	\N	237	66351	UROK	\N	\N
3444316	2099	1994-12-31	PRIJEM	\N	173	20375	UROK	\N	\N
3444317	2099	1995-01-31	PRIJEM	\N	188	97828	UROK	\N	\N
3444318	2099	1995-02-28	PRIJEM	\N	401	68398	UROK	\N	\N
3444319	2099	1995-03-31	PRIJEM	\N	266	51134	UROK	\N	\N
3444320	2099	1995-04-30	PRIJEM	\N	243	60599	UROK	\N	\N
3444321	2099	1995-05-31	PRIJEM	\N	361	68673	UROK	\N	\N
3444322	2099	1995-06-30	PRIJEM	\N	246	59152	UROK	\N	\N
3444323	2099	1995-07-31	PRIJEM	\N	243	54665	UROK	\N	\N
3444324	2099	1995-08-31	PRIJEM	\N	220	48355	UROK	\N	\N
3444325	2099	1995-09-30	PRIJEM	\N	199	51123	UROK	\N	\N
3444326	2099	1995-10-31	PRIJEM	\N	200	46701	UROK	\N	\N
3444327	2099	1995-11-30	PRIJEM	\N	148	31895	UROK	\N	\N
3444328	2099	1995-12-31	PRIJEM	\N	131	36596	UROK	\N	\N
3444329	2099	1996-01-31	PRIJEM	\N	152	41055	UROK	\N	\N
3444330	2099	1996-02-29	PRIJEM	\N	318	71666	UROK	\N	\N
3444331	2099	1996-03-31	PRIJEM	\N	235	51274	UROK	\N	\N
3444332	2099	1996-04-30	PRIJEM	\N	208	48852	UROK	\N	\N
3444333	2099	1996-05-31	PRIJEM	\N	211	62737	UROK	\N	\N
3444334	2099	1996-06-30	PRIJEM	\N	328	47016	UROK	\N	\N
3444335	2099	1996-07-31	PRIJEM	\N	203	91785	UROK	\N	\N
3444336	2099	1996-08-31	PRIJEM	\N	362	82806	UROK	\N	\N
3444337	2099	1996-09-30	PRIJEM	\N	344	89295	UROK	\N	\N
3444338	2099	1996-10-31	PRIJEM	\N	397	76463	UROK	\N	\N
3444339	2099	1996-11-30	PRIJEM	\N	321	82970	UROK	\N	\N
3444340	2099	1996-12-31	PRIJEM	\N	314	66354	UROK	\N	\N
3444341	2099	1997-01-31	PRIJEM	\N	283	74700	UROK	\N	\N
3444342	2099	1997-02-28	PRIJEM	\N	332	102249	UROK	\N	\N
3444343	2099	1997-03-31	PRIJEM	\N	331	71547	UROK	\N	\N
3444344	2099	1997-04-30	PRIJEM	\N	404	71045	UROK	\N	\N
3444345	2099	1997-05-31	PRIJEM	\N	269	53827	UROK	\N	\N
3444346	2099	1997-06-30	PRIJEM	\N	254	96354	UROK	\N	\N
3444347	2099	1997-07-31	PRIJEM	\N	372	82340	UROK	\N	\N
3444348	2099	1997-08-31	PRIJEM	\N	333	80629	UROK	\N	\N
3444349	2099	1997-09-30	PRIJEM	\N	386	76572	UROK	\N	\N
3444350	2099	1997-10-31	PRIJEM	\N	267	44996	UROK	\N	\N
3444351	2099	1997-11-30	PRIJEM	\N	213	83089	UROK	\N	\N
3444352	2099	1997-12-31	PRIJEM	\N	351	85934	UROK	\N	\N
3444353	2099	1998-01-31	PRIJEM	\N	349	76152	UROK	\N	\N
3444354	2099	1998-02-28	PRIJEM	\N	309	76127	UROK	\N	\N
3444355	2099	1998-03-31	PRIJEM	\N	308	68405	UROK	\N	\N
3444356	2099	1998-04-30	PRIJEM	\N	197	47421	UROK	\N	\N
3444357	2099	1998-05-31	PRIJEM	\N	338	76602	UROK	\N	\N
3444358	2099	1998-06-30	PRIJEM	\N	304	74652	UROK	\N	\N
3444359	2099	1998-07-31	PRIJEM	\N	357	85481	UROK	\N	\N
3444360	2099	1998-08-31	PRIJEM	\N	296	49740	UROK	\N	\N
3444361	2099	1998-09-30	PRIJEM	\N	156	34354	UROK	\N	\N
3444362	2099	1998-10-31	PRIJEM	\N	135	38324	UROK	\N	\N
3444363	2099	1998-11-30	PRIJEM	\N	152	57546	UROK	\N	\N
3444364	2099	1998-12-31	PRIJEM	\N	287	96475	UROK	\N	\N
3444365	3223	1993-12-31	PRIJEM	\N	11	26339	UROK	\N	\N
3444366	3223	1994-01-31	PRIJEM	\N	110	26748	UROK	\N	\N
3444367	3223	1994-02-28	PRIJEM	\N	110	23458	UROK	\N	\N
3444368	3223	1994-03-31	PRIJEM	\N	123	30828	UROK	\N	\N
3444369	3223	1994-04-30	PRIJEM	\N	235	67647	UROK	\N	\N
3444370	3223	1994-05-31	PRIJEM	\N	281	46828	UROK	\N	\N
3444371	3223	1994-06-30	PRIJEM	\N	303	76222	UROK	\N	\N
3444372	3223	1994-07-31	PRIJEM	\N	316	52538	UROK	\N	\N
3444373	3223	1994-08-31	PRIJEM	\N	316	40655	UROK	\N	\N
3444374	3223	1994-09-30	PRIJEM	\N	224	75311	UROK	\N	\N
3444375	3223	1994-10-31	PRIJEM	\N	311	53607	UROK	\N	\N
3444376	3223	1994-11-30	PRIJEM	\N	187	34944	UROK	\N	\N
3444377	3223	1994-12-31	PRIJEM	\N	129	40156	UROK	\N	\N
3444378	3223	1995-01-31	PRIJEM	\N	142	36515	UROK	\N	\N
3444379	3223	1995-02-28	PRIJEM	\N	328	75492	UROK	\N	\N
3444380	3223	1995-03-31	PRIJEM	\N	408	100691	UROK	\N	\N
3444381	3223	1995-04-30	PRIJEM	\N	424	91487	UROK	\N	\N
3444382	3223	1995-05-31	PRIJEM	\N	351	50184	UROK	\N	\N
3444383	3223	1995-06-30	PRIJEM	\N	196	53750	UROK	\N	\N
3444384	3223	1995-07-31	PRIJEM	\N	228	42311	UROK	\N	\N
3444385	3223	1995-08-31	PRIJEM	\N	118	24546	UROK	\N	\N
3444386	3223	1995-09-30	PRIJEM	\N	59	43569	UROK	\N	\N
3444387	3223	1995-09-30	VYDAJ	VYBER	1	43568	SANKC. UROK	\N	\N
3444388	3223	1995-10-31	PRIJEM	\N	240	52465	UROK	\N	\N
3444389	3223	1995-11-30	PRIJEM	\N	214	42264	UROK	\N	\N
3444390	3223	1995-12-31	PRIJEM	\N	127	34344	UROK	\N	\N
3444391	3223	1996-01-31	PRIJEM	\N	97	24342	UROK	\N	\N
3444392	3223	1996-02-29	PRIJEM	\N	98	21926	UROK	\N	\N
3444393	3223	1996-03-31	PRIJEM	\N	90	23101	UROK	\N	\N
3444394	3223	1996-04-30	PRIJEM	\N	140	38874	UROK	\N	\N
3444395	3223	1996-05-31	PRIJEM	\N	158	33563	UROK	\N	\N
3444396	3223	1996-06-30	PRIJEM	\N	157	37141	UROK	\N	\N
3444397	3223	1996-07-31	PRIJEM	\N	153	37117	UROK	\N	\N
3444398	3223	1996-08-31	PRIJEM	\N	174	77173	UROK	\N	\N
3444399	3223	1996-09-30	PRIJEM	\N	275	46934	UROK	\N	\N
3444400	3223	1996-10-31	PRIJEM	\N	192	35611	UROK	\N	\N
3444401	3223	1996-11-30	PRIJEM	\N	152	61252	UROK	\N	\N
3444402	3223	1996-12-31	PRIJEM	\N	222	40359	UROK	\N	\N
3444403	3223	1997-01-31	PRIJEM	\N	92	4273	UROK	\N	\N
3444404	3223	1997-02-28	PRIJEM	\N	17	16676	UROK	\N	\N
3444405	3223	1997-03-31	PRIJEM	\N	236	75910	UROK	\N	\N
3444406	3223	1997-04-30	PRIJEM	\N	304	40335	UROK	\N	\N
3444407	3223	1997-05-31	PRIJEM	\N	128	14206	UROK	\N	\N
3444408	3223	1997-06-30	PRIJEM	\N	104	54058	UROK	\N	\N
3444409	3223	1997-07-31	PRIJEM	\N	190	49170	UROK	\N	\N
3444410	3223	1997-08-31	PRIJEM	\N	184	39805	UROK	\N	\N
3444411	3223	1997-09-30	PRIJEM	\N	139	17296	UROK	\N	\N
3444412	3223	1997-10-31	PRIJEM	\N	65	15746	UROK	\N	\N
3444413	3223	1997-11-30	PRIJEM	\N	53	11500	UROK	\N	\N
3444414	3223	1997-12-31	PRIJEM	\N	44	7655	UROK	\N	\N
3444415	3223	1998-01-31	PRIJEM	\N	30	5370	UROK	\N	\N
3444416	3223	1998-02-28	PRIJEM	\N	147	70741	UROK	\N	\N
3444417	3223	1998-03-31	PRIJEM	\N	235	30280	UROK	\N	\N
3444418	3223	1998-04-30	PRIJEM	\N	211	50488	UROK	\N	\N
3444419	3223	1998-05-31	PRIJEM	\N	277	76931	UROK	\N	\N
3444420	3223	1998-06-30	PRIJEM	\N	231	29962	UROK	\N	\N
3444421	3223	1998-07-31	PRIJEM	\N	93	14640	UROK	\N	\N
3444422	3223	1998-08-31	PRIJEM	\N	77	82905	UROK	\N	\N
3444423	3223	1998-09-30	PRIJEM	\N	377	62180	UROK	\N	\N
3444424	3223	1998-10-31	PRIJEM	\N	339	111511	UROK	\N	\N
3444425	3223	1998-11-30	PRIJEM	\N	304	84799	UROK	\N	\N
3444426	3223	1998-12-31	PRIJEM	\N	168	27741	UROK	\N	\N
3444427	4995	1994-08-31	PRIJEM	\N	2	702	UROK	\N	\N
3444428	4995	1994-09-30	PRIJEM	\N	46	11047	UROK	\N	\N
3444429	4995	1994-10-31	PRIJEM	\N	51	30595	UROK	\N	\N
3444430	4995	1994-11-30	PRIJEM	\N	127	28223	UROK	\N	\N
3444431	4995	1994-12-31	PRIJEM	\N	133	45149	UROK	\N	\N
3444432	4995	1995-01-31	PRIJEM	\N	188	38936	UROK	\N	\N
3444433	4995	1995-02-28	PRIJEM	\N	188	33524	UROK	\N	\N
3444434	4995	1995-03-31	PRIJEM	\N	208	48913	UROK	\N	\N
3444435	4995	1995-04-30	PRIJEM	\N	199	40904	UROK	\N	\N
3444436	4995	1995-05-31	PRIJEM	\N	157	29694	UROK	\N	\N
3444437	4995	1995-06-30	PRIJEM	\N	102	36954	UROK	\N	\N
3444438	4995	1995-06-30	VYDAJ	VYBER	0	36924	SANKC. UROK	\N	\N
3444439	4995	1995-07-31	PRIJEM	\N	229	47447	UROK	\N	\N
3444440	4995	1995-08-31	PRIJEM	\N	195	53604	UROK	\N	\N
3444441	4995	1995-09-30	PRIJEM	\N	203	35693	UROK	\N	\N
3444442	4995	1995-10-31	PRIJEM	\N	275	52468	UROK	\N	\N
3444443	4995	1995-11-30	PRIJEM	\N	95	19887	UROK	\N	\N
3444444	4995	1995-12-31	PRIJEM	\N	112	38945	UROK	\N	\N
3444445	4995	1996-01-31	PRIJEM	\N	95	9710	UROK	\N	\N
3444446	4995	1996-02-29	PRIJEM	\N	36	5134	UROK	\N	\N
3444447	4995	1996-03-31	PRIJEM	\N	223	91285	UROK	\N	\N
3444448	4995	1996-04-30	PRIJEM	\N	400	62391	UROK	\N	\N
3444449	4995	1996-05-31	PRIJEM	\N	319	70744	UROK	\N	\N
3444450	4995	1996-06-30	PRIJEM	\N	258	41942	UROK	\N	\N
3444451	4995	1996-07-31	PRIJEM	\N	247	80051	UROK	\N	\N
3444452	4995	1996-08-31	PRIJEM	\N	277	40880	UROK	\N	\N
3444453	4995	1996-09-30	PRIJEM	\N	141	33508	UROK	\N	\N
3444454	4995	1996-10-31	PRIJEM	\N	220	69520	UROK	\N	\N
3444455	4995	1996-11-30	PRIJEM	\N	213	40205	UROK	\N	\N
3444456	4995	1996-12-31	PRIJEM	\N	152	28022	UROK	\N	\N
3444457	4995	1997-01-31	PRIJEM	\N	57	2649	UROK	\N	\N
3444458	4995	1997-02-28	PRIJEM	\N	11	20460	UROK	\N	\N
3444459	4995	1997-03-31	PRIJEM	\N	102	30649	UROK	\N	\N
3444460	4995	1997-04-30	PRIJEM	\N	194	53904	UROK	\N	\N
3444461	4995	1997-05-31	PRIJEM	\N	224	49973	UROK	\N	\N
3444462	4995	1997-06-30	PRIJEM	\N	137	22996	UROK	\N	\N
3444463	4995	1997-07-31	PRIJEM	\N	161	46745	UROK	\N	\N
3444464	4995	1997-08-31	PRIJEM	\N	225	63045	UROK	\N	\N
3444465	4995	1997-09-30	PRIJEM	\N	220	46752	UROK	\N	\N
3444466	4995	1997-10-31	PRIJEM	\N	177	41116	UROK	\N	\N
3444467	4995	1997-11-30	PRIJEM	\N	162	39665	UROK	\N	\N
3444468	4995	1997-12-31	PRIJEM	\N	153	35005	UROK	\N	\N
3444469	4995	1998-01-31	PRIJEM	\N	60	6255	UROK	\N	\N
3444470	4995	1998-02-28	PRIJEM	\N	69	31729	UROK	\N	\N
3444471	4995	1998-03-31	PRIJEM	\N	122	30339	UROK	\N	\N
3444472	4995	1998-04-30	PRIJEM	\N	137	32862	UROK	\N	\N
3444473	4995	1998-05-31	PRIJEM	\N	216	90995	UROK	\N	\N
3444474	4995	1998-06-30	PRIJEM	\N	234	23109	UROK	\N	\N
3444475	4995	1998-07-31	PRIJEM	\N	203	85305	UROK	\N	\N
3444476	4995	1998-08-31	PRIJEM	\N	286	61511	UROK	\N	\N
3444477	4995	1998-09-30	PRIJEM	\N	194	40192	UROK	\N	\N
3444478	4995	1998-10-31	PRIJEM	\N	141	32520	UROK	\N	\N
3444479	4995	1998-11-30	PRIJEM	\N	76	5509	UROK	\N	\N
3444480	4995	1998-12-31	PRIJEM	\N	123	42396	UROK	\N	\N
3444481	5065	1993-02-28	PRIJEM	\N	26	29371	UROK	\N	\N
3444482	5065	1993-03-31	PRIJEM	\N	122	24494	UROK	\N	\N
3444483	5065	1993-04-30	PRIJEM	\N	122	26316	UROK	\N	\N
3444484	5065	1993-05-31	PRIJEM	\N	122	26738	UROK	\N	\N
3444485	5065	1993-06-30	PRIJEM	\N	327	70961	UROK	\N	\N
3444486	5065	1993-07-31	PRIJEM	\N	396	48764	UROK	\N	\N
3444487	5065	1993-08-31	PRIJEM	\N	158	25807	UROK	\N	\N
3444488	5065	1993-09-30	PRIJEM	\N	107	26299	UROK	\N	\N
3444489	5065	1993-10-31	PRIJEM	\N	130	68574	UROK	\N	\N
3444490	5065	1993-11-30	PRIJEM	\N	270	96094	UROK	\N	\N
3444491	5065	1993-12-31	PRIJEM	\N	304	66213	UROK	\N	\N
3444492	5065	1994-01-31	PRIJEM	\N	197	38393	UROK	\N	\N
3444493	5065	1994-02-28	PRIJEM	\N	158	31337	UROK	\N	\N
3444494	5065	1994-03-31	PRIJEM	\N	168	56173	UROK	\N	\N
3444495	5065	1994-04-30	PRIJEM	\N	239	75986	UROK	\N	\N
3444496	5065	1994-05-31	PRIJEM	\N	318	62432	UROK	\N	\N
3444497	5065	1994-06-30	PRIJEM	\N	245	31079	UROK	\N	\N
3444498	5065	1994-07-31	PRIJEM	\N	166	57033	UROK	\N	\N
3444499	5065	1994-08-31	PRIJEM	\N	258	67801	UROK	\N	\N
3444500	5065	1994-09-30	PRIJEM	\N	267	57856	UROK	\N	\N
3444501	5065	1994-10-31	PRIJEM	\N	225	50876	UROK	\N	\N
3444502	5065	1994-11-30	PRIJEM	\N	200	32357	UROK	\N	\N
3444503	5065	1994-12-31	PRIJEM	\N	246	90301	UROK	\N	\N
3444504	5065	1995-01-31	PRIJEM	\N	210	21211	UROK	\N	\N
3444505	5065	1995-02-28	PRIJEM	\N	88	24385	UROK	\N	\N
3444506	5065	1995-03-31	PRIJEM	\N	49	44	UROK	\N	\N
3444507	5065	1995-03-31	VYDAJ	VYBER	1	28	SANKC. UROK	\N	\N
3444508	5065	1995-04-30	PRIJEM	\N	2	13630	UROK	\N	\N
3444509	5065	1995-04-30	VYDAJ	VYBER	2	13613	SANKC. UROK	\N	\N
3444510	5065	1995-05-31	PRIJEM	\N	37	4361	UROK	\N	\N
3444511	5065	1995-06-30	PRIJEM	\N	35	12782	UROK	\N	\N
3444512	5065	1995-07-31	PRIJEM	\N	52	7763	UROK	\N	\N
3444513	5065	1995-08-31	PRIJEM	\N	32	18780	UROK	\N	\N
3444514	5065	1995-09-30	PRIJEM	\N	69	16216	UROK	\N	\N
3444515	5065	1995-10-31	PRIJEM	\N	41	3180	UROK	\N	\N
3444516	5065	1995-11-30	PRIJEM	\N	13	14878	UROK	\N	\N
3444517	5065	1995-12-31	PRIJEM	\N	58	15362	UROK	\N	\N
3444518	5065	1996-01-31	PRIJEM	\N	39	3285	UROK	\N	\N
3444519	5065	1996-02-29	PRIJEM	\N	13	13784	UROK	\N	\N
3444520	5065	1996-03-31	PRIJEM	\N	56	19425	UROK	\N	\N
3444521	5065	1996-04-30	PRIJEM	\N	79	20289	UROK	\N	\N
3444522	5065	1996-05-31	PRIJEM	\N	86	20960	UROK	\N	\N
3444523	5065	1996-06-30	PRIJEM	\N	139	14275	UROK	\N	\N
3444524	5065	1996-07-31	PRIJEM	\N	58	19918	UROK	\N	\N
3444525	5065	1996-08-31	PRIJEM	\N	80	18183	UROK	\N	\N
3444526	5065	1996-09-30	PRIJEM	\N	43	7511	UROK	\N	\N
3444527	5065	1996-10-31	PRIJEM	\N	29	16226	UROK	\N	\N
3444528	5065	1996-11-30	PRIJEM	\N	65	16776	UROK	\N	\N
3444529	5065	1996-12-31	PRIJEM	\N	36	698	UROK	\N	\N
3444530	5065	1996-12-31	VYDAJ	VYBER	0	683	SANKC. UROK	\N	\N
3444531	5065	1997-01-31	PRIJEM	\N	10	693	UROK	\N	\N
3444532	5065	1997-01-31	VYDAJ	VYBER	0	692	SANKC. UROK	\N	\N
3444533	5065	1997-02-28	PRIJEM	\N	2	12979	UROK	\N	\N
3444534	5065	1997-02-28	VYDAJ	VYBER	1	12964	SANKC. UROK	\N	\N
3444535	5065	1997-03-31	PRIJEM	\N	152	61910	UROK	\N	\N
3444536	5065	1997-04-30	PRIJEM	\N	207	36203	UROK	\N	\N
3444537	5065	1997-05-31	PRIJEM	\N	218	86956	UROK	\N	\N
3444538	5065	1997-06-30	PRIJEM	\N	173	15309	UROK	\N	\N
3444539	5065	1997-07-31	PRIJEM	\N	98	43698	UROK	\N	\N
3444540	5065	1997-08-31	PRIJEM	\N	174	47293	UROK	\N	\N
3444541	5065	1997-09-30	PRIJEM	\N	144	45565	UROK	\N	\N
3444542	5065	1997-10-31	PRIJEM	\N	137	37395	UROK	\N	\N
3444543	5065	1997-11-30	PRIJEM	\N	152	38154	UROK	\N	\N
3444544	5065	1997-12-31	PRIJEM	\N	289	47853	UROK	\N	\N
3444545	5065	1998-01-31	PRIJEM	\N	167	53529	UROK	\N	\N
3444546	5065	1998-02-28	PRIJEM	\N	176	44623	UROK	\N	\N
3444547	5065	1998-03-31	PRIJEM	\N	296	57902	UROK	\N	\N
3444548	5065	1998-04-30	PRIJEM	\N	261	46574	UROK	\N	\N
3444549	5065	1998-05-31	PRIJEM	\N	181	27747	UROK	\N	\N
3444550	5065	1998-06-30	PRIJEM	\N	49	11469	UROK	\N	\N
3444551	5065	1998-07-31	PRIJEM	\N	53	26808	UROK	\N	\N
3444552	5065	1998-08-31	PRIJEM	\N	88	4982	UROK	\N	\N
3444553	5065	1998-09-30	PRIJEM	\N	24	15568	UROK	\N	\N
3444554	5065	1998-10-31	PRIJEM	\N	54	10276	UROK	\N	\N
3444555	5065	1998-11-30	PRIJEM	\N	41	9300	UROK	\N	\N
3444556	5065	1998-12-31	PRIJEM	\N	32	8693	UROK	\N	\N
3444557	5357	1995-01-31	PRIJEM	\N	32	15737	UROK	\N	\N
3444558	5357	1995-02-28	PRIJEM	\N	85	26027	UROK	\N	\N
3444559	5357	1995-03-31	PRIJEM	\N	115	29647	UROK	\N	\N
3444560	5357	1995-04-30	PRIJEM	\N	126	31078	UROK	\N	\N
3444561	5357	1995-05-31	PRIJEM	\N	140	36723	UROK	\N	\N
3444562	5357	1995-06-30	PRIJEM	\N	107	18054	UROK	\N	\N
3444563	5357	1995-07-31	PRIJEM	\N	89	22493	UROK	\N	\N
3444564	5357	1995-08-31	PRIJEM	\N	114	31397	UROK	\N	\N
3444565	5357	1995-09-30	PRIJEM	\N	135	33122	UROK	\N	\N
3444566	5357	1995-10-31	PRIJEM	\N	144	35556	UROK	\N	\N
3444567	5357	1995-11-30	PRIJEM	\N	150	36497	UROK	\N	\N
3444568	5357	1995-12-31	PRIJEM	\N	157	36877	UROK	\N	\N
3444569	5357	1996-01-31	PRIJEM	\N	136	26023	UROK	\N	\N
3444570	5357	1996-02-29	PRIJEM	\N	119	24492	UROK	\N	\N
3444571	5357	1996-03-31	PRIJEM	\N	112	28075	UROK	\N	\N
3444572	5357	1996-04-30	PRIJEM	\N	127	31992	UROK	\N	\N
3444573	5357	1996-05-31	PRIJEM	\N	140	34723	UROK	\N	\N
3444574	5357	1996-06-30	PRIJEM	\N	140	7	UROK	\N	\N
3444575	5357	1996-06-30	VYDAJ	VYBER	0	7	SANKC. UROK	\N	\N
3444576	5357	1996-07-31	PRIJEM	\N	58	18395	UROK	\N	\N
3444577	5357	1996-07-31	VYDAJ	VYBER	0	18380	SANKC. UROK	\N	\N
3444578	5357	1996-08-31	PRIJEM	\N	108	28894	UROK	\N	\N
3444579	5357	1996-09-30	PRIJEM	\N	147	37831	UROK	\N	\N
3444580	5357	1996-10-31	PRIJEM	\N	182	46003	UROK	\N	\N
3444581	5357	1996-11-30	PRIJEM	\N	211	52805	UROK	\N	\N
3444582	5357	1996-12-31	PRIJEM	\N	240	59649	UROK	\N	\N
3444583	5357	1997-01-31	PRIJEM	\N	222	48401	UROK	\N	\N
3444584	5357	1997-02-28	PRIJEM	\N	224	56315	UROK	\N	\N
3444585	5357	1997-03-31	PRIJEM	\N	242	59047	UROK	\N	\N
3444586	5357	1997-04-30	PRIJEM	\N	247	59784	UROK	\N	\N
3444587	5357	1997-05-31	PRIJEM	\N	261	64136	UROK	\N	\N
3444588	5357	1997-06-30	PRIJEM	\N	266	40465	UROK	\N	\N
3444589	5357	1997-07-31	PRIJEM	\N	200	48176	UROK	\N	\N
3444590	5357	1997-08-31	PRIJEM	\N	225	56691	UROK	\N	\N
3444591	5357	1997-09-30	PRIJEM	\N	253	62935	UROK	\N	\N
3444592	5357	1997-10-31	PRIJEM	\N	258	62983	UROK	\N	\N
3444593	5357	1997-11-30	PRIJEM	\N	269	65943	UROK	\N	\N
3444594	5357	1997-12-31	PRIJEM	\N	285	71671	UROK	\N	\N
3444595	5357	1998-01-31	PRIJEM	\N	288	61450	UROK	\N	\N
3444596	5357	1998-02-28	PRIJEM	\N	241	68381	UROK	\N	\N
3444597	5357	1998-03-31	PRIJEM	\N	301	73773	UROK	\N	\N
3444598	5357	1998-04-30	PRIJEM	\N	295	73959	UROK	\N	\N
3444599	5357	1998-05-31	PRIJEM	\N	320	79169	UROK	\N	\N
3444600	5357	1998-06-30	PRIJEM	\N	285	64817	UROK	\N	\N
3444601	5357	1998-07-31	PRIJEM	\N	285	65993	UROK	\N	\N
3444602	5357	1998-08-31	PRIJEM	\N	275	71758	UROK	\N	\N
3444603	5357	1998-09-30	PRIJEM	\N	297	73545	UROK	\N	\N
3444604	5357	1998-10-31	PRIJEM	\N	306	78342	UROK	\N	\N
3444605	5357	1998-11-30	PRIJEM	\N	345	74497	UROK	\N	\N
3444606	5357	1998-12-31	PRIJEM	\N	325	86565	UROK	\N	\N
3444652	5878	1996-12-31	PRIJEM	\N	40	22750	UROK	\N	\N
3444653	5878	1997-01-31	PRIJEM	\N	107	29564	UROK	\N	\N
3444654	5878	1997-02-28	PRIJEM	\N	129	32800	UROK	\N	\N
3444655	5878	1997-03-31	PRIJEM	\N	145	38052	UROK	\N	\N
3444656	5878	1997-04-30	PRIJEM	\N	162	40421	UROK	\N	\N
3444657	5878	1997-05-31	PRIJEM	\N	174	37147	UROK	\N	\N
3444658	5878	1997-06-30	PRIJEM	\N	116	-21	UROK	\N	\N
3444659	5878	1997-06-30	VYDAJ	VYBER	0	-22	SANKC. UROK	\N	\N
3444660	5878	1997-07-31	PRIJEM	\N	44	18814	UROK	\N	\N
3444661	5878	1997-07-31	VYDAJ	VYBER	0	18800	SANKC. UROK	\N	\N
3444662	5878	1997-08-31	PRIJEM	\N	102	30009	UROK	\N	\N
3444663	5878	1997-09-30	PRIJEM	\N	137	35258	UROK	\N	\N
3444664	5878	1997-10-31	PRIJEM	\N	162	41912	UROK	\N	\N
3444665	5878	1997-11-30	PRIJEM	\N	182	45387	UROK	\N	\N
3444666	5878	1997-12-31	PRIJEM	\N	203	50185	UROK	\N	\N
3444667	5878	1998-01-31	PRIJEM	\N	204	48922	UROK	\N	\N
3444668	5878	1998-02-28	PRIJEM	\N	227	55641	UROK	\N	\N
3444669	5878	1998-03-31	PRIJEM	\N	241	55634	UROK	\N	\N
3444670	5878	1998-04-30	PRIJEM	\N	241	59667	UROK	\N	\N
3444671	5878	1998-05-31	PRIJEM	\N	252	61412	UROK	\N	\N
3444672	5878	1998-06-30	PRIJEM	\N	235	44542	UROK	\N	\N
3444673	5878	1998-07-31	PRIJEM	\N	220	57855	UROK	\N	\N
3444674	5878	1998-08-31	PRIJEM	\N	256	62843	UROK	\N	\N
3444675	5878	1998-09-30	PRIJEM	\N	274	67510	UROK	\N	\N
3444676	5878	1998-10-31	PRIJEM	\N	301	74804	UROK	\N	\N
3444677	5878	1998-11-30	PRIJEM	\N	329	80885	UROK	\N	\N
3444678	5878	1998-12-31	PRIJEM	\N	370	81770	UROK	\N	\N
3444679	6602	1997-08-31	PRIJEM	\N	58	16019	UROK	\N	\N
3444680	6602	1997-09-30	PRIJEM	\N	122	31402	UROK	\N	\N
3444681	6602	1997-10-31	PRIJEM	\N	175	43738	UROK	\N	\N
3444682	6602	1997-11-30	PRIJEM	\N	195	47393	UROK	\N	\N
3444683	6602	1997-12-31	PRIJEM	\N	144	31339	UROK	\N	\N
3444684	6602	1998-01-31	PRIJEM	\N	113	15859	UROK	\N	\N
3444685	6602	1998-02-28	PRIJEM	\N	36	6341	UROK	\N	\N
3444686	6602	1998-03-31	PRIJEM	\N	42	7629	UROK	\N	\N
3444687	6602	1998-03-31	VYDAJ	VYBER	0	7629	SANKC. UROK	\N	\N
3444688	6602	1998-04-30	PRIJEM	\N	48	11423	UROK	\N	\N
3444689	6602	1998-05-31	PRIJEM	\N	75	15144	UROK	\N	\N
3444690	6602	1998-06-30	PRIJEM	\N	73	23444	UROK	\N	\N
3444691	6602	1998-07-31	PRIJEM	\N	122	25752	UROK	\N	\N
3444692	6602	1998-08-31	PRIJEM	\N	133	32432	UROK	\N	\N
3444693	6602	1998-09-30	PRIJEM	\N	134	33912	UROK	\N	\N
3444694	6602	1998-10-31	PRIJEM	\N	146	35204	UROK	\N	\N
3444695	6602	1998-11-30	PRIJEM	\N	150	35300	UROK	\N	\N
3444696	6602	1998-12-31	PRIJEM	\N	158	35385	UROK	\N	\N
3445002	19	1995-04-30	PRIJEM	\N	47	16186	UROK	\N	\N
3445003	19	1995-05-31	PRIJEM	\N	125	36023	UROK	\N	\N
3445004	19	1995-06-30	PRIJEM	\N	207	56245	UROK	\N	\N
3445005	19	1995-07-31	PRIJEM	\N	237	58158	UROK	\N	\N
3445006	19	1995-08-31	PRIJEM	\N	214	43961	UROK	\N	\N
3445007	19	1995-09-30	PRIJEM	\N	98	16840	UROK	\N	\N
3445008	19	1995-10-31	PRIJEM	\N	84	20147	UROK	\N	\N
3445009	19	1995-11-30	PRIJEM	\N	76	3669	UROK	\N	\N
3445010	19	1995-12-31	PRIJEM	\N	81	26500	UROK	\N	\N
3445011	19	1996-01-31	PRIJEM	\N	86	3710	UROK	\N	\N
3445012	19	1996-02-29	PRIJEM	\N	61	19682	UROK	\N	\N
3445013	19	1996-03-31	PRIJEM	\N	84	16246	UROK	\N	\N
3445014	19	1996-04-30	PRIJEM	\N	53	15959	UROK	\N	\N
3445015	19	1996-04-30	VYDAJ	VYBER	1	15958	SANKC. UROK	\N	\N
3445016	19	1996-05-31	PRIJEM	\N	72	16925	UROK	\N	\N
3445017	19	1996-06-30	PRIJEM	\N	89	20610	UROK	\N	\N
3445018	19	1996-07-31	PRIJEM	\N	67	22301	UROK	\N	\N
3445019	19	1996-08-31	PRIJEM	\N	57	24329	UROK	\N	\N
3445020	19	1996-09-30	PRIJEM	\N	92	22103	UROK	\N	\N
3445021	19	1996-10-31	PRIJEM	\N	76	19872	UROK	\N	\N
3445022	19	1996-11-30	PRIJEM	\N	74	19898	UROK	\N	\N
3445023	19	1996-12-31	PRIJEM	\N	84	18035	UROK	\N	\N
3445024	19	1997-01-31	PRIJEM	\N	49	8729	UROK	\N	\N
3445025	19	1997-02-28	PRIJEM	\N	37	8567	UROK	\N	\N
3445026	19	1997-03-31	PRIJEM	\N	13	4617	UROK	\N	\N
3445027	19	1997-04-30	PRIJEM	\N	4	2262	UROK	\N	\N
3445028	19	1997-05-31	PRIJEM	\N	12	7898	UROK	\N	\N
3445029	19	1997-06-30	PRIJEM	\N	28	4858	UROK	\N	\N
3445030	19	1997-07-31	PRIJEM	\N	15	6112	UROK	\N	\N
3445031	19	1997-08-31	PRIJEM	\N	25	7961	UROK	\N	\N
3445032	19	1997-09-30	PRIJEM	\N	19	6147	UROK	\N	\N
3445033	19	1997-10-31	PRIJEM	\N	19	5191	UROK	\N	\N
3445034	19	1997-11-30	PRIJEM	\N	24	8981	UROK	\N	\N
3445035	19	1997-12-31	PRIJEM	\N	62	11197	UROK	\N	\N
3445036	19	1998-01-31	PRIJEM	\N	25	7146	UROK	\N	\N
3445037	19	1998-01-31	VYDAJ	VYBER	15	7138	SANKC. UROK	\N	\N
3445038	19	1998-02-28	PRIJEM	\N	24	9710	UROK	\N	\N
3445039	19	1998-03-31	PRIJEM	\N	24	9188	UROK	\N	\N
3445040	19	1998-04-30	PRIJEM	\N	48	12807	UROK	\N	\N
3445041	19	1998-05-31	PRIJEM	\N	28	6886	UROK	\N	\N
3445042	19	1998-06-30	PRIJEM	\N	39	8718	UROK	\N	\N
3445043	19	1998-07-31	PRIJEM	\N	30	8738	UROK	\N	\N
3445044	19	1998-08-31	PRIJEM	\N	40	15002	UROK	\N	\N
3445045	19	1998-09-30	PRIJEM	\N	30	7522	UROK	\N	\N
3445046	19	1998-09-30	VYDAJ	VYBER	7	7507	SANKC. UROK	\N	\N
3445047	19	1998-10-31	PRIJEM	\N	50	15181	UROK	\N	\N
3445048	19	1998-11-30	PRIJEM	\N	35	8188	UROK	\N	\N
3445049	19	1998-11-30	VYDAJ	VYBER	5	8211	SANKC. UROK	\N	\N
3445050	19	1998-12-31	PRIJEM	\N	36	10840	UROK	\N	\N
3445051	58	1996-12-31	PRIJEM	\N	34	23150	UROK	\N	\N
3445052	58	1997-01-31	PRIJEM	\N	100	18344	UROK	\N	\N
3445053	58	1997-02-28	PRIJEM	\N	75	14308	UROK	\N	\N
3445054	58	1997-03-31	PRIJEM	\N	66	17163	UROK	\N	\N
3445055	58	1997-04-30	PRIJEM	\N	80	22532	UROK	\N	\N
3445056	58	1997-05-31	PRIJEM	\N	92	19413	UROK	\N	\N
3445057	58	1997-06-30	PRIJEM	\N	58	8910	UROK	\N	\N
3445058	58	1997-07-31	PRIJEM	\N	46	11445	UROK	\N	\N
3445059	58	1997-08-31	PRIJEM	\N	53	10088	UROK	\N	\N
3445060	58	1997-09-30	PRIJEM	\N	51	12028	UROK	\N	\N
3445061	58	1997-10-31	PRIJEM	\N	54	11871	UROK	\N	\N
3445062	58	1997-11-30	PRIJEM	\N	50	9950	UROK	\N	\N
3445063	58	1997-12-31	PRIJEM	\N	39	6498	UROK	\N	\N
3445064	58	1998-01-31	PRIJEM	\N	19	-2184	UROK	\N	\N
3445065	58	1998-01-31	VYDAJ	VYBER	6	-2204	SANKC. UROK	\N	\N
3445066	58	1998-02-28	PRIJEM	\N	1	3600	UROK	\N	\N
3445067	58	1998-02-28	VYDAJ	VYBER	21	3564	SANKC. UROK	\N	\N
3445068	58	1998-03-31	PRIJEM	\N	26	7094	UROK	\N	\N
3445069	58	1998-04-30	PRIJEM	\N	38	6801	UROK	\N	\N
3445070	58	1998-05-31	PRIJEM	\N	40	10430	UROK	\N	\N
3445071	58	1998-06-30	PRIJEM	\N	39	6979	UROK	\N	\N
3445072	58	1998-07-31	PRIJEM	\N	19	7887	UROK	\N	\N
3445073	58	1998-08-31	PRIJEM	\N	33	13710	UROK	\N	\N
3445074	58	1998-09-30	PRIJEM	\N	68	15067	UROK	\N	\N
3445075	58	1998-10-31	PRIJEM	\N	63	20920	UROK	\N	\N
3445076	58	1998-11-30	PRIJEM	\N	61	11270	UROK	\N	\N
3445077	58	1998-12-31	PRIJEM	\N	56	11256	UROK	\N	\N
3445078	91	1996-11-30	PRIJEM	\N	23	7097	UROK	\N	\N
3445079	91	1996-12-31	PRIJEM	\N	30	13726	UROK	\N	\N
3445080	91	1997-01-31	PRIJEM	\N	30	21056	UROK	\N	\N
3445081	91	1997-02-28	PRIJEM	\N	30	23285	UROK	\N	\N
3445082	91	1997-03-31	PRIJEM	\N	30	22015	UROK	\N	\N
3445083	91	1997-04-30	PRIJEM	\N	30	21944	UROK	\N	\N
3445084	91	1997-05-31	PRIJEM	\N	30	17673	UROK	\N	\N
3445085	91	1997-06-30	PRIJEM	\N	78	23898	UROK	\N	\N
3445086	91	1997-07-31	PRIJEM	\N	99	16397	UROK	\N	\N
3445087	91	1997-08-31	PRIJEM	\N	99	13396	UROK	\N	\N
3445088	91	1997-09-30	PRIJEM	\N	119	30819	UROK	\N	\N
3445089	91	1997-10-31	PRIJEM	\N	128	25646	UROK	\N	\N
3445090	91	1997-11-30	PRIJEM	\N	128	25174	UROK	\N	\N
3445091	91	1997-12-31	PRIJEM	\N	126	19700	UROK	\N	\N
3445092	91	1998-02-28	PRIJEM	\N	77	42077	UROK	\N	\N
3445093	91	1998-02-28	PRIJEM	\N	70	42000	UROK	\N	\N
3445094	91	1998-03-31	PRIJEM	\N	69	24746	UROK	\N	\N
3445095	91	1998-04-30	PRIJEM	\N	76	37749	UROK	\N	\N
3445096	91	1998-05-31	PRIJEM	\N	92	10226	UROK	\N	\N
3445097	91	1998-06-30	PRIJEM	\N	41	-3448	UROK	\N	\N
3445098	91	1998-06-30	VYDAJ	VYBER	1	-3463	SANKC. UROK	\N	\N
3445099	91	1998-07-31	VYDAJ	VYBER	35	-3513	SANKC. UROK	\N	\N
3445100	91	1998-08-31	PRIJEM	\N	33	42444	UROK	\N	\N
3445101	91	1998-08-31	VYDAJ	VYBER	29	42415	SANKC. UROK	\N	\N
3445102	91	1998-09-30	PRIJEM	\N	85	37186	UROK	\N	\N
3445103	91	1998-10-31	PRIJEM	\N	165	25042	UROK	\N	\N
3445104	91	1998-11-30	PRIJEM	\N	101	8228	UROK	\N	\N
3445105	91	1998-11-30	VYDAJ	VYBER	1	-4188	SANKC. UROK	\N	\N
3445106	103	1997-02-28	PRIJEM	\N	196	85036	UROK	\N	\N
3445107	103	1997-03-31	PRIJEM	\N	279	66306	UROK	\N	\N
3445108	103	1997-04-30	PRIJEM	\N	253	80239	UROK	\N	\N
3445109	103	1997-05-31	PRIJEM	\N	274	62949	UROK	\N	\N
3445110	103	1997-06-30	PRIJEM	\N	171	45423	UROK	\N	\N
3445111	103	1997-07-31	PRIJEM	\N	276	97315	UROK	\N	\N
3445112	103	1997-08-31	PRIJEM	\N	253	37893	UROK	\N	\N
3445113	103	1997-09-30	PRIJEM	\N	75	454	UROK	\N	\N
3445114	103	1997-09-30	VYDAJ	VYBER	5	525	SANKC. UROK	\N	\N
3445115	103	1997-10-31	PRIJEM	\N	33	27372	UROK	\N	\N
3445116	103	1997-10-31	VYDAJ	VYBER	5	27368	SANKC. UROK	\N	\N
3445117	103	1997-11-30	PRIJEM	\N	18	19993	UROK	\N	\N
3445118	103	1997-12-31	PRIJEM	\N	65	23664	UROK	\N	\N
3445119	103	1998-01-31	PRIJEM	\N	42	17221	UROK	\N	\N
3445120	103	1998-01-31	VYDAJ	VYBER	12	17239	SANKC. UROK	\N	\N
3445121	103	1998-02-28	PRIJEM	\N	79	58065	UROK	\N	\N
3445122	103	1998-02-28	VYDAJ	VYBER	8	51457	SANKC. UROK	\N	\N
3445123	103	1998-03-31	PRIJEM	\N	298	63503	UROK	\N	\N
3445124	103	1998-04-30	PRIJEM	\N	294	52652	UROK	\N	\N
3445125	103	1998-05-31	PRIJEM	\N	236	49860	UROK	\N	\N
3445126	103	1998-06-30	PRIJEM	\N	138	35345	UROK	\N	\N
3445127	103	1998-07-31	PRIJEM	\N	246	66264	UROK	\N	\N
3445128	103	1998-08-31	PRIJEM	\N	277	61080	UROK	\N	\N
3445129	103	1998-09-30	PRIJEM	\N	248	55913	UROK	\N	\N
3445130	103	1998-10-31	PRIJEM	\N	202	41478	UROK	\N	\N
3445131	103	1998-11-30	PRIJEM	\N	185	56141	UROK	\N	\N
3445132	103	1998-12-31	PRIJEM	\N	162	37862	UROK	\N	\N
3445133	144	1997-04-30	PRIJEM	\N	31	44564	UROK	\N	\N
3445134	144	1997-05-31	PRIJEM	\N	231	41663	UROK	\N	\N
3445135	144	1997-06-30	PRIJEM	\N	248	23352	UROK	\N	\N
3445136	144	1997-07-31	PRIJEM	\N	217	89015	UROK	\N	\N
3445137	144	1997-08-31	PRIJEM	\N	267	68563	UROK	\N	\N
3445138	144	1997-09-30	PRIJEM	\N	181	35405	UROK	\N	\N
3445139	144	1997-10-31	PRIJEM	\N	212	59520	UROK	\N	\N
3445140	144	1997-11-30	PRIJEM	\N	237	43972	UROK	\N	\N
3445141	144	1997-12-31	PRIJEM	\N	190	47529	UROK	\N	\N
3445142	144	1998-01-31	PRIJEM	\N	79	11310	UROK	\N	\N
3445143	144	1998-01-31	VYDAJ	VYBER	2	11278	SANKC. UROK	\N	\N
3445144	144	1998-02-28	PRIJEM	\N	55	38577	UROK	\N	\N
3445145	144	1998-03-31	PRIJEM	\N	192	50218	UROK	\N	\N
3445146	144	1998-04-30	PRIJEM	\N	270	41861	UROK	\N	\N
3445147	144	1998-05-31	PRIJEM	\N	174	40006	UROK	\N	\N
3445148	144	1998-06-30	PRIJEM	\N	177	58007	UROK	\N	\N
3445149	144	1998-07-31	PRIJEM	\N	263	42344	UROK	\N	\N
3445150	144	1998-08-31	PRIJEM	\N	177	46091	UROK	\N	\N
3445151	144	1998-09-30	PRIJEM	\N	209	67014	UROK	\N	\N
3445152	144	1998-10-31	PRIJEM	\N	306	66150	UROK	\N	\N
3445153	144	1998-11-30	PRIJEM	\N	272	62895	UROK	\N	\N
3445154	144	1998-12-31	PRIJEM	\N	286	84475	UROK	\N	\N
3445155	180	1994-01-31	PRIJEM	\N	57	22518	UROK	\N	\N
3445156	180	1994-02-28	PRIJEM	\N	130	37009	UROK	\N	\N
3445157	180	1994-03-31	PRIJEM	\N	168	42838	UROK	\N	\N
3445158	180	1994-04-30	PRIJEM	\N	179	43478	UROK	\N	\N
3445159	180	1994-05-31	PRIJEM	\N	163	35302	UROK	\N	\N
3445160	180	1994-06-30	PRIJEM	\N	175	46139	UROK	\N	\N
3445161	180	1994-07-31	PRIJEM	\N	189	42626	UROK	\N	\N
3445162	180	1994-08-31	PRIJEM	\N	173	38781	UROK	\N	\N
3445163	180	1994-09-30	PRIJEM	\N	109	15261	UROK	\N	\N
3445164	180	1994-10-31	PRIJEM	\N	106	12095	UROK	\N	\N
3445165	180	1994-11-30	PRIJEM	\N	60	10174	UROK	\N	\N
3445166	180	1994-12-31	PRIJEM	\N	71	-2264	UROK	\N	\N
3445167	180	1994-12-31	VYDAJ	VYBER	5	-2300	SANKC. UROK	\N	\N
3445168	180	1995-01-31	PRIJEM	\N	73	-1466	UROK	\N	\N
3445169	180	1995-01-31	VYDAJ	VYBER	9	-1505	SANKC. UROK	\N	\N
3445170	180	1995-02-28	PRIJEM	\N	113	38169	UROK	\N	\N
3445171	180	1995-02-28	VYDAJ	VYBER	4	38135	SANKC. UROK	\N	\N
3445172	180	1995-03-31	PRIJEM	\N	118	24393	UROK	\N	\N
3445173	180	1995-04-30	PRIJEM	\N	124	15445	UROK	\N	\N
3445174	180	1995-05-31	PRIJEM	\N	158	45833	UROK	\N	\N
3445175	180	1995-06-30	PRIJEM	\N	266	70861	UROK	\N	\N
3445176	180	1995-07-31	PRIJEM	\N	274	65601	UROK	\N	\N
3445177	180	1995-08-31	PRIJEM	\N	277	63926	UROK	\N	\N
3445178	180	1995-09-30	PRIJEM	\N	255	36674	UROK	\N	\N
3445179	180	1995-10-31	PRIJEM	\N	168	22159	UROK	\N	\N
3445180	180	1995-11-30	PRIJEM	\N	176	50066	UROK	\N	\N
3445181	180	1995-12-31	PRIJEM	\N	267	62623	UROK	\N	\N
3445182	180	1996-01-31	PRIJEM	\N	170	21125	UROK	\N	\N
3445183	180	1996-02-29	PRIJEM	\N	165	47121	UROK	\N	\N
3445184	180	1996-03-31	PRIJEM	\N	237	60789	UROK	\N	\N
3445185	180	1996-04-30	PRIJEM	\N	283	71103	UROK	\N	\N
3445186	180	1996-05-31	PRIJEM	\N	297	61030	UROK	\N	\N
3445187	180	1996-06-30	PRIJEM	\N	313	79578	UROK	\N	\N
3445188	180	1996-07-31	PRIJEM	\N	333	75075	UROK	\N	\N
3445189	180	1996-08-31	PRIJEM	\N	261	41133	UROK	\N	\N
3445190	180	1996-09-30	PRIJEM	\N	139	18111	UROK	\N	\N
3445191	180	1996-10-31	PRIJEM	\N	80	35022	UROK	\N	\N
3445192	180	1996-11-30	PRIJEM	\N	163	45235	UROK	\N	\N
3445193	180	1996-12-31	PRIJEM	\N	181	35526	UROK	\N	\N
3445194	180	1997-01-31	PRIJEM	\N	117	18274	UROK	\N	\N
3445195	180	1997-02-28	PRIJEM	\N	83	37488	UROK	\N	\N
3445196	180	1997-03-31	PRIJEM	\N	184	46203	UROK	\N	\N
3445197	180	1997-04-30	PRIJEM	\N	196	56529	UROK	\N	\N
3445198	180	1997-05-31	PRIJEM	\N	243	59603	UROK	\N	\N
3445199	180	1997-06-30	PRIJEM	\N	253	70318	UROK	\N	\N
3445200	180	1997-07-31	PRIJEM	\N	288	67637	UROK	\N	\N
3445201	180	1997-08-31	PRIJEM	\N	284	73552	UROK	\N	\N
3445202	180	1997-09-30	PRIJEM	\N	335	71381	UROK	\N	\N
3445203	180	1997-10-31	PRIJEM	\N	298	75010	UROK	\N	\N
3445204	180	1997-11-30	PRIJEM	\N	336	73477	UROK	\N	\N
3445205	180	1997-12-31	PRIJEM	\N	342	70582	UROK	\N	\N
3445206	180	1998-01-31	PRIJEM	\N	203	32825	UROK	\N	\N
3445207	180	1998-02-28	PRIJEM	\N	146	39625	UROK	\N	\N
3445208	180	1998-03-31	PRIJEM	\N	196	57706	UROK	\N	\N
3445209	180	1998-04-30	PRIJEM	\N	241	57628	UROK	\N	\N
3445210	180	1998-05-31	PRIJEM	\N	265	45847	UROK	\N	\N
3445211	180	1998-06-30	PRIJEM	\N	218	68047	UROK	\N	\N
3445212	180	1998-07-31	PRIJEM	\N	301	65479	UROK	\N	\N
3445213	180	1998-08-31	PRIJEM	\N	264	59934	UROK	\N	\N
3445214	180	1998-09-30	PRIJEM	\N	245	59580	UROK	\N	\N
3445215	180	1998-10-31	PRIJEM	\N	262	66926	UROK	\N	\N
3445216	180	1998-11-30	PRIJEM	\N	300	81556	UROK	\N	\N
3445217	180	1998-12-31	PRIJEM	\N	324	64309	UROK	\N	\N
3445218	218	1996-03-31	PRIJEM	\N	129	44144	UROK	\N	\N
3445219	218	1996-04-30	PRIJEM	\N	215	39601	UROK	\N	\N
3445220	218	1996-05-31	PRIJEM	\N	249	76280	UROK	\N	\N
3445221	218	1996-06-30	PRIJEM	\N	336	61618	UROK	\N	\N
3445222	218	1996-07-31	PRIJEM	\N	226	19589	UROK	\N	\N
3445223	218	1996-08-31	PRIJEM	\N	119	26045	UROK	\N	\N
3445224	218	1996-09-30	PRIJEM	\N	117	46108	UROK	\N	\N
3445225	218	1996-10-31	PRIJEM	\N	69	42733	UROK	\N	\N
3445226	218	1996-11-30	PRIJEM	\N	249	21020	UROK	\N	\N
3445227	218	1996-12-31	PRIJEM	\N	66	472	UROK	\N	\N
3445228	218	1997-01-31	PRIJEM	\N	38	37234	UROK	\N	\N
3445229	218	1997-01-31	VYDAJ	VYBER	11	22508	SANKC. UROK	\N	\N
3445230	218	1997-02-28	PRIJEM	\N	155	22662	UROK	\N	\N
3445231	218	1997-03-31	PRIJEM	\N	282	65469	UROK	\N	\N
3445232	218	1997-04-30	PRIJEM	\N	250	57653	UROK	\N	\N
3445233	218	1997-05-31	PRIJEM	\N	270	98228	UROK	\N	\N
3445234	218	1997-06-30	PRIJEM	\N	334	9176	UROK	\N	\N
3445235	218	1997-07-31	PRIJEM	\N	53	25005	UROK	\N	\N
3445236	218	1997-08-31	PRIJEM	\N	137	22612	UROK	\N	\N
3445237	218	1997-09-30	PRIJEM	\N	94	18459	UROK	\N	\N
3445238	218	1997-10-31	PRIJEM	\N	223	79940	UROK	\N	\N
3445239	218	1997-11-30	PRIJEM	\N	456	53165	UROK	\N	\N
3445240	218	1997-12-31	PRIJEM	\N	289	49848	UROK	\N	\N
3445241	218	1998-01-31	PRIJEM	\N	126	111	UROK	\N	\N
3445242	218	1998-01-31	VYDAJ	VYBER	0	96	SANKC. UROK	\N	\N
3445243	218	1998-02-28	PRIJEM	\N	178	60629	UROK	\N	\N
3445244	218	1998-02-28	VYDAJ	VYBER	1	60614	SANKC. UROK	\N	\N
3445245	218	1998-03-31	PRIJEM	\N	220	25986	UROK	\N	\N
3445246	218	1998-04-30	PRIJEM	\N	227	77664	UROK	\N	\N
3445247	218	1998-05-31	PRIJEM	\N	201	22069	UROK	\N	\N
3445248	218	1998-06-30	PRIJEM	\N	166	51900	UROK	\N	\N
3445249	218	1998-07-31	PRIJEM	\N	223	41201	UROK	\N	\N
3445250	218	1998-08-31	PRIJEM	\N	317	64734	UROK	\N	\N
3445251	218	1998-09-30	PRIJEM	\N	244	43683	UROK	\N	\N
3445252	218	1998-10-31	PRIJEM	\N	200	49778	UROK	\N	\N
3445253	218	1998-11-30	PRIJEM	\N	231	47171	UROK	\N	\N
3445254	218	1998-12-31	PRIJEM	\N	138	25469	UROK	\N	\N
3445255	245	1994-01-31	PRIJEM	\N	52	43564	UROK	\N	\N
3445256	245	1994-02-28	PRIJEM	\N	310	49633	UROK	\N	\N
3445257	245	1994-03-31	PRIJEM	\N	206	50498	UROK	\N	\N
3445258	245	1994-04-30	PRIJEM	\N	238	53542	UROK	\N	\N
3445259	245	1994-05-31	PRIJEM	\N	309	70279	UROK	\N	\N
3445260	245	1994-06-30	PRIJEM	\N	259	47909	UROK	\N	\N
3445261	245	1994-07-31	PRIJEM	\N	183	33963	UROK	\N	\N
3445262	245	1994-08-31	PRIJEM	\N	185	76875	UROK	\N	\N
3445263	245	1994-09-30	PRIJEM	\N	296	56449	UROK	\N	\N
3445264	245	1994-10-31	PRIJEM	\N	233	83214	UROK	\N	\N
3445265	245	1994-11-30	PRIJEM	\N	301	53357	UROK	\N	\N
3445266	245	1994-12-31	PRIJEM	\N	253	51895	UROK	\N	\N
3445267	245	1995-01-31	PRIJEM	\N	120	3255	UROK	\N	\N
3445268	245	1995-02-28	PRIJEM	\N	15	13056	UROK	\N	\N
3445269	245	1995-03-31	PRIJEM	\N	55	13578	UROK	\N	\N
3445270	245	1995-04-30	PRIJEM	\N	59	15551	UROK	\N	\N
3445271	245	1995-05-31	PRIJEM	\N	59	11996	UROK	\N	\N
3445272	245	1995-06-30	PRIJEM	\N	52	16633	UROK	\N	\N
3445273	245	1995-07-31	PRIJEM	\N	71	17995	UROK	\N	\N
3445274	245	1995-08-31	PRIJEM	\N	75	21255	UROK	\N	\N
3445275	245	1995-09-30	PRIJEM	\N	89	22468	UROK	\N	\N
3445276	245	1995-10-31	PRIJEM	\N	79	15932	UROK	\N	\N
3445277	245	1995-11-30	PRIJEM	\N	60	9054	UROK	\N	\N
3445278	245	1995-12-31	PRIJEM	\N	44	15696	UROK	\N	\N
3445279	245	1995-12-31	VYDAJ	VYBER	0	15681	SANKC. UROK	\N	\N
3445280	245	1996-01-31	PRIJEM	\N	38	8986	UROK	\N	\N
3445281	245	1996-01-31	VYDAJ	VYBER	3	8969	SANKC. UROK	\N	\N
3445282	245	1996-02-29	PRIJEM	\N	38	16606	UROK	\N	\N
3445283	245	1996-03-31	PRIJEM	\N	69	21360	UROK	\N	\N
3445284	245	1996-04-30	PRIJEM	\N	88	22834	UROK	\N	\N
3445285	245	1996-05-31	PRIJEM	\N	117	21128	UROK	\N	\N
3445286	245	1996-06-30	PRIJEM	\N	71	9584	UROK	\N	\N
3445287	245	1996-07-31	PRIJEM	\N	141	27919	UROK	\N	\N
3445288	245	1996-08-31	PRIJEM	\N	122	27194	UROK	\N	\N
3445289	245	1996-09-30	PRIJEM	\N	88	3159	UROK	\N	\N
3445290	245	1996-10-31	PRIJEM	\N	20	10464	UROK	\N	\N
3445291	245	1996-11-30	PRIJEM	\N	43	15892	UROK	\N	\N
3445292	245	1996-12-31	PRIJEM	\N	63	13759	UROK	\N	\N
3445293	245	1997-01-31	PRIJEM	\N	28	24165	UROK	\N	\N
3445294	245	1997-01-31	VYDAJ	VYBER	3	24148	SANKC. UROK	\N	\N
3445295	245	1997-02-28	PRIJEM	\N	49	1397	UROK	\N	\N
3445296	245	1997-03-31	PRIJEM	\N	72	44708	UROK	\N	\N
3445297	245	1997-04-30	PRIJEM	\N	282	51389	UROK	\N	\N
3445298	245	1997-05-31	PRIJEM	\N	352	89145	UROK	\N	\N
3445299	245	1997-06-30	PRIJEM	\N	138	3751	UROK	\N	\N
3445300	245	1997-07-31	PRIJEM	\N	190	57910	UROK	\N	\N
3445301	245	1997-08-31	PRIJEM	\N	268	61714	UROK	\N	\N
3445302	245	1997-09-30	PRIJEM	\N	210	45848	UROK	\N	\N
3445303	245	1997-10-31	PRIJEM	\N	169	50019	UROK	\N	\N
3445304	245	1997-11-30	PRIJEM	\N	239	56745	UROK	\N	\N
3445305	245	1997-12-31	PRIJEM	\N	249	60756	UROK	\N	\N
3445306	245	1998-01-31	PRIJEM	\N	175	31353	UROK	\N	\N
3445307	245	1998-02-28	PRIJEM	\N	117	16479	UROK	\N	\N
3445308	245	1998-03-31	PRIJEM	\N	67	29450	UROK	\N	\N
3445309	245	1998-04-30	PRIJEM	\N	105	20540	UROK	\N	\N
3445310	245	1998-05-31	PRIJEM	\N	83	17573	UROK	\N	\N
3445311	245	1998-06-30	PRIJEM	\N	71	29630	UROK	\N	\N
3445312	245	1998-07-31	PRIJEM	\N	324	60933	UROK	\N	\N
3445313	245	1998-08-31	PRIJEM	\N	203	77743	UROK	\N	\N
3445314	245	1998-09-30	PRIJEM	\N	213	43861	UROK	\N	\N
3445315	245	1998-10-31	PRIJEM	\N	108	42680	UROK	\N	\N
3445316	245	1998-11-30	PRIJEM	\N	303	77963	UROK	\N	\N
3445317	245	1998-12-31	PRIJEM	\N	240	44669	UROK	\N	\N
3445318	253	1995-12-31	PRIJEM	\N	116	34680	UROK	\N	\N
3445319	253	1996-01-31	PRIJEM	\N	197	50586	UROK	\N	\N
3445320	253	1996-02-29	PRIJEM	\N	249	62344	UROK	\N	\N
3445321	253	1996-03-31	PRIJEM	\N	266	64519	UROK	\N	\N
3445322	253	1996-04-30	PRIJEM	\N	274	66402	UROK	\N	\N
3445323	253	1996-05-31	PRIJEM	\N	285	69282	UROK	\N	\N
3445324	253	1996-06-30	PRIJEM	\N	127	32378	UROK	\N	\N
3445325	253	1996-06-30	VYDAJ	VYBER	2	32362	SANKC. UROK	\N	\N
3445326	253	1996-07-31	PRIJEM	\N	180	46711	UROK	\N	\N
3445327	253	1996-08-31	PRIJEM	\N	236	59141	UROK	\N	\N
3445328	253	1996-09-30	PRIJEM	\N	260	64836	UROK	\N	\N
3445329	253	1996-10-31	PRIJEM	\N	256	45526	UROK	\N	\N
3445330	253	1996-11-30	PRIJEM	\N	190	48110	UROK	\N	\N
3445331	253	1996-12-31	PRIJEM	\N	238	52058	UROK	\N	\N
3445332	253	1997-01-31	PRIJEM	\N	245	45098	UROK	\N	\N
3445333	253	1997-02-28	PRIJEM	\N	189	48981	UROK	\N	\N
3445334	253	1997-03-31	PRIJEM	\N	232	46328	UROK	\N	\N
3445335	253	1997-04-30	PRIJEM	\N	194	49215	UROK	\N	\N
3445336	253	1997-05-31	PRIJEM	\N	206	51616	UROK	\N	\N
3445337	253	1997-06-30	PRIJEM	\N	257	50482	UROK	\N	\N
3445338	253	1997-07-31	PRIJEM	\N	210	51787	UROK	\N	\N
3445339	253	1997-08-31	PRIJEM	\N	216	53197	UROK	\N	\N
3445340	253	1997-09-30	PRIJEM	\N	223	55814	UROK	\N	\N
3445341	253	1997-10-31	PRIJEM	\N	236	60845	UROK	\N	\N
3445342	253	1997-11-30	PRIJEM	\N	291	58530	UROK	\N	\N
3445343	253	1997-12-31	PRIJEM	\N	266	61646	UROK	\N	\N
3445344	253	1998-01-31	PRIJEM	\N	280	52220	UROK	\N	\N
3445345	253	1998-02-28	PRIJEM	\N	227	63042	UROK	\N	\N
3445346	253	1998-03-31	PRIJEM	\N	310	64146	UROK	\N	\N
3445347	253	1998-04-30	PRIJEM	\N	269	67209	UROK	\N	\N
3445348	253	1998-05-31	PRIJEM	\N	322	70745	UROK	\N	\N
3445349	253	1998-06-30	PRIJEM	\N	324	69018	UROK	\N	\N
3445350	253	1998-07-31	PRIJEM	\N	287	70400	UROK	\N	\N
3445351	253	1998-08-31	PRIJEM	\N	294	72288	UROK	\N	\N
3445352	253	1998-09-30	PRIJEM	\N	343	76225	UROK	\N	\N
3445353	253	1998-10-31	PRIJEM	\N	342	74602	UROK	\N	\N
3445354	253	1998-11-30	PRIJEM	\N	312	77108	UROK	\N	\N
3445355	253	1998-12-31	PRIJEM	\N	417	106815	UROK	\N	\N
3445356	347	1993-12-31	PRIJEM	\N	17	24993	UROK	\N	\N
3445357	347	1994-01-31	PRIJEM	\N	104	26097	UROK	\N	\N
3445358	347	1994-02-28	PRIJEM	\N	104	23101	UROK	\N	\N
3445359	347	1994-03-31	PRIJEM	\N	104	26005	UROK	\N	\N
3445360	347	1994-04-30	PRIJEM	\N	174	69713	UROK	\N	\N
3445361	347	1994-05-31	PRIJEM	\N	309	92571	UROK	\N	\N
3445362	347	1994-06-30	PRIJEM	\N	252	37615	UROK	\N	\N
3445363	347	1994-06-30	VYDAJ	VYBER	0	37615	SANKC. UROK	\N	\N
3445364	347	1994-07-31	PRIJEM	\N	179	55268	UROK	\N	\N
3445365	347	1994-08-31	PRIJEM	\N	213	42792	UROK	\N	\N
3445366	347	1994-09-30	PRIJEM	\N	163	60430	UROK	\N	\N
3445367	347	1994-10-31	PRIJEM	\N	213	46004	UROK	\N	\N
3445368	347	1994-11-30	PRIJEM	\N	197	60705	UROK	\N	\N
3445369	347	1994-12-31	PRIJEM	\N	122	14312	UROK	\N	\N
3445370	347	1995-01-31	PRIJEM	\N	145	67470	UROK	\N	\N
3445371	347	1995-02-28	PRIJEM	\N	202	39017	UROK	\N	\N
3445372	347	1995-03-31	PRIJEM	\N	89	5222	UROK	\N	\N
3445373	347	1995-04-30	PRIJEM	\N	76	50847	UROK	\N	\N
3445374	347	1995-05-31	PRIJEM	\N	145	25320	UROK	\N	\N
3445375	347	1995-06-30	PRIJEM	\N	41	5100	UROK	\N	\N
3445376	347	1995-07-31	PRIJEM	\N	60	22969	UROK	\N	\N
3445377	347	1995-08-31	PRIJEM	\N	146	73674	UROK	\N	\N
3445378	347	1995-09-30	PRIJEM	\N	300	82292	UROK	\N	\N
3445379	347	1995-10-31	PRIJEM	\N	277	68501	UROK	\N	\N
3445380	347	1995-11-30	PRIJEM	\N	183	31768	UROK	\N	\N
3445381	347	1995-12-31	PRIJEM	\N	16	-713	UROK	\N	\N
3445382	347	1995-12-31	VYDAJ	VYBER	7	-735	SANKC. UROK	\N	\N
3445383	347	1996-01-31	PRIJEM	\N	6	2370	UROK	\N	\N
3445384	347	1996-01-31	VYDAJ	VYBER	3	2367	SANKC. UROK	\N	\N
3445385	347	1996-02-29	PRIJEM	\N	20	6571	UROK	\N	\N
3445386	347	1996-03-31	PRIJEM	\N	22	-923	UROK	\N	\N
3445387	347	1996-03-31	VYDAJ	VYBER	2	-925	SANKC. UROK	\N	\N
3445388	347	1996-04-30	PRIJEM	\N	7	-2734	UROK	\N	\N
3445389	347	1996-04-30	VYDAJ	VYBER	14	-2748	SANKC. UROK	\N	\N
3445390	347	1996-05-31	PRIJEM	\N	64	58892	UROK	\N	\N
3445391	347	1996-05-31	VYDAJ	VYBER	3	58889	SANKC. UROK	\N	\N
3445392	347	1996-06-30	PRIJEM	\N	117	24821	UROK	\N	\N
3445393	347	1996-07-31	PRIJEM	\N	103	25808	UROK	\N	\N
3445394	347	1996-08-31	PRIJEM	\N	172	51586	UROK	\N	\N
3445395	347	1996-09-30	PRIJEM	\N	185	44882	UROK	\N	\N
3445396	347	1996-10-31	PRIJEM	\N	234	56382	UROK	\N	\N
3445397	347	1996-11-30	PRIJEM	\N	189	41556	UROK	\N	\N
3445398	347	1996-12-31	PRIJEM	\N	204	50516	UROK	\N	\N
3445399	347	1997-01-31	PRIJEM	\N	251	53247	UROK	\N	\N
3445400	347	1997-02-28	PRIJEM	\N	190	41121	UROK	\N	\N
3445401	347	1997-03-31	PRIJEM	\N	289	71957	UROK	\N	\N
3445402	347	1997-04-30	PRIJEM	\N	249	49190	UROK	\N	\N
3445403	347	1997-05-31	PRIJEM	\N	266	56241	UROK	\N	\N
3445404	347	1997-06-30	PRIJEM	\N	264	58601	UROK	\N	\N
3445405	347	1997-07-31	PRIJEM	\N	284	94768	UROK	\N	\N
3445406	347	1997-08-31	PRIJEM	\N	341	84783	UROK	\N	\N
3445407	347	1997-09-30	PRIJEM	\N	429	91941	UROK	\N	\N
3445408	347	1997-10-31	PRIJEM	\N	328	68754	UROK	\N	\N
3445409	347	1997-11-30	PRIJEM	\N	239	62503	UROK	\N	\N
3445410	347	1997-12-31	PRIJEM	\N	241	39829	UROK	\N	\N
3445411	347	1998-01-31	PRIJEM	\N	172	105177	UROK	\N	\N
3445412	347	1998-02-28	PRIJEM	\N	363	71125	UROK	\N	\N
3445413	347	1998-03-31	PRIJEM	\N	285	55296	UROK	\N	\N
3445414	347	1998-04-30	PRIJEM	\N	137	15419	UROK	\N	\N
3445415	347	1998-05-31	PRIJEM	\N	83	19745	UROK	\N	\N
3445416	347	1998-06-30	PRIJEM	\N	30	-2340	UROK	\N	\N
3445417	347	1998-06-30	VYDAJ	VYBER	8	-2348	SANKC. UROK	\N	\N
3445418	347	1998-07-31	PRIJEM	\N	44	56309	UROK	\N	\N
3445419	347	1998-07-31	VYDAJ	VYBER	22	56287	SANKC. UROK	\N	\N
3445420	347	1998-08-31	PRIJEM	\N	199	58047	UROK	\N	\N
3445421	347	1998-09-30	PRIJEM	\N	225	1766	UROK	\N	\N
3445422	347	1998-10-31	PRIJEM	\N	80	25890	UROK	\N	\N
3445423	347	1998-11-30	PRIJEM	\N	124	42774	UROK	\N	\N
3445424	347	1998-12-31	PRIJEM	\N	202	55761	UROK	\N	\N
3445425	377	1994-08-31	PRIJEM	\N	4	27047	UROK	\N	\N
3445426	377	1994-09-30	PRIJEM	\N	133	40635	UROK	\N	\N
3445427	377	1994-10-31	PRIJEM	\N	169	32004	UROK	\N	\N
3445428	377	1994-11-30	PRIJEM	\N	169	26572	UROK	\N	\N
3445429	377	1994-12-31	PRIJEM	\N	169	27041	UROK	\N	\N
3445430	377	1995-01-31	PRIJEM	\N	169	24010	UROK	\N	\N
3445431	377	1995-02-28	PRIJEM	\N	302	72843	UROK	\N	\N
3445432	377	1995-03-31	PRIJEM	\N	382	77758	UROK	\N	\N
3445433	377	1995-04-30	PRIJEM	\N	283	58390	UROK	\N	\N
3445434	377	1995-05-31	PRIJEM	\N	171	27204	UROK	\N	\N
3445435	377	1995-06-30	PRIJEM	\N	177	34391	UROK	\N	\N
3445436	377	1995-07-31	PRIJEM	\N	207	46082	UROK	\N	\N
3445437	377	1995-08-31	PRIJEM	\N	286	61939	UROK	\N	\N
3445438	377	1995-09-30	PRIJEM	\N	353	72075	UROK	\N	\N
3445439	377	1995-10-31	PRIJEM	\N	254	59148	UROK	\N	\N
3445440	377	1995-11-30	PRIJEM	\N	250	54720	UROK	\N	\N
3445441	377	1995-12-31	PRIJEM	\N	171	23905	UROK	\N	\N
3445442	377	1996-01-31	PRIJEM	\N	48	-1062	UROK	\N	\N
3445443	377	1996-01-31	VYDAJ	VYBER	4	-1065	SANKC. UROK	\N	\N
3445444	377	1996-02-29	PRIJEM	\N	27	25744	UROK	\N	\N
3445445	377	1996-02-29	VYDAJ	VYBER	7	25722	SANKC. UROK	\N	\N
3445446	377	1996-03-31	PRIJEM	\N	107	26129	UROK	\N	\N
3445447	377	1996-04-30	PRIJEM	\N	191	65685	UROK	\N	\N
3445448	377	1996-05-31	PRIJEM	\N	267	64669	UROK	\N	\N
3445449	377	1996-06-30	PRIJEM	\N	155	18339	UROK	\N	\N
3445450	377	1996-07-31	PRIJEM	\N	78	33945	UROK	\N	\N
3445451	377	1996-08-31	PRIJEM	\N	171	43477	UROK	\N	\N
3445452	377	1996-09-30	PRIJEM	\N	235	72887	UROK	\N	\N
3445453	377	1996-10-31	PRIJEM	\N	212	55073	UROK	\N	\N
3445454	377	1996-11-30	PRIJEM	\N	309	77209	UROK	\N	\N
3445455	377	1996-12-31	PRIJEM	\N	288	51083	UROK	\N	\N
3445456	377	1997-01-31	PRIJEM	\N	152	7929	UROK	\N	\N
3445457	377	1997-02-28	PRIJEM	\N	126	30304	UROK	\N	\N
3445458	377	1997-03-31	PRIJEM	\N	142	45296	UROK	\N	\N
3445459	377	1997-04-30	PRIJEM	\N	170	49625	UROK	\N	\N
3445460	377	1997-05-31	PRIJEM	\N	222	68214	UROK	\N	\N
3445461	377	1997-06-30	PRIJEM	\N	229	20282	UROK	\N	\N
3445462	377	1997-07-31	PRIJEM	\N	173	100023	UROK	\N	\N
3445463	377	1997-08-31	PRIJEM	\N	373	72594	UROK	\N	\N
3445464	377	1997-09-30	PRIJEM	\N	332	102693	UROK	\N	\N
3445465	377	1997-10-31	PRIJEM	\N	214	70835	UROK	\N	\N
3445466	377	1997-11-30	PRIJEM	\N	153	41057	UROK	\N	\N
3445467	377	1997-12-31	PRIJEM	\N	50	18288	UROK	\N	\N
3445468	377	1998-01-31	PRIJEM	\N	124	50966	UROK	\N	\N
3445469	377	1998-02-28	PRIJEM	\N	228	71940	UROK	\N	\N
3445470	377	1998-03-31	PRIJEM	\N	373	105318	UROK	\N	\N
3445471	377	1998-04-30	PRIJEM	\N	262	63199	UROK	\N	\N
3445472	377	1998-05-31	PRIJEM	\N	348	67714	UROK	\N	\N
3445473	377	1998-06-30	PRIJEM	\N	216	45963	UROK	\N	\N
3445474	377	1998-07-31	PRIJEM	\N	184	36303	UROK	\N	\N
3445475	377	1998-08-31	PRIJEM	\N	111	35640	UROK	\N	\N
3445476	377	1998-09-30	PRIJEM	\N	155	38932	UROK	\N	\N
3445477	377	1998-10-31	PRIJEM	\N	157	37374	UROK	\N	\N
3445478	377	1998-11-30	PRIJEM	\N	167	23605	UROK	\N	\N
3445479	377	1998-12-31	PRIJEM	\N	191	104529	UROK	\N	\N
3445480	417	1996-01-31	PRIJEM	\N	26	45323	UROK	\N	\N
3445481	417	1996-02-29	PRIJEM	\N	221	45919	UROK	\N	\N
3445482	417	1996-03-31	PRIJEM	\N	200	82503	UROK	\N	\N
3445483	417	1996-04-30	PRIJEM	\N	466	51386	UROK	\N	\N
3445484	417	1996-05-31	PRIJEM	\N	222	40009	UROK	\N	\N
3445485	417	1996-06-30	PRIJEM	\N	165	29558	UROK	\N	\N
3445486	417	1996-07-31	PRIJEM	\N	108	17061	UROK	\N	\N
3445487	417	1996-08-31	PRIJEM	\N	79	17067	UROK	\N	\N
3445488	417	1996-09-30	PRIJEM	\N	87	31866	UROK	\N	\N
3445489	417	1996-10-31	PRIJEM	\N	112	12463	UROK	\N	\N
3445490	417	1996-11-30	PRIJEM	\N	100	26195	UROK	\N	\N
3445491	417	1996-12-31	PRIJEM	\N	106	21486	UROK	\N	\N
3445492	417	1997-01-31	PRIJEM	\N	141	93000	UROK	\N	\N
3445493	417	1997-02-28	PRIJEM	\N	351	95677	UROK	\N	\N
3445494	417	1997-03-31	PRIJEM	\N	394	59355	UROK	\N	\N
3445495	417	1997-04-30	PRIJEM	\N	285	85853	UROK	\N	\N
3445496	417	1997-05-31	PRIJEM	\N	380	57431	UROK	\N	\N
3445497	417	1997-06-30	PRIJEM	\N	336	91674	UROK	\N	\N
3445498	417	1997-07-31	PRIJEM	\N	363	106826	UROK	\N	\N
3445499	417	1997-08-31	PRIJEM	\N	231	37213	UROK	\N	\N
3445500	417	1997-09-30	PRIJEM	\N	153	27151	UROK	\N	\N
3445501	417	1997-10-31	PRIJEM	\N	165	52839	UROK	\N	\N
3445502	417	1997-11-30	PRIJEM	\N	274	104435	UROK	\N	\N
3445503	417	1997-12-31	PRIJEM	\N	334	75600	UROK	\N	\N
3445504	417	1998-01-31	PRIJEM	\N	310	47096	UROK	\N	\N
3445505	417	1998-02-28	PRIJEM	\N	153	26860	UROK	\N	\N
3445506	417	1998-03-31	PRIJEM	\N	111	16755	UROK	\N	\N
3445507	417	1998-04-30	PRIJEM	\N	69	35070	UROK	\N	\N
3445508	417	1998-05-31	PRIJEM	\N	148	36609	UROK	\N	\N
3445509	417	1998-06-30	PRIJEM	\N	182	50570	UROK	\N	\N
3445510	417	1998-07-31	PRIJEM	\N	180	35993	UROK	\N	\N
3445511	417	1998-08-31	PRIJEM	\N	216	67551	UROK	\N	\N
3445512	417	1998-09-30	PRIJEM	\N	277	46113	UROK	\N	\N
3445513	417	1998-10-31	PRIJEM	\N	189	37788	UROK	\N	\N
3445514	417	1998-11-30	PRIJEM	\N	156	37829	UROK	\N	\N
3445515	417	1998-12-31	PRIJEM	\N	80	12244	UROK	\N	\N
3445516	472	1996-11-30	PRIJEM	\N	112	38413	UROK	\N	\N
3445517	472	1996-12-31	PRIJEM	\N	180	42095	UROK	\N	\N
3445518	472	1997-01-31	PRIJEM	\N	228	59223	UROK	\N	\N
3445519	472	1997-02-28	PRIJEM	\N	263	64687	UROK	\N	\N
3445520	472	1997-03-31	PRIJEM	\N	192	37180	UROK	\N	\N
3445521	472	1997-04-30	PRIJEM	\N	171	38337	UROK	\N	\N
3445522	472	1997-05-31	PRIJEM	\N	176	42599	UROK	\N	\N
3445523	472	1997-06-30	PRIJEM	\N	100	-2656	UROK	\N	\N
3445524	472	1997-06-30	VYDAJ	VYBER	5	-2676	SANKC. UROK	\N	\N
3445525	472	1997-07-31	PRIJEM	\N	46	4047	UROK	\N	\N
3445526	472	1997-07-31	VYDAJ	VYBER	6	4041	SANKC. UROK	\N	\N
3445527	472	1997-08-31	PRIJEM	\N	97	22824	UROK	\N	\N
3445528	472	1997-09-30	PRIJEM	\N	214	56125	UROK	\N	\N
3445529	472	1997-10-31	PRIJEM	\N	292	68872	UROK	\N	\N
3445530	472	1997-11-30	PRIJEM	\N	337	84496	UROK	\N	\N
3445531	472	1997-12-31	PRIJEM	\N	369	80351	UROK	\N	\N
3445532	472	1998-01-31	PRIJEM	\N	281	65179	UROK	\N	\N
3445533	472	1998-02-28	PRIJEM	\N	288	50884	UROK	\N	\N
3445534	472	1998-03-31	PRIJEM	\N	300	75570	UROK	\N	\N
3445535	472	1998-04-30	PRIJEM	\N	377	92733	UROK	\N	\N
3445536	472	1998-05-31	PRIJEM	\N	378	92398	UROK	\N	\N
3445537	472	1998-06-30	PRIJEM	\N	348	14733	UROK	\N	\N
3445538	472	1998-07-31	PRIJEM	\N	212	58031	UROK	\N	\N
3445539	472	1998-08-31	PRIJEM	\N	241	54558	UROK	\N	\N
3445540	472	1998-09-30	PRIJEM	\N	293	72637	UROK	\N	\N
3445541	472	1998-10-31	PRIJEM	\N	320	77843	UROK	\N	\N
3445542	472	1998-11-30	PRIJEM	\N	266	68995	UROK	\N	\N
3445543	472	1998-12-31	PRIJEM	\N	165	30747	UROK	\N	\N
3445544	492	1993-10-31	PRIJEM	\N	16	6069	UROK	\N	\N
3445545	492	1993-11-30	PRIJEM	\N	70	23193	UROK	\N	\N
3445546	492	1993-12-31	PRIJEM	\N	125	34048	UROK	\N	\N
3445547	492	1994-01-31	PRIJEM	\N	147	36248	UROK	\N	\N
3445548	492	1994-02-28	PRIJEM	\N	156	38357	UROK	\N	\N
3445549	492	1994-03-31	PRIJEM	\N	153	34928	UROK	\N	\N
3445550	492	1994-04-30	PRIJEM	\N	147	35613	UROK	\N	\N
3445551	492	1994-05-31	PRIJEM	\N	151	35463	UROK	\N	\N
3445552	492	1994-06-30	PRIJEM	\N	151	35289	UROK	\N	\N
3445553	492	1994-07-31	PRIJEM	\N	154	37981	UROK	\N	\N
3445554	492	1994-08-31	PRIJEM	\N	148	34788	UROK	\N	\N
3445555	492	1994-09-30	PRIJEM	\N	150	36776	UROK	\N	\N
3445556	492	1994-10-31	PRIJEM	\N	159	39274	UROK	\N	\N
3445557	492	1994-11-30	PRIJEM	\N	155	36367	UROK	\N	\N
3445558	492	1994-12-31	PRIJEM	\N	163	40745	UROK	\N	\N
3445559	492	1995-01-31	PRIJEM	\N	159	34423	UROK	\N	\N
3445560	492	1995-02-28	PRIJEM	\N	149	33430	UROK	\N	\N
3445561	492	1995-03-31	PRIJEM	\N	154	38722	UROK	\N	\N
3445562	492	1995-04-30	PRIJEM	\N	167	41027	UROK	\N	\N
3445563	492	1995-05-31	PRIJEM	\N	160	36265	UROK	\N	\N
3445564	492	1995-06-30	PRIJEM	\N	155	38575	UROK	\N	\N
3445565	492	1995-07-31	PRIJEM	\N	153	34347	UROK	\N	\N
3445566	492	1995-08-31	PRIJEM	\N	157	39742	UROK	\N	\N
3445567	492	1995-09-30	PRIJEM	\N	149	33709	UROK	\N	\N
3445568	492	1995-10-31	PRIJEM	\N	124	27192	UROK	\N	\N
3445569	492	1995-11-30	PRIJEM	\N	115	30226	UROK	\N	\N
3445570	492	1995-12-31	PRIJEM	\N	139	30680	UROK	\N	\N
3445571	492	1996-01-31	PRIJEM	\N	127	29245	UROK	\N	\N
3445572	492	1996-02-29	PRIJEM	\N	123	29847	UROK	\N	\N
3445573	492	1996-03-31	PRIJEM	\N	125	33711	UROK	\N	\N
3445574	492	1996-04-30	PRIJEM	\N	137	30186	UROK	\N	\N
3445575	492	1996-05-31	PRIJEM	\N	123	25608	UROK	\N	\N
3445576	492	1996-06-30	PRIJEM	\N	108	29531	UROK	\N	\N
3445577	492	1996-07-31	PRIJEM	\N	118	26788	UROK	\N	\N
3445578	492	1996-08-31	PRIJEM	\N	110	26436	UROK	\N	\N
3445579	492	1996-09-30	PRIJEM	\N	112	30086	UROK	\N	\N
3445580	492	1996-10-31	PRIJEM	\N	121	27045	UROK	\N	\N
3445581	492	1996-11-30	PRIJEM	\N	112	27695	UROK	\N	\N
3445582	492	1996-12-31	PRIJEM	\N	117	27508	UROK	\N	\N
3445583	492	1997-01-31	PRIJEM	\N	107	19733	UROK	\N	\N
3445584	492	1997-02-28	PRIJEM	\N	85	23957	UROK	\N	\N
3445585	492	1997-03-31	PRIJEM	\N	102	27498	UROK	\N	\N
3445586	492	1997-04-30	PRIJEM	\N	119	27535	UROK	\N	\N
3445587	492	1997-05-31	PRIJEM	\N	112	27185	UROK	\N	\N
3445588	492	1997-06-30	PRIJEM	\N	121	30002	UROK	\N	\N
3445589	492	1997-07-31	PRIJEM	\N	115	25055	UROK	\N	\N
3445590	492	1997-08-31	PRIJEM	\N	97	20190	UROK	\N	\N
3445591	492	1997-09-30	PRIJEM	\N	84	21412	UROK	\N	\N
3445592	492	1997-10-31	PRIJEM	\N	94	25945	UROK	\N	\N
3445593	492	1997-11-30	PRIJEM	\N	103	24886	UROK	\N	\N
3445594	492	1997-12-31	PRIJEM	\N	77	13499	UROK	\N	\N
3445595	492	1998-01-31	PRIJEM	\N	46	7823	UROK	\N	\N
3445596	492	1998-02-28	PRIJEM	\N	28	5610	UROK	\N	\N
3445597	492	1998-03-31	PRIJEM	\N	26	8935	UROK	\N	\N
3445598	492	1998-04-30	PRIJEM	\N	36	10109	UROK	\N	\N
3445599	492	1998-05-31	PRIJEM	\N	49	13396	UROK	\N	\N
3445600	492	1998-06-30	PRIJEM	\N	61	17673	UROK	\N	\N
3445601	492	1998-07-31	PRIJEM	\N	75	19986	UROK	\N	\N
3445602	492	1998-08-31	PRIJEM	\N	81	20505	UROK	\N	\N
3445603	492	1998-09-30	PRIJEM	\N	68	13251	UROK	\N	\N
3445604	492	1998-10-31	PRIJEM	\N	49	12239	UROK	\N	\N
3445605	492	1998-11-30	PRIJEM	\N	42	9899	UROK	\N	\N
3445606	492	1998-12-31	PRIJEM	\N	55	16669	UROK	\N	\N
3445633	507	1996-07-31	PRIJEM	\N	32	15751	UROK	\N	\N
3445634	507	1996-08-31	PRIJEM	\N	70	17639	UROK	\N	\N
3445635	507	1996-09-30	PRIJEM	\N	78	19836	UROK	\N	\N
3445636	507	1996-10-31	PRIJEM	\N	93	24448	UROK	\N	\N
3445637	507	1996-11-30	PRIJEM	\N	117	31184	UROK	\N	\N
3445638	507	1996-12-31	PRIJEM	\N	128	30216	UROK	\N	\N
3445639	507	1997-01-31	PRIJEM	\N	83	5423	UROK	\N	\N
3445640	507	1997-02-28	PRIJEM	\N	59	20787	UROK	\N	\N
3445641	507	1997-03-31	PRIJEM	\N	92	22743	UROK	\N	\N
3445642	507	1997-04-30	PRIJEM	\N	107	23355	UROK	\N	\N
3445643	507	1997-05-31	PRIJEM	\N	102	25461	UROK	\N	\N
3445644	507	1997-06-30	PRIJEM	\N	110	27235	UROK	\N	\N
3445645	507	1997-07-31	PRIJEM	\N	108	25527	UROK	\N	\N
3445646	507	1997-08-31	PRIJEM	\N	117	29749	UROK	\N	\N
3445647	507	1997-09-30	PRIJEM	\N	117	27170	UROK	\N	\N
3445648	507	1997-10-31	PRIJEM	\N	108	25282	UROK	\N	\N
3445649	507	1997-11-30	PRIJEM	\N	97	22284	UROK	\N	\N
3445650	507	1997-12-31	PRIJEM	\N	70	16298	UROK	\N	\N
3445651	507	1998-01-31	PRIJEM	\N	30	332	UROK	\N	\N
3445652	507	1998-02-28	PRIJEM	\N	30	12567	UROK	\N	\N
3445653	507	1998-03-31	PRIJEM	\N	61	16132	UROK	\N	\N
3445654	507	1998-04-30	PRIJEM	\N	71	18008	UROK	\N	\N
3445655	507	1998-05-31	PRIJEM	\N	70	16182	UROK	\N	\N
3445656	507	1998-06-30	PRIJEM	\N	42	9589	UROK	\N	\N
3445657	507	1998-07-31	PRIJEM	\N	42	10635	UROK	\N	\N
3445658	507	1998-08-31	PRIJEM	\N	34	6974	UROK	\N	\N
3445659	507	1998-09-30	PRIJEM	\N	15	253	UROK	\N	\N
3445660	507	1998-10-31	PRIJEM	\N	0	-4643	UROK	\N	\N
3445661	507	1998-10-31	VYDAJ	VYBER	29	-4672	SANKC. UROK	\N	\N
3445662	507	1998-11-30	VYDAJ	VYBER	83	-10536	SANKC. UROK	\N	\N
3445663	507	1998-12-31	VYDAJ	VYBER	98	-9155	SANKC. UROK	\N	\N
3445664	539	1994-01-31	PRIJEM	\N	188	84255	UROK	\N	\N
3445665	539	1994-02-28	PRIJEM	\N	334	67138	UROK	\N	\N
3445666	539	1994-03-31	PRIJEM	\N	195	22733	UROK	\N	\N
3445667	539	1994-04-30	PRIJEM	\N	148	42960	UROK	\N	\N
3445668	539	1994-05-31	PRIJEM	\N	177	31237	UROK	\N	\N
3445669	539	1994-06-30	PRIJEM	\N	169	45512	UROK	\N	\N
3445670	539	1994-07-31	PRIJEM	\N	207	50076	UROK	\N	\N
3445671	539	1994-08-31	PRIJEM	\N	206	35282	UROK	\N	\N
3445672	539	1994-09-30	PRIJEM	\N	150	35152	UROK	\N	\N
3445673	539	1994-10-31	PRIJEM	\N	203	53646	UROK	\N	\N
3445674	539	1994-11-30	PRIJEM	\N	323	75719	UROK	\N	\N
3445675	539	1994-12-31	PRIJEM	\N	246	45960	UROK	\N	\N
3445676	539	1995-01-31	PRIJEM	\N	106	11965	UROK	\N	\N
3445677	539	1995-02-28	PRIJEM	\N	50	17815	UROK	\N	\N
3445678	539	1995-03-31	PRIJEM	\N	74	19689	UROK	\N	\N
3445679	539	1995-04-30	PRIJEM	\N	91	28782	UROK	\N	\N
3445680	539	1995-05-31	PRIJEM	\N	144	59022	UROK	\N	\N
3445681	539	1995-06-30	PRIJEM	\N	238	81676	UROK	\N	\N
3445682	539	1995-07-31	PRIJEM	\N	335	52511	UROK	\N	\N
3445683	539	1995-08-31	PRIJEM	\N	216	41728	UROK	\N	\N
3445684	539	1995-09-30	PRIJEM	\N	155	37129	UROK	\N	\N
3445685	539	1995-10-31	PRIJEM	\N	93	30688	UROK	\N	\N
3445686	539	1995-11-30	PRIJEM	\N	127	29614	UROK	\N	\N
3445687	539	1995-12-31	PRIJEM	\N	216	46322	UROK	\N	\N
3445688	539	1996-01-31	PRIJEM	\N	131	-1282	UROK	\N	\N
3445689	539	1996-01-31	VYDAJ	VYBER	2	-1283	SANKC. UROK	\N	\N
3445690	539	1996-02-29	PRIJEM	\N	61	50879	UROK	\N	\N
3445691	539	1996-02-29	VYDAJ	VYBER	6	50773	SANKC. UROK	\N	\N
3445692	539	1996-03-31	PRIJEM	\N	295	95737	UROK	\N	\N
3445693	539	1996-04-30	PRIJEM	\N	313	52349	UROK	\N	\N
3445694	539	1996-05-31	PRIJEM	\N	417	99965	UROK	\N	\N
3445695	539	1996-06-30	PRIJEM	\N	405	35370	UROK	\N	\N
3445696	539	1996-07-31	PRIJEM	\N	123	39255	UROK	\N	\N
3445697	539	1996-08-31	PRIJEM	\N	160	32737	UROK	\N	\N
3445698	539	1996-09-30	PRIJEM	\N	141	35679	UROK	\N	\N
3445699	539	1996-10-31	PRIJEM	\N	141	74719	UROK	\N	\N
3445700	539	1996-11-30	PRIJEM	\N	212	44530	UROK	\N	\N
3445701	539	1996-12-31	PRIJEM	\N	176	35706	UROK	\N	\N
3445702	539	1997-01-31	PRIJEM	\N	147	22754	UROK	\N	\N
3445703	539	1997-02-28	PRIJEM	\N	216	58190	UROK	\N	\N
3445704	539	1997-03-31	PRIJEM	\N	324	70618	UROK	\N	\N
3445705	539	1997-04-30	PRIJEM	\N	275	45523	UROK	\N	\N
3445706	539	1997-05-31	PRIJEM	\N	206	74248	UROK	\N	\N
3445707	539	1997-06-30	PRIJEM	\N	251	40950	UROK	\N	\N
3445708	539	1997-07-31	PRIJEM	\N	295	85016	UROK	\N	\N
3445709	539	1997-08-31	PRIJEM	\N	398	68460	UROK	\N	\N
3445710	539	1997-09-30	PRIJEM	\N	349	81926	UROK	\N	\N
3445711	539	1997-10-31	PRIJEM	\N	483	73082	UROK	\N	\N
3445712	539	1997-11-30	PRIJEM	\N	309	84777	UROK	\N	\N
3445713	539	1997-12-31	PRIJEM	\N	321	55697	UROK	\N	\N
3445714	539	1998-01-31	PRIJEM	\N	207	48564	UROK	\N	\N
3445715	539	1998-02-28	PRIJEM	\N	102	46494	UROK	\N	\N
3445716	539	1998-03-31	PRIJEM	\N	301	59491	UROK	\N	\N
3445717	539	1998-04-30	PRIJEM	\N	241	54032	UROK	\N	\N
3445718	539	1998-05-31	PRIJEM	\N	216	52149	UROK	\N	\N
3445719	539	1998-06-30	PRIJEM	\N	212	54360	UROK	\N	\N
3445720	539	1998-07-31	PRIJEM	\N	205	45193	UROK	\N	\N
3445721	539	1998-08-31	PRIJEM	\N	248	55992	UROK	\N	\N
3445722	539	1998-09-30	PRIJEM	\N	226	47518	UROK	\N	\N
3445723	539	1998-10-31	PRIJEM	\N	181	42188	UROK	\N	\N
3445724	539	1998-11-30	PRIJEM	\N	204	32243	UROK	\N	\N
3445725	539	1998-12-31	PRIJEM	\N	78	7898	UROK	\N	\N
3445726	649	1994-05-31	PRIJEM	\N	108	58911	UROK	\N	\N
3445727	649	1994-06-30	PRIJEM	\N	312	60564	UROK	\N	\N
3445728	649	1994-07-31	PRIJEM	\N	125	22208	UROK	\N	\N
3445729	649	1994-08-31	PRIJEM	\N	95	23373	UROK	\N	\N
3445730	649	1994-09-30	PRIJEM	\N	186	60670	UROK	\N	\N
3445731	649	1994-10-31	PRIJEM	\N	162	21153	UROK	\N	\N
3445732	649	1994-11-30	PRIJEM	\N	198	104992	UROK	\N	\N
3445733	649	1994-12-31	PRIJEM	\N	228	36354	UROK	\N	\N
3445734	649	1995-01-31	PRIJEM	\N	123	33963	UROK	\N	\N
3445735	649	1995-02-28	PRIJEM	\N	168	59555	UROK	\N	\N
3445736	649	1995-03-31	PRIJEM	\N	242	57465	UROK	\N	\N
3445737	649	1995-04-30	PRIJEM	\N	191	27867	UROK	\N	\N
3445738	649	1995-05-31	PRIJEM	\N	115	25652	UROK	\N	\N
3445739	649	1995-06-30	PRIJEM	\N	63	9085	UROK	\N	\N
3445740	649	1995-07-31	PRIJEM	\N	48	14303	UROK	\N	\N
3445741	649	1995-08-31	PRIJEM	\N	116	33890	UROK	\N	\N
3445742	649	1995-09-30	PRIJEM	\N	134	53952	UROK	\N	\N
3445743	649	1995-09-30	VYDAJ	VYBER	1	53921	SANKC. UROK	\N	\N
3445744	649	1995-10-31	PRIJEM	\N	268	76037	UROK	\N	\N
3445745	649	1995-11-30	PRIJEM	\N	244	57886	UROK	\N	\N
3445746	649	1995-12-31	PRIJEM	\N	204	44970	UROK	\N	\N
3445747	649	1996-01-31	PRIJEM	\N	84	45055	UROK	\N	\N
3445748	649	1996-02-29	PRIJEM	\N	156	48861	UROK	\N	\N
3445749	649	1996-03-31	PRIJEM	\N	293	83745	UROK	\N	\N
3445750	649	1996-04-30	PRIJEM	\N	355	70982	UROK	\N	\N
3445751	649	1996-05-31	PRIJEM	\N	292	48144	UROK	\N	\N
3445752	649	1996-06-30	PRIJEM	\N	199	45909	UROK	\N	\N
3445753	649	1996-07-31	PRIJEM	\N	437	99362	UROK	\N	\N
3445754	649	1996-08-31	PRIJEM	\N	378	83841	UROK	\N	\N
3445755	649	1996-09-30	PRIJEM	\N	267	63310	UROK	\N	\N
3445756	649	1996-10-31	PRIJEM	\N	260	45040	UROK	\N	\N
3445757	649	1996-11-30	PRIJEM	\N	185	41834	UROK	\N	\N
3445758	649	1996-12-31	PRIJEM	\N	226	51880	UROK	\N	\N
3445759	649	1997-01-31	PRIJEM	\N	121	41076	UROK	\N	\N
3445760	649	1997-02-28	PRIJEM	\N	129	36266	UROK	\N	\N
3445761	649	1997-03-31	PRIJEM	\N	180	57223	UROK	\N	\N
3445762	649	1997-04-30	PRIJEM	\N	300	60474	UROK	\N	\N
3445763	649	1997-05-31	PRIJEM	\N	93	39035	UROK	\N	\N
3445764	649	1997-06-30	PRIJEM	\N	132	51621	UROK	\N	\N
3445765	649	1997-07-31	PRIJEM	\N	216	41713	UROK	\N	\N
3445766	649	1997-08-31	PRIJEM	\N	211	54343	UROK	\N	\N
3445767	649	1997-09-30	PRIJEM	\N	363	66562	UROK	\N	\N
3445768	649	1997-10-31	PRIJEM	\N	343	59144	UROK	\N	\N
3445769	649	1997-11-30	PRIJEM	\N	245	61462	UROK	\N	\N
3445770	649	1997-12-31	PRIJEM	\N	326	68948	UROK	\N	\N
3445771	649	1998-01-31	PRIJEM	\N	215	41192	UROK	\N	\N
3445772	649	1998-02-28	PRIJEM	\N	208	55772	UROK	\N	\N
3445773	649	1998-03-31	PRIJEM	\N	179	22295	UROK	\N	\N
3445774	649	1998-04-30	PRIJEM	\N	145	85461	UROK	\N	\N
3445775	649	1998-05-31	PRIJEM	\N	323	61941	UROK	\N	\N
3445776	649	1998-06-30	PRIJEM	\N	193	40949	UROK	\N	\N
3445777	649	1998-07-31	PRIJEM	\N	173	41992	UROK	\N	\N
3445778	649	1998-08-31	PRIJEM	\N	361	77344	UROK	\N	\N
3445779	649	1998-09-30	PRIJEM	\N	287	41067	UROK	\N	\N
3445780	649	1998-10-31	PRIJEM	\N	324	116514	UROK	\N	\N
3445781	649	1998-11-30	PRIJEM	\N	339	67818	UROK	\N	\N
3445782	649	1998-12-31	PRIJEM	\N	246	52133	UROK	\N	\N
3445783	722	1997-06-30	PRIJEM	\N	26	46687	UROK	\N	\N
3445784	722	1997-07-31	PRIJEM	\N	276	85510	UROK	\N	\N
3445785	722	1997-08-31	PRIJEM	\N	258	57757	UROK	\N	\N
3445786	722	1997-09-30	PRIJEM	\N	240	38197	UROK	\N	\N
3445787	722	1997-10-31	PRIJEM	\N	234	35791	UROK	\N	\N
3445788	722	1997-11-30	PRIJEM	\N	195	69532	UROK	\N	\N
3445789	722	1997-12-31	PRIJEM	\N	250	43049	UROK	\N	\N
3445790	722	1998-01-31	PRIJEM	\N	91	10240	UROK	\N	\N
3445791	722	1998-02-28	PRIJEM	\N	20	-441	UROK	\N	\N
3445792	722	1998-02-28	VYDAJ	VYBER	3	-444	SANKC. UROK	\N	\N
3445793	722	1998-03-31	VYDAJ	VYBER	6	-2850	SANKC. UROK	\N	\N
3445794	722	1998-04-30	PRIJEM	\N	6	-2944	UROK	\N	\N
3445795	722	1998-04-30	VYDAJ	VYBER	29	44572	SANKC. UROK	\N	\N
3445796	722	1998-05-31	PRIJEM	\N	155	21028	UROK	\N	\N
3445797	722	1998-06-30	PRIJEM	\N	92	16863	UROK	\N	\N
3445798	722	1998-07-31	PRIJEM	\N	53	7617	UROK	\N	\N
3445799	722	1998-08-31	PRIJEM	\N	36	15553	UROK	\N	\N
3445800	722	1998-09-30	PRIJEM	\N	38	5191	UROK	\N	\N
3445801	722	1998-10-31	PRIJEM	\N	20	3411	UROK	\N	\N
3445802	722	1998-11-30	PRIJEM	\N	113	24636	UROK	\N	\N
3445803	722	1998-12-31	PRIJEM	\N	69	13305	UROK	\N	\N
3445804	773	1993-07-31	PRIJEM	\N	30	17424	UROK	\N	\N
3445805	773	1993-08-31	PRIJEM	\N	89	26308	UROK	\N	\N
3445806	773	1993-09-30	PRIJEM	\N	120	31821	UROK	\N	\N
3445807	773	1993-10-31	PRIJEM	\N	141	36056	UROK	\N	\N
3445808	773	1993-11-30	PRIJEM	\N	150	36200	UROK	\N	\N
3445809	773	1993-12-31	PRIJEM	\N	159	39385	UROK	\N	\N
3445810	773	1994-01-31	PRIJEM	\N	119	18783	UROK	\N	\N
3445811	773	1994-02-28	PRIJEM	\N	88	20650	UROK	\N	\N
3445812	773	1994-03-31	PRIJEM	\N	91	18320	UROK	\N	\N
3445813	773	1994-04-30	PRIJEM	\N	93	23293	UROK	\N	\N
3445814	773	1994-05-31	PRIJEM	\N	91	21463	UROK	\N	\N
3445815	773	1994-06-30	PRIJEM	\N	55	-1856	UROK	\N	\N
3445816	773	1994-06-30	VYDAJ	VYBER	1	-1856	SANKC. UROK	\N	\N
3445817	773	1994-07-31	PRIJEM	\N	41	17065	UROK	\N	\N
3445818	773	1994-07-31	VYDAJ	VYBER	8	17042	SANKC. UROK	\N	\N
3445819	773	1994-08-31	PRIJEM	\N	89	21825	UROK	\N	\N
3445820	773	1994-09-30	PRIJEM	\N	109	30814	UROK	\N	\N
3445821	773	1994-10-31	PRIJEM	\N	144	38737	UROK	\N	\N
3445822	773	1994-11-30	PRIJEM	\N	159	40476	UROK	\N	\N
3445823	773	1994-12-31	PRIJEM	\N	191	50693	UROK	\N	\N
3445824	773	1995-01-31	PRIJEM	\N	161	24334	UROK	\N	\N
3445825	773	1995-02-28	PRIJEM	\N	127	31040	UROK	\N	\N
3445826	773	1995-03-31	PRIJEM	\N	152	40271	UROK	\N	\N
3445827	773	1995-04-30	PRIJEM	\N	158	39508	UROK	\N	\N
3445828	773	1995-05-31	PRIJEM	\N	161	41049	UROK	\N	\N
3445829	773	1995-06-30	PRIJEM	\N	126	34102	UROK	\N	\N
3445830	773	1995-07-31	PRIJEM	\N	138	38219	UROK	\N	\N
3445831	773	1995-08-31	PRIJEM	\N	151	37950	UROK	\N	\N
3445832	773	1995-09-30	PRIJEM	\N	151	39780	UROK	\N	\N
3445833	773	1995-10-31	PRIJEM	\N	159	41518	UROK	\N	\N
3445834	773	1995-11-30	PRIJEM	\N	163	42560	UROK	\N	\N
3445835	773	1995-12-31	PRIJEM	\N	179	47366	UROK	\N	\N
3445836	773	1996-01-31	PRIJEM	\N	150	33295	UROK	\N	\N
3445837	773	1996-02-29	PRIJEM	\N	135	32309	UROK	\N	\N
3445838	773	1996-03-31	PRIJEM	\N	169	46857	UROK	\N	\N
3445839	773	1996-04-30	PRIJEM	\N	171	41508	UROK	\N	\N
3445840	773	1996-05-31	PRIJEM	\N	168	38255	UROK	\N	\N
3445841	773	1996-06-30	PRIJEM	\N	169	41951	UROK	\N	\N
3445842	773	1996-07-31	PRIJEM	\N	191	45921	UROK	\N	\N
3445843	773	1996-08-31	PRIJEM	\N	183	46184	UROK	\N	\N
3445844	773	1996-09-30	PRIJEM	\N	205	47568	UROK	\N	\N
3445845	773	1996-10-31	PRIJEM	\N	190	49838	UROK	\N	\N
3445846	773	1996-11-30	PRIJEM	\N	180	48197	UROK	\N	\N
3445847	773	1996-12-31	PRIJEM	\N	190	39314	UROK	\N	\N
3445848	773	1997-01-31	PRIJEM	\N	101	17594	UROK	\N	\N
3445849	773	1997-02-28	PRIJEM	\N	73	29446	UROK	\N	\N
3445850	773	1997-03-31	PRIJEM	\N	133	33558	UROK	\N	\N
3445851	773	1997-04-30	PRIJEM	\N	134	31371	UROK	\N	\N
3445852	773	1997-05-31	PRIJEM	\N	155	38505	UROK	\N	\N
3445853	773	1997-06-30	PRIJEM	\N	134	36766	UROK	\N	\N
3445854	773	1997-07-31	PRIJEM	\N	150	31395	UROK	\N	\N
3445855	773	1997-08-31	PRIJEM	\N	154	38928	UROK	\N	\N
3445856	773	1997-09-30	PRIJEM	\N	171	42579	UROK	\N	\N
3445857	773	1997-10-31	PRIJEM	\N	188	46147	UROK	\N	\N
3445858	773	1997-11-30	PRIJEM	\N	184	33410	UROK	\N	\N
3445859	773	1997-12-31	PRIJEM	\N	173	44710	UROK	\N	\N
3445860	773	1998-01-31	PRIJEM	\N	171	40160	UROK	\N	\N
3445861	773	1998-02-28	PRIJEM	\N	175	39614	UROK	\N	\N
3445862	773	1998-03-31	PRIJEM	\N	183	42076	UROK	\N	\N
3445863	773	1998-04-30	PRIJEM	\N	182	51138	UROK	\N	\N
3445864	773	1998-05-31	PRIJEM	\N	223	53140	UROK	\N	\N
3445865	773	1998-06-30	PRIJEM	\N	229	57095	UROK	\N	\N
3445866	773	1998-07-31	PRIJEM	\N	241	58316	UROK	\N	\N
3445867	773	1998-08-31	PRIJEM	\N	248	59643	UROK	\N	\N
3445868	773	1998-09-30	PRIJEM	\N	261	63483	UROK	\N	\N
3445869	773	1998-10-31	PRIJEM	\N	283	72846	UROK	\N	\N
3445870	773	1998-11-30	PRIJEM	\N	291	72215	UROK	\N	\N
3445871	773	1998-12-31	PRIJEM	\N	303	65644	UROK	\N	\N
3445872	790	1993-06-30	PRIJEM	\N	59	42658	UROK	\N	\N
3445873	790	1993-07-31	PRIJEM	\N	157	35975	UROK	\N	\N
3445874	790	1993-08-31	PRIJEM	\N	149	30824	UROK	\N	\N
3445875	790	1993-09-30	PRIJEM	\N	171	75555	UROK	\N	\N
3445876	790	1993-10-31	PRIJEM	\N	263	59827	UROK	\N	\N
3445877	790	1993-11-30	PRIJEM	\N	248	59678	UROK	\N	\N
3445878	790	1993-12-31	PRIJEM	\N	214	43082	UROK	\N	\N
3445879	790	1994-01-31	PRIJEM	\N	130	29090	UROK	\N	\N
3445880	790	1994-02-28	PRIJEM	\N	65	1545	UROK	\N	\N
3445881	790	1994-03-31	PRIJEM	\N	31	8861	UROK	\N	\N
3445882	790	1994-04-30	PRIJEM	\N	56	43095	UROK	\N	\N
3445883	790	1994-05-31	PRIJEM	\N	139	30720	UROK	\N	\N
3445884	790	1994-06-30	PRIJEM	\N	142	49617	UROK	\N	\N
3445885	790	1994-07-31	PRIJEM	\N	239	81713	UROK	\N	\N
3445886	790	1994-08-31	PRIJEM	\N	259	56655	UROK	\N	\N
3445887	790	1994-09-30	PRIJEM	\N	152	27653	UROK	\N	\N
3445888	790	1994-10-31	PRIJEM	\N	161	35084	UROK	\N	\N
3445889	790	1994-11-30	PRIJEM	\N	115	19249	UROK	\N	\N
3445890	790	1994-12-31	PRIJEM	\N	43	7041	UROK	\N	\N
3445891	790	1995-01-31	PRIJEM	\N	141	25305	UROK	\N	\N
3445892	790	1995-02-28	PRIJEM	\N	182	55973	UROK	\N	\N
3445893	790	1995-03-31	PRIJEM	\N	218	45782	UROK	\N	\N
3445894	790	1995-04-30	PRIJEM	\N	201	61487	UROK	\N	\N
3445895	790	1995-05-31	PRIJEM	\N	198	40735	UROK	\N	\N
3445896	790	1995-06-30	PRIJEM	\N	162	57075	UROK	\N	\N
3445897	790	1995-07-31	PRIJEM	\N	211	46371	UROK	\N	\N
3445898	790	1995-08-31	PRIJEM	\N	153	29773	UROK	\N	\N
3445899	790	1995-09-30	PRIJEM	\N	120	18843	UROK	\N	\N
3445900	790	1995-10-31	PRIJEM	\N	95	35774	UROK	\N	\N
3445901	790	1995-11-30	PRIJEM	\N	214	52540	UROK	\N	\N
3445902	790	1995-12-31	PRIJEM	\N	183	39472	UROK	\N	\N
3445903	790	1996-01-31	PRIJEM	\N	131	45136	UROK	\N	\N
3445904	790	1996-02-29	PRIJEM	\N	200	81337	UROK	\N	\N
3445905	790	1996-03-31	PRIJEM	\N	406	96885	UROK	\N	\N
3445906	790	1996-04-30	PRIJEM	\N	387	74016	UROK	\N	\N
3445907	790	1996-05-31	PRIJEM	\N	328	76424	UROK	\N	\N
3445908	790	1996-06-30	PRIJEM	\N	321	73145	UROK	\N	\N
3445909	790	1996-07-31	PRIJEM	\N	377	79904	UROK	\N	\N
3445910	790	1996-08-31	PRIJEM	\N	339	101065	UROK	\N	\N
3445911	790	1996-09-30	PRIJEM	\N	451	73508	UROK	\N	\N
3445912	790	1996-10-31	PRIJEM	\N	281	57138	UROK	\N	\N
3445913	790	1996-11-30	PRIJEM	\N	302	37747	UROK	\N	\N
3445914	790	1996-12-31	PRIJEM	\N	125	29021	UROK	\N	\N
3445915	790	1997-01-31	PRIJEM	\N	73	16280	UROK	\N	\N
3445916	790	1997-02-28	PRIJEM	\N	79	26308	UROK	\N	\N
3445917	790	1997-03-31	PRIJEM	\N	108	25274	UROK	\N	\N
3445918	790	1997-04-30	PRIJEM	\N	158	75014	UROK	\N	\N
3445919	790	1997-05-31	PRIJEM	\N	270	52034	UROK	\N	\N
3445920	790	1997-06-30	PRIJEM	\N	234	41744	UROK	\N	\N
3445921	790	1997-07-31	PRIJEM	\N	214	71904	UROK	\N	\N
3445922	790	1997-08-31	PRIJEM	\N	207	38982	UROK	\N	\N
3445923	790	1997-09-30	PRIJEM	\N	154	47128	UROK	\N	\N
3445924	790	1997-10-31	PRIJEM	\N	184	41238	UROK	\N	\N
3445925	790	1997-11-30	PRIJEM	\N	139	30462	UROK	\N	\N
3445926	790	1997-12-31	PRIJEM	\N	174	19695	UROK	\N	\N
3445927	790	1998-01-31	PRIJEM	\N	67	15048	UROK	\N	\N
3445928	790	1998-02-28	PRIJEM	\N	40	6743	UROK	\N	\N
3445929	790	1998-03-31	PRIJEM	\N	35	16689	UROK	\N	\N
3445930	790	1998-04-30	PRIJEM	\N	82	25208	UROK	\N	\N
3445931	790	1998-05-31	PRIJEM	\N	104	29961	UROK	\N	\N
3445932	790	1998-06-30	PRIJEM	\N	121	14410	UROK	\N	\N
3445933	790	1998-07-31	PRIJEM	\N	53	14900	UROK	\N	\N
3445934	790	1998-08-31	PRIJEM	\N	63	20649	UROK	\N	\N
3445935	790	1998-09-30	PRIJEM	\N	71	15724	UROK	\N	\N
3445936	790	1998-10-31	PRIJEM	\N	70	25679	UROK	\N	\N
3445937	790	1998-11-30	PRIJEM	\N	93	22188	UROK	\N	\N
3445938	790	1998-12-31	PRIJEM	\N	86	29046	UROK	\N	\N
3445939	803	1995-11-30	PRIJEM	\N	118	41321	UROK	\N	\N
3445940	803	1995-12-31	PRIJEM	\N	181	47466	UROK	\N	\N
3445941	803	1996-01-31	PRIJEM	\N	205	77552	UROK	\N	\N
3445942	803	1996-02-29	PRIJEM	\N	240	41788	UROK	\N	\N
3445943	803	1996-03-31	PRIJEM	\N	172	28146	UROK	\N	\N
3445944	803	1996-04-30	PRIJEM	\N	116	22548	UROK	\N	\N
3445945	803	1996-05-31	PRIJEM	\N	110	28793	UROK	\N	\N
3445946	803	1996-06-30	PRIJEM	\N	80	13759	UROK	\N	\N
3445947	803	1996-07-31	PRIJEM	\N	47	2791	UROK	\N	\N
3445948	803	1996-08-31	PRIJEM	\N	12	7589	UROK	\N	\N
3445949	803	1996-09-30	PRIJEM	\N	37	9611	UROK	\N	\N
3445950	803	1996-10-31	PRIJEM	\N	40	11336	UROK	\N	\N
3445951	803	1996-11-30	PRIJEM	\N	47	11869	UROK	\N	\N
3445952	803	1996-12-31	PRIJEM	\N	42	7596	UROK	\N	\N
3445953	803	1997-01-31	PRIJEM	\N	158	57241	UROK	\N	\N
3445954	803	1997-01-31	VYDAJ	VYBER	3	37138	SANKC. UROK	\N	\N
3445955	803	1997-02-28	PRIJEM	\N	219	83404	UROK	\N	\N
3445956	803	1997-03-31	PRIJEM	\N	352	107571	UROK	\N	\N
3445957	803	1997-04-30	PRIJEM	\N	366	99255	UROK	\N	\N
3445958	803	1997-05-31	PRIJEM	\N	446	110683	UROK	\N	\N
3445959	803	1997-06-30	PRIJEM	\N	214	35223	UROK	\N	\N
3445960	803	1997-07-31	PRIJEM	\N	117	37453	UROK	\N	\N
3445961	803	1997-08-31	PRIJEM	\N	202	39489	UROK	\N	\N
3445962	803	1997-09-30	PRIJEM	\N	160	29774	UROK	\N	\N
3445963	803	1997-10-31	PRIJEM	\N	149	35333	UROK	\N	\N
3445964	803	1997-11-30	PRIJEM	\N	120	21228	UROK	\N	\N
3445965	803	1997-12-31	PRIJEM	\N	155	75650	UROK	\N	\N
3445966	803	1998-01-31	PRIJEM	\N	231	30566	UROK	\N	\N
3445967	803	1998-02-28	PRIJEM	\N	124	11975	UROK	\N	\N
3445968	803	1998-03-31	PRIJEM	\N	63	47733	UROK	\N	\N
3445969	803	1998-04-30	PRIJEM	\N	151	23491	UROK	\N	\N
3445970	803	1998-05-31	PRIJEM	\N	112	30874	UROK	\N	\N
3445971	803	1998-06-30	PRIJEM	\N	176	8658	UROK	\N	\N
3445972	803	1998-07-31	PRIJEM	\N	23	-7532	UROK	\N	\N
3445973	803	1998-07-31	VYDAJ	VYBER	18	-7549	SANKC. UROK	\N	\N
3445974	803	1998-08-31	VYDAJ	VYBER	79	-14628	SANKC. UROK	\N	\N
3445975	803	1998-09-30	PRIJEM	\N	26	30249	UROK	\N	\N
3445976	803	1998-09-30	VYDAJ	VYBER	60	30189	SANKC. UROK	\N	\N
3445977	803	1998-10-31	PRIJEM	\N	88	-4673	UROK	\N	\N
3445978	803	1998-10-31	VYDAJ	VYBER	15	-4688	SANKC. UROK	\N	\N
3445979	803	1998-11-30	PRIJEM	\N	21	30238	UROK	\N	\N
3445980	803	1998-11-30	VYDAJ	VYBER	40	30197	SANKC. UROK	\N	\N
3445981	803	1998-12-31	PRIJEM	\N	99	12799	UROK	\N	\N
3445982	805	1996-12-31	PRIJEM	\N	54	22220	UROK	\N	\N
3445983	805	1997-01-31	PRIJEM	\N	127	36790	UROK	\N	\N
3445984	805	1997-02-28	PRIJEM	\N	130	45665	UROK	\N	\N
3445985	805	1997-03-31	PRIJEM	\N	184	53492	UROK	\N	\N
3445986	805	1997-04-30	PRIJEM	\N	234	58470	UROK	\N	\N
3445987	805	1997-05-31	PRIJEM	\N	228	57727	UROK	\N	\N
3445988	805	1997-06-30	PRIJEM	\N	157	29722	UROK	\N	\N
3445989	805	1997-07-31	PRIJEM	\N	164	35315	UROK	\N	\N
3445990	805	1997-08-31	PRIJEM	\N	170	38314	UROK	\N	\N
3445991	805	1997-09-30	PRIJEM	\N	146	29967	UROK	\N	\N
3445992	805	1997-10-31	PRIJEM	\N	125	27960	UROK	\N	\N
3445993	805	1997-11-30	PRIJEM	\N	118	30707	UROK	\N	\N
3445994	805	1997-12-31	PRIJEM	\N	138	34197	UROK	\N	\N
3445995	805	1998-01-31	PRIJEM	\N	104	18430	UROK	\N	\N
3445996	805	1998-02-28	PRIJEM	\N	81	25840	UROK	\N	\N
3445997	805	1998-03-31	PRIJEM	\N	111	31681	UROK	\N	\N
3445998	805	1998-04-30	PRIJEM	\N	141	28051	UROK	\N	\N
3445999	805	1998-05-31	PRIJEM	\N	69	7370	UROK	\N	\N
3446000	805	1998-05-31	VYDAJ	VYBER	5	7350	SANKC. UROK	\N	\N
3446001	805	1998-06-30	PRIJEM	\N	47	16721	UROK	\N	\N
3446002	805	1998-07-31	PRIJEM	\N	65	10815	UROK	\N	\N
3446003	805	1998-08-31	PRIJEM	\N	55	20899	UROK	\N	\N
3446004	805	1998-09-30	PRIJEM	\N	88	22116	UROK	\N	\N
3446005	805	1998-10-31	PRIJEM	\N	78	5611	UROK	\N	\N
3446006	805	1998-11-30	PRIJEM	\N	53	10713	UROK	\N	\N
3446007	805	1998-12-31	PRIJEM	\N	53	9330	UROK	\N	\N
3446008	808	1995-07-31	PRIJEM	\N	44	17064	UROK	\N	\N
3446009	808	1995-08-31	PRIJEM	\N	97	26724	UROK	\N	\N
3446010	808	1995-09-30	PRIJEM	\N	132	34572	UROK	\N	\N
3446011	808	1995-10-31	PRIJEM	\N	150	37325	UROK	\N	\N
3446012	808	1995-11-30	PRIJEM	\N	135	29980	UROK	\N	\N
3446013	808	1995-12-31	PRIJEM	\N	103	20553	UROK	\N	\N
3446014	808	1996-01-31	PRIJEM	\N	74	13049	UROK	\N	\N
3446015	808	1996-02-29	PRIJEM	\N	58	12812	UROK	\N	\N
3446016	808	1996-03-31	PRIJEM	\N	42	-3351	UROK	\N	\N
3446017	808	1996-03-31	VYDAJ	VYBER	7	-3373	SANKC. UROK	\N	\N
3446018	808	1996-04-30	PRIJEM	\N	11	-4348	UROK	\N	\N
3446019	808	1996-04-30	VYDAJ	VYBER	17	-4368	SANKC. UROK	\N	\N
3446020	808	1996-05-31	PRIJEM	\N	17	5470	UROK	\N	\N
3446021	808	1996-05-31	VYDAJ	VYBER	12	5444	SANKC. UROK	\N	\N
3446022	808	1996-06-30	PRIJEM	\N	31	-2807	UROK	\N	\N
3446023	808	1996-06-30	VYDAJ	VYBER	6	-2804	SANKC. UROK	\N	\N
3446024	808	1996-07-31	PRIJEM	\N	20	8144	UROK	\N	\N
3446025	808	1996-07-31	VYDAJ	VYBER	13	8151	SANKC. UROK	\N	\N
3446026	808	1996-08-31	PRIJEM	\N	42	10534	UROK	\N	\N
3446027	808	1996-09-30	PRIJEM	\N	48	11943	UROK	\N	\N
3446028	808	1996-10-31	PRIJEM	\N	52	13661	UROK	\N	\N
3446029	808	1996-11-30	PRIJEM	\N	54	12862	UROK	\N	\N
3446030	808	1996-12-31	PRIJEM	\N	73	17498	UROK	\N	\N
3446031	808	1997-01-31	PRIJEM	\N	58	12240	UROK	\N	\N
3446032	808	1997-02-28	PRIJEM	\N	48	12249	UROK	\N	\N
3446033	808	1997-03-31	PRIJEM	\N	49	12361	UROK	\N	\N
3446034	808	1997-04-30	PRIJEM	\N	49	12972	UROK	\N	\N
3446035	808	1997-05-31	PRIJEM	\N	59	15944	UROK	\N	\N
3446036	808	1997-06-30	PRIJEM	\N	91	27309	UROK	\N	\N
3446037	808	1997-07-31	PRIJEM	\N	63	15738	UROK	\N	\N
3446038	808	1997-08-31	PRIJEM	\N	75	10226	UROK	\N	\N
3446039	808	1997-09-30	PRIJEM	\N	49	17252	UROK	\N	\N
3446040	808	1997-10-31	PRIJEM	\N	74	17668	UROK	\N	\N
3446041	808	1997-11-30	PRIJEM	\N	71	18223	UROK	\N	\N
3446042	808	1997-12-31	PRIJEM	\N	87	21740	UROK	\N	\N
3446043	808	1998-01-31	PRIJEM	\N	78	17248	UROK	\N	\N
3446044	808	1998-02-28	PRIJEM	\N	64	17690	UROK	\N	\N
3446045	808	1998-03-31	PRIJEM	\N	74	20551	UROK	\N	\N
3446046	808	1998-04-30	PRIJEM	\N	82	17828	UROK	\N	\N
3446047	808	1998-05-31	PRIJEM	\N	77	20797	UROK	\N	\N
3446048	808	1998-06-30	PRIJEM	\N	89	10037	UROK	\N	\N
3446049	808	1998-07-31	PRIJEM	\N	61	21073	UROK	\N	\N
3446050	808	1998-08-31	PRIJEM	\N	79	21045	UROK	\N	\N
3446051	808	1998-09-30	PRIJEM	\N	82	13341	UROK	\N	\N
3446052	808	1998-10-31	PRIJEM	\N	69	20326	UROK	\N	\N
3446053	808	1998-11-30	PRIJEM	\N	78	20587	UROK	\N	\N
3446054	808	1998-12-31	PRIJEM	\N	108	29997	UROK	\N	\N
3446081	849	1996-01-31	PRIJEM	\N	1	9901	UROK	\N	\N
3446082	849	1996-02-29	PRIJEM	\N	41	16756	UROK	\N	\N
3446083	849	1996-03-31	PRIJEM	\N	42	18098	UROK	\N	\N
3446084	849	1996-04-30	PRIJEM	\N	75	18173	UROK	\N	\N
3446085	849	1996-05-31	PRIJEM	\N	81	19654	UROK	\N	\N
3446086	849	1996-06-30	PRIJEM	\N	239	46180	UROK	\N	\N
3446087	849	1996-07-31	PRIJEM	\N	191	33572	UROK	\N	\N
3446088	849	1996-08-31	PRIJEM	\N	191	26063	UROK	\N	\N
3446089	849	1996-09-30	PRIJEM	\N	187	38167	UROK	\N	\N
3446090	849	1996-10-31	PRIJEM	\N	158	26825	UROK	\N	\N
3446091	849	1996-11-30	PRIJEM	\N	158	23283	UROK	\N	\N
3446092	849	1996-12-31	PRIJEM	\N	151	15112	UROK	\N	\N
3446093	849	1997-01-31	PRIJEM	\N	62	21020	UROK	\N	\N
3446094	849	1997-02-28	PRIJEM	\N	97	27812	UROK	\N	\N
3446095	849	1997-03-31	PRIJEM	\N	102	-1124	UROK	\N	\N
3446096	849	1997-03-31	VYDAJ	VYBER	1	-1140	SANKC. UROK	\N	\N
3446097	849	1997-04-30	PRIJEM	\N	1	10462	UROK	\N	\N
3446098	849	1997-04-30	VYDAJ	VYBER	11	10450	SANKC. UROK	\N	\N
3446099	849	1997-05-31	PRIJEM	\N	51	18286	UROK	\N	\N
3446100	849	1997-06-30	PRIJEM	\N	71	12842	UROK	\N	\N
3446101	849	1997-07-31	PRIJEM	\N	61	22918	UROK	\N	\N
3446102	849	1997-08-31	PRIJEM	\N	126	69508	UROK	\N	\N
3446103	849	1997-09-30	PRIJEM	\N	255	39543	UROK	\N	\N
3446104	849	1997-10-31	PRIJEM	\N	303	47011	UROK	\N	\N
3446105	849	1997-11-30	PRIJEM	\N	242	43999	UROK	\N	\N
3446106	849	1997-12-31	PRIJEM	\N	183	29492	UROK	\N	\N
3446107	849	1998-01-31	PRIJEM	\N	86	6963	UROK	\N	\N
3446108	849	1998-02-28	PRIJEM	\N	27	1476	UROK	\N	\N
3446109	849	1998-03-31	PRIJEM	\N	5	-5333	UROK	\N	\N
3446110	849	1998-04-30	PRIJEM	\N	5	-4228	UROK	\N	\N
3446111	849	1998-05-31	PRIJEM	\N	5	-4823	UROK	\N	\N
3446112	849	1998-06-30	PRIJEM	\N	5	1070	UROK	\N	\N
3446113	849	1998-07-31	PRIJEM	\N	3	-3441	UROK	\N	\N
3446114	849	1998-08-31	PRIJEM	\N	10	23817	UROK	\N	\N
3446115	849	1998-09-30	PRIJEM	\N	67	554	UROK	\N	\N
3446116	849	1998-10-31	PRIJEM	\N	1	-660	UROK	\N	\N
3446117	849	1998-10-31	VYDAJ	VYBER	0	-661	SANKC. UROK	\N	\N
3446118	849	1998-11-30	VYDAJ	VYBER	10	100	SANKC. UROK	\N	\N
3446119	849	1998-12-31	VYDAJ	VYBER	5	-405	SANKC. UROK	\N	\N
3446120	949	1996-03-31	PRIJEM	\N	48	19949	UROK	\N	\N
3446121	949	1996-04-30	PRIJEM	\N	99	26549	UROK	\N	\N
3446122	949	1996-05-31	PRIJEM	\N	121	30671	UROK	\N	\N
3446123	949	1996-06-30	PRIJEM	\N	139	35212	UROK	\N	\N
3446124	949	1996-07-31	PRIJEM	\N	143	33956	UROK	\N	\N
3446125	949	1996-08-31	PRIJEM	\N	78	8908	UROK	\N	\N
3446126	949	1996-09-30	PRIJEM	\N	58	4921	UROK	\N	\N
3446127	949	1996-10-31	PRIJEM	\N	63	19270	UROK	\N	\N
3446128	949	1996-11-30	PRIJEM	\N	106	28262	UROK	\N	\N
3446129	949	1996-12-31	PRIJEM	\N	63	10312	UROK	\N	\N
3446130	949	1997-01-31	PRIJEM	\N	45	-456	UROK	\N	\N
3446131	949	1997-01-31	VYDAJ	VYBER	0	-471	SANKC. UROK	\N	\N
3446132	949	1997-02-28	PRIJEM	\N	68	20798	UROK	\N	\N
3446133	949	1997-02-28	VYDAJ	VYBER	1	20782	SANKC. UROK	\N	\N
3446134	949	1997-03-31	PRIJEM	\N	99	20182	UROK	\N	\N
3446135	949	1997-04-30	PRIJEM	\N	132	35200	UROK	\N	\N
3446136	949	1997-05-31	PRIJEM	\N	177	44663	UROK	\N	\N
3446137	949	1997-06-30	PRIJEM	\N	177	15635	UROK	\N	\N
3446138	949	1997-07-31	PRIJEM	\N	119	29640	UROK	\N	\N
3446139	949	1997-08-31	PRIJEM	\N	165	41692	UROK	\N	\N
3446140	949	1997-09-30	PRIJEM	\N	220	48998	UROK	\N	\N
3446141	949	1997-10-31	PRIJEM	\N	216	52400	UROK	\N	\N
3446142	949	1997-11-30	PRIJEM	\N	237	51824	UROK	\N	\N
3446143	949	1997-12-31	PRIJEM	\N	239	58050	UROK	\N	\N
3446144	949	1998-01-31	PRIJEM	\N	202	37639	UROK	\N	\N
3446145	949	1998-02-28	PRIJEM	\N	199	38924	UROK	\N	\N
3446146	949	1998-03-31	PRIJEM	\N	216	52526	UROK	\N	\N
3446147	949	1998-04-30	PRIJEM	\N	236	56148	UROK	\N	\N
3446148	949	1998-05-31	PRIJEM	\N	239	57873	UROK	\N	\N
3446149	949	1998-06-30	PRIJEM	\N	268	65729	UROK	\N	\N
3446150	949	1998-07-31	PRIJEM	\N	220	47999	UROK	\N	\N
3446151	949	1998-08-31	PRIJEM	\N	240	59725	UROK	\N	\N
3446152	949	1998-09-30	PRIJEM	\N	217	65329	UROK	\N	\N
3446153	949	1998-10-31	PRIJEM	\N	270	57985	UROK	\N	\N
3446154	949	1998-11-30	PRIJEM	\N	242	62113	UROK	\N	\N
3446155	949	1998-12-31	PRIJEM	\N	258	51863	UROK	\N	\N
3446156	1012	1994-07-31	PRIJEM	\N	74	25119	UROK	\N	\N
3446157	1012	1994-08-31	PRIJEM	\N	173	48684	UROK	\N	\N
3446158	1012	1994-09-30	PRIJEM	\N	241	62370	UROK	\N	\N
3446159	1012	1994-10-31	PRIJEM	\N	277	69233	UROK	\N	\N
3446160	1012	1994-11-30	PRIJEM	\N	243	50075	UROK	\N	\N
3446161	1012	1994-12-31	PRIJEM	\N	260	66051	UROK	\N	\N
3446162	1012	1995-01-31	PRIJEM	\N	169	26220	UROK	\N	\N
3446163	1012	1995-02-28	PRIJEM	\N	168	48895	UROK	\N	\N
3446164	1012	1995-03-31	PRIJEM	\N	225	58585	UROK	\N	\N
3446165	1012	1995-04-30	PRIJEM	\N	231	48752	UROK	\N	\N
3446166	1012	1995-05-31	PRIJEM	\N	163	33253	UROK	\N	\N
3446167	1012	1995-06-30	PRIJEM	\N	172	52026	UROK	\N	\N
3446168	1012	1995-07-31	PRIJEM	\N	194	45435	UROK	\N	\N
3446169	1012	1995-08-31	PRIJEM	\N	160	37816	UROK	\N	\N
3446170	1012	1995-09-30	PRIJEM	\N	168	18816	UROK	\N	\N
3446171	1012	1995-10-31	PRIJEM	\N	69	11082	UROK	\N	\N
3446172	1012	1995-11-30	PRIJEM	\N	57	10920	UROK	\N	\N
3446173	1012	1995-12-31	PRIJEM	\N	124	27775	UROK	\N	\N
3446174	1012	1996-01-31	PRIJEM	\N	107	24222	UROK	\N	\N
3446175	1012	1996-02-29	PRIJEM	\N	113	25040	UROK	\N	\N
3446176	1012	1996-03-31	PRIJEM	\N	129	29594	UROK	\N	\N
3446177	1012	1996-04-30	PRIJEM	\N	103	31464	UROK	\N	\N
3446178	1012	1996-05-31	PRIJEM	\N	157	40360	UROK	\N	\N
3446179	1012	1996-06-30	PRIJEM	\N	178	41088	UROK	\N	\N
3446180	1012	1996-07-31	PRIJEM	\N	171	38826	UROK	\N	\N
3446181	1012	1996-08-31	PRIJEM	\N	66	25586	UROK	\N	\N
3446182	1012	1996-08-31	VYDAJ	VYBER	2	25649	SANKC. UROK	\N	\N
3446183	1012	1996-09-30	PRIJEM	\N	78	19849	UROK	\N	\N
3446184	1012	1996-10-31	PRIJEM	\N	115	32673	UROK	\N	\N
3446185	1012	1996-11-30	PRIJEM	\N	138	40256	UROK	\N	\N
3446186	1012	1996-12-31	PRIJEM	\N	196	38991	UROK	\N	\N
3446187	1012	1997-01-31	PRIJEM	\N	82	12911	UROK	\N	\N
3446188	1012	1997-02-28	PRIJEM	\N	79	36200	UROK	\N	\N
3446189	1012	1997-03-31	PRIJEM	\N	84	34520	UROK	\N	\N
3446190	1012	1997-04-30	PRIJEM	\N	166	46601	UROK	\N	\N
3446191	1012	1997-05-31	PRIJEM	\N	198	40331	UROK	\N	\N
3446192	1012	1997-06-30	PRIJEM	\N	179	45413	UROK	\N	\N
3446193	1012	1997-07-31	PRIJEM	\N	193	49139	UROK	\N	\N
3446194	1012	1997-08-31	PRIJEM	\N	205	51744	UROK	\N	\N
3446195	1012	1997-09-30	PRIJEM	\N	194	43655	UROK	\N	\N
3446196	1012	1997-10-31	PRIJEM	\N	156	36759	UROK	\N	\N
3446197	1012	1997-11-30	PRIJEM	\N	133	19265	UROK	\N	\N
3446198	1012	1997-12-31	PRIJEM	\N	115	21342	UROK	\N	\N
3446199	1012	1998-01-31	PRIJEM	\N	86	18765	UROK	\N	\N
3446200	1012	1998-02-28	PRIJEM	\N	77	38953	UROK	\N	\N
3446201	1012	1998-03-31	PRIJEM	\N	132	34915	UROK	\N	\N
3446202	1012	1998-04-30	PRIJEM	\N	153	48191	UROK	\N	\N
3446203	1012	1998-05-31	PRIJEM	\N	166	42108	UROK	\N	\N
3446204	1012	1998-06-30	PRIJEM	\N	189	52894	UROK	\N	\N
3446205	1012	1998-07-31	PRIJEM	\N	186	48211	UROK	\N	\N
3446206	1012	1998-08-31	PRIJEM	\N	149	42534	UROK	\N	\N
3446207	1012	1998-09-30	PRIJEM	\N	119	28303	UROK	\N	\N
3446208	1012	1998-10-31	PRIJEM	\N	116	34170	UROK	\N	\N
3446209	1012	1998-11-30	PRIJEM	\N	111	37411	UROK	\N	\N
3446210	1012	1998-12-31	PRIJEM	\N	156	43349	UROK	\N	\N
3446211	1106	1993-09-30	PRIJEM	\N	10	24438	UROK	\N	\N
3446212	1106	1993-10-31	PRIJEM	\N	102	24140	UROK	\N	\N
3446213	1106	1993-11-30	PRIJEM	\N	106	32296	UROK	\N	\N
3446214	1106	1993-12-31	PRIJEM	\N	134	28730	UROK	\N	\N
3446215	1106	1994-01-31	PRIJEM	\N	134	27064	UROK	\N	\N
3446216	1106	1994-02-28	PRIJEM	\N	138	39356	UROK	\N	\N
3446217	1106	1994-03-31	PRIJEM	\N	163	32619	UROK	\N	\N
3446218	1106	1994-04-30	PRIJEM	\N	161	35824	UROK	\N	\N
3446219	1106	1994-05-31	PRIJEM	\N	150	47349	UROK	\N	\N
3446220	1106	1994-06-30	PRIJEM	\N	76	7740	UROK	\N	\N
3446221	1106	1994-07-31	PRIJEM	\N	39	14749	UROK	\N	\N
3446222	1106	1994-08-31	PRIJEM	\N	55	9874	UROK	\N	\N
3446223	1106	1994-09-30	PRIJEM	\N	87	28375	UROK	\N	\N
3446224	1106	1994-10-31	PRIJEM	\N	110	22256	UROK	\N	\N
3446225	1106	1994-11-30	PRIJEM	\N	63	15439	UROK	\N	\N
3446226	1106	1994-12-31	PRIJEM	\N	64	15173	UROK	\N	\N
3446227	1106	1995-01-31	PRIJEM	\N	31	-2749	UROK	\N	\N
3446228	1106	1995-01-31	VYDAJ	VYBER	4	-2754	SANKC. UROK	\N	\N
3446229	1106	1995-02-28	PRIJEM	\N	2	10718	UROK	\N	\N
3446230	1106	1995-02-28	VYDAJ	VYBER	28	10660	SANKC. UROK	\N	\N
3446231	1106	1995-03-31	PRIJEM	\N	36	4184	UROK	\N	\N
3446232	1106	1995-04-30	PRIJEM	\N	57	32747	UROK	\N	\N
3446233	1106	1995-05-31	PRIJEM	\N	151	67546	UROK	\N	\N
3446234	1106	1995-06-30	PRIJEM	\N	227	50502	UROK	\N	\N
3446235	1106	1995-07-31	PRIJEM	\N	198	72847	UROK	\N	\N
3446236	1106	1995-08-31	PRIJEM	\N	276	51189	UROK	\N	\N
3446237	1106	1995-09-30	PRIJEM	\N	298	109918	UROK	\N	\N
3446238	1106	1995-10-31	PRIJEM	\N	261	36240	UROK	\N	\N
3446239	1106	1995-11-30	PRIJEM	\N	131	26418	UROK	\N	\N
3446240	1106	1995-12-31	PRIJEM	\N	132	35929	UROK	\N	\N
3446241	1106	1996-01-31	PRIJEM	\N	112	29735	UROK	\N	\N
3446242	1106	1996-02-29	PRIJEM	\N	109	28903	UROK	\N	\N
3446243	1106	1996-03-31	PRIJEM	\N	228	97968	UROK	\N	\N
3446244	1106	1996-04-30	PRIJEM	\N	304	51383	UROK	\N	\N
3446245	1106	1996-05-31	PRIJEM	\N	185	34032	UROK	\N	\N
3446246	1106	1996-06-30	PRIJEM	\N	158	31523	UROK	\N	\N
3446247	1106	1996-07-31	PRIJEM	\N	148	28721	UROK	\N	\N
3446248	1106	1996-08-31	PRIJEM	\N	111	29715	UROK	\N	\N
3446249	1106	1996-09-30	PRIJEM	\N	181	44663	UROK	\N	\N
3446250	1106	1996-10-31	PRIJEM	\N	379	129868	UROK	\N	\N
3446251	1106	1996-11-30	PRIJEM	\N	396	97854	UROK	\N	\N
3446252	1106	1996-12-31	PRIJEM	\N	406	92636	UROK	\N	\N
3446253	1106	1997-01-31	PRIJEM	\N	199	31802	UROK	\N	\N
3446254	1106	1997-02-28	PRIJEM	\N	132	35872	UROK	\N	\N
3446255	1106	1997-03-31	PRIJEM	\N	154	48089	UROK	\N	\N
3446256	1106	1997-04-30	PRIJEM	\N	220	74518	UROK	\N	\N
3446257	1106	1997-05-31	PRIJEM	\N	198	27286	UROK	\N	\N
3446258	1106	1997-06-30	PRIJEM	\N	100	21056	UROK	\N	\N
3446259	1106	1997-07-31	PRIJEM	\N	126	33665	UROK	\N	\N
3446260	1106	1997-08-31	PRIJEM	\N	151	60044	UROK	\N	\N
3446261	1106	1997-09-30	PRIJEM	\N	306	64562	UROK	\N	\N
3446262	1106	1997-10-31	PRIJEM	\N	285	59809	UROK	\N	\N
3446263	1106	1997-11-30	PRIJEM	\N	214	44629	UROK	\N	\N
3446264	1106	1997-12-31	PRIJEM	\N	59	-6120	UROK	\N	\N
3446265	1106	1997-12-31	VYDAJ	VYBER	26	-6176	SANKC. UROK	\N	\N
3446266	1106	1998-01-31	VYDAJ	VYBER	60	-5765	SANKC. UROK	\N	\N
3446267	1106	1998-02-28	PRIJEM	\N	4	1839	UROK	\N	\N
3446268	1106	1998-02-28	VYDAJ	VYBER	18	1791	SANKC. UROK	\N	\N
3446269	1106	1998-03-31	PRIJEM	\N	27	9219	UROK	\N	\N
3446270	1106	1998-04-30	PRIJEM	\N	39	11128	UROK	\N	\N
3446271	1106	1998-05-31	PRIJEM	\N	43	10240	UROK	\N	\N
3446272	1106	1998-06-30	PRIJEM	\N	14	-9576	UROK	\N	\N
3446273	1106	1998-06-30	VYDAJ	VYBER	63	-9639	SANKC. UROK	\N	\N
3446274	1106	1998-07-31	PRIJEM	\N	28	3224	UROK	\N	\N
3446275	1106	1998-07-31	VYDAJ	VYBER	23	3171	SANKC. UROK	\N	\N
3446276	1106	1998-08-31	PRIJEM	\N	21	-10934	UROK	\N	\N
3446277	1106	1998-08-31	VYDAJ	VYBER	15	-10949	SANKC. UROK	\N	\N
3446278	1106	1998-09-30	VYDAJ	VYBER	30	-5809	SANKC. UROK	\N	\N
3446279	1106	1998-10-31	PRIJEM	\N	161	35992	UROK	\N	\N
3446280	1106	1998-10-31	VYDAJ	VYBER	6	35986	SANKC. UROK	\N	\N
3446281	1106	1998-11-30	PRIJEM	\N	44	-1651	UROK	\N	\N
3446282	1106	1998-11-30	VYDAJ	VYBER	7	-1688	SANKC. UROK	\N	\N
3446283	1106	1998-12-31	PRIJEM	\N	3	930	UROK	\N	\N
3446284	1106	1998-12-31	VYDAJ	VYBER	10	921	SANKC. UROK	\N	\N
3446285	1221	1997-05-31	PRIJEM	\N	287	87374	UROK	\N	\N
3446286	1221	1997-06-30	PRIJEM	\N	477	100370	UROK	\N	\N
3446287	1221	1997-07-31	PRIJEM	\N	391	97535	UROK	\N	\N
3446288	1221	1997-08-31	PRIJEM	\N	264	54835	UROK	\N	\N
3446289	1221	1997-09-30	PRIJEM	\N	364	43472	UROK	\N	\N
3446290	1221	1997-10-31	PRIJEM	\N	169	16052	UROK	\N	\N
3446291	1221	1997-11-30	PRIJEM	\N	88	31735	UROK	\N	\N
3446292	1221	1997-12-31	PRIJEM	\N	88	20694	UROK	\N	\N
3446293	1221	1998-01-31	PRIJEM	\N	36	-785	UROK	\N	\N
3446294	1221	1998-01-31	VYDAJ	VYBER	1	-801	SANKC. UROK	\N	\N
3446295	1221	1998-02-28	PRIJEM	\N	12	26140	UROK	\N	\N
3446296	1221	1998-02-28	VYDAJ	VYBER	9	26116	SANKC. UROK	\N	\N
3446297	1221	1998-03-31	PRIJEM	\N	123	29604	UROK	\N	\N
3446298	1221	1998-04-30	PRIJEM	\N	136	43889	UROK	\N	\N
3446299	1221	1998-05-31	PRIJEM	\N	209	35372	UROK	\N	\N
3446300	1221	1998-06-30	PRIJEM	\N	43	5091	UROK	\N	\N
3446301	1221	1998-06-30	VYDAJ	VYBER	8	5068	SANKC. UROK	\N	\N
3446302	1221	1998-07-31	PRIJEM	\N	19	7622	UROK	\N	\N
3446303	1221	1998-08-31	PRIJEM	\N	30	5237	UROK	\N	\N
3446304	1221	1998-09-30	PRIJEM	\N	17	5932	UROK	\N	\N
3446305	1221	1998-10-31	PRIJEM	\N	29	11636	UROK	\N	\N
3446306	1221	1998-11-30	PRIJEM	\N	157	73833	UROK	\N	\N
3446307	1221	1998-12-31	PRIJEM	\N	227	18513	UROK	\N	\N
3446308	1247	1994-01-31	PRIJEM	\N	116	72656	UROK	\N	\N
3446309	1247	1994-02-28	PRIJEM	\N	327	93629	UROK	\N	\N
3446310	1247	1994-03-31	PRIJEM	\N	330	93960	UROK	\N	\N
3446311	1247	1994-04-30	PRIJEM	\N	359	68916	UROK	\N	\N
3446312	1247	1994-05-31	PRIJEM	\N	192	32921	UROK	\N	\N
3446313	1247	1994-06-30	PRIJEM	\N	167	44772	UROK	\N	\N
3446314	1247	1994-07-31	PRIJEM	\N	262	63740	UROK	\N	\N
3446315	1247	1994-08-31	PRIJEM	\N	137	42218	UROK	\N	\N
3446316	1247	1994-09-30	PRIJEM	\N	351	59145	UROK	\N	\N
3446317	1247	1994-10-31	PRIJEM	\N	62	12430	UROK	\N	\N
3446318	1247	1994-11-30	PRIJEM	\N	102	59744	UROK	\N	\N
3446319	1247	1994-12-31	PRIJEM	\N	148	30778	UROK	\N	\N
3446320	1247	1995-01-31	PRIJEM	\N	110	15940	UROK	\N	\N
3446321	1247	1995-02-28	PRIJEM	\N	66	44782	UROK	\N	\N
3446322	1247	1995-02-28	VYDAJ	VYBER	0	44767	SANKC. UROK	\N	\N
3446323	1247	1995-03-31	PRIJEM	\N	178	42856	UROK	\N	\N
3446324	1247	1995-04-30	PRIJEM	\N	136	34505	UROK	\N	\N
3446325	1247	1995-05-31	PRIJEM	\N	176	42533	UROK	\N	\N
3446326	1247	1995-06-30	PRIJEM	\N	136	31809	UROK	\N	\N
3446327	1247	1995-07-31	PRIJEM	\N	103	34320	UROK	\N	\N
3446328	1247	1995-08-31	PRIJEM	\N	254	56796	UROK	\N	\N
3446329	1247	1995-09-30	PRIJEM	\N	211	33715	UROK	\N	\N
3446330	1247	1995-10-31	PRIJEM	\N	305	104227	UROK	\N	\N
3446331	1247	1995-11-30	PRIJEM	\N	423	46373	UROK	\N	\N
3446332	1247	1995-12-31	PRIJEM	\N	243	45795	UROK	\N	\N
3446333	1247	1996-01-31	PRIJEM	\N	85	11888	UROK	\N	\N
3446334	1247	1996-02-29	PRIJEM	\N	54	17551	UROK	\N	\N
3446335	1247	1996-03-31	PRIJEM	\N	70	21429	UROK	\N	\N
3446336	1247	1996-04-30	PRIJEM	\N	81	17317	UROK	\N	\N
3446337	1247	1996-05-31	PRIJEM	\N	76	21501	UROK	\N	\N
3446338	1247	1996-06-30	PRIJEM	\N	77	3940	UROK	\N	\N
3446339	1247	1996-07-31	PRIJEM	\N	14	2439	UROK	\N	\N
3446340	1247	1996-08-31	PRIJEM	\N	10	11134	UROK	\N	\N
3446341	1247	1996-09-30	PRIJEM	\N	107	33165	UROK	\N	\N
3446342	1247	1996-10-31	PRIJEM	\N	147	59705	UROK	\N	\N
3446343	1247	1996-11-30	PRIJEM	\N	203	28416	UROK	\N	\N
3446344	1247	1996-12-31	PRIJEM	\N	153	53970	UROK	\N	\N
3446345	1247	1997-01-31	PRIJEM	\N	294	89785	UROK	\N	\N
3446346	1247	1997-02-28	PRIJEM	\N	300	41193	UROK	\N	\N
3446347	1247	1997-03-31	PRIJEM	\N	283	53144	UROK	\N	\N
3446348	1247	1997-04-30	PRIJEM	\N	271	93352	UROK	\N	\N
3446349	1247	1997-05-31	PRIJEM	\N	306	52694	UROK	\N	\N
3446350	1247	1997-06-30	PRIJEM	\N	223	68879	UROK	\N	\N
3446351	1247	1997-07-31	PRIJEM	\N	286	64442	UROK	\N	\N
3446352	1247	1997-08-31	PRIJEM	\N	237	51387	UROK	\N	\N
3446353	1247	1997-09-30	PRIJEM	\N	198	58793	UROK	\N	\N
3446354	1247	1997-10-31	PRIJEM	\N	245	75497	UROK	\N	\N
3446355	1247	1997-11-30	PRIJEM	\N	390	78157	UROK	\N	\N
3446356	1247	1997-12-31	PRIJEM	\N	291	65924	UROK	\N	\N
3446357	1247	1998-01-31	PRIJEM	\N	187	28744	UROK	\N	\N
3446358	1247	1998-02-28	PRIJEM	\N	151	40903	UROK	\N	\N
3446359	1247	1998-03-31	PRIJEM	\N	297	100144	UROK	\N	\N
3446360	1247	1998-04-30	PRIJEM	\N	364	81116	UROK	\N	\N
3446361	1247	1998-05-31	PRIJEM	\N	330	88360	UROK	\N	\N
3446362	1247	1998-06-30	PRIJEM	\N	312	33767	UROK	\N	\N
3446363	1247	1998-07-31	PRIJEM	\N	255	69695	UROK	\N	\N
3446364	1247	1998-08-31	PRIJEM	\N	289	50670	UROK	\N	\N
3446365	1247	1998-09-30	PRIJEM	\N	300	99639	UROK	\N	\N
3446366	1247	1998-10-31	PRIJEM	\N	393	43172	UROK	\N	\N
3446367	1247	1998-11-30	PRIJEM	\N	309	86089	UROK	\N	\N
3446368	1247	1998-12-31	PRIJEM	\N	395	101403	UROK	\N	\N
3446369	1255	1997-07-31	PRIJEM	\N	128	35362	UROK	\N	\N
3446370	1255	1997-08-31	PRIJEM	\N	260	67255	UROK	\N	\N
3446371	1255	1997-09-30	PRIJEM	\N	199	82789	UROK	\N	\N
3446372	1255	1997-10-31	PRIJEM	\N	224	55446	UROK	\N	\N
3446373	1255	1997-11-30	PRIJEM	\N	317	51898	UROK	\N	\N
3446374	1255	1997-12-31	PRIJEM	\N	306	56190	UROK	\N	\N
3446375	1255	1998-01-31	PRIJEM	\N	211	27718	UROK	\N	\N
3446376	1255	1998-02-28	PRIJEM	\N	196	31833	UROK	\N	\N
3446377	1255	1998-03-31	PRIJEM	\N	230	36082	UROK	\N	\N
3446378	1255	1998-04-30	PRIJEM	\N	151	38052	UROK	\N	\N
3446379	1255	1998-05-31	PRIJEM	\N	211	36272	UROK	\N	\N
3446380	1255	1998-06-30	PRIJEM	\N	78	-2667	UROK	\N	\N
3446381	1255	1998-06-30	VYDAJ	VYBER	3	-2669	SANKC. UROK	\N	\N
3446382	1255	1998-07-31	PRIJEM	\N	78	13028	UROK	\N	\N
3446383	1255	1998-07-31	VYDAJ	VYBER	5	13023	SANKC. UROK	\N	\N
3446384	1255	1998-08-31	PRIJEM	\N	113	17156	UROK	\N	\N
3446385	1255	1998-09-30	PRIJEM	\N	120	21295	UROK	\N	\N
3446386	1255	1998-10-31	PRIJEM	\N	147	12372	UROK	\N	\N
3446387	1255	1998-11-30	PRIJEM	\N	108	13200	UROK	\N	\N
3446388	1255	1998-12-31	PRIJEM	\N	201	51299	UROK	\N	\N
3446389	1272	1993-10-31	PRIJEM	\N	36	66600	UROK	\N	\N
3446390	1272	1993-11-30	PRIJEM	\N	277	45977	UROK	\N	\N
3446391	1272	1993-12-31	PRIJEM	\N	277	35355	UROK	\N	\N
3446392	1272	1994-01-31	PRIJEM	\N	277	30732	UROK	\N	\N
3446393	1272	1994-02-28	PRIJEM	\N	277	26609	UROK	\N	\N
3446394	1272	1994-03-31	PRIJEM	\N	277	25187	UROK	\N	\N
3446395	1272	1994-04-30	PRIJEM	\N	244	36335	UROK	\N	\N
3446396	1272	1994-05-31	PRIJEM	\N	150	29385	UROK	\N	\N
3446397	1272	1994-06-30	PRIJEM	\N	162	43468	UROK	\N	\N
3446398	1272	1994-07-31	PRIJEM	\N	180	37248	UROK	\N	\N
3446399	1272	1994-08-31	PRIJEM	\N	178	42351	UROK	\N	\N
3446400	1272	1994-09-30	PRIJEM	\N	158	15694	UROK	\N	\N
3446401	1272	1994-10-31	PRIJEM	\N	61	-432	UROK	\N	\N
3446402	1272	1994-10-31	VYDAJ	VYBER	0	-462	SANKC. UROK	\N	\N
3446403	1272	1994-11-30	PRIJEM	\N	2	14540	UROK	\N	\N
3446404	1272	1994-11-30	VYDAJ	VYBER	4	14536	SANKC. UROK	\N	\N
3446405	1272	1994-12-31	PRIJEM	\N	67	17972	UROK	\N	\N
3446406	1272	1995-01-31	PRIJEM	\N	39	181	UROK	\N	\N
3446407	1272	1995-02-28	PRIJEM	\N	126	60701	UROK	\N	\N
3446408	1272	1995-03-31	PRIJEM	\N	251	47522	UROK	\N	\N
3446409	1272	1995-04-30	PRIJEM	\N	155	23847	UROK	\N	\N
3446410	1272	1995-05-31	PRIJEM	\N	141	73024	UROK	\N	\N
3446411	1272	1995-06-30	PRIJEM	\N	274	57987	UROK	\N	\N
3446412	1272	1995-07-31	PRIJEM	\N	197	40066	UROK	\N	\N
3446413	1272	1995-08-31	PRIJEM	\N	200	54887	UROK	\N	\N
3446414	1272	1995-09-30	PRIJEM	\N	227	45384	UROK	\N	\N
3446415	1272	1995-10-31	PRIJEM	\N	188	42642	UROK	\N	\N
3446416	1272	1995-11-30	PRIJEM	\N	278	87264	UROK	\N	\N
3446417	1272	1995-12-31	PRIJEM	\N	319	100532	UROK	\N	\N
3446418	1272	1996-01-31	PRIJEM	\N	285	48887	UROK	\N	\N
3446419	1272	1996-02-29	PRIJEM	\N	180	41701	UROK	\N	\N
3446420	1272	1996-03-31	PRIJEM	\N	153	32124	UROK	\N	\N
3446421	1272	1996-04-30	PRIJEM	\N	127	27921	UROK	\N	\N
3446422	1272	1996-05-31	PRIJEM	\N	62	5169	UROK	\N	\N
3446423	1272	1996-06-30	PRIJEM	\N	23	26262	UROK	\N	\N
3446424	1272	1996-07-31	PRIJEM	\N	109	35441	UROK	\N	\N
3446425	1272	1996-08-31	PRIJEM	\N	147	42758	UROK	\N	\N
3446426	1272	1996-09-30	PRIJEM	\N	234	61074	UROK	\N	\N
3446427	1272	1996-10-31	PRIJEM	\N	252	58696	UROK	\N	\N
3446428	1272	1996-11-30	PRIJEM	\N	363	98348	UROK	\N	\N
3446429	1272	1996-12-31	PRIJEM	\N	265	50261	UROK	\N	\N
3446430	1272	1997-01-31	PRIJEM	\N	178	25610	UROK	\N	\N
3446431	1272	1997-02-28	PRIJEM	\N	71	9745	UROK	\N	\N
3446432	1272	1997-03-31	PRIJEM	\N	41	20756	UROK	\N	\N
3446433	1272	1997-04-30	PRIJEM	\N	87	41413	UROK	\N	\N
3446434	1272	1997-05-31	PRIJEM	\N	169	39752	UROK	\N	\N
3446435	1272	1997-06-30	PRIJEM	\N	164	50386	UROK	\N	\N
3446436	1272	1997-07-31	PRIJEM	\N	300	93893	UROK	\N	\N
3446437	1272	1997-08-31	PRIJEM	\N	387	82950	UROK	\N	\N
3446438	1272	1997-09-30	PRIJEM	\N	332	80351	UROK	\N	\N
3446439	1272	1997-10-31	PRIJEM	\N	331	78552	UROK	\N	\N
3446440	1272	1997-11-30	PRIJEM	\N	320	102377	UROK	\N	\N
3446441	1272	1997-12-31	PRIJEM	\N	359	83406	UROK	\N	\N
3446442	1272	1998-01-31	PRIJEM	\N	299	70175	UROK	\N	\N
3446443	1272	1998-02-28	PRIJEM	\N	289	73534	UROK	\N	\N
3446444	1272	1998-03-31	PRIJEM	\N	303	79107	UROK	\N	\N
3446445	1272	1998-04-30	PRIJEM	\N	326	80903	UROK	\N	\N
3446446	1272	1998-05-31	PRIJEM	\N	334	89106	UROK	\N	\N
3446447	1272	1998-06-30	PRIJEM	\N	367	94044	UROK	\N	\N
3446448	1272	1998-07-31	PRIJEM	\N	387	95301	UROK	\N	\N
3446449	1272	1998-08-31	PRIJEM	\N	392	93863	UROK	\N	\N
3446450	1272	1998-09-30	PRIJEM	\N	386	92218	UROK	\N	\N
3446451	1272	1998-10-31	PRIJEM	\N	367	91355	UROK	\N	\N
3446452	1272	1998-11-30	PRIJEM	\N	423	106713	UROK	\N	\N
3446453	1272	1998-12-31	PRIJEM	\N	415	93598	UROK	\N	\N
3446454	1274	1996-09-30	PRIJEM	\N	206	106363	UROK	\N	\N
3446455	1274	1996-10-31	PRIJEM	\N	392	69325	UROK	\N	\N
3446456	1274	1996-11-30	PRIJEM	\N	296	66870	UROK	\N	\N
3446457	1274	1996-12-31	PRIJEM	\N	237	30155	UROK	\N	\N
3446458	1274	1997-01-31	PRIJEM	\N	45	5229	UROK	\N	\N
3446459	1274	1997-01-31	VYDAJ	VYBER	1	5198	SANKC. UROK	\N	\N
3446460	1274	1997-02-28	PRIJEM	\N	138	99229	UROK	\N	\N
3446461	1274	1997-03-31	PRIJEM	\N	409	65108	UROK	\N	\N
3446462	1274	1997-04-30	PRIJEM	\N	194	17550	UROK	\N	\N
3446463	1274	1997-05-31	PRIJEM	\N	176	65371	UROK	\N	\N
3446464	1274	1997-06-30	PRIJEM	\N	246	45297	UROK	\N	\N
3446465	1274	1997-07-31	PRIJEM	\N	152	29442	UROK	\N	\N
3446466	1274	1997-08-31	PRIJEM	\N	98	18510	UROK	\N	\N
3446467	1274	1997-09-30	PRIJEM	\N	88	22767	UROK	\N	\N
3446468	1274	1997-10-31	PRIJEM	\N	85	19123	UROK	\N	\N
3446469	1274	1997-11-30	PRIJEM	\N	128	37424	UROK	\N	\N
3446470	1274	1997-12-31	PRIJEM	\N	202	49483	UROK	\N	\N
3446471	1274	1998-01-31	PRIJEM	\N	120	19973	UROK	\N	\N
3446472	1274	1998-02-28	PRIJEM	\N	83	19902	UROK	\N	\N
3446473	1274	1998-03-31	PRIJEM	\N	107	65000	UROK	\N	\N
3446474	1274	1998-04-30	PRIJEM	\N	207	49809	UROK	\N	\N
3446475	1274	1998-05-31	PRIJEM	\N	280	90112	UROK	\N	\N
3446476	1274	1998-06-30	PRIJEM	\N	232	33979	UROK	\N	\N
3446477	1274	1998-07-31	PRIJEM	\N	166	39412	UROK	\N	\N
3446478	1274	1998-08-31	PRIJEM	\N	95	25297	UROK	\N	\N
3446479	1274	1998-09-30	PRIJEM	\N	252	94955	UROK	\N	\N
3446480	1274	1998-10-31	PRIJEM	\N	334	73976	UROK	\N	\N
3446481	1274	1998-11-30	PRIJEM	\N	321	114430	UROK	\N	\N
3446482	1274	1998-12-31	PRIJEM	\N	331	79225	UROK	\N	\N
3446483	1330	1996-11-30	PRIJEM	\N	40	28903	UROK	\N	\N
3446484	1330	1996-12-31	PRIJEM	\N	120	24023	UROK	\N	\N
3446485	1330	1997-01-31	PRIJEM	\N	120	20944	UROK	\N	\N
3446486	1330	1997-02-28	PRIJEM	\N	225	51378	UROK	\N	\N
3446487	1330	1997-03-31	PRIJEM	\N	255	57713	UROK	\N	\N
3446488	1330	1997-04-30	PRIJEM	\N	234	36445	UROK	\N	\N
3446489	1330	1997-05-31	PRIJEM	\N	144	31225	UROK	\N	\N
3446490	1330	1997-06-30	PRIJEM	\N	263	95878	UROK	\N	\N
3446491	1330	1997-07-31	PRIJEM	\N	274	49048	UROK	\N	\N
3446492	1330	1997-08-31	PRIJEM	\N	251	73926	UROK	\N	\N
3446493	1330	1997-09-30	PRIJEM	\N	286	47598	UROK	\N	\N
3446494	1330	1997-10-31	PRIJEM	\N	233	71908	UROK	\N	\N
3446495	1330	1997-11-30	PRIJEM	\N	208	26989	UROK	\N	\N
3446496	1330	1997-12-31	PRIJEM	\N	97	14472	UROK	\N	\N
3446497	1330	1998-01-31	PRIJEM	\N	88	20825	UROK	\N	\N
3446498	1330	1998-02-28	PRIJEM	\N	128	60423	UROK	\N	\N
3446499	1330	1998-03-31	PRIJEM	\N	201	33609	UROK	\N	\N
3446500	1330	1998-04-30	PRIJEM	\N	114	22009	UROK	\N	\N
3446501	1330	1998-05-31	PRIJEM	\N	80	17074	UROK	\N	\N
3446502	1330	1998-06-30	PRIJEM	\N	72	17731	UROK	\N	\N
3446503	1330	1998-07-31	PRIJEM	\N	127	30580	UROK	\N	\N
3446504	1330	1998-08-31	PRIJEM	\N	106	21819	UROK	\N	\N
3446505	1330	1998-09-30	PRIJEM	\N	75	14479	UROK	\N	\N
3446506	1330	1998-10-31	PRIJEM	\N	61	7726	UROK	\N	\N
3446507	1330	1998-11-30	PRIJEM	\N	30	141	UROK	\N	\N
3446508	1330	1998-11-30	VYDAJ	VYBER	0	141	SANKC. UROK	\N	\N
3446509	1330	1998-12-31	PRIJEM	\N	67	26160	UROK	\N	\N
3446510	1330	1998-12-31	VYDAJ	VYBER	0	26159	SANKC. UROK	\N	\N
3446511	1384	1996-04-30	PRIJEM	\N	16	28982	UROK	\N	\N
3446512	1384	1996-05-31	PRIJEM	\N	132	45280	UROK	\N	\N
3446513	1384	1996-06-30	PRIJEM	\N	199	61428	UROK	\N	\N
3446514	1384	1996-07-31	PRIJEM	\N	257	63751	UROK	\N	\N
3446515	1384	1996-08-31	PRIJEM	\N	266	65283	UROK	\N	\N
3446516	1384	1996-09-30	PRIJEM	\N	284	58603	UROK	\N	\N
3446517	1384	1996-10-31	PRIJEM	\N	245	59484	UROK	\N	\N
3446518	1384	1996-11-30	PRIJEM	\N	261	60281	UROK	\N	\N
3446519	1384	1996-12-31	PRIJEM	\N	233	40433	UROK	\N	\N
3446520	1384	1997-01-31	PRIJEM	\N	66	13647	UROK	\N	\N
3446521	1384	1997-01-31	VYDAJ	VYBER	1	13615	SANKC. UROK	\N	\N
3446522	1384	1997-02-28	PRIJEM	\N	84	36165	UROK	\N	\N
3446523	1384	1997-03-31	PRIJEM	\N	175	38576	UROK	\N	\N
3446524	1384	1997-04-30	PRIJEM	\N	184	41995	UROK	\N	\N
3446525	1384	1997-05-31	PRIJEM	\N	185	49516	UROK	\N	\N
3446526	1384	1997-06-30	PRIJEM	\N	207	34142	UROK	\N	\N
3446527	1384	1997-07-31	PRIJEM	\N	166	37672	UROK	\N	\N
3446528	1384	1997-08-31	PRIJEM	\N	168	44976	UROK	\N	\N
3446529	1384	1997-09-30	PRIJEM	\N	181	38341	UROK	\N	\N
3446530	1384	1997-10-31	PRIJEM	\N	154	36085	UROK	\N	\N
3446531	1384	1997-11-30	PRIJEM	\N	161	42582	UROK	\N	\N
3446532	1384	1997-12-31	PRIJEM	\N	140	33556	UROK	\N	\N
3446533	1384	1998-01-31	PRIJEM	\N	125	18317	UROK	\N	\N
3446534	1384	1998-02-28	PRIJEM	\N	111	36564	UROK	\N	\N
3446535	1384	1998-03-31	PRIJEM	\N	165	35760	UROK	\N	\N
3446536	1384	1998-04-30	PRIJEM	\N	172	48068	UROK	\N	\N
3446537	1384	1998-05-31	PRIJEM	\N	216	56620	UROK	\N	\N
3446538	1384	1998-06-30	PRIJEM	\N	215	45554	UROK	\N	\N
3446539	1384	1998-07-31	PRIJEM	\N	216	58205	UROK	\N	\N
3446540	1384	1998-08-31	PRIJEM	\N	247	60988	UROK	\N	\N
3446541	1384	1998-09-30	PRIJEM	\N	259	63683	UROK	\N	\N
3446542	1384	1998-10-31	PRIJEM	\N	249	56268	UROK	\N	\N
3446543	1384	1998-11-30	PRIJEM	\N	299	84202	UROK	\N	\N
3446544	1384	1998-12-31	PRIJEM	\N	340	53762	UROK	\N	\N
3446545	1416	1993-07-31	PRIJEM	\N	24	43964	UROK	\N	\N
3446546	1416	1993-08-31	PRIJEM	\N	183	34547	UROK	\N	\N
3446547	1416	1993-09-30	PRIJEM	\N	256	71915	UROK	\N	\N
3446548	1416	1993-10-31	PRIJEM	\N	298	75380	UROK	\N	\N
3446549	1416	1993-11-30	PRIJEM	\N	298	98428	UROK	\N	\N
3446550	1416	1993-12-31	PRIJEM	\N	241	29046	UROK	\N	\N
3446551	1416	1994-01-31	PRIJEM	\N	148	25996	UROK	\N	\N
3446552	1416	1994-02-28	PRIJEM	\N	108	23574	UROK	\N	\N
3446553	1416	1994-03-31	PRIJEM	\N	99	25443	UROK	\N	\N
3446554	1416	1994-04-30	PRIJEM	\N	223	63820	UROK	\N	\N
3446555	1416	1994-05-31	PRIJEM	\N	263	44654	UROK	\N	\N
3446556	1416	1994-06-30	PRIJEM	\N	174	71564	UROK	\N	\N
3446557	1416	1994-07-31	PRIJEM	\N	212	39545	UROK	\N	\N
3446558	1416	1994-08-31	PRIJEM	\N	164	35879	UROK	\N	\N
3446559	1416	1994-09-30	PRIJEM	\N	155	79188	UROK	\N	\N
3446560	1416	1994-10-31	PRIJEM	\N	300	51557	UROK	\N	\N
3446561	1416	1994-11-30	PRIJEM	\N	217	52707	UROK	\N	\N
3446562	1416	1994-12-31	PRIJEM	\N	123	25720	UROK	\N	\N
3446563	1416	1995-01-31	PRIJEM	\N	44	-805	UROK	\N	\N
3446564	1416	1995-01-31	VYDAJ	VYBER	2	-837	SANKC. UROK	\N	\N
3446565	1416	1995-02-28	PRIJEM	\N	2	15165	UROK	\N	\N
3446566	1416	1995-02-28	VYDAJ	VYBER	9	15156	SANKC. UROK	\N	\N
3446567	1416	1995-03-31	PRIJEM	\N	124	48679	UROK	\N	\N
3446568	1416	1995-04-30	PRIJEM	\N	154	9447	UROK	\N	\N
3446569	1416	1995-05-31	PRIJEM	\N	5	-970	UROK	\N	\N
3446570	1416	1995-05-31	VYDAJ	VYBER	10	-1010	SANKC. UROK	\N	\N
3446571	1416	1995-06-30	PRIJEM	\N	183	55234	UROK	\N	\N
3446572	1416	1995-06-30	VYDAJ	VYBER	2	55202	SANKC. UROK	\N	\N
3446573	1416	1995-07-31	PRIJEM	\N	280	91006	UROK	\N	\N
3446574	1416	1995-08-31	PRIJEM	\N	348	89498	UROK	\N	\N
3446575	1416	1995-09-30	PRIJEM	\N	252	80212	UROK	\N	\N
3446576	1416	1995-10-31	PRIJEM	\N	185	32461	UROK	\N	\N
3446577	1416	1995-11-30	PRIJEM	\N	133	27564	UROK	\N	\N
3446578	1416	1995-12-31	PRIJEM	\N	164	38824	UROK	\N	\N
3446579	1416	1996-01-31	PRIJEM	\N	82	17433	UROK	\N	\N
3446580	1416	1996-02-29	PRIJEM	\N	221	100285	UROK	\N	\N
3446581	1416	1996-03-31	PRIJEM	\N	460	67567	UROK	\N	\N
3446582	1416	1996-04-30	PRIJEM	\N	302	66772	UROK	\N	\N
3446583	1416	1996-05-31	PRIJEM	\N	363	70126	UROK	\N	\N
3446584	1416	1996-06-30	PRIJEM	\N	297	58120	UROK	\N	\N
3446585	1416	1996-07-31	PRIJEM	\N	379	67423	UROK	\N	\N
3446586	1416	1996-08-31	PRIJEM	\N	261	33673	UROK	\N	\N
3446587	1416	1996-09-30	PRIJEM	\N	303	111118	UROK	\N	\N
3446588	1416	1996-10-31	PRIJEM	\N	410	63598	UROK	\N	\N
3446589	1416	1996-11-30	PRIJEM	\N	285	52694	UROK	\N	\N
3446590	1416	1996-12-31	PRIJEM	\N	219	57617	UROK	\N	\N
3446591	1416	1997-01-31	PRIJEM	\N	132	10535	UROK	\N	\N
3446592	1416	1997-02-28	PRIJEM	\N	42	14847	UROK	\N	\N
3446593	1416	1997-03-31	PRIJEM	\N	50	4259	UROK	\N	\N
3446594	1416	1997-04-30	PRIJEM	\N	16	11245	UROK	\N	\N
3446595	1416	1997-05-31	PRIJEM	\N	45	16860	UROK	\N	\N
3446596	1416	1997-06-30	PRIJEM	\N	58	10136	UROK	\N	\N
3446597	1416	1997-07-31	PRIJEM	\N	39	9445	UROK	\N	\N
3446598	1416	1997-08-31	PRIJEM	\N	36	11051	UROK	\N	\N
3446599	1416	1997-09-30	PRIJEM	\N	42	8463	UROK	\N	\N
3446600	1416	1997-10-31	PRIJEM	\N	27	5060	UROK	\N	\N
3446601	1416	1997-11-30	PRIJEM	\N	17	3347	UROK	\N	\N
3446602	1416	1997-12-31	PRIJEM	\N	10	327	UROK	\N	\N
3446603	1416	1998-01-31	PRIJEM	\N	28	18573	UROK	\N	\N
3446604	1416	1998-01-31	VYDAJ	VYBER	6	18567	SANKC. UROK	\N	\N
3446605	1416	1998-02-28	PRIJEM	\N	127	59280	UROK	\N	\N
3446606	1416	1998-03-31	PRIJEM	\N	196	10546	UROK	\N	\N
3446607	1416	1998-04-30	PRIJEM	\N	147	47146	UROK	\N	\N
3446608	1416	1998-05-31	PRIJEM	\N	373	59959	UROK	\N	\N
3446609	1416	1998-06-30	PRIJEM	\N	196	30154	UROK	\N	\N
3446610	1416	1998-07-31	PRIJEM	\N	88	15398	UROK	\N	\N
3446611	1416	1998-08-31	PRIJEM	\N	35	5269	UROK	\N	\N
3446612	1416	1998-09-30	PRIJEM	\N	167	103744	UROK	\N	\N
3446613	1416	1998-10-31	PRIJEM	\N	288	47231	UROK	\N	\N
3446614	1416	1998-11-30	PRIJEM	\N	181	30284	UROK	\N	\N
3446645	1455	1996-01-31	PRIJEM	\N	21	7340	UROK	\N	\N
3446646	1455	1996-02-29	PRIJEM	\N	74	23132	UROK	\N	\N
3446647	1455	1996-03-31	PRIJEM	\N	122	32373	UROK	\N	\N
3446648	1455	1996-04-30	PRIJEM	\N	145	36037	UROK	\N	\N
3446649	1455	1996-05-31	PRIJEM	\N	158	38913	UROK	\N	\N
3446650	1455	1996-06-30	PRIJEM	\N	145	21502	UROK	\N	\N
3446651	1455	1996-07-31	PRIJEM	\N	129	31655	UROK	\N	\N
3446652	1455	1996-08-31	PRIJEM	\N	121	32180	UROK	\N	\N
3446653	1455	1996-09-30	PRIJEM	\N	135	36120	UROK	\N	\N
3446654	1455	1996-10-31	PRIJEM	\N	150	33535	UROK	\N	\N
3446655	1455	1996-11-30	PRIJEM	\N	141	36380	UROK	\N	\N
3446656	1455	1996-12-31	PRIJEM	\N	154	33158	UROK	\N	\N
3446657	1455	1997-01-31	PRIJEM	\N	129	20111	UROK	\N	\N
3446658	1455	1997-02-28	PRIJEM	\N	85	21520	UROK	\N	\N
3446659	1455	1997-03-31	PRIJEM	\N	89	20013	UROK	\N	\N
3446660	1455	1997-04-30	PRIJEM	\N	84	22002	UROK	\N	\N
3446661	1455	1997-05-31	PRIJEM	\N	91	19917	UROK	\N	\N
3446662	1455	1997-06-30	PRIJEM	\N	40	6361	UROK	\N	\N
3446663	1455	1997-06-30	VYDAJ	VYBER	5	6341	SANKC. UROK	\N	\N
3446664	1455	1997-07-31	PRIJEM	\N	33	14113	UROK	\N	\N
3446665	1455	1997-08-31	PRIJEM	\N	50	11527	UROK	\N	\N
3446666	1455	1997-09-30	PRIJEM	\N	58	21789	UROK	\N	\N
3446667	1455	1997-10-31	PRIJEM	\N	93	24086	UROK	\N	\N
3446668	1455	1997-11-30	PRIJEM	\N	94	18885	UROK	\N	\N
3446669	1455	1997-12-31	PRIJEM	\N	89	17617	UROK	\N	\N
3446670	1455	1998-01-31	PRIJEM	\N	39	7900	UROK	\N	\N
3446671	1455	1998-02-28	PRIJEM	\N	32	7837	UROK	\N	\N
3446672	1455	1998-03-31	PRIJEM	\N	34	9876	UROK	\N	\N
3446673	1455	1998-04-30	PRIJEM	\N	38	7238	UROK	\N	\N
3446674	1455	1998-05-31	PRIJEM	\N	35	11077	UROK	\N	\N
3446675	1455	1998-06-30	PRIJEM	\N	37	7218	UROK	\N	\N
3446676	1455	1998-07-31	PRIJEM	\N	28	2550	UROK	\N	\N
3446677	1455	1998-08-31	PRIJEM	\N	14	3188	UROK	\N	\N
3446678	1455	1998-09-30	PRIJEM	\N	9	1302	UROK	\N	\N
3446679	1455	1998-10-31	PRIJEM	\N	13	6219	UROK	\N	\N
3446680	1455	1998-11-30	PRIJEM	\N	31	9454	UROK	\N	\N
3446681	1455	1998-12-31	PRIJEM	\N	38	9076	UROK	\N	\N
3446735	1475	1993-07-31	PRIJEM	\N	56	23207	UROK	\N	\N
3446736	1475	1993-08-31	PRIJEM	\N	125	34583	UROK	\N	\N
3446737	1475	1993-09-30	PRIJEM	\N	158	40092	UROK	\N	\N
3446738	1475	1993-10-31	PRIJEM	\N	175	43419	UROK	\N	\N
3446739	1475	1993-11-30	PRIJEM	\N	171	25240	UROK	\N	\N
3446740	1475	1993-12-31	PRIJEM	\N	138	33174	UROK	\N	\N
3446741	1475	1994-01-31	PRIJEM	\N	75	-1017	UROK	\N	\N
3446742	1475	1994-01-31	VYDAJ	VYBER	4	-1021	SANKC. UROK	\N	\N
3446743	1475	1994-02-28	PRIJEM	\N	68	22868	UROK	\N	\N
3446744	1475	1994-02-28	VYDAJ	VYBER	3	22865	SANKC. UROK	\N	\N
3446745	1475	1994-03-31	PRIJEM	\N	100	21220	UROK	\N	\N
3446746	1475	1994-04-30	PRIJEM	\N	115	23756	UROK	\N	\N
3446747	1475	1994-05-31	PRIJEM	\N	97	18909	UROK	\N	\N
3446748	1475	1994-06-30	PRIJEM	\N	101	25206	UROK	\N	\N
3446749	1475	1994-07-31	PRIJEM	\N	141	37168	UROK	\N	\N
3446750	1475	1994-08-31	PRIJEM	\N	131	25413	UROK	\N	\N
3446751	1475	1994-09-30	PRIJEM	\N	131	27582	UROK	\N	\N
3446752	1475	1994-10-31	PRIJEM	\N	100	14926	UROK	\N	\N
3446753	1475	1994-11-30	PRIJEM	\N	78	15825	UROK	\N	\N
3446754	1475	1994-12-31	PRIJEM	\N	106	14238	UROK	\N	\N
3446755	1475	1995-01-31	PRIJEM	\N	36	-1005	UROK	\N	\N
3446756	1475	1995-01-31	VYDAJ	VYBER	4	-1010	SANKC. UROK	\N	\N
3446757	1475	1995-02-28	PRIJEM	\N	126	30937	UROK	\N	\N
3446758	1475	1995-02-28	VYDAJ	VYBER	2	30936	SANKC. UROK	\N	\N
3446759	1475	1995-03-31	PRIJEM	\N	125	19631	UROK	\N	\N
3446760	1475	1995-04-30	PRIJEM	\N	155	34206	UROK	\N	\N
3446761	1475	1995-05-31	PRIJEM	\N	203	30230	UROK	\N	\N
3446762	1475	1995-06-30	PRIJEM	\N	58	10213	UROK	\N	\N
3446763	1475	1995-07-31	PRIJEM	\N	114	20580	UROK	\N	\N
3446764	1475	1995-08-31	PRIJEM	\N	120	33036	UROK	\N	\N
3446765	1475	1995-09-30	PRIJEM	\N	193	27903	UROK	\N	\N
3446766	1475	1995-10-31	PRIJEM	\N	104	19357	UROK	\N	\N
3446767	1475	1995-11-30	PRIJEM	\N	114	29692	UROK	\N	\N
3446768	1475	1995-12-31	PRIJEM	\N	139	25584	UROK	\N	\N
3446769	1475	1996-01-31	PRIJEM	\N	85	16280	UROK	\N	\N
3446770	1475	1996-02-29	PRIJEM	\N	51	20515	UROK	\N	\N
3446771	1475	1996-03-31	PRIJEM	\N	110	24946	UROK	\N	\N
3446772	1475	1996-04-30	PRIJEM	\N	141	34507	UROK	\N	\N
3446773	1475	1996-05-31	PRIJEM	\N	144	33402	UROK	\N	\N
3446774	1475	1996-06-30	PRIJEM	\N	162	34427	UROK	\N	\N
3446775	1475	1996-07-31	PRIJEM	\N	132	26609	UROK	\N	\N
3446776	1475	1996-08-31	PRIJEM	\N	124	28715	UROK	\N	\N
3446777	1475	1996-09-30	PRIJEM	\N	136	29972	UROK	\N	\N
3446778	1475	1996-10-31	PRIJEM	\N	129	27936	UROK	\N	\N
3446779	1475	1996-11-30	PRIJEM	\N	146	34202	UROK	\N	\N
3446780	1475	1996-12-31	PRIJEM	\N	219	44418	UROK	\N	\N
3446781	1475	1997-01-31	PRIJEM	\N	103	10131	UROK	\N	\N
3446782	1475	1997-01-31	VYDAJ	VYBER	0	10100	SANKC. UROK	\N	\N
3446783	1475	1997-02-28	PRIJEM	\N	51	20897	UROK	\N	\N
3446784	1475	1997-03-31	PRIJEM	\N	87	24473	UROK	\N	\N
3446785	1475	1997-04-30	PRIJEM	\N	113	38507	UROK	\N	\N
3446786	1475	1997-05-31	PRIJEM	\N	180	35308	UROK	\N	\N
3446787	1475	1997-06-30	PRIJEM	\N	157	22015	UROK	\N	\N
3446788	1475	1997-07-31	PRIJEM	\N	109	38445	UROK	\N	\N
3446789	1475	1997-08-31	PRIJEM	\N	124	26682	UROK	\N	\N
3446790	1475	1997-09-30	PRIJEM	\N	115	25618	UROK	\N	\N
3446791	1475	1997-10-31	PRIJEM	\N	116	14888	UROK	\N	\N
3446792	1475	1997-11-30	PRIJEM	\N	69	7943	UROK	\N	\N
3446793	1475	1997-12-31	PRIJEM	\N	105	33444	UROK	\N	\N
3446794	1475	1998-01-31	PRIJEM	\N	69	694	UROK	\N	\N
3446795	1475	1998-01-31	VYDAJ	VYBER	0	694	SANKC. UROK	\N	\N
3446796	1475	1998-02-28	PRIJEM	\N	39	-181	UROK	\N	\N
3446797	1475	1998-02-28	VYDAJ	VYBER	1	-182	SANKC. UROK	\N	\N
3446798	1475	1998-03-31	PRIJEM	\N	51	32690	UROK	\N	\N
3446799	1475	1998-03-31	VYDAJ	VYBER	6	32654	SANKC. UROK	\N	\N
3446800	1475	1998-04-30	PRIJEM	\N	137	23091	UROK	\N	\N
3446801	1475	1998-05-31	PRIJEM	\N	124	41136	UROK	\N	\N
3446802	1475	1998-06-30	PRIJEM	\N	147	18959	UROK	\N	\N
3446803	1475	1998-07-31	PRIJEM	\N	98	26919	UROK	\N	\N
3446804	1475	1998-08-31	PRIJEM	\N	141	41343	UROK	\N	\N
3446805	1475	1998-09-30	PRIJEM	\N	183	45466	UROK	\N	\N
3446806	1475	1998-10-31	PRIJEM	\N	179	35815	UROK	\N	\N
3446807	1475	1998-11-30	PRIJEM	\N	171	47507	UROK	\N	\N
3446808	1475	1998-12-31	PRIJEM	\N	193	36696	UROK	\N	\N
3446809	1498	1997-04-30	PRIJEM	\N	25	44770	UROK	\N	\N
3446810	1498	1997-05-31	PRIJEM	\N	186	37181	UROK	\N	\N
3446811	1498	1997-06-30	PRIJEM	\N	191	77818	UROK	\N	\N
3446812	1498	1997-07-31	PRIJEM	\N	323	46801	UROK	\N	\N
3446813	1498	1997-08-31	PRIJEM	\N	319	33340	UROK	\N	\N
3446814	1498	1997-09-30	PRIJEM	\N	207	55562	UROK	\N	\N
3446815	1498	1997-10-31	PRIJEM	\N	227	40897	UROK	\N	\N
3446816	1498	1997-11-30	PRIJEM	\N	227	28814	UROK	\N	\N
3446817	1498	1997-12-31	PRIJEM	\N	227	20940	UROK	\N	\N
3446818	1498	1998-01-31	PRIJEM	\N	151	13024	UROK	\N	\N
3446819	1498	1998-02-28	PRIJEM	\N	39	3893	UROK	\N	\N
3446820	1498	1998-03-31	PRIJEM	\N	84	73658	UROK	\N	\N
3446821	1498	1998-04-30	PRIJEM	\N	293	62337	UROK	\N	\N
3446822	1498	1998-05-31	PRIJEM	\N	162	53919	UROK	\N	\N
3446823	1498	1998-06-30	PRIJEM	\N	90	2853	UROK	\N	\N
3446824	1498	1998-07-31	PRIJEM	\N	39	70453	UROK	\N	\N
3446825	1498	1998-07-31	VYDAJ	VYBER	12	70400	SANKC. UROK	\N	\N
3446826	1498	1998-08-31	PRIJEM	\N	199	100182	UROK	\N	\N
3446827	1498	1998-09-30	PRIJEM	\N	294	69094	UROK	\N	\N
3446828	1498	1998-10-31	PRIJEM	\N	238	43529	UROK	\N	\N
3446829	1498	1998-11-30	PRIJEM	\N	165	32401	UROK	\N	\N
3446830	1498	1998-12-31	PRIJEM	\N	183	68840	UROK	\N	\N
3446831	1505	1993-05-31	PRIJEM	\N	19	15341	UROK	\N	\N
3446832	1505	1993-06-30	PRIJEM	\N	76	25350	UROK	\N	\N
3446833	1505	1993-07-31	PRIJEM	\N	109	27881	UROK	\N	\N
3446834	1505	1993-08-31	PRIJEM	\N	122	32225	UROK	\N	\N
3446835	1505	1993-09-30	PRIJEM	\N	135	32781	UROK	\N	\N
3446836	1505	1993-10-31	PRIJEM	\N	138	33726	UROK	\N	\N
3446837	1505	1993-11-30	PRIJEM	\N	136	28470	UROK	\N	\N
3446838	1505	1993-12-31	PRIJEM	\N	129	31317	UROK	\N	\N
3446839	1505	1994-01-31	PRIJEM	\N	127	28352	UROK	\N	\N
3446840	1505	1994-02-28	PRIJEM	\N	122	30581	UROK	\N	\N
3446841	1505	1994-03-31	PRIJEM	\N	133	34022	UROK	\N	\N
3446842	1505	1994-04-30	PRIJEM	\N	138	31967	UROK	\N	\N
3446843	1505	1994-05-31	PRIJEM	\N	138	34912	UROK	\N	\N
3446844	1505	1994-06-30	PRIJEM	\N	115	23846	UROK	\N	\N
3446845	1505	1994-07-31	PRIJEM	\N	108	28362	UROK	\N	\N
3446846	1505	1994-08-31	PRIJEM	\N	117	26986	UROK	\N	\N
3446847	1505	1994-09-30	PRIJEM	\N	113	27506	UROK	\N	\N
3446848	1505	1994-10-31	PRIJEM	\N	115	27728	UROK	\N	\N
3446849	1505	1994-11-30	PRIJEM	\N	121	30257	UROK	\N	\N
3446850	1505	1994-12-31	PRIJEM	\N	129	29203	UROK	\N	\N
3446851	1505	1995-01-31	PRIJEM	\N	144	29154	UROK	\N	\N
3446852	1505	1995-02-28	PRIJEM	\N	129	32591	UROK	\N	\N
3446853	1505	1995-03-31	PRIJEM	\N	134	32132	UROK	\N	\N
3446854	1505	1995-04-30	PRIJEM	\N	138	24577	UROK	\N	\N
3446855	1505	1995-05-31	PRIJEM	\N	95	21779	UROK	\N	\N
3446856	1505	1995-06-30	PRIJEM	\N	111	30608	UROK	\N	\N
3446857	1505	1995-07-31	PRIJEM	\N	134	33449	UROK	\N	\N
3446858	1505	1995-08-31	PRIJEM	\N	139	33696	UROK	\N	\N
3446859	1505	1995-09-30	PRIJEM	\N	133	29536	UROK	\N	\N
3446860	1505	1995-10-31	PRIJEM	\N	126	31069	UROK	\N	\N
3446861	1505	1995-11-30	PRIJEM	\N	134	33511	UROK	\N	\N
3446862	1505	1995-12-31	PRIJEM	\N	150	37979	UROK	\N	\N
3446863	1505	1996-01-31	PRIJEM	\N	150	35237	UROK	\N	\N
3446864	1505	1996-02-29	PRIJEM	\N	149	36893	UROK	\N	\N
3446865	1505	1996-03-31	PRIJEM	\N	145	36646	UROK	\N	\N
3446866	1505	1996-04-30	PRIJEM	\N	135	34088	UROK	\N	\N
3446867	1505	1996-05-31	PRIJEM	\N	124	30120	UROK	\N	\N
3446868	1505	1996-06-30	PRIJEM	\N	93	7430	UROK	\N	\N
3446869	1505	1996-07-31	PRIJEM	\N	60	19398	UROK	\N	\N
3446870	1505	1996-08-31	PRIJEM	\N	91	24096	UROK	\N	\N
3446871	1505	1996-09-30	PRIJEM	\N	98	23401	UROK	\N	\N
3446872	1505	1996-10-31	PRIJEM	\N	101	25409	UROK	\N	\N
3446873	1505	1996-11-30	PRIJEM	\N	110	27826	UROK	\N	\N
3446874	1505	1996-12-31	PRIJEM	\N	100	28145	UROK	\N	\N
3446875	1505	1997-01-31	PRIJEM	\N	102	23154	UROK	\N	\N
3446876	1505	1997-02-28	PRIJEM	\N	88	20450	UROK	\N	\N
3446877	1505	1997-03-31	PRIJEM	\N	74	16931	UROK	\N	\N
3446878	1505	1997-04-30	PRIJEM	\N	73	18811	UROK	\N	\N
3446879	1505	1997-05-31	PRIJEM	\N	70	16288	UROK	\N	\N
3446880	1505	1997-06-30	PRIJEM	\N	82	22888	UROK	\N	\N
3446881	1505	1997-07-31	PRIJEM	\N	84	19979	UROK	\N	\N
3446882	1505	1997-08-31	PRIJEM	\N	51	6138	UROK	\N	\N
3446883	1505	1997-09-30	PRIJEM	\N	23	5368	UROK	\N	\N
3446884	1505	1997-10-31	PRIJEM	\N	33	-1892	UROK	\N	\N
3446885	1505	1997-10-31	VYDAJ	VYBER	3	-1895	SANKC. UROK	\N	\N
3446886	1505	1997-11-30	PRIJEM	\N	0	1328	UROK	\N	\N
3446887	1505	1997-11-30	VYDAJ	VYBER	23	1305	SANKC. UROK	\N	\N
3446888	1505	1997-12-31	PRIJEM	\N	29	3752	UROK	\N	\N
3446889	1505	1998-01-31	PRIJEM	\N	20	-3121	UROK	\N	\N
3446890	1505	1998-01-31	VYDAJ	VYBER	6	-3128	SANKC. UROK	\N	\N
3446891	1505	1998-02-28	VYDAJ	VYBER	41	-5047	SANKC. UROK	\N	\N
3446892	1505	1998-03-31	VYDAJ	VYBER	60	-6184	SANKC. UROK	\N	\N
3446893	1505	1998-04-30	VYDAJ	VYBER	77	-11639	SANKC. UROK	\N	\N
3446894	1505	1998-05-31	VYDAJ	VYBER	129	-14146	SANKC. UROK	\N	\N
3446895	1505	1998-06-30	VYDAJ	VYBER	146	-12059	SANKC. UROK	\N	\N
3446896	1505	1998-07-31	VYDAJ	VYBER	123	-8660	SANKC. UROK	\N	\N
3446897	1505	1998-08-31	VYDAJ	VYBER	107	-13545	SANKC. UROK	\N	\N
3446898	1505	1998-09-30	VYDAJ	VYBER	140	-11363	SANKC. UROK	\N	\N
3446899	1505	1998-10-31	VYDAJ	VYBER	125	-11766	SANKC. UROK	\N	\N
3446900	1505	1998-11-30	VYDAJ	VYBER	129	-11973	SANKC. UROK	\N	\N
3446901	1505	1998-12-31	VYDAJ	VYBER	121	-8561	SANKC. UROK	\N	\N
3446902	1511	1994-09-30	PRIJEM	\N	119	37166	UROK	\N	\N
3446903	1511	1994-10-31	PRIJEM	\N	323	52808	UROK	\N	\N
3446904	1511	1994-11-30	PRIJEM	\N	323	39430	UROK	\N	\N
3446905	1511	1994-12-31	PRIJEM	\N	323	28953	UROK	\N	\N
3446906	1511	1995-01-31	PRIJEM	\N	295	49711	UROK	\N	\N
3446907	1511	1995-02-28	PRIJEM	\N	312	83872	UROK	\N	\N
3446908	1511	1995-03-31	PRIJEM	\N	294	85201	UROK	\N	\N
3446909	1511	1995-04-30	PRIJEM	\N	262	79497	UROK	\N	\N
3446910	1511	1995-05-31	PRIJEM	\N	324	53121	UROK	\N	\N
3446911	1511	1995-06-30	PRIJEM	\N	126	29853	UROK	\N	\N
3446912	1511	1995-07-31	PRIJEM	\N	177	30277	UROK	\N	\N
3446913	1511	1995-08-31	PRIJEM	\N	85	14192	UROK	\N	\N
3446914	1511	1995-09-30	PRIJEM	\N	91	41997	UROK	\N	\N
3446915	1511	1995-09-30	VYDAJ	VYBER	1	41996	SANKC. UROK	\N	\N
3446916	1511	1995-10-31	PRIJEM	\N	146	67909	UROK	\N	\N
3446917	1511	1995-11-30	PRIJEM	\N	208	47948	UROK	\N	\N
3446918	1511	1995-12-31	PRIJEM	\N	143	40495	UROK	\N	\N
3446919	1511	1996-01-31	PRIJEM	\N	212	65062	UROK	\N	\N
3446920	1511	1996-02-29	PRIJEM	\N	403	106268	UROK	\N	\N
3446921	1511	1996-03-31	PRIJEM	\N	395	78059	UROK	\N	\N
3446922	1511	1996-04-30	PRIJEM	\N	159	39426	UROK	\N	\N
3446923	1511	1996-05-31	PRIJEM	\N	175	47771	UROK	\N	\N
3446924	1511	1996-06-30	PRIJEM	\N	162	37070	UROK	\N	\N
3446925	1511	1996-07-31	PRIJEM	\N	99	39099	UROK	\N	\N
3446926	1511	1996-08-31	PRIJEM	\N	214	56319	UROK	\N	\N
3446927	1511	1996-09-30	PRIJEM	\N	235	59721	UROK	\N	\N
3446928	1511	1996-10-31	PRIJEM	\N	322	59663	UROK	\N	\N
3446929	1511	1996-11-30	PRIJEM	\N	317	49964	UROK	\N	\N
3446930	1511	1996-12-31	PRIJEM	\N	291	56743	UROK	\N	\N
3446931	1511	1997-01-31	PRIJEM	\N	143	12511	UROK	\N	\N
3446932	1511	1997-02-28	PRIJEM	\N	189	45646	UROK	\N	\N
3446933	1511	1997-03-31	PRIJEM	\N	186	29832	UROK	\N	\N
3446934	1511	1997-04-30	PRIJEM	\N	126	59814	UROK	\N	\N
3446935	1511	1997-05-31	PRIJEM	\N	401	40827	UROK	\N	\N
3446936	1511	1997-06-30	PRIJEM	\N	384	69649	UROK	\N	\N
3446937	1511	1997-07-31	PRIJEM	\N	285	52571	UROK	\N	\N
3446938	1511	1997-08-31	PRIJEM	\N	201	38171	UROK	\N	\N
3446939	1511	1997-09-30	PRIJEM	\N	288	55029	UROK	\N	\N
3446940	1511	1997-10-31	PRIJEM	\N	254	33915	UROK	\N	\N
3446941	1511	1997-11-30	PRIJEM	\N	146	74196	UROK	\N	\N
3446942	1511	1997-12-31	PRIJEM	\N	239	25888	UROK	\N	\N
3446943	1511	1998-01-31	PRIJEM	\N	50	6648	UROK	\N	\N
3446944	1511	1998-02-28	PRIJEM	\N	50	25933	UROK	\N	\N
3446945	1511	1998-03-31	PRIJEM	\N	102	7435	UROK	\N	\N
3446946	1511	1998-04-30	PRIJEM	\N	72	51458	UROK	\N	\N
3446947	1511	1998-05-31	PRIJEM	\N	192	39441	UROK	\N	\N
3446948	1511	1998-06-30	PRIJEM	\N	110	15071	UROK	\N	\N
3446949	1511	1998-07-31	PRIJEM	\N	108	72343	UROK	\N	\N
3446950	1511	1998-08-31	PRIJEM	\N	290	45411	UROK	\N	\N
3446951	1511	1998-09-30	PRIJEM	\N	177	41267	UROK	\N	\N
3446952	1511	1998-10-31	PRIJEM	\N	175	40292	UROK	\N	\N
3446953	1511	1998-11-30	PRIJEM	\N	100	7109	UROK	\N	\N
3446954	1511	1998-12-31	PRIJEM	\N	326	95057	UROK	\N	\N
3446955	1527	1993-11-30	PRIJEM	\N	77	84701	UROK	\N	\N
3446956	1527	1993-12-31	PRIJEM	\N	361	93209	UROK	\N	\N
3446957	1527	1994-01-31	PRIJEM	\N	298	51043	UROK	\N	\N
3446958	1527	1994-02-28	PRIJEM	\N	281	33757	UROK	\N	\N
3446959	1527	1994-03-31	PRIJEM	\N	189	68989	UROK	\N	\N
3446960	1527	1994-04-30	PRIJEM	\N	240	46428	UROK	\N	\N
3446961	1527	1994-05-31	PRIJEM	\N	151	27835	UROK	\N	\N
3446962	1527	1994-06-30	PRIJEM	\N	83	13018	UROK	\N	\N
3446963	1527	1994-07-31	PRIJEM	\N	62	16580	UROK	\N	\N
3446964	1527	1994-08-31	PRIJEM	\N	54	10411	UROK	\N	\N
3446965	1527	1994-09-30	PRIJEM	\N	77	31500	UROK	\N	\N
3446966	1527	1994-09-30	VYDAJ	VYBER	0	31400	SANKC. UROK	\N	\N
3446967	1527	1994-10-31	PRIJEM	\N	111	23911	UROK	\N	\N
3446968	1527	1994-11-30	PRIJEM	\N	87	17698	UROK	\N	\N
3446969	1527	1994-12-31	PRIJEM	\N	156	55791	UROK	\N	\N
3446970	1527	1995-01-31	PRIJEM	\N	95	-3139	UROK	\N	\N
3446971	1527	1995-01-31	VYDAJ	VYBER	10	-3248	SANKC. UROK	\N	\N
3446972	1527	1995-02-28	PRIJEM	\N	11	4305	UROK	\N	\N
3446973	1527	1995-02-28	VYDAJ	VYBER	13	4193	SANKC. UROK	\N	\N
3446974	1527	1995-03-31	PRIJEM	\N	35	36872	UROK	\N	\N
3446975	1527	1995-04-30	PRIJEM	\N	130	28346	UROK	\N	\N
3446976	1527	1995-05-31	PRIJEM	\N	125	47484	UROK	\N	\N
3446977	1527	1995-06-30	PRIJEM	\N	88	3892	UROK	\N	\N
3446978	1527	1995-07-31	PRIJEM	\N	61	20509	UROK	\N	\N
3446979	1527	1995-08-31	PRIJEM	\N	92	35297	UROK	\N	\N
3446980	1527	1995-09-30	PRIJEM	\N	116	36829	UROK	\N	\N
3446981	1527	1995-10-31	PRIJEM	\N	97	34499	UROK	\N	\N
3446982	1527	1995-11-30	PRIJEM	\N	143	28890	UROK	\N	\N
3446983	1527	1995-12-31	PRIJEM	\N	47	5653	UROK	\N	\N
3446984	1527	1996-01-31	PRIJEM	\N	46	2111	UROK	\N	\N
3446985	1527	1996-01-31	VYDAJ	VYBER	2	2009	SANKC. UROK	\N	\N
3446986	1527	1996-02-29	PRIJEM	\N	107	42045	UROK	\N	\N
3446987	1527	1996-03-31	PRIJEM	\N	147	31735	UROK	\N	\N
3446988	1527	1996-04-30	PRIJEM	\N	103	20983	UROK	\N	\N
3446989	1527	1996-05-31	PRIJEM	\N	151	54536	UROK	\N	\N
3446990	1527	1996-06-30	PRIJEM	\N	159	15741	UROK	\N	\N
3446991	1527	1996-07-31	PRIJEM	\N	137	47394	UROK	\N	\N
3446992	1527	1996-08-31	PRIJEM	\N	150	34047	UROK	\N	\N
3446993	1527	1996-09-30	PRIJEM	\N	184	66286	UROK	\N	\N
3446994	1527	1996-10-31	PRIJEM	\N	359	109237	UROK	\N	\N
3446995	1527	1996-11-30	PRIJEM	\N	248	78913	UROK	\N	\N
3446996	1527	1996-12-31	PRIJEM	\N	330	82685	UROK	\N	\N
3446997	1527	1997-01-31	PRIJEM	\N	91	7418	UROK	\N	\N
3446998	1527	1997-01-31	VYDAJ	VYBER	3	7315	SANKC. UROK	\N	\N
3446999	1527	1997-02-28	PRIJEM	\N	64	20077	UROK	\N	\N
3447000	1527	1997-03-31	PRIJEM	\N	140	45935	UROK	\N	\N
3447001	1527	1997-04-30	PRIJEM	\N	256	87864	UROK	\N	\N
3447002	1527	1997-05-31	PRIJEM	\N	289	53747	UROK	\N	\N
3447003	1527	1997-06-30	PRIJEM	\N	355	41675	UROK	\N	\N
3447004	1527	1997-07-31	PRIJEM	\N	243	37445	UROK	\N	\N
3447005	1527	1997-08-31	PRIJEM	\N	205	32589	UROK	\N	\N
3447006	1527	1997-09-30	PRIJEM	\N	166	42704	UROK	\N	\N
3447007	1527	1997-10-31	PRIJEM	\N	157	34488	UROK	\N	\N
3447008	1527	1997-11-30	PRIJEM	\N	157	43520	UROK	\N	\N
3447009	1527	1997-12-31	PRIJEM	\N	162	38682	UROK	\N	\N
3447010	1527	1998-01-31	PRIJEM	\N	55	6164	UROK	\N	\N
3447011	1527	1998-02-28	PRIJEM	\N	25	18989	UROK	\N	\N
3447012	1527	1998-03-31	PRIJEM	\N	60	18622	UROK	\N	\N
3447013	1527	1998-04-30	PRIJEM	\N	81	25603	UROK	\N	\N
3447014	1527	1998-05-31	PRIJEM	\N	102	22604	UROK	\N	\N
3447015	1527	1998-06-30	PRIJEM	\N	85	16790	UROK	\N	\N
3447016	1527	1998-07-31	PRIJEM	\N	47	9675	UROK	\N	\N
3447017	1527	1998-08-31	PRIJEM	\N	40	8803	UROK	\N	\N
3447018	1527	1998-09-30	PRIJEM	\N	35	17038	UROK	\N	\N
3447019	1527	1998-10-31	PRIJEM	\N	71	12709	UROK	\N	\N
3447020	1527	1998-11-30	PRIJEM	\N	54	14462	UROK	\N	\N
3447021	1527	1998-12-31	PRIJEM	\N	150	30887	UROK	\N	\N
3447022	1539	1993-02-28	PRIJEM	\N	151	56388	UROK	\N	\N
3447023	1539	1993-03-31	PRIJEM	\N	234	43222	UROK	\N	\N
3447024	1539	1993-04-30	PRIJEM	\N	257	65606	UROK	\N	\N
3447025	1539	1993-05-31	PRIJEM	\N	287	58899	UROK	\N	\N
3447026	1539	1993-06-30	PRIJEM	\N	137	34782	UROK	\N	\N
3447027	1539	1993-07-31	PRIJEM	\N	137	35711	UROK	\N	\N
3447028	1539	1993-08-31	PRIJEM	\N	102	15113	UROK	\N	\N
3447029	1539	1993-09-30	PRIJEM	\N	54	8767	UROK	\N	\N
3447030	1539	1993-09-30	VYDAJ	VYBER	1	-633	SANKC. UROK	\N	\N
3447031	1539	1993-10-31	PRIJEM	\N	2	10868	UROK	\N	\N
3447032	1539	1993-10-31	VYDAJ	VYBER	6	10762	SANKC. UROK	\N	\N
3447033	1539	1993-11-30	PRIJEM	\N	18	9380	UROK	\N	\N
3447034	1539	1993-11-30	VYDAJ	VYBER	23	9256	SANKC. UROK	\N	\N
3447035	1539	1993-12-31	PRIJEM	\N	21	8377	UROK	\N	\N
3447036	1539	1993-12-31	VYDAJ	VYBER	24	8253	SANKC. UROK	\N	\N
3447037	1539	1994-01-31	PRIJEM	\N	109	45393	UROK	\N	\N
3447038	1539	1994-01-31	VYDAJ	VYBER	14	45279	SANKC. UROK	\N	\N
3447039	1539	1994-02-28	PRIJEM	\N	128	20564	UROK	\N	\N
3447040	1539	1994-03-31	PRIJEM	\N	67	10662	UROK	\N	\N
3447041	1539	1994-04-30	PRIJEM	\N	35	9898	UROK	\N	\N
3447042	1539	1994-05-31	PRIJEM	\N	249	39879	UROK	\N	\N
3447043	1539	1994-06-30	PRIJEM	\N	123	23589	UROK	\N	\N
3447044	1539	1994-07-31	PRIJEM	\N	42	4031	UROK	\N	\N
3447045	1539	1994-08-31	PRIJEM	\N	21	4152	UROK	\N	\N
3447046	1539	1994-09-30	PRIJEM	\N	74	28243	UROK	\N	\N
3447047	1539	1994-10-31	PRIJEM	\N	102	15532	UROK	\N	\N
3447048	1539	1994-11-30	PRIJEM	\N	131	31368	UROK	\N	\N
3447049	1539	1994-12-31	PRIJEM	\N	58	7566	UROK	\N	\N
3447050	1539	1995-01-31	PRIJEM	\N	38	12105	UROK	\N	\N
3447051	1539	1995-02-28	PRIJEM	\N	18	9723	UROK	\N	\N
3447052	1539	1995-02-28	VYDAJ	VYBER	13	9610	SANKC. UROK	\N	\N
3447053	1539	1995-03-31	PRIJEM	\N	23	10532	UROK	\N	\N
3447054	1539	1995-03-31	VYDAJ	VYBER	16	10417	SANKC. UROK	\N	\N
3447055	1539	1995-04-30	PRIJEM	\N	31	11348	UROK	\N	\N
3447056	1539	1995-04-30	VYDAJ	VYBER	3	11244	SANKC. UROK	\N	\N
3447057	1539	1995-05-31	PRIJEM	\N	167	37724	UROK	\N	\N
3447058	1539	1995-06-30	PRIJEM	\N	120	22445	UROK	\N	\N
3447059	1539	1995-07-31	PRIJEM	\N	45	13690	UROK	\N	\N
3447060	1539	1995-08-31	PRIJEM	\N	31	5420	UROK	\N	\N
3447061	1539	1995-09-30	PRIJEM	\N	29	8650	UROK	\N	\N
3447062	1539	1995-10-31	PRIJEM	\N	125	31995	UROK	\N	\N
3447063	1539	1995-10-31	VYDAJ	VYBER	5	31890	SANKC. UROK	\N	\N
3447064	1539	1995-11-30	PRIJEM	\N	91	12994	UROK	\N	\N
3447065	1539	1995-12-31	PRIJEM	\N	66	12360	UROK	\N	\N
3447066	1539	1996-01-31	PRIJEM	\N	57	26367	UROK	\N	\N
3447067	1539	1996-02-29	PRIJEM	\N	82	57526	UROK	\N	\N
3447068	1539	1996-03-31	PRIJEM	\N	216	46202	UROK	\N	\N
3447069	1539	1996-04-30	PRIJEM	\N	221	48507	UROK	\N	\N
3447070	1539	1996-05-31	PRIJEM	\N	151	21958	UROK	\N	\N
3447071	1539	1996-06-30	PRIJEM	\N	89	16284	UROK	\N	\N
3447072	1539	1996-07-31	PRIJEM	\N	46	15530	UROK	\N	\N
3447073	1539	1996-08-31	PRIJEM	\N	211	59738	UROK	\N	\N
3447074	1539	1996-09-30	PRIJEM	\N	150	57360	UROK	\N	\N
3447075	1539	1996-10-31	PRIJEM	\N	176	22283	UROK	\N	\N
3447076	1539	1996-11-30	PRIJEM	\N	87	13170	UROK	\N	\N
3447077	1539	1996-12-31	PRIJEM	\N	74	10107	UROK	\N	\N
3447078	1539	1997-01-31	PRIJEM	\N	42	8349	UROK	\N	\N
3447079	1539	1997-02-28	PRIJEM	\N	33	-19	UROK	\N	\N
3447080	1539	1997-03-31	PRIJEM	\N	22	7503	UROK	\N	\N
3447081	1539	1997-04-30	PRIJEM	\N	33	6737	UROK	\N	\N
3447082	1539	1997-05-31	PRIJEM	\N	31	6467	UROK	\N	\N
3447083	1539	1997-06-30	PRIJEM	\N	23	2290	UROK	\N	\N
3447084	1539	1997-07-31	PRIJEM	\N	9	-4901	UROK	\N	\N
3447085	1539	1997-07-31	VYDAJ	VYBER	9	-5010	SANKC. UROK	\N	\N
3447086	1539	1997-08-31	PRIJEM	\N	14	3703	UROK	\N	\N
3447087	1539	1997-08-31	VYDAJ	VYBER	12	3591	SANKC. UROK	\N	\N
3447088	1539	1997-09-30	PRIJEM	\N	29	-280	UROK	\N	\N
3447089	1539	1997-10-31	PRIJEM	\N	1	-13879	UROK	\N	\N
3447090	1539	1997-10-31	VYDAJ	VYBER	84	-14063	SANKC. UROK	\N	\N
3447091	1539	1997-11-30	VYDAJ	VYBER	124	-6487	SANKC. UROK	\N	\N
3447092	1539	1997-12-31	PRIJEM	\N	4	-6683	UROK	\N	\N
3447093	1539	1997-12-31	VYDAJ	VYBER	24	-6807	SANKC. UROK	\N	\N
3447094	1539	1998-01-31	PRIJEM	\N	86	40558	UROK	\N	\N
3447095	1539	1998-02-28	PRIJEM	\N	204	39221	UROK	\N	\N
3447096	1539	1998-03-31	PRIJEM	\N	141	65586	UROK	\N	\N
3447097	1539	1998-04-30	PRIJEM	\N	234	77185	UROK	\N	\N
3447098	1539	1998-05-31	PRIJEM	\N	256	63265	UROK	\N	\N
3447099	1539	1998-06-30	PRIJEM	\N	266	24406	UROK	\N	\N
3447100	1539	1998-07-31	PRIJEM	\N	47	8505	UROK	\N	\N
3447101	1539	1998-08-31	PRIJEM	\N	5	-9125	UROK	\N	\N
3447102	1539	1998-08-31	VYDAJ	VYBER	60	-9184	SANKC. UROK	\N	\N
3447103	1539	1998-09-30	VYDAJ	VYBER	53	-4227	SANKC. UROK	\N	\N
3447104	1539	1998-10-31	VYDAJ	VYBER	30	-11257	SANKC. UROK	\N	\N
3447105	1539	1998-11-30	PRIJEM	\N	39	7512	UROK	\N	\N
3447106	1539	1998-11-30	VYDAJ	VYBER	39	7373	SANKC. UROK	\N	\N
3447107	1539	1998-12-31	PRIJEM	\N	80	8964	UROK	\N	\N
3447108	1539	1998-12-31	VYDAJ	VYBER	7	8957	SANKC. UROK	\N	\N
3447109	1583	1994-11-30	PRIJEM	\N	73	70377	UROK	\N	\N
3447110	1583	1994-12-31	PRIJEM	\N	270	73883	UROK	\N	\N
3447111	1583	1995-01-31	PRIJEM	\N	204	13087	UROK	\N	\N
3447112	1583	1995-02-28	PRIJEM	\N	48	4975	UROK	\N	\N
3447113	1583	1995-03-31	PRIJEM	\N	22	15996	UROK	\N	\N
3447114	1583	1995-04-30	PRIJEM	\N	59	12455	UROK	\N	\N
3447115	1583	1995-05-31	PRIJEM	\N	57	14912	UROK	\N	\N
3447116	1583	1995-06-30	PRIJEM	\N	55	10859	UROK	\N	\N
3447117	1583	1995-07-31	PRIJEM	\N	48	12273	UROK	\N	\N
3447118	1583	1995-08-31	PRIJEM	\N	42	8708	UROK	\N	\N
3447119	1583	1995-09-30	PRIJEM	\N	53	10861	UROK	\N	\N
3447120	1583	1995-10-31	PRIJEM	\N	41	7202	UROK	\N	\N
3447121	1583	1995-11-30	PRIJEM	\N	30	13932	UROK	\N	\N
3447122	1583	1995-12-31	PRIJEM	\N	42	6475	UROK	\N	\N
3447123	1583	1996-01-31	PRIJEM	\N	23	-2725	UROK	\N	\N
3447124	1583	1996-01-31	VYDAJ	VYBER	14	-2839	SANKC. UROK	\N	\N
3447125	1583	1996-02-29	PRIJEM	\N	41	14484	UROK	\N	\N
3447126	1583	1996-02-29	VYDAJ	VYBER	9	14475	SANKC. UROK	\N	\N
3447127	1583	1996-03-31	PRIJEM	\N	27	-1788	UROK	\N	\N
3447128	1583	1996-03-31	VYDAJ	VYBER	2	-1791	SANKC. UROK	\N	\N
3447129	1583	1996-04-30	PRIJEM	\N	42	36831	UROK	\N	\N
3447130	1583	1996-04-30	VYDAJ	VYBER	12	36818	SANKC. UROK	\N	\N
3447131	1583	1996-05-31	PRIJEM	\N	171	51263	UROK	\N	\N
3447132	1583	1996-06-30	PRIJEM	\N	113	6136	UROK	\N	\N
3447133	1583	1996-07-31	PRIJEM	\N	109	40442	UROK	\N	\N
3447134	1583	1996-08-31	PRIJEM	\N	172	38869	UROK	\N	\N
3447135	1583	1996-09-30	PRIJEM	\N	192	36258	UROK	\N	\N
3447136	1583	1996-10-31	PRIJEM	\N	213	57635	UROK	\N	\N
3447137	1583	1996-11-30	PRIJEM	\N	245	25332	UROK	\N	\N
3447138	1583	1996-12-31	PRIJEM	\N	144	58266	UROK	\N	\N
3447139	1583	1997-01-31	PRIJEM	\N	55	1226	UROK	\N	\N
3447140	1583	1997-02-28	PRIJEM	\N	7	2439	UROK	\N	\N
3447141	1583	1997-03-31	PRIJEM	\N	1	508	UROK	\N	\N
3447142	1583	1997-04-30	PRIJEM	\N	2	933	UROK	\N	\N
3447143	1583	1997-05-31	PRIJEM	\N	33	57469	UROK	\N	\N
3447144	1583	1997-06-30	PRIJEM	\N	151	20751	UROK	\N	\N
3447145	1583	1997-07-31	PRIJEM	\N	198	39688	UROK	\N	\N
3447146	1583	1997-08-31	PRIJEM	\N	139	36296	UROK	\N	\N
3447147	1583	1997-09-30	PRIJEM	\N	173	34351	UROK	\N	\N
3447148	1583	1997-10-31	PRIJEM	\N	183	41469	UROK	\N	\N
3447149	1583	1997-11-30	PRIJEM	\N	83	35035	UROK	\N	\N
3447150	1583	1997-11-30	VYDAJ	VYBER	4	34931	SANKC. UROK	\N	\N
3447151	1583	1997-12-31	PRIJEM	\N	163	36003	UROK	\N	\N
3447152	1583	1998-01-31	PRIJEM	\N	50	6259	UROK	\N	\N
3447153	1583	1998-01-31	VYDAJ	VYBER	1	6159	SANKC. UROK	\N	\N
3447154	1583	1998-02-28	PRIJEM	\N	24	6183	UROK	\N	\N
3447155	1583	1998-03-31	PRIJEM	\N	66	46294	UROK	\N	\N
3447156	1583	1998-04-30	PRIJEM	\N	272	65939	UROK	\N	\N
3447157	1583	1998-05-31	PRIJEM	\N	260	52540	UROK	\N	\N
3447158	1583	1998-06-30	PRIJEM	\N	253	15498	UROK	\N	\N
3447159	1583	1998-07-31	PRIJEM	\N	164	92271	UROK	\N	\N
3447160	1583	1998-08-31	PRIJEM	\N	440	70160	UROK	\N	\N
3447161	1583	1998-09-30	PRIJEM	\N	323	59981	UROK	\N	\N
3447162	1583	1998-10-31	PRIJEM	\N	327	70889	UROK	\N	\N
3447163	1583	1998-11-30	PRIJEM	\N	305	100616	UROK	\N	\N
3447164	1583	1998-12-31	PRIJEM	\N	319	67095	UROK	\N	\N
3447165	1715	1996-06-30	PRIJEM	\N	31	37426	UROK	\N	\N
3447166	1715	1996-07-31	PRIJEM	\N	202	68305	UROK	\N	\N
3447167	1715	1996-08-31	PRIJEM	\N	314	93368	UROK	\N	\N
3447168	1715	1996-09-30	PRIJEM	\N	364	80242	UROK	\N	\N
3447169	1715	1996-10-31	PRIJEM	\N	303	56696	UROK	\N	\N
3447170	1715	1996-11-30	PRIJEM	\N	180	49303	UROK	\N	\N
3447171	1715	1996-12-31	PRIJEM	\N	283	86343	UROK	\N	\N
3447172	1715	1997-01-31	PRIJEM	\N	267	10403	UROK	\N	\N
3447173	1715	1997-02-28	PRIJEM	\N	44	17632	UROK	\N	\N
3447174	1715	1997-03-31	PRIJEM	\N	74	22092	UROK	\N	\N
3447175	1715	1997-04-30	PRIJEM	\N	92	24369	UROK	\N	\N
3447176	1715	1997-05-31	PRIJEM	\N	103	27706	UROK	\N	\N
3447177	1715	1997-06-30	PRIJEM	\N	138	31671	UROK	\N	\N
3447178	1715	1997-07-31	PRIJEM	\N	124	16639	UROK	\N	\N
3447179	1715	1997-08-31	PRIJEM	\N	56	5599	UROK	\N	\N
3447180	1715	1997-09-30	PRIJEM	\N	138	26328	UROK	\N	\N
3447181	1715	1997-10-31	PRIJEM	\N	325	109204	UROK	\N	\N
3447182	1715	1997-11-30	PRIJEM	\N	350	54511	UROK	\N	\N
3447183	1715	1997-12-31	PRIJEM	\N	180	29708	UROK	\N	\N
3447184	1715	1998-01-31	PRIJEM	\N	169	14981	UROK	\N	\N
3447185	1715	1998-02-28	PRIJEM	\N	67	21333	UROK	\N	\N
3447186	1715	1998-03-31	PRIJEM	\N	79	16886	UROK	\N	\N
3447187	1715	1998-04-30	PRIJEM	\N	65	12336	UROK	\N	\N
3447188	1715	1998-05-31	PRIJEM	\N	41	2873	UROK	\N	\N
3447189	1715	1998-06-30	PRIJEM	\N	50	20373	UROK	\N	\N
3447190	1715	1998-07-31	PRIJEM	\N	85	29443	UROK	\N	\N
3447191	1715	1998-08-31	PRIJEM	\N	90	11060	UROK	\N	\N
3447192	1715	1998-09-30	PRIJEM	\N	52	13997	UROK	\N	\N
3447193	1715	1998-10-31	PRIJEM	\N	33	3710	UROK	\N	\N
3447194	1715	1998-11-30	PRIJEM	\N	12	1607	UROK	\N	\N
3447195	1715	1998-12-31	PRIJEM	\N	7	1820	UROK	\N	\N
3447196	1745	1997-01-31	PRIJEM	\N	80	39696	UROK	\N	\N
3447197	1745	1997-02-28	PRIJEM	\N	165	35661	UROK	\N	\N
3447198	1745	1997-03-31	PRIJEM	\N	165	31326	UROK	\N	\N
3447199	1745	1997-04-30	PRIJEM	\N	162	38429	UROK	\N	\N
3447200	1745	1997-05-31	PRIJEM	\N	160	31089	UROK	\N	\N
3447201	1745	1997-06-30	PRIJEM	\N	250	52636	UROK	\N	\N
3447202	1745	1997-07-31	PRIJEM	\N	226	66884	UROK	\N	\N
3447203	1745	1997-08-31	PRIJEM	\N	287	97987	UROK	\N	\N
3447204	1745	1997-09-30	PRIJEM	\N	404	68676	UROK	\N	\N
3447205	1745	1997-10-31	PRIJEM	\N	258	78444	UROK	\N	\N
3447206	1745	1997-11-30	PRIJEM	\N	393	87428	UROK	\N	\N
3447207	1745	1997-12-31	PRIJEM	\N	274	46380	UROK	\N	\N
3447208	1745	1998-01-31	PRIJEM	\N	188	27996	UROK	\N	\N
3447209	1745	1998-02-28	PRIJEM	\N	139	32684	UROK	\N	\N
3447210	1745	1998-03-31	PRIJEM	\N	277	79151	UROK	\N	\N
3447211	1745	1998-04-30	PRIJEM	\N	413	49209	UROK	\N	\N
3447212	1745	1998-05-31	PRIJEM	\N	330	96790	UROK	\N	\N
3447213	1745	1998-06-30	PRIJEM	\N	297	109821	UROK	\N	\N
3447214	1745	1998-06-30	VYDAJ	VYBER	0	109820	SANKC. UROK	\N	\N
3447215	1745	1998-07-31	PRIJEM	\N	443	96546	UROK	\N	\N
3447216	1745	1998-08-31	PRIJEM	\N	397	95703	UROK	\N	\N
3447217	1745	1998-09-30	PRIJEM	\N	422	49574	UROK	\N	\N
3447218	1745	1998-10-31	PRIJEM	\N	204	48733	UROK	\N	\N
3447219	1745	1998-11-30	PRIJEM	\N	337	94116	UROK	\N	\N
3447220	1745	1998-12-31	PRIJEM	\N	382	62284	UROK	\N	\N
3447221	1787	1993-07-31	PRIJEM	\N	74	45822	UROK	\N	\N
3447222	1787	1993-08-31	PRIJEM	\N	191	33612	UROK	\N	\N
3447223	1787	1993-09-30	PRIJEM	\N	191	30503	UROK	\N	\N
3447224	1787	1993-10-31	PRIJEM	\N	191	29894	UROK	\N	\N
3447225	1787	1993-11-30	PRIJEM	\N	191	25284	UROK	\N	\N
3447226	1787	1993-12-31	PRIJEM	\N	191	24575	UROK	\N	\N
3447227	1787	1994-01-31	PRIJEM	\N	226	57256	UROK	\N	\N
3447228	1787	1994-02-28	PRIJEM	\N	261	83374	UROK	\N	\N
3447229	1787	1994-03-31	PRIJEM	\N	288	80318	UROK	\N	\N
3447230	1787	1994-04-30	PRIJEM	\N	278	53457	UROK	\N	\N
3447231	1787	1994-05-31	PRIJEM	\N	197	37167	UROK	\N	\N
3447232	1787	1994-06-30	PRIJEM	\N	240	59749	UROK	\N	\N
3447233	1787	1994-07-31	PRIJEM	\N	306	108177	UROK	\N	\N
3447234	1787	1994-08-31	PRIJEM	\N	309	22554	UROK	\N	\N
3447235	1787	1994-09-30	PRIJEM	\N	328	74593	UROK	\N	\N
3447236	1787	1994-10-31	PRIJEM	\N	210	39872	UROK	\N	\N
3447237	1787	1994-11-30	PRIJEM	\N	196	65011	UROK	\N	\N
3447238	1787	1994-12-31	PRIJEM	\N	194	26975	UROK	\N	\N
3447239	1787	1995-01-31	PRIJEM	\N	143	26190	UROK	\N	\N
3447240	1787	1995-02-28	PRIJEM	\N	184	38355	UROK	\N	\N
3447241	1787	1995-03-31	PRIJEM	\N	278	76804	UROK	\N	\N
3447242	1787	1995-04-30	PRIJEM	\N	196	26911	UROK	\N	\N
3447243	1787	1995-05-31	PRIJEM	\N	231	104920	UROK	\N	\N
3447244	1787	1995-06-30	PRIJEM	\N	305	59021	UROK	\N	\N
3447245	1787	1995-07-31	PRIJEM	\N	186	44676	UROK	\N	\N
3447246	1787	1995-08-31	PRIJEM	\N	306	30240	UROK	\N	\N
3447247	1787	1995-09-30	PRIJEM	\N	212	74917	UROK	\N	\N
3447248	1787	1995-10-31	PRIJEM	\N	175	28876	UROK	\N	\N
3447249	1787	1995-11-30	PRIJEM	\N	91	13437	UROK	\N	\N
3447250	1787	1995-12-31	PRIJEM	\N	32	6839	UROK	\N	\N
3447251	1787	1996-01-31	PRIJEM	\N	105	49257	UROK	\N	\N
3447252	1787	1996-02-29	PRIJEM	\N	155	32283	UROK	\N	\N
3447253	1787	1996-03-31	PRIJEM	\N	103	16456	UROK	\N	\N
3447254	1787	1996-04-30	PRIJEM	\N	82	30418	UROK	\N	\N
3447255	1787	1996-05-31	PRIJEM	\N	103	18872	UROK	\N	\N
3447256	1787	1996-06-30	PRIJEM	\N	112	27780	UROK	\N	\N
3447257	1787	1996-07-31	PRIJEM	\N	221	72149	UROK	\N	\N
3447258	1787	1996-08-31	PRIJEM	\N	305	73532	UROK	\N	\N
3447259	1787	1996-09-30	PRIJEM	\N	270	73048	UROK	\N	\N
3447260	1787	1996-10-31	PRIJEM	\N	153	24471	UROK	\N	\N
3447261	1787	1996-11-30	PRIJEM	\N	93	16758	UROK	\N	\N
3447262	1787	1996-12-31	PRIJEM	\N	245	72973	UROK	\N	\N
3447263	1787	1997-01-31	PRIJEM	\N	142	8385	UROK	\N	\N
3447264	1787	1997-02-28	PRIJEM	\N	31	3685	UROK	\N	\N
3447265	1787	1997-03-31	PRIJEM	\N	12	-33	UROK	\N	\N
3447266	1787	1997-03-31	VYDAJ	VYBER	0	-63	SANKC. UROK	\N	\N
3447267	1787	1997-04-30	VYDAJ	VYBER	9	-102	SANKC. UROK	\N	\N
3447268	1787	1997-06-30	VYDAJ	VYBER	9	11354	SANKC. UROK	\N	\N
3447269	1787	1997-06-30	PRIJEM	\N	76	11362	UROK	\N	\N
3447270	1787	1997-06-30	VYDAJ	VYBER	2	11352	SANKC. UROK	\N	\N
3447271	1787	1997-07-31	PRIJEM	\N	43	7465	UROK	\N	\N
3447272	1787	1997-08-31	PRIJEM	\N	27	2962	UROK	\N	\N
3447273	1787	1997-09-30	PRIJEM	\N	100	81345	UROK	\N	\N
3447274	1787	1997-10-31	PRIJEM	\N	235	43950	UROK	\N	\N
3447275	1787	1997-11-30	PRIJEM	\N	125	11342	UROK	\N	\N
3447276	1787	1997-12-31	PRIJEM	\N	43	8055	UROK	\N	\N
3447277	1787	1998-01-31	PRIJEM	\N	29	3154	UROK	\N	\N
3447278	1787	1998-02-28	PRIJEM	\N	9	3134	UROK	\N	\N
3447279	1787	1998-04-30	PRIJEM	\N	9	3083	UROK	\N	\N
3447280	1787	1998-04-30	PRIJEM	\N	9	3092	UROK	\N	\N
3447281	1787	1998-06-30	PRIJEM	\N	9	3042	UROK	\N	\N
3447282	1787	1998-06-30	PRIJEM	\N	9	3051	UROK	\N	\N
3447283	1787	1998-07-31	PRIJEM	\N	15	48852	UROK	\N	\N
3447284	1787	1998-08-31	PRIJEM	\N	117	16333	UROK	\N	\N
3447285	1787	1998-09-30	PRIJEM	\N	84	20028	UROK	\N	\N
3447286	1787	1998-10-31	PRIJEM	\N	46	2344	UROK	\N	\N
3447287	1787	1998-11-30	PRIJEM	\N	88	19865	UROK	\N	\N
3447288	1787	1998-12-31	PRIJEM	\N	68	5903	UROK	\N	\N
3447317	1878	1994-09-30	PRIJEM	\N	13	23237	UROK	\N	\N
3447318	1878	1994-10-31	PRIJEM	\N	180	35912	UROK	\N	\N
3447319	1878	1994-11-30	PRIJEM	\N	193	61472	UROK	\N	\N
3447320	1878	1994-12-31	PRIJEM	\N	255	44528	UROK	\N	\N
3447321	1878	1995-01-31	PRIJEM	\N	255	36483	UROK	\N	\N
3447322	1878	1995-02-28	PRIJEM	\N	255	31838	UROK	\N	\N
3447323	1878	1995-03-31	PRIJEM	\N	255	26494	UROK	\N	\N
3447324	1878	1995-04-30	PRIJEM	\N	255	25549	UROK	\N	\N
3447325	1878	1995-05-31	PRIJEM	\N	187	41437	UROK	\N	\N
3447326	1878	1995-06-30	PRIJEM	\N	171	19351	UROK	\N	\N
3447327	1878	1995-07-31	PRIJEM	\N	119	40703	UROK	\N	\N
3447328	1878	1995-08-31	PRIJEM	\N	199	53077	UROK	\N	\N
3447329	1878	1995-09-30	PRIJEM	\N	99	5315	UROK	\N	\N
3447330	1878	1995-10-31	PRIJEM	\N	23	13708	UROK	\N	\N
3447331	1878	1995-11-30	PRIJEM	\N	59	14637	UROK	\N	\N
3447332	1878	1995-12-31	PRIJEM	\N	43	11199	UROK	\N	\N
3447333	1878	1996-01-31	PRIJEM	\N	73	5131	UROK	\N	\N
3447334	1878	1996-02-29	PRIJEM	\N	71	29842	UROK	\N	\N
3447335	1878	1996-03-31	PRIJEM	\N	89	18411	UROK	\N	\N
3447336	1878	1996-04-30	PRIJEM	\N	230	57369	UROK	\N	\N
3447337	1878	1996-05-31	PRIJEM	\N	218	48505	UROK	\N	\N
3447338	1878	1996-06-30	PRIJEM	\N	173	45498	UROK	\N	\N
3447339	1878	1996-07-31	PRIJEM	\N	95	6038	UROK	\N	\N
3447340	1878	1996-08-31	PRIJEM	\N	68	2197	UROK	\N	\N
3447341	1878	1996-09-30	PRIJEM	\N	31	10692	UROK	\N	\N
3447342	1878	1996-10-31	PRIJEM	\N	247	60958	UROK	\N	\N
3447343	1878	1996-11-30	PRIJEM	\N	117	30291	UROK	\N	\N
3447344	1878	1996-12-31	PRIJEM	\N	159	46097	UROK	\N	\N
3447345	1878	1997-01-31	PRIJEM	\N	239	44690	UROK	\N	\N
3447346	1878	1997-02-28	PRIJEM	\N	188	53844	UROK	\N	\N
3447347	1878	1997-03-31	PRIJEM	\N	219	33634	UROK	\N	\N
3447348	1878	1997-04-30	PRIJEM	\N	279	106070	UROK	\N	\N
3447349	1878	1997-05-31	PRIJEM	\N	259	38698	UROK	\N	\N
3447350	1878	1997-06-30	PRIJEM	\N	144	21161	UROK	\N	\N
3447351	1878	1997-07-31	PRIJEM	\N	147	52656	UROK	\N	\N
3447352	1878	1997-08-31	PRIJEM	\N	214	40860	UROK	\N	\N
3447353	1878	1997-09-30	PRIJEM	\N	166	23696	UROK	\N	\N
3447354	1878	1997-10-31	PRIJEM	\N	88	10954	UROK	\N	\N
3447355	1878	1997-11-30	PRIJEM	\N	37	1038	UROK	\N	\N
3447356	1878	1997-12-31	PRIJEM	\N	92	55216	UROK	\N	\N
3447357	1878	1998-01-31	PRIJEM	\N	130	5915	UROK	\N	\N
3447358	1878	1998-02-28	PRIJEM	\N	22	2807	UROK	\N	\N
3447359	1878	1998-03-31	PRIJEM	\N	9	-4014	UROK	\N	\N
3447360	1878	1998-04-30	PRIJEM	\N	18	13779	UROK	\N	\N
3447361	1878	1998-05-31	PRIJEM	\N	45	3394	UROK	\N	\N
3447362	1878	1998-06-30	PRIJEM	\N	11	1175	UROK	\N	\N
3447363	1878	1998-07-31	PRIJEM	\N	2	-1253	UROK	\N	\N
3447364	1878	1998-08-31	PRIJEM	\N	2	-4352	UROK	\N	\N
3447365	1878	1998-09-30	PRIJEM	\N	2	-7850	UROK	\N	\N
3447366	1878	1998-10-31	PRIJEM	\N	2	-8948	UROK	\N	\N
3447367	1878	1998-11-30	PRIJEM	\N	13	9296	UROK	\N	\N
3447368	1878	1998-12-31	PRIJEM	\N	25	2641	UROK	\N	\N
3447369	1890	1997-08-31	PRIJEM	\N	54	31176	UROK	\N	\N
3447370	1890	1997-09-30	PRIJEM	\N	149	41847	UROK	\N	\N
3447371	1890	1997-10-31	PRIJEM	\N	185	47754	UROK	\N	\N
3447372	1890	1997-11-30	PRIJEM	\N	202	49878	UROK	\N	\N
3447373	1890	1997-12-31	PRIJEM	\N	218	53879	UROK	\N	\N
3447374	1890	1998-01-31	PRIJEM	\N	148	5329	UROK	\N	\N
3447375	1890	1998-02-28	PRIJEM	\N	55	20975	UROK	\N	\N
3447376	1890	1998-03-31	PRIJEM	\N	100	5332	UROK	\N	\N
3447377	1890	1998-03-31	VYDAJ	VYBER	0	-436	SANKC. UROK	\N	\N
3447378	1890	1998-04-30	PRIJEM	\N	33	15919	UROK	\N	\N
3447379	1890	1998-04-30	VYDAJ	VYBER	2	15887	SANKC. UROK	\N	\N
3447380	1890	1998-05-31	PRIJEM	\N	69	7381	UROK	\N	\N
3447381	1890	1998-06-30	PRIJEM	\N	75	27509	UROK	\N	\N
3447382	1890	1998-07-31	PRIJEM	\N	99	7468	UROK	\N	\N
3447383	1890	1998-08-31	PRIJEM	\N	45	13705	UROK	\N	\N
3447384	1890	1998-09-30	PRIJEM	\N	50	16410	UROK	\N	\N
3447385	1890	1998-10-31	PRIJEM	\N	91	22492	UROK	\N	\N
3447386	1890	1998-11-30	PRIJEM	\N	80	12964	UROK	\N	\N
3447387	1890	1998-12-31	PRIJEM	\N	57	4925	UROK	\N	\N
3447388	1911	1994-09-30	PRIJEM	\N	33	21917	UROK	\N	\N
3447389	1911	1994-10-31	PRIJEM	\N	108	32209	UROK	\N	\N
3447390	1911	1994-11-30	PRIJEM	\N	138	34631	UROK	\N	\N
3447391	1911	1994-12-31	PRIJEM	\N	158	42715	UROK	\N	\N
3447392	1911	1995-01-31	PRIJEM	\N	171	35950	UROK	\N	\N
3447393	1911	1995-02-28	PRIJEM	\N	155	39074	UROK	\N	\N
3447394	1911	1995-03-31	PRIJEM	\N	167	41811	UROK	\N	\N
3447395	1911	1995-04-30	PRIJEM	\N	173	38073	UROK	\N	\N
3447396	1911	1995-05-31	PRIJEM	\N	163	40506	UROK	\N	\N
3447397	1911	1995-06-30	PRIJEM	\N	155	5932	UROK	\N	\N
3447398	1911	1995-07-31	PRIJEM	\N	61	23143	UROK	\N	\N
3447399	1911	1995-08-31	PRIJEM	\N	121	34833	UROK	\N	\N
3447400	1911	1995-09-30	PRIJEM	\N	166	40408	UROK	\N	\N
3447401	1911	1995-10-31	PRIJEM	\N	165	38583	UROK	\N	\N
3447402	1911	1995-11-30	PRIJEM	\N	156	36768	UROK	\N	\N
3447403	1911	1995-12-31	PRIJEM	\N	169	42028	UROK	\N	\N
3447404	1911	1996-01-31	PRIJEM	\N	159	31977	UROK	\N	\N
3447405	1911	1996-02-29	PRIJEM	\N	142	34628	UROK	\N	\N
3447406	1911	1996-03-31	PRIJEM	\N	161	41458	UROK	\N	\N
3447407	1911	1996-04-30	PRIJEM	\N	168	39895	UROK	\N	\N
3447408	1911	1996-05-31	PRIJEM	\N	164	38829	UROK	\N	\N
3447409	1911	1996-06-30	PRIJEM	\N	145	-1875	UROK	\N	\N
3447410	1911	1996-06-30	VYDAJ	VYBER	1	-1891	SANKC. UROK	\N	\N
3447411	1911	1996-07-31	PRIJEM	\N	44	15737	UROK	\N	\N
3447412	1911	1996-07-31	VYDAJ	VYBER	7	15716	SANKC. UROK	\N	\N
3447413	1911	1996-08-31	PRIJEM	\N	111	28291	UROK	\N	\N
3447414	1911	1996-09-30	PRIJEM	\N	147	37948	UROK	\N	\N
3447415	1911	1996-10-31	PRIJEM	\N	187	48704	UROK	\N	\N
3447416	1911	1996-11-30	PRIJEM	\N	206	50380	UROK	\N	\N
3447417	1911	1996-12-31	PRIJEM	\N	226	52097	UROK	\N	\N
3447418	1911	1997-01-31	PRIJEM	\N	174	31020	UROK	\N	\N
3447419	1911	1997-02-28	PRIJEM	\N	157	42047	UROK	\N	\N
3447420	1911	1997-03-31	PRIJEM	\N	167	39143	UROK	\N	\N
3447421	1911	1997-04-30	PRIJEM	\N	178	45090	UROK	\N	\N
3447422	1911	1997-05-31	PRIJEM	\N	186	45146	UROK	\N	\N
3447423	1911	1997-06-30	PRIJEM	\N	121	13738	UROK	\N	\N
3447424	1911	1997-07-31	PRIJEM	\N	98	28705	UROK	\N	\N
3447425	1911	1997-08-31	PRIJEM	\N	138	35793	UROK	\N	\N
3447426	1911	1997-09-30	PRIJEM	\N	150	36232	UROK	\N	\N
3447427	1911	1997-10-31	PRIJEM	\N	165	42067	UROK	\N	\N
3447428	1911	1997-11-30	PRIJEM	\N	177	43313	UROK	\N	\N
3447429	1911	1997-12-31	PRIJEM	\N	182	44087	UROK	\N	\N
3447430	1911	1998-01-31	PRIJEM	\N	135	32351	UROK	\N	\N
3447431	1911	1998-02-28	PRIJEM	\N	144	36764	UROK	\N	\N
3447432	1911	1998-03-31	PRIJEM	\N	140	29793	UROK	\N	\N
3447433	1911	1998-04-30	PRIJEM	\N	130	32893	UROK	\N	\N
3447434	1911	1998-05-31	PRIJEM	\N	143	35805	UROK	\N	\N
3447435	1911	1998-06-30	PRIJEM	\N	159	14035	UROK	\N	\N
3447436	1911	1998-07-31	PRIJEM	\N	87	25591	UROK	\N	\N
3447437	1911	1998-08-31	PRIJEM	\N	52	14413	UROK	\N	\N
3447438	1911	1998-09-30	PRIJEM	\N	78	10800	UROK	\N	\N
3447439	1911	1998-10-31	PRIJEM	\N	43	13813	UROK	\N	\N
3447440	1911	1998-11-30	PRIJEM	\N	55	16038	UROK	\N	\N
3447441	1911	1998-12-31	PRIJEM	\N	116	33685	UROK	\N	\N
3447442	1932	1996-04-30	PRIJEM	\N	39	13360	UROK	\N	\N
3447443	1932	1996-05-31	PRIJEM	\N	102	29283	UROK	\N	\N
3447444	1932	1996-06-30	PRIJEM	\N	160	42325	UROK	\N	\N
3447445	1932	1996-07-31	PRIJEM	\N	181	44127	UROK	\N	\N
3447446	1932	1996-08-31	PRIJEM	\N	127	2826	UROK	\N	\N
3447447	1932	1996-09-30	PRIJEM	\N	42	9974	UROK	\N	\N
3447448	1932	1996-10-31	PRIJEM	\N	63	20743	UROK	\N	\N
3447449	1932	1996-11-30	PRIJEM	\N	58	12009	UROK	\N	\N
3447450	1932	1996-12-31	PRIJEM	\N	69	5285	UROK	\N	\N
3447451	1932	1997-01-31	PRIJEM	\N	15	2907	UROK	\N	\N
3447452	1932	1997-01-31	VYDAJ	VYBER	1	2891	SANKC. UROK	\N	\N
3447453	1932	1997-02-28	PRIJEM	\N	11	4111	UROK	\N	\N
3447454	1932	1997-02-28	VYDAJ	VYBER	6	4090	SANKC. UROK	\N	\N
3447455	1932	1997-03-31	PRIJEM	\N	22	15933	UROK	\N	\N
3447456	1932	1997-04-30	PRIJEM	\N	86	18357	UROK	\N	\N
3447457	1932	1997-05-31	PRIJEM	\N	75	17438	UROK	\N	\N
3447458	1932	1997-06-30	PRIJEM	\N	64	15690	UROK	\N	\N
3447459	1932	1997-07-31	PRIJEM	\N	78	21447	UROK	\N	\N
3447460	1932	1997-08-31	PRIJEM	\N	93	25646	UROK	\N	\N
3447461	1932	1997-09-30	PRIJEM	\N	90	7406	UROK	\N	\N
3447462	1932	1997-10-31	PRIJEM	\N	21	5815	UROK	\N	\N
3447463	1932	1997-11-30	PRIJEM	\N	57	14156	UROK	\N	\N
3447464	1932	1997-12-31	PRIJEM	\N	97	16393	UROK	\N	\N
3447465	1932	1998-01-31	PRIJEM	\N	31	-1570	UROK	\N	\N
3447466	1932	1998-01-31	VYDAJ	VYBER	2	-1572	SANKC. UROK	\N	\N
3447467	1932	1998-02-28	PRIJEM	\N	2	1636	UROK	\N	\N
3447468	1932	1998-02-28	VYDAJ	VYBER	12	1624	SANKC. UROK	\N	\N
3447469	1932	1998-03-31	PRIJEM	\N	13	7944	UROK	\N	\N
3447470	1932	1998-04-30	PRIJEM	\N	33	8483	UROK	\N	\N
3447471	1932	1998-05-31	PRIJEM	\N	47	9437	UROK	\N	\N
3447472	1932	1998-06-30	PRIJEM	\N	70	15074	UROK	\N	\N
3447473	1932	1998-07-31	PRIJEM	\N	70	20550	UROK	\N	\N
3447474	1932	1998-08-31	PRIJEM	\N	80	17036	UROK	\N	\N
3447475	1932	1998-09-30	PRIJEM	\N	59	9179	UROK	\N	\N
3447476	1932	1998-10-31	PRIJEM	\N	33	6118	UROK	\N	\N
3447477	1932	1998-11-30	PRIJEM	\N	18	1942	UROK	\N	\N
3447478	1932	1998-12-31	PRIJEM	\N	8	18	UROK	\N	\N
3447479	1932	1998-12-31	VYDAJ	VYBER	0	17	SANKC. UROK	\N	\N
3447480	1952	1993-12-31	PRIJEM	\N	13	24483	UROK	\N	\N
3447481	1952	1994-01-31	PRIJEM	\N	106	30469	UROK	\N	\N
3447482	1952	1994-02-28	PRIJEM	\N	128	33977	UROK	\N	\N
3447483	1952	1994-03-31	PRIJEM	\N	142	36199	UROK	\N	\N
3447484	1952	1994-04-30	PRIJEM	\N	150	35030	UROK	\N	\N
3447485	1952	1994-05-31	PRIJEM	\N	172	34627	UROK	\N	\N
3447486	1952	1994-06-30	PRIJEM	\N	139	28822	UROK	\N	\N
3447487	1952	1994-07-31	PRIJEM	\N	138	32646	UROK	\N	\N
3447488	1952	1994-08-31	PRIJEM	\N	138	35349	UROK	\N	\N
3447489	1952	1994-09-30	PRIJEM	\N	148	36663	UROK	\N	\N
3447490	1952	1994-10-31	PRIJEM	\N	150	34679	UROK	\N	\N
3447491	1952	1994-11-30	PRIJEM	\N	144	32748	UROK	\N	\N
3447492	1952	1994-12-31	PRIJEM	\N	156	36679	UROK	\N	\N
3447493	1952	1995-01-31	PRIJEM	\N	145	22749	UROK	\N	\N
3447494	1952	1995-02-28	PRIJEM	\N	116	30390	UROK	\N	\N
3447495	1952	1995-03-31	PRIJEM	\N	136	27772	UROK	\N	\N
3447496	1952	1995-04-30	PRIJEM	\N	115	27352	UROK	\N	\N
3447497	1952	1995-05-31	PRIJEM	\N	115	28633	UROK	\N	\N
3447498	1952	1995-06-30	PRIJEM	\N	95	16563	UROK	\N	\N
3447499	1952	1995-07-31	PRIJEM	\N	80	24608	UROK	\N	\N
3447500	1952	1995-08-31	PRIJEM	\N	108	28382	UROK	\N	\N
3447501	1952	1995-09-30	PRIJEM	\N	118	28465	UROK	\N	\N
3447502	1952	1995-10-31	PRIJEM	\N	116	27346	UROK	\N	\N
3447503	1952	1995-11-30	PRIJEM	\N	110	25621	UROK	\N	\N
3447504	1952	1995-12-31	PRIJEM	\N	115	20992	UROK	\N	\N
3447505	1952	1996-01-31	PRIJEM	\N	71	7848	UROK	\N	\N
3447506	1952	1996-02-29	PRIJEM	\N	53	18466	UROK	\N	\N
3447507	1952	1996-03-31	PRIJEM	\N	86	23418	UROK	\N	\N
3447508	1952	1996-04-30	PRIJEM	\N	106	26169	UROK	\N	\N
3447509	1952	1996-05-31	PRIJEM	\N	110	27345	UROK	\N	\N
3447510	1952	1996-06-30	PRIJEM	\N	120	29520	UROK	\N	\N
3447511	1952	1996-07-31	PRIJEM	\N	120	28566	UROK	\N	\N
3447512	1952	1996-08-31	PRIJEM	\N	115	27346	UROK	\N	\N
3447513	1952	1996-09-30	PRIJEM	\N	134	36445	UROK	\N	\N
3447514	1952	1996-10-31	PRIJEM	\N	156	38766	UROK	\N	\N
3447515	1952	1996-11-30	PRIJEM	\N	165	40796	UROK	\N	\N
3447516	1952	1996-12-31	PRIJEM	\N	173	44905	UROK	\N	\N
3447517	1952	1997-01-31	PRIJEM	\N	107	16138	UROK	\N	\N
3447518	1952	1997-02-28	PRIJEM	\N	92	28195	UROK	\N	\N
3447519	1952	1997-03-31	PRIJEM	\N	112	26953	UROK	\N	\N
3447520	1952	1997-04-30	PRIJEM	\N	126	33744	UROK	\N	\N
3447521	1952	1997-05-31	PRIJEM	\N	142	34951	UROK	\N	\N
3447522	1952	1997-06-30	PRIJEM	\N	127	33533	UROK	\N	\N
3447523	1952	1997-07-31	PRIJEM	\N	141	32040	UROK	\N	\N
3447524	1952	1997-08-31	PRIJEM	\N	131	33616	UROK	\N	\N
3447525	1952	1997-09-30	PRIJEM	\N	157	41939	UROK	\N	\N
3447526	1952	1997-10-31	PRIJEM	\N	170	39134	UROK	\N	\N
3447527	1952	1997-11-30	PRIJEM	\N	167	41867	UROK	\N	\N
3447528	1952	1997-12-31	PRIJEM	\N	167	44529	UROK	\N	\N
3447529	1952	1998-01-31	PRIJEM	\N	143	30297	UROK	\N	\N
3447530	1952	1998-02-28	PRIJEM	\N	136	35899	UROK	\N	\N
3447531	1952	1998-03-31	PRIJEM	\N	153	38617	UROK	\N	\N
3447532	1952	1998-04-30	PRIJEM	\N	167	42650	UROK	\N	\N
3447533	1952	1998-05-31	PRIJEM	\N	185	45261	UROK	\N	\N
3447534	1952	1998-06-30	PRIJEM	\N	144	18921	UROK	\N	\N
3447535	1952	1998-07-31	PRIJEM	\N	114	35000	UROK	\N	\N
3447536	1952	1998-08-31	PRIJEM	\N	173	47538	UROK	\N	\N
3447537	1952	1998-09-30	PRIJEM	\N	173	46977	UROK	\N	\N
3447538	1952	1998-10-31	PRIJEM	\N	198	45941	UROK	\N	\N
3447539	1952	1998-11-30	PRIJEM	\N	189	46495	UROK	\N	\N
3447540	1952	1998-12-31	PRIJEM	\N	192	47482	UROK	\N	\N
3447541	1993	1994-11-30	PRIJEM	\N	66	39024	UROK	\N	\N
3447542	1993	1994-12-31	PRIJEM	\N	161	35603	UROK	\N	\N
3447543	1993	1995-01-31	PRIJEM	\N	148	29751	UROK	\N	\N
3447544	1993	1995-02-28	PRIJEM	\N	148	27698	UROK	\N	\N
3447545	1993	1995-03-31	PRIJEM	\N	148	23946	UROK	\N	\N
3447546	1993	1995-04-30	PRIJEM	\N	151	43370	UROK	\N	\N
3447547	1993	1995-05-31	PRIJEM	\N	203	36057	UROK	\N	\N
3447548	1993	1995-06-30	PRIJEM	\N	144	44929	UROK	\N	\N
3447549	1993	1995-07-31	PRIJEM	\N	177	29891	UROK	\N	\N
3447550	1993	1995-08-31	PRIJEM	\N	118	21693	UROK	\N	\N
3447551	1993	1995-09-30	PRIJEM	\N	86	17165	UROK	\N	\N
3447552	1993	1995-10-31	PRIJEM	\N	94	21919	UROK	\N	\N
3447553	1993	1995-11-30	PRIJEM	\N	82	12786	UROK	\N	\N
3447554	1993	1995-12-31	PRIJEM	\N	58	15385	UROK	\N	\N
3447555	1993	1996-01-31	PRIJEM	\N	109	19474	UROK	\N	\N
3447556	1993	1996-02-29	PRIJEM	\N	124	30349	UROK	\N	\N
3447557	1993	1996-03-31	PRIJEM	\N	108	18126	UROK	\N	\N
3447558	1993	1996-04-30	PRIJEM	\N	70	14181	UROK	\N	\N
3447559	1993	1996-05-31	PRIJEM	\N	59	14326	UROK	\N	\N
3447560	1993	1996-06-30	PRIJEM	\N	58	6769	UROK	\N	\N
3447561	1993	1996-07-31	PRIJEM	\N	41	15571	UROK	\N	\N
3447562	1993	1996-08-31	PRIJEM	\N	63	8520	UROK	\N	\N
3447563	1993	1996-09-30	PRIJEM	\N	34	3940	UROK	\N	\N
3447564	1993	1996-10-31	PRIJEM	\N	59	20195	UROK	\N	\N
3447565	1993	1996-11-30	PRIJEM	\N	76	15856	UROK	\N	\N
3447566	1993	1996-12-31	PRIJEM	\N	57	11298	UROK	\N	\N
3447567	1993	1997-01-31	PRIJEM	\N	95	17447	UROK	\N	\N
3447568	1993	1997-02-28	PRIJEM	\N	94	30445	UROK	\N	\N
3447569	1993	1997-03-31	PRIJEM	\N	165	45171	UROK	\N	\N
3447570	1993	1997-04-30	PRIJEM	\N	208	47771	UROK	\N	\N
3447571	1993	1997-05-31	PRIJEM	\N	181	33849	UROK	\N	\N
3447572	1993	1997-06-30	PRIJEM	\N	219	43383	UROK	\N	\N
3447573	1993	1997-07-31	PRIJEM	\N	155	28124	UROK	\N	\N
3447574	1993	1997-08-31	PRIJEM	\N	278	73042	UROK	\N	\N
3447575	1993	1997-09-30	PRIJEM	\N	271	58367	UROK	\N	\N
3447576	1993	1997-10-31	PRIJEM	\N	192	34844	UROK	\N	\N
3447577	1993	1997-11-30	PRIJEM	\N	180	43504	UROK	\N	\N
3447578	1993	1997-12-31	PRIJEM	\N	138	26127	UROK	\N	\N
3447579	1993	1998-01-31	PRIJEM	\N	104	21719	UROK	\N	\N
3447580	1993	1998-02-28	PRIJEM	\N	107	42319	UROK	\N	\N
3447581	1993	1998-03-31	PRIJEM	\N	149	17053	UROK	\N	\N
3447582	1993	1998-04-30	PRIJEM	\N	68	10806	UROK	\N	\N
3447583	1993	1998-05-31	PRIJEM	\N	121	32272	UROK	\N	\N
3447584	1993	1998-06-30	PRIJEM	\N	169	47959	UROK	\N	\N
3447585	1993	1998-07-31	PRIJEM	\N	111	17355	UROK	\N	\N
3447586	1993	1998-08-31	PRIJEM	\N	69	9910	UROK	\N	\N
3447587	1993	1998-09-30	PRIJEM	\N	38	1633	UROK	\N	\N
3447588	1993	1998-10-31	PRIJEM	\N	4	-4277	UROK	\N	\N
3447589	1993	1998-10-31	VYDAJ	VYBER	2	-4294	SANKC. UROK	\N	\N
3447590	1993	1998-11-30	PRIJEM	\N	141	59873	UROK	\N	\N
3447591	1993	1998-11-30	VYDAJ	VYBER	11	59862	SANKC. UROK	\N	\N
3447592	1993	1998-12-31	PRIJEM	\N	195	51911	UROK	\N	\N
3447593	2051	1996-02-29	PRIJEM	\N	125	42730	UROK	\N	\N
3447594	2051	1996-03-31	PRIJEM	\N	290	80813	UROK	\N	\N
3447595	2051	1996-04-30	PRIJEM	\N	336	48648	UROK	\N	\N
3447596	2051	1996-05-31	PRIJEM	\N	284	90556	UROK	\N	\N
3447597	2051	1996-06-30	PRIJEM	\N	220	67861	UROK	\N	\N
3447598	2051	1996-07-31	PRIJEM	\N	349	93946	UROK	\N	\N
3447599	2051	1996-08-31	PRIJEM	\N	393	83896	UROK	\N	\N
3447600	2051	1996-09-30	PRIJEM	\N	365	83679	UROK	\N	\N
3447601	2051	1996-10-31	PRIJEM	\N	173	37117	UROK	\N	\N
3447602	2051	1996-11-30	PRIJEM	\N	142	41690	UROK	\N	\N
3447603	2051	1996-12-31	PRIJEM	\N	296	84455	UROK	\N	\N
3447604	2051	1997-01-31	PRIJEM	\N	58	8823	UROK	\N	\N
3447605	2051	1997-02-28	PRIJEM	\N	36	2028	UROK	\N	\N
3447606	2051	1997-03-31	PRIJEM	\N	7	-2756	UROK	\N	\N
3447607	2051	1997-03-31	VYDAJ	VYBER	19	-2805	SANKC. UROK	\N	\N
3447608	2051	1997-04-30	VYDAJ	VYBER	28	-233	SANKC. UROK	\N	\N
3447609	2051	1997-05-31	PRIJEM	\N	1	638	UROK	\N	\N
3447610	2051	1997-05-31	VYDAJ	VYBER	3	3805	SANKC. UROK	\N	\N
3447611	2051	1997-06-30	PRIJEM	\N	41	32007	UROK	\N	\N
3447612	2051	1997-07-31	PRIJEM	\N	73	2260	UROK	\N	\N
3447613	2051	1997-08-31	PRIJEM	\N	9	4439	UROK	\N	\N
3447614	2051	1997-09-30	PRIJEM	\N	91	20899	UROK	\N	\N
3447615	2051	1997-10-31	PRIJEM	\N	164	35006	UROK	\N	\N
3447616	2051	1997-11-30	PRIJEM	\N	115	19000	UROK	\N	\N
3447617	2051	1997-12-31	PRIJEM	\N	69	12942	UROK	\N	\N
3447618	2051	1998-01-31	PRIJEM	\N	268	66259	UROK	\N	\N
3447619	2051	1998-02-28	PRIJEM	\N	260	40991	UROK	\N	\N
3447620	2051	1998-03-31	PRIJEM	\N	256	81566	UROK	\N	\N
3447621	2051	1998-04-30	PRIJEM	\N	468	59632	UROK	\N	\N
3447622	2051	1998-05-31	PRIJEM	\N	282	105485	UROK	\N	\N
3447623	2051	1998-06-30	PRIJEM	\N	402	61758	UROK	\N	\N
3447624	2051	1998-07-31	PRIJEM	\N	300	66221	UROK	\N	\N
3447625	2051	1998-08-31	PRIJEM	\N	298	45868	UROK	\N	\N
3447626	2051	1998-09-30	PRIJEM	\N	320	57198	UROK	\N	\N
3447627	2051	1998-10-31	PRIJEM	\N	235	39431	UROK	\N	\N
3447628	2051	1998-11-30	PRIJEM	\N	207	49458	UROK	\N	\N
3447629	2051	1998-12-31	PRIJEM	\N	311	92532	UROK	\N	\N
3447630	2089	1997-03-31	PRIJEM	\N	21	15485	UROK	\N	\N
3447631	2089	1997-04-30	PRIJEM	\N	235	57055	UROK	\N	\N
3447632	2089	1997-05-31	PRIJEM	\N	156	28274	UROK	\N	\N
3447633	2089	1997-06-30	PRIJEM	\N	300	88895	UROK	\N	\N
3447634	2089	1997-07-31	PRIJEM	\N	359	113928	UROK	\N	\N
3447635	2089	1997-08-31	PRIJEM	\N	312	65351	UROK	\N	\N
3447636	2089	1997-09-30	PRIJEM	\N	280	84749	UROK	\N	\N
3447637	2089	1997-10-31	PRIJEM	\N	353	69204	UROK	\N	\N
3447638	2089	1997-11-30	PRIJEM	\N	211	82272	UROK	\N	\N
3447639	2089	1997-12-31	PRIJEM	\N	169	21208	UROK	\N	\N
3447640	2089	1998-01-31	PRIJEM	\N	52	11830	UROK	\N	\N
3447641	2089	1998-02-28	PRIJEM	\N	48	2749	UROK	\N	\N
3447642	2089	1998-03-31	PRIJEM	\N	11	-3070	UROK	\N	\N
3447643	2089	1998-03-31	VYDAJ	VYBER	1	-3101	SANKC. UROK	\N	\N
3447644	2089	1998-04-30	PRIJEM	\N	3	10284	UROK	\N	\N
3447645	2089	1998-04-30	VYDAJ	VYBER	28	10256	SANKC. UROK	\N	\N
3447646	2089	1998-05-31	PRIJEM	\N	42	2268	UROK	\N	\N
3447647	2089	1998-06-30	PRIJEM	\N	10	2248	UROK	\N	\N
3447648	2089	1998-07-31	PRIJEM	\N	10	2227	UROK	\N	\N
3447649	2089	1998-09-30	PRIJEM	\N	10	2177	UROK	\N	\N
3447650	2089	1998-09-30	PRIJEM	\N	10	2187	UROK	\N	\N
3447651	2089	1998-10-31	PRIJEM	\N	19	12687	UROK	\N	\N
3447652	2089	1998-11-30	PRIJEM	\N	52	5509	UROK	\N	\N
3447653	2144	1995-07-31	PRIJEM	\N	3	11155	UROK	\N	\N
3447654	2144	1995-08-31	PRIJEM	\N	112	88095	UROK	\N	\N
3447655	2144	1995-09-30	PRIJEM	\N	318	58276	UROK	\N	\N
3447656	2144	1995-10-31	PRIJEM	\N	304	59901	UROK	\N	\N
3447657	2144	1995-11-30	PRIJEM	\N	190	34214	UROK	\N	\N
3447658	2144	1995-12-31	PRIJEM	\N	129	33204	UROK	\N	\N
3447659	2144	1996-01-31	PRIJEM	\N	149	8107	UROK	\N	\N
3447660	2144	1996-02-29	PRIJEM	\N	36	9443	UROK	\N	\N
3447661	2144	1996-03-31	PRIJEM	\N	84	30282	UROK	\N	\N
3447662	2144	1996-04-30	PRIJEM	\N	125	23406	UROK	\N	\N
3447663	2144	1996-05-31	PRIJEM	\N	77	7092	UROK	\N	\N
3447664	2144	1996-06-30	PRIJEM	\N	154	39050	UROK	\N	\N
3447665	2144	1996-07-31	PRIJEM	\N	213	75910	UROK	\N	\N
3447666	2144	1996-08-31	PRIJEM	\N	329	37705	UROK	\N	\N
3447667	2144	1996-09-30	PRIJEM	\N	125	22530	UROK	\N	\N
3447668	2144	1996-10-31	PRIJEM	\N	77	16007	UROK	\N	\N
3447669	2144	1996-11-30	PRIJEM	\N	66	17373	UROK	\N	\N
3447670	2144	1996-12-31	PRIJEM	\N	65	14737	UROK	\N	\N
3447671	2144	1997-01-31	PRIJEM	\N	26	-1237	UROK	\N	\N
3447672	2144	1997-01-31	VYDAJ	VYBER	3	-1240	SANKC. UROK	\N	\N
3447673	2144	1997-02-28	PRIJEM	\N	1	8761	UROK	\N	\N
3447674	2144	1997-02-28	VYDAJ	VYBER	14	8647	SANKC. UROK	\N	\N
3447675	2144	1997-03-31	PRIJEM	\N	42	11235	UROK	\N	\N
3447676	2144	1997-04-30	PRIJEM	\N	46	10280	UROK	\N	\N
3447677	2144	1997-05-31	PRIJEM	\N	42	8022	UROK	\N	\N
3447678	2144	1997-06-30	PRIJEM	\N	23	13772	UROK	\N	\N
3447679	2144	1997-07-31	PRIJEM	\N	24	2696	UROK	\N	\N
3447680	2144	1997-08-31	PRIJEM	\N	10	-1894	UROK	\N	\N
3447681	2144	1997-08-31	VYDAJ	VYBER	1	-1895	SANKC. UROK	\N	\N
3447682	2144	1997-09-30	PRIJEM	\N	24	4450	UROK	\N	\N
3447683	2144	1997-09-30	VYDAJ	VYBER	12	4439	SANKC. UROK	\N	\N
3447684	2144	1997-10-31	PRIJEM	\N	17	955	UROK	\N	\N
3447685	2144	1997-11-30	PRIJEM	\N	3	-542	UROK	\N	\N
3447686	2144	1997-11-30	VYDAJ	VYBER	0	-642	SANKC. UROK	\N	\N
3447687	2144	1997-12-31	VYDAJ	VYBER	9	-851	SANKC. UROK	\N	\N
3447688	2144	1998-01-31	PRIJEM	\N	47	28734	UROK	\N	\N
3447689	2144	1998-01-31	VYDAJ	VYBER	10	28724	SANKC. UROK	\N	\N
3447690	2144	1998-02-28	PRIJEM	\N	167	65205	UROK	\N	\N
3447691	2144	1998-03-31	PRIJEM	\N	323	67143	UROK	\N	\N
3447692	2144	1998-04-30	PRIJEM	\N	180	70127	UROK	\N	\N
3447693	2144	1998-05-31	PRIJEM	\N	301	73454	UROK	\N	\N
3447694	2144	1998-06-30	PRIJEM	\N	285	82954	UROK	\N	\N
3447695	2144	1998-07-31	PRIJEM	\N	289	79139	UROK	\N	\N
3447696	2144	1998-08-31	PRIJEM	\N	335	88345	UROK	\N	\N
3447697	2144	1998-09-30	PRIJEM	\N	259	33504	UROK	\N	\N
3447698	2144	1998-10-31	PRIJEM	\N	264	89901	UROK	\N	\N
3447699	2144	1998-11-30	PRIJEM	\N	365	72848	UROK	\N	\N
3447700	2144	1998-12-31	PRIJEM	\N	72	11554	UROK	\N	\N
3447701	2175	1993-05-31	PRIJEM	\N	10	23849	UROK	\N	\N
3447702	2175	1993-06-30	PRIJEM	\N	129	47295	UROK	\N	\N
3447703	2175	1993-07-31	PRIJEM	\N	197	34692	UROK	\N	\N
3447704	2175	1993-08-31	PRIJEM	\N	320	47497	UROK	\N	\N
3447705	2175	1993-09-30	PRIJEM	\N	178	27661	UROK	\N	\N
3447706	2175	1993-10-31	PRIJEM	\N	175	72927	UROK	\N	\N
3447707	2175	1993-11-30	PRIJEM	\N	274	36768	UROK	\N	\N
3447708	2175	1993-12-31	PRIJEM	\N	159	39612	UROK	\N	\N
3447709	2175	1994-01-31	PRIJEM	\N	79	18480	UROK	\N	\N
3447710	2175	1994-01-31	VYDAJ	VYBER	1	18465	SANKC. UROK	\N	\N
3447711	2175	1994-02-28	PRIJEM	\N	78	23743	UROK	\N	\N
3447712	2175	1994-03-31	PRIJEM	\N	159	48108	UROK	\N	\N
3447713	2175	1994-04-30	PRIJEM	\N	171	25069	UROK	\N	\N
3447714	2175	1994-05-31	PRIJEM	\N	323	65902	UROK	\N	\N
3447715	2175	1994-06-30	PRIJEM	\N	205	15309	UROK	\N	\N
3447716	2175	1994-07-31	PRIJEM	\N	100	32340	UROK	\N	\N
3447717	2175	1994-08-31	PRIJEM	\N	186	63464	UROK	\N	\N
3447718	2175	1994-09-30	PRIJEM	\N	256	58606	UROK	\N	\N
3447719	2175	1994-10-31	PRIJEM	\N	335	71022	UROK	\N	\N
3447720	2175	1994-11-30	PRIJEM	\N	267	55281	UROK	\N	\N
3447721	2175	1994-12-31	PRIJEM	\N	287	60334	UROK	\N	\N
3447722	2175	1995-01-31	PRIJEM	\N	164	21584	UROK	\N	\N
3447723	2175	1995-02-28	PRIJEM	\N	126	40790	UROK	\N	\N
3447724	2175	1995-03-31	PRIJEM	\N	152	18162	UROK	\N	\N
3447725	2175	1995-04-30	PRIJEM	\N	121	59976	UROK	\N	\N
3447726	2175	1995-05-31	PRIJEM	\N	187	28494	UROK	\N	\N
3447727	2175	1995-06-30	PRIJEM	\N	93	34878	UROK	\N	\N
3447728	2175	1995-07-31	PRIJEM	\N	148	33918	UROK	\N	\N
3447729	2175	1995-08-31	PRIJEM	\N	140	29243	UROK	\N	\N
3447730	2175	1995-09-30	PRIJEM	\N	98	19526	UROK	\N	\N
3447731	2175	1995-10-31	PRIJEM	\N	70	13341	UROK	\N	\N
3447732	2175	1995-11-30	PRIJEM	\N	49	4530	UROK	\N	\N
3447733	2175	1995-12-31	PRIJEM	\N	78	29167	UROK	\N	\N
3447734	2175	1996-01-31	PRIJEM	\N	56	508	UROK	\N	\N
3447735	2175	1996-02-29	PRIJEM	\N	49	31128	UROK	\N	\N
3447736	2175	1996-03-31	PRIJEM	\N	172	39010	UROK	\N	\N
3447737	2175	1996-04-30	PRIJEM	\N	204	50617	UROK	\N	\N
3447738	2175	1996-05-31	PRIJEM	\N	251	71122	UROK	\N	\N
3447739	2175	1996-06-30	PRIJEM	\N	256	16564	UROK	\N	\N
3447740	2175	1996-07-31	PRIJEM	\N	138	37479	UROK	\N	\N
3447741	2175	1996-08-31	PRIJEM	\N	154	26163	UROK	\N	\N
3447742	2175	1996-09-30	PRIJEM	\N	140	47905	UROK	\N	\N
3447743	2175	1996-10-31	PRIJEM	\N	182	35144	UROK	\N	\N
3447744	2175	1996-11-30	PRIJEM	\N	317	66940	UROK	\N	\N
3447745	2175	1996-12-31	PRIJEM	\N	206	42031	UROK	\N	\N
3447746	2175	1997-01-31	PRIJEM	\N	85	1661	UROK	\N	\N
3447747	2175	1997-02-28	PRIJEM	\N	7	20553	UROK	\N	\N
3447748	2175	1997-03-31	PRIJEM	\N	114	30061	UROK	\N	\N
3447749	2175	1997-04-30	PRIJEM	\N	146	70981	UROK	\N	\N
3447750	2175	1997-05-31	PRIJEM	\N	382	81222	UROK	\N	\N
3447751	2175	1997-06-30	PRIJEM	\N	268	53121	UROK	\N	\N
3447752	2175	1997-07-31	PRIJEM	\N	169	57821	UROK	\N	\N
3447753	2175	1997-08-31	PRIJEM	\N	332	82375	UROK	\N	\N
3447754	2175	1997-09-30	PRIJEM	\N	347	90214	UROK	\N	\N
3447755	2175	1997-10-31	PRIJEM	\N	370	71169	UROK	\N	\N
3447756	2175	1997-11-30	PRIJEM	\N	296	100108	UROK	\N	\N
3447757	2175	1997-12-31	PRIJEM	\N	388	99900	UROK	\N	\N
3447758	2175	1998-01-31	PRIJEM	\N	275	45760	UROK	\N	\N
3447759	2175	1998-02-28	PRIJEM	\N	240	76339	UROK	\N	\N
3447760	2175	1998-03-31	PRIJEM	\N	214	64802	UROK	\N	\N
3447761	2175	1998-04-30	PRIJEM	\N	197	43955	UROK	\N	\N
3447762	2175	1998-05-31	PRIJEM	\N	200	61429	UROK	\N	\N
3447763	2175	1998-06-30	PRIJEM	\N	256	82396	UROK	\N	\N
3447764	2175	1998-07-31	PRIJEM	\N	344	85409	UROK	\N	\N
3447765	2175	1998-08-31	PRIJEM	\N	348	71542	UROK	\N	\N
3447766	2175	1998-09-30	PRIJEM	\N	284	58012	UROK	\N	\N
3447767	2175	1998-10-31	PRIJEM	\N	199	87121	UROK	\N	\N
3447768	2175	1998-11-30	PRIJEM	\N	476	57722	UROK	\N	\N
3447769	2175	1998-12-31	PRIJEM	\N	268	94571	UROK	\N	\N
3447770	2236	1995-09-30	PRIJEM	\N	20	29074	UROK	\N	\N
3447771	2236	1995-10-31	PRIJEM	\N	121	27895	UROK	\N	\N
3447772	2236	1995-11-30	PRIJEM	\N	121	22816	UROK	\N	\N
3447773	2236	1995-12-31	PRIJEM	\N	121	22537	UROK	\N	\N
3447774	2236	1996-01-31	PRIJEM	\N	121	26058	UROK	\N	\N
3447775	2236	1996-02-29	PRIJEM	\N	121	23579	UROK	\N	\N
3447776	2236	1996-03-31	PRIJEM	\N	127	35065	UROK	\N	\N
3447777	2236	1996-04-30	PRIJEM	\N	146	26410	UROK	\N	\N
3447778	2236	1996-05-31	PRIJEM	\N	152	40066	UROK	\N	\N
3447779	2236	1996-06-30	PRIJEM	\N	166	30932	UROK	\N	\N
3447780	2236	1996-07-31	PRIJEM	\N	166	26199	UROK	\N	\N
3447781	2236	1996-08-31	PRIJEM	\N	166	22665	UROK	\N	\N
3447782	2236	1996-09-30	PRIJEM	\N	202	41864	UROK	\N	\N
3447783	2236	1996-10-31	PRIJEM	\N	134	24410	UROK	\N	\N
3447784	2236	1996-11-30	PRIJEM	\N	50	4872	UROK	\N	\N
3447785	2236	1996-12-31	PRIJEM	\N	20	1003	UROK	\N	\N
3447786	2236	1997-01-31	PRIJEM	\N	4	10792	UROK	\N	\N
3447787	2236	1997-01-31	VYDAJ	VYBER	0	10792	SANKC. UROK	\N	\N
3447788	2236	1997-02-28	VYDAJ	VYBER	11	-1048	SANKC. UROK	\N	\N
3447789	2236	1997-03-31	PRIJEM	\N	1	5142	UROK	\N	\N
3447790	2236	1997-03-31	VYDAJ	VYBER	10	5131	SANKC. UROK	\N	\N
3447791	2236	1997-04-30	PRIJEM	\N	6	-3285	UROK	\N	\N
3447792	2236	1997-04-30	VYDAJ	VYBER	24	-3309	SANKC. UROK	\N	\N
3447793	2236	1997-05-31	PRIJEM	\N	80	49239	UROK	\N	\N
3447794	2236	1997-05-31	VYDAJ	VYBER	19	49221	SANKC. UROK	\N	\N
3447795	2236	1997-06-30	PRIJEM	\N	136	17368	UROK	\N	\N
3447796	2236	1997-07-31	PRIJEM	\N	95	30649	UROK	\N	\N
3447797	2236	1997-08-31	PRIJEM	\N	84	14345	UROK	\N	\N
3447798	2236	1997-09-30	PRIJEM	\N	78	4038	UROK	\N	\N
3447799	2236	1997-10-31	PRIJEM	\N	78	24687	UROK	\N	\N
3447800	2236	1997-11-30	PRIJEM	\N	81	34811	UROK	\N	\N
3447801	2236	1997-12-31	PRIJEM	\N	116	10912	UROK	\N	\N
3447802	2236	1998-01-31	PRIJEM	\N	82	46775	UROK	\N	\N
3447803	2236	1998-02-28	PRIJEM	\N	153	14481	UROK	\N	\N
3447804	2236	1998-03-31	PRIJEM	\N	50	10042	UROK	\N	\N
3447805	2236	1998-04-30	PRIJEM	\N	77	17073	UROK	\N	\N
3447806	2236	1998-05-31	PRIJEM	\N	27	612	UROK	\N	\N
3447807	2236	1998-06-30	PRIJEM	\N	21	7606	UROK	\N	\N
3447808	2236	1998-07-31	PRIJEM	\N	29	5053	UROK	\N	\N
3447809	2236	1998-08-31	PRIJEM	\N	22	5086	UROK	\N	\N
3447810	2236	1998-09-30	PRIJEM	\N	194	60081	UROK	\N	\N
3447811	2236	1998-10-31	PRIJEM	\N	118	15912	UROK	\N	\N
3447812	2236	1998-11-30	PRIJEM	\N	65	-1439	UROK	\N	\N
3447813	2236	1998-11-30	VYDAJ	VYBER	0	-1439	SANKC. UROK	\N	\N
3447814	2260	1994-06-30	PRIJEM	\N	35	13942	UROK	\N	\N
3447815	2260	1994-07-31	PRIJEM	\N	92	27472	UROK	\N	\N
3447816	2260	1994-08-31	PRIJEM	\N	131	34041	UROK	\N	\N
3447817	2260	1994-09-30	PRIJEM	\N	150	37328	UROK	\N	\N
3447818	2260	1994-10-31	PRIJEM	\N	152	33378	UROK	\N	\N
3447819	2260	1994-11-30	PRIJEM	\N	129	32930	UROK	\N	\N
3447820	2260	1994-12-31	PRIJEM	\N	148	35490	UROK	\N	\N
3447821	2260	1995-01-31	PRIJEM	\N	145	30959	UROK	\N	\N
3447822	2260	1995-02-28	PRIJEM	\N	129	28011	UROK	\N	\N
3447823	2260	1995-03-31	PRIJEM	\N	109	27743	UROK	\N	\N
3447824	2260	1995-04-30	PRIJEM	\N	80	20246	UROK	\N	\N
3447825	2260	1995-05-31	PRIJEM	\N	88	21957	UROK	\N	\N
3447826	2260	1995-06-30	PRIJEM	\N	57	10106	UROK	\N	\N
3447827	2260	1995-07-31	PRIJEM	\N	51	14781	UROK	\N	\N
3447828	2260	1995-08-31	PRIJEM	\N	72	19276	UROK	\N	\N
3447829	2260	1995-09-30	PRIJEM	\N	81	20981	UROK	\N	\N
3447830	2260	1995-10-31	PRIJEM	\N	75	14979	UROK	\N	\N
3447831	2260	1995-11-30	PRIJEM	\N	60	13483	UROK	\N	\N
3447832	2260	1995-12-31	PRIJEM	\N	57	11132	UROK	\N	\N
3447833	2260	1996-01-31	PRIJEM	\N	49	11804	UROK	\N	\N
3447834	2260	1996-02-29	PRIJEM	\N	52	8539	UROK	\N	\N
3447835	2260	1996-03-31	PRIJEM	\N	41	10463	UROK	\N	\N
3447836	2260	1996-04-30	PRIJEM	\N	39	5545	UROK	\N	\N
3447837	2260	1996-05-31	PRIJEM	\N	30	5898	UROK	\N	\N
3447838	2260	1996-06-30	PRIJEM	\N	25	5035	UROK	\N	\N
3447839	2260	1996-06-30	VYDAJ	VYBER	5	5015	SANKC. UROK	\N	\N
3447840	2260	1996-07-31	PRIJEM	\N	24	3577	UROK	\N	\N
3447841	2260	1996-08-31	PRIJEM	\N	14	-2125	UROK	\N	\N
3447842	2260	1996-08-31	VYDAJ	VYBER	5	-2145	SANKC. UROK	\N	\N
3447843	2260	1996-09-30	PRIJEM	\N	0	-1867	UROK	\N	\N
3447844	2260	1996-09-30	VYDAJ	VYBER	24	-1906	SANKC. UROK	\N	\N
3447845	2260	1996-10-31	PRIJEM	\N	0	-1167	UROK	\N	\N
3447846	2260	1996-10-31	VYDAJ	VYBER	15	-1182	SANKC. UROK	\N	\N
3447847	2260	1996-11-30	PRIJEM	\N	5	-4114	UROK	\N	\N
3447848	2260	1996-11-30	VYDAJ	VYBER	9	-4138	SANKC. UROK	\N	\N
3447849	2260	1996-12-31	PRIJEM	\N	8	3278	UROK	\N	\N
3447850	2260	1996-12-31	VYDAJ	VYBER	19	3244	SANKC. UROK	\N	\N
3447851	2260	1997-01-31	PRIJEM	\N	13	-2045	UROK	\N	\N
3447852	2260	1997-01-31	VYDAJ	VYBER	6	-2065	SANKC. UROK	\N	\N
3447853	2260	1997-02-28	PRIJEM	\N	1	-2026	UROK	\N	\N
3447854	2260	1997-02-28	VYDAJ	VYBER	17	-2058	SANKC. UROK	\N	\N
3447855	2260	1997-03-31	PRIJEM	\N	5	2985	UROK	\N	\N
3447856	2260	1997-03-31	VYDAJ	VYBER	11	2974	SANKC. UROK	\N	\N
3447857	2260	1997-04-30	PRIJEM	\N	10	-693	UROK	\N	\N
3447858	2260	1997-04-30	VYDAJ	VYBER	1	-694	SANKC. UROK	\N	\N
3447859	2260	1997-05-31	PRIJEM	\N	4	1934	UROK	\N	\N
3447860	2260	1997-05-31	VYDAJ	VYBER	2	1917	SANKC. UROK	\N	\N
3447861	2260	1997-06-30	PRIJEM	\N	15	739	UROK	\N	\N
3447862	2260	1997-07-31	PRIJEM	\N	7	-631	UROK	\N	\N
3447863	2260	1997-07-31	VYDAJ	VYBER	0	-645	SANKC. UROK	\N	\N
3447864	2260	1997-08-31	PRIJEM	\N	0	-4007	UROK	\N	\N
3447865	2260	1997-08-31	VYDAJ	VYBER	15	-4022	SANKC. UROK	\N	\N
3447866	2260	1997-09-30	VYDAJ	VYBER	48	-8431	SANKC. UROK	\N	\N
3447867	2260	1997-10-31	VYDAJ	VYBER	67	-5720	SANKC. UROK	\N	\N
3447868	2260	1997-11-30	VYDAJ	VYBER	51	-5933	SANKC. UROK	\N	\N
3447869	2260	1997-12-31	PRIJEM	\N	1	-5426	UROK	\N	\N
3447870	2260	1997-12-31	VYDAJ	VYBER	47	-5473	SANKC. UROK	\N	\N
3447871	2260	1998-01-31	VYDAJ	VYBER	81	-11315	SANKC. UROK	\N	\N
3447872	2260	1998-02-28	VYDAJ	VYBER	93	-7070	SANKC. UROK	\N	\N
3447873	2260	1998-03-31	VYDAJ	VYBER	84	-10916	SANKC. UROK	\N	\N
3447874	2260	1998-04-30	VYDAJ	VYBER	107	-10484	SANKC. UROK	\N	\N
3447875	2260	1998-05-31	VYDAJ	VYBER	101	-9747	SANKC. UROK	\N	\N
3447876	2260	1998-06-30	VYDAJ	VYBER	92	-9932	SANKC. UROK	\N	\N
3447877	2260	1998-07-31	VYDAJ	VYBER	101	-10794	SANKC. UROK	\N	\N
3447878	2260	1998-08-31	VYDAJ	VYBER	89	-7359	SANKC. UROK	\N	\N
3447879	2260	1998-09-30	VYDAJ	VYBER	67	-6589	SANKC. UROK	\N	\N
3447880	2260	1998-10-31	VYDAJ	VYBER	57	-5322	SANKC. UROK	\N	\N
3447881	2260	1998-11-30	VYDAJ	VYBER	26	-825	SANKC. UROK	\N	\N
3447882	2260	1998-12-31	VYDAJ	VYBER	27	-2825	SANKC. UROK	\N	\N
3447883	2261	1996-12-31	PRIJEM	\N	17	30653	UROK	\N	\N
3447884	2261	1997-01-31	PRIJEM	\N	128	25980	UROK	\N	\N
3447885	2261	1997-02-28	PRIJEM	\N	140	50746	UROK	\N	\N
3447886	2261	1997-03-31	PRIJEM	\N	211	36057	UROK	\N	\N
3447887	2261	1997-04-30	PRIJEM	\N	211	27467	UROK	\N	\N
3447888	2261	1997-05-31	PRIJEM	\N	193	29131	UROK	\N	\N
3447889	2261	1997-06-30	PRIJEM	\N	121	21051	UROK	\N	\N
3447890	2261	1997-07-31	PRIJEM	\N	121	29150	UROK	\N	\N
3447891	2261	1997-08-31	PRIJEM	\N	121	20771	UROK	\N	\N
3447892	2261	1997-09-30	PRIJEM	\N	121	14092	UROK	\N	\N
3447893	2261	1997-11-30	PRIJEM	\N	105	17050	UROK	\N	\N
3447894	2261	1997-12-31	PRIJEM	\N	79	19278	UROK	\N	\N
3447895	2261	1998-01-31	PRIJEM	\N	79	9427	UROK	\N	\N
3447896	2261	1998-02-28	PRIJEM	\N	41	10218	UROK	\N	\N
3447897	2261	1998-03-31	PRIJEM	\N	80	79111	UROK	\N	\N
3447898	2261	1998-04-30	PRIJEM	\N	210	23864	UROK	\N	\N
3447899	2261	1998-05-31	PRIJEM	\N	169	66633	UROK	\N	\N
3447900	2261	1998-06-30	PRIJEM	\N	166	29635	UROK	\N	\N
3447901	2261	1998-07-31	PRIJEM	\N	129	24168	UROK	\N	\N
3447902	2261	1998-08-31	PRIJEM	\N	100	18984	UROK	\N	\N
3447903	2261	1998-09-30	PRIJEM	\N	53	5907	UROK	\N	\N
3447904	2261	1998-10-31	PRIJEM	\N	40	29666	UROK	\N	\N
3447905	2261	1998-11-30	PRIJEM	\N	95	15536	UROK	\N	\N
3447906	2261	1998-12-31	PRIJEM	\N	107	47601	UROK	\N	\N
3447907	2299	1997-02-28	PRIJEM	\N	20	14776	UROK	\N	\N
3447908	2299	1997-03-31	PRIJEM	\N	71	21502	UROK	\N	\N
3447909	2299	1997-04-30	PRIJEM	\N	98	27656	UROK	\N	\N
3447910	2299	1997-05-31	PRIJEM	\N	117	29029	UROK	\N	\N
3447911	2299	1997-06-30	PRIJEM	\N	94	9807	UROK	\N	\N
3447912	2299	1997-07-31	PRIJEM	\N	58	20206	UROK	\N	\N
3447913	2299	1997-08-31	PRIJEM	\N	91	24338	UROK	\N	\N
3447914	2299	1997-09-30	PRIJEM	\N	108	27487	UROK	\N	\N
3447915	2299	1997-10-31	PRIJEM	\N	109	24437	UROK	\N	\N
3447916	2299	1997-11-30	PRIJEM	\N	105	26083	UROK	\N	\N
3447917	2299	1997-12-31	PRIJEM	\N	111	23663	UROK	\N	\N
3447918	2299	1998-01-31	PRIJEM	\N	58	1963	UROK	\N	\N
3447919	2299	1998-02-28	PRIJEM	\N	16	5720	UROK	\N	\N
3447920	2299	1998-03-31	PRIJEM	\N	33	10094	UROK	\N	\N
3447921	2299	1998-04-30	PRIJEM	\N	49	12384	UROK	\N	\N
3447922	2299	1998-05-31	PRIJEM	\N	49	10675	UROK	\N	\N
3447923	2299	1998-06-30	PRIJEM	\N	35	4679	UROK	\N	\N
3447924	2299	1998-07-31	PRIJEM	\N	25	6245	UROK	\N	\N
3447925	2299	1998-08-31	PRIJEM	\N	28	7114	UROK	\N	\N
3447926	2299	1998-09-30	PRIJEM	\N	48	6204	UROK	\N	\N
3447927	2299	1998-10-31	PRIJEM	\N	45	6590	UROK	\N	\N
3447928	2299	1998-11-30	PRIJEM	\N	27	7859	UROK	\N	\N
3447929	2299	1998-12-31	PRIJEM	\N	61	19189	UROK	\N	\N
3447930	2305	1994-01-31	PRIJEM	\N	40	13582	UROK	\N	\N
3447931	2305	1994-02-28	PRIJEM	\N	71	18595	UROK	\N	\N
3447932	2305	1994-03-31	PRIJEM	\N	95	25033	UROK	\N	\N
3447933	2305	1994-04-30	PRIJEM	\N	103	24577	UROK	\N	\N
3447934	2305	1994-05-31	PRIJEM	\N	104	25023	UROK	\N	\N
3447935	2305	1994-06-30	PRIJEM	\N	81	18132	UROK	\N	\N
3447936	2305	1994-07-31	PRIJEM	\N	76	18235	UROK	\N	\N
3447937	2305	1994-08-31	PRIJEM	\N	81	20023	UROK	\N	\N
3447938	2305	1994-09-30	PRIJEM	\N	94	23244	UROK	\N	\N
3447939	2305	1994-10-31	PRIJEM	\N	105	25476	UROK	\N	\N
3447940	2305	1994-11-30	PRIJEM	\N	98	23501	UROK	\N	\N
3447941	2305	1994-12-31	PRIJEM	\N	100	24269	UROK	\N	\N
3447942	2305	1995-01-31	PRIJEM	\N	95	20411	UROK	\N	\N
3447943	2305	1995-02-28	PRIJEM	\N	95	20653	UROK	\N	\N
3447944	2305	1995-03-31	PRIJEM	\N	91	22371	UROK	\N	\N
3447945	2305	1995-04-30	PRIJEM	\N	102	25000	UROK	\N	\N
3447946	2305	1995-05-31	PRIJEM	\N	92	20919	UROK	\N	\N
3447947	2305	1995-06-30	PRIJEM	\N	79	15236	UROK	\N	\N
3447948	2305	1995-07-31	PRIJEM	\N	81	20714	UROK	\N	\N
3447949	2305	1995-08-31	PRIJEM	\N	81	20022	UROK	\N	\N
3447950	2305	1995-09-30	PRIJEM	\N	83	20053	UROK	\N	\N
3447951	2305	1995-10-31	PRIJEM	\N	86	21266	UROK	\N	\N
3447952	2305	1995-11-30	PRIJEM	\N	96	22889	UROK	\N	\N
3447953	2305	1995-12-31	PRIJEM	\N	81	19287	UROK	\N	\N
3447954	2305	1996-01-31	PRIJEM	\N	68	12552	UROK	\N	\N
3447955	2305	1996-02-29	PRIJEM	\N	56	13035	UROK	\N	\N
3447956	2305	1996-03-31	PRIJEM	\N	54	9806	UROK	\N	\N
3447957	2305	1996-04-30	PRIJEM	\N	45	13779	UROK	\N	\N
3447958	2305	1996-05-31	PRIJEM	\N	60	14567	UROK	\N	\N
3447959	2305	1996-06-30	PRIJEM	\N	57	9571	UROK	\N	\N
3447960	2305	1996-07-31	PRIJEM	\N	42	10350	UROK	\N	\N
3447961	2305	1996-08-31	PRIJEM	\N	45	11163	UROK	\N	\N
3447962	2305	1996-09-30	PRIJEM	\N	45	8865	UROK	\N	\N
3447963	2305	1996-10-31	PRIJEM	\N	39	9931	UROK	\N	\N
3447964	2305	1996-11-30	PRIJEM	\N	39	7798	UROK	\N	\N
3447965	2305	1996-12-31	PRIJEM	\N	29	2544	UROK	\N	\N
3447966	2305	1997-01-31	PRIJEM	\N	4	-3865	UROK	\N	\N
3447967	2305	1997-01-31	VYDAJ	VYBER	16	-3881	SANKC. UROK	\N	\N
3447968	2305	1997-02-28	VYDAJ	VYBER	31	-2461	SANKC. UROK	\N	\N
3447969	2305	1997-03-31	PRIJEM	\N	1	1282	UROK	\N	\N
3447970	2305	1997-03-31	VYDAJ	VYBER	20	1262	SANKC. UROK	\N	\N
3447971	2305	1997-04-30	PRIJEM	\N	5	1494	UROK	\N	\N
3447972	2305	1997-05-31	PRIJEM	\N	5	-1374	UROK	\N	\N
3447973	2305	1997-05-31	VYDAJ	VYBER	5	-1393	SANKC. UROK	\N	\N
3447974	2305	1997-06-30	VYDAJ	VYBER	35	-8386	SANKC. UROK	\N	\N
3447975	2305	1997-07-31	VYDAJ	VYBER	80	-5625	SANKC. UROK	\N	\N
3447976	2305	1997-08-31	VYDAJ	VYBER	60	-5543	SANKC. UROK	\N	\N
3447977	2305	1997-09-30	VYDAJ	VYBER	58	-4859	SANKC. UROK	\N	\N
3447978	2305	1997-10-31	VYDAJ	VYBER	57	-5873	SANKC. UROK	\N	\N
3447979	2305	1997-11-30	VYDAJ	VYBER	64	-5795	SANKC. UROK	\N	\N
3447980	2305	1997-12-31	VYDAJ	VYBER	83	-10936	SANKC. UROK	\N	\N
3447981	2305	1998-01-31	VYDAJ	VYBER	117	-11511	SANKC. UROK	\N	\N
3447982	2305	1998-02-28	VYDAJ	VYBER	113	-9782	SANKC. UROK	\N	\N
3447983	2305	1998-03-31	VYDAJ	VYBER	98	-8539	SANKC. UROK	\N	\N
3447984	2305	1998-04-30	VYDAJ	VYBER	80	-5777	SANKC. UROK	\N	\N
3447985	2305	1998-05-31	VYDAJ	VYBER	79	-11314	SANKC. UROK	\N	\N
3447986	2305	1998-06-30	VYDAJ	VYBER	146	-17618	SANKC. UROK	\N	\N
3447987	2305	1998-07-31	VYDAJ	VYBER	209	-23685	SANKC. UROK	\N	\N
3447988	2305	1998-08-31	VYDAJ	VYBER	241	-23584	SANKC. UROK	\N	\N
3447989	2305	1998-09-30	VYDAJ	VYBER	235	-22477	SANKC. UROK	\N	\N
3447990	2305	1998-10-31	VYDAJ	VYBER	231	-22666	SANKC. UROK	\N	\N
3447991	2305	1998-11-30	VYDAJ	VYBER	226	-21650	SANKC. UROK	\N	\N
3447992	2522	1996-02-29	PRIJEM	\N	37	25663	UROK	\N	\N
3447993	2522	1996-03-31	PRIJEM	\N	121	35109	UROK	\N	\N
3447994	2522	1996-04-30	PRIJEM	\N	156	41791	UROK	\N	\N
3447995	2522	1996-05-31	PRIJEM	\N	177	43794	UROK	\N	\N
3447996	2522	1996-06-30	PRIJEM	\N	147	18904	UROK	\N	\N
3447997	2522	1996-07-31	PRIJEM	\N	107	35022	UROK	\N	\N
3447998	2522	1996-08-31	PRIJEM	\N	163	44196	UROK	\N	\N
3447999	2522	1996-09-30	PRIJEM	\N	187	14759	UROK	\N	\N
3448000	2522	1996-10-31	PRIJEM	\N	104	5163	UROK	\N	\N
3448001	2522	1996-11-30	PRIJEM	\N	66	26741	UROK	\N	\N
3448002	2522	1996-12-31	PRIJEM	\N	145	42110	UROK	\N	\N
3448003	2522	1997-01-31	PRIJEM	\N	171	29793	UROK	\N	\N
3448004	2522	1997-02-28	PRIJEM	\N	112	15859	UROK	\N	\N
3448005	2522	1997-03-31	PRIJEM	\N	94	24636	UROK	\N	\N
3448006	2522	1997-04-30	PRIJEM	\N	109	25828	UROK	\N	\N
3448007	2522	1997-05-31	PRIJEM	\N	55	-2927	UROK	\N	\N
3448008	2522	1997-05-31	VYDAJ	VYBER	15	-2956	SANKC. UROK	\N	\N
3448009	2522	1997-06-30	PRIJEM	\N	15	-2030	UROK	\N	\N
3448010	2522	1997-06-30	VYDAJ	VYBER	16	-2061	SANKC. UROK	\N	\N
3448011	2522	1997-07-31	PRIJEM	\N	31	3934	UROK	\N	\N
3448012	2522	1997-07-31	VYDAJ	VYBER	9	502	SANKC. UROK	\N	\N
3448013	2522	1997-08-31	PRIJEM	\N	48	15532	UROK	\N	\N
3448014	2522	1997-09-30	PRIJEM	\N	53	9532	UROK	\N	\N
3448015	2522	1997-10-31	PRIJEM	\N	45	7833	UROK	\N	\N
3448016	2522	1997-11-30	PRIJEM	\N	30	3020	UROK	\N	\N
3448017	2522	1997-12-31	PRIJEM	\N	51	8132	UROK	\N	\N
3448018	2522	1998-01-31	PRIJEM	\N	23	-2934	UROK	\N	\N
3448019	2522	1998-01-31	VYDAJ	VYBER	18	-2967	SANKC. UROK	\N	\N
3448020	2522	1998-02-28	PRIJEM	\N	38	11697	UROK	\N	\N
3448021	2522	1998-02-28	VYDAJ	VYBER	9	11674	SANKC. UROK	\N	\N
3448022	2522	1998-03-31	PRIJEM	\N	63	14372	UROK	\N	\N
3448023	2522	1998-04-30	PRIJEM	\N	95	26879	UROK	\N	\N
3448024	2522	1998-05-31	PRIJEM	\N	69	8724	UROK	\N	\N
3448025	2522	1998-06-30	PRIJEM	\N	65	16488	UROK	\N	\N
3448026	2522	1998-07-31	PRIJEM	\N	86	12754	UROK	\N	\N
3448027	2522	1998-08-31	PRIJEM	\N	93	25459	UROK	\N	\N
3448028	2522	1998-09-30	PRIJEM	\N	107	26177	UROK	\N	\N
3448029	2522	1998-10-31	PRIJEM	\N	115	28404	UROK	\N	\N
3448030	2522	1998-11-30	PRIJEM	\N	107	7124	UROK	\N	\N
3448031	2522	1998-12-31	PRIJEM	\N	85	17433	UROK	\N	\N
3448032	2572	1994-12-31	PRIJEM	\N	130	50858	UROK	\N	\N
3448033	2572	1995-01-31	PRIJEM	\N	240	61785	UROK	\N	\N
3448034	2572	1995-02-28	PRIJEM	\N	188	38992	UROK	\N	\N
3448035	2572	1995-03-31	PRIJEM	\N	201	55336	UROK	\N	\N
3448036	2572	1995-04-30	PRIJEM	\N	256	65068	UROK	\N	\N
3448037	2572	1995-05-31	PRIJEM	\N	260	55707	UROK	\N	\N
3448038	2572	1995-06-30	PRIJEM	\N	217	28791	UROK	\N	\N
3448039	2572	1995-07-31	PRIJEM	\N	178	27747	UROK	\N	\N
3448040	2572	1995-08-31	PRIJEM	\N	184	47750	UROK	\N	\N
3448041	2572	1995-09-30	PRIJEM	\N	211	51864	UROK	\N	\N
3448042	2572	1995-10-31	PRIJEM	\N	244	51338	UROK	\N	\N
3448043	2572	1995-11-30	PRIJEM	\N	235	52944	UROK	\N	\N
3448044	2572	1995-12-31	PRIJEM	\N	185	43845	UROK	\N	\N
3448045	2572	1996-01-31	PRIJEM	\N	98	2143	UROK	\N	\N
3448046	2572	1996-01-31	VYDAJ	VYBER	0	2040	SANKC. UROK	\N	\N
3448047	2572	1996-02-29	PRIJEM	\N	158	29795	UROK	\N	\N
3448048	2572	1996-02-29	VYDAJ	VYBER	2	29951	SANKC. UROK	\N	\N
3448049	2572	1996-03-31	PRIJEM	\N	128	36049	UROK	\N	\N
3448050	2572	1996-03-31	VYDAJ	VYBER	1	36049	SANKC. UROK	\N	\N
3448051	2572	1996-04-30	PRIJEM	\N	214	50428	UROK	\N	\N
3448052	2572	1996-05-31	PRIJEM	\N	304	72637	UROK	\N	\N
3448053	2572	1996-06-30	PRIJEM	\N	276	65317	UROK	\N	\N
3448054	2572	1996-07-31	PRIJEM	\N	322	81702	UROK	\N	\N
3448055	2572	1996-08-31	PRIJEM	\N	379	97400	UROK	\N	\N
3448056	2572	1996-09-30	PRIJEM	\N	406	102712	UROK	\N	\N
3448057	2572	1996-10-31	PRIJEM	\N	272	41238	UROK	\N	\N
3448058	2572	1996-11-30	PRIJEM	\N	267	75366	UROK	\N	\N
3448059	2572	1996-12-31	PRIJEM	\N	225	52087	UROK	\N	\N
3448060	2572	1997-01-31	PRIJEM	\N	145	22221	UROK	\N	\N
3448061	2572	1997-02-28	PRIJEM	\N	141	49914	UROK	\N	\N
3448062	2572	1997-03-31	PRIJEM	\N	247	72241	UROK	\N	\N
3448063	2572	1997-04-30	PRIJEM	\N	299	66718	UROK	\N	\N
3448064	2572	1997-05-31	PRIJEM	\N	230	65696	UROK	\N	\N
3448065	2572	1997-06-30	PRIJEM	\N	145	13424	UROK	\N	\N
3448066	2572	1997-07-31	PRIJEM	\N	122	26066	UROK	\N	\N
3448067	2572	1997-08-31	PRIJEM	\N	181	48247	UROK	\N	\N
3448068	2572	1997-09-30	PRIJEM	\N	194	45765	UROK	\N	\N
3448069	2572	1997-10-31	PRIJEM	\N	233	53152	UROK	\N	\N
3448070	2572	1997-11-30	PRIJEM	\N	305	64072	UROK	\N	\N
3448071	2572	1997-12-31	PRIJEM	\N	343	61480	UROK	\N	\N
3448072	2572	1998-01-31	PRIJEM	\N	244	31838	UROK	\N	\N
3448073	2572	1998-02-28	PRIJEM	\N	214	52044	UROK	\N	\N
3448074	2572	1998-03-31	PRIJEM	\N	228	46357	UROK	\N	\N
3448075	2572	1998-04-30	PRIJEM	\N	184	46711	UROK	\N	\N
3448076	2572	1998-05-31	PRIJEM	\N	216	47336	UROK	\N	\N
3448077	2572	1998-06-30	PRIJEM	\N	283	51917	UROK	\N	\N
3448078	2572	1998-07-31	PRIJEM	\N	255	63349	UROK	\N	\N
3448079	2572	1998-08-31	PRIJEM	\N	302	65270	UROK	\N	\N
3448080	2572	1998-09-30	PRIJEM	\N	288	62791	UROK	\N	\N
3448081	2572	1998-10-31	PRIJEM	\N	282	68168	UROK	\N	\N
3448082	2572	1998-11-30	PRIJEM	\N	284	60978	UROK	\N	\N
3448083	2572	1998-12-31	PRIJEM	\N	337	91530	UROK	\N	\N
3448084	2585	1993-02-28	PRIJEM	\N	38	16001	UROK	\N	\N
3448085	2585	1993-03-31	PRIJEM	\N	116	35280	UROK	\N	\N
3448086	2585	1993-04-30	PRIJEM	\N	167	43510	UROK	\N	\N
3448087	2585	1993-05-31	PRIJEM	\N	202	51874	UROK	\N	\N
3448088	2585	1993-06-30	PRIJEM	\N	234	37852	UROK	\N	\N
3448089	2585	1993-07-31	PRIJEM	\N	178	45479	UROK	\N	\N
3448090	2585	1993-08-31	PRIJEM	\N	202	49369	UROK	\N	\N
3448091	2585	1993-09-30	PRIJEM	\N	208	50425	UROK	\N	\N
3448092	2585	1993-10-31	PRIJEM	\N	210	51903	UROK	\N	\N
3448093	2585	1993-11-30	PRIJEM	\N	224	54236	UROK	\N	\N
3448094	2585	1993-12-31	PRIJEM	\N	223	59008	UROK	\N	\N
3448095	2585	1994-01-31	PRIJEM	\N	190	43167	UROK	\N	\N
3448096	2585	1994-02-28	PRIJEM	\N	194	49409	UROK	\N	\N
3448097	2585	1994-03-31	PRIJEM	\N	211	51568	UROK	\N	\N
3448098	2585	1994-04-30	PRIJEM	\N	215	52032	UROK	\N	\N
3448099	2585	1994-05-31	PRIJEM	\N	198	47918	UROK	\N	\N
3448100	2585	1994-06-30	PRIJEM	\N	143	36790	UROK	\N	\N
3448101	2585	1994-07-31	PRIJEM	\N	176	45914	UROK	\N	\N
3448102	2585	1994-08-31	PRIJEM	\N	200	49863	UROK	\N	\N
3448103	2585	1994-09-30	PRIJEM	\N	216	53728	UROK	\N	\N
3448104	2585	1994-10-31	PRIJEM	\N	214	47870	UROK	\N	\N
3448105	2585	1994-11-30	PRIJEM	\N	208	51526	UROK	\N	\N
3448106	2585	1994-12-31	PRIJEM	\N	228	52564	UROK	\N	\N
3448107	2585	1995-01-31	PRIJEM	\N	178	43050	UROK	\N	\N
3448108	2585	1995-02-28	PRIJEM	\N	179	45077	UROK	\N	\N
3448109	2585	1995-03-31	PRIJEM	\N	192	47518	UROK	\N	\N
3448110	2585	1995-04-30	PRIJEM	\N	198	48365	UROK	\N	\N
3448111	2585	1995-05-31	PRIJEM	\N	167	43500	UROK	\N	\N
3448112	2585	1995-06-30	PRIJEM	\N	162	15771	UROK	\N	\N
3448113	2585	1995-07-31	PRIJEM	\N	65	23884	UROK	\N	\N
3448114	2585	1995-08-31	PRIJEM	\N	124	25016	UROK	\N	\N
3448115	2585	1995-09-30	PRIJEM	\N	131	25376	UROK	\N	\N
3448116	2585	1995-10-31	PRIJEM	\N	104	25928	UROK	\N	\N
3448117	2585	1995-11-30	PRIJEM	\N	128	25545	UROK	\N	\N
3448118	2585	1995-12-31	PRIJEM	\N	109	30983	UROK	\N	\N
3448119	2585	1996-01-31	PRIJEM	\N	139	20211	UROK	\N	\N
3448120	2585	1996-02-29	PRIJEM	\N	82	19961	UROK	\N	\N
3448121	2585	1996-03-31	PRIJEM	\N	98	24428	UROK	\N	\N
3448122	2585	1996-04-30	PRIJEM	\N	101	25977	UROK	\N	\N
3448123	2585	1996-05-31	PRIJEM	\N	108	28333	UROK	\N	\N
3448124	2585	1996-06-30	PRIJEM	\N	131	24194	UROK	\N	\N
3448125	2585	1996-07-31	PRIJEM	\N	100	26242	UROK	\N	\N
3448126	2585	1996-08-31	PRIJEM	\N	103	23694	UROK	\N	\N
3448127	2585	1996-09-30	PRIJEM	\N	90	19433	UROK	\N	\N
3448128	2585	1996-10-31	PRIJEM	\N	75	16956	UROK	\N	\N
3448129	2585	1996-11-30	PRIJEM	\N	63	11208	UROK	\N	\N
3448130	2585	1996-12-31	PRIJEM	\N	59	13696	UROK	\N	\N
3448131	2585	1997-01-31	PRIJEM	\N	54	9518	UROK	\N	\N
3448132	2585	1997-02-28	PRIJEM	\N	37	10204	UROK	\N	\N
3448133	2585	1997-03-31	PRIJEM	\N	43	12695	UROK	\N	\N
3448134	2585	1997-04-30	PRIJEM	\N	51	13994	UROK	\N	\N
3448135	2585	1997-05-31	PRIJEM	\N	52	12294	UROK	\N	\N
3448136	2585	1997-06-30	PRIJEM	\N	49	6152	UROK	\N	\N
3448137	2585	1997-07-31	PRIJEM	\N	16	3017	UROK	\N	\N
3448138	2585	1997-08-31	PRIJEM	\N	7	2072	UROK	\N	\N
3448139	2585	1997-09-30	PRIJEM	\N	3	1523	UROK	\N	\N
3448140	2585	1997-10-31	PRIJEM	\N	4	2375	UROK	\N	\N
3448141	2585	1997-11-30	PRIJEM	\N	12	4795	UROK	\N	\N
3448142	2585	1997-12-31	PRIJEM	\N	30	11475	UROK	\N	\N
3448143	2585	1998-01-31	PRIJEM	\N	22	2586	UROK	\N	\N
3448144	2585	1998-02-28	PRIJEM	\N	2	1037	UROK	\N	\N
3448145	2585	1998-02-28	VYDAJ	VYBER	2	1035	SANKC. UROK	\N	\N
3448146	2585	1998-03-31	VYDAJ	VYBER	13	-829	SANKC. UROK	\N	\N
3448147	2585	1998-04-30	VYDAJ	VYBER	36	-3503	SANKC. UROK	\N	\N
3448148	2585	1998-05-31	VYDAJ	VYBER	40	-1779	SANKC. UROK	\N	\N
3448149	2585	1998-06-30	PRIJEM	\N	9	5273	UROK	\N	\N
3448150	2585	1998-06-30	VYDAJ	VYBER	14	5259	SANKC. UROK	\N	\N
3448151	2585	1998-07-31	PRIJEM	\N	13	4220	UROK	\N	\N
3448152	2585	1998-08-31	PRIJEM	\N	47	3716	UROK	\N	\N
3448153	2585	1998-09-30	PRIJEM	\N	40	16204	UROK	\N	\N
3448154	2585	1998-10-31	PRIJEM	\N	76	22528	UROK	\N	\N
3448155	2585	1998-11-30	PRIJEM	\N	84	21461	UROK	\N	\N
3448156	2585	1998-12-31	PRIJEM	\N	101	29111	UROK	\N	\N
3448157	2587	1997-08-31	PRIJEM	\N	17	15955	UROK	\N	\N
3448158	2587	1997-09-30	PRIJEM	\N	76	24669	UROK	\N	\N
3448159	2587	1997-10-31	PRIJEM	\N	103	25110	UROK	\N	\N
3448160	2587	1997-11-30	PRIJEM	\N	107	27155	UROK	\N	\N
3448161	2587	1997-12-31	PRIJEM	\N	132	28144	UROK	\N	\N
3448162	2587	1998-01-31	PRIJEM	\N	115	20783	UROK	\N	\N
3448163	2587	1998-02-28	PRIJEM	\N	91	20498	UROK	\N	\N
3448164	2587	1998-03-31	PRIJEM	\N	83	19104	UROK	\N	\N
3448165	2587	1998-04-30	PRIJEM	\N	77	16805	UROK	\N	\N
3448166	2587	1998-05-31	PRIJEM	\N	67	14996	UROK	\N	\N
3448167	2587	1998-06-30	PRIJEM	\N	45	3483	UROK	\N	\N
3448168	2587	1998-07-31	PRIJEM	\N	26	5332	UROK	\N	\N
3448169	2587	1998-08-31	PRIJEM	\N	23	3378	UROK	\N	\N
3448170	2587	1998-09-30	PRIJEM	\N	23	4225	UROK	\N	\N
3448171	2587	1998-10-31	PRIJEM	\N	12	1160	UROK	\N	\N
3448172	2587	1998-11-30	PRIJEM	\N	7	2590	UROK	\N	\N
3448173	2587	1998-12-31	PRIJEM	\N	49	14482	UROK	\N	\N
3448174	2598	1996-04-30	PRIJEM	\N	118	52846	UROK	\N	\N
3448175	2598	1996-05-31	PRIJEM	\N	231	57192	UROK	\N	\N
3448176	2598	1996-06-30	PRIJEM	\N	190	79986	UROK	\N	\N
3448177	2598	1996-07-31	PRIJEM	\N	314	50099	UROK	\N	\N
3448178	2598	1996-08-31	PRIJEM	\N	247	69415	UROK	\N	\N
3448179	2598	1996-09-30	PRIJEM	\N	220	26719	UROK	\N	\N
3448180	2598	1996-10-31	PRIJEM	\N	105	13929	UROK	\N	\N
3448181	2598	1996-11-30	PRIJEM	\N	156	37863	UROK	\N	\N
3448182	2598	1996-12-31	PRIJEM	\N	200	95207	UROK	\N	\N
3448183	2598	1997-01-31	PRIJEM	\N	161	6624	UROK	\N	\N
3448184	2598	1997-02-28	PRIJEM	\N	98	38713	UROK	\N	\N
3448185	2598	1997-03-31	PRIJEM	\N	172	71274	UROK	\N	\N
3448186	2598	1997-04-30	PRIJEM	\N	264	93768	UROK	\N	\N
3448187	2598	1997-05-31	PRIJEM	\N	251	40767	UROK	\N	\N
3448188	2598	1997-06-30	PRIJEM	\N	74	-1091	UROK	\N	\N
3448189	2598	1997-06-30	VYDAJ	VYBER	3	-1094	SANKC. UROK	\N	\N
3448190	2598	1997-07-31	PRIJEM	\N	2	17294	UROK	\N	\N
3448191	2598	1997-07-31	VYDAJ	VYBER	12	17281	SANKC. UROK	\N	\N
3448192	2598	1997-08-31	PRIJEM	\N	123	9633	UROK	\N	\N
3448193	2598	1997-09-30	PRIJEM	\N	40	10021	UROK	\N	\N
3448194	2598	1997-10-31	PRIJEM	\N	43	24250	UROK	\N	\N
3448195	2598	1997-11-30	PRIJEM	\N	101	32936	UROK	\N	\N
3448196	2598	1997-12-31	PRIJEM	\N	89	4731	UROK	\N	\N
3448197	2598	1998-01-31	PRIJEM	\N	80	35581	UROK	\N	\N
3448198	2598	1998-02-28	PRIJEM	\N	148	41214	UROK	\N	\N
3448199	2598	1998-03-31	PRIJEM	\N	312	108564	UROK	\N	\N
3448200	2598	1998-04-30	PRIJEM	\N	438	98025	UROK	\N	\N
3448201	2598	1998-05-31	PRIJEM	\N	361	83484	UROK	\N	\N
3448202	2598	1998-06-30	PRIJEM	\N	328	51098	UROK	\N	\N
3448203	2598	1998-07-31	PRIJEM	\N	310	92327	UROK	\N	\N
3448204	2598	1998-08-31	PRIJEM	\N	372	95264	UROK	\N	\N
3448205	2598	1998-09-30	PRIJEM	\N	408	95464	UROK	\N	\N
3448206	2598	1998-10-31	PRIJEM	\N	281	76295	UROK	\N	\N
3448207	2598	1998-11-30	PRIJEM	\N	306	62565	UROK	\N	\N
3448208	2598	1998-12-31	PRIJEM	\N	319	108566	UROK	\N	\N
3448209	2599	1994-03-31	PRIJEM	\N	95	65437	UROK	\N	\N
3448210	2599	1994-04-30	PRIJEM	\N	272	46909	UROK	\N	\N
3448211	2599	1994-05-31	PRIJEM	\N	236	49869	UROK	\N	\N
3448212	2599	1994-06-30	PRIJEM	\N	232	69536	UROK	\N	\N
3448213	2599	1994-07-31	PRIJEM	\N	231	36202	UROK	\N	\N
3448214	2599	1994-08-31	PRIJEM	\N	86	17673	UROK	\N	\N
3448215	2599	1994-09-30	PRIJEM	\N	61	12219	UROK	\N	\N
3448216	2599	1994-10-31	PRIJEM	\N	61	15865	UROK	\N	\N
3448217	2599	1994-11-30	PRIJEM	\N	85	75800	UROK	\N	\N
3448218	2599	1994-12-31	PRIJEM	\N	194	34012	UROK	\N	\N
3448219	2599	1995-01-31	PRIJEM	\N	107	33055	UROK	\N	\N
3448220	2599	1995-02-28	PRIJEM	\N	94	18634	UROK	\N	\N
3448221	2599	1995-03-31	PRIJEM	\N	109	17928	UROK	\N	\N
3448222	2599	1995-04-30	PRIJEM	\N	116	17030	UROK	\N	\N
3448223	2599	1995-05-31	PRIJEM	\N	76	19192	UROK	\N	\N
3448224	2599	1995-06-30	PRIJEM	\N	84	21810	UROK	\N	\N
3448225	2599	1995-07-31	PRIJEM	\N	60	12055	UROK	\N	\N
3448226	2599	1995-08-31	PRIJEM	\N	39	8980	UROK	\N	\N
3448227	2599	1995-09-30	PRIJEM	\N	35	8301	UROK	\N	\N
3448228	2599	1995-10-31	PRIJEM	\N	29	6814	UROK	\N	\N
3448229	2599	1995-11-30	PRIJEM	\N	31	8731	UROK	\N	\N
3448230	2599	1995-12-31	PRIJEM	\N	36	8952	UROK	\N	\N
3448231	2599	1996-01-31	PRIJEM	\N	15	2753	UROK	\N	\N
3448232	2599	1996-02-29	PRIJEM	\N	21	6060	UROK	\N	\N
3448233	2599	1996-03-31	PRIJEM	\N	40	10484	UROK	\N	\N
3448234	2599	1996-04-30	PRIJEM	\N	42	10712	UROK	\N	\N
3448235	2599	1996-05-31	PRIJEM	\N	105	60790	UROK	\N	\N
3448236	2599	1996-06-30	PRIJEM	\N	159	36335	UROK	\N	\N
3448237	2599	1996-07-31	PRIJEM	\N	113	27132	UROK	\N	\N
3448238	2599	1996-08-31	PRIJEM	\N	115	46571	UROK	\N	\N
3448239	2599	1996-09-30	PRIJEM	\N	92	19098	UROK	\N	\N
3448240	2599	1996-10-31	PRIJEM	\N	212	54551	UROK	\N	\N
3448241	2599	1996-11-30	PRIJEM	\N	158	46595	UROK	\N	\N
3448242	2599	1996-12-31	PRIJEM	\N	189	39769	UROK	\N	\N
3448243	2599	1997-01-31	PRIJEM	\N	159	32213	UROK	\N	\N
3448244	2599	1997-02-28	PRIJEM	\N	131	35729	UROK	\N	\N
3448245	2599	1997-03-31	PRIJEM	\N	143	29757	UROK	\N	\N
3448246	2599	1997-04-30	PRIJEM	\N	119	29062	UROK	\N	\N
3448247	2599	1997-05-31	PRIJEM	\N	115	17162	UROK	\N	\N
3448248	2599	1997-06-30	PRIJEM	\N	68	30015	UROK	\N	\N
3448249	2599	1997-07-31	PRIJEM	\N	120	34620	UROK	\N	\N
3448250	2599	1997-08-31	PRIJEM	\N	137	32942	UROK	\N	\N
3448251	2599	1997-09-30	PRIJEM	\N	128	28956	UROK	\N	\N
3448252	2599	1997-10-31	PRIJEM	\N	112	17553	UROK	\N	\N
3448253	2599	1997-11-30	PRIJEM	\N	66	17605	UROK	\N	\N
3448254	2599	1997-12-31	PRIJEM	\N	66	17656	UROK	\N	\N
3448255	2599	1998-01-31	PRIJEM	\N	183	35322	UROK	\N	\N
3448256	2599	1998-02-28	PRIJEM	\N	171	43091	UROK	\N	\N
3448257	2599	1998-03-31	PRIJEM	\N	268	68963	UROK	\N	\N
3448258	2599	1998-04-30	PRIJEM	\N	247	47683	UROK	\N	\N
3448259	2599	1998-05-31	PRIJEM	\N	310	99541	UROK	\N	\N
3448260	2599	1998-06-30	PRIJEM	\N	268	47615	UROK	\N	\N
3448261	2599	1998-07-31	PRIJEM	\N	181	41581	UROK	\N	\N
3448262	2599	1998-08-31	PRIJEM	\N	175	46029	UROK	\N	\N
3448263	2599	1998-09-30	PRIJEM	\N	192	53187	UROK	\N	\N
3448264	2599	1998-10-31	PRIJEM	\N	357	115896	UROK	\N	\N
3448265	2599	1998-11-30	PRIJEM	\N	446	74171	UROK	\N	\N
3448266	2599	1998-12-31	PRIJEM	\N	387	124641	UROK	\N	\N
3448267	2628	1994-02-28	PRIJEM	\N	83	67174	UROK	\N	\N
3448268	2628	1994-03-31	PRIJEM	\N	459	70706	UROK	\N	\N
3448269	2628	1994-04-30	PRIJEM	\N	172	68992	UROK	\N	\N
3448270	2628	1994-05-31	PRIJEM	\N	257	57618	UROK	\N	\N
3448271	2628	1994-06-30	PRIJEM	\N	153	37909	UROK	\N	\N
3448272	2628	1994-07-31	PRIJEM	\N	162	33270	UROK	\N	\N
3448273	2628	1994-08-31	PRIJEM	\N	201	55231	UROK	\N	\N
3448274	2628	1994-09-30	PRIJEM	\N	173	38539	UROK	\N	\N
3448275	2628	1994-10-31	PRIJEM	\N	205	99537	UROK	\N	\N
3448276	2628	1994-11-30	PRIJEM	\N	397	95103	UROK	\N	\N
3448277	2628	1994-12-31	PRIJEM	\N	330	100187	UROK	\N	\N
3448278	2628	1995-01-31	PRIJEM	\N	181	17668	UROK	\N	\N
3448279	2628	1995-02-28	PRIJEM	\N	265	92278	UROK	\N	\N
3448280	2628	1995-03-31	PRIJEM	\N	241	44874	UROK	\N	\N
3448281	2628	1995-04-30	PRIJEM	\N	75	4052	UROK	\N	\N
3448282	2628	1995-05-31	PRIJEM	\N	21	1514	UROK	\N	\N
3448283	2628	1995-06-30	PRIJEM	\N	29	9343	UROK	\N	\N
3448284	2628	1995-07-31	PRIJEM	\N	66	46013	UROK	\N	\N
3448285	2628	1995-08-31	PRIJEM	\N	137	29250	UROK	\N	\N
3448286	2628	1995-09-30	PRIJEM	\N	120	25371	UROK	\N	\N
3448287	2628	1995-10-31	PRIJEM	\N	100	12692	UROK	\N	\N
3448288	2628	1995-11-30	PRIJEM	\N	52	12573	UROK	\N	\N
3448289	2628	1995-12-31	PRIJEM	\N	42	13215	UROK	\N	\N
3448290	2628	1995-12-31	VYDAJ	VYBER	1	13214	SANKC. UROK	\N	\N
3448291	2628	1996-01-31	PRIJEM	\N	256	35283	UROK	\N	\N
3448292	2628	1996-02-29	PRIJEM	\N	194	42148	UROK	\N	\N
3448293	2628	1996-03-31	PRIJEM	\N	258	29491	UROK	\N	\N
3448294	2628	1996-04-30	PRIJEM	\N	174	56525	UROK	\N	\N
3448295	2628	1996-05-31	PRIJEM	\N	232	42757	UROK	\N	\N
3448296	2628	1996-06-30	PRIJEM	\N	271	39750	UROK	\N	\N
3448297	2628	1996-07-31	PRIJEM	\N	167	33761	UROK	\N	\N
3448298	2628	1996-08-31	PRIJEM	\N	88	4376	UROK	\N	\N
3448299	2628	1996-09-30	PRIJEM	\N	129	78410	UROK	\N	\N
3448300	2628	1996-10-31	PRIJEM	\N	272	66353	UROK	\N	\N
3448301	2628	1996-11-30	PRIJEM	\N	287	87566	UROK	\N	\N
3448302	2628	1996-12-31	PRIJEM	\N	303	39547	UROK	\N	\N
3448303	2628	1997-01-31	PRIJEM	\N	136	15423	UROK	\N	\N
3448304	2628	1997-02-28	PRIJEM	\N	277	42375	UROK	\N	\N
3448305	2628	1997-03-31	PRIJEM	\N	183	48576	UROK	\N	\N
3448306	2628	1997-04-30	PRIJEM	\N	262	55314	UROK	\N	\N
3448307	2628	1997-05-31	PRIJEM	\N	207	41395	UROK	\N	\N
3448308	2628	1997-06-30	PRIJEM	\N	159	16947	UROK	\N	\N
3448309	2628	1997-07-31	PRIJEM	\N	102	61249	UROK	\N	\N
3448310	2628	1997-08-31	PRIJEM	\N	295	102210	UROK	\N	\N
3448311	2628	1997-09-30	PRIJEM	\N	284	37080	UROK	\N	\N
3448312	2628	1997-10-31	PRIJEM	\N	217	56000	UROK	\N	\N
3448313	2628	1997-11-30	PRIJEM	\N	239	52065	UROK	\N	\N
3448314	2628	1997-12-31	PRIJEM	\N	253	94189	UROK	\N	\N
3448315	2628	1998-01-31	PRIJEM	\N	227	37816	UROK	\N	\N
3448316	2628	1998-02-28	PRIJEM	\N	152	23168	UROK	\N	\N
3448317	2628	1998-03-31	PRIJEM	\N	125	46937	UROK	\N	\N
3448318	2628	1998-04-30	PRIJEM	\N	170	52415	UROK	\N	\N
3448319	2628	1998-05-31	PRIJEM	\N	198	28394	UROK	\N	\N
3448320	2628	1998-06-30	PRIJEM	\N	94	15176	UROK	\N	\N
3448321	2628	1998-07-31	PRIJEM	\N	59	16835	UROK	\N	\N
3448322	2628	1998-08-31	PRIJEM	\N	59	13789	UROK	\N	\N
3448323	2628	1998-09-30	PRIJEM	\N	54	21643	UROK	\N	\N
3448324	2628	1998-10-31	PRIJEM	\N	85	20329	UROK	\N	\N
3448325	2628	1998-11-30	PRIJEM	\N	60	9506	UROK	\N	\N
3448326	2628	1998-12-31	PRIJEM	\N	47	8653	UROK	\N	\N
3448327	2660	1994-05-31	PRIJEM	\N	56	24404	UROK	\N	\N
3448328	2660	1994-06-30	PRIJEM	\N	108	30849	UROK	\N	\N
3448329	2660	1994-07-31	PRIJEM	\N	128	23977	UROK	\N	\N
3448330	2660	1994-08-31	PRIJEM	\N	140	37121	UROK	\N	\N
3448331	2660	1994-09-30	PRIJEM	\N	154	30375	UROK	\N	\N
3448332	2660	1994-10-31	PRIJEM	\N	324	109568	UROK	\N	\N
3448333	2660	1994-11-30	PRIJEM	\N	290	51228	UROK	\N	\N
3448334	2660	1994-12-31	PRIJEM	\N	286	74348	UROK	\N	\N
3448335	2660	1995-01-31	PRIJEM	\N	126	19444	UROK	\N	\N
3448336	2660	1995-02-28	PRIJEM	\N	33	3347	UROK	\N	\N
3448337	2660	1995-03-31	PRIJEM	\N	172	65342	UROK	\N	\N
3448338	2660	1995-04-30	PRIJEM	\N	210	30821	UROK	\N	\N
3448339	2660	1995-05-31	PRIJEM	\N	150	35760	UROK	\N	\N
3448340	2660	1995-06-30	PRIJEM	\N	63	7693	UROK	\N	\N
3448341	2660	1995-07-31	PRIJEM	\N	65	31168	UROK	\N	\N
3448342	2660	1995-07-31	VYDAJ	VYBER	8	31160	SANKC. UROK	\N	\N
3448343	2660	1995-08-31	PRIJEM	\N	103	38393	UROK	\N	\N
3448344	2660	1995-09-30	PRIJEM	\N	106	7769	UROK	\N	\N
3448345	2660	1995-10-31	PRIJEM	\N	10	-4851	UROK	\N	\N
3448346	2660	1995-10-31	VYDAJ	VYBER	34	-4915	SANKC. UROK	\N	\N
3448347	2660	1995-11-30	PRIJEM	\N	5	2447	UROK	\N	\N
3448348	2660	1995-11-30	VYDAJ	VYBER	23	2393	SANKC. UROK	\N	\N
3448349	2660	1995-12-31	PRIJEM	\N	12	22108	UROK	\N	\N
3448350	2660	1996-01-31	PRIJEM	\N	236	54286	UROK	\N	\N
3448351	2660	1996-02-29	PRIJEM	\N	60	8329	UROK	\N	\N
3448352	2660	1996-03-31	PRIJEM	\N	39	7391	UROK	\N	\N
3448353	2660	1996-04-30	PRIJEM	\N	45	3269	UROK	\N	\N
3448354	2660	1996-05-31	PRIJEM	\N	50	29541	UROK	\N	\N
3448355	2660	1996-05-31	VYDAJ	VYBER	41	29470	SANKC. UROK	\N	\N
3448356	2660	1996-06-30	PRIJEM	\N	107	87586	UROK	\N	\N
3448357	2660	1996-07-31	PRIJEM	\N	167	33223	UROK	\N	\N
3448358	2660	1996-08-31	PRIJEM	\N	203	36891	UROK	\N	\N
3448359	2660	1996-09-30	PRIJEM	\N	64	42920	UROK	\N	\N
3448360	2660	1996-10-31	PRIJEM	\N	193	59692	UROK	\N	\N
3448361	2660	1996-11-30	PRIJEM	\N	269	80725	UROK	\N	\N
3448362	2660	1996-12-31	PRIJEM	\N	338	41781	UROK	\N	\N
3448363	2660	1997-01-31	PRIJEM	\N	128	17201	UROK	\N	\N
3448364	2660	1997-02-28	PRIJEM	\N	71	5742	UROK	\N	\N
3448365	2660	1997-03-31	PRIJEM	\N	273	37849	UROK	\N	\N
3448366	2660	1997-04-30	PRIJEM	\N	209	37074	UROK	\N	\N
3448367	2660	1997-05-31	PRIJEM	\N	250	36402	UROK	\N	\N
3448368	2660	1997-06-30	PRIJEM	\N	275	22848	UROK	\N	\N
3448369	2660	1997-07-31	PRIJEM	\N	171	31639	UROK	\N	\N
3448370	2660	1997-08-31	PRIJEM	\N	317	49972	UROK	\N	\N
3448371	2660	1997-09-30	PRIJEM	\N	250	39541	UROK	\N	\N
3448372	2660	1997-10-31	PRIJEM	\N	242	40518	UROK	\N	\N
3448373	2660	1997-11-30	PRIJEM	\N	298	80780	UROK	\N	\N
3448374	2660	1997-12-31	PRIJEM	\N	253	36182	UROK	\N	\N
3448375	2660	1998-01-31	PRIJEM	\N	189	21000	UROK	\N	\N
3448376	2660	1998-02-28	PRIJEM	\N	184	59941	UROK	\N	\N
3448377	2660	1998-03-31	PRIJEM	\N	161	17799	UROK	\N	\N
3448378	2660	1998-04-30	PRIJEM	\N	80	17740	UROK	\N	\N
3448379	2660	1998-05-31	PRIJEM	\N	262	70597	UROK	\N	\N
3448380	2660	1998-06-30	PRIJEM	\N	196	13312	UROK	\N	\N
3448381	2660	1998-07-31	PRIJEM	\N	159	90194	UROK	\N	\N
3448382	2660	1998-08-31	PRIJEM	\N	274	40873	UROK	\N	\N
3448383	2660	1998-09-30	PRIJEM	\N	235	70295	UROK	\N	\N
3448384	2660	1998-10-31	PRIJEM	\N	301	58037	UROK	\N	\N
3448385	2660	1998-11-30	PRIJEM	\N	171	24822	UROK	\N	\N
3448386	2660	1998-12-31	PRIJEM	\N	190	27803	UROK	\N	\N
3448387	2680	1995-03-31	PRIJEM	\N	66	18167	UROK	\N	\N
3448388	2680	1995-04-30	PRIJEM	\N	150	38918	UROK	\N	\N
3448389	2680	1995-05-31	PRIJEM	\N	193	47511	UROK	\N	\N
3448390	2680	1995-06-30	PRIJEM	\N	253	62966	UROK	\N	\N
3448391	2680	1995-07-31	PRIJEM	\N	133	12052	UROK	\N	\N
3448392	2680	1995-08-31	PRIJEM	\N	82	35120	UROK	\N	\N
3448393	2680	1995-09-30	PRIJEM	\N	149	38055	UROK	\N	\N
3448394	2680	1995-10-31	PRIJEM	\N	160	41301	UROK	\N	\N
3448395	2680	1995-11-30	PRIJEM	\N	170	34510	UROK	\N	\N
3448396	2680	1995-12-31	PRIJEM	\N	162	31933	UROK	\N	\N
3448397	2680	1996-01-31	PRIJEM	\N	87	7160	UROK	\N	\N
3448398	2680	1996-02-29	PRIJEM	\N	54	23600	UROK	\N	\N
3448399	2680	1996-03-31	PRIJEM	\N	105	33491	UROK	\N	\N
3448400	2680	1996-04-30	PRIJEM	\N	138	28023	UROK	\N	\N
3448401	2680	1996-05-31	PRIJEM	\N	101	20417	UROK	\N	\N
3448402	2680	1996-06-30	PRIJEM	\N	91	19269	UROK	\N	\N
3448403	2680	1996-07-31	PRIJEM	\N	93	21669	UROK	\N	\N
3448404	2680	1996-08-31	PRIJEM	\N	86	10872	UROK	\N	\N
3448405	2680	1996-09-30	PRIJEM	\N	63	16592	UROK	\N	\N
3448406	2680	1996-10-31	PRIJEM	\N	68	13147	UROK	\N	\N
3448407	2680	1996-11-30	PRIJEM	\N	91	27625	UROK	\N	\N
3448408	2680	1996-12-31	PRIJEM	\N	142	35323	UROK	\N	\N
3448409	2680	1997-01-31	PRIJEM	\N	67	10464	UROK	\N	\N
3448410	2680	1997-01-31	VYDAJ	VYBER	5	10445	SANKC. UROK	\N	\N
3448411	2680	1997-02-28	PRIJEM	\N	66	30012	UROK	\N	\N
3448412	2680	1997-03-31	PRIJEM	\N	70	32067	UROK	\N	\N
3448413	2680	1997-04-30	PRIJEM	\N	146	41399	UROK	\N	\N
3448414	2680	1997-05-31	PRIJEM	\N	142	27963	UROK	\N	\N
3448415	2680	1997-06-30	PRIJEM	\N	138	32788	UROK	\N	\N
3448416	2680	1997-07-31	PRIJEM	\N	153	43326	UROK	\N	\N
3448417	2680	1997-08-31	PRIJEM	\N	192	50505	UROK	\N	\N
3448418	2680	1997-09-30	PRIJEM	\N	218	55209	UROK	\N	\N
3448419	2680	1997-10-31	PRIJEM	\N	243	63038	UROK	\N	\N
3448420	2680	1997-11-30	PRIJEM	\N	248	53241	UROK	\N	\N
3448421	2680	1997-12-31	PRIJEM	\N	178	22606	UROK	\N	\N
3448422	2680	1998-01-31	PRIJEM	\N	124	26017	UROK	\N	\N
3448423	2680	1998-02-28	PRIJEM	\N	115	22602	UROK	\N	\N
3448424	2680	1998-03-31	PRIJEM	\N	128	33816	UROK	\N	\N
3448425	2680	1998-04-30	PRIJEM	\N	164	40197	UROK	\N	\N
3448426	2680	1998-05-31	PRIJEM	\N	135	13684	UROK	\N	\N
3448427	2680	1998-06-30	PRIJEM	\N	96	16996	UROK	\N	\N
3448428	2680	1998-07-31	PRIJEM	\N	137	23748	UROK	\N	\N
3448429	2680	1998-08-31	PRIJEM	\N	87	13157	UROK	\N	\N
3448430	2680	1998-09-30	PRIJEM	\N	96	17841	UROK	\N	\N
3448431	2680	1998-10-31	PRIJEM	\N	108	15558	UROK	\N	\N
3448432	2680	1998-11-30	PRIJEM	\N	100	29245	UROK	\N	\N
3448433	2680	1998-12-31	PRIJEM	\N	182	48614	UROK	\N	\N
3448434	2794	1996-09-30	PRIJEM	\N	67	20956	UROK	\N	\N
3448435	2794	1996-10-31	PRIJEM	\N	122	31967	UROK	\N	\N
3448436	2794	1996-11-30	PRIJEM	\N	142	34898	UROK	\N	\N
3448437	2794	1996-12-31	PRIJEM	\N	173	43655	UROK	\N	\N
3448438	2794	1997-01-31	PRIJEM	\N	170	39294	UROK	\N	\N
3448439	2794	1997-02-28	PRIJEM	\N	158	38626	UROK	\N	\N
3448440	2794	1997-03-31	PRIJEM	\N	152	35952	UROK	\N	\N
3448441	2794	1997-04-30	PRIJEM	\N	144	34271	UROK	\N	\N
3448442	2794	1997-05-31	PRIJEM	\N	143	34588	UROK	\N	\N
3448443	2794	1997-06-30	PRIJEM	\N	125	8003	UROK	\N	\N
3448444	2794	1997-07-31	PRIJEM	\N	84	23761	UROK	\N	\N
3448445	2794	1997-08-31	PRIJEM	\N	125	31560	UROK	\N	\N
3448446	2794	1997-09-30	PRIJEM	\N	132	31967	UROK	\N	\N
3448447	2794	1997-10-31	PRIJEM	\N	135	32777	UROK	\N	\N
3448448	2794	1997-11-30	PRIJEM	\N	124	28695	UROK	\N	\N
3448449	2794	1997-12-31	PRIJEM	\N	121	30725	UROK	\N	\N
3448450	2794	1998-01-31	PRIJEM	\N	77	1117	UROK	\N	\N
3448451	2794	1998-02-28	PRIJEM	\N	19	8150	UROK	\N	\N
3448452	2794	1998-03-31	PRIJEM	\N	51	13575	UROK	\N	\N
3448453	2794	1998-04-30	PRIJEM	\N	54	14604	UROK	\N	\N
3448454	2794	1998-04-30	VYDAJ	VYBER	1	14603	SANKC. UROK	\N	\N
3448455	2794	1998-05-31	VYDAJ	VYBER	26	-1963	SANKC. UROK	\N	\N
3448456	2794	1998-06-30	PRIJEM	\N	26	3168	UROK	\N	\N
3448457	2794	1998-06-30	VYDAJ	VYBER	8	3159	SANKC. UROK	\N	\N
3448458	2794	1998-07-31	PRIJEM	\N	37	1851	UROK	\N	\N
3448459	2794	1998-08-31	PRIJEM	\N	6	-2569	UROK	\N	\N
3448460	2794	1998-08-31	VYDAJ	VYBER	4	-2587	SANKC. UROK	\N	\N
3448461	2794	1998-09-30	VYDAJ	VYBER	28	-2440	SANKC. UROK	\N	\N
3448462	2794	1998-10-31	PRIJEM	\N	8	-2844	UROK	\N	\N
3448463	2794	1998-10-31	VYDAJ	VYBER	21	-2879	SANKC. UROK	\N	\N
3448464	2794	1998-11-30	VYDAJ	VYBER	40	-8331	SANKC. UROK	\N	\N
3448465	2794	1998-12-31	PRIJEM	\N	17	6771	UROK	\N	\N
3448466	2794	1998-12-31	VYDAJ	VYBER	30	6741	SANKC. UROK	\N	\N
3448467	2904	1996-04-30	PRIJEM	\N	31	18477	UROK	\N	\N
3448468	2904	1996-05-31	PRIJEM	\N	98	30420	UROK	\N	\N
3448469	2904	1996-06-30	PRIJEM	\N	139	37478	UROK	\N	\N
3448470	2904	1996-07-31	PRIJEM	\N	159	39183	UROK	\N	\N
3448471	2904	1996-08-31	PRIJEM	\N	160	37689	UROK	\N	\N
3448472	2904	1996-09-30	PRIJEM	\N	158	36679	UROK	\N	\N
3448473	2904	1996-10-31	PRIJEM	\N	158	39068	UROK	\N	\N
3448474	2904	1996-11-30	PRIJEM	\N	167	40966	UROK	\N	\N
3448475	2904	1996-12-31	PRIJEM	\N	135	17205	UROK	\N	\N
3448476	2904	1997-01-31	PRIJEM	\N	42	-2323	UROK	\N	\N
3448477	2904	1997-01-31	VYDAJ	VYBER	6	-2343	SANKC. UROK	\N	\N
3448478	2904	1997-02-28	PRIJEM	\N	63	28166	UROK	\N	\N
3448479	2904	1997-02-28	VYDAJ	VYBER	11	28140	SANKC. UROK	\N	\N
3448480	2904	1997-03-31	PRIJEM	\N	99	12837	UROK	\N	\N
3448481	2904	1997-04-30	PRIJEM	\N	63	13382	UROK	\N	\N
3448482	2904	1997-05-31	PRIJEM	\N	64	31777	UROK	\N	\N
3448483	2904	1997-06-30	PRIJEM	\N	153	36816	UROK	\N	\N
3448484	2904	1997-07-31	PRIJEM	\N	177	47024	UROK	\N	\N
3448485	2904	1997-08-31	PRIJEM	\N	191	46840	UROK	\N	\N
3448486	2904	1997-09-30	PRIJEM	\N	204	52776	UROK	\N	\N
3448487	2904	1997-10-31	PRIJEM	\N	136	11934	UROK	\N	\N
3448488	2904	1997-11-30	PRIJEM	\N	122	42787	UROK	\N	\N
3448489	2904	1997-12-31	PRIJEM	\N	214	59606	UROK	\N	\N
3448490	2904	1998-01-31	PRIJEM	\N	170	34008	UROK	\N	\N
3448491	2904	1998-02-28	PRIJEM	\N	183	52621	UROK	\N	\N
3448492	2904	1998-03-31	PRIJEM	\N	238	49376	UROK	\N	\N
3448493	2904	1998-04-30	PRIJEM	\N	230	59937	UROK	\N	\N
3448494	2904	1998-05-31	PRIJEM	\N	272	69540	UROK	\N	\N
3448495	2904	1998-06-30	PRIJEM	\N	225	41042	UROK	\N	\N
3448496	2904	1998-07-31	PRIJEM	\N	175	45032	UROK	\N	\N
3448497	2904	1998-08-31	PRIJEM	\N	208	54071	UROK	\N	\N
3448498	2904	1998-09-30	PRIJEM	\N	247	63750	UROK	\N	\N
3448499	2904	1998-10-31	PRIJEM	\N	257	53138	UROK	\N	\N
3448500	2904	1998-11-30	PRIJEM	\N	220	57190	UROK	\N	\N
3448501	2904	1998-12-31	PRIJEM	\N	251	69246	UROK	\N	\N
3448502	2959	1994-04-30	PRIJEM	\N	24	34605	UROK	\N	\N
3448503	2959	1994-05-31	PRIJEM	\N	213	43498	UROK	\N	\N
3448504	2959	1994-06-30	PRIJEM	\N	200	78959	UROK	\N	\N
3448505	2959	1994-07-31	PRIJEM	\N	360	75370	UROK	\N	\N
3448506	2959	1994-08-31	PRIJEM	\N	269	106961	UROK	\N	\N
3448507	2959	1994-09-30	PRIJEM	\N	174	26497	UROK	\N	\N
3448508	2959	1994-10-31	PRIJEM	\N	216	39342	UROK	\N	\N
3448509	2959	1994-11-30	PRIJEM	\N	214	56467	UROK	\N	\N
3448510	2959	1994-12-31	PRIJEM	\N	241	49431	UROK	\N	\N
3448511	2959	1995-01-31	PRIJEM	\N	136	30817	UROK	\N	\N
3448512	2959	1995-02-28	PRIJEM	\N	260	80873	UROK	\N	\N
3448513	2959	1995-03-31	PRIJEM	\N	299	49755	UROK	\N	\N
3448514	2959	1995-04-30	PRIJEM	\N	211	33626	UROK	\N	\N
3448515	2959	1995-05-31	PRIJEM	\N	226	58746	UROK	\N	\N
3448516	2959	1995-06-30	PRIJEM	\N	191	48531	UROK	\N	\N
3448517	2959	1995-07-31	PRIJEM	\N	201	32817	UROK	\N	\N
3448518	2959	1995-08-31	PRIJEM	\N	136	27239	UROK	\N	\N
3448519	2959	1995-09-30	PRIJEM	\N	126	27120	UROK	\N	\N
3448520	2959	1995-10-31	PRIJEM	\N	220	52485	UROK	\N	\N
3448521	2959	1995-11-30	PRIJEM	\N	265	50558	UROK	\N	\N
3448522	2959	1995-12-31	PRIJEM	\N	196	40813	UROK	\N	\N
3448523	2959	1996-01-31	PRIJEM	\N	243	35786	UROK	\N	\N
3448524	2959	1996-02-29	PRIJEM	\N	163	48596	UROK	\N	\N
3448525	2959	1996-03-31	PRIJEM	\N	195	34228	UROK	\N	\N
3448526	2959	1996-04-30	PRIJEM	\N	286	73790	UROK	\N	\N
3448527	2959	1996-05-31	PRIJEM	\N	294	50891	UROK	\N	\N
3448528	2959	1996-06-30	PRIJEM	\N	177	73311	UROK	\N	\N
3448529	2959	1996-07-31	PRIJEM	\N	218	26364	UROK	\N	\N
3448530	2959	1996-08-31	PRIJEM	\N	184	74653	UROK	\N	\N
3448531	2959	1996-09-30	PRIJEM	\N	366	53266	UROK	\N	\N
3448532	2959	1996-10-31	PRIJEM	\N	278	73204	UROK	\N	\N
3448533	2959	1996-11-30	PRIJEM	\N	299	41288	UROK	\N	\N
3448534	2959	1996-12-31	PRIJEM	\N	95	27873	UROK	\N	\N
3448535	2959	1997-01-31	PRIJEM	\N	55	5613	UROK	\N	\N
3448536	2959	1997-02-28	PRIJEM	\N	137	95868	UROK	\N	\N
3448537	2959	1997-03-31	PRIJEM	\N	306	79933	UROK	\N	\N
3448538	2959	1997-04-30	PRIJEM	\N	301	87601	UROK	\N	\N
3448539	2959	1997-05-31	PRIJEM	\N	271	56766	UROK	\N	\N
3448540	2959	1997-06-30	PRIJEM	\N	231	31383	UROK	\N	\N
3448541	2959	1997-07-31	PRIJEM	\N	257	103508	UROK	\N	\N
3448542	2959	1997-08-31	PRIJEM	\N	441	117255	UROK	\N	\N
3448543	2959	1997-09-30	PRIJEM	\N	332	55067	UROK	\N	\N
3448544	2959	1997-10-31	PRIJEM	\N	185	39957	UROK	\N	\N
3448545	2959	1997-11-30	PRIJEM	\N	159	28022	UROK	\N	\N
3448546	2959	1997-12-31	PRIJEM	\N	137	33118	UROK	\N	\N
3448547	2959	1998-01-31	PRIJEM	\N	47	21709	UROK	\N	\N
3448548	2959	1998-02-28	PRIJEM	\N	63	5078	UROK	\N	\N
3448549	2959	1998-03-31	PRIJEM	\N	18	-3819	UROK	\N	\N
3448550	2959	1998-04-30	PRIJEM	\N	18	-4901	UROK	\N	\N
3448551	2959	1998-05-31	PRIJEM	\N	18	-5483	UROK	\N	\N
3448552	2959	1998-06-30	PRIJEM	\N	18	-9265	UROK	\N	\N
3448553	2959	1998-07-31	PRIJEM	\N	18	-7647	UROK	\N	\N
3448554	2959	1998-08-31	PRIJEM	\N	18	-8630	UROK	\N	\N
3448555	2959	1998-09-30	PRIJEM	\N	18	-9212	UROK	\N	\N
3448556	2959	1998-10-31	PRIJEM	\N	42	20444	UROK	\N	\N
3448557	2959	1998-11-30	PRIJEM	\N	77	3907	UROK	\N	\N
3448558	2959	1998-12-31	PRIJEM	\N	166	47335	UROK	\N	\N
3448559	2995	1996-12-31	PRIJEM	\N	53	35545	UROK	\N	\N
3448560	2995	1997-01-31	PRIJEM	\N	148	26392	UROK	\N	\N
3448561	2995	1997-02-28	PRIJEM	\N	148	21540	UROK	\N	\N
3448562	2995	1997-03-31	PRIJEM	\N	148	20388	UROK	\N	\N
3448563	2995	1997-04-30	PRIJEM	\N	148	24436	UROK	\N	\N
3448564	2995	1997-05-31	PRIJEM	\N	148	26784	UROK	\N	\N
3448565	2995	1997-06-30	PRIJEM	\N	148	26632	UROK	\N	\N
3448566	2995	1997-07-31	PRIJEM	\N	148	28980	UROK	\N	\N
3448567	2995	1997-08-31	PRIJEM	\N	148	27028	UROK	\N	\N
3448568	2995	1997-09-30	PRIJEM	\N	144	30957	UROK	\N	\N
3448569	2995	1997-10-31	PRIJEM	\N	128	28585	UROK	\N	\N
3448570	2995	1997-11-30	PRIJEM	\N	128	29113	UROK	\N	\N
3448571	2995	1997-12-31	PRIJEM	\N	128	32942	UROK	\N	\N
3448572	2995	1998-01-31	PRIJEM	\N	128	34570	UROK	\N	\N
3448573	2995	1998-02-28	PRIJEM	\N	128	37898	UROK	\N	\N
3448574	2995	1998-03-31	PRIJEM	\N	224	61937	UROK	\N	\N
3448575	2995	1998-04-30	PRIJEM	\N	273	67469	UROK	\N	\N
3448576	2995	1998-05-31	PRIJEM	\N	178	23616	UROK	\N	\N
3448577	2995	1998-06-30	PRIJEM	\N	93	4811	UROK	\N	\N
3448578	2995	1998-07-31	PRIJEM	\N	20	9816	UROK	\N	\N
3448579	2995	1998-08-31	PRIJEM	\N	24	1925	UROK	\N	\N
3448580	2995	1998-09-30	PRIJEM	\N	5	4406	UROK	\N	\N
3448581	2995	1998-09-30	VYDAJ	VYBER	19	4372	SANKC. UROK	\N	\N
3448582	2995	1998-10-31	PRIJEM	\N	13	2385	UROK	\N	\N
3448583	2995	1998-11-30	PRIJEM	\N	3	-326	UROK	\N	\N
3448584	2995	1998-11-30	VYDAJ	VYBER	2	-329	SANKC. UROK	\N	\N
3448585	2995	1998-12-31	VYDAJ	VYBER	41	-5285	SANKC. UROK	\N	\N
3448586	3018	1997-01-31	PRIJEM	\N	61	23849	UROK	\N	\N
3448587	3018	1997-02-28	PRIJEM	\N	99	21548	UROK	\N	\N
3448588	3018	1997-03-31	PRIJEM	\N	159	83017	UROK	\N	\N
3448589	3018	1997-04-30	PRIJEM	\N	341	92115	UROK	\N	\N
3448590	3018	1997-05-31	PRIJEM	\N	411	112767	UROK	\N	\N
3448591	3018	1997-06-30	PRIJEM	\N	172	50246	UROK	\N	\N
3448592	3018	1997-07-31	PRIJEM	\N	340	78999	UROK	\N	\N
3448593	3018	1997-08-31	PRIJEM	\N	363	64336	UROK	\N	\N
3448594	3018	1997-09-30	PRIJEM	\N	316	54017	UROK	\N	\N
3448595	3018	1997-10-31	PRIJEM	\N	153	22612	UROK	\N	\N
3448596	3018	1997-11-30	PRIJEM	\N	92	19089	UROK	\N	\N
3448597	3018	1997-12-31	PRIJEM	\N	107	38704	UROK	\N	\N
3448598	3018	1998-01-31	PRIJEM	\N	78	12934	UROK	\N	\N
3448599	3018	1998-01-31	VYDAJ	VYBER	2	12932	SANKC. UROK	\N	\N
3448600	3018	1998-02-28	PRIJEM	\N	54	14071	UROK	\N	\N
3448601	3018	1998-03-31	PRIJEM	\N	17	3154	UROK	\N	\N
3448602	3018	1998-03-31	VYDAJ	VYBER	9	3146	SANKC. UROK	\N	\N
3448603	3018	1998-04-30	PRIJEM	\N	14	6245	UROK	\N	\N
3448604	3018	1998-05-31	PRIJEM	\N	43	32917	UROK	\N	\N
3448605	3018	1998-06-30	PRIJEM	\N	45	14084	UROK	\N	\N
3448606	3018	1998-07-31	PRIJEM	\N	59	17828	UROK	\N	\N
3448607	3018	1998-08-31	PRIJEM	\N	74	19788	UROK	\N	\N
3448608	3018	1998-09-30	PRIJEM	\N	79	17452	UROK	\N	\N
3448609	3018	1998-10-31	PRIJEM	\N	88	10030	UROK	\N	\N
3448610	3018	1998-11-30	PRIJEM	\N	44	12497	UROK	\N	\N
3448611	3037	1994-07-31	PRIJEM	\N	24	25832	UROK	\N	\N
3448612	3037	1994-08-31	PRIJEM	\N	108	27640	UROK	\N	\N
3448613	3037	1994-09-30	PRIJEM	\N	108	27547	UROK	\N	\N
3448614	3037	1994-10-31	PRIJEM	\N	124	39354	UROK	\N	\N
3448615	3037	1994-11-30	PRIJEM	\N	185	86877	UROK	\N	\N
3448616	3037	1994-12-31	PRIJEM	\N	361	54338	UROK	\N	\N
3448617	3037	1995-01-31	PRIJEM	\N	204	19998	UROK	\N	\N
3448618	3037	1995-02-28	PRIJEM	\N	345	98244	UROK	\N	\N
3448619	3037	1995-03-31	PRIJEM	\N	294	49323	UROK	\N	\N
3448620	3037	1995-04-30	PRIJEM	\N	189	32391	UROK	\N	\N
3448621	3037	1995-05-31	PRIJEM	\N	90	9666	UROK	\N	\N
3448622	3037	1995-06-30	PRIJEM	\N	138	29865	UROK	\N	\N
3448623	3037	1995-07-31	PRIJEM	\N	143	27842	UROK	\N	\N
3448624	3037	1995-08-31	PRIJEM	\N	231	84920	UROK	\N	\N
3448625	3037	1995-09-30	PRIJEM	\N	302	70449	UROK	\N	\N
3448626	3037	1995-10-31	PRIJEM	\N	240	41375	UROK	\N	\N
3448627	3037	1995-11-30	PRIJEM	\N	165	38209	UROK	\N	\N
3448628	3037	1995-12-31	PRIJEM	\N	113	12407	UROK	\N	\N
3448629	3037	1996-01-31	PRIJEM	\N	51	3643	UROK	\N	\N
3448630	3037	1996-02-29	PRIJEM	\N	15	3643	UROK	\N	\N
3448631	3037	1996-04-30	PRIJEM	\N	16	11646	UROK	\N	\N
3448632	3037	1996-04-30	PRIJEM	\N	16	11630	UROK	\N	\N
3448633	3037	1996-05-31	PRIJEM	\N	47	4978	UROK	\N	\N
3448634	3037	1996-06-30	PRIJEM	\N	20	-1516	UROK	\N	\N
3448635	3037	1996-06-30	VYDAJ	VYBER	1	-1532	SANKC. UROK	\N	\N
3448636	3037	1996-07-31	VYDAJ	VYBER	16	-1562	SANKC. UROK	\N	\N
3448637	3037	1996-08-31	PRIJEM	\N	2	13140	UROK	\N	\N
3448638	3037	1996-08-31	VYDAJ	VYBER	16	13124	SANKC. UROK	\N	\N
3448639	3037	1996-09-30	PRIJEM	\N	55	13464	UROK	\N	\N
3448640	3037	1996-10-31	PRIJEM	\N	58	14307	UROK	\N	\N
3448641	3037	1996-11-30	PRIJEM	\N	44	8418	UROK	\N	\N
3448642	3037	1996-12-31	PRIJEM	\N	23	3907	UROK	\N	\N
3448643	3037	1997-01-31	PRIJEM	\N	41	12455	UROK	\N	\N
3448644	3037	1997-02-28	PRIJEM	\N	81	21251	UROK	\N	\N
3448645	3037	1997-03-31	PRIJEM	\N	107	36348	UROK	\N	\N
3448646	3037	1997-04-30	PRIJEM	\N	76	4086	UROK	\N	\N
3448647	3037	1997-05-31	PRIJEM	\N	39	24491	UROK	\N	\N
3448648	3037	1997-06-30	PRIJEM	\N	181	39511	UROK	\N	\N
3448649	3037	1997-07-31	PRIJEM	\N	129	29908	UROK	\N	\N
3448650	3037	1997-08-31	PRIJEM	\N	241	58105	UROK	\N	\N
3448651	3037	1997-09-30	PRIJEM	\N	220	56004	UROK	\N	\N
3448652	3037	1997-10-31	PRIJEM	\N	113	18725	UROK	\N	\N
3448653	3037	1997-11-30	PRIJEM	\N	114	47067	UROK	\N	\N
3448654	3037	1997-12-31	PRIJEM	\N	135	55965	UROK	\N	\N
3448655	3037	1998-01-31	PRIJEM	\N	96	15627	UROK	\N	\N
3448656	3037	1998-02-28	PRIJEM	\N	63	8275	UROK	\N	\N
3448657	3037	1998-03-31	PRIJEM	\N	32	2293	UROK	\N	\N
3448658	3037	1998-04-30	PRIJEM	\N	8	2287	UROK	\N	\N
3448659	3037	1998-05-31	PRIJEM	\N	14	42729	UROK	\N	\N
3448660	3037	1998-06-30	PRIJEM	\N	61	9757	UROK	\N	\N
3448661	3037	1998-07-31	PRIJEM	\N	49	6028	UROK	\N	\N
3448662	3037	1998-09-30	PRIJEM	\N	24	6023	UROK	\N	\N
3448663	3037	1998-09-30	PRIJEM	\N	23	6047	UROK	\N	\N
3448664	3037	1998-11-30	PRIJEM	\N	24	6042	UROK	\N	\N
3448665	3074	1994-11-30	PRIJEM	\N	167	96450	UROK	\N	\N
3448666	3074	1994-12-31	PRIJEM	\N	386	80852	UROK	\N	\N
3448667	3074	1995-01-31	PRIJEM	\N	181	21523	UROK	\N	\N
3448668	3074	1995-02-28	PRIJEM	\N	30	-367	UROK	\N	\N
3448669	3074	1995-02-28	VYDAJ	VYBER	2	-399	SANKC. UROK	\N	\N
3448670	3074	1995-03-31	PRIJEM	\N	77	71822	UROK	\N	\N
3448671	3074	1995-03-31	VYDAJ	VYBER	2	71820	SANKC. UROK	\N	\N
3448672	3074	1995-04-30	PRIJEM	\N	296	48286	UROK	\N	\N
3448673	3074	1995-05-31	PRIJEM	\N	153	25668	UROK	\N	\N
3448674	3074	1995-06-30	PRIJEM	\N	148	28387	UROK	\N	\N
3448675	3074	1995-07-31	PRIJEM	\N	63	13222	UROK	\N	\N
3448676	3074	1995-08-31	PRIJEM	\N	56	19348	UROK	\N	\N
3448677	3074	1995-09-30	PRIJEM	\N	80	18298	UROK	\N	\N
3448678	3074	1995-10-31	PRIJEM	\N	54	6614	UROK	\N	\N
3448679	3074	1995-11-30	PRIJEM	\N	15	469	UROK	\N	\N
3448680	3074	1995-12-31	PRIJEM	\N	185	74619	UROK	\N	\N
3448681	3074	1995-12-31	VYDAJ	VYBER	0	74589	SANKC. UROK	\N	\N
3448682	3074	1996-01-31	PRIJEM	\N	104	3093	UROK	\N	\N
3448683	3074	1996-02-29	PRIJEM	\N	120	80672	UROK	\N	\N
3448684	3074	1996-03-31	PRIJEM	\N	323	74653	UROK	\N	\N
3448685	3074	1996-04-30	PRIJEM	\N	384	62932	UROK	\N	\N
3448686	3074	1996-05-31	PRIJEM	\N	226	35933	UROK	\N	\N
3448687	3074	1996-06-30	PRIJEM	\N	221	52418	UROK	\N	\N
3448688	3074	1996-07-31	PRIJEM	\N	303	53653	UROK	\N	\N
3448689	3074	1996-08-31	PRIJEM	\N	221	44645	UROK	\N	\N
3448690	3074	1996-09-30	PRIJEM	\N	153	24267	UROK	\N	\N
3448691	3074	1996-10-31	PRIJEM	\N	117	49115	UROK	\N	\N
3448692	3074	1996-11-30	PRIJEM	\N	200	44078	UROK	\N	\N
3448693	3074	1996-12-31	PRIJEM	\N	179	29927	UROK	\N	\N
3448694	3074	1997-01-31	PRIJEM	\N	67	12064	UROK	\N	\N
3448695	3074	1997-02-28	PRIJEM	\N	236	51507	UROK	\N	\N
3448696	3074	1997-03-31	PRIJEM	\N	220	59825	UROK	\N	\N
3448697	3074	1997-04-30	PRIJEM	\N	304	55505	UROK	\N	\N
3448698	3074	1997-05-31	PRIJEM	\N	212	36386	UROK	\N	\N
3448699	3074	1997-06-30	PRIJEM	\N	127	72516	UROK	\N	\N
3448700	3074	1997-07-31	PRIJEM	\N	311	52238	UROK	\N	\N
3448701	3074	1997-08-31	PRIJEM	\N	291	90060	UROK	\N	\N
3448702	3074	1997-09-30	PRIJEM	\N	363	45091	UROK	\N	\N
3448703	3074	1997-10-31	PRIJEM	\N	184	34645	UROK	\N	\N
3448704	3074	1997-11-30	PRIJEM	\N	200	54719	UROK	\N	\N
3448705	3074	1997-12-31	PRIJEM	\N	252	52733	UROK	\N	\N
3448706	3074	1998-01-31	PRIJEM	\N	209	24401	UROK	\N	\N
3448707	3074	1998-02-28	PRIJEM	\N	79	9480	UROK	\N	\N
3448708	3074	1998-03-31	PRIJEM	\N	46	15395	UROK	\N	\N
3448709	3074	1998-04-30	PRIJEM	\N	140	57639	UROK	\N	\N
3448710	3074	1998-05-31	PRIJEM	\N	205	28564	UROK	\N	\N
3448711	3074	1998-06-30	PRIJEM	\N	99	17400	UROK	\N	\N
3448712	3074	1998-07-31	PRIJEM	\N	102	75250	UROK	\N	\N
3448713	3074	1998-08-31	PRIJEM	\N	239	54754	UROK	\N	\N
3448714	3074	1998-09-30	PRIJEM	\N	256	39674	UROK	\N	\N
3448715	3074	1998-10-31	PRIJEM	\N	254	98129	UROK	\N	\N
3448716	3074	1998-11-30	PRIJEM	\N	389	87684	UROK	\N	\N
3448717	3074	1998-12-31	PRIJEM	\N	269	33723	UROK	\N	\N
3448718	3084	1996-02-29	PRIJEM	\N	13	31179	UROK	\N	\N
3448719	3084	1996-03-31	PRIJEM	\N	130	29209	UROK	\N	\N
3448720	3084	1996-04-30	PRIJEM	\N	136	42202	UROK	\N	\N
3448721	3084	1996-05-31	PRIJEM	\N	225	54269	UROK	\N	\N
3448722	3084	1996-06-30	PRIJEM	\N	174	21787	UROK	\N	\N
3448723	3084	1996-07-31	PRIJEM	\N	92	23348	UROK	\N	\N
3448724	3084	1996-08-31	PRIJEM	\N	74	13392	UROK	\N	\N
3448725	3084	1996-09-30	PRIJEM	\N	50	3012	UROK	\N	\N
3448726	3084	1996-10-31	PRIJEM	\N	14	12996	UROK	\N	\N
3448727	3084	1996-11-30	PRIJEM	\N	35	13559	UROK	\N	\N
3448728	3084	1996-11-30	VYDAJ	VYBER	18	13510	SANKC. UROK	\N	\N
3448729	3084	1996-12-31	PRIJEM	\N	36	12904	UROK	\N	\N
3448730	3084	1996-12-31	VYDAJ	VYBER	1	12873	SANKC. UROK	\N	\N
3448731	3084	1997-01-31	PRIJEM	\N	34	7764	UROK	\N	\N
3448732	3084	1997-01-31	VYDAJ	VYBER	6	7729	SANKC. UROK	\N	\N
3448733	3084	1997-02-28	PRIJEM	\N	41	14928	UROK	\N	\N
3448734	3084	1997-03-31	PRIJEM	\N	63	15060	UROK	\N	\N
3448735	3084	1997-04-30	PRIJEM	\N	47	16235	UROK	\N	\N
3448736	3084	1997-05-31	PRIJEM	\N	71	18676	UROK	\N	\N
3448737	3084	1997-06-30	PRIJEM	\N	113	26936	UROK	\N	\N
3448738	3084	1997-07-31	PRIJEM	\N	81	13844	UROK	\N	\N
3448739	3084	1997-08-31	PRIJEM	\N	68	20141	UROK	\N	\N
3448740	3084	1997-09-30	PRIJEM	\N	66	19035	UROK	\N	\N
3448741	3084	1997-10-31	PRIJEM	\N	117	52993	UROK	\N	\N
3448742	3084	1997-11-30	PRIJEM	\N	156	25277	UROK	\N	\N
3448743	3084	1997-12-31	PRIJEM	\N	104	24309	UROK	\N	\N
3448744	3084	1998-01-31	PRIJEM	\N	71	10308	UROK	\N	\N
3448745	3084	1998-02-28	PRIJEM	\N	58	18195	UROK	\N	\N
3448746	3084	1998-03-31	PRIJEM	\N	221	57089	UROK	\N	\N
3448747	3084	1998-04-30	PRIJEM	\N	146	30085	UROK	\N	\N
3448748	3084	1998-05-31	PRIJEM	\N	173	80729	UROK	\N	\N
3448749	3084	1998-06-30	PRIJEM	\N	263	39646	UROK	\N	\N
3448750	3084	1998-07-31	PRIJEM	\N	216	68167	UROK	\N	\N
3448751	3084	1998-08-31	PRIJEM	\N	187	23281	UROK	\N	\N
3448752	3084	1998-09-30	PRIJEM	\N	93	21802	UROK	\N	\N
3448753	3084	1998-10-31	PRIJEM	\N	133	52780	UROK	\N	\N
3448754	3084	1998-11-30	PRIJEM	\N	254	38098	UROK	\N	\N
3448755	3084	1998-12-31	PRIJEM	\N	136	69241	UROK	\N	\N
3448756	3109	1995-05-31	PRIJEM	\N	53	20557	UROK	\N	\N
3448757	3109	1995-06-30	PRIJEM	\N	164	46527	UROK	\N	\N
3448758	3109	1995-07-31	PRIJEM	\N	214	53045	UROK	\N	\N
3448759	3109	1995-08-31	PRIJEM	\N	223	53772	UROK	\N	\N
3448760	3109	1995-09-30	PRIJEM	\N	222	53398	UROK	\N	\N
3448761	3109	1995-10-31	PRIJEM	\N	165	36174	UROK	\N	\N
3448762	3109	1995-11-30	PRIJEM	\N	184	45548	UROK	\N	\N
3448763	3109	1995-12-31	PRIJEM	\N	211	45087	UROK	\N	\N
3448764	3109	1996-01-31	PRIJEM	\N	127	14604	UROK	\N	\N
3448765	3109	1996-02-29	PRIJEM	\N	50	14454	UROK	\N	\N
3448766	3109	1996-02-29	VYDAJ	VYBER	2	14437	SANKC. UROK	\N	\N
3448767	3109	1996-03-31	PRIJEM	\N	84	21920	UROK	\N	\N
3448768	3109	1996-04-30	PRIJEM	\N	137	36647	UROK	\N	\N
3448769	3109	1996-05-31	PRIJEM	\N	184	38425	UROK	\N	\N
3448770	3109	1996-06-30	PRIJEM	\N	136	24384	UROK	\N	\N
3448771	3109	1996-07-31	PRIJEM	\N	92	16651	UROK	\N	\N
3448772	3109	1996-08-31	PRIJEM	\N	98	33039	UROK	\N	\N
3448773	3109	1996-09-30	PRIJEM	\N	72	17251	UROK	\N	\N
3448774	3109	1996-10-31	PRIJEM	\N	72	22557	UROK	\N	\N
3448775	3109	1996-11-30	PRIJEM	\N	102	40448	UROK	\N	\N
3448776	3109	1996-12-31	PRIJEM	\N	222	42256	UROK	\N	\N
3448777	3109	1997-01-31	PRIJEM	\N	117	20962	UROK	\N	\N
3448778	3109	1997-02-28	PRIJEM	\N	94	35645	UROK	\N	\N
3448779	3109	1997-03-31	PRIJEM	\N	155	37790	UROK	\N	\N
3448780	3109	1997-04-30	PRIJEM	\N	146	33937	UROK	\N	\N
3448781	3109	1997-05-31	PRIJEM	\N	152	35349	UROK	\N	\N
3448782	3109	1997-06-30	PRIJEM	\N	140	24980	UROK	\N	\N
3448783	3109	1997-07-31	PRIJEM	\N	113	14020	UROK	\N	\N
3448784	3109	1997-08-31	PRIJEM	\N	76	33586	UROK	\N	\N
3448785	3109	1997-09-30	PRIJEM	\N	149	32324	UROK	\N	\N
3448786	3109	1997-10-31	PRIJEM	\N	110	24367	UROK	\N	\N
3448787	3109	1997-11-30	PRIJEM	\N	118	30413	UROK	\N	\N
3448788	3109	1997-12-31	PRIJEM	\N	126	26939	UROK	\N	\N
3448789	3109	1998-01-31	PRIJEM	\N	34	6572	UROK	\N	\N
3448790	3109	1998-01-31	VYDAJ	VYBER	0	6557	SANKC. UROK	\N	\N
3448791	3109	1998-02-28	PRIJEM	\N	38	16199	UROK	\N	\N
3448792	3109	1998-03-31	PRIJEM	\N	45	9501	UROK	\N	\N
3448793	3109	1998-04-30	PRIJEM	\N	43	10233	UROK	\N	\N
3448794	3109	1998-05-31	PRIJEM	\N	57	10449	UROK	\N	\N
3448795	3109	1998-06-30	PRIJEM	\N	53	18093	UROK	\N	\N
3448796	3109	1998-07-31	PRIJEM	\N	68	1158	UROK	\N	\N
3448797	3109	1998-08-31	PRIJEM	\N	3	951	UROK	\N	\N
3448798	3109	1998-09-30	PRIJEM	\N	4	1844	UROK	\N	\N
3448799	3109	1998-10-31	PRIJEM	\N	6	-6257	UROK	\N	\N
3448800	3109	1998-10-31	VYDAJ	VYBER	28	-6285	SANKC. UROK	\N	\N
3448801	3109	1998-11-30	VYDAJ	VYBER	58	-4439	SANKC. UROK	\N	\N
3448802	3109	1998-12-31	PRIJEM	\N	1	-4259	UROK	\N	\N
3448803	3109	1998-12-31	VYDAJ	VYBER	43	-4302	SANKC. UROK	\N	\N
3448804	3166	1993-10-31	PRIJEM	\N	169	55814	UROK	\N	\N
3448805	3166	1993-11-30	PRIJEM	\N	306	89734	UROK	\N	\N
3448806	3166	1993-12-31	PRIJEM	\N	266	37729	UROK	\N	\N
3448807	3166	1994-01-31	PRIJEM	\N	83	-2403	UROK	\N	\N
3448808	3166	1994-01-31	VYDAJ	VYBER	3	-2406	SANKC. UROK	\N	\N
3448809	3166	1994-02-28	PRIJEM	\N	10	14569	UROK	\N	\N
3448810	3166	1994-02-28	VYDAJ	VYBER	19	14550	SANKC. UROK	\N	\N
3448811	3166	1994-03-31	PRIJEM	\N	49	5184	UROK	\N	\N
3448812	3166	1994-04-30	PRIJEM	\N	80	15177	UROK	\N	\N
3448813	3166	1994-05-31	PRIJEM	\N	98	3266	UROK	\N	\N
3448814	3166	1994-06-30	PRIJEM	\N	139	18447	UROK	\N	\N
3448815	3166	1994-07-31	PRIJEM	\N	129	32418	UROK	\N	\N
3448816	3166	1994-08-31	PRIJEM	\N	111	25814	UROK	\N	\N
3448817	3166	1994-09-30	PRIJEM	\N	93	21193	UROK	\N	\N
3448818	3166	1994-10-31	PRIJEM	\N	147	47997	UROK	\N	\N
3448819	3166	1994-11-30	PRIJEM	\N	97	13525	UROK	\N	\N
3448820	3166	1994-12-31	PRIJEM	\N	35	2845	UROK	\N	\N
3448821	3166	1995-01-31	PRIJEM	\N	46	-2002	UROK	\N	\N
3448822	3166	1995-01-31	VYDAJ	VYBER	6	-2009	SANKC. UROK	\N	\N
3448823	3166	1995-02-28	PRIJEM	\N	69	20013	UROK	\N	\N
3448824	3166	1995-02-28	VYDAJ	VYBER	2	19997	SANKC. UROK	\N	\N
3448825	3166	1995-03-31	PRIJEM	\N	38	4991	UROK	\N	\N
3448826	3166	1995-04-30	PRIJEM	\N	150	36033	UROK	\N	\N
3448827	3166	1995-05-31	PRIJEM	\N	209	79572	UROK	\N	\N
3448828	3166	1995-06-30	PRIJEM	\N	113	4989	UROK	\N	\N
3448829	3166	1995-07-31	PRIJEM	\N	142	60675	UROK	\N	\N
3448830	3166	1995-08-31	PRIJEM	\N	227	66390	UROK	\N	\N
3448831	3166	1995-09-30	PRIJEM	\N	296	55228	UROK	\N	\N
3448832	3166	1995-10-31	PRIJEM	\N	191	45037	UROK	\N	\N
3448833	3166	1995-11-30	PRIJEM	\N	173	35592	UROK	\N	\N
3448834	3166	1995-12-31	PRIJEM	\N	91	24411	UROK	\N	\N
3448835	3166	1996-01-31	PRIJEM	\N	37	20134	UROK	\N	\N
3448836	3166	1996-02-29	PRIJEM	\N	298	73226	UROK	\N	\N
3448837	3166	1996-03-31	PRIJEM	\N	320	52459	UROK	\N	\N
3448838	3166	1996-04-30	PRIJEM	\N	215	49357	UROK	\N	\N
3448839	3166	1996-05-31	PRIJEM	\N	239	69268	UROK	\N	\N
3448840	3166	1996-06-30	PRIJEM	\N	215	44966	UROK	\N	\N
3448841	3166	1996-07-31	PRIJEM	\N	275	74149	UROK	\N	\N
3448842	3166	1996-08-31	PRIJEM	\N	302	99819	UROK	\N	\N
3448843	3166	1996-09-30	PRIJEM	\N	348	69118	UROK	\N	\N
3448844	3166	1996-10-31	PRIJEM	\N	303	82328	UROK	\N	\N
3448845	3166	1996-11-30	PRIJEM	\N	321	66831	UROK	\N	\N
3448846	3166	1996-12-31	PRIJEM	\N	283	73965	UROK	\N	\N
3448847	3166	1997-01-31	PRIJEM	\N	179	30871	UROK	\N	\N
3448848	3166	1997-02-28	PRIJEM	\N	140	42093	UROK	\N	\N
3448849	3166	1997-03-31	PRIJEM	\N	145	35685	UROK	\N	\N
3448850	3166	1997-04-30	PRIJEM	\N	161	42673	UROK	\N	\N
3448851	3166	1997-05-31	PRIJEM	\N	183	34867	UROK	\N	\N
3448852	3166	1997-06-30	PRIJEM	\N	129	4658	UROK	\N	\N
3448853	3166	1997-07-31	PRIJEM	\N	48	82502	UROK	\N	\N
3448854	3166	1997-08-31	PRIJEM	\N	308	86050	UROK	\N	\N
3448855	3166	1997-09-30	PRIJEM	\N	369	77679	UROK	\N	\N
3448856	3166	1997-10-31	PRIJEM	\N	235	49064	UROK	\N	\N
3448857	3166	1997-11-30	PRIJEM	\N	220	79302	UROK	\N	\N
3448858	3166	1997-12-31	PRIJEM	\N	267	53235	UROK	\N	\N
3448859	3166	1998-01-31	PRIJEM	\N	201	41154	UROK	\N	\N
3448860	3166	1998-02-28	PRIJEM	\N	267	81556	UROK	\N	\N
3448861	3166	1998-03-31	PRIJEM	\N	307	70683	UROK	\N	\N
3448862	3166	1998-04-30	PRIJEM	\N	295	71350	UROK	\N	\N
3448863	3166	1998-05-31	PRIJEM	\N	381	108738	UROK	\N	\N
3448864	3166	1998-06-30	PRIJEM	\N	326	72874	UROK	\N	\N
3448865	3166	1998-07-31	PRIJEM	\N	292	69312	UROK	\N	\N
3448866	3166	1998-08-31	PRIJEM	\N	268	63963	UROK	\N	\N
3448867	3166	1998-09-30	PRIJEM	\N	297	73427	UROK	\N	\N
3448868	3166	1998-10-31	PRIJEM	\N	274	54197	UROK	\N	\N
3448869	3166	1998-11-30	PRIJEM	\N	282	84215	UROK	\N	\N
3448870	3166	1998-12-31	PRIJEM	\N	316	65364	UROK	\N	\N
3448871	3189	1995-12-31	PRIJEM	\N	103	28871	UROK	\N	\N
3448872	3189	1996-01-31	PRIJEM	\N	131	49889	UROK	\N	\N
3448873	3189	1996-02-29	PRIJEM	\N	207	38697	UROK	\N	\N
3448874	3189	1996-03-31	PRIJEM	\N	207	29904	UROK	\N	\N
3448875	3189	1996-04-30	PRIJEM	\N	210	55496	UROK	\N	\N
3448876	3189	1996-05-31	PRIJEM	\N	230	41126	UROK	\N	\N
3448877	3189	1996-06-30	PRIJEM	\N	215	33345	UROK	\N	\N
3448878	3189	1996-07-31	PRIJEM	\N	131	49084	UROK	\N	\N
3448879	3189	1996-08-31	PRIJEM	\N	216	72162	UROK	\N	\N
3448880	3189	1996-09-30	PRIJEM	\N	309	86322	UROK	\N	\N
3448881	3189	1996-10-31	PRIJEM	\N	370	90616	UROK	\N	\N
3448882	3189	1996-11-30	PRIJEM	\N	347	60987	UROK	\N	\N
3448883	3189	1996-12-31	PRIJEM	\N	232	40411	UROK	\N	\N
3448884	3189	1997-01-31	PRIJEM	\N	68	11562	UROK	\N	\N
3448885	3189	1997-02-28	PRIJEM	\N	56	17300	UROK	\N	\N
3448886	3189	1997-03-31	PRIJEM	\N	105	27600	UROK	\N	\N
3448887	3189	1997-04-30	PRIJEM	\N	114	26997	UROK	\N	\N
3448888	3189	1997-05-31	PRIJEM	\N	113	26992	UROK	\N	\N
3448889	3189	1997-06-30	PRIJEM	\N	110	24885	UROK	\N	\N
3448890	3189	1997-07-31	PRIJEM	\N	102	23870	UROK	\N	\N
3448891	3189	1997-08-31	PRIJEM	\N	95	20747	UROK	\N	\N
3448892	3189	1997-09-30	PRIJEM	\N	43	11875	UROK	\N	\N
3448893	3189	1997-09-30	VYDAJ	VYBER	14	11862	SANKC. UROK	\N	\N
3448894	3189	1997-10-31	PRIJEM	\N	93	53422	UROK	\N	\N
3448895	3189	1997-11-30	PRIJEM	\N	199	40404	UROK	\N	\N
3448896	3189	1997-12-31	PRIJEM	\N	153	31539	UROK	\N	\N
3448897	3189	1998-01-31	PRIJEM	\N	44	-32	UROK	\N	\N
3448898	3189	1998-02-28	PRIJEM	\N	119	30660	UROK	\N	\N
3448899	3189	1998-03-31	PRIJEM	\N	45	28822	UROK	\N	\N
3448900	3189	1998-04-30	PRIJEM	\N	205	51071	UROK	\N	\N
3448901	3189	1998-05-31	PRIJEM	\N	175	35328	UROK	\N	\N
3448902	3189	1998-06-30	PRIJEM	\N	144	27755	UROK	\N	\N
3448903	3189	1998-07-31	PRIJEM	\N	124	28423	UROK	\N	\N
3448904	3189	1998-08-31	PRIJEM	\N	110	26066	UROK	\N	\N
3448905	3189	1998-09-30	PRIJEM	\N	130	33225	UROK	\N	\N
3448906	3189	1998-10-31	PRIJEM	\N	117	21825	UROK	\N	\N
3448907	3189	1998-11-30	PRIJEM	\N	111	29719	UROK	\N	\N
3448908	3189	1998-12-31	PRIJEM	\N	104	17262	UROK	\N	\N
3448909	3208	1997-09-30	PRIJEM	\N	66	34230	UROK	\N	\N
3448910	3208	1997-10-31	PRIJEM	\N	220	59572	UROK	\N	\N
3448911	3208	1997-11-30	PRIJEM	\N	247	39819	UROK	\N	\N
3448912	3208	1997-12-31	PRIJEM	\N	285	75018	UROK	\N	\N
3448913	3208	1998-01-31	PRIJEM	\N	337	82366	UROK	\N	\N
3448914	3208	1998-02-28	PRIJEM	\N	200	55250	UROK	\N	\N
3448915	3208	1998-03-31	PRIJEM	\N	155	10491	UROK	\N	\N
3448916	3208	1998-04-30	PRIJEM	\N	98	30479	UROK	\N	\N
3448917	3208	1998-05-31	PRIJEM	\N	213	89354	UROK	\N	\N
3448918	3208	1998-06-30	PRIJEM	\N	201	35510	UROK	\N	\N
3448919	3208	1998-07-31	PRIJEM	\N	225	27729	UROK	\N	\N
3448920	3208	1998-08-31	PRIJEM	\N	106	15566	UROK	\N	\N
3448921	3208	1998-09-30	PRIJEM	\N	109	20230	UROK	\N	\N
3448922	3208	1998-10-31	PRIJEM	\N	129	54884	UROK	\N	\N
3448923	3208	1998-11-30	PRIJEM	\N	209	26607	UROK	\N	\N
3448924	3208	1998-12-31	PRIJEM	\N	110	22648	UROK	\N	\N
3448925	3273	1996-01-31	PRIJEM	\N	21	39282	UROK	\N	\N
3448926	3273	1996-02-29	PRIJEM	\N	172	57736	UROK	\N	\N
3448927	3273	1996-03-31	PRIJEM	\N	215	38583	UROK	\N	\N
3448928	3273	1996-04-30	PRIJEM	\N	168	54795	UROK	\N	\N
3448929	3273	1996-05-31	PRIJEM	\N	312	58780	UROK	\N	\N
3448930	3273	1996-06-30	PRIJEM	\N	227	12935	UROK	\N	\N
3448931	3273	1996-07-31	PRIJEM	\N	155	35031	UROK	\N	\N
3448932	3273	1996-08-31	PRIJEM	\N	225	45502	UROK	\N	\N
3448933	3273	1996-09-30	PRIJEM	\N	276	50724	UROK	\N	\N
3448934	3273	1996-10-31	PRIJEM	\N	219	37289	UROK	\N	\N
3448935	3273	1996-11-30	PRIJEM	\N	218	38178	UROK	\N	\N
3448936	3273	1996-12-31	PRIJEM	\N	248	45213	UROK	\N	\N
3448937	3273	1997-01-31	PRIJEM	\N	220	34360	UROK	\N	\N
3448938	3273	1997-02-28	PRIJEM	\N	187	39379	UROK	\N	\N
3448939	3273	1997-03-31	PRIJEM	\N	168	5588	UROK	\N	\N
3448940	3273	1997-04-30	PRIJEM	\N	81	26694	UROK	\N	\N
3448941	3273	1997-05-31	PRIJEM	\N	161	25701	UROK	\N	\N
3448942	3273	1997-06-30	PRIJEM	\N	175	20061	UROK	\N	\N
3448943	3273	1997-07-31	PRIJEM	\N	126	16860	UROK	\N	\N
3448944	3273	1997-08-31	PRIJEM	\N	95	32425	UROK	\N	\N
3448945	3273	1997-09-30	PRIJEM	\N	206	24221	UROK	\N	\N
3448946	3273	1997-10-31	PRIJEM	\N	118	22578	UROK	\N	\N
3448947	3273	1997-11-30	PRIJEM	\N	124	26495	UROK	\N	\N
3448948	3273	1997-12-31	PRIJEM	\N	128	-3289	UROK	\N	\N
3448949	3273	1997-12-31	VYDAJ	VYBER	13	-3303	SANKC. UROK	\N	\N
3448950	3273	1998-01-31	PRIJEM	\N	35	-5436	UROK	\N	\N
3448951	3273	1998-01-31	VYDAJ	VYBER	44	-5462	SANKC. UROK	\N	\N
3448952	3273	1998-02-28	PRIJEM	\N	32	6482	UROK	\N	\N
3448953	3273	1998-02-28	VYDAJ	VYBER	35	6424	SANKC. UROK	\N	\N
3448954	3273	1998-03-31	PRIJEM	\N	58	12243	UROK	\N	\N
3448955	3273	1998-04-30	PRIJEM	\N	72	15340	UROK	\N	\N
3448956	3273	1998-05-31	PRIJEM	\N	80	16436	UROK	\N	\N
3448957	3273	1998-06-30	PRIJEM	\N	67	-1546	UROK	\N	\N
3448958	3273	1998-06-30	VYDAJ	VYBER	23	-1532	SANKC. UROK	\N	\N
3448959	3273	1998-07-31	PRIJEM	\N	25	5085	UROK	\N	\N
3448960	3273	1998-07-31	VYDAJ	VYBER	16	5050	SANKC. UROK	\N	\N
3448961	3273	1998-08-31	PRIJEM	\N	30	2878	UROK	\N	\N
3448962	3273	1998-08-31	VYDAJ	VYBER	1	2877	SANKC. UROK	\N	\N
3448963	3273	1998-09-30	PRIJEM	\N	15	1573	UROK	\N	\N
3448964	3273	1998-09-30	VYDAJ	VYBER	10	1563	SANKC. UROK	\N	\N
3448965	3273	1998-10-31	PRIJEM	\N	7	5999	UROK	\N	\N
3448966	3273	1998-10-31	VYDAJ	VYBER	38	5923	SANKC. UROK	\N	\N
3448967	3273	1998-11-30	PRIJEM	\N	43	9451	UROK	\N	\N
3448968	3273	1998-12-31	PRIJEM	\N	40	-6161	UROK	\N	\N
3448969	3273	1998-12-31	VYDAJ	VYBER	6	-6139	SANKC. UROK	\N	\N
3448970	3326	1994-02-28	PRIJEM	\N	105	35322	UROK	\N	\N
3448971	3326	1994-03-31	PRIJEM	\N	218	70782	UROK	\N	\N
3448972	3326	1994-04-30	PRIJEM	\N	421	52675	UROK	\N	\N
3448973	3326	1994-05-31	PRIJEM	\N	460	58574	UROK	\N	\N
3448974	3326	1994-06-30	PRIJEM	\N	247	76523	UROK	\N	\N
3448975	3326	1994-07-31	PRIJEM	\N	323	97436	UROK	\N	\N
3448976	3326	1994-08-31	PRIJEM	\N	347	53658	UROK	\N	\N
3448977	3326	1994-09-30	PRIJEM	\N	229	63017	UROK	\N	\N
3448978	3326	1994-10-31	PRIJEM	\N	150	7600	UROK	\N	\N
3448979	3326	1994-11-30	PRIJEM	\N	74	58230	UROK	\N	\N
3448980	3326	1994-12-31	PRIJEM	\N	208	34339	UROK	\N	\N
3448981	3326	1995-01-31	PRIJEM	\N	231	87773	UROK	\N	\N
3448982	3326	1995-02-28	PRIJEM	\N	392	145343	UROK	\N	\N
3448983	3326	1995-03-31	PRIJEM	\N	453	92315	UROK	\N	\N
3448984	3326	1995-04-30	PRIJEM	\N	344	79856	UROK	\N	\N
3448985	3326	1995-05-31	PRIJEM	\N	230	49060	UROK	\N	\N
3448986	3326	1995-06-30	PRIJEM	\N	72	11341	UROK	\N	\N
3448987	3326	1995-07-31	PRIJEM	\N	55	44697	UROK	\N	\N
3448988	3326	1995-08-31	PRIJEM	\N	99	29571	UROK	\N	\N
3448989	3326	1995-09-30	PRIJEM	\N	45	6592	UROK	\N	\N
3448990	3326	1995-10-31	PRIJEM	\N	78	44348	UROK	\N	\N
3448991	3326	1995-11-30	PRIJEM	\N	324	74605	UROK	\N	\N
3448992	3326	1995-12-31	PRIJEM	\N	168	30858	UROK	\N	\N
3448993	3326	1996-01-31	PRIJEM	\N	81	18115	UROK	\N	\N
3448994	3326	1996-02-29	PRIJEM	\N	74	18174	UROK	\N	\N
3448995	3326	1996-03-31	PRIJEM	\N	68	26670	UROK	\N	\N
3448996	3326	1996-04-30	PRIJEM	\N	202	46557	UROK	\N	\N
3448997	3326	1996-05-31	PRIJEM	\N	189	26632	UROK	\N	\N
3448998	3326	1996-06-30	PRIJEM	\N	112	50350	UROK	\N	\N
3448999	3326	1996-07-31	PRIJEM	\N	204	39687	UROK	\N	\N
3449000	3326	1996-08-31	PRIJEM	\N	200	81713	UROK	\N	\N
3449001	3326	1996-09-30	PRIJEM	\N	304	33034	UROK	\N	\N
3449002	3326	1996-10-31	PRIJEM	\N	57	-1352	UROK	\N	\N
3449003	3326	1996-10-31	VYDAJ	VYBER	4	-1356	SANKC. UROK	\N	\N
3449004	3326	1996-11-30	PRIJEM	\N	10	12216	UROK	\N	\N
3449005	3326	1996-11-30	VYDAJ	VYBER	16	12185	SANKC. UROK	\N	\N
3449006	3326	1996-12-31	PRIJEM	\N	68	38002	UROK	\N	\N
3449007	3326	1997-01-31	PRIJEM	\N	152	10039	UROK	\N	\N
3449008	3326	1997-02-28	PRIJEM	\N	39	-1537	UROK	\N	\N
3449009	3326	1997-03-31	PRIJEM	\N	81	47889	UROK	\N	\N
3449010	3326	1997-04-30	PRIJEM	\N	215	62481	UROK	\N	\N
3449011	3326	1997-05-31	PRIJEM	\N	261	15015	UROK	\N	\N
3449012	3326	1997-06-30	PRIJEM	\N	70	40026	UROK	\N	\N
3449013	3326	1997-07-31	PRIJEM	\N	164	47244	UROK	\N	\N
3449014	3326	1997-08-31	PRIJEM	\N	165	23788	UROK	\N	\N
3449015	3326	1997-09-30	PRIJEM	\N	68	1579	UROK	\N	\N
3449016	3326	1997-10-31	PRIJEM	\N	39	54635	UROK	\N	\N
3449017	3326	1997-11-30	PRIJEM	\N	218	12438	UROK	\N	\N
3449018	3326	1997-12-31	PRIJEM	\N	35	508	UROK	\N	\N
3449019	3326	1997-12-31	VYDAJ	VYBER	2	506	SANKC. UROK	\N	\N
3449020	3326	1998-01-31	VYDAJ	VYBER	6	-18400	SANKC. UROK	\N	\N
3449021	3326	1998-02-28	VYDAJ	VYBER	6	-24006	SANKC. UROK	\N	\N
3449022	3326	1998-03-31	VYDAJ	VYBER	6	-30411	SANKC. UROK	\N	\N
3449023	3326	1998-04-30	VYDAJ	VYBER	98	-22409	SANKC. UROK	\N	\N
3449024	3326	1998-05-31	VYDAJ	VYBER	236	-34545	SANKC. UROK	\N	\N
3449025	3326	1998-06-30	VYDAJ	VYBER	236	-40381	SANKC. UROK	\N	\N
3449026	3326	1998-07-31	VYDAJ	VYBER	236	-40817	SANKC. UROK	\N	\N
3449027	3326	1998-08-31	VYDAJ	VYBER	284	-32113	SANKC. UROK	\N	\N
3449028	3326	1998-09-30	VYDAJ	VYBER	266	-17351	SANKC. UROK	\N	\N
3449029	3326	1998-10-31	VYDAJ	VYBER	187	-35038	SANKC. UROK	\N	\N
3449030	3326	1998-11-30	VYDAJ	VYBER	187	-41126	SANKC. UROK	\N	\N
3449031	3345	1994-05-31	PRIJEM	\N	52	19257	UROK	\N	\N
3449032	3345	1994-06-30	PRIJEM	\N	73	15146	UROK	\N	\N
3449033	3345	1994-07-31	PRIJEM	\N	60	12612	UROK	\N	\N
3449034	3345	1994-08-31	PRIJEM	\N	57	14235	UROK	\N	\N
3449035	3345	1994-09-30	PRIJEM	\N	64	16566	UROK	\N	\N
3449036	3345	1994-10-31	PRIJEM	\N	72	18804	UROK	\N	\N
3449037	3345	1994-11-30	PRIJEM	\N	82	20552	UROK	\N	\N
3449038	3345	1994-12-31	PRIJEM	\N	78	14216	UROK	\N	\N
3449039	3345	1995-01-31	PRIJEM	\N	47	7119	UROK	\N	\N
3449040	3345	1995-02-28	PRIJEM	\N	32	7998	UROK	\N	\N
3449041	3345	1995-03-31	PRIJEM	\N	36	10000	UROK	\N	\N
3449042	3345	1995-04-30	PRIJEM	\N	44	12111	UROK	\N	\N
3449043	3345	1995-05-31	PRIJEM	\N	56	12593	UROK	\N	\N
3449044	3345	1995-06-30	PRIJEM	\N	43	8502	UROK	\N	\N
3449045	3345	1995-07-31	PRIJEM	\N	38	9307	UROK	\N	\N
3449046	3345	1995-08-31	PRIJEM	\N	43	10816	UROK	\N	\N
3449047	3345	1995-09-30	PRIJEM	\N	50	12832	UROK	\N	\N
3449048	3345	1995-10-31	PRIJEM	\N	52	11611	UROK	\N	\N
3449049	3345	1995-11-30	PRIJEM	\N	55	12332	UROK	\N	\N
3449050	3345	1995-12-31	PRIJEM	\N	56	10604	UROK	\N	\N
3449051	3345	1996-01-31	PRIJEM	\N	25	-2284	UROK	\N	\N
3449052	3345	1996-01-31	VYDAJ	VYBER	2	-2286	SANKC. UROK	\N	\N
3449053	3345	1996-02-29	PRIJEM	\N	0	-1339	UROK	\N	\N
3449054	3345	1996-02-29	VYDAJ	VYBER	12	-1351	SANKC. UROK	\N	\N
3449055	3345	1996-03-31	PRIJEM	\N	1	416	UROK	\N	\N
3449056	3345	1996-03-31	VYDAJ	VYBER	4	397	SANKC. UROK	\N	\N
3449057	3345	1996-04-30	PRIJEM	\N	5	2383	UROK	\N	\N
3449058	3345	1996-05-31	PRIJEM	\N	17	2486	UROK	\N	\N
3449059	3345	1996-06-30	PRIJEM	\N	6	-362	UROK	\N	\N
3449060	3345	1996-06-30	VYDAJ	VYBER	2	-379	SANKC. UROK	\N	\N
3449061	3345	1996-07-31	PRIJEM	\N	4	1506	UROK	\N	\N
3449062	3345	1996-07-31	VYDAJ	VYBER	1	1490	SANKC. UROK	\N	\N
3449063	3345	1996-08-31	PRIJEM	\N	9	3181	UROK	\N	\N
3449064	3345	1996-09-30	PRIJEM	\N	19	3906	UROK	\N	\N
3449065	3345	1996-10-31	PRIJEM	\N	23	3595	UROK	\N	\N
3449066	3345	1996-11-30	PRIJEM	\N	22	5683	UROK	\N	\N
3449067	3345	1996-12-31	PRIJEM	\N	31	6830	UROK	\N	\N
3449068	3345	1997-01-31	PRIJEM	\N	8	-615	UROK	\N	\N
3449069	3345	1997-01-31	VYDAJ	VYBER	1	-631	SANKC. UROK	\N	\N
3449070	3345	1997-02-28	PRIJEM	\N	3	1253	UROK	\N	\N
3449071	3345	1997-02-28	VYDAJ	VYBER	3	1236	SANKC. UROK	\N	\N
3449072	3345	1997-03-31	PRIJEM	\N	11	2928	UROK	\N	\N
3449073	3345	1997-04-30	PRIJEM	\N	12	1926	UROK	\N	\N
3449074	3345	1997-05-31	PRIJEM	\N	16	3248	UROK	\N	\N
3449075	3345	1997-06-30	PRIJEM	\N	16	4930	UROK	\N	\N
3449076	3345	1997-07-31	PRIJEM	\N	17	2534	UROK	\N	\N
3449077	3345	1997-08-31	PRIJEM	\N	15	4115	UROK	\N	\N
3449078	3345	1997-09-30	PRIJEM	\N	20	6402	UROK	\N	\N
3449079	3345	1997-10-31	PRIJEM	\N	31	8499	UROK	\N	\N
3449080	3345	1997-11-30	PRIJEM	\N	29	2874	UROK	\N	\N
3449081	3345	1997-12-31	PRIJEM	\N	18	3908	UROK	\N	\N
3449082	3345	1998-01-31	PRIJEM	\N	9	-3917	UROK	\N	\N
3449083	3345	1998-01-31	VYDAJ	VYBER	16	-3947	SANKC. UROK	\N	\N
3449084	3345	1998-02-28	VYDAJ	VYBER	31	-2012	SANKC. UROK	\N	\N
3449085	3345	1998-03-31	PRIJEM	\N	0	170	UROK	\N	\N
3449086	3345	1998-03-31	VYDAJ	VYBER	10	160	SANKC. UROK	\N	\N
3449087	3345	1998-04-30	VYDAJ	VYBER	14	-323	SANKC. UROK	\N	\N
3449088	3345	1998-05-31	PRIJEM	\N	2	-1200	UROK	\N	\N
3449089	3345	1998-05-31	VYDAJ	VYBER	6	-1206	SANKC. UROK	\N	\N
3449090	3345	1998-06-30	PRIJEM	\N	3	863	UROK	\N	\N
3449091	3345	1998-06-30	VYDAJ	VYBER	2	861	SANKC. UROK	\N	\N
3449092	3345	1998-07-31	PRIJEM	\N	10	3138	UROK	\N	\N
3449093	3345	1998-08-31	PRIJEM	\N	21	5525	UROK	\N	\N
3449094	3345	1998-09-30	PRIJEM	\N	25	6916	UROK	\N	\N
3449095	3345	1998-10-31	PRIJEM	\N	33	8616	UROK	\N	\N
3449096	3345	1998-11-30	PRIJEM	\N	26	6549	UROK	\N	\N
3449097	3345	1998-12-31	PRIJEM	\N	33	7598	UROK	\N	\N
3449098	3374	1993-03-31	PRIJEM	\N	53	35684	UROK	\N	\N
3449099	3374	1993-04-30	PRIJEM	\N	256	141659	UROK	\N	\N
3449100	3374	1993-05-31	PRIJEM	\N	368	77639	UROK	\N	\N
3449101	3374	1993-06-30	PRIJEM	\N	300	61204	UROK	\N	\N
3449102	3374	1993-07-31	PRIJEM	\N	297	87018	UROK	\N	\N
3449103	3374	1993-08-31	PRIJEM	\N	365	95805	UROK	\N	\N
3449104	3374	1993-09-30	PRIJEM	\N	308	56698	UROK	\N	\N
3449105	3374	1993-10-31	PRIJEM	\N	304	100953	UROK	\N	\N
3449106	3374	1993-11-30	PRIJEM	\N	338	39785	UROK	\N	\N
3449107	3374	1993-12-31	PRIJEM	\N	134	22405	UROK	\N	\N
3449108	3374	1994-01-31	PRIJEM	\N	136	49693	UROK	\N	\N
3449109	3374	1994-02-28	PRIJEM	\N	150	27228	UROK	\N	\N
3449110	3374	1994-03-31	PRIJEM	\N	117	23930	UROK	\N	\N
3449111	3374	1994-04-30	PRIJEM	\N	89	19305	UROK	\N	\N
3449112	3374	1994-05-31	PRIJEM	\N	72	17874	UROK	\N	\N
3449113	3374	1994-06-30	PRIJEM	\N	72	28328	UROK	\N	\N
3449114	3374	1994-07-31	PRIJEM	\N	147	43841	UROK	\N	\N
3449115	3374	1994-08-31	PRIJEM	\N	147	70391	UROK	\N	\N
3449116	3374	1994-09-30	PRIJEM	\N	354	87619	UROK	\N	\N
3449117	3374	1994-10-31	PRIJEM	\N	172	26437	UROK	\N	\N
3449118	3374	1994-11-30	PRIJEM	\N	76	8698	UROK	\N	\N
3449119	3374	1994-12-31	PRIJEM	\N	38	9922	UROK	\N	\N
3449120	3374	1995-01-31	PRIJEM	\N	34	5541	UROK	\N	\N
3449121	3374	1995-02-28	PRIJEM	\N	76	67050	UROK	\N	\N
3449122	3374	1995-03-31	PRIJEM	\N	141	14676	UROK	\N	\N
3449123	3374	1995-04-30	PRIJEM	\N	37	-1302	UROK	\N	\N
3449124	3374	1995-04-30	VYDAJ	VYBER	2	-1318	SANKC. UROK	\N	\N
3449125	3374	1995-05-31	PRIJEM	\N	2	984	UROK	\N	\N
3449126	3374	1995-05-31	VYDAJ	VYBER	4	966	SANKC. UROK	\N	\N
3449127	3374	1995-06-30	PRIJEM	\N	3	-7431	UROK	\N	\N
3449128	3374	1995-06-30	VYDAJ	VYBER	3	-7434	SANKC. UROK	\N	\N
3449129	3374	1995-07-31	PRIJEM	\N	42	10076	UROK	\N	\N
3449130	3374	1995-07-31	VYDAJ	VYBER	15	10046	SANKC. UROK	\N	\N
3449131	3374	1995-08-31	PRIJEM	\N	11	-2643	UROK	\N	\N
3449132	3374	1995-08-31	VYDAJ	VYBER	13	-2670	SANKC. UROK	\N	\N
3449133	3374	1995-09-30	VYDAJ	VYBER	29	-2714	SANKC. UROK	\N	\N
3449134	3374	1995-11-30	VYDAJ	VYBER	30	-2759	SANKC. UROK	\N	\N
3449135	3374	1995-11-30	VYDAJ	VYBER	29	-2788	SANKC. UROK	\N	\N
3449136	3374	1995-12-31	VYDAJ	VYBER	29	-2832	SANKC. UROK	\N	\N
3449137	3374	1996-02-29	VYDAJ	VYBER	31	-2892	SANKC. UROK	\N	\N
3449138	3374	1996-02-29	VYDAJ	VYBER	29	-2922	SANKC. UROK	\N	\N
3449139	3374	1996-04-30	VYDAJ	VYBER	30	-2981	SANKC. UROK	\N	\N
3449140	3374	1996-04-30	VYDAJ	VYBER	29	-3025	SANKC. UROK	\N	\N
3449141	3374	1996-06-30	VYDAJ	VYBER	30	-3070	SANKC. UROK	\N	\N
3449142	3374	1996-06-30	VYDAJ	VYBER	29	-3099	SANKC. UROK	\N	\N
3449143	3374	1996-07-31	VYDAJ	VYBER	29	-3143	SANKC. UROK	\N	\N
3449144	3374	1996-08-31	PRIJEM	\N	1	8367	UROK	\N	\N
3449145	3374	1996-08-31	VYDAJ	VYBER	28	8339	SANKC. UROK	\N	\N
3449146	3374	1996-09-30	PRIJEM	\N	10	-5965	UROK	\N	\N
3449147	3374	1996-09-30	VYDAJ	VYBER	42	-6008	SANKC. UROK	\N	\N
3449148	3374	1996-11-30	VYDAJ	VYBER	63	-6099	SANKC. UROK	\N	\N
3449149	3374	1996-11-30	VYDAJ	VYBER	61	-6160	SANKC. UROK	\N	\N
3449150	3374	1996-12-31	PRIJEM	\N	3	6154	UROK	\N	\N
3449151	3374	1996-12-31	VYDAJ	VYBER	53	6087	SANKC. UROK	\N	\N
3449152	3374	1997-01-31	PRIJEM	\N	25	-1289	UROK	\N	\N
3449153	3374	1997-01-31	VYDAJ	VYBER	0	-1304	SANKC. UROK	\N	\N
3449154	3374	1997-02-28	VYDAJ	VYBER	13	-1316	SANKC. UROK	\N	\N
3449155	3374	1997-03-31	PRIJEM	\N	56	14472	UROK	\N	\N
3449156	3374	1997-03-31	VYDAJ	VYBER	1	14456	SANKC. UROK	\N	\N
3449157	3374	1997-04-30	PRIJEM	\N	24	-420	UROK	\N	\N
3449158	3374	1997-04-30	VYDAJ	VYBER	5	-425	SANKC. UROK	\N	\N
3449159	3374	1997-05-31	PRIJEM	\N	5	7650	UROK	\N	\N
3449160	3374	1997-05-31	VYDAJ	VYBER	58	7578	SANKC. UROK	\N	\N
3449161	3374	1997-06-30	PRIJEM	\N	8	-4115	UROK	\N	\N
3449162	3374	1997-06-30	VYDAJ	VYBER	31	-4160	SANKC. UROK	\N	\N
3449163	3374	1997-07-31	VYDAJ	VYBER	40	-4200	SANKC. UROK	\N	\N
3449164	3374	1997-09-30	VYDAJ	VYBER	41	-4271	SANKC. UROK	\N	\N
3449165	3374	1997-09-30	VYDAJ	VYBER	40	-4311	SANKC. UROK	\N	\N
3449166	3374	1997-11-30	VYDAJ	VYBER	41	-4422	SANKC. UROK	\N	\N
3449167	3374	1997-11-30	VYDAJ	VYBER	40	-4380	SANKC. UROK	\N	\N
3449168	3374	1997-12-31	PRIJEM	\N	5	34348	UROK	\N	\N
3449169	3374	1997-12-31	VYDAJ	VYBER	39	34295	SANKC. UROK	\N	\N
3449170	3374	1998-01-31	PRIJEM	\N	38	6833	UROK	\N	\N
3449171	3374	1998-02-28	PRIJEM	\N	109	21986	UROK	\N	\N
3449172	3374	1998-03-31	PRIJEM	\N	113	19044	UROK	\N	\N
3449173	3374	1998-04-30	PRIJEM	\N	93	35298	UROK	\N	\N
3449174	3374	1998-05-31	PRIJEM	\N	145	101324	UROK	\N	\N
3449175	3374	1998-06-30	PRIJEM	\N	152	17443	UROK	\N	\N
3449176	3374	1998-07-31	PRIJEM	\N	268	60362	UROK	\N	\N
3449177	3374	1998-08-31	PRIJEM	\N	187	20434	UROK	\N	\N
3449178	3374	1998-09-30	PRIJEM	\N	120	11915	UROK	\N	\N
3449179	3374	1998-10-31	PRIJEM	\N	111	57860	UROK	\N	\N
3449180	3374	1998-11-30	PRIJEM	\N	255	29744	UROK	\N	\N
3449181	3374	1998-12-31	PRIJEM	\N	134	72688	UROK	\N	\N
3449182	3386	1995-06-30	PRIJEM	\N	41	32709	UROK	\N	\N
3449183	3386	1995-07-31	PRIJEM	\N	184	50081	UROK	\N	\N
3449184	3386	1995-08-31	PRIJEM	\N	305	52018	UROK	\N	\N
3449185	3386	1995-09-30	PRIJEM	\N	277	52346	UROK	\N	\N
3449186	3386	1995-10-31	PRIJEM	\N	129	24684	UROK	\N	\N
3449187	3386	1995-11-30	PRIJEM	\N	182	100749	UROK	\N	\N
3449188	3386	1995-12-31	PRIJEM	\N	296	44255	UROK	\N	\N
3449189	3386	1996-01-31	PRIJEM	\N	57	-2067	UROK	\N	\N
3449190	3386	1996-01-31	VYDAJ	VYBER	4	-2086	SANKC. UROK	\N	\N
3449191	3386	1996-02-29	PRIJEM	\N	54	70240	UROK	\N	\N
3449192	3386	1996-02-29	VYDAJ	VYBER	11	79622	SANKC. UROK	\N	\N
3449193	3386	1996-03-31	PRIJEM	\N	298	64146	UROK	\N	\N
3449194	3386	1996-04-30	PRIJEM	\N	283	90774	UROK	\N	\N
3449195	3386	1996-05-31	PRIJEM	\N	351	76089	UROK	\N	\N
3449196	3386	1996-06-30	PRIJEM	\N	307	80327	UROK	\N	\N
3449197	3386	1996-07-31	PRIJEM	\N	340	89104	UROK	\N	\N
3449198	3386	1996-08-31	PRIJEM	\N	233	27148	UROK	\N	\N
3449199	3386	1996-09-30	PRIJEM	\N	177	44477	UROK	\N	\N
3449200	3386	1996-10-31	PRIJEM	\N	184	54741	UROK	\N	\N
3449201	3386	1996-11-30	PRIJEM	\N	219	51440	UROK	\N	\N
3449202	3386	1996-12-31	PRIJEM	\N	230	49421	UROK	\N	\N
3449203	3386	1997-01-31	PRIJEM	\N	159	69841	UROK	\N	\N
3449204	3386	1997-02-28	PRIJEM	\N	340	77128	UROK	\N	\N
3449205	3386	1997-03-31	PRIJEM	\N	223	48337	UROK	\N	\N
3449206	3386	1997-04-30	PRIJEM	\N	292	96346	UROK	\N	\N
3449207	3386	1997-05-31	PRIJEM	\N	380	46712	UROK	\N	\N
3449208	3386	1997-06-30	PRIJEM	\N	145	45819	UROK	\N	\N
3449209	3386	1997-07-31	PRIJEM	\N	188	34792	UROK	\N	\N
3449210	3386	1997-08-31	PRIJEM	\N	150	54073	UROK	\N	\N
3449211	3386	1997-09-30	PRIJEM	\N	174	40777	UROK	\N	\N
3449212	3386	1997-10-31	PRIJEM	\N	129	28082	UROK	\N	\N
3449213	3386	1997-11-30	PRIJEM	\N	152	46822	UROK	\N	\N
3449214	3386	1997-12-31	PRIJEM	\N	331	102853	UROK	\N	\N
3449215	3386	1998-01-31	PRIJEM	\N	171	3382	UROK	\N	\N
3449216	3386	1998-02-28	PRIJEM	\N	13	5880	UROK	\N	\N
3449217	3386	1998-03-31	PRIJEM	\N	23	7988	UROK	\N	\N
3449218	3386	1998-04-30	PRIJEM	\N	31	6004	UROK	\N	\N
3449219	3386	1998-05-31	PRIJEM	\N	35	50734	UROK	\N	\N
3449220	3386	1998-06-30	PRIJEM	\N	221	56739	UROK	\N	\N
3449221	3386	1998-07-31	PRIJEM	\N	230	28455	UROK	\N	\N
3449222	3386	1998-08-31	PRIJEM	\N	93	7433	UROK	\N	\N
3449223	3386	1998-09-30	PRIJEM	\N	10	2429	UROK	\N	\N
3449224	3386	1998-10-31	PRIJEM	\N	8	5822	UROK	\N	\N
3449225	3386	1998-11-30	PRIJEM	\N	21	6528	UROK	\N	\N
3449226	3386	1998-12-31	PRIJEM	\N	25	8839	UROK	\N	\N
3449227	3407	1993-09-30	PRIJEM	\N	124	73545	UROK	\N	\N
3449228	3407	1993-10-31	PRIJEM	\N	309	64706	UROK	\N	\N
3449229	3407	1993-11-30	PRIJEM	\N	242	42933	UROK	\N	\N
3449230	3407	1993-12-31	PRIJEM	\N	157	30675	UROK	\N	\N
3449231	3407	1994-01-31	PRIJEM	\N	49	-2790	UROK	\N	\N
3449232	3407	1994-01-31	VYDAJ	VYBER	6	-2795	SANKC. UROK	\N	\N
3449233	3407	1994-02-28	PRIJEM	\N	2	9891	UROK	\N	\N
3449234	3407	1994-02-28	VYDAJ	VYBER	27	9864	SANKC. UROK	\N	\N
3449235	3407	1994-03-31	PRIJEM	\N	42	16892	UROK	\N	\N
3449236	3407	1994-04-30	PRIJEM	\N	81	24792	UROK	\N	\N
3449237	3407	1994-05-31	PRIJEM	\N	93	18271	UROK	\N	\N
3449238	3407	1994-06-30	PRIJEM	\N	65	15414	UROK	\N	\N
3449239	3407	1994-07-31	PRIJEM	\N	64	15263	UROK	\N	\N
3449240	3407	1994-08-31	PRIJEM	\N	64	22013	UROK	\N	\N
3449241	3407	1994-09-30	PRIJEM	\N	92	23990	UROK	\N	\N
3449242	3407	1994-10-31	PRIJEM	\N	100	23875	UROK	\N	\N
3449243	3407	1994-11-30	PRIJEM	\N	94	16455	UROK	\N	\N
3449244	3407	1994-12-31	PRIJEM	\N	58	11619	UROK	\N	\N
3449245	3407	1995-01-31	PRIJEM	\N	161	5374	UROK	\N	\N
3449246	3407	1995-02-28	PRIJEM	\N	24	14683	UROK	\N	\N
3449247	3407	1995-03-31	PRIJEM	\N	64	16717	UROK	\N	\N
3449248	3407	1995-04-30	PRIJEM	\N	65	14467	UROK	\N	\N
3449249	3407	1995-05-31	PRIJEM	\N	114	55080	UROK	\N	\N
3449250	3407	1995-06-30	PRIJEM	\N	267	88260	UROK	\N	\N
3449251	3407	1995-07-31	PRIJEM	\N	308	48453	UROK	\N	\N
3449252	3407	1995-08-31	PRIJEM	\N	209	85640	UROK	\N	\N
3449253	3407	1995-09-30	PRIJEM	\N	352	53378	UROK	\N	\N
3449254	3407	1995-10-31	PRIJEM	\N	319	92861	UROK	\N	\N
3449255	3407	1995-11-30	PRIJEM	\N	382	58428	UROK	\N	\N
3449256	3407	1995-12-31	PRIJEM	\N	186	27399	UROK	\N	\N
3449257	3407	1996-01-31	PRIJEM	\N	41	340	UROK	\N	\N
3449258	3407	1996-02-29	PRIJEM	\N	6	6131	UROK	\N	\N
3449259	3407	1996-03-31	PRIJEM	\N	26	15742	UROK	\N	\N
3449260	3407	1996-04-30	PRIJEM	\N	117	40199	UROK	\N	\N
3449261	3407	1996-05-31	PRIJEM	\N	115	17916	UROK	\N	\N
3449262	3407	1996-06-30	PRIJEM	\N	74	20375	UROK	\N	\N
3449263	3407	1996-07-31	PRIJEM	\N	84	23345	UROK	\N	\N
3449264	3407	1996-08-31	PRIJEM	\N	72	15902	UROK	\N	\N
3449265	3407	1996-09-30	PRIJEM	\N	66	21453	UROK	\N	\N
3449266	3407	1996-10-31	PRIJEM	\N	85	20288	UROK	\N	\N
3449267	3407	1996-11-30	PRIJEM	\N	67	14740	UROK	\N	\N
3449268	3407	1996-12-31	PRIJEM	\N	31	-376	UROK	\N	\N
3449269	3407	1996-12-31	VYDAJ	VYBER	4	-379	SANKC. UROK	\N	\N
3449270	3407	1997-01-31	PRIJEM	\N	11	1917	UROK	\N	\N
3449271	3407	1997-01-31	VYDAJ	VYBER	1	1901	SANKC. UROK	\N	\N
3449272	3407	1997-02-28	PRIJEM	\N	8	13909	UROK	\N	\N
3449273	3407	1997-03-31	PRIJEM	\N	69	18670	UROK	\N	\N
3449274	3407	1997-04-30	PRIJEM	\N	76	20432	UROK	\N	\N
3449275	3407	1997-05-31	PRIJEM	\N	89	22205	UROK	\N	\N
3449276	3407	1997-06-30	PRIJEM	\N	97	67951	UROK	\N	\N
3449277	3407	1997-07-31	PRIJEM	\N	278	46514	UROK	\N	\N
3449278	3407	1997-08-31	PRIJEM	\N	190	31989	UROK	\N	\N
3449279	3407	1997-09-30	PRIJEM	\N	130	27004	UROK	\N	\N
3449280	3407	1997-10-31	PRIJEM	\N	92	22682	UROK	\N	\N
3449281	3407	1997-11-30	PRIJEM	\N	92	21359	UROK	\N	\N
3449282	3407	1997-12-31	PRIJEM	\N	68	9712	UROK	\N	\N
3449283	3407	1998-01-31	PRIJEM	\N	50	10118	UROK	\N	\N
3449284	3407	1998-01-31	VYDAJ	VYBER	1	10118	SANKC. UROK	\N	\N
3449285	3407	1998-02-28	PRIJEM	\N	77	28350	UROK	\N	\N
3449286	3407	1998-03-31	PRIJEM	\N	156	38388	UROK	\N	\N
3449287	3407	1998-04-30	PRIJEM	\N	225	60368	UROK	\N	\N
3449288	3407	1998-05-31	PRIJEM	\N	158	23511	UROK	\N	\N
3449289	3407	1998-06-30	PRIJEM	\N	242	44472	UROK	\N	\N
3449290	3407	1998-07-31	PRIJEM	\N	183	46135	UROK	\N	\N
3449291	3407	1998-08-31	PRIJEM	\N	183	35109	UROK	\N	\N
3449292	3407	1998-09-30	PRIJEM	\N	153	16026	UROK	\N	\N
3449293	3407	1998-10-31	PRIJEM	\N	135	44476	UROK	\N	\N
3449294	3407	1998-11-30	PRIJEM	\N	372	55444	UROK	\N	\N
3449295	3407	1998-12-31	PRIJEM	\N	331	66841	UROK	\N	\N
3449296	3678	1993-04-30	PRIJEM	\N	17	15018	UROK	\N	\N
3449297	3678	1993-05-31	PRIJEM	\N	63	23981	UROK	\N	\N
3449298	3678	1993-06-30	PRIJEM	\N	82	30715	UROK	\N	\N
3449299	3678	1993-07-31	PRIJEM	\N	127	30243	UROK	\N	\N
3449300	3678	1993-08-31	PRIJEM	\N	106	21931	UROK	\N	\N
3449301	3678	1993-09-30	PRIJEM	\N	94	20411	UROK	\N	\N
3449302	3678	1993-10-31	PRIJEM	\N	81	20099	UROK	\N	\N
3449303	3678	1993-11-30	PRIJEM	\N	84	22249	UROK	\N	\N
3449304	3678	1993-12-31	PRIJEM	\N	99	22365	UROK	\N	\N
3449305	3678	1994-01-31	PRIJEM	\N	56	10448	UROK	\N	\N
3449306	3678	1994-02-28	PRIJEM	\N	52	16887	UROK	\N	\N
3449307	3678	1994-03-31	PRIJEM	\N	76	17409	UROK	\N	\N
3449308	3678	1994-04-30	PRIJEM	\N	67	15662	UROK	\N	\N
3449309	3678	1994-05-31	PRIJEM	\N	63	14511	UROK	\N	\N
3449310	3678	1994-06-30	PRIJEM	\N	72	12321	UROK	\N	\N
3449311	3678	1994-07-31	PRIJEM	\N	55	15702	UROK	\N	\N
3449312	3678	1994-08-31	PRIJEM	\N	69	17457	UROK	\N	\N
3449313	3678	1994-09-30	PRIJEM	\N	85	21428	UROK	\N	\N
3449314	3678	1994-10-31	PRIJEM	\N	94	22408	UROK	\N	\N
3449315	3678	1994-11-30	PRIJEM	\N	95	21689	UROK	\N	\N
3449316	3678	1994-12-31	PRIJEM	\N	86	19493	UROK	\N	\N
3449317	3678	1995-01-31	PRIJEM	\N	67	12826	UROK	\N	\N
3449318	3678	1995-02-28	PRIJEM	\N	66	12190	UROK	\N	\N
3449319	3678	1995-03-31	PRIJEM	\N	55	13863	UROK	\N	\N
3449320	3678	1995-04-30	PRIJEM	\N	61	14841	UROK	\N	\N
3449321	3678	1995-05-31	PRIJEM	\N	59	13017	UROK	\N	\N
3449322	3678	1995-06-30	PRIJEM	\N	60	14045	UROK	\N	\N
3449323	3678	1995-07-31	PRIJEM	\N	55	12317	UROK	\N	\N
3449324	3678	1995-08-31	PRIJEM	\N	44	7178	UROK	\N	\N
3449325	3678	1995-09-30	PRIJEM	\N	44	11339	UROK	\N	\N
3449326	3678	1995-10-31	PRIJEM	\N	52	12109	UROK	\N	\N
3449327	3678	1995-11-30	PRIJEM	\N	47	10073	UROK	\N	\N
3449328	3678	1995-12-31	PRIJEM	\N	37	5298	UROK	\N	\N
3449329	3678	1996-01-31	PRIJEM	\N	24	3740	UROK	\N	\N
3449330	3678	1996-02-29	PRIJEM	\N	33	8490	UROK	\N	\N
3449331	3678	1996-03-31	PRIJEM	\N	53	12361	UROK	\N	\N
3449332	3678	1996-04-30	PRIJEM	\N	67	16045	UROK	\N	\N
3449333	3678	1996-05-31	PRIJEM	\N	58	12460	UROK	\N	\N
3449334	3678	1996-06-30	PRIJEM	\N	71	14799	UROK	\N	\N
3449335	3678	1996-07-31	PRIJEM	\N	64	14280	UROK	\N	\N
3449336	3678	1996-08-31	PRIJEM	\N	63	14760	UROK	\N	\N
3449337	3678	1996-09-30	PRIJEM	\N	46	10623	UROK	\N	\N
3449338	3678	1996-10-31	PRIJEM	\N	45	6386	UROK	\N	\N
3449339	3678	1996-11-30	PRIJEM	\N	36	7839	UROK	\N	\N
3449340	3678	1996-12-31	PRIJEM	\N	40	10128	UROK	\N	\N
3449341	3678	1997-01-31	PRIJEM	\N	3	-692	UROK	\N	\N
3449342	3678	1997-01-31	VYDAJ	VYBER	4	-710	SANKC. UROK	\N	\N
3449343	3678	1997-02-28	PRIJEM	\N	2	-4076	UROK	\N	\N
3449344	3678	1997-02-28	VYDAJ	VYBER	19	-4095	SANKC. UROK	\N	\N
3449345	3678	1997-03-31	VYDAJ	VYBER	58	-7636	SANKC. UROK	\N	\N
3449346	3678	1997-04-30	VYDAJ	VYBER	76	-10294	SANKC. UROK	\N	\N
3449347	3678	1997-05-31	VYDAJ	VYBER	67	-6174	SANKC. UROK	\N	\N
3449348	3678	1997-06-30	PRIJEM	\N	1	-3505	UROK	\N	\N
3449349	3678	1997-06-30	VYDAJ	VYBER	36	-3556	SANKC. UROK	\N	\N
3449350	3678	1997-07-31	PRIJEM	\N	0	-5324	UROK	\N	\N
3449351	3678	1997-07-31	VYDAJ	VYBER	39	-5362	SANKC. UROK	\N	\N
3449352	3678	1997-08-31	VYDAJ	VYBER	62	-8107	SANKC. UROK	\N	\N
3449353	3678	1997-09-30	VYDAJ	VYBER	42	-3777	SANKC. UROK	\N	\N
3449354	3678	1997-10-31	PRIJEM	\N	0	-5944	UROK	\N	\N
3449355	3678	1997-10-31	VYDAJ	VYBER	39	-5983	SANKC. UROK	\N	\N
3449356	3678	1997-11-30	VYDAJ	VYBER	37	-4049	SANKC. UROK	\N	\N
3449357	3678	1997-12-31	PRIJEM	\N	3	-2963	UROK	\N	\N
3449358	3678	1997-12-31	VYDAJ	VYBER	22	-3000	SANKC. UROK	\N	\N
3449359	3678	1998-01-31	PRIJEM	\N	0	-5368	UROK	\N	\N
3449360	3678	1998-01-31	VYDAJ	VYBER	35	-5402	SANKC. UROK	\N	\N
3449361	3678	1998-02-28	VYDAJ	VYBER	58	-8158	SANKC. UROK	\N	\N
3449362	3678	1998-03-31	VYDAJ	VYBER	52	-5409	SANKC. UROK	\N	\N
3449363	3678	1998-04-30	VYDAJ	VYBER	50	-7042	SANKC. UROK	\N	\N
3449364	3678	1998-05-31	VYDAJ	VYBER	73	-9597	SANKC. UROK	\N	\N
3449365	3678	1998-06-30	VYDAJ	VYBER	61	-7104	SANKC. UROK	\N	\N
3449366	3678	1998-07-31	VYDAJ	VYBER	70	-9257	SANKC. UROK	\N	\N
3449367	3678	1998-08-31	VYDAJ	VYBER	51	-5007	SANKC. UROK	\N	\N
3449368	3678	1998-09-30	PRIJEM	\N	0	-6289	UROK	\N	\N
3449369	3678	1998-09-30	VYDAJ	VYBER	42	-6331	SANKC. UROK	\N	\N
3449370	3678	1998-10-31	VYDAJ	VYBER	42	-4601	SANKC. UROK	\N	\N
3449371	3678	1998-11-30	PRIJEM	\N	0	-7369	UROK	\N	\N
3449372	3678	1998-11-30	VYDAJ	VYBER	38	-7421	SANKC. UROK	\N	\N
3449373	3678	1998-12-31	PRIJEM	\N	0	-5637	UROK	\N	\N
3449374	3678	1998-12-31	VYDAJ	VYBER	43	-5680	SANKC. UROK	\N	\N
3449375	3689	1995-12-31	PRIJEM	\N	51	37734	UROK	\N	\N
3449376	3689	1996-01-31	PRIJEM	\N	161	45491	UROK	\N	\N
3449377	3689	1996-02-29	PRIJEM	\N	189	38480	UROK	\N	\N
3449378	3689	1996-03-31	PRIJEM	\N	189	34869	UROK	\N	\N
3449379	3689	1996-04-30	PRIJEM	\N	192	50356	UROK	\N	\N
3449380	3689	1996-05-31	PRIJEM	\N	209	39565	UROK	\N	\N
3449381	3689	1996-06-30	PRIJEM	\N	209	33974	UROK	\N	\N
3449382	3689	1996-07-31	PRIJEM	\N	206	57447	UROK	\N	\N
3449383	3689	1996-08-31	PRIJEM	\N	236	41369	UROK	\N	\N
3449384	3689	1996-09-30	PRIJEM	\N	140	39072	UROK	\N	\N
3449385	3689	1996-10-31	PRIJEM	\N	116	10733	UROK	\N	\N
3449386	3689	1996-10-31	VYDAJ	VYBER	2	10731	SANKC. UROK	\N	\N
3449387	3689	1996-11-30	PRIJEM	\N	45	11422	UROK	\N	\N
3449388	3689	1996-12-31	PRIJEM	\N	58	11205	UROK	\N	\N
3449389	3689	1997-01-31	PRIJEM	\N	37	1227	UROK	\N	\N
3449390	3689	1997-02-28	PRIJEM	\N	6	9019	UROK	\N	\N
3449391	3689	1997-03-31	PRIJEM	\N	112	32909	UROK	\N	\N
3449392	3689	1997-04-30	PRIJEM	\N	130	27385	UROK	\N	\N
3449393	3689	1997-05-31	PRIJEM	\N	183	35874	UROK	\N	\N
3449394	3689	1997-06-30	PRIJEM	\N	161	52549	UROK	\N	\N
3449395	3689	1997-07-31	PRIJEM	\N	216	50151	UROK	\N	\N
3449396	3689	1997-08-31	PRIJEM	\N	190	54201	UROK	\N	\N
3449397	3689	1997-09-30	PRIJEM	\N	207	43464	UROK	\N	\N
3449398	3689	1997-10-31	PRIJEM	\N	196	66845	UROK	\N	\N
3449399	3689	1997-11-30	PRIJEM	\N	185	20277	UROK	\N	\N
3449400	3689	1997-12-31	PRIJEM	\N	81	8143	UROK	\N	\N
3449401	3689	1998-01-31	PRIJEM	\N	186	86291	UROK	\N	\N
3449402	3689	1998-02-28	PRIJEM	\N	315	63768	UROK	\N	\N
3449403	3689	1998-03-31	PRIJEM	\N	306	89809	UROK	\N	\N
3449404	3689	1998-04-30	PRIJEM	\N	314	41321	UROK	\N	\N
3449405	3689	1998-05-31	PRIJEM	\N	98	10050	UROK	\N	\N
3449406	3689	1998-06-30	PRIJEM	\N	112	32991	UROK	\N	\N
3449407	3689	1998-07-31	PRIJEM	\N	197	75684	UROK	\N	\N
3449408	3689	1998-08-31	PRIJEM	\N	468	55939	UROK	\N	\N
3449409	3689	1998-09-30	PRIJEM	\N	203	57645	UROK	\N	\N
3449410	3689	1998-10-31	PRIJEM	\N	244	60432	UROK	\N	\N
3449411	3689	1998-11-30	PRIJEM	\N	203	53157	UROK	\N	\N
3449412	3689	1998-12-31	PRIJEM	\N	220	85515	UROK	\N	\N
3449431	3711	1997-05-31	PRIJEM	\N	35	11759	UROK	\N	\N
3449432	3711	1997-06-30	PRIJEM	\N	122	33666	UROK	\N	\N
3449433	3711	1997-07-31	PRIJEM	\N	140	28406	UROK	\N	\N
3449434	3711	1997-08-31	PRIJEM	\N	189	74427	UROK	\N	\N
3449435	3711	1997-09-30	PRIJEM	\N	280	82773	UROK	\N	\N
3449436	3711	1997-10-31	PRIJEM	\N	167	29778	UROK	\N	\N
3449437	3711	1997-11-30	PRIJEM	\N	43	5124	UROK	\N	\N
3449438	3711	1997-12-31	PRIJEM	\N	256	96130	UROK	\N	\N
3449439	3711	1998-01-31	PRIJEM	\N	146	16379	UROK	\N	\N
3449440	3711	1998-02-28	PRIJEM	\N	27	1008	UROK	\N	\N
3449441	3711	1998-03-31	PRIJEM	\N	5	-6002	UROK	\N	\N
3449442	3711	1998-03-31	VYDAJ	VYBER	2	-6004	SANKC. UROK	\N	\N
3449443	3711	1998-04-30	VYDAJ	VYBER	57	-6076	SANKC. UROK	\N	\N
3449444	3711	1998-06-30	VYDAJ	VYBER	59	-6236	SANKC. UROK	\N	\N
3449445	3711	1998-06-30	VYDAJ	VYBER	57	-6162	SANKC. UROK	\N	\N
3449446	3711	1998-07-31	VYDAJ	VYBER	19	-1369	SANKC. UROK	\N	\N
3449447	3711	1998-08-31	PRIJEM	\N	2	8550	UROK	\N	\N
3449448	3711	1998-08-31	VYDAJ	VYBER	26	8509	SANKC. UROK	\N	\N
3449449	3711	1998-09-30	PRIJEM	\N	15	-4259	UROK	\N	\N
3449450	3711	1998-09-30	VYDAJ	VYBER	23	8504	SANKC. UROK	\N	\N
3449451	3711	1998-10-31	PRIJEM	\N	16	10037	UROK	\N	\N
3449452	3711	1998-10-31	VYDAJ	VYBER	34	9988	SANKC. UROK	\N	\N
3449453	3711	1998-11-30	PRIJEM	\N	25	10830	UROK	\N	\N
3449454	3711	1998-11-30	VYDAJ	VYBER	15	10801	SANKC. UROK	\N	\N
3449455	3711	1998-12-31	PRIJEM	\N	17	-2365	UROK	\N	\N
3449456	3711	1998-12-31	VYDAJ	VYBER	12	-2377	SANKC. UROK	\N	\N
3449457	3734	1993-03-31	PRIJEM	\N	18	5957	UROK	\N	\N
3449458	3734	1993-04-30	PRIJEM	\N	67	19663	UROK	\N	\N
3449459	3734	1993-05-31	PRIJEM	\N	106	27508	UROK	\N	\N
3449460	3734	1993-06-30	PRIJEM	\N	140	35855	UROK	\N	\N
3449461	3734	1993-07-31	PRIJEM	\N	144	34138	UROK	\N	\N
3449462	3734	1993-08-31	PRIJEM	\N	140	33602	UROK	\N	\N
3449463	3734	1993-09-30	PRIJEM	\N	143	30970	UROK	\N	\N
3449464	3734	1993-10-31	PRIJEM	\N	140	34634	UROK	\N	\N
3449465	3734	1993-11-30	PRIJEM	\N	121	28579	UROK	\N	\N
3449466	3734	1993-12-31	PRIJEM	\N	130	31702	UROK	\N	\N
3449467	3734	1994-01-31	PRIJEM	\N	88	15015	UROK	\N	\N
3449468	3734	1994-02-28	PRIJEM	\N	91	24730	UROK	\N	\N
3449469	3734	1994-03-31	PRIJEM	\N	119	30174	UROK	\N	\N
3449470	3734	1994-04-30	PRIJEM	\N	134	32032	UROK	\N	\N
3449471	3734	1994-05-31	PRIJEM	\N	141	34598	UROK	\N	\N
3449472	3734	1994-06-30	PRIJEM	\N	124	8415	UROK	\N	\N
3449473	3734	1994-07-31	PRIJEM	\N	58	13597	UROK	\N	\N
3449474	3734	1994-08-31	PRIJEM	\N	73	22794	UROK	\N	\N
3449475	3734	1994-09-30	PRIJEM	\N	95	25314	UROK	\N	\N
3449476	3734	1994-10-31	PRIJEM	\N	107	29845	UROK	\N	\N
3449477	3734	1994-11-30	PRIJEM	\N	124	30094	UROK	\N	\N
3449478	3734	1994-12-31	PRIJEM	\N	136	31923	UROK	\N	\N
3449479	3734	1995-01-31	PRIJEM	\N	118	24565	UROK	\N	\N
3449480	3734	1995-02-28	PRIJEM	\N	103	27092	UROK	\N	\N
3449481	3734	1995-03-31	PRIJEM	\N	114	29530	UROK	\N	\N
3449482	3734	1995-04-30	PRIJEM	\N	123	30278	UROK	\N	\N
3449483	3734	1995-05-31	PRIJEM	\N	125	29327	UROK	\N	\N
3449484	3734	1995-06-30	PRIJEM	\N	126	27046	UROK	\N	\N
3449485	3734	1995-07-31	PRIJEM	\N	116	26286	UROK	\N	\N
3449486	3734	1995-08-31	PRIJEM	\N	108	24919	UROK	\N	\N
3449487	3734	1995-09-30	PRIJEM	\N	107	29150	UROK	\N	\N
3449488	3734	1995-10-31	PRIJEM	\N	120	28394	UROK	\N	\N
3449489	3734	1995-11-30	PRIJEM	\N	117	28236	UROK	\N	\N
3449490	3734	1995-12-31	PRIJEM	\N	121	31350	UROK	\N	\N
3449491	3734	1996-01-31	PRIJEM	\N	102	16876	UROK	\N	\N
3449492	3734	1996-02-29	PRIJEM	\N	75	21175	UROK	\N	\N
3449493	3734	1996-03-31	PRIJEM	\N	88	21988	UROK	\N	\N
3449494	3734	1996-04-30	PRIJEM	\N	91	22703	UROK	\N	\N
3449495	3734	1996-05-31	PRIJEM	\N	94	27722	UROK	\N	\N
3449496	3734	1996-06-30	PRIJEM	\N	96	21011	UROK	\N	\N
3449497	3734	1996-07-31	PRIJEM	\N	89	22825	UROK	\N	\N
3449498	3734	1996-08-31	PRIJEM	\N	104	25853	UROK	\N	\N
3449499	3734	1996-09-30	PRIJEM	\N	101	22878	UROK	\N	\N
3449500	3734	1996-10-31	PRIJEM	\N	94	22896	UROK	\N	\N
3449501	3734	1996-11-30	PRIJEM	\N	82	17103	UROK	\N	\N
3449502	3734	1996-12-31	PRIJEM	\N	63	9759	UROK	\N	\N
3449503	3734	1997-01-31	PRIJEM	\N	23	206	UROK	\N	\N
3449504	3734	1997-01-31	VYDAJ	VYBER	0	206	SANKC. UROK	\N	\N
3449505	3734	1997-02-28	PRIJEM	\N	6	3236	UROK	\N	\N
3449506	3734	1997-02-28	VYDAJ	VYBER	1	3220	SANKC. UROK	\N	\N
3449507	3734	1997-03-31	PRIJEM	\N	16	5475	UROK	\N	\N
3449508	3734	1997-04-30	PRIJEM	\N	24	6323	UROK	\N	\N
3449509	3734	1997-05-31	PRIJEM	\N	33	10280	UROK	\N	\N
3449510	3734	1997-06-30	PRIJEM	\N	40	10013	UROK	\N	\N
3449511	3734	1997-07-31	PRIJEM	\N	28	5066	UROK	\N	\N
3449512	3734	1997-08-31	PRIJEM	\N	22	6512	UROK	\N	\N
3449513	3734	1997-09-30	PRIJEM	\N	21	5458	UROK	\N	\N
3449514	3734	1997-10-31	PRIJEM	\N	11	3493	UROK	\N	\N
3449515	3734	1997-11-30	PRIJEM	\N	20	6637	UROK	\N	\N
3449516	3734	1997-12-31	PRIJEM	\N	25	6156	UROK	\N	\N
3449517	3734	1998-01-31	PRIJEM	\N	4	-1215	UROK	\N	\N
3449518	3734	1998-01-31	VYDAJ	VYBER	9	-1239	SANKC. UROK	\N	\N
3449519	3734	1998-02-28	PRIJEM	\N	1	-399	UROK	\N	\N
3449520	3734	1998-02-28	VYDAJ	VYBER	10	-423	SANKC. UROK	\N	\N
3449521	3734	1998-03-31	PRIJEM	\N	1	4516	UROK	\N	\N
3449522	3734	1998-03-31	VYDAJ	VYBER	11	4490	SANKC. UROK	\N	\N
3449523	3734	1998-04-30	PRIJEM	\N	15	4545	UROK	\N	\N
3449524	3734	1998-05-31	PRIJEM	\N	8	1776	UROK	\N	\N
3449525	3734	1998-06-30	PRIJEM	\N	1	-329	UROK	\N	\N
3449526	3734	1998-06-30	VYDAJ	VYBER	2	-346	SANKC. UROK	\N	\N
3449527	3734	1998-07-31	VYDAJ	VYBER	49	-5456	SANKC. UROK	\N	\N
3449528	3734	1998-08-31	VYDAJ	VYBER	54	-4070	SANKC. UROK	\N	\N
3449529	3734	1998-09-30	VYDAJ	VYBER	48	-3679	SANKC. UROK	\N	\N
3449530	3734	1998-10-31	VYDAJ	VYBER	24	-564	SANKC. UROK	\N	\N
3449531	3734	1998-11-30	VYDAJ	VYBER	51	-5290	SANKC. UROK	\N	\N
3449532	3734	1998-12-31	VYDAJ	VYBER	65	-5447	SANKC. UROK	\N	\N
3449567	3786	1993-07-31	PRIJEM	\N	68	62835	UROK	\N	\N
3449568	3786	1993-08-31	PRIJEM	\N	262	43496	UROK	\N	\N
3449569	3786	1993-09-30	PRIJEM	\N	294	57495	UROK	\N	\N
3449570	3786	1993-10-31	PRIJEM	\N	296	54470	UROK	\N	\N
3449571	3786	1993-11-30	PRIJEM	\N	185	21376	UROK	\N	\N
3449572	3786	1993-12-31	PRIJEM	\N	103	51800	UROK	\N	\N
3449573	3786	1994-01-31	PRIJEM	\N	180	54446	UROK	\N	\N
3449574	3786	1994-02-28	PRIJEM	\N	242	70234	UROK	\N	\N
3449575	3786	1994-03-31	PRIJEM	\N	127	25989	UROK	\N	\N
3449576	3786	1994-04-30	PRIJEM	\N	107	45641	UROK	\N	\N
3449577	3786	1994-05-31	PRIJEM	\N	313	97476	UROK	\N	\N
3449578	3786	1994-06-30	PRIJEM	\N	328	54420	UROK	\N	\N
3449579	3786	1994-07-31	PRIJEM	\N	175	28399	UROK	\N	\N
3449580	3786	1994-08-31	PRIJEM	\N	127	34525	UROK	\N	\N
3449581	3786	1994-09-30	PRIJEM	\N	143	30153	UROK	\N	\N
3449582	3786	1994-10-31	PRIJEM	\N	125	26463	UROK	\N	\N
3449583	3786	1994-11-30	PRIJEM	\N	149	44878	UROK	\N	\N
3449584	3786	1994-12-31	PRIJEM	\N	107	13518	UROK	\N	\N
3449585	3786	1995-01-31	PRIJEM	\N	20	2723	UROK	\N	\N
3449586	3786	1995-01-31	VYDAJ	VYBER	3	2720	SANKC. UROK	\N	\N
3449587	3786	1995-02-28	PRIJEM	\N	77	33506	UROK	\N	\N
3449588	3786	1995-03-31	PRIJEM	\N	253	40519	UROK	\N	\N
3449589	3786	1995-04-30	PRIJEM	\N	159	35095	UROK	\N	\N
3449590	3786	1995-05-31	PRIJEM	\N	154	51256	UROK	\N	\N
3449591	3786	1995-06-30	PRIJEM	\N	173	7453	UROK	\N	\N
3449592	3786	1995-07-31	PRIJEM	\N	73	23586	UROK	\N	\N
3449593	3786	1995-08-31	PRIJEM	\N	147	60518	UROK	\N	\N
3449594	3786	1995-09-30	PRIJEM	\N	136	20373	UROK	\N	\N
3449595	3786	1995-10-31	PRIJEM	\N	121	33176	UROK	\N	\N
3449596	3786	1995-11-30	PRIJEM	\N	157	55854	UROK	\N	\N
3449597	3786	1995-12-31	PRIJEM	\N	206	55369	UROK	\N	\N
3449598	3786	1996-01-31	PRIJEM	\N	195	74755	UROK	\N	\N
3449599	3786	1996-02-29	PRIJEM	\N	318	90758	UROK	\N	\N
3449600	3786	1996-03-31	PRIJEM	\N	356	51275	UROK	\N	\N
3449601	3786	1996-04-30	PRIJEM	\N	117	24399	UROK	\N	\N
3449602	3786	1996-05-31	PRIJEM	\N	160	58328	UROK	\N	\N
3449603	3786	1996-06-30	PRIJEM	\N	137	28436	UROK	\N	\N
3449604	3786	1996-07-31	PRIJEM	\N	65	5787	UROK	\N	\N
3449605	3786	1996-08-31	PRIJEM	\N	22	7395	UROK	\N	\N
3449606	3786	1996-09-30	PRIJEM	\N	29	3547	UROK	\N	\N
3449607	3786	1996-10-31	PRIJEM	\N	105	36595	UROK	\N	\N
3449608	3786	1996-11-30	PRIJEM	\N	148	22129	UROK	\N	\N
3449609	3786	1996-12-31	PRIJEM	\N	52	49093	UROK	\N	\N
3449610	3786	1997-01-31	PRIJEM	\N	258	45869	UROK	\N	\N
3449611	3786	1997-02-28	PRIJEM	\N	52	7467	UROK	\N	\N
3449612	3786	1997-03-31	PRIJEM	\N	96	47482	UROK	\N	\N
3449613	3786	1997-04-30	PRIJEM	\N	419	101944	UROK	\N	\N
3449614	3786	1997-05-31	PRIJEM	\N	274	62880	UROK	\N	\N
3449615	3786	1997-06-30	PRIJEM	\N	110	5640	UROK	\N	\N
3449616	3786	1997-07-31	PRIJEM	\N	20	5246	UROK	\N	\N
3449617	3786	1997-08-31	PRIJEM	\N	62	36778	UROK	\N	\N
3449618	3786	1997-09-30	PRIJEM	\N	154	16796	UROK	\N	\N
3449619	3786	1997-10-31	PRIJEM	\N	287	41917	UROK	\N	\N
3449620	3786	1997-11-30	PRIJEM	\N	232	31052	UROK	\N	\N
3449621	3786	1997-12-31	PRIJEM	\N	350	27610	UROK	\N	\N
3449622	3786	1998-01-31	PRIJEM	\N	180	14374	UROK	\N	\N
3449623	3786	1998-02-28	PRIJEM	\N	49	-2718	UROK	\N	\N
3449624	3786	1998-02-28	VYDAJ	VYBER	4	-2722	SANKC. UROK	\N	\N
3449625	3786	1998-03-31	PRIJEM	\N	346	51954	UROK	\N	\N
3449626	3786	1998-03-31	VYDAJ	VYBER	10	51929	SANKC. UROK	\N	\N
3449627	3786	1998-04-30	PRIJEM	\N	200	31836	UROK	\N	\N
3449628	3786	1998-05-31	PRIJEM	\N	142	5013	UROK	\N	\N
3449629	3786	1998-06-30	PRIJEM	\N	256	35494	UROK	\N	\N
3449630	3786	1998-07-31	PRIJEM	\N	203	80935	UROK	\N	\N
3449631	3786	1998-08-31	PRIJEM	\N	359	47007	UROK	\N	\N
3449632	3786	1998-09-30	PRIJEM	\N	254	38984	UROK	\N	\N
3449633	3786	1998-10-31	PRIJEM	\N	170	56390	UROK	\N	\N
3449634	3786	1998-11-30	PRIJEM	\N	202	32838	UROK	\N	\N
3449635	3786	1998-12-31	PRIJEM	\N	210	60662	UROK	\N	\N
3449636	3859	1996-05-31	PRIJEM	\N	43	35333	UROK	\N	\N
3449637	3859	1996-06-30	PRIJEM	\N	152	44572	UROK	\N	\N
3449638	3859	1996-07-31	PRIJEM	\N	200	55991	UROK	\N	\N
3449639	3859	1996-08-31	PRIJEM	\N	225	49112	UROK	\N	\N
3449640	3859	1996-09-30	PRIJEM	\N	230	69835	UROK	\N	\N
3449641	3859	1996-10-31	PRIJEM	\N	200	32840	UROK	\N	\N
3449642	3859	1996-11-30	PRIJEM	\N	334	73874	UROK	\N	\N
3449643	3859	1996-12-31	PRIJEM	\N	333	61567	UROK	\N	\N
3449644	3859	1997-01-31	PRIJEM	\N	90	602	UROK	\N	\N
3449645	3859	1997-02-28	PRIJEM	\N	4	11891	UROK	\N	\N
3449646	3859	1997-03-31	PRIJEM	\N	50	12326	UROK	\N	\N
3449647	3859	1997-04-30	PRIJEM	\N	47	10058	UROK	\N	\N
3449648	3859	1997-05-31	PRIJEM	\N	39	8862	UROK	\N	\N
3449649	3859	1997-06-30	PRIJEM	\N	28	4776	UROK	\N	\N
3449650	3859	1997-07-31	PRIJEM	\N	61	17231	UROK	\N	\N
3449651	3859	1997-08-31	PRIJEM	\N	52	8248	UROK	\N	\N
3449652	3859	1997-09-30	PRIJEM	\N	27	140	UROK	\N	\N
3449653	3859	1997-09-30	VYDAJ	VYBER	0	140	SANKC. UROK	\N	\N
3449654	3859	1997-10-31	PRIJEM	\N	0	2426	UROK	\N	\N
3449655	3859	1997-10-31	VYDAJ	VYBER	1	2425	SANKC. UROK	\N	\N
3449656	3859	1997-11-30	PRIJEM	\N	9	2019	UROK	\N	\N
3449657	3859	1997-12-31	PRIJEM	\N	7	212	UROK	\N	\N
3449658	3859	1997-12-31	VYDAJ	VYBER	0	197	SANKC. UROK	\N	\N
3449659	3859	1998-01-31	PRIJEM	\N	21	38390	UROK	\N	\N
3449660	3859	1998-01-31	VYDAJ	VYBER	1	38374	SANKC. UROK	\N	\N
3449661	3859	1998-02-28	PRIJEM	\N	136	16217	UROK	\N	\N
3449662	3859	1998-03-31	PRIJEM	\N	54	9037	UROK	\N	\N
3449663	3859	1998-04-30	PRIJEM	\N	125	7626	UROK	\N	\N
3449664	3859	1998-05-31	PRIJEM	\N	46	84682	UROK	\N	\N
3449665	3859	1998-06-30	PRIJEM	\N	209	17657	UROK	\N	\N
3449666	3859	1998-07-31	PRIJEM	\N	183	69313	UROK	\N	\N
3449667	3859	1998-08-31	PRIJEM	\N	173	40819	UROK	\N	\N
3449668	3859	1998-09-30	PRIJEM	\N	48	652	UROK	\N	\N
3449669	3859	1998-10-31	PRIJEM	\N	86	-2270	UROK	\N	\N
3449670	3859	1998-11-30	PRIJEM	\N	121	-6849	UROK	\N	\N
3449671	3859	1998-12-31	PRIJEM	\N	106	20411	UROK	\N	\N
3449672	3953	1997-07-31	PRIJEM	\N	71	33157	UROK	\N	\N
3449673	3953	1997-08-31	PRIJEM	\N	180	51794	UROK	\N	\N
3449674	3953	1997-09-30	PRIJEM	\N	241	63001	UROK	\N	\N
3449675	3953	1997-10-31	PRIJEM	\N	269	66797	UROK	\N	\N
3449676	3953	1997-11-30	PRIJEM	\N	291	67135	UROK	\N	\N
3449677	3953	1997-12-31	PRIJEM	\N	229	47028	UROK	\N	\N
3449678	3953	1998-01-31	PRIJEM	\N	157	21119	UROK	\N	\N
3449679	3953	1998-02-28	PRIJEM	\N	150	48388	UROK	\N	\N
3449680	3953	1998-03-31	PRIJEM	\N	223	58403	UROK	\N	\N
3449681	3953	1998-04-30	PRIJEM	\N	204	52417	UROK	\N	\N
3449682	3953	1998-05-31	PRIJEM	\N	266	57257	UROK	\N	\N
3449683	3953	1998-06-30	PRIJEM	\N	165	534	UROK	\N	\N
3449684	3953	1998-06-30	VYDAJ	VYBER	6	508	SANKC. UROK	\N	\N
3449685	3953	1998-07-31	PRIJEM	\N	135	47829	UROK	\N	\N
3449686	3953	1998-07-31	VYDAJ	VYBER	7	47936	SANKC. UROK	\N	\N
3449687	3953	1998-08-31	PRIJEM	\N	258	69211	UROK	\N	\N
3449688	3953	1998-09-30	PRIJEM	\N	322	81804	UROK	\N	\N
3449689	3953	1998-10-31	PRIJEM	\N	341	87041	UROK	\N	\N
3449690	3953	1998-11-30	PRIJEM	\N	357	85727	UROK	\N	\N
3449691	3953	1998-12-31	PRIJEM	\N	331	70457	UROK	\N	\N
3449692	3959	1997-03-31	PRIJEM	\N	40	20046	UROK	\N	\N
3449693	3959	1997-04-30	PRIJEM	\N	109	32161	UROK	\N	\N
3449694	3959	1997-05-31	PRIJEM	\N	143	36409	UROK	\N	\N
3449695	3959	1997-06-30	PRIJEM	\N	159	40178	UROK	\N	\N
3449696	3959	1997-07-31	PRIJEM	\N	171	42155	UROK	\N	\N
3449697	3959	1997-08-31	PRIJEM	\N	181	44412	UROK	\N	\N
3449698	3959	1997-09-30	PRIJEM	\N	181	43169	UROK	\N	\N
3449699	3959	1997-10-31	PRIJEM	\N	183	44628	UROK	\N	\N
3449700	3959	1997-11-30	PRIJEM	\N	163	35867	UROK	\N	\N
3449701	3959	1997-12-31	PRIJEM	\N	157	33203	UROK	\N	\N
3449702	3959	1998-01-31	PRIJEM	\N	41	4220	UROK	\N	\N
3449703	3959	1998-01-31	VYDAJ	VYBER	1	4189	SANKC. UROK	\N	\N
3449704	3959	1998-02-28	PRIJEM	\N	96	14690	UROK	\N	\N
3449705	3959	1998-03-31	PRIJEM	\N	91	25857	UROK	\N	\N
3449706	3959	1998-04-30	PRIJEM	\N	121	12381	UROK	\N	\N
3449707	3959	1998-05-31	PRIJEM	\N	57	2694	UROK	\N	\N
3449708	3959	1998-06-30	PRIJEM	\N	108	37681	UROK	\N	\N
3449709	3959	1998-07-31	PRIJEM	\N	166	41799	UROK	\N	\N
3449710	3959	1998-08-31	PRIJEM	\N	179	44454	UROK	\N	\N
3449711	3959	1998-09-30	PRIJEM	\N	165	35225	UROK	\N	\N
3449712	3959	1998-10-31	PRIJEM	\N	105	23520	UROK	\N	\N
3449713	3959	1998-11-30	PRIJEM	\N	100	27055	UROK	\N	\N
3449714	3959	1998-12-31	PRIJEM	\N	131	32562	UROK	\N	\N
3449715	3965	1993-05-31	PRIJEM	\N	49	14746	UROK	\N	\N
3449716	3965	1993-06-30	PRIJEM	\N	148	40941	UROK	\N	\N
3449717	3965	1993-07-31	PRIJEM	\N	192	47530	UROK	\N	\N
3449718	3965	1993-08-31	PRIJEM	\N	201	48627	UROK	\N	\N
3449719	3965	1993-09-30	PRIJEM	\N	187	30784	UROK	\N	\N
3449720	3965	1993-10-31	PRIJEM	\N	147	36713	UROK	\N	\N
3449721	3965	1993-11-30	PRIJEM	\N	152	46948	UROK	\N	\N
3449722	3965	1993-12-31	PRIJEM	\N	145	20009	UROK	\N	\N
3449723	3965	1994-01-31	PRIJEM	\N	52	13443	UROK	\N	\N
3449724	3965	1994-02-28	PRIJEM	\N	58	27583	UROK	\N	\N
3449725	3965	1994-03-31	PRIJEM	\N	117	34882	UROK	\N	\N
3449726	3965	1994-04-30	PRIJEM	\N	146	38311	UROK	\N	\N
3449727	3965	1994-05-31	PRIJEM	\N	159	36852	UROK	\N	\N
3449728	3965	1994-06-30	PRIJEM	\N	153	32780	UROK	\N	\N
3449729	3965	1994-07-31	PRIJEM	\N	137	34900	UROK	\N	\N
3449730	3965	1994-08-31	PRIJEM	\N	85	13950	UROK	\N	\N
3449731	3965	1994-09-30	PRIJEM	\N	70	20221	UROK	\N	\N
3449732	3965	1994-10-31	PRIJEM	\N	90	23493	UROK	\N	\N
3449733	3965	1994-11-30	PRIJEM	\N	101	27576	UROK	\N	\N
3449734	3965	1994-12-31	PRIJEM	\N	149	32456	UROK	\N	\N
3449735	3965	1995-01-31	PRIJEM	\N	117	-345	UROK	\N	\N
3449736	3965	1995-01-31	VYDAJ	VYBER	1	-346	SANKC. UROK	\N	\N
3449737	3965	1995-02-28	PRIJEM	\N	14	16151	UROK	\N	\N
3449738	3965	1995-02-28	VYDAJ	VYBER	4	16147	SANKC. UROK	\N	\N
3449739	3965	1995-03-31	PRIJEM	\N	74	23903	UROK	\N	\N
3449740	3965	1995-04-30	PRIJEM	\N	115	24349	UROK	\N	\N
3449741	3965	1995-05-31	PRIJEM	\N	101	21227	UROK	\N	\N
3449742	3965	1995-06-30	PRIJEM	\N	86	20344	UROK	\N	\N
3449743	3965	1995-07-31	PRIJEM	\N	94	28520	UROK	\N	\N
3449744	3965	1995-08-31	PRIJEM	\N	123	32225	UROK	\N	\N
3449745	3965	1995-09-30	PRIJEM	\N	113	10319	UROK	\N	\N
3449746	3965	1995-10-31	PRIJEM	\N	53	16125	UROK	\N	\N
3449747	3965	1995-11-30	PRIJEM	\N	36	119	UROK	\N	\N
3449748	3965	1995-11-30	VYDAJ	VYBER	1	103	SANKC. UROK	\N	\N
3449749	3965	1995-12-31	PRIJEM	\N	25	15175	UROK	\N	\N
3449750	3965	1995-12-31	VYDAJ	VYBER	1	15174	SANKC. UROK	\N	\N
3449751	3965	1996-01-31	PRIJEM	\N	28	-1816	UROK	\N	\N
3449752	3965	1996-01-31	VYDAJ	VYBER	7	-1823	SANKC. UROK	\N	\N
3449753	3965	1996-02-29	PRIJEM	\N	23	13883	UROK	\N	\N
3449754	3965	1996-02-29	VYDAJ	VYBER	13	13870	SANKC. UROK	\N	\N
3449755	3965	1996-03-31	PRIJEM	\N	88	22841	UROK	\N	\N
3449756	3965	1996-04-30	PRIJEM	\N	109	31432	UROK	\N	\N
3449757	3965	1996-05-31	PRIJEM	\N	140	36954	UROK	\N	\N
3449758	3965	1996-06-30	PRIJEM	\N	155	38541	UROK	\N	\N
3449759	3965	1996-07-31	PRIJEM	\N	127	10242	UROK	\N	\N
3449760	3965	1996-08-31	PRIJEM	\N	81	28806	UROK	\N	\N
3449761	3965	1996-09-30	PRIJEM	\N	143	40131	UROK	\N	\N
3449762	3965	1996-10-31	PRIJEM	\N	130	18060	UROK	\N	\N
3449763	3965	1996-11-30	PRIJEM	\N	116	5720	UROK	\N	\N
3449764	3965	1996-12-31	PRIJEM	\N	86	25938	UROK	\N	\N
3449765	3965	1997-01-31	PRIJEM	\N	55	5875	UROK	\N	\N
3449766	3965	1997-01-31	VYDAJ	VYBER	0	5875	SANKC. UROK	\N	\N
3449767	3965	1997-02-28	PRIJEM	\N	85	30943	UROK	\N	\N
3449768	3965	1997-03-31	PRIJEM	\N	151	41377	UROK	\N	\N
3449769	3965	1997-04-30	PRIJEM	\N	168	29679	UROK	\N	\N
3449770	3965	1997-05-31	PRIJEM	\N	138	32204	UROK	\N	\N
3449771	3965	1997-06-30	PRIJEM	\N	148	1631	UROK	\N	\N
3449772	3965	1997-07-31	PRIJEM	\N	54	17550	UROK	\N	\N
3449773	3965	1997-08-31	PRIJEM	\N	115	33347	UROK	\N	\N
3449774	3965	1997-09-30	PRIJEM	\N	166	43896	UROK	\N	\N
3449775	3965	1997-10-31	PRIJEM	\N	185	42663	UROK	\N	\N
3449776	3965	1997-11-30	PRIJEM	\N	197	50142	UROK	\N	\N
3449777	3965	1997-12-31	PRIJEM	\N	203	45577	UROK	\N	\N
3449778	3965	1998-01-31	PRIJEM	\N	148	18007	UROK	\N	\N
3449779	3965	1998-02-28	PRIJEM	\N	111	43500	UROK	\N	\N
3449780	3965	1998-03-31	PRIJEM	\N	200	50783	UROK	\N	\N
3449781	3965	1998-04-30	PRIJEM	\N	210	42475	UROK	\N	\N
3449782	3965	1998-05-31	PRIJEM	\N	183	45741	UROK	\N	\N
3449783	3965	1998-06-30	PRIJEM	\N	223	56795	UROK	\N	\N
3449784	3965	1998-07-31	PRIJEM	\N	279	56856	UROK	\N	\N
3449785	3965	1998-08-31	PRIJEM	\N	277	70115	UROK	\N	\N
3449786	3965	1998-09-30	PRIJEM	\N	289	71586	UROK	\N	\N
3449787	3965	1998-10-31	PRIJEM	\N	298	68767	UROK	\N	\N
3449788	3965	1998-11-30	PRIJEM	\N	285	69934	UROK	\N	\N
3449789	3965	1998-12-31	PRIJEM	\N	316	77281	UROK	\N	\N
3449790	3967	1996-10-31	PRIJEM	\N	22	41347	UROK	\N	\N
3449791	3967	1996-11-30	PRIJEM	\N	188	58280	UROK	\N	\N
3449792	3967	1996-12-31	PRIJEM	\N	235	82713	UROK	\N	\N
3449793	3967	1997-01-31	PRIJEM	\N	217	8402	UROK	\N	\N
3449794	3967	1997-02-28	PRIJEM	\N	43	13530	UROK	\N	\N
3449795	3967	1997-03-31	PRIJEM	\N	61	16977	UROK	\N	\N
3449796	3967	1997-04-30	PRIJEM	\N	53	8334	UROK	\N	\N
3449797	3967	1997-05-31	PRIJEM	\N	89	29225	UROK	\N	\N
3449798	3967	1997-06-30	PRIJEM	\N	115	18583	UROK	\N	\N
3449799	3967	1997-07-31	PRIJEM	\N	84	22203	UROK	\N	\N
3449800	3967	1997-08-31	PRIJEM	\N	74	18913	UROK	\N	\N
3449801	3967	1997-09-30	PRIJEM	\N	66	21346	UROK	\N	\N
3449802	3967	1997-10-31	PRIJEM	\N	208	60558	UROK	\N	\N
3449803	3967	1997-11-30	PRIJEM	\N	238	35008	UROK	\N	\N
3449804	3967	1997-12-31	PRIJEM	\N	178	70902	UROK	\N	\N
3449805	3967	1998-01-31	PRIJEM	\N	157	19094	UROK	\N	\N
3449806	3967	1998-02-28	PRIJEM	\N	199	69392	UROK	\N	\N
3449807	3967	1998-03-31	PRIJEM	\N	305	69104	UROK	\N	\N
3449808	3967	1998-04-30	PRIJEM	\N	216	41860	UROK	\N	\N
3449809	3967	1998-05-31	PRIJEM	\N	200	51658	UROK	\N	\N
3449810	3967	1998-06-30	PRIJEM	\N	271	90247	UROK	\N	\N
3449811	3967	1998-07-31	PRIJEM	\N	325	63735	UROK	\N	\N
3449812	3967	1998-08-31	PRIJEM	\N	302	109074	UROK	\N	\N
3449813	3967	1998-09-30	PRIJEM	\N	320	100294	UROK	\N	\N
3449814	3967	1998-10-31	PRIJEM	\N	400	109987	UROK	\N	\N
3449815	3967	1998-11-30	PRIJEM	\N	339	102108	UROK	\N	\N
3449816	3967	1998-12-31	PRIJEM	\N	369	85376	UROK	\N	\N
3449817	4014	1995-05-31	PRIJEM	\N	42	22193	UROK	\N	\N
3449818	4014	1995-06-30	PRIJEM	\N	92	24785	UROK	\N	\N
3449819	4014	1995-07-31	PRIJEM	\N	92	24077	UROK	\N	\N
3449820	4014	1995-08-31	PRIJEM	\N	116	31567	UROK	\N	\N
3449821	4014	1995-09-30	PRIJEM	\N	210	87275	UROK	\N	\N
3449822	4014	1995-10-31	PRIJEM	\N	318	64293	UROK	\N	\N
3449823	4014	1995-11-30	PRIJEM	\N	317	83935	UROK	\N	\N
3449824	4014	1995-12-31	PRIJEM	\N	250	31535	UROK	\N	\N
3449825	4014	1996-01-31	PRIJEM	\N	61	-2804	UROK	\N	\N
3449826	4014	1996-01-31	VYDAJ	VYBER	10	-2814	SANKC. UROK	\N	\N
3449827	4014	1996-02-29	PRIJEM	\N	162	78812	UROK	\N	\N
3449828	4014	1996-02-29	VYDAJ	VYBER	7	78705	SANKC. UROK	\N	\N
3449829	4014	1996-03-31	PRIJEM	\N	433	108392	UROK	\N	\N
3449830	4014	1996-04-30	PRIJEM	\N	443	73620	UROK	\N	\N
3449831	4014	1996-05-31	PRIJEM	\N	309	86764	UROK	\N	\N
3449832	4014	1996-06-30	PRIJEM	\N	225	36221	UROK	\N	\N
3449833	4014	1996-07-31	PRIJEM	\N	202	55481	UROK	\N	\N
3449834	4014	1996-08-31	PRIJEM	\N	296	93446	UROK	\N	\N
3449835	4014	1996-09-30	PRIJEM	\N	303	81225	UROK	\N	\N
3449836	4014	1996-10-31	PRIJEM	\N	302	64073	UROK	\N	\N
3449837	4014	1996-11-30	PRIJEM	\N	73	6209	UROK	\N	\N
3449838	4014	1996-12-31	PRIJEM	\N	26	35497	UROK	\N	\N
3449839	4014	1997-01-31	PRIJEM	\N	45	17620	UROK	\N	\N
3449840	4014	1997-02-28	PRIJEM	\N	110	60645	UROK	\N	\N
3449841	4014	1997-03-31	PRIJEM	\N	196	44435	UROK	\N	\N
3449842	4014	1997-04-30	PRIJEM	\N	178	23511	UROK	\N	\N
3449843	4014	1997-05-31	PRIJEM	\N	142	27635	UROK	\N	\N
3449844	4014	1997-06-30	PRIJEM	\N	174	41529	UROK	\N	\N
3449845	4014	1997-07-31	PRIJEM	\N	225	98941	UROK	\N	\N
3449846	4014	1997-08-31	PRIJEM	\N	389	87028	UROK	\N	\N
3449847	4014	1997-09-30	PRIJEM	\N	144	13464	UROK	\N	\N
3449848	4014	1997-10-31	PRIJEM	\N	164	58180	UROK	\N	\N
3449849	4014	1997-11-30	PRIJEM	\N	188	97532	UROK	\N	\N
3449850	4014	1997-12-31	PRIJEM	\N	241	40329	UROK	\N	\N
3449851	4014	1998-01-31	PRIJEM	\N	61	18003	UROK	\N	\N
3449852	4014	1998-02-28	PRIJEM	\N	321	94603	UROK	\N	\N
3449853	4014	1998-03-31	PRIJEM	\N	245	50925	UROK	\N	\N
3449854	4014	1998-04-30	PRIJEM	\N	241	85540	UROK	\N	\N
3449855	4014	1998-05-31	PRIJEM	\N	344	58533	UROK	\N	\N
3449856	4014	1998-06-30	PRIJEM	\N	195	30980	UROK	\N	\N
3449857	4014	1998-07-31	PRIJEM	\N	134	46678	UROK	\N	\N
3449858	4014	1998-08-31	PRIJEM	\N	190	43068	UROK	\N	\N
3449859	4014	1998-09-30	PRIJEM	\N	328	107976	UROK	\N	\N
3449860	4014	1998-10-31	PRIJEM	\N	408	70572	UROK	\N	\N
3449861	4014	1998-11-30	PRIJEM	\N	371	72446	UROK	\N	\N
3449862	4014	1998-12-31	PRIJEM	\N	284	68430	UROK	\N	\N
3449863	4034	1993-02-28	PRIJEM	\N	24	13304	UROK	\N	\N
3449864	4034	1993-03-31	PRIJEM	\N	70	21954	UROK	\N	\N
3449865	4034	1993-04-30	PRIJEM	\N	100	27034	UROK	\N	\N
3449866	4034	1993-05-31	PRIJEM	\N	111	26425	UROK	\N	\N
3449867	4034	1993-06-30	PRIJEM	\N	103	-2892	UROK	\N	\N
3449868	4034	1993-06-30	VYDAJ	VYBER	3	-2910	SANKC. UROK	\N	\N
3449869	4034	1993-07-31	PRIJEM	\N	29	14199	UROK	\N	\N
3449870	4034	1993-07-31	VYDAJ	VYBER	15	14184	SANKC. UROK	\N	\N
3449871	4034	1993-08-31	PRIJEM	\N	75	21424	UROK	\N	\N
3449872	4034	1993-09-30	PRIJEM	\N	95	24285	UROK	\N	\N
3449873	4034	1993-10-31	PRIJEM	\N	112	28342	UROK	\N	\N
3449874	4034	1993-11-30	PRIJEM	\N	111	24918	UROK	\N	\N
3449875	4034	1993-12-31	PRIJEM	\N	117	25880	UROK	\N	\N
3449876	4034	1994-01-31	PRIJEM	\N	78	8483	UROK	\N	\N
3449877	4034	1994-02-28	PRIJEM	\N	66	20714	UROK	\N	\N
3449878	4034	1994-03-31	PRIJEM	\N	97	24997	UROK	\N	\N
3449879	4034	1994-04-30	PRIJEM	\N	113	28675	UROK	\N	\N
3449880	4034	1994-05-31	PRIJEM	\N	119	28660	UROK	\N	\N
3449881	4034	1994-06-30	PRIJEM	\N	70	9915	UROK	\N	\N
3449882	4034	1994-07-31	PRIJEM	\N	57	14537	UROK	\N	\N
3449883	4034	1994-08-31	PRIJEM	\N	78	20980	UROK	\N	\N
3449884	4034	1994-09-30	PRIJEM	\N	92	19497	UROK	\N	\N
3449885	4034	1994-10-31	PRIJEM	\N	98	25461	UROK	\N	\N
3449886	4034	1994-11-30	PRIJEM	\N	123	31250	UROK	\N	\N
3449887	4034	1994-12-31	PRIJEM	\N	132	31887	UROK	\N	\N
3449888	4034	1995-01-31	PRIJEM	\N	110	23623	UROK	\N	\N
3449889	4034	1995-02-28	PRIJEM	\N	112	28000	UROK	\N	\N
3449890	4034	1995-03-31	PRIJEM	\N	119	28985	UROK	\N	\N
3449891	4034	1995-04-30	PRIJEM	\N	129	31839	UROK	\N	\N
3449892	4034	1995-05-31	PRIJEM	\N	146	36351	UROK	\N	\N
3449893	4034	1995-06-30	PRIJEM	\N	137	29853	UROK	\N	\N
3449894	4034	1995-07-31	PRIJEM	\N	141	34259	UROK	\N	\N
3449895	4034	1995-08-31	PRIJEM	\N	161	39885	UROK	\N	\N
3449896	4034	1995-09-30	PRIJEM	\N	160	38090	UROK	\N	\N
3449897	4034	1995-10-31	PRIJEM	\N	157	38213	UROK	\N	\N
3449898	4034	1995-11-30	PRIJEM	\N	157	38595	UROK	\N	\N
3449899	4034	1995-12-31	PRIJEM	\N	166	35467	UROK	\N	\N
3449900	4034	1996-01-31	PRIJEM	\N	144	21156	UROK	\N	\N
3449901	4034	1996-02-29	PRIJEM	\N	121	31542	UROK	\N	\N
3449902	4034	1996-03-31	PRIJEM	\N	150	37558	UROK	\N	\N
3449903	4034	1996-04-30	PRIJEM	\N	172	42695	UROK	\N	\N
3449904	4034	1996-05-31	PRIJEM	\N	192	47352	UROK	\N	\N
3449905	4034	1996-06-30	PRIJEM	\N	141	7379	UROK	\N	\N
3449906	4034	1996-07-31	PRIJEM	\N	105	36849	UROK	\N	\N
3449907	4034	1996-08-31	PRIJEM	\N	166	42080	UROK	\N	\N
3449908	4034	1996-09-30	PRIJEM	\N	177	43262	UROK	\N	\N
3449909	4034	1996-10-31	PRIJEM	\N	179	44447	UROK	\N	\N
3449910	4034	1996-11-30	PRIJEM	\N	185	47697	UROK	\N	\N
3449911	4034	1996-12-31	PRIJEM	\N	197	48399	UROK	\N	\N
3449912	4034	1997-01-31	PRIJEM	\N	175	42600	UROK	\N	\N
3449913	4034	1997-02-28	PRIJEM	\N	181	47746	UROK	\N	\N
3449914	4034	1997-03-31	PRIJEM	\N	197	47988	UROK	\N	\N
3449915	4034	1997-04-30	PRIJEM	\N	211	47065	UROK	\N	\N
3449916	4034	1997-05-31	PRIJEM	\N	197	51227	UROK	\N	\N
3449917	4034	1997-06-30	PRIJEM	\N	192	41844	UROK	\N	\N
3449918	4034	1997-07-31	PRIJEM	\N	177	43866	UROK	\N	\N
3449919	4034	1997-08-31	PRIJEM	\N	186	48678	UROK	\N	\N
3449920	4034	1997-09-30	PRIJEM	\N	201	49744	UROK	\N	\N
3449921	4034	1997-10-31	PRIJEM	\N	206	47935	UROK	\N	\N
3449922	4034	1997-11-30	PRIJEM	\N	203	53403	UROK	\N	\N
3449923	4034	1997-12-31	PRIJEM	\N	229	58918	UROK	\N	\N
3449924	4034	1998-01-31	PRIJEM	\N	235	49738	UROK	\N	\N
3449925	4034	1998-02-28	PRIJEM	\N	216	59920	UROK	\N	\N
3449926	4034	1998-03-31	PRIJEM	\N	250	63076	UROK	\N	\N
3449927	4034	1998-04-30	PRIJEM	\N	263	66404	UROK	\N	\N
3449928	4034	1998-05-31	PRIJEM	\N	281	70611	UROK	\N	\N
3449929	4034	1998-06-30	PRIJEM	\N	284	66480	UROK	\N	\N
3449930	4034	1998-07-31	PRIJEM	\N	275	67719	UROK	\N	\N
3449931	4034	1998-08-31	PRIJEM	\N	279	73064	UROK	\N	\N
3449932	4034	1998-09-30	PRIJEM	\N	302	74631	UROK	\N	\N
3449933	4034	1998-10-31	PRIJEM	\N	307	75104	UROK	\N	\N
3449934	4034	1998-11-30	PRIJEM	\N	308	74677	UROK	\N	\N
3449935	4034	1998-12-31	PRIJEM	\N	307	74889	UROK	\N	\N
3449936	4035	1993-08-31	PRIJEM	\N	30	27510	UROK	\N	\N
3449937	4035	1993-09-30	PRIJEM	\N	128	39317	UROK	\N	\N
3449938	4035	1993-10-31	PRIJEM	\N	173	47270	UROK	\N	\N
3449939	4035	1993-11-30	PRIJEM	\N	199	49349	UROK	\N	\N
3449940	4035	1993-12-31	PRIJEM	\N	277	57846	UROK	\N	\N
3449941	4035	1994-01-31	PRIJEM	\N	202	34713	UROK	\N	\N
3449942	4035	1994-02-28	PRIJEM	\N	163	38541	UROK	\N	\N
3449943	4035	1994-03-31	PRIJEM	\N	199	26589	UROK	\N	\N
3449944	4035	1994-04-30	PRIJEM	\N	126	23119	UROK	\N	\N
3449945	4035	1994-05-31	PRIJEM	\N	112	25395	UROK	\N	\N
3449946	4035	1994-06-30	PRIJEM	\N	159	28354	UROK	\N	\N
3449947	4035	1994-07-31	PRIJEM	\N	130	25650	UROK	\N	\N
3449948	4035	1994-08-31	PRIJEM	\N	158	37564	UROK	\N	\N
3449949	4035	1994-09-30	PRIJEM	\N	213	46839	UROK	\N	\N
3449950	4035	1994-10-31	PRIJEM	\N	183	38787	UROK	\N	\N
3449951	4035	1994-11-30	PRIJEM	\N	179	47931	UROK	\N	\N
3449952	4035	1994-12-31	PRIJEM	\N	216	49763	UROK	\N	\N
3449953	4035	1995-01-31	PRIJEM	\N	113	-2132	UROK	\N	\N
3449954	4035	1995-01-31	VYDAJ	VYBER	6	-2152	SANKC. UROK	\N	\N
3449955	4035	1995-02-28	PRIJEM	\N	43	20871	UROK	\N	\N
3449956	4035	1995-02-28	VYDAJ	VYBER	11	20845	SANKC. UROK	\N	\N
3449957	4035	1995-03-31	PRIJEM	\N	125	40150	UROK	\N	\N
3449958	4035	1995-04-30	PRIJEM	\N	173	37088	UROK	\N	\N
3449959	4035	1995-05-31	PRIJEM	\N	177	47931	UROK	\N	\N
3449960	4035	1995-06-30	PRIJEM	\N	189	42125	UROK	\N	\N
3449961	4035	1995-07-31	PRIJEM	\N	187	47577	UROK	\N	\N
3449962	4035	1995-08-31	PRIJEM	\N	223	47845	UROK	\N	\N
3449963	4035	1995-09-30	PRIJEM	\N	200	44936	UROK	\N	\N
3449964	4035	1995-10-31	PRIJEM	\N	202	51404	UROK	\N	\N
3449965	4035	1995-11-30	PRIJEM	\N	229	48798	UROK	\N	\N
3449966	4035	1995-12-31	PRIJEM	\N	235	60938	UROK	\N	\N
3449967	4035	1996-01-31	PRIJEM	\N	194	15198	UROK	\N	\N
3449968	4035	1996-02-29	PRIJEM	\N	130	38893	UROK	\N	\N
3449969	4035	1996-03-31	PRIJEM	\N	180	43338	UROK	\N	\N
3449970	4035	1996-04-30	PRIJEM	\N	167	24755	UROK	\N	\N
3449971	4035	1996-05-31	PRIJEM	\N	136	35057	UROK	\N	\N
3449972	4035	1996-06-30	PRIJEM	\N	91	20053	UROK	\N	\N
3449973	4035	1996-07-31	PRIJEM	\N	87	12249	UROK	\N	\N
3449974	4035	1996-08-31	PRIJEM	\N	122	34937	UROK	\N	\N
3449975	4035	1996-09-30	PRIJEM	\N	182	38994	UROK	\N	\N
3449976	4035	1996-10-31	PRIJEM	\N	167	17731	UROK	\N	\N
3449977	4035	1996-11-30	PRIJEM	\N	123	16012	UROK	\N	\N
3449978	4035	1996-12-31	PRIJEM	\N	171	35110	UROK	\N	\N
3449979	4035	1997-01-31	PRIJEM	\N	194	9169	UROK	\N	\N
3449980	4035	1997-02-28	PRIJEM	\N	185	53020	UROK	\N	\N
3449981	4035	1997-03-31	PRIJEM	\N	320	61106	UROK	\N	\N
3449982	4035	1997-04-30	PRIJEM	\N	321	81392	UROK	\N	\N
3449983	4035	1997-05-31	PRIJEM	\N	366	90224	UROK	\N	\N
3449984	4035	1997-06-30	PRIJEM	\N	355	89085	UROK	\N	\N
3449985	4035	1997-07-31	PRIJEM	\N	384	86534	UROK	\N	\N
3449986	4035	1997-08-31	PRIJEM	\N	412	102411	UROK	\N	\N
3449987	4035	1997-09-30	PRIJEM	\N	448	57924	UROK	\N	\N
3449988	4035	1997-10-31	PRIJEM	\N	318	82107	UROK	\N	\N
3449989	4035	1997-11-30	PRIJEM	\N	398	99771	UROK	\N	\N
3449990	4035	1997-12-31	PRIJEM	\N	213	38113	UROK	\N	\N
3449991	4035	1998-01-31	PRIJEM	\N	104	37783	UROK	\N	\N
3449992	4035	1998-02-28	PRIJEM	\N	99	53774	UROK	\N	\N
3449993	4035	1998-03-31	PRIJEM	\N	330	86470	UROK	\N	\N
3449994	4035	1998-04-30	PRIJEM	\N	292	67374	UROK	\N	\N
3449995	4035	1998-05-31	PRIJEM	\N	257	77296	UROK	\N	\N
3449996	4035	1998-06-30	PRIJEM	\N	328	48616	UROK	\N	\N
3449997	4035	1998-07-31	PRIJEM	\N	206	70287	UROK	\N	\N
3449998	4035	1998-08-31	PRIJEM	\N	295	85548	UROK	\N	\N
3449999	4035	1998-09-30	PRIJEM	\N	391	83698	UROK	\N	\N
3450000	4035	1998-10-31	PRIJEM	\N	348	91611	UROK	\N	\N
3450001	4035	1998-11-30	PRIJEM	\N	401	83178	UROK	\N	\N
3450002	4035	1998-12-31	PRIJEM	\N	370	78153	UROK	\N	\N
3450003	4059	1995-01-31	PRIJEM	\N	3	24503	UROK	\N	\N
3450004	4059	1995-03-31	PRIJEM	\N	90	19093	UROK	\N	\N
3450005	4059	1995-04-30	PRIJEM	\N	90	20583	UROK	\N	\N
3450006	4059	1995-05-31	PRIJEM	\N	90	23973	UROK	\N	\N
3450007	4059	1995-07-31	PRIJEM	\N	90	19563	UROK	\N	\N
3450008	4059	1995-08-31	PRIJEM	\N	90	20153	UROK	\N	\N
3450009	4059	1995-09-30	PRIJEM	\N	90	18543	UROK	\N	\N
3450010	4059	1995-11-30	PRIJEM	\N	90	16432	UROK	\N	\N
3450011	4059	1995-12-31	PRIJEM	\N	90	21222	UROK	\N	\N
3450012	4059	1996-01-31	PRIJEM	\N	90	19212	UROK	\N	\N
3450013	4059	1996-02-29	PRIJEM	\N	90	19902	UROK	\N	\N
3450014	4059	1996-03-31	PRIJEM	\N	90	19892	UROK	\N	\N
3450015	4059	1996-04-30	PRIJEM	\N	90	17682	UROK	\N	\N
3450016	4059	1996-05-31	PRIJEM	\N	90	21772	UROK	\N	\N
3450017	4059	1996-06-30	PRIJEM	\N	90	22562	UROK	\N	\N
3450018	4059	1996-07-31	PRIJEM	\N	90	22352	UROK	\N	\N
3450019	4059	1996-08-31	PRIJEM	\N	90	20841	UROK	\N	\N
3450020	4059	1996-09-30	PRIJEM	\N	90	19531	UROK	\N	\N
3450021	4059	1996-10-31	PRIJEM	\N	90	17621	UROK	\N	\N
3450022	4059	1996-11-30	PRIJEM	\N	90	14511	UROK	\N	\N
3450023	4059	1996-12-31	PRIJEM	\N	90	12801	UROK	\N	\N
3450024	4059	1997-01-31	PRIJEM	\N	90	9791	UROK	\N	\N
3450025	4059	1997-02-28	PRIJEM	\N	90	8981	UROK	\N	\N
3450026	4059	1997-03-31	PRIJEM	\N	90	7571	UROK	\N	\N
3450027	4059	1997-04-30	PRIJEM	\N	90	8260	UROK	\N	\N
3450028	4059	1997-05-31	PRIJEM	\N	90	4550	UROK	\N	\N
3450029	4059	1997-06-30	PRIJEM	\N	90	-660	UROK	\N	\N
3450030	4059	1997-07-31	PRIJEM	\N	90	-1870	UROK	\N	\N
3450031	4059	1997-08-31	PRIJEM	\N	90	2720	UROK	\N	\N
3450032	4059	1997-09-30	PRIJEM	\N	90	710	UROK	\N	\N
3450033	4059	1997-10-31	PRIJEM	\N	90	100	UROK	\N	\N
3450034	4059	1997-11-30	PRIJEM	\N	90	990	UROK	\N	\N
3450035	4059	1997-12-31	PRIJEM	\N	90	4679	UROK	\N	\N
3450036	4059	1998-01-31	PRIJEM	\N	90	5669	UROK	\N	\N
3450037	4059	1998-02-28	PRIJEM	\N	90	5859	UROK	\N	\N
3450038	4059	1998-03-31	PRIJEM	\N	90	4749	UROK	\N	\N
3450039	4059	1998-04-30	PRIJEM	\N	90	1139	UROK	\N	\N
3450040	4059	1998-05-31	PRIJEM	\N	90	-4371	UROK	\N	\N
3450041	4059	1998-06-30	PRIJEM	\N	90	-8581	UROK	\N	\N
3450042	4059	1998-07-31	PRIJEM	\N	90	-8791	UROK	\N	\N
3450043	4059	1998-08-31	PRIJEM	\N	90	-8402	UROK	\N	\N
3450044	4059	1998-09-30	PRIJEM	\N	90	-10912	UROK	\N	\N
3450045	4059	1998-10-31	PRIJEM	\N	90	-12122	UROK	\N	\N
3450046	4059	1998-11-30	PRIJEM	\N	90	-12132	UROK	\N	\N
3450047	4081	1995-08-31	PRIJEM	\N	29	19907	UROK	\N	\N
3450048	4081	1995-09-30	PRIJEM	\N	96	28381	UROK	\N	\N
3450049	4081	1995-10-31	PRIJEM	\N	123	31382	UROK	\N	\N
3450050	4081	1995-11-30	PRIJEM	\N	137	35296	UROK	\N	\N
3450051	4081	1995-12-31	PRIJEM	\N	153	39267	UROK	\N	\N
3450052	4081	1996-01-31	PRIJEM	\N	140	28324	UROK	\N	\N
3450053	4081	1996-02-29	PRIJEM	\N	102	22144	UROK	\N	\N
3450054	4081	1996-03-31	PRIJEM	\N	83	17844	UROK	\N	\N
3450055	4081	1996-04-30	PRIJEM	\N	73	18634	UROK	\N	\N
3450056	4081	1996-05-31	PRIJEM	\N	70	16721	UROK	\N	\N
3450057	4081	1996-06-30	PRIJEM	\N	68	16646	UROK	\N	\N
3450058	4081	1996-07-31	PRIJEM	\N	64	15227	UROK	\N	\N
3450059	4081	1996-08-31	PRIJEM	\N	55	2639	UROK	\N	\N
3450060	4081	1996-09-30	PRIJEM	\N	30	10733	UROK	\N	\N
3450061	4081	1996-10-31	PRIJEM	\N	42	9438	UROK	\N	\N
3450062	4081	1996-11-30	PRIJEM	\N	47	11948	UROK	\N	\N
3450063	4081	1996-12-31	PRIJEM	\N	39	8243	UROK	\N	\N
3450064	4081	1996-12-31	VYDAJ	VYBER	1	8242	SANKC. UROK	\N	\N
3450065	4081	1997-01-31	PRIJEM	\N	39	4345	UROK	\N	\N
3450066	4081	1997-02-28	PRIJEM	\N	33	10495	UROK	\N	\N
3450067	4081	1997-03-31	PRIJEM	\N	40	9352	UROK	\N	\N
3450068	4081	1997-03-31	VYDAJ	VYBER	1	9352	SANKC. UROK	\N	\N
3450069	4081	1997-04-30	PRIJEM	\N	46	12861	UROK	\N	\N
3450070	4081	1997-05-31	PRIJEM	\N	55	12333	UROK	\N	\N
3450071	4081	1997-06-30	PRIJEM	\N	59	15748	UROK	\N	\N
3450072	4081	1997-06-30	VYDAJ	VYBER	1	15747	SANKC. UROK	\N	\N
3450073	4081	1997-07-31	PRIJEM	\N	63	15228	UROK	\N	\N
3450074	4081	1997-08-31	PRIJEM	\N	54	11999	UROK	\N	\N
3450075	4081	1997-09-30	PRIJEM	\N	45	10361	UROK	\N	\N
3450076	4081	1997-09-30	VYDAJ	VYBER	1	10346	SANKC. UROK	\N	\N
3450077	4081	1997-10-31	PRIJEM	\N	39	9017	UROK	\N	\N
3450078	4081	1997-10-31	VYDAJ	VYBER	1	9016	SANKC. UROK	\N	\N
3450079	4081	1997-11-30	PRIJEM	\N	37	4716	UROK	\N	\N
3450080	4081	1997-12-31	PRIJEM	\N	39	11017	UROK	\N	\N
3450081	4081	1998-01-31	PRIJEM	\N	11	1452	UROK	\N	\N
3450082	4081	1998-01-31	VYDAJ	VYBER	20	1432	SANKC. UROK	\N	\N
3450083	4081	1998-02-28	PRIJEM	\N	21	7116	UROK	\N	\N
3450084	4081	1998-03-31	PRIJEM	\N	18	3397	UROK	\N	\N
3450085	4081	1998-03-31	VYDAJ	VYBER	11	3387	SANKC. UROK	\N	\N
3450086	4081	1998-04-30	PRIJEM	\N	12	-6938	UROK	\N	\N
3450087	4081	1998-04-30	VYDAJ	VYBER	7	-6960	SANKC. UROK	\N	\N
3450088	4081	1998-05-31	PRIJEM	\N	2	240	UROK	\N	\N
3450089	4081	1998-05-31	VYDAJ	VYBER	33	207	SANKC. UROK	\N	\N
3450090	4081	1998-06-30	PRIJEM	\N	26	9335	UROK	\N	\N
3450091	4081	1998-07-31	PRIJEM	\N	33	7631	UROK	\N	\N
3450092	4081	1998-07-31	VYDAJ	VYBER	4	7628	SANKC. UROK	\N	\N
3450093	4081	1998-08-31	PRIJEM	\N	30	4121	UROK	\N	\N
3450094	4081	1998-09-30	PRIJEM	\N	19	1204	UROK	\N	\N
3450095	4081	1998-10-31	PRIJEM	\N	10	1777	UROK	\N	\N
3450096	4081	1998-11-30	PRIJEM	\N	1	-2258	UROK	\N	\N
3450097	4081	1998-11-30	VYDAJ	VYBER	44	-2317	SANKC. UROK	\N	\N
3450098	4081	1998-12-31	PRIJEM	\N	22	7062	UROK	\N	\N
3450099	4081	1998-12-31	VYDAJ	VYBER	6	7056	SANKC. UROK	\N	\N
3450100	4082	1994-11-30	PRIJEM	\N	39	24864	UROK	\N	\N
3450101	4082	1994-12-31	PRIJEM	\N	172	53418	UROK	\N	\N
3450102	4082	1995-01-31	PRIJEM	\N	222	41140	UROK	\N	\N
3450103	4082	1995-02-28	PRIJEM	\N	222	30462	UROK	\N	\N
3450104	4082	1995-03-31	PRIJEM	\N	222	26984	UROK	\N	\N
3450105	4082	1995-04-30	PRIJEM	\N	222	23205	UROK	\N	\N
3450106	4082	1995-05-31	PRIJEM	\N	222	22227	UROK	\N	\N
3450107	4082	1995-06-30	PRIJEM	\N	209	45657	UROK	\N	\N
3450108	4082	1995-07-31	PRIJEM	\N	189	33546	UROK	\N	\N
3450109	4082	1995-08-31	PRIJEM	\N	189	30836	UROK	\N	\N
3450110	4082	1995-09-30	PRIJEM	\N	189	30025	UROK	\N	\N
3450111	4082	1995-10-31	PRIJEM	\N	189	25915	UROK	\N	\N
3450112	4082	1995-11-30	PRIJEM	\N	189	26204	UROK	\N	\N
3450113	4082	1995-12-31	PRIJEM	\N	141	16637	UROK	\N	\N
3450114	4082	1996-01-31	PRIJEM	\N	36	5359	UROK	\N	\N
3450115	4082	1996-02-29	PRIJEM	\N	24	15467	UROK	\N	\N
3450116	4082	1996-03-31	PRIJEM	\N	61	13113	UROK	\N	\N
3450117	4082	1996-04-30	PRIJEM	\N	55	15653	UROK	\N	\N
3450118	4082	1996-05-31	PRIJEM	\N	65	16804	UROK	\N	\N
3450119	4082	1996-06-30	PRIJEM	\N	69	15758	UROK	\N	\N
3450120	4082	1996-07-31	PRIJEM	\N	59	7603	UROK	\N	\N
3450121	4082	1996-08-31	PRIJEM	\N	31	9820	UROK	\N	\N
3450122	4082	1996-09-30	PRIJEM	\N	41	13046	UROK	\N	\N
3450123	4082	1996-10-31	PRIJEM	\N	50	7082	UROK	\N	\N
3450124	4082	1996-11-30	PRIJEM	\N	29	10897	UROK	\N	\N
3450125	4082	1996-12-31	PRIJEM	\N	45	10927	UROK	\N	\N
3450126	4082	1997-01-31	PRIJEM	\N	22	30346	UROK	\N	\N
3450127	4082	1997-01-31	VYDAJ	VYBER	8	30338	SANKC. UROK	\N	\N
3450128	4082	1997-02-28	PRIJEM	\N	127	33615	UROK	\N	\N
3450129	4082	1997-03-31	PRIJEM	\N	230	48616	UROK	\N	\N
3450130	4082	1997-04-30	PRIJEM	\N	217	48836	UROK	\N	\N
3450131	4082	1997-05-31	PRIJEM	\N	283	97566	UROK	\N	\N
3450132	4082	1997-06-30	PRIJEM	\N	354	21453	UROK	\N	\N
3450133	4082	1997-07-31	PRIJEM	\N	249	41425	UROK	\N	\N
3450134	4082	1997-08-31	PRIJEM	\N	243	57302	UROK	\N	\N
3450135	4082	1997-09-30	PRIJEM	\N	360	55282	UROK	\N	\N
3450136	4082	1997-10-31	PRIJEM	\N	229	55919	UROK	\N	\N
3450137	4082	1997-11-30	PRIJEM	\N	297	45295	UROK	\N	\N
3450138	4082	1997-12-31	PRIJEM	\N	294	58563	UROK	\N	\N
3450139	4082	1998-01-31	PRIJEM	\N	179	26477	UROK	\N	\N
3450140	4082	1998-02-28	PRIJEM	\N	92	14795	UROK	\N	\N
3450141	4082	1998-03-31	PRIJEM	\N	60	19141	UROK	\N	\N
3450142	4082	1998-04-30	PRIJEM	\N	74	17100	UROK	\N	\N
3450143	4082	1998-05-31	PRIJEM	\N	105	17068	UROK	\N	\N
3450144	4082	1998-06-30	PRIJEM	\N	65	17833	UROK	\N	\N
3450145	4082	1998-07-31	PRIJEM	\N	36	22743	UROK	\N	\N
3450146	4082	1998-08-31	PRIJEM	\N	140	50203	UROK	\N	\N
3450147	4082	1998-09-30	PRIJEM	\N	175	25387	UROK	\N	\N
3450148	4082	1998-10-31	PRIJEM	\N	105	38677	UROK	\N	\N
3450149	4082	1998-11-30	PRIJEM	\N	188	54152	UROK	\N	\N
3450150	4082	1998-12-31	PRIJEM	\N	146	85116	UROK	\N	\N
3450210	4128	1997-10-31	PRIJEM	\N	17	42179	UROK	\N	\N
3450211	4128	1997-11-30	PRIJEM	\N	178	45625	UROK	\N	\N
3450212	4128	1997-12-31	PRIJEM	\N	209	66053	UROK	\N	\N
3450213	4128	1998-01-31	PRIJEM	\N	290	39058	UROK	\N	\N
3450214	4128	1998-02-28	PRIJEM	\N	112	24455	UROK	\N	\N
3450215	4128	1998-03-31	PRIJEM	\N	145	21213	UROK	\N	\N
3450216	4128	1998-04-30	PRIJEM	\N	84	17410	UROK	\N	\N
3450217	4128	1998-05-31	PRIJEM	\N	98	32858	UROK	\N	\N
3450218	4128	1998-06-30	PRIJEM	\N	113	15196	UROK	\N	\N
3450219	4128	1998-07-31	PRIJEM	\N	48	2329	UROK	\N	\N
3450220	4128	1998-08-31	PRIJEM	\N	10	-12476	UROK	\N	\N
3450221	4128	1998-08-31	VYDAJ	VYBER	4	-12495	SANKC. UROK	\N	\N
3450222	4128	1998-09-30	PRIJEM	\N	23	16802	UROK	\N	\N
3450223	4128	1998-09-30	VYDAJ	VYBER	83	16705	SANKC. UROK	\N	\N
3450224	4128	1998-10-31	PRIJEM	\N	54	5559	UROK	\N	\N
3450225	4128	1998-11-30	PRIJEM	\N	40	10347	UROK	\N	\N
3450226	4128	1998-12-31	PRIJEM	\N	186	66933	UROK	\N	\N
3450227	4130	1997-07-31	PRIJEM	\N	2	14102	UROK	\N	\N
3450228	4130	1997-08-31	PRIJEM	\N	59	15461	UROK	\N	\N
3450229	4130	1997-09-30	PRIJEM	\N	59	18219	UROK	\N	\N
3450230	4130	1997-10-31	PRIJEM	\N	59	17278	UROK	\N	\N
3450231	4130	1997-11-30	PRIJEM	\N	59	13637	UROK	\N	\N
3450232	4130	1997-12-31	PRIJEM	\N	59	8796	UROK	\N	\N
3450233	4130	1998-01-31	PRIJEM	\N	58	6054	UROK	\N	\N
3450234	4130	1998-02-28	PRIJEM	\N	50	20012	UROK	\N	\N
3450235	4130	1998-03-31	PRIJEM	\N	127	32245	UROK	\N	\N
3450236	4130	1998-04-30	PRIJEM	\N	134	19379	UROK	\N	\N
3450237	4130	1998-05-31	PRIJEM	\N	177	90866	UROK	\N	\N
3450238	4130	1998-06-30	PRIJEM	\N	304	12388	UROK	\N	\N
3450239	4130	1998-07-31	PRIJEM	\N	12	533	UROK	\N	\N
3450240	4130	1998-07-31	VYDAJ	VYBER	13	519	SANKC. UROK	\N	\N
3450241	4130	1998-08-31	PRIJEM	\N	3	2344	UROK	\N	\N
3450242	4130	1998-08-31	VYDAJ	VYBER	6	-1607	SANKC. UROK	\N	\N
3450243	4130	1998-09-30	PRIJEM	\N	12	12650	UROK	\N	\N
3450244	4130	1998-09-30	VYDAJ	VYBER	12	12623	SANKC. UROK	\N	\N
3450245	4130	1998-10-31	PRIJEM	\N	240	87168	UROK	\N	\N
3450246	4130	1998-11-30	PRIJEM	\N	181	20894	UROK	\N	\N
3450247	4130	1998-12-31	PRIJEM	\N	140	45736	UROK	\N	\N
3450248	4156	1997-07-31	PRIJEM	\N	169	60993	UROK	\N	\N
3450249	4156	1997-08-31	PRIJEM	\N	287	46174	UROK	\N	\N
3450250	4156	1997-09-30	PRIJEM	\N	253	51398	UROK	\N	\N
3450251	4156	1997-10-31	PRIJEM	\N	205	38399	UROK	\N	\N
3450252	4156	1997-11-30	PRIJEM	\N	289	49847	UROK	\N	\N
3450253	4156	1997-12-31	PRIJEM	\N	171	25415	UROK	\N	\N
3450254	4156	1998-01-31	PRIJEM	\N	105	24705	UROK	\N	\N
3450255	4156	1998-02-28	PRIJEM	\N	93	25222	UROK	\N	\N
3450256	4156	1998-03-31	PRIJEM	\N	97	17804	UROK	\N	\N
3450257	4156	1998-04-30	PRIJEM	\N	124	35038	UROK	\N	\N
3450258	4156	1998-05-31	PRIJEM	\N	151	35490	UROK	\N	\N
3450259	4156	1998-06-30	PRIJEM	\N	129	20605	UROK	\N	\N
3450260	4156	1998-07-31	PRIJEM	\N	78	15068	UROK	\N	\N
3450261	4156	1998-08-31	PRIJEM	\N	57	11411	UROK	\N	\N
3450262	4156	1998-09-30	PRIJEM	\N	46	-358	UROK	\N	\N
3450263	4156	1998-09-30	VYDAJ	VYBER	0	-373	SANKC. UROK	\N	\N
3450264	4156	1998-10-31	PRIJEM	\N	27	18198	UROK	\N	\N
3450265	4156	1998-10-31	VYDAJ	VYBER	3	18181	SANKC. UROK	\N	\N
3450266	4156	1998-11-30	PRIJEM	\N	10	13590	UROK	\N	\N
3450267	4156	1998-12-31	PRIJEM	\N	82	26043	UROK	\N	\N
3450268	4214	1996-03-31	PRIJEM	\N	10	18826	UROK	\N	\N
3450269	4214	1996-04-30	PRIJEM	\N	188	42286	UROK	\N	\N
3450270	4214	1996-05-31	PRIJEM	\N	213	67476	UROK	\N	\N
3450271	4214	1996-06-30	PRIJEM	\N	164	5334	UROK	\N	\N
3450272	4214	1996-07-31	PRIJEM	\N	65	58240	UROK	\N	\N
3450273	4214	1996-08-31	PRIJEM	\N	233	80984	UROK	\N	\N
3450274	4214	1996-09-30	PRIJEM	\N	310	73038	UROK	\N	\N
3450275	4214	1996-10-31	PRIJEM	\N	300	52624	UROK	\N	\N
3450276	4214	1996-11-30	PRIJEM	\N	247	69498	UROK	\N	\N
3450277	4214	1996-12-31	PRIJEM	\N	273	50381	UROK	\N	\N
3450278	4214	1997-01-31	PRIJEM	\N	176	-2088	UROK	\N	\N
3450279	4214	1997-01-31	VYDAJ	VYBER	4	-2107	SANKC. UROK	\N	\N
3450280	4214	1997-02-28	PRIJEM	\N	121	58172	UROK	\N	\N
3450281	4214	1997-02-28	VYDAJ	VYBER	11	58147	SANKC. UROK	\N	\N
3450282	4214	1997-03-31	PRIJEM	\N	302	64886	UROK	\N	\N
3450283	4214	1997-04-30	PRIJEM	\N	268	46839	UROK	\N	\N
3450284	4214	1997-05-31	PRIJEM	\N	184	49393	UROK	\N	\N
3450285	4214	1997-06-30	PRIJEM	\N	320	99484	UROK	\N	\N
3450286	4214	1997-07-31	PRIJEM	\N	423	68982	UROK	\N	\N
3450287	4214	1997-08-31	PRIJEM	\N	360	101329	UROK	\N	\N
3450288	4214	1997-09-30	PRIJEM	\N	374	77915	UROK	\N	\N
3450289	4214	1997-10-31	PRIJEM	\N	302	55131	UROK	\N	\N
3450290	4214	1997-11-30	PRIJEM	\N	250	76352	UROK	\N	\N
3450291	4214	1997-12-31	PRIJEM	\N	339	77147	UROK	\N	\N
3450292	4214	1998-01-31	PRIJEM	\N	172	25701	UROK	\N	\N
3450293	4214	1998-02-28	PRIJEM	\N	106	27092	UROK	\N	\N
3450294	4214	1998-03-31	PRIJEM	\N	111	24989	UROK	\N	\N
3450295	4214	1998-04-30	PRIJEM	\N	88	20137	UROK	\N	\N
3450296	4214	1998-05-31	PRIJEM	\N	83	26005	UROK	\N	\N
3450297	4214	1998-06-30	PRIJEM	\N	107	29397	UROK	\N	\N
3450298	4214	1998-07-31	PRIJEM	\N	122	36804	UROK	\N	\N
3450299	4214	1998-08-31	PRIJEM	\N	132	30847	UROK	\N	\N
3450300	4214	1998-09-30	PRIJEM	\N	126	30458	UROK	\N	\N
3450301	4214	1998-10-31	PRIJEM	\N	136	28032	UROK	\N	\N
3450302	4214	1998-11-30	PRIJEM	\N	131	36649	UROK	\N	\N
3450303	4214	1998-12-31	PRIJEM	\N	137	27799	UROK	\N	\N
3450323	4320	1996-07-31	PRIJEM	\N	38	47205	UROK	\N	\N
3450324	4320	1996-08-31	PRIJEM	\N	253	83468	UROK	\N	\N
3450325	4320	1996-09-30	PRIJEM	\N	350	43091	UROK	\N	\N
3450326	4320	1996-10-31	PRIJEM	\N	178	31769	UROK	\N	\N
3450327	4320	1996-11-30	PRIJEM	\N	193	53542	UROK	\N	\N
3450328	4320	1996-12-31	PRIJEM	\N	182	32009	UROK	\N	\N
3450329	4320	1997-01-31	PRIJEM	\N	75	3273	UROK	\N	\N
3450330	4320	1997-01-31	VYDAJ	VYBER	1	-2528	SANKC. UROK	\N	\N
3450331	4320	1997-02-28	PRIJEM	\N	44	26783	UROK	\N	\N
3450332	4320	1997-02-28	VYDAJ	VYBER	15	26768	SANKC. UROK	\N	\N
3450333	4320	1997-03-31	PRIJEM	\N	212	41470	UROK	\N	\N
3450334	4320	1997-04-30	PRIJEM	\N	206	93734	UROK	\N	\N
3450335	4320	1997-05-31	PRIJEM	\N	334	72205	UROK	\N	\N
3450336	4320	1997-06-30	PRIJEM	\N	163	87348	UROK	\N	\N
3450337	4320	1997-07-31	PRIJEM	\N	239	34572	UROK	\N	\N
3450338	4320	1997-08-31	PRIJEM	\N	150	31054	UROK	\N	\N
3450339	4320	1997-09-30	PRIJEM	\N	107	20367	UROK	\N	\N
3450340	4320	1997-10-31	PRIJEM	\N	77	10367	UROK	\N	\N
3450341	4320	1997-11-30	PRIJEM	\N	32	5204	UROK	\N	\N
3450342	4320	1997-12-31	PRIJEM	\N	71	18687	UROK	\N	\N
3450343	4320	1998-01-31	PRIJEM	\N	22	-1486	UROK	\N	\N
3450344	4320	1998-01-31	VYDAJ	VYBER	9	-1495	SANKC. UROK	\N	\N
3450345	4320	1998-02-28	PRIJEM	\N	33	26236	UROK	\N	\N
3450346	4320	1998-02-28	VYDAJ	VYBER	8	26213	SANKC. UROK	\N	\N
3450347	4320	1998-03-31	PRIJEM	\N	188	80067	UROK	\N	\N
3450348	4320	1998-04-30	PRIJEM	\N	256	67925	UROK	\N	\N
3450349	4320	1998-05-31	PRIJEM	\N	262	38023	UROK	\N	\N
3450350	4320	1998-06-30	PRIJEM	\N	129	28159	UROK	\N	\N
3450351	4320	1998-07-31	PRIJEM	\N	142	48506	UROK	\N	\N
3450352	4320	1998-08-31	PRIJEM	\N	108	12139	UROK	\N	\N
3450353	4320	1998-09-30	PRIJEM	\N	100	62428	UROK	\N	\N
3450354	4320	1998-10-31	PRIJEM	\N	162	25518	UROK	\N	\N
3450355	4320	1998-11-30	PRIJEM	\N	249	85686	UROK	\N	\N
3450356	4320	1998-12-31	PRIJEM	\N	186	40027	UROK	\N	\N
3450357	4356	1994-02-28	PRIJEM	\N	8	14100	UROK	\N	\N
3450358	4356	1994-03-31	PRIJEM	\N	64	21756	UROK	\N	\N
3450359	4356	1994-04-30	PRIJEM	\N	93	25041	UROK	\N	\N
3450360	4356	1994-05-31	PRIJEM	\N	105	26038	UROK	\N	\N
3450361	4356	1994-06-30	PRIJEM	\N	110	27735	UROK	\N	\N
3450362	4356	1994-07-31	PRIJEM	\N	114	26126	UROK	\N	\N
3450363	4356	1994-08-31	PRIJEM	\N	109	25912	UROK	\N	\N
3450364	4356	1994-09-30	PRIJEM	\N	109	24198	UROK	\N	\N
3450365	4356	1994-10-31	PRIJEM	\N	102	25278	UROK	\N	\N
3450366	4356	1994-11-30	PRIJEM	\N	108	27663	UROK	\N	\N
3450367	4356	1994-12-31	PRIJEM	\N	123	30959	UROK	\N	\N
3450368	4356	1995-01-31	PRIJEM	\N	108	17144	UROK	\N	\N
3450369	4356	1995-02-28	PRIJEM	\N	84	21805	UROK	\N	\N
3450370	4356	1995-03-31	PRIJEM	\N	93	19575	UROK	\N	\N
3450371	4356	1995-04-30	PRIJEM	\N	84	21637	UROK	\N	\N
3450372	4356	1995-05-31	PRIJEM	\N	90	21604	UROK	\N	\N
3450373	4356	1995-06-30	PRIJEM	\N	103	24280	UROK	\N	\N
3450374	4356	1995-07-31	PRIJEM	\N	97	21055	UROK	\N	\N
3450375	4356	1995-08-31	PRIJEM	\N	91	23323	UROK	\N	\N
3450376	4356	1995-09-30	PRIJEM	\N	94	20394	UROK	\N	\N
3450377	4356	1995-10-31	PRIJEM	\N	81	18753	UROK	\N	\N
3450378	4356	1995-11-30	PRIJEM	\N	80	20011	UROK	\N	\N
3450379	4356	1995-12-31	PRIJEM	\N	82	19366	UROK	\N	\N
3450380	4356	1996-01-31	PRIJEM	\N	75	12718	UROK	\N	\N
3450381	4356	1996-02-29	PRIJEM	\N	44	10039	UROK	\N	\N
3450382	4356	1996-03-31	PRIJEM	\N	42	9358	UROK	\N	\N
3450383	4356	1996-04-30	PRIJEM	\N	42	11078	UROK	\N	\N
3450384	4356	1996-05-31	PRIJEM	\N	54	14709	UROK	\N	\N
3450385	4356	1996-06-30	PRIJEM	\N	63	13446	UROK	\N	\N
3450386	4356	1996-07-31	PRIJEM	\N	48	10571	UROK	\N	\N
3450387	4356	1996-08-31	PRIJEM	\N	47	11895	UROK	\N	\N
3450388	4356	1996-09-30	PRIJEM	\N	49	12122	UROK	\N	\N
3450389	4356	1996-10-31	PRIJEM	\N	46	10646	UROK	\N	\N
3450390	4356	1996-11-30	PRIJEM	\N	38	5361	UROK	\N	\N
3450391	4356	1996-12-31	PRIJEM	\N	27	6761	UROK	\N	\N
3450392	4356	1997-01-31	PRIJEM	\N	9	-2553	UROK	\N	\N
3450393	4356	1997-01-31	VYDAJ	VYBER	14	-2567	SANKC. UROK	\N	\N
3450394	4356	1997-02-28	PRIJEM	\N	11	2722	UROK	\N	\N
3450395	4356	1997-02-28	VYDAJ	VYBER	8	2714	SANKC. UROK	\N	\N
3450396	4356	1997-03-31	PRIJEM	\N	20	6211	UROK	\N	\N
3450397	4356	1997-04-30	PRIJEM	\N	24	6013	UROK	\N	\N
3450398	4356	1997-05-31	PRIJEM	\N	19	4209	UROK	\N	\N
3450399	4356	1997-06-30	PRIJEM	\N	46	7828	UROK	\N	\N
3450400	4356	1997-07-31	PRIJEM	\N	19	3824	UROK	\N	\N
3450401	4356	1997-08-31	PRIJEM	\N	28	8029	UROK	\N	\N
3450402	4356	1997-09-30	PRIJEM	\N	33	8340	UROK	\N	\N
3450403	4356	1997-10-31	PRIJEM	\N	33	8250	UROK	\N	\N
3450404	4356	1997-11-30	PRIJEM	\N	28	4155	UROK	\N	\N
3450405	4356	1997-12-31	PRIJEM	\N	14	2443	UROK	\N	\N
3450406	4356	1998-01-31	PRIJEM	\N	1	-3379	UROK	\N	\N
3450407	4356	1998-01-31	VYDAJ	VYBER	36	-3430	SANKC. UROK	\N	\N
3450408	4356	1998-02-28	VYDAJ	VYBER	35	-2987	SANKC. UROK	\N	\N
3450409	4356	1998-03-31	VYDAJ	VYBER	58	-6353	SANKC. UROK	\N	\N
3450410	4356	1998-04-30	VYDAJ	VYBER	111	-12372	SANKC. UROK	\N	\N
3450411	4356	1998-05-31	VYDAJ	VYBER	131	-12911	SANKC. UROK	\N	\N
3450412	4356	1998-06-30	VYDAJ	VYBER	106	-9228	SANKC. UROK	\N	\N
3450413	4356	1998-07-31	VYDAJ	VYBER	117	-12053	SANKC. UROK	\N	\N
3450414	4356	1998-08-31	VYDAJ	VYBER	131	-12891	SANKC. UROK	\N	\N
3450415	4356	1998-09-30	VYDAJ	VYBER	160	-16559	SANKC. UROK	\N	\N
3450416	4356	1998-10-31	VYDAJ	VYBER	170	-16637	SANKC. UROK	\N	\N
3450417	4356	1998-11-30	VYDAJ	VYBER	212	-22357	SANKC. UROK	\N	\N
3450418	4356	1998-12-31	VYDAJ	VYBER	253	-25821	SANKC. UROK	\N	\N
3450419	4405	1996-09-30	PRIJEM	\N	215	81771	UROK	\N	\N
3450420	4405	1996-10-31	PRIJEM	\N	343	97621	UROK	\N	\N
3450421	4405	1996-11-30	PRIJEM	\N	328	69528	UROK	\N	\N
3450422	4405	1996-12-31	PRIJEM	\N	235	73979	UROK	\N	\N
3450423	4405	1997-01-31	PRIJEM	\N	192	21356	UROK	\N	\N
3450424	4405	1997-02-28	PRIJEM	\N	115	67723	UROK	\N	\N
3450425	4405	1997-03-31	PRIJEM	\N	173	31411	UROK	\N	\N
3450426	4405	1997-04-30	PRIJEM	\N	281	79528	UROK	\N	\N
3450427	4405	1997-05-31	PRIJEM	\N	328	54342	UROK	\N	\N
3450428	4405	1997-06-30	PRIJEM	\N	140	17069	UROK	\N	\N
3450429	4405	1997-07-31	PRIJEM	\N	119	41157	UROK	\N	\N
3450430	4405	1997-08-31	PRIJEM	\N	164	26167	UROK	\N	\N
3450431	4405	1997-09-30	PRIJEM	\N	109	28462	UROK	\N	\N
3450432	4405	1997-10-31	PRIJEM	\N	169	75026	UROK	\N	\N
3450433	4405	1997-11-30	PRIJEM	\N	272	25883	UROK	\N	\N
3450434	4405	1997-12-31	PRIJEM	\N	64	7531	UROK	\N	\N
3450435	4405	1998-01-31	PRIJEM	\N	82	38757	UROK	\N	\N
3450436	4405	1998-01-31	VYDAJ	VYBER	4	38739	SANKC. UROK	\N	\N
3450437	4405	1998-02-28	PRIJEM	\N	254	84773	UROK	\N	\N
3450438	4405	1998-03-31	PRIJEM	\N	163	32421	UROK	\N	\N
3450439	4405	1998-04-30	PRIJEM	\N	133	20039	UROK	\N	\N
3450440	4405	1998-05-31	PRIJEM	\N	89	35193	UROK	\N	\N
3450441	4405	1998-06-30	PRIJEM	\N	147	40890	UROK	\N	\N
3450442	4405	1998-07-31	PRIJEM	\N	104	18979	UROK	\N	\N
3450443	4405	1998-08-31	PRIJEM	\N	105	27004	UROK	\N	\N
3450444	4405	1998-09-30	PRIJEM	\N	130	23645	UROK	\N	\N
3450445	4405	1998-10-31	PRIJEM	\N	108	42886	UROK	\N	\N
3450446	4405	1998-11-30	PRIJEM	\N	166	27143	UROK	\N	\N
3450447	4405	1998-12-31	PRIJEM	\N	76	6885	UROK	\N	\N
3450496	4462	1996-02-29	PRIJEM	\N	20	27920	UROK	\N	\N
3450497	4462	1996-03-31	PRIJEM	\N	134	49685	UROK	\N	\N
3450498	4462	1996-04-30	PRIJEM	\N	207	34891	UROK	\N	\N
3450499	4462	1996-05-31	PRIJEM	\N	207	27898	UROK	\N	\N
3450500	4462	1996-06-30	PRIJEM	\N	182	24438	UROK	\N	\N
3450501	4462	1996-07-31	PRIJEM	\N	119	31312	UROK	\N	\N
3450502	4462	1996-08-31	PRIJEM	\N	109	22566	UROK	\N	\N
3450503	4462	1996-09-30	PRIJEM	\N	161	63207	UROK	\N	\N
3450504	4462	1996-10-31	PRIJEM	\N	231	39538	UROK	\N	\N
3450505	4462	1996-11-30	PRIJEM	\N	170	37749	UROK	\N	\N
3450506	4462	1996-12-31	PRIJEM	\N	129	23977	UROK	\N	\N
3450507	4462	1997-01-31	PRIJEM	\N	19	2062	UROK	\N	\N
3450508	4462	1997-02-28	PRIJEM	\N	10	4142	UROK	\N	\N
3450509	4462	1997-03-31	PRIJEM	\N	31	13673	UROK	\N	\N
3450510	4462	1997-04-30	PRIJEM	\N	63	9036	UROK	\N	\N
3450511	4462	1997-05-31	PRIJEM	\N	44	3579	UROK	\N	\N
3450512	4462	1997-06-30	PRIJEM	\N	16	16466	UROK	\N	\N
3450513	4462	1997-07-31	PRIJEM	\N	36	-1817	UROK	\N	\N
3450514	4462	1997-07-31	VYDAJ	VYBER	4	-1821	SANKC. UROK	\N	\N
3450515	4462	1997-08-31	PRIJEM	\N	1	9950	UROK	\N	\N
3450516	4462	1997-08-31	VYDAJ	VYBER	19	9932	SANKC. UROK	\N	\N
3450517	4462	1997-09-30	PRIJEM	\N	49	8584	UROK	\N	\N
3450518	4462	1997-10-31	PRIJEM	\N	50	15833	UROK	\N	\N
3450519	4462	1997-11-30	PRIJEM	\N	75	20308	UROK	\N	\N
3450520	4462	1997-12-31	PRIJEM	\N	55	4662	UROK	\N	\N
3450521	4462	1998-01-31	PRIJEM	\N	6	-2662	UROK	\N	\N
3450522	4462	1998-01-31	VYDAJ	VYBER	18	-2681	SANKC. UROK	\N	\N
3450523	4462	1998-02-28	PRIJEM	\N	12	3184	UROK	\N	\N
3450524	4462	1998-02-28	VYDAJ	VYBER	10	3174	SANKC. UROK	\N	\N
3450525	4462	1998-03-31	PRIJEM	\N	38	7528	UROK	\N	\N
3450526	4462	1998-03-31	VYDAJ	VYBER	1	7497	SANKC. UROK	\N	\N
3450527	4462	1998-04-30	PRIJEM	\N	42	14876	UROK	\N	\N
3450528	4462	1998-05-31	PRIJEM	\N	292	101651	UROK	\N	\N
3450529	4462	1998-06-30	PRIJEM	\N	186	29696	UROK	\N	\N
3450530	4462	1998-07-31	PRIJEM	\N	149	46546	UROK	\N	\N
3450531	4462	1998-08-31	PRIJEM	\N	297	85065	UROK	\N	\N
3450532	4462	1998-09-30	PRIJEM	\N	238	41565	UROK	\N	\N
3450533	4462	1998-10-31	PRIJEM	\N	124	20559	UROK	\N	\N
3450534	4462	1998-11-30	PRIJEM	\N	227	119635	UROK	\N	\N
3450535	4462	1998-12-31	PRIJEM	\N	196	23779	UROK	\N	\N
3450536	4543	1993-10-31	PRIJEM	\N	14	5494	UROK	\N	\N
3450537	4543	1993-11-30	PRIJEM	\N	61	20935	UROK	\N	\N
3450538	4543	1993-12-31	PRIJEM	\N	87	28042	UROK	\N	\N
3450539	4543	1994-01-31	PRIJEM	\N	110	29832	UROK	\N	\N
3450540	4543	1994-02-28	PRIJEM	\N	126	30838	UROK	\N	\N
3450541	4543	1994-03-31	PRIJEM	\N	139	34942	UROK	\N	\N
3450542	4543	1994-04-30	PRIJEM	\N	143	33611	UROK	\N	\N
3450543	4543	1994-05-31	PRIJEM	\N	137	32513	UROK	\N	\N
3450544	4543	1994-06-30	PRIJEM	\N	115	-366	UROK	\N	\N
3450545	4543	1994-06-30	VYDAJ	VYBER	1	-382	SANKC. UROK	\N	\N
3450546	4543	1994-07-31	PRIJEM	\N	42	16340	UROK	\N	\N
3450547	4543	1994-07-31	VYDAJ	VYBER	2	16338	SANKC. UROK	\N	\N
3450548	4543	1994-08-31	PRIJEM	\N	90	24893	UROK	\N	\N
3450549	4543	1994-09-30	PRIJEM	\N	114	29273	UROK	\N	\N
3450550	4543	1994-10-31	PRIJEM	\N	122	28840	UROK	\N	\N
3450551	4543	1994-11-30	PRIJEM	\N	125	30830	UROK	\N	\N
3450552	4543	1994-12-31	PRIJEM	\N	117	29673	UROK	\N	\N
3450553	4543	1995-01-31	PRIJEM	\N	132	33270	UROK	\N	\N
3450554	4543	1995-02-28	PRIJEM	\N	113	31748	UROK	\N	\N
3450555	4543	1995-03-31	PRIJEM	\N	111	19964	UROK	\N	\N
3450556	4543	1995-04-30	PRIJEM	\N	99	26328	UROK	\N	\N
3450557	4543	1995-05-31	PRIJEM	\N	113	28006	UROK	\N	\N
3450558	4543	1995-06-30	PRIJEM	\N	107	32819	UROK	\N	\N
3450559	4543	1995-07-31	PRIJEM	\N	114	29898	UROK	\N	\N
3450560	4543	1995-08-31	PRIJEM	\N	123	26446	UROK	\N	\N
3450561	4543	1995-09-30	PRIJEM	\N	110	26721	UROK	\N	\N
3450562	4543	1995-10-31	PRIJEM	\N	116	28162	UROK	\N	\N
3450563	4543	1995-11-30	PRIJEM	\N	118	30846	UROK	\N	\N
3450564	4543	1995-12-31	PRIJEM	\N	129	33020	UROK	\N	\N
3450565	4543	1996-01-31	PRIJEM	\N	138	34223	UROK	\N	\N
3450566	4543	1996-02-29	PRIJEM	\N	141	33130	UROK	\N	\N
3450567	4543	1996-03-31	PRIJEM	\N	137	32732	UROK	\N	\N
3450568	4543	1996-04-30	PRIJEM	\N	135	32633	UROK	\N	\N
3450569	4543	1996-05-31	PRIJEM	\N	138	35736	UROK	\N	\N
3450570	4543	1996-06-30	PRIJEM	\N	149	37091	UROK	\N	\N
3450571	4543	1996-07-31	PRIJEM	\N	159	39056	UROK	\N	\N
3450572	4543	1996-08-31	PRIJEM	\N	164	39385	UROK	\N	\N
3450573	4543	1996-09-30	PRIJEM	\N	169	44019	UROK	\N	\N
3450574	4543	1996-10-31	PRIJEM	\N	185	44829	UROK	\N	\N
3450575	4543	1996-11-30	PRIJEM	\N	189	46704	UROK	\N	\N
3450576	4543	1996-12-31	PRIJEM	\N	195	47664	UROK	\N	\N
3450577	4543	1997-01-31	PRIJEM	\N	206	53135	UROK	\N	\N
3450578	4543	1997-02-28	PRIJEM	\N	223	55224	UROK	\N	\N
3450579	4543	1997-03-31	PRIJEM	\N	223	51712	UROK	\N	\N
3450580	4543	1997-04-30	PRIJEM	\N	208	48406	UROK	\N	\N
3450581	4543	1997-05-31	PRIJEM	\N	204	51075	UROK	\N	\N
3450582	4543	1997-06-30	PRIJEM	\N	203	47144	UROK	\N	\N
3450583	4543	1997-07-31	PRIJEM	\N	202	51712	UROK	\N	\N
3450584	4543	1997-08-31	PRIJEM	\N	219	54796	UROK	\N	\N
3450585	4543	1997-09-30	PRIJEM	\N	229	56390	UROK	\N	\N
3450586	4543	1997-10-31	PRIJEM	\N	226	52981	UROK	\N	\N
3450587	4543	1997-11-30	PRIJEM	\N	220	53967	UROK	\N	\N
3450588	4543	1997-12-31	PRIJEM	\N	213	52325	UROK	\N	\N
3450589	4543	1998-01-31	PRIJEM	\N	223	55714	UROK	\N	\N
3450590	4543	1998-02-28	PRIJEM	\N	232	56911	UROK	\N	\N
3450591	4543	1998-03-31	PRIJEM	\N	230	53126	UROK	\N	\N
3450592	4543	1998-04-30	PRIJEM	\N	227	57438	UROK	\N	\N
3450593	4543	1998-05-31	PRIJEM	\N	230	53114	UROK	\N	\N
3450594	4543	1998-06-30	PRIJEM	\N	196	44515	UROK	\N	\N
3450595	4543	1998-07-31	PRIJEM	\N	189	47670	UROK	\N	\N
3450596	4543	1998-08-31	PRIJEM	\N	212	54347	UROK	\N	\N
3450597	4543	1998-09-30	PRIJEM	\N	240	61553	UROK	\N	\N
3450598	4543	1998-10-31	PRIJEM	\N	251	60969	UROK	\N	\N
3450599	4543	1998-11-30	PRIJEM	\N	258	64192	UROK	\N	\N
3450600	4543	1998-12-31	PRIJEM	\N	263	65061	UROK	\N	\N
3450674	4588	1996-09-30	PRIJEM	\N	9	12558	UROK	\N	\N
3450675	4588	1996-10-31	PRIJEM	\N	57	18063	UROK	\N	\N
3450676	4588	1996-11-30	PRIJEM	\N	81	24893	UROK	\N	\N
3450677	4588	1996-12-31	PRIJEM	\N	107	29024	UROK	\N	\N
3450678	4588	1997-01-31	PRIJEM	\N	104	17277	UROK	\N	\N
3450679	4588	1997-02-28	PRIJEM	\N	76	21287	UROK	\N	\N
3450680	4588	1997-03-31	PRIJEM	\N	89	19211	UROK	\N	\N
3450681	4588	1997-04-30	PRIJEM	\N	82	15527	UROK	\N	\N
3450682	4588	1997-05-31	PRIJEM	\N	66	16928	UROK	\N	\N
3450683	4588	1997-06-30	PRIJEM	\N	67	14104	UROK	\N	\N
3450684	4588	1997-07-31	PRIJEM	\N	56	11694	UROK	\N	\N
3450685	4588	1997-08-31	PRIJEM	\N	49	12178	UROK	\N	\N
3450686	4588	1997-09-30	PRIJEM	\N	50	11462	UROK	\N	\N
3450687	4588	1997-10-31	PRIJEM	\N	44	8940	UROK	\N	\N
3450688	4588	1997-11-30	PRIJEM	\N	36	6311	UROK	\N	\N
3450689	4588	1997-12-31	PRIJEM	\N	35	6355	UROK	\N	\N
3450690	4588	1998-01-31	PRIJEM	\N	9	-3501	UROK	\N	\N
3450691	4588	1998-01-31	VYDAJ	VYBER	6	-3522	SANKC. UROK	\N	\N
3450692	4588	1998-02-28	VYDAJ	VYBER	32	-2504	SANKC. UROK	\N	\N
3450693	4588	1998-03-31	VYDAJ	VYBER	20	-1090	SANKC. UROK	\N	\N
3450694	4588	1998-04-30	VYDAJ	VYBER	18	-2673	SANKC. UROK	\N	\N
3450695	4588	1998-05-31	VYDAJ	VYBER	30	-3369	SANKC. UROK	\N	\N
3450696	4588	1998-06-30	VYDAJ	VYBER	36	-5396	SANKC. UROK	\N	\N
3450697	4588	1998-07-31	VYDAJ	VYBER	35	-1096	SANKC. UROK	\N	\N
3450698	4588	1998-08-31	PRIJEM	\N	2	-6146	UROK	\N	\N
3450699	4588	1998-08-31	VYDAJ	VYBER	33	-6179	SANKC. UROK	\N	\N
3450700	4588	1998-09-30	VYDAJ	VYBER	56	-4886	SANKC. UROK	\N	\N
3450701	4588	1998-10-31	VYDAJ	VYBER	58	-6595	SANKC. UROK	\N	\N
3450702	4588	1998-11-30	VYDAJ	VYBER	62	-5808	SANKC. UROK	\N	\N
3450703	4588	1998-12-31	VYDAJ	VYBER	39	-2823	SANKC. UROK	\N	\N
3450704	4589	1995-06-30	PRIJEM	\N	26	18866	UROK	\N	\N
3450705	4589	1995-07-31	PRIJEM	\N	84	22844	UROK	\N	\N
3450706	4589	1995-08-31	PRIJEM	\N	100	25836	UROK	\N	\N
3450707	4589	1995-09-30	PRIJEM	\N	113	29042	UROK	\N	\N
3450708	4589	1995-10-31	PRIJEM	\N	122	29957	UROK	\N	\N
3450709	4589	1995-11-30	PRIJEM	\N	126	27542	UROK	\N	\N
3450710	4589	1995-12-31	PRIJEM	\N	112	25198	UROK	\N	\N
3450711	4589	1996-01-31	PRIJEM	\N	82	13538	UROK	\N	\N
3450712	4589	1996-02-29	PRIJEM	\N	73	21990	UROK	\N	\N
3450713	4589	1996-03-31	PRIJEM	\N	99	25868	UROK	\N	\N
3450714	4589	1996-04-30	PRIJEM	\N	115	28041	UROK	\N	\N
3450715	4589	1996-05-31	PRIJEM	\N	120	29839	UROK	\N	\N
3450716	4589	1996-06-30	PRIJEM	\N	121	28486	UROK	\N	\N
3450717	4589	1996-07-31	PRIJEM	\N	112	25676	UROK	\N	\N
3450718	4589	1996-08-31	PRIJEM	\N	107	24682	UROK	\N	\N
3450719	4589	1996-09-30	PRIJEM	\N	103	24243	UROK	\N	\N
3450720	4589	1996-10-31	PRIJEM	\N	101	23423	UROK	\N	\N
3450721	4589	1996-11-30	PRIJEM	\N	101	21442	UROK	\N	\N
3450722	4589	1996-12-31	PRIJEM	\N	93	21201	UROK	\N	\N
3450723	4589	1997-01-31	PRIJEM	\N	31	-2430	UROK	\N	\N
3450724	4589	1997-01-31	VYDAJ	VYBER	16	-2446	SANKC. UROK	\N	\N
3450725	4589	1997-02-28	PRIJEM	\N	37	13170	UROK	\N	\N
3450726	4589	1997-02-28	VYDAJ	VYBER	8	13162	SANKC. UROK	\N	\N
3450727	4589	1997-03-31	PRIJEM	\N	64	16904	UROK	\N	\N
3450728	4589	1997-04-30	PRIJEM	\N	83	21766	UROK	\N	\N
3450729	4589	1997-05-31	PRIJEM	\N	99	24943	UROK	\N	\N
3450730	4589	1997-06-30	PRIJEM	\N	96	21804	UROK	\N	\N
3450731	4589	1997-07-31	PRIJEM	\N	84	19767	UROK	\N	\N
3450732	4589	1997-08-31	PRIJEM	\N	89	22234	UROK	\N	\N
3450733	4589	1997-09-30	PRIJEM	\N	98	24311	UROK	\N	\N
3450734	4589	1997-10-31	PRIJEM	\N	107	26296	UROK	\N	\N
3450735	4589	1997-11-30	PRIJEM	\N	101	21796	UROK	\N	\N
3450736	4589	1997-12-31	PRIJEM	\N	97	23378	UROK	\N	\N
3450737	4589	1998-01-31	PRIJEM	\N	57	5193	UROK	\N	\N
3450738	4589	1998-02-28	PRIJEM	\N	55	13426	UROK	\N	\N
3450739	4589	1998-03-31	PRIJEM	\N	62	15567	UROK	\N	\N
3450740	4589	1998-04-30	PRIJEM	\N	64	14649	UROK	\N	\N
3450741	4589	1998-05-31	PRIJEM	\N	66	16393	UROK	\N	\N
3450742	4589	1998-06-30	PRIJEM	\N	81	6040	UROK	\N	\N
3450743	4589	1998-07-31	PRIJEM	\N	27	6765	UROK	\N	\N
3450744	4589	1998-08-31	PRIJEM	\N	46	11889	UROK	\N	\N
3450745	4589	1998-09-30	PRIJEM	\N	70	17937	UROK	\N	\N
3450746	4589	1998-10-31	PRIJEM	\N	75	16650	UROK	\N	\N
3450747	4589	1998-11-30	PRIJEM	\N	58	13886	UROK	\N	\N
3450748	4589	1998-12-31	PRIJEM	\N	68	16960	UROK	\N	\N
3450749	4596	1993-05-31	PRIJEM	\N	86	58286	UROK	\N	\N
3450750	4596	1993-06-30	PRIJEM	\N	378	97673	UROK	\N	\N
3450751	4596	1993-07-31	PRIJEM	\N	400	81881	UROK	\N	\N
3450752	4596	1993-08-31	PRIJEM	\N	224	47391	UROK	\N	\N
3450753	4596	1993-09-30	PRIJEM	\N	126	18002	UROK	\N	\N
3450754	4596	1993-10-31	PRIJEM	\N	90	17214	UROK	\N	\N
3450755	4596	1993-11-30	PRIJEM	\N	152	14440	UROK	\N	\N
3450756	4596	1993-12-31	PRIJEM	\N	91	44179	UROK	\N	\N
3450757	4596	1994-01-31	PRIJEM	\N	61	38471	UROK	\N	\N
3450758	4596	1994-01-31	VYDAJ	VYBER	12	38444	SANKC. UROK	\N	\N
3450759	4596	1994-02-28	PRIJEM	\N	133	27834	UROK	\N	\N
3450760	4596	1994-03-31	PRIJEM	\N	115	27435	UROK	\N	\N
3450761	4596	1994-04-30	PRIJEM	\N	95	13641	UROK	\N	\N
3450762	4596	1994-05-31	PRIJEM	\N	53	8879	UROK	\N	\N
3450763	4596	1994-06-30	PRIJEM	\N	34	-1619	UROK	\N	\N
3450764	4596	1994-06-30	VYDAJ	VYBER	1	-1620	SANKC. UROK	\N	\N
3450765	4596	1994-07-31	PRIJEM	\N	17	25587	UROK	\N	\N
3450766	4596	1994-07-31	VYDAJ	VYBER	15	25558	SANKC. UROK	\N	\N
3450767	4596	1994-08-31	PRIJEM	\N	44	16697	UROK	\N	\N
3450768	4596	1994-09-30	PRIJEM	\N	172	60748	UROK	\N	\N
3450769	4596	1994-10-31	PRIJEM	\N	160	28479	UROK	\N	\N
3450770	4596	1994-11-30	PRIJEM	\N	117	24782	UROK	\N	\N
3450771	4596	1994-12-31	PRIJEM	\N	80	17713	UROK	\N	\N
3450772	4596	1995-01-31	PRIJEM	\N	18	13116	UROK	\N	\N
3450773	4596	1995-01-31	VYDAJ	VYBER	8	13109	SANKC. UROK	\N	\N
3450774	4596	1995-02-28	PRIJEM	\N	55	18149	UROK	\N	\N
3450775	4596	1995-03-31	PRIJEM	\N	75	23510	UROK	\N	\N
3450776	4596	1995-04-30	PRIJEM	\N	98	28293	UROK	\N	\N
3450777	4596	1995-05-31	PRIJEM	\N	123	42498	UROK	\N	\N
3450778	4596	1995-06-30	PRIJEM	\N	117	29401	UROK	\N	\N
3450779	4596	1995-07-31	PRIJEM	\N	122	32508	UROK	\N	\N
3450780	4596	1995-08-31	PRIJEM	\N	115	23913	UROK	\N	\N
3450781	4596	1995-09-30	PRIJEM	\N	65	23863	UROK	\N	\N
3450782	4596	1995-10-31	PRIJEM	\N	99	30047	UROK	\N	\N
3450783	4596	1995-11-30	PRIJEM	\N	124	32357	UROK	\N	\N
3450784	4596	1995-12-31	PRIJEM	\N	116	29058	UROK	\N	\N
3450785	4596	1996-01-31	PRIJEM	\N	64	23321	UROK	\N	\N
3450786	4596	1996-02-29	PRIJEM	\N	104	28840	UROK	\N	\N
3450787	4596	1996-03-31	PRIJEM	\N	135	32562	UROK	\N	\N
3450788	4596	1996-04-30	PRIJEM	\N	134	35081	UROK	\N	\N
3450789	4596	1996-05-31	PRIJEM	\N	168	70778	UROK	\N	\N
3450790	4596	1996-06-30	PRIJEM	\N	299	78154	UROK	\N	\N
3450791	4596	1996-07-31	PRIJEM	\N	348	102055	UROK	\N	\N
3450792	4596	1996-08-31	PRIJEM	\N	375	72267	UROK	\N	\N
3450793	4596	1996-09-30	PRIJEM	\N	297	58050	UROK	\N	\N
3450794	4596	1996-10-31	PRIJEM	\N	257	68162	UROK	\N	\N
3450795	4596	1996-11-30	PRIJEM	\N	282	81620	UROK	\N	\N
3450796	4596	1996-12-31	PRIJEM	\N	292	57698	UROK	\N	\N
3450797	4596	1997-01-31	PRIJEM	\N	231	41883	UROK	\N	\N
3450798	4596	1997-02-28	PRIJEM	\N	297	93463	UROK	\N	\N
3450799	4596	1997-03-31	PRIJEM	\N	322	64454	UROK	\N	\N
3450800	4596	1997-04-30	PRIJEM	\N	265	55305	UROK	\N	\N
3450801	4596	1997-05-31	PRIJEM	\N	265	83429	UROK	\N	\N
3450802	4596	1997-06-30	PRIJEM	\N	370	87011	UROK	\N	\N
3450803	4596	1997-07-31	PRIJEM	\N	317	58188	UROK	\N	\N
3450804	4596	1997-08-31	PRIJEM	\N	250	55170	UROK	\N	\N
3450805	4596	1997-09-30	PRIJEM	\N	226	49981	UROK	\N	\N
3450806	4596	1997-10-31	PRIJEM	\N	286	84281	UROK	\N	\N
3450807	4596	1997-11-30	PRIJEM	\N	329	77024	UROK	\N	\N
3450808	4596	1997-12-31	PRIJEM	\N	273	59683	UROK	\N	\N
3450809	4596	1998-01-31	PRIJEM	\N	213	24611	UROK	\N	\N
3450810	4596	1998-02-28	PRIJEM	\N	100	16784	UROK	\N	\N
3450811	4596	1998-03-31	PRIJEM	\N	168	64165	UROK	\N	\N
3450812	4596	1998-04-30	PRIJEM	\N	256	45906	UROK	\N	\N
3450813	4596	1998-05-31	PRIJEM	\N	187	46179	UROK	\N	\N
3450814	4596	1998-06-30	PRIJEM	\N	188	41952	UROK	\N	\N
3450815	4596	1998-07-31	PRIJEM	\N	171	41908	UROK	\N	\N
3450816	4596	1998-08-31	PRIJEM	\N	171	44764	UROK	\N	\N
3450817	4596	1998-09-30	PRIJEM	\N	235	62333	UROK	\N	\N
3450818	4596	1998-10-31	PRIJEM	\N	227	46646	UROK	\N	\N
3450819	4596	1998-11-30	PRIJEM	\N	182	18548	UROK	\N	\N
3450820	4596	1998-12-31	PRIJEM	\N	117	45780	UROK	\N	\N
3450821	4618	1996-08-31	PRIJEM	\N	15	22925	UROK	\N	\N
3450822	4618	1996-09-30	PRIJEM	\N	96	27021	UROK	\N	\N
3450823	4618	1996-10-31	PRIJEM	\N	143	50217	UROK	\N	\N
3450824	4618	1996-11-30	PRIJEM	\N	255	64989	UROK	\N	\N
3450825	4618	1996-12-31	PRIJEM	\N	282	92597	UROK	\N	\N
3450826	4618	1997-01-31	PRIJEM	\N	195	21677	UROK	\N	\N
3450827	4618	1997-02-28	PRIJEM	\N	104	15667	UROK	\N	\N
3450828	4618	1997-03-31	PRIJEM	\N	96	53047	UROK	\N	\N
3450829	4618	1997-04-30	PRIJEM	\N	117	11624	UROK	\N	\N
3450830	4618	1997-05-31	PRIJEM	\N	27	-2243	UROK	\N	\N
3450831	4618	1997-05-31	VYDAJ	VYBER	10	-2267	SANKC. UROK	\N	\N
3450832	4618	1997-06-30	PRIJEM	\N	9	4263	UROK	\N	\N
3450833	4618	1997-06-30	VYDAJ	VYBER	11	4252	SANKC. UROK	\N	\N
3450834	4618	1997-07-31	PRIJEM	\N	6	-7835	UROK	\N	\N
3450835	4618	1997-07-31	VYDAJ	VYBER	50	-7885	SANKC. UROK	\N	\N
3450836	4618	1997-09-30	VYDAJ	VYBER	80	8957	SANKC. UROK	\N	\N
3450837	4618	1997-09-30	PRIJEM	\N	26	9080	UROK	\N	\N
3450838	4618	1997-09-30	VYDAJ	VYBER	28	9037	SANKC. UROK	\N	\N
3450839	4618	1997-10-31	PRIJEM	\N	37	-406	UROK	\N	\N
3450840	4618	1997-10-31	VYDAJ	VYBER	0	-406	SANKC. UROK	\N	\N
3450841	4618	1997-11-30	VYDAJ	VYBER	2	-424	SANKC. UROK	\N	\N
3450842	4618	1997-12-31	VYDAJ	VYBER	2	-441	SANKC. UROK	\N	\N
3450843	4618	1998-02-28	VYDAJ	VYBER	3	1601	SANKC. UROK	\N	\N
3450844	4618	1998-02-28	PRIJEM	\N	16	1604	UROK	\N	\N
3450845	4618	1998-02-28	VYDAJ	VYBER	1	1586	SANKC. UROK	\N	\N
3450846	4618	1998-03-31	PRIJEM	\N	55	14642	UROK	\N	\N
3450847	4618	1998-04-30	PRIJEM	\N	29	-22	UROK	\N	\N
3450848	4618	1998-06-30	PRIJEM	\N	1	15539	UROK	\N	\N
3450849	4618	1998-06-30	PRIJEM	\N	59	15539	UROK	\N	\N
3450850	4618	1998-07-31	PRIJEM	\N	160	78405	UROK	\N	\N
3450851	4618	1998-07-31	VYDAJ	VYBER	1	78404	SANKC. UROK	\N	\N
3450852	4618	1998-08-31	PRIJEM	\N	273	63687	UROK	\N	\N
3450853	4618	1998-09-30	PRIJEM	\N	229	59267	UROK	\N	\N
3450854	4618	1998-10-31	PRIJEM	\N	138	17270	UROK	\N	\N
3450855	4618	1998-11-30	PRIJEM	\N	83	35445	UROK	\N	\N
3450856	4618	1998-12-31	PRIJEM	\N	39	-5809	UROK	\N	\N
3450857	4618	1998-12-31	VYDAJ	VYBER	37	-5846	SANKC. UROK	\N	\N
3450858	4659	1993-12-31	PRIJEM	\N	104	64551	UROK	\N	\N
3450859	4659	1994-01-31	PRIJEM	\N	318	86272	UROK	\N	\N
3450860	4659	1994-02-28	PRIJEM	\N	358	56030	UROK	\N	\N
3450861	4659	1994-03-31	PRIJEM	\N	325	65444	UROK	\N	\N
3450862	4659	1994-04-30	PRIJEM	\N	252	54775	UROK	\N	\N
3450863	4659	1994-05-31	PRIJEM	\N	230	82935	UROK	\N	\N
3450864	4659	1994-06-30	PRIJEM	\N	288	76523	UROK	\N	\N
3450865	4659	1994-07-31	PRIJEM	\N	296	42190	UROK	\N	\N
3450866	4659	1994-08-31	PRIJEM	\N	145	32521	UROK	\N	\N
3450867	4659	1994-09-30	PRIJEM	\N	113	23690	UROK	\N	\N
3450868	4659	1994-10-31	PRIJEM	\N	119	25041	UROK	\N	\N
3450869	4659	1994-11-30	PRIJEM	\N	287	71723	UROK	\N	\N
3450870	4659	1994-12-31	PRIJEM	\N	198	34435	UROK	\N	\N
3450871	4659	1995-01-31	PRIJEM	\N	45	13529	UROK	\N	\N
3450872	4659	1995-01-31	VYDAJ	VYBER	7	13508	SANKC. UROK	\N	\N
3450873	4659	1995-02-28	PRIJEM	\N	62	53237	UROK	\N	\N
3450874	4659	1995-03-31	PRIJEM	\N	155	31877	UROK	\N	\N
3450875	4659	1995-04-30	PRIJEM	\N	158	52614	UROK	\N	\N
3450876	4659	1995-05-31	PRIJEM	\N	348	94809	UROK	\N	\N
3450877	4659	1995-06-30	PRIJEM	\N	265	49560	UROK	\N	\N
3450878	4659	1995-07-31	PRIJEM	\N	117	21602	UROK	\N	\N
3450879	4659	1995-08-31	PRIJEM	\N	117	41297	UROK	\N	\N
3450880	4659	1995-09-30	PRIJEM	\N	170	35453	UROK	\N	\N
3450881	4659	1995-10-31	PRIJEM	\N	147	33385	UROK	\N	\N
3450882	4659	1995-11-30	PRIJEM	\N	198	46161	UROK	\N	\N
3450883	4659	1995-12-31	PRIJEM	\N	161	25753	UROK	\N	\N
3450884	4659	1996-01-31	PRIJEM	\N	109	12369	UROK	\N	\N
3450885	4659	1996-02-29	PRIJEM	\N	64	32057	UROK	\N	\N
3450886	4659	1996-03-31	PRIJEM	\N	276	57500	UROK	\N	\N
3450887	4659	1996-04-30	PRIJEM	\N	231	33317	UROK	\N	\N
3450888	4659	1996-05-31	PRIJEM	\N	170	79499	UROK	\N	\N
3450889	4659	1996-06-30	PRIJEM	\N	307	39192	UROK	\N	\N
3450890	4659	1996-07-31	PRIJEM	\N	77	20294	UROK	\N	\N
3450891	4659	1996-08-31	PRIJEM	\N	97	29243	UROK	\N	\N
3450892	4659	1996-09-30	PRIJEM	\N	129	45741	UROK	\N	\N
3450893	4659	1996-10-31	PRIJEM	\N	219	51361	UROK	\N	\N
3450894	4659	1996-11-30	PRIJEM	\N	223	36091	UROK	\N	\N
3450895	4659	1996-12-31	PRIJEM	\N	211	67068	UROK	\N	\N
3450896	4659	1997-01-31	PRIJEM	\N	231	39369	UROK	\N	\N
3450897	4659	1997-02-28	PRIJEM	\N	287	63014	UROK	\N	\N
3450898	4659	1997-03-31	PRIJEM	\N	220	31070	UROK	\N	\N
3450899	4659	1997-04-30	PRIJEM	\N	161	53546	UROK	\N	\N
3450900	4659	1997-05-31	PRIJEM	\N	218	39049	UROK	\N	\N
3450901	4659	1997-06-30	PRIJEM	\N	130	20688	UROK	\N	\N
3450902	4659	1997-07-31	PRIJEM	\N	129	70257	UROK	\N	\N
3450903	4659	1997-08-31	PRIJEM	\N	287	50429	UROK	\N	\N
3450904	4659	1997-09-30	PRIJEM	\N	234	58362	UROK	\N	\N
3450905	4659	1997-10-31	PRIJEM	\N	199	38446	UROK	\N	\N
3450906	4659	1997-11-30	PRIJEM	\N	139	16455	UROK	\N	\N
3450907	4659	1997-12-31	PRIJEM	\N	40	11080	UROK	\N	\N
3450908	4659	1998-01-31	PRIJEM	\N	31	5196	UROK	\N	\N
3450909	4659	1998-02-28	PRIJEM	\N	148	58454	UROK	\N	\N
3450910	4659	1998-03-31	PRIJEM	\N	227	40976	UROK	\N	\N
3450911	4659	1998-04-30	PRIJEM	\N	148	35641	UROK	\N	\N
3450912	4659	1998-05-31	PRIJEM	\N	182	45654	UROK	\N	\N
3450913	4659	1998-06-30	PRIJEM	\N	166	60845	UROK	\N	\N
3450914	4659	1998-07-31	PRIJEM	\N	264	81834	UROK	\N	\N
3450915	4659	1998-08-31	PRIJEM	\N	207	56231	UROK	\N	\N
3450916	4659	1998-09-30	PRIJEM	\N	286	80682	UROK	\N	\N
3450917	4659	1998-10-31	PRIJEM	\N	259	45427	UROK	\N	\N
3450918	4659	1998-11-30	PRIJEM	\N	252	93551	UROK	\N	\N
3450919	4659	1998-12-31	PRIJEM	\N	376	93462	UROK	\N	\N
3450920	4729	1997-06-30	PRIJEM	\N	26	20563	UROK	\N	\N
3450921	4729	1997-07-31	PRIJEM	\N	88	22609	UROK	\N	\N
3450922	4729	1997-08-31	PRIJEM	\N	96	23963	UROK	\N	\N
3450923	4729	1997-09-30	PRIJEM	\N	104	27225	UROK	\N	\N
3450924	4729	1997-10-31	PRIJEM	\N	115	24758	UROK	\N	\N
3450925	4729	1997-11-30	PRIJEM	\N	105	25806	UROK	\N	\N
3450926	4729	1997-12-31	PRIJEM	\N	104	22053	UROK	\N	\N
3450927	4729	1998-01-31	PRIJEM	\N	64	260	UROK	\N	\N
3450928	4729	1998-02-28	PRIJEM	\N	22	11825	UROK	\N	\N
3450929	4729	1998-03-31	PRIJEM	\N	52	13621	UROK	\N	\N
3450930	4729	1998-04-30	PRIJEM	\N	62	16626	UROK	\N	\N
3450931	4729	1998-05-31	PRIJEM	\N	76	15525	UROK	\N	\N
3450932	4729	1998-06-30	PRIJEM	\N	64	13951	UROK	\N	\N
3450933	4729	1998-07-31	PRIJEM	\N	49	5823	UROK	\N	\N
3450934	4729	1998-08-31	PRIJEM	\N	21	-1133	UROK	\N	\N
3450935	4729	1998-08-31	VYDAJ	VYBER	4	-1136	SANKC. UROK	\N	\N
3450936	4729	1998-09-30	PRIJEM	\N	4	551	UROK	\N	\N
3450937	4729	1998-09-30	VYDAJ	VYBER	6	531	SANKC. UROK	\N	\N
3450938	4729	1998-10-31	PRIJEM	\N	8	3197	UROK	\N	\N
3450939	4729	1998-11-30	PRIJEM	\N	17	4958	UROK	\N	\N
3450940	4729	1998-12-31	PRIJEM	\N	48	13609	UROK	\N	\N
3450941	4743	1993-05-31	PRIJEM	\N	56	16166	UROK	\N	\N
3450942	4743	1993-06-30	PRIJEM	\N	150	65012	UROK	\N	\N
3450943	4743	1993-07-31	PRIJEM	\N	355	69123	UROK	\N	\N
3450944	4743	1993-08-31	PRIJEM	\N	460	57666	UROK	\N	\N
3450945	4743	1993-09-30	PRIJEM	\N	204	88992	UROK	\N	\N
3450946	4743	1993-10-31	PRIJEM	\N	364	97608	UROK	\N	\N
3450947	4743	1993-11-30	PRIJEM	\N	409	101616	UROK	\N	\N
3450948	4743	1993-12-31	PRIJEM	\N	371	78338	UROK	\N	\N
3450949	4743	1994-01-31	PRIJEM	\N	116	10740	UROK	\N	\N
3450950	4743	1994-01-31	VYDAJ	VYBER	3	10722	SANKC. UROK	\N	\N
3450951	4743	1994-02-28	PRIJEM	\N	44	6849	UROK	\N	\N
3450952	4743	1994-03-31	PRIJEM	\N	8	-1016	UROK	\N	\N
3450953	4743	1994-03-31	VYDAJ	VYBER	9	14576	SANKC. UROK	\N	\N
3450954	4743	1994-04-30	PRIJEM	\N	61	14622	UROK	\N	\N
3450955	4743	1994-05-31	PRIJEM	\N	82	25589	UROK	\N	\N
3450956	4743	1994-06-30	PRIJEM	\N	104	17531	UROK	\N	\N
3450957	4743	1994-07-31	PRIJEM	\N	237	58119	UROK	\N	\N
3450958	4743	1994-08-31	PRIJEM	\N	232	46488	UROK	\N	\N
3450959	4743	1994-09-30	PRIJEM	\N	187	35919	UROK	\N	\N
3450960	4743	1994-10-31	PRIJEM	\N	137	23342	UROK	\N	\N
3450961	4743	1994-11-30	PRIJEM	\N	98	25363	UROK	\N	\N
3450962	4743	1994-12-31	PRIJEM	\N	198	63872	UROK	\N	\N
3450963	4743	1995-01-31	PRIJEM	\N	191	24878	UROK	\N	\N
3450964	4743	1995-02-28	PRIJEM	\N	106	29970	UROK	\N	\N
3450965	4743	1995-03-31	PRIJEM	\N	128	35183	UROK	\N	\N
3450966	4743	1995-04-30	PRIJEM	\N	146	42014	UROK	\N	\N
3450967	4743	1995-05-31	PRIJEM	\N	172	40271	UROK	\N	\N
3450968	4743	1995-06-30	PRIJEM	\N	175	49240	UROK	\N	\N
3450969	4743	1995-07-31	PRIJEM	\N	209	54846	UROK	\N	\N
3450970	4743	1995-08-31	PRIJEM	\N	238	64608	UROK	\N	\N
3450971	4743	1995-09-30	PRIJEM	\N	251	51845	UROK	\N	\N
3450972	4743	1995-10-31	PRIJEM	\N	285	108854	UROK	\N	\N
3450973	4743	1995-11-30	PRIJEM	\N	411	73942	UROK	\N	\N
3450974	4743	1995-12-31	PRIJEM	\N	285	59912	UROK	\N	\N
3450975	4743	1996-01-31	PRIJEM	\N	229	77047	UROK	\N	\N
3450976	4743	1996-02-29	PRIJEM	\N	317	101431	UROK	\N	\N
3450977	4743	1996-03-31	PRIJEM	\N	389	76813	UROK	\N	\N
3450978	4743	1996-04-30	PRIJEM	\N	296	64194	UROK	\N	\N
3450979	4743	1996-05-31	PRIJEM	\N	259	59831	UROK	\N	\N
3450980	4743	1996-06-30	PRIJEM	\N	338	12458	UROK	\N	\N
3450981	4743	1996-07-31	PRIJEM	\N	222	73642	UROK	\N	\N
3450982	4743	1996-08-31	PRIJEM	\N	362	78968	UROK	\N	\N
3450983	4743	1996-09-30	PRIJEM	\N	457	71937	UROK	\N	\N
3450984	4743	1996-10-31	PRIJEM	\N	287	86481	UROK	\N	\N
3450985	4743	1996-11-30	PRIJEM	\N	294	39593	UROK	\N	\N
3450986	4743	1996-12-31	PRIJEM	\N	334	74745	UROK	\N	\N
3450987	4743	1997-01-31	PRIJEM	\N	238	37568	UROK	\N	\N
3450988	4743	1997-02-28	PRIJEM	\N	155	55609	UROK	\N	\N
3450989	4743	1997-03-31	PRIJEM	\N	344	72756	UROK	\N	\N
3450990	4743	1997-04-30	PRIJEM	\N	299	74241	UROK	\N	\N
3450991	4743	1997-05-31	PRIJEM	\N	373	100801	UROK	\N	\N
3450992	4743	1997-06-30	PRIJEM	\N	383	81989	UROK	\N	\N
3450993	4743	1997-07-31	PRIJEM	\N	337	80411	UROK	\N	\N
3450994	4743	1997-08-31	PRIJEM	\N	313	74109	UROK	\N	\N
3450995	4743	1997-09-30	PRIJEM	\N	304	73511	UROK	\N	\N
3450996	4743	1997-10-31	PRIJEM	\N	347	92823	UROK	\N	\N
3450997	4743	1997-11-30	PRIJEM	\N	348	85797	UROK	\N	\N
3450998	4743	1997-12-31	PRIJEM	\N	481	94556	UROK	\N	\N
3450999	4743	1998-01-31	PRIJEM	\N	320	44151	UROK	\N	\N
3451000	4743	1998-02-28	PRIJEM	\N	182	69518	UROK	\N	\N
3451001	4743	1998-03-31	PRIJEM	\N	432	77970	UROK	\N	\N
3451002	4743	1998-04-30	PRIJEM	\N	265	53960	UROK	\N	\N
3451003	4743	1998-05-31	PRIJEM	\N	328	77711	UROK	\N	\N
3451004	4743	1998-06-30	PRIJEM	\N	250	68093	UROK	\N	\N
3451005	4743	1998-07-31	PRIJEM	\N	274	52437	UROK	\N	\N
3451006	4743	1998-08-31	PRIJEM	\N	347	93283	UROK	\N	\N
3451007	4743	1998-09-30	PRIJEM	\N	364	67415	UROK	\N	\N
3451008	4743	1998-10-31	PRIJEM	\N	309	95920	UROK	\N	\N
3451009	4743	1998-11-30	PRIJEM	\N	455	97771	UROK	\N	\N
3451010	4743	1998-12-31	PRIJEM	\N	375	91470	UROK	\N	\N
3451011	4753	1996-12-31	PRIJEM	\N	65	19447	UROK	\N	\N
3451012	4753	1997-01-31	PRIJEM	\N	122	31824	UROK	\N	\N
3451013	4753	1997-02-28	PRIJEM	\N	153	38232	UROK	\N	\N
3451014	4753	1997-03-31	PRIJEM	\N	139	32426	UROK	\N	\N
3451015	4753	1997-04-30	PRIJEM	\N	154	38336	UROK	\N	\N
3451016	4753	1997-05-31	PRIJEM	\N	167	40543	UROK	\N	\N
3451017	4753	1997-06-30	PRIJEM	\N	128	12558	UROK	\N	\N
3451018	4753	1997-07-31	PRIJEM	\N	91	24089	UROK	\N	\N
3451019	4753	1997-08-31	PRIJEM	\N	108	25738	UROK	\N	\N
3451020	4753	1997-09-30	PRIJEM	\N	126	31464	UROK	\N	\N
3451021	4753	1997-10-31	PRIJEM	\N	143	35047	UROK	\N	\N
3451022	4753	1997-11-30	PRIJEM	\N	137	32524	UROK	\N	\N
3451023	4753	1997-12-31	PRIJEM	\N	139	35170	UROK	\N	\N
3451024	4753	1998-01-31	PRIJEM	\N	107	20258	UROK	\N	\N
3451025	4753	1998-02-28	PRIJEM	\N	62	24760	UROK	\N	\N
3451026	4753	1998-03-31	PRIJEM	\N	104	25204	UROK	\N	\N
3451027	4753	1998-04-30	PRIJEM	\N	106	25651	UROK	\N	\N
3451028	4753	1998-05-31	PRIJEM	\N	104	25295	UROK	\N	\N
3451029	4753	1998-06-30	PRIJEM	\N	40	83	UROK	\N	\N
3451030	4753	1998-06-30	VYDAJ	VYBER	0	82	SANKC. UROK	\N	\N
3451031	4753	1998-07-31	PRIJEM	\N	1	3724	UROK	\N	\N
3451032	4753	1998-07-31	VYDAJ	VYBER	0	3709	SANKC. UROK	\N	\N
3451033	4753	1998-08-31	PRIJEM	\N	17	8581	UROK	\N	\N
3451034	4753	1998-09-30	PRIJEM	\N	48	2350	UROK	\N	\N
3451035	4753	1998-10-31	PRIJEM	\N	32	-2279	UROK	\N	\N
3451036	4753	1998-10-31	VYDAJ	VYBER	3	-2296	SANKC. UROK	\N	\N
3451037	4753	1998-11-30	PRIJEM	\N	3	-4018	UROK	\N	\N
3451038	4753	1998-11-30	VYDAJ	VYBER	22	-4040	SANKC. UROK	\N	\N
3451039	4753	1998-12-31	PRIJEM	\N	5	7827	UROK	\N	\N
3451040	4753	1998-12-31	VYDAJ	VYBER	35	7792	SANKC. UROK	\N	\N
3451041	4768	1996-06-30	PRIJEM	\N	53	42124	UROK	\N	\N
3451042	4768	1996-07-31	PRIJEM	\N	253	85892	UROK	\N	\N
3451043	4768	1996-08-31	PRIJEM	\N	336	84555	UROK	\N	\N
3451044	4768	1996-09-30	PRIJEM	\N	219	36247	UROK	\N	\N
3451045	4768	1996-10-31	PRIJEM	\N	218	79459	UROK	\N	\N
3451046	4768	1996-11-30	PRIJEM	\N	281	46711	UROK	\N	\N
3451047	4768	1996-12-31	PRIJEM	\N	178	28574	UROK	\N	\N
3451048	4768	1997-01-31	PRIJEM	\N	95	24312	UROK	\N	\N
3451049	4768	1997-02-28	PRIJEM	\N	60	6921	UROK	\N	\N
3451050	4768	1997-03-31	PRIJEM	\N	171	61502	UROK	\N	\N
3451051	4768	1997-04-30	PRIJEM	\N	212	35205	UROK	\N	\N
3451052	4768	1997-05-31	PRIJEM	\N	290	62289	UROK	\N	\N
3451053	4768	1997-06-30	PRIJEM	\N	223	35848	UROK	\N	\N
3451054	4768	1997-07-31	PRIJEM	\N	208	47013	UROK	\N	\N
3451055	4768	1997-08-31	PRIJEM	\N	188	44518	UROK	\N	\N
3451056	4768	1997-09-30	PRIJEM	\N	217	57004	UROK	\N	\N
3451057	4768	1997-10-31	PRIJEM	\N	261	76684	UROK	\N	\N
3451058	4768	1997-11-30	PRIJEM	\N	221	43013	UROK	\N	\N
3451059	4768	1997-12-31	PRIJEM	\N	150	30662	UROK	\N	\N
3451060	4768	1998-01-31	PRIJEM	\N	105	33379	UROK	\N	\N
3451061	4768	1998-02-28	PRIJEM	\N	92	18394	UROK	\N	\N
3451062	4768	1998-03-31	PRIJEM	\N	75	13155	UROK	\N	\N
3451063	4768	1998-04-30	PRIJEM	\N	52	15392	UROK	\N	\N
3451064	4768	1998-05-31	PRIJEM	\N	26	-164	UROK	\N	\N
3451065	4768	1998-05-31	VYDAJ	VYBER	0	-179	SANKC. UROK	\N	\N
3451066	4768	1998-06-30	PRIJEM	\N	1	5122	UROK	\N	\N
3451067	4768	1998-06-30	VYDAJ	VYBER	4	5103	SANKC. UROK	\N	\N
3451068	4768	1998-07-31	PRIJEM	\N	86	63606	UROK	\N	\N
3451069	4768	1998-08-31	PRIJEM	\N	218	36274	UROK	\N	\N
3451070	4768	1998-09-30	PRIJEM	\N	95	29170	UROK	\N	\N
3451071	4768	1998-10-31	PRIJEM	\N	236	70336	UROK	\N	\N
3451072	4768	1998-11-30	PRIJEM	\N	288	42609	UROK	\N	\N
3451073	4768	1998-12-31	PRIJEM	\N	110	37827	UROK	\N	\N
3451074	4858	1997-07-31	PRIJEM	\N	51	34251	UROK	\N	\N
3451075	4858	1997-08-31	PRIJEM	\N	169	51071	UROK	\N	\N
3451076	4858	1997-09-30	PRIJEM	\N	220	55960	UROK	\N	\N
3451077	4858	1997-10-31	PRIJEM	\N	245	64125	UROK	\N	\N
3451078	4858	1997-11-30	PRIJEM	\N	250	48658	UROK	\N	\N
3451079	4858	1997-12-31	PRIJEM	\N	262	50755	UROK	\N	\N
3451080	4858	1998-01-31	PRIJEM	\N	209	26521	UROK	\N	\N
3451081	4858	1998-02-28	PRIJEM	\N	144	29040	UROK	\N	\N
3451082	4858	1998-03-31	PRIJEM	\N	122	20969	UROK	\N	\N
3451083	4858	1998-04-30	PRIJEM	\N	106	25001	UROK	\N	\N
3451084	4858	1998-05-31	PRIJEM	\N	102	9198	UROK	\N	\N
3451085	4858	1998-06-30	PRIJEM	\N	62	327	UROK	\N	\N
3451086	4858	1998-06-30	VYDAJ	VYBER	5	321	SANKC. UROK	\N	\N
3451087	4858	1998-07-31	PRIJEM	\N	33	1123	UROK	\N	\N
3451088	4858	1998-07-31	VYDAJ	VYBER	8	1125	SANKC. UROK	\N	\N
3451089	4858	1998-08-31	PRIJEM	\N	6	-6479	UROK	\N	\N
3451090	4858	1998-08-31	VYDAJ	VYBER	35	-6508	SANKC. UROK	\N	\N
3451091	4858	1998-09-30	PRIJEM	\N	17	6376	UROK	\N	\N
3451092	4858	1998-09-30	VYDAJ	VYBER	28	6336	SANKC. UROK	\N	\N
3451093	4858	1998-10-31	PRIJEM	\N	62	20262	UROK	\N	\N
3451094	4858	1998-11-30	PRIJEM	\N	85	17121	UROK	\N	\N
3451095	4858	1998-12-31	PRIJEM	\N	129	32987	UROK	\N	\N
3451096	5011	1993-09-30	PRIJEM	\N	88	34387	UROK	\N	\N
3451097	5011	1993-10-31	PRIJEM	\N	230	64265	UROK	\N	\N
3451098	5011	1993-11-30	PRIJEM	\N	318	79201	UROK	\N	\N
3451099	5011	1993-12-31	PRIJEM	\N	248	40962	UROK	\N	\N
3451100	5011	1994-01-31	PRIJEM	\N	150	23442	UROK	\N	\N
3451101	5011	1994-02-28	PRIJEM	\N	95	22735	UROK	\N	\N
3451102	5011	1994-03-31	PRIJEM	\N	84	14204	UROK	\N	\N
3451103	5011	1994-04-30	PRIJEM	\N	89	31511	UROK	\N	\N
3451104	5011	1994-05-31	PRIJEM	\N	114	19110	UROK	\N	\N
3451105	5011	1994-06-30	PRIJEM	\N	134	58501	UROK	\N	\N
3451106	5011	1994-07-31	PRIJEM	\N	128	19256	UROK	\N	\N
3451107	5011	1994-08-31	PRIJEM	\N	64	9005	UROK	\N	\N
3451108	5011	1994-09-30	PRIJEM	\N	103	58896	UROK	\N	\N
3451109	5011	1994-10-31	PRIJEM	\N	227	36161	UROK	\N	\N
3451110	5011	1994-11-30	PRIJEM	\N	127	25149	UROK	\N	\N
3451111	5011	1994-12-31	PRIJEM	\N	88	17742	UROK	\N	\N
3451112	5011	1995-01-31	PRIJEM	\N	24	2951	UROK	\N	\N
3451113	5011	1995-01-31	VYDAJ	VYBER	7	2929	SANKC. UROK	\N	\N
3451114	5011	1995-02-28	PRIJEM	\N	13	-11659	UROK	\N	\N
3451115	5011	1995-02-28	VYDAJ	VYBER	4	-11677	SANKC. UROK	\N	\N
3451116	5011	1995-03-31	PRIJEM	\N	39	7972	UROK	\N	\N
3451117	5011	1995-03-31	VYDAJ	VYBER	26	7946	SANKC. UROK	\N	\N
3451118	5011	1995-04-30	PRIJEM	\N	43	24608	UROK	\N	\N
3451119	5011	1995-05-31	PRIJEM	\N	73	9567	UROK	\N	\N
3451120	5011	1995-06-30	PRIJEM	\N	31	4784	UROK	\N	\N
3451121	5011	1995-07-31	PRIJEM	\N	38	12211	UROK	\N	\N
3451122	5011	1995-08-31	PRIJEM	\N	69	17836	UROK	\N	\N
3451123	5011	1995-09-30	PRIJEM	\N	76	17335	UROK	\N	\N
3451124	5011	1995-10-31	PRIJEM	\N	52	8073	UROK	\N	\N
3451125	5011	1995-11-30	PRIJEM	\N	120	28164	UROK	\N	\N
3451126	5011	1995-12-31	PRIJEM	\N	93	12742	UROK	\N	\N
3451127	5011	1996-01-31	PRIJEM	\N	88	88090	UROK	\N	\N
3451128	5011	1996-01-31	VYDAJ	VYBER	13	88077	SANKC. UROK	\N	\N
3451129	5011	1996-02-29	PRIJEM	\N	186	34739	UROK	\N	\N
3451130	5011	1996-03-31	PRIJEM	\N	231	76568	UROK	\N	\N
3451131	5011	1996-04-30	PRIJEM	\N	276	60255	UROK	\N	\N
3451132	5011	1996-05-31	PRIJEM	\N	295	32922	UROK	\N	\N
3451133	5011	1996-06-30	PRIJEM	\N	84	31517	UROK	\N	\N
3451134	5011	1996-07-31	PRIJEM	\N	31	1413	UROK	\N	\N
3451135	5011	1996-08-31	PRIJEM	\N	139	44271	UROK	\N	\N
3451136	5011	1996-09-30	PRIJEM	\N	209	78659	UROK	\N	\N
3451137	5011	1996-10-31	PRIJEM	\N	215	41304	UROK	\N	\N
3451138	5011	1996-11-30	PRIJEM	\N	87	9276	UROK	\N	\N
3451139	5011	1996-12-31	PRIJEM	\N	85	70413	UROK	\N	\N
3451140	5011	1996-12-31	VYDAJ	VYBER	16	70382	SANKC. UROK	\N	\N
3451141	5011	1997-01-31	PRIJEM	\N	148	50848	UROK	\N	\N
3451142	5011	1997-02-28	PRIJEM	\N	79	-1287	UROK	\N	\N
3451143	5011	1997-02-28	VYDAJ	VYBER	1	-1289	SANKC. UROK	\N	\N
3451144	5011	1997-03-31	PRIJEM	\N	39	28066	UROK	\N	\N
3451145	5011	1997-03-31	VYDAJ	VYBER	60	27991	SANKC. UROK	\N	\N
3451146	5011	1997-04-30	PRIJEM	\N	234	55767	UROK	\N	\N
3451147	5011	1997-05-31	PRIJEM	\N	164	31531	UROK	\N	\N
3451148	5011	1997-06-30	PRIJEM	\N	166	70003	UROK	\N	\N
3451149	5011	1997-07-31	PRIJEM	\N	132	26663	UROK	\N	\N
3451150	5011	1997-08-31	PRIJEM	\N	37	1985	UROK	\N	\N
3451151	5011	1997-09-30	PRIJEM	\N	5	-4433	UROK	\N	\N
3451152	5011	1997-09-30	VYDAJ	VYBER	25	-4458	SANKC. UROK	\N	\N
3451153	5011	1997-10-31	PRIJEM	\N	118	48820	UROK	\N	\N
3451154	5011	1997-10-31	VYDAJ	VYBER	19	48787	SANKC. UROK	\N	\N
3451155	5011	1997-11-30	PRIJEM	\N	354	91038	UROK	\N	\N
3451156	5011	1997-12-31	PRIJEM	\N	341	52367	UROK	\N	\N
3451157	5011	1998-01-31	PRIJEM	\N	136	32052	UROK	\N	\N
3451158	5011	1998-02-28	PRIJEM	\N	93	20539	UROK	\N	\N
3451159	5011	1998-03-31	PRIJEM	\N	102	45842	UROK	\N	\N
3451160	5011	1998-04-30	PRIJEM	\N	112	11847	UROK	\N	\N
3451161	5011	1998-05-31	PRIJEM	\N	11	-1057	UROK	\N	\N
3451162	5011	1998-06-30	PRIJEM	\N	166	40740	UROK	\N	\N
3451163	5011	1998-07-31	PRIJEM	\N	147	18751	UROK	\N	\N
3451164	5011	1998-08-31	PRIJEM	\N	153	33987	UROK	\N	\N
3451165	5011	1998-09-30	PRIJEM	\N	143	20615	UROK	\N	\N
3451166	5011	1998-10-31	PRIJEM	\N	110	28958	UROK	\N	\N
3451167	5011	1998-11-30	PRIJEM	\N	110	18618	UROK	\N	\N
3451168	5011	1998-12-31	PRIJEM	\N	58	36	UROK	\N	\N
3451169	5024	1995-09-30	PRIJEM	\N	25	15223	UROK	\N	\N
3451170	5024	1995-10-31	PRIJEM	\N	74	21395	UROK	\N	\N
3451171	5024	1995-11-30	PRIJEM	\N	96	25189	UROK	\N	\N
3451172	5024	1995-12-31	PRIJEM	\N	113	29549	UROK	\N	\N
3451173	5024	1996-01-31	PRIJEM	\N	123	25050	UROK	\N	\N
3451174	5024	1996-02-29	PRIJEM	\N	107	24740	UROK	\N	\N
3451175	5024	1996-03-31	PRIJEM	\N	114	30137	UROK	\N	\N
3451176	5024	1996-04-30	PRIJEM	\N	119	26100	UROK	\N	\N
3451177	5024	1996-05-31	PRIJEM	\N	112	27495	UROK	\N	\N
3451178	5024	1996-06-30	PRIJEM	\N	123	31350	UROK	\N	\N
3451179	5024	1996-07-31	PRIJEM	\N	123	28257	UROK	\N	\N
3451180	5024	1996-08-31	PRIJEM	\N	135	29975	UROK	\N	\N
3451181	5024	1996-09-30	PRIJEM	\N	138	35356	UROK	\N	\N
3451182	5024	1996-10-31	PRIJEM	\N	147	35486	UROK	\N	\N
3451183	5024	1996-11-30	PRIJEM	\N	151	36820	UROK	\N	\N
3451184	5024	1996-12-31	PRIJEM	\N	145	35158	UROK	\N	\N
3451185	5024	1997-01-31	PRIJEM	\N	123	25404	UROK	\N	\N
3451186	5024	1997-02-28	PRIJEM	\N	126	34513	UROK	\N	\N
3451187	5024	1997-03-31	PRIJEM	\N	145	35342	UROK	\N	\N
3451188	5024	1997-04-30	PRIJEM	\N	147	35572	UROK	\N	\N
3451189	5024	1997-05-31	PRIJEM	\N	134	29170	UROK	\N	\N
3451190	5024	1997-06-30	PRIJEM	\N	144	39147	UROK	\N	\N
3451191	5024	1997-07-31	PRIJEM	\N	145	34855	UROK	\N	\N
3451192	5024	1997-08-31	PRIJEM	\N	138	32277	UROK	\N	\N
3451193	5024	1997-09-30	PRIJEM	\N	127	29587	UROK	\N	\N
3451194	5024	1997-10-31	PRIJEM	\N	117	29947	UROK	\N	\N
3451195	5024	1997-11-30	PRIJEM	\N	127	31057	UROK	\N	\N
3451196	5024	1997-12-31	PRIJEM	\N	128	30298	UROK	\N	\N
3451197	5024	1998-01-31	PRIJEM	\N	90	16852	UROK	\N	\N
3451198	5024	1998-02-28	PRIJEM	\N	88	25123	UROK	\N	\N
3451199	5024	1998-03-31	PRIJEM	\N	82	21028	UROK	\N	\N
3451200	5024	1998-04-30	PRIJEM	\N	86	20897	UROK	\N	\N
3451201	5024	1998-05-31	PRIJEM	\N	75	16456	UROK	\N	\N
3451202	5024	1998-06-30	PRIJEM	\N	82	22771	UROK	\N	\N
3451203	5024	1998-07-31	PRIJEM	\N	72	14026	UROK	\N	\N
3451204	5024	1998-08-31	PRIJEM	\N	43	8052	UROK	\N	\N
3451205	5024	1998-09-30	PRIJEM	\N	33	8569	UROK	\N	\N
3451206	5024	1998-10-31	PRIJEM	\N	37	9690	UROK	\N	\N
3451207	5024	1998-11-30	PRIJEM	\N	36	8509	UROK	\N	\N
3451208	5024	1998-12-31	PRIJEM	\N	29	6471	UROK	\N	\N
3451209	5063	1995-10-31	PRIJEM	\N	84	55384	UROK	\N	\N
3451210	5063	1995-11-30	PRIJEM	\N	296	66582	UROK	\N	\N
3451211	5063	1995-12-31	PRIJEM	\N	247	63703	UROK	\N	\N
3451212	5063	1996-01-31	PRIJEM	\N	130	2919	UROK	\N	\N
3451213	5063	1996-02-29	PRIJEM	\N	144	48079	UROK	\N	\N
3451214	5063	1996-03-31	PRIJEM	\N	176	34240	UROK	\N	\N
3451215	5063	1996-04-30	PRIJEM	\N	142	31567	UROK	\N	\N
3451216	5063	1996-05-31	PRIJEM	\N	131	26283	UROK	\N	\N
3451217	5063	1996-06-30	PRIJEM	\N	58	10827	UROK	\N	\N
3451218	5063	1996-07-31	PRIJEM	\N	42	8654	UROK	\N	\N
3451219	5063	1996-08-31	PRIJEM	\N	35	8165	UROK	\N	\N
3451220	5063	1996-09-30	PRIJEM	\N	35	17685	UROK	\N	\N
3451221	5063	1996-10-31	PRIJEM	\N	127	50917	UROK	\N	\N
3451222	5063	1996-11-30	PRIJEM	\N	242	57878	UROK	\N	\N
3451223	5063	1996-12-31	PRIJEM	\N	159	53699	UROK	\N	\N
3451224	5063	1997-01-31	PRIJEM	\N	47	-968	UROK	\N	\N
3451225	5063	1997-01-31	VYDAJ	VYBER	5	-988	SANKC. UROK	\N	\N
3451226	5063	1997-02-28	PRIJEM	\N	9	3821	UROK	\N	\N
3451227	5063	1997-02-28	VYDAJ	VYBER	5	3816	SANKC. UROK	\N	\N
3451228	5063	1997-03-31	PRIJEM	\N	17	8618	UROK	\N	\N
3451229	5063	1997-04-30	PRIJEM	\N	35	8539	UROK	\N	\N
3451230	5063	1997-05-31	PRIJEM	\N	37	24861	UROK	\N	\N
3451231	5063	1997-06-30	PRIJEM	\N	81	-2062	UROK	\N	\N
3451232	5063	1997-06-30	VYDAJ	VYBER	5	-2082	SANKC. UROK	\N	\N
3451233	5063	1997-07-31	PRIJEM	\N	2	16721	UROK	\N	\N
3451234	5063	1997-07-31	VYDAJ	VYBER	22	16685	SANKC. UROK	\N	\N
3451235	5063	1997-08-31	PRIJEM	\N	71	29855	UROK	\N	\N
3451236	5063	1997-09-30	PRIJEM	\N	124	29965	UROK	\N	\N
3451237	5063	1997-10-31	PRIJEM	\N	133	37483	UROK	\N	\N
3451238	5063	1997-11-30	PRIJEM	\N	153	29392	UROK	\N	\N
3451239	5063	1997-12-31	PRIJEM	\N	112	19890	UROK	\N	\N
3451240	5063	1998-01-31	PRIJEM	\N	77	7890	UROK	\N	\N
3451241	5063	1998-02-28	PRIJEM	\N	33	15808	UROK	\N	\N
3451242	5063	1998-03-31	PRIJEM	\N	65	16359	UROK	\N	\N
3451243	5063	1998-04-30	PRIJEM	\N	67	18812	UROK	\N	\N
3451244	5063	1998-05-31	PRIJEM	\N	72	9533	UROK	\N	\N
3451245	5063	1998-06-30	PRIJEM	\N	41	13488	UROK	\N	\N
3451246	5063	1998-07-31	PRIJEM	\N	55	12128	UROK	\N	\N
3451247	5063	1998-08-31	PRIJEM	\N	50	15864	UROK	\N	\N
3451248	5063	1998-09-30	PRIJEM	\N	65	19114	UROK	\N	\N
3451249	5063	1998-10-31	PRIJEM	\N	66	11727	UROK	\N	\N
3451250	5063	1998-11-30	PRIJEM	\N	17	9856	UROK	\N	\N
3451251	5063	1998-12-31	PRIJEM	\N	24	4765	UROK	\N	\N
3451252	5092	1994-01-31	PRIJEM	\N	20	12662	UROK	\N	\N
3451253	5092	1994-02-28	PRIJEM	\N	66	21871	UROK	\N	\N
3451254	5092	1994-03-31	PRIJEM	\N	92	22404	UROK	\N	\N
3451255	5092	1994-04-30	PRIJEM	\N	95	23942	UROK	\N	\N
3451256	5092	1994-05-31	PRIJEM	\N	107	26091	UROK	\N	\N
3451257	5092	1994-06-30	PRIJEM	\N	99	23907	UROK	\N	\N
3451258	5092	1994-07-31	PRIJEM	\N	100	23235	UROK	\N	\N
3451259	5092	1994-08-31	PRIJEM	\N	106	26569	UROK	\N	\N
3451260	5092	1994-09-30	PRIJEM	\N	115	28212	UROK	\N	\N
3451261	5092	1994-10-31	PRIJEM	\N	117	28275	UROK	\N	\N
3451262	5092	1994-11-30	PRIJEM	\N	118	26821	UROK	\N	\N
3451263	5092	1994-12-31	PRIJEM	\N	110	25859	UROK	\N	\N
3451264	5092	1995-01-31	PRIJEM	\N	107	25794	UROK	\N	\N
3451265	5092	1995-02-28	PRIJEM	\N	111	27532	UROK	\N	\N
3451266	5092	1995-03-31	PRIJEM	\N	117	29067	UROK	\N	\N
3451267	5092	1995-04-30	PRIJEM	\N	123	29817	UROK	\N	\N
3451268	5092	1995-05-31	PRIJEM	\N	129	31284	UROK	\N	\N
3451269	5092	1995-06-30	PRIJEM	\N	122	25573	UROK	\N	\N
3451270	5092	1995-07-31	PRIJEM	\N	116	26817	UROK	\N	\N
3451271	5092	1995-08-31	PRIJEM	\N	111	26555	UROK	\N	\N
3451272	5092	1995-09-30	PRIJEM	\N	108	25310	UROK	\N	\N
3451273	5092	1995-10-31	PRIJEM	\N	111	27489	UROK	\N	\N
3451274	5092	1995-11-30	PRIJEM	\N	118	29135	UROK	\N	\N
3451275	5092	1995-12-31	PRIJEM	\N	112	26234	UROK	\N	\N
3451276	5092	1996-01-31	PRIJEM	\N	105	23837	UROK	\N	\N
3451277	5092	1996-02-29	PRIJEM	\N	97	23331	UROK	\N	\N
3451278	5092	1996-03-31	PRIJEM	\N	103	25911	UROK	\N	\N
3451279	5092	1996-04-30	PRIJEM	\N	107	25846	UROK	\N	\N
3451280	5092	1996-05-31	PRIJEM	\N	100	22773	UROK	\N	\N
3451281	5092	1996-06-30	PRIJEM	\N	79	14129	UROK	\N	\N
3451282	5092	1996-07-31	PRIJEM	\N	60	15317	UROK	\N	\N
3451283	5092	1996-08-31	PRIJEM	\N	62	14517	UROK	\N	\N
3451284	5092	1996-09-30	PRIJEM	\N	53	13197	UROK	\N	\N
3451285	5092	1996-10-31	PRIJEM	\N	53	12577	UROK	\N	\N
3451286	5092	1996-11-30	PRIJEM	\N	39	8443	UROK	\N	\N
3451287	5092	1996-12-31	PRIJEM	\N	27	7447	UROK	\N	\N
3451288	5092	1997-01-31	PRIJEM	\N	24	6169	UROK	\N	\N
3451289	5092	1997-02-28	PRIJEM	\N	20	6116	UROK	\N	\N
3451290	5092	1997-03-31	PRIJEM	\N	23	6566	UROK	\N	\N
3451291	5092	1997-04-30	PRIJEM	\N	31	8625	UROK	\N	\N
3451292	5092	1997-05-31	PRIJEM	\N	22	6375	UROK	\N	\N
3451293	5092	1997-06-30	PRIJEM	\N	20	4422	UROK	\N	\N
3451294	5092	1997-07-31	PRIJEM	\N	12	3462	UROK	\N	\N
3451295	5092	1997-08-31	PRIJEM	\N	3	-308	UROK	\N	\N
3451296	5092	1997-08-31	VYDAJ	VYBER	9	-317	SANKC. UROK	\N	\N
3451297	5092	1997-09-30	VYDAJ	VYBER	11	-86	SANKC. UROK	\N	\N
3451298	5092	1997-10-31	VYDAJ	VYBER	49	-5093	SANKC. UROK	\N	\N
3451299	5092	1997-11-30	VYDAJ	VYBER	110	-14261	SANKC. UROK	\N	\N
3451300	5092	1997-12-31	VYDAJ	VYBER	155	-14673	SANKC. UROK	\N	\N
3451301	5092	1998-01-31	VYDAJ	VYBER	157	-14689	SANKC. UROK	\N	\N
3451302	5092	1998-02-28	VYDAJ	VYBER	159	-17706	SANKC. UROK	\N	\N
3451303	5092	1998-03-31	VYDAJ	VYBER	190	-19854	SANKC. UROK	\N	\N
3451304	5092	1998-04-30	VYDAJ	VYBER	214	-23926	SANKC. UROK	\N	\N
3451305	5092	1998-05-31	VYDAJ	VYBER	257	-29141	SANKC. UROK	\N	\N
3451306	5092	1998-06-30	VYDAJ	VYBER	304	-28503	SANKC. UROK	\N	\N
3451307	5092	1998-07-31	VYDAJ	VYBER	301	-30362	SANKC. UROK	\N	\N
3451308	5092	1998-08-31	VYDAJ	VYBER	320	-31940	SANKC. UROK	\N	\N
3451309	5092	1998-09-30	VYDAJ	VYBER	332	-31130	SANKC. UROK	\N	\N
3451310	5092	1998-10-31	VYDAJ	VYBER	333	-34521	SANKC. UROK	\N	\N
3451311	5092	1998-11-30	VYDAJ	VYBER	183	-23462	SANKC. UROK	\N	\N
3451312	5125	1995-10-31	PRIJEM	\N	191	53950	UROK	\N	\N
3451313	5125	1995-11-30	PRIJEM	\N	312	102916	UROK	\N	\N
3451314	5125	1995-12-31	PRIJEM	\N	382	66920	UROK	\N	\N
3451315	5125	1996-01-31	PRIJEM	\N	180	18727	UROK	\N	\N
3451316	5125	1996-02-29	PRIJEM	\N	147	37208	UROK	\N	\N
3451317	5125	1996-03-31	PRIJEM	\N	239	66160	UROK	\N	\N
3451318	5125	1996-04-30	PRIJEM	\N	284	49844	UROK	\N	\N
3451319	5125	1996-05-31	PRIJEM	\N	139	27639	UROK	\N	\N
3451320	5125	1996-06-30	PRIJEM	\N	157	51215	UROK	\N	\N
3451321	5125	1996-07-31	PRIJEM	\N	202	47810	UROK	\N	\N
3451322	5125	1996-08-31	PRIJEM	\N	178	78299	UROK	\N	\N
3451323	5125	1996-09-30	PRIJEM	\N	272	53274	UROK	\N	\N
3451324	5125	1996-10-31	PRIJEM	\N	170	37530	UROK	\N	\N
3451325	5125	1996-11-30	PRIJEM	\N	92	15980	UROK	\N	\N
3451326	5125	1996-12-31	PRIJEM	\N	33	1576	UROK	\N	\N
3451327	5125	1997-01-31	PRIJEM	\N	138	33554	UROK	\N	\N
3451328	5125	1997-02-28	PRIJEM	\N	51	6588	UROK	\N	\N
3451329	5125	1997-03-31	PRIJEM	\N	38	8551	UROK	\N	\N
3451330	5125	1997-04-30	PRIJEM	\N	77	29857	UROK	\N	\N
3451331	5125	1997-05-31	PRIJEM	\N	73	1005	UROK	\N	\N
3451332	5125	1997-06-30	PRIJEM	\N	3	2894	UROK	\N	\N
3451333	5125	1997-07-31	PRIJEM	\N	126	79273	UROK	\N	\N
3451334	5125	1997-08-31	PRIJEM	\N	240	51018	UROK	\N	\N
3451335	5125	1997-09-30	PRIJEM	\N	115	40987	UROK	\N	\N
3451336	5125	1997-10-31	PRIJEM	\N	153	34176	UROK	\N	\N
3451337	5125	1997-11-30	PRIJEM	\N	101	862	UROK	\N	\N
3451338	5125	1997-12-31	PRIJEM	\N	86	46517	UROK	\N	\N
3451339	5125	1998-01-31	PRIJEM	\N	171	71882	UROK	\N	\N
3451340	5125	1998-02-28	PRIJEM	\N	115	19783	UROK	\N	\N
3451341	5125	1998-03-31	PRIJEM	\N	79	5147	UROK	\N	\N
3451342	5125	1998-04-30	PRIJEM	\N	19	-649	UROK	\N	\N
3451343	5125	1998-04-30	VYDAJ	VYBER	0	-649	SANKC. UROK	\N	\N
3451344	5125	1998-05-31	PRIJEM	\N	4	4075	UROK	\N	\N
3451345	5125	1998-05-31	VYDAJ	VYBER	10	4065	SANKC. UROK	\N	\N
3451346	5125	1998-06-30	VYDAJ	VYBER	60	-4810	SANKC. UROK	\N	\N
3451347	5125	1998-07-31	VYDAJ	VYBER	60	-5870	SANKC. UROK	\N	\N
3451348	5125	1998-08-31	PRIJEM	\N	3	6941	UROK	\N	\N
3451349	5125	1998-08-31	VYDAJ	VYBER	55	6886	SANKC. UROK	\N	\N
3451350	5125	1998-09-30	PRIJEM	\N	26	597	UROK	\N	\N
3451351	5125	1998-09-30	VYDAJ	VYBER	0	597	SANKC. UROK	\N	\N
3451352	5125	1998-10-31	PRIJEM	\N	1	2674	UROK	\N	\N
3451353	5125	1998-10-31	VYDAJ	VYBER	0	2659	SANKC. UROK	\N	\N
3451354	5125	1998-11-30	PRIJEM	\N	9	-10233	UROK	\N	\N
3451355	5129	1993-06-30	PRIJEM	\N	106	38148	UROK	\N	\N
3451356	5129	1993-07-31	PRIJEM	\N	199	86240	UROK	\N	\N
3451357	5129	1993-08-31	PRIJEM	\N	250	49719	UROK	\N	\N
3451358	5129	1993-09-30	PRIJEM	\N	239	57765	UROK	\N	\N
3451359	5129	1993-10-31	PRIJEM	\N	271	37851	UROK	\N	\N
3451360	5129	1993-11-30	PRIJEM	\N	130	21051	UROK	\N	\N
3451361	5129	1993-12-31	PRIJEM	\N	219	82654	UROK	\N	\N
3451362	5129	1994-01-31	PRIJEM	\N	108	24113	UROK	\N	\N
3451363	5129	1994-02-28	PRIJEM	\N	159	34053	UROK	\N	\N
3451364	5129	1994-03-31	PRIJEM	\N	95	9033	UROK	\N	\N
3451365	5129	1994-04-30	PRIJEM	\N	54	34035	UROK	\N	\N
3451366	5129	1994-04-30	VYDAJ	VYBER	1	25919	SANKC. UROK	\N	\N
3451367	5129	1994-05-31	PRIJEM	\N	56	15049	UROK	\N	\N
3451368	5129	1994-06-30	PRIJEM	\N	84	22630	UROK	\N	\N
3451369	5129	1994-07-31	PRIJEM	\N	44	5460	UROK	\N	\N
3451370	5129	1994-08-31	PRIJEM	\N	60	24411	UROK	\N	\N
3451371	5129	1994-08-31	VYDAJ	VYBER	2	24409	SANKC. UROK	\N	\N
3451372	5129	1994-09-30	PRIJEM	\N	95	17913	UROK	\N	\N
3451373	5129	1994-10-31	PRIJEM	\N	18	-1083	UROK	\N	\N
3451374	5129	1994-10-31	VYDAJ	VYBER	7	7296	SANKC. UROK	\N	\N
3451375	5129	1994-11-30	PRIJEM	\N	30	-8574	UROK	\N	\N
3451376	5129	1994-11-30	VYDAJ	VYBER	0	-389	SANKC. UROK	\N	\N
3451377	5129	1994-12-31	PRIJEM	\N	1	1412	UROK	\N	\N
3451378	5129	1994-12-31	VYDAJ	VYBER	1	1411	SANKC. UROK	\N	\N
3451379	5129	1995-01-31	PRIJEM	\N	174	18765	UROK	\N	\N
3451380	5129	1995-02-28	PRIJEM	\N	168	71597	UROK	\N	\N
3451381	5129	1995-03-31	PRIJEM	\N	214	34942	UROK	\N	\N
3451382	5129	1995-04-30	PRIJEM	\N	156	37865	UROK	\N	\N
3451383	5129	1995-05-31	PRIJEM	\N	218	53691	UROK	\N	\N
3451384	5129	1995-06-30	PRIJEM	\N	139	14801	UROK	\N	\N
3451385	5129	1995-07-31	PRIJEM	\N	113	47165	UROK	\N	\N
3451386	5129	1995-08-31	PRIJEM	\N	170	34344	UROK	\N	\N
3451387	5129	1995-09-30	PRIJEM	\N	293	56456	UROK	\N	\N
3451388	5129	1995-10-31	PRIJEM	\N	238	111000	UROK	\N	\N
3451389	5129	1995-11-30	PRIJEM	\N	367	41700	UROK	\N	\N
3451390	5129	1995-12-31	PRIJEM	\N	158	18226	UROK	\N	\N
3451391	5129	1996-01-31	PRIJEM	\N	109	36352	UROK	\N	\N
3451392	5129	1996-02-29	PRIJEM	\N	127	7864	UROK	\N	\N
3451393	5129	1996-03-31	PRIJEM	\N	35	7285	UROK	\N	\N
3451394	5129	1996-04-30	PRIJEM	\N	48	19568	UROK	\N	\N
3451395	5129	1996-05-31	PRIJEM	\N	204	80835	UROK	\N	\N
3451396	5129	1996-06-30	PRIJEM	\N	195	19053	UROK	\N	\N
3451397	5129	1996-07-31	PRIJEM	\N	183	47940	UROK	\N	\N
3451398	5129	1996-08-31	PRIJEM	\N	175	39800	UROK	\N	\N
3451399	5129	1996-09-30	PRIJEM	\N	164	45752	UROK	\N	\N
3451400	5129	1996-10-31	PRIJEM	\N	245	78589	UROK	\N	\N
3451401	5129	1996-11-30	PRIJEM	\N	289	25292	UROK	\N	\N
3451402	5129	1996-12-31	PRIJEM	\N	148	70846	UROK	\N	\N
3451403	5129	1997-01-31	PRIJEM	\N	210	68211	UROK	\N	\N
3451404	5129	1997-02-28	PRIJEM	\N	336	81490	UROK	\N	\N
3451405	5129	1997-03-31	PRIJEM	\N	347	105150	UROK	\N	\N
3451406	5129	1997-04-30	PRIJEM	\N	372	100555	UROK	\N	\N
3451407	5129	1997-05-31	PRIJEM	\N	290	45703	UROK	\N	\N
3451408	5129	1997-06-30	PRIJEM	\N	206	43271	UROK	\N	\N
3451409	5129	1997-07-31	PRIJEM	\N	159	41354	UROK	\N	\N
3451410	5129	1997-08-31	PRIJEM	\N	163	35302	UROK	\N	\N
3451411	5129	1997-09-30	PRIJEM	\N	190	46829	UROK	\N	\N
3451412	5129	1997-10-31	PRIJEM	\N	283	73996	UROK	\N	\N
3451413	5129	1997-11-30	PRIJEM	\N	271	62964	UROK	\N	\N
3451414	5129	1997-12-31	PRIJEM	\N	244	45815	UROK	\N	\N
3451415	5129	1998-01-31	PRIJEM	\N	281	45523	UROK	\N	\N
3451416	5129	1998-02-28	PRIJEM	\N	203	64847	UROK	\N	\N
3451417	5129	1998-03-31	PRIJEM	\N	240	54806	UROK	\N	\N
3451418	5129	1998-04-30	PRIJEM	\N	164	30102	UROK	\N	\N
3451419	5129	1998-05-31	PRIJEM	\N	160	43003	UROK	\N	\N
3451420	5129	1998-06-30	PRIJEM	\N	195	99952	UROK	\N	\N
3451421	5129	1998-07-31	PRIJEM	\N	373	81960	UROK	\N	\N
3451422	5129	1998-08-31	PRIJEM	\N	337	82302	UROK	\N	\N
3451423	5129	1998-09-30	PRIJEM	\N	301	74642	UROK	\N	\N
3451424	5129	1998-10-31	PRIJEM	\N	349	76408	UROK	\N	\N
3451425	5129	1998-11-30	PRIJEM	\N	167	29432	UROK	\N	\N
3451426	5129	1998-12-31	PRIJEM	\N	177	42840	UROK	\N	\N
3451427	5194	1995-05-31	PRIJEM	\N	134	72555	UROK	\N	\N
3451428	5194	1995-06-30	PRIJEM	\N	271	59984	UROK	\N	\N
3451429	5194	1995-07-31	PRIJEM	\N	182	30936	UROK	\N	\N
3451430	5194	1995-08-31	PRIJEM	\N	143	77591	UROK	\N	\N
3451431	5194	1995-09-30	PRIJEM	\N	272	96477	UROK	\N	\N
3451432	5194	1995-10-31	PRIJEM	\N	275	85609	UROK	\N	\N
3451433	5194	1995-11-30	PRIJEM	\N	154	28563	UROK	\N	\N
3451434	5194	1995-12-31	PRIJEM	\N	358	96221	UROK	\N	\N
3451435	5194	1996-01-31	PRIJEM	\N	247	38596	UROK	\N	\N
3451436	5194	1996-02-29	PRIJEM	\N	227	61956	UROK	\N	\N
3451437	5194	1996-03-31	PRIJEM	\N	150	29006	UROK	\N	\N
3451438	5194	1996-04-30	PRIJEM	\N	89	17095	UROK	\N	\N
3451439	5194	1996-05-31	PRIJEM	\N	38	10434	UROK	\N	\N
3451440	5194	1996-06-30	PRIJEM	\N	27	11760	UROK	\N	\N
3451441	5194	1996-06-30	VYDAJ	VYBER	4	11757	SANKC. UROK	\N	\N
3451442	5194	1996-07-31	PRIJEM	\N	52	21909	UROK	\N	\N
3451443	5194	1996-07-31	VYDAJ	VYBER	3	21806	SANKC. UROK	\N	\N
3451444	5194	1996-08-31	PRIJEM	\N	50	9656	UROK	\N	\N
3451445	5194	1996-09-30	PRIJEM	\N	46	18002	UROK	\N	\N
3451446	5194	1996-10-31	PRIJEM	\N	55	16257	UROK	\N	\N
3451447	5194	1996-11-30	PRIJEM	\N	48	14605	UROK	\N	\N
3451448	5194	1996-12-31	PRIJEM	\N	25	8130	UROK	\N	\N
3451449	5194	1996-12-31	VYDAJ	VYBER	4	8026	SANKC. UROK	\N	\N
3451450	5194	1997-01-31	PRIJEM	\N	72	16169	UROK	\N	\N
3451451	5194	1997-01-31	VYDAJ	VYBER	2	16168	SANKC. UROK	\N	\N
3451452	5194	1997-02-28	PRIJEM	\N	332	61888	UROK	\N	\N
3451453	5194	1997-03-31	PRIJEM	\N	222	19147	UROK	\N	\N
3451454	5194	1997-04-30	PRIJEM	\N	101	20370	UROK	\N	\N
3451455	5194	1997-05-31	PRIJEM	\N	246	60191	UROK	\N	\N
3451456	5194	1997-06-30	PRIJEM	\N	291	102364	UROK	\N	\N
3451457	5194	1997-07-31	PRIJEM	\N	348	60121	UROK	\N	\N
3451458	5194	1997-08-31	PRIJEM	\N	241	49307	UROK	\N	\N
3451459	5194	1997-09-30	PRIJEM	\N	212	38364	UROK	\N	\N
3451460	5194	1997-10-31	PRIJEM	\N	191	46640	UROK	\N	\N
3451461	5194	1997-11-30	PRIJEM	\N	161	50001	UROK	\N	\N
3451462	5194	1997-12-31	PRIJEM	\N	265	85195	UROK	\N	\N
3451463	5194	1998-01-31	PRIJEM	\N	228	35523	UROK	\N	\N
3451464	5194	1998-02-28	PRIJEM	\N	161	47846	UROK	\N	\N
3451465	5194	1998-03-31	PRIJEM	\N	174	46800	UROK	\N	\N
3451466	5194	1998-04-30	PRIJEM	\N	179	43079	UROK	\N	\N
3451467	5194	1998-05-31	PRIJEM	\N	162	41040	UROK	\N	\N
3451468	5194	1998-06-30	PRIJEM	\N	162	32002	UROK	\N	\N
3451469	5194	1998-07-31	PRIJEM	\N	183	49139	UROK	\N	\N
3451470	5194	1998-08-31	PRIJEM	\N	230	81242	UROK	\N	\N
3451471	5194	1998-09-30	PRIJEM	\N	260	33825	UROK	\N	\N
3451472	5194	1998-10-31	PRIJEM	\N	153	44735	UROK	\N	\N
3451473	5194	1998-11-30	PRIJEM	\N	164	40899	UROK	\N	\N
3451474	5194	1998-12-31	PRIJEM	\N	140	31339	UROK	\N	\N
3451475	5213	1995-09-30	PRIJEM	\N	69	35451	UROK	\N	\N
3451476	5213	1995-10-31	PRIJEM	\N	180	51745	UROK	\N	\N
3451477	5213	1995-11-30	PRIJEM	\N	232	60704	UROK	\N	\N
3451478	5213	1995-12-31	PRIJEM	\N	261	52171	UROK	\N	\N
3451479	5213	1996-01-31	PRIJEM	\N	168	5569	UROK	\N	\N
3451480	5213	1996-02-29	PRIJEM	\N	146	30114	UROK	\N	\N
3451481	5213	1996-03-31	PRIJEM	\N	168	43397	UROK	\N	\N
3451482	5213	1996-04-30	PRIJEM	\N	230	46693	UROK	\N	\N
3451483	5213	1996-05-31	PRIJEM	\N	226	58288	UROK	\N	\N
3451484	5213	1996-06-30	PRIJEM	\N	257	50510	UROK	\N	\N
3451485	5213	1996-07-31	PRIJEM	\N	200	28230	UROK	\N	\N
3451486	5213	1996-08-31	PRIJEM	\N	143	37922	UROK	\N	\N
3451487	5213	1996-09-30	PRIJEM	\N	189	52752	UROK	\N	\N
3451488	5213	1996-10-31	PRIJEM	\N	197	29838	UROK	\N	\N
3451489	5213	1996-11-30	PRIJEM	\N	163	46676	UROK	\N	\N
3451490	5213	1996-12-31	PRIJEM	\N	150	28995	UROK	\N	\N
3451491	5213	1997-01-31	PRIJEM	\N	105	-1846	UROK	\N	\N
3451492	5213	1997-01-31	VYDAJ	VYBER	6	-1852	SANKC. UROK	\N	\N
3451493	5213	1997-02-28	PRIJEM	\N	86	29427	UROK	\N	\N
3451494	5213	1997-02-28	VYDAJ	VYBER	13	29486	SANKC. UROK	\N	\N
3451495	5213	1997-03-31	PRIJEM	\N	88	14655	UROK	\N	\N
3451496	5213	1997-04-30	PRIJEM	\N	108	22667	UROK	\N	\N
3451497	5213	1997-05-31	PRIJEM	\N	129	37512	UROK	\N	\N
3451498	5213	1997-06-30	PRIJEM	\N	102	20416	UROK	\N	\N
3451499	5213	1997-07-31	PRIJEM	\N	130	33788	UROK	\N	\N
3451500	5213	1997-08-31	PRIJEM	\N	166	44832	UROK	\N	\N
3451501	5213	1997-09-30	PRIJEM	\N	181	46506	UROK	\N	\N
3451502	5213	1997-10-31	PRIJEM	\N	179	45597	UROK	\N	\N
3451503	5213	1997-11-30	PRIJEM	\N	185	47493	UROK	\N	\N
3451504	5213	1997-12-31	PRIJEM	\N	112	10674	UROK	\N	\N
3451505	5213	1998-01-31	PRIJEM	\N	74	7530	UROK	\N	\N
3451506	5213	1998-02-28	PRIJEM	\N	188	54916	UROK	\N	\N
3451507	5213	1998-03-31	PRIJEM	\N	207	52836	UROK	\N	\N
3451508	5213	1998-04-30	PRIJEM	\N	282	68322	UROK	\N	\N
3451509	5213	1998-05-31	PRIJEM	\N	258	55948	UROK	\N	\N
3451510	5213	1998-06-30	PRIJEM	\N	217	45566	UROK	\N	\N
3451511	5213	1998-07-31	PRIJEM	\N	181	37936	UROK	\N	\N
3451512	5213	1998-08-31	PRIJEM	\N	180	28680	UROK	\N	\N
3451513	5213	1998-09-30	PRIJEM	\N	217	60809	UROK	\N	\N
3451514	5213	1998-10-31	PRIJEM	\N	198	51125	UROK	\N	\N
3451515	5213	1998-11-30	PRIJEM	\N	233	68501	UROK	\N	\N
3451516	5213	1998-12-31	PRIJEM	\N	335	88781	UROK	\N	\N
3451517	5250	1996-08-31	PRIJEM	\N	6	42771	UROK	\N	\N
3451518	5250	1996-09-30	PRIJEM	\N	209	78107	UROK	\N	\N
3451519	5250	1996-10-31	PRIJEM	\N	325	47631	UROK	\N	\N
3451520	5250	1996-11-30	PRIJEM	\N	325	32456	UROK	\N	\N
3451521	5250	1996-12-31	PRIJEM	\N	325	26481	UROK	\N	\N
3451522	5250	1997-01-31	PRIJEM	\N	325	23705	UROK	\N	\N
3451523	5250	1997-02-28	PRIJEM	\N	217	26101	UROK	\N	\N
3451524	5250	1997-03-31	PRIJEM	\N	211	69728	UROK	\N	\N
3451525	5250	1997-04-30	PRIJEM	\N	373	51629	UROK	\N	\N
3451526	5250	1997-05-31	PRIJEM	\N	203	72592	UROK	\N	\N
3451527	5250	1997-06-30	PRIJEM	\N	239	67976	UROK	\N	\N
3451528	5250	1997-07-31	PRIJEM	\N	196	38692	UROK	\N	\N
3451529	5250	1997-08-31	PRIJEM	\N	225	50245	UROK	\N	\N
3451530	5250	1997-09-30	PRIJEM	\N	215	48690	UROK	\N	\N
3451531	5250	1997-10-31	PRIJEM	\N	292	83519	UROK	\N	\N
3451532	5250	1997-11-30	PRIJEM	\N	343	49532	UROK	\N	\N
3451533	5250	1997-12-31	PRIJEM	\N	198	59416	UROK	\N	\N
3451534	5250	1998-01-31	PRIJEM	\N	37	1352	UROK	\N	\N
3451535	5250	1998-02-28	PRIJEM	\N	5	1827	UROK	\N	\N
3451536	5250	1998-03-31	PRIJEM	\N	7	-1196	UROK	\N	\N
3451537	5250	1998-04-30	PRIJEM	\N	7	-4189	UROK	\N	\N
3451538	5250	1998-05-31	PRIJEM	\N	7	-6782	UROK	\N	\N
3451539	5250	1998-06-30	PRIJEM	\N	12	39769	UROK	\N	\N
3451540	5250	1998-07-31	PRIJEM	\N	161	15801	UROK	\N	\N
3451541	5250	1998-08-31	PRIJEM	\N	101	12472	UROK	\N	\N
3451542	5250	1998-09-30	PRIJEM	\N	45	12669	UROK	\N	\N
3451543	5250	1998-10-31	PRIJEM	\N	51	-510	UROK	\N	\N
3451544	5250	1998-11-30	PRIJEM	\N	51	-4959	UROK	\N	\N
3451545	5250	1998-12-31	PRIJEM	\N	62	21373	UROK	\N	\N
3451546	5256	1994-01-31	PRIJEM	\N	52	43335	UROK	\N	\N
3451547	5256	1994-02-28	PRIJEM	\N	176	39563	UROK	\N	\N
3451548	5256	1994-03-31	PRIJEM	\N	175	50920	UROK	\N	\N
3451549	5256	1994-04-30	PRIJEM	\N	380	82952	UROK	\N	\N
3451550	5256	1994-05-31	PRIJEM	\N	298	90234	UROK	\N	\N
3451551	5256	1994-06-30	PRIJEM	\N	277	40808	UROK	\N	\N
3451552	5256	1994-07-31	PRIJEM	\N	222	72450	UROK	\N	\N
3451553	5256	1994-08-31	PRIJEM	\N	285	76651	UROK	\N	\N
3451554	5256	1994-09-30	PRIJEM	\N	315	66770	UROK	\N	\N
3451555	5256	1994-10-31	PRIJEM	\N	235	45738	UROK	\N	\N
3451556	5256	1994-11-30	PRIJEM	\N	190	67992	UROK	\N	\N
3451557	5256	1994-12-31	PRIJEM	\N	296	78458	UROK	\N	\N
3451558	5256	1995-01-31	PRIJEM	\N	207	34074	UROK	\N	\N
3451559	5256	1995-02-28	PRIJEM	\N	126	32523	UROK	\N	\N
3451560	5256	1995-03-31	PRIJEM	\N	105	28865	UROK	\N	\N
3451561	5256	1995-04-30	PRIJEM	\N	108	30391	UROK	\N	\N
3451562	5256	1995-05-31	PRIJEM	\N	108	28528	UROK	\N	\N
3451563	5256	1995-06-30	PRIJEM	\N	97	25336	UROK	\N	\N
3451564	5256	1995-07-31	PRIJEM	\N	153	44649	UROK	\N	\N
3451565	5256	1995-08-31	PRIJEM	\N	120	26402	UROK	\N	\N
3451566	5256	1995-09-30	PRIJEM	\N	134	40109	UROK	\N	\N
3451567	5256	1995-10-31	PRIJEM	\N	256	102544	UROK	\N	\N
3451568	5256	1995-11-30	PRIJEM	\N	403	72545	UROK	\N	\N
3451569	5256	1995-12-31	PRIJEM	\N	218	61562	UROK	\N	\N
3451570	5256	1996-01-31	PRIJEM	\N	137	28045	UROK	\N	\N
3451571	5256	1996-02-29	PRIJEM	\N	121	33453	UROK	\N	\N
3451572	5256	1996-03-31	PRIJEM	\N	105	29577	UROK	\N	\N
3451573	5256	1996-04-30	PRIJEM	\N	126	55241	UROK	\N	\N
3451574	5256	1996-05-31	PRIJEM	\N	172	37772	UROK	\N	\N
3451575	5256	1996-06-30	PRIJEM	\N	139	40581	UROK	\N	\N
3451576	5256	1996-07-31	PRIJEM	\N	105	27840	UROK	\N	\N
3451577	5256	1996-08-31	PRIJEM	\N	85	26334	UROK	\N	\N
3451578	5256	1996-09-30	PRIJEM	\N	147	51231	UROK	\N	\N
3451579	5256	1996-10-31	PRIJEM	\N	144	35883	UROK	\N	\N
3451580	5256	1996-11-30	PRIJEM	\N	112	32620	UROK	\N	\N
3451581	5256	1996-12-31	PRIJEM	\N	99	29931	UROK	\N	\N
3451582	5256	1997-01-31	PRIJEM	\N	84	26015	UROK	\N	\N
3451583	5256	1997-02-28	PRIJEM	\N	66	21092	UROK	\N	\N
3451584	5256	1997-03-31	PRIJEM	\N	190	88573	UROK	\N	\N
3451585	5256	1997-04-30	PRIJEM	\N	243	52966	UROK	\N	\N
3451586	5256	1997-05-31	PRIJEM	\N	183	73733	UROK	\N	\N
3451587	5256	1997-06-30	PRIJEM	\N	238	54773	UROK	\N	\N
3451588	5256	1997-07-31	PRIJEM	\N	136	61727	UROK	\N	\N
3451589	5256	1997-08-31	PRIJEM	\N	257	63570	UROK	\N	\N
3451590	5256	1997-09-30	PRIJEM	\N	321	151683	UROK	\N	\N
3451591	5256	1997-10-31	PRIJEM	\N	253	87985	UROK	\N	\N
3451592	5256	1997-11-30	PRIJEM	\N	193	35320	UROK	\N	\N
3451593	5256	1997-12-31	PRIJEM	\N	248	58559	UROK	\N	\N
3451594	5256	1998-01-31	PRIJEM	\N	213	63811	UROK	\N	\N
3451595	5256	1998-02-28	PRIJEM	\N	159	34587	UROK	\N	\N
3451596	5256	1998-03-31	PRIJEM	\N	126	42827	UROK	\N	\N
3451597	5256	1998-04-30	PRIJEM	\N	107	33116	UROK	\N	\N
3451598	5256	1998-05-31	PRIJEM	\N	56	21631	UROK	\N	\N
3451599	5256	1998-06-30	PRIJEM	\N	55	31772	UROK	\N	\N
3451600	5256	1998-07-31	PRIJEM	\N	60	28035	UROK	\N	\N
3451601	5256	1998-08-31	PRIJEM	\N	55	17111	UROK	\N	\N
3451602	5256	1998-09-30	PRIJEM	\N	26	11267	UROK	\N	\N
3451603	5256	1998-10-31	PRIJEM	\N	42	68219	UROK	\N	\N
3451604	5256	1998-11-30	PRIJEM	\N	280	54587	UROK	\N	\N
3451605	5256	1998-12-31	PRIJEM	\N	161	45696	UROK	\N	\N
3451606	5267	1996-01-31	PRIJEM	\N	4	26258	UROK	\N	\N
3451607	5267	1996-02-29	PRIJEM	\N	214	99125	UROK	\N	\N
3451608	5267	1996-03-31	PRIJEM	\N	387	88515	UROK	\N	\N
3451609	5267	1996-04-30	PRIJEM	\N	261	34062	UROK	\N	\N
3451610	5267	1996-05-31	PRIJEM	\N	138	40607	UROK	\N	\N
3451611	5267	1996-06-30	PRIJEM	\N	255	78967	UROK	\N	\N
3451612	5267	1996-07-31	PRIJEM	\N	335	90360	UROK	\N	\N
3451613	5267	1996-08-31	PRIJEM	\N	308	89226	UROK	\N	\N
3451614	5267	1996-09-30	PRIJEM	\N	197	23652	UROK	\N	\N
3451615	5267	1996-10-31	PRIJEM	\N	128	31723	UROK	\N	\N
3451616	5267	1996-11-30	PRIJEM	\N	245	41191	UROK	\N	\N
3451617	5267	1996-12-31	PRIJEM	\N	157	64921	UROK	\N	\N
3451618	5267	1997-01-31	PRIJEM	\N	176	34582	UROK	\N	\N
3451619	5267	1997-02-28	PRIJEM	\N	87	4954	UROK	\N	\N
3451620	5267	1997-03-31	PRIJEM	\N	6	-4519	UROK	\N	\N
3451621	5267	1997-03-31	VYDAJ	VYBER	23	-4557	SANKC. UROK	\N	\N
3451622	5267	1997-04-30	PRIJEM	\N	49	8292	UROK	\N	\N
3451623	5267	1997-04-30	VYDAJ	VYBER	11	8266	SANKC. UROK	\N	\N
3451624	5267	1997-05-31	PRIJEM	\N	34	2100	UROK	\N	\N
3451625	5267	1997-06-30	PRIJEM	\N	35	11769	UROK	\N	\N
3451626	5267	1997-07-31	PRIJEM	\N	29	3283	UROK	\N	\N
3451627	5267	1997-08-31	PRIJEM	\N	172	73238	UROK	\N	\N
3451628	5267	1997-09-30	PRIJEM	\N	166	34194	UROK	\N	\N
3451629	5267	1997-10-31	PRIJEM	\N	151	37842	UROK	\N	\N
3451630	5267	1997-11-30	PRIJEM	\N	301	117299	UROK	\N	\N
3451631	5267	1997-12-31	PRIJEM	\N	207	56662	UROK	\N	\N
3451632	5267	1998-01-31	PRIJEM	\N	200	77885	UROK	\N	\N
3451633	5267	1998-02-28	PRIJEM	\N	319	39801	UROK	\N	\N
3451634	5267	1998-03-31	PRIJEM	\N	158	47951	UROK	\N	\N
3451635	5267	1998-04-30	PRIJEM	\N	205	22084	UROK	\N	\N
3451636	5267	1998-05-31	PRIJEM	\N	95	45572	UROK	\N	\N
3451637	5267	1998-06-30	PRIJEM	\N	135	65987	UROK	\N	\N
3451638	5267	1998-07-31	PRIJEM	\N	211	42796	UROK	\N	\N
3451639	5267	1998-08-31	PRIJEM	\N	146	19335	UROK	\N	\N
3451640	5267	1998-09-30	PRIJEM	\N	103	18516	UROK	\N	\N
3451641	5267	1998-10-31	PRIJEM	\N	76	12679	UROK	\N	\N
3451642	5267	1998-11-30	PRIJEM	\N	48	4424	UROK	\N	\N
3451643	5267	1998-12-31	PRIJEM	\N	46	45837	UROK	\N	\N
3451644	5343	1993-06-30	PRIJEM	\N	57	19737	UROK	\N	\N
3451645	5343	1993-07-31	PRIJEM	\N	132	36790	UROK	\N	\N
3451646	5343	1993-08-31	PRIJEM	\N	177	44986	UROK	\N	\N
3451647	5343	1993-09-30	PRIJEM	\N	191	46498	UROK	\N	\N
3451648	5343	1993-10-31	PRIJEM	\N	200	48817	UROK	\N	\N
3451649	5343	1993-11-30	PRIJEM	\N	205	49427	UROK	\N	\N
3451650	5343	1993-12-31	PRIJEM	\N	216	48188	UROK	\N	\N
3451651	5343	1994-01-31	PRIJEM	\N	184	34617	UROK	\N	\N
3451652	5343	1994-02-28	PRIJEM	\N	167	42689	UROK	\N	\N
3451653	5343	1994-03-31	PRIJEM	\N	191	47486	UROK	\N	\N
3451654	5343	1994-04-30	PRIJEM	\N	207	50999	UROK	\N	\N
3451655	5343	1994-05-31	PRIJEM	\N	207	49411	UROK	\N	\N
3451656	5343	1994-06-30	PRIJEM	\N	210	45826	UROK	\N	\N
3451657	5343	1994-07-31	PRIJEM	\N	191	43822	UROK	\N	\N
3451658	5343	1994-08-31	PRIJEM	\N	197	49025	UROK	\N	\N
3451659	5343	1994-09-30	PRIJEM	\N	207	50337	UROK	\N	\N
3451660	5343	1994-10-31	PRIJEM	\N	217	53559	UROK	\N	\N
3451661	5343	1994-11-30	PRIJEM	\N	167	53132	UROK	\N	\N
3451662	5343	1994-12-31	PRIJEM	\N	206	37583	UROK	\N	\N
3451663	5343	1995-01-31	PRIJEM	\N	140	26248	UROK	\N	\N
3451664	5343	1995-02-28	PRIJEM	\N	111	39064	UROK	\N	\N
3451665	5343	1995-03-31	PRIJEM	\N	160	32330	UROK	\N	\N
3451666	5343	1995-04-30	PRIJEM	\N	133	30669	UROK	\N	\N
3451667	5343	1995-05-31	PRIJEM	\N	124	23258	UROK	\N	\N
3451668	5343	1995-06-30	PRIJEM	\N	135	25539	UROK	\N	\N
3451669	5343	1995-07-31	PRIJEM	\N	116	24600	UROK	\N	\N
3451670	5343	1995-08-31	PRIJEM	\N	102	26408	UROK	\N	\N
3451671	5343	1995-09-30	PRIJEM	\N	115	26228	UROK	\N	\N
3451672	5343	1995-10-31	PRIJEM	\N	109	27543	UROK	\N	\N
3451673	5343	1995-11-30	PRIJEM	\N	112	25860	UROK	\N	\N
3451674	5343	1995-12-31	PRIJEM	\N	136	24721	UROK	\N	\N
3451675	5343	1996-01-31	PRIJEM	\N	69	12975	UROK	\N	\N
3451676	5343	1996-02-29	PRIJEM	\N	56	16436	UROK	\N	\N
3451677	5343	1996-03-31	PRIJEM	\N	66	14468	UROK	\N	\N
3451678	5343	1996-04-30	PRIJEM	\N	61	16734	UROK	\N	\N
3451679	5343	1996-05-31	PRIJEM	\N	69	18009	UROK	\N	\N
3451680	5343	1996-06-30	PRIJEM	\N	33	-1394	UROK	\N	\N
3451681	5343	1996-06-30	VYDAJ	VYBER	6	-1399	SANKC. UROK	\N	\N
3451682	5343	1996-07-31	PRIJEM	\N	13	6434	UROK	\N	\N
3451683	5343	1996-07-31	VYDAJ	VYBER	10	6424	SANKC. UROK	\N	\N
3451684	5343	1996-08-31	PRIJEM	\N	29	4038	UROK	\N	\N
3451685	5343	1996-09-30	PRIJEM	\N	13	2856	UROK	\N	\N
3451686	5343	1996-10-31	PRIJEM	\N	13	4874	UROK	\N	\N
3451687	5343	1996-11-30	PRIJEM	\N	17	4397	UROK	\N	\N
3451688	5343	1996-12-31	PRIJEM	\N	34	3116	UROK	\N	\N
3451689	5343	1997-01-31	PRIJEM	\N	15	-1564	UROK	\N	\N
3451690	5343	1997-01-31	VYDAJ	VYBER	10	-1574	SANKC. UROK	\N	\N
3451691	5343	1997-02-28	VYDAJ	VYBER	39	-5493	SANKC. UROK	\N	\N
3451692	5343	1997-03-31	VYDAJ	VYBER	56	-4129	SANKC. UROK	\N	\N
3451693	5343	1997-04-30	VYDAJ	VYBER	62	-7271	SANKC. UROK	\N	\N
3451694	5343	1997-05-31	VYDAJ	VYBER	86	-8537	SANKC. UROK	\N	\N
3451695	5343	1997-06-30	VYDAJ	VYBER	91	-7948	SANKC. UROK	\N	\N
3451696	5343	1997-07-31	VYDAJ	VYBER	84	-7112	SANKC. UROK	\N	\N
3451697	5343	1997-08-31	VYDAJ	VYBER	71	-5262	SANKC. UROK	\N	\N
3451698	5343	1997-09-30	VYDAJ	VYBER	55	-3897	SANKC. UROK	\N	\N
3451699	5343	1997-10-31	VYDAJ	VYBER	47	-3524	SANKC. UROK	\N	\N
3451700	5343	1997-11-30	VYDAJ	VYBER	74	-8478	SANKC. UROK	\N	\N
3451701	5343	1997-12-31	VYDAJ	VYBER	94	-8191	SANKC. UROK	\N	\N
3451702	5343	1998-01-31	PRIJEM	\N	1	-16390	UROK	\N	\N
3451703	5343	1998-01-31	VYDAJ	VYBER	135	-16525	SANKC. UROK	\N	\N
3451704	5343	1998-02-28	VYDAJ	VYBER	164	-14569	SANKC. UROK	\N	\N
3451705	5343	1998-03-31	VYDAJ	VYBER	174	-17623	SANKC. UROK	\N	\N
3451706	5343	1998-04-30	VYDAJ	VYBER	187	-17590	SANKC. UROK	\N	\N
3451707	5343	1998-05-31	VYDAJ	VYBER	149	-11319	SANKC. UROK	\N	\N
3451708	5343	1998-06-30	VYDAJ	VYBER	105	-8044	SANKC. UROK	\N	\N
3451709	5343	1998-07-31	VYDAJ	VYBER	101	-9224	SANKC. UROK	\N	\N
3451710	5343	1998-08-31	VYDAJ	VYBER	87	-6491	SANKC. UROK	\N	\N
3451711	5343	1998-09-30	PRIJEM	\N	13	-258	UROK	\N	\N
3451712	5343	1998-09-30	VYDAJ	VYBER	24	-282	SANKC. UROK	\N	\N
3451713	5343	1998-10-31	VYDAJ	VYBER	36	-2912	SANKC. UROK	\N	\N
3451714	5343	1998-11-30	VYDAJ	VYBER	27	-2914	SANKC. UROK	\N	\N
3451715	5343	1998-12-31	PRIJEM	\N	25	9977	UROK	\N	\N
3451716	5343	1998-12-31	VYDAJ	VYBER	13	9964	SANKC. UROK	\N	\N
3451737	5366	1993-08-31	PRIJEM	\N	93	72691	UROK	\N	\N
3451738	5366	1993-09-30	PRIJEM	\N	303	49794	UROK	\N	\N
3451739	5366	1993-10-31	PRIJEM	\N	303	37596	UROK	\N	\N
3451740	5366	1993-11-30	PRIJEM	\N	293	68877	UROK	\N	\N
3451741	5366	1993-12-31	PRIJEM	\N	385	113277	UROK	\N	\N
3451742	5366	1994-01-31	PRIJEM	\N	89	158	UROK	\N	\N
3451743	5366	1994-02-28	PRIJEM	\N	3	1147	UROK	\N	\N
3451744	5366	1994-03-31	PRIJEM	\N	6	11238	UROK	\N	\N
3451745	5366	1994-04-30	PRIJEM	\N	58	14682	UROK	\N	\N
3451746	5366	1994-05-31	PRIJEM	\N	60	12428	UROK	\N	\N
3451747	5366	1994-06-30	PRIJEM	\N	46	4459	UROK	\N	\N
3451748	5366	1994-07-31	PRIJEM	\N	19	12464	UROK	\N	\N
3451749	5366	1994-08-31	PRIJEM	\N	130	34282	UROK	\N	\N
3451750	5366	1994-09-30	PRIJEM	\N	181	58093	UROK	\N	\N
3451751	5366	1994-10-31	PRIJEM	\N	179	29206	UROK	\N	\N
3451752	5366	1994-11-30	PRIJEM	\N	113	14305	UROK	\N	\N
3451753	5366	1994-12-31	PRIJEM	\N	52	14248	UROK	\N	\N
3451754	5366	1995-01-31	PRIJEM	\N	16	11950	UROK	\N	\N
3451755	5366	1995-02-28	PRIJEM	\N	49	8975	UROK	\N	\N
3451756	5366	1995-03-31	PRIJEM	\N	160	44365	UROK	\N	\N
3451757	5366	1995-04-30	PRIJEM	\N	138	16588	UROK	\N	\N
3451758	5366	1995-05-31	PRIJEM	\N	50	-529	UROK	\N	\N
3451759	5366	1995-05-31	VYDAJ	VYBER	0	8957	SANKC. UROK	\N	\N
3451760	5366	1995-06-30	PRIJEM	\N	37	8583	UROK	\N	\N
3451761	5366	1995-07-31	PRIJEM	\N	35	8404	UROK	\N	\N
3451762	5366	1995-08-31	PRIJEM	\N	40	21976	UROK	\N	\N
3451763	5366	1995-09-30	PRIJEM	\N	107	23108	UROK	\N	\N
3451764	5366	1995-10-31	PRIJEM	\N	120	27229	UROK	\N	\N
3451765	5366	1995-11-30	PRIJEM	\N	195	51108	UROK	\N	\N
3451766	5366	1995-12-31	PRIJEM	\N	276	54935	UROK	\N	\N
3451767	5366	1996-01-31	PRIJEM	\N	110	22279	UROK	\N	\N
3451768	5366	1996-02-29	PRIJEM	\N	252	46945	UROK	\N	\N
3451769	5366	1996-03-31	PRIJEM	\N	209	96837	UROK	\N	\N
3451770	5366	1996-04-30	PRIJEM	\N	403	97926	UROK	\N	\N
3451771	5366	1996-05-31	PRIJEM	\N	306	36128	UROK	\N	\N
3451772	5366	1996-06-30	PRIJEM	\N	203	34257	UROK	\N	\N
3451773	5366	1996-07-31	PRIJEM	\N	142	35061	UROK	\N	\N
3451774	5366	1996-08-31	PRIJEM	\N	318	39165	UROK	\N	\N
3451775	5366	1996-09-30	PRIJEM	\N	90	28724	UROK	\N	\N
3451776	5366	1996-10-31	PRIJEM	\N	111	2539	UROK	\N	\N
3451777	5366	1996-11-30	PRIJEM	\N	25	14141	UROK	\N	\N
3451778	5366	1996-12-31	PRIJEM	\N	86	33697	UROK	\N	\N
3451779	5366	1997-01-31	PRIJEM	\N	62	-3255	UROK	\N	\N
3451780	5366	1997-01-31	VYDAJ	VYBER	15	-3270	SANKC. UROK	\N	\N
3451781	5366	1997-02-28	PRIJEM	\N	1	881	UROK	\N	\N
3451782	5366	1997-02-28	VYDAJ	VYBER	25	856	SANKC. UROK	\N	\N
3451783	5366	1997-03-31	PRIJEM	\N	7	-1293	UROK	\N	\N
3451784	5366	1997-03-31	VYDAJ	VYBER	7	-1300	SANKC. UROK	\N	\N
3451785	5366	1997-04-30	PRIJEM	\N	162	64160	UROK	\N	\N
3451786	5366	1997-04-30	VYDAJ	VYBER	7	64153	SANKC. UROK	\N	\N
3451787	5366	1997-05-31	PRIJEM	\N	244	14083	UROK	\N	\N
3451788	5366	1997-06-30	PRIJEM	\N	56	-4576	UROK	\N	\N
3451789	5366	1997-07-31	PRIJEM	\N	51	20639	UROK	\N	\N
3451790	5366	1997-07-31	VYDAJ	VYBER	9	20630	SANKC. UROK	\N	\N
3451791	5366	1997-08-31	PRIJEM	\N	89	29374	UROK	\N	\N
3451792	5366	1997-09-30	PRIJEM	\N	163	45328	UROK	\N	\N
3451793	5366	1997-10-31	PRIJEM	\N	207	53667	UROK	\N	\N
3451794	5366	1997-11-30	PRIJEM	\N	225	56778	UROK	\N	\N
3451795	5366	1997-12-31	PRIJEM	\N	242	71078	UROK	\N	\N
3451796	5366	1998-01-31	PRIJEM	\N	128	20108	UROK	\N	\N
3451797	5366	1998-02-28	PRIJEM	\N	82	29852	UROK	\N	\N
3451798	5366	1998-03-31	PRIJEM	\N	70	14865	UROK	\N	\N
3451799	5366	1998-03-31	VYDAJ	VYBER	17	14834	SANKC. UROK	\N	\N
3451800	5366	1998-04-30	PRIJEM	\N	43	8082	UROK	\N	\N
3451801	5366	1998-05-31	PRIJEM	\N	70	39200	UROK	\N	\N
3451802	5366	1998-06-30	PRIJEM	\N	107	17612	UROK	\N	\N
3451803	5366	1998-07-31	PRIJEM	\N	69	-12833	UROK	\N	\N
3451804	5366	1998-08-31	PRIJEM	\N	42	-3733	UROK	\N	\N
3451805	5366	1998-08-31	VYDAJ	VYBER	29	-3762	SANKC. UROK	\N	\N
3451806	5366	1998-09-30	VYDAJ	VYBER	48	-25610	SANKC. UROK	\N	\N
3451807	5366	1998-10-31	PRIJEM	\N	10	-6229	UROK	\N	\N
3451808	5366	1998-10-31	VYDAJ	VYBER	55	-6285	SANKC. UROK	\N	\N
3451809	5366	1998-11-30	VYDAJ	VYBER	82	-8176	SANKC. UROK	\N	\N
3451810	5366	1998-12-31	PRIJEM	\N	8	15382	UROK	\N	\N
3451811	5366	1998-12-31	VYDAJ	VYBER	81	15301	SANKC. UROK	\N	\N
3451812	5369	1993-03-31	PRIJEM	\N	11	16154	UROK	\N	\N
3451813	5369	1993-04-30	PRIJEM	\N	72	22468	UROK	\N	\N
3451814	5369	1993-05-31	PRIJEM	\N	97	27609	UROK	\N	\N
3451815	5369	1993-06-30	PRIJEM	\N	115	27788	UROK	\N	\N
3451816	5369	1993-07-31	PRIJEM	\N	118	30749	UROK	\N	\N
3451817	5369	1993-08-31	PRIJEM	\N	131	28308	UROK	\N	\N
3451818	5369	1993-09-30	PRIJEM	\N	120	27356	UROK	\N	\N
3451819	5369	1993-10-31	PRIJEM	\N	116	28801	UROK	\N	\N
3451820	5369	1993-11-30	PRIJEM	\N	123	31352	UROK	\N	\N
3451821	5369	1993-12-31	PRIJEM	\N	149	31650	UROK	\N	\N
3451822	5369	1994-01-31	PRIJEM	\N	103	20881	UROK	\N	\N
3451823	5369	1994-02-28	PRIJEM	\N	94	24003	UROK	\N	\N
3451824	5369	1994-03-31	PRIJEM	\N	116	28947	UROK	\N	\N
3451825	5369	1994-04-30	PRIJEM	\N	122	26697	UROK	\N	\N
3451826	5369	1994-05-31	PRIJEM	\N	112	26437	UROK	\N	\N
3451827	5369	1994-06-30	PRIJEM	\N	101	25187	UROK	\N	\N
3451828	5369	1994-07-31	PRIJEM	\N	109	28225	UROK	\N	\N
3451829	5369	1994-08-31	PRIJEM	\N	123	25776	UROK	\N	\N
3451830	5369	1994-09-30	PRIJEM	\N	107	26012	UROK	\N	\N
3451831	5369	1994-10-31	PRIJEM	\N	117	28358	UROK	\N	\N
3451832	5369	1994-11-30	PRIJEM	\N	126	32812	UROK	\N	\N
3451833	5369	1994-12-31	PRIJEM	\N	139	31601	UROK	\N	\N
3451834	5369	1995-01-31	PRIJEM	\N	110	22139	UROK	\N	\N
3451835	5369	1995-02-28	PRIJEM	\N	105	27173	UROK	\N	\N
3451836	5369	1995-03-31	PRIJEM	\N	116	29017	UROK	\N	\N
3451837	5369	1995-04-30	PRIJEM	\N	126	31671	UROK	\N	\N
3451838	5369	1995-05-31	PRIJEM	\N	135	33334	UROK	\N	\N
3451839	5369	1995-06-30	PRIJEM	\N	119	29003	UROK	\N	\N
3451840	5369	1995-07-31	PRIJEM	\N	125	31056	UROK	\N	\N
3451841	5369	1995-08-31	PRIJEM	\N	124	29409	UROK	\N	\N
3451842	5369	1995-09-30	PRIJEM	\N	127	31664	UROK	\N	\N
3451843	5369	1995-10-31	PRIJEM	\N	136	32128	UROK	\N	\N
3451844	5369	1995-11-30	PRIJEM	\N	135	32891	UROK	\N	\N
3451845	5369	1995-12-31	PRIJEM	\N	131	29172	UROK	\N	\N
3451846	5369	1996-01-31	PRIJEM	\N	96	14396	UROK	\N	\N
3451847	5369	1996-02-29	PRIJEM	\N	77	20601	UROK	\N	\N
3451848	5369	1996-03-31	PRIJEM	\N	97	24226	UROK	\N	\N
3451849	5369	1996-04-30	PRIJEM	\N	111	28266	UROK	\N	\N
3451850	5369	1996-05-31	PRIJEM	\N	108	23702	UROK	\N	\N
3451851	5369	1996-06-30	PRIJEM	\N	94	-655	UROK	\N	\N
3451852	5369	1996-06-30	VYDAJ	VYBER	1	-671	SANKC. UROK	\N	\N
3451853	5369	1996-07-31	PRIJEM	\N	38	12811	UROK	\N	\N
3451854	5369	1996-07-31	VYDAJ	VYBER	3	12793	SANKC. UROK	\N	\N
3451855	5369	1996-08-31	PRIJEM	\N	73	19510	UROK	\N	\N
3451856	5369	1996-09-30	PRIJEM	\N	79	19417	UROK	\N	\N
3451857	5369	1996-10-31	PRIJEM	\N	80	19726	UROK	\N	\N
3451858	5369	1996-11-30	PRIJEM	\N	78	18232	UROK	\N	\N
3451859	5369	1996-12-31	PRIJEM	\N	73	15255	UROK	\N	\N
3451860	5369	1997-01-31	PRIJEM	\N	54	5937	UROK	\N	\N
3451861	5369	1997-02-28	PRIJEM	\N	48	11613	UROK	\N	\N
3451862	5369	1997-03-31	PRIJEM	\N	65	12507	UROK	\N	\N
3451863	5369	1997-04-30	PRIJEM	\N	59	14294	UROK	\N	\N
3451864	5369	1997-05-31	PRIJEM	\N	67	15389	UROK	\N	\N
3451865	5369	1997-06-30	PRIJEM	\N	65	604	UROK	\N	\N
3451866	5369	1997-06-30	VYDAJ	VYBER	0	604	SANKC. UROK	\N	\N
3451867	5369	1997-07-31	PRIJEM	\N	33	8866	UROK	\N	\N
3451868	5369	1997-08-31	PRIJEM	\N	41	10035	UROK	\N	\N
3451869	5369	1997-09-30	PRIJEM	\N	68	18332	UROK	\N	\N
3451870	5369	1997-10-31	PRIJEM	\N	71	17731	UROK	\N	\N
3451871	5369	1997-11-30	PRIJEM	\N	71	17630	UROK	\N	\N
3451872	5369	1997-12-31	PRIJEM	\N	74	18553	UROK	\N	\N
3451873	5369	1998-01-31	PRIJEM	\N	33	3215	UROK	\N	\N
3451874	5369	1998-02-28	PRIJEM	\N	11	8854	UROK	\N	\N
3451875	5369	1998-03-31	PRIJEM	\N	22	5705	UROK	\N	\N
3451876	5369	1998-04-30	PRIJEM	\N	7	8040	UROK	\N	\N
3451877	5369	1998-05-31	PRIJEM	\N	28	-3	UROK	\N	\N
3451878	5369	1998-05-31	VYDAJ	VYBER	1	-4	SANKC. UROK	\N	\N
3451879	5369	1998-06-30	PRIJEM	\N	5	-150	UROK	\N	\N
3451880	5369	1998-06-30	VYDAJ	VYBER	7	-171	SANKC. UROK	\N	\N
3451881	5369	1998-07-31	PRIJEM	\N	3	-4225	UROK	\N	\N
3451882	5369	1998-07-31	VYDAJ	VYBER	9	-4234	SANKC. UROK	\N	\N
3451883	5369	1998-08-31	VYDAJ	VYBER	56	-7146	SANKC. UROK	\N	\N
3451884	5369	1998-09-30	VYDAJ	VYBER	76	-2979	SANKC. UROK	\N	\N
3451885	5369	1998-10-31	PRIJEM	\N	0	1465	UROK	\N	\N
3451886	5369	1998-10-31	VYDAJ	VYBER	33	1431	SANKC. UROK	\N	\N
3451887	5369	1998-11-30	PRIJEM	\N	3	-537	UROK	\N	\N
3451888	5369	1998-11-30	VYDAJ	VYBER	3	-540	SANKC. UROK	\N	\N
3451889	5369	1998-12-31	PRIJEM	\N	11	-3280	UROK	\N	\N
3451890	5369	1998-12-31	VYDAJ	VYBER	13	-3293	SANKC. UROK	\N	\N
3451891	5372	1993-07-31	PRIJEM	\N	78	30621	UROK	\N	\N
3451892	5372	1993-08-31	PRIJEM	\N	127	27548	UROK	\N	\N
3451893	5372	1993-09-30	PRIJEM	\N	127	25376	UROK	\N	\N
3451894	5372	1993-10-31	PRIJEM	\N	206	65244	UROK	\N	\N
3451895	5372	1993-11-30	PRIJEM	\N	271	47415	UROK	\N	\N
3451896	5372	1993-12-31	PRIJEM	\N	271	38186	UROK	\N	\N
3451897	5372	1994-01-31	PRIJEM	\N	271	33757	UROK	\N	\N
3451898	5372	1994-02-28	PRIJEM	\N	271	30228	UROK	\N	\N
3451899	5372	1994-03-31	PRIJEM	\N	271	29599	UROK	\N	\N
3451900	5372	1994-04-30	PRIJEM	\N	271	29670	UROK	\N	\N
3451901	5372	1994-05-31	PRIJEM	\N	271	30541	UROK	\N	\N
3451902	5372	1994-06-30	PRIJEM	\N	271	31911	UROK	\N	\N
3451903	5372	1994-07-31	PRIJEM	\N	271	30182	UROK	\N	\N
3451904	5372	1994-08-31	PRIJEM	\N	266	28049	UROK	\N	\N
3451905	5372	1994-09-30	PRIJEM	\N	124	29973	UROK	\N	\N
3451906	5372	1994-10-31	PRIJEM	\N	124	29597	UROK	\N	\N
3451907	5372	1994-11-30	PRIJEM	\N	124	30722	UROK	\N	\N
3451908	5372	1994-12-31	PRIJEM	\N	124	29846	UROK	\N	\N
3451909	5372	1995-01-31	PRIJEM	\N	177	16219	UROK	\N	\N
3451910	5372	1995-01-31	VYDAJ	VYBER	1	16218	SANKC. UROK	\N	\N
3451911	5372	1995-02-28	PRIJEM	\N	250	62651	UROK	\N	\N
3451912	5372	1995-03-31	PRIJEM	\N	391	72278	UROK	\N	\N
3451913	5372	1995-04-30	PRIJEM	\N	301	73016	UROK	\N	\N
3451914	5372	1995-05-31	PRIJEM	\N	306	34411	UROK	\N	\N
3451915	5372	1995-06-30	PRIJEM	\N	123	21934	UROK	\N	\N
3451916	5372	1995-07-31	PRIJEM	\N	120	46062	UROK	\N	\N
3451917	5372	1995-08-31	PRIJEM	\N	211	58200	UROK	\N	\N
3451918	5372	1995-09-30	PRIJEM	\N	303	65741	UROK	\N	\N
3451919	5372	1995-10-31	PRIJEM	\N	334	58054	UROK	\N	\N
3451920	5372	1995-11-30	PRIJEM	\N	280	62006	UROK	\N	\N
3451921	5372	1995-12-31	PRIJEM	\N	353	74130	UROK	\N	\N
3451922	5372	1996-01-31	PRIJEM	\N	258	46493	UROK	\N	\N
3451923	5372	1996-02-29	PRIJEM	\N	337	74839	UROK	\N	\N
3451924	5372	1996-03-31	PRIJEM	\N	284	61316	UROK	\N	\N
3451925	5372	1996-04-30	PRIJEM	\N	210	41752	UROK	\N	\N
3451926	5372	1996-05-31	PRIJEM	\N	191	49203	UROK	\N	\N
3451927	5372	1996-06-30	PRIJEM	\N	294	40051	UROK	\N	\N
3451928	5372	1996-07-31	PRIJEM	\N	196	73388	UROK	\N	\N
3451929	5372	1996-08-31	PRIJEM	\N	329	91192	UROK	\N	\N
3451930	5372	1996-09-30	PRIJEM	\N	357	75194	UROK	\N	\N
3451931	5372	1996-10-31	PRIJEM	\N	343	85665	UROK	\N	\N
3451932	5372	1996-11-30	PRIJEM	\N	353	80267	UROK	\N	\N
3451933	5372	1996-12-31	PRIJEM	\N	361	70268	UROK	\N	\N
3451934	5372	1997-01-31	PRIJEM	\N	167	22920	UROK	\N	\N
3451935	5372	1997-02-28	PRIJEM	\N	318	74277	UROK	\N	\N
3451936	5372	1997-03-31	PRIJEM	\N	306	67869	UROK	\N	\N
3451937	5372	1997-04-30	PRIJEM	\N	326	104372	UROK	\N	\N
3451938	5372	1997-05-31	PRIJEM	\N	489	103833	UROK	\N	\N
3451939	5372	1997-06-30	PRIJEM	\N	398	109279	UROK	\N	\N
3451940	5372	1997-07-31	PRIJEM	\N	361	69923	UROK	\N	\N
3451941	5372	1997-08-31	PRIJEM	\N	333	88648	UROK	\N	\N
3451942	5372	1997-09-30	PRIJEM	\N	363	79235	UROK	\N	\N
3451943	5372	1997-10-31	PRIJEM	\N	326	74246	UROK	\N	\N
3451944	5372	1997-11-30	PRIJEM	\N	318	78652	UROK	\N	\N
3451945	5372	1997-12-31	PRIJEM	\N	319	71856	UROK	\N	\N
3451946	5372	1998-01-31	PRIJEM	\N	236	26477	UROK	\N	\N
3451947	5372	1998-02-28	PRIJEM	\N	110	53773	UROK	\N	\N
3451948	5372	1998-03-31	PRIJEM	\N	221	68579	UROK	\N	\N
3451949	5372	1998-04-30	PRIJEM	\N	282	76847	UROK	\N	\N
3451950	5372	1998-05-31	PRIJEM	\N	315	79347	UROK	\N	\N
3451951	5372	1998-06-30	PRIJEM	\N	283	64516	UROK	\N	\N
3451952	5372	1998-07-31	PRIJEM	\N	272	69973	UROK	\N	\N
3451953	5372	1998-08-31	PRIJEM	\N	280	68254	UROK	\N	\N
3451954	5372	1998-09-30	PRIJEM	\N	301	91899	UROK	\N	\N
3451955	5372	1998-10-31	PRIJEM	\N	305	65267	UROK	\N	\N
3451956	5372	1998-11-30	PRIJEM	\N	268	84420	UROK	\N	\N
3451957	5372	1998-12-31	PRIJEM	\N	355	91160	UROK	\N	\N
3451958	5387	1993-10-31	PRIJEM	\N	30	10481	UROK	\N	\N
3451959	5387	1993-11-30	PRIJEM	\N	93	28324	UROK	\N	\N
3451960	5387	1993-12-31	PRIJEM	\N	151	40352	UROK	\N	\N
3451961	5387	1994-01-31	PRIJEM	\N	168	40471	UROK	\N	\N
3451962	5387	1994-02-28	PRIJEM	\N	172	40493	UROK	\N	\N
3451963	5387	1994-03-31	PRIJEM	\N	165	37495	UROK	\N	\N
3451964	5387	1994-04-30	PRIJEM	\N	144	37275	UROK	\N	\N
3451965	5387	1994-05-31	PRIJEM	\N	158	36869	UROK	\N	\N
3451966	5387	1994-06-30	PRIJEM	\N	149	21279	UROK	\N	\N
3451967	5387	1994-07-31	PRIJEM	\N	110	28625	UROK	\N	\N
3451968	5387	1994-08-31	PRIJEM	\N	127	32088	UROK	\N	\N
3451969	5387	1994-09-30	PRIJEM	\N	128	33152	UROK	\N	\N
3451970	5387	1994-10-31	PRIJEM	\N	119	28007	UROK	\N	\N
3451971	5387	1994-11-30	PRIJEM	\N	133	28776	UROK	\N	\N
3451972	5387	1994-12-31	PRIJEM	\N	141	31279	UROK	\N	\N
3451973	5387	1995-01-31	PRIJEM	\N	124	27939	UROK	\N	\N
3451974	5387	1995-02-28	PRIJEM	\N	128	30804	UROK	\N	\N
3451975	5387	1995-03-31	PRIJEM	\N	140	33180	UROK	\N	\N
3451976	5387	1995-04-30	PRIJEM	\N	129	28945	UROK	\N	\N
3451977	5387	1995-05-31	PRIJEM	\N	136	32217	UROK	\N	\N
3451978	5387	1995-06-30	PRIJEM	\N	98	19977	UROK	\N	\N
3451979	5387	1995-07-31	PRIJEM	\N	100	26513	UROK	\N	\N
3451980	5387	1995-08-31	PRIJEM	\N	125	30974	UROK	\N	\N
3451981	5387	1995-09-30	PRIJEM	\N	144	32654	UROK	\N	\N
3451982	5387	1995-10-31	PRIJEM	\N	148	33739	UROK	\N	\N
3451983	5387	1995-11-30	PRIJEM	\N	147	33222	UROK	\N	\N
3451984	5387	1995-12-31	PRIJEM	\N	157	31840	UROK	\N	\N
3451985	5387	1996-01-31	PRIJEM	\N	133	27709	UROK	\N	\N
3451986	5387	1996-02-29	PRIJEM	\N	124	28870	UROK	\N	\N
3451987	5387	1996-03-31	PRIJEM	\N	130	29936	UROK	\N	\N
3451988	5387	1996-04-30	PRIJEM	\N	127	29899	UROK	\N	\N
3451989	5387	1996-05-31	PRIJEM	\N	125	26160	UROK	\N	\N
3451990	5387	1996-06-30	PRIJEM	\N	115	29937	UROK	\N	\N
3451991	5387	1996-07-31	PRIJEM	\N	122	27495	UROK	\N	\N
3451992	5387	1996-08-31	PRIJEM	\N	117	25448	UROK	\N	\N
3451993	5387	1996-09-30	PRIJEM	\N	102	23086	UROK	\N	\N
3451994	5387	1996-10-31	PRIJEM	\N	98	21820	UROK	\N	\N
3451995	5387	1996-11-30	PRIJEM	\N	105	25462	UROK	\N	\N
3451996	5387	1996-12-31	PRIJEM	\N	108	26532	UROK	\N	\N
3451997	5387	1997-01-31	PRIJEM	\N	106	19974	UROK	\N	\N
3451998	5387	1997-02-28	PRIJEM	\N	88	21098	UROK	\N	\N
3451999	5387	1997-03-31	PRIJEM	\N	83	22918	UROK	\N	\N
3452000	5387	1997-04-30	PRIJEM	\N	91	20846	UROK	\N	\N
3452001	5387	1997-05-31	PRIJEM	\N	92	23774	UROK	\N	\N
3452002	5387	1997-06-30	PRIJEM	\N	95	18731	UROK	\N	\N
3452003	5387	1997-07-31	PRIJEM	\N	78	17846	UROK	\N	\N
3452004	5387	1997-08-31	PRIJEM	\N	77	18759	UROK	\N	\N
3452005	5387	1997-09-30	PRIJEM	\N	76	17871	UROK	\N	\N
3452006	5387	1997-10-31	PRIJEM	\N	59	9766	UROK	\N	\N
3452007	5387	1997-11-30	PRIJEM	\N	24	3727	UROK	\N	\N
3452008	5387	1997-12-31	PRIJEM	\N	7	1695	UROK	\N	\N
3452009	5387	1997-12-31	VYDAJ	VYBER	4	1677	SANKC. UROK	\N	\N
3452010	5387	1998-01-31	PRIJEM	\N	7	234	UROK	\N	\N
3452011	5387	1998-01-31	VYDAJ	VYBER	2	232	SANKC. UROK	\N	\N
3452012	5387	1998-02-28	PRIJEM	\N	13	3482	UROK	\N	\N
3452013	5387	1998-02-28	VYDAJ	VYBER	2	3465	SANKC. UROK	\N	\N
3452014	5387	1998-03-31	PRIJEM	\N	18	4935	UROK	\N	\N
3452015	5387	1998-04-30	PRIJEM	\N	11	1982	UROK	\N	\N
3452016	5387	1998-05-31	PRIJEM	\N	2	-1880	UROK	\N	\N
3452017	5387	1998-05-31	VYDAJ	VYBER	18	-1898	SANKC. UROK	\N	\N
3452018	5387	1998-06-30	PRIJEM	\N	34	-2988	UROK	\N	\N
3452019	5387	1998-06-30	VYDAJ	VYBER	10	-2998	SANKC. UROK	\N	\N
3452020	5387	1998-07-31	PRIJEM	\N	33	-2914	UROK	\N	\N
3452021	5387	1998-08-31	PRIJEM	\N	8	-655	UROK	\N	\N
3452022	5387	1998-08-31	VYDAJ	VYBER	13	-682	SANKC. UROK	\N	\N
3452023	5387	1998-09-30	VYDAJ	VYBER	13	342	SANKC. UROK	\N	\N
3452024	5387	1998-10-31	VYDAJ	VYBER	7	1071	SANKC. UROK	\N	\N
3452025	5387	1998-11-30	VYDAJ	VYBER	11	1296	SANKC. UROK	\N	\N
3452026	5387	1998-12-31	PRIJEM	\N	22	8094	UROK	\N	\N
3452027	5387	1998-12-31	VYDAJ	VYBER	0	8094	SANKC. UROK	\N	\N
3452028	5428	1993-04-30	PRIJEM	\N	146	84513	UROK	\N	\N
3452029	5428	1993-05-31	PRIJEM	\N	345	105628	UROK	\N	\N
3452030	5428	1993-06-30	PRIJEM	\N	192	26688	UROK	\N	\N
3452031	5428	1993-07-31	PRIJEM	\N	78	9318	UROK	\N	\N
3452032	5428	1993-08-31	PRIJEM	\N	86	21581	UROK	\N	\N
3452033	5428	1993-09-30	PRIJEM	\N	136	58277	UROK	\N	\N
3452034	5428	1993-10-31	PRIJEM	\N	160	27640	UROK	\N	\N
3452035	5428	1993-11-30	PRIJEM	\N	138	48867	UROK	\N	\N
3452036	5428	1993-12-31	PRIJEM	\N	159	62007	UROK	\N	\N
3452037	5428	1994-01-31	PRIJEM	\N	196	69956	UROK	\N	\N
3452038	5428	1994-02-28	PRIJEM	\N	246	82979	UROK	\N	\N
3452039	5428	1994-03-31	PRIJEM	\N	237	48721	UROK	\N	\N
3452040	5428	1994-04-30	PRIJEM	\N	299	99135	UROK	\N	\N
3452041	5428	1994-05-31	PRIJEM	\N	326	82374	UROK	\N	\N
3452042	5428	1994-06-30	PRIJEM	\N	244	53730	UROK	\N	\N
3452043	5428	1994-07-31	PRIJEM	\N	148	29383	UROK	\N	\N
3452044	5428	1994-08-31	PRIJEM	\N	115	25860	UROK	\N	\N
3452045	5428	1994-09-30	PRIJEM	\N	66	12330	UROK	\N	\N
3452046	5428	1994-10-31	PRIJEM	\N	116	112033	UROK	\N	\N
3452047	5428	1994-11-30	PRIJEM	\N	127	13573	UROK	\N	\N
3452048	5428	1994-12-31	PRIJEM	\N	52	13701	UROK	\N	\N
3452049	5428	1995-01-31	PRIJEM	\N	42	8447	UROK	\N	\N
3452050	5428	1995-02-28	PRIJEM	\N	33	2465	UROK	\N	\N
3452051	5428	1995-03-31	PRIJEM	\N	15	50700	UROK	\N	\N
3452052	5428	1995-04-30	PRIJEM	\N	152	24056	UROK	\N	\N
3452053	5428	1995-05-31	PRIJEM	\N	57	7916	UROK	\N	\N
3452054	5428	1995-06-30	PRIJEM	\N	31	3232	UROK	\N	\N
3452055	5428	1995-07-31	PRIJEM	\N	80	38418	UROK	\N	\N
3452056	5428	1995-08-31	PRIJEM	\N	87	15809	UROK	\N	\N
3452057	5428	1995-09-30	PRIJEM	\N	53	10547	UROK	\N	\N
3452058	5428	1995-10-31	PRIJEM	\N	69	27739	UROK	\N	\N
3452059	5428	1995-11-30	PRIJEM	\N	45	10069	UROK	\N	\N
3452060	5428	1995-12-31	PRIJEM	\N	43	23069	UROK	\N	\N
3452061	5428	1996-01-31	PRIJEM	\N	103	31894	UROK	\N	\N
3452062	5428	1996-02-29	PRIJEM	\N	117	21696	UROK	\N	\N
3452063	5428	1996-03-31	PRIJEM	\N	69	10250	UROK	\N	\N
3452064	5428	1996-04-30	PRIJEM	\N	184	54024	UROK	\N	\N
3452065	5428	1996-05-31	PRIJEM	\N	168	60820	UROK	\N	\N
3452066	5428	1996-06-30	PRIJEM	\N	182	26951	UROK	\N	\N
3452067	5428	1996-07-31	PRIJEM	\N	127	65025	UROK	\N	\N
3452068	5428	1996-08-31	PRIJEM	\N	181	28771	UROK	\N	\N
3452069	5428	1996-09-30	PRIJEM	\N	129	18515	UROK	\N	\N
3452070	5428	1996-10-31	PRIJEM	\N	79	20504	UROK	\N	\N
3452071	5428	1996-11-30	PRIJEM	\N	81	16470	UROK	\N	\N
3452072	5428	1996-12-31	PRIJEM	\N	78	49565	UROK	\N	\N
3452073	5428	1997-01-31	PRIJEM	\N	218	18250	UROK	\N	\N
3452074	5428	1997-02-28	PRIJEM	\N	166	33259	UROK	\N	\N
3452075	5428	1997-03-31	PRIJEM	\N	230	81276	UROK	\N	\N
3452076	5428	1997-04-30	PRIJEM	\N	328	49608	UROK	\N	\N
3452077	5428	1997-05-31	PRIJEM	\N	191	24206	UROK	\N	\N
3452078	5428	1997-06-30	PRIJEM	\N	145	26031	UROK	\N	\N
3452079	5428	1997-07-31	PRIJEM	\N	75	13391	UROK	\N	\N
3452080	5428	1997-09-30	PRIJEM	\N	51	11781	UROK	\N	\N
3452081	5428	1997-09-30	PRIJEM	\N	69	11850	UROK	\N	\N
3452082	5428	1997-10-31	PRIJEM	\N	48	55269	UROK	\N	\N
3452083	5428	1997-11-30	PRIJEM	\N	211	40921	UROK	\N	\N
3452084	5428	1997-12-31	PRIJEM	\N	155	25839	UROK	\N	\N
3452085	5428	1998-01-31	PRIJEM	\N	143	23422	UROK	\N	\N
3452086	5428	1998-02-28	PRIJEM	\N	115	63386	UROK	\N	\N
3452087	5428	1998-03-31	PRIJEM	\N	287	50698	UROK	\N	\N
3452088	5428	1998-04-30	PRIJEM	\N	159	29805	UROK	\N	\N
3452089	5428	1998-05-31	PRIJEM	\N	358	113454	UROK	\N	\N
3452090	5428	1998-06-30	PRIJEM	\N	216	27732	UROK	\N	\N
3452091	5428	1998-07-31	PRIJEM	\N	200	31412	UROK	\N	\N
3452092	5428	1998-08-31	PRIJEM	\N	109	53828	UROK	\N	\N
3452093	5428	1998-09-30	PRIJEM	\N	250	116844	UROK	\N	\N
3452094	5428	1998-10-31	PRIJEM	\N	361	52779	UROK	\N	\N
3452095	5428	1998-11-30	PRIJEM	\N	204	77135	UROK	\N	\N
3452096	5428	1998-12-31	PRIJEM	\N	340	94420	UROK	\N	\N
3452097	5429	1995-10-31	PRIJEM	\N	21	15300	UROK	\N	\N
3452098	5429	1995-11-30	PRIJEM	\N	71	20650	UROK	\N	\N
3452099	5429	1995-12-31	PRIJEM	\N	102	31369	UROK	\N	\N
3452100	5429	1996-01-31	PRIJEM	\N	129	30777	UROK	\N	\N
3452101	5429	1996-02-29	PRIJEM	\N	126	29783	UROK	\N	\N
3452102	5429	1996-03-31	PRIJEM	\N	124	29570	UROK	\N	\N
3452103	5429	1996-04-30	PRIJEM	\N	121	28656	UROK	\N	\N
3452104	5429	1996-05-31	PRIJEM	\N	114	25935	UROK	\N	\N
3452105	5429	1996-06-30	PRIJEM	\N	47	6665	UROK	\N	\N
3452106	5429	1996-06-30	VYDAJ	VYBER	2	6649	SANKC. UROK	\N	\N
3452107	5429	1996-07-31	PRIJEM	\N	34	10161	UROK	\N	\N
3452108	5429	1996-08-31	PRIJEM	\N	50	13975	UROK	\N	\N
3452109	5429	1996-09-30	PRIJEM	\N	60	14900	UROK	\N	\N
3452110	5429	1996-10-31	PRIJEM	\N	65	16229	UROK	\N	\N
3452111	5429	1996-11-30	PRIJEM	\N	68	16461	UROK	\N	\N
3452112	5429	1996-12-31	PRIJEM	\N	71	13255	UROK	\N	\N
3452113	5429	1997-01-31	PRIJEM	\N	28	1988	UROK	\N	\N
3452114	5429	1997-02-28	PRIJEM	\N	21	7473	UROK	\N	\N
3452115	5429	1997-03-31	PRIJEM	\N	42	12480	UROK	\N	\N
3452116	5429	1997-04-30	PRIJEM	\N	41	7885	UROK	\N	\N
3452117	5429	1997-05-31	PRIJEM	\N	20	949	UROK	\N	\N
3452118	5429	1997-06-30	PRIJEM	\N	10	2363	UROK	\N	\N
3452119	5429	1997-07-31	PRIJEM	\N	10	-1263	UROK	\N	\N
3452120	5429	1997-07-31	VYDAJ	VYBER	1	-1278	SANKC. UROK	\N	\N
3452121	5429	1997-08-31	VYDAJ	VYBER	32	-4131	SANKC. UROK	\N	\N
3452122	5429	1997-09-30	VYDAJ	VYBER	32	-2684	SANKC. UROK	\N	\N
3452123	5429	1997-10-31	VYDAJ	VYBER	50	-5970	SANKC. UROK	\N	\N
3452124	5429	1997-11-30	VYDAJ	VYBER	78	-8569	SANKC. UROK	\N	\N
3452125	5429	1997-12-31	VYDAJ	VYBER	98	-10249	SANKC. UROK	\N	\N
3452126	5429	1998-01-31	VYDAJ	VYBER	137	-14907	SANKC. UROK	\N	\N
3452127	5429	1998-02-28	VYDAJ	VYBER	138	-13466	SANKC. UROK	\N	\N
3452128	5429	1998-03-31	VYDAJ	VYBER	130	-12717	SANKC. UROK	\N	\N
3452129	5429	1998-04-30	VYDAJ	VYBER	154	-16392	SANKC. UROK	\N	\N
3452130	5429	1998-05-31	VYDAJ	VYBER	215	-23328	SANKC. UROK	\N	\N
3452131	5429	1998-06-30	VYDAJ	VYBER	230	-22940	SANKC. UROK	\N	\N
3452132	5429	1998-07-31	VYDAJ	VYBER	162	-25423	SANKC. UROK	\N	\N
3452133	5429	1998-08-31	VYDAJ	VYBER	223	-24567	SANKC. UROK	\N	\N
3452134	5429	1998-09-30	VYDAJ	VYBER	206	-19294	SANKC. UROK	\N	\N
3452135	5429	1998-10-31	VYDAJ	VYBER	216	-22231	SANKC. UROK	\N	\N
3452136	5429	1998-11-30	VYDAJ	VYBER	212	-20764	SANKC. UROK	\N	\N
3452137	5429	1998-12-31	VYDAJ	VYBER	181	-17227	SANKC. UROK	\N	\N
3452138	5472	1993-05-31	PRIJEM	\N	14	5059	UROK	\N	\N
3452139	5472	1993-06-30	PRIJEM	\N	68	22945	UROK	\N	\N
3452140	5472	1993-07-31	PRIJEM	\N	108	27597	UROK	\N	\N
3452141	5472	1993-08-31	PRIJEM	\N	124	31166	UROK	\N	\N
3452142	5472	1993-09-30	PRIJEM	\N	126	29037	UROK	\N	\N
3452143	5472	1993-10-31	PRIJEM	\N	122	29690	UROK	\N	\N
3452144	5472	1993-11-30	PRIJEM	\N	121	33541	UROK	\N	\N
3452145	5472	1993-12-31	PRIJEM	\N	138	26483	UROK	\N	\N
3452146	5472	1994-01-31	PRIJEM	\N	91	20804	UROK	\N	\N
3452147	5472	1994-02-28	PRIJEM	\N	87	25222	UROK	\N	\N
3452148	5472	1994-03-31	PRIJEM	\N	107	26359	UROK	\N	\N
3452149	5472	1994-04-30	PRIJEM	\N	110	29100	UROK	\N	\N
3452150	5472	1994-05-31	PRIJEM	\N	121	27651	UROK	\N	\N
3452151	5472	1994-06-30	PRIJEM	\N	100	19854	UROK	\N	\N
3452152	5472	1994-07-31	PRIJEM	\N	85	23669	UROK	\N	\N
3452153	5472	1994-08-31	PRIJEM	\N	101	26900	UROK	\N	\N
3452154	5472	1994-09-30	PRIJEM	\N	113	28643	UROK	\N	\N
3452155	5472	1994-10-31	PRIJEM	\N	121	28594	UROK	\N	\N
3452156	5472	1994-11-30	PRIJEM	\N	120	29844	UROK	\N	\N
3452157	5472	1994-12-31	PRIJEM	\N	133	28380	UROK	\N	\N
3452158	5472	1995-01-31	PRIJEM	\N	93	19403	UROK	\N	\N
3452159	5472	1995-02-28	PRIJEM	\N	81	23815	UROK	\N	\N
3452160	5472	1995-03-31	PRIJEM	\N	103	28048	UROK	\N	\N
3452161	5472	1995-04-30	PRIJEM	\N	116	27794	UROK	\N	\N
3452162	5472	1995-05-31	PRIJEM	\N	115	25739	UROK	\N	\N
3452163	5472	1995-06-30	PRIJEM	\N	108	26851	UROK	\N	\N
3452164	5472	1995-07-31	PRIJEM	\N	109	24890	UROK	\N	\N
3452165	5472	1995-08-31	PRIJEM	\N	106	26826	UROK	\N	\N
3452166	5472	1995-09-30	PRIJEM	\N	109	25065	UROK	\N	\N
3452167	5472	1995-10-31	PRIJEM	\N	100	22896	UROK	\N	\N
3452168	5472	1995-11-30	PRIJEM	\N	92	21018	UROK	\N	\N
3452169	5472	1995-12-31	PRIJEM	\N	92	21613	UROK	\N	\N
3452170	5472	1996-01-31	PRIJEM	\N	63	11806	UROK	\N	\N
3452171	5472	1996-02-29	PRIJEM	\N	55	15792	UROK	\N	\N
3452172	5472	1996-03-31	PRIJEM	\N	68	17490	UROK	\N	\N
3452173	5472	1996-04-30	PRIJEM	\N	72	17392	UROK	\N	\N
3452174	5472	1996-05-31	PRIJEM	\N	74	19096	UROK	\N	\N
3452175	5472	1996-06-30	PRIJEM	\N	59	6159	UROK	\N	\N
3452176	5472	1996-07-31	PRIJEM	\N	35	11324	UROK	\N	\N
3452177	5472	1996-08-31	PRIJEM	\N	55	12510	UROK	\N	\N
3452178	5472	1996-09-30	PRIJEM	\N	53	15093	UROK	\N	\N
3452179	5472	1996-10-31	PRIJEM	\N	61	14784	UROK	\N	\N
3452180	5472	1996-11-30	PRIJEM	\N	69	18483	UROK	\N	\N
3452181	5472	1996-12-31	PRIJEM	\N	82	19568	UROK	\N	\N
3452182	5472	1997-01-31	PRIJEM	\N	35	6734	UROK	\N	\N
3452183	5472	1997-02-28	PRIJEM	\N	42	12806	UROK	\N	\N
3452184	5472	1997-03-31	PRIJEM	\N	63	17399	UROK	\N	\N
3452185	5472	1997-04-30	PRIJEM	\N	72	17902	UROK	\N	\N
3452186	5472	1997-05-31	PRIJEM	\N	71	17203	UROK	\N	\N
3452187	5472	1997-06-30	PRIJEM	\N	39	845	UROK	\N	\N
3452188	5472	1997-07-31	PRIJEM	\N	23	8798	UROK	\N	\N
3452189	5472	1997-08-31	PRIJEM	\N	43	11871	UROK	\N	\N
3452190	5472	1997-09-30	PRIJEM	\N	58	16160	UROK	\N	\N
3452191	5472	1997-10-31	PRIJEM	\N	70	18161	UROK	\N	\N
3452192	5472	1997-11-30	PRIJEM	\N	67	14758	UROK	\N	\N
3452193	5472	1997-12-31	PRIJEM	\N	44	10105	UROK	\N	\N
3452194	5472	1998-01-31	PRIJEM	\N	8	44	UROK	\N	\N
3452195	5472	1998-01-31	VYDAJ	VYBER	5	25	SANKC. UROK	\N	\N
3452196	5472	1998-02-28	PRIJEM	\N	3	1973	UROK	\N	\N
3452197	5472	1998-02-28	VYDAJ	VYBER	2	1971	SANKC. UROK	\N	\N
3452198	5472	1998-03-31	PRIJEM	\N	7	2608	UROK	\N	\N
3452199	5472	1998-04-30	PRIJEM	\N	16	5655	UROK	\N	\N
3452200	5472	1998-05-31	PRIJEM	\N	20	5305	UROK	\N	\N
3452201	5472	1998-06-30	PRIJEM	\N	23	6831	UROK	\N	\N
3452202	5472	1998-07-31	PRIJEM	\N	24	6285	UROK	\N	\N
3452203	5472	1998-08-31	PRIJEM	\N	28	6343	UROK	\N	\N
3452204	5472	1998-09-30	PRIJEM	\N	26	7300	UROK	\N	\N
3452205	5472	1998-10-31	PRIJEM	\N	24	6154	UROK	\N	\N
3452206	5472	1998-11-30	PRIJEM	\N	17	4601	UROK	\N	\N
3452207	5472	1998-11-30	VYDAJ	VYBER	0	4586	SANKC. UROK	\N	\N
3452208	5472	1998-12-31	PRIJEM	\N	24	6228	UROK	\N	\N
3452209	5483	1993-04-30	PRIJEM	\N	12	21214	UROK	\N	\N
3452210	5483	1993-05-31	PRIJEM	\N	95	31711	UROK	\N	\N
3452211	5483	1993-06-30	PRIJEM	\N	139	42153	UROK	\N	\N
3452212	5483	1993-07-31	PRIJEM	\N	174	41129	UROK	\N	\N
3452213	5483	1993-08-31	PRIJEM	\N	172	42703	UROK	\N	\N
3452214	5483	1993-09-30	PRIJEM	\N	165	33033	UROK	\N	\N
3452215	5483	1993-10-31	PRIJEM	\N	109	24551	UROK	\N	\N
3452216	5483	1993-11-30	PRIJEM	\N	114	34852	UROK	\N	\N
3452217	5483	1993-12-31	PRIJEM	\N	183	40123	UROK	\N	\N
3452218	5483	1994-01-31	PRIJEM	\N	93	4932	UROK	\N	\N
3452219	5483	1994-02-28	PRIJEM	\N	53	17872	UROK	\N	\N
3452220	5483	1994-03-31	PRIJEM	\N	69	18702	UROK	\N	\N
3452221	5483	1994-04-30	PRIJEM	\N	93	30983	UROK	\N	\N
3452222	5483	1994-05-31	PRIJEM	\N	121	28850	UROK	\N	\N
3452223	5483	1994-06-30	PRIJEM	\N	118	20117	UROK	\N	\N
3452224	5483	1994-07-31	PRIJEM	\N	77	20320	UROK	\N	\N
3452225	5483	1994-08-31	PRIJEM	\N	78	13536	UROK	\N	\N
3452226	5483	1994-09-30	PRIJEM	\N	77	19701	UROK	\N	\N
3452227	5483	1994-10-31	PRIJEM	\N	96	27743	UROK	\N	\N
3452228	5483	1994-11-30	PRIJEM	\N	106	25280	UROK	\N	\N
3452229	5483	1994-12-31	PRIJEM	\N	136	38004	UROK	\N	\N
3452230	5483	1995-01-31	PRIJEM	\N	136	128	UROK	\N	\N
3452231	5483	1995-01-31	VYDAJ	VYBER	0	113	SANKC. UROK	\N	\N
3452232	5483	1995-02-28	PRIJEM	\N	42	21957	UROK	\N	\N
3452233	5483	1995-03-31	PRIJEM	\N	115	22060	UROK	\N	\N
3452234	5483	1995-04-30	PRIJEM	\N	119	36166	UROK	\N	\N
3452235	5483	1995-05-31	PRIJEM	\N	160	41313	UROK	\N	\N
3452236	5483	1995-06-30	PRIJEM	\N	174	40475	UROK	\N	\N
3452237	5483	1995-07-31	PRIJEM	\N	171	42134	UROK	\N	\N
3452238	5483	1995-08-31	PRIJEM	\N	184	46406	UROK	\N	\N
3452239	5483	1995-09-30	PRIJEM	\N	182	41574	UROK	\N	\N
3452240	5483	1995-10-31	PRIJEM	\N	177	43839	UROK	\N	\N
3452241	5483	1995-11-30	PRIJEM	\N	181	39308	UROK	\N	\N
3452242	5483	1995-12-31	PRIJEM	\N	194	48690	UROK	\N	\N
3452243	5483	1996-01-31	PRIJEM	\N	123	14788	UROK	\N	\N
3452244	5483	1996-02-29	PRIJEM	\N	76	16570	UROK	\N	\N
3452245	5483	1996-03-31	PRIJEM	\N	81	20038	UROK	\N	\N
3452246	5483	1996-04-30	PRIJEM	\N	132	38057	UROK	\N	\N
3452247	5483	1996-05-31	PRIJEM	\N	183	47328	UROK	\N	\N
3452248	5483	1996-06-30	PRIJEM	\N	189	17905	UROK	\N	\N
3452249	5483	1996-07-31	PRIJEM	\N	122	30014	UROK	\N	\N
3452250	5483	1996-08-31	PRIJEM	\N	149	35151	UROK	\N	\N
3452251	5483	1996-09-30	PRIJEM	\N	199	52936	UROK	\N	\N
3452252	5483	1996-10-31	PRIJEM	\N	251	63475	UROK	\N	\N
3452253	5483	1996-11-30	PRIJEM	\N	290	72552	UROK	\N	\N
3452254	5483	1996-12-31	PRIJEM	\N	336	73275	UROK	\N	\N
3452255	5483	1997-01-31	PRIJEM	\N	226	41289	UROK	\N	\N
3452256	5483	1997-02-28	PRIJEM	\N	182	47397	UROK	\N	\N
3452257	5483	1997-03-31	PRIJEM	\N	256	67140	UROK	\N	\N
3452258	5483	1997-04-30	PRIJEM	\N	237	54599	UROK	\N	\N
3452259	5483	1997-05-31	PRIJEM	\N	271	69858	UROK	\N	\N
3452260	5483	1997-06-30	PRIJEM	\N	222	34268	UROK	\N	\N
3452261	5483	1997-07-31	PRIJEM	\N	208	56463	UROK	\N	\N
3452262	5483	1997-08-31	PRIJEM	\N	220	44690	UROK	\N	\N
3452263	5483	1997-09-30	PRIJEM	\N	239	63016	UROK	\N	\N
3452264	5483	1997-10-31	PRIJEM	\N	249	57386	UROK	\N	\N
3452265	5483	1997-11-30	PRIJEM	\N	239	52805	UROK	\N	\N
3452266	5483	1997-12-31	PRIJEM	\N	200	36829	UROK	\N	\N
3452267	5483	1998-01-31	PRIJEM	\N	108	4683	UROK	\N	\N
3452268	5483	1998-02-28	PRIJEM	\N	100	25811	UROK	\N	\N
3452269	5483	1998-03-31	PRIJEM	\N	185	40963	UROK	\N	\N
3452270	5483	1998-04-30	PRIJEM	\N	203	52053	UROK	\N	\N
3452271	5483	1998-05-31	PRIJEM	\N	173	25833	UROK	\N	\N
3452272	5483	1998-06-30	PRIJEM	\N	102	26023	UROK	\N	\N
3452273	5483	1998-07-31	PRIJEM	\N	110	35521	UROK	\N	\N
3452274	5483	1998-08-31	PRIJEM	\N	142	28299	UROK	\N	\N
3452275	5483	1998-09-30	PRIJEM	\N	81	24143	UROK	\N	\N
3452276	5483	1998-10-31	PRIJEM	\N	102	36233	UROK	\N	\N
3452277	5483	1998-11-30	PRIJEM	\N	132	24219	UROK	\N	\N
3452278	5483	1998-12-31	PRIJEM	\N	161	46569	UROK	\N	\N
3452279	5505	1996-06-30	PRIJEM	\N	16	19609	UROK	\N	\N
3452280	5505	1996-07-31	PRIJEM	\N	82	18891	UROK	\N	\N
3452281	5505	1996-08-31	PRIJEM	\N	96	32834	UROK	\N	\N
3452282	5505	1996-09-30	PRIJEM	\N	150	44957	UROK	\N	\N
3452283	5505	1996-10-31	PRIJEM	\N	272	62326	UROK	\N	\N
3452284	5505	1996-11-30	PRIJEM	\N	257	45869	UROK	\N	\N
3452285	5505	1996-12-31	PRIJEM	\N	181	38535	UROK	\N	\N
3452286	5505	1997-01-31	PRIJEM	\N	81	-1799	UROK	\N	\N
3452287	5505	1997-01-31	VYDAJ	VYBER	2	-1800	SANKC. UROK	\N	\N
3452288	5505	1997-02-28	PRIJEM	\N	23	8924	UROK	\N	\N
3452289	5505	1997-02-28	VYDAJ	VYBER	12	8897	SANKC. UROK	\N	\N
3452290	5505	1997-03-31	PRIJEM	\N	77	31647	UROK	\N	\N
3452291	5505	1997-04-30	PRIJEM	\N	255	33319	UROK	\N	\N
3452292	5505	1997-05-31	PRIJEM	\N	161	48408	UROK	\N	\N
3452293	5505	1997-06-30	PRIJEM	\N	155	21829	UROK	\N	\N
3452294	5505	1997-07-31	PRIJEM	\N	91	26878	UROK	\N	\N
3452295	5505	1997-08-31	PRIJEM	\N	106	22469	UROK	\N	\N
3452296	5505	1997-09-30	PRIJEM	\N	152	45939	UROK	\N	\N
3452297	5505	1997-10-31	PRIJEM	\N	201	51543	UROK	\N	\N
3452298	5505	1997-11-30	PRIJEM	\N	288	82470	UROK	\N	\N
3452299	5505	1997-12-31	PRIJEM	\N	314	50457	UROK	\N	\N
3452300	5505	1998-01-31	PRIJEM	\N	156	23298	UROK	\N	\N
3452301	5505	1998-02-28	PRIJEM	\N	185	16097	UROK	\N	\N
3452302	5505	1998-03-31	PRIJEM	\N	119	33382	UROK	\N	\N
3452303	5505	1998-04-30	PRIJEM	\N	142	40799	UROK	\N	\N
3452304	5505	1998-05-31	PRIJEM	\N	225	63244	UROK	\N	\N
3452305	5505	1998-06-30	PRIJEM	\N	302	34930	UROK	\N	\N
3452306	5505	1998-07-31	PRIJEM	\N	148	43889	UROK	\N	\N
3452307	5505	1998-08-31	PRIJEM	\N	181	42967	UROK	\N	\N
3452308	5505	1998-09-30	PRIJEM	\N	276	106430	UROK	\N	\N
3452309	5505	1998-10-31	PRIJEM	\N	360	90923	UROK	\N	\N
3452310	5505	1998-11-30	PRIJEM	\N	313	80200	UROK	\N	\N
3452311	5505	1998-12-31	PRIJEM	\N	346	83828	UROK	\N	\N
3452312	5546	1993-06-30	PRIJEM	\N	19	33573	UROK	\N	\N
3452313	5546	1993-07-31	PRIJEM	\N	144	39285	UROK	\N	\N
3452314	5546	1993-08-31	PRIJEM	\N	166	42520	UROK	\N	\N
3452315	5546	1993-09-30	PRIJEM	\N	179	45768	UROK	\N	\N
3452316	5546	1993-10-31	PRIJEM	\N	198	46630	UROK	\N	\N
3452317	5546	1993-11-30	PRIJEM	\N	196	48881	UROK	\N	\N
3452318	5546	1993-12-31	PRIJEM	\N	232	36890	UROK	\N	\N
3452319	5546	1994-01-31	PRIJEM	\N	108	4852	UROK	\N	\N
3452320	5546	1994-02-28	PRIJEM	\N	47	25253	UROK	\N	\N
3452321	5546	1994-03-31	PRIJEM	\N	127	30636	UROK	\N	\N
3452322	5546	1994-04-30	PRIJEM	\N	162	37953	UROK	\N	\N
3452323	5546	1994-05-31	PRIJEM	\N	173	41281	UROK	\N	\N
3452324	5546	1994-06-30	PRIJEM	\N	156	12508	UROK	\N	\N
3452325	5546	1994-07-31	PRIJEM	\N	63	11493	UROK	\N	\N
3452326	5546	1994-08-31	PRIJEM	\N	61	17753	UROK	\N	\N
3452327	5546	1994-09-30	PRIJEM	\N	91	156	UROK	\N	\N
3452328	5546	1994-10-31	PRIJEM	\N	28	10068	UROK	\N	\N
3452329	5546	1994-11-30	PRIJEM	\N	63	14185	UROK	\N	\N
3452330	5546	1994-12-31	PRIJEM	\N	99	28091	UROK	\N	\N
3452331	5546	1995-01-31	PRIJEM	\N	106	-549	UROK	\N	\N
3452332	5546	1995-01-31	VYDAJ	VYBER	1	-550	SANKC. UROK	\N	\N
3452333	5546	1995-02-28	PRIJEM	\N	33	9094	UROK	\N	\N
3452334	5546	1995-02-28	VYDAJ	VYBER	4	9090	SANKC. UROK	\N	\N
3452335	5546	1995-03-31	PRIJEM	\N	75	30920	UROK	\N	\N
3452336	5546	1995-04-30	PRIJEM	\N	144	39918	UROK	\N	\N
3452337	5546	1995-05-31	PRIJEM	\N	168	41040	UROK	\N	\N
3452338	5546	1995-06-30	PRIJEM	\N	177	35457	UROK	\N	\N
3452339	5546	1995-07-31	PRIJEM	\N	153	38664	UROK	\N	\N
3452340	5546	1995-08-31	PRIJEM	\N	130	21405	UROK	\N	\N
3452341	5546	1995-09-30	PRIJEM	\N	111	28013	UROK	\N	\N
3452342	5546	1995-10-31	PRIJEM	\N	124	28391	UROK	\N	\N
3452343	5546	1995-11-30	PRIJEM	\N	86	17674	UROK	\N	\N
3452344	5546	1995-12-31	PRIJEM	\N	106	21063	UROK	\N	\N
3452345	5546	1996-01-31	PRIJEM	\N	69	3386	UROK	\N	\N
3452346	5546	1996-02-29	PRIJEM	\N	71	25411	UROK	\N	\N
3452347	5546	1996-03-31	PRIJEM	\N	120	29592	UROK	\N	\N
3452348	5546	1996-04-30	PRIJEM	\N	142	37288	UROK	\N	\N
3452349	5546	1996-05-31	PRIJEM	\N	166	41708	UROK	\N	\N
3452350	5546	1996-06-30	PRIJEM	\N	188	47636	UROK	\N	\N
3452351	5546	1996-07-31	PRIJEM	\N	230	38620	UROK	\N	\N
3452352	5546	1996-08-31	PRIJEM	\N	123	30748	UROK	\N	\N
3452353	5546	1996-09-30	PRIJEM	\N	150	37452	UROK	\N	\N
3452354	5546	1996-10-31	PRIJEM	\N	157	29738	UROK	\N	\N
3452355	5546	1996-11-30	PRIJEM	\N	172	47765	UROK	\N	\N
3452356	5546	1996-12-31	PRIJEM	\N	242	66746	UROK	\N	\N
3452357	5546	1997-01-31	PRIJEM	\N	167	29468	UROK	\N	\N
3452358	5546	1997-02-28	PRIJEM	\N	141	35758	UROK	\N	\N
3452359	5546	1997-03-31	PRIJEM	\N	155	33790	UROK	\N	\N
3452360	5546	1997-04-30	PRIJEM	\N	181	45325	UROK	\N	\N
3452361	5546	1997-05-31	PRIJEM	\N	192	50658	UROK	\N	\N
3452362	5546	1997-06-30	PRIJEM	\N	211	33708	UROK	\N	\N
3452363	5546	1997-07-31	PRIJEM	\N	158	24789	UROK	\N	\N
3452364	5546	1997-08-31	PRIJEM	\N	139	37582	UROK	\N	\N
3452365	5546	1997-09-30	PRIJEM	\N	175	41541	UROK	\N	\N
3452366	5546	1997-10-31	PRIJEM	\N	164	39560	UROK	\N	\N
3452367	5546	1997-11-30	PRIJEM	\N	99	28959	UROK	\N	\N
3452368	5546	1997-12-31	PRIJEM	\N	160	41055	UROK	\N	\N
3452369	5546	1998-01-31	PRIJEM	\N	87	3996	UROK	\N	\N
3452370	5546	1998-02-28	PRIJEM	\N	107	38857	UROK	\N	\N
3452371	5546	1998-03-31	PRIJEM	\N	191	44717	UROK	\N	\N
3452372	5546	1998-04-30	PRIJEM	\N	217	57088	UROK	\N	\N
3452373	5546	1998-05-31	PRIJEM	\N	259	66001	UROK	\N	\N
3452374	5546	1998-06-30	PRIJEM	\N	218	54148	UROK	\N	\N
3452375	5546	1998-07-31	PRIJEM	\N	176	34988	UROK	\N	\N
3452376	5546	1998-08-31	PRIJEM	\N	108	30976	UROK	\N	\N
3452377	5546	1998-09-30	PRIJEM	\N	127	38557	UROK	\N	\N
3452378	5546	1998-10-31	PRIJEM	\N	159	45871	UROK	\N	\N
3452379	5546	1998-11-30	PRIJEM	\N	187	47112	UROK	\N	\N
3452380	5546	1998-12-31	PRIJEM	\N	254	61143	UROK	\N	\N
3452381	5648	1997-07-31	PRIJEM	\N	96	37529	UROK	\N	\N
3452382	5648	1997-08-31	PRIJEM	\N	200	54062	UROK	\N	\N
3452383	5648	1997-09-30	PRIJEM	\N	248	62442	UROK	\N	\N
3452384	5648	1997-10-31	PRIJEM	\N	253	56429	UROK	\N	\N
3452385	5648	1997-11-30	PRIJEM	\N	255	63516	UROK	\N	\N
3452386	5648	1997-12-31	PRIJEM	\N	249	56001	UROK	\N	\N
3452387	5648	1998-01-31	PRIJEM	\N	128	-869	UROK	\N	\N
3452388	5648	1998-01-31	VYDAJ	VYBER	2	-885	SANKC. UROK	\N	\N
3452389	5648	1998-02-28	PRIJEM	\N	131	42079	UROK	\N	\N
3452390	5648	1998-02-28	VYDAJ	VYBER	2	42062	SANKC. UROK	\N	\N
3452391	5648	1998-03-31	PRIJEM	\N	220	53569	UROK	\N	\N
3452392	5648	1998-04-30	PRIJEM	\N	235	37751	UROK	\N	\N
3452393	5648	1998-05-31	PRIJEM	\N	212	50772	UROK	\N	\N
3452394	5648	1998-06-30	PRIJEM	\N	261	64268	UROK	\N	\N
3452395	5648	1998-07-31	PRIJEM	\N	214	45477	UROK	\N	\N
3452396	5648	1998-08-31	PRIJEM	\N	334	56329	UROK	\N	\N
3452397	5648	1998-09-30	PRIJEM	\N	344	72018	UROK	\N	\N
3452398	5648	1998-10-31	PRIJEM	\N	381	96718	UROK	\N	\N
3452399	5648	1998-11-30	PRIJEM	\N	405	92274	UROK	\N	\N
3452400	5648	1998-12-31	PRIJEM	\N	246	49666	UROK	\N	\N
3452401	5661	1995-12-31	PRIJEM	\N	40	49015	UROK	\N	\N
3452402	5661	1996-01-31	PRIJEM	\N	204	34319	UROK	\N	\N
3452403	5661	1996-02-29	PRIJEM	\N	204	30523	UROK	\N	\N
3452404	5661	1996-03-31	PRIJEM	\N	200	46935	UROK	\N	\N
3452405	5661	1996-04-30	PRIJEM	\N	206	52914	UROK	\N	\N
3452406	5661	1996-05-31	PRIJEM	\N	220	36634	UROK	\N	\N
3452407	5661	1996-06-30	PRIJEM	\N	144	12515	UROK	\N	\N
3452408	5661	1996-06-30	VYDAJ	VYBER	1	12514	SANKC. UROK	\N	\N
3452409	5661	1996-07-31	PRIJEM	\N	97	34654	UROK	\N	\N
3452410	5661	1996-08-31	PRIJEM	\N	142	35970	UROK	\N	\N
3452411	5661	1996-09-30	PRIJEM	\N	64	15645	UROK	\N	\N
3452412	5661	1996-10-31	PRIJEM	\N	52	6663	UROK	\N	\N
3452413	5661	1996-11-30	PRIJEM	\N	60	29770	UROK	\N	\N
3452414	5661	1996-12-31	PRIJEM	\N	89	32086	UROK	\N	\N
3452415	5661	1997-01-31	PRIJEM	\N	27	-2202	UROK	\N	\N
3452416	5661	1997-01-31	VYDAJ	VYBER	10	-2212	SANKC. UROK	\N	\N
3452417	5661	1997-02-28	PRIJEM	\N	46	18086	UROK	\N	\N
3452418	5661	1997-02-28	VYDAJ	VYBER	9	18062	SANKC. UROK	\N	\N
3452419	5661	1997-03-31	PRIJEM	\N	82	17485	UROK	\N	\N
3452420	5661	1997-04-30	PRIJEM	\N	199	69739	UROK	\N	\N
3452421	5661	1997-05-31	PRIJEM	\N	344	142074	UROK	\N	\N
3452422	5661	1997-06-30	PRIJEM	\N	214	46246	UROK	\N	\N
3452423	5661	1997-07-31	PRIJEM	\N	228	68812	UROK	\N	\N
3452424	5661	1997-08-31	PRIJEM	\N	195	42797	UROK	\N	\N
3452425	5661	1997-09-30	PRIJEM	\N	69	-270	UROK	\N	\N
3452426	5661	1997-09-30	VYDAJ	VYBER	2	-273	SANKC. UROK	\N	\N
3452427	5661	1997-10-31	VYDAJ	VYBER	4	-3591	SANKC. UROK	\N	\N
3452428	5661	1997-11-30	PRIJEM	\N	35	19405	UROK	\N	\N
3452429	5661	1997-11-30	VYDAJ	VYBER	2	19403	SANKC. UROK	\N	\N
3452430	5661	1997-12-31	PRIJEM	\N	226	85560	UROK	\N	\N
3452431	5661	1998-01-31	PRIJEM	\N	213	24487	UROK	\N	\N
3452432	5661	1998-02-28	PRIJEM	\N	68	14447	UROK	\N	\N
3452433	5661	1998-03-31	PRIJEM	\N	58	1390	UROK	\N	\N
3452434	5661	1998-04-30	PRIJEM	\N	6	3036	UROK	\N	\N
3452435	5661	1998-05-31	PRIJEM	\N	124	48606	UROK	\N	\N
3452436	5661	1998-05-31	VYDAJ	VYBER	3	48589	SANKC. UROK	\N	\N
3452437	5661	1998-06-30	PRIJEM	\N	40	-1592	UROK	\N	\N
3452438	5661	1998-06-30	VYDAJ	VYBER	15	-1608	SANKC. UROK	\N	\N
3452439	5661	1998-07-31	VYDAJ	VYBER	19	-18141	SANKC. UROK	\N	\N
3452440	5661	1998-08-31	PRIJEM	\N	21	20216	UROK	\N	\N
3452441	5661	1998-08-31	VYDAJ	VYBER	14	20187	SANKC. UROK	\N	\N
3452442	5661	1998-09-30	PRIJEM	\N	81	15461	UROK	\N	\N
3452443	5661	1998-10-31	PRIJEM	\N	142	52367	UROK	\N	\N
3452444	5661	1998-11-30	PRIJEM	\N	231	70021	UROK	\N	\N
3452445	5661	1998-12-31	PRIJEM	\N	88	12550	UROK	\N	\N
3452467	5692	1996-03-31	PRIJEM	\N	60	52970	UROK	\N	\N
3452468	5692	1996-04-30	PRIJEM	\N	309	39879	UROK	\N	\N
3452469	5692	1996-05-31	PRIJEM	\N	309	37088	UROK	\N	\N
3452470	5692	1996-06-30	PRIJEM	\N	274	37782	UROK	\N	\N
3452471	5692	1996-07-31	PRIJEM	\N	192	77901	UROK	\N	\N
3452472	5692	1996-08-31	PRIJEM	\N	235	23791	UROK	\N	\N
3452473	5692	1996-09-30	PRIJEM	\N	100	28976	UROK	\N	\N
3452474	5692	1996-10-31	PRIJEM	\N	121	30282	UROK	\N	\N
3452475	5692	1996-11-30	PRIJEM	\N	146	46226	UROK	\N	\N
3452476	5692	1996-12-31	PRIJEM	\N	161	29016	UROK	\N	\N
3452477	5692	1997-01-31	PRIJEM	\N	113	16063	UROK	\N	\N
3452478	5692	1997-02-28	PRIJEM	\N	67	42963	UROK	\N	\N
3452479	5692	1997-03-31	PRIJEM	\N	79	15187	UROK	\N	\N
3452480	5692	1997-04-30	PRIJEM	\N	61	21133	UROK	\N	\N
3452481	5692	1997-05-31	PRIJEM	\N	2	-2325	UROK	\N	\N
3452482	5692	1997-05-31	VYDAJ	VYBER	6	-2331	SANKC. UROK	\N	\N
3452483	5692	1997-06-30	PRIJEM	\N	61	36522	UROK	\N	\N
3452484	5692	1997-06-30	VYDAJ	VYBER	15	36493	SANKC. UROK	\N	\N
3452485	5692	1997-07-31	PRIJEM	\N	94	19038	UROK	\N	\N
3452486	5692	1997-08-31	PRIJEM	\N	87	23303	UROK	\N	\N
3452487	5692	1997-09-30	PRIJEM	\N	97	24185	UROK	\N	\N
3452488	5692	1997-10-31	PRIJEM	\N	106	39133	UROK	\N	\N
3452489	5692	1997-11-30	PRIJEM	\N	150	33492	UROK	\N	\N
3452490	5692	1997-12-31	PRIJEM	\N	129	48377	UROK	\N	\N
3452491	5692	1998-01-31	PRIJEM	\N	182	40208	UROK	\N	\N
3452492	5692	1998-02-28	PRIJEM	\N	199	90197	UROK	\N	\N
3452493	5692	1998-03-31	PRIJEM	\N	305	58088	UROK	\N	\N
3452494	5692	1998-04-30	PRIJEM	\N	246	58178	UROK	\N	\N
3452495	5692	1998-05-31	PRIJEM	\N	241	54204	UROK	\N	\N
3452496	5692	1998-06-30	PRIJEM	\N	205	51443	UROK	\N	\N
3452497	5692	1998-07-31	PRIJEM	\N	217	46138	UROK	\N	\N
3452498	5692	1998-08-31	PRIJEM	\N	185	43977	UROK	\N	\N
3452499	5692	1998-09-30	PRIJEM	\N	165	37327	UROK	\N	\N
3452500	5692	1998-10-31	PRIJEM	\N	207	49171	UROK	\N	\N
3452501	5692	1998-11-30	PRIJEM	\N	203	43360	UROK	\N	\N
3452502	5692	1998-12-31	PRIJEM	\N	164	34718	UROK	\N	\N
3452503	5700	1993-08-31	PRIJEM	\N	26	15041	UROK	\N	\N
3452504	5700	1993-09-30	PRIJEM	\N	78	23534	UROK	\N	\N
3452505	5700	1993-10-31	PRIJEM	\N	106	28155	UROK	\N	\N
3452506	5700	1993-11-30	PRIJEM	\N	127	33498	UROK	\N	\N
3452507	5700	1993-12-31	PRIJEM	\N	148	32948	UROK	\N	\N
3452508	5700	1994-01-31	PRIJEM	\N	106	11055	UROK	\N	\N
3452509	5700	1994-02-28	PRIJEM	\N	67	18422	UROK	\N	\N
3452510	5700	1994-03-31	PRIJEM	\N	91	25613	UROK	\N	\N
3452511	5700	1994-04-30	PRIJEM	\N	122	29936	UROK	\N	\N
3452512	5700	1994-05-31	PRIJEM	\N	126	30762	UROK	\N	\N
3452513	5700	1994-06-30	PRIJEM	\N	156	32826	UROK	\N	\N
3452514	5700	1994-07-31	PRIJEM	\N	133	31359	UROK	\N	\N
3452515	5700	1994-08-31	PRIJEM	\N	131	31490	UROK	\N	\N
3452516	5700	1994-09-30	PRIJEM	\N	136	33467	UROK	\N	\N
3452517	5700	1994-10-31	PRIJEM	\N	142	34109	UROK	\N	\N
3452518	5700	1994-11-30	PRIJEM	\N	149	32059	UROK	\N	\N
3452519	5700	1994-12-31	PRIJEM	\N	128	28635	UROK	\N	\N
3452520	5700	1995-01-31	PRIJEM	\N	73	16128	UROK	\N	\N
3452521	5700	1995-02-28	PRIJEM	\N	99	28227	UROK	\N	\N
3452522	5700	1995-03-31	PRIJEM	\N	123	30351	UROK	\N	\N
3452523	5700	1995-04-30	PRIJEM	\N	142	36264	UROK	\N	\N
3452524	5700	1995-05-31	PRIJEM	\N	156	38493	UROK	\N	\N
3452525	5700	1995-06-30	PRIJEM	\N	134	30587	UROK	\N	\N
3452526	5700	1995-07-31	PRIJEM	\N	136	33895	UROK	\N	\N
3452527	5700	1995-08-31	PRIJEM	\N	151	36118	UROK	\N	\N
3452528	5700	1995-09-30	PRIJEM	\N	158	37648	UROK	\N	\N
3452529	5700	1995-10-31	PRIJEM	\N	154	38234	UROK	\N	\N
3452530	5700	1995-11-30	PRIJEM	\N	161	37568	UROK	\N	\N
3452531	5700	1995-12-31	PRIJEM	\N	140	30047	UROK	\N	\N
3452532	5700	1996-01-31	PRIJEM	\N	99	15418	UROK	\N	\N
3452533	5700	1996-02-29	PRIJEM	\N	101	28392	UROK	\N	\N
3452534	5700	1996-03-31	PRIJEM	\N	132	33656	UROK	\N	\N
3452535	5700	1996-04-30	PRIJEM	\N	143	34532	UROK	\N	\N
3452536	5700	1996-05-31	PRIJEM	\N	147	34350	UROK	\N	\N
3452537	5700	1996-06-30	PRIJEM	\N	107	28897	UROK	\N	\N
3452538	5700	1996-07-31	PRIJEM	\N	135	28804	UROK	\N	\N
3452539	5700	1996-08-31	PRIJEM	\N	125	31302	UROK	\N	\N
3452540	5700	1996-09-30	PRIJEM	\N	112	25546	UROK	\N	\N
3452541	5700	1996-10-31	PRIJEM	\N	112	26430	UROK	\N	\N
3452542	5700	1996-11-30	PRIJEM	\N	108	24610	UROK	\N	\N
3452543	5700	1996-12-31	PRIJEM	\N	105	24456	UROK	\N	\N
3452544	5700	1997-01-31	PRIJEM	\N	48	7036	UROK	\N	\N
3452545	5700	1997-02-28	PRIJEM	\N	52	14960	UROK	\N	\N
3452546	5700	1997-03-31	PRIJEM	\N	54	9087	UROK	\N	\N
3452547	5700	1997-04-30	PRIJEM	\N	52	14911	UROK	\N	\N
3452548	5700	1997-05-31	PRIJEM	\N	57	12540	UROK	\N	\N
3452549	5700	1997-06-30	PRIJEM	\N	78	10638	UROK	\N	\N
3452550	5700	1997-07-31	PRIJEM	\N	60	8970	UROK	\N	\N
3452551	5700	1997-08-31	PRIJEM	\N	56	10099	UROK	\N	\N
3452552	5700	1997-09-30	PRIJEM	\N	58	7410	UROK	\N	\N
3452553	5700	1997-10-31	PRIJEM	\N	20	-1697	UROK	\N	\N
3452554	5700	1997-10-31	VYDAJ	VYBER	4	-1701	SANKC. UROK	\N	\N
3452555	5700	1997-11-30	PRIJEM	\N	12	1798	UROK	\N	\N
3452556	5700	1997-11-30	VYDAJ	VYBER	8	1775	SANKC. UROK	\N	\N
3452557	5700	1997-12-31	PRIJEM	\N	31	4500	UROK	\N	\N
3452558	5700	1998-01-31	PRIJEM	\N	18	-2930	UROK	\N	\N
3452559	5700	1998-02-28	PRIJEM	\N	10	-1133	UROK	\N	\N
3452560	5700	1998-02-28	VYDAJ	VYBER	3	-1136	SANKC. UROK	\N	\N
3452561	5700	1998-03-31	PRIJEM	\N	11	-7052	UROK	\N	\N
3452562	5700	1998-03-31	VYDAJ	VYBER	22	-7074	SANKC. UROK	\N	\N
3452563	5700	1998-04-30	VYDAJ	VYBER	83	-9342	SANKC. UROK	\N	\N
3452564	5700	1998-05-31	VYDAJ	VYBER	109	-12935	SANKC. UROK	\N	\N
3452565	5700	1998-06-30	VYDAJ	VYBER	77	-8070	SANKC. UROK	\N	\N
3452566	5700	1998-07-31	VYDAJ	VYBER	87	-7442	SANKC. UROK	\N	\N
3452567	5700	1998-08-31	VYDAJ	VYBER	89	-9416	SANKC. UROK	\N	\N
3452568	5700	1998-09-30	VYDAJ	VYBER	110	-11711	SANKC. UROK	\N	\N
3452569	5700	1998-10-31	VYDAJ	VYBER	143	-16939	SANKC. UROK	\N	\N
3452570	5700	1998-11-30	VYDAJ	VYBER	186	-19310	SANKC. UROK	\N	\N
3452571	5708	1997-11-30	PRIJEM	\N	82	58135	UROK	\N	\N
3452572	5708	1997-12-31	PRIJEM	\N	242	42276	UROK	\N	\N
3452573	5708	1998-01-31	PRIJEM	\N	200	46787	UROK	\N	\N
3452574	5708	1998-02-28	PRIJEM	\N	216	69294	UROK	\N	\N
3452575	5708	1998-03-31	PRIJEM	\N	197	37062	UROK	\N	\N
3452576	5708	1998-04-30	PRIJEM	\N	185	87837	UROK	\N	\N
3452577	5708	1998-05-31	PRIJEM	\N	335	86487	UROK	\N	\N
3452578	5708	1998-06-30	PRIJEM	\N	220	26477	UROK	\N	\N
3452579	5708	1998-07-31	PRIJEM	\N	117	51007	UROK	\N	\N
3452580	5708	1998-08-31	PRIJEM	\N	198	30825	UROK	\N	\N
3452581	5708	1998-09-30	PRIJEM	\N	57	9451	UROK	\N	\N
3452582	5708	1998-10-31	PRIJEM	\N	38	-941	UROK	\N	\N
3452583	5708	1998-10-31	VYDAJ	VYBER	0	-971	SANKC. UROK	\N	\N
3452584	5708	1998-11-30	PRIJEM	\N	151	82447	UROK	\N	\N
3452585	5708	1998-11-30	VYDAJ	VYBER	3	82443	SANKC. UROK	\N	\N
3452586	5708	1998-12-31	PRIJEM	\N	220	75293	UROK	\N	\N
3452587	5726	1996-06-30	PRIJEM	\N	70	74074	UROK	\N	\N
3452588	5726	1996-07-31	PRIJEM	\N	340	93903	UROK	\N	\N
3452589	5726	1996-08-31	PRIJEM	\N	390	61092	UROK	\N	\N
3452590	5726	1996-09-30	PRIJEM	\N	384	43576	UROK	\N	\N
3452591	5726	1996-10-31	PRIJEM	\N	186	32809	UROK	\N	\N
3452592	5726	1996-11-30	PRIJEM	\N	115	23424	UROK	\N	\N
3452593	5726	1996-12-31	PRIJEM	\N	191	59077	UROK	\N	\N
3452594	5726	1997-01-31	PRIJEM	\N	205	18840	UROK	\N	\N
3452595	5726	1997-02-28	PRIJEM	\N	78	18411	UROK	\N	\N
3452596	5726	1997-03-31	PRIJEM	\N	69	-5620	UROK	\N	\N
3452597	5726	1997-03-31	VYDAJ	VYBER	6	-5726	SANKC. UROK	\N	\N
3452598	5726	1997-04-30	VYDAJ	VYBER	58	-5884	SANKC. UROK	\N	\N
3452599	5726	1997-05-31	PRIJEM	\N	44	59471	UROK	\N	\N
3452600	5726	1997-05-31	VYDAJ	VYBER	45	59427	SANKC. UROK	\N	\N
3452601	5726	1997-06-30	PRIJEM	\N	227	53858	UROK	\N	\N
3452602	5726	1997-07-31	PRIJEM	\N	161	28918	UROK	\N	\N
3452603	5726	1997-08-31	PRIJEM	\N	115	19241	UROK	\N	\N
3452604	5726	1997-09-30	PRIJEM	\N	134	30102	UROK	\N	\N
3452605	5726	1997-10-31	PRIJEM	\N	146	19196	UROK	\N	\N
3452606	5726	1997-11-30	PRIJEM	\N	114	51939	UROK	\N	\N
3452607	5726	1997-12-31	PRIJEM	\N	162	24605	UROK	\N	\N
3452608	5726	1998-01-31	PRIJEM	\N	75	15780	UROK	\N	\N
3452609	5726	1998-02-28	PRIJEM	\N	50	10831	UROK	\N	\N
3452610	5726	1998-03-31	PRIJEM	\N	51	12782	UROK	\N	\N
3452611	5726	1998-04-30	PRIJEM	\N	62	15344	UROK	\N	\N
3452612	5726	1998-05-31	PRIJEM	\N	73	19617	UROK	\N	\N
3452613	5726	1998-06-30	PRIJEM	\N	147	61981	UROK	\N	\N
3452614	5726	1998-07-31	PRIJEM	\N	209	37110	UROK	\N	\N
3452615	5726	1998-08-31	PRIJEM	\N	74	14583	UROK	\N	\N
3452616	5726	1998-09-30	PRIJEM	\N	66	15749	UROK	\N	\N
3452617	5726	1998-10-31	PRIJEM	\N	69	16518	UROK	\N	\N
3452618	5726	1998-11-30	PRIJEM	\N	199	32733	UROK	\N	\N
3452619	5726	1998-12-31	PRIJEM	\N	96	15729	UROK	\N	\N
3452620	5735	1995-01-31	PRIJEM	\N	5	305	UROK	\N	\N
3452621	5735	1995-02-28	PRIJEM	\N	228	97654	UROK	\N	\N
3452622	5735	1995-03-31	PRIJEM	\N	334	51708	UROK	\N	\N
3452623	5735	1995-04-30	PRIJEM	\N	218	80299	UROK	\N	\N
3452624	5735	1995-05-31	PRIJEM	\N	331	53016	UROK	\N	\N
3452625	5735	1995-06-30	PRIJEM	\N	280	40732	UROK	\N	\N
3452626	5735	1995-07-31	PRIJEM	\N	241	92432	UROK	\N	\N
3452627	5735	1995-08-31	PRIJEM	\N	346	81846	UROK	\N	\N
3452628	5735	1995-09-30	PRIJEM	\N	330	74856	UROK	\N	\N
3452629	5735	1995-10-31	PRIJEM	\N	276	66240	UROK	\N	\N
3452630	5735	1995-11-30	PRIJEM	\N	240	37787	UROK	\N	\N
3452631	5735	1995-12-31	PRIJEM	\N	131	19593	UROK	\N	\N
3452632	5735	1996-01-31	PRIJEM	\N	21	-2801	UROK	\N	\N
3452633	5735	1996-01-31	VYDAJ	VYBER	10	-2825	SANKC. UROK	\N	\N
3452634	5735	1996-02-29	PRIJEM	\N	2	11577	UROK	\N	\N
3452635	5735	1996-02-29	VYDAJ	VYBER	27	11535	SANKC. UROK	\N	\N
3452636	5735	1996-03-31	PRIJEM	\N	60	18850	UROK	\N	\N
3452637	5735	1996-04-30	PRIJEM	\N	75	759	UROK	\N	\N
3452638	5735	1996-05-31	PRIJEM	\N	76	30252	UROK	\N	\N
3452639	5735	1996-06-30	PRIJEM	\N	151	38408	UROK	\N	\N
3452640	5735	1996-07-31	PRIJEM	\N	96	14276	UROK	\N	\N
3452641	5735	1996-08-31	PRIJEM	\N	74	10361	UROK	\N	\N
3452642	5735	1996-09-30	PRIJEM	\N	71	23872	UROK	\N	\N
3452643	5735	1996-10-31	PRIJEM	\N	88	17936	UROK	\N	\N
3452644	5735	1996-11-30	PRIJEM	\N	69	8835	UROK	\N	\N
3452645	5735	1996-12-31	PRIJEM	\N	65	21185	UROK	\N	\N
3452646	5735	1997-01-31	PRIJEM	\N	46	-1483	UROK	\N	\N
3452647	5735	1997-01-31	VYDAJ	VYBER	4	-1487	SANKC. UROK	\N	\N
3452648	5735	1997-02-28	PRIJEM	\N	86	46066	UROK	\N	\N
3452649	5735	1997-02-28	VYDAJ	VYBER	6	46059	SANKC. UROK	\N	\N
3452650	5735	1997-03-31	PRIJEM	\N	263	74995	UROK	\N	\N
3452651	5735	1997-04-30	PRIJEM	\N	265	54801	UROK	\N	\N
3452652	5735	1997-05-31	PRIJEM	\N	229	76210	UROK	\N	\N
3452653	5735	1997-06-30	PRIJEM	\N	264	86315	UROK	\N	\N
3452654	5735	1997-07-31	PRIJEM	\N	308	72822	UROK	\N	\N
3452655	5735	1997-08-31	PRIJEM	\N	262	50824	UROK	\N	\N
3452656	5735	1997-09-30	PRIJEM	\N	194	75930	UROK	\N	\N
3452657	5735	1997-10-31	PRIJEM	\N	292	74959	UROK	\N	\N
3452658	5735	1997-11-30	PRIJEM	\N	332	77941	UROK	\N	\N
3452659	5735	1997-12-31	PRIJEM	\N	287	60340	UROK	\N	\N
3452660	5735	1998-01-31	PRIJEM	\N	168	24849	UROK	\N	\N
3452661	5735	1998-02-28	PRIJEM	\N	107	25396	UROK	\N	\N
3452662	5735	1998-03-31	PRIJEM	\N	173	103152	UROK	\N	\N
3452663	5735	1998-04-30	PRIJEM	\N	342	51851	UROK	\N	\N
3452664	5735	1998-05-31	PRIJEM	\N	271	87634	UROK	\N	\N
3452665	5735	1998-06-30	PRIJEM	\N	282	50405	UROK	\N	\N
3452666	5735	1998-07-31	PRIJEM	\N	200	46045	UROK	\N	\N
3452667	5735	1998-08-31	PRIJEM	\N	197	48782	UROK	\N	\N
3452668	5735	1998-09-30	PRIJEM	\N	240	77627	UROK	\N	\N
3452669	5735	1998-10-31	PRIJEM	\N	277	59545	UROK	\N	\N
3452670	5735	1998-11-30	PRIJEM	\N	284	69580	UROK	\N	\N
3452671	5735	1998-12-31	PRIJEM	\N	350	89025	UROK	\N	\N
3452672	5740	1993-04-30	PRIJEM	\N	42	43314	UROK	\N	\N
3452673	5740	1993-05-31	PRIJEM	\N	180	43328	UROK	\N	\N
3452674	5740	1993-06-30	PRIJEM	\N	182	6773	UROK	\N	\N
3452675	5740	1993-06-30	VYDAJ	VYBER	3	6770	SANKC. UROK	\N	\N
3452676	5740	1993-07-31	PRIJEM	\N	107	59889	UROK	\N	\N
3452677	5740	1993-08-31	PRIJEM	\N	357	85436	UROK	\N	\N
3452678	5740	1993-09-30	PRIJEM	\N	301	69673	UROK	\N	\N
3452679	5740	1993-10-31	PRIJEM	\N	287	46645	UROK	\N	\N
3452680	5740	1993-11-30	PRIJEM	\N	127	16282	UROK	\N	\N
3452681	5740	1993-12-31	PRIJEM	\N	172	43703	UROK	\N	\N
3452682	5740	1994-01-31	PRIJEM	\N	71	-641	UROK	\N	\N
3452683	5740	1994-01-31	VYDAJ	VYBER	1	-641	SANKC. UROK	\N	\N
3452684	5740	1994-02-28	PRIJEM	\N	2	11246	UROK	\N	\N
3452685	5740	1994-02-28	VYDAJ	VYBER	7	11239	SANKC. UROK	\N	\N
3452686	5740	1994-03-31	PRIJEM	\N	84	34162	UROK	\N	\N
3452687	5740	1994-04-30	PRIJEM	\N	97	17923	UROK	\N	\N
3452688	5740	1994-05-31	PRIJEM	\N	48	1557	UROK	\N	\N
3452689	5740	1994-06-30	PRIJEM	\N	8	13950	UROK	\N	\N
3452690	5740	1994-07-31	PRIJEM	\N	58	19293	UROK	\N	\N
3452691	5740	1994-08-31	PRIJEM	\N	74	12706	UROK	\N	\N
3452692	5740	1994-09-30	PRIJEM	\N	53	18645	UROK	\N	\N
3452693	5740	1994-10-31	PRIJEM	\N	57	8687	UROK	\N	\N
3452694	5740	1994-11-30	PRIJEM	\N	36	12909	UROK	\N	\N
3452695	5740	1994-12-31	PRIJEM	\N	51	10945	UROK	\N	\N
3452696	5740	1995-01-31	PRIJEM	\N	113	4865	UROK	\N	\N
3452697	5740	1995-02-28	PRIJEM	\N	177	50743	UROK	\N	\N
3452698	5740	1995-03-31	PRIJEM	\N	182	28855	UROK	\N	\N
3452699	5740	1995-04-30	PRIJEM	\N	213	90896	UROK	\N	\N
3452700	5740	1995-05-31	PRIJEM	\N	296	58960	UROK	\N	\N
3452701	5740	1995-06-30	PRIJEM	\N	117	68086	UROK	\N	\N
3452702	5740	1995-06-30	VYDAJ	VYBER	2	68084	SANKC. UROK	\N	\N
3452703	5740	1995-07-31	PRIJEM	\N	268	62099	UROK	\N	\N
3452704	5740	1995-08-31	PRIJEM	\N	133	29528	UROK	\N	\N
3452705	5740	1995-09-30	PRIJEM	\N	229	71040	UROK	\N	\N
3452706	5740	1995-10-31	PRIJEM	\N	276	64725	UROK	\N	\N
3452707	5740	1995-11-30	PRIJEM	\N	237	88945	UROK	\N	\N
3452708	5740	1995-12-31	PRIJEM	\N	309	52028	UROK	\N	\N
3452709	5740	1996-01-31	PRIJEM	\N	25	5190	UROK	\N	\N
3452710	5740	1996-02-29	PRIJEM	\N	20	5195	UROK	\N	\N
3452711	5740	1996-03-31	PRIJEM	\N	34	23130	UROK	\N	\N
3452712	5740	1996-04-30	PRIJEM	\N	92	4824	UROK	\N	\N
3452713	5740	1996-05-31	PRIJEM	\N	13	5023	UROK	\N	\N
3452714	5740	1996-06-30	PRIJEM	\N	19	5327	UROK	\N	\N
3452715	5740	1996-07-31	PRIJEM	\N	20	4712	UROK	\N	\N
3452716	5740	1996-08-31	PRIJEM	\N	17	6415	UROK	\N	\N
3452717	5740	1996-09-30	PRIJEM	\N	25	11425	UROK	\N	\N
3452718	5740	1996-10-31	PRIJEM	\N	44	10068	UROK	\N	\N
3452719	5740	1996-11-30	PRIJEM	\N	44	16510	UROK	\N	\N
3452720	5740	1996-12-31	PRIJEM	\N	64	5518	UROK	\N	\N
3452721	5740	1996-12-31	VYDAJ	VYBER	0	5503	SANKC. UROK	\N	\N
3452722	5740	1997-01-31	PRIJEM	\N	17	1620	UROK	\N	\N
3452723	5740	1997-02-28	PRIJEM	\N	12	11979	UROK	\N	\N
3452724	5740	1997-03-31	PRIJEM	\N	46	8610	UROK	\N	\N
3452725	5740	1997-04-30	PRIJEM	\N	53	32830	UROK	\N	\N
3452726	5740	1997-05-31	PRIJEM	\N	130	19345	UROK	\N	\N
3452727	5740	1997-06-30	PRIJEM	\N	132	37535	UROK	\N	\N
3452728	5740	1997-07-31	PRIJEM	\N	281	92017	UROK	\N	\N
3452729	5740	1997-08-31	PRIJEM	\N	331	46294	UROK	\N	\N
3452730	5740	1997-09-30	PRIJEM	\N	158	18604	UROK	\N	\N
3452731	5740	1997-10-31	PRIJEM	\N	73	12562	UROK	\N	\N
3452732	5740	1997-11-30	PRIJEM	\N	80	35253	UROK	\N	\N
3452733	5740	1997-12-31	PRIJEM	\N	120	19658	UROK	\N	\N
3452734	5740	1998-01-31	PRIJEM	\N	17	3061	UROK	\N	\N
3452735	5740	1998-02-28	PRIJEM	\N	9	-1345	UROK	\N	\N
3452736	5740	1998-03-31	PRIJEM	\N	9	-936	UROK	\N	\N
3452737	5740	1998-04-30	PRIJEM	\N	9	-328	UROK	\N	\N
3452738	5740	1998-05-31	PRIJEM	\N	26	14169	UROK	\N	\N
3452739	5740	1998-06-30	PRIJEM	\N	53	4307	UROK	\N	\N
3452740	5740	1998-07-31	PRIJEM	\N	48	24376	UROK	\N	\N
3452741	5740	1998-08-31	PRIJEM	\N	66	6833	UROK	\N	\N
3452742	5740	1998-09-30	PRIJEM	\N	23	2042	UROK	\N	\N
3452743	5740	1998-10-31	PRIJEM	\N	3	2330	UROK	\N	\N
3452744	5740	1998-11-30	PRIJEM	\N	42	20272	UROK	\N	\N
3452745	5740	1998-12-31	PRIJEM	\N	57	14048	UROK	\N	\N
3452746	5767	1993-07-31	PRIJEM	\N	40	18748	UROK	\N	\N
3452747	5767	1993-08-31	PRIJEM	\N	98	27654	UROK	\N	\N
3452748	5767	1993-09-30	PRIJEM	\N	116	28279	UROK	\N	\N
3452749	5767	1993-10-31	PRIJEM	\N	119	29106	UROK	\N	\N
3452750	5767	1993-11-30	PRIJEM	\N	133	32947	UROK	\N	\N
3452751	5767	1993-12-31	PRIJEM	\N	136	32020	UROK	\N	\N
3452752	5767	1994-01-31	PRIJEM	\N	93	16926	UROK	\N	\N
3452753	5767	1994-02-28	PRIJEM	\N	79	21819	UROK	\N	\N
3452754	5767	1994-03-31	PRIJEM	\N	102	25014	UROK	\N	\N
3452755	5767	1994-04-30	PRIJEM	\N	107	26514	UROK	\N	\N
3452756	5767	1994-05-31	PRIJEM	\N	115	27323	UROK	\N	\N
3452757	5767	1994-06-30	PRIJEM	\N	98	7678	UROK	\N	\N
3452758	5767	1994-07-31	PRIJEM	\N	69	20241	UROK	\N	\N
3452759	5767	1994-08-31	PRIJEM	\N	112	30146	UROK	\N	\N
3452760	5767	1994-09-30	PRIJEM	\N	126	29665	UROK	\N	\N
3452761	5767	1994-10-31	PRIJEM	\N	123	30582	UROK	\N	\N
3452762	5767	1994-11-30	PRIJEM	\N	126	31401	UROK	\N	\N
3452763	5767	1994-12-31	PRIJEM	\N	118	28757	UROK	\N	\N
3452764	5767	1995-01-31	PRIJEM	\N	99	16209	UROK	\N	\N
3452765	5767	1995-02-28	PRIJEM	\N	92	23295	UROK	\N	\N
3452766	5767	1995-03-31	PRIJEM	\N	112	28081	UROK	\N	\N
3452767	5767	1995-04-30	PRIJEM	\N	120	26313	UROK	\N	\N
3452768	5767	1995-05-31	PRIJEM	\N	106	26153	UROK	\N	\N
3452769	5767	1995-06-30	PRIJEM	\N	136	36266	UROK	\N	\N
3452770	5767	1995-07-31	PRIJEM	\N	136	31956	UROK	\N	\N
3452771	5767	1995-08-31	PRIJEM	\N	130	30880	UROK	\N	\N
3452772	5767	1995-09-30	PRIJEM	\N	118	28991	UROK	\N	\N
3452773	5767	1995-10-31	PRIJEM	\N	126	32609	UROK	\N	\N
3452774	5767	1995-11-30	PRIJEM	\N	150	32253	UROK	\N	\N
3452775	5767	1995-12-31	PRIJEM	\N	123	32213	UROK	\N	\N
3452776	5767	1996-01-31	PRIJEM	\N	100	9507	UROK	\N	\N
3452777	5767	1996-02-29	PRIJEM	\N	58	16938	UROK	\N	\N
3452778	5767	1996-03-31	PRIJEM	\N	92	25124	UROK	\N	\N
3452779	5767	1996-04-30	PRIJEM	\N	106	27824	UROK	\N	\N
3452780	5767	1996-05-31	PRIJEM	\N	126	31543	UROK	\N	\N
3452781	5767	1996-06-30	PRIJEM	\N	131	32191	UROK	\N	\N
3452782	5767	1996-07-31	PRIJEM	\N	126	26390	UROK	\N	\N
3452783	5767	1996-08-31	PRIJEM	\N	106	22648	UROK	\N	\N
3452784	5767	1996-09-30	PRIJEM	\N	104	21545	UROK	\N	\N
3452785	5767	1996-10-31	PRIJEM	\N	97	22835	UROK	\N	\N
3452786	5767	1996-11-30	PRIJEM	\N	97	26325	UROK	\N	\N
3452787	5767	1996-12-31	PRIJEM	\N	120	24182	UROK	\N	\N
3452788	5767	1997-01-31	PRIJEM	\N	50	18126	UROK	\N	\N
3452789	5767	1997-02-28	PRIJEM	\N	78	20298	UROK	\N	\N
3452790	5767	1997-03-31	PRIJEM	\N	69	20080	UROK	\N	\N
3452791	5767	1997-04-30	PRIJEM	\N	87	22660	UROK	\N	\N
3452792	5767	1997-05-31	PRIJEM	\N	97	21251	UROK	\N	\N
3452793	5767	1997-06-30	PRIJEM	\N	90	20858	UROK	\N	\N
3452794	5767	1997-07-31	PRIJEM	\N	92	19023	UROK	\N	\N
3452795	5767	1997-08-31	PRIJEM	\N	85	21401	UROK	\N	\N
3452796	5767	1997-09-30	PRIJEM	\N	92	21586	UROK	\N	\N
3452797	5767	1997-10-31	PRIJEM	\N	87	20566	UROK	\N	\N
3452798	5767	1997-11-30	PRIJEM	\N	86	20546	UROK	\N	\N
3452799	5767	1997-12-31	PRIJEM	\N	92	18055	UROK	\N	\N
3452800	5767	1998-01-31	PRIJEM	\N	52	12501	UROK	\N	\N
3452801	5767	1998-02-28	PRIJEM	\N	58	16352	UROK	\N	\N
3452802	5767	1998-03-31	PRIJEM	\N	62	13408	UROK	\N	\N
3452803	5767	1998-04-30	PRIJEM	\N	45	9147	UROK	\N	\N
3452804	5767	1998-05-31	PRIJEM	\N	48	12488	UROK	\N	\N
3452805	5767	1998-06-30	PRIJEM	\N	51	10537	UROK	\N	\N
3452806	5767	1998-07-31	PRIJEM	\N	34	5865	UROK	\N	\N
3452807	5767	1998-08-31	PRIJEM	\N	23	4995	UROK	\N	\N
3452808	5767	1998-09-30	PRIJEM	\N	26	7329	UROK	\N	\N
3452809	5767	1998-10-31	PRIJEM	\N	22	2825	UROK	\N	\N
3452810	5767	1998-11-30	PRIJEM	\N	9	-258	UROK	\N	\N
3452811	5767	1998-11-30	VYDAJ	VYBER	10	-268	SANKC. UROK	\N	\N
3452812	5767	1998-12-31	PRIJEM	\N	29	12473	UROK	\N	\N
3452813	5767	1998-12-31	VYDAJ	VYBER	7	12466	SANKC. UROK	\N	\N
3452814	5868	1993-03-31	PRIJEM	\N	11	40260	UROK	\N	\N
3452815	5868	1993-04-30	PRIJEM	\N	168	32828	UROK	\N	\N
3452816	5868	1993-05-31	PRIJEM	\N	168	32095	UROK	\N	\N
3452817	5868	1993-06-30	PRIJEM	\N	168	29163	UROK	\N	\N
3452818	5868	1993-07-31	PRIJEM	\N	234	95341	UROK	\N	\N
3452819	5868	1993-08-31	PRIJEM	\N	262	13235	UROK	\N	\N
3452820	5868	1993-09-30	PRIJEM	\N	95	29538	UROK	\N	\N
3452821	5868	1993-10-31	PRIJEM	\N	117	24928	UROK	\N	\N
3452822	5868	1993-11-30	PRIJEM	\N	103	20916	UROK	\N	\N
3452823	5868	1993-12-31	PRIJEM	\N	94	24346	UROK	\N	\N
3452824	5868	1994-01-31	PRIJEM	\N	64	16750	UROK	\N	\N
3452825	5868	1994-02-28	PRIJEM	\N	71	23306	UROK	\N	\N
3452826	5868	1994-03-31	PRIJEM	\N	62	18607	UROK	\N	\N
3452827	5868	1994-04-30	PRIJEM	\N	75	13301	UROK	\N	\N
3452828	5868	1994-05-31	PRIJEM	\N	40	13057	UROK	\N	\N
3452829	5868	1994-06-30	PRIJEM	\N	57	10299	UROK	\N	\N
3452830	5868	1994-07-31	PRIJEM	\N	151	20479	UROK	\N	\N
3452831	5868	1994-08-31	PRIJEM	\N	85	20950	UROK	\N	\N
3452832	5868	1994-09-30	PRIJEM	\N	48	16570	UROK	\N	\N
3452833	5868	1994-10-31	PRIJEM	\N	68	16324	UROK	\N	\N
3452834	5868	1994-11-30	PRIJEM	\N	73	21858	UROK	\N	\N
3452835	5868	1994-12-31	PRIJEM	\N	78	6258	UROK	\N	\N
3452836	5868	1995-01-31	PRIJEM	\N	79	13892	UROK	\N	\N
3452837	5868	1995-02-28	PRIJEM	\N	79	34477	UROK	\N	\N
3452838	5868	1995-03-31	PRIJEM	\N	154	45187	UROK	\N	\N
3452839	5868	1995-04-30	PRIJEM	\N	186	65051	UROK	\N	\N
3452840	5868	1995-05-31	PRIJEM	\N	299	99711	UROK	\N	\N
3452841	5868	1995-06-30	PRIJEM	\N	151	17100	UROK	\N	\N
3452842	5868	1995-07-31	PRIJEM	\N	104	51018	UROK	\N	\N
3452843	5868	1995-08-31	PRIJEM	\N	303	108174	UROK	\N	\N
3452844	5868	1995-09-30	PRIJEM	\N	228	44088	UROK	\N	\N
3452845	5868	1995-10-31	PRIJEM	\N	177	32650	UROK	\N	\N
3452846	5868	1995-11-30	PRIJEM	\N	165	50405	UROK	\N	\N
3452847	5868	1995-12-31	PRIJEM	\N	250	73985	UROK	\N	\N
3452848	5868	1996-01-31	PRIJEM	\N	271	53778	UROK	\N	\N
3452849	5868	1996-02-29	PRIJEM	\N	183	30747	UROK	\N	\N
3452850	5868	1996-03-31	PRIJEM	\N	121	27775	UROK	\N	\N
3452851	5868	1996-04-30	PRIJEM	\N	115	32076	UROK	\N	\N
3452852	5868	1996-05-31	PRIJEM	\N	128	21389	UROK	\N	\N
3452853	5868	1996-06-30	PRIJEM	\N	84	13648	UROK	\N	\N
3452854	5868	1996-07-31	PRIJEM	\N	3	18805	UROK	\N	\N
3452855	5868	1996-08-31	PRIJEM	\N	78	27568	UROK	\N	\N
3452856	5868	1996-09-30	PRIJEM	\N	92	20846	UROK	\N	\N
3452857	5868	1996-10-31	PRIJEM	\N	73	6335	UROK	\N	\N
3452858	5868	1996-11-30	PRIJEM	\N	16	1672	UROK	\N	\N
3452859	5868	1996-12-31	PRIJEM	\N	26	22050	UROK	\N	\N
3452860	5868	1997-01-31	PRIJEM	\N	93	23028	UROK	\N	\N
3452861	5868	1997-02-28	PRIJEM	\N	101	29242	UROK	\N	\N
3452862	5868	1997-03-31	PRIJEM	\N	237	100365	UROK	\N	\N
3452863	5868	1997-04-30	PRIJEM	\N	296	48036	UROK	\N	\N
3452864	5868	1997-05-31	PRIJEM	\N	172	24579	UROK	\N	\N
3452865	5868	1997-06-30	PRIJEM	\N	153	41924	UROK	\N	\N
3452866	5868	1997-07-31	PRIJEM	\N	172	39481	UROK	\N	\N
3452867	5868	1997-08-31	PRIJEM	\N	117	31479	UROK	\N	\N
3452868	5868	1997-09-30	PRIJEM	\N	215	60048	UROK	\N	\N
3452869	5868	1997-10-31	PRIJEM	\N	331	61285	UROK	\N	\N
3452870	5868	1997-11-30	PRIJEM	\N	311	68706	UROK	\N	\N
3452871	5868	1997-12-31	PRIJEM	\N	193	39497	UROK	\N	\N
3452872	5868	1998-01-31	PRIJEM	\N	282	96877	UROK	\N	\N
3452873	5868	1998-02-28	PRIJEM	\N	387	85902	UROK	\N	\N
3452874	5868	1998-03-31	PRIJEM	\N	398	92728	UROK	\N	\N
3452875	5868	1998-04-30	PRIJEM	\N	420	86251	UROK	\N	\N
3452876	5868	1998-05-31	PRIJEM	\N	349	87950	UROK	\N	\N
3452877	5868	1998-06-30	PRIJEM	\N	339	88176	UROK	\N	\N
3452878	5868	1998-07-31	PRIJEM	\N	312	96626	UROK	\N	\N
3452879	5868	1998-08-31	PRIJEM	\N	305	99080	UROK	\N	\N
3452880	5868	1998-09-30	PRIJEM	\N	328	106141	UROK	\N	\N
3452881	5868	1998-10-31	PRIJEM	\N	388	113316	UROK	\N	\N
3452882	5868	1998-11-30	PRIJEM	\N	389	62843	UROK	\N	\N
3452883	5868	1998-12-31	PRIJEM	\N	306	101977	UROK	\N	\N
3452884	5870	1997-09-30	PRIJEM	\N	13	31369	UROK	\N	\N
3452885	5870	1997-11-30	PRIJEM	\N	131	26700	UROK	\N	\N
3452886	5870	1997-12-31	PRIJEM	\N	143	37055	UROK	\N	\N
3452887	5870	1998-01-31	PRIJEM	\N	173	57363	UROK	\N	\N
3452888	5870	1998-02-28	PRIJEM	\N	323	62037	UROK	\N	\N
3452889	5870	1998-03-31	PRIJEM	\N	306	74838	UROK	\N	\N
3452890	5870	1998-04-30	PRIJEM	\N	313	51136	UROK	\N	\N
3452891	5870	1998-05-31	PRIJEM	\N	284	19577	UROK	\N	\N
3452892	5870	1998-06-30	PRIJEM	\N	146	68827	UROK	\N	\N
3452893	5870	1998-07-31	PRIJEM	\N	361	54204	UROK	\N	\N
3452894	5870	1998-08-31	PRIJEM	\N	221	52636	UROK	\N	\N
3452895	5870	1998-09-30	PRIJEM	\N	164	18485	UROK	\N	\N
3452896	5870	1998-10-31	PRIJEM	\N	130	45342	UROK	\N	\N
3452897	5870	1998-11-30	PRIJEM	\N	231	45580	UROK	\N	\N
3452898	5870	1998-12-31	PRIJEM	\N	244	65075	UROK	\N	\N
3452899	5927	1993-12-31	PRIJEM	\N	17	20790	UROK	\N	\N
3452900	5927	1994-01-31	PRIJEM	\N	92	26385	UROK	\N	\N
3452901	5927	1994-02-28	PRIJEM	\N	112	30506	UROK	\N	\N
3452902	5927	1994-03-31	PRIJEM	\N	128	33638	UROK	\N	\N
3452903	5927	1994-04-30	PRIJEM	\N	150	33471	UROK	\N	\N
3452904	5927	1994-05-31	PRIJEM	\N	127	21706	UROK	\N	\N
3452905	5927	1994-06-30	PRIJEM	\N	114	30458	UROK	\N	\N
3452906	5927	1994-07-31	PRIJEM	\N	105	26439	UROK	\N	\N
3452907	5927	1994-08-31	PRIJEM	\N	114	27430	UROK	\N	\N
3452908	5927	1994-09-30	PRIJEM	\N	117	28833	UROK	\N	\N
3452909	5927	1994-10-31	PRIJEM	\N	119	17760	UROK	\N	\N
3452910	5927	1994-11-30	PRIJEM	\N	83	24215	UROK	\N	\N
3452911	5927	1994-12-31	PRIJEM	\N	81	18643	UROK	\N	\N
3452912	5927	1995-01-31	PRIJEM	\N	11	3425	UROK	\N	\N
3452913	5927	1995-01-31	VYDAJ	VYBER	6	3434	SANKC. UROK	\N	\N
3452914	5927	1995-02-28	PRIJEM	\N	30	11348	UROK	\N	\N
3452915	5927	1995-03-31	PRIJEM	\N	57	17123	UROK	\N	\N
3452916	5927	1995-04-30	PRIJEM	\N	86	21956	UROK	\N	\N
3452917	5927	1995-05-31	PRIJEM	\N	86	21001	UROK	\N	\N
3452918	5927	1995-06-30	PRIJEM	\N	109	28229	UROK	\N	\N
3452919	5927	1995-07-31	PRIJEM	\N	116	27043	UROK	\N	\N
3452920	5927	1995-08-31	PRIJEM	\N	55	16719	UROK	\N	\N
3452921	5927	1995-09-30	PRIJEM	\N	78	23503	UROK	\N	\N
3452922	5927	1995-10-31	PRIJEM	\N	85	-1997	UROK	\N	\N
3452923	5927	1995-10-31	VYDAJ	VYBER	4	-1915	SANKC. UROK	\N	\N
3452924	5927	1995-11-30	PRIJEM	\N	22	12699	UROK	\N	\N
3452925	5927	1995-11-30	VYDAJ	VYBER	15	12684	SANKC. UROK	\N	\N
3452926	5927	1995-12-31	PRIJEM	\N	68	23061	UROK	\N	\N
3452927	5927	1996-01-31	PRIJEM	\N	42	8544	UROK	\N	\N
3452928	5927	1996-01-31	VYDAJ	VYBER	2	8585	SANKC. UROK	\N	\N
3452929	5927	1996-02-29	PRIJEM	\N	40	12674	UROK	\N	\N
3452930	5927	1996-03-31	PRIJEM	\N	69	21816	UROK	\N	\N
3452931	5927	1996-04-30	PRIJEM	\N	69	19526	UROK	\N	\N
3452932	5927	1996-05-31	PRIJEM	\N	63	15770	UROK	\N	\N
3452933	5927	1996-06-30	PRIJEM	\N	107	16864	UROK	\N	\N
3452934	5927	1996-07-31	PRIJEM	\N	63	14851	UROK	\N	\N
3452935	5927	1996-08-31	PRIJEM	\N	51	8110	UROK	\N	\N
3452936	5927	1996-09-30	PRIJEM	\N	18	365	UROK	\N	\N
3452937	5927	1996-09-30	VYDAJ	VYBER	12	345	SANKC. UROK	\N	\N
3452938	5927	1996-10-31	PRIJEM	\N	43	10122	UROK	\N	\N
3452939	5927	1996-10-31	VYDAJ	VYBER	8	10092	SANKC. UROK	\N	\N
3452940	5927	1996-11-30	PRIJEM	\N	75	24654	UROK	\N	\N
3452941	5927	1996-12-31	PRIJEM	\N	61	20975	UROK	\N	\N
3452942	5927	1996-12-31	VYDAJ	VYBER	11	20939	SANKC. UROK	\N	\N
3452943	5927	1997-01-31	PRIJEM	\N	35	-2640	UROK	\N	\N
3452944	5927	1997-01-31	VYDAJ	VYBER	18	-2640	SANKC. UROK	\N	\N
3452945	5927	1997-02-28	PRIJEM	\N	24	11152	UROK	\N	\N
3452946	5927	1997-02-28	VYDAJ	VYBER	22	11139	SANKC. UROK	\N	\N
3452947	5927	1997-03-31	PRIJEM	\N	68	20438	UROK	\N	\N
3452948	5927	1997-04-30	PRIJEM	\N	69	19681	UROK	\N	\N
3452949	5927	1997-05-31	PRIJEM	\N	37	6826	UROK	\N	\N
3452950	5927	1997-05-31	VYDAJ	VYBER	0	6825	SANKC. UROK	\N	\N
3452951	5927	1997-06-30	PRIJEM	\N	65	23314	UROK	\N	\N
3452952	5927	1997-07-31	PRIJEM	\N	73	18357	UROK	\N	\N
3452953	5927	1997-08-31	PRIJEM	\N	60	18486	UROK	\N	\N
3452954	5927	1997-09-30	PRIJEM	\N	75	21564	UROK	\N	\N
3452955	5927	1997-10-31	PRIJEM	\N	73	19881	UROK	\N	\N
3452956	5927	1997-11-30	PRIJEM	\N	78	23832	UROK	\N	\N
3452957	5927	1997-12-31	PRIJEM	\N	48	-2522	UROK	\N	\N
3452958	5927	1997-12-31	VYDAJ	VYBER	25	-2513	SANKC. UROK	\N	\N
3452959	5927	1998-01-31	VYDAJ	VYBER	29	-914	SANKC. UROK	\N	\N
3452960	5927	1998-02-28	PRIJEM	\N	15	7858	UROK	\N	\N
3452961	5927	1998-02-28	VYDAJ	VYBER	17	7825	SANKC. UROK	\N	\N
3452962	5927	1998-03-31	PRIJEM	\N	53	13917	UROK	\N	\N
3452963	5927	1998-04-30	PRIJEM	\N	53	18999	UROK	\N	\N
3452964	5927	1998-05-31	PRIJEM	\N	77	22426	UROK	\N	\N
3452965	5927	1998-06-30	PRIJEM	\N	55	15022	UROK	\N	\N
3452966	5927	1998-07-31	PRIJEM	\N	68	21334	UROK	\N	\N
3452967	5927	1998-08-31	PRIJEM	\N	79	3420	UROK	\N	\N
3452968	5927	1998-08-31	VYDAJ	VYBER	0	3405	SANKC. UROK	\N	\N
3452969	5927	1998-09-30	PRIJEM	\N	34	16843	UROK	\N	\N
3452970	5927	1998-09-30	VYDAJ	VYBER	1	16890	SANKC. UROK	\N	\N
3452971	5927	1998-10-31	PRIJEM	\N	71	25321	UROK	\N	\N
3452972	5927	1998-11-30	PRIJEM	\N	95	30001	UROK	\N	\N
3452973	5927	1998-12-31	PRIJEM	\N	143	30124	UROK	\N	\N
3452974	5984	1993-11-30	PRIJEM	\N	40	15959	UROK	\N	\N
3452975	5984	1993-12-31	PRIJEM	\N	139	44676	UROK	\N	\N
3452976	5984	1994-01-31	PRIJEM	\N	200	50295	UROK	\N	\N
3452977	5984	1994-02-28	PRIJEM	\N	212	51726	UROK	\N	\N
3452978	5984	1994-03-31	PRIJEM	\N	219	53464	UROK	\N	\N
3452979	5984	1994-04-30	PRIJEM	\N	218	51186	UROK	\N	\N
3452980	5984	1994-05-31	PRIJEM	\N	224	55514	UROK	\N	\N
3452981	5984	1994-06-30	PRIJEM	\N	235	44913	UROK	\N	\N
3452982	5984	1994-07-31	PRIJEM	\N	195	48213	UROK	\N	\N
3452983	5984	1994-08-31	PRIJEM	\N	214	53531	UROK	\N	\N
3452984	5984	1994-09-30	PRIJEM	\N	203	50838	UROK	\N	\N
3452985	5984	1994-10-31	PRIJEM	\N	208	46451	UROK	\N	\N
3452986	5984	1994-11-30	PRIJEM	\N	211	53866	UROK	\N	\N
3452987	5984	1994-12-31	PRIJEM	\N	232	62662	UROK	\N	\N
3452988	5984	1995-01-31	PRIJEM	\N	205	44471	UROK	\N	\N
3452989	5984	1995-02-28	PRIJEM	\N	181	47257	UROK	\N	\N
3452990	5984	1995-03-31	PRIJEM	\N	200	48861	UROK	\N	\N
3452991	5984	1995-04-30	PRIJEM	\N	213	52979	UROK	\N	\N
3452992	5984	1995-05-31	PRIJEM	\N	228	56211	UROK	\N	\N
3452993	5984	1995-06-30	PRIJEM	\N	203	39877	UROK	\N	\N
3452994	5984	1995-07-31	PRIJEM	\N	162	40444	UROK	\N	\N
3452995	5984	1995-08-31	PRIJEM	\N	186	45434	UROK	\N	\N
3452996	5984	1995-09-30	PRIJEM	\N	198	49436	UROK	\N	\N
3452997	5984	1995-10-31	PRIJEM	\N	208	50649	UROK	\N	\N
3452998	5984	1995-11-30	PRIJEM	\N	210	50763	UROK	\N	\N
3452999	5984	1995-12-31	PRIJEM	\N	225	58451	UROK	\N	\N
3453000	5984	1996-01-31	PRIJEM	\N	158	26314	UROK	\N	\N
3453001	5984	1996-02-29	PRIJEM	\N	109	42127	UROK	\N	\N
3453002	5984	1996-03-31	PRIJEM	\N	139	26270	UROK	\N	\N
3453003	5984	1996-04-30	PRIJEM	\N	134	23908	UROK	\N	\N
3453004	5984	1996-05-31	PRIJEM	\N	113	22726	UROK	\N	\N
3453005	5984	1996-06-30	PRIJEM	\N	130	16320	UROK	\N	\N
3453006	5984	1996-07-31	PRIJEM	\N	67	18091	UROK	\N	\N
3453007	5984	1996-08-31	PRIJEM	\N	74	18970	UROK	\N	\N
3453008	5984	1996-09-30	PRIJEM	\N	78	19852	UROK	\N	\N
3453009	5984	1996-10-31	PRIJEM	\N	78	15434	UROK	\N	\N
3453010	5984	1996-11-30	PRIJEM	\N	84	14323	UROK	\N	\N
3453011	5984	1996-12-31	PRIJEM	\N	97	18084	UROK	\N	\N
3453012	5984	1997-01-31	PRIJEM	\N	89	4977	UROK	\N	\N
3453013	5984	1997-02-28	PRIJEM	\N	10	8391	UROK	\N	\N
3453014	5984	1997-03-31	PRIJEM	\N	38	13833	UROK	\N	\N
3453015	5984	1997-04-30	PRIJEM	\N	57	16094	UROK	\N	\N
3453016	5984	1997-05-31	PRIJEM	\N	66	17664	UROK	\N	\N
3453017	5984	1997-06-30	PRIJEM	\N	92	12720	UROK	\N	\N
3453018	5984	1997-07-31	PRIJEM	\N	55	16579	UROK	\N	\N
3453019	5984	1997-08-31	PRIJEM	\N	66	16449	UROK	\N	\N
3453020	5984	1997-09-30	PRIJEM	\N	66	17019	UROK	\N	\N
3453021	5984	1997-10-31	PRIJEM	\N	65	14988	UROK	\N	\N
3453022	5984	1997-11-30	PRIJEM	\N	59	15252	UROK	\N	\N
3453023	5984	1997-12-31	PRIJEM	\N	86	19002	UROK	\N	\N
3453024	5984	1998-01-31	PRIJEM	\N	55	6561	UROK	\N	\N
3453025	5984	1998-02-28	PRIJEM	\N	23	6088	UROK	\N	\N
3453026	5984	1998-03-31	PRIJEM	\N	15	-1293	UROK	\N	\N
3453027	5984	1998-03-31	VYDAJ	VYBER	9	-1301	SANKC. UROK	\N	\N
3453028	5984	1998-04-30	PRIJEM	\N	1	1118	UROK	\N	\N
3453029	5984	1998-04-30	VYDAJ	VYBER	13	1090	SANKC. UROK	\N	\N
3453030	5984	1998-05-31	PRIJEM	\N	0	-791	UROK	\N	\N
3453031	5984	1998-05-31	VYDAJ	VYBER	8	-798	SANKC. UROK	\N	\N
3453032	5984	1998-06-30	PRIJEM	\N	3	2583	UROK	\N	\N
3453033	5984	1998-06-30	VYDAJ	VYBER	10	2572	SANKC. UROK	\N	\N
3453034	5984	1998-07-31	PRIJEM	\N	13	6189	UROK	\N	\N
3453035	5984	1998-08-31	PRIJEM	\N	25	8219	UROK	\N	\N
3453036	5984	1998-09-30	PRIJEM	\N	32	9755	UROK	\N	\N
3453037	5984	1998-10-31	PRIJEM	\N	34	9194	UROK	\N	\N
3453038	5984	1998-11-30	PRIJEM	\N	28	7126	UROK	\N	\N
3453039	5984	1998-12-31	PRIJEM	\N	35	11124	UROK	\N	\N
3453040	6034	1993-03-31	PRIJEM	\N	42	61376	UROK	\N	\N
3453041	6034	1993-04-30	PRIJEM	\N	253	51240	UROK	\N	\N
3453042	6034	1993-05-31	PRIJEM	\N	230	73680	UROK	\N	\N
3453043	6034	1993-06-30	PRIJEM	\N	258	42546	UROK	\N	\N
3453044	6034	1993-07-31	PRIJEM	\N	208	34029	UROK	\N	\N
3453045	6034	1993-08-31	PRIJEM	\N	219	43380	UROK	\N	\N
3453046	6034	1993-09-30	PRIJEM	\N	141	14906	UROK	\N	\N
3453047	6034	1993-10-31	PRIJEM	\N	109	12624	UROK	\N	\N
3453048	6034	1993-11-30	PRIJEM	\N	291	101797	UROK	\N	\N
3453049	6034	1993-12-31	PRIJEM	\N	421	78936	UROK	\N	\N
3453050	6034	1994-01-31	PRIJEM	\N	169	11395	UROK	\N	\N
3453051	6034	1994-02-28	PRIJEM	\N	72	30638	UROK	\N	\N
3453052	6034	1994-03-31	PRIJEM	\N	98	18190	UROK	\N	\N
3453053	6034	1994-04-30	PRIJEM	\N	113	62145	UROK	\N	\N
3453054	6034	1994-05-31	PRIJEM	\N	187	35256	UROK	\N	\N
3453055	6034	1994-06-30	PRIJEM	\N	231	61637	UROK	\N	\N
3453056	6034	1994-07-31	PRIJEM	\N	130	3695	UROK	\N	\N
3453057	6034	1994-08-31	PRIJEM	\N	58	9052	UROK	\N	\N
3453058	6034	1994-09-30	PRIJEM	\N	46	23735	UROK	\N	\N
3453059	6034	1994-10-31	PRIJEM	\N	193	65253	UROK	\N	\N
3453060	6034	1994-11-30	PRIJEM	\N	324	88195	UROK	\N	\N
3453061	6034	1994-12-31	PRIJEM	\N	286	62920	UROK	\N	\N
3453062	6034	1995-01-31	PRIJEM	\N	176	42728	UROK	\N	\N
3453063	6034	1995-02-28	PRIJEM	\N	78	15534	UROK	\N	\N
3453064	6034	1995-03-31	PRIJEM	\N	50	11012	UROK	\N	\N
3453065	6034	1995-04-30	PRIJEM	\N	46	11586	UROK	\N	\N
3453066	6034	1995-05-31	PRIJEM	\N	52	13366	UROK	\N	\N
3453067	6034	1995-06-30	PRIJEM	\N	236	86754	UROK	\N	\N
3453068	6034	1995-07-31	PRIJEM	\N	227	32673	UROK	\N	\N
3453069	6034	1995-08-31	PRIJEM	\N	94	19395	UROK	\N	\N
3453070	6034	1995-09-30	PRIJEM	\N	153	50219	UROK	\N	\N
3453071	6034	1995-10-31	PRIJEM	\N	154	30602	UROK	\N	\N
3453072	6034	1995-11-30	PRIJEM	\N	184	44145	UROK	\N	\N
3453073	6034	1995-12-31	PRIJEM	\N	136	27309	UROK	\N	\N
3453074	6034	1996-01-31	PRIJEM	\N	48	1715	UROK	\N	\N
3453075	6034	1996-02-29	PRIJEM	\N	19	15275	UROK	\N	\N
3453076	6034	1996-03-31	PRIJEM	\N	44	10210	UROK	\N	\N
3453077	6034	1996-04-30	PRIJEM	\N	36	8674	UROK	\N	\N
3453078	6034	1996-05-31	PRIJEM	\N	77	34856	UROK	\N	\N
3453079	6034	1996-06-30	PRIJEM	\N	27	1063	UROK	\N	\N
3453080	6034	1996-07-31	PRIJEM	\N	3	12437	UROK	\N	\N
3453081	6034	1996-08-31	PRIJEM	\N	50	9627	UROK	\N	\N
3453082	6034	1996-09-30	PRIJEM	\N	38	16235	UROK	\N	\N
3453083	6034	1996-10-31	PRIJEM	\N	62	10466	UROK	\N	\N
3453084	6034	1996-11-30	PRIJEM	\N	41	13778	UROK	\N	\N
3453085	6034	1996-12-31	PRIJEM	\N	53	13401	UROK	\N	\N
3453086	6034	1997-01-31	PRIJEM	\N	34	17191	UROK	\N	\N
3453087	6034	1997-02-28	PRIJEM	\N	67	16886	UROK	\N	\N
3453088	6034	1997-03-31	PRIJEM	\N	169	58962	UROK	\N	\N
3453089	6034	1997-04-30	PRIJEM	\N	229	35818	UROK	\N	\N
3453090	6034	1997-05-31	PRIJEM	\N	107	23938	UROK	\N	\N
3453091	6034	1997-06-30	PRIJEM	\N	96	26773	UROK	\N	\N
3453092	6034	1997-07-31	PRIJEM	\N	242	82399	UROK	\N	\N
3453093	6034	1997-08-31	PRIJEM	\N	302	43429	UROK	\N	\N
3453094	6034	1997-09-30	PRIJEM	\N	192	35214	UROK	\N	\N
3453095	6034	1997-10-31	PRIJEM	\N	183	24833	UROK	\N	\N
3453096	6034	1997-11-30	PRIJEM	\N	155	34495	UROK	\N	\N
3453097	6034	1997-12-31	PRIJEM	\N	124	23628	UROK	\N	\N
3453098	6034	1998-01-31	PRIJEM	\N	263	31699	UROK	\N	\N
3453099	6034	1998-02-28	PRIJEM	\N	104	31332	UROK	\N	\N
3453100	6034	1998-03-31	PRIJEM	\N	84	48362	UROK	\N	\N
3453101	6034	1998-04-30	PRIJEM	\N	156	16946	UROK	\N	\N
3453102	6034	1998-05-31	PRIJEM	\N	122	57627	UROK	\N	\N
3453103	6034	1998-06-30	PRIJEM	\N	197	17618	UROK	\N	\N
3453104	6034	1998-07-31	PRIJEM	\N	38	-1284	UROK	\N	\N
3453105	6034	1998-07-31	VYDAJ	VYBER	10	-1294	SANKC. UROK	\N	\N
3453106	6034	1998-08-31	VYDAJ	VYBER	28	-3922	SANKC. UROK	\N	\N
3453107	6034	1998-09-30	PRIJEM	\N	39	4587	UROK	\N	\N
3453108	6034	1998-09-30	VYDAJ	VYBER	10	4577	SANKC. UROK	\N	\N
3453109	6034	1998-10-31	PRIJEM	\N	12	-641	UROK	\N	\N
3453110	6034	1998-11-30	PRIJEM	\N	24	5459	UROK	\N	\N
3453111	6034	1998-12-31	PRIJEM	\N	196	63892	UROK	\N	\N
3453112	6051	1993-09-30	PRIJEM	\N	10	17097	UROK	\N	\N
3453113	6051	1993-10-31	PRIJEM	\N	75	22458	UROK	\N	\N
3453114	6051	1993-11-30	PRIJEM	\N	95	25240	UROK	\N	\N
3453115	6051	1993-12-31	PRIJEM	\N	106	26927	UROK	\N	\N
3453116	6051	1994-01-31	PRIJEM	\N	77	16670	UROK	\N	\N
3453117	6051	1994-02-28	PRIJEM	\N	52	17494	UROK	\N	\N
3453118	6051	1994-03-31	PRIJEM	\N	68	17735	UROK	\N	\N
3453119	6051	1994-04-30	PRIJEM	\N	72	20680	UROK	\N	\N
3453120	6051	1994-05-31	PRIJEM	\N	84	20136	UROK	\N	\N
3453121	6051	1994-06-30	PRIJEM	\N	90	23091	UROK	\N	\N
3453122	6051	1994-07-31	PRIJEM	\N	66	19165	UROK	\N	\N
3453123	6051	1994-08-31	PRIJEM	\N	75	21027	UROK	\N	\N
3453124	6051	1994-09-30	PRIJEM	\N	71	21465	UROK	\N	\N
3453125	6051	1994-10-31	PRIJEM	\N	86	24739	UROK	\N	\N
3453126	6051	1994-11-30	PRIJEM	\N	97	25823	UROK	\N	\N
3453127	6051	1994-12-31	PRIJEM	\N	104	24908	UROK	\N	\N
3453128	6051	1995-01-31	PRIJEM	\N	72	18167	UROK	\N	\N
3453129	6051	1995-02-28	PRIJEM	\N	74	21228	UROK	\N	\N
3453130	6051	1995-03-31	PRIJEM	\N	81	21896	UROK	\N	\N
3453131	6051	1995-04-30	PRIJEM	\N	79	22562	UROK	\N	\N
3453132	6051	1995-05-31	PRIJEM	\N	91	24640	UROK	\N	\N
3453133	6051	1995-06-30	PRIJEM	\N	93	23973	UROK	\N	\N
3453134	6051	1995-07-31	PRIJEM	\N	96	24157	UROK	\N	\N
3453135	6051	1995-08-31	PRIJEM	\N	82	19646	UROK	\N	\N
3453136	6051	1995-09-30	PRIJEM	\N	83	21916	UROK	\N	\N
3453137	6051	1995-10-31	PRIJEM	\N	82	19085	UROK	\N	\N
3453138	6051	1995-11-30	PRIJEM	\N	76	19949	UROK	\N	\N
3453139	6051	1995-12-31	PRIJEM	\N	79	17888	UROK	\N	\N
3453140	6051	1996-01-31	PRIJEM	\N	69	15064	UROK	\N	\N
3453141	6051	1996-02-29	PRIJEM	\N	65	17116	UROK	\N	\N
3453142	6051	1996-03-31	PRIJEM	\N	71	18375	UROK	\N	\N
3453143	6051	1996-04-30	PRIJEM	\N	73	17935	UROK	\N	\N
3453144	6051	1996-05-31	PRIJEM	\N	75	19398	UROK	\N	\N
3453145	6051	1996-06-30	PRIJEM	\N	87	21765	UROK	\N	\N
3453146	6051	1996-07-31	PRIJEM	\N	86	20139	UROK	\N	\N
3453147	6051	1996-08-31	PRIJEM	\N	98	23425	UROK	\N	\N
3453148	6051	1996-09-30	PRIJEM	\N	87	18599	UROK	\N	\N
3453149	6051	1996-10-31	PRIJEM	\N	78	18364	UROK	\N	\N
3453150	6051	1996-11-30	PRIJEM	\N	75	16926	UROK	\N	\N
3453151	6051	1996-12-31	PRIJEM	\N	68	15675	UROK	\N	\N
3453152	6051	1997-01-31	PRIJEM	\N	44	8646	UROK	\N	\N
3453153	6051	1997-02-28	PRIJEM	\N	33	8066	UROK	\N	\N
3453154	6051	1997-03-31	PRIJEM	\N	39	8692	UROK	\N	\N
3453155	6051	1997-04-30	PRIJEM	\N	36	5216	UROK	\N	\N
3453156	6051	1997-05-31	PRIJEM	\N	42	11430	UROK	\N	\N
3453157	6051	1997-06-30	PRIJEM	\N	36	7347	UROK	\N	\N
3453158	6051	1997-07-31	PRIJEM	\N	21	6240	UROK	\N	\N
3453159	6051	1997-07-31	VYDAJ	VYBER	2	6238	SANKC. UROK	\N	\N
3453160	6051	1997-08-31	PRIJEM	\N	34	8945	UROK	\N	\N
3453161	6051	1997-09-30	PRIJEM	\N	36	9953	UROK	\N	\N
3453162	6051	1997-10-31	PRIJEM	\N	41	11267	UROK	\N	\N
3453163	6051	1997-11-30	PRIJEM	\N	34	5573	UROK	\N	\N
3453164	6051	1997-12-31	PRIJEM	\N	7	-155	UROK	\N	\N
3453165	6051	1997-12-31	VYDAJ	VYBER	5	-175	SANKC. UROK	\N	\N
3453166	6051	1998-01-31	PRIJEM	\N	1	1113	UROK	\N	\N
3453167	6051	1998-01-31	VYDAJ	VYBER	2	1097	SANKC. UROK	\N	\N
3453168	6051	1998-02-28	PRIJEM	\N	7	3090	UROK	\N	\N
3453169	6051	1998-03-31	PRIJEM	\N	30	5892	UROK	\N	\N
3453170	6051	1998-04-30	PRIJEM	\N	30	8394	UROK	\N	\N
3453171	6051	1998-05-31	PRIJEM	\N	33	6900	UROK	\N	\N
3453172	6051	1998-06-30	PRIJEM	\N	65	15030	UROK	\N	\N
3453173	6051	1998-07-31	PRIJEM	\N	74	11976	UROK	\N	\N
3453174	6051	1998-08-31	PRIJEM	\N	61	7230	UROK	\N	\N
3453175	6051	1998-09-30	PRIJEM	\N	26	7028	UROK	\N	\N
3453176	6051	1998-10-31	PRIJEM	\N	33	4394	UROK	\N	\N
3453177	6051	1998-11-30	PRIJEM	\N	37	14303	UROK	\N	\N
3453178	6051	1998-12-31	PRIJEM	\N	65	10933	UROK	\N	\N
3453179	6064	1997-02-28	PRIJEM	\N	47	16491	UROK	\N	\N
3453180	6064	1997-03-31	PRIJEM	\N	80	20915	UROK	\N	\N
3453181	6064	1997-04-30	PRIJEM	\N	96	24054	UROK	\N	\N
3453182	6064	1997-05-31	PRIJEM	\N	104	25603	UROK	\N	\N
3453183	6064	1997-06-30	PRIJEM	\N	104	20672	UROK	\N	\N
3453184	6064	1997-07-31	PRIJEM	\N	102	19204	UROK	\N	\N
3453185	6064	1997-08-31	PRIJEM	\N	99	25632	UROK	\N	\N
3453186	6064	1997-09-30	PRIJEM	\N	107	25968	UROK	\N	\N
3453187	6064	1997-10-31	PRIJEM	\N	101	23598	UROK	\N	\N
3453188	6064	1997-11-30	PRIJEM	\N	92	18660	UROK	\N	\N
3453189	6064	1997-12-31	PRIJEM	\N	77	16848	UROK	\N	\N
3453190	6064	1998-01-31	PRIJEM	\N	20	-3242	UROK	\N	\N
3453191	6064	1998-01-31	VYDAJ	VYBER	5	-3248	SANKC. UROK	\N	\N
3453192	6064	1998-02-28	PRIJEM	\N	23	8205	UROK	\N	\N
3453193	6064	1998-02-28	VYDAJ	VYBER	11	8180	SANKC. UROK	\N	\N
3453194	6064	1998-03-31	PRIJEM	\N	44	11567	UROK	\N	\N
3453195	6064	1998-04-30	PRIJEM	\N	47	11143	UROK	\N	\N
3453196	6064	1998-05-31	PRIJEM	\N	54	13726	UROK	\N	\N
3453197	6064	1998-06-30	PRIJEM	\N	68	17245	UROK	\N	\N
3453198	6064	1998-07-31	PRIJEM	\N	64	14839	UROK	\N	\N
3453199	6064	1998-08-31	PRIJEM	\N	66	13054	UROK	\N	\N
3453200	6064	1998-09-30	PRIJEM	\N	48	11132	UROK	\N	\N
3453201	6064	1998-10-31	PRIJEM	\N	43	10205	UROK	\N	\N
3453202	6064	1998-11-30	PRIJEM	\N	49	12683	UROK	\N	\N
3453203	6064	1998-12-31	PRIJEM	\N	31	3606	UROK	\N	\N
3453204	6064	1998-12-31	VYDAJ	VYBER	0	3606	SANKC. UROK	\N	\N
3453205	6075	1996-10-31	PRIJEM	\N	36	15889	UROK	\N	\N
3453206	6075	1996-11-30	PRIJEM	\N	77	20720	UROK	\N	\N
3453207	6075	1996-12-31	PRIJEM	\N	94	24144	UROK	\N	\N
3453208	6075	1997-01-31	PRIJEM	\N	98	23295	UROK	\N	\N
3453209	6075	1997-02-28	PRIJEM	\N	80	15148	UROK	\N	\N
3453210	6075	1997-03-31	PRIJEM	\N	59	11265	UROK	\N	\N
3453211	6075	1997-04-30	PRIJEM	\N	64	16967	UROK	\N	\N
3453212	6075	1997-05-31	PRIJEM	\N	73	17979	UROK	\N	\N
3453213	6075	1997-06-30	PRIJEM	\N	89	16183	UROK	\N	\N
3453214	6075	1997-07-31	PRIJEM	\N	63	15784	UROK	\N	\N
3453215	6075	1997-08-31	PRIJEM	\N	42	4765	UROK	\N	\N
3453216	6075	1997-09-30	PRIJEM	\N	34	9838	UROK	\N	\N
3453217	6075	1997-10-31	PRIJEM	\N	43	11119	UROK	\N	\N
3453218	6075	1997-11-30	PRIJEM	\N	53	13310	UROK	\N	\N
3453219	6075	1997-12-31	PRIJEM	\N	53	10779	UROK	\N	\N
3453220	6075	1998-01-31	PRIJEM	\N	48	12265	UROK	\N	\N
3453221	6075	1998-02-28	PRIJEM	\N	56	14360	UROK	\N	\N
3453222	6075	1998-03-31	PRIJEM	\N	66	16864	UROK	\N	\N
3453223	6075	1998-04-30	PRIJEM	\N	51	7654	UROK	\N	\N
3453224	6075	1998-05-31	PRIJEM	\N	31	10624	UROK	\N	\N
3453225	6075	1998-06-30	PRIJEM	\N	47	15787	UROK	\N	\N
3453226	6075	1998-07-31	PRIJEM	\N	54	9781	UROK	\N	\N
3453227	6075	1998-08-31	PRIJEM	\N	40	15359	UROK	\N	\N
3453228	6075	1998-09-30	PRIJEM	\N	70	18067	UROK	\N	\N
3453229	6075	1998-10-31	PRIJEM	\N	57	11663	UROK	\N	\N
3453230	6075	1998-11-30	PRIJEM	\N	52	13353	UROK	\N	\N
3453231	6075	1998-12-31	PRIJEM	\N	68	18037	UROK	\N	\N
3453232	6083	1996-12-31	PRIJEM	\N	86	45774	UROK	\N	\N
3453233	6083	1997-01-31	PRIJEM	\N	257	94316	UROK	\N	\N
3453234	6083	1997-02-28	PRIJEM	\N	290	86364	UROK	\N	\N
3453235	6083	1997-03-31	PRIJEM	\N	293	54460	UROK	\N	\N
3453236	6083	1997-04-30	PRIJEM	\N	184	58078	UROK	\N	\N
3453237	6083	1997-05-31	PRIJEM	\N	146	21901	UROK	\N	\N
3453238	6083	1997-06-30	PRIJEM	\N	73	10354	UROK	\N	\N
3453239	6083	1997-07-31	PRIJEM	\N	73	48627	UROK	\N	\N
3453240	6083	1997-08-31	PRIJEM	\N	137	27208	UROK	\N	\N
3453241	6083	1997-09-30	PRIJEM	\N	192	27774	UROK	\N	\N
3453242	6083	1997-10-31	PRIJEM	\N	253	91523	UROK	\N	\N
3453243	6083	1997-11-30	PRIJEM	\N	401	72314	UROK	\N	\N
3453244	6083	1997-12-31	PRIJEM	\N	273	97261	UROK	\N	\N
3453245	6083	1998-01-31	PRIJEM	\N	228	22848	UROK	\N	\N
3453246	6083	1998-02-28	PRIJEM	\N	121	31642	UROK	\N	\N
3453247	6083	1998-03-31	PRIJEM	\N	215	96634	UROK	\N	\N
3453248	6083	1998-04-30	PRIJEM	\N	258	39889	UROK	\N	\N
3453249	6083	1998-05-31	PRIJEM	\N	94	17434	UROK	\N	\N
3453250	6083	1998-06-30	PRIJEM	\N	25	4435	UROK	\N	\N
3453251	6083	1998-07-31	PRIJEM	\N	2	-1492	UROK	\N	\N
3453252	6083	1998-07-31	VYDAJ	VYBER	33	-1554	SANKC. UROK	\N	\N
3453253	6083	1998-08-31	PRIJEM	\N	0	-5905	UROK	\N	\N
3453254	6083	1998-08-31	VYDAJ	VYBER	76	-6086	SANKC. UROK	\N	\N
3453255	6083	1998-09-30	PRIJEM	\N	0	-8404	UROK	\N	\N
3453256	6083	1998-09-30	VYDAJ	VYBER	78	-8591	SANKC. UROK	\N	\N
3453257	6083	1998-10-31	VYDAJ	VYBER	109	-1030	SANKC. UROK	\N	\N
3453258	6083	1998-11-30	VYDAJ	VYBER	119	-2059	SANKC. UROK	\N	\N
3453259	6083	1998-12-31	VYDAJ	VYBER	124	5057	SANKC. UROK	\N	\N
3453260	6118	1994-03-31	PRIJEM	\N	137	42630	UROK	\N	\N
3453261	6118	1994-04-30	PRIJEM	\N	177	32607	UROK	\N	\N
3453262	6118	1994-05-31	PRIJEM	\N	286	89036	UROK	\N	\N
3453263	6118	1994-06-30	PRIJEM	\N	360	97624	UROK	\N	\N
3453264	6118	1994-07-31	PRIJEM	\N	196	40490	UROK	\N	\N
3453265	6118	1994-08-31	PRIJEM	\N	106	40880	UROK	\N	\N
3453266	6118	1994-09-30	PRIJEM	\N	164	28021	UROK	\N	\N
3453267	6118	1994-10-31	PRIJEM	\N	181	44684	UROK	\N	\N
3453268	6118	1994-11-30	PRIJEM	\N	198	89000	UROK	\N	\N
3453269	6118	1994-12-31	PRIJEM	\N	324	76425	UROK	\N	\N
3453270	6118	1995-01-31	PRIJEM	\N	187	36366	UROK	\N	\N
3453271	6118	1995-02-28	PRIJEM	\N	57	11116	UROK	\N	\N
3453272	6118	1995-03-31	PRIJEM	\N	22	-526	UROK	\N	\N
3453273	6118	1995-03-31	VYDAJ	VYBER	4	-559	SANKC. UROK	\N	\N
3453274	6118	1995-04-30	VYDAJ	VYBER	24	-5087	SANKC. UROK	\N	\N
3453275	6118	1995-05-31	PRIJEM	\N	2	1862	UROK	\N	\N
3453276	6118	1995-05-31	VYDAJ	VYBER	39	15423	SANKC. UROK	\N	\N
3453277	6118	1995-06-30	PRIJEM	\N	19	15186	UROK	\N	\N
3453278	6118	1995-06-30	VYDAJ	VYBER	7	15149	SANKC. UROK	\N	\N
3453279	6118	1995-07-31	PRIJEM	\N	27	18690	UROK	\N	\N
3453280	6118	1995-08-31	PRIJEM	\N	27	15970	UROK	\N	\N
3453281	6118	1995-09-30	PRIJEM	\N	48	9003	UROK	\N	\N
3453282	6118	1995-10-31	PRIJEM	\N	24	14333	UROK	\N	\N
3453283	6118	1995-11-30	PRIJEM	\N	21	20654	UROK	\N	\N
3453284	6118	1995-11-30	VYDAJ	VYBER	19	20657	SANKC. UROK	\N	\N
3453285	6118	1995-12-31	PRIJEM	\N	21	22260	UROK	\N	\N
3453286	6118	1995-12-31	VYDAJ	VYBER	17	22293	SANKC. UROK	\N	\N
3453287	6118	1996-01-31	PRIJEM	\N	188	64746	UROK	\N	\N
3453288	6118	1996-02-29	PRIJEM	\N	192	35657	UROK	\N	\N
3453289	6118	1996-03-31	PRIJEM	\N	74	33123	UROK	\N	\N
3453290	6118	1996-04-30	PRIJEM	\N	63	33337	UROK	\N	\N
3453291	6118	1996-05-31	PRIJEM	\N	162	37429	UROK	\N	\N
3453292	6118	1996-06-30	PRIJEM	\N	222	71030	UROK	\N	\N
3453293	6118	1996-07-31	PRIJEM	\N	188	46161	UROK	\N	\N
3453294	6118	1996-08-31	PRIJEM	\N	136	76036	UROK	\N	\N
3453295	6118	1996-09-30	PRIJEM	\N	255	70740	UROK	\N	\N
3453296	6118	1996-10-31	PRIJEM	\N	313	66660	UROK	\N	\N
3453297	6118	1996-11-30	PRIJEM	\N	304	79902	UROK	\N	\N
3453298	6118	1996-12-31	PRIJEM	\N	204	51893	UROK	\N	\N
3453299	6118	1997-01-31	PRIJEM	\N	201	59497	UROK	\N	\N
3453300	6118	1997-02-28	PRIJEM	\N	143	41330	UROK	\N	\N
3453301	6118	1997-03-31	PRIJEM	\N	121	46805	UROK	\N	\N
3453302	6118	1997-04-30	PRIJEM	\N	93	34370	UROK	\N	\N
3453303	6118	1997-05-31	PRIJEM	\N	68	34385	UROK	\N	\N
3453304	6118	1997-06-30	PRIJEM	\N	104	61332	UROK	\N	\N
3453305	6118	1997-07-31	PRIJEM	\N	237	62468	UROK	\N	\N
3453306	6118	1997-08-31	PRIJEM	\N	191	60229	UROK	\N	\N
3453307	6118	1997-09-30	PRIJEM	\N	166	53044	UROK	\N	\N
3453308	6118	1997-10-31	PRIJEM	\N	180	65658	UROK	\N	\N
3453309	6118	1997-11-30	PRIJEM	\N	129	41639	UROK	\N	\N
3453310	6118	1997-12-31	PRIJEM	\N	84	32351	UROK	\N	\N
3453311	6118	1998-01-31	PRIJEM	\N	53	24963	UROK	\N	\N
3453312	6118	1998-02-28	PRIJEM	\N	36	28241	UROK	\N	\N
3453313	6118	1998-03-31	PRIJEM	\N	53	30153	UROK	\N	\N
3453314	6118	1998-04-30	PRIJEM	\N	66	34692	UROK	\N	\N
3453315	6118	1998-05-31	PRIJEM	\N	83	33745	UROK	\N	\N
3453316	6118	1998-06-30	PRIJEM	\N	84	39339	UROK	\N	\N
3453317	6118	1998-07-31	PRIJEM	\N	107	41516	UROK	\N	\N
3453318	6118	1998-08-31	PRIJEM	\N	99	31529	UROK	\N	\N
3453319	6118	1998-09-30	PRIJEM	\N	41	43176	UROK	\N	\N
3453320	6118	1998-10-31	PRIJEM	\N	117	41615	UROK	\N	\N
3453321	6118	1998-11-30	PRIJEM	\N	106	38418	UROK	\N	\N
3453322	6118	1998-12-31	PRIJEM	\N	85	37872	UROK	\N	\N
3453369	6158	1996-10-31	PRIJEM	\N	26	31596	UROK	\N	\N
3453370	6158	1996-11-30	PRIJEM	\N	132	28327	UROK	\N	\N
3453371	6158	1996-12-31	PRIJEM	\N	132	23459	UROK	\N	\N
3453372	6158	1997-01-31	PRIJEM	\N	132	24190	UROK	\N	\N
3453373	6158	1997-02-28	PRIJEM	\N	132	24122	UROK	\N	\N
3453374	6158	1997-03-31	PRIJEM	\N	132	64506	UROK	\N	\N
3453375	6158	1997-04-30	PRIJEM	\N	132	44538	UROK	\N	\N
3453376	6158	1997-05-31	PRIJEM	\N	132	33669	UROK	\N	\N
3453377	6158	1997-06-30	PRIJEM	\N	132	30101	UROK	\N	\N
3453378	6158	1997-07-31	PRIJEM	\N	132	27732	UROK	\N	\N
3453379	6158	1997-08-31	PRIJEM	\N	216	60244	UROK	\N	\N
3453380	6158	1997-09-30	PRIJEM	\N	250	42494	UROK	\N	\N
3453381	6158	1997-10-31	PRIJEM	\N	250	29144	UROK	\N	\N
3453382	6158	1997-11-30	PRIJEM	\N	250	26094	UROK	\N	\N
3453383	6158	1997-12-31	PRIJEM	\N	250	22544	UROK	\N	\N
3453384	6158	1998-01-31	PRIJEM	\N	262	64560	UROK	\N	\N
3453385	6158	1998-02-28	PRIJEM	\N	210	46051	UROK	\N	\N
3453386	6158	1998-03-31	PRIJEM	\N	180	55467	UROK	\N	\N
3453387	6158	1998-04-30	PRIJEM	\N	194	41581	UROK	\N	\N
3453388	6158	1998-05-31	PRIJEM	\N	190	57516	UROK	\N	\N
3453389	6158	1998-06-30	PRIJEM	\N	100	-1064	UROK	\N	\N
3453390	6158	1998-06-30	VYDAJ	VYBER	7	-1086	SANKC. UROK	\N	\N
3453391	6158	1998-07-31	PRIJEM	\N	218	91300	UROK	\N	\N
3453392	6158	1998-07-31	VYDAJ	VYBER	0	91300	SANKC. UROK	\N	\N
3453393	6158	1998-08-31	PRIJEM	\N	312	70386	UROK	\N	\N
3453394	6158	1998-09-30	PRIJEM	\N	279	65787	UROK	\N	\N
3453395	6158	1998-10-31	PRIJEM	\N	332	69323	UROK	\N	\N
3453396	6158	1998-11-30	PRIJEM	\N	250	44152	UROK	\N	\N
3453397	6158	1998-12-31	PRIJEM	\N	185	61289	UROK	\N	\N
3453398	6281	1993-06-30	PRIJEM	\N	51	17011	UROK	\N	\N
3453399	6281	1993-07-31	PRIJEM	\N	103	27321	UROK	\N	\N
3453400	6281	1993-08-31	PRIJEM	\N	149	38277	UROK	\N	\N
3453401	6281	1993-09-30	PRIJEM	\N	165	40048	UROK	\N	\N
3453402	6281	1993-10-31	PRIJEM	\N	168	40223	UROK	\N	\N
3453403	6281	1993-11-30	PRIJEM	\N	127	24103	UROK	\N	\N
3453404	6281	1993-12-31	PRIJEM	\N	132	33680	UROK	\N	\N
3453405	6281	1994-01-31	PRIJEM	\N	89	9461	UROK	\N	\N
3453406	6281	1994-02-28	PRIJEM	\N	64	14584	UROK	\N	\N
3453407	6281	1994-03-31	PRIJEM	\N	110	28884	UROK	\N	\N
3453408	6281	1994-04-30	PRIJEM	\N	117	12683	UROK	\N	\N
3453409	6281	1994-05-31	PRIJEM	\N	94	15347	UROK	\N	\N
3453410	6281	1994-06-30	PRIJEM	\N	115	30531	UROK	\N	\N
3453411	6281	1994-07-31	PRIJEM	\N	145	36269	UROK	\N	\N
3453412	6281	1994-08-31	PRIJEM	\N	60	8006	UROK	\N	\N
3453413	6281	1994-09-30	PRIJEM	\N	82	22180	UROK	\N	\N
3453414	6281	1994-10-31	PRIJEM	\N	130	34403	UROK	\N	\N
3453415	6281	1994-11-30	PRIJEM	\N	112	25807	UROK	\N	\N
3453416	6281	1994-12-31	PRIJEM	\N	41	11688	UROK	\N	\N
3453417	6281	1994-12-31	VYDAJ	VYBER	14	11659	SANKC. UROK	\N	\N
3453418	6281	1995-01-31	PRIJEM	\N	33	9399	UROK	\N	\N
3453419	6281	1995-02-28	PRIJEM	\N	30	5277	UROK	\N	\N
3453420	6281	1995-03-31	PRIJEM	\N	37	11539	UROK	\N	\N
3453421	6281	1995-03-31	VYDAJ	VYBER	5	11519	SANKC. UROK	\N	\N
3453422	6281	1995-04-30	PRIJEM	\N	50	20377	UROK	\N	\N
3453423	6281	1995-05-31	PRIJEM	\N	54	10772	UROK	\N	\N
3453424	6281	1995-05-31	VYDAJ	VYBER	3	10769	SANKC. UROK	\N	\N
3453425	6281	1995-06-30	PRIJEM	\N	55	19470	UROK	\N	\N
3453426	6281	1995-07-31	PRIJEM	\N	65	13652	UROK	\N	\N
3453427	6281	1995-08-31	PRIJEM	\N	66	21710	UROK	\N	\N
3453428	6281	1995-09-30	PRIJEM	\N	56	5112	UROK	\N	\N
3453429	6281	1995-10-31	PRIJEM	\N	30	16234	UROK	\N	\N
3453430	6281	1995-11-30	PRIJEM	\N	38	10714	UROK	\N	\N
3453431	6281	1995-12-31	PRIJEM	\N	60	11720	UROK	\N	\N
3453432	6281	1996-01-31	PRIJEM	\N	34	547	UROK	\N	\N
3453433	6281	1996-02-29	PRIJEM	\N	14	12552	UROK	\N	\N
3453434	6281	1996-03-31	PRIJEM	\N	58	19103	UROK	\N	\N
3453435	6281	1996-04-30	PRIJEM	\N	60	10070	UROK	\N	\N
3453436	6281	1996-05-31	PRIJEM	\N	45	13207	UROK	\N	\N
3453437	6281	1996-06-30	PRIJEM	\N	60	18213	UROK	\N	\N
3453438	6281	1996-07-31	PRIJEM	\N	63	2842	UROK	\N	\N
3453439	6281	1996-08-31	PRIJEM	\N	13	3747	UROK	\N	\N
3453440	6281	1996-09-30	PRIJEM	\N	13	3053	UROK	\N	\N
3453441	6281	1996-10-31	PRIJEM	\N	21	9166	UROK	\N	\N
3453442	6281	1996-11-30	PRIJEM	\N	33	3465	UROK	\N	\N
3453443	6281	1996-12-31	PRIJEM	\N	27	-3342	UROK	\N	\N
3453444	6281	1996-12-31	VYDAJ	VYBER	12	-3354	SANKC. UROK	\N	\N
3453445	6281	1997-01-31	PRIJEM	\N	1	-2646	UROK	\N	\N
3453446	6281	1997-01-31	VYDAJ	VYBER	22	-2668	SANKC. UROK	\N	\N
3453447	6281	1997-02-28	PRIJEM	\N	0	325	UROK	\N	\N
3453448	6281	1997-02-28	VYDAJ	VYBER	17	308	SANKC. UROK	\N	\N
3453449	6281	1997-03-31	PRIJEM	\N	7	-3021	UROK	\N	\N
3453450	6281	1997-03-31	VYDAJ	VYBER	16	-3052	SANKC. UROK	\N	\N
3453451	6281	1997-04-30	PRIJEM	\N	3	-193	UROK	\N	\N
3453452	6281	1997-04-30	VYDAJ	VYBER	12	-205	SANKC. UROK	\N	\N
3453453	6281	1997-05-31	PRIJEM	\N	6	3493	UROK	\N	\N
3453454	6281	1997-05-31	VYDAJ	VYBER	3	3476	SANKC. UROK	\N	\N
3453455	6281	1997-06-30	PRIJEM	\N	21	5757	UROK	\N	\N
3453456	6281	1997-07-31	PRIJEM	\N	27	7976	UROK	\N	\N
3453457	6281	1997-08-31	PRIJEM	\N	34	5983	UROK	\N	\N
3453458	6281	1997-09-30	PRIJEM	\N	9	-215	UROK	\N	\N
3453459	6281	1997-09-30	VYDAJ	VYBER	5	-221	SANKC. UROK	\N	\N
3453460	6281	1997-10-31	PRIJEM	\N	18	8290	UROK	\N	\N
3453461	6281	1997-10-31	VYDAJ	VYBER	3	8287	SANKC. UROK	\N	\N
3453462	6281	1997-11-30	PRIJEM	\N	11	-1617	UROK	\N	\N
3453463	6281	1997-11-30	VYDAJ	VYBER	12	-1643	SANKC. UROK	\N	\N
3453464	6281	1997-12-31	PRIJEM	\N	9	4326	UROK	\N	\N
3453465	6281	1997-12-31	VYDAJ	VYBER	9	4303	SANKC. UROK	\N	\N
3453466	6281	1998-01-31	PRIJEM	\N	7	-3084	UROK	\N	\N
3453467	6281	1998-01-31	VYDAJ	VYBER	16	-3114	SANKC. UROK	\N	\N
3453468	6281	1998-02-28	PRIJEM	\N	5	2598	UROK	\N	\N
3453469	6281	1998-02-28	VYDAJ	VYBER	14	2570	SANKC. UROK	\N	\N
3453470	6281	1998-03-31	PRIJEM	\N	17	5893	UROK	\N	\N
3453471	6281	1998-04-30	PRIJEM	\N	34	10519	UROK	\N	\N
3453472	6281	1998-05-31	PRIJEM	\N	47	12659	UROK	\N	\N
3453473	6281	1998-06-30	PRIJEM	\N	47	11151	UROK	\N	\N
3453474	6281	1998-07-31	PRIJEM	\N	39	5582	UROK	\N	\N
3453475	6281	1998-08-31	PRIJEM	\N	12	-2114	UROK	\N	\N
3453476	6281	1998-08-31	VYDAJ	VYBER	12	-2141	SANKC. UROK	\N	\N
3453477	6281	1998-09-30	PRIJEM	\N	3	1469	UROK	\N	\N
3453478	6281	1998-09-30	VYDAJ	VYBER	8	1461	SANKC. UROK	\N	\N
3453479	6281	1998-10-31	PRIJEM	\N	8	2861	UROK	\N	\N
3453480	6281	1998-11-30	PRIJEM	\N	3	-1206	UROK	\N	\N
3453481	6281	1998-11-30	VYDAJ	VYBER	14	-1234	SANKC. UROK	\N	\N
3453482	6281	1998-12-31	PRIJEM	\N	3	-1742	UROK	\N	\N
3453483	6281	1998-12-31	VYDAJ	VYBER	12	-1754	SANKC. UROK	\N	\N
3453484	6306	1997-08-31	PRIJEM	\N	2	17802	UROK	\N	\N
3453485	6306	1997-09-30	PRIJEM	\N	77	54801	UROK	\N	\N
3453486	6306	1997-10-31	PRIJEM	\N	160	55707	UROK	\N	\N
3453487	6306	1997-11-30	PRIJEM	\N	231	35838	UROK	\N	\N
3453488	6306	1997-12-31	PRIJEM	\N	231	32270	UROK	\N	\N
3453489	6306	1998-01-31	PRIJEM	\N	222	38467	UROK	\N	\N
3453490	6306	1998-02-28	PRIJEM	\N	162	46321	UROK	\N	\N
3453491	6306	1998-03-31	PRIJEM	\N	227	37284	UROK	\N	\N
3453492	6306	1998-04-30	PRIJEM	\N	146	14026	UROK	\N	\N
3453493	6306	1998-05-31	PRIJEM	\N	56	9795	UROK	\N	\N
3453494	6306	1998-06-30	PRIJEM	\N	37	-716	UROK	\N	\N
3453495	6306	1998-06-30	VYDAJ	VYBER	1	-731	SANKC. UROK	\N	\N
3453496	6306	1998-07-31	PRIJEM	\N	11	16082	UROK	\N	\N
3453497	6306	1998-07-31	VYDAJ	VYBER	6	16061	SANKC. UROK	\N	\N
3453498	6306	1998-08-31	PRIJEM	\N	51	2012	UROK	\N	\N
3453499	6306	1998-08-31	VYDAJ	VYBER	0	2012	SANKC. UROK	\N	\N
3453500	6306	1998-09-30	PRIJEM	\N	12	6605	UROK	\N	\N
3453501	6306	1998-10-31	PRIJEM	\N	27	5918	UROK	\N	\N
3453502	6306	1998-11-30	PRIJEM	\N	20	1623	UROK	\N	\N
3453503	6321	1994-10-31	PRIJEM	\N	49	40697	UROK	\N	\N
3453504	6321	1994-11-30	PRIJEM	\N	174	70840	UROK	\N	\N
3453505	6321	1994-12-31	PRIJEM	\N	294	46834	UROK	\N	\N
3453506	6321	1995-01-31	PRIJEM	\N	294	36529	UROK	\N	\N
3453507	6321	1995-02-28	PRIJEM	\N	300	73645	UROK	\N	\N
3453508	6321	1995-03-31	PRIJEM	\N	306	46651	UROK	\N	\N
3453509	6321	1995-04-30	PRIJEM	\N	238	35869	UROK	\N	\N
3453510	6321	1995-05-31	PRIJEM	\N	113	25424	UROK	\N	\N
3453511	6321	1995-06-30	PRIJEM	\N	121	20970	UROK	\N	\N
3453512	6321	1995-07-31	PRIJEM	\N	213	77355	UROK	\N	\N
3453513	6321	1995-08-31	PRIJEM	\N	249	63387	UROK	\N	\N
3453514	6321	1995-09-30	PRIJEM	\N	160	46773	UROK	\N	\N
3453515	6321	1995-10-31	PRIJEM	\N	95	19454	UROK	\N	\N
3453516	6321	1995-11-30	PRIJEM	\N	39	6878	UROK	\N	\N
3453517	6321	1995-12-31	PRIJEM	\N	6	-2530	UROK	\N	\N
3453518	6321	1995-12-31	VYDAJ	VYBER	20	-2564	SANKC. UROK	\N	\N
3453519	6321	1996-01-31	PRIJEM	\N	24	18386	UROK	\N	\N
3453520	6321	1996-01-31	VYDAJ	VYBER	18	18368	SANKC. UROK	\N	\N
3453521	6321	1996-02-29	PRIJEM	\N	119	14147	UROK	\N	\N
3453522	6321	1996-03-31	PRIJEM	\N	59	13992	UROK	\N	\N
3453523	6321	1996-04-30	PRIJEM	\N	153	38911	UROK	\N	\N
3453524	6321	1996-05-31	PRIJEM	\N	160	26756	UROK	\N	\N
3453525	6321	1996-06-30	PRIJEM	\N	129	30412	UROK	\N	\N
3453526	6321	1996-07-31	PRIJEM	\N	226	63642	UROK	\N	\N
3453527	6321	1996-08-31	PRIJEM	\N	177	22404	UROK	\N	\N
3453528	6321	1996-09-30	PRIJEM	\N	127	19905	UROK	\N	\N
3453529	6321	1996-10-31	PRIJEM	\N	293	62725	UROK	\N	\N
3453530	6321	1996-11-30	PRIJEM	\N	386	50427	UROK	\N	\N
3453531	6321	1996-12-31	PRIJEM	\N	199	32712	UROK	\N	\N
3453532	6321	1997-01-31	PRIJEM	\N	132	11029	UROK	\N	\N
3453533	6321	1997-02-28	PRIJEM	\N	72	22811	UROK	\N	\N
3453534	6321	1997-03-31	PRIJEM	\N	174	39561	UROK	\N	\N
3453535	6321	1997-04-30	PRIJEM	\N	164	56058	UROK	\N	\N
3453536	6321	1997-05-31	PRIJEM	\N	299	52299	UROK	\N	\N
3453537	6321	1997-06-30	PRIJEM	\N	312	49514	UROK	\N	\N
3453538	6321	1997-07-31	PRIJEM	\N	189	22371	UROK	\N	\N
3453539	6321	1997-08-31	PRIJEM	\N	191	62311	UROK	\N	\N
3453540	6321	1997-09-30	PRIJEM	\N	262	41132	UROK	\N	\N
3453541	6321	1997-10-31	PRIJEM	\N	166	30684	UROK	\N	\N
3453542	6321	1997-11-30	PRIJEM	\N	296	61240	UROK	\N	\N
3453543	6321	1997-12-31	PRIJEM	\N	243	49354	UROK	\N	\N
3453544	6321	1998-01-31	PRIJEM	\N	164	45818	UROK	\N	\N
3453545	6321	1998-02-28	PRIJEM	\N	177	36980	UROK	\N	\N
3453546	6321	1998-03-31	PRIJEM	\N	182	68883	UROK	\N	\N
3453547	6321	1998-04-30	PRIJEM	\N	223	31280	UROK	\N	\N
3453548	6321	1998-05-31	PRIJEM	\N	127	35792	UROK	\N	\N
3453549	6321	1998-06-30	PRIJEM	\N	122	30314	UROK	\N	\N
3453550	6321	1998-07-31	PRIJEM	\N	119	15019	UROK	\N	\N
3453551	6321	1998-08-31	PRIJEM	\N	106	45077	UROK	\N	\N
3453552	6321	1998-09-30	PRIJEM	\N	115	29631	UROK	\N	\N
3453553	6321	1998-10-31	PRIJEM	\N	136	21015	UROK	\N	\N
3453554	6321	1998-11-30	PRIJEM	\N	83	31383	UROK	\N	\N
3453555	6463	1995-09-30	PRIJEM	\N	42	42743	UROK	\N	\N
3453556	6463	1995-10-31	PRIJEM	\N	214	55717	UROK	\N	\N
3453557	6463	1995-11-30	PRIJEM	\N	239	74259	UROK	\N	\N
3453558	6463	1995-12-31	PRIJEM	\N	258	51156	UROK	\N	\N
3453559	6463	1996-01-31	PRIJEM	\N	108	17549	UROK	\N	\N
3453560	6463	1996-02-29	PRIJEM	\N	46	8880	UROK	\N	\N
3453561	6463	1996-03-31	PRIJEM	\N	29	5495	UROK	\N	\N
3453562	6463	1996-04-30	PRIJEM	\N	17	3298	UROK	\N	\N
3453563	6463	1996-05-31	PRIJEM	\N	8	1691	UROK	\N	\N
3453564	6463	1996-05-31	VYDAJ	VYBER	3	1688	SANKC. UROK	\N	\N
3453565	6463	1996-06-30	PRIJEM	\N	1	3774	UROK	\N	\N
3453566	6463	1996-06-30	VYDAJ	VYBER	89	3686	SANKC. UROK	\N	\N
3453567	6463	1996-07-31	PRIJEM	\N	14	3185	UROK	\N	\N
3453568	6463	1996-08-31	PRIJEM	\N	17	4587	UROK	\N	\N
3453569	6463	1996-09-30	PRIJEM	\N	15	2587	UROK	\N	\N
3453570	6463	1996-10-31	PRIJEM	\N	14	4187	UROK	\N	\N
3453571	6463	1996-11-30	PRIJEM	\N	10	2182	UROK	\N	\N
3453572	6463	1996-12-31	PRIJEM	\N	9	2277	UROK	\N	\N
3453573	6463	1996-12-31	VYDAJ	VYBER	3	-10327	SANKC. UROK	\N	\N
3453574	6463	1997-01-31	PRIJEM	\N	0	2959	UROK	\N	\N
3453575	6463	1997-01-31	VYDAJ	VYBER	100	2845	SANKC. UROK	\N	\N
3453576	6463	1997-02-28	PRIJEM	\N	19	4663	UROK	\N	\N
3453577	6463	1997-03-31	PRIJEM	\N	70	26093	UROK	\N	\N
3453578	6463	1997-04-30	PRIJEM	\N	222	77683	UROK	\N	\N
3453579	6463	1997-05-31	PRIJEM	\N	132	24800	UROK	\N	\N
3453580	6463	1997-06-30	PRIJEM	\N	96	36498	UROK	\N	\N
3453581	6463	1997-07-31	PRIJEM	\N	98	15481	UROK	\N	\N
3453582	6463	1997-08-31	PRIJEM	\N	52	45838	UROK	\N	\N
3453583	6463	1997-09-30	PRIJEM	\N	130	26453	UROK	\N	\N
3453584	6463	1997-10-31	PRIJEM	\N	257	46483	UROK	\N	\N
3453585	6463	1997-11-30	PRIJEM	\N	359	59619	UROK	\N	\N
3453586	6463	1997-12-31	PRIJEM	\N	240	44444	UROK	\N	\N
3453587	6463	1998-01-31	PRIJEM	\N	197	38280	UROK	\N	\N
3453588	6463	1998-02-28	PRIJEM	\N	214	49187	UROK	\N	\N
3453589	6463	1998-03-31	PRIJEM	\N	291	60245	UROK	\N	\N
3453590	6463	1998-04-30	PRIJEM	\N	313	104590	UROK	\N	\N
3453591	6463	1998-05-31	PRIJEM	\N	402	78775	UROK	\N	\N
3453592	6463	1998-06-30	PRIJEM	\N	316	60576	UROK	\N	\N
3453593	6463	1998-07-31	PRIJEM	\N	374	66117	UROK	\N	\N
3453594	6463	1998-08-31	PRIJEM	\N	257	89120	UROK	\N	\N
3453595	6463	1998-09-30	PRIJEM	\N	282	48787	UROK	\N	\N
3453596	6463	1998-10-31	PRIJEM	\N	250	60689	UROK	\N	\N
3453597	6463	1998-11-30	PRIJEM	\N	284	60866	UROK	\N	\N
3453598	6463	1998-12-31	PRIJEM	\N	378	115620	UROK	\N	\N
3453599	6473	1993-01-31	PRIJEM	\N	17	21078	UROK	\N	\N
3453600	6473	1993-02-28	PRIJEM	\N	102	36270	UROK	\N	\N
3453601	6473	1993-03-31	PRIJEM	\N	192	50989	UROK	\N	\N
3453602	6473	1993-04-30	PRIJEM	\N	225	74485	UROK	\N	\N
3453603	6473	1993-05-31	PRIJEM	\N	306	69430	UROK	\N	\N
3453604	6473	1993-06-30	PRIJEM	\N	228	37843	UROK	\N	\N
3453605	6473	1993-07-31	PRIJEM	\N	222	49925	UROK	\N	\N
3453606	6473	1993-08-31	PRIJEM	\N	199	54844	UROK	\N	\N
3453607	6473	1993-09-30	PRIJEM	\N	237	45623	UROK	\N	\N
3453608	6473	1993-10-31	PRIJEM	\N	168	25076	UROK	\N	\N
3453609	6473	1993-11-30	PRIJEM	\N	221	78189	UROK	\N	\N
3453610	6473	1993-12-31	PRIJEM	\N	283	48983	UROK	\N	\N
3453611	6473	1994-01-31	PRIJEM	\N	254	39010	UROK	\N	\N
3453612	6473	1994-02-28	PRIJEM	\N	155	26139	UROK	\N	\N
3453613	6473	1994-03-31	PRIJEM	\N	112	46465	UROK	\N	\N
3453614	6473	1994-04-30	PRIJEM	\N	210	45136	UROK	\N	\N
3453615	6473	1994-05-31	PRIJEM	\N	84	14973	UROK	\N	\N
3453616	6473	1994-06-30	PRIJEM	\N	86	55883	UROK	\N	\N
3453617	6473	1994-07-31	PRIJEM	\N	254	53441	UROK	\N	\N
3453618	6473	1994-08-31	PRIJEM	\N	149	9828	UROK	\N	\N
3453619	6473	1994-09-30	PRIJEM	\N	122	64855	UROK	\N	\N
3453620	6473	1994-10-31	PRIJEM	\N	163	40025	UROK	\N	\N
3453621	6473	1994-11-30	PRIJEM	\N	260	42582	UROK	\N	\N
3453622	6473	1994-12-31	PRIJEM	\N	129	11501	UROK	\N	\N
3453623	6473	1995-01-31	PRIJEM	\N	87	59018	UROK	\N	\N
3453624	6473	1995-02-28	PRIJEM	\N	209	77581	UROK	\N	\N
3453625	6473	1995-03-31	PRIJEM	\N	224	22584	UROK	\N	\N
3453626	6473	1995-04-30	PRIJEM	\N	149	61461	UROK	\N	\N
3453627	6473	1995-05-31	PRIJEM	\N	314	75179	UROK	\N	\N
3453628	6473	1995-06-30	PRIJEM	\N	214	39772	UROK	\N	\N
3453629	6473	1995-07-31	PRIJEM	\N	150	56147	UROK	\N	\N
3453630	6473	1995-08-31	PRIJEM	\N	218	34713	UROK	\N	\N
3453631	6473	1995-09-30	PRIJEM	\N	156	29923	UROK	\N	\N
3453632	6473	1995-10-31	PRIJEM	\N	117	23326	UROK	\N	\N
3453633	6473	1995-11-30	PRIJEM	\N	124	32995	UROK	\N	\N
3453634	6473	1995-12-31	PRIJEM	\N	151	46718	UROK	\N	\N
3453635	6473	1996-01-31	PRIJEM	\N	105	12108	UROK	\N	\N
3453636	6473	1996-02-29	PRIJEM	\N	116	25948	UROK	\N	\N
3453637	6473	1996-03-31	PRIJEM	\N	78	5611	UROK	\N	\N
3453638	6473	1996-04-30	PRIJEM	\N	22	5819	UROK	\N	\N
3453639	6473	1996-05-31	PRIJEM	\N	19	4523	UROK	\N	\N
3453640	6473	1996-06-30	PRIJEM	\N	20	5628	UROK	\N	\N
3453641	6473	1996-07-31	PRIJEM	\N	29	8143	UROK	\N	\N
3453642	6473	1996-08-31	PRIJEM	\N	168	35731	UROK	\N	\N
3453643	6473	1996-09-30	PRIJEM	\N	57	31498	UROK	\N	\N
3453644	6473	1996-09-30	VYDAJ	VYBER	7	31491	SANKC. UROK	\N	\N
3453645	6473	1996-10-31	PRIJEM	\N	156	41763	UROK	\N	\N
3453646	6473	1996-11-30	PRIJEM	\N	92	2267	UROK	\N	\N
3453647	6473	1996-12-31	PRIJEM	\N	8	9260	UROK	\N	\N
3453648	6473	1997-01-31	PRIJEM	\N	183	59345	UROK	\N	\N
3453649	6473	1997-02-28	PRIJEM	\N	275	105507	UROK	\N	\N
3453650	6473	1997-03-31	PRIJEM	\N	358	77309	UROK	\N	\N
3453651	6473	1997-04-30	PRIJEM	\N	313	83126	UROK	\N	\N
3453652	6473	1997-05-31	PRIJEM	\N	418	69268	UROK	\N	\N
3453653	6473	1997-06-30	PRIJEM	\N	176	18700	UROK	\N	\N
3453654	6473	1997-07-31	PRIJEM	\N	208	69564	UROK	\N	\N
3453655	6473	1997-08-31	PRIJEM	\N	239	49993	UROK	\N	\N
3453656	6473	1997-09-30	PRIJEM	\N	291	87482	UROK	\N	\N
3453657	6473	1997-10-31	PRIJEM	\N	183	75402	UROK	\N	\N
3453658	6473	1997-11-30	PRIJEM	\N	216	30889	UROK	\N	\N
3453659	6473	1997-12-31	PRIJEM	\N	109	25883	UROK	\N	\N
3453660	6473	1998-01-31	PRIJEM	\N	129	55354	UROK	\N	\N
3453661	6473	1998-02-28	PRIJEM	\N	203	25494	UROK	\N	\N
3453662	6473	1998-03-31	PRIJEM	\N	191	43994	UROK	\N	\N
3453663	6473	1998-04-30	PRIJEM	\N	179	57483	UROK	\N	\N
3453664	6473	1998-05-31	PRIJEM	\N	301	57840	UROK	\N	\N
3453665	6473	1998-06-30	PRIJEM	\N	259	75075	UROK	\N	\N
3453666	6473	1998-07-31	PRIJEM	\N	271	47111	UROK	\N	\N
3453667	6473	1998-08-31	PRIJEM	\N	255	73389	UROK	\N	\N
3453668	6473	1998-09-30	PRIJEM	\N	218	49584	UROK	\N	\N
3453669	6473	1998-10-31	PRIJEM	\N	160	37798	UROK	\N	\N
3453670	6473	1998-11-30	PRIJEM	\N	189	39525	UROK	\N	\N
3453671	6473	1998-12-31	PRIJEM	\N	152	29843	UROK	\N	\N
3453672	6511	1994-08-31	PRIJEM	\N	75	24260	UROK	\N	\N
3453673	6511	1994-09-30	PRIJEM	\N	101	26261	UROK	\N	\N
3453674	6511	1994-10-31	PRIJEM	\N	101	24661	UROK	\N	\N
3453675	6511	1994-11-30	PRIJEM	\N	101	25562	UROK	\N	\N
3453676	6511	1994-12-31	PRIJEM	\N	101	25463	UROK	\N	\N
3453677	6511	1995-01-31	PRIJEM	\N	296	89801	UROK	\N	\N
3453678	6511	1995-02-28	PRIJEM	\N	377	95080	UROK	\N	\N
3453679	6511	1995-03-31	PRIJEM	\N	225	58386	UROK	\N	\N
3453680	6511	1995-04-30	PRIJEM	\N	247	59942	UROK	\N	\N
3453681	6511	1995-05-31	PRIJEM	\N	234	67624	UROK	\N	\N
3453682	6511	1995-06-30	PRIJEM	\N	185	53860	UROK	\N	\N
3453683	6511	1995-07-31	PRIJEM	\N	235	78268	UROK	\N	\N
3453684	6511	1995-08-31	PRIJEM	\N	322	87853	UROK	\N	\N
3453685	6511	1995-09-30	PRIJEM	\N	340	87623	UROK	\N	\N
3453686	6511	1995-10-31	PRIJEM	\N	392	91659	UROK	\N	\N
3453687	6511	1995-11-30	PRIJEM	\N	212	41538	UROK	\N	\N
3453688	6511	1995-12-31	PRIJEM	\N	337	75355	UROK	\N	\N
3453689	6511	1996-01-31	PRIJEM	\N	101	20834	UROK	\N	\N
3453690	6511	1996-02-29	PRIJEM	\N	30	1536	UROK	\N	\N
3453691	6511	1996-03-31	PRIJEM	\N	8	14047	UROK	\N	\N
3453692	6511	1996-04-30	PRIJEM	\N	59	24291	UROK	\N	\N
3453693	6511	1996-05-31	PRIJEM	\N	50	15864	UROK	\N	\N
3453694	6511	1996-05-31	VYDAJ	VYBER	2	15847	SANKC. UROK	\N	\N
3453695	6511	1996-06-30	PRIJEM	\N	68	26033	UROK	\N	\N
3453696	6511	1996-07-31	PRIJEM	\N	108	30026	UROK	\N	\N
3453697	6511	1996-08-31	PRIJEM	\N	121	19233	UROK	\N	\N
3453698	6511	1996-09-30	PRIJEM	\N	80	27798	UROK	\N	\N
3453699	6511	1996-10-31	PRIJEM	\N	99	25682	UROK	\N	\N
3453700	6511	1996-11-30	PRIJEM	\N	103	21670	UROK	\N	\N
3453701	6511	1996-12-31	PRIJEM	\N	61	14352	UROK	\N	\N
3453702	6511	1997-01-31	PRIJEM	\N	103	62445	UROK	\N	\N
3453703	6511	1997-02-28	PRIJEM	\N	256	49158	UROK	\N	\N
3453704	6511	1997-03-31	PRIJEM	\N	233	57758	UROK	\N	\N
3453705	6511	1997-04-30	PRIJEM	\N	274	47338	UROK	\N	\N
3453706	6511	1997-05-31	PRIJEM	\N	200	43874	UROK	\N	\N
3453707	6511	1997-06-30	PRIJEM	\N	111	9451	UROK	\N	\N
3453708	6511	1997-07-31	PRIJEM	\N	39	18875	UROK	\N	\N
3453709	6511	1997-08-31	PRIJEM	\N	75	17933	UROK	\N	\N
3453710	6511	1997-09-30	PRIJEM	\N	220	100847	UROK	\N	\N
3453711	6511	1997-10-31	PRIJEM	\N	355	46679	UROK	\N	\N
3453712	6511	1997-11-30	PRIJEM	\N	172	32865	UROK	\N	\N
3453713	6511	1997-12-31	PRIJEM	\N	224	80894	UROK	\N	\N
3453714	6511	1998-01-31	PRIJEM	\N	225	40102	UROK	\N	\N
3453715	6511	1998-02-28	PRIJEM	\N	140	18720	UROK	\N	\N
3453716	6511	1998-03-31	PRIJEM	\N	67	12277	UROK	\N	\N
3453717	6511	1998-04-30	PRIJEM	\N	49	22912	UROK	\N	\N
3453718	6511	1998-05-31	PRIJEM	\N	93	27990	UROK	\N	\N
3453719	6511	1998-06-30	PRIJEM	\N	113	29388	UROK	\N	\N
3453720	6511	1998-07-31	PRIJEM	\N	119	30092	UROK	\N	\N
3453721	6511	1998-08-31	PRIJEM	\N	156	48852	UROK	\N	\N
3453722	6511	1998-09-30	PRIJEM	\N	165	24363	UROK	\N	\N
3453723	6511	1998-10-31	PRIJEM	\N	76	8966	UROK	\N	\N
3453724	6511	1998-11-30	PRIJEM	\N	47	16682	UROK	\N	\N
3453725	6511	1998-12-31	PRIJEM	\N	38	9535	UROK	\N	\N
3453726	6512	1996-02-29	PRIJEM	\N	43	11911	UROK	\N	\N
3453727	6512	1996-03-31	PRIJEM	\N	115	30094	UROK	\N	\N
3453728	6512	1996-04-30	PRIJEM	\N	158	39220	UROK	\N	\N
3453729	6512	1996-05-31	PRIJEM	\N	183	44871	UROK	\N	\N
3453730	6512	1996-06-30	PRIJEM	\N	116	16734	UROK	\N	\N
3453731	6512	1996-07-31	PRIJEM	\N	61	-3273	UROK	\N	\N
3453732	6512	1996-07-31	VYDAJ	VYBER	7	-3309	SANKC. UROK	\N	\N
3453733	6512	1996-08-31	PRIJEM	\N	68	21045	UROK	\N	\N
3453734	6512	1996-08-31	VYDAJ	VYBER	4	21011	SANKC. UROK	\N	\N
3453735	6512	1996-09-30	PRIJEM	\N	89	31867	UROK	\N	\N
3453736	6512	1996-10-31	PRIJEM	\N	122	36727	UROK	\N	\N
3453737	6512	1996-11-30	PRIJEM	\N	154	40419	UROK	\N	\N
3453738	6512	1996-12-31	PRIJEM	\N	194	42948	UROK	\N	\N
3453739	6512	1997-01-31	PRIJEM	\N	158	28644	UROK	\N	\N
3453740	6512	1997-02-28	PRIJEM	\N	123	40905	UROK	\N	\N
3453741	6512	1997-03-31	PRIJEM	\N	171	42013	UROK	\N	\N
3453742	6512	1997-04-30	PRIJEM	\N	176	44927	UROK	\N	\N
3453743	6512	1997-05-31	PRIJEM	\N	150	31508	UROK	\N	\N
3453744	6512	1997-06-30	PRIJEM	\N	112	18466	UROK	\N	\N
3453745	6512	1997-07-31	PRIJEM	\N	85	31089	UROK	\N	\N
3453746	6512	1997-08-31	PRIJEM	\N	129	22555	UROK	\N	\N
3453747	6512	1997-09-30	PRIJEM	\N	101	31694	UROK	\N	\N
3453748	6512	1997-10-31	PRIJEM	\N	120	11853	UROK	\N	\N
3453749	6512	1997-11-30	PRIJEM	\N	38	14885	UROK	\N	\N
3453750	6512	1997-12-31	PRIJEM	\N	76	20782	UROK	\N	\N
3453751	6512	1998-01-31	PRIJEM	\N	40	7281	UROK	\N	\N
3453752	6512	1998-01-31	VYDAJ	VYBER	3	7249	SANKC. UROK	\N	\N
3453753	6512	1998-02-28	PRIJEM	\N	33	10763	UROK	\N	\N
3453754	6512	1998-03-31	PRIJEM	\N	50	16351	UROK	\N	\N
3453755	6512	1998-04-30	PRIJEM	\N	69	18059	UROK	\N	\N
3453756	6512	1998-05-31	PRIJEM	\N	55	9222	UROK	\N	\N
3453757	6512	1998-06-30	PRIJEM	\N	56	14526	UROK	\N	\N
3453758	6512	1998-07-31	PRIJEM	\N	69	21233	UROK	\N	\N
3453759	6512	1998-08-31	PRIJEM	\N	73	14094	UROK	\N	\N
3453760	6512	1998-09-30	PRIJEM	\N	30	9196	UROK	\N	\N
3453761	6512	1998-10-31	PRIJEM	\N	42	-550	UROK	\N	\N
3453762	6512	1998-10-31	VYDAJ	VYBER	1	-581	SANKC. UROK	\N	\N
3453763	6512	1998-11-30	PRIJEM	\N	15	9105	UROK	\N	\N
3453764	6512	1998-11-30	VYDAJ	VYBER	4	9100	SANKC. UROK	\N	\N
3453765	6512	1998-12-31	PRIJEM	\N	62	13944	UROK	\N	\N
3453766	6636	1994-01-31	PRIJEM	\N	94	35396	UROK	\N	\N
3453767	6636	1994-02-28	PRIJEM	\N	315	93174	UROK	\N	\N
3453768	6636	1994-03-31	PRIJEM	\N	216	37731	UROK	\N	\N
3453769	6636	1994-04-30	PRIJEM	\N	134	51735	UROK	\N	\N
3453770	6636	1994-05-31	PRIJEM	\N	121	27414	UROK	\N	\N
3453771	6636	1994-06-30	PRIJEM	\N	112	67290	UROK	\N	\N
3453772	6636	1994-06-30	VYDAJ	VYBER	8	45583	SANKC. UROK	\N	\N
3453773	6636	1994-07-31	PRIJEM	\N	298	47996	UROK	\N	\N
3453774	6636	1994-08-31	PRIJEM	\N	133	24521	UROK	\N	\N
3453775	6636	1994-09-30	PRIJEM	\N	88	18379	UROK	\N	\N
3453776	6636	1994-10-31	PRIJEM	\N	71	23220	UROK	\N	\N
3453777	6636	1994-11-30	PRIJEM	\N	78	21268	UROK	\N	\N
3453778	6636	1994-12-31	PRIJEM	\N	95	40618	UROK	\N	\N
3453779	6636	1995-01-31	PRIJEM	\N	120	25442	UROK	\N	\N
3453780	6636	1995-02-28	PRIJEM	\N	51	18393	UROK	\N	\N
3453781	6636	1995-03-31	PRIJEM	\N	29	27507	UROK	\N	\N
3453782	6636	1995-04-30	PRIJEM	\N	164	18040	UROK	\N	\N
3453783	6636	1995-05-31	PRIJEM	\N	72	24482	UROK	\N	\N
3453784	6636	1995-06-30	PRIJEM	\N	183	73011	UROK	\N	\N
3453785	6636	1995-07-31	PRIJEM	\N	332	54287	UROK	\N	\N
3453786	6636	1995-08-31	PRIJEM	\N	102	16847	UROK	\N	\N
3453787	6636	1995-09-30	PRIJEM	\N	51	63094	UROK	\N	\N
3453788	6636	1995-10-31	PRIJEM	\N	269	66541	UROK	\N	\N
3453789	6636	1995-11-30	PRIJEM	\N	255	51366	UROK	\N	\N
3453790	6636	1995-12-31	PRIJEM	\N	324	78195	UROK	\N	\N
3453791	6636	1996-01-31	PRIJEM	\N	284	52949	UROK	\N	\N
3453792	6636	1996-02-29	PRIJEM	\N	176	40296	UROK	\N	\N
3453793	6636	1996-03-31	PRIJEM	\N	156	37421	UROK	\N	\N
3453794	6636	1996-04-30	PRIJEM	\N	124	32156	UROK	\N	\N
3453795	6636	1996-05-31	PRIJEM	\N	139	37165	UROK	\N	\N
3453796	6636	1996-06-30	PRIJEM	\N	149	26884	UROK	\N	\N
3453797	6636	1996-07-31	PRIJEM	\N	231	50481	UROK	\N	\N
3453798	6636	1996-08-31	PRIJEM	\N	180	41931	UROK	\N	\N
3453799	6636	1996-09-30	PRIJEM	\N	168	39889	UROK	\N	\N
3453800	6636	1996-10-31	PRIJEM	\N	154	37913	UROK	\N	\N
3453801	6636	1996-11-30	PRIJEM	\N	157	26437	UROK	\N	\N
3453802	6636	1996-12-31	PRIJEM	\N	174	50801	UROK	\N	\N
3453803	6636	1997-01-31	PRIJEM	\N	182	77630	UROK	\N	\N
3453804	6636	1997-02-28	PRIJEM	\N	205	28527	UROK	\N	\N
3453805	6636	1997-03-31	PRIJEM	\N	109	19940	UROK	\N	\N
3453806	6636	1997-04-30	PRIJEM	\N	172	90512	UROK	\N	\N
3453807	6636	1997-05-31	PRIJEM	\N	315	67697	UROK	\N	\N
3453808	6636	1997-06-30	PRIJEM	\N	378	114708	UROK	\N	\N
3453809	6636	1997-07-31	PRIJEM	\N	396	84653	UROK	\N	\N
3453810	6636	1997-08-31	PRIJEM	\N	344	81320	UROK	\N	\N
3453811	6636	1997-09-30	PRIJEM	\N	361	92246	UROK	\N	\N
3453812	6636	1997-10-31	PRIJEM	\N	372	105573	UROK	\N	\N
3453813	6636	1997-11-30	PRIJEM	\N	350	66966	UROK	\N	\N
3453814	6636	1997-12-31	PRIJEM	\N	327	90160	UROK	\N	\N
3453815	6636	1998-01-31	PRIJEM	\N	293	64823	UROK	\N	\N
3453816	6636	1998-02-28	PRIJEM	\N	261	64654	UROK	\N	\N
3453817	6636	1998-03-31	PRIJEM	\N	406	111539	UROK	\N	\N
3453818	6636	1998-04-30	PRIJEM	\N	414	94135	UROK	\N	\N
3453819	6636	1998-05-31	PRIJEM	\N	432	64851	UROK	\N	\N
3453820	6636	1998-06-30	PRIJEM	\N	262	57184	UROK	\N	\N
3453821	6636	1998-07-31	PRIJEM	\N	371	92449	UROK	\N	\N
3453822	6636	1998-08-31	PRIJEM	\N	388	92095	UROK	\N	\N
3453823	6636	1998-09-30	PRIJEM	\N	390	95772	UROK	\N	\N
3453824	6636	1998-10-31	PRIJEM	\N	343	73585	UROK	\N	\N
3453825	6636	1998-11-30	PRIJEM	\N	409	108781	UROK	\N	\N
3453826	6636	1998-12-31	PRIJEM	\N	394	88645	UROK	\N	\N
3453827	6715	1993-10-31	PRIJEM	\N	49	21538	UROK	\N	\N
3453828	6715	1993-11-30	PRIJEM	\N	111	30738	UROK	\N	\N
3453829	6715	1993-12-31	PRIJEM	\N	147	38869	UROK	\N	\N
3453830	6715	1994-01-31	PRIJEM	\N	159	38017	UROK	\N	\N
3453831	6715	1994-02-28	PRIJEM	\N	155	35561	UROK	\N	\N
3453832	6715	1994-03-31	PRIJEM	\N	146	29801	UROK	\N	\N
3453833	6715	1994-04-30	PRIJEM	\N	119	26755	UROK	\N	\N
3453834	6715	1994-05-31	PRIJEM	\N	98	9912	UROK	\N	\N
3453835	6715	1994-06-30	PRIJEM	\N	31	10748	UROK	\N	\N
3453836	6715	1994-07-31	PRIJEM	\N	60	15669	UROK	\N	\N
3453837	6715	1994-08-31	PRIJEM	\N	81	18609	UROK	\N	\N
3453838	6715	1994-09-30	PRIJEM	\N	105	23552	UROK	\N	\N
3453839	6715	1994-10-31	PRIJEM	\N	72	12084	UROK	\N	\N
3453840	6715	1994-11-30	PRIJEM	\N	91	25534	UROK	\N	\N
3453841	6715	1994-12-31	PRIJEM	\N	120	24008	UROK	\N	\N
3453842	6715	1995-01-31	PRIJEM	\N	64	1631	UROK	\N	\N
3453843	6715	1995-02-28	PRIJEM	\N	33	6074	UROK	\N	\N
3453844	6715	1995-03-31	PRIJEM	\N	69	20104	UROK	\N	\N
3453845	6715	1995-04-30	PRIJEM	\N	68	-1674	UROK	\N	\N
3453846	6715	1995-04-30	VYDAJ	VYBER	4	-1678	SANKC. UROK	\N	\N
3453847	6715	1995-05-31	PRIJEM	\N	47	12659	UROK	\N	\N
3453848	6715	1995-05-31	VYDAJ	VYBER	2	12627	SANKC. UROK	\N	\N
3453849	6715	1995-06-30	PRIJEM	\N	113	28894	UROK	\N	\N
3453850	6715	1995-07-31	PRIJEM	\N	144	35699	UROK	\N	\N
3453851	6715	1995-08-31	PRIJEM	\N	87	471	UROK	\N	\N
3453852	6715	1995-09-30	PRIJEM	\N	79	21310	UROK	\N	\N
3453853	6715	1995-10-31	PRIJEM	\N	126	30597	UROK	\N	\N
3453854	6715	1995-11-30	PRIJEM	\N	99	11184	UROK	\N	\N
3453855	6715	1995-12-31	PRIJEM	\N	98	16309	UROK	\N	\N
3453856	6715	1996-01-31	PRIJEM	\N	94	10164	UROK	\N	\N
3453857	6715	1996-02-29	PRIJEM	\N	114	21510	UROK	\N	\N
3453858	6715	1996-03-31	PRIJEM	\N	173	44444	UROK	\N	\N
3453859	6715	1996-04-30	PRIJEM	\N	210	43415	UROK	\N	\N
3453860	6715	1996-05-31	PRIJEM	\N	196	48072	UROK	\N	\N
3453861	6715	1996-06-30	PRIJEM	\N	249	55463	UROK	\N	\N
3453862	6715	1996-07-31	PRIJEM	\N	268	65892	UROK	\N	\N
3453863	6715	1996-08-31	PRIJEM	\N	256	50636	UROK	\N	\N
3453864	6715	1996-09-30	PRIJEM	\N	239	60436	UROK	\N	\N
3453865	6715	1996-10-31	PRIJEM	\N	253	58749	UROK	\N	\N
3453866	6715	1996-11-30	PRIJEM	\N	192	38469	UROK	\N	\N
3453867	6715	1996-12-31	PRIJEM	\N	201	55525	UROK	\N	\N
3453868	6715	1997-01-31	PRIJEM	\N	123	28180	UROK	\N	\N
3453869	6715	1997-02-28	PRIJEM	\N	132	35933	UROK	\N	\N
3453870	6715	1997-03-31	PRIJEM	\N	180	50174	UROK	\N	\N
3453871	6715	1997-04-30	PRIJEM	\N	244	58079	UROK	\N	\N
3453872	6715	1997-05-31	PRIJEM	\N	262	57402	UROK	\N	\N
3453873	6715	1997-06-30	PRIJEM	\N	167	23525	UROK	\N	\N
3453874	6715	1997-07-31	PRIJEM	\N	116	35802	UROK	\N	\N
3453875	6715	1997-08-31	PRIJEM	\N	176	46139	UROK	\N	\N
3453876	6715	1997-09-30	PRIJEM	\N	202	35009	UROK	\N	\N
3453877	6715	1997-10-31	PRIJEM	\N	125	32436	UROK	\N	\N
3453878	6715	1997-11-30	PRIJEM	\N	163	44559	UROK	\N	\N
3453879	6715	1997-12-31	PRIJEM	\N	180	37795	UROK	\N	\N
3453880	6715	1998-01-31	PRIJEM	\N	111	3224	UROK	\N	\N
3453881	6715	1998-02-28	PRIJEM	\N	41	13038	UROK	\N	\N
3453882	6715	1998-03-31	PRIJEM	\N	89	29220	UROK	\N	\N
3453883	6715	1998-04-30	PRIJEM	\N	89	30141	UROK	\N	\N
3453884	6715	1998-05-31	PRIJEM	\N	144	27945	UROK	\N	\N
3453885	6715	1998-06-30	PRIJEM	\N	147	38048	UROK	\N	\N
3453886	6715	1998-07-31	PRIJEM	\N	195	41558	UROK	\N	\N
3453887	6715	1998-08-31	PRIJEM	\N	200	53418	UROK	\N	\N
3453888	6715	1998-09-30	PRIJEM	\N	228	56498	UROK	\N	\N
3453889	6715	1998-10-31	PRIJEM	\N	216	46712	UROK	\N	\N
3453890	6715	1998-11-30	PRIJEM	\N	148	29527	UROK	\N	\N
3453891	6715	1998-12-31	PRIJEM	\N	142	33024	UROK	\N	\N
3453892	6806	1993-12-31	PRIJEM	\N	25	31259	UROK	\N	\N
3453893	6806	1994-01-31	PRIJEM	\N	140	41288	UROK	\N	\N
3453894	6806	1994-02-28	PRIJEM	\N	175	45751	UROK	\N	\N
3453895	6806	1994-03-31	PRIJEM	\N	192	48032	UROK	\N	\N
3453896	6806	1994-04-30	PRIJEM	\N	182	29004	UROK	\N	\N
3453897	6806	1994-05-31	PRIJEM	\N	130	38608	UROK	\N	\N
3453898	6806	1994-06-30	PRIJEM	\N	170	49197	UROK	\N	\N
3453899	6806	1994-07-31	PRIJEM	\N	211	44260	UROK	\N	\N
3453900	6806	1994-08-31	PRIJEM	\N	204	35068	UROK	\N	\N
3453901	6806	1994-09-30	PRIJEM	\N	150	38092	UROK	\N	\N
3453902	6806	1994-10-31	PRIJEM	\N	165	43032	UROK	\N	\N
3453903	6806	1994-11-30	PRIJEM	\N	184	46490	UROK	\N	\N
3453904	6806	1994-12-31	PRIJEM	\N	253	53475	UROK	\N	\N
3453905	6806	1995-01-31	PRIJEM	\N	176	25489	UROK	\N	\N
3453906	6806	1995-02-28	PRIJEM	\N	124	37487	UROK	\N	\N
3453907	6806	1995-03-31	PRIJEM	\N	167	45028	UROK	\N	\N
3453908	6806	1995-04-30	PRIJEM	\N	186	38731	UROK	\N	\N
3453909	6806	1995-05-31	PRIJEM	\N	177	37526	UROK	\N	\N
3453910	6806	1995-06-30	PRIJEM	\N	192	44237	UROK	\N	\N
3453911	6806	1995-07-31	PRIJEM	\N	196	51608	UROK	\N	\N
3453912	6806	1995-08-31	PRIJEM	\N	174	23076	UROK	\N	\N
3453913	6806	1995-09-30	PRIJEM	\N	110	19120	UROK	\N	\N
3453914	6806	1995-10-31	PRIJEM	\N	132	36897	UROK	\N	\N
3453915	6806	1995-11-30	PRIJEM	\N	176	48548	UROK	\N	\N
3453916	6806	1995-12-31	PRIJEM	\N	136	24386	UROK	\N	\N
3453917	6806	1996-01-31	PRIJEM	\N	129	-211	UROK	\N	\N
3453918	6806	1996-01-31	VYDAJ	VYBER	0	-211	SANKC. UROK	\N	\N
3453919	6806	1996-02-29	PRIJEM	\N	65	28428	UROK	\N	\N
3453920	6806	1996-02-29	VYDAJ	VYBER	2	28426	SANKC. UROK	\N	\N
3453921	6806	1996-03-31	PRIJEM	\N	121	26521	UROK	\N	\N
3453922	6806	1996-04-30	PRIJEM	\N	142	40437	UROK	\N	\N
3453923	6806	1996-05-31	PRIJEM	\N	163	21749	UROK	\N	\N
3453924	6806	1996-06-30	PRIJEM	\N	129	15321	UROK	\N	\N
3453925	6806	1996-07-31	PRIJEM	\N	50	3725	UROK	\N	\N
3453926	6806	1996-08-31	PRIJEM	\N	78	27278	UROK	\N	\N
3453927	6806	1996-09-30	PRIJEM	\N	137	35321	UROK	\N	\N
3453928	6806	1996-10-31	PRIJEM	\N	178	46973	UROK	\N	\N
3453929	6806	1996-11-30	PRIJEM	\N	193	46082	UROK	\N	\N
3453930	6806	1996-12-31	PRIJEM	\N	205	50107	UROK	\N	\N
3453931	6806	1997-01-31	PRIJEM	\N	163	22844	UROK	\N	\N
3453932	6806	1997-02-28	PRIJEM	\N	161	44980	UROK	\N	\N
3453933	6806	1997-03-31	PRIJEM	\N	163	36816	UROK	\N	\N
3453934	6806	1997-04-30	PRIJEM	\N	223	43814	UROK	\N	\N
3453935	6806	1997-05-31	PRIJEM	\N	183	35971	UROK	\N	\N
3453936	6806	1997-06-30	PRIJEM	\N	184	41674	UROK	\N	\N
3453937	6806	1997-07-31	PRIJEM	\N	219	52668	UROK	\N	\N
3453938	6806	1997-08-31	PRIJEM	\N	258	66200	UROK	\N	\N
3453939	6806	1997-09-30	PRIJEM	\N	294	73368	UROK	\N	\N
3453940	6806	1997-10-31	PRIJEM	\N	304	73447	UROK	\N	\N
3453941	6806	1997-11-30	PRIJEM	\N	315	77736	UROK	\N	\N
3453942	6806	1997-12-31	PRIJEM	\N	323	83779	UROK	\N	\N
3453943	6806	1998-01-31	PRIJEM	\N	237	32891	UROK	\N	\N
3453944	6806	1998-02-28	PRIJEM	\N	189	51654	UROK	\N	\N
3453945	6806	1998-03-31	PRIJEM	\N	232	49178	UROK	\N	\N
3453946	6806	1998-04-30	PRIJEM	\N	222	52036	UROK	\N	\N
3453947	6806	1998-05-31	PRIJEM	\N	164	39357	UROK	\N	\N
3453948	6806	1998-06-30	PRIJEM	\N	177	28253	UROK	\N	\N
3453949	6806	1998-07-31	PRIJEM	\N	189	52916	UROK	\N	\N
3453950	6806	1998-08-31	PRIJEM	\N	191	35008	UROK	\N	\N
3453951	6806	1998-09-30	PRIJEM	\N	209	56336	UROK	\N	\N
3453952	6806	1998-10-31	PRIJEM	\N	142	33632	UROK	\N	\N
3453953	6806	1998-11-30	PRIJEM	\N	137	58143	UROK	\N	\N
3453954	6806	1998-12-31	PRIJEM	\N	237	58800	UROK	\N	\N
3453955	6866	1997-10-31	PRIJEM	\N	72	21449	UROK	\N	\N
3453956	6866	1997-11-30	PRIJEM	\N	162	43388	UROK	\N	\N
3453957	6866	1997-12-31	PRIJEM	\N	249	64903	UROK	\N	\N
3453958	6866	1998-01-31	PRIJEM	\N	171	38651	UROK	\N	\N
3453959	6866	1998-02-28	PRIJEM	\N	164	59791	UROK	\N	\N
3453960	6866	1998-03-31	PRIJEM	\N	139	28217	UROK	\N	\N
3453961	6866	1998-04-30	PRIJEM	\N	71	38051	UROK	\N	\N
3453962	6866	1998-05-31	PRIJEM	\N	56	5404	UROK	\N	\N
3453963	6866	1998-05-31	VYDAJ	VYBER	2	5388	SANKC. UROK	\N	\N
3453964	6866	1998-06-30	PRIJEM	\N	38	4100	UROK	\N	\N
3453965	6866	1998-07-31	PRIJEM	\N	22	17285	UROK	\N	\N
3453966	6866	1998-08-31	PRIJEM	\N	100	7847	UROK	\N	\N
3453967	6866	1998-09-30	PRIJEM	\N	13	427	UROK	\N	\N
3453968	6866	1998-09-30	VYDAJ	VYBER	5	422	SANKC. UROK	\N	\N
3453969	6866	1998-10-31	PRIJEM	\N	8	9993	UROK	\N	\N
3453970	6866	1998-11-30	PRIJEM	\N	69	10324	UROK	\N	\N
3453971	6866	1998-12-31	PRIJEM	\N	59	5422	UROK	\N	\N
3453972	6872	1995-09-30	PRIJEM	\N	50	21066	UROK	\N	\N
3453973	6872	1995-10-31	PRIJEM	\N	141	43022	UROK	\N	\N
3453974	6872	1995-11-30	PRIJEM	\N	207	55045	UROK	\N	\N
3453975	6872	1995-12-31	PRIJEM	\N	262	70081	UROK	\N	\N
3453976	6872	1996-01-31	PRIJEM	\N	204	37734	UROK	\N	\N
3453977	6872	1996-02-29	PRIJEM	\N	183	35380	UROK	\N	\N
3453978	6872	1996-03-31	PRIJEM	\N	135	28266	UROK	\N	\N
3453979	6872	1996-04-30	PRIJEM	\N	110	24847	UROK	\N	\N
3453980	6872	1996-05-31	PRIJEM	\N	109	38557	UROK	\N	\N
3453981	6872	1996-06-30	PRIJEM	\N	165	49882	UROK	\N	\N
3453982	6872	1996-07-31	PRIJEM	\N	212	52795	UROK	\N	\N
3453983	6872	1996-08-31	PRIJEM	\N	250	57596	UROK	\N	\N
3453984	6872	1996-09-30	PRIJEM	\N	244	64442	UROK	\N	\N
3453985	6872	1996-10-31	PRIJEM	\N	263	39281	UROK	\N	\N
3453986	6872	1996-11-30	PRIJEM	\N	174	51856	UROK	\N	\N
3453987	6872	1996-12-31	PRIJEM	\N	181	46906	UROK	\N	\N
3453988	6872	1997-01-31	PRIJEM	\N	174	34882	UROK	\N	\N
3453989	6872	1997-02-28	PRIJEM	\N	89	9408	UROK	\N	\N
3453990	6872	1997-02-28	VYDAJ	VYBER	1	9393	SANKC. UROK	\N	\N
3453991	6872	1997-03-31	PRIJEM	\N	66	38575	UROK	\N	\N
3453992	6872	1997-04-30	PRIJEM	\N	143	37296	UROK	\N	\N
3453993	6872	1997-05-31	PRIJEM	\N	184	42861	UROK	\N	\N
3453994	6872	1997-06-30	PRIJEM	\N	202	64522	UROK	\N	\N
3453995	6872	1997-07-31	PRIJEM	\N	277	52163	UROK	\N	\N
3453996	6872	1997-08-31	PRIJEM	\N	234	65198	UROK	\N	\N
3453997	6872	1997-09-30	PRIJEM	\N	271	61371	UROK	\N	\N
3453998	6872	1997-10-31	PRIJEM	\N	249	55354	UROK	\N	\N
3453999	6872	1997-11-30	PRIJEM	\N	230	50685	UROK	\N	\N
3454000	6872	1997-12-31	PRIJEM	\N	200	11900	UROK	\N	\N
3454001	6872	1998-01-31	PRIJEM	\N	67	7031	UROK	\N	\N
3454002	6872	1998-02-28	PRIJEM	\N	82	38308	UROK	\N	\N
3454003	6872	1998-03-31	PRIJEM	\N	172	47695	UROK	\N	\N
3454004	6872	1998-04-30	PRIJEM	\N	233	69329	UROK	\N	\N
3454005	6872	1998-05-31	PRIJEM	\N	309	77274	UROK	\N	\N
3454006	6872	1998-06-30	PRIJEM	\N	297	74567	UROK	\N	\N
3454007	6872	1998-07-31	PRIJEM	\N	325	79278	UROK	\N	\N
3454008	6872	1998-08-31	PRIJEM	\N	320	59055	UROK	\N	\N
3454009	6872	1998-09-30	PRIJEM	\N	267	67423	UROK	\N	\N
3454010	6872	1998-10-31	PRIJEM	\N	204	9371	UROK	\N	\N
3454011	6872	1998-11-30	PRIJEM	\N	99	29550	UROK	\N	\N
3454012	6872	1998-12-31	PRIJEM	\N	188	52898	UROK	\N	\N
3454013	6897	1993-04-30	PRIJEM	\N	20	28383	UROK	\N	\N
3454014	6897	1993-05-31	PRIJEM	\N	158	77358	UROK	\N	\N
3454015	6897	1993-06-30	PRIJEM	\N	343	63568	UROK	\N	\N
3454016	6897	1993-07-31	PRIJEM	\N	461	46829	UROK	\N	\N
3454017	6897	1993-08-31	PRIJEM	\N	461	35689	UROK	\N	\N
3454018	6897	1993-09-30	PRIJEM	\N	461	33250	UROK	\N	\N
3454019	6897	1993-10-31	PRIJEM	\N	461	28411	UROK	\N	\N
3454020	6897	1993-11-30	PRIJEM	\N	461	29672	UROK	\N	\N
3454021	6897	1993-12-31	PRIJEM	\N	368	101510	UROK	\N	\N
3454022	6897	1994-01-31	PRIJEM	\N	291	18983	UROK	\N	\N
3454023	6897	1994-02-28	PRIJEM	\N	57	-477	UROK	\N	\N
3454024	6897	1994-02-28	VYDAJ	VYBER	1	-492	SANKC. UROK	\N	\N
3454025	6897	1994-03-31	PRIJEM	\N	52	29301	UROK	\N	\N
3454026	6897	1994-03-31	VYDAJ	VYBER	3	29283	SANKC. UROK	\N	\N
3454027	6897	1994-04-30	PRIJEM	\N	113	24481	UROK	\N	\N
3454028	6897	1994-05-31	PRIJEM	\N	107	8306	UROK	\N	\N
3454029	6897	1994-06-30	PRIJEM	\N	140	104357	UROK	\N	\N
3454030	6897	1994-07-31	PRIJEM	\N	347	59374	UROK	\N	\N
3454031	6897	1994-08-31	PRIJEM	\N	239	51104	UROK	\N	\N
3454032	6897	1994-09-30	PRIJEM	\N	135	36202	UROK	\N	\N
3454033	6897	1994-10-31	PRIJEM	\N	189	46753	UROK	\N	\N
3454034	6897	1994-11-30	PRIJEM	\N	149	9026	UROK	\N	\N
3454035	6897	1994-12-31	PRIJEM	\N	52	10732	UROK	\N	\N
3454036	6897	1995-01-31	PRIJEM	\N	118	79305	UROK	\N	\N
3454037	6897	1995-02-28	PRIJEM	\N	293	77462	UROK	\N	\N
3454038	6897	1995-03-31	PRIJEM	\N	380	71054	UROK	\N	\N
3454039	6897	1995-04-30	PRIJEM	\N	304	49788	UROK	\N	\N
3454040	6897	1995-05-31	PRIJEM	\N	281	70832	UROK	\N	\N
3454041	6897	1995-06-30	PRIJEM	\N	191	20213	UROK	\N	\N
3454042	6897	1995-07-31	PRIJEM	\N	166	81896	UROK	\N	\N
3454043	6897	1995-08-31	PRIJEM	\N	309	57090	UROK	\N	\N
3454044	6897	1995-09-30	PRIJEM	\N	233	59698	UROK	\N	\N
3454045	6897	1995-10-31	PRIJEM	\N	432	94488	UROK	\N	\N
3454046	6897	1995-11-30	PRIJEM	\N	461	77674	UROK	\N	\N
3454047	6897	1995-12-31	PRIJEM	\N	300	89274	UROK	\N	\N
3454048	6897	1996-01-31	PRIJEM	\N	201	27160	UROK	\N	\N
3454049	6897	1996-02-29	PRIJEM	\N	112	39557	UROK	\N	\N
3454050	6897	1996-03-31	PRIJEM	\N	162	47405	UROK	\N	\N
3454051	6897	1996-04-30	PRIJEM	\N	284	83290	UROK	\N	\N
3454052	6897	1996-05-31	PRIJEM	\N	341	68217	UROK	\N	\N
3454053	6897	1996-06-30	PRIJEM	\N	299	77162	UROK	\N	\N
3454054	6897	1996-07-31	PRIJEM	\N	316	67163	UROK	\N	\N
3454055	6897	1996-08-31	PRIJEM	\N	329	84303	UROK	\N	\N
3454056	6897	1996-09-30	PRIJEM	\N	338	82296	UROK	\N	\N
3454057	6897	1996-10-31	PRIJEM	\N	368	91588	UROK	\N	\N
3454058	6897	1996-11-30	PRIJEM	\N	375	74348	UROK	\N	\N
3454059	6897	1996-12-31	PRIJEM	\N	290	58423	UROK	\N	\N
3454060	6897	1997-01-31	PRIJEM	\N	229	31891	UROK	\N	\N
3454061	6897	1997-02-28	PRIJEM	\N	145	71255	UROK	\N	\N
3454062	6897	1997-03-31	PRIJEM	\N	322	79701	UROK	\N	\N
3454063	6897	1997-04-30	PRIJEM	\N	325	71212	UROK	\N	\N
3454064	6897	1997-05-31	PRIJEM	\N	290	62487	UROK	\N	\N
3454065	6897	1997-06-30	PRIJEM	\N	70	11643	UROK	\N	\N
3454066	6897	1997-07-31	PRIJEM	\N	48	51576	UROK	\N	\N
3454067	6897	1997-08-31	PRIJEM	\N	209	52483	UROK	\N	\N
3454068	6897	1997-09-30	PRIJEM	\N	202	46670	UROK	\N	\N
3454069	6897	1997-10-31	PRIJEM	\N	189	55244	UROK	\N	\N
3454070	6897	1997-11-30	PRIJEM	\N	224	59353	UROK	\N	\N
3454071	6897	1997-12-31	PRIJEM	\N	236	58474	UROK	\N	\N
3454072	6897	1998-01-31	PRIJEM	\N	210	47284	UROK	\N	\N
3454073	6897	1998-02-28	PRIJEM	\N	335	77372	UROK	\N	\N
3454074	6897	1998-03-31	PRIJEM	\N	289	75907	UROK	\N	\N
3454075	6897	1998-04-30	PRIJEM	\N	329	69288	UROK	\N	\N
3454076	6897	1998-05-31	PRIJEM	\N	293	96414	UROK	\N	\N
3454077	6897	1998-06-30	PRIJEM	\N	345	49977	UROK	\N	\N
3454078	6897	1998-07-31	PRIJEM	\N	200	50990	UROK	\N	\N
3454079	6897	1998-08-31	PRIJEM	\N	221	69709	UROK	\N	\N
3454080	6897	1998-09-30	PRIJEM	\N	298	110394	UROK	\N	\N
3454081	6897	1998-10-31	PRIJEM	\N	473	92329	UROK	\N	\N
3454082	6897	1998-11-30	PRIJEM	\N	362	81264	UROK	\N	\N
3454083	6897	1998-12-31	PRIJEM	\N	462	93830	UROK	\N	\N
3454084	6910	1995-10-31	PRIJEM	\N	3	23003	UROK	\N	\N
3454085	6910	1995-11-30	PRIJEM	\N	96	23199	UROK	\N	\N
3454086	6910	1995-12-31	PRIJEM	\N	96	27596	UROK	\N	\N
3454087	6910	1996-01-31	PRIJEM	\N	103	39464	UROK	\N	\N
3454088	6910	1996-02-29	PRIJEM	\N	163	37176	UROK	\N	\N
3454089	6910	1996-03-31	PRIJEM	\N	245	55833	UROK	\N	\N
3454090	6910	1996-04-30	PRIJEM	\N	302	62070	UROK	\N	\N
3454091	6910	1996-05-31	PRIJEM	\N	298	65848	UROK	\N	\N
3454092	6910	1996-06-30	PRIJEM	\N	263	46105	UROK	\N	\N
3454093	6910	1996-07-31	PRIJEM	\N	191	39082	UROK	\N	\N
3454094	6910	1996-08-31	PRIJEM	\N	169	47342	UROK	\N	\N
3454095	6910	1996-09-30	PRIJEM	\N	187	36015	UROK	\N	\N
3454096	6910	1996-10-31	PRIJEM	\N	128	8548	UROK	\N	\N
3454097	6910	1996-11-30	PRIJEM	\N	39	15139	UROK	\N	\N
3454098	6910	1996-12-31	PRIJEM	\N	57	35066	UROK	\N	\N
3454099	6910	1997-01-31	PRIJEM	\N	72	6399	UROK	\N	\N
3454100	6910	1997-02-28	PRIJEM	\N	51	30564	UROK	\N	\N
3454101	6910	1997-03-31	PRIJEM	\N	190	55280	UROK	\N	\N
3454102	6910	1997-04-30	PRIJEM	\N	232	61816	UROK	\N	\N
3454103	6910	1997-05-31	PRIJEM	\N	268	107250	UROK	\N	\N
3454104	6910	1997-06-30	PRIJEM	\N	349	46969	UROK	\N	\N
3454105	6910	1997-07-31	PRIJEM	\N	223	51979	UROK	\N	\N
3454106	6910	1997-08-31	PRIJEM	\N	216	50280	UROK	\N	\N
3454107	6910	1997-09-30	PRIJEM	\N	263	62129	UROK	\N	\N
3454108	6910	1997-10-31	PRIJEM	\N	284	86930	UROK	\N	\N
3454109	6910	1997-11-30	PRIJEM	\N	355	53941	UROK	\N	\N
3454110	6910	1997-12-31	PRIJEM	\N	244	96908	UROK	\N	\N
3454111	6910	1998-01-31	PRIJEM	\N	210	17256	UROK	\N	\N
3454112	6910	1998-02-28	PRIJEM	\N	91	36217	UROK	\N	\N
3454113	6910	1998-03-31	PRIJEM	\N	197	86881	UROK	\N	\N
3454114	6910	1998-04-30	PRIJEM	\N	371	60695	UROK	\N	\N
3454115	6910	1998-05-31	PRIJEM	\N	323	72984	UROK	\N	\N
3454116	6910	1998-06-30	PRIJEM	\N	336	75648	UROK	\N	\N
3454117	6910	1998-07-31	PRIJEM	\N	315	90456	UROK	\N	\N
3454118	6910	1998-08-31	PRIJEM	\N	407	100348	UROK	\N	\N
3454119	6910	1998-09-30	PRIJEM	\N	341	88254	UROK	\N	\N
3454120	6910	1998-10-31	PRIJEM	\N	385	84882	UROK	\N	\N
3454121	6910	1998-11-30	PRIJEM	\N	355	91983	UROK	\N	\N
3454122	6910	1998-12-31	PRIJEM	\N	289	69026	UROK	\N	\N
3454123	6927	1995-12-31	PRIJEM	\N	73	42036	UROK	\N	\N
3454124	6927	1996-01-31	PRIJEM	\N	175	42057	UROK	\N	\N
3454125	6927	1996-02-29	PRIJEM	\N	175	35231	UROK	\N	\N
3454126	6927	1996-03-31	PRIJEM	\N	175	29106	UROK	\N	\N
3454127	6927	1996-04-30	PRIJEM	\N	177	29483	UROK	\N	\N
3454128	6927	1996-05-31	PRIJEM	\N	335	97896	UROK	\N	\N
3454129	6927	1996-06-30	PRIJEM	\N	208	40035	UROK	\N	\N
3454130	6927	1996-07-31	PRIJEM	\N	142	19447	UROK	\N	\N
3454131	6927	1996-08-31	PRIJEM	\N	122	52354	UROK	\N	\N
3454132	6927	1996-09-30	PRIJEM	\N	208	51742	UROK	\N	\N
3454133	6927	1996-10-31	PRIJEM	\N	135	25747	UROK	\N	\N
3454134	6927	1996-11-30	PRIJEM	\N	40	7056	UROK	\N	\N
3454135	6927	1996-12-31	PRIJEM	\N	13	339	UROK	\N	\N
3454136	6927	1997-01-31	PRIJEM	\N	34	16774	UROK	\N	\N
3454137	6927	1997-02-28	PRIJEM	\N	101	21356	UROK	\N	\N
3454138	6927	1997-03-31	PRIJEM	\N	20	3046	UROK	\N	\N
3454139	6927	1997-04-30	PRIJEM	\N	193	81547	UROK	\N	\N
3454140	6927	1997-05-31	PRIJEM	\N	173	18556	UROK	\N	\N
3454141	6927	1997-06-30	PRIJEM	\N	88	50976	UROK	\N	\N
3454142	6927	1997-07-31	PRIJEM	\N	119	15201	UROK	\N	\N
3454143	6927	1997-08-31	PRIJEM	\N	97	16163	UROK	\N	\N
3454144	6927	1997-09-30	PRIJEM	\N	101	21233	UROK	\N	\N
3454145	6927	1997-10-31	PRIJEM	\N	87	10490	UROK	\N	\N
3454146	6927	1997-11-30	PRIJEM	\N	43	903	UROK	\N	\N
3454147	6927	1997-12-31	PRIJEM	\N	4	877	UROK	\N	\N
3454148	6927	1998-02-28	PRIJEM	\N	4	16594	UROK	\N	\N
3454149	6927	1998-02-28	PRIJEM	\N	13	16589	UROK	\N	\N
3454150	6927	1998-03-31	PRIJEM	\N	68	6731	UROK	\N	\N
3454151	6927	1998-04-30	PRIJEM	\N	48	34082	UROK	\N	\N
3454152	6927	1998-05-31	PRIJEM	\N	130	20182	UROK	\N	\N
3454153	6927	1998-06-30	PRIJEM	\N	70	18437	UROK	\N	\N
3454154	6927	1998-07-31	PRIJEM	\N	79	24641	UROK	\N	\N
3454155	6927	1998-08-31	PRIJEM	\N	100	13711	UROK	\N	\N
3454156	6927	1998-09-30	PRIJEM	\N	54	-265	UROK	\N	\N
3454157	6927	1998-09-30	VYDAJ	VYBER	0	-265	SANKC. UROK	\N	\N
3454158	6927	1998-10-31	PRIJEM	\N	31	26145	UROK	\N	\N
3454159	6927	1998-10-31	VYDAJ	VYBER	4	26141	SANKC. UROK	\N	\N
3454160	6927	1998-11-30	PRIJEM	\N	109	48038	UROK	\N	\N
3454161	6927	1998-12-31	PRIJEM	\N	200	50767	UROK	\N	\N
3454197	7011	1993-10-31	PRIJEM	\N	28	41575	UROK	\N	\N
3454198	7011	1993-11-30	PRIJEM	\N	207	132043	UROK	\N	\N
3454199	7011	1993-12-31	PRIJEM	\N	428	87633	UROK	\N	\N
3454200	7011	1994-01-31	PRIJEM	\N	99	-3255	UROK	\N	\N
3454201	7011	1994-01-31	VYDAJ	VYBER	14	-3284	SANKC. UROK	\N	\N
3454202	7011	1994-02-28	PRIJEM	\N	2	11217	UROK	\N	\N
3454203	7011	1994-02-28	VYDAJ	VYBER	32	11171	SANKC. UROK	\N	\N
3454204	7011	1994-03-31	PRIJEM	\N	48	20519	UROK	\N	\N
3454205	7011	1994-04-30	PRIJEM	\N	118	68192	UROK	\N	\N
3454206	7011	1994-05-31	PRIJEM	\N	232	54983	UROK	\N	\N
3454207	7011	1994-06-30	PRIJEM	\N	86	11997	UROK	\N	\N
3454208	7011	1994-07-31	PRIJEM	\N	41	8323	UROK	\N	\N
3454209	7011	1994-08-31	PRIJEM	\N	122	29126	UROK	\N	\N
3454210	7011	1994-09-30	PRIJEM	\N	180	54761	UROK	\N	\N
3454211	7011	1994-10-31	PRIJEM	\N	248	79325	UROK	\N	\N
3454212	7011	1994-11-30	PRIJEM	\N	420	98307	UROK	\N	\N
3454213	7011	1994-12-31	PRIJEM	\N	323	59139	UROK	\N	\N
3454214	7011	1995-01-31	PRIJEM	\N	100	8662	UROK	\N	\N
3454215	7011	1995-02-28	PRIJEM	\N	85	38950	UROK	\N	\N
3454216	7011	1995-03-31	PRIJEM	\N	157	27836	UROK	\N	\N
3454217	7011	1995-04-30	PRIJEM	\N	115	27836	UROK	\N	\N
3454218	7011	1995-05-31	PRIJEM	\N	137	82189	UROK	\N	\N
3454219	7011	1995-06-30	PRIJEM	\N	313	31788	UROK	\N	\N
3454220	7011	1995-07-31	PRIJEM	\N	132	33405	UROK	\N	\N
3454221	7011	1995-08-31	PRIJEM	\N	160	46172	UROK	\N	\N
3454222	7011	1995-09-30	PRIJEM	\N	189	41847	UROK	\N	\N
3454223	7011	1995-10-31	PRIJEM	\N	173	42906	UROK	\N	\N
3454224	7011	1995-11-30	PRIJEM	\N	194	45476	UROK	\N	\N
3454225	7011	1995-12-31	PRIJEM	\N	187	44349	UROK	\N	\N
3454226	7011	1996-01-31	PRIJEM	\N	60	29052	UROK	\N	\N
3454227	7011	1996-01-31	VYDAJ	VYBER	1	29051	SANKC. UROK	\N	\N
3454228	7011	1996-02-29	PRIJEM	\N	121	37657	UROK	\N	\N
3454229	7011	1996-03-31	PRIJEM	\N	158	34617	UROK	\N	\N
3454230	7011	1996-04-30	PRIJEM	\N	167	69543	UROK	\N	\N
3454231	7011	1996-05-31	PRIJEM	\N	275	49015	UROK	\N	\N
3454232	7011	1996-06-30	PRIJEM	\N	143	59632	UROK	\N	\N
3454233	7011	1996-07-31	PRIJEM	\N	231	44957	UROK	\N	\N
3454234	7011	1996-08-31	PRIJEM	\N	184	46872	UROK	\N	\N
3454235	7011	1996-09-30	PRIJEM	\N	187	45670	UROK	\N	\N
3454236	7011	1996-10-31	PRIJEM	\N	194	50450	UROK	\N	\N
3454237	7011	1996-11-30	PRIJEM	\N	194	38511	UROK	\N	\N
3454238	7011	1996-12-31	PRIJEM	\N	158	38254	UROK	\N	\N
3454239	7011	1997-01-31	PRIJEM	\N	82	13122	UROK	\N	\N
3454240	7011	1997-02-28	PRIJEM	\N	67	27974	UROK	\N	\N
3454241	7011	1997-03-31	PRIJEM	\N	115	36275	UROK	\N	\N
3454242	7011	1997-04-30	PRIJEM	\N	149	48449	UROK	\N	\N
3454243	7011	1997-05-31	PRIJEM	\N	336	74069	UROK	\N	\N
3454244	7011	1997-06-30	PRIJEM	\N	266	96999	UROK	\N	\N
3454245	7011	1997-07-31	PRIJEM	\N	398	73482	UROK	\N	\N
3454246	7011	1997-08-31	PRIJEM	\N	279	59472	UROK	\N	\N
3454247	7011	1997-09-30	PRIJEM	\N	244	53901	UROK	\N	\N
3454248	7011	1997-10-31	PRIJEM	\N	209	39195	UROK	\N	\N
3454249	7011	1997-11-30	PRIJEM	\N	160	39340	UROK	\N	\N
3454250	7011	1997-12-31	PRIJEM	\N	166	75403	UROK	\N	\N
3454251	7011	1998-01-31	PRIJEM	\N	212	57566	UROK	\N	\N
3454252	7011	1998-02-28	PRIJEM	\N	364	94313	UROK	\N	\N
3454253	7011	1998-03-31	PRIJEM	\N	318	62016	UROK	\N	\N
3454254	7011	1998-04-30	PRIJEM	\N	220	36200	UROK	\N	\N
3454255	7011	1998-05-31	PRIJEM	\N	159	85843	UROK	\N	\N
3454256	7011	1998-06-30	PRIJEM	\N	247	88050	UROK	\N	\N
3454257	7011	1998-07-31	PRIJEM	\N	368	76023	UROK	\N	\N
3454258	7011	1998-08-31	PRIJEM	\N	352	97666	UROK	\N	\N
3454259	7011	1998-09-30	PRIJEM	\N	346	85002	UROK	\N	\N
3454260	7011	1998-10-31	PRIJEM	\N	368	97458	UROK	\N	\N
3454261	7011	1998-11-30	PRIJEM	\N	384	80223	UROK	\N	\N
3454262	7011	1998-12-31	PRIJEM	\N	266	63317	UROK	\N	\N
3454263	7033	1996-07-31	PRIJEM	\N	13	4614	UROK	\N	\N
3454264	7033	1996-08-31	PRIJEM	\N	53	16768	UROK	\N	\N
3454265	7033	1996-09-30	PRIJEM	\N	93	25363	UROK	\N	\N
3454266	7033	1996-10-31	PRIJEM	\N	118	29882	UROK	\N	\N
3454267	7033	1996-11-30	PRIJEM	\N	120	29203	UROK	\N	\N
3454268	7033	1996-12-31	PRIJEM	\N	110	23550	UROK	\N	\N
3454269	7033	1997-01-31	PRIJEM	\N	64	14901	UROK	\N	\N
3454270	7033	1997-02-28	PRIJEM	\N	63	22950	UROK	\N	\N
3454271	7033	1997-03-31	PRIJEM	\N	97	27933	UROK	\N	\N
3454272	7033	1997-04-30	PRIJEM	\N	109	24529	UROK	\N	\N
3454273	7033	1997-05-31	PRIJEM	\N	103	27018	UROK	\N	\N
3454274	7033	1997-06-30	PRIJEM	\N	119	25574	UROK	\N	\N
3454275	7033	1997-07-31	PRIJEM	\N	107	26868	UROK	\N	\N
3454276	7033	1997-08-31	PRIJEM	\N	111	24066	UROK	\N	\N
3454277	7033	1997-09-30	PRIJEM	\N	95	17248	UROK	\N	\N
3454278	7033	1997-10-31	PRIJEM	\N	73	13907	UROK	\N	\N
3454279	7033	1997-11-30	PRIJEM	\N	51	5845	UROK	\N	\N
3454280	7033	1997-12-31	PRIJEM	\N	31	7013	UROK	\N	\N
3454281	7033	1998-01-31	PRIJEM	\N	17	6516	UROK	\N	\N
3454282	7033	1998-02-28	PRIJEM	\N	26	5328	UROK	\N	\N
3454283	7033	1998-03-31	PRIJEM	\N	19	2534	UROK	\N	\N
3454284	7033	1998-04-30	PRIJEM	\N	9	1129	UROK	\N	\N
3454285	7033	1998-05-31	PRIJEM	\N	4	319	UROK	\N	\N
3454286	7033	1998-06-30	PRIJEM	\N	1	-1043	UROK	\N	\N
3454287	7033	1998-06-30	VYDAJ	VYBER	3	-1046	SANKC. UROK	\N	\N
3454288	7033	1998-07-31	PRIJEM	\N	1	-1859	UROK	\N	\N
3454289	7033	1998-07-31	VYDAJ	VYBER	11	-1870	SANKC. UROK	\N	\N
3454290	7033	1998-08-31	VYDAJ	VYBER	22	-3305	SANKC. UROK	\N	\N
3454291	7033	1998-09-30	VYDAJ	VYBER	47	-7166	SANKC. UROK	\N	\N
3454292	7033	1998-10-31	VYDAJ	VYBER	82	-9947	SANKC. UROK	\N	\N
3454293	7033	1998-11-30	VYDAJ	VYBER	96	-8742	SANKC. UROK	\N	\N
3454294	7052	1997-08-31	PRIJEM	\N	30	14090	UROK	\N	\N
3454295	7052	1997-09-30	PRIJEM	\N	76	22127	UROK	\N	\N
3454296	7052	1997-10-31	PRIJEM	\N	106	28393	UROK	\N	\N
3454297	7052	1997-11-30	PRIJEM	\N	128	32480	UROK	\N	\N
3454298	7052	1997-12-31	PRIJEM	\N	145	31838	UROK	\N	\N
3454299	7052	1998-01-31	PRIJEM	\N	70	-1409	UROK	\N	\N
3454300	7052	1998-01-31	VYDAJ	VYBER	5	-1414	SANKC. UROK	\N	\N
3454301	7052	1998-02-28	PRIJEM	\N	35	13581	UROK	\N	\N
3454302	7052	1998-02-28	VYDAJ	VYBER	5	13475	SANKC. UROK	\N	\N
3454303	7052	1998-03-31	PRIJEM	\N	83	24041	UROK	\N	\N
3454304	7052	1998-04-30	PRIJEM	\N	78	13020	UROK	\N	\N
3454305	7052	1998-05-31	PRIJEM	\N	72	21076	UROK	\N	\N
3454306	7052	1998-06-30	PRIJEM	\N	99	16504	UROK	\N	\N
3454307	7052	1998-07-31	PRIJEM	\N	104	27392	UROK	\N	\N
3454308	7052	1998-08-31	PRIJEM	\N	130	22124	UROK	\N	\N
3454309	7052	1998-09-30	PRIJEM	\N	80	13040	UROK	\N	\N
3454310	7052	1998-10-31	PRIJEM	\N	80	22571	UROK	\N	\N
3454311	7052	1998-11-30	PRIJEM	\N	72	13469	UROK	\N	\N
3454312	7052	1998-12-31	PRIJEM	\N	115	30797	UROK	\N	\N
3454313	7101	1996-07-31	PRIJEM	\N	13	9661	UROK	\N	\N
3454314	7101	1996-08-31	PRIJEM	\N	161	61614	UROK	\N	\N
3454315	7101	1996-09-30	PRIJEM	\N	269	77356	UROK	\N	\N
3454316	7101	1996-10-31	PRIJEM	\N	350	86407	UROK	\N	\N
3454317	7101	1996-11-30	PRIJEM	\N	251	45253	UROK	\N	\N
3454318	7101	1996-12-31	PRIJEM	\N	41	-2126	UROK	\N	\N
3454319	7101	1996-12-31	VYDAJ	VYBER	13	-2139	SANKC. UROK	\N	\N
3454320	7101	1997-01-31	PRIJEM	\N	0	-2618	UROK	\N	\N
3454321	7101	1997-01-31	VYDAJ	VYBER	20	-2653	SANKC. UROK	\N	\N
3454322	7101	1997-02-28	PRIJEM	\N	50	5684	UROK	\N	\N
3454323	7101	1997-02-28	VYDAJ	VYBER	2	5682	SANKC. UROK	\N	\N
3454324	7101	1997-03-31	PRIJEM	\N	174	45067	UROK	\N	\N
3454325	7101	1997-04-30	PRIJEM	\N	186	30738	UROK	\N	\N
3454326	7101	1997-05-31	PRIJEM	\N	205	74635	UROK	\N	\N
3454327	7101	1997-06-30	PRIJEM	\N	307	49228	UROK	\N	\N
3454328	7101	1997-07-31	PRIJEM	\N	134	28472	UROK	\N	\N
3454329	7101	1997-08-31	PRIJEM	\N	102	21759	UROK	\N	\N
3454330	7101	1997-09-30	PRIJEM	\N	90	19135	UROK	\N	\N
3454331	7101	1997-10-31	PRIJEM	\N	33	10313	UROK	\N	\N
3454332	7101	1997-10-31	VYDAJ	VYBER	11	7281	SANKC. UROK	\N	\N
3454333	7101	1997-11-30	PRIJEM	\N	49	17396	UROK	\N	\N
3454334	7101	1997-12-31	PRIJEM	\N	27	12708	UROK	\N	\N
3454335	7101	1998-01-31	PRIJEM	\N	33	2226	UROK	\N	\N
3454336	7101	1998-01-31	VYDAJ	VYBER	2	2225	SANKC. UROK	\N	\N
3454337	7101	1998-02-28	PRIJEM	\N	59	23773	UROK	\N	\N
3454338	7101	1998-03-31	PRIJEM	\N	99	28258	UROK	\N	\N
3454339	7101	1998-04-30	PRIJEM	\N	54	12743	UROK	\N	\N
3454340	7101	1998-05-31	PRIJEM	\N	53	15982	UROK	\N	\N
3454341	7101	1998-06-30	PRIJEM	\N	45	5012	UROK	\N	\N
3454342	7101	1998-07-31	PRIJEM	\N	27	13470	UROK	\N	\N
3454343	7101	1998-08-31	PRIJEM	\N	86	26493	UROK	\N	\N
3454344	7101	1998-09-30	PRIJEM	\N	110	27189	UROK	\N	\N
3454345	7101	1998-10-31	PRIJEM	\N	112	25587	UROK	\N	\N
3454346	7101	1998-11-30	PRIJEM	\N	105	22877	UROK	\N	\N
3454347	7203	1993-06-30	PRIJEM	\N	36	37332	UROK	\N	\N
3454348	7203	1993-07-31	PRIJEM	\N	155	30588	UROK	\N	\N
3454349	7203	1993-08-31	PRIJEM	\N	155	28343	UROK	\N	\N
3454350	7203	1993-09-30	PRIJEM	\N	155	26199	UROK	\N	\N
3454351	7203	1993-10-31	PRIJEM	\N	155	27654	UROK	\N	\N
3454352	7203	1993-11-30	PRIJEM	\N	155	25409	UROK	\N	\N
3454353	7203	1993-12-31	PRIJEM	\N	155	23665	UROK	\N	\N
3454354	7203	1994-01-31	PRIJEM	\N	174	71195	UROK	\N	\N
3454355	7203	1994-02-28	PRIJEM	\N	297	50392	UROK	\N	\N
3454356	7203	1994-03-31	PRIJEM	\N	297	36989	UROK	\N	\N
3454357	7203	1994-04-30	PRIJEM	\N	274	64437	UROK	\N	\N
3454358	7203	1994-05-31	PRIJEM	\N	252	32136	UROK	\N	\N
3454359	7203	1994-06-30	PRIJEM	\N	219	52955	UROK	\N	\N
3454360	7203	1994-07-31	PRIJEM	\N	212	47745	UROK	\N	\N
3454361	7203	1994-08-31	PRIJEM	\N	242	93058	UROK	\N	\N
3454362	7203	1994-09-30	PRIJEM	\N	362	73652	UROK	\N	\N
3454363	7203	1994-10-31	PRIJEM	\N	274	39890	UROK	\N	\N
3454364	7203	1994-11-30	PRIJEM	\N	175	30157	UROK	\N	\N
3454365	7203	1994-12-31	PRIJEM	\N	149	68773	UROK	\N	\N
3454366	7203	1995-01-31	PRIJEM	\N	312	83702	UROK	\N	\N
3454367	7203	1995-02-28	PRIJEM	\N	312	67978	UROK	\N	\N
3454368	7203	1995-03-31	PRIJEM	\N	247	51682	UROK	\N	\N
3454369	7203	1995-04-30	PRIJEM	\N	215	50499	UROK	\N	\N
3454370	7203	1995-05-31	PRIJEM	\N	209	36492	UROK	\N	\N
3454371	7203	1995-06-30	PRIJEM	\N	180	46242	UROK	\N	\N
3454372	7203	1995-07-31	PRIJEM	\N	245	60521	UROK	\N	\N
3454373	7203	1995-08-31	PRIJEM	\N	233	53264	UROK	\N	\N
3454374	7203	1995-09-30	PRIJEM	\N	226	55215	UROK	\N	\N
3454375	7203	1995-10-31	PRIJEM	\N	214	61306	UROK	\N	\N
3454376	7203	1995-11-30	PRIJEM	\N	252	42243	UROK	\N	\N
3454377	7203	1995-12-31	PRIJEM	\N	174	60432	UROK	\N	\N
3454378	7203	1996-01-31	PRIJEM	\N	187	24531	UROK	\N	\N
3454379	7203	1996-02-29	PRIJEM	\N	101	19517	UROK	\N	\N
3454380	7203	1996-03-31	PRIJEM	\N	57	10859	UROK	\N	\N
3454381	7203	1996-04-30	PRIJEM	\N	31	2924	UROK	\N	\N
3454382	7203	1996-05-31	PRIJEM	\N	12	9222	UROK	\N	\N
3454383	7203	1996-06-30	PRIJEM	\N	21	2528	UROK	\N	\N
3454384	7203	1996-07-31	PRIJEM	\N	14	4452	UROK	\N	\N
3454385	7203	1996-08-31	PRIJEM	\N	17	7454	UROK	\N	\N
3454386	7203	1996-09-30	PRIJEM	\N	29	7469	UROK	\N	\N
3454387	7203	1996-10-31	PRIJEM	\N	29	4583	UROK	\N	\N
3454388	7203	1996-11-30	PRIJEM	\N	17	2885	UROK	\N	\N
3454389	7203	1996-12-31	PRIJEM	\N	35	31477	UROK	\N	\N
3454390	7203	1997-01-31	PRIJEM	\N	37	3599	UROK	\N	\N
3454391	7203	1997-02-28	PRIJEM	\N	132	14707	UROK	\N	\N
3454392	7203	1997-03-31	PRIJEM	\N	26	5846	UROK	\N	\N
3454393	7203	1997-04-30	PRIJEM	\N	75	22027	UROK	\N	\N
3454394	7203	1997-05-31	PRIJEM	\N	16	1271	UROK	\N	\N
3454395	7203	1997-06-30	PRIJEM	\N	2	2558	UROK	\N	\N
3454396	7203	1997-07-31	PRIJEM	\N	7	3151	UROK	\N	\N
3454397	7203	1997-08-31	PRIJEM	\N	10	8146	UROK	\N	\N
3454398	7203	1997-09-30	PRIJEM	\N	33	8952	UROK	\N	\N
3454399	7203	1997-10-31	PRIJEM	\N	34	12871	UROK	\N	\N
3454400	7203	1997-11-30	PRIJEM	\N	49	11705	UROK	\N	\N
3454401	7203	1997-12-31	PRIJEM	\N	44	9234	UROK	\N	\N
3454402	7203	1998-01-31	PRIJEM	\N	21	6140	UROK	\N	\N
3454403	7203	1998-02-28	PRIJEM	\N	21	911	UROK	\N	\N
3454404	7203	1998-03-31	PRIJEM	\N	14	6810	UROK	\N	\N
3454405	7203	1998-04-30	PRIJEM	\N	23	8819	UROK	\N	\N
3454406	7203	1998-05-31	PRIJEM	\N	31	4035	UROK	\N	\N
3454407	7203	1998-06-30	PRIJEM	\N	12	6116	UROK	\N	\N
3454408	7203	1998-07-31	PRIJEM	\N	20	-1379	UROK	\N	\N
3454409	7203	1998-08-31	PRIJEM	\N	20	-5959	UROK	\N	\N
3454410	7203	1998-09-30	PRIJEM	\N	20	-10139	UROK	\N	\N
3454411	7203	1998-10-31	PRIJEM	\N	20	-8119	UROK	\N	\N
3454412	7231	1993-03-31	PRIJEM	\N	75	62348	UROK	\N	\N
3454413	7231	1993-04-30	PRIJEM	\N	243	55803	UROK	\N	\N
3454414	7231	1993-05-31	PRIJEM	\N	265	82069	UROK	\N	\N
3454415	7231	1993-06-30	PRIJEM	\N	151	16956	UROK	\N	\N
3454416	7231	1993-07-31	PRIJEM	\N	279	100943	UROK	\N	\N
3454417	7231	1993-08-31	PRIJEM	\N	295	45543	UROK	\N	\N
3454418	7231	1993-09-30	PRIJEM	\N	136	52770	UROK	\N	\N
3454419	7231	1993-10-31	PRIJEM	\N	169	35925	UROK	\N	\N
3454420	7231	1993-11-30	PRIJEM	\N	109	13735	UROK	\N	\N
3454421	7231	1993-12-31	PRIJEM	\N	144	87034	UROK	\N	\N
3454422	7231	1994-01-31	PRIJEM	\N	211	33682	UROK	\N	\N
3454423	7231	1994-02-28	PRIJEM	\N	141	43604	UROK	\N	\N
3454424	7231	1994-03-31	PRIJEM	\N	141	30550	UROK	\N	\N
3454425	7231	1994-04-30	PRIJEM	\N	171	44395	UROK	\N	\N
3454426	7231	1994-05-31	PRIJEM	\N	87	792	UROK	\N	\N
3454427	7231	1994-05-31	VYDAJ	VYBER	2	775	SANKC. UROK	\N	\N
3454428	7231	1994-06-30	PRIJEM	\N	233	102117	UROK	\N	\N
3454429	7231	1994-07-31	PRIJEM	\N	232	45009	UROK	\N	\N
3454430	7231	1994-08-31	PRIJEM	\N	179	79515	UROK	\N	\N
3454431	7231	1994-09-30	PRIJEM	\N	184	86384	UROK	\N	\N
3454432	7231	1994-10-31	PRIJEM	\N	376	103589	UROK	\N	\N
3454433	7231	1994-11-30	PRIJEM	\N	135	28910	UROK	\N	\N
3454434	7231	1994-12-31	PRIJEM	\N	79	12255	UROK	\N	\N
3454435	7231	1995-01-31	PRIJEM	\N	17	32858	UROK	\N	\N
3454436	7231	1995-01-31	VYDAJ	VYBER	11	32832	SANKC. UROK	\N	\N
3454437	7231	1995-02-28	PRIJEM	\N	171	54358	UROK	\N	\N
3454438	7231	1995-03-31	PRIJEM	\N	190	49692	UROK	\N	\N
3454439	7231	1995-04-30	PRIJEM	\N	96	15645	UROK	\N	\N
3454440	7231	1995-05-31	PRIJEM	\N	63	19193	UROK	\N	\N
3454441	7231	1995-06-30	PRIJEM	\N	43	14196	UROK	\N	\N
3454442	7231	1995-07-31	PRIJEM	\N	84	35711	UROK	\N	\N
3454443	7231	1995-08-31	PRIJEM	\N	264	68222	UROK	\N	\N
3454444	7231	1995-09-30	PRIJEM	\N	278	41724	UROK	\N	\N
3454445	7231	1995-10-31	PRIJEM	\N	131	22540	UROK	\N	\N
3454446	7231	1995-11-30	PRIJEM	\N	48	21174	UROK	\N	\N
3454447	7231	1995-12-31	PRIJEM	\N	51	18310	UROK	\N	\N
3454448	7231	1996-01-31	PRIJEM	\N	116	28726	UROK	\N	\N
3454449	7231	1996-02-29	PRIJEM	\N	103	14263	UROK	\N	\N
3454450	7231	1996-03-31	PRIJEM	\N	83	33109	UROK	\N	\N
3454451	7231	1996-04-30	PRIJEM	\N	131	24636	UROK	\N	\N
3454452	7231	1996-05-31	PRIJEM	\N	121	66292	UROK	\N	\N
3454453	7231	1996-06-30	PRIJEM	\N	255	13343	UROK	\N	\N
3454454	7231	1996-07-31	PRIJEM	\N	108	66974	UROK	\N	\N
3454455	7231	1996-08-31	PRIJEM	\N	269	52888	UROK	\N	\N
3454456	7231	1996-09-30	PRIJEM	\N	206	40934	UROK	\N	\N
3454457	7231	1996-10-31	PRIJEM	\N	155	29274	UROK	\N	\N
3454458	7231	1996-11-30	PRIJEM	\N	332	75504	UROK	\N	\N
3454459	7231	1996-12-31	PRIJEM	\N	208	40514	UROK	\N	\N
3454460	7231	1997-01-31	PRIJEM	\N	70	4770	UROK	\N	\N
3454461	7231	1997-02-28	PRIJEM	\N	51	33932	UROK	\N	\N
3454462	7231	1997-03-31	PRIJEM	\N	146	40665	UROK	\N	\N
3454463	7231	1997-04-30	PRIJEM	\N	176	40578	UROK	\N	\N
3454464	7231	1997-05-31	PRIJEM	\N	234	84334	UROK	\N	\N
3454465	7231	1997-06-30	PRIJEM	\N	337	73900	UROK	\N	\N
3454466	7231	1997-07-31	PRIJEM	\N	254	40457	UROK	\N	\N
3454467	7231	1997-08-31	PRIJEM	\N	166	41874	UROK	\N	\N
3454468	7231	1997-09-30	PRIJEM	\N	258	83904	UROK	\N	\N
3454469	7231	1997-10-31	PRIJEM	\N	341	56630	UROK	\N	\N
3454470	7231	1997-11-30	PRIJEM	\N	281	66494	UROK	\N	\N
3454471	7231	1997-12-31	PRIJEM	\N	220	56901	UROK	\N	\N
3454472	7231	1998-01-31	PRIJEM	\N	200	59734	UROK	\N	\N
3454473	7231	1998-02-28	PRIJEM	\N	271	57358	UROK	\N	\N
3454474	7231	1998-03-31	PRIJEM	\N	329	76074	UROK	\N	\N
3454475	7231	1998-04-30	PRIJEM	\N	305	58177	UROK	\N	\N
3454476	7231	1998-05-31	PRIJEM	\N	237	52497	UROK	\N	\N
3454477	7231	1998-06-30	PRIJEM	\N	168	42098	UROK	\N	\N
3454478	7231	1998-07-31	PRIJEM	\N	283	92482	UROK	\N	\N
3454479	7231	1998-08-31	PRIJEM	\N	534	109878	UROK	\N	\N
3454480	7231	1998-09-30	PRIJEM	\N	417	92655	UROK	\N	\N
3454481	7231	1998-10-31	PRIJEM	\N	306	45709	UROK	\N	\N
3454482	7231	1998-11-30	PRIJEM	\N	150	28145	UROK	\N	\N
3454483	7231	1998-12-31	PRIJEM	\N	237	89643	UROK	\N	\N
3454484	7418	1995-04-30	PRIJEM	\N	47	16278	UROK	\N	\N
3454485	7418	1995-05-31	PRIJEM	\N	125	36168	UROK	\N	\N
3454486	7418	1995-06-30	PRIJEM	\N	207	56391	UROK	\N	\N
3454487	7418	1995-07-31	PRIJEM	\N	237	58621	UROK	\N	\N
3454488	7418	1995-08-31	PRIJEM	\N	205	44480	UROK	\N	\N
3454489	7418	1995-09-30	PRIJEM	\N	95	20847	UROK	\N	\N
3454490	7418	1995-10-31	PRIJEM	\N	105	26461	UROK	\N	\N
3454491	7418	1995-11-30	PRIJEM	\N	110	29696	UROK	\N	\N
3454492	7418	1995-12-31	PRIJEM	\N	126	34555	UROK	\N	\N
3454493	7418	1996-01-31	PRIJEM	\N	102	24020	UROK	\N	\N
3454494	7418	1996-02-29	PRIJEM	\N	79	24207	UROK	\N	\N
3454495	7418	1996-03-31	PRIJEM	\N	107	27606	UROK	\N	\N
3454496	7418	1996-04-30	PRIJEM	\N	98	25028	UROK	\N	\N
3454497	7418	1996-05-31	PRIJEM	\N	74	19857	UROK	\N	\N
3454498	7418	1996-06-30	PRIJEM	\N	75	19316	UROK	\N	\N
3454499	7418	1996-07-31	PRIJEM	\N	98	24421	UROK	\N	\N
3454500	7418	1996-08-31	PRIJEM	\N	82	26904	UROK	\N	\N
3454501	7418	1996-09-30	PRIJEM	\N	122	20896	UROK	\N	\N
3454502	7418	1996-10-31	PRIJEM	\N	62	16862	UROK	\N	\N
3454503	7418	1996-11-30	PRIJEM	\N	50	15783	UROK	\N	\N
3454504	7418	1996-12-31	PRIJEM	\N	54	13429	UROK	\N	\N
3454505	7418	1997-01-31	PRIJEM	\N	23	7122	UROK	\N	\N
3454506	7418	1997-01-31	VYDAJ	VYBER	3	7117	SANKC. UROK	\N	\N
3454507	7418	1997-02-28	PRIJEM	\N	18	-9800	UROK	\N	\N
3454508	7418	1997-02-28	VYDAJ	VYBER	10	-9819	SANKC. UROK	\N	\N
3454509	7418	1997-03-31	PRIJEM	\N	0	4598	UROK	\N	\N
3454510	7418	1997-03-31	VYDAJ	VYBER	57	4541	SANKC. UROK	\N	\N
3454511	7418	1997-04-30	PRIJEM	\N	4	2273	UROK	\N	\N
3454512	7418	1997-04-30	VYDAJ	VYBER	11	2246	SANKC. UROK	\N	\N
3454513	7418	1997-05-31	PRIJEM	\N	24	7331	UROK	\N	\N
3454514	7418	1997-05-31	VYDAJ	VYBER	6	7354	SANKC. UROK	\N	\N
3454515	7418	1997-06-30	PRIJEM	\N	34	9481	UROK	\N	\N
3454516	7418	1997-07-31	PRIJEM	\N	52	-8756	UROK	\N	\N
3454517	7418	1997-07-31	VYDAJ	VYBER	8	-8768	SANKC. UROK	\N	\N
3454518	7418	1997-08-31	PRIJEM	\N	4	7754	UROK	\N	\N
3454519	7418	1997-08-31	VYDAJ	VYBER	46	7721	SANKC. UROK	\N	\N
3454520	7418	1997-09-30	PRIJEM	\N	7	2514	UROK	\N	\N
3454521	7418	1997-09-30	VYDAJ	VYBER	7	2497	SANKC. UROK	\N	\N
3454522	7418	1997-10-31	PRIJEM	\N	25	4815	UROK	\N	\N
3454523	7418	1997-10-31	VYDAJ	VYBER	4	4811	SANKC. UROK	\N	\N
3454524	7418	1997-11-30	PRIJEM	\N	2	741	UROK	\N	\N
3454525	7418	1997-11-30	VYDAJ	VYBER	2	715	SANKC. UROK	\N	\N
3454526	7418	1997-12-31	PRIJEM	\N	16	-9678	UROK	\N	\N
3454527	7418	1997-12-31	VYDAJ	VYBER	25	-9676	SANKC. UROK	\N	\N
3454528	7418	1998-01-31	VYDAJ	VYBER	46	2869	SANKC. UROK	\N	\N
3454529	7418	1998-02-28	PRIJEM	\N	4	2782	UROK	\N	\N
3454530	7418	1998-02-28	VYDAJ	VYBER	8	2760	SANKC. UROK	\N	\N
3454531	7418	1998-03-31	PRIJEM	\N	8	2807	UROK	\N	\N
3454532	7418	1998-03-31	VYDAJ	VYBER	8	2801	SANKC. UROK	\N	\N
3454533	7418	1998-04-30	PRIJEM	\N	16	6963	UROK	\N	\N
3454534	7418	1998-04-30	VYDAJ	VYBER	6	6967	SANKC. UROK	\N	\N
3454535	7418	1998-05-31	PRIJEM	\N	20	8411	UROK	\N	\N
3454536	7418	1998-06-30	PRIJEM	\N	32	11875	UROK	\N	\N
3454537	7418	1998-06-30	VYDAJ	VYBER	20	11920	SANKC. UROK	\N	\N
3454538	7418	1998-07-31	PRIJEM	\N	39	11775	UROK	\N	\N
3454539	7418	1998-08-31	PRIJEM	\N	60	18427	UROK	\N	\N
3454540	7418	1998-09-30	PRIJEM	\N	52	12992	UROK	\N	\N
3454541	7418	1998-10-31	PRIJEM	\N	58	20978	UROK	\N	\N
3454542	7418	1998-11-30	PRIJEM	\N	60	14063	UROK	\N	\N
3454543	7418	1998-12-31	PRIJEM	\N	68	16716	UROK	\N	\N
3454544	7445	1993-04-30	PRIJEM	\N	60	40386	UROK	\N	\N
3454545	7445	1993-05-31	PRIJEM	\N	221	84038	UROK	\N	\N
3454546	7445	1993-06-30	PRIJEM	\N	315	59966	UROK	\N	\N
3454547	7445	1993-07-31	PRIJEM	\N	260	64340	UROK	\N	\N
3454548	7445	1993-08-31	PRIJEM	\N	229	48132	UROK	\N	\N
3454549	7445	1993-09-30	PRIJEM	\N	191	44868	UROK	\N	\N
3454550	7445	1993-10-31	PRIJEM	\N	180	50487	UROK	\N	\N
3454551	7445	1993-11-30	PRIJEM	\N	186	46310	UROK	\N	\N
3454552	7445	1993-12-31	PRIJEM	\N	177	44801	UROK	\N	\N
3454553	7445	1994-01-31	PRIJEM	\N	82	27635	UROK	\N	\N
3454554	7445	1994-02-28	PRIJEM	\N	66	2329	UROK	\N	\N
3454555	7445	1994-03-31	PRIJEM	\N	56	24752	UROK	\N	\N
3454556	7445	1994-04-30	PRIJEM	\N	83	15889	UROK	\N	\N
3454557	7445	1994-05-31	PRIJEM	\N	72	18740	UROK	\N	\N
3454558	7445	1994-06-30	PRIJEM	\N	85	36265	UROK	\N	\N
3454559	7445	1994-07-31	PRIJEM	\N	92	10733	UROK	\N	\N
3454560	7445	1994-08-31	PRIJEM	\N	54	16146	UROK	\N	\N
3454561	7445	1994-09-30	PRIJEM	\N	68	19661	UROK	\N	\N
3454562	7445	1994-10-31	PRIJEM	\N	43	220	UROK	\N	\N
3454563	7445	1994-10-31	VYDAJ	VYBER	8	212	SANKC. UROK	\N	\N
3454564	7445	1994-11-30	PRIJEM	\N	22	10506	UROK	\N	\N
3454565	7445	1994-11-30	VYDAJ	VYBER	7	10505	SANKC. UROK	\N	\N
3454566	7445	1994-12-31	PRIJEM	\N	40	5309	UROK	\N	\N
3454567	7445	1995-01-31	PRIJEM	\N	27	2239	UROK	\N	\N
3454568	7445	1995-02-28	PRIJEM	\N	98	39005	UROK	\N	\N
3454569	7445	1995-03-31	PRIJEM	\N	128	24676	UROK	\N	\N
3454570	7445	1995-04-30	PRIJEM	\N	89	23344	UROK	\N	\N
3454571	7445	1995-05-31	PRIJEM	\N	103	55369	UROK	\N	\N
3454572	7445	1995-06-30	PRIJEM	\N	281	62181	UROK	\N	\N
3454573	7445	1995-07-31	PRIJEM	\N	189	40549	UROK	\N	\N
3454574	7445	1995-08-31	PRIJEM	\N	88	16428	UROK	\N	\N
3454575	7445	1995-09-30	PRIJEM	\N	263	78294	UROK	\N	\N
3454576	7445	1995-10-31	PRIJEM	\N	130	26982	UROK	\N	\N
3454577	7445	1995-11-30	PRIJEM	\N	56	13258	UROK	\N	\N
3454578	7445	1995-12-31	PRIJEM	\N	57	18093	UROK	\N	\N
3454579	7445	1996-01-31	PRIJEM	\N	106	48455	UROK	\N	\N
3454580	7445	1996-01-31	VYDAJ	VYBER	3	48452	SANKC. UROK	\N	\N
3454581	7445	1996-02-29	PRIJEM	\N	336	87695	UROK	\N	\N
3454582	7445	1996-03-31	PRIJEM	\N	365	106438	UROK	\N	\N
3454583	7445	1996-04-30	PRIJEM	\N	338	76849	UROK	\N	\N
3454584	7445	1996-05-31	PRIJEM	\N	142	65023	UROK	\N	\N
3454585	7445	1996-06-30	PRIJEM	\N	117	17636	UROK	\N	\N
3454586	7445	1996-07-31	PRIJEM	\N	74	35282	UROK	\N	\N
3454587	7445	1996-08-31	PRIJEM	\N	121	21475	UROK	\N	\N
3454588	7445	1996-09-30	PRIJEM	\N	68	17633	UROK	\N	\N
3454589	7445	1996-10-31	PRIJEM	\N	250	108292	UROK	\N	\N
3454590	7445	1996-11-30	PRIJEM	\N	404	43065	UROK	\N	\N
3454591	7445	1996-12-31	PRIJEM	\N	306	72376	UROK	\N	\N
3454592	7445	1997-01-31	PRIJEM	\N	173	27447	UROK	\N	\N
3454593	7445	1997-02-28	PRIJEM	\N	137	39701	UROK	\N	\N
3454594	7445	1997-03-31	PRIJEM	\N	104	45299	UROK	\N	\N
3454595	7445	1997-04-30	PRIJEM	\N	146	6674	UROK	\N	\N
3454596	7445	1997-05-31	PRIJEM	\N	2	12007	UROK	\N	\N
3454597	7445	1997-06-30	PRIJEM	\N	88	27462	UROK	\N	\N
3454598	7445	1997-07-31	PRIJEM	\N	108	31619	UROK	\N	\N
3454599	7445	1997-08-31	PRIJEM	\N	94	22415	UROK	\N	\N
3454600	7445	1997-09-30	PRIJEM	\N	210	53284	UROK	\N	\N
3454601	7445	1997-10-31	PRIJEM	\N	315	46671	UROK	\N	\N
3454602	7445	1997-11-30	PRIJEM	\N	137	24615	UROK	\N	\N
3454603	7445	1997-12-31	PRIJEM	\N	70	24673	UROK	\N	\N
3454604	7445	1998-01-31	PRIJEM	\N	31	9365	UROK	\N	\N
3454605	7445	1998-02-28	PRIJEM	\N	8	9073	UROK	\N	\N
3454606	7445	1998-03-31	PRIJEM	\N	6	8970	UROK	\N	\N
3454607	7445	1998-04-30	PRIJEM	\N	9	6468	UROK	\N	\N
3454608	7445	1998-05-31	PRIJEM	\N	68	5115	UROK	\N	\N
3454609	7445	1998-05-31	VYDAJ	VYBER	10	5097	SANKC. UROK	\N	\N
3454610	7445	1998-06-30	VYDAJ	VYBER	27	6769	SANKC. UROK	\N	\N
3454611	7445	1998-07-31	PRIJEM	\N	0	8970	UROK	\N	\N
3454612	7445	1998-07-31	VYDAJ	VYBER	26	8943	SANKC. UROK	\N	\N
3454613	7445	1998-08-31	PRIJEM	\N	50	73092	UROK	\N	\N
3454614	7445	1998-09-30	PRIJEM	\N	210	39134	UROK	\N	\N
3454615	7445	1998-10-31	PRIJEM	\N	184	42462	UROK	\N	\N
3454616	7445	1998-11-30	PRIJEM	\N	82	11919	UROK	\N	\N
3454617	7445	1998-12-31	PRIJEM	\N	69	16477	UROK	\N	\N
3454618	7449	1993-12-31	PRIJEM	\N	17	15911	UROK	\N	\N
3454619	7449	1994-01-31	PRIJEM	\N	77	24574	UROK	\N	\N
3454620	7449	1994-02-28	PRIJEM	\N	105	27591	UROK	\N	\N
3454621	7449	1994-03-31	PRIJEM	\N	118	31120	UROK	\N	\N
3454622	7449	1994-04-30	PRIJEM	\N	130	32265	UROK	\N	\N
3454623	7449	1994-05-31	PRIJEM	\N	129	27976	UROK	\N	\N
3454624	7449	1994-06-30	PRIJEM	\N	117	28687	UROK	\N	\N
3454625	7449	1994-07-31	PRIJEM	\N	119	29132	UROK	\N	\N
3454626	7449	1994-08-31	PRIJEM	\N	125	32729	UROK	\N	\N
3454627	7449	1994-09-30	PRIJEM	\N	130	29992	UROK	\N	\N
3454628	7449	1994-10-31	PRIJEM	\N	120	28183	UROK	\N	\N
3454629	7449	1994-11-30	PRIJEM	\N	114	27309	UROK	\N	\N
3454630	7449	1994-12-31	PRIJEM	\N	116	28190	UROK	\N	\N
3454631	7449	1995-01-31	PRIJEM	\N	112	26879	UROK	\N	\N
3454632	7449	1995-02-28	PRIJEM	\N	103	21505	UROK	\N	\N
3454633	7449	1995-03-31	PRIJEM	\N	90	23665	UROK	\N	\N
3454634	7449	1995-04-30	PRIJEM	\N	100	26873	UROK	\N	\N
3454635	7449	1995-05-31	PRIJEM	\N	109	27359	UROK	\N	\N
3454636	7449	1995-06-30	PRIJEM	\N	49	11411	UROK	\N	\N
3454637	7449	1995-06-30	VYDAJ	VYBER	7	11390	SANKC. UROK	\N	\N
3454638	7449	1995-07-31	PRIJEM	\N	53	16276	UROK	\N	\N
3454639	7449	1995-08-31	PRIJEM	\N	78	23426	UROK	\N	\N
3454640	7449	1995-09-30	PRIJEM	\N	98	25531	UROK	\N	\N
3454641	7449	1995-10-31	PRIJEM	\N	110	29363	UROK	\N	\N
3454642	7449	1995-11-30	PRIJEM	\N	121	31416	UROK	\N	\N
3454643	7449	1995-12-31	PRIJEM	\N	125	31316	UROK	\N	\N
3454644	7449	1996-01-31	PRIJEM	\N	99	24418	UROK	\N	\N
3454645	7449	1996-02-29	PRIJEM	\N	106	28962	UROK	\N	\N
3454646	7449	1996-03-31	PRIJEM	\N	128	33341	UROK	\N	\N
3454647	7449	1996-04-30	PRIJEM	\N	140	36759	UROK	\N	\N
3454648	7449	1996-05-31	PRIJEM	\N	155	40776	UROK	\N	\N
3454649	7449	1996-06-30	PRIJEM	\N	105	22765	UROK	\N	\N
3454650	7449	1996-07-31	PRIJEM	\N	112	32332	UROK	\N	\N
3454651	7449	1996-08-31	PRIJEM	\N	147	40051	UROK	\N	\N
3454652	7449	1996-09-30	PRIJEM	\N	170	44905	UROK	\N	\N
3454653	7449	1996-10-31	PRIJEM	\N	169	42515	UROK	\N	\N
3454654	7449	1996-11-30	PRIJEM	\N	164	42150	UROK	\N	\N
3454655	7449	1996-12-31	PRIJEM	\N	180	47160	UROK	\N	\N
3454656	7449	1997-01-31	PRIJEM	\N	174	41561	UROK	\N	\N
3454657	7449	1997-02-28	PRIJEM	\N	177	47009	UROK	\N	\N
3454658	7449	1997-03-31	PRIJEM	\N	189	49754	UROK	\N	\N
3454659	7449	1997-04-30	PRIJEM	\N	208	48636	UROK	\N	\N
3454660	7449	1997-05-31	PRIJEM	\N	177	46051	UROK	\N	\N
3454661	7449	1997-06-30	PRIJEM	\N	99	11454	UROK	\N	\N
3454662	7449	1997-07-31	PRIJEM	\N	109	34942	UROK	\N	\N
3454663	7449	1997-08-31	PRIJEM	\N	165	46344	UROK	\N	\N
3454664	7449	1997-09-30	PRIJEM	\N	187	50202	UROK	\N	\N
3454665	7449	1997-10-31	PRIJEM	\N	199	53214	UROK	\N	\N
3454666	7449	1997-11-30	PRIJEM	\N	179	43944	UROK	\N	\N
3454667	7449	1997-12-31	PRIJEM	\N	149	39776	UROK	\N	\N
3454668	7449	1998-01-31	PRIJEM	\N	143	38844	UROK	\N	\N
3454669	7449	1998-02-28	PRIJEM	\N	126	34941	UROK	\N	\N
3454670	7449	1998-03-31	PRIJEM	\N	129	37068	UROK	\N	\N
3454671	7449	1998-04-30	PRIJEM	\N	131	37099	UROK	\N	\N
3454672	7449	1998-05-31	PRIJEM	\N	124	34475	UROK	\N	\N
3454673	7449	1998-06-30	PRIJEM	\N	130	37770	UROK	\N	\N
3454674	7449	1998-07-31	PRIJEM	\N	145	42003	UROK	\N	\N
3454675	7449	1998-08-31	PRIJEM	\N	141	41520	UROK	\N	\N
3454676	7449	1998-09-30	PRIJEM	\N	148	43944	UROK	\N	\N
3454677	7449	1998-10-31	PRIJEM	\N	156	43281	UROK	\N	\N
3454678	7449	1998-11-30	PRIJEM	\N	136	41129	UROK	\N	\N
3454679	7449	1998-12-31	PRIJEM	\N	167	47947	UROK	\N	\N
3454680	7520	1996-04-30	PRIJEM	\N	9	22178	UROK	\N	\N
3454681	7520	1996-05-31	PRIJEM	\N	97	30550	UROK	\N	\N
3454682	7520	1996-06-30	PRIJEM	\N	133	41166	UROK	\N	\N
3454683	7520	1996-07-31	PRIJEM	\N	169	38625	UROK	\N	\N
3454684	7520	1996-08-31	PRIJEM	\N	164	35958	UROK	\N	\N
3454685	7520	1996-09-30	PRIJEM	\N	151	37865	UROK	\N	\N
3454686	7520	1996-10-31	PRIJEM	\N	161	38936	UROK	\N	\N
3454687	7520	1996-11-30	PRIJEM	\N	173	37464	UROK	\N	\N
3454688	7520	1996-12-31	PRIJEM	\N	157	39897	UROK	\N	\N
3454689	7520	1997-01-31	PRIJEM	\N	174	29726	UROK	\N	\N
3454690	7520	1997-02-28	PRIJEM	\N	131	30296	UROK	\N	\N
3454691	7520	1997-03-31	PRIJEM	\N	124	31375	UROK	\N	\N
3454692	7520	1997-04-30	PRIJEM	\N	128	32519	UROK	\N	\N
3454693	7520	1997-05-31	PRIJEM	\N	127	29127	UROK	\N	\N
3454694	7520	1997-06-30	PRIJEM	\N	124	21311	UROK	\N	\N
3454695	7520	1997-07-31	PRIJEM	\N	82	20073	UROK	\N	\N
3454696	7520	1997-08-31	PRIJEM	\N	78	19582	UROK	\N	\N
3454697	7520	1997-09-30	PRIJEM	\N	90	17727	UROK	\N	\N
3454698	7520	1997-10-31	PRIJEM	\N	85	14153	UROK	\N	\N
3454699	7520	1997-11-30	PRIJEM	\N	51	13025	UROK	\N	\N
3454700	7520	1997-12-31	PRIJEM	\N	41	8167	UROK	\N	\N
3454701	7520	1998-01-31	PRIJEM	\N	30	-749	UROK	\N	\N
3454702	7520	1998-01-31	VYDAJ	VYBER	3	-729	SANKC. UROK	\N	\N
3454703	7520	1998-02-28	VYDAJ	VYBER	26	-1335	SANKC. UROK	\N	\N
3454704	7520	1998-03-31	VYDAJ	VYBER	25	-290	SANKC. UROK	\N	\N
3454705	7520	1998-04-30	VYDAJ	VYBER	24	-1467	SANKC. UROK	\N	\N
3454706	7520	1998-05-31	VYDAJ	VYBER	41	-3875	SANKC. UROK	\N	\N
3454707	7520	1998-06-30	VYDAJ	VYBER	51	-3172	SANKC. UROK	\N	\N
3454708	7520	1998-07-31	VYDAJ	VYBER	76	-8999	SANKC. UROK	\N	\N
3454709	7520	1998-08-31	VYDAJ	VYBER	122	-12266	SANKC. UROK	\N	\N
3454710	7520	1998-09-30	VYDAJ	VYBER	121	-9372	SANKC. UROK	\N	\N
3454711	7520	1998-10-31	VYDAJ	VYBER	100	-7951	SANKC. UROK	\N	\N
3454712	7520	1998-11-30	VYDAJ	VYBER	120	-12702	SANKC. UROK	\N	\N
3454713	7520	1998-12-31	VYDAJ	VYBER	130	-10953	SANKC. UROK	\N	\N
3454714	7523	1994-09-30	PRIJEM	\N	10	23149	UROK	\N	\N
3454715	7523	1994-10-31	PRIJEM	\N	102	33197	UROK	\N	\N
3454716	7523	1994-11-30	PRIJEM	\N	142	40989	UROK	\N	\N
3454717	7523	1994-12-31	PRIJEM	\N	175	48841	UROK	\N	\N
3454718	7523	1995-01-31	PRIJEM	\N	185	28885	UROK	\N	\N
3454719	7523	1995-02-28	PRIJEM	\N	135	30859	UROK	\N	\N
3454720	7523	1995-03-31	PRIJEM	\N	130	28027	UROK	\N	\N
3454721	7523	1995-04-30	PRIJEM	\N	138	32181	UROK	\N	\N
3454722	7523	1995-05-31	PRIJEM	\N	150	32248	UROK	\N	\N
3454723	7523	1995-06-30	PRIJEM	\N	156	32137	UROK	\N	\N
3454724	7523	1995-07-31	PRIJEM	\N	140	32318	UROK	\N	\N
3454725	7523	1995-08-31	PRIJEM	\N	138	31152	UROK	\N	\N
3454726	7523	1995-09-30	PRIJEM	\N	136	29179	UROK	\N	\N
3454727	7523	1995-10-31	PRIJEM	\N	133	31617	UROK	\N	\N
3454728	7523	1995-11-30	PRIJEM	\N	149	28681	UROK	\N	\N
3454729	7523	1995-12-31	PRIJEM	\N	156	36540	UROK	\N	\N
3454730	7523	1996-01-31	PRIJEM	\N	139	19741	UROK	\N	\N
3454731	7523	1996-02-29	PRIJEM	\N	90	22333	UROK	\N	\N
3454732	7523	1996-03-31	PRIJEM	\N	112	28533	UROK	\N	\N
3454733	7523	1996-04-30	PRIJEM	\N	124	32083	UROK	\N	\N
3454734	7523	1996-05-31	PRIJEM	\N	130	22719	UROK	\N	\N
3454735	7523	1996-06-30	PRIJEM	\N	128	34175	UROK	\N	\N
3454736	7523	1996-07-31	PRIJEM	\N	149	35057	UROK	\N	\N
3454737	7523	1996-08-31	PRIJEM	\N	150	37062	UROK	\N	\N
3454738	7523	1996-09-30	PRIJEM	\N	147	35506	UROK	\N	\N
3454739	7523	1996-10-31	PRIJEM	\N	143	33718	UROK	\N	\N
3454740	7523	1996-11-30	PRIJEM	\N	121	33566	UROK	\N	\N
3454741	7523	1996-12-31	PRIJEM	\N	169	41757	UROK	\N	\N
3454742	7523	1997-01-31	PRIJEM	\N	130	21822	UROK	\N	\N
3454743	7523	1997-02-28	PRIJEM	\N	106	30961	UROK	\N	\N
3454744	7523	1997-03-31	PRIJEM	\N	129	35807	UROK	\N	\N
3454745	7523	1997-04-30	PRIJEM	\N	156	40779	UROK	\N	\N
3454746	7523	1997-05-31	PRIJEM	\N	163	41947	UROK	\N	\N
3454747	7523	1997-06-30	PRIJEM	\N	169	42020	UROK	\N	\N
3454748	7523	1997-07-31	PRIJEM	\N	158	36163	UROK	\N	\N
3454749	7523	1997-08-31	PRIJEM	\N	130	27001	UROK	\N	\N
3454750	7523	1997-09-30	PRIJEM	\N	136	35542	UROK	\N	\N
3454751	7523	1997-10-31	PRIJEM	\N	152	34148	UROK	\N	\N
3454752	7523	1997-11-30	PRIJEM	\N	97	24044	UROK	\N	\N
3454753	7523	1997-12-31	PRIJEM	\N	80	24001	UROK	\N	\N
3454754	7523	1998-01-31	PRIJEM	\N	77	21273	UROK	\N	\N
3454755	7523	1998-02-28	PRIJEM	\N	54	13646	UROK	\N	\N
3454756	7523	1998-03-31	PRIJEM	\N	44	13562	UROK	\N	\N
3454757	7523	1998-04-30	PRIJEM	\N	67	19749	UROK	\N	\N
3454758	7523	1998-05-31	PRIJEM	\N	54	15961	UROK	\N	\N
3454759	7523	1998-06-30	PRIJEM	\N	69	21004	UROK	\N	\N
3454760	7523	1998-07-31	PRIJEM	\N	76	19198	UROK	\N	\N
3454761	7523	1998-08-31	PRIJEM	\N	75	15468	UROK	\N	\N
3454762	7523	1998-09-30	PRIJEM	\N	107	19164	UROK	\N	\N
3454763	7523	1998-10-31	PRIJEM	\N	65	16947	UROK	\N	\N
3454764	7523	1998-11-30	PRIJEM	\N	66	23350	UROK	\N	\N
3454765	7523	1998-12-31	PRIJEM	\N	123	33509	UROK	\N	\N
3454784	7618	1995-07-31	PRIJEM	\N	69	27193	UROK	\N	\N
3454785	7618	1995-08-31	PRIJEM	\N	146	39730	UROK	\N	\N
3454786	7618	1995-09-30	PRIJEM	\N	184	46938	UROK	\N	\N
3454787	7618	1995-10-31	PRIJEM	\N	203	50087	UROK	\N	\N
3454788	7618	1995-11-30	PRIJEM	\N	206	50087	UROK	\N	\N
3454789	7618	1995-12-31	PRIJEM	\N	172	26995	UROK	\N	\N
3454790	7618	1996-01-31	PRIJEM	\N	73	3565	UROK	\N	\N
3454791	7618	1996-02-29	PRIJEM	\N	70	13711	UROK	\N	\N
3454792	7618	1996-03-31	PRIJEM	\N	82	11793	UROK	\N	\N
3454793	7618	1996-04-30	PRIJEM	\N	138	42325	UROK	\N	\N
3454794	7618	1996-05-31	PRIJEM	\N	181	41200	UROK	\N	\N
3454795	7618	1996-06-30	PRIJEM	\N	98	13838	UROK	\N	\N
3454796	7618	1996-07-31	PRIJEM	\N	77	17240	UROK	\N	\N
3454797	7618	1996-08-31	PRIJEM	\N	119	30596	UROK	\N	\N
3454798	7618	1996-09-30	PRIJEM	\N	168	47007	UROK	\N	\N
3454799	7618	1996-10-31	PRIJEM	\N	200	38406	UROK	\N	\N
3454800	7618	1996-11-30	PRIJEM	\N	175	32469	UROK	\N	\N
3454801	7618	1996-12-31	PRIJEM	\N	193	55868	UROK	\N	\N
3454802	7618	1997-01-31	PRIJEM	\N	176	28691	UROK	\N	\N
3454803	7618	1997-02-28	PRIJEM	\N	118	27639	UROK	\N	\N
3454804	7618	1997-03-31	PRIJEM	\N	143	38076	UROK	\N	\N
3454805	7618	1997-04-30	PRIJEM	\N	173	46453	UROK	\N	\N
3454806	7618	1997-05-31	PRIJEM	\N	203	53781	UROK	\N	\N
3454807	7618	1997-06-30	PRIJEM	\N	242	64105	UROK	\N	\N
3454808	7618	1997-07-31	PRIJEM	\N	233	57901	UROK	\N	\N
3454809	7618	1997-08-31	PRIJEM	\N	94	21224	UROK	\N	\N
3454810	7618	1997-09-30	PRIJEM	\N	44	36956	UROK	\N	\N
3454811	7618	1997-10-31	PRIJEM	\N	122	11570	UROK	\N	\N
3454812	7618	1997-11-30	PRIJEM	\N	46	1447	UROK	\N	\N
3454813	7618	1997-11-30	VYDAJ	VYBER	2	1491	SANKC. UROK	\N	\N
3454814	7618	1997-12-31	PRIJEM	\N	6	18936	UROK	\N	\N
3454815	7618	1997-12-31	VYDAJ	VYBER	21	18886	SANKC. UROK	\N	\N
3454816	7618	1998-01-31	PRIJEM	\N	75	1441	UROK	\N	\N
3454817	7618	1998-01-31	VYDAJ	VYBER	3	1436	SANKC. UROK	\N	\N
3454818	7618	1998-02-28	PRIJEM	\N	39	9137	UROK	\N	\N
3454819	7618	1998-02-28	VYDAJ	VYBER	12	9126	SANKC. UROK	\N	\N
3454820	7618	1998-03-31	PRIJEM	\N	25	17448	UROK	\N	\N
3454821	7618	1998-04-30	PRIJEM	\N	57	18499	UROK	\N	\N
3454822	7618	1998-05-31	PRIJEM	\N	53	5132	UROK	\N	\N
3454823	7618	1998-06-30	PRIJEM	\N	77	17790	UROK	\N	\N
3454824	7618	1998-07-31	PRIJEM	\N	67	23315	UROK	\N	\N
3454825	7618	1998-08-31	PRIJEM	\N	74	7593	UROK	\N	\N
3454826	7618	1998-09-30	PRIJEM	\N	22	17108	UROK	\N	\N
3454827	7618	1998-10-31	PRIJEM	\N	53	14374	UROK	\N	\N
3454828	7618	1998-11-30	PRIJEM	\N	29	9037	UROK	\N	\N
3454829	7618	1998-12-31	PRIJEM	\N	49	13344	UROK	\N	\N
3454962	7774	1993-09-30	PRIJEM	\N	14	9034	UROK	\N	\N
3454963	7774	1993-10-31	PRIJEM	\N	213	81893	UROK	\N	\N
3454964	7774	1993-11-30	PRIJEM	\N	296	55786	UROK	\N	\N
3454965	7774	1993-12-31	PRIJEM	\N	293	82846	UROK	\N	\N
3454966	7774	1994-01-31	PRIJEM	\N	195	2649	UROK	\N	\N
3454967	7774	1994-02-28	PRIJEM	\N	8	12559	UROK	\N	\N
3454968	7774	1994-03-31	PRIJEM	\N	49	12956	UROK	\N	\N
3454969	7774	1994-04-30	PRIJEM	\N	166	84290	UROK	\N	\N
3454970	7774	1994-05-31	PRIJEM	\N	264	39012	UROK	\N	\N
3454971	7774	1994-06-30	PRIJEM	\N	151	29586	UROK	\N	\N
3454972	7774	1994-07-31	PRIJEM	\N	54	1003	UROK	\N	\N
3454973	7774	1994-07-31	VYDAJ	VYBER	3	1054	SANKC. UROK	\N	\N
3454974	7774	1994-08-31	PRIJEM	\N	2	16053	UROK	\N	\N
3454975	7774	1994-08-31	VYDAJ	VYBER	7	15947	SANKC. UROK	\N	\N
3454976	7774	1994-09-30	PRIJEM	\N	126	38534	UROK	\N	\N
3454977	7774	1994-10-31	PRIJEM	\N	175	47717	UROK	\N	\N
3454978	7774	1994-11-30	PRIJEM	\N	244	64583	UROK	\N	\N
3454979	7774	1994-12-31	PRIJEM	\N	186	46057	UROK	\N	\N
3454980	7774	1995-01-31	PRIJEM	\N	53	2764	UROK	\N	\N
3454981	7774	1995-02-28	PRIJEM	\N	85	31337	UROK	\N	\N
3454982	7774	1995-03-31	PRIJEM	\N	103	25526	UROK	\N	\N
3454983	7774	1995-04-30	PRIJEM	\N	151	52243	UROK	\N	\N
3454984	7774	1995-05-31	PRIJEM	\N	163	33960	UROK	\N	\N
3454985	7774	1995-06-30	PRIJEM	\N	202	100337	UROK	\N	\N
3454986	7774	1995-07-31	PRIJEM	\N	401	70339	UROK	\N	\N
3454987	7774	1995-08-31	PRIJEM	\N	338	32786	UROK	\N	\N
3454988	7774	1995-09-30	PRIJEM	\N	225	108676	UROK	\N	\N
3454989	7774	1995-10-31	PRIJEM	\N	288	67956	UROK	\N	\N
3454990	7774	1995-11-30	PRIJEM	\N	274	66469	UROK	\N	\N
3454991	7774	1995-12-31	PRIJEM	\N	175	33819	UROK	\N	\N
3454992	7774	1996-01-31	PRIJEM	\N	72	8790	UROK	\N	\N
3454993	7774	1996-02-29	PRIJEM	\N	20	27880	UROK	\N	\N
3454994	7774	1996-03-31	PRIJEM	\N	85	23470	UROK	\N	\N
3454995	7774	1996-04-30	PRIJEM	\N	79	36292	UROK	\N	\N
3454996	7774	1996-05-31	PRIJEM	\N	122	29418	UROK	\N	\N
3454997	7774	1996-06-30	PRIJEM	\N	154	39328	UROK	\N	\N
3454998	7774	1996-07-31	PRIJEM	\N	124	38075	UROK	\N	\N
3454999	7774	1996-08-31	PRIJEM	\N	135	43411	UROK	\N	\N
3455000	7774	1996-09-30	PRIJEM	\N	129	41569	UROK	\N	\N
3455001	7774	1996-10-31	PRIJEM	\N	134	35467	UROK	\N	\N
3455002	7774	1996-11-30	PRIJEM	\N	84	31343	UROK	\N	\N
3455003	7774	1996-12-31	PRIJEM	\N	112	39954	UROK	\N	\N
3455004	7774	1997-01-31	PRIJEM	\N	95	34881	UROK	\N	\N
3455005	7774	1997-02-28	PRIJEM	\N	148	52260	UROK	\N	\N
3455006	7774	1997-03-31	PRIJEM	\N	235	66505	UROK	\N	\N
3455007	7774	1997-04-30	PRIJEM	\N	252	67254	UROK	\N	\N
3455008	7774	1997-05-31	PRIJEM	\N	249	63476	UROK	\N	\N
3455009	7774	1997-06-30	PRIJEM	\N	231	55950	UROK	\N	\N
3455010	7774	1997-07-31	PRIJEM	\N	283	79954	UROK	\N	\N
3455011	7774	1997-08-31	PRIJEM	\N	386	69441	UROK	\N	\N
3455012	7774	1997-09-30	PRIJEM	\N	234	46932	UROK	\N	\N
3455013	7774	1997-10-31	PRIJEM	\N	183	45982	UROK	\N	\N
3455014	7774	1997-11-30	PRIJEM	\N	183	65461	UROK	\N	\N
3455015	7774	1997-12-31	PRIJEM	\N	320	101457	UROK	\N	\N
3455016	7774	1998-01-31	PRIJEM	\N	300	72033	UROK	\N	\N
3455017	7774	1998-02-28	PRIJEM	\N	251	78038	UROK	\N	\N
3455018	7774	1998-03-31	PRIJEM	\N	287	72658	UROK	\N	\N
3455019	7774	1998-04-30	PRIJEM	\N	266	80824	UROK	\N	\N
3455020	7774	1998-05-31	PRIJEM	\N	324	83890	UROK	\N	\N
3455021	7774	1998-06-30	PRIJEM	\N	309	89674	UROK	\N	\N
3455022	7774	1998-07-31	PRIJEM	\N	332	88306	UROK	\N	\N
3455023	7774	1998-08-31	PRIJEM	\N	369	102319	UROK	\N	\N
3455024	7774	1998-09-30	PRIJEM	\N	391	124913	UROK	\N	\N
3455025	7774	1998-10-31	PRIJEM	\N	401	86637	UROK	\N	\N
3455026	7774	1998-11-30	PRIJEM	\N	313	62693	UROK	\N	\N
3455027	7774	1998-12-31	PRIJEM	\N	138	47644	UROK	\N	\N
3455028	7828	1996-02-29	PRIJEM	\N	74	20766	UROK	\N	\N
3455029	7828	1996-03-31	PRIJEM	\N	90	27419	UROK	\N	\N
3455030	7828	1996-04-30	PRIJEM	\N	127	32134	UROK	\N	\N
3455031	7828	1996-05-31	PRIJEM	\N	147	36284	UROK	\N	\N
3455032	7828	1996-06-30	PRIJEM	\N	102	821	UROK	\N	\N
3455033	7828	1996-07-31	PRIJEM	\N	64	17363	UROK	\N	\N
3455034	7828	1996-08-31	PRIJEM	\N	97	23056	UROK	\N	\N
3455035	7828	1996-09-30	PRIJEM	\N	99	20972	UROK	\N	\N
3455036	7828	1996-10-31	PRIJEM	\N	110	32369	UROK	\N	\N
3455037	7828	1996-11-30	PRIJEM	\N	136	34581	UROK	\N	\N
3455038	7828	1996-12-31	PRIJEM	\N	149	33364	UROK	\N	\N
3455039	7828	1997-01-31	PRIJEM	\N	106	25293	UROK	\N	\N
3455040	7828	1997-02-28	PRIJEM	\N	105	26661	UROK	\N	\N
3455041	7828	1997-03-31	PRIJEM	\N	119	33792	UROK	\N	\N
3455042	7828	1997-04-30	PRIJEM	\N	141	38424	UROK	\N	\N
3455043	7828	1997-05-31	PRIJEM	\N	158	39359	UROK	\N	\N
3455044	7828	1997-06-30	PRIJEM	\N	104	27511	UROK	\N	\N
3455045	7828	1997-07-31	PRIJEM	\N	109	29338	UROK	\N	\N
3455046	7828	1997-08-31	PRIJEM	\N	119	32054	UROK	\N	\N
3455047	7828	1997-09-30	PRIJEM	\N	133	36065	UROK	\N	\N
3455048	7828	1997-10-31	PRIJEM	\N	145	33663	UROK	\N	\N
3455049	7828	1997-11-30	PRIJEM	\N	136	34811	UROK	\N	\N
3455050	7828	1997-12-31	PRIJEM	\N	139	33502	UROK	\N	\N
3455051	7828	1998-01-31	PRIJEM	\N	111	28558	UROK	\N	\N
3455052	7828	1998-02-28	PRIJEM	\N	110	35925	UROK	\N	\N
3455053	7828	1998-03-31	PRIJEM	\N	151	44946	UROK	\N	\N
3455054	7828	1998-04-30	PRIJEM	\N	187	52761	UROK	\N	\N
3455055	7828	1998-05-31	PRIJEM	\N	212	56029	UROK	\N	\N
3455056	7828	1998-06-30	PRIJEM	\N	181	38628	UROK	\N	\N
3455057	7828	1998-07-31	PRIJEM	\N	149	44032	UROK	\N	\N
3455058	7828	1998-08-31	PRIJEM	\N	174	47576	UROK	\N	\N
3455059	7828	1998-09-30	PRIJEM	\N	193	50946	UROK	\N	\N
3455060	7828	1998-10-31	PRIJEM	\N	202	52954	UROK	\N	\N
3455061	7828	1998-11-30	PRIJEM	\N	201	52007	UROK	\N	\N
3455062	7828	1998-12-31	PRIJEM	\N	207	53629	UROK	\N	\N
3455063	7944	1994-01-31	PRIJEM	\N	18	22101	UROK	\N	\N
3455064	7944	1994-02-28	PRIJEM	\N	99	33868	UROK	\N	\N
3455065	7944	1994-03-31	PRIJEM	\N	144	38215	UROK	\N	\N
3455066	7944	1994-04-30	PRIJEM	\N	160	40865	UROK	\N	\N
3455067	7944	1994-05-31	PRIJEM	\N	166	36225	UROK	\N	\N
3455068	7944	1994-06-30	PRIJEM	\N	150	-1768	UROK	\N	\N
3455069	7944	1994-06-30	VYDAJ	VYBER	2	-1740	SANKC. UROK	\N	\N
3455070	7944	1994-07-31	PRIJEM	\N	29	17003	UROK	\N	\N
3455071	7944	1994-07-31	VYDAJ	VYBER	10	16992	SANKC. UROK	\N	\N
3455072	7944	1994-08-31	PRIJEM	\N	86	31962	UROK	\N	\N
3455073	7944	1994-09-30	PRIJEM	\N	141	40100	UROK	\N	\N
3455074	7944	1994-10-31	PRIJEM	\N	167	37641	UROK	\N	\N
3455075	7944	1994-11-30	PRIJEM	\N	161	41822	UROK	\N	\N
3455076	7944	1994-12-31	PRIJEM	\N	227	47907	UROK	\N	\N
3455077	7944	1995-01-31	PRIJEM	\N	194	46482	UROK	\N	\N
3455078	7944	1995-02-28	PRIJEM	\N	205	47415	UROK	\N	\N
3455079	7944	1995-03-31	PRIJEM	\N	215	45602	UROK	\N	\N
3455080	7944	1995-04-30	PRIJEM	\N	189	49050	UROK	\N	\N
3455081	7944	1995-05-31	PRIJEM	\N	196	47899	UROK	\N	\N
3455082	7944	1995-06-30	PRIJEM	\N	198	36726	UROK	\N	\N
3455083	7944	1995-07-31	PRIJEM	\N	158	44338	UROK	\N	\N
3455084	7944	1995-08-31	PRIJEM	\N	185	48444	UROK	\N	\N
3455085	7944	1995-09-30	PRIJEM	\N	198	50880	UROK	\N	\N
3455086	7944	1995-10-31	PRIJEM	\N	206	52531	UROK	\N	\N
3455087	7944	1995-11-30	PRIJEM	\N	212	54304	UROK	\N	\N
3455088	7944	1995-12-31	PRIJEM	\N	256	59446	UROK	\N	\N
3455089	7944	1996-01-31	PRIJEM	\N	232	54789	UROK	\N	\N
3455090	7944	1996-02-29	PRIJEM	\N	208	55317	UROK	\N	\N
3455091	7944	1996-03-31	PRIJEM	\N	226	59522	UROK	\N	\N
3455092	7944	1996-04-30	PRIJEM	\N	242	63417	UROK	\N	\N
3455093	7944	1996-05-31	PRIJEM	\N	251	64064	UROK	\N	\N
3455094	7944	1996-06-30	PRIJEM	\N	211	50394	UROK	\N	\N
3455095	7944	1996-07-31	PRIJEM	\N	231	60756	UROK	\N	\N
3455096	7944	1996-08-31	PRIJEM	\N	242	62416	UROK	\N	\N
3455097	7944	1996-09-30	PRIJEM	\N	259	69487	UROK	\N	\N
3455098	7944	1996-10-31	PRIJEM	\N	274	71580	UROK	\N	\N
3455099	7944	1996-11-30	PRIJEM	\N	274	70528	UROK	\N	\N
3455100	7944	1996-12-31	PRIJEM	\N	283	69650	UROK	\N	\N
3455101	7944	1997-01-31	PRIJEM	\N	276	72930	UROK	\N	\N
3455102	7944	1997-02-28	PRIJEM	\N	338	72919	UROK	\N	\N
3455103	7944	1997-03-31	PRIJEM	\N	283	74418	UROK	\N	\N
3455104	7944	1997-04-30	PRIJEM	\N	278	71949	UROK	\N	\N
3455105	7944	1997-05-31	PRIJEM	\N	275	73233	UROK	\N	\N
3455106	7944	1997-06-30	PRIJEM	\N	321	68558	UROK	\N	\N
3455107	7944	1997-07-31	PRIJEM	\N	317	76228	UROK	\N	\N
3455108	7944	1997-08-31	PRIJEM	\N	320	87488	UROK	\N	\N
3455109	7944	1997-09-30	PRIJEM	\N	352	92638	UROK	\N	\N
3455110	7944	1997-10-31	PRIJEM	\N	360	95652	UROK	\N	\N
3455111	7944	1997-11-30	PRIJEM	\N	378	100843	UROK	\N	\N
3455112	7944	1997-12-31	PRIJEM	\N	409	107325	UROK	\N	\N
3455113	7944	1998-01-31	PRIJEM	\N	380	103399	UROK	\N	\N
3455114	7944	1998-02-28	PRIJEM	\N	380	100598	UROK	\N	\N
3455115	7944	1998-03-31	PRIJEM	\N	367	97478	UROK	\N	\N
3455116	7944	1998-04-30	PRIJEM	\N	369	100139	UROK	\N	\N
3455117	7944	1998-05-31	PRIJEM	\N	361	94604	UROK	\N	\N
3455118	7944	1998-06-30	PRIJEM	\N	384	96205	UROK	\N	\N
3455119	7944	1998-07-31	PRIJEM	\N	375	103733	UROK	\N	\N
3455120	7944	1998-08-31	PRIJEM	\N	385	104743	UROK	\N	\N
3455121	7944	1998-09-30	PRIJEM	\N	394	108154	UROK	\N	\N
3455122	7944	1998-10-31	PRIJEM	\N	400	109595	UROK	\N	\N
3455123	7944	1998-11-30	PRIJEM	\N	388	105337	UROK	\N	\N
3455124	7944	1998-12-31	PRIJEM	\N	411	113983	UROK	\N	\N
3455125	7966	1997-01-31	PRIJEM	\N	17	31237	UROK	\N	\N
3455126	7966	1997-02-28	PRIJEM	\N	130	29867	UROK	\N	\N
3455127	7966	1997-03-31	PRIJEM	\N	130	28397	UROK	\N	\N
3455128	7966	1997-04-30	PRIJEM	\N	243	101010	UROK	\N	\N
3455129	7966	1997-05-31	PRIJEM	\N	387	60482	UROK	\N	\N
3455130	7966	1997-06-30	PRIJEM	\N	230	40801	UROK	\N	\N
3455131	7966	1997-07-31	PRIJEM	\N	188	67085	UROK	\N	\N
3455132	7966	1997-08-31	PRIJEM	\N	163	25747	UROK	\N	\N
3455133	7966	1997-09-30	PRIJEM	\N	95	54151	UROK	\N	\N
3455134	7966	1997-10-31	PRIJEM	\N	181	36412	UROK	\N	\N
3455135	7966	1997-11-30	PRIJEM	\N	134	24843	UROK	\N	\N
3455136	7966	1997-12-31	PRIJEM	\N	62	12360	UROK	\N	\N
3455137	7966	1998-01-31	PRIJEM	\N	131	101311	UROK	\N	\N
3455138	7966	1998-01-31	VYDAJ	VYBER	1	101415	SANKC. UROK	\N	\N
3455139	7966	1998-02-28	PRIJEM	\N	326	56524	UROK	\N	\N
3455140	7966	1998-03-31	PRIJEM	\N	195	28039	UROK	\N	\N
3455141	7966	1998-04-30	PRIJEM	\N	126	84405	UROK	\N	\N
3455142	7966	1998-05-31	PRIJEM	\N	287	37529	UROK	\N	\N
3455143	7966	1998-06-30	PRIJEM	\N	170	28239	UROK	\N	\N
3455144	7966	1998-07-31	PRIJEM	\N	107	26288	UROK	\N	\N
3455145	7966	1998-08-31	PRIJEM	\N	71	14642	UROK	\N	\N
3455146	7966	1998-09-30	PRIJEM	\N	111	39112	UROK	\N	\N
3455147	7966	1998-10-31	PRIJEM	\N	82	9780	UROK	\N	\N
3455148	7966	1998-11-30	PRIJEM	\N	27	27274	UROK	\N	\N
3455149	7966	1998-12-31	PRIJEM	\N	108	27610	UROK	\N	\N
3455270	8132	1993-05-31	PRIJEM	\N	51	25193	UROK	\N	\N
3455271	8132	1993-06-30	PRIJEM	\N	143	43781	UROK	\N	\N
3455272	8132	1993-07-31	PRIJEM	\N	189	47306	UROK	\N	\N
3455273	8132	1993-08-31	PRIJEM	\N	194	46942	UROK	\N	\N
3455274	8132	1993-09-30	PRIJEM	\N	169	23994	UROK	\N	\N
3455275	8132	1993-10-31	PRIJEM	\N	133	38672	UROK	\N	\N
3455276	8132	1993-11-30	PRIJEM	\N	167	37351	UROK	\N	\N
3455277	8132	1993-12-31	PRIJEM	\N	128	21655	UROK	\N	\N
3455278	8132	1994-01-31	PRIJEM	\N	90	8057	UROK	\N	\N
3455279	8132	1994-02-28	PRIJEM	\N	70	3674	UROK	\N	\N
3455280	8132	1994-02-28	VYDAJ	VYBER	5	3665	SANKC. UROK	\N	\N
3455281	8132	1994-03-31	PRIJEM	\N	61	16093	UROK	\N	\N
3455282	8132	1994-04-30	PRIJEM	\N	89	29315	UROK	\N	\N
3455283	8132	1994-05-31	PRIJEM	\N	147	32175	UROK	\N	\N
3455284	8132	1994-06-30	PRIJEM	\N	193	57584	UROK	\N	\N
3455285	8132	1994-07-31	PRIJEM	\N	231	57831	UROK	\N	\N
3455286	8132	1994-08-31	PRIJEM	\N	235	60468	UROK	\N	\N
3455287	8132	1994-09-30	PRIJEM	\N	277	73144	UROK	\N	\N
3455288	8132	1994-10-31	PRIJEM	\N	277	70400	UROK	\N	\N
3455289	8132	1994-11-30	PRIJEM	\N	278	59320	UROK	\N	\N
3455290	8132	1994-12-31	PRIJEM	\N	258	57971	UROK	\N	\N
3455291	8132	1995-01-31	PRIJEM	\N	139	13440	UROK	\N	\N
3455292	8132	1995-02-28	PRIJEM	\N	139	51030	UROK	\N	\N
3455293	8132	1995-03-31	PRIJEM	\N	247	68488	UROK	\N	\N
3455294	8132	1995-04-30	PRIJEM	\N	278	75866	UROK	\N	\N
3455295	8132	1995-05-31	PRIJEM	\N	315	80993	UROK	\N	\N
3455296	8132	1995-06-30	PRIJEM	\N	335	94578	UROK	\N	\N
3455297	8132	1995-07-31	PRIJEM	\N	327	73116	UROK	\N	\N
3455298	8132	1995-08-31	PRIJEM	\N	253	70757	UROK	\N	\N
3455299	8132	1995-09-30	PRIJEM	\N	274	64709	UROK	\N	\N
3455300	8132	1995-10-31	PRIJEM	\N	269	75590	UROK	\N	\N
3455301	8132	1995-11-30	PRIJEM	\N	316	77055	UROK	\N	\N
3455302	8132	1995-12-31	PRIJEM	\N	319	90700	UROK	\N	\N
3455303	8132	1996-01-31	PRIJEM	\N	226	41605	UROK	\N	\N
3455304	8132	1996-02-29	PRIJEM	\N	217	68033	UROK	\N	\N
3455305	8132	1996-03-31	PRIJEM	\N	300	84051	UROK	\N	\N
3455306	8132	1996-04-30	PRIJEM	\N	342	91204	UROK	\N	\N
3455307	8132	1996-05-31	PRIJEM	\N	359	94886	UROK	\N	\N
3455308	8132	1996-06-30	PRIJEM	\N	270	109632	UROK	\N	\N
3455309	8132	1996-07-31	PRIJEM	\N	293	75755	UROK	\N	\N
3455310	8132	1996-08-31	PRIJEM	\N	284	71836	UROK	\N	\N
3455311	8132	1996-09-30	PRIJEM	\N	270	76118	UROK	\N	\N
3455312	8132	1996-10-31	PRIJEM	\N	255	53382	UROK	\N	\N
3455313	8132	1996-11-30	PRIJEM	\N	177	53036	UROK	\N	\N
3455314	8132	1996-12-31	PRIJEM	\N	213	61337	UROK	\N	\N
3455315	8132	1997-01-31	PRIJEM	\N	194	62528	UROK	\N	\N
3455316	8132	1997-02-28	PRIJEM	\N	242	67682	UROK	\N	\N
3455317	8132	1997-03-31	PRIJEM	\N	266	60123	UROK	\N	\N
3455318	8132	1997-04-30	PRIJEM	\N	221	72978	UROK	\N	\N
3455319	8132	1997-05-31	PRIJEM	\N	301	74690	UROK	\N	\N
3455320	8132	1997-06-30	PRIJEM	\N	274	70948	UROK	\N	\N
3455321	8132	1997-07-31	PRIJEM	\N	259	75437	UROK	\N	\N
3455322	8132	1997-08-31	PRIJEM	\N	275	78197	UROK	\N	\N
3455323	8132	1997-09-30	PRIJEM	\N	285	79869	UROK	\N	\N
3455324	8132	1997-10-31	PRIJEM	\N	289	80454	UROK	\N	\N
3455325	8132	1997-11-30	PRIJEM	\N	298	87063	UROK	\N	\N
3455326	8132	1997-12-31	PRIJEM	\N	340	64886	UROK	\N	\N
3455327	8132	1998-01-31	PRIJEM	\N	243	69373	UROK	\N	\N
3455328	8132	1998-02-28	PRIJEM	\N	262	85847	UROK	\N	\N
3455329	8132	1998-03-31	PRIJEM	\N	331	88789	UROK	\N	\N
3455330	8132	1998-04-30	PRIJEM	\N	328	87468	UROK	\N	\N
3455331	8132	1998-05-31	PRIJEM	\N	326	71064	UROK	\N	\N
3455332	8132	1998-06-30	PRIJEM	\N	307	90454	UROK	\N	\N
3455333	8132	1998-07-31	PRIJEM	\N	331	95515	UROK	\N	\N
3455334	8132	1998-08-31	PRIJEM	\N	355	103256	UROK	\N	\N
3455335	8132	1998-09-30	PRIJEM	\N	388	112420	UROK	\N	\N
3455336	8132	1998-10-31	PRIJEM	\N	415	111046	UROK	\N	\N
3455337	8132	1998-11-30	PRIJEM	\N	348	90387	UROK	\N	\N
3455338	8132	1998-12-31	PRIJEM	\N	406	124313	UROK	\N	\N
3455339	8149	1997-05-31	PRIJEM	\N	3	22408	UROK	\N	\N
3455340	8149	1997-06-30	PRIJEM	\N	277	48475	UROK	\N	\N
3455341	8149	1997-07-31	PRIJEM	\N	265	45597	UROK	\N	\N
3455342	8149	1997-08-31	PRIJEM	\N	228	68903	UROK	\N	\N
3455343	8149	1997-09-30	PRIJEM	\N	216	44440	UROK	\N	\N
3455344	8149	1997-10-31	PRIJEM	\N	242	82107	UROK	\N	\N
3455345	8149	1997-11-30	PRIJEM	\N	229	64823	UROK	\N	\N
3455346	8149	1997-12-31	PRIJEM	\N	316	78184	UROK	\N	\N
3455347	8149	1998-01-31	PRIJEM	\N	157	4014	UROK	\N	\N
3455348	8149	1998-02-28	PRIJEM	\N	47	16061	UROK	\N	\N
3455349	8149	1998-03-31	PRIJEM	\N	62	16568	UROK	\N	\N
3455350	8149	1998-04-30	PRIJEM	\N	75	24265	UROK	\N	\N
3455351	8149	1998-05-31	PRIJEM	\N	74	11772	UROK	\N	\N
3455352	8149	1998-06-30	PRIJEM	\N	62	18234	UROK	\N	\N
3455353	8149	1998-07-31	PRIJEM	\N	74	21070	UROK	\N	\N
3455354	8149	1998-08-31	PRIJEM	\N	73	15668	UROK	\N	\N
3455355	8149	1998-09-30	PRIJEM	\N	76	21244	UROK	\N	\N
3455356	8149	1998-10-31	PRIJEM	\N	86	22836	UROK	\N	\N
3455357	8149	1998-11-30	PRIJEM	\N	66	-1891	UROK	\N	\N
3455358	8149	1998-11-30	VYDAJ	VYBER	8	-1941	SANKC. UROK	\N	\N
3455359	8149	1998-12-31	PRIJEM	\N	97	32260	UROK	\N	\N
3455360	8149	1998-12-31	VYDAJ	VYBER	9	32343	SANKC. UROK	\N	\N
3455361	8153	1997-07-31	PRIJEM	\N	6	45914	UROK	\N	\N
3455362	8153	1997-08-31	PRIJEM	\N	189	35204	UROK	\N	\N
3455363	8153	1997-09-30	PRIJEM	\N	258	98363	UROK	\N	\N
3455364	8153	1997-10-31	PRIJEM	\N	314	34435	UROK	\N	\N
3455365	8153	1997-11-30	PRIJEM	\N	272	40197	UROK	\N	\N
3455366	8153	1997-12-31	PRIJEM	\N	205	58611	UROK	\N	\N
3455367	8153	1998-01-31	PRIJEM	\N	225	55984	UROK	\N	\N
3455368	8153	1998-02-28	PRIJEM	\N	274	52458	UROK	\N	\N
3455369	8153	1998-03-31	PRIJEM	\N	205	31125	UROK	\N	\N
3455370	8153	1998-04-30	PRIJEM	\N	119	20142	UROK	\N	\N
3455371	8153	1998-05-31	PRIJEM	\N	301	52171	UROK	\N	\N
3455372	8153	1998-06-30	PRIJEM	\N	149	13623	UROK	\N	\N
3455373	8153	1998-06-30	VYDAJ	VYBER	2	13621	SANKC. UROK	\N	\N
3455374	8153	1998-07-31	PRIJEM	\N	44	6649	UROK	\N	\N
3455375	8153	1998-08-31	PRIJEM	\N	36	26424	UROK	\N	\N
3455376	8153	1998-09-30	PRIJEM	\N	180	89606	UROK	\N	\N
3455377	8153	1998-10-31	PRIJEM	\N	322	54008	UROK	\N	\N
3455378	8153	1998-11-30	PRIJEM	\N	153	54986	UROK	\N	\N
3455379	8153	1998-12-31	PRIJEM	\N	184	72790	UROK	\N	\N
3455380	8212	1993-12-31	PRIJEM	\N	80	45625	UROK	\N	\N
3455381	8212	1994-01-31	PRIJEM	\N	217	60437	UROK	\N	\N
3455382	8212	1994-02-28	PRIJEM	\N	262	68737	UROK	\N	\N
3455383	8212	1994-03-31	PRIJEM	\N	273	72821	UROK	\N	\N
3455384	8212	1994-04-30	PRIJEM	\N	297	62527	UROK	\N	\N
3455385	8212	1994-05-31	PRIJEM	\N	281	61389	UROK	\N	\N
3455386	8212	1994-06-30	PRIJEM	\N	172	14560	UROK	\N	\N
3455387	8212	1994-06-30	VYDAJ	VYBER	0	14460	SANKC. UROK	\N	\N
3455388	8212	1994-07-31	PRIJEM	\N	179	82838	UROK	\N	\N
3455389	8212	1994-08-31	PRIJEM	\N	395	67607	UROK	\N	\N
3455390	8212	1994-09-30	PRIJEM	\N	290	71096	UROK	\N	\N
3455391	8212	1994-10-31	PRIJEM	\N	295	96611	UROK	\N	\N
3455392	8212	1994-11-30	PRIJEM	\N	303	112351	UROK	\N	\N
3455393	8212	1994-12-31	PRIJEM	\N	383	90714	UROK	\N	\N
3455394	8212	1995-01-31	PRIJEM	\N	304	91861	UROK	\N	\N
3455395	8212	1995-02-28	PRIJEM	\N	378	101901	UROK	\N	\N
3455396	8212	1995-03-31	PRIJEM	\N	396	93518	UROK	\N	\N
3455397	8212	1995-04-30	PRIJEM	\N	330	64617	UROK	\N	\N
3455398	8212	1995-05-31	PRIJEM	\N	295	91063	UROK	\N	\N
3455399	8212	1995-06-30	PRIJEM	\N	361	66158	UROK	\N	\N
3455400	8212	1995-07-31	PRIJEM	\N	156	19443	UROK	\N	\N
3455401	8212	1995-08-31	PRIJEM	\N	147	49265	UROK	\N	\N
3455402	8212	1995-09-30	PRIJEM	\N	261	100094	UROK	\N	\N
3455403	8212	1995-10-31	PRIJEM	\N	311	56226	UROK	\N	\N
3455404	8212	1995-11-30	PRIJEM	\N	298	68740	UROK	\N	\N
3455405	8212	1995-12-31	PRIJEM	\N	143	12592	UROK	\N	\N
3455406	8212	1996-01-31	PRIJEM	\N	154	65519	UROK	\N	\N
3455407	8212	1996-02-29	PRIJEM	\N	345	89210	UROK	\N	\N
3455408	8212	1996-03-31	PRIJEM	\N	342	67569	UROK	\N	\N
3455409	8212	1996-04-30	PRIJEM	\N	234	59403	UROK	\N	\N
3455410	8212	1996-05-31	PRIJEM	\N	340	97042	UROK	\N	\N
3455411	8212	1996-06-30	PRIJEM	\N	419	13599	UROK	\N	\N
3455412	8212	1996-07-31	PRIJEM	\N	118	67199	UROK	\N	\N
3455413	8212	1996-08-31	PRIJEM	\N	396	93252	UROK	\N	\N
3455414	8212	1996-09-30	PRIJEM	\N	240	50793	UROK	\N	\N
3455415	8212	1996-10-31	PRIJEM	\N	194	54679	UROK	\N	\N
3455416	8212	1996-11-30	PRIJEM	\N	162	36532	UROK	\N	\N
3455417	8212	1996-12-31	PRIJEM	\N	66	20947	UROK	\N	\N
3455418	8212	1997-01-31	PRIJEM	\N	194	67115	UROK	\N	\N
3455419	8212	1997-02-28	PRIJEM	\N	253	69762	UROK	\N	\N
3455420	8212	1997-03-31	PRIJEM	\N	259	98274	UROK	\N	\N
3455421	8212	1997-04-30	PRIJEM	\N	359	93336	UROK	\N	\N
3455422	8212	1997-05-31	PRIJEM	\N	447	110124	UROK	\N	\N
3455423	8212	1997-06-30	PRIJEM	\N	339	111890	UROK	\N	\N
3455424	8212	1997-07-31	PRIJEM	\N	385	98817	UROK	\N	\N
3455425	8212	1997-08-31	PRIJEM	\N	292	93874	UROK	\N	\N
3455426	8212	1997-09-30	PRIJEM	\N	427	88955	UROK	\N	\N
3455427	8212	1997-10-31	PRIJEM	\N	233	81684	UROK	\N	\N
3455428	8212	1997-11-30	PRIJEM	\N	305	88160	UROK	\N	\N
3455429	8212	1997-12-31	PRIJEM	\N	380	104817	UROK	\N	\N
3455430	8212	1998-01-31	PRIJEM	\N	382	96949	UROK	\N	\N
3455431	8212	1998-02-28	PRIJEM	\N	352	95152	UROK	\N	\N
3455432	8212	1998-03-31	PRIJEM	\N	342	95094	UROK	\N	\N
3455433	8212	1998-04-30	PRIJEM	\N	336	93464	UROK	\N	\N
3455434	8212	1998-05-31	PRIJEM	\N	355	113379	UROK	\N	\N
3455435	8212	1998-06-30	PRIJEM	\N	270	80418	UROK	\N	\N
3455436	8212	1998-07-31	PRIJEM	\N	279	97165	UROK	\N	\N
3455437	8212	1998-08-31	PRIJEM	\N	351	103487	UROK	\N	\N
3455438	8212	1998-09-30	PRIJEM	\N	343	110791	UROK	\N	\N
3455439	8212	1998-10-31	PRIJEM	\N	410	99942	UROK	\N	\N
3455440	8212	1998-11-30	PRIJEM	\N	354	99739	UROK	\N	\N
3455441	8212	1998-12-31	PRIJEM	\N	357	100277	UROK	\N	\N
3455442	8225	1996-12-31	PRIJEM	\N	87	28341	UROK	\N	\N
3455443	8225	1997-01-31	PRIJEM	\N	158	41595	UROK	\N	\N
3455444	8225	1997-02-28	PRIJEM	\N	192	48647	UROK	\N	\N
3455445	8225	1997-03-31	PRIJEM	\N	221	56084	UROK	\N	\N
3455446	8225	1997-04-30	PRIJEM	\N	209	52596	UROK	\N	\N
3455447	8225	1997-05-31	PRIJEM	\N	211	50871	UROK	\N	\N
3455448	8225	1997-06-30	PRIJEM	\N	175	42754	UROK	\N	\N
3455449	8225	1997-07-31	PRIJEM	\N	176	45966	UROK	\N	\N
3455450	8225	1997-08-31	PRIJEM	\N	136	39733	UROK	\N	\N
3455451	8225	1997-09-30	PRIJEM	\N	160	41181	UROK	\N	\N
3455452	8225	1997-10-31	PRIJEM	\N	112	34594	UROK	\N	\N
3455453	8225	1997-11-30	PRIJEM	\N	127	32156	UROK	\N	\N
3455454	8225	1997-12-31	PRIJEM	\N	132	41407	UROK	\N	\N
3455455	8225	1998-01-31	PRIJEM	\N	29	3445	UROK	\N	\N
3455456	8225	1998-01-31	VYDAJ	VYBER	4	-215	SANKC. UROK	\N	\N
3455457	8225	1998-02-28	PRIJEM	\N	25	14313	UROK	\N	\N
3455458	8225	1998-02-28	VYDAJ	VYBER	18	14350	SANKC. UROK	\N	\N
3455459	8225	1998-03-31	PRIJEM	\N	39	2953	UROK	\N	\N
3455460	8225	1998-03-31	VYDAJ	VYBER	5	2943	SANKC. UROK	\N	\N
3455461	8225	1998-04-30	PRIJEM	\N	49	20086	UROK	\N	\N
3455462	8225	1998-04-30	VYDAJ	VYBER	3	20068	SANKC. UROK	\N	\N
3455463	8225	1998-05-31	PRIJEM	\N	91	15934	UROK	\N	\N
3455464	8225	1998-06-30	PRIJEM	\N	90	14426	UROK	\N	\N
3455465	8225	1998-07-31	PRIJEM	\N	62	12346	UROK	\N	\N
3455466	8225	1998-08-31	PRIJEM	\N	45	4401	UROK	\N	\N
3455467	8225	1998-08-31	VYDAJ	VYBER	4	4416	SANKC. UROK	\N	\N
3455468	8225	1998-09-30	PRIJEM	\N	36	13579	UROK	\N	\N
3455469	8225	1998-09-30	VYDAJ	VYBER	2	13612	SANKC. UROK	\N	\N
3455470	8225	1998-10-31	PRIJEM	\N	70	14933	UROK	\N	\N
3455471	8225	1998-11-30	PRIJEM	\N	76	21196	UROK	\N	\N
3455472	8225	1998-12-31	PRIJEM	\N	122	37436	UROK	\N	\N
3455473	8341	1997-02-28	PRIJEM	\N	52	47862	UROK	\N	\N
3455474	8341	1997-03-31	PRIJEM	\N	193	39006	UROK	\N	\N
3455475	8341	1997-04-30	PRIJEM	\N	169	49245	UROK	\N	\N
3455476	8341	1997-05-31	PRIJEM	\N	226	88470	UROK	\N	\N
3455477	8341	1997-06-30	PRIJEM	\N	289	7994	UROK	\N	\N
3455478	8341	1997-07-31	PRIJEM	\N	53	29730	UROK	\N	\N
3455479	8341	1997-08-31	PRIJEM	\N	104	10808	UROK	\N	\N
3455480	8341	1997-09-30	PRIJEM	\N	113	7731	UROK	\N	\N
3455481	8341	1997-10-31	PRIJEM	\N	53	8456	UROK	\N	\N
3455482	8341	1997-11-30	PRIJEM	\N	23	-1593	UROK	\N	\N
3455483	8341	1997-11-30	VYDAJ	VYBER	6	-1600	SANKC. UROK	\N	\N
3455484	8341	1997-12-31	PRIJEM	\N	73	22140	UROK	\N	\N
3455485	8341	1997-12-31	VYDAJ	VYBER	4	22136	SANKC. UROK	\N	\N
3455486	8341	1998-01-31	PRIJEM	\N	42	30547	UROK	\N	\N
3455487	8341	1998-01-31	VYDAJ	VYBER	12	30503	SANKC. UROK	\N	\N
3455488	8341	1998-02-28	PRIJEM	\N	122	8025	UROK	\N	\N
3455489	8341	1998-03-31	PRIJEM	\N	39	13913	UROK	\N	\N
3455490	8341	1998-04-30	PRIJEM	\N	74	6692	UROK	\N	\N
3455491	8341	1998-05-31	PRIJEM	\N	25	-6325	UROK	\N	\N
3455492	8341	1998-06-30	PRIJEM	\N	16	-8429	UROK	\N	\N
3455493	8341	1998-06-30	VYDAJ	VYBER	34	-8493	SANKC. UROK	\N	\N
3455494	8341	1998-07-31	VYDAJ	VYBER	92	-16084	SANKC. UROK	\N	\N
3455495	8341	1998-08-31	PRIJEM	\N	9	10719	UROK	\N	\N
3455496	8341	1998-08-31	VYDAJ	VYBER	71	10658	SANKC. UROK	\N	\N
3455497	8341	1998-09-30	PRIJEM	\N	210	37440	UROK	\N	\N
3455498	8341	1998-10-31	PRIJEM	\N	179	87120	UROK	\N	\N
3455499	8341	1998-11-30	PRIJEM	\N	360	50402	UROK	\N	\N
3455500	8341	1998-12-31	PRIJEM	\N	119	27179	UROK	\N	\N
3455638	8628	1996-11-30	PRIJEM	\N	260	72950	UROK	\N	\N
3455639	8628	1996-12-31	PRIJEM	\N	206	32206	UROK	\N	\N
3455640	8628	1997-01-31	PRIJEM	\N	47	10492	UROK	\N	\N
3455641	8628	1997-02-28	PRIJEM	\N	35	13249	UROK	\N	\N
3455642	8628	1997-02-28	VYDAJ	VYBER	11	13128	SANKC. UROK	\N	\N
3455643	8628	1997-03-31	PRIJEM	\N	27	-2644	UROK	\N	\N
3455644	8628	1997-03-31	VYDAJ	VYBER	15	-2759	SANKC. UROK	\N	\N
3455645	8628	1997-04-30	VYDAJ	VYBER	32	-2906	SANKC. UROK	\N	\N
3455646	8628	1997-05-31	PRIJEM	\N	69	15457	UROK	\N	\N
3455647	8628	1997-05-31	VYDAJ	VYBER	4	15520	SANKC. UROK	\N	\N
3455648	8628	1997-06-30	PRIJEM	\N	44	6564	UROK	\N	\N
3455649	8628	1997-07-31	PRIJEM	\N	33	10768	UROK	\N	\N
3455650	8628	1997-08-31	PRIJEM	\N	38	9037	UROK	\N	\N
3455651	8628	1997-09-30	PRIJEM	\N	54	10290	UROK	\N	\N
3455652	8628	1997-10-31	PRIJEM	\N	35	6425	UROK	\N	\N
3455653	8628	1997-11-30	PRIJEM	\N	148	33513	UROK	\N	\N
3455654	8628	1997-12-31	PRIJEM	\N	258	88203	UROK	\N	\N
3455655	8628	1998-01-31	PRIJEM	\N	204	30110	UROK	\N	\N
3455656	8628	1998-02-28	PRIJEM	\N	92	17797	UROK	\N	\N
3455657	8628	1998-03-31	PRIJEM	\N	169	90756	UROK	\N	\N
3455658	8628	1998-04-30	PRIJEM	\N	248	86434	UROK	\N	\N
3455659	8628	1998-05-31	PRIJEM	\N	222	44320	UROK	\N	\N
3455660	8628	1998-06-30	PRIJEM	\N	139	31526	UROK	\N	\N
3455661	8628	1998-07-31	PRIJEM	\N	104	49345	UROK	\N	\N
3455662	8628	1998-08-31	PRIJEM	\N	108	22829	UROK	\N	\N
3455663	8628	1998-09-30	PRIJEM	\N	42	17559	UROK	\N	\N
3455664	8628	1998-10-31	PRIJEM	\N	63	8886	UROK	\N	\N
3455665	8628	1998-11-30	PRIJEM	\N	52	6510	UROK	\N	\N
3455666	8628	1998-12-31	PRIJEM	\N	105	56183	UROK	\N	\N
3455693	8759	1993-11-30	PRIJEM	\N	112	87448	UROK	\N	\N
3455694	8759	1993-12-31	PRIJEM	\N	343	68480	UROK	\N	\N
3455695	8759	1994-01-31	PRIJEM	\N	272	51459	UROK	\N	\N
3455696	8759	1994-02-28	PRIJEM	\N	239	63464	UROK	\N	\N
3455697	8759	1994-03-31	PRIJEM	\N	286	86929	UROK	\N	\N
3455698	8759	1994-04-30	PRIJEM	\N	320	57563	UROK	\N	\N
3455699	8759	1994-05-31	PRIJEM	\N	257	47509	UROK	\N	\N
3455700	8759	1994-06-30	PRIJEM	\N	298	68732	UROK	\N	\N
3455701	8759	1994-06-30	VYDAJ	VYBER	3	68958	SANKC. UROK	\N	\N
3455702	8759	1994-07-31	PRIJEM	\N	213	53470	UROK	\N	\N
3455703	8759	1994-08-31	PRIJEM	\N	215	40779	UROK	\N	\N
3455704	8759	1994-09-30	PRIJEM	\N	284	93718	UROK	\N	\N
3455705	8759	1994-10-31	PRIJEM	\N	358	108298	UROK	\N	\N
3455706	8759	1994-11-30	PRIJEM	\N	295	80641	UROK	\N	\N
3455707	8759	1994-12-31	PRIJEM	\N	266	71473	UROK	\N	\N
3455708	8759	1995-01-31	PRIJEM	\N	236	65553	UROK	\N	\N
3455709	8759	1995-02-28	PRIJEM	\N	252	63054	UROK	\N	\N
3455710	8759	1995-03-31	PRIJEM	\N	367	106681	UROK	\N	\N
3455711	8759	1995-04-30	PRIJEM	\N	274	95969	UROK	\N	\N
3455712	8759	1995-05-31	PRIJEM	\N	382	87774	UROK	\N	\N
3455713	8759	1995-06-30	PRIJEM	\N	169	29176	UROK	\N	\N
3455714	8759	1995-07-31	PRIJEM	\N	185	61556	UROK	\N	\N
3455715	8759	1995-08-31	PRIJEM	\N	224	57191	UROK	\N	\N
3455716	8759	1995-09-30	PRIJEM	\N	295	83492	UROK	\N	\N
3455717	8759	1995-10-31	PRIJEM	\N	324	95296	UROK	\N	\N
3455718	8759	1995-11-30	PRIJEM	\N	286	108493	UROK	\N	\N
3455719	8759	1995-12-31	PRIJEM	\N	411	102610	UROK	\N	\N
3455720	8759	1996-01-31	PRIJEM	\N	236	36467	UROK	\N	\N
3455721	8759	1996-02-29	PRIJEM	\N	162	64103	UROK	\N	\N
3455722	8759	1996-03-31	PRIJEM	\N	153	26840	UROK	\N	\N
3455723	8759	1996-04-30	PRIJEM	\N	141	44650	UROK	\N	\N
3455724	8759	1996-05-31	PRIJEM	\N	234	65492	UROK	\N	\N
3455725	8759	1996-06-30	PRIJEM	\N	160	77995	UROK	\N	\N
3455726	8759	1996-07-31	PRIJEM	\N	228	92328	UROK	\N	\N
3455727	8759	1996-08-31	PRIJEM	\N	133	24369	UROK	\N	\N
3455728	8759	1996-09-30	PRIJEM	\N	73	35547	UROK	\N	\N
3455729	8759	1996-10-31	PRIJEM	\N	118	41950	UROK	\N	\N
3455730	8759	1996-11-30	PRIJEM	\N	226	68173	UROK	\N	\N
3455731	8759	1996-12-31	PRIJEM	\N	201	54361	UROK	\N	\N
3455732	8759	1997-01-31	PRIJEM	\N	45	27948	UROK	\N	\N
3455733	8759	1997-02-28	PRIJEM	\N	83	34300	UROK	\N	\N
3455734	8759	1997-03-31	PRIJEM	\N	102	37538	UROK	\N	\N
3455735	8759	1997-04-30	PRIJEM	\N	122	39462	UROK	\N	\N
3455736	8759	1997-05-31	PRIJEM	\N	130	45482	UROK	\N	\N
3455737	8759	1997-06-30	PRIJEM	\N	154	46822	UROK	\N	\N
3455738	8759	1997-07-31	PRIJEM	\N	159	47420	UROK	\N	\N
3455739	8759	1997-08-31	PRIJEM	\N	161	49721	UROK	\N	\N
3455740	8759	1997-09-30	PRIJEM	\N	167	40141	UROK	\N	\N
3455741	8759	1997-10-31	PRIJEM	\N	292	80544	UROK	\N	\N
3455742	8759	1997-11-30	PRIJEM	\N	265	56921	UROK	\N	\N
3455743	8759	1997-12-31	PRIJEM	\N	193	48234	UROK	\N	\N
3455744	8759	1998-01-31	PRIJEM	\N	63	28536	UROK	\N	\N
3455745	8759	1998-02-28	PRIJEM	\N	81	47602	UROK	\N	\N
3455746	8759	1998-03-31	PRIJEM	\N	146	51539	UROK	\N	\N
3455747	8759	1998-04-30	PRIJEM	\N	134	42611	UROK	\N	\N
3455748	8759	1998-05-31	PRIJEM	\N	132	30842	UROK	\N	\N
3455749	8759	1998-06-30	PRIJEM	\N	89	34650	UROK	\N	\N
3455750	8759	1998-07-31	PRIJEM	\N	132	59616	UROK	\N	\N
3455751	8759	1998-08-31	PRIJEM	\N	258	65285	UROK	\N	\N
3455752	8759	1998-09-30	PRIJEM	\N	226	56481	UROK	\N	\N
3455753	8759	1998-10-31	PRIJEM	\N	208	71250	UROK	\N	\N
3455754	8759	1998-11-30	PRIJEM	\N	248	59731	UROK	\N	\N
3455755	8759	1998-12-31	PRIJEM	\N	133	35083	UROK	\N	\N
3455794	8856	1995-01-31	PRIJEM	\N	60	40814	UROK	\N	\N
3455795	8856	1995-02-28	PRIJEM	\N	202	58461	UROK	\N	\N
3455796	8856	1995-03-31	PRIJEM	\N	258	43830	UROK	\N	\N
3455797	8856	1995-04-30	PRIJEM	\N	269	46721	UROK	\N	\N
3455798	8856	1995-05-31	PRIJEM	\N	160	30666	UROK	\N	\N
3455799	8856	1995-06-30	PRIJEM	\N	117	25424	UROK	\N	\N
3455800	8856	1995-07-31	PRIJEM	\N	88	16048	UROK	\N	\N
3455801	8856	1995-08-31	PRIJEM	\N	27	4096	UROK	\N	\N
3455802	8856	1995-09-30	PRIJEM	\N	95	63342	UROK	\N	\N
3455803	8856	1995-10-31	PRIJEM	\N	208	75456	UROK	\N	\N
3455804	8856	1995-11-30	PRIJEM	\N	264	105535	UROK	\N	\N
3455805	8856	1995-12-31	PRIJEM	\N	353	76935	UROK	\N	\N
3455806	8856	1996-01-31	PRIJEM	\N	249	43921	UROK	\N	\N
3455807	8856	1996-02-29	PRIJEM	\N	226	63002	UROK	\N	\N
3455808	8856	1996-03-31	PRIJEM	\N	236	62683	UROK	\N	\N
3455809	8856	1996-04-30	PRIJEM	\N	226	88855	UROK	\N	\N
3455810	8856	1996-05-31	PRIJEM	\N	351	94395	UROK	\N	\N
3455811	8856	1996-06-30	PRIJEM	\N	308	79745	UROK	\N	\N
3455812	8856	1996-07-31	PRIJEM	\N	353	91456	UROK	\N	\N
3455813	8856	1996-08-31	PRIJEM	\N	270	57652	UROK	\N	\N
3455814	8856	1996-09-30	PRIJEM	\N	219	51789	UROK	\N	\N
3455815	8856	1996-10-31	PRIJEM	\N	242	81079	UROK	\N	\N
3455816	8856	1996-11-30	PRIJEM	\N	405	119153	UROK	\N	\N
3455817	8856	1996-12-31	PRIJEM	\N	303	59547	UROK	\N	\N
3455818	8856	1997-01-31	PRIJEM	\N	189	42968	UROK	\N	\N
3455819	8856	1997-02-28	PRIJEM	\N	243	68737	UROK	\N	\N
3455820	8856	1997-03-31	PRIJEM	\N	195	41607	UROK	\N	\N
3455821	8856	1997-04-30	PRIJEM	\N	146	39538	UROK	\N	\N
3455822	8856	1997-05-31	PRIJEM	\N	244	84838	UROK	\N	\N
3455823	8856	1997-06-30	PRIJEM	\N	331	121071	UROK	\N	\N
3455824	8856	1997-07-31	PRIJEM	\N	464	82213	UROK	\N	\N
3455825	8856	1997-08-31	PRIJEM	\N	196	50095	UROK	\N	\N
3455826	8856	1997-09-30	PRIJEM	\N	219	132301	UROK	\N	\N
3455827	8856	1997-10-31	PRIJEM	\N	378	99978	UROK	\N	\N
3455828	8856	1997-11-30	PRIJEM	\N	248	64669	UROK	\N	\N
3455829	8856	1997-12-31	PRIJEM	\N	251	107953	UROK	\N	\N
3455830	8856	1998-01-31	PRIJEM	\N	208	54692	UROK	\N	\N
3455831	8856	1998-02-28	PRIJEM	\N	277	80191	UROK	\N	\N
3455832	8856	1998-03-31	PRIJEM	\N	247	65929	UROK	\N	\N
3455833	8856	1998-04-30	PRIJEM	\N	325	105160	UROK	\N	\N
3455834	8856	1998-05-31	PRIJEM	\N	285	72641	UROK	\N	\N
3455835	8856	1998-06-30	PRIJEM	\N	273	111414	UROK	\N	\N
3455836	8856	1998-07-31	PRIJEM	\N	412	104021	UROK	\N	\N
3455837	8856	1998-08-31	PRIJEM	\N	374	117592	UROK	\N	\N
3455838	8856	1998-09-30	PRIJEM	\N	428	97505	UROK	\N	\N
3455839	8856	1998-10-31	PRIJEM	\N	375	103283	UROK	\N	\N
3455840	8856	1998-11-30	PRIJEM	\N	424	103584	UROK	\N	\N
3455841	8856	1998-12-31	PRIJEM	\N	467	137830	UROK	\N	\N
3455842	8896	1996-05-31	PRIJEM	\N	122	66106	UROK	\N	\N
3455843	8896	1996-06-30	PRIJEM	\N	275	46281	UROK	\N	\N
3455844	8896	1996-07-31	PRIJEM	\N	288	82448	UROK	\N	\N
3455845	8896	1996-08-31	PRIJEM	\N	217	58142	UROK	\N	\N
3455846	8896	1996-09-30	PRIJEM	\N	314	48068	UROK	\N	\N
3455847	8896	1996-10-31	PRIJEM	\N	363	50677	UROK	\N	\N
3455848	8896	1996-11-30	PRIJEM	\N	324	54789	UROK	\N	\N
3455849	8896	1996-12-31	PRIJEM	\N	297	40139	UROK	\N	\N
3455850	8896	1997-01-31	PRIJEM	\N	260	45503	UROK	\N	\N
3455851	8896	1997-02-28	PRIJEM	\N	172	7232	UROK	\N	\N
3455852	8896	1997-03-31	PRIJEM	\N	267	67478	UROK	\N	\N
3455853	8896	1997-04-30	PRIJEM	\N	326	48186	UROK	\N	\N
3455854	8896	1997-05-31	PRIJEM	\N	174	49192	UROK	\N	\N
3455855	8896	1997-06-30	PRIJEM	\N	177	29641	UROK	\N	\N
3455856	8896	1997-07-31	PRIJEM	\N	307	100096	UROK	\N	\N
3455857	8896	1997-08-31	PRIJEM	\N	397	68301	UROK	\N	\N
3455858	8896	1997-09-30	PRIJEM	\N	321	33352	UROK	\N	\N
3455859	8896	1997-10-31	PRIJEM	\N	192	45335	UROK	\N	\N
3455860	8896	1997-11-30	PRIJEM	\N	156	26038	UROK	\N	\N
3455861	8896	1997-12-31	PRIJEM	\N	32	15671	UROK	\N	\N
3455862	8896	1998-01-31	PRIJEM	\N	142	25622	UROK	\N	\N
3455863	8896	1998-02-28	PRIJEM	\N	97	22331	UROK	\N	\N
3455864	8896	1998-03-31	PRIJEM	\N	61	5526	UROK	\N	\N
3455865	8896	1998-04-30	PRIJEM	\N	6	3498	UROK	\N	\N
3455866	8896	1998-05-31	PRIJEM	\N	6	5104	UROK	\N	\N
3455867	8896	1998-06-30	PRIJEM	\N	11	6214	UROK	\N	\N
3455868	8896	1998-07-31	PRIJEM	\N	115	78956	UROK	\N	\N
3455869	8896	1998-08-31	PRIJEM	\N	292	79066	UROK	\N	\N
3455870	8896	1998-09-30	PRIJEM	\N	239	38198	UROK	\N	\N
3455871	8896	1998-10-31	PRIJEM	\N	119	10346	UROK	\N	\N
3455872	8896	1998-11-30	PRIJEM	\N	22	569	UROK	\N	\N
3455873	8896	1998-12-31	PRIJEM	\N	52	44342	UROK	\N	\N
3455874	8934	1993-07-31	PRIJEM	\N	62	17780	UROK	\N	\N
3455875	8934	1993-08-31	PRIJEM	\N	121	31086	UROK	\N	\N
3455876	8934	1993-09-30	PRIJEM	\N	170	42922	UROK	\N	\N
3455877	8934	1993-10-31	PRIJEM	\N	195	48101	UROK	\N	\N
3455878	8934	1993-11-30	PRIJEM	\N	205	47124	UROK	\N	\N
3455879	8934	1993-12-31	PRIJEM	\N	215	52889	UROK	\N	\N
3455880	8934	1994-01-31	PRIJEM	\N	74	-1993	UROK	\N	\N
3455881	8934	1994-01-31	VYDAJ	VYBER	2	-2010	SANKC. UROK	\N	\N
3455882	8934	1994-02-28	PRIJEM	\N	91	26599	UROK	\N	\N
3455883	8934	1994-02-28	VYDAJ	VYBER	4	26678	SANKC. UROK	\N	\N
3455884	8934	1994-03-31	PRIJEM	\N	142	31068	UROK	\N	\N
3455885	8934	1994-04-30	PRIJEM	\N	134	15504	UROK	\N	\N
3455886	8934	1994-04-30	VYDAJ	VYBER	0	634	SANKC. UROK	\N	\N
3455887	8934	1994-05-31	PRIJEM	\N	101	29152	UROK	\N	\N
3455888	8934	1994-05-31	VYDAJ	VYBER	1	29251	SANKC. UROK	\N	\N
3455889	8934	1994-06-30	PRIJEM	\N	121	30782	UROK	\N	\N
3455890	8934	1994-07-31	PRIJEM	\N	155	40141	UROK	\N	\N
3455891	8934	1994-08-31	PRIJEM	\N	142	31704	UROK	\N	\N
3455892	8934	1994-09-30	PRIJEM	\N	126	34571	UROK	\N	\N
3455893	8934	1994-10-31	PRIJEM	\N	138	37516	UROK	\N	\N
3455894	8934	1994-11-30	PRIJEM	\N	153	34382	UROK	\N	\N
3455895	8934	1994-12-31	PRIJEM	\N	176	25387	UROK	\N	\N
3455896	8934	1995-01-31	PRIJEM	\N	85	16141	UROK	\N	\N
3455897	8934	1995-02-28	PRIJEM	\N	31	16032	UROK	\N	\N
3455898	8934	1995-03-31	PRIJEM	\N	107	22945	UROK	\N	\N
3455899	8934	1995-04-30	PRIJEM	\N	63	23116	UROK	\N	\N
3455900	8934	1995-05-31	PRIJEM	\N	84	9904	UROK	\N	\N
3455901	8934	1995-06-30	PRIJEM	\N	31	16725	UROK	\N	\N
3455902	8934	1995-07-31	PRIJEM	\N	52	20757	UROK	\N	\N
3455903	8934	1995-08-31	PRIJEM	\N	94	24223	UROK	\N	\N
3455904	8934	1995-09-30	PRIJEM	\N	125	29834	UROK	\N	\N
3455905	8934	1995-10-31	PRIJEM	\N	117	34071	UROK	\N	\N
3455906	8934	1995-11-30	PRIJEM	\N	125	23480	UROK	\N	\N
3455907	8934	1995-12-31	PRIJEM	\N	86	7715	UROK	\N	\N
3455908	8934	1996-01-31	PRIJEM	\N	26	1926	UROK	\N	\N
3455909	8934	1996-01-31	VYDAJ	VYBER	7	1902	SANKC. UROK	\N	\N
3455910	8934	1996-02-29	PRIJEM	\N	9	7938	UROK	\N	\N
3455911	8934	1996-02-29	VYDAJ	VYBER	9	7915	SANKC. UROK	\N	\N
3455912	8934	1996-03-31	PRIJEM	\N	27	16776	UROK	\N	\N
3455913	8934	1996-04-30	PRIJEM	\N	72	28471	UROK	\N	\N
3455914	8934	1996-05-31	PRIJEM	\N	36	14970	UROK	\N	\N
3455915	8934	1996-06-30	PRIJEM	\N	85	24478	UROK	\N	\N
3455916	8934	1996-07-31	PRIJEM	\N	91	17304	UROK	\N	\N
3455917	8934	1996-08-31	PRIJEM	\N	67	22342	UROK	\N	\N
3455918	8934	1996-09-30	PRIJEM	\N	84	10015	UROK	\N	\N
3455919	8934	1996-10-31	PRIJEM	\N	44	11708	UROK	\N	\N
3455920	8934	1996-11-30	PRIJEM	\N	70	25466	UROK	\N	\N
3455921	8934	1996-12-31	PRIJEM	\N	77	11658	UROK	\N	\N
3455922	8934	1997-01-31	PRIJEM	\N	44	4882	UROK	\N	\N
3455923	8934	1997-02-28	PRIJEM	\N	49	20713	UROK	\N	\N
3455924	8934	1997-03-31	PRIJEM	\N	89	30706	UROK	\N	\N
3455925	8934	1997-04-30	PRIJEM	\N	110	13169	UROK	\N	\N
3455926	8934	1997-05-31	PRIJEM	\N	68	27588	UROK	\N	\N
3455927	8934	1997-06-30	PRIJEM	\N	114	30364	UROK	\N	\N
3455928	8934	1997-07-31	PRIJEM	\N	112	31835	UROK	\N	\N
3455929	8934	1997-08-31	PRIJEM	\N	125	36636	UROK	\N	\N
3455930	8934	1997-09-30	PRIJEM	\N	115	28716	UROK	\N	\N
3455931	8934	1997-10-31	PRIJEM	\N	115	34545	UROK	\N	\N
3455932	8934	1997-11-30	PRIJEM	\N	122	31543	UROK	\N	\N
3455933	8934	1997-12-31	PRIJEM	\N	120	30425	UROK	\N	\N
3455934	8934	1998-01-31	PRIJEM	\N	96	5001	UROK	\N	\N
3455935	8934	1998-01-31	VYDAJ	VYBER	0	4987	SANKC. UROK	\N	\N
3455936	8934	1998-02-28	PRIJEM	\N	50	22654	UROK	\N	\N
3455937	8934	1998-02-28	VYDAJ	VYBER	0	22701	SANKC. UROK	\N	\N
3455938	8934	1998-03-31	PRIJEM	\N	100	32905	UROK	\N	\N
3455939	8934	1998-04-30	PRIJEM	\N	104	26673	UROK	\N	\N
3455940	8934	1998-05-31	PRIJEM	\N	115	35861	UROK	\N	\N
3455941	8934	1998-06-30	PRIJEM	\N	106	19816	UROK	\N	\N
3455942	8934	1998-07-31	PRIJEM	\N	50	13044	UROK	\N	\N
3455943	8934	1998-08-31	PRIJEM	\N	73	25313	UROK	\N	\N
3455944	8934	1998-09-30	PRIJEM	\N	46	13304	UROK	\N	\N
3455945	8934	1998-10-31	PRIJEM	\N	54	9258	UROK	\N	\N
3455946	8934	1998-11-30	PRIJEM	\N	79	28687	UROK	\N	\N
3455947	8934	1998-12-31	PRIJEM	\N	176	43802	UROK	\N	\N
3455948	8957	1993-11-30	PRIJEM	\N	90	53438	UROK	\N	\N
3455949	8957	1993-12-31	PRIJEM	\N	263	66710	UROK	\N	\N
3455950	8957	1994-01-31	PRIJEM	\N	123	-2507	UROK	\N	\N
3455951	8957	1994-01-31	VYDAJ	VYBER	10	-2474	SANKC. UROK	\N	\N
3455952	8957	1994-02-28	PRIJEM	\N	167	31440	UROK	\N	\N
3455953	8957	1994-02-28	VYDAJ	VYBER	4	31580	SANKC. UROK	\N	\N
3455954	8957	1994-03-31	PRIJEM	\N	95	18131	UROK	\N	\N
3455955	8957	1994-04-30	PRIJEM	\N	74	20433	UROK	\N	\N
3455956	8957	1994-05-31	PRIJEM	\N	105	48242	UROK	\N	\N
3455957	8957	1994-06-30	PRIJEM	\N	163	18796	UROK	\N	\N
3455958	8957	1994-07-31	PRIJEM	\N	70	708	UROK	\N	\N
3455959	8957	1994-07-31	VYDAJ	VYBER	1	693	SANKC. UROK	\N	\N
3455960	8957	1994-08-31	PRIJEM	\N	302	72696	UROK	\N	\N
3455961	8957	1994-08-31	VYDAJ	VYBER	0	72682	SANKC. UROK	\N	\N
3455962	8957	1994-09-30	PRIJEM	\N	344	74838	UROK	\N	\N
3455963	8957	1994-10-31	PRIJEM	\N	319	78858	UROK	\N	\N
3455964	8957	1994-11-30	PRIJEM	\N	281	65389	UROK	\N	\N
3455965	8957	1994-12-31	PRIJEM	\N	253	43955	UROK	\N	\N
3455966	8957	1995-01-31	PRIJEM	\N	111	11029	UROK	\N	\N
3455967	8957	1995-02-28	PRIJEM	\N	37	22151	UROK	\N	\N
3455968	8957	1995-03-31	PRIJEM	\N	62	24398	UROK	\N	\N
3455969	8957	1995-04-30	PRIJEM	\N	92	25278	UROK	\N	\N
3455970	8957	1995-05-31	PRIJEM	\N	66	9986	UROK	\N	\N
3455971	8957	1995-06-30	PRIJEM	\N	16	4244	UROK	\N	\N
3455972	8957	1995-07-31	PRIJEM	\N	9	7200	UROK	\N	\N
3455973	8957	1995-08-31	PRIJEM	\N	21	8009	UROK	\N	\N
3455974	8957	1995-09-30	PRIJEM	\N	24	19839	UROK	\N	\N
3455975	8957	1995-10-31	PRIJEM	\N	72	24422	UROK	\N	\N
3455976	8957	1995-11-30	PRIJEM	\N	72	17986	UROK	\N	\N
3455977	8957	1995-12-31	PRIJEM	\N	48	11789	UROK	\N	\N
3455978	8957	1996-01-31	PRIJEM	\N	30	4440	UROK	\N	\N
3455979	8957	1996-02-29	PRIJEM	\N	158	57393	UROK	\N	\N
3455980	8957	1996-03-31	PRIJEM	\N	206	45047	UROK	\N	\N
3455981	8957	1996-04-30	PRIJEM	\N	171	39903	UROK	\N	\N
3455982	8957	1996-05-31	PRIJEM	\N	153	43707	UROK	\N	\N
3455983	8957	1996-06-30	PRIJEM	\N	167	40332	UROK	\N	\N
3455984	8957	1996-07-31	PRIJEM	\N	153	41171	UROK	\N	\N
3455985	8957	1996-08-31	PRIJEM	\N	103	32607	UROK	\N	\N
3455986	8957	1996-09-30	PRIJEM	\N	120	33796	UROK	\N	\N
3455987	8957	1996-10-31	PRIJEM	\N	125	41206	UROK	\N	\N
3455988	8957	1996-11-30	PRIJEM	\N	125	31437	UROK	\N	\N
3455989	8957	1996-12-31	PRIJEM	\N	98	24636	UROK	\N	\N
3455990	8957	1997-01-31	PRIJEM	\N	133	66415	UROK	\N	\N
3455991	8957	1997-02-28	PRIJEM	\N	250	52901	UROK	\N	\N
3455992	8957	1997-03-31	PRIJEM	\N	200	47687	UROK	\N	\N
3455993	8957	1997-04-30	PRIJEM	\N	210	91949	UROK	\N	\N
3455994	8957	1997-05-31	PRIJEM	\N	359	83548	UROK	\N	\N
3455995	8957	1997-06-30	PRIJEM	\N	149	29514	UROK	\N	\N
3455996	8957	1997-07-31	PRIJEM	\N	116	38664	UROK	\N	\N
3455997	8957	1997-08-31	PRIJEM	\N	212	70577	UROK	\N	\N
3455998	8957	1997-09-30	PRIJEM	\N	254	55466	UROK	\N	\N
3455999	8957	1997-10-31	PRIJEM	\N	249	83570	UROK	\N	\N
3456000	8957	1997-11-30	PRIJEM	\N	315	66496	UROK	\N	\N
3456001	8957	1997-12-31	PRIJEM	\N	241	56093	UROK	\N	\N
3456002	8957	1998-01-31	PRIJEM	\N	131	21579	UROK	\N	\N
3456003	8957	1998-02-28	PRIJEM	\N	74	29465	UROK	\N	\N
3456004	8957	1998-03-31	PRIJEM	\N	69	33252	UROK	\N	\N
3456005	8957	1998-04-30	PRIJEM	\N	183	96951	UROK	\N	\N
3456006	8957	1998-05-31	PRIJEM	\N	362	83533	UROK	\N	\N
3456007	8957	1998-06-30	PRIJEM	\N	270	62213	UROK	\N	\N
3456008	8957	1998-07-31	PRIJEM	\N	327	89062	UROK	\N	\N
3456009	8957	1998-08-31	PRIJEM	\N	338	74986	UROK	\N	\N
3456010	8957	1998-09-30	PRIJEM	\N	276	55454	UROK	\N	\N
3456011	8957	1998-10-31	PRIJEM	\N	200	59039	UROK	\N	\N
3456012	8957	1998-11-30	PRIJEM	\N	215	61746	UROK	\N	\N
3456013	8957	1998-12-31	PRIJEM	\N	226	62152	UROK	\N	\N
3456014	8998	1996-01-31	PRIJEM	\N	76	73253	UROK	\N	\N
3456015	8998	1996-02-29	PRIJEM	\N	305	45757	UROK	\N	\N
3456016	8998	1996-03-31	PRIJEM	\N	249	33650	UROK	\N	\N
3456017	8998	1996-04-30	PRIJEM	\N	138	23091	UROK	\N	\N
3456018	8998	1996-05-31	PRIJEM	\N	91	14873	UROK	\N	\N
3456019	8998	1996-06-30	PRIJEM	\N	122	51007	UROK	\N	\N
3456020	8998	1996-07-31	PRIJEM	\N	185	44186	UROK	\N	\N
3456021	8998	1996-08-31	PRIJEM	\N	240	49640	UROK	\N	\N
3456022	8998	1996-09-30	PRIJEM	\N	220	57410	UROK	\N	\N
3456023	8998	1996-10-31	PRIJEM	\N	233	33238	UROK	\N	\N
3456024	8998	1996-11-30	PRIJEM	\N	106	57157	UROK	\N	\N
3456025	8998	1996-12-31	PRIJEM	\N	287	92706	UROK	\N	\N
3456026	8998	1997-01-31	PRIJEM	\N	148	13014	UROK	\N	\N
3456027	8998	1997-02-28	PRIJEM	\N	33	12386	UROK	\N	\N
3456028	8998	1997-03-31	PRIJEM	\N	68	21676	UROK	\N	\N
3456029	8998	1997-04-30	PRIJEM	\N	70	36794	UROK	\N	\N
3456030	8998	1997-05-31	PRIJEM	\N	140	43049	UROK	\N	\N
3456031	8998	1997-06-30	PRIJEM	\N	157	14268	UROK	\N	\N
3456032	8998	1997-07-31	PRIJEM	\N	81	27755	UROK	\N	\N
3456033	8998	1997-08-31	PRIJEM	\N	104	14276	UROK	\N	\N
3456034	8998	1997-09-30	PRIJEM	\N	50	3511	UROK	\N	\N
3456035	8998	1997-10-31	PRIJEM	\N	21	8472	UROK	\N	\N
3456036	8998	1997-11-30	PRIJEM	\N	27	-3716	UROK	\N	\N
3456037	8998	1997-12-31	PRIJEM	\N	7	-1724	UROK	\N	\N
3456038	8998	1997-12-31	VYDAJ	VYBER	28	-1752	SANKC. UROK	\N	\N
3456039	8998	1998-01-31	PRIJEM	\N	12	9846	UROK	\N	\N
3456040	8998	1998-01-31	VYDAJ	VYBER	24	9822	SANKC. UROK	\N	\N
3456041	8998	1998-02-28	PRIJEM	\N	59	24338	UROK	\N	\N
3456042	8998	1998-03-31	PRIJEM	\N	74	18207	UROK	\N	\N
3456043	8998	1998-04-30	PRIJEM	\N	22	1515	UROK	\N	\N
3456044	8998	1998-04-30	VYDAJ	VYBER	5	1533	SANKC. UROK	\N	\N
3456045	8998	1998-05-31	PRIJEM	\N	30	7727	UROK	\N	\N
3456046	8998	1998-05-31	VYDAJ	VYBER	2	4001	SANKC. UROK	\N	\N
3456047	8998	1998-06-30	PRIJEM	\N	7	-2292	UROK	\N	\N
3456048	8998	1998-07-31	PRIJEM	\N	2	905	UROK	\N	\N
3456049	8998	1998-07-31	VYDAJ	VYBER	10	885	SANKC. UROK	\N	\N
3456050	8998	1998-08-31	VYDAJ	VYBER	14	-6944	SANKC. UROK	\N	\N
3456051	8998	1998-09-30	VYDAJ	VYBER	14	-8158	SANKC. UROK	\N	\N
3456052	8998	1998-10-31	PRIJEM	\N	20	32553	UROK	\N	\N
3456053	8998	1998-10-31	VYDAJ	VYBER	12	32527	SANKC. UROK	\N	\N
3456054	8998	1998-11-30	PRIJEM	\N	121	148	UROK	\N	\N
3456055	8998	1998-11-30	VYDAJ	VYBER	1	268	SANKC. UROK	\N	\N
3456056	9017	1995-12-31	PRIJEM	\N	29	21921	UROK	\N	\N
3456057	9017	1996-01-31	PRIJEM	\N	99	27741	UROK	\N	\N
3456058	9017	1996-02-29	PRIJEM	\N	123	33836	UROK	\N	\N
3456059	9017	1996-03-31	PRIJEM	\N	136	31565	UROK	\N	\N
3456060	9017	1996-04-30	PRIJEM	\N	137	29178	UROK	\N	\N
3456061	9017	1996-05-31	PRIJEM	\N	110	22238	UROK	\N	\N
3456062	9017	1996-06-30	PRIJEM	\N	103	25524	UROK	\N	\N
3456063	9017	1996-07-31	PRIJEM	\N	105	25462	UROK	\N	\N
3456064	9017	1996-08-31	PRIJEM	\N	93	21575	UROK	\N	\N
3456065	9017	1996-09-30	PRIJEM	\N	70	8970	UROK	\N	\N
3456066	9017	1996-10-31	PRIJEM	\N	61	20798	UROK	\N	\N
3456067	9017	1996-11-30	PRIJEM	\N	78	19094	UROK	\N	\N
3456068	9017	1996-12-31	PRIJEM	\N	75	19205	UROK	\N	\N
3456069	9017	1997-01-31	PRIJEM	\N	65	4424	UROK	\N	\N
3456070	9017	1997-02-28	PRIJEM	\N	36	15000	UROK	\N	\N
3456071	9017	1997-03-31	PRIJEM	\N	42	3337	UROK	\N	\N
3456072	9017	1997-04-30	PRIJEM	\N	36	16147	UROK	\N	\N
3456073	9017	1997-05-31	PRIJEM	\N	66	4138	UROK	\N	\N
3456074	9017	1997-06-30	PRIJEM	\N	40	16512	UROK	\N	\N
3456075	9017	1997-07-31	PRIJEM	\N	48	13375	UROK	\N	\N
3456076	9017	1997-08-31	PRIJEM	\N	49	14782	UROK	\N	\N
3456077	9017	1997-09-30	PRIJEM	\N	43	11796	UROK	\N	\N
3456078	9017	1997-10-31	PRIJEM	\N	30	9645	UROK	\N	\N
3456079	9017	1997-11-30	PRIJEM	\N	18	-3191	UROK	\N	\N
3456080	9017	1997-11-30	VYDAJ	VYBER	6	-3221	SANKC. UROK	\N	\N
3456081	9017	1997-12-31	PRIJEM	\N	16	8520	UROK	\N	\N
3456082	9017	1997-12-31	VYDAJ	VYBER	20	8500	SANKC. UROK	\N	\N
3456083	9017	1998-01-31	PRIJEM	\N	21	7671	UROK	\N	\N
3456084	9017	1998-02-28	PRIJEM	\N	20	7863	UROK	\N	\N
3456085	9017	1998-03-31	PRIJEM	\N	48	18428	UROK	\N	\N
3456086	9017	1998-04-30	PRIJEM	\N	57	15473	UROK	\N	\N
3456087	9017	1998-05-31	PRIJEM	\N	48	14312	UROK	\N	\N
3456088	9017	1998-06-30	PRIJEM	\N	45	13884	UROK	\N	\N
3456089	9017	1998-07-31	PRIJEM	\N	26	7236	UROK	\N	\N
3456090	9017	1998-08-31	PRIJEM	\N	14	6639	UROK	\N	\N
3456091	9017	1998-09-30	PRIJEM	\N	16	6705	UROK	\N	\N
3456092	9017	1998-10-31	PRIJEM	\N	41	17194	UROK	\N	\N
3456093	9017	1998-11-30	PRIJEM	\N	55	4574	UROK	\N	\N
3456094	9017	1998-12-31	PRIJEM	\N	49	21367	UROK	\N	\N
3456095	9041	1993-08-31	PRIJEM	\N	49	61184	UROK	\N	\N
3456096	9041	1993-09-30	PRIJEM	\N	255	43839	UROK	\N	\N
3456097	9041	1993-10-31	PRIJEM	\N	252	58549	UROK	\N	\N
3456098	9041	1993-11-30	PRIJEM	\N	429	43788	UROK	\N	\N
3456099	9041	1993-12-31	PRIJEM	\N	174	44376	UROK	\N	\N
3456100	9041	1994-01-31	PRIJEM	\N	60	13116	UROK	\N	\N
3456101	9041	1994-01-31	VYDAJ	VYBER	5	13092	SANKC. UROK	\N	\N
3456102	9041	1994-02-28	PRIJEM	\N	50	314	UROK	\N	\N
3456103	9041	1994-02-28	VYDAJ	VYBER	0	314	SANKC. UROK	\N	\N
3456104	9041	1994-03-31	PRIJEM	\N	23	7926	UROK	\N	\N
3456105	9041	1994-03-31	VYDAJ	VYBER	1	18147	SANKC. UROK	\N	\N
3456106	9041	1994-04-30	PRIJEM	\N	32	11657	UROK	\N	\N
3456107	9041	1994-04-30	VYDAJ	VYBER	3	11686	SANKC. UROK	\N	\N
3456108	9041	1994-05-31	PRIJEM	\N	151	40993	UROK	\N	\N
3456109	9041	1994-06-30	PRIJEM	\N	193	34332	UROK	\N	\N
3456110	9041	1994-07-31	PRIJEM	\N	90	21231	UROK	\N	\N
3456111	9041	1994-08-31	PRIJEM	\N	95	42292	UROK	\N	\N
3456112	9041	1994-09-30	PRIJEM	\N	181	31277	UROK	\N	\N
3456113	9041	1994-10-31	PRIJEM	\N	134	44674	UROK	\N	\N
3456114	9041	1994-11-30	PRIJEM	\N	149	26638	UROK	\N	\N
3456115	9041	1994-12-31	PRIJEM	\N	252	52543	UROK	\N	\N
3456116	9041	1995-01-31	PRIJEM	\N	114	5757	UROK	\N	\N
3456117	9041	1995-02-28	PRIJEM	\N	172	40947	UROK	\N	\N
3456118	9041	1995-03-31	PRIJEM	\N	155	24269	UROK	\N	\N
3456119	9041	1995-04-30	PRIJEM	\N	103	37551	UROK	\N	\N
3456120	9041	1995-05-31	PRIJEM	\N	201	64449	UROK	\N	\N
3456121	9041	1995-06-30	PRIJEM	\N	262	73335	UROK	\N	\N
3456122	9041	1995-07-31	PRIJEM	\N	350	69873	UROK	\N	\N
3456123	9041	1995-08-31	PRIJEM	\N	314	71192	UROK	\N	\N
3456124	9041	1995-09-30	PRIJEM	\N	280	46257	UROK	\N	\N
3456125	9041	1995-10-31	PRIJEM	\N	268	103951	UROK	\N	\N
3456126	9041	1995-11-30	PRIJEM	\N	352	62695	UROK	\N	\N
3456127	9041	1995-12-31	PRIJEM	\N	217	45922	UROK	\N	\N
3456128	9041	1996-01-31	PRIJEM	\N	94	4686	UROK	\N	\N
3456129	9041	1996-02-29	PRIJEM	\N	52	18793	UROK	\N	\N
3456130	9041	1996-03-31	PRIJEM	\N	62	12792	UROK	\N	\N
3456131	9041	1996-04-30	PRIJEM	\N	28	7132	UROK	\N	\N
3456132	9041	1996-05-31	PRIJEM	\N	13	6458	UROK	\N	\N
3456133	9041	1996-06-30	PRIJEM	\N	10	7554	UROK	\N	\N
3456134	9041	1996-07-31	PRIJEM	\N	31	13011	UROK	\N	\N
3456135	9041	1996-08-31	PRIJEM	\N	37	11934	UROK	\N	\N
3456136	9041	1996-09-30	PRIJEM	\N	32	7051	UROK	\N	\N
3456137	9041	1996-10-31	PRIJEM	\N	13	9949	UROK	\N	\N
3456138	9041	1996-11-30	PRIJEM	\N	24	6658	UROK	\N	\N
3456139	9041	1996-12-31	PRIJEM	\N	10	5154	UROK	\N	\N
3456140	9041	1997-01-31	PRIJEM	\N	11	24687	UROK	\N	\N
3456141	9041	1997-01-31	VYDAJ	VYBER	1	24678	SANKC. UROK	\N	\N
3456142	9041	1997-02-28	PRIJEM	\N	148	94341	UROK	\N	\N
3456143	9041	1997-03-31	PRIJEM	\N	374	89680	UROK	\N	\N
3456144	9041	1997-04-30	PRIJEM	\N	317	66394	UROK	\N	\N
3456145	9041	1997-05-31	PRIJEM	\N	214	32065	UROK	\N	\N
3456146	9041	1997-06-30	PRIJEM	\N	82	31965	UROK	\N	\N
3456147	9041	1997-07-31	PRIJEM	\N	213	68135	UROK	\N	\N
3456148	9041	1997-08-31	PRIJEM	\N	344	111789	UROK	\N	\N
3456149	9041	1997-09-30	PRIJEM	\N	363	73043	UROK	\N	\N
3456150	9041	1997-10-31	PRIJEM	\N	223	46430	UROK	\N	\N
3456151	9041	1997-11-30	PRIJEM	\N	199	88304	UROK	\N	\N
3456152	9041	1997-12-31	PRIJEM	\N	223	59473	UROK	\N	\N
3456153	9041	1998-01-31	PRIJEM	\N	122	7825	UROK	\N	\N
3456154	9041	1998-02-28	PRIJEM	\N	28	19892	UROK	\N	\N
3456155	9041	1998-03-31	PRIJEM	\N	100	57767	UROK	\N	\N
3456156	9041	1998-04-30	PRIJEM	\N	99	20147	UROK	\N	\N
3456157	9041	1998-05-31	PRIJEM	\N	54	12228	UROK	\N	\N
3456158	9041	1998-06-30	PRIJEM	\N	22	7034	UROK	\N	\N
3456159	9041	1998-07-31	PRIJEM	\N	22	3556	UROK	\N	\N
3456160	9041	1998-08-31	PRIJEM	\N	22	-1623	UROK	\N	\N
3456161	9041	1998-09-30	PRIJEM	\N	45	19078	UROK	\N	\N
3456162	9041	1998-10-31	PRIJEM	\N	49	7760	UROK	\N	\N
3456163	9041	1998-11-30	PRIJEM	\N	57	14611	UROK	\N	\N
3456164	9041	1998-12-31	PRIJEM	\N	4	2350	UROK	\N	\N
3456165	9041	1998-12-31	VYDAJ	VYBER	44	2263	SANKC. UROK	\N	\N
3456205	9051	1997-02-28	PRIJEM	\N	83	29554	UROK	\N	\N
3456206	9051	1997-03-31	PRIJEM	\N	123	22156	UROK	\N	\N
3456207	9051	1997-04-30	PRIJEM	\N	236	74909	UROK	\N	\N
3456208	9051	1997-05-31	PRIJEM	\N	325	109688	UROK	\N	\N
3456209	9051	1997-06-30	PRIJEM	\N	445	33802	UROK	\N	\N
3456210	9051	1997-07-31	PRIJEM	\N	142	35288	UROK	\N	\N
3456211	9051	1997-08-31	PRIJEM	\N	143	30875	UROK	\N	\N
3456212	9051	1997-09-30	PRIJEM	\N	104	20697	UROK	\N	\N
3456213	9051	1997-10-31	PRIJEM	\N	31	2948	UROK	\N	\N
3456214	9051	1997-11-30	PRIJEM	\N	52	26559	UROK	\N	\N
3456215	9051	1997-12-31	PRIJEM	\N	69	7972	UROK	\N	\N
3456216	9051	1998-01-31	PRIJEM	\N	14	-2203	UROK	\N	\N
3456217	9051	1998-01-31	VYDAJ	VYBER	7	-2226	SANKC. UROK	\N	\N
3456218	9051	1998-02-28	PRIJEM	\N	0	1367	UROK	\N	\N
3456219	9051	1998-02-28	VYDAJ	VYBER	32	1305	SANKC. UROK	\N	\N
3456220	9051	1998-03-31	PRIJEM	\N	1	11076	UROK	\N	\N
3456221	9051	1998-03-31	VYDAJ	VYBER	0	11046	SANKC. UROK	\N	\N
3456222	9051	1998-04-30	PRIJEM	\N	32	-768	UROK	\N	\N
3456223	9051	1998-04-30	VYDAJ	VYBER	4	-774	SANKC. UROK	\N	\N
3456224	9051	1998-05-31	PRIJEM	\N	1	9627	UROK	\N	\N
3456225	9051	1998-05-31	VYDAJ	VYBER	21	9586	SANKC. UROK	\N	\N
3456226	9051	1998-06-30	PRIJEM	\N	35	14691	UROK	\N	\N
3456227	9051	1998-07-31	PRIJEM	\N	61	44786	UROK	\N	\N
3456228	9051	1998-08-31	PRIJEM	\N	82	18545	UROK	\N	\N
3456229	9051	1998-09-30	PRIJEM	\N	80	11957	UROK	\N	\N
3456230	9051	1998-10-31	PRIJEM	\N	18	1577	UROK	\N	\N
3456231	9051	1998-10-31	VYDAJ	VYBER	0	1547	SANKC. UROK	\N	\N
3456232	9051	1998-11-30	PRIJEM	\N	1	9948	UROK	\N	\N
3456233	9051	1998-11-30	VYDAJ	VYBER	1	9947	SANKC. UROK	\N	\N
3456234	9051	1998-12-31	PRIJEM	\N	95	23188	UROK	\N	\N
3456235	9052	1995-09-30	PRIJEM	\N	9	33541	UROK	\N	\N
3456236	9052	1995-10-31	PRIJEM	\N	197	48564	UROK	\N	\N
3456237	9052	1995-11-30	PRIJEM	\N	393	56188	UROK	\N	\N
3456238	9052	1995-12-31	PRIJEM	\N	340	38233	UROK	\N	\N
3456239	9052	1996-01-31	PRIJEM	\N	171	26376	UROK	\N	\N
3456240	9052	1996-02-29	PRIJEM	\N	97	19994	UROK	\N	\N
3456241	9052	1996-03-31	PRIJEM	\N	110	42553	UROK	\N	\N
3456242	9052	1996-04-30	PRIJEM	\N	330	54218	UROK	\N	\N
3456243	9052	1996-05-31	PRIJEM	\N	278	46952	UROK	\N	\N
3456244	9052	1996-06-30	PRIJEM	\N	132	20516	UROK	\N	\N
3456245	9052	1996-07-31	PRIJEM	\N	35	3255	UROK	\N	\N
3456246	9052	1996-08-31	PRIJEM	\N	2	-3085	UROK	\N	\N
3456247	9052	1996-08-31	VYDAJ	VYBER	33	-3250	SANKC. UROK	\N	\N
3456248	9052	1996-09-30	PRIJEM	\N	6	3278	UROK	\N	\N
3456249	9052	1996-09-30	VYDAJ	VYBER	10	3174	SANKC. UROK	\N	\N
3456250	9052	1996-10-31	PRIJEM	\N	42	22970	UROK	\N	\N
3456251	9052	1996-11-30	PRIJEM	\N	244	49142	UROK	\N	\N
3456252	9052	1996-12-31	PRIJEM	\N	161	29468	UROK	\N	\N
3456253	9052	1997-01-31	PRIJEM	\N	140	31710	UROK	\N	\N
3456254	9052	1997-02-28	PRIJEM	\N	207	85583	UROK	\N	\N
3456255	9052	1997-03-31	PRIJEM	\N	340	62257	UROK	\N	\N
3456256	9052	1997-04-30	PRIJEM	\N	322	101315	UROK	\N	\N
3456257	9052	1997-05-31	PRIJEM	\N	367	91486	UROK	\N	\N
3456258	9052	1997-06-30	PRIJEM	\N	325	56575	UROK	\N	\N
3456259	9052	1997-07-31	PRIJEM	\N	246	93813	UROK	\N	\N
3456260	9052	1997-08-31	PRIJEM	\N	243	39437	UROK	\N	\N
3456261	9052	1997-09-30	PRIJEM	\N	101	22039	UROK	\N	\N
3456262	9052	1997-10-31	PRIJEM	\N	95	50119	UROK	\N	\N
3456263	9052	1997-11-30	PRIJEM	\N	194	41797	UROK	\N	\N
3456264	9052	1997-12-31	PRIJEM	\N	180	38521	UROK	\N	\N
3456265	9052	1998-01-31	PRIJEM	\N	45	15639	UROK	\N	\N
3456266	9052	1998-02-28	PRIJEM	\N	173	33060	UROK	\N	\N
3456267	9052	1998-03-31	PRIJEM	\N	85	42865	UROK	\N	\N
3456268	9052	1998-04-30	PRIJEM	\N	173	41756	UROK	\N	\N
3456269	9052	1998-05-31	PRIJEM	\N	84	14137	UROK	\N	\N
3456270	9052	1998-06-30	PRIJEM	\N	67	24446	UROK	\N	\N
3456271	9052	1998-07-31	PRIJEM	\N	93	51166	UROK	\N	\N
3456272	9052	1998-08-31	PRIJEM	\N	102	19227	UROK	\N	\N
3456273	9052	1998-09-30	PRIJEM	\N	22	3687	UROK	\N	\N
3456274	9052	1998-09-30	VYDAJ	VYBER	9	3571	SANKC. UROK	\N	\N
3456275	9052	1998-10-31	PRIJEM	\N	77	56837	UROK	\N	\N
3456276	9052	1998-10-31	VYDAJ	VYBER	5	56732	SANKC. UROK	\N	\N
3456277	9052	1998-11-30	PRIJEM	\N	173	15906	UROK	\N	\N
3456278	9052	1998-12-31	PRIJEM	\N	74	27708	UROK	\N	\N
3456351	9192	1994-09-30	PRIJEM	\N	56	25286	UROK	\N	\N
3456352	9192	1994-10-31	PRIJEM	\N	132	37180	UROK	\N	\N
3456353	9192	1994-11-30	PRIJEM	\N	164	41474	UROK	\N	\N
3456354	9192	1994-12-31	PRIJEM	\N	193	50618	UROK	\N	\N
3456355	9192	1995-01-31	PRIJEM	\N	194	43555	UROK	\N	\N
3456356	9192	1995-02-28	PRIJEM	\N	182	44828	UROK	\N	\N
3456357	9192	1995-03-31	PRIJEM	\N	193	48737	UROK	\N	\N
3456358	9192	1995-04-30	PRIJEM	\N	198	48064	UROK	\N	\N
3456359	9192	1995-05-31	PRIJEM	\N	193	46559	UROK	\N	\N
3456360	9192	1995-06-30	PRIJEM	\N	265	21949	UROK	\N	\N
3456361	9192	1995-07-31	PRIJEM	\N	138	34936	UROK	\N	\N
3456362	9192	1995-08-31	PRIJEM	\N	192	54744	UROK	\N	\N
3456363	9192	1995-09-30	PRIJEM	\N	237	62331	UROK	\N	\N
3456364	9192	1995-10-31	PRIJEM	\N	262	68050	UROK	\N	\N
3456365	9192	1995-11-30	PRIJEM	\N	280	69945	UROK	\N	\N
3456366	9192	1995-12-31	PRIJEM	\N	305	77449	UROK	\N	\N
3456367	9192	1996-01-31	PRIJEM	\N	294	70527	UROK	\N	\N
3456368	9192	1996-02-29	PRIJEM	\N	274	67483	UROK	\N	\N
3456369	9192	1996-03-31	PRIJEM	\N	275	69473	UROK	\N	\N
3456370	9192	1996-04-30	PRIJEM	\N	269	66801	UROK	\N	\N
3456371	9192	1996-05-31	PRIJEM	\N	262	65978	UROK	\N	\N
3456372	9192	1996-06-30	PRIJEM	\N	271	69442	UROK	\N	\N
3456373	9192	1996-07-31	PRIJEM	\N	233	64453	UROK	\N	\N
3456374	9192	1996-08-31	PRIJEM	\N	253	65190	UROK	\N	\N
3456375	9192	1996-09-30	PRIJEM	\N	253	65158	UROK	\N	\N
3456376	9192	1996-10-31	PRIJEM	\N	236	60869	UROK	\N	\N
3456377	9192	1996-11-30	PRIJEM	\N	207	61701	UROK	\N	\N
3456378	9192	1996-12-31	PRIJEM	\N	253	70584	UROK	\N	\N
3456379	9192	1997-01-31	PRIJEM	\N	230	62504	UROK	\N	\N
3456380	9192	1997-02-28	PRIJEM	\N	243	64883	UROK	\N	\N
3456381	9192	1997-03-31	PRIJEM	\N	235	60833	UROK	\N	\N
3456382	9192	1997-04-30	PRIJEM	\N	231	61746	UROK	\N	\N
3456383	9192	1997-05-31	PRIJEM	\N	194	58728	UROK	\N	\N
3456384	9192	1997-06-30	PRIJEM	\N	249	48250	UROK	\N	\N
3456385	9192	1997-07-31	PRIJEM	\N	187	54578	UROK	\N	\N
3456386	9192	1997-08-31	PRIJEM	\N	105	28098	UROK	\N	\N
3456387	9192	1997-09-30	PRIJEM	\N	87	20892	UROK	\N	\N
3456388	9192	1997-10-31	PRIJEM	\N	57	18521	UROK	\N	\N
3456389	9192	1997-11-30	PRIJEM	\N	72	13179	UROK	\N	\N
3456390	9192	1997-12-31	PRIJEM	\N	43	20976	UROK	\N	\N
3456391	9192	1998-01-31	PRIJEM	\N	58	21349	UROK	\N	\N
3456392	9192	1998-02-28	PRIJEM	\N	57	18277	UROK	\N	\N
3456393	9192	1998-03-31	PRIJEM	\N	43	13040	UROK	\N	\N
3456394	9192	1998-04-30	PRIJEM	\N	24	14221	UROK	\N	\N
3456395	9192	1998-05-31	PRIJEM	\N	40	6379	UROK	\N	\N
3456396	9192	1998-05-31	VYDAJ	VYBER	2	6406	SANKC. UROK	\N	\N
3456397	9192	1998-06-30	PRIJEM	\N	16	-1534	UROK	\N	\N
3456398	9192	1998-06-30	VYDAJ	VYBER	19	-1537	SANKC. UROK	\N	\N
3456399	9192	1998-07-31	VYDAJ	VYBER	91	-1424	SANKC. UROK	\N	\N
3456400	9192	1998-08-31	VYDAJ	VYBER	81	2425	SANKC. UROK	\N	\N
3456401	9192	1998-09-30	VYDAJ	VYBER	59	-631	SANKC. UROK	\N	\N
3456402	9192	1998-10-31	VYDAJ	VYBER	82	-200	SANKC. UROK	\N	\N
3456403	9192	1998-11-30	VYDAJ	VYBER	76	954	SANKC. UROK	\N	\N
3456404	9199	1996-07-31	PRIJEM	\N	68	28048	UROK	\N	\N
3456405	9199	1996-08-31	PRIJEM	\N	119	28994	UROK	\N	\N
3456406	9199	1996-09-30	PRIJEM	\N	120	29082	UROK	\N	\N
3456407	9199	1996-10-31	PRIJEM	\N	95	12450	UROK	\N	\N
3456408	9199	1996-11-30	PRIJEM	\N	56	13164	UROK	\N	\N
3456409	9199	1996-12-31	PRIJEM	\N	80	19418	UROK	\N	\N
3456410	9199	1997-01-31	PRIJEM	\N	20	-1696	UROK	\N	\N
3456411	9199	1997-01-31	VYDAJ	VYBER	7	-1703	SANKC. UROK	\N	\N
3456412	9199	1997-02-28	PRIJEM	\N	43	14406	UROK	\N	\N
3456413	9199	1997-02-28	VYDAJ	VYBER	6	14441	SANKC. UROK	\N	\N
3456414	9199	1997-03-31	PRIJEM	\N	44	8543	UROK	\N	\N
3456415	9199	1997-04-30	PRIJEM	\N	51	10978	UROK	\N	\N
3456416	9199	1997-05-31	PRIJEM	\N	70	11792	UROK	\N	\N
3456417	9199	1997-06-30	PRIJEM	\N	70	15124	UROK	\N	\N
3456418	9199	1997-07-31	PRIJEM	\N	36	816	UROK	\N	\N
3456419	9199	1997-08-31	PRIJEM	\N	41	13056	UROK	\N	\N
3456420	9199	1997-09-30	PRIJEM	\N	23	257	UROK	\N	\N
3456421	9199	1997-09-30	VYDAJ	VYBER	3	277	SANKC. UROK	\N	\N
3456422	9199	1997-10-31	PRIJEM	\N	16	5403	UROK	\N	\N
3456423	9199	1997-10-31	VYDAJ	VYBER	1	5417	SANKC. UROK	\N	\N
3456424	9199	1997-11-30	PRIJEM	\N	34	4964	UROK	\N	\N
3456425	9199	1997-12-31	PRIJEM	\N	32	6330	UROK	\N	\N
3456426	9199	1998-01-31	PRIJEM	\N	10	-2347	UROK	\N	\N
3456427	9199	1998-01-31	VYDAJ	VYBER	5	-2356	SANKC. UROK	\N	\N
3456428	9199	1998-02-28	PRIJEM	\N	47	14314	UROK	\N	\N
3456429	9199	1998-02-28	VYDAJ	VYBER	6	14335	SANKC. UROK	\N	\N
3456430	9199	1998-03-31	PRIJEM	\N	26	3313	UROK	\N	\N
3456431	9199	1998-04-30	PRIJEM	\N	47	14053	UROK	\N	\N
3456432	9199	1998-05-31	PRIJEM	\N	73	15666	UROK	\N	\N
3456433	9199	1998-06-30	PRIJEM	\N	94	17731	UROK	\N	\N
3456434	9199	1998-07-31	PRIJEM	\N	28	-354	UROK	\N	\N
3456435	9199	1998-07-31	VYDAJ	VYBER	9	-359	SANKC. UROK	\N	\N
3456436	9199	1998-08-31	PRIJEM	\N	41	12808	UROK	\N	\N
3456437	9199	1998-08-31	VYDAJ	VYBER	2	12846	SANKC. UROK	\N	\N
3456438	9199	1998-09-30	PRIJEM	\N	80	21319	UROK	\N	\N
3456439	9199	1998-10-31	PRIJEM	\N	57	6142	UROK	\N	\N
3456440	9199	1998-11-30	PRIJEM	\N	69	18483	UROK	\N	\N
3456441	9199	1998-12-31	PRIJEM	\N	69	8332	UROK	\N	\N
3456442	9203	1993-04-30	PRIJEM	\N	36	29319	UROK	\N	\N
3456443	9203	1993-05-31	PRIJEM	\N	124	32601	UROK	\N	\N
3456444	9203	1993-06-30	PRIJEM	\N	145	48696	UROK	\N	\N
3456445	9203	1993-07-31	PRIJEM	\N	250	36413	UROK	\N	\N
3456446	9203	1993-08-31	PRIJEM	\N	158	41064	UROK	\N	\N
3456447	9203	1993-09-30	PRIJEM	\N	182	30172	UROK	\N	\N
3456448	9203	1993-10-31	PRIJEM	\N	69	11203	UROK	\N	\N
3456449	9203	1993-11-30	PRIJEM	\N	41	7541	UROK	\N	\N
3456450	9203	1993-12-31	PRIJEM	\N	45	19639	UROK	\N	\N
3456451	9203	1994-01-31	PRIJEM	\N	140	31715	UROK	\N	\N
3456452	9203	1994-02-28	PRIJEM	\N	227	79482	UROK	\N	\N
3456453	9203	1994-03-31	PRIJEM	\N	325	48908	UROK	\N	\N
3456454	9203	1994-04-30	PRIJEM	\N	143	30327	UROK	\N	\N
3456455	9203	1994-05-31	PRIJEM	\N	144	31028	UROK	\N	\N
3456456	9203	1994-06-30	PRIJEM	\N	104	35169	UROK	\N	\N
3456457	9203	1994-07-31	PRIJEM	\N	285	65839	UROK	\N	\N
3456458	9203	1994-08-31	PRIJEM	\N	202	80935	UROK	\N	\N
3456459	9203	1994-09-30	PRIJEM	\N	346	77927	UROK	\N	\N
3456460	9203	1994-10-31	PRIJEM	\N	305	63507	UROK	\N	\N
3456461	9203	1994-11-30	PRIJEM	\N	185	31237	UROK	\N	\N
3456462	9203	1994-12-31	PRIJEM	\N	186	89850	UROK	\N	\N
3456463	9203	1995-01-31	PRIJEM	\N	249	85881	UROK	\N	\N
3456464	9203	1995-02-28	PRIJEM	\N	282	50460	UROK	\N	\N
3456465	9203	1995-03-31	PRIJEM	\N	211	67404	UROK	\N	\N
3456466	9203	1995-04-30	PRIJEM	\N	295	66688	UROK	\N	\N
3456467	9203	1995-05-31	PRIJEM	\N	161	29791	UROK	\N	\N
3456468	9203	1995-06-30	PRIJEM	\N	186	52739	UROK	\N	\N
3456469	9203	1995-07-31	PRIJEM	\N	146	31999	UROK	\N	\N
3456470	9203	1995-08-31	PRIJEM	\N	207	66274	UROK	\N	\N
3456471	9203	1995-09-30	PRIJEM	\N	313	87057	UROK	\N	\N
3456472	9203	1995-10-31	PRIJEM	\N	366	77789	UROK	\N	\N
3456473	9203	1995-11-30	PRIJEM	\N	264	59067	UROK	\N	\N
3456474	9203	1995-12-31	PRIJEM	\N	216	52942	UROK	\N	\N
3456475	9203	1996-01-31	PRIJEM	\N	112	25551	UROK	\N	\N
3456476	9203	1996-02-29	PRIJEM	\N	55	15046	UROK	\N	\N
3456477	9203	1996-03-31	PRIJEM	\N	100	35784	UROK	\N	\N
3456478	9203	1996-04-30	PRIJEM	\N	140	37274	UROK	\N	\N
3456479	9203	1996-05-31	PRIJEM	\N	198	40840	UROK	\N	\N
3456480	9203	1996-06-30	PRIJEM	\N	251	65097	UROK	\N	\N
3456481	9203	1996-07-31	PRIJEM	\N	178	41484	UROK	\N	\N
3456482	9203	1996-08-31	PRIJEM	\N	283	100087	UROK	\N	\N
3456483	9203	1996-09-30	PRIJEM	\N	298	52909	UROK	\N	\N
3456484	9203	1996-10-31	PRIJEM	\N	180	50489	UROK	\N	\N
3456485	9203	1996-11-30	PRIJEM	\N	138	35913	UROK	\N	\N
3456486	9203	1996-12-31	PRIJEM	\N	79	23403	UROK	\N	\N
3456487	9203	1997-01-31	PRIJEM	\N	163	63722	UROK	\N	\N
3456488	9203	1997-02-28	PRIJEM	\N	175	33616	UROK	\N	\N
3456489	9203	1997-03-31	PRIJEM	\N	205	55265	UROK	\N	\N
3456490	9203	1997-04-30	PRIJEM	\N	272	97621	UROK	\N	\N
3456491	9203	1997-05-31	PRIJEM	\N	324	84123	UROK	\N	\N
3456492	9203	1997-06-30	PRIJEM	\N	283	112358	UROK	\N	\N
3456493	9203	1997-07-31	PRIJEM	\N	336	92393	UROK	\N	\N
3456494	9203	1997-08-31	PRIJEM	\N	280	88127	UROK	\N	\N
3456495	9203	1997-09-30	PRIJEM	\N	331	99507	UROK	\N	\N
3456496	9203	1997-10-31	PRIJEM	\N	353	95427	UROK	\N	\N
3456497	9203	1997-11-30	PRIJEM	\N	312	82405	UROK	\N	\N
3456498	9203	1997-12-31	PRIJEM	\N	282	44708	UROK	\N	\N
3456499	9203	1998-01-31	PRIJEM	\N	231	65655	UROK	\N	\N
3456500	9203	1998-02-28	PRIJEM	\N	273	86949	UROK	\N	\N
3456501	9203	1998-03-31	PRIJEM	\N	341	83799	UROK	\N	\N
3456502	9203	1998-04-30	PRIJEM	\N	198	60412	UROK	\N	\N
3456503	9203	1998-05-31	PRIJEM	\N	180	66088	UROK	\N	\N
3456504	9203	1998-06-30	PRIJEM	\N	212	54237	UROK	\N	\N
3456505	9203	1998-07-31	PRIJEM	\N	265	68546	UROK	\N	\N
3456506	9203	1998-08-31	PRIJEM	\N	391	106645	UROK	\N	\N
3456507	9203	1998-09-30	PRIJEM	\N	452	96001	UROK	\N	\N
3456508	9203	1998-10-31	PRIJEM	\N	316	92703	UROK	\N	\N
3456509	9203	1998-11-30	PRIJEM	\N	410	105468	UROK	\N	\N
3456510	9203	1998-12-31	PRIJEM	\N	337	90389	UROK	\N	\N
3456511	9208	1997-06-30	PRIJEM	\N	29	26023	UROK	\N	\N
3456512	9208	1997-07-31	PRIJEM	\N	121	36787	UROK	\N	\N
3456513	9208	1997-08-31	PRIJEM	\N	155	39071	UROK	\N	\N
3456514	9208	1997-09-30	PRIJEM	\N	168	44225	UROK	\N	\N
3456515	9208	1997-10-31	PRIJEM	\N	197	41920	UROK	\N	\N
3456516	9208	1997-11-30	PRIJEM	\N	196	39447	UROK	\N	\N
3456517	9208	1997-12-31	PRIJEM	\N	176	40752	UROK	\N	\N
3456518	9208	1998-01-31	PRIJEM	\N	160	38840	UROK	\N	\N
3456519	9208	1998-02-28	PRIJEM	\N	145	9391	UROK	\N	\N
3456520	9208	1998-03-31	PRIJEM	\N	57	17078	UROK	\N	\N
3456521	9208	1998-04-30	PRIJEM	\N	80	22076	UROK	\N	\N
3456522	9208	1998-05-31	PRIJEM	\N	88	24323	UROK	\N	\N
3456523	9208	1998-06-30	PRIJEM	\N	162	34001	UROK	\N	\N
3456524	9208	1998-07-31	PRIJEM	\N	98	20611	UROK	\N	\N
3456525	9208	1998-08-31	PRIJEM	\N	91	30150	UROK	\N	\N
3456526	9208	1998-09-30	PRIJEM	\N	51	16653	UROK	\N	\N
3456527	9208	1998-10-31	PRIJEM	\N	71	15575	UROK	\N	\N
3456528	9208	1998-11-30	PRIJEM	\N	60	18206	UROK	\N	\N
3456529	9208	1998-12-31	PRIJEM	\N	92	27104	UROK	\N	\N
3456530	9333	1997-01-31	PRIJEM	\N	119	60733	UROK	\N	\N
3456531	9333	1997-02-28	PRIJEM	\N	278	96022	UROK	\N	\N
3456532	9333	1997-03-31	PRIJEM	\N	341	100972	UROK	\N	\N
3456533	9333	1997-04-30	PRIJEM	\N	367	76158	UROK	\N	\N
3456534	9333	1997-05-31	PRIJEM	\N	259	62291	UROK	\N	\N
3456535	9333	1997-06-30	PRIJEM	\N	200	70601	UROK	\N	\N
3456536	9333	1997-07-31	PRIJEM	\N	160	24415	UROK	\N	\N
3456537	9333	1997-08-31	PRIJEM	\N	76	-770	UROK	\N	\N
3456538	9333	1997-08-31	VYDAJ	VYBER	4	-717	SANKC. UROK	\N	\N
3456539	9333	1997-09-30	PRIJEM	\N	87	28363	UROK	\N	\N
3456540	9333	1997-09-30	VYDAJ	VYBER	4	28359	SANKC. UROK	\N	\N
3456541	9333	1997-10-31	PRIJEM	\N	75	17136	UROK	\N	\N
3456542	9333	1997-11-30	PRIJEM	\N	107	20227	UROK	\N	\N
3456543	9333	1997-12-31	PRIJEM	\N	59	-370	UROK	\N	\N
3456544	9333	1997-12-31	VYDAJ	VYBER	5	-394	SANKC. UROK	\N	\N
3456545	9333	1998-01-31	PRIJEM	\N	213	101060	UROK	\N	\N
3456546	9333	1998-01-31	VYDAJ	VYBER	2	101059	SANKC. UROK	\N	\N
3456547	9333	1998-02-28	PRIJEM	\N	418	58942	UROK	\N	\N
3456548	9333	1998-03-31	PRIJEM	\N	364	107349	UROK	\N	\N
3456549	9333	1998-04-30	PRIJEM	\N	426	87474	UROK	\N	\N
3456550	9333	1998-05-31	PRIJEM	\N	293	46276	UROK	\N	\N
3456551	9333	1998-06-30	PRIJEM	\N	137	49586	UROK	\N	\N
3456552	9333	1998-07-31	PRIJEM	\N	247	96117	UROK	\N	\N
3456553	9333	1998-08-31	PRIJEM	\N	283	62972	UROK	\N	\N
3456554	9333	1998-09-30	PRIJEM	\N	294	62382	UROK	\N	\N
3456555	9333	1998-10-31	PRIJEM	\N	332	62856	UROK	\N	\N
3456556	9333	1998-11-30	PRIJEM	\N	252	73546	UROK	\N	\N
3456557	9333	1998-12-31	PRIJEM	\N	250	71053	UROK	\N	\N
3456558	9337	1993-09-30	PRIJEM	\N	44	39110	UROK	\N	\N
3456559	9337	1993-10-31	PRIJEM	\N	163	31216	UROK	\N	\N
3456560	9337	1993-11-30	PRIJEM	\N	209	58179	UROK	\N	\N
3456561	9337	1993-12-31	PRIJEM	\N	234	54785	UROK	\N	\N
3456562	9337	1994-01-31	PRIJEM	\N	100	407	UROK	\N	\N
3456563	9337	1994-01-31	VYDAJ	VYBER	0	407	SANKC. UROK	\N	\N
3456564	9337	1994-02-28	PRIJEM	\N	182	33193	UROK	\N	\N
3456565	9337	1994-02-28	VYDAJ	VYBER	1	33375	SANKC. UROK	\N	\N
3456566	9337	1994-03-31	PRIJEM	\N	124	58205	UROK	\N	\N
3456567	9337	1994-04-30	PRIJEM	\N	142	19101	UROK	\N	\N
3456568	9337	1994-05-31	PRIJEM	\N	115	58859	UROK	\N	\N
3456569	9337	1994-06-30	PRIJEM	\N	186	40248	UROK	\N	\N
3456570	9337	1994-07-31	PRIJEM	\N	125	27270	UROK	\N	\N
3456571	9337	1994-08-31	PRIJEM	\N	92	23690	UROK	\N	\N
3456572	9337	1994-09-30	PRIJEM	\N	84	22771	UROK	\N	\N
3456573	9337	1994-10-31	PRIJEM	\N	84	23739	UROK	\N	\N
3456574	9337	1994-11-30	PRIJEM	\N	68	13411	UROK	\N	\N
3456575	9337	1994-12-31	PRIJEM	\N	42	5799	UROK	\N	\N
3456576	9337	1995-01-31	PRIJEM	\N	14	1605	UROK	\N	\N
3456577	9337	1995-01-31	VYDAJ	VYBER	10	1586	SANKC. UROK	\N	\N
3456578	9337	1995-02-28	PRIJEM	\N	25	13221	UROK	\N	\N
3456579	9337	1995-02-28	VYDAJ	VYBER	8	13243	SANKC. UROK	\N	\N
3456580	9337	1995-03-31	PRIJEM	\N	48	15313	UROK	\N	\N
3456581	9337	1995-04-30	PRIJEM	\N	55	17635	UROK	\N	\N
3456582	9337	1995-05-31	PRIJEM	\N	140	38870	UROK	\N	\N
3456583	9337	1995-06-30	PRIJEM	\N	208	90965	UROK	\N	\N
3456584	9337	1995-07-31	PRIJEM	\N	172	37322	UROK	\N	\N
3456585	9337	1995-08-31	PRIJEM	\N	190	71239	UROK	\N	\N
3456586	9337	1995-09-30	PRIJEM	\N	197	38171	UROK	\N	\N
3456587	9337	1995-10-31	PRIJEM	\N	176	73418	UROK	\N	\N
3456588	9337	1995-11-30	PRIJEM	\N	224	52256	UROK	\N	\N
3456589	9337	1995-12-31	PRIJEM	\N	132	31195	UROK	\N	\N
3456590	9337	1996-01-31	PRIJEM	\N	58	22037	UROK	\N	\N
3456591	9337	1996-01-31	VYDAJ	VYBER	1	22163	SANKC. UROK	\N	\N
3456592	9337	1996-02-29	PRIJEM	\N	49	10200	UROK	\N	\N
3456593	9337	1996-03-31	PRIJEM	\N	15	7928	UROK	\N	\N
3456594	9337	1996-04-30	PRIJEM	\N	74	22158	UROK	\N	\N
3456595	9337	1996-05-31	PRIJEM	\N	103	34134	UROK	\N	\N
3456596	9337	1996-06-30	PRIJEM	\N	62	27139	UROK	\N	\N
3456597	9337	1996-07-31	PRIJEM	\N	71	30407	UROK	\N	\N
3456598	9337	1996-08-31	PRIJEM	\N	82	35422	UROK	\N	\N
3456599	9337	1996-09-30	PRIJEM	\N	116	36562	UROK	\N	\N
3456600	9337	1996-10-31	PRIJEM	\N	104	33936	UROK	\N	\N
3456601	9337	1996-11-30	PRIJEM	\N	101	28593	UROK	\N	\N
3456602	9337	1996-11-30	VYDAJ	VYBER	0	28579	SANKC. UROK	\N	\N
3456603	9337	1996-12-31	PRIJEM	\N	88	36266	UROK	\N	\N
3456604	9337	1997-01-31	PRIJEM	\N	21	8466	UROK	\N	\N
3456605	9337	1997-01-31	VYDAJ	VYBER	0	8503	SANKC. UROK	\N	\N
3456606	9337	1997-02-28	PRIJEM	\N	17	31368	UROK	\N	\N
3456607	9337	1997-02-28	VYDAJ	VYBER	0	31366	SANKC. UROK	\N	\N
3456608	9337	1997-03-31	PRIJEM	\N	171	54263	UROK	\N	\N
3456609	9337	1997-04-30	PRIJEM	\N	189	55374	UROK	\N	\N
3456610	9337	1997-05-31	PRIJEM	\N	251	107554	UROK	\N	\N
3456611	9337	1997-06-30	PRIJEM	\N	378	77752	UROK	\N	\N
3456612	9337	1997-07-31	PRIJEM	\N	301	67000	UROK	\N	\N
3456613	9337	1997-08-31	PRIJEM	\N	341	72443	UROK	\N	\N
3456614	9337	1997-09-30	PRIJEM	\N	375	121778	UROK	\N	\N
3456615	9337	1997-10-31	PRIJEM	\N	241	59534	UROK	\N	\N
3456616	9337	1997-11-30	PRIJEM	\N	372	114612	UROK	\N	\N
3456617	9337	1997-12-31	PRIJEM	\N	377	77345	UROK	\N	\N
3456618	9337	1998-01-31	PRIJEM	\N	179	37917	UROK	\N	\N
3456619	9337	1998-02-28	PRIJEM	\N	91	40787	UROK	\N	\N
3456620	9337	1998-03-31	PRIJEM	\N	174	66602	UROK	\N	\N
3456621	9337	1998-04-30	PRIJEM	\N	203	59611	UROK	\N	\N
3456622	9337	1998-05-31	PRIJEM	\N	182	55050	UROK	\N	\N
3456623	9337	1998-06-30	PRIJEM	\N	256	29737	UROK	\N	\N
3456624	9337	1998-07-31	PRIJEM	\N	70	39392	UROK	\N	\N
3456625	9337	1998-08-31	PRIJEM	\N	106	45759	UROK	\N	\N
3456626	9337	1998-09-30	PRIJEM	\N	142	57938	UROK	\N	\N
3456627	9337	1998-10-31	PRIJEM	\N	169	55826	UROK	\N	\N
3456628	9337	1998-11-30	PRIJEM	\N	115	37749	UROK	\N	\N
3456629	9337	1998-12-31	PRIJEM	\N	59	30115	UROK	\N	\N
3456728	9484	1997-05-31	PRIJEM	\N	13	15693	UROK	\N	\N
3456729	9484	1997-06-30	PRIJEM	\N	71	22945	UROK	\N	\N
3456730	9484	1997-07-31	PRIJEM	\N	96	23937	UROK	\N	\N
3456731	9484	1997-08-31	PRIJEM	\N	104	28139	UROK	\N	\N
3456732	9484	1997-09-30	PRIJEM	\N	122	29015	UROK	\N	\N
3456733	9484	1997-10-31	PRIJEM	\N	125	25489	UROK	\N	\N
3456734	9484	1997-11-30	PRIJEM	\N	108	27963	UROK	\N	\N
3456735	9484	1997-12-31	PRIJEM	\N	111	23566	UROK	\N	\N
3456736	9484	1998-01-31	PRIJEM	\N	87	12905	UROK	\N	\N
3456737	9484	1998-02-28	PRIJEM	\N	53	13823	UROK	\N	\N
3456738	9484	1998-03-31	PRIJEM	\N	60	17267	UROK	\N	\N
3456739	9484	1998-04-30	PRIJEM	\N	69	16530	UROK	\N	\N
3456740	9484	1998-05-31	PRIJEM	\N	71	13836	UROK	\N	\N
3456741	9484	1998-06-30	PRIJEM	\N	40	4931	UROK	\N	\N
3456742	9484	1998-07-31	PRIJEM	\N	19	5563	UROK	\N	\N
3456743	9484	1998-08-31	PRIJEM	\N	18	4364	UROK	\N	\N
3456744	9484	1998-09-30	PRIJEM	\N	24	5870	UROK	\N	\N
3456745	9484	1998-10-31	PRIJEM	\N	18	4160	UROK	\N	\N
3456746	9484	1998-11-30	PRIJEM	\N	15	4640	UROK	\N	\N
3456747	9484	1998-12-31	PRIJEM	\N	31	11341	UROK	\N	\N
3456748	9484	1998-12-31	VYDAJ	VYBER	1	11370	SANKC. UROK	\N	\N
3456749	9528	1996-11-30	PRIJEM	\N	81	46062	UROK	\N	\N
3456750	9528	1996-12-31	PRIJEM	\N	289	90199	UROK	\N	\N
3456751	9528	1997-01-31	PRIJEM	\N	134	17045	UROK	\N	\N
3456752	9528	1997-02-28	PRIJEM	\N	6	7171	UROK	\N	\N
3456753	9528	1997-02-28	VYDAJ	VYBER	3	7153	SANKC. UROK	\N	\N
3456754	9528	1997-03-31	PRIJEM	\N	0	753	UROK	\N	\N
3456755	9528	1997-03-31	VYDAJ	VYBER	73	666	SANKC. UROK	\N	\N
3456756	9528	1997-04-30	PRIJEM	\N	3	1271	UROK	\N	\N
3456757	9528	1997-05-31	PRIJEM	\N	1	-2843	UROK	\N	\N
3456758	9528	1997-05-31	VYDAJ	VYBER	25	-2906	SANKC. UROK	\N	\N
3456759	9528	1997-06-30	PRIJEM	\N	35	15859	UROK	\N	\N
3456760	9528	1997-06-30	VYDAJ	VYBER	19	15838	SANKC. UROK	\N	\N
3456761	9528	1997-07-31	PRIJEM	\N	49	8287	UROK	\N	\N
3456762	9528	1997-08-31	PRIJEM	\N	12	2402	UROK	\N	\N
3456763	9528	1997-09-30	PRIJEM	\N	41	35970	UROK	\N	\N
3456764	9528	1997-09-30	VYDAJ	VYBER	7	25756	SANKC. UROK	\N	\N
3456765	9528	1997-10-31	PRIJEM	\N	38	7514	UROK	\N	\N
3456766	9528	1997-11-30	PRIJEM	\N	19	7104	UROK	\N	\N
3456767	9528	1997-12-31	PRIJEM	\N	16	-1094	UROK	\N	\N
3456768	9528	1997-12-31	VYDAJ	VYBER	5	-1100	SANKC. UROK	\N	\N
3456769	9528	1998-01-31	PRIJEM	\N	14	6703	UROK	\N	\N
3456770	9528	1998-01-31	VYDAJ	VYBER	7	17394	SANKC. UROK	\N	\N
3456771	9528	1998-02-28	PRIJEM	\N	215	99392	UROK	\N	\N
3456772	9528	1998-03-31	PRIJEM	\N	294	52771	UROK	\N	\N
3456773	9528	1998-04-30	PRIJEM	\N	142	69889	UROK	\N	\N
3456774	9528	1998-05-31	PRIJEM	\N	294	61897	UROK	\N	\N
3456775	9528	1998-06-30	PRIJEM	\N	164	40134	UROK	\N	\N
3456776	9528	1998-07-31	PRIJEM	\N	303	61307	UROK	\N	\N
3456777	9528	1998-08-31	PRIJEM	\N	274	48949	UROK	\N	\N
3456778	9528	1998-09-30	PRIJEM	\N	226	60065	UROK	\N	\N
3456779	9528	1998-10-31	PRIJEM	\N	193	38171	UROK	\N	\N
3456780	9528	1998-11-30	PRIJEM	\N	156	53733	UROK	\N	\N
3456781	9528	1998-12-31	PRIJEM	\N	152	28571	UROK	\N	\N
3456782	9549	1997-02-28	PRIJEM	\N	79	83137	UROK	\N	\N
3456783	9549	1997-03-31	PRIJEM	\N	305	49530	UROK	\N	\N
3456784	9549	1997-04-30	PRIJEM	\N	205	32743	UROK	\N	\N
3456785	9549	1997-05-31	PRIJEM	\N	137	6469	UROK	\N	\N
3456786	9549	1997-06-30	PRIJEM	\N	71	97259	UROK	\N	\N
3456787	9549	1997-06-30	VYDAJ	VYBER	3	97283	SANKC. UROK	\N	\N
3456788	9549	1997-07-31	PRIJEM	\N	317	55401	UROK	\N	\N
3456789	9549	1997-08-31	PRIJEM	\N	267	45084	UROK	\N	\N
3456790	9549	1997-09-30	PRIJEM	\N	146	31903	UROK	\N	\N
3456791	9549	1997-10-31	PRIJEM	\N	218	90807	UROK	\N	\N
3456792	9549	1997-11-30	PRIJEM	\N	300	76762	UROK	\N	\N
3456793	9549	1997-12-31	PRIJEM	\N	217	35196	UROK	\N	\N
3456794	9549	1998-01-31	PRIJEM	\N	96	32338	UROK	\N	\N
3456795	9549	1998-02-28	PRIJEM	\N	335	93684	UROK	\N	\N
3456796	9549	1998-03-31	PRIJEM	\N	318	89431	UROK	\N	\N
3456797	9549	1998-04-30	PRIJEM	\N	323	73935	UROK	\N	\N
3456798	9549	1998-05-31	PRIJEM	\N	180	23062	UROK	\N	\N
3456799	9549	1998-06-30	PRIJEM	\N	51	10676	UROK	\N	\N
3456800	9549	1998-07-31	PRIJEM	\N	40	15743	UROK	\N	\N
3456801	9549	1998-08-31	PRIJEM	\N	68	4529	UROK	\N	\N
3456802	9549	1998-09-30	PRIJEM	\N	28	11045	UROK	\N	\N
3456803	9549	1998-10-31	PRIJEM	\N	165	98745	UROK	\N	\N
3456804	9549	1998-11-30	PRIJEM	\N	291	71392	UROK	\N	\N
3456805	9549	1998-12-31	PRIJEM	\N	179	52944	UROK	\N	\N
3456806	9633	1996-03-31	PRIJEM	\N	138	44224	UROK	\N	\N
3456807	9633	1996-04-30	PRIJEM	\N	306	93996	UROK	\N	\N
3456808	9633	1996-05-31	PRIJEM	\N	390	55742	UROK	\N	\N
3456809	9633	1996-06-30	PRIJEM	\N	132	-3204	UROK	\N	\N
3456810	9633	1996-06-30	VYDAJ	VYBER	4	-3225	SANKC. UROK	\N	\N
3456811	9633	1996-07-31	PRIJEM	\N	129	45573	UROK	\N	\N
3456812	9633	1996-07-31	VYDAJ	VYBER	2	45694	SANKC. UROK	\N	\N
3456813	9633	1996-08-31	PRIJEM	\N	269	81035	UROK	\N	\N
3456814	9633	1996-09-30	PRIJEM	\N	349	95145	UROK	\N	\N
3456815	9633	1996-10-31	PRIJEM	\N	330	81835	UROK	\N	\N
3456816	9633	1996-11-30	PRIJEM	\N	259	73502	UROK	\N	\N
3456817	9633	1996-12-31	PRIJEM	\N	120	24908	UROK	\N	\N
3456818	9633	1997-01-31	PRIJEM	\N	47	1765	UROK	\N	\N
3456819	9633	1997-01-31	VYDAJ	VYBER	1	1764	SANKC. UROK	\N	\N
3456820	9633	1997-02-28	PRIJEM	\N	99	52571	UROK	\N	\N
3456821	9633	1997-02-28	VYDAJ	VYBER	0	52556	SANKC. UROK	\N	\N
3456822	9633	1997-03-31	PRIJEM	\N	131	31386	UROK	\N	\N
3456823	9633	1997-04-30	PRIJEM	\N	197	50515	UROK	\N	\N
3456824	9633	1997-05-31	PRIJEM	\N	162	50262	UROK	\N	\N
3456825	9633	1997-06-30	PRIJEM	\N	234	55345	UROK	\N	\N
3456826	9633	1997-07-31	PRIJEM	\N	326	82316	UROK	\N	\N
3456827	9633	1997-08-31	PRIJEM	\N	198	37719	UROK	\N	\N
3456828	9633	1997-09-30	PRIJEM	\N	170	35554	UROK	\N	\N
3456829	9633	1997-10-31	PRIJEM	\N	155	37064	UROK	\N	\N
3456830	9633	1997-11-30	PRIJEM	\N	95	21351	UROK	\N	\N
3456831	9633	1997-12-31	PRIJEM	\N	132	56030	UROK	\N	\N
3456832	9633	1998-01-31	PRIJEM	\N	239	70394	UROK	\N	\N
3456833	9633	1998-02-28	PRIJEM	\N	228	48400	UROK	\N	\N
3456834	9633	1998-03-31	PRIJEM	\N	120	30890	UROK	\N	\N
3456835	9633	1998-04-30	PRIJEM	\N	119	50022	UROK	\N	\N
3456836	9633	1998-05-31	PRIJEM	\N	152	41517	UROK	\N	\N
3456837	9633	1998-06-30	PRIJEM	\N	135	34927	UROK	\N	\N
3456838	9633	1998-07-31	PRIJEM	\N	259	54474	UROK	\N	\N
3456839	9633	1998-08-31	PRIJEM	\N	234	56589	UROK	\N	\N
3456840	9633	1998-09-30	PRIJEM	\N	292	114439	UROK	\N	\N
3456841	9633	1998-10-31	PRIJEM	\N	315	45691	UROK	\N	\N
3456842	9633	1998-11-30	PRIJEM	\N	139	40208	UROK	\N	\N
3456843	9633	1998-12-31	PRIJEM	\N	27	6892	UROK	\N	\N
3456844	9635	1993-01-31	PRIJEM	\N	12	4882	UROK	\N	\N
3456845	9635	1993-02-28	PRIJEM	\N	20	9383	UROK	\N	\N
3456846	9635	1993-03-31	PRIJEM	\N	20	13874	UROK	\N	\N
3456847	9635	1993-04-30	PRIJEM	\N	20	18364	UROK	\N	\N
3456848	9635	1993-05-31	PRIJEM	\N	23	22857	UROK	\N	\N
3456849	9635	1993-06-30	PRIJEM	\N	38	3183	UROK	\N	\N
3456850	9635	1993-07-31	PRIJEM	\N	14	7703	UROK	\N	\N
3456851	9635	1993-08-31	PRIJEM	\N	33	8492	UROK	\N	\N
3456852	9635	1993-09-30	PRIJEM	\N	26	7358	UROK	\N	\N
3456853	9635	1993-10-31	PRIJEM	\N	32	6577	UROK	\N	\N
3456854	9635	1993-11-30	PRIJEM	\N	28	11059	UROK	\N	\N
3456855	9635	1993-12-31	PRIJEM	\N	46	11163	UROK	\N	\N
3456856	9635	1994-01-31	PRIJEM	\N	33	-2692	UROK	\N	\N
3456857	9635	1994-01-31	VYDAJ	VYBER	1	-2675	SANKC. UROK	\N	\N
3456858	9635	1994-02-28	PRIJEM	\N	0	1795	UROK	\N	\N
3456859	9635	1994-02-28	VYDAJ	VYBER	27	1767	SANKC. UROK	\N	\N
3456860	9635	1994-03-31	PRIJEM	\N	11	3934	UROK	\N	\N
3456861	9635	1994-04-30	PRIJEM	\N	19	3235	UROK	\N	\N
3456862	9635	1994-05-31	PRIJEM	\N	13	4903	UROK	\N	\N
3456863	9635	1994-06-30	PRIJEM	\N	20	9412	UROK	\N	\N
3456864	9635	1994-07-31	PRIJEM	\N	39	9544	UROK	\N	\N
3456865	9635	1994-08-31	PRIJEM	\N	32	5012	UROK	\N	\N
3456866	9635	1994-09-30	PRIJEM	\N	20	5079	UROK	\N	\N
3456867	9635	1994-10-31	PRIJEM	\N	24	6970	UROK	\N	\N
3456868	9635	1994-11-30	PRIJEM	\N	31	8472	UROK	\N	\N
3456869	9635	1994-12-31	PRIJEM	\N	35	5842	UROK	\N	\N
3456870	9635	1995-01-31	PRIJEM	\N	10	-1513	UROK	\N	\N
3456871	9635	1995-01-31	VYDAJ	VYBER	8	-1539	SANKC. UROK	\N	\N
3456872	9635	1995-02-28	PRIJEM	\N	0	2932	UROK	\N	\N
3456873	9635	1995-02-28	VYDAJ	VYBER	19	2913	SANKC. UROK	\N	\N
3456874	9635	1995-03-31	PRIJEM	\N	11	2825	UROK	\N	\N
3456875	9635	1995-04-30	PRIJEM	\N	14	4594	UROK	\N	\N
3456876	9635	1995-05-31	PRIJEM	\N	21	4485	UROK	\N	\N
3456877	9635	1995-06-30	PRIJEM	\N	17	8980	UROK	\N	\N
3456878	9635	1995-07-31	PRIJEM	\N	25	7304	UROK	\N	\N
3456879	9635	1995-08-31	PRIJEM	\N	33	9412	UROK	\N	\N
3456880	9635	1995-09-30	PRIJEM	\N	39	10528	UROK	\N	\N
3456881	9635	1995-10-31	PRIJEM	\N	33	9160	UROK	\N	\N
3456882	9635	1995-11-30	PRIJEM	\N	38	10089	UROK	\N	\N
3456883	9635	1995-12-31	PRIJEM	\N	44	9815	UROK	\N	\N
3456884	9635	1996-01-31	PRIJEM	\N	18	3009	UROK	\N	\N
3456885	9635	1996-02-29	PRIJEM	\N	10	7502	UROK	\N	\N
3456886	9635	1996-03-31	PRIJEM	\N	30	8387	UROK	\N	\N
3456887	9635	1996-04-30	PRIJEM	\N	23	7114	UROK	\N	\N
3456888	9635	1996-05-31	PRIJEM	\N	29	8516	UROK	\N	\N
3456889	9635	1996-06-30	PRIJEM	\N	33	8252	UROK	\N	\N
3456890	9635	1996-07-31	PRIJEM	\N	34	6977	UROK	\N	\N
3456891	9635	1996-08-31	PRIJEM	\N	25	11457	UROK	\N	\N
3456892	9635	1996-09-30	PRIJEM	\N	45	11739	UROK	\N	\N
3456893	9635	1996-10-31	PRIJEM	\N	47	12813	UROK	\N	\N
3456894	9635	1996-11-30	PRIJEM	\N	52	13271	UROK	\N	\N
3456895	9635	1996-12-31	PRIJEM	\N	47	13824	UROK	\N	\N
3456896	9635	1997-01-31	PRIJEM	\N	36	5661	UROK	\N	\N
3456897	9635	1997-02-28	PRIJEM	\N	10	7986	UROK	\N	\N
3456898	9635	1997-03-31	PRIJEM	\N	30	8881	UROK	\N	\N
3456899	9635	1997-04-30	PRIJEM	\N	32	6739	UROK	\N	\N
3456900	9635	1997-05-31	PRIJEM	\N	22	6128	UROK	\N	\N
3456901	9635	1997-06-30	PRIJEM	\N	20	5625	UROK	\N	\N
3456902	9635	1997-07-31	PRIJEM	\N	20	6920	UROK	\N	\N
3456903	9635	1997-08-31	PRIJEM	\N	26	8648	UROK	\N	\N
3456904	9635	1997-09-30	PRIJEM	\N	20	3624	UROK	\N	\N
3456905	9635	1997-10-31	PRIJEM	\N	9	8097	UROK	\N	\N
3456906	9635	1997-11-30	PRIJEM	\N	31	9984	UROK	\N	\N
3456907	9635	1997-12-31	PRIJEM	\N	38	8635	UROK	\N	\N
3456908	9635	1998-01-31	PRIJEM	\N	10	1941	UROK	\N	\N
3456909	9635	1998-02-28	PRIJEM	\N	2	6406	UROK	\N	\N
3456910	9635	1998-03-31	PRIJEM	\N	22	7584	UROK	\N	\N
3456911	9635	1998-04-30	PRIJEM	\N	27	8803	UROK	\N	\N
3456912	9635	1998-05-31	PRIJEM	\N	38	10196	UROK	\N	\N
3456913	9635	1998-06-30	PRIJEM	\N	30	8036	UROK	\N	\N
3456914	9635	1998-07-31	PRIJEM	\N	20	5812	UROK	\N	\N
3456915	9635	1998-08-31	PRIJEM	\N	20	7710	UROK	\N	\N
3456916	9635	1998-09-30	PRIJEM	\N	11	9088	UROK	\N	\N
3456917	9635	1998-10-31	PRIJEM	\N	31	8653	UROK	\N	\N
3456918	9635	1998-11-30	PRIJEM	\N	24	7028	UROK	\N	\N
3456919	9635	1998-12-31	PRIJEM	\N	19	6921	UROK	\N	\N
3456920	9703	1993-08-31	PRIJEM	\N	74	30710	UROK	\N	\N
3456921	9703	1993-09-30	PRIJEM	\N	157	42573	UROK	\N	\N
3456922	9703	1993-10-31	PRIJEM	\N	197	50727	UROK	\N	\N
3456923	9703	1993-11-30	PRIJEM	\N	215	52878	UROK	\N	\N
3456924	9703	1993-12-31	PRIJEM	\N	252	63265	UROK	\N	\N
3456925	9703	1994-01-31	PRIJEM	\N	113	-2501	UROK	\N	\N
3456926	9703	1994-01-31	VYDAJ	VYBER	12	-2539	SANKC. UROK	\N	\N
3456927	9703	1994-02-28	PRIJEM	\N	74	26840	UROK	\N	\N
3456928	9703	1994-02-28	VYDAJ	VYBER	10	26805	SANKC. UROK	\N	\N
3456929	9703	1994-03-31	PRIJEM	\N	155	44396	UROK	\N	\N
3456930	9703	1994-04-30	PRIJEM	\N	173	32963	UROK	\N	\N
3456931	9703	1994-05-31	PRIJEM	\N	159	36355	UROK	\N	\N
3456932	9703	1994-06-30	PRIJEM	\N	203	52847	UROK	\N	\N
3456933	9703	1994-07-31	PRIJEM	\N	217	52024	UROK	\N	\N
3456934	9703	1994-08-31	PRIJEM	\N	217	54635	UROK	\N	\N
3456935	9703	1994-09-30	PRIJEM	\N	324	55380	UROK	\N	\N
3456936	9703	1994-10-31	PRIJEM	\N	322	47247	UROK	\N	\N
3456937	9703	1994-11-30	PRIJEM	\N	267	72573	UROK	\N	\N
3456938	9703	1994-12-31	PRIJEM	\N	355	85918	UROK	\N	\N
3456939	9703	1995-01-31	PRIJEM	\N	236	39185	UROK	\N	\N
3456940	9703	1995-02-28	PRIJEM	\N	231	65438	UROK	\N	\N
3456941	9703	1995-03-31	PRIJEM	\N	286	65171	UROK	\N	\N
3456942	9703	1995-04-30	PRIJEM	\N	309	82251	UROK	\N	\N
3456943	9703	1995-05-31	PRIJEM	\N	342	87656	UROK	\N	\N
3456944	9703	1995-06-30	PRIJEM	\N	284	29710	UROK	\N	\N
3456945	9703	1995-07-31	PRIJEM	\N	174	22283	UROK	\N	\N
3456946	9703	1995-08-31	PRIJEM	\N	151	42575	UROK	\N	\N
3456947	9703	1995-09-30	PRIJEM	\N	146	21397	UROK	\N	\N
3456948	9703	1995-10-31	PRIJEM	\N	144	44154	UROK	\N	\N
3456949	9703	1995-11-30	PRIJEM	\N	180	42655	UROK	\N	\N
3456950	9703	1995-12-31	PRIJEM	\N	272	81996	UROK	\N	\N
3456951	9703	1996-01-31	PRIJEM	\N	141	24620	UROK	\N	\N
3456952	9703	1996-02-29	PRIJEM	\N	129	51893	UROK	\N	\N
3456953	9703	1996-03-31	PRIJEM	\N	244	70772	UROK	\N	\N
3456954	9703	1996-04-30	PRIJEM	\N	190	85684	UROK	\N	\N
3456955	9703	1996-05-31	PRIJEM	\N	242	48978	UROK	\N	\N
3456956	9703	1996-06-30	PRIJEM	\N	203	53249	UROK	\N	\N
3456957	9703	1996-07-31	PRIJEM	\N	217	59387	UROK	\N	\N
3456958	9703	1996-08-31	PRIJEM	\N	219	60122	UROK	\N	\N
3456959	9703	1996-09-30	PRIJEM	\N	279	59800	UROK	\N	\N
3456960	9703	1996-10-31	PRIJEM	\N	222	63765	UROK	\N	\N
3456961	9703	1996-11-30	PRIJEM	\N	232	60094	UROK	\N	\N
3456962	9703	1996-12-31	PRIJEM	\N	335	66236	UROK	\N	\N
3456963	9703	1997-01-31	PRIJEM	\N	238	42496	UROK	\N	\N
3456964	9703	1997-02-28	PRIJEM	\N	155	57943	UROK	\N	\N
3456965	9703	1997-03-31	PRIJEM	\N	210	63384	UROK	\N	\N
3456966	9703	1997-04-30	PRIJEM	\N	232	68337	UROK	\N	\N
3456967	9703	1997-05-31	PRIJEM	\N	249	70189	UROK	\N	\N
3456968	9703	1997-06-30	PRIJEM	\N	351	54061	UROK	\N	\N
3456969	9703	1997-07-31	PRIJEM	\N	194	62477	UROK	\N	\N
3456970	9703	1997-08-31	PRIJEM	\N	226	58911	UROK	\N	\N
3456971	9703	1997-09-30	PRIJEM	\N	214	56386	UROK	\N	\N
3456972	9703	1997-10-31	PRIJEM	\N	200	62177	UROK	\N	\N
3456973	9703	1997-11-30	PRIJEM	\N	258	65353	UROK	\N	\N
3456974	9703	1997-12-31	PRIJEM	\N	302	73460	UROK	\N	\N
3456975	9703	1998-01-31	PRIJEM	\N	130	27716	UROK	\N	\N
3456976	9703	1998-02-28	PRIJEM	\N	145	38421	UROK	\N	\N
3456977	9703	1998-03-31	PRIJEM	\N	163	41069	UROK	\N	\N
3456978	9703	1998-04-30	PRIJEM	\N	155	45815	UROK	\N	\N
3456979	9703	1998-05-31	PRIJEM	\N	187	50424	UROK	\N	\N
3456980	9703	1998-06-30	PRIJEM	\N	186	44577	UROK	\N	\N
3456981	9703	1998-07-31	PRIJEM	\N	149	47217	UROK	\N	\N
3456982	9703	1998-08-31	PRIJEM	\N	126	24258	UROK	\N	\N
3456983	9703	1998-09-30	PRIJEM	\N	80	34161	UROK	\N	\N
3456984	9703	1998-10-31	PRIJEM	\N	103	35738	UROK	\N	\N
3456985	9703	1998-11-30	PRIJEM	\N	143	39917	UROK	\N	\N
3456986	9703	1998-12-31	PRIJEM	\N	232	74091	UROK	\N	\N
3456987	9707	1993-05-31	PRIJEM	\N	204	48365	UROK	\N	\N
3456988	9707	1993-06-30	PRIJEM	\N	225	38594	UROK	\N	\N
3456989	9707	1993-07-31	PRIJEM	\N	194	38184	UROK	\N	\N
3456990	9707	1993-08-31	PRIJEM	\N	189	61993	UROK	\N	\N
3456991	9707	1993-09-30	PRIJEM	\N	262	91702	UROK	\N	\N
3456992	9707	1993-10-31	PRIJEM	\N	379	91362	UROK	\N	\N
3456993	9707	1993-11-30	PRIJEM	\N	373	57529	UROK	\N	\N
3456994	9707	1993-12-31	PRIJEM	\N	219	36341	UROK	\N	\N
3456995	9707	1994-01-31	PRIJEM	\N	93	15824	UROK	\N	\N
3456996	9707	1994-02-28	PRIJEM	\N	62	22933	UROK	\N	\N
3456997	9707	1994-03-31	PRIJEM	\N	91	24309	UROK	\N	\N
3456998	9707	1994-04-30	PRIJEM	\N	80	4965	UROK	\N	\N
3456999	9707	1994-05-31	PRIJEM	\N	16	13548	UROK	\N	\N
3457000	9707	1994-06-30	PRIJEM	\N	46	2754	UROK	\N	\N
3457001	9707	1994-07-31	PRIJEM	\N	7	14648	UROK	\N	\N
3457002	9707	1994-08-31	PRIJEM	\N	30	-165	UROK	\N	\N
3457003	9707	1994-08-31	VYDAJ	VYBER	8	-194	SANKC. UROK	\N	\N
3457004	9707	1994-09-30	PRIJEM	\N	2	13907	UROK	\N	\N
3457005	9707	1994-09-30	VYDAJ	VYBER	17	13876	SANKC. UROK	\N	\N
3457006	9707	1994-10-31	PRIJEM	\N	52	4528	UROK	\N	\N
3457007	9707	1994-11-30	PRIJEM	\N	21	13268	UROK	\N	\N
3457008	9707	1994-12-31	PRIJEM	\N	44	10198	UROK	\N	\N
3457009	9707	1995-01-31	PRIJEM	\N	55	1923	UROK	\N	\N
3457010	9707	1995-02-28	PRIJEM	\N	3	17611	UROK	\N	\N
3457011	9707	1995-03-31	PRIJEM	\N	148	44058	UROK	\N	\N
3457012	9707	1995-04-30	PRIJEM	\N	243	66818	UROK	\N	\N
3457013	9707	1995-05-31	PRIJEM	\N	222	42049	UROK	\N	\N
3457014	9707	1995-06-30	PRIJEM	\N	301	106227	UROK	\N	\N
3457015	9707	1995-07-31	PRIJEM	\N	343	76895	UROK	\N	\N
3457016	9707	1995-08-31	PRIJEM	\N	242	69324	UROK	\N	\N
3457017	9707	1995-09-30	PRIJEM	\N	251	42875	UROK	\N	\N
3457018	9707	1995-10-31	PRIJEM	\N	280	99769	UROK	\N	\N
3457019	9707	1995-11-30	PRIJEM	\N	358	84757	UROK	\N	\N
3457020	9707	1995-12-31	PRIJEM	\N	348	99396	UROK	\N	\N
3457021	9707	1996-01-31	PRIJEM	\N	312	51021	UROK	\N	\N
3457022	9707	1996-02-29	PRIJEM	\N	359	106436	UROK	\N	\N
3457023	9707	1996-03-31	PRIJEM	\N	405	86064	UROK	\N	\N
3457024	9707	1996-04-30	PRIJEM	\N	268	73160	UROK	\N	\N
3457025	9707	1996-05-31	PRIJEM	\N	242	96273	UROK	\N	\N
3457026	9707	1996-06-30	PRIJEM	\N	276	52125	UROK	\N	\N
3457027	9707	1996-07-31	PRIJEM	\N	237	64076	UROK	\N	\N
3457028	9707	1996-08-31	PRIJEM	\N	298	103257	UROK	\N	\N
3457029	9707	1996-09-30	PRIJEM	\N	326	77747	UROK	\N	\N
3457030	9707	1996-10-31	PRIJEM	\N	225	35918	UROK	\N	\N
3457031	9707	1996-11-30	PRIJEM	\N	86	9196	UROK	\N	\N
3457032	9707	1996-12-31	PRIJEM	\N	105	37879	UROK	\N	\N
3457033	9707	1997-01-31	PRIJEM	\N	87	18834	UROK	\N	\N
3457034	9707	1997-02-28	PRIJEM	\N	45	17928	UROK	\N	\N
3457035	9707	1997-03-31	PRIJEM	\N	63	27822	UROK	\N	\N
3457036	9707	1997-04-30	PRIJEM	\N	194	88894	UROK	\N	\N
3457037	9707	1997-05-31	PRIJEM	\N	336	71898	UROK	\N	\N
3457038	9707	1997-06-30	PRIJEM	\N	196	28320	UROK	\N	\N
3457039	9707	1997-07-31	PRIJEM	\N	87	26249	UROK	\N	\N
3457040	9707	1997-08-31	PRIJEM	\N	78	45602	UROK	\N	\N
3457041	9707	1997-09-30	PRIJEM	\N	306	94934	UROK	\N	\N
3457042	9707	1997-10-31	PRIJEM	\N	284	70885	UROK	\N	\N
3457043	9707	1997-11-30	PRIJEM	\N	257	65428	UROK	\N	\N
3457044	9707	1997-12-31	PRIJEM	\N	350	75359	UROK	\N	\N
3457045	9707	1998-01-31	PRIJEM	\N	230	64644	UROK	\N	\N
3457046	9707	1998-02-28	PRIJEM	\N	366	91560	UROK	\N	\N
3457047	9707	1998-03-31	PRIJEM	\N	396	74071	UROK	\N	\N
3457048	9707	1998-04-30	PRIJEM	\N	262	70187	UROK	\N	\N
3457049	9707	1998-05-31	PRIJEM	\N	329	85053	UROK	\N	\N
3457050	9707	1998-06-30	PRIJEM	\N	249	46249	UROK	\N	\N
3457051	9707	1998-07-31	PRIJEM	\N	192	60202	UROK	\N	\N
3457052	9707	1998-08-31	PRIJEM	\N	303	86953	UROK	\N	\N
3457053	9707	1998-09-30	PRIJEM	\N	243	69759	UROK	\N	\N
3457054	9707	1998-10-31	PRIJEM	\N	255	84846	UROK	\N	\N
3457055	9707	1998-11-30	PRIJEM	\N	305	83623	UROK	\N	\N
3457056	9707	1998-12-31	PRIJEM	\N	272	99872	UROK	\N	\N
3457057	9750	1994-07-31	PRIJEM	\N	169	45558	UROK	\N	\N
3457058	9750	1994-08-31	PRIJEM	\N	238	56023	UROK	\N	\N
3457059	9750	1994-09-30	PRIJEM	\N	227	49957	UROK	\N	\N
3457060	9750	1994-10-31	PRIJEM	\N	153	63726	UROK	\N	\N
3457061	9750	1994-11-30	PRIJEM	\N	150	-520	UROK	\N	\N
3457062	9750	1994-11-30	VYDAJ	VYBER	1	-374	SANKC. UROK	\N	\N
3457063	9750	1994-12-31	PRIJEM	\N	11	6836	UROK	\N	\N
3457064	9750	1994-12-31	VYDAJ	VYBER	6	6824	SANKC. UROK	\N	\N
3457065	9750	1995-01-31	PRIJEM	\N	42	24171	UROK	\N	\N
3457066	9750	1995-01-31	VYDAJ	VYBER	2	24191	SANKC. UROK	\N	\N
3457067	9750	1995-02-28	PRIJEM	\N	122	37069	UROK	\N	\N
3457068	9750	1995-03-31	PRIJEM	\N	354	91263	UROK	\N	\N
3457069	9750	1995-04-30	PRIJEM	\N	345	95462	UROK	\N	\N
3457070	9750	1995-05-31	PRIJEM	\N	247	54319	UROK	\N	\N
3457071	9750	1995-06-30	PRIJEM	\N	109	5824	UROK	\N	\N
3457072	9750	1995-07-31	PRIJEM	\N	22	7414	UROK	\N	\N
3457073	9750	1995-08-31	PRIJEM	\N	87	35470	UROK	\N	\N
3457074	9750	1995-09-30	PRIJEM	\N	94	22020	UROK	\N	\N
3457075	9750	1995-10-31	PRIJEM	\N	83	21827	UROK	\N	\N
3457076	9750	1995-11-30	PRIJEM	\N	89	28014	UROK	\N	\N
3457077	9750	1995-12-31	PRIJEM	\N	165	52870	UROK	\N	\N
3457078	9750	1996-01-31	PRIJEM	\N	139	45270	UROK	\N	\N
3457079	9750	1996-02-29	PRIJEM	\N	162	45024	UROK	\N	\N
3457080	9750	1996-03-31	PRIJEM	\N	154	42815	UROK	\N	\N
3457081	9750	1996-04-30	PRIJEM	\N	165	37156	UROK	\N	\N
3457082	9750	1996-05-31	PRIJEM	\N	215	65183	UROK	\N	\N
3457083	9750	1996-06-30	PRIJEM	\N	195	71694	UROK	\N	\N
3457084	9750	1996-07-31	PRIJEM	\N	241	59674	UROK	\N	\N
3457085	9750	1996-08-31	PRIJEM	\N	240	74871	UROK	\N	\N
3457086	9750	1996-09-30	PRIJEM	\N	164	48118	UROK	\N	\N
3457087	9750	1996-10-31	PRIJEM	\N	193	52651	UROK	\N	\N
3457088	9750	1996-11-30	PRIJEM	\N	153	38351	UROK	\N	\N
3457089	9750	1996-12-31	PRIJEM	\N	118	26393	UROK	\N	\N
3457090	9750	1997-01-31	PRIJEM	\N	132	34251	UROK	\N	\N
3457091	9750	1997-02-28	PRIJEM	\N	94	13268	UROK	\N	\N
3457092	9750	1997-03-31	PRIJEM	\N	344	95211	UROK	\N	\N
3457093	9750	1997-04-30	PRIJEM	\N	249	72819	UROK	\N	\N
3457094	9750	1997-05-31	PRIJEM	\N	256	47985	UROK	\N	\N
3457095	9750	1997-06-30	PRIJEM	\N	279	26941	UROK	\N	\N
3457096	9750	1997-07-31	PRIJEM	\N	263	49099	UROK	\N	\N
3457097	9750	1997-08-31	PRIJEM	\N	132	34112	UROK	\N	\N
3457098	9750	1997-09-30	PRIJEM	\N	94	27430	UROK	\N	\N
3457099	9750	1997-10-31	PRIJEM	\N	87	24756	UROK	\N	\N
3457100	9750	1997-11-30	PRIJEM	\N	46	24208	UROK	\N	\N
3457101	9750	1997-12-31	PRIJEM	\N	166	52562	UROK	\N	\N
3457102	9750	1998-01-31	PRIJEM	\N	186	47784	UROK	\N	\N
3457103	9750	1998-02-28	PRIJEM	\N	164	37773	UROK	\N	\N
3457104	9750	1998-03-31	PRIJEM	\N	140	77356	UROK	\N	\N
3457105	9750	1998-04-30	PRIJEM	\N	312	62710	UROK	\N	\N
3457106	9750	1998-05-31	PRIJEM	\N	220	41085	UROK	\N	\N
3457107	9750	1998-06-30	PRIJEM	\N	190	36514	UROK	\N	\N
3457108	9750	1998-07-31	PRIJEM	\N	177	57695	UROK	\N	\N
3457109	9750	1998-08-31	PRIJEM	\N	177	33196	UROK	\N	\N
3457110	9750	1998-09-30	PRIJEM	\N	168	50112	UROK	\N	\N
3457111	9750	1998-10-31	PRIJEM	\N	126	21298	UROK	\N	\N
3457112	9750	1998-11-30	PRIJEM	\N	67	25561	UROK	\N	\N
3457113	9750	1998-12-31	PRIJEM	\N	269	109126	UROK	\N	\N
3457159	9814	1995-02-28	PRIJEM	\N	31	39603	UROK	\N	\N
3457160	9814	1995-03-31	PRIJEM	\N	170	43267	UROK	\N	\N
3457161	9814	1995-04-30	PRIJEM	\N	209	63163	UROK	\N	\N
3457162	9814	1995-05-31	PRIJEM	\N	227	44441	UROK	\N	\N
3457163	9814	1995-06-30	PRIJEM	\N	161	34793	UROK	\N	\N
3457164	9814	1995-07-31	PRIJEM	\N	211	62932	UROK	\N	\N
3457165	9814	1995-08-31	PRIJEM	\N	196	34967	UROK	\N	\N
3457166	9814	1995-09-30	PRIJEM	\N	191	42291	UROK	\N	\N
3457167	9814	1995-10-31	PRIJEM	\N	218	52472	UROK	\N	\N
3457168	9814	1995-11-30	PRIJEM	\N	138	33356	UROK	\N	\N
3457169	9814	1995-12-31	PRIJEM	\N	247	92796	UROK	\N	\N
3457170	9814	1996-01-31	PRIJEM	\N	239	59529	UROK	\N	\N
3457171	9814	1996-02-29	PRIJEM	\N	269	94989	UROK	\N	\N
3457172	9814	1996-03-31	PRIJEM	\N	238	29292	UROK	\N	\N
3457173	9814	1996-04-30	PRIJEM	\N	194	57268	UROK	\N	\N
3457174	9814	1996-05-31	PRIJEM	\N	184	61366	UROK	\N	\N
3457175	9814	1996-06-30	PRIJEM	\N	203	45369	UROK	\N	\N
3457176	9814	1996-07-31	PRIJEM	\N	111	28504	UROK	\N	\N
3457177	9814	1996-08-31	PRIJEM	\N	82	23360	UROK	\N	\N
3457178	9814	1996-09-30	PRIJEM	\N	47	3734	UROK	\N	\N
3457179	9814	1996-09-30	VYDAJ	VYBER	6	3729	SANKC. UROK	\N	\N
3457180	9814	1996-10-31	PRIJEM	\N	32	21801	UROK	\N	\N
3457181	9814	1996-10-31	VYDAJ	VYBER	10	21791	SANKC. UROK	\N	\N
3457182	9814	1996-11-30	PRIJEM	\N	47	15607	UROK	\N	\N
3457183	9814	1996-12-31	PRIJEM	\N	32	12159	UROK	\N	\N
3457184	9814	1997-01-31	PRIJEM	\N	83	26181	UROK	\N	\N
3457185	9814	1997-02-28	PRIJEM	\N	83	56966	UROK	\N	\N
3457186	9814	1997-03-31	PRIJEM	\N	309	95557	UROK	\N	\N
3457187	9814	1997-04-30	PRIJEM	\N	352	93119	UROK	\N	\N
3457188	9814	1997-05-31	PRIJEM	\N	250	55376	UROK	\N	\N
3457189	9814	1997-06-30	PRIJEM	\N	96	62254	UROK	\N	\N
3457190	9814	1997-06-30	VYDAJ	VYBER	3	62358	SANKC. UROK	\N	\N
3457191	9814	1997-07-31	PRIJEM	\N	304	94181	UROK	\N	\N
3457192	9814	1997-08-31	PRIJEM	\N	310	78874	UROK	\N	\N
3457193	9814	1997-09-30	PRIJEM	\N	238	75093	UROK	\N	\N
3457194	9814	1997-10-31	PRIJEM	\N	157	27309	UROK	\N	\N
3457195	9814	1997-11-30	PRIJEM	\N	169	81760	UROK	\N	\N
3457196	9814	1997-12-31	PRIJEM	\N	214	53003	UROK	\N	\N
3457197	9814	1998-01-31	PRIJEM	\N	273	102735	UROK	\N	\N
3457198	9814	1998-02-28	PRIJEM	\N	261	36045	UROK	\N	\N
3457199	9814	1998-03-31	PRIJEM	\N	277	108112	UROK	\N	\N
3457200	9814	1998-04-30	PRIJEM	\N	260	61054	UROK	\N	\N
3457201	9814	1998-05-31	PRIJEM	\N	213	99252	UROK	\N	\N
3457202	9814	1998-06-30	PRIJEM	\N	198	62908	UROK	\N	\N
3457203	9814	1998-07-31	PRIJEM	\N	291	85338	UROK	\N	\N
3457204	9814	1998-08-31	PRIJEM	\N	267	93375	UROK	\N	\N
3457205	9814	1998-09-30	PRIJEM	\N	422	110838	UROK	\N	\N
3457206	9814	1998-10-31	PRIJEM	\N	383	98811	UROK	\N	\N
3457207	9814	1998-11-30	PRIJEM	\N	400	105977	UROK	\N	\N
3457208	9814	1998-12-31	PRIJEM	\N	271	81130	UROK	\N	\N
3457209	9826	1996-10-31	PRIJEM	\N	52	38464	UROK	\N	\N
3457210	9826	1996-11-30	PRIJEM	\N	181	53833	UROK	\N	\N
3457211	9826	1996-12-31	PRIJEM	\N	282	56760	UROK	\N	\N
3457212	9826	1997-01-31	PRIJEM	\N	138	24424	UROK	\N	\N
3457213	9826	1997-02-28	PRIJEM	\N	114	22337	UROK	\N	\N
3457214	9826	1997-03-31	PRIJEM	\N	80	13403	UROK	\N	\N
3457215	9826	1997-04-30	PRIJEM	\N	146	44845	UROK	\N	\N
3457216	9826	1997-05-31	PRIJEM	\N	184	34912	UROK	\N	\N
3457217	9826	1997-06-30	PRIJEM	\N	159	66046	UROK	\N	\N
3457218	9826	1997-07-31	PRIJEM	\N	237	54486	UROK	\N	\N
3457219	9826	1997-08-31	PRIJEM	\N	152	15295	UROK	\N	\N
3457220	9826	1997-09-30	PRIJEM	\N	58	2275	UROK	\N	\N
3457221	9826	1997-10-31	PRIJEM	\N	22	14625	UROK	\N	\N
3457222	9826	1997-11-30	PRIJEM	\N	32	10560	UROK	\N	\N
3457223	9826	1997-12-31	PRIJEM	\N	81	17703	UROK	\N	\N
3457224	9826	1998-01-31	PRIJEM	\N	80	15644	UROK	\N	\N
3457225	9826	1998-02-28	PRIJEM	\N	108	30429	UROK	\N	\N
3457226	9826	1998-03-31	PRIJEM	\N	74	8764	UROK	\N	\N
3457227	9826	1998-04-30	PRIJEM	\N	40	13163	UROK	\N	\N
3457228	9826	1998-05-31	PRIJEM	\N	82	21750	UROK	\N	\N
3457229	9826	1998-06-30	PRIJEM	\N	85	11687	UROK	\N	\N
3457230	9826	1998-07-31	PRIJEM	\N	250	73967	UROK	\N	\N
3457231	9826	1998-08-31	PRIJEM	\N	219	40659	UROK	\N	\N
3457232	9826	1998-09-30	PRIJEM	\N	166	55407	UROK	\N	\N
3457233	9826	1998-10-31	PRIJEM	\N	241	74631	UROK	\N	\N
3457234	9826	1998-11-30	PRIJEM	\N	195	91117	UROK	\N	\N
3457235	9826	1998-12-31	PRIJEM	\N	222	45663	UROK	\N	\N
3457392	10018	1995-08-31	PRIJEM	\N	28	21030	UROK	\N	\N
3457393	10018	1995-09-30	PRIJEM	\N	103	32509	UROK	\N	\N
3457394	10018	1995-10-31	PRIJEM	\N	144	38970	UROK	\N	\N
3457395	10018	1995-11-30	PRIJEM	\N	161	38558	UROK	\N	\N
3457396	10018	1995-12-31	PRIJEM	\N	193	44294	UROK	\N	\N
3457397	10018	1996-01-31	PRIJEM	\N	166	29521	UROK	\N	\N
3457398	10018	1996-02-29	PRIJEM	\N	138	33548	UROK	\N	\N
3457399	10018	1996-03-31	PRIJEM	\N	151	31907	UROK	\N	\N
3457400	10018	1996-04-30	PRIJEM	\N	143	31250	UROK	\N	\N
3457401	10018	1996-05-31	PRIJEM	\N	124	27511	UROK	\N	\N
3457402	10018	1996-06-30	PRIJEM	\N	122	18658	UROK	\N	\N
3457403	10018	1996-07-31	PRIJEM	\N	85	21105	UROK	\N	\N
3457404	10018	1996-08-31	PRIJEM	\N	96	22381	UROK	\N	\N
3457405	10018	1996-09-30	PRIJEM	\N	96	24904	UROK	\N	\N
3457406	10018	1996-10-31	PRIJEM	\N	102	25224	UROK	\N	\N
3457407	10018	1996-11-30	PRIJEM	\N	102	18887	UROK	\N	\N
3457408	10018	1996-12-31	PRIJEM	\N	99	24437	UROK	\N	\N
3457409	10018	1997-01-31	PRIJEM	\N	58	6788	UROK	\N	\N
3457410	10018	1997-02-28	PRIJEM	\N	58	17408	UROK	\N	\N
3457411	10018	1997-03-31	PRIJEM	\N	72	21063	UROK	\N	\N
3457412	10018	1997-04-30	PRIJEM	\N	75	21500	UROK	\N	\N
3457413	10018	1997-05-31	PRIJEM	\N	100	21937	UROK	\N	\N
3457414	10018	1997-06-30	PRIJEM	\N	64	2828	UROK	\N	\N
3457415	10018	1997-07-31	PRIJEM	\N	38	13327	UROK	\N	\N
3457416	10018	1997-07-31	VYDAJ	VYBER	10	13346	SANKC. UROK	\N	\N
3457417	10018	1997-08-31	PRIJEM	\N	58	21806	UROK	\N	\N
3457418	10018	1997-08-31	VYDAJ	VYBER	2	21788	SANKC. UROK	\N	\N
3457419	10018	1997-09-30	PRIJEM	\N	77	23142	UROK	\N	\N
3457420	10018	1997-10-31	PRIJEM	\N	106	30957	UROK	\N	\N
3457421	10018	1997-11-30	PRIJEM	\N	120	33221	UROK	\N	\N
3457422	10018	1997-12-31	PRIJEM	\N	136	39407	UROK	\N	\N
3457423	10018	1998-01-31	PRIJEM	\N	99	23771	UROK	\N	\N
3457424	10018	1998-02-28	PRIJEM	\N	76	23057	UROK	\N	\N
3457425	10018	1998-03-31	PRIJEM	\N	81	22458	UROK	\N	\N
3457426	10018	1998-04-30	PRIJEM	\N	87	19506	UROK	\N	\N
3457427	10018	1998-05-31	PRIJEM	\N	54	16306	UROK	\N	\N
3457428	10018	1998-05-31	VYDAJ	VYBER	6	16316	SANKC. UROK	\N	\N
3457429	10018	1998-06-30	PRIJEM	\N	48	12566	UROK	\N	\N
3457430	10018	1998-06-30	VYDAJ	VYBER	2	12548	SANKC. UROK	\N	\N
3457431	10018	1998-07-31	PRIJEM	\N	38	12599	UROK	\N	\N
3457432	10018	1998-07-31	VYDAJ	VYBER	11	12587	SANKC. UROK	\N	\N
3457433	10018	1998-08-31	PRIJEM	\N	50	15922	UROK	\N	\N
3457434	10018	1998-09-30	PRIJEM	\N	61	17645	UROK	\N	\N
3457435	10018	1998-10-31	PRIJEM	\N	50	17269	UROK	\N	\N
3457436	10018	1998-10-31	VYDAJ	VYBER	9	17260	SANKC. UROK	\N	\N
3457437	10018	1998-11-30	PRIJEM	\N	71	21252	UROK	\N	\N
3457438	10018	1998-12-31	PRIJEM	\N	106	28283	UROK	\N	\N
3457439	10036	1994-01-31	PRIJEM	\N	128	79202	UROK	\N	\N
3457440	10036	1994-02-28	PRIJEM	\N	330	51731	UROK	\N	\N
3457441	10036	1994-03-31	PRIJEM	\N	328	76616	UROK	\N	\N
3457442	10036	1994-04-30	PRIJEM	\N	320	91834	UROK	\N	\N
3457443	10036	1994-05-31	PRIJEM	\N	379	56526	UROK	\N	\N
3457444	10036	1994-06-30	PRIJEM	\N	379	42405	UROK	\N	\N
3457445	10036	1994-07-31	PRIJEM	\N	379	31684	UROK	\N	\N
3457446	10036	1994-08-31	PRIJEM	\N	379	29664	UROK	\N	\N
3457447	10036	1994-09-30	PRIJEM	\N	379	24343	UROK	\N	\N
3457448	10036	1994-10-31	PRIJEM	\N	379	24122	UROK	\N	\N
3457449	10036	1994-11-30	PRIJEM	\N	250	39269	UROK	\N	\N
3457450	10036	1994-12-31	PRIJEM	\N	128	24088	UROK	\N	\N
3457451	10036	1995-01-31	PRIJEM	\N	31	1163	UROK	\N	\N
3457452	10036	1995-02-28	PRIJEM	\N	3	10568	UROK	\N	\N
3457453	10036	1995-03-31	PRIJEM	\N	41	14096	UROK	\N	\N
3457454	10036	1995-04-30	PRIJEM	\N	52	11607	UROK	\N	\N
3457455	10036	1995-05-31	PRIJEM	\N	25	4119	UROK	\N	\N
3457456	10036	1995-06-30	PRIJEM	\N	14	9319	UROK	\N	\N
3457457	10036	1995-07-31	PRIJEM	\N	36	13440	UROK	\N	\N
3457458	10036	1995-08-31	PRIJEM	\N	18	2989	UROK	\N	\N
3457459	10036	1995-09-30	PRIJEM	\N	14	7288	UROK	\N	\N
3457460	10036	1995-10-31	PRIJEM	\N	25	5511	UROK	\N	\N
3457461	10036	1995-11-30	PRIJEM	\N	20	11920	UROK	\N	\N
3457462	10036	1995-12-31	PRIJEM	\N	9	-579	UROK	\N	\N
3457463	10036	1995-12-31	VYDAJ	VYBER	13	-605	SANKC. UROK	\N	\N
3457464	10036	1996-01-31	PRIJEM	\N	20	29795	UROK	\N	\N
3457465	10036	1996-01-31	VYDAJ	VYBER	3	22910	SANKC. UROK	\N	\N
3457466	10036	1996-02-29	PRIJEM	\N	95	55995	UROK	\N	\N
3457467	10036	1996-03-31	PRIJEM	\N	209	14590	UROK	\N	\N
3457468	10036	1996-04-30	PRIJEM	\N	45	12230	UROK	\N	\N
3457469	10036	1996-05-31	PRIJEM	\N	40	10823	UROK	\N	\N
3457470	10036	1996-06-30	PRIJEM	\N	45	13910	UROK	\N	\N
3457471	10036	1996-07-31	PRIJEM	\N	51	9848	UROK	\N	\N
3457472	10036	1996-08-31	PRIJEM	\N	90	25629	UROK	\N	\N
3457473	10036	1996-09-30	PRIJEM	\N	95	15415	UROK	\N	\N
3457474	10036	1996-10-31	PRIJEM	\N	89	47390	UROK	\N	\N
3457475	10036	1996-11-30	PRIJEM	\N	132	24317	UROK	\N	\N
3457476	10036	1996-12-31	PRIJEM	\N	183	35282	UROK	\N	\N
3457477	10036	1997-01-31	PRIJEM	\N	98	28926	UROK	\N	\N
3457478	10036	1997-02-28	PRIJEM	\N	260	71263	UROK	\N	\N
3457479	10036	1997-03-31	PRIJEM	\N	179	13684	UROK	\N	\N
3457480	10036	1997-04-30	PRIJEM	\N	62	33689	UROK	\N	\N
3457481	10036	1997-05-31	PRIJEM	\N	144	33109	UROK	\N	\N
3457482	10036	1997-06-30	PRIJEM	\N	214	38526	UROK	\N	\N
3457483	10036	1997-07-31	PRIJEM	\N	229	43452	UROK	\N	\N
3457484	10036	1997-08-31	PRIJEM	\N	253	43914	UROK	\N	\N
3457485	10036	1997-09-30	PRIJEM	\N	211	58915	UROK	\N	\N
3457486	10036	1997-10-31	PRIJEM	\N	202	36446	UROK	\N	\N
3457487	10036	1997-11-30	PRIJEM	\N	259	60093	UROK	\N	\N
3457488	10036	1997-12-31	PRIJEM	\N	265	38989	UROK	\N	\N
3457489	10036	1998-01-31	PRIJEM	\N	70	1339	UROK	\N	\N
3457490	10036	1998-01-31	VYDAJ	VYBER	10	1319	SANKC. UROK	\N	\N
3457491	10036	1998-02-28	VYDAJ	VYBER	27	-1608	SANKC. UROK	\N	\N
3457492	10036	1998-03-31	VYDAJ	VYBER	27	-634	SANKC. UROK	\N	\N
3457493	10036	1998-04-30	VYDAJ	VYBER	27	-4060	SANKC. UROK	\N	\N
3457494	10036	1998-05-31	VYDAJ	VYBER	27	-6987	SANKC. UROK	\N	\N
3457495	10036	1998-06-30	VYDAJ	VYBER	27	-10513	SANKC. UROK	\N	\N
3457496	10036	1998-07-31	VYDAJ	VYBER	27	-13940	SANKC. UROK	\N	\N
3457497	10036	1998-08-31	VYDAJ	VYBER	27	-12666	SANKC. UROK	\N	\N
3457498	10036	1998-09-30	VYDAJ	VYBER	27	-11293	SANKC. UROK	\N	\N
3457499	10036	1998-10-31	VYDAJ	VYBER	27	-15019	SANKC. UROK	\N	\N
3457500	10131	1993-12-31	PRIJEM	\N	26	39383	UROK	\N	\N
3457501	10131	1994-01-31	PRIJEM	\N	164	31369	UROK	\N	\N
3457502	10131	1994-02-28	PRIJEM	\N	164	28933	UROK	\N	\N
3457503	10131	1994-03-31	PRIJEM	\N	160	33624	UROK	\N	\N
3457504	10131	1994-04-30	PRIJEM	\N	139	30663	UROK	\N	\N
3457505	10131	1994-05-31	PRIJEM	\N	139	28302	UROK	\N	\N
3457506	10131	1994-06-30	PRIJEM	\N	144	39082	UROK	\N	\N
3457507	10131	1994-07-31	PRIJEM	\N	162	30244	UROK	\N	\N
3457508	10131	1994-08-31	PRIJEM	\N	162	28306	UROK	\N	\N
3457509	10131	1994-09-30	PRIJEM	\N	172	53158	UROK	\N	\N
3457510	10131	1994-10-31	PRIJEM	\N	233	63846	UROK	\N	\N
3457511	10131	1994-11-30	PRIJEM	\N	162	11534	UROK	\N	\N
3457512	10131	1994-12-31	PRIJEM	\N	50	10541	UROK	\N	\N
3457513	10131	1995-01-31	PRIJEM	\N	29	-224	UROK	\N	\N
3457514	10131	1995-01-31	VYDAJ	VYBER	1	-241	SANKC. UROK	\N	\N
3457515	10131	1995-02-28	PRIJEM	\N	3	10962	UROK	\N	\N
3457516	10131	1995-02-28	VYDAJ	VYBER	5	10944	SANKC. UROK	\N	\N
3457517	10131	1995-03-31	PRIJEM	\N	52	16413	UROK	\N	\N
3457518	10131	1995-04-30	PRIJEM	\N	67	2180	UROK	\N	\N
3457519	10131	1995-05-31	PRIJEM	\N	16	2382	UROK	\N	\N
3457520	10131	1995-06-30	PRIJEM	\N	11	18294	UROK	\N	\N
3457521	10131	1995-07-31	PRIJEM	\N	75	18871	UROK	\N	\N
3457522	10131	1995-08-31	PRIJEM	\N	71	15829	UROK	\N	\N
3457523	10131	1995-09-30	PRIJEM	\N	70	19502	UROK	\N	\N
3457524	10131	1995-10-31	PRIJEM	\N	80	19985	UROK	\N	\N
3457525	10131	1995-11-30	PRIJEM	\N	85	30536	UROK	\N	\N
3457526	10131	1995-12-31	PRIJEM	\N	67	11815	UROK	\N	\N
3457527	10131	1995-12-31	VYDAJ	VYBER	0	11840	SANKC. UROK	\N	\N
3457528	10131	1996-01-31	PRIJEM	\N	131	21036	UROK	\N	\N
3457529	10131	1996-02-29	PRIJEM	\N	178	46885	UROK	\N	\N
3457530	10131	1996-03-31	PRIJEM	\N	160	32347	UROK	\N	\N
3457531	10131	1996-04-30	PRIJEM	\N	167	53016	UROK	\N	\N
3457532	10131	1996-05-31	PRIJEM	\N	165	27242	UROK	\N	\N
3457533	10131	1996-06-30	PRIJEM	\N	85	18870	UROK	\N	\N
3457534	10131	1996-07-31	PRIJEM	\N	82	8541	UROK	\N	\N
3457535	10131	1996-08-31	PRIJEM	\N	30	9791	UROK	\N	\N
3457536	10131	1996-09-30	PRIJEM	\N	30	3007	UROK	\N	\N
3457537	10131	1996-10-31	PRIJEM	\N	55	20881	UROK	\N	\N
3457538	10131	1996-11-30	PRIJEM	\N	122	35968	UROK	\N	\N
3457539	10131	1996-12-31	PRIJEM	\N	144	25129	UROK	\N	\N
3457540	10131	1997-01-31	PRIJEM	\N	20	1492	UROK	\N	\N
3457541	10131	1997-01-31	VYDAJ	VYBER	6	1483	SANKC. UROK	\N	\N
3457542	10131	1997-02-28	PRIJEM	\N	48	43220	UROK	\N	\N
3457543	10131	1997-02-28	VYDAJ	VYBER	3	43259	SANKC. UROK	\N	\N
3457544	10131	1997-03-31	PRIJEM	\N	198	75605	UROK	\N	\N
3457545	10131	1997-04-30	PRIJEM	\N	256	78025	UROK	\N	\N
3457546	10131	1997-05-31	PRIJEM	\N	206	35744	UROK	\N	\N
3457547	10131	1997-06-30	PRIJEM	\N	111	19269	UROK	\N	\N
3457548	10131	1997-07-31	PRIJEM	\N	78	11998	UROK	\N	\N
3457549	10131	1997-08-31	PRIJEM	\N	50	19167	UROK	\N	\N
3457550	10131	1997-09-30	PRIJEM	\N	219	99175	UROK	\N	\N
3457551	10131	1997-10-31	PRIJEM	\N	261	97898	UROK	\N	\N
3457552	10131	1997-11-30	PRIJEM	\N	349	87337	UROK	\N	\N
3457553	10131	1997-12-31	PRIJEM	\N	244	58003	UROK	\N	\N
3457554	10131	1998-01-31	PRIJEM	\N	254	62398	UROK	\N	\N
3457555	10131	1998-02-28	PRIJEM	\N	198	51072	UROK	\N	\N
3457556	10131	1998-03-31	PRIJEM	\N	164	35987	UROK	\N	\N
3457557	10131	1998-04-30	PRIJEM	\N	110	18174	UROK	\N	\N
3457558	10131	1998-05-31	PRIJEM	\N	174	66846	UROK	\N	\N
3457559	10131	1998-06-30	PRIJEM	\N	194	46976	UROK	\N	\N
3457560	10131	1998-07-31	PRIJEM	\N	222	57724	UROK	\N	\N
3457561	10131	1998-08-31	PRIJEM	\N	120	24479	UROK	\N	\N
3457562	10131	1998-09-30	PRIJEM	\N	58	18765	UROK	\N	\N
3457563	10131	1998-10-31	PRIJEM	\N	59	20410	UROK	\N	\N
3457564	10131	1998-11-30	PRIJEM	\N	86	18736	UROK	\N	\N
3457565	10131	1998-12-31	PRIJEM	\N	43	12250	UROK	\N	\N
3457566	10152	1997-10-31	PRIJEM	\N	222	57938	UROK	\N	\N
3457567	10152	1997-11-30	PRIJEM	\N	312	62013	UROK	\N	\N
3457568	10152	1997-12-31	PRIJEM	\N	304	85640	UROK	\N	\N
3457569	10152	1998-01-31	PRIJEM	\N	226	33243	UROK	\N	\N
3457570	10152	1998-02-28	PRIJEM	\N	141	43969	UROK	\N	\N
3457571	10152	1998-03-31	PRIJEM	\N	119	31013	UROK	\N	\N
3457572	10152	1998-04-30	PRIJEM	\N	120	25119	UROK	\N	\N
3457573	10152	1998-05-31	PRIJEM	\N	95	15832	UROK	\N	\N
3457574	10152	1998-06-30	PRIJEM	\N	62	22879	UROK	\N	\N
3457575	10152	1998-07-31	PRIJEM	\N	87	20003	UROK	\N	\N
3457576	10152	1998-08-31	PRIJEM	\N	98	39296	UROK	\N	\N
3457577	10152	1998-09-30	PRIJEM	\N	157	40744	UROK	\N	\N
3457578	10152	1998-10-31	PRIJEM	\N	160	41940	UROK	\N	\N
3457579	10152	1998-11-30	PRIJEM	\N	209	49129	UROK	\N	\N
3457580	10152	1998-12-31	PRIJEM	\N	194	46648	UROK	\N	\N
3457633	10220	1996-09-30	PRIJEM	\N	19	22238	UROK	\N	\N
3457634	10220	1996-10-31	PRIJEM	\N	100	29741	UROK	\N	\N
3457635	10220	1996-11-30	PRIJEM	\N	126	32796	UROK	\N	\N
3457636	10220	1996-12-31	PRIJEM	\N	143	39709	UROK	\N	\N
3457637	10220	1997-01-31	PRIJEM	\N	168	32969	UROK	\N	\N
3457638	10220	1997-02-28	PRIJEM	\N	139	35597	UROK	\N	\N
3457639	10220	1997-03-31	PRIJEM	\N	150	37970	UROK	\N	\N
3457640	10220	1997-04-30	PRIJEM	\N	156	37751	UROK	\N	\N
3457641	10220	1997-05-31	PRIJEM	\N	176	34129	UROK	\N	\N
3457642	10220	1997-06-30	PRIJEM	\N	144	29294	UROK	\N	\N
3457643	10220	1997-07-31	PRIJEM	\N	118	28301	UROK	\N	\N
3457644	10220	1997-08-31	PRIJEM	\N	131	24439	UROK	\N	\N
3457645	10220	1997-09-30	PRIJEM	\N	108	19144	UROK	\N	\N
3457646	10220	1997-10-31	PRIJEM	\N	77	20110	UROK	\N	\N
3457647	10220	1997-11-30	PRIJEM	\N	76	18052	UROK	\N	\N
3457648	10220	1997-12-31	PRIJEM	\N	85	26702	UROK	\N	\N
3457649	10220	1998-01-31	PRIJEM	\N	81	7013	UROK	\N	\N
3457650	10220	1998-02-28	PRIJEM	\N	37	14700	UROK	\N	\N
3457651	10220	1998-03-31	PRIJEM	\N	75	16039	UROK	\N	\N
3457652	10220	1998-04-30	PRIJEM	\N	55	7984	UROK	\N	\N
3457653	10220	1998-05-31	PRIJEM	\N	44	9972	UROK	\N	\N
3457654	10220	1998-06-30	PRIJEM	\N	25	-441	UROK	\N	\N
3457655	10220	1998-06-30	VYDAJ	VYBER	8	-448	SANKC. UROK	\N	\N
3457656	10220	1998-07-31	PRIJEM	\N	15	4649	UROK	\N	\N
3457657	10220	1998-07-31	VYDAJ	VYBER	7	4656	SANKC. UROK	\N	\N
3457658	10220	1998-08-31	PRIJEM	\N	22	9184	UROK	\N	\N
3457659	10220	1998-09-30	PRIJEM	\N	37	11948	UROK	\N	\N
3457660	10220	1998-10-31	PRIJEM	\N	42	11621	UROK	\N	\N
3457661	10220	1998-11-30	PRIJEM	\N	40	11050	UROK	\N	\N
3457662	10220	1998-12-31	PRIJEM	\N	114	37904	UROK	\N	\N
3457663	10227	1993-09-30	PRIJEM	\N	3	20760	UROK	\N	\N
3457664	10227	1993-10-31	PRIJEM	\N	142	55062	UROK	\N	\N
3457665	10227	1993-11-30	PRIJEM	\N	229	37791	UROK	\N	\N
3457666	10227	1993-12-31	PRIJEM	\N	218	41562	UROK	\N	\N
3457667	10227	1994-01-31	PRIJEM	\N	177	36719	UROK	\N	\N
3457668	10227	1994-02-28	PRIJEM	\N	151	32017	UROK	\N	\N
3457669	10227	1994-03-31	PRIJEM	\N	137	25927	UROK	\N	\N
3457670	10227	1994-04-30	PRIJEM	\N	94	4494	UROK	\N	\N
3457671	10227	1994-05-31	PRIJEM	\N	244	44310	UROK	\N	\N
3457672	10227	1994-06-30	PRIJEM	\N	199	55955	UROK	\N	\N
3457673	10227	1994-07-31	PRIJEM	\N	206	34333	UROK	\N	\N
3457674	10227	1994-08-31	PRIJEM	\N	117	16659	UROK	\N	\N
3457675	10227	1994-09-30	PRIJEM	\N	85	40671	UROK	\N	\N
3457676	10227	1994-10-31	PRIJEM	\N	190	53073	UROK	\N	\N
3457677	10227	1994-11-30	PRIJEM	\N	55	-429	UROK	\N	\N
3457678	10227	1994-11-30	VYDAJ	VYBER	8	-482	SANKC. UROK	\N	\N
3457679	10227	1994-12-31	PRIJEM	\N	2	14213	UROK	\N	\N
3457680	10227	1994-12-31	VYDAJ	VYBER	18	14095	SANKC. UROK	\N	\N
3457681	10227	1995-01-31	PRIJEM	\N	94	33699	UROK	\N	\N
3457682	10227	1995-02-28	PRIJEM	\N	69	14930	UROK	\N	\N
3457683	10227	1995-03-31	PRIJEM	\N	84	39337	UROK	\N	\N
3457684	10227	1995-04-30	PRIJEM	\N	289	63151	UROK	\N	\N
3457685	10227	1995-05-31	PRIJEM	\N	281	87184	UROK	\N	\N
3457686	10227	1995-06-30	PRIJEM	\N	339	101683	UROK	\N	\N
3457687	10227	1995-07-31	PRIJEM	\N	413	106242	UROK	\N	\N
3457688	10227	1995-08-31	PRIJEM	\N	360	51281	UROK	\N	\N
3457689	10227	1995-09-30	PRIJEM	\N	391	85333	UROK	\N	\N
3457690	10227	1995-10-31	PRIJEM	\N	333	76571	UROK	\N	\N
3457691	10227	1995-11-30	PRIJEM	\N	283	52223	UROK	\N	\N
3457692	10227	1995-12-31	PRIJEM	\N	346	90718	UROK	\N	\N
3457693	10227	1996-01-31	PRIJEM	\N	395	77699	UROK	\N	\N
3457694	10227	1996-02-29	PRIJEM	\N	224	30605	UROK	\N	\N
3457695	10227	1996-03-31	PRIJEM	\N	178	114851	UROK	\N	\N
3457696	10227	1996-04-30	PRIJEM	\N	295	45581	UROK	\N	\N
3457697	10227	1996-05-31	PRIJEM	\N	186	50618	UROK	\N	\N
3457698	10227	1996-06-30	PRIJEM	\N	183	32084	UROK	\N	\N
3457699	10227	1996-07-31	PRIJEM	\N	230	104256	UROK	\N	\N
3457700	10227	1996-08-31	PRIJEM	\N	370	58136	UROK	\N	\N
3457701	10227	1996-09-30	PRIJEM	\N	258	81881	UROK	\N	\N
3457702	10227	1996-10-31	PRIJEM	\N	327	89148	UROK	\N	\N
3457703	10227	1996-11-30	PRIJEM	\N	330	54711	UROK	\N	\N
3457704	10227	1996-12-31	PRIJEM	\N	198	86444	UROK	\N	\N
3457705	10227	1997-01-31	PRIJEM	\N	181	19729	UROK	\N	\N
3457706	10227	1997-02-28	PRIJEM	\N	44	12032	UROK	\N	\N
3457707	10227	1997-03-31	PRIJEM	\N	32	17501	UROK	\N	\N
3457708	10227	1997-04-30	PRIJEM	\N	74	28090	UROK	\N	\N
3457709	10227	1997-05-31	PRIJEM	\N	71	13542	UROK	\N	\N
3457710	10227	1997-06-30	PRIJEM	\N	30	11373	UROK	\N	\N
3457711	10227	1997-07-31	PRIJEM	\N	56	14918	UROK	\N	\N
3457712	10227	1997-08-31	PRIJEM	\N	24	11966	UROK	\N	\N
3457713	10227	1997-09-30	PRIJEM	\N	18	25584	UROK	\N	\N
3457714	10227	1997-10-31	PRIJEM	\N	74	34358	UROK	\N	\N
3457715	10227	1997-11-30	PRIJEM	\N	152	49070	UROK	\N	\N
3457716	10227	1997-12-31	PRIJEM	\N	161	41771	UROK	\N	\N
3457717	10227	1998-01-31	PRIJEM	\N	82	20653	UROK	\N	\N
3457718	10227	1998-02-28	PRIJEM	\N	52	29088	UROK	\N	\N
3457719	10227	1998-03-31	PRIJEM	\N	182	68077	UROK	\N	\N
3457720	10227	1998-04-30	PRIJEM	\N	204	53581	UROK	\N	\N
3457721	10227	1998-05-31	PRIJEM	\N	187	55566	UROK	\N	\N
3457722	10227	1998-06-30	PRIJEM	\N	194	58960	UROK	\N	\N
3457723	10227	1998-07-31	PRIJEM	\N	208	59874	UROK	\N	\N
3457724	10227	1998-08-31	PRIJEM	\N	211	56185	UROK	\N	\N
3457725	10227	1998-09-30	PRIJEM	\N	196	57481	UROK	\N	\N
3457726	10227	1998-10-31	PRIJEM	\N	199	54280	UROK	\N	\N
3457727	10227	1998-11-30	PRIJEM	\N	168	44822	UROK	\N	\N
3457790	10266	1993-06-30	PRIJEM	\N	55	30388	UROK	\N	\N
3457791	10266	1993-07-31	PRIJEM	\N	232	76972	UROK	\N	\N
3457792	10266	1993-08-31	PRIJEM	\N	319	51090	UROK	\N	\N
3457793	10266	1993-09-30	PRIJEM	\N	319	36309	UROK	\N	\N
3457794	10266	1993-10-31	PRIJEM	\N	241	57056	UROK	\N	\N
3457795	10266	1993-11-30	PRIJEM	\N	235	41991	UROK	\N	\N
3457796	10266	1993-12-31	PRIJEM	\N	204	34059	UROK	\N	\N
3457797	10266	1994-01-31	PRIJEM	\N	45	8741	UROK	\N	\N
3457798	10266	1994-02-28	PRIJEM	\N	13	-2312	UROK	\N	\N
3457799	10266	1994-02-28	VYDAJ	VYBER	18	-2317	SANKC. UROK	\N	\N
3457800	10266	1994-03-31	PRIJEM	\N	26	44984	UROK	\N	\N
3457801	10266	1994-03-31	VYDAJ	VYBER	10	44949	SANKC. UROK	\N	\N
3457802	10266	1994-04-30	PRIJEM	\N	164	95850	UROK	\N	\N
3457803	10266	1994-05-31	PRIJEM	\N	258	40556	UROK	\N	\N
3457804	10266	1994-06-30	PRIJEM	\N	113	28879	UROK	\N	\N
3457805	10266	1994-07-31	PRIJEM	\N	72	11126	UROK	\N	\N
3457806	10266	1994-08-31	PRIJEM	\N	42	5902	UROK	\N	\N
3457807	10266	1994-09-30	PRIJEM	\N	106	20166	UROK	\N	\N
3457808	10266	1994-10-31	PRIJEM	\N	48	6149	UROK	\N	\N
3457809	10266	1994-11-30	PRIJEM	\N	193	49375	UROK	\N	\N
3457810	10266	1994-12-31	PRIJEM	\N	157	74307	UROK	\N	\N
3457811	10266	1995-01-31	PRIJEM	\N	87	17735	UROK	\N	\N
3457812	10266	1995-02-28	PRIJEM	\N	42	4003	UROK	\N	\N
3457813	10266	1995-03-31	PRIJEM	\N	176	71198	UROK	\N	\N
3457814	10266	1995-04-30	PRIJEM	\N	215	69498	UROK	\N	\N
3457815	10266	1995-05-31	PRIJEM	\N	142	33111	UROK	\N	\N
3457816	10266	1995-06-30	PRIJEM	\N	78	13923	UROK	\N	\N
3457817	10266	1995-07-31	PRIJEM	\N	75	21131	UROK	\N	\N
3457818	10266	1995-08-31	PRIJEM	\N	67	25506	UROK	\N	\N
3457819	10266	1995-09-30	PRIJEM	\N	60	10164	UROK	\N	\N
3457820	10266	1995-11-30	PRIJEM	\N	34	36591	UROK	\N	\N
3457821	10266	1995-11-30	PRIJEM	\N	47	36638	UROK	\N	\N
3457822	10266	1995-12-31	PRIJEM	\N	94	19528	UROK	\N	\N
3457823	10266	1996-01-31	PRIJEM	\N	60	2116	UROK	\N	\N
3457824	10266	1996-01-31	VYDAJ	VYBER	0	2125	SANKC. UROK	\N	\N
3457825	10266	1996-02-29	PRIJEM	\N	9	15003	UROK	\N	\N
3457826	10266	1996-02-29	VYDAJ	VYBER	4	14996	SANKC. UROK	\N	\N
3457827	10266	1996-03-31	PRIJEM	\N	160	30326	UROK	\N	\N
3457828	10266	1996-04-30	PRIJEM	\N	66	12098	UROK	\N	\N
3457829	10266	1996-05-31	PRIJEM	\N	50	25632	UROK	\N	\N
3457830	10266	1996-06-30	PRIJEM	\N	172	40843	UROK	\N	\N
3457831	10266	1996-07-31	PRIJEM	\N	129	15690	UROK	\N	\N
3457832	10266	1996-08-31	PRIJEM	\N	145	25135	UROK	\N	\N
3457833	10266	1996-09-30	PRIJEM	\N	160	38204	UROK	\N	\N
3457834	10266	1996-10-31	PRIJEM	\N	200	35651	UROK	\N	\N
3457835	10266	1996-11-30	PRIJEM	\N	111	31066	UROK	\N	\N
3457836	10266	1996-12-31	PRIJEM	\N	115	38797	UROK	\N	\N
3457837	10266	1997-01-31	PRIJEM	\N	158	42347	UROK	\N	\N
3457838	10266	1997-02-28	PRIJEM	\N	205	38319	UROK	\N	\N
3457839	10266	1997-03-31	PRIJEM	\N	178	21574	UROK	\N	\N
3457840	10266	1997-04-30	PRIJEM	\N	100	45454	UROK	\N	\N
3457841	10266	1997-05-31	PRIJEM	\N	126	27283	UROK	\N	\N
3457842	10266	1997-06-30	PRIJEM	\N	182	31829	UROK	\N	\N
3457843	10266	1997-07-31	PRIJEM	\N	333	97080	UROK	\N	\N
3457844	10266	1997-08-31	PRIJEM	\N	251	30126	UROK	\N	\N
3457845	10266	1997-09-30	PRIJEM	\N	173	61608	UROK	\N	\N
3457846	10266	1997-10-31	PRIJEM	\N	234	47693	UROK	\N	\N
3457847	10266	1997-11-30	PRIJEM	\N	104	19762	UROK	\N	\N
3457848	10266	1997-12-31	PRIJEM	\N	298	38547	UROK	\N	\N
3457849	10266	1998-01-31	PRIJEM	\N	84	21262	UROK	\N	\N
3457850	10266	1998-02-28	PRIJEM	\N	137	42183	UROK	\N	\N
3457851	10266	1998-03-31	PRIJEM	\N	126	29726	UROK	\N	\N
3457852	10266	1998-04-30	PRIJEM	\N	65	15184	UROK	\N	\N
3457853	10266	1998-06-30	PRIJEM	\N	37	49246	UROK	\N	\N
3457854	10266	1998-06-30	PRIJEM	\N	41	49209	UROK	\N	\N
3457855	10266	1998-07-31	PRIJEM	\N	146	34577	UROK	\N	\N
3457856	10266	1998-08-31	PRIJEM	\N	82	16891	UROK	\N	\N
3457857	10266	1998-09-30	PRIJEM	\N	41	17000	UROK	\N	\N
3457858	10266	1998-11-30	PRIJEM	\N	43	17139	UROK	\N	\N
3457870	10343	1997-06-30	PRIJEM	\N	29	21029	UROK	\N	\N
3457871	10343	1997-07-31	PRIJEM	\N	91	23413	UROK	\N	\N
3457872	10343	1997-08-31	PRIJEM	\N	94	21337	UROK	\N	\N
3457873	10343	1997-09-30	PRIJEM	\N	82	17913	UROK	\N	\N
3457874	10343	1997-10-31	PRIJEM	\N	69	14974	UROK	\N	\N
3457875	10343	1997-11-30	PRIJEM	\N	62	11429	UROK	\N	\N
3457876	10343	1997-12-31	PRIJEM	\N	61	15736	UROK	\N	\N
3457877	10343	1998-01-31	PRIJEM	\N	60	5810	UROK	\N	\N
3457878	10343	1998-02-28	PRIJEM	\N	26	5167	UROK	\N	\N
3457879	10343	1998-03-31	PRIJEM	\N	30	4842	UROK	\N	\N
3457880	10343	1998-04-30	PRIJEM	\N	15	2740	UROK	\N	\N
3457881	10343	1998-05-31	PRIJEM	\N	12	-3336	UROK	\N	\N
3457882	10343	1998-05-31	VYDAJ	VYBER	12	-3363	SANKC. UROK	\N	\N
3457883	10343	1998-06-30	PRIJEM	\N	8	4253	UROK	\N	\N
3457884	10343	1998-06-30	VYDAJ	VYBER	19	4220	SANKC. UROK	\N	\N
3457885	10343	1998-07-31	PRIJEM	\N	9	-2943	UROK	\N	\N
3457886	10343	1998-07-31	VYDAJ	VYBER	11	-2978	SANKC. UROK	\N	\N
3457887	10343	1998-08-31	VYDAJ	VYBER	40	-4252	SANKC. UROK	\N	\N
3457888	10343	1998-09-30	VYDAJ	VYBER	29	-1352	SANKC. UROK	\N	\N
3457889	10343	1998-10-31	PRIJEM	\N	1	-7487	UROK	\N	\N
3457890	10343	1998-10-31	VYDAJ	VYBER	48	-7535	SANKC. UROK	\N	\N
3457891	10343	1998-11-30	VYDAJ	VYBER	91	-9701	SANKC. UROK	\N	\N
3457892	10343	1998-12-31	VYDAJ	VYBER	82	-6939	SANKC. UROK	\N	\N
3457965	10558	1996-03-31	PRIJEM	\N	59	40124	UROK	\N	\N
3457966	10558	1996-04-30	PRIJEM	\N	373	103018	UROK	\N	\N
3457967	10558	1996-05-31	PRIJEM	\N	419	65037	UROK	\N	\N
3457968	10558	1996-06-30	PRIJEM	\N	169	60358	UROK	\N	\N
3457969	10558	1996-07-31	PRIJEM	\N	193	48386	UROK	\N	\N
3457970	10558	1996-08-31	PRIJEM	\N	162	30410	UROK	\N	\N
3457971	10558	1996-09-30	PRIJEM	\N	102	21097	UROK	\N	\N
3457972	10558	1996-10-31	PRIJEM	\N	167	24271	UROK	\N	\N
3457973	10558	1996-11-30	PRIJEM	\N	92	14545	UROK	\N	\N
3457974	10558	1996-12-31	PRIJEM	\N	56	7376	UROK	\N	\N
3457975	10558	1997-01-31	PRIJEM	\N	12	-2227	UROK	\N	\N
3457976	10558	1997-01-31	VYDAJ	VYBER	9	-2244	SANKC. UROK	\N	\N
3457977	10558	1997-02-28	VYDAJ	VYBER	34	-4725	SANKC. UROK	\N	\N
3457978	10558	1997-03-31	PRIJEM	\N	13	4844	UROK	\N	\N
3457979	10558	1997-03-31	VYDAJ	VYBER	5	4839	SANKC. UROK	\N	\N
3457980	10558	1997-04-30	PRIJEM	\N	15	2740	UROK	\N	\N
3457981	10558	1997-05-31	PRIJEM	\N	7	432	UROK	\N	\N
3457982	10558	1997-05-31	VYDAJ	VYBER	0	431	SANKC. UROK	\N	\N
3457983	10558	1997-06-30	VYDAJ	VYBER	7	389	SANKC. UROK	\N	\N
3457984	10558	1997-07-31	VYDAJ	VYBER	7	367	SANKC. UROK	\N	\N
3457985	10558	1997-09-30	VYDAJ	VYBER	7	37177	SANKC. UROK	\N	\N
3457986	10558	1997-09-30	PRIJEM	\N	24	37179	UROK	\N	\N
3457987	10558	1997-09-30	VYDAJ	VYBER	6	37171	SANKC. UROK	\N	\N
3457988	10558	1997-10-31	PRIJEM	\N	173	75200	UROK	\N	\N
3457989	10558	1997-11-30	PRIJEM	\N	252	42011	UROK	\N	\N
3457990	10558	1997-12-31	PRIJEM	\N	138	23513	UROK	\N	\N
3457991	10558	1998-01-31	PRIJEM	\N	91	22489	UROK	\N	\N
3457992	10558	1998-02-28	PRIJEM	\N	176	45665	UROK	\N	\N
3457993	10558	1998-03-31	PRIJEM	\N	371	71017	UROK	\N	\N
3457994	10558	1998-04-30	PRIJEM	\N	332	69458	UROK	\N	\N
3457995	10558	1998-05-31	PRIJEM	\N	196	43076	UROK	\N	\N
3457996	10558	1998-06-30	PRIJEM	\N	261	40384	UROK	\N	\N
3457997	10558	1998-07-31	PRIJEM	\N	178	79907	UROK	\N	\N
3457998	10558	1998-08-31	PRIJEM	\N	341	69795	UROK	\N	\N
3457999	10558	1998-09-30	PRIJEM	\N	291	95951	UROK	\N	\N
3458000	10558	1998-10-31	PRIJEM	\N	384	84792	UROK	\N	\N
3458001	10558	1998-11-30	PRIJEM	\N	323	73458	UROK	\N	\N
3458002	10558	1998-12-31	PRIJEM	\N	290	77173	UROK	\N	\N
3458003	10562	1996-08-31	PRIJEM	\N	26	38392	UROK	\N	\N
3458004	10562	1996-09-30	PRIJEM	\N	172	51675	UROK	\N	\N
3458005	10562	1996-10-31	PRIJEM	\N	222	80046	UROK	\N	\N
3458006	10562	1996-11-30	PRIJEM	\N	254	39932	UROK	\N	\N
3458007	10562	1996-12-31	PRIJEM	\N	258	56038	UROK	\N	\N
3458008	10562	1997-01-31	PRIJEM	\N	117	18056	UROK	\N	\N
3458009	10562	1997-01-31	VYDAJ	VYBER	1	18140	SANKC. UROK	\N	\N
3458010	10562	1997-02-28	PRIJEM	\N	200	102173	UROK	\N	\N
3458011	10562	1997-03-31	PRIJEM	\N	281	35716	UROK	\N	\N
3458012	10562	1997-04-30	PRIJEM	\N	189	76723	UROK	\N	\N
3458013	10562	1997-05-31	PRIJEM	\N	292	78004	UROK	\N	\N
3458014	10562	1997-06-30	PRIJEM	\N	268	66634	UROK	\N	\N
3458015	10562	1997-07-31	PRIJEM	\N	301	68221	UROK	\N	\N
3458016	10562	1997-08-31	PRIJEM	\N	293	70274	UROK	\N	\N
3458017	10562	1997-09-30	PRIJEM	\N	227	88697	UROK	\N	\N
3458018	10562	1997-10-31	PRIJEM	\N	325	85882	UROK	\N	\N
3458019	10562	1997-11-30	PRIJEM	\N	319	66906	UROK	\N	\N
3458020	10562	1997-12-31	PRIJEM	\N	293	89624	UROK	\N	\N
3458021	10562	1998-01-31	PRIJEM	\N	365	89792	UROK	\N	\N
3458022	10562	1998-02-28	PRIJEM	\N	365	92040	UROK	\N	\N
3458023	10562	1998-03-31	PRIJEM	\N	279	85688	UROK	\N	\N
3458024	10562	1998-04-30	PRIJEM	\N	237	30498	UROK	\N	\N
3458025	10562	1998-05-31	PRIJEM	\N	171	54322	UROK	\N	\N
3458026	10562	1998-06-30	PRIJEM	\N	237	45618	UROK	\N	\N
3458027	10562	1998-07-31	PRIJEM	\N	217	68461	UROK	\N	\N
3458028	10562	1998-08-31	PRIJEM	\N	345	79562	UROK	\N	\N
3458029	10562	1998-09-30	PRIJEM	\N	257	47247	UROK	\N	\N
3458030	10562	1998-10-31	PRIJEM	\N	275	98384	UROK	\N	\N
3458031	10562	1998-11-30	PRIJEM	\N	314	65159	UROK	\N	\N
3458032	10562	1998-12-31	PRIJEM	\N	177	26539	UROK	\N	\N
3458033	10607	1996-11-30	PRIJEM	\N	118	53342	UROK	\N	\N
3458034	10607	1996-12-31	PRIJEM	\N	243	76498	UROK	\N	\N
3458035	10607	1997-01-31	PRIJEM	\N	249	52047	UROK	\N	\N
3458036	10607	1997-02-28	PRIJEM	\N	232	80335	UROK	\N	\N
3458037	10607	1997-03-31	PRIJEM	\N	139	23074	UROK	\N	\N
3458038	10607	1997-04-30	PRIJEM	\N	86	28884	UROK	\N	\N
3458039	10607	1997-05-31	PRIJEM	\N	65	12199	UROK	\N	\N
3458040	10607	1997-06-30	PRIJEM	\N	39	11594	UROK	\N	\N
3458041	10607	1997-07-31	PRIJEM	\N	145	69871	UROK	\N	\N
3458042	10607	1997-08-31	PRIJEM	\N	127	29135	UROK	\N	\N
3458043	10607	1997-09-30	PRIJEM	\N	99	61294	UROK	\N	\N
3458044	10607	1997-10-31	PRIJEM	\N	125	12304	UROK	\N	\N
3458045	10607	1997-11-30	PRIJEM	\N	46	10705	UROK	\N	\N
3458046	10607	1997-12-31	PRIJEM	\N	60	20107	UROK	\N	\N
3458047	10607	1998-01-31	PRIJEM	\N	175	39880	UROK	\N	\N
3458048	10607	1998-02-28	PRIJEM	\N	143	50192	UROK	\N	\N
3458049	10607	1998-03-31	PRIJEM	\N	138	53878	UROK	\N	\N
3458050	10607	1998-04-30	PRIJEM	\N	257	79977	UROK	\N	\N
3458051	10607	1998-05-31	PRIJEM	\N	178	80377	UROK	\N	\N
3458052	10607	1998-06-30	PRIJEM	\N	349	81012	UROK	\N	\N
3458053	10607	1998-07-31	PRIJEM	\N	237	51747	UROK	\N	\N
3458054	10607	1998-08-31	PRIJEM	\N	340	63197	UROK	\N	\N
3458055	10607	1998-09-30	PRIJEM	\N	256	55335	UROK	\N	\N
3458056	10607	1998-10-31	PRIJEM	\N	213	43803	UROK	\N	\N
3458057	10607	1998-11-30	PRIJEM	\N	235	42785	UROK	\N	\N
3458058	10607	1998-12-31	PRIJEM	\N	261	82213	UROK	\N	\N
3458059	10656	1993-05-31	PRIJEM	\N	61	18979	UROK	\N	\N
3458060	10656	1993-06-30	PRIJEM	\N	184	52312	UROK	\N	\N
3458061	10656	1993-07-31	PRIJEM	\N	239	59593	UROK	\N	\N
3458062	10656	1993-08-31	PRIJEM	\N	258	63311	UROK	\N	\N
3458063	10656	1993-09-30	PRIJEM	\N	262	63827	UROK	\N	\N
3458064	10656	1993-10-31	PRIJEM	\N	258	62680	UROK	\N	\N
3458065	10656	1993-11-30	PRIJEM	\N	256	59061	UROK	\N	\N
3458066	10656	1993-12-31	PRIJEM	\N	273	68536	UROK	\N	\N
3458067	10656	1994-01-31	PRIJEM	\N	225	42846	UROK	\N	\N
3458068	10656	1994-02-28	PRIJEM	\N	174	61675	UROK	\N	\N
3458069	10656	1994-03-31	PRIJEM	\N	220	58175	UROK	\N	\N
3458070	10656	1994-04-30	PRIJEM	\N	178	62898	UROK	\N	\N
3458071	10656	1994-05-31	PRIJEM	\N	250	50194	UROK	\N	\N
3458072	10656	1994-06-30	PRIJEM	\N	261	54616	UROK	\N	\N
3458073	10656	1994-07-31	PRIJEM	\N	216	48878	UROK	\N	\N
3458074	10656	1994-08-31	PRIJEM	\N	199	49581	UROK	\N	\N
3458075	10656	1994-09-30	PRIJEM	\N	196	47021	UROK	\N	\N
3458076	10656	1994-10-31	PRIJEM	\N	186	47008	UROK	\N	\N
3458077	10656	1994-11-30	PRIJEM	\N	186	49219	UROK	\N	\N
3458078	10656	1994-12-31	PRIJEM	\N	219	52465	UROK	\N	\N
3458079	10656	1995-01-31	PRIJEM	\N	224	37254	UROK	\N	\N
3458080	10656	1995-02-28	PRIJEM	\N	145	41967	UROK	\N	\N
3458081	10656	1995-03-31	PRIJEM	\N	161	42105	UROK	\N	\N
3458082	10656	1995-04-30	PRIJEM	\N	193	39903	UROK	\N	\N
3458083	10656	1995-05-31	PRIJEM	\N	169	41675	UROK	\N	\N
3458084	10656	1995-06-30	PRIJEM	\N	163	46270	UROK	\N	\N
3458085	10656	1995-07-31	PRIJEM	\N	172	42023	UROK	\N	\N
3458086	10656	1995-08-31	PRIJEM	\N	158	41226	UROK	\N	\N
3458087	10656	1995-09-30	PRIJEM	\N	153	39264	UROK	\N	\N
3458088	10656	1995-10-31	PRIJEM	\N	143	36491	UROK	\N	\N
3458089	10656	1995-11-30	PRIJEM	\N	150	34826	UROK	\N	\N
3458090	10656	1995-12-31	PRIJEM	\N	161	38118	UROK	\N	\N
3458091	10656	1996-01-31	PRIJEM	\N	144	30203	UROK	\N	\N
3458092	10656	1996-02-29	PRIJEM	\N	115	34954	UROK	\N	\N
3458093	10656	1996-03-31	PRIJEM	\N	131	37578	UROK	\N	\N
3458094	10656	1996-04-30	PRIJEM	\N	157	33311	UROK	\N	\N
3458095	10656	1996-05-31	PRIJEM	\N	118	33232	UROK	\N	\N
3458096	10656	1996-06-30	PRIJEM	\N	160	36885	UROK	\N	\N
3458097	10656	1996-07-31	PRIJEM	\N	126	23030	UROK	\N	\N
3458098	10656	1996-08-31	PRIJEM	\N	77	24552	UROK	\N	\N
3458099	10656	1996-09-30	PRIJEM	\N	79	24329	UROK	\N	\N
3458100	10656	1996-10-31	PRIJEM	\N	71	21146	UROK	\N	\N
3458101	10656	1996-11-30	PRIJEM	\N	62	19948	UROK	\N	\N
3458102	10656	1996-12-31	PRIJEM	\N	58	15960	UROK	\N	\N
3458103	10656	1997-01-31	PRIJEM	\N	44	9954	UROK	\N	\N
3458104	10656	1997-02-28	PRIJEM	\N	18	8797	UROK	\N	\N
3458105	10656	1997-03-31	PRIJEM	\N	11	8372	UROK	\N	\N
3458106	10656	1997-04-30	PRIJEM	\N	11	8839	UROK	\N	\N
3458107	10656	1997-05-31	PRIJEM	\N	20	7035	UROK	\N	\N
3458108	10656	1997-06-30	PRIJEM	\N	16	11841	UROK	\N	\N
3458109	10656	1997-07-31	PRIJEM	\N	25	8692	UROK	\N	\N
3458110	10656	1997-08-31	PRIJEM	\N	4	6166	UROK	\N	\N
3458111	10656	1997-08-31	VYDAJ	VYBER	1	6165	SANKC. UROK	\N	\N
3458112	10656	1997-09-30	VYDAJ	VYBER	20	3285	SANKC. UROK	\N	\N
3458113	10656	1997-10-31	VYDAJ	VYBER	17	5329	SANKC. UROK	\N	\N
3458114	10656	1997-11-30	VYDAJ	VYBER	4	6278	SANKC. UROK	\N	\N
3458115	10656	1997-12-31	PRIJEM	\N	11	10088	UROK	\N	\N
3458116	10656	1997-12-31	VYDAJ	VYBER	0	10088	SANKC. UROK	\N	\N
3458117	10656	1998-01-31	PRIJEM	\N	6	4819	UROK	\N	\N
3458118	10656	1998-01-31	VYDAJ	VYBER	13	4808	SANKC. UROK	\N	\N
3458119	10656	1998-02-28	PRIJEM	\N	53	9	UROK	\N	\N
3458120	10656	1998-02-28	VYDAJ	VYBER	4	4	SANKC. UROK	\N	\N
3458121	10656	1998-03-31	PRIJEM	\N	20	1437	UROK	\N	\N
3458122	10656	1998-03-31	VYDAJ	VYBER	38	1364	SANKC. UROK	\N	\N
3458123	10656	1998-04-30	VYDAJ	VYBER	53	1333	SANKC. UROK	\N	\N
3458124	10656	1998-05-31	VYDAJ	VYBER	72	-1079	SANKC. UROK	\N	\N
3458125	10656	1998-06-30	VYDAJ	VYBER	55	2001	SANKC. UROK	\N	\N
3458126	10656	1998-07-31	PRIJEM	\N	45	-4829	UROK	\N	\N
3458127	10656	1998-07-31	VYDAJ	VYBER	11	-4840	SANKC. UROK	\N	\N
3458128	10656	1998-08-31	PRIJEM	\N	13	2947	UROK	\N	\N
3458129	10656	1998-08-31	VYDAJ	VYBER	31	2886	SANKC. UROK	\N	\N
3458130	10656	1998-09-30	VYDAJ	VYBER	36	3485	SANKC. UROK	\N	\N
3458131	10656	1998-10-31	VYDAJ	VYBER	16	5906	SANKC. UROK	\N	\N
3458132	10656	1998-11-30	PRIJEM	\N	4	8173	UROK	\N	\N
3458133	10656	1998-11-30	VYDAJ	VYBER	3	8153	SANKC. UROK	\N	\N
3458134	10656	1998-12-31	PRIJEM	\N	41	19484	UROK	\N	\N
3458135	10670	1993-12-31	PRIJEM	\N	87	70017	UROK	\N	\N
3458136	10670	1994-01-31	PRIJEM	\N	232	46221	UROK	\N	\N
3458137	10670	1994-02-28	PRIJEM	\N	191	34611	UROK	\N	\N
3458138	10670	1994-03-31	PRIJEM	\N	159	44714	UROK	\N	\N
3458139	10670	1994-04-30	PRIJEM	\N	207	49548	UROK	\N	\N
3458140	10670	1994-05-31	PRIJEM	\N	200	50332	UROK	\N	\N
3458141	10670	1994-06-30	PRIJEM	\N	123	9240	UROK	\N	\N
3458142	10670	1994-07-31	PRIJEM	\N	91	23855	UROK	\N	\N
3458143	10670	1994-08-31	PRIJEM	\N	113	28509	UROK	\N	\N
3458144	10670	1994-09-30	PRIJEM	\N	111	25846	UROK	\N	\N
3458145	10670	1994-10-31	PRIJEM	\N	162	69979	UROK	\N	\N
3458146	10670	1994-11-30	PRIJEM	\N	313	74796	UROK	\N	\N
3458147	10670	1994-12-31	PRIJEM	\N	185	28683	UROK	\N	\N
3458148	10670	1995-01-31	PRIJEM	\N	153	45606	UROK	\N	\N
3458149	10670	1995-02-28	PRIJEM	\N	257	63926	UROK	\N	\N
3458150	10670	1995-03-31	PRIJEM	\N	278	84217	UROK	\N	\N
3458151	10670	1995-04-30	PRIJEM	\N	299	70402	UROK	\N	\N
3458152	10670	1995-05-31	PRIJEM	\N	379	81260	UROK	\N	\N
3458153	10670	1995-06-30	PRIJEM	\N	273	50419	UROK	\N	\N
3458154	10670	1995-07-31	PRIJEM	\N	231	74099	UROK	\N	\N
3458155	10670	1995-08-31	PRIJEM	\N	236	87472	UROK	\N	\N
3458156	10670	1995-09-30	PRIJEM	\N	417	118468	UROK	\N	\N
3458157	10670	1995-10-31	PRIJEM	\N	419	77308	UROK	\N	\N
3458158	10670	1995-11-30	PRIJEM	\N	259	77790	UROK	\N	\N
3458159	10670	1995-12-31	PRIJEM	\N	362	115514	UROK	\N	\N
3458160	10670	1996-01-31	PRIJEM	\N	271	62549	UROK	\N	\N
3458161	10670	1996-02-29	PRIJEM	\N	271	62888	UROK	\N	\N
3458162	10670	1996-03-31	PRIJEM	\N	172	43545	UROK	\N	\N
3458163	10670	1996-04-30	PRIJEM	\N	199	61165	UROK	\N	\N
3458164	10670	1996-05-31	PRIJEM	\N	251	77819	UROK	\N	\N
3458165	10670	1996-06-30	PRIJEM	\N	275	66052	UROK	\N	\N
3458166	10670	1996-07-31	PRIJEM	\N	209	50455	UROK	\N	\N
3458167	10670	1996-08-31	PRIJEM	\N	354	115274	UROK	\N	\N
3458168	10670	1996-09-30	PRIJEM	\N	266	73089	UROK	\N	\N
3458169	10670	1996-10-31	PRIJEM	\N	328	138251	UROK	\N	\N
3458170	10670	1996-11-30	PRIJEM	\N	492	130915	UROK	\N	\N
3458171	10670	1996-12-31	PRIJEM	\N	300	78476	UROK	\N	\N
3458172	10670	1997-01-31	PRIJEM	\N	233	99830	UROK	\N	\N
3458173	10670	1997-02-28	PRIJEM	\N	323	94639	UROK	\N	\N
3458174	10670	1997-03-31	PRIJEM	\N	247	59772	UROK	\N	\N
3458175	10670	1997-04-30	PRIJEM	\N	270	47250	UROK	\N	\N
3458176	10670	1997-05-31	PRIJEM	\N	273	110892	UROK	\N	\N
3458177	10670	1997-06-30	PRIJEM	\N	423	109106	UROK	\N	\N
3458178	10670	1997-07-31	PRIJEM	\N	320	61426	UROK	\N	\N
3458179	10670	1997-08-31	PRIJEM	\N	218	73888	UROK	\N	\N
3458180	10670	1997-09-30	PRIJEM	\N	250	65433	UROK	\N	\N
3458181	10670	1997-10-31	PRIJEM	\N	171	106372	UROK	\N	\N
3458182	10670	1997-11-30	PRIJEM	\N	394	80187	UROK	\N	\N
3458183	10670	1997-12-31	PRIJEM	\N	232	64637	UROK	\N	\N
3458184	10670	1998-01-31	PRIJEM	\N	217	82742	UROK	\N	\N
3458185	10670	1998-02-28	PRIJEM	\N	325	95746	UROK	\N	\N
3458186	10670	1998-03-31	PRIJEM	\N	289	77545	UROK	\N	\N
3458187	10670	1998-04-30	PRIJEM	\N	259	73502	UROK	\N	\N
3458188	10670	1998-05-31	PRIJEM	\N	243	71369	UROK	\N	\N
3458189	10670	1998-06-30	PRIJEM	\N	271	83375	UROK	\N	\N
3458190	10670	1998-07-31	PRIJEM	\N	239	71107	UROK	\N	\N
3458191	10670	1998-08-31	PRIJEM	\N	254	81221	UROK	\N	\N
3458192	10670	1998-09-30	PRIJEM	\N	271	80449	UROK	\N	\N
3458193	10670	1998-10-31	PRIJEM	\N	266	111242	UROK	\N	\N
3458194	10670	1998-11-30	PRIJEM	\N	406	111342	UROK	\N	\N
3458195	10670	1998-12-31	PRIJEM	\N	381	109956	UROK	\N	\N
3458196	10694	1996-06-30	PRIJEM	\N	66	88131	UROK	\N	\N
3458197	10694	1996-07-31	PRIJEM	\N	367	55552	UROK	\N	\N
3458198	10694	1996-08-31	PRIJEM	\N	367	39319	UROK	\N	\N
3458199	10694	1996-09-30	PRIJEM	\N	318	43914	UROK	\N	\N
3458200	10694	1996-10-31	PRIJEM	\N	122	17087	UROK	\N	\N
3458201	10694	1996-11-30	PRIJEM	\N	105	30134	UROK	\N	\N
3458202	10694	1996-12-31	PRIJEM	\N	109	23187	UROK	\N	\N
3458203	10694	1997-01-31	PRIJEM	\N	127	27895	UROK	\N	\N
3458204	10694	1997-02-28	PRIJEM	\N	108	17881	UROK	\N	\N
3458205	10694	1997-03-31	PRIJEM	\N	182	66433	UROK	\N	\N
3458206	10694	1997-04-30	PRIJEM	\N	182	28166	UROK	\N	\N
3458207	10694	1997-05-31	PRIJEM	\N	98	20132	UROK	\N	\N
3458208	10694	1997-06-30	PRIJEM	\N	52	1107	UROK	\N	\N
3458209	10694	1997-06-30	VYDAJ	VYBER	0	1107	SANKC. UROK	\N	\N
3458210	10694	1997-07-31	PRIJEM	\N	4	10361	UROK	\N	\N
3458211	10694	1997-07-31	VYDAJ	VYBER	3	10359	SANKC. UROK	\N	\N
3458212	10694	1997-08-31	PRIJEM	\N	50	14579	UROK	\N	\N
3458213	10694	1997-09-30	PRIJEM	\N	139	31561	UROK	\N	\N
3458214	10694	1997-10-31	PRIJEM	\N	96	22598	UROK	\N	\N
3458215	10694	1997-11-30	PRIJEM	\N	66	13863	UROK	\N	\N
3458216	10694	1997-12-31	PRIJEM	\N	11	2555	UROK	\N	\N
3458217	10694	1998-02-28	PRIJEM	\N	4	2508	UROK	\N	\N
3458218	10694	1998-02-28	PRIJEM	\N	3	2498	UROK	\N	\N
3458219	10694	1998-04-30	PRIJEM	\N	3	2455	UROK	\N	\N
3458220	10694	1998-04-30	PRIJEM	\N	3	2451	UROK	\N	\N
3458221	10694	1998-05-31	PRIJEM	\N	83	30180	UROK	\N	\N
3458222	10694	1998-06-30	PRIJEM	\N	79	55516	UROK	\N	\N
3458223	10694	1998-07-31	PRIJEM	\N	86	19672	UROK	\N	\N
3458224	10694	1998-08-31	PRIJEM	\N	44	7601	UROK	\N	\N
3458225	10694	1998-09-30	PRIJEM	\N	22	6693	UROK	\N	\N
3458226	10694	1998-10-31	PRIJEM	\N	18	5600	UROK	\N	\N
3458227	10694	1998-11-30	PRIJEM	\N	14	4397	UROK	\N	\N
3458228	10694	1998-12-31	PRIJEM	\N	104	47215	UROK	\N	\N
3458273	10710	1996-02-29	PRIJEM	\N	17	39644	UROK	\N	\N
3458274	10710	1996-03-31	PRIJEM	\N	165	32821	UROK	\N	\N
3458275	10710	1996-04-30	PRIJEM	\N	165	30986	UROK	\N	\N
3458276	10710	1996-05-31	PRIJEM	\N	165	28451	UROK	\N	\N
3458277	10710	1996-06-30	PRIJEM	\N	172	49585	UROK	\N	\N
3458278	10710	1996-07-31	PRIJEM	\N	204	46790	UROK	\N	\N
3458279	10710	1996-08-31	PRIJEM	\N	229	95372	UROK	\N	\N
3458280	10710	1996-09-30	PRIJEM	\N	360	56478	UROK	\N	\N
3458281	10710	1996-10-31	PRIJEM	\N	236	58135	UROK	\N	\N
3458282	10710	1996-11-30	PRIJEM	\N	240	45415	UROK	\N	\N
3458283	10710	1996-12-31	PRIJEM	\N	200	57948	UROK	\N	\N
3458284	10710	1997-01-31	PRIJEM	\N	110	-304	UROK	\N	\N
3458285	10710	1997-01-31	VYDAJ	VYBER	1	-233	SANKC. UROK	\N	\N
3458286	10710	1997-02-28	PRIJEM	\N	1	2823	UROK	\N	\N
3458287	10710	1997-02-28	VYDAJ	VYBER	6	2797	SANKC. UROK	\N	\N
3458288	10710	1997-03-31	PRIJEM	\N	12	20410	UROK	\N	\N
3458289	10710	1997-04-30	PRIJEM	\N	84	28479	UROK	\N	\N
3458290	10710	1997-05-31	PRIJEM	\N	57	11486	UROK	\N	\N
3458291	10710	1997-06-30	PRIJEM	\N	55	17926	UROK	\N	\N
3458292	10710	1997-07-31	PRIJEM	\N	112	60262	UROK	\N	\N
3458293	10710	1997-08-31	PRIJEM	\N	259	67030	UROK	\N	\N
3458294	10710	1997-09-30	PRIJEM	\N	270	42030	UROK	\N	\N
3458295	10710	1997-10-31	PRIJEM	\N	154	32969	UROK	\N	\N
3458296	10710	1997-11-30	PRIJEM	\N	114	22154	UROK	\N	\N
3458297	10710	1997-12-31	PRIJEM	\N	70	11732	UROK	\N	\N
3458298	10710	1998-01-31	PRIJEM	\N	7	1000	UROK	\N	\N
3458299	10710	1998-01-31	VYDAJ	VYBER	10	991	SANKC. UROK	\N	\N
3458300	10710	1998-02-28	PRIJEM	\N	2	14369	UROK	\N	\N
3458301	10710	1998-02-28	VYDAJ	VYBER	6	14365	SANKC. UROK	\N	\N
3458302	10710	1998-03-31	PRIJEM	\N	115	73446	UROK	\N	\N
3458303	10710	1998-04-30	PRIJEM	\N	255	47550	UROK	\N	\N
3458304	10710	1998-05-31	PRIJEM	\N	153	29620	UROK	\N	\N
3458305	10710	1998-06-30	PRIJEM	\N	103	23875	UROK	\N	\N
3458306	10710	1998-07-31	PRIJEM	\N	177	41001	UROK	\N	\N
3458307	10710	1998-08-31	PRIJEM	\N	154	37470	UROK	\N	\N
3458308	10710	1998-09-30	PRIJEM	\N	133	32032	UROK	\N	\N
3458309	10710	1998-10-31	PRIJEM	\N	108	25843	UROK	\N	\N
3458310	10710	1998-11-30	PRIJEM	\N	111	47360	UROK	\N	\N
3458311	10710	1998-12-31	PRIJEM	\N	190	60564	UROK	\N	\N
3458332	10788	1993-12-31	PRIJEM	\N	29	21518	UROK	\N	\N
3458333	10788	1994-01-31	PRIJEM	\N	89	23307	UROK	\N	\N
3458334	10788	1994-02-28	PRIJEM	\N	89	26197	UROK	\N	\N
3458335	10788	1994-03-31	PRIJEM	\N	105	45180	UROK	\N	\N
3458336	10788	1994-04-30	PRIJEM	\N	188	33068	UROK	\N	\N
3458337	10788	1994-05-31	PRIJEM	\N	188	28255	UROK	\N	\N
3458338	10788	1994-06-30	PRIJEM	\N	165	30481	UROK	\N	\N
3458339	10788	1994-07-31	PRIJEM	\N	137	41720	UROK	\N	\N
3458340	10788	1994-08-31	PRIJEM	\N	193	49907	UROK	\N	\N
3458341	10788	1994-09-30	PRIJEM	\N	148	27033	UROK	\N	\N
3458342	10788	1994-10-31	PRIJEM	\N	96	16385	UROK	\N	\N
3458343	10788	1994-11-30	PRIJEM	\N	68	11304	UROK	\N	\N
3458344	10788	1994-12-31	PRIJEM	\N	55	16437	UROK	\N	\N
3458345	10788	1995-01-31	PRIJEM	\N	57	7750	UROK	\N	\N
3458346	10788	1995-02-28	PRIJEM	\N	72	24562	UROK	\N	\N
3458347	10788	1995-03-31	PRIJEM	\N	126	54658	UROK	\N	\N
3458348	10788	1995-04-30	PRIJEM	\N	178	35471	UROK	\N	\N
3458349	10788	1995-05-31	PRIJEM	\N	108	22235	UROK	\N	\N
3458350	10788	1995-06-30	PRIJEM	\N	80	20325	UROK	\N	\N
3458351	10788	1995-07-31	PRIJEM	\N	70	17720	UROK	\N	\N
3458352	10788	1995-08-31	PRIJEM	\N	71	19291	UROK	\N	\N
3458353	10788	1995-09-30	PRIJEM	\N	123	43610	UROK	\N	\N
3458354	10788	1995-10-31	PRIJEM	\N	202	46948	UROK	\N	\N
3458355	10788	1995-11-30	PRIJEM	\N	134	28406	UROK	\N	\N
3458356	10788	1995-12-31	PRIJEM	\N	130	36712	UROK	\N	\N
3458357	10788	1996-01-31	PRIJEM	\N	95	19069	UROK	\N	\N
3458358	10788	1996-02-29	PRIJEM	\N	52	7725	UROK	\N	\N
3458359	10788	1996-04-30	PRIJEM	\N	25	790	UROK	\N	\N
3458360	10788	1996-04-30	PRIJEM	\N	24	814	UROK	\N	\N
3458361	10788	1996-04-30	VYDAJ	VYBER	0	784	SANKC. UROK	\N	\N
3458362	10788	1996-06-30	VYDAJ	VYBER	11	743	SANKC. UROK	\N	\N
3458363	10788	1996-06-30	VYDAJ	VYBER	10	703	SANKC. UROK	\N	\N
3458364	10788	1996-07-31	VYDAJ	VYBER	10	662	SANKC. UROK	\N	\N
3458365	10788	1996-09-30	VYDAJ	VYBER	11	621	SANKC. UROK	\N	\N
3458366	10788	1996-09-30	VYDAJ	VYBER	10	556	SANKC. UROK	\N	\N
3458367	10788	1996-11-30	VYDAJ	VYBER	11	44524	SANKC. UROK	\N	\N
3458368	10788	1996-11-30	PRIJEM	\N	6	44561	UROK	\N	\N
3458369	10788	1996-11-30	VYDAJ	VYBER	10	44514	SANKC. UROK	\N	\N
3458370	10788	1996-12-31	PRIJEM	\N	115	23499	UROK	\N	\N
3458371	10788	1997-01-31	PRIJEM	\N	85	23560	UROK	\N	\N
3458372	10788	1997-02-28	PRIJEM	\N	59	12638	UROK	\N	\N
3458373	10788	1997-03-31	PRIJEM	\N	42	6092	UROK	\N	\N
3458374	10788	1997-04-30	PRIJEM	\N	81	25193	UROK	\N	\N
3458375	10788	1997-05-31	PRIJEM	\N	192	61667	UROK	\N	\N
3458376	10788	1997-06-30	PRIJEM	\N	254	75863	UROK	\N	\N
3458377	10788	1997-07-31	PRIJEM	\N	156	35582	UROK	\N	\N
3458378	10788	1997-08-31	PRIJEM	\N	72	16824	UROK	\N	\N
3458379	10788	1997-09-30	PRIJEM	\N	61	29953	UROK	\N	\N
3458380	10788	1997-10-31	PRIJEM	\N	45	10109	UROK	\N	\N
3458381	10788	1997-11-30	PRIJEM	\N	123	79265	UROK	\N	\N
3458382	10788	1997-12-31	PRIJEM	\N	111	24198	UROK	\N	\N
3458383	10788	1998-01-31	PRIJEM	\N	141	32969	UROK	\N	\N
3458384	10788	1998-02-28	PRIJEM	\N	246	72775	UROK	\N	\N
3458385	10788	1998-03-31	PRIJEM	\N	186	79942	UROK	\N	\N
3458386	10788	1998-04-30	PRIJEM	\N	294	80293	UROK	\N	\N
3458387	10788	1998-05-31	PRIJEM	\N	141	20433	UROK	\N	\N
3458388	10788	1998-06-30	PRIJEM	\N	154	40140	UROK	\N	\N
3458389	10788	1998-07-31	PRIJEM	\N	126	23584	UROK	\N	\N
3458390	10788	1998-08-31	PRIJEM	\N	78	20854	UROK	\N	\N
3458391	10788	1998-09-30	PRIJEM	\N	30	9454	UROK	\N	\N
3458392	10788	1998-10-31	PRIJEM	\N	106	14685	UROK	\N	\N
3458393	10788	1998-11-30	PRIJEM	\N	221	29251	UROK	\N	\N
3458394	10788	1998-12-31	PRIJEM	\N	109	59878	UROK	\N	\N
3458395	10857	1996-10-31	PRIJEM	\N	66	60943	UROK	\N	\N
3458396	10857	1996-11-30	PRIJEM	\N	253	40796	UROK	\N	\N
3458397	10857	1996-12-31	PRIJEM	\N	248	27944	UROK	\N	\N
3458398	10857	1997-02-28	PRIJEM	\N	97	45003	UROK	\N	\N
3458399	10857	1997-02-28	PRIJEM	\N	88	45176	UROK	\N	\N
3458400	10857	1997-03-31	PRIJEM	\N	88	29264	UROK	\N	\N
3458401	10857	1997-04-30	PRIJEM	\N	95	65961	UROK	\N	\N
3458402	10857	1997-05-31	PRIJEM	\N	162	38494	UROK	\N	\N
3458403	10857	1997-06-30	PRIJEM	\N	123	3462	UROK	\N	\N
3458404	10857	1997-07-31	PRIJEM	\N	12	3524	UROK	\N	\N
3458405	10857	1997-09-30	PRIJEM	\N	13	22524	UROK	\N	\N
3458406	10857	1997-09-30	PRIJEM	\N	96	22511	UROK	\N	\N
3458407	10857	1997-10-31	PRIJEM	\N	34	3952	UROK	\N	\N
3458408	10857	1997-11-30	PRIJEM	\N	38	10483	UROK	\N	\N
3458409	10857	1997-11-30	VYDAJ	VYBER	1	-2132	SANKC. UROK	\N	\N
3458410	10857	1997-12-31	PRIJEM	\N	87	12323	UROK	\N	\N
3458411	10857	1997-12-31	VYDAJ	VYBER	6	12302	SANKC. UROK	\N	\N
3458412	10857	1998-01-31	PRIJEM	\N	49	10389	UROK	\N	\N
3458413	10857	1998-02-28	PRIJEM	\N	159	12932	UROK	\N	\N
3458414	10857	1998-03-31	PRIJEM	\N	49	382	UROK	\N	\N
3458415	10857	1998-03-31	VYDAJ	VYBER	0	-13818	SANKC. UROK	\N	\N
3458416	10857	1998-04-30	PRIJEM	\N	16	5334	UROK	\N	\N
3458417	10857	1998-04-30	VYDAJ	VYBER	1	5334	SANKC. UROK	\N	\N
3458418	10857	1998-05-31	PRIJEM	\N	32	9423	UROK	\N	\N
3458419	10857	1998-06-30	PRIJEM	\N	15	-1947	UROK	\N	\N
3458420	10857	1998-06-30	VYDAJ	VYBER	17	-1981	SANKC. UROK	\N	\N
3458421	10857	1998-07-31	PRIJEM	\N	60	29422	UROK	\N	\N
3458422	10857	1998-07-31	VYDAJ	VYBER	16	29435	SANKC. UROK	\N	\N
3458423	10857	1998-08-31	PRIJEM	\N	105	13814	UROK	\N	\N
3458424	10857	1998-09-30	PRIJEM	\N	53	45070	UROK	\N	\N
3458425	10857	1998-09-30	VYDAJ	VYBER	17	45099	SANKC. UROK	\N	\N
3458426	10857	1998-10-31	PRIJEM	\N	236	64514	UROK	\N	\N
3458427	10857	1998-11-30	PRIJEM	\N	87	1095	UROK	\N	\N
3458500	10904	1993-12-31	PRIJEM	\N	13	15555	UROK	\N	\N
3458501	10904	1994-01-31	PRIJEM	\N	69	20328	UROK	\N	\N
3458502	10904	1994-02-28	PRIJEM	\N	89	26705	UROK	\N	\N
3458503	10904	1994-03-31	PRIJEM	\N	112	28340	UROK	\N	\N
3458504	10904	1994-04-30	PRIJEM	\N	119	28748	UROK	\N	\N
3458505	10904	1994-05-31	PRIJEM	\N	121	30231	UROK	\N	\N
3458506	10904	1994-06-30	PRIJEM	\N	72	10229	UROK	\N	\N
3458507	10904	1994-06-30	VYDAJ	VYBER	6	10202	SANKC. UROK	\N	\N
3458508	10904	1994-07-31	PRIJEM	\N	41	15670	UROK	\N	\N
3458509	10904	1994-08-31	PRIJEM	\N	70	21039	UROK	\N	\N
3458510	10904	1994-09-30	PRIJEM	\N	88	25948	UROK	\N	\N
3458511	10904	1994-10-31	PRIJEM	\N	105	25327	UROK	\N	\N
3458512	10904	1994-11-30	PRIJEM	\N	107	28110	UROK	\N	\N
3458513	10904	1994-12-31	PRIJEM	\N	114	27430	UROK	\N	\N
3458514	10904	1995-01-31	PRIJEM	\N	85	17068	UROK	\N	\N
3458515	10904	1995-02-28	PRIJEM	\N	76	22917	UROK	\N	\N
3458516	10904	1995-03-31	PRIJEM	\N	83	24963	UROK	\N	\N
3458517	10904	1995-04-30	PRIJEM	\N	98	20330	UROK	\N	\N
3458518	10904	1995-05-31	PRIJEM	\N	85	22384	UROK	\N	\N
3458519	10904	1995-06-30	PRIJEM	\N	90	13027	UROK	\N	\N
3458520	10904	1995-07-31	PRIJEM	\N	51	18151	UROK	\N	\N
3458521	10904	1995-08-31	PRIJEM	\N	73	19118	UROK	\N	\N
3458522	10904	1995-09-30	PRIJEM	\N	80	22212	UROK	\N	\N
3458523	10904	1995-10-31	PRIJEM	\N	78	20629	UROK	\N	\N
3458524	10904	1995-11-30	PRIJEM	\N	84	22386	UROK	\N	\N
3458525	10904	1995-12-31	PRIJEM	\N	94	23613	UROK	\N	\N
3458526	10904	1996-01-31	PRIJEM	\N	41	-853	UROK	\N	\N
3458527	10904	1996-01-31	VYDAJ	VYBER	4	-818	SANKC. UROK	\N	\N
3458528	10904	1996-02-29	PRIJEM	\N	17	9070	UROK	\N	\N
3458529	10904	1996-02-29	VYDAJ	VYBER	11	9076	SANKC. UROK	\N	\N
3458530	10904	1996-03-31	PRIJEM	\N	43	9281	UROK	\N	\N
3458531	10904	1996-04-30	PRIJEM	\N	45	14764	UROK	\N	\N
3458532	10904	1996-05-31	PRIJEM	\N	72	22110	UROK	\N	\N
3458533	10904	1996-06-30	PRIJEM	\N	92	25091	UROK	\N	\N
3458534	10904	1996-07-31	PRIJEM	\N	93	23643	UROK	\N	\N
3458535	10904	1996-08-31	PRIJEM	\N	81	19797	UROK	\N	\N
3458536	10904	1996-09-30	PRIJEM	\N	73	14864	UROK	\N	\N
3458537	10904	1996-10-31	PRIJEM	\N	67	19676	UROK	\N	\N
3458538	10904	1996-11-30	PRIJEM	\N	79	20257	UROK	\N	\N
3458539	10904	1996-12-31	PRIJEM	\N	84	23255	UROK	\N	\N
3458540	10904	1997-01-31	PRIJEM	\N	48	7265	UROK	\N	\N
3458541	10904	1997-02-28	PRIJEM	\N	52	18097	UROK	\N	\N
3458542	10904	1997-03-31	PRIJEM	\N	68	17199	UROK	\N	\N
3458543	10904	1997-04-30	PRIJEM	\N	64	23163	UROK	\N	\N
3458544	10904	1997-05-31	PRIJEM	\N	85	23021	UROK	\N	\N
3458545	10904	1997-06-30	PRIJEM	\N	87	21633	UROK	\N	\N
3458546	10904	1997-07-31	PRIJEM	\N	87	24393	UROK	\N	\N
3458547	10904	1997-08-31	PRIJEM	\N	100	27904	UROK	\N	\N
3458548	10904	1997-09-30	PRIJEM	\N	106	28658	UROK	\N	\N
3458549	10904	1997-10-31	PRIJEM	\N	116	31635	UROK	\N	\N
3458550	10904	1997-11-30	PRIJEM	\N	113	29821	UROK	\N	\N
3458551	10904	1997-12-31	PRIJEM	\N	107	27946	UROK	\N	\N
3458552	10904	1998-01-31	PRIJEM	\N	84	11104	UROK	\N	\N
3458553	10904	1998-02-28	PRIJEM	\N	44	15038	UROK	\N	\N
3458554	10904	1998-03-31	PRIJEM	\N	59	18671	UROK	\N	\N
3458555	10904	1998-04-30	PRIJEM	\N	73	21976	UROK	\N	\N
3458556	10904	1998-05-31	PRIJEM	\N	89	26097	UROK	\N	\N
3458557	10904	1998-06-30	PRIJEM	\N	73	22573	UROK	\N	\N
3458558	10904	1998-07-31	PRIJEM	\N	84	24611	UROK	\N	\N
3458559	10904	1998-08-31	PRIJEM	\N	74	18479	UROK	\N	\N
3458560	10904	1998-09-30	PRIJEM	\N	59	15629	UROK	\N	\N
3458561	10904	1998-10-31	PRIJEM	\N	52	17105	UROK	\N	\N
3458562	10904	1998-11-30	PRIJEM	\N	34	17313	UROK	\N	\N
3458563	10904	1998-12-31	PRIJEM	\N	53	15497	UROK	\N	\N
3458564	10906	1993-12-31	PRIJEM	\N	76	56281	UROK	\N	\N
3458565	10906	1994-01-31	PRIJEM	\N	234	41815	UROK	\N	\N
3458566	10906	1994-02-28	PRIJEM	\N	250	68637	UROK	\N	\N
3458567	10906	1994-03-31	PRIJEM	\N	272	60121	UROK	\N	\N
3458568	10906	1994-04-30	PRIJEM	\N	226	70576	UROK	\N	\N
3458569	10906	1994-05-31	PRIJEM	\N	232	28427	UROK	\N	\N
3458570	10906	1994-06-30	PRIJEM	\N	116	27077	UROK	\N	\N
3458571	10906	1994-07-31	PRIJEM	\N	175	53245	UROK	\N	\N
3458572	10906	1994-08-31	PRIJEM	\N	202	36485	UROK	\N	\N
3458573	10906	1994-09-30	PRIJEM	\N	154	45408	UROK	\N	\N
3458574	10906	1994-10-31	PRIJEM	\N	136	31829	UROK	\N	\N
3458575	10906	1994-11-30	PRIJEM	\N	90	13995	UROK	\N	\N
3458576	10906	1994-12-31	PRIJEM	\N	55	15135	UROK	\N	\N
3458577	10906	1995-01-31	PRIJEM	\N	58	28109	UROK	\N	\N
3458578	10906	1995-01-31	VYDAJ	VYBER	2	28156	SANKC. UROK	\N	\N
3458579	10906	1995-02-28	PRIJEM	\N	171	65336	UROK	\N	\N
3458580	10906	1995-03-31	PRIJEM	\N	335	72388	UROK	\N	\N
3458581	10906	1995-04-30	PRIJEM	\N	346	81400	UROK	\N	\N
3458582	10906	1995-05-31	PRIJEM	\N	326	97007	UROK	\N	\N
3458583	10906	1995-06-30	PRIJEM	\N	302	62032	UROK	\N	\N
3458584	10906	1995-07-31	PRIJEM	\N	152	26751	UROK	\N	\N
3458585	10906	1995-08-31	PRIJEM	\N	146	66819	UROK	\N	\N
3458586	10906	1995-09-30	PRIJEM	\N	95	6769	UROK	\N	\N
3458587	10906	1995-10-31	PRIJEM	\N	27	47623	UROK	\N	\N
3458588	10906	1995-11-30	PRIJEM	\N	234	61747	UROK	\N	\N
3458589	10906	1995-12-31	PRIJEM	\N	138	34857	UROK	\N	\N
3458590	10906	1996-01-31	PRIJEM	\N	85	35704	UROK	\N	\N
3458591	10906	1996-02-29	PRIJEM	\N	121	31549	UROK	\N	\N
3458592	10906	1996-03-31	PRIJEM	\N	115	26849	UROK	\N	\N
3458593	10906	1996-04-30	PRIJEM	\N	82	19946	UROK	\N	\N
3458594	10906	1996-05-31	PRIJEM	\N	59	15020	UROK	\N	\N
3458595	10906	1996-06-30	PRIJEM	\N	62	10924	UROK	\N	\N
3458596	10906	1996-07-31	PRIJEM	\N	30	17168	UROK	\N	\N
3458597	10906	1996-08-31	PRIJEM	\N	54	16063	UROK	\N	\N
3458598	10906	1996-09-30	PRIJEM	\N	49	12597	UROK	\N	\N
3458599	10906	1996-10-31	PRIJEM	\N	172	45143	UROK	\N	\N
3458600	10906	1996-11-30	PRIJEM	\N	167	27760	UROK	\N	\N
3458601	10906	1996-12-31	PRIJEM	\N	89	13715	UROK	\N	\N
3458602	10906	1997-01-31	PRIJEM	\N	174	54610	UROK	\N	\N
3458603	10906	1997-02-28	PRIJEM	\N	357	43599	UROK	\N	\N
3458604	10906	1997-03-31	PRIJEM	\N	158	37756	UROK	\N	\N
3458605	10906	1997-04-30	PRIJEM	\N	145	44569	UROK	\N	\N
3458606	10906	1997-05-31	PRIJEM	\N	308	59039	UROK	\N	\N
3458607	10906	1997-06-30	PRIJEM	\N	254	42938	UROK	\N	\N
3458608	10906	1997-07-31	PRIJEM	\N	292	55391	UROK	\N	\N
3458609	10906	1997-08-31	PRIJEM	\N	191	36067	UROK	\N	\N
3458610	10906	1997-09-30	PRIJEM	\N	284	49394	UROK	\N	\N
3458611	10906	1997-10-31	PRIJEM	\N	245	61761	UROK	\N	\N
3458612	10906	1997-11-30	PRIJEM	\N	230	63013	UROK	\N	\N
3458613	10906	1997-12-31	PRIJEM	\N	231	57783	UROK	\N	\N
3458614	10906	1998-01-31	PRIJEM	\N	121	14986	UROK	\N	\N
3458615	10906	1998-02-28	PRIJEM	\N	32	13735	UROK	\N	\N
3458616	10906	1998-03-31	PRIJEM	\N	88	88779	UROK	\N	\N
3458617	10906	1998-04-30	PRIJEM	\N	412	56628	UROK	\N	\N
3458618	10906	1998-05-31	PRIJEM	\N	237	95363	UROK	\N	\N
3458619	10906	1998-06-30	PRIJEM	\N	157	60960	UROK	\N	\N
3458620	10906	1998-07-31	PRIJEM	\N	190	41521	UROK	\N	\N
3458621	10906	1998-08-31	PRIJEM	\N	136	32242	UROK	\N	\N
3458622	10906	1998-09-30	PRIJEM	\N	125	46320	UROK	\N	\N
3458623	10906	1998-10-31	PRIJEM	\N	348	89542	UROK	\N	\N
3458624	10906	1998-11-30	PRIJEM	\N	279	57767	UROK	\N	\N
3458660	11021	1993-08-31	PRIJEM	\N	44	32753	UROK	\N	\N
3458661	11021	1993-09-30	PRIJEM	\N	338	103315	UROK	\N	\N
3458662	11021	1993-10-31	PRIJEM	\N	339	105175	UROK	\N	\N
3458663	11021	1993-11-30	PRIJEM	\N	243	48820	UROK	\N	\N
3458664	11021	1993-12-31	PRIJEM	\N	166	32697	UROK	\N	\N
3458665	11021	1994-01-31	PRIJEM	\N	72	65944	UROK	\N	\N
3458666	11021	1994-01-31	VYDAJ	VYBER	3	65924	SANKC. UROK	\N	\N
3458667	11021	1994-02-28	PRIJEM	\N	236	71270	UROK	\N	\N
3458668	11021	1994-03-31	PRIJEM	\N	199	41064	UROK	\N	\N
3458669	11021	1994-04-30	PRIJEM	\N	268	56974	UROK	\N	\N
3458670	11021	1994-05-31	PRIJEM	\N	231	78817	UROK	\N	\N
3458671	11021	1994-06-30	PRIJEM	\N	177	30670	UROK	\N	\N
3458672	11021	1994-07-31	PRIJEM	\N	283	91965	UROK	\N	\N
3458673	11021	1994-08-31	PRIJEM	\N	197	38279	UROK	\N	\N
3458674	11021	1994-09-30	PRIJEM	\N	162	77817	UROK	\N	\N
3458675	11021	1994-10-31	PRIJEM	\N	223	88286	UROK	\N	\N
3458676	11021	1994-11-30	PRIJEM	\N	331	97656	UROK	\N	\N
3458677	11021	1994-12-31	PRIJEM	\N	291	53963	UROK	\N	\N
3458678	11021	1995-01-31	PRIJEM	\N	68	7506	UROK	\N	\N
3458679	11021	1995-02-28	PRIJEM	\N	29	10091	UROK	\N	\N
3458680	11021	1995-03-31	PRIJEM	\N	233	79578	UROK	\N	\N
3458681	11021	1995-04-30	PRIJEM	\N	288	75042	UROK	\N	\N
3458682	11021	1995-05-31	PRIJEM	\N	341	90731	UROK	\N	\N
3458683	11021	1995-06-30	PRIJEM	\N	355	87560	UROK	\N	\N
3458684	11021	1995-07-31	PRIJEM	\N	293	73467	UROK	\N	\N
3458685	11021	1995-08-31	PRIJEM	\N	291	71071	UROK	\N	\N
3458686	11021	1995-09-30	PRIJEM	\N	270	52951	UROK	\N	\N
3458687	11021	1995-10-31	PRIJEM	\N	193	43677	UROK	\N	\N
3458688	11021	1995-11-30	PRIJEM	\N	156	43166	UROK	\N	\N
3458689	11021	1995-12-31	PRIJEM	\N	78	30163	UROK	\N	\N
3458690	11021	1996-01-31	PRIJEM	\N	38	26687	UROK	\N	\N
3458691	11021	1996-02-29	PRIJEM	\N	73	45441	UROK	\N	\N
3458692	11021	1996-03-31	PRIJEM	\N	179	52595	UROK	\N	\N
3458693	11021	1996-04-30	PRIJEM	\N	221	56216	UROK	\N	\N
3458694	11021	1996-05-31	PRIJEM	\N	206	53217	UROK	\N	\N
3458695	11021	1996-06-30	PRIJEM	\N	140	35473	UROK	\N	\N
3458696	11021	1996-07-31	PRIJEM	\N	125	57625	UROK	\N	\N
3458697	11021	1996-08-31	PRIJEM	\N	281	80389	UROK	\N	\N
3458698	11021	1996-09-30	PRIJEM	\N	319	79965	UROK	\N	\N
3458699	11021	1996-10-31	PRIJEM	\N	288	94415	UROK	\N	\N
3458700	11021	1996-11-30	PRIJEM	\N	206	50061	UROK	\N	\N
3458701	11021	1996-12-31	PRIJEM	\N	227	68315	UROK	\N	\N
3458702	11021	1997-01-31	PRIJEM	\N	184	42244	UROK	\N	\N
3458703	11021	1997-02-28	PRIJEM	\N	117	41209	UROK	\N	\N
3458704	11021	1997-03-31	PRIJEM	\N	217	72831	UROK	\N	\N
3458705	11021	1997-04-30	PRIJEM	\N	252	61935	UROK	\N	\N
3458706	11021	1997-05-31	PRIJEM	\N	217	59037	UROK	\N	\N
3458707	11021	1997-06-30	PRIJEM	\N	149	49695	UROK	\N	\N
3458708	11021	1997-07-31	PRIJEM	\N	134	29714	UROK	\N	\N
3458709	11021	1997-08-31	PRIJEM	\N	95	35325	UROK	\N	\N
3458710	11021	1997-09-30	PRIJEM	\N	125	44635	UROK	\N	\N
3458711	11021	1997-10-31	PRIJEM	\N	204	96782	UROK	\N	\N
3458712	11021	1997-11-30	PRIJEM	\N	237	64005	UROK	\N	\N
3458713	11021	1997-12-31	PRIJEM	\N	217	51113	UROK	\N	\N
3458714	11021	1998-01-31	PRIJEM	\N	127	42341	UROK	\N	\N
3458715	11021	1998-02-28	PRIJEM	\N	180	67451	UROK	\N	\N
3458716	11021	1998-03-31	PRIJEM	\N	287	119208	UROK	\N	\N
3458717	11021	1998-04-30	PRIJEM	\N	343	98054	UROK	\N	\N
3458718	11021	1998-05-31	PRIJEM	\N	338	79692	UROK	\N	\N
3458719	11021	1998-06-30	PRIJEM	\N	297	141690	UROK	\N	\N
3458720	11021	1998-07-31	PRIJEM	\N	340	85452	UROK	\N	\N
3458721	11021	1998-08-31	PRIJEM	\N	312	57403	UROK	\N	\N
3458722	11021	1998-09-30	PRIJEM	\N	218	69816	UROK	\N	\N
3458723	11021	1998-10-31	PRIJEM	\N	295	90337	UROK	\N	\N
3458724	11021	1998-11-30	PRIJEM	\N	364	114849	UROK	\N	\N
3458725	11021	1998-12-31	PRIJEM	\N	356	108204	UROK	\N	\N
3458726	11053	1997-07-31	PRIJEM	\N	26	32464	UROK	\N	\N
3458727	11053	1997-08-31	PRIJEM	\N	247	72511	UROK	\N	\N
3458728	11053	1997-09-30	PRIJEM	\N	244	36434	UROK	\N	\N
3458729	11053	1997-10-31	PRIJEM	\N	95	10260	UROK	\N	\N
3458730	11053	1997-11-30	PRIJEM	\N	86	38672	UROK	\N	\N
3458731	11053	1997-12-31	PRIJEM	\N	125	6173	UROK	\N	\N
3458732	11053	1998-01-31	PRIJEM	\N	120	30543	UROK	\N	\N
3458733	11053	1998-02-28	PRIJEM	\N	121	27144	UROK	\N	\N
3458734	11053	1998-03-31	PRIJEM	\N	244	49991	UROK	\N	\N
3458735	11053	1998-04-30	PRIJEM	\N	359	82699	UROK	\N	\N
3458736	11053	1998-05-31	PRIJEM	\N	350	43254	UROK	\N	\N
3458737	11053	1998-06-30	PRIJEM	\N	229	60253	UROK	\N	\N
3458738	11053	1998-07-31	PRIJEM	\N	263	94611	UROK	\N	\N
3458739	11053	1998-08-31	PRIJEM	\N	320	47817	UROK	\N	\N
3458740	11053	1998-09-30	PRIJEM	\N	161	32477	UROK	\N	\N
3458741	11053	1998-10-31	PRIJEM	\N	203	68733	UROK	\N	\N
3458742	11053	1998-11-30	PRIJEM	\N	280	71498	UROK	\N	\N
3458743	11053	1998-12-31	PRIJEM	\N	275	48751	UROK	\N	\N
3458744	11123	1996-09-30	PRIJEM	\N	80	56873	UROK	\N	\N
3458745	11123	1996-10-31	PRIJEM	\N	236	39209	UROK	\N	\N
3458746	11123	1996-11-30	PRIJEM	\N	240	33049	UROK	\N	\N
3458747	11123	1996-12-31	PRIJEM	\N	349	96982	UROK	\N	\N
3458748	11123	1997-01-31	PRIJEM	\N	395	72480	UROK	\N	\N
3458749	11123	1997-02-28	PRIJEM	\N	297	57526	UROK	\N	\N
3458750	11123	1997-03-31	PRIJEM	\N	216	29634	UROK	\N	\N
3458751	11123	1997-04-30	PRIJEM	\N	129	16924	UROK	\N	\N
3458752	11123	1997-05-31	PRIJEM	\N	68	14207	UROK	\N	\N
3458753	11123	1997-06-30	PRIJEM	\N	76	16887	UROK	\N	\N
3458754	11123	1997-07-31	PRIJEM	\N	50	6158	UROK	\N	\N
3458755	11123	1997-08-31	PRIJEM	\N	23	9067	UROK	\N	\N
3458756	11123	1997-09-30	PRIJEM	\N	37	40103	UROK	\N	\N
3458757	11123	1997-10-31	PRIJEM	\N	128	54454	UROK	\N	\N
3458758	11123	1997-11-30	PRIJEM	\N	89	7395	UROK	\N	\N
3458759	11123	1997-12-31	PRIJEM	\N	89	39051	UROK	\N	\N
3458760	11123	1998-01-31	PRIJEM	\N	72	224	UROK	\N	\N
3458761	11123	1998-01-31	VYDAJ	VYBER	3	203	SANKC. UROK	\N	\N
3458762	11123	1998-02-28	PRIJEM	\N	35	27117	UROK	\N	\N
3458763	11123	1998-02-28	VYDAJ	VYBER	6	27123	SANKC. UROK	\N	\N
3458764	11123	1998-03-31	PRIJEM	\N	136	38100	UROK	\N	\N
3458765	11123	1998-04-30	PRIJEM	\N	100	12177	UROK	\N	\N
3458766	11123	1998-05-31	PRIJEM	\N	48	9309	UROK	\N	\N
3458767	11123	1998-06-30	PRIJEM	\N	117	12348	UROK	\N	\N
3458768	11123	1998-07-31	PRIJEM	\N	35	8389	UROK	\N	\N
3458769	11123	1998-08-31	PRIJEM	\N	17	3657	UROK	\N	\N
3458770	11123	1998-09-30	PRIJEM	\N	10	5769	UROK	\N	\N
3458771	11123	1998-10-31	PRIJEM	\N	18	4073	UROK	\N	\N
3458772	11123	1998-11-30	PRIJEM	\N	11	2969	UROK	\N	\N
3458834	11295	1993-02-28	PRIJEM	\N	31	23206	UROK	\N	\N
3458835	11295	1993-03-31	PRIJEM	\N	107	30997	UROK	\N	\N
3458836	11295	1993-04-30	PRIJEM	\N	139	38783	UROK	\N	\N
3458837	11295	1993-05-31	PRIJEM	\N	165	41743	UROK	\N	\N
3458838	11295	1993-06-30	PRIJEM	\N	180	26758	UROK	\N	\N
3458839	11295	1993-07-31	PRIJEM	\N	102	26049	UROK	\N	\N
3458840	11295	1993-08-31	PRIJEM	\N	124	30249	UROK	\N	\N
3458841	11295	1993-09-30	PRIJEM	\N	128	29494	UROK	\N	\N
3458842	11295	1993-10-31	PRIJEM	\N	133	30349	UROK	\N	\N
3458843	11295	1993-11-30	PRIJEM	\N	154	33335	UROK	\N	\N
3458844	11295	1993-12-31	PRIJEM	\N	184	35908	UROK	\N	\N
3458845	11295	1994-01-31	PRIJEM	\N	135	19641	UROK	\N	\N
3458846	11295	1994-02-28	PRIJEM	\N	106	27866	UROK	\N	\N
3458847	11295	1994-03-31	PRIJEM	\N	128	30955	UROK	\N	\N
3458848	11295	1994-04-30	PRIJEM	\N	144	34111	UROK	\N	\N
3458849	11295	1994-05-31	PRIJEM	\N	149	30171	UROK	\N	\N
3458850	11295	1994-06-30	PRIJEM	\N	118	24352	UROK	\N	\N
3458851	11295	1994-07-31	PRIJEM	\N	128	32640	UROK	\N	\N
3458852	11295	1994-08-31	PRIJEM	\N	139	35651	UROK	\N	\N
3458853	11295	1994-09-30	PRIJEM	\N	169	37321	UROK	\N	\N
3458854	11295	1994-10-31	PRIJEM	\N	158	37311	UROK	\N	\N
3458855	11295	1994-11-30	PRIJEM	\N	154	36909	UROK	\N	\N
3458856	11295	1994-12-31	PRIJEM	\N	149	38392	UROK	\N	\N
3458857	11295	1995-01-31	PRIJEM	\N	137	29161	UROK	\N	\N
3458858	11295	1995-02-28	PRIJEM	\N	126	32647	UROK	\N	\N
3458859	11295	1995-03-31	PRIJEM	\N	137	32013	UROK	\N	\N
3458860	11295	1995-04-30	PRIJEM	\N	139	34264	UROK	\N	\N
3458861	11295	1995-05-31	PRIJEM	\N	139	36435	UROK	\N	\N
3458862	11295	1995-06-30	PRIJEM	\N	103	8382	UROK	\N	\N
3458863	11295	1995-07-31	PRIJEM	\N	65	23141	UROK	\N	\N
3458864	11295	1995-07-31	VYDAJ	VYBER	2	23202	SANKC. UROK	\N	\N
3458865	11295	1995-08-31	PRIJEM	\N	106	27139	UROK	\N	\N
3458866	11295	1995-09-30	PRIJEM	\N	111	31552	UROK	\N	\N
3458867	11295	1995-10-31	PRIJEM	\N	139	35823	UROK	\N	\N
3458868	11295	1995-11-30	PRIJEM	\N	175	47580	UROK	\N	\N
3458869	11295	1995-12-31	PRIJEM	\N	224	61053	UROK	\N	\N
3458870	11295	1996-01-31	PRIJEM	\N	206	46878	UROK	\N	\N
3458871	11295	1996-02-29	PRIJEM	\N	211	58233	UROK	\N	\N
3458872	11295	1996-03-31	PRIJEM	\N	247	66358	UROK	\N	\N
3458873	11295	1996-04-30	PRIJEM	\N	241	63505	UROK	\N	\N
3458874	11295	1996-05-31	PRIJEM	\N	245	62342	UROK	\N	\N
3458875	11295	1996-06-30	PRIJEM	\N	159	27976	UROK	\N	\N
3458876	11295	1996-07-31	PRIJEM	\N	167	51176	UROK	\N	\N
3458877	11295	1996-08-31	PRIJEM	\N	225	57934	UROK	\N	\N
3458878	11295	1996-09-30	PRIJEM	\N	250	66992	UROK	\N	\N
3458879	11295	1996-10-31	PRIJEM	\N	255	70579	UROK	\N	\N
3458880	11295	1996-11-30	PRIJEM	\N	256	66758	UROK	\N	\N
3458881	11295	1996-12-31	PRIJEM	\N	257	72898	UROK	\N	\N
3458882	11295	1997-01-31	PRIJEM	\N	211	58088	UROK	\N	\N
3458883	11295	1997-02-28	PRIJEM	\N	228	66486	UROK	\N	\N
3458884	11295	1997-03-31	PRIJEM	\N	243	64342	UROK	\N	\N
3458885	11295	1997-04-30	PRIJEM	\N	260	72397	UROK	\N	\N
3458886	11295	1997-05-31	PRIJEM	\N	286	74615	UROK	\N	\N
3458887	11295	1997-06-30	PRIJEM	\N	306	65592	UROK	\N	\N
3458888	11295	1997-07-31	PRIJEM	\N	268	75806	UROK	\N	\N
3458889	11295	1997-08-31	PRIJEM	\N	298	79336	UROK	\N	\N
3458890	11295	1997-09-30	PRIJEM	\N	319	80176	UROK	\N	\N
3458891	11295	1997-10-31	PRIJEM	\N	312	81110	UROK	\N	\N
3458892	11295	1997-11-30	PRIJEM	\N	292	79669	UROK	\N	\N
3458893	11295	1997-12-31	PRIJEM	\N	320	86235	UROK	\N	\N
3458894	11295	1998-01-31	PRIJEM	\N	317	67664	UROK	\N	\N
3458895	11295	1998-02-28	PRIJEM	\N	275	77937	UROK	\N	\N
3458896	11295	1998-03-31	PRIJEM	\N	305	82574	UROK	\N	\N
3458897	11295	1998-04-30	PRIJEM	\N	319	85509	UROK	\N	\N
3458898	11295	1998-05-31	PRIJEM	\N	316	84982	UROK	\N	\N
3458899	11295	1998-06-30	PRIJEM	\N	306	85531	UROK	\N	\N
3458900	11295	1998-07-31	PRIJEM	\N	320	86183	UROK	\N	\N
3458901	11295	1998-08-31	PRIJEM	\N	341	90169	UROK	\N	\N
3458902	11295	1998-09-30	PRIJEM	\N	346	95065	UROK	\N	\N
3458903	11295	1998-10-31	PRIJEM	\N	352	90522	UROK	\N	\N
3458904	11295	1998-11-30	PRIJEM	\N	334	86468	UROK	\N	\N
3458905	11295	1998-12-31	PRIJEM	\N	350	103418	UROK	\N	\N
3458906	11320	1993-06-30	PRIJEM	\N	23	27861	UROK	\N	\N
3458907	11320	1993-07-31	PRIJEM	\N	123	35992	UROK	\N	\N
3458908	11320	1993-08-31	PRIJEM	\N	152	38723	UROK	\N	\N
3458909	11320	1993-09-30	PRIJEM	\N	161	39500	UROK	\N	\N
3458910	11320	1993-10-31	PRIJEM	\N	166	41933	UROK	\N	\N
3458911	11320	1993-11-30	PRIJEM	\N	172	38409	UROK	\N	\N
3458912	11320	1993-12-31	PRIJEM	\N	208	41847	UROK	\N	\N
3458913	11320	1994-01-31	PRIJEM	\N	162	34939	UROK	\N	\N
3458914	11320	1994-02-28	PRIJEM	\N	151	39527	UROK	\N	\N
3458915	11320	1994-03-31	PRIJEM	\N	165	41606	UROK	\N	\N
3458916	11320	1994-04-30	PRIJEM	\N	171	42541	UROK	\N	\N
3458917	11320	1994-05-31	PRIJEM	\N	171	40829	UROK	\N	\N
3458918	11320	1994-06-30	PRIJEM	\N	139	29686	UROK	\N	\N
3458919	11320	1994-07-31	PRIJEM	\N	130	36338	UROK	\N	\N
3458920	11320	1994-08-31	PRIJEM	\N	150	38403	UROK	\N	\N
3458921	11320	1994-09-30	PRIJEM	\N	154	38070	UROK	\N	\N
3458922	11320	1994-10-31	PRIJEM	\N	155	39255	UROK	\N	\N
3458923	11320	1994-11-30	PRIJEM	\N	164	42663	UROK	\N	\N
3458924	11320	1994-12-31	PRIJEM	\N	203	43370	UROK	\N	\N
3458925	11320	1995-01-31	PRIJEM	\N	165	30563	UROK	\N	\N
3458926	11320	1995-02-28	PRIJEM	\N	134	37686	UROK	\N	\N
3458927	11320	1995-03-31	PRIJEM	\N	169	37108	UROK	\N	\N
3458928	11320	1995-04-30	PRIJEM	\N	147	37961	UROK	\N	\N
3458929	11320	1995-05-31	PRIJEM	\N	153	40360	UROK	\N	\N
3458930	11320	1995-06-30	PRIJEM	\N	169	45433	UROK	\N	\N
3458931	11320	1995-07-31	PRIJEM	\N	165	39696	UROK	\N	\N
3458932	11320	1995-08-31	PRIJEM	\N	143	34384	UROK	\N	\N
3458933	11320	1995-09-30	PRIJEM	\N	138	37110	UROK	\N	\N
3458934	11320	1995-10-31	PRIJEM	\N	136	34623	UROK	\N	\N
3458935	11320	1995-11-30	PRIJEM	\N	131	34618	UROK	\N	\N
3458936	11320	1995-12-31	PRIJEM	\N	135	35314	UROK	\N	\N
3458937	11320	1996-01-31	PRIJEM	\N	120	24163	UROK	\N	\N
3458938	11320	1996-02-29	PRIJEM	\N	96	27664	UROK	\N	\N
3458939	11320	1996-03-31	PRIJEM	\N	100	27728	UROK	\N	\N
3458940	11320	1996-04-30	PRIJEM	\N	97	26457	UROK	\N	\N
3458941	11320	1996-05-31	PRIJEM	\N	99	28116	UROK	\N	\N
3458942	11320	1996-06-30	PRIJEM	\N	75	14915	UROK	\N	\N
3458943	11320	1996-07-31	PRIJEM	\N	58	18856	UROK	\N	\N
3458944	11320	1996-08-31	PRIJEM	\N	67	20387	UROK	\N	\N
3458945	11320	1996-09-30	PRIJEM	\N	68	20383	UROK	\N	\N
3458946	11320	1996-10-31	PRIJEM	\N	124	25979	UROK	\N	\N
3458947	11320	1996-11-30	PRIJEM	\N	122	35694	UROK	\N	\N
3458948	11320	1996-12-31	PRIJEM	\N	169	47404	UROK	\N	\N
3458949	11320	1997-01-31	PRIJEM	\N	136	34006	UROK	\N	\N
3458950	11320	1997-02-28	PRIJEM	\N	125	35321	UROK	\N	\N
3458951	11320	1997-03-31	PRIJEM	\N	110	30235	UROK	\N	\N
3458952	11320	1997-04-30	PRIJEM	\N	106	27675	UROK	\N	\N
3458953	11320	1997-05-31	PRIJEM	\N	93	28435	UROK	\N	\N
3458954	11320	1997-06-30	PRIJEM	\N	107	13402	UROK	\N	\N
3458955	11320	1997-07-31	PRIJEM	\N	79	27033	UROK	\N	\N
3458956	11320	1997-08-31	PRIJEM	\N	122	36921	UROK	\N	\N
3458957	11320	1997-09-30	PRIJEM	\N	126	35732	UROK	\N	\N
3458958	11320	1997-10-31	PRIJEM	\N	130	34189	UROK	\N	\N
3458959	11320	1997-11-30	PRIJEM	\N	129	37683	UROK	\N	\N
3458960	11320	1997-12-31	PRIJEM	\N	161	47604	UROK	\N	\N
3458961	11320	1998-01-31	PRIJEM	\N	88	17263	UROK	\N	\N
3458962	11320	1998-02-28	PRIJEM	\N	60	29247	UROK	\N	\N
3458963	11320	1998-03-31	PRIJEM	\N	109	34321	UROK	\N	\N
3458964	11320	1998-04-30	PRIJEM	\N	36	32330	UROK	\N	\N
3458965	11320	1998-05-31	PRIJEM	\N	90	15309	UROK	\N	\N
3458966	11320	1998-06-30	PRIJEM	\N	17	-411	UROK	\N	\N
3458967	11320	1998-06-30	VYDAJ	VYBER	5	-402	SANKC. UROK	\N	\N
3458968	11320	1998-07-31	VYDAJ	VYBER	67	4210	SANKC. UROK	\N	\N
3458969	11320	1998-08-31	PRIJEM	\N	3	11790	UROK	\N	\N
3458970	11320	1998-08-31	VYDAJ	VYBER	22	11771	SANKC. UROK	\N	\N
3458971	11320	1998-09-30	PRIJEM	\N	62	10139	UROK	\N	\N
3458972	11320	1998-10-31	PRIJEM	\N	18	6118	UROK	\N	\N
3458973	11320	1998-10-31	VYDAJ	VYBER	2	6117	SANKC. UROK	\N	\N
3458974	11320	1998-11-30	PRIJEM	\N	2	9396	UROK	\N	\N
3458975	11320	1998-11-30	VYDAJ	VYBER	8	9376	SANKC. UROK	\N	\N
3458976	11325	1996-11-30	PRIJEM	\N	68	28841	UROK	\N	\N
3458977	11325	1996-12-31	PRIJEM	\N	238	53617	UROK	\N	\N
3458978	11325	1997-01-31	PRIJEM	\N	219	46967	UROK	\N	\N
3458979	11325	1997-02-28	PRIJEM	\N	194	34160	UROK	\N	\N
3458980	11325	1997-03-31	PRIJEM	\N	191	29452	UROK	\N	\N
3458981	11325	1997-04-30	PRIJEM	\N	118	20041	UROK	\N	\N
3458982	11325	1997-05-31	PRIJEM	\N	223	71690	UROK	\N	\N
3458983	11325	1997-06-30	PRIJEM	\N	199	37364	UROK	\N	\N
3458984	11325	1997-07-31	PRIJEM	\N	133	30680	UROK	\N	\N
3458985	11325	1997-08-31	PRIJEM	\N	256	89075	UROK	\N	\N
3458986	11325	1997-09-30	PRIJEM	\N	241	49806	UROK	\N	\N
3458987	11325	1997-10-31	PRIJEM	\N	246	61000	UROK	\N	\N
3458988	11325	1997-11-30	PRIJEM	\N	164	33381	UROK	\N	\N
3458989	11325	1997-12-31	PRIJEM	\N	222	77398	UROK	\N	\N
3458990	11325	1998-01-31	PRIJEM	\N	152	24910	UROK	\N	\N
3458991	11325	1998-02-28	PRIJEM	\N	58	13510	UROK	\N	\N
3458992	11325	1998-03-31	PRIJEM	\N	35	9730	UROK	\N	\N
3458993	11325	1998-04-30	PRIJEM	\N	23	7186	UROK	\N	\N
3458994	11325	1998-05-31	PRIJEM	\N	13	3685	UROK	\N	\N
3458995	11325	1998-06-30	PRIJEM	\N	2	177	UROK	\N	\N
3458996	11325	1998-06-30	VYDAJ	VYBER	14	134	SANKC. UROK	\N	\N
3458997	11325	1998-07-31	VYDAJ	VYBER	21	99	SANKC. UROK	\N	\N
3458998	11325	1998-09-30	VYDAJ	VYBER	21	-20	SANKC. UROK	\N	\N
3458999	11325	1998-09-30	VYDAJ	VYBER	21	1	SANKC. UROK	\N	\N
3459000	11325	1998-11-30	VYDAJ	VYBER	21	-86	SANKC. UROK	\N	\N
3459001	11333	1994-06-30	PRIJEM	\N	110	46248	UROK	\N	\N
3459002	11333	1994-07-31	PRIJEM	\N	229	91027	UROK	\N	\N
3459003	11333	1994-08-31	PRIJEM	\N	388	63935	UROK	\N	\N
3459004	11333	1994-09-30	PRIJEM	\N	269	53052	UROK	\N	\N
3459005	11333	1994-10-31	PRIJEM	\N	205	41003	UROK	\N	\N
3459006	11333	1994-11-30	PRIJEM	\N	157	28467	UROK	\N	\N
3459007	11333	1994-12-31	PRIJEM	\N	158	51847	UROK	\N	\N
3459008	11333	1995-01-31	PRIJEM	\N	162	3644	UROK	\N	\N
3459009	11333	1995-02-28	PRIJEM	\N	11	13850	UROK	\N	\N
3459010	11333	1995-03-31	PRIJEM	\N	55	15751	UROK	\N	\N
3459011	11333	1995-04-30	PRIJEM	\N	73	29127	UROK	\N	\N
3459012	11333	1995-05-31	PRIJEM	\N	97	16547	UROK	\N	\N
3459013	11333	1995-06-30	PRIJEM	\N	53	-1185	UROK	\N	\N
3459014	11333	1995-06-30	VYDAJ	VYBER	5	-1190	SANKC. UROK	\N	\N
3459015	11333	1995-07-31	PRIJEM	\N	1	9693	UROK	\N	\N
3459016	11333	1995-07-31	VYDAJ	VYBER	27	9651	SANKC. UROK	\N	\N
3459017	11333	1995-08-31	PRIJEM	\N	28	11129	UROK	\N	\N
3459018	11333	1995-08-31	VYDAJ	VYBER	5	11120	SANKC. UROK	\N	\N
3459019	11333	1995-09-30	VYDAJ	VYBER	14	-509	SANKC. UROK	\N	\N
3459020	11333	1995-10-31	PRIJEM	\N	1	9879	UROK	\N	\N
3459021	11333	1995-10-31	VYDAJ	VYBER	21	9823	SANKC. UROK	\N	\N
3459022	11333	1995-11-30	PRIJEM	\N	35	15458	UROK	\N	\N
3459023	11333	1995-12-31	PRIJEM	\N	32	1635	UROK	\N	\N
3459024	11333	1995-12-31	VYDAJ	VYBER	0	1666	SANKC. UROK	\N	\N
3459025	11333	1996-01-31	PRIJEM	\N	43	14049	UROK	\N	\N
3459026	11333	1996-01-31	VYDAJ	VYBER	0	14049	SANKC. UROK	\N	\N
3459027	11333	1996-02-29	PRIJEM	\N	94	48504	UROK	\N	\N
3459028	11333	1996-03-31	PRIJEM	\N	179	34143	UROK	\N	\N
3459029	11333	1996-04-30	PRIJEM	\N	111	23769	UROK	\N	\N
3459030	11333	1996-05-31	PRIJEM	\N	102	45224	UROK	\N	\N
3459031	11333	1996-06-30	PRIJEM	\N	190	47251	UROK	\N	\N
3459032	11333	1996-07-31	PRIJEM	\N	201	71539	UROK	\N	\N
3459033	11333	1996-08-31	PRIJEM	\N	223	44414	UROK	\N	\N
3459034	11333	1996-09-30	PRIJEM	\N	266	102458	UROK	\N	\N
3459035	11333	1996-10-31	PRIJEM	\N	410	63505	UROK	\N	\N
3459036	11333	1996-11-30	PRIJEM	\N	250	46741	UROK	\N	\N
3459037	11333	1996-12-31	PRIJEM	\N	143	19790	UROK	\N	\N
3459038	11333	1997-01-31	PRIJEM	\N	68	16327	UROK	\N	\N
3459039	11333	1997-02-28	PRIJEM	\N	136	43621	UROK	\N	\N
3459040	11333	1997-03-31	PRIJEM	\N	185	65249	UROK	\N	\N
3459041	11333	1997-04-30	PRIJEM	\N	217	50502	UROK	\N	\N
3459042	11333	1997-05-31	PRIJEM	\N	219	70747	UROK	\N	\N
3459043	11333	1997-06-30	PRIJEM	\N	225	60966	UROK	\N	\N
3459044	11333	1997-07-31	PRIJEM	\N	295	60900	UROK	\N	\N
3459045	11333	1997-08-31	PRIJEM	\N	375	87003	UROK	\N	\N
3459046	11333	1997-09-30	PRIJEM	\N	187	58300	UROK	\N	\N
3459047	11333	1997-10-31	PRIJEM	\N	267	68511	UROK	\N	\N
3459048	11333	1997-11-30	PRIJEM	\N	199	12163	UROK	\N	\N
3459049	11333	1997-12-31	PRIJEM	\N	279	88975	UROK	\N	\N
3459050	11333	1998-01-31	PRIJEM	\N	293	60254	UROK	\N	\N
3459051	11333	1998-02-28	PRIJEM	\N	226	56766	UROK	\N	\N
3459052	11333	1998-03-31	PRIJEM	\N	161	48662	UROK	\N	\N
3459053	11333	1998-04-30	PRIJEM	\N	169	35399	UROK	\N	\N
3459054	11333	1998-05-31	PRIJEM	\N	232	70451	UROK	\N	\N
3459055	11333	1998-06-30	PRIJEM	\N	233	33792	UROK	\N	\N
3459056	11333	1998-07-31	PRIJEM	\N	124	28078	UROK	\N	\N
3459057	11333	1998-08-31	PRIJEM	\N	187	69188	UROK	\N	\N
3459058	11333	1998-09-30	PRIJEM	\N	220	57694	UROK	\N	\N
3459059	11333	1998-10-31	PRIJEM	\N	237	96220	UROK	\N	\N
3459060	11333	1998-11-30	PRIJEM	\N	312	74902	UROK	\N	\N
3459061	11333	1998-12-31	PRIJEM	\N	249	58203	UROK	\N	\N
3459062	11382	1995-09-30	PRIJEM	\N	40	24272	UROK	\N	\N
3459063	11382	1995-10-31	PRIJEM	\N	122	36422	UROK	\N	\N
3459064	11382	1995-11-30	PRIJEM	\N	170	47224	UROK	\N	\N
3459065	11382	1995-12-31	PRIJEM	\N	215	57866	UROK	\N	\N
3459066	11382	1996-01-31	PRIJEM	\N	175	17673	UROK	\N	\N
3459067	11382	1996-02-29	PRIJEM	\N	107	34878	UROK	\N	\N
3459068	11382	1996-03-31	PRIJEM	\N	151	20868	UROK	\N	\N
3459069	11382	1996-04-30	PRIJEM	\N	89	-859	UROK	\N	\N
3459070	11382	1996-04-30	VYDAJ	VYBER	2	-862	SANKC. UROK	\N	\N
3459071	11382	1996-05-31	PRIJEM	\N	37	1945	UROK	\N	\N
3459072	11382	1996-05-31	VYDAJ	VYBER	4	1940	SANKC. UROK	\N	\N
3459073	11382	1996-06-30	PRIJEM	\N	71	31412	UROK	\N	\N
3459074	11382	1996-07-31	PRIJEM	\N	139	36608	UROK	\N	\N
3459075	11382	1996-08-31	PRIJEM	\N	202	36160	UROK	\N	\N
3459076	11382	1996-09-30	PRIJEM	\N	126	26848	UROK	\N	\N
3459077	11382	1996-10-31	PRIJEM	\N	119	28901	UROK	\N	\N
3459078	11382	1996-11-30	PRIJEM	\N	123	32257	UROK	\N	\N
3459079	11382	1996-12-31	PRIJEM	\N	151	27020	UROK	\N	\N
3459080	11382	1997-01-31	PRIJEM	\N	60	298	UROK	\N	\N
3459081	11382	1997-01-31	VYDAJ	VYBER	2	306	SANKC. UROK	\N	\N
3459082	11382	1997-02-28	PRIJEM	\N	12	1470	UROK	\N	\N
3459083	11382	1997-02-28	VYDAJ	VYBER	5	1457	SANKC. UROK	\N	\N
3459084	11382	1997-03-31	PRIJEM	\N	52	20841	UROK	\N	\N
3459085	11382	1997-03-31	VYDAJ	VYBER	1	20875	SANKC. UROK	\N	\N
3459086	11382	1997-04-30	PRIJEM	\N	98	24604	UROK	\N	\N
3459087	11382	1997-05-31	PRIJEM	\N	114	31404	UROK	\N	\N
3459088	11382	1997-06-30	PRIJEM	\N	161	44581	UROK	\N	\N
3459089	11382	1997-07-31	PRIJEM	\N	247	22129	UROK	\N	\N
3459090	11382	1997-08-31	PRIJEM	\N	147	26073	UROK	\N	\N
3459091	11382	1997-09-30	PRIJEM	\N	119	34374	UROK	\N	\N
3459092	11382	1997-10-31	PRIJEM	\N	132	35854	UROK	\N	\N
3459093	11382	1997-11-30	PRIJEM	\N	178	49852	UROK	\N	\N
3459094	11382	1997-12-31	PRIJEM	\N	255	67530	UROK	\N	\N
3459095	11382	1998-01-31	PRIJEM	\N	160	26761	UROK	\N	\N
3459096	11382	1998-02-28	PRIJEM	\N	128	39734	UROK	\N	\N
3459097	11382	1998-03-31	PRIJEM	\N	209	59460	UROK	\N	\N
3459098	11382	1998-04-30	PRIJEM	\N	244	63722	UROK	\N	\N
3459099	11382	1998-05-31	PRIJEM	\N	264	68869	UROK	\N	\N
3459100	11382	1998-06-30	PRIJEM	\N	214	31160	UROK	\N	\N
3459101	11382	1998-07-31	PRIJEM	\N	101	29259	UROK	\N	\N
3459102	11382	1998-08-31	PRIJEM	\N	130	36869	UROK	\N	\N
3459103	11382	1998-09-30	PRIJEM	\N	187	55160	UROK	\N	\N
3459104	11382	1998-10-31	PRIJEM	\N	211	54393	UROK	\N	\N
3459105	11382	1998-11-30	PRIJEM	\N	240	66550	UROK	\N	\N
3459106	11382	1998-12-31	PRIJEM	\N	311	81374	UROK	\N	\N
3459107	9	1993-02-28	PRIJEM	\N	5	12105	UROK	\N	\N
3459108	9	1993-03-31	PRIJEM	\N	54	18759	UROK	\N	\N
3459109	9	1993-04-30	PRIJEM	\N	85	27089	UROK	\N	\N
3459110	9	1993-05-31	PRIJEM	\N	110	23599	UROK	\N	\N
3459111	9	1993-06-30	PRIJEM	\N	86	21171	UROK	\N	\N
3459112	9	1993-07-31	PRIJEM	\N	87	19694	UROK	\N	\N
3459113	9	1993-08-31	PRIJEM	\N	73	18452	UROK	\N	\N
3459114	9	1993-09-30	PRIJEM	\N	81	22919	UROK	\N	\N
3459115	9	1993-10-31	PRIJEM	\N	99	26203	UROK	\N	\N
3459116	9	1993-11-30	PRIJEM	\N	110	26998	UROK	\N	\N
3459117	9	1993-12-31	PRIJEM	\N	109	25493	UROK	\N	\N
3459118	9	1994-01-31	PRIJEM	\N	100	18728	UROK	\N	\N
3459119	9	1994-02-28	PRIJEM	\N	84	24198	UROK	\N	\N
3459120	9	1994-03-31	PRIJEM	\N	99	23582	UROK	\N	\N
3459121	9	1994-04-30	PRIJEM	\N	100	25468	UROK	\N	\N
3459122	9	1994-05-31	PRIJEM	\N	120	30405	UROK	\N	\N
3459123	9	1994-06-30	PRIJEM	\N	87	20146	UROK	\N	\N
3459124	9	1994-07-31	PRIJEM	\N	85	21666	UROK	\N	\N
3459125	9	1994-08-31	PRIJEM	\N	99	27151	UROK	\N	\N
3459126	9	1994-09-30	PRIJEM	\N	113	26899	UROK	\N	\N
3459127	9	1994-10-31	PRIJEM	\N	111	26894	UROK	\N	\N
3459128	9	1994-11-30	PRIJEM	\N	118	30248	UROK	\N	\N
3459129	9	1994-12-31	PRIJEM	\N	121	27854	UROK	\N	\N
3459130	9	1995-01-31	PRIJEM	\N	89	19127	UROK	\N	\N
3459131	9	1995-02-28	PRIJEM	\N	86	22949	UROK	\N	\N
3459132	9	1995-03-31	PRIJEM	\N	103	27438	UROK	\N	\N
3459133	9	1995-04-30	PRIJEM	\N	117	29240	UROK	\N	\N
3459134	9	1995-05-31	PRIJEM	\N	125	31451	UROK	\N	\N
3459135	9	1995-06-30	PRIJEM	\N	125	27111	UROK	\N	\N
3459136	9	1995-07-31	PRIJEM	\N	112	27209	UROK	\N	\N
3459137	9	1995-08-31	PRIJEM	\N	116	28910	UROK	\N	\N
3459138	9	1995-09-30	PRIJEM	\N	124	31120	UROK	\N	\N
3459139	9	1995-10-31	PRIJEM	\N	126	28331	UROK	\N	\N
3459140	9	1995-11-30	PRIJEM	\N	127	32643	UROK	\N	\N
3459141	9	1995-12-31	PRIJEM	\N	234	78753	UROK	\N	\N
3459142	9	1996-01-31	PRIJEM	\N	237	34075	UROK	\N	\N
3459143	9	1996-02-29	PRIJEM	\N	140	32851	UROK	\N	\N
3459144	9	1996-03-31	PRIJEM	\N	136	32172	UROK	\N	\N
3459145	9	1996-04-30	PRIJEM	\N	131	31488	UROK	\N	\N
3459146	9	1996-05-31	PRIJEM	\N	127	30501	UROK	\N	\N
3459147	9	1996-06-30	PRIJEM	\N	113	26249	UROK	\N	\N
3459148	9	1996-07-31	PRIJEM	\N	103	22538	UROK	\N	\N
3459149	9	1996-08-31	PRIJEM	\N	96	23219	UROK	\N	\N
3459150	9	1996-09-30	PRIJEM	\N	95	23300	UROK	\N	\N
3459151	9	1996-10-31	PRIJEM	\N	99	23834	UROK	\N	\N
3459152	9	1996-11-30	PRIJEM	\N	115	37628	UROK	\N	\N
3459153	9	1996-12-31	PRIJEM	\N	147	32850	UROK	\N	\N
3459154	9	1997-01-31	PRIJEM	\N	97	19683	UROK	\N	\N
3459155	9	1997-02-28	PRIJEM	\N	84	21652	UROK	\N	\N
3459156	9	1997-03-31	PRIJEM	\N	88	21525	UROK	\N	\N
3459157	9	1997-04-30	PRIJEM	\N	70	16731	UROK	\N	\N
3459158	9	1997-05-31	PRIJEM	\N	69	17385	UROK	\N	\N
3459159	9	1997-06-30	PRIJEM	\N	71	17741	UROK	\N	\N
3459160	9	1997-07-31	PRIJEM	\N	64	14091	UROK	\N	\N
3459161	9	1997-08-31	PRIJEM	\N	56	14933	UROK	\N	\N
3459162	9	1997-09-30	PRIJEM	\N	60	15778	UROK	\N	\N
3459163	9	1997-10-31	PRIJEM	\N	292	85444	UROK	\N	\N
3459164	9	1997-11-30	PRIJEM	\N	260	48390	UROK	\N	\N
3459165	9	1997-12-31	PRIJEM	\N	139	30664	UROK	\N	\N
3459166	9	1998-01-31	PRIJEM	\N	69	15769	UROK	\N	\N
3459167	9	1998-02-28	PRIJEM	\N	63	16617	UROK	\N	\N
3459168	9	1998-03-31	PRIJEM	\N	66	17468	UROK	\N	\N
3459169	9	1998-04-30	PRIJEM	\N	129	42909	UROK	\N	\N
3459170	9	1998-05-31	PRIJEM	\N	147	30642	UROK	\N	\N
3459171	9	1998-06-30	PRIJEM	\N	123	21600	UROK	\N	\N
3459172	9	1998-07-31	PRIJEM	\N	73	14558	UROK	\N	\N
3459173	9	1998-08-31	PRIJEM	\N	57	15900	UROK	\N	\N
3459174	9	1998-09-30	PRIJEM	\N	89	23600	UROK	\N	\N
3459175	9	1998-10-31	PRIJEM	\N	93	21078	UROK	\N	\N
3459176	9	1998-11-30	PRIJEM	\N	83	24097	UROK	\N	\N
3459177	9	1998-12-31	PRIJEM	\N	95	23878	UROK	\N	\N
3459178	16	1997-10-31	PRIJEM	\N	27	22668	UROK	\N	\N
3459179	16	1997-11-30	PRIJEM	\N	102	29012	UROK	\N	\N
3459180	16	1997-12-31	PRIJEM	\N	133	38006	UROK	\N	\N
3459181	16	1998-01-31	PRIJEM	\N	158	38005	UROK	\N	\N
3459182	16	1998-02-28	PRIJEM	\N	156	36802	UROK	\N	\N
3459183	16	1998-03-31	PRIJEM	\N	152	36281	UROK	\N	\N
3459184	16	1998-04-30	PRIJEM	\N	150	27457	UROK	\N	\N
3459185	16	1998-05-31	PRIJEM	\N	127	23391	UROK	\N	\N
3459186	16	1998-06-30	PRIJEM	\N	108	25206	UROK	\N	\N
3459187	16	1998-07-31	PRIJEM	\N	96	19828	UROK	\N	\N
3459188	16	1998-08-31	PRIJEM	\N	78	17232	UROK	\N	\N
3459189	16	1998-09-30	PRIJEM	\N	72	10731	UROK	\N	\N
3459190	16	1998-10-31	PRIJEM	\N	39	7796	UROK	\N	\N
3459191	16	1998-11-30	PRIJEM	\N	24	3747	UROK	\N	\N
3459192	16	1998-12-31	PRIJEM	\N	117	33032	UROK	\N	\N
3459193	18	1994-01-31	PRIJEM	\N	43	28945	UROK	\N	\N
3459194	18	1994-02-28	PRIJEM	\N	120	28065	UROK	\N	\N
3459195	18	1994-03-31	PRIJEM	\N	182	109277	UROK	\N	\N
3459196	18	1994-04-30	PRIJEM	\N	455	68732	UROK	\N	\N
3459197	18	1994-05-31	PRIJEM	\N	351	57790	UROK	\N	\N
3459198	18	1994-06-30	PRIJEM	\N	117	14299	UROK	\N	\N
3459199	18	1994-07-31	PRIJEM	\N	104	23022	UROK	\N	\N
3459200	18	1994-08-31	PRIJEM	\N	181	92427	UROK	\N	\N
3459201	18	1994-09-30	PRIJEM	\N	326	53230	UROK	\N	\N
3459202	18	1994-10-31	PRIJEM	\N	343	85559	UROK	\N	\N
3459203	18	1994-11-30	PRIJEM	\N	354	44425	UROK	\N	\N
3459204	18	1994-12-31	PRIJEM	\N	202	100074	UROK	\N	\N
3459205	18	1995-01-31	PRIJEM	\N	376	56020	UROK	\N	\N
3459206	18	1995-02-28	PRIJEM	\N	232	48222	UROK	\N	\N
3459207	18	1995-03-31	PRIJEM	\N	200	42991	UROK	\N	\N
3459208	18	1995-04-30	PRIJEM	\N	156	33917	UROK	\N	\N
3459209	18	1995-05-31	PRIJEM	\N	46	23161	UROK	\N	\N
3459210	18	1995-06-30	PRIJEM	\N	106	27802	UROK	\N	\N
3459211	18	1995-07-31	PRIJEM	\N	116	31187	UROK	\N	\N
3459212	18	1995-08-31	PRIJEM	\N	126	29783	UROK	\N	\N
3459213	18	1995-09-30	PRIJEM	\N	124	37177	UROK	\N	\N
3459214	18	1995-10-31	PRIJEM	\N	154	36301	UROK	\N	\N
3459215	18	1995-11-30	PRIJEM	\N	134	31203	UROK	\N	\N
3459216	18	1995-12-31	PRIJEM	\N	135	33607	UROK	\N	\N
3459217	18	1996-01-31	PRIJEM	\N	178	22345	UROK	\N	\N
3459218	18	1996-02-29	PRIJEM	\N	117	25508	UROK	\N	\N
3459219	18	1996-03-31	PRIJEM	\N	143	37034	UROK	\N	\N
3459220	18	1996-04-30	PRIJEM	\N	153	39257	UROK	\N	\N
3459221	18	1996-05-31	PRIJEM	\N	163	17765	UROK	\N	\N
3459222	18	1996-06-30	PRIJEM	\N	76	12710	UROK	\N	\N
3459223	18	1996-07-31	PRIJEM	\N	64	6678	UROK	\N	\N
3459224	18	1996-08-31	PRIJEM	\N	67	20103	UROK	\N	\N
3459225	18	1996-09-30	PRIJEM	\N	102	28303	UROK	\N	\N
3459226	18	1996-10-31	PRIJEM	\N	87	17907	UROK	\N	\N
3459227	18	1996-11-30	PRIJEM	\N	81	21795	UROK	\N	\N
3459228	18	1996-12-31	PRIJEM	\N	105	26769	UROK	\N	\N
3459229	18	1997-01-31	PRIJEM	\N	62	2418	UROK	\N	\N
3459230	18	1997-02-28	PRIJEM	\N	75	21932	UROK	\N	\N
3459231	18	1997-03-31	PRIJEM	\N	131	35035	UROK	\N	\N
3459232	18	1997-04-30	PRIJEM	\N	96	25281	UROK	\N	\N
3459233	18	1997-05-31	PRIJEM	\N	63	12101	UROK	\N	\N
3459234	18	1997-06-30	PRIJEM	\N	60	9773	UROK	\N	\N
3459235	18	1997-07-31	PRIJEM	\N	75	46348	UROK	\N	\N
3459236	18	1997-08-31	PRIJEM	\N	391	67897	UROK	\N	\N
3459237	18	1997-09-30	PRIJEM	\N	359	101409	UROK	\N	\N
3459238	18	1997-10-31	PRIJEM	\N	566	105212	UROK	\N	\N
3459239	18	1997-11-30	PRIJEM	\N	412	86588	UROK	\N	\N
3459240	18	1997-12-31	PRIJEM	\N	310	74514	UROK	\N	\N
3459241	18	1998-01-31	PRIJEM	\N	303	60487	UROK	\N	\N
3459242	18	1998-02-28	PRIJEM	\N	248	58004	UROK	\N	\N
3459243	18	1998-03-31	PRIJEM	\N	282	84410	UROK	\N	\N
3459244	18	1998-04-30	PRIJEM	\N	209	37812	UROK	\N	\N
3459245	18	1998-05-31	PRIJEM	\N	222	69583	UROK	\N	\N
3459246	18	1998-06-30	PRIJEM	\N	284	64236	UROK	\N	\N
3459247	18	1998-07-31	PRIJEM	\N	278	80003	UROK	\N	\N
3459248	18	1998-08-31	PRIJEM	\N	326	75955	UROK	\N	\N
3459249	18	1998-09-30	PRIJEM	\N	310	66636	UROK	\N	\N
3459250	18	1998-10-31	PRIJEM	\N	275	70876	UROK	\N	\N
3459251	18	1998-11-30	PRIJEM	\N	301	76259	UROK	\N	\N
3459252	18	1998-12-31	PRIJEM	\N	349	81558	UROK	\N	\N
3459253	32	1995-09-30	PRIJEM	\N	13	22461	UROK	\N	\N
3459254	32	1995-10-31	PRIJEM	\N	102	34510	UROK	\N	\N
3459255	32	1995-11-30	PRIJEM	\N	146	38504	UROK	\N	\N
3459256	32	1995-12-31	PRIJEM	\N	167	46993	UROK	\N	\N
3459257	32	1996-01-31	PRIJEM	\N	204	42745	UROK	\N	\N
3459258	32	1996-02-29	PRIJEM	\N	179	44057	UROK	\N	\N
3459259	32	1996-03-31	PRIJEM	\N	183	43173	UROK	\N	\N
3459260	32	1996-04-30	PRIJEM	\N	179	42586	UROK	\N	\N
3459261	32	1996-05-31	PRIJEM	\N	180	45299	UROK	\N	\N
3459262	32	1996-06-30	PRIJEM	\N	216	44522	UROK	\N	\N
3459263	32	1996-07-31	PRIJEM	\N	188	46843	UROK	\N	\N
3459264	32	1996-08-31	PRIJEM	\N	216	46993	UROK	\N	\N
3459265	32	1996-09-30	PRIJEM	\N	199	49625	UROK	\N	\N
3459266	32	1996-10-31	PRIJEM	\N	210	52168	UROK	\N	\N
3459267	32	1996-11-30	PRIJEM	\N	214	50316	UROK	\N	\N
3459268	32	1996-12-31	PRIJEM	\N	226	51449	UROK	\N	\N
3459269	32	1997-01-31	PRIJEM	\N	214	48596	UROK	\N	\N
3459270	32	1997-02-28	PRIJEM	\N	199	47029	UROK	\N	\N
3459271	32	1997-03-31	PRIJEM	\N	201	50563	UROK	\N	\N
3459272	32	1997-04-30	PRIJEM	\N	223	48919	UROK	\N	\N
3459273	32	1997-05-31	PRIJEM	\N	215	47567	UROK	\N	\N
3459274	32	1997-06-30	PRIJEM	\N	226	54501	UROK	\N	\N
3459275	32	1997-07-31	PRIJEM	\N	233	58368	UROK	\N	\N
3459276	32	1997-08-31	PRIJEM	\N	245	60046	UROK	\N	\N
3459277	32	1997-09-30	PRIJEM	\N	246	58526	UROK	\N	\N
3459278	32	1997-10-31	PRIJEM	\N	243	55402	UROK	\N	\N
3459279	32	1997-11-30	PRIJEM	\N	232	56567	UROK	\N	\N
3459280	32	1997-12-31	PRIJEM	\N	261	62635	UROK	\N	\N
3459281	32	1998-01-31	PRIJEM	\N	239	53808	UROK	\N	\N
3459282	32	1998-02-28	PRIJEM	\N	239	60580	UROK	\N	\N
3459283	32	1998-03-31	PRIJEM	\N	255	62468	UROK	\N	\N
3459284	32	1998-04-30	PRIJEM	\N	257	61858	UROK	\N	\N
3459285	32	1998-05-31	PRIJEM	\N	251	56843	UROK	\N	\N
3459286	32	1998-06-30	PRIJEM	\N	222	46072	UROK	\N	\N
3459287	32	1998-07-31	PRIJEM	\N	205	52410	UROK	\N	\N
3459288	32	1998-08-31	PRIJEM	\N	225	55869	UROK	\N	\N
3459289	32	1998-09-30	PRIJEM	\N	239	55341	UROK	\N	\N
3459290	32	1998-10-31	PRIJEM	\N	250	63325	UROK	\N	\N
3459291	32	1998-11-30	PRIJEM	\N	299	77158	UROK	\N	\N
3459292	32	1998-12-31	PRIJEM	\N	355	89720	UROK	\N	\N
3459293	41	1997-08-31	PRIJEM	\N	44	18136	UROK	\N	\N
3459294	41	1997-09-30	PRIJEM	\N	125	39052	UROK	\N	\N
3459295	41	1997-10-31	PRIJEM	\N	183	48528	UROK	\N	\N
3459296	41	1997-11-30	PRIJEM	\N	153	54173	UROK	\N	\N
3459297	41	1997-12-31	PRIJEM	\N	163	45674	UROK	\N	\N
3459298	41	1998-01-31	PRIJEM	\N	190	45341	UROK	\N	\N
3459299	41	1998-02-28	PRIJEM	\N	191	62810	UROK	\N	\N
3459300	41	1998-03-31	PRIJEM	\N	235	51723	UROK	\N	\N
3459301	41	1998-04-30	PRIJEM	\N	216	55016	UROK	\N	\N
3459302	41	1998-05-31	PRIJEM	\N	229	54322	UROK	\N	\N
3459303	41	1998-06-30	PRIJEM	\N	250	55596	UROK	\N	\N
3459304	41	1998-07-31	PRIJEM	\N	233	59206	UROK	\N	\N
3459305	41	1998-08-31	PRIJEM	\N	249	63133	UROK	\N	\N
3459306	41	1998-09-30	PRIJEM	\N	267	69277	UROK	\N	\N
3459307	41	1998-10-31	PRIJEM	\N	294	76248	UROK	\N	\N
3459308	41	1998-11-30	PRIJEM	\N	344	78269	UROK	\N	\N
3459309	41	1998-12-31	PRIJEM	\N	375	100768	UROK	\N	\N
3459310	45	1997-09-30	PRIJEM	\N	5	1905	UROK	\N	\N
3459311	45	1997-10-31	PRIJEM	\N	35	13940	UROK	\N	\N
3459312	45	1997-11-30	PRIJEM	\N	76	21816	UROK	\N	\N
3459313	45	1997-12-31	PRIJEM	\N	108	29024	UROK	\N	\N
3459314	45	1998-01-31	PRIJEM	\N	119	25893	UROK	\N	\N
3459315	45	1998-02-28	PRIJEM	\N	108	27587	UROK	\N	\N
3459316	45	1998-03-31	PRIJEM	\N	109	25881	UROK	\N	\N
3459317	45	1998-04-30	PRIJEM	\N	113	27329	UROK	\N	\N
3459318	45	1998-05-31	PRIJEM	\N	162	38131	UROK	\N	\N
3459319	45	1998-06-30	PRIJEM	\N	156	29073	UROK	\N	\N
3459320	45	1998-07-31	PRIJEM	\N	129	31163	UROK	\N	\N
3459321	45	1998-08-31	PRIJEM	\N	130	31378	UROK	\N	\N
3459322	45	1998-09-30	PRIJEM	\N	129	29093	UROK	\N	\N
3459323	45	1998-10-31	PRIJEM	\N	118	24296	UROK	\N	\N
3459324	45	1998-11-30	PRIJEM	\N	102	26184	UROK	\N	\N
3459325	45	1998-12-31	PRIJEM	\N	109	25878	UROK	\N	\N
3459326	64	1997-05-31	PRIJEM	\N	59	20013	UROK	\N	\N
3459327	64	1997-06-30	PRIJEM	\N	83	24096	UROK	\N	\N
3459328	64	1997-07-31	PRIJEM	\N	83	22179	UROK	\N	\N
3459329	64	1997-08-31	PRIJEM	\N	83	20962	UROK	\N	\N
3459330	64	1997-09-30	PRIJEM	\N	83	17846	UROK	\N	\N
3459331	64	1997-10-31	PRIJEM	\N	83	14729	UROK	\N	\N
3459332	64	1997-11-30	PRIJEM	\N	83	14612	UROK	\N	\N
3459333	64	1997-12-31	PRIJEM	\N	122	34596	UROK	\N	\N
3459334	64	1998-01-31	PRIJEM	\N	144	20340	UROK	\N	\N
3459335	64	1998-02-28	PRIJEM	\N	144	11783	UROK	\N	\N
3459336	64	1998-03-31	PRIJEM	\N	144	44709	UROK	\N	\N
3459337	64	1998-04-30	PRIJEM	\N	190	47549	UROK	\N	\N
3459338	64	1998-05-31	PRIJEM	\N	197	32146	UROK	\N	\N
3459339	64	1998-06-30	PRIJEM	\N	197	27344	UROK	\N	\N
3459340	64	1998-07-31	PRIJEM	\N	197	21541	UROK	\N	\N
3459341	64	1998-08-31	PRIJEM	\N	197	20738	UROK	\N	\N
3459342	64	1998-09-30	PRIJEM	\N	197	22036	UROK	\N	\N
3459343	64	1998-10-31	PRIJEM	\N	197	23833	UROK	\N	\N
3459344	64	1998-11-30	PRIJEM	\N	197	20730	UROK	\N	\N
3459345	69	1996-01-31	PRIJEM	\N	6	2506	UROK	\N	\N
3459346	69	1996-02-29	PRIJEM	\N	43	16049	UROK	\N	\N
3459347	69	1996-03-31	PRIJEM	\N	144	52075	UROK	\N	\N
3459348	69	1996-04-30	PRIJEM	\N	199	44259	UROK	\N	\N
3459349	69	1996-05-31	PRIJEM	\N	174	39219	UROK	\N	\N
3459350	69	1996-06-30	PRIJEM	\N	116	14220	UROK	\N	\N
3459351	69	1996-07-31	PRIJEM	\N	78	21784	UROK	\N	\N
3459352	69	1996-08-31	PRIJEM	\N	98	24967	UROK	\N	\N
3459353	69	1996-09-30	PRIJEM	\N	109	27261	UROK	\N	\N
3459354	69	1996-10-31	PRIJEM	\N	237	71708	UROK	\N	\N
3459355	69	1996-11-30	PRIJEM	\N	252	53245	UROK	\N	\N
3459356	69	1996-12-31	PRIJEM	\N	194	37974	UROK	\N	\N
3459357	69	1997-01-31	PRIJEM	\N	169	41847	UROK	\N	\N
3459358	69	1997-02-28	PRIJEM	\N	160	33792	UROK	\N	\N
3459359	69	1997-03-31	PRIJEM	\N	135	32412	UROK	\N	\N
3459360	69	1997-04-30	PRIJEM	\N	130	30327	UROK	\N	\N
3459361	69	1997-05-31	PRIJEM	\N	121	28233	UROK	\N	\N
3459362	69	1997-06-30	PRIJEM	\N	103	24322	UROK	\N	\N
3459363	69	1997-07-31	PRIJEM	\N	114	30221	UROK	\N	\N
3459364	69	1997-08-31	PRIJEM	\N	124	29631	UROK	\N	\N
3459365	69	1997-09-30	PRIJEM	\N	125	30741	UROK	\N	\N
3459366	69	1997-10-31	PRIJEM	\N	124	29451	UROK	\N	\N
3459367	69	1997-11-30	PRIJEM	\N	175	42694	UROK	\N	\N
3459368	69	1997-12-31	PRIJEM	\N	152	30082	UROK	\N	\N
3459369	69	1998-01-31	PRIJEM	\N	93	15761	UROK	\N	\N
3459370	69	1998-02-28	PRIJEM	\N	64	16710	UROK	\N	\N
3459371	69	1998-03-31	PRIJEM	\N	73	17618	UROK	\N	\N
3459372	69	1998-04-30	PRIJEM	\N	69	15873	UROK	\N	\N
3459373	69	1998-05-31	PRIJEM	\N	69	17827	UROK	\N	\N
3459374	69	1998-06-30	PRIJEM	\N	73	16485	UROK	\N	\N
3459375	69	1998-07-31	PRIJEM	\N	68	16189	UROK	\N	\N
3459376	69	1998-08-31	PRIJEM	\N	70	18144	UROK	\N	\N
3459377	69	1998-09-30	PRIJEM	\N	78	20107	UROK	\N	\N
3459378	69	1998-10-31	PRIJEM	\N	86	22079	UROK	\N	\N
3459379	69	1998-11-30	PRIJEM	\N	107	27990	UROK	\N	\N
3459380	69	1998-12-31	PRIJEM	\N	174	63471	UROK	\N	\N
3459381	82	1994-05-31	PRIJEM	\N	54	30656	UROK	\N	\N
3459382	82	1994-06-30	PRIJEM	\N	128	27383	UROK	\N	\N
3459383	82	1994-07-31	PRIJEM	\N	195	53733	UROK	\N	\N
3459384	82	1994-08-31	PRIJEM	\N	220	38654	UROK	\N	\N
3459385	82	1994-09-30	PRIJEM	\N	276	111154	UROK	\N	\N
3459386	82	1994-10-31	PRIJEM	\N	248	44315	UROK	\N	\N
3459387	82	1994-11-30	PRIJEM	\N	340	56477	UROK	\N	\N
3459388	82	1994-12-31	PRIJEM	\N	202	30316	UROK	\N	\N
3459389	82	1995-01-31	PRIJEM	\N	106	82364	UROK	\N	\N
3459390	82	1995-02-28	PRIJEM	\N	339	54088	UROK	\N	\N
3459391	82	1995-03-31	PRIJEM	\N	310	55633	UROK	\N	\N
3459392	82	1995-04-30	PRIJEM	\N	255	42291	UROK	\N	\N
3459393	82	1995-05-31	PRIJEM	\N	174	30851	UROK	\N	\N
3459394	82	1995-06-30	PRIJEM	\N	124	22660	UROK	\N	\N
3459395	82	1995-07-31	PRIJEM	\N	94	20639	UROK	\N	\N
3459396	82	1995-08-31	PRIJEM	\N	104	27730	UROK	\N	\N
3459397	82	1995-09-30	PRIJEM	\N	161	36182	UROK	\N	\N
3459398	82	1995-10-31	PRIJEM	\N	182	76522	UROK	\N	\N
3459399	82	1995-11-30	PRIJEM	\N	208	24732	UROK	\N	\N
3459400	82	1995-12-31	PRIJEM	\N	102	24120	UROK	\N	\N
3459401	82	1996-01-31	PRIJEM	\N	99	23604	UROK	\N	\N
3459402	82	1996-02-29	PRIJEM	\N	137	66366	UROK	\N	\N
3459403	82	1996-03-31	PRIJEM	\N	218	38181	UROK	\N	\N
3459404	82	1996-04-30	PRIJEM	\N	292	54654	UROK	\N	\N
3459405	82	1996-05-31	PRIJEM	\N	240	43021	UROK	\N	\N
3459406	82	1996-06-30	PRIJEM	\N	145	20160	UROK	\N	\N
3459407	82	1996-07-31	PRIJEM	\N	106	42443	UROK	\N	\N
3459408	82	1996-08-31	PRIJEM	\N	248	96273	UROK	\N	\N
3459409	82	1996-09-30	PRIJEM	\N	348	81768	UROK	\N	\N
3459410	82	1996-10-31	PRIJEM	\N	309	54198	UROK	\N	\N
3459411	82	1996-11-30	PRIJEM	\N	296	104218	UROK	\N	\N
3459412	82	1996-12-31	PRIJEM	\N	439	109013	UROK	\N	\N
3459413	82	1997-01-31	PRIJEM	\N	251	33349	UROK	\N	\N
3459414	82	1997-02-28	PRIJEM	\N	178	84847	UROK	\N	\N
3459415	82	1997-03-31	PRIJEM	\N	300	54647	UROK	\N	\N
3459416	82	1997-04-30	PRIJEM	\N	190	35993	UROK	\N	\N
3459417	82	1997-05-31	PRIJEM	\N	166	45030	UROK	\N	\N
3459418	82	1997-06-30	PRIJEM	\N	154	43471	UROK	\N	\N
3459419	82	1997-07-31	PRIJEM	\N	177	27834	UROK	\N	\N
3459420	82	1997-08-31	PRIJEM	\N	152	91916	UROK	\N	\N
3459421	82	1997-09-30	PRIJEM	\N	390	97142	UROK	\N	\N
3459422	82	1997-10-31	PRIJEM	\N	398	60024	UROK	\N	\N
3459423	82	1997-11-30	PRIJEM	\N	300	101277	UROK	\N	\N
3459424	82	1997-12-31	PRIJEM	\N	226	36371	UROK	\N	\N
3459425	82	1998-01-31	PRIJEM	\N	280	43155	UROK	\N	\N
3459426	82	1998-02-28	PRIJEM	\N	266	68340	UROK	\N	\N
3459427	82	1998-03-31	PRIJEM	\N	176	32518	UROK	\N	\N
3459428	82	1998-04-30	PRIJEM	\N	214	77217	UROK	\N	\N
3459429	82	1998-05-31	PRIJEM	\N	237	60085	UROK	\N	\N
3459430	82	1998-06-30	PRIJEM	\N	303	70375	UROK	\N	\N
3459431	82	1998-07-31	PRIJEM	\N	289	61226	UROK	\N	\N
3459432	82	1998-08-31	PRIJEM	\N	309	94276	UROK	\N	\N
3459433	82	1998-09-30	PRIJEM	\N	368	84219	UROK	\N	\N
3459434	82	1998-10-31	PRIJEM	\N	227	60694	UROK	\N	\N
3459435	82	1998-11-30	PRIJEM	\N	245	59742	UROK	\N	\N
3459436	82	1998-12-31	PRIJEM	\N	288	83929	UROK	\N	\N
3459437	89	1997-10-31	PRIJEM	\N	16	17474	UROK	\N	\N
3459438	89	1997-11-30	PRIJEM	\N	82	26514	UROK	\N	\N
3459439	89	1997-12-31	PRIJEM	\N	113	29114	UROK	\N	\N
3459440	89	1998-01-31	PRIJEM	\N	125	32497	UROK	\N	\N
3459441	89	1998-02-28	PRIJEM	\N	134	31388	UROK	\N	\N
3459442	89	1998-03-31	PRIJEM	\N	132	30464	UROK	\N	\N
3459443	89	1998-04-30	PRIJEM	\N	123	26830	UROK	\N	\N
3459444	89	1998-05-31	PRIJEM	\N	114	28587	UROK	\N	\N
3459445	89	1998-06-30	PRIJEM	\N	113	24773	UROK	\N	\N
3459446	89	1998-07-31	PRIJEM	\N	115	28432	UROK	\N	\N
3459447	89	1998-08-31	PRIJEM	\N	119	28794	UROK	\N	\N
3459448	89	1998-09-30	PRIJEM	\N	123	30860	UROK	\N	\N
3459449	89	1998-10-31	PRIJEM	\N	127	30231	UROK	\N	\N
3459450	89	1998-11-30	PRIJEM	\N	128	31802	UROK	\N	\N
3459451	89	1998-12-31	PRIJEM	\N	145	37920	UROK	\N	\N
3459452	93	1996-06-30	PRIJEM	\N	27	11309	UROK	\N	\N
3459453	93	1996-07-31	PRIJEM	\N	75	22972	UROK	\N	\N
3459454	93	1996-08-31	PRIJEM	\N	111	29471	UROK	\N	\N
3459455	93	1996-09-30	PRIJEM	\N	130	32588	UROK	\N	\N
3459456	93	1996-10-31	PRIJEM	\N	132	31309	UROK	\N	\N
3459457	93	1996-11-30	PRIJEM	\N	134	33116	UROK	\N	\N
3459458	93	1996-12-31	PRIJEM	\N	138	32721	UROK	\N	\N
3459459	93	1997-01-31	PRIJEM	\N	93	14988	UROK	\N	\N
3459460	93	1997-02-28	PRIJEM	\N	77	21938	UROK	\N	\N
3459461	93	1997-03-31	PRIJEM	\N	99	25010	UROK	\N	\N
3459462	93	1997-04-30	PRIJEM	\N	120	31804	UROK	\N	\N
3459463	93	1997-05-31	PRIJEM	\N	133	33810	UROK	\N	\N
3459464	93	1997-06-30	PRIJEM	\N	148	14125	UROK	\N	\N
3459465	93	1997-07-31	PRIJEM	\N	88	26186	UROK	\N	\N
3459466	93	1997-08-31	PRIJEM	\N	117	29676	UROK	\N	\N
3459467	93	1997-09-30	PRIJEM	\N	132	33582	UROK	\N	\N
3459468	93	1997-10-31	PRIJEM	\N	132	33987	UROK	\N	\N
3459469	93	1997-11-30	PRIJEM	\N	141	30801	UROK	\N	\N
3459470	93	1997-12-31	PRIJEM	\N	140	35808	UROK	\N	\N
3459471	93	1998-01-31	PRIJEM	\N	118	19200	UROK	\N	\N
3459472	93	1998-02-28	PRIJEM	\N	99	28172	UROK	\N	\N
3459473	93	1998-03-31	PRIJEM	\N	101	25346	UROK	\N	\N
3459474	93	1998-04-30	PRIJEM	\N	92	24912	UROK	\N	\N
3459475	93	1998-05-31	PRIJEM	\N	108	27093	UROK	\N	\N
3459476	93	1998-06-30	PRIJEM	\N	119	29979	UROK	\N	\N
3459477	93	1998-07-31	PRIJEM	\N	121	28774	UROK	\N	\N
3459478	93	1998-08-31	PRIJEM	\N	125	31172	UROK	\N	\N
3459479	93	1998-09-30	PRIJEM	\N	129	32274	UROK	\N	\N
3459480	93	1998-10-31	PRIJEM	\N	118	25265	UROK	\N	\N
3459481	93	1998-11-30	PRIJEM	\N	104	23242	UROK	\N	\N
3459482	109	1997-05-31	PRIJEM	\N	27	16027	UROK	\N	\N
3459483	109	1997-06-30	PRIJEM	\N	78	22304	UROK	\N	\N
3459484	109	1997-07-31	PRIJEM	\N	99	25804	UROK	\N	\N
3459485	109	1997-08-31	PRIJEM	\N	116	32004	UROK	\N	\N
3459486	109	1997-09-30	PRIJEM	\N	141	36331	UROK	\N	\N
3459487	109	1997-10-31	PRIJEM	\N	146	33963	UROK	\N	\N
3459488	109	1997-11-30	PRIJEM	\N	140	33488	UROK	\N	\N
3459489	109	1997-12-31	PRIJEM	\N	128	27301	UROK	\N	\N
3459490	109	1998-01-31	PRIJEM	\N	97	22733	UROK	\N	\N
3459491	109	1998-02-28	PRIJEM	\N	103	27322	UROK	\N	\N
3459492	109	1998-03-31	PRIJEM	\N	117	29224	UROK	\N	\N
3459493	109	1998-04-30	PRIJEM	\N	147	40223	UROK	\N	\N
3459494	109	1998-05-31	PRIJEM	\N	160	37419	UROK	\N	\N
3459495	109	1998-06-30	PRIJEM	\N	180	45804	UROK	\N	\N
3459496	109	1998-07-31	PRIJEM	\N	193	47282	UROK	\N	\N
3459497	109	1998-08-31	PRIJEM	\N	190	46258	UROK	\N	\N
3459498	109	1998-09-30	PRIJEM	\N	190	45433	UROK	\N	\N
3459499	109	1998-10-31	PRIJEM	\N	186	44504	UROK	\N	\N
3459500	109	1998-11-30	PRIJEM	\N	176	41965	UROK	\N	\N
3459501	109	1998-12-31	PRIJEM	\N	172	41822	UROK	\N	\N
3459502	122	1996-11-30	PRIJEM	\N	6	21808	UROK	\N	\N
3459503	122	1996-12-31	PRIJEM	\N	98	39909	UROK	\N	\N
3459504	122	1997-01-31	PRIJEM	\N	169	45380	UROK	\N	\N
3459505	122	1997-02-28	PRIJEM	\N	188	45470	UROK	\N	\N
3459506	122	1997-03-31	PRIJEM	\N	190	47462	UROK	\N	\N
3459507	122	1997-04-30	PRIJEM	\N	199	50248	UROK	\N	\N
3459508	122	1997-05-31	PRIJEM	\N	208	48744	UROK	\N	\N
3459509	122	1997-06-30	PRIJEM	\N	294	51026	UROK	\N	\N
3459510	122	1997-07-31	PRIJEM	\N	214	54028	UROK	\N	\N
3459511	122	1997-08-31	PRIJEM	\N	267	52182	UROK	\N	\N
3459512	122	1997-09-30	PRIJEM	\N	248	47717	UROK	\N	\N
3459513	122	1997-10-31	PRIJEM	\N	194	43099	UROK	\N	\N
3459514	122	1997-11-30	PRIJEM	\N	187	42773	UROK	\N	\N
3459515	122	1997-12-31	PRIJEM	\N	253	49015	UROK	\N	\N
3459516	122	1998-01-31	PRIJEM	\N	200	45702	UROK	\N	\N
3459517	122	1998-02-28	PRIJEM	\N	203	46193	UROK	\N	\N
3459518	122	1998-03-31	PRIJEM	\N	230	44710	UROK	\N	\N
3459519	122	1998-04-30	PRIJEM	\N	190	48988	UROK	\N	\N
3459520	122	1998-05-31	PRIJEM	\N	220	49795	UROK	\N	\N
3459521	122	1998-06-30	PRIJEM	\N	220	60704	UROK	\N	\N
3459522	122	1998-07-31	PRIJEM	\N	246	56137	UROK	\N	\N
3459523	122	1998-08-31	PRIJEM	\N	231	53156	UROK	\N	\N
3459524	122	1998-09-30	PRIJEM	\N	223	54666	UROK	\N	\N
3459525	122	1998-10-31	PRIJEM	\N	220	50774	UROK	\N	\N
3459526	122	1998-11-30	PRIJEM	\N	213	52174	UROK	\N	\N
3459527	122	1998-12-31	PRIJEM	\N	226	56788	UROK	\N	\N
3459528	128	1993-03-31	PRIJEM	\N	19	11819	UROK	\N	\N
3459529	128	1993-04-30	PRIJEM	\N	58	17076	UROK	\N	\N
3459530	128	1993-05-31	PRIJEM	\N	75	18501	UROK	\N	\N
3459531	128	1993-06-30	PRIJEM	\N	86	23772	UROK	\N	\N
3459532	128	1993-07-31	PRIJEM	\N	143	54153	UROK	\N	\N
3459533	128	1993-08-31	PRIJEM	\N	224	39962	UROK	\N	\N
3459534	128	1993-09-30	PRIJEM	\N	153	33150	UROK	\N	\N
3459535	128	1993-10-31	PRIJEM	\N	125	26061	UROK	\N	\N
3459536	128	1993-11-30	PRIJEM	\N	106	25052	UROK	\N	\N
3459537	128	1993-12-31	PRIJEM	\N	103	24541	UROK	\N	\N
3459538	128	1994-01-31	PRIJEM	\N	99	22275	UROK	\N	\N
3459539	128	1994-02-28	PRIJEM	\N	105	28566	UROK	\N	\N
3459540	128	1994-03-31	PRIJEM	\N	117	27868	UROK	\N	\N
3459541	128	1994-04-30	PRIJEM	\N	113	26867	UROK	\N	\N
3459542	128	1994-05-31	PRIJEM	\N	111	26663	UROK	\N	\N
3459543	128	1994-06-30	PRIJEM	\N	118	30267	UROK	\N	\N
3459544	128	1994-07-31	PRIJEM	\N	128	30830	UROK	\N	\N
3459545	128	1994-08-31	PRIJEM	\N	173	48789	UROK	\N	\N
3459546	128	1994-09-30	PRIJEM	\N	182	40156	UROK	\N	\N
3459547	128	1994-10-31	PRIJEM	\N	152	35093	UROK	\N	\N
3459548	128	1994-11-30	PRIJEM	\N	147	34657	UROK	\N	\N
3459549	128	1994-12-31	PRIJEM	\N	138	32980	UROK	\N	\N
3459550	128	1995-01-31	PRIJEM	\N	132	31497	UROK	\N	\N
3459551	128	1995-02-28	PRIJEM	\N	138	35020	UROK	\N	\N
3459552	128	1995-03-31	PRIJEM	\N	199	54583	UROK	\N	\N
3459553	128	1995-04-30	PRIJEM	\N	205	44574	UROK	\N	\N
3459554	128	1995-05-31	PRIJEM	\N	177	40687	UROK	\N	\N
3459555	128	1995-06-30	PRIJEM	\N	169	40841	UROK	\N	\N
3459556	128	1995-07-31	PRIJEM	\N	166	39592	UROK	\N	\N
3459557	128	1995-08-31	PRIJEM	\N	165	40343	UROK	\N	\N
3459558	128	1995-09-30	PRIJEM	\N	167	41238	UROK	\N	\N
3459559	128	1995-10-31	PRIJEM	\N	159	35882	UROK	\N	\N
3459560	128	1995-11-30	PRIJEM	\N	140	34458	UROK	\N	\N
3459561	128	1995-12-31	PRIJEM	\N	144	35037	UROK	\N	\N
3459562	128	1996-01-31	PRIJEM	\N	168	46900	UROK	\N	\N
3459563	128	1996-02-29	PRIJEM	\N	189	44675	UROK	\N	\N
3459564	128	1996-03-31	PRIJEM	\N	180	44240	UROK	\N	\N
3459565	128	1996-04-30	PRIJEM	\N	188	46313	UROK	\N	\N
3459566	128	1996-05-31	PRIJEM	\N	191	44090	UROK	\N	\N
3459567	128	1996-06-30	PRIJEM	\N	182	44057	UROK	\N	\N
3459568	128	1996-07-31	PRIJEM	\N	252	68459	UROK	\N	\N
3459569	128	1996-08-31	PRIJEM	\N	258	58903	UROK	\N	\N
3459570	128	1996-09-30	PRIJEM	\N	235	53723	UROK	\N	\N
3459571	128	1996-10-31	PRIJEM	\N	217	51325	UROK	\N	\N
3459572	128	1996-11-30	PRIJEM	\N	199	50210	UROK	\N	\N
3459573	128	1996-12-31	PRIJEM	\N	200	45395	UROK	\N	\N
3459574	128	1997-01-31	PRIJEM	\N	182	40062	UROK	\N	\N
3459575	128	1997-02-28	PRIJEM	\N	170	46217	UROK	\N	\N
3459576	128	1997-03-31	PRIJEM	\N	195	45698	UROK	\N	\N
3459577	128	1997-04-30	PRIJEM	\N	192	48975	UROK	\N	\N
3459578	128	1997-05-31	PRIJEM	\N	206	48367	UROK	\N	\N
3459579	128	1997-06-30	PRIJEM	\N	200	48352	UROK	\N	\N
3459580	128	1997-07-31	PRIJEM	\N	200	46337	UROK	\N	\N
3459581	128	1997-08-31	PRIJEM	\N	199	58207	UROK	\N	\N
3459582	128	1997-09-30	PRIJEM	\N	239	55931	UROK	\N	\N
3459583	128	1997-10-31	PRIJEM	\N	262	65640	UROK	\N	\N
3459584	128	1997-11-30	PRIJEM	\N	266	59691	UROK	\N	\N
3459585	128	1997-12-31	PRIJEM	\N	241	54918	UROK	\N	\N
3459586	128	1998-01-31	PRIJEM	\N	221	50724	UROK	\N	\N
3459587	128	1998-02-28	PRIJEM	\N	208	52018	UROK	\N	\N
3459588	128	1998-03-31	PRIJEM	\N	236	72658	UROK	\N	\N
3459589	128	1998-04-30	PRIJEM	\N	297	68140	UROK	\N	\N
3459590	128	1998-05-31	PRIJEM	\N	276	62802	UROK	\N	\N
3459591	128	1998-06-30	PRIJEM	\N	258	61145	UROK	\N	\N
3459592	128	1998-07-31	PRIJEM	\N	255	63085	UROK	\N	\N
3459593	128	1998-08-31	PRIJEM	\N	262	64033	UROK	\N	\N
3459594	128	1998-09-30	PRIJEM	\N	261	61179	UROK	\N	\N
3459595	128	1998-10-31	PRIJEM	\N	301	76514	UROK	\N	\N
3459596	128	1998-11-30	PRIJEM	\N	316	76115	UROK	\N	\N
3459597	128	1998-12-31	PRIJEM	\N	313	74713	UROK	\N	\N
3459598	134	1998-01-31	PRIJEM	\N	60	19291	UROK	\N	\N
3459599	134	1998-02-28	PRIJEM	\N	121	33042	UROK	\N	\N
3459600	134	1998-03-31	PRIJEM	\N	143	35117	UROK	\N	\N
3459601	134	1998-04-30	PRIJEM	\N	142	33990	UROK	\N	\N
3459602	134	1998-05-31	PRIJEM	\N	145	35266	UROK	\N	\N
3459603	134	1998-06-30	PRIJEM	\N	183	47180	UROK	\N	\N
3459604	134	1998-07-31	PRIJEM	\N	193	45390	UROK	\N	\N
3459605	134	1998-08-31	PRIJEM	\N	175	40381	UROK	\N	\N
3459606	134	1998-09-30	PRIJEM	\N	158	37456	UROK	\N	\N
3459607	134	1998-10-31	PRIJEM	\N	151	37323	UROK	\N	\N
3459608	134	1998-11-30	PRIJEM	\N	169	42009	UROK	\N	\N
3459609	134	1998-12-31	PRIJEM	\N	191	45531	UROK	\N	\N
3459610	135	1993-07-31	PRIJEM	\N	33	14384	UROK	\N	\N
3459611	135	1993-08-31	PRIJEM	\N	82	23717	UROK	\N	\N
3459612	135	1993-09-30	PRIJEM	\N	110	28478	UROK	\N	\N
3459613	135	1993-10-31	PRIJEM	\N	115	27044	UROK	\N	\N
3459614	135	1993-11-30	PRIJEM	\N	109	25904	UROK	\N	\N
3459615	135	1993-12-31	PRIJEM	\N	112	27077	UROK	\N	\N
3459616	135	1994-01-31	PRIJEM	\N	93	16207	UROK	\N	\N
3459617	135	1994-02-28	PRIJEM	\N	90	24133	UROK	\N	\N
3459618	135	1994-03-31	PRIJEM	\N	114	29383	UROK	\N	\N
3459619	135	1994-04-30	PRIJEM	\N	108	24427	UROK	\N	\N
3459620	135	1994-05-31	PRIJEM	\N	102	24566	UROK	\N	\N
3459621	135	1994-06-30	PRIJEM	\N	92	26119	UROK	\N	\N
3459622	135	1994-07-31	PRIJEM	\N	105	22560	UROK	\N	\N
3459623	135	1994-08-31	PRIJEM	\N	114	29510	UROK	\N	\N
3459624	135	1994-09-30	PRIJEM	\N	129	31675	UROK	\N	\N
3459625	135	1994-10-31	PRIJEM	\N	134	32345	UROK	\N	\N
3459626	135	1994-11-30	PRIJEM	\N	132	31413	UROK	\N	\N
3459627	135	1994-12-31	PRIJEM	\N	149	36923	UROK	\N	\N
3459628	135	1995-01-31	PRIJEM	\N	140	27799	UROK	\N	\N
3459629	135	1995-02-28	PRIJEM	\N	123	30559	UROK	\N	\N
3459630	135	1995-03-31	PRIJEM	\N	131	32327	UROK	\N	\N
3459631	135	1995-04-30	PRIJEM	\N	123	29786	UROK	\N	\N
3459632	135	1995-05-31	PRIJEM	\N	131	32453	UROK	\N	\N
3459633	135	1995-06-30	PRIJEM	\N	141	25056	UROK	\N	\N
3459634	135	1995-07-31	PRIJEM	\N	123	31515	UROK	\N	\N
3459635	135	1995-08-31	PRIJEM	\N	151	38603	UROK	\N	\N
3459636	135	1995-09-30	PRIJEM	\N	169	41608	UROK	\N	\N
3459637	135	1995-10-31	PRIJEM	\N	171	41215	UROK	\N	\N
3459638	135	1995-11-30	PRIJEM	\N	173	42325	UROK	\N	\N
3459639	135	1995-12-31	PRIJEM	\N	169	41956	UROK	\N	\N
3459640	135	1996-01-31	PRIJEM	\N	177	36469	UROK	\N	\N
3459641	135	1996-02-29	PRIJEM	\N	171	41775	UROK	\N	\N
3459642	135	1996-03-31	PRIJEM	\N	182	45394	UROK	\N	\N
3459643	135	1996-04-30	PRIJEM	\N	190	47820	UROK	\N	\N
3459644	135	1996-05-31	PRIJEM	\N	196	46553	UROK	\N	\N
3459645	135	1996-06-30	PRIJEM	\N	165	40279	UROK	\N	\N
3459646	135	1996-07-31	PRIJEM	\N	168	42683	UROK	\N	\N
3459647	135	1996-08-31	PRIJEM	\N	179	44299	UROK	\N	\N
3459648	135	1996-09-30	PRIJEM	\N	184	45919	UROK	\N	\N
3459649	135	1996-10-31	PRIJEM	\N	190	46746	UROK	\N	\N
3459650	135	1996-11-30	PRIJEM	\N	191	43873	UROK	\N	\N
3459651	135	1996-12-31	PRIJEM	\N	189	42124	UROK	\N	\N
3459652	135	1997-01-31	PRIJEM	\N	155	34415	UROK	\N	\N
3459653	135	1997-02-28	PRIJEM	\N	144	37196	UROK	\N	\N
3459654	135	1997-03-31	PRIJEM	\N	155	39387	UROK	\N	\N
3459655	135	1997-04-30	PRIJEM	\N	163	40386	UROK	\N	\N
3459656	135	1997-05-31	PRIJEM	\N	165	39288	UROK	\N	\N
3459657	135	1997-06-30	PRIJEM	\N	157	20806	UROK	\N	\N
3459658	135	1997-07-31	PRIJEM	\N	94	30137	UROK	\N	\N
3459659	135	1997-08-31	PRIJEM	\N	132	37505	UROK	\N	\N
3459660	135	1997-09-30	PRIJEM	\N	163	39405	UROK	\N	\N
3459661	135	1997-10-31	PRIJEM	\N	166	42807	UROK	\N	\N
3459662	135	1997-11-30	PRIJEM	\N	182	47625	UROK	\N	\N
3459663	135	1997-12-31	PRIJEM	\N	198	48785	UROK	\N	\N
3459664	135	1998-01-31	PRIJEM	\N	204	48725	UROK	\N	\N
3459665	135	1998-02-28	PRIJEM	\N	212	56773	UROK	\N	\N
3459666	135	1998-03-31	PRIJEM	\N	240	61650	UROK	\N	\N
3459667	135	1998-04-30	PRIJEM	\N	257	63643	UROK	\N	\N
3459668	135	1998-05-31	PRIJEM	\N	264	65043	UROK	\N	\N
3459669	135	1998-06-30	PRIJEM	\N	254	63559	UROK	\N	\N
3459670	135	1998-07-31	PRIJEM	\N	275	71470	UROK	\N	\N
3459671	135	1998-08-31	PRIJEM	\N	292	68198	UROK	\N	\N
3459672	135	1998-09-30	PRIJEM	\N	284	70519	UROK	\N	\N
3459673	135	1998-10-31	PRIJEM	\N	281	65236	UROK	\N	\N
3459674	135	1998-11-30	PRIJEM	\N	274	68446	UROK	\N	\N
3459675	135	1998-12-31	PRIJEM	\N	295	73703	UROK	\N	\N
3459676	139	1997-06-30	PRIJEM	\N	91	38658	UROK	\N	\N
3459677	139	1997-07-31	PRIJEM	\N	172	43308	UROK	\N	\N
3459678	139	1997-08-31	PRIJEM	\N	264	49750	UROK	\N	\N
3459679	139	1997-09-30	PRIJEM	\N	303	70831	UROK	\N	\N
3459680	139	1997-10-31	PRIJEM	\N	323	82332	UROK	\N	\N
3459681	139	1997-11-30	PRIJEM	\N	315	64041	UROK	\N	\N
3459682	139	1997-12-31	PRIJEM	\N	308	77692	UROK	\N	\N
3459683	139	1998-01-31	PRIJEM	\N	243	44232	UROK	\N	\N
3459684	139	1998-02-28	PRIJEM	\N	162	29573	UROK	\N	\N
3459685	139	1998-03-31	PRIJEM	\N	188	55109	UROK	\N	\N
3459686	139	1998-04-30	PRIJEM	\N	275	73432	UROK	\N	\N
3459687	139	1998-05-31	PRIJEM	\N	326	81706	UROK	\N	\N
3459688	139	1998-06-30	PRIJEM	\N	331	86070	UROK	\N	\N
3459689	139	1998-07-31	PRIJEM	\N	344	78162	UROK	\N	\N
3459690	139	1998-08-31	PRIJEM	\N	289	73950	UROK	\N	\N
3459691	139	1998-09-30	PRIJEM	\N	328	82326	UROK	\N	\N
3459692	139	1998-10-31	PRIJEM	\N	336	80110	UROK	\N	\N
3459693	139	1998-11-30	PRIJEM	\N	183	18568	UROK	\N	\N
3459694	139	1998-12-31	PRIJEM	\N	135	54229	UROK	\N	\N
3459695	140	1996-08-31	PRIJEM	\N	27	25415	UROK	\N	\N
3459696	140	1996-09-30	PRIJEM	\N	106	23521	UROK	\N	\N
3459697	140	1996-10-31	PRIJEM	\N	106	18827	UROK	\N	\N
3459698	140	1996-11-30	PRIJEM	\N	106	18033	UROK	\N	\N
3459699	140	1996-12-31	PRIJEM	\N	106	15338	UROK	\N	\N
3459700	140	1997-01-31	PRIJEM	\N	106	14544	UROK	\N	\N
3459701	140	1997-03-31	PRIJEM	\N	106	13250	UROK	\N	\N
3459702	140	1997-04-30	PRIJEM	\N	106	13656	UROK	\N	\N
3459703	140	1997-05-31	PRIJEM	\N	106	16362	UROK	\N	\N
3459704	140	1997-06-30	PRIJEM	\N	106	15667	UROK	\N	\N
3459705	140	1997-07-31	PRIJEM	\N	160	75045	UROK	\N	\N
3459706	140	1997-08-31	PRIJEM	\N	312	50757	UROK	\N	\N
3459707	140	1997-09-30	PRIJEM	\N	312	41669	UROK	\N	\N
3459708	140	1997-10-31	PRIJEM	\N	312	35781	UROK	\N	\N
3459709	140	1997-11-30	PRIJEM	\N	312	37693	UROK	\N	\N
3459710	140	1997-12-31	PRIJEM	\N	312	38505	UROK	\N	\N
3459711	140	1998-01-31	PRIJEM	\N	312	38217	UROK	\N	\N
3459712	140	1998-02-28	PRIJEM	\N	286	53425	UROK	\N	\N
3459713	140	1998-03-31	PRIJEM	\N	221	41347	UROK	\N	\N
3459714	140	1998-04-30	PRIJEM	\N	221	33568	UROK	\N	\N
3459715	140	1998-05-31	PRIJEM	\N	221	34789	UROK	\N	\N
3459716	140	1998-06-30	PRIJEM	\N	221	33811	UROK	\N	\N
3459717	140	1998-07-31	PRIJEM	\N	221	32432	UROK	\N	\N
3459718	140	1998-08-31	PRIJEM	\N	221	37653	UROK	\N	\N
3459719	140	1998-09-30	PRIJEM	\N	221	36875	UROK	\N	\N
3459720	140	1998-10-31	PRIJEM	\N	280	84824	UROK	\N	\N
3459721	140	1998-11-30	PRIJEM	\N	350	60759	UROK	\N	\N
3459722	140	1998-12-31	PRIJEM	\N	220	47564	UROK	\N	\N
3459723	149	1997-11-30	PRIJEM	\N	1	701	UROK	\N	\N
3459724	149	1997-12-31	PRIJEM	\N	51	26094	UROK	\N	\N
3459725	149	1998-01-31	PRIJEM	\N	116	29510	UROK	\N	\N
3459726	149	1998-02-28	PRIJEM	\N	124	31234	UROK	\N	\N
3459727	149	1998-03-31	PRIJEM	\N	122	27142	UROK	\N	\N
3459728	149	1998-04-30	PRIJEM	\N	119	29846	UROK	\N	\N
3459729	149	1998-05-31	PRIJEM	\N	134	33965	UROK	\N	\N
3459730	149	1998-06-30	PRIJEM	\N	127	27877	UROK	\N	\N
3459731	149	1998-07-31	PRIJEM	\N	139	37502	UROK	\N	\N
3459732	149	1998-08-31	PRIJEM	\N	165	41152	UROK	\N	\N
3459733	149	1998-09-30	PRIJEM	\N	176	43314	UROK	\N	\N
3459734	149	1998-10-31	PRIJEM	\N	194	47825	UROK	\N	\N
3459735	149	1998-11-30	PRIJEM	\N	209	58399	UROK	\N	\N
3459736	149	1998-12-31	PRIJEM	\N	238	53922	UROK	\N	\N
3459737	150	1995-03-31	PRIJEM	\N	6	2806	UROK	\N	\N
3459738	150	1995-04-30	PRIJEM	\N	34	12840	UROK	\N	\N
3459739	150	1995-05-31	PRIJEM	\N	76	24846	UROK	\N	\N
3459740	150	1995-06-30	PRIJEM	\N	105	27051	UROK	\N	\N
3459741	150	1995-07-31	PRIJEM	\N	118	29455	UROK	\N	\N
3459742	150	1995-08-31	PRIJEM	\N	127	31367	UROK	\N	\N
3459743	150	1995-09-30	PRIJEM	\N	132	30885	UROK	\N	\N
3459744	150	1995-10-31	PRIJEM	\N	136	34606	UROK	\N	\N
3459745	150	1995-11-30	PRIJEM	\N	146	35537	UROK	\N	\N
3459746	150	1995-12-31	PRIJEM	\N	152	36924	UROK	\N	\N
3459747	150	1996-01-31	PRIJEM	\N	152	34511	UROK	\N	\N
3459748	150	1996-02-29	PRIJEM	\N	144	34391	UROK	\N	\N
3459749	150	1996-03-31	PRIJEM	\N	153	38178	UROK	\N	\N
3459750	150	1996-04-30	PRIJEM	\N	164	40828	UROK	\N	\N
3459751	150	1996-05-31	PRIJEM	\N	165	38378	UROK	\N	\N
3459752	150	1996-06-30	PRIJEM	\N	147	35411	UROK	\N	\N
3459753	150	1996-07-31	PRIJEM	\N	156	37702	UROK	\N	\N
3459754	150	1996-08-31	PRIJEM	\N	159	38847	UROK	\N	\N
3459755	150	1996-09-30	PRIJEM	\N	162	39094	UROK	\N	\N
3459756	150	1996-10-31	PRIJEM	\N	170	42550	UROK	\N	\N
3459757	150	1996-11-30	PRIJEM	\N	177	42411	UROK	\N	\N
3459758	150	1996-12-31	PRIJEM	\N	251	98659	UROK	\N	\N
3459759	150	1997-01-31	PRIJEM	\N	290	67285	UROK	\N	\N
3459760	150	1997-02-28	PRIJEM	\N	327	98752	UROK	\N	\N
3459761	150	1997-03-31	PRIJEM	\N	360	75297	UROK	\N	\N
3459762	150	1997-04-30	PRIJEM	\N	280	61912	UROK	\N	\N
3459763	150	1997-05-31	PRIJEM	\N	250	58648	UROK	\N	\N
3459764	150	1997-06-30	PRIJEM	\N	155	25388	UROK	\N	\N
3459765	150	1997-07-31	PRIJEM	\N	134	39007	UROK	\N	\N
3459766	150	1997-08-31	PRIJEM	\N	170	42262	UROK	\N	\N
3459767	150	1997-09-30	PRIJEM	\N	190	49437	UROK	\N	\N
3459768	150	1997-10-31	PRIJEM	\N	205	49827	UROK	\N	\N
3459769	150	1997-11-30	PRIJEM	\N	180	45493	UROK	\N	\N
3459770	150	1997-12-31	PRIJEM	\N	189	41018	UROK	\N	\N
3459771	150	1998-01-31	PRIJEM	\N	154	33157	UROK	\N	\N
3459772	150	1998-02-28	PRIJEM	\N	138	33830	UROK	\N	\N
3459773	150	1998-03-31	PRIJEM	\N	130	28446	UROK	\N	\N
3459774	150	1998-04-30	PRIJEM	\N	120	26851	UROK	\N	\N
3459775	150	1998-05-31	PRIJEM	\N	111	26098	UROK	\N	\N
3459776	150	1998-06-30	PRIJEM	\N	110	24993	UROK	\N	\N
3459777	150	1998-07-31	PRIJEM	\N	128	35094	UROK	\N	\N
3459778	150	1998-08-31	PRIJEM	\N	147	29136	UROK	\N	\N
3459779	150	1998-09-30	PRIJEM	\N	120	25841	UROK	\N	\N
3459780	150	1998-10-31	PRIJEM	\N	105	21931	UROK	\N	\N
3459781	150	1998-11-30	PRIJEM	\N	91	17308	UROK	\N	\N
3459782	150	1998-12-31	PRIJEM	\N	74	19767	UROK	\N	\N
3459783	164	1997-01-31	PRIJEM	\N	6	17206	UROK	\N	\N
3459784	164	1997-02-28	PRIJEM	\N	186	31400	UROK	\N	\N
3459785	164	1997-03-31	PRIJEM	\N	186	23086	UROK	\N	\N
3459786	164	1997-04-30	PRIJEM	\N	186	19071	UROK	\N	\N
3459787	164	1997-05-31	PRIJEM	\N	186	17457	UROK	\N	\N
3459788	164	1997-06-30	PRIJEM	\N	156	30289	UROK	\N	\N
3459789	164	1997-07-31	PRIJEM	\N	126	19615	UROK	\N	\N
3459790	164	1997-08-31	PRIJEM	\N	126	15941	UROK	\N	\N
3459791	164	1997-09-30	PRIJEM	\N	126	13766	UROK	\N	\N
3459792	164	1997-10-31	PRIJEM	\N	126	12192	UROK	\N	\N
3459793	164	1997-12-31	PRIJEM	\N	126	12217	UROK	\N	\N
3459794	164	1998-02-28	PRIJEM	\N	137	49815	UROK	\N	\N
3459795	164	1998-03-31	PRIJEM	\N	207	30722	UROK	\N	\N
3459796	164	1998-04-30	PRIJEM	\N	207	25529	UROK	\N	\N
3459797	164	1998-05-31	PRIJEM	\N	207	20936	UROK	\N	\N
3459798	164	1998-06-30	PRIJEM	\N	195	46489	UROK	\N	\N
3459799	164	1998-07-31	PRIJEM	\N	193	38581	UROK	\N	\N
3459800	164	1998-08-31	PRIJEM	\N	193	34274	UROK	\N	\N
3459801	164	1998-09-30	PRIJEM	\N	193	35567	UROK	\N	\N
3459802	164	1998-10-31	PRIJEM	\N	193	38760	UROK	\N	\N
3459803	164	1998-11-30	PRIJEM	\N	193	35652	UROK	\N	\N
3459804	167	1997-01-31	PRIJEM	\N	155	64591	UROK	\N	\N
3459805	167	1997-02-28	PRIJEM	\N	269	54059	UROK	\N	\N
3459806	167	1997-03-31	PRIJEM	\N	282	78579	UROK	\N	\N
3459807	167	1997-04-30	PRIJEM	\N	330	81655	UROK	\N	\N
3459808	167	1997-05-31	PRIJEM	\N	321	64947	UROK	\N	\N
3459809	167	1997-06-30	PRIJEM	\N	221	69641	UROK	\N	\N
3459810	167	1997-07-31	PRIJEM	\N	340	104097	UROK	\N	\N
3459811	167	1997-08-31	PRIJEM	\N	361	104586	UROK	\N	\N
3459812	167	1997-09-30	PRIJEM	\N	223	65928	UROK	\N	\N
3459813	167	1997-10-31	PRIJEM	\N	290	58060	UROK	\N	\N
3459814	167	1997-11-30	PRIJEM	\N	289	73497	UROK	\N	\N
3459815	167	1997-12-31	PRIJEM	\N	336	66960	UROK	\N	\N
3459816	167	1998-01-31	PRIJEM	\N	227	24940	UROK	\N	\N
3459817	167	1998-02-28	PRIJEM	\N	149	63409	UROK	\N	\N
3459818	167	1998-03-31	PRIJEM	\N	203	43070	UROK	\N	\N
3459819	167	1998-04-30	PRIJEM	\N	188	36280	UROK	\N	\N
3459820	167	1998-05-31	PRIJEM	\N	124	23039	UROK	\N	\N
3459821	167	1998-06-30	PRIJEM	\N	194	75060	UROK	\N	\N
3459822	167	1998-07-31	PRIJEM	\N	218	36529	UROK	\N	\N
3459823	167	1998-08-31	PRIJEM	\N	234	108347	UROK	\N	\N
3459824	167	1998-09-30	PRIJEM	\N	328	89883	UROK	\N	\N
3459825	167	1998-10-31	PRIJEM	\N	355	97815	UROK	\N	\N
3459826	167	1998-11-30	PRIJEM	\N	322	70885	UROK	\N	\N
3459827	167	1998-12-31	PRIJEM	\N	222	49339	UROK	\N	\N
3459828	170	1996-07-31	PRIJEM	\N	53	18119	UROK	\N	\N
3459829	170	1996-08-31	PRIJEM	\N	146	42532	UROK	\N	\N
3459830	170	1996-09-30	PRIJEM	\N	153	53751	UROK	\N	\N
3459831	170	1996-10-31	PRIJEM	\N	173	41689	UROK	\N	\N
3459832	170	1996-11-30	PRIJEM	\N	173	41428	UROK	\N	\N
3459833	170	1996-12-31	PRIJEM	\N	199	47311	UROK	\N	\N
3459834	170	1997-01-31	PRIJEM	\N	224	43387	UROK	\N	\N
3459835	170	1997-02-28	PRIJEM	\N	211	42950	UROK	\N	\N
3459836	170	1997-03-31	PRIJEM	\N	179	43880	UROK	\N	\N
3459837	170	1997-04-30	PRIJEM	\N	207	43038	UROK	\N	\N
3459838	170	1997-05-31	PRIJEM	\N	211	42901	UROK	\N	\N
3459839	170	1997-06-30	PRIJEM	\N	207	43191	UROK	\N	\N
3459840	170	1997-07-31	PRIJEM	\N	178	41221	UROK	\N	\N
3459841	170	1997-08-31	PRIJEM	\N	172	42045	UROK	\N	\N
3459842	170	1997-09-30	PRIJEM	\N	177	44373	UROK	\N	\N
3459843	170	1997-10-31	PRIJEM	\N	184	43508	UROK	\N	\N
3459844	170	1997-11-30	PRIJEM	\N	189	39848	UROK	\N	\N
3459845	170	1997-12-31	PRIJEM	\N	213	44445	UROK	\N	\N
3459846	170	1998-01-31	PRIJEM	\N	202	37599	UROK	\N	\N
3459847	170	1998-02-28	PRIJEM	\N	188	40238	UROK	\N	\N
3459848	170	1998-03-31	PRIJEM	\N	193	46682	UROK	\N	\N
3459849	170	1998-04-30	PRIJEM	\N	195	48129	UROK	\N	\N
3459850	170	1998-05-31	PRIJEM	\N	202	49782	UROK	\N	\N
3459851	170	1998-06-30	PRIJEM	\N	236	48803	UROK	\N	\N
3459852	170	1998-07-31	PRIJEM	\N	202	48356	UROK	\N	\N
3459853	170	1998-08-31	PRIJEM	\N	210	55017	UROK	\N	\N
3459854	170	1998-09-30	PRIJEM	\N	234	58902	UROK	\N	\N
3459855	170	1998-10-31	PRIJEM	\N	243	58397	UROK	\N	\N
3459856	170	1998-11-30	PRIJEM	\N	251	53599	UROK	\N	\N
3459857	170	1998-12-31	PRIJEM	\N	227	56110	UROK	\N	\N
3459858	177	1997-10-31	PRIJEM	\N	17	21567	UROK	\N	\N
3459859	177	1997-11-30	PRIJEM	\N	100	33817	UROK	\N	\N
3459860	177	1997-12-31	PRIJEM	\N	150	43942	UROK	\N	\N
3459861	177	1998-01-31	PRIJEM	\N	186	46978	UROK	\N	\N
3459862	177	1998-02-28	PRIJEM	\N	196	48324	UROK	\N	\N
3459863	177	1998-03-31	PRIJEM	\N	199	46359	UROK	\N	\N
3459864	177	1998-04-30	PRIJEM	\N	192	45286	UROK	\N	\N
3459865	177	1998-05-31	PRIJEM	\N	189	46011	UROK	\N	\N
3459866	177	1998-06-30	PRIJEM	\N	208	47679	UROK	\N	\N
3459867	177	1998-07-31	PRIJEM	\N	213	39388	UROK	\N	\N
3459868	177	1998-08-31	PRIJEM	\N	161	35004	UROK	\N	\N
3459869	177	1998-09-30	PRIJEM	\N	150	38490	UROK	\N	\N
3459870	177	1998-10-31	PRIJEM	\N	157	36482	UROK	\N	\N
3459871	177	1998-11-30	PRIJEM	\N	152	36670	UROK	\N	\N
3459872	177	1998-12-31	PRIJEM	\N	221	62371	UROK	\N	\N
3459873	200	1994-07-31	PRIJEM	\N	31	9545	UROK	\N	\N
3459874	200	1994-08-31	PRIJEM	\N	89	24747	UROK	\N	\N
3459875	200	1994-09-30	PRIJEM	\N	124	31285	UROK	\N	\N
3459876	200	1994-10-31	PRIJEM	\N	142	35341	UROK	\N	\N
3459877	200	1994-11-30	PRIJEM	\N	128	39383	UROK	\N	\N
3459878	200	1994-12-31	PRIJEM	\N	152	32241	UROK	\N	\N
3459879	200	1995-01-31	PRIJEM	\N	142	29582	UROK	\N	\N
3459880	200	1995-02-28	PRIJEM	\N	124	38305	UROK	\N	\N
3459881	200	1995-03-31	PRIJEM	\N	143	37848	UROK	\N	\N
3459882	200	1995-04-30	PRIJEM	\N	158	38705	UROK	\N	\N
3459883	200	1995-05-31	PRIJEM	\N	162	40066	UROK	\N	\N
3459884	200	1995-06-30	PRIJEM	\N	167	41540	UROK	\N	\N
3459885	200	1995-07-31	PRIJEM	\N	186	39225	UROK	\N	\N
3459886	200	1995-08-31	PRIJEM	\N	165	41889	UROK	\N	\N
3459887	200	1995-09-30	PRIJEM	\N	193	40681	UROK	\N	\N
3459888	200	1995-10-31	PRIJEM	\N	169	40750	UROK	\N	\N
3459889	200	1995-11-30	PRIJEM	\N	180	41029	UROK	\N	\N
3459890	200	1995-12-31	PRIJEM	\N	175	45111	UROK	\N	\N
3459891	200	1996-01-31	PRIJEM	\N	189	45798	UROK	\N	\N
3459892	200	1996-02-29	PRIJEM	\N	193	48291	UROK	\N	\N
3459893	200	1996-03-31	PRIJEM	\N	201	48491	UROK	\N	\N
3459894	200	1996-04-30	PRIJEM	\N	203	50193	UROK	\N	\N
3459895	200	1996-05-31	PRIJEM	\N	220	48013	UROK	\N	\N
3459896	200	1996-06-30	PRIJEM	\N	207	50026	UROK	\N	\N
3459897	200	1996-07-31	PRIJEM	\N	216	56141	UROK	\N	\N
3459898	200	1996-08-31	PRIJEM	\N	243	55183	UROK	\N	\N
3459899	200	1996-09-30	PRIJEM	\N	236	60118	UROK	\N	\N
3459900	200	1996-10-31	PRIJEM	\N	256	64574	UROK	\N	\N
3459901	200	1996-11-30	PRIJEM	\N	272	67146	UROK	\N	\N
3459902	200	1996-12-31	PRIJEM	\N	295	70647	UROK	\N	\N
3459903	200	1997-01-31	PRIJEM	\N	304	76851	UROK	\N	\N
3459904	200	1997-02-28	PRIJEM	\N	321	77971	UROK	\N	\N
3459905	200	1997-03-31	PRIJEM	\N	321	76491	UROK	\N	\N
3459906	200	1997-04-30	PRIJEM	\N	316	75805	UROK	\N	\N
3459907	200	1997-05-31	PRIJEM	\N	310	72815	UROK	\N	\N
3459908	200	1997-06-30	PRIJEM	\N	306	75428	UROK	\N	\N
3459909	200	1997-07-31	PRIJEM	\N	312	73039	UROK	\N	\N
3459910	200	1997-08-31	PRIJEM	\N	315	79053	UROK	\N	\N
3459911	200	1997-09-30	PRIJEM	\N	341	85794	UROK	\N	\N
3459912	200	1997-10-31	PRIJEM	\N	352	86545	UROK	\N	\N
3459913	200	1997-11-30	PRIJEM	\N	364	85408	UROK	\N	\N
3459914	200	1997-12-31	PRIJEM	\N	377	92791	UROK	\N	\N
3459915	200	1998-01-31	PRIJEM	\N	393	96483	UROK	\N	\N
3459916	200	1998-02-28	PRIJEM	\N	404	98486	UROK	\N	\N
3459917	200	1998-03-31	PRIJEM	\N	413	99999	UROK	\N	\N
3459918	200	1998-04-30	PRIJEM	\N	426	105424	UROK	\N	\N
3459919	200	1998-05-31	PRIJEM	\N	440	105964	UROK	\N	\N
3459920	200	1998-06-30	PRIJEM	\N	429	99998	UROK	\N	\N
3459921	200	1998-07-31	PRIJEM	\N	430	105528	UROK	\N	\N
3459922	200	1998-08-31	PRIJEM	\N	445	108072	UROK	\N	\N
3459923	200	1998-09-30	PRIJEM	\N	470	116742	UROK	\N	\N
3459924	200	1998-10-31	PRIJEM	\N	470	114211	UROK	\N	\N
3459925	200	1998-11-30	PRIJEM	\N	434	102045	UROK	\N	\N
3459926	200	1998-12-31	PRIJEM	\N	454	98906	UROK	\N	\N
3459927	223	1995-08-31	PRIJEM	\N	115	42818	UROK	\N	\N
3459928	223	1995-09-30	PRIJEM	\N	178	31996	UROK	\N	\N
3459929	223	1995-10-31	PRIJEM	\N	268	76631	UROK	\N	\N
3459930	223	1995-11-30	PRIJEM	\N	318	52649	UROK	\N	\N
3459931	223	1995-12-31	PRIJEM	\N	318	40968	UROK	\N	\N
3459932	223	1996-01-31	PRIJEM	\N	318	33586	UROK	\N	\N
3459933	223	1996-02-29	PRIJEM	\N	315	71686	UROK	\N	\N
3459934	223	1996-03-31	PRIJEM	\N	297	46183	UROK	\N	\N
3459935	223	1996-04-30	PRIJEM	\N	297	31681	UROK	\N	\N
3459936	223	1996-05-31	PRIJEM	\N	297	24778	UROK	\N	\N
3459937	223	1996-06-30	PRIJEM	\N	199	41964	UROK	\N	\N
3459938	223	1996-07-31	PRIJEM	\N	174	31838	UROK	\N	\N
3459939	223	1996-08-31	PRIJEM	\N	174	30511	UROK	\N	\N
3459940	223	1996-09-30	PRIJEM	\N	174	32085	UROK	\N	\N
3459941	223	1996-10-31	PRIJEM	\N	174	26659	UROK	\N	\N
3459942	223	1996-11-30	PRIJEM	\N	174	27033	UROK	\N	\N
3459943	223	1996-12-31	PRIJEM	\N	174	26907	UROK	\N	\N
3459944	223	1997-01-31	PRIJEM	\N	174	27881	UROK	\N	\N
3459945	223	1997-02-28	PRIJEM	\N	174	33455	UROK	\N	\N
3459946	223	1997-03-31	PRIJEM	\N	174	33329	UROK	\N	\N
3459947	223	1997-04-30	PRIJEM	\N	174	34203	UROK	\N	\N
3459948	223	1997-05-31	PRIJEM	\N	179	51144	UROK	\N	\N
3459949	223	1997-06-30	PRIJEM	\N	150	24779	UROK	\N	\N
3459950	223	1997-07-31	PRIJEM	\N	267	69734	UROK	\N	\N
3459951	223	1997-08-31	PRIJEM	\N	218	51137	UROK	\N	\N
3459952	223	1997-09-30	PRIJEM	\N	165	38287	UROK	\N	\N
3459953	223	1997-10-31	PRIJEM	\N	140	32713	UROK	\N	\N
3459954	223	1997-11-30	PRIJEM	\N	120	25318	UROK	\N	\N
3459955	223	1997-12-31	PRIJEM	\N	105	25209	UROK	\N	\N
3459956	223	1998-01-31	PRIJEM	\N	104	25498	UROK	\N	\N
3459957	223	1998-02-28	PRIJEM	\N	105	25589	UROK	\N	\N
3459958	223	1998-03-31	PRIJEM	\N	180	46247	UROK	\N	\N
3459959	223	1998-04-30	PRIJEM	\N	191	39723	UROK	\N	\N
3459960	223	1998-05-31	PRIJEM	\N	163	36271	UROK	\N	\N
3459961	223	1998-06-30	PRIJEM	\N	150	35306	UROK	\N	\N
3459962	223	1998-07-31	PRIJEM	\N	147	43639	UROK	\N	\N
3459963	223	1998-08-31	PRIJEM	\N	181	44205	UROK	\N	\N
3459964	223	1998-09-30	PRIJEM	\N	183	41873	UROK	\N	\N
3459965	223	1998-10-31	PRIJEM	\N	173	39531	UROK	\N	\N
3459966	223	1998-11-30	PRIJEM	\N	155	31072	UROK	\N	\N
3459967	223	1998-12-31	PRIJEM	\N	123	24980	UROK	\N	\N
3459968	256	1995-06-30	PRIJEM	\N	74	25514	UROK	\N	\N
3459969	256	1995-07-31	PRIJEM	\N	161	37035	UROK	\N	\N
3459970	256	1995-08-31	PRIJEM	\N	203	51598	UROK	\N	\N
3459971	256	1995-09-30	PRIJEM	\N	229	57487	UROK	\N	\N
3459972	256	1995-10-31	PRIJEM	\N	242	58889	UROK	\N	\N
3459973	256	1995-11-30	PRIJEM	\N	248	62682	UROK	\N	\N
3459974	256	1995-12-31	PRIJEM	\N	280	73187	UROK	\N	\N
3459975	256	1996-01-31	PRIJEM	\N	260	51292	UROK	\N	\N
3459976	256	1996-02-29	PRIJEM	\N	218	57155	UROK	\N	\N
3459977	256	1996-03-31	PRIJEM	\N	255	63955	UROK	\N	\N
3459978	256	1996-04-30	PRIJEM	\N	275	67776	UROK	\N	\N
3459979	256	1996-05-31	PRIJEM	\N	291	71612	UROK	\N	\N
3459980	256	1996-06-30	PRIJEM	\N	290	76527	UROK	\N	\N
3459981	256	1996-07-31	PRIJEM	\N	312	74285	UROK	\N	\N
3459982	256	1996-08-31	PRIJEM	\N	294	68624	UROK	\N	\N
3459983	256	1996-09-30	PRIJEM	\N	285	68754	UROK	\N	\N
3459984	256	1996-10-31	PRIJEM	\N	281	67080	UROK	\N	\N
3459985	256	1996-11-30	PRIJEM	\N	279	67605	UROK	\N	\N
3459986	256	1996-12-31	PRIJEM	\N	267	69498	UROK	\N	\N
3459987	256	1997-01-31	PRIJEM	\N	210	50153	UROK	\N	\N
3459988	256	1997-02-28	PRIJEM	\N	217	54316	UROK	\N	\N
3459989	256	1997-03-31	PRIJEM	\N	214	52276	UROK	\N	\N
3459990	256	1997-04-30	PRIJEM	\N	223	54844	UROK	\N	\N
3459991	256	1997-05-31	PRIJEM	\N	200	53089	UROK	\N	\N
3459992	256	1997-06-30	PRIJEM	\N	221	38835	UROK	\N	\N
3459993	256	1997-07-31	PRIJEM	\N	187	49467	UROK	\N	\N
3459994	256	1997-08-31	PRIJEM	\N	206	50818	UROK	\N	\N
3459995	256	1997-09-30	PRIJEM	\N	152	56016	UROK	\N	\N
3459996	256	1997-10-31	PRIJEM	\N	191	33252	UROK	\N	\N
3459997	256	1997-11-30	PRIJEM	\N	154	29652	UROK	\N	\N
3459998	256	1997-12-31	PRIJEM	\N	171	27149	UROK	\N	\N
3459999	256	1998-01-31	PRIJEM	\N	127	17921	UROK	\N	\N
3460000	256	1998-02-28	PRIJEM	\N	74	21440	UROK	\N	\N
3460001	256	1998-03-31	PRIJEM	\N	88	23774	UROK	\N	\N
3460002	256	1998-04-30	PRIJEM	\N	97	23816	UROK	\N	\N
3460003	256	1998-05-31	PRIJEM	\N	94	18955	UROK	\N	\N
3460004	256	1998-06-30	PRIJEM	\N	76	18656	UROK	\N	\N
3460005	256	1998-07-31	PRIJEM	\N	79	24280	UROK	\N	\N
3460006	256	1998-08-31	PRIJEM	\N	122	19848	UROK	\N	\N
3460007	256	1998-09-30	PRIJEM	\N	80	19973	UROK	\N	\N
3460008	256	1998-10-31	PRIJEM	\N	83	39001	UROK	\N	\N
3460009	256	1998-11-30	PRIJEM	\N	144	23891	UROK	\N	\N
3460010	256	1998-12-31	PRIJEM	\N	125	17041	UROK	\N	\N
3460011	297	1996-09-30	PRIJEM	\N	4	1904	UROK	\N	\N
3460012	297	1996-10-31	PRIJEM	\N	39	14344	UROK	\N	\N
3460013	297	1996-11-30	PRIJEM	\N	73	20717	UROK	\N	\N
3460014	297	1996-12-31	PRIJEM	\N	90	22592	UROK	\N	\N
3460015	297	1997-01-31	PRIJEM	\N	72	13300	UROK	\N	\N
3460016	297	1997-02-28	PRIJEM	\N	71	20156	UROK	\N	\N
3460017	297	1997-03-31	PRIJEM	\N	86	21027	UROK	\N	\N
3460018	297	1997-04-30	PRIJEM	\N	88	21501	UROK	\N	\N
3460019	297	1997-05-31	PRIJEM	\N	89	21525	UROK	\N	\N
3460020	297	1997-06-30	PRIJEM	\N	94	23555	UROK	\N	\N
3460021	297	1997-07-31	PRIJEM	\N	104	26444	UROK	\N	\N
3460022	297	1997-08-31	PRIJEM	\N	171	64826	UROK	\N	\N
3460023	297	1997-09-30	PRIJEM	\N	219	44630	UROK	\N	\N
3460024	297	1997-10-31	PRIJEM	\N	256	65624	UROK	\N	\N
3460025	297	1997-11-30	PRIJEM	\N	230	43639	UROK	\N	\N
3460026	297	1997-12-31	PRIJEM	\N	151	34775	UROK	\N	\N
3460027	297	1998-01-31	PRIJEM	\N	93	23403	UROK	\N	\N
3460028	297	1998-02-28	PRIJEM	\N	138	43012	UROK	\N	\N
3460029	297	1998-03-31	PRIJEM	\N	161	36459	UROK	\N	\N
3460030	297	1998-04-30	PRIJEM	\N	147	34391	UROK	\N	\N
3460031	297	1998-05-31	PRIJEM	\N	125	25701	UROK	\N	\N
3460032	297	1998-06-30	PRIJEM	\N	97	20884	UROK	\N	\N
3460033	297	1998-07-31	PRIJEM	\N	74	13693	UROK	\N	\N
3460034	297	1998-08-31	PRIJEM	\N	60	17239	UROK	\N	\N
3460035	297	1998-09-30	PRIJEM	\N	72	14197	UROK	\N	\N
3460036	297	1998-10-31	PRIJEM	\N	61	15344	UROK	\N	\N
3460037	297	1998-11-30	PRIJEM	\N	63	15542	UROK	\N	\N
3460038	297	1998-12-31	PRIJEM	\N	119	61477	UROK	\N	\N
3460039	299	1993-04-30	PRIJEM	\N	43	34525	UROK	\N	\N
3460040	299	1993-05-31	PRIJEM	\N	144	30969	UROK	\N	\N
3460041	299	1993-06-30	PRIJEM	\N	144	29612	UROK	\N	\N
3460042	299	1993-07-31	PRIJEM	\N	317	88845	UROK	\N	\N
3460043	299	1993-08-31	PRIJEM	\N	388	77093	UROK	\N	\N
3460044	299	1993-09-30	PRIJEM	\N	317	48995	UROK	\N	\N
3460045	299	1993-10-31	PRIJEM	\N	202	35583	UROK	\N	\N
3460046	299	1993-11-30	PRIJEM	\N	147	28416	UROK	\N	\N
3460047	299	1993-12-31	PRIJEM	\N	118	27819	UROK	\N	\N
3460048	299	1994-01-31	PRIJEM	\N	310	61954	UROK	\N	\N
3460049	299	1994-02-28	PRIJEM	\N	263	95721	UROK	\N	\N
3460050	299	1994-03-31	PRIJEM	\N	358	73835	UROK	\N	\N
3460051	299	1994-04-30	PRIJEM	\N	203	41023	UROK	\N	\N
3460052	299	1994-05-31	PRIJEM	\N	225	44374	UROK	\N	\N
3460053	299	1994-06-30	PRIJEM	\N	284	69640	UROK	\N	\N
3460054	299	1994-07-31	PRIJEM	\N	280	48180	UROK	\N	\N
3460055	299	1994-08-31	PRIJEM	\N	195	39514	UROK	\N	\N
3460056	299	1994-09-30	PRIJEM	\N	180	48470	UROK	\N	\N
3460057	299	1994-10-31	PRIJEM	\N	210	80208	UROK	\N	\N
3460058	299	1994-11-30	PRIJEM	\N	332	94838	UROK	\N	\N
3460059	299	1994-12-31	PRIJEM	\N	366	59890	UROK	\N	\N
3460060	299	1995-01-31	PRIJEM	\N	282	65275	UROK	\N	\N
3460061	299	1995-02-28	PRIJEM	\N	287	50191	UROK	\N	\N
3460062	299	1995-03-31	PRIJEM	\N	274	51654	UROK	\N	\N
3460063	299	1995-04-30	PRIJEM	\N	226	52698	UROK	\N	\N
3460064	299	1995-05-31	PRIJEM	\N	284	55494	UROK	\N	\N
3460065	299	1995-06-30	PRIJEM	\N	344	57927	UROK	\N	\N
3460066	299	1995-07-31	PRIJEM	\N	237	54883	UROK	\N	\N
3460067	299	1995-08-31	PRIJEM	\N	246	69749	UROK	\N	\N
3460068	299	1995-09-30	PRIJEM	\N	315	110249	UROK	\N	\N
3460069	299	1995-10-31	PRIJEM	\N	302	50398	UROK	\N	\N
3460070	299	1995-11-30	PRIJEM	\N	292	49166	UROK	\N	\N
3460071	299	1995-12-31	PRIJEM	\N	244	60845	UROK	\N	\N
3460072	299	1996-01-31	PRIJEM	\N	231	38562	UROK	\N	\N
3460073	299	1996-02-29	PRIJEM	\N	192	59196	UROK	\N	\N
3460074	299	1996-03-31	PRIJEM	\N	284	64749	UROK	\N	\N
3460075	299	1996-04-30	PRIJEM	\N	353	66299	UROK	\N	\N
3460076	299	1996-05-31	PRIJEM	\N	328	95387	UROK	\N	\N
3460077	299	1996-06-30	PRIJEM	\N	338	32973	UROK	\N	\N
3460078	299	1996-07-31	PRIJEM	\N	134	27992	UROK	\N	\N
3460079	299	1996-08-31	PRIJEM	\N	218	64178	UROK	\N	\N
3460080	299	1996-09-30	PRIJEM	\N	258	65087	UROK	\N	\N
3460081	299	1996-10-31	PRIJEM	\N	254	60053	UROK	\N	\N
3460082	299	1996-11-30	PRIJEM	\N	286	83805	UROK	\N	\N
3460083	299	1996-12-31	PRIJEM	\N	333	82989	UROK	\N	\N
3460084	299	1997-01-31	PRIJEM	\N	333	81834	UROK	\N	\N
3460085	299	1997-02-28	PRIJEM	\N	335	60055	UROK	\N	\N
3460086	299	1997-03-31	PRIJEM	\N	252	61310	UROK	\N	\N
3460087	299	1997-04-30	PRIJEM	\N	342	56774	UROK	\N	\N
3460088	299	1997-05-31	PRIJEM	\N	281	70031	UROK	\N	\N
3460089	299	1997-06-30	PRIJEM	\N	264	74140	UROK	\N	\N
3460090	299	1997-07-31	PRIJEM	\N	300	72197	UROK	\N	\N
3460091	299	1997-08-31	PRIJEM	\N	296	62178	UROK	\N	\N
3460092	299	1997-09-30	PRIJEM	\N	332	99967	UROK	\N	\N
3460093	299	1997-10-31	PRIJEM	\N	408	99958	UROK	\N	\N
3460094	299	1997-11-30	PRIJEM	\N	426	82592	UROK	\N	\N
3460095	299	1997-12-31	PRIJEM	\N	356	83321	UROK	\N	\N
3460096	299	1998-01-31	PRIJEM	\N	251	49357	UROK	\N	\N
3460097	299	1998-02-28	PRIJEM	\N	193	45935	UROK	\N	\N
3460098	299	1998-03-31	PRIJEM	\N	175	39896	UROK	\N	\N
3460099	299	1998-04-30	PRIJEM	\N	179	46160	UROK	\N	\N
3460100	299	1998-05-31	PRIJEM	\N	188	53933	UROK	\N	\N
3460101	299	1998-06-30	PRIJEM	\N	238	52091	UROK	\N	\N
3460102	299	1998-07-31	PRIJEM	\N	212	59388	UROK	\N	\N
3460103	299	1998-08-31	PRIJEM	\N	242	63815	UROK	\N	\N
3460104	299	1998-09-30	PRIJEM	\N	259	64059	UROK	\N	\N
3460105	299	1998-10-31	PRIJEM	\N	305	96044	UROK	\N	\N
3460106	299	1998-11-30	PRIJEM	\N	392	88322	UROK	\N	\N
3460107	299	1998-12-31	PRIJEM	\N	378	84370	UROK	\N	\N
3460108	307	1997-08-31	PRIJEM	\N	70	22850	UROK	\N	\N
3460109	307	1997-09-30	PRIJEM	\N	161	44491	UROK	\N	\N
3460110	307	1997-10-31	PRIJEM	\N	223	56794	UROK	\N	\N
3460111	307	1997-11-30	PRIJEM	\N	255	63028	UROK	\N	\N
3460112	307	1997-12-31	PRIJEM	\N	286	70734	UROK	\N	\N
3460113	307	1998-01-31	PRIJEM	\N	235	57134	UROK	\N	\N
3460114	307	1998-02-28	PRIJEM	\N	241	58441	UROK	\N	\N
3460115	307	1998-03-31	PRIJEM	\N	255	62562	UROK	\N	\N
3460116	307	1998-04-30	PRIJEM	\N	260	60687	UROK	\N	\N
3460117	307	1998-05-31	PRIJEM	\N	246	58798	UROK	\N	\N
3460118	307	1998-06-30	PRIJEM	\N	266	58370	UROK	\N	\N
3460119	307	1998-07-31	PRIJEM	\N	262	64797	UROK	\N	\N
3460120	307	1998-08-31	PRIJEM	\N	270	65333	UROK	\N	\N
3460121	307	1998-09-30	PRIJEM	\N	253	59852	UROK	\N	\N
3460122	307	1998-10-31	PRIJEM	\N	247	60164	UROK	\N	\N
3460123	307	1998-11-30	PRIJEM	\N	167	62396	UROK	\N	\N
3460124	307	1998-12-31	PRIJEM	\N	266	72168	UROK	\N	\N
3460125	316	1997-05-31	PRIJEM	\N	5	2105	UROK	\N	\N
3460126	316	1997-06-30	PRIJEM	\N	46	17351	UROK	\N	\N
3460127	316	1997-07-31	PRIJEM	\N	84	23535	UROK	\N	\N
3460128	316	1997-08-31	PRIJEM	\N	197	69769	UROK	\N	\N
3460129	316	1997-09-30	PRIJEM	\N	247	52151	UROK	\N	\N
3460130	316	1997-10-31	PRIJEM	\N	188	41675	UROK	\N	\N
3460131	316	1997-11-30	PRIJEM	\N	168	39428	UROK	\N	\N
3460132	316	1997-12-31	PRIJEM	\N	155	35968	UROK	\N	\N
3460133	316	1998-01-31	PRIJEM	\N	147	35001	UROK	\N	\N
3460134	316	1998-02-28	PRIJEM	\N	135	31122	UROK	\N	\N
3460135	316	1998-03-31	PRIJEM	\N	132	30889	UROK	\N	\N
3460136	316	1998-04-30	PRIJEM	\N	209	70011	UROK	\N	\N
3460137	316	1998-05-31	PRIJEM	\N	253	52649	UROK	\N	\N
3460138	316	1998-06-30	PRIJEM	\N	160	21694	UROK	\N	\N
3460139	316	1998-07-31	PRIJEM	\N	110	30790	UROK	\N	\N
3460140	316	1998-08-31	PRIJEM	\N	129	29604	UROK	\N	\N
3460141	316	1998-09-30	PRIJEM	\N	140	37441	UROK	\N	\N
3460142	316	1998-10-31	PRIJEM	\N	132	23558	UROK	\N	\N
3460143	316	1998-11-30	PRIJEM	\N	98	22691	UROK	\N	\N
3460144	316	1998-12-31	PRIJEM	\N	89	20666	UROK	\N	\N
3460145	320	1997-02-28	PRIJEM	\N	19	16519	UROK	\N	\N
3460146	320	1997-03-31	PRIJEM	\N	75	20494	UROK	\N	\N
3460147	320	1997-04-30	PRIJEM	\N	88	21682	UROK	\N	\N
3460148	320	1997-05-31	PRIJEM	\N	96	24463	UROK	\N	\N
3460149	320	1997-06-30	PRIJEM	\N	89	19937	UROK	\N	\N
3460150	320	1997-07-31	PRIJEM	\N	86	22259	UROK	\N	\N
3460151	320	1997-08-31	PRIJEM	\N	98	24942	UROK	\N	\N
3460152	320	1997-09-30	PRIJEM	\N	103	24680	UROK	\N	\N
3460153	320	1997-10-31	PRIJEM	\N	128	33596	UROK	\N	\N
3460154	320	1997-11-30	PRIJEM	\N	145	34075	UROK	\N	\N
3460155	320	1997-12-31	PRIJEM	\N	131	28292	UROK	\N	\N
3460156	320	1998-01-31	PRIJEM	\N	127	22316	UROK	\N	\N
3460157	320	1998-02-28	PRIJEM	\N	99	25800	UROK	\N	\N
3460158	320	1998-03-31	PRIJEM	\N	151	46125	UROK	\N	\N
3460159	320	1998-04-30	PRIJEM	\N	189	38099	UROK	\N	\N
3460160	320	1998-05-31	PRIJEM	\N	153	35338	UROK	\N	\N
3460161	320	1998-06-30	PRIJEM	\N	126	26600	UROK	\N	\N
3460162	320	1998-07-31	PRIJEM	\N	121	31906	UROK	\N	\N
3460163	320	1998-08-31	PRIJEM	\N	141	35982	UROK	\N	\N
3460164	320	1998-09-30	PRIJEM	\N	151	36968	UROK	\N	\N
3460165	320	1998-10-31	PRIJEM	\N	159	39913	UROK	\N	\N
3460166	320	1998-11-30	PRIJEM	\N	170	42268	UROK	\N	\N
3460167	320	1998-12-31	PRIJEM	\N	178	44232	UROK	\N	\N
3460168	341	1996-12-31	PRIJEM	\N	43	24583	UROK	\N	\N
3460169	341	1997-01-31	PRIJEM	\N	113	30088	UROK	\N	\N
3460170	341	1997-02-28	PRIJEM	\N	130	32911	UROK	\N	\N
3460171	341	1997-03-31	PRIJEM	\N	132	30136	UROK	\N	\N
3460172	341	1997-04-30	PRIJEM	\N	115	22044	UROK	\N	\N
3460173	341	1997-05-31	PRIJEM	\N	94	21616	UROK	\N	\N
3460174	341	1997-06-30	PRIJEM	\N	69	11910	UROK	\N	\N
3460175	341	1997-07-31	PRIJEM	\N	69	21457	UROK	\N	\N
3460176	341	1997-08-31	PRIJEM	\N	95	22331	UROK	\N	\N
3460177	341	1997-09-30	PRIJEM	\N	110	24319	UROK	\N	\N
3460178	341	1997-10-31	PRIJEM	\N	98	22795	UROK	\N	\N
3460179	341	1997-11-30	PRIJEM	\N	90	20863	UROK	\N	\N
3460180	341	1997-12-31	PRIJEM	\N	87	20076	UROK	\N	\N
3460181	341	1998-01-31	PRIJEM	\N	80	15634	UROK	\N	\N
3460182	341	1998-02-28	PRIJEM	\N	73	18685	UROK	\N	\N
3460183	341	1998-03-31	PRIJEM	\N	82	20445	UROK	\N	\N
3460184	341	1998-04-30	PRIJEM	\N	89	22313	UROK	\N	\N
3460185	341	1998-05-31	PRIJEM	\N	81	17973	UROK	\N	\N
3460186	341	1998-06-30	PRIJEM	\N	85	21782	UROK	\N	\N
3460187	341	1998-07-31	PRIJEM	\N	74	15635	UROK	\N	\N
3460188	341	1998-08-31	PRIJEM	\N	69	16281	UROK	\N	\N
3460189	341	1998-09-30	PRIJEM	\N	68	16628	UROK	\N	\N
3460190	341	1998-10-31	PRIJEM	\N	68	16475	UROK	\N	\N
3460191	341	1998-11-30	PRIJEM	\N	60	13713	UROK	\N	\N
3460192	341	1998-12-31	PRIJEM	\N	63	14301	UROK	\N	\N
3460193	348	1995-12-31	PRIJEM	\N	65	28694	UROK	\N	\N
3460194	348	1996-01-31	PRIJEM	\N	137	36017	UROK	\N	\N
3460195	348	1996-02-29	PRIJEM	\N	163	41466	UROK	\N	\N
3460196	348	1996-03-31	PRIJEM	\N	181	45033	UROK	\N	\N
3460197	348	1996-04-30	PRIJEM	\N	192	47111	UROK	\N	\N
3460198	348	1996-05-31	PRIJEM	\N	191	43674	UROK	\N	\N
3460199	348	1996-06-30	PRIJEM	\N	207	45095	UROK	\N	\N
3460200	348	1996-07-31	PRIJEM	\N	188	45355	UROK	\N	\N
3460201	348	1996-08-31	PRIJEM	\N	175	40701	UROK	\N	\N
3460202	348	1996-09-30	PRIJEM	\N	158	37031	UROK	\N	\N
3460203	348	1996-10-31	PRIJEM	\N	147	34749	UROK	\N	\N
3460204	348	1996-11-30	PRIJEM	\N	139	33160	UROK	\N	\N
3460205	348	1996-12-31	PRIJEM	\N	176	41251	UROK	\N	\N
3460206	348	1997-01-31	PRIJEM	\N	148	26571	UROK	\N	\N
3460207	348	1997-02-28	PRIJEM	\N	116	28458	UROK	\N	\N
3460208	348	1997-03-31	PRIJEM	\N	120	27350	UROK	\N	\N
3460209	348	1997-04-30	PRIJEM	\N	120	27541	UROK	\N	\N
3460210	348	1997-05-31	PRIJEM	\N	113	27226	UROK	\N	\N
3460211	348	1997-06-30	PRIJEM	\N	90	19930	UROK	\N	\N
3460212	348	1997-07-31	PRIJEM	\N	97	21299	UROK	\N	\N
3460213	348	1997-08-31	PRIJEM	\N	100	24670	UROK	\N	\N
3460214	348	1997-09-30	PRIJEM	\N	96	23037	UROK	\N	\N
3460215	348	1997-10-31	PRIJEM	\N	109	25518	UROK	\N	\N
3460216	348	1997-11-30	PRIJEM	\N	155	39445	UROK	\N	\N
3460217	348	1997-12-31	PRIJEM	\N	216	50575	UROK	\N	\N
3460218	348	1998-01-31	PRIJEM	\N	159	31406	UROK	\N	\N
3460219	348	1998-02-28	PRIJEM	\N	178	43155	UROK	\N	\N
3460220	348	1998-03-31	PRIJEM	\N	219	54346	UROK	\N	\N
3460221	348	1998-04-30	PRIJEM	\N	246	60263	UROK	\N	\N
3460222	348	1998-05-31	PRIJEM	\N	279	68413	UROK	\N	\N
3460223	348	1998-06-30	PRIJEM	\N	314	60142	UROK	\N	\N
3460224	348	1998-07-31	PRIJEM	\N	276	67789	UROK	\N	\N
3460225	348	1998-08-31	PRIJEM	\N	277	65737	UROK	\N	\N
3460226	348	1998-09-30	PRIJEM	\N	273	68582	UROK	\N	\N
3460227	348	1998-10-31	PRIJEM	\N	279	50632	UROK	\N	\N
3460228	348	1998-11-30	PRIJEM	\N	208	48712	UROK	\N	\N
3460229	348	1998-12-31	PRIJEM	\N	279	73105	UROK	\N	\N
3460230	351	1997-02-28	PRIJEM	\N	4	2404	UROK	\N	\N
3460231	351	1997-03-31	PRIJEM	\N	32	14636	UROK	\N	\N
3460232	351	1997-04-30	PRIJEM	\N	66	17401	UROK	\N	\N
3460233	351	1997-05-31	PRIJEM	\N	77	21664	UROK	\N	\N
3460234	351	1997-06-30	PRIJEM	\N	95	24545	UROK	\N	\N
3460235	351	1997-07-31	PRIJEM	\N	118	28886	UROK	\N	\N
3460236	351	1997-08-31	PRIJEM	\N	117	27589	UROK	\N	\N
3460237	351	1997-09-30	PRIJEM	\N	114	57567	UROK	\N	\N
3460238	351	1997-10-31	PRIJEM	\N	198	39551	UROK	\N	\N
3460239	351	1997-11-30	PRIJEM	\N	147	32433	UROK	\N	\N
3460240	351	1997-12-31	PRIJEM	\N	133	28251	UROK	\N	\N
3460241	351	1998-01-31	PRIJEM	\N	91	20178	UROK	\N	\N
3460242	351	1998-02-28	PRIJEM	\N	92	24155	UROK	\N	\N
3460243	351	1998-03-31	PRIJEM	\N	93	21634	UROK	\N	\N
3460244	351	1998-04-30	PRIJEM	\N	180	62632	UROK	\N	\N
3460245	351	1998-05-31	PRIJEM	\N	208	41025	UROK	\N	\N
3460246	351	1998-06-30	PRIJEM	\N	142	29952	UROK	\N	\N
3460247	351	1998-07-31	PRIJEM	\N	126	30763	UROK	\N	\N
3460248	351	1998-08-31	PRIJEM	\N	116	34533	UROK	\N	\N
3460249	351	1998-09-30	PRIJEM	\N	127	26845	UROK	\N	\N
3460250	351	1998-10-31	PRIJEM	\N	99	20730	UROK	\N	\N
3460251	351	1998-11-30	PRIJEM	\N	82	18097	UROK	\N	\N
3460252	351	1998-12-31	PRIJEM	\N	73	18155	UROK	\N	\N
3460253	360	1996-06-30	PRIJEM	\N	79	31485	UROK	\N	\N
3460254	360	1996-07-31	PRIJEM	\N	148	38337	UROK	\N	\N
3460255	360	1996-08-31	PRIJEM	\N	183	47123	UROK	\N	\N
3460256	360	1996-09-30	PRIJEM	\N	205	50532	UROK	\N	\N
3460257	360	1996-10-31	PRIJEM	\N	220	54056	UROK	\N	\N
3460258	360	1996-11-30	PRIJEM	\N	209	45635	UROK	\N	\N
3460259	360	1996-12-31	PRIJEM	\N	294	54520	UROK	\N	\N
3460260	360	1997-01-31	PRIJEM	\N	244	49253	UROK	\N	\N
3460261	360	1997-02-28	PRIJEM	\N	232	58734	UROK	\N	\N
3460262	360	1997-03-31	PRIJEM	\N	312	53735	UROK	\N	\N
3460263	360	1997-04-30	PRIJEM	\N	251	63475	UROK	\N	\N
3460264	360	1997-05-31	PRIJEM	\N	278	68642	UROK	\N	\N
3460265	360	1997-06-30	PRIJEM	\N	270	51684	UROK	\N	\N
3460266	360	1997-07-31	PRIJEM	\N	236	59309	UROK	\N	\N
3460267	360	1997-08-31	PRIJEM	\N	245	58943	UROK	\N	\N
3460268	360	1997-09-30	PRIJEM	\N	246	56358	UROK	\N	\N
3460269	360	1997-10-31	PRIJEM	\N	243	59691	UROK	\N	\N
3460270	360	1997-11-30	PRIJEM	\N	246	59326	UROK	\N	\N
3460271	360	1997-12-31	PRIJEM	\N	258	69675	UROK	\N	\N
3460272	360	1998-01-31	PRIJEM	\N	259	50184	UROK	\N	\N
3460273	360	1998-02-28	PRIJEM	\N	219	50712	UROK	\N	\N
3460274	360	1998-03-31	PRIJEM	\N	206	48248	UROK	\N	\N
3460275	360	1998-04-30	PRIJEM	\N	214	52951	UROK	\N	\N
3460276	360	1998-05-31	PRIJEM	\N	229	56368	UROK	\N	\N
3460277	360	1998-06-30	PRIJEM	\N	238	34678	UROK	\N	\N
3460278	360	1998-07-31	PRIJEM	\N	165	42433	UROK	\N	\N
3460279	360	1998-08-31	PRIJEM	\N	187	43669	UROK	\N	\N
3460280	360	1998-09-30	PRIJEM	\N	181	44139	UROK	\N	\N
3460281	360	1998-10-31	PRIJEM	\N	191	48520	UROK	\N	\N
3460282	360	1998-11-30	PRIJEM	\N	106	50215	UROK	\N	\N
3460283	360	1998-12-31	PRIJEM	\N	177	55343	UROK	\N	\N
3460284	363	1994-06-30	PRIJEM	\N	133	49118	UROK	\N	\N
3460285	363	1994-07-31	PRIJEM	\N	234	85863	UROK	\N	\N
3460286	363	1994-08-31	PRIJEM	\N	357	58019	UROK	\N	\N
3460287	363	1994-09-30	PRIJEM	\N	281	53824	UROK	\N	\N
3460288	363	1994-10-31	PRIJEM	\N	223	37848	UROK	\N	\N
3460289	363	1994-11-30	PRIJEM	\N	223	31771	UROK	\N	\N
3460290	363	1994-12-31	PRIJEM	\N	223	26794	UROK	\N	\N
3460291	363	1995-01-31	PRIJEM	\N	153	19395	UROK	\N	\N
3460292	363	1995-02-28	PRIJEM	\N	118	63416	UROK	\N	\N
3460293	363	1995-03-31	PRIJEM	\N	193	35121	UROK	\N	\N
3460294	363	1995-04-30	PRIJEM	\N	309	68841	UROK	\N	\N
3460295	363	1995-05-31	PRIJEM	\N	270	68894	UROK	\N	\N
3460296	363	1995-06-30	PRIJEM	\N	305	75489	UROK	\N	\N
3460297	363	1995-07-31	PRIJEM	\N	350	41448	UROK	\N	\N
3460298	363	1995-08-31	PRIJEM	\N	362	63898	UROK	\N	\N
3460299	363	1995-09-30	PRIJEM	\N	293	56387	UROK	\N	\N
3460300	363	1995-10-31	PRIJEM	\N	232	41305	UROK	\N	\N
3460301	363	1995-11-30	PRIJEM	\N	285	59860	UROK	\N	\N
3460302	363	1995-12-31	PRIJEM	\N	277	51566	UROK	\N	\N
3460303	363	1996-01-31	PRIJEM	\N	200	31176	UROK	\N	\N
3460304	363	1996-02-29	PRIJEM	\N	192	31985	UROK	\N	\N
3460305	363	1996-03-31	PRIJEM	\N	129	28800	UROK	\N	\N
3460306	363	1996-04-30	PRIJEM	\N	138	34134	UROK	\N	\N
3460307	363	1996-05-31	PRIJEM	\N	177	46814	UROK	\N	\N
3460308	363	1996-06-30	PRIJEM	\N	193	52672	UROK	\N	\N
3460309	363	1996-07-31	PRIJEM	\N	311	59893	UROK	\N	\N
3460310	363	1996-08-31	PRIJEM	\N	262	84787	UROK	\N	\N
3460311	363	1996-09-30	PRIJEM	\N	351	89721	UROK	\N	\N
3460312	363	1996-10-31	PRIJEM	\N	480	112636	UROK	\N	\N
3460313	363	1996-11-30	PRIJEM	\N	318	55439	UROK	\N	\N
3460314	363	1996-12-31	PRIJEM	\N	181	42309	UROK	\N	\N
3460315	363	1997-01-31	PRIJEM	\N	189	72571	UROK	\N	\N
3460316	363	1997-02-28	PRIJEM	\N	290	41647	UROK	\N	\N
3460317	363	1997-03-31	PRIJEM	\N	223	59010	UROK	\N	\N
3460318	363	1997-04-30	PRIJEM	\N	210	37806	UROK	\N	\N
3460319	363	1997-05-31	PRIJEM	\N	146	31649	UROK	\N	\N
3460320	363	1997-06-30	PRIJEM	\N	284	61152	UROK	\N	\N
3460321	363	1997-07-31	PRIJEM	\N	249	42187	UROK	\N	\N
3460322	363	1997-08-31	PRIJEM	\N	374	92351	UROK	\N	\N
3460323	363	1997-09-30	PRIJEM	\N	375	94291	UROK	\N	\N
3460324	363	1997-10-31	PRIJEM	\N	385	67362	UROK	\N	\N
3460325	363	1997-11-30	PRIJEM	\N	248	45495	UROK	\N	\N
3460326	363	1997-12-31	PRIJEM	\N	228	63027	UROK	\N	\N
3460327	363	1998-01-31	PRIJEM	\N	225	37436	UROK	\N	\N
3460328	363	1998-02-28	PRIJEM	\N	265	94977	UROK	\N	\N
3460329	363	1998-03-31	PRIJEM	\N	413	113794	UROK	\N	\N
3460330	363	1998-04-30	PRIJEM	\N	266	109052	UROK	\N	\N
3460331	363	1998-05-31	PRIJEM	\N	400	101603	UROK	\N	\N
3460332	363	1998-06-30	PRIJEM	\N	341	98688	UROK	\N	\N
3460333	363	1998-07-31	PRIJEM	\N	392	86634	UROK	\N	\N
3460334	363	1998-08-31	PRIJEM	\N	442	71895	UROK	\N	\N
3460335	363	1998-09-30	PRIJEM	\N	316	81906	UROK	\N	\N
3460336	363	1998-10-31	PRIJEM	\N	378	110639	UROK	\N	\N
3460337	363	1998-11-30	PRIJEM	\N	420	101824	UROK	\N	\N
3460338	363	1998-12-31	PRIJEM	\N	369	103496	UROK	\N	\N
3460339	371	1996-08-31	PRIJEM	\N	5	2105	UROK	\N	\N
3460340	371	1996-09-30	PRIJEM	\N	46	16951	UROK	\N	\N
3460341	371	1996-10-31	PRIJEM	\N	83	23334	UROK	\N	\N
3460342	371	1996-11-30	PRIJEM	\N	91	26925	UROK	\N	\N
3460343	371	1996-12-31	PRIJEM	\N	113	31438	UROK	\N	\N
3460344	371	1997-01-31	PRIJEM	\N	130	33153	UROK	\N	\N
3460345	371	1997-02-28	PRIJEM	\N	155	41943	UROK	\N	\N
3460346	371	1997-03-31	PRIJEM	\N	148	36776	UROK	\N	\N
3460347	371	1997-04-30	PRIJEM	\N	153	35314	UROK	\N	\N
3460348	371	1997-05-31	PRIJEM	\N	148	37748	UROK	\N	\N
3460349	371	1997-06-30	PRIJEM	\N	119	23252	UROK	\N	\N
3460350	371	1997-07-31	PRIJEM	\N	211	53424	UROK	\N	\N
3460351	371	1997-08-31	PRIJEM	\N	216	44426	UROK	\N	\N
3460352	371	1997-09-30	PRIJEM	\N	185	44996	UROK	\N	\N
3460353	371	1997-10-31	PRIJEM	\N	184	41066	UROK	\N	\N
3460354	371	1997-11-30	PRIJEM	\N	171	41422	UROK	\N	\N
3460355	371	1997-12-31	PRIJEM	\N	169	39326	UROK	\N	\N
3460356	371	1998-01-31	PRIJEM	\N	161	41072	UROK	\N	\N
3460357	371	1998-02-28	PRIJEM	\N	172	42430	UROK	\N	\N
3460358	371	1998-03-31	PRIJEM	\N	178	44293	UROK	\N	\N
3460359	371	1998-04-30	PRIJEM	\N	183	42761	UROK	\N	\N
3460360	371	1998-05-31	PRIJEM	\N	182	46378	UROK	\N	\N
3460361	371	1998-06-30	PRIJEM	\N	168	37632	UROK	\N	\N
3460362	371	1998-07-31	PRIJEM	\N	159	38976	UROK	\N	\N
3460363	371	1998-08-31	PRIJEM	\N	181	46281	UROK	\N	\N
3460364	371	1998-09-30	PRIJEM	\N	188	42954	UROK	\N	\N
3460365	371	1998-10-31	PRIJEM	\N	203	54792	UROK	\N	\N
3460366	371	1998-11-30	PRIJEM	\N	233	58210	UROK	\N	\N
3460367	371	1998-12-31	PRIJEM	\N	244	59239	UROK	\N	\N
3460368	374	1993-02-28	PRIJEM	\N	69	22010	UROK	\N	\N
3460369	374	1993-03-31	PRIJEM	\N	125	33275	UROK	\N	\N
3460370	374	1993-04-30	PRIJEM	\N	167	42884	UROK	\N	\N
3460371	374	1993-05-31	PRIJEM	\N	181	43705	UROK	\N	\N
3460372	374	1993-06-30	PRIJEM	\N	114	20503	UROK	\N	\N
3460373	374	1993-07-31	PRIJEM	\N	94	11024	UROK	\N	\N
3460374	374	1993-08-31	PRIJEM	\N	90	23840	UROK	\N	\N
3460375	374	1993-09-30	PRIJEM	\N	108	8577	UROK	\N	\N
3460376	374	1993-10-31	PRIJEM	\N	98	21801	UROK	\N	\N
3460377	374	1993-11-30	PRIJEM	\N	122	24849	UROK	\N	\N
3460378	374	1993-12-31	PRIJEM	\N	123	19421	UROK	\N	\N
3460379	374	1994-01-31	PRIJEM	\N	120	17868	UROK	\N	\N
3460380	374	1994-02-28	PRIJEM	\N	171	45166	UROK	\N	\N
3460381	374	1994-03-31	PRIJEM	\N	187	44979	UROK	\N	\N
3460382	374	1994-04-30	PRIJEM	\N	245	60950	UROK	\N	\N
3460383	374	1994-05-31	PRIJEM	\N	249	60725	UROK	\N	\N
3460384	374	1994-06-30	PRIJEM	\N	267	63740	UROK	\N	\N
3460385	374	1994-07-31	PRIJEM	\N	288	70255	UROK	\N	\N
3460386	374	1994-08-31	PRIJEM	\N	292	70173	UROK	\N	\N
3460387	374	1994-09-30	PRIJEM	\N	247	45046	UROK	\N	\N
3460388	374	1994-10-31	PRIJEM	\N	197	47470	UROK	\N	\N
3460389	374	1994-11-30	PRIJEM	\N	200	63196	UROK	\N	\N
3460390	374	1994-12-31	PRIJEM	\N	260	50703	UROK	\N	\N
3460391	374	1995-01-31	PRIJEM	\N	210	35539	UROK	\N	\N
3460392	374	1995-02-28	PRIJEM	\N	151	58716	UROK	\N	\N
3460393	374	1995-03-31	PRIJEM	\N	212	35855	UROK	\N	\N
3460394	374	1995-04-30	PRIJEM	\N	151	46233	UROK	\N	\N
3460395	374	1995-05-31	PRIJEM	\N	212	45171	UROK	\N	\N
3460396	374	1995-06-30	PRIJEM	\N	173	20791	UROK	\N	\N
3460397	374	1995-07-31	PRIJEM	\N	111	32712	UROK	\N	\N
3460398	374	1995-08-31	PRIJEM	\N	141	41579	UROK	\N	\N
3460399	374	1995-09-30	PRIJEM	\N	176	48182	UROK	\N	\N
3460400	374	1995-10-31	PRIJEM	\N	201	50009	UROK	\N	\N
3460401	374	1995-11-30	PRIJEM	\N	207	49942	UROK	\N	\N
3460402	374	1995-12-31	PRIJEM	\N	281	44970	UROK	\N	\N
3460403	374	1996-01-31	PRIJEM	\N	196	37092	UROK	\N	\N
3460404	374	1996-02-29	PRIJEM	\N	165	49484	UROK	\N	\N
3460405	374	1996-03-31	PRIJEM	\N	207	52518	UROK	\N	\N
3460406	374	1996-04-30	PRIJEM	\N	220	55764	UROK	\N	\N
3460407	374	1996-05-31	PRIJEM	\N	223	43929	UROK	\N	\N
3460408	374	1996-06-30	PRIJEM	\N	169	32546	UROK	\N	\N
3460409	374	1996-07-31	PRIJEM	\N	149	44121	UROK	\N	\N
3460410	374	1996-08-31	PRIJEM	\N	193	52140	UROK	\N	\N
3460411	374	1996-09-30	PRIJEM	\N	216	53383	UROK	\N	\N
3460412	374	1996-10-31	PRIJEM	\N	224	56233	UROK	\N	\N
3460413	374	1996-11-30	PRIJEM	\N	240	51127	UROK	\N	\N
3460414	374	1996-12-31	PRIJEM	\N	226	58301	UROK	\N	\N
3460415	374	1997-01-31	PRIJEM	\N	239	41166	UROK	\N	\N
3460416	374	1997-02-28	PRIJEM	\N	140	32691	UROK	\N	\N
3460417	374	1997-03-31	PRIJEM	\N	155	40943	UROK	\N	\N
3460418	374	1997-04-30	PRIJEM	\N	196	46083	UROK	\N	\N
3460419	374	1997-05-31	PRIJEM	\N	182	35314	UROK	\N	\N
3460420	374	1997-06-30	PRIJEM	\N	189	19028	UROK	\N	\N
3460421	374	1997-07-31	PRIJEM	\N	104	22421	UROK	\N	\N
3460422	374	1997-08-31	PRIJEM	\N	126	39673	UROK	\N	\N
3460423	374	1997-09-30	PRIJEM	\N	182	50282	UROK	\N	\N
3460424	374	1997-10-31	PRIJEM	\N	183	45684	UROK	\N	\N
3460425	374	1997-11-30	PRIJEM	\N	214	57924	UROK	\N	\N
3460426	374	1997-12-31	PRIJEM	\N	220	14852	UROK	\N	\N
3460427	374	1998-01-31	PRIJEM	\N	80	7959	UROK	\N	\N
3460428	374	1998-02-28	PRIJEM	\N	81	19662	UROK	\N	\N
3460429	374	1998-03-31	PRIJEM	\N	125	39813	UROK	\N	\N
3460430	374	1998-04-30	PRIJEM	\N	186	50125	UROK	\N	\N
3460431	374	1998-05-31	PRIJEM	\N	181	37305	UROK	\N	\N
3460432	374	1998-06-30	PRIJEM	\N	192	26644	UROK	\N	\N
3460433	374	1998-07-31	PRIJEM	\N	166	49537	UROK	\N	\N
3460434	374	1998-08-31	PRIJEM	\N	232	60995	UROK	\N	\N
3460435	374	1998-09-30	PRIJEM	\N	242	59207	UROK	\N	\N
3460436	374	1998-10-31	PRIJEM	\N	264	67598	UROK	\N	\N
3460437	374	1998-11-30	PRIJEM	\N	243	52484	UROK	\N	\N
3460438	374	1998-12-31	PRIJEM	\N	239	45678	UROK	\N	\N
3460439	1884	1997-01-31	PRIJEM	\N	16	13333	UROK	\N	\N
3460440	1884	1997-02-28	PRIJEM	\N	61	18611	UROK	\N	\N
3460441	1884	1997-03-31	PRIJEM	\N	81	22309	UROK	\N	\N
3460442	1884	1997-04-30	PRIJEM	\N	98	26924	UROK	\N	\N
3460443	1884	1997-05-31	PRIJEM	\N	113	27754	UROK	\N	\N
3460444	1884	1997-06-30	PRIJEM	\N	101	14416	UROK	\N	\N
3460445	1884	1997-07-31	PRIJEM	\N	68	20287	UROK	\N	\N
3460446	1884	1997-08-31	PRIJEM	\N	87	22376	UROK	\N	\N
3460447	1884	1997-09-30	PRIJEM	\N	101	27680	UROK	\N	\N
3460448	1884	1997-10-31	PRIJEM	\N	118	29500	UROK	\N	\N
3460449	1884	1997-11-30	PRIJEM	\N	126	28828	UROK	\N	\N
3460450	1884	1997-12-31	PRIJEM	\N	126	25915	UROK	\N	\N
3460451	1884	1998-01-31	PRIJEM	\N	107	25625	UROK	\N	\N
3460452	1884	1998-02-28	PRIJEM	\N	112	28739	UROK	\N	\N
3460453	1884	1998-03-31	PRIJEM	\N	121	29863	UROK	\N	\N
3460454	1884	1998-04-30	PRIJEM	\N	124	29990	UROK	\N	\N
3460455	1884	1998-05-31	PRIJEM	\N	115	21807	UROK	\N	\N
3460456	1884	1998-06-30	PRIJEM	\N	94	21262	UROK	\N	\N
3460457	1884	1998-07-31	PRIJEM	\N	92	23357	UROK	\N	\N
3460458	1884	1998-08-31	PRIJEM	\N	92	21252	UROK	\N	\N
3460459	1884	1998-09-30	PRIJEM	\N	81	18235	UROK	\N	\N
3460460	1884	1998-10-31	PRIJEM	\N	69	15307	UROK	\N	\N
3460461	1884	1998-11-30	PRIJEM	\N	61	14470	UROK	\N	\N
3460462	1884	1998-12-31	PRIJEM	\N	66	16698	UROK	\N	\N
3460463	1885	1996-08-31	PRIJEM	\N	7	3107	UROK	\N	\N
3460464	1885	1996-09-30	PRIJEM	\N	38	14544	UROK	\N	\N
3460465	1885	1996-10-31	PRIJEM	\N	74	21218	UROK	\N	\N
3460466	1885	1996-11-30	PRIJEM	\N	126	66489	UROK	\N	\N
3460467	1885	1996-12-31	PRIJEM	\N	238	48912	UROK	\N	\N
3460468	1885	1997-01-31	PRIJEM	\N	173	37566	UROK	\N	\N
3460469	1885	1997-02-28	PRIJEM	\N	132	29833	UROK	\N	\N
3460470	1885	1997-03-31	PRIJEM	\N	122	29241	UROK	\N	\N
3460471	1885	1997-04-30	PRIJEM	\N	112	25439	UROK	\N	\N
3460472	1885	1997-05-31	PRIJEM	\N	109	27333	UROK	\N	\N
3460473	1885	1997-06-30	PRIJEM	\N	89	15608	UROK	\N	\N
3460474	1885	1997-07-31	PRIJEM	\N	74	19318	UROK	\N	\N
3460475	1885	1997-08-31	PRIJEM	\N	125	32951	UROK	\N	\N
3460476	1885	1997-09-30	PRIJEM	\N	132	30619	UROK	\N	\N
3460477	1885	1997-10-31	PRIJEM	\N	127	30931	UROK	\N	\N
3460478	1885	1997-11-30	PRIJEM	\N	124	28840	UROK	\N	\N
3460479	1885	1997-12-31	PRIJEM	\N	115	26841	UROK	\N	\N
3460480	1885	1998-01-31	PRIJEM	\N	187	55200	UROK	\N	\N
3460481	1885	1998-02-28	PRIJEM	\N	175	39610	UROK	\N	\N
3460482	1885	1998-03-31	PRIJEM	\N	153	34948	UROK	\N	\N
3460483	1885	1998-04-30	PRIJEM	\N	144	34328	UROK	\N	\N
3460484	1885	1998-05-31	PRIJEM	\N	137	31750	UROK	\N	\N
3460485	1885	1998-06-30	PRIJEM	\N	129	31165	UROK	\N	\N
3460486	1885	1998-07-31	PRIJEM	\N	97	23547	UROK	\N	\N
3460487	1885	1998-08-31	PRIJEM	\N	89	19422	UROK	\N	\N
3460488	1885	1998-09-30	PRIJEM	\N	191	69732	UROK	\N	\N
3460489	1885	1998-10-31	PRIJEM	\N	234	42151	UROK	\N	\N
3460490	1885	1998-11-30	PRIJEM	\N	126	26062	UROK	\N	\N
3460491	1885	1998-12-31	PRIJEM	\N	86	16934	UROK	\N	\N
3460492	1894	1996-09-30	PRIJEM	\N	11	25117	UROK	\N	\N
3460493	1894	1996-10-31	PRIJEM	\N	110	34732	UROK	\N	\N
3460494	1894	1996-11-30	PRIJEM	\N	147	40486	UROK	\N	\N
3460495	1894	1996-12-31	PRIJEM	\N	175	50219	UROK	\N	\N
3460496	1894	1997-01-31	PRIJEM	\N	234	44660	UROK	\N	\N
3460497	1894	1997-02-28	PRIJEM	\N	216	43067	UROK	\N	\N
3460498	1894	1997-03-31	PRIJEM	\N	200	44558	UROK	\N	\N
3460499	1894	1997-04-30	PRIJEM	\N	186	45636	UROK	\N	\N
3460500	1894	1997-05-31	PRIJEM	\N	225	45552	UROK	\N	\N
3460501	1894	1997-06-30	PRIJEM	\N	200	44697	UROK	\N	\N
3460502	1894	1997-07-31	PRIJEM	\N	188	44376	UROK	\N	\N
3460503	1894	1997-08-31	PRIJEM	\N	213	47680	UROK	\N	\N
3460504	1894	1997-09-30	PRIJEM	\N	202	51074	UROK	\N	\N
3460505	1894	1997-10-31	PRIJEM	\N	210	49375	UROK	\N	\N
3460506	1894	1997-11-30	PRIJEM	\N	204	48471	UROK	\N	\N
3460507	1894	1997-12-31	PRIJEM	\N	247	53962	UROK	\N	\N
3460508	1894	1998-01-31	PRIJEM	\N	229	42382	UROK	\N	\N
3460509	1894	1998-02-28	PRIJEM	\N	187	50961	UROK	\N	\N
3460510	1894	1998-03-31	PRIJEM	\N	221	57773	UROK	\N	\N
3460511	1894	1998-04-30	PRIJEM	\N	241	58405	UROK	\N	\N
3460512	1894	1998-05-31	PRIJEM	\N	237	55034	UROK	\N	\N
3460513	1894	1998-06-30	PRIJEM	\N	232	52210	UROK	\N	\N
3460514	1894	1998-07-31	PRIJEM	\N	218	53219	UROK	\N	\N
3460515	1894	1998-08-31	PRIJEM	\N	214	47624	UROK	\N	\N
3460516	1894	1998-09-30	PRIJEM	\N	205	51421	UROK	\N	\N
3460517	1894	1998-10-31	PRIJEM	\N	207	48419	UROK	\N	\N
3460518	1894	1998-11-30	PRIJEM	\N	210	53321	UROK	\N	\N
3460519	1894	1998-12-31	PRIJEM	\N	224	54189	UROK	\N	\N
3460520	1935	1996-09-30	PRIJEM	\N	84	35659	UROK	\N	\N
3460521	1935	1996-10-31	PRIJEM	\N	196	55530	UROK	\N	\N
3460522	1935	1996-11-30	PRIJEM	\N	255	65460	UROK	\N	\N
3460523	1935	1996-12-31	PRIJEM	\N	303	50075	UROK	\N	\N
3460524	1935	1997-01-31	PRIJEM	\N	232	43782	UROK	\N	\N
3460525	1935	1997-02-28	PRIJEM	\N	245	55788	UROK	\N	\N
3460526	1935	1997-03-31	PRIJEM	\N	209	42348	UROK	\N	\N
3460527	1935	1997-04-30	PRIJEM	\N	205	44555	UROK	\N	\N
3460528	1935	1997-05-31	PRIJEM	\N	230	51245	UROK	\N	\N
3460529	1935	1997-06-30	PRIJEM	\N	171	34013	UROK	\N	\N
3460530	1935	1997-07-31	PRIJEM	\N	185	49751	UROK	\N	\N
3460531	1935	1997-08-31	PRIJEM	\N	172	29286	UROK	\N	\N
3460532	1935	1997-09-30	PRIJEM	\N	159	41806	UROK	\N	\N
3460533	1935	1997-10-31	PRIJEM	\N	198	45197	UROK	\N	\N
3460534	1935	1997-11-30	PRIJEM	\N	194	43931	UROK	\N	\N
3460535	1935	1997-12-31	PRIJEM	\N	168	27496	UROK	\N	\N
3460536	1935	1998-01-31	PRIJEM	\N	119	22676	UROK	\N	\N
3460537	1935	1998-02-28	PRIJEM	\N	137	35474	UROK	\N	\N
3460538	1935	1998-03-31	PRIJEM	\N	169	42102	UROK	\N	\N
3460539	1935	1998-04-30	PRIJEM	\N	186	45649	UROK	\N	\N
3460540	1935	1998-05-31	PRIJEM	\N	186	34095	UROK	\N	\N
3460541	1935	1998-06-30	PRIJEM	\N	287	28879	UROK	\N	\N
3460542	1935	1998-07-31	PRIJEM	\N	288	35527	UROK	\N	\N
3460543	1935	1998-08-31	PRIJEM	\N	154	85541	UROK	\N	\N
3460544	1935	1998-09-30	PRIJEM	\N	337	64428	UROK	\N	\N
3460545	1935	1998-10-31	PRIJEM	\N	314	78002	UROK	\N	\N
3460546	1935	1998-11-30	PRIJEM	\N	357	87819	UROK	\N	\N
3460547	1935	1998-12-31	PRIJEM	\N	272	44638	UROK	\N	\N
3460548	1945	1995-12-31	PRIJEM	\N	83	26921	UROK	\N	\N
3460549	1945	1996-01-31	PRIJEM	\N	153	40166	UROK	\N	\N
3460550	1945	1996-02-29	PRIJEM	\N	193	48750	UROK	\N	\N
3460551	1945	1996-03-31	PRIJEM	\N	207	50349	UROK	\N	\N
3460552	1945	1996-04-30	PRIJEM	\N	227	56168	UROK	\N	\N
3460553	1945	1996-05-31	PRIJEM	\N	233	56078	UROK	\N	\N
3460554	1945	1996-06-30	PRIJEM	\N	243	53625	UROK	\N	\N
3460555	1945	1996-07-31	PRIJEM	\N	225	54207	UROK	\N	\N
3460556	1945	1996-08-31	PRIJEM	\N	237	58121	UROK	\N	\N
3460557	1945	1996-09-30	PRIJEM	\N	215	54214	UROK	\N	\N
3460558	1945	1996-10-31	PRIJEM	\N	237	57928	UROK	\N	\N
3460559	1945	1996-11-30	PRIJEM	\N	239	57544	UROK	\N	\N
3460560	1945	1996-12-31	PRIJEM	\N	265	63713	UROK	\N	\N
3460561	1945	1997-01-31	PRIJEM	\N	192	42602	UROK	\N	\N
3460562	1945	1997-02-28	PRIJEM	\N	210	53789	UROK	\N	\N
3460563	1945	1997-03-31	PRIJEM	\N	237	58304	UROK	\N	\N
3460564	1945	1997-04-30	PRIJEM	\N	245	59426	UROK	\N	\N
3460565	1945	1997-05-31	PRIJEM	\N	249	60253	UROK	\N	\N
3460566	1945	1997-06-30	PRIJEM	\N	162	22938	UROK	\N	\N
3460567	1945	1997-07-31	PRIJEM	\N	149	40345	UROK	\N	\N
3460568	1945	1997-08-31	PRIJEM	\N	135	39956	UROK	\N	\N
3460569	1945	1997-09-30	PRIJEM	\N	166	41700	UROK	\N	\N
3460570	1945	1997-10-31	PRIJEM	\N	172	39449	UROK	\N	\N
3460571	1945	1997-11-30	PRIJEM	\N	192	37079	UROK	\N	\N
3460572	1945	1997-12-31	PRIJEM	\N	197	40839	UROK	\N	\N
3460573	1945	1998-01-31	PRIJEM	\N	172	33369	UROK	\N	\N
3460574	1945	1998-02-28	PRIJEM	\N	139	34885	UROK	\N	\N
3460575	1945	1998-03-31	PRIJEM	\N	145	37108	UROK	\N	\N
3460576	1945	1998-04-30	PRIJEM	\N	154	38339	UROK	\N	\N
3460577	1945	1998-05-31	PRIJEM	\N	157	35873	UROK	\N	\N
3460578	1945	1998-06-30	PRIJEM	\N	188	38185	UROK	\N	\N
3460579	1945	1998-07-31	PRIJEM	\N	173	37415	UROK	\N	\N
3460580	1945	1998-08-31	PRIJEM	\N	149	30901	UROK	\N	\N
3460581	1945	1998-09-30	PRIJEM	\N	129	33508	UROK	\N	\N
3460582	1945	1998-10-31	PRIJEM	\N	144	27449	UROK	\N	\N
3460583	1945	1998-11-30	PRIJEM	\N	117	31443	UROK	\N	\N
3460584	1945	1998-12-31	PRIJEM	\N	159	51986	UROK	\N	\N
3460585	1953	1997-06-30	PRIJEM	\N	67	28373	UROK	\N	\N
3460586	1953	1997-07-31	PRIJEM	\N	118	25791	UROK	\N	\N
3460587	1953	1997-08-31	PRIJEM	\N	118	25009	UROK	\N	\N
3460588	1953	1997-09-30	PRIJEM	\N	118	23827	UROK	\N	\N
3460589	1953	1997-10-31	PRIJEM	\N	118	24845	UROK	\N	\N
3460590	1953	1997-11-30	PRIJEM	\N	126	31334	UROK	\N	\N
3460591	1953	1997-12-31	PRIJEM	\N	130	27664	UROK	\N	\N
3460592	1953	1998-01-31	PRIJEM	\N	277	49496	UROK	\N	\N
3460593	1953	1998-02-28	PRIJEM	\N	332	85623	UROK	\N	\N
3460594	1953	1998-03-31	PRIJEM	\N	297	129133	UROK	\N	\N
3460595	1953	1998-04-30	PRIJEM	\N	241	45995	UROK	\N	\N
3460596	1953	1998-05-31	PRIJEM	\N	191	41556	UROK	\N	\N
3460597	1953	1998-06-30	PRIJEM	\N	213	61275	UROK	\N	\N
3460598	1953	1998-07-31	PRIJEM	\N	275	53345	UROK	\N	\N
3460599	1953	1998-08-31	PRIJEM	\N	325	86641	UROK	\N	\N
3460600	1953	1998-09-30	PRIJEM	\N	271	66840	UROK	\N	\N
3460601	1953	1998-10-31	PRIJEM	\N	332	85344	UROK	\N	\N
3460602	1953	1998-11-30	PRIJEM	\N	442	98182	UROK	\N	\N
3460603	1953	1998-12-31	PRIJEM	\N	272	53924	UROK	\N	\N
3460604	1968	1997-10-31	PRIJEM	\N	103	53988	UROK	\N	\N
3460605	1968	1997-11-30	PRIJEM	\N	230	66921	UROK	\N	\N
3460606	1968	1997-12-31	PRIJEM	\N	278	47398	UROK	\N	\N
3460607	1968	1998-01-31	PRIJEM	\N	268	42350	UROK	\N	\N
3460608	1968	1998-02-28	PRIJEM	\N	175	31326	UROK	\N	\N
3460609	1968	1998-03-31	PRIJEM	\N	165	35688	UROK	\N	\N
3460610	1968	1998-04-30	PRIJEM	\N	176	35521	UROK	\N	\N
3460611	1968	1998-05-31	PRIJEM	\N	113	22504	UROK	\N	\N
3460612	1968	1998-06-30	PRIJEM	\N	89	20763	UROK	\N	\N
3460613	1968	1998-07-31	PRIJEM	\N	75	15308	UROK	\N	\N
3460614	1968	1998-08-31	PRIJEM	\N	62	3440	UROK	\N	\N
3460615	1968	1998-09-30	PRIJEM	\N	14	3424	UROK	\N	\N
3460616	1968	1998-11-30	PRIJEM	\N	14	36284	UROK	\N	\N
3460617	1968	1998-11-30	PRIJEM	\N	64	36348	UROK	\N	\N
3460618	1968	1998-12-31	PRIJEM	\N	98	20059	UROK	\N	\N
3460619	1974	1995-07-31	PRIJEM	\N	3	14303	UROK	\N	\N
3460620	1974	1995-09-30	PRIJEM	\N	90	21993	UROK	\N	\N
3460621	1974	1995-10-31	PRIJEM	\N	90	24384	UROK	\N	\N
3460622	1974	1995-11-30	PRIJEM	\N	90	28374	UROK	\N	\N
3460623	1974	1995-12-31	PRIJEM	\N	90	31265	UROK	\N	\N
3460624	1974	1996-01-31	PRIJEM	\N	90	30555	UROK	\N	\N
3460625	1974	1996-02-29	PRIJEM	\N	90	31445	UROK	\N	\N
3460626	1974	1996-03-31	PRIJEM	\N	90	33236	UROK	\N	\N
3460627	1974	1996-05-31	PRIJEM	\N	90	33026	UROK	\N	\N
3460628	1974	1996-06-30	PRIJEM	\N	90	30317	UROK	\N	\N
3460629	1974	1996-07-31	PRIJEM	\N	90	30907	UROK	\N	\N
3460630	1974	1996-08-31	PRIJEM	\N	90	27498	UROK	\N	\N
3460631	1974	1996-09-30	PRIJEM	\N	90	26088	UROK	\N	\N
3460632	1974	1996-10-31	PRIJEM	\N	90	23978	UROK	\N	\N
3460633	1974	1996-11-30	PRIJEM	\N	90	24169	UROK	\N	\N
3460634	1974	1996-12-31	PRIJEM	\N	90	22359	UROK	\N	\N
3460635	1974	1997-01-31	PRIJEM	\N	90	24350	UROK	\N	\N
3460636	1974	1997-02-28	PRIJEM	\N	90	24240	UROK	\N	\N
3460637	1974	1997-03-31	PRIJEM	\N	90	21431	UROK	\N	\N
3460638	1974	1997-04-30	PRIJEM	\N	90	20021	UROK	\N	\N
3460639	1974	1997-05-31	PRIJEM	\N	90	17711	UROK	\N	\N
3460640	1974	1997-06-30	PRIJEM	\N	90	17002	UROK	\N	\N
3460641	1974	1997-07-31	PRIJEM	\N	90	14792	UROK	\N	\N
3460642	1974	1997-08-31	PRIJEM	\N	90	13583	UROK	\N	\N
3460643	1974	1997-09-30	PRIJEM	\N	90	11273	UROK	\N	\N
3460644	1974	1997-10-31	PRIJEM	\N	90	11463	UROK	\N	\N
3460645	1974	1998-05-31	PRIJEM	\N	90	12154	UROK	\N	\N
3460646	1974	1998-07-31	PRIJEM	\N	90	12444	UROK	\N	\N
3460647	1974	1998-08-31	PRIJEM	\N	90	12035	UROK	\N	\N
3460648	1974	1998-09-30	PRIJEM	\N	90	12725	UROK	\N	\N
3460649	1977	1996-02-29	PRIJEM	\N	26	8898	UROK	\N	\N
3460650	1977	1996-03-31	PRIJEM	\N	88	26157	UROK	\N	\N
3460651	1977	1996-04-30	PRIJEM	\N	124	31554	UROK	\N	\N
3460652	1977	1996-05-31	PRIJEM	\N	148	37273	UROK	\N	\N
3460653	1977	1996-06-30	PRIJEM	\N	106	16887	UROK	\N	\N
3460654	1977	1996-07-31	PRIJEM	\N	109	29154	UROK	\N	\N
3460655	1977	1996-08-31	PRIJEM	\N	146	37657	UROK	\N	\N
3460656	1977	1996-09-30	PRIJEM	\N	137	41751	UROK	\N	\N
3460657	1977	1996-10-31	PRIJEM	\N	136	31644	UROK	\N	\N
3460658	1977	1996-11-30	PRIJEM	\N	131	29533	UROK	\N	\N
3460659	1977	1996-12-31	PRIJEM	\N	154	29880	UROK	\N	\N
3460660	1977	1997-01-31	PRIJEM	\N	124	22762	UROK	\N	\N
3460661	1977	1997-02-28	PRIJEM	\N	95	24914	UROK	\N	\N
3460662	1977	1997-03-31	PRIJEM	\N	103	23575	UROK	\N	\N
3460663	1977	1997-04-30	PRIJEM	\N	97	21629	UROK	\N	\N
3460664	1977	1997-05-31	PRIJEM	\N	96	15883	UROK	\N	\N
3460665	1977	1997-06-30	PRIJEM	\N	67	18544	UROK	\N	\N
3460666	1977	1997-07-31	PRIJEM	\N	76	16977	UROK	\N	\N
3460667	1977	1997-08-31	PRIJEM	\N	79	16713	UROK	\N	\N
3460668	1977	1997-09-30	PRIJEM	\N	82	15052	UROK	\N	\N
3460669	1977	1997-10-31	PRIJEM	\N	62	14672	UROK	\N	\N
3460670	1977	1997-11-30	PRIJEM	\N	65	18994	UROK	\N	\N
3460671	1977	1997-12-31	PRIJEM	\N	89	22277	UROK	\N	\N
3460672	1977	1998-01-31	PRIJEM	\N	81	16915	UROK	\N	\N
3460673	1977	1998-02-28	PRIJEM	\N	79	20052	UROK	\N	\N
3460674	1977	1998-03-31	PRIJEM	\N	84	23894	UROK	\N	\N
3460675	1977	1998-04-30	PRIJEM	\N	104	28155	UROK	\N	\N
3460676	1977	1998-05-31	PRIJEM	\N	124	27936	UROK	\N	\N
3460677	1977	1998-06-30	PRIJEM	\N	90	18019	UROK	\N	\N
3460678	1977	1998-07-31	PRIJEM	\N	85	26362	UROK	\N	\N
3460679	1977	1998-08-31	PRIJEM	\N	114	29834	UROK	\N	\N
3460680	1977	1998-09-30	PRIJEM	\N	126	31417	UROK	\N	\N
3460681	1977	1998-10-31	PRIJEM	\N	128	30302	UROK	\N	\N
3460682	1977	1998-11-30	PRIJEM	\N	121	27580	UROK	\N	\N
3460683	1977	1998-12-31	PRIJEM	\N	135	38708	UROK	\N	\N
3460684	1983	1998-01-31	PRIJEM	\N	27	25371	UROK	\N	\N
3460685	1983	1998-02-28	PRIJEM	\N	118	39133	UROK	\N	\N
3460686	1983	1998-03-31	PRIJEM	\N	166	42943	UROK	\N	\N
3460687	1983	1998-04-30	PRIJEM	\N	181	45268	UROK	\N	\N
3460688	1983	1998-05-31	PRIJEM	\N	190	47402	UROK	\N	\N
3460689	1983	1998-06-30	PRIJEM	\N	175	33019	UROK	\N	\N
3460690	1983	1998-07-31	PRIJEM	\N	144	38692	UROK	\N	\N
3460691	1983	1998-08-31	PRIJEM	\N	161	37422	UROK	\N	\N
3460692	1983	1998-09-30	PRIJEM	\N	161	41313	UROK	\N	\N
3460693	1983	1998-10-31	PRIJEM	\N	181	47723	UROK	\N	\N
3460694	1983	1998-11-30	PRIJEM	\N	222	48515	UROK	\N	\N
3460695	1983	1998-12-31	PRIJEM	\N	267	78363	UROK	\N	\N
3460696	1985	1996-08-31	PRIJEM	\N	8	15308	UROK	\N	\N
3460697	1985	1996-09-30	PRIJEM	\N	68	23076	UROK	\N	\N
3460698	1985	1996-10-31	PRIJEM	\N	98	25574	UROK	\N	\N
3460699	1985	1996-11-30	PRIJEM	\N	105	25617	UROK	\N	\N
3460700	1985	1996-12-31	PRIJEM	\N	103	20905	UROK	\N	\N
3460701	1985	1997-01-31	PRIJEM	\N	56	12397	UROK	\N	\N
3460702	1985	1997-02-28	PRIJEM	\N	54	14236	UROK	\N	\N
3460703	1985	1997-03-31	PRIJEM	\N	85	20079	UROK	\N	\N
3460704	1985	1997-04-30	PRIJEM	\N	172	36161	UROK	\N	\N
3460705	1985	1997-05-31	PRIJEM	\N	142	26688	UROK	\N	\N
3460706	1985	1997-06-30	PRIJEM	\N	93	16016	UROK	\N	\N
3460707	1985	1997-07-31	PRIJEM	\N	68	17670	UROK	\N	\N
3460708	1985	1997-08-31	PRIJEM	\N	75	18830	UROK	\N	\N
3460709	1985	1997-09-30	PRIJEM	\N	76	16941	UROK	\N	\N
3460710	1985	1997-10-31	PRIJEM	\N	68	15495	UROK	\N	\N
3460711	1985	1997-11-30	PRIJEM	\N	61	13242	UROK	\N	\N
3460712	1985	1997-12-31	PRIJEM	\N	56	13883	UROK	\N	\N
3460713	1985	1998-01-31	PRIJEM	\N	53	10922	UROK	\N	\N
3460714	1985	1998-02-28	PRIJEM	\N	46	12853	UROK	\N	\N
3460715	1985	1998-03-31	PRIJEM	\N	53	11472	UROK	\N	\N
3460716	1985	1998-04-30	PRIJEM	\N	48	13405	UROK	\N	\N
3460717	1985	1998-05-31	PRIJEM	\N	55	13046	UROK	\N	\N
3460718	1985	1998-06-30	PRIJEM	\N	54	14985	UROK	\N	\N
3460719	1985	1998-07-31	PRIJEM	\N	62	16933	UROK	\N	\N
3460720	1985	1998-08-31	PRIJEM	\N	62	12380	UROK	\N	\N
3460721	1985	1998-09-30	PRIJEM	\N	83	24355	UROK	\N	\N
3460722	1985	1998-10-31	PRIJEM	\N	80	13821	UROK	\N	\N
3460723	1985	1998-11-30	PRIJEM	\N	57	15763	UROK	\N	\N
3460724	1985	1998-12-31	PRIJEM	\N	66	16115	UROK	\N	\N
3460725	1998	1993-07-31	PRIJEM	\N	54	26822	UROK	\N	\N
3460726	1998	1993-08-31	PRIJEM	\N	134	37124	UROK	\N	\N
3460727	1998	1993-09-30	PRIJEM	\N	171	44763	UROK	\N	\N
3460728	1998	1993-10-31	PRIJEM	\N	190	46520	UROK	\N	\N
3460729	1998	1993-11-30	PRIJEM	\N	196	44224	UROK	\N	\N
3460730	1998	1993-12-31	PRIJEM	\N	229	51620	UROK	\N	\N
3460731	1998	1994-01-31	PRIJEM	\N	183	34097	UROK	\N	\N
3460732	1998	1994-02-28	PRIJEM	\N	164	38514	UROK	\N	\N
3460733	1998	1994-03-31	PRIJEM	\N	174	44341	UROK	\N	\N
3460734	1998	1994-04-30	PRIJEM	\N	193	47687	UROK	\N	\N
3460735	1998	1994-05-31	PRIJEM	\N	210	47271	UROK	\N	\N
3460736	1998	1994-06-30	PRIJEM	\N	171	39689	UROK	\N	\N
3460737	1998	1994-07-31	PRIJEM	\N	177	44219	UROK	\N	\N
3460738	1998	1994-08-31	PRIJEM	\N	184	43216	UROK	\N	\N
3460739	1998	1994-09-30	PRIJEM	\N	183	44052	UROK	\N	\N
3460740	1998	1994-10-31	PRIJEM	\N	187	45153	UROK	\N	\N
3460741	1998	1994-11-30	PRIJEM	\N	193	47100	UROK	\N	\N
3460742	1998	1994-12-31	PRIJEM	\N	208	49315	UROK	\N	\N
3460743	1998	1995-01-31	PRIJEM	\N	197	37765	UROK	\N	\N
3460744	1998	1995-02-28	PRIJEM	\N	198	47336	UROK	\N	\N
3460745	1998	1995-03-31	PRIJEM	\N	196	47285	UROK	\N	\N
3460746	1998	1995-04-30	PRIJEM	\N	193	46532	UROK	\N	\N
3460747	1998	1995-05-31	PRIJEM	\N	265	43750	UROK	\N	\N
3460748	1998	1995-06-30	PRIJEM	\N	232	38290	UROK	\N	\N
3460749	1998	1995-07-31	PRIJEM	\N	207	53650	UROK	\N	\N
3460750	1998	1995-08-31	PRIJEM	\N	248	62052	UROK	\N	\N
3460751	1998	1995-09-30	PRIJEM	\N	271	66776	UROK	\N	\N
3460752	1998	1995-10-31	PRIJEM	\N	274	62704	UROK	\N	\N
3460753	1998	1995-11-30	PRIJEM	\N	271	65928	UROK	\N	\N
3460754	1998	1995-12-31	PRIJEM	\N	308	75823	UROK	\N	\N
3460755	1998	1996-01-31	PRIJEM	\N	270	46446	UROK	\N	\N
3460756	1998	1996-02-29	PRIJEM	\N	210	55970	UROK	\N	\N
3460757	1998	1996-03-31	PRIJEM	\N	267	67190	UROK	\N	\N
3460758	1998	1996-04-30	PRIJEM	\N	295	72638	UROK	\N	\N
3460759	1998	1996-05-31	PRIJEM	\N	319	78610	UROK	\N	\N
3460760	1998	1996-06-30	PRIJEM	\N	337	80175	UROK	\N	\N
3460761	1998	1996-07-31	PRIJEM	\N	326	79654	UROK	\N	\N
3460762	1998	1996-08-31	PRIJEM	\N	228	53836	UROK	\N	\N
3460763	1998	1996-09-30	PRIJEM	\N	282	54071	UROK	\N	\N
3460764	1998	1996-10-31	PRIJEM	\N	225	59449	UROK	\N	\N
3460765	1998	1996-11-30	PRIJEM	\N	246	61248	UROK	\N	\N
3460766	1998	1996-12-31	PRIJEM	\N	265	61701	UROK	\N	\N
3460767	1998	1997-01-31	PRIJEM	\N	289	52144	UROK	\N	\N
3460768	1998	1997-02-28	PRIJEM	\N	214	53611	UROK	\N	\N
3460769	1998	1997-03-31	PRIJEM	\N	222	58086	UROK	\N	\N
3460770	1998	1997-04-30	PRIJEM	\N	298	59338	UROK	\N	\N
3460771	1998	1997-05-31	PRIJEM	\N	244	61336	UROK	\N	\N
3460772	1998	1997-06-30	PRIJEM	\N	272	53475	UROK	\N	\N
3460773	1998	1997-07-31	PRIJEM	\N	221	57749	UROK	\N	\N
3460774	1998	1997-08-31	PRIJEM	\N	232	53434	UROK	\N	\N
3460775	1998	1997-09-30	PRIJEM	\N	217	53105	UROK	\N	\N
3460776	1998	1997-10-31	PRIJEM	\N	210	47869	UROK	\N	\N
3460777	1998	1997-11-30	PRIJEM	\N	196	49718	UROK	\N	\N
3460778	1998	1997-12-31	PRIJEM	\N	242	49708	UROK	\N	\N
3460779	1998	1998-01-31	PRIJEM	\N	219	36500	UROK	\N	\N
3460780	1998	1998-02-28	PRIJEM	\N	149	39202	UROK	\N	\N
3460781	1998	1998-03-31	PRIJEM	\N	162	43618	UROK	\N	\N
3460782	1998	1998-04-30	PRIJEM	\N	206	46597	UROK	\N	\N
3460783	1998	1998-05-31	PRIJEM	\N	191	49141	UROK	\N	\N
3460784	1998	1998-06-30	PRIJEM	\N	197	43425	UROK	\N	\N
3460785	1998	1998-07-31	PRIJEM	\N	185	50863	UROK	\N	\N
3460786	1998	1998-08-31	PRIJEM	\N	220	57437	UROK	\N	\N
3460787	1998	1998-09-30	PRIJEM	\N	244	64734	UROK	\N	\N
3460788	1998	1998-10-31	PRIJEM	\N	272	68259	UROK	\N	\N
3460789	1998	1998-11-30	PRIJEM	\N	277	68289	UROK	\N	\N
3460790	1998	1998-12-31	PRIJEM	\N	300	77676	UROK	\N	\N
3460791	2007	1997-10-31	PRIJEM	\N	9	21473	UROK	\N	\N
3460792	2007	1997-11-30	PRIJEM	\N	295	46564	UROK	\N	\N
3460793	2007	1997-12-31	PRIJEM	\N	168	24631	UROK	\N	\N
3460794	2007	1998-01-31	PRIJEM	\N	237	43110	UROK	\N	\N
3460795	2007	1998-02-28	PRIJEM	\N	235	42119	UROK	\N	\N
3460796	2007	1998-03-31	PRIJEM	\N	168	27972	UROK	\N	\N
3460797	2007	1998-04-30	PRIJEM	\N	157	32750	UROK	\N	\N
3460798	2007	1998-05-31	PRIJEM	\N	102	26401	UROK	\N	\N
3460799	2007	1998-06-30	PRIJEM	\N	253	34774	UROK	\N	\N
3460800	2007	1998-07-31	PRIJEM	\N	292	87264	UROK	\N	\N
3460801	2007	1998-08-31	PRIJEM	\N	310	44510	UROK	\N	\N
3460802	2007	1998-09-30	PRIJEM	\N	229	45447	UROK	\N	\N
3460803	2007	1998-10-31	PRIJEM	\N	165	22797	UROK	\N	\N
3460804	2007	1998-11-30	PRIJEM	\N	191	57426	UROK	\N	\N
3460805	2007	1998-12-31	PRIJEM	\N	323	69518	UROK	\N	\N
3460806	2013	1996-11-30	PRIJEM	\N	14	33469	UROK	\N	\N
3460807	2013	1996-12-31	PRIJEM	\N	157	40525	UROK	\N	\N
3460808	2013	1997-01-31	PRIJEM	\N	168	27093	UROK	\N	\N
3460809	2013	1997-02-28	PRIJEM	\N	260	45496	UROK	\N	\N
3460810	2013	1997-03-31	PRIJEM	\N	311	33408	UROK	\N	\N
3460811	2013	1997-04-30	PRIJEM	\N	311	29719	UROK	\N	\N
3460812	2013	1997-05-31	PRIJEM	\N	311	25431	UROK	\N	\N
3460813	2013	1997-06-30	PRIJEM	\N	311	23442	UROK	\N	\N
3460814	2013	1997-07-31	PRIJEM	\N	311	25953	UROK	\N	\N
3460815	2013	1997-08-31	PRIJEM	\N	311	27265	UROK	\N	\N
3460816	2013	1997-09-30	PRIJEM	\N	311	24676	UROK	\N	\N
3460817	2013	1997-10-31	PRIJEM	\N	311	21188	UROK	\N	\N
3460818	2013	1997-11-30	PRIJEM	\N	311	17199	UROK	\N	\N
3460819	2013	1997-12-31	PRIJEM	\N	311	15810	UROK	\N	\N
3460820	2013	1998-01-31	PRIJEM	\N	311	44635	UROK	\N	\N
3460821	2013	1998-02-28	PRIJEM	\N	259	37999	UROK	\N	\N
3460822	2013	1998-03-31	PRIJEM	\N	197	70594	UROK	\N	\N
3460823	2013	1998-04-30	PRIJEM	\N	321	101589	UROK	\N	\N
3460824	2013	1998-05-31	PRIJEM	\N	230	46372	UROK	\N	\N
3460825	2013	1998-06-30	PRIJEM	\N	199	48181	UROK	\N	\N
3460826	2013	1998-07-31	PRIJEM	\N	194	49707	UROK	\N	\N
3460827	2013	1998-08-31	PRIJEM	\N	208	67089	UROK	\N	\N
3460828	2013	1998-09-30	PRIJEM	\N	336	79892	UROK	\N	\N
3460829	2013	1998-10-31	PRIJEM	\N	246	56083	UROK	\N	\N
3460830	2013	1998-11-30	PRIJEM	\N	188	31905	UROK	\N	\N
3460831	2013	1998-12-31	PRIJEM	\N	137	29219	UROK	\N	\N
3460832	2028	1994-11-30	PRIJEM	\N	4	14638	UROK	\N	\N
3460833	2028	1994-12-31	PRIJEM	\N	159	88243	UROK	\N	\N
3460834	2028	1995-01-31	PRIJEM	\N	367	55210	UROK	\N	\N
3460835	2028	1995-02-28	PRIJEM	\N	367	39177	UROK	\N	\N
3460836	2028	1995-03-31	PRIJEM	\N	367	34644	UROK	\N	\N
3460837	2028	1995-04-30	PRIJEM	\N	367	31111	UROK	\N	\N
3460838	2028	1995-05-31	PRIJEM	\N	367	31278	UROK	\N	\N
3460839	2028	1995-06-30	PRIJEM	\N	367	27845	UROK	\N	\N
3460840	2028	1995-07-31	PRIJEM	\N	367	26312	UROK	\N	\N
3460841	2028	1995-08-31	PRIJEM	\N	367	27579	UROK	\N	\N
3460842	2028	1995-09-30	PRIJEM	\N	367	29046	UROK	\N	\N
3460843	2028	1995-10-31	PRIJEM	\N	367	27913	UROK	\N	\N
3460844	2028	1995-11-30	PRIJEM	\N	367	24980	UROK	\N	\N
3460845	2028	1995-12-31	PRIJEM	\N	367	25047	UROK	\N	\N
3460846	2028	1996-01-31	PRIJEM	\N	238	42945	UROK	\N	\N
3460847	2028	1996-02-29	PRIJEM	\N	228	63883	UROK	\N	\N
3460848	2028	1996-03-31	PRIJEM	\N	314	120879	UROK	\N	\N
3460849	2028	1996-04-30	PRIJEM	\N	397	70821	UROK	\N	\N
3460850	2028	1996-05-31	PRIJEM	\N	261	45784	UROK	\N	\N
3460851	2028	1996-06-30	PRIJEM	\N	274	95514	UROK	\N	\N
3460852	2028	1996-07-31	PRIJEM	\N	209	34210	UROK	\N	\N
3460853	2028	1996-08-31	PRIJEM	\N	158	40431	UROK	\N	\N
3460854	2028	1996-09-30	PRIJEM	\N	397	66488	UROK	\N	\N
3460855	2028	1996-10-31	PRIJEM	\N	264	49993	UROK	\N	\N
3460856	2028	1996-11-30	PRIJEM	\N	286	111693	UROK	\N	\N
3460857	2028	1996-12-31	PRIJEM	\N	278	58287	UROK	\N	\N
3460858	2028	1997-01-31	PRIJEM	\N	202	34241	UROK	\N	\N
3460859	2028	1997-02-28	PRIJEM	\N	140	29251	UROK	\N	\N
3460860	2028	1997-03-31	PRIJEM	\N	108	12128	UROK	\N	\N
3460861	2028	1997-04-30	PRIJEM	\N	34	4031	UROK	\N	\N
3460862	2028	1997-05-31	PRIJEM	\N	23	4778	UROK	\N	\N
3460863	2028	1997-06-30	PRIJEM	\N	16	2865	UROK	\N	\N
3460864	2028	1997-07-31	PRIJEM	\N	19	7297	UROK	\N	\N
3460865	2028	1997-08-31	PRIJEM	\N	28	15395	UROK	\N	\N
3460866	2028	1997-09-30	PRIJEM	\N	61	16426	UROK	\N	\N
3460867	2028	1997-10-31	PRIJEM	\N	53	12149	UROK	\N	\N
3460868	2028	1997-11-30	PRIJEM	\N	41	9962	UROK	\N	\N
3460869	2028	1997-12-31	PRIJEM	\N	38	10070	UROK	\N	\N
3460870	2028	1998-01-31	PRIJEM	\N	38	11179	UROK	\N	\N
3460871	2028	1998-02-28	PRIJEM	\N	115	48719	UROK	\N	\N
3460872	2028	1998-03-31	PRIJEM	\N	163	29752	UROK	\N	\N
3460873	2028	1998-04-30	PRIJEM	\N	102	24126	UROK	\N	\N
3460874	2028	1998-05-31	PRIJEM	\N	120	32081	UROK	\N	\N
3460875	2028	1998-06-30	PRIJEM	\N	195	29060	UROK	\N	\N
3460876	2028	1998-07-31	PRIJEM	\N	116	23146	UROK	\N	\N
3460877	2028	1998-08-31	PRIJEM	\N	74	10177	UROK	\N	\N
3460878	2028	1998-09-30	PRIJEM	\N	95	26871	UROK	\N	\N
3460879	2028	1998-10-31	PRIJEM	\N	59	5900	UROK	\N	\N
3460880	2028	1998-11-30	PRIJEM	\N	31	60177	UROK	\N	\N
3460881	2028	1998-12-31	PRIJEM	\N	220	49859	UROK	\N	\N
3460882	2036	1997-10-31	PRIJEM	\N	28	15636	UROK	\N	\N
3460883	2036	1997-11-30	PRIJEM	\N	78	20914	UROK	\N	\N
3460884	2036	1997-12-31	PRIJEM	\N	89	21903	UROK	\N	\N
3460885	2036	1998-01-31	PRIJEM	\N	95	26848	UROK	\N	\N
3460886	2036	1998-02-28	PRIJEM	\N	111	26695	UROK	\N	\N
3460887	2036	1998-03-31	PRIJEM	\N	114	28295	UROK	\N	\N
3460888	2036	1998-04-30	PRIJEM	\N	125	30605	UROK	\N	\N
3460889	2036	1998-05-31	PRIJEM	\N	194	66459	UROK	\N	\N
3460890	2036	1998-06-30	PRIJEM	\N	147	33141	UROK	\N	\N
3460891	2036	1998-07-31	PRIJEM	\N	196	49761	UROK	\N	\N
3460892	2036	1998-08-31	PRIJEM	\N	205	44651	UROK	\N	\N
3460893	2036	1998-09-30	PRIJEM	\N	184	39320	UROK	\N	\N
3460894	2036	1998-10-31	PRIJEM	\N	163	38569	UROK	\N	\N
3460895	2036	1998-11-30	PRIJEM	\N	158	40362	UROK	\N	\N
3460896	2036	1998-12-31	PRIJEM	\N	165	39012	UROK	\N	\N
3460897	2039	1993-10-31	PRIJEM	\N	140	43404	UROK	\N	\N
3460898	2039	1993-11-30	PRIJEM	\N	180	33684	UROK	\N	\N
3460899	2039	1993-12-31	PRIJEM	\N	180	30864	UROK	\N	\N
3460900	2039	1994-01-31	PRIJEM	\N	180	28544	UROK	\N	\N
3460901	2039	1994-02-28	PRIJEM	\N	180	26125	UROK	\N	\N
3460902	2039	1994-03-31	PRIJEM	\N	180	27505	UROK	\N	\N
3460903	2039	1994-04-30	PRIJEM	\N	266	77735	UROK	\N	\N
3460904	2039	1994-05-31	PRIJEM	\N	323	53357	UROK	\N	\N
3460905	2039	1994-06-30	PRIJEM	\N	323	41380	UROK	\N	\N
3460906	2039	1994-07-31	PRIJEM	\N	323	32003	UROK	\N	\N
3460907	2039	1994-08-31	PRIJEM	\N	323	27126	UROK	\N	\N
3460908	2039	1994-09-30	PRIJEM	\N	323	28549	UROK	\N	\N
3460909	2039	1994-10-31	PRIJEM	\N	323	28771	UROK	\N	\N
3460910	2039	1994-11-30	PRIJEM	\N	323	29694	UROK	\N	\N
3460911	2039	1994-12-31	PRIJEM	\N	320	71147	UROK	\N	\N
3460912	2039	1995-01-31	PRIJEM	\N	291	53439	UROK	\N	\N
3460913	2039	1995-03-31	PRIJEM	\N	181	36719	UROK	\N	\N
3460914	2039	1995-04-30	PRIJEM	\N	181	35000	UROK	\N	\N
3460915	2039	1995-05-31	PRIJEM	\N	263	73806	UROK	\N	\N
3460916	2039	1995-06-30	PRIJEM	\N	220	53025	UROK	\N	\N
3460917	2039	1995-07-31	PRIJEM	\N	220	34245	UROK	\N	\N
3460918	2039	1995-08-31	PRIJEM	\N	220	33665	UROK	\N	\N
3460919	2039	1995-09-30	PRIJEM	\N	220	30284	UROK	\N	\N
3460920	2039	1995-10-31	PRIJEM	\N	220	28804	UROK	\N	\N
3460921	2039	1995-11-30	PRIJEM	\N	220	30423	UROK	\N	\N
3460922	2039	1995-12-31	PRIJEM	\N	202	42455	UROK	\N	\N
3460923	2039	1996-01-31	PRIJEM	\N	152	32092	UROK	\N	\N
3460924	2039	1996-02-29	PRIJEM	\N	146	49714	UROK	\N	\N
3460925	2039	1996-03-31	PRIJEM	\N	233	90015	UROK	\N	\N
3460926	2039	1996-04-30	PRIJEM	\N	349	60350	UROK	\N	\N
3460927	2039	1996-05-31	PRIJEM	\N	249	48985	UROK	\N	\N
3460928	2039	1996-06-30	PRIJEM	\N	166	27736	UROK	\N	\N
3460929	2039	1996-07-31	PRIJEM	\N	116	34637	UROK	\N	\N
3460930	2039	1996-08-31	PRIJEM	\N	147	37569	UROK	\N	\N
3460931	2039	1996-09-30	PRIJEM	\N	156	37710	UROK	\N	\N
3460932	2039	1996-10-31	PRIJEM	\N	156	36951	UROK	\N	\N
3460933	2039	1996-11-30	PRIJEM	\N	153	38490	UROK	\N	\N
3460934	2039	1996-12-31	PRIJEM	\N	156	34732	UROK	\N	\N
3460935	2039	1997-01-31	PRIJEM	\N	135	22451	UROK	\N	\N
3460936	2039	1997-02-28	PRIJEM	\N	103	28839	UROK	\N	\N
3460937	2039	1997-03-31	PRIJEM	\N	132	37457	UROK	\N	\N
3460938	2039	1997-04-30	PRIJEM	\N	156	38598	UROK	\N	\N
3460939	2039	1997-05-31	PRIJEM	\N	160	38343	UROK	\N	\N
3460940	2039	1997-06-30	PRIJEM	\N	123	18679	UROK	\N	\N
3460941	2039	1997-07-31	PRIJEM	\N	78	26842	UROK	\N	\N
3460942	2039	1997-08-31	PRIJEM	\N	117	32145	UROK	\N	\N
3460943	2039	1997-09-30	PRIJEM	\N	143	38897	UROK	\N	\N
3460944	2039	1997-10-31	PRIJEM	\N	161	41244	UROK	\N	\N
3460945	2039	1997-11-30	PRIJEM	\N	171	41800	UROK	\N	\N
3460946	2039	1997-12-31	PRIJEM	\N	176	43461	UROK	\N	\N
3460947	2039	1998-01-31	PRIJEM	\N	167	38014	UROK	\N	\N
3460948	2039	1998-02-28	PRIJEM	\N	157	37456	UROK	\N	\N
3460949	2039	1998-03-31	PRIJEM	\N	156	40697	UROK	\N	\N
3460950	2039	1998-04-30	PRIJEM	\N	177	71312	UROK	\N	\N
3460951	2039	1998-05-31	PRIJEM	\N	294	55891	UROK	\N	\N
3460952	2039	1998-06-30	PRIJEM	\N	176	22853	UROK	\N	\N
3460953	2039	1998-07-31	PRIJEM	\N	95	30933	UROK	\N	\N
3460954	2039	1998-08-31	PRIJEM	\N	128	35346	UROK	\N	\N
3460955	2039	1998-09-30	PRIJEM	\N	146	35077	UROK	\N	\N
3460956	2039	1998-10-31	PRIJEM	\N	152	37825	UROK	\N	\N
3460957	2039	1998-11-30	PRIJEM	\N	155	33666	UROK	\N	\N
3460958	2041	1995-07-31	PRIJEM	\N	17	5248	UROK	\N	\N
3460959	2041	1995-08-31	PRIJEM	\N	70	20249	UROK	\N	\N
3460960	2041	1995-09-30	PRIJEM	\N	110	28390	UROK	\N	\N
3460961	2041	1995-10-31	PRIJEM	\N	126	30847	UROK	\N	\N
3460962	2041	1995-11-30	PRIJEM	\N	137	33514	UROK	\N	\N
3460963	2041	1995-12-31	PRIJEM	\N	161	39507	UROK	\N	\N
3460964	2041	1996-01-31	PRIJEM	\N	120	24383	UROK	\N	\N
3460965	2041	1996-02-29	PRIJEM	\N	102	29101	UROK	\N	\N
3460966	2041	1996-03-31	PRIJEM	\N	129	31847	UROK	\N	\N
3460967	2041	1996-04-30	PRIJEM	\N	123	34186	UROK	\N	\N
3460968	2041	1996-05-31	PRIJEM	\N	124	32926	UROK	\N	\N
3460969	2041	1996-06-30	PRIJEM	\N	138	35196	UROK	\N	\N
3460970	2041	1996-07-31	PRIJEM	\N	146	33558	UROK	\N	\N
3460971	2041	1996-08-31	PRIJEM	\N	138	30512	UROK	\N	\N
3460972	2041	1996-09-30	PRIJEM	\N	126	28654	UROK	\N	\N
3460973	2041	1996-10-31	PRIJEM	\N	109	24080	UROK	\N	\N
3460974	2041	1996-11-30	PRIJEM	\N	93	23029	UROK	\N	\N
3460975	2041	1996-12-31	PRIJEM	\N	108	24009	UROK	\N	\N
3460976	2041	1997-01-31	PRIJEM	\N	77	15842	UROK	\N	\N
3460977	2041	1997-02-28	PRIJEM	\N	71	23529	UROK	\N	\N
3460978	2041	1997-03-31	PRIJEM	\N	102	28948	UROK	\N	\N
3460979	2041	1997-04-30	PRIJEM	\N	119	27683	UROK	\N	\N
3460980	2041	1997-05-31	PRIJEM	\N	123	29823	UROK	\N	\N
3460981	2041	1997-06-30	PRIJEM	\N	125	31380	UROK	\N	\N
3460982	2041	1997-07-31	PRIJEM	\N	130	31126	UROK	\N	\N
3460983	2041	1997-08-31	PRIJEM	\N	130	31572	UROK	\N	\N
3460984	2041	1997-09-30	PRIJEM	\N	132	32520	UROK	\N	\N
3460985	2041	1997-10-31	PRIJEM	\N	134	31170	UROK	\N	\N
3460986	2041	1997-11-30	PRIJEM	\N	134	35021	UROK	\N	\N
3460987	2041	1997-12-31	PRIJEM	\N	150	37042	UROK	\N	\N
3460988	2041	1998-01-31	PRIJEM	\N	135	28874	UROK	\N	\N
3460989	2041	1998-02-28	PRIJEM	\N	125	34035	UROK	\N	\N
3460990	2041	1998-03-31	PRIJEM	\N	147	38399	UROK	\N	\N
3460991	2041	1998-04-30	PRIJEM	\N	161	39916	UROK	\N	\N
3460992	2041	1998-05-31	PRIJEM	\N	173	44605	UROK	\N	\N
3460993	2041	1998-06-30	PRIJEM	\N	193	49529	UROK	\N	\N
3460994	2041	1998-07-31	PRIJEM	\N	209	51955	UROK	\N	\N
3460995	2041	1998-08-31	PRIJEM	\N	208	48379	UROK	\N	\N
3460996	2041	1998-09-30	PRIJEM	\N	194	45590	UROK	\N	\N
3460997	2041	1998-10-31	PRIJEM	\N	184	43531	UROK	\N	\N
3460998	2041	1998-11-30	PRIJEM	\N	202	54249	UROK	\N	\N
3460999	2041	1998-12-31	PRIJEM	\N	233	57914	UROK	\N	\N
3461000	2056	1993-04-30	PRIJEM	\N	4	7724	UROK	\N	\N
3461001	2056	1993-05-31	PRIJEM	\N	214	82977	UROK	\N	\N
3461002	2056	1993-06-30	PRIJEM	\N	214	22419	UROK	\N	\N
3461003	2056	1993-07-31	PRIJEM	\N	191	40203	UROK	\N	\N
3461004	2056	1993-08-31	PRIJEM	\N	170	59883	UROK	\N	\N
3461005	2056	1993-09-30	PRIJEM	\N	201	42231	UROK	\N	\N
3461006	2056	1993-10-31	PRIJEM	\N	175	33491	UROK	\N	\N
3461007	2056	1993-11-30	PRIJEM	\N	134	25743	UROK	\N	\N
3461008	2056	1993-12-31	PRIJEM	\N	142	23950	UROK	\N	\N
3461009	2056	1994-01-31	PRIJEM	\N	116	34468	UROK	\N	\N
3461010	2056	1994-02-28	PRIJEM	\N	269	95683	UROK	\N	\N
3461011	2056	1994-03-31	PRIJEM	\N	302	51294	UROK	\N	\N
3461012	2056	1994-04-30	PRIJEM	\N	277	67793	UROK	\N	\N
3461013	2056	1994-05-31	PRIJEM	\N	298	60596	UROK	\N	\N
3461014	2056	1994-06-30	PRIJEM	\N	261	72458	UROK	\N	\N
3461015	2056	1994-07-31	PRIJEM	\N	252	74461	UROK	\N	\N
3461016	2056	1994-08-31	PRIJEM	\N	267	54758	UROK	\N	\N
3461017	2056	1994-09-30	PRIJEM	\N	339	45124	UROK	\N	\N
3461018	2056	1994-10-31	PRIJEM	\N	108	27491	UROK	\N	\N
3461019	2056	1994-11-30	PRIJEM	\N	113	24988	UROK	\N	\N
3461020	2056	1994-12-31	PRIJEM	\N	215	53972	UROK	\N	\N
3461021	2056	1995-01-31	PRIJEM	\N	226	44912	UROK	\N	\N
3461022	2056	1995-02-28	PRIJEM	\N	185	39082	UROK	\N	\N
3461023	2056	1995-03-31	PRIJEM	\N	170	54614	UROK	\N	\N
3461024	2056	1995-04-30	PRIJEM	\N	225	44424	UROK	\N	\N
3461025	2056	1995-05-31	PRIJEM	\N	145	31754	UROK	\N	\N
3461026	2056	1995-06-30	PRIJEM	\N	131	31171	UROK	\N	\N
3461027	2056	1995-07-31	PRIJEM	\N	128	32484	UROK	\N	\N
3461028	2056	1995-08-31	PRIJEM	\N	154	54248	UROK	\N	\N
3461029	2056	1995-09-30	PRIJEM	\N	185	37336	UROK	\N	\N
3461030	2056	1995-10-31	PRIJEM	\N	199	52769	UROK	\N	\N
3461031	2056	1995-11-30	PRIJEM	\N	296	63300	UROK	\N	\N
3461032	2056	1995-12-31	PRIJEM	\N	225	42810	UROK	\N	\N
3461033	2056	1996-01-31	PRIJEM	\N	145	28940	UROK	\N	\N
3461034	2056	1996-02-29	PRIJEM	\N	139	44876	UROK	\N	\N
3461035	2056	1996-03-31	PRIJEM	\N	164	29307	UROK	\N	\N
3461036	2056	1996-04-30	PRIJEM	\N	120	31813	UROK	\N	\N
3461037	2056	1996-05-31	PRIJEM	\N	130	32228	UROK	\N	\N
3461038	2056	1996-06-30	PRIJEM	\N	130	31243	UROK	\N	\N
3461039	2056	1996-07-31	PRIJEM	\N	127	31856	UROK	\N	\N
3461040	2056	1996-08-31	PRIJEM	\N	131	32472	UROK	\N	\N
3461041	2056	1996-09-30	PRIJEM	\N	132	32690	UROK	\N	\N
3461042	2056	1996-10-31	PRIJEM	\N	133	34108	UROK	\N	\N
3461043	2056	1996-11-30	PRIJEM	\N	139	35933	UROK	\N	\N
3461044	2056	1996-12-31	PRIJEM	\N	131	28650	UROK	\N	\N
3461045	2056	1997-01-31	PRIJEM	\N	136	37650	UROK	\N	\N
3461046	2056	1997-02-28	PRIJEM	\N	150	30686	UROK	\N	\N
3461047	2056	1997-03-31	PRIJEM	\N	122	29693	UROK	\N	\N
3461048	2056	1997-04-30	PRIJEM	\N	120	29398	UROK	\N	\N
3461049	2056	1997-05-31	PRIJEM	\N	119	30102	UROK	\N	\N
3461050	2056	1997-06-30	PRIJEM	\N	122	34409	UROK	\N	\N
3461051	2056	1997-07-31	PRIJEM	\N	188	55790	UROK	\N	\N
3461052	2056	1997-08-31	PRIJEM	\N	226	44202	UROK	\N	\N
3461053	2056	1997-09-30	PRIJEM	\N	212	57947	UROK	\N	\N
3461054	2056	1997-10-31	PRIJEM	\N	242	86251	UROK	\N	\N
3461055	2056	1997-11-30	PRIJEM	\N	390	104816	UROK	\N	\N
3461056	2056	1997-12-31	PRIJEM	\N	278	51451	UROK	\N	\N
3461057	2056	1998-01-31	PRIJEM	\N	207	39344	UROK	\N	\N
3461058	2056	1998-02-28	PRIJEM	\N	226	103787	UROK	\N	\N
3461059	2056	1998-03-31	PRIJEM	\N	299	57771	UROK	\N	\N
3461060	2056	1998-04-30	PRIJEM	\N	233	64397	UROK	\N	\N
3461061	2056	1998-05-31	PRIJEM	\N	236	42518	UROK	\N	\N
3461062	2056	1998-06-30	PRIJEM	\N	148	34752	UROK	\N	\N
3461063	2056	1998-07-31	PRIJEM	\N	157	79708	UROK	\N	\N
3461064	2056	1998-08-31	PRIJEM	\N	322	55015	UROK	\N	\N
3461065	2056	1998-09-30	PRIJEM	\N	148	29448	UROK	\N	\N
3461066	2056	1998-10-31	PRIJEM	\N	173	63429	UROK	\N	\N
3461067	2056	1998-11-30	PRIJEM	\N	255	49870	UROK	\N	\N
3461068	2056	1998-12-31	PRIJEM	\N	150	31905	UROK	\N	\N
3461069	2059	1994-11-30	PRIJEM	\N	66	19759	UROK	\N	\N
3461070	2059	1994-12-31	PRIJEM	\N	114	29413	UROK	\N	\N
3461071	2059	1995-01-31	PRIJEM	\N	152	38258	UROK	\N	\N
3461072	2059	1995-02-28	PRIJEM	\N	183	45533	UROK	\N	\N
3461073	2059	1995-03-31	PRIJEM	\N	169	36095	UROK	\N	\N
3461074	2059	1995-04-30	PRIJEM	\N	149	35523	UROK	\N	\N
3461075	2059	1995-05-31	PRIJEM	\N	166	40967	UROK	\N	\N
3461076	2059	1995-06-30	PRIJEM	\N	135	26927	UROK	\N	\N
3461077	2059	1995-07-31	PRIJEM	\N	144	36550	UROK	\N	\N
3461078	2059	1995-08-31	PRIJEM	\N	177	44205	UROK	\N	\N
3461079	2059	1995-09-30	PRIJEM	\N	177	42661	UROK	\N	\N
3461080	2059	1995-10-31	PRIJEM	\N	196	48135	UROK	\N	\N
3461081	2059	1995-11-30	PRIJEM	\N	203	48916	UROK	\N	\N
3461082	2059	1995-12-31	PRIJEM	\N	207	48748	UROK	\N	\N
3461083	2059	1996-01-31	PRIJEM	\N	162	28589	UROK	\N	\N
3461084	2059	1996-02-29	PRIJEM	\N	120	37588	UROK	\N	\N
3461085	2059	1996-03-31	PRIJEM	\N	166	40932	UROK	\N	\N
3461086	2059	1996-04-30	PRIJEM	\N	124	41235	UROK	\N	\N
3461087	2059	1996-05-31	PRIJEM	\N	159	33472	UROK	\N	\N
3461088	2059	1996-06-30	PRIJEM	\N	167	32964	UROK	\N	\N
3461089	2059	1996-07-31	PRIJEM	\N	137	33079	UROK	\N	\N
3461090	2059	1996-08-31	PRIJEM	\N	137	32795	UROK	\N	\N
3461091	2059	1996-09-30	PRIJEM	\N	143	30216	UROK	\N	\N
3461092	2059	1996-10-31	PRIJEM	\N	126	31321	UROK	\N	\N
3461093	2059	1996-11-30	PRIJEM	\N	131	33330	UROK	\N	\N
3461094	2059	1996-12-31	PRIJEM	\N	178	34634	UROK	\N	\N
3461095	2059	1997-01-31	PRIJEM	\N	130	25942	UROK	\N	\N
3461096	2059	1997-02-28	PRIJEM	\N	113	33734	UROK	\N	\N
3461097	2059	1997-03-31	PRIJEM	\N	142	36354	UROK	\N	\N
3461098	2059	1997-04-30	PRIJEM	\N	150	35883	UROK	\N	\N
3461099	2059	1997-05-31	PRIJEM	\N	162	33023	UROK	\N	\N
3461100	2059	1997-06-30	PRIJEM	\N	143	39491	UROK	\N	\N
3461101	2059	1997-07-31	PRIJEM	\N	160	38130	UROK	\N	\N
3461102	2059	1997-08-31	PRIJEM	\N	156	36764	UROK	\N	\N
3461103	2059	1997-09-30	PRIJEM	\N	165	33807	UROK	\N	\N
3461104	2059	1997-10-31	PRIJEM	\N	142	35728	UROK	\N	\N
3461105	2059	1997-11-30	PRIJEM	\N	144	31250	UROK	\N	\N
3461106	2059	1997-12-31	PRIJEM	\N	144	32919	UROK	\N	\N
3461107	2059	1998-01-31	PRIJEM	\N	121	17019	UROK	\N	\N
3461108	2059	1998-02-28	PRIJEM	\N	68	16165	UROK	\N	\N
3461109	2059	1998-03-31	PRIJEM	\N	64	15108	UROK	\N	\N
3461110	2059	1998-04-30	PRIJEM	\N	67	19153	UROK	\N	\N
3461111	2059	1998-05-31	PRIJEM	\N	82	21513	UROK	\N	\N
3461112	2059	1998-06-30	PRIJEM	\N	90	22329	UROK	\N	\N
3461113	2059	1998-07-31	PRIJEM	\N	83	17390	UROK	\N	\N
3461114	2059	1998-08-31	PRIJEM	\N	65	14734	UROK	\N	\N
3461115	2059	1998-09-30	PRIJEM	\N	60	15472	UROK	\N	\N
3461116	2059	1998-10-31	PRIJEM	\N	64	26814	UROK	\N	\N
3461117	2059	1998-11-30	PRIJEM	\N	98	21591	UROK	\N	\N
3461118	2059	1998-12-31	PRIJEM	\N	128	36944	UROK	\N	\N
3461119	2067	1994-04-30	PRIJEM	\N	4	1604	UROK	\N	\N
3461120	2067	1994-05-31	PRIJEM	\N	40	14844	UROK	\N	\N
3461121	2067	1994-06-30	PRIJEM	\N	78	21923	UROK	\N	\N
3461122	2067	1994-07-31	PRIJEM	\N	95	23718	UROK	\N	\N
3461123	2067	1994-08-31	PRIJEM	\N	118	55412	UROK	\N	\N
3461124	2067	1994-09-30	PRIJEM	\N	201	40299	UROK	\N	\N
3461125	2067	1994-10-31	PRIJEM	\N	149	32633	UROK	\N	\N
3461126	2067	1994-11-30	PRIJEM	\N	129	30748	UROK	\N	\N
3461127	2067	1994-12-31	PRIJEM	\N	120	28553	UROK	\N	\N
3461128	2067	1995-01-31	PRIJEM	\N	92	21444	UROK	\N	\N
3461129	2067	1995-02-28	PRIJEM	\N	98	26228	UROK	\N	\N
3461130	2067	1995-03-31	PRIJEM	\N	111	27024	UROK	\N	\N
3461131	2067	1995-04-30	PRIJEM	\N	109	25518	UROK	\N	\N
3461132	2067	1995-05-31	PRIJEM	\N	102	24705	UROK	\N	\N
3461133	2067	1995-06-30	PRIJEM	\N	97	20488	UROK	\N	\N
3461134	2067	1995-07-31	PRIJEM	\N	99	26872	UROK	\N	\N
3461135	2067	1995-08-31	PRIJEM	\N	177	44246	UROK	\N	\N
3461136	2067	1995-09-30	PRIJEM	\N	182	36813	UROK	\N	\N
3461137	2067	1995-10-31	PRIJEM	\N	152	33251	UROK	\N	\N
3461138	2067	1995-11-30	PRIJEM	\N	137	30773	UROK	\N	\N
3461139	2067	1995-12-31	PRIJEM	\N	127	32086	UROK	\N	\N
3461140	2067	1996-01-31	PRIJEM	\N	104	22076	UROK	\N	\N
3461141	2067	1996-02-29	PRIJEM	\N	92	28803	UROK	\N	\N
3461142	2067	1996-03-31	PRIJEM	\N	123	33711	UROK	\N	\N
3461143	2067	1996-04-30	PRIJEM	\N	143	37189	UROK	\N	\N
3461144	2067	1996-05-31	PRIJEM	\N	154	37129	UROK	\N	\N
3461145	2067	1996-06-30	PRIJEM	\N	140	31654	UROK	\N	\N
3461146	2067	1996-07-31	PRIJEM	\N	133	33773	UROK	\N	\N
3461147	2067	1996-08-31	PRIJEM	\N	140	33998	UROK	\N	\N
3461148	2067	1996-09-30	PRIJEM	\N	142	34726	UROK	\N	\N
3461149	2067	1996-10-31	PRIJEM	\N	195	51485	UROK	\N	\N
3461150	2067	1996-11-30	PRIJEM	\N	210	48981	UROK	\N	\N
3461151	2067	1996-12-31	PRIJEM	\N	195	41361	UROK	\N	\N
3461152	2067	1997-01-31	PRIJEM	\N	148	34945	UROK	\N	\N
3461153	2067	1997-02-28	PRIJEM	\N	151	40081	UROK	\N	\N
3461154	2067	1997-03-31	PRIJEM	\N	212	64854	UROK	\N	\N
3461155	2067	1997-04-30	PRIJEM	\N	255	55094	UROK	\N	\N
3461156	2067	1997-05-31	PRIJEM	\N	228	60035	UROK	\N	\N
3461157	2067	1997-06-30	PRIJEM	\N	202	33822	UROK	\N	\N
3461158	2067	1997-07-31	PRIJEM	\N	160	46868	UROK	\N	\N
3461159	2067	1997-08-31	PRIJEM	\N	204	52457	UROK	\N	\N
3461160	2067	1997-09-30	PRIJEM	\N	227	57420	UROK	\N	\N
3461161	2067	1997-10-31	PRIJEM	\N	241	59446	UROK	\N	\N
3461162	2067	1997-11-30	PRIJEM	\N	247	60279	UROK	\N	\N
3461163	2067	1997-12-31	PRIJEM	\N	259	63423	UROK	\N	\N
3461164	2067	1998-01-31	PRIJEM	\N	241	52350	UROK	\N	\N
3461165	2067	1998-02-28	PRIJEM	\N	237	62422	UROK	\N	\N
3461166	2067	1998-03-31	PRIJEM	\N	272	69780	UROK	\N	\N
3461167	2067	1998-04-30	PRIJEM	\N	305	78016	UROK	\N	\N
3461168	2067	1998-05-31	PRIJEM	\N	322	76973	UROK	\N	\N
3461169	2067	1998-06-30	PRIJEM	\N	266	56525	UROK	\N	\N
3461170	2067	1998-07-31	PRIJEM	\N	270	84090	UROK	\N	\N
3461171	2067	1998-08-31	PRIJEM	\N	362	91437	UROK	\N	\N
3461172	2067	1998-09-30	PRIJEM	\N	385	94907	UROK	\N	\N
3461173	2067	1998-10-31	PRIJEM	\N	380	90022	UROK	\N	\N
3461174	2067	1998-11-30	PRIJEM	\N	370	89478	UROK	\N	\N
3461175	2067	1998-12-31	PRIJEM	\N	365	86928	UROK	\N	\N
3461176	2077	1995-01-31	PRIJEM	\N	18	5023	UROK	\N	\N
3461177	2077	1995-02-28	PRIJEM	\N	60	16088	UROK	\N	\N
3461178	2077	1995-03-31	PRIJEM	\N	88	21881	UROK	\N	\N
3461179	2077	1995-04-30	PRIJEM	\N	110	27196	UROK	\N	\N
3461180	2077	1995-05-31	PRIJEM	\N	118	28719	UROK	\N	\N
3461181	2077	1995-06-30	PRIJEM	\N	134	32797	UROK	\N	\N
3461182	2077	1995-07-31	PRIJEM	\N	125	25012	UROK	\N	\N
3461183	2077	1995-08-31	PRIJEM	\N	134	33236	UROK	\N	\N
3461184	2077	1995-09-30	PRIJEM	\N	146	33972	UROK	\N	\N
3461185	2077	1995-10-31	PRIJEM	\N	132	31095	UROK	\N	\N
3461186	2077	1995-11-30	PRIJEM	\N	118	28504	UROK	\N	\N
3461187	2077	1995-12-31	PRIJEM	\N	128	30775	UROK	\N	\N
3461188	2077	1996-01-31	PRIJEM	\N	111	22476	UROK	\N	\N
3461189	2077	1996-02-29	PRIJEM	\N	96	25563	UROK	\N	\N
3461190	2077	1996-03-31	PRIJEM	\N	106	25359	UROK	\N	\N
3461191	2077	1996-04-30	PRIJEM	\N	106	26656	UROK	\N	\N
3461192	2077	1996-05-31	PRIJEM	\N	109	23055	UROK	\N	\N
3461193	2077	1996-06-30	PRIJEM	\N	89	18688	UROK	\N	\N
3461194	2077	1996-07-31	PRIJEM	\N	87	21865	UROK	\N	\N
3461195	2077	1996-08-31	PRIJEM	\N	97	24153	UROK	\N	\N
3461196	2077	1996-09-30	PRIJEM	\N	100	23743	UROK	\N	\N
3461197	2077	1996-10-31	PRIJEM	\N	99	24532	UROK	\N	\N
3461198	2077	1996-11-30	PRIJEM	\N	103	25726	UROK	\N	\N
3461199	2077	1996-12-31	PRIJEM	\N	119	27188	UROK	\N	\N
3461200	2077	1997-01-31	PRIJEM	\N	96	19274	UROK	\N	\N
3461201	2077	1997-02-28	PRIJEM	\N	85	24149	UROK	\N	\N
3461202	2077	1997-03-31	PRIJEM	\N	105	21745	UROK	\N	\N
3461203	2077	1997-04-30	PRIJEM	\N	97	25233	UROK	\N	\N
3461204	2077	1997-05-31	PRIJEM	\N	108	28531	UROK	\N	\N
3461205	2077	1997-06-30	PRIJEM	\N	110	24585	UROK	\N	\N
3461206	2077	1997-07-31	PRIJEM	\N	109	28385	UROK	\N	\N
3461207	2077	1997-08-31	PRIJEM	\N	124	32899	UROK	\N	\N
3461208	2077	1997-09-30	PRIJEM	\N	143	37232	UROK	\N	\N
3461209	2077	1997-10-31	PRIJEM	\N	156	38679	UROK	\N	\N
3461210	2077	1997-11-30	PRIJEM	\N	152	33921	UROK	\N	\N
3461211	2077	1997-12-31	PRIJEM	\N	146	35010	UROK	\N	\N
3461212	2077	1998-01-31	PRIJEM	\N	115	23815	UROK	\N	\N
3461213	2077	1998-02-28	PRIJEM	\N	105	26510	UROK	\N	\N
3461214	2077	1998-03-31	PRIJEM	\N	113	28613	UROK	\N	\N
3461215	2077	1998-04-30	PRIJEM	\N	118	28822	UROK	\N	\N
3461216	2077	1998-05-31	PRIJEM	\N	121	30133	UROK	\N	\N
3461217	2077	1998-06-30	PRIJEM	\N	132	34009	UROK	\N	\N
3461218	2077	1998-07-31	PRIJEM	\N	151	39550	UROK	\N	\N
3461219	2077	1998-08-31	PRIJEM	\N	171	41711	UROK	\N	\N
3461220	2077	1998-09-30	PRIJEM	\N	187	48488	UROK	\N	\N
3461221	2077	1998-10-31	PRIJEM	\N	218	56597	UROK	\N	\N
3461222	2077	1998-11-30	PRIJEM	\N	246	61833	UROK	\N	\N
3461223	2077	1998-12-31	PRIJEM	\N	272	67649	UROK	\N	\N
3461224	2079	1997-09-30	PRIJEM	\N	59	17765	UROK	\N	\N
3461225	2079	1997-10-31	PRIJEM	\N	148	39919	UROK	\N	\N
3461226	2079	1997-11-30	PRIJEM	\N	214	54439	UROK	\N	\N
3461227	2079	1997-12-31	PRIJEM	\N	277	69625	UROK	\N	\N
3461228	2079	1998-01-31	PRIJEM	\N	292	67323	UROK	\N	\N
3461229	2079	1998-02-28	PRIJEM	\N	280	67495	UROK	\N	\N
3461230	2079	1998-03-31	PRIJEM	\N	293	71179	UROK	\N	\N
3461231	2079	1998-04-30	PRIJEM	\N	301	69271	UROK	\N	\N
3461232	2079	1998-05-31	PRIJEM	\N	298	69361	UROK	\N	\N
3461233	2079	1998-06-30	PRIJEM	\N	323	64077	UROK	\N	\N
3461234	2079	1998-07-31	PRIJEM	\N	277	67446	UROK	\N	\N
3461235	2079	1998-08-31	PRIJEM	\N	282	68120	UROK	\N	\N
3461236	2079	1998-09-30	PRIJEM	\N	267	62378	UROK	\N	\N
3461237	2079	1998-10-31	PRIJEM	\N	275	67744	UROK	\N	\N
3461238	2079	1998-11-30	PRIJEM	\N	233	73569	UROK	\N	\N
3461239	2079	1998-12-31	PRIJEM	\N	266	79129	UROK	\N	\N
3461240	2086	1996-09-30	PRIJEM	\N	123	38622	UROK	\N	\N
3461241	2086	1996-10-31	PRIJEM	\N	218	56539	UROK	\N	\N
3461242	2086	1996-11-30	PRIJEM	\N	346	91384	UROK	\N	\N
3461243	2086	1996-12-31	PRIJEM	\N	335	77417	UROK	\N	\N
3461244	2086	1997-01-31	PRIJEM	\N	321	46537	UROK	\N	\N
3461245	2086	1997-02-28	PRIJEM	\N	315	85420	UROK	\N	\N
3461246	2086	1997-03-31	PRIJEM	\N	405	59494	UROK	\N	\N
3461247	2086	1997-04-30	PRIJEM	\N	334	86123	UROK	\N	\N
3461248	2086	1997-05-31	PRIJEM	\N	376	82673	UROK	\N	\N
3461249	2086	1997-06-30	PRIJEM	\N	315	62097	UROK	\N	\N
3461250	2086	1997-07-31	PRIJEM	\N	304	64204	UROK	\N	\N
3461251	2086	1997-08-31	PRIJEM	\N	333	79352	UROK	\N	\N
3461252	2086	1997-09-30	PRIJEM	\N	393	99314	UROK	\N	\N
3461253	2086	1997-10-31	PRIJEM	\N	242	46525	UROK	\N	\N
3461254	2086	1997-11-30	PRIJEM	\N	240	39610	UROK	\N	\N
3461255	2086	1997-12-31	PRIJEM	\N	323	83767	UROK	\N	\N
3461256	2086	1998-01-31	PRIJEM	\N	339	44732	UROK	\N	\N
3461257	2086	1998-02-28	PRIJEM	\N	249	53460	UROK	\N	\N
3461258	2086	1998-03-31	PRIJEM	\N	314	67942	UROK	\N	\N
3461259	2086	1998-04-30	PRIJEM	\N	288	77351	UROK	\N	\N
3461260	2086	1998-05-31	PRIJEM	\N	387	95502	UROK	\N	\N
3461261	2086	1998-06-30	PRIJEM	\N	457	87527	UROK	\N	\N
3461262	2086	1998-07-31	PRIJEM	\N	258	68954	UROK	\N	\N
3461263	2086	1998-08-31	PRIJEM	\N	327	34380	UROK	\N	\N
3461264	2086	1998-09-30	PRIJEM	\N	221	47810	UROK	\N	\N
3461265	2086	1998-10-31	PRIJEM	\N	206	64986	UROK	\N	\N
3461266	2086	1998-11-30	PRIJEM	\N	271	68825	UROK	\N	\N
3461267	2086	1998-12-31	PRIJEM	\N	292	69485	UROK	\N	\N
3461268	2091	1996-10-31	PRIJEM	\N	17	17740	UROK	\N	\N
3461269	2091	1996-11-30	PRIJEM	\N	81	25344	UROK	\N	\N
3461270	2091	1996-12-31	PRIJEM	\N	113	32090	UROK	\N	\N
3461271	2091	1997-01-31	PRIJEM	\N	136	34149	UROK	\N	\N
3461272	2091	1997-02-28	PRIJEM	\N	145	37718	UROK	\N	\N
3461273	2091	1997-03-31	PRIJEM	\N	159	39385	UROK	\N	\N
3461274	2091	1997-04-30	PRIJEM	\N	168	42861	UROK	\N	\N
3461275	2091	1997-05-31	PRIJEM	\N	181	45351	UROK	\N	\N
3461276	2091	1997-06-30	PRIJEM	\N	191	40361	UROK	\N	\N
3461277	2091	1997-07-31	PRIJEM	\N	171	42440	UROK	\N	\N
3461278	2091	1997-08-31	PRIJEM	\N	176	41924	UROK	\N	\N
3461279	2091	1997-09-30	PRIJEM	\N	177	43409	UROK	\N	\N
3461280	2091	1997-10-31	PRIJEM	\N	163	36281	UROK	\N	\N
3461281	2091	1997-11-30	PRIJEM	\N	150	35839	UROK	\N	\N
3461282	2091	1997-12-31	PRIJEM	\N	159	40117	UROK	\N	\N
3461283	2091	1998-01-31	PRIJEM	\N	159	26584	UROK	\N	\N
3461284	2091	1998-02-28	PRIJEM	\N	127	35719	UROK	\N	\N
3461285	2091	1998-03-31	PRIJEM	\N	158	41486	UROK	\N	\N
3461286	2091	1998-04-30	PRIJEM	\N	174	40468	UROK	\N	\N
3461287	2091	1998-05-31	PRIJEM	\N	182	47758	UROK	\N	\N
3461288	2091	1998-06-30	PRIJEM	\N	188	37765	UROK	\N	\N
3461289	2091	1998-07-31	PRIJEM	\N	166	42640	UROK	\N	\N
3461290	2091	1998-08-31	PRIJEM	\N	178	47426	UROK	\N	\N
3461291	2091	1998-09-30	PRIJEM	\N	202	49936	UROK	\N	\N
3461292	2091	1998-10-31	PRIJEM	\N	214	52858	UROK	\N	\N
3461293	2091	1998-11-30	PRIJEM	\N	208	50175	UROK	\N	\N
3461294	2091	1998-12-31	PRIJEM	\N	215	51409	UROK	\N	\N
3461295	2093	1997-07-31	PRIJEM	\N	55	17192	UROK	\N	\N
3461296	2093	1997-08-31	PRIJEM	\N	133	36362	UROK	\N	\N
3461297	2093	1997-09-30	PRIJEM	\N	179	45279	UROK	\N	\N
3461298	2093	1997-10-31	PRIJEM	\N	191	46307	UROK	\N	\N
3461299	2093	1997-11-30	PRIJEM	\N	207	50850	UROK	\N	\N
3461300	2093	1997-12-31	PRIJEM	\N	246	58638	UROK	\N	\N
3461301	2093	1998-01-31	PRIJEM	\N	204	41964	UROK	\N	\N
3461302	2093	1998-02-28	PRIJEM	\N	212	53998	UROK	\N	\N
3461303	2093	1998-03-31	PRIJEM	\N	241	59262	UROK	\N	\N
3461304	2093	1998-04-30	PRIJEM	\N	248	59133	UROK	\N	\N
3461305	2093	1998-05-31	PRIJEM	\N	241	57796	UROK	\N	\N
3461306	2093	1998-06-30	PRIJEM	\N	244	53781	UROK	\N	\N
3461307	2093	1998-07-31	PRIJEM	\N	225	54429	UROK	\N	\N
3461308	2093	1998-08-31	PRIJEM	\N	232	56484	UROK	\N	\N
3461309	2093	1998-09-30	PRIJEM	\N	233	52739	UROK	\N	\N
3461310	2093	1998-10-31	PRIJEM	\N	194	42255	UROK	\N	\N
3461311	2093	1998-11-30	PRIJEM	\N	176	46454	UROK	\N	\N
3461312	2095	1996-01-31	PRIJEM	\N	43	22930	UROK	\N	\N
3461313	2095	1996-02-29	PRIJEM	\N	121	36738	UROK	\N	\N
3461314	2095	1996-03-31	PRIJEM	\N	158	39383	UROK	\N	\N
3461315	2095	1996-04-30	PRIJEM	\N	172	43741	UROK	\N	\N
3461316	2095	1996-05-31	PRIJEM	\N	187	46215	UROK	\N	\N
3461317	2095	1996-06-30	PRIJEM	\N	152	16132	UROK	\N	\N
3461318	2095	1996-07-31	PRIJEM	\N	100	31404	UROK	\N	\N
3461319	2095	1996-08-31	PRIJEM	\N	139	34915	UROK	\N	\N
3461320	2095	1996-09-30	PRIJEM	\N	151	37238	UROK	\N	\N
3461321	2095	1996-10-31	PRIJEM	\N	161	38872	UROK	\N	\N
3461322	2095	1996-11-30	PRIJEM	\N	162	39006	UROK	\N	\N
3461323	2095	1996-12-31	PRIJEM	\N	180	46051	UROK	\N	\N
3461324	2095	1997-01-31	PRIJEM	\N	177	29701	UROK	\N	\N
3461325	2095	1997-02-28	PRIJEM	\N	172	48845	UROK	\N	\N
3461326	2095	1997-03-31	PRIJEM	\N	199	47516	UROK	\N	\N
3461327	2095	1997-04-30	PRIJEM	\N	248	46336	UROK	\N	\N
3461328	2095	1997-05-31	PRIJEM	\N	243	42252	UROK	\N	\N
3461329	2095	1997-06-30	PRIJEM	\N	210	52627	UROK	\N	\N
3461330	2095	1997-07-31	PRIJEM	\N	237	59636	UROK	\N	\N
3461331	2095	1997-08-31	PRIJEM	\N	253	61962	UROK	\N	\N
3461332	2095	1997-09-30	PRIJEM	\N	272	67806	UROK	\N	\N
3461333	2095	1997-10-31	PRIJEM	\N	288	70467	UROK	\N	\N
3461334	2095	1997-11-30	PRIJEM	\N	281	70520	UROK	\N	\N
3461335	2095	1997-12-31	PRIJEM	\N	303	77988	UROK	\N	\N
3461336	2095	1998-01-31	PRIJEM	\N	277	60637	UROK	\N	\N
3461337	2095	1998-02-28	PRIJEM	\N	246	56456	UROK	\N	\N
3461338	2095	1998-03-31	PRIJEM	\N	244	59872	UROK	\N	\N
3461339	2095	1998-04-30	PRIJEM	\N	251	61396	UROK	\N	\N
3461340	2095	1998-05-31	PRIJEM	\N	244	57112	UROK	\N	\N
3461341	2095	1998-06-30	PRIJEM	\N	252	65729	UROK	\N	\N
3461342	2095	1998-07-31	PRIJEM	\N	247	62549	UROK	\N	\N
3461343	2095	1998-08-31	PRIJEM	\N	243	55265	UROK	\N	\N
3461344	2095	1998-09-30	PRIJEM	\N	242	60779	UROK	\N	\N
3461345	2095	1998-10-31	PRIJEM	\N	247	59499	UROK	\N	\N
3461346	2095	1998-11-30	PRIJEM	\N	227	52498	UROK	\N	\N
3461347	2095	1998-12-31	PRIJEM	\N	229	54893	UROK	\N	\N
3461348	2097	1997-10-31	PRIJEM	\N	4	1504	UROK	\N	\N
3461349	2097	1997-11-30	PRIJEM	\N	45	17349	UROK	\N	\N
3461350	2097	1997-12-31	PRIJEM	\N	88	24937	UROK	\N	\N
3461351	2097	1998-01-31	PRIJEM	\N	197	53945	UROK	\N	\N
3461352	2097	1998-02-28	PRIJEM	\N	200	44031	UROK	\N	\N
3461353	2097	1998-03-31	PRIJEM	\N	204	52948	UROK	\N	\N
3461354	2097	1998-04-30	PRIJEM	\N	193	40027	UROK	\N	\N
3461355	2097	1998-05-31	PRIJEM	\N	153	34565	UROK	\N	\N
3461356	2097	1998-06-30	PRIJEM	\N	137	27937	UROK	\N	\N
3461357	2097	1998-07-31	PRIJEM	\N	134	35456	UROK	\N	\N
3461358	2097	1998-08-31	PRIJEM	\N	156	39397	UROK	\N	\N
3461359	2097	1998-09-30	PRIJEM	\N	166	40649	UROK	\N	\N
3461360	2097	1998-10-31	PRIJEM	\N	163	38197	UROK	\N	\N
3461361	2097	1998-11-30	PRIJEM	\N	160	38743	UROK	\N	\N
3461362	2097	1998-12-31	PRIJEM	\N	168	41096	UROK	\N	\N
3461363	2109	1996-04-30	PRIJEM	\N	44	45516	UROK	\N	\N
3461364	2109	1996-05-31	PRIJEM	\N	190	36406	UROK	\N	\N
3461365	2109	1996-06-30	PRIJEM	\N	190	29195	UROK	\N	\N
3461366	2109	1996-07-31	PRIJEM	\N	187	27982	UROK	\N	\N
3461367	2109	1996-08-31	PRIJEM	\N	112	27195	UROK	\N	\N
3461368	2109	1996-09-30	PRIJEM	\N	116	41459	UROK	\N	\N
3461369	2109	1996-10-31	PRIJEM	\N	172	37031	UROK	\N	\N
3461370	2109	1996-11-30	PRIJEM	\N	172	33603	UROK	\N	\N
3461371	2109	1996-12-31	PRIJEM	\N	172	33176	UROK	\N	\N
3461372	2109	1997-01-31	PRIJEM	\N	172	34048	UROK	\N	\N
3461373	2109	1997-02-28	PRIJEM	\N	172	37320	UROK	\N	\N
3461374	2109	1997-03-31	PRIJEM	\N	172	40092	UROK	\N	\N
3461375	2109	1997-04-30	PRIJEM	\N	172	45665	UROK	\N	\N
3461376	2109	1997-05-31	PRIJEM	\N	172	49737	UROK	\N	\N
3461377	2109	1997-06-30	PRIJEM	\N	172	48609	UROK	\N	\N
3461378	2109	1997-07-31	PRIJEM	\N	172	44881	UROK	\N	\N
3461379	2109	1997-08-31	PRIJEM	\N	182	52202	UROK	\N	\N
3461380	2109	1997-09-30	PRIJEM	\N	217	49618	UROK	\N	\N
3461381	2109	1997-10-31	PRIJEM	\N	227	71152	UROK	\N	\N
3461382	2109	1997-11-30	PRIJEM	\N	295	62147	UROK	\N	\N
3461383	2109	1997-12-31	PRIJEM	\N	295	58543	UROK	\N	\N
3461384	2109	1998-01-31	PRIJEM	\N	295	56438	UROK	\N	\N
3461385	2109	1998-02-28	PRIJEM	\N	295	60533	UROK	\N	\N
3461386	2109	1998-03-31	PRIJEM	\N	300	75388	UROK	\N	\N
3461387	2109	1998-04-30	PRIJEM	\N	303	66926	UROK	\N	\N
3461388	2109	1998-05-31	PRIJEM	\N	278	65489	UROK	\N	\N
3461389	2109	1998-06-30	PRIJEM	\N	233	34707	UROK	\N	\N
3461390	2109	1998-07-31	PRIJEM	\N	172	53614	UROK	\N	\N
3461391	2109	1998-08-31	PRIJEM	\N	223	60723	UROK	\N	\N
3461392	2109	1998-09-30	PRIJEM	\N	253	68261	UROK	\N	\N
3461393	2109	1998-10-31	PRIJEM	\N	284	75631	UROK	\N	\N
3461394	2109	1998-11-30	PRIJEM	\N	314	79131	UROK	\N	\N
3461395	2109	1998-12-31	PRIJEM	\N	407	103989	UROK	\N	\N
3461396	2113	1996-09-30	PRIJEM	\N	10	17588	UROK	\N	\N
3461397	2113	1996-10-31	PRIJEM	\N	77	23743	UROK	\N	\N
3461398	2113	1996-11-30	PRIJEM	\N	102	28023	UROK	\N	\N
3461399	2113	1996-12-31	PRIJEM	\N	121	33560	UROK	\N	\N
3461400	2113	1997-01-31	PRIJEM	\N	146	27984	UROK	\N	\N
3461401	2113	1997-02-28	PRIJEM	\N	120	32568	UROK	\N	\N
3461402	2113	1997-03-31	PRIJEM	\N	137	34568	UROK	\N	\N
3461403	2113	1997-04-30	PRIJEM	\N	163	36175	UROK	\N	\N
3461404	2113	1997-05-31	PRIJEM	\N	154	40193	UROK	\N	\N
3461405	2113	1997-06-30	PRIJEM	\N	167	39962	UROK	\N	\N
3461406	2113	1997-07-31	PRIJEM	\N	162	36288	UROK	\N	\N
3461407	2113	1997-08-31	PRIJEM	\N	152	37203	UROK	\N	\N
3461408	2113	1997-09-30	PRIJEM	\N	149	32295	UROK	\N	\N
3461409	2113	1997-10-31	PRIJEM	\N	138	24256	UROK	\N	\N
3461410	2113	1997-11-30	PRIJEM	\N	105	27124	UROK	\N	\N
3461411	2113	1997-12-31	PRIJEM	\N	126	25852	UROK	\N	\N
3461412	2113	1998-01-31	PRIJEM	\N	90	13586	UROK	\N	\N
3461413	2113	1998-02-28	PRIJEM	\N	61	16510	UROK	\N	\N
3461414	2113	1998-03-31	PRIJEM	\N	69	16642	UROK	\N	\N
3461415	2113	1998-04-30	PRIJEM	\N	74	13119	UROK	\N	\N
3461416	2113	1998-05-31	PRIJEM	\N	56	14539	UROK	\N	\N
3461417	2113	1998-06-30	PRIJEM	\N	61	15402	UROK	\N	\N
3461418	2113	1998-07-31	PRIJEM	\N	68	17834	UROK	\N	\N
3461419	2113	1998-08-31	PRIJEM	\N	78	15475	UROK	\N	\N
3461420	2113	1998-09-30	PRIJEM	\N	63	15302	UROK	\N	\N
3461421	2113	1998-10-31	PRIJEM	\N	57	12422	UROK	\N	\N
3461422	2113	1998-11-30	PRIJEM	\N	68	19674	UROK	\N	\N
3461423	2113	1998-12-31	PRIJEM	\N	71	14107	UROK	\N	\N
3461424	2126	1997-02-28	PRIJEM	\N	113	42095	UROK	\N	\N
3461425	2126	1997-03-31	PRIJEM	\N	207	53586	UROK	\N	\N
3461426	2126	1997-04-30	PRIJEM	\N	285	76153	UROK	\N	\N
3461427	2126	1997-05-31	PRIJEM	\N	360	91596	UROK	\N	\N
3461428	2126	1997-06-30	PRIJEM	\N	378	85893	UROK	\N	\N
3461429	2126	1997-07-31	PRIJEM	\N	326	61280	UROK	\N	\N
3461430	2126	1997-08-31	PRIJEM	\N	334	89282	UROK	\N	\N
3461431	2126	1997-09-30	PRIJEM	\N	386	76003	UROK	\N	\N
3461432	2126	1997-10-31	PRIJEM	\N	371	95643	UROK	\N	\N
3461433	2126	1997-11-30	PRIJEM	\N	423	91834	UROK	\N	\N
3461434	2126	1997-12-31	PRIJEM	\N	359	70599	UROK	\N	\N
3461435	2126	1998-01-31	PRIJEM	\N	226	40663	UROK	\N	\N
3461436	2126	1998-02-28	PRIJEM	\N	229	58207	UROK	\N	\N
3461437	2126	1998-03-31	PRIJEM	\N	335	91511	UROK	\N	\N
3461438	2126	1998-04-30	PRIJEM	\N	336	68956	UROK	\N	\N
3461439	2126	1998-05-31	PRIJEM	\N	292	77402	UROK	\N	\N
3461440	2126	1998-06-30	PRIJEM	\N	182	30880	UROK	\N	\N
3461441	2126	1998-07-31	PRIJEM	\N	257	76905	UROK	\N	\N
3461442	2126	1998-08-31	PRIJEM	\N	359	95633	UROK	\N	\N
3461443	2126	1998-09-30	PRIJEM	\N	229	39832	UROK	\N	\N
3461444	2126	1998-10-31	PRIJEM	\N	242	63182	UROK	\N	\N
3461445	2126	1998-11-30	PRIJEM	\N	330	83517	UROK	\N	\N
3461446	2126	1998-12-31	PRIJEM	\N	269	61695	UROK	\N	\N
3461447	2130	1996-12-31	PRIJEM	\N	270	115238	UROK	\N	\N
3461448	2130	1997-01-31	PRIJEM	\N	214	20705	UROK	\N	\N
3461449	2130	1997-02-28	PRIJEM	\N	235	68523	UROK	\N	\N
3461450	2130	1997-03-31	PRIJEM	\N	316	75023	UROK	\N	\N
3461451	2130	1997-04-30	PRIJEM	\N	217	30418	UROK	\N	\N
3461452	2130	1997-05-31	PRIJEM	\N	174	90630	UROK	\N	\N
3461453	2130	1997-06-30	PRIJEM	\N	193	59360	UROK	\N	\N
3461454	2130	1997-07-31	PRIJEM	\N	246	50392	UROK	\N	\N
3461455	2130	1997-08-31	PRIJEM	\N	304	73711	UROK	\N	\N
3461456	2130	1997-09-30	PRIJEM	\N	310	95306	UROK	\N	\N
3461457	2130	1997-10-31	PRIJEM	\N	413	69940	UROK	\N	\N
3461458	2130	1997-11-30	PRIJEM	\N	284	54298	UROK	\N	\N
3461459	2130	1997-12-31	PRIJEM	\N	323	65161	UROK	\N	\N
3461460	2130	1998-01-31	PRIJEM	\N	255	33746	UROK	\N	\N
3461461	2130	1998-02-28	PRIJEM	\N	137	26419	UROK	\N	\N
3461462	2130	1998-03-31	PRIJEM	\N	109	26413	UROK	\N	\N
3461463	2130	1998-04-30	PRIJEM	\N	109	29608	UROK	\N	\N
3461464	2130	1998-05-31	PRIJEM	\N	122	28815	UROK	\N	\N
3461465	2130	1998-06-30	PRIJEM	\N	117	24217	UROK	\N	\N
3461466	2130	1998-07-31	PRIJEM	\N	99	22402	UROK	\N	\N
3461467	2130	1998-08-31	PRIJEM	\N	91	17778	UROK	\N	\N
3461468	2130	1998-09-30	PRIJEM	\N	73	20436	UROK	\N	\N
3461469	2130	1998-10-31	PRIJEM	\N	84	21705	UROK	\N	\N
3461470	2130	1998-11-30	PRIJEM	\N	89	24479	UROK	\N	\N
3461471	2132	1993-10-31	PRIJEM	\N	60	22286	UROK	\N	\N
3461472	2132	1993-11-30	PRIJEM	\N	156	46267	UROK	\N	\N
3461473	2132	1993-12-31	PRIJEM	\N	251	68207	UROK	\N	\N
3461474	2132	1994-01-31	PRIJEM	\N	281	67514	UROK	\N	\N
3461475	2132	1994-02-28	PRIJEM	\N	278	66719	UROK	\N	\N
3461476	2132	1994-03-31	PRIJEM	\N	275	65905	UROK	\N	\N
3461477	2132	1994-04-30	PRIJEM	\N	278	67595	UROK	\N	\N
3461478	2132	1994-05-31	PRIJEM	\N	276	65882	UROK	\N	\N
3461479	2132	1994-06-30	PRIJEM	\N	267	51944	UROK	\N	\N
3461480	2132	1994-07-31	PRIJEM	\N	228	56124	UROK	\N	\N
3461481	2132	1994-08-31	PRIJEM	\N	248	61784	UROK	\N	\N
3461482	2132	1994-09-30	PRIJEM	\N	260	62955	UROK	\N	\N
3461483	2132	1994-10-31	PRIJEM	\N	231	61997	UROK	\N	\N
3461484	2132	1994-11-30	PRIJEM	\N	260	62529	UROK	\N	\N
3461485	2132	1994-12-31	PRIJEM	\N	264	71186	UROK	\N	\N
3461486	2132	1995-01-31	PRIJEM	\N	241	53198	UROK	\N	\N
3461487	2132	1995-02-28	PRIJEM	\N	153	57763	UROK	\N	\N
3461488	2132	1995-03-31	PRIJEM	\N	243	58538	UROK	\N	\N
3461489	2132	1995-04-30	PRIJEM	\N	253	62302	UROK	\N	\N
3461490	2132	1995-05-31	PRIJEM	\N	260	62874	UROK	\N	\N
3461491	2132	1995-06-30	PRIJEM	\N	260	75907	UROK	\N	\N
3461492	2132	1995-07-31	PRIJEM	\N	214	50333	UROK	\N	\N
3461493	2132	1995-08-31	PRIJEM	\N	235	44679	UROK	\N	\N
3461494	2132	1995-09-30	PRIJEM	\N	216	46507	UROK	\N	\N
3461495	2132	1995-10-31	PRIJEM	\N	191	44910	UROK	\N	\N
3461496	2132	1995-11-30	PRIJEM	\N	223	44064	UROK	\N	\N
3461497	2132	1995-12-31	PRIJEM	\N	241	44819	UROK	\N	\N
3461498	2132	1996-01-31	PRIJEM	\N	188	29438	UROK	\N	\N
3461499	2132	1996-02-29	PRIJEM	\N	152	27761	UROK	\N	\N
3461500	2132	1996-03-31	PRIJEM	\N	115	28887	UROK	\N	\N
3461501	2132	1996-04-30	PRIJEM	\N	156	31534	UROK	\N	\N
3461502	2132	1996-05-31	PRIJEM	\N	145	32070	UROK	\N	\N
3461503	2132	1996-06-30	PRIJEM	\N	141	41886	UROK	\N	\N
3461504	2132	1996-07-31	PRIJEM	\N	168	33445	UROK	\N	\N
3461505	2132	1996-08-31	PRIJEM	\N	135	31791	UROK	\N	\N
3461506	2132	1996-09-30	PRIJEM	\N	129	31031	UROK	\N	\N
3461507	2132	1996-10-31	PRIJEM	\N	128	31870	UROK	\N	\N
3461508	2132	1996-11-30	PRIJEM	\N	130	31711	UROK	\N	\N
3461509	2132	1996-12-31	PRIJEM	\N	165	34231	UROK	\N	\N
3461510	2132	1997-01-31	PRIJEM	\N	140	20762	UROK	\N	\N
3461511	2132	1997-02-28	PRIJEM	\N	90	25564	UROK	\N	\N
3461512	2132	1997-03-31	PRIJEM	\N	111	31186	UROK	\N	\N
3461513	2132	1997-04-30	PRIJEM	\N	137	27654	UROK	\N	\N
3461514	2132	1997-05-31	PRIJEM	\N	118	31483	UROK	\N	\N
3461515	2132	1997-06-30	PRIJEM	\N	163	35040	UROK	\N	\N
3461516	2132	1997-07-31	PRIJEM	\N	138	32689	UROK	\N	\N
3461517	2132	1997-08-31	PRIJEM	\N	136	35037	UROK	\N	\N
3461518	2132	1997-09-30	PRIJEM	\N	141	34589	UROK	\N	\N
3461519	2132	1997-10-31	PRIJEM	\N	144	36744	UROK	\N	\N
3461520	2132	1997-11-30	PRIJEM	\N	156	40092	UROK	\N	\N
3461521	2132	1997-12-31	PRIJEM	\N	185	47252	UROK	\N	\N
3461522	2132	1998-01-31	PRIJEM	\N	163	26066	UROK	\N	\N
3461523	2132	1998-02-28	PRIJEM	\N	120	33357	UROK	\N	\N
3461524	2132	1998-03-31	PRIJEM	\N	140	33468	UROK	\N	\N
3461525	2132	1998-04-30	PRIJEM	\N	139	35039	UROK	\N	\N
3461526	2132	1998-05-31	PRIJEM	\N	145	37296	UROK	\N	\N
3461527	2132	1998-06-30	PRIJEM	\N	161	42031	UROK	\N	\N
3461528	2132	1998-07-31	PRIJEM	\N	169	41811	UROK	\N	\N
3461529	2132	1998-08-31	PRIJEM	\N	165	37527	UROK	\N	\N
3461530	2132	1998-09-30	PRIJEM	\N	204	38143	UROK	\N	\N
3461531	2132	1998-10-31	PRIJEM	\N	208	38962	UROK	\N	\N
3461532	2132	1998-11-30	PRIJEM	\N	178	47450	UROK	\N	\N
3461533	2132	1998-12-31	PRIJEM	\N	230	61614	UROK	\N	\N
3461534	2136	1997-10-31	PRIJEM	\N	38	10454	UROK	\N	\N
3461535	2136	1997-11-30	PRIJEM	\N	111	29181	UROK	\N	\N
3461536	2136	1997-12-31	PRIJEM	\N	166	41770	UROK	\N	\N
3461537	2136	1998-01-31	PRIJEM	\N	140	31926	UROK	\N	\N
3461538	2136	1998-02-28	PRIJEM	\N	134	41876	UROK	\N	\N
3461539	2136	1998-03-31	PRIJEM	\N	180	44058	UROK	\N	\N
3461540	2136	1998-04-30	PRIJEM	\N	146	38105	UROK	\N	\N
3461541	2136	1998-05-31	PRIJEM	\N	116	22922	UROK	\N	\N
3461542	2136	1998-06-30	PRIJEM	\N	106	25238	UROK	\N	\N
3461543	2136	1998-07-31	PRIJEM	\N	107	29146	UROK	\N	\N
3461544	2136	1998-08-31	PRIJEM	\N	123	32270	UROK	\N	\N
3461545	2136	1998-09-30	PRIJEM	\N	165	38236	UROK	\N	\N
3461546	2136	1998-10-31	PRIJEM	\N	162	42699	UROK	\N	\N
3461547	2136	1998-11-30	PRIJEM	\N	195	43696	UROK	\N	\N
3461548	2136	1998-12-31	PRIJEM	\N	194	56899	UROK	\N	\N
3461549	2158	1997-04-30	PRIJEM	\N	6	13806	UROK	\N	\N
3461550	2158	1997-05-31	PRIJEM	\N	62	22968	UROK	\N	\N
3461551	2158	1997-06-30	PRIJEM	\N	97	25665	UROK	\N	\N
3461552	2158	1997-07-31	PRIJEM	\N	200	53782	UROK	\N	\N
3461553	2158	1997-08-31	PRIJEM	\N	244	55934	UROK	\N	\N
3461554	2158	1997-09-30	PRIJEM	\N	221	41940	UROK	\N	\N
3461555	2158	1997-10-31	PRIJEM	\N	170	36895	UROK	\N	\N
3461556	2158	1997-11-30	PRIJEM	\N	149	32430	UROK	\N	\N
3461557	2158	1997-12-31	PRIJEM	\N	133	31048	UROK	\N	\N
3461558	2158	1998-01-31	PRIJEM	\N	200	46269	UROK	\N	\N
3461559	2158	1998-02-28	PRIJEM	\N	188	41842	UROK	\N	\N
3461560	2158	1998-03-31	PRIJEM	\N	170	37597	UROK	\N	\N
3461561	2158	1998-04-30	PRIJEM	\N	152	33835	UROK	\N	\N
3461562	2158	1998-05-31	PRIJEM	\N	139	32459	UROK	\N	\N
3461563	2158	1998-06-30	PRIJEM	\N	122	28216	UROK	\N	\N
3461564	2158	1998-07-31	PRIJEM	\N	118	29020	UROK	\N	\N
3461565	2158	1998-08-31	PRIJEM	\N	115	25820	UROK	\N	\N
3461566	2158	1998-09-30	PRIJEM	\N	112	29518	UROK	\N	\N
3461567	2158	1998-10-31	PRIJEM	\N	123	29926	UROK	\N	\N
3461568	2158	1998-11-30	PRIJEM	\N	152	37806	UROK	\N	\N
3461569	2158	1998-12-31	PRIJEM	\N	145	30636	UROK	\N	\N
3461570	2183	1997-08-31	PRIJEM	\N	45	21046	UROK	\N	\N
3461571	2183	1997-09-30	PRIJEM	\N	114	32861	UROK	\N	\N
3461572	2183	1997-10-31	PRIJEM	\N	144	36106	UROK	\N	\N
3461573	2183	1997-11-30	PRIJEM	\N	154	37861	UROK	\N	\N
3461574	2183	1997-12-31	PRIJEM	\N	168	39710	UROK	\N	\N
3461575	2183	1998-01-31	PRIJEM	\N	138	15654	UROK	\N	\N
3461576	2183	1998-02-28	PRIJEM	\N	86	24126	UROK	\N	\N
3461577	2183	1998-03-31	PRIJEM	\N	113	29225	UROK	\N	\N
3461578	2183	1998-04-30	PRIJEM	\N	114	25485	UROK	\N	\N
3461579	2183	1998-05-31	PRIJEM	\N	126	33498	UROK	\N	\N
3461580	2183	1998-06-30	PRIJEM	\N	89	3614	UROK	\N	\N
3461581	2183	1998-07-31	PRIJEM	\N	75	25975	UROK	\N	\N
3461582	2183	1998-08-31	PRIJEM	\N	136	35077	UROK	\N	\N
3461583	2183	1998-09-30	PRIJEM	\N	176	45439	UROK	\N	\N
3461584	2183	1998-10-31	PRIJEM	\N	194	47320	UROK	\N	\N
3461585	2183	1998-11-30	PRIJEM	\N	181	42388	UROK	\N	\N
3461586	2183	1998-12-31	PRIJEM	\N	193	44687	UROK	\N	\N
3461587	2195	1994-10-31	PRIJEM	\N	42	17496	UROK	\N	\N
3461588	2195	1994-11-30	PRIJEM	\N	121	38071	UROK	\N	\N
3461589	2195	1994-12-31	PRIJEM	\N	208	58660	UROK	\N	\N
3461590	2195	1995-01-31	PRIJEM	\N	241	57755	UROK	\N	\N
3461591	2195	1995-02-28	PRIJEM	\N	242	58851	UROK	\N	\N
3461592	2195	1995-03-31	PRIJEM	\N	244	58434	UROK	\N	\N
3461593	2195	1995-04-30	PRIJEM	\N	228	59421	UROK	\N	\N
3461594	2195	1995-05-31	PRIJEM	\N	252	61513	UROK	\N	\N
3461595	2195	1995-06-30	PRIJEM	\N	183	36242	UROK	\N	\N
3461596	2195	1995-07-31	PRIJEM	\N	177	47359	UROK	\N	\N
3461597	2195	1995-08-31	PRIJEM	\N	210	53009	UROK	\N	\N
3461598	2195	1995-09-30	PRIJEM	\N	238	60586	UROK	\N	\N
3461599	2195	1995-10-31	PRIJEM	\N	260	63985	UROK	\N	\N
3461600	2195	1995-11-30	PRIJEM	\N	245	64150	UROK	\N	\N
3461601	2195	1995-12-31	PRIJEM	\N	291	73448	UROK	\N	\N
3461602	2195	1996-01-31	PRIJEM	\N	250	59277	UROK	\N	\N
3461603	2195	1996-02-29	PRIJEM	\N	219	68835	UROK	\N	\N
3461604	2195	1996-03-31	PRIJEM	\N	299	74274	UROK	\N	\N
3461605	2195	1996-04-30	PRIJEM	\N	306	74019	UROK	\N	\N
3461606	2195	1996-05-31	PRIJEM	\N	232	58591	UROK	\N	\N
3461607	2195	1996-06-30	PRIJEM	\N	233	45450	UROK	\N	\N
3461608	2195	1996-07-31	PRIJEM	\N	191	52981	UROK	\N	\N
3461609	2195	1996-08-31	PRIJEM	\N	220	54540	UROK	\N	\N
3461610	2195	1996-09-30	PRIJEM	\N	253	58732	UROK	\N	\N
3461611	2195	1996-10-31	PRIJEM	\N	264	57036	UROK	\N	\N
3461612	2195	1996-11-30	PRIJEM	\N	236	57812	UROK	\N	\N
3461613	2195	1996-12-31	PRIJEM	\N	266	60284	UROK	\N	\N
3461614	2195	1997-01-31	PRIJEM	\N	238	49861	UROK	\N	\N
3461615	2195	1997-02-28	PRIJEM	\N	212	58913	UROK	\N	\N
3461616	2195	1997-03-31	PRIJEM	\N	261	58653	UROK	\N	\N
3461617	2195	1997-04-30	PRIJEM	\N	247	64139	UROK	\N	\N
3461618	2195	1997-05-31	PRIJEM	\N	269	69048	UROK	\N	\N
3461619	2195	1997-06-30	PRIJEM	\N	242	52276	UROK	\N	\N
3461620	2195	1997-07-31	PRIJEM	\N	232	68047	UROK	\N	\N
3461621	2195	1997-08-31	PRIJEM	\N	283	70069	UROK	\N	\N
3461622	2195	1997-09-30	PRIJEM	\N	303	75112	UROK	\N	\N
3461623	2195	1997-10-31	PRIJEM	\N	310	74461	UROK	\N	\N
3461624	2195	1997-11-30	PRIJEM	\N	322	75922	UROK	\N	\N
3461625	2195	1997-12-31	PRIJEM	\N	338	79826	UROK	\N	\N
3461626	2195	1998-01-31	PRIJEM	\N	337	68063	UROK	\N	\N
3461627	2195	1998-02-28	PRIJEM	\N	291	75693	UROK	\N	\N
3461628	2195	1998-03-31	PRIJEM	\N	323	83656	UROK	\N	\N
3461629	2195	1998-04-30	PRIJEM	\N	353	89148	UROK	\N	\N
3461630	2195	1998-05-31	PRIJEM	\N	366	84673	UROK	\N	\N
3461631	2195	1998-06-30	PRIJEM	\N	327	74367	UROK	\N	\N
3461632	2195	1998-07-31	PRIJEM	\N	323	84629	UROK	\N	\N
3461633	2195	1998-08-31	PRIJEM	\N	364	93533	UROK	\N	\N
3461634	2195	1998-09-30	PRIJEM	\N	388	95160	UROK	\N	\N
3461635	2195	1998-10-31	PRIJEM	\N	387	92986	UROK	\N	\N
3461636	2195	1998-11-30	PRIJEM	\N	383	93407	UROK	\N	\N
3461637	2195	1998-12-31	PRIJEM	\N	374	85548	UROK	\N	\N
3461638	2207	1996-02-29	PRIJEM	\N	22	25165	UROK	\N	\N
3461639	2207	1996-03-31	PRIJEM	\N	114	34821	UROK	\N	\N
3461640	2207	1996-04-30	PRIJEM	\N	151	41415	UROK	\N	\N
3461641	2207	1996-05-31	PRIJEM	\N	178	47237	UROK	\N	\N
3461642	2207	1996-06-30	PRIJEM	\N	190	35400	UROK	\N	\N
3461643	2207	1996-07-31	PRIJEM	\N	156	43185	UROK	\N	\N
3461644	2207	1996-08-31	PRIJEM	\N	208	43902	UROK	\N	\N
3461645	2207	1996-09-30	PRIJEM	\N	166	43716	UROK	\N	\N
3461646	2207	1996-10-31	PRIJEM	\N	188	47732	UROK	\N	\N
3461647	2207	1996-11-30	PRIJEM	\N	200	48560	UROK	\N	\N
3461648	2207	1996-12-31	PRIJEM	\N	205	49745	UROK	\N	\N
3461649	2207	1997-01-31	PRIJEM	\N	199	23472	UROK	\N	\N
3461650	2207	1997-02-28	PRIJEM	\N	120	37320	UROK	\N	\N
3461651	2207	1997-03-31	PRIJEM	\N	164	42633	UROK	\N	\N
3461652	2207	1997-04-30	PRIJEM	\N	177	42838	UROK	\N	\N
3461653	2207	1997-05-31	PRIJEM	\N	178	42644	UROK	\N	\N
3461654	2207	1997-06-30	PRIJEM	\N	175	31339	UROK	\N	\N
3461655	2207	1997-07-31	PRIJEM	\N	138	35805	UROK	\N	\N
3461656	2207	1997-08-31	PRIJEM	\N	160	41694	UROK	\N	\N
3461657	2207	1997-09-30	PRIJEM	\N	170	40393	UROK	\N	\N
3461658	2207	1997-10-31	PRIJEM	\N	161	37182	UROK	\N	\N
3461659	2207	1997-11-30	PRIJEM	\N	177	32847	UROK	\N	\N
3461660	2207	1997-12-31	PRIJEM	\N	157	37023	UROK	\N	\N
3461661	2207	1998-01-31	PRIJEM	\N	108	16179	UROK	\N	\N
3461662	2207	1998-02-28	PRIJEM	\N	92	27100	UROK	\N	\N
3461663	2207	1998-03-31	PRIJEM	\N	127	33756	UROK	\N	\N
3461664	2207	1998-04-30	PRIJEM	\N	142	34626	UROK	\N	\N
3461665	2207	1998-05-31	PRIJEM	\N	142	34396	UROK	\N	\N
3461666	2207	1998-06-30	PRIJEM	\N	137	22973	UROK	\N	\N
3461667	2207	1998-07-31	PRIJEM	\N	105	27106	UROK	\N	\N
3461668	2207	1998-08-31	PRIJEM	\N	123	31257	UROK	\N	\N
3461669	2207	1998-09-30	PRIJEM	\N	131	32217	UROK	\N	\N
3461670	2207	1998-10-31	PRIJEM	\N	132	31877	UROK	\N	\N
3461671	2207	1998-11-30	PRIJEM	\N	133	32538	UROK	\N	\N
3461672	2207	1998-12-31	PRIJEM	\N	148	36886	UROK	\N	\N
3461673	2265	1995-08-31	PRIJEM	\N	113	42119	UROK	\N	\N
3461674	2265	1995-09-30	PRIJEM	\N	175	32594	UROK	\N	\N
3461675	2265	1995-10-31	PRIJEM	\N	203	67930	UROK	\N	\N
3461676	2265	1995-11-30	PRIJEM	\N	283	75399	UROK	\N	\N
3461677	2265	1995-12-31	PRIJEM	\N	274	70045	UROK	\N	\N
3461678	2265	1996-01-31	PRIJEM	\N	124	17336	UROK	\N	\N
3461679	2265	1996-02-29	PRIJEM	\N	155	37400	UROK	\N	\N
3461680	2265	1996-03-31	PRIJEM	\N	150	15736	UROK	\N	\N
3461681	2265	1996-04-30	PRIJEM	\N	64	6585	UROK	\N	\N
3461682	2265	1996-05-31	PRIJEM	\N	34	24559	UROK	\N	\N
3461683	2265	1996-06-30	PRIJEM	\N	99	17143	UROK	\N	\N
3461684	2265	1996-07-31	PRIJEM	\N	69	5997	UROK	\N	\N
3461685	2265	1996-08-31	PRIJEM	\N	25	12490	UROK	\N	\N
3461686	2265	1996-09-30	PRIJEM	\N	114	29056	UROK	\N	\N
3461687	2265	1996-10-31	PRIJEM	\N	110	4852	UROK	\N	\N
3461688	2265	1996-11-30	PRIJEM	\N	213	40935	UROK	\N	\N
3461689	2265	1996-12-31	PRIJEM	\N	145	4866	UROK	\N	\N
3461690	2265	1997-01-31	PRIJEM	\N	213	50776	UROK	\N	\N
3461691	2265	1997-02-28	PRIJEM	\N	113	17271	UROK	\N	\N
3461692	2265	1997-03-31	PRIJEM	\N	195	40418	UROK	\N	\N
3461693	2265	1997-04-30	PRIJEM	\N	245	93624	UROK	\N	\N
3461694	2265	1997-05-31	PRIJEM	\N	361	51669	UROK	\N	\N
3461695	2265	1997-06-30	PRIJEM	\N	209	46483	UROK	\N	\N
3461696	2265	1997-07-31	PRIJEM	\N	268	95571	UROK	\N	\N
3461697	2265	1997-08-31	PRIJEM	\N	332	36988	UROK	\N	\N
3461698	2265	1997-09-30	PRIJEM	\N	193	33977	UROK	\N	\N
3461699	2265	1997-10-31	PRIJEM	\N	140	49799	UROK	\N	\N
3461700	2265	1997-11-30	PRIJEM	\N	139	19845	UROK	\N	\N
3461701	2265	1997-12-31	PRIJEM	\N	83	22377	UROK	\N	\N
3461702	2265	1998-01-31	PRIJEM	\N	102	63746	UROK	\N	\N
3461703	2265	1998-02-28	PRIJEM	\N	200	32392	UROK	\N	\N
3461704	2265	1998-03-31	PRIJEM	\N	239	62436	UROK	\N	\N
3461705	2265	1998-04-30	PRIJEM	\N	257	53350	UROK	\N	\N
3461706	2265	1998-05-31	PRIJEM	\N	178	23679	UROK	\N	\N
3461707	2265	1998-06-30	PRIJEM	\N	204	93579	UROK	\N	\N
3461708	2265	1998-07-31	PRIJEM	\N	364	102125	UROK	\N	\N
3461709	2265	1998-08-31	PRIJEM	\N	266	35720	UROK	\N	\N
3461710	2265	1998-09-30	PRIJEM	\N	145	43190	UROK	\N	\N
3461711	2265	1998-10-31	PRIJEM	\N	94	33567	UROK	\N	\N
3461712	2265	1998-11-30	PRIJEM	\N	266	88362	UROK	\N	\N
3461713	2265	1998-12-31	PRIJEM	\N	274	48878	UROK	\N	\N
3461714	2274	1996-01-31	PRIJEM	\N	4	4154	UROK	\N	\N
3461715	2274	1996-02-29	PRIJEM	\N	34	15187	UROK	\N	\N
3461716	2274	1996-03-31	PRIJEM	\N	78	24665	UROK	\N	\N
3461717	2274	1996-04-30	PRIJEM	\N	112	30462	UROK	\N	\N
3461718	2274	1996-05-31	PRIJEM	\N	127	30675	UROK	\N	\N
3461719	2274	1996-06-30	PRIJEM	\N	100	23511	UROK	\N	\N
3461720	2274	1996-07-31	PRIJEM	\N	110	30606	UROK	\N	\N
3461721	2274	1996-08-31	PRIJEM	\N	127	30519	UROK	\N	\N
3461722	2274	1996-09-30	PRIJEM	\N	127	30431	UROK	\N	\N
3461723	2274	1996-10-31	PRIJEM	\N	130	32146	UROK	\N	\N
3461724	2274	1996-11-30	PRIJEM	\N	129	29861	UROK	\N	\N
3461725	2274	1996-12-31	PRIJEM	\N	135	41456	UROK	\N	\N
3461726	2274	1997-01-31	PRIJEM	\N	135	23708	UROK	\N	\N
3461727	2274	1997-02-28	PRIJEM	\N	96	22490	UROK	\N	\N
3461728	2274	1997-03-31	PRIJEM	\N	92	21667	UROK	\N	\N
3461729	2274	1997-04-30	PRIJEM	\N	137	44273	UROK	\N	\N
3461730	2274	1997-05-31	PRIJEM	\N	173	37782	UROK	\N	\N
3461731	2274	1997-06-30	PRIJEM	\N	133	27700	UROK	\N	\N
3461732	2274	1997-07-31	PRIJEM	\N	123	30908	UROK	\N	\N
3461733	2274	1997-08-31	PRIJEM	\N	129	31122	UROK	\N	\N
3461734	2274	1997-09-30	PRIJEM	\N	136	33743	UROK	\N	\N
3461735	2274	1997-10-31	PRIJEM	\N	136	31864	UROK	\N	\N
3461736	2274	1997-11-30	PRIJEM	\N	134	32783	UROK	\N	\N
3461737	2274	1997-12-31	PRIJEM	\N	149	36568	UROK	\N	\N
3461738	2274	1998-01-31	PRIJEM	\N	123	24726	UROK	\N	\N
3461739	2274	1998-02-28	PRIJEM	\N	152	41833	UROK	\N	\N
3461740	2274	1998-03-31	PRIJEM	\N	175	42393	UROK	\N	\N
3461741	2274	1998-04-30	PRIJEM	\N	175	41953	UROK	\N	\N
3461742	2274	1998-05-31	PRIJEM	\N	171	40809	UROK	\N	\N
3461743	2274	1998-06-30	PRIJEM	\N	128	27522	UROK	\N	\N
3461744	2274	1998-07-31	PRIJEM	\N	223	81300	UROK	\N	\N
3461745	2274	1998-08-31	PRIJEM	\N	303	64088	UROK	\N	\N
3461746	2274	1998-09-30	PRIJEM	\N	251	55775	UROK	\N	\N
3461747	2274	1998-10-31	PRIJEM	\N	217	48627	UROK	\N	\N
3461748	2274	1998-11-30	PRIJEM	\N	209	51922	UROK	\N	\N
3461749	2274	1998-12-31	PRIJEM	\N	208	48616	UROK	\N	\N
3461750	2285	1996-12-31	PRIJEM	\N	19	12719	UROK	\N	\N
3461751	2285	1997-01-31	PRIJEM	\N	61	17680	UROK	\N	\N
3461752	2285	1997-02-28	PRIJEM	\N	81	22861	UROK	\N	\N
3461753	2285	1997-03-31	PRIJEM	\N	98	24658	UROK	\N	\N
3461754	2285	1997-04-30	PRIJEM	\N	98	20456	UROK	\N	\N
3461755	2285	1997-05-31	PRIJEM	\N	85	20126	UROK	\N	\N
3461756	2285	1997-06-30	PRIJEM	\N	88	22200	UROK	\N	\N
3461757	2285	1997-07-31	PRIJEM	\N	88	19272	UROK	\N	\N
3461758	2285	1997-08-31	PRIJEM	\N	121	28581	UROK	\N	\N
3461759	2285	1997-09-30	PRIJEM	\N	112	25179	UROK	\N	\N
3461760	2285	1997-10-31	PRIJEM	\N	109	27273	UROK	\N	\N
3461761	2285	1997-11-30	PRIJEM	\N	119	29977	UROK	\N	\N
3461762	2285	1997-12-31	PRIJEM	\N	187	50586	UROK	\N	\N
3461763	2285	1998-01-31	PRIJEM	\N	179	37350	UROK	\N	\N
3461764	2285	1998-02-28	PRIJEM	\N	145	32681	UROK	\N	\N
3461765	2285	1998-03-31	PRIJEM	\N	140	40174	UROK	\N	\N
3461766	2285	1998-04-30	PRIJEM	\N	150	32209	UROK	\N	\N
3461767	2285	1998-05-31	PRIJEM	\N	120	25165	UROK	\N	\N
3461768	2285	1998-06-30	PRIJEM	\N	99	16899	UROK	\N	\N
3461769	2285	1998-07-31	PRIJEM	\N	97	28881	UROK	\N	\N
3461770	2285	1998-08-31	PRIJEM	\N	210	76146	UROK	\N	\N
3461771	2285	1998-09-30	PRIJEM	\N	277	62159	UROK	\N	\N
3461772	2285	1998-10-31	PRIJEM	\N	242	54586	UROK	\N	\N
3461773	2285	1998-11-30	PRIJEM	\N	224	54096	UROK	\N	\N
3461774	2285	1998-12-31	PRIJEM	\N	215	50196	UROK	\N	\N
3461775	2295	1996-07-31	PRIJEM	\N	129	38536	UROK	\N	\N
3461776	2295	1996-08-31	PRIJEM	\N	176	53284	UROK	\N	\N
3461777	2295	1996-09-30	PRIJEM	\N	255	57779	UROK	\N	\N
3461778	2295	1996-10-31	PRIJEM	\N	246	66883	UROK	\N	\N
3461779	2295	1996-11-30	PRIJEM	\N	329	41270	UROK	\N	\N
3461780	2295	1996-12-31	PRIJEM	\N	185	41946	UROK	\N	\N
3461781	2295	1997-01-31	PRIJEM	\N	103	7935	UROK	\N	\N
3461782	2295	1997-02-28	PRIJEM	\N	72	37137	UROK	\N	\N
3461783	2295	1997-03-31	PRIJEM	\N	180	56263	UROK	\N	\N
3461784	2295	1997-04-30	PRIJEM	\N	244	63454	UROK	\N	\N
3461785	2295	1997-05-31	PRIJEM	\N	219	42958	UROK	\N	\N
3461786	2295	1997-06-30	PRIJEM	\N	181	67852	UROK	\N	\N
3461787	2295	1997-07-31	PRIJEM	\N	280	53718	UROK	\N	\N
3461788	2295	1997-08-31	PRIJEM	\N	242	64472	UROK	\N	\N
3461789	2295	1997-09-30	PRIJEM	\N	237	45694	UROK	\N	\N
3461790	2295	1997-10-31	PRIJEM	\N	167	33647	UROK	\N	\N
3461791	2295	1997-11-30	PRIJEM	\N	140	36172	UROK	\N	\N
3461792	2295	1997-12-31	PRIJEM	\N	140	29397	UROK	\N	\N
3461793	2295	1998-01-31	PRIJEM	\N	148	25383	UROK	\N	\N
3461794	2295	1998-02-28	PRIJEM	\N	120	91897	UROK	\N	\N
3461795	2295	1998-03-31	PRIJEM	\N	383	87218	UROK	\N	\N
3461796	2295	1998-04-30	PRIJEM	\N	333	79319	UROK	\N	\N
3461797	2295	1998-05-31	PRIJEM	\N	266	49961	UROK	\N	\N
3461798	2295	1998-06-30	PRIJEM	\N	234	1740	UROK	\N	\N
3461799	2295	1998-07-31	PRIJEM	\N	52	27268	UROK	\N	\N
3461800	2295	1998-08-31	PRIJEM	\N	171	37719	UROK	\N	\N
3461801	2295	1998-09-30	PRIJEM	\N	296	45811	UROK	\N	\N
3461802	2295	1998-10-31	PRIJEM	\N	175	43705	UROK	\N	\N
3461803	2295	1998-11-30	PRIJEM	\N	228	121409	UROK	\N	\N
3461804	2295	1998-12-31	PRIJEM	\N	344	87505	UROK	\N	\N
3461805	2304	1996-04-30	PRIJEM	\N	88	68037	UROK	\N	\N
3461806	2304	1996-05-31	PRIJEM	\N	248	47880	UROK	\N	\N
3461807	2304	1996-06-30	PRIJEM	\N	199	37779	UROK	\N	\N
3461808	2304	1996-07-31	PRIJEM	\N	203	50150	UROK	\N	\N
3461809	2304	1996-08-31	PRIJEM	\N	208	36158	UROK	\N	\N
3461810	2304	1996-09-30	PRIJEM	\N	208	28066	UROK	\N	\N
3461811	2304	1996-10-31	PRIJEM	\N	208	25574	UROK	\N	\N
3461812	2304	1996-11-30	PRIJEM	\N	208	25082	UROK	\N	\N
3461813	2304	1996-12-31	PRIJEM	\N	208	21490	UROK	\N	\N
3461814	2304	1997-01-31	PRIJEM	\N	208	18198	UROK	\N	\N
3461815	2304	1997-02-28	PRIJEM	\N	170	34229	UROK	\N	\N
3461816	2304	1997-03-31	PRIJEM	\N	184	40196	UROK	\N	\N
3461817	2304	1997-04-30	PRIJEM	\N	159	28761	UROK	\N	\N
3461818	2304	1997-05-31	PRIJEM	\N	130	44457	UROK	\N	\N
3461819	2304	1997-06-30	PRIJEM	\N	244	56703	UROK	\N	\N
3461820	2304	1997-07-31	PRIJEM	\N	180	30830	UROK	\N	\N
3461821	2304	1997-08-31	PRIJEM	\N	99	20088	UROK	\N	\N
3461822	2304	1997-09-30	PRIJEM	\N	167	56840	UROK	\N	\N
3461823	2304	1997-10-31	PRIJEM	\N	164	47601	UROK	\N	\N
3461824	2304	1997-11-30	PRIJEM	\N	226	57763	UROK	\N	\N
3461825	2304	1997-12-31	PRIJEM	\N	158	30106	UROK	\N	\N
3461826	2304	1998-01-31	PRIJEM	\N	123	20015	UROK	\N	\N
3461827	2304	1998-02-28	PRIJEM	\N	97	43059	UROK	\N	\N
3461828	2304	1998-03-31	PRIJEM	\N	196	32641	UROK	\N	\N
3461829	2304	1998-04-30	PRIJEM	\N	118	27264	UROK	\N	\N
3461830	2304	1998-05-31	PRIJEM	\N	130	31232	UROK	\N	\N
3461831	2304	1998-06-30	PRIJEM	\N	158	33695	UROK	\N	\N
3461832	2304	1998-07-31	PRIJEM	\N	137	18717	UROK	\N	\N
3461833	2304	1998-08-31	PRIJEM	\N	83	63637	UROK	\N	\N
3461834	2304	1998-09-30	PRIJEM	\N	259	29182	UROK	\N	\N
3461835	2304	1998-10-31	PRIJEM	\N	112	26889	UROK	\N	\N
3461836	2304	1998-11-30	PRIJEM	\N	129	32178	UROK	\N	\N
3461837	2304	1998-12-31	PRIJEM	\N	112	25859	UROK	\N	\N
3461838	2314	1996-10-31	PRIJEM	\N	62	18416	UROK	\N	\N
3461839	2314	1996-11-30	PRIJEM	\N	117	29986	UROK	\N	\N
3461840	2314	1996-12-31	PRIJEM	\N	151	37719	UROK	\N	\N
3461841	2314	1997-01-31	PRIJEM	\N	149	35722	UROK	\N	\N
3461842	2314	1997-02-28	PRIJEM	\N	176	43552	UROK	\N	\N
3461843	2314	1997-03-31	PRIJEM	\N	160	37652	UROK	\N	\N
3461844	2314	1997-04-30	PRIJEM	\N	162	39253	UROK	\N	\N
3461845	2314	1997-05-31	PRIJEM	\N	160	38452	UROK	\N	\N
3461846	2314	1997-06-30	PRIJEM	\N	176	34795	UROK	\N	\N
3461847	2314	1997-07-31	PRIJEM	\N	163	37598	UROK	\N	\N
3461848	2314	1997-08-31	PRIJEM	\N	176	43113	UROK	\N	\N
3461849	2314	1997-09-30	PRIJEM	\N	176	42329	UROK	\N	\N
3461850	2314	1997-10-31	PRIJEM	\N	177	42645	UROK	\N	\N
3461851	2314	1997-11-30	PRIJEM	\N	158	36042	UROK	\N	\N
3461852	2314	1997-12-31	PRIJEM	\N	165	35274	UROK	\N	\N
3461853	2314	1998-01-31	PRIJEM	\N	110	16223	UROK	\N	\N
3461854	2314	1998-02-28	PRIJEM	\N	69	28932	UROK	\N	\N
3461855	2314	1998-03-31	PRIJEM	\N	146	36617	UROK	\N	\N
3461856	2314	1998-04-30	PRIJEM	\N	142	31998	UROK	\N	\N
3461857	2314	1998-05-31	PRIJEM	\N	97	26735	UROK	\N	\N
3461858	2314	1998-06-30	PRIJEM	\N	122	28623	UROK	\N	\N
3461859	2314	1998-07-31	PRIJEM	\N	119	29081	UROK	\N	\N
3461860	2314	1998-08-31	PRIJEM	\N	123	33843	UROK	\N	\N
3461861	2314	1998-09-30	PRIJEM	\N	143	39426	UROK	\N	\N
3461862	2314	1998-10-31	PRIJEM	\N	175	41841	UROK	\N	\N
3461863	2314	1998-11-30	PRIJEM	\N	178	48058	UROK	\N	\N
3461864	2314	1998-12-31	PRIJEM	\N	208	46732	UROK	\N	\N
3461865	2333	1994-10-31	PRIJEM	\N	6	3006	UROK	\N	\N
3461866	2333	1994-11-30	PRIJEM	\N	100	32392	UROK	\N	\N
3461867	2333	1994-12-31	PRIJEM	\N	125	26802	UROK	\N	\N
3461868	2333	1995-01-31	PRIJEM	\N	88	17726	UROK	\N	\N
3461869	2333	1995-02-28	PRIJEM	\N	85	23996	UROK	\N	\N
3461870	2333	1995-03-31	PRIJEM	\N	98	23629	UROK	\N	\N
3461871	2333	1995-04-30	PRIJEM	\N	101	24966	UROK	\N	\N
3461872	2333	1995-05-31	PRIJEM	\N	183	48369	UROK	\N	\N
3461873	2333	1995-06-30	PRIJEM	\N	135	28090	UROK	\N	\N
3461874	2333	1995-07-31	PRIJEM	\N	180	49817	UROK	\N	\N
3461875	2333	1995-08-31	PRIJEM	\N	184	40586	UROK	\N	\N
3461876	2333	1995-09-30	PRIJEM	\N	158	35729	UROK	\N	\N
3461877	2333	1995-10-31	PRIJEM	\N	140	31755	UROK	\N	\N
3461878	2333	1995-11-30	PRIJEM	\N	130	29770	UROK	\N	\N
3461879	2333	1995-12-31	PRIJEM	\N	129	30784	UROK	\N	\N
3461880	2333	1996-01-31	PRIJEM	\N	122	26941	UROK	\N	\N
3461881	2333	1996-02-29	PRIJEM	\N	112	28339	UROK	\N	\N
3461882	2333	1996-03-31	PRIJEM	\N	123	30247	UROK	\N	\N
3461883	2333	1996-04-30	PRIJEM	\N	132	31965	UROK	\N	\N
3461884	2333	1996-05-31	PRIJEM	\N	120	30720	UROK	\N	\N
3461885	2333	1996-06-30	PRIJEM	\N	101	25906	UROK	\N	\N
3461886	2333	1996-07-31	PRIJEM	\N	110	31602	UROK	\N	\N
3461887	2333	1996-08-31	PRIJEM	\N	133	34270	UROK	\N	\N
3461888	2333	1996-09-30	PRIJEM	\N	143	36399	UROK	\N	\N
3461889	2333	1996-10-31	PRIJEM	\N	151	36335	UROK	\N	\N
3461890	2333	1996-11-30	PRIJEM	\N	149	34070	UROK	\N	\N
3461891	2333	1996-12-31	PRIJEM	\N	291	86542	UROK	\N	\N
3461892	2333	1997-01-31	PRIJEM	\N	317	54795	UROK	\N	\N
3461893	2333	1997-02-28	PRIJEM	\N	220	44200	UROK	\N	\N
3461894	2333	1997-03-31	PRIJEM	\N	178	37162	UROK	\N	\N
3461895	2333	1997-04-30	PRIJEM	\N	213	57431	UROK	\N	\N
3461896	2333	1997-05-31	PRIJEM	\N	230	49247	UROK	\N	\N
3461897	2333	1997-06-30	PRIJEM	\N	195	32018	UROK	\N	\N
3461898	2333	1997-07-31	PRIJEM	\N	139	38142	UROK	\N	\N
3461899	2333	1997-08-31	PRIJEM	\N	156	37234	UROK	\N	\N
3461900	2333	1997-09-30	PRIJEM	\N	150	34369	UROK	\N	\N
3461901	2333	1997-10-31	PRIJEM	\N	143	35197	UROK	\N	\N
3461902	2333	1997-11-30	PRIJEM	\N	141	32524	UROK	\N	\N
3461903	2333	1997-12-31	PRIJEM	\N	122	24381	UROK	\N	\N
3461904	2333	1998-01-31	PRIJEM	\N	82	20948	UROK	\N	\N
3461905	2333	1998-02-28	PRIJEM	\N	121	37015	UROK	\N	\N
3461906	2333	1998-03-31	PRIJEM	\N	146	32246	UROK	\N	\N
3461907	2333	1998-04-30	PRIJEM	\N	127	28659	UROK	\N	\N
3461908	2333	1998-05-31	PRIJEM	\N	103	18797	UROK	\N	\N
3461909	2333	1998-06-30	PRIJEM	\N	73	16455	UROK	\N	\N
3461910	2333	1998-07-31	PRIJEM	\N	66	17806	UROK	\N	\N
3461911	2333	1998-08-31	PRIJEM	\N	72	18664	UROK	\N	\N
3461912	2333	1998-09-30	PRIJEM	\N	73	17622	UROK	\N	\N
3461913	2333	1998-10-31	PRIJEM	\N	123	43797	UROK	\N	\N
3461914	2333	1998-11-30	PRIJEM	\N	161	34743	UROK	\N	\N
3461915	2333	1998-12-31	PRIJEM	\N	123	24552	UROK	\N	\N
3461916	2340	1997-07-31	PRIJEM	\N	27	20251	UROK	\N	\N
3461917	2340	1997-08-31	PRIJEM	\N	92	25768	UROK	\N	\N
3461918	2340	1997-09-30	PRIJEM	\N	109	27101	UROK	\N	\N
3461919	2340	1997-10-31	PRIJEM	\N	114	28239	UROK	\N	\N
3461920	2340	1997-11-30	PRIJEM	\N	133	29896	UROK	\N	\N
3461921	2340	1997-12-31	PRIJEM	\N	143	34510	UROK	\N	\N
3461922	2340	1998-01-31	PRIJEM	\N	124	18444	UROK	\N	\N
3461923	2340	1998-02-28	PRIJEM	\N	94	27947	UROK	\N	\N
3461924	2340	1998-03-31	PRIJEM	\N	126	33783	UROK	\N	\N
3461925	2340	1998-04-30	PRIJEM	\N	141	32533	UROK	\N	\N
3461926	2340	1998-05-31	PRIJEM	\N	132	29674	UROK	\N	\N
3461927	2340	1998-06-30	PRIJEM	\N	120	27765	UROK	\N	\N
3461928	2340	1998-07-31	PRIJEM	\N	125	32399	UROK	\N	\N
3461929	2340	1998-08-31	PRIJEM	\N	139	33348	UROK	\N	\N
3461930	2340	1998-09-30	PRIJEM	\N	140	33797	UROK	\N	\N
3461931	2340	1998-10-31	PRIJEM	\N	144	35450	UROK	\N	\N
3461932	2340	1998-11-30	PRIJEM	\N	146	33405	UROK	\N	\N
3461933	2340	1998-12-31	PRIJEM	\N	171	43448	UROK	\N	\N
3461934	2355	1995-01-31	PRIJEM	\N	105	43313	UROK	\N	\N
3461935	2355	1995-02-28	PRIJEM	\N	254	76775	UROK	\N	\N
3461936	2355	1995-03-31	PRIJEM	\N	365	95848	UROK	\N	\N
3461937	2355	1995-04-30	PRIJEM	\N	419	104975	UROK	\N	\N
3461938	2355	1995-05-31	PRIJEM	\N	410	90153	UROK	\N	\N
3461939	2355	1995-06-30	PRIJEM	\N	316	56319	UROK	\N	\N
3461940	2355	1995-07-31	PRIJEM	\N	235	68410	UROK	\N	\N
3461941	2355	1995-08-31	PRIJEM	\N	241	69922	UROK	\N	\N
3461942	2355	1995-09-30	PRIJEM	\N	214	66901	UROK	\N	\N
3461943	2355	1995-10-31	PRIJEM	\N	196	54790	UROK	\N	\N
3461944	2355	1995-11-30	PRIJEM	\N	230	60613	UROK	\N	\N
3461945	2355	1995-12-31	PRIJEM	\N	319	64430	UROK	\N	\N
3461946	2355	1996-01-31	PRIJEM	\N	212	21532	UROK	\N	\N
3461947	2355	1996-02-29	PRIJEM	\N	99	44225	UROK	\N	\N
3461948	2355	1996-03-31	PRIJEM	\N	189	54907	UROK	\N	\N
3461949	2355	1996-04-30	PRIJEM	\N	282	54922	UROK	\N	\N
3461950	2355	1996-05-31	PRIJEM	\N	285	55659	UROK	\N	\N
3461951	2355	1996-06-30	PRIJEM	\N	270	37927	UROK	\N	\N
3461952	2355	1996-07-31	PRIJEM	\N	167	49286	UROK	\N	\N
3461953	2355	1996-08-31	PRIJEM	\N	207	52387	UROK	\N	\N
3461954	2355	1996-09-30	PRIJEM	\N	236	42245	UROK	\N	\N
3461955	2355	1996-10-31	PRIJEM	\N	178	41717	UROK	\N	\N
3461956	2355	1996-11-30	PRIJEM	\N	174	41498	UROK	\N	\N
3461957	2355	1996-12-31	PRIJEM	\N	259	57054	UROK	\N	\N
3461958	2355	1997-01-31	PRIJEM	\N	230	34277	UROK	\N	\N
3461959	2355	1997-02-28	PRIJEM	\N	178	33610	UROK	\N	\N
3461960	2355	1997-03-31	PRIJEM	\N	166	47669	UROK	\N	\N
3461961	2355	1997-04-30	PRIJEM	\N	207	55369	UROK	\N	\N
3461962	2355	1997-05-31	PRIJEM	\N	230	56293	UROK	\N	\N
3461963	2355	1997-06-30	PRIJEM	\N	269	37459	UROK	\N	\N
3461964	2355	1997-07-31	PRIJEM	\N	177	53229	UROK	\N	\N
3461965	2355	1997-08-31	PRIJEM	\N	227	55638	UROK	\N	\N
3461966	2355	1997-09-30	PRIJEM	\N	200	36259	UROK	\N	\N
3461967	2355	1997-10-31	PRIJEM	\N	168	47220	UROK	\N	\N
3461968	2355	1997-11-30	PRIJEM	\N	217	43030	UROK	\N	\N
3461969	2355	1997-12-31	PRIJEM	\N	214	44222	UROK	\N	\N
3461970	2355	1998-01-31	PRIJEM	\N	157	25673	UROK	\N	\N
3461971	2355	1998-02-28	PRIJEM	\N	125	36642	UROK	\N	\N
3461972	2355	1998-03-31	PRIJEM	\N	171	48207	UROK	\N	\N
3461973	2355	1998-04-30	PRIJEM	\N	190	41897	UROK	\N	\N
3461974	2355	1998-05-31	PRIJEM	\N	168	43975	UROK	\N	\N
3461975	2355	1998-06-30	PRIJEM	\N	175	34216	UROK	\N	\N
3461976	2355	1998-07-31	PRIJEM	\N	164	45873	UROK	\N	\N
3461977	2355	1998-08-31	PRIJEM	\N	191	47557	UROK	\N	\N
3461978	2355	1998-09-30	PRIJEM	\N	247	32176	UROK	\N	\N
3461979	2355	1998-10-31	PRIJEM	\N	129	29781	UROK	\N	\N
3461980	2355	1998-11-30	PRIJEM	\N	214	69688	UROK	\N	\N
3461981	2355	1998-12-31	PRIJEM	\N	360	102245	UROK	\N	\N
3461982	2392	1997-08-31	PRIJEM	\N	17	64547	UROK	\N	\N
3461983	2392	1997-09-30	PRIJEM	\N	269	36416	UROK	\N	\N
3461984	2392	1997-10-31	PRIJEM	\N	269	26185	UROK	\N	\N
3461985	2392	1997-11-30	PRIJEM	\N	269	22354	UROK	\N	\N
3461986	2392	1997-12-31	PRIJEM	\N	269	17223	UROK	\N	\N
3461987	2392	1998-01-31	PRIJEM	\N	269	16692	UROK	\N	\N
3461988	2392	1998-02-28	PRIJEM	\N	269	13461	UROK	\N	\N
3461989	2392	1998-03-31	PRIJEM	\N	203	37420	UROK	\N	\N
3461990	2392	1998-04-30	PRIJEM	\N	155	28475	UROK	\N	\N
3461991	2392	1998-05-31	PRIJEM	\N	155	24531	UROK	\N	\N
3461992	2392	1998-06-30	PRIJEM	\N	155	18186	UROK	\N	\N
3461993	2392	1998-07-31	PRIJEM	\N	155	18441	UROK	\N	\N
3461994	2392	1998-08-31	PRIJEM	\N	155	19096	UROK	\N	\N
3461995	2392	1998-09-30	PRIJEM	\N	155	23851	UROK	\N	\N
3461996	2392	1998-10-31	PRIJEM	\N	155	23906	UROK	\N	\N
3461997	2392	1998-11-30	PRIJEM	\N	169	41845	UROK	\N	\N
3461998	2398	1996-12-31	PRIJEM	\N	15	14615	UROK	\N	\N
3461999	2398	1997-01-31	PRIJEM	\N	69	20984	UROK	\N	\N
3462000	2398	1997-02-28	PRIJEM	\N	91	24275	UROK	\N	\N
3462001	2398	1997-03-31	PRIJEM	\N	128	32162	UROK	\N	\N
3462002	2398	1997-04-30	PRIJEM	\N	134	31582	UROK	\N	\N
3462003	2398	1997-05-31	PRIJEM	\N	131	30098	UROK	\N	\N
3462004	2398	1997-06-30	PRIJEM	\N	127	26590	UROK	\N	\N
3462005	2398	1997-07-31	PRIJEM	\N	114	28289	UROK	\N	\N
3462006	2398	1997-08-31	PRIJEM	\N	123	31998	UROK	\N	\N
3462007	2398	1997-09-30	PRIJEM	\N	137	34070	UROK	\N	\N
3462008	2398	1997-10-31	PRIJEM	\N	147	37603	UROK	\N	\N
3462009	2398	1997-11-30	PRIJEM	\N	154	35542	UROK	\N	\N
3462010	2398	1997-12-31	PRIJEM	\N	147	35875	UROK	\N	\N
3462011	2398	1998-01-31	PRIJEM	\N	136	22296	UROK	\N	\N
3462012	2398	1998-02-28	PRIJEM	\N	161	41921	UROK	\N	\N
3462013	2398	1998-03-31	PRIJEM	\N	170	40126	UROK	\N	\N
3462014	2398	1998-04-30	PRIJEM	\N	172	43284	UROK	\N	\N
3462015	2398	1998-05-31	PRIJEM	\N	179	42848	UROK	\N	\N
3462016	2398	1998-06-30	PRIJEM	\N	163	39102	UROK	\N	\N
3462017	2398	1998-07-31	PRIJEM	\N	166	47853	UROK	\N	\N
3462018	2398	1998-08-31	PRIJEM	\N	201	49140	UROK	\N	\N
3462019	2398	1998-09-30	PRIJEM	\N	207	50982	UROK	\N	\N
3462020	2398	1998-10-31	PRIJEM	\N	215	52482	UROK	\N	\N
3462021	2398	1998-11-30	PRIJEM	\N	209	47426	UROK	\N	\N
3462022	2398	1998-12-31	PRIJEM	\N	196	46957	UROK	\N	\N
3462023	2399	1994-05-31	PRIJEM	\N	13	12813	UROK	\N	\N
3462024	2399	1994-06-30	PRIJEM	\N	106	32044	UROK	\N	\N
3462025	2399	1994-07-31	PRIJEM	\N	134	30413	UROK	\N	\N
3462026	2399	1994-08-31	PRIJEM	\N	129	30427	UROK	\N	\N
3462027	2399	1994-09-30	PRIJEM	\N	125	27587	UROK	\N	\N
3462028	2399	1994-10-31	PRIJEM	\N	119	29691	UROK	\N	\N
3462029	2399	1994-11-30	PRIJEM	\N	124	29001	UROK	\N	\N
3462030	2399	1994-12-31	PRIJEM	\N	126	40483	UROK	\N	\N
3462031	2399	1995-01-31	PRIJEM	\N	150	30819	UROK	\N	\N
3462032	2399	1995-02-28	PRIJEM	\N	123	26977	UROK	\N	\N
3462033	2399	1995-03-31	PRIJEM	\N	112	26374	UROK	\N	\N
3462034	2399	1995-04-30	PRIJEM	\N	113	28122	UROK	\N	\N
3462035	2399	1995-05-31	PRIJEM	\N	119	28726	UROK	\N	\N
3462036	2399	1995-06-30	PRIJEM	\N	127	19738	UROK	\N	\N
3462037	2399	1995-07-31	PRIJEM	\N	85	21108	UROK	\N	\N
3462038	2399	1995-08-31	PRIJEM	\N	96	25990	UROK	\N	\N
3462039	2399	1995-09-30	PRIJEM	\N	105	24731	UROK	\N	\N
3462040	2399	1995-10-31	PRIJEM	\N	167	64580	UROK	\N	\N
3462041	2399	1995-11-30	PRIJEM	\N	248	53422	UROK	\N	\N
3462042	2399	1995-12-31	PRIJEM	\N	202	42209	UROK	\N	\N
3462043	2399	1996-01-31	PRIJEM	\N	158	34552	UROK	\N	\N
3462044	2399	1996-02-29	PRIJEM	\N	135	29973	UROK	\N	\N
3462045	2399	1996-03-31	PRIJEM	\N	122	29180	UROK	\N	\N
3462046	2399	1996-04-30	PRIJEM	\N	123	30538	UROK	\N	\N
3462047	2399	1996-05-31	PRIJEM	\N	121	28445	UROK	\N	\N
3462048	2399	1996-06-30	PRIJEM	\N	98	18028	UROK	\N	\N
3462049	2399	1996-07-31	PRIJEM	\N	89	24602	UROK	\N	\N
3462050	2399	1996-08-31	PRIJEM	\N	100	24337	UROK	\N	\N
3462051	2399	1996-09-30	PRIJEM	\N	111	29134	UROK	\N	\N
3462052	2399	1996-10-31	PRIJEM	\N	136	42245	UROK	\N	\N
3462053	2399	1996-11-30	PRIJEM	\N	164	37494	UROK	\N	\N
3462054	2399	1996-12-31	PRIJEM	\N	148	32377	UROK	\N	\N
3462055	2399	1997-01-31	PRIJEM	\N	130	31042	UROK	\N	\N
3462056	2399	1997-02-28	PRIJEM	\N	128	31556	UROK	\N	\N
3462057	2399	1997-03-31	PRIJEM	\N	121	27762	UROK	\N	\N
3462058	2399	1997-04-30	PRIJEM	\N	168	52310	UROK	\N	\N
3462059	2399	1997-05-31	PRIJEM	\N	181	41127	UROK	\N	\N
3462060	2399	1997-06-30	PRIJEM	\N	107	17569	UROK	\N	\N
3462061	2399	1997-07-31	PRIJEM	\N	87	24441	UROK	\N	\N
3462062	2399	1997-08-31	PRIJEM	\N	113	30289	UROK	\N	\N
3462063	2399	1997-09-30	PRIJEM	\N	126	31300	UROK	\N	\N
3462064	2399	1997-10-31	PRIJEM	\N	124	30110	UROK	\N	\N
3462065	2399	1997-11-30	PRIJEM	\N	153	63654	UROK	\N	\N
3462066	2399	1997-12-31	PRIJEM	\N	210	46599	UROK	\N	\N
3462067	2399	1998-01-31	PRIJEM	\N	162	39546	UROK	\N	\N
3462068	2399	1998-02-28	PRIJEM	\N	159	37891	UROK	\N	\N
3462069	2399	1998-03-31	PRIJEM	\N	140	31516	UROK	\N	\N
3462070	2399	1998-04-30	PRIJEM	\N	109	25810	UROK	\N	\N
3462071	2399	1998-05-31	PRIJEM	\N	114	29810	UROK	\N	\N
3462072	2399	1998-06-30	PRIJEM	\N	118	41309	UROK	\N	\N
3462073	2399	1998-07-31	PRIJEM	\N	159	37054	UROK	\N	\N
3462074	2399	1998-08-31	PRIJEM	\N	131	32670	UROK	\N	\N
3462075	2399	1998-09-30	PRIJEM	\N	152	79541	UROK	\N	\N
3462076	2399	1998-10-31	PRIJEM	\N	268	53594	UROK	\N	\N
3462077	2399	1998-11-30	PRIJEM	\N	205	47285	UROK	\N	\N
3462078	2399	1998-12-31	PRIJEM	\N	153	37673	UROK	\N	\N
3462079	2411	1993-07-31	PRIJEM	\N	17	25800	UROK	\N	\N
3462080	2411	1993-08-31	PRIJEM	\N	117	37200	UROK	\N	\N
3462081	2411	1993-09-30	PRIJEM	\N	159	42942	UROK	\N	\N
3462082	2411	1993-10-31	PRIJEM	\N	178	43003	UROK	\N	\N
3462083	2411	1993-11-30	PRIJEM	\N	180	44266	UROK	\N	\N
3462084	2411	1993-12-31	PRIJEM	\N	187	46633	UROK	\N	\N
3462085	2411	1994-01-31	PRIJEM	\N	211	36173	UROK	\N	\N
3462086	2411	1994-02-28	PRIJEM	\N	155	40797	UROK	\N	\N
3462087	2411	1994-03-31	PRIJEM	\N	173	43738	UROK	\N	\N
3462088	2411	1994-04-30	PRIJEM	\N	184	45390	UROK	\N	\N
3462089	2411	1994-05-31	PRIJEM	\N	210	46848	UROK	\N	\N
3462090	2411	1994-06-30	PRIJEM	\N	176	32663	UROK	\N	\N
3462091	2411	1994-07-31	PRIJEM	\N	155	37867	UROK	\N	\N
3462092	2411	1994-08-31	PRIJEM	\N	188	39124	UROK	\N	\N
3462093	2411	1994-09-30	PRIJEM	\N	171	40403	UROK	\N	\N
3462094	2411	1994-10-31	PRIJEM	\N	174	44145	UROK	\N	\N
3462095	2411	1994-11-30	PRIJEM	\N	185	45399	UROK	\N	\N
3462096	2411	1994-12-31	PRIJEM	\N	245	50044	UROK	\N	\N
3462097	2411	1995-01-31	PRIJEM	\N	217	37309	UROK	\N	\N
3462098	2411	1995-02-28	PRIJEM	\N	165	43343	UROK	\N	\N
3462099	2411	1995-03-31	PRIJEM	\N	193	50704	UROK	\N	\N
3462100	2411	1995-04-30	PRIJEM	\N	215	53487	UROK	\N	\N
3462101	2411	1995-05-31	PRIJEM	\N	227	52843	UROK	\N	\N
3462102	2411	1995-06-30	PRIJEM	\N	232	50174	UROK	\N	\N
3462103	2411	1995-07-31	PRIJEM	\N	217	54860	UROK	\N	\N
3462104	2411	1995-08-31	PRIJEM	\N	228	55356	UROK	\N	\N
3462105	2411	1995-09-30	PRIJEM	\N	231	56356	UROK	\N	\N
3462106	2411	1995-10-31	PRIJEM	\N	239	58663	UROK	\N	\N
3462107	2411	1995-11-30	PRIJEM	\N	235	55366	UROK	\N	\N
3462108	2411	1995-12-31	PRIJEM	\N	229	54775	UROK	\N	\N
3462109	2411	1996-01-31	PRIJEM	\N	205	35328	UROK	\N	\N
3462110	2411	1996-02-29	PRIJEM	\N	167	43564	UROK	\N	\N
3462111	2411	1996-03-31	PRIJEM	\N	189	47221	UROK	\N	\N
3462112	2411	1996-04-30	PRIJEM	\N	201	49590	UROK	\N	\N
3462113	2411	1996-05-31	PRIJEM	\N	195	46154	UROK	\N	\N
3462114	2411	1996-06-30	PRIJEM	\N	201	50215	UROK	\N	\N
3462115	2411	1996-07-31	PRIJEM	\N	204	49287	UROK	\N	\N
3462116	2411	1996-08-31	PRIJEM	\N	202	48857	UROK	\N	\N
3462117	2411	1996-09-30	PRIJEM	\N	213	52939	UROK	\N	\N
3462118	2411	1996-10-31	PRIJEM	\N	230	56937	UROK	\N	\N
3462119	2411	1996-11-30	PRIJEM	\N	300	57265	UROK	\N	\N
3462120	2411	1996-12-31	PRIJEM	\N	232	49557	UROK	\N	\N
3462121	2411	1997-01-31	PRIJEM	\N	146	32011	UROK	\N	\N
3462122	2411	1997-02-28	PRIJEM	\N	190	50150	UROK	\N	\N
3462123	2411	1997-03-31	PRIJEM	\N	201	46899	UROK	\N	\N
3462124	2411	1997-04-30	PRIJEM	\N	263	49731	UROK	\N	\N
3462125	2411	1997-05-31	PRIJEM	\N	270	52789	UROK	\N	\N
3462126	2411	1997-06-30	PRIJEM	\N	176	37725	UROK	\N	\N
3462127	2411	1997-07-31	PRIJEM	\N	216	56609	UROK	\N	\N
3462128	2411	1997-08-31	PRIJEM	\N	244	60362	UROK	\N	\N
3462129	2411	1997-09-30	PRIJEM	\N	260	64290	UROK	\N	\N
3462130	2411	1997-10-31	PRIJEM	\N	258	63017	UROK	\N	\N
3462131	2411	1997-11-30	PRIJEM	\N	255	62340	UROK	\N	\N
3462132	2411	1997-12-31	PRIJEM	\N	289	71249	UROK	\N	\N
3462133	2411	1998-01-31	PRIJEM	\N	186	39063	UROK	\N	\N
3462134	2411	1998-02-28	PRIJEM	\N	187	48039	UROK	\N	\N
3462135	2411	1998-03-31	PRIJEM	\N	234	59841	UROK	\N	\N
3462136	2411	1998-04-30	PRIJEM	\N	259	64568	UROK	\N	\N
3462137	2411	1998-05-31	PRIJEM	\N	273	66850	UROK	\N	\N
3462138	2411	1998-06-30	PRIJEM	\N	274	32784	UROK	\N	\N
3462139	2411	1998-07-31	PRIJEM	\N	183	49035	UROK	\N	\N
3462140	2411	1998-08-31	PRIJEM	\N	147	38451	UROK	\N	\N
3462141	2411	1998-09-30	PRIJEM	\N	205	36944	UROK	\N	\N
3462142	2411	1998-10-31	PRIJEM	\N	148	39461	UROK	\N	\N
3462143	2411	1998-11-30	PRIJEM	\N	157	38487	UROK	\N	\N
3462144	2411	1998-12-31	PRIJEM	\N	156	42082	UROK	\N	\N
3462145	2418	1996-10-31	PRIJEM	\N	4	28048	UROK	\N	\N
3462146	2418	1996-11-30	PRIJEM	\N	174	36519	UROK	\N	\N
3462147	2418	1996-12-31	PRIJEM	\N	261	60317	UROK	\N	\N
3462148	2418	1997-01-31	PRIJEM	\N	264	23116	UROK	\N	\N
3462149	2418	1997-02-28	PRIJEM	\N	231	50372	UROK	\N	\N
3462150	2418	1997-03-31	PRIJEM	\N	246	39924	UROK	\N	\N
3462151	2418	1997-04-30	PRIJEM	\N	278	50350	UROK	\N	\N
3462152	2418	1997-05-31	PRIJEM	\N	217	60148	UROK	\N	\N
3462153	2418	1997-06-30	PRIJEM	\N	241	44251	UROK	\N	\N
3462154	2418	1997-07-31	PRIJEM	\N	183	34119	UROK	\N	\N
3462155	2418	1997-08-31	PRIJEM	\N	178	71451	UROK	\N	\N
3462156	2418	1997-09-30	PRIJEM	\N	293	55766	UROK	\N	\N
3462157	2418	1997-10-31	PRIJEM	\N	177	25530	UROK	\N	\N
3462158	2418	1997-11-30	PRIJEM	\N	107	26922	UROK	\N	\N
3462159	2418	1997-12-31	PRIJEM	\N	130	46343	UROK	\N	\N
3462160	2418	1998-01-31	PRIJEM	\N	208	24903	UROK	\N	\N
3462161	2418	1998-02-28	PRIJEM	\N	104	22892	UROK	\N	\N
3462162	2418	1998-03-31	PRIJEM	\N	128	34815	UROK	\N	\N
3462163	2418	1998-04-30	PRIJEM	\N	158	45553	UROK	\N	\N
3462164	2418	1998-05-31	PRIJEM	\N	175	34168	UROK	\N	\N
3462165	2418	1998-06-30	PRIJEM	\N	125	26300	UROK	\N	\N
3462166	2418	1998-07-31	PRIJEM	\N	109	21694	UROK	\N	\N
3462167	2418	1998-08-31	PRIJEM	\N	263	59473	UROK	\N	\N
3462168	2418	1998-09-30	PRIJEM	\N	308	59556	UROK	\N	\N
3462169	2418	1998-10-31	PRIJEM	\N	219	43551	UROK	\N	\N
3462170	2418	1998-11-30	PRIJEM	\N	194	67441	UROK	\N	\N
3462171	2418	1998-12-31	PRIJEM	\N	338	75843	UROK	\N	\N
3462172	2430	1994-11-30	PRIJEM	\N	57	17889	UROK	\N	\N
3462173	2430	1994-12-31	PRIJEM	\N	109	28546	UROK	\N	\N
3462174	2430	1995-01-31	PRIJEM	\N	135	33613	UROK	\N	\N
3462175	2430	1995-02-28	PRIJEM	\N	171	33016	UROK	\N	\N
3462176	2430	1995-03-31	PRIJEM	\N	149	30756	UROK	\N	\N
3462177	2430	1995-04-30	PRIJEM	\N	131	31805	UROK	\N	\N
3462178	2430	1995-05-31	PRIJEM	\N	129	30751	UROK	\N	\N
3462179	2430	1995-06-30	PRIJEM	\N	118	11802	UROK	\N	\N
3462180	2430	1995-07-31	PRIJEM	\N	75	16694	UROK	\N	\N
3462181	2430	1995-08-31	PRIJEM	\N	115	29927	UROK	\N	\N
3462182	2430	1995-09-30	PRIJEM	\N	140	34584	UROK	\N	\N
3462183	2430	1995-10-31	PRIJEM	\N	159	39061	UROK	\N	\N
3462184	2430	1995-11-30	PRIJEM	\N	163	39241	UROK	\N	\N
3462185	2430	1995-12-31	PRIJEM	\N	156	38251	UROK	\N	\N
3462186	2430	1996-01-31	PRIJEM	\N	140	24148	UROK	\N	\N
3462187	2430	1996-02-29	PRIJEM	\N	117	28982	UROK	\N	\N
3462188	2430	1996-03-31	PRIJEM	\N	129	31428	UROK	\N	\N
3462189	2430	1996-04-30	PRIJEM	\N	138	33683	UROK	\N	\N
3462190	2430	1996-05-31	PRIJEM	\N	140	34041	UROK	\N	\N
3462191	2430	1996-06-30	PRIJEM	\N	112	26167	UROK	\N	\N
3462192	2430	1996-07-31	PRIJEM	\N	101	26285	UROK	\N	\N
3462193	2430	1996-08-31	PRIJEM	\N	127	28529	UROK	\N	\N
3462194	2430	1996-09-30	PRIJEM	\N	119	30765	UROK	\N	\N
3462195	2430	1996-10-31	PRIJEM	\N	129	32911	UROK	\N	\N
3462196	2430	1996-11-30	PRIJEM	\N	137	33966	UROK	\N	\N
3462197	2430	1996-12-31	PRIJEM	\N	165	32564	UROK	\N	\N
3462198	2430	1997-01-31	PRIJEM	\N	138	32139	UROK	\N	\N
3462199	2430	1997-02-28	PRIJEM	\N	134	33991	UROK	\N	\N
3462200	2430	1997-03-31	PRIJEM	\N	143	37751	UROK	\N	\N
3462201	2430	1997-04-30	PRIJEM	\N	158	40227	UROK	\N	\N
3462202	2430	1997-05-31	PRIJEM	\N	169	42913	UROK	\N	\N
3462203	2430	1997-06-30	PRIJEM	\N	75	23781	UROK	\N	\N
3462204	2430	1997-07-31	PRIJEM	\N	119	33497	UROK	\N	\N
3462205	2430	1997-08-31	PRIJEM	\N	145	39760	UROK	\N	\N
3462206	2430	1997-09-30	PRIJEM	\N	178	42035	UROK	\N	\N
3462207	2430	1997-10-31	PRIJEM	\N	172	40024	UROK	\N	\N
3462208	2430	1997-11-30	PRIJEM	\N	167	41008	UROK	\N	\N
3462209	2430	1997-12-31	PRIJEM	\N	193	46275	UROK	\N	\N
3462210	2430	1998-01-31	PRIJEM	\N	173	40685	UROK	\N	\N
3462211	2430	1998-02-28	PRIJEM	\N	179	36621	UROK	\N	\N
3462212	2430	1998-03-31	PRIJEM	\N	157	40096	UROK	\N	\N
3462213	2430	1998-04-30	PRIJEM	\N	173	41386	UROK	\N	\N
3462214	2430	1998-05-31	PRIJEM	\N	180	47984	UROK	\N	\N
3462215	2430	1998-06-30	PRIJEM	\N	172	41490	UROK	\N	\N
3462216	2430	1998-07-31	PRIJEM	\N	178	46186	UROK	\N	\N
3462217	2430	1998-08-31	PRIJEM	\N	195	49098	UROK	\N	\N
3462218	2430	1998-09-30	PRIJEM	\N	219	51354	UROK	\N	\N
3462219	2430	1998-10-31	PRIJEM	\N	220	56092	UROK	\N	\N
3462220	2430	1998-11-30	PRIJEM	\N	239	60248	UROK	\N	\N
3462221	2430	1998-12-31	PRIJEM	\N	257	62259	UROK	\N	\N
3462222	2436	1993-06-30	PRIJEM	\N	16	16826	UROK	\N	\N
3462223	2436	1993-07-31	PRIJEM	\N	76	22643	UROK	\N	\N
3462224	2436	1993-08-31	PRIJEM	\N	99	26381	UROK	\N	\N
3462225	2436	1993-09-30	PRIJEM	\N	112	28233	UROK	\N	\N
3462226	2436	1993-10-31	PRIJEM	\N	117	28270	UROK	\N	\N
3462227	2436	1993-11-30	PRIJEM	\N	119	28795	UROK	\N	\N
3462228	2436	1993-12-31	PRIJEM	\N	124	29835	UROK	\N	\N
3462229	2436	1994-01-31	PRIJEM	\N	111	22591	UROK	\N	\N
3462230	2436	1994-02-28	PRIJEM	\N	99	26116	UROK	\N	\N
3462231	2436	1994-03-31	PRIJEM	\N	117	31658	UROK	\N	\N
3462232	2436	1994-04-30	PRIJEM	\N	133	32476	UROK	\N	\N
3462233	2436	1994-05-31	PRIJEM	\N	136	33338	UROK	\N	\N
3462234	2436	1994-06-30	PRIJEM	\N	141	34975	UROK	\N	\N
3462235	2436	1994-07-31	PRIJEM	\N	147	35747	UROK	\N	\N
3462236	2436	1994-08-31	PRIJEM	\N	153	38025	UROK	\N	\N
3462237	2436	1994-09-30	PRIJEM	\N	156	36846	UROK	\N	\N
3462238	2436	1994-10-31	PRIJEM	\N	160	40131	UROK	\N	\N
3462239	2436	1994-11-30	PRIJEM	\N	167	40524	UROK	\N	\N
3462240	2436	1994-12-31	PRIJEM	\N	174	41174	UROK	\N	\N
3462241	2436	1995-01-31	PRIJEM	\N	147	34326	UROK	\N	\N
3462242	2436	1995-02-28	PRIJEM	\N	149	37501	UROK	\N	\N
3462243	2436	1995-03-31	PRIJEM	\N	164	41490	UROK	\N	\N
3462244	2436	1995-04-30	PRIJEM	\N	176	42072	UROK	\N	\N
3462245	2436	1995-05-31	PRIJEM	\N	173	39851	UROK	\N	\N
3462246	2436	1995-06-30	PRIJEM	\N	171	41817	UROK	\N	\N
3462247	2436	1995-07-31	PRIJEM	\N	176	41999	UROK	\N	\N
3462248	2436	1995-08-31	PRIJEM	\N	173	41597	UROK	\N	\N
3462249	2436	1995-09-30	PRIJEM	\N	175	42697	UROK	\N	\N
3462250	2436	1995-10-31	PRIJEM	\N	171	38714	UROK	\N	\N
3462251	2436	1995-11-30	PRIJEM	\N	157	37496	UROK	\N	\N
3462252	2436	1995-12-31	PRIJEM	\N	171	43001	UROK	\N	\N
3462253	2436	1996-01-31	PRIJEM	\N	176	37843	UROK	\N	\N
3462254	2436	1996-02-29	PRIJEM	\N	172	42600	UROK	\N	\N
3462255	2436	1996-03-31	PRIJEM	\N	194	48819	UROK	\N	\N
3462256	2436	1996-04-30	PRIJEM	\N	204	50288	UROK	\N	\N
3462257	2436	1996-05-31	PRIJEM	\N	222	55436	UROK	\N	\N
3462258	2436	1996-06-30	PRIJEM	\N	231	37522	UROK	\N	\N
3462259	2436	1996-07-31	PRIJEM	\N	196	52244	UROK	\N	\N
3462260	2436	1996-08-31	PRIJEM	\N	234	58703	UROK	\N	\N
3462261	2436	1996-09-30	PRIJEM	\N	231	56999	UROK	\N	\N
3462262	2436	1996-10-31	PRIJEM	\N	251	62575	UROK	\N	\N
3462263	2436	1996-11-30	PRIJEM	\N	238	58339	UROK	\N	\N
3462264	2436	1996-12-31	PRIJEM	\N	258	65692	UROK	\N	\N
3462265	2436	1997-01-31	PRIJEM	\N	231	51389	UROK	\N	\N
3462266	2436	1997-02-28	PRIJEM	\N	239	61553	UROK	\N	\N
3462267	2436	1997-03-31	PRIJEM	\N	262	64440	UROK	\N	\N
3462268	2436	1997-04-30	PRIJEM	\N	268	64833	UROK	\N	\N
3462269	2436	1997-05-31	PRIJEM	\N	260	65058	UROK	\N	\N
3462270	2436	1997-06-30	PRIJEM	\N	228	58381	UROK	\N	\N
3462271	2436	1997-07-31	PRIJEM	\N	260	65466	UROK	\N	\N
3462272	2436	1997-08-31	PRIJEM	\N	274	66265	UROK	\N	\N
3462273	2436	1997-09-30	PRIJEM	\N	262	62313	UROK	\N	\N
3462274	2436	1997-10-31	PRIJEM	\N	271	67609	UROK	\N	\N
3462275	2436	1997-11-30	PRIJEM	\N	269	74203	UROK	\N	\N
3462276	2436	1997-12-31	PRIJEM	\N	282	64501	UROK	\N	\N
3462277	2436	1998-01-31	PRIJEM	\N	268	64735	UROK	\N	\N
3462278	2436	1998-02-28	PRIJEM	\N	267	73526	UROK	\N	\N
3462279	2436	1998-03-31	PRIJEM	\N	284	76736	UROK	\N	\N
3462280	2436	1998-04-30	PRIJEM	\N	326	78067	UROK	\N	\N
3462281	2436	1998-05-31	PRIJEM	\N	321	77813	UROK	\N	\N
3462282	2436	1998-06-30	PRIJEM	\N	251	64480	UROK	\N	\N
3462283	2436	1998-07-31	PRIJEM	\N	268	70973	UROK	\N	\N
3462284	2436	1998-08-31	PRIJEM	\N	295	77893	UROK	\N	\N
3462285	2436	1998-09-30	PRIJEM	\N	324	76743	UROK	\N	\N
3462286	2436	1998-10-31	PRIJEM	\N	315	77783	UROK	\N	\N
3462287	2436	1998-11-30	PRIJEM	\N	320	79128	UROK	\N	\N
3462288	2436	1998-12-31	PRIJEM	\N	323	77507	UROK	\N	\N
3462289	2449	1998-03-31	PRIJEM	\N	65	40173	UROK	\N	\N
3462290	2449	1998-04-30	PRIJEM	\N	167	32740	UROK	\N	\N
3462291	2449	1998-05-31	PRIJEM	\N	167	30807	UROK	\N	\N
3462292	2449	1998-06-30	PRIJEM	\N	167	31874	UROK	\N	\N
3462293	2449	1998-07-31	PRIJEM	\N	330	87902	UROK	\N	\N
3462294	2449	1998-08-31	PRIJEM	\N	272	57574	UROK	\N	\N
3462295	2449	1998-09-30	PRIJEM	\N	272	50846	UROK	\N	\N
3462296	2449	1998-10-31	PRIJEM	\N	272	51818	UROK	\N	\N
3462297	2454	1994-05-31	PRIJEM	\N	27	28226	UROK	\N	\N
3462298	2454	1994-06-30	PRIJEM	\N	109	21035	UROK	\N	\N
3462299	2454	1994-07-31	PRIJEM	\N	101	26822	UROK	\N	\N
3462300	2454	1994-08-31	PRIJEM	\N	122	31229	UROK	\N	\N
3462301	2454	1994-09-30	PRIJEM	\N	127	30342	UROK	\N	\N
3462302	2454	1994-10-31	PRIJEM	\N	132	33059	UROK	\N	\N
3462303	2454	1994-11-30	PRIJEM	\N	136	32580	UROK	\N	\N
3462304	2454	1994-12-31	PRIJEM	\N	122	29388	UROK	\N	\N
3462305	2454	1995-01-31	PRIJEM	\N	113	23736	UROK	\N	\N
3462306	2454	1995-02-28	PRIJEM	\N	112	30133	UROK	\N	\N
3462307	2454	1995-03-31	PRIJEM	\N	163	71496	UROK	\N	\N
3462308	2454	1995-04-30	PRIJEM	\N	322	85753	UROK	\N	\N
3462309	2454	1995-05-31	PRIJEM	\N	251	57939	UROK	\N	\N
3462310	2454	1995-06-30	PRIJEM	\N	164	34388	UROK	\N	\N
3462311	2454	1995-07-31	PRIJEM	\N	138	32812	UROK	\N	\N
3462312	2454	1995-08-31	PRIJEM	\N	121	27419	UROK	\N	\N
3462313	2454	1995-09-30	PRIJEM	\N	118	26122	UROK	\N	\N
3462314	2454	1995-10-31	PRIJEM	\N	113	29421	UROK	\N	\N
3462315	2454	1995-11-30	PRIJEM	\N	125	25931	UROK	\N	\N
3462316	2454	1995-12-31	PRIJEM	\N	111	25427	UROK	\N	\N
3462317	2454	1996-01-31	PRIJEM	\N	100	18662	UROK	\N	\N
3462318	2454	1996-02-29	PRIJEM	\N	83	23330	UROK	\N	\N
3462319	2454	1996-03-31	PRIJEM	\N	99	21114	UROK	\N	\N
3462320	2454	1996-04-30	PRIJEM	\N	90	23340	UROK	\N	\N
3462321	2454	1996-05-31	PRIJEM	\N	97	22022	UROK	\N	\N
3462322	2454	1996-06-30	PRIJEM	\N	89	14846	UROK	\N	\N
3462323	2454	1996-07-31	PRIJEM	\N	67	17998	UROK	\N	\N
3462324	2454	1996-08-31	PRIJEM	\N	105	68851	UROK	\N	\N
3462325	2454	1996-09-30	PRIJEM	\N	261	44148	UROK	\N	\N
3462326	2454	1996-10-31	PRIJEM	\N	174	35508	UROK	\N	\N
3462327	2454	1996-11-30	PRIJEM	\N	139	27782	UROK	\N	\N
3462328	2454	1996-12-31	PRIJEM	\N	185	48598	UROK	\N	\N
3462329	2454	1997-01-31	PRIJEM	\N	161	28594	UROK	\N	\N
3462330	2454	1997-02-28	PRIJEM	\N	117	27296	UROK	\N	\N
3462331	2454	1997-03-31	PRIJEM	\N	134	33578	UROK	\N	\N
3462332	2454	1997-04-30	PRIJEM	\N	133	29046	UROK	\N	\N
3462333	2454	1997-05-31	PRIJEM	\N	158	67004	UROK	\N	\N
3462334	2454	1997-06-30	PRIJEM	\N	239	33629	UROK	\N	\N
3462335	2454	1997-07-31	PRIJEM	\N	125	25289	UROK	\N	\N
3462336	2454	1997-08-31	PRIJEM	\N	109	27883	UROK	\N	\N
3462337	2454	1997-09-30	PRIJEM	\N	113	27082	UROK	\N	\N
3462338	2454	1997-10-31	PRIJEM	\N	114	28681	UROK	\N	\N
3462339	2454	1997-11-30	PRIJEM	\N	116	27882	UROK	\N	\N
3462340	2454	1997-12-31	PRIJEM	\N	110	26527	UROK	\N	\N
3462341	2454	1998-01-31	PRIJEM	\N	86	23098	UROK	\N	\N
3462342	2454	1998-02-28	PRIJEM	\N	142	72940	UROK	\N	\N
3462343	2454	1998-03-31	PRIJEM	\N	329	63843	UROK	\N	\N
3462344	2454	1998-04-30	PRIJEM	\N	228	46457	UROK	\N	\N
3462345	2454	1998-05-31	PRIJEM	\N	170	36012	UROK	\N	\N
3462346	2454	1998-06-30	PRIJEM	\N	121	19618	UROK	\N	\N
3462347	2454	1998-07-31	PRIJEM	\N	84	22288	UROK	\N	\N
3462348	2454	1998-08-31	PRIJEM	\N	100	27273	UROK	\N	\N
3462349	2454	1998-09-30	PRIJEM	\N	112	28171	UROK	\N	\N
3462350	2454	1998-10-31	PRIJEM	\N	119	30476	UROK	\N	\N
3462351	2454	1998-11-30	PRIJEM	\N	124	29735	UROK	\N	\N
3462352	2454	1998-12-31	PRIJEM	\N	135	35956	UROK	\N	\N
3462353	2458	1993-04-30	PRIJEM	\N	68	27388	UROK	\N	\N
3462354	2458	1993-05-31	PRIJEM	\N	150	41658	UROK	\N	\N
3462355	2458	1993-06-30	PRIJEM	\N	204	53543	UROK	\N	\N
3462356	2458	1993-07-31	PRIJEM	\N	221	52983	UROK	\N	\N
3462357	2458	1993-08-31	PRIJEM	\N	251	62754	UROK	\N	\N
3462358	2458	1993-09-30	PRIJEM	\N	279	69323	UROK	\N	\N
3462359	2458	1993-10-31	PRIJEM	\N	301	73714	UROK	\N	\N
3462360	2458	1993-11-30	PRIJEM	\N	311	75115	UROK	\N	\N
3462361	2458	1993-12-31	PRIJEM	\N	333	86597	UROK	\N	\N
3462362	2458	1994-01-31	PRIJEM	\N	230	44544	UROK	\N	\N
3462363	2458	1994-02-28	PRIJEM	\N	166	47550	UROK	\N	\N
3462364	2458	1994-03-31	PRIJEM	\N	234	60673	UROK	\N	\N
3462365	2458	1994-04-30	PRIJEM	\N	241	60240	UROK	\N	\N
3462366	2458	1994-05-31	PRIJEM	\N	254	59147	UROK	\N	\N
3462367	2458	1994-06-30	PRIJEM	\N	282	77504	UROK	\N	\N
3462368	2458	1994-07-31	PRIJEM	\N	272	60694	UROK	\N	\N
3462369	2458	1994-08-31	PRIJEM	\N	275	66659	UROK	\N	\N
3462370	2458	1994-09-30	PRIJEM	\N	283	68832	UROK	\N	\N
3462371	2458	1994-10-31	PRIJEM	\N	268	69590	UROK	\N	\N
3462372	2458	1994-11-30	PRIJEM	\N	276	57186	UROK	\N	\N
3462373	2458	1994-12-31	PRIJEM	\N	273	73709	UROK	\N	\N
3462374	2458	1995-01-31	PRIJEM	\N	152	26843	UROK	\N	\N
3462375	2458	1995-02-28	PRIJEM	\N	153	33091	UROK	\N	\N
3462376	2458	1995-03-31	PRIJEM	\N	195	54576	UROK	\N	\N
3462377	2458	1995-04-30	PRIJEM	\N	216	58581	UROK	\N	\N
3462378	2458	1995-05-31	PRIJEM	\N	260	65032	UROK	\N	\N
3462379	2458	1995-06-30	PRIJEM	\N	206	36964	UROK	\N	\N
3462380	2458	1995-07-31	PRIJEM	\N	192	51646	UROK	\N	\N
3462381	2458	1995-08-31	PRIJEM	\N	184	50820	UROK	\N	\N
3462382	2458	1995-09-30	PRIJEM	\N	118	54528	UROK	\N	\N
3462383	2458	1995-10-31	PRIJEM	\N	124	21206	UROK	\N	\N
3462384	2458	1995-11-30	PRIJEM	\N	93	19989	UROK	\N	\N
3462385	2458	1995-12-31	PRIJEM	\N	101	20433	UROK	\N	\N
3462386	2458	1996-01-31	PRIJEM	\N	108	28131	UROK	\N	\N
3462387	2458	1996-02-29	PRIJEM	\N	130	23751	UROK	\N	\N
3462388	2458	1996-03-31	PRIJEM	\N	113	38054	UROK	\N	\N
3462389	2458	1996-04-30	PRIJEM	\N	177	24321	UROK	\N	\N
3462390	2458	1996-05-31	PRIJEM	\N	98	21808	UROK	\N	\N
3462391	2458	1996-06-30	PRIJEM	\N	91	25450	UROK	\N	\N
3462392	2458	1996-07-31	PRIJEM	\N	107	18579	UROK	\N	\N
3462393	2458	1996-08-31	PRIJEM	\N	99	28443	UROK	\N	\N
3462394	2458	1996-09-30	PRIJEM	\N	143	17022	UROK	\N	\N
3462395	2458	1996-10-31	PRIJEM	\N	72	42984	UROK	\N	\N
3462396	2458	1996-11-30	PRIJEM	\N	161	29235	UROK	\N	\N
3462397	2458	1996-12-31	PRIJEM	\N	142	22328	UROK	\N	\N
3462398	2458	1997-01-31	PRIJEM	\N	123	27041	UROK	\N	\N
3462399	2458	1997-02-28	PRIJEM	\N	98	16929	UROK	\N	\N
3462400	2458	1997-03-31	PRIJEM	\N	89	29408	UROK	\N	\N
3462401	2458	1997-04-30	PRIJEM	\N	105	17802	UROK	\N	\N
3462402	2458	1997-05-31	PRIJEM	\N	74	43766	UROK	\N	\N
3462403	2458	1997-06-30	PRIJEM	\N	188	25504	UROK	\N	\N
3462404	2458	1997-07-31	PRIJEM	\N	127	47921	UROK	\N	\N
3462405	2458	1997-08-31	PRIJEM	\N	151	20062	UROK	\N	\N
3462406	2458	1997-09-30	PRIJEM	\N	83	46035	UROK	\N	\N
3462407	2458	1997-10-31	PRIJEM	\N	146	22170	UROK	\N	\N
3462408	2458	1997-11-30	PRIJEM	\N	92	48152	UROK	\N	\N
3462409	2458	1997-12-31	PRIJEM	\N	173	22675	UROK	\N	\N
3462410	2458	1998-01-31	PRIJEM	\N	129	32494	UROK	\N	\N
3462411	2458	1998-02-28	PRIJEM	\N	153	34322	UROK	\N	\N
3462412	2458	1998-03-31	PRIJEM	\N	160	27106	UROK	\N	\N
3462413	2458	1998-04-30	PRIJEM	\N	131	42451	UROK	\N	\N
3462414	2458	1998-05-31	PRIJEM	\N	210	56786	UROK	\N	\N
3462415	2458	1998-06-30	PRIJEM	\N	164	24700	UROK	\N	\N
3462416	2458	1998-07-31	PRIJEM	\N	99	30615	UROK	\N	\N
3462417	2458	1998-08-31	PRIJEM	\N	159	48213	UROK	\N	\N
3462418	2458	1998-09-30	PRIJEM	\N	223	59626	UROK	\N	\N
3462419	2458	1998-10-31	PRIJEM	\N	246	85762	UROK	\N	\N
3462420	2458	1998-11-30	PRIJEM	\N	198	24150	UROK	\N	\N
3462421	2458	1998-12-31	PRIJEM	\N	110	33954	UROK	\N	\N
3462422	2461	1997-10-31	PRIJEM	\N	6	11706	UROK	\N	\N
3462423	2461	1997-11-30	PRIJEM	\N	51	15957	UROK	\N	\N
3462424	2461	1997-12-31	PRIJEM	\N	74	21559	UROK	\N	\N
3462425	2461	1998-01-31	PRIJEM	\N	86	22446	UROK	\N	\N
3462426	2461	1998-02-28	PRIJEM	\N	93	21174	UROK	\N	\N
3462427	2461	1998-03-31	PRIJEM	\N	92	25251	UROK	\N	\N
3462428	2461	1998-04-30	PRIJEM	\N	105	24541	UROK	\N	\N
3462429	2461	1998-05-31	PRIJEM	\N	101	20978	UROK	\N	\N
3462430	2461	1998-06-30	PRIJEM	\N	84	16947	UROK	\N	\N
3462431	2461	1998-07-31	PRIJEM	\N	71	17854	UROK	\N	\N
3462432	2461	1998-08-31	PRIJEM	\N	105	28929	UROK	\N	\N
3462433	2461	1998-09-30	PRIJEM	\N	114	23228	UROK	\N	\N
3462434	2461	1998-10-31	PRIJEM	\N	93	20206	UROK	\N	\N
3462435	2461	1998-11-30	PRIJEM	\N	74	12266	UROK	\N	\N
3462436	2461	1998-12-31	PRIJEM	\N	67	22486	UROK	\N	\N
3462437	2500	1996-01-31	PRIJEM	\N	22	41188	UROK	\N	\N
3462438	2500	1996-02-29	PRIJEM	\N	172	30860	UROK	\N	\N
3462439	2500	1996-03-31	PRIJEM	\N	172	24831	UROK	\N	\N
3462440	2500	1996-04-30	PRIJEM	\N	172	22703	UROK	\N	\N
3462441	2500	1996-05-31	PRIJEM	\N	172	19974	UROK	\N	\N
3462442	2500	1996-06-30	PRIJEM	\N	172	21946	UROK	\N	\N
3462443	2500	1996-07-31	PRIJEM	\N	172	22917	UROK	\N	\N
3462444	2500	1996-09-30	PRIJEM	\N	172	22389	UROK	\N	\N
3462445	2500	1996-10-31	PRIJEM	\N	172	22760	UROK	\N	\N
3462446	2500	1996-11-30	PRIJEM	\N	161	35097	UROK	\N	\N
3462447	2500	1996-12-31	PRIJEM	\N	146	27943	UROK	\N	\N
3462448	2500	1997-01-31	PRIJEM	\N	144	28397	UROK	\N	\N
3462449	2500	1997-02-28	PRIJEM	\N	118	25414	UROK	\N	\N
3462450	2500	1997-03-31	PRIJEM	\N	118	20432	UROK	\N	\N
3462451	2500	1997-04-30	PRIJEM	\N	118	17050	UROK	\N	\N
3462452	2500	1997-05-31	PRIJEM	\N	118	14368	UROK	\N	\N
3462453	2500	1997-06-30	PRIJEM	\N	118	15285	UROK	\N	\N
3462454	2500	1997-07-31	PRIJEM	\N	118	17603	UROK	\N	\N
3462455	2500	1997-08-31	PRIJEM	\N	118	23821	UROK	\N	\N
3462456	2500	1997-09-30	PRIJEM	\N	118	28489	UROK	\N	\N
3462457	2500	1997-10-31	PRIJEM	\N	118	27107	UROK	\N	\N
3462458	2500	1997-11-30	PRIJEM	\N	118	29425	UROK	\N	\N
3462459	2500	1997-12-31	PRIJEM	\N	118	29243	UROK	\N	\N
3462460	2500	1998-01-31	PRIJEM	\N	102	17514	UROK	\N	\N
3462461	2500	1998-02-28	PRIJEM	\N	76	18825	UROK	\N	\N
3462462	2500	1998-03-31	PRIJEM	\N	78	18687	UROK	\N	\N
3462463	2500	1998-04-30	PRIJEM	\N	78	22551	UROK	\N	\N
3462464	2500	1998-05-31	PRIJEM	\N	94	24630	UROK	\N	\N
3462465	2500	1998-06-30	PRIJEM	\N	98	23113	UROK	\N	\N
3462466	2500	1998-07-31	PRIJEM	\N	96	27894	UROK	\N	\N
3462467	2500	1998-08-31	PRIJEM	\N	115	27795	UROK	\N	\N
3462468	2500	1998-09-30	PRIJEM	\N	115	25095	UROK	\N	\N
3462469	2500	1998-10-31	PRIJEM	\N	95	22225	UROK	\N	\N
3462470	2500	1998-11-30	PRIJEM	\N	92	22352	UROK	\N	\N
3462471	2500	1998-12-31	PRIJEM	\N	102	25339	UROK	\N	\N
3462472	2515	1996-07-31	PRIJEM	\N	28	69975	UROK	\N	\N
3462473	2515	1996-08-31	PRIJEM	\N	291	47367	UROK	\N	\N
3462474	2515	1996-09-30	PRIJEM	\N	291	33258	UROK	\N	\N
3462475	2515	1996-10-31	PRIJEM	\N	291	29350	UROK	\N	\N
3462476	2515	1996-11-30	PRIJEM	\N	291	28741	UROK	\N	\N
3462477	2515	1996-12-31	PRIJEM	\N	291	29232	UROK	\N	\N
3462478	2515	1997-01-31	PRIJEM	\N	291	32624	UROK	\N	\N
3462479	2515	1997-02-28	PRIJEM	\N	257	59907	UROK	\N	\N
3462480	2515	1997-03-31	PRIJEM	\N	249	48155	UROK	\N	\N
3462481	2515	1997-04-30	PRIJEM	\N	258	65193	UROK	\N	\N
3462482	2515	1997-05-31	PRIJEM	\N	271	48864	UROK	\N	\N
3462483	2515	1997-06-30	PRIJEM	\N	289	91258	UROK	\N	\N
3462484	2515	1997-07-31	PRIJEM	\N	377	65420	UROK	\N	\N
3462485	2515	1997-08-31	PRIJEM	\N	270	51275	UROK	\N	\N
3462486	2515	1997-09-30	PRIJEM	\N	212	44773	UROK	\N	\N
3462487	2515	1997-10-31	PRIJEM	\N	310	82430	UROK	\N	\N
3462488	2515	1997-11-30	PRIJEM	\N	354	85057	UROK	\N	\N
3462489	2515	1997-12-31	PRIJEM	\N	343	58785	UROK	\N	\N
3462490	2515	1998-01-31	PRIJEM	\N	113	47693	UROK	\N	\N
3462491	2515	1998-02-28	PRIJEM	\N	155	32888	UROK	\N	\N
3462492	2515	1998-03-31	PRIJEM	\N	133	31107	UROK	\N	\N
3462493	2515	1998-04-30	PRIJEM	\N	211	75792	UROK	\N	\N
3462494	2515	1998-05-31	PRIJEM	\N	247	48574	UROK	\N	\N
3462495	2515	1998-06-30	PRIJEM	\N	184	33143	UROK	\N	\N
3462496	2515	1998-07-31	PRIJEM	\N	129	30570	UROK	\N	\N
3462497	2515	1998-08-31	PRIJEM	\N	150	84055	UROK	\N	\N
3462498	2515	1998-09-30	PRIJEM	\N	316	45479	UROK	\N	\N
3462499	2515	1998-10-31	PRIJEM	\N	188	44352	UROK	\N	\N
3462500	2515	1998-11-30	PRIJEM	\N	113	22030	UROK	\N	\N
3462501	2515	1998-12-31	PRIJEM	\N	128	42984	UROK	\N	\N
3462502	2533	1995-07-31	PRIJEM	\N	8	12266	UROK	\N	\N
3462503	2533	1995-08-31	PRIJEM	\N	55	17179	UROK	\N	\N
3462504	2533	1995-09-30	PRIJEM	\N	72	17809	UROK	\N	\N
3462505	2533	1995-10-31	PRIJEM	\N	78	22545	UROK	\N	\N
3462506	2533	1995-11-30	PRIJEM	\N	94	23198	UROK	\N	\N
3462507	2533	1995-12-31	PRIJEM	\N	102	24332	UROK	\N	\N
3462508	2533	1996-01-31	PRIJEM	\N	74	11029	UROK	\N	\N
3462509	2533	1996-02-29	PRIJEM	\N	45	14977	UROK	\N	\N
3462510	2533	1996-03-31	PRIJEM	\N	68	19889	UROK	\N	\N
3462511	2533	1996-04-30	PRIJEM	\N	82	19414	UROK	\N	\N
3462512	2533	1996-05-31	PRIJEM	\N	81	19839	UROK	\N	\N
3462513	2533	1996-06-30	PRIJEM	\N	81	18153	UROK	\N	\N
3462514	2533	1996-07-31	PRIJEM	\N	83	23580	UROK	\N	\N
3462515	2533	1996-08-31	PRIJEM	\N	101	25624	UROK	\N	\N
3462516	2533	1996-09-30	PRIJEM	\N	110	27878	UROK	\N	\N
3462517	2533	1996-10-31	PRIJEM	\N	113	26434	UROK	\N	\N
3462518	2533	1996-11-30	PRIJEM	\N	103	22681	UROK	\N	\N
3462519	2533	1996-12-31	PRIJEM	\N	95	22848	UROK	\N	\N
3462520	2533	1997-01-31	PRIJEM	\N	43	454	UROK	\N	\N
3462521	2533	1997-02-28	PRIJEM	\N	23	11721	UROK	\N	\N
3462522	2533	1997-03-31	PRIJEM	\N	63	19327	UROK	\N	\N
3462523	2533	1997-04-30	PRIJEM	\N	90	24661	UROK	\N	\N
3462524	2533	1997-05-31	PRIJEM	\N	107	27011	UROK	\N	\N
3462525	2533	1997-06-30	PRIJEM	\N	114	23957	UROK	\N	\N
3462526	2533	1997-07-31	PRIJEM	\N	98	23499	UROK	\N	\N
3462527	2533	1997-08-31	PRIJEM	\N	102	25544	UROK	\N	\N
3462528	2533	1997-09-30	PRIJEM	\N	110	27598	UROK	\N	\N
3462529	2533	1997-10-31	PRIJEM	\N	113	28114	UROK	\N	\N
3462530	2533	1997-11-30	PRIJEM	\N	131	33989	UROK	\N	\N
3462531	2533	1997-12-31	PRIJEM	\N	147	34608	UROK	\N	\N
3462532	2533	1998-01-31	PRIJEM	\N	129	24001	UROK	\N	\N
3462533	2533	1998-02-28	PRIJEM	\N	114	29118	UROK	\N	\N
3462534	2533	1998-03-31	PRIJEM	\N	136	32158	UROK	\N	\N
3462535	2533	1998-04-30	PRIJEM	\N	149	38550	UROK	\N	\N
3462536	2533	1998-05-31	PRIJEM	\N	155	39629	UROK	\N	\N
3462537	2533	1998-06-30	PRIJEM	\N	176	2918	UROK	\N	\N
3462538	2533	1998-07-31	PRIJEM	\N	83	28344	UROK	\N	\N
3462539	2533	1998-08-31	PRIJEM	\N	157	41864	UROK	\N	\N
3462540	2533	1998-09-30	PRIJEM	\N	194	48802	UROK	\N	\N
3462541	2533	1998-10-31	PRIJEM	\N	205	49950	UROK	\N	\N
3462542	2533	1998-11-30	PRIJEM	\N	222	54096	UROK	\N	\N
3462543	2533	1998-12-31	PRIJEM	\N	208	48416	UROK	\N	\N
3462544	2540	1995-04-30	PRIJEM	\N	7	3207	UROK	\N	\N
3462545	2540	1995-05-31	PRIJEM	\N	40	13847	UROK	\N	\N
3462546	2540	1995-06-30	PRIJEM	\N	110	58589	UROK	\N	\N
3462547	2540	1995-07-31	PRIJEM	\N	181	36756	UROK	\N	\N
3462548	2540	1995-08-31	PRIJEM	\N	156	33197	UROK	\N	\N
3462549	2540	1995-09-30	PRIJEM	\N	141	30923	UROK	\N	\N
3462550	2540	1995-10-31	PRIJEM	\N	133	31141	UROK	\N	\N
3462551	2540	1995-11-30	PRIJEM	\N	132	29959	UROK	\N	\N
3462552	2540	1995-12-31	PRIJEM	\N	121	24865	UROK	\N	\N
3462553	2540	1996-01-31	PRIJEM	\N	95	20445	UROK	\N	\N
3462554	2540	1996-02-29	PRIJEM	\N	89	22520	UROK	\N	\N
3462555	2540	1996-03-31	PRIJEM	\N	98	24604	UROK	\N	\N
3462556	2540	1996-04-30	PRIJEM	\N	106	25795	UROK	\N	\N
3462557	2540	1996-05-31	PRIJEM	\N	185	51336	UROK	\N	\N
3462558	2540	1996-06-30	PRIJEM	\N	198	38819	UROK	\N	\N
3462559	2540	1996-07-31	PRIJEM	\N	158	33663	UROK	\N	\N
3462560	2540	1996-08-31	PRIJEM	\N	138	30987	UROK	\N	\N
3462561	2540	1996-09-30	PRIJEM	\N	123	25495	UROK	\N	\N
3462562	2540	1996-10-31	PRIJEM	\N	122	33504	UROK	\N	\N
3462563	2540	1996-11-30	PRIJEM	\N	134	29774	UROK	\N	\N
3462564	2540	1996-12-31	PRIJEM	\N	128	32487	UROK	\N	\N
3462565	2540	1997-01-31	PRIJEM	\N	128	28700	UROK	\N	\N
3462566	2540	1997-02-28	PRIJEM	\N	127	32063	UROK	\N	\N
3462567	2540	1997-03-31	PRIJEM	\N	133	31080	UROK	\N	\N
3462568	2540	1997-04-30	PRIJEM	\N	140	36328	UROK	\N	\N
3462569	2540	1997-05-31	PRIJEM	\N	157	38770	UROK	\N	\N
3462570	2540	1997-06-30	PRIJEM	\N	147	33902	UROK	\N	\N
3462571	2540	1997-07-31	PRIJEM	\N	141	34779	UROK	\N	\N
3462572	2540	1997-08-31	PRIJEM	\N	159	47316	UROK	\N	\N
3462573	2540	1997-09-30	PRIJEM	\N	196	47598	UROK	\N	\N
3462574	2540	1997-10-31	PRIJEM	\N	196	47179	UROK	\N	\N
3462575	2540	1997-11-30	PRIJEM	\N	188	43752	UROK	\N	\N
3462576	2540	1997-12-31	PRIJEM	\N	188	46125	UROK	\N	\N
3462577	2540	1998-01-31	PRIJEM	\N	188	44698	UROK	\N	\N
3462578	2540	1998-02-28	PRIJEM	\N	188	46672	UROK	\N	\N
3462579	2540	1998-03-31	PRIJEM	\N	190	45547	UROK	\N	\N
3462580	2540	1998-04-30	PRIJEM	\N	188	46021	UROK	\N	\N
3462581	2540	1998-05-31	PRIJEM	\N	188	44994	UROK	\N	\N
3462582	2540	1998-06-30	PRIJEM	\N	217	52407	UROK	\N	\N
3462583	2540	1998-07-31	PRIJEM	\N	189	41381	UROK	\N	\N
3462584	2540	1998-08-31	PRIJEM	\N	158	35825	UROK	\N	\N
3462585	2540	1998-09-30	PRIJEM	\N	140	32650	UROK	\N	\N
3462586	2540	1998-10-31	PRIJEM	\N	137	34173	UROK	\N	\N
3462587	2540	1998-11-30	PRIJEM	\N	196	54199	UROK	\N	\N
3462588	2540	1998-12-31	PRIJEM	\N	205	43790	UROK	\N	\N
3462589	2548	1996-01-31	PRIJEM	\N	17	5435	UROK	\N	\N
3462590	2548	1996-02-29	PRIJEM	\N	78	23730	UROK	\N	\N
3462591	2548	1996-03-31	PRIJEM	\N	120	30769	UROK	\N	\N
3462592	2548	1996-04-30	PRIJEM	\N	137	33723	UROK	\N	\N
3462593	2548	1996-05-31	PRIJEM	\N	149	36690	UROK	\N	\N
3462594	2548	1996-06-30	PRIJEM	\N	130	8202	UROK	\N	\N
3462595	2548	1996-07-31	PRIJEM	\N	70	19876	UROK	\N	\N
3462596	2548	1996-08-31	PRIJEM	\N	103	26382	UROK	\N	\N
3462597	2548	1996-09-30	PRIJEM	\N	122	30507	UROK	\N	\N
3462598	2548	1996-10-31	PRIJEM	\N	144	36155	UROK	\N	\N
3462599	2548	1996-11-30	PRIJEM	\N	160	39418	UROK	\N	\N
3462600	2548	1996-12-31	PRIJEM	\N	171	40771	UROK	\N	\N
3462601	2548	1997-01-31	PRIJEM	\N	139	23754	UROK	\N	\N
3462602	2548	1997-02-28	PRIJEM	\N	100	28957	UROK	\N	\N
3462603	2548	1997-03-31	PRIJEM	\N	141	35601	UROK	\N	\N
3462604	2548	1997-04-30	PRIJEM	\N	147	36191	UROK	\N	\N
3462605	2548	1997-05-31	PRIJEM	\N	141	35835	UROK	\N	\N
3462606	2548	1997-06-30	PRIJEM	\N	149	38327	UROK	\N	\N
3462607	2548	1997-07-31	PRIJEM	\N	161	41791	UROK	\N	\N
3462608	2548	1997-08-31	PRIJEM	\N	175	44970	UROK	\N	\N
3462609	2548	1997-09-30	PRIJEM	\N	187	44660	UROK	\N	\N
3462610	2548	1997-10-31	PRIJEM	\N	184	42147	UROK	\N	\N
3462611	2548	1997-11-30	PRIJEM	\N	180	37810	UROK	\N	\N
3462612	2548	1997-12-31	PRIJEM	\N	168	37621	UROK	\N	\N
3462613	2548	1998-01-31	PRIJEM	\N	115	25039	UROK	\N	\N
3462614	2548	1998-02-28	PRIJEM	\N	109	32051	UROK	\N	\N
3462615	2548	1998-03-31	PRIJEM	\N	133	32187	UROK	\N	\N
3462616	2548	1998-04-30	PRIJEM	\N	130	27920	UROK	\N	\N
3462617	2548	1998-05-31	PRIJEM	\N	114	26838	UROK	\N	\N
3462618	2548	1998-06-30	PRIJEM	\N	91	10271	UROK	\N	\N
3462619	2548	1998-07-31	PRIJEM	\N	49	16824	UROK	\N	\N
3462620	2548	1998-08-31	PRIJEM	\N	76	22403	UROK	\N	\N
3462621	2548	1998-09-30	PRIJEM	\N	94	24940	UROK	\N	\N
3462622	2548	1998-10-31	PRIJEM	\N	107	28451	UROK	\N	\N
3462623	2548	1998-11-30	PRIJEM	\N	119	27693	UROK	\N	\N
3462624	2548	1998-12-31	PRIJEM	\N	126	31802	UROK	\N	\N
3462625	2565	1995-10-31	PRIJEM	\N	4	2104	UROK	\N	\N
3462626	2565	1995-11-30	PRIJEM	\N	30	13134	UROK	\N	\N
3462627	2565	1995-12-31	PRIJEM	\N	72	22007	UROK	\N	\N
3462628	2565	1996-01-31	PRIJEM	\N	100	25407	UROK	\N	\N
3462629	2565	1996-02-29	PRIJEM	\N	118	40987	UROK	\N	\N
3462630	2565	1996-03-31	PRIJEM	\N	226	57081	UROK	\N	\N
3462631	2565	1996-04-30	PRIJEM	\N	209	42675	UROK	\N	\N
3462632	2565	1996-05-31	PRIJEM	\N	146	28507	UROK	\N	\N
3462633	2565	1996-06-30	PRIJEM	\N	97	18289	UROK	\N	\N
3462634	2565	1996-07-31	PRIJEM	\N	73	18797	UROK	\N	\N
3462635	2565	1996-08-31	PRIJEM	\N	79	18562	UROK	\N	\N
3462636	2565	1996-09-30	PRIJEM	\N	80	19877	UROK	\N	\N
3462637	2565	1996-10-31	PRIJEM	\N	80	14442	UROK	\N	\N
3462638	2565	1996-11-30	PRIJEM	\N	59	13487	UROK	\N	\N
3462639	2565	1996-12-31	PRIJEM	\N	56	13128	UROK	\N	\N
3462640	2565	1997-01-31	PRIJEM	\N	61	16975	UROK	\N	\N
3462641	2565	1997-02-28	PRIJEM	\N	71	12931	UROK	\N	\N
3462642	2565	1997-03-31	PRIJEM	\N	57	11973	UROK	\N	\N
3462643	2565	1997-04-30	PRIJEM	\N	54	13113	UROK	\N	\N
3462644	2565	1997-05-31	PRIJEM	\N	60	15458	UROK	\N	\N
3462645	2565	1997-06-30	PRIJEM	\N	67	15610	UROK	\N	\N
3462646	2565	1997-07-31	PRIJEM	\N	65	13061	UROK	\N	\N
3462647	2565	1997-08-31	PRIJEM	\N	105	28886	UROK	\N	\N
3462648	2565	1997-09-30	PRIJEM	\N	110	17881	UROK	\N	\N
3462649	2565	1997-10-31	PRIJEM	\N	70	12536	UROK	\N	\N
3462650	2565	1997-11-30	PRIJEM	\N	58	15879	UROK	\N	\N
3462651	2565	1997-12-31	PRIJEM	\N	70	17934	UROK	\N	\N
3462652	2565	1998-01-31	PRIJEM	\N	71	15890	UROK	\N	\N
3462653	2565	1998-02-28	PRIJEM	\N	61	11436	UROK	\N	\N
3462654	2565	1998-03-31	PRIJEM	\N	53	14775	UROK	\N	\N
3462655	2565	1998-04-30	PRIJEM	\N	67	18127	UROK	\N	\N
3462656	2565	1998-05-31	PRIJEM	\N	92	26571	UROK	\N	\N
3462657	2565	1998-06-30	PRIJEM	\N	89	13544	UROK	\N	\N
3462658	2565	1998-07-31	PRIJEM	\N	120	27247	UROK	\N	\N
3462659	2565	1998-08-31	PRIJEM	\N	87	12219	UROK	\N	\N
3462660	2565	1998-09-30	PRIJEM	\N	55	14509	UROK	\N	\N
3462661	2565	1998-10-31	PRIJEM	\N	65	13460	UROK	\N	\N
3462662	2565	1998-11-30	PRIJEM	\N	55	13800	UROK	\N	\N
3462663	2565	1998-12-31	PRIJEM	\N	58	14543	UROK	\N	\N
3462664	2566	1998-01-31	PRIJEM	\N	0	4000	UROK	\N	\N
3462665	2566	1998-03-31	PRIJEM	\N	13	4314	UROK	\N	\N
3462666	2566	1998-04-30	PRIJEM	\N	13	4227	UROK	\N	\N
3462667	2566	1998-05-31	PRIJEM	\N	13	9640	UROK	\N	\N
3462668	2566	1998-06-30	PRIJEM	\N	13	9654	UROK	\N	\N
3462669	2566	1998-07-31	PRIJEM	\N	13	8867	UROK	\N	\N
3462670	2566	1998-08-31	PRIJEM	\N	13	12280	UROK	\N	\N
3462671	2566	1998-09-30	PRIJEM	\N	13	14194	UROK	\N	\N
3462672	2566	1998-10-31	PRIJEM	\N	13	10707	UROK	\N	\N
3462673	2571	1997-02-28	PRIJEM	\N	88	39587	UROK	\N	\N
3462674	2571	1997-03-31	PRIJEM	\N	198	55385	UROK	\N	\N
3462675	2571	1997-04-30	PRIJEM	\N	259	68543	UROK	\N	\N
3462676	2571	1997-05-31	PRIJEM	\N	287	62429	UROK	\N	\N
3462677	2571	1997-06-30	PRIJEM	\N	217	25824	UROK	\N	\N
3462678	2571	1997-07-31	PRIJEM	\N	169	42083	UROK	\N	\N
3462679	2571	1997-08-31	PRIJEM	\N	228	60780	UROK	\N	\N
3462680	2571	1997-09-30	PRIJEM	\N	239	51390	UROK	\N	\N
3462681	2571	1997-10-31	PRIJEM	\N	204	36125	UROK	\N	\N
3462682	2571	1997-11-30	PRIJEM	\N	230	65140	UROK	\N	\N
3462683	2571	1997-12-31	PRIJEM	\N	288	69311	UROK	\N	\N
3462684	2571	1998-01-31	PRIJEM	\N	203	14999	UROK	\N	\N
3462685	2571	1998-02-28	PRIJEM	\N	237	76920	UROK	\N	\N
3462686	2571	1998-03-31	PRIJEM	\N	285	62590	UROK	\N	\N
3462687	2571	1998-04-30	PRIJEM	\N	382	46656	UROK	\N	\N
3462688	2571	1998-05-31	PRIJEM	\N	254	67394	UROK	\N	\N
3462689	2571	1998-06-30	PRIJEM	\N	271	61149	UROK	\N	\N
3462690	2571	1998-07-31	PRIJEM	\N	372	101505	UROK	\N	\N
3462691	2571	1998-08-31	PRIJEM	\N	309	63599	UROK	\N	\N
3462692	2571	1998-09-30	PRIJEM	\N	377	102260	UROK	\N	\N
3462693	2571	1998-10-31	PRIJEM	\N	270	55814	UROK	\N	\N
3462694	2571	1998-11-30	PRIJEM	\N	354	97753	UROK	\N	\N
3462695	2571	1998-12-31	PRIJEM	\N	503	102740	UROK	\N	\N
3462696	2573	1996-12-31	PRIJEM	\N	79	30988	UROK	\N	\N
3462697	2573	1997-01-31	PRIJEM	\N	129	22717	UROK	\N	\N
3462698	2573	1997-02-28	PRIJEM	\N	129	20746	UROK	\N	\N
3462699	2573	1997-03-31	PRIJEM	\N	129	20174	UROK	\N	\N
3462700	2573	1997-04-30	PRIJEM	\N	129	17903	UROK	\N	\N
3462701	2573	1997-05-31	PRIJEM	\N	129	17632	UROK	\N	\N
3462702	2573	1997-07-31	PRIJEM	\N	198	76899	UROK	\N	\N
3462703	2573	1997-08-31	PRIJEM	\N	320	39719	UROK	\N	\N
3462704	2573	1997-09-30	PRIJEM	\N	320	23438	UROK	\N	\N
3462705	2573	1997-10-31	PRIJEM	\N	320	14658	UROK	\N	\N
3462706	2573	1998-01-31	PRIJEM	\N	320	11978	UROK	\N	\N
3462707	2573	1998-05-31	PRIJEM	\N	320	16839	UROK	\N	\N
3462708	2573	1998-10-31	PRIJEM	\N	315	39415	UROK	\N	\N
3462709	2573	1998-11-30	PRIJEM	\N	161	13561	UROK	\N	\N
3462710	2611	1996-03-31	PRIJEM	\N	47	15890	UROK	\N	\N
3462711	2611	1996-04-30	PRIJEM	\N	124	35757	UROK	\N	\N
3462712	2611	1996-05-31	PRIJEM	\N	176	45176	UROK	\N	\N
3462713	2611	1996-06-30	PRIJEM	\N	232	60622	UROK	\N	\N
3462714	2611	1996-07-31	PRIJEM	\N	247	58012	UROK	\N	\N
3462715	2611	1996-08-31	PRIJEM	\N	229	58669	UROK	\N	\N
3462716	2611	1996-09-30	PRIJEM	\N	261	64458	UROK	\N	\N
3462717	2611	1996-10-31	PRIJEM	\N	276	67263	UROK	\N	\N
3462718	2611	1996-11-30	PRIJEM	\N	276	66067	UROK	\N	\N
3462719	2611	1996-12-31	PRIJEM	\N	285	68952	UROK	\N	\N
3462720	2611	1997-01-31	PRIJEM	\N	226	57006	UROK	\N	\N
3462721	2611	1997-02-28	PRIJEM	\N	240	72774	UROK	\N	\N
3462722	2611	1997-03-31	PRIJEM	\N	293	69796	UROK	\N	\N
3462723	2611	1997-04-30	PRIJEM	\N	289	70013	UROK	\N	\N
3462724	2611	1997-05-31	PRIJEM	\N	232	58274	UROK	\N	\N
3462725	2611	1997-06-30	PRIJEM	\N	243	60116	UROK	\N	\N
3462726	2611	1997-07-31	PRIJEM	\N	282	62126	UROK	\N	\N
3462727	2611	1997-08-31	PRIJEM	\N	293	62947	UROK	\N	\N
3462728	2611	1997-09-30	PRIJEM	\N	291	65267	UROK	\N	\N
3462729	2611	1997-10-31	PRIJEM	\N	275	64270	UROK	\N	\N
3462730	2611	1997-11-30	PRIJEM	\N	269	67968	UROK	\N	\N
3462731	2611	1997-12-31	PRIJEM	\N	327	66494	UROK	\N	\N
3462732	2611	1998-01-31	PRIJEM	\N	279	70001	UROK	\N	\N
3462733	2611	1998-02-28	PRIJEM	\N	294	74423	UROK	\N	\N
3462734	2611	1998-03-31	PRIJEM	\N	310	75861	UROK	\N	\N
3462735	2611	1998-04-30	PRIJEM	\N	316	78306	UROK	\N	\N
3462736	2611	1998-05-31	PRIJEM	\N	321	74355	UROK	\N	\N
3462737	2611	1998-06-30	PRIJEM	\N	307	73262	UROK	\N	\N
3462738	2611	1998-07-31	PRIJEM	\N	300	70290	UROK	\N	\N
3462739	2611	1998-08-31	PRIJEM	\N	292	71711	UROK	\N	\N
3462740	2611	1998-09-30	PRIJEM	\N	295	66534	UROK	\N	\N
3462741	2611	1998-10-31	PRIJEM	\N	287	68549	UROK	\N	\N
3462742	2611	1998-11-30	PRIJEM	\N	280	66458	UROK	\N	\N
3462743	2611	1998-12-31	PRIJEM	\N	309	67766	UROK	\N	\N
3462744	2615	1994-08-31	PRIJEM	\N	39	18141	UROK	\N	\N
3462745	2615	1994-09-30	PRIJEM	\N	95	26838	UROK	\N	\N
3462746	2615	1994-10-31	PRIJEM	\N	118	29858	UROK	\N	\N
3462747	2615	1994-11-30	PRIJEM	\N	132	33192	UROK	\N	\N
3462748	2615	1994-12-31	PRIJEM	\N	147	36941	UROK	\N	\N
3462749	2615	1995-01-31	PRIJEM	\N	124	20552	UROK	\N	\N
3462750	2615	1995-02-28	PRIJEM	\N	97	25137	UROK	\N	\N
3462751	2615	1995-03-31	PRIJEM	\N	104	25129	UROK	\N	\N
3462752	2615	1995-04-30	PRIJEM	\N	110	27526	UROK	\N	\N
3462753	2615	1995-05-31	PRIJEM	\N	113	26826	UROK	\N	\N
3462754	2615	1995-06-30	PRIJEM	\N	112	17727	UROK	\N	\N
3462755	2615	1995-07-31	PRIJEM	\N	85	19899	UROK	\N	\N
3462756	2615	1995-08-31	PRIJEM	\N	94	23981	UROK	\N	\N
3462757	2615	1995-09-30	PRIJEM	\N	99	23767	UROK	\N	\N
3462758	2615	1995-10-31	PRIJEM	\N	120	20474	UROK	\N	\N
3462759	2615	1995-11-30	PRIJEM	\N	107	27968	UROK	\N	\N
3462760	2615	1995-12-31	PRIJEM	\N	125	30882	UROK	\N	\N
3462761	2615	1996-01-31	PRIJEM	\N	76	13245	UROK	\N	\N
3462762	2615	1996-02-29	PRIJEM	\N	72	21404	UROK	\N	\N
3462763	2615	1996-03-31	PRIJEM	\N	102	25894	UROK	\N	\N
3462764	2615	1996-04-30	PRIJEM	\N	108	26089	UROK	\N	\N
3462765	2615	1996-05-31	PRIJEM	\N	113	27890	UROK	\N	\N
3462766	2615	1996-06-30	PRIJEM	\N	128	32206	UROK	\N	\N
3462767	2615	1996-07-31	PRIJEM	\N	125	29418	UROK	\N	\N
3462768	2615	1996-08-31	PRIJEM	\N	112	26018	UROK	\N	\N
3462769	2615	1996-09-30	PRIJEM	\N	130	32234	UROK	\N	\N
3462770	2615	1996-10-31	PRIJEM	\N	124	28945	UROK	\N	\N
3462771	2615	1996-11-30	PRIJEM	\N	108	25041	UROK	\N	\N
3462772	2615	1996-12-31	PRIJEM	\N	135	33265	UROK	\N	\N
3462773	2615	1997-01-31	PRIJEM	\N	94	14446	UROK	\N	\N
3462774	2615	1997-02-28	PRIJEM	\N	66	23500	UROK	\N	\N
3462775	2615	1997-03-31	PRIJEM	\N	98	33985	UROK	\N	\N
3462776	2615	1997-04-30	PRIJEM	\N	112	24285	UROK	\N	\N
3462777	2615	1997-05-31	PRIJEM	\N	102	34774	UROK	\N	\N
3462778	2615	1997-06-30	PRIJEM	\N	146	50508	UROK	\N	\N
3462779	2615	1997-07-31	PRIJEM	\N	143	27339	UROK	\N	\N
3462780	2615	1997-08-31	PRIJEM	\N	114	37840	UROK	\N	\N
3462781	2615	1997-09-30	PRIJEM	\N	159	40187	UROK	\N	\N
3462782	2615	1997-10-31	PRIJEM	\N	156	16031	UROK	\N	\N
3462783	2615	1997-11-30	PRIJEM	\N	67	26485	UROK	\N	\N
3462784	2615	1997-12-31	PRIJEM	\N	152	41025	UROK	\N	\N
3462785	2615	1998-01-31	PRIJEM	\N	175	37287	UROK	\N	\N
3462786	2615	1998-02-28	PRIJEM	\N	175	44849	UROK	\N	\N
3462787	2615	1998-03-31	PRIJEM	\N	187	55423	UROK	\N	\N
3462788	2615	1998-04-30	PRIJEM	\N	208	17818	UROK	\N	\N
3462789	2615	1998-05-31	PRIJEM	\N	74	28280	UROK	\N	\N
3462790	2615	1998-06-30	PRIJEM	\N	127	40195	UROK	\N	\N
3462791	2615	1998-07-31	PRIJEM	\N	182	48964	UROK	\N	\N
3462792	2615	1998-08-31	PRIJEM	\N	184	16036	UROK	\N	\N
3462793	2615	1998-09-30	PRIJEM	\N	66	26489	UROK	\N	\N
3462794	2615	1998-10-31	PRIJEM	\N	110	36986	UROK	\N	\N
3462795	2615	1998-11-30	PRIJEM	\N	153	47527	UROK	\N	\N
3462796	2615	1998-12-31	PRIJEM	\N	238	62753	UROK	\N	\N
3462797	2630	1996-01-31	PRIJEM	\N	36	22556	UROK	\N	\N
3462798	2630	1996-02-29	PRIJEM	\N	114	35090	UROK	\N	\N
3462799	2630	1996-03-31	PRIJEM	\N	150	37960	UROK	\N	\N
3462800	2630	1996-04-30	PRIJEM	\N	162	40342	UROK	\N	\N
3462801	2630	1996-05-31	PRIJEM	\N	162	36923	UROK	\N	\N
3462802	2630	1996-06-30	PRIJEM	\N	145	30534	UROK	\N	\N
3462803	2630	1996-07-31	PRIJEM	\N	129	30468	UROK	\N	\N
3462804	2630	1996-08-31	PRIJEM	\N	124	29197	UROK	\N	\N
3462805	2630	1996-09-30	PRIJEM	\N	119	27922	UROK	\N	\N
3462806	2630	1996-10-31	PRIJEM	\N	123	27550	UROK	\N	\N
3462807	2630	1996-11-30	PRIJEM	\N	110	28466	UROK	\N	\N
3462808	2630	1996-12-31	PRIJEM	\N	127	29058	UROK	\N	\N
3462809	2630	1997-01-31	PRIJEM	\N	119	18382	UROK	\N	\N
3462810	2630	1997-02-28	PRIJEM	\N	100	28488	UROK	\N	\N
3462811	2630	1997-03-31	PRIJEM	\N	131	34224	UROK	\N	\N
3462812	2630	1997-04-30	PRIJEM	\N	136	31666	UROK	\N	\N
3462813	2630	1997-05-31	PRIJEM	\N	130	30901	UROK	\N	\N
3462814	2630	1997-06-30	PRIJEM	\N	123	27089	UROK	\N	\N
3462815	2630	1997-07-31	PRIJEM	\N	100	21895	UROK	\N	\N
3462816	2630	1997-08-31	PRIJEM	\N	142	25242	UROK	\N	\N
3462817	2630	1997-09-30	PRIJEM	\N	123	31470	UROK	\N	\N
3462818	2630	1997-10-31	PRIJEM	\N	146	36822	UROK	\N	\N
3462819	2630	1997-11-30	PRIJEM	\N	137	33364	UROK	\N	\N
3462820	2630	1997-12-31	PRIJEM	\N	172	45901	UROK	\N	\N
3462821	2630	1998-01-31	PRIJEM	\N	137	24244	UROK	\N	\N
3462822	2630	1998-02-28	PRIJEM	\N	122	32871	UROK	\N	\N
3462823	2630	1998-03-31	PRIJEM	\N	134	31010	UROK	\N	\N
3462824	2630	1998-04-30	PRIJEM	\N	123	29038	UROK	\N	\N
3462825	2630	1998-05-31	PRIJEM	\N	126	31370	UROK	\N	\N
3462826	2630	1998-06-30	PRIJEM	\N	136	29471	UROK	\N	\N
3462827	2630	1998-07-31	PRIJEM	\N	118	28295	UROK	\N	\N
3462828	2630	1998-08-31	PRIJEM	\N	115	27715	UROK	\N	\N
3462829	2630	1998-09-30	PRIJEM	\N	104	24125	UROK	\N	\N
3462830	2630	1998-10-31	PRIJEM	\N	98	23128	UROK	\N	\N
3462831	2630	1998-11-30	PRIJEM	\N	106	27540	UROK	\N	\N
3462832	2630	1998-12-31	PRIJEM	\N	108	31713	UROK	\N	\N
3462833	2633	1996-03-31	PRIJEM	\N	14	12662	UROK	\N	\N
3462834	2633	1996-04-30	PRIJEM	\N	140	44430	UROK	\N	\N
3462835	2633	1996-05-31	PRIJEM	\N	185	33115	UROK	\N	\N
3462836	2633	1996-06-30	PRIJEM	\N	173	16581	UROK	\N	\N
3462837	2633	1996-07-31	PRIJEM	\N	308	114653	UROK	\N	\N
3462838	2633	1996-08-31	PRIJEM	\N	348	56286	UROK	\N	\N
3462839	2633	1996-09-30	PRIJEM	\N	288	87267	UROK	\N	\N
3462840	2633	1996-10-31	PRIJEM	\N	365	65294	UROK	\N	\N
3462841	2633	1996-11-30	PRIJEM	\N	253	54195	UROK	\N	\N
3462842	2633	1996-12-31	PRIJEM	\N	234	83847	UROK	\N	\N
3462843	2633	1997-01-31	PRIJEM	\N	207	25296	UROK	\N	\N
3462844	2633	1997-02-28	PRIJEM	\N	243	74398	UROK	\N	\N
3462845	2633	1997-03-31	PRIJEM	\N	305	79594	UROK	\N	\N
3462846	2633	1997-04-30	PRIJEM	\N	465	93462	UROK	\N	\N
3462847	2633	1997-05-31	PRIJEM	\N	385	64340	UROK	\N	\N
3462848	2633	1997-06-30	PRIJEM	\N	290	86116	UROK	\N	\N
3462849	2633	1997-07-31	PRIJEM	\N	387	92544	UROK	\N	\N
3462850	2633	1997-08-31	PRIJEM	\N	395	64513	UROK	\N	\N
3462851	2633	1997-09-30	PRIJEM	\N	305	84968	UROK	\N	\N
3462852	2633	1997-10-31	PRIJEM	\N	438	106790	UROK	\N	\N
3462853	2633	1997-11-30	PRIJEM	\N	475	108993	UROK	\N	\N
3462854	2633	1997-12-31	PRIJEM	\N	273	51491	UROK	\N	\N
3462855	2633	1998-01-31	PRIJEM	\N	265	70454	UROK	\N	\N
3462856	2633	1998-02-28	PRIJEM	\N	311	91195	UROK	\N	\N
3462857	2633	1998-03-31	PRIJEM	\N	327	69205	UROK	\N	\N
3462858	2633	1998-04-30	PRIJEM	\N	293	94243	UROK	\N	\N
3462859	2633	1998-05-31	PRIJEM	\N	269	44297	UROK	\N	\N
3462860	2633	1998-06-30	PRIJEM	\N	135	12194	UROK	\N	\N
3462861	2633	1998-07-31	PRIJEM	\N	50	23530	UROK	\N	\N
3462862	2633	1998-08-31	PRIJEM	\N	238	60345	UROK	\N	\N
3462863	2633	1998-09-30	PRIJEM	\N	350	83910	UROK	\N	\N
3462864	2633	1998-10-31	PRIJEM	\N	336	56937	UROK	\N	\N
3462865	2633	1998-11-30	PRIJEM	\N	408	73011	UROK	\N	\N
3462866	2633	1998-12-31	PRIJEM	\N	259	48865	UROK	\N	\N
3462867	2635	1996-02-29	PRIJEM	\N	102	30860	UROK	\N	\N
3462868	2635	1996-03-31	PRIJEM	\N	218	57635	UROK	\N	\N
3462869	2635	1996-04-30	PRIJEM	\N	297	74990	UROK	\N	\N
3462870	2635	1996-05-31	PRIJEM	\N	332	81280	UROK	\N	\N
3462871	2635	1996-06-30	PRIJEM	\N	365	79132	UROK	\N	\N
3462872	2635	1996-07-31	PRIJEM	\N	336	63166	UROK	\N	\N
3462873	2635	1996-08-31	PRIJEM	\N	302	73238	UROK	\N	\N
3462874	2635	1996-09-30	PRIJEM	\N	315	74896	UROK	\N	\N
3462875	2635	1996-10-31	PRIJEM	\N	300	77010	UROK	\N	\N
3462876	2635	1996-11-30	PRIJEM	\N	229	85082	UROK	\N	\N
3462877	2635	1996-12-31	PRIJEM	\N	348	66602	UROK	\N	\N
3462878	2635	1997-01-31	PRIJEM	\N	313	54259	UROK	\N	\N
3462879	2635	1997-02-28	PRIJEM	\N	273	83075	UROK	\N	\N
3462880	2635	1997-03-31	PRIJEM	\N	225	45864	UROK	\N	\N
3462881	2635	1997-04-30	PRIJEM	\N	193	53300	UROK	\N	\N
3462882	2635	1997-05-31	PRIJEM	\N	248	57092	UROK	\N	\N
3462883	2635	1997-06-30	PRIJEM	\N	214	33378	UROK	\N	\N
3462884	2635	1997-07-31	PRIJEM	\N	202	44023	UROK	\N	\N
3462885	2635	1997-08-31	PRIJEM	\N	226	47092	UROK	\N	\N
3462886	2635	1997-09-30	PRIJEM	\N	243	47208	UROK	\N	\N
3462887	2635	1997-10-31	PRIJEM	\N	200	52651	UROK	\N	\N
3462888	2635	1997-11-30	PRIJEM	\N	221	56116	UROK	\N	\N
3462889	2635	1997-12-31	PRIJEM	\N	239	61527	UROK	\N	\N
3462890	2635	1998-01-31	PRIJEM	\N	252	42458	UROK	\N	\N
3462891	2635	1998-02-28	PRIJEM	\N	183	51285	UROK	\N	\N
3462892	2635	1998-03-31	PRIJEM	\N	275	55278	UROK	\N	\N
3462893	2635	1998-04-30	PRIJEM	\N	231	58153	UROK	\N	\N
3462894	2635	1998-05-31	PRIJEM	\N	247	64543	UROK	\N	\N
3462895	2635	1998-06-30	PRIJEM	\N	327	53662	UROK	\N	\N
3462896	2635	1998-07-31	PRIJEM	\N	229	40077	UROK	\N	\N
3462897	2635	1998-08-31	PRIJEM	\N	182	48107	UROK	\N	\N
3462898	2635	1998-09-30	PRIJEM	\N	234	57184	UROK	\N	\N
3462899	2635	1998-10-31	PRIJEM	\N	252	68379	UROK	\N	\N
3462900	2635	1998-11-30	PRIJEM	\N	296	68304	UROK	\N	\N
3462901	2635	1998-12-31	PRIJEM	\N	289	49725	UROK	\N	\N
3462902	2648	1993-09-30	PRIJEM	\N	105	36045	UROK	\N	\N
3462903	2648	1993-10-31	PRIJEM	\N	150	28195	UROK	\N	\N
3462904	2648	1993-11-30	PRIJEM	\N	150	28844	UROK	\N	\N
3462905	2648	1993-12-31	PRIJEM	\N	150	24594	UROK	\N	\N
3462906	2648	1994-01-31	PRIJEM	\N	124	28178	UROK	\N	\N
3462907	2648	1994-02-28	PRIJEM	\N	117	25095	UROK	\N	\N
3462908	2648	1994-03-31	PRIJEM	\N	117	26512	UROK	\N	\N
3462909	2648	1994-04-30	PRIJEM	\N	117	24029	UROK	\N	\N
3462910	2648	1994-05-31	PRIJEM	\N	117	22946	UROK	\N	\N
3462911	2648	1994-06-30	PRIJEM	\N	117	20863	UROK	\N	\N
3462912	2648	1994-07-31	PRIJEM	\N	117	24480	UROK	\N	\N
3462913	2648	1994-08-31	PRIJEM	\N	154	38757	UROK	\N	\N
3462914	2648	1994-09-30	PRIJEM	\N	161	33718	UROK	\N	\N
3462915	2648	1994-10-31	PRIJEM	\N	161	27579	UROK	\N	\N
3462916	2648	1994-11-30	PRIJEM	\N	161	27240	UROK	\N	\N
3462917	2648	1994-12-31	PRIJEM	\N	161	25901	UROK	\N	\N
3462918	2648	1995-01-31	PRIJEM	\N	161	26861	UROK	\N	\N
3462919	2648	1995-02-28	PRIJEM	\N	207	66942	UROK	\N	\N
3462920	2648	1995-03-31	PRIJEM	\N	278	44720	UROK	\N	\N
3462921	2648	1995-04-30	PRIJEM	\N	278	33898	UROK	\N	\N
3462922	2648	1995-05-31	PRIJEM	\N	278	26976	UROK	\N	\N
3462923	2648	1995-06-30	PRIJEM	\N	278	23854	UROK	\N	\N
3462924	2648	1995-07-31	PRIJEM	\N	229	50928	UROK	\N	\N
3462925	2648	1995-08-31	PRIJEM	\N	209	38423	UROK	\N	\N
3462926	2648	1995-09-30	PRIJEM	\N	142	34250	UROK	\N	\N
3462927	2648	1995-10-31	PRIJEM	\N	141	29926	UROK	\N	\N
3462928	2648	1995-11-30	PRIJEM	\N	123	25384	UROK	\N	\N
3462929	2648	1995-12-31	PRIJEM	\N	98	24667	UROK	\N	\N
3462930	2648	1996-01-31	PRIJEM	\N	100	21353	UROK	\N	\N
3462931	2648	1996-02-29	PRIJEM	\N	88	21926	UROK	\N	\N
3462932	2648	1996-03-31	PRIJEM	\N	91	25002	UROK	\N	\N
3462933	2648	1996-04-30	PRIJEM	\N	103	25541	UROK	\N	\N
3462934	2648	1996-05-31	PRIJEM	\N	105	25281	UROK	\N	\N
3462935	2648	1996-06-30	PRIJEM	\N	104	23771	UROK	\N	\N
3462936	2648	1996-07-31	PRIJEM	\N	98	23654	UROK	\N	\N
3462937	2648	1996-08-31	PRIJEM	\N	95	21734	UROK	\N	\N
3462938	2648	1996-09-30	PRIJEM	\N	113	46760	UROK	\N	\N
3462939	2648	1996-10-31	PRIJEM	\N	192	36937	UROK	\N	\N
3462940	2648	1996-11-30	PRIJEM	\N	140	26313	UROK	\N	\N
3462941	2648	1996-12-31	PRIJEM	\N	111	35903	UROK	\N	\N
3462942	2648	1997-01-31	PRIJEM	\N	118	17206	UROK	\N	\N
3462943	2648	1997-02-28	PRIJEM	\N	70	19961	UROK	\N	\N
3462944	2648	1997-03-31	PRIJEM	\N	81	15927	UROK	\N	\N
3462945	2648	1997-04-30	PRIJEM	\N	64	15377	UROK	\N	\N
3462946	2648	1997-05-31	PRIJEM	\N	62	18624	UROK	\N	\N
3462947	2648	1997-06-30	PRIJEM	\N	76	22386	UROK	\N	\N
3462948	2648	1997-07-31	PRIJEM	\N	90	21811	UROK	\N	\N
3462949	2648	1997-08-31	PRIJEM	\N	100	28918	UROK	\N	\N
3462950	2648	1997-09-30	PRIJEM	\N	118	30921	UROK	\N	\N
3462951	2648	1997-10-31	PRIJEM	\N	148	53474	UROK	\N	\N
3462952	2648	1997-11-30	PRIJEM	\N	201	42860	UROK	\N	\N
3462953	2648	1997-12-31	PRIJEM	\N	167	38312	UROK	\N	\N
3462954	2648	1998-01-31	PRIJEM	\N	139	28937	UROK	\N	\N
3462955	2648	1998-02-28	PRIJEM	\N	118	29639	UROK	\N	\N
3462956	2648	1998-03-31	PRIJEM	\N	156	48854	UROK	\N	\N
3462957	2648	1998-04-30	PRIJEM	\N	181	37771	UROK	\N	\N
3462958	2648	1998-05-31	PRIJEM	\N	153	34009	UROK	\N	\N
3462959	2648	1998-06-30	PRIJEM	\N	118	25662	UROK	\N	\N
3462960	2648	1998-07-31	PRIJEM	\N	104	25951	UROK	\N	\N
3462961	2648	1998-08-31	PRIJEM	\N	104	27041	UROK	\N	\N
3462962	2648	1998-09-30	PRIJEM	\N	109	27586	UROK	\N	\N
3462963	2648	1998-10-31	PRIJEM	\N	155	59647	UROK	\N	\N
3462964	2648	1998-11-30	PRIJEM	\N	242	40774	UROK	\N	\N
3462965	2659	1996-04-30	PRIJEM	\N	5	16308	UROK	\N	\N
3462966	2659	1996-05-31	PRIJEM	\N	71	23081	UROK	\N	\N
3462967	2659	1996-06-30	PRIJEM	\N	99	29984	UROK	\N	\N
3462968	2659	1996-07-31	PRIJEM	\N	124	29612	UROK	\N	\N
3462969	2659	1996-08-31	PRIJEM	\N	133	30048	UROK	\N	\N
3462970	2659	1996-09-30	PRIJEM	\N	130	27326	UROK	\N	\N
3462971	2659	1996-10-31	PRIJEM	\N	115	29029	UROK	\N	\N
3462972	2659	1996-11-30	PRIJEM	\N	124	32942	UROK	\N	\N
3462973	2659	1996-12-31	PRIJEM	\N	140	34691	UROK	\N	\N
3462974	2659	1997-01-31	PRIJEM	\N	136	22076	UROK	\N	\N
3462975	2659	1997-02-28	PRIJEM	\N	100	31765	UROK	\N	\N
3462976	2659	1997-03-31	PRIJEM	\N	135	34788	UROK	\N	\N
3462977	2659	1997-04-30	PRIJEM	\N	146	36423	UROK	\N	\N
3462978	2659	1997-05-31	PRIJEM	\N	148	30939	UROK	\N	\N
3462979	2659	1997-06-30	PRIJEM	\N	146	36436	UROK	\N	\N
3462980	2659	1997-07-31	PRIJEM	\N	151	36075	UROK	\N	\N
3462981	2659	1997-08-31	PRIJEM	\N	152	37415	UROK	\N	\N
3462982	2659	1997-09-30	PRIJEM	\N	156	37759	UROK	\N	\N
3462983	2659	1997-10-31	PRIJEM	\N	162	37469	UROK	\N	\N
3462984	2659	1997-11-30	PRIJEM	\N	156	36634	UROK	\N	\N
3462985	2659	1997-12-31	PRIJEM	\N	175	39299	UROK	\N	\N
3462986	2659	1998-01-31	PRIJEM	\N	128	25596	UROK	\N	\N
3462987	2659	1998-02-28	PRIJEM	\N	121	34805	UROK	\N	\N
3462988	2659	1998-03-31	PRIJEM	\N	151	38945	UROK	\N	\N
3462989	2659	1998-04-30	PRIJEM	\N	169	43302	UROK	\N	\N
3462990	2659	1998-05-31	PRIJEM	\N	175	40465	UROK	\N	\N
3462991	2659	1998-06-30	PRIJEM	\N	174	42809	UROK	\N	\N
3462992	2659	1998-07-31	PRIJEM	\N	178	43376	UROK	\N	\N
3462993	2659	1998-08-31	PRIJEM	\N	186	43530	UROK	\N	\N
3462994	2659	1998-09-30	PRIJEM	\N	183	44202	UROK	\N	\N
3462995	2659	1998-10-31	PRIJEM	\N	197	50587	UROK	\N	\N
3462996	2659	1998-11-30	PRIJEM	\N	213	52188	UROK	\N	\N
3462997	2659	1998-12-31	PRIJEM	\N	202	45580	UROK	\N	\N
3462998	2665	1993-11-30	PRIJEM	\N	89	42959	UROK	\N	\N
3462999	2665	1993-12-31	PRIJEM	\N	165	36324	UROK	\N	\N
3463000	2665	1994-01-31	PRIJEM	\N	112	25071	UROK	\N	\N
3463001	2665	1994-02-28	PRIJEM	\N	184	59437	UROK	\N	\N
3463002	2665	1994-03-31	PRIJEM	\N	222	45394	UROK	\N	\N
3463003	2665	1994-04-30	PRIJEM	\N	175	40355	UROK	\N	\N
3463004	2665	1994-05-31	PRIJEM	\N	160	36900	UROK	\N	\N
3463005	2665	1994-06-30	PRIJEM	\N	132	29867	UROK	\N	\N
3463006	2665	1994-07-31	PRIJEM	\N	130	32682	UROK	\N	\N
3463007	2665	1994-08-31	PRIJEM	\N	133	31900	UROK	\N	\N
3463008	2665	1994-09-30	PRIJEM	\N	127	28462	UROK	\N	\N
3463009	2665	1994-10-31	PRIJEM	\N	117	28615	UROK	\N	\N
3463010	2665	1994-11-30	PRIJEM	\N	117	26918	UROK	\N	\N
3463011	2665	1994-12-31	PRIJEM	\N	112	25765	UROK	\N	\N
3463012	2665	1995-01-31	PRIJEM	\N	81	14182	UROK	\N	\N
3463013	2665	1995-02-28	PRIJEM	\N	75	21742	UROK	\N	\N
3463014	2665	1995-03-31	PRIJEM	\N	104	27932	UROK	\N	\N
3463015	2665	1995-04-30	PRIJEM	\N	132	56765	UROK	\N	\N
3463016	2665	1995-05-31	PRIJEM	\N	207	44557	UROK	\N	\N
3463017	2665	1995-06-30	PRIJEM	\N	185	32701	UROK	\N	\N
3463018	2665	1995-07-31	PRIJEM	\N	138	34225	UROK	\N	\N
3463019	2665	1995-08-31	PRIJEM	\N	125	28835	UROK	\N	\N
3463020	2665	1995-09-30	PRIJEM	\N	123	31793	UROK	\N	\N
3463021	2665	1995-10-31	PRIJEM	\N	129	30807	UROK	\N	\N
3463022	2665	1995-11-30	PRIJEM	\N	118	27910	UROK	\N	\N
3463023	2665	1995-12-31	PRIJEM	\N	112	27307	UROK	\N	\N
3463024	2665	1996-01-31	PRIJEM	\N	70	16463	UROK	\N	\N
3463025	2665	1996-02-29	PRIJEM	\N	84	25033	UROK	\N	\N
3463026	2665	1996-03-31	PRIJEM	\N	116	30834	UROK	\N	\N
3463027	2665	1996-04-30	PRIJEM	\N	136	34805	UROK	\N	\N
3463028	2665	1996-05-31	PRIJEM	\N	152	39043	UROK	\N	\N
3463029	2665	1996-06-30	PRIJEM	\N	148	31676	UROK	\N	\N
3463030	2665	1996-07-31	PRIJEM	\N	135	34996	UROK	\N	\N
3463031	2665	1996-08-31	PRIJEM	\N	147	36578	UROK	\N	\N
3463032	2665	1996-09-30	PRIJEM	\N	153	36816	UROK	\N	\N
3463033	2665	1996-10-31	PRIJEM	\N	165	39557	UROK	\N	\N
3463034	2665	1996-11-30	PRIJEM	\N	167	39259	UROK	\N	\N
3463035	2665	1996-12-31	PRIJEM	\N	165	36795	UROK	\N	\N
3463036	2665	1997-01-31	PRIJEM	\N	150	31352	UROK	\N	\N
3463037	2665	1997-02-28	PRIJEM	\N	123	34210	UROK	\N	\N
3463038	2665	1997-03-31	PRIJEM	\N	147	37842	UROK	\N	\N
3463039	2665	1997-04-30	PRIJEM	\N	156	36584	UROK	\N	\N
3463040	2665	1997-05-31	PRIJEM	\N	155	38325	UROK	\N	\N
3463041	2665	1997-06-30	PRIJEM	\N	142	27252	UROK	\N	\N
3463042	2665	1997-07-31	PRIJEM	\N	118	33605	UROK	\N	\N
3463043	2665	1997-08-31	PRIJEM	\N	147	39537	UROK	\N	\N
3463044	2665	1997-09-30	PRIJEM	\N	227	64474	UROK	\N	\N
3463045	2665	1997-10-31	PRIJEM	\N	254	53214	UROK	\N	\N
3463046	2665	1997-11-30	PRIJEM	\N	207	42657	UROK	\N	\N
3463047	2665	1997-12-31	PRIJEM	\N	177	37819	UROK	\N	\N
3463048	2665	1998-01-31	PRIJEM	\N	153	41726	UROK	\N	\N
3463049	2665	1998-02-28	PRIJEM	\N	163	35625	UROK	\N	\N
3463050	2665	1998-03-31	PRIJEM	\N	174	51858	UROK	\N	\N
3463051	2665	1998-04-30	PRIJEM	\N	196	38639	UROK	\N	\N
3463052	2665	1998-05-31	PRIJEM	\N	150	32373	UROK	\N	\N
3463053	2665	1998-06-30	PRIJEM	\N	112	19371	UROK	\N	\N
3463054	2665	1998-07-31	PRIJEM	\N	74	17130	UROK	\N	\N
3463055	2665	1998-08-31	PRIJEM	\N	78	22593	UROK	\N	\N
3463056	2665	1998-09-30	PRIJEM	\N	96	21674	UROK	\N	\N
3463057	2665	1998-10-31	PRIJEM	\N	77	17037	UROK	\N	\N
3463058	2665	1998-11-30	PRIJEM	\N	73	20295	UROK	\N	\N
3463059	2665	1998-12-31	PRIJEM	\N	80	19961	UROK	\N	\N
3463060	2674	1995-10-31	PRIJEM	\N	5	2305	UROK	\N	\N
3463061	2674	1995-11-30	PRIJEM	\N	38	15143	UROK	\N	\N
3463062	2674	1995-12-31	PRIJEM	\N	84	23827	UROK	\N	\N
3463063	2674	1996-01-31	PRIJEM	\N	165	44107	UROK	\N	\N
3463064	2674	1996-02-29	PRIJEM	\N	143	32536	UROK	\N	\N
3463065	2674	1996-03-31	PRIJEM	\N	125	27947	UROK	\N	\N
3463066	2674	1996-04-30	PRIJEM	\N	116	27748	UROK	\N	\N
3463067	2674	1996-05-31	PRIJEM	\N	108	25391	UROK	\N	\N
3463068	2674	1996-06-30	PRIJEM	\N	110	21886	UROK	\N	\N
3463069	2674	1996-07-31	PRIJEM	\N	102	27574	UROK	\N	\N
3463070	2674	1996-08-31	PRIJEM	\N	111	26020	UROK	\N	\N
3463071	2674	1996-09-30	PRIJEM	\N	109	26314	UROK	\N	\N
3463072	2674	1996-10-31	PRIJEM	\N	107	25107	UROK	\N	\N
3463073	2674	1996-11-30	PRIJEM	\N	104	24796	UROK	\N	\N
3463074	2674	1996-12-31	PRIJEM	\N	212	58801	UROK	\N	\N
3463075	2674	1997-01-31	PRIJEM	\N	162	35497	UROK	\N	\N
3463076	2674	1997-02-28	PRIJEM	\N	144	33627	UROK	\N	\N
3463077	2674	1997-03-31	PRIJEM	\N	130	30792	UROK	\N	\N
3463078	2674	1997-04-30	PRIJEM	\N	122	29499	UROK	\N	\N
3463079	2674	1997-05-31	PRIJEM	\N	163	61909	UROK	\N	\N
3463080	2674	1997-06-30	PRIJEM	\N	107	20901	UROK	\N	\N
3463081	2674	1997-07-31	PRIJEM	\N	95	27132	UROK	\N	\N
3463082	2674	1997-08-31	PRIJEM	\N	111	24578	UROK	\N	\N
3463083	2674	1997-09-30	PRIJEM	\N	101	20764	UROK	\N	\N
3463084	2674	1997-10-31	PRIJEM	\N	95	55833	UROK	\N	\N
3463085	2674	1997-11-30	PRIJEM	\N	225	37993	UROK	\N	\N
3463086	2674	1997-12-31	PRIJEM	\N	151	26130	UROK	\N	\N
3463087	2674	1998-01-31	PRIJEM	\N	91	14256	UROK	\N	\N
3463088	2674	1998-02-28	PRIJEM	\N	59	15600	UROK	\N	\N
3463089	2674	1998-03-31	PRIJEM	\N	63	15799	UROK	\N	\N
3463090	2674	1998-04-30	PRIJEM	\N	88	29134	UROK	\N	\N
3463091	2674	1998-05-31	PRIJEM	\N	118	25037	UROK	\N	\N
3463092	2674	1998-06-30	PRIJEM	\N	89	16411	UROK	\N	\N
3463093	2674	1998-07-31	PRIJEM	\N	68	17515	UROK	\N	\N
3463094	2674	1998-08-31	PRIJEM	\N	145	41847	UROK	\N	\N
3463095	2674	1998-09-30	PRIJEM	\N	158	26891	UROK	\N	\N
3463096	2674	1998-10-31	PRIJEM	\N	106	22582	UROK	\N	\N
3463097	2674	1998-11-30	PRIJEM	\N	91	21659	UROK	\N	\N
3463098	2674	1998-12-31	PRIJEM	\N	84	18328	UROK	\N	\N
3463099	2675	1994-07-31	PRIJEM	\N	72	41245	UROK	\N	\N
3463100	2675	1994-08-31	PRIJEM	\N	172	33917	UROK	\N	\N
3463101	2675	1994-09-30	PRIJEM	\N	172	26588	UROK	\N	\N
3463102	2675	1994-10-31	PRIJEM	\N	172	23260	UROK	\N	\N
3463103	2675	1994-12-31	PRIJEM	\N	174	42244	UROK	\N	\N
3463104	2675	1995-01-31	PRIJEM	\N	175	32819	UROK	\N	\N
3463105	2675	1995-02-28	PRIJEM	\N	175	28595	UROK	\N	\N
3463106	2675	1995-03-31	PRIJEM	\N	175	26470	UROK	\N	\N
3463107	2675	1995-04-30	PRIJEM	\N	175	23345	UROK	\N	\N
3463108	2675	1995-05-31	PRIJEM	\N	175	21521	UROK	\N	\N
3463109	2675	1995-06-30	PRIJEM	\N	175	22096	UROK	\N	\N
3463110	2675	1995-07-31	PRIJEM	\N	175	20271	UROK	\N	\N
3463111	2675	1995-08-31	PRIJEM	\N	175	22846	UROK	\N	\N
3463112	2675	1995-09-30	PRIJEM	\N	176	42373	UROK	\N	\N
3463113	2675	1995-10-31	PRIJEM	\N	176	35749	UROK	\N	\N
3463114	2675	1995-11-30	PRIJEM	\N	181	44445	UROK	\N	\N
3463115	2675	1995-12-31	PRIJEM	\N	184	31929	UROK	\N	\N
3463116	2675	1996-01-31	PRIJEM	\N	184	27714	UROK	\N	\N
3463117	2675	1996-02-29	PRIJEM	\N	184	24698	UROK	\N	\N
3463118	2675	1996-03-31	PRIJEM	\N	184	22782	UROK	\N	\N
3463119	2675	1996-04-30	PRIJEM	\N	160	36351	UROK	\N	\N
3463120	2675	1996-05-31	PRIJEM	\N	150	25586	UROK	\N	\N
3463121	2675	1996-06-30	PRIJEM	\N	127	33743	UROK	\N	\N
3463122	2675	1996-07-31	PRIJEM	\N	139	28168	UROK	\N	\N
3463123	2675	1996-08-31	PRIJEM	\N	116	21570	UROK	\N	\N
3463124	2675	1996-09-30	PRIJEM	\N	86	18141	UROK	\N	\N
3463125	2675	1996-10-31	PRIJEM	\N	74	13100	UROK	\N	\N
3463126	2675	1996-11-30	PRIJEM	\N	54	13140	UROK	\N	\N
3463127	2675	1996-12-31	PRIJEM	\N	54	13179	UROK	\N	\N
3463128	2675	1997-02-28	PRIJEM	\N	60	13463	UROK	\N	\N
3463129	2675	1997-02-28	PRIJEM	\N	54	13404	UROK	\N	\N
3463130	2675	1997-04-30	PRIJEM	\N	57	13546	UROK	\N	\N
3463131	2675	1997-04-30	PRIJEM	\N	55	13489	UROK	\N	\N
3463132	2675	1997-05-31	PRIJEM	\N	67	22084	UROK	\N	\N
3463133	2675	1997-06-30	PRIJEM	\N	90	18160	UROK	\N	\N
3463134	2675	1997-07-31	PRIJEM	\N	74	18220	UROK	\N	\N
3463135	2675	1997-09-30	PRIJEM	\N	77	16467	UROK	\N	\N
3463136	2675	1997-09-30	PRIJEM	\N	74	16542	UROK	\N	\N
3463137	2675	1997-11-30	PRIJEM	\N	70	16582	UROK	\N	\N
3463138	2675	1997-11-30	PRIJEM	\N	67	16649	UROK	\N	\N
3463139	2675	1997-12-31	PRIJEM	\N	85	16632	UROK	\N	\N
3463140	2675	1998-01-31	PRIJEM	\N	63	15380	UROK	\N	\N
3463141	2675	1998-02-28	PRIJEM	\N	63	15428	UROK	\N	\N
3463142	2675	1998-03-31	PRIJEM	\N	65	29342	UROK	\N	\N
3463143	2675	1998-04-30	PRIJEM	\N	121	29448	UROK	\N	\N
3463144	2675	1998-06-30	PRIJEM	\N	125	21844	UROK	\N	\N
3463145	2675	1998-06-30	PRIJEM	\N	120	21964	UROK	\N	\N
3463146	2675	1998-07-31	PRIJEM	\N	90	22039	UROK	\N	\N
3463147	2675	1998-08-31	PRIJEM	\N	89	20014	UROK	\N	\N
3463148	2675	1998-09-30	PRIJEM	\N	90	32469	UROK	\N	\N
3463149	2675	1998-10-31	PRIJEM	\N	133	31288	UROK	\N	\N
3463150	2675	1998-11-30	PRIJEM	\N	126	15099	UROK	\N	\N
3463151	2684	1997-09-30	PRIJEM	\N	6	2906	UROK	\N	\N
3463152	2684	1997-10-31	PRIJEM	\N	40	14047	UROK	\N	\N
3463153	2684	1997-11-30	PRIJEM	\N	74	21920	UROK	\N	\N
3463154	2684	1997-12-31	PRIJEM	\N	114	28767	UROK	\N	\N
3463155	2684	1998-01-31	PRIJEM	\N	94	19747	UROK	\N	\N
3463156	2684	1998-02-28	PRIJEM	\N	86	21418	UROK	\N	\N
3463157	2684	1998-03-31	PRIJEM	\N	100	26603	UROK	\N	\N
3463158	2684	1998-04-30	PRIJEM	\N	176	47871	UROK	\N	\N
3463159	2684	1998-05-31	PRIJEM	\N	179	39935	UROK	\N	\N
3463160	2684	1998-06-30	PRIJEM	\N	124	16744	UROK	\N	\N
3463161	2684	1998-07-31	PRIJEM	\N	84	23014	UROK	\N	\N
3463162	2684	1998-08-31	PRIJEM	\N	98	24097	UROK	\N	\N
3463163	2684	1998-09-30	PRIJEM	\N	186	57049	UROK	\N	\N
3463164	2684	1998-10-31	PRIJEM	\N	206	41291	UROK	\N	\N
3463165	2684	1998-11-30	PRIJEM	\N	172	41348	UROK	\N	\N
3463166	2684	1998-12-31	PRIJEM	\N	168	41101	UROK	\N	\N
3463167	2698	1997-07-31	PRIJEM	\N	74	45820	UROK	\N	\N
3463168	2698	1997-08-31	PRIJEM	\N	218	66658	UROK	\N	\N
3463169	2698	1997-09-30	PRIJEM	\N	277	49735	UROK	\N	\N
3463170	2698	1997-10-31	PRIJEM	\N	277	38512	UROK	\N	\N
3463171	2698	1997-11-30	PRIJEM	\N	277	33389	UROK	\N	\N
3463172	2698	1997-12-31	PRIJEM	\N	277	34966	UROK	\N	\N
3463173	2698	1998-01-31	PRIJEM	\N	237	48016	UROK	\N	\N
3463174	2698	1998-02-28	PRIJEM	\N	199	38015	UROK	\N	\N
3463175	2698	1998-03-31	PRIJEM	\N	199	33114	UROK	\N	\N
3463176	2698	1998-04-30	PRIJEM	\N	199	30313	UROK	\N	\N
3463177	2698	1998-05-31	PRIJEM	\N	169	33911	UROK	\N	\N
3463178	2698	1998-06-30	PRIJEM	\N	141	26452	UROK	\N	\N
3463179	2698	1998-07-31	PRIJEM	\N	141	24192	UROK	\N	\N
3463180	2698	1998-08-31	PRIJEM	\N	141	23333	UROK	\N	\N
3463181	2698	1998-09-30	PRIJEM	\N	141	22073	UROK	\N	\N
3463182	2708	1996-04-30	PRIJEM	\N	24	24196	UROK	\N	\N
3463183	2708	1996-05-31	PRIJEM	\N	114	36281	UROK	\N	\N
3463184	2708	1996-06-30	PRIJEM	\N	165	49104	UROK	\N	\N
3463185	2708	1996-07-31	PRIJEM	\N	204	49180	UROK	\N	\N
3463186	2708	1996-08-31	PRIJEM	\N	208	52360	UROK	\N	\N
3463187	2708	1996-09-30	PRIJEM	\N	216	51033	UROK	\N	\N
3463188	2708	1996-10-31	PRIJEM	\N	216	46467	UROK	\N	\N
3463189	2708	1996-11-30	PRIJEM	\N	196	48120	UROK	\N	\N
3463190	2708	1996-12-31	PRIJEM	\N	211	52254	UROK	\N	\N
3463191	2708	1997-01-31	PRIJEM	\N	220	40091	UROK	\N	\N
3463192	2708	1997-02-28	PRIJEM	\N	176	44664	UROK	\N	\N
3463193	2708	1997-03-31	PRIJEM	\N	202	46083	UROK	\N	\N
3463194	2708	1997-04-30	PRIJEM	\N	193	46733	UROK	\N	\N
3463195	2708	1997-05-31	PRIJEM	\N	196	47787	UROK	\N	\N
3463196	2708	1997-06-30	PRIJEM	\N	157	37828	UROK	\N	\N
3463197	2708	1997-07-31	PRIJEM	\N	163	40948	UROK	\N	\N
3463198	2708	1997-08-31	PRIJEM	\N	186	48991	UROK	\N	\N
3463199	2708	1997-09-30	PRIJEM	\N	204	49253	UROK	\N	\N
3463200	2708	1997-10-31	PRIJEM	\N	208	50918	UROK	\N	\N
3463201	2708	1997-11-30	PRIJEM	\N	204	47679	UROK	\N	\N
3463202	2708	1997-12-31	PRIJEM	\N	207	50250	UROK	\N	\N
3463203	2708	1998-01-31	PRIJEM	\N	204	40891	UROK	\N	\N
3463204	2708	1998-02-28	PRIJEM	\N	191	47939	UROK	\N	\N
3463205	2708	1998-03-31	PRIJEM	\N	191	44487	UROK	\N	\N
3463206	2708	1998-04-30	PRIJEM	\N	232	41776	UROK	\N	\N
3463207	2708	1998-05-31	PRIJEM	\N	171	39004	UROK	\N	\N
3463208	2708	1998-06-30	PRIJEM	\N	196	17663	UROK	\N	\N
3463209	2708	1998-07-31	PRIJEM	\N	147	48768	UROK	\N	\N
3463210	2708	1998-08-31	PRIJEM	\N	231	61157	UROK	\N	\N
3463211	2708	1998-09-30	PRIJEM	\N	268	67582	UROK	\N	\N
3463212	2708	1998-10-31	PRIJEM	\N	279	69999	UROK	\N	\N
3463213	2708	1998-11-30	PRIJEM	\N	287	68944	UROK	\N	\N
3463214	2708	1998-12-31	PRIJEM	\N	310	77097	UROK	\N	\N
3463215	2710	1996-07-31	PRIJEM	\N	78	50321	UROK	\N	\N
3463216	2710	1996-08-31	PRIJEM	\N	209	34330	UROK	\N	\N
3463217	2710	1996-09-30	PRIJEM	\N	224	55474	UROK	\N	\N
3463218	2710	1996-10-31	PRIJEM	\N	230	39804	UROK	\N	\N
3463219	2710	1996-11-30	PRIJEM	\N	240	73483	UROK	\N	\N
3463220	2710	1996-12-31	PRIJEM	\N	333	95519	UROK	\N	\N
3463221	2710	1997-01-31	PRIJEM	\N	186	24078	UROK	\N	\N
3463222	2710	1997-02-28	PRIJEM	\N	130	30651	UROK	\N	\N
3463223	2710	1997-03-31	PRIJEM	\N	127	24963	UROK	\N	\N
3463224	2710	1997-04-30	PRIJEM	\N	114	36479	UROK	\N	\N
3463225	2710	1997-05-31	PRIJEM	\N	207	42834	UROK	\N	\N
3463226	2710	1997-06-30	PRIJEM	\N	118	24938	UROK	\N	\N
3463227	2710	1997-07-31	PRIJEM	\N	173	78729	UROK	\N	\N
3463228	2710	1997-08-31	PRIJEM	\N	390	106738	UROK	\N	\N
3463229	2710	1997-09-30	PRIJEM	\N	403	108617	UROK	\N	\N
3463230	2710	1997-10-31	PRIJEM	\N	220	35057	UROK	\N	\N
3463231	2710	1997-11-30	PRIJEM	\N	249	67227	UROK	\N	\N
3463232	2710	1997-12-31	PRIJEM	\N	379	98526	UROK	\N	\N
3463233	2710	1998-01-31	PRIJEM	\N	196	72278	UROK	\N	\N
3463234	2710	1998-02-28	PRIJEM	\N	285	38725	UROK	\N	\N
3463235	2710	1998-03-31	PRIJEM	\N	192	48173	UROK	\N	\N
3463236	2710	1998-04-30	PRIJEM	\N	173	33070	UROK	\N	\N
3463237	2710	1998-05-31	PRIJEM	\N	136	25991	UROK	\N	\N
3463238	2710	1998-06-30	PRIJEM	\N	107	25583	UROK	\N	\N
3463239	2710	1998-07-31	PRIJEM	\N	110	44290	UROK	\N	\N
3463240	2710	1998-08-31	PRIJEM	\N	181	34156	UROK	\N	\N
3463241	2710	1998-09-30	PRIJEM	\N	132	37742	UROK	\N	\N
3463242	2710	1998-10-31	PRIJEM	\N	158	31507	UROK	\N	\N
3463243	2710	1998-11-30	PRIJEM	\N	132	40013	UROK	\N	\N
3463244	2710	1998-12-31	PRIJEM	\N	160	23959	UROK	\N	\N
3463245	2714	1993-03-31	PRIJEM	\N	37	14237	UROK	\N	\N
3463246	2714	1993-04-30	PRIJEM	\N	92	25929	UROK	\N	\N
3463247	2714	1993-05-31	PRIJEM	\N	126	28484	UROK	\N	\N
3463248	2714	1993-06-30	PRIJEM	\N	119	29088	UROK	\N	\N
3463249	2714	1993-07-31	PRIJEM	\N	119	24693	UROK	\N	\N
3463250	2714	1993-08-31	PRIJEM	\N	103	24981	UROK	\N	\N
3463251	2714	1993-09-30	PRIJEM	\N	104	25471	UROK	\N	\N
3463252	2714	1993-10-31	PRIJEM	\N	105	23261	UROK	\N	\N
3463253	2714	1993-11-30	PRIJEM	\N	152	39097	UROK	\N	\N
3463254	2714	1993-12-31	PRIJEM	\N	157	31239	UROK	\N	\N
3463255	2714	1994-01-31	PRIJEM	\N	97	19071	UROK	\N	\N
3463256	2714	1994-02-28	PRIJEM	\N	81	20737	UROK	\N	\N
3463257	2714	1994-03-31	PRIJEM	\N	89	24112	UROK	\N	\N
3463258	2714	1994-04-30	PRIJEM	\N	167	40171	UROK	\N	\N
3463259	2714	1994-05-31	PRIJEM	\N	161	34118	UROK	\N	\N
3463260	2714	1994-06-30	PRIJEM	\N	119	22649	UROK	\N	\N
3463261	2714	1994-07-31	PRIJEM	\N	97	24631	UROK	\N	\N
3463262	2714	1994-08-31	PRIJEM	\N	103	25219	UROK	\N	\N
3463263	2714	1994-09-30	PRIJEM	\N	107	27212	UROK	\N	\N
3463264	2714	1994-10-31	PRIJEM	\N	108	23705	UROK	\N	\N
3463265	2714	1994-11-30	PRIJEM	\N	101	25391	UROK	\N	\N
3463266	2714	1994-12-31	PRIJEM	\N	104	23880	UROK	\N	\N
3463267	2714	1995-01-31	PRIJEM	\N	68	17884	UROK	\N	\N
3463268	2714	1995-02-28	PRIJEM	\N	103	37982	UROK	\N	\N
3463269	2714	1995-03-31	PRIJEM	\N	145	29212	UROK	\N	\N
3463270	2714	1995-04-30	PRIJEM	\N	114	24912	UROK	\N	\N
3463271	2714	1995-05-31	PRIJEM	\N	101	23498	UROK	\N	\N
3463272	2714	1995-06-30	PRIJEM	\N	96	23979	UROK	\N	\N
3463273	2714	1995-07-31	PRIJEM	\N	99	23914	UROK	\N	\N
3463274	2714	1995-08-31	PRIJEM	\N	100	24699	UROK	\N	\N
3463275	2714	1995-09-30	PRIJEM	\N	105	26289	UROK	\N	\N
3463276	2714	1995-10-31	PRIJEM	\N	108	24032	UROK	\N	\N
3463277	2714	1995-11-30	PRIJEM	\N	137	42592	UROK	\N	\N
3463278	2714	1995-12-31	PRIJEM	\N	156	33334	UROK	\N	\N
3463279	2714	1996-01-31	PRIJEM	\N	113	15932	UROK	\N	\N
3463280	2714	1996-02-29	PRIJEM	\N	76	20893	UROK	\N	\N
3463281	2714	1996-03-31	PRIJEM	\N	141	71304	UROK	\N	\N
3463282	2714	1996-04-30	PRIJEM	\N	243	48483	UROK	\N	\N
3463283	2714	1996-05-31	PRIJEM	\N	196	36165	UROK	\N	\N
3463284	2714	1996-06-30	PRIJEM	\N	126	17276	UROK	\N	\N
3463285	2714	1996-07-31	PRIJEM	\N	83	22445	UROK	\N	\N
3463286	2714	1996-08-31	PRIJEM	\N	100	25831	UROK	\N	\N
3463287	2714	1996-09-30	PRIJEM	\N	107	26323	UROK	\N	\N
3463288	2714	1996-10-31	PRIJEM	\N	171	55443	UROK	\N	\N
3463289	2714	1996-11-30	PRIJEM	\N	192	40021	UROK	\N	\N
3463290	2714	1996-12-31	PRIJEM	\N	123	26330	UROK	\N	\N
3463291	2714	1997-01-31	PRIJEM	\N	72	15487	UROK	\N	\N
3463292	2714	1997-02-28	PRIJEM	\N	70	19042	UROK	\N	\N
3463293	2714	1997-03-31	PRIJEM	\N	78	19606	UROK	\N	\N
3463294	2714	1997-04-30	PRIJEM	\N	82	20573	UROK	\N	\N
3463295	2714	1997-05-31	PRIJEM	\N	101	48909	UROK	\N	\N
3463296	2714	1997-06-30	PRIJEM	\N	147	27142	UROK	\N	\N
3463297	2714	1997-07-31	PRIJEM	\N	100	24427	UROK	\N	\N
3463298	2714	1997-08-31	PRIJEM	\N	102	25614	UROK	\N	\N
3463299	2714	1997-09-30	PRIJEM	\N	105	26905	UROK	\N	\N
3463300	2714	1997-10-31	PRIJEM	\N	110	27300	UROK	\N	\N
3463301	2714	1997-11-30	PRIJEM	\N	200	48692	UROK	\N	\N
3463302	2714	1997-12-31	PRIJEM	\N	135	30612	UROK	\N	\N
3463303	2714	1998-01-31	PRIJEM	\N	86	16583	UROK	\N	\N
3463304	2714	1998-02-28	PRIJEM	\N	66	17934	UROK	\N	\N
3463305	2714	1998-03-31	PRIJEM	\N	71	17891	UROK	\N	\N
3463306	2714	1998-04-30	PRIJEM	\N	75	19551	UROK	\N	\N
3463307	2714	1998-05-31	PRIJEM	\N	171	37597	UROK	\N	\N
3463308	2714	1998-06-30	PRIJEM	\N	134	28117	UROK	\N	\N
3463309	2714	1998-07-31	PRIJEM	\N	112	27314	UROK	\N	\N
3463310	2714	1998-08-31	PRIJEM	\N	157	42501	UROK	\N	\N
3463311	2714	1998-09-30	PRIJEM	\N	149	32935	UROK	\N	\N
3463312	2714	1998-10-31	PRIJEM	\N	117	26737	UROK	\N	\N
3463313	2714	1998-11-30	PRIJEM	\N	84	22406	UROK	\N	\N
3463314	2714	1998-12-31	PRIJEM	\N	82	17923	UROK	\N	\N
3463315	2718	1995-02-28	PRIJEM	\N	6	2706	UROK	\N	\N
3463316	2718	1995-03-31	PRIJEM	\N	45	15751	UROK	\N	\N
3463317	2718	1995-04-30	PRIJEM	\N	76	20727	UROK	\N	\N
3463318	2718	1995-05-31	PRIJEM	\N	92	23019	UROK	\N	\N
3463319	2718	1995-06-30	PRIJEM	\N	94	13713	UROK	\N	\N
3463320	2718	1995-07-31	PRIJEM	\N	67	18365	UROK	\N	\N
3463321	2718	1995-08-31	PRIJEM	\N	81	20332	UROK	\N	\N
3463322	2718	1995-09-30	PRIJEM	\N	89	22707	UROK	\N	\N
3463323	2718	1995-10-31	PRIJEM	\N	80	18972	UROK	\N	\N
3463324	2718	1995-11-30	PRIJEM	\N	85	20892	UROK	\N	\N
3463325	2718	1995-12-31	PRIJEM	\N	130	27455	UROK	\N	\N
3463326	2718	1996-01-31	PRIJEM	\N	108	22848	UROK	\N	\N
3463327	2718	1996-02-29	PRIJEM	\N	87	22621	UROK	\N	\N
3463328	2718	1996-03-31	PRIJEM	\N	92	22898	UROK	\N	\N
3463329	2718	1996-04-30	PRIJEM	\N	88	20322	UROK	\N	\N
3463330	2718	1996-05-31	PRIJEM	\N	129	46727	UROK	\N	\N
3463331	2718	1996-06-30	PRIJEM	\N	133	24645	UROK	\N	\N
3463332	2718	1996-07-31	PRIJEM	\N	102	23533	UROK	\N	\N
3463333	2718	1996-08-31	PRIJEM	\N	100	28418	UROK	\N	\N
3463334	2718	1996-09-30	PRIJEM	\N	117	26621	UROK	\N	\N
3463335	2718	1996-10-31	PRIJEM	\N	110	26016	UROK	\N	\N
3463336	2718	1996-11-30	PRIJEM	\N	109	28111	UROK	\N	\N
3463337	2718	1996-12-31	PRIJEM	\N	129	30554	UROK	\N	\N
3463338	2718	1997-01-31	PRIJEM	\N	101	21241	UROK	\N	\N
3463339	2718	1997-02-28	PRIJEM	\N	91	25818	UROK	\N	\N
3463340	2718	1997-03-31	PRIJEM	\N	107	25259	UROK	\N	\N
3463341	2718	1997-04-30	PRIJEM	\N	103	22598	UROK	\N	\N
3463342	2718	1997-05-31	PRIJEM	\N	93	22076	UROK	\N	\N
3463343	2718	1997-06-30	PRIJEM	\N	117	39676	UROK	\N	\N
3463344	2718	1997-07-31	PRIJEM	\N	152	28314	UROK	\N	\N
3463345	2718	1997-08-31	PRIJEM	\N	111	23311	UROK	\N	\N
3463346	2718	1997-09-30	PRIJEM	\N	128	51406	UROK	\N	\N
3463347	2718	1997-10-31	PRIJEM	\N	194	37285	UROK	\N	\N
3463348	2718	1997-11-30	PRIJEM	\N	143	28813	UROK	\N	\N
3463349	2718	1997-12-31	PRIJEM	\N	105	20354	UROK	\N	\N
3463350	2718	1998-01-31	PRIJEM	\N	73	15712	UROK	\N	\N
3463351	2718	1998-02-28	PRIJEM	\N	62	14260	UROK	\N	\N
3463352	2718	1998-03-31	PRIJEM	\N	95	24385	UROK	\N	\N
3463353	2718	1998-04-30	PRIJEM	\N	95	20365	UROK	\N	\N
3463354	2718	1998-05-31	PRIJEM	\N	84	20535	UROK	\N	\N
3463355	2718	1998-06-30	PRIJEM	\N	90	51287	UROK	\N	\N
3463356	2718	1998-07-31	PRIJEM	\N	187	36759	UROK	\N	\N
3463357	2718	1998-08-31	PRIJEM	\N	138	29482	UROK	\N	\N
3463358	2718	1998-09-30	PRIJEM	\N	117	27284	UROK	\N	\N
3463359	2718	1998-10-31	PRIJEM	\N	99	20068	UROK	\N	\N
3463360	2718	1998-11-30	PRIJEM	\N	76	16980	UROK	\N	\N
3463361	2718	1998-12-31	PRIJEM	\N	74	19640	UROK	\N	\N
3463362	2727	1995-11-30	PRIJEM	\N	22	22497	UROK	\N	\N
3463363	2727	1995-12-31	PRIJEM	\N	108	35917	UROK	\N	\N
3463364	2727	1996-01-31	PRIJEM	\N	147	34039	UROK	\N	\N
3463365	2727	1996-02-29	PRIJEM	\N	140	32553	UROK	\N	\N
3463366	2727	1996-03-31	PRIJEM	\N	136	33364	UROK	\N	\N
3463367	2727	1996-04-30	PRIJEM	\N	141	34966	UROK	\N	\N
3463368	2727	1996-05-31	PRIJEM	\N	142	32568	UROK	\N	\N
3463369	2727	1996-06-30	PRIJEM	\N	148	36394	UROK	\N	\N
3463370	2727	1996-07-31	PRIJEM	\N	155	38709	UROK	\N	\N
3463371	2727	1996-08-31	PRIJEM	\N	160	38129	UROK	\N	\N
3463372	2727	1996-09-30	PRIJEM	\N	157	36687	UROK	\N	\N
3463373	2727	1996-10-31	PRIJEM	\N	172	36639	UROK	\N	\N
3463374	2727	1996-11-30	PRIJEM	\N	151	36151	UROK	\N	\N
3463375	2727	1996-12-31	PRIJEM	\N	164	29932	UROK	\N	\N
3463376	2727	1997-01-31	PRIJEM	\N	103	15215	UROK	\N	\N
3463377	2727	1997-02-28	PRIJEM	\N	82	25058	UROK	\N	\N
3463378	2727	1997-03-31	PRIJEM	\N	112	24750	UROK	\N	\N
3463379	2727	1997-04-30	PRIJEM	\N	114	30825	UROK	\N	\N
3463380	2727	1997-05-31	PRIJEM	\N	134	33459	UROK	\N	\N
3463381	2727	1997-06-30	PRIJEM	\N	158	36095	UROK	\N	\N
3463382	2727	1997-07-31	PRIJEM	\N	156	39111	UROK	\N	\N
3463383	2727	1997-08-31	PRIJEM	\N	163	37495	UROK	\N	\N
3463384	2727	1997-09-30	PRIJEM	\N	161	39916	UROK	\N	\N
3463385	2727	1997-10-31	PRIJEM	\N	162	38378	UROK	\N	\N
3463386	2727	1997-11-30	PRIJEM	\N	167	41705	UROK	\N	\N
3463387	2727	1997-12-31	PRIJEM	\N	188	42311	UROK	\N	\N
3463388	2727	1998-01-31	PRIJEM	\N	127	24399	UROK	\N	\N
3463389	2727	1998-02-28	PRIJEM	\N	110	28070	UROK	\N	\N
3463390	2727	1998-03-31	PRIJEM	\N	123	30953	UROK	\N	\N
3463391	2727	1998-04-30	PRIJEM	\N	129	31342	UROK	\N	\N
3463392	2727	1998-05-31	PRIJEM	\N	135	33638	UROK	\N	\N
3463393	2727	1998-06-30	PRIJEM	\N	118	15374	UROK	\N	\N
3463394	2727	1998-07-31	PRIJEM	\N	77	20250	UROK	\N	\N
3463395	2727	1998-08-31	PRIJEM	\N	87	19238	UROK	\N	\N
3463396	2727	1998-09-30	PRIJEM	\N	83	17942	UROK	\N	\N
3463397	2727	1998-10-31	PRIJEM	\N	90	23392	UROK	\N	\N
3463398	2727	1998-11-30	PRIJEM	\N	96	23448	UROK	\N	\N
3463399	2727	1998-12-31	PRIJEM	\N	86	17772	UROK	\N	\N
3463400	2740	1994-05-31	PRIJEM	\N	64	22590	UROK	\N	\N
3463401	2740	1994-06-30	PRIJEM	\N	187	56366	UROK	\N	\N
3463402	2740	1994-07-31	PRIJEM	\N	249	61741	UROK	\N	\N
3463403	2740	1994-08-31	PRIJEM	\N	264	64531	UROK	\N	\N
3463404	2740	1994-09-30	PRIJEM	\N	277	67934	UROK	\N	\N
3463405	2740	1994-10-31	PRIJEM	\N	281	67527	UROK	\N	\N
3463406	2740	1994-11-30	PRIJEM	\N	279	66517	UROK	\N	\N
3463407	2740	1994-12-31	PRIJEM	\N	297	80489	UROK	\N	\N
3463408	2740	1995-01-31	PRIJEM	\N	270	62970	UROK	\N	\N
3463409	2740	1995-02-28	PRIJEM	\N	268	65249	UROK	\N	\N
3463410	2740	1995-03-31	PRIJEM	\N	278	67738	UROK	\N	\N
3463411	2740	1995-04-30	PRIJEM	\N	281	67631	UROK	\N	\N
3463412	2740	1995-05-31	PRIJEM	\N	273	64915	UROK	\N	\N
3463413	2740	1995-06-30	PRIJEM	\N	240	42829	UROK	\N	\N
3463414	2740	1995-07-31	PRIJEM	\N	182	46822	UROK	\N	\N
3463415	2740	1995-08-31	PRIJEM	\N	207	51940	UROK	\N	\N
3463416	2740	1995-09-30	PRIJEM	\N	148	57900	UROK	\N	\N
3463417	2740	1995-10-31	PRIJEM	\N	154	39565	UROK	\N	\N
3463418	2740	1995-11-30	PRIJEM	\N	163	36440	UROK	\N	\N
3463419	2740	1995-12-31	PRIJEM	\N	153	41268	UROK	\N	\N
3463420	2740	1996-01-31	PRIJEM	\N	184	32463	UROK	\N	\N
3463421	2740	1996-02-29	PRIJEM	\N	134	31408	UROK	\N	\N
3463422	2740	1996-03-31	PRIJEM	\N	130	30849	UROK	\N	\N
3463423	2740	1996-04-30	PRIJEM	\N	173	29233	UROK	\N	\N
3463424	2740	1996-05-31	PRIJEM	\N	119	27464	UROK	\N	\N
3463425	2740	1996-06-30	PRIJEM	\N	118	18256	UROK	\N	\N
3463426	2740	1996-07-31	PRIJEM	\N	76	19443	UROK	\N	\N
3463427	2740	1996-08-31	PRIJEM	\N	79	18734	UROK	\N	\N
3463428	2740	1996-09-30	PRIJEM	\N	74	16419	UROK	\N	\N
3463429	2740	1996-10-31	PRIJEM	\N	67	16397	UROK	\N	\N
3463430	2740	1996-11-30	PRIJEM	\N	87	14496	UROK	\N	\N
3463431	2740	1996-12-31	PRIJEM	\N	117	19087	UROK	\N	\N
3463432	2740	1997-01-31	PRIJEM	\N	101	15599	UROK	\N	\N
3463433	2740	1997-02-28	PRIJEM	\N	65	17475	UROK	\N	\N
3463434	2740	1997-03-31	PRIJEM	\N	75	20061	UROK	\N	\N
3463435	2740	1997-04-30	PRIJEM	\N	83	21256	UROK	\N	\N
3463436	2740	1997-05-31	PRIJEM	\N	100	18067	UROK	\N	\N
3463437	2740	1997-06-30	PRIJEM	\N	89	19630	UROK	\N	\N
3463438	2740	1997-07-31	PRIJEM	\N	81	20622	UROK	\N	\N
3463439	2740	1997-08-31	PRIJEM	\N	111	21944	UROK	\N	\N
3463440	2740	1997-09-30	PRIJEM	\N	92	24047	UROK	\N	\N
3463441	2740	1997-10-31	PRIJEM	\N	101	25960	UROK	\N	\N
3463442	2740	1997-11-30	PRIJEM	\N	101	23772	UROK	\N	\N
3463443	2740	1997-12-31	PRIJEM	\N	133	31979	UROK	\N	\N
3463444	2740	1998-01-31	PRIJEM	\N	127	17318	UROK	\N	\N
3463445	2740	1998-02-28	PRIJEM	\N	82	24312	UROK	\N	\N
3463446	2740	1998-03-31	PRIJEM	\N	102	18925	UROK	\N	\N
3463447	2740	1998-04-30	PRIJEM	\N	70	15906	UROK	\N	\N
3463448	2740	1998-05-31	PRIJEM	\N	66	38083	UROK	\N	\N
3463449	2740	1998-06-30	PRIJEM	\N	153	35011	UROK	\N	\N
3463450	2740	1998-07-31	PRIJEM	\N	116	23138	UROK	\N	\N
3463451	2740	1998-08-31	PRIJEM	\N	85	15534	UROK	\N	\N
3463452	2740	1998-09-30	PRIJEM	\N	71	19716	UROK	\N	\N
3463453	2740	1998-10-31	PRIJEM	\N	78	19906	UROK	\N	\N
3463454	2740	1998-11-30	PRIJEM	\N	82	21099	UROK	\N	\N
3463455	2740	1998-12-31	PRIJEM	\N	94	23667	UROK	\N	\N
3463456	2752	1996-05-31	PRIJEM	\N	1	1001	UROK	\N	\N
3463457	2752	1996-06-30	PRIJEM	\N	38	15739	UROK	\N	\N
3463458	2752	1996-07-31	PRIJEM	\N	68	17107	UROK	\N	\N
3463459	2752	1996-08-31	PRIJEM	\N	121	36665	UROK	\N	\N
3463460	2752	1996-09-30	PRIJEM	\N	139	30989	UROK	\N	\N
3463461	2752	1996-10-31	PRIJEM	\N	118	26893	UROK	\N	\N
3463462	2752	1996-11-30	PRIJEM	\N	111	26590	UROK	\N	\N
3463463	2752	1996-12-31	PRIJEM	\N	152	73375	UROK	\N	\N
3463464	2752	1997-01-31	PRIJEM	\N	306	62774	UROK	\N	\N
3463465	2752	1997-02-28	PRIJEM	\N	327	87589	UROK	\N	\N
3463466	2752	1997-03-31	PRIJEM	\N	286	56860	UROK	\N	\N
3463467	2752	1997-04-30	PRIJEM	\N	205	42550	UROK	\N	\N
3463468	2752	1997-05-31	PRIJEM	\N	169	39404	UROK	\N	\N
3463469	2752	1997-06-30	PRIJEM	\N	128	22218	UROK	\N	\N
3463470	2752	1997-07-31	PRIJEM	\N	101	26504	UROK	\N	\N
3463471	2752	1997-08-31	PRIJEM	\N	116	28756	UROK	\N	\N
3463472	2752	1997-09-30	PRIJEM	\N	126	31068	UROK	\N	\N
3463473	2752	1997-10-31	PRIJEM	\N	134	33387	UROK	\N	\N
3463474	2752	1997-11-30	PRIJEM	\N	141	34313	UROK	\N	\N
3463475	2752	1997-12-31	PRIJEM	\N	141	34340	UROK	\N	\N
3463476	2752	1998-01-31	PRIJEM	\N	176	39760	UROK	\N	\N
3463477	2752	1998-02-28	PRIJEM	\N	159	38354	UROK	\N	\N
3463478	2752	1998-03-31	PRIJEM	\N	156	37295	UROK	\N	\N
3463479	2752	1998-04-30	PRIJEM	\N	148	34479	UROK	\N	\N
3463480	2752	1998-05-31	PRIJEM	\N	143	34807	UROK	\N	\N
3463481	2752	1998-06-30	PRIJEM	\N	113	61714	UROK	\N	\N
3463482	2752	1998-07-31	PRIJEM	\N	229	50928	UROK	\N	\N
3463483	2752	1998-08-31	PRIJEM	\N	203	47317	UROK	\N	\N
3463484	2752	1998-09-30	PRIJEM	\N	177	41479	UROK	\N	\N
3463485	2752	1998-10-31	PRIJEM	\N	158	37173	UROK	\N	\N
3463486	2752	1998-11-30	PRIJEM	\N	163	41920	UROK	\N	\N
3463487	2752	1998-12-31	PRIJEM	\N	160	39666	UROK	\N	\N
3463488	2780	1996-01-31	PRIJEM	\N	10	18415	UROK	\N	\N
3463489	2780	1996-02-29	PRIJEM	\N	80	25099	UROK	\N	\N
3463490	2780	1996-03-31	PRIJEM	\N	106	28911	UROK	\N	\N
3463491	2780	1996-04-30	PRIJEM	\N	123	34939	UROK	\N	\N
3463492	2780	1996-05-31	PRIJEM	\N	147	37891	UROK	\N	\N
3463493	2780	1996-06-30	PRIJEM	\N	158	35242	UROK	\N	\N
3463494	2780	1996-07-31	PRIJEM	\N	168	38100	UROK	\N	\N
3463495	2780	1996-08-31	PRIJEM	\N	159	38249	UROK	\N	\N
3463496	2780	1996-09-30	PRIJEM	\N	159	38099	UROK	\N	\N
3463497	2780	1996-10-31	PRIJEM	\N	159	38348	UROK	\N	\N
3463498	2780	1996-11-30	PRIJEM	\N	147	29986	UROK	\N	\N
3463499	2780	1996-12-31	PRIJEM	\N	138	33117	UROK	\N	\N
3463500	2780	1997-01-31	PRIJEM	\N	145	32352	UROK	\N	\N
3463501	2780	1997-02-28	PRIJEM	\N	132	36775	UROK	\N	\N
3463502	2780	1997-03-31	PRIJEM	\N	147	37512	UROK	\N	\N
3463503	2780	1997-04-30	PRIJEM	\N	164	44266	UROK	\N	\N
3463504	2780	1997-05-31	PRIJEM	\N	191	49348	UROK	\N	\N
3463505	2780	1997-06-30	PRIJEM	\N	217	41958	UROK	\N	\N
3463506	2780	1997-07-31	PRIJEM	\N	189	44837	UROK	\N	\N
3463507	2780	1997-08-31	PRIJEM	\N	196	50823	UROK	\N	\N
3463508	2780	1997-09-30	PRIJEM	\N	217	54631	UROK	\N	\N
3463509	2780	1997-10-31	PRIJEM	\N	230	52151	UROK	\N	\N
3463510	2780	1997-11-30	PRIJEM	\N	221	54462	UROK	\N	\N
3463511	2780	1997-12-31	PRIJEM	\N	237	53693	UROK	\N	\N
3463512	2780	1998-01-31	PRIJEM	\N	208	44192	UROK	\N	\N
3463513	2780	1998-02-28	PRIJEM	\N	184	44666	UROK	\N	\N
3463514	2780	1998-03-31	PRIJEM	\N	186	44942	UROK	\N	\N
3463515	2780	1998-04-30	PRIJEM	\N	178	37810	UROK	\N	\N
3463516	2780	1998-05-31	PRIJEM	\N	150	34550	UROK	\N	\N
3463517	2780	1998-06-30	PRIJEM	\N	157	40300	UROK	\N	\N
3463518	2780	1998-07-31	PRIJEM	\N	170	41860	UROK	\N	\N
3463519	2780	1998-08-31	PRIJEM	\N	166	37217	UROK	\N	\N
3463520	2780	1998-09-30	PRIJEM	\N	159	39666	UROK	\N	\N
3463521	2780	1998-10-31	PRIJEM	\N	170	41627	UROK	\N	\N
3463522	2780	1998-11-30	PRIJEM	\N	201	38818	UROK	\N	\N
3463523	2780	1998-12-31	PRIJEM	\N	178	44789	UROK	\N	\N
3463524	2781	1995-07-31	PRIJEM	\N	71	29923	UROK	\N	\N
3463525	2781	1995-08-31	PRIJEM	\N	122	28345	UROK	\N	\N
3463526	2781	1995-09-30	PRIJEM	\N	121	27751	UROK	\N	\N
3463527	2781	1995-10-31	PRIJEM	\N	146	45206	UROK	\N	\N
3463528	2781	1995-11-30	PRIJEM	\N	167	33308	UROK	\N	\N
3463529	2781	1995-12-31	PRIJEM	\N	131	29625	UROK	\N	\N
3463530	2781	1996-01-31	PRIJEM	\N	77	17687	UROK	\N	\N
3463531	2781	1996-02-29	PRIJEM	\N	79	20151	UROK	\N	\N
3463532	2781	1996-03-31	PRIJEM	\N	91	22527	UROK	\N	\N
3463533	2781	1996-04-30	PRIJEM	\N	94	23807	UROK	\N	\N
3463534	2781	1996-05-31	PRIJEM	\N	102	25244	UROK	\N	\N
3463535	2781	1996-06-30	PRIJEM	\N	97	14627	UROK	\N	\N
3463536	2781	1996-07-31	PRIJEM	\N	139	51324	UROK	\N	\N
3463537	2781	1996-08-31	PRIJEM	\N	195	44504	UROK	\N	\N
3463538	2781	1996-09-30	PRIJEM	\N	177	41467	UROK	\N	\N
3463539	2781	1996-10-31	PRIJEM	\N	168	39520	UROK	\N	\N
3463540	2781	1996-11-30	PRIJEM	\N	170	42075	UROK	\N	\N
3463541	2781	1996-12-31	PRIJEM	\N	184	45645	UROK	\N	\N
3463542	2781	1997-01-31	PRIJEM	\N	164	34744	UROK	\N	\N
3463543	2781	1997-02-28	PRIJEM	\N	155	40035	UROK	\N	\N
3463544	2781	1997-03-31	PRIJEM	\N	179	45700	UROK	\N	\N
3463545	2781	1997-04-30	PRIJEM	\N	204	51989	UROK	\N	\N
3463546	2781	1997-05-31	PRIJEM	\N	211	49986	UROK	\N	\N
3463547	2781	1997-06-30	PRIJEM	\N	168	25989	UROK	\N	\N
3463548	2781	1997-07-31	PRIJEM	\N	139	40513	UROK	\N	\N
3463549	2781	1997-08-31	PRIJEM	\N	309	89117	UROK	\N	\N
3463550	2781	1997-09-30	PRIJEM	\N	331	71533	UROK	\N	\N
3463551	2781	1997-10-31	PRIJEM	\N	303	74832	UROK	\N	\N
3463552	2781	1997-11-30	PRIJEM	\N	282	63800	UROK	\N	\N
3463553	2781	1997-12-31	PRIJEM	\N	246	58031	UROK	\N	\N
3463554	2781	1998-01-31	PRIJEM	\N	209	41876	UROK	\N	\N
3463555	2781	1998-02-28	PRIJEM	\N	186	48047	UROK	\N	\N
3463556	2781	1998-03-31	PRIJEM	\N	209	52741	UROK	\N	\N
3463557	2781	1998-04-30	PRIJEM	\N	224	54450	UROK	\N	\N
3463558	2781	1998-05-31	PRIJEM	\N	281	64612	UROK	\N	\N
3463559	2781	1998-06-30	PRIJEM	\N	259	51203	UROK	\N	\N
3463560	2781	1998-07-31	PRIJEM	\N	228	56716	UROK	\N	\N
3463561	2781	1998-08-31	PRIJEM	\N	247	62849	UROK	\N	\N
3463562	2781	1998-09-30	PRIJEM	\N	256	61390	UROK	\N	\N
3463563	2781	1998-10-31	PRIJEM	\N	242	56767	UROK	\N	\N
3463564	2781	1998-11-30	PRIJEM	\N	235	57137	UROK	\N	\N
3463565	2781	1998-12-31	PRIJEM	\N	237	58160	UROK	\N	\N
3463566	2783	1995-12-31	PRIJEM	\N	22	13643	UROK	\N	\N
3463567	2783	1996-01-31	PRIJEM	\N	65	19108	UROK	\N	\N
3463568	2783	1996-02-29	PRIJEM	\N	84	22378	UROK	\N	\N
3463569	2783	1996-03-31	PRIJEM	\N	98	25461	UROK	\N	\N
3463570	2783	1996-04-30	PRIJEM	\N	104	23550	UROK	\N	\N
3463571	2783	1996-05-31	PRIJEM	\N	180	39614	UROK	\N	\N
3463572	2783	1996-06-30	PRIJEM	\N	122	18122	UROK	\N	\N
3463573	2783	1996-07-31	PRIJEM	\N	84	23391	UROK	\N	\N
3463574	2783	1996-08-31	PRIJEM	\N	97	22423	UROK	\N	\N
3463575	2783	1996-09-30	PRIJEM	\N	113	42360	UROK	\N	\N
3463576	2783	1996-10-31	PRIJEM	\N	166	36811	UROK	\N	\N
3463577	2783	1996-11-30	PRIJEM	\N	148	34044	UROK	\N	\N
3463578	2783	1996-12-31	PRIJEM	\N	141	34071	UROK	\N	\N
3463579	2783	1997-01-31	PRIJEM	\N	147	31503	UROK	\N	\N
3463580	2783	1997-02-28	PRIJEM	\N	142	36830	UROK	\N	\N
3463581	2783	1997-03-31	PRIJEM	\N	152	36067	UROK	\N	\N
3463582	2783	1997-04-30	PRIJEM	\N	188	54377	UROK	\N	\N
3463583	2783	1997-05-31	PRIJEM	\N	210	47273	UROK	\N	\N
3463584	2783	1997-06-30	PRIJEM	\N	131	25589	UROK	\N	\N
3463585	2783	1997-07-31	PRIJEM	\N	114	29988	UROK	\N	\N
3463586	2783	1997-08-31	PRIJEM	\N	138	36211	UROK	\N	\N
3463587	2783	1997-09-30	PRIJEM	\N	145	34541	UROK	\N	\N
3463588	2783	1997-10-31	PRIJEM	\N	155	38631	UROK	\N	\N
3463589	2783	1997-11-30	PRIJEM	\N	171	43137	UROK	\N	\N
3463590	2783	1997-12-31	PRIJEM	\N	188	55730	UROK	\N	\N
3463591	2783	1998-01-31	PRIJEM	\N	218	48234	UROK	\N	\N
3463592	2783	1998-02-28	PRIJEM	\N	196	47265	UROK	\N	\N
3463593	2783	1998-03-31	PRIJEM	\N	195	46846	UROK	\N	\N
3463594	2783	1998-04-30	PRIJEM	\N	201	72849	UROK	\N	\N
3463595	2783	1998-05-31	PRIJEM	\N	270	61654	UROK	\N	\N
3463596	2783	1998-06-30	PRIJEM	\N	174	29263	UROK	\N	\N
3463597	2783	1998-07-31	PRIJEM	\N	161	88964	UROK	\N	\N
3463598	2783	1998-08-31	PRIJEM	\N	339	72888	UROK	\N	\N
3463599	2783	1998-09-30	PRIJEM	\N	285	64859	UROK	\N	\N
3463600	2783	1998-10-31	PRIJEM	\N	254	58399	UROK	\N	\N
3463601	2783	1998-11-30	PRIJEM	\N	235	56819	UROK	\N	\N
3463602	2783	1998-12-31	PRIJEM	\N	232	53337	UROK	\N	\N
3463603	2797	1997-03-31	PRIJEM	\N	12	22035	UROK	\N	\N
3463604	2797	1997-04-30	PRIJEM	\N	95	28153	UROK	\N	\N
3463605	2797	1997-05-31	PRIJEM	\N	122	35798	UROK	\N	\N
3463606	2797	1997-06-30	PRIJEM	\N	155	45037	UROK	\N	\N
3463607	2797	1997-07-31	PRIJEM	\N	184	41444	UROK	\N	\N
3463608	2797	1997-08-31	PRIJEM	\N	171	39423	UROK	\N	\N
3463609	2797	1997-09-30	PRIJEM	\N	162	36893	UROK	\N	\N
3463610	2797	1997-10-31	PRIJEM	\N	162	31724	UROK	\N	\N
3463611	2797	1997-11-30	PRIJEM	\N	131	30963	UROK	\N	\N
3463612	2797	1997-12-31	PRIJEM	\N	193	31966	UROK	\N	\N
3463613	2797	1998-01-31	PRIJEM	\N	126	19540	UROK	\N	\N
3463614	2797	1998-02-28	PRIJEM	\N	85	23034	UROK	\N	\N
3463615	2797	1998-03-31	PRIJEM	\N	98	24640	UROK	\N	\N
3463616	2797	1998-04-30	PRIJEM	\N	96	19244	UROK	\N	\N
3463617	2797	1998-05-31	PRIJEM	\N	72	12344	UROK	\N	\N
3463618	2797	1998-06-30	PRIJEM	\N	25	1358	UROK	\N	\N
3463619	2797	1998-07-31	PRIJEM	\N	19	10385	UROK	\N	\N
3463620	2797	1998-08-31	PRIJEM	\N	64	8238	UROK	\N	\N
3463621	2797	1998-09-30	PRIJEM	\N	43	13989	UROK	\N	\N
3463622	2797	1998-10-31	PRIJEM	\N	62	15240	UROK	\N	\N
3463623	2797	1998-11-30	PRIJEM	\N	71	19519	UROK	\N	\N
3463624	2797	1998-12-31	PRIJEM	\N	139	37227	UROK	\N	\N
3463625	2804	1996-03-31	PRIJEM	\N	18	14881	UROK	\N	\N
3463626	2804	1996-04-30	PRIJEM	\N	75	25619	UROK	\N	\N
3463627	2804	1996-05-31	PRIJEM	\N	111	29294	UROK	\N	\N
3463628	2804	1996-06-30	PRIJEM	\N	123	30010	UROK	\N	\N
3463629	2804	1996-07-31	PRIJEM	\N	130	31603	UROK	\N	\N
3463630	2804	1996-08-31	PRIJEM	\N	134	32985	UROK	\N	\N
3463631	2804	1996-09-30	PRIJEM	\N	137	32971	UROK	\N	\N
3463632	2804	1996-10-31	PRIJEM	\N	135	31654	UROK	\N	\N
3463633	2804	1996-11-30	PRIJEM	\N	132	31734	UROK	\N	\N
3463634	2804	1996-12-31	PRIJEM	\N	148	36561	UROK	\N	\N
3463635	2804	1997-01-31	PRIJEM	\N	140	28249	UROK	\N	\N
3463636	2804	1997-02-28	PRIJEM	\N	125	32122	UROK	\N	\N
3463637	2804	1997-03-31	PRIJEM	\N	139	32910	UROK	\N	\N
3463638	2804	1997-04-30	PRIJEM	\N	142	35701	UROK	\N	\N
3463639	2804	1997-05-31	PRIJEM	\N	155	39104	UROK	\N	\N
3463640	2804	1997-06-30	PRIJEM	\N	159	36442	UROK	\N	\N
3463641	2804	1997-07-31	PRIJEM	\N	156	38547	UROK	\N	\N
3463642	2804	1997-08-31	PRIJEM	\N	167	41762	UROK	\N	\N
3463643	2804	1997-09-30	PRIJEM	\N	171	39582	UROK	\N	\N
3463644	2804	1997-10-31	PRIJEM	\N	162	38493	UROK	\N	\N
3463645	2804	1997-11-30	PRIJEM	\N	164	40405	UROK	\N	\N
3463646	2804	1997-12-31	PRIJEM	\N	171	40755	UROK	\N	\N
3463647	2804	1998-01-31	PRIJEM	\N	151	34455	UROK	\N	\N
3463648	2804	1998-02-28	PRIJEM	\N	157	41260	UROK	\N	\N
3463649	2804	1998-03-31	PRIJEM	\N	180	44989	UROK	\N	\N
3463650	2804	1998-04-30	PRIJEM	\N	203	47440	UROK	\N	\N
3463651	2804	1998-05-31	PRIJEM	\N	200	48588	UROK	\N	\N
3463652	2804	1998-06-30	PRIJEM	\N	198	47865	UROK	\N	\N
3463653	2804	1998-07-31	PRIJEM	\N	220	56034	UROK	\N	\N
3463654	2804	1998-08-31	PRIJEM	\N	226	53708	UROK	\N	\N
3463655	2804	1998-09-30	PRIJEM	\N	218	51974	UROK	\N	\N
3463656	2804	1998-10-31	PRIJEM	\N	211	50333	UROK	\N	\N
3463657	2804	1998-11-30	PRIJEM	\N	216	53197	UROK	\N	\N
3463658	2804	1998-12-31	PRIJEM	\N	225	55501	UROK	\N	\N
3463659	2807	1996-10-31	PRIJEM	\N	140	37351	UROK	\N	\N
3463660	2807	1996-11-30	PRIJEM	\N	195	61083	UROK	\N	\N
3463661	2807	1996-12-31	PRIJEM	\N	254	42037	UROK	\N	\N
3463662	2807	1997-01-31	PRIJEM	\N	254	34991	UROK	\N	\N
3463663	2807	1997-02-28	PRIJEM	\N	220	55108	UROK	\N	\N
3463664	2807	1997-03-31	PRIJEM	\N	148	33642	UROK	\N	\N
3463665	2807	1997-04-30	PRIJEM	\N	143	70016	UROK	\N	\N
3463666	2807	1997-05-31	PRIJEM	\N	336	82944	UROK	\N	\N
3463667	2807	1997-06-30	PRIJEM	\N	353	86400	UROK	\N	\N
3463668	2807	1997-07-31	PRIJEM	\N	301	43886	UROK	\N	\N
3463669	2807	1997-08-31	PRIJEM	\N	132	36356	UROK	\N	\N
3463670	2807	1997-09-30	PRIJEM	\N	153	41210	UROK	\N	\N
3463671	2807	1997-10-31	PRIJEM	\N	139	16729	UROK	\N	\N
3463672	2807	1997-11-30	PRIJEM	\N	99	14821	UROK	\N	\N
3463673	2807	1997-12-31	PRIJEM	\N	61	14068	UROK	\N	\N
3463674	2807	1998-01-31	PRIJEM	\N	102	15707	UROK	\N	\N
3463675	2807	1998-02-28	PRIJEM	\N	65	13457	UROK	\N	\N
3463676	2807	1998-03-31	PRIJEM	\N	105	37040	UROK	\N	\N
3463677	2807	1998-04-30	PRIJEM	\N	142	15567	UROK	\N	\N
3463678	2807	1998-05-31	PRIJEM	\N	64	15717	UROK	\N	\N
3463679	2807	1998-06-30	PRIJEM	\N	65	18567	UROK	\N	\N
3463680	2807	1998-07-31	PRIJEM	\N	111	70311	UROK	\N	\N
3463681	2807	1998-08-31	PRIJEM	\N	271	39468	UROK	\N	\N
3463682	2807	1998-09-30	PRIJEM	\N	146	21405	UROK	\N	\N
3463683	2807	1998-10-31	PRIJEM	\N	88	18578	UROK	\N	\N
3463684	2807	1998-11-30	PRIJEM	\N	76	18640	UROK	\N	\N
3463685	2807	1998-12-31	PRIJEM	\N	93	26812	UROK	\N	\N
3463686	2808	1995-02-28	PRIJEM	\N	61	70079	UROK	\N	\N
3463687	2808	1995-03-31	PRIJEM	\N	292	45071	UROK	\N	\N
3463688	2808	1995-04-30	PRIJEM	\N	292	37162	UROK	\N	\N
3463689	2808	1995-05-31	PRIJEM	\N	292	33854	UROK	\N	\N
3463690	2808	1995-06-30	PRIJEM	\N	292	31946	UROK	\N	\N
3463691	2808	1995-07-31	PRIJEM	\N	292	32138	UROK	\N	\N
3463692	2808	1995-08-31	PRIJEM	\N	292	31329	UROK	\N	\N
3463693	2808	1995-09-30	PRIJEM	\N	292	32221	UROK	\N	\N
3463694	2808	1995-10-31	PRIJEM	\N	292	34913	UROK	\N	\N
3463695	2808	1995-11-30	PRIJEM	\N	292	35505	UROK	\N	\N
3463696	2808	1995-12-31	PRIJEM	\N	292	36796	UROK	\N	\N
3463697	2808	1996-01-31	PRIJEM	\N	292	35888	UROK	\N	\N
3463698	2808	1996-02-29	PRIJEM	\N	270	45267	UROK	\N	\N
3463699	2808	1996-03-31	PRIJEM	\N	188	41955	UROK	\N	\N
3463700	2808	1996-04-30	PRIJEM	\N	188	40642	UROK	\N	\N
3463701	2808	1996-05-31	PRIJEM	\N	242	64437	UROK	\N	\N
3463702	2808	1996-06-30	PRIJEM	\N	267	50404	UROK	\N	\N
3463703	2808	1996-07-31	PRIJEM	\N	267	45171	UROK	\N	\N
3463704	2808	1996-08-31	PRIJEM	\N	267	39739	UROK	\N	\N
3463705	2808	1996-09-30	PRIJEM	\N	267	39306	UROK	\N	\N
3463706	2808	1996-10-31	PRIJEM	\N	267	36974	UROK	\N	\N
3463707	2808	1996-11-30	PRIJEM	\N	267	38441	UROK	\N	\N
3463708	2808	1996-12-31	PRIJEM	\N	267	43008	UROK	\N	\N
3463709	2808	1997-01-31	PRIJEM	\N	267	44376	UROK	\N	\N
3463710	2808	1997-02-28	PRIJEM	\N	267	45443	UROK	\N	\N
3463711	2808	1997-03-31	PRIJEM	\N	279	70876	UROK	\N	\N
3463712	2808	1997-04-30	PRIJEM	\N	371	95292	UROK	\N	\N
3463713	2808	1997-05-31	PRIJEM	\N	392	68870	UROK	\N	\N
3463714	2808	1997-06-30	PRIJEM	\N	242	50347	UROK	\N	\N
3463715	2808	1997-07-31	PRIJEM	\N	203	44136	UROK	\N	\N
3463716	2808	1997-08-31	PRIJEM	\N	183	44604	UROK	\N	\N
3463717	2808	1997-09-30	PRIJEM	\N	181	43120	UROK	\N	\N
3463718	2808	1997-10-31	PRIJEM	\N	173	38879	UROK	\N	\N
3463719	2808	1997-11-30	PRIJEM	\N	160	40224	UROK	\N	\N
3463720	2808	1997-12-31	PRIJEM	\N	161	38770	UROK	\N	\N
3463721	2808	1998-01-31	PRIJEM	\N	160	42716	UROK	\N	\N
3463722	2808	1998-02-28	PRIJEM	\N	288	79082	UROK	\N	\N
3463723	2808	1998-03-31	PRIJEM	\N	315	75746	UROK	\N	\N
3463724	2808	1998-04-30	PRIJEM	\N	297	61778	UROK	\N	\N
3463725	2808	1998-05-31	PRIJEM	\N	254	56317	UROK	\N	\N
3463726	2808	1998-06-30	PRIJEM	\N	225	35227	UROK	\N	\N
3463727	2808	1998-07-31	PRIJEM	\N	182	50694	UROK	\N	\N
3463728	2808	1998-08-31	PRIJEM	\N	208	51888	UROK	\N	\N
3463729	2808	1998-09-30	PRIJEM	\N	214	58187	UROK	\N	\N
3463730	2808	1998-10-31	PRIJEM	\N	239	58211	UROK	\N	\N
3463731	2808	1998-11-30	PRIJEM	\N	240	65137	UROK	\N	\N
3463732	2808	1998-12-31	PRIJEM	\N	255	60727	UROK	\N	\N
3463733	2817	1993-04-30	PRIJEM	\N	46	13918	UROK	\N	\N
3463734	2817	1993-05-31	PRIJEM	\N	103	27493	UROK	\N	\N
3463735	2817	1993-06-30	PRIJEM	\N	185	48685	UROK	\N	\N
3463736	2817	1993-07-31	PRIJEM	\N	202	48559	UROK	\N	\N
3463737	2817	1993-08-31	PRIJEM	\N	216	52947	UROK	\N	\N
3463738	2817	1993-09-30	PRIJEM	\N	222	53426	UROK	\N	\N
3463739	2817	1993-10-31	PRIJEM	\N	214	50997	UROK	\N	\N
3463740	2817	1993-11-30	PRIJEM	\N	206	48960	UROK	\N	\N
3463741	2817	1993-12-31	PRIJEM	\N	217	55371	UROK	\N	\N
3463742	2817	1994-01-31	PRIJEM	\N	176	37304	UROK	\N	\N
3463743	2817	1994-02-28	PRIJEM	\N	184	46145	UROK	\N	\N
3463744	2817	1994-03-31	PRIJEM	\N	198	47301	UROK	\N	\N
3463745	2817	1994-04-30	PRIJEM	\N	202	49060	UROK	\N	\N
3463746	2817	1994-05-31	PRIJEM	\N	221	54138	UROK	\N	\N
3463747	2817	1994-06-30	PRIJEM	\N	204	41836	UROK	\N	\N
3463748	2817	1994-07-31	PRIJEM	\N	199	49992	UROK	\N	\N
3463749	2817	1994-08-31	PRIJEM	\N	186	39635	UROK	\N	\N
3463750	2817	1994-09-30	PRIJEM	\N	166	44559	UROK	\N	\N
3463751	2817	1994-10-31	PRIJEM	\N	194	46210	UROK	\N	\N
3463752	2817	1994-11-30	PRIJEM	\N	217	44785	UROK	\N	\N
3463753	2817	1994-12-31	PRIJEM	\N	208	49486	UROK	\N	\N
3463754	2817	1995-01-31	PRIJEM	\N	222	34565	UROK	\N	\N
3463755	2817	1995-02-28	PRIJEM	\N	161	41484	UROK	\N	\N
3463756	2817	1995-03-31	PRIJEM	\N	173	43814	UROK	\N	\N
3463757	2817	1995-04-30	PRIJEM	\N	211	43282	UROK	\N	\N
3463758	2817	1995-05-31	PRIJEM	\N	183	48222	UROK	\N	\N
3463759	2817	1995-06-30	PRIJEM	\N	230	43746	UROK	\N	\N
3463760	2817	1995-07-31	PRIJEM	\N	186	49689	UROK	\N	\N
3463761	2817	1995-08-31	PRIJEM	\N	208	52255	UROK	\N	\N
3463762	2817	1995-09-30	PRIJEM	\N	216	51527	UROK	\N	\N
3463763	2817	1995-10-31	PRIJEM	\N	215	53200	UROK	\N	\N
3463764	2817	1995-11-30	PRIJEM	\N	219	52176	UROK	\N	\N
3463765	2817	1995-12-31	PRIJEM	\N	220	55990	UROK	\N	\N
3463766	2817	1996-01-31	PRIJEM	\N	235	46182	UROK	\N	\N
3463767	2817	1996-02-29	PRIJEM	\N	195	49735	UROK	\N	\N
3463768	2817	1996-03-31	PRIJEM	\N	209	52902	UROK	\N	\N
3463769	2817	1996-04-30	PRIJEM	\N	220	53878	UROK	\N	\N
3463770	2817	1996-05-31	PRIJEM	\N	227	55763	UROK	\N	\N
3463771	2817	1996-06-30	PRIJEM	\N	210	46566	UROK	\N	\N
3463772	2817	1996-07-31	PRIJEM	\N	205	44829	UROK	\N	\N
3463773	2817	1996-08-31	PRIJEM	\N	183	44169	UROK	\N	\N
3463774	2817	1996-09-30	PRIJEM	\N	181	44208	UROK	\N	\N
3463775	2817	1996-10-31	PRIJEM	\N	185	43951	UROK	\N	\N
3463776	2817	1996-11-30	PRIJEM	\N	184	46192	UROK	\N	\N
3463777	2817	1996-12-31	PRIJEM	\N	199	46484	UROK	\N	\N
3463778	2817	1997-01-31	PRIJEM	\N	181	35223	UROK	\N	\N
3463779	2817	1997-02-28	PRIJEM	\N	164	45144	UROK	\N	\N
3463780	2817	1997-03-31	PRIJEM	\N	192	48893	UROK	\N	\N
3463781	2817	1997-04-30	PRIJEM	\N	213	45864	UROK	\N	\N
3463782	2817	1997-05-31	PRIJEM	\N	185	48006	UROK	\N	\N
3463783	2817	1997-06-30	PRIJEM	\N	202	33701	UROK	\N	\N
3463784	2817	1997-07-31	PRIJEM	\N	154	41713	UROK	\N	\N
3463785	2817	1997-08-31	PRIJEM	\N	183	47453	UROK	\N	\N
3463786	2817	1997-09-30	PRIJEM	\N	202	50912	UROK	\N	\N
3463787	2817	1997-10-31	PRIJEM	\N	236	52905	UROK	\N	\N
3463788	2817	1997-11-30	PRIJEM	\N	220	54883	UROK	\N	\N
3463789	2817	1997-12-31	PRIJEM	\N	237	59014	UROK	\N	\N
3463790	2817	1998-01-31	PRIJEM	\N	225	49396	UROK	\N	\N
3463791	2817	1998-02-28	PRIJEM	\N	221	55675	UROK	\N	\N
3463792	2817	1998-03-31	PRIJEM	\N	242	59974	UROK	\N	\N
3463793	2817	1998-04-30	PRIJEM	\N	269	69000	UROK	\N	\N
3463794	2817	1998-05-31	PRIJEM	\N	292	70949	UROK	\N	\N
3463795	2817	1998-06-30	PRIJEM	\N	256	60099	UROK	\N	\N
3463796	2817	1998-07-31	PRIJEM	\N	265	67421	UROK	\N	\N
3463797	2817	1998-08-31	PRIJEM	\N	278	68656	UROK	\N	\N
3463798	2817	1998-09-30	PRIJEM	\N	289	68902	UROK	\N	\N
3463799	2817	1998-10-31	PRIJEM	\N	285	70645	UROK	\N	\N
3463800	2817	1998-11-30	PRIJEM	\N	309	67611	UROK	\N	\N
3463801	2817	1998-12-31	PRIJEM	\N	333	76238	UROK	\N	\N
3463802	2829	1997-09-30	PRIJEM	\N	23	11923	UROK	\N	\N
3463803	2829	1997-10-31	PRIJEM	\N	73	22329	UROK	\N	\N
3463804	2829	1997-11-30	PRIJEM	\N	91	21520	UROK	\N	\N
3463805	2829	1997-12-31	PRIJEM	\N	94	24014	UROK	\N	\N
3463806	2829	1998-01-31	PRIJEM	\N	83	47095	UROK	\N	\N
3463807	2829	1998-02-28	PRIJEM	\N	162	32043	UROK	\N	\N
3463808	2829	1998-03-31	PRIJEM	\N	121	32728	UROK	\N	\N
3463809	2829	1998-04-30	PRIJEM	\N	122	26235	UROK	\N	\N
3463810	2829	1998-05-31	PRIJEM	\N	105	24225	UROK	\N	\N
3463811	2829	1998-06-30	PRIJEM	\N	98	22908	UROK	\N	\N
3463812	2829	1998-07-31	PRIJEM	\N	89	19682	UROK	\N	\N
3463813	2829	1998-08-31	PRIJEM	\N	80	18347	UROK	\N	\N
3463814	2829	1998-09-30	PRIJEM	\N	74	18107	UROK	\N	\N
3463815	2829	1998-10-31	PRIJEM	\N	78	19370	UROK	\N	\N
3463816	2829	1998-11-30	PRIJEM	\N	84	21339	UROK	\N	\N
3463817	2829	1998-12-31	PRIJEM	\N	83	18508	UROK	\N	\N
3463818	2835	1995-10-31	PRIJEM	\N	1	501	UROK	\N	\N
3463819	2835	1995-11-30	PRIJEM	\N	12	7007	UROK	\N	\N
3463820	2835	1995-12-31	PRIJEM	\N	48	14855	UROK	\N	\N
3463821	2835	1996-01-31	PRIJEM	\N	75	24180	UROK	\N	\N
3463822	2835	1996-02-29	PRIJEM	\N	101	24566	UROK	\N	\N
3463823	2835	1996-03-31	PRIJEM	\N	141	37439	UROK	\N	\N
3463824	2835	1996-04-30	PRIJEM	\N	230	80997	UROK	\N	\N
3463825	2835	1996-05-31	PRIJEM	\N	220	42202	UROK	\N	\N
3463826	2835	1996-06-30	PRIJEM	\N	127	24215	UROK	\N	\N
3463827	2835	1996-07-31	PRIJEM	\N	101	25651	UROK	\N	\N
3463828	2835	1996-08-31	PRIJEM	\N	109	29045	UROK	\N	\N
3463829	2835	1996-09-30	PRIJEM	\N	124	34054	UROK	\N	\N
3463830	2835	1996-10-31	PRIJEM	\N	142	34982	UROK	\N	\N
3463831	2835	1996-11-30	PRIJEM	\N	143	34961	UROK	\N	\N
3463832	2835	1996-12-31	PRIJEM	\N	137	31033	UROK	\N	\N
3463833	2835	1997-01-31	PRIJEM	\N	106	27824	UROK	\N	\N
3463834	2835	1997-02-28	PRIJEM	\N	116	28926	UROK	\N	\N
3463835	2835	1997-03-31	PRIJEM	\N	123	31834	UROK	\N	\N
3463836	2835	1997-04-30	PRIJEM	\N	131	32050	UROK	\N	\N
3463837	2835	1997-05-31	PRIJEM	\N	134	32769	UROK	\N	\N
3463838	2835	1997-06-30	PRIJEM	\N	122	29268	UROK	\N	\N
3463839	2835	1997-07-31	PRIJEM	\N	167	44004	UROK	\N	\N
3463840	2835	1997-08-31	PRIJEM	\N	175	38115	UROK	\N	\N
3463841	2835	1997-09-30	PRIJEM	\N	148	30048	UROK	\N	\N
3463842	2835	1997-10-31	PRIJEM	\N	117	24650	UROK	\N	\N
3463843	2835	1997-11-30	PRIJEM	\N	102	24537	UROK	\N	\N
3463844	2835	1997-12-31	PRIJEM	\N	99	23221	UROK	\N	\N
3463845	2835	1998-01-31	PRIJEM	\N	81	18388	UROK	\N	\N
3463846	2835	1998-02-28	PRIJEM	\N	86	25659	UROK	\N	\N
3463847	2835	1998-03-31	PRIJEM	\N	131	43550	UROK	\N	\N
3463848	2835	1998-04-30	PRIJEM	\N	165	34551	UROK	\N	\N
3463849	2835	1998-05-31	PRIJEM	\N	138	31274	UROK	\N	\N
3463850	2835	1998-06-30	PRIJEM	\N	103	21663	UROK	\N	\N
3463851	2835	1998-07-31	PRIJEM	\N	87	20435	UROK	\N	\N
3463852	2835	1998-08-31	PRIJEM	\N	85	20905	UROK	\N	\N
3463853	2835	1998-09-30	PRIJEM	\N	78	16518	UROK	\N	\N
3463854	2835	1998-10-31	PRIJEM	\N	65	15469	UROK	\N	\N
3463855	2835	1998-11-30	PRIJEM	\N	73	17961	UROK	\N	\N
3463856	2835	1998-12-31	PRIJEM	\N	69	16816	UROK	\N	\N
3463857	2837	1996-06-30	PRIJEM	\N	107	32332	UROK	\N	\N
3463858	2837	1996-07-31	PRIJEM	\N	191	49374	UROK	\N	\N
3463859	2837	1996-08-31	PRIJEM	\N	215	53038	UROK	\N	\N
3463860	2837	1996-09-30	PRIJEM	\N	145	56033	UROK	\N	\N
3463861	2837	1996-10-31	PRIJEM	\N	150	35533	UROK	\N	\N
3463862	2837	1996-11-30	PRIJEM	\N	148	33816	UROK	\N	\N
3463863	2837	1996-12-31	PRIJEM	\N	215	29141	UROK	\N	\N
3463864	2837	1997-01-31	PRIJEM	\N	132	14969	UROK	\N	\N
3463865	2837	1997-02-28	PRIJEM	\N	64	22068	UROK	\N	\N
3463866	2837	1997-03-31	PRIJEM	\N	93	24997	UROK	\N	\N
3463867	2837	1997-04-30	PRIJEM	\N	105	27837	UROK	\N	\N
3463868	2837	1997-05-31	PRIJEM	\N	151	26083	UROK	\N	\N
3463869	2837	1997-06-30	PRIJEM	\N	89	11443	UROK	\N	\N
3463870	2837	1997-07-31	PRIJEM	\N	55	22533	UROK	\N	\N
3463871	2837	1997-08-31	PRIJEM	\N	98	28567	UROK	\N	\N
3463872	2837	1997-09-30	PRIJEM	\N	144	28067	UROK	\N	\N
3463873	2837	1997-10-31	PRIJEM	\N	130	19391	UROK	\N	\N
3463874	2837	1997-11-30	PRIJEM	\N	117	18723	UROK	\N	\N
3463875	2837	1997-12-31	PRIJEM	\N	154	25268	UROK	\N	\N
3463876	2837	1998-01-31	PRIJEM	\N	131	19015	UROK	\N	\N
3463877	2837	1998-02-28	PRIJEM	\N	79	19729	UROK	\N	\N
3463878	2837	1998-03-31	PRIJEM	\N	81	18165	UROK	\N	\N
3463879	2837	1998-04-30	PRIJEM	\N	76	18576	UROK	\N	\N
3463880	2837	1998-05-31	PRIJEM	\N	114	15966	UROK	\N	\N
3463881	2837	1998-06-30	PRIJEM	\N	82	16918	UROK	\N	\N
3463882	2837	1998-07-31	PRIJEM	\N	71	17824	UROK	\N	\N
3463883	2837	1998-08-31	PRIJEM	\N	105	16564	UROK	\N	\N
3463884	2837	1998-09-30	PRIJEM	\N	83	15422	UROK	\N	\N
3463885	2837	1998-10-31	PRIJEM	\N	67	17825	UROK	\N	\N
3463886	2837	1998-11-30	PRIJEM	\N	105	20765	UROK	\N	\N
3463887	2837	1998-12-31	PRIJEM	\N	136	23351	UROK	\N	\N
3463888	2844	1996-02-29	PRIJEM	\N	38	22079	UROK	\N	\N
3463889	2844	1996-03-31	PRIJEM	\N	111	32831	UROK	\N	\N
3463890	2844	1996-04-30	PRIJEM	\N	148	39219	UROK	\N	\N
3463891	2844	1996-05-31	PRIJEM	\N	174	45234	UROK	\N	\N
3463892	2844	1996-06-30	PRIJEM	\N	205	54251	UROK	\N	\N
3463893	2844	1996-07-31	PRIJEM	\N	227	45585	UROK	\N	\N
3463894	2844	1996-08-31	PRIJEM	\N	186	44257	UROK	\N	\N
3463895	2844	1996-09-30	PRIJEM	\N	191	47374	UROK	\N	\N
3463896	2844	1996-10-31	PRIJEM	\N	198	45179	UROK	\N	\N
3463897	2844	1996-11-30	PRIJEM	\N	196	48601	UROK	\N	\N
3463898	2844	1996-12-31	PRIJEM	\N	207	49205	UROK	\N	\N
3463899	2844	1997-01-31	PRIJEM	\N	183	39074	UROK	\N	\N
3463900	2844	1997-02-28	PRIJEM	\N	207	45048	UROK	\N	\N
3463901	2844	1997-03-31	PRIJEM	\N	205	52379	UROK	\N	\N
3463902	2844	1997-04-30	PRIJEM	\N	228	55453	UROK	\N	\N
3463903	2844	1997-05-31	PRIJEM	\N	232	56011	UROK	\N	\N
3463904	2844	1997-06-30	PRIJEM	\N	237	49464	UROK	\N	\N
3463905	2844	1997-07-31	PRIJEM	\N	208	49619	UROK	\N	\N
3463906	2844	1997-08-31	PRIJEM	\N	248	65393	UROK	\N	\N
3463907	2844	1997-09-30	PRIJEM	\N	286	71106	UROK	\N	\N
3463908	2844	1997-10-31	PRIJEM	\N	307	75740	UROK	\N	\N
3463909	2844	1997-11-30	PRIJEM	\N	305	70412	UROK	\N	\N
3463910	2844	1997-12-31	PRIJEM	\N	329	80857	UROK	\N	\N
3463911	2844	1998-01-31	PRIJEM	\N	294	72158	UROK	\N	\N
3463912	2844	1998-02-28	PRIJEM	\N	300	72584	UROK	\N	\N
3463913	2844	1998-03-31	PRIJEM	\N	307	74817	UROK	\N	\N
3463914	2844	1998-04-30	PRIJEM	\N	312	75656	UROK	\N	\N
3463915	2844	1998-05-31	PRIJEM	\N	323	79205	UROK	\N	\N
3463916	2844	1998-06-30	PRIJEM	\N	287	44289	UROK	\N	\N
3463917	2844	1998-07-31	PRIJEM	\N	222	59378	UROK	\N	\N
3463918	2844	1998-08-31	PRIJEM	\N	279	71883	UROK	\N	\N
3463919	2844	1998-09-30	PRIJEM	\N	307	74817	UROK	\N	\N
3463920	2844	1998-10-31	PRIJEM	\N	318	78262	UROK	\N	\N
3463921	2844	1998-11-30	PRIJEM	\N	328	80016	UROK	\N	\N
3463922	2844	1998-12-31	PRIJEM	\N	332	88165	UROK	\N	\N
3463923	2851	1995-12-31	PRIJEM	\N	78	51215	UROK	\N	\N
3463924	2851	1996-01-31	PRIJEM	\N	299	75828	UROK	\N	\N
3463925	2851	1996-02-29	PRIJEM	\N	273	50886	UROK	\N	\N
3463926	2851	1996-03-31	PRIJEM	\N	302	83961	UROK	\N	\N
3463927	2851	1996-04-30	PRIJEM	\N	297	55744	UROK	\N	\N
3463928	2851	1996-05-31	PRIJEM	\N	161	29790	UROK	\N	\N
3463929	2851	1996-06-30	PRIJEM	\N	121	20196	UROK	\N	\N
3463930	2851	1996-07-31	PRIJEM	\N	89	24270	UROK	\N	\N
3463931	2851	1996-08-31	PRIJEM	\N	105	28511	UROK	\N	\N
3463932	2851	1996-09-30	PRIJEM	\N	122	30318	UROK	\N	\N
3463933	2851	1996-10-31	PRIJEM	\N	128	29231	UROK	\N	\N
3463934	2851	1996-11-30	PRIJEM	\N	121	25037	UROK	\N	\N
3463935	2851	1996-12-31	PRIJEM	\N	102	24724	UROK	\N	\N
3463936	2851	1997-01-31	PRIJEM	\N	153	30538	UROK	\N	\N
3463937	2851	1997-02-28	PRIJEM	\N	124	24947	UROK	\N	\N
3463938	2851	1997-03-31	PRIJEM	\N	128	36335	UROK	\N	\N
3463939	2851	1997-04-30	PRIJEM	\N	144	25965	UROK	\N	\N
3463940	2851	1997-05-31	PRIJEM	\N	110	26560	UROK	\N	\N
3463941	2851	1997-06-30	PRIJEM	\N	110	25055	UROK	\N	\N
3463942	2851	1997-07-31	PRIJEM	\N	102	22543	UROK	\N	\N
3463943	2851	1997-08-31	PRIJEM	\N	95	23023	UROK	\N	\N
3463944	2851	1997-09-30	PRIJEM	\N	104	28862	UROK	\N	\N
3463945	2851	1997-10-31	PRIJEM	\N	116	25864	UROK	\N	\N
3463946	2851	1997-11-30	PRIJEM	\N	110	28259	UROK	\N	\N
3463947	2851	1997-12-31	PRIJEM	\N	121	31165	UROK	\N	\N
3463948	2851	1998-01-31	PRIJEM	\N	134	32834	UROK	\N	\N
3463949	2851	1998-02-28	PRIJEM	\N	152	40604	UROK	\N	\N
3463950	2851	1998-03-31	PRIJEM	\N	166	39156	UROK	\N	\N
3463951	2851	1998-04-30	PRIJEM	\N	154	34596	UROK	\N	\N
3463952	2851	1998-05-31	PRIJEM	\N	142	33923	UROK	\N	\N
3463953	2851	1998-06-30	PRIJEM	\N	139	33748	UROK	\N	\N
3463954	2851	1998-07-31	PRIJEM	\N	131	29364	UROK	\N	\N
3463955	2851	1998-08-31	PRIJEM	\N	117	27267	UROK	\N	\N
3463956	2851	1998-09-30	PRIJEM	\N	101	21953	UROK	\N	\N
3463957	2851	1998-10-31	PRIJEM	\N	132	51627	UROK	\N	\N
3463958	2851	1998-11-30	PRIJEM	\N	174	29786	UROK	\N	\N
3463959	2851	1998-12-31	PRIJEM	\N	89	14760	UROK	\N	\N
3463960	2860	1997-06-30	PRIJEM	\N	75	32977	UROK	\N	\N
3463961	2860	1997-07-31	PRIJEM	\N	155	93432	UROK	\N	\N
3463962	2860	1997-08-31	PRIJEM	\N	325	49353	UROK	\N	\N
3463963	2860	1997-09-30	PRIJEM	\N	328	34696	UROK	\N	\N
3463964	2860	1997-10-31	PRIJEM	\N	154	47277	UROK	\N	\N
3463965	2860	1997-11-30	PRIJEM	\N	290	40785	UROK	\N	\N
3463966	2860	1997-12-31	PRIJEM	\N	188	43834	UROK	\N	\N
3463967	2860	1998-01-31	PRIJEM	\N	213	24009	UROK	\N	\N
3463968	2860	1998-02-28	PRIJEM	\N	97	20776	UROK	\N	\N
3463969	2860	1998-03-31	PRIJEM	\N	86	16732	UROK	\N	\N
3463970	2860	1998-04-30	PRIJEM	\N	69	14671	UROK	\N	\N
3463971	2860	1998-05-31	PRIJEM	\N	81	36651	UROK	\N	\N
3463972	2860	1998-06-30	PRIJEM	\N	185	18624	UROK	\N	\N
3463973	2860	1998-07-31	PRIJEM	\N	77	13371	UROK	\N	\N
3463974	2860	1998-08-31	PRIJEM	\N	82	35105	UROK	\N	\N
3463975	2860	1998-09-30	PRIJEM	\N	203	88838	UROK	\N	\N
3463976	2860	1998-10-31	PRIJEM	\N	359	76273	UROK	\N	\N
3463977	2860	1998-11-30	PRIJEM	\N	313	47756	UROK	\N	\N
3463978	2860	1998-12-31	PRIJEM	\N	189	33815	UROK	\N	\N
3463979	2875	1997-01-31	PRIJEM	\N	29	24183	UROK	\N	\N
3463980	2875	1997-02-28	PRIJEM	\N	111	34248	UROK	\N	\N
3463981	2875	1997-03-31	PRIJEM	\N	145	36347	UROK	\N	\N
3463982	2875	1997-04-30	PRIJEM	\N	155	40056	UROK	\N	\N
3463983	2875	1997-05-31	PRIJEM	\N	167	40577	UROK	\N	\N
3463984	2875	1997-06-30	PRIJEM	\N	153	28546	UROK	\N	\N
3463985	2875	1997-07-31	PRIJEM	\N	125	32910	UROK	\N	\N
3463986	2875	1997-08-31	PRIJEM	\N	139	34389	UROK	\N	\N
3463987	2875	1997-09-30	PRIJEM	\N	150	38678	UROK	\N	\N
3463988	2875	1997-10-31	PRIJEM	\N	163	37980	UROK	\N	\N
3463989	2875	1997-11-30	PRIJEM	\N	163	41283	UROK	\N	\N
3463990	2875	1997-12-31	PRIJEM	\N	201	43200	UROK	\N	\N
3463991	2875	1998-01-31	PRIJEM	\N	166	30405	UROK	\N	\N
3463992	2875	1998-02-28	PRIJEM	\N	169	39713	UROK	\N	\N
3463993	2875	1998-03-31	PRIJEM	\N	173	44326	UROK	\N	\N
3463994	2875	1998-04-30	PRIJEM	\N	198	51863	UROK	\N	\N
3463995	2875	1998-05-31	PRIJEM	\N	237	52839	UROK	\N	\N
3463996	2875	1998-06-30	PRIJEM	\N	215	48170	UROK	\N	\N
3463997	2875	1998-07-31	PRIJEM	\N	203	49512	UROK	\N	\N
3463998	2875	1998-08-31	PRIJEM	\N	198	44149	UROK	\N	\N
3463999	2875	1998-09-30	PRIJEM	\N	182	43470	UROK	\N	\N
3464000	2875	1998-10-31	PRIJEM	\N	184	44094	UROK	\N	\N
3464001	2875	1998-11-30	PRIJEM	\N	194	42327	UROK	\N	\N
3464002	2875	1998-12-31	PRIJEM	\N	252	66296	UROK	\N	\N
3464003	2900	1997-08-31	PRIJEM	\N	11	41630	UROK	\N	\N
3464004	2900	1997-09-30	PRIJEM	\N	173	41464	UROK	\N	\N
3464005	2900	1997-10-31	PRIJEM	\N	172	34636	UROK	\N	\N
3464006	2900	1997-11-30	PRIJEM	\N	172	27608	UROK	\N	\N
3464007	2900	1997-12-31	PRIJEM	\N	172	21780	UROK	\N	\N
3464008	2900	1998-01-31	PRIJEM	\N	221	60583	UROK	\N	\N
3464009	2900	1998-02-28	PRIJEM	\N	233	42708	UROK	\N	\N
3464010	2900	1998-03-31	PRIJEM	\N	177	21785	UROK	\N	\N
3464011	2900	1998-04-30	PRIJEM	\N	177	14462	UROK	\N	\N
3464012	2905	1994-10-31	PRIJEM	\N	48	13683	UROK	\N	\N
3464013	2905	1994-11-30	PRIJEM	\N	121	32138	UROK	\N	\N
3464014	2905	1994-12-31	PRIJEM	\N	180	45571	UROK	\N	\N
3464015	2905	1995-01-31	PRIJEM	\N	187	45193	UROK	\N	\N
3464016	2905	1995-02-28	PRIJEM	\N	152	48779	UROK	\N	\N
3464017	2905	1995-03-31	PRIJEM	\N	169	38629	UROK	\N	\N
3464018	2905	1995-04-30	PRIJEM	\N	168	40717	UROK	\N	\N
3464019	2905	1995-05-31	PRIJEM	\N	174	39112	UROK	\N	\N
3464020	2905	1995-06-30	PRIJEM	\N	98	8687	UROK	\N	\N
3464021	2905	1995-07-31	PRIJEM	\N	66	24474	UROK	\N	\N
3464022	2905	1995-08-31	PRIJEM	\N	104	30898	UROK	\N	\N
3464023	2905	1995-09-30	PRIJEM	\N	130	35149	UROK	\N	\N
3464024	2905	1995-10-31	PRIJEM	\N	149	39618	UROK	\N	\N
3464025	2905	1995-11-30	PRIJEM	\N	164	37763	UROK	\N	\N
3464026	2905	1995-12-31	PRIJEM	\N	182	36723	UROK	\N	\N
3464027	2905	1996-01-31	PRIJEM	\N	147	22170	UROK	\N	\N
3464028	2905	1996-02-29	PRIJEM	\N	111	28661	UROK	\N	\N
3464029	2905	1996-03-31	PRIJEM	\N	124	34605	UROK	\N	\N
3464030	2905	1996-04-30	PRIJEM	\N	148	32774	UROK	\N	\N
3464031	2905	1996-05-31	PRIJEM	\N	138	34933	UROK	\N	\N
3464032	2905	1996-06-30	PRIJEM	\N	154	35765	UROK	\N	\N
3464033	2905	1996-07-31	PRIJEM	\N	159	36045	UROK	\N	\N
3464034	2905	1996-08-31	PRIJEM	\N	153	38718	UROK	\N	\N
3464035	2905	1996-09-30	PRIJEM	\N	158	36596	UROK	\N	\N
3464036	2905	1996-10-31	PRIJEM	\N	148	31464	UROK	\N	\N
3464037	2905	1996-11-30	PRIJEM	\N	135	35120	UROK	\N	\N
3464038	2905	1996-12-31	PRIJEM	\N	187	39064	UROK	\N	\N
3464039	2905	1997-01-31	PRIJEM	\N	162	33346	UROK	\N	\N
3464040	2905	1997-02-28	PRIJEM	\N	139	33906	UROK	\N	\N
3464041	2905	1997-03-31	PRIJEM	\N	148	32114	UROK	\N	\N
3464042	2905	1997-04-30	PRIJEM	\N	136	34571	UROK	\N	\N
3464043	2905	1997-05-31	PRIJEM	\N	149	38200	UROK	\N	\N
3464044	2905	1997-06-30	PRIJEM	\N	170	42548	UROK	\N	\N
3464045	2905	1997-07-31	PRIJEM	\N	186	48655	UROK	\N	\N
3464046	2905	1997-08-31	PRIJEM	\N	204	50179	UROK	\N	\N
3464047	2905	1997-09-30	PRIJEM	\N	210	51710	UROK	\N	\N
3464048	2905	1997-10-31	PRIJEM	\N	221	55251	UROK	\N	\N
3464049	2905	1997-11-30	PRIJEM	\N	225	52757	UROK	\N	\N
3464050	2905	1997-12-31	PRIJEM	\N	237	60911	UROK	\N	\N
3464051	2905	1998-01-31	PRIJEM	\N	221	41353	UROK	\N	\N
3464052	2905	1998-02-28	PRIJEM	\N	201	55174	UROK	\N	\N
3464053	2905	1998-03-31	PRIJEM	\N	243	62538	UROK	\N	\N
3464054	2905	1998-04-30	PRIJEM	\N	277	66915	UROK	\N	\N
3464055	2905	1998-05-31	PRIJEM	\N	280	68716	UROK	\N	\N
3464056	2905	1998-06-30	PRIJEM	\N	251	56845	UROK	\N	\N
3464057	2905	1998-07-31	PRIJEM	\N	252	64517	UROK	\N	\N
3464058	2905	1998-08-31	PRIJEM	\N	273	63290	UROK	\N	\N
3464059	2905	1998-09-30	PRIJEM	\N	264	64474	UROK	\N	\N
3464060	2905	1998-10-31	PRIJEM	\N	262	63457	UROK	\N	\N
3464061	2905	1998-11-30	PRIJEM	\N	252	57069	UROK	\N	\N
3464062	2905	1998-12-31	PRIJEM	\N	248	59375	UROK	\N	\N
3464063	2915	1993-08-31	PRIJEM	\N	52	38935	UROK	\N	\N
3464064	2915	1993-09-30	PRIJEM	\N	184	55203	UROK	\N	\N
3464065	2915	1993-10-31	PRIJEM	\N	241	63327	UROK	\N	\N
3464066	2915	1993-11-30	PRIJEM	\N	303	45913	UROK	\N	\N
3464067	2915	1993-12-31	PRIJEM	\N	304	56291	UROK	\N	\N
3464068	2915	1994-01-31	PRIJEM	\N	212	45971	UROK	\N	\N
3464069	2915	1994-02-28	PRIJEM	\N	188	38183	UROK	\N	\N
3464070	2915	1994-03-31	PRIJEM	\N	226	51630	UROK	\N	\N
3464071	2915	1994-04-30	PRIJEM	\N	233	62931	UROK	\N	\N
3464072	2915	1994-05-31	PRIJEM	\N	248	32078	UROK	\N	\N
3464073	2915	1994-06-30	PRIJEM	\N	170	28807	UROK	\N	\N
3464074	2915	1994-07-31	PRIJEM	\N	156	52846	UROK	\N	\N
3464075	2915	1994-08-31	PRIJEM	\N	227	40597	UROK	\N	\N
3464076	2915	1994-09-30	PRIJEM	\N	221	49486	UROK	\N	\N
3464077	2915	1994-10-31	PRIJEM	\N	215	40229	UROK	\N	\N
3464078	2915	1994-11-30	PRIJEM	\N	204	51525	UROK	\N	\N
3464079	2915	1994-12-31	PRIJEM	\N	192	42239	UROK	\N	\N
3464080	2915	1995-01-31	PRIJEM	\N	201	39108	UROK	\N	\N
3464081	2915	1995-02-28	PRIJEM	\N	208	58585	UROK	\N	\N
3464082	2915	1995-03-31	PRIJEM	\N	266	68719	UROK	\N	\N
3464083	2915	1995-04-30	PRIJEM	\N	305	65792	UROK	\N	\N
3464084	2915	1995-05-31	PRIJEM	\N	211	42671	UROK	\N	\N
3464085	2915	1995-06-30	PRIJEM	\N	235	49866	UROK	\N	\N
3464086	2915	1995-07-31	PRIJEM	\N	244	64778	UROK	\N	\N
3464087	2915	1995-08-31	PRIJEM	\N	236	45413	UROK	\N	\N
3464088	2915	1995-09-30	PRIJEM	\N	234	60612	UROK	\N	\N
3464089	2915	1995-10-31	PRIJEM	\N	250	58230	UROK	\N	\N
3464090	2915	1995-11-30	PRIJEM	\N	270	64768	UROK	\N	\N
3464091	2915	1995-12-31	PRIJEM	\N	186	26271	UROK	\N	\N
3464092	2915	1996-01-31	PRIJEM	\N	233	65272	UROK	\N	\N
3464093	2915	1996-02-29	PRIJEM	\N	339	82980	UROK	\N	\N
3464094	2915	1996-03-31	PRIJEM	\N	382	97630	UROK	\N	\N
3464095	2915	1996-04-30	PRIJEM	\N	451	113649	UROK	\N	\N
3464096	2915	1996-05-31	PRIJEM	\N	397	83762	UROK	\N	\N
3464097	2915	1996-06-30	PRIJEM	\N	237	29658	UROK	\N	\N
3464098	2915	1996-07-31	PRIJEM	\N	275	73946	UROK	\N	\N
3464099	2915	1996-08-31	PRIJEM	\N	382	99996	UROK	\N	\N
3464100	2915	1996-09-30	PRIJEM	\N	326	59999	UROK	\N	\N
3464101	2915	1996-10-31	PRIJEM	\N	301	73136	UROK	\N	\N
3464102	2915	1996-11-30	PRIJEM	\N	307	73007	UROK	\N	\N
3464103	2915	1996-12-31	PRIJEM	\N	375	68642	UROK	\N	\N
3464104	2915	1997-01-31	PRIJEM	\N	193	28919	UROK	\N	\N
3464105	2915	1997-02-28	PRIJEM	\N	276	85264	UROK	\N	\N
3464106	2915	1997-03-31	PRIJEM	\N	389	101917	UROK	\N	\N
3464107	2915	1997-04-30	PRIJEM	\N	307	47595	UROK	\N	\N
3464108	2915	1997-05-31	PRIJEM	\N	319	89782	UROK	\N	\N
3464109	2915	1997-06-30	PRIJEM	\N	313	59454	UROK	\N	\N
3464110	2915	1997-07-31	PRIJEM	\N	346	94368	UROK	\N	\N
3464111	2915	1997-08-31	PRIJEM	\N	358	92495	UROK	\N	\N
3464112	2915	1997-09-30	PRIJEM	\N	294	75557	UROK	\N	\N
3464113	2915	1997-10-31	PRIJEM	\N	278	59554	UROK	\N	\N
3464114	2915	1997-11-30	PRIJEM	\N	283	65359	UROK	\N	\N
3464115	2915	1997-12-31	PRIJEM	\N	335	53954	UROK	\N	\N
3464116	2915	1998-01-31	PRIJEM	\N	245	33779	UROK	\N	\N
3464117	2915	1998-02-28	PRIJEM	\N	178	48883	UROK	\N	\N
3464118	2915	1998-03-31	PRIJEM	\N	299	56180	UROK	\N	\N
3464119	2915	1998-04-30	PRIJEM	\N	318	61689	UROK	\N	\N
3464120	2915	1998-05-31	PRIJEM	\N	250	58258	UROK	\N	\N
3464121	2915	1998-06-30	PRIJEM	\N	301	32637	UROK	\N	\N
3464122	2915	1998-07-31	PRIJEM	\N	138	44243	UROK	\N	\N
3464123	2915	1998-08-31	PRIJEM	\N	269	46686	UROK	\N	\N
3464124	2915	1998-09-30	PRIJEM	\N	248	56183	UROK	\N	\N
3464125	2915	1998-10-31	PRIJEM	\N	281	60757	UROK	\N	\N
3464126	2915	1998-11-30	PRIJEM	\N	314	61840	UROK	\N	\N
3464127	2915	1998-12-31	PRIJEM	\N	261	65860	UROK	\N	\N
3464128	2922	1994-06-30	PRIJEM	\N	62	20828	UROK	\N	\N
3464129	2922	1994-07-31	PRIJEM	\N	155	45090	UROK	\N	\N
3464130	2922	1994-08-31	PRIJEM	\N	176	64382	UROK	\N	\N
3464131	2922	1994-09-30	PRIJEM	\N	206	32673	UROK	\N	\N
3464132	2922	1994-10-31	PRIJEM	\N	205	77082	UROK	\N	\N
3464133	2922	1994-11-30	PRIJEM	\N	147	31419	UROK	\N	\N
3464134	2922	1994-12-31	PRIJEM	\N	205	83663	UROK	\N	\N
3464135	2922	1995-01-31	PRIJEM	\N	210	24458	UROK	\N	\N
3464136	2922	1995-02-28	PRIJEM	\N	113	22643	UROK	\N	\N
3464137	2922	1995-03-31	PRIJEM	\N	104	27978	UROK	\N	\N
3464138	2922	1995-04-30	PRIJEM	\N	116	26179	UROK	\N	\N
3464139	2922	1995-05-31	PRIJEM	\N	109	25873	UROK	\N	\N
3464140	2922	1995-06-30	PRIJEM	\N	107	23666	UROK	\N	\N
3464141	2922	1995-07-31	PRIJEM	\N	227	71811	UROK	\N	\N
3464142	2922	1995-08-31	PRIJEM	\N	180	18903	UROK	\N	\N
3464143	2922	1995-09-30	PRIJEM	\N	80	26076	UROK	\N	\N
3464144	2922	1995-10-31	PRIJEM	\N	105	17895	UROK	\N	\N
3464145	2922	1995-11-30	PRIJEM	\N	77	25658	UROK	\N	\N
3464146	2922	1995-12-31	PRIJEM	\N	102	16745	UROK	\N	\N
3464147	2922	1996-01-31	PRIJEM	\N	69	14199	UROK	\N	\N
3464148	2922	1996-02-29	PRIJEM	\N	223	61995	UROK	\N	\N
3464149	2922	1996-03-31	PRIJEM	\N	337	55218	UROK	\N	\N
3464150	2922	1996-04-30	PRIJEM	\N	280	38268	UROK	\N	\N
3464151	2922	1996-05-31	PRIJEM	\N	160	47012	UROK	\N	\N
3464152	2922	1996-06-30	PRIJEM	\N	243	33715	UROK	\N	\N
3464153	2922	1996-07-31	PRIJEM	\N	284	87664	UROK	\N	\N
3464154	2922	1996-08-31	PRIJEM	\N	326	52665	UROK	\N	\N
3464155	2922	1996-09-30	PRIJEM	\N	287	52494	UROK	\N	\N
3464156	2922	1996-10-31	PRIJEM	\N	222	71758	UROK	\N	\N
3464157	2922	1996-11-30	PRIJEM	\N	285	43745	UROK	\N	\N
3464158	2922	1996-12-31	PRIJEM	\N	140	28475	UROK	\N	\N
3464159	2922	1997-01-31	PRIJEM	\N	123	49318	UROK	\N	\N
3464160	2922	1997-02-28	PRIJEM	\N	267	43987	UROK	\N	\N
3464161	2922	1997-03-31	PRIJEM	\N	233	43127	UROK	\N	\N
3464162	2922	1997-04-30	PRIJEM	\N	207	82359	UROK	\N	\N
3464163	2922	1997-05-31	PRIJEM	\N	319	57657	UROK	\N	\N
3464164	2922	1997-06-30	PRIJEM	\N	282	76067	UROK	\N	\N
3464165	2922	1997-07-31	PRIJEM	\N	306	56372	UROK	\N	\N
3464166	2922	1997-08-31	PRIJEM	\N	228	51300	UROK	\N	\N
3464167	2922	1997-09-30	PRIJEM	\N	276	83880	UROK	\N	\N
3464168	2922	1997-10-31	PRIJEM	\N	338	66213	UROK	\N	\N
3464169	2922	1997-11-30	PRIJEM	\N	270	36468	UROK	\N	\N
3464170	2922	1997-12-31	PRIJEM	\N	143	32435	UROK	\N	\N
3464171	2922	1998-01-31	PRIJEM	\N	134	27097	UROK	\N	\N
3464172	2922	1998-02-28	PRIJEM	\N	109	21192	UROK	\N	\N
3464173	2922	1998-03-31	PRIJEM	\N	147	31719	UROK	\N	\N
3464174	2922	1998-04-30	PRIJEM	\N	116	24678	UROK	\N	\N
3464175	2922	1998-06-30	PRIJEM	\N	103	60614	UROK	\N	\N
3464176	2922	1998-06-30	PRIJEM	\N	150	60511	UROK	\N	\N
3464177	2922	1998-07-31	PRIJEM	\N	183	31883	UROK	\N	\N
3464178	2922	1998-08-31	PRIJEM	\N	123	19991	UROK	\N	\N
3464179	2922	1998-09-30	PRIJEM	\N	81	27338	UROK	\N	\N
3464180	2922	1998-10-31	PRIJEM	\N	109	22133	UROK	\N	\N
3464181	2922	1998-11-30	PRIJEM	\N	88	20406	UROK	\N	\N
3464182	2924	1994-11-30	PRIJEM	\N	42	18981	UROK	\N	\N
3464183	2924	1994-12-31	PRIJEM	\N	104	29793	UROK	\N	\N
3464184	2924	1995-01-31	PRIJEM	\N	133	33564	UROK	\N	\N
3464185	2924	1995-02-28	PRIJEM	\N	165	36168	UROK	\N	\N
3464186	2924	1995-03-31	PRIJEM	\N	171	38778	UROK	\N	\N
3464187	2924	1995-04-30	PRIJEM	\N	151	38053	UROK	\N	\N
3464188	2924	1995-05-31	PRIJEM	\N	165	40843	UROK	\N	\N
3464189	2924	1995-06-30	PRIJEM	\N	141	31777	UROK	\N	\N
3464190	2924	1995-07-31	PRIJEM	\N	142	33643	UROK	\N	\N
3464191	2924	1995-08-31	PRIJEM	\N	166	43733	UROK	\N	\N
3464192	2924	1995-09-30	PRIJEM	\N	190	46847	UROK	\N	\N
3464193	2924	1995-10-31	PRIJEM	\N	200	48871	UROK	\N	\N
3464194	2924	1995-11-30	PRIJEM	\N	202	48997	UROK	\N	\N
3464195	2924	1995-12-31	PRIJEM	\N	210	53301	UROK	\N	\N
3464196	2924	1996-01-31	PRIJEM	\N	192	38917	UROK	\N	\N
3464197	2924	1996-02-29	PRIJEM	\N	176	44918	UROK	\N	\N
3464198	2924	1996-03-31	PRIJEM	\N	202	50844	UROK	\N	\N
3464199	2924	1996-04-30	PRIJEM	\N	206	48874	UROK	\N	\N
3464200	2924	1996-05-31	PRIJEM	\N	182	44881	UROK	\N	\N
3464201	2924	1996-06-30	PRIJEM	\N	200	49475	UROK	\N	\N
3464202	2924	1996-07-31	PRIJEM	\N	213	52412	UROK	\N	\N
3464203	2924	1996-08-31	PRIJEM	\N	215	50652	UROK	\N	\N
3464204	2924	1996-09-30	PRIJEM	\N	206	48982	UROK	\N	\N
3464205	2924	1996-10-31	PRIJEM	\N	197	47703	UROK	\N	\N
3464206	2924	1996-11-30	PRIJEM	\N	196	47223	UROK	\N	\N
3464207	2924	1996-12-31	PRIJEM	\N	196	51613	UROK	\N	\N
3464208	2924	1997-01-31	PRIJEM	\N	169	40906	UROK	\N	\N
3464209	2924	1997-02-28	PRIJEM	\N	172	42102	UROK	\N	\N
3464210	2924	1997-03-31	PRIJEM	\N	183	45509	UROK	\N	\N
3464211	2924	1997-04-30	PRIJEM	\N	163	38597	UROK	\N	\N
3464212	2924	1997-05-31	PRIJEM	\N	171	43092	UROK	\N	\N
3464213	2924	1997-06-30	PRIJEM	\N	159	41544	UROK	\N	\N
3464214	2924	1997-07-31	PRIJEM	\N	170	43039	UROK	\N	\N
3464215	2924	1997-08-31	PRIJEM	\N	168	39931	UROK	\N	\N
3464216	2924	1997-09-30	PRIJEM	\N	130	31986	UROK	\N	\N
3464217	2924	1997-10-31	PRIJEM	\N	123	32133	UROK	\N	\N
3464218	2924	1997-11-30	PRIJEM	\N	133	35591	UROK	\N	\N
3464219	2924	1997-12-31	PRIJEM	\N	173	37357	UROK	\N	\N
3464220	2924	1998-01-31	PRIJEM	\N	149	29130	UROK	\N	\N
3464221	2924	1998-02-28	PRIJEM	\N	120	32675	UROK	\N	\N
3464222	2924	1998-03-31	PRIJEM	\N	146	29945	UROK	\N	\N
3464223	2924	1998-04-30	PRIJEM	\N	123	32293	UROK	\N	\N
3464224	2924	1998-05-31	PRIJEM	\N	149	31467	UROK	\N	\N
3464225	2924	1998-06-30	PRIJEM	\N	125	23985	UROK	\N	\N
3464226	2924	1998-07-31	PRIJEM	\N	94	18303	UROK	\N	\N
3464227	2924	1998-08-31	PRIJEM	\N	79	17706	UROK	\N	\N
3464228	2924	1998-09-30	PRIJEM	\N	73	20404	UROK	\N	\N
3464229	2924	1998-10-31	PRIJEM	\N	84	22112	UROK	\N	\N
3464230	2924	1998-11-30	PRIJEM	\N	87	18823	UROK	\N	\N
3464231	2934	1996-10-31	PRIJEM	\N	4	6579	UROK	\N	\N
3464232	2934	1996-11-30	PRIJEM	\N	154	42672	UROK	\N	\N
3464233	2934	1996-12-31	PRIJEM	\N	177	34850	UROK	\N	\N
3464234	2934	1997-01-31	PRIJEM	\N	207	73729	UROK	\N	\N
3464235	2934	1997-02-28	PRIJEM	\N	273	64436	UROK	\N	\N
3464236	2934	1997-03-31	PRIJEM	\N	267	50988	UROK	\N	\N
3464237	2934	1997-04-30	PRIJEM	\N	212	47685	UROK	\N	\N
3464238	2934	1997-05-31	PRIJEM	\N	253	87949	UROK	\N	\N
3464239	2934	1997-06-30	PRIJEM	\N	291	64525	UROK	\N	\N
3464240	2934	1997-07-31	PRIJEM	\N	267	55178	UROK	\N	\N
3464241	2934	1997-08-31	PRIJEM	\N	384	59204	UROK	\N	\N
3464242	2934	1997-09-30	PRIJEM	\N	244	46734	UROK	\N	\N
3464243	2934	1997-10-31	PRIJEM	\N	187	44381	UROK	\N	\N
3464244	2934	1997-11-30	PRIJEM	\N	392	92283	UROK	\N	\N
3464245	2934	1997-12-31	PRIJEM	\N	264	73660	UROK	\N	\N
3464246	2934	1998-01-31	PRIJEM	\N	372	74450	UROK	\N	\N
3464247	2934	1998-02-28	PRIJEM	\N	230	45566	UROK	\N	\N
3464248	2934	1998-03-31	PRIJEM	\N	197	61994	UROK	\N	\N
3464249	2934	1998-04-30	PRIJEM	\N	126	67417	UROK	\N	\N
3464250	2934	1998-05-31	PRIJEM	\N	291	89152	UROK	\N	\N
3464251	2934	1998-06-30	PRIJEM	\N	235	29360	UROK	\N	\N
3464252	2934	1998-07-31	PRIJEM	\N	176	41632	UROK	\N	\N
3464253	2934	1998-08-31	PRIJEM	\N	102	31508	UROK	\N	\N
3464254	2934	1998-09-30	PRIJEM	\N	131	35014	UROK	\N	\N
3464255	2934	1998-10-31	PRIJEM	\N	206	117124	UROK	\N	\N
3464256	2934	1998-11-30	PRIJEM	\N	334	63517	UROK	\N	\N
3464257	2934	1998-12-31	PRIJEM	\N	410	84578	UROK	\N	\N
3464258	2983	1996-08-31	PRIJEM	\N	18	16827	UROK	\N	\N
3464259	2983	1996-09-30	PRIJEM	\N	81	27118	UROK	\N	\N
3464260	2983	1996-10-31	PRIJEM	\N	122	34648	UROK	\N	\N
3464261	2983	1996-11-30	PRIJEM	\N	142	33500	UROK	\N	\N
3464262	2983	1996-12-31	PRIJEM	\N	144	37008	UROK	\N	\N
3464263	2983	1997-01-31	PRIJEM	\N	140	28642	UROK	\N	\N
3464264	2983	1997-02-28	PRIJEM	\N	132	35368	UROK	\N	\N
3464265	2983	1997-03-31	PRIJEM	\N	150	37212	UROK	\N	\N
3464266	2983	1997-04-30	PRIJEM	\N	156	37862	UROK	\N	\N
3464267	2983	1997-05-31	PRIJEM	\N	157	35413	UROK	\N	\N
3464268	2983	1997-06-30	PRIJEM	\N	126	23389	UROK	\N	\N
3464269	2983	1997-07-31	PRIJEM	\N	106	28889	UROK	\N	\N
3464270	2983	1997-08-31	PRIJEM	\N	128	33412	UROK	\N	\N
3464271	2983	1997-09-30	PRIJEM	\N	139	33245	UROK	\N	\N
3464272	2983	1997-10-31	PRIJEM	\N	138	33177	UROK	\N	\N
3464273	2983	1997-11-30	PRIJEM	\N	139	33710	UROK	\N	\N
3464274	2983	1997-12-31	PRIJEM	\N	151	37811	UROK	\N	\N
3464275	2983	1998-01-31	PRIJEM	\N	143	29348	UROK	\N	\N
3464276	2983	1998-02-28	PRIJEM	\N	138	37281	UROK	\N	\N
3464277	2983	1998-03-31	PRIJEM	\N	163	41539	UROK	\N	\N
3464278	2983	1998-04-30	PRIJEM	\N	176	43109	UROK	\N	\N
3464279	2983	1998-05-31	PRIJEM	\N	177	42480	UROK	\N	\N
3464280	2983	1998-06-30	PRIJEM	\N	170	39900	UROK	\N	\N
3464281	2983	1998-07-31	PRIJEM	\N	155	32149	UROK	\N	\N
3464282	2983	1998-08-31	PRIJEM	\N	132	31576	UROK	\N	\N
3464283	2983	1998-09-30	PRIJEM	\N	133	32704	UROK	\N	\N
3464284	2983	1998-10-31	PRIJEM	\N	153	39651	UROK	\N	\N
3464285	2983	1998-11-30	PRIJEM	\N	173	43119	UROK	\N	\N
3464286	2983	1998-12-31	PRIJEM	\N	197	49965	UROK	\N	\N
3464287	2993	1996-02-29	PRIJEM	\N	57	62554	UROK	\N	\N
3464288	2993	1996-03-31	PRIJEM	\N	272	66822	UROK	\N	\N
3464289	2993	1996-04-30	PRIJEM	\N	321	87372	UROK	\N	\N
3464290	2993	1996-05-31	PRIJEM	\N	287	100399	UROK	\N	\N
3464291	2993	1996-06-30	PRIJEM	\N	455	103755	UROK	\N	\N
3464292	2993	1996-07-31	PRIJEM	\N	333	79121	UROK	\N	\N
3464293	2993	1996-08-31	PRIJEM	\N	314	69219	UROK	\N	\N
3464294	2993	1996-09-30	PRIJEM	\N	248	33838	UROK	\N	\N
3464295	2993	1996-10-31	PRIJEM	\N	113	21921	UROK	\N	\N
3464296	2993	1996-11-30	PRIJEM	\N	91	25082	UROK	\N	\N
3464297	2993	1996-12-31	PRIJEM	\N	182	65829	UROK	\N	\N
3464298	2993	1997-01-31	PRIJEM	\N	218	47857	UROK	\N	\N
3464299	2993	1997-02-28	PRIJEM	\N	290	58160	UROK	\N	\N
3464300	2993	1997-03-31	PRIJEM	\N	290	68646	UROK	\N	\N
3464301	2993	1997-04-30	PRIJEM	\N	151	25220	UROK	\N	\N
3464302	2993	1997-05-31	PRIJEM	\N	241	60269	UROK	\N	\N
3464303	2993	1997-06-30	PRIJEM	\N	212	50650	UROK	\N	\N
3464304	2993	1997-07-31	PRIJEM	\N	154	32572	UROK	\N	\N
3464305	2993	1997-08-31	PRIJEM	\N	169	46317	UROK	\N	\N
3464306	2993	1997-09-30	PRIJEM	\N	226	68687	UROK	\N	\N
3464307	2993	1997-10-31	PRIJEM	\N	283	55941	UROK	\N	\N
3464308	2993	1997-11-30	PRIJEM	\N	306	101156	UROK	\N	\N
3464309	2993	1997-12-31	PRIJEM	\N	209	62628	UROK	\N	\N
3464310	2993	1998-01-31	PRIJEM	\N	175	31531	UROK	\N	\N
3464311	2993	1998-02-28	PRIJEM	\N	141	43346	UROK	\N	\N
3464312	2993	1998-03-31	PRIJEM	\N	193	67291	UROK	\N	\N
3464313	2993	1998-04-30	PRIJEM	\N	364	91398	UROK	\N	\N
3464314	2993	1998-05-31	PRIJEM	\N	376	71815	UROK	\N	\N
3464315	2993	1998-06-30	PRIJEM	\N	252	24915	UROK	\N	\N
3464316	2993	1998-07-31	PRIJEM	\N	110	38470	UROK	\N	\N
3464317	2993	1998-08-31	PRIJEM	\N	280	89467	UROK	\N	\N
3464318	2993	1998-09-30	PRIJEM	\N	307	89190	UROK	\N	\N
3464319	2993	1998-10-31	PRIJEM	\N	282	52776	UROK	\N	\N
3464320	2993	1998-11-30	PRIJEM	\N	121	36545	UROK	\N	\N
3464321	2993	1998-12-31	PRIJEM	\N	93	14905	UROK	\N	\N
3464322	3000	1993-08-31	PRIJEM	\N	45	17573	UROK	\N	\N
3464323	3000	1993-09-30	PRIJEM	\N	86	22587	UROK	\N	\N
3464324	3000	1993-10-31	PRIJEM	\N	113	29628	UROK	\N	\N
3464325	3000	1993-11-30	PRIJEM	\N	120	28576	UROK	\N	\N
3464326	3000	1993-12-31	PRIJEM	\N	119	28016	UROK	\N	\N
3464327	3000	1994-01-31	PRIJEM	\N	105	22915	UROK	\N	\N
3464328	3000	1994-02-28	PRIJEM	\N	121	30490	UROK	\N	\N
3464329	3000	1994-03-31	PRIJEM	\N	129	31432	UROK	\N	\N
3464330	3000	1994-04-30	PRIJEM	\N	151	31996	UROK	\N	\N
3464331	3000	1994-05-31	PRIJEM	\N	153	31762	UROK	\N	\N
3464332	3000	1994-06-30	PRIJEM	\N	153	39043	UROK	\N	\N
3464333	3000	1994-07-31	PRIJEM	\N	163	39319	UROK	\N	\N
3464334	3000	1994-08-31	PRIJEM	\N	159	37791	UROK	\N	\N
3464335	3000	1994-09-30	PRIJEM	\N	154	36658	UROK	\N	\N
3464336	3000	1994-10-31	PRIJEM	\N	158	38629	UROK	\N	\N
3464337	3000	1994-11-30	PRIJEM	\N	162	39204	UROK	\N	\N
3464338	3000	1994-12-31	PRIJEM	\N	161	39413	UROK	\N	\N
3464339	3000	1995-01-31	PRIJEM	\N	142	28348	UROK	\N	\N
3464340	3000	1995-02-28	PRIJEM	\N	137	29399	UROK	\N	\N
3464341	3000	1995-03-31	PRIJEM	\N	141	36053	UROK	\N	\N
3464342	3000	1995-04-30	PRIJEM	\N	166	41733	UROK	\N	\N
3464343	3000	1995-05-31	PRIJEM	\N	178	42383	UROK	\N	\N
3464344	3000	1995-06-30	PRIJEM	\N	129	24000	UROK	\N	\N
3464345	3000	1995-07-31	PRIJEM	\N	130	34443	UROK	\N	\N
3464346	3000	1995-08-31	PRIJEM	\N	161	40617	UROK	\N	\N
3464347	3000	1995-09-30	PRIJEM	\N	171	42522	UROK	\N	\N
3464348	3000	1995-10-31	PRIJEM	\N	184	45219	UROK	\N	\N
3464349	3000	1995-11-30	PRIJEM	\N	186	44818	UROK	\N	\N
3464350	3000	1995-12-31	PRIJEM	\N	168	41213	UROK	\N	\N
3464351	3000	1996-01-31	PRIJEM	\N	124	29171	UROK	\N	\N
3464352	3000	1996-02-29	PRIJEM	\N	121	30666	UROK	\N	\N
3464353	3000	1996-03-31	PRIJEM	\N	130	34410	UROK	\N	\N
3464354	3000	1996-04-30	PRIJEM	\N	142	33705	UROK	\N	\N
3464355	3000	1996-05-31	PRIJEM	\N	142	35441	UROK	\N	\N
3464356	3000	1996-06-30	PRIJEM	\N	138	34506	UROK	\N	\N
3464357	3000	1996-07-31	PRIJEM	\N	145	38964	UROK	\N	\N
3464358	3000	1996-08-31	PRIJEM	\N	178	43895	UROK	\N	\N
3464359	3000	1996-09-30	PRIJEM	\N	185	47153	UROK	\N	\N
3464360	3000	1996-10-31	PRIJEM	\N	197	50164	UROK	\N	\N
3464361	3000	1996-11-30	PRIJEM	\N	221	51338	UROK	\N	\N
3464362	3000	1996-12-31	PRIJEM	\N	230	55095	UROK	\N	\N
3464363	3000	1997-01-31	PRIJEM	\N	214	48643	UROK	\N	\N
3464364	3000	1997-02-28	PRIJEM	\N	204	52860	UROK	\N	\N
3464365	3000	1997-03-31	PRIJEM	\N	223	58397	UROK	\N	\N
3464366	3000	1997-04-30	PRIJEM	\N	250	59801	UROK	\N	\N
3464367	3000	1997-05-31	PRIJEM	\N	251	63965	UROK	\N	\N
3464368	3000	1997-06-30	PRIJEM	\N	243	23695	UROK	\N	\N
3464369	3000	1997-07-31	PRIJEM	\N	118	42127	UROK	\N	\N
3464370	3000	1997-08-31	PRIJEM	\N	184	50924	UROK	\N	\N
3464371	3000	1997-09-30	PRIJEM	\N	215	54852	UROK	\N	\N
3464372	3000	1997-10-31	PRIJEM	\N	232	59498	UROK	\N	\N
3464373	3000	1997-11-30	PRIJEM	\N	249	62560	UROK	\N	\N
3464374	3000	1997-12-31	PRIJEM	\N	261	63828	UROK	\N	\N
3464375	3000	1998-01-31	PRIJEM	\N	248	56069	UROK	\N	\N
3464376	3000	1998-02-28	PRIJEM	\N	239	61622	UROK	\N	\N
3464377	3000	1998-03-31	PRIJEM	\N	257	64292	UROK	\N	\N
3464378	3000	1998-04-30	PRIJEM	\N	264	64670	UROK	\N	\N
3464379	3000	1998-05-31	PRIJEM	\N	261	59344	UROK	\N	\N
3464380	3000	1998-06-30	PRIJEM	\N	210	32261	UROK	\N	\N
3464381	3000	1998-07-31	PRIJEM	\N	161	49035	UROK	\N	\N
3464382	3000	1998-08-31	PRIJEM	\N	215	56764	UROK	\N	\N
3464383	3000	1998-09-30	PRIJEM	\N	230	53247	UROK	\N	\N
3464384	3000	1998-10-31	PRIJEM	\N	224	56684	UROK	\N	\N
3464385	3000	1998-11-30	PRIJEM	\N	245	62023	UROK	\N	\N
3464386	3000	1998-12-31	PRIJEM	\N	266	66097	UROK	\N	\N
3464387	3001	1993-04-30	PRIJEM	\N	18	14718	UROK	\N	\N
3464388	3001	1993-05-31	PRIJEM	\N	70	21189	UROK	\N	\N
3464389	3001	1993-06-30	PRIJEM	\N	93	23881	UROK	\N	\N
3464390	3001	1993-07-31	PRIJEM	\N	101	24468	UROK	\N	\N
3464391	3001	1993-08-31	PRIJEM	\N	147	40530	UROK	\N	\N
3464392	3001	1993-09-30	PRIJEM	\N	157	33423	UROK	\N	\N
3464393	3001	1993-10-31	PRIJEM	\N	145	50072	UROK	\N	\N
3464394	3001	1993-11-30	PRIJEM	\N	188	37445	UROK	\N	\N
3464395	3001	1993-12-31	PRIJEM	\N	139	28670	UROK	\N	\N
3464396	3001	1994-01-31	PRIJEM	\N	87	15092	UROK	\N	\N
3464397	3001	1994-02-28	PRIJEM	\N	74	21452	UROK	\N	\N
3464398	3001	1994-03-31	PRIJEM	\N	92	22728	UROK	\N	\N
3464399	3001	1994-04-30	PRIJEM	\N	94	21858	UROK	\N	\N
3464400	3001	1994-05-31	PRIJEM	\N	89	20632	UROK	\N	\N
3464401	3001	1994-06-30	PRIJEM	\N	99	25816	UROK	\N	\N
3464402	3001	1994-07-31	PRIJEM	\N	189	41175	UROK	\N	\N
3464403	3001	1994-08-31	PRIJEM	\N	162	37073	UROK	\N	\N
3464404	3001	1994-09-30	PRIJEM	\N	146	33204	UROK	\N	\N
3464405	3001	1994-10-31	PRIJEM	\N	139	33928	UROK	\N	\N
3464406	3001	1994-11-30	PRIJEM	\N	142	58625	UROK	\N	\N
3464407	3001	1994-12-31	PRIJEM	\N	209	44619	UROK	\N	\N
3464408	3001	1995-01-31	PRIJEM	\N	133	22387	UROK	\N	\N
3464409	3001	1995-02-28	PRIJEM	\N	106	28879	UROK	\N	\N
3464410	3001	1995-03-31	PRIJEM	\N	119	28684	UROK	\N	\N
3464411	3001	1995-04-30	PRIJEM	\N	125	31794	UROK	\N	\N
3464412	3001	1995-05-31	PRIJEM	\N	134	32713	UROK	\N	\N
3464413	3001	1995-06-30	PRIJEM	\N	127	29126	UROK	\N	\N
3464414	3001	1995-07-31	PRIJEM	\N	116	26827	UROK	\N	\N
3464415	3001	1995-08-31	PRIJEM	\N	107	25820	UROK	\N	\N
3464416	3001	1995-09-30	PRIJEM	\N	111	28117	UROK	\N	\N
3464417	3001	1995-10-31	PRIJEM	\N	112	26514	UROK	\N	\N
3464418	3001	1995-11-30	PRIJEM	\N	108	26408	UROK	\N	\N
3464419	3001	1995-12-31	PRIJEM	\N	202	61135	UROK	\N	\N
3464420	3001	1996-01-31	PRIJEM	\N	210	43487	UROK	\N	\N
3464421	3001	1996-02-29	PRIJEM	\N	169	37141	UROK	\N	\N
3464422	3001	1996-03-31	PRIJEM	\N	152	36678	UROK	\N	\N
3464423	3001	1996-04-30	PRIJEM	\N	149	36112	UROK	\N	\N
3464424	3001	1996-05-31	PRIJEM	\N	152	37050	UROK	\N	\N
3464425	3001	1996-06-30	PRIJEM	\N	112	24047	UROK	\N	\N
3464426	3001	1996-07-31	PRIJEM	\N	114	29397	UROK	\N	\N
3464427	3001	1996-08-31	PRIJEM	\N	205	57435	UROK	\N	\N
3464428	3001	1996-09-30	PRIJEM	\N	207	45728	UROK	\N	\N
3464429	3001	1996-10-31	PRIJEM	\N	176	39489	UROK	\N	\N
3464430	3001	1996-11-30	PRIJEM	\N	157	36631	UROK	\N	\N
3464431	3001	1996-12-31	PRIJEM	\N	141	35057	UROK	\N	\N
3464432	3001	1997-01-31	PRIJEM	\N	117	26959	UROK	\N	\N
3464433	3001	1997-02-28	PRIJEM	\N	126	33970	UROK	\N	\N
3464434	3001	1997-03-31	PRIJEM	\N	146	37002	UROK	\N	\N
3464435	3001	1997-04-30	PRIJEM	\N	160	41738	UROK	\N	\N
3464436	3001	1997-05-31	PRIJEM	\N	167	40089	UROK	\N	\N
3464437	3001	1997-06-30	PRIJEM	\N	82	18756	UROK	\N	\N
3464438	3001	1997-07-31	PRIJEM	\N	95	32337	UROK	\N	\N
3464439	3001	1997-08-31	PRIJEM	\N	133	35855	UROK	\N	\N
3464440	3001	1997-09-30	PRIJEM	\N	151	39391	UROK	\N	\N
3464441	3001	1997-10-31	PRIJEM	\N	163	37040	UROK	\N	\N
3464442	3001	1997-11-30	PRIJEM	\N	259	58776	UROK	\N	\N
3464443	3001	1997-12-31	PRIJEM	\N	228	42540	UROK	\N	\N
3464444	3001	1998-01-31	PRIJEM	\N	161	31792	UROK	\N	\N
3464445	3001	1998-02-28	PRIJEM	\N	131	29608	UROK	\N	\N
3464446	3001	1998-03-31	PRIJEM	\N	121	26714	UROK	\N	\N
3464447	3001	1998-04-30	PRIJEM	\N	202	50954	UROK	\N	\N
3464448	3001	1998-05-31	PRIJEM	\N	204	40443	UROK	\N	\N
3464449	3001	1998-06-30	PRIJEM	\N	134	22863	UROK	\N	\N
3464450	3001	1998-07-31	PRIJEM	\N	99	30448	UROK	\N	\N
3464451	3001	1998-08-31	PRIJEM	\N	126	31559	UROK	\N	\N
3464452	3001	1998-09-30	PRIJEM	\N	127	29771	UROK	\N	\N
3464453	3001	1998-10-31	PRIJEM	\N	120	28476	UROK	\N	\N
3464454	3001	1998-11-30	PRIJEM	\N	113	27225	UROK	\N	\N
3464455	3001	1998-12-31	PRIJEM	\N	108	26618	UROK	\N	\N
3464456	3003	1994-03-31	PRIJEM	\N	20	29110	UROK	\N	\N
3464457	3003	1994-04-30	PRIJEM	\N	121	26431	UROK	\N	\N
3464458	3003	1994-05-31	PRIJEM	\N	126	34641	UROK	\N	\N
3464459	3003	1994-06-30	PRIJEM	\N	144	31285	UROK	\N	\N
3464460	3003	1994-07-31	PRIJEM	\N	144	30529	UROK	\N	\N
3464461	3003	1994-08-31	PRIJEM	\N	144	26973	UROK	\N	\N
3464462	3003	1994-09-30	PRIJEM	\N	144	24017	UROK	\N	\N
3464463	3003	1994-10-31	PRIJEM	\N	144	24060	UROK	\N	\N
3464464	3003	1994-11-30	PRIJEM	\N	144	25304	UROK	\N	\N
3464465	3003	1994-12-31	PRIJEM	\N	144	25548	UROK	\N	\N
3464466	3003	1995-01-31	PRIJEM	\N	144	24692	UROK	\N	\N
3464467	3003	1995-02-28	PRIJEM	\N	144	25036	UROK	\N	\N
3464468	3003	1995-03-31	PRIJEM	\N	144	28379	UROK	\N	\N
3464469	3003	1995-04-30	PRIJEM	\N	155	60716	UROK	\N	\N
3464470	3003	1995-05-31	PRIJEM	\N	252	46468	UROK	\N	\N
3464471	3003	1995-06-30	PRIJEM	\N	246	56711	UROK	\N	\N
3464472	3003	1995-07-31	PRIJEM	\N	235	43347	UROK	\N	\N
3464473	3003	1995-08-31	PRIJEM	\N	235	36982	UROK	\N	\N
3464474	3003	1995-09-30	PRIJEM	\N	235	36017	UROK	\N	\N
3464475	3003	1995-10-31	PRIJEM	\N	235	36952	UROK	\N	\N
3464476	3003	1995-11-30	PRIJEM	\N	235	36288	UROK	\N	\N
3464477	3003	1995-12-31	PRIJEM	\N	235	37523	UROK	\N	\N
3464478	3003	1996-01-31	PRIJEM	\N	233	36856	UROK	\N	\N
3464479	3003	1996-02-29	PRIJEM	\N	168	37087	UROK	\N	\N
3464480	3003	1996-03-31	PRIJEM	\N	173	45858	UROK	\N	\N
3464481	3003	1996-04-30	PRIJEM	\N	178	40422	UROK	\N	\N
3464482	3003	1996-05-31	PRIJEM	\N	168	40475	UROK	\N	\N
3464483	3003	1996-06-30	PRIJEM	\N	160	19320	UROK	\N	\N
3464484	3003	1996-07-31	PRIJEM	\N	91	25896	UROK	\N	\N
3464485	3003	1996-08-31	PRIJEM	\N	107	27788	UROK	\N	\N
3464486	3003	1996-09-30	PRIJEM	\N	115	32289	UROK	\N	\N
3464487	3003	1996-10-31	PRIJEM	\N	134	38709	UROK	\N	\N
3464488	3003	1996-11-30	PRIJEM	\N	161	42755	UROK	\N	\N
3464489	3003	1996-12-31	PRIJEM	\N	177	41517	UROK	\N	\N
3464490	3003	1997-01-31	PRIJEM	\N	160	34863	UROK	\N	\N
3464491	3003	1997-02-28	PRIJEM	\N	145	40693	UROK	\N	\N
3464492	3003	1997-03-31	PRIJEM	\N	169	45847	UROK	\N	\N
3464493	3003	1997-04-30	PRIJEM	\N	190	49522	UROK	\N	\N
3464494	3003	1997-05-31	PRIJEM	\N	277	94829	UROK	\N	\N
3464495	3003	1997-06-30	PRIJEM	\N	269	46684	UROK	\N	\N
3464496	3003	1997-07-31	PRIJEM	\N	211	52780	UROK	\N	\N
3464497	3003	1997-08-31	PRIJEM	\N	218	56384	UROK	\N	\N
3464498	3003	1997-09-30	PRIJEM	\N	307	78954	UROK	\N	\N
3464499	3003	1997-10-31	PRIJEM	\N	326	72965	UROK	\N	\N
3464500	3003	1997-11-30	PRIJEM	\N	301	70652	UROK	\N	\N
3464501	3003	1997-12-31	PRIJEM	\N	283	66470	UROK	\N	\N
3464502	3003	1998-01-31	PRIJEM	\N	246	55802	UROK	\N	\N
3464503	3003	1998-02-28	PRIJEM	\N	244	60732	UROK	\N	\N
3464504	3003	1998-03-31	PRIJEM	\N	250	63367	UROK	\N	\N
3464505	3003	1998-04-30	PRIJEM	\N	267	65920	UROK	\N	\N
3464506	3003	1998-05-31	PRIJEM	\N	297	72852	UROK	\N	\N
3464507	3003	1998-06-30	PRIJEM	\N	269	59806	UROK	\N	\N
3464508	3003	1998-07-31	PRIJEM	\N	247	72739	UROK	\N	\N
3464509	3003	1998-08-31	PRIJEM	\N	301	81025	UROK	\N	\N
3464510	3003	1998-09-30	PRIJEM	\N	335	86945	UROK	\N	\N
3464511	3003	1998-10-31	PRIJEM	\N	394	107816	UROK	\N	\N
3464512	3003	1998-11-30	PRIJEM	\N	428	102530	UROK	\N	\N
3464513	3003	1998-12-31	PRIJEM	\N	425	91828	UROK	\N	\N
3464514	3010	1995-10-31	PRIJEM	\N	27	25337	UROK	\N	\N
3464515	3010	1995-11-30	PRIJEM	\N	106	27643	UROK	\N	\N
3464516	3010	1995-12-31	PRIJEM	\N	106	28348	UROK	\N	\N
3464517	3010	1996-01-31	PRIJEM	\N	106	27054	UROK	\N	\N
3464518	3010	1996-02-29	PRIJEM	\N	106	29759	UROK	\N	\N
3464519	3010	1996-03-31	PRIJEM	\N	106	30965	UROK	\N	\N
3464520	3010	1996-04-30	PRIJEM	\N	106	32870	UROK	\N	\N
3464521	3010	1996-05-31	PRIJEM	\N	106	32875	UROK	\N	\N
3464522	3010	1996-06-30	PRIJEM	\N	106	35481	UROK	\N	\N
3464523	3010	1996-07-31	PRIJEM	\N	113	43363	UROK	\N	\N
3464524	3010	1996-08-31	PRIJEM	\N	180	42743	UROK	\N	\N
3464525	3010	1996-09-30	PRIJEM	\N	182	44039	UROK	\N	\N
3464526	3010	1996-10-31	PRIJEM	\N	183	42922	UROK	\N	\N
3464527	3010	1996-11-30	PRIJEM	\N	183	40004	UROK	\N	\N
3464528	3010	1996-12-31	PRIJEM	\N	183	39987	UROK	\N	\N
3464529	3010	1997-01-31	PRIJEM	\N	183	37570	UROK	\N	\N
3464530	3010	1997-02-28	PRIJEM	\N	183	39152	UROK	\N	\N
3464531	3010	1997-03-31	PRIJEM	\N	183	38635	UROK	\N	\N
3464532	3010	1997-04-30	PRIJEM	\N	183	40018	UROK	\N	\N
3464533	3010	1997-05-31	PRIJEM	\N	183	38601	UROK	\N	\N
3464534	3010	1997-06-30	PRIJEM	\N	183	35683	UROK	\N	\N
3464535	3010	1997-07-31	PRIJEM	\N	266	82345	UROK	\N	\N
3464536	3010	1997-08-31	PRIJEM	\N	340	58270	UROK	\N	\N
3464537	3010	1997-09-30	PRIJEM	\N	241	49097	UROK	\N	\N
3464538	3010	1997-10-31	PRIJEM	\N	200	43282	UROK	\N	\N
3464539	3010	1997-11-30	PRIJEM	\N	181	44948	UROK	\N	\N
3464540	3010	1997-12-31	PRIJEM	\N	185	43519	UROK	\N	\N
3464541	3010	1998-02-28	PRIJEM	\N	201	45483	UROK	\N	\N
3464542	3010	1998-02-28	PRIJEM	\N	193	45282	UROK	\N	\N
3464543	3010	1998-03-31	PRIJEM	\N	203	67016	UROK	\N	\N
3464544	3010	1998-04-30	PRIJEM	\N	249	57650	UROK	\N	\N
3464545	3010	1998-05-31	PRIJEM	\N	230	52566	UROK	\N	\N
3464546	3010	1998-06-30	PRIJEM	\N	217	44868	UROK	\N	\N
3464547	3010	1998-07-31	PRIJEM	\N	190	53644	UROK	\N	\N
3464548	3010	1998-08-31	PRIJEM	\N	224	59054	UROK	\N	\N
3464549	3010	1998-09-30	PRIJEM	\N	255	75254	UROK	\N	\N
3464550	3010	1998-10-31	PRIJEM	\N	314	79553	UROK	\N	\N
3464551	3010	1998-11-30	PRIJEM	\N	331	81070	UROK	\N	\N
3464552	3020	1996-08-31	PRIJEM	\N	10	5613	UROK	\N	\N
3464553	3020	1996-09-30	PRIJEM	\N	45	16657	UROK	\N	\N
3464554	3020	1996-10-31	PRIJEM	\N	83	21726	UROK	\N	\N
3464555	3020	1996-11-30	PRIJEM	\N	105	28415	UROK	\N	\N
3464556	3020	1996-12-31	PRIJEM	\N	124	31124	UROK	\N	\N
3464557	3020	1997-01-31	PRIJEM	\N	116	21926	UROK	\N	\N
3464558	3020	1997-02-28	PRIJEM	\N	102	28013	UROK	\N	\N
3464559	3020	1997-03-31	PRIJEM	\N	130	34729	UROK	\N	\N
3464560	3020	1997-04-30	PRIJEM	\N	145	34759	UROK	\N	\N
3464561	3020	1997-05-31	PRIJEM	\N	150	37294	UROK	\N	\N
3464562	3020	1997-06-30	PRIJEM	\N	122	21802	UROK	\N	\N
3464563	3020	1997-07-31	PRIJEM	\N	113	30900	UROK	\N	\N
3464564	3020	1997-08-31	PRIJEM	\N	134	33720	UROK	\N	\N
3464565	3020	1997-09-30	PRIJEM	\N	166	44671	UROK	\N	\N
3464566	3020	1997-10-31	PRIJEM	\N	191	47748	UROK	\N	\N
3464567	3020	1997-11-30	PRIJEM	\N	340	88152	UROK	\N	\N
3464568	3020	1997-12-31	PRIJEM	\N	335	77956	UROK	\N	\N
3464569	3020	1998-01-31	PRIJEM	\N	238	52729	UROK	\N	\N
3464570	3020	1998-02-28	PRIJEM	\N	210	50774	UROK	\N	\N
3464571	3020	1998-03-31	PRIJEM	\N	219	54479	UROK	\N	\N
3464572	3020	1998-04-30	PRIJEM	\N	246	68677	UROK	\N	\N
3464573	3020	1998-05-31	PRIJEM	\N	270	65183	UROK	\N	\N
3464574	3020	1998-06-30	PRIJEM	\N	165	42533	UROK	\N	\N
3464575	3020	1998-07-31	PRIJEM	\N	183	52102	UROK	\N	\N
3464576	3020	1998-08-31	PRIJEM	\N	231	57706	UROK	\N	\N
3464577	3020	1998-09-30	PRIJEM	\N	243	56935	UROK	\N	\N
3464578	3020	1998-10-31	PRIJEM	\N	238	53058	UROK	\N	\N
3464579	3020	1998-11-30	PRIJEM	\N	221	48964	UROK	\N	\N
3464580	3020	1998-12-31	PRIJEM	\N	204	49854	UROK	\N	\N
3464581	3036	1994-04-30	PRIJEM	\N	84	43334	UROK	\N	\N
3464582	3036	1994-05-31	PRIJEM	\N	180	35814	UROK	\N	\N
3464583	3036	1994-06-30	PRIJEM	\N	209	82761	UROK	\N	\N
3464584	3036	1994-07-31	PRIJEM	\N	344	52304	UROK	\N	\N
3464585	3036	1994-08-31	PRIJEM	\N	232	48007	UROK	\N	\N
3464586	3036	1994-09-30	PRIJEM	\N	199	34406	UROK	\N	\N
3464587	3036	1994-10-31	PRIJEM	\N	196	38022	UROK	\N	\N
3464588	3036	1994-11-30	PRIJEM	\N	110	19774	UROK	\N	\N
3464589	3036	1994-12-31	PRIJEM	\N	83	21842	UROK	\N	\N
3464590	3036	1995-01-31	PRIJEM	\N	125	48194	UROK	\N	\N
3464591	3036	1995-02-28	PRIJEM	\N	195	29279	UROK	\N	\N
3464592	3036	1995-03-31	PRIJEM	\N	122	28786	UROK	\N	\N
3464593	3036	1995-04-30	PRIJEM	\N	104	23011	UROK	\N	\N
3464594	3036	1995-05-31	PRIJEM	\N	95	22192	UROK	\N	\N
3464595	3036	1995-06-30	PRIJEM	\N	93	26870	UROK	\N	\N
3464596	3036	1995-07-31	PRIJEM	\N	101	22773	UROK	\N	\N
3464597	3036	1995-08-31	PRIJEM	\N	110	61621	UROK	\N	\N
3464598	3036	1995-09-30	PRIJEM	\N	249	34655	UROK	\N	\N
3464599	3036	1995-10-31	PRIJEM	\N	143	29683	UROK	\N	\N
3464600	3036	1995-11-30	PRIJEM	\N	185	48290	UROK	\N	\N
3464601	3036	1995-12-31	PRIJEM	\N	295	64244	UROK	\N	\N
3464602	3036	1996-01-31	PRIJEM	\N	127	21356	UROK	\N	\N
3464603	3036	1996-02-29	PRIJEM	\N	88	21430	UROK	\N	\N
3464604	3036	1996-03-31	PRIJEM	\N	87	21709	UROK	\N	\N
3464605	3036	1996-04-30	PRIJEM	\N	89	16584	UROK	\N	\N
3464606	3036	1996-05-31	PRIJEM	\N	72	24770	UROK	\N	\N
3464607	3036	1996-06-30	PRIJEM	\N	102	20257	UROK	\N	\N
3464608	3036	1996-07-31	PRIJEM	\N	83	15925	UROK	\N	\N
3464609	3036	1996-09-30	PRIJEM	\N	68	35246	UROK	\N	\N
3464610	3036	1996-09-30	PRIJEM	\N	79	35178	UROK	\N	\N
3464611	3036	1996-10-31	PRIJEM	\N	150	41033	UROK	\N	\N
3464612	3036	1996-11-30	PRIJEM	\N	159	22578	UROK	\N	\N
3464613	3036	1996-12-31	PRIJEM	\N	92	13755	UROK	\N	\N
3464614	3036	1997-01-31	PRIJEM	\N	57	19600	UROK	\N	\N
3464615	3036	1997-02-28	PRIJEM	\N	79	15047	UROK	\N	\N
3464616	3036	1997-03-31	PRIJEM	\N	119	24099	UROK	\N	\N
3464617	3036	1997-04-30	PRIJEM	\N	101	26759	UROK	\N	\N
3464618	3036	1997-05-31	PRIJEM	\N	109	17753	UROK	\N	\N
3464619	3036	1997-06-30	PRIJEM	\N	83	27713	UROK	\N	\N
3464620	3036	1997-07-31	PRIJEM	\N	224	60442	UROK	\N	\N
3464621	3036	1997-08-31	PRIJEM	\N	172	22207	UROK	\N	\N
3464622	3036	1997-09-30	PRIJEM	\N	103	44092	UROK	\N	\N
3464623	3036	1997-10-31	PRIJEM	\N	137	37097	UROK	\N	\N
3464624	3036	1997-11-30	PRIJEM	\N	151	28933	UROK	\N	\N
3464625	3036	1997-12-31	PRIJEM	\N	143	54845	UROK	\N	\N
3464626	3036	1998-01-31	PRIJEM	\N	192	24081	UROK	\N	\N
3464627	3036	1998-02-28	PRIJEM	\N	97	19964	UROK	\N	\N
3464628	3036	1998-03-31	PRIJEM	\N	99	28413	UROK	\N	\N
3464629	3036	1998-04-30	PRIJEM	\N	186	76427	UROK	\N	\N
3464630	3036	1998-05-31	PRIJEM	\N	272	48795	UROK	\N	\N
3464631	3036	1998-06-30	PRIJEM	\N	198	29778	UROK	\N	\N
3464632	3036	1998-07-31	PRIJEM	\N	222	62710	UROK	\N	\N
3464633	3036	1998-08-31	PRIJEM	\N	244	28259	UROK	\N	\N
3464634	3036	1998-09-30	PRIJEM	\N	176	43576	UROK	\N	\N
3464635	3036	1998-10-31	PRIJEM	\N	126	20327	UROK	\N	\N
3464636	3036	1998-11-30	PRIJEM	\N	81	16093	UROK	\N	\N
3464637	3058	1994-11-30	PRIJEM	\N	30	24043	UROK	\N	\N
3464638	3058	1994-12-31	PRIJEM	\N	119	38532	UROK	\N	\N
3464639	3058	1995-01-31	PRIJEM	\N	166	42711	UROK	\N	\N
3464640	3058	1995-02-28	PRIJEM	\N	179	44203	UROK	\N	\N
3464641	3058	1995-03-31	PRIJEM	\N	185	45301	UROK	\N	\N
3464642	3058	1995-04-30	PRIJEM	\N	191	46790	UROK	\N	\N
3464643	3058	1995-05-31	PRIJEM	\N	210	43779	UROK	\N	\N
3464644	3058	1995-06-30	PRIJEM	\N	191	44565	UROK	\N	\N
3464645	3058	1995-07-31	PRIJEM	\N	196	41519	UROK	\N	\N
3464646	3058	1995-08-31	PRIJEM	\N	177	43794	UROK	\N	\N
3464647	3058	1995-09-30	PRIJEM	\N	178	38610	UROK	\N	\N
3464648	3058	1995-10-31	PRIJEM	\N	160	38369	UROK	\N	\N
3464649	3058	1995-11-30	PRIJEM	\N	158	37825	UROK	\N	\N
3464650	3058	1995-12-31	PRIJEM	\N	169	43249	UROK	\N	\N
3464651	3058	1996-01-31	PRIJEM	\N	157	25085	UROK	\N	\N
3464652	3058	1996-02-29	PRIJEM	\N	127	35810	UROK	\N	\N
3464653	3058	1996-03-31	PRIJEM	\N	162	41870	UROK	\N	\N
3464654	3058	1996-04-30	PRIJEM	\N	171	40740	UROK	\N	\N
3464655	3058	1996-05-31	PRIJEM	\N	171	41809	UROK	\N	\N
3464656	3058	1996-06-30	PRIJEM	\N	159	23203	UROK	\N	\N
3464657	3058	1996-07-31	PRIJEM	\N	112	30014	UROK	\N	\N
3464658	3058	1996-08-31	PRIJEM	\N	126	30578	UROK	\N	\N
3464659	3058	1996-09-30	PRIJEM	\N	160	43835	UROK	\N	\N
3464660	3058	1996-10-31	PRIJEM	\N	198	50432	UROK	\N	\N
3464661	3058	1996-11-30	PRIJEM	\N	214	52764	UROK	\N	\N
3464662	3058	1996-12-31	PRIJEM	\N	252	64531	UROK	\N	\N
3464663	3058	1997-01-31	PRIJEM	\N	236	52365	UROK	\N	\N
3464664	3058	1997-02-28	PRIJEM	\N	229	57593	UROK	\N	\N
3464665	3058	1997-03-31	PRIJEM	\N	248	61239	UROK	\N	\N
3464666	3058	1997-04-30	PRIJEM	\N	252	58589	UROK	\N	\N
3464667	3058	1997-05-31	PRIJEM	\N	254	63581	UROK	\N	\N
3464668	3058	1997-06-30	PRIJEM	\N	241	49856	UROK	\N	\N
3464669	3058	1997-07-31	PRIJEM	\N	224	56778	UROK	\N	\N
3464670	3058	1997-08-31	PRIJEM	\N	252	63628	UROK	\N	\N
3464671	3058	1997-09-30	PRIJEM	\N	260	61887	UROK	\N	\N
3464672	3058	1997-10-31	PRIJEM	\N	267	66452	UROK	\N	\N
3464673	3058	1997-11-30	PRIJEM	\N	270	64401	UROK	\N	\N
3464674	3058	1997-12-31	PRIJEM	\N	261	70897	UROK	\N	\N
3464675	3058	1998-01-31	PRIJEM	\N	230	52625	UROK	\N	\N
3464676	3058	1998-02-28	PRIJEM	\N	221	54545	UROK	\N	\N
3464677	3058	1998-03-31	PRIJEM	\N	230	56673	UROK	\N	\N
3464678	3058	1998-04-30	PRIJEM	\N	234	54886	UROK	\N	\N
3464679	3058	1998-05-31	PRIJEM	\N	239	60023	UROK	\N	\N
3464680	3058	1998-06-30	PRIJEM	\N	268	68345	UROK	\N	\N
3464681	3058	1998-07-31	PRIJEM	\N	267	62050	UROK	\N	\N
3464682	3058	1998-08-31	PRIJEM	\N	251	60500	UROK	\N	\N
3464683	3058	1998-09-30	PRIJEM	\N	244	58843	UROK	\N	\N
3464684	3058	1998-10-31	PRIJEM	\N	243	59283	UROK	\N	\N
3464685	3058	1998-11-30	PRIJEM	\N	230	52912	UROK	\N	\N
3464686	3058	1998-12-31	PRIJEM	\N	245	62492	UROK	\N	\N
3464687	3089	1996-07-31	PRIJEM	\N	170	63101	UROK	\N	\N
3464688	3089	1996-08-31	PRIJEM	\N	291	77043	UROK	\N	\N
3464689	3089	1996-09-30	PRIJEM	\N	339	96292	UROK	\N	\N
3464690	3089	1996-10-31	PRIJEM	\N	296	62267	UROK	\N	\N
3464691	3089	1996-11-30	PRIJEM	\N	253	38096	UROK	\N	\N
3464692	3089	1996-12-31	PRIJEM	\N	179	37265	UROK	\N	\N
3464693	3089	1997-01-31	PRIJEM	\N	96	24837	UROK	\N	\N
3464694	3089	1997-02-28	PRIJEM	\N	112	36512	UROK	\N	\N
3464695	3089	1997-03-31	PRIJEM	\N	137	34373	UROK	\N	\N
3464696	3089	1997-04-30	PRIJEM	\N	179	55608	UROK	\N	\N
3464697	3089	1997-05-31	PRIJEM	\N	289	46537	UROK	\N	\N
3464698	3089	1997-06-30	PRIJEM	\N	186	32168	UROK	\N	\N
3464699	3089	1997-07-31	PRIJEM	\N	142	41014	UROK	\N	\N
3464700	3089	1997-08-31	PRIJEM	\N	181	79303	UROK	\N	\N
3464701	3089	1997-09-30	PRIJEM	\N	334	71391	UROK	\N	\N
3464702	3089	1997-10-31	PRIJEM	\N	281	54442	UROK	\N	\N
3464703	3089	1997-11-30	PRIJEM	\N	240	69159	UROK	\N	\N
3464704	3089	1997-12-31	PRIJEM	\N	324	79654	UROK	\N	\N
3464705	3089	1998-01-31	PRIJEM	\N	235	48734	UROK	\N	\N
3464706	3089	1998-02-28	PRIJEM	\N	272	60202	UROK	\N	\N
3464707	3089	1998-03-31	PRIJEM	\N	203	67046	UROK	\N	\N
3464708	3089	1998-04-30	PRIJEM	\N	284	80253	UROK	\N	\N
3464709	3089	1998-05-31	PRIJEM	\N	326	81112	UROK	\N	\N
3464710	3089	1998-06-30	PRIJEM	\N	239	43692	UROK	\N	\N
3464711	3089	1998-07-31	PRIJEM	\N	230	84786	UROK	\N	\N
3464712	3089	1998-08-31	PRIJEM	\N	356	68345	UROK	\N	\N
3464713	3089	1998-09-30	PRIJEM	\N	270	60522	UROK	\N	\N
3464714	3089	1998-10-31	PRIJEM	\N	242	44461	UROK	\N	\N
3464715	3089	1998-11-30	PRIJEM	\N	311	60356	UROK	\N	\N
3464716	3089	1998-12-31	PRIJEM	\N	351	93070	UROK	\N	\N
3464717	3106	1997-10-31	PRIJEM	\N	39	51709	UROK	\N	\N
3464718	3106	1997-11-30	PRIJEM	\N	224	62841	UROK	\N	\N
3464719	3106	1997-12-31	PRIJEM	\N	286	99805	UROK	\N	\N
3464720	3106	1998-01-31	PRIJEM	\N	325	48858	UROK	\N	\N
3464721	3106	1998-02-28	PRIJEM	\N	204	43036	UROK	\N	\N
3464722	3106	1998-03-31	PRIJEM	\N	178	37084	UROK	\N	\N
3464723	3106	1998-04-30	PRIJEM	\N	169	40775	UROK	\N	\N
3464724	3106	1998-05-31	PRIJEM	\N	169	35514	UROK	\N	\N
3464725	3106	1998-06-30	PRIJEM	\N	188	85712	UROK	\N	\N
3464726	3106	1998-07-31	PRIJEM	\N	309	56870	UROK	\N	\N
3464727	3106	1998-08-31	PRIJEM	\N	245	55901	UROK	\N	\N
3464728	3106	1998-09-30	PRIJEM	\N	231	53197	UROK	\N	\N
3464729	3106	1998-10-31	PRIJEM	\N	220	42187	UROK	\N	\N
3464730	3106	1998-11-30	PRIJEM	\N	175	37431	UROK	\N	\N
3464731	3106	1998-12-31	PRIJEM	\N	141	45057	UROK	\N	\N
3464732	3110	1997-01-31	PRIJEM	\N	6	2506	UROK	\N	\N
3464733	3110	1997-02-28	PRIJEM	\N	34	14640	UROK	\N	\N
3464734	3110	1997-03-31	PRIJEM	\N	82	24422	UROK	\N	\N
3464735	3110	1997-04-30	PRIJEM	\N	118	30940	UROK	\N	\N
3464736	3110	1997-05-31	PRIJEM	\N	136	73875	UROK	\N	\N
3464737	3110	1997-06-30	PRIJEM	\N	220	25754	UROK	\N	\N
3464738	3110	1997-07-31	PRIJEM	\N	123	33463	UROK	\N	\N
3464739	3110	1997-08-31	PRIJEM	\N	129	29377	UROK	\N	\N
3464740	3110	1997-09-30	PRIJEM	\N	126	30788	UROK	\N	\N
3464741	3110	1997-10-31	PRIJEM	\N	125	30249	UROK	\N	\N
3464742	3110	1997-11-30	PRIJEM	\N	128	30962	UROK	\N	\N
3464743	3110	1997-12-31	PRIJEM	\N	113	25560	UROK	\N	\N
3464744	3110	1998-01-31	PRIJEM	\N	101	23646	UROK	\N	\N
3464745	3110	1998-02-28	PRIJEM	\N	109	28840	UROK	\N	\N
3464746	3110	1998-03-31	PRIJEM	\N	116	27041	UROK	\N	\N
3464747	3110	1998-04-30	PRIJEM	\N	102	21779	UROK	\N	\N
3464748	3110	1998-05-31	PRIJEM	\N	64	14778	UROK	\N	\N
3464749	3110	1998-06-30	PRIJEM	\N	62	15026	UROK	\N	\N
3464750	3110	1998-07-31	PRIJEM	\N	54	13865	UROK	\N	\N
3464751	3110	1998-08-31	PRIJEM	\N	147	60537	UROK	\N	\N
3464752	3110	1998-09-30	PRIJEM	\N	211	41134	UROK	\N	\N
3464753	3110	1998-10-31	PRIJEM	\N	155	32974	UROK	\N	\N
3464754	3110	1998-11-30	PRIJEM	\N	140	43020	UROK	\N	\N
3464755	3110	1998-12-31	PRIJEM	\N	144	31049	UROK	\N	\N
3464756	3114	1996-06-30	PRIJEM	\N	3	1403	UROK	\N	\N
3464757	3114	1996-07-31	PRIJEM	\N	35	14338	UROK	\N	\N
3464758	3114	1996-08-31	PRIJEM	\N	151	65072	UROK	\N	\N
3464759	3114	1996-09-30	PRIJEM	\N	237	49109	UROK	\N	\N
3464760	3114	1996-10-31	PRIJEM	\N	205	41299	UROK	\N	\N
3464761	3114	1996-11-30	PRIJEM	\N	167	39052	UROK	\N	\N
3464762	3114	1996-12-31	PRIJEM	\N	156	36794	UROK	\N	\N
3464763	3114	1997-01-31	PRIJEM	\N	138	29217	UROK	\N	\N
3464764	3114	1997-02-28	PRIJEM	\N	142	38045	UROK	\N	\N
3464765	3114	1997-03-31	PRIJEM	\N	152	35582	UROK	\N	\N
3464766	3114	1997-04-30	PRIJEM	\N	161	41129	UROK	\N	\N
3464767	3114	1997-05-31	PRIJEM	\N	175	42889	UROK	\N	\N
3464768	3114	1997-06-30	PRIJEM	\N	156	34631	UROK	\N	\N
3464769	3114	1997-07-31	PRIJEM	\N	166	43681	UROK	\N	\N
3464770	3114	1997-08-31	PRIJEM	\N	192	48959	UROK	\N	\N
3464771	3114	1997-09-30	PRIJEM	\N	203	47548	UROK	\N	\N
3464772	3114	1997-10-31	PRIJEM	\N	201	48084	UROK	\N	\N
3464773	3114	1997-11-30	PRIJEM	\N	212	53282	UROK	\N	\N
3464774	3114	1997-12-31	PRIJEM	\N	257	88812	UROK	\N	\N
3464775	3114	1998-01-31	PRIJEM	\N	249	51878	UROK	\N	\N
3464776	3114	1998-02-28	PRIJEM	\N	213	50877	UROK	\N	\N
3464777	3114	1998-03-31	PRIJEM	\N	212	51074	UROK	\N	\N
3464778	3114	1998-04-30	PRIJEM	\N	223	54483	UROK	\N	\N
3464779	3114	1998-05-31	PRIJEM	\N	222	52490	UROK	\N	\N
3464780	3114	1998-06-30	PRIJEM	\N	308	64372	UROK	\N	\N
3464781	3114	1998-07-31	PRIJEM	\N	254	59211	UROK	\N	\N
3464782	3114	1998-08-31	PRIJEM	\N	241	57137	UROK	\N	\N
3464783	3114	1998-09-30	PRIJEM	\N	211	48133	UROK	\N	\N
3464784	3114	1998-10-31	PRIJEM	\N	193	45412	UROK	\N	\N
3464785	3114	1998-11-30	PRIJEM	\N	190	45987	UROK	\N	\N
3464786	3114	1998-12-31	PRIJEM	\N	189	44961	UROK	\N	\N
3464787	3138	1996-04-30	PRIJEM	\N	99	37060	UROK	\N	\N
3464788	3138	1996-05-31	PRIJEM	\N	152	35112	UROK	\N	\N
3464789	3138	1996-06-30	PRIJEM	\N	145	34257	UROK	\N	\N
3464790	3138	1996-07-31	PRIJEM	\N	140	32697	UROK	\N	\N
3464791	3138	1996-08-31	PRIJEM	\N	137	34365	UROK	\N	\N
3464792	3138	1996-09-30	PRIJEM	\N	144	34894	UROK	\N	\N
3464793	3138	1996-10-31	PRIJEM	\N	142	32821	UROK	\N	\N
3464794	3138	1996-11-30	PRIJEM	\N	137	33043	UROK	\N	\N
3464795	3138	1996-12-31	PRIJEM	\N	133	30662	UROK	\N	\N
3464796	3138	1997-01-31	PRIJEM	\N	111	36766	UROK	\N	\N
3464797	3138	1997-02-28	PRIJEM	\N	142	29993	UROK	\N	\N
3464798	3138	1997-03-31	PRIJEM	\N	128	31307	UROK	\N	\N
3464799	3138	1997-04-30	PRIJEM	\N	129	29921	UROK	\N	\N
3464800	3138	1997-05-31	PRIJEM	\N	125	29931	UROK	\N	\N
3464801	3138	1997-06-30	PRIJEM	\N	116	25633	UROK	\N	\N
3464802	3138	1997-07-31	PRIJEM	\N	104	23922	UROK	\N	\N
3464803	3138	1997-08-31	PRIJEM	\N	94	20202	UROK	\N	\N
3464804	3138	1997-09-30	PRIJEM	\N	129	25473	UROK	\N	\N
3464805	3138	1997-10-31	PRIJEM	\N	99	21857	UROK	\N	\N
3464806	3138	1997-11-30	PRIJEM	\N	90	20933	UROK	\N	\N
3464807	3138	1997-12-31	PRIJEM	\N	72	14190	UROK	\N	\N
3464808	3138	1998-01-31	PRIJEM	\N	55	12030	UROK	\N	\N
3464809	3138	1998-02-28	PRIJEM	\N	52	12267	UROK	\N	\N
3464810	3138	1998-03-31	PRIJEM	\N	52	12605	UROK	\N	\N
3464811	3138	1998-04-30	PRIJEM	\N	57	14047	UROK	\N	\N
3464812	3138	1998-05-31	PRIJEM	\N	60	14393	UROK	\N	\N
3464813	3138	1998-06-30	PRIJEM	\N	65	13381	UROK	\N	\N
3464814	3138	1998-07-31	PRIJEM	\N	57	13724	UROK	\N	\N
3464815	3138	1998-08-31	PRIJEM	\N	55	12807	UROK	\N	\N
3464816	3138	1998-09-30	PRIJEM	\N	54	13147	UROK	\N	\N
3464817	3138	1998-10-31	PRIJEM	\N	56	13488	UROK	\N	\N
3464818	3138	1998-11-30	PRIJEM	\N	57	13831	UROK	\N	\N
3464819	3139	1996-05-31	PRIJEM	\N	53	41773	UROK	\N	\N
3464820	3139	1996-06-30	PRIJEM	\N	174	26647	UROK	\N	\N
3464821	3139	1996-07-31	PRIJEM	\N	174	19021	UROK	\N	\N
3464822	3139	1996-08-31	PRIJEM	\N	174	15194	UROK	\N	\N
3464823	3139	1996-09-30	PRIJEM	\N	174	14968	UROK	\N	\N
3464824	3139	1996-10-31	PRIJEM	\N	174	12442	UROK	\N	\N
3464825	3139	1997-06-30	PRIJEM	\N	141	20440	UROK	\N	\N
3464826	3139	1997-07-31	PRIJEM	\N	108	35009	UROK	\N	\N
3464827	3139	1997-08-31	PRIJEM	\N	145	19655	UROK	\N	\N
3464828	3139	1997-10-31	PRIJEM	\N	145	14400	UROK	\N	\N
3464829	3139	1997-12-31	PRIJEM	\N	145	11045	UROK	\N	\N
3464830	3139	1998-05-31	PRIJEM	\N	145	34332	UROK	\N	\N
3464831	3139	1998-06-30	PRIJEM	\N	140	14457	UROK	\N	\N
3464832	3139	1998-07-31	PRIJEM	\N	60	14503	UROK	\N	\N
3464833	3139	1998-08-31	PRIJEM	\N	60	13798	UROK	\N	\N
3464834	3139	1998-09-30	PRIJEM	\N	57	13841	UROK	\N	\N
3464835	3139	1998-10-31	PRIJEM	\N	103	31849	UROK	\N	\N
3464836	3139	1998-11-30	PRIJEM	\N	130	16465	UROK	\N	\N
3464837	3149	1996-07-31	PRIJEM	\N	9	13331	UROK	\N	\N
3464838	3149	1996-08-31	PRIJEM	\N	62	20915	UROK	\N	\N
3464839	3149	1996-09-30	PRIJEM	\N	91	25327	UROK	\N	\N
3464840	3149	1996-10-31	PRIJEM	\N	106	26055	UROK	\N	\N
3464841	3149	1996-11-30	PRIJEM	\N	118	25575	UROK	\N	\N
3464842	3149	1996-12-31	PRIJEM	\N	110	28493	UROK	\N	\N
3464843	3149	1997-01-31	PRIJEM	\N	106	14306	UROK	\N	\N
3464844	3149	1997-02-28	PRIJEM	\N	69	23483	UROK	\N	\N
3464845	3149	1997-03-31	PRIJEM	\N	104	28894	UROK	\N	\N
3464846	3149	1997-04-30	PRIJEM	\N	125	25686	UROK	\N	\N
3464847	3149	1997-05-31	PRIJEM	\N	113	25006	UROK	\N	\N
3464848	3149	1997-06-30	PRIJEM	\N	109	26764	UROK	\N	\N
3464849	3149	1997-07-31	PRIJEM	\N	115	29386	UROK	\N	\N
3464850	3149	1997-08-31	PRIJEM	\N	130	34923	UROK	\N	\N
3464851	3149	1997-09-30	PRIJEM	\N	140	29611	UROK	\N	\N
3464852	3149	1997-10-31	PRIJEM	\N	146	36045	UROK	\N	\N
3464853	3149	1997-11-30	PRIJEM	\N	152	37204	UROK	\N	\N
3464854	3149	1997-12-31	PRIJEM	\N	169	42701	UROK	\N	\N
3464855	3149	1998-01-31	PRIJEM	\N	159	20208	UROK	\N	\N
3464856	3149	1998-02-28	PRIJEM	\N	110	34925	UROK	\N	\N
3464857	3149	1998-03-31	PRIJEM	\N	158	38591	UROK	\N	\N
3464858	3149	1998-04-30	PRIJEM	\N	173	45571	UROK	\N	\N
3464859	3149	1998-05-31	PRIJEM	\N	194	46472	UROK	\N	\N
3464860	3149	1998-06-30	PRIJEM	\N	137	32397	UROK	\N	\N
3464861	3149	1998-07-31	PRIJEM	\N	146	36630	UROK	\N	\N
3464862	3149	1998-08-31	PRIJEM	\N	172	45809	UROK	\N	\N
3464863	3149	1998-09-30	PRIJEM	\N	190	45806	UROK	\N	\N
3464864	3149	1998-10-31	PRIJEM	\N	189	45302	UROK	\N	\N
3464865	3149	1998-11-30	PRIJEM	\N	190	46200	UROK	\N	\N
3464866	3149	1998-12-31	PRIJEM	\N	192	46160	UROK	\N	\N
3464867	3167	1994-09-30	PRIJEM	\N	81	24438	UROK	\N	\N
3464868	3167	1994-10-31	PRIJEM	\N	133	33728	UROK	\N	\N
3464869	3167	1994-11-30	PRIJEM	\N	158	38943	UROK	\N	\N
3464870	3167	1994-12-31	PRIJEM	\N	274	47102	UROK	\N	\N
3464871	3167	1995-01-31	PRIJEM	\N	230	49289	UROK	\N	\N
3464872	3167	1995-02-28	PRIJEM	\N	223	56055	UROK	\N	\N
3464873	3167	1995-03-31	PRIJEM	\N	304	49001	UROK	\N	\N
3464874	3167	1995-04-30	PRIJEM	\N	227	54170	UROK	\N	\N
3464875	3167	1995-05-31	PRIJEM	\N	239	58352	UROK	\N	\N
3464876	3167	1995-06-30	PRIJEM	\N	263	48986	UROK	\N	\N
3464877	3167	1995-07-31	PRIJEM	\N	239	59267	UROK	\N	\N
3464878	3167	1995-08-31	PRIJEM	\N	259	62969	UROK	\N	\N
3464879	3167	1995-09-30	PRIJEM	\N	268	64778	UROK	\N	\N
3464880	3167	1995-10-31	PRIJEM	\N	268	64689	UROK	\N	\N
3464881	3167	1995-11-30	PRIJEM	\N	269	64901	UROK	\N	\N
3464882	3167	1995-12-31	PRIJEM	\N	304	74976	UROK	\N	\N
3464883	3167	1996-01-31	PRIJEM	\N	236	38355	UROK	\N	\N
3464884	3167	1996-02-29	PRIJEM	\N	198	51296	UROK	\N	\N
3464885	3167	1996-03-31	PRIJEM	\N	166	43503	UROK	\N	\N
3464886	3167	1996-04-30	PRIJEM	\N	181	44927	UROK	\N	\N
3464887	3167	1996-05-31	PRIJEM	\N	187	46156	UROK	\N	\N
3464888	3167	1996-06-30	PRIJEM	\N	203	47130	UROK	\N	\N
3464889	3167	1996-07-31	PRIJEM	\N	217	47089	UROK	\N	\N
3464890	3167	1996-08-31	PRIJEM	\N	196	47927	UROK	\N	\N
3464891	3167	1996-09-30	PRIJEM	\N	200	49770	UROK	\N	\N
3464892	3167	1996-10-31	PRIJEM	\N	205	45917	UROK	\N	\N
3464893	3167	1996-11-30	PRIJEM	\N	191	47051	UROK	\N	\N
3464894	3167	1996-12-31	PRIJEM	\N	228	48250	UROK	\N	\N
3464895	3167	1997-01-31	PRIJEM	\N	226	35118	UROK	\N	\N
3464896	3167	1997-02-28	PRIJEM	\N	148	38808	UROK	\N	\N
3464897	3167	1997-03-31	PRIJEM	\N	164	42714	UROK	\N	\N
3464898	3167	1997-04-30	PRIJEM	\N	180	46236	UROK	\N	\N
3464899	3167	1997-05-31	PRIJEM	\N	205	44783	UROK	\N	\N
3464900	3167	1997-06-30	PRIJEM	\N	205	42760	UROK	\N	\N
3464901	3167	1997-07-31	PRIJEM	\N	181	47183	UROK	\N	\N
3464902	3167	1997-08-31	PRIJEM	\N	204	54129	UROK	\N	\N
3464903	3167	1997-09-30	PRIJEM	\N	228	53899	UROK	\N	\N
3464904	3167	1997-10-31	PRIJEM	\N	259	50301	UROK	\N	\N
3464905	3167	1997-11-30	PRIJEM	\N	207	50250	UROK	\N	\N
3464906	3167	1997-12-31	PRIJEM	\N	252	55373	UROK	\N	\N
3464907	3167	1998-01-31	PRIJEM	\N	227	46843	UROK	\N	\N
3464908	3167	1998-02-28	PRIJEM	\N	196	49281	UROK	\N	\N
3464909	3167	1998-03-31	PRIJEM	\N	208	53132	UROK	\N	\N
3464910	3167	1998-04-30	PRIJEM	\N	218	53192	UROK	\N	\N
3464911	3167	1998-05-31	PRIJEM	\N	218	53453	UROK	\N	\N
3464912	3167	1998-06-30	PRIJEM	\N	254	56678	UROK	\N	\N
3464913	3167	1998-07-31	PRIJEM	\N	239	60459	UROK	\N	\N
3464914	3167	1998-08-31	PRIJEM	\N	247	60349	UROK	\N	\N
3464915	3167	1998-09-30	PRIJEM	\N	247	60539	UROK	\N	\N
3464916	3167	1998-10-31	PRIJEM	\N	255	64036	UROK	\N	\N
3464917	3167	1998-11-30	PRIJEM	\N	273	68952	UROK	\N	\N
3464918	3167	1998-12-31	PRIJEM	\N	390	100113	UROK	\N	\N
3464919	3177	1997-01-31	PRIJEM	\N	124	61655	UROK	\N	\N
3464920	3177	1997-02-28	PRIJEM	\N	256	44811	UROK	\N	\N
3464921	3177	1997-03-31	PRIJEM	\N	212	42203	UROK	\N	\N
3464922	3177	1997-04-30	PRIJEM	\N	175	36378	UROK	\N	\N
3464923	3177	1997-05-31	PRIJEM	\N	175	30653	UROK	\N	\N
3464924	3177	1997-06-30	PRIJEM	\N	175	30728	UROK	\N	\N
3464925	3177	1997-07-31	PRIJEM	\N	175	30503	UROK	\N	\N
3464926	3177	1997-08-31	PRIJEM	\N	175	29978	UROK	\N	\N
3464927	3177	1997-09-30	PRIJEM	\N	175	33453	UROK	\N	\N
3464928	3177	1997-10-31	PRIJEM	\N	175	32628	UROK	\N	\N
3464929	3177	1997-12-31	PRIJEM	\N	175	30403	UROK	\N	\N
3464930	3177	1998-01-31	PRIJEM	\N	175	34478	UROK	\N	\N
3464931	3177	1998-02-28	PRIJEM	\N	175	33353	UROK	\N	\N
3464932	3177	1998-03-31	PRIJEM	\N	168	40079	UROK	\N	\N
3464933	3177	1998-04-30	PRIJEM	\N	166	37145	UROK	\N	\N
3464934	3177	1998-05-31	PRIJEM	\N	166	33711	UROK	\N	\N
3464935	3177	1998-06-30	PRIJEM	\N	166	29377	UROK	\N	\N
3464936	3177	1998-07-31	PRIJEM	\N	166	33044	UROK	\N	\N
3464937	3177	1998-08-31	PRIJEM	\N	166	30610	UROK	\N	\N
3464938	3177	1998-09-30	PRIJEM	\N	176	63892	UROK	\N	\N
3464939	3177	1998-10-31	PRIJEM	\N	265	49257	UROK	\N	\N
3464940	3177	1998-11-30	PRIJEM	\N	265	42322	UROK	\N	\N
3464941	3181	1993-06-30	PRIJEM	\N	26	11726	UROK	\N	\N
3464942	3181	1993-07-31	PRIJEM	\N	65	18891	UROK	\N	\N
3464943	3181	1993-08-31	PRIJEM	\N	89	23180	UROK	\N	\N
3464944	3181	1993-09-30	PRIJEM	\N	105	27085	UROK	\N	\N
3464945	3181	1993-10-31	PRIJEM	\N	112	26997	UROK	\N	\N
3464946	3181	1993-11-30	PRIJEM	\N	112	26994	UROK	\N	\N
3464947	3181	1993-12-31	PRIJEM	\N	112	26341	UROK	\N	\N
3464948	3181	1994-01-31	PRIJEM	\N	100	21877	UROK	\N	\N
3464949	3181	1994-02-28	PRIJEM	\N	143	55558	UROK	\N	\N
3464950	3181	1994-03-31	PRIJEM	\N	208	43951	UROK	\N	\N
3464951	3181	1994-04-30	PRIJEM	\N	170	37406	UROK	\N	\N
3464952	3181	1994-05-31	PRIJEM	\N	146	33038	UROK	\N	\N
3464953	3181	1994-06-30	PRIJEM	\N	152	21004	UROK	\N	\N
3464954	3181	1994-07-31	PRIJEM	\N	102	26191	UROK	\N	\N
3464955	3181	1994-08-31	PRIJEM	\N	109	26085	UROK	\N	\N
3464956	3181	1994-09-30	PRIJEM	\N	112	27682	UROK	\N	\N
3464957	3181	1994-10-31	PRIJEM	\N	117	28634	UROK	\N	\N
3464958	3181	1994-11-30	PRIJEM	\N	118	28338	UROK	\N	\N
3464959	3181	1994-12-31	PRIJEM	\N	115	23937	UROK	\N	\N
3464960	3181	1995-01-31	PRIJEM	\N	105	22827	UROK	\N	\N
3464961	3181	1995-02-28	PRIJEM	\N	105	28818	UROK	\N	\N
3464962	3181	1995-03-31	PRIJEM	\N	122	30126	UROK	\N	\N
3464963	3181	1995-04-30	PRIJEM	\N	124	29285	UROK	\N	\N
3464964	3181	1995-05-31	PRIJEM	\N	131	33302	UROK	\N	\N
3464965	3181	1995-06-30	PRIJEM	\N	103	17590	UROK	\N	\N
3464966	3181	1995-07-31	PRIJEM	\N	84	22259	UROK	\N	\N
3464967	3181	1995-08-31	PRIJEM	\N	106	25550	UROK	\N	\N
3464968	3181	1995-09-30	PRIJEM	\N	106	22641	UROK	\N	\N
3464969	3181	1995-10-31	PRIJEM	\N	95	23321	UROK	\N	\N
3464970	3181	1995-11-30	PRIJEM	\N	140	58588	UROK	\N	\N
3464971	3181	1995-12-31	PRIJEM	\N	275	67133	UROK	\N	\N
3464972	3181	1996-01-31	PRIJEM	\N	223	54834	UROK	\N	\N
3464973	3181	1996-02-29	PRIJEM	\N	166	41385	UROK	\N	\N
3464974	3181	1996-03-31	PRIJEM	\N	151	30971	UROK	\N	\N
3464975	3181	1996-04-30	PRIJEM	\N	109	27865	UROK	\N	\N
3464976	3181	1996-05-31	PRIJEM	\N	90	21740	UROK	\N	\N
3464977	3181	1996-06-30	PRIJEM	\N	104	18947	UROK	\N	\N
3464978	3181	1996-07-31	PRIJEM	\N	78	19310	UROK	\N	\N
3464979	3181	1996-08-31	PRIJEM	\N	80	17476	UROK	\N	\N
3464980	3181	1996-09-30	PRIJEM	\N	73	19834	UROK	\N	\N
3464981	3181	1996-10-31	PRIJEM	\N	84	23803	UROK	\N	\N
3464982	3181	1996-11-30	PRIJEM	\N	101	28889	UROK	\N	\N
3464983	3181	1996-12-31	PRIJEM	\N	120	30595	UROK	\N	\N
3464984	3181	1997-01-31	PRIJEM	\N	93	24823	UROK	\N	\N
3464985	3181	1997-02-28	PRIJEM	\N	108	31967	UROK	\N	\N
3464986	3181	1997-03-31	PRIJEM	\N	134	35936	UROK	\N	\N
3464987	3181	1997-04-30	PRIJEM	\N	151	39372	UROK	\N	\N
3464988	3181	1997-05-31	PRIJEM	\N	227	69309	UROK	\N	\N
3464989	3181	1997-06-30	PRIJEM	\N	252	47846	UROK	\N	\N
3464990	3181	1997-07-31	PRIJEM	\N	216	53516	UROK	\N	\N
3464991	3181	1997-08-31	PRIJEM	\N	218	51820	UROK	\N	\N
3464992	3181	1997-09-30	PRIJEM	\N	213	51569	UROK	\N	\N
3464993	3181	1997-10-31	PRIJEM	\N	214	53168	UROK	\N	\N
3464994	3181	1997-11-30	PRIJEM	\N	221	55175	UROK	\N	\N
3464995	3181	1997-12-31	PRIJEM	\N	228	55689	UROK	\N	\N
3464996	3181	1998-01-31	PRIJEM	\N	187	42510	UROK	\N	\N
3464997	3181	1998-02-28	PRIJEM	\N	182	48178	UROK	\N	\N
3464998	3181	1998-03-31	PRIJEM	\N	221	57481	UROK	\N	\N
3464999	3181	1998-04-30	PRIJEM	\N	240	59606	UROK	\N	\N
3465000	3181	1998-05-31	PRIJEM	\N	239	56331	UROK	\N	\N
3465001	3181	1998-06-30	PRIJEM	\N	201	35224	UROK	\N	\N
3465002	3181	1998-07-31	PRIJEM	\N	162	45272	UROK	\N	\N
3465003	3181	1998-08-31	PRIJEM	\N	186	45943	UROK	\N	\N
3465004	3181	1998-09-30	PRIJEM	\N	198	51526	UROK	\N	\N
3465005	3181	1998-10-31	PRIJEM	\N	223	57835	UROK	\N	\N
3465006	3181	1998-11-30	PRIJEM	\N	234	56454	UROK	\N	\N
3465007	3181	1998-12-31	PRIJEM	\N	228	55167	UROK	\N	\N
3465008	3187	1998-01-31	PRIJEM	\N	22	12322	UROK	\N	\N
3465009	3187	1998-02-28	PRIJEM	\N	62	16620	UROK	\N	\N
3465010	3187	1998-03-31	PRIJEM	\N	67	15187	UROK	\N	\N
3465011	3187	1998-04-30	PRIJEM	\N	60	13547	UROK	\N	\N
3465012	3187	1998-05-31	PRIJEM	\N	53	11585	UROK	\N	\N
3465013	3187	1998-06-30	PRIJEM	\N	61	19948	UROK	\N	\N
3465014	3187	1998-07-31	PRIJEM	\N	77	14311	UROK	\N	\N
3465015	3187	1998-08-31	PRIJEM	\N	57	13354	UROK	\N	\N
3465016	3187	1998-09-30	PRIJEM	\N	55	13294	UROK	\N	\N
3465017	3187	1998-10-31	PRIJEM	\N	60	15839	UROK	\N	\N
3465018	3187	1998-11-30	PRIJEM	\N	59	13184	UROK	\N	\N
3465019	3187	1998-12-31	PRIJEM	\N	58	13527	UROK	\N	\N
3465020	3200	1995-11-30	PRIJEM	\N	25	19617	UROK	\N	\N
3465021	3200	1995-12-31	PRIJEM	\N	82	19598	UROK	\N	\N
3465022	3200	1996-01-31	PRIJEM	\N	82	19580	UROK	\N	\N
3465023	3200	1996-02-29	PRIJEM	\N	82	16761	UROK	\N	\N
3465024	3200	1996-03-31	PRIJEM	\N	82	16543	UROK	\N	\N
3465025	3200	1996-04-30	PRIJEM	\N	82	18425	UROK	\N	\N
3465026	3200	1996-05-31	PRIJEM	\N	82	18906	UROK	\N	\N
3465027	3200	1996-06-30	PRIJEM	\N	82	21488	UROK	\N	\N
3465028	3200	1996-07-31	PRIJEM	\N	82	22970	UROK	\N	\N
3465029	3200	1996-08-31	PRIJEM	\N	82	24051	UROK	\N	\N
3465030	3200	1996-09-30	PRIJEM	\N	82	23733	UROK	\N	\N
3465031	3200	1996-10-31	PRIJEM	\N	82	22814	UROK	\N	\N
3465032	3200	1996-11-30	PRIJEM	\N	82	21596	UROK	\N	\N
3465033	3200	1996-12-31	PRIJEM	\N	102	57797	UROK	\N	\N
3465034	3200	1997-01-31	PRIJEM	\N	237	55576	UROK	\N	\N
3465035	3200	1997-02-28	PRIJEM	\N	213	48884	UROK	\N	\N
3465036	3200	1997-03-31	PRIJEM	\N	244	70036	UROK	\N	\N
3465037	3200	1997-04-30	PRIJEM	\N	261	58606	UROK	\N	\N
3465038	3200	1997-05-31	PRIJEM	\N	177	35163	UROK	\N	\N
3465039	3200	1997-06-30	PRIJEM	\N	113	22576	UROK	\N	\N
3465040	3200	1997-07-31	PRIJEM	\N	93	22370	UROK	\N	\N
3465041	3200	1997-08-31	PRIJEM	\N	120	73923	UROK	\N	\N
3465042	3200	1997-09-30	PRIJEM	\N	241	50873	UROK	\N	\N
3465043	3200	1997-10-31	PRIJEM	\N	198	34171	UROK	\N	\N
3465044	3200	1997-11-30	PRIJEM	\N	165	63568	UROK	\N	\N
3465045	3200	1997-12-31	PRIJEM	\N	293	87554	UROK	\N	\N
3465046	3200	1998-01-31	PRIJEM	\N	159	21616	UROK	\N	\N
3465047	3200	1998-02-28	PRIJEM	\N	245	60768	UROK	\N	\N
3465048	3200	1998-03-31	PRIJEM	\N	302	91865	UROK	\N	\N
3465049	3200	1998-04-30	PRIJEM	\N	328	98471	UROK	\N	\N
3465050	3200	1998-05-31	PRIJEM	\N	449	70456	UROK	\N	\N
3465051	3200	1998-06-30	PRIJEM	\N	301	43015	UROK	\N	\N
3465052	3200	1998-07-31	PRIJEM	\N	334	103860	UROK	\N	\N
3465053	3200	1998-08-31	PRIJEM	\N	414	92696	UROK	\N	\N
3465054	3200	1998-09-30	PRIJEM	\N	285	88263	UROK	\N	\N
3465055	3200	1998-10-31	PRIJEM	\N	310	83817	UROK	\N	\N
3465056	3200	1998-11-30	PRIJEM	\N	348	84439	UROK	\N	\N
3465057	3200	1998-12-31	PRIJEM	\N	312	53351	UROK	\N	\N
3465058	3204	1996-07-31	PRIJEM	\N	31	12964	UROK	\N	\N
3465059	3204	1996-08-31	PRIJEM	\N	103	33300	UROK	\N	\N
3465060	3204	1996-09-30	PRIJEM	\N	157	41090	UROK	\N	\N
3465061	3204	1996-10-31	PRIJEM	\N	182	45905	UROK	\N	\N
3465062	3204	1996-11-30	PRIJEM	\N	197	48835	UROK	\N	\N
3465063	3204	1996-12-31	PRIJEM	\N	214	51885	UROK	\N	\N
3465064	3204	1997-01-31	PRIJEM	\N	164	30167	UROK	\N	\N
3465065	3204	1997-02-28	PRIJEM	\N	142	37627	UROK	\N	\N
3465066	3204	1997-03-31	PRIJEM	\N	176	45822	UROK	\N	\N
3465067	3204	1997-04-30	PRIJEM	\N	199	49640	UROK	\N	\N
3465068	3204	1997-05-31	PRIJEM	\N	207	49865	UROK	\N	\N
3465069	3204	1997-06-30	PRIJEM	\N	202	53002	UROK	\N	\N
3465070	3204	1997-07-31	PRIJEM	\N	229	56549	UROK	\N	\N
3465071	3204	1997-08-31	PRIJEM	\N	244	60412	UROK	\N	\N
3465072	3204	1997-09-30	PRIJEM	\N	263	65593	UROK	\N	\N
3465073	3204	1997-10-31	PRIJEM	\N	277	67589	UROK	\N	\N
3465074	3204	1997-11-30	PRIJEM	\N	270	62877	UROK	\N	\N
3465075	3204	1997-12-31	PRIJEM	\N	271	66584	UROK	\N	\N
3465076	3204	1998-01-31	PRIJEM	\N	219	45721	UROK	\N	\N
3465077	3204	1998-02-28	PRIJEM	\N	211	55950	UROK	\N	\N
3465078	3204	1998-03-31	PRIJEM	\N	245	61514	UROK	\N	\N
3465079	3204	1998-04-30	PRIJEM	\N	265	65597	UROK	\N	\N
3465080	3204	1998-05-31	PRIJEM	\N	244	61460	UROK	\N	\N
3465081	3204	1998-06-30	PRIJEM	\N	187	45883	UROK	\N	\N
3465082	3204	1998-07-31	PRIJEM	\N	214	56015	UROK	\N	\N
3465083	3204	1998-08-31	PRIJEM	\N	238	58672	UROK	\N	\N
3465084	3204	1998-09-30	PRIJEM	\N	247	60337	UROK	\N	\N
3465085	3204	1998-10-31	PRIJEM	\N	249	59104	UROK	\N	\N
3465086	3204	1998-11-30	PRIJEM	\N	244	62066	UROK	\N	\N
3465087	3204	1998-12-31	PRIJEM	\N	237	64039	UROK	\N	\N
3465088	3255	1996-07-31	PRIJEM	\N	7	51207	UROK	\N	\N
3465089	3255	1996-08-31	PRIJEM	\N	213	51920	UROK	\N	\N
3465090	3255	1996-09-30	PRIJEM	\N	213	52534	UROK	\N	\N
3465091	3255	1996-10-31	PRIJEM	\N	213	53847	UROK	\N	\N
3465092	3255	1996-11-30	PRIJEM	\N	213	56960	UROK	\N	\N
3465093	3255	1996-12-31	PRIJEM	\N	213	60474	UROK	\N	\N
3465094	3255	1997-01-31	PRIJEM	\N	213	64287	UROK	\N	\N
3465095	3255	1997-02-28	PRIJEM	\N	213	65700	UROK	\N	\N
3465096	3255	1997-03-31	PRIJEM	\N	213	69814	UROK	\N	\N
3465097	3255	1997-04-30	PRIJEM	\N	213	72827	UROK	\N	\N
3465098	3255	1997-05-31	PRIJEM	\N	213	72940	UROK	\N	\N
3465099	3255	1997-06-30	PRIJEM	\N	213	74254	UROK	\N	\N
3465100	3255	1997-07-31	PRIJEM	\N	213	73867	UROK	\N	\N
3465101	3255	1997-08-31	PRIJEM	\N	213	75380	UROK	\N	\N
3465102	3255	1997-09-30	PRIJEM	\N	213	79194	UROK	\N	\N
3465103	3255	1997-10-31	PRIJEM	\N	213	81507	UROK	\N	\N
3465104	3255	1997-11-30	PRIJEM	\N	213	83520	UROK	\N	\N
3465105	3255	1997-12-31	PRIJEM	\N	213	81534	UROK	\N	\N
3465106	3255	1998-01-31	PRIJEM	\N	213	84047	UROK	\N	\N
3465107	3255	1998-02-28	PRIJEM	\N	213	92460	UROK	\N	\N
3465108	3255	1998-03-31	PRIJEM	\N	213	94274	UROK	\N	\N
3465109	3255	1998-04-30	PRIJEM	\N	213	100187	UROK	\N	\N
3465110	3255	1998-05-31	PRIJEM	\N	213	103500	UROK	\N	\N
3465111	3255	1998-06-30	PRIJEM	\N	213	105614	UROK	\N	\N
3465112	3255	1998-07-31	PRIJEM	\N	213	107227	UROK	\N	\N
3465113	3255	1998-08-31	PRIJEM	\N	213	111940	UROK	\N	\N
3465114	3255	1998-09-30	PRIJEM	\N	213	117954	UROK	\N	\N
3465115	3255	1998-10-31	PRIJEM	\N	213	120667	UROK	\N	\N
3465116	3255	1998-11-30	PRIJEM	\N	213	122980	UROK	\N	\N
3465117	3265	1996-04-30	PRIJEM	\N	9	31072	UROK	\N	\N
3465118	3265	1996-05-31	PRIJEM	\N	236	52667	UROK	\N	\N
3465119	3265	1996-06-30	PRIJEM	\N	189	27289	UROK	\N	\N
3465120	3265	1996-07-31	PRIJEM	\N	152	37416	UROK	\N	\N
3465121	3265	1996-08-31	PRIJEM	\N	147	24362	UROK	\N	\N
3465122	3265	1996-09-30	PRIJEM	\N	97	17859	UROK	\N	\N
3465123	3265	1996-10-31	PRIJEM	\N	102	34933	UROK	\N	\N
3465124	3265	1996-11-30	PRIJEM	\N	261	35595	UROK	\N	\N
3465125	3265	1996-12-31	PRIJEM	\N	323	73963	UROK	\N	\N
3465126	3265	1997-01-31	PRIJEM	\N	265	42099	UROK	\N	\N
3465127	3265	1997-02-28	PRIJEM	\N	168	19316	UROK	\N	\N
3465128	3265	1997-03-31	PRIJEM	\N	198	31177	UROK	\N	\N
3465129	3265	1997-04-30	PRIJEM	\N	279	97113	UROK	\N	\N
3465130	3265	1997-05-31	PRIJEM	\N	370	66315	UROK	\N	\N
3465131	3265	1997-06-30	PRIJEM	\N	290	82712	UROK	\N	\N
3465132	3265	1997-07-31	PRIJEM	\N	403	85930	UROK	\N	\N
3465133	3265	1997-08-31	PRIJEM	\N	269	33448	UROK	\N	\N
3465134	3265	1997-09-30	PRIJEM	\N	179	38753	UROK	\N	\N
3465135	3265	1997-10-31	PRIJEM	\N	137	28045	UROK	\N	\N
3465136	3265	1997-11-30	PRIJEM	\N	184	46381	UROK	\N	\N
3465137	3265	1997-12-31	PRIJEM	\N	242	89263	UROK	\N	\N
3465138	3265	1998-01-31	PRIJEM	\N	252	22715	UROK	\N	\N
3465139	3265	1998-02-28	PRIJEM	\N	93	21808	UROK	\N	\N
3465140	3265	1998-03-31	PRIJEM	\N	92	24101	UROK	\N	\N
3465141	3265	1998-04-30	PRIJEM	\N	142	42862	UROK	\N	\N
3465142	3265	1998-05-31	PRIJEM	\N	106	24020	UROK	\N	\N
3465143	3265	1998-06-30	PRIJEM	\N	107	66816	UROK	\N	\N
3465144	3265	1998-07-31	PRIJEM	\N	235	45451	UROK	\N	\N
3465145	3265	1998-08-31	PRIJEM	\N	95	27830	UROK	\N	\N
3465146	3265	1998-09-30	PRIJEM	\N	112	27242	UROK	\N	\N
3465147	3265	1998-10-31	PRIJEM	\N	180	43761	UROK	\N	\N
3465148	3265	1998-11-30	PRIJEM	\N	201	29235	UROK	\N	\N
3465149	3265	1998-12-31	PRIJEM	\N	124	31759	UROK	\N	\N
3465150	3278	1996-01-31	PRIJEM	\N	82	22604	UROK	\N	\N
3465151	3278	1996-02-29	PRIJEM	\N	173	44799	UROK	\N	\N
3465152	3278	1996-03-31	PRIJEM	\N	216	53137	UROK	\N	\N
3465153	3278	1996-04-30	PRIJEM	\N	239	58198	UROK	\N	\N
3465154	3278	1996-05-31	PRIJEM	\N	255	61875	UROK	\N	\N
3465155	3278	1996-06-30	PRIJEM	\N	226	52749	UROK	\N	\N
3465156	3278	1996-07-31	PRIJEM	\N	166	40822	UROK	\N	\N
3465157	3278	1996-08-31	PRIJEM	\N	227	43837	UROK	\N	\N
3465158	3278	1996-09-30	PRIJEM	\N	183	44427	UROK	\N	\N
3465159	3278	1996-10-31	PRIJEM	\N	187	48921	UROK	\N	\N
3465160	3278	1996-11-30	PRIJEM	\N	267	48835	UROK	\N	\N
3465161	3278	1996-12-31	PRIJEM	\N	208	54072	UROK	\N	\N
3465162	3278	1997-01-31	PRIJEM	\N	223	52002	UROK	\N	\N
3465163	3278	1997-02-28	PRIJEM	\N	216	52226	UROK	\N	\N
3465164	3278	1997-03-31	PRIJEM	\N	256	49090	UROK	\N	\N
3465165	3278	1997-04-30	PRIJEM	\N	229	46486	UROK	\N	\N
3465166	3278	1997-05-31	PRIJEM	\N	248	46381	UROK	\N	\N
3465167	3278	1997-06-30	PRIJEM	\N	193	37163	UROK	\N	\N
3465168	3278	1997-07-31	PRIJEM	\N	195	37985	UROK	\N	\N
3465169	3278	1997-08-31	PRIJEM	\N	164	43656	UROK	\N	\N
3465170	3278	1997-09-30	PRIJEM	\N	186	47749	UROK	\N	\N
3465171	3278	1997-10-31	PRIJEM	\N	245	49081	UROK	\N	\N
3465172	3278	1997-11-30	PRIJEM	\N	205	49993	UROK	\N	\N
3465173	3278	1997-12-31	PRIJEM	\N	220	54201	UROK	\N	\N
3465174	3278	1998-01-31	PRIJEM	\N	233	59741	UROK	\N	\N
3465175	3278	1998-02-28	PRIJEM	\N	249	60597	UROK	\N	\N
3465176	3278	1998-03-31	PRIJEM	\N	255	63259	UROK	\N	\N
3465177	3278	1998-04-30	PRIJEM	\N	265	62891	UROK	\N	\N
3465178	3278	1998-05-31	PRIJEM	\N	265	66064	UROK	\N	\N
3465179	3278	1998-06-30	PRIJEM	\N	274	56086	UROK	\N	\N
3465180	3278	1998-07-31	PRIJEM	\N	236	58929	UROK	\N	\N
3465181	3278	1998-08-31	PRIJEM	\N	242	58279	UROK	\N	\N
3465182	3278	1998-09-30	PRIJEM	\N	275	57761	UROK	\N	\N
3465183	3278	1998-10-31	PRIJEM	\N	230	53198	UROK	\N	\N
3465184	3278	1998-11-30	PRIJEM	\N	218	52623	UROK	\N	\N
3465185	3278	1998-12-31	PRIJEM	\N	322	83194	UROK	\N	\N
3465186	3282	1996-12-31	PRIJEM	\N	15	12415	UROK	\N	\N
3465187	3282	1997-01-31	PRIJEM	\N	62	19477	UROK	\N	\N
3465188	3282	1997-02-28	PRIJEM	\N	88	24865	UROK	\N	\N
3465189	3282	1997-03-31	PRIJEM	\N	120	32125	UROK	\N	\N
3465190	3282	1997-04-30	PRIJEM	\N	135	31845	UROK	\N	\N
3465191	3282	1997-05-31	PRIJEM	\N	129	27759	UROK	\N	\N
3465192	3282	1997-06-30	PRIJEM	\N	113	24958	UROK	\N	\N
3465193	3282	1997-07-31	PRIJEM	\N	101	20844	UROK	\N	\N
3465194	3282	1997-08-31	PRIJEM	\N	101	38185	UROK	\N	\N
3465195	3282	1997-09-30	PRIJEM	\N	148	30618	UROK	\N	\N
3465196	3282	1997-10-31	PRIJEM	\N	118	24971	UROK	\N	\N
3465197	3282	1997-11-30	PRIJEM	\N	98	21755	UROK	\N	\N
3465198	3282	1997-12-31	PRIJEM	\N	81	14921	UROK	\N	\N
3465199	3282	1998-01-31	PRIJEM	\N	56	12662	UROK	\N	\N
3465200	3282	1998-02-28	PRIJEM	\N	64	19011	UROK	\N	\N
3465201	3282	1998-03-31	PRIJEM	\N	79	18926	UROK	\N	\N
3465202	3282	1998-04-30	PRIJEM	\N	82	15593	UROK	\N	\N
3465203	3282	1998-05-31	PRIJEM	\N	68	11946	UROK	\N	\N
3465204	3282	1998-06-30	PRIJEM	\N	52	13184	UROK	\N	\N
3465205	3282	1998-07-31	PRIJEM	\N	56	14025	UROK	\N	\N
3465206	3282	1998-08-31	PRIJEM	\N	63	16473	UROK	\N	\N
3465207	3282	1998-09-30	PRIJEM	\N	67	15926	UROK	\N	\N
3465208	3282	1998-10-31	PRIJEM	\N	70	18182	UROK	\N	\N
3465209	3282	1998-11-30	PRIJEM	\N	73	16840	UROK	\N	\N
3465210	3282	1998-12-31	PRIJEM	\N	109	60279	UROK	\N	\N
3465211	3290	1996-12-31	PRIJEM	\N	172	58308	UROK	\N	\N
3465212	3290	1997-01-31	PRIJEM	\N	302	78734	UROK	\N	\N
3465213	3290	1997-02-28	PRIJEM	\N	354	88312	UROK	\N	\N
3465214	3290	1997-03-31	PRIJEM	\N	378	92214	UROK	\N	\N
3465215	3290	1997-04-30	PRIJEM	\N	389	94427	UROK	\N	\N
3465216	3290	1997-05-31	PRIJEM	\N	402	97538	UROK	\N	\N
3465217	3290	1997-06-30	PRIJEM	\N	376	87535	UROK	\N	\N
3465218	3290	1997-07-31	PRIJEM	\N	378	92423	UROK	\N	\N
3465219	3290	1997-08-31	PRIJEM	\N	269	63372	UROK	\N	\N
3465220	3290	1997-09-30	PRIJEM	\N	332	76513	UROK	\N	\N
3465221	3290	1997-10-31	PRIJEM	\N	323	66575	UROK	\N	\N
3465222	3290	1997-11-30	PRIJEM	\N	305	82690	UROK	\N	\N
3465223	3290	1997-12-31	PRIJEM	\N	304	74520	UROK	\N	\N
3465224	3290	1998-01-31	PRIJEM	\N	307	66937	UROK	\N	\N
3465225	3290	1998-02-28	PRIJEM	\N	326	76472	UROK	\N	\N
3465226	3290	1998-03-31	PRIJEM	\N	360	90842	UROK	\N	\N
3465227	3290	1998-04-30	PRIJEM	\N	396	97347	UROK	\N	\N
3465228	3290	1998-05-31	PRIJEM	\N	409	99066	UROK	\N	\N
3465229	3290	1998-06-30	PRIJEM	\N	333	49621	UROK	\N	\N
3465230	3290	1998-07-31	PRIJEM	\N	277	73707	UROK	\N	\N
3465231	3290	1998-08-31	PRIJEM	\N	352	90768	UROK	\N	\N
3465232	3290	1998-09-30	PRIJEM	\N	253	98430	UROK	\N	\N
3465233	3290	1998-10-31	PRIJEM	\N	397	63237	UROK	\N	\N
3465234	3290	1998-11-30	PRIJEM	\N	263	65809	UROK	\N	\N
3465235	3290	1998-12-31	PRIJEM	\N	353	68384	UROK	\N	\N
3465236	3298	1993-08-31	PRIJEM	\N	20	8346	UROK	\N	\N
3465237	3298	1993-09-30	PRIJEM	\N	74	24946	UROK	\N	\N
3465238	3298	1993-10-31	PRIJEM	\N	125	33797	UROK	\N	\N
3465239	3298	1993-11-30	PRIJEM	\N	147	36670	UROK	\N	\N
3465240	3298	1993-12-31	PRIJEM	\N	160	39169	UROK	\N	\N
3465241	3298	1994-01-31	PRIJEM	\N	134	29815	UROK	\N	\N
3465242	3298	1994-02-28	PRIJEM	\N	133	35059	UROK	\N	\N
3465243	3298	1994-03-31	PRIJEM	\N	150	36720	UROK	\N	\N
3465244	3298	1994-04-30	PRIJEM	\N	155	37586	UROK	\N	\N
3465245	3298	1994-05-31	PRIJEM	\N	154	36452	UROK	\N	\N
3465246	3298	1994-06-30	PRIJEM	\N	133	32309	UROK	\N	\N
3465247	3298	1994-07-31	PRIJEM	\N	118	33439	UROK	\N	\N
3465248	3298	1994-08-31	PRIJEM	\N	139	33889	UROK	\N	\N
3465249	3298	1994-09-30	PRIJEM	\N	141	34542	UROK	\N	\N
3465250	3298	1994-10-31	PRIJEM	\N	143	34097	UROK	\N	\N
3465251	3298	1994-11-30	PRIJEM	\N	143	35051	UROK	\N	\N
3465252	3298	1994-12-31	PRIJEM	\N	147	37123	UROK	\N	\N
3465253	3298	1995-01-31	PRIJEM	\N	133	27968	UROK	\N	\N
3465254	3298	1995-02-28	PRIJEM	\N	125	33404	UROK	\N	\N
3465255	3298	1995-03-31	PRIJEM	\N	141	37657	UROK	\N	\N
3465256	3298	1995-04-30	PRIJEM	\N	150	36918	UROK	\N	\N
3465257	3298	1995-05-31	PRIJEM	\N	154	37884	UROK	\N	\N
3465258	3298	1995-06-30	PRIJEM	\N	167	40275	UROK	\N	\N
3465259	3298	1995-07-31	PRIJEM	\N	171	44457	UROK	\N	\N
3465260	3298	1995-08-31	PRIJEM	\N	182	42451	UROK	\N	\N
3465261	3298	1995-09-30	PRIJEM	\N	177	43640	UROK	\N	\N
3465262	3298	1995-10-31	PRIJEM	\N	183	42334	UROK	\N	\N
3465263	3298	1995-11-30	PRIJEM	\N	185	46130	UROK	\N	\N
3465264	3298	1995-12-31	PRIJEM	\N	195	47850	UROK	\N	\N
3465265	3298	1996-01-31	PRIJEM	\N	187	40248	UROK	\N	\N
3465266	3298	1996-02-29	PRIJEM	\N	177	45237	UROK	\N	\N
3465267	3298	1996-03-31	PRIJEM	\N	192	48340	UROK	\N	\N
3465268	3298	1996-04-30	PRIJEM	\N	207	51058	UROK	\N	\N
3465269	3298	1996-05-31	PRIJEM	\N	213	52282	UROK	\N	\N
3465270	3298	1996-06-30	PRIJEM	\N	213	48020	UROK	\N	\N
3465271	3298	1996-07-31	PRIJEM	\N	204	51135	UROK	\N	\N
3465272	3298	1996-08-31	PRIJEM	\N	212	51658	UROK	\N	\N
3465273	3298	1996-09-30	PRIJEM	\N	214	49384	UROK	\N	\N
3465274	3298	1996-10-31	PRIJEM	\N	208	51703	UROK	\N	\N
3465275	3298	1996-11-30	PRIJEM	\N	216	52830	UROK	\N	\N
3465276	3298	1996-12-31	PRIJEM	\N	227	56782	UROK	\N	\N
3465277	3298	1997-01-31	PRIJEM	\N	209	44303	UROK	\N	\N
3465278	3298	1997-02-28	PRIJEM	\N	198	47412	UROK	\N	\N
3465279	3298	1997-03-31	PRIJEM	\N	207	52830	UROK	\N	\N
3465280	3298	1997-04-30	PRIJEM	\N	210	48451	UROK	\N	\N
3465281	3298	1997-05-31	PRIJEM	\N	211	53473	UROK	\N	\N
3465282	3298	1997-06-30	PRIJEM	\N	206	32804	UROK	\N	\N
3465283	3298	1997-07-31	PRIJEM	\N	165	46681	UROK	\N	\N
3465284	3298	1997-08-31	PRIJEM	\N	212	53504	UROK	\N	\N
3465285	3298	1997-09-30	PRIJEM	\N	229	57344	UROK	\N	\N
3465286	3298	1997-10-31	PRIJEM	\N	231	55386	UROK	\N	\N
3465287	3298	1997-11-30	PRIJEM	\N	230	55927	UROK	\N	\N
3465288	3298	1997-12-31	PRIJEM	\N	227	55878	UROK	\N	\N
3465289	3298	1998-01-31	PRIJEM	\N	198	44788	UROK	\N	\N
3465290	3298	1998-02-28	PRIJEM	\N	189	47688	UROK	\N	\N
3465291	3298	1998-03-31	PRIJEM	\N	205	51304	UROK	\N	\N
3465292	3298	1998-04-30	PRIJEM	\N	218	55034	UROK	\N	\N
3465293	3298	1998-05-31	PRIJEM	\N	222	53767	UROK	\N	\N
3465294	3298	1998-06-30	PRIJEM	\N	190	40882	UROK	\N	\N
3465295	3298	1998-07-31	PRIJEM	\N	169	42162	UROK	\N	\N
3465296	3298	1998-08-31	PRIJEM	\N	166	40239	UROK	\N	\N
3465297	3298	1998-09-30	PRIJEM	\N	169	42819	UROK	\N	\N
3465298	3298	1998-10-31	PRIJEM	\N	175	40805	UROK	\N	\N
3465299	3298	1998-11-30	PRIJEM	\N	176	45693	UROK	\N	\N
3465300	3298	1998-12-31	PRIJEM	\N	196	49913	UROK	\N	\N
3465301	3303	1995-12-31	PRIJEM	\N	53	26261	UROK	\N	\N
3465302	3303	1996-01-31	PRIJEM	\N	123	32889	UROK	\N	\N
3465303	3303	1996-02-29	PRIJEM	\N	148	38242	UROK	\N	\N
3465304	3303	1996-03-31	PRIJEM	\N	160	38807	UROK	\N	\N
3465305	3303	1996-04-30	PRIJEM	\N	154	35666	UROK	\N	\N
3465306	3303	1996-05-31	PRIJEM	\N	146	31982	UROK	\N	\N
3465307	3303	1996-06-30	PRIJEM	\N	203	42779	UROK	\N	\N
3465308	3303	1996-07-31	PRIJEM	\N	172	38581	UROK	\N	\N
3465309	3303	1996-08-31	PRIJEM	\N	191	51262	UROK	\N	\N
3465310	3303	1996-09-30	PRIJEM	\N	225	53858	UROK	\N	\N
3465311	3303	1996-10-31	PRIJEM	\N	232	57381	UROK	\N	\N
3465312	3303	1996-11-30	PRIJEM	\N	245	60316	UROK	\N	\N
3465313	3303	1996-12-31	PRIJEM	\N	285	71335	UROK	\N	\N
3465314	3303	1997-01-31	PRIJEM	\N	243	53068	UROK	\N	\N
3465315	3303	1997-02-28	PRIJEM	\N	229	57087	UROK	\N	\N
3465316	3303	1997-03-31	PRIJEM	\N	241	58719	UROK	\N	\N
3465317	3303	1997-04-30	PRIJEM	\N	236	54585	UROK	\N	\N
3465318	3303	1997-05-31	PRIJEM	\N	235	58010	UROK	\N	\N
3465319	3303	1997-06-30	PRIJEM	\N	188	34472	UROK	\N	\N
3465320	3303	1997-07-31	PRIJEM	\N	179	49541	UROK	\N	\N
3465321	3303	1997-08-31	PRIJEM	\N	223	56955	UROK	\N	\N
3465322	3303	1997-09-30	PRIJEM	\N	220	58225	UROK	\N	\N
3465323	3303	1997-10-31	PRIJEM	\N	239	57254	UROK	\N	\N
3465324	3303	1997-11-30	PRIJEM	\N	229	53673	UROK	\N	\N
3465325	3303	1997-12-31	PRIJEM	\N	245	60512	UROK	\N	\N
3465326	3303	1998-01-31	PRIJEM	\N	198	42701	UROK	\N	\N
3465327	3303	1998-02-28	PRIJEM	\N	194	50785	UROK	\N	\N
3465328	3303	1998-03-31	PRIJEM	\N	218	54294	UROK	\N	\N
3465329	3303	1998-04-30	PRIJEM	\N	231	57115	UROK	\N	\N
3465330	3303	1998-05-31	PRIJEM	\N	235	56381	UROK	\N	\N
3465331	3303	1998-06-30	PRIJEM	\N	232	35547	UROK	\N	\N
3465332	3303	1998-07-31	PRIJEM	\N	179	49116	UROK	\N	\N
3465333	3303	1998-08-31	PRIJEM	\N	218	55624	UROK	\N	\N
3465334	3303	1998-09-30	PRIJEM	\N	247	62322	UROK	\N	\N
3465335	3303	1998-10-31	PRIJEM	\N	272	68685	UROK	\N	\N
3465336	3303	1998-11-30	PRIJEM	\N	287	68983	UROK	\N	\N
3465337	3303	1998-12-31	PRIJEM	\N	277	79433	UROK	\N	\N
3465338	3307	1994-03-31	PRIJEM	\N	7	3707	UROK	\N	\N
3465339	3307	1994-04-30	PRIJEM	\N	42	16850	UROK	\N	\N
3465340	3307	1994-05-31	PRIJEM	\N	148	46847	UROK	\N	\N
3465341	3307	1994-06-30	PRIJEM	\N	130	27462	UROK	\N	\N
3465342	3307	1994-07-31	PRIJEM	\N	116	28263	UROK	\N	\N
3465343	3307	1994-08-31	PRIJEM	\N	117	28165	UROK	\N	\N
3465344	3307	1994-09-30	PRIJEM	\N	124	30224	UROK	\N	\N
3465345	3307	1994-10-31	PRIJEM	\N	179	53737	UROK	\N	\N
3465346	3307	1994-11-30	PRIJEM	\N	195	40417	UROK	\N	\N
3465347	3307	1994-12-31	PRIJEM	\N	160	36463	UROK	\N	\N
3465348	3307	1995-01-31	PRIJEM	\N	125	24573	UROK	\N	\N
3465349	3307	1995-02-28	PRIJEM	\N	108	27516	UROK	\N	\N
3465350	3307	1995-03-31	PRIJEM	\N	136	38175	UROK	\N	\N
3465351	3307	1995-04-30	PRIJEM	\N	157	37217	UROK	\N	\N
3465352	3307	1995-05-31	PRIJEM	\N	152	35954	UROK	\N	\N
3465353	3307	1995-06-30	PRIJEM	\N	99	17438	UROK	\N	\N
3465354	3307	1995-07-31	PRIJEM	\N	106	27479	UROK	\N	\N
3465355	3307	1995-08-31	PRIJEM	\N	133	35497	UROK	\N	\N
3465356	3307	1995-09-30	PRIJEM	\N	153	38636	UROK	\N	\N
3465357	3307	1995-10-31	PRIJEM	\N	152	37173	UROK	\N	\N
3465358	3307	1995-11-30	PRIJEM	\N	231	89407	UROK	\N	\N
3465359	3307	1995-12-31	PRIJEM	\N	306	67748	UROK	\N	\N
3465360	3307	1996-01-31	PRIJEM	\N	202	43386	UROK	\N	\N
3465361	3307	1996-02-29	PRIJEM	\N	222	94167	UROK	\N	\N
3465362	3307	1996-03-31	PRIJEM	\N	355	76107	UROK	\N	\N
3465363	3307	1996-04-30	PRIJEM	\N	289	63281	UROK	\N	\N
3465364	3307	1996-05-31	PRIJEM	\N	254	59720	UROK	\N	\N
3465365	3307	1996-06-30	PRIJEM	\N	189	38395	UROK	\N	\N
3465366	3307	1996-07-31	PRIJEM	\N	168	44598	UROK	\N	\N
3465367	3307	1996-08-31	PRIJEM	\N	190	47474	UROK	\N	\N
3465368	3307	1996-09-30	PRIJEM	\N	198	47658	UROK	\N	\N
3465369	3307	1996-10-31	PRIJEM	\N	201	47794	UROK	\N	\N
3465370	3307	1996-11-30	PRIJEM	\N	238	60470	UROK	\N	\N
3465371	3307	1996-12-31	PRIJEM	\N	249	55004	UROK	\N	\N
3465372	3307	1997-01-31	PRIJEM	\N	201	45340	UROK	\N	\N
3465373	3307	1997-02-28	PRIJEM	\N	190	45715	UROK	\N	\N
3465374	3307	1997-03-31	PRIJEM	\N	193	47444	UROK	\N	\N
3465375	3307	1997-04-30	PRIJEM	\N	197	46277	UROK	\N	\N
3465376	3307	1997-05-31	PRIJEM	\N	192	43154	UROK	\N	\N
3465377	3307	1997-06-30	PRIJEM	\N	167	41405	UROK	\N	\N
3465378	3307	1997-07-31	PRIJEM	\N	178	46269	UROK	\N	\N
3465379	3307	1997-08-31	PRIJEM	\N	206	73149	UROK	\N	\N
3465380	3307	1997-09-30	PRIJEM	\N	291	61025	UROK	\N	\N
3465381	3307	1997-10-31	PRIJEM	\N	255	62566	UROK	\N	\N
3465382	3307	1997-11-30	PRIJEM	\N	258	61609	UROK	\N	\N
3465383	3307	1997-12-31	PRIJEM	\N	252	63173	UROK	\N	\N
3465384	3307	1998-01-31	PRIJEM	\N	262	58039	UROK	\N	\N
3465385	3307	1998-02-28	PRIJEM	\N	235	54959	UROK	\N	\N
3465386	3307	1998-03-31	PRIJEM	\N	219	48364	UROK	\N	\N
3465387	3307	1998-04-30	PRIJEM	\N	195	45444	UROK	\N	\N
3465388	3307	1998-05-31	PRIJEM	\N	189	47069	UROK	\N	\N
3465389	3307	1998-06-30	PRIJEM	\N	151	25859	UROK	\N	\N
3465390	3307	1998-07-31	PRIJEM	\N	122	36466	UROK	\N	\N
3465391	3307	1998-08-31	PRIJEM	\N	167	47068	UROK	\N	\N
3465392	3307	1998-09-30	PRIJEM	\N	193	47746	UROK	\N	\N
3465393	3307	1998-10-31	PRIJEM	\N	199	49830	UROK	\N	\N
3465394	3307	1998-11-30	PRIJEM	\N	209	52824	UROK	\N	\N
3465395	3307	1998-12-31	PRIJEM	\N	211	50021	UROK	\N	\N
3465396	3308	1996-04-30	PRIJEM	\N	47	15380	UROK	\N	\N
3465397	3308	1996-05-31	PRIJEM	\N	120	33533	UROK	\N	\N
3465398	3308	1996-06-30	PRIJEM	\N	196	52128	UROK	\N	\N
3465399	3308	1996-07-31	PRIJEM	\N	219	53880	UROK	\N	\N
3465400	3308	1996-08-31	PRIJEM	\N	159	35133	UROK	\N	\N
3465401	3308	1996-09-30	PRIJEM	\N	146	32797	UROK	\N	\N
3465402	3308	1996-10-31	PRIJEM	\N	158	30913	UROK	\N	\N
3465403	3308	1996-11-30	PRIJEM	\N	130	34261	UROK	\N	\N
3465404	3308	1996-12-31	PRIJEM	\N	170	35756	UROK	\N	\N
3465405	3308	1997-01-31	PRIJEM	\N	137	23671	UROK	\N	\N
3465406	3308	1997-02-28	PRIJEM	\N	131	25801	UROK	\N	\N
3465407	3308	1997-03-31	PRIJEM	\N	108	26927	UROK	\N	\N
3465408	3308	1997-04-30	PRIJEM	\N	110	22655	UROK	\N	\N
3465409	3308	1997-05-31	PRIJEM	\N	92	19565	UROK	\N	\N
3465410	3308	1997-06-30	PRIJEM	\N	83	19034	UROK	\N	\N
3465411	3308	1997-07-31	PRIJEM	\N	107	15599	UROK	\N	\N
3465412	3308	1997-08-31	PRIJEM	\N	84	27361	UROK	\N	\N
3465413	3308	1997-09-30	PRIJEM	\N	104	17683	UROK	\N	\N
3465414	3308	1997-10-31	PRIJEM	\N	86	14387	UROK	\N	\N
3465415	3308	1997-11-30	PRIJEM	\N	62	29367	UROK	\N	\N
3465416	3308	1997-12-31	PRIJEM	\N	139	24071	UROK	\N	\N
3465417	3308	1998-01-31	PRIJEM	\N	78	14107	UROK	\N	\N
3465418	3308	1998-02-28	PRIJEM	\N	57	13383	UROK	\N	\N
3465419	3308	1998-03-31	PRIJEM	\N	91	24912	UROK	\N	\N
3465420	3308	1998-04-30	PRIJEM	\N	92	15822	UROK	\N	\N
3465421	3308	1998-05-31	PRIJEM	\N	67	29127	UROK	\N	\N
3465422	3308	1998-06-30	PRIJEM	\N	107	19619	UROK	\N	\N
3465423	3308	1998-07-31	PRIJEM	\N	80	13378	UROK	\N	\N
3465424	3308	1998-08-31	PRIJEM	\N	66	16962	UROK	\N	\N
3465425	3308	1998-09-30	PRIJEM	\N	72	31952	UROK	\N	\N
3465426	3308	1998-10-31	PRIJEM	\N	100	13470	UROK	\N	\N
3465427	3308	1998-11-30	PRIJEM	\N	57	28446	UROK	\N	\N
3465428	3308	1998-12-31	PRIJEM	\N	180	48770	UROK	\N	\N
3465429	3314	1997-03-31	PRIJEM	\N	80	31558	UROK	\N	\N
3465430	3314	1997-04-30	PRIJEM	\N	131	27990	UROK	\N	\N
3465431	3314	1997-05-31	PRIJEM	\N	131	27821	UROK	\N	\N
3465432	3314	1997-06-30	PRIJEM	\N	131	26652	UROK	\N	\N
3465433	3314	1997-07-31	PRIJEM	\N	131	23783	UROK	\N	\N
3465434	3314	1997-08-31	PRIJEM	\N	144	35819	UROK	\N	\N
3465435	3314	1997-09-30	PRIJEM	\N	149	27967	UROK	\N	\N
3465436	3314	1997-10-31	PRIJEM	\N	149	24616	UROK	\N	\N
3465437	3314	1997-11-30	PRIJEM	\N	149	27765	UROK	\N	\N
3465438	3314	1997-12-31	PRIJEM	\N	149	29513	UROK	\N	\N
3465439	3314	1998-01-31	PRIJEM	\N	204	110171	UROK	\N	\N
3465440	3314	1998-02-28	PRIJEM	\N	531	75902	UROK	\N	\N
3465441	3314	1998-03-31	PRIJEM	\N	531	63633	UROK	\N	\N
3465442	3314	1998-04-30	PRIJEM	\N	531	52665	UROK	\N	\N
3465443	3314	1998-05-31	PRIJEM	\N	531	47796	UROK	\N	\N
3465444	3314	1998-06-30	PRIJEM	\N	531	45727	UROK	\N	\N
3465445	3314	1998-07-31	PRIJEM	\N	531	51658	UROK	\N	\N
3465446	3314	1998-08-31	PRIJEM	\N	531	52889	UROK	\N	\N
3465447	3314	1998-09-30	PRIJEM	\N	531	53220	UROK	\N	\N
3465448	3314	1998-10-31	PRIJEM	\N	531	52851	UROK	\N	\N
3465449	3314	1998-11-30	PRIJEM	\N	531	53882	UROK	\N	\N
3465450	3321	1995-04-30	PRIJEM	\N	41	37327	UROK	\N	\N
3465451	3321	1995-05-31	PRIJEM	\N	150	34577	UROK	\N	\N
3465452	3321	1995-06-30	PRIJEM	\N	120	13098	UROK	\N	\N
3465453	3321	1995-07-31	PRIJEM	\N	73	21656	UROK	\N	\N
3465454	3321	1995-08-31	PRIJEM	\N	103	28245	UROK	\N	\N
3465455	3321	1995-09-30	PRIJEM	\N	126	32256	UROK	\N	\N
3465456	3321	1995-10-31	PRIJEM	\N	139	34780	UROK	\N	\N
3465457	3321	1995-11-30	PRIJEM	\N	143	34309	UROK	\N	\N
3465458	3321	1995-12-31	PRIJEM	\N	140	33734	UROK	\N	\N
3465459	3321	1996-01-31	PRIJEM	\N	119	20938	UROK	\N	\N
3465460	3321	1996-02-29	PRIJEM	\N	98	26421	UROK	\N	\N
3465461	3321	1996-03-31	PRIJEM	\N	122	32029	UROK	\N	\N
3465462	3321	1996-04-30	PRIJEM	\N	135	33149	UROK	\N	\N
3465463	3321	1996-05-31	PRIJEM	\N	146	36830	UROK	\N	\N
3465464	3321	1996-06-30	PRIJEM	\N	134	30850	UROK	\N	\N
3465465	3321	1996-07-31	PRIJEM	\N	137	31873	UROK	\N	\N
3465466	3321	1996-08-31	PRIJEM	\N	212	59538	UROK	\N	\N
3465467	3321	1996-09-30	PRIJEM	\N	219	48542	UROK	\N	\N
3465468	3321	1996-10-31	PRIJEM	\N	209	51353	UROK	\N	\N
3465469	3321	1996-11-30	PRIJEM	\N	195	43934	UROK	\N	\N
3465470	3321	1996-12-31	PRIJEM	\N	171	38590	UROK	\N	\N
3465471	3321	1997-01-31	PRIJEM	\N	225	77104	UROK	\N	\N
3465472	3321	1997-02-28	PRIJEM	\N	287	58677	UROK	\N	\N
3465473	3321	1997-03-31	PRIJEM	\N	226	50889	UROK	\N	\N
3465474	3321	1997-04-30	PRIJEM	\N	203	47177	UROK	\N	\N
3465475	3321	1997-05-31	PRIJEM	\N	185	43348	UROK	\N	\N
3465476	3321	1997-06-30	PRIJEM	\N	121	22054	UROK	\N	\N
3465477	3321	1997-07-31	PRIJEM	\N	102	26941	UROK	\N	\N
3465478	3321	1997-08-31	PRIJEM	\N	180	46591	UROK	\N	\N
3465479	3321	1997-09-30	PRIJEM	\N	177	40153	UROK	\N	\N
3465480	3321	1997-10-31	PRIJEM	\N	157	36495	UROK	\N	\N
3465481	3321	1997-11-30	PRIJEM	\N	152	36283	UROK	\N	\N
3465482	3321	1997-12-31	PRIJEM	\N	159	40627	UROK	\N	\N
3465483	3321	1998-01-31	PRIJEM	\N	157	34420	UROK	\N	\N
3465484	3321	1998-02-28	PRIJEM	\N	266	72143	UROK	\N	\N
3465485	3321	1998-03-31	PRIJEM	\N	270	61398	UROK	\N	\N
3465486	3321	1998-04-30	PRIJEM	\N	238	54421	UROK	\N	\N
3465487	3321	1998-05-31	PRIJEM	\N	208	47365	UROK	\N	\N
3465488	3321	1998-06-30	PRIJEM	\N	144	30444	UROK	\N	\N
3465489	3321	1998-07-31	PRIJEM	\N	138	37067	UROK	\N	\N
3465490	3321	1998-08-31	PRIJEM	\N	144	34997	UROK	\N	\N
3465491	3321	1998-09-30	PRIJEM	\N	148	34280	UROK	\N	\N
3465492	3321	1998-10-31	PRIJEM	\N	172	42489	UROK	\N	\N
3465493	3321	1998-11-30	PRIJEM	\N	175	38200	UROK	\N	\N
3465494	3321	1998-12-31	PRIJEM	\N	161	40446	UROK	\N	\N
3465495	3325	1997-11-30	PRIJEM	\N	117	36834	UROK	\N	\N
3465496	3325	1997-12-31	PRIJEM	\N	313	86724	UROK	\N	\N
3465497	3325	1998-01-31	PRIJEM	\N	388	95529	UROK	\N	\N
3465498	3325	1998-02-28	PRIJEM	\N	411	100357	UROK	\N	\N
3465499	3325	1998-03-31	PRIJEM	\N	427	103501	UROK	\N	\N
3465500	3325	1998-04-30	PRIJEM	\N	352	79055	UROK	\N	\N
3465501	3325	1998-05-31	PRIJEM	\N	295	68612	UROK	\N	\N
3465502	3325	1998-06-30	PRIJEM	\N	402	53376	UROK	\N	\N
3465503	3325	1998-07-31	PRIJEM	\N	245	55121	UROK	\N	\N
3465504	3325	1998-08-31	PRIJEM	\N	198	28403	UROK	\N	\N
3465505	3325	1998-09-30	PRIJEM	\N	171	41963	UROK	\N	\N
3465506	3325	1998-10-31	PRIJEM	\N	166	22850	UROK	\N	\N
3465507	3325	1998-11-30	PRIJEM	\N	132	37391	UROK	\N	\N
3465508	3325	1998-12-31	PRIJEM	\N	288	90040	UROK	\N	\N
3465509	3332	1997-04-30	PRIJEM	\N	13	13107	UROK	\N	\N
3465510	3332	1997-05-31	PRIJEM	\N	61	19262	UROK	\N	\N
3465511	3332	1997-06-30	PRIJEM	\N	84	22637	UROK	\N	\N
3465512	3332	1997-07-31	PRIJEM	\N	98	26129	UROK	\N	\N
3465513	3332	1997-08-31	PRIJEM	\N	115	31238	UROK	\N	\N
3465514	3332	1997-09-30	PRIJEM	\N	133	33451	UROK	\N	\N
3465515	3332	1997-10-31	PRIJEM	\N	139	33469	UROK	\N	\N
3465516	3332	1997-11-30	PRIJEM	\N	143	32992	UROK	\N	\N
3465517	3332	1997-12-31	PRIJEM	\N	156	34824	UROK	\N	\N
3465518	3332	1998-01-31	PRIJEM	\N	132	27335	UROK	\N	\N
3465519	3332	1998-02-28	PRIJEM	\N	126	34640	UROK	\N	\N
3465520	3332	1998-03-31	PRIJEM	\N	142	32261	UROK	\N	\N
3465521	3332	1998-04-30	PRIJEM	\N	134	32475	UROK	\N	\N
3465522	3332	1998-05-31	PRIJEM	\N	140	34895	UROK	\N	\N
3465523	3332	1998-06-30	PRIJEM	\N	139	17910	UROK	\N	\N
3465524	3332	1998-07-31	PRIJEM	\N	111	31699	UROK	\N	\N
3465525	3332	1998-08-31	PRIJEM	\N	154	43033	UROK	\N	\N
3465526	3332	1998-09-30	PRIJEM	\N	192	49304	UROK	\N	\N
3465527	3332	1998-10-31	PRIJEM	\N	205	49489	UROK	\N	\N
3465528	3332	1998-11-30	PRIJEM	\N	214	52582	UROK	\N	\N
3465529	3332	1998-12-31	PRIJEM	\N	239	60997	UROK	\N	\N
3465530	3333	1997-12-31	PRIJEM	\N	7	10807	UROK	\N	\N
3465531	3333	1998-01-31	PRIJEM	\N	51	18258	UROK	\N	\N
3465532	3333	1998-02-28	PRIJEM	\N	78	22036	UROK	\N	\N
3465533	3333	1998-03-31	PRIJEM	\N	95	27832	UROK	\N	\N
3465534	3333	1998-04-30	PRIJEM	\N	117	29248	UROK	\N	\N
3465535	3333	1998-05-31	PRIJEM	\N	167	50467	UROK	\N	\N
3465536	3333	1998-06-30	PRIJEM	\N	191	16394	UROK	\N	\N
3465537	3333	1998-07-31	PRIJEM	\N	77	23206	UROK	\N	\N
3465538	3333	1998-08-31	PRIJEM	\N	104	30396	UROK	\N	\N
3465539	3333	1998-09-30	PRIJEM	\N	127	30608	UROK	\N	\N
3465540	3333	1998-10-31	PRIJEM	\N	138	35569	UROK	\N	\N
3465541	3333	1998-11-30	PRIJEM	\N	146	33700	UROK	\N	\N
3465542	3333	1998-12-31	PRIJEM	\N	140	33926	UROK	\N	\N
3465543	3334	1997-05-31	PRIJEM	\N	50	31218	UROK	\N	\N
3465544	3334	1997-06-30	PRIJEM	\N	130	22948	UROK	\N	\N
3465545	3334	1997-07-31	PRIJEM	\N	130	17978	UROK	\N	\N
3465546	3334	1997-08-31	PRIJEM	\N	130	15108	UROK	\N	\N
3465547	3334	1997-09-30	PRIJEM	\N	130	15938	UROK	\N	\N
3465548	3334	1997-10-31	PRIJEM	\N	197	56344	UROK	\N	\N
3465549	3334	1997-11-30	PRIJEM	\N	234	39078	UROK	\N	\N
3465550	3334	1997-12-31	PRIJEM	\N	229	26607	UROK	\N	\N
3465551	3334	1998-02-28	PRIJEM	\N	93	21200	UROK	\N	\N
3465552	3334	1998-03-31	PRIJEM	\N	85	25885	UROK	\N	\N
3465553	3334	1998-04-30	PRIJEM	\N	107	25992	UROK	\N	\N
3465554	3334	1998-05-31	PRIJEM	\N	107	26800	UROK	\N	\N
3465555	3334	1998-06-30	PRIJEM	\N	107	26807	UROK	\N	\N
3465556	3334	1998-07-31	PRIJEM	\N	115	44514	UROK	\N	\N
3465557	3334	1998-08-31	PRIJEM	\N	185	38399	UROK	\N	\N
3465558	3334	1998-09-30	PRIJEM	\N	185	35084	UROK	\N	\N
3465559	3334	1998-10-31	PRIJEM	\N	191	54277	UROK	\N	\N
3465560	3375	1997-02-28	PRIJEM	\N	40	18134	UROK	\N	\N
3465561	3375	1997-03-31	PRIJEM	\N	97	28426	UROK	\N	\N
3465562	3375	1997-04-30	PRIJEM	\N	119	28638	UROK	\N	\N
3465563	3375	1997-05-31	PRIJEM	\N	118	28250	UROK	\N	\N
3465564	3375	1997-06-30	PRIJEM	\N	139	4531	UROK	\N	\N
3465565	3375	1997-07-31	PRIJEM	\N	58	20768	UROK	\N	\N
3465566	3375	1997-08-31	PRIJEM	\N	118	32665	UROK	\N	\N
3465567	3375	1997-09-30	PRIJEM	\N	147	38992	UROK	\N	\N
3465568	3375	1997-10-31	PRIJEM	\N	182	47353	UROK	\N	\N
3465569	3375	1997-11-30	PRIJEM	\N	212	53344	UROK	\N	\N
3465570	3375	1997-12-31	PRIJEM	\N	238	61409	UROK	\N	\N
3465571	3375	1998-01-31	PRIJEM	\N	237	57625	UROK	\N	\N
3465572	3375	1998-02-28	PRIJEM	\N	245	60049	UROK	\N	\N
3465573	3375	1998-03-31	PRIJEM	\N	252	61881	UROK	\N	\N
3465574	3375	1998-04-30	PRIJEM	\N	260	63020	UROK	\N	\N
3465575	3375	1998-05-31	PRIJEM	\N	269	66068	UROK	\N	\N
3465576	3375	1998-06-30	PRIJEM	\N	259	65953	UROK	\N	\N
3465577	3375	1998-07-31	PRIJEM	\N	266	62799	UROK	\N	\N
3465578	3375	1998-08-31	PRIJEM	\N	262	63441	UROK	\N	\N
3465579	3375	1998-09-30	PRIJEM	\N	261	62481	UROK	\N	\N
3465580	3375	1998-10-31	PRIJEM	\N	253	59813	UROK	\N	\N
3465581	3375	1998-11-30	PRIJEM	\N	247	59239	UROK	\N	\N
3465582	3375	1998-12-31	PRIJEM	\N	250	60716	UROK	\N	\N
3465583	3379	1997-02-28	PRIJEM	\N	18	20493	UROK	\N	\N
3465584	3379	1997-03-31	PRIJEM	\N	92	27860	UROK	\N	\N
3465585	3379	1997-04-30	PRIJEM	\N	120	32656	UROK	\N	\N
3465586	3379	1997-05-31	PRIJEM	\N	138	34468	UROK	\N	\N
3465587	3379	1997-06-30	PRIJEM	\N	146	37427	UROK	\N	\N
3465588	3379	1997-07-31	PRIJEM	\N	167	36054	UROK	\N	\N
3465589	3379	1997-08-31	PRIJEM	\N	154	39169	UROK	\N	\N
3465590	3379	1997-09-30	PRIJEM	\N	162	38691	UROK	\N	\N
3465591	3379	1997-10-31	PRIJEM	\N	163	34515	UROK	\N	\N
3465592	3379	1997-11-30	PRIJEM	\N	141	32916	UROK	\N	\N
3465593	3379	1997-12-31	PRIJEM	\N	170	37683	UROK	\N	\N
3465594	3379	1998-01-31	PRIJEM	\N	154	31597	UROK	\N	\N
3465595	3379	1998-02-28	PRIJEM	\N	137	35295	UROK	\N	\N
3465596	3379	1998-03-31	PRIJEM	\N	148	36404	UROK	\N	\N
3465597	3379	1998-04-30	PRIJEM	\N	162	39426	UROK	\N	\N
3465598	3379	1998-05-31	PRIJEM	\N	159	34745	UROK	\N	\N
3465599	3379	1998-06-30	PRIJEM	\N	145	32688	UROK	\N	\N
3465600	3379	1998-07-31	PRIJEM	\N	149	39597	UROK	\N	\N
3465601	3379	1998-08-31	PRIJEM	\N	163	38820	UROK	\N	\N
3465602	3379	1998-09-30	PRIJEM	\N	159	37740	UROK	\N	\N
3465603	3379	1998-10-31	PRIJEM	\N	160	39360	UROK	\N	\N
3465604	3379	1998-11-30	PRIJEM	\N	165	40286	UROK	\N	\N
3465605	3379	1998-12-31	PRIJEM	\N	224	60507	UROK	\N	\N
3465606	3383	1997-10-31	PRIJEM	\N	13	16313	UROK	\N	\N
3465607	3383	1997-11-30	PRIJEM	\N	77	27190	UROK	\N	\N
3465608	3383	1997-12-31	PRIJEM	\N	115	30705	UROK	\N	\N
3465609	3383	1998-01-31	PRIJEM	\N	104	29095	UROK	\N	\N
3465610	3383	1998-02-28	PRIJEM	\N	129	37209	UROK	\N	\N
3465611	3383	1998-03-31	PRIJEM	\N	160	40154	UROK	\N	\N
3465612	3383	1998-04-30	PRIJEM	\N	174	45813	UROK	\N	\N
3465613	3383	1998-05-31	PRIJEM	\N	191	43090	UROK	\N	\N
3465614	3383	1998-06-30	PRIJEM	\N	188	26950	UROK	\N	\N
3465615	3383	1998-07-31	PRIJEM	\N	125	38561	UROK	\N	\N
3465616	3383	1998-08-31	PRIJEM	\N	167	43213	UROK	\N	\N
3465617	3383	1998-09-30	PRIJEM	\N	187	49335	UROK	\N	\N
3465618	3383	1998-10-31	PRIJEM	\N	209	51130	UROK	\N	\N
3465619	3383	1998-11-30	PRIJEM	\N	218	55206	UROK	\N	\N
3465620	3383	1998-12-31	PRIJEM	\N	223	48814	UROK	\N	\N
3465621	3396	1997-12-31	PRIJEM	\N	37	22953	UROK	\N	\N
3465622	3396	1998-01-31	PRIJEM	\N	112	32476	UROK	\N	\N
3465623	3396	1998-02-28	PRIJEM	\N	143	37330	UROK	\N	\N
3465624	3396	1998-03-31	PRIJEM	\N	161	41102	UROK	\N	\N
3465625	3396	1998-04-30	PRIJEM	\N	169	40182	UROK	\N	\N
3465626	3396	1998-05-31	PRIJEM	\N	167	39945	UROK	\N	\N
3465627	3396	1998-06-30	PRIJEM	\N	132	24638	UROK	\N	\N
3465628	3396	1998-07-31	PRIJEM	\N	116	31751	UROK	\N	\N
3465629	3396	1998-08-31	PRIJEM	\N	142	33249	UROK	\N	\N
3465630	3396	1998-09-30	PRIJEM	\N	142	35287	UROK	\N	\N
3465631	3396	1998-10-31	PRIJEM	\N	154	38738	UROK	\N	\N
3465632	3396	1998-11-30	PRIJEM	\N	157	35791	UROK	\N	\N
3465633	3396	1998-12-31	PRIJEM	\N	168	37600	UROK	\N	\N
3465634	3404	1997-11-30	PRIJEM	\N	65	19474	UROK	\N	\N
3465635	3404	1997-12-31	PRIJEM	\N	179	48867	UROK	\N	\N
3465636	3404	1998-01-31	PRIJEM	\N	229	56605	UROK	\N	\N
3465637	3404	1998-02-28	PRIJEM	\N	241	58455	UROK	\N	\N
3465638	3404	1998-03-31	PRIJEM	\N	251	60814	UROK	\N	\N
3465639	3404	1998-04-30	PRIJEM	\N	249	59658	UROK	\N	\N
3465640	3404	1998-05-31	PRIJEM	\N	271	66023	UROK	\N	\N
3465641	3404	1998-06-30	PRIJEM	\N	264	57386	UROK	\N	\N
3465642	3404	1998-07-31	PRIJEM	\N	276	68657	UROK	\N	\N
3465643	3404	1998-08-31	PRIJEM	\N	303	74654	UROK	\N	\N
3465644	3404	1998-09-30	PRIJEM	\N	232	74180	UROK	\N	\N
3465645	3404	1998-10-31	PRIJEM	\N	292	56066	UROK	\N	\N
3465646	3404	1998-11-30	PRIJEM	\N	279	52040	UROK	\N	\N
3465647	3404	1998-12-31	PRIJEM	\N	234	78973	UROK	\N	\N
3465648	3417	1995-10-31	PRIJEM	\N	11	13511	UROK	\N	\N
3465649	3417	1995-11-30	PRIJEM	\N	64	22875	UROK	\N	\N
3465650	3417	1995-12-31	PRIJEM	\N	101	28376	UROK	\N	\N
3465651	3417	1996-01-31	PRIJEM	\N	89	19100	UROK	\N	\N
3465652	3417	1996-02-29	PRIJEM	\N	85	24471	UROK	\N	\N
3465653	3417	1996-03-31	PRIJEM	\N	161	49583	UROK	\N	\N
3465654	3417	1996-04-30	PRIJEM	\N	199	38917	UROK	\N	\N
3465655	3417	1996-05-31	PRIJEM	\N	158	32760	UROK	\N	\N
3465656	3417	1996-06-30	PRIJEM	\N	129	18975	UROK	\N	\N
3465657	3417	1996-07-31	PRIJEM	\N	83	21743	UROK	\N	\N
3465658	3417	1996-08-31	PRIJEM	\N	95	24323	UROK	\N	\N
3465659	3417	1996-09-30	PRIJEM	\N	96	20055	UROK	\N	\N
3465660	3417	1996-10-31	PRIJEM	\N	103	27347	UROK	\N	\N
3465661	3417	1996-11-30	PRIJEM	\N	110	24142	UROK	\N	\N
3465662	3417	1996-12-31	PRIJEM	\N	95	19923	UROK	\N	\N
3465663	3417	1997-01-31	PRIJEM	\N	77	13835	UROK	\N	\N
3465664	3417	1997-02-28	PRIJEM	\N	60	15681	UROK	\N	\N
3465665	3417	1997-03-31	PRIJEM	\N	66	16133	UROK	\N	\N
3465666	3417	1997-04-30	PRIJEM	\N	112	34933	UROK	\N	\N
3465667	3417	1997-05-31	PRIJEM	\N	129	24948	UROK	\N	\N
3465668	3417	1997-06-30	PRIJEM	\N	93	19226	UROK	\N	\N
3465669	3417	1997-07-31	PRIJEM	\N	77	17789	UROK	\N	\N
3465670	3417	1997-08-31	PRIJEM	\N	130	49633	UROK	\N	\N
3465671	3417	1997-09-30	PRIJEM	\N	178	33996	UROK	\N	\N
3465672	3417	1997-10-31	PRIJEM	\N	124	25405	UROK	\N	\N
3465673	3417	1997-11-30	PRIJEM	\N	96	20986	UROK	\N	\N
3465674	3417	1997-12-31	PRIJEM	\N	73	14845	UROK	\N	\N
3465675	3417	1998-01-31	PRIJEM	\N	62	14442	UROK	\N	\N
3465676	3417	1998-02-28	PRIJEM	\N	61	15139	UROK	\N	\N
3465677	3417	1998-03-31	PRIJEM	\N	66	16990	UROK	\N	\N
3465678	3417	1998-04-30	PRIJEM	\N	62	15038	UROK	\N	\N
3465679	3417	1998-05-31	PRIJEM	\N	65	16138	UROK	\N	\N
3465680	3417	1998-06-30	PRIJEM	\N	70	17993	UROK	\N	\N
3465681	3417	1998-07-31	PRIJEM	\N	77	19855	UROK	\N	\N
3465682	3417	1998-08-31	PRIJEM	\N	135	42213	UROK	\N	\N
3465683	3417	1998-09-30	PRIJEM	\N	182	58749	UROK	\N	\N
3465684	3417	1998-10-31	PRIJEM	\N	141	18126	UROK	\N	\N
3465685	3417	1998-11-30	PRIJEM	\N	78	19989	UROK	\N	\N
3465686	3417	1998-12-31	PRIJEM	\N	84	21158	UROK	\N	\N
3465687	3444	1997-09-30	PRIJEM	\N	43	17407	UROK	\N	\N
3465688	3444	1997-10-31	PRIJEM	\N	127	38798	UROK	\N	\N
3465689	3444	1997-11-30	PRIJEM	\N	186	48748	UROK	\N	\N
3465690	3444	1997-12-31	PRIJEM	\N	236	62130	UROK	\N	\N
3465691	3444	1998-01-31	PRIJEM	\N	187	28082	UROK	\N	\N
3465692	3444	1998-02-28	PRIJEM	\N	162	47278	UROK	\N	\N
3465693	3444	1998-03-31	PRIJEM	\N	234	61946	UROK	\N	\N
3465694	3444	1998-04-30	PRIJEM	\N	253	49238	UROK	\N	\N
3465695	3444	1998-05-31	PRIJEM	\N	244	59917	UROK	\N	\N
3465696	3444	1998-06-30	PRIJEM	\N	275	27408	UROK	\N	\N
3465697	3444	1998-07-31	PRIJEM	\N	202	61744	UROK	\N	\N
3465698	3444	1998-08-31	PRIJEM	\N	263	56716	UROK	\N	\N
3465699	3444	1998-09-30	PRIJEM	\N	242	62192	UROK	\N	\N
3465700	3444	1998-10-31	PRIJEM	\N	263	73789	UROK	\N	\N
3465701	3444	1998-11-30	PRIJEM	\N	309	78832	UROK	\N	\N
3465702	3444	1998-12-31	PRIJEM	\N	345	89894	UROK	\N	\N
3465703	3445	1994-03-31	PRIJEM	\N	19	18072	UROK	\N	\N
3465704	3445	1994-04-30	PRIJEM	\N	83	25209	UROK	\N	\N
3465705	3445	1994-05-31	PRIJEM	\N	109	28470	UROK	\N	\N
3465706	3445	1994-06-30	PRIJEM	\N	127	35127	UROK	\N	\N
3465707	3445	1994-07-31	PRIJEM	\N	144	33623	UROK	\N	\N
3465708	3445	1994-08-31	PRIJEM	\N	136	30078	UROK	\N	\N
3465709	3445	1994-09-30	PRIJEM	\N	133	35049	UROK	\N	\N
3465710	3445	1994-10-31	PRIJEM	\N	144	33931	UROK	\N	\N
3465711	3445	1994-11-30	PRIJEM	\N	143	33112	UROK	\N	\N
3465712	3445	1994-12-31	PRIJEM	\N	145	34612	UROK	\N	\N
3465713	3445	1995-01-31	PRIJEM	\N	110	15440	UROK	\N	\N
3465714	3445	1995-02-28	PRIJEM	\N	87	28166	UROK	\N	\N
3465715	3445	1995-03-31	PRIJEM	\N	122	28286	UROK	\N	\N
3465716	3445	1995-04-30	PRIJEM	\N	126	32950	UROK	\N	\N
3465717	3445	1995-05-31	PRIJEM	\N	142	35530	UROK	\N	\N
3465718	3445	1995-06-30	PRIJEM	\N	147	33832	UROK	\N	\N
3465719	3445	1995-07-31	PRIJEM	\N	137	30888	UROK	\N	\N
3465720	3445	1995-08-31	PRIJEM	\N	133	33360	UROK	\N	\N
3465721	3445	1995-09-30	PRIJEM	\N	138	33136	UROK	\N	\N
3465722	3445	1995-10-31	PRIJEM	\N	137	32291	UROK	\N	\N
3465723	3445	1995-11-30	PRIJEM	\N	159	33488	UROK	\N	\N
3465724	3445	1995-12-31	PRIJEM	\N	154	34597	UROK	\N	\N
3465725	3445	1996-01-31	PRIJEM	\N	135	14811	UROK	\N	\N
3465726	3445	1996-02-29	PRIJEM	\N	94	29243	UROK	\N	\N
3465727	3445	1996-03-31	PRIJEM	\N	126	30248	UROK	\N	\N
3465728	3445	1996-04-30	PRIJEM	\N	116	26702	UROK	\N	\N
3465729	3445	1996-05-31	PRIJEM	\N	120	30220	UROK	\N	\N
3465730	3445	1996-06-30	PRIJEM	\N	146	39181	UROK	\N	\N
3465731	3445	1996-07-31	PRIJEM	\N	160	38279	UROK	\N	\N
3465732	3445	1996-08-31	PRIJEM	\N	153	35970	UROK	\N	\N
3465733	3445	1996-09-30	PRIJEM	\N	139	31847	UROK	\N	\N
3465734	3445	1996-10-31	PRIJEM	\N	118	26504	UROK	\N	\N
3465735	3445	1996-11-30	PRIJEM	\N	106	23989	UROK	\N	\N
3465736	3445	1996-12-31	PRIJEM	\N	137	39741	UROK	\N	\N
3465737	3445	1997-01-31	PRIJEM	\N	112	15111	UROK	\N	\N
3465738	3445	1997-02-28	PRIJEM	\N	63	26113	UROK	\N	\N
3465739	3445	1997-03-31	PRIJEM	\N	127	36219	UROK	\N	\N
3465740	3445	1997-04-30	PRIJEM	\N	126	26283	UROK	\N	\N
3465741	3445	1997-05-31	PRIJEM	\N	114	29055	UROK	\N	\N
3465742	3445	1997-06-30	PRIJEM	\N	122	45592	UROK	\N	\N
3465743	3445	1997-07-31	PRIJEM	\N	150	29780	UROK	\N	\N
3465744	3445	1997-08-31	PRIJEM	\N	146	39664	UROK	\N	\N
3465745	3445	1997-09-30	PRIJEM	\N	165	50768	UROK	\N	\N
3465746	3445	1997-10-31	PRIJEM	\N	156	28762	UROK	\N	\N
3465747	3445	1997-11-30	PRIJEM	\N	128	36108	UROK	\N	\N
3465748	3445	1997-12-31	PRIJEM	\N	182	47385	UROK	\N	\N
3465749	3445	1998-01-31	PRIJEM	\N	184	40067	UROK	\N	\N
3465750	3445	1998-02-28	PRIJEM	\N	183	48429	UROK	\N	\N
3465751	3445	1998-03-31	PRIJEM	\N	203	51050	UROK	\N	\N
3465752	3445	1998-04-30	PRIJEM	\N	211	62199	UROK	\N	\N
3465753	3445	1998-05-31	PRIJEM	\N	171	30269	UROK	\N	\N
3465754	3445	1998-06-30	PRIJEM	\N	126	46810	UROK	\N	\N
3465755	3445	1998-07-31	PRIJEM	\N	189	57937	UROK	\N	\N
3465756	3445	1998-08-31	PRIJEM	\N	80	30655	UROK	\N	\N
3465757	3445	1998-09-30	PRIJEM	\N	121	16415	UROK	\N	\N
3465758	3445	1998-10-31	PRIJEM	\N	67	27420	UROK	\N	\N
3465759	3445	1998-11-30	PRIJEM	\N	112	38470	UROK	\N	\N
3465760	3445	1998-12-31	PRIJEM	\N	182	46468	UROK	\N	\N
3465761	3449	1995-05-31	PRIJEM	\N	9	13409	UROK	\N	\N
3465762	3449	1995-06-30	PRIJEM	\N	62	21671	UROK	\N	\N
3465763	3449	1995-07-31	PRIJEM	\N	93	25063	UROK	\N	\N
3465764	3449	1995-08-31	PRIJEM	\N	107	28170	UROK	\N	\N
3465765	3449	1995-09-30	PRIJEM	\N	116	27386	UROK	\N	\N
3465766	3449	1995-10-31	PRIJEM	\N	114	28086	UROK	\N	\N
3465767	3449	1995-11-30	PRIJEM	\N	138	37229	UROK	\N	\N
3465768	3449	1995-12-31	PRIJEM	\N	158	35593	UROK	\N	\N
3465769	3449	1996-01-31	PRIJEM	\N	139	28167	UROK	\N	\N
3465770	3449	1996-02-29	PRIJEM	\N	120	30372	UROK	\N	\N
3465771	3449	1996-03-31	PRIJEM	\N	126	30034	UROK	\N	\N
3465772	3449	1996-04-30	PRIJEM	\N	129	35585	UROK	\N	\N
3465773	3449	1996-05-31	PRIJEM	\N	144	33015	UROK	\N	\N
3465774	3449	1996-06-30	PRIJEM	\N	125	28075	UROK	\N	\N
3465775	3449	1996-07-31	PRIJEM	\N	117	27877	UROK	\N	\N
3465776	3449	1996-08-31	PRIJEM	\N	158	72379	UROK	\N	\N
3465777	3449	1996-09-30	PRIJEM	\N	267	53982	UROK	\N	\N
3465778	3449	1996-10-31	PRIJEM	\N	209	46077	UROK	\N	\N
3465779	3449	1996-11-30	PRIJEM	\N	189	44651	UROK	\N	\N
3465780	3449	1996-12-31	PRIJEM	\N	175	37911	UROK	\N	\N
3465781	3449	1997-01-31	PRIJEM	\N	146	30292	UROK	\N	\N
3465782	3449	1997-02-28	PRIJEM	\N	133	33810	UROK	\N	\N
3465783	3449	1997-03-31	PRIJEM	\N	184	66994	UROK	\N	\N
3465784	3449	1997-04-30	PRIJEM	\N	285	71389	UROK	\N	\N
3465785	3449	1997-05-31	PRIJEM	\N	269	58644	UROK	\N	\N
3465786	3449	1997-06-30	PRIJEM	\N	225	47254	UROK	\N	\N
3465787	3449	1997-07-31	PRIJEM	\N	199	48839	UROK	\N	\N
3465788	3449	1997-08-31	PRIJEM	\N	206	50430	UROK	\N	\N
3465789	3449	1997-09-30	PRIJEM	\N	211	51227	UROK	\N	\N
3465790	3449	1997-10-31	PRIJEM	\N	218	53730	UROK	\N	\N
3465791	3449	1997-11-30	PRIJEM	\N	225	54340	UROK	\N	\N
3465792	3449	1997-12-31	PRIJEM	\N	225	54351	UROK	\N	\N
3465793	3449	1998-01-31	PRIJEM	\N	224	60195	UROK	\N	\N
3465794	3449	1998-02-28	PRIJEM	\N	242	57222	UROK	\N	\N
3465795	3449	1998-03-31	PRIJEM	\N	246	60453	UROK	\N	\N
3465796	3449	1998-04-30	PRIJEM	\N	276	69546	UROK	\N	\N
3465797	3449	1998-05-31	PRIJEM	\N	270	60001	UROK	\N	\N
3465798	3449	1998-06-30	PRIJEM	\N	200	43387	UROK	\N	\N
3465799	3449	1998-07-31	PRIJEM	\N	193	48965	UROK	\N	\N
3465800	3449	1998-08-31	PRIJEM	\N	213	51563	UROK	\N	\N
3465801	3449	1998-09-30	PRIJEM	\N	211	50260	UROK	\N	\N
3465802	3449	1998-10-31	PRIJEM	\N	215	53060	UROK	\N	\N
3465803	3449	1998-11-30	PRIJEM	\N	218	52763	UROK	\N	\N
3465804	3449	1998-12-31	PRIJEM	\N	219	51168	UROK	\N	\N
3465805	3450	1996-12-31	PRIJEM	\N	86	39846	UROK	\N	\N
3465806	3450	1997-01-31	PRIJEM	\N	166	33011	UROK	\N	\N
3465807	3450	1997-02-28	PRIJEM	\N	166	29777	UROK	\N	\N
3465808	3450	1997-03-31	PRIJEM	\N	166	27743	UROK	\N	\N
3465809	3450	1997-04-30	PRIJEM	\N	166	23708	UROK	\N	\N
3465810	3450	1997-05-31	PRIJEM	\N	204	55808	UROK	\N	\N
3465811	3450	1997-06-30	PRIJEM	\N	268	85917	UROK	\N	\N
3465812	3450	1997-07-31	PRIJEM	\N	357	58774	UROK	\N	\N
3465813	3450	1997-08-31	PRIJEM	\N	357	42331	UROK	\N	\N
3465814	3450	1997-09-30	PRIJEM	\N	361	86120	UROK	\N	\N
3465815	3450	1997-10-31	PRIJEM	\N	337	45142	UROK	\N	\N
3465816	3450	1997-11-30	PRIJEM	\N	187	41415	UROK	\N	\N
3465817	3450	1997-12-31	PRIJEM	\N	202	47032	UROK	\N	\N
3465818	3450	1998-01-31	PRIJEM	\N	171	57894	UROK	\N	\N
3465819	3450	1998-02-28	PRIJEM	\N	179	28573	UROK	\N	\N
3465820	3450	1998-03-31	PRIJEM	\N	150	45122	UROK	\N	\N
3465821	3450	1998-04-30	PRIJEM	\N	263	59215	UROK	\N	\N
3465822	3450	1998-05-31	PRIJEM	\N	338	92065	UROK	\N	\N
3465823	3450	1998-06-30	PRIJEM	\N	355	97434	UROK	\N	\N
3465824	3450	1998-07-31	PRIJEM	\N	301	73735	UROK	\N	\N
3465825	3450	1998-08-31	PRIJEM	\N	264	79715	UROK	\N	\N
3465826	3450	1998-09-30	PRIJEM	\N	351	137396	UROK	\N	\N
3465827	3450	1998-10-31	PRIJEM	\N	353	98433	UROK	\N	\N
3465828	3450	1998-11-30	PRIJEM	\N	372	65260	UROK	\N	\N
3465829	3450	1998-12-31	PRIJEM	\N	176	62731	UROK	\N	\N
3465830	3459	1996-06-30	PRIJEM	\N	98	29580	UROK	\N	\N
3465831	3459	1996-07-31	PRIJEM	\N	174	45010	UROK	\N	\N
3465832	3459	1996-08-31	PRIJEM	\N	225	56990	UROK	\N	\N
3465833	3459	1996-09-30	PRIJEM	\N	173	60918	UROK	\N	\N
3465834	3459	1996-10-31	PRIJEM	\N	176	42748	UROK	\N	\N
3465835	3459	1996-11-30	PRIJEM	\N	178	41666	UROK	\N	\N
3465836	3459	1996-12-31	PRIJEM	\N	209	47542	UROK	\N	\N
3465837	3459	1997-01-31	PRIJEM	\N	206	32189	UROK	\N	\N
3465838	3459	1997-02-28	PRIJEM	\N	136	38365	UROK	\N	\N
3465839	3459	1997-03-31	PRIJEM	\N	173	39278	UROK	\N	\N
3465840	3459	1997-04-30	PRIJEM	\N	214	39932	UROK	\N	\N
3465841	3459	1997-05-31	PRIJEM	\N	165	38038	UROK	\N	\N
3465842	3459	1997-06-30	PRIJEM	\N	168	29973	UROK	\N	\N
3465843	3459	1997-07-31	PRIJEM	\N	127	32940	UROK	\N	\N
3465844	3459	1997-08-31	PRIJEM	\N	153	34533	UROK	\N	\N
3465845	3459	1997-09-30	PRIJEM	\N	142	33216	UROK	\N	\N
3465846	3459	1997-10-31	PRIJEM	\N	141	36697	UROK	\N	\N
3465847	3459	1997-11-30	PRIJEM	\N	153	37791	UROK	\N	\N
3465848	3459	1997-12-31	PRIJEM	\N	223	40681	UROK	\N	\N
3465849	3459	1998-01-31	PRIJEM	\N	165	25287	UROK	\N	\N
3465850	3459	1998-02-28	PRIJEM	\N	113	33140	UROK	\N	\N
3465851	3459	1998-03-31	PRIJEM	\N	142	37122	UROK	\N	\N
3465852	3459	1998-04-30	PRIJEM	\N	158	40420	UROK	\N	\N
3465853	3459	1998-05-31	PRIJEM	\N	210	43770	UROK	\N	\N
3465854	3459	1998-06-30	PRIJEM	\N	225	43263	UROK	\N	\N
3465855	3459	1998-07-31	PRIJEM	\N	180	44184	UROK	\N	\N
3465856	3459	1998-08-31	PRIJEM	\N	189	48613	UROK	\N	\N
3465857	3459	1998-09-30	PRIJEM	\N	205	50858	UROK	\N	\N
3465858	3459	1998-10-31	PRIJEM	\N	220	56518	UROK	\N	\N
3465859	3459	1998-11-30	PRIJEM	\N	237	58296	UROK	\N	\N
3465860	3459	1998-12-31	PRIJEM	\N	292	85455	UROK	\N	\N
3465861	3480	1993-10-31	PRIJEM	\N	48	19870	UROK	\N	\N
3465862	3480	1993-11-30	PRIJEM	\N	117	34609	UROK	\N	\N
3465863	3480	1993-12-31	PRIJEM	\N	179	49422	UROK	\N	\N
3465864	3480	1994-01-31	PRIJEM	\N	208	50652	UROK	\N	\N
3465865	3480	1994-02-28	PRIJEM	\N	212	51285	UROK	\N	\N
3465866	3480	1994-03-31	PRIJEM	\N	216	52609	UROK	\N	\N
3465867	3480	1994-04-30	PRIJEM	\N	216	51332	UROK	\N	\N
3465868	3480	1994-05-31	PRIJEM	\N	210	49949	UROK	\N	\N
3465869	3480	1994-06-30	PRIJEM	\N	222	54090	UROK	\N	\N
3465870	3480	1994-07-31	PRIJEM	\N	217	48414	UROK	\N	\N
3465871	3480	1994-08-31	PRIJEM	\N	203	49325	UROK	\N	\N
3465872	3480	1994-09-30	PRIJEM	\N	207	53139	UROK	\N	\N
3465873	3480	1994-10-31	PRIJEM	\N	222	53769	UROK	\N	\N
3465874	3480	1994-11-30	PRIJEM	\N	222	53198	UROK	\N	\N
3465875	3480	1994-12-31	PRIJEM	\N	217	57434	UROK	\N	\N
3465876	3480	1995-01-31	PRIJEM	\N	212	46253	UROK	\N	\N
3465877	3480	1995-02-28	PRIJEM	\N	204	51664	UROK	\N	\N
3465878	3480	1995-03-31	PRIJEM	\N	220	52392	UROK	\N	\N
3465879	3480	1995-04-30	PRIJEM	\N	227	56426	UROK	\N	\N
3465880	3480	1995-05-31	PRIJEM	\N	237	57671	UROK	\N	\N
3465881	3480	1995-06-30	PRIJEM	\N	197	50886	UROK	\N	\N
3465882	3480	1995-07-31	PRIJEM	\N	225	56818	UROK	\N	\N
3465883	3480	1995-08-31	PRIJEM	\N	250	62775	UROK	\N	\N
3465884	3480	1995-09-30	PRIJEM	\N	272	67855	UROK	\N	\N
3465885	3480	1995-10-31	PRIJEM	\N	286	69648	UROK	\N	\N
3465886	3480	1995-11-30	PRIJEM	\N	294	71250	UROK	\N	\N
3465887	3480	1995-12-31	PRIJEM	\N	295	79063	UROK	\N	\N
3465888	3480	1996-01-31	PRIJEM	\N	285	66955	UROK	\N	\N
3465889	3480	1996-02-29	PRIJEM	\N	283	67545	UROK	\N	\N
3465890	3480	1996-03-31	PRIJEM	\N	291	72243	UROK	\N	\N
3465891	3480	1996-04-30	PRIJEM	\N	302	72452	UROK	\N	\N
3465892	3480	1996-05-31	PRIJEM	\N	305	75264	UROK	\N	\N
3465893	3480	1996-06-30	PRIJEM	\N	259	64141	UROK	\N	\N
3465894	3480	1996-07-31	PRIJEM	\N	220	53869	UROK	\N	\N
3465895	3480	1996-08-31	PRIJEM	\N	234	53810	UROK	\N	\N
3465896	3480	1996-09-30	PRIJEM	\N	247	53265	UROK	\N	\N
3465897	3480	1996-10-31	PRIJEM	\N	224	52496	UROK	\N	\N
3465898	3480	1996-11-30	PRIJEM	\N	234	50037	UROK	\N	\N
3465899	3480	1996-12-31	PRIJEM	\N	228	52383	UROK	\N	\N
3465900	3480	1997-01-31	PRIJEM	\N	207	41297	UROK	\N	\N
3465901	3480	1997-02-28	PRIJEM	\N	170	42675	UROK	\N	\N
3465902	3480	1997-03-31	PRIJEM	\N	193	43775	UROK	\N	\N
3465903	3480	1997-04-30	PRIJEM	\N	188	45570	UROK	\N	\N
3465904	3480	1997-05-31	PRIJEM	\N	187	46365	UROK	\N	\N
3465905	3480	1997-06-30	PRIJEM	\N	206	49289	UROK	\N	\N
3465906	3480	1997-07-31	PRIJEM	\N	203	50899	UROK	\N	\N
3465907	3480	1997-08-31	PRIJEM	\N	207	49413	UROK	\N	\N
3465908	3480	1997-09-30	PRIJEM	\N	204	47125	UROK	\N	\N
3465909	3480	1997-10-31	PRIJEM	\N	192	47125	UROK	\N	\N
3465910	3480	1997-11-30	PRIJEM	\N	191	46623	UROK	\N	\N
3465911	3480	1997-12-31	PRIJEM	\N	203	42544	UROK	\N	\N
3465912	3480	1998-01-31	PRIJEM	\N	164	36916	UROK	\N	\N
3465913	3480	1998-02-28	PRIJEM	\N	153	38876	UROK	\N	\N
3465914	3480	1998-03-31	PRIJEM	\N	165	45249	UROK	\N	\N
3465915	3480	1998-04-30	PRIJEM	\N	185	40941	UROK	\N	\N
3465916	3480	1998-05-31	PRIJEM	\N	176	48324	UROK	\N	\N
3465917	3480	1998-06-30	PRIJEM	\N	198	47141	UROK	\N	\N
3465918	3480	1998-07-31	PRIJEM	\N	198	46646	UROK	\N	\N
3465919	3480	1998-08-31	PRIJEM	\N	189	47142	UROK	\N	\N
3465920	3480	1998-09-30	PRIJEM	\N	194	49144	UROK	\N	\N
3465921	3480	1998-10-31	PRIJEM	\N	200	50151	UROK	\N	\N
3465922	3480	1998-11-30	PRIJEM	\N	204	50962	UROK	\N	\N
3465923	3480	1998-12-31	PRIJEM	\N	253	70834	UROK	\N	\N
3465924	3496	1997-07-31	PRIJEM	\N	71	25333	UROK	\N	\N
3465925	3496	1997-08-31	PRIJEM	\N	150	40445	UROK	\N	\N
3465926	3496	1997-09-30	PRIJEM	\N	192	48499	UROK	\N	\N
3465927	3496	1997-10-31	PRIJEM	\N	220	54682	UROK	\N	\N
3465928	3496	1997-11-30	PRIJEM	\N	244	59988	UROK	\N	\N
3465929	3496	1997-12-31	PRIJEM	\N	254	59463	UROK	\N	\N
3465930	3496	1998-01-31	PRIJEM	\N	184	24460	UROK	\N	\N
3465931	3496	1998-02-28	PRIJEM	\N	210	43977	UROK	\N	\N
3465932	3496	1998-03-31	PRIJEM	\N	150	26047	UROK	\N	\N
3465933	3496	1998-04-30	PRIJEM	\N	141	24761	UROK	\N	\N
3465934	3496	1998-05-31	PRIJEM	\N	164	28459	UROK	\N	\N
3465935	3496	1998-06-30	PRIJEM	\N	270	76258	UROK	\N	\N
3465936	3496	1998-07-31	PRIJEM	\N	253	32459	UROK	\N	\N
3465937	3496	1998-08-31	PRIJEM	\N	231	31806	UROK	\N	\N
3465938	3496	1998-09-30	PRIJEM	\N	275	74828	UROK	\N	\N
3465939	3496	1998-10-31	PRIJEM	\N	380	95239	UROK	\N	\N
3465940	3496	1998-11-30	PRIJEM	\N	419	104286	UROK	\N	\N
3465941	3496	1998-12-31	PRIJEM	\N	333	71048	UROK	\N	\N
3465942	3499	1996-10-31	PRIJEM	\N	71	29503	UROK	\N	\N
3465943	3499	1996-11-30	PRIJEM	\N	167	47302	UROK	\N	\N
3465944	3499	1996-12-31	PRIJEM	\N	189	40089	UROK	\N	\N
3465945	3499	1997-01-31	PRIJEM	\N	197	51418	UROK	\N	\N
3465946	3499	1997-02-28	PRIJEM	\N	198	36020	UROK	\N	\N
3465947	3499	1997-03-31	PRIJEM	\N	156	34170	UROK	\N	\N
3465948	3499	1997-04-30	PRIJEM	\N	209	49596	UROK	\N	\N
3465949	3499	1997-05-31	PRIJEM	\N	239	57952	UROK	\N	\N
3465950	3499	1997-06-30	PRIJEM	\N	274	62210	UROK	\N	\N
3465951	3499	1997-07-31	PRIJEM	\N	279	69406	UROK	\N	\N
3465952	3499	1997-08-31	PRIJEM	\N	231	40654	UROK	\N	\N
3465953	3499	1997-09-30	PRIJEM	\N	194	31684	UROK	\N	\N
3465954	3499	1997-10-31	PRIJEM	\N	178	41678	UROK	\N	\N
3465955	3499	1997-11-30	PRIJEM	\N	213	54108	UROK	\N	\N
3465956	3499	1997-12-31	PRIJEM	\N	184	39876	UROK	\N	\N
3465957	3499	1998-01-31	PRIJEM	\N	293	24186	UROK	\N	\N
3465958	3499	1998-02-28	PRIJEM	\N	177	40314	UROK	\N	\N
3465959	3499	1998-03-31	PRIJEM	\N	172	31979	UROK	\N	\N
3465960	3499	1998-04-30	PRIJEM	\N	137	31334	UROK	\N	\N
3465961	3499	1998-05-31	PRIJEM	\N	173	20911	UROK	\N	\N
3465962	3499	1998-06-30	PRIJEM	\N	249	64027	UROK	\N	\N
3465963	3499	1998-07-31	PRIJEM	\N	288	35741	UROK	\N	\N
3465964	3499	1998-08-31	PRIJEM	\N	256	68215	UROK	\N	\N
3465965	3499	1998-09-30	PRIJEM	\N	303	78509	UROK	\N	\N
3465966	3499	1998-10-31	PRIJEM	\N	341	83368	UROK	\N	\N
3465967	3499	1998-11-30	PRIJEM	\N	279	60002	UROK	\N	\N
3465968	3499	1998-12-31	PRIJEM	\N	273	56428	UROK	\N	\N
3465969	3503	1994-08-31	PRIJEM	\N	49	22603	UROK	\N	\N
3465970	3503	1994-09-30	PRIJEM	\N	121	34777	UROK	\N	\N
3465971	3503	1994-10-31	PRIJEM	\N	157	40489	UROK	\N	\N
3465972	3503	1994-11-30	PRIJEM	\N	172	42315	UROK	\N	\N
3465973	3503	1994-12-31	PRIJEM	\N	182	44298	UROK	\N	\N
3465974	3503	1995-01-31	PRIJEM	\N	187	34644	UROK	\N	\N
3465975	3503	1995-02-28	PRIJEM	\N	155	38838	UROK	\N	\N
3465976	3503	1995-03-31	PRIJEM	\N	164	39741	UROK	\N	\N
3465977	3503	1995-04-30	PRIJEM	\N	162	36422	UROK	\N	\N
3465978	3503	1995-05-31	PRIJEM	\N	162	40523	UROK	\N	\N
3465979	3503	1995-06-30	PRIJEM	\N	153	34302	UROK	\N	\N
3465980	3503	1995-07-31	PRIJEM	\N	157	39598	UROK	\N	\N
3465981	3503	1995-08-31	PRIJEM	\N	168	40705	UROK	\N	\N
3465982	3503	1995-09-30	PRIJEM	\N	165	38129	UROK	\N	\N
3465983	3503	1995-10-31	PRIJEM	\N	167	38396	UROK	\N	\N
3465984	3503	1995-11-30	PRIJEM	\N	164	39799	UROK	\N	\N
3465985	3503	1995-12-31	PRIJEM	\N	174	42579	UROK	\N	\N
3465986	3503	1996-01-31	PRIJEM	\N	159	28518	UROK	\N	\N
3465987	3503	1996-02-29	PRIJEM	\N	142	35799	UROK	\N	\N
3465988	3503	1996-03-31	PRIJEM	\N	162	40000	UROK	\N	\N
3465989	3503	1996-04-30	PRIJEM	\N	182	44922	UROK	\N	\N
3465990	3503	1996-05-31	PRIJEM	\N	179	42840	UROK	\N	\N
3465991	3503	1996-06-30	PRIJEM	\N	106	7952	UROK	\N	\N
3465992	3503	1996-07-31	PRIJEM	\N	102	23593	UROK	\N	\N
3465993	3503	1996-08-31	PRIJEM	\N	151	34823	UROK	\N	\N
3465994	3503	1996-09-30	PRIJEM	\N	179	44841	UROK	\N	\N
3465995	3503	1996-10-31	PRIJEM	\N	211	52192	UROK	\N	\N
3465996	3503	1996-11-30	PRIJEM	\N	229	57620	UROK	\N	\N
3465997	3503	1996-12-31	PRIJEM	\N	271	64177	UROK	\N	\N
3465998	3503	1997-01-31	PRIJEM	\N	219	38955	UROK	\N	\N
3465999	3503	1997-02-28	PRIJEM	\N	204	51598	UROK	\N	\N
3466000	3503	1997-03-31	PRIJEM	\N	226	57104	UROK	\N	\N
3466001	3503	1997-04-30	PRIJEM	\N	257	59260	UROK	\N	\N
3466002	3503	1997-05-31	PRIJEM	\N	272	67172	UROK	\N	\N
3466003	3503	1997-06-30	PRIJEM	\N	290	41269	UROK	\N	\N
3466004	3503	1997-07-31	PRIJEM	\N	218	55425	UROK	\N	\N
3466005	3503	1997-08-31	PRIJEM	\N	176	43941	UROK	\N	\N
3466006	3503	1997-09-30	PRIJEM	\N	183	49363	UROK	\N	\N
3466007	3503	1997-10-31	PRIJEM	\N	205	52308	UROK	\N	\N
3466008	3503	1997-11-30	PRIJEM	\N	217	53964	UROK	\N	\N
3466009	3503	1997-12-31	PRIJEM	\N	288	61738	UROK	\N	\N
3466010	3503	1998-01-31	PRIJEM	\N	271	53528	UROK	\N	\N
3466011	3503	1998-02-28	PRIJEM	\N	223	58891	UROK	\N	\N
3466012	3503	1998-03-31	PRIJEM	\N	241	52311	UROK	\N	\N
3466013	3503	1998-04-30	PRIJEM	\N	218	57369	UROK	\N	\N
3466014	3503	1998-05-31	PRIJEM	\N	242	62109	UROK	\N	\N
3466015	3503	1998-06-30	PRIJEM	\N	275	53370	UROK	\N	\N
3466016	3503	1998-07-31	PRIJEM	\N	228	64338	UROK	\N	\N
3466017	3503	1998-08-31	PRIJEM	\N	272	71949	UROK	\N	\N
3466018	3503	1998-09-30	PRIJEM	\N	302	77690	UROK	\N	\N
3466019	3503	1998-10-31	PRIJEM	\N	320	78049	UROK	\N	\N
3466020	3503	1998-11-30	PRIJEM	\N	325	81814	UROK	\N	\N
3466021	3503	1998-12-31	PRIJEM	\N	340	84221	UROK	\N	\N
3466022	3508	1996-10-31	PRIJEM	\N	66	24759	UROK	\N	\N
3466023	3508	1996-11-30	PRIJEM	\N	131	34783	UROK	\N	\N
3466024	3508	1996-12-31	PRIJEM	\N	174	45447	UROK	\N	\N
3466025	3508	1997-01-31	PRIJEM	\N	189	45730	UROK	\N	\N
3466026	3508	1997-02-28	PRIJEM	\N	187	44810	UROK	\N	\N
3466027	3508	1997-03-31	PRIJEM	\N	175	40663	UROK	\N	\N
3466028	3508	1997-04-30	PRIJEM	\N	166	39607	UROK	\N	\N
3466029	3508	1997-05-31	PRIJEM	\N	159	34544	UROK	\N	\N
3466030	3508	1997-06-30	PRIJEM	\N	151	26371	UROK	\N	\N
3466031	3508	1997-07-31	PRIJEM	\N	130	31079	UROK	\N	\N
3466032	3508	1997-08-31	PRIJEM	\N	140	33597	UROK	\N	\N
3466033	3508	1997-09-30	PRIJEM	\N	141	33916	UROK	\N	\N
3466034	3508	1997-10-31	PRIJEM	\N	206	28300	UROK	\N	\N
3466035	3508	1997-11-30	PRIJEM	\N	137	34115	UROK	\N	\N
3466036	3508	1997-12-31	PRIJEM	\N	180	45070	UROK	\N	\N
3466037	3508	1998-01-31	PRIJEM	\N	161	36810	UROK	\N	\N
3466038	3508	1998-02-28	PRIJEM	\N	145	34134	UROK	\N	\N
3466039	3508	1998-03-31	PRIJEM	\N	154	37866	UROK	\N	\N
3466040	3508	1998-04-30	PRIJEM	\N	157	39602	UROK	\N	\N
3466041	3508	1998-05-31	PRIJEM	\N	161	40241	UROK	\N	\N
3466042	3508	1998-06-30	PRIJEM	\N	169	30386	UROK	\N	\N
3466043	3508	1998-07-31	PRIJEM	\N	148	37012	UROK	\N	\N
3466044	3508	1998-08-31	PRIJEM	\N	170	39960	UROK	\N	\N
3466045	3508	1998-09-30	PRIJEM	\N	188	46326	UROK	\N	\N
3466046	3508	1998-10-31	PRIJEM	\N	204	49109	UROK	\N	\N
3466047	3508	1998-11-30	PRIJEM	\N	195	46582	UROK	\N	\N
3466048	3508	1998-12-31	PRIJEM	\N	216	53574	UROK	\N	\N
3466049	3510	1993-01-31	PRIJEM	\N	48	23871	UROK	\N	\N
3466050	3510	1993-02-28	PRIJEM	\N	99	22370	UROK	\N	\N
3466051	3510	1993-03-31	PRIJEM	\N	99	22170	UROK	\N	\N
3466052	3510	1993-04-30	PRIJEM	\N	99	25669	UROK	\N	\N
3466053	3510	1993-05-31	PRIJEM	\N	99	27468	UROK	\N	\N
3466054	3510	1993-06-30	PRIJEM	\N	132	33358	UROK	\N	\N
3466055	3510	1993-07-31	PRIJEM	\N	138	27196	UROK	\N	\N
3466056	3510	1993-08-31	PRIJEM	\N	138	26335	UROK	\N	\N
3466057	3510	1993-09-30	PRIJEM	\N	138	24373	UROK	\N	\N
3466058	3510	1993-10-31	PRIJEM	\N	138	22312	UROK	\N	\N
3466059	3510	1993-11-30	PRIJEM	\N	138	25450	UROK	\N	\N
3466060	3510	1993-12-31	PRIJEM	\N	138	25689	UROK	\N	\N
3466061	3510	1994-01-31	PRIJEM	\N	281	105638	UROK	\N	\N
3466062	3510	1994-02-28	PRIJEM	\N	465	111081	UROK	\N	\N
3466063	3510	1994-03-31	PRIJEM	\N	285	51913	UROK	\N	\N
3466064	3510	1994-04-30	PRIJEM	\N	169	84026	UROK	\N	\N
3466065	3510	1994-05-31	PRIJEM	\N	352	97779	UROK	\N	\N
3466066	3510	1994-06-30	PRIJEM	\N	229	28054	UROK	\N	\N
3466067	3510	1994-07-31	PRIJEM	\N	253	92558	UROK	\N	\N
3466068	3510	1994-08-31	PRIJEM	\N	253	46696	UROK	\N	\N
3466069	3510	1994-09-30	PRIJEM	\N	417	65454	UROK	\N	\N
3466070	3510	1994-10-31	PRIJEM	\N	307	58911	UROK	\N	\N
3466071	3510	1994-11-30	PRIJEM	\N	287	133103	UROK	\N	\N
3466072	3510	1994-12-31	PRIJEM	\N	391	64324	UROK	\N	\N
3466073	3510	1995-01-31	PRIJEM	\N	226	48263	UROK	\N	\N
3466074	3510	1995-02-28	PRIJEM	\N	275	52741	UROK	\N	\N
3466075	3510	1995-03-31	PRIJEM	\N	244	53637	UROK	\N	\N
3466076	3510	1995-04-30	PRIJEM	\N	254	48848	UROK	\N	\N
3466077	3510	1995-05-31	PRIJEM	\N	245	57881	UROK	\N	\N
3466078	3510	1995-06-30	PRIJEM	\N	389	54083	UROK	\N	\N
3466079	3510	1995-07-31	PRIJEM	\N	259	55643	UROK	\N	\N
3466080	3510	1995-08-31	PRIJEM	\N	390	64462	UROK	\N	\N
3466081	3510	1995-09-30	PRIJEM	\N	318	60151	UROK	\N	\N
3466082	3510	1995-10-31	PRIJEM	\N	250	50373	UROK	\N	\N
3466083	3510	1995-11-30	PRIJEM	\N	227	83968	UROK	\N	\N
3466084	3510	1995-12-31	PRIJEM	\N	288	43843	UROK	\N	\N
3466085	3510	1996-01-31	PRIJEM	\N	124	30253	UROK	\N	\N
3466086	3510	1996-02-29	PRIJEM	\N	124	35163	UROK	\N	\N
3466087	3510	1996-03-31	PRIJEM	\N	144	36892	UROK	\N	\N
3466088	3510	1996-04-30	PRIJEM	\N	170	50806	UROK	\N	\N
3466089	3510	1996-05-31	PRIJEM	\N	208	50665	UROK	\N	\N
3466090	3510	1996-06-30	PRIJEM	\N	237	55199	UROK	\N	\N
3466091	3510	1996-07-31	PRIJEM	\N	205	33439	UROK	\N	\N
3466092	3510	1996-08-31	PRIJEM	\N	137	38561	UROK	\N	\N
3466093	3510	1996-09-30	PRIJEM	\N	183	48591	UROK	\N	\N
3466094	3510	1996-10-31	PRIJEM	\N	234	83628	UROK	\N	\N
3466095	3510	1996-11-30	PRIJEM	\N	341	61655	UROK	\N	\N
3466096	3510	1996-12-31	PRIJEM	\N	252	53592	UROK	\N	\N
3466097	3510	1997-01-31	PRIJEM	\N	163	32640	UROK	\N	\N
3466098	3510	1997-02-28	PRIJEM	\N	170	48306	UROK	\N	\N
3466099	3510	1997-03-31	PRIJEM	\N	307	97854	UROK	\N	\N
3466100	3510	1997-04-30	PRIJEM	\N	345	51932	UROK	\N	\N
3466101	3510	1997-05-31	PRIJEM	\N	211	50428	UROK	\N	\N
3466102	3510	1997-06-30	PRIJEM	\N	205	47018	UROK	\N	\N
3466103	3510	1997-07-31	PRIJEM	\N	176	40080	UROK	\N	\N
3466104	3510	1997-08-31	PRIJEM	\N	162	41427	UROK	\N	\N
3466105	3510	1997-09-30	PRIJEM	\N	211	52160	UROK	\N	\N
3466106	3510	1997-10-31	PRIJEM	\N	208	47854	UROK	\N	\N
3466107	3510	1997-11-30	PRIJEM	\N	207	38682	UROK	\N	\N
3466108	3510	1997-12-31	PRIJEM	\N	197	75824	UROK	\N	\N
3466109	3510	1998-01-31	PRIJEM	\N	330	104217	UROK	\N	\N
3466110	3510	1998-02-28	PRIJEM	\N	305	58902	UROK	\N	\N
3466111	3510	1998-03-31	PRIJEM	\N	269	79442	UROK	\N	\N
3466112	3510	1998-04-30	PRIJEM	\N	331	58407	UROK	\N	\N
3466113	3510	1998-05-31	PRIJEM	\N	325	53479	UROK	\N	\N
3466114	3510	1998-06-30	PRIJEM	\N	288	105193	UROK	\N	\N
3466115	3510	1998-07-31	PRIJEM	\N	409	100907	UROK	\N	\N
3466116	3510	1998-08-31	PRIJEM	\N	392	95735	UROK	\N	\N
3466117	3510	1998-09-30	PRIJEM	\N	457	84264	UROK	\N	\N
3466118	3510	1998-10-31	PRIJEM	\N	274	97670	UROK	\N	\N
3466119	3510	1998-11-30	PRIJEM	\N	234	44988	UROK	\N	\N
3466120	3510	1998-12-31	PRIJEM	\N	191	47530	UROK	\N	\N
3466121	3516	1998-01-31	PRIJEM	\N	155	83972	UROK	\N	\N
3466122	3516	1998-02-28	PRIJEM	\N	334	94620	UROK	\N	\N
3466123	3516	1998-03-31	PRIJEM	\N	391	82921	UROK	\N	\N
3466124	3516	1998-04-30	PRIJEM	\N	357	113384	UROK	\N	\N
3466125	3516	1998-05-31	PRIJEM	\N	173	45997	UROK	\N	\N
3466126	3516	1998-06-30	PRIJEM	\N	218	37204	UROK	\N	\N
3466127	3516	1998-07-31	PRIJEM	\N	161	58068	UROK	\N	\N
3466128	3516	1998-08-31	PRIJEM	\N	322	66899	UROK	\N	\N
3466129	3516	1998-09-30	PRIJEM	\N	417	62256	UROK	\N	\N
3466130	3516	1998-10-31	PRIJEM	\N	260	55586	UROK	\N	\N
3466131	3516	1998-11-30	PRIJEM	\N	352	88044	UROK	\N	\N
3466132	3516	1998-12-31	PRIJEM	\N	341	85846	UROK	\N	\N
3466133	3517	1996-12-31	PRIJEM	\N	33	24605	UROK	\N	\N
3466134	3517	1997-01-31	PRIJEM	\N	106	27092	UROK	\N	\N
3466135	3517	1997-02-28	PRIJEM	\N	116	29989	UROK	\N	\N
3466136	3517	1997-03-31	PRIJEM	\N	126	31297	UROK	\N	\N
3466137	3517	1997-04-30	PRIJEM	\N	152	34809	UROK	\N	\N
3466138	3517	1997-05-31	PRIJEM	\N	142	32718	UROK	\N	\N
3466139	3517	1997-06-30	PRIJEM	\N	113	13508	UROK	\N	\N
3466140	3517	1997-07-31	PRIJEM	\N	65	18939	UROK	\N	\N
3466141	3517	1997-08-31	PRIJEM	\N	85	22691	UROK	\N	\N
3466142	3517	1997-09-30	PRIJEM	\N	110	23387	UROK	\N	\N
3466143	3517	1997-10-31	PRIJEM	\N	107	28761	UROK	\N	\N
3466144	3517	1997-11-30	PRIJEM	\N	117	27344	UROK	\N	\N
3466145	3517	1997-12-31	PRIJEM	\N	138	28739	UROK	\N	\N
3466146	3517	1998-01-31	PRIJEM	\N	111	23896	UROK	\N	\N
3466147	3517	1998-02-28	PRIJEM	\N	113	30476	UROK	\N	\N
3466148	3517	1998-03-31	PRIJEM	\N	119	22421	UROK	\N	\N
3466149	3517	1998-04-30	PRIJEM	\N	96	24083	UROK	\N	\N
3466150	3517	1998-05-31	PRIJEM	\N	102	22812	UROK	\N	\N
3466151	3517	1998-06-30	PRIJEM	\N	89	16918	UROK	\N	\N
3466152	3517	1998-07-31	PRIJEM	\N	75	19160	UROK	\N	\N
3466153	3517	1998-08-31	PRIJEM	\N	80	19306	UROK	\N	\N
3466154	3517	1998-09-30	PRIJEM	\N	80	16632	UROK	\N	\N
3466155	3517	1998-10-31	PRIJEM	\N	70	17268	UROK	\N	\N
3466156	3517	1998-11-30	PRIJEM	\N	85	21320	UROK	\N	\N
3466157	3517	1998-12-31	PRIJEM	\N	148	38445	UROK	\N	\N
3466158	3519	1996-02-29	PRIJEM	\N	47	25026	UROK	\N	\N
3466159	3519	1996-03-31	PRIJEM	\N	124	33326	UROK	\N	\N
3466160	3519	1996-04-30	PRIJEM	\N	132	29858	UROK	\N	\N
3466161	3519	1996-05-31	PRIJEM	\N	122	29065	UROK	\N	\N
3466162	3519	1996-06-30	PRIJEM	\N	112	24363	UROK	\N	\N
3466163	3519	1996-07-31	PRIJEM	\N	108	27557	UROK	\N	\N
3466164	3519	1996-08-31	PRIJEM	\N	121	30863	UROK	\N	\N
3466165	3519	1996-09-30	PRIJEM	\N	121	27770	UROK	\N	\N
3466166	3519	1996-10-31	PRIJEM	\N	119	29674	UROK	\N	\N
3466167	3519	1996-11-30	PRIJEM	\N	112	24172	UROK	\N	\N
3466168	3519	1996-12-31	PRIJEM	\N	84	20041	UROK	\N	\N
3466169	3519	1997-01-31	PRIJEM	\N	68	14744	UROK	\N	\N
3466170	3519	1997-02-28	PRIJEM	\N	74	20804	UROK	\N	\N
3466171	3519	1997-03-31	PRIJEM	\N	91	26501	UROK	\N	\N
3466172	3519	1997-04-30	PRIJEM	\N	105	24692	UROK	\N	\N
3466173	3519	1997-05-31	PRIJEM	\N	100	23677	UROK	\N	\N
3466174	3519	1997-06-30	PRIJEM	\N	68	16831	UROK	\N	\N
3466175	3519	1997-07-31	PRIJEM	\N	78	20294	UROK	\N	\N
3466176	3519	1997-08-31	PRIJEM	\N	88	22067	UROK	\N	\N
3466177	3519	1997-09-30	PRIJEM	\N	131	48495	UROK	\N	\N
3466178	3519	1997-10-31	PRIJEM	\N	175	37156	UROK	\N	\N
3466179	3519	1997-11-30	PRIJEM	\N	144	33085	UROK	\N	\N
3466180	3519	1997-12-31	PRIJEM	\N	136	32007	UROK	\N	\N
3466181	3519	1998-01-31	PRIJEM	\N	110	26252	UROK	\N	\N
3466182	3519	1998-02-28	PRIJEM	\N	114	29552	UROK	\N	\N
3466183	3519	1998-03-31	PRIJEM	\N	125	33493	UROK	\N	\N
3466184	3519	1998-04-30	PRIJEM	\N	141	34019	UROK	\N	\N
3466185	3519	1998-05-31	PRIJEM	\N	131	33735	UROK	\N	\N
3466186	3519	1998-06-30	PRIJEM	\N	135	26856	UROK	\N	\N
3466187	3519	1998-07-31	PRIJEM	\N	116	36243	UROK	\N	\N
3466188	3519	1998-08-31	PRIJEM	\N	155	37083	UROK	\N	\N
3466189	3519	1998-09-30	PRIJEM	\N	156	33324	UROK	\N	\N
3466190	3519	1998-10-31	PRIJEM	\N	143	35252	UROK	\N	\N
3466191	3519	1998-11-30	PRIJEM	\N	150	35687	UROK	\N	\N
3466192	3519	1998-12-31	PRIJEM	\N	150	31872	UROK	\N	\N
3466193	3520	1995-06-30	PRIJEM	\N	68	25884	UROK	\N	\N
3466194	3520	1995-07-31	PRIJEM	\N	152	42513	UROK	\N	\N
3466195	3520	1995-08-31	PRIJEM	\N	194	49185	UROK	\N	\N
3466196	3520	1995-09-30	PRIJEM	\N	211	51973	UROK	\N	\N
3466197	3520	1995-10-31	PRIJEM	\N	167	23465	UROK	\N	\N
3466198	3520	1995-11-30	PRIJEM	\N	129	26157	UROK	\N	\N
3466199	3520	1995-12-31	PRIJEM	\N	169	47028	UROK	\N	\N
3466200	3520	1996-01-31	PRIJEM	\N	144	21434	UROK	\N	\N
3466201	3520	1996-02-29	PRIJEM	\N	90	38186	UROK	\N	\N
3466202	3520	1996-03-31	PRIJEM	\N	125	34374	UROK	\N	\N
3466203	3520	1996-04-30	PRIJEM	\N	145	40981	UROK	\N	\N
3466204	3520	1996-05-31	PRIJEM	\N	147	31490	UROK	\N	\N
3466205	3520	1996-06-30	PRIJEM	\N	135	41026	UROK	\N	\N
3466206	3520	1996-07-31	PRIJEM	\N	171	42460	UROK	\N	\N
3466207	3520	1996-08-31	PRIJEM	\N	178	32159	UROK	\N	\N
3466208	3520	1996-09-30	PRIJEM	\N	127	20843	UROK	\N	\N
3466209	3520	1996-10-31	PRIJEM	\N	93	29298	UROK	\N	\N
3466210	3520	1996-11-30	PRIJEM	\N	152	29412	UROK	\N	\N
3466211	3520	1996-12-31	PRIJEM	\N	129	35343	UROK	\N	\N
3466212	3520	1997-01-31	PRIJEM	\N	122	20527	UROK	\N	\N
3466213	3520	1997-02-28	PRIJEM	\N	92	28281	UROK	\N	\N
3466214	3520	1997-03-31	PRIJEM	\N	117	28661	UROK	\N	\N
3466215	3520	1997-04-30	PRIJEM	\N	117	27441	UROK	\N	\N
3466216	3520	1997-05-31	PRIJEM	\N	117	30520	UROK	\N	\N
3466217	3520	1997-06-30	PRIJEM	\N	130	33851	UROK	\N	\N
3466218	3520	1997-07-31	PRIJEM	\N	134	28547	UROK	\N	\N
3466219	3520	1997-08-31	PRIJEM	\N	121	30931	UROK	\N	\N
3466220	3520	1997-09-30	PRIJEM	\N	126	29819	UROK	\N	\N
3466221	3520	1997-10-31	PRIJEM	\N	114	21795	UROK	\N	\N
3466222	3520	1997-11-30	PRIJEM	\N	97	26354	UROK	\N	\N
3466223	3520	1997-12-31	PRIJEM	\N	134	25289	UROK	\N	\N
3466224	3520	1998-01-31	PRIJEM	\N	106	21340	UROK	\N	\N
3466225	3520	1998-02-28	PRIJEM	\N	92	23894	UROK	\N	\N
3466226	3520	1998-03-31	PRIJEM	\N	102	26158	UROK	\N	\N
3466227	3520	1998-04-30	PRIJEM	\N	105	20913	UROK	\N	\N
3466228	3520	1998-05-31	PRIJEM	\N	81	18556	UROK	\N	\N
3466229	3520	1998-06-30	PRIJEM	\N	80	21138	UROK	\N	\N
3466230	3520	1998-07-31	PRIJEM	\N	80	15480	UROK	\N	\N
3466231	3520	1998-08-31	PRIJEM	\N	73	20815	UROK	\N	\N
3466232	3520	1998-09-30	PRIJEM	\N	80	18457	UROK	\N	\N
3466233	3520	1998-10-31	PRIJEM	\N	83	22503	UROK	\N	\N
3466234	3520	1998-11-30	PRIJEM	\N	101	26967	UROK	\N	\N
3466235	3520	1998-12-31	PRIJEM	\N	149	43417	UROK	\N	\N
3466236	3523	1998-10-31	PRIJEM	\N	6	41206	UROK	\N	\N
3466237	3529	1997-08-31	PRIJEM	\N	67	19861	UROK	\N	\N
3466238	3529	1997-09-30	PRIJEM	\N	117	29872	UROK	\N	\N
3466239	3529	1997-10-31	PRIJEM	\N	193	36759	UROK	\N	\N
3466240	3529	1997-11-30	PRIJEM	\N	211	51064	UROK	\N	\N
3466241	3529	1997-12-31	PRIJEM	\N	257	63781	UROK	\N	\N
3466242	3529	1998-01-31	PRIJEM	\N	240	48560	UROK	\N	\N
3466243	3529	1998-02-28	PRIJEM	\N	237	58876	UROK	\N	\N
3466244	3529	1998-03-31	PRIJEM	\N	274	66149	UROK	\N	\N
3466245	3529	1998-04-30	PRIJEM	\N	290	70719	UROK	\N	\N
3466246	3529	1998-05-31	PRIJEM	\N	292	70190	UROK	\N	\N
3466247	3529	1998-06-30	PRIJEM	\N	287	40223	UROK	\N	\N
3466248	3529	1998-07-31	PRIJEM	\N	208	51551	UROK	\N	\N
3466249	3529	1998-08-31	PRIJEM	\N	230	56260	UROK	\N	\N
3466250	3529	1998-09-30	PRIJEM	\N	229	56669	UROK	\N	\N
3466251	3529	1998-10-31	PRIJEM	\N	255	63103	UROK	\N	\N
3466252	3529	1998-11-30	PRIJEM	\N	188	64470	UROK	\N	\N
3466253	3529	1998-12-31	PRIJEM	\N	274	70591	UROK	\N	\N
3466254	3532	1995-08-31	PRIJEM	\N	31	15588	UROK	\N	\N
3466255	3532	1995-09-30	PRIJEM	\N	84	24729	UROK	\N	\N
3466256	3532	1995-10-31	PRIJEM	\N	106	26292	UROK	\N	\N
3466257	3532	1995-11-30	PRIJEM	\N	116	29465	UROK	\N	\N
3466258	3532	1995-12-31	PRIJEM	\N	132	33484	UROK	\N	\N
3466259	3532	1996-01-31	PRIJEM	\N	105	15831	UROK	\N	\N
3466260	3532	1996-02-29	PRIJEM	\N	82	22056	UROK	\N	\N
3466261	3532	1996-03-31	PRIJEM	\N	97	22895	UROK	\N	\N
3466262	3532	1996-04-30	PRIJEM	\N	94	22531	UROK	\N	\N
3466263	3532	1996-05-31	PRIJEM	\N	90	21164	UROK	\N	\N
3466264	3532	1996-06-30	PRIJEM	\N	67	1502	UROK	\N	\N
3466265	3532	1996-07-31	PRIJEM	\N	30	10174	UROK	\N	\N
3466266	3532	1996-08-31	PRIJEM	\N	83	25400	UROK	\N	\N
3466267	3532	1996-09-30	PRIJEM	\N	116	29458	UROK	\N	\N
3466268	3532	1996-10-31	PRIJEM	\N	131	32632	UROK	\N	\N
3466269	3532	1996-11-30	PRIJEM	\N	143	35317	UROK	\N	\N
3466270	3532	1996-12-31	PRIJEM	\N	156	40744	UROK	\N	\N
3466271	3532	1997-01-31	PRIJEM	\N	126	26313	UROK	\N	\N
3466272	3532	1997-02-28	PRIJEM	\N	133	35888	UROK	\N	\N
3466273	3532	1997-03-31	PRIJEM	\N	170	43600	UROK	\N	\N
3466274	3532	1997-04-30	PRIJEM	\N	186	45328	UROK	\N	\N
3466275	3532	1997-05-31	PRIJEM	\N	175	39646	UROK	\N	\N
3466276	3532	1997-06-30	PRIJEM	\N	171	27489	UROK	\N	\N
3466277	3532	1997-07-31	PRIJEM	\N	139	34871	UROK	\N	\N
3466278	3532	1997-08-31	PRIJEM	\N	167	43080	UROK	\N	\N
3466279	3532	1997-09-30	PRIJEM	\N	182	44304	UROK	\N	\N
3466280	3532	1997-10-31	PRIJEM	\N	173	36819	UROK	\N	\N
3466281	3532	1997-11-30	PRIJEM	\N	152	36214	UROK	\N	\N
3466282	3532	1997-12-31	PRIJEM	\N	168	42653	UROK	\N	\N
3466283	3532	1998-01-31	PRIJEM	\N	135	26331	UROK	\N	\N
3466284	3532	1998-02-28	PRIJEM	\N	110	24483	UROK	\N	\N
3466285	3532	1998-03-31	PRIJEM	\N	105	26131	UROK	\N	\N
3466286	3532	1998-04-30	PRIJEM	\N	95	21369	UROK	\N	\N
3466287	3532	1998-05-31	PRIJEM	\N	88	21198	UROK	\N	\N
3466288	3532	1998-06-30	PRIJEM	\N	77	22446	UROK	\N	\N
3466289	3532	1998-07-31	PRIJEM	\N	84	19473	UROK	\N	\N
3466290	3532	1998-08-31	PRIJEM	\N	86	21902	UROK	\N	\N
3466291	3532	1998-09-30	PRIJEM	\N	87	17031	UROK	\N	\N
3466292	3532	1998-10-31	PRIJEM	\N	38	10312	UROK	\N	\N
3466293	3532	1998-11-30	PRIJEM	\N	54	8008	UROK	\N	\N
3466294	3532	1998-12-31	PRIJEM	\N	77	25057	UROK	\N	\N
3466295	3539	1994-06-30	PRIJEM	\N	6	2406	UROK	\N	\N
3466296	3539	1994-07-31	PRIJEM	\N	39	14444	UROK	\N	\N
3466297	3539	1994-08-31	PRIJEM	\N	76	19020	UROK	\N	\N
3466298	3539	1994-09-30	PRIJEM	\N	213	59015	UROK	\N	\N
3466299	3539	1994-10-31	PRIJEM	\N	207	43307	UROK	\N	\N
3466300	3539	1994-11-30	PRIJEM	\N	160	35053	UROK	\N	\N
3466301	3539	1994-12-31	PRIJEM	\N	132	28870	UROK	\N	\N
3466302	3539	1995-01-31	PRIJEM	\N	197	50482	UROK	\N	\N
3466303	3539	1995-02-28	PRIJEM	\N	177	40494	UROK	\N	\N
3466304	3539	1995-03-31	PRIJEM	\N	147	35176	UROK	\N	\N
3466305	3539	1995-04-30	PRIJEM	\N	137	31299	UROK	\N	\N
3466306	3539	1995-05-31	PRIJEM	\N	124	29608	UROK	\N	\N
3466307	3539	1995-06-30	PRIJEM	\N	87	16281	UROK	\N	\N
3466308	3539	1995-07-31	PRIJEM	\N	87	24053	UROK	\N	\N
3466309	3539	1995-08-31	PRIJEM	\N	96	22235	UROK	\N	\N
3466310	3539	1995-09-30	PRIJEM	\N	98	25219	UROK	\N	\N
3466311	3539	1995-10-31	PRIJEM	\N	110	27714	UROK	\N	\N
3466312	3539	1995-11-30	PRIJEM	\N	111	28311	UROK	\N	\N
3466313	3539	1995-12-31	PRIJEM	\N	120	27416	UROK	\N	\N
3466314	3539	1996-01-31	PRIJEM	\N	98	27199	UROK	\N	\N
3466315	3539	1996-02-29	PRIJEM	\N	116	26700	UROK	\N	\N
3466316	3539	1996-03-31	PRIJEM	\N	115	29351	UROK	\N	\N
3466317	3539	1996-04-30	PRIJEM	\N	129	40323	UROK	\N	\N
3466318	3539	1996-05-31	PRIJEM	\N	212	59053	UROK	\N	\N
3466319	3539	1996-06-30	PRIJEM	\N	193	35532	UROK	\N	\N
3466320	3539	1996-07-31	PRIJEM	\N	149	38367	UROK	\N	\N
3466321	3539	1996-08-31	PRIJEM	\N	160	37362	UROK	\N	\N
3466322	3539	1996-09-30	PRIJEM	\N	152	34500	UROK	\N	\N
3466323	3539	1996-10-31	PRIJEM	\N	143	35178	UROK	\N	\N
3466324	3539	1996-11-30	PRIJEM	\N	148	37712	UROK	\N	\N
3466325	3539	1996-12-31	PRIJEM	\N	160	40657	UROK	\N	\N
3466326	3539	1997-01-31	PRIJEM	\N	208	50015	UROK	\N	\N
3466327	3539	1997-02-28	PRIJEM	\N	206	49106	UROK	\N	\N
3466328	3539	1997-03-31	PRIJEM	\N	250	64826	UROK	\N	\N
3466329	3539	1997-04-30	PRIJEM	\N	260	54822	UROK	\N	\N
3466330	3539	1997-05-31	PRIJEM	\N	219	48226	UROK	\N	\N
3466331	3539	1997-06-30	PRIJEM	\N	184	36496	UROK	\N	\N
3466332	3539	1997-07-31	PRIJEM	\N	154	38235	UROK	\N	\N
3466333	3539	1997-08-31	PRIJEM	\N	163	41484	UROK	\N	\N
3466334	3539	1997-09-30	PRIJEM	\N	178	45747	UROK	\N	\N
3466335	3539	1997-10-31	PRIJEM	\N	189	45321	UROK	\N	\N
3466336	3539	1997-11-30	PRIJEM	\N	183	42689	UROK	\N	\N
3466337	3539	1997-12-31	PRIJEM	\N	164	34388	UROK	\N	\N
3466338	3539	1998-01-31	PRIJEM	\N	195	77869	UROK	\N	\N
3466339	3539	1998-02-28	PRIJEM	\N	282	55536	UROK	\N	\N
3466340	3539	1998-03-31	PRIJEM	\N	206	42328	UROK	\N	\N
3466341	3539	1998-04-30	PRIJEM	\N	168	38881	UROK	\N	\N
3466342	3539	1998-05-31	PRIJEM	\N	160	38876	UROK	\N	\N
3466343	3539	1998-06-30	PRIJEM	\N	126	26087	UROK	\N	\N
3466344	3539	1998-07-31	PRIJEM	\N	109	27782	UROK	\N	\N
3466345	3539	1998-08-31	PRIJEM	\N	124	32091	UROK	\N	\N
3466346	3539	1998-09-30	PRIJEM	\N	143	38219	UROK	\N	\N
3466347	3539	1998-10-31	PRIJEM	\N	192	52889	UROK	\N	\N
3466348	3539	1998-11-30	PRIJEM	\N	204	47579	UROK	\N	\N
3466349	3539	1998-12-31	PRIJEM	\N	181	39845	UROK	\N	\N
3466350	3553	1995-09-30	PRIJEM	\N	5	19164	UROK	\N	\N
3466351	3553	1995-10-31	PRIJEM	\N	83	26906	UROK	\N	\N
3466352	3553	1995-11-30	PRIJEM	\N	112	28378	UROK	\N	\N
3466353	3553	1995-12-31	PRIJEM	\N	122	36938	UROK	\N	\N
3466354	3553	1996-01-31	PRIJEM	\N	152	34249	UROK	\N	\N
3466355	3553	1996-02-29	PRIJEM	\N	145	37637	UROK	\N	\N
3466356	3553	1996-03-31	PRIJEM	\N	180	33862	UROK	\N	\N
3466357	3553	1996-04-30	PRIJEM	\N	141	31347	UROK	\N	\N
3466358	3553	1996-05-31	PRIJEM	\N	132	32723	UROK	\N	\N
3466359	3553	1996-06-30	PRIJEM	\N	141	38287	UROK	\N	\N
3466360	3553	1996-07-31	PRIJEM	\N	158	36990	UROK	\N	\N
3466361	3553	1996-08-31	PRIJEM	\N	165	30999	UROK	\N	\N
3466362	3553	1996-09-30	PRIJEM	\N	131	32875	UROK	\N	\N
3466363	3553	1996-10-31	PRIJEM	\N	136	32555	UROK	\N	\N
3466364	3553	1996-11-30	PRIJEM	\N	137	33636	UROK	\N	\N
3466365	3553	1996-12-31	PRIJEM	\N	189	33349	UROK	\N	\N
3466366	3553	1997-01-31	PRIJEM	\N	138	31731	UROK	\N	\N
3466367	3553	1997-02-28	PRIJEM	\N	148	30024	UROK	\N	\N
3466368	3553	1997-03-31	PRIJEM	\N	123	28891	UROK	\N	\N
3466369	3553	1997-04-30	PRIJEM	\N	117	26352	UROK	\N	\N
3466370	3553	1997-05-31	PRIJEM	\N	111	27908	UROK	\N	\N
3466371	3553	1997-06-30	PRIJEM	\N	121	31652	UROK	\N	\N
3466372	3553	1997-07-31	PRIJEM	\N	127	23424	UROK	\N	\N
3466373	3553	1997-08-31	PRIJEM	\N	102	16770	UROK	\N	\N
3466374	3553	1997-09-30	PRIJEM	\N	71	17585	UROK	\N	\N
3466375	3553	1997-10-31	PRIJEM	\N	83	23012	UROK	\N	\N
3466376	3553	1997-11-30	PRIJEM	\N	93	21950	UROK	\N	\N
3466377	3553	1997-12-31	PRIJEM	\N	99	25172	UROK	\N	\N
3466378	3553	1998-01-31	PRIJEM	\N	113	29329	UROK	\N	\N
3466379	3553	1998-02-28	PRIJEM	\N	119	28192	UROK	\N	\N
3466380	3553	1998-03-31	PRIJEM	\N	120	30056	UROK	\N	\N
3466381	3553	1998-04-30	PRIJEM	\N	130	33131	UROK	\N	\N
3466382	3553	1998-05-31	PRIJEM	\N	147	33822	UROK	\N	\N
3466383	3553	1998-06-30	PRIJEM	\N	149	33295	UROK	\N	\N
3466384	3553	1998-07-31	PRIJEM	\N	149	38388	UROK	\N	\N
3466385	3553	1998-08-31	PRIJEM	\N	168	42601	UROK	\N	\N
3466386	3553	1998-09-30	PRIJEM	\N	165	37210	UROK	\N	\N
3466387	3553	1998-10-31	PRIJEM	\N	155	37210	UROK	\N	\N
3466388	3553	1998-11-30	PRIJEM	\N	153	37107	UROK	\N	\N
3466389	3553	1998-12-31	PRIJEM	\N	157	38588	UROK	\N	\N
3466390	3554	1993-02-28	PRIJEM	\N	58	47983	UROK	\N	\N
3466391	3554	1993-03-31	PRIJEM	\N	174	34657	UROK	\N	\N
3466392	3554	1993-04-30	PRIJEM	\N	134	29491	UROK	\N	\N
3466393	3554	1993-05-31	PRIJEM	\N	118	27044	UROK	\N	\N
3466394	3554	1993-06-30	PRIJEM	\N	98	16328	UROK	\N	\N
3466395	3554	1993-07-31	PRIJEM	\N	80	22092	UROK	\N	\N
3466396	3554	1993-08-31	PRIJEM	\N	97	24375	UROK	\N	\N
3466397	3554	1993-09-30	PRIJEM	\N	100	23659	UROK	\N	\N
3466398	3554	1993-10-31	PRIJEM	\N	104	26248	UROK	\N	\N
3466399	3554	1993-11-30	PRIJEM	\N	106	24840	UROK	\N	\N
3466400	3554	1993-12-31	PRIJEM	\N	97	21722	UROK	\N	\N
3466401	3554	1994-01-31	PRIJEM	\N	88	20396	UROK	\N	\N
3466402	3554	1994-02-28	PRIJEM	\N	86	21317	UROK	\N	\N
3466403	3554	1994-03-31	PRIJEM	\N	97	24749	UROK	\N	\N
3466404	3554	1994-04-30	PRIJEM	\N	135	45530	UROK	\N	\N
3466405	3554	1994-05-31	PRIJEM	\N	162	35828	UROK	\N	\N
3466406	3554	1994-06-30	PRIJEM	\N	141	32854	UROK	\N	\N
3466407	3554	1994-07-31	PRIJEM	\N	131	30721	UROK	\N	\N
3466408	3554	1994-08-31	PRIJEM	\N	119	27026	UROK	\N	\N
3466409	3554	1994-09-30	PRIJEM	\N	103	24014	UROK	\N	\N
3466410	3554	1994-10-31	PRIJEM	\N	104	26103	UROK	\N	\N
3466411	3554	1994-11-30	PRIJEM	\N	107	25595	UROK	\N	\N
3466412	3554	1994-12-31	PRIJEM	\N	104	24685	UROK	\N	\N
3466413	3554	1995-01-31	PRIJEM	\N	100	20120	UROK	\N	\N
3466414	3554	1995-02-28	PRIJEM	\N	179	66361	UROK	\N	\N
3466415	3554	1995-03-31	PRIJEM	\N	234	45481	UROK	\N	\N
3466416	3554	1995-04-30	PRIJEM	\N	166	33283	UROK	\N	\N
3466417	3554	1995-05-31	PRIJEM	\N	128	28996	UROK	\N	\N
3466418	3554	1995-06-30	PRIJEM	\N	95	20377	UROK	\N	\N
3466419	3554	1995-07-31	PRIJEM	\N	239	69101	UROK	\N	\N
3466420	3554	1995-08-31	PRIJEM	\N	240	49027	UROK	\N	\N
3466421	3554	1995-09-30	PRIJEM	\N	178	36390	UROK	\N	\N
3466422	3554	1995-10-31	PRIJEM	\N	133	30209	UROK	\N	\N
3466423	3554	1995-11-30	PRIJEM	\N	117	27311	UROK	\N	\N
3466424	3554	1995-12-31	PRIJEM	\N	106	23853	UROK	\N	\N
3466425	3554	1996-01-31	PRIJEM	\N	115	66614	UROK	\N	\N
3466426	3554	1996-02-29	PRIJEM	\N	235	46535	UROK	\N	\N
3466427	3554	1996-03-31	PRIJEM	\N	171	37191	UROK	\N	\N
3466428	3554	1996-04-30	PRIJEM	\N	139	31215	UROK	\N	\N
3466429	3554	1996-05-31	PRIJEM	\N	126	30276	UROK	\N	\N
3466430	3554	1996-06-30	PRIJEM	\N	113	25574	UROK	\N	\N
3466431	3554	1996-07-31	PRIJEM	\N	106	24916	UROK	\N	\N
3466432	3554	1996-08-31	PRIJEM	\N	157	42688	UROK	\N	\N
3466433	3554	1996-09-30	PRIJEM	\N	176	36849	UROK	\N	\N
3466434	3554	1996-10-31	PRIJEM	\N	149	29183	UROK	\N	\N
3466435	3554	1996-11-30	PRIJEM	\N	117	24235	UROK	\N	\N
3466436	3554	1996-12-31	PRIJEM	\N	97	23218	UROK	\N	\N
3466437	3554	1997-01-31	PRIJEM	\N	84	19337	UROK	\N	\N
3466438	3554	1997-02-28	PRIJEM	\N	78	16501	UROK	\N	\N
3466439	3554	1997-03-31	PRIJEM	\N	68	16204	UROK	\N	\N
3466440	3554	1997-04-30	PRIJEM	\N	67	16806	UROK	\N	\N
3466441	3554	1997-05-31	PRIJEM	\N	67	14958	UROK	\N	\N
3466442	3554	1997-06-30	PRIJEM	\N	62	16406	UROK	\N	\N
3466443	3554	1997-07-31	PRIJEM	\N	68	17459	UROK	\N	\N
3466444	3554	1997-08-31	PRIJEM	\N	69	15313	UROK	\N	\N
3466445	3554	1997-09-30	PRIJEM	\N	63	16762	UROK	\N	\N
3466446	3554	1997-10-31	PRIJEM	\N	66	15614	UROK	\N	\N
3466447	3554	1997-11-30	PRIJEM	\N	77	38120	UROK	\N	\N
3466448	3554	1997-12-31	PRIJEM	\N	218	42200	UROK	\N	\N
3466449	3554	1998-01-31	PRIJEM	\N	146	22732	UROK	\N	\N
3466450	3554	1998-02-28	PRIJEM	\N	83	16300	UROK	\N	\N
3466451	3554	1998-03-31	PRIJEM	\N	63	15149	UROK	\N	\N
3466452	3554	1998-04-30	PRIJEM	\N	60	14994	UROK	\N	\N
3466453	3554	1998-05-31	PRIJEM	\N	60	15839	UROK	\N	\N
3466454	3554	1998-06-30	PRIJEM	\N	118	32693	UROK	\N	\N
3466455	3554	1998-07-31	PRIJEM	\N	173	47956	UROK	\N	\N
3466456	3554	1998-08-31	PRIJEM	\N	178	36469	UROK	\N	\N
3466457	3554	1998-09-30	PRIJEM	\N	149	32704	UROK	\N	\N
3466458	3554	1998-10-31	PRIJEM	\N	130	31669	UROK	\N	\N
3466459	3554	1998-11-30	PRIJEM	\N	128	32183	UROK	\N	\N
3466460	3554	1998-12-31	PRIJEM	\N	126	31294	UROK	\N	\N
3466461	3563	1996-07-31	PRIJEM	\N	64	19152	UROK	\N	\N
3466462	3563	1996-08-31	PRIJEM	\N	145	38685	UROK	\N	\N
3466463	3563	1996-09-30	PRIJEM	\N	202	51175	UROK	\N	\N
3466464	3563	1996-10-31	PRIJEM	\N	235	57798	UROK	\N	\N
3466465	3563	1996-11-30	PRIJEM	\N	243	56728	UROK	\N	\N
3466466	3563	1996-12-31	PRIJEM	\N	276	67722	UROK	\N	\N
3466467	3563	1997-01-31	PRIJEM	\N	243	41238	UROK	\N	\N
3466468	3563	1997-02-28	PRIJEM	\N	174	59486	UROK	\N	\N
3466469	3563	1997-03-31	PRIJEM	\N	260	64119	UROK	\N	\N
3466470	3563	1997-04-30	PRIJEM	\N	194	64987	UROK	\N	\N
3466471	3563	1997-05-31	PRIJEM	\N	190	46551	UROK	\N	\N
3466472	3563	1997-06-30	PRIJEM	\N	201	39469	UROK	\N	\N
3466473	3563	1997-07-31	PRIJEM	\N	179	39921	UROK	\N	\N
3466474	3563	1997-08-31	PRIJEM	\N	167	40861	UROK	\N	\N
3466475	3563	1997-09-30	PRIJEM	\N	170	40204	UROK	\N	\N
3466476	3563	1997-10-31	PRIJEM	\N	166	38443	UROK	\N	\N
3466477	3563	1997-11-30	PRIJEM	\N	158	35975	UROK	\N	\N
3466478	3563	1997-12-31	PRIJEM	\N	160	36752	UROK	\N	\N
3466479	3563	1998-01-31	PRIJEM	\N	168	18393	UROK	\N	\N
3466480	3563	1998-02-28	PRIJEM	\N	84	23650	UROK	\N	\N
3466481	3563	1998-03-31	PRIJEM	\N	101	27825	UROK	\N	\N
3466482	3563	1998-04-30	PRIJEM	\N	151	29749	UROK	\N	\N
3466483	3563	1998-05-31	PRIJEM	\N	123	29946	UROK	\N	\N
3466484	3563	1998-06-30	PRIJEM	\N	115	19878	UROK	\N	\N
3466485	3563	1998-07-31	PRIJEM	\N	86	23737	UROK	\N	\N
3466486	3563	1998-08-31	PRIJEM	\N	142	28852	UROK	\N	\N
3466487	3563	1998-09-30	PRIJEM	\N	123	31949	UROK	\N	\N
3466488	3563	1998-10-31	PRIJEM	\N	138	36460	UROK	\N	\N
3466489	3563	1998-11-30	PRIJEM	\N	155	39388	UROK	\N	\N
3466490	3563	1998-12-31	PRIJEM	\N	174	46579	UROK	\N	\N
3466491	3564	1996-12-31	PRIJEM	\N	38	18666	UROK	\N	\N
3466492	3564	1997-01-31	PRIJEM	\N	87	23105	UROK	\N	\N
3466493	3564	1997-02-28	PRIJEM	\N	104	26860	UROK	\N	\N
3466494	3564	1997-03-31	PRIJEM	\N	113	27425	UROK	\N	\N
3466495	3564	1997-04-30	PRIJEM	\N	126	29503	UROK	\N	\N
3466496	3564	1997-05-31	PRIJEM	\N	130	33071	UROK	\N	\N
3466497	3564	1997-06-30	PRIJEM	\N	138	28922	UROK	\N	\N
3466498	3564	1997-07-31	PRIJEM	\N	127	31786	UROK	\N	\N
3466499	3564	1997-08-31	PRIJEM	\N	129	30553	UROK	\N	\N
3466500	3564	1997-09-30	PRIJEM	\N	133	32823	UROK	\N	\N
3466501	3564	1997-10-31	PRIJEM	\N	135	30895	UROK	\N	\N
3466502	3564	1997-11-30	PRIJEM	\N	127	30159	UROK	\N	\N
3466503	3564	1997-12-31	PRIJEM	\N	144	35517	UROK	\N	\N
3466504	3564	1998-01-31	PRIJEM	\N	128	25682	UROK	\N	\N
3466505	3564	1998-02-28	PRIJEM	\N	132	34651	UROK	\N	\N
3466506	3564	1998-03-31	PRIJEM	\N	143	32032	UROK	\N	\N
3466507	3564	1998-04-30	PRIJEM	\N	138	27007	UROK	\N	\N
3466508	3564	1998-05-31	PRIJEM	\N	119	29463	UROK	\N	\N
3466509	3564	1998-06-30	PRIJEM	\N	79	18856	UROK	\N	\N
3466510	3564	1998-07-31	PRIJEM	\N	94	24387	UROK	\N	\N
3466511	3564	1998-08-31	PRIJEM	\N	107	26432	UROK	\N	\N
3466512	3564	1998-09-30	PRIJEM	\N	132	33401	UROK	\N	\N
3466513	3564	1998-10-31	PRIJEM	\N	152	37791	UROK	\N	\N
3466514	3564	1998-11-30	PRIJEM	\N	152	36380	UROK	\N	\N
3466515	3564	1998-12-31	PRIJEM	\N	165	38659	UROK	\N	\N
3466516	3569	1996-10-31	PRIJEM	\N	22	12522	UROK	\N	\N
3466517	3569	1996-11-30	PRIJEM	\N	62	18684	UROK	\N	\N
3466518	3569	1996-12-31	PRIJEM	\N	85	22569	UROK	\N	\N
3466519	3569	1997-01-31	PRIJEM	\N	83	13238	UROK	\N	\N
3466520	3569	1997-02-28	PRIJEM	\N	121	41460	UROK	\N	\N
3466521	3569	1997-03-31	PRIJEM	\N	154	32149	UROK	\N	\N
3466522	3569	1997-04-30	PRIJEM	\N	119	25253	UROK	\N	\N
3466523	3569	1997-05-31	PRIJEM	\N	104	24842	UROK	\N	\N
3466524	3569	1997-06-30	PRIJEM	\N	84	17262	UROK	\N	\N
3466525	3569	1997-07-31	PRIJEM	\N	74	18221	UROK	\N	\N
3466526	3569	1997-08-31	PRIJEM	\N	79	19685	UROK	\N	\N
3466527	3569	1997-09-30	PRIJEM	\N	72	16043	UROK	\N	\N
3466528	3569	1997-10-31	PRIJEM	\N	107	32117	UROK	\N	\N
3466529	3569	1997-11-30	PRIJEM	\N	121	25923	UROK	\N	\N
3466530	3569	1997-12-31	PRIJEM	\N	93	20902	UROK	\N	\N
3466531	3569	1998-01-31	PRIJEM	\N	84	18622	UROK	\N	\N
3466532	3569	1998-02-28	PRIJEM	\N	76	17533	UROK	\N	\N
3466533	3569	1998-03-31	PRIJEM	\N	72	17390	UROK	\N	\N
3466534	3569	1998-04-30	PRIJEM	\N	63	13688	UROK	\N	\N
3466535	3569	1998-05-31	PRIJEM	\N	137	45671	UROK	\N	\N
3466536	3569	1998-06-30	PRIJEM	\N	148	31904	UROK	\N	\N
3466537	3569	1998-07-31	PRIJEM	\N	120	25960	UROK	\N	\N
3466538	3569	1998-08-31	PRIJEM	\N	92	21037	UROK	\N	\N
3466539	3569	1998-09-30	PRIJEM	\N	76	16498	UROK	\N	\N
3466540	3569	1998-10-31	PRIJEM	\N	62	14146	UROK	\N	\N
3466541	3569	1998-11-30	PRIJEM	\N	62	15893	UROK	\N	\N
3466542	3569	1998-12-31	PRIJEM	\N	128	41477	UROK	\N	\N
3466543	3573	1996-12-31	PRIJEM	\N	40	37339	UROK	\N	\N
3466544	3573	1997-01-31	PRIJEM	\N	155	30795	UROK	\N	\N
3466545	3573	1997-02-28	PRIJEM	\N	155	29950	UROK	\N	\N
3466546	3573	1997-03-31	PRIJEM	\N	155	27805	UROK	\N	\N
3466547	3573	1997-04-30	PRIJEM	\N	155	23861	UROK	\N	\N
3466548	3573	1997-05-31	PRIJEM	\N	155	23716	UROK	\N	\N
3466549	3573	1997-06-30	PRIJEM	\N	155	22872	UROK	\N	\N
3466550	3573	1997-07-31	PRIJEM	\N	155	25627	UROK	\N	\N
3466551	3573	1997-08-31	PRIJEM	\N	149	32401	UROK	\N	\N
3466552	3573	1997-09-30	PRIJEM	\N	136	28736	UROK	\N	\N
3466553	3573	1997-10-31	PRIJEM	\N	130	28770	UROK	\N	\N
3466554	3573	1997-11-30	PRIJEM	\N	121	26091	UROK	\N	\N
3466555	3573	1997-12-31	PRIJEM	\N	121	28911	UROK	\N	\N
3466556	3573	1998-01-31	PRIJEM	\N	121	27132	UROK	\N	\N
3466557	3573	1998-02-28	PRIJEM	\N	121	29153	UROK	\N	\N
3466558	3573	1998-03-31	PRIJEM	\N	121	28574	UROK	\N	\N
3466559	3573	1998-04-30	PRIJEM	\N	121	26195	UROK	\N	\N
3466560	3573	1998-05-31	PRIJEM	\N	121	21016	UROK	\N	\N
3466561	3573	1998-06-30	PRIJEM	\N	121	16137	UROK	\N	\N
3466562	3573	1998-07-31	PRIJEM	\N	116	24054	UROK	\N	\N
3466563	3573	1998-08-31	PRIJEM	\N	102	14956	UROK	\N	\N
3466564	3573	1998-09-30	PRIJEM	\N	102	13558	UROK	\N	\N
3466565	3573	1998-10-31	PRIJEM	\N	108	25751	UROK	\N	\N
3466566	3573	1998-11-30	PRIJEM	\N	110	27946	UROK	\N	\N
3466567	3573	1998-12-31	PRIJEM	\N	115	26996	UROK	\N	\N
3466568	3586	1993-04-30	PRIJEM	\N	13	19064	UROK	\N	\N
3466569	3586	1993-05-31	PRIJEM	\N	85	25700	UROK	\N	\N
3466570	3586	1993-06-30	PRIJEM	\N	115	35741	UROK	\N	\N
3466571	3586	1993-07-31	PRIJEM	\N	148	35740	UROK	\N	\N
3466572	3586	1993-08-31	PRIJEM	\N	148	35039	UROK	\N	\N
3466573	3586	1993-09-30	PRIJEM	\N	148	37123	UROK	\N	\N
3466574	3586	1993-10-31	PRIJEM	\N	157	38816	UROK	\N	\N
3466575	3586	1993-11-30	PRIJEM	\N	162	39215	UROK	\N	\N
3466576	3586	1993-12-31	PRIJEM	\N	169	43195	UROK	\N	\N
3466577	3586	1994-01-31	PRIJEM	\N	164	31195	UROK	\N	\N
3466578	3586	1994-02-28	PRIJEM	\N	144	30775	UROK	\N	\N
3466579	3586	1994-03-31	PRIJEM	\N	131	32842	UROK	\N	\N
3466580	3586	1994-04-30	PRIJEM	\N	140	35519	UROK	\N	\N
3466581	3586	1994-05-31	PRIJEM	\N	147	34802	UROK	\N	\N
3466582	3586	1994-06-30	PRIJEM	\N	140	32353	UROK	\N	\N
3466583	3586	1994-07-31	PRIJEM	\N	145	35834	UROK	\N	\N
3466584	3586	1994-08-31	PRIJEM	\N	148	35619	UROK	\N	\N
3466585	3586	1994-09-30	PRIJEM	\N	150	36605	UROK	\N	\N
3466586	3586	1994-10-31	PRIJEM	\N	151	34592	UROK	\N	\N
3466587	3586	1994-11-30	PRIJEM	\N	150	37678	UROK	\N	\N
3466588	3586	1994-12-31	PRIJEM	\N	152	29441	UROK	\N	\N
3466589	3586	1995-01-31	PRIJEM	\N	110	14388	UROK	\N	\N
3466590	3586	1995-02-28	PRIJEM	\N	84	26108	UROK	\N	\N
3466591	3586	1995-03-31	PRIJEM	\N	117	30361	UROK	\N	\N
3466592	3586	1995-04-30	PRIJEM	\N	125	30222	UROK	\N	\N
3466593	3586	1995-05-31	PRIJEM	\N	134	29592	UROK	\N	\N
3466594	3586	1995-06-30	PRIJEM	\N	100	22903	UROK	\N	\N
3466595	3586	1995-07-31	PRIJEM	\N	105	27645	UROK	\N	\N
3466596	3586	1995-08-31	PRIJEM	\N	125	31806	UROK	\N	\N
3466597	3586	1995-09-30	PRIJEM	\N	138	32980	UROK	\N	\N
3466598	3586	1995-10-31	PRIJEM	\N	141	34958	UROK	\N	\N
3466599	3586	1995-11-30	PRIJEM	\N	147	35841	UROK	\N	\N
3466600	3586	1995-12-31	PRIJEM	\N	151	33903	UROK	\N	\N
3466601	3586	1996-01-31	PRIJEM	\N	119	24958	UROK	\N	\N
3466602	3586	1996-02-29	PRIJEM	\N	130	34625	UROK	\N	\N
3466603	3586	1996-03-31	PRIJEM	\N	155	39117	UROK	\N	\N
3466604	3586	1996-04-30	PRIJEM	\N	160	38813	UROK	\N	\N
3466605	3586	1996-05-31	PRIJEM	\N	164	40314	UROK	\N	\N
3466606	3586	1996-06-30	PRIJEM	\N	103	17528	UROK	\N	\N
3466607	3586	1996-07-31	PRIJEM	\N	101	27166	UROK	\N	\N
3466608	3586	1996-08-31	PRIJEM	\N	141	36443	UROK	\N	\N
3466609	3586	1996-09-30	PRIJEM	\N	185	47464	UROK	\N	\N
3466610	3586	1996-10-31	PRIJEM	\N	208	51509	UROK	\N	\N
3466611	3586	1996-11-30	PRIJEM	\N	215	52561	UROK	\N	\N
3466612	3586	1996-12-31	PRIJEM	\N	240	60012	UROK	\N	\N
3466613	3586	1997-01-31	PRIJEM	\N	194	38143	UROK	\N	\N
3466614	3586	1997-02-28	PRIJEM	\N	189	48669	UROK	\N	\N
3466615	3586	1997-03-31	PRIJEM	\N	205	49710	UROK	\N	\N
3466616	3586	1997-04-30	PRIJEM	\N	220	54666	UROK	\N	\N
3466617	3586	1997-05-31	PRIJEM	\N	223	54225	UROK	\N	\N
3466618	3586	1997-06-30	PRIJEM	\N	212	54349	UROK	\N	\N
3466619	3586	1997-07-31	PRIJEM	\N	228	55813	UROK	\N	\N
3466620	3586	1997-08-31	PRIJEM	\N	227	54977	UROK	\N	\N
3466621	3586	1997-09-30	PRIJEM	\N	237	58550	UROK	\N	\N
3466622	3586	1997-10-31	PRIJEM	\N	240	58526	UROK	\N	\N
3466623	3586	1997-11-30	PRIJEM	\N	213	53475	UROK	\N	\N
3466624	3586	1997-12-31	PRIJEM	\N	253	63740	UROK	\N	\N
3466625	3586	1998-01-31	PRIJEM	\N	213	37790	UROK	\N	\N
3466626	3586	1998-02-28	PRIJEM	\N	156	50882	UROK	\N	\N
3466627	3586	1998-03-31	PRIJEM	\N	204	50222	UROK	\N	\N
3466628	3586	1998-04-30	PRIJEM	\N	183	57941	UROK	\N	\N
3466629	3586	1998-05-31	PRIJEM	\N	189	52166	UROK	\N	\N
3466630	3586	1998-06-30	PRIJEM	\N	218	58895	UROK	\N	\N
3466631	3586	1998-07-31	PRIJEM	\N	243	63575	UROK	\N	\N
3466632	3586	1998-08-31	PRIJEM	\N	261	64271	UROK	\N	\N
3466633	3586	1998-09-30	PRIJEM	\N	264	66472	UROK	\N	\N
3466634	3586	1998-10-31	PRIJEM	\N	274	69582	UROK	\N	\N
3466635	3586	1998-11-30	PRIJEM	\N	283	67302	UROK	\N	\N
3466636	3596	1996-05-31	PRIJEM	\N	30	24895	UROK	\N	\N
3466637	3596	1996-06-30	PRIJEM	\N	125	42017	UROK	\N	\N
3466638	3596	1996-07-31	PRIJEM	\N	180	45862	UROK	\N	\N
3466639	3596	1996-08-31	PRIJEM	\N	190	45717	UROK	\N	\N
3466640	3596	1996-09-30	PRIJEM	\N	190	42932	UROK	\N	\N
3466641	3596	1996-10-31	PRIJEM	\N	184	45966	UROK	\N	\N
3466642	3596	1996-11-30	PRIJEM	\N	191	46007	UROK	\N	\N
3466643	3596	1996-12-31	PRIJEM	\N	232	50102	UROK	\N	\N
3466644	3596	1997-01-31	PRIJEM	\N	194	36826	UROK	\N	\N
3466645	3596	1997-02-28	PRIJEM	\N	174	42951	UROK	\N	\N
3466646	3596	1997-03-31	PRIJEM	\N	173	40555	UROK	\N	\N
3466647	3596	1997-04-30	PRIJEM	\N	174	43479	UROK	\N	\N
3466648	3596	1997-05-31	PRIJEM	\N	208	46277	UROK	\N	\N
3466649	3596	1997-06-30	PRIJEM	\N	194	46214	UROK	\N	\N
3466650	3596	1997-07-31	PRIJEM	\N	197	48222	UROK	\N	\N
3466651	3596	1997-08-31	PRIJEM	\N	203	49676	UROK	\N	\N
3466652	3596	1997-09-30	PRIJEM	\N	216	54042	UROK	\N	\N
3466653	3596	1997-10-31	PRIJEM	\N	230	56422	UROK	\N	\N
3466654	3596	1997-11-30	PRIJEM	\N	229	54101	UROK	\N	\N
3466655	3596	1997-12-31	PRIJEM	\N	236	58820	UROK	\N	\N
3466656	3596	1998-01-31	PRIJEM	\N	217	37627	UROK	\N	\N
3466657	3596	1998-02-28	PRIJEM	\N	171	43648	UROK	\N	\N
3466658	3596	1998-03-31	PRIJEM	\N	188	43426	UROK	\N	\N
3466659	3596	1998-04-30	PRIJEM	\N	191	47867	UROK	\N	\N
3466660	3596	1998-05-31	PRIJEM	\N	204	50121	UROK	\N	\N
3466661	3596	1998-06-30	PRIJEM	\N	168	32392	UROK	\N	\N
3466662	3596	1998-07-31	PRIJEM	\N	163	43506	UROK	\N	\N
3466663	3596	1998-08-31	PRIJEM	\N	182	42919	UROK	\N	\N
3466664	3596	1998-09-30	PRIJEM	\N	183	44852	UROK	\N	\N
3466665	3596	1998-10-31	PRIJEM	\N	202	50604	UROK	\N	\N
3466666	3596	1998-11-30	PRIJEM	\N	211	48506	UROK	\N	\N
3466667	3596	1998-12-31	PRIJEM	\N	211	49780	UROK	\N	\N
3466668	3602	1997-01-31	PRIJEM	\N	194	75732	UROK	\N	\N
3466669	3602	1997-02-28	PRIJEM	\N	258	75444	UROK	\N	\N
3466670	3602	1997-03-31	PRIJEM	\N	365	100170	UROK	\N	\N
3466671	3602	1997-04-30	PRIJEM	\N	419	105946	UROK	\N	\N
3466672	3602	1997-05-31	PRIJEM	\N	305	84145	UROK	\N	\N
3466673	3602	1997-06-30	PRIJEM	\N	281	71815	UROK	\N	\N
3466674	3602	1997-07-31	PRIJEM	\N	247	59501	UROK	\N	\N
3466675	3602	1997-08-31	PRIJEM	\N	178	53720	UROK	\N	\N
3466676	3602	1997-09-30	PRIJEM	\N	323	57155	UROK	\N	\N
3466677	3602	1997-10-31	PRIJEM	\N	249	66706	UROK	\N	\N
3466678	3602	1997-11-30	PRIJEM	\N	263	44154	UROK	\N	\N
3466679	3602	1997-12-31	PRIJEM	\N	299	48589	UROK	\N	\N
3466680	3602	1998-01-31	PRIJEM	\N	142	27379	UROK	\N	\N
3466681	3602	1998-02-28	PRIJEM	\N	139	35263	UROK	\N	\N
3466682	3602	1998-03-31	PRIJEM	\N	140	22445	UROK	\N	\N
3466683	3602	1998-04-30	PRIJEM	\N	99	31388	UROK	\N	\N
3466684	3602	1998-05-31	PRIJEM	\N	130	30147	UROK	\N	\N
3466685	3602	1998-06-30	PRIJEM	\N	126	30458	UROK	\N	\N
3466686	3602	1998-07-31	PRIJEM	\N	140	46955	UROK	\N	\N
3466687	3602	1998-08-31	PRIJEM	\N	207	37542	UROK	\N	\N
3466688	3602	1998-09-30	PRIJEM	\N	174	42832	UROK	\N	\N
3466689	3602	1998-10-31	PRIJEM	\N	334	82587	UROK	\N	\N
3466690	3602	1998-11-30	PRIJEM	\N	279	59686	UROK	\N	\N
3466691	3602	1998-12-31	PRIJEM	\N	257	78166	UROK	\N	\N
3466692	3620	1997-02-28	PRIJEM	\N	6	3206	UROK	\N	\N
3466693	3620	1997-03-31	PRIJEM	\N	42	15948	UROK	\N	\N
3466694	3620	1997-04-30	PRIJEM	\N	77	20825	UROK	\N	\N
3466695	3620	1997-05-31	PRIJEM	\N	91	22901	UROK	\N	\N
3466696	3620	1997-06-30	PRIJEM	\N	101	25787	UROK	\N	\N
3466697	3620	1997-07-31	PRIJEM	\N	128	48207	UROK	\N	\N
3466698	3620	1997-08-31	PRIJEM	\N	223	70351	UROK	\N	\N
3466699	3620	1997-09-30	PRIJEM	\N	248	47484	UROK	\N	\N
3466700	3620	1997-10-31	PRIJEM	\N	172	36842	UROK	\N	\N
3466701	3620	1997-11-30	PRIJEM	\N	142	30770	UROK	\N	\N
3466702	3620	1997-12-31	PRIJEM	\N	104	24310	UROK	\N	\N
3466703	3620	1998-01-31	PRIJEM	\N	69	13164	UROK	\N	\N
3466704	3620	1998-02-28	PRIJEM	\N	55	13704	UROK	\N	\N
3466705	3620	1998-03-31	PRIJEM	\N	53	11842	UROK	\N	\N
3466706	3620	1998-04-30	PRIJEM	\N	86	23704	UROK	\N	\N
3466707	3620	1998-05-31	PRIJEM	\N	85	16874	UROK	\N	\N
3466708	3620	1998-06-30	PRIJEM	\N	62	13321	UROK	\N	\N
3466709	3620	1998-07-31	PRIJEM	\N	55	13862	UROK	\N	\N
3466710	3620	1998-08-31	PRIJEM	\N	58	14404	UROK	\N	\N
3466711	3620	1998-09-30	PRIJEM	\N	60	14950	UROK	\N	\N
3466712	3620	1998-10-31	PRIJEM	\N	62	14797	UROK	\N	\N
3466713	3620	1998-11-30	PRIJEM	\N	68	27447	UROK	\N	\N
3466714	3620	1998-12-31	PRIJEM	\N	113	26346	UROK	\N	\N
3466715	3656	1993-08-31	PRIJEM	\N	14	5994	UROK	\N	\N
3466716	3656	1993-09-30	PRIJEM	\N	55	18649	UROK	\N	\N
3466717	3656	1993-10-31	PRIJEM	\N	89	23037	UROK	\N	\N
3466718	3656	1993-11-30	PRIJEM	\N	100	25137	UROK	\N	\N
3466719	3656	1993-12-31	PRIJEM	\N	96	23419	UROK	\N	\N
3466720	3656	1994-01-31	PRIJEM	\N	80	19184	UROK	\N	\N
3466721	3656	1994-02-28	PRIJEM	\N	86	21555	UROK	\N	\N
3466722	3656	1994-03-31	PRIJEM	\N	102	26242	UROK	\N	\N
3466723	3656	1994-04-30	PRIJEM	\N	113	27240	UROK	\N	\N
3466724	3656	1994-05-31	PRIJEM	\N	107	23932	UROK	\N	\N
3466725	3656	1994-06-30	PRIJEM	\N	84	19502	UROK	\N	\N
3466726	3656	1994-07-31	PRIJEM	\N	89	22277	UROK	\N	\N
3466727	3656	1994-08-31	PRIJEM	\N	98	25160	UROK	\N	\N
3466728	3656	1994-09-30	PRIJEM	\N	104	24449	UROK	\N	\N
3466729	3656	1994-10-31	PRIJEM	\N	97	22532	UROK	\N	\N
3466730	3656	1994-11-30	PRIJEM	\N	109	29241	UROK	\N	\N
3466731	3656	1994-12-31	PRIJEM	\N	136	28479	UROK	\N	\N
3466732	3656	1995-01-31	PRIJEM	\N	97	17661	UROK	\N	\N
3466733	3656	1995-02-28	PRIJEM	\N	73	17320	UROK	\N	\N
3466734	3656	1995-03-31	PRIJEM	\N	72	18178	UROK	\N	\N
3466735	3656	1995-04-30	PRIJEM	\N	75	17238	UROK	\N	\N
3466736	3656	1995-05-31	PRIJEM	\N	71	15544	UROK	\N	\N
3466737	3656	1995-06-30	PRIJEM	\N	131	22297	UROK	\N	\N
3466738	3656	1995-07-31	PRIJEM	\N	93	18876	UROK	\N	\N
3466739	3656	1995-08-31	PRIJEM	\N	81	18142	UROK	\N	\N
3466740	3656	1995-09-30	PRIJEM	\N	78	17605	UROK	\N	\N
3466741	3656	1995-10-31	PRIJEM	\N	71	13861	UROK	\N	\N
3466742	3656	1995-11-30	PRIJEM	\N	67	12685	UROK	\N	\N
3466743	3656	1995-12-31	PRIJEM	\N	54	13625	UROK	\N	\N
3466744	3656	1996-01-31	PRIJEM	\N	55	12765	UROK	\N	\N
3466745	3656	1996-02-29	PRIJEM	\N	53	14303	UROK	\N	\N
3466746	3656	1996-03-31	PRIJEM	\N	59	14998	UROK	\N	\N
3466747	3656	1996-04-30	PRIJEM	\N	62	16545	UROK	\N	\N
3466748	3656	1996-05-31	PRIJEM	\N	64	12594	UROK	\N	\N
3466749	3656	1996-06-30	PRIJEM	\N	52	14131	UROK	\N	\N
3466750	3656	1996-07-31	PRIJEM	\N	78	45636	UROK	\N	\N
3466751	3656	1996-08-31	PRIJEM	\N	158	25679	UROK	\N	\N
3466752	3656	1996-09-30	PRIJEM	\N	89	15453	UROK	\N	\N
3466753	3656	1996-10-31	PRIJEM	\N	69	18808	UROK	\N	\N
3466754	3656	1996-11-30	PRIJEM	\N	83	21776	UROK	\N	\N
3466755	3656	1996-12-31	PRIJEM	\N	94	24456	UROK	\N	\N
3466756	3656	1997-01-31	PRIJEM	\N	73	16015	UROK	\N	\N
3466757	3656	1997-02-28	PRIJEM	\N	66	17566	UROK	\N	\N
3466758	3656	1997-03-31	PRIJEM	\N	66	14618	UROK	\N	\N
3466759	3656	1997-04-30	PRIJEM	\N	60	16163	UROK	\N	\N
3466760	3656	1997-05-31	PRIJEM	\N	65	15913	UROK	\N	\N
3466761	3656	1997-06-30	PRIJEM	\N	65	17463	UROK	\N	\N
3466762	3656	1997-07-31	PRIJEM	\N	77	20826	UROK	\N	\N
3466763	3656	1997-08-31	PRIJEM	\N	93	24204	UROK	\N	\N
3466764	3656	1997-09-30	PRIJEM	\N	155	39586	UROK	\N	\N
3466765	3656	1997-10-31	PRIJEM	\N	169	43041	UROK	\N	\N
3466766	3656	1997-11-30	PRIJEM	\N	156	35338	UROK	\N	\N
3466767	3656	1997-12-31	PRIJEM	\N	151	36475	UROK	\N	\N
3466768	3656	1998-01-31	PRIJEM	\N	135	30345	UROK	\N	\N
3466769	3656	1998-02-28	PRIJEM	\N	125	31955	UROK	\N	\N
3466770	3656	1998-03-31	PRIJEM	\N	133	33073	UROK	\N	\N
3466771	3656	1998-04-30	PRIJEM	\N	136	34694	UROK	\N	\N
3466772	3656	1998-05-31	PRIJEM	\N	142	36322	UROK	\N	\N
3466773	3656	1998-06-30	PRIJEM	\N	118	23225	UROK	\N	\N
3466774	3656	1998-07-31	PRIJEM	\N	100	24661	UROK	\N	\N
3466775	3656	1998-08-31	PRIJEM	\N	106	27652	UROK	\N	\N
3466776	3656	1998-09-30	PRIJEM	\N	119	31056	UROK	\N	\N
3466777	3656	1998-10-31	PRIJEM	\N	133	34474	UROK	\N	\N
3466778	3656	1998-11-30	PRIJEM	\N	174	50049	UROK	\N	\N
3466779	3656	1998-12-31	PRIJEM	\N	233	67106	UROK	\N	\N
3466780	3658	1997-04-30	PRIJEM	\N	13	10313	UROK	\N	\N
3466781	3658	1997-05-31	PRIJEM	\N	51	15864	UROK	\N	\N
3466782	3658	1997-06-30	PRIJEM	\N	68	16532	UROK	\N	\N
3466783	3658	1997-07-31	PRIJEM	\N	79	23696	UROK	\N	\N
3466784	3658	1997-08-31	PRIJEM	\N	98	23479	UROK	\N	\N
3466785	3658	1997-09-30	PRIJEM	\N	101	24765	UROK	\N	\N
3466786	3658	1997-10-31	PRIJEM	\N	107	26657	UROK	\N	\N
3466787	3658	1997-11-30	PRIJEM	\N	111	26004	UROK	\N	\N
3466788	3658	1997-12-31	PRIJEM	\N	147	37067	UROK	\N	\N
3466789	3658	1998-01-31	PRIJEM	\N	139	28125	UROK	\N	\N
3466790	3658	1998-02-28	PRIJEM	\N	117	27928	UROK	\N	\N
3466791	3658	1998-03-31	PRIJEM	\N	111	24724	UROK	\N	\N
3466792	3658	1998-04-30	PRIJEM	\N	100	23009	UROK	\N	\N
3466793	3658	1998-05-31	PRIJEM	\N	87	18282	UROK	\N	\N
3466794	3658	1998-06-30	PRIJEM	\N	74	13096	UROK	\N	\N
3466795	3658	1998-07-31	PRIJEM	\N	60	17541	UROK	\N	\N
3466796	3658	1998-08-31	PRIJEM	\N	77	19603	UROK	\N	\N
3466797	3658	1998-09-30	PRIJEM	\N	84	20872	UROK	\N	\N
3466798	3658	1998-10-31	PRIJEM	\N	94	24551	UROK	\N	\N
3466799	3658	1998-11-30	PRIJEM	\N	99	23536	UROK	\N	\N
3466800	3658	1998-12-31	PRIJEM	\N	96	21817	UROK	\N	\N
3466801	3660	1993-11-30	PRIJEM	\N	4	1704	UROK	\N	\N
3466802	3660	1993-12-31	PRIJEM	\N	30	12634	UROK	\N	\N
3466803	3660	1994-01-31	PRIJEM	\N	67	18851	UROK	\N	\N
3466804	3660	1994-02-28	PRIJEM	\N	83	21220	UROK	\N	\N
3466805	3660	1994-03-31	PRIJEM	\N	97	25302	UROK	\N	\N
3466806	3660	1994-04-30	PRIJEM	\N	110	27898	UROK	\N	\N
3466807	3660	1994-05-31	PRIJEM	\N	112	29774	UROK	\N	\N
3466808	3660	1994-06-30	PRIJEM	\N	90	17250	UROK	\N	\N
3466809	3660	1994-07-31	PRIJEM	\N	83	21568	UROK	\N	\N
3466810	3660	1994-08-31	PRIJEM	\N	87	20440	UROK	\N	\N
3466811	3660	1994-09-30	PRIJEM	\N	88	20813	UROK	\N	\N
3466812	3660	1994-10-31	PRIJEM	\N	91	22790	UROK	\N	\N
3466813	3660	1994-11-30	PRIJEM	\N	100	25376	UROK	\N	\N
3466814	3660	1994-12-31	PRIJEM	\N	226	68359	UROK	\N	\N
3466815	3660	1995-01-31	PRIJEM	\N	183	29227	UROK	\N	\N
3466816	3660	1995-02-28	PRIJEM	\N	101	23264	UROK	\N	\N
3466817	3660	1995-03-31	PRIJEM	\N	92	21391	UROK	\N	\N
3466818	3660	1995-04-30	PRIJEM	\N	94	23971	UROK	\N	\N
3466819	3660	1995-05-31	PRIJEM	\N	102	25358	UROK	\N	\N
3466820	3660	1995-06-30	PRIJEM	\N	105	25249	UROK	\N	\N
3466821	3660	1995-07-31	PRIJEM	\N	98	22932	UROK	\N	\N
3466822	3660	1995-08-31	PRIJEM	\N	188	69455	UROK	\N	\N
3466823	3660	1995-09-30	PRIJEM	\N	223	43363	UROK	\N	\N
3466824	3660	1995-10-31	PRIJEM	\N	144	27693	UROK	\N	\N
3466825	3660	1995-11-30	PRIJEM	\N	168	41755	UROK	\N	\N
3466826	3660	1995-12-31	PRIJEM	\N	112	25353	UROK	\N	\N
3466827	3660	1996-01-31	PRIJEM	\N	74	14213	UROK	\N	\N
3466828	3660	1996-02-29	PRIJEM	\N	62	15860	UROK	\N	\N
3466829	3660	1996-03-31	PRIJEM	\N	63	14808	UROK	\N	\N
3466830	3660	1996-04-30	PRIJEM	\N	61	14905	UROK	\N	\N
3466831	3660	1996-05-31	PRIJEM	\N	60	14350	UROK	\N	\N
3466832	3660	1996-06-30	PRIJEM	\N	60	15196	UROK	\N	\N
3466833	3660	1996-07-31	PRIJEM	\N	63	35626	UROK	\N	\N
3466834	3660	1996-08-31	PRIJEM	\N	86	19365	UROK	\N	\N
3466835	3660	1996-09-30	PRIJEM	\N	80	15430	UROK	\N	\N
3466836	3660	1996-10-31	PRIJEM	\N	65	16280	UROK	\N	\N
3466837	3660	1996-11-30	PRIJEM	\N	67	13532	UROK	\N	\N
3466838	3660	1996-12-31	PRIJEM	\N	57	14374	UROK	\N	\N
3466839	3660	1997-01-31	PRIJEM	\N	60	14919	UROK	\N	\N
3466840	3660	1997-02-28	PRIJEM	\N	62	15767	UROK	\N	\N
3466841	3660	1997-03-31	PRIJEM	\N	92	26717	UROK	\N	\N
3466842	3660	1997-04-30	PRIJEM	\N	102	13454	UROK	\N	\N
3466843	3660	1997-05-31	PRIJEM	\N	56	14295	UROK	\N	\N
3466844	3660	1997-06-30	PRIJEM	\N	60	15140	UROK	\N	\N
3466845	3660	1997-07-31	PRIJEM	\N	70	18895	UROK	\N	\N
3466846	3660	1997-08-31	PRIJEM	\N	79	19759	UROK	\N	\N
3466847	3660	1997-09-30	PRIJEM	\N	75	13319	UROK	\N	\N
3466848	3660	1997-10-31	PRIJEM	\N	55	14160	UROK	\N	\N
3466849	3660	1997-11-30	PRIJEM	\N	56	12902	UROK	\N	\N
3466850	3660	1997-12-31	PRIJEM	\N	53	13740	UROK	\N	\N
3466851	3660	1998-01-31	PRIJEM	\N	57	14583	UROK	\N	\N
3466852	3660	1998-02-28	PRIJEM	\N	60	15428	UROK	\N	\N
3466853	3660	1998-03-31	PRIJEM	\N	63	15977	UROK	\N	\N
3466854	3660	1998-04-30	PRIJEM	\N	64	14676	UROK	\N	\N
3466855	3660	1998-05-31	PRIJEM	\N	63	17725	UROK	\N	\N
3466856	3660	1998-06-30	PRIJEM	\N	76	21087	UROK	\N	\N
3466857	3660	1998-07-31	PRIJEM	\N	83	19255	UROK	\N	\N
3466858	3660	1998-08-31	PRIJEM	\N	84	23025	UROK	\N	\N
3466859	3660	1998-09-30	PRIJEM	\N	101	27610	UROK	\N	\N
3466860	3660	1998-10-31	PRIJEM	\N	238	50999	UROK	\N	\N
3466861	3660	1998-11-30	PRIJEM	\N	218	52989	UROK	\N	\N
3466862	3660	1998-12-31	PRIJEM	\N	217	52791	UROK	\N	\N
3466863	3662	1997-06-30	PRIJEM	\N	22	26724	UROK	\N	\N
3466864	3662	1997-07-31	PRIJEM	\N	119	35445	UROK	\N	\N
3466865	3662	1997-08-31	PRIJEM	\N	150	38396	UROK	\N	\N
3466866	3662	1997-09-30	PRIJEM	\N	161	40158	UROK	\N	\N
3466867	3662	1997-10-31	PRIJEM	\N	171	44031	UROK	\N	\N
3466868	3662	1997-11-30	PRIJEM	\N	190	49107	UROK	\N	\N
3466869	3662	1997-12-31	PRIJEM	\N	235	53229	UROK	\N	\N
3466870	3662	1998-01-31	PRIJEM	\N	247	45362	UROK	\N	\N
3466871	3662	1998-02-28	PRIJEM	\N	195	50043	UROK	\N	\N
3466872	3662	1998-03-31	PRIJEM	\N	205	47734	UROK	\N	\N
3466873	3662	1998-04-30	PRIJEM	\N	194	50115	UROK	\N	\N
3466874	3662	1998-05-31	PRIJEM	\N	219	57120	UROK	\N	\N
3466875	3662	1998-06-30	PRIJEM	\N	257	54864	UROK	\N	\N
3466876	3662	1998-07-31	PRIJEM	\N	237	60287	UROK	\N	\N
3466877	3662	1998-08-31	PRIJEM	\N	249	59522	UROK	\N	\N
3466878	3662	1998-09-30	PRIJEM	\N	271	61580	UROK	\N	\N
3466879	3662	1998-10-31	PRIJEM	\N	292	65658	UROK	\N	\N
3466880	3662	1998-11-30	PRIJEM	\N	280	69525	UROK	\N	\N
3466881	3662	1998-12-31	PRIJEM	\N	388	98100	UROK	\N	\N
3466882	3688	1993-11-30	PRIJEM	\N	41	16399	UROK	\N	\N
3466883	3688	1993-12-31	PRIJEM	\N	140	44626	UROK	\N	\N
3466884	3688	1994-01-31	PRIJEM	\N	195	48278	UROK	\N	\N
3466885	3688	1994-02-28	PRIJEM	\N	209	51745	UROK	\N	\N
3466886	3688	1994-03-31	PRIJEM	\N	224	53327	UROK	\N	\N
3466887	3688	1994-04-30	PRIJEM	\N	211	52681	UROK	\N	\N
3466888	3688	1994-05-31	PRIJEM	\N	224	55949	UROK	\N	\N
3466889	3688	1994-06-30	PRIJEM	\N	239	52560	UROK	\N	\N
3466890	3688	1994-07-31	PRIJEM	\N	217	51920	UROK	\N	\N
3466891	3688	1994-08-31	PRIJEM	\N	222	54285	UROK	\N	\N
3466892	3688	1994-09-30	PRIJEM	\N	197	50426	UROK	\N	\N
3466893	3688	1994-10-31	PRIJEM	\N	214	52383	UROK	\N	\N
3466894	3688	1994-11-30	PRIJEM	\N	224	53951	UROK	\N	\N
3466895	3688	1994-12-31	PRIJEM	\N	244	60767	UROK	\N	\N
3466896	3688	1995-01-31	PRIJEM	\N	205	46615	UROK	\N	\N
3466897	3688	1995-02-28	PRIJEM	\N	197	45056	UROK	\N	\N
3466898	3688	1995-03-31	PRIJEM	\N	193	46392	UROK	\N	\N
3466899	3688	1995-04-30	PRIJEM	\N	202	50438	UROK	\N	\N
3466900	3688	1995-05-31	PRIJEM	\N	201	53182	UROK	\N	\N
3466901	3688	1995-06-30	PRIJEM	\N	242	57196	UROK	\N	\N
3466902	3688	1995-07-31	PRIJEM	\N	232	55372	UROK	\N	\N
3466903	3688	1995-08-31	PRIJEM	\N	235	57551	UROK	\N	\N
3466904	3688	1995-09-30	PRIJEM	\N	237	57131	UROK	\N	\N
3466905	3688	1995-10-31	PRIJEM	\N	240	53315	UROK	\N	\N
3466906	3688	1995-11-30	PRIJEM	\N	169	50127	UROK	\N	\N
3466907	3688	1995-12-31	PRIJEM	\N	210	40409	UROK	\N	\N
3466908	3688	1996-01-31	PRIJEM	\N	178	33630	UROK	\N	\N
3466909	3688	1996-02-29	PRIJEM	\N	140	38414	UROK	\N	\N
3466910	3688	1996-03-31	PRIJEM	\N	161	42918	UROK	\N	\N
3466911	3688	1996-04-30	PRIJEM	\N	196	44157	UROK	\N	\N
3466912	3688	1996-05-31	PRIJEM	\N	185	48285	UROK	\N	\N
3466913	3688	1996-06-30	PRIJEM	\N	225	44682	UROK	\N	\N
3466914	3688	1996-07-31	PRIJEM	\N	183	43209	UROK	\N	\N
3466915	3688	1996-08-31	PRIJEM	\N	179	44632	UROK	\N	\N
3466916	3688	1996-09-30	PRIJEM	\N	180	39555	UROK	\N	\N
3466917	3688	1996-10-31	PRIJEM	\N	162	38760	UROK	\N	\N
3466918	3688	1996-11-30	PRIJEM	\N	163	42166	UROK	\N	\N
3466919	3688	1996-12-31	PRIJEM	\N	189	37828	UROK	\N	\N
3466920	3688	1997-01-31	PRIJEM	\N	160	33831	UROK	\N	\N
3466921	3688	1997-02-28	PRIJEM	\N	142	37016	UROK	\N	\N
3466922	3688	1997-03-31	PRIJEM	\N	172	39331	UROK	\N	\N
3466923	3688	1997-04-30	PRIJEM	\N	162	40036	UROK	\N	\N
3466924	3688	1997-05-31	PRIJEM	\N	165	41145	UROK	\N	\N
3466925	3688	1997-06-30	PRIJEM	\N	160	28377	UROK	\N	\N
3466926	3688	1997-07-31	PRIJEM	\N	122	33342	UROK	\N	\N
3466927	3688	1997-08-31	PRIJEM	\N	146	31132	UROK	\N	\N
3466928	3688	1997-09-30	PRIJEM	\N	136	37412	UROK	\N	\N
3466929	3688	1997-10-31	PRIJEM	\N	155	39010	UROK	\N	\N
3466930	3688	1997-11-30	PRIJEM	\N	169	38621	UROK	\N	\N
3466931	3688	1997-12-31	PRIJEM	\N	158	39052	UROK	\N	\N
3466932	3688	1998-01-31	PRIJEM	\N	162	34056	UROK	\N	\N
3466933	3688	1998-02-28	PRIJEM	\N	150	40749	UROK	\N	\N
3466934	3688	1998-03-31	PRIJEM	\N	167	38760	UROK	\N	\N
3466935	3688	1998-04-30	PRIJEM	\N	150	34353	UROK	\N	\N
3466936	3688	1998-05-31	PRIJEM	\N	147	38943	UROK	\N	\N
3466937	3688	1998-06-30	PRIJEM	\N	157	30473	UROK	\N	\N
3466938	3688	1998-07-31	PRIJEM	\N	144	38060	UROK	\N	\N
3466939	3688	1998-08-31	PRIJEM	\N	158	37662	UROK	\N	\N
3466940	3688	1998-09-30	PRIJEM	\N	151	37356	UROK	\N	\N
3466941	3688	1998-10-31	PRIJEM	\N	149	36748	UROK	\N	\N
3466942	3688	1998-11-30	PRIJEM	\N	141	34032	UROK	\N	\N
3466943	3688	1998-12-31	PRIJEM	\N	128	29732	UROK	\N	\N
3466944	3708	1996-12-31	PRIJEM	\N	26	18160	UROK	\N	\N
3466945	3708	1997-01-31	PRIJEM	\N	116	29793	UROK	\N	\N
3466946	3708	1997-02-28	PRIJEM	\N	124	28502	UROK	\N	\N
3466947	3708	1997-03-31	PRIJEM	\N	121	29309	UROK	\N	\N
3466948	3708	1997-04-30	PRIJEM	\N	124	29418	UROK	\N	\N
3466949	3708	1997-05-31	PRIJEM	\N	126	30929	UROK	\N	\N
3466950	3708	1997-06-30	PRIJEM	\N	99	26363	UROK	\N	\N
3466951	3708	1997-07-31	PRIJEM	\N	113	28062	UROK	\N	\N
3466952	3708	1997-08-31	PRIJEM	\N	124	32571	UROK	\N	\N
3466953	3708	1997-09-30	PRIJEM	\N	138	33445	UROK	\N	\N
3466954	3708	1997-10-31	PRIJEM	\N	145	36875	UROK	\N	\N
3466955	3708	1997-11-30	PRIJEM	\N	153	36313	UROK	\N	\N
3466956	3708	1997-12-31	PRIJEM	\N	179	70053	UROK	\N	\N
3466957	3708	1998-01-31	PRIJEM	\N	255	47693	UROK	\N	\N
3466958	3708	1998-02-28	PRIJEM	\N	203	50482	UROK	\N	\N
3466959	3708	1998-03-31	PRIJEM	\N	223	57805	UROK	\N	\N
3466960	3708	1998-04-30	PRIJEM	\N	224	48814	UROK	\N	\N
3466961	3708	1998-05-31	PRIJEM	\N	194	44043	UROK	\N	\N
3466962	3708	1998-06-30	PRIJEM	\N	168	28997	UROK	\N	\N
3466963	3708	1998-07-31	PRIJEM	\N	129	33111	UROK	\N	\N
3466964	3708	1998-08-31	PRIJEM	\N	136	32733	UROK	\N	\N
3466965	3708	1998-09-30	PRIJEM	\N	135	32453	UROK	\N	\N
3466966	3708	1998-10-31	PRIJEM	\N	142	35780	UROK	\N	\N
3466967	3708	1998-11-30	PRIJEM	\N	145	34710	UROK	\N	\N
3466968	3708	1998-12-31	PRIJEM	\N	141	32050	UROK	\N	\N
3466969	3723	1996-06-30	PRIJEM	\N	5	2005	UROK	\N	\N
3466970	3723	1996-07-31	PRIJEM	\N	34	13038	UROK	\N	\N
3466971	3723	1996-08-31	PRIJEM	\N	72	69693	UROK	\N	\N
3466972	3723	1996-09-30	PRIJEM	\N	162	50255	UROK	\N	\N
3466973	3723	1996-10-31	PRIJEM	\N	178	36218	UROK	\N	\N
3466974	3723	1996-11-30	PRIJEM	\N	139	32042	UROK	\N	\N
3466975	3723	1996-12-31	PRIJEM	\N	208	78021	UROK	\N	\N
3466976	3723	1997-01-31	PRIJEM	\N	228	44735	UROK	\N	\N
3466977	3723	1997-02-28	PRIJEM	\N	174	39194	UROK	\N	\N
3466978	3723	1997-03-31	PRIJEM	\N	153	34933	UROK	\N	\N
3466979	3723	1997-04-30	PRIJEM	\N	151	37069	UROK	\N	\N
3466980	3723	1997-05-31	PRIJEM	\N	202	67652	UROK	\N	\N
3466981	3723	1997-06-30	PRIJEM	\N	152	18390	UROK	\N	\N
3466982	3723	1997-07-31	PRIJEM	\N	106	30481	UROK	\N	\N
3466983	3723	1997-08-31	PRIJEM	\N	145	38961	UROK	\N	\N
3466984	3723	1997-09-30	PRIJEM	\N	173	43120	UROK	\N	\N
3466985	3723	1997-10-31	PRIJEM	\N	182	43537	UROK	\N	\N
3466986	3723	1997-11-30	PRIJEM	\N	191	46963	UROK	\N	\N
3466987	3723	1997-12-31	PRIJEM	\N	209	56611	UROK	\N	\N
3466988	3723	1998-01-31	PRIJEM	\N	275	71733	UROK	\N	\N
3466989	3723	1998-02-28	PRIJEM	\N	293	68611	UROK	\N	\N
3466990	3723	1998-03-31	PRIJEM	\N	275	63871	UROK	\N	\N
3466991	3723	1998-04-30	PRIJEM	\N	249	57156	UROK	\N	\N
3466992	3723	1998-05-31	PRIJEM	\N	246	60586	UROK	\N	\N
3466993	3723	1998-06-30	PRIJEM	\N	239	46511	UROK	\N	\N
3466994	3723	1998-07-31	PRIJEM	\N	221	57267	UROK	\N	\N
3466995	3723	1998-08-31	PRIJEM	\N	263	68316	UROK	\N	\N
3466996	3723	1998-09-30	PRIJEM	\N	391	105445	UROK	\N	\N
3466997	3723	1998-10-31	PRIJEM	\N	406	90336	UROK	\N	\N
3466998	3723	1998-11-30	PRIJEM	\N	358	83279	UROK	\N	\N
3466999	3723	1998-12-31	PRIJEM	\N	319	75133	UROK	\N	\N
3467000	3739	1997-04-30	PRIJEM	\N	21	21501	UROK	\N	\N
3467001	3739	1997-05-31	PRIJEM	\N	102	33083	UROK	\N	\N
3467002	3739	1997-06-30	PRIJEM	\N	149	43201	UROK	\N	\N
3467003	3739	1997-07-31	PRIJEM	\N	178	42059	UROK	\N	\N
3467004	3739	1997-08-31	PRIJEM	\N	185	39365	UROK	\N	\N
3467005	3739	1997-09-30	PRIJEM	\N	160	36790	UROK	\N	\N
3467006	3739	1997-10-31	PRIJEM	\N	153	37009	UROK	\N	\N
3467007	3739	1997-11-30	PRIJEM	\N	158	34113	UROK	\N	\N
3467008	3739	1997-12-31	PRIJEM	\N	179	37967	UROK	\N	\N
3467009	3739	1998-01-31	PRIJEM	\N	162	40395	UROK	\N	\N
3467010	3739	1998-02-28	PRIJEM	\N	182	38262	UROK	\N	\N
3467011	3739	1998-03-31	PRIJEM	\N	161	39689	UROK	\N	\N
3467012	3739	1998-04-30	PRIJEM	\N	189	42563	UROK	\N	\N
3467013	3739	1998-05-31	PRIJEM	\N	182	45610	UROK	\N	\N
3467014	3739	1998-06-30	PRIJEM	\N	205	48191	UROK	\N	\N
3467015	3739	1998-07-31	PRIJEM	\N	219	49375	UROK	\N	\N
3467016	3739	1998-08-31	PRIJEM	\N	201	46762	UROK	\N	\N
3467017	3739	1998-09-30	PRIJEM	\N	191	41778	UROK	\N	\N
3467018	3739	1998-10-31	PRIJEM	\N	167	38610	UROK	\N	\N
3467019	3739	1998-11-30	PRIJEM	\N	164	40139	UROK	\N	\N
3467020	3739	1998-12-31	PRIJEM	\N	183	46637	UROK	\N	\N
3467021	3768	1997-07-31	PRIJEM	\N	222	88430	UROK	\N	\N
3467022	3768	1997-08-31	PRIJEM	\N	340	84238	UROK	\N	\N
3467023	3768	1997-09-30	PRIJEM	\N	371	75754	UROK	\N	\N
3467024	3768	1997-10-31	PRIJEM	\N	275	68672	UROK	\N	\N
3467025	3768	1997-11-30	PRIJEM	\N	242	49653	UROK	\N	\N
3467026	3768	1997-12-31	PRIJEM	\N	115	27510	UROK	\N	\N
3467027	3768	1998-01-31	PRIJEM	\N	132	39627	UROK	\N	\N
3467028	3768	1998-02-28	PRIJEM	\N	148	46489	UROK	\N	\N
3467029	3768	1998-03-31	PRIJEM	\N	158	20433	UROK	\N	\N
3467030	3768	1998-04-30	PRIJEM	\N	85	19503	UROK	\N	\N
3467031	3768	1998-05-31	PRIJEM	\N	133	35564	UROK	\N	\N
3467032	3768	1998-06-30	PRIJEM	\N	172	107832	UROK	\N	\N
3467033	3768	1998-07-31	PRIJEM	\N	212	44490	UROK	\N	\N
3467034	3768	1998-08-31	PRIJEM	\N	182	31183	UROK	\N	\N
3467035	3768	1998-09-30	PRIJEM	\N	170	34214	UROK	\N	\N
3467036	3768	1998-10-31	PRIJEM	\N	198	46100	UROK	\N	\N
3467037	3768	1998-11-30	PRIJEM	\N	202	32987	UROK	\N	\N
3467038	3768	1998-12-31	PRIJEM	\N	230	76354	UROK	\N	\N
3467039	3788	1993-04-30	PRIJEM	\N	6	3106	UROK	\N	\N
3467040	3788	1993-05-31	PRIJEM	\N	115	38580	UROK	\N	\N
3467041	3788	1993-06-30	PRIJEM	\N	121	25587	UROK	\N	\N
3467042	3788	1993-07-31	PRIJEM	\N	106	25478	UROK	\N	\N
3467043	3788	1993-08-31	PRIJEM	\N	105	24418	UROK	\N	\N
3467044	3788	1993-09-30	PRIJEM	\N	147	56135	UROK	\N	\N
3467045	3788	1993-10-31	PRIJEM	\N	211	43782	UROK	\N	\N
3467046	3788	1993-11-30	PRIJEM	\N	171	39038	UROK	\N	\N
3467047	3788	1993-12-31	PRIJEM	\N	145	29418	UROK	\N	\N
3467048	3788	1994-01-31	PRIJEM	\N	121	24225	UROK	\N	\N
3467049	3788	1994-02-28	PRIJEM	\N	180	50979	UROK	\N	\N
3467050	3788	1994-03-31	PRIJEM	\N	187	40601	UROK	\N	\N
3467051	3788	1994-04-30	PRIJEM	\N	155	33342	UROK	\N	\N
3467052	3788	1994-05-31	PRIJEM	\N	129	28706	UROK	\N	\N
3467053	3788	1994-06-30	PRIJEM	\N	127	32118	UROK	\N	\N
3467054	3788	1994-07-31	PRIJEM	\N	130	31733	UROK	\N	\N
3467055	3788	1994-08-31	PRIJEM	\N	131	31349	UROK	\N	\N
3467056	3788	1994-09-30	PRIJEM	\N	127	30061	UROK	\N	\N
3467057	3788	1994-10-31	PRIJEM	\N	132	33979	UROK	\N	\N
3467058	3788	1994-11-30	PRIJEM	\N	136	33700	UROK	\N	\N
3467059	3788	1994-12-31	PRIJEM	\N	135	32820	UROK	\N	\N
3467060	3788	1995-01-31	PRIJEM	\N	120	27825	UROK	\N	\N
3467061	3788	1995-02-28	PRIJEM	\N	120	30730	UROK	\N	\N
3467062	3788	1995-03-31	PRIJEM	\N	128	31243	UROK	\N	\N
3467063	3788	1995-04-30	PRIJEM	\N	139	35368	UROK	\N	\N
3467064	3788	1995-05-31	PRIJEM	\N	140	33893	UROK	\N	\N
3467065	3788	1995-06-30	PRIJEM	\N	115	24593	UROK	\N	\N
3467066	3788	1995-07-31	PRIJEM	\N	112	51256	UROK	\N	\N
3467067	3788	1995-08-31	PRIJEM	\N	266	59841	UROK	\N	\N
3467068	3788	1995-09-30	PRIJEM	\N	246	50073	UROK	\N	\N
3467069	3788	1995-10-31	PRIJEM	\N	208	45666	UROK	\N	\N
3467070	3788	1995-11-30	PRIJEM	\N	187	42739	UROK	\N	\N
3467071	3788	1995-12-31	PRIJEM	\N	173	38298	UROK	\N	\N
3467072	3788	1996-01-31	PRIJEM	\N	186	49157	UROK	\N	\N
3467073	3788	1996-02-29	PRIJEM	\N	201	44593	UROK	\N	\N
3467074	3788	1996-03-31	PRIJEM	\N	186	43464	UROK	\N	\N
3467075	3788	1996-04-30	PRIJEM	\N	185	46434	UROK	\N	\N
3467076	3788	1996-05-31	PRIJEM	\N	195	48065	UROK	\N	\N
3467077	3788	1996-06-30	PRIJEM	\N	186	43336	UROK	\N	\N
3467078	3788	1996-07-31	PRIJEM	\N	186	47607	UROK	\N	\N
3467079	3788	1996-08-31	PRIJEM	\N	205	52797	UROK	\N	\N
3467080	3788	1996-09-30	PRIJEM	\N	222	54804	UROK	\N	\N
3467081	3788	1996-10-31	PRIJEM	\N	236	60926	UROK	\N	\N
3467082	3788	1996-11-30	PRIJEM	\N	249	58960	UROK	\N	\N
3467083	3788	1996-12-31	PRIJEM	\N	242	57188	UROK	\N	\N
3467084	3788	1997-01-31	PRIJEM	\N	215	54188	UROK	\N	\N
3467085	3788	1997-02-28	PRIJEM	\N	236	61510	UROK	\N	\N
3467086	3788	1997-03-31	PRIJEM	\N	290	92659	UROK	\N	\N
3467087	3788	1997-04-30	PRIJEM	\N	369	84214	UROK	\N	\N
3467088	3788	1997-05-31	PRIJEM	\N	353	90185	UROK	\N	\N
3467089	3788	1997-06-30	PRIJEM	\N	323	50293	UROK	\N	\N
3467090	3788	1997-07-31	PRIJEM	\N	233	64512	UROK	\N	\N
3467091	3788	1997-08-31	PRIJEM	\N	274	69072	UROK	\N	\N
3467092	3788	1997-09-30	PRIJEM	\N	291	72148	UROK	\N	\N
3467093	3788	1997-10-31	PRIJEM	\N	306	76339	UROK	\N	\N
3467094	3788	1997-11-30	PRIJEM	\N	321	79646	UROK	\N	\N
3467095	3788	1997-12-31	PRIJEM	\N	327	78458	UROK	\N	\N
3467096	3788	1998-01-31	PRIJEM	\N	313	70256	UROK	\N	\N
3467097	3788	1998-02-28	PRIJEM	\N	303	77645	UROK	\N	\N
3467098	3788	1998-03-31	PRIJEM	\N	339	58815	UROK	\N	\N
3467099	3788	1998-04-30	PRIJEM	\N	372	87282	UROK	\N	\N
3467100	3788	1998-05-31	PRIJEM	\N	352	84319	UROK	\N	\N
3467101	3788	1998-06-30	PRIJEM	\N	313	53317	UROK	\N	\N
3467102	3788	1998-07-31	PRIJEM	\N	253	70956	UROK	\N	\N
3467103	3788	1998-08-31	PRIJEM	\N	308	77849	UROK	\N	\N
3467104	3788	1998-09-30	PRIJEM	\N	319	76954	UROK	\N	\N
3467105	3788	1998-10-31	PRIJEM	\N	325	81264	UROK	\N	\N
3467106	3788	1998-11-30	PRIJEM	\N	340	84590	UROK	\N	\N
3467107	3788	1998-12-31	PRIJEM	\N	359	88634	UROK	\N	\N
3467108	3790	1997-05-31	PRIJEM	\N	94	77306	UROK	\N	\N
3467109	3790	1997-06-30	PRIJEM	\N	217	59997	UROK	\N	\N
3467110	3790	1997-07-31	PRIJEM	\N	197	32164	UROK	\N	\N
3467111	3790	1997-08-31	PRIJEM	\N	189	97686	UROK	\N	\N
3467112	3790	1997-09-30	PRIJEM	\N	369	68900	UROK	\N	\N
3467113	3790	1997-10-31	PRIJEM	\N	209	42679	UROK	\N	\N
3467114	3790	1997-11-30	PRIJEM	\N	174	41487	UROK	\N	\N
3467115	3790	1997-12-31	PRIJEM	\N	283	35010	UROK	\N	\N
3467116	3790	1998-01-31	PRIJEM	\N	88	17368	UROK	\N	\N
3467117	3790	1998-02-28	PRIJEM	\N	52	753	UROK	\N	\N
3467118	3790	1998-03-31	PRIJEM	\N	1	193	UROK	\N	\N
3467119	3790	1998-04-30	PRIJEM	\N	5	2768	UROK	\N	\N
3467120	3790	1998-05-31	PRIJEM	\N	12	11550	UROK	\N	\N
3467121	3790	1998-06-30	PRIJEM	\N	45	9673	UROK	\N	\N
3467122	3790	1998-07-31	PRIJEM	\N	43	10629	UROK	\N	\N
3467123	3790	1998-08-31	PRIJEM	\N	31	4830	UROK	\N	\N
3467124	3790	1998-09-30	PRIJEM	\N	20	8320	UROK	\N	\N
3467125	3790	1998-10-31	PRIJEM	\N	16	606	UROK	\N	\N
3467126	3790	1998-11-30	PRIJEM	\N	19	7696	UROK	\N	\N
3467127	3790	1998-12-31	PRIJEM	\N	37	9403	UROK	\N	\N
3467128	3797	1995-01-31	PRIJEM	\N	3	22803	UROK	\N	\N
3467129	3797	1995-03-31	PRIJEM	\N	95	25498	UROK	\N	\N
3467130	3797	1995-04-30	PRIJEM	\N	95	22593	UROK	\N	\N
3467131	3797	1995-05-31	PRIJEM	\N	95	24288	UROK	\N	\N
3467132	3797	1995-07-31	PRIJEM	\N	101	24089	UROK	\N	\N
3467133	3797	1995-08-31	PRIJEM	\N	101	26190	UROK	\N	\N
3467134	3797	1995-09-30	PRIJEM	\N	101	25291	UROK	\N	\N
3467135	3797	1995-10-31	PRIJEM	\N	101	28491	UROK	\N	\N
3467136	3797	1995-11-30	PRIJEM	\N	101	26692	UROK	\N	\N
3467137	3797	1995-12-31	PRIJEM	\N	101	25193	UROK	\N	\N
3467138	3797	1996-01-31	PRIJEM	\N	101	28394	UROK	\N	\N
3467139	3797	1996-02-29	PRIJEM	\N	101	26795	UROK	\N	\N
3467140	3797	1996-03-31	PRIJEM	\N	101	23995	UROK	\N	\N
3467141	3797	1996-04-30	PRIJEM	\N	101	24296	UROK	\N	\N
3467142	3797	1996-05-31	PRIJEM	\N	101	26197	UROK	\N	\N
3467143	3797	1996-07-31	PRIJEM	\N	101	26898	UROK	\N	\N
3467144	3797	1996-08-31	PRIJEM	\N	101	27699	UROK	\N	\N
3467145	3797	1996-09-30	PRIJEM	\N	101	29199	UROK	\N	\N
3467146	3797	1996-10-31	PRIJEM	\N	101	31200	UROK	\N	\N
3467147	3797	1996-11-30	PRIJEM	\N	101	29801	UROK	\N	\N
3467148	3797	1996-12-31	PRIJEM	\N	101	30402	UROK	\N	\N
3467149	3797	1997-01-31	PRIJEM	\N	101	30703	UROK	\N	\N
3467150	3797	1997-02-28	PRIJEM	\N	101	30303	UROK	\N	\N
3467151	3797	1997-03-31	PRIJEM	\N	101	35704	UROK	\N	\N
3467152	3797	1997-04-30	PRIJEM	\N	101	36805	UROK	\N	\N
3467153	3797	1997-05-31	PRIJEM	\N	101	40106	UROK	\N	\N
3467154	3797	1997-06-30	PRIJEM	\N	101	37607	UROK	\N	\N
3467155	3797	1997-07-31	PRIJEM	\N	101	35907	UROK	\N	\N
3467156	3797	1997-08-31	PRIJEM	\N	101	35108	UROK	\N	\N
3467157	3797	1997-09-30	PRIJEM	\N	101	31409	UROK	\N	\N
3467158	3797	1997-10-31	PRIJEM	\N	101	28910	UROK	\N	\N
3467159	3797	1997-11-30	PRIJEM	\N	101	23511	UROK	\N	\N
3467160	3797	1997-12-31	PRIJEM	\N	101	26911	UROK	\N	\N
3467161	3797	1998-01-31	PRIJEM	\N	101	29012	UROK	\N	\N
3467162	3797	1998-02-28	PRIJEM	\N	101	31413	UROK	\N	\N
3467163	3797	1998-03-31	PRIJEM	\N	101	30814	UROK	\N	\N
3467164	3797	1998-05-31	PRIJEM	\N	101	32415	UROK	\N	\N
3467165	3797	1998-06-30	PRIJEM	\N	101	32215	UROK	\N	\N
3467166	3797	1998-07-31	PRIJEM	\N	101	36516	UROK	\N	\N
3467167	3797	1998-08-31	PRIJEM	\N	101	35017	UROK	\N	\N
3467168	3797	1998-09-30	PRIJEM	\N	101	35818	UROK	\N	\N
3467169	3797	1998-10-31	PRIJEM	\N	101	37719	UROK	\N	\N
3467170	3801	1996-07-31	PRIJEM	\N	33	20684	UROK	\N	\N
3467171	3801	1996-08-31	PRIJEM	\N	107	32542	UROK	\N	\N
3467172	3801	1996-09-30	PRIJEM	\N	143	37136	UROK	\N	\N
3467173	3801	1996-10-31	PRIJEM	\N	156	38244	UROK	\N	\N
3467174	3801	1996-11-30	PRIJEM	\N	164	41059	UROK	\N	\N
3467175	3801	1996-12-31	PRIJEM	\N	220	46390	UROK	\N	\N
3467176	3801	1997-01-31	PRIJEM	\N	188	35114	UROK	\N	\N
3467177	3801	1997-02-28	PRIJEM	\N	156	40007	UROK	\N	\N
3467178	3801	1997-03-31	PRIJEM	\N	171	42515	UROK	\N	\N
3467179	3801	1997-04-30	PRIJEM	\N	185	37336	UROK	\N	\N
3467180	3801	1997-05-31	PRIJEM	\N	164	41537	UROK	\N	\N
3467181	3801	1997-06-30	PRIJEM	\N	182	41230	UROK	\N	\N
3467182	3801	1997-07-31	PRIJEM	\N	175	35442	UROK	\N	\N
3467183	3801	1997-08-31	PRIJEM	\N	150	36728	UROK	\N	\N
3467184	3801	1997-09-30	PRIJEM	\N	151	36216	UROK	\N	\N
3467185	3801	1997-10-31	PRIJEM	\N	157	33909	UROK	\N	\N
3467186	3801	1997-11-30	PRIJEM	\N	143	31189	UROK	\N	\N
3467187	3801	1997-12-31	PRIJEM	\N	160	38160	UROK	\N	\N
3467188	3801	1998-01-31	PRIJEM	\N	120	16616	UROK	\N	\N
3467189	3801	1998-02-28	PRIJEM	\N	71	17424	UROK	\N	\N
3467190	3801	1998-03-31	PRIJEM	\N	73	17933	UROK	\N	\N
3467191	3801	1998-04-30	PRIJEM	\N	71	14740	UROK	\N	\N
3467192	3801	1998-05-31	PRIJEM	\N	69	17646	UROK	\N	\N
3467193	3801	1998-06-30	PRIJEM	\N	99	26356	UROK	\N	\N
3467194	3801	1998-07-31	PRIJEM	\N	101	20693	UROK	\N	\N
3467195	3801	1998-08-31	PRIJEM	\N	87	21116	UROK	\N	\N
3467196	3801	1998-09-30	PRIJEM	\N	88	21340	UROK	\N	\N
3467197	3801	1998-10-31	PRIJEM	\N	152	17429	UROK	\N	\N
3467198	3801	1998-11-30	PRIJEM	\N	127	32692	UROK	\N	\N
3467199	3801	1998-12-31	PRIJEM	\N	231	60734	UROK	\N	\N
3467200	3821	1996-05-31	PRIJEM	\N	23	12023	UROK	\N	\N
3467201	3821	1996-06-30	PRIJEM	\N	87	30857	UROK	\N	\N
3467202	3821	1996-07-31	PRIJEM	\N	118	25710	UROK	\N	\N
3467203	3821	1996-08-31	PRIJEM	\N	106	25452	UROK	\N	\N
3467204	3821	1996-09-30	PRIJEM	\N	102	23639	UROK	\N	\N
3467205	3821	1996-10-31	PRIJEM	\N	133	68169	UROK	\N	\N
3467206	3821	1996-11-30	PRIJEM	\N	235	43089	UROK	\N	\N
3467207	3821	1996-12-31	PRIJEM	\N	156	33530	UROK	\N	\N
3467208	3821	1997-01-31	PRIJEM	\N	116	23481	UROK	\N	\N
3467209	3821	1997-02-28	PRIJEM	\N	94	21860	UROK	\N	\N
3467210	3821	1997-03-31	PRIJEM	\N	76	14922	UROK	\N	\N
3467211	3821	1997-04-30	PRIJEM	\N	65	16673	UROK	\N	\N
3467212	3821	1997-05-31	PRIJEM	\N	65	14722	UROK	\N	\N
3467213	3821	1997-06-30	PRIJEM	\N	96	63322	UROK	\N	\N
3467214	3821	1997-07-31	PRIJEM	\N	190	33997	UROK	\N	\N
3467215	3821	1997-08-31	PRIJEM	\N	124	26607	UROK	\N	\N
3467216	3821	1997-09-30	PRIJEM	\N	125	67127	UROK	\N	\N
3467217	3821	1997-10-31	PRIJEM	\N	191	37453	UROK	\N	\N
3467218	3821	1997-11-30	PRIJEM	\N	115	24503	UROK	\N	\N
3467219	3821	1997-12-31	PRIJEM	\N	85	19773	UROK	\N	\N
3467220	3821	1998-01-31	PRIJEM	\N	129	45952	UROK	\N	\N
3467221	3821	1998-02-28	PRIJEM	\N	157	28695	UROK	\N	\N
3467222	3821	1998-03-31	PRIJEM	\N	101	21281	UROK	\N	\N
3467223	3821	1998-04-30	PRIJEM	\N	68	13534	UROK	\N	\N
3467224	3821	1998-05-31	PRIJEM	\N	59	15279	UROK	\N	\N
3467225	3821	1998-06-30	PRIJEM	\N	66	17030	UROK	\N	\N
3467226	3821	1998-07-31	PRIJEM	\N	65	15281	UROK	\N	\N
3467227	3821	1998-08-31	PRIJEM	\N	66	17033	UROK	\N	\N
3467228	3821	1998-09-30	PRIJEM	\N	175	64545	UROK	\N	\N
3467229	3821	1998-10-31	PRIJEM	\N	190	32721	UROK	\N	\N
3467230	3821	1998-11-30	PRIJEM	\N	97	14303	UROK	\N	\N
3467231	3821	1998-12-31	PRIJEM	\N	62	16050	UROK	\N	\N
3467232	3823	1995-07-31	PRIJEM	\N	83	43991	UROK	\N	\N
3467233	3823	1995-08-31	PRIJEM	\N	183	34374	UROK	\N	\N
3467234	3823	1995-09-30	PRIJEM	\N	171	34329	UROK	\N	\N
3467235	3823	1995-10-31	PRIJEM	\N	142	26772	UROK	\N	\N
3467236	3823	1995-11-30	PRIJEM	\N	142	23214	UROK	\N	\N
3467237	3823	1995-12-31	PRIJEM	\N	142	23956	UROK	\N	\N
3467238	3823	1996-01-31	PRIJEM	\N	142	21499	UROK	\N	\N
3467239	3823	1996-02-29	PRIJEM	\N	142	20241	UROK	\N	\N
3467240	3823	1996-03-31	PRIJEM	\N	169	52056	UROK	\N	\N
3467241	3823	1996-04-30	PRIJEM	\N	216	32272	UROK	\N	\N
3467242	3823	1996-05-31	PRIJEM	\N	216	23188	UROK	\N	\N
3467243	3823	1996-06-30	PRIJEM	\N	216	18104	UROK	\N	\N
3467244	3823	1996-07-31	PRIJEM	\N	216	13721	UROK	\N	\N
3467245	3823	1996-08-31	PRIJEM	\N	216	11537	UROK	\N	\N
3467246	3823	1997-03-31	PRIJEM	\N	97	13459	UROK	\N	\N
3467247	3823	1997-04-30	PRIJEM	\N	56	13500	UROK	\N	\N
3467248	3823	1997-06-30	PRIJEM	\N	58	11984	UROK	\N	\N
3467249	3823	1997-06-30	PRIJEM	\N	56	11926	UROK	\N	\N
3467250	3823	1997-07-31	PRIJEM	\N	56	59374	UROK	\N	\N
3467251	3823	1997-08-31	PRIJEM	\N	173	38383	UROK	\N	\N
3467252	3823	1997-09-30	PRIJEM	\N	137	24955	UROK	\N	\N
3467253	3823	1997-10-31	PRIJEM	\N	102	16043	UROK	\N	\N
3467254	3823	1997-11-30	PRIJEM	\N	66	16095	UROK	\N	\N
3467255	3823	1997-12-31	PRIJEM	\N	66	16146	UROK	\N	\N
3467256	3823	1998-01-31	PRIJEM	\N	66	14247	UROK	\N	\N
3467257	3823	1998-02-28	PRIJEM	\N	59	14291	UROK	\N	\N
3467258	3823	1998-04-30	PRIJEM	\N	61	14381	UROK	\N	\N
3467259	3823	1998-04-30	PRIJEM	\N	59	14321	UROK	\N	\N
3467260	3823	1998-05-31	PRIJEM	\N	59	12925	UROK	\N	\N
3467261	3823	1998-06-30	PRIJEM	\N	54	18796	UROK	\N	\N
3467262	3823	1998-07-31	PRIJEM	\N	77	18859	UROK	\N	\N
3467263	3823	1998-09-30	PRIJEM	\N	80	18910	UROK	\N	\N
3467264	3823	1998-09-30	PRIJEM	\N	77	18987	UROK	\N	\N
3467265	3823	1998-10-31	PRIJEM	\N	77	17200	UROK	\N	\N
3467266	3823	1998-11-30	PRIJEM	\N	70	13655	UROK	\N	\N
3467267	3825	1994-03-31	PRIJEM	\N	76	31626	UROK	\N	\N
3467268	3825	1994-04-30	PRIJEM	\N	132	26558	UROK	\N	\N
3467269	3825	1994-05-31	PRIJEM	\N	132	26389	UROK	\N	\N
3467270	3825	1994-06-30	PRIJEM	\N	132	22921	UROK	\N	\N
3467271	3825	1994-07-31	PRIJEM	\N	132	21052	UROK	\N	\N
3467272	3825	1994-08-31	PRIJEM	\N	132	22084	UROK	\N	\N
3467273	3825	1994-09-30	PRIJEM	\N	132	23015	UROK	\N	\N
3467274	3825	1994-10-31	PRIJEM	\N	132	25347	UROK	\N	\N
3467275	3825	1994-11-30	PRIJEM	\N	132	22278	UROK	\N	\N
3467276	3825	1994-12-31	PRIJEM	\N	154	39938	UROK	\N	\N
3467277	3825	1995-01-31	PRIJEM	\N	166	32403	UROK	\N	\N
3467278	3825	1995-02-28	PRIJEM	\N	189	46973	UROK	\N	\N
3467279	3825	1995-03-31	PRIJEM	\N	195	32068	UROK	\N	\N
3467280	3825	1995-04-30	PRIJEM	\N	195	26763	UROK	\N	\N
3467281	3825	1995-05-31	PRIJEM	\N	195	23458	UROK	\N	\N
3467282	3825	1995-06-30	PRIJEM	\N	195	21753	UROK	\N	\N
3467283	3825	1995-07-31	PRIJEM	\N	195	22047	UROK	\N	\N
3467284	3825	1995-08-31	PRIJEM	\N	195	22142	UROK	\N	\N
3467285	3825	1995-09-30	PRIJEM	\N	195	19237	UROK	\N	\N
3467286	3825	1995-10-31	PRIJEM	\N	195	20832	UROK	\N	\N
3467287	3825	1995-11-30	PRIJEM	\N	195	21127	UROK	\N	\N
3467288	3825	1995-12-31	PRIJEM	\N	194	44553	UROK	\N	\N
3467289	3825	1996-01-31	PRIJEM	\N	188	29941	UROK	\N	\N
3467290	3825	1996-02-29	PRIJEM	\N	188	25929	UROK	\N	\N
3467291	3825	1996-03-31	PRIJEM	\N	188	26517	UROK	\N	\N
3467292	3825	1996-04-30	PRIJEM	\N	198	50616	UROK	\N	\N
3467293	3825	1996-05-31	PRIJEM	\N	185	38700	UROK	\N	\N
3467294	3825	1996-06-30	PRIJEM	\N	160	23896	UROK	\N	\N
3467295	3825	1996-07-31	PRIJEM	\N	101	16983	UROK	\N	\N
3467296	3825	1996-09-30	PRIJEM	\N	60	13314	UROK	\N	\N
3467297	3825	1996-09-30	PRIJEM	\N	58	13372	UROK	\N	\N
3467298	3825	1996-11-30	PRIJEM	\N	60	13462	UROK	\N	\N
3467299	3825	1996-11-30	PRIJEM	\N	58	13402	UROK	\N	\N
3467300	3825	1996-12-31	PRIJEM	\N	58	13506	UROK	\N	\N
3467301	3825	1997-02-28	PRIJEM	\N	65	24370	UROK	\N	\N
3467302	3825	1997-02-28	PRIJEM	\N	69	24305	UROK	\N	\N
3467303	3825	1997-04-30	PRIJEM	\N	107	24552	UROK	\N	\N
3467304	3825	1997-04-30	PRIJEM	\N	104	24445	UROK	\N	\N
3467305	3825	1997-05-31	PRIJEM	\N	103	14040	UROK	\N	\N
3467306	3825	1997-06-30	PRIJEM	\N	61	14086	UROK	\N	\N
3467307	3825	1997-07-31	PRIJEM	\N	61	14132	UROK	\N	\N
3467308	3825	1997-09-30	PRIJEM	\N	63	33449	UROK	\N	\N
3467309	3825	1997-09-30	PRIJEM	\N	79	33387	UROK	\N	\N
3467310	3825	1997-10-31	PRIJEM	\N	131	23815	UROK	\N	\N
3467311	3825	1997-11-30	PRIJEM	\N	93	16693	UROK	\N	\N
3467312	3825	1997-12-31	PRIJEM	\N	71	14249	UROK	\N	\N
3467313	3825	1998-02-28	PRIJEM	\N	67	14348	UROK	\N	\N
3467314	3825	1998-02-28	PRIJEM	\N	61	14280	UROK	\N	\N
3467315	3825	1998-04-30	PRIJEM	\N	63	14442	UROK	\N	\N
3467316	3825	1998-04-30	PRIJEM	\N	61	14379	UROK	\N	\N
3467317	3825	1998-06-30	PRIJEM	\N	63	14536	UROK	\N	\N
3467318	3825	1998-06-30	PRIJEM	\N	61	14473	UROK	\N	\N
3467319	3825	1998-07-31	PRIJEM	\N	61	14782	UROK	\N	\N
3467320	3825	1998-08-31	PRIJEM	\N	75	22571	UROK	\N	\N
3467321	3825	1998-09-30	PRIJEM	\N	107	37673	UROK	\N	\N
3467322	3825	1998-10-31	PRIJEM	\N	156	26714	UROK	\N	\N
3467323	3825	1998-11-30	PRIJEM	\N	111	23210	UROK	\N	\N
3467324	3827	1994-10-31	PRIJEM	\N	23	9332	UROK	\N	\N
3467325	3827	1994-11-30	PRIJEM	\N	78	25918	UROK	\N	\N
3467326	3827	1994-12-31	PRIJEM	\N	133	36415	UROK	\N	\N
3467327	3827	1995-01-31	PRIJEM	\N	157	38881	UROK	\N	\N
3467328	3827	1995-02-28	PRIJEM	\N	161	38852	UROK	\N	\N
3467329	3827	1995-03-31	PRIJEM	\N	163	39409	UROK	\N	\N
3467330	3827	1995-04-30	PRIJEM	\N	154	38858	UROK	\N	\N
3467331	3827	1995-05-31	PRIJEM	\N	163	39515	UROK	\N	\N
3467332	3827	1995-06-30	PRIJEM	\N	150	26614	UROK	\N	\N
3467333	3827	1995-07-31	PRIJEM	\N	120	30829	UROK	\N	\N
3467334	3827	1995-08-31	PRIJEM	\N	111	28234	UROK	\N	\N
3467335	3827	1995-09-30	PRIJEM	\N	117	27345	UROK	\N	\N
3467336	3827	1995-10-31	PRIJEM	\N	128	30967	UROK	\N	\N
3467337	3827	1995-11-30	PRIJEM	\N	131	35192	UROK	\N	\N
3467338	3827	1995-12-31	PRIJEM	\N	147	33689	UROK	\N	\N
3467339	3827	1996-01-31	PRIJEM	\N	148	31431	UROK	\N	\N
3467340	3827	1996-02-29	PRIJEM	\N	131	32457	UROK	\N	\N
3467341	3827	1996-03-31	PRIJEM	\N	135	33387	UROK	\N	\N
3467342	3827	1996-04-30	PRIJEM	\N	138	30819	UROK	\N	\N
3467343	3827	1996-05-31	PRIJEM	\N	134	29448	UROK	\N	\N
3467344	3827	1996-06-30	PRIJEM	\N	122	25419	UROK	\N	\N
3467345	3827	1996-07-31	PRIJEM	\N	110	30823	UROK	\N	\N
3467346	3827	1996-08-31	PRIJEM	\N	132	34449	UROK	\N	\N
3467347	3827	1996-09-30	PRIJEM	\N	140	32184	UROK	\N	\N
3467348	3827	1996-10-31	PRIJEM	\N	131	30610	UROK	\N	\N
3467349	3827	1996-11-30	PRIJEM	\N	129	32333	UROK	\N	\N
3467350	3827	1996-12-31	PRIJEM	\N	146	35429	UROK	\N	\N
3467351	3827	1997-01-31	PRIJEM	\N	140	27363	UROK	\N	\N
3467352	3827	1997-02-28	PRIJEM	\N	118	27775	UROK	\N	\N
3467353	3827	1997-03-31	PRIJEM	\N	121	32190	UROK	\N	\N
3467354	3827	1997-04-30	PRIJEM	\N	141	37925	UROK	\N	\N
3467355	3827	1997-05-31	PRIJEM	\N	156	36676	UROK	\N	\N
3467356	3827	1997-06-30	PRIJEM	\N	156	32781	UROK	\N	\N
3467357	3827	1997-07-31	PRIJEM	\N	132	30808	UROK	\N	\N
3467358	3827	1997-08-31	PRIJEM	\N	128	31630	UROK	\N	\N
3467359	3827	1997-09-30	PRIJEM	\N	131	31755	UROK	\N	\N
3467360	3827	1997-10-31	PRIJEM	\N	123	27573	UROK	\N	\N
3467361	3827	1997-11-30	PRIJEM	\N	113	27680	UROK	\N	\N
3467362	3827	1997-12-31	PRIJEM	\N	116	27246	UROK	\N	\N
3467363	3827	1998-01-31	PRIJEM	\N	107	23947	UROK	\N	\N
3467364	3827	1998-02-28	PRIJEM	\N	102	26144	UROK	\N	\N
3467365	3827	1998-03-31	PRIJEM	\N	110	27849	UROK	\N	\N
3467366	3827	1998-04-30	PRIJEM	\N	104	20247	UROK	\N	\N
3467367	3827	1998-05-31	PRIJEM	\N	87	22529	UROK	\N	\N
3467368	3827	1998-06-30	PRIJEM	\N	108	29685	UROK	\N	\N
3467369	3827	1998-07-31	PRIJEM	\N	121	29501	UROK	\N	\N
3467370	3827	1998-08-31	PRIJEM	\N	127	32322	UROK	\N	\N
3467371	3827	1998-09-30	PRIJEM	\N	145	35661	UROK	\N	\N
3467372	3827	1998-10-31	PRIJEM	\N	165	43721	UROK	\N	\N
3467373	3827	1998-11-30	PRIJEM	\N	176	42492	UROK	\N	\N
3467374	3827	1998-12-31	PRIJEM	\N	178	42919	UROK	\N	\N
3467375	3838	1994-05-31	PRIJEM	\N	40	13413	UROK	\N	\N
3467376	3838	1994-06-30	PRIJEM	\N	127	37899	UROK	\N	\N
3467377	3838	1994-07-31	PRIJEM	\N	178	45250	UROK	\N	\N
3467378	3838	1994-08-31	PRIJEM	\N	152	37675	UROK	\N	\N
3467379	3838	1994-09-30	PRIJEM	\N	156	36004	UROK	\N	\N
3467380	3838	1994-10-31	PRIJEM	\N	150	35312	UROK	\N	\N
3467381	3838	1994-11-30	PRIJEM	\N	146	32716	UROK	\N	\N
3467382	3838	1994-12-31	PRIJEM	\N	151	34312	UROK	\N	\N
3467383	3838	1995-01-31	PRIJEM	\N	149	30220	UROK	\N	\N
3467384	3838	1995-02-28	PRIJEM	\N	140	32718	UROK	\N	\N
3467385	3838	1995-03-31	PRIJEM	\N	136	32712	UROK	\N	\N
3467386	3838	1995-04-30	PRIJEM	\N	138	36809	UROK	\N	\N
3467387	3838	1995-05-31	PRIJEM	\N	153	37121	UROK	\N	\N
3467388	3838	1995-06-30	PRIJEM	\N	181	36047	UROK	\N	\N
3467389	3838	1995-07-31	PRIJEM	\N	150	36455	UROK	\N	\N
3467390	3838	1995-08-31	PRIJEM	\N	150	35164	UROK	\N	\N
3467391	3838	1995-09-30	PRIJEM	\N	145	34168	UROK	\N	\N
3467392	3838	1995-10-31	PRIJEM	\N	139	31365	UROK	\N	\N
3467393	3838	1995-11-30	PRIJEM	\N	132	27955	UROK	\N	\N
3467394	3838	1995-12-31	PRIJEM	\N	143	29144	UROK	\N	\N
3467395	3838	1996-01-31	PRIJEM	\N	136	27238	UROK	\N	\N
3467396	3838	1996-02-29	PRIJEM	\N	120	25917	UROK	\N	\N
3467397	3838	1996-03-31	PRIJEM	\N	110	27585	UROK	\N	\N
3467398	3838	1996-04-30	PRIJEM	\N	118	23162	UROK	\N	\N
3467399	3838	1996-05-31	PRIJEM	\N	95	20715	UROK	\N	\N
3467400	3838	1996-06-30	PRIJEM	\N	91	24051	UROK	\N	\N
3467401	3838	1996-07-31	PRIJEM	\N	99	24009	UROK	\N	\N
3467402	3838	1996-08-31	PRIJEM	\N	95	21762	UROK	\N	\N
3467403	3838	1996-09-30	PRIJEM	\N	79	15899	UROK	\N	\N
3467404	3838	1996-10-31	PRIJEM	\N	63	14821	UROK	\N	\N
3467405	3838	1996-11-30	PRIJEM	\N	58	13237	UROK	\N	\N
3467406	3838	1996-12-31	PRIJEM	\N	57	14940	UROK	\N	\N
3467407	3838	1997-01-31	PRIJEM	\N	67	17065	UROK	\N	\N
3467408	3838	1997-02-28	PRIJEM	\N	70	16993	UROK	\N	\N
3467409	3838	1997-03-31	PRIJEM	\N	68	16520	UROK	\N	\N
3467410	3838	1997-04-30	PRIJEM	\N	69	17347	UROK	\N	\N
3467411	3838	1997-05-31	PRIJEM	\N	70	17176	UROK	\N	\N
3467412	3838	1997-06-30	PRIJEM	\N	73	18094	UROK	\N	\N
3467413	3838	1997-07-31	PRIJEM	\N	91	25644	UROK	\N	\N
3467414	3838	1997-08-31	PRIJEM	\N	99	22501	UROK	\N	\N
3467415	3838	1997-09-30	PRIJEM	\N	106	28065	UROK	\N	\N
3467416	3838	1997-10-31	PRIJEM	\N	124	30148	UROK	\N	\N
3467417	3838	1997-11-30	PRIJEM	\N	115	25022	UROK	\N	\N
3467418	3838	1997-12-31	PRIJEM	\N	111	27778	UROK	\N	\N
3467419	3838	1998-01-31	PRIJEM	\N	112	24248	UROK	\N	\N
3467420	3838	1998-02-28	PRIJEM	\N	125	33632	UROK	\N	\N
3467421	3838	1998-03-31	PRIJEM	\N	165	33056	UROK	\N	\N
3467422	3838	1998-04-30	PRIJEM	\N	131	31145	UROK	\N	\N
3467423	3838	1998-05-31	PRIJEM	\N	136	33640	UROK	\N	\N
3467424	3838	1998-06-30	PRIJEM	\N	158	30244	UROK	\N	\N
3467425	3838	1998-07-31	PRIJEM	\N	117	25619	UROK	\N	\N
3467426	3838	1998-08-31	PRIJEM	\N	133	35410	UROK	\N	\N
3467427	3838	1998-09-30	PRIJEM	\N	165	42433	UROK	\N	\N
3467428	3838	1998-10-31	PRIJEM	\N	184	45976	UROK	\N	\N
3467429	3838	1998-11-30	PRIJEM	\N	178	37712	UROK	\N	\N
3467430	3838	1998-12-31	PRIJEM	\N	188	49245	UROK	\N	\N
3467431	3843	1996-10-31	PRIJEM	\N	6	2406	UROK	\N	\N
3467432	3843	1996-11-30	PRIJEM	\N	36	15842	UROK	\N	\N
3467433	3843	1996-12-31	PRIJEM	\N	83	24224	UROK	\N	\N
3467434	3843	1997-01-31	PRIJEM	\N	102	24826	UROK	\N	\N
3467435	3843	1997-02-28	PRIJEM	\N	186	64684	UROK	\N	\N
3467436	3843	1997-03-31	PRIJEM	\N	215	44184	UROK	\N	\N
3467437	3843	1997-04-30	PRIJEM	\N	129	32898	UROK	\N	\N
3467438	3843	1997-05-31	PRIJEM	\N	102	22985	UROK	\N	\N
3467439	3843	1997-06-30	PRIJEM	\N	86	17257	UROK	\N	\N
3467440	3843	1997-07-31	PRIJEM	\N	98	39552	UROK	\N	\N
3467441	3843	1997-08-31	PRIJEM	\N	157	25494	UROK	\N	\N
3467442	3843	1997-09-30	PRIJEM	\N	104	18884	UROK	\N	\N
3467443	3843	1997-10-31	PRIJEM	\N	79	16998	UROK	\N	\N
3467444	3843	1997-11-30	PRIJEM	\N	69	14952	UROK	\N	\N
3467445	3843	1997-12-31	PRIJEM	\N	59	12797	UROK	\N	\N
3467446	3843	1998-01-31	PRIJEM	\N	54	12886	UROK	\N	\N
3467447	3843	1998-02-28	PRIJEM	\N	52	10723	UROK	\N	\N
3467448	3843	1998-03-31	PRIJEM	\N	45	12453	UROK	\N	\N
3467449	3843	1998-04-30	PRIJEM	\N	131	28682	UROK	\N	\N
3467450	3843	1998-05-31	PRIJEM	\N	101	16569	UROK	\N	\N
3467451	3843	1998-06-30	PRIJEM	\N	65	12419	UROK	\N	\N
3467452	3843	1998-07-31	PRIJEM	\N	52	12556	UROK	\N	\N
3467453	3843	1998-08-31	PRIJEM	\N	53	13094	UROK	\N	\N
3467454	3843	1998-09-30	PRIJEM	\N	54	14833	UROK	\N	\N
3467455	3843	1998-10-31	PRIJEM	\N	62	16580	UROK	\N	\N
3467456	3843	1998-11-30	PRIJEM	\N	86	35660	UROK	\N	\N
3467457	3843	1998-12-31	PRIJEM	\N	144	33939	UROK	\N	\N
3467458	3858	1996-01-31	PRIJEM	\N	37	15237	UROK	\N	\N
3467459	3858	1996-02-29	PRIJEM	\N	77	22614	UROK	\N	\N
3467460	3858	1996-03-31	PRIJEM	\N	100	25413	UROK	\N	\N
3467461	3858	1996-04-30	PRIJEM	\N	118	30753	UROK	\N	\N
3467462	3858	1996-05-31	PRIJEM	\N	117	26105	UROK	\N	\N
3467463	3858	1996-06-30	PRIJEM	\N	85	15375	UROK	\N	\N
3467464	3858	1996-07-31	PRIJEM	\N	76	21137	UROK	\N	\N
3467465	3858	1996-08-31	PRIJEM	\N	85	20507	UROK	\N	\N
3467466	3858	1996-09-30	PRIJEM	\N	91	23083	UROK	\N	\N
3467467	3858	1996-10-31	PRIJEM	\N	102	25621	UROK	\N	\N
3467468	3858	1996-11-30	PRIJEM	\N	110	24811	UROK	\N	\N
3467469	3858	1996-12-31	PRIJEM	\N	106	26303	UROK	\N	\N
3467470	3858	1997-01-31	PRIJEM	\N	73	12762	UROK	\N	\N
3467471	3858	1997-02-28	PRIJEM	\N	115	59982	UROK	\N	\N
3467472	3858	1997-03-31	PRIJEM	\N	192	42560	UROK	\N	\N
3467473	3858	1997-04-30	PRIJEM	\N	152	32697	UROK	\N	\N
3467474	3858	1997-05-31	PRIJEM	\N	120	25302	UROK	\N	\N
3467475	3858	1997-06-30	PRIJEM	\N	78	17466	UROK	\N	\N
3467476	3858	1997-07-31	PRIJEM	\N	85	23436	UROK	\N	\N
3467477	3858	1997-08-31	PRIJEM	\N	155	56094	UROK	\N	\N
3467478	3858	1997-09-30	PRIJEM	\N	198	39578	UROK	\N	\N
3467479	3858	1997-10-31	PRIJEM	\N	141	30404	UROK	\N	\N
3467480	3858	1997-11-30	PRIJEM	\N	111	25001	UROK	\N	\N
3467481	3858	1997-12-31	PRIJEM	\N	92	22978	UROK	\N	\N
3467482	3858	1998-01-31	PRIJEM	\N	73	14737	UROK	\N	\N
3467483	3858	1998-02-28	PRIJEM	\N	171	59138	UROK	\N	\N
3467484	3858	1998-03-31	PRIJEM	\N	221	49544	UROK	\N	\N
3467485	3858	1998-04-30	PRIJEM	\N	189	41419	UROK	\N	\N
3467486	3858	1998-05-31	PRIJEM	\N	166	39771	UROK	\N	\N
3467487	3858	1998-06-30	PRIJEM	\N	128	31084	UROK	\N	\N
3467488	3858	1998-07-31	PRIJEM	\N	131	31401	UROK	\N	\N
3467489	3858	1998-08-31	PRIJEM	\N	146	43819	UROK	\N	\N
3467490	3858	1998-09-30	PRIJEM	\N	183	39787	UROK	\N	\N
3467491	3858	1998-10-31	PRIJEM	\N	162	36735	UROK	\N	\N
3467492	3858	1998-11-30	PRIJEM	\N	154	40875	UROK	\N	\N
3467493	3858	1998-12-31	PRIJEM	\N	163	36923	UROK	\N	\N
3467494	3866	1996-01-31	PRIJEM	\N	60	55816	UROK	\N	\N
3467495	3866	1996-02-29	PRIJEM	\N	232	40648	UROK	\N	\N
3467496	3866	1996-03-31	PRIJEM	\N	232	28881	UROK	\N	\N
3467497	3866	1996-04-30	PRIJEM	\N	232	24813	UROK	\N	\N
3467498	3866	1996-05-31	PRIJEM	\N	232	22145	UROK	\N	\N
3467499	3866	1996-06-30	PRIJEM	\N	232	21978	UROK	\N	\N
3467500	3866	1996-07-31	PRIJEM	\N	228	23205	UROK	\N	\N
3467501	3866	1996-08-31	PRIJEM	\N	95	25759	UROK	\N	\N
3467502	3866	1996-09-30	PRIJEM	\N	107	24466	UROK	\N	\N
3467503	3866	1996-10-31	PRIJEM	\N	107	25973	UROK	\N	\N
3467504	3866	1996-11-30	PRIJEM	\N	107	23280	UROK	\N	\N
3467505	3866	1996-12-31	PRIJEM	\N	107	21887	UROK	\N	\N
3467506	3866	1997-01-31	PRIJEM	\N	116	39762	UROK	\N	\N
3467507	3866	1997-02-28	PRIJEM	\N	165	28028	UROK	\N	\N
3467508	3866	1997-03-31	PRIJEM	\N	165	21893	UROK	\N	\N
3467509	3866	1997-04-30	PRIJEM	\N	171	60998	UROK	\N	\N
3467510	3866	1997-05-31	PRIJEM	\N	253	38851	UROK	\N	\N
3467511	3866	1997-06-30	PRIJEM	\N	253	28704	UROK	\N	\N
3467512	3866	1997-07-31	PRIJEM	\N	253	18757	UROK	\N	\N
3467513	3866	1997-08-31	PRIJEM	\N	253	15010	UROK	\N	\N
3467514	3866	1998-09-30	PRIJEM	\N	179	16606	UROK	\N	\N
3467515	3866	1998-10-31	PRIJEM	\N	66	15257	UROK	\N	\N
3467516	3866	1998-11-30	PRIJEM	\N	63	15306	UROK	\N	\N
3467517	3866	1998-12-31	PRIJEM	\N	110	34689	UROK	\N	\N
3467518	3883	1993-03-31	PRIJEM	\N	2	1202	UROK	\N	\N
3467519	3883	1993-04-30	PRIJEM	\N	30	14232	UROK	\N	\N
3467520	3883	1993-05-31	PRIJEM	\N	70	19003	UROK	\N	\N
3467521	3883	1993-06-30	PRIJEM	\N	78	18116	UROK	\N	\N
3467522	3883	1993-07-31	PRIJEM	\N	88	24590	UROK	\N	\N
3467523	3883	1993-08-31	PRIJEM	\N	106	26532	UROK	\N	\N
3467524	3883	1993-09-30	PRIJEM	\N	114	28231	UROK	\N	\N
3467525	3883	1993-10-31	PRIJEM	\N	108	24724	UROK	\N	\N
3467526	3883	1993-11-30	PRIJEM	\N	105	25915	UROK	\N	\N
3467527	3883	1993-12-31	PRIJEM	\N	111	37494	UROK	\N	\N
3467528	3883	1994-01-31	PRIJEM	\N	206	53860	UROK	\N	\N
3467529	3883	1994-02-28	PRIJEM	\N	201	42147	UROK	\N	\N
3467530	3883	1994-03-31	PRIJEM	\N	152	32784	UROK	\N	\N
3467531	3883	1994-04-30	PRIJEM	\N	131	30701	UROK	\N	\N
3467532	3883	1994-05-31	PRIJEM	\N	121	27907	UROK	\N	\N
3467533	3883	1994-06-30	PRIJEM	\N	112	27105	UROK	\N	\N
3467534	3883	1994-07-31	PRIJEM	\N	115	27605	UROK	\N	\N
3467535	3883	1994-08-31	PRIJEM	\N	122	30912	UROK	\N	\N
3467536	3883	1994-09-30	PRIJEM	\N	130	31727	UROK	\N	\N
3467537	3883	1994-10-31	PRIJEM	\N	122	26235	UROK	\N	\N
3467538	3883	1994-11-30	PRIJEM	\N	108	25528	UROK	\N	\N
3467539	3883	1994-12-31	PRIJEM	\N	254	72357	UROK	\N	\N
3467540	3883	1995-01-31	PRIJEM	\N	181	38524	UROK	\N	\N
3467541	3883	1995-02-28	PRIJEM	\N	150	33259	UROK	\N	\N
3467542	3883	1995-03-31	PRIJEM	\N	134	30078	UROK	\N	\N
3467543	3883	1995-04-30	PRIJEM	\N	127	27890	UROK	\N	\N
3467544	3883	1995-05-31	PRIJEM	\N	119	29195	UROK	\N	\N
3467545	3883	1995-06-30	PRIJEM	\N	99	21380	UROK	\N	\N
3467546	3883	1995-07-31	PRIJEM	\N	101	26566	UROK	\N	\N
3467547	3883	1995-08-31	PRIJEM	\N	121	31673	UROK	\N	\N
3467548	3883	1995-09-30	PRIJEM	\N	285	74731	UROK	\N	\N
3467549	3883	1995-10-31	PRIJEM	\N	270	55186	UROK	\N	\N
3467550	3883	1995-11-30	PRIJEM	\N	213	45584	UROK	\N	\N
3467551	3883	1995-12-31	PRIJEM	\N	193	57983	UROK	\N	\N
3467552	3883	1996-01-31	PRIJEM	\N	219	41987	UROK	\N	\N
3467553	3883	1996-02-29	PRIJEM	\N	177	39949	UROK	\N	\N
3467554	3883	1996-03-31	PRIJEM	\N	179	46435	UROK	\N	\N
3467555	3883	1996-04-30	PRIJEM	\N	340	62541	UROK	\N	\N
3467556	3883	1996-05-31	PRIJEM	\N	254	52880	UROK	\N	\N
3467557	3883	1996-06-30	PRIJEM	\N	159	31725	UROK	\N	\N
3467558	3883	1996-07-31	PRIJEM	\N	136	35146	UROK	\N	\N
3467559	3883	1996-08-31	PRIJEM	\N	148	37580	UROK	\N	\N
3467560	3883	1996-09-30	PRIJEM	\N	160	39225	UROK	\N	\N
3467561	3883	1996-10-31	PRIJEM	\N	167	41077	UROK	\N	\N
3467562	3883	1996-11-30	PRIJEM	\N	168	37430	UROK	\N	\N
3467563	3883	1996-12-31	PRIJEM	\N	161	40077	UROK	\N	\N
3467564	3883	1997-01-31	PRIJEM	\N	159	29121	UROK	\N	\N
3467565	3883	1997-02-28	PRIJEM	\N	135	44318	UROK	\N	\N
3467566	3883	1997-03-31	PRIJEM	\N	226	87151	UROK	\N	\N
3467567	3883	1997-04-30	PRIJEM	\N	342	67479	UROK	\N	\N
3467568	3883	1997-05-31	PRIJEM	\N	271	57835	UROK	\N	\N
3467569	3883	1997-06-30	PRIJEM	\N	220	44940	UROK	\N	\N
3467570	3883	1997-07-31	PRIJEM	\N	194	49419	UROK	\N	\N
3467571	3883	1997-08-31	PRIJEM	\N	216	55921	UROK	\N	\N
3467572	3883	1997-09-30	PRIJEM	\N	235	57141	UROK	\N	\N
3467573	3883	1997-10-31	PRIJEM	\N	241	59067	UROK	\N	\N
3467574	3883	1997-11-30	PRIJEM	\N	242	57795	UROK	\N	\N
3467575	3883	1997-12-31	PRIJEM	\N	237	53817	UROK	\N	\N
3467576	3883	1998-01-31	PRIJEM	\N	266	77725	UROK	\N	\N
3467577	3883	1998-02-28	PRIJEM	\N	310	70221	UROK	\N	\N
3467578	3883	1998-03-31	PRIJEM	\N	280	62786	UROK	\N	\N
3467579	3883	1998-04-30	PRIJEM	\N	284	68095	UROK	\N	\N
3467580	3883	1998-05-31	PRIJEM	\N	278	65759	UROK	\N	\N
3467581	3883	1998-06-30	PRIJEM	\N	248	36392	UROK	\N	\N
3467582	3883	1998-07-31	PRIJEM	\N	167	44144	UROK	\N	\N
3467583	3883	1998-08-31	PRIJEM	\N	188	46417	UROK	\N	\N
3467584	3883	1998-09-30	PRIJEM	\N	195	47597	UROK	\N	\N
3467585	3883	1998-10-31	PRIJEM	\N	204	50687	UROK	\N	\N
3467586	3883	1998-11-30	PRIJEM	\N	201	47173	UROK	\N	\N
3467587	3883	1998-12-31	PRIJEM	\N	193	46451	UROK	\N	\N
3467588	3886	1994-06-30	PRIJEM	\N	45	29297	UROK	\N	\N
3467589	3886	1994-07-31	PRIJEM	\N	122	25019	UROK	\N	\N
3467590	3886	1994-08-31	PRIJEM	\N	122	25041	UROK	\N	\N
3467591	3886	1994-09-30	PRIJEM	\N	122	26762	UROK	\N	\N
3467592	3886	1994-10-31	PRIJEM	\N	122	28484	UROK	\N	\N
3467593	3886	1994-11-30	PRIJEM	\N	122	25906	UROK	\N	\N
3467594	3886	1994-12-31	PRIJEM	\N	122	25528	UROK	\N	\N
3467595	3886	1995-01-31	PRIJEM	\N	147	44529	UROK	\N	\N
3467596	3886	1995-02-28	PRIJEM	\N	181	42660	UROK	\N	\N
3467597	3886	1995-03-31	PRIJEM	\N	177	33237	UROK	\N	\N
3467598	3886	1995-04-30	PRIJEM	\N	240	77833	UROK	\N	\N
3467599	3886	1995-05-31	PRIJEM	\N	233	34015	UROK	\N	\N
3467600	3886	1995-06-30	PRIJEM	\N	102	10502	UROK	\N	\N
3467601	3886	1995-07-31	PRIJEM	\N	44	15132	UROK	\N	\N
3467602	3886	1995-08-31	PRIJEM	\N	87	33743	UROK	\N	\N
3467603	3886	1995-09-30	PRIJEM	\N	212	89170	UROK	\N	\N
3467604	3886	1995-10-31	PRIJEM	\N	273	50779	UROK	\N	\N
3467605	3886	1995-11-30	PRIJEM	\N	216	43147	UROK	\N	\N
3467606	3886	1995-12-31	PRIJEM	\N	204	51241	UROK	\N	\N
3467607	3886	1996-01-31	PRIJEM	\N	195	43202	UROK	\N	\N
3467608	3886	1996-02-29	PRIJEM	\N	258	48685	UROK	\N	\N
3467609	3886	1996-03-31	PRIJEM	\N	217	86375	UROK	\N	\N
3467610	3886	1996-04-30	PRIJEM	\N	342	76985	UROK	\N	\N
3467611	3886	1996-05-31	PRIJEM	\N	302	94140	UROK	\N	\N
3467612	3886	1996-06-30	PRIJEM	\N	214	32547	UROK	\N	\N
3467613	3886	1996-07-31	PRIJEM	\N	396	100951	UROK	\N	\N
3467614	3886	1996-08-31	PRIJEM	\N	353	85274	UROK	\N	\N
3467615	3886	1996-09-30	PRIJEM	\N	278	69543	UROK	\N	\N
3467616	3886	1996-10-31	PRIJEM	\N	290	86961	UROK	\N	\N
3467617	3886	1996-11-30	PRIJEM	\N	400	90330	UROK	\N	\N
3467618	3886	1996-12-31	PRIJEM	\N	229	23664	UROK	\N	\N
3467619	3886	1997-01-31	PRIJEM	\N	70	17820	UROK	\N	\N
3467620	3886	1997-02-28	PRIJEM	\N	93	44522	UROK	\N	\N
3467621	3886	1997-03-31	PRIJEM	\N	132	29941	UROK	\N	\N
3467622	3886	1997-04-30	PRIJEM	\N	105	19695	UROK	\N	\N
3467623	3886	1997-05-31	PRIJEM	\N	129	56006	UROK	\N	\N
3467624	3886	1997-06-30	PRIJEM	\N	117	6700	UROK	\N	\N
3467625	3886	1997-07-31	PRIJEM	\N	17	4301	UROK	\N	\N
3467626	3886	1997-08-31	PRIJEM	\N	23	6503	UROK	\N	\N
3467627	3886	1997-09-30	PRIJEM	\N	5	1358	UROK	\N	\N
3467628	3886	1997-10-31	PRIJEM	\N	13	6385	UROK	\N	\N
3467629	3886	1997-11-30	PRIJEM	\N	55	26833	UROK	\N	\N
3467630	3886	1997-12-31	PRIJEM	\N	77	27103	UROK	\N	\N
3467631	3886	1998-02-28	PRIJEM	\N	119	57022	UROK	\N	\N
3467632	3886	1998-02-28	PRIJEM	\N	190	57212	UROK	\N	\N
3467633	3886	1998-03-31	PRIJEM	\N	247	62908	UROK	\N	\N
3467634	3886	1998-04-30	PRIJEM	\N	186	54890	UROK	\N	\N
3467635	3886	1998-05-31	PRIJEM	\N	117	15792	UROK	\N	\N
3467636	3886	1998-06-30	PRIJEM	\N	61	13239	UROK	\N	\N
3467637	3886	1998-07-31	PRIJEM	\N	55	22892	UROK	\N	\N
3467638	3886	1998-08-31	PRIJEM	\N	224	56176	UROK	\N	\N
3467639	3886	1998-09-30	PRIJEM	\N	222	43161	UROK	\N	\N
3467640	3886	1998-10-31	PRIJEM	\N	221	79558	UROK	\N	\N
3467641	3886	1998-11-30	PRIJEM	\N	315	61972	UROK	\N	\N
3467642	3886	1998-12-31	PRIJEM	\N	243	35501	UROK	\N	\N
3467643	3888	1998-01-31	PRIJEM	\N	1	10501	UROK	\N	\N
3467644	3921	1995-01-31	PRIJEM	\N	194	50127	UROK	\N	\N
3467645	3921	1995-02-28	PRIJEM	\N	316	39343	UROK	\N	\N
3467646	3921	1995-03-31	PRIJEM	\N	275	64950	UROK	\N	\N
3467647	3921	1995-04-30	PRIJEM	\N	252	54918	UROK	\N	\N
3467648	3921	1995-05-31	PRIJEM	\N	210	62112	UROK	\N	\N
3467649	3921	1995-06-30	PRIJEM	\N	163	26160	UROK	\N	\N
3467650	3921	1995-07-31	PRIJEM	\N	122	29210	UROK	\N	\N
3467651	3921	1995-08-31	PRIJEM	\N	159	20372	UROK	\N	\N
3467652	3921	1995-09-30	PRIJEM	\N	166	47984	UROK	\N	\N
3467653	3921	1995-10-31	PRIJEM	\N	275	89475	UROK	\N	\N
3467654	3921	1995-11-30	PRIJEM	\N	245	38425	UROK	\N	\N
3467655	3921	1995-12-31	PRIJEM	\N	205	51756	UROK	\N	\N
3467656	3921	1996-01-31	PRIJEM	\N	275	66863	UROK	\N	\N
3467657	3921	1996-02-29	PRIJEM	\N	293	93933	UROK	\N	\N
3467658	3921	1996-03-31	PRIJEM	\N	386	62605	UROK	\N	\N
3467659	3921	1996-04-30	PRIJEM	\N	282	79000	UROK	\N	\N
3467660	3921	1996-05-31	PRIJEM	\N	261	59223	UROK	\N	\N
3467661	3921	1996-06-30	PRIJEM	\N	243	43651	UROK	\N	\N
3467662	3921	1996-07-31	PRIJEM	\N	180	38717	UROK	\N	\N
3467663	3921	1996-08-31	PRIJEM	\N	159	35262	UROK	\N	\N
3467664	3921	1996-09-30	PRIJEM	\N	149	35126	UROK	\N	\N
3467665	3921	1996-10-31	PRIJEM	\N	134	24945	UROK	\N	\N
3467666	3921	1996-11-30	PRIJEM	\N	185	38934	UROK	\N	\N
3467667	3921	1996-12-31	PRIJEM	\N	199	49959	UROK	\N	\N
3467668	3921	1997-01-31	PRIJEM	\N	135	25216	UROK	\N	\N
3467669	3921	1997-02-28	PRIJEM	\N	296	72370	UROK	\N	\N
3467670	3921	1997-03-31	PRIJEM	\N	324	108144	UROK	\N	\N
3467671	3921	1997-04-30	PRIJEM	\N	497	93546	UROK	\N	\N
3467672	3921	1997-05-31	PRIJEM	\N	486	90666	UROK	\N	\N
3467673	3921	1997-06-30	PRIJEM	\N	287	25454	UROK	\N	\N
3467674	3921	1997-07-31	PRIJEM	\N	162	55463	UROK	\N	\N
3467675	3921	1997-08-31	PRIJEM	\N	218	44063	UROK	\N	\N
3467676	3921	1997-09-30	PRIJEM	\N	194	63950	UROK	\N	\N
3467677	3921	1997-10-31	PRIJEM	\N	253	49082	UROK	\N	\N
3467678	3921	1997-11-30	PRIJEM	\N	396	97572	UROK	\N	\N
3467679	3921	1997-12-31	PRIJEM	\N	390	44377	UROK	\N	\N
3467680	3921	1998-01-31	PRIJEM	\N	143	28413	UROK	\N	\N
3467681	3921	1998-02-28	PRIJEM	\N	182	65957	UROK	\N	\N
3467682	3921	1998-03-31	PRIJEM	\N	260	45502	UROK	\N	\N
3467683	3921	1998-04-30	PRIJEM	\N	185	43073	UROK	\N	\N
3467684	3921	1998-05-31	PRIJEM	\N	168	32026	UROK	\N	\N
3467685	3921	1998-06-30	PRIJEM	\N	138	39188	UROK	\N	\N
3467686	3921	1998-07-31	PRIJEM	\N	165	46365	UROK	\N	\N
3467687	3921	1998-08-31	PRIJEM	\N	189	44439	UROK	\N	\N
3467688	3921	1998-09-30	PRIJEM	\N	181	45205	UROK	\N	\N
3467689	3921	1998-10-31	PRIJEM	\N	331	67792	UROK	\N	\N
3467690	3921	1998-11-30	PRIJEM	\N	248	41308	UROK	\N	\N
3467691	3921	1998-12-31	PRIJEM	\N	150	32417	UROK	\N	\N
3467692	3928	1996-05-31	PRIJEM	\N	16	5511	UROK	\N	\N
3467693	3928	1996-06-30	PRIJEM	\N	46	16457	UROK	\N	\N
3467694	3928	1996-07-31	PRIJEM	\N	75	19732	UROK	\N	\N
3467695	3928	1996-08-31	PRIJEM	\N	93	24425	UROK	\N	\N
3467696	3928	1996-09-30	PRIJEM	\N	106	26317	UROK	\N	\N
3467697	3928	1996-10-31	PRIJEM	\N	118	28670	UROK	\N	\N
3467698	3928	1996-11-30	PRIJEM	\N	129	33284	UROK	\N	\N
3467699	3928	1996-12-31	PRIJEM	\N	134	30804	UROK	\N	\N
3467700	3928	1997-01-31	PRIJEM	\N	111	26700	UROK	\N	\N
3467701	3928	1997-02-28	PRIJEM	\N	129	71228	UROK	\N	\N
3467702	3928	1997-03-31	PRIJEM	\N	265	55778	UROK	\N	\N
3467703	3928	1997-04-30	PRIJEM	\N	208	43922	UROK	\N	\N
3467704	3928	1997-05-31	PRIJEM	\N	177	41784	UROK	\N	\N
3467705	3928	1997-06-30	PRIJEM	\N	174	49558	UROK	\N	\N
3467706	3928	1997-07-31	PRIJEM	\N	199	47442	UROK	\N	\N
3467707	3928	1997-08-31	PRIJEM	\N	203	50480	UROK	\N	\N
3467708	3928	1997-09-30	PRIJEM	\N	199	49865	UROK	\N	\N
3467709	3928	1997-10-31	PRIJEM	\N	208	48759	UROK	\N	\N
3467710	3928	1997-11-30	PRIJEM	\N	207	45951	UROK	\N	\N
3467711	3928	1997-12-31	PRIJEM	\N	192	44029	UROK	\N	\N
3467712	3928	1998-01-31	PRIJEM	\N	181	40494	UROK	\N	\N
3467713	3928	1998-02-28	PRIJEM	\N	173	43153	UROK	\N	\N
3467714	3928	1998-03-31	PRIJEM	\N	180	40368	UROK	\N	\N
3467715	3928	1998-04-30	PRIJEM	\N	173	42526	UROK	\N	\N
3467716	3928	1998-05-31	PRIJEM	\N	207	50367	UROK	\N	\N
3467717	3928	1998-06-30	PRIJEM	\N	169	35221	UROK	\N	\N
3467718	3928	1998-07-31	PRIJEM	\N	157	65919	UROK	\N	\N
3467719	3928	1998-08-31	PRIJEM	\N	259	48064	UROK	\N	\N
3467720	3928	1998-09-30	PRIJEM	\N	194	41943	UROK	\N	\N
3467721	3928	1998-10-31	PRIJEM	\N	174	41802	UROK	\N	\N
3467722	3928	1998-11-30	PRIJEM	\N	172	42509	UROK	\N	\N
3467723	3928	1998-12-31	PRIJEM	\N	173	40417	UROK	\N	\N
3467724	3931	1996-02-29	PRIJEM	\N	56	20728	UROK	\N	\N
3467725	3931	1996-03-31	PRIJEM	\N	146	42047	UROK	\N	\N
3467726	3931	1996-04-30	PRIJEM	\N	200	51218	UROK	\N	\N
3467727	3931	1996-05-31	PRIJEM	\N	237	60028	UROK	\N	\N
3467728	3931	1996-06-30	PRIJEM	\N	287	73823	UROK	\N	\N
3467729	3931	1996-07-31	PRIJEM	\N	301	71781	UROK	\N	\N
3467730	3931	1996-08-31	PRIJEM	\N	292	69430	UROK	\N	\N
3467731	3931	1996-09-30	PRIJEM	\N	287	68875	UROK	\N	\N
3467732	3931	1996-10-31	PRIJEM	\N	297	72629	UROK	\N	\N
3467733	3931	1996-11-30	PRIJEM	\N	307	74694	UROK	\N	\N
3467734	3931	1996-12-31	PRIJEM	\N	299	81546	UROK	\N	\N
3467735	3931	1997-01-31	PRIJEM	\N	261	43824	UROK	\N	\N
3467736	3931	1997-02-28	PRIJEM	\N	186	63667	UROK	\N	\N
3467737	3931	1997-03-31	PRIJEM	\N	283	71107	UROK	\N	\N
3467738	3931	1997-04-30	PRIJEM	\N	221	73086	UROK	\N	\N
3467739	3931	1997-05-31	PRIJEM	\N	263	52207	UROK	\N	\N
3467740	3931	1997-06-30	PRIJEM	\N	199	39099	UROK	\N	\N
3467741	3931	1997-07-31	PRIJEM	\N	171	44727	UROK	\N	\N
3467742	3931	1997-08-31	PRIJEM	\N	216	44121	UROK	\N	\N
3467743	3931	1997-09-30	PRIJEM	\N	222	49600	UROK	\N	\N
3467744	3931	1997-10-31	PRIJEM	\N	210	55467	UROK	\N	\N
3467745	3931	1997-11-30	PRIJEM	\N	234	61058	UROK	\N	\N
3467746	3931	1997-12-31	PRIJEM	\N	295	60067	UROK	\N	\N
3467747	3931	1998-01-31	PRIJEM	\N	233	46017	UROK	\N	\N
3467748	3931	1998-02-28	PRIJEM	\N	194	51268	UROK	\N	\N
3467749	3931	1998-03-31	PRIJEM	\N	216	56041	UROK	\N	\N
3467750	3931	1998-04-30	PRIJEM	\N	256	51714	UROK	\N	\N
3467751	3931	1998-05-31	PRIJEM	\N	218	56690	UROK	\N	\N
3467752	3931	1998-06-30	PRIJEM	\N	212	36255	UROK	\N	\N
3467753	3931	1998-07-31	PRIJEM	\N	171	38123	UROK	\N	\N
3467754	3931	1998-08-31	PRIJEM	\N	165	45146	UROK	\N	\N
3467755	3931	1998-09-30	PRIJEM	\N	192	50196	UROK	\N	\N
3467756	3931	1998-10-31	PRIJEM	\N	231	50584	UROK	\N	\N
3467757	3931	1998-11-30	PRIJEM	\N	215	55756	UROK	\N	\N
3467758	3931	1998-12-31	PRIJEM	\N	242	63892	UROK	\N	\N
3467759	3940	1995-05-31	PRIJEM	\N	58	18653	UROK	\N	\N
3467760	3940	1995-06-30	PRIJEM	\N	164	47058	UROK	\N	\N
3467761	3940	1995-07-31	PRIJEM	\N	218	54371	UROK	\N	\N
3467762	3940	1995-08-31	PRIJEM	\N	245	60611	UROK	\N	\N
3467763	3940	1995-09-30	PRIJEM	\N	205	35011	UROK	\N	\N
3467764	3940	1995-10-31	PRIJEM	\N	196	51472	UROK	\N	\N
3467765	3940	1995-11-30	PRIJEM	\N	241	60378	UROK	\N	\N
3467766	3940	1995-12-31	PRIJEM	\N	207	44143	UROK	\N	\N
3467767	3940	1996-01-31	PRIJEM	\N	153	21861	UROK	\N	\N
3467768	3940	1996-02-29	PRIJEM	\N	146	40071	UROK	\N	\N
3467769	3940	1996-03-31	PRIJEM	\N	175	43314	UROK	\N	\N
3467770	3940	1996-04-30	PRIJEM	\N	209	54113	UROK	\N	\N
3467771	3940	1996-05-31	PRIJEM	\N	247	61325	UROK	\N	\N
3467772	3940	1996-06-30	PRIJEM	\N	249	58286	UROK	\N	\N
3467773	3940	1996-07-31	PRIJEM	\N	158	34242	UROK	\N	\N
3467774	3940	1996-08-31	PRIJEM	\N	135	30586	UROK	\N	\N
3467775	3940	1996-09-30	PRIJEM	\N	132	42682	UROK	\N	\N
3467776	3940	1996-10-31	PRIJEM	\N	171	35857	UROK	\N	\N
3467777	3940	1996-11-30	PRIJEM	\N	175	40097	UROK	\N	\N
3467778	3940	1996-12-31	PRIJEM	\N	170	42230	UROK	\N	\N
3467779	3940	1997-01-31	PRIJEM	\N	153	26721	UROK	\N	\N
3467780	3940	1997-02-28	PRIJEM	\N	117	37903	UROK	\N	\N
3467781	3940	1997-03-31	PRIJEM	\N	158	39025	UROK	\N	\N
3467782	3940	1997-04-30	PRIJEM	\N	165	43171	UROK	\N	\N
3467783	3940	1997-05-31	PRIJEM	\N	180	44615	UROK	\N	\N
3467784	3940	1997-06-30	PRIJEM	\N	189	50016	UROK	\N	\N
3467785	3940	1997-07-31	PRIJEM	\N	212	44305	UROK	\N	\N
3467786	3940	1997-08-31	PRIJEM	\N	184	45454	UROK	\N	\N
3467787	3940	1997-09-30	PRIJEM	\N	197	39442	UROK	\N	\N
3467788	3940	1997-10-31	PRIJEM	\N	166	36272	UROK	\N	\N
3467789	3940	1997-11-30	PRIJEM	\N	168	30417	UROK	\N	\N
3467790	3940	1997-12-31	PRIJEM	\N	135	30142	UROK	\N	\N
3467791	3940	1998-01-31	PRIJEM	\N	133	24840	UROK	\N	\N
3467792	3940	1998-02-28	PRIJEM	\N	113	33318	UROK	\N	\N
3467793	3940	1998-03-31	PRIJEM	\N	136	25119	UROK	\N	\N
3467794	3940	1998-04-30	PRIJEM	\N	112	32096	UROK	\N	\N
3467795	3940	1998-05-31	PRIJEM	\N	147	30507	UROK	\N	\N
3467796	3940	1998-06-30	PRIJEM	\N	136	37655	UROK	\N	\N
3467797	3940	1998-07-31	PRIJEM	\N	143	25985	UROK	\N	\N
3467798	3940	1998-08-31	PRIJEM	\N	110	28360	UROK	\N	\N
3467799	3940	1998-09-30	PRIJEM	\N	128	25431	UROK	\N	\N
3467800	3940	1998-10-31	PRIJEM	\N	110	22364	UROK	\N	\N
3467801	3940	1998-11-30	PRIJEM	\N	100	27128	UROK	\N	\N
3467802	3940	1998-12-31	PRIJEM	\N	159	51700	UROK	\N	\N
3467803	3949	1996-02-29	PRIJEM	\N	71	32826	UROK	\N	\N
3467804	3949	1996-03-31	PRIJEM	\N	137	33762	UROK	\N	\N
3467805	3949	1996-04-30	PRIJEM	\N	137	30399	UROK	\N	\N
3467806	3949	1996-05-31	PRIJEM	\N	137	29335	UROK	\N	\N
3467807	3949	1996-06-30	PRIJEM	\N	137	28272	UROK	\N	\N
3467808	3949	1996-07-31	PRIJEM	\N	137	30708	UROK	\N	\N
3467809	3949	1996-08-31	PRIJEM	\N	137	30144	UROK	\N	\N
3467810	3949	1996-10-31	PRIJEM	\N	137	32881	UROK	\N	\N
3467811	3949	1996-11-30	PRIJEM	\N	175	46048	UROK	\N	\N
3467812	3949	1996-12-31	PRIJEM	\N	191	41339	UROK	\N	\N
3467813	3949	1997-01-31	PRIJEM	\N	191	40830	UROK	\N	\N
3467814	3949	1997-02-28	PRIJEM	\N	191	42321	UROK	\N	\N
3467815	3949	1997-03-31	PRIJEM	\N	191	43612	UROK	\N	\N
3467816	3949	1997-04-30	PRIJEM	\N	235	80896	UROK	\N	\N
3467817	3949	1997-05-31	PRIJEM	\N	336	60332	UROK	\N	\N
3467818	3949	1997-06-30	PRIJEM	\N	336	45868	UROK	\N	\N
3467819	3949	1997-07-31	PRIJEM	\N	336	36804	UROK	\N	\N
3467820	3949	1997-08-31	PRIJEM	\N	336	34540	UROK	\N	\N
3467821	3949	1997-09-30	PRIJEM	\N	306	61385	UROK	\N	\N
3467822	3949	1997-10-31	PRIJEM	\N	254	43439	UROK	\N	\N
3467823	3949	1997-11-30	PRIJEM	\N	254	34193	UROK	\N	\N
3467824	3949	1997-12-31	PRIJEM	\N	249	29743	UROK	\N	\N
3467825	3949	1998-02-28	PRIJEM	\N	116	22258	UROK	\N	\N
3467826	3949	1998-03-31	PRIJEM	\N	104	22762	UROK	\N	\N
3467827	3949	1998-04-30	PRIJEM	\N	94	24456	UROK	\N	\N
3467828	3949	1998-05-31	PRIJEM	\N	101	47555	UROK	\N	\N
3467829	3949	1998-06-30	PRIJEM	\N	191	25432	UROK	\N	\N
3467830	3949	1998-07-31	PRIJEM	\N	104	23522	UROK	\N	\N
3467831	3949	1998-08-31	PRIJEM	\N	93	15500	UROK	\N	\N
3467832	3949	1998-09-30	PRIJEM	\N	64	17549	UROK	\N	\N
3467833	3949	1998-10-31	PRIJEM	\N	72	17907	UROK	\N	\N
3467834	3949	1998-11-30	PRIJEM	\N	74	16466	UROK	\N	\N
3467835	3949	1998-12-31	PRIJEM	\N	84	27296	UROK	\N	\N
3467836	3957	1996-07-31	PRIJEM	\N	72	28235	UROK	\N	\N
3467837	3957	1996-08-31	PRIJEM	\N	164	45662	UROK	\N	\N
3467838	3957	1996-09-30	PRIJEM	\N	213	54138	UROK	\N	\N
3467839	3957	1996-10-31	PRIJEM	\N	226	54527	UROK	\N	\N
3467840	3957	1996-11-30	PRIJEM	\N	233	56923	UROK	\N	\N
3467841	3957	1996-12-31	PRIJEM	\N	250	61437	UROK	\N	\N
3467842	3957	1997-01-31	PRIJEM	\N	218	40588	UROK	\N	\N
3467843	3957	1997-02-28	PRIJEM	\N	176	34339	UROK	\N	\N
3467844	3957	1997-03-31	PRIJEM	\N	159	39831	UROK	\N	\N
3467845	3957	1997-04-30	PRIJEM	\N	255	42719	UROK	\N	\N
3467846	3957	1997-05-31	PRIJEM	\N	187	45938	UROK	\N	\N
3467847	3957	1997-06-30	PRIJEM	\N	216	34210	UROK	\N	\N
3467848	3957	1997-07-31	PRIJEM	\N	176	29648	UROK	\N	\N
3467849	3957	1997-08-31	PRIJEM	\N	157	39559	UROK	\N	\N
3467850	3957	1997-09-30	PRIJEM	\N	149	32725	UROK	\N	\N
3467851	3957	1997-10-31	PRIJEM	\N	207	55965	UROK	\N	\N
3467852	3957	1997-11-30	PRIJEM	\N	176	25916	UROK	\N	\N
3467853	3957	1997-12-31	PRIJEM	\N	225	64905	UROK	\N	\N
3467854	3957	1998-01-31	PRIJEM	\N	232	35671	UROK	\N	\N
3467855	3957	1998-02-28	PRIJEM	\N	211	56914	UROK	\N	\N
3467856	3957	1998-03-31	PRIJEM	\N	272	68519	UROK	\N	\N
3467857	3957	1998-04-30	PRIJEM	\N	306	75758	UROK	\N	\N
3467858	3957	1998-05-31	PRIJEM	\N	321	75079	UROK	\N	\N
3467859	3957	1998-06-30	PRIJEM	\N	360	76803	UROK	\N	\N
3467860	3957	1998-07-31	PRIJEM	\N	310	74146	UROK	\N	\N
3467861	3957	1998-08-31	PRIJEM	\N	309	73388	UROK	\N	\N
3467862	3957	1998-09-30	PRIJEM	\N	278	72099	UROK	\N	\N
3467863	3957	1998-10-31	PRIJEM	\N	294	70826	UROK	\N	\N
3467864	3957	1998-11-30	PRIJEM	\N	290	72249	UROK	\N	\N
3467865	3957	1998-12-31	PRIJEM	\N	267	68780	UROK	\N	\N
3467866	3968	1996-01-31	PRIJEM	\N	55	18683	UROK	\N	\N
3467867	3968	1996-02-29	PRIJEM	\N	78	36289	UROK	\N	\N
3467868	3968	1996-03-31	PRIJEM	\N	163	48280	UROK	\N	\N
3467869	3968	1996-04-30	PRIJEM	\N	148	53256	UROK	\N	\N
3467870	3968	1996-05-31	PRIJEM	\N	166	37450	UROK	\N	\N
3467871	3968	1996-06-30	PRIJEM	\N	175	35302	UROK	\N	\N
3467872	3968	1996-07-31	PRIJEM	\N	148	37664	UROK	\N	\N
3467873	3968	1996-08-31	PRIJEM	\N	173	33550	UROK	\N	\N
3467874	3968	1996-09-30	PRIJEM	\N	142	38505	UROK	\N	\N
3467875	3968	1996-10-31	PRIJEM	\N	159	37178	UROK	\N	\N
3467876	3968	1996-11-30	PRIJEM	\N	175	40466	UROK	\N	\N
3467877	3968	1996-12-31	PRIJEM	\N	174	47018	UROK	\N	\N
3467878	3968	1997-01-31	PRIJEM	\N	209	38940	UROK	\N	\N
3467879	3968	1997-02-28	PRIJEM	\N	165	43619	UROK	\N	\N
3467880	3968	1997-03-31	PRIJEM	\N	183	45515	UROK	\N	\N
3467881	3968	1997-04-30	PRIJEM	\N	191	44519	UROK	\N	\N
3467882	3968	1997-05-31	PRIJEM	\N	220	46353	UROK	\N	\N
3467883	3968	1997-06-30	PRIJEM	\N	240	49571	UROK	\N	\N
3467884	3968	1997-07-31	PRIJEM	\N	227	48711	UROK	\N	\N
3467885	3968	1997-08-31	PRIJEM	\N	203	49528	UROK	\N	\N
3467886	3968	1997-09-30	PRIJEM	\N	209	51850	UROK	\N	\N
3467887	3968	1997-10-31	PRIJEM	\N	225	59088	UROK	\N	\N
3467888	3968	1997-11-30	PRIJEM	\N	251	63253	UROK	\N	\N
3467889	3968	1997-12-31	PRIJEM	\N	273	69103	UROK	\N	\N
3467890	3968	1998-01-31	PRIJEM	\N	300	67017	UROK	\N	\N
3467891	3968	1998-02-28	PRIJEM	\N	286	72216	UROK	\N	\N
3467892	3968	1998-03-31	PRIJEM	\N	327	75556	UROK	\N	\N
3467893	3968	1998-04-30	PRIJEM	\N	323	77792	UROK	\N	\N
3467894	3968	1998-05-31	PRIJEM	\N	328	81334	UROK	\N	\N
3467895	3968	1998-06-30	PRIJEM	\N	308	64019	UROK	\N	\N
3467896	3968	1998-07-31	PRIJEM	\N	287	76720	UROK	\N	\N
3467897	3968	1998-08-31	PRIJEM	\N	328	82061	UROK	\N	\N
3467898	3968	1998-09-30	PRIJEM	\N	346	85321	UROK	\N	\N
3467899	3968	1998-10-31	PRIJEM	\N	353	85087	UROK	\N	\N
3467900	3968	1998-11-30	PRIJEM	\N	344	81044	UROK	\N	\N
3467901	3968	1998-12-31	PRIJEM	\N	394	105315	UROK	\N	\N
3467902	3983	1993-02-28	PRIJEM	\N	53	15579	UROK	\N	\N
3467903	3983	1993-03-31	PRIJEM	\N	115	30120	UROK	\N	\N
3467904	3983	1993-04-30	PRIJEM	\N	173	43919	UROK	\N	\N
3467905	3983	1993-05-31	PRIJEM	\N	199	48744	UROK	\N	\N
3467906	3983	1993-06-30	PRIJEM	\N	194	40577	UROK	\N	\N
3467907	3983	1993-07-31	PRIJEM	\N	187	45076	UROK	\N	\N
3467908	3983	1993-08-31	PRIJEM	\N	204	50391	UROK	\N	\N
3467909	3983	1993-09-30	PRIJEM	\N	216	52218	UROK	\N	\N
3467910	3983	1993-10-31	PRIJEM	\N	223	53852	UROK	\N	\N
3467911	3983	1993-11-30	PRIJEM	\N	230	55794	UROK	\N	\N
3467912	3983	1993-12-31	PRIJEM	\N	249	59267	UROK	\N	\N
3467913	3983	1994-01-31	PRIJEM	\N	225	40004	UROK	\N	\N
3467914	3983	1994-02-28	PRIJEM	\N	192	50307	UROK	\N	\N
3467915	3983	1994-03-31	PRIJEM	\N	212	51331	UROK	\N	\N
3467916	3983	1994-04-30	PRIJEM	\N	212	51755	UROK	\N	\N
3467917	3983	1994-05-31	PRIJEM	\N	200	39066	UROK	\N	\N
3467918	3983	1994-06-30	PRIJEM	\N	169	32560	UROK	\N	\N
3467919	3983	1994-07-31	PRIJEM	\N	173	37144	UROK	\N	\N
3467920	3983	1994-08-31	PRIJEM	\N	155	38610	UROK	\N	\N
3467921	3983	1994-09-30	PRIJEM	\N	159	36781	UROK	\N	\N
3467922	3983	1994-10-31	PRIJEM	\N	154	38646	UROK	\N	\N
3467923	3983	1994-11-30	PRIJEM	\N	166	35424	UROK	\N	\N
3467924	3983	1994-12-31	PRIJEM	\N	194	40442	UROK	\N	\N
3467925	3983	1995-01-31	PRIJEM	\N	193	39046	UROK	\N	\N
3467926	3983	1995-02-28	PRIJEM	\N	160	37518	UROK	\N	\N
3467927	3983	1995-03-31	PRIJEM	\N	155	37184	UROK	\N	\N
3467928	3983	1995-04-30	PRIJEM	\N	155	38550	UROK	\N	\N
3467929	3983	1995-05-31	PRIJEM	\N	155	34217	UROK	\N	\N
3467930	3983	1995-06-30	PRIJEM	\N	132	9073	UROK	\N	\N
3467931	3983	1995-07-31	PRIJEM	\N	45	17530	UROK	\N	\N
3467932	3983	1995-08-31	PRIJEM	\N	81	25422	UROK	\N	\N
3467933	3983	1995-09-30	PRIJEM	\N	103	24136	UROK	\N	\N
3467934	3983	1995-10-31	PRIJEM	\N	98	23345	UROK	\N	\N
3467935	3983	1995-11-30	PRIJEM	\N	99	25956	UROK	\N	\N
3467936	3983	1995-12-31	PRIJEM	\N	119	30799	UROK	\N	\N
3467937	3983	1996-01-31	PRIJEM	\N	123	28733	UROK	\N	\N
3467938	3983	1996-02-29	PRIJEM	\N	120	30064	UROK	\N	\N
3467939	3983	1996-03-31	PRIJEM	\N	120	28395	UROK	\N	\N
3467940	3983	1996-04-30	PRIJEM	\N	122	32029	UROK	\N	\N
3467941	3983	1996-05-31	PRIJEM	\N	128	30568	UROK	\N	\N
3467942	3983	1996-06-30	PRIJEM	\N	142	25835	UROK	\N	\N
3467943	3983	1996-07-31	PRIJEM	\N	111	29158	UROK	\N	\N
3467944	3983	1996-08-31	PRIJEM	\N	127	33396	UROK	\N	\N
3467945	3983	1996-09-30	PRIJEM	\N	131	31039	UROK	\N	\N
3467946	3983	1996-10-31	PRIJEM	\N	134	34484	UROK	\N	\N
3467947	3983	1996-11-30	PRIJEM	\N	146	36841	UROK	\N	\N
3467948	3983	1996-12-31	PRIJEM	\N	179	39944	UROK	\N	\N
3467949	3983	1997-01-31	PRIJEM	\N	165	40720	UROK	\N	\N
3467950	3983	1997-02-28	PRIJEM	\N	154	35786	UROK	\N	\N
3467951	3983	1997-03-31	PRIJEM	\N	149	37146	UROK	\N	\N
3467952	3983	1997-04-30	PRIJEM	\N	146	35003	UROK	\N	\N
3467953	3983	1997-05-31	PRIJEM	\N	153	39768	UROK	\N	\N
3467954	3983	1997-06-30	PRIJEM	\N	128	25120	UROK	\N	\N
3467955	3983	1997-07-31	PRIJEM	\N	117	29448	UROK	\N	\N
3467956	3983	1997-08-31	PRIJEM	\N	124	29884	UROK	\N	\N
3467957	3983	1997-09-30	PRIJEM	\N	123	30918	UROK	\N	\N
3467958	3983	1997-10-31	PRIJEM	\N	122	30252	UROK	\N	\N
3467959	3983	1997-11-30	PRIJEM	\N	117	28881	UROK	\N	\N
3467960	3983	1997-12-31	PRIJEM	\N	132	33837	UROK	\N	\N
3467961	3983	1998-01-31	PRIJEM	\N	137	33886	UROK	\N	\N
3467962	3983	1998-02-28	PRIJEM	\N	152	39050	UROK	\N	\N
3467963	3983	1998-03-31	PRIJEM	\N	145	34906	UROK	\N	\N
3467964	3983	1998-04-30	PRIJEM	\N	145	36563	UROK	\N	\N
3467965	3983	1998-05-31	PRIJEM	\N	153	38527	UROK	\N	\N
3467966	3983	1998-06-30	PRIJEM	\N	113	24065	UROK	\N	\N
3467967	3983	1998-07-31	PRIJEM	\N	109	28485	UROK	\N	\N
3467968	3983	1998-08-31	PRIJEM	\N	130	33526	UROK	\N	\N
3467969	3983	1998-09-30	PRIJEM	\N	139	33476	UROK	\N	\N
3467970	3983	1998-10-31	PRIJEM	\N	140	35428	UROK	\N	\N
3467971	3983	1998-11-30	PRIJEM	\N	146	36785	UROK	\N	\N
3467972	3983	1998-12-31	PRIJEM	\N	184	47293	UROK	\N	\N
3467973	3988	1997-05-31	PRIJEM	\N	27	12419	UROK	\N	\N
3467974	3988	1997-06-30	PRIJEM	\N	61	15480	UROK	\N	\N
3467975	3988	1997-07-31	PRIJEM	\N	116	29368	UROK	\N	\N
3467976	3988	1997-08-31	PRIJEM	\N	129	32483	UROK	\N	\N
3467977	3988	1997-09-30	PRIJEM	\N	146	38014	UROK	\N	\N
3467978	3988	1997-10-31	PRIJEM	\N	155	37853	UROK	\N	\N
3467979	3988	1997-11-30	PRIJEM	\N	155	36944	UROK	\N	\N
3467980	3988	1997-12-31	PRIJEM	\N	147	31027	UROK	\N	\N
3467981	3988	1998-01-31	PRIJEM	\N	105	25117	UROK	\N	\N
3467982	3988	1998-02-28	PRIJEM	\N	107	26410	UROK	\N	\N
3467983	3988	1998-03-31	PRIJEM	\N	127	30622	UROK	\N	\N
3467984	3988	1998-04-30	PRIJEM	\N	129	31037	UROK	\N	\N
3467985	3988	1998-05-31	PRIJEM	\N	146	43615	UROK	\N	\N
3467986	3988	1998-06-30	PRIJEM	\N	129	22629	UROK	\N	\N
3467987	3988	1998-07-31	PRIJEM	\N	97	28961	UROK	\N	\N
3467988	3988	1998-08-31	PRIJEM	\N	126	34472	UROK	\N	\N
3467989	3988	1998-09-30	PRIJEM	\N	144	36201	UROK	\N	\N
3467990	3988	1998-10-31	PRIJEM	\N	181	43475	UROK	\N	\N
3467991	3988	1998-11-30	PRIJEM	\N	179	39239	UROK	\N	\N
3467992	3988	1998-12-31	PRIJEM	\N	159	37783	UROK	\N	\N
3467993	3997	1994-02-28	PRIJEM	\N	43	17061	UROK	\N	\N
3467994	3997	1994-03-31	PRIJEM	\N	93	26172	UROK	\N	\N
3467995	3997	1994-04-30	PRIJEM	\N	123	31813	UROK	\N	\N
3467996	3997	1994-05-31	PRIJEM	\N	133	32063	UROK	\N	\N
3467997	3997	1994-06-30	PRIJEM	\N	143	35733	UROK	\N	\N
3467998	3997	1994-07-31	PRIJEM	\N	145	32481	UROK	\N	\N
3467999	3997	1994-08-31	PRIJEM	\N	134	32119	UROK	\N	\N
3468000	3997	1994-09-30	PRIJEM	\N	149	37671	UROK	\N	\N
3468001	3997	1994-10-31	PRIJEM	\N	163	39937	UROK	\N	\N
3468002	3997	1994-11-30	PRIJEM	\N	166	38907	UROK	\N	\N
3468003	3997	1994-12-31	PRIJEM	\N	178	44197	UROK	\N	\N
3468004	3997	1995-01-31	PRIJEM	\N	165	31165	UROK	\N	\N
3468005	3997	1995-02-28	PRIJEM	\N	132	33100	UROK	\N	\N
3468006	3997	1995-03-31	PRIJEM	\N	146	36250	UROK	\N	\N
3468007	3997	1995-04-30	PRIJEM	\N	148	34501	UROK	\N	\N
3468008	3997	1995-05-31	PRIJEM	\N	144	35849	UROK	\N	\N
3468009	3997	1995-06-30	PRIJEM	\N	151	26913	UROK	\N	\N
3468010	3997	1995-07-31	PRIJEM	\N	116	28532	UROK	\N	\N
3468011	3997	1995-08-31	PRIJEM	\N	115	29251	UROK	\N	\N
3468012	3997	1995-09-30	PRIJEM	\N	117	30072	UROK	\N	\N
3468013	3997	1995-10-31	PRIJEM	\N	130	32105	UROK	\N	\N
3468014	3997	1995-11-30	PRIJEM	\N	127	31535	UROK	\N	\N
3468015	3997	1995-12-31	PRIJEM	\N	140	37188	UROK	\N	\N
3468016	3997	1996-01-31	PRIJEM	\N	98	20789	UROK	\N	\N
3468017	3997	1996-02-29	PRIJEM	\N	108	29101	UROK	\N	\N
3468018	3997	1996-03-31	PRIJEM	\N	108	24112	UROK	\N	\N
3468019	3997	1996-04-30	PRIJEM	\N	101	22616	UROK	\N	\N
3468020	3997	1996-05-31	PRIJEM	\N	113	29633	UROK	\N	\N
3468021	3997	1996-06-30	PRIJEM	\N	137	35082	UROK	\N	\N
3468022	3997	1996-07-31	PRIJEM	\N	119	26605	UROK	\N	\N
3468023	3997	1996-08-31	PRIJEM	\N	99	21508	UROK	\N	\N
3468024	3997	1996-09-30	PRIJEM	\N	89	21300	UROK	\N	\N
3468025	3997	1996-10-31	PRIJEM	\N	88	23291	UROK	\N	\N
3468026	3997	1996-11-30	PRIJEM	\N	95	21990	UROK	\N	\N
3468027	3997	1996-12-31	PRIJEM	\N	114	22216	UROK	\N	\N
3468028	3997	1997-01-31	PRIJEM	\N	85	15104	UROK	\N	\N
3468029	3997	1997-02-28	PRIJEM	\N	63	23170	UROK	\N	\N
3468030	3997	1997-03-31	PRIJEM	\N	91	14964	UROK	\N	\N
3468031	3997	1997-04-30	PRIJEM	\N	74	19741	UROK	\N	\N
3468032	3997	1997-05-31	PRIJEM	\N	90	25334	UROK	\N	\N
3468033	3997	1997-06-30	PRIJEM	\N	117	28264	UROK	\N	\N
3468034	3997	1997-07-31	PRIJEM	\N	132	34399	UROK	\N	\N
3468035	3997	1997-08-31	PRIJEM	\N	123	15026	UROK	\N	\N
3468036	3997	1997-09-30	PRIJEM	\N	62	23091	UROK	\N	\N
3468037	3997	1997-10-31	PRIJEM	\N	96	29190	UROK	\N	\N
3468038	3997	1997-11-30	PRIJEM	\N	102	13295	UROK	\N	\N
3468039	3997	1997-12-31	PRIJEM	\N	76	23384	UROK	\N	\N
3468040	3997	1998-01-31	PRIJEM	\N	74	16661	UROK	\N	\N
3468041	3997	1998-02-28	PRIJEM	\N	68	24733	UROK	\N	\N
3468042	3997	1998-03-31	PRIJEM	\N	104	26040	UROK	\N	\N
3468043	3997	1998-04-30	PRIJEM	\N	126	33669	UROK	\N	\N
3468044	3997	1998-05-31	PRIJEM	\N	116	17688	UROK	\N	\N
3468045	3997	1998-06-30	PRIJEM	\N	66	14367	UROK	\N	\N
3468046	3997	1998-07-31	PRIJEM	\N	58	22429	UROK	\N	\N
3468047	3997	1998-08-31	PRIJEM	\N	100	26332	UROK	\N	\N
3468048	3997	1998-09-30	PRIJEM	\N	92	14727	UROK	\N	\N
3468049	3997	1998-10-31	PRIJEM	\N	59	22790	UROK	\N	\N
3468050	3997	1998-11-30	PRIJEM	\N	93	30886	UROK	\N	\N
3468051	3997	1998-12-31	PRIJEM	\N	156	42555	UROK	\N	\N
3468052	4000	1993-08-31	PRIJEM	\N	6	3006	UROK	\N	\N
3468053	4000	1993-09-30	PRIJEM	\N	44	16550	UROK	\N	\N
3468054	4000	1993-10-31	PRIJEM	\N	83	23233	UROK	\N	\N
3468055	4000	1993-11-30	PRIJEM	\N	101	25619	UROK	\N	\N
3468056	4000	1993-12-31	PRIJEM	\N	104	29564	UROK	\N	\N
3468057	4000	1994-01-31	PRIJEM	\N	126	39941	UROK	\N	\N
3468058	4000	1994-02-28	PRIJEM	\N	166	40843	UROK	\N	\N
3468059	4000	1994-03-31	PRIJEM	\N	145	32973	UROK	\N	\N
3468060	4000	1994-04-30	PRIJEM	\N	243	51206	UROK	\N	\N
3468061	4000	1994-05-31	PRIJEM	\N	212	40003	UROK	\N	\N
3468062	4000	1994-06-30	PRIJEM	\N	110	25799	UROK	\N	\N
3468063	4000	1994-07-31	PRIJEM	\N	110	25095	UROK	\N	\N
3468064	4000	1994-08-31	PRIJEM	\N	105	26035	UROK	\N	\N
3468065	4000	1994-09-30	PRIJEM	\N	112	28233	UROK	\N	\N
3468066	4000	1994-10-31	PRIJEM	\N	119	27037	UROK	\N	\N
3468067	4000	1994-11-30	PRIJEM	\N	115	27638	UROK	\N	\N
3468068	4000	1994-12-31	PRIJEM	\N	114	27438	UROK	\N	\N
3468069	4000	1995-01-31	PRIJEM	\N	101	24074	UROK	\N	\N
3468070	4000	1995-02-28	PRIJEM	\N	104	26263	UROK	\N	\N
3468071	4000	1995-03-31	PRIJEM	\N	113	28562	UROK	\N	\N
3468072	4000	1995-04-30	PRIJEM	\N	121	28668	UROK	\N	\N
3468073	4000	1995-05-31	PRIJEM	\N	122	29876	UROK	\N	\N
3468074	4000	1995-06-30	PRIJEM	\N	108	27369	UROK	\N	\N
3468075	4000	1995-07-31	PRIJEM	\N	264	55531	UROK	\N	\N
3468076	4000	1995-08-31	PRIJEM	\N	218	44835	UROK	\N	\N
3468077	4000	1995-09-30	PRIJEM	\N	181	40601	UROK	\N	\N
3468078	4000	1995-10-31	PRIJEM	\N	164	37051	UROK	\N	\N
3468079	4000	1995-11-30	PRIJEM	\N	153	36289	UROK	\N	\N
3468080	4000	1995-12-31	PRIJEM	\N	148	39572	UROK	\N	\N
3468081	4000	1996-01-31	PRIJEM	\N	158	36316	UROK	\N	\N
3468082	4000	1996-02-29	PRIJEM	\N	154	36355	UROK	\N	\N
3468083	4000	1996-03-31	PRIJEM	\N	150	35990	UROK	\N	\N
3468084	4000	1996-04-30	PRIJEM	\N	155	55927	UROK	\N	\N
3468085	4000	1996-05-31	PRIJEM	\N	235	50048	UROK	\N	\N
3468086	4000	1996-06-30	PRIJEM	\N	172	34855	UROK	\N	\N
3468087	4000	1996-07-31	PRIJEM	\N	196	54748	UROK	\N	\N
3468088	4000	1996-08-31	PRIJEM	\N	220	51354	UROK	\N	\N
3468089	4000	1996-09-30	PRIJEM	\N	209	49748	UROK	\N	\N
3468090	4000	1996-10-31	PRIJEM	\N	203	48836	UROK	\N	\N
3468091	4000	1996-11-30	PRIJEM	\N	200	49422	UROK	\N	\N
3468092	4000	1996-12-31	PRIJEM	\N	204	50011	UROK	\N	\N
3468093	4000	1997-01-31	PRIJEM	\N	191	45037	UROK	\N	\N
3468094	4000	1997-02-28	PRIJEM	\N	191	48013	UROK	\N	\N
3468095	4000	1997-03-31	PRIJEM	\N	211	53709	UROK	\N	\N
3468096	4000	1997-04-30	PRIJEM	\N	227	56421	UROK	\N	\N
3468097	4000	1997-05-31	PRIJEM	\N	234	57641	UROK	\N	\N
3468098	4000	1997-06-30	PRIJEM	\N	223	30899	UROK	\N	\N
3468099	4000	1997-07-31	PRIJEM	\N	168	51949	UROK	\N	\N
3468100	4000	1997-08-31	PRIJEM	\N	311	77201	UROK	\N	\N
3468101	4000	1997-09-30	PRIJEM	\N	321	78908	UROK	\N	\N
3468102	4000	1997-10-31	PRIJEM	\N	332	81825	UROK	\N	\N
3468103	4000	1997-11-30	PRIJEM	\N	340	83551	UROK	\N	\N
3468104	4000	1997-12-31	PRIJEM	\N	341	81977	UROK	\N	\N
3468105	4000	1998-01-31	PRIJEM	\N	339	80402	UROK	\N	\N
3468106	4000	1998-02-28	PRIJEM	\N	341	85428	UROK	\N	\N
3468107	4000	1998-03-31	PRIJEM	\N	363	91177	UROK	\N	\N
3468108	4000	1998-04-30	PRIJEM	\N	382	94444	UROK	\N	\N
3468109	4000	1998-05-31	PRIJEM	\N	391	95720	UROK	\N	\N
3468110	4000	1998-06-30	PRIJEM	\N	328	63197	UROK	\N	\N
3468111	4000	1998-07-31	PRIJEM	\N	321	94517	UROK	\N	\N
3468112	4000	1998-08-31	PRIJEM	\N	395	96497	UROK	\N	\N
3468113	4000	1998-09-30	PRIJEM	\N	407	101089	UROK	\N	\N
3468114	4000	1998-10-31	PRIJEM	\N	415	100989	UROK	\N	\N
3468115	4000	1998-11-30	PRIJEM	\N	426	106001	UROK	\N	\N
3468116	4000	1998-12-31	PRIJEM	\N	433	106119	UROK	\N	\N
3468117	4001	1995-12-31	PRIJEM	\N	2	15802	UROK	\N	\N
3468118	4001	1996-02-29	PRIJEM	\N	69	15271	UROK	\N	\N
3468119	4001	1996-02-29	PRIJEM	\N	65	15336	UROK	\N	\N
3468120	4001	1996-03-31	PRIJEM	\N	65	13200	UROK	\N	\N
3468121	4001	1996-04-30	PRIJEM	\N	65	15765	UROK	\N	\N
3468122	4001	1996-05-31	PRIJEM	\N	65	17630	UROK	\N	\N
3468123	4001	1996-06-30	PRIJEM	\N	65	21794	UROK	\N	\N
3468124	4001	1996-07-31	PRIJEM	\N	65	17559	UROK	\N	\N
3468125	4001	1996-08-31	PRIJEM	\N	65	17723	UROK	\N	\N
3468126	4001	1996-09-30	PRIJEM	\N	65	18388	UROK	\N	\N
3468127	4001	1996-10-31	PRIJEM	\N	65	17552	UROK	\N	\N
3468128	4001	1996-11-30	PRIJEM	\N	65	14517	UROK	\N	\N
3468129	4001	1996-12-31	PRIJEM	\N	65	16182	UROK	\N	\N
3468130	4001	1997-01-31	PRIJEM	\N	65	12846	UROK	\N	\N
3468131	4001	1997-02-28	PRIJEM	\N	65	14811	UROK	\N	\N
3468132	4001	1997-03-31	PRIJEM	\N	65	17175	UROK	\N	\N
3468133	4001	1997-04-30	PRIJEM	\N	65	20940	UROK	\N	\N
3468134	4001	1997-05-31	PRIJEM	\N	65	21605	UROK	\N	\N
3468135	4001	1997-06-30	PRIJEM	\N	65	23869	UROK	\N	\N
3468136	4001	1997-07-31	PRIJEM	\N	65	25834	UROK	\N	\N
3468137	4001	1997-08-31	PRIJEM	\N	65	26498	UROK	\N	\N
3468138	4001	1997-09-30	PRIJEM	\N	65	25663	UROK	\N	\N
3468139	4001	1997-10-31	PRIJEM	\N	65	22328	UROK	\N	\N
3468140	4001	1997-11-30	PRIJEM	\N	65	20992	UROK	\N	\N
3468141	4001	1997-12-31	PRIJEM	\N	65	21657	UROK	\N	\N
3468142	4001	1998-01-31	PRIJEM	\N	65	22021	UROK	\N	\N
3468143	4001	1998-02-28	PRIJEM	\N	65	21586	UROK	\N	\N
3468144	4001	1998-03-31	PRIJEM	\N	65	20151	UROK	\N	\N
3468145	4001	1998-04-30	PRIJEM	\N	65	18615	UROK	\N	\N
3468146	4001	1998-05-31	PRIJEM	\N	65	16980	UROK	\N	\N
3468147	4001	1998-06-30	PRIJEM	\N	65	17344	UROK	\N	\N
3468148	4001	1998-07-31	PRIJEM	\N	65	16909	UROK	\N	\N
3468149	4001	1998-08-31	PRIJEM	\N	65	14973	UROK	\N	\N
3468150	4001	1998-09-30	PRIJEM	\N	65	15738	UROK	\N	\N
3468151	4001	1998-10-31	PRIJEM	\N	65	14603	UROK	\N	\N
3468152	4001	1998-11-30	PRIJEM	\N	65	16467	UROK	\N	\N
3468153	4009	1994-03-31	PRIJEM	\N	34	25287	UROK	\N	\N
3468154	4009	1994-04-30	PRIJEM	\N	123	38263	UROK	\N	\N
3468155	4009	1994-05-31	PRIJEM	\N	165	42181	UROK	\N	\N
3468156	4009	1994-06-30	PRIJEM	\N	189	51600	UROK	\N	\N
3468157	4009	1994-07-31	PRIJEM	\N	217	53170	UROK	\N	\N
3468158	4009	1994-08-31	PRIJEM	\N	221	53029	UROK	\N	\N
3468159	4009	1994-09-30	PRIJEM	\N	220	52687	UROK	\N	\N
3468160	4009	1994-10-31	PRIJEM	\N	219	52645	UROK	\N	\N
3468161	4009	1994-11-30	PRIJEM	\N	244	48508	UROK	\N	\N
3468162	4009	1994-12-31	PRIJEM	\N	252	54055	UROK	\N	\N
3468163	4009	1995-01-31	PRIJEM	\N	210	35083	UROK	\N	\N
3468164	4009	1995-02-28	PRIJEM	\N	162	42784	UROK	\N	\N
3468165	4009	1995-03-31	PRIJEM	\N	189	48211	UROK	\N	\N
3468166	4009	1995-04-30	PRIJEM	\N	189	42218	UROK	\N	\N
3468167	4009	1995-05-31	PRIJEM	\N	212	45128	UROK	\N	\N
3468168	4009	1995-06-30	PRIJEM	\N	206	39089	UROK	\N	\N
3468169	4009	1995-07-31	PRIJEM	\N	168	41795	UROK	\N	\N
3468170	4009	1995-08-31	PRIJEM	\N	186	46919	UROK	\N	\N
3468171	4009	1995-09-30	PRIJEM	\N	201	44959	UROK	\N	\N
3468172	4009	1995-10-31	PRIJEM	\N	191	45928	UROK	\N	\N
3468173	4009	1995-11-30	PRIJEM	\N	197	48024	UROK	\N	\N
3468174	4009	1995-12-31	PRIJEM	\N	252	57131	UROK	\N	\N
3468175	4009	1996-01-31	PRIJEM	\N	204	33254	UROK	\N	\N
3468176	4009	1996-02-29	PRIJEM	\N	168	44060	UROK	\N	\N
3468177	4009	1996-03-31	PRIJEM	\N	203	51401	UROK	\N	\N
3468178	4009	1996-04-30	PRIJEM	\N	222	54662	UROK	\N	\N
3468179	4009	1996-05-31	PRIJEM	\N	219	52219	UROK	\N	\N
3468180	4009	1996-06-30	PRIJEM	\N	215	51549	UROK	\N	\N
3468181	4009	1996-07-31	PRIJEM	\N	212	51300	UROK	\N	\N
3468182	4009	1996-08-31	PRIJEM	\N	210	50748	UROK	\N	\N
3468183	4009	1996-09-30	PRIJEM	\N	196	44162	UROK	\N	\N
3468184	4009	1996-10-31	PRIJEM	\N	190	46591	UROK	\N	\N
3468185	4009	1996-11-30	PRIJEM	\N	185	46034	UROK	\N	\N
3468186	4009	1996-12-31	PRIJEM	\N	207	41717	UROK	\N	\N
3468187	4009	1997-01-31	PRIJEM	\N	204	40759	UROK	\N	\N
3468188	4009	1997-02-28	PRIJEM	\N	224	52201	UROK	\N	\N
3468189	4009	1997-03-31	PRIJEM	\N	299	53139	UROK	\N	\N
3468190	4009	1997-04-30	PRIJEM	\N	260	64937	UROK	\N	\N
3468191	4009	1997-05-31	PRIJEM	\N	288	70863	UROK	\N	\N
3468192	4009	1997-06-30	PRIJEM	\N	318	74137	UROK	\N	\N
3468193	4009	1997-07-31	PRIJEM	\N	310	68124	UROK	\N	\N
3468194	4009	1997-08-31	PRIJEM	\N	296	72759	UROK	\N	\N
3468195	4009	1997-09-30	PRIJEM	\N	313	76711	UROK	\N	\N
3468196	4009	1997-10-31	PRIJEM	\N	322	78471	UROK	\N	\N
3468197	4009	1997-11-30	PRIJEM	\N	329	80339	UROK	\N	\N
3468198	4009	1997-12-31	PRIJEM	\N	371	90285	UROK	\N	\N
3468199	4009	1998-01-31	PRIJEM	\N	295	53239	UROK	\N	\N
3468200	4009	1998-02-28	PRIJEM	\N	222	78199	UROK	\N	\N
3468201	4009	1998-03-31	PRIJEM	\N	328	77565	UROK	\N	\N
3468202	4009	1998-04-30	PRIJEM	\N	323	83327	UROK	\N	\N
3468203	4009	1998-05-31	PRIJEM	\N	252	67017	UROK	\N	\N
3468204	4009	1998-06-30	PRIJEM	\N	333	61945	UROK	\N	\N
3468205	4009	1998-07-31	PRIJEM	\N	253	59456	UROK	\N	\N
3468206	4009	1998-08-31	PRIJEM	\N	305	57099	UROK	\N	\N
3468207	4009	1998-09-30	PRIJEM	\N	234	58372	UROK	\N	\N
3468208	4009	1998-10-31	PRIJEM	\N	239	59649	UROK	\N	\N
3468209	4009	1998-11-30	PRIJEM	\N	300	54587	UROK	\N	\N
3468210	4009	1998-12-31	PRIJEM	\N	264	89066	UROK	\N	\N
3468211	4055	1993-02-28	PRIJEM	\N	21	23602	UROK	\N	\N
3468212	4055	1993-03-31	PRIJEM	\N	110	36293	UROK	\N	\N
3468213	4055	1993-04-30	PRIJEM	\N	155	40329	UROK	\N	\N
3468214	4055	1993-05-31	PRIJEM	\N	171	43581	UROK	\N	\N
3468215	4055	1993-06-30	PRIJEM	\N	187	48689	UROK	\N	\N
3468216	4055	1993-07-31	PRIJEM	\N	200	46355	UROK	\N	\N
3468217	4055	1993-08-31	PRIJEM	\N	211	44772	UROK	\N	\N
3468218	4055	1993-09-30	PRIJEM	\N	184	42922	UROK	\N	\N
3468219	4055	1993-10-31	PRIJEM	\N	186	44714	UROK	\N	\N
3468220	4055	1993-11-30	PRIJEM	\N	186	44667	UROK	\N	\N
3468221	4055	1993-12-31	PRIJEM	\N	218	50652	UROK	\N	\N
3468222	4055	1994-01-31	PRIJEM	\N	186	27724	UROK	\N	\N
3468223	4055	1994-02-28	PRIJEM	\N	132	37722	UROK	\N	\N
3468224	4055	1994-03-31	PRIJEM	\N	160	37888	UROK	\N	\N
3468225	4055	1994-04-30	PRIJEM	\N	163	41518	UROK	\N	\N
3468226	4055	1994-05-31	PRIJEM	\N	191	41635	UROK	\N	\N
3468227	4055	1994-06-30	PRIJEM	\N	169	37131	UROK	\N	\N
3468228	4055	1994-07-31	PRIJEM	\N	162	41560	UROK	\N	\N
3468229	4055	1994-08-31	PRIJEM	\N	172	41298	UROK	\N	\N
3468230	4055	1994-09-30	PRIJEM	\N	177	43841	UROK	\N	\N
3468231	4055	1994-10-31	PRIJEM	\N	185	45392	UROK	\N	\N
3468232	4055	1994-11-30	PRIJEM	\N	179	39398	UROK	\N	\N
3468233	4055	1994-12-31	PRIJEM	\N	170	41294	UROK	\N	\N
3468234	4055	1995-01-31	PRIJEM	\N	157	22697	UROK	\N	\N
3468235	4055	1995-02-28	PRIJEM	\N	113	30676	UROK	\N	\N
3468236	4055	1995-03-31	PRIJEM	\N	135	34177	UROK	\N	\N
3468237	4055	1995-04-30	PRIJEM	\N	131	30815	UROK	\N	\N
3468238	4055	1995-05-31	PRIJEM	\N	132	28533	UROK	\N	\N
3468239	4055	1995-06-30	PRIJEM	\N	137	31877	UROK	\N	\N
3468240	4055	1995-07-31	PRIJEM	\N	136	33699	UROK	\N	\N
3468241	4055	1995-08-31	PRIJEM	\N	147	29413	UROK	\N	\N
3468242	4055	1995-09-30	PRIJEM	\N	160	44139	UROK	\N	\N
3468243	4055	1995-10-31	PRIJEM	\N	189	46594	UROK	\N	\N
3468244	4055	1995-11-30	PRIJEM	\N	205	51265	UROK	\N	\N
3468245	4055	1995-12-31	PRIJEM	\N	239	59030	UROK	\N	\N
3468246	4055	1996-01-31	PRIJEM	\N	198	37195	UROK	\N	\N
3468247	4055	1996-02-29	PRIJEM	\N	177	46639	UROK	\N	\N
3468248	4055	1996-03-31	PRIJEM	\N	196	44841	UROK	\N	\N
3468249	4055	1996-04-30	PRIJEM	\N	195	48902	UROK	\N	\N
3468250	4055	1996-05-31	PRIJEM	\N	203	49672	UROK	\N	\N
3468251	4055	1996-06-30	PRIJEM	\N	165	33404	UROK	\N	\N
3468252	4055	1996-07-31	PRIJEM	\N	161	42331	UROK	\N	\N
3468253	4055	1996-08-31	PRIJEM	\N	172	41769	UROK	\N	\N
3468254	4055	1996-09-30	PRIJEM	\N	172	41907	UROK	\N	\N
3468255	4055	1996-10-31	PRIJEM	\N	169	40943	UROK	\N	\N
3468256	4055	1996-11-30	PRIJEM	\N	175	43684	UROK	\N	\N
3468257	4055	1996-12-31	PRIJEM	\N	202	52273	UROK	\N	\N
3468258	4055	1997-01-31	PRIJEM	\N	178	27757	UROK	\N	\N
3468259	4055	1997-02-28	PRIJEM	\N	128	33851	UROK	\N	\N
3468260	4055	1997-03-31	PRIJEM	\N	148	37326	UROK	\N	\N
3468261	4055	1997-04-30	PRIJEM	\N	154	34466	UROK	\N	\N
3468262	4055	1997-05-31	PRIJEM	\N	133	28305	UROK	\N	\N
3468263	4055	1997-06-30	PRIJEM	\N	142	30214	UROK	\N	\N
3468264	4055	1997-07-31	PRIJEM	\N	127	32207	UROK	\N	\N
3468265	4055	1997-08-31	PRIJEM	\N	140	35913	UROK	\N	\N
3468266	4055	1997-09-30	PRIJEM	\N	146	38726	UROK	\N	\N
3468267	4055	1997-10-31	PRIJEM	\N	153	25145	UROK	\N	\N
3468268	4055	1997-11-30	PRIJEM	\N	100	26412	UROK	\N	\N
3468269	4055	1997-12-31	PRIJEM	\N	133	32172	UROK	\N	\N
3468270	4055	1998-01-31	PRIJEM	\N	155	21093	UROK	\N	\N
3468271	4055	1998-02-28	PRIJEM	\N	118	20578	UROK	\N	\N
3468272	4055	1998-03-31	PRIJEM	\N	80	20424	UROK	\N	\N
3468273	4055	1998-04-30	PRIJEM	\N	78	16568	UROK	\N	\N
3468274	4055	1998-05-31	PRIJEM	\N	82	14477	UROK	\N	\N
3468275	4055	1998-06-30	PRIJEM	\N	94	6297	UROK	\N	\N
3468276	4055	1998-07-31	PRIJEM	\N	22	8785	UROK	\N	\N
3468277	4055	1998-08-31	PRIJEM	\N	34	13186	UROK	\N	\N
3468278	4055	1998-09-30	PRIJEM	\N	51	16803	UROK	\N	\N
3468279	4055	1998-10-31	PRIJEM	\N	64	17233	UROK	\N	\N
3468280	4055	1998-11-30	PRIJEM	\N	66	18466	UROK	\N	\N
3468281	4055	1998-12-31	PRIJEM	\N	80	26993	UROK	\N	\N
3468282	4069	1996-12-31	PRIJEM	\N	32	16056	UROK	\N	\N
3468283	4069	1997-01-31	PRIJEM	\N	76	20148	UROK	\N	\N
3468284	4069	1997-02-28	PRIJEM	\N	99	27763	UROK	\N	\N
3468285	4069	1997-03-31	PRIJEM	\N	125	32504	UROK	\N	\N
3468286	4069	1997-04-30	PRIJEM	\N	144	34364	UROK	\N	\N
3468287	4069	1997-05-31	PRIJEM	\N	148	36713	UROK	\N	\N
3468288	4069	1997-06-30	PRIJEM	\N	155	34278	UROK	\N	\N
3468289	4069	1997-07-31	PRIJEM	\N	132	29612	UROK	\N	\N
3468290	4069	1997-08-31	PRIJEM	\N	130	31943	UROK	\N	\N
3468291	4069	1997-09-30	PRIJEM	\N	142	35486	UROK	\N	\N
3468292	4069	1997-10-31	PRIJEM	\N	163	41550	UROK	\N	\N
3468293	4069	1997-11-30	PRIJEM	\N	184	44735	UROK	\N	\N
3468294	4069	1997-12-31	PRIJEM	\N	196	41141	UROK	\N	\N
3468295	4069	1998-01-31	PRIJEM	\N	154	33797	UROK	\N	\N
3468296	4069	1998-02-28	PRIJEM	\N	155	39553	UROK	\N	\N
3468297	4069	1998-03-31	PRIJEM	\N	180	45534	UROK	\N	\N
3468298	4069	1998-04-30	PRIJEM	\N	196	48332	UROK	\N	\N
3468299	4069	1998-05-31	PRIJEM	\N	206	50339	UROK	\N	\N
3468300	4069	1998-06-30	PRIJEM	\N	215	37464	UROK	\N	\N
3468301	4069	1998-07-31	PRIJEM	\N	194	51959	UROK	\N	\N
3468302	4069	1998-08-31	PRIJEM	\N	228	56488	UROK	\N	\N
3468303	4069	1998-09-30	PRIJEM	\N	251	61940	UROK	\N	\N
3468304	4069	1998-10-31	PRIJEM	\N	278	69720	UROK	\N	\N
3468305	4069	1998-11-30	PRIJEM	\N	302	74523	UROK	\N	\N
3468306	4069	1998-12-31	PRIJEM	\N	318	75750	UROK	\N	\N
3468307	4078	1993-03-31	PRIJEM	\N	140	50412	UROK	\N	\N
3468308	4078	1993-04-30	PRIJEM	\N	158	61606	UROK	\N	\N
3468309	4078	1993-05-31	PRIJEM	\N	171	45413	UROK	\N	\N
3468310	4078	1993-06-30	PRIJEM	\N	191	54508	UROK	\N	\N
3468311	4078	1993-07-31	PRIJEM	\N	226	52256	UROK	\N	\N
3468312	4078	1993-08-31	PRIJEM	\N	217	50494	UROK	\N	\N
3468313	4078	1993-09-30	PRIJEM	\N	211	51125	UROK	\N	\N
3468314	4078	1993-10-31	PRIJEM	\N	234	44480	UROK	\N	\N
3468315	4078	1993-11-30	PRIJEM	\N	186	45588	UROK	\N	\N
3468316	4078	1993-12-31	PRIJEM	\N	197	53874	UROK	\N	\N
3468317	4078	1994-01-31	PRIJEM	\N	246	46541	UROK	\N	\N
3468318	4078	1994-02-28	PRIJEM	\N	197	50559	UROK	\N	\N
3468319	4078	1994-03-31	PRIJEM	\N	210	50791	UROK	\N	\N
3468320	4078	1994-04-30	PRIJEM	\N	212	51124	UROK	\N	\N
3468321	4078	1994-05-31	PRIJEM	\N	254	51300	UROK	\N	\N
3468322	4078	1994-06-30	PRIJEM	\N	222	33611	UROK	\N	\N
3468323	4078	1994-07-31	PRIJEM	\N	184	41117	UROK	\N	\N
3468324	4078	1994-08-31	PRIJEM	\N	175	44313	UROK	\N	\N
3468325	4078	1994-09-30	PRIJEM	\N	185	45119	UROK	\N	\N
3468326	4078	1994-10-31	PRIJEM	\N	189	46530	UROK	\N	\N
3468327	4078	1994-11-30	PRIJEM	\N	196	48447	UROK	\N	\N
3468328	4078	1994-12-31	PRIJEM	\N	226	47362	UROK	\N	\N
3468329	4078	1995-01-31	PRIJEM	\N	190	42773	UROK	\N	\N
3468330	4078	1995-02-28	PRIJEM	\N	206	44700	UROK	\N	\N
3468331	4078	1995-03-31	PRIJEM	\N	191	48412	UROK	\N	\N
3468332	4078	1995-04-30	PRIJEM	\N	200	47534	UROK	\N	\N
3468333	4078	1995-05-31	PRIJEM	\N	194	42849	UROK	\N	\N
3468334	4078	1995-06-30	PRIJEM	\N	221	49559	UROK	\N	\N
3468335	4078	1995-07-31	PRIJEM	\N	207	50587	UROK	\N	\N
3468336	4078	1995-08-31	PRIJEM	\N	221	52429	UROK	\N	\N
3468337	4078	1995-09-30	PRIJEM	\N	221	54671	UROK	\N	\N
3468338	4078	1995-10-31	PRIJEM	\N	215	48508	UROK	\N	\N
3468339	4078	1995-11-30	PRIJEM	\N	208	52137	UROK	\N	\N
3468340	4078	1995-12-31	PRIJEM	\N	235	55660	UROK	\N	\N
3468341	4078	1996-01-31	PRIJEM	\N	212	46494	UROK	\N	\N
3468342	4078	1996-02-29	PRIJEM	\N	194	47509	UROK	\N	\N
3468343	4078	1996-03-31	PRIJEM	\N	197	48027	UROK	\N	\N
3468344	4078	1996-04-30	PRIJEM	\N	198	48246	UROK	\N	\N
3468345	4078	1996-05-31	PRIJEM	\N	209	52877	UROK	\N	\N
3468346	4078	1996-06-30	PRIJEM	\N	217	39383	UROK	\N	\N
3468347	4078	1996-07-31	PRIJEM	\N	193	51797	UROK	\N	\N
3468348	4078	1996-08-31	PRIJEM	\N	214	50233	UROK	\N	\N
3468349	4078	1996-09-30	PRIJEM	\N	213	50867	UROK	\N	\N
3468350	4078	1996-10-31	PRIJEM	\N	245	49433	UROK	\N	\N
3468351	4078	1996-11-30	PRIJEM	\N	237	61992	UROK	\N	\N
3468352	4078	1996-12-31	PRIJEM	\N	314	82195	UROK	\N	\N
3468353	4078	1997-01-31	PRIJEM	\N	321	73237	UROK	\N	\N
3468354	4078	1997-02-28	PRIJEM	\N	309	76167	UROK	\N	\N
3468355	4078	1997-03-31	PRIJEM	\N	320	78608	UROK	\N	\N
3468356	4078	1997-04-30	PRIJEM	\N	324	81053	UROK	\N	\N
3468357	4078	1997-05-31	PRIJEM	\N	331	80506	UROK	\N	\N
3468358	4078	1997-06-30	PRIJEM	\N	323	67218	UROK	\N	\N
3468359	4078	1997-07-31	PRIJEM	\N	298	75337	UROK	\N	\N
3468360	4078	1997-08-31	PRIJEM	\N	323	79381	UROK	\N	\N
3468361	4078	1997-09-30	PRIJEM	\N	348	87550	UROK	\N	\N
3468362	4078	1997-10-31	PRIJEM	\N	368	90639	UROK	\N	\N
3468363	4078	1997-11-30	PRIJEM	\N	375	91535	UROK	\N	\N
3468364	4078	1997-12-31	PRIJEM	\N	414	105238	UROK	\N	\N
3468365	4078	1998-01-31	PRIJEM	\N	372	87631	UROK	\N	\N
3468366	4078	1998-02-28	PRIJEM	\N	375	93328	UROK	\N	\N
3468367	4078	1998-03-31	PRIJEM	\N	395	97944	UROK	\N	\N
3468368	4078	1998-04-30	PRIJEM	\N	402	98367	UROK	\N	\N
3468369	4078	1998-05-31	PRIJEM	\N	395	95583	UROK	\N	\N
3468370	4078	1998-06-30	PRIJEM	\N	427	95600	UROK	\N	\N
3468371	4078	1998-07-31	PRIJEM	\N	392	96313	UROK	\N	\N
3468372	4078	1998-08-31	PRIJEM	\N	406	101041	UROK	\N	\N
3468373	4078	1998-09-30	PRIJEM	\N	421	103784	UROK	\N	\N
3468374	4078	1998-10-31	PRIJEM	\N	435	108940	UROK	\N	\N
3468375	4078	1998-11-30	PRIJEM	\N	343	107504	UROK	\N	\N
3468376	4078	1998-12-31	PRIJEM	\N	468	117561	UROK	\N	\N
3468377	4086	1996-08-31	PRIJEM	\N	75	35132	UROK	\N	\N
3468378	4086	1996-09-30	PRIJEM	\N	180	50369	UROK	\N	\N
3468379	4086	1996-10-31	PRIJEM	\N	231	60057	UROK	\N	\N
3468380	4086	1996-11-30	PRIJEM	\N	253	61567	UROK	\N	\N
3468381	4086	1996-12-31	PRIJEM	\N	249	21254	UROK	\N	\N
3468382	4086	1997-01-31	PRIJEM	\N	138	25734	UROK	\N	\N
3468383	4086	1997-02-28	PRIJEM	\N	198	46874	UROK	\N	\N
3468384	4086	1997-03-31	PRIJEM	\N	239	52055	UROK	\N	\N
3468385	4086	1997-04-30	PRIJEM	\N	244	52091	UROK	\N	\N
3468386	4086	1997-05-31	PRIJEM	\N	224	55358	UROK	\N	\N
3468387	4086	1997-06-30	PRIJEM	\N	253	42980	UROK	\N	\N
3468388	4086	1997-07-31	PRIJEM	\N	155	35554	UROK	\N	\N
3468389	4086	1997-08-31	PRIJEM	\N	171	41967	UROK	\N	\N
3468390	4086	1997-09-30	PRIJEM	\N	167	41877	UROK	\N	\N
3468391	4086	1997-10-31	PRIJEM	\N	162	34280	UROK	\N	\N
3468392	4086	1997-11-30	PRIJEM	\N	163	41186	UROK	\N	\N
3468393	4086	1997-12-31	PRIJEM	\N	146	26498	UROK	\N	\N
3468394	4086	1998-01-31	PRIJEM	\N	119	24759	UROK	\N	\N
3468395	4086	1998-02-28	PRIJEM	\N	119	28121	UROK	\N	\N
3468396	4086	1998-03-31	PRIJEM	\N	175	25745	UROK	\N	\N
3468397	4086	1998-04-30	PRIJEM	\N	139	33456	UROK	\N	\N
3468398	4086	1998-05-31	PRIJEM	\N	143	35142	UROK	\N	\N
3468399	4086	1998-06-30	PRIJEM	\N	163	39827	UROK	\N	\N
3468400	4086	1998-07-31	PRIJEM	\N	145	29314	UROK	\N	\N
3468401	4086	1998-08-31	PRIJEM	\N	264	33720	UROK	\N	\N
3468402	4086	1998-09-30	PRIJEM	\N	226	59288	UROK	\N	\N
3468403	4086	1998-10-31	PRIJEM	\N	202	33886	UROK	\N	\N
3468404	4086	1998-11-30	PRIJEM	\N	145	76373	UROK	\N	\N
3468405	4086	1998-12-31	PRIJEM	\N	361	82621	UROK	\N	\N
3468406	4090	1998-10-31	PRIJEM	\N	3	20503	UROK	\N	\N
3468407	4092	1996-04-30	PRIJEM	\N	50	18942	UROK	\N	\N
3468408	4092	1996-05-31	PRIJEM	\N	104	28438	UROK	\N	\N
3468409	4092	1996-06-30	PRIJEM	\N	146	38572	UROK	\N	\N
3468410	4092	1996-07-31	PRIJEM	\N	154	36518	UROK	\N	\N
3468411	4092	1996-08-31	PRIJEM	\N	145	34356	UROK	\N	\N
3468412	4092	1996-09-30	PRIJEM	\N	146	35278	UROK	\N	\N
3468413	4092	1996-10-31	PRIJEM	\N	145	34901	UROK	\N	\N
3468414	4092	1996-11-30	PRIJEM	\N	138	32817	UROK	\N	\N
3468415	4092	1996-12-31	PRIJEM	\N	141	32451	UROK	\N	\N
3468416	4092	1997-01-31	PRIJEM	\N	131	29619	UROK	\N	\N
3468417	4092	1997-02-28	PRIJEM	\N	135	33031	UROK	\N	\N
3468418	4092	1997-03-31	PRIJEM	\N	156	38864	UROK	\N	\N
3468419	4092	1997-04-30	PRIJEM	\N	157	37699	UROK	\N	\N
3468420	4092	1997-05-31	PRIJEM	\N	150	34867	UROK	\N	\N
3468421	4092	1997-06-30	PRIJEM	\N	154	34194	UROK	\N	\N
3468422	4092	1997-07-31	PRIJEM	\N	165	40836	UROK	\N	\N
3468423	4092	1997-08-31	PRIJEM	\N	184	44797	UROK	\N	\N
3468424	4092	1997-09-30	PRIJEM	\N	221	51635	UROK	\N	\N
3468425	4092	1997-10-31	PRIJEM	\N	239	58451	UROK	\N	\N
3468426	4092	1997-11-30	PRIJEM	\N	233	54721	UROK	\N	\N
3468427	4092	1997-12-31	PRIJEM	\N	262	62797	UROK	\N	\N
3468428	4092	1998-01-31	PRIJEM	\N	243	52757	UROK	\N	\N
3468429	4092	1998-02-28	PRIJEM	\N	260	64395	UROK	\N	\N
3468430	4092	1998-03-31	PRIJEM	\N	285	69457	UROK	\N	\N
3468431	4092	1998-04-30	PRIJEM	\N	313	76447	UROK	\N	\N
3468432	4092	1998-05-31	PRIJEM	\N	316	76341	UROK	\N	\N
3468433	4092	1998-06-30	PRIJEM	\N	242	58237	UROK	\N	\N
3468434	4092	1998-07-31	PRIJEM	\N	276	67790	UROK	\N	\N
3468435	4092	1998-08-31	PRIJEM	\N	282	68148	UROK	\N	\N
3468436	4092	1998-09-30	PRIJEM	\N	284	70909	UROK	\N	\N
3468437	4092	1998-10-31	PRIJEM	\N	295	73582	UROK	\N	\N
3468438	4092	1998-11-30	PRIJEM	\N	316	69755	UROK	\N	\N
3468439	4092	1998-12-31	PRIJEM	\N	336	82824	UROK	\N	\N
3468440	4093	1993-04-30	PRIJEM	\N	32	61346	UROK	\N	\N
3468441	4093	1993-05-31	PRIJEM	\N	234	41680	UROK	\N	\N
3468442	4093	1993-06-30	PRIJEM	\N	162	32042	UROK	\N	\N
3468443	4093	1993-07-31	PRIJEM	\N	125	24717	UROK	\N	\N
3468444	4093	1993-08-31	PRIJEM	\N	103	25856	UROK	\N	\N
3468445	4093	1993-09-30	PRIJEM	\N	110	27451	UROK	\N	\N
3468446	4093	1993-10-31	PRIJEM	\N	143	35452	UROK	\N	\N
3468447	4093	1993-11-30	PRIJEM	\N	137	28775	UROK	\N	\N
3468448	4093	1993-12-31	PRIJEM	\N	115	25775	UROK	\N	\N
3468449	4093	1994-01-31	PRIJEM	\N	101	28550	UROK	\N	\N
3468450	4093	1994-02-28	PRIJEM	\N	120	29656	UROK	\N	\N
3468451	4093	1994-03-31	PRIJEM	\N	118	26359	UROK	\N	\N
3468452	4093	1994-04-30	PRIJEM	\N	107	24852	UROK	\N	\N
3468453	4093	1994-05-31	PRIJEM	\N	104	25541	UROK	\N	\N
3468454	4093	1994-06-30	PRIJEM	\N	106	25133	UROK	\N	\N
3468455	4093	1994-07-31	PRIJEM	\N	103	23421	UROK	\N	\N
3468456	4093	1994-08-31	PRIJEM	\N	97	23103	UROK	\N	\N
3468457	4093	1994-09-30	PRIJEM	\N	102	25990	UROK	\N	\N
3468458	4093	1994-10-31	PRIJEM	\N	158	38479	UROK	\N	\N
3468459	4093	1994-11-30	PRIJEM	\N	149	33512	UROK	\N	\N
3468460	4093	1994-12-31	PRIJEM	\N	129	26077	UROK	\N	\N
3468461	4093	1995-01-31	PRIJEM	\N	88	18450	UROK	\N	\N
3468462	4093	1995-02-28	PRIJEM	\N	77	18612	UROK	\N	\N
3468463	4093	1995-03-31	PRIJEM	\N	126	40316	UROK	\N	\N
3468464	4093	1995-04-30	PRIJEM	\N	144	29996	UROK	\N	\N
3468465	4093	1995-05-31	PRIJEM	\N	116	25996	UROK	\N	\N
3468466	4093	1995-06-30	PRIJEM	\N	96	19578	UROK	\N	\N
3468467	4093	1995-07-31	PRIJEM	\N	87	21850	UROK	\N	\N
3468468	4093	1995-08-31	PRIJEM	\N	84	19819	UROK	\N	\N
3468469	4093	1995-09-30	PRIJEM	\N	82	20087	UROK	\N	\N
3468470	4093	1995-10-31	PRIJEM	\N	79	18451	UROK	\N	\N
3468471	4093	1995-11-30	PRIJEM	\N	68	15753	UROK	\N	\N
3468472	4093	1995-12-31	PRIJEM	\N	127	36055	UROK	\N	\N
3468473	4093	1996-01-31	PRIJEM	\N	91	14481	UROK	\N	\N
3468474	4093	1996-02-29	PRIJEM	\N	65	17031	UROK	\N	\N
3468475	4093	1996-03-31	PRIJEM	\N	152	73726	UROK	\N	\N
3468476	4093	1996-04-30	PRIJEM	\N	247	42558	UROK	\N	\N
3468477	4093	1996-05-31	PRIJEM	\N	136	23879	UROK	\N	\N
3468478	4093	1996-06-30	PRIJEM	\N	80	16545	UROK	\N	\N
3468479	4093	1996-07-31	PRIJEM	\N	67	16197	UROK	\N	\N
3468480	4093	1996-08-31	PRIJEM	\N	61	13843	UROK	\N	\N
3468481	4093	1996-09-30	PRIJEM	\N	56	14585	UROK	\N	\N
3468482	4093	1996-10-31	PRIJEM	\N	59	15329	UROK	\N	\N
3468483	4093	1996-11-30	PRIJEM	\N	62	16077	UROK	\N	\N
3468484	4093	1996-12-31	PRIJEM	\N	65	16828	UROK	\N	\N
3468485	4093	1997-01-31	PRIJEM	\N	66	15229	UROK	\N	\N
3468486	4093	1997-02-28	PRIJEM	\N	66	15980	UROK	\N	\N
3468487	4093	1997-03-31	PRIJEM	\N	124	22032	UROK	\N	\N
3468488	4093	1997-04-30	PRIJEM	\N	73	15191	UROK	\N	\N
3468489	4093	1997-05-31	PRIJEM	\N	61	15937	UROK	\N	\N
3468490	4093	1997-06-30	PRIJEM	\N	64	16687	UROK	\N	\N
3468491	4093	1997-07-31	PRIJEM	\N	67	16639	UROK	\N	\N
3468492	4093	1997-08-31	PRIJEM	\N	112	35172	UROK	\N	\N
3468493	4093	1997-09-30	PRIJEM	\N	88	20745	UROK	\N	\N
3468494	4093	1997-10-31	PRIJEM	\N	82	14012	UROK	\N	\N
3468495	4093	1997-11-30	PRIJEM	\N	56	14753	UROK	\N	\N
3468496	4093	1997-12-31	PRIJEM	\N	59	15497	UROK	\N	\N
3468497	4093	1998-01-31	PRIJEM	\N	74	15788	UROK	\N	\N
3468498	4093	1998-02-28	PRIJEM	\N	63	16536	UROK	\N	\N
3468499	4093	1998-03-31	PRIJEM	\N	66	17287	UROK	\N	\N
3468500	4093	1998-04-30	PRIJEM	\N	69	17141	UROK	\N	\N
3468501	4093	1998-05-31	PRIJEM	\N	68	17895	UROK	\N	\N
3468502	4093	1998-06-30	PRIJEM	\N	80	19341	UROK	\N	\N
3468503	4093	1998-07-31	PRIJEM	\N	77	20104	UROK	\N	\N
3468504	4093	1998-08-31	PRIJEM	\N	80	20870	UROK	\N	\N
3468505	4093	1998-09-30	PRIJEM	\N	83	21639	UROK	\N	\N
3468506	4093	1998-10-31	PRIJEM	\N	87	22410	UROK	\N	\N
3468507	4093	1998-11-30	PRIJEM	\N	89	22285	UROK	\N	\N
3468508	4093	1998-12-31	PRIJEM	\N	83	18853	UROK	\N	\N
3468509	4102	1997-08-31	PRIJEM	\N	86	30562	UROK	\N	\N
3468510	4102	1997-09-30	PRIJEM	\N	127	27989	UROK	\N	\N
3468511	4102	1997-10-31	PRIJEM	\N	127	27916	UROK	\N	\N
3468512	4102	1997-11-30	PRIJEM	\N	127	26743	UROK	\N	\N
3468513	4102	1997-12-31	PRIJEM	\N	224	78855	UROK	\N	\N
3468514	4102	1998-01-31	PRIJEM	\N	328	52483	UROK	\N	\N
3468515	4102	1998-02-28	PRIJEM	\N	328	40010	UROK	\N	\N
3468516	4102	1998-03-31	PRIJEM	\N	328	36638	UROK	\N	\N
3468517	4102	1998-04-30	PRIJEM	\N	328	36666	UROK	\N	\N
3468518	4102	1998-05-31	PRIJEM	\N	328	35093	UROK	\N	\N
3468519	4102	1998-06-30	PRIJEM	\N	328	35121	UROK	\N	\N
3468520	4102	1998-07-31	PRIJEM	\N	328	34448	UROK	\N	\N
3468521	4102	1998-08-31	PRIJEM	\N	328	34176	UROK	\N	\N
3468522	4102	1998-09-30	PRIJEM	\N	307	49657	UROK	\N	\N
3468523	4102	1998-10-31	PRIJEM	\N	206	45463	UROK	\N	\N
3468524	4102	1998-11-30	PRIJEM	\N	206	44468	UROK	\N	\N
3468525	4102	1998-12-31	PRIJEM	\N	208	52089	UROK	\N	\N
3468526	4103	1995-01-31	PRIJEM	\N	40	69149	UROK	\N	\N
3468527	4103	1995-02-28	PRIJEM	\N	280	58743	UROK	\N	\N
3468528	4103	1995-03-31	PRIJEM	\N	287	54479	UROK	\N	\N
3468529	4103	1995-04-30	PRIJEM	\N	211	32276	UROK	\N	\N
3468530	4103	1995-05-31	PRIJEM	\N	166	72303	UROK	\N	\N
3468531	4103	1995-06-30	PRIJEM	\N	207	58418	UROK	\N	\N
3468532	4103	1995-07-31	PRIJEM	\N	253	50448	UROK	\N	\N
3468533	4103	1995-08-31	PRIJEM	\N	264	92267	UROK	\N	\N
3468534	4103	1995-09-30	PRIJEM	\N	439	80168	UROK	\N	\N
3468535	4103	1995-10-31	PRIJEM	\N	325	57883	UROK	\N	\N
3468536	4103	1995-11-30	PRIJEM	\N	346	55839	UROK	\N	\N
3468537	4103	1995-12-31	PRIJEM	\N	208	39232	UROK	\N	\N
3468538	4103	1996-01-31	PRIJEM	\N	166	57456	UROK	\N	\N
3468539	4103	1996-02-29	PRIJEM	\N	266	81603	UROK	\N	\N
3468540	4103	1996-03-31	PRIJEM	\N	336	52524	UROK	\N	\N
3468541	4103	1996-04-30	PRIJEM	\N	310	86928	UROK	\N	\N
3468542	4103	1996-05-31	PRIJEM	\N	380	81086	UROK	\N	\N
3468543	4103	1996-06-30	PRIJEM	\N	258	42894	UROK	\N	\N
3468544	4103	1996-07-31	PRIJEM	\N	134	4717	UROK	\N	\N
3468545	4103	1996-08-31	PRIJEM	\N	137	79421	UROK	\N	\N
3468546	4103	1996-09-30	PRIJEM	\N	316	68811	UROK	\N	\N
3468547	4103	1996-10-31	PRIJEM	\N	340	101483	UROK	\N	\N
3468548	4103	1996-11-30	PRIJEM	\N	417	62486	UROK	\N	\N
3468549	4103	1996-12-31	PRIJEM	\N	302	66331	UROK	\N	\N
3468550	4103	1997-01-31	PRIJEM	\N	198	12414	UROK	\N	\N
3468551	4103	1997-02-28	PRIJEM	\N	51	16551	UROK	\N	\N
3468552	4103	1997-03-31	PRIJEM	\N	68	19804	UROK	\N	\N
3468553	4103	1997-04-30	PRIJEM	\N	81	18471	UROK	\N	\N
3468554	4103	1997-05-31	PRIJEM	\N	73	16433	UROK	\N	\N
3468555	4103	1997-06-30	PRIJEM	\N	63	9382	UROK	\N	\N
3468556	4103	1997-07-31	PRIJEM	\N	36	8503	UROK	\N	\N
3468557	4103	1997-08-31	PRIJEM	\N	33	8121	UROK	\N	\N
3468558	4103	1997-09-30	PRIJEM	\N	24	5358	UROK	\N	\N
3468559	4103	1997-10-31	PRIJEM	\N	20	3550	UROK	\N	\N
3468560	4103	1997-11-30	PRIJEM	\N	13	9449	UROK	\N	\N
3468561	4103	1997-12-31	PRIJEM	\N	36	6871	UROK	\N	\N
3468562	4103	1998-01-31	PRIJEM	\N	60	15303	UROK	\N	\N
3468563	4103	1998-02-28	PRIJEM	\N	103	66815	UROK	\N	\N
3468564	4103	1998-03-31	PRIJEM	\N	220	64363	UROK	\N	\N
3468565	4103	1998-04-30	PRIJEM	\N	334	94450	UROK	\N	\N
3468566	4103	1998-05-31	PRIJEM	\N	249	50468	UROK	\N	\N
3468567	4103	1998-06-30	PRIJEM	\N	204	67283	UROK	\N	\N
3468568	4103	1998-07-31	PRIJEM	\N	273	35341	UROK	\N	\N
3468569	4103	1998-08-31	PRIJEM	\N	135	19362	UROK	\N	\N
3468570	4103	1998-09-30	PRIJEM	\N	142	103197	UROK	\N	\N
3468571	4103	1998-10-31	PRIJEM	\N	243	48431	UROK	\N	\N
3468572	4103	1998-11-30	PRIJEM	\N	180	43612	UROK	\N	\N
3468573	4103	1998-12-31	PRIJEM	\N	269	89467	UROK	\N	\N
3468574	4105	1995-05-31	PRIJEM	\N	8	3408	UROK	\N	\N
3468575	4105	1995-06-30	PRIJEM	\N	40	16648	UROK	\N	\N
3468576	4105	1995-07-31	PRIJEM	\N	85	23933	UROK	\N	\N
3468577	4105	1995-08-31	PRIJEM	\N	112	29730	UROK	\N	\N
3468578	4105	1995-09-30	PRIJEM	\N	115	28481	UROK	\N	\N
3468579	4105	1995-10-31	PRIJEM	\N	195	50668	UROK	\N	\N
3468580	4105	1995-11-30	PRIJEM	\N	176	36429	UROK	\N	\N
3468581	4105	1995-12-31	PRIJEM	\N	137	30202	UROK	\N	\N
3468582	4105	1996-01-31	PRIJEM	\N	94	14982	UROK	\N	\N
3468583	4105	1996-02-29	PRIJEM	\N	70	19437	UROK	\N	\N
3468584	4105	1996-03-31	PRIJEM	\N	83	19656	UROK	\N	\N
3468585	4105	1996-04-30	PRIJEM	\N	96	25937	UROK	\N	\N
3468586	4105	1996-05-31	PRIJEM	\N	172	55578	UROK	\N	\N
3468587	4105	1996-06-30	PRIJEM	\N	293	78838	UROK	\N	\N
3468588	4105	1996-07-31	PRIJEM	\N	275	57998	UROK	\N	\N
3468589	4105	1996-08-31	PRIJEM	\N	189	38073	UROK	\N	\N
3468590	4105	1996-09-30	PRIJEM	\N	160	31319	UROK	\N	\N
3468591	4105	1996-10-31	PRIJEM	\N	133	28037	UROK	\N	\N
3468592	4105	1996-11-30	PRIJEM	\N	119	26542	UROK	\N	\N
3468593	4105	1996-12-31	PRIJEM	\N	106	19583	UROK	\N	\N
3468594	4105	1997-01-31	PRIJEM	\N	78	16946	UROK	\N	\N
3468595	4105	1997-02-28	PRIJEM	\N	73	18755	UROK	\N	\N
3468596	4105	1997-03-31	PRIJEM	\N	82	19922	UROK	\N	\N
3468597	4105	1997-04-30	PRIJEM	\N	86	20393	UROK	\N	\N
3468598	4105	1997-05-31	PRIJEM	\N	88	21067	UROK	\N	\N
3468599	4105	1997-06-30	PRIJEM	\N	94	27233	UROK	\N	\N
3468600	4105	1997-07-31	PRIJEM	\N	116	27934	UROK	\N	\N
3468601	4105	1997-08-31	PRIJEM	\N	119	28738	UROK	\N	\N
3468602	4105	1997-09-30	PRIJEM	\N	119	26342	UROK	\N	\N
3468603	4105	1997-10-31	PRIJEM	\N	117	33543	UROK	\N	\N
3468604	4105	1997-11-30	PRIJEM	\N	142	34470	UROK	\N	\N
3468605	4105	1997-12-31	PRIJEM	\N	145	36600	UROK	\N	\N
3468606	4105	1998-01-31	PRIJEM	\N	118	28754	UROK	\N	\N
3468607	4105	1998-02-28	PRIJEM	\N	131	38571	UROK	\N	\N
3468608	4105	1998-03-31	PRIJEM	\N	161	38217	UROK	\N	\N
3468609	4105	1998-04-30	PRIJEM	\N	186	53679	UROK	\N	\N
3468610	4105	1998-05-31	PRIJEM	\N	219	50484	UROK	\N	\N
3468611	4105	1998-06-30	PRIJEM	\N	180	41449	UROK	\N	\N
3468612	4105	1998-07-31	PRIJEM	\N	176	44311	UROK	\N	\N
3468613	4105	1998-08-31	PRIJEM	\N	179	42726	UROK	\N	\N
3468614	4105	1998-09-30	PRIJEM	\N	198	49713	UROK	\N	\N
3468615	4105	1998-10-31	PRIJEM	\N	206	49904	UROK	\N	\N
3468616	4105	1998-11-30	PRIJEM	\N	211	51200	UROK	\N	\N
3468617	4105	1998-12-31	PRIJEM	\N	207	48592	UROK	\N	\N
3468618	4109	1995-02-28	PRIJEM	\N	3	1203	UROK	\N	\N
3468619	4109	1995-03-31	PRIJEM	\N	34	15737	UROK	\N	\N
3468620	4109	1995-04-30	PRIJEM	\N	74	19711	UROK	\N	\N
3468621	4109	1995-05-31	PRIJEM	\N	88	22199	UROK	\N	\N
3468622	4109	1995-06-30	PRIJEM	\N	84	14083	UROK	\N	\N
3468623	4109	1995-07-31	PRIJEM	\N	76	21945	UROK	\N	\N
3468624	4109	1995-08-31	PRIJEM	\N	106	28136	UROK	\N	\N
3468625	4109	1995-09-30	PRIJEM	\N	123	31144	UROK	\N	\N
3468626	4109	1995-10-31	PRIJEM	\N	130	29559	UROK	\N	\N
3468627	4109	1995-11-30	PRIJEM	\N	127	31872	UROK	\N	\N
3468628	4109	1995-12-31	PRIJEM	\N	126	28383	UROK	\N	\N
3468629	4109	1996-01-31	PRIJEM	\N	101	16069	UROK	\N	\N
3468630	4109	1996-02-29	PRIJEM	\N	91	25895	UROK	\N	\N
3468631	4109	1996-03-31	PRIJEM	\N	119	30799	UROK	\N	\N
3468632	4109	1996-04-30	PRIJEM	\N	136	31821	UROK	\N	\N
3468633	4109	1996-05-31	PRIJEM	\N	281	60529	UROK	\N	\N
3468634	4109	1996-06-30	PRIJEM	\N	187	20201	UROK	\N	\N
3468635	4109	1996-07-31	PRIJEM	\N	117	33854	UROK	\N	\N
3468636	4109	1996-08-31	PRIJEM	\N	163	43902	UROK	\N	\N
3468637	4109	1996-09-30	PRIJEM	\N	184	45171	UROK	\N	\N
3468638	4109	1996-10-31	PRIJEM	\N	180	45536	UROK	\N	\N
3468639	4109	1996-11-30	PRIJEM	\N	192	47614	UROK	\N	\N
3468640	4109	1996-12-31	PRIJEM	\N	180	48277	UROK	\N	\N
3468641	4109	1997-01-31	PRIJEM	\N	183	33145	UROK	\N	\N
3468642	4109	1997-02-28	PRIJEM	\N	138	38969	UROK	\N	\N
3468643	4109	1997-03-31	PRIJEM	\N	163	45718	UROK	\N	\N
3468644	4109	1997-04-30	PRIJEM	\N	191	49094	UROK	\N	\N
3468645	4109	1997-05-31	PRIJEM	\N	204	48283	UROK	\N	\N
3468646	4109	1997-06-30	PRIJEM	\N	124	34092	UROK	\N	\N
3468647	4109	1997-07-31	PRIJEM	\N	147	41374	UROK	\N	\N
3468648	4109	1997-08-31	PRIJEM	\N	179	49439	UROK	\N	\N
3468649	4109	1997-09-30	PRIJEM	\N	219	54015	UROK	\N	\N
3468650	4109	1997-10-31	PRIJEM	\N	223	50723	UROK	\N	\N
3468651	4109	1997-11-30	PRIJEM	\N	233	54755	UROK	\N	\N
3468652	4109	1997-12-31	PRIJEM	\N	219	49760	UROK	\N	\N
3468653	4109	1998-01-31	PRIJEM	\N	190	42635	UROK	\N	\N
3468654	4109	1998-02-28	PRIJEM	\N	180	46800	UROK	\N	\N
3468655	4109	1998-03-31	PRIJEM	\N	195	48080	UROK	\N	\N
3468656	4109	1998-04-30	PRIJEM	\N	197	48913	UROK	\N	\N
3468657	4109	1998-05-31	PRIJEM	\N	206	52404	UROK	\N	\N
3468658	4109	1998-06-30	PRIJEM	\N	190	42879	UROK	\N	\N
3468659	4109	1998-07-31	PRIJEM	\N	179	45144	UROK	\N	\N
3468660	4109	1998-08-31	PRIJEM	\N	185	44114	UROK	\N	\N
3468661	4109	1998-09-30	PRIJEM	\N	170	35019	UROK	\N	\N
3468662	4109	1998-10-31	PRIJEM	\N	178	66820	UROK	\N	\N
3468663	4109	1998-11-30	PRIJEM	\N	248	48854	UROK	\N	\N
3468664	4109	1998-12-31	PRIJEM	\N	176	32966	UROK	\N	\N
3468665	4119	1993-11-30	PRIJEM	\N	27	13827	UROK	\N	\N
3468666	4119	1993-12-31	PRIJEM	\N	65	17592	UROK	\N	\N
3468667	4119	1994-01-31	PRIJEM	\N	80	20972	UROK	\N	\N
3468668	4119	1994-02-28	PRIJEM	\N	88	21360	UROK	\N	\N
3468669	4119	1994-03-31	PRIJEM	\N	90	21950	UROK	\N	\N
3468670	4119	1994-04-30	PRIJEM	\N	91	21726	UROK	\N	\N
3468671	4119	1994-05-31	PRIJEM	\N	92	21354	UROK	\N	\N
3468672	4119	1994-06-30	PRIJEM	\N	90	14229	UROK	\N	\N
3468673	4119	1994-07-31	PRIJEM	\N	68	18182	UROK	\N	\N
3468674	4119	1994-08-31	PRIJEM	\N	78	19346	UROK	\N	\N
3468675	4119	1994-09-30	PRIJEM	\N	83	21614	UROK	\N	\N
3468676	4119	1994-10-31	PRIJEM	\N	123	36102	UROK	\N	\N
3468677	4119	1994-11-30	PRIJEM	\N	143	32530	UROK	\N	\N
3468678	4119	1994-12-31	PRIJEM	\N	137	32778	UROK	\N	\N
3468679	4119	1995-01-31	PRIJEM	\N	110	18223	UROK	\N	\N
3468680	4119	1995-02-28	PRIJEM	\N	110	40694	UROK	\N	\N
3468681	4119	1995-03-31	PRIJEM	\N	188	47688	UROK	\N	\N
3468682	4119	1995-04-30	PRIJEM	\N	165	34539	UROK	\N	\N
3468683	4119	1995-05-31	PRIJEM	\N	134	30959	UROK	\N	\N
3468684	4119	1995-06-30	PRIJEM	\N	123	28067	UROK	\N	\N
3468685	4119	1995-07-31	PRIJEM	\N	105	22257	UROK	\N	\N
3468686	4119	1995-08-31	PRIJEM	\N	89	20681	UROK	\N	\N
3468687	4119	1995-09-30	PRIJEM	\N	93	23959	UROK	\N	\N
3468688	4119	1995-10-31	PRIJEM	\N	110	28655	UROK	\N	\N
3468689	4119	1995-11-30	PRIJEM	\N	125	31165	UROK	\N	\N
3468690	4119	1995-12-31	PRIJEM	\N	124	28875	UROK	\N	\N
3468691	4119	1996-01-31	PRIJEM	\N	101	20611	UROK	\N	\N
3468692	4119	1996-02-29	PRIJEM	\N	96	24892	UROK	\N	\N
3468693	4119	1996-03-31	PRIJEM	\N	117	31895	UROK	\N	\N
3468694	4119	1996-04-30	PRIJEM	\N	153	45201	UROK	\N	\N
3468695	4119	1996-05-31	PRIJEM	\N	178	41265	UROK	\N	\N
3468696	4119	1996-06-30	PRIJEM	\N	140	32390	UROK	\N	\N
3468697	4119	1996-07-31	PRIJEM	\N	142	35168	UROK	\N	\N
3468698	4119	1996-08-31	PRIJEM	\N	148	35951	UROK	\N	\N
3468699	4119	1996-09-30	PRIJEM	\N	147	34933	UROK	\N	\N
3468700	4119	1996-10-31	PRIJEM	\N	150	37669	UROK	\N	\N
3468701	4119	1996-11-30	PRIJEM	\N	178	43988	UROK	\N	\N
3468702	4119	1996-12-31	PRIJEM	\N	161	34835	UROK	\N	\N
3468703	4119	1997-01-31	PRIJEM	\N	89	24159	UROK	\N	\N
3468704	4119	1997-02-28	PRIJEM	\N	99	23944	UROK	\N	\N
3468705	4119	1997-03-31	PRIJEM	\N	108	27937	UROK	\N	\N
3468706	4119	1997-04-30	PRIJEM	\N	125	31248	UROK	\N	\N
3468707	4119	1997-05-31	PRIJEM	\N	130	35663	UROK	\N	\N
3468708	4119	1997-06-30	PRIJEM	\N	184	38789	UROK	\N	\N
3468709	4119	1997-07-31	PRIJEM	\N	199	58355	UROK	\N	\N
3468710	4119	1997-08-31	PRIJEM	\N	238	52078	UROK	\N	\N
3468711	4119	1997-09-30	PRIJEM	\N	213	47726	UROK	\N	\N
3468712	4119	1997-10-31	PRIJEM	\N	198	49259	UROK	\N	\N
3468713	4119	1997-11-30	PRIJEM	\N	202	47947	UROK	\N	\N
3468714	4119	1997-12-31	PRIJEM	\N	193	46276	UROK	\N	\N
3468715	4119	1998-01-31	PRIJEM	\N	173	43534	UROK	\N	\N
3468716	4119	1998-02-28	PRIJEM	\N	207	61444	UROK	\N	\N
3468717	4119	1998-03-31	PRIJEM	\N	250	57479	UROK	\N	\N
3468718	4119	1998-04-30	PRIJEM	\N	234	54599	UROK	\N	\N
3468719	4119	1998-05-31	PRIJEM	\N	219	52253	UROK	\N	\N
3468720	4119	1998-06-30	PRIJEM	\N	195	46833	UROK	\N	\N
3468721	4119	1998-07-31	PRIJEM	\N	193	47912	UROK	\N	\N
3468722	4119	1998-08-31	PRIJEM	\N	224	54717	UROK	\N	\N
3468723	4119	1998-09-30	PRIJEM	\N	224	54476	UROK	\N	\N
3468724	4119	1998-10-31	PRIJEM	\N	215	49527	UROK	\N	\N
3468725	4119	1998-11-30	PRIJEM	\N	203	49815	UROK	\N	\N
3468726	4119	1998-12-31	PRIJEM	\N	201	48802	UROK	\N	\N
3468727	4121	1995-06-30	PRIJEM	\N	4	2204	UROK	\N	\N
3468728	4121	1995-07-31	PRIJEM	\N	77	54742	UROK	\N	\N
3468729	4121	1995-08-31	PRIJEM	\N	195	42137	UROK	\N	\N
3468730	4121	1995-09-30	PRIJEM	\N	160	35697	UROK	\N	\N
3468731	4121	1995-10-31	PRIJEM	\N	133	29515	UROK	\N	\N
3468732	4121	1995-11-30	PRIJEM	\N	116	26117	UROK	\N	\N
3468733	4121	1995-12-31	PRIJEM	\N	99	23901	UROK	\N	\N
3468734	4121	1996-01-31	PRIJEM	\N	79	15415	UROK	\N	\N
3468735	4121	1996-02-29	PRIJEM	\N	79	23080	UROK	\N	\N
3468736	4121	1996-03-31	PRIJEM	\N	87	20002	UROK	\N	\N
3468737	4121	1996-04-30	PRIJEM	\N	105	39597	UROK	\N	\N
3468738	4121	1996-05-31	PRIJEM	\N	145	32028	UROK	\N	\N
3468739	4121	1996-06-30	PRIJEM	\N	117	14794	UROK	\N	\N
3468740	4121	1996-07-31	PRIJEM	\N	74	19754	UROK	\N	\N
3468741	4121	1996-08-31	PRIJEM	\N	93	24733	UROK	\N	\N
3468742	4121	1996-09-30	PRIJEM	\N	87	23605	UROK	\N	\N
3468743	4121	1996-10-31	PRIJEM	\N	98	22688	UROK	\N	\N
3468744	4121	1996-11-30	PRIJEM	\N	95	24569	UROK	\N	\N
3468745	4121	1996-12-31	PRIJEM	\N	101	25005	UROK	\N	\N
3468746	4121	1997-01-31	PRIJEM	\N	85	21925	UROK	\N	\N
3468747	4121	1997-02-28	PRIJEM	\N	93	28203	UROK	\N	\N
3468748	4121	1997-03-31	PRIJEM	\N	119	28208	UROK	\N	\N
3468749	4121	1997-04-30	PRIJEM	\N	118	30711	UROK	\N	\N
3468750	4121	1997-05-31	PRIJEM	\N	128	28775	UROK	\N	\N
3468751	4121	1997-06-30	PRIJEM	\N	123	28482	UROK	\N	\N
3468752	4121	1997-07-31	PRIJEM	\N	120	30687	UROK	\N	\N
3468753	4121	1997-08-31	PRIJEM	\N	126	29398	UROK	\N	\N
3468754	4121	1997-09-30	PRIJEM	\N	116	21249	UROK	\N	\N
3468755	4121	1997-10-31	PRIJEM	\N	111	32443	UROK	\N	\N
3468756	4121	1997-11-30	PRIJEM	\N	124	21953	UROK	\N	\N
3468757	4121	1997-12-31	PRIJEM	\N	86	16624	UROK	\N	\N
3468758	4121	1998-01-31	PRIJEM	\N	60	12219	UROK	\N	\N
3468759	4121	1998-02-28	PRIJEM	\N	52	14457	UROK	\N	\N
3468760	4121	1998-03-31	PRIJEM	\N	60	15503	UROK	\N	\N
3468761	4121	1998-04-30	PRIJEM	\N	116	35349	UROK	\N	\N
3468762	4121	1998-05-31	PRIJEM	\N	203	49483	UROK	\N	\N
3468763	4121	1998-06-30	PRIJEM	\N	172	25240	UROK	\N	\N
3468764	4121	1998-07-31	PRIJEM	\N	96	19622	UROK	\N	\N
3468765	4121	1998-08-31	PRIJEM	\N	79	18686	UROK	\N	\N
3468766	4121	1998-09-30	PRIJEM	\N	76	18247	UROK	\N	\N
3468767	4121	1998-10-31	PRIJEM	\N	76	18908	UROK	\N	\N
3468768	4121	1998-11-30	PRIJEM	\N	75	17769	UROK	\N	\N
3468769	4121	1998-12-31	PRIJEM	\N	72	17526	UROK	\N	\N
3468770	4132	1997-12-31	PRIJEM	\N	4	21104	UROK	\N	\N
3468771	4132	1998-02-28	PRIJEM	\N	128	29432	UROK	\N	\N
3468772	4132	1998-03-31	PRIJEM	\N	116	29348	UROK	\N	\N
3468773	4132	1998-04-30	PRIJEM	\N	133	31981	UROK	\N	\N
3468774	4132	1998-05-31	PRIJEM	\N	133	35114	UROK	\N	\N
3468775	4132	1998-06-30	PRIJEM	\N	133	33847	UROK	\N	\N
3468776	4132	1998-07-31	PRIJEM	\N	133	32979	UROK	\N	\N
3468777	4132	1998-08-31	PRIJEM	\N	133	31312	UROK	\N	\N
3468778	4132	1998-09-30	PRIJEM	\N	133	32845	UROK	\N	\N
3468779	4132	1998-10-31	PRIJEM	\N	138	39182	UROK	\N	\N
3468780	4132	1998-11-30	PRIJEM	\N	174	55404	UROK	\N	\N
3468781	4140	1997-12-31	PRIJEM	\N	105	32493	UROK	\N	\N
3468782	4140	1998-01-31	PRIJEM	\N	181	46833	UROK	\N	\N
3468783	4140	1998-02-28	PRIJEM	\N	219	54811	UROK	\N	\N
3468784	4140	1998-03-31	PRIJEM	\N	232	56102	UROK	\N	\N
3468785	4140	1998-04-30	PRIJEM	\N	233	56194	UROK	\N	\N
3468786	4140	1998-05-31	PRIJEM	\N	225	53563	UROK	\N	\N
3468787	4140	1998-06-30	PRIJEM	\N	192	9689	UROK	\N	\N
3468788	4140	1998-07-31	PRIJEM	\N	94	20907	UROK	\N	\N
3468789	4140	1998-08-31	PRIJEM	\N	135	35986	UROK	\N	\N
3468790	4140	1998-09-30	PRIJEM	\N	175	44645	UROK	\N	\N
3468791	4140	1998-10-31	PRIJEM	\N	184	41394	UROK	\N	\N
3468792	4140	1998-11-30	PRIJEM	\N	95	44133	UROK	\N	\N
3468793	4140	1998-12-31	PRIJEM	\N	174	49021	UROK	\N	\N
3468794	4158	1997-09-30	PRIJEM	\N	71	27089	UROK	\N	\N
3468795	4158	1997-10-31	PRIJEM	\N	185	53992	UROK	\N	\N
3468796	4158	1997-11-30	PRIJEM	\N	258	66768	UROK	\N	\N
3468797	4158	1997-12-31	PRIJEM	\N	330	86575	UROK	\N	\N
3468798	4158	1998-01-31	PRIJEM	\N	346	81438	UROK	\N	\N
3468799	4158	1998-02-28	PRIJEM	\N	321	74362	UROK	\N	\N
3468800	4158	1998-03-31	PRIJEM	\N	218	44176	UROK	\N	\N
3468801	4158	1998-04-30	PRIJEM	\N	204	49155	UROK	\N	\N
3468802	4158	1998-05-31	PRIJEM	\N	234	60392	UROK	\N	\N
3468803	4158	1998-06-30	PRIJEM	\N	196	43927	UROK	\N	\N
3468804	4158	1998-07-31	PRIJEM	\N	228	54658	UROK	\N	\N
3468805	4158	1998-08-31	PRIJEM	\N	122	20965	UROK	\N	\N
3468806	4158	1998-09-30	PRIJEM	\N	114	30377	UROK	\N	\N
3468807	4158	1998-10-31	PRIJEM	\N	117	21149	UROK	\N	\N
3468808	4158	1998-11-30	PRIJEM	\N	90	22243	UROK	\N	\N
3468809	4158	1998-12-31	PRIJEM	\N	182	55887	UROK	\N	\N
3468810	4159	1993-07-31	PRIJEM	\N	1	601	UROK	\N	\N
3468811	4159	1993-08-31	PRIJEM	\N	33	13134	UROK	\N	\N
3468812	4159	1993-09-30	PRIJEM	\N	63	16797	UROK	\N	\N
3468813	4159	1993-10-31	PRIJEM	\N	77	20574	UROK	\N	\N
3468814	4159	1993-11-30	PRIJEM	\N	86	20960	UROK	\N	\N
3468815	4159	1993-12-31	PRIJEM	\N	133	33422	UROK	\N	\N
3468816	4159	1994-01-31	PRIJEM	\N	113	18871	UROK	\N	\N
3468817	4159	1994-02-28	PRIJEM	\N	85	22041	UROK	\N	\N
3468818	4159	1994-03-31	PRIJEM	\N	95	23421	UROK	\N	\N
3468819	4159	1994-04-30	PRIJEM	\N	104	26311	UROK	\N	\N
3468820	4159	1994-05-31	PRIJEM	\N	152	37963	UROK	\N	\N
3468821	4159	1994-06-30	PRIJEM	\N	81	16930	UROK	\N	\N
3468822	4159	1994-07-31	PRIJEM	\N	76	19792	UROK	\N	\N
3468823	4159	1994-08-31	PRIJEM	\N	84	20611	UROK	\N	\N
3468824	4159	1994-09-30	PRIJEM	\N	91	22088	UROK	\N	\N
3468825	4159	1994-10-31	PRIJEM	\N	98	24571	UROK	\N	\N
3468826	4159	1994-11-30	PRIJEM	\N	201	48889	UROK	\N	\N
3468827	4159	1994-12-31	PRIJEM	\N	160	35734	UROK	\N	\N
3468828	4159	1995-01-31	PRIJEM	\N	102	23371	UROK	\N	\N
3468829	4159	1995-02-28	PRIJEM	\N	97	23854	UROK	\N	\N
3468830	4159	1995-03-31	PRIJEM	\N	100	25239	UROK	\N	\N
3468831	4159	1995-04-30	PRIJEM	\N	101	23525	UROK	\N	\N
3468832	4159	1995-05-31	PRIJEM	\N	114	30174	UROK	\N	\N
3468833	4159	1995-06-30	PRIJEM	\N	197	47916	UROK	\N	\N
3468834	4159	1995-07-31	PRIJEM	\N	196	40297	UROK	\N	\N
3468835	4159	1995-08-31	PRIJEM	\N	166	37748	UROK	\N	\N
3468836	4159	1995-09-30	PRIJEM	\N	155	37889	UROK	\N	\N
3468837	4159	1995-10-31	PRIJEM	\N	156	38930	UROK	\N	\N
3468838	4159	1995-11-30	PRIJEM	\N	186	48053	UROK	\N	\N
3468839	4159	1995-12-31	PRIJEM	\N	191	38429	UROK	\N	\N
3468840	4159	1996-01-31	PRIJEM	\N	125	30040	UROK	\N	\N
3468841	4159	1996-02-29	PRIJEM	\N	132	38456	UROK	\N	\N
3468842	4159	1996-03-31	PRIJEM	\N	159	39001	UROK	\N	\N
3468843	4159	1996-04-30	PRIJEM	\N	160	38646	UROK	\N	\N
3468844	4159	1996-05-31	PRIJEM	\N	159	37490	UROK	\N	\N
3468845	4159	1996-06-30	PRIJEM	\N	140	15616	UROK	\N	\N
3468846	4159	1996-07-31	PRIJEM	\N	77	25028	UROK	\N	\N
3468847	4159	1996-08-31	PRIJEM	\N	110	30473	UROK	\N	\N
3468848	4159	1996-09-30	PRIJEM	\N	136	37694	UROK	\N	\N
3468849	4159	1996-10-31	PRIJEM	\N	219	64312	UROK	\N	\N
3468850	4159	1996-11-30	PRIJEM	\N	251	54149	UROK	\N	\N
3468851	4159	1996-12-31	PRIJEM	\N	216	49850	UROK	\N	\N
3468852	4159	1997-01-31	PRIJEM	\N	189	67113	UROK	\N	\N
3468853	4159	1997-02-28	PRIJEM	\N	278	55276	UROK	\N	\N
3468854	4159	1997-03-31	PRIJEM	\N	216	47827	UROK	\N	\N
3468855	4159	1997-04-30	PRIJEM	\N	193	45406	UROK	\N	\N
3468856	4159	1997-05-31	PRIJEM	\N	190	47481	UROK	\N	\N
3468857	4159	1997-06-30	PRIJEM	\N	178	30444	UROK	\N	\N
3468858	4159	1997-07-31	PRIJEM	\N	149	43379	UROK	\N	\N
3468859	4159	1997-08-31	PRIJEM	\N	308	72948	UROK	\N	\N
3468860	4159	1997-09-30	PRIJEM	\N	285	65318	UROK	\N	\N
3468861	4159	1997-10-31	PRIJEM	\N	258	59262	UROK	\N	\N
3468862	4159	1997-11-30	PRIJEM	\N	243	58790	UROK	\N	\N
3468863	4159	1997-12-31	PRIJEM	\N	225	51700	UROK	\N	\N
3468864	4159	1998-01-31	PRIJEM	\N	186	41422	UROK	\N	\N
3468865	4159	1998-02-28	PRIJEM	\N	182	48089	UROK	\N	\N
3468866	4159	1998-03-31	PRIJEM	\N	204	51679	UROK	\N	\N
3468867	4159	1998-04-30	PRIJEM	\N	221	55785	UROK	\N	\N
3468868	4159	1998-05-31	PRIJEM	\N	237	58789	UROK	\N	\N
3468869	4159	1998-06-30	PRIJEM	\N	177	25251	UROK	\N	\N
3468870	4159	1998-07-31	PRIJEM	\N	195	65744	UROK	\N	\N
3468871	4159	1998-08-31	PRIJEM	\N	254	59084	UROK	\N	\N
3468872	4159	1998-09-30	PRIJEM	\N	235	56004	UROK	\N	\N
3468873	4159	1998-10-31	PRIJEM	\N	226	54615	UROK	\N	\N
3468874	4159	1998-11-30	PRIJEM	\N	226	55826	UROK	\N	\N
3468875	4159	1998-12-31	PRIJEM	\N	224	53235	UROK	\N	\N
3468876	4161	1995-03-31	PRIJEM	\N	17	18388	UROK	\N	\N
3468877	4161	1995-04-30	PRIJEM	\N	86	28045	UROK	\N	\N
3468878	4161	1995-05-31	PRIJEM	\N	123	33839	UROK	\N	\N
3468879	4161	1995-06-30	PRIJEM	\N	145	37840	UROK	\N	\N
3468880	4161	1995-07-31	PRIJEM	\N	153	34764	UROK	\N	\N
3468881	4161	1995-08-31	PRIJEM	\N	142	32462	UROK	\N	\N
3468882	4161	1995-09-30	PRIJEM	\N	140	35758	UROK	\N	\N
3468883	4161	1995-10-31	PRIJEM	\N	147	34461	UROK	\N	\N
3468884	4161	1995-11-30	PRIJEM	\N	145	35563	UROK	\N	\N
3468885	4161	1995-12-31	PRIJEM	\N	149	36253	UROK	\N	\N
3468886	4161	1996-01-31	PRIJEM	\N	137	25446	UROK	\N	\N
3468887	4161	1996-02-29	PRIJEM	\N	116	27318	UROK	\N	\N
3468888	4161	1996-03-31	PRIJEM	\N	113	25887	UROK	\N	\N
3468889	4161	1996-04-30	PRIJEM	\N	110	26254	UROK	\N	\N
3468890	4161	1996-05-31	PRIJEM	\N	123	33833	UROK	\N	\N
3468891	4161	1996-06-30	PRIJEM	\N	133	30508	UROK	\N	\N
3468892	4161	1996-07-31	PRIJEM	\N	127	30491	UROK	\N	\N
3468893	4161	1996-08-31	PRIJEM	\N	130	32077	UROK	\N	\N
3468894	4161	1996-09-30	PRIJEM	\N	144	36777	UROK	\N	\N
3468895	4161	1996-10-31	PRIJEM	\N	155	37888	UROK	\N	\N
3468896	4161	1996-11-30	PRIJEM	\N	156	37301	UROK	\N	\N
3468897	4161	1996-12-31	PRIJEM	\N	166	40908	UROK	\N	\N
3468898	4161	1997-01-31	PRIJEM	\N	168	29733	UROK	\N	\N
3468899	4161	1997-02-28	PRIJEM	\N	153	42142	UROK	\N	\N
3468900	4161	1997-03-31	PRIJEM	\N	176	41774	UROK	\N	\N
3468901	4161	1997-04-30	PRIJEM	\N	172	40903	UROK	\N	\N
3468902	4161	1997-05-31	PRIJEM	\N	197	43556	UROK	\N	\N
3468903	4161	1997-06-30	PRIJEM	\N	139	25136	UROK	\N	\N
3468904	4161	1997-07-31	PRIJEM	\N	137	38330	UROK	\N	\N
3468905	4161	1997-08-31	PRIJEM	\N	184	48270	UROK	\N	\N
3468906	4161	1997-09-30	PRIJEM	\N	196	48622	UROK	\N	\N
3468907	4161	1997-10-31	PRIJEM	\N	202	50380	UROK	\N	\N
3468908	4161	1997-11-30	PRIJEM	\N	213	52250	UROK	\N	\N
3468909	4161	1997-12-31	PRIJEM	\N	235	59026	UROK	\N	\N
3468910	4161	1998-01-31	PRIJEM	\N	207	47489	UROK	\N	\N
3468911	4161	1998-02-28	PRIJEM	\N	203	50549	UROK	\N	\N
3468912	4161	1998-03-31	PRIJEM	\N	213	52419	UROK	\N	\N
3468913	4161	1998-04-30	PRIJEM	\N	224	55299	UROK	\N	\N
3468914	4161	1998-05-31	PRIJEM	\N	227	53982	UROK	\N	\N
3468915	4161	1998-06-30	PRIJEM	\N	231	54954	UROK	\N	\N
3468916	4161	1998-07-31	PRIJEM	\N	235	54445	UROK	\N	\N
3468917	4161	1998-08-31	PRIJEM	\N	239	60140	UROK	\N	\N
3468918	4161	1998-09-30	PRIJEM	\N	266	67463	UROK	\N	\N
3468919	4161	1998-10-31	PRIJEM	\N	287	71207	UROK	\N	\N
3468920	4161	1998-11-30	PRIJEM	\N	288	71251	UROK	\N	\N
3468921	4161	1998-12-31	PRIJEM	\N	315	75307	UROK	\N	\N
3468922	4173	1993-12-31	PRIJEM	\N	69	21484	UROK	\N	\N
3468923	4173	1994-01-31	PRIJEM	\N	89	24273	UROK	\N	\N
3468924	4173	1994-02-28	PRIJEM	\N	89	25163	UROK	\N	\N
3468925	4173	1994-03-31	PRIJEM	\N	89	23152	UROK	\N	\N
3468926	4173	1994-04-30	PRIJEM	\N	89	22141	UROK	\N	\N
3468927	4173	1994-05-31	PRIJEM	\N	89	25430	UROK	\N	\N
3468928	4173	1994-06-30	PRIJEM	\N	115	35920	UROK	\N	\N
3468929	4173	1994-07-31	PRIJEM	\N	149	27370	UROK	\N	\N
3468930	4173	1994-08-31	PRIJEM	\N	174	66774	UROK	\N	\N
3468931	4173	1994-09-30	PRIJEM	\N	278	44151	UROK	\N	\N
3468932	4173	1994-10-31	PRIJEM	\N	278	33829	UROK	\N	\N
3468933	4173	1994-11-30	PRIJEM	\N	278	29006	UROK	\N	\N
3468934	4173	1994-12-31	PRIJEM	\N	278	24084	UROK	\N	\N
3468935	4173	1995-01-31	PRIJEM	\N	137	28700	UROK	\N	\N
3468936	4173	1995-02-28	PRIJEM	\N	132	26232	UROK	\N	\N
3468937	4173	1995-03-31	PRIJEM	\N	132	27264	UROK	\N	\N
3468938	4173	1995-04-30	PRIJEM	\N	132	24196	UROK	\N	\N
3468939	4173	1995-05-31	PRIJEM	\N	132	23928	UROK	\N	\N
3468940	4173	1995-06-30	PRIJEM	\N	132	21159	UROK	\N	\N
3468941	4173	1995-07-31	PRIJEM	\N	109	25424	UROK	\N	\N
3468942	4173	1995-08-31	PRIJEM	\N	84	16893	UROK	\N	\N
3468943	4173	1995-09-30	PRIJEM	\N	70	17349	UROK	\N	\N
3468944	4173	1995-11-30	PRIJEM	\N	74	14464	UROK	\N	\N
3468945	4173	1995-11-30	PRIJEM	\N	71	14390	UROK	\N	\N
3468946	4173	1995-12-31	PRIJEM	\N	59	13759	UROK	\N	\N
3468947	4173	1996-02-29	PRIJEM	\N	60	23163	UROK	\N	\N
3468948	4173	1996-02-29	PRIJEM	\N	60	23223	UROK	\N	\N
3468949	4173	1996-03-31	PRIJEM	\N	95	15903	UROK	\N	\N
3468950	4173	1996-04-30	PRIJEM	\N	75	19934	UROK	\N	\N
3468951	4173	1996-06-30	PRIJEM	\N	85	12089	UROK	\N	\N
3468952	4173	1996-06-30	PRIJEM	\N	73	12163	UROK	\N	\N
3468953	4173	1996-07-31	PRIJEM	\N	49	12197	UROK	\N	\N
3468954	4173	1996-09-30	PRIJEM	\N	51	12219	UROK	\N	\N
3468955	4173	1996-09-30	PRIJEM	\N	49	12269	UROK	\N	\N
3468956	4173	1996-10-31	PRIJEM	\N	50	13703	UROK	\N	\N
3468957	4173	1996-11-30	PRIJEM	\N	55	13044	UROK	\N	\N
3468958	4173	1996-12-31	PRIJEM	\N	53	13482	UROK	\N	\N
3468959	4173	1997-01-31	PRIJEM	\N	56	14473	UROK	\N	\N
3468960	4173	1997-02-28	PRIJEM	\N	59	16918	UROK	\N	\N
3468961	4173	1997-03-31	PRIJEM	\N	69	16572	UROK	\N	\N
3468962	4173	1997-04-30	PRIJEM	\N	68	21925	UROK	\N	\N
3468963	4173	1997-05-31	PRIJEM	\N	114	38488	UROK	\N	\N
3468964	4173	1997-06-30	PRIJEM	\N	133	21706	UROK	\N	\N
3468965	4173	1997-07-31	PRIJEM	\N	88	21580	UROK	\N	\N
3468966	4173	1997-08-31	PRIJEM	\N	98	23364	UROK	\N	\N
3468967	4173	1997-09-30	PRIJEM	\N	95	24844	UROK	\N	\N
3468968	4173	1997-10-31	PRIJEM	\N	102	28031	UROK	\N	\N
3468969	4173	1997-11-30	PRIJEM	\N	115	29131	UROK	\N	\N
3468970	4173	1997-12-31	PRIJEM	\N	118	28735	UROK	\N	\N
3468971	4173	1998-01-31	PRIJEM	\N	102	18522	UROK	\N	\N
3468972	4173	1998-02-28	PRIJEM	\N	75	23583	UROK	\N	\N
3468973	4173	1998-03-31	PRIJEM	\N	96	22864	UROK	\N	\N
3468974	4173	1998-04-30	PRIJEM	\N	90	19739	UROK	\N	\N
3468975	4173	1998-05-31	PRIJEM	\N	81	20506	UROK	\N	\N
3468976	4173	1998-06-30	PRIJEM	\N	102	24143	UROK	\N	\N
3468977	4173	1998-07-31	PRIJEM	\N	98	27226	UROK	\N	\N
3468978	4173	1998-08-31	PRIJEM	\N	97	21159	UROK	\N	\N
3468979	4173	1998-09-30	PRIJEM	\N	85	24429	UROK	\N	\N
3468980	4173	1998-10-31	PRIJEM	\N	98	22513	UROK	\N	\N
3468981	4173	1998-11-30	PRIJEM	\N	90	19988	UROK	\N	\N
3468982	4173	1998-12-31	PRIJEM	\N	145	48355	UROK	\N	\N
3468983	4195	1994-05-31	PRIJEM	\N	44	86986	UROK	\N	\N
3468984	4195	1994-06-30	PRIJEM	\N	369	103333	UROK	\N	\N
3468985	4195	1994-07-31	PRIJEM	\N	393	94743	UROK	\N	\N
3468986	4195	1994-08-31	PRIJEM	\N	390	59618	UROK	\N	\N
3468987	4195	1994-09-30	PRIJEM	\N	277	49361	UROK	\N	\N
3468988	4195	1994-10-31	PRIJEM	\N	225	54105	UROK	\N	\N
3468989	4195	1994-11-30	PRIJEM	\N	207	44730	UROK	\N	\N
3468990	4195	1994-12-31	PRIJEM	\N	272	67022	UROK	\N	\N
3468991	4195	1995-01-31	PRIJEM	\N	210	22254	UROK	\N	\N
3468992	4195	1995-02-28	PRIJEM	\N	93	24732	UROK	\N	\N
3468993	4195	1995-03-31	PRIJEM	\N	139	39092	UROK	\N	\N
3468994	4195	1995-04-30	PRIJEM	\N	170	34393	UROK	\N	\N
3468995	4195	1995-05-31	PRIJEM	\N	273	58731	UROK	\N	\N
3468996	4195	1995-06-30	PRIJEM	\N	228	68203	UROK	\N	\N
3468997	4195	1995-07-31	PRIJEM	\N	289	53405	UROK	\N	\N
3468998	4195	1995-08-31	PRIJEM	\N	252	28116	UROK	\N	\N
3468999	4195	1995-09-30	PRIJEM	\N	173	61194	UROK	\N	\N
3469000	4195	1995-10-31	PRIJEM	\N	296	97435	UROK	\N	\N
3469001	4195	1995-11-30	PRIJEM	\N	351	82063	UROK	\N	\N
3469002	4195	1995-12-31	PRIJEM	\N	289	51329	UROK	\N	\N
3469003	4195	1996-01-31	PRIJEM	\N	189	31199	UROK	\N	\N
3469004	4195	1996-02-29	PRIJEM	\N	153	25159	UROK	\N	\N
3469005	4195	1996-03-31	PRIJEM	\N	178	52086	UROK	\N	\N
3469006	4195	1996-04-30	PRIJEM	\N	149	28893	UROK	\N	\N
3469007	4195	1996-05-31	PRIJEM	\N	157	73010	UROK	\N	\N
3469008	4195	1996-06-30	PRIJEM	\N	299	45395	UROK	\N	\N
3469009	4195	1996-07-31	PRIJEM	\N	385	94070	UROK	\N	\N
3469010	4195	1996-08-31	PRIJEM	\N	293	63830	UROK	\N	\N
3469011	4195	1996-09-30	PRIJEM	\N	242	94611	UROK	\N	\N
3469012	4195	1996-10-31	PRIJEM	\N	329	74835	UROK	\N	\N
3469013	4195	1996-11-30	PRIJEM	\N	246	39166	UROK	\N	\N
3469014	4195	1996-12-31	PRIJEM	\N	153	53641	UROK	\N	\N
3469015	4195	1997-01-31	PRIJEM	\N	228	82624	UROK	\N	\N
3469016	4195	1997-02-28	PRIJEM	\N	313	74178	UROK	\N	\N
3469017	4195	1997-03-31	PRIJEM	\N	211	46919	UROK	\N	\N
3469018	4195	1997-04-30	PRIJEM	\N	333	68910	UROK	\N	\N
3469019	4195	1997-05-31	PRIJEM	\N	192	43444	UROK	\N	\N
3469020	4195	1997-06-30	PRIJEM	\N	191	52076	UROK	\N	\N
3469021	4195	1997-07-31	PRIJEM	\N	312	97606	UROK	\N	\N
3469022	4195	1997-08-31	PRIJEM	\N	399	87313	UROK	\N	\N
3469023	4195	1997-09-30	PRIJEM	\N	220	84601	UROK	\N	\N
3469024	4195	1997-10-31	PRIJEM	\N	229	85261	UROK	\N	\N
3469025	4195	1997-11-30	PRIJEM	\N	209	51457	UROK	\N	\N
3469026	4195	1997-12-31	PRIJEM	\N	214	114144	UROK	\N	\N
3469027	4195	1998-01-31	PRIJEM	\N	215	39956	UROK	\N	\N
3469028	4195	1998-02-28	PRIJEM	\N	162	32604	UROK	\N	\N
3469029	4195	1998-03-31	PRIJEM	\N	279	109315	UROK	\N	\N
3469030	4195	1998-04-30	PRIJEM	\N	443	69443	UROK	\N	\N
3469031	4195	1998-05-31	PRIJEM	\N	188	45197	UROK	\N	\N
3469032	4195	1998-06-30	PRIJEM	\N	182	37765	UROK	\N	\N
3469033	4195	1998-07-31	PRIJEM	\N	152	33802	UROK	\N	\N
3469034	4195	1998-08-31	PRIJEM	\N	142	33572	UROK	\N	\N
3469035	4195	1998-09-30	PRIJEM	\N	134	31691	UROK	\N	\N
3469036	4195	1998-10-31	PRIJEM	\N	185	40966	UROK	\N	\N
3469037	4195	1998-11-30	PRIJEM	\N	263	60462	UROK	\N	\N
3469038	4195	1998-12-31	PRIJEM	\N	239	49499	UROK	\N	\N
3469039	4204	1996-02-29	PRIJEM	\N	9	32694	UROK	\N	\N
3469040	4204	1996-03-31	PRIJEM	\N	136	30531	UROK	\N	\N
3469041	4204	1996-04-30	PRIJEM	\N	136	29167	UROK	\N	\N
3469042	4204	1996-05-31	PRIJEM	\N	137	33949	UROK	\N	\N
3469043	4204	1996-06-30	PRIJEM	\N	141	31490	UROK	\N	\N
3469044	4204	1996-07-31	PRIJEM	\N	141	28631	UROK	\N	\N
3469045	4204	1996-08-31	PRIJEM	\N	141	24072	UROK	\N	\N
3469046	4204	1996-09-30	PRIJEM	\N	141	19713	UROK	\N	\N
3469047	4204	1996-10-31	PRIJEM	\N	141	20654	UROK	\N	\N
3469048	4204	1996-11-30	PRIJEM	\N	141	16195	UROK	\N	\N
3469049	4204	1996-12-31	PRIJEM	\N	141	14236	UROK	\N	\N
3469050	4204	1997-01-31	PRIJEM	\N	141	17076	UROK	\N	\N
3469051	4204	1997-02-28	PRIJEM	\N	141	16717	UROK	\N	\N
3469052	4204	1997-03-31	PRIJEM	\N	141	13258	UROK	\N	\N
3469053	4204	1997-04-30	PRIJEM	\N	141	13099	UROK	\N	\N
3469054	4204	1997-05-31	PRIJEM	\N	141	11840	UROK	\N	\N
3469055	4204	1997-11-30	PRIJEM	\N	143	47347	UROK	\N	\N
3469056	4204	1997-12-31	PRIJEM	\N	197	23043	UROK	\N	\N
3469057	4204	1998-01-31	PRIJEM	\N	197	12040	UROK	\N	\N
3469058	4204	1998-06-30	PRIJEM	\N	195	34373	UROK	\N	\N
3469059	4204	1998-07-31	PRIJEM	\N	141	18099	UROK	\N	\N
3469060	4204	1998-08-31	PRIJEM	\N	68	14604	UROK	\N	\N
3469061	4204	1998-09-30	PRIJEM	\N	61	14650	UROK	\N	\N
3469062	4204	1998-11-30	PRIJEM	\N	63	14683	UROK	\N	\N
3469063	4208	1997-04-30	PRIJEM	\N	22	10272	UROK	\N	\N
3469064	4208	1997-05-31	PRIJEM	\N	59	17132	UROK	\N	\N
3469065	4208	1997-06-30	PRIJEM	\N	84	23515	UROK	\N	\N
3469066	4208	1997-07-31	PRIJEM	\N	106	27421	UROK	\N	\N
3469067	4208	1997-08-31	PRIJEM	\N	119	29625	UROK	\N	\N
3469068	4208	1997-09-30	PRIJEM	\N	126	43144	UROK	\N	\N
3469069	4208	1997-10-31	PRIJEM	\N	163	34792	UROK	\N	\N
3469070	4208	1997-11-30	PRIJEM	\N	140	32417	UROK	\N	\N
3469071	4208	1997-12-31	PRIJEM	\N	112	22164	UROK	\N	\N
3469072	4208	1998-01-31	PRIJEM	\N	90	19739	UROK	\N	\N
3469073	4208	1998-02-28	PRIJEM	\N	83	18957	UROK	\N	\N
3469074	4208	1998-03-31	PRIJEM	\N	81	19973	UROK	\N	\N
3469075	4208	1998-04-30	PRIJEM	\N	78	16986	UROK	\N	\N
3469076	4208	1998-05-31	PRIJEM	\N	77	19848	UROK	\N	\N
3469077	4208	1998-06-30	PRIJEM	\N	90	22723	UROK	\N	\N
3469078	4208	1998-07-31	PRIJEM	\N	84	17392	UROK	\N	\N
3469079	4208	1998-08-31	PRIJEM	\N	74	18051	UROK	\N	\N
3469080	4208	1998-09-30	PRIJEM	\N	91	21777	UROK	\N	\N
3469081	4208	1998-10-31	PRIJEM	\N	96	28035	UROK	\N	\N
3469082	4208	1998-11-30	PRIJEM	\N	123	29828	UROK	\N	\N
3469083	4208	1998-12-31	PRIJEM	\N	115	26478	UROK	\N	\N
3469084	4225	1993-06-30	PRIJEM	\N	58	29836	UROK	\N	\N
3469085	4225	1993-07-31	PRIJEM	\N	143	39298	UROK	\N	\N
3469086	4225	1993-08-31	PRIJEM	\N	175	44892	UROK	\N	\N
3469087	4225	1993-09-30	PRIJEM	\N	186	44697	UROK	\N	\N
3469088	4225	1993-10-31	PRIJEM	\N	185	44601	UROK	\N	\N
3469089	4225	1993-11-30	PRIJEM	\N	193	47698	UROK	\N	\N
3469090	4225	1993-12-31	PRIJEM	\N	219	50080	UROK	\N	\N
3469091	4225	1994-01-31	PRIJEM	\N	208	41892	UROK	\N	\N
3469092	4225	1994-02-28	PRIJEM	\N	182	45079	UROK	\N	\N
3469093	4225	1994-03-31	PRIJEM	\N	195	48278	UROK	\N	\N
3469094	4225	1994-04-30	PRIJEM	\N	194	45276	UROK	\N	\N
3469095	4225	1994-05-31	PRIJEM	\N	185	43066	UROK	\N	\N
3469096	4225	1994-06-30	PRIJEM	\N	195	49324	UROK	\N	\N
3469097	4225	1994-07-31	PRIJEM	\N	197	46426	UROK	\N	\N
3469098	4225	1994-08-31	PRIJEM	\N	202	49832	UROK	\N	\N
3469099	4225	1994-09-30	PRIJEM	\N	196	42733	UROK	\N	\N
3469100	4225	1994-10-31	PRIJEM	\N	189	46626	UROK	\N	\N
3469101	4225	1994-11-30	PRIJEM	\N	194	46924	UROK	\N	\N
3469102	4225	1994-12-31	PRIJEM	\N	214	52902	UROK	\N	\N
3469103	4225	1995-01-31	PRIJEM	\N	190	40897	UROK	\N	\N
3469104	4225	1995-02-28	PRIJEM	\N	239	44340	UROK	\N	\N
3469105	4225	1995-03-31	PRIJEM	\N	177	42422	UROK	\N	\N
3469106	4225	1995-04-30	PRIJEM	\N	171	41098	UROK	\N	\N
3469107	4225	1995-05-31	PRIJEM	\N	180	44382	UROK	\N	\N
3469108	4225	1995-06-30	PRIJEM	\N	204	50650	UROK	\N	\N
3469109	4225	1995-07-31	PRIJEM	\N	237	47691	UROK	\N	\N
3469110	4225	1995-08-31	PRIJEM	\N	229	57224	UROK	\N	\N
3469111	4225	1995-09-30	PRIJEM	\N	252	61680	UROK	\N	\N
3469112	4225	1995-10-31	PRIJEM	\N	259	58544	UROK	\N	\N
3469113	4225	1995-11-30	PRIJEM	\N	246	58694	UROK	\N	\N
3469114	4225	1995-12-31	PRIJEM	\N	291	71548	UROK	\N	\N
3469115	4225	1996-01-31	PRIJEM	\N	272	64324	UROK	\N	\N
3469116	4225	1996-02-29	PRIJEM	\N	274	67003	UROK	\N	\N
3469117	4225	1996-03-31	PRIJEM	\N	282	68489	UROK	\N	\N
3469118	4225	1996-04-30	PRIJEM	\N	290	71684	UROK	\N	\N
3469119	4225	1996-05-31	PRIJEM	\N	297	72186	UROK	\N	\N
3469120	4225	1996-06-30	PRIJEM	\N	342	85591	UROK	\N	\N
3469121	4225	1996-07-31	PRIJEM	\N	337	81832	UROK	\N	\N
3469122	4225	1996-08-31	PRIJEM	\N	221	49558	UROK	\N	\N
3469123	4225	1996-09-30	PRIJEM	\N	204	49366	UROK	\N	\N
3469124	4225	1996-10-31	PRIJEM	\N	202	48072	UROK	\N	\N
3469125	4225	1996-11-30	PRIJEM	\N	235	44411	UROK	\N	\N
3469126	4225	1996-12-31	PRIJEM	\N	257	47232	UROK	\N	\N
3469127	4225	1997-01-31	PRIJEM	\N	232	40868	UROK	\N	\N
3469128	4225	1997-02-28	PRIJEM	\N	168	44141	UROK	\N	\N
3469129	4225	1997-03-31	PRIJEM	\N	182	48127	UROK	\N	\N
3469130	4225	1997-04-30	PRIJEM	\N	198	50930	UROK	\N	\N
3469131	4225	1997-05-31	PRIJEM	\N	211	54445	UROK	\N	\N
3469132	4225	1997-06-30	PRIJEM	\N	226	59734	UROK	\N	\N
3469133	4225	1997-07-31	PRIJEM	\N	240	54379	UROK	\N	\N
3469134	4225	1997-08-31	PRIJEM	\N	223	55807	UROK	\N	\N
3469135	4225	1997-09-30	PRIJEM	\N	224	50336	UROK	\N	\N
3469136	4225	1997-10-31	PRIJEM	\N	210	54850	UROK	\N	\N
3469137	4225	1997-11-30	PRIJEM	\N	223	54878	UROK	\N	\N
3469138	4225	1997-12-31	PRIJEM	\N	233	62274	UROK	\N	\N
3469139	4225	1998-01-31	PRIJEM	\N	285	57564	UROK	\N	\N
3469140	4225	1998-02-28	PRIJEM	\N	240	62809	UROK	\N	\N
3469141	4225	1998-03-31	PRIJEM	\N	266	60579	UROK	\N	\N
3469142	4225	1998-04-30	PRIJEM	\N	250	63233	UROK	\N	\N
3469143	4225	1998-05-31	PRIJEM	\N	255	59493	UROK	\N	\N
3469144	4225	1998-06-30	PRIJEM	\N	255	69511	UROK	\N	\N
3469145	4225	1998-07-31	PRIJEM	\N	282	69298	UROK	\N	\N
3469146	4225	1998-08-31	PRIJEM	\N	323	75026	UROK	\N	\N
3469147	4225	1998-09-30	PRIJEM	\N	306	75436	UROK	\N	\N
3469148	4225	1998-10-31	PRIJEM	\N	310	77050	UROK	\N	\N
3469149	4225	1998-11-30	PRIJEM	\N	313	77068	UROK	\N	\N
3469150	4225	1998-12-31	PRIJEM	\N	366	78797	UROK	\N	\N
3469151	4240	1993-02-28	PRIJEM	\N	88	28254	UROK	\N	\N
3469152	4240	1993-03-31	PRIJEM	\N	157	41777	UROK	\N	\N
3469153	4240	1993-04-30	PRIJEM	\N	190	47333	UROK	\N	\N
3469154	4240	1993-05-31	PRIJEM	\N	198	47898	UROK	\N	\N
3469155	4240	1993-06-30	PRIJEM	\N	222	53518	UROK	\N	\N
3469156	4240	1993-07-31	PRIJEM	\N	198	36420	UROK	\N	\N
3469157	4240	1993-08-31	PRIJEM	\N	226	59597	UROK	\N	\N
3469158	4240	1993-09-30	PRIJEM	\N	277	69225	UROK	\N	\N
3469159	4240	1993-10-31	PRIJEM	\N	275	68336	UROK	\N	\N
3469160	4240	1993-11-30	PRIJEM	\N	302	73889	UROK	\N	\N
3469161	4240	1993-12-31	PRIJEM	\N	368	92842	UROK	\N	\N
3469162	4240	1994-01-31	PRIJEM	\N	250	42343	UROK	\N	\N
3469163	4240	1994-02-28	PRIJEM	\N	232	60226	UROK	\N	\N
3469164	4240	1994-03-31	PRIJEM	\N	279	66310	UROK	\N	\N
3469165	4240	1994-04-30	PRIJEM	\N	262	66423	UROK	\N	\N
3469166	4240	1994-05-31	PRIJEM	\N	309	76784	UROK	\N	\N
3469167	4240	1994-06-30	PRIJEM	\N	284	71952	UROK	\N	\N
3469168	4240	1994-07-31	PRIJEM	\N	319	78423	UROK	\N	\N
3469169	4240	1994-08-31	PRIJEM	\N	310	65094	UROK	\N	\N
3469170	4240	1994-09-30	PRIJEM	\N	276	60621	UROK	\N	\N
3469171	4240	1994-10-31	PRIJEM	\N	280	70453	UROK	\N	\N
3469172	4240	1994-11-30	PRIJEM	\N	245	64245	UROK	\N	\N
3469173	4240	1994-12-31	PRIJEM	\N	183	56512	UROK	\N	\N
3469174	4240	1995-01-31	PRIJEM	\N	166	26730	UROK	\N	\N
3469175	4240	1995-02-28	PRIJEM	\N	25	32921	UROK	\N	\N
3469176	4240	1995-03-31	PRIJEM	\N	140	32127	UROK	\N	\N
3469177	4240	1995-04-30	PRIJEM	\N	135	41214	UROK	\N	\N
3469178	4240	1995-05-31	PRIJEM	\N	172	46038	UROK	\N	\N
3469179	4240	1995-06-30	PRIJEM	\N	294	18616	UROK	\N	\N
3469180	4240	1995-07-31	PRIJEM	\N	85	35853	UROK	\N	\N
3469181	4240	1995-08-31	PRIJEM	\N	167	38740	UROK	\N	\N
3469182	4240	1995-09-30	PRIJEM	\N	207	42530	UROK	\N	\N
3469183	4240	1995-10-31	PRIJEM	\N	152	24487	UROK	\N	\N
3469184	4240	1995-11-30	PRIJEM	\N	157	36214	UROK	\N	\N
3469185	4240	1995-12-31	PRIJEM	\N	158	46557	UROK	\N	\N
3469186	4240	1996-01-31	PRIJEM	\N	117	15925	UROK	\N	\N
3469187	4240	1996-02-29	PRIJEM	\N	80	19991	UROK	\N	\N
3469188	4240	1996-03-31	PRIJEM	\N	101	28044	UROK	\N	\N
3469189	4240	1996-04-30	PRIJEM	\N	70	29488	UROK	\N	\N
3469190	4240	1996-05-31	PRIJEM	\N	136	21963	UROK	\N	\N
3469191	4240	1996-06-30	PRIJEM	\N	111	39458	UROK	\N	\N
3469192	4240	1996-07-31	PRIJEM	\N	193	37003	UROK	\N	\N
3469193	4240	1996-08-31	PRIJEM	\N	138	16462	UROK	\N	\N
3469194	4240	1996-09-30	PRIJEM	\N	65	14041	UROK	\N	\N
3469195	4240	1996-10-31	PRIJEM	\N	70	23463	UROK	\N	\N
3469196	4240	1996-11-30	PRIJEM	\N	125	17892	UROK	\N	\N
3469197	4240	1996-12-31	PRIJEM	\N	107	38684	UROK	\N	\N
3469198	4240	1997-01-31	PRIJEM	\N	85	2951	UROK	\N	\N
3469199	4240	1997-02-28	PRIJEM	\N	23	11128	UROK	\N	\N
3469200	4240	1997-03-31	PRIJEM	\N	98	17026	UROK	\N	\N
3469201	4240	1997-04-30	PRIJEM	\N	88	24765	UROK	\N	\N
3469202	4240	1997-05-31	PRIJEM	\N	112	31828	UROK	\N	\N
3469203	4240	1997-06-30	PRIJEM	\N	152	23250	UROK	\N	\N
3469204	4240	1997-07-31	PRIJEM	\N	98	26300	UROK	\N	\N
3469205	4240	1997-08-31	PRIJEM	\N	104	24678	UROK	\N	\N
3469206	4240	1997-09-30	PRIJEM	\N	108	29137	UROK	\N	\N
3469207	4240	1997-10-31	PRIJEM	\N	96	10759	UROK	\N	\N
3469208	4240	1997-11-30	PRIJEM	\N	33	6520	UROK	\N	\N
3469209	4240	1997-12-31	PRIJEM	\N	29	8833	UROK	\N	\N
3469210	4240	1998-01-31	PRIJEM	\N	51	6235	UROK	\N	\N
3469211	4240	1998-02-28	PRIJEM	\N	36	6523	UROK	\N	\N
3469212	4240	1998-03-31	PRIJEM	\N	51	18926	UROK	\N	\N
3469213	4240	1998-04-30	PRIJEM	\N	79	21656	UROK	\N	\N
3469214	4240	1998-05-31	PRIJEM	\N	89	23597	UROK	\N	\N
3469215	4240	1998-06-30	PRIJEM	\N	114	32195	UROK	\N	\N
3469216	4240	1998-07-31	PRIJEM	\N	111	25957	UROK	\N	\N
3469217	4240	1998-08-31	PRIJEM	\N	50	5099	UROK	\N	\N
3469218	4240	1998-09-30	PRIJEM	\N	11	4061	UROK	\N	\N
3469219	4240	1998-10-31	PRIJEM	\N	7	3220	UROK	\N	\N
3469220	4240	1998-11-30	PRIJEM	\N	7	3593	UROK	\N	\N
3469221	4254	1993-05-31	PRIJEM	\N	5	2405	UROK	\N	\N
3469222	4254	1993-06-30	PRIJEM	\N	34	14939	UROK	\N	\N
3469223	4254	1993-07-31	PRIJEM	\N	81	23421	UROK	\N	\N
3469224	4254	1993-08-31	PRIJEM	\N	102	25522	UROK	\N	\N
3469225	4254	1993-09-30	PRIJEM	\N	102	23775	UROK	\N	\N
3469226	4254	1993-10-31	PRIJEM	\N	100	24460	UROK	\N	\N
3469227	4254	1993-11-30	PRIJEM	\N	212	79408	UROK	\N	\N
3469228	4254	1993-12-31	PRIJEM	\N	207	35600	UROK	\N	\N
3469229	4254	1994-01-31	PRIJEM	\N	106	24491	UROK	\N	\N
3469230	4254	1994-02-28	PRIJEM	\N	102	26479	UROK	\N	\N
3469231	4254	1994-03-31	PRIJEM	\N	101	24165	UROK	\N	\N
3469232	4254	1994-04-30	PRIJEM	\N	100	23151	UROK	\N	\N
3469233	4254	1994-05-31	PRIJEM	\N	97	23833	UROK	\N	\N
3469234	4254	1994-06-30	PRIJEM	\N	99	24118	UROK	\N	\N
3469235	4254	1994-07-31	PRIJEM	\N	100	22053	UROK	\N	\N
3469236	4254	1994-08-31	PRIJEM	\N	94	25132	UROK	\N	\N
3469237	4254	1994-09-30	PRIJEM	\N	106	27924	UROK	\N	\N
3469238	4254	1994-10-31	PRIJEM	\N	120	37036	UROK	\N	\N
3469239	4254	1994-11-30	PRIJEM	\N	152	46412	UROK	\N	\N
3469240	4254	1994-12-31	PRIJEM	\N	182	37579	UROK	\N	\N
3469241	4254	1995-01-31	PRIJEM	\N	136	26701	UROK	\N	\N
3469242	4254	1995-02-28	PRIJEM	\N	112	27798	UROK	\N	\N
3469243	4254	1995-03-31	PRIJEM	\N	113	25447	UROK	\N	\N
3469244	4254	1995-04-30	PRIJEM	\N	105	24537	UROK	\N	\N
3469245	4254	1995-05-31	PRIJEM	\N	103	26125	UROK	\N	\N
3469246	4254	1995-06-30	PRIJEM	\N	101	25262	UROK	\N	\N
3469247	4254	1995-07-31	PRIJEM	\N	128	35407	UROK	\N	\N
3469248	4254	1995-08-31	PRIJEM	\N	139	29932	UROK	\N	\N
3469249	4254	1995-09-30	PRIJEM	\N	120	26837	UROK	\N	\N
3469250	4254	1995-10-31	PRIJEM	\N	103	21625	UROK	\N	\N
3469251	4254	1995-11-30	PRIJEM	\N	126	37367	UROK	\N	\N
3469252	4254	1995-12-31	PRIJEM	\N	144	30197	UROK	\N	\N
3469253	4254	1996-01-31	PRIJEM	\N	105	20537	UROK	\N	\N
3469254	4254	1996-02-29	PRIJEM	\N	103	36820	UROK	\N	\N
3469255	4254	1996-03-31	PRIJEM	\N	130	24336	UROK	\N	\N
3469256	4254	1996-04-30	PRIJEM	\N	93	20114	UROK	\N	\N
3469257	4254	1996-05-31	PRIJEM	\N	78	17377	UROK	\N	\N
3469258	4254	1996-06-30	PRIJEM	\N	68	15530	UROK	\N	\N
3469259	4254	1996-07-31	PRIJEM	\N	62	14677	UROK	\N	\N
3469260	4254	1996-08-31	PRIJEM	\N	67	18029	UROK	\N	\N
3469261	4254	1996-09-30	PRIJEM	\N	75	18589	UROK	\N	\N
3469262	4254	1996-10-31	PRIJEM	\N	68	14992	UROK	\N	\N
3469263	4254	1996-11-30	PRIJEM	\N	142	62785	UROK	\N	\N
3469264	4254	1996-12-31	PRIJEM	\N	204	40075	UROK	\N	\N
3469265	4254	1997-01-31	PRIJEM	\N	124	19034	UROK	\N	\N
3469266	4254	1997-02-28	PRIJEM	\N	82	20302	UROK	\N	\N
3469267	4254	1997-03-31	PRIJEM	\N	81	19669	UROK	\N	\N
3469268	4254	1997-04-30	PRIJEM	\N	88	23242	UROK	\N	\N
3469269	4254	1997-05-31	PRIJEM	\N	88	20516	UROK	\N	\N
3469270	4254	1997-06-30	PRIJEM	\N	71	15622	UROK	\N	\N
3469271	4254	1997-07-31	PRIJEM	\N	63	17571	UROK	\N	\N
3469272	4254	1997-08-31	PRIJEM	\N	106	30258	UROK	\N	\N
3469273	4254	1997-09-30	PRIJEM	\N	96	19239	UROK	\N	\N
3469274	4254	1997-10-31	PRIJEM	\N	164	59383	UROK	\N	\N
3469275	4254	1997-11-30	PRIJEM	\N	177	32346	UROK	\N	\N
3469276	4254	1997-12-31	PRIJEM	\N	94	15524	UROK	\N	\N
3469277	4254	1998-01-31	PRIJEM	\N	62	17472	UROK	\N	\N
3469278	4254	1998-02-28	PRIJEM	\N	110	55903	UROK	\N	\N
3469279	4254	1998-03-31	PRIJEM	\N	166	24454	UROK	\N	\N
3469280	4254	1998-04-30	PRIJEM	\N	99	26439	UROK	\N	\N
3469281	4254	1998-05-31	PRIJEM	\N	83	16607	UROK	\N	\N
3469282	4254	1998-06-30	PRIJEM	\N	68	18011	UROK	\N	\N
3469283	4254	1998-07-31	PRIJEM	\N	72	19968	UROK	\N	\N
3469284	4254	1998-08-31	PRIJEM	\N	80	20383	UROK	\N	\N
3469285	4254	1998-09-30	PRIJEM	\N	92	24124	UROK	\N	\N
3469286	4254	1998-10-31	PRIJEM	\N	97	24356	UROK	\N	\N
3469287	4254	1998-11-30	PRIJEM	\N	99	25541	UROK	\N	\N
3469288	4254	1998-12-31	PRIJEM	\N	100	22777	UROK	\N	\N
3469289	4255	1993-11-30	PRIJEM	\N	83	35413	UROK	\N	\N
3469290	4255	1993-12-31	PRIJEM	\N	257	81016	UROK	\N	\N
3469291	4255	1994-01-31	PRIJEM	\N	357	89402	UROK	\N	\N
3469292	4255	1994-02-28	PRIJEM	\N	381	93813	UROK	\N	\N
3469293	4255	1994-03-31	PRIJEM	\N	387	92730	UROK	\N	\N
3469294	4255	1994-04-30	PRIJEM	\N	331	79706	UROK	\N	\N
3469295	4255	1994-05-31	PRIJEM	\N	317	79247	UROK	\N	\N
3469296	4255	1994-06-30	PRIJEM	\N	323	92985	UROK	\N	\N
3469297	4255	1994-07-31	PRIJEM	\N	375	87060	UROK	\N	\N
3469298	4255	1994-08-31	PRIJEM	\N	351	87413	UROK	\N	\N
3469299	4255	1994-09-30	PRIJEM	\N	327	59626	UROK	\N	\N
3469300	4255	1994-10-31	PRIJEM	\N	274	57638	UROK	\N	\N
3469301	4255	1994-11-30	PRIJEM	\N	293	80431	UROK	\N	\N
3469302	4255	1994-12-31	PRIJEM	\N	393	100838	UROK	\N	\N
3469303	4255	1995-01-31	PRIJEM	\N	309	69447	UROK	\N	\N
3469304	4255	1995-02-28	PRIJEM	\N	314	79861	UROK	\N	\N
3469305	4255	1995-03-31	PRIJEM	\N	357	86818	UROK	\N	\N
3469306	4255	1995-04-30	PRIJEM	\N	375	93293	UROK	\N	\N
3469307	4255	1995-05-31	PRIJEM	\N	397	97591	UROK	\N	\N
3469308	4255	1995-06-30	PRIJEM	\N	321	50400	UROK	\N	\N
3469309	4255	1995-07-31	PRIJEM	\N	276	79676	UROK	\N	\N
3469310	4255	1995-08-31	PRIJEM	\N	285	56261	UROK	\N	\N
3469311	4255	1995-09-30	PRIJEM	\N	287	51358	UROK	\N	\N
3469312	4255	1995-10-31	PRIJEM	\N	277	50585	UROK	\N	\N
3469313	4255	1995-11-30	PRIJEM	\N	211	47017	UROK	\N	\N
3469314	4255	1995-12-31	PRIJEM	\N	239	50355	UROK	\N	\N
3469315	4255	1996-01-31	PRIJEM	\N	201	37056	UROK	\N	\N
3469316	4255	1996-02-29	PRIJEM	\N	164	56619	UROK	\N	\N
3469317	4255	1996-03-31	PRIJEM	\N	244	61463	UROK	\N	\N
3469318	4255	1996-04-30	PRIJEM	\N	275	67239	UROK	\N	\N
3469319	4255	1996-05-31	PRIJEM	\N	285	76824	UROK	\N	\N
3469320	4255	1996-06-30	PRIJEM	\N	273	45412	UROK	\N	\N
3469321	4255	1996-07-31	PRIJEM	\N	191	47668	UROK	\N	\N
3469322	4255	1996-08-31	PRIJEM	\N	214	64582	UROK	\N	\N
3469323	4255	1996-09-30	PRIJEM	\N	278	75661	UROK	\N	\N
3469324	4255	1996-10-31	PRIJEM	\N	345	76446	UROK	\N	\N
3469325	4255	1996-11-30	PRIJEM	\N	356	78803	UROK	\N	\N
3469326	4255	1996-12-31	PRIJEM	\N	313	36864	UROK	\N	\N
3469327	4255	1997-01-31	PRIJEM	\N	180	45445	UROK	\N	\N
3469328	4255	1997-02-28	PRIJEM	\N	212	64856	UROK	\N	\N
3469329	4255	1997-03-31	PRIJEM	\N	278	73634	UROK	\N	\N
3469330	4255	1997-04-30	PRIJEM	\N	309	78443	UROK	\N	\N
3469331	4255	1997-05-31	PRIJEM	\N	326	80669	UROK	\N	\N
3469332	4255	1997-06-30	PRIJEM	\N	313	68397	UROK	\N	\N
3469333	4255	1997-07-31	PRIJEM	\N	304	72033	UROK	\N	\N
3469334	4255	1997-08-31	PRIJEM	\N	331	80363	UROK	\N	\N
3469335	4255	1997-09-30	PRIJEM	\N	318	65196	UROK	\N	\N
3469336	4255	1997-10-31	PRIJEM	\N	302	84498	UROK	\N	\N
3469337	4255	1997-11-30	PRIJEM	\N	366	92945	UROK	\N	\N
3469338	4255	1997-12-31	PRIJEM	\N	358	76618	UROK	\N	\N
3469339	4255	1998-01-31	PRIJEM	\N	299	73363	UROK	\N	\N
3469340	4255	1998-02-28	PRIJEM	\N	339	88722	UROK	\N	\N
3469341	4255	1998-03-31	PRIJEM	\N	387	96941	UROK	\N	\N
3469342	4255	1998-04-30	PRIJEM	\N	366	93638	UROK	\N	\N
3469343	4255	1998-05-31	PRIJEM	\N	332	61065	UROK	\N	\N
3469344	4255	1998-06-30	PRIJEM	\N	276	67856	UROK	\N	\N
3469345	4255	1998-07-31	PRIJEM	\N	318	85374	UROK	\N	\N
3469346	4255	1998-08-31	PRIJEM	\N	383	92002	UROK	\N	\N
3469347	4255	1998-09-30	PRIJEM	\N	422	112867	UROK	\N	\N
3469348	4255	1998-10-31	PRIJEM	\N	493	77560	UROK	\N	\N
3469349	4255	1998-11-30	PRIJEM	\N	367	85042	UROK	\N	\N
3469350	4255	1998-12-31	PRIJEM	\N	379	105110	UROK	\N	\N
3469351	4258	1995-08-31	PRIJEM	\N	10	38429	UROK	\N	\N
3469352	4258	1995-09-30	PRIJEM	\N	174	60990	UROK	\N	\N
3469353	4258	1995-10-31	PRIJEM	\N	262	71942	UROK	\N	\N
3469354	4258	1995-11-30	PRIJEM	\N	356	59889	UROK	\N	\N
3469355	4258	1995-12-31	PRIJEM	\N	230	92073	UROK	\N	\N
3469356	4258	1996-01-31	PRIJEM	\N	323	27882	UROK	\N	\N
3469357	4258	1996-02-29	PRIJEM	\N	193	62341	UROK	\N	\N
3469358	4258	1996-03-31	PRIJEM	\N	267	48339	UROK	\N	\N
3469359	4258	1996-04-30	PRIJEM	\N	215	65084	UROK	\N	\N
3469360	4258	1996-05-31	PRIJEM	\N	317	68249	UROK	\N	\N
3469361	4258	1996-06-30	PRIJEM	\N	298	86080	UROK	\N	\N
3469362	4258	1996-07-31	PRIJEM	\N	337	76443	UROK	\N	\N
3469363	4258	1996-08-31	PRIJEM	\N	304	63672	UROK	\N	\N
3469364	4258	1996-09-30	PRIJEM	\N	335	59593	UROK	\N	\N
3469365	4258	1996-10-31	PRIJEM	\N	337	74048	UROK	\N	\N
3469366	4258	1996-11-30	PRIJEM	\N	419	65546	UROK	\N	\N
3469367	4258	1996-12-31	PRIJEM	\N	261	76836	UROK	\N	\N
3469368	4258	1997-01-31	PRIJEM	\N	231	29116	UROK	\N	\N
3469369	4258	1997-02-28	PRIJEM	\N	119	21921	UROK	\N	\N
3469370	4258	1997-03-31	PRIJEM	\N	126	31136	UROK	\N	\N
3469371	4258	1997-04-30	PRIJEM	\N	128	26449	UROK	\N	\N
3469372	4258	1997-05-31	PRIJEM	\N	125	49855	UROK	\N	\N
3469373	4258	1997-06-30	PRIJEM	\N	165	30118	UROK	\N	\N
3469374	4258	1997-07-31	PRIJEM	\N	124	29928	UROK	\N	\N
3469375	4258	1997-08-31	PRIJEM	\N	201	72072	UROK	\N	\N
3469376	4258	1997-09-30	PRIJEM	\N	230	41344	UROK	\N	\N
3469377	4258	1997-10-31	PRIJEM	\N	291	61821	UROK	\N	\N
3469378	4258	1997-11-30	PRIJEM	\N	201	42056	UROK	\N	\N
3469379	4258	1997-12-31	PRIJEM	\N	229	47701	UROK	\N	\N
3469380	4258	1998-01-31	PRIJEM	\N	121	19640	UROK	\N	\N
3469381	4258	1998-02-28	PRIJEM	\N	79	17504	UROK	\N	\N
3469382	4258	1998-04-30	PRIJEM	\N	73	17919	UROK	\N	\N
3469383	4258	1998-04-30	PRIJEM	\N	71	17846	UROK	\N	\N
3469384	4258	1998-06-30	PRIJEM	\N	75	17336	UROK	\N	\N
3469385	4258	1998-06-30	PRIJEM	\N	72	17262	UROK	\N	\N
3469386	4258	1998-07-31	PRIJEM	\N	70	17391	UROK	\N	\N
3469387	4258	1998-08-31	PRIJEM	\N	70	17746	UROK	\N	\N
3469388	4258	1998-09-30	PRIJEM	\N	71	20103	UROK	\N	\N
3469389	4258	1998-10-31	PRIJEM	\N	80	18369	UROK	\N	\N
3469390	4258	1998-11-30	PRIJEM	\N	74	19328	UROK	\N	\N
3469391	4263	1995-09-30	PRIJEM	\N	26	62837	UROK	\N	\N
3469392	4263	1995-10-31	PRIJEM	\N	262	40399	UROK	\N	\N
3469393	4263	1995-11-30	PRIJEM	\N	262	29761	UROK	\N	\N
3469394	4263	1995-12-31	PRIJEM	\N	262	23522	UROK	\N	\N
3469395	4263	1996-01-31	PRIJEM	\N	262	22984	UROK	\N	\N
3469396	4263	1996-02-29	PRIJEM	\N	262	25346	UROK	\N	\N
3469397	4263	1996-03-31	PRIJEM	\N	262	26307	UROK	\N	\N
3469398	4263	1996-04-30	PRIJEM	\N	262	24369	UROK	\N	\N
3469399	4263	1996-05-31	PRIJEM	\N	262	22431	UROK	\N	\N
3469400	4263	1996-06-30	PRIJEM	\N	241	46447	UROK	\N	\N
3469401	4263	1996-07-31	PRIJEM	\N	193	33139	UROK	\N	\N
3469402	4263	1996-08-31	PRIJEM	\N	193	27332	UROK	\N	\N
3469403	4263	1996-09-30	PRIJEM	\N	193	22324	UROK	\N	\N
3469404	4263	1996-10-31	PRIJEM	\N	193	20717	UROK	\N	\N
3469405	4263	1996-11-30	PRIJEM	\N	236	70306	UROK	\N	\N
3469406	4263	1996-12-31	PRIJEM	\N	292	47498	UROK	\N	\N
3469407	4263	1997-01-31	PRIJEM	\N	292	37190	UROK	\N	\N
3469408	4263	1997-02-28	PRIJEM	\N	292	31882	UROK	\N	\N
3469409	4263	1997-03-31	PRIJEM	\N	292	30074	UROK	\N	\N
3469410	4263	1997-04-30	PRIJEM	\N	292	29265	UROK	\N	\N
3469411	4263	1997-05-31	PRIJEM	\N	213	39596	UROK	\N	\N
3469412	4263	1997-06-30	PRIJEM	\N	185	43907	UROK	\N	\N
3469413	4263	1997-07-31	PRIJEM	\N	181	33773	UROK	\N	\N
3469414	4263	1997-08-31	PRIJEM	\N	122	29081	UROK	\N	\N
3469415	4263	1997-09-30	PRIJEM	\N	106	23722	UROK	\N	\N
3469416	4263	1997-10-31	PRIJEM	\N	98	25505	UROK	\N	\N
3469417	4263	1997-11-30	PRIJEM	\N	105	23296	UROK	\N	\N
3469418	4263	1997-12-31	PRIJEM	\N	97	24178	UROK	\N	\N
3469419	4263	1998-01-31	PRIJEM	\N	87	19350	UROK	\N	\N
3469420	4263	1998-02-28	PRIJEM	\N	80	22215	UROK	\N	\N
3469421	4263	1998-03-31	PRIJEM	\N	210	71680	UROK	\N	\N
3469422	4263	1998-04-30	PRIJEM	\N	316	86973	UROK	\N	\N
3469423	4263	1998-05-31	PRIJEM	\N	268	54176	UROK	\N	\N
3469424	4263	1998-06-30	PRIJEM	\N	138	21700	UROK	\N	\N
3469425	4263	1998-07-31	PRIJEM	\N	90	33475	UROK	\N	\N
3469426	4263	1998-08-31	PRIJEM	\N	138	35198	UROK	\N	\N
3469427	4263	1998-09-30	PRIJEM	\N	144	33528	UROK	\N	\N
3469428	4263	1998-10-31	PRIJEM	\N	138	35251	UROK	\N	\N
3469429	4263	1998-11-30	PRIJEM	\N	147	40183	UROK	\N	\N
3469430	4264	1993-12-31	PRIJEM	\N	105	32555	UROK	\N	\N
3469431	4264	1994-01-31	PRIJEM	\N	189	49444	UROK	\N	\N
3469432	4264	1994-02-28	PRIJEM	\N	232	57976	UROK	\N	\N
3469433	4264	1994-03-31	PRIJEM	\N	249	60725	UROK	\N	\N
3469434	4264	1994-04-30	PRIJEM	\N	268	65793	UROK	\N	\N
3469435	4264	1994-05-31	PRIJEM	\N	273	65652	UROK	\N	\N
3469436	4264	1994-06-30	PRIJEM	\N	289	73976	UROK	\N	\N
3469437	4264	1994-07-31	PRIJEM	\N	294	69655	UROK	\N	\N
3469438	4264	1994-08-31	PRIJEM	\N	285	68325	UROK	\N	\N
3469439	4264	1994-09-30	PRIJEM	\N	281	67391	UROK	\N	\N
3469440	4264	1994-10-31	PRIJEM	\N	289	68866	UROK	\N	\N
3469441	4264	1994-11-30	PRIJEM	\N	290	70041	UROK	\N	\N
3469442	4264	1994-12-31	PRIJEM	\N	320	78296	UROK	\N	\N
3469443	4264	1995-01-31	PRIJEM	\N	233	51314	UROK	\N	\N
3469444	4264	1995-02-28	PRIJEM	\N	214	58114	UROK	\N	\N
3469445	4264	1995-03-31	PRIJEM	\N	254	62253	UROK	\N	\N
3469446	4264	1995-04-30	PRIJEM	\N	276	67914	UROK	\N	\N
3469447	4264	1995-05-31	PRIJEM	\N	250	64949	UROK	\N	\N
3469448	4264	1995-06-30	PRIJEM	\N	237	55521	UROK	\N	\N
3469449	4264	1995-07-31	PRIJEM	\N	170	46577	UROK	\N	\N
3469450	4264	1995-08-31	PRIJEM	\N	195	51057	UROK	\N	\N
3469451	4264	1995-09-30	PRIJEM	\N	211	48853	UROK	\N	\N
3469452	4264	1995-10-31	PRIJEM	\N	203	49341	UROK	\N	\N
3469453	4264	1995-11-30	PRIJEM	\N	205	50431	UROK	\N	\N
3469454	4264	1995-12-31	PRIJEM	\N	244	55910	UROK	\N	\N
3469455	4264	1996-01-31	PRIJEM	\N	244	47639	UROK	\N	\N
3469456	4264	1996-02-29	PRIJEM	\N	246	52271	UROK	\N	\N
3469457	4264	1996-03-31	PRIJEM	\N	216	52072	UROK	\N	\N
3469458	4264	1996-04-30	PRIJEM	\N	214	51471	UROK	\N	\N
3469459	4264	1996-05-31	PRIJEM	\N	214	53171	UROK	\N	\N
3469460	4264	1996-06-30	PRIJEM	\N	225	57631	UROK	\N	\N
3469461	4264	1996-07-31	PRIJEM	\N	236	56352	UROK	\N	\N
3469462	4264	1996-08-31	PRIJEM	\N	229	53466	UROK	\N	\N
3469463	4264	1996-09-30	PRIJEM	\N	220	53372	UROK	\N	\N
3469464	4264	1996-10-31	PRIJEM	\N	220	53377	UROK	\N	\N
3469465	4264	1996-11-30	PRIJEM	\N	245	49807	UROK	\N	\N
3469466	4264	1996-12-31	PRIJEM	\N	208	52050	UROK	\N	\N
3469467	4264	1997-01-31	PRIJEM	\N	219	38555	UROK	\N	\N
3469468	4264	1997-02-28	PRIJEM	\N	161	41001	UROK	\N	\N
3469469	4264	1997-03-31	PRIJEM	\N	192	41178	UROK	\N	\N
3469470	4264	1997-04-30	PRIJEM	\N	171	43435	UROK	\N	\N
3469471	4264	1997-05-31	PRIJEM	\N	184	47604	UROK	\N	\N
3469472	4264	1997-06-30	PRIJEM	\N	203	40142	UROK	\N	\N
3469473	4264	1997-07-31	PRIJEM	\N	178	48705	UROK	\N	\N
3469474	4264	1997-08-31	PRIJEM	\N	207	52997	UROK	\N	\N
3469475	4264	1997-09-30	PRIJEM	\N	213	51195	UROK	\N	\N
3469476	4264	1997-10-31	PRIJEM	\N	207	49287	UROK	\N	\N
3469477	4264	1997-11-30	PRIJEM	\N	207	52380	UROK	\N	\N
3469478	4264	1997-12-31	PRIJEM	\N	271	63386	UROK	\N	\N
3469479	4264	1998-01-31	PRIJEM	\N	254	56025	UROK	\N	\N
3469480	4264	1998-02-28	PRIJEM	\N	253	60263	UROK	\N	\N
3469481	4264	1998-03-31	PRIJEM	\N	250	62298	UROK	\N	\N
3469482	4264	1998-04-30	PRIJEM	\N	259	64643	UROK	\N	\N
3469483	4264	1998-05-31	PRIJEM	\N	277	62405	UROK	\N	\N
3469484	4264	1998-06-30	PRIJEM	\N	252	48292	UROK	\N	\N
3469485	4264	1998-07-31	PRIJEM	\N	200	50478	UROK	\N	\N
3469486	4264	1998-08-31	PRIJEM	\N	205	46768	UROK	\N	\N
3469487	4264	1998-09-30	PRIJEM	\N	202	52256	UROK	\N	\N
3469488	4264	1998-10-31	PRIJEM	\N	217	54758	UROK	\N	\N
3469489	4264	1998-11-30	PRIJEM	\N	235	57479	UROK	\N	\N
3469490	4264	1998-12-31	PRIJEM	\N	335	89449	UROK	\N	\N
3469491	4269	1996-01-31	PRIJEM	\N	24	19440	UROK	\N	\N
3469492	4269	1996-02-29	PRIJEM	\N	124	87793	UROK	\N	\N
3469493	4269	1996-03-31	PRIJEM	\N	339	61815	UROK	\N	\N
3469494	4269	1996-04-30	PRIJEM	\N	240	80914	UROK	\N	\N
3469495	4269	1996-05-31	PRIJEM	\N	223	39275	UROK	\N	\N
3469496	4269	1996-06-30	PRIJEM	\N	280	19996	UROK	\N	\N
3469497	4269	1996-07-31	PRIJEM	\N	173	43219	UROK	\N	\N
3469498	4269	1996-08-31	PRIJEM	\N	179	38383	UROK	\N	\N
3469499	4269	1996-09-30	PRIJEM	\N	145	29794	UROK	\N	\N
3469500	4269	1996-10-31	PRIJEM	\N	120	27621	UROK	\N	\N
3469501	4269	1996-11-30	PRIJEM	\N	192	73790	UROK	\N	\N
3469502	4269	1996-12-31	PRIJEM	\N	292	50864	UROK	\N	\N
3469503	4269	1997-01-31	PRIJEM	\N	215	62651	UROK	\N	\N
3469504	4269	1997-02-28	PRIJEM	\N	299	119996	UROK	\N	\N
3469505	4269	1997-03-31	PRIJEM	\N	482	102816	UROK	\N	\N
3469506	4269	1997-04-30	PRIJEM	\N	403	111075	UROK	\N	\N
3469507	4269	1997-05-31	PRIJEM	\N	421	80964	UROK	\N	\N
3469508	4269	1997-06-30	PRIJEM	\N	158	33361	UROK	\N	\N
3469509	4269	1997-07-31	PRIJEM	\N	153	35150	UROK	\N	\N
3469510	4269	1997-08-31	PRIJEM	\N	229	100440	UROK	\N	\N
3469511	4269	1997-09-30	PRIJEM	\N	388	76264	UROK	\N	\N
3469512	4269	1997-10-31	PRIJEM	\N	265	51807	UROK	\N	\N
3469513	4269	1997-11-30	PRIJEM	\N	179	59066	UROK	\N	\N
3469514	4269	1997-12-31	PRIJEM	\N	233	54484	UROK	\N	\N
3469515	4269	1998-01-31	PRIJEM	\N	166	27954	UROK	\N	\N
3469516	4269	1998-02-28	PRIJEM	\N	118	48457	UROK	\N	\N
3469517	4269	1998-03-31	PRIJEM	\N	179	37908	UROK	\N	\N
3469518	4269	1998-04-30	PRIJEM	\N	178	81208	UROK	\N	\N
3469519	4269	1998-05-31	PRIJEM	\N	280	62473	UROK	\N	\N
3469520	4269	1998-06-30	PRIJEM	\N	242	46100	UROK	\N	\N
3469521	4269	1998-07-31	PRIJEM	\N	180	40666	UROK	\N	\N
3469522	4269	1998-08-31	PRIJEM	\N	215	56492	UROK	\N	\N
3469523	4269	1998-09-30	PRIJEM	\N	306	87473	UROK	\N	\N
3469524	4269	1998-10-31	PRIJEM	\N	292	47317	UROK	\N	\N
3469525	4269	1998-11-30	PRIJEM	\N	196	55198	UROK	\N	\N
3469526	4269	1998-12-31	PRIJEM	\N	212	50095	UROK	\N	\N
3469527	4283	1994-11-30	PRIJEM	\N	49	22063	UROK	\N	\N
3469528	4283	1994-12-31	PRIJEM	\N	135	41119	UROK	\N	\N
3469529	4283	1995-01-31	PRIJEM	\N	176	43109	UROK	\N	\N
3469530	4283	1995-02-28	PRIJEM	\N	189	47512	UROK	\N	\N
3469531	4283	1995-03-31	PRIJEM	\N	195	46521	UROK	\N	\N
3469532	4283	1995-04-30	PRIJEM	\N	204	50924	UROK	\N	\N
3469533	4283	1995-05-31	PRIJEM	\N	216	52639	UROK	\N	\N
3469534	4283	1995-06-30	PRIJEM	\N	168	16833	UROK	\N	\N
3469535	4283	1995-07-31	PRIJEM	\N	135	35028	UROK	\N	\N
3469536	4283	1995-08-31	PRIJEM	\N	173	45300	UROK	\N	\N
3469537	4283	1995-09-30	PRIJEM	\N	195	45654	UROK	\N	\N
3469538	4283	1995-10-31	PRIJEM	\N	195	47649	UROK	\N	\N
3469539	4283	1995-11-30	PRIJEM	\N	217	54065	UROK	\N	\N
3469540	4283	1995-12-31	PRIJEM	\N	256	58327	UROK	\N	\N
3469541	4283	1996-01-31	PRIJEM	\N	198	36885	UROK	\N	\N
3469542	4283	1996-02-29	PRIJEM	\N	192	49377	UROK	\N	\N
3469543	4283	1996-03-31	PRIJEM	\N	215	52611	UROK	\N	\N
3469544	4283	1996-04-30	PRIJEM	\N	219	52829	UROK	\N	\N
3469545	4283	1996-05-31	PRIJEM	\N	224	54453	UROK	\N	\N
3469546	4283	1996-06-30	PRIJEM	\N	211	49431	UROK	\N	\N
3469547	4283	1996-07-31	PRIJEM	\N	207	49737	UROK	\N	\N
3469548	4283	1996-08-31	PRIJEM	\N	218	53154	UROK	\N	\N
3469549	4283	1996-09-30	PRIJEM	\N	294	51648	UROK	\N	\N
3469550	4283	1996-10-31	PRIJEM	\N	213	49560	UROK	\N	\N
3469551	4283	1996-11-30	PRIJEM	\N	240	57300	UROK	\N	\N
3469552	4283	1996-12-31	PRIJEM	\N	290	71497	UROK	\N	\N
3469553	4283	1997-01-31	PRIJEM	\N	266	58662	UROK	\N	\N
3469554	4283	1997-02-28	PRIJEM	\N	276	67937	UROK	\N	\N
3469555	4283	1997-03-31	PRIJEM	\N	297	72133	UROK	\N	\N
3469556	4283	1997-04-30	PRIJEM	\N	303	73235	UROK	\N	\N
3469557	4283	1997-05-31	PRIJEM	\N	315	76550	UROK	\N	\N
3469558	4283	1997-06-30	PRIJEM	\N	287	47803	UROK	\N	\N
3469559	4283	1997-07-31	PRIJEM	\N	253	63256	UROK	\N	\N
3469560	4283	1997-08-31	PRIJEM	\N	291	71546	UROK	\N	\N
3469561	4283	1997-09-30	PRIJEM	\N	294	72340	UROK	\N	\N
3469562	4283	1997-10-31	PRIJEM	\N	214	56852	UROK	\N	\N
3469563	4283	1997-11-30	PRIJEM	\N	235	58887	UROK	\N	\N
3469564	4283	1997-12-31	PRIJEM	\N	303	62697	UROK	\N	\N
3469565	4283	1998-01-31	PRIJEM	\N	235	48171	UROK	\N	\N
3469566	4283	1998-02-28	PRIJEM	\N	200	55170	UROK	\N	\N
3469567	4283	1998-03-31	PRIJEM	\N	231	65201	UROK	\N	\N
3469568	4283	1998-04-30	PRIJEM	\N	269	65969	UROK	\N	\N
3469569	4283	1998-05-31	PRIJEM	\N	273	69541	UROK	\N	\N
3469570	4283	1998-06-30	PRIJEM	\N	267	55214	UROK	\N	\N
3469571	4283	1998-07-31	PRIJEM	\N	290	65704	UROK	\N	\N
3469572	4283	1998-08-31	PRIJEM	\N	277	75280	UROK	\N	\N
3469573	4283	1998-09-30	PRIJEM	\N	309	74889	UROK	\N	\N
3469574	4283	1998-10-31	PRIJEM	\N	351	72139	UROK	\N	\N
3469575	4283	1998-11-30	PRIJEM	\N	295	71434	UROK	\N	\N
3469576	4283	1998-12-31	PRIJEM	\N	398	100638	UROK	\N	\N
3469577	4286	1996-11-30	PRIJEM	\N	122	66733	UROK	\N	\N
3469578	4286	1996-12-31	PRIJEM	\N	266	62817	UROK	\N	\N
3469579	4286	1997-01-31	PRIJEM	\N	261	41478	UROK	\N	\N
3469580	4286	1997-02-28	PRIJEM	\N	261	28438	UROK	\N	\N
3469581	4286	1997-03-31	PRIJEM	\N	239	54718	UROK	\N	\N
3469582	4286	1997-04-30	PRIJEM	\N	227	37145	UROK	\N	\N
3469583	4286	1997-05-31	PRIJEM	\N	227	26472	UROK	\N	\N
3469584	4286	1997-06-30	PRIJEM	\N	227	20099	UROK	\N	\N
3469585	4286	1997-07-31	PRIJEM	\N	127	23597	UROK	\N	\N
3469586	4286	1997-08-31	PRIJEM	\N	98	20580	UROK	\N	\N
3469587	4286	1997-09-30	PRIJEM	\N	85	18451	UROK	\N	\N
3469588	4286	1997-10-31	PRIJEM	\N	77	18113	UROK	\N	\N
3469589	4286	1997-11-30	PRIJEM	\N	75	18073	UROK	\N	\N
3469590	4286	1997-12-31	PRIJEM	\N	75	14433	UROK	\N	\N
3469591	4286	1998-01-31	PRIJEM	\N	60	16279	UROK	\N	\N
3469592	4286	1998-02-28	PRIJEM	\N	67	12331	UROK	\N	\N
3469593	4286	1998-04-30	PRIJEM	\N	53	12405	UROK	\N	\N
3469594	4286	1998-04-30	PRIJEM	\N	51	12353	UROK	\N	\N
3469595	4286	1998-06-30	PRIJEM	\N	53	51894	UROK	\N	\N
3469596	4286	1998-06-30	PRIJEM	\N	171	52064	UROK	\N	\N
3469597	4286	1998-07-31	PRIJEM	\N	214	57114	UROK	\N	\N
3469598	4286	1998-08-31	PRIJEM	\N	201	84992	UROK	\N	\N
3469599	4286	1998-09-30	PRIJEM	\N	235	52719	UROK	\N	\N
3469600	4286	1998-10-31	PRIJEM	\N	155	43218	UROK	\N	\N
3469601	4286	1998-11-30	PRIJEM	\N	247	39818	UROK	\N	\N
3469602	4286	1998-12-31	PRIJEM	\N	292	94399	UROK	\N	\N
3469603	4287	1993-11-30	PRIJEM	\N	29	13749	UROK	\N	\N
3469604	4287	1993-12-31	PRIJEM	\N	84	26062	UROK	\N	\N
3469605	4287	1994-01-31	PRIJEM	\N	113	28195	UROK	\N	\N
3469606	4287	1994-02-28	PRIJEM	\N	124	31239	UROK	\N	\N
3469607	4287	1994-03-31	PRIJEM	\N	126	29284	UROK	\N	\N
3469608	4287	1994-04-30	PRIJEM	\N	126	30796	UROK	\N	\N
3469609	4287	1994-05-31	PRIJEM	\N	130	31732	UROK	\N	\N
3469610	4287	1994-06-30	PRIJEM	\N	139	31626	UROK	\N	\N
3469611	4287	1994-07-31	PRIJEM	\N	127	29658	UROK	\N	\N
3469612	4287	1994-08-31	PRIJEM	\N	130	32394	UROK	\N	\N
3469613	4287	1994-09-30	PRIJEM	\N	150	29749	UROK	\N	\N
3469614	4287	1994-10-31	PRIJEM	\N	122	29176	UROK	\N	\N
3469615	4287	1994-11-30	PRIJEM	\N	129	32110	UROK	\N	\N
3469616	4287	1994-12-31	PRIJEM	\N	147	35693	UROK	\N	\N
3469617	4287	1995-01-31	PRIJEM	\N	125	25763	UROK	\N	\N
3469618	4287	1995-02-28	PRIJEM	\N	107	26715	UROK	\N	\N
3469619	4287	1995-03-31	PRIJEM	\N	126	32446	UROK	\N	\N
3469620	4287	1995-04-30	PRIJEM	\N	139	33990	UROK	\N	\N
3469621	4287	1995-05-31	PRIJEM	\N	142	33778	UROK	\N	\N
3469622	4287	1995-06-30	PRIJEM	\N	135	32348	UROK	\N	\N
3469623	4287	1995-07-31	PRIJEM	\N	142	35735	UROK	\N	\N
3469624	4287	1995-08-31	PRIJEM	\N	148	35788	UROK	\N	\N
3469625	4287	1995-09-30	PRIJEM	\N	152	37146	UROK	\N	\N
3469626	4287	1995-10-31	PRIJEM	\N	150	34441	UROK	\N	\N
3469627	4287	1995-11-30	PRIJEM	\N	145	32071	UROK	\N	\N
3469628	4287	1995-12-31	PRIJEM	\N	140	34927	UROK	\N	\N
3469629	4287	1996-01-31	PRIJEM	\N	112	20625	UROK	\N	\N
3469630	4287	1996-02-29	PRIJEM	\N	106	28736	UROK	\N	\N
3469631	4287	1996-03-31	PRIJEM	\N	127	31109	UROK	\N	\N
3469632	4287	1996-04-30	PRIJEM	\N	134	33148	UROK	\N	\N
3469633	4287	1996-05-31	PRIJEM	\N	147	37100	UROK	\N	\N
3469634	4287	1996-06-30	PRIJEM	\N	171	43786	UROK	\N	\N
3469635	4287	1996-07-31	PRIJEM	\N	179	40951	UROK	\N	\N
3469636	4287	1996-08-31	PRIJEM	\N	164	39020	UROK	\N	\N
3469637	4287	1996-09-30	PRIJEM	\N	165	40490	UROK	\N	\N
3469638	4287	1996-10-31	PRIJEM	\N	171	42167	UROK	\N	\N
3469639	4287	1996-11-30	PRIJEM	\N	153	35105	UROK	\N	\N
3469640	4287	1996-12-31	PRIJEM	\N	118	27799	UROK	\N	\N
3469641	4287	1997-01-31	PRIJEM	\N	77	23281	UROK	\N	\N
3469642	4287	1997-02-28	PRIJEM	\N	96	29582	UROK	\N	\N
3469643	4287	1997-03-31	PRIJEM	\N	123	33810	UROK	\N	\N
3469644	4287	1997-04-30	PRIJEM	\N	138	32154	UROK	\N	\N
3469645	4287	1997-05-31	PRIJEM	\N	131	29590	UROK	\N	\N
3469646	4287	1997-06-30	PRIJEM	\N	109	23375	UROK	\N	\N
3469647	4287	1997-07-31	PRIJEM	\N	104	22344	UROK	\N	\N
3469648	4287	1997-08-31	PRIJEM	\N	92	23441	UROK	\N	\N
3469649	4287	1997-09-30	PRIJEM	\N	95	23242	UROK	\N	\N
3469650	4287	1997-10-31	PRIJEM	\N	98	18705	UROK	\N	\N
3469651	4287	1997-11-30	PRIJEM	\N	77	17467	UROK	\N	\N
3469652	4287	1997-12-31	PRIJEM	\N	76	24259	UROK	\N	\N
3469653	4287	1998-01-31	PRIJEM	\N	76	16100	UROK	\N	\N
3469654	4287	1998-02-28	PRIJEM	\N	65	16770	UROK	\N	\N
3469655	4287	1998-03-31	PRIJEM	\N	71	21547	UROK	\N	\N
3469656	4287	1998-04-30	PRIJEM	\N	86	21039	UROK	\N	\N
3469657	4287	1998-05-31	PRIJEM	\N	82	17046	UROK	\N	\N
3469658	4287	1998-06-30	PRIJEM	\N	70	19231	UROK	\N	\N
3469659	4287	1998-07-31	PRIJEM	\N	79	21516	UROK	\N	\N
3469660	4287	1998-08-31	PRIJEM	\N	97	24119	UROK	\N	\N
3469661	4287	1998-09-30	PRIJEM	\N	94	19738	UROK	\N	\N
3469662	4287	1998-10-31	PRIJEM	\N	78	19622	UROK	\N	\N
3469663	4287	1998-11-30	PRIJEM	\N	76	18503	UROK	\N	\N
3469664	4287	1998-12-31	PRIJEM	\N	69	15787	UROK	\N	\N
3469665	4296	1993-02-28	PRIJEM	\N	7	24136	UROK	\N	\N
3469666	4296	1993-03-31	PRIJEM	\N	105	35270	UROK	\N	\N
3469667	4296	1993-04-30	PRIJEM	\N	148	38847	UROK	\N	\N
3469668	4296	1993-05-31	PRIJEM	\N	163	41139	UROK	\N	\N
3469669	4296	1993-06-30	PRIJEM	\N	162	29094	UROK	\N	\N
3469670	4296	1993-07-31	PRIJEM	\N	152	32560	UROK	\N	\N
3469671	4296	1993-08-31	PRIJEM	\N	141	39816	UROK	\N	\N
3469672	4296	1993-09-30	PRIJEM	\N	167	41097	UROK	\N	\N
3469673	4296	1993-10-31	PRIJEM	\N	173	43384	UROK	\N	\N
3469674	4296	1993-11-30	PRIJEM	\N	183	45882	UROK	\N	\N
3469675	4296	1993-12-31	PRIJEM	\N	221	43622	UROK	\N	\N
3469676	4296	1994-01-31	PRIJEM	\N	179	33115	UROK	\N	\N
3469677	4296	1994-02-28	PRIJEM	\N	142	37371	UROK	\N	\N
3469678	4296	1994-03-31	PRIJEM	\N	168	42454	UROK	\N	\N
3469679	4296	1994-04-30	PRIJEM	\N	181	46049	UROK	\N	\N
3469680	4296	1994-05-31	PRIJEM	\N	192	46655	UROK	\N	\N
3469681	4296	1994-06-30	PRIJEM	\N	159	27713	UROK	\N	\N
3469682	4296	1994-07-31	PRIJEM	\N	128	35215	UROK	\N	\N
3469683	4296	1994-08-31	PRIJEM	\N	153	39983	UROK	\N	\N
3469684	4296	1994-09-30	PRIJEM	\N	172	44170	UROK	\N	\N
3469685	4296	1994-10-31	PRIJEM	\N	191	49075	UROK	\N	\N
3469686	4296	1994-11-30	PRIJEM	\N	214	45883	UROK	\N	\N
3469687	4296	1994-12-31	PRIJEM	\N	205	52227	UROK	\N	\N
3469688	4296	1995-01-31	PRIJEM	\N	213	39894	UROK	\N	\N
3469689	4296	1995-02-28	PRIJEM	\N	192	48820	UROK	\N	\N
3469690	4296	1995-03-31	PRIJEM	\N	219	48934	UROK	\N	\N
3469691	4296	1995-04-30	PRIJEM	\N	208	51957	UROK	\N	\N
3469692	4296	1995-05-31	PRIJEM	\N	224	56495	UROK	\N	\N
3469693	4296	1995-06-30	PRIJEM	\N	240	58754	UROK	\N	\N
3469694	4296	1995-07-31	PRIJEM	\N	246	59914	UROK	\N	\N
3469695	4296	1995-08-31	PRIJEM	\N	247	56615	UROK	\N	\N
3469696	4296	1995-09-30	PRIJEM	\N	226	52055	UROK	\N	\N
3469697	4296	1995-10-31	PRIJEM	\N	226	56796	UROK	\N	\N
3469698	4296	1995-11-30	PRIJEM	\N	235	56025	UROK	\N	\N
3469699	4296	1995-12-31	PRIJEM	\N	238	57742	UROK	\N	\N
3469700	4296	1996-01-31	PRIJEM	\N	212	43708	UROK	\N	\N
3469701	4296	1996-02-29	PRIJEM	\N	225	62248	UROK	\N	\N
3469702	4296	1996-03-31	PRIJEM	\N	248	58810	UROK	\N	\N
3469703	4296	1996-04-30	PRIJEM	\N	257	63242	UROK	\N	\N
3469704	4296	1996-05-31	PRIJEM	\N	274	67470	UROK	\N	\N
3469705	4296	1996-06-30	PRIJEM	\N	278	70287	UROK	\N	\N
3469706	4296	1996-07-31	PRIJEM	\N	293	71494	UROK	\N	\N
3469707	4296	1996-08-31	PRIJEM	\N	290	71639	UROK	\N	\N
3469708	4296	1996-09-30	PRIJEM	\N	304	74956	UROK	\N	\N
3469709	4296	1996-10-31	PRIJEM	\N	295	73786	UROK	\N	\N
3469710	4296	1996-11-30	PRIJEM	\N	282	70982	UROK	\N	\N
3469711	4296	1996-12-31	PRIJEM	\N	313	76314	UROK	\N	\N
3469712	4296	1997-01-31	PRIJEM	\N	249	46998	UROK	\N	\N
3469713	4296	1997-02-28	PRIJEM	\N	211	54823	UROK	\N	\N
3469714	4296	1997-03-31	PRIJEM	\N	239	60376	UROK	\N	\N
3469715	4296	1997-04-30	PRIJEM	\N	254	61723	UROK	\N	\N
3469716	4296	1997-05-31	PRIJEM	\N	240	62337	UROK	\N	\N
3469717	4296	1997-06-30	PRIJEM	\N	238	65274	UROK	\N	\N
3469718	4296	1997-07-31	PRIJEM	\N	227	57755	UROK	\N	\N
3469719	4296	1997-08-31	PRIJEM	\N	237	58307	UROK	\N	\N
3469720	4296	1997-09-30	PRIJEM	\N	227	53748	UROK	\N	\N
3469721	4296	1997-10-31	PRIJEM	\N	211	50673	UROK	\N	\N
3469722	4296	1997-11-30	PRIJEM	\N	208	51395	UROK	\N	\N
3469723	4296	1997-12-31	PRIJEM	\N	193	54107	UROK	\N	\N
3469724	4296	1998-01-31	PRIJEM	\N	156	39677	UROK	\N	\N
3469725	4296	1998-02-28	PRIJEM	\N	180	48271	UROK	\N	\N
3469726	4296	1998-03-31	PRIJEM	\N	197	47462	UROK	\N	\N
3469727	4296	1998-04-30	PRIJEM	\N	206	53082	UROK	\N	\N
3469728	4296	1998-05-31	PRIJEM	\N	205	46182	UROK	\N	\N
3469729	4296	1998-06-30	PRIJEM	\N	213	57174	UROK	\N	\N
3469730	4296	1998-07-31	PRIJEM	\N	221	48250	UROK	\N	\N
3469731	4296	1998-08-31	PRIJEM	\N	188	25352	UROK	\N	\N
3469732	4296	1998-09-30	PRIJEM	\N	122	28548	UROK	\N	\N
3469733	4296	1998-10-31	PRIJEM	\N	111	26773	UROK	\N	\N
3469734	4296	1998-11-30	PRIJEM	\N	102	21189	UROK	\N	\N
3469735	4296	1998-12-31	PRIJEM	\N	98	46966	UROK	\N	\N
3469736	4301	1997-07-31	PRIJEM	\N	19	22959	UROK	\N	\N
3469737	4301	1997-08-31	PRIJEM	\N	108	35706	UROK	\N	\N
3469738	4301	1997-09-30	PRIJEM	\N	152	39098	UROK	\N	\N
3469739	4301	1997-10-31	PRIJEM	\N	164	41102	UROK	\N	\N
3469740	4301	1997-11-30	PRIJEM	\N	173	34515	UROK	\N	\N
3469741	4301	1997-12-31	PRIJEM	\N	173	38983	UROK	\N	\N
3469742	4301	1998-01-31	PRIJEM	\N	160	25568	UROK	\N	\N
3469743	4301	1998-02-28	PRIJEM	\N	114	31808	UROK	\N	\N
3469744	4301	1998-03-31	PRIJEM	\N	151	32784	UROK	\N	\N
3469745	4301	1998-04-30	PRIJEM	\N	136	32646	UROK	\N	\N
3469746	4301	1998-05-31	PRIJEM	\N	133	30604	UROK	\N	\N
3469747	4301	1998-06-30	PRIJEM	\N	128	25528	UROK	\N	\N
3469748	4301	1998-07-31	PRIJEM	\N	111	28664	UROK	\N	\N
3469749	4301	1998-08-31	PRIJEM	\N	105	15894	UROK	\N	\N
3469750	4301	1998-09-30	PRIJEM	\N	72	19291	UROK	\N	\N
3469751	4301	1998-10-31	PRIJEM	\N	76	15892	UROK	\N	\N
3469752	4301	1998-11-30	PRIJEM	\N	73	19690	UROK	\N	\N
3469753	4301	1998-12-31	PRIJEM	\N	128	36914	UROK	\N	\N
3469754	4321	1993-05-31	PRIJEM	\N	140	67143	UROK	\N	\N
3469755	4321	1993-06-30	PRIJEM	\N	279	44022	UROK	\N	\N
3469756	4321	1993-07-31	PRIJEM	\N	279	36001	UROK	\N	\N
3469757	4321	1993-08-31	PRIJEM	\N	300	108527	UROK	\N	\N
3469758	4321	1993-09-30	PRIJEM	\N	330	88695	UROK	\N	\N
3469759	4321	1993-10-31	PRIJEM	\N	246	45697	UROK	\N	\N
3469760	4321	1993-11-30	PRIJEM	\N	289	84465	UROK	\N	\N
3469761	4321	1993-12-31	PRIJEM	\N	289	44897	UROK	\N	\N
3469762	4321	1994-01-31	PRIJEM	\N	161	37074	UROK	\N	\N
3469763	4321	1994-02-28	PRIJEM	\N	159	66100	UROK	\N	\N
3469764	4321	1994-03-31	PRIJEM	\N	302	91332	UROK	\N	\N
3469765	4321	1994-04-30	PRIJEM	\N	382	103190	UROK	\N	\N
3469766	4321	1994-05-31	PRIJEM	\N	368	78318	UROK	\N	\N
3469767	4321	1994-06-30	PRIJEM	\N	274	38083	UROK	\N	\N
3469768	4321	1994-07-31	PRIJEM	\N	253	53581	UROK	\N	\N
3469769	4321	1994-08-31	PRIJEM	\N	203	46172	UROK	\N	\N
3469770	4321	1994-09-30	PRIJEM	\N	278	72707	UROK	\N	\N
3469771	4321	1994-10-31	PRIJEM	\N	377	104286	UROK	\N	\N
3469772	4321	1994-11-30	PRIJEM	\N	313	64819	UROK	\N	\N
3469773	4321	1994-12-31	PRIJEM	\N	194	78431	UROK	\N	\N
3469774	4321	1995-01-31	PRIJEM	\N	225	61935	UROK	\N	\N
3469775	4321	1995-02-28	PRIJEM	\N	349	92628	UROK	\N	\N
3469776	4321	1995-03-31	PRIJEM	\N	424	79785	UROK	\N	\N
3469777	4321	1995-04-30	PRIJEM	\N	283	60261	UROK	\N	\N
3469778	4321	1995-05-31	PRIJEM	\N	406	97702	UROK	\N	\N
3469779	4321	1995-06-30	PRIJEM	\N	351	81592	UROK	\N	\N
3469780	4321	1995-07-31	PRIJEM	\N	336	71872	UROK	\N	\N
3469781	4321	1995-08-31	PRIJEM	\N	261	32726	UROK	\N	\N
3469782	4321	1995-09-30	PRIJEM	\N	229	98539	UROK	\N	\N
3469783	4321	1995-10-31	PRIJEM	\N	255	51357	UROK	\N	\N
3469784	4321	1995-11-30	PRIJEM	\N	292	85587	UROK	\N	\N
3469785	4321	1995-12-31	PRIJEM	\N	354	105697	UROK	\N	\N
3469786	4321	1996-01-31	PRIJEM	\N	276	51158	UROK	\N	\N
3469787	4321	1996-02-29	PRIJEM	\N	163	36337	UROK	\N	\N
3469788	4321	1996-03-31	PRIJEM	\N	149	36671	UROK	\N	\N
3469789	4321	1996-04-30	PRIJEM	\N	152	31313	UROK	\N	\N
3469790	4321	1996-05-31	PRIJEM	\N	133	45481	UROK	\N	\N
3469791	4321	1996-06-30	PRIJEM	\N	180	37399	UROK	\N	\N
3469792	4321	1996-07-31	PRIJEM	\N	184	54738	UROK	\N	\N
3469793	4321	1996-08-31	PRIJEM	\N	264	77390	UROK	\N	\N
3469794	4321	1996-09-30	PRIJEM	\N	319	77724	UROK	\N	\N
3469795	4321	1996-10-31	PRIJEM	\N	320	76028	UROK	\N	\N
3469796	4321	1996-11-30	PRIJEM	\N	310	69285	UROK	\N	\N
3469797	4321	1996-12-31	PRIJEM	\N	281	67958	UROK	\N	\N
3469798	4321	1997-01-31	PRIJEM	\N	332	81823	UROK	\N	\N
3469799	4321	1997-02-28	PRIJEM	\N	316	45287	UROK	\N	\N
3469800	4321	1997-03-31	PRIJEM	\N	209	110221	UROK	\N	\N
3469801	4321	1997-04-30	PRIJEM	\N	276	109634	UROK	\N	\N
3469802	4321	1997-05-31	PRIJEM	\N	455	99415	UROK	\N	\N
3469803	4321	1997-06-30	PRIJEM	\N	387	76430	UROK	\N	\N
3469804	4321	1997-07-31	PRIJEM	\N	356	82197	UROK	\N	\N
3469805	4321	1997-08-31	PRIJEM	\N	384	98500	UROK	\N	\N
3469806	4321	1997-09-30	PRIJEM	\N	381	82208	UROK	\N	\N
3469807	4321	1997-10-31	PRIJEM	\N	427	103031	UROK	\N	\N
3469808	4321	1997-11-30	PRIJEM	\N	498	99326	UROK	\N	\N
3469809	4321	1997-12-31	PRIJEM	\N	361	80623	UROK	\N	\N
3469810	4321	1998-01-31	PRIJEM	\N	299	84182	UROK	\N	\N
3469811	4321	1998-02-28	PRIJEM	\N	401	113247	UROK	\N	\N
3469812	4321	1998-03-31	PRIJEM	\N	451	106403	UROK	\N	\N
3469813	4321	1998-04-30	PRIJEM	\N	441	115709	UROK	\N	\N
3469814	4321	1998-05-31	PRIJEM	\N	507	116751	UROK	\N	\N
3469815	4321	1998-06-30	PRIJEM	\N	471	70934	UROK	\N	\N
3469816	4321	1998-07-31	PRIJEM	\N	283	63389	UROK	\N	\N
3469817	4321	1998-08-31	PRIJEM	\N	290	85771	UROK	\N	\N
3469818	4321	1998-09-30	PRIJEM	\N	329	83101	UROK	\N	\N
3469819	4321	1998-10-31	PRIJEM	\N	353	102270	UROK	\N	\N
3469820	4321	1998-11-30	PRIJEM	\N	354	94066	UROK	\N	\N
3469821	4321	1998-12-31	PRIJEM	\N	389	113400	UROK	\N	\N
3469822	4328	1994-07-31	PRIJEM	\N	30	14842	UROK	\N	\N
3469823	4328	1994-08-31	PRIJEM	\N	73	20227	UROK	\N	\N
3469824	4328	1994-09-30	PRIJEM	\N	89	22428	UROK	\N	\N
3469825	4328	1994-10-31	PRIJEM	\N	105	27645	UROK	\N	\N
3469826	4328	1994-11-30	PRIJEM	\N	121	26978	UROK	\N	\N
3469827	4328	1994-12-31	PRIJEM	\N	125	30006	UROK	\N	\N
3469828	4328	1995-01-31	PRIJEM	\N	99	18702	UROK	\N	\N
3469829	4328	1995-02-28	PRIJEM	\N	89	23088	UROK	\N	\N
3469830	4328	1995-03-31	PRIJEM	\N	101	25086	UROK	\N	\N
3469831	4328	1995-04-30	PRIJEM	\N	109	25992	UROK	\N	\N
3469832	4328	1995-05-31	PRIJEM	\N	108	26098	UROK	\N	\N
3469833	4328	1995-06-30	PRIJEM	\N	93	18695	UROK	\N	\N
3469834	4328	1995-07-31	PRIJEM	\N	91	23583	UROK	\N	\N
3469835	4328	1995-08-31	PRIJEM	\N	96	23076	UROK	\N	\N
3469836	4328	1995-09-30	PRIJEM	\N	100	24474	UROK	\N	\N
3469837	4328	1995-10-31	PRIJEM	\N	110	26781	UROK	\N	\N
3469838	4328	1995-11-30	PRIJEM	\N	114	27692	UROK	\N	\N
3469839	4328	1995-12-31	PRIJEM	\N	126	30821	UROK	\N	\N
3469840	4328	1996-01-31	PRIJEM	\N	101	19019	UROK	\N	\N
3469841	4328	1996-02-29	PRIJEM	\N	108	26525	UROK	\N	\N
3469842	4328	1996-03-31	PRIJEM	\N	130	29853	UROK	\N	\N
3469843	4328	1996-04-30	PRIJEM	\N	138	34287	UROK	\N	\N
3469844	4328	1996-05-31	PRIJEM	\N	151	37036	UROK	\N	\N
3469845	4328	1996-06-30	PRIJEM	\N	138	18277	UROK	\N	\N
3469846	4328	1996-07-31	PRIJEM	\N	98	21672	UROK	\N	\N
3469847	4328	1996-08-31	PRIJEM	\N	110	27279	UROK	\N	\N
3469848	4328	1996-09-30	PRIJEM	\N	135	31811	UROK	\N	\N
3469849	4328	1996-10-31	PRIJEM	\N	139	34248	UROK	\N	\N
3469850	4328	1996-11-30	PRIJEM	\N	148	36093	UROK	\N	\N
3469851	4328	1996-12-31	PRIJEM	\N	161	37058	UROK	\N	\N
3469852	4328	1997-01-31	PRIJEM	\N	127	24782	UROK	\N	\N
3469853	4328	1997-02-28	PRIJEM	\N	113	26593	UROK	\N	\N
3469854	4328	1997-03-31	PRIJEM	\N	115	28005	UROK	\N	\N
3469855	4328	1997-04-30	PRIJEM	\N	132	33335	UROK	\N	\N
3469856	4328	1997-05-31	PRIJEM	\N	150	37081	UROK	\N	\N
3469857	4328	1997-06-30	PRIJEM	\N	166	38251	UROK	\N	\N
3469858	4328	1997-07-31	PRIJEM	\N	152	36700	UROK	\N	\N
3469859	4328	1997-08-31	PRIJEM	\N	121	30119	UROK	\N	\N
3469860	4328	1997-09-30	PRIJEM	\N	124	28840	UROK	\N	\N
3469861	4328	1997-10-31	PRIJEM	\N	119	28456	UROK	\N	\N
3469862	4328	1997-11-30	PRIJEM	\N	118	26771	UROK	\N	\N
3469863	4328	1997-12-31	PRIJEM	\N	127	27001	UROK	\N	\N
3469864	4328	1998-01-31	PRIJEM	\N	98	13997	UROK	\N	\N
3469865	4328	1998-02-28	PRIJEM	\N	60	17654	UROK	\N	\N
3469866	4328	1998-03-31	PRIJEM	\N	76	19928	UROK	\N	\N
3469867	4328	1998-04-30	PRIJEM	\N	87	21512	UROK	\N	\N
3469868	4328	1998-05-31	PRIJEM	\N	90	25599	UROK	\N	\N
3469869	4328	1998-06-30	PRIJEM	\N	101	16604	UROK	\N	\N
3469870	4328	1998-07-31	PRIJEM	\N	67	16368	UROK	\N	\N
3469871	4328	1998-08-31	PRIJEM	\N	62	10927	UROK	\N	\N
3469872	4328	1998-09-30	PRIJEM	\N	40	7365	UROK	\N	\N
3469873	4328	1998-10-31	PRIJEM	\N	31	4492	UROK	\N	\N
3469874	4328	1998-11-30	PRIJEM	\N	15	3004	UROK	\N	\N
3469875	4328	1998-12-31	PRIJEM	\N	35	12043	UROK	\N	\N
3469876	4329	1994-02-28	PRIJEM	\N	4	2204	UROK	\N	\N
3469877	4329	1994-03-31	PRIJEM	\N	32	14935	UROK	\N	\N
3469878	4329	1994-04-30	PRIJEM	\N	66	18801	UROK	\N	\N
3469879	4329	1994-05-31	PRIJEM	\N	84	21620	UROK	\N	\N
3469880	4329	1994-06-30	PRIJEM	\N	95	24601	UROK	\N	\N
3469881	4329	1994-07-31	PRIJEM	\N	103	25039	UROK	\N	\N
3469882	4329	1994-08-31	PRIJEM	\N	106	26231	UROK	\N	\N
3469883	4329	1994-09-30	PRIJEM	\N	114	28931	UROK	\N	\N
3469884	4329	1994-10-31	PRIJEM	\N	123	30239	UROK	\N	\N
3469885	4329	1994-11-30	PRIJEM	\N	222	73007	UROK	\N	\N
3469886	4329	1994-12-31	PRIJEM	\N	279	55628	UROK	\N	\N
3469887	4329	1995-01-31	PRIJEM	\N	183	34647	UROK	\N	\N
3469888	4329	1995-02-28	PRIJEM	\N	135	29967	UROK	\N	\N
3469889	4329	1995-03-31	PRIJEM	\N	170	47235	UROK	\N	\N
3469890	4329	1995-04-30	PRIJEM	\N	220	57389	UROK	\N	\N
3469891	4329	1995-05-31	PRIJEM	\N	196	40170	UROK	\N	\N
3469892	4329	1995-06-30	PRIJEM	\N	149	33404	UROK	\N	\N
3469893	4329	1995-07-31	PRIJEM	\N	130	30019	UROK	\N	\N
3469894	4329	1995-08-31	PRIJEM	\N	113	25667	UROK	\N	\N
3469895	4329	1995-09-30	PRIJEM	\N	100	23452	UROK	\N	\N
3469896	4329	1995-10-31	PRIJEM	\N	97	23835	UROK	\N	\N
3469897	4329	1995-11-30	PRIJEM	\N	93	21013	UROK	\N	\N
3469898	4329	1995-12-31	PRIJEM	\N	86	21684	UROK	\N	\N
3469899	4329	1996-01-31	PRIJEM	\N	75	16445	UROK	\N	\N
3469900	4329	1996-02-29	PRIJEM	\N	67	16597	UROK	\N	\N
3469901	4329	1996-03-31	PRIJEM	\N	70	17653	UROK	\N	\N
3469902	4329	1996-04-30	PRIJEM	\N	64	16152	UROK	\N	\N
3469903	4329	1996-05-31	PRIJEM	\N	113	31392	UROK	\N	\N
3469904	4329	1996-06-30	PRIJEM	\N	115	24692	UROK	\N	\N
3469905	4329	1996-07-31	PRIJEM	\N	90	21068	UROK	\N	\N
3469906	4329	1996-08-31	PRIJEM	\N	182	63281	UROK	\N	\N
3469907	4329	1996-09-30	PRIJEM	\N	179	35595	UROK	\N	\N
3469908	4329	1996-10-31	PRIJEM	\N	124	24305	UROK	\N	\N
3469909	4329	1996-11-30	PRIJEM	\N	83	17074	UROK	\N	\N
3469910	4329	1996-12-31	PRIJEM	\N	75	18534	UROK	\N	\N
3469911	4329	1997-01-31	PRIJEM	\N	66	16535	UROK	\N	\N
3469912	4329	1997-02-28	PRIJEM	\N	66	15886	UROK	\N	\N
3469913	4329	1997-03-31	PRIJEM	\N	70	18842	UROK	\N	\N
3469914	4329	1997-04-30	PRIJEM	\N	75	18003	UROK	\N	\N
3469915	4329	1997-05-31	PRIJEM	\N	70	16658	UROK	\N	\N
3469916	4329	1997-06-30	PRIJEM	\N	69	17612	UROK	\N	\N
3469917	4329	1997-07-31	PRIJEM	\N	76	20574	UROK	\N	\N
3469918	4329	1997-08-31	PRIJEM	\N	71	22025	UROK	\N	\N
3469919	4329	1997-09-30	PRIJEM	\N	93	15053	UROK	\N	\N
3469920	4329	1997-10-31	PRIJEM	\N	66	18004	UROK	\N	\N
3469921	4329	1997-11-30	PRIJEM	\N	136	22573	UROK	\N	\N
3469922	4329	1997-12-31	PRIJEM	\N	87	14746	UROK	\N	\N
3469923	4329	1998-01-31	PRIJEM	\N	64	16895	UROK	\N	\N
3469924	4329	1998-02-28	PRIJEM	\N	170	26410	UROK	\N	\N
3469925	4329	1998-03-31	PRIJEM	\N	118	38872	UROK	\N	\N
3469926	4329	1998-04-30	PRIJEM	\N	155	22762	UROK	\N	\N
3469927	4329	1998-05-31	PRIJEM	\N	94	19441	UROK	\N	\N
3469928	4329	1998-06-30	PRIJEM	\N	80	17357	UROK	\N	\N
3469929	4329	1998-07-31	PRIJEM	\N	71	14813	UROK	\N	\N
3469930	4329	1998-08-31	PRIJEM	\N	65	18464	UROK	\N	\N
3469931	4329	1998-09-30	PRIJEM	\N	80	22229	UROK	\N	\N
3469932	4329	1998-10-31	PRIJEM	\N	91	20805	UROK	\N	\N
3469933	4329	1998-11-30	PRIJEM	\N	86	21377	UROK	\N	\N
3469934	4329	1998-12-31	PRIJEM	\N	91	23853	UROK	\N	\N
3469935	4343	1993-12-31	PRIJEM	\N	36	26644	UROK	\N	\N
3469936	4343	1994-01-31	PRIJEM	\N	118	31767	UROK	\N	\N
3469937	4343	1994-02-28	PRIJEM	\N	140	37912	UROK	\N	\N
3469938	4343	1994-03-31	PRIJEM	\N	158	38575	UROK	\N	\N
3469939	4343	1994-04-30	PRIJEM	\N	160	38741	UROK	\N	\N
3469940	4343	1994-05-31	PRIJEM	\N	166	41697	UROK	\N	\N
3469941	4343	1994-06-30	PRIJEM	\N	171	29061	UROK	\N	\N
3469942	4343	1994-07-31	PRIJEM	\N	127	30078	UROK	\N	\N
3469943	4343	1994-08-31	PRIJEM	\N	140	38808	UROK	\N	\N
3469944	4343	1994-09-30	PRIJEM	\N	170	43368	UROK	\N	\N
3469945	4343	1994-10-31	PRIJEM	\N	182	43141	UROK	\N	\N
3469946	4343	1994-11-30	PRIJEM	\N	185	46016	UROK	\N	\N
3469947	4343	1994-12-31	PRIJEM	\N	198	46207	UROK	\N	\N
3469948	4343	1995-01-31	PRIJEM	\N	181	29379	UROK	\N	\N
3469949	4343	1995-02-28	PRIJEM	\N	148	42118	UROK	\N	\N
3469950	4343	1995-03-31	PRIJEM	\N	184	46592	UROK	\N	\N
3469951	4343	1995-04-30	PRIJEM	\N	200	49782	UROK	\N	\N
3469952	4343	1995-05-31	PRIJEM	\N	214	53287	UROK	\N	\N
3469953	4343	1995-06-30	PRIJEM	\N	231	50711	UROK	\N	\N
3469954	4343	1995-07-31	PRIJEM	\N	215	52917	UROK	\N	\N
3469955	4343	1995-08-31	PRIJEM	\N	222	54029	UROK	\N	\N
3469956	4343	1995-09-30	PRIJEM	\N	219	49639	UROK	\N	\N
3469957	4343	1995-10-31	PRIJEM	\N	216	53545	UROK	\N	\N
3469958	4343	1995-11-30	PRIJEM	\N	219	52454	UROK	\N	\N
3469959	4343	1995-12-31	PRIJEM	\N	237	53785	UROK	\N	\N
3469960	4343	1996-01-31	PRIJEM	\N	222	39798	UROK	\N	\N
3469961	4343	1996-02-29	PRIJEM	\N	194	47982	UROK	\N	\N
3469962	4343	1996-03-31	PRIJEM	\N	217	48290	UROK	\N	\N
3469963	4343	1996-04-30	PRIJEM	\N	228	57908	UROK	\N	\N
3469964	4343	1996-05-31	PRIJEM	\N	249	61247	UROK	\N	\N
3469965	4343	1996-06-30	PRIJEM	\N	218	49959	UROK	\N	\N
3469966	4343	1996-07-31	PRIJEM	\N	221	54670	UROK	\N	\N
3469967	4343	1996-08-31	PRIJEM	\N	222	45682	UROK	\N	\N
3469968	4343	1996-09-30	PRIJEM	\N	219	54992	UROK	\N	\N
3469969	4343	1996-10-31	PRIJEM	\N	251	62333	UROK	\N	\N
3469970	4343	1996-11-30	PRIJEM	\N	266	64890	UROK	\N	\N
3469971	4343	1996-12-31	PRIJEM	\N	267	63350	UROK	\N	\N
3469972	4343	1997-01-31	PRIJEM	\N	224	49164	UROK	\N	\N
3469973	4343	1997-02-28	PRIJEM	\N	248	61303	UROK	\N	\N
3469974	4343	1997-03-31	PRIJEM	\N	266	65159	UROK	\N	\N
3469975	4343	1997-04-30	PRIJEM	\N	324	66073	UROK	\N	\N
3469976	4343	1997-05-31	PRIJEM	\N	272	66035	UROK	\N	\N
3469977	4343	1997-06-30	PRIJEM	\N	284	55713	UROK	\N	\N
3469978	4343	1997-07-31	PRIJEM	\N	291	72894	UROK	\N	\N
3469979	4343	1997-08-31	PRIJEM	\N	342	84526	UROK	\N	\N
3469980	4343	1997-09-30	PRIJEM	\N	360	87877	UROK	\N	\N
3469981	4343	1997-10-31	PRIJEM	\N	373	86541	UROK	\N	\N
3469982	4343	1997-11-30	PRIJEM	\N	366	88897	UROK	\N	\N
3469983	4343	1997-12-31	PRIJEM	\N	412	102203	UROK	\N	\N
3469984	4343	1998-01-31	PRIJEM	\N	370	76763	UROK	\N	\N
3469985	4343	1998-02-28	PRIJEM	\N	318	92672	UROK	\N	\N
3469986	4343	1998-03-31	PRIJEM	\N	390	94152	UROK	\N	\N
3469987	4343	1998-04-30	PRIJEM	\N	396	98739	UROK	\N	\N
3469988	4343	1998-05-31	PRIJEM	\N	345	81174	UROK	\N	\N
3469989	4343	1998-06-30	PRIJEM	\N	327	72294	UROK	\N	\N
3469990	4343	1998-07-31	PRIJEM	\N	298	76583	UROK	\N	\N
3469991	4343	1998-08-31	PRIJEM	\N	314	76487	UROK	\N	\N
3469992	4343	1998-09-30	PRIJEM	\N	314	77291	UROK	\N	\N
3469993	4343	1998-10-31	PRIJEM	\N	318	78999	UROK	\N	\N
3469994	4343	1998-11-30	PRIJEM	\N	362	79151	UROK	\N	\N
3469995	4343	1998-12-31	PRIJEM	\N	403	101348	UROK	\N	\N
3469996	4347	1993-04-30	PRIJEM	\N	9	12709	UROK	\N	\N
3469997	4347	1993-05-31	PRIJEM	\N	93	25614	UROK	\N	\N
3469998	4347	1993-06-30	PRIJEM	\N	108	27222	UROK	\N	\N
3469999	4347	1993-07-31	PRIJEM	\N	113	27635	UROK	\N	\N
3470000	4347	1993-08-31	PRIJEM	\N	114	28185	UROK	\N	\N
3470001	4347	1993-09-30	PRIJEM	\N	117	27987	UROK	\N	\N
3470002	4347	1993-10-31	PRIJEM	\N	117	28389	UROK	\N	\N
3470003	4347	1993-11-30	PRIJEM	\N	119	29094	UROK	\N	\N
3470004	4347	1993-12-31	PRIJEM	\N	119	28598	UROK	\N	\N
3470005	4347	1994-01-31	PRIJEM	\N	187	35787	UROK	\N	\N
3470006	4347	1994-02-28	PRIJEM	\N	145	32417	UROK	\N	\N
3470007	4347	1994-03-31	PRIJEM	\N	131	28633	UROK	\N	\N
3470008	4347	1994-04-30	PRIJEM	\N	115	25534	UROK	\N	\N
3470009	4347	1994-05-31	PRIJEM	\N	125	35841	UROK	\N	\N
3470010	4347	1994-06-30	PRIJEM	\N	109	20135	UROK	\N	\N
3470011	4347	1994-07-31	PRIJEM	\N	87	22508	UROK	\N	\N
3470012	4347	1994-08-31	PRIJEM	\N	96	23789	UROK	\N	\N
3470013	4347	1994-09-30	PRIJEM	\N	97	21171	UROK	\N	\N
3470014	4347	1994-10-31	PRIJEM	\N	86	20042	UROK	\N	\N
3470015	4347	1994-11-30	PRIJEM	\N	87	22315	UROK	\N	\N
3470016	4347	1994-12-31	PRIJEM	\N	86	18386	UROK	\N	\N
3470017	4347	1995-01-31	PRIJEM	\N	72	14094	UROK	\N	\N
3470018	4347	1995-02-28	PRIJEM	\N	64	17543	UROK	\N	\N
3470019	4347	1995-03-31	PRIJEM	\N	75	18904	UROK	\N	\N
3470020	4347	1995-04-30	PRIJEM	\N	80	19669	UROK	\N	\N
3470021	4347	1995-05-31	PRIJEM	\N	86	21840	UROK	\N	\N
3470022	4347	1995-06-30	PRIJEM	\N	86	20461	UROK	\N	\N
3470023	4347	1995-07-31	PRIJEM	\N	123	37371	UROK	\N	\N
3470024	4347	1995-08-31	PRIJEM	\N	135	29042	UROK	\N	\N
3470025	4347	1995-09-30	PRIJEM	\N	108	23034	UROK	\N	\N
3470026	4347	1995-10-31	PRIJEM	\N	84	17254	UROK	\N	\N
3470027	4347	1995-11-30	PRIJEM	\N	127	38796	UROK	\N	\N
3470028	4347	1995-12-31	PRIJEM	\N	134	25015	UROK	\N	\N
3470029	4347	1996-01-31	PRIJEM	\N	80	14430	UROK	\N	\N
3470030	4347	1996-02-29	PRIJEM	\N	58	13873	UROK	\N	\N
3470031	4347	1996-03-31	PRIJEM	\N	59	14918	UROK	\N	\N
3470032	4347	1996-04-30	PRIJEM	\N	61	14864	UROK	\N	\N
3470033	4347	1996-05-31	PRIJEM	\N	61	15010	UROK	\N	\N
3470034	4347	1996-06-30	PRIJEM	\N	60	14506	UROK	\N	\N
3470035	4347	1996-07-31	PRIJEM	\N	59	14651	UROK	\N	\N
3470036	4347	1996-08-31	PRIJEM	\N	63	16299	UROK	\N	\N
3470037	4347	1996-09-30	PRIJEM	\N	67	16201	UROK	\N	\N
3470038	4347	1996-10-31	PRIJEM	\N	69	17856	UROK	\N	\N
3470039	4347	1996-11-30	PRIJEM	\N	182	54328	UROK	\N	\N
3470040	4347	1996-12-31	PRIJEM	\N	183	69491	UROK	\N	\N
3470041	4347	1997-01-31	PRIJEM	\N	131	25107	UROK	\N	\N
3470042	4347	1997-02-28	PRIJEM	\N	100	23742	UROK	\N	\N
3470043	4347	1997-03-31	PRIJEM	\N	97	24725	UROK	\N	\N
3470044	4347	1997-04-30	PRIJEM	\N	78	13788	UROK	\N	\N
3470045	4347	1997-05-31	PRIJEM	\N	105	38464	UROK	\N	\N
3470046	4347	1997-06-30	PRIJEM	\N	106	17655	UROK	\N	\N
3470047	4347	1997-07-31	PRIJEM	\N	71	17412	UROK	\N	\N
3470048	4347	1997-08-31	PRIJEM	\N	71	17668	UROK	\N	\N
3470049	4347	1997-09-30	PRIJEM	\N	71	17424	UROK	\N	\N
3470050	4347	1997-10-31	PRIJEM	\N	71	18031	UROK	\N	\N
3470051	4347	1997-11-30	PRIJEM	\N	113	35386	UROK	\N	\N
3470052	4347	1997-12-31	PRIJEM	\N	101	18373	UROK	\N	\N
3470053	4347	1998-01-31	PRIJEM	\N	143	18638	UROK	\N	\N
3470054	4347	1998-02-28	PRIJEM	\N	74	18097	UROK	\N	\N
3470055	4347	1998-03-31	PRIJEM	\N	71	16954	UROK	\N	\N
3470056	4347	1998-04-30	PRIJEM	\N	68	17907	UROK	\N	\N
3470057	4347	1998-05-31	PRIJEM	\N	72	18864	UROK	\N	\N
3470058	4347	1998-06-30	PRIJEM	\N	76	19825	UROK	\N	\N
3470059	4347	1998-07-31	PRIJEM	\N	80	20790	UROK	\N	\N
3470060	4347	1998-08-31	PRIJEM	\N	84	21759	UROK	\N	\N
3470061	4347	1998-09-30	PRIJEM	\N	84	20679	UROK	\N	\N
3470062	4347	1998-10-31	PRIJEM	\N	148	27103	UROK	\N	\N
3470063	4347	1998-11-30	PRIJEM	\N	109	26197	UROK	\N	\N
3470064	4347	1998-12-31	PRIJEM	\N	104	25637	UROK	\N	\N
3470065	4349	1996-10-31	PRIJEM	\N	57	26525	UROK	\N	\N
3470066	4349	1996-11-30	PRIJEM	\N	145	42138	UROK	\N	\N
3470067	4349	1996-12-31	PRIJEM	\N	213	58803	UROK	\N	\N
3470068	4349	1997-01-31	PRIJEM	\N	240	57311	UROK	\N	\N
3470069	4349	1997-02-28	PRIJEM	\N	242	59121	UROK	\N	\N
3470070	4349	1997-03-31	PRIJEM	\N	242	57316	UROK	\N	\N
3470071	4349	1997-04-30	PRIJEM	\N	235	56005	UROK	\N	\N
3470072	4349	1997-05-31	PRIJEM	\N	238	58196	UROK	\N	\N
3470073	4349	1997-06-30	PRIJEM	\N	223	48657	UROK	\N	\N
3470074	4349	1997-07-31	PRIJEM	\N	201	44811	UROK	\N	\N
3470075	4349	1997-08-31	PRIJEM	\N	200	50164	UROK	\N	\N
3470076	4349	1997-09-30	PRIJEM	\N	183	38601	UROK	\N	\N
3470077	4349	1997-10-31	PRIJEM	\N	166	40720	UROK	\N	\N
3470078	4349	1997-11-30	PRIJEM	\N	168	29651	UROK	\N	\N
3470079	4349	1997-12-31	PRIJEM	\N	185	46074	UROK	\N	\N
3470080	4349	1998-01-31	PRIJEM	\N	169	20920	UROK	\N	\N
3470081	4349	1998-02-28	PRIJEM	\N	179	53753	UROK	\N	\N
3470082	4349	1998-03-31	PRIJEM	\N	164	27034	UROK	\N	\N
3470083	4349	1998-04-30	PRIJEM	\N	152	33369	UROK	\N	\N
3470084	4349	1998-05-31	PRIJEM	\N	193	46116	UROK	\N	\N
3470085	4349	1998-06-30	PRIJEM	\N	225	46860	UROK	\N	\N
3470086	4349	1998-07-31	PRIJEM	\N	240	62253	UROK	\N	\N
3470087	4349	1998-08-31	PRIJEM	\N	292	73699	UROK	\N	\N
3470088	4349	1998-09-30	PRIJEM	\N	302	67254	UROK	\N	\N
3470089	4349	1998-10-31	PRIJEM	\N	280	63987	UROK	\N	\N
3470090	4349	1998-11-30	PRIJEM	\N	297	69037	UROK	\N	\N
3470091	4349	1998-12-31	PRIJEM	\N	307	85266	UROK	\N	\N
3470092	4350	1993-04-30	PRIJEM	\N	62	18627	UROK	\N	\N
3470093	4350	1993-05-31	PRIJEM	\N	150	40442	UROK	\N	\N
3470094	4350	1993-06-30	PRIJEM	\N	235	60524	UROK	\N	\N
3470095	4350	1993-07-31	PRIJEM	\N	258	62648	UROK	\N	\N
3470096	4350	1993-08-31	PRIJEM	\N	264	63776	UROK	\N	\N
3470097	4350	1993-09-30	PRIJEM	\N	257	58743	UROK	\N	\N
3470098	4350	1993-10-31	PRIJEM	\N	233	56027	UROK	\N	\N
3470099	4350	1993-11-30	PRIJEM	\N	160	56138	UROK	\N	\N
3470100	4350	1993-12-31	PRIJEM	\N	217	43307	UROK	\N	\N
3470101	4350	1994-01-31	PRIJEM	\N	213	36331	UROK	\N	\N
3470102	4350	1994-02-28	PRIJEM	\N	202	52644	UROK	\N	\N
3470103	4350	1994-03-31	PRIJEM	\N	195	41289	UROK	\N	\N
3470104	4350	1994-04-30	PRIJEM	\N	172	43512	UROK	\N	\N
3470105	4350	1994-05-31	PRIJEM	\N	199	44101	UROK	\N	\N
3470106	4350	1994-06-30	PRIJEM	\N	144	31597	UROK	\N	\N
3470107	4350	1994-07-31	PRIJEM	\N	136	41184	UROK	\N	\N
3470108	4350	1994-08-31	PRIJEM	\N	172	43107	UROK	\N	\N
3470109	4350	1994-09-30	PRIJEM	\N	181	45938	UROK	\N	\N
3470110	4350	1994-10-31	PRIJEM	\N	191	45979	UROK	\N	\N
3470111	4350	1994-11-30	PRIJEM	\N	210	43759	UROK	\N	\N
3470112	4350	1994-12-31	PRIJEM	\N	189	48541	UROK	\N	\N
3470113	4350	1995-01-31	PRIJEM	\N	157	30209	UROK	\N	\N
3470114	4350	1995-02-28	PRIJEM	\N	134	40193	UROK	\N	\N
3470115	4350	1995-03-31	PRIJEM	\N	171	44814	UROK	\N	\N
3470116	4350	1995-04-30	PRIJEM	\N	189	48354	UROK	\N	\N
3470117	4350	1995-05-31	PRIJEM	\N	203	50807	UROK	\N	\N
3470118	4350	1995-06-30	PRIJEM	\N	219	49199	UROK	\N	\N
3470119	4350	1995-07-31	PRIJEM	\N	214	57763	UROK	\N	\N
3470120	4350	1995-08-31	PRIJEM	\N	246	62960	UROK	\N	\N
3470121	4350	1995-09-30	PRIJEM	\N	265	66376	UROK	\N	\N
3470122	4350	1995-10-31	PRIJEM	\N	272	64398	UROK	\N	\N
3470123	4350	1995-11-30	PRIJEM	\N	274	69122	UROK	\N	\N
3470124	4350	1995-12-31	PRIJEM	\N	307	74142	UROK	\N	\N
3470125	4350	1996-01-31	PRIJEM	\N	264	58916	UROK	\N	\N
3470126	4350	1996-02-29	PRIJEM	\N	257	67124	UROK	\N	\N
3470127	4350	1996-03-31	PRIJEM	\N	292	65806	UROK	\N	\N
3470128	4350	1996-04-30	PRIJEM	\N	275	66832	UROK	\N	\N
3470129	4350	1996-05-31	PRIJEM	\N	284	71066	UROK	\N	\N
3470130	4350	1996-06-30	PRIJEM	\N	280	65379	UROK	\N	\N
3470131	4350	1996-07-31	PRIJEM	\N	284	69373	UROK	\N	\N
3470132	4350	1996-08-31	PRIJEM	\N	295	73518	UROK	\N	\N
3470133	4350	1996-09-30	PRIJEM	\N	315	77424	UROK	\N	\N
3470134	4350	1996-10-31	PRIJEM	\N	326	80300	UROK	\N	\N
3470135	4350	1996-11-30	PRIJEM	\N	344	85155	UROK	\N	\N
3470136	4350	1996-12-31	PRIJEM	\N	383	89450	UROK	\N	\N
3470137	4350	1997-01-31	PRIJEM	\N	328	77028	UROK	\N	\N
3470138	4350	1997-02-28	PRIJEM	\N	351	90730	UROK	\N	\N
3470139	4350	1997-03-31	PRIJEM	\N	383	94764	UROK	\N	\N
3470140	4350	1997-04-30	PRIJEM	\N	413	103727	UROK	\N	\N
3470141	4350	1997-05-31	PRIJEM	\N	379	79356	UROK	\N	\N
3470142	4350	1997-06-30	PRIJEM	\N	286	58156	UROK	\N	\N
3470143	4350	1997-07-31	PRIJEM	\N	307	83013	UROK	\N	\N
3470144	4350	1997-08-31	PRIJEM	\N	377	95700	UROK	\N	\N
3470145	4350	1997-09-30	PRIJEM	\N	423	102973	UROK	\N	\N
3470146	4350	1997-10-31	PRIJEM	\N	330	77734	UROK	\N	\N
3470147	4350	1997-11-30	PRIJEM	\N	396	103380	UROK	\N	\N
3470148	4350	1997-12-31	PRIJEM	\N	420	103513	UROK	\N	\N
3470149	4350	1998-01-31	PRIJEM	\N	396	85999	UROK	\N	\N
3470150	4350	1998-02-28	PRIJEM	\N	411	113260	UROK	\N	\N
3470151	4350	1998-03-31	PRIJEM	\N	460	113270	UROK	\N	\N
3470152	4350	1998-04-30	PRIJEM	\N	476	115576	UROK	\N	\N
3470153	4350	1998-05-31	PRIJEM	\N	430	99337	UROK	\N	\N
3470154	4350	1998-06-30	PRIJEM	\N	520	68589	UROK	\N	\N
3470155	4350	1998-07-31	PRIJEM	\N	356	109396	UROK	\N	\N
3470156	4350	1998-08-31	PRIJEM	\N	372	86918	UROK	\N	\N
3470157	4350	1998-09-30	PRIJEM	\N	490	68658	UROK	\N	\N
3470158	4350	1998-10-31	PRIJEM	\N	303	75911	UROK	\N	\N
3470159	4350	1998-11-30	PRIJEM	\N	341	85703	UROK	\N	\N
3470160	4350	1998-12-31	PRIJEM	\N	439	108934	UROK	\N	\N
3470161	4355	1993-03-31	PRIJEM	\N	23	19016	UROK	\N	\N
3470162	4355	1993-04-30	PRIJEM	\N	85	22801	UROK	\N	\N
3470163	4355	1993-05-31	PRIJEM	\N	100	25286	UROK	\N	\N
3470164	4355	1993-06-30	PRIJEM	\N	107	24579	UROK	\N	\N
3470165	4355	1993-07-31	PRIJEM	\N	104	25169	UROK	\N	\N
3470166	4355	1993-08-31	PRIJEM	\N	150	41593	UROK	\N	\N
3470167	4355	1993-09-30	PRIJEM	\N	160	31238	UROK	\N	\N
3470168	4355	1993-10-31	PRIJEM	\N	122	25995	UROK	\N	\N
3470169	4355	1993-11-30	PRIJEM	\N	113	26894	UROK	\N	\N
3470170	4355	1993-12-31	PRIJEM	\N	110	27589	UROK	\N	\N
3470171	4355	1994-01-31	PRIJEM	\N	101	19526	UROK	\N	\N
3470172	4355	1994-02-28	PRIJEM	\N	87	22999	UROK	\N	\N
3470173	4355	1994-03-31	PRIJEM	\N	98	23533	UROK	\N	\N
3470174	4355	1994-04-30	PRIJEM	\N	106	27924	UROK	\N	\N
3470175	4355	1994-05-31	PRIJEM	\N	116	28176	UROK	\N	\N
3470176	4355	1994-06-30	PRIJEM	\N	116	22703	UROK	\N	\N
3470177	4355	1994-07-31	PRIJEM	\N	95	23384	UROK	\N	\N
3470178	4355	1994-08-31	PRIJEM	\N	102	26121	UROK	\N	\N
3470179	4355	1994-09-30	PRIJEM	\N	107	25613	UROK	\N	\N
3470180	4355	1994-10-31	PRIJEM	\N	108	26506	UROK	\N	\N
3470181	4355	1994-11-30	PRIJEM	\N	109	26100	UROK	\N	\N
3470182	4355	1994-12-31	PRIJEM	\N	124	38172	UROK	\N	\N
3470183	4355	1995-01-31	PRIJEM	\N	115	18623	UROK	\N	\N
3470184	4355	1995-02-28	PRIJEM	\N	84	22693	UROK	\N	\N
3470185	4355	1995-03-31	PRIJEM	\N	91	21769	UROK	\N	\N
3470186	4355	1995-04-30	PRIJEM	\N	96	24651	UROK	\N	\N
3470187	4355	1995-05-31	PRIJEM	\N	95	22531	UROK	\N	\N
3470188	4355	1995-06-30	PRIJEM	\N	85	14101	UROK	\N	\N
3470189	4355	1995-07-31	PRIJEM	\N	68	18454	UROK	\N	\N
3470190	4355	1995-08-31	PRIJEM	\N	219	79218	UROK	\N	\N
3470191	4355	1995-09-30	PRIJEM	\N	269	48672	UROK	\N	\N
3470192	4355	1995-10-31	PRIJEM	\N	171	34829	UROK	\N	\N
3470193	4355	1995-11-30	PRIJEM	\N	128	27142	UROK	\N	\N
3470194	4355	1995-12-31	PRIJEM	\N	97	19025	UROK	\N	\N
3470195	4355	1996-01-31	PRIJEM	\N	98	14150	UROK	\N	\N
3470196	4355	1996-02-29	PRIJEM	\N	63	17098	UROK	\N	\N
3470197	4355	1996-03-31	PRIJEM	\N	65	14399	UROK	\N	\N
3470198	4355	1996-04-30	PRIJEM	\N	64	17348	UROK	\N	\N
3470199	4355	1996-05-31	PRIJEM	\N	69	16902	UROK	\N	\N
3470200	4355	1996-06-30	PRIJEM	\N	122	55556	UROK	\N	\N
3470201	4355	1996-07-31	PRIJEM	\N	195	39436	UROK	\N	\N
3470202	4355	1996-08-31	PRIJEM	\N	134	27356	UROK	\N	\N
3470203	4355	1996-09-30	PRIJEM	\N	100	23041	UROK	\N	\N
3470204	4355	1996-10-31	PRIJEM	\N	95	23672	UROK	\N	\N
3470205	4355	1996-11-30	PRIJEM	\N	102	26659	UROK	\N	\N
3470206	4355	1996-12-31	PRIJEM	\N	95	19140	UROK	\N	\N
3470207	4355	1997-01-31	PRIJEM	\N	119	42974	UROK	\N	\N
3470208	4355	1997-02-28	PRIJEM	\N	152	27711	UROK	\N	\N
3470209	4355	1997-03-31	PRIJEM	\N	88	18284	UROK	\N	\N
3470210	4355	1997-04-30	PRIJEM	\N	79	21249	UROK	\N	\N
3470211	4355	1997-05-31	PRIJEM	\N	91	24225	UROK	\N	\N
3470212	4355	1997-06-30	PRIJEM	\N	72	19582	UROK	\N	\N
3470213	4355	1997-07-31	PRIJEM	\N	73	19290	UROK	\N	\N
3470214	4355	1997-08-31	PRIJEM	\N	83	22259	UROK	\N	\N
3470215	4355	1997-09-30	PRIJEM	\N	90	13534	UROK	\N	\N
3470216	4355	1997-10-31	PRIJEM	\N	59	16479	UROK	\N	\N
3470217	4355	1997-11-30	PRIJEM	\N	71	19435	UROK	\N	\N
3470218	4355	1997-12-31	PRIJEM	\N	90	31752	UROK	\N	\N
3470219	4355	1998-01-31	PRIJEM	\N	110	22847	UROK	\N	\N
3470220	4355	1998-02-28	PRIJEM	\N	97	25829	UROK	\N	\N
3470221	4355	1998-03-31	PRIJEM	\N	194	29633	UROK	\N	\N
3470222	4355	1998-04-30	PRIJEM	\N	125	32644	UROK	\N	\N
3470223	4355	1998-05-31	PRIJEM	\N	135	34114	UROK	\N	\N
3470224	4355	1998-06-30	PRIJEM	\N	118	24618	UROK	\N	\N
3470225	4355	1998-07-31	PRIJEM	\N	104	27607	UROK	\N	\N
3470226	4355	1998-08-31	PRIJEM	\N	126	57436	UROK	\N	\N
3470227	4355	1998-09-30	PRIJEM	\N	204	27625	UROK	\N	\N
3470228	4355	1998-10-31	PRIJEM	\N	117	30627	UROK	\N	\N
3470229	4355	1998-11-30	PRIJEM	\N	106	15218	UROK	\N	\N
3470230	4355	1998-12-31	PRIJEM	\N	65	18168	UROK	\N	\N
3470231	4368	1995-02-28	PRIJEM	\N	35	16759	UROK	\N	\N
3470232	4368	1995-03-31	PRIJEM	\N	90	26873	UROK	\N	\N
3470233	4368	1995-04-30	PRIJEM	\N	118	29714	UROK	\N	\N
3470234	4368	1995-05-31	PRIJEM	\N	128	31866	UROK	\N	\N
3470235	4368	1995-06-30	PRIJEM	\N	140	35442	UROK	\N	\N
3470236	4368	1995-07-31	PRIJEM	\N	136	30688	UROK	\N	\N
3470237	4368	1995-08-31	PRIJEM	\N	134	33331	UROK	\N	\N
3470238	4368	1995-09-30	PRIJEM	\N	152	38692	UROK	\N	\N
3470239	4368	1995-10-31	PRIJEM	\N	150	30452	UROK	\N	\N
3470240	4368	1995-11-30	PRIJEM	\N	137	34298	UROK	\N	\N
3470241	4368	1995-12-31	PRIJEM	\N	163	41782	UROK	\N	\N
3470242	4368	1996-01-31	PRIJEM	\N	143	22134	UROK	\N	\N
3470243	4368	1996-02-29	PRIJEM	\N	125	31062	UROK	\N	\N
3470244	4368	1996-03-31	PRIJEM	\N	153	39724	UROK	\N	\N
3470245	4368	1996-04-30	PRIJEM	\N	172	41706	UROK	\N	\N
3470246	4368	1996-05-31	PRIJEM	\N	174	41989	UROK	\N	\N
3470247	4368	1996-06-30	PRIJEM	\N	189	46799	UROK	\N	\N
3470248	4368	1996-07-31	PRIJEM	\N	168	38463	UROK	\N	\N
3470249	4368	1996-08-31	PRIJEM	\N	177	43850	UROK	\N	\N
3470250	4368	1996-09-30	PRIJEM	\N	220	45279	UROK	\N	\N
3470251	4368	1996-10-31	PRIJEM	\N	226	42813	UROK	\N	\N
3470252	4368	1996-11-30	PRIJEM	\N	200	49723	UROK	\N	\N
3470253	4368	1996-12-31	PRIJEM	\N	250	62795	UROK	\N	\N
3470254	4368	1997-01-31	PRIJEM	\N	182	31185	UROK	\N	\N
3470255	4368	1997-02-28	PRIJEM	\N	187	49082	UROK	\N	\N
3470256	4368	1997-03-31	PRIJEM	\N	133	23950	UROK	\N	\N
3470257	4368	1997-04-30	PRIJEM	\N	134	21545	UROK	\N	\N
3470258	4368	1997-05-31	PRIJEM	\N	145	38300	UROK	\N	\N
3470259	4368	1997-06-30	PRIJEM	\N	177	39779	UROK	\N	\N
3470260	4368	1997-07-31	PRIJEM	\N	166	27520	UROK	\N	\N
3470261	4368	1997-08-31	PRIJEM	\N	123	29353	UROK	\N	\N
3470262	4368	1997-09-30	PRIJEM	\N	140	33902	UROK	\N	\N
3470263	4368	1997-10-31	PRIJEM	\N	127	30166	UROK	\N	\N
3470264	4368	1997-11-30	PRIJEM	\N	188	49364	UROK	\N	\N
3470265	4368	1997-12-31	PRIJEM	\N	258	65844	UROK	\N	\N
3470266	4368	1998-01-31	PRIJEM	\N	207	43660	UROK	\N	\N
3470267	4368	1998-02-28	PRIJEM	\N	196	49979	UROK	\N	\N
3470268	4368	1998-03-31	PRIJEM	\N	245	61733	UROK	\N	\N
3470269	4368	1998-04-30	PRIJEM	\N	243	70486	UROK	\N	\N
3470270	4368	1998-05-31	PRIJEM	\N	228	48889	UROK	\N	\N
3470271	4368	1998-06-30	PRIJEM	\N	228	57939	UROK	\N	\N
3470272	4368	1998-07-31	PRIJEM	\N	251	59499	UROK	\N	\N
3470273	4368	1998-08-31	PRIJEM	\N	255	62367	UROK	\N	\N
3470274	4368	1998-09-30	PRIJEM	\N	255	55132	UROK	\N	\N
3470275	4368	1998-10-31	PRIJEM	\N	207	47850	UROK	\N	\N
3470276	4368	1998-11-30	PRIJEM	\N	185	45568	UROK	\N	\N
3470277	4375	1996-11-30	PRIJEM	\N	21	37004	UROK	\N	\N
3470278	4375	1996-12-31	PRIJEM	\N	214	44442	UROK	\N	\N
3470279	4375	1997-01-31	PRIJEM	\N	194	56819	UROK	\N	\N
3470280	4375	1997-02-28	PRIJEM	\N	313	41915	UROK	\N	\N
3470281	4375	1997-03-31	PRIJEM	\N	211	41382	UROK	\N	\N
3470282	4375	1997-04-30	PRIJEM	\N	225	45392	UROK	\N	\N
3470283	4375	1997-05-31	PRIJEM	\N	238	46909	UROK	\N	\N
3470284	4375	1997-06-30	PRIJEM	\N	304	49323	UROK	\N	\N
3470285	4375	1997-07-31	PRIJEM	\N	263	53878	UROK	\N	\N
3470286	4375	1997-08-31	PRIJEM	\N	233	56442	UROK	\N	\N
3470287	4375	1997-09-30	PRIJEM	\N	246	66556	UROK	\N	\N
3470288	4375	1997-10-31	PRIJEM	\N	332	58956	UROK	\N	\N
3470289	4375	1997-11-30	PRIJEM	\N	311	65935	UROK	\N	\N
3470290	4375	1997-12-31	PRIJEM	\N	343	54487	UROK	\N	\N
3470291	4375	1998-01-31	PRIJEM	\N	192	42298	UROK	\N	\N
3470292	4375	1998-02-28	PRIJEM	\N	198	48727	UROK	\N	\N
3470293	4375	1998-03-31	PRIJEM	\N	220	62115	UROK	\N	\N
3470294	4375	1998-04-30	PRIJEM	\N	264	66948	UROK	\N	\N
3470295	4375	1998-05-31	PRIJEM	\N	352	62427	UROK	\N	\N
3470296	4375	1998-06-30	PRIJEM	\N	301	51737	UROK	\N	\N
3470297	4375	1998-07-31	PRIJEM	\N	228	46555	UROK	\N	\N
3470298	4375	1998-08-31	PRIJEM	\N	230	68354	UROK	\N	\N
3470299	4375	1998-09-30	PRIJEM	\N	295	67346	UROK	\N	\N
3470300	4375	1998-10-31	PRIJEM	\N	303	71485	UROK	\N	\N
3470301	4375	1998-11-30	PRIJEM	\N	239	35330	UROK	\N	\N
3470302	4375	1998-12-31	PRIJEM	\N	224	63763	UROK	\N	\N
3470303	4379	1996-07-31	PRIJEM	\N	8	15387	UROK	\N	\N
3470304	4379	1996-08-31	PRIJEM	\N	68	20934	UROK	\N	\N
3470305	4379	1996-09-30	PRIJEM	\N	91	26304	UROK	\N	\N
3470306	4379	1996-10-31	PRIJEM	\N	111	28294	UROK	\N	\N
3470307	4379	1996-11-30	PRIJEM	\N	115	25588	UROK	\N	\N
3470308	4379	1996-12-31	PRIJEM	\N	114	25546	UROK	\N	\N
3470309	4379	1997-01-31	PRIJEM	\N	85	12895	UROK	\N	\N
3470310	4379	1997-02-28	PRIJEM	\N	58	17718	UROK	\N	\N
3470311	4379	1997-03-31	PRIJEM	\N	76	19858	UROK	\N	\N
3470312	4379	1997-04-30	PRIJEM	\N	84	21106	UROK	\N	\N
3470313	4379	1997-05-31	PRIJEM	\N	86	19556	UROK	\N	\N
3470314	4379	1997-06-30	PRIJEM	\N	79	16379	UROK	\N	\N
3470315	4379	1997-07-31	PRIJEM	\N	66	14810	UROK	\N	\N
3470316	4379	1997-08-31	PRIJEM	\N	65	17239	UROK	\N	\N
3470317	4379	1997-09-30	PRIJEM	\N	70	16374	UROK	\N	\N
3470318	4379	1997-10-31	PRIJEM	\N	66	14904	UROK	\N	\N
3470319	4379	1997-11-30	PRIJEM	\N	64	17272	UROK	\N	\N
3470320	4379	1997-12-31	PRIJEM	\N	67	11763	UROK	\N	\N
3470321	4379	1998-01-31	PRIJEM	\N	54	13541	UROK	\N	\N
3470322	4379	1998-02-28	PRIJEM	\N	55	12560	UROK	\N	\N
3470323	4379	1998-03-31	PRIJEM	\N	54	13778	UROK	\N	\N
3470324	4379	1998-04-30	PRIJEM	\N	56	12998	UROK	\N	\N
3470325	4379	1998-05-31	PRIJEM	\N	51	11413	UROK	\N	\N
3470326	4379	1998-06-30	PRIJEM	\N	48	11765	UROK	\N	\N
3470327	4379	1998-07-31	PRIJEM	\N	49	17479	UROK	\N	\N
3470328	4379	1998-08-31	PRIJEM	\N	73	23216	UROK	\N	\N
3470329	4379	1998-09-30	PRIJEM	\N	71	11352	UROK	\N	\N
3470330	4379	1998-10-31	PRIJEM	\N	55	14912	UROK	\N	\N
3470331	4379	1998-11-30	PRIJEM	\N	62	20638	UROK	\N	\N
3470332	4379	1998-12-31	PRIJEM	\N	67	12409	UROK	\N	\N
3470333	4385	1993-12-31	PRIJEM	\N	16	12916	UROK	\N	\N
3470334	4385	1994-01-31	PRIJEM	\N	63	19979	UROK	\N	\N
3470335	4385	1994-02-28	PRIJEM	\N	87	23566	UROK	\N	\N
3470336	4385	1994-03-31	PRIJEM	\N	190	50652	UROK	\N	\N
3470337	4385	1994-04-30	PRIJEM	\N	199	40836	UROK	\N	\N
3470338	4385	1994-05-31	PRIJEM	\N	160	33080	UROK	\N	\N
3470339	4385	1994-06-30	PRIJEM	\N	115	23381	UROK	\N	\N
3470340	4385	1994-07-31	PRIJEM	\N	99	23865	UROK	\N	\N
3470341	4385	1994-08-31	PRIJEM	\N	101	24201	UROK	\N	\N
3470342	4385	1994-09-30	PRIJEM	\N	101	23737	UROK	\N	\N
3470343	4385	1994-10-31	PRIJEM	\N	102	25624	UROK	\N	\N
3470344	4385	1994-11-30	PRIJEM	\N	113	29223	UROK	\N	\N
3470345	4385	1994-12-31	PRIJEM	\N	130	30937	UROK	\N	\N
3470346	4385	1995-01-31	PRIJEM	\N	109	21081	UROK	\N	\N
3470347	4385	1995-02-28	PRIJEM	\N	97	25763	UROK	\N	\N
3470348	4385	1995-03-31	PRIJEM	\N	109	25357	UROK	\N	\N
3470349	4385	1995-04-30	PRIJEM	\N	108	26750	UROK	\N	\N
3470350	4385	1995-05-31	PRIJEM	\N	162	48903	UROK	\N	\N
3470351	4385	1995-06-30	PRIJEM	\N	170	27158	UROK	\N	\N
3470352	4385	1995-07-31	PRIJEM	\N	111	26355	UROK	\N	\N
3470353	4385	1995-08-31	PRIJEM	\N	117	29957	UROK	\N	\N
3470354	4385	1995-09-30	PRIJEM	\N	129	30171	UROK	\N	\N
3470355	4385	1995-10-31	PRIJEM	\N	187	61525	UROK	\N	\N
3470356	4385	1995-11-30	PRIJEM	\N	223	48733	UROK	\N	\N
3470357	4385	1995-12-31	PRIJEM	\N	187	40105	UROK	\N	\N
3470358	4385	1996-01-31	PRIJEM	\N	123	19914	UROK	\N	\N
3470359	4385	1996-02-29	PRIJEM	\N	99	33156	UROK	\N	\N
3470360	4385	1996-03-31	PRIJEM	\N	144	35785	UROK	\N	\N
3470361	4385	1996-04-30	PRIJEM	\N	152	37923	UROK	\N	\N
3470362	4385	1996-05-31	PRIJEM	\N	156	37664	UROK	\N	\N
3470363	4385	1996-06-30	PRIJEM	\N	146	34795	UROK	\N	\N
3470364	4385	1996-07-31	PRIJEM	\N	142	34373	UROK	\N	\N
3470365	4385	1996-08-31	PRIJEM	\N	142	34250	UROK	\N	\N
3470366	4385	1996-09-30	PRIJEM	\N	150	37985	UROK	\N	\N
3470367	4385	1996-10-31	PRIJEM	\N	228	60681	UROK	\N	\N
3470368	4385	1996-11-30	PRIJEM	\N	211	44477	UROK	\N	\N
3470369	4385	1996-12-31	PRIJEM	\N	167	40029	UROK	\N	\N
3470370	4385	1997-01-31	PRIJEM	\N	122	16736	UROK	\N	\N
3470371	4385	1997-02-28	PRIJEM	\N	88	27609	UROK	\N	\N
3470372	4385	1997-03-31	PRIJEM	\N	128	32523	UROK	\N	\N
3470373	4385	1997-04-30	PRIJEM	\N	134	35968	UROK	\N	\N
3470374	4385	1997-05-31	PRIJEM	\N	139	32092	UROK	\N	\N
3470375	4385	1997-06-30	PRIJEM	\N	123	30451	UROK	\N	\N
3470376	4385	1997-07-31	PRIJEM	\N	122	29058	UROK	\N	\N
3470377	4385	1997-08-31	PRIJEM	\N	107	23250	UROK	\N	\N
3470378	4385	1997-09-30	PRIJEM	\N	210	72135	UROK	\N	\N
3470379	4385	1997-10-31	PRIJEM	\N	227	44597	UROK	\N	\N
3470380	4385	1997-11-30	PRIJEM	\N	153	32736	UROK	\N	\N
3470381	4385	1997-12-31	PRIJEM	\N	112	23333	UROK	\N	\N
3470382	4385	1998-01-31	PRIJEM	\N	82	19146	UROK	\N	\N
3470383	4385	1998-02-28	PRIJEM	\N	70	19301	UROK	\N	\N
3470384	4385	1998-03-31	PRIJEM	\N	72	17058	UROK	\N	\N
3470385	4385	1998-04-30	PRIJEM	\N	68	19012	UROK	\N	\N
3470386	4385	1998-05-31	PRIJEM	\N	72	17470	UROK	\N	\N
3470387	4385	1998-06-30	PRIJEM	\N	61	17115	UROK	\N	\N
3470388	4385	1998-07-31	PRIJEM	\N	171	48789	UROK	\N	\N
3470389	4385	1998-08-31	PRIJEM	\N	194	35569	UROK	\N	\N
3470390	4385	1998-09-30	PRIJEM	\N	142	28596	UROK	\N	\N
3470391	4385	1998-10-31	PRIJEM	\N	115	26596	UROK	\N	\N
3470392	4385	1998-11-30	PRIJEM	\N	108	27939	UROK	\N	\N
3470393	4385	1998-12-31	PRIJEM	\N	113	27887	UROK	\N	\N
3470394	4389	1996-08-31	PRIJEM	\N	13	19742	UROK	\N	\N
3470395	4389	1996-09-30	PRIJEM	\N	89	29760	UROK	\N	\N
3470396	4389	1996-10-31	PRIJEM	\N	127	33516	UROK	\N	\N
3470397	4389	1996-11-30	PRIJEM	\N	144	39089	UROK	\N	\N
3470398	4389	1996-12-31	PRIJEM	\N	170	47653	UROK	\N	\N
3470399	4389	1997-01-31	PRIJEM	\N	193	28681	UROK	\N	\N
3470400	4389	1997-02-28	PRIJEM	\N	147	35922	UROK	\N	\N
3470401	4389	1997-03-31	PRIJEM	\N	171	37087	UROK	\N	\N
3470402	4389	1997-04-30	PRIJEM	\N	159	42060	UROK	\N	\N
3470403	4389	1997-05-31	PRIJEM	\N	185	37580	UROK	\N	\N
3470404	4389	1997-06-30	PRIJEM	\N	109	15108	UROK	\N	\N
3470405	4389	1997-07-31	PRIJEM	\N	95	23477	UROK	\N	\N
3470406	4389	1997-08-31	PRIJEM	\N	101	24552	UROK	\N	\N
3470407	4389	1997-09-30	PRIJEM	\N	112	31578	UROK	\N	\N
3470408	4389	1997-10-31	PRIJEM	\N	134	33526	UROK	\N	\N
3470409	4389	1997-11-30	PRIJEM	\N	140	34281	UROK	\N	\N
3470410	4389	1997-12-31	PRIJEM	\N	155	30495	UROK	\N	\N
3470411	4389	1998-01-31	PRIJEM	\N	103	15113	UROK	\N	\N
3470412	4389	1998-02-28	PRIJEM	\N	64	18351	UROK	\N	\N
3470413	4389	1998-03-31	PRIJEM	\N	85	23951	UROK	\N	\N
3470414	4389	1998-04-30	PRIJEM	\N	113	25678	UROK	\N	\N
3470415	4389	1998-05-31	PRIJEM	\N	117	31509	UROK	\N	\N
3470416	4389	1998-06-30	PRIJEM	\N	134	33423	UROK	\N	\N
3470417	4389	1998-07-31	PRIJEM	\N	131	29167	UROK	\N	\N
3470418	4389	1998-08-31	PRIJEM	\N	116	26698	UROK	\N	\N
3470419	4389	1998-09-30	PRIJEM	\N	115	28727	UROK	\N	\N
3470420	4389	1998-10-31	PRIJEM	\N	122	28923	UROK	\N	\N
3470421	4389	1998-11-30	PRIJEM	\N	127	29624	UROK	\N	\N
3470422	4389	1998-12-31	PRIJEM	\N	180	50164	UROK	\N	\N
3470423	4416	1994-02-28	PRIJEM	\N	7	3507	UROK	\N	\N
3470424	4416	1994-03-31	PRIJEM	\N	43	15750	UROK	\N	\N
3470425	4416	1994-04-30	PRIJEM	\N	75	20726	UROK	\N	\N
3470426	4416	1994-05-31	PRIJEM	\N	102	27313	UROK	\N	\N
3470427	4416	1994-06-30	PRIJEM	\N	95	19144	UROK	\N	\N
3470428	4416	1994-07-31	PRIJEM	\N	94	24923	UROK	\N	\N
3470429	4416	1994-08-31	PRIJEM	\N	110	28018	UROK	\N	\N
3470430	4416	1994-09-30	PRIJEM	\N	118	28922	UROK	\N	\N
3470431	4416	1994-10-31	PRIJEM	\N	129	32836	UROK	\N	\N
3470432	4416	1994-11-30	PRIJEM	\N	142	37284	UROK	\N	\N
3470433	4416	1994-12-31	PRIJEM	\N	147	36483	UROK	\N	\N
3470434	4416	1995-01-31	PRIJEM	\N	211	66478	UROK	\N	\N
3470435	4416	1995-02-28	PRIJEM	\N	245	50609	UROK	\N	\N
3470436	4416	1995-03-31	PRIJEM	\N	188	41683	UROK	\N	\N
3470437	4416	1995-04-30	PRIJEM	\N	163	37130	UROK	\N	\N
3470438	4416	1995-05-31	PRIJEM	\N	155	37671	UROK	\N	\N
3470439	4416	1995-06-30	PRIJEM	\N	128	28985	UROK	\N	\N
3470440	4416	1995-07-31	PRIJEM	\N	124	30694	UROK	\N	\N
3470441	4416	1995-08-31	PRIJEM	\N	138	35817	UROK	\N	\N
3470442	4416	1995-09-30	PRIJEM	\N	155	37855	UROK	\N	\N
3470443	4416	1995-10-31	PRIJEM	\N	137	30878	UROK	\N	\N
3470444	4416	1995-11-30	PRIJEM	\N	147	38610	UROK	\N	\N
3470445	4416	1995-12-31	PRIJEM	\N	171	42666	UROK	\N	\N
3470446	4416	1996-01-31	PRIJEM	\N	159	35511	UROK	\N	\N
3470447	4416	1996-02-29	PRIJEM	\N	158	39754	UROK	\N	\N
3470448	4416	1996-03-31	PRIJEM	\N	275	75363	UROK	\N	\N
3470449	4416	1996-04-30	PRIJEM	\N	296	65945	UROK	\N	\N
3470450	4416	1996-05-31	PRIJEM	\N	266	61796	UROK	\N	\N
3470451	4416	1996-06-30	PRIJEM	\N	151	30733	UROK	\N	\N
3470452	4416	1996-07-31	PRIJEM	\N	149	40367	UROK	\N	\N
3470453	4416	1996-08-31	PRIJEM	\N	197	46850	UROK	\N	\N
3470454	4416	1996-09-30	PRIJEM	\N	202	50137	UROK	\N	\N
3470455	4416	1996-10-31	PRIJEM	\N	216	55338	UROK	\N	\N
3470456	4416	1996-11-30	PRIJEM	\N	245	66161	UROK	\N	\N
3470457	4416	1996-12-31	PRIJEM	\N	274	58920	UROK	\N	\N
3470458	4416	1997-01-31	PRIJEM	\N	238	50943	UROK	\N	\N
3470459	4416	1997-02-28	PRIJEM	\N	218	53646	UROK	\N	\N
3470460	4416	1997-03-31	PRIJEM	\N	228	53560	UROK	\N	\N
3470461	4416	1997-04-30	PRIJEM	\N	224	51169	UROK	\N	\N
3470462	4416	1997-05-31	PRIJEM	\N	220	54974	UROK	\N	\N
3470463	4416	1997-06-30	PRIJEM	\N	191	46550	UROK	\N	\N
3470464	4416	1997-07-31	PRIJEM	\N	199	51534	UROK	\N	\N
3470465	4416	1997-08-31	PRIJEM	\N	242	63769	UROK	\N	\N
3470466	4416	1997-09-30	PRIJEM	\N	269	65123	UROK	\N	\N
3470467	4416	1997-10-31	PRIJEM	\N	287	75933	UROK	\N	\N
3470468	4416	1997-11-30	PRIJEM	\N	312	70430	UROK	\N	\N
3470469	4416	1997-12-31	PRIJEM	\N	293	68609	UROK	\N	\N
3470470	4416	1998-01-31	PRIJEM	\N	284	71995	UROK	\N	\N
3470471	4416	1998-02-28	PRIJEM	\N	297	68378	UROK	\N	\N
3470472	4416	1998-03-31	PRIJEM	\N	286	67649	UROK	\N	\N
3470473	4416	1998-04-30	PRIJEM	\N	281	65415	UROK	\N	\N
3470474	4416	1998-05-31	PRIJEM	\N	273	64874	UROK	\N	\N
3470475	4416	1998-06-30	PRIJEM	\N	275	51334	UROK	\N	\N
3470476	4416	1998-07-31	PRIJEM	\N	222	58341	UROK	\N	\N
3470477	4416	1998-08-31	PRIJEM	\N	278	95287	UROK	\N	\N
3470478	4416	1998-09-30	PRIJEM	\N	375	82047	UROK	\N	\N
3470479	4416	1998-10-31	PRIJEM	\N	329	74761	UROK	\N	\N
3470480	4416	1998-11-30	PRIJEM	\N	307	72854	UROK	\N	\N
3470481	4416	1998-12-31	PRIJEM	\N	302	73242	UROK	\N	\N
3470482	4437	1993-10-31	PRIJEM	\N	18	14318	UROK	\N	\N
3470483	4437	1993-11-30	PRIJEM	\N	71	22289	UROK	\N	\N
3470484	4437	1993-12-31	PRIJEM	\N	98	25287	UROK	\N	\N
3470485	4437	1994-01-31	PRIJEM	\N	96	16669	UROK	\N	\N
3470486	4437	1994-02-28	PRIJEM	\N	79	23933	UROK	\N	\N
3470487	4437	1994-03-31	PRIJEM	\N	104	26123	UROK	\N	\N
3470488	4437	1994-04-30	PRIJEM	\N	130	49474	UROK	\N	\N
3470489	4437	1994-05-31	PRIJEM	\N	192	37951	UROK	\N	\N
3470490	4437	1994-06-30	PRIJEM	\N	116	21103	UROK	\N	\N
3470491	4437	1994-07-31	PRIJEM	\N	94	24682	UROK	\N	\N
3470492	4437	1994-08-31	PRIJEM	\N	100	23068	UROK	\N	\N
3470493	4437	1994-09-30	PRIJEM	\N	98	24101	UROK	\N	\N
3470494	4437	1994-10-31	PRIJEM	\N	101	24438	UROK	\N	\N
3470495	4437	1994-11-30	PRIJEM	\N	107	27030	UROK	\N	\N
3470496	4437	1994-12-31	PRIJEM	\N	142	36168	UROK	\N	\N
3470497	4437	1995-01-31	PRIJEM	\N	138	33939	UROK	\N	\N
3470498	4437	1995-02-28	PRIJEM	\N	137	31762	UROK	\N	\N
3470499	4437	1995-03-31	PRIJEM	\N	125	28172	UROK	\N	\N
3470500	4437	1995-04-30	PRIJEM	\N	114	26522	UROK	\N	\N
3470501	4437	1995-05-31	PRIJEM	\N	105	23863	UROK	\N	\N
3470502	4437	1995-06-30	PRIJEM	\N	107	26237	UROK	\N	\N
3470503	4437	1995-07-31	PRIJEM	\N	109	26632	UROK	\N	\N
3470504	4437	1995-08-31	PRIJEM	\N	102	23120	UROK	\N	\N
3470505	4437	1995-09-30	PRIJEM	\N	93	21998	UROK	\N	\N
3470506	4437	1995-10-31	PRIJEM	\N	91	21974	UROK	\N	\N
3470507	4437	1995-11-30	PRIJEM	\N	84	19993	UROK	\N	\N
3470508	4437	1995-12-31	PRIJEM	\N	82	20361	UROK	\N	\N
3470509	4437	1996-01-31	PRIJEM	\N	94	15256	UROK	\N	\N
3470510	4437	1996-02-29	PRIJEM	\N	63	15905	UROK	\N	\N
3470511	4437	1996-03-31	PRIJEM	\N	68	16909	UROK	\N	\N
3470512	4437	1996-04-30	PRIJEM	\N	75	20169	UROK	\N	\N
3470513	4437	1996-05-31	PRIJEM	\N	118	37607	UROK	\N	\N
3470514	4437	1996-06-30	PRIJEM	\N	111	19803	UROK	\N	\N
3470515	4437	1996-07-31	PRIJEM	\N	88	23076	UROK	\N	\N
3470516	4437	1996-08-31	PRIJEM	\N	99	22760	UROK	\N	\N
3470517	4437	1996-09-30	PRIJEM	\N	98	25043	UROK	\N	\N
3470518	4437	1996-10-31	PRIJEM	\N	109	28338	UROK	\N	\N
3470519	4437	1996-11-30	PRIJEM	\N	123	31646	UROK	\N	\N
3470520	4437	1996-12-31	PRIJEM	\N	130	31761	UROK	\N	\N
3470521	4437	1997-01-31	PRIJEM	\N	101	17998	UROK	\N	\N
3470522	4437	1997-02-28	PRIJEM	\N	78	19861	UROK	\N	\N
3470523	4437	1997-03-31	PRIJEM	\N	105	49134	UROK	\N	\N
3470524	4437	1997-04-30	PRIJEM	\N	150	23769	UROK	\N	\N
3470525	4437	1997-05-31	PRIJEM	\N	101	24955	UROK	\N	\N
3470526	4437	1997-06-30	PRIJEM	\N	101	21792	UROK	\N	\N
3470527	4437	1997-07-31	PRIJEM	\N	95	25072	UROK	\N	\N
3470528	4437	1997-08-31	PRIJEM	\N	109	28366	UROK	\N	\N
3470529	4437	1997-09-30	PRIJEM	\N	122	31674	UROK	\N	\N
3470530	4437	1997-10-31	PRIJEM	\N	136	34995	UROK	\N	\N
3470531	4437	1997-11-30	PRIJEM	\N	149	37830	UROK	\N	\N
3470532	4437	1997-12-31	PRIJEM	\N	203	63253	UROK	\N	\N
3470533	4437	1998-01-31	PRIJEM	\N	230	51119	UROK	\N	\N
3470534	4437	1998-02-28	PRIJEM	\N	237	101441	UROK	\N	\N
3470535	4437	1998-03-31	PRIJEM	\N	270	55014	UROK	\N	\N
3470536	4437	1998-04-30	PRIJEM	\N	233	58432	UROK	\N	\N
3470537	4437	1998-05-31	PRIJEM	\N	247	61864	UROK	\N	\N
3470538	4437	1998-06-30	PRIJEM	\N	170	21420	UROK	\N	\N
3470539	4437	1998-07-31	PRIJEM	\N	92	24348	UROK	\N	\N
3470540	4437	1998-08-31	PRIJEM	\N	105	27638	UROK	\N	\N
3470541	4437	1998-09-30	PRIJEM	\N	118	30941	UROK	\N	\N
3470542	4437	1998-10-31	PRIJEM	\N	132	34258	UROK	\N	\N
3470543	4437	1998-11-30	PRIJEM	\N	142	35636	UROK	\N	\N
3470544	4437	1998-12-31	PRIJEM	\N	146	35367	UROK	\N	\N
3470545	4439	1996-01-31	PRIJEM	\N	13	12235	UROK	\N	\N
3470546	4439	1996-02-29	PRIJEM	\N	59	20416	UROK	\N	\N
3470547	4439	1996-03-31	PRIJEM	\N	87	22525	UROK	\N	\N
3470548	4439	1996-04-30	PRIJEM	\N	99	27546	UROK	\N	\N
3470549	4439	1996-05-31	PRIJEM	\N	118	30687	UROK	\N	\N
3470550	4439	1996-06-30	PRIJEM	\N	120	24455	UROK	\N	\N
3470551	4439	1996-07-31	PRIJEM	\N	104	25966	UROK	\N	\N
3470552	4439	1996-08-31	PRIJEM	\N	113	29587	UROK	\N	\N
3470553	4439	1996-09-30	PRIJEM	\N	119	25033	UROK	\N	\N
3470554	4439	1996-10-31	PRIJEM	\N	108	26588	UROK	\N	\N
3470555	4439	1996-11-30	PRIJEM	\N	105	23100	UROK	\N	\N
3470556	4439	1996-12-31	PRIJEM	\N	101	25470	UROK	\N	\N
3470557	4439	1997-01-31	PRIJEM	\N	82	12879	UROK	\N	\N
3470558	4439	1997-02-28	PRIJEM	\N	64	18550	UROK	\N	\N
3470559	4439	1997-03-31	PRIJEM	\N	84	20981	UROK	\N	\N
3470560	4439	1997-04-30	PRIJEM	\N	91	23380	UROK	\N	\N
3470561	4439	1997-05-31	PRIJEM	\N	95	22382	UROK	\N	\N
3470562	4439	1997-06-30	PRIJEM	\N	89	19979	UROK	\N	\N
3470563	4439	1997-07-31	PRIJEM	\N	83	20070	UROK	\N	\N
3470564	4439	1997-08-31	PRIJEM	\N	88	22465	UROK	\N	\N
3470565	4439	1997-09-30	PRIJEM	\N	90	18043	UROK	\N	\N
3470566	4439	1997-10-31	PRIJEM	\N	83	21533	UROK	\N	\N
3470567	4439	1997-11-30	PRIJEM	\N	97	24837	UROK	\N	\N
3470568	4439	1997-12-31	PRIJEM	\N	108	25194	UROK	\N	\N
3470569	4439	1998-01-31	PRIJEM	\N	73	5554	UROK	\N	\N
3470570	4439	1998-02-28	PRIJEM	\N	46	14807	UROK	\N	\N
3470571	4439	1998-03-31	PRIJEM	\N	73	19688	UROK	\N	\N
3470572	4439	1998-04-30	PRIJEM	\N	74	16769	UROK	\N	\N
3470573	4439	1998-05-31	PRIJEM	\N	80	21157	UROK	\N	\N
3470574	4439	1998-06-30	PRIJEM	\N	95	23920	UROK	\N	\N
3470575	4439	1998-07-31	PRIJEM	\N	106	26633	UROK	\N	\N
3470576	4439	1998-08-31	PRIJEM	\N	116	28857	UROK	\N	\N
3470577	4439	1998-09-30	PRIJEM	\N	129	32093	UROK	\N	\N
3470578	4439	1998-10-31	PRIJEM	\N	121	28221	UROK	\N	\N
3470579	4439	1998-11-30	PRIJEM	\N	120	29549	UROK	\N	\N
3470580	4439	1998-12-31	PRIJEM	\N	145	33422	UROK	\N	\N
3470581	4445	1997-09-30	PRIJEM	\N	69	19936	UROK	\N	\N
3470582	4445	1997-10-31	PRIJEM	\N	110	27713	UROK	\N	\N
3470583	4445	1997-11-30	PRIJEM	\N	154	38934	UROK	\N	\N
3470584	4445	1997-12-31	PRIJEM	\N	189	46823	UROK	\N	\N
3470585	4445	1998-01-31	PRIJEM	\N	172	28462	UROK	\N	\N
3470586	4445	1998-02-28	PRIJEM	\N	139	35153	UROK	\N	\N
3470587	4445	1998-03-31	PRIJEM	\N	144	34649	UROK	\N	\N
3470588	4445	1998-04-30	PRIJEM	\N	142	34144	UROK	\N	\N
3470589	4445	1998-05-31	PRIJEM	\N	136	32532	UROK	\N	\N
3470590	4445	1998-06-30	PRIJEM	\N	136	28854	UROK	\N	\N
3470591	4445	1998-07-31	PRIJEM	\N	124	29830	UROK	\N	\N
3470592	4445	1998-08-31	PRIJEM	\N	121	28003	UROK	\N	\N
3470593	4445	1998-09-30	PRIJEM	\N	124	30280	UROK	\N	\N
3470594	4445	1998-10-31	PRIJEM	\N	133	32865	UROK	\N	\N
3470595	4445	1998-11-30	PRIJEM	\N	84	32701	UROK	\N	\N
3470596	4445	1998-12-31	PRIJEM	\N	74	32961	UROK	\N	\N
3470597	4454	1997-01-31	PRIJEM	\N	33	20522	UROK	\N	\N
3470598	4454	1997-02-28	PRIJEM	\N	94	26405	UROK	\N	\N
3470599	4454	1997-03-31	PRIJEM	\N	116	30810	UROK	\N	\N
3470600	4454	1997-04-30	PRIJEM	\N	134	34533	UROK	\N	\N
3470601	4454	1997-05-31	PRIJEM	\N	146	33868	UROK	\N	\N
3470602	4454	1997-06-30	PRIJEM	\N	129	29926	UROK	\N	\N
3470603	4454	1997-07-31	PRIJEM	\N	144	40944	UROK	\N	\N
3470604	4454	1997-08-31	PRIJEM	\N	179	45437	UROK	\N	\N
3470605	4454	1997-09-30	PRIJEM	\N	195	46727	UROK	\N	\N
3470606	4454	1997-10-31	PRIJEM	\N	202	50603	UROK	\N	\N
3470607	4454	1997-11-30	PRIJEM	\N	226	54484	UROK	\N	\N
3470608	4454	1997-12-31	PRIJEM	\N	239	58512	UROK	\N	\N
3470609	4454	1998-01-31	PRIJEM	\N	240	50067	UROK	\N	\N
3470610	4454	1998-02-28	PRIJEM	\N	234	53695	UROK	\N	\N
3470611	4454	1998-03-31	PRIJEM	\N	225	54695	UROK	\N	\N
3470612	4454	1998-04-30	PRIJEM	\N	230	55799	UROK	\N	\N
3470613	4454	1998-05-31	PRIJEM	\N	233	56206	UROK	\N	\N
3470614	4454	1998-06-30	PRIJEM	\N	196	32770	UROK	\N	\N
3470615	4454	1998-07-31	PRIJEM	\N	167	45712	UROK	\N	\N
3470616	4454	1998-08-31	PRIJEM	\N	204	46230	UROK	\N	\N
3470617	4454	1998-09-30	PRIJEM	\N	214	53218	UROK	\N	\N
3470618	4454	1998-10-31	PRIJEM	\N	241	60633	UROK	\N	\N
3470619	4454	1998-11-30	PRIJEM	\N	257	62564	UROK	\N	\N
3470620	4454	1998-12-31	PRIJEM	\N	260	59253	UROK	\N	\N
3470621	4458	1996-07-31	PRIJEM	\N	36	33586	UROK	\N	\N
3470622	4458	1996-08-31	PRIJEM	\N	143	35516	UROK	\N	\N
3470623	4458	1996-09-30	PRIJEM	\N	147	31363	UROK	\N	\N
3470624	4458	1996-10-31	PRIJEM	\N	147	30410	UROK	\N	\N
3470625	4458	1996-11-30	PRIJEM	\N	147	27758	UROK	\N	\N
3470626	4458	1996-12-31	PRIJEM	\N	147	28005	UROK	\N	\N
3470627	4458	1997-01-31	PRIJEM	\N	147	28953	UROK	\N	\N
3470628	4458	1997-02-28	PRIJEM	\N	156	42317	UROK	\N	\N
3470629	4458	1997-03-31	PRIJEM	\N	182	46216	UROK	\N	\N
3470630	4458	1997-04-30	PRIJEM	\N	192	36508	UROK	\N	\N
3470631	4458	1997-05-31	PRIJEM	\N	192	32100	UROK	\N	\N
3470632	4458	1997-06-30	PRIJEM	\N	192	28692	UROK	\N	\N
3470633	4458	1997-07-31	PRIJEM	\N	192	25284	UROK	\N	\N
3470634	4458	1997-08-31	PRIJEM	\N	192	23175	UROK	\N	\N
3470635	4458	1997-09-30	PRIJEM	\N	192	20567	UROK	\N	\N
3470636	4458	1997-10-31	PRIJEM	\N	192	20359	UROK	\N	\N
3470637	4458	1997-11-30	PRIJEM	\N	192	18151	UROK	\N	\N
3470638	4458	1997-12-31	PRIJEM	\N	192	17743	UROK	\N	\N
3470639	4458	1998-01-31	PRIJEM	\N	133	22710	UROK	\N	\N
3470640	4458	1998-02-28	PRIJEM	\N	94	19689	UROK	\N	\N
3470641	4458	1998-03-31	PRIJEM	\N	80	15804	UROK	\N	\N
3470642	4458	1998-04-30	PRIJEM	\N	66	17355	UROK	\N	\N
3470643	4458	1998-05-31	PRIJEM	\N	72	18812	UROK	\N	\N
3470644	4458	1998-06-30	PRIJEM	\N	105	29162	UROK	\N	\N
3470645	4458	1998-07-31	PRIJEM	\N	112	25359	UROK	\N	\N
3470646	4458	1998-08-31	PRIJEM	\N	100	23744	UROK	\N	\N
3470647	4458	1998-09-30	PRIJEM	\N	99	26228	UROK	\N	\N
3470648	4458	1998-10-31	PRIJEM	\N	109	27722	UROK	\N	\N
3470649	4458	1998-11-30	PRIJEM	\N	101	21709	UROK	\N	\N
3470650	4458	1998-12-31	PRIJEM	\N	90	21884	UROK	\N	\N
3470651	4463	1993-09-30	PRIJEM	\N	21	8290	UROK	\N	\N
3470652	4463	1993-10-31	PRIJEM	\N	77	25036	UROK	\N	\N
3470653	4463	1993-11-30	PRIJEM	\N	124	33029	UROK	\N	\N
3470654	4463	1993-12-31	PRIJEM	\N	155	40188	UROK	\N	\N
3470655	4463	1994-01-31	PRIJEM	\N	157	33814	UROK	\N	\N
3470656	4463	1994-02-28	PRIJEM	\N	118	30387	UROK	\N	\N
3470657	4463	1994-03-31	PRIJEM	\N	137	34578	UROK	\N	\N
3470658	4463	1994-04-30	PRIJEM	\N	155	39188	UROK	\N	\N
3470659	4463	1994-05-31	PRIJEM	\N	159	37901	UROK	\N	\N
3470660	4463	1994-06-30	PRIJEM	\N	112	13602	UROK	\N	\N
3470661	4463	1994-07-31	PRIJEM	\N	90	26147	UROK	\N	\N
3470662	4463	1994-08-31	PRIJEM	\N	119	29720	UROK	\N	\N
3470663	4463	1994-09-30	PRIJEM	\N	124	29898	UROK	\N	\N
3470664	4463	1994-10-31	PRIJEM	\N	126	32278	UROK	\N	\N
3470665	4463	1994-11-30	PRIJEM	\N	134	31066	UROK	\N	\N
3470666	4463	1994-12-31	PRIJEM	\N	131	33386	UROK	\N	\N
3470667	4463	1995-01-31	PRIJEM	\N	137	30477	UROK	\N	\N
3470668	4463	1995-02-28	PRIJEM	\N	131	29162	UROK	\N	\N
3470669	4463	1995-03-31	PRIJEM	\N	122	29838	UROK	\N	\N
3470670	4463	1995-04-30	PRIJEM	\N	126	32918	UROK	\N	\N
3470671	4463	1995-05-31	PRIJEM	\N	138	34010	UROK	\N	\N
3470672	4463	1995-06-30	PRIJEM	\N	130	23130	UROK	\N	\N
3470673	4463	1995-07-31	PRIJEM	\N	101	28385	UROK	\N	\N
3470674	4463	1995-08-31	PRIJEM	\N	125	31065	UROK	\N	\N
3470675	4463	1995-09-30	PRIJEM	\N	130	31849	UROK	\N	\N
3470676	4463	1995-10-31	PRIJEM	\N	130	27933	UROK	\N	\N
3470677	4463	1995-11-30	PRIJEM	\N	120	31207	UROK	\N	\N
3470678	4463	1995-12-31	PRIJEM	\N	136	36032	UROK	\N	\N
3470679	4463	1996-01-31	PRIJEM	\N	143	28330	UROK	\N	\N
3470680	4463	1996-02-29	PRIJEM	\N	122	31806	UROK	\N	\N
3470681	4463	1996-03-31	PRIJEM	\N	132	32092	UROK	\N	\N
3470682	4463	1996-04-30	PRIJEM	\N	134	32381	UROK	\N	\N
3470683	4463	1996-05-31	PRIJEM	\N	134	31169	UROK	\N	\N
3470684	4463	1996-06-30	PRIJEM	\N	130	30688	UROK	\N	\N
3470685	4463	1996-07-31	PRIJEM	\N	133	32075	UROK	\N	\N
3470686	4463	1996-08-31	PRIJEM	\N	135	33765	UROK	\N	\N
3470687	4463	1996-09-30	PRIJEM	\N	148	38267	UROK	\N	\N
3470688	4463	1996-10-31	PRIJEM	\N	144	32666	UROK	\N	\N
3470689	4463	1996-11-30	PRIJEM	\N	144	37164	UROK	\N	\N
3470690	4463	1996-12-31	PRIJEM	\N	151	36205	UROK	\N	\N
3470691	4463	1997-01-31	PRIJEM	\N	145	34204	UROK	\N	\N
3470692	4463	1997-02-28	PRIJEM	\N	139	33398	UROK	\N	\N
3470693	4463	1997-03-31	PRIJEM	\N	136	32088	UROK	\N	\N
3470694	4463	1997-04-30	PRIJEM	\N	125	28368	UROK	\N	\N
3470695	4463	1997-05-31	PRIJEM	\N	116	28338	UROK	\N	\N
3470696	4463	1997-06-30	PRIJEM	\N	94	20021	UROK	\N	\N
3470697	4463	1997-07-31	PRIJEM	\N	101	28177	UROK	\N	\N
3470698	4463	1997-08-31	PRIJEM	\N	130	34061	UROK	\N	\N
3470699	4463	1997-09-30	PRIJEM	\N	166	44882	UROK	\N	\N
3470700	4463	1997-10-31	PRIJEM	\N	186	45422	UROK	\N	\N
3470701	4463	1997-11-30	PRIJEM	\N	185	44761	UROK	\N	\N
3470702	4463	1997-12-31	PRIJEM	\N	182	44132	UROK	\N	\N
3470703	4463	1998-01-31	PRIJEM	\N	157	30743	UROK	\N	\N
3470704	4463	1998-02-28	PRIJEM	\N	124	30222	UROK	\N	\N
3470705	4463	1998-03-31	PRIJEM	\N	128	32404	UROK	\N	\N
3470706	4463	1998-04-30	PRIJEM	\N	117	28676	UROK	\N	\N
3470707	4463	1998-05-31	PRIJEM	\N	125	32255	UROK	\N	\N
3470708	4463	1998-06-30	PRIJEM	\N	108	22353	UROK	\N	\N
3470709	4463	1998-07-31	PRIJEM	\N	98	25805	UROK	\N	\N
3470710	4463	1998-08-31	PRIJEM	\N	108	27168	UROK	\N	\N
3470711	4463	1998-09-30	PRIJEM	\N	116	29738	UROK	\N	\N
3470712	4463	1998-10-31	PRIJEM	\N	116	28008	UROK	\N	\N
3470713	4463	1998-11-30	PRIJEM	\N	116	29378	UROK	\N	\N
3470714	4463	1998-12-31	PRIJEM	\N	120	30288	UROK	\N	\N
3470715	4470	1993-11-30	PRIJEM	\N	137	41206	UROK	\N	\N
3470716	4470	1993-12-31	PRIJEM	\N	348	95307	UROK	\N	\N
3470717	4470	1994-01-31	PRIJEM	\N	250	63126	UROK	\N	\N
3470718	4470	1994-02-28	PRIJEM	\N	262	103957	UROK	\N	\N
3470719	4470	1994-03-31	PRIJEM	\N	286	48206	UROK	\N	\N
3470720	4470	1994-04-30	PRIJEM	\N	261	65485	UROK	\N	\N
3470721	4470	1994-05-31	PRIJEM	\N	215	50010	UROK	\N	\N
3470722	4470	1994-06-30	PRIJEM	\N	205	28255	UROK	\N	\N
3470723	4470	1994-07-31	PRIJEM	\N	139	38581	UROK	\N	\N
3470724	4470	1994-08-31	PRIJEM	\N	227	44720	UROK	\N	\N
3470725	4470	1994-09-30	PRIJEM	\N	205	43681	UROK	\N	\N
3470726	4470	1994-10-31	PRIJEM	\N	221	43014	UROK	\N	\N
3470727	4470	1994-11-30	PRIJEM	\N	187	54255	UROK	\N	\N
3470728	4470	1994-12-31	PRIJEM	\N	309	43303	UROK	\N	\N
3470729	4470	1995-01-31	PRIJEM	\N	223	34046	UROK	\N	\N
3470730	4470	1995-02-28	PRIJEM	\N	152	48552	UROK	\N	\N
3470731	4470	1995-03-31	PRIJEM	\N	220	33823	UROK	\N	\N
3470732	4470	1995-04-30	PRIJEM	\N	154	50532	UROK	\N	\N
3470733	4470	1995-05-31	PRIJEM	\N	217	39900	UROK	\N	\N
3470734	4470	1995-06-30	PRIJEM	\N	140	24080	UROK	\N	\N
3470735	4470	1995-07-31	PRIJEM	\N	122	44656	UROK	\N	\N
3470736	4470	1995-08-31	PRIJEM	\N	238	35518	UROK	\N	\N
3470737	4470	1995-09-30	PRIJEM	\N	166	50638	UROK	\N	\N
3470738	4470	1995-10-31	PRIJEM	\N	201	40631	UROK	\N	\N
3470739	4470	1995-11-30	PRIJEM	\N	211	38474	UROK	\N	\N
3470740	4470	1995-12-31	PRIJEM	\N	226	44119	UROK	\N	\N
3470741	4470	1996-01-31	PRIJEM	\N	230	23703	UROK	\N	\N
3470742	4470	1996-02-29	PRIJEM	\N	133	37624	UROK	\N	\N
3470743	4470	1996-03-31	PRIJEM	\N	178	39593	UROK	\N	\N
3470744	4470	1996-04-30	PRIJEM	\N	185	52432	UROK	\N	\N
3470745	4470	1996-05-31	PRIJEM	\N	202	32921	UROK	\N	\N
3470746	4470	1996-06-30	PRIJEM	\N	156	23900	UROK	\N	\N
3470747	4470	1996-07-31	PRIJEM	\N	129	40383	UROK	\N	\N
3470748	4470	1996-08-31	PRIJEM	\N	183	48620	UROK	\N	\N
3470749	4470	1996-09-30	PRIJEM	\N	213	54687	UROK	\N	\N
3470750	4470	1996-10-31	PRIJEM	\N	203	38633	UROK	\N	\N
3470751	4470	1996-11-30	PRIJEM	\N	183	49670	UROK	\N	\N
3470752	4470	1996-12-31	PRIJEM	\N	241	41710	UROK	\N	\N
3470753	4470	1997-01-31	PRIJEM	\N	134	25963	UROK	\N	\N
3470754	4470	1997-02-28	PRIJEM	\N	132	32049	UROK	\N	\N
3470755	4470	1997-03-31	PRIJEM	\N	168	38398	UROK	\N	\N
3470756	4470	1997-04-30	PRIJEM	\N	152	28725	UROK	\N	\N
3470757	4470	1997-05-31	PRIJEM	\N	144	40223	UROK	\N	\N
3470758	4470	1997-06-30	PRIJEM	\N	171	42534	UROK	\N	\N
3470759	4470	1997-07-31	PRIJEM	\N	175	40864	UROK	\N	\N
3470760	4470	1997-08-31	PRIJEM	\N	172	43091	UROK	\N	\N
3470761	4470	1997-09-30	PRIJEM	\N	186	46831	UROK	\N	\N
3470762	4470	1997-10-31	PRIJEM	\N	188	45673	UROK	\N	\N
3470763	4470	1997-11-30	PRIJEM	\N	188	46315	UROK	\N	\N
3470764	4470	1997-12-31	PRIJEM	\N	188	40371	UROK	\N	\N
3470765	4470	1998-01-31	PRIJEM	\N	140	25555	UROK	\N	\N
3470766	4470	1998-02-28	PRIJEM	\N	141	38251	UROK	\N	\N
3470767	4470	1998-03-31	PRIJEM	\N	143	29624	UROK	\N	\N
3470768	4470	1998-04-30	PRIJEM	\N	134	31539	UROK	\N	\N
3470769	4470	1998-05-31	PRIJEM	\N	133	33727	UROK	\N	\N
3470770	4470	1998-06-30	PRIJEM	\N	190	50856	UROK	\N	\N
3470771	4470	1998-07-31	PRIJEM	\N	165	36749	UROK	\N	\N
3470772	4470	1998-08-31	PRIJEM	\N	228	31232	UROK	\N	\N
3470773	4470	1998-09-30	PRIJEM	\N	131	71917	UROK	\N	\N
3470774	4470	1998-10-31	PRIJEM	\N	289	69084	UROK	\N	\N
3470775	4470	1998-11-30	PRIJEM	\N	304	71342	UROK	\N	\N
3470776	4470	1998-12-31	PRIJEM	\N	371	98153	UROK	\N	\N
3470777	4480	1996-09-30	PRIJEM	\N	26	14442	UROK	\N	\N
3470778	4480	1996-10-31	PRIJEM	\N	76	22834	UROK	\N	\N
3470779	4480	1996-11-30	PRIJEM	\N	100	25249	UROK	\N	\N
3470780	4480	1996-12-31	PRIJEM	\N	111	28234	UROK	\N	\N
3470781	4480	1997-01-31	PRIJEM	\N	104	18654	UROK	\N	\N
3470782	4480	1997-02-28	PRIJEM	\N	86	22742	UROK	\N	\N
3470783	4480	1997-03-31	PRIJEM	\N	92	21135	UROK	\N	\N
3470784	4480	1997-04-30	PRIJEM	\N	89	20126	UROK	\N	\N
3470785	4480	1997-05-31	PRIJEM	\N	97	26324	UROK	\N	\N
3470786	4480	1997-06-30	PRIJEM	\N	66	6149	UROK	\N	\N
3470787	4480	1997-07-31	PRIJEM	\N	49	16299	UROK	\N	\N
3470788	4480	1997-08-31	PRIJEM	\N	80	21380	UROK	\N	\N
3470789	4480	1997-09-30	PRIJEM	\N	108	24689	UROK	\N	\N
3470790	4480	1997-10-31	PRIJEM	\N	102	24493	UROK	\N	\N
3470791	4480	1997-11-30	PRIJEM	\N	113	28907	UROK	\N	\N
3470792	4480	1997-12-31	PRIJEM	\N	132	33898	UROK	\N	\N
3470793	4480	1998-01-31	PRIJEM	\N	111	12911	UROK	\N	\N
3470794	4480	1998-02-28	PRIJEM	\N	85	25997	UROK	\N	\N
3470795	4480	1998-03-31	PRIJEM	\N	114	28412	UROK	\N	\N
3470796	4480	1998-04-30	PRIJEM	\N	126	31540	UROK	\N	\N
3470797	4480	1998-05-31	PRIJEM	\N	139	34880	UROK	\N	\N
3470798	4480	1998-06-30	PRIJEM	\N	118	22357	UROK	\N	\N
3470799	4480	1998-07-31	PRIJEM	\N	114	30773	UROK	\N	\N
3470800	4480	1998-08-31	PRIJEM	\N	133	33008	UROK	\N	\N
3470801	4480	1998-09-30	PRIJEM	\N	147	36956	UROK	\N	\N
3470802	4480	1998-10-31	PRIJEM	\N	159	39116	UROK	\N	\N
3470803	4480	1998-11-30	PRIJEM	\N	167	40884	UROK	\N	\N
3470804	4480	1998-12-31	PRIJEM	\N	162	33705	UROK	\N	\N
3470805	4484	1993-02-28	PRIJEM	\N	70	41253	UROK	\N	\N
3470806	4484	1993-03-31	PRIJEM	\N	199	64970	UROK	\N	\N
3470807	4484	1993-04-30	PRIJEM	\N	268	46624	UROK	\N	\N
3470808	4484	1993-05-31	PRIJEM	\N	213	53644	UROK	\N	\N
3470809	4484	1993-06-30	PRIJEM	\N	266	87915	UROK	\N	\N
3470810	4484	1993-07-31	PRIJEM	\N	213	42563	UROK	\N	\N
3470811	4484	1993-08-31	PRIJEM	\N	179	46315	UROK	\N	\N
3470812	4484	1993-09-30	PRIJEM	\N	172	48517	UROK	\N	\N
3470813	4484	1993-10-31	PRIJEM	\N	300	96889	UROK	\N	\N
3470814	4484	1993-11-30	PRIJEM	\N	274	80938	UROK	\N	\N
3470815	4484	1993-12-31	PRIJEM	\N	362	55428	UROK	\N	\N
3470816	4484	1994-01-31	PRIJEM	\N	205	35840	UROK	\N	\N
3470817	4484	1994-02-28	PRIJEM	\N	148	35973	UROK	\N	\N
3470818	4484	1994-03-31	PRIJEM	\N	130	36917	UROK	\N	\N
3470819	4484	1994-04-30	PRIJEM	\N	178	66864	UROK	\N	\N
3470820	4484	1994-05-31	PRIJEM	\N	276	48924	UROK	\N	\N
3470821	4484	1994-06-30	PRIJEM	\N	196	32006	UROK	\N	\N
3470822	4484	1994-07-31	PRIJEM	\N	146	57185	UROK	\N	\N
3470823	4484	1994-08-31	PRIJEM	\N	236	43106	UROK	\N	\N
3470824	4484	1994-09-30	PRIJEM	\N	172	27664	UROK	\N	\N
3470825	4484	1994-10-31	PRIJEM	\N	114	26363	UROK	\N	\N
3470826	4484	1994-11-30	PRIJEM	\N	109	28258	UROK	\N	\N
3470827	4484	1994-12-31	PRIJEM	\N	120	31889	UROK	\N	\N
3470828	4484	1995-01-31	PRIJEM	\N	108	26183	UROK	\N	\N
3470829	4484	1995-02-28	PRIJEM	\N	108	25276	UROK	\N	\N
3470830	4484	1995-03-31	PRIJEM	\N	104	28166	UROK	\N	\N
3470831	4484	1995-04-30	PRIJEM	\N	116	27067	UROK	\N	\N
3470832	4484	1995-05-31	PRIJEM	\N	111	28464	UROK	\N	\N
3470833	4484	1995-06-30	PRIJEM	\N	113	21662	UROK	\N	\N
3470834	4484	1995-07-31	PRIJEM	\N	89	26737	UROK	\N	\N
3470835	4484	1995-08-31	PRIJEM	\N	110	29132	UROK	\N	\N
3470836	4484	1995-09-30	PRIJEM	\N	120	31637	UROK	\N	\N
3470837	4484	1995-10-31	PRIJEM	\N	124	27497	UROK	\N	\N
3470838	4484	1995-11-30	PRIJEM	\N	113	31096	UROK	\N	\N
3470839	4484	1995-12-31	PRIJEM	\N	158	36689	UROK	\N	\N
3470840	4484	1996-01-31	PRIJEM	\N	204	66222	UROK	\N	\N
3470841	4484	1996-02-29	PRIJEM	\N	271	46678	UROK	\N	\N
3470842	4484	1996-03-31	PRIJEM	\N	192	46598	UROK	\N	\N
3470843	4484	1996-04-30	PRIJEM	\N	204	48984	UROK	\N	\N
3470844	4484	1996-05-31	PRIJEM	\N	199	47747	UROK	\N	\N
3470845	4484	1996-06-30	PRIJEM	\N	179	27659	UROK	\N	\N
3470846	4484	1996-07-31	PRIJEM	\N	147	44622	UROK	\N	\N
3470847	4484	1996-08-31	PRIJEM	\N	153	30960	UROK	\N	\N
3470848	4484	1996-09-30	PRIJEM	\N	126	30572	UROK	\N	\N
3470849	4484	1996-10-31	PRIJEM	\N	129	32886	UROK	\N	\N
3470850	4484	1996-11-30	PRIJEM	\N	134	32105	UROK	\N	\N
3470851	4484	1996-12-31	PRIJEM	\N	135	34326	UROK	\N	\N
3470852	4484	1997-01-31	PRIJEM	\N	250	106870	UROK	\N	\N
3470853	4484	1997-02-28	PRIJEM	\N	299	61019	UROK	\N	\N
3470854	4484	1997-03-31	PRIJEM	\N	255	61882	UROK	\N	\N
3470855	4484	1997-04-30	PRIJEM	\N	237	32728	UROK	\N	\N
3470856	4484	1997-05-31	PRIJEM	\N	195	45831	UROK	\N	\N
3470857	4484	1997-06-30	PRIJEM	\N	164	38560	UROK	\N	\N
3470858	4484	1997-07-31	PRIJEM	\N	231	78177	UROK	\N	\N
3470859	4484	1997-08-31	PRIJEM	\N	322	60724	UROK	\N	\N
3470860	4484	1997-09-30	PRIJEM	\N	366	95148	UROK	\N	\N
3470861	4484	1997-10-31	PRIJEM	\N	458	97659	UROK	\N	\N
3470862	4484	1997-11-30	PRIJEM	\N	369	106871	UROK	\N	\N
3470863	4484	1997-12-31	PRIJEM	\N	260	47145	UROK	\N	\N
3470864	4484	1998-01-31	PRIJEM	\N	237	67659	UROK	\N	\N
3470865	4484	1998-02-28	PRIJEM	\N	292	81027	UROK	\N	\N
3470866	4484	1998-03-31	PRIJEM	\N	388	88341	UROK	\N	\N
3470867	4484	1998-04-30	PRIJEM	\N	311	68952	UROK	\N	\N
3470868	4484	1998-05-31	PRIJEM	\N	286	80461	UROK	\N	\N
3470869	4484	1998-06-30	PRIJEM	\N	315	104984	UROK	\N	\N
3470870	4484	1998-07-31	PRIJEM	\N	418	92006	UROK	\N	\N
3470871	4484	1998-08-31	PRIJEM	\N	428	75822	UROK	\N	\N
3470872	4484	1998-09-30	PRIJEM	\N	330	73723	UROK	\N	\N
3470873	4484	1998-10-31	PRIJEM	\N	394	109293	UROK	\N	\N
3470874	4484	1998-11-30	PRIJEM	\N	400	82201	UROK	\N	\N
3470875	4484	1998-12-31	PRIJEM	\N	314	82004	UROK	\N	\N
3470876	4488	1996-05-31	PRIJEM	\N	17	15477	UROK	\N	\N
3470877	4488	1996-06-30	PRIJEM	\N	76	25943	UROK	\N	\N
3470878	4488	1996-07-31	PRIJEM	\N	109	27112	UROK	\N	\N
3470879	4488	1996-08-31	PRIJEM	\N	114	28486	UROK	\N	\N
3470880	4488	1996-09-30	PRIJEM	\N	116	27062	UROK	\N	\N
3470881	4488	1996-10-31	PRIJEM	\N	114	25322	UROK	\N	\N
3470882	4488	1996-11-30	PRIJEM	\N	99	19766	UROK	\N	\N
3470883	4488	1996-12-31	PRIJEM	\N	95	24436	UROK	\N	\N
3470884	4488	1997-01-31	PRIJEM	\N	61	14043	UROK	\N	\N
3470885	4488	1997-02-28	PRIJEM	\N	76	24964	UROK	\N	\N
3470886	4488	1997-03-31	PRIJEM	\N	119	27828	UROK	\N	\N
3470887	4488	1997-04-30	PRIJEM	\N	118	29292	UROK	\N	\N
3470888	4488	1997-05-31	PRIJEM	\N	126	31263	UROK	\N	\N
3470889	4488	1997-06-30	PRIJEM	\N	124	29262	UROK	\N	\N
3470890	4488	1997-07-31	PRIJEM	\N	122	29429	UROK	\N	\N
3470891	4488	1997-08-31	PRIJEM	\N	128	32503	UROK	\N	\N
3470892	4488	1997-09-30	PRIJEM	\N	134	29283	UROK	\N	\N
3470893	4488	1997-10-31	PRIJEM	\N	127	31755	UROK	\N	\N
3470894	4488	1997-11-30	PRIJEM	\N	124	29524	UROK	\N	\N
3470895	4488	1997-12-31	PRIJEM	\N	122	27221	UROK	\N	\N
3470896	4488	1998-01-31	PRIJEM	\N	110	18976	UROK	\N	\N
3470897	4488	1998-02-28	PRIJEM	\N	95	25716	UROK	\N	\N
3470898	4488	1998-03-31	PRIJEM	\N	112	28073	UROK	\N	\N
3470899	4488	1998-04-30	PRIJEM	\N	115	26934	UROK	\N	\N
3470900	4488	1998-05-31	PRIJEM	\N	124	31902	UROK	\N	\N
3470901	4488	1998-06-30	PRIJEM	\N	100	11678	UROK	\N	\N
3470902	4488	1998-07-31	PRIJEM	\N	72	20894	UROK	\N	\N
3470903	4488	1998-08-31	PRIJEM	\N	102	26742	UROK	\N	\N
3470904	4488	1998-09-30	PRIJEM	\N	103	22090	UROK	\N	\N
3470905	4488	1998-10-31	PRIJEM	\N	97	24333	UROK	\N	\N
3470906	4488	1998-11-30	PRIJEM	\N	103	25281	UROK	\N	\N
3470907	4488	1998-12-31	PRIJEM	\N	138	36694	UROK	\N	\N
3470908	4493	1996-10-31	PRIJEM	\N	11	7908	UROK	\N	\N
3470909	4493	1996-11-30	PRIJEM	\N	116	76205	UROK	\N	\N
3470910	4493	1996-12-31	PRIJEM	\N	350	68546	UROK	\N	\N
3470911	4493	1997-01-31	PRIJEM	\N	265	57919	UROK	\N	\N
3470912	4493	1997-02-28	PRIJEM	\N	221	46213	UROK	\N	\N
3470913	4493	1997-03-31	PRIJEM	\N	184	42728	UROK	\N	\N
3470914	4493	1997-04-30	PRIJEM	\N	163	31408	UROK	\N	\N
3470915	4493	1997-05-31	PRIJEM	\N	130	28738	UROK	\N	\N
3470916	4493	1997-06-30	PRIJEM	\N	221	92869	UROK	\N	\N
3470917	4493	1997-07-31	PRIJEM	\N	286	55791	UROK	\N	\N
3470918	4493	1997-08-31	PRIJEM	\N	208	30099	UROK	\N	\N
3470919	4493	1997-09-30	PRIJEM	\N	231	77404	UROK	\N	\N
3470920	4493	1997-10-31	PRIJEM	\N	267	53330	UROK	\N	\N
3470921	4493	1997-11-30	PRIJEM	\N	286	75678	UROK	\N	\N
3470922	4493	1997-12-31	PRIJEM	\N	327	78547	UROK	\N	\N
3470923	4493	1998-01-31	PRIJEM	\N	237	46978	UROK	\N	\N
3470924	4493	1998-02-28	PRIJEM	\N	146	28731	UROK	\N	\N
3470925	4493	1998-03-31	PRIJEM	\N	120	35751	UROK	\N	\N
3470926	4493	1998-04-30	PRIJEM	\N	136	26687	UROK	\N	\N
3470927	4493	1998-05-31	PRIJEM	\N	111	33498	UROK	\N	\N
3470928	4493	1998-06-30	PRIJEM	\N	149	32538	UROK	\N	\N
3470929	4493	1998-07-31	PRIJEM	\N	134	32473	UROK	\N	\N
3470930	4493	1998-08-31	PRIJEM	\N	121	68131	UROK	\N	\N
3470931	4493	1998-09-30	PRIJEM	\N	280	48111	UROK	\N	\N
3470932	4493	1998-10-31	PRIJEM	\N	148	25727	UROK	\N	\N
3470933	4493	1998-11-30	PRIJEM	\N	106	29133	UROK	\N	\N
3470934	4493	1998-12-31	PRIJEM	\N	172	32360	UROK	\N	\N
3470935	4514	1994-01-31	PRIJEM	\N	76	37776	UROK	\N	\N
3470936	4514	1994-02-28	PRIJEM	\N	195	57571	UROK	\N	\N
3470937	4514	1994-03-31	PRIJEM	\N	225	46596	UROK	\N	\N
3470938	4514	1994-04-30	PRIJEM	\N	215	57811	UROK	\N	\N
3470939	4514	1994-05-31	PRIJEM	\N	241	46357	UROK	\N	\N
3470940	4514	1994-06-30	PRIJEM	\N	161	36084	UROK	\N	\N
3470941	4514	1994-07-31	PRIJEM	\N	159	33001	UROK	\N	\N
3470942	4514	1994-08-31	PRIJEM	\N	184	53370	UROK	\N	\N
3470943	4514	1994-09-30	PRIJEM	\N	247	64203	UROK	\N	\N
3470944	4514	1994-10-31	PRIJEM	\N	374	44663	UROK	\N	\N
3470945	4514	1994-11-30	PRIJEM	\N	260	78097	UROK	\N	\N
3470946	4514	1994-12-31	PRIJEM	\N	348	77531	UROK	\N	\N
3470947	4514	1995-01-31	PRIJEM	\N	258	38074	UROK	\N	\N
3470948	4514	1995-02-28	PRIJEM	\N	231	62791	UROK	\N	\N
3470949	4514	1995-03-31	PRIJEM	\N	312	81488	UROK	\N	\N
3470950	4514	1995-04-30	PRIJEM	\N	370	92353	UROK	\N	\N
3470951	4514	1995-05-31	PRIJEM	\N	374	87684	UROK	\N	\N
3470952	4514	1995-06-30	PRIJEM	\N	262	37170	UROK	\N	\N
3470953	4514	1995-07-31	PRIJEM	\N	248	54715	UROK	\N	\N
3470954	4514	1995-08-31	PRIJEM	\N	303	86504	UROK	\N	\N
3470955	4514	1995-09-30	PRIJEM	\N	391	99980	UROK	\N	\N
3470956	4514	1995-10-31	PRIJEM	\N	428	105493	UROK	\N	\N
3470957	4514	1995-11-30	PRIJEM	\N	438	107417	UROK	\N	\N
3470958	4514	1995-12-31	PRIJEM	\N	390	110126	UROK	\N	\N
3470959	4514	1996-01-31	PRIJEM	\N	322	66233	UROK	\N	\N
3470960	4514	1996-02-29	PRIJEM	\N	312	84102	UROK	\N	\N
3470961	4514	1996-03-31	PRIJEM	\N	332	93220	UROK	\N	\N
3470962	4514	1996-04-30	PRIJEM	\N	405	101511	UROK	\N	\N
3470963	4514	1996-05-31	PRIJEM	\N	353	78749	UROK	\N	\N
3470964	4514	1996-06-30	PRIJEM	\N	302	34736	UROK	\N	\N
3470965	4514	1996-07-31	PRIJEM	\N	240	75262	UROK	\N	\N
3470966	4514	1996-08-31	PRIJEM	\N	356	76275	UROK	\N	\N
3470967	4514	1996-09-30	PRIJEM	\N	371	100131	UROK	\N	\N
3470968	4514	1996-10-31	PRIJEM	\N	439	70756	UROK	\N	\N
3470969	4514	1996-11-30	PRIJEM	\N	261	77790	UROK	\N	\N
3470970	4514	1996-12-31	PRIJEM	\N	289	63065	UROK	\N	\N
3470971	4514	1997-01-31	PRIJEM	\N	175	40325	UROK	\N	\N
3470972	4514	1997-02-28	PRIJEM	\N	171	79781	UROK	\N	\N
3470973	4514	1997-03-31	PRIJEM	\N	377	99571	UROK	\N	\N
3470974	4514	1997-04-30	PRIJEM	\N	416	98826	UROK	\N	\N
3470975	4514	1997-05-31	PRIJEM	\N	336	98903	UROK	\N	\N
3470976	4514	1997-06-30	PRIJEM	\N	259	65455	UROK	\N	\N
3470977	4514	1997-07-31	PRIJEM	\N	251	47876	UROK	\N	\N
3470978	4514	1997-08-31	PRIJEM	\N	269	49131	UROK	\N	\N
3470979	4514	1997-09-30	PRIJEM	\N	289	47277	UROK	\N	\N
3470980	4514	1997-10-31	PRIJEM	\N	209	48813	UROK	\N	\N
3470981	4514	1997-11-30	PRIJEM	\N	259	36643	UROK	\N	\N
3470982	4514	1997-12-31	PRIJEM	\N	178	46907	UROK	\N	\N
3470983	4514	1998-01-31	PRIJEM	\N	206	33002	UROK	\N	\N
3470984	4514	1998-02-28	PRIJEM	\N	139	44426	UROK	\N	\N
3470985	4514	1998-03-31	PRIJEM	\N	182	48393	UROK	\N	\N
3470986	4514	1998-04-30	PRIJEM	\N	199	53377	UROK	\N	\N
3470987	4514	1998-05-31	PRIJEM	\N	218	56081	UROK	\N	\N
3470988	4514	1998-06-30	PRIJEM	\N	222	30688	UROK	\N	\N
3470989	4514	1998-07-31	PRIJEM	\N	134	44907	UROK	\N	\N
3470990	4514	1998-08-31	PRIJEM	\N	215	35388	UROK	\N	\N
3470991	4514	1998-09-30	PRIJEM	\N	151	45224	UROK	\N	\N
3470992	4514	1998-10-31	PRIJEM	\N	175	38176	UROK	\N	\N
3470993	4514	1998-11-30	PRIJEM	\N	202	39196	UROK	\N	\N
3470994	4514	1998-12-31	PRIJEM	\N	304	99141	UROK	\N	\N
3470995	4519	1995-10-31	PRIJEM	\N	5	31405	UROK	\N	\N
3470996	4519	1995-11-30	PRIJEM	\N	141	34746	UROK	\N	\N
3470997	4519	1995-12-31	PRIJEM	\N	141	37787	UROK	\N	\N
3470998	4519	1996-01-31	PRIJEM	\N	141	38628	UROK	\N	\N
3470999	4519	1996-02-29	PRIJEM	\N	141	43170	UROK	\N	\N
3471000	4519	1996-03-31	PRIJEM	\N	141	44411	UROK	\N	\N
3471001	4519	1996-04-30	PRIJEM	\N	141	44652	UROK	\N	\N
3471002	4519	1996-05-31	PRIJEM	\N	141	44393	UROK	\N	\N
3471003	4519	1996-06-30	PRIJEM	\N	141	47335	UROK	\N	\N
3471004	4519	1996-07-31	PRIJEM	\N	141	46376	UROK	\N	\N
3471005	4519	1996-08-31	PRIJEM	\N	141	50517	UROK	\N	\N
3471006	4519	1996-09-30	PRIJEM	\N	141	51258	UROK	\N	\N
3471007	4519	1996-10-31	PRIJEM	\N	141	50300	UROK	\N	\N
3471008	4519	1996-11-30	PRIJEM	\N	141	49741	UROK	\N	\N
3471009	4519	1996-12-31	PRIJEM	\N	141	49982	UROK	\N	\N
3471010	4519	1997-01-31	PRIJEM	\N	141	49424	UROK	\N	\N
3471011	4519	1997-02-28	PRIJEM	\N	141	51665	UROK	\N	\N
3471012	4519	1997-03-31	PRIJEM	\N	141	47906	UROK	\N	\N
3471013	4519	1997-04-30	PRIJEM	\N	141	48447	UROK	\N	\N
3471014	4519	1997-05-31	PRIJEM	\N	141	48889	UROK	\N	\N
3471015	4519	1997-06-30	PRIJEM	\N	141	43830	UROK	\N	\N
3471016	4519	1997-07-31	PRIJEM	\N	141	42571	UROK	\N	\N
3471017	4519	1997-08-31	PRIJEM	\N	141	46612	UROK	\N	\N
3471018	4519	1997-09-30	PRIJEM	\N	141	46954	UROK	\N	\N
3471019	4519	1997-10-31	PRIJEM	\N	141	51995	UROK	\N	\N
3471020	4519	1997-11-30	PRIJEM	\N	141	52036	UROK	\N	\N
3471021	4519	1997-12-31	PRIJEM	\N	141	45977	UROK	\N	\N
3471022	4519	1998-01-31	PRIJEM	\N	141	47519	UROK	\N	\N
3471023	4519	1998-02-28	PRIJEM	\N	141	46960	UROK	\N	\N
3471024	4519	1998-03-31	PRIJEM	\N	141	45501	UROK	\N	\N
3471025	4519	1998-04-30	PRIJEM	\N	141	47242	UROK	\N	\N
3471026	4519	1998-05-31	PRIJEM	\N	141	52284	UROK	\N	\N
3471027	4519	1998-06-30	PRIJEM	\N	141	55825	UROK	\N	\N
3471028	4519	1998-07-31	PRIJEM	\N	141	54566	UROK	\N	\N
3471029	4519	1998-08-31	PRIJEM	\N	141	58507	UROK	\N	\N
3471030	4519	1998-09-30	PRIJEM	\N	141	55249	UROK	\N	\N
3471031	4519	1998-10-31	PRIJEM	\N	141	55490	UROK	\N	\N
3471032	4526	1993-12-31	PRIJEM	\N	9	22719	UROK	\N	\N
3471033	4526	1994-01-31	PRIJEM	\N	98	28490	UROK	\N	\N
3471034	4526	1994-02-28	PRIJEM	\N	119	30282	UROK	\N	\N
3471035	4526	1994-03-31	PRIJEM	\N	126	31881	UROK	\N	\N
3471036	4526	1994-04-30	PRIJEM	\N	133	32487	UROK	\N	\N
3471037	4526	1994-05-31	PRIJEM	\N	135	31880	UROK	\N	\N
3471038	4526	1994-06-30	PRIJEM	\N	138	30813	UROK	\N	\N
3471039	4526	1994-07-31	PRIJEM	\N	150	29221	UROK	\N	\N
3471040	4526	1994-08-31	PRIJEM	\N	123	31403	UROK	\N	\N
3471041	4526	1994-09-30	PRIJEM	\N	132	32893	UROK	\N	\N
3471042	4526	1994-10-31	PRIJEM	\N	136	31687	UROK	\N	\N
3471043	4526	1994-11-30	PRIJEM	\N	149	31595	UROK	\N	\N
3471044	4526	1994-12-31	PRIJEM	\N	157	28448	UROK	\N	\N
3471045	4526	1995-01-31	PRIJEM	\N	122	17528	UROK	\N	\N
3471046	4526	1995-02-28	PRIJEM	\N	86	21172	UROK	\N	\N
3471047	4526	1995-03-31	PRIJEM	\N	89	22420	UROK	\N	\N
3471048	4526	1995-04-30	PRIJEM	\N	108	20686	UROK	\N	\N
3471049	4526	1995-05-31	PRIJEM	\N	88	22232	UROK	\N	\N
3471050	4526	1995-06-30	PRIJEM	\N	98	26725	UROK	\N	\N
3471051	4526	1995-07-31	PRIJEM	\N	103	21187	UROK	\N	\N
3471052	4526	1995-08-31	PRIJEM	\N	87	20933	UROK	\N	\N
3471053	4526	1995-09-30	PRIJEM	\N	83	18274	UROK	\N	\N
3471054	4526	1995-10-31	PRIJEM	\N	78	19710	UROK	\N	\N
3471055	4526	1995-11-30	PRIJEM	\N	81	19149	UROK	\N	\N
3471056	4526	1995-12-31	PRIJEM	\N	96	17940	UROK	\N	\N
3471057	4526	1996-01-31	PRIJEM	\N	70	12469	UROK	\N	\N
3471058	4526	1996-02-29	PRIJEM	\N	53	13180	UROK	\N	\N
3471059	4526	1996-03-31	PRIJEM	\N	51	11589	UROK	\N	\N
3471060	4526	1996-04-30	PRIJEM	\N	49	24097	UROK	\N	\N
3471061	4526	1996-05-31	PRIJEM	\N	87	18143	UROK	\N	\N
3471062	4526	1996-06-30	PRIJEM	\N	79	17117	UROK	\N	\N
3471063	4526	1996-07-31	PRIJEM	\N	64	14240	UROK	\N	\N
3471064	4526	1996-08-31	PRIJEM	\N	80	22478	UROK	\N	\N
3471065	4526	1996-09-30	PRIJEM	\N	72	13209	UROK	\N	\N
3471066	4526	1996-10-31	PRIJEM	\N	56	25723	UROK	\N	\N
3471067	4526	1996-11-30	PRIJEM	\N	69	11650	UROK	\N	\N
3471068	4526	1996-12-31	PRIJEM	\N	87	29032	UROK	\N	\N
3471069	4526	1997-01-31	PRIJEM	\N	123	27313	UROK	\N	\N
3471070	4526	1997-02-28	PRIJEM	\N	114	39886	UROK	\N	\N
3471071	4526	1997-03-31	PRIJEM	\N	97	13441	UROK	\N	\N
3471072	4526	1997-04-30	PRIJEM	\N	56	25956	UROK	\N	\N
3471073	4526	1997-05-31	PRIJEM	\N	123	30737	UROK	\N	\N
3471074	4526	1997-06-30	PRIJEM	\N	139	28472	UROK	\N	\N
3471075	4526	1997-07-31	PRIJEM	\N	119	41049	UROK	\N	\N
3471076	4526	1997-08-31	PRIJEM	\N	189	49997	UROK	\N	\N
3471077	4526	1997-09-30	PRIJEM	\N	208	62663	UROK	\N	\N
3471078	4526	1997-10-31	PRIJEM	\N	162	27883	UROK	\N	\N
3471079	4526	1997-11-30	PRIJEM	\N	116	40458	UROK	\N	\N
3471080	4526	1997-12-31	PRIJEM	\N	208	58761	UROK	\N	\N
3471081	4526	1998-01-31	PRIJEM	\N	236	55155	UROK	\N	\N
3471082	4526	1998-02-28	PRIJEM	\N	230	67843	UROK	\N	\N
3471083	4526	1998-03-31	PRIJEM	\N	173	29774	UROK	\N	\N
3471084	4526	1998-04-30	PRIJEM	\N	124	42356	UROK	\N	\N
3471085	4526	1998-05-31	PRIJEM	\N	184	51598	UROK	\N	\N
3471086	4526	1998-06-30	PRIJEM	\N	217	53511	UROK	\N	\N
3471087	4526	1998-07-31	PRIJEM	\N	225	65695	UROK	\N	\N
3471088	4526	1998-08-31	PRIJEM	\N	125	28278	UROK	\N	\N
3471089	4526	1998-09-30	PRIJEM	\N	117	40853	UROK	\N	\N
3471090	4526	1998-10-31	PRIJEM	\N	169	53480	UROK	\N	\N
3471091	4526	1998-11-30	PRIJEM	\N	222	66160	UROK	\N	\N
3471092	4526	1998-12-31	PRIJEM	\N	282	83037	UROK	\N	\N
3471150	4534	1997-02-28	PRIJEM	\N	48	29574	UROK	\N	\N
3471151	4534	1997-03-31	PRIJEM	\N	156	64300	UROK	\N	\N
3471152	4534	1997-04-30	PRIJEM	\N	267	43567	UROK	\N	\N
3471153	4534	1997-05-31	PRIJEM	\N	267	35834	UROK	\N	\N
3471154	4534	1997-06-30	PRIJEM	\N	267	33702	UROK	\N	\N
3471155	4534	1997-07-31	PRIJEM	\N	267	30869	UROK	\N	\N
3471156	4534	1997-08-31	PRIJEM	\N	267	30436	UROK	\N	\N
3471157	4534	1997-09-30	PRIJEM	\N	267	28504	UROK	\N	\N
3471158	4534	1997-10-31	PRIJEM	\N	267	31471	UROK	\N	\N
3471159	4534	1997-11-30	PRIJEM	\N	267	32138	UROK	\N	\N
3471160	4534	1997-12-31	PRIJEM	\N	267	28505	UROK	\N	\N
3471161	4534	1998-01-31	PRIJEM	\N	267	27173	UROK	\N	\N
3471162	4534	1998-02-28	PRIJEM	\N	267	25540	UROK	\N	\N
3471163	4534	1998-03-31	PRIJEM	\N	267	31307	UROK	\N	\N
3471164	4534	1998-04-30	PRIJEM	\N	244	54955	UROK	\N	\N
3471165	4534	1998-05-31	PRIJEM	\N	228	42883	UROK	\N	\N
3471166	4534	1998-06-30	PRIJEM	\N	199	43823	UROK	\N	\N
3471167	4534	1998-07-31	PRIJEM	\N	182	41805	UROK	\N	\N
3471168	4534	1998-08-31	PRIJEM	\N	182	35787	UROK	\N	\N
3471169	4534	1998-09-30	PRIJEM	\N	182	32368	UROK	\N	\N
3471170	4534	1998-10-31	PRIJEM	\N	182	31550	UROK	\N	\N
3471171	4538	1996-05-31	PRIJEM	\N	4	29304	UROK	\N	\N
3471172	4538	1996-06-30	PRIJEM	\N	117	28120	UROK	\N	\N
3471173	4538	1996-07-31	PRIJEM	\N	117	28237	UROK	\N	\N
3471174	4538	1996-08-31	PRIJEM	\N	117	26254	UROK	\N	\N
3471175	4538	1996-09-30	PRIJEM	\N	117	24071	UROK	\N	\N
3471176	4538	1996-11-30	PRIJEM	\N	117	27887	UROK	\N	\N
3471177	4538	1996-12-31	PRIJEM	\N	117	31704	UROK	\N	\N
3471178	4538	1997-01-31	PRIJEM	\N	117	34721	UROK	\N	\N
3471179	4538	1997-02-28	PRIJEM	\N	117	38537	UROK	\N	\N
3471180	4538	1997-03-31	PRIJEM	\N	117	39554	UROK	\N	\N
3471181	4538	1997-04-30	PRIJEM	\N	117	40171	UROK	\N	\N
3471182	4538	1997-05-31	PRIJEM	\N	117	44287	UROK	\N	\N
3471183	4538	1997-06-30	PRIJEM	\N	117	42704	UROK	\N	\N
3471184	4538	1997-07-31	PRIJEM	\N	117	44221	UROK	\N	\N
3471185	4538	1997-08-31	PRIJEM	\N	117	43837	UROK	\N	\N
3471186	4538	1997-09-30	PRIJEM	\N	117	45854	UROK	\N	\N
3471187	4538	1997-10-31	PRIJEM	\N	117	44771	UROK	\N	\N
3471188	4538	1997-11-30	PRIJEM	\N	117	42687	UROK	\N	\N
3471189	4538	1997-12-31	PRIJEM	\N	117	41804	UROK	\N	\N
3471190	4538	1998-02-28	PRIJEM	\N	117	40121	UROK	\N	\N
3471191	4538	1998-03-31	PRIJEM	\N	117	39237	UROK	\N	\N
3471192	4538	1998-04-30	PRIJEM	\N	117	36154	UROK	\N	\N
3471193	4538	1998-05-31	PRIJEM	\N	117	36471	UROK	\N	\N
3471194	4538	1998-06-30	PRIJEM	\N	117	33787	UROK	\N	\N
3471195	4538	1998-07-31	PRIJEM	\N	117	33204	UROK	\N	\N
3471196	4538	1998-08-31	PRIJEM	\N	117	33721	UROK	\N	\N
3471197	4538	1998-09-30	PRIJEM	\N	117	33337	UROK	\N	\N
3471198	4538	1998-10-31	PRIJEM	\N	117	28454	UROK	\N	\N
3474075	8261	1993-05-31	PRIJEM	\N	54	22565	UROK	\N	\N
3474076	8261	1993-06-30	PRIJEM	\N	176	57779	UROK	\N	\N
3474077	8261	1993-07-31	PRIJEM	\N	257	65070	UROK	\N	\N
3474078	8261	1993-08-31	PRIJEM	\N	270	65848	UROK	\N	\N
3474079	8261	1993-09-30	PRIJEM	\N	272	66079	UROK	\N	\N
3474080	8261	1993-10-31	PRIJEM	\N	200	40064	UROK	\N	\N
3474081	8261	1993-11-30	PRIJEM	\N	139	30497	UROK	\N	\N
3474082	8261	1993-12-31	PRIJEM	\N	151	39282	UROK	\N	\N
3474083	8261	1994-01-31	PRIJEM	\N	143	35015	UROK	\N	\N
3474084	8261	1994-02-28	PRIJEM	\N	158	45621	UROK	\N	\N
3474085	8261	1994-03-31	PRIJEM	\N	177	47726	UROK	\N	\N
3474086	8261	1994-04-30	PRIJEM	\N	154	25427	UROK	\N	\N
3474087	8261	1994-05-31	PRIJEM	\N	140	42336	UROK	\N	\N
3474088	8261	1994-06-30	PRIJEM	\N	195	58753	UROK	\N	\N
3474089	8261	1994-07-31	PRIJEM	\N	205	54910	UROK	\N	\N
3474090	8261	1994-08-31	PRIJEM	\N	189	51146	UROK	\N	\N
3474091	8261	1994-09-30	PRIJEM	\N	132	22761	UROK	\N	\N
3474092	8261	1994-10-31	PRIJEM	\N	131	40839	UROK	\N	\N
3474093	8261	1994-11-30	PRIJEM	\N	170	49283	UROK	\N	\N
3474094	8261	1994-12-31	PRIJEM	\N	201	58925	UROK	\N	\N
3474095	8261	1995-01-31	PRIJEM	\N	177	39249	UROK	\N	\N
3474096	8261	1995-02-28	PRIJEM	\N	157	47030	UROK	\N	\N
3474097	8261	1995-03-31	PRIJEM	\N	167	48101	UROK	\N	\N
3474098	8261	1995-04-30	PRIJEM	\N	173	50325	UROK	\N	\N
3474099	8261	1995-05-31	PRIJEM	\N	185	42395	UROK	\N	\N
3474100	8261	1995-06-30	PRIJEM	\N	156	29931	UROK	\N	\N
3474101	8261	1995-07-31	PRIJEM	\N	115	33491	UROK	\N	\N
3474102	8261	1995-08-31	PRIJEM	\N	134	33690	UROK	\N	\N
3474103	8261	1995-09-30	PRIJEM	\N	114	30362	UROK	\N	\N
3474104	8261	1995-10-31	PRIJEM	\N	138	35207	UROK	\N	\N
3474105	8261	1995-11-30	PRIJEM	\N	153	38822	UROK	\N	\N
3474106	8261	1995-12-31	PRIJEM	\N	177	42686	UROK	\N	\N
3474107	8261	1996-01-31	PRIJEM	\N	123	26874	UROK	\N	\N
3474108	8261	1996-02-29	PRIJEM	\N	105	24090	UROK	\N	\N
3474109	8261	1996-03-31	PRIJEM	\N	102	29099	UROK	\N	\N
3474110	8261	1996-04-30	PRIJEM	\N	94	23692	UROK	\N	\N
3474111	8261	1996-05-31	PRIJEM	\N	96	23570	UROK	\N	\N
3474112	8261	1996-06-30	PRIJEM	\N	109	20465	UROK	\N	\N
3474113	8261	1996-07-31	PRIJEM	\N	72	18561	UROK	\N	\N
3474114	8261	1996-08-31	PRIJEM	\N	74	19372	UROK	\N	\N
3474115	8261	1996-09-30	PRIJEM	\N	68	18348	UROK	\N	\N
3474116	8261	1996-10-31	PRIJEM	\N	66	19182	UROK	\N	\N
3474117	8261	1996-11-30	PRIJEM	\N	72	22599	UROK	\N	\N
3474118	8261	1996-12-31	PRIJEM	\N	101	29287	UROK	\N	\N
3474119	8261	1997-01-31	PRIJEM	\N	95	23488	UROK	\N	\N
3474120	8261	1997-02-28	PRIJEM	\N	75	19044	UROK	\N	\N
3474121	8261	1997-03-31	PRIJEM	\N	76	31602	UROK	\N	\N
3474122	8261	1997-04-30	PRIJEM	\N	105	22594	UROK	\N	\N
3474123	8261	1997-05-31	PRIJEM	\N	97	36598	UROK	\N	\N
3474124	8261	1997-06-30	PRIJEM	\N	139	31299	UROK	\N	\N
3474125	8261	1997-07-31	PRIJEM	\N	101	25109	UROK	\N	\N
3474126	8261	1997-08-31	PRIJEM	\N	78	21395	UROK	\N	\N
3474127	8261	1997-09-30	PRIJEM	\N	71	22251	UROK	\N	\N
3474128	8261	1997-10-31	PRIJEM	\N	64	22946	UROK	\N	\N
3474129	8261	1997-11-30	PRIJEM	\N	62	19316	UROK	\N	\N
3474130	8261	1997-12-31	PRIJEM	\N	64	20691	UROK	\N	\N
3474131	8261	1998-01-31	PRIJEM	\N	80	30378	UROK	\N	\N
3474132	8261	1998-02-28	PRIJEM	\N	75	21014	UROK	\N	\N
3474133	8261	1998-03-31	PRIJEM	\N	87	31509	UROK	\N	\N
3474134	8261	1998-04-30	PRIJEM	\N	86	23690	UROK	\N	\N
3474135	8261	1998-05-31	PRIJEM	\N	63	23344	UROK	\N	\N
3474136	8261	1998-06-30	PRIJEM	\N	78	28917	UROK	\N	\N
3474137	8261	1998-07-31	PRIJEM	\N	72	23696	UROK	\N	\N
3474138	8261	1998-08-31	PRIJEM	\N	74	19605	UROK	\N	\N
3474139	8261	1998-09-30	PRIJEM	\N	77	32890	UROK	\N	\N
3474140	8261	1998-10-31	PRIJEM	\N	133	47334	UROK	\N	\N
3474141	8261	1998-11-30	PRIJEM	\N	151	43893	UROK	\N	\N
3474142	8261	1998-12-31	PRIJEM	\N	194	63161	UROK	\N	\N
3474143	8268	1996-10-31	PRIJEM	\N	28	16229	UROK	\N	\N
3474144	8268	1996-11-30	PRIJEM	\N	85	26285	UROK	\N	\N
3474145	8268	1996-12-31	PRIJEM	\N	118	31255	UROK	\N	\N
3474146	8268	1997-01-31	PRIJEM	\N	130	31741	UROK	\N	\N
3474147	8268	1997-02-28	PRIJEM	\N	133	32834	UROK	\N	\N
3474148	8268	1997-03-31	PRIJEM	\N	122	27158	UROK	\N	\N
3474149	8268	1997-04-30	PRIJEM	\N	106	26587	UROK	\N	\N
3474150	8268	1997-05-31	PRIJEM	\N	96	19821	UROK	\N	\N
3474151	8268	1997-06-30	PRIJEM	\N	78	21339	UROK	\N	\N
3474152	8268	1997-07-31	PRIJEM	\N	93	24662	UROK	\N	\N
3474153	8268	1997-08-31	PRIJEM	\N	102	28467	UROK	\N	\N
3474154	8268	1997-09-30	PRIJEM	\N	110	29294	UROK	\N	\N
3474155	8268	1997-10-31	PRIJEM	\N	113	29571	UROK	\N	\N
3474156	8268	1997-11-30	PRIJEM	\N	115	32412	UROK	\N	\N
3474157	8268	1997-12-31	PRIJEM	\N	135	36376	UROK	\N	\N
3474158	8268	1998-01-31	PRIJEM	\N	133	29678	UROK	\N	\N
3474159	8268	1998-02-28	PRIJEM	\N	143	42392	UROK	\N	\N
3474160	8268	1998-03-31	PRIJEM	\N	179	48638	UROK	\N	\N
3474161	8268	1998-04-30	PRIJEM	\N	213	58183	UROK	\N	\N
3474162	8268	1998-05-31	PRIJEM	\N	238	62079	UROK	\N	\N
3474163	8268	1998-06-30	PRIJEM	\N	179	49897	UROK	\N	\N
3474164	8268	1998-07-31	PRIJEM	\N	220	60387	UROK	\N	\N
3474165	8268	1998-08-31	PRIJEM	\N	230	59576	UROK	\N	\N
3474166	8268	1998-09-30	PRIJEM	\N	217	55710	UROK	\N	\N
3474167	8268	1998-10-31	PRIJEM	\N	235	62355	UROK	\N	\N
3474168	8268	1998-11-30	PRIJEM	\N	246	65459	UROK	\N	\N
3474169	8268	1998-12-31	PRIJEM	\N	278	72862	UROK	\N	\N
3474424	8316	1994-06-30	PRIJEM	\N	58	24724	UROK	\N	\N
3474425	8316	1994-07-31	PRIJEM	\N	103	23327	UROK	\N	\N
3474426	8316	1994-08-31	PRIJEM	\N	238	74610	UROK	\N	\N
3474427	8316	1994-09-30	PRIJEM	\N	311	51821	UROK	\N	\N
3474428	8316	1994-10-31	PRIJEM	\N	278	50211	UROK	\N	\N
3474429	8316	1994-11-30	PRIJEM	\N	235	76929	UROK	\N	\N
3474430	8316	1994-12-31	PRIJEM	\N	260	31466	UROK	\N	\N
3474431	8316	1995-01-31	PRIJEM	\N	86	21282	UROK	\N	\N
3474432	8316	1995-02-28	PRIJEM	\N	83	15633	UROK	\N	\N
3474433	8316	1995-03-31	PRIJEM	\N	63	22982	UROK	\N	\N
3474434	8316	1995-04-30	PRIJEM	\N	124	33872	UROK	\N	\N
3474435	8316	1995-05-31	PRIJEM	\N	199	54180	UROK	\N	\N
3474436	8316	1995-06-30	PRIJEM	\N	356	62742	UROK	\N	\N
3474437	8316	1995-07-31	PRIJEM	\N	247	47259	UROK	\N	\N
3474438	8316	1995-08-31	PRIJEM	\N	148	30766	UROK	\N	\N
3474439	8316	1995-09-30	PRIJEM	\N	129	41437	UROK	\N	\N
3474440	8316	1995-10-31	PRIJEM	\N	180	44450	UROK	\N	\N
3474441	8316	1995-11-30	PRIJEM	\N	250	55064	UROK	\N	\N
3474442	8316	1995-12-31	PRIJEM	\N	179	34054	UROK	\N	\N
3474443	8316	1996-01-31	PRIJEM	\N	156	22403	UROK	\N	\N
3474444	8316	1996-02-29	PRIJEM	\N	142	47781	UROK	\N	\N
3474445	8316	1996-03-31	PRIJEM	\N	162	69133	UROK	\N	\N
3474446	8316	1996-04-30	PRIJEM	\N	225	39360	UROK	\N	\N
3474447	8316	1996-05-31	PRIJEM	\N	205	49537	UROK	\N	\N
3474448	8316	1996-06-30	PRIJEM	\N	150	34698	UROK	\N	\N
3474449	8316	1996-07-31	PRIJEM	\N	198	53059	UROK	\N	\N
3474450	8316	1996-08-31	PRIJEM	\N	320	69955	UROK	\N	\N
3474451	8316	1996-09-30	PRIJEM	\N	284	56823	UROK	\N	\N
3474452	8316	1996-10-31	PRIJEM	\N	207	44013	UROK	\N	\N
3474453	8316	1996-11-30	PRIJEM	\N	174	70926	UROK	\N	\N
3474454	8316	1996-12-31	PRIJEM	\N	264	90189	UROK	\N	\N
3474455	8316	1997-01-31	PRIJEM	\N	310	78195	UROK	\N	\N
3474456	8316	1997-02-28	PRIJEM	\N	305	62916	UROK	\N	\N
3474457	8316	1997-03-31	PRIJEM	\N	234	82116	UROK	\N	\N
3474458	8316	1997-04-30	PRIJEM	\N	239	53185	UROK	\N	\N
3474459	8316	1997-05-31	PRIJEM	\N	215	55230	UROK	\N	\N
3474460	8316	1997-06-30	PRIJEM	\N	266	71896	UROK	\N	\N
3474461	8316	1997-07-31	PRIJEM	\N	216	43782	UROK	\N	\N
3474462	8316	1997-08-31	PRIJEM	\N	216	68100	UROK	\N	\N
3474463	8316	1997-09-30	PRIJEM	\N	295	79533	UROK	\N	\N
3474464	8316	1997-10-31	PRIJEM	\N	257	58675	UROK	\N	\N
3474465	8316	1997-11-30	PRIJEM	\N	251	78345	UROK	\N	\N
3474466	8316	1997-12-31	PRIJEM	\N	301	49274	UROK	\N	\N
3474467	8316	1998-01-31	PRIJEM	\N	354	63219	UROK	\N	\N
3474468	8316	1998-02-28	PRIJEM	\N	198	49789	UROK	\N	\N
3474469	8316	1998-03-31	PRIJEM	\N	218	65810	UROK	\N	\N
3474470	8316	1998-04-30	PRIJEM	\N	275	87366	UROK	\N	\N
3474471	8316	1998-05-31	PRIJEM	\N	236	60374	UROK	\N	\N
3474472	8316	1998-06-30	PRIJEM	\N	162	44122	UROK	\N	\N
3474473	8316	1998-07-31	PRIJEM	\N	337	96017	UROK	\N	\N
3474474	8316	1998-08-31	PRIJEM	\N	301	118633	UROK	\N	\N
3474475	8316	1998-09-30	PRIJEM	\N	311	66115	UROK	\N	\N
3474476	8316	1998-10-31	PRIJEM	\N	242	84661	UROK	\N	\N
3474477	8316	1998-11-30	PRIJEM	\N	222	55197	UROK	\N	\N
3474478	8316	1998-12-31	PRIJEM	\N	231	121828	UROK	\N	\N
3474479	8320	1997-02-28	PRIJEM	\N	47	29058	UROK	\N	\N
3474480	8320	1997-03-31	PRIJEM	\N	133	36657	UROK	\N	\N
3474481	8320	1997-04-30	PRIJEM	\N	157	39936	UROK	\N	\N
3474482	8320	1997-05-31	PRIJEM	\N	174	44737	UROK	\N	\N
3474483	8320	1997-06-30	PRIJEM	\N	210	37202	UROK	\N	\N
3474484	8320	1997-07-31	PRIJEM	\N	142	22511	UROK	\N	\N
3474485	8320	1997-08-31	PRIJEM	\N	104	22586	UROK	\N	\N
3474486	8320	1997-09-30	PRIJEM	\N	72	11711	UROK	\N	\N
3474487	8320	1997-10-31	PRIJEM	\N	71	18209	UROK	\N	\N
3474488	8320	1997-11-30	PRIJEM	\N	82	18448	UROK	\N	\N
3474489	8320	1997-12-31	PRIJEM	\N	103	20976	UROK	\N	\N
3474490	8320	1998-01-31	PRIJEM	\N	96	15754	UROK	\N	\N
3474491	8320	1998-02-28	PRIJEM	\N	94	20514	UROK	\N	\N
3474492	8320	1998-03-31	PRIJEM	\N	95	23095	UROK	\N	\N
3474493	8320	1998-04-30	PRIJEM	\N	115	30577	UROK	\N	\N
3474494	8320	1998-05-31	PRIJEM	\N	136	33899	UROK	\N	\N
3474495	8320	1998-06-30	PRIJEM	\N	162	40090	UROK	\N	\N
3474496	8320	1998-07-31	PRIJEM	\N	188	31047	UROK	\N	\N
3474497	8320	1998-08-31	PRIJEM	\N	126	32142	UROK	\N	\N
3474498	8320	1998-09-30	PRIJEM	\N	100	21525	UROK	\N	\N
3474499	8320	1998-10-31	PRIJEM	\N	106	29293	UROK	\N	\N
3474500	8320	1998-11-30	PRIJEM	\N	125	29612	UROK	\N	\N
3474501	8320	1998-12-31	PRIJEM	\N	151	36612	UROK	\N	\N
3474502	8321	1993-04-30	PRIJEM	\N	27	11389	UROK	\N	\N
3474503	8321	1993-05-31	PRIJEM	\N	91	29567	UROK	\N	\N
3474504	8321	1993-06-30	PRIJEM	\N	160	45538	UROK	\N	\N
3474505	8321	1993-07-31	PRIJEM	\N	187	44988	UROK	\N	\N
3474506	8321	1993-08-31	PRIJEM	\N	189	46439	UROK	\N	\N
3474507	8321	1993-09-30	PRIJEM	\N	166	37984	UROK	\N	\N
3474508	8321	1993-10-31	PRIJEM	\N	144	35434	UROK	\N	\N
3474509	8321	1993-11-30	PRIJEM	\N	136	31879	UROK	\N	\N
3474510	8321	1993-12-31	PRIJEM	\N	137	36296	UROK	\N	\N
3474511	8321	1994-01-31	PRIJEM	\N	110	23145	UROK	\N	\N
3474512	8321	1994-02-28	PRIJEM	\N	102	27650	UROK	\N	\N
3474513	8321	1994-03-31	PRIJEM	\N	111	24900	UROK	\N	\N
3474514	8321	1994-04-30	PRIJEM	\N	109	30120	UROK	\N	\N
3474515	8321	1994-05-31	PRIJEM	\N	121	31463	UROK	\N	\N
3474516	8321	1994-06-30	PRIJEM	\N	135	29300	UROK	\N	\N
3474517	8321	1994-07-31	PRIJEM	\N	116	30669	UROK	\N	\N
3474518	8321	1994-08-31	PRIJEM	\N	118	29886	UROK	\N	\N
3474519	8321	1994-09-30	PRIJEM	\N	114	26612	UROK	\N	\N
3474520	8321	1994-10-31	PRIJEM	\N	103	25198	UROK	\N	\N
3474521	8321	1994-11-30	PRIJEM	\N	102	28389	UROK	\N	\N
3474522	8321	1994-12-31	PRIJEM	\N	121	30473	UROK	\N	\N
3474523	8321	1995-01-31	PRIJEM	\N	84	17235	UROK	\N	\N
3474524	8321	1995-02-28	PRIJEM	\N	77	23355	UROK	\N	\N
3474525	8321	1995-03-31	PRIJEM	\N	102	30180	UROK	\N	\N
3474526	8321	1995-04-30	PRIJEM	\N	117	32139	UROK	\N	\N
3474527	8321	1995-05-31	PRIJEM	\N	119	31398	UROK	\N	\N
3474528	8321	1995-06-30	PRIJEM	\N	140	41277	UROK	\N	\N
3474529	8321	1995-07-31	PRIJEM	\N	145	38500	UROK	\N	\N
3474530	8321	1995-08-31	PRIJEM	\N	141	35901	UROK	\N	\N
3474531	8321	1995-09-30	PRIJEM	\N	137	34150	UROK	\N	\N
3474532	8321	1995-10-31	PRIJEM	\N	120	30632	UROK	\N	\N
3474533	8321	1995-11-30	PRIJEM	\N	116	33662	UROK	\N	\N
3474534	8321	1995-12-31	PRIJEM	\N	139	35164	UROK	\N	\N
3474535	8321	1996-01-31	PRIJEM	\N	101	29240	UROK	\N	\N
3474536	8321	1996-02-29	PRIJEM	\N	109	33253	UROK	\N	\N
3474537	8321	1996-03-31	PRIJEM	\N	124	33765	UROK	\N	\N
3474538	8321	1996-04-30	PRIJEM	\N	116	34343	UROK	\N	\N
3474539	8321	1996-05-31	PRIJEM	\N	129	35658	UROK	\N	\N
3474540	8321	1996-06-30	PRIJEM	\N	115	34260	UROK	\N	\N
3474541	8321	1996-07-31	PRIJEM	\N	129	36126	UROK	\N	\N
3474542	8321	1996-08-31	PRIJEM	\N	134	36827	UROK	\N	\N
3474543	8321	1996-09-30	PRIJEM	\N	140	40067	UROK	\N	\N
3474544	8321	1996-10-31	PRIJEM	\N	134	36583	UROK	\N	\N
3474545	8321	1996-11-30	PRIJEM	\N	136	39624	UROK	\N	\N
3474546	8321	1996-12-31	PRIJEM	\N	151	40749	UROK	\N	\N
3474547	8321	1997-01-31	PRIJEM	\N	113	26716	UROK	\N	\N
3474548	8321	1997-02-28	PRIJEM	\N	102	37339	UROK	\N	\N
3474549	8321	1997-03-31	PRIJEM	\N	141	42002	UROK	\N	\N
3474550	8321	1997-04-30	PRIJEM	\N	154	45065	UROK	\N	\N
3474551	8321	1997-05-31	PRIJEM	\N	172	49328	UROK	\N	\N
3474552	8321	1997-06-30	PRIJEM	\N	192	52813	UROK	\N	\N
3474553	8321	1997-07-31	PRIJEM	\N	194	53219	UROK	\N	\N
3474554	8321	1997-08-31	PRIJEM	\N	193	52157	UROK	\N	\N
3474555	8321	1997-09-30	PRIJEM	\N	200	57272	UROK	\N	\N
3474556	8321	1997-10-31	PRIJEM	\N	207	55627	UROK	\N	\N
3474557	8321	1997-11-30	PRIJEM	\N	206	57955	UROK	\N	\N
3474558	8321	1997-12-31	PRIJEM	\N	212	55769	UROK	\N	\N
3474559	8321	1998-01-31	PRIJEM	\N	156	34348	UROK	\N	\N
3474560	8321	1998-02-28	PRIJEM	\N	137	47408	UROK	\N	\N
3474561	8321	1998-03-31	PRIJEM	\N	179	54703	UROK	\N	\N
3474562	8321	1998-04-30	PRIJEM	\N	200	57627	UROK	\N	\N
3474563	8321	1998-05-31	PRIJEM	\N	207	59156	UROK	\N	\N
3474564	8321	1998-06-30	PRIJEM	\N	168	34161	UROK	\N	\N
3474565	8321	1998-07-31	PRIJEM	\N	126	42109	UROK	\N	\N
3474566	8321	1998-08-31	PRIJEM	\N	134	50253	UROK	\N	\N
3474567	8321	1998-09-30	PRIJEM	\N	179	53588	UROK	\N	\N
3474568	8321	1998-10-31	PRIJEM	\N	202	60393	UROK	\N	\N
3474569	8321	1998-11-30	PRIJEM	\N	226	65144	UROK	\N	\N
3474570	8321	1998-12-31	PRIJEM	\N	235	64778	UROK	\N	\N
3474613	8327	1995-08-31	PRIJEM	\N	39	47835	UROK	\N	\N
3474614	8327	1995-09-30	PRIJEM	\N	199	37566	UROK	\N	\N
3474615	8327	1995-10-31	PRIJEM	\N	303	94699	UROK	\N	\N
3474616	8327	1995-11-30	PRIJEM	\N	392	59391	UROK	\N	\N
3474617	8327	1995-12-31	PRIJEM	\N	302	82667	UROK	\N	\N
3474618	8327	1996-01-31	PRIJEM	\N	234	82205	UROK	\N	\N
3474619	8327	1996-02-29	PRIJEM	\N	235	50725	UROK	\N	\N
3474620	8327	1996-03-31	PRIJEM	\N	214	57669	UROK	\N	\N
3474621	8327	1996-04-30	PRIJEM	\N	141	29776	UROK	\N	\N
3474622	8327	1996-05-31	PRIJEM	\N	268	79997	UROK	\N	\N
3474623	8327	1996-06-30	PRIJEM	\N	190	80858	UROK	\N	\N
3474624	8327	1996-07-31	PRIJEM	\N	228	51040	UROK	\N	\N
3474625	8327	1996-08-31	PRIJEM	\N	130	28857	UROK	\N	\N
3474626	8327	1996-09-30	PRIJEM	\N	74	16756	UROK	\N	\N
3474627	8327	1996-10-31	PRIJEM	\N	111	110282	UROK	\N	\N
3474628	8327	1996-11-30	PRIJEM	\N	272	110793	UROK	\N	\N
3474629	8327	1996-12-31	PRIJEM	\N	124	36086	UROK	\N	\N
3474630	8327	1997-01-31	PRIJEM	\N	78	25949	UROK	\N	\N
3474631	8327	1997-02-28	PRIJEM	\N	66	14237	UROK	\N	\N
3474632	8327	1997-03-31	PRIJEM	\N	72	27204	UROK	\N	\N
3474633	8327	1997-04-30	PRIJEM	\N	93	38067	UROK	\N	\N
3474634	8327	1997-05-31	PRIJEM	\N	115	31928	UROK	\N	\N
3474635	8327	1997-06-30	PRIJEM	\N	92	33285	UROK	\N	\N
3474636	8327	1997-07-31	PRIJEM	\N	98	33737	UROK	\N	\N
3474637	8327	1997-08-31	PRIJEM	\N	102	35671	UROK	\N	\N
3474638	8327	1997-09-30	PRIJEM	\N	162	55587	UROK	\N	\N
3474639	8327	1997-10-31	PRIJEM	\N	147	40826	UROK	\N	\N
3474640	8327	1997-11-30	PRIJEM	\N	129	38768	UROK	\N	\N
3474641	8327	1997-12-31	PRIJEM	\N	116	31353	UROK	\N	\N
3474642	8327	1998-01-31	PRIJEM	\N	92	30510	UROK	\N	\N
3474643	8327	1998-02-28	PRIJEM	\N	93	35657	UROK	\N	\N
3474644	8327	1998-03-31	PRIJEM	\N	182	61838	UROK	\N	\N
3474645	8327	1998-04-30	PRIJEM	\N	272	55548	UROK	\N	\N
3474646	8327	1998-05-31	PRIJEM	\N	212	93734	UROK	\N	\N
3474647	8327	1998-06-30	PRIJEM	\N	240	77817	UROK	\N	\N
3474648	8327	1998-07-31	PRIJEM	\N	230	43415	UROK	\N	\N
3474649	8327	1998-08-31	PRIJEM	\N	128	32692	UROK	\N	\N
3474650	8327	1998-09-30	PRIJEM	\N	225	51287	UROK	\N	\N
3474651	8327	1998-10-31	PRIJEM	\N	209	61150	UROK	\N	\N
3474652	8327	1998-11-30	PRIJEM	\N	194	45965	UROK	\N	\N
3474653	8327	1998-12-31	PRIJEM	\N	125	29683	UROK	\N	\N
3474654	8330	1993-04-30	PRIJEM	\N	12	22130	UROK	\N	\N
3474655	8330	1993-05-31	PRIJEM	\N	99	32474	UROK	\N	\N
3474656	8330	1993-06-30	PRIJEM	\N	142	43193	UROK	\N	\N
3474657	8330	1993-07-31	PRIJEM	\N	179	42814	UROK	\N	\N
3474658	8330	1993-08-31	PRIJEM	\N	219	41492	UROK	\N	\N
3474659	8330	1993-09-30	PRIJEM	\N	214	43492	UROK	\N	\N
3474660	8330	1993-10-31	PRIJEM	\N	214	44710	UROK	\N	\N
3474661	8330	1993-11-30	PRIJEM	\N	210	41197	UROK	\N	\N
3474662	8330	1993-12-31	PRIJEM	\N	226	46167	UROK	\N	\N
3474663	8330	1994-01-31	PRIJEM	\N	201	33146	UROK	\N	\N
3474664	8330	1994-02-28	PRIJEM	\N	183	41024	UROK	\N	\N
3474665	8330	1994-03-31	PRIJEM	\N	174	36527	UROK	\N	\N
3474666	8330	1994-04-30	PRIJEM	\N	174	39593	UROK	\N	\N
3474667	8330	1994-05-31	PRIJEM	\N	190	42573	UROK	\N	\N
3474668	8330	1994-06-30	PRIJEM	\N	208	43485	UROK	\N	\N
3474669	8330	1994-07-31	PRIJEM	\N	191	42338	UROK	\N	\N
3474670	8330	1994-08-31	PRIJEM	\N	183	41222	UROK	\N	\N
3474671	8330	1994-09-30	PRIJEM	\N	178	40976	UROK	\N	\N
3474672	8330	1994-10-31	PRIJEM	\N	189	44061	UROK	\N	\N
3474673	8330	1994-11-30	PRIJEM	\N	190	46354	UROK	\N	\N
3474674	8330	1994-12-31	PRIJEM	\N	208	46920	UROK	\N	\N
3474675	8330	1995-01-31	PRIJEM	\N	180	33296	UROK	\N	\N
3474676	8330	1995-02-28	PRIJEM	\N	147	39576	UROK	\N	\N
3474677	8330	1995-03-31	PRIJEM	\N	166	38279	UROK	\N	\N
3474678	8330	1995-04-30	PRIJEM	\N	166	43534	UROK	\N	\N
3474679	8330	1995-05-31	PRIJEM	\N	178	43888	UROK	\N	\N
3474680	8330	1995-06-30	PRIJEM	\N	196	49337	UROK	\N	\N
3474681	8330	1995-07-31	PRIJEM	\N	192	47002	UROK	\N	\N
3474682	8330	1995-08-31	PRIJEM	\N	171	39183	UROK	\N	\N
3474683	8330	1995-09-30	PRIJEM	\N	146	37645	UROK	\N	\N
3474684	8330	1995-10-31	PRIJEM	\N	143	38365	UROK	\N	\N
3474685	8330	1995-11-30	PRIJEM	\N	143	38475	UROK	\N	\N
3474686	8330	1995-12-31	PRIJEM	\N	165	43012	UROK	\N	\N
3474687	8330	1996-01-31	PRIJEM	\N	138	30744	UROK	\N	\N
3474688	8330	1996-02-29	PRIJEM	\N	108	31295	UROK	\N	\N
3474689	8330	1996-03-31	PRIJEM	\N	112	32684	UROK	\N	\N
3474690	8330	1996-04-30	PRIJEM	\N	118	29980	UROK	\N	\N
3474691	8330	1996-05-31	PRIJEM	\N	117	30625	UROK	\N	\N
3474692	8330	1996-06-30	PRIJEM	\N	128	33995	UROK	\N	\N
3474693	8330	1996-07-31	PRIJEM	\N	119	34409	UROK	\N	\N
3474694	8330	1996-08-31	PRIJEM	\N	123	35635	UROK	\N	\N
3474695	8330	1996-09-30	PRIJEM	\N	120	34050	UROK	\N	\N
3474696	8330	1996-10-31	PRIJEM	\N	114	27856	UROK	\N	\N
3474697	8330	1996-11-30	PRIJEM	\N	96	27919	UROK	\N	\N
3474698	8330	1996-12-31	PRIJEM	\N	105	29065	UROK	\N	\N
3474699	8330	1997-01-31	PRIJEM	\N	87	25467	UROK	\N	\N
3474700	8330	1997-02-28	PRIJEM	\N	121	42785	UROK	\N	\N
3474701	8330	1997-03-31	PRIJEM	\N	125	34302	UROK	\N	\N
3474702	8330	1997-04-30	PRIJEM	\N	106	30907	UROK	\N	\N
3474703	8330	1997-05-31	PRIJEM	\N	94	28806	UROK	\N	\N
3474704	8330	1997-06-30	PRIJEM	\N	167	56627	UROK	\N	\N
3474705	8330	1997-07-31	PRIJEM	\N	190	51772	UROK	\N	\N
3474706	8330	1997-08-31	PRIJEM	\N	171	47525	UROK	\N	\N
3474707	8330	1997-09-30	PRIJEM	\N	210	64230	UROK	\N	\N
3474708	8330	1997-10-31	PRIJEM	\N	165	42284	UROK	\N	\N
3474709	8330	1997-11-30	PRIJEM	\N	204	59684	UROK	\N	\N
3474710	8330	1997-12-31	PRIJEM	\N	173	52408	UROK	\N	\N
3474711	8330	1998-01-31	PRIJEM	\N	191	50920	UROK	\N	\N
3474712	8330	1998-02-28	PRIJEM	\N	222	63537	UROK	\N	\N
3474713	8330	1998-03-31	PRIJEM	\N	186	52388	UROK	\N	\N
3474714	8330	1998-04-30	PRIJEM	\N	157	45097	UROK	\N	\N
3474715	8330	1998-05-31	PRIJEM	\N	195	62639	UROK	\N	\N
3474716	8330	1998-06-30	PRIJEM	\N	189	43821	UROK	\N	\N
3474717	8330	1998-07-31	PRIJEM	\N	194	31460	UROK	\N	\N
3474718	8330	1998-08-31	PRIJEM	\N	138	43963	UROK	\N	\N
3474719	8330	1998-09-30	PRIJEM	\N	184	56145	UROK	\N	\N
3474720	8330	1998-10-31	PRIJEM	\N	228	34957	UROK	\N	\N
3474721	8330	1998-11-30	PRIJEM	\N	163	52215	UROK	\N	\N
3474722	8330	1998-12-31	PRIJEM	\N	258	73823	UROK	\N	\N
3474819	8377	1994-06-30	PRIJEM	\N	73	40816	UROK	\N	\N
3474820	8377	1994-07-31	PRIJEM	\N	170	33386	UROK	\N	\N
3474821	8377	1994-08-31	PRIJEM	\N	170	30355	UROK	\N	\N
3474822	8377	1994-09-30	PRIJEM	\N	170	27225	UROK	\N	\N
3474823	8377	1994-10-31	PRIJEM	\N	165	38814	UROK	\N	\N
3474824	8377	1994-11-30	PRIJEM	\N	160	29875	UROK	\N	\N
3474825	8377	1994-12-31	PRIJEM	\N	160	25935	UROK	\N	\N
3474826	8377	1995-01-31	PRIJEM	\N	176	62881	UROK	\N	\N
3474827	8377	1995-02-28	PRIJEM	\N	268	55909	UROK	\N	\N
3474828	8377	1995-03-31	PRIJEM	\N	264	88134	UROK	\N	\N
3474829	8377	1995-04-30	PRIJEM	\N	283	79147	UROK	\N	\N
3474830	8377	1995-05-31	PRIJEM	\N	372	80993	UROK	\N	\N
3474831	8377	1995-06-30	PRIJEM	\N	318	70733	UROK	\N	\N
3474832	8377	1995-07-31	PRIJEM	\N	243	60069	UROK	\N	\N
3474833	8377	1995-08-31	PRIJEM	\N	247	69002	UROK	\N	\N
3474834	8377	1995-09-30	PRIJEM	\N	186	34033	UROK	\N	\N
3474835	8377	1995-10-31	PRIJEM	\N	186	53793	UROK	\N	\N
3474836	8377	1995-11-30	PRIJEM	\N	169	92705	UROK	\N	\N
3474837	8377	1995-12-31	PRIJEM	\N	357	99420	UROK	\N	\N
3474838	8377	1996-01-31	PRIJEM	\N	155	15695	UROK	\N	\N
3474839	8377	1996-02-29	PRIJEM	\N	55	14294	UROK	\N	\N
3474840	8377	1996-03-31	PRIJEM	\N	57	16406	UROK	\N	\N
3474841	8377	1996-04-30	PRIJEM	\N	44	11394	UROK	\N	\N
3474842	8377	1996-05-31	PRIJEM	\N	50	23423	UROK	\N	\N
3474843	8377	1996-06-30	PRIJEM	\N	66	16179	UROK	\N	\N
3474844	8377	1996-07-31	PRIJEM	\N	48	13115	UROK	\N	\N
3474845	8377	1996-08-31	PRIJEM	\N	36	10344	UROK	\N	\N
3474846	8377	1996-09-30	PRIJEM	\N	34	10547	UROK	\N	\N
3474847	8377	1996-10-31	PRIJEM	\N	35	10878	UROK	\N	\N
3474848	8377	1996-11-30	PRIJEM	\N	40	12663	UROK	\N	\N
3474849	8377	1996-12-31	PRIJEM	\N	56	17295	UROK	\N	\N
3474850	8377	1997-01-31	PRIJEM	\N	53	14703	UROK	\N	\N
3474851	8377	1997-02-28	PRIJEM	\N	48	13829	UROK	\N	\N
3474852	8377	1997-03-31	PRIJEM	\N	49	14522	UROK	\N	\N
3474853	8377	1997-04-30	PRIJEM	\N	50	14965	UROK	\N	\N
3474854	8377	1997-05-31	PRIJEM	\N	44	12103	UROK	\N	\N
3474855	8377	1997-06-30	PRIJEM	\N	38	11866	UROK	\N	\N
3474856	8377	1997-07-31	PRIJEM	\N	37	11547	UROK	\N	\N
3474857	8377	1997-08-31	PRIJEM	\N	40	26368	UROK	\N	\N
3474858	8377	1997-09-30	PRIJEM	\N	74	32790	UROK	\N	\N
3474859	8377	1997-10-31	PRIJEM	\N	87	32395	UROK	\N	\N
3474860	8377	1997-11-30	PRIJEM	\N	88	34801	UROK	\N	\N
3474861	8377	1997-12-31	PRIJEM	\N	97	36442	UROK	\N	\N
3474862	8377	1998-01-31	PRIJEM	\N	87	32315	UROK	\N	\N
3474863	8377	1998-02-28	PRIJEM	\N	118	39349	UROK	\N	\N
3474864	8377	1998-03-31	PRIJEM	\N	94	36981	UROK	\N	\N
3474865	8377	1998-04-30	PRIJEM	\N	184	59434	UROK	\N	\N
3474866	8377	1998-05-31	PRIJEM	\N	157	41692	UROK	\N	\N
3474867	8377	1998-06-30	PRIJEM	\N	124	41460	UROK	\N	\N
3474868	8377	1998-07-31	PRIJEM	\N	174	55350	UROK	\N	\N
3474869	8377	1998-08-31	PRIJEM	\N	175	45614	UROK	\N	\N
3474870	8377	1998-09-30	PRIJEM	\N	207	61733	UROK	\N	\N
3474871	8377	1998-10-31	PRIJEM	\N	276	61616	UROK	\N	\N
3474872	8377	1998-11-30	PRIJEM	\N	257	60868	UROK	\N	\N
3474873	8377	1998-12-31	PRIJEM	\N	186	55523	UROK	\N	\N
3474874	8381	1996-10-31	PRIJEM	\N	39	29318	UROK	\N	\N
3474875	8381	1996-11-30	PRIJEM	\N	181	66861	UROK	\N	\N
3474876	8381	1996-12-31	PRIJEM	\N	334	87976	UROK	\N	\N
3474877	8381	1997-01-31	PRIJEM	\N	246	20443	UROK	\N	\N
3474878	8381	1997-02-28	PRIJEM	\N	193	67559	UROK	\N	\N
3474879	8381	1997-03-31	PRIJEM	\N	244	86790	UROK	\N	\N
3474880	8381	1997-04-30	PRIJEM	\N	246	102205	UROK	\N	\N
3474881	8381	1997-05-31	PRIJEM	\N	231	53168	UROK	\N	\N
3474882	8381	1997-06-30	PRIJEM	\N	246	96804	UROK	\N	\N
3474883	8381	1997-07-31	PRIJEM	\N	368	100552	UROK	\N	\N
3474884	8381	1997-08-31	PRIJEM	\N	238	42209	UROK	\N	\N
3474885	8381	1997-09-30	PRIJEM	\N	143	40079	UROK	\N	\N
3474886	8381	1997-10-31	PRIJEM	\N	139	35458	UROK	\N	\N
3474887	8381	1997-11-30	PRIJEM	\N	266	62411	UROK	\N	\N
3474888	8381	1997-12-31	PRIJEM	\N	189	67367	UROK	\N	\N
3474889	8381	1998-01-31	PRIJEM	\N	93	7931	UROK	\N	\N
3474890	8381	1998-02-28	PRIJEM	\N	9	2147	UROK	\N	\N
3474891	8381	1998-02-28	VYDAJ	VYBER	5	2123	SANKC. UROK	\N	\N
3474892	8381	1998-03-31	VYDAJ	VYBER	8	1367	SANKC. UROK	\N	\N
3474893	8381	1998-04-30	PRIJEM	\N	21	8226	UROK	\N	\N
3474894	8381	1998-04-30	VYDAJ	VYBER	5	8222	SANKC. UROK	\N	\N
3474895	8381	1998-05-31	PRIJEM	\N	9	-1010	UROK	\N	\N
3474896	8381	1998-05-31	VYDAJ	VYBER	25	-1035	SANKC. UROK	\N	\N
3474897	8381	1998-06-30	PRIJEM	\N	30	47857	UROK	\N	\N
3474898	8381	1998-06-30	VYDAJ	VYBER	13	47844	SANKC. UROK	\N	\N
3474899	8381	1998-07-31	PRIJEM	\N	180	84131	UROK	\N	\N
3474900	8381	1998-08-31	PRIJEM	\N	321	123762	UROK	\N	\N
3474901	8381	1998-09-30	PRIJEM	\N	216	58999	UROK	\N	\N
3474902	8381	1998-10-31	PRIJEM	\N	196	39336	UROK	\N	\N
3474903	8381	1998-11-30	PRIJEM	\N	143	30290	UROK	\N	\N
3474904	8381	1998-12-31	PRIJEM	\N	55	11000	UROK	\N	\N
3475004	8405	1994-06-30	PRIJEM	\N	87	28677	UROK	\N	\N
3475005	8405	1994-07-31	PRIJEM	\N	148	38248	UROK	\N	\N
3475006	8405	1994-08-31	PRIJEM	\N	168	41343	UROK	\N	\N
3475007	8405	1994-09-30	PRIJEM	\N	181	44477	UROK	\N	\N
3475008	8405	1994-10-31	PRIJEM	\N	162	33857	UROK	\N	\N
3475009	8405	1994-11-30	PRIJEM	\N	142	28697	UROK	\N	\N
3475010	8405	1994-12-31	PRIJEM	\N	143	32750	UROK	\N	\N
3475011	8405	1995-01-31	PRIJEM	\N	109	21502	UROK	\N	\N
3475012	8405	1995-02-28	PRIJEM	\N	126	25462	UROK	\N	\N
3475013	8405	1995-03-31	PRIJEM	\N	102	24015	UROK	\N	\N
3475014	8405	1995-04-30	PRIJEM	\N	105	24284	UROK	\N	\N
3475015	8405	1995-05-31	PRIJEM	\N	98	23250	UROK	\N	\N
3475016	8405	1995-06-30	PRIJEM	\N	97	15930	UROK	\N	\N
3475017	8405	1995-07-31	PRIJEM	\N	103	22595	UROK	\N	\N
3475018	8405	1995-08-31	PRIJEM	\N	132	34212	UROK	\N	\N
3475019	8405	1995-09-30	PRIJEM	\N	170	40996	UROK	\N	\N
3475020	8405	1995-10-31	PRIJEM	\N	159	38319	UROK	\N	\N
3475021	8405	1995-11-30	PRIJEM	\N	163	39568	UROK	\N	\N
3475022	8405	1995-12-31	PRIJEM	\N	190	47006	UROK	\N	\N
3475023	8405	1996-01-31	PRIJEM	\N	123	18230	UROK	\N	\N
3475024	8405	1996-02-29	PRIJEM	\N	97	16874	UROK	\N	\N
3475025	8405	1996-03-31	PRIJEM	\N	109	28297	UROK	\N	\N
3475026	8405	1996-04-30	PRIJEM	\N	148	29480	UROK	\N	\N
3475027	8405	1996-05-31	PRIJEM	\N	151	30005	UROK	\N	\N
3475028	8405	1996-06-30	PRIJEM	\N	78	19927	UROK	\N	\N
3475029	8405	1996-07-31	PRIJEM	\N	112	26977	UROK	\N	\N
3475030	8405	1996-08-31	PRIJEM	\N	132	28444	UROK	\N	\N
3475031	8405	1996-09-30	PRIJEM	\N	140	28810	UROK	\N	\N
3475032	8405	1996-10-31	PRIJEM	\N	139	27024	UROK	\N	\N
3475033	8405	1996-11-30	PRIJEM	\N	128	25903	UROK	\N	\N
3475034	8405	1996-12-31	PRIJEM	\N	156	32408	UROK	\N	\N
3475035	8405	1997-01-31	PRIJEM	\N	105	18386	UROK	\N	\N
3475036	8405	1997-02-28	PRIJEM	\N	99	21680	UROK	\N	\N
3475037	8405	1997-03-31	PRIJEM	\N	112	27518	UROK	\N	\N
3475038	8405	1997-04-30	PRIJEM	\N	132	29192	UROK	\N	\N
3475039	8405	1997-05-31	PRIJEM	\N	108	25198	UROK	\N	\N
3475040	8405	1997-06-30	PRIJEM	\N	141	27378	UROK	\N	\N
3475041	8405	1997-07-31	PRIJEM	\N	123	27607	UROK	\N	\N
3475042	8405	1997-08-31	PRIJEM	\N	129	30685	UROK	\N	\N
3475043	8405	1997-09-30	PRIJEM	\N	137	30174	UROK	\N	\N
3475044	8405	1997-10-31	PRIJEM	\N	137	32476	UROK	\N	\N
3475045	8405	1997-11-30	PRIJEM	\N	141	31965	UROK	\N	\N
3475046	8405	1997-12-31	PRIJEM	\N	167	36421	UROK	\N	\N
3475047	8405	1998-01-31	PRIJEM	\N	103	20879	UROK	\N	\N
3475048	8405	1998-02-28	PRIJEM	\N	98	25669	UROK	\N	\N
3475049	8405	1998-03-31	PRIJEM	\N	119	28190	UROK	\N	\N
3475050	8405	1998-04-30	PRIJEM	\N	119	24664	UROK	\N	\N
3475051	8405	1998-05-31	PRIJEM	\N	112	29229	UROK	\N	\N
3475052	8405	1998-06-30	PRIJEM	\N	150	33869	UROK	\N	\N
3475053	8405	1998-07-31	PRIJEM	\N	133	28301	UROK	\N	\N
3475054	8405	1998-08-31	PRIJEM	\N	107	25079	UROK	\N	\N
3475055	8405	1998-09-30	PRIJEM	\N	110	26695	UROK	\N	\N
3475056	8405	1998-10-31	PRIJEM	\N	117	31948	UROK	\N	\N
3475057	8405	1998-11-30	PRIJEM	\N	134	35723	UROK	\N	\N
3475058	8405	1998-12-31	PRIJEM	\N	175	42279	UROK	\N	\N
3475136	8411	1994-12-31	PRIJEM	\N	101	34297	UROK	\N	\N
3475137	8411	1995-01-31	PRIJEM	\N	199	54056	UROK	\N	\N
3475138	8411	1995-02-28	PRIJEM	\N	167	62444	UROK	\N	\N
3475139	8411	1995-03-31	PRIJEM	\N	249	68517	UROK	\N	\N
3475140	8411	1995-04-30	PRIJEM	\N	282	67243	UROK	\N	\N
3475141	8411	1995-05-31	PRIJEM	\N	214	57097	UROK	\N	\N
3475142	8411	1995-06-30	PRIJEM	\N	230	63722	UROK	\N	\N
3475143	8411	1995-07-31	PRIJEM	\N	187	39197	UROK	\N	\N
3475144	8411	1995-08-31	PRIJEM	\N	144	24771	UROK	\N	\N
3475145	8411	1995-09-30	PRIJEM	\N	114	29774	UROK	\N	\N
3475146	8411	1995-10-31	PRIJEM	\N	119	26722	UROK	\N	\N
3475147	8411	1995-11-30	PRIJEM	\N	129	32009	UROK	\N	\N
3475148	8411	1995-12-31	PRIJEM	\N	169	38711	UROK	\N	\N
3475149	8411	1996-01-31	PRIJEM	\N	130	26770	UROK	\N	\N
3475150	8411	1996-02-29	PRIJEM	\N	128	31489	UROK	\N	\N
3475151	8411	1996-03-31	PRIJEM	\N	124	29190	UROK	\N	\N
3475152	8411	1996-04-30	PRIJEM	\N	111	26444	UROK	\N	\N
3475153	8411	1996-05-31	PRIJEM	\N	120	30417	UROK	\N	\N
3475154	8411	1996-06-30	PRIJEM	\N	155	34957	UROK	\N	\N
3475155	8411	1996-07-31	PRIJEM	\N	144	29410	UROK	\N	\N
3475156	8411	1996-08-31	PRIJEM	\N	122	29525	UROK	\N	\N
3475157	8411	1996-09-30	PRIJEM	\N	118	25000	UROK	\N	\N
3475158	8411	1996-10-31	PRIJEM	\N	100	24468	UROK	\N	\N
3475159	8411	1996-11-30	PRIJEM	\N	96	22299	UROK	\N	\N
3475160	8411	1996-12-31	PRIJEM	\N	95	20274	UROK	\N	\N
3475161	8411	1997-01-31	PRIJEM	\N	76	24080	UROK	\N	\N
3475162	8411	1997-02-28	PRIJEM	\N	85	19200	UROK	\N	\N
3475163	8411	1997-03-31	PRIJEM	\N	74	18190	UROK	\N	\N
3475164	8411	1997-04-30	PRIJEM	\N	81	27399	UROK	\N	\N
3475165	8411	1997-05-31	PRIJEM	\N	94	26946	UROK	\N	\N
3475166	8411	1997-06-30	PRIJEM	\N	112	25640	UROK	\N	\N
3475167	8411	1997-07-31	PRIJEM	\N	93	23996	UROK	\N	\N
3475168	8411	1997-08-31	PRIJEM	\N	87	24324	UROK	\N	\N
3475169	8411	1997-09-30	PRIJEM	\N	83	22159	UROK	\N	\N
3475170	8411	1997-10-31	PRIJEM	\N	86	25047	UROK	\N	\N
3475171	8411	1997-11-30	PRIJEM	\N	90	26368	UROK	\N	\N
3475172	8411	1997-12-31	PRIJEM	\N	109	30063	UROK	\N	\N
3475173	8411	1998-01-31	PRIJEM	\N	109	26134	UROK	\N	\N
3475174	8411	1998-02-28	PRIJEM	\N	85	24758	UROK	\N	\N
3475175	8411	1998-03-31	PRIJEM	\N	101	31112	UROK	\N	\N
3475176	8411	1998-04-30	PRIJEM	\N	108	30572	UROK	\N	\N
3475177	8411	1998-05-31	PRIJEM	\N	107	31137	UROK	\N	\N
3475178	8411	1998-06-30	PRIJEM	\N	114	31824	UROK	\N	\N
3475179	8411	1998-07-31	PRIJEM	\N	112	32989	UROK	\N	\N
3475180	8411	1998-08-31	PRIJEM	\N	115	34068	UROK	\N	\N
3475181	8411	1998-09-30	PRIJEM	\N	121	35656	UROK	\N	\N
3475182	8411	1998-10-31	PRIJEM	\N	146	31655	UROK	\N	\N
3475183	8411	1998-11-30	PRIJEM	\N	96	29392	UROK	\N	\N
3475184	8411	1998-12-31	PRIJEM	\N	114	32573	UROK	\N	\N
3475373	8475	1993-10-31	PRIJEM	\N	51	15791	UROK	\N	\N
3475374	8475	1993-11-30	PRIJEM	\N	88	22671	UROK	\N	\N
3475375	8475	1993-12-31	PRIJEM	\N	108	26975	UROK	\N	\N
3475376	8475	1994-01-31	PRIJEM	\N	134	31001	UROK	\N	\N
3475377	8475	1994-02-28	PRIJEM	\N	128	28827	UROK	\N	\N
3475378	8475	1994-03-31	PRIJEM	\N	109	22806	UROK	\N	\N
3475379	8475	1994-04-30	PRIJEM	\N	98	22556	UROK	\N	\N
3475380	8475	1994-05-31	PRIJEM	\N	98	20585	UROK	\N	\N
3475381	8475	1994-06-30	PRIJEM	\N	110	26896	UROK	\N	\N
3475382	8475	1994-07-31	PRIJEM	\N	124	30123	UROK	\N	\N
3475383	8475	1994-08-31	PRIJEM	\N	124	29623	UROK	\N	\N
3475384	8475	1994-09-30	PRIJEM	\N	111	24906	UROK	\N	\N
3475385	8475	1994-10-31	PRIJEM	\N	120	29605	UROK	\N	\N
3475386	8475	1994-11-30	PRIJEM	\N	127	30720	UROK	\N	\N
3475387	8475	1994-12-31	PRIJEM	\N	136	30756	UROK	\N	\N
3475388	8475	1995-01-31	PRIJEM	\N	97	15006	UROK	\N	\N
3475389	8475	1995-02-28	PRIJEM	\N	87	22664	UROK	\N	\N
3475390	8475	1995-03-31	PRIJEM	\N	112	28346	UROK	\N	\N
3475391	8475	1995-04-30	PRIJEM	\N	107	25987	UROK	\N	\N
3475392	8475	1995-05-31	PRIJEM	\N	123	31188	UROK	\N	\N
3475393	8475	1995-06-30	PRIJEM	\N	132	34967	UROK	\N	\N
3475394	8475	1995-07-31	PRIJEM	\N	137	34895	UROK	\N	\N
3475395	8475	1995-08-31	PRIJEM	\N	140	33943	UROK	\N	\N
3475396	8475	1995-09-30	PRIJEM	\N	127	34722	UROK	\N	\N
3475397	8475	1995-10-31	PRIJEM	\N	134	34445	UROK	\N	\N
3475398	8475	1995-11-30	PRIJEM	\N	137	36742	UROK	\N	\N
3475399	8475	1995-12-31	PRIJEM	\N	151	37331	UROK	\N	\N
3475400	8475	1996-01-31	PRIJEM	\N	108	25077	UROK	\N	\N
3475401	8475	1996-02-29	PRIJEM	\N	98	28306	UROK	\N	\N
3475402	8475	1996-03-31	PRIJEM	\N	101	29178	UROK	\N	\N
3475403	8475	1996-04-30	PRIJEM	\N	114	29994	UROK	\N	\N
3475404	8475	1996-05-31	PRIJEM	\N	115	30830	UROK	\N	\N
3475405	8475	1996-06-30	PRIJEM	\N	106	25995	UROK	\N	\N
3475406	8475	1996-07-31	PRIJEM	\N	102	27146	UROK	\N	\N
3475407	8475	1996-08-31	PRIJEM	\N	100	27242	UROK	\N	\N
3475408	8475	1996-09-30	PRIJEM	\N	101	24793	UROK	\N	\N
3475409	8475	1996-10-31	PRIJEM	\N	91	25231	UROK	\N	\N
3475410	8475	1996-11-30	PRIJEM	\N	99	29338	UROK	\N	\N
3475411	8475	1996-12-31	PRIJEM	\N	120	30953	UROK	\N	\N
3475412	8475	1997-01-31	PRIJEM	\N	104	26167	UROK	\N	\N
3475413	8475	1997-02-28	PRIJEM	\N	92	26326	UROK	\N	\N
3475414	8475	1997-03-31	PRIJEM	\N	100	30045	UROK	\N	\N
3475415	8475	1997-04-30	PRIJEM	\N	111	32114	UROK	\N	\N
3475416	8475	1997-05-31	PRIJEM	\N	123	35886	UROK	\N	\N
3475417	8475	1997-06-30	PRIJEM	\N	139	39939	UROK	\N	\N
3475418	8475	1997-07-31	PRIJEM	\N	155	42961	UROK	\N	\N
3475419	8475	1997-08-31	PRIJEM	\N	157	40522	UROK	\N	\N
3475420	8475	1997-09-30	PRIJEM	\N	150	39679	UROK	\N	\N
3475421	8475	1997-10-31	PRIJEM	\N	147	40721	UROK	\N	\N
3475422	8475	1997-11-30	PRIJEM	\N	144	37331	UROK	\N	\N
3475423	8475	1997-12-31	PRIJEM	\N	131	31317	UROK	\N	\N
3475424	8475	1998-01-31	PRIJEM	\N	89	24354	UROK	\N	\N
3475425	8475	1998-02-28	PRIJEM	\N	104	30408	UROK	\N	\N
3475426	8475	1998-03-31	PRIJEM	\N	110	31861	UROK	\N	\N
3475427	8475	1998-04-30	PRIJEM	\N	86	24896	UROK	\N	\N
3475428	8475	1998-05-31	PRIJEM	\N	88	28078	UROK	\N	\N
3475429	8475	1998-06-30	PRIJEM	\N	100	30394	UROK	\N	\N
3475430	8475	1998-07-31	PRIJEM	\N	115	36230	UROK	\N	\N
3475431	8475	1998-08-31	PRIJEM	\N	112	30936	UROK	\N	\N
3475432	8475	1998-09-30	PRIJEM	\N	99	24105	UROK	\N	\N
3475433	8475	1998-10-31	PRIJEM	\N	84	28235	UROK	\N	\N
3475434	8475	1998-11-30	PRIJEM	\N	110	34850	UROK	\N	\N
3475435	8475	1998-12-31	PRIJEM	\N	125	35812	UROK	\N	\N
3475463	8489	1993-10-31	PRIJEM	\N	36	19242	UROK	\N	\N
3475464	8489	1993-11-30	PRIJEM	\N	103	31140	UROK	\N	\N
3475465	8489	1993-12-31	PRIJEM	\N	151	42000	UROK	\N	\N
3475466	8489	1994-01-31	PRIJEM	\N	174	42159	UROK	\N	\N
3475467	8489	1994-02-28	PRIJEM	\N	172	36427	UROK	\N	\N
3475468	8489	1994-03-31	PRIJEM	\N	153	32536	UROK	\N	\N
3475469	8489	1994-04-30	PRIJEM	\N	139	31720	UROK	\N	\N
3475470	8489	1994-05-31	PRIJEM	\N	142	33818	UROK	\N	\N
3475471	8489	1994-06-30	PRIJEM	\N	161	28017	UROK	\N	\N
3475472	8489	1994-07-31	PRIJEM	\N	126	29500	UROK	\N	\N
3475473	8489	1994-08-31	PRIJEM	\N	122	26686	UROK	\N	\N
3475474	8489	1994-09-30	PRIJEM	\N	127	30087	UROK	\N	\N
3475475	8489	1994-10-31	PRIJEM	\N	143	33093	UROK	\N	\N
3475476	8489	1994-11-30	PRIJEM	\N	143	35492	UROK	\N	\N
3475477	8489	1994-12-31	PRIJEM	\N	180	42218	UROK	\N	\N
3475478	8489	1995-01-31	PRIJEM	\N	134	22608	UROK	\N	\N
3475479	8489	1995-02-28	PRIJEM	\N	100	25198	UROK	\N	\N
3475480	8489	1995-03-31	PRIJEM	\N	120	28274	UROK	\N	\N
3475481	8489	1995-04-30	PRIJEM	\N	113	27956	UROK	\N	\N
3475482	8489	1995-05-31	PRIJEM	\N	111	27230	UROK	\N	\N
3475483	8489	1995-06-30	PRIJEM	\N	136	35541	UROK	\N	\N
3475484	8489	1995-07-31	PRIJEM	\N	133	33358	UROK	\N	\N
3475485	8489	1995-08-31	PRIJEM	\N	105	26414	UROK	\N	\N
3475486	8489	1995-09-30	PRIJEM	\N	107	28010	UROK	\N	\N
3475487	8489	1995-10-31	PRIJEM	\N	101	25797	UROK	\N	\N
3475488	8489	1995-11-30	PRIJEM	\N	94	24148	UROK	\N	\N
3475489	8489	1995-12-31	PRIJEM	\N	102	25342	UROK	\N	\N
3475490	8489	1996-01-31	PRIJEM	\N	89	22525	UROK	\N	\N
3475491	8489	1996-02-29	PRIJEM	\N	123	33234	UROK	\N	\N
3475492	8489	1996-03-31	PRIJEM	\N	102	25431	UROK	\N	\N
3475493	8489	1996-04-30	PRIJEM	\N	121	32440	UROK	\N	\N
3475494	8489	1996-05-31	PRIJEM	\N	131	29397	UROK	\N	\N
3475495	8489	1996-06-30	PRIJEM	\N	139	35355	UROK	\N	\N
3475496	8489	1996-07-31	PRIJEM	\N	132	34173	UROK	\N	\N
3475497	8489	1996-08-31	PRIJEM	\N	122	30573	UROK	\N	\N
3475498	8489	1996-09-30	PRIJEM	\N	131	37209	UROK	\N	\N
3475499	8489	1996-10-31	PRIJEM	\N	128	32192	UROK	\N	\N
3475500	8489	1996-11-30	PRIJEM	\N	136	38845	UROK	\N	\N
3475501	8489	1996-12-31	PRIJEM	\N	144	35780	UROK	\N	\N
3475502	8489	1997-01-31	PRIJEM	\N	106	27212	UROK	\N	\N
3475503	8489	1997-02-28	PRIJEM	\N	113	33897	UROK	\N	\N
3475504	8489	1997-03-31	PRIJEM	\N	140	40424	UROK	\N	\N
3475505	8489	1997-04-30	PRIJEM	\N	167	47087	UROK	\N	\N
3475506	8489	1997-05-31	PRIJEM	\N	186	49447	UROK	\N	\N
3475507	8489	1997-06-30	PRIJEM	\N	203	41795	UROK	\N	\N
3475508	8489	1997-07-31	PRIJEM	\N	161	27142	UROK	\N	\N
3475509	8489	1997-08-31	PRIJEM	\N	108	33878	UROK	\N	\N
3475510	8489	1997-09-30	PRIJEM	\N	135	40505	UROK	\N	\N
3475511	8489	1997-10-31	PRIJEM	\N	162	47053	UROK	\N	\N
3475512	8489	1997-11-30	PRIJEM	\N	189	53791	UROK	\N	\N
3475513	8489	1997-12-31	PRIJEM	\N	213	35698	UROK	\N	\N
3475514	8489	1998-01-31	PRIJEM	\N	114	31158	UROK	\N	\N
3475515	8489	1998-02-28	PRIJEM	\N	120	37862	UROK	\N	\N
3475516	8489	1998-03-31	PRIJEM	\N	147	44510	UROK	\N	\N
3475517	8489	1998-04-30	PRIJEM	\N	164	42421	UROK	\N	\N
3475518	8489	1998-05-31	PRIJEM	\N	165	49137	UROK	\N	\N
3475519	8489	1998-06-30	PRIJEM	\N	189	33318	UROK	\N	\N
3475520	8489	1998-07-31	PRIJEM	\N	120	34834	UROK	\N	\N
3475521	8489	1998-08-31	PRIJEM	\N	129	40536	UROK	\N	\N
3475522	8489	1998-09-30	PRIJEM	\N	157	48257	UROK	\N	\N
3475523	8489	1998-10-31	PRIJEM	\N	188	54253	UROK	\N	\N
3475524	8489	1998-11-30	PRIJEM	\N	180	51469	UROK	\N	\N
3475525	8489	1998-12-31	PRIJEM	\N	226	66028	UROK	\N	\N
3475526	8492	1994-07-31	PRIJEM	\N	8	18550	UROK	\N	\N
3475527	8492	1994-08-31	PRIJEM	\N	81	25978	UROK	\N	\N
3475528	8492	1994-09-30	PRIJEM	\N	111	30941	UROK	\N	\N
3475529	8492	1994-10-31	PRIJEM	\N	129	31925	UROK	\N	\N
3475530	8492	1994-11-30	PRIJEM	\N	144	34527	UROK	\N	\N
3475531	8492	1994-12-31	PRIJEM	\N	154	36241	UROK	\N	\N
3475532	8492	1995-01-31	PRIJEM	\N	105	20818	UROK	\N	\N
3475533	8492	1995-02-28	PRIJEM	\N	101	27410	UROK	\N	\N
3475534	8492	1995-03-31	PRIJEM	\N	123	31725	UROK	\N	\N
3475535	8492	1995-04-30	PRIJEM	\N	137	31413	UROK	\N	\N
3475536	8492	1995-05-31	PRIJEM	\N	125	31903	UROK	\N	\N
3475537	8492	1995-06-30	PRIJEM	\N	150	37869	UROK	\N	\N
3475538	8492	1995-07-31	PRIJEM	\N	163	37040	UROK	\N	\N
3475539	8492	1995-08-31	PRIJEM	\N	161	39381	UROK	\N	\N
3475540	8492	1995-09-30	PRIJEM	\N	159	37156	UROK	\N	\N
3475541	8492	1995-10-31	PRIJEM	\N	153	35692	UROK	\N	\N
3475542	8492	1995-11-30	PRIJEM	\N	151	36035	UROK	\N	\N
3475543	8492	1995-12-31	PRIJEM	\N	159	38378	UROK	\N	\N
3475544	8492	1996-01-31	PRIJEM	\N	113	26853	UROK	\N	\N
3475545	8492	1996-02-29	PRIJEM	\N	124	35349	UROK	\N	\N
3475546	8492	1996-03-31	PRIJEM	\N	144	36786	UROK	\N	\N
3475547	8492	1996-04-30	PRIJEM	\N	161	43639	UROK	\N	\N
3475548	8492	1996-05-31	PRIJEM	\N	183	46362	UROK	\N	\N
3475549	8492	1996-06-30	PRIJEM	\N	177	45383	UROK	\N	\N
3475550	8492	1996-07-31	PRIJEM	\N	176	38884	UROK	\N	\N
3475551	8492	1996-08-31	PRIJEM	\N	162	43210	UROK	\N	\N
3475552	8492	1996-09-30	PRIJEM	\N	163	41467	UROK	\N	\N
3475553	8492	1996-10-31	PRIJEM	\N	149	37795	UROK	\N	\N
3475554	8492	1996-11-30	PRIJEM	\N	152	40234	UROK	\N	\N
3475555	8492	1996-12-31	PRIJEM	\N	165	41838	UROK	\N	\N
3475556	8492	1997-01-31	PRIJEM	\N	125	25159	UROK	\N	\N
3475557	8492	1997-02-28	PRIJEM	\N	111	31439	UROK	\N	\N
3475558	8492	1997-03-31	PRIJEM	\N	129	33091	UROK	\N	\N
3475559	8492	1997-04-30	PRIJEM	\N	137	38621	UROK	\N	\N
3475560	8492	1997-05-31	PRIJEM	\N	155	42401	UROK	\N	\N
3475561	8492	1997-06-30	PRIJEM	\N	130	36329	UROK	\N	\N
3475562	8492	1997-07-31	PRIJEM	\N	135	36588	UROK	\N	\N
3475563	8492	1997-08-31	PRIJEM	\N	144	34094	UROK	\N	\N
3475564	8492	1997-09-30	PRIJEM	\N	150	44238	UROK	\N	\N
3475565	8492	1997-10-31	PRIJEM	\N	190	52414	UROK	\N	\N
3475566	8492	1997-11-30	PRIJEM	\N	202	53409	UROK	\N	\N
3475567	8492	1997-12-31	PRIJEM	\N	221	59426	UROK	\N	\N
3475568	8492	1998-01-31	PRIJEM	\N	179	36053	UROK	\N	\N
3475569	8492	1998-02-28	PRIJEM	\N	160	48207	UROK	\N	\N
3475570	8492	1998-03-31	PRIJEM	\N	204	56573	UROK	\N	\N
3475571	8492	1998-04-30	PRIJEM	\N	210	55381	UROK	\N	\N
3475572	8492	1998-05-31	PRIJEM	\N	235	64609	UROK	\N	\N
3475573	8492	1998-06-30	PRIJEM	\N	198	48469	UROK	\N	\N
3475574	8492	1998-07-31	PRIJEM	\N	222	63282	UROK	\N	\N
3475575	8492	1998-08-31	PRIJEM	\N	261	71255	UROK	\N	\N
3475576	8492	1998-09-30	PRIJEM	\N	277	74584	UROK	\N	\N
3475577	8492	1998-10-31	PRIJEM	\N	280	70729	UROK	\N	\N
3475578	8492	1998-11-30	PRIJEM	\N	275	75998	UROK	\N	\N
3475579	8492	1998-12-31	PRIJEM	\N	296	79276	UROK	\N	\N
3475580	8505	1997-04-30	PRIJEM	\N	36	21741	UROK	\N	\N
3475581	8505	1997-05-31	PRIJEM	\N	101	27959	UROK	\N	\N
3475582	8505	1997-06-30	PRIJEM	\N	126	33693	UROK	\N	\N
3475583	8505	1997-07-31	PRIJEM	\N	140	34020	UROK	\N	\N
3475584	8505	1997-08-31	PRIJEM	\N	161	35052	UROK	\N	\N
3475585	8505	1997-09-30	PRIJEM	\N	160	35713	UROK	\N	\N
3475586	8505	1997-10-31	PRIJEM	\N	168	35841	UROK	\N	\N
3475587	8505	1997-11-30	PRIJEM	\N	150	34874	UROK	\N	\N
3475588	8505	1997-12-31	PRIJEM	\N	160	38138	UROK	\N	\N
3475589	8505	1998-01-31	PRIJEM	\N	146	26674	UROK	\N	\N
3475590	8505	1998-02-28	PRIJEM	\N	124	33463	UROK	\N	\N
3475591	8505	1998-03-31	PRIJEM	\N	143	34993	UROK	\N	\N
3475592	8505	1998-04-30	PRIJEM	\N	134	30904	UROK	\N	\N
3475593	8505	1998-05-31	PRIJEM	\N	129	32180	UROK	\N	\N
3475594	8505	1998-06-30	PRIJEM	\N	165	39747	UROK	\N	\N
3475595	8505	1998-07-31	PRIJEM	\N	158	35432	UROK	\N	\N
3475596	8505	1998-08-31	PRIJEM	\N	129	31095	UROK	\N	\N
3475597	8505	1998-09-30	PRIJEM	\N	111	26927	UROK	\N	\N
3475598	8505	1998-10-31	PRIJEM	\N	91	22995	UROK	\N	\N
3475599	8505	1998-11-30	PRIJEM	\N	104	28176	UROK	\N	\N
3475600	8505	1998-12-31	PRIJEM	\N	106	22860	UROK	\N	\N
3475621	8519	1993-04-30	PRIJEM	\N	102	38644	UROK	\N	\N
3475622	8519	1993-05-31	PRIJEM	\N	245	70413	UROK	\N	\N
3475623	8519	1993-06-30	PRIJEM	\N	378	103566	UROK	\N	\N
3475624	8519	1993-07-31	PRIJEM	\N	426	104638	UROK	\N	\N
3475625	8519	1993-08-31	PRIJEM	\N	351	59999	UROK	\N	\N
3475626	8519	1993-09-30	PRIJEM	\N	270	49833	UROK	\N	\N
3475627	8519	1993-10-31	PRIJEM	\N	205	39128	UROK	\N	\N
3475628	8519	1993-11-30	PRIJEM	\N	191	44788	UROK	\N	\N
3475629	8519	1993-12-31	PRIJEM	\N	249	53330	UROK	\N	\N
3475630	8519	1994-01-31	PRIJEM	\N	198	32534	UROK	\N	\N
3475631	8519	1994-02-28	PRIJEM	\N	169	37438	UROK	\N	\N
3475632	8519	1994-03-31	PRIJEM	\N	178	38137	UROK	\N	\N
3475633	8519	1994-04-30	PRIJEM	\N	154	29700	UROK	\N	\N
3475634	8519	1994-05-31	PRIJEM	\N	153	38673	UROK	\N	\N
3475635	8519	1994-06-30	PRIJEM	\N	238	50058	UROK	\N	\N
3475636	8519	1994-07-31	PRIJEM	\N	225	42659	UROK	\N	\N
3475637	8519	1994-08-31	PRIJEM	\N	198	44652	UROK	\N	\N
3475638	8519	1994-09-30	PRIJEM	\N	212	44369	UROK	\N	\N
3475639	8519	1994-10-31	PRIJEM	\N	195	39574	UROK	\N	\N
3475640	8519	1994-11-30	PRIJEM	\N	137	38907	UROK	\N	\N
3475641	8519	1994-12-31	PRIJEM	\N	186	43797	UROK	\N	\N
3475642	8519	1995-01-31	PRIJEM	\N	201	46495	UROK	\N	\N
3475643	8519	1995-02-28	PRIJEM	\N	199	43539	UROK	\N	\N
3475644	8519	1995-03-31	PRIJEM	\N	196	48600	UROK	\N	\N
3475645	8519	1995-04-30	PRIJEM	\N	192	39516	UROK	\N	\N
3475646	8519	1995-05-31	PRIJEM	\N	138	25142	UROK	\N	\N
3475647	8519	1995-06-30	PRIJEM	\N	142	39121	UROK	\N	\N
3475648	8519	1995-07-31	PRIJEM	\N	140	32997	UROK	\N	\N
3475649	8519	1995-08-31	PRIJEM	\N	133	39505	UROK	\N	\N
3475650	8519	1995-09-30	PRIJEM	\N	171	44761	UROK	\N	\N
3475651	8519	1995-10-31	PRIJEM	\N	135	39333	UROK	\N	\N
3475652	8519	1995-11-30	PRIJEM	\N	149	43383	UROK	\N	\N
3475653	8519	1995-12-31	PRIJEM	\N	172	53336	UROK	\N	\N
3475654	8519	1996-01-31	PRIJEM	\N	158	32447	UROK	\N	\N
3475655	8519	1996-02-29	PRIJEM	\N	144	40025	UROK	\N	\N
3475656	8519	1996-03-31	PRIJEM	\N	133	29679	UROK	\N	\N
3475657	8519	1996-04-30	PRIJEM	\N	122	41321	UROK	\N	\N
3475658	8519	1996-05-31	PRIJEM	\N	178	47738	UROK	\N	\N
3475659	8519	1996-06-30	PRIJEM	\N	213	59045	UROK	\N	\N
3475660	8519	1996-07-31	PRIJEM	\N	210	46161	UROK	\N	\N
3475661	8519	1996-08-31	PRIJEM	\N	135	27372	UROK	\N	\N
3475662	8519	1996-09-30	PRIJEM	\N	123	37907	UROK	\N	\N
3475663	8519	1996-10-31	PRIJEM	\N	133	44860	UROK	\N	\N
3475664	8519	1996-11-30	PRIJEM	\N	175	50873	UROK	\N	\N
3475665	8519	1996-12-31	PRIJEM	\N	214	58180	UROK	\N	\N
3475666	8519	1997-01-31	PRIJEM	\N	208	65284	UROK	\N	\N
3475667	8519	1997-02-28	PRIJEM	\N	257	75041	UROK	\N	\N
3475668	8519	1997-03-31	PRIJEM	\N	166	49295	UROK	\N	\N
3475669	8519	1997-04-30	PRIJEM	\N	190	44057	UROK	\N	\N
3475670	8519	1997-05-31	PRIJEM	\N	195	62805	UROK	\N	\N
3475671	8519	1997-06-30	PRIJEM	\N	263	62420	UROK	\N	\N
3475672	8519	1997-07-31	PRIJEM	\N	222	67177	UROK	\N	\N
3475673	8519	1997-08-31	PRIJEM	\N	227	63225	UROK	\N	\N
3475674	8519	1997-09-30	PRIJEM	\N	222	67624	UROK	\N	\N
3475675	8519	1997-10-31	PRIJEM	\N	205	55719	UROK	\N	\N
3475676	8519	1997-11-30	PRIJEM	\N	132	32146	UROK	\N	\N
3475677	8519	1997-12-31	PRIJEM	\N	159	57767	UROK	\N	\N
3475678	8519	1998-01-31	PRIJEM	\N	177	59108	UROK	\N	\N
3475679	8519	1998-02-28	PRIJEM	\N	134	38561	UROK	\N	\N
3475680	8519	1998-03-31	PRIJEM	\N	148	34378	UROK	\N	\N
3475681	8519	1998-04-30	PRIJEM	\N	144	52794	UROK	\N	\N
3475682	8519	1998-05-31	PRIJEM	\N	192	63063	UROK	\N	\N
3475683	8519	1998-06-30	PRIJEM	\N	232	78684	UROK	\N	\N
3475684	8519	1998-07-31	PRIJEM	\N	191	44253	UROK	\N	\N
3475685	8519	1998-08-31	PRIJEM	\N	140	41504	UROK	\N	\N
3475686	8519	1998-09-30	PRIJEM	\N	144	54547	UROK	\N	\N
3475687	8519	1998-10-31	PRIJEM	\N	168	61792	UROK	\N	\N
3475688	8519	1998-11-30	PRIJEM	\N	132	41718	UROK	\N	\N
3475689	8519	1998-12-31	PRIJEM	\N	238	82570	UROK	\N	\N
3475690	8523	1996-12-31	PRIJEM	\N	43	45560	UROK	\N	\N
3475691	8523	1997-01-31	PRIJEM	\N	202	56981	UROK	\N	\N
3475692	8523	1997-02-28	PRIJEM	\N	277	52931	UROK	\N	\N
3475693	8523	1997-03-31	PRIJEM	\N	224	58299	UROK	\N	\N
3475694	8523	1997-04-30	PRIJEM	\N	158	23776	UROK	\N	\N
3475695	8523	1997-05-31	PRIJEM	\N	175	34461	UROK	\N	\N
3475696	8523	1997-06-30	PRIJEM	\N	195	44662	UROK	\N	\N
3475697	8523	1997-07-31	PRIJEM	\N	208	56175	UROK	\N	\N
3475698	8523	1997-08-31	PRIJEM	\N	279	57388	UROK	\N	\N
3475699	8523	1997-09-30	PRIJEM	\N	253	47789	UROK	\N	\N
3475700	8523	1997-10-31	PRIJEM	\N	229	60603	UROK	\N	\N
3475701	8523	1997-11-30	PRIJEM	\N	256	22473	UROK	\N	\N
3475702	8523	1997-12-31	PRIJEM	\N	175	48815	UROK	\N	\N
3475703	8523	1998-01-31	PRIJEM	\N	221	31362	UROK	\N	\N
3475704	8523	1998-02-28	PRIJEM	\N	145	39112	UROK	\N	\N
3475705	8523	1998-03-31	PRIJEM	\N	197	41892	UROK	\N	\N
3475706	8523	1998-04-30	PRIJEM	\N	199	45535	UROK	\N	\N
3475707	8523	1998-05-31	PRIJEM	\N	168	26377	UROK	\N	\N
3475708	8523	1998-06-30	PRIJEM	\N	201	44904	UROK	\N	\N
3475709	8523	1998-07-31	PRIJEM	\N	175	20810	UROK	\N	\N
3475710	8523	1998-08-31	PRIJEM	\N	159	49893	UROK	\N	\N
3475711	8523	1998-09-30	PRIJEM	\N	224	54997	UROK	\N	\N
3475712	8523	1998-10-31	PRIJEM	\N	258	65259	UROK	\N	\N
3475713	8523	1998-11-30	PRIJEM	\N	286	69569	UROK	\N	\N
3475714	8523	1998-12-31	PRIJEM	\N	268	58785	UROK	\N	\N
3475776	8533	1996-01-31	PRIJEM	\N	155	62377	UROK	\N	\N
3475777	8533	1996-02-29	PRIJEM	\N	261	67900	UROK	\N	\N
3475778	8533	1996-03-31	PRIJEM	\N	343	83364	UROK	\N	\N
3475779	8533	1996-04-30	PRIJEM	\N	372	82240	UROK	\N	\N
3475780	8533	1996-05-31	PRIJEM	\N	326	83124	UROK	\N	\N
3475781	8533	1996-06-30	PRIJEM	\N	241	52006	UROK	\N	\N
3475782	8533	1996-07-31	PRIJEM	\N	309	82539	UROK	\N	\N
3475783	8533	1996-08-31	PRIJEM	\N	255	79266	UROK	\N	\N
3475784	8533	1996-09-30	PRIJEM	\N	248	54630	UROK	\N	\N
3475785	8533	1996-10-31	PRIJEM	\N	303	97429	UROK	\N	\N
3475786	8533	1996-11-30	PRIJEM	\N	379	74857	UROK	\N	\N
3475787	8533	1996-12-31	PRIJEM	\N	380	80830	UROK	\N	\N
3475788	8533	1997-01-31	PRIJEM	\N	153	68751	UROK	\N	\N
3475789	8533	1997-02-28	PRIJEM	\N	302	78943	UROK	\N	\N
3475790	8533	1997-03-31	PRIJEM	\N	310	71832	UROK	\N	\N
3475791	8533	1997-04-30	PRIJEM	\N	340	111006	UROK	\N	\N
3475792	8533	1997-05-31	PRIJEM	\N	304	71956	UROK	\N	\N
3475793	8533	1997-06-30	PRIJEM	\N	181	9057	UROK	\N	\N
3475794	8533	1997-07-31	PRIJEM	\N	248	57786	UROK	\N	\N
3475795	8533	1997-08-31	PRIJEM	\N	325	78608	UROK	\N	\N
3475796	8533	1997-09-30	PRIJEM	\N	312	59221	UROK	\N	\N
3475797	8533	1997-10-31	PRIJEM	\N	223	52477	UROK	\N	\N
3475798	8533	1997-11-30	PRIJEM	\N	220	54327	UROK	\N	\N
3475799	8533	1997-12-31	PRIJEM	\N	258	44745	UROK	\N	\N
3475800	8533	1998-01-31	PRIJEM	\N	81	20703	UROK	\N	\N
3475801	8533	1998-02-28	PRIJEM	\N	90	44194	UROK	\N	\N
3475802	8533	1998-03-31	PRIJEM	\N	233	60644	UROK	\N	\N
3475803	8533	1998-04-30	PRIJEM	\N	189	45564	UROK	\N	\N
3475804	8533	1998-05-31	PRIJEM	\N	136	50577	UROK	\N	\N
3475805	8533	1998-06-30	PRIJEM	\N	179	47415	UROK	\N	\N
3475806	8533	1998-07-31	PRIJEM	\N	199	87212	UROK	\N	\N
3475807	8533	1998-08-31	PRIJEM	\N	367	73676	UROK	\N	\N
3475808	8533	1998-09-30	PRIJEM	\N	324	75580	UROK	\N	\N
3475809	8533	1998-10-31	PRIJEM	\N	227	47901	UROK	\N	\N
3475810	8533	1998-11-30	PRIJEM	\N	194	57196	UROK	\N	\N
3475811	8533	1998-12-31	PRIJEM	\N	161	41304	UROK	\N	\N
3475843	8547	1995-08-31	PRIJEM	\N	42	19598	UROK	\N	\N
3475844	8547	1995-09-30	PRIJEM	\N	209	93898	UROK	\N	\N
3475845	8547	1995-10-31	PRIJEM	\N	330	34119	UROK	\N	\N
3475846	8547	1995-11-30	PRIJEM	\N	170	38095	UROK	\N	\N
3475847	8547	1995-12-31	PRIJEM	\N	177	52750	UROK	\N	\N
3475848	8547	1996-01-31	PRIJEM	\N	317	49985	UROK	\N	\N
3475849	8547	1996-02-29	PRIJEM	\N	216	70705	UROK	\N	\N
3475850	8547	1996-03-31	PRIJEM	\N	219	51705	UROK	\N	\N
3475851	8547	1996-04-30	PRIJEM	\N	293	66381	UROK	\N	\N
3475852	8547	1996-05-31	PRIJEM	\N	267	70943	UROK	\N	\N
3475853	8547	1996-06-30	PRIJEM	\N	265	33565	UROK	\N	\N
3475854	8547	1996-07-31	PRIJEM	\N	186	68740	UROK	\N	\N
3475855	8547	1996-08-31	PRIJEM	\N	396	134313	UROK	\N	\N
3475856	8547	1996-09-30	PRIJEM	\N	307	60279	UROK	\N	\N
3475857	8547	1996-10-31	PRIJEM	\N	99	4671	UROK	\N	\N
3475858	8547	1996-11-30	PRIJEM	\N	155	78915	UROK	\N	\N
3475859	8547	1996-12-31	PRIJEM	\N	279	80014	UROK	\N	\N
3475860	8547	1997-01-31	PRIJEM	\N	217	49897	UROK	\N	\N
3475861	8547	1997-02-28	PRIJEM	\N	153	34543	UROK	\N	\N
3475862	8547	1997-03-31	PRIJEM	\N	139	43345	UROK	\N	\N
3475863	8547	1997-04-30	PRIJEM	\N	326	100180	UROK	\N	\N
3475864	8547	1997-05-31	PRIJEM	\N	384	86552	UROK	\N	\N
3475865	8547	1997-06-30	PRIJEM	\N	248	62421	UROK	\N	\N
3475866	8547	1997-07-31	PRIJEM	\N	254	61861	UROK	\N	\N
3475867	8547	1997-08-31	PRIJEM	\N	288	93262	UROK	\N	\N
3475868	8547	1997-09-30	PRIJEM	\N	228	41269	UROK	\N	\N
3475869	8547	1997-10-31	PRIJEM	\N	124	31633	UROK	\N	\N
3475870	8547	1997-11-30	PRIJEM	\N	157	53687	UROK	\N	\N
3475871	8547	1997-12-31	PRIJEM	\N	274	68633	UROK	\N	\N
3475872	8547	1998-01-31	PRIJEM	\N	127	9624	UROK	\N	\N
3475873	8547	1998-02-28	PRIJEM	\N	36	18785	UROK	\N	\N
3475874	8547	1998-03-31	PRIJEM	\N	52	27624	UROK	\N	\N
3475875	8547	1998-04-30	PRIJEM	\N	53	17640	UROK	\N	\N
3475876	8547	1998-05-31	PRIJEM	\N	49	16555	UROK	\N	\N
3475877	8547	1998-06-30	PRIJEM	\N	50	20469	UROK	\N	\N
3475878	8547	1998-07-31	PRIJEM	\N	74	30156	UROK	\N	\N
3475879	8547	1998-08-31	PRIJEM	\N	78	34171	UROK	\N	\N
3475880	8547	1998-09-30	PRIJEM	\N	81	30093	UROK	\N	\N
3475881	8547	1998-10-31	PRIJEM	\N	99	39433	UROK	\N	\N
3475882	8547	1998-11-30	PRIJEM	\N	105	39814	UROK	\N	\N
3475883	8547	1998-12-31	PRIJEM	\N	112	31295	UROK	\N	\N
3475912	8558	1994-04-30	PRIJEM	\N	13	31380	UROK	\N	\N
3475913	8558	1994-05-31	PRIJEM	\N	137	43450	UROK	\N	\N
3475914	8558	1994-06-30	PRIJEM	\N	187	30370	UROK	\N	\N
3475915	8558	1994-07-31	PRIJEM	\N	147	55132	UROK	\N	\N
3475916	8558	1994-08-31	PRIJEM	\N	148	20397	UROK	\N	\N
3475917	8558	1994-09-30	PRIJEM	\N	84	20655	UROK	\N	\N
3475918	8558	1994-10-31	PRIJEM	\N	136	28352	UROK	\N	\N
3475919	8558	1994-11-30	PRIJEM	\N	169	38851	UROK	\N	\N
3475920	8558	1994-12-31	PRIJEM	\N	173	36662	UROK	\N	\N
3475921	8558	1995-01-31	PRIJEM	\N	139	27794	UROK	\N	\N
3475922	8558	1995-02-28	PRIJEM	\N	114	26959	UROK	\N	\N
3475923	8558	1995-03-31	PRIJEM	\N	121	29367	UROK	\N	\N
3475924	8558	1995-04-30	PRIJEM	\N	157	42393	UROK	\N	\N
3475925	8558	1995-05-31	PRIJEM	\N	158	30344	UROK	\N	\N
3475926	8558	1995-06-30	PRIJEM	\N	112	22293	UROK	\N	\N
3475927	8558	1995-07-31	PRIJEM	\N	81	16989	UROK	\N	\N
3475928	8558	1995-08-31	PRIJEM	\N	83	27081	UROK	\N	\N
3475929	8558	1995-09-30	PRIJEM	\N	98	21053	UROK	\N	\N
3475930	8558	1995-10-31	PRIJEM	\N	82	21129	UROK	\N	\N
3475931	8558	1995-11-30	PRIJEM	\N	81	20585	UROK	\N	\N
3475932	8558	1995-12-31	PRIJEM	\N	75	18310	UROK	\N	\N
3475933	8558	1996-01-31	PRIJEM	\N	69	18139	UROK	\N	\N
3475934	8558	1996-02-29	PRIJEM	\N	138	41470	UROK	\N	\N
3475935	8558	1996-03-31	PRIJEM	\N	148	32512	UROK	\N	\N
3475936	8558	1996-04-30	PRIJEM	\N	115	26293	UROK	\N	\N
3475937	8558	1996-05-31	PRIJEM	\N	93	22580	UROK	\N	\N
3475938	8558	1996-06-30	PRIJEM	\N	92	26151	UROK	\N	\N
3475939	8558	1996-07-31	PRIJEM	\N	96	24641	UROK	\N	\N
3475940	8558	1996-08-31	PRIJEM	\N	136	45503	UROK	\N	\N
3475941	8558	1996-09-30	PRIJEM	\N	152	34249	UROK	\N	\N
3475942	8558	1996-10-31	PRIJEM	\N	115	27127	UROK	\N	\N
3475943	8558	1996-11-30	PRIJEM	\N	93	23622	UROK	\N	\N
3475944	8558	1996-12-31	PRIJEM	\N	85	22885	UROK	\N	\N
3475945	8558	1997-01-31	PRIJEM	\N	89	27104	UROK	\N	\N
3475946	8558	1997-02-28	PRIJEM	\N	87	21762	UROK	\N	\N
3475947	8558	1997-03-31	PRIJEM	\N	90	35403	UROK	\N	\N
3475948	8558	1997-04-30	PRIJEM	\N	122	27336	UROK	\N	\N
3475949	8558	1997-05-31	PRIJEM	\N	119	34052	UROK	\N	\N
3475950	8558	1997-06-30	PRIJEM	\N	167	64888	UROK	\N	\N
3475951	8558	1997-07-31	PRIJEM	\N	227	56728	UROK	\N	\N
3475952	8558	1997-08-31	PRIJEM	\N	171	33206	UROK	\N	\N
3475953	8558	1997-09-30	PRIJEM	\N	139	44340	UROK	\N	\N
3475954	8558	1997-10-31	PRIJEM	\N	268	86843	UROK	\N	\N
3475955	8558	1997-11-30	PRIJEM	\N	334	67023	UROK	\N	\N
3475956	8558	1997-12-31	PRIJEM	\N	192	41235	UROK	\N	\N
3475957	8558	1998-01-31	PRIJEM	\N	238	67339	UROK	\N	\N
3475958	8558	1998-02-28	PRIJEM	\N	215	49763	UROK	\N	\N
3475959	8558	1998-03-31	PRIJEM	\N	189	49835	UROK	\N	\N
3475960	8558	1998-04-30	PRIJEM	\N	164	41771	UROK	\N	\N
3475961	8558	1998-05-31	PRIJEM	\N	141	37846	UROK	\N	\N
3475962	8558	1998-06-30	PRIJEM	\N	116	31072	UROK	\N	\N
3475963	8558	1998-07-31	PRIJEM	\N	113	33778	UROK	\N	\N
3475964	8558	1998-08-31	PRIJEM	\N	107	29292	UROK	\N	\N
3475965	8558	1998-09-30	PRIJEM	\N	90	26378	UROK	\N	\N
3475966	8558	1998-10-31	PRIJEM	\N	99	51185	UROK	\N	\N
3475967	8558	1998-11-30	PRIJEM	\N	150	37006	UROK	\N	\N
3475968	8558	1998-12-31	PRIJEM	\N	104	27958	UROK	\N	\N
3475969	8564	1993-10-31	PRIJEM	\N	92	34261	UROK	\N	\N
3475970	8564	1993-11-30	PRIJEM	\N	225	65919	UROK	\N	\N
3475971	8564	1993-12-31	PRIJEM	\N	375	104048	UROK	\N	\N
3475972	8564	1994-01-31	PRIJEM	\N	431	104676	UROK	\N	\N
3475973	8564	1994-02-28	PRIJEM	\N	412	94387	UROK	\N	\N
3475974	8564	1994-03-31	PRIJEM	\N	367	87313	UROK	\N	\N
3475975	8564	1994-04-30	PRIJEM	\N	319	66998	UROK	\N	\N
3475976	8564	1994-05-31	PRIJEM	\N	238	52166	UROK	\N	\N
3475977	8564	1994-06-30	PRIJEM	\N	268	79058	UROK	\N	\N
3475978	8564	1994-07-31	PRIJEM	\N	277	57508	UROK	\N	\N
3475979	8564	1994-08-31	PRIJEM	\N	263	72258	UROK	\N	\N
3475980	8564	1994-09-30	PRIJEM	\N	273	72535	UROK	\N	\N
3475981	8564	1994-10-31	PRIJEM	\N	236	53699	UROK	\N	\N
3475982	8564	1994-11-30	PRIJEM	\N	216	60142	UROK	\N	\N
3475983	8564	1994-12-31	PRIJEM	\N	307	87235	UROK	\N	\N
3475984	8564	1995-01-31	PRIJEM	\N	241	44371	UROK	\N	\N
3475985	8564	1995-02-28	PRIJEM	\N	203	60259	UROK	\N	\N
3475986	8564	1995-03-31	PRIJEM	\N	195	55577	UROK	\N	\N
3475987	8564	1995-04-30	PRIJEM	\N	243	68826	UROK	\N	\N
3475988	8564	1995-05-31	PRIJEM	\N	269	72685	UROK	\N	\N
3475989	8564	1995-06-30	PRIJEM	\N	258	50499	UROK	\N	\N
3475990	8564	1995-07-31	PRIJEM	\N	222	64749	UROK	\N	\N
3475991	8564	1995-08-31	PRIJEM	\N	240	64135	UROK	\N	\N
3475992	8564	1995-09-30	PRIJEM	\N	244	66479	UROK	\N	\N
3475993	8564	1995-10-31	PRIJEM	\N	218	61663	UROK	\N	\N
3475994	8564	1995-11-30	PRIJEM	\N	234	60039	UROK	\N	\N
3475995	8564	1995-12-31	PRIJEM	\N	271	82401	UROK	\N	\N
3475996	8564	1996-01-31	PRIJEM	\N	171	35639	UROK	\N	\N
3475997	8564	1996-02-29	PRIJEM	\N	182	58473	UROK	\N	\N
3475998	8564	1996-03-31	PRIJEM	\N	205	38363	UROK	\N	\N
3475999	8564	1996-04-30	PRIJEM	\N	187	41122	UROK	\N	\N
3476000	8564	1996-05-31	PRIJEM	\N	161	33690	UROK	\N	\N
3476001	8564	1996-06-30	PRIJEM	\N	176	35215	UROK	\N	\N
3476002	8564	1996-07-31	PRIJEM	\N	168	39323	UROK	\N	\N
3476003	8564	1996-08-31	PRIJEM	\N	165	37793	UROK	\N	\N
3476004	8564	1996-09-30	PRIJEM	\N	156	39447	UROK	\N	\N
3476005	8564	1996-10-31	PRIJEM	\N	160	36603	UROK	\N	\N
3476006	8564	1996-11-30	PRIJEM	\N	165	40684	UROK	\N	\N
3476007	8564	1996-12-31	PRIJEM	\N	182	44146	UROK	\N	\N
3476008	8564	1997-01-31	PRIJEM	\N	157	33309	UROK	\N	\N
3476009	8564	1997-02-28	PRIJEM	\N	145	35813	UROK	\N	\N
3476010	8564	1997-03-31	PRIJEM	\N	132	30052	UROK	\N	\N
3476011	8564	1997-04-30	PRIJEM	\N	124	28067	UROK	\N	\N
3476012	8564	1997-05-31	PRIJEM	\N	145	51005	UROK	\N	\N
3476013	8564	1997-06-30	PRIJEM	\N	211	39913	UROK	\N	\N
3476014	8564	1997-07-31	PRIJEM	\N	130	37555	UROK	\N	\N
3476015	8564	1997-08-31	PRIJEM	\N	134	31293	UROK	\N	\N
3476016	8564	1997-09-30	PRIJEM	\N	150	50755	UROK	\N	\N
3476017	8564	1997-10-31	PRIJEM	\N	179	40777	UROK	\N	\N
3476018	8564	1997-11-30	PRIJEM	\N	156	37881	UROK	\N	\N
3476019	8564	1997-12-31	PRIJEM	\N	162	40330	UROK	\N	\N
3476020	8564	1998-01-31	PRIJEM	\N	139	37599	UROK	\N	\N
3476021	8564	1998-02-28	PRIJEM	\N	139	38133	UROK	\N	\N
3476022	8564	1998-03-31	PRIJEM	\N	145	39980	UROK	\N	\N
3476023	8564	1998-04-30	PRIJEM	\N	140	36525	UROK	\N	\N
3476024	8564	1998-05-31	PRIJEM	\N	118	33687	UROK	\N	\N
3476025	8564	1998-06-30	PRIJEM	\N	143	40483	UROK	\N	\N
3476026	8564	1998-07-31	PRIJEM	\N	135	37611	UROK	\N	\N
3476027	8564	1998-08-31	PRIJEM	\N	128	41565	UROK	\N	\N
3476028	8564	1998-09-30	PRIJEM	\N	150	46017	UROK	\N	\N
3476029	8564	1998-10-31	PRIJEM	\N	161	49203	UROK	\N	\N
3476030	8564	1998-11-30	PRIJEM	\N	160	49284	UROK	\N	\N
3476031	8564	1998-12-31	PRIJEM	\N	184	48172	UROK	\N	\N
3476032	8566	1993-10-31	PRIJEM	\N	147	72857	UROK	\N	\N
3476033	8566	1993-11-30	PRIJEM	\N	356	71357	UROK	\N	\N
3476034	8566	1993-12-31	PRIJEM	\N	185	34975	UROK	\N	\N
3476035	8566	1994-01-31	PRIJEM	\N	91	16990	UROK	\N	\N
3476036	8566	1994-02-28	PRIJEM	\N	45	6772	UROK	\N	\N
3476037	8566	1994-03-31	PRIJEM	\N	5	-2652	UROK	\N	\N
3476038	8566	1994-03-31	VYDAJ	VYBER	27	-2694	SANKC. UROK	\N	\N
3476039	8566	1994-04-30	PRIJEM	\N	13	4700	UROK	\N	\N
3476040	8566	1994-04-30	VYDAJ	VYBER	7	4692	SANKC. UROK	\N	\N
3476041	8566	1994-05-31	PRIJEM	\N	36	15404	UROK	\N	\N
3476042	8566	1994-06-30	PRIJEM	\N	38	6379	UROK	\N	\N
3476043	8566	1994-07-31	PRIJEM	\N	24	5976	UROK	\N	\N
3476044	8566	1994-08-31	PRIJEM	\N	30	7689	UROK	\N	\N
3476045	8566	1994-09-30	PRIJEM	\N	26	6352	UROK	\N	\N
3476046	8566	1994-10-31	PRIJEM	\N	19	3034	UROK	\N	\N
3476047	8566	1994-11-30	PRIJEM	\N	24	6514	UROK	\N	\N
3476048	8566	1994-12-31	PRIJEM	\N	29	7426	UROK	\N	\N
3476049	8566	1995-01-31	PRIJEM	\N	26	15189	UROK	\N	\N
3476050	8566	1995-02-28	PRIJEM	\N	53	39750	UROK	\N	\N
3476051	8566	1995-03-31	PRIJEM	\N	93	18754	UROK	\N	\N
3476052	8566	1995-04-30	PRIJEM	\N	45	8641	UROK	\N	\N
3476053	8566	1995-05-31	PRIJEM	\N	32	17844	UROK	\N	\N
3476054	8566	1995-06-30	PRIJEM	\N	70	49121	UROK	\N	\N
3476055	8566	1995-07-31	PRIJEM	\N	111	25573	UROK	\N	\N
3476056	8566	1995-08-31	PRIJEM	\N	113	21446	UROK	\N	\N
3476057	8566	1995-09-30	PRIJEM	\N	39	16240	UROK	\N	\N
3476058	8566	1995-10-31	PRIJEM	\N	36	18651	UROK	\N	\N
3476059	8566	1995-11-30	PRIJEM	\N	45	18166	UROK	\N	\N
3476060	8566	1995-12-31	PRIJEM	\N	41	14373	UROK	\N	\N
3476061	8566	1996-01-31	PRIJEM	\N	28	13404	UROK	\N	\N
3476062	8566	1996-02-29	PRIJEM	\N	17	3958	UROK	\N	\N
3476063	8566	1996-03-31	PRIJEM	\N	17	13613	UROK	\N	\N
3476064	8566	1996-04-30	PRIJEM	\N	64	19262	UROK	\N	\N
3476065	8566	1996-05-31	PRIJEM	\N	46	15028	UROK	\N	\N
3476066	8566	1996-06-30	PRIJEM	\N	23	5610	UROK	\N	\N
3476067	8566	1996-07-31	PRIJEM	\N	15	5056	UROK	\N	\N
3476068	8566	1996-08-31	PRIJEM	\N	36	20154	UROK	\N	\N
3476069	8566	1996-09-30	PRIJEM	\N	27	4335	UROK	\N	\N
3476070	8566	1996-10-31	PRIJEM	\N	33	8367	UROK	\N	\N
3476071	8566	1996-11-30	PRIJEM	\N	26	7848	UROK	\N	\N
3476072	8566	1996-12-31	PRIJEM	\N	24	7303	UROK	\N	\N
3476073	8566	1997-01-31	PRIJEM	\N	21	6776	UROK	\N	\N
3476074	8566	1997-02-28	PRIJEM	\N	77	39490	UROK	\N	\N
3476075	8566	1997-03-31	PRIJEM	\N	107	63039	UROK	\N	\N
3476076	8566	1997-04-30	PRIJEM	\N	199	40164	UROK	\N	\N
3476077	8566	1997-05-31	PRIJEM	\N	234	42607	UROK	\N	\N
3476078	8566	1997-06-30	PRIJEM	\N	132	40521	UROK	\N	\N
3476079	8566	1997-07-31	PRIJEM	\N	202	101084	UROK	\N	\N
3476080	8566	1997-08-31	PRIJEM	\N	352	135668	UROK	\N	\N
3476081	8566	1997-09-30	PRIJEM	\N	237	32046	UROK	\N	\N
3476082	8566	1997-10-31	PRIJEM	\N	174	64723	UROK	\N	\N
3476083	8566	1997-11-30	PRIJEM	\N	223	37846	UROK	\N	\N
3476084	8566	1997-12-31	PRIJEM	\N	140	69256	UROK	\N	\N
3476085	8566	1998-01-31	PRIJEM	\N	235	75171	UROK	\N	\N
3476086	8566	1998-02-28	PRIJEM	\N	233	72816	UROK	\N	\N
3476087	8566	1998-03-31	PRIJEM	\N	159	28008	UROK	\N	\N
3476088	8566	1998-04-30	PRIJEM	\N	39	11539	UROK	\N	\N
3476089	8566	1998-05-31	PRIJEM	\N	38	16269	UROK	\N	\N
3476090	8566	1998-06-30	PRIJEM	\N	129	29022	UROK	\N	\N
3476091	8566	1998-07-31	PRIJEM	\N	66	14625	UROK	\N	\N
3476092	8566	1998-08-31	PRIJEM	\N	39	14139	UROK	\N	\N
3476093	8566	1998-09-30	PRIJEM	\N	36	13606	UROK	\N	\N
3476094	8566	1998-10-31	PRIJEM	\N	87	23160	UROK	\N	\N
3476095	8566	1998-11-30	PRIJEM	\N	42	13820	UROK	\N	\N
3476096	8566	1998-12-31	PRIJEM	\N	50	18679	UROK	\N	\N
3476304	8625	1993-11-30	PRIJEM	\N	41	17259	UROK	\N	\N
3476305	8625	1993-12-31	PRIJEM	\N	150	59565	UROK	\N	\N
3476306	8625	1994-01-31	PRIJEM	\N	224	85976	UROK	\N	\N
3476307	8625	1994-02-28	PRIJEM	\N	151	19220	UROK	\N	\N
3476308	8625	1994-03-31	PRIJEM	\N	144	54998	UROK	\N	\N
3476309	8625	1994-04-30	PRIJEM	\N	314	110737	UROK	\N	\N
3476310	8625	1994-05-31	PRIJEM	\N	242	23068	UROK	\N	\N
3476311	8625	1994-06-30	PRIJEM	\N	130	83153	UROK	\N	\N
3476312	8625	1994-07-31	PRIJEM	\N	341	93974	UROK	\N	\N
3476313	8625	1994-08-31	PRIJEM	\N	384	101308	UROK	\N	\N
3476314	8625	1994-09-30	PRIJEM	\N	136	57305	UROK	\N	\N
3476315	8625	1994-10-31	PRIJEM	\N	257	70836	UROK	\N	\N
3476316	8625	1994-11-30	PRIJEM	\N	281	63070	UROK	\N	\N
3476317	8625	1994-12-31	PRIJEM	\N	270	73204	UROK	\N	\N
3476318	8625	1995-01-31	PRIJEM	\N	178	108978	UROK	\N	\N
3476319	8625	1995-02-28	PRIJEM	\N	328	86654	UROK	\N	\N
3476320	8625	1995-03-31	PRIJEM	\N	337	108217	UROK	\N	\N
3476321	8625	1995-04-30	PRIJEM	\N	233	52819	UROK	\N	\N
3476322	8625	1995-05-31	PRIJEM	\N	418	101232	UROK	\N	\N
3476323	8625	1995-06-30	PRIJEM	\N	291	66197	UROK	\N	\N
3476324	8625	1995-07-31	PRIJEM	\N	290	85022	UROK	\N	\N
3476325	8625	1995-08-31	PRIJEM	\N	332	85357	UROK	\N	\N
3476326	8625	1995-09-30	PRIJEM	\N	344	106796	UROK	\N	\N
3476327	8625	1995-10-31	PRIJEM	\N	308	55115	UROK	\N	\N
3476328	8625	1995-11-30	PRIJEM	\N	142	31271	UROK	\N	\N
3476329	8625	1995-12-31	PRIJEM	\N	245	68340	UROK	\N	\N
3476330	8625	1996-01-31	PRIJEM	\N	347	84495	UROK	\N	\N
3476331	8625	1996-02-29	PRIJEM	\N	369	72801	UROK	\N	\N
3476332	8625	1996-03-31	PRIJEM	\N	313	54495	UROK	\N	\N
3476333	8625	1996-04-30	PRIJEM	\N	299	74096	UROK	\N	\N
3476334	8625	1996-05-31	PRIJEM	\N	251	50244	UROK	\N	\N
3476335	8625	1996-06-30	PRIJEM	\N	178	53632	UROK	\N	\N
3476336	8625	1996-07-31	PRIJEM	\N	164	40125	UROK	\N	\N
3476337	8625	1996-08-31	PRIJEM	\N	237	51430	UROK	\N	\N
3476338	8625	1996-09-30	PRIJEM	\N	164	48151	UROK	\N	\N
3476339	8625	1996-10-31	PRIJEM	\N	150	49940	UROK	\N	\N
3476340	8625	1996-11-30	PRIJEM	\N	148	40299	UROK	\N	\N
3476341	8625	1996-12-31	PRIJEM	\N	125	67579	UROK	\N	\N
3476342	8625	1997-01-31	PRIJEM	\N	246	43520	UROK	\N	\N
3476343	8625	1997-02-28	PRIJEM	\N	157	58876	UROK	\N	\N
3476344	8625	1997-03-31	PRIJEM	\N	197	56369	UROK	\N	\N
3476345	8625	1997-04-30	PRIJEM	\N	201	48180	UROK	\N	\N
3476346	8625	1997-05-31	PRIJEM	\N	262	57190	UROK	\N	\N
3476347	8625	1997-06-30	PRIJEM	\N	176	40701	UROK	\N	\N
3476348	8625	1997-07-31	PRIJEM	\N	100	28579	UROK	\N	\N
3476349	8625	1997-08-31	PRIJEM	\N	212	119009	UROK	\N	\N
3476350	8625	1997-09-30	PRIJEM	\N	392	66883	UROK	\N	\N
3476351	8625	1997-10-31	PRIJEM	\N	158	35556	UROK	\N	\N
3476352	8625	1997-11-30	PRIJEM	\N	88	25731	UROK	\N	\N
3476353	8625	1997-12-31	PRIJEM	\N	129	46915	UROK	\N	\N
3476354	8625	1998-01-31	PRIJEM	\N	108	30658	UROK	\N	\N
3476355	8625	1998-02-28	PRIJEM	\N	58	21215	UROK	\N	\N
3476356	8625	1998-03-31	PRIJEM	\N	218	67046	UROK	\N	\N
3476357	8625	1998-04-30	PRIJEM	\N	211	86991	UROK	\N	\N
3476358	8625	1998-05-31	PRIJEM	\N	279	73146	UROK	\N	\N
3476359	8625	1998-06-30	PRIJEM	\N	201	47342	UROK	\N	\N
3476360	8625	1998-07-31	PRIJEM	\N	199	48864	UROK	\N	\N
3476361	8625	1998-08-31	PRIJEM	\N	127	39584	UROK	\N	\N
3476362	8625	1998-09-30	PRIJEM	\N	86	29143	UROK	\N	\N
3476363	8625	1998-10-31	PRIJEM	\N	188	47680	UROK	\N	\N
3476364	8625	1998-11-30	PRIJEM	\N	119	37716	UROK	\N	\N
3476365	8625	1998-12-31	PRIJEM	\N	82	27993	UROK	\N	\N
3476366	8639	1997-09-30	PRIJEM	\N	29	20722	UROK	\N	\N
3476367	8639	1997-10-31	PRIJEM	\N	102	31390	UROK	\N	\N
3476368	8639	1997-11-30	PRIJEM	\N	131	31674	UROK	\N	\N
3476369	8639	1997-12-31	PRIJEM	\N	145	40428	UROK	\N	\N
3476370	8639	1998-01-31	PRIJEM	\N	149	21844	UROK	\N	\N
3476371	8639	1998-02-28	PRIJEM	\N	88	20297	UROK	\N	\N
3476372	8639	1998-03-31	PRIJEM	\N	98	20682	UROK	\N	\N
3476373	8639	1998-04-30	PRIJEM	\N	120	26953	UROK	\N	\N
3476374	8639	1998-05-31	PRIJEM	\N	103	21519	UROK	\N	\N
3476375	8639	1998-06-30	PRIJEM	\N	100	23958	UROK	\N	\N
3476376	8639	1998-07-31	PRIJEM	\N	123	31206	UROK	\N	\N
3476377	8639	1998-08-31	PRIJEM	\N	121	19800	UROK	\N	\N
3476378	8639	1998-09-30	PRIJEM	\N	112	31771	UROK	\N	\N
3476379	8639	1998-10-31	PRIJEM	\N	128	29882	UROK	\N	\N
3476380	8639	1998-11-30	PRIJEM	\N	130	31770	UROK	\N	\N
3476381	8639	1998-12-31	PRIJEM	\N	133	23437	UROK	\N	\N
3476382	8645	1997-07-31	PRIJEM	\N	23	19073	UROK	\N	\N
3476383	8645	1997-08-31	PRIJEM	\N	95	30633	UROK	\N	\N
3476384	8645	1997-09-30	PRIJEM	\N	139	39049	UROK	\N	\N
3476385	8645	1997-10-31	PRIJEM	\N	167	42745	UROK	\N	\N
3476386	8645	1997-11-30	PRIJEM	\N	175	41306	UROK	\N	\N
3476387	8645	1997-12-31	PRIJEM	\N	150	33479	UROK	\N	\N
3476388	8645	1998-01-31	PRIJEM	\N	97	19362	UROK	\N	\N
3476389	8645	1998-02-28	PRIJEM	\N	67	22074	UROK	\N	\N
3476390	8645	1998-03-31	PRIJEM	\N	71	21010	UROK	\N	\N
3476391	8645	1998-04-30	PRIJEM	\N	92	22591	UROK	\N	\N
3476392	8645	1998-05-31	PRIJEM	\N	93	21469	UROK	\N	\N
3476393	8645	1998-06-30	PRIJEM	\N	104	27533	UROK	\N	\N
3476394	8645	1998-07-31	PRIJEM	\N	93	24284	UROK	\N	\N
3476395	8645	1998-08-31	PRIJEM	\N	87	22325	UROK	\N	\N
3476396	8645	1998-09-30	PRIJEM	\N	90	24783	UROK	\N	\N
3476397	8645	1998-10-31	PRIJEM	\N	90	26840	UROK	\N	\N
3476398	8645	1998-11-30	PRIJEM	\N	106	28642	UROK	\N	\N
3476399	8645	1998-12-31	PRIJEM	\N	133	37485	UROK	\N	\N
3476496	8680	1996-03-31	PRIJEM	\N	55	21742	UROK	\N	\N
3476497	8680	1996-04-30	PRIJEM	\N	108	28590	UROK	\N	\N
3476498	8680	1996-05-31	PRIJEM	\N	125	31274	UROK	\N	\N
3476499	8680	1996-06-30	PRIJEM	\N	148	38031	UROK	\N	\N
3476500	8680	1996-07-31	PRIJEM	\N	147	34365	UROK	\N	\N
3476501	8680	1996-08-31	PRIJEM	\N	133	34225	UROK	\N	\N
3476502	8680	1996-09-30	PRIJEM	\N	120	30077	UROK	\N	\N
3476503	8680	1996-10-31	PRIJEM	\N	111	28908	UROK	\N	\N
3476504	8680	1996-11-30	PRIJEM	\N	98	25422	UROK	\N	\N
3476505	8680	1996-12-31	PRIJEM	\N	127	36319	UROK	\N	\N
3476506	8680	1997-01-31	PRIJEM	\N	107	19874	UROK	\N	\N
3476507	8680	1997-02-28	PRIJEM	\N	70	19751	UROK	\N	\N
3476508	8680	1997-03-31	PRIJEM	\N	69	19657	UROK	\N	\N
3476509	8680	1997-04-30	PRIJEM	\N	68	19453	UROK	\N	\N
3476510	8680	1997-05-31	PRIJEM	\N	68	19384	UROK	\N	\N
3476511	8680	1997-06-30	PRIJEM	\N	86	26423	UROK	\N	\N
3476512	8680	1997-07-31	PRIJEM	\N	93	25243	UROK	\N	\N
3476513	8680	1997-08-31	PRIJEM	\N	72	19918	UROK	\N	\N
3476514	8680	1997-09-30	PRIJEM	\N	53	15821	UROK	\N	\N
3476515	8680	1997-10-31	PRIJEM	\N	58	17857	UROK	\N	\N
3476516	8680	1997-11-30	PRIJEM	\N	52	15836	UROK	\N	\N
3476517	8680	1997-12-31	PRIJEM	\N	73	23590	UROK	\N	\N
3476518	8680	1998-01-31	PRIJEM	\N	71	20548	UROK	\N	\N
3476519	8680	1998-02-28	PRIJEM	\N	74	22224	UROK	\N	\N
3476520	8680	1998-03-31	PRIJEM	\N	76	22301	UROK	\N	\N
3476521	8680	1998-04-30	PRIJEM	\N	65	19244	UROK	\N	\N
3476522	8680	1998-05-31	PRIJEM	\N	71	21443	UROK	\N	\N
3476523	8680	1998-06-30	PRIJEM	\N	85	26945	UROK	\N	\N
3476524	8680	1998-07-31	PRIJEM	\N	76	22149	UROK	\N	\N
3476525	8680	1998-08-31	PRIJEM	\N	52	16905	UROK	\N	\N
3476526	8680	1998-09-30	PRIJEM	\N	52	17036	UROK	\N	\N
3476527	8680	1998-10-31	PRIJEM	\N	52	16417	UROK	\N	\N
3476528	8680	1998-11-30	PRIJEM	\N	49	16231	UROK	\N	\N
3476529	8680	1998-12-31	PRIJEM	\N	69	23170	UROK	\N	\N
3476558	8688	1996-12-31	PRIJEM	\N	36	26790	UROK	\N	\N
3476559	8688	1997-01-31	PRIJEM	\N	126	36985	UROK	\N	\N
3476560	8688	1997-02-28	PRIJEM	\N	155	38025	UROK	\N	\N
3476561	8688	1997-03-31	PRIJEM	\N	162	41768	UROK	\N	\N
3476562	8688	1997-04-30	PRIJEM	\N	183	37872	UROK	\N	\N
3476563	8688	1997-05-31	PRIJEM	\N	169	35524	UROK	\N	\N
3476564	8688	1997-06-30	PRIJEM	\N	176	30154	UROK	\N	\N
3476565	8688	1997-07-31	PRIJEM	\N	149	38437	UROK	\N	\N
3476566	8688	1997-08-31	PRIJEM	\N	166	36200	UROK	\N	\N
3476567	8688	1997-09-30	PRIJEM	\N	170	38877	UROK	\N	\N
3476568	8688	1997-10-31	PRIJEM	\N	169	38970	UROK	\N	\N
3476569	8688	1997-11-30	PRIJEM	\N	175	43601	UROK	\N	\N
3476570	8688	1997-12-31	PRIJEM	\N	220	49482	UROK	\N	\N
3476571	8688	1998-01-31	PRIJEM	\N	183	33522	UROK	\N	\N
3476572	8688	1998-02-28	PRIJEM	\N	150	39507	UROK	\N	\N
3476573	8688	1998-03-31	PRIJEM	\N	179	46543	UROK	\N	\N
3476574	8688	1998-04-30	PRIJEM	\N	197	51036	UROK	\N	\N
3476575	8688	1998-05-31	PRIJEM	\N	220	51638	UROK	\N	\N
3476576	8688	1998-06-30	PRIJEM	\N	198	36474	UROK	\N	\N
3476577	8688	1998-07-31	PRIJEM	\N	155	41150	UROK	\N	\N
3476578	8688	1998-08-31	PRIJEM	\N	165	40271	UROK	\N	\N
3476579	8688	1998-09-30	PRIJEM	\N	167	44560	UROK	\N	\N
3476580	8688	1998-10-31	PRIJEM	\N	162	39095	UROK	\N	\N
3476581	8688	1998-11-30	PRIJEM	\N	151	38114	UROK	\N	\N
3476582	8688	1998-12-31	PRIJEM	\N	210	56433	UROK	\N	\N
3476601	8713	1997-06-30	PRIJEM	\N	55	28060	UROK	\N	\N
3476602	8713	1997-07-31	PRIJEM	\N	128	34072	UROK	\N	\N
3476603	8713	1997-08-31	PRIJEM	\N	146	36260	UROK	\N	\N
3476604	8713	1997-09-30	PRIJEM	\N	157	39687	UROK	\N	\N
3476605	8713	1997-10-31	PRIJEM	\N	141	28481	UROK	\N	\N
3476606	8713	1997-11-30	PRIJEM	\N	122	28725	UROK	\N	\N
3476607	8713	1997-12-31	PRIJEM	\N	121	30255	UROK	\N	\N
3476608	8713	1998-01-31	PRIJEM	\N	90	10145	UROK	\N	\N
3476609	8713	1998-02-28	PRIJEM	\N	71	22036	UROK	\N	\N
3476610	8713	1998-03-31	PRIJEM	\N	79	16164	UROK	\N	\N
3476611	8713	1998-04-30	PRIJEM	\N	101	30221	UROK	\N	\N
3476612	8713	1998-05-31	PRIJEM	\N	147	38768	UROK	\N	\N
3476613	8713	1998-06-30	PRIJEM	\N	137	12718	UROK	\N	\N
3476614	8713	1998-07-31	PRIJEM	\N	90	27463	UROK	\N	\N
3476615	8713	1998-08-31	PRIJEM	\N	135	36674	UROK	\N	\N
3476616	8713	1998-09-30	PRIJEM	\N	178	38651	UROK	\N	\N
3476617	8713	1998-10-31	PRIJEM	\N	166	40712	UROK	\N	\N
3476618	8713	1998-11-30	PRIJEM	\N	196	52821	UROK	\N	\N
3476619	8713	1998-12-31	PRIJEM	\N	169	14843	UROK	\N	\N
3476702	8742	1997-02-28	PRIJEM	\N	5	17569	UROK	\N	\N
3476703	8742	1997-03-31	PRIJEM	\N	79	31114	UROK	\N	\N
3476704	8742	1997-04-30	PRIJEM	\N	133	39420	UROK	\N	\N
3476705	8742	1997-05-31	PRIJEM	\N	164	40575	UROK	\N	\N
3476706	8742	1997-06-30	PRIJEM	\N	152	24148	UROK	\N	\N
3476707	8742	1997-07-31	PRIJEM	\N	116	31809	UROK	\N	\N
3476708	8742	1997-08-31	PRIJEM	\N	140	30580	UROK	\N	\N
3476709	8742	1997-09-30	PRIJEM	\N	131	27913	UROK	\N	\N
3476710	8742	1997-10-31	PRIJEM	\N	120	26228	UROK	\N	\N
3476711	8742	1997-11-30	PRIJEM	\N	114	27037	UROK	\N	\N
3476712	8742	1997-12-31	PRIJEM	\N	124	27622	UROK	\N	\N
3476713	8742	1998-01-31	PRIJEM	\N	81	15899	UROK	\N	\N
3476714	8742	1998-02-28	PRIJEM	\N	73	20792	UROK	\N	\N
3476715	8742	1998-03-31	PRIJEM	\N	92	22879	UROK	\N	\N
3476716	8742	1998-04-30	PRIJEM	\N	100	25545	UROK	\N	\N
3476717	8742	1998-05-31	PRIJEM	\N	99	20855	UROK	\N	\N
3476718	8742	1998-06-30	PRIJEM	\N	77	18378	UROK	\N	\N
3476719	8742	1998-07-31	PRIJEM	\N	80	21010	UROK	\N	\N
3476720	8742	1998-08-31	PRIJEM	\N	84	16128	UROK	\N	\N
3476721	8742	1998-09-30	PRIJEM	\N	73	16718	UROK	\N	\N
3476722	8742	1998-10-31	PRIJEM	\N	67	17496	UROK	\N	\N
3476723	8742	1998-11-30	PRIJEM	\N	68	16761	UROK	\N	\N
3476724	8742	1998-12-31	PRIJEM	\N	83	22009	UROK	\N	\N
3476799	8772	1996-06-30	PRIJEM	\N	48	21446	UROK	\N	\N
3476800	8772	1996-07-31	PRIJEM	\N	99	25681	UROK	\N	\N
3476801	8772	1996-08-31	PRIJEM	\N	107	25878	UROK	\N	\N
3476802	8772	1996-09-30	PRIJEM	\N	109	26844	UROK	\N	\N
3476803	8772	1996-10-31	PRIJEM	\N	104	22486	UROK	\N	\N
3476804	8772	1996-11-30	PRIJEM	\N	87	19390	UROK	\N	\N
3476805	8772	1996-12-31	PRIJEM	\N	74	16719	UROK	\N	\N
3476806	8772	1997-01-31	PRIJEM	\N	54	7537	UROK	\N	\N
3476807	8772	1997-02-28	PRIJEM	\N	32	6579	UROK	\N	\N
3476808	8772	1997-03-31	PRIJEM	\N	34	9444	UROK	\N	\N
3476809	8772	1997-04-30	PRIJEM	\N	34	4642	UROK	\N	\N
3476810	8772	1997-05-31	PRIJEM	\N	33	6473	UROK	\N	\N
3476811	8772	1997-06-30	PRIJEM	\N	38	7121	UROK	\N	\N
3476812	8772	1997-07-31	PRIJEM	\N	33	9035	UROK	\N	\N
3476813	8772	1997-08-31	PRIJEM	\N	41	10900	UROK	\N	\N
3476814	8772	1997-09-30	PRIJEM	\N	30	5315	UROK	\N	\N
3476815	8772	1997-10-31	PRIJEM	\N	25	7164	UROK	\N	\N
3476816	8772	1997-11-30	PRIJEM	\N	32	9072	UROK	\N	\N
3476817	8772	1997-12-31	PRIJEM	\N	55	16470	UROK	\N	\N
3476818	8772	1998-01-31	PRIJEM	\N	35	5283	UROK	\N	\N
3476819	8772	1998-02-28	PRIJEM	\N	24	7182	UROK	\N	\N
3476820	8772	1998-03-31	PRIJEM	\N	32	9071	UROK	\N	\N
3476821	8772	1998-04-30	PRIJEM	\N	39	10974	UROK	\N	\N
3476822	8772	1998-05-31	PRIJEM	\N	47	12846	UROK	\N	\N
3476823	8772	1998-06-30	PRIJEM	\N	38	7074	UROK	\N	\N
3476824	8772	1998-07-31	PRIJEM	\N	31	8967	UROK	\N	\N
3476825	8772	1998-08-31	PRIJEM	\N	38	10851	UROK	\N	\N
3476826	8772	1998-09-30	PRIJEM	\N	46	12777	UROK	\N	\N
3476827	8772	1998-10-31	PRIJEM	\N	54	14691	UROK	\N	\N
3476828	8772	1998-11-30	PRIJEM	\N	62	16619	UROK	\N	\N
3476829	8772	1998-12-31	PRIJEM	\N	69	16531	UROK	\N	\N
3476830	8776	1994-09-30	PRIJEM	\N	21	18803	UROK	\N	\N
3476831	8776	1994-10-31	PRIJEM	\N	93	30793	UROK	\N	\N
3476832	8776	1994-11-30	PRIJEM	\N	131	33825	UROK	\N	\N
3476833	8776	1994-12-31	PRIJEM	\N	148	39516	UROK	\N	\N
3476834	8776	1995-01-31	PRIJEM	\N	165	30442	UROK	\N	\N
3476835	8776	1995-02-28	PRIJEM	\N	151	38388	UROK	\N	\N
3476836	8776	1995-03-31	PRIJEM	\N	189	42626	UROK	\N	\N
3476837	8776	1995-04-30	PRIJEM	\N	197	41431	UROK	\N	\N
3476838	8776	1995-05-31	PRIJEM	\N	178	40055	UROK	\N	\N
3476839	8776	1995-06-30	PRIJEM	\N	170	37684	UROK	\N	\N
3476840	8776	1995-07-31	PRIJEM	\N	179	41977	UROK	\N	\N
3476841	8776	1995-08-31	PRIJEM	\N	195	44849	UROK	\N	\N
3476842	8776	1995-09-30	PRIJEM	\N	189	44180	UROK	\N	\N
3476843	8776	1995-10-31	PRIJEM	\N	189	44939	UROK	\N	\N
3476844	8776	1995-11-30	PRIJEM	\N	188	43189	UROK	\N	\N
3476845	8776	1995-12-31	PRIJEM	\N	191	43268	UROK	\N	\N
3476846	8776	1996-01-31	PRIJEM	\N	163	27102	UROK	\N	\N
3476847	8776	1996-02-29	PRIJEM	\N	137	40043	UROK	\N	\N
3476848	8776	1996-03-31	PRIJEM	\N	174	44270	UROK	\N	\N
3476849	8776	1996-04-30	PRIJEM	\N	182	45593	UROK	\N	\N
3476850	8776	1996-05-31	PRIJEM	\N	191	48802	UROK	\N	\N
3476851	8776	1996-06-30	PRIJEM	\N	178	41595	UROK	\N	\N
3476852	8776	1996-07-31	PRIJEM	\N	172	45080	UROK	\N	\N
3476853	8776	1996-08-31	PRIJEM	\N	179	46100	UROK	\N	\N
3476854	8776	1996-09-30	PRIJEM	\N	211	49832	UROK	\N	\N
3476855	8776	1996-10-31	PRIJEM	\N	225	48060	UROK	\N	\N
3476856	8776	1996-11-30	PRIJEM	\N	187	49189	UROK	\N	\N
3476857	8776	1996-12-31	PRIJEM	\N	194	50382	UROK	\N	\N
3476858	8776	1997-01-31	PRIJEM	\N	152	32161	UROK	\N	\N
3476859	8776	1997-02-28	PRIJEM	\N	133	37845	UROK	\N	\N
3476860	8776	1997-03-31	PRIJEM	\N	150	41686	UROK	\N	\N
3476861	8776	1997-04-30	PRIJEM	\N	164	44791	UROK	\N	\N
3476862	8776	1997-05-31	PRIJEM	\N	184	50674	UROK	\N	\N
3476863	8776	1997-06-30	PRIJEM	\N	180	49311	UROK	\N	\N
3476864	8776	1997-07-31	PRIJEM	\N	207	56711	UROK	\N	\N
3476865	8776	1997-08-31	PRIJEM	\N	219	56771	UROK	\N	\N
3476866	8776	1997-09-30	PRIJEM	\N	227	58371	UROK	\N	\N
3476867	8776	1997-10-31	PRIJEM	\N	232	61944	UROK	\N	\N
3476868	8776	1997-11-30	PRIJEM	\N	250	65223	UROK	\N	\N
3476869	8776	1997-12-31	PRIJEM	\N	289	77189	UROK	\N	\N
3476870	8776	1998-01-31	PRIJEM	\N	251	59122	UROK	\N	\N
3476871	8776	1998-02-28	PRIJEM	\N	237	64700	UROK	\N	\N
3476872	8776	1998-03-31	PRIJEM	\N	246	66316	UROK	\N	\N
3476873	8776	1998-04-30	PRIJEM	\N	242	65083	UROK	\N	\N
3476874	8776	1998-05-31	PRIJEM	\N	253	69122	UROK	\N	\N
3476875	8776	1998-06-30	PRIJEM	\N	222	62014	UROK	\N	\N
3476876	8776	1998-07-31	PRIJEM	\N	226	58282	UROK	\N	\N
3476877	8776	1998-08-31	PRIJEM	\N	235	66118	UROK	\N	\N
3476878	8776	1998-09-30	PRIJEM	\N	269	74998	UROK	\N	\N
3476879	8776	1998-10-31	PRIJEM	\N	272	74075	UROK	\N	\N
3476880	8776	1998-11-30	PRIJEM	\N	273	75307	UROK	\N	\N
3476881	8776	1998-12-31	PRIJEM	\N	311	85739	UROK	\N	\N
3476904	8784	1996-11-30	PRIJEM	\N	68	30723	UROK	\N	\N
3476905	8784	1996-12-31	PRIJEM	\N	184	55392	UROK	\N	\N
3476906	8784	1997-01-31	PRIJEM	\N	239	59375	UROK	\N	\N
3476907	8784	1997-02-28	PRIJEM	\N	247	60113	UROK	\N	\N
3476908	8784	1997-03-31	PRIJEM	\N	254	50080	UROK	\N	\N
3476909	8784	1997-04-30	PRIJEM	\N	239	41738	UROK	\N	\N
3476910	8784	1997-05-31	PRIJEM	\N	151	30488	UROK	\N	\N
3476911	8784	1997-06-30	PRIJEM	\N	179	45987	UROK	\N	\N
3476912	8784	1997-07-31	PRIJEM	\N	187	41840	UROK	\N	\N
3476913	8784	1997-08-31	PRIJEM	\N	173	41061	UROK	\N	\N
3476914	8784	1997-09-30	PRIJEM	\N	154	36394	UROK	\N	\N
3476915	8784	1997-10-31	PRIJEM	\N	142	32924	UROK	\N	\N
3476916	8784	1997-11-30	PRIJEM	\N	163	35008	UROK	\N	\N
3476917	8784	1997-12-31	PRIJEM	\N	199	41175	UROK	\N	\N
3476918	8784	1998-01-31	PRIJEM	\N	167	38572	UROK	\N	\N
3476919	8784	1998-02-28	PRIJEM	\N	195	56203	UROK	\N	\N
3476920	8784	1998-03-31	PRIJEM	\N	249	45732	UROK	\N	\N
3476921	8784	1998-04-30	PRIJEM	\N	199	52967	UROK	\N	\N
3476922	8784	1998-05-31	PRIJEM	\N	227	60219	UROK	\N	\N
3476923	8784	1998-06-30	PRIJEM	\N	300	76669	UROK	\N	\N
3476924	8784	1998-07-31	PRIJEM	\N	294	74640	UROK	\N	\N
3476925	8784	1998-08-31	PRIJEM	\N	261	67581	UROK	\N	\N
3476926	8784	1998-09-30	PRIJEM	\N	266	69224	UROK	\N	\N
3476927	8784	1998-10-31	PRIJEM	\N	254	53101	UROK	\N	\N
3476928	8784	1998-11-30	PRIJEM	\N	207	52043	UROK	\N	\N
3476929	8784	1998-12-31	PRIJEM	\N	244	66628	UROK	\N	\N
3477380	8899	1994-10-31	PRIJEM	\N	198	49302	UROK	\N	\N
3477381	8899	1994-11-30	PRIJEM	\N	295	94109	UROK	\N	\N
3477382	8899	1994-12-31	PRIJEM	\N	215	63573	UROK	\N	\N
3477383	8899	1995-01-31	PRIJEM	\N	111	24808	UROK	\N	\N
3477384	8899	1995-02-28	PRIJEM	\N	173	59320	UROK	\N	\N
3477385	8899	1995-03-31	PRIJEM	\N	119	23498	UROK	\N	\N
3477386	8899	1995-04-30	PRIJEM	\N	82	19329	UROK	\N	\N
3477387	8899	1995-05-31	PRIJEM	\N	137	54298	UROK	\N	\N
3477388	8899	1995-06-30	PRIJEM	\N	167	36652	UROK	\N	\N
3477389	8899	1995-07-31	PRIJEM	\N	257	74535	UROK	\N	\N
3477390	8899	1995-08-31	PRIJEM	\N	312	85145	UROK	\N	\N
3477391	8899	1995-09-30	PRIJEM	\N	284	69767	UROK	\N	\N
3477392	8899	1995-10-31	PRIJEM	\N	215	47036	UROK	\N	\N
3477393	8899	1995-11-30	PRIJEM	\N	182	42384	UROK	\N	\N
3477394	8899	1995-12-31	PRIJEM	\N	92	35069	UROK	\N	\N
3477395	8899	1996-01-31	PRIJEM	\N	103	23540	UROK	\N	\N
3477396	8899	1996-02-29	PRIJEM	\N	87	33049	UROK	\N	\N
3477397	8899	1996-03-31	PRIJEM	\N	178	76593	UROK	\N	\N
3477398	8899	1996-04-30	PRIJEM	\N	276	57195	UROK	\N	\N
3477399	8899	1996-05-31	PRIJEM	\N	307	72277	UROK	\N	\N
3477400	8899	1996-06-30	PRIJEM	\N	272	59396	UROK	\N	\N
3477401	8899	1996-07-31	PRIJEM	\N	206	44362	UROK	\N	\N
3477402	8899	1996-08-31	PRIJEM	\N	147	35575	UROK	\N	\N
3477403	8899	1996-09-30	PRIJEM	\N	178	51924	UROK	\N	\N
3477404	8899	1996-10-31	PRIJEM	\N	269	68988	UROK	\N	\N
3477405	8899	1996-11-30	PRIJEM	\N	254	61499	UROK	\N	\N
3477406	8899	1996-12-31	PRIJEM	\N	221	55543	UROK	\N	\N
3477407	8899	1997-01-31	PRIJEM	\N	128	33618	UROK	\N	\N
3477408	8899	1997-02-28	PRIJEM	\N	128	42036	UROK	\N	\N
3477409	8899	1997-03-31	PRIJEM	\N	190	54253	UROK	\N	\N
3477410	8899	1997-04-30	PRIJEM	\N	298	55573	UROK	\N	\N
3477411	8899	1997-05-31	PRIJEM	\N	276	70591	UROK	\N	\N
3477412	8899	1997-06-30	PRIJEM	\N	203	59412	UROK	\N	\N
3477413	8899	1997-07-31	PRIJEM	\N	357	79046	UROK	\N	\N
3477414	8899	1997-08-31	PRIJEM	\N	242	49229	UROK	\N	\N
3477415	8899	1997-09-30	PRIJEM	\N	248	68435	UROK	\N	\N
3477416	8899	1997-10-31	PRIJEM	\N	344	69218	UROK	\N	\N
3477417	8899	1997-11-30	PRIJEM	\N	251	78431	UROK	\N	\N
3477418	8899	1997-12-31	PRIJEM	\N	337	68714	UROK	\N	\N
3477419	8899	1998-01-31	PRIJEM	\N	329	39450	UROK	\N	\N
3477420	8899	1998-02-28	PRIJEM	\N	308	82761	UROK	\N	\N
3477421	8899	1998-03-31	PRIJEM	\N	274	48411	UROK	\N	\N
3477422	8899	1998-04-30	PRIJEM	\N	216	66897	UROK	\N	\N
3477423	8899	1998-05-31	PRIJEM	\N	259	69331	UROK	\N	\N
3477424	8899	1998-06-30	PRIJEM	\N	349	87498	UROK	\N	\N
3477425	8899	1998-07-31	PRIJEM	\N	312	78104	UROK	\N	\N
3477426	8899	1998-08-31	PRIJEM	\N	324	77324	UROK	\N	\N
3477427	8899	1998-09-30	PRIJEM	\N	278	78218	UROK	\N	\N
3477428	8899	1998-10-31	PRIJEM	\N	349	110604	UROK	\N	\N
3477429	8899	1998-11-30	PRIJEM	\N	408	111623	UROK	\N	\N
3477430	8899	1998-12-31	PRIJEM	\N	345	64471	UROK	\N	\N
3477523	8919	1997-07-31	PRIJEM	\N	18	5272	UROK	\N	\N
3477524	8919	1997-08-31	PRIJEM	\N	67	18810	UROK	\N	\N
3477525	8919	1997-09-30	PRIJEM	\N	107	27618	UROK	\N	\N
3477526	8919	1997-10-31	PRIJEM	\N	134	33706	UROK	\N	\N
3477527	8919	1997-11-30	PRIJEM	\N	105	23137	UROK	\N	\N
3477528	8919	1997-12-31	PRIJEM	\N	86	19936	UROK	\N	\N
3477529	8919	1998-01-31	PRIJEM	\N	64	14807	UROK	\N	\N
3477530	8919	1998-02-28	PRIJEM	\N	59	13221	UROK	\N	\N
3477531	8919	1998-03-31	PRIJEM	\N	79	18123	UROK	\N	\N
3477532	8919	1998-04-30	PRIJEM	\N	76	18775	UROK	\N	\N
3477533	8919	1998-05-31	PRIJEM	\N	75	21054	UROK	\N	\N
3477534	8919	1998-06-30	PRIJEM	\N	89	22148	UROK	\N	\N
3477535	8919	1998-07-31	PRIJEM	\N	86	21170	UROK	\N	\N
3477536	8919	1998-08-31	PRIJEM	\N	87	26454	UROK	\N	\N
3477537	8919	1998-09-30	PRIJEM	\N	100	25486	UROK	\N	\N
3477538	8919	1998-10-31	PRIJEM	\N	103	28221	UROK	\N	\N
3477539	8919	1998-11-30	PRIJEM	\N	109	25066	UROK	\N	\N
3477540	8919	1998-12-31	PRIJEM	\N	89	16850	UROK	\N	\N
3477541	8926	1997-04-30	PRIJEM	\N	37	24526	UROK	\N	\N
3477542	8926	1997-05-31	PRIJEM	\N	116	33566	UROK	\N	\N
3477543	8926	1997-06-30	PRIJEM	\N	156	43655	UROK	\N	\N
3477544	8926	1997-07-31	PRIJEM	\N	178	42357	UROK	\N	\N
3477545	8926	1997-08-31	PRIJEM	\N	160	33258	UROK	\N	\N
3477546	8926	1997-09-30	PRIJEM	\N	136	28295	UROK	\N	\N
3477547	8926	1997-10-31	PRIJEM	\N	133	29666	UROK	\N	\N
3477548	8926	1997-11-30	PRIJEM	\N	142	35648	UROK	\N	\N
3477549	8926	1997-12-31	PRIJEM	\N	152	32818	UROK	\N	\N
3477550	8926	1998-01-31	PRIJEM	\N	110	23759	UROK	\N	\N
3477551	8926	1998-02-28	PRIJEM	\N	129	34140	UROK	\N	\N
3477552	8926	1998-03-31	PRIJEM	\N	143	34041	UROK	\N	\N
3477553	8926	1998-04-30	PRIJEM	\N	144	34418	UROK	\N	\N
3477554	8926	1998-05-31	PRIJEM	\N	141	32637	UROK	\N	\N
3477555	8926	1998-06-30	PRIJEM	\N	148	33967	UROK	\N	\N
3477556	8926	1998-07-31	PRIJEM	\N	150	37879	UROK	\N	\N
3477557	8926	1998-08-31	PRIJEM	\N	153	37690	UROK	\N	\N
3477558	8926	1998-09-30	PRIJEM	\N	155	36493	UROK	\N	\N
3477559	8926	1998-10-31	PRIJEM	\N	151	35462	UROK	\N	\N
3477560	8926	1998-11-30	PRIJEM	\N	140	30281	UROK	\N	\N
3477561	8926	1998-12-31	PRIJEM	\N	159	40297	UROK	\N	\N
3477632	8931	1996-01-31	PRIJEM	\N	121	31333	UROK	\N	\N
3477633	8931	1996-02-29	PRIJEM	\N	116	41172	UROK	\N	\N
3477634	8931	1996-03-31	PRIJEM	\N	169	31141	UROK	\N	\N
3477635	8931	1996-04-30	PRIJEM	\N	175	95118	UROK	\N	\N
3477636	8931	1996-05-31	PRIJEM	\N	344	56237	UROK	\N	\N
3477637	8931	1996-06-30	PRIJEM	\N	117	23363	UROK	\N	\N
3477638	8931	1996-07-31	PRIJEM	\N	74	22505	UROK	\N	\N
3477639	8931	1996-08-31	PRIJEM	\N	174	37579	UROK	\N	\N
3477640	8931	1996-09-30	PRIJEM	\N	201	80300	UROK	\N	\N
3477641	8931	1996-10-31	PRIJEM	\N	285	71607	UROK	\N	\N
3477642	8931	1996-11-30	PRIJEM	\N	374	82592	UROK	\N	\N
3477643	8931	1996-12-31	PRIJEM	\N	334	87417	UROK	\N	\N
3477644	8931	1997-01-31	PRIJEM	\N	152	26416	UROK	\N	\N
3477645	8931	1997-02-28	PRIJEM	\N	181	59633	UROK	\N	\N
3477646	8931	1997-03-31	PRIJEM	\N	269	60016	UROK	\N	\N
3477647	8931	1997-04-30	PRIJEM	\N	193	38491	UROK	\N	\N
3477648	8931	1997-05-31	PRIJEM	\N	114	25117	UROK	\N	\N
3477649	8931	1997-06-30	PRIJEM	\N	160	46243	UROK	\N	\N
3477650	8931	1997-07-31	PRIJEM	\N	273	99578	UROK	\N	\N
3477651	8931	1997-08-31	PRIJEM	\N	332	46692	UROK	\N	\N
3477652	8931	1997-09-30	PRIJEM	\N	149	33808	UROK	\N	\N
3477653	8931	1997-10-31	PRIJEM	\N	178	82003	UROK	\N	\N
3477654	8931	1997-11-30	PRIJEM	\N	229	42484	UROK	\N	\N
3477655	8931	1997-12-31	PRIJEM	\N	134	32941	UROK	\N	\N
3477656	8931	1998-01-31	PRIJEM	\N	107	41258	UROK	\N	\N
3477657	8931	1998-02-28	PRIJEM	\N	194	72358	UROK	\N	\N
3477658	8931	1998-03-31	PRIJEM	\N	210	68336	UROK	\N	\N
3477659	8931	1998-04-30	PRIJEM	\N	172	99995	UROK	\N	\N
3477660	8931	1998-05-31	PRIJEM	\N	309	59138	UROK	\N	\N
3477661	8931	1998-06-30	PRIJEM	\N	125	32412	UROK	\N	\N
3477662	8931	1998-07-31	PRIJEM	\N	208	59078	UROK	\N	\N
3477663	8931	1998-08-31	PRIJEM	\N	234	62687	UROK	\N	\N
3477664	8931	1998-09-30	PRIJEM	\N	207	71703	UROK	\N	\N
3477665	8931	1998-10-31	PRIJEM	\N	308	100478	UROK	\N	\N
3477666	8931	1998-11-30	PRIJEM	\N	367	123520	UROK	\N	\N
3477667	8931	1998-12-31	PRIJEM	\N	293	61174	UROK	\N	\N
3477947	8972	1996-06-30	PRIJEM	\N	45	29623	UROK	\N	\N
3477948	8972	1996-07-31	PRIJEM	\N	132	35097	UROK	\N	\N
3477949	8972	1996-08-31	PRIJEM	\N	152	38940	UROK	\N	\N
3477950	8972	1996-09-30	PRIJEM	\N	160	38216	UROK	\N	\N
3477951	8972	1996-10-31	PRIJEM	\N	176	36108	UROK	\N	\N
3477952	8972	1996-11-30	PRIJEM	\N	189	32997	UROK	\N	\N
3477953	8972	1996-12-31	PRIJEM	\N	190	38574	UROK	\N	\N
3477954	8972	1997-01-31	PRIJEM	\N	154	29102	UROK	\N	\N
3477955	8972	1997-02-28	PRIJEM	\N	125	26827	UROK	\N	\N
3477956	8972	1997-03-31	PRIJEM	\N	115	24965	UROK	\N	\N
3477957	8972	1997-04-30	PRIJEM	\N	125	30668	UROK	\N	\N
3477958	8972	1997-05-31	PRIJEM	\N	137	31530	UROK	\N	\N
3477959	8972	1997-06-30	PRIJEM	\N	163	39964	UROK	\N	\N
3477960	8972	1997-07-31	PRIJEM	\N	177	42781	UROK	\N	\N
3477961	8972	1997-08-31	PRIJEM	\N	173	40492	UROK	\N	\N
3477962	8972	1997-09-30	PRIJEM	\N	180	35264	UROK	\N	\N
3477963	8972	1997-10-31	PRIJEM	\N	156	39383	UROK	\N	\N
3477964	8972	1997-11-30	PRIJEM	\N	156	37741	UROK	\N	\N
3477965	8972	1997-12-31	PRIJEM	\N	166	39858	UROK	\N	\N
3477966	8972	1998-01-31	PRIJEM	\N	150	29991	UROK	\N	\N
3477967	8972	1998-02-28	PRIJEM	\N	137	37634	UROK	\N	\N
3477968	8972	1998-03-31	PRIJEM	\N	148	36932	UROK	\N	\N
3477969	8972	1998-04-30	PRIJEM	\N	138	34334	UROK	\N	\N
3477970	8972	1998-05-31	PRIJEM	\N	130	33065	UROK	\N	\N
3477971	8972	1998-06-30	PRIJEM	\N	104	18375	UROK	\N	\N
3477972	8972	1998-07-31	PRIJEM	\N	99	30338	UROK	\N	\N
3477973	8972	1998-08-31	PRIJEM	\N	113	29875	UROK	\N	\N
3477974	8972	1998-09-30	PRIJEM	\N	105	26783	UROK	\N	\N
3477975	8972	1998-10-31	PRIJEM	\N	93	24561	UROK	\N	\N
3477976	8972	1998-11-30	PRIJEM	\N	110	30216	UROK	\N	\N
3477977	8972	1998-12-31	PRIJEM	\N	121	29486	UROK	\N	\N
3477978	8982	1993-10-31	PRIJEM	\N	154	96193	UROK	\N	\N
3477979	8982	1993-11-30	PRIJEM	\N	465	58313	UROK	\N	\N
3477980	8982	1993-12-31	PRIJEM	\N	218	42518	UROK	\N	\N
3477981	8982	1994-01-31	PRIJEM	\N	98	18283	UROK	\N	\N
3477982	8982	1994-02-28	PRIJEM	\N	77	22164	UROK	\N	\N
3477983	8982	1994-03-31	PRIJEM	\N	98	25957	UROK	\N	\N
3477984	8982	1994-04-30	PRIJEM	\N	104	26071	UROK	\N	\N
3477985	8982	1994-05-31	PRIJEM	\N	91	23252	UROK	\N	\N
3477986	8982	1994-06-30	PRIJEM	\N	93	24021	UROK	\N	\N
3477987	8982	1994-07-31	PRIJEM	\N	120	49742	UROK	\N	\N
3477988	8982	1994-08-31	PRIJEM	\N	198	41698	UROK	\N	\N
3477989	8982	1994-09-30	PRIJEM	\N	267	62025	UROK	\N	\N
3477990	8982	1994-10-31	PRIJEM	\N	191	36232	UROK	\N	\N
3477991	8982	1994-11-30	PRIJEM	\N	133	28828	UROK	\N	\N
3477992	8982	1994-12-31	PRIJEM	\N	125	46288	UROK	\N	\N
3477993	8982	1995-01-31	PRIJEM	\N	98	23598	UROK	\N	\N
3477994	8982	1995-02-28	PRIJEM	\N	132	41155	UROK	\N	\N
3477995	8982	1995-03-31	PRIJEM	\N	128	29571	UROK	\N	\N
3477996	8982	1995-04-30	PRIJEM	\N	209	39090	UROK	\N	\N
3477997	8982	1995-05-31	PRIJEM	\N	275	62377	UROK	\N	\N
3477998	8982	1995-06-30	PRIJEM	\N	175	25538	UROK	\N	\N
3477999	8982	1995-07-31	PRIJEM	\N	209	41399	UROK	\N	\N
3478000	8982	1995-08-31	PRIJEM	\N	264	80114	UROK	\N	\N
3478001	8982	1995-09-30	PRIJEM	\N	292	57965	UROK	\N	\N
3478002	8982	1995-10-31	PRIJEM	\N	199	46819	UROK	\N	\N
3478003	8982	1995-11-30	PRIJEM	\N	168	46553	UROK	\N	\N
3478004	8982	1995-12-31	PRIJEM	\N	147	32788	UROK	\N	\N
3478005	8982	1996-01-31	PRIJEM	\N	124	29849	UROK	\N	\N
3478006	8982	1996-02-29	PRIJEM	\N	133	34514	UROK	\N	\N
3478007	8982	1996-03-31	PRIJEM	\N	221	95815	UROK	\N	\N
3478008	8982	1996-04-30	PRIJEM	\N	351	92651	UROK	\N	\N
3478009	8982	1996-05-31	PRIJEM	\N	269	64305	UROK	\N	\N
3478010	8982	1996-06-30	PRIJEM	\N	181	41042	UROK	\N	\N
3478011	8982	1996-07-31	PRIJEM	\N	160	49081	UROK	\N	\N
3478012	8982	1996-08-31	PRIJEM	\N	167	44055	UROK	\N	\N
3478013	8982	1996-09-30	PRIJEM	\N	230	78845	UROK	\N	\N
3478014	8982	1996-10-31	PRIJEM	\N	338	81846	UROK	\N	\N
3478015	8982	1996-11-30	PRIJEM	\N	228	54194	UROK	\N	\N
3478016	8982	1996-12-31	PRIJEM	\N	198	51725	UROK	\N	\N
3478017	8982	1997-01-31	PRIJEM	\N	148	73055	UROK	\N	\N
3478018	8982	1997-02-28	PRIJEM	\N	188	35211	UROK	\N	\N
3478019	8982	1997-03-31	PRIJEM	\N	232	72109	UROK	\N	\N
3478020	8982	1997-04-30	PRIJEM	\N	316	77723	UROK	\N	\N
3478021	8982	1997-05-31	PRIJEM	\N	420	62319	UROK	\N	\N
3478022	8982	1997-06-30	PRIJEM	\N	291	67755	UROK	\N	\N
3478023	8982	1997-07-31	PRIJEM	\N	191	48897	UROK	\N	\N
3478024	8982	1997-08-31	PRIJEM	\N	355	100950	UROK	\N	\N
3478025	8982	1997-09-30	PRIJEM	\N	335	82837	UROK	\N	\N
3478026	8982	1997-10-31	PRIJEM	\N	263	66955	UROK	\N	\N
3478027	8982	1997-11-30	PRIJEM	\N	239	85765	UROK	\N	\N
3478028	8982	1997-12-31	PRIJEM	\N	282	72460	UROK	\N	\N
3478029	8982	1998-01-31	PRIJEM	\N	188	37855	UROK	\N	\N
3478030	8982	1998-02-28	PRIJEM	\N	119	36611	UROK	\N	\N
3478031	8982	1998-03-31	PRIJEM	\N	202	87737	UROK	\N	\N
3478032	8982	1998-04-30	PRIJEM	\N	243	50032	UROK	\N	\N
3478033	8982	1998-05-31	PRIJEM	\N	223	49986	UROK	\N	\N
3478034	8982	1998-06-30	PRIJEM	\N	186	57138	UROK	\N	\N
3478035	8982	1998-07-31	PRIJEM	\N	321	106704	UROK	\N	\N
3478036	8982	1998-08-31	PRIJEM	\N	425	66607	UROK	\N	\N
3478037	8982	1998-09-30	PRIJEM	\N	246	72146	UROK	\N	\N
3478038	8982	1998-10-31	PRIJEM	\N	299	88738	UROK	\N	\N
3478039	8982	1998-11-30	PRIJEM	\N	382	108351	UROK	\N	\N
3478040	8982	1998-12-31	PRIJEM	\N	407	91643	UROK	\N	\N
3478041	9006	1994-09-30	PRIJEM	\N	262	75620	UROK	\N	\N
3478042	9006	1994-10-31	PRIJEM	\N	322	102652	UROK	\N	\N
3478043	9006	1994-11-30	PRIJEM	\N	346	96823	UROK	\N	\N
3478044	9006	1994-12-31	PRIJEM	\N	297	74181	UROK	\N	\N
3478045	9006	1995-01-31	PRIJEM	\N	308	40234	UROK	\N	\N
3478046	9006	1995-02-28	PRIJEM	\N	274	67410	UROK	\N	\N
3478047	9006	1995-03-31	PRIJEM	\N	363	102572	UROK	\N	\N
3478048	9006	1995-04-30	PRIJEM	\N	260	75751	UROK	\N	\N
3478049	9006	1995-05-31	PRIJEM	\N	298	87556	UROK	\N	\N
3478050	9006	1995-06-30	PRIJEM	\N	297	46506	UROK	\N	\N
3478051	9006	1995-07-31	PRIJEM	\N	225	53403	UROK	\N	\N
3478052	9006	1995-08-31	PRIJEM	\N	212	33474	UROK	\N	\N
3478053	9006	1995-09-30	PRIJEM	\N	133	43556	UROK	\N	\N
3478054	9006	1995-10-31	PRIJEM	\N	355	55519	UROK	\N	\N
3478055	9006	1995-11-30	PRIJEM	\N	248	38897	UROK	\N	\N
3478056	9006	1995-12-31	PRIJEM	\N	207	33735	UROK	\N	\N
3478057	9006	1996-01-31	PRIJEM	\N	89	20346	UROK	\N	\N
3478058	9006	1996-02-29	PRIJEM	\N	137	25976	UROK	\N	\N
3478059	9006	1996-03-31	PRIJEM	\N	67	18272	UROK	\N	\N
3478060	9006	1996-04-30	PRIJEM	\N	108	27361	UROK	\N	\N
3478061	9006	1996-05-31	PRIJEM	\N	73	21034	UROK	\N	\N
3478062	9006	1996-06-30	PRIJEM	\N	57	26661	UROK	\N	\N
3478063	9006	1996-07-31	PRIJEM	\N	68	18343	UROK	\N	\N
3478064	9006	1996-08-31	PRIJEM	\N	168	78113	UROK	\N	\N
3478065	9006	1996-09-30	PRIJEM	\N	195	29784	UROK	\N	\N
3478066	9006	1996-10-31	PRIJEM	\N	158	72676	UROK	\N	\N
3478067	9006	1996-11-30	PRIJEM	\N	236	67919	UROK	\N	\N
3478068	9006	1996-12-31	PRIJEM	\N	208	38347	UROK	\N	\N
3478069	9006	1997-01-31	PRIJEM	\N	94	21544	UROK	\N	\N
3478070	9006	1997-02-28	PRIJEM	\N	43	13176	UROK	\N	\N
3478071	9006	1997-03-31	PRIJEM	\N	76	31765	UROK	\N	\N
3478072	9006	1997-04-30	PRIJEM	\N	85	23545	UROK	\N	\N
3478073	9006	1997-05-31	PRIJEM	\N	169	33544	UROK	\N	\N
3478074	9006	1997-06-30	PRIJEM	\N	98	51716	UROK	\N	\N
3478075	9006	1997-07-31	PRIJEM	\N	173	82881	UROK	\N	\N
3478076	9006	1997-08-31	PRIJEM	\N	185	65631	UROK	\N	\N
3478077	9006	1997-09-30	PRIJEM	\N	131	23999	UROK	\N	\N
3478078	9006	1997-10-31	PRIJEM	\N	179	35769	UROK	\N	\N
3478079	9006	1997-11-30	PRIJEM	\N	112	49075	UROK	\N	\N
3478080	9006	1997-12-31	PRIJEM	\N	206	111093	UROK	\N	\N
3478081	9006	1998-01-31	PRIJEM	\N	277	50379	UROK	\N	\N
3478082	9006	1998-02-28	PRIJEM	\N	160	62832	UROK	\N	\N
3478083	9006	1998-03-31	PRIJEM	\N	179	60566	UROK	\N	\N
3478084	9006	1998-04-30	PRIJEM	\N	256	67942	UROK	\N	\N
3478085	9006	1998-05-31	PRIJEM	\N	178	65751	UROK	\N	\N
3478086	9006	1998-06-30	PRIJEM	\N	212	104045	UROK	\N	\N
3478087	9006	1998-07-31	PRIJEM	\N	276	48530	UROK	\N	\N
3478088	9006	1998-08-31	PRIJEM	\N	238	85615	UROK	\N	\N
3478089	9006	1998-09-30	PRIJEM	\N	239	42404	UROK	\N	\N
3478090	9006	1998-10-31	PRIJEM	\N	158	49189	UROK	\N	\N
3478091	9006	1998-11-30	PRIJEM	\N	142	40877	UROK	\N	\N
3478092	9006	1998-12-31	PRIJEM	\N	123	77151	UROK	\N	\N
3478194	9024	1996-01-31	PRIJEM	\N	40	15555	UROK	\N	\N
3478195	9024	1996-02-29	PRIJEM	\N	112	35226	UROK	\N	\N
3478196	9024	1996-03-31	PRIJEM	\N	179	48082	UROK	\N	\N
3478197	9024	1996-04-30	PRIJEM	\N	210	52686	UROK	\N	\N
3478198	9024	1996-05-31	PRIJEM	\N	224	55343	UROK	\N	\N
3478199	9024	1996-06-30	PRIJEM	\N	189	27784	UROK	\N	\N
3478200	9024	1996-07-31	PRIJEM	\N	102	28684	UROK	\N	\N
3478201	9024	1996-08-31	PRIJEM	\N	107	28505	UROK	\N	\N
3478202	9024	1996-09-30	PRIJEM	\N	108	29510	UROK	\N	\N
3478203	9024	1996-10-31	PRIJEM	\N	108	29720	UROK	\N	\N
3478204	9024	1996-11-30	PRIJEM	\N	121	33344	UROK	\N	\N
3478205	9024	1996-12-31	PRIJEM	\N	140	26243	UROK	\N	\N
3478206	9024	1997-01-31	PRIJEM	\N	99	17572	UROK	\N	\N
3478207	9024	1997-02-28	PRIJEM	\N	74	20687	UROK	\N	\N
3478208	9024	1997-03-31	PRIJEM	\N	87	18336	UROK	\N	\N
3478209	9024	1997-04-30	PRIJEM	\N	86	21001	UROK	\N	\N
3478210	9024	1997-05-31	PRIJEM	\N	96	22786	UROK	\N	\N
3478211	9024	1997-06-30	PRIJEM	\N	113	25272	UROK	\N	\N
3478212	9024	1997-07-31	PRIJEM	\N	110	22903	UROK	\N	\N
3478213	9024	1997-08-31	PRIJEM	\N	99	19895	UROK	\N	\N
3478214	9024	1997-09-30	PRIJEM	\N	88	16221	UROK	\N	\N
3478215	9024	1997-10-31	PRIJEM	\N	72	17283	UROK	\N	\N
3478216	9024	1997-11-30	PRIJEM	\N	75	18560	UROK	\N	\N
3478217	9024	1997-12-31	PRIJEM	\N	95	21824	UROK	\N	\N
3478218	9024	1998-01-31	PRIJEM	\N	86	24028	UROK	\N	\N
3478219	9024	1998-02-28	PRIJEM	\N	105	29754	UROK	\N	\N
3478220	9024	1998-03-31	PRIJEM	\N	125	29601	UROK	\N	\N
3478221	9024	1998-04-30	PRIJEM	\N	122	29029	UROK	\N	\N
3478222	9024	1998-05-31	PRIJEM	\N	125	33670	UROK	\N	\N
3478223	9024	1998-06-30	PRIJEM	\N	152	28383	UROK	\N	\N
3478224	9024	1998-07-31	PRIJEM	\N	116	27222	UROK	\N	\N
3478225	9024	1998-08-31	PRIJEM	\N	118	33639	UROK	\N	\N
3478226	9024	1998-09-30	PRIJEM	\N	139	36651	UROK	\N	\N
3478227	9024	1998-10-31	PRIJEM	\N	146	36618	UROK	\N	\N
3478228	9024	1998-11-30	PRIJEM	\N	144	36280	UROK	\N	\N
3478229	9024	1998-12-31	PRIJEM	\N	152	37016	UROK	\N	\N
3478230	9030	1995-02-28	PRIJEM	\N	27	19919	UROK	\N	\N
3478231	9030	1995-03-31	PRIJEM	\N	98	31069	UROK	\N	\N
3478232	9030	1995-04-30	PRIJEM	\N	137	36744	UROK	\N	\N
3478233	9030	1995-05-31	PRIJEM	\N	159	41249	UROK	\N	\N
3478234	9030	1995-06-30	PRIJEM	\N	185	38784	UROK	\N	\N
3478235	9030	1995-07-31	PRIJEM	\N	182	37390	UROK	\N	\N
3478236	9030	1995-08-31	PRIJEM	\N	171	38222	UROK	\N	\N
3478237	9030	1995-09-30	PRIJEM	\N	173	36401	UROK	\N	\N
3478238	9030	1995-10-31	PRIJEM	\N	160	37821	UROK	\N	\N
3478239	9030	1995-11-30	PRIJEM	\N	162	37897	UROK	\N	\N
3478240	9030	1995-12-31	PRIJEM	\N	183	41817	UROK	\N	\N
3478241	9030	1996-01-31	PRIJEM	\N	159	33712	UROK	\N	\N
3478242	9030	1996-02-29	PRIJEM	\N	160	37532	UROK	\N	\N
3478243	9030	1996-03-31	PRIJEM	\N	171	45294	UROK	\N	\N
3478244	9030	1996-04-30	PRIJEM	\N	198	47363	UROK	\N	\N
3478245	9030	1996-05-31	PRIJEM	\N	207	50729	UROK	\N	\N
3478246	9030	1996-06-30	PRIJEM	\N	178	19161	UROK	\N	\N
3478247	9030	1996-07-31	PRIJEM	\N	114	33004	UROK	\N	\N
3478248	9030	1996-08-31	PRIJEM	\N	143	37804	UROK	\N	\N
3478249	9030	1996-09-30	PRIJEM	\N	166	42755	UROK	\N	\N
3478250	9030	1996-10-31	PRIJEM	\N	176	45391	UROK	\N	\N
3478251	9030	1996-11-30	PRIJEM	\N	197	48921	UROK	\N	\N
3478252	9030	1996-12-31	PRIJEM	\N	205	52678	UROK	\N	\N
3478253	9030	1997-01-31	PRIJEM	\N	191	43006	UROK	\N	\N
3478254	9030	1997-02-28	PRIJEM	\N	167	42883	UROK	\N	\N
3478255	9030	1997-03-31	PRIJEM	\N	176	47200	UROK	\N	\N
3478256	9030	1997-04-30	PRIJEM	\N	183	44083	UROK	\N	\N
3478257	9030	1997-05-31	PRIJEM	\N	175	46250	UROK	\N	\N
3478258	9030	1997-06-30	PRIJEM	\N	170	28640	UROK	\N	\N
3478259	9030	1997-07-31	PRIJEM	\N	125	35282	UROK	\N	\N
3478260	9030	1997-08-31	PRIJEM	\N	148	40361	UROK	\N	\N
3478261	9030	1997-09-30	PRIJEM	\N	148	38626	UROK	\N	\N
3478262	9030	1997-10-31	PRIJEM	\N	144	38231	UROK	\N	\N
3478263	9030	1997-11-30	PRIJEM	\N	142	34329	UROK	\N	\N
3478264	9030	1997-12-31	PRIJEM	\N	148	39311	UROK	\N	\N
3478265	9030	1998-01-31	PRIJEM	\N	165	39158	UROK	\N	\N
3478266	9030	1998-02-28	PRIJEM	\N	180	48956	UROK	\N	\N
3478267	9030	1998-03-31	PRIJEM	\N	173	42966	UROK	\N	\N
3478268	9030	1998-04-30	PRIJEM	\N	189	50135	UROK	\N	\N
3478269	9030	1998-05-31	PRIJEM	\N	204	54456	UROK	\N	\N
3478270	9030	1998-06-30	PRIJEM	\N	235	56102	UROK	\N	\N
3478271	9030	1998-07-31	PRIJEM	\N	202	52355	UROK	\N	\N
3478272	9030	1998-08-31	PRIJEM	\N	200	53603	UROK	\N	\N
3478273	9030	1998-09-30	PRIJEM	\N	206	55227	UROK	\N	\N
3478274	9030	1998-10-31	PRIJEM	\N	210	56430	UROK	\N	\N
3478275	9030	1998-11-30	PRIJEM	\N	207	55554	UROK	\N	\N
3478276	9030	1998-12-31	PRIJEM	\N	218	58225	UROK	\N	\N
3478277	9031	1997-01-31	PRIJEM	\N	12	17312	UROK	\N	\N
3478278	9031	1997-02-28	PRIJEM	\N	72	24693	UROK	\N	\N
3478279	9031	1997-03-31	PRIJEM	\N	88	56145	UROK	\N	\N
3478280	9031	1997-04-30	PRIJEM	\N	265	68617	UROK	\N	\N
3478281	9031	1997-05-31	PRIJEM	\N	335	103541	UROK	\N	\N
3478282	9031	1997-06-30	PRIJEM	\N	187	29468	UROK	\N	\N
3478283	9031	1997-07-31	PRIJEM	\N	98	23196	UROK	\N	\N
3478284	9031	1997-08-31	PRIJEM	\N	190	68787	UROK	\N	\N
3478285	9031	1997-09-30	PRIJEM	\N	222	44889	UROK	\N	\N
3478286	9031	1997-10-31	PRIJEM	\N	150	31091	UROK	\N	\N
3478287	9031	1997-11-30	PRIJEM	\N	108	24786	UROK	\N	\N
3478288	9031	1997-12-31	PRIJEM	\N	196	78919	UROK	\N	\N
3478289	9031	1998-01-31	PRIJEM	\N	201	26797	UROK	\N	\N
3478290	9031	1998-02-28	PRIJEM	\N	139	54148	UROK	\N	\N
3478291	9031	1998-03-31	PRIJEM	\N	159	32788	UROK	\N	\N
3478292	9031	1998-04-30	PRIJEM	\N	98	21556	UROK	\N	\N
3478293	9031	1998-05-31	PRIJEM	\N	81	20773	UROK	\N	\N
3478294	9031	1998-06-30	PRIJEM	\N	69	16790	UROK	\N	\N
3478295	9031	1998-07-31	PRIJEM	\N	66	17398	UROK	\N	\N
3478296	9031	1998-08-31	PRIJEM	\N	60	15383	UROK	\N	\N
3478297	9031	1998-09-30	PRIJEM	\N	65	17527	UROK	\N	\N
3478298	9031	1998-10-31	PRIJEM	\N	69	18227	UROK	\N	\N
3478299	9031	1998-11-30	PRIJEM	\N	78	20099	UROK	\N	\N
3478300	9031	1998-12-31	PRIJEM	\N	71	18017	UROK	\N	\N
3478301	9034	1993-07-31	PRIJEM	\N	13	24517	UROK	\N	\N
3478302	9034	1993-08-31	PRIJEM	\N	108	33657	UROK	\N	\N
3478303	9034	1993-09-30	PRIJEM	\N	143	39126	UROK	\N	\N
3478304	9034	1993-10-31	PRIJEM	\N	163	40494	UROK	\N	\N
3478305	9034	1993-11-30	PRIJEM	\N	197	35674	UROK	\N	\N
3478306	9034	1993-12-31	PRIJEM	\N	149	30275	UROK	\N	\N
3478307	9034	1994-01-31	PRIJEM	\N	141	30205	UROK	\N	\N
3478308	9034	1994-02-28	PRIJEM	\N	138	28987	UROK	\N	\N
3478309	9034	1994-03-31	PRIJEM	\N	135	28234	UROK	\N	\N
3478310	9034	1994-04-30	PRIJEM	\N	134	31975	UROK	\N	\N
3478311	9034	1994-05-31	PRIJEM	\N	132	30984	UROK	\N	\N
3478312	9034	1994-06-30	PRIJEM	\N	158	35203	UROK	\N	\N
3478313	9034	1994-07-31	PRIJEM	\N	136	29717	UROK	\N	\N
3478314	9034	1994-08-31	PRIJEM	\N	125	32575	UROK	\N	\N
3478315	9034	1994-09-30	PRIJEM	\N	145	36291	UROK	\N	\N
3478316	9034	1994-10-31	PRIJEM	\N	122	27209	UROK	\N	\N
3478317	9034	1994-11-30	PRIJEM	\N	120	28856	UROK	\N	\N
3478318	9034	1994-12-31	PRIJEM	\N	129	32944	UROK	\N	\N
3478319	9034	1995-01-31	PRIJEM	\N	133	35261	UROK	\N	\N
3478320	9034	1995-02-28	PRIJEM	\N	122	29869	UROK	\N	\N
3478321	9034	1995-03-31	PRIJEM	\N	106	29115	UROK	\N	\N
3478322	9034	1995-04-30	PRIJEM	\N	106	24578	UROK	\N	\N
3478323	9034	1995-05-31	PRIJEM	\N	107	29921	UROK	\N	\N
3478324	9034	1995-06-30	PRIJEM	\N	148	40128	UROK	\N	\N
3478325	9034	1995-07-31	PRIJEM	\N	149	38874	UROK	\N	\N
3478326	9034	1995-08-31	PRIJEM	\N	155	42445	UROK	\N	\N
3478327	9034	1995-09-30	PRIJEM	\N	165	42966	UROK	\N	\N
3478328	9034	1995-10-31	PRIJEM	\N	167	41421	UROK	\N	\N
3478329	9034	1995-11-30	PRIJEM	\N	128	26330	UROK	\N	\N
3478330	9034	1995-12-31	PRIJEM	\N	130	39918	UROK	\N	\N
3478331	9034	1996-01-31	PRIJEM	\N	161	42525	UROK	\N	\N
3478332	9034	1996-02-29	PRIJEM	\N	148	44263	UROK	\N	\N
3478333	9034	1996-03-31	PRIJEM	\N	160	42679	UROK	\N	\N
3478334	9034	1996-04-30	PRIJEM	\N	162	47857	UROK	\N	\N
3478335	9034	1996-05-31	PRIJEM	\N	186	41052	UROK	\N	\N
3478336	9034	1996-06-30	PRIJEM	\N	182	45920	UROK	\N	\N
3478337	9034	1996-07-31	PRIJEM	\N	167	41877	UROK	\N	\N
3478338	9034	1996-08-31	PRIJEM	\N	159	41736	UROK	\N	\N
3478339	9034	1996-09-30	PRIJEM	\N	159	46020	UROK	\N	\N
3478340	9034	1996-10-31	PRIJEM	\N	167	30989	UROK	\N	\N
3478341	9034	1996-11-30	PRIJEM	\N	110	34386	UROK	\N	\N
3478342	9034	1996-12-31	PRIJEM	\N	158	51682	UROK	\N	\N
3478343	9034	1997-01-31	PRIJEM	\N	188	45726	UROK	\N	\N
3478344	9034	1997-02-28	PRIJEM	\N	177	46940	UROK	\N	\N
3478345	9034	1997-03-31	PRIJEM	\N	178	49970	UROK	\N	\N
3478346	9034	1997-04-30	PRIJEM	\N	140	30085	UROK	\N	\N
3478347	9034	1997-05-31	PRIJEM	\N	118	36079	UROK	\N	\N
3478348	9034	1997-06-30	PRIJEM	\N	168	53973	UROK	\N	\N
3478349	9034	1997-07-31	PRIJEM	\N	158	36039	UROK	\N	\N
3478350	9034	1997-08-31	PRIJEM	\N	135	40930	UROK	\N	\N
3478351	9034	1997-09-30	PRIJEM	\N	178	48169	UROK	\N	\N
3478352	9034	1997-10-31	PRIJEM	\N	172	41155	UROK	\N	\N
3478353	9034	1997-11-30	PRIJEM	\N	161	50075	UROK	\N	\N
3478354	9034	1997-12-31	PRIJEM	\N	192	38391	UROK	\N	\N
3478355	9034	1998-01-31	PRIJEM	\N	123	38050	UROK	\N	\N
3478356	9034	1998-02-28	PRIJEM	\N	145	44314	UROK	\N	\N
3478357	9034	1998-03-31	PRIJEM	\N	136	36916	UROK	\N	\N
3478358	9034	1998-04-30	PRIJEM	\N	125	34131	UROK	\N	\N
3478359	9034	1998-05-31	PRIJEM	\N	140	40439	UROK	\N	\N
3478360	9034	1998-06-30	PRIJEM	\N	164	55962	UROK	\N	\N
3478361	9034	1998-07-31	PRIJEM	\N	183	47786	UROK	\N	\N
3478362	9034	1998-08-31	PRIJEM	\N	176	52192	UROK	\N	\N
3478363	9034	1998-09-30	PRIJEM	\N	163	45594	UROK	\N	\N
3478364	9034	1998-10-31	PRIJEM	\N	168	48684	UROK	\N	\N
3478365	9034	1998-11-30	PRIJEM	\N	160	38604	UROK	\N	\N
3478366	9034	1998-12-31	PRIJEM	\N	156	38668	UROK	\N	\N
3478367	9037	1996-11-30	PRIJEM	\N	26	18872	UROK	\N	\N
3478368	9037	1996-12-31	PRIJEM	\N	103	35455	UROK	\N	\N
3478369	9037	1997-01-31	PRIJEM	\N	151	37984	UROK	\N	\N
3478370	9037	1997-02-28	PRIJEM	\N	151	34002	UROK	\N	\N
3478371	9037	1997-03-31	PRIJEM	\N	141	31464	UROK	\N	\N
3478372	9037	1997-04-30	PRIJEM	\N	116	23402	UROK	\N	\N
3478373	9037	1997-05-31	PRIJEM	\N	82	19680	UROK	\N	\N
3478374	9037	1997-06-30	PRIJEM	\N	81	23863	UROK	\N	\N
3478375	9037	1997-07-31	PRIJEM	\N	97	25912	UROK	\N	\N
3478376	9037	1997-08-31	PRIJEM	\N	116	31487	UROK	\N	\N
3478377	9037	1997-09-30	PRIJEM	\N	120	31468	UROK	\N	\N
3478378	9037	1997-10-31	PRIJEM	\N	136	34962	UROK	\N	\N
3478379	9037	1997-11-30	PRIJEM	\N	123	31400	UROK	\N	\N
3478380	9037	1997-12-31	PRIJEM	\N	133	36235	UROK	\N	\N
3478381	9037	1998-01-31	PRIJEM	\N	121	23034	UROK	\N	\N
3478382	9037	1998-02-28	PRIJEM	\N	117	32627	UROK	\N	\N
3478383	9037	1998-03-31	PRIJEM	\N	128	36327	UROK	\N	\N
3478384	9037	1998-04-30	PRIJEM	\N	151	37028	UROK	\N	\N
3478385	9037	1998-05-31	PRIJEM	\N	159	40546	UROK	\N	\N
3478386	9037	1998-06-30	PRIJEM	\N	181	49135	UROK	\N	\N
3478387	9037	1998-07-31	PRIJEM	\N	202	53296	UROK	\N	\N
3478388	9037	1998-08-31	PRIJEM	\N	205	53761	UROK	\N	\N
3478389	9037	1998-09-30	PRIJEM	\N	222	55839	UROK	\N	\N
3478390	9037	1998-10-31	PRIJEM	\N	222	56869	UROK	\N	\N
3478391	9037	1998-11-30	PRIJEM	\N	219	55605	UROK	\N	\N
3478392	9037	1998-12-31	PRIJEM	\N	225	58245	UROK	\N	\N
3478622	9093	1993-07-31	PRIJEM	\N	47	21789	UROK	\N	\N
3478623	9093	1993-08-31	PRIJEM	\N	118	34166	UROK	\N	\N
3478624	9093	1993-09-30	PRIJEM	\N	151	38459	UROK	\N	\N
3478625	9093	1993-10-31	PRIJEM	\N	162	39637	UROK	\N	\N
3478626	9093	1993-11-30	PRIJEM	\N	166	35618	UROK	\N	\N
3478627	9093	1993-12-31	PRIJEM	\N	168	35877	UROK	\N	\N
3478628	9093	1994-01-31	PRIJEM	\N	93	19482	UROK	\N	\N
3478629	9093	1994-02-28	PRIJEM	\N	94	17795	UROK	\N	\N
3478630	9093	1994-03-31	PRIJEM	\N	110	28392	UROK	\N	\N
3478631	9093	1994-04-30	PRIJEM	\N	133	32052	UROK	\N	\N
3478632	9093	1994-05-31	PRIJEM	\N	144	29376	UROK	\N	\N
3478633	9093	1994-06-30	PRIJEM	\N	91	12896	UROK	\N	\N
3478634	9093	1994-07-31	PRIJEM	\N	95	24567	UROK	\N	\N
3478635	9093	1994-08-31	PRIJEM	\N	111	24293	UROK	\N	\N
3478636	9093	1994-09-30	PRIJEM	\N	116	27373	UROK	\N	\N
3478637	9093	1994-10-31	PRIJEM	\N	133	30972	UROK	\N	\N
3478638	9093	1994-11-30	PRIJEM	\N	130	32148	UROK	\N	\N
3478639	9093	1994-12-31	PRIJEM	\N	144	35480	UROK	\N	\N
3478640	9093	1995-01-31	PRIJEM	\N	128	26533	UROK	\N	\N
3478641	9093	1995-02-28	PRIJEM	\N	142	37821	UROK	\N	\N
3478642	9093	1995-03-31	PRIJEM	\N	139	33359	UROK	\N	\N
3478643	9093	1995-04-30	PRIJEM	\N	140	35583	UROK	\N	\N
3478644	9093	1995-05-31	PRIJEM	\N	148	37136	UROK	\N	\N
3478645	9093	1995-06-30	PRIJEM	\N	216	57845	UROK	\N	\N
3478646	9093	1995-07-31	PRIJEM	\N	225	55815	UROK	\N	\N
3478647	9093	1995-08-31	PRIJEM	\N	231	58171	UROK	\N	\N
3478648	9093	1995-09-30	PRIJEM	\N	228	57049	UROK	\N	\N
3478649	9093	1995-10-31	PRIJEM	\N	218	56463	UROK	\N	\N
3478650	9093	1995-11-30	PRIJEM	\N	209	51632	UROK	\N	\N
3478651	9093	1995-12-31	PRIJEM	\N	232	59606	UROK	\N	\N
3478652	9093	1996-01-31	PRIJEM	\N	195	39725	UROK	\N	\N
3478653	9093	1996-02-29	PRIJEM	\N	171	41048	UROK	\N	\N
3478654	9093	1996-03-31	PRIJEM	\N	180	48222	UROK	\N	\N
3478655	9093	1996-04-30	PRIJEM	\N	202	53564	UROK	\N	\N
3478656	9093	1996-05-31	PRIJEM	\N	196	51024	UROK	\N	\N
3478657	9093	1996-06-30	PRIJEM	\N	221	44643	UROK	\N	\N
3478658	9093	1996-07-31	PRIJEM	\N	180	40768	UROK	\N	\N
3478659	9093	1996-08-31	PRIJEM	\N	187	41864	UROK	\N	\N
3478660	9093	1996-09-30	PRIJEM	\N	188	39997	UROK	\N	\N
3478661	9093	1996-10-31	PRIJEM	\N	181	41611	UROK	\N	\N
3478662	9093	1996-11-30	PRIJEM	\N	186	43007	UROK	\N	\N
3478663	9093	1996-12-31	PRIJEM	\N	201	46363	UROK	\N	\N
3478664	9093	1997-01-31	PRIJEM	\N	167	41956	UROK	\N	\N
3478665	9093	1997-02-28	PRIJEM	\N	183	43883	UROK	\N	\N
3478666	9093	1997-03-31	PRIJEM	\N	190	44256	UROK	\N	\N
3478667	9093	1997-04-30	PRIJEM	\N	193	49093	UROK	\N	\N
3478668	9093	1997-05-31	PRIJEM	\N	211	53348	UROK	\N	\N
3478669	9093	1997-06-30	PRIJEM	\N	226	51470	UROK	\N	\N
3478670	9093	1997-07-31	PRIJEM	\N	219	57321	UROK	\N	\N
3478671	9093	1997-08-31	PRIJEM	\N	232	59547	UROK	\N	\N
3478672	9093	1997-09-30	PRIJEM	\N	245	61536	UROK	\N	\N
3478673	9093	1997-10-31	PRIJEM	\N	254	64374	UROK	\N	\N
3478674	9093	1997-11-30	PRIJEM	\N	266	69088	UROK	\N	\N
3478675	9093	1997-12-31	PRIJEM	\N	304	76421	UROK	\N	\N
3478676	9093	1998-01-31	PRIJEM	\N	258	60544	UROK	\N	\N
3478677	9093	1998-02-28	PRIJEM	\N	243	64175	UROK	\N	\N
3478678	9093	1998-03-31	PRIJEM	\N	251	61066	UROK	\N	\N
3478679	9093	1998-04-30	PRIJEM	\N	235	57725	UROK	\N	\N
3478680	9093	1998-05-31	PRIJEM	\N	208	50377	UROK	\N	\N
3478681	9093	1998-06-30	PRIJEM	\N	216	55378	UROK	\N	\N
3478682	9093	1998-07-31	PRIJEM	\N	209	53740	UROK	\N	\N
3478683	9093	1998-08-31	PRIJEM	\N	199	52454	UROK	\N	\N
3478684	9093	1998-09-30	PRIJEM	\N	189	50088	UROK	\N	\N
3478685	9093	1998-10-31	PRIJEM	\N	174	45495	UROK	\N	\N
3478686	9093	1998-11-30	PRIJEM	\N	161	45075	UROK	\N	\N
3478687	9093	1998-12-31	PRIJEM	\N	192	58903	UROK	\N	\N
3478754	9104	1994-01-31	PRIJEM	\N	23	28801	UROK	\N	\N
3478755	9104	1994-02-28	PRIJEM	\N	155	60312	UROK	\N	\N
3478756	9104	1994-03-31	PRIJEM	\N	250	40762	UROK	\N	\N
3478757	9104	1994-04-30	PRIJEM	\N	236	59416	UROK	\N	\N
3478758	9104	1994-05-31	PRIJEM	\N	257	78040	UROK	\N	\N
3478759	9104	1994-06-30	PRIJEM	\N	287	66426	UROK	\N	\N
3478760	9104	1994-07-31	PRIJEM	\N	274	58091	UROK	\N	\N
3478761	9104	1994-08-31	PRIJEM	\N	305	63706	UROK	\N	\N
3478762	9104	1994-09-30	PRIJEM	\N	198	33997	UROK	\N	\N
3478763	9104	1994-10-31	PRIJEM	\N	184	52444	UROK	\N	\N
3478764	9104	1994-11-30	PRIJEM	\N	250	100691	UROK	\N	\N
3478765	9104	1994-12-31	PRIJEM	\N	350	90026	UROK	\N	\N
3478766	9104	1995-01-31	PRIJEM	\N	247	31764	UROK	\N	\N
3478767	9104	1995-02-28	PRIJEM	\N	117	27895	UROK	\N	\N
3478768	9104	1995-03-31	PRIJEM	\N	139	47128	UROK	\N	\N
3478769	9104	1995-04-30	PRIJEM	\N	162	34353	UROK	\N	\N
3478770	9104	1995-05-31	PRIJEM	\N	121	27874	UROK	\N	\N
3478771	9104	1995-06-30	PRIJEM	\N	113	47639	UROK	\N	\N
3478772	9104	1995-07-31	PRIJEM	\N	243	42816	UROK	\N	\N
3478773	9104	1995-08-31	PRIJEM	\N	141	31257	UROK	\N	\N
3478774	9104	1995-09-30	PRIJEM	\N	146	33967	UROK	\N	\N
3478775	9104	1995-10-31	PRIJEM	\N	117	28410	UROK	\N	\N
3478776	9104	1995-11-30	PRIJEM	\N	99	25426	UROK	\N	\N
3478777	9104	1995-12-31	PRIJEM	\N	115	35856	UROK	\N	\N
3478778	9104	1996-01-31	PRIJEM	\N	140	31385	UROK	\N	\N
3478779	9104	1996-02-29	PRIJEM	\N	161	46162	UROK	\N	\N
3478780	9104	1996-03-31	PRIJEM	\N	191	93303	UROK	\N	\N
3478781	9104	1996-04-30	PRIJEM	\N	319	114147	UROK	\N	\N
3478782	9104	1996-05-31	PRIJEM	\N	335	72988	UROK	\N	\N
3478783	9104	1996-06-30	PRIJEM	\N	236	33266	UROK	\N	\N
3478784	9104	1996-07-31	PRIJEM	\N	286	95276	UROK	\N	\N
3478785	9104	1996-08-31	PRIJEM	\N	197	35318	UROK	\N	\N
3478786	9104	1996-09-30	PRIJEM	\N	192	62229	UROK	\N	\N
3478787	9104	1996-10-31	PRIJEM	\N	266	105267	UROK	\N	\N
3478788	9104	1996-11-30	PRIJEM	\N	333	75422	UROK	\N	\N
3478789	9104	1996-12-31	PRIJEM	\N	236	65947	UROK	\N	\N
3478790	9104	1997-01-31	PRIJEM	\N	155	35634	UROK	\N	\N
3478791	9104	1997-02-28	PRIJEM	\N	175	45787	UROK	\N	\N
3478792	9104	1997-03-31	PRIJEM	\N	176	74133	UROK	\N	\N
3478793	9104	1997-04-30	PRIJEM	\N	261	98920	UROK	\N	\N
3478794	9104	1997-05-31	PRIJEM	\N	291	63738	UROK	\N	\N
3478795	9104	1997-06-30	PRIJEM	\N	230	50521	UROK	\N	\N
3478796	9104	1997-07-31	PRIJEM	\N	212	70063	UROK	\N	\N
3478797	9104	1997-08-31	PRIJEM	\N	183	49094	UROK	\N	\N
3478798	9104	1997-09-30	PRIJEM	\N	231	94502	UROK	\N	\N
3478799	9104	1997-10-31	PRIJEM	\N	332	119169	UROK	\N	\N
3478800	9104	1997-11-30	PRIJEM	\N	253	36125	UROK	\N	\N
3478801	9104	1997-12-31	PRIJEM	\N	208	91502	UROK	\N	\N
3478802	9104	1998-01-31	PRIJEM	\N	205	54904	UROK	\N	\N
3478803	9104	1998-02-28	PRIJEM	\N	192	51930	UROK	\N	\N
3478804	9104	1998-03-31	PRIJEM	\N	214	62149	UROK	\N	\N
3478805	9104	1998-04-30	PRIJEM	\N	215	50587	UROK	\N	\N
3478806	9104	1998-05-31	PRIJEM	\N	148	44616	UROK	\N	\N
3478807	9104	1998-06-30	PRIJEM	\N	119	41535	UROK	\N	\N
3478808	9104	1998-07-31	PRIJEM	\N	133	43484	UROK	\N	\N
3478809	9104	1998-08-31	PRIJEM	\N	151	50461	UROK	\N	\N
3478810	9104	1998-09-30	PRIJEM	\N	166	45913	UROK	\N	\N
3478811	9104	1998-10-31	PRIJEM	\N	145	41146	UROK	\N	\N
3478812	9104	1998-11-30	PRIJEM	\N	132	44690	UROK	\N	\N
3478813	9104	1998-12-31	PRIJEM	\N	124	39091	UROK	\N	\N
3478934	9138	1996-07-31	PRIJEM	\N	26	28105	UROK	\N	\N
3478935	9138	1996-09-30	PRIJEM	\N	117	29722	UROK	\N	\N
3478936	9138	1996-10-31	PRIJEM	\N	169	52577	UROK	\N	\N
3478937	9138	1996-11-30	PRIJEM	\N	216	51856	UROK	\N	\N
3478938	9138	1996-12-31	PRIJEM	\N	282	87109	UROK	\N	\N
3478939	9138	1997-01-31	PRIJEM	\N	194	24248	UROK	\N	\N
3478940	9138	1997-02-28	PRIJEM	\N	71	17265	UROK	\N	\N
3478941	9138	1997-03-31	PRIJEM	\N	55	11520	UROK	\N	\N
3478942	9138	1997-04-30	PRIJEM	\N	49	13770	UROK	\N	\N
3478943	9138	1997-04-30	VYDAJ	VYBER	0	13755	SANKC. UROK	\N	\N
3478944	9138	1997-05-31	PRIJEM	\N	23	1593	UROK	\N	\N
3478945	9138	1997-06-30	PRIJEM	\N	3	-1083	UROK	\N	\N
3478946	9138	1997-06-30	VYDAJ	VYBER	1	-1080	SANKC. UROK	\N	\N
3478947	9138	1997-07-31	PRIJEM	\N	2	13807	UROK	\N	\N
3478948	9138	1997-07-31	VYDAJ	VYBER	18	13770	SANKC. UROK	\N	\N
3478949	9138	1997-08-31	PRIJEM	\N	58	15128	UROK	\N	\N
3478950	9138	1997-09-30	PRIJEM	\N	60	14826	UROK	\N	\N
3478951	9138	1997-10-31	PRIJEM	\N	51	11872	UROK	\N	\N
3478952	9138	1997-11-30	PRIJEM	\N	43	10279	UROK	\N	\N
3478953	9138	1997-12-31	PRIJEM	\N	33	7638	UROK	\N	\N
3478954	9138	1998-01-31	PRIJEM	\N	99	36215	UROK	\N	\N
3478955	9138	1998-02-28	PRIJEM	\N	88	16001	UROK	\N	\N
3478956	9138	1998-03-31	PRIJEM	\N	125	33694	UROK	\N	\N
3478957	9138	1998-04-30	PRIJEM	\N	134	31157	UROK	\N	\N
3478958	9138	1998-05-31	PRIJEM	\N	169	55443	UROK	\N	\N
3478959	9138	1998-06-30	PRIJEM	\N	175	32641	UROK	\N	\N
3478960	9138	1998-07-31	PRIJEM	\N	237	94104	UROK	\N	\N
3478961	9138	1998-08-31	PRIJEM	\N	379	92721	UROK	\N	\N
3478962	9138	1998-09-30	PRIJEM	\N	272	67213	UROK	\N	\N
3478963	9138	1998-10-31	PRIJEM	\N	147	44977	UROK	\N	\N
3478964	9138	1998-11-30	PRIJEM	\N	98	19138	UROK	\N	\N
3478965	9138	1998-12-31	PRIJEM	\N	62	24791	UROK	\N	\N
3478966	9140	1997-09-30	PRIJEM	\N	29	15038	UROK	\N	\N
3478967	9140	1997-10-31	PRIJEM	\N	85	26159	UROK	\N	\N
3478968	9140	1997-11-30	PRIJEM	\N	121	32238	UROK	\N	\N
3478969	9140	1997-12-31	PRIJEM	\N	137	33851	UROK	\N	\N
3478970	9140	1998-01-31	PRIJEM	\N	115	14023	UROK	\N	\N
3478971	9140	1998-02-28	PRIJEM	\N	77	16110	UROK	\N	\N
3478972	9140	1998-03-31	PRIJEM	\N	79	16714	UROK	\N	\N
3478973	9140	1998-04-30	PRIJEM	\N	85	17955	UROK	\N	\N
3478974	9140	1998-05-31	PRIJEM	\N	83	17979	UROK	\N	\N
3478975	9140	1998-06-30	PRIJEM	\N	99	15119	UROK	\N	\N
3478976	9140	1998-07-31	PRIJEM	\N	81	18325	UROK	\N	\N
3478977	9140	1998-08-31	PRIJEM	\N	91	21272	UROK	\N	\N
3478978	9140	1998-09-30	PRIJEM	\N	93	19409	UROK	\N	\N
3478979	9140	1998-10-31	PRIJEM	\N	104	16715	UROK	\N	\N
3478980	9140	1998-11-30	PRIJEM	\N	73	15180	UROK	\N	\N
3478981	9140	1998-12-31	PRIJEM	\N	70	13477	UROK	\N	\N
3478982	9153	1997-01-31	PRIJEM	\N	36	12599	UROK	\N	\N
3478983	9153	1997-02-28	PRIJEM	\N	82	23340	UROK	\N	\N
3478984	9153	1997-03-31	PRIJEM	\N	115	30194	UROK	\N	\N
3478985	9153	1997-04-30	PRIJEM	\N	133	33276	UROK	\N	\N
3478986	9153	1997-05-31	PRIJEM	\N	137	32534	UROK	\N	\N
3478987	9153	1997-06-30	PRIJEM	\N	139	33385	UROK	\N	\N
3478988	9153	1997-07-31	PRIJEM	\N	122	27518	UROK	\N	\N
3478989	9153	1997-08-31	PRIJEM	\N	127	31716	UROK	\N	\N
3478990	9153	1997-09-30	PRIJEM	\N	141	34863	UROK	\N	\N
3478991	9153	1997-10-31	PRIJEM	\N	147	36134	UROK	\N	\N
3478992	9153	1997-11-30	PRIJEM	\N	139	33339	UROK	\N	\N
3478993	9153	1997-12-31	PRIJEM	\N	157	37369	UROK	\N	\N
3478994	9153	1998-01-31	PRIJEM	\N	144	32659	UROK	\N	\N
3478995	9153	1998-02-28	PRIJEM	\N	156	37448	UROK	\N	\N
3478996	9153	1998-03-31	PRIJEM	\N	158	38918	UROK	\N	\N
3478997	9153	1998-04-30	PRIJEM	\N	182	46538	UROK	\N	\N
3478998	9153	1998-05-31	PRIJEM	\N	194	48481	UROK	\N	\N
3478999	9153	1998-06-30	PRIJEM	\N	189	46467	UROK	\N	\N
3479000	9153	1998-07-31	PRIJEM	\N	206	52381	UROK	\N	\N
3479001	9153	1998-08-31	PRIJEM	\N	212	53261	UROK	\N	\N
3479002	9153	1998-09-30	PRIJEM	\N	219	49900	UROK	\N	\N
3479003	9153	1998-10-31	PRIJEM	\N	204	51759	UROK	\N	\N
3479004	9153	1998-11-30	PRIJEM	\N	208	52620	UROK	\N	\N
3479005	9153	1998-12-31	PRIJEM	\N	219	54089	UROK	\N	\N
3479006	9156	1997-10-31	PRIJEM	\N	51	21192	UROK	\N	\N
3479007	9156	1997-11-30	PRIJEM	\N	148	69554	UROK	\N	\N
3479008	9156	1997-12-31	PRIJEM	\N	289	44142	UROK	\N	\N
3479009	9156	1998-01-31	PRIJEM	\N	289	32731	UROK	\N	\N
3479010	9156	1998-02-28	PRIJEM	\N	289	24320	UROK	\N	\N
3479011	9156	1998-03-31	PRIJEM	\N	216	43610	UROK	\N	\N
3479012	9156	1998-04-30	PRIJEM	\N	180	27189	UROK	\N	\N
3479013	9156	1998-05-31	PRIJEM	\N	180	16669	UROK	\N	\N
3479014	9156	1998-06-30	PRIJEM	\N	167	27703	UROK	\N	\N
3479015	9156	1998-07-31	PRIJEM	\N	71	9130	UROK	\N	\N
3479016	9156	1998-08-31	PRIJEM	\N	93	40087	UROK	\N	\N
3479017	9156	1998-09-30	PRIJEM	\N	154	34184	UROK	\N	\N
3479018	9156	1998-10-31	PRIJEM	\N	59	28615	UROK	\N	\N
3479019	9156	1998-11-30	PRIJEM	\N	81	17582	UROK	\N	\N
3479020	9156	1998-12-31	PRIJEM	\N	51	31634	UROK	\N	\N
3479021	9159	1996-08-31	PRIJEM	\N	57	17030	UROK	\N	\N
3479022	9159	1996-09-30	PRIJEM	\N	140	37889	UROK	\N	\N
3479023	9159	1996-10-31	PRIJEM	\N	186	47165	UROK	\N	\N
3479024	9159	1996-11-30	PRIJEM	\N	153	53237	UROK	\N	\N
3479025	9159	1996-12-31	PRIJEM	\N	223	41250	UROK	\N	\N
3479026	9159	1997-01-31	PRIJEM	\N	111	21523	UROK	\N	\N
3479027	9159	1997-02-28	PRIJEM	\N	109	28867	UROK	\N	\N
3479028	9159	1997-03-31	PRIJEM	\N	135	32238	UROK	\N	\N
3479029	9159	1997-04-30	PRIJEM	\N	151	32608	UROK	\N	\N
3479030	9159	1997-05-31	PRIJEM	\N	148	27696	UROK	\N	\N
3479031	9159	1997-06-30	PRIJEM	\N	157	31736	UROK	\N	\N
3479032	9159	1997-07-31	PRIJEM	\N	147	33745	UROK	\N	\N
3479033	9159	1997-08-31	PRIJEM	\N	154	32883	UROK	\N	\N
3479034	9159	1997-09-30	PRIJEM	\N	145	37347	UROK	\N	\N
3479035	9159	1997-10-31	PRIJEM	\N	173	40739	UROK	\N	\N
3479036	9159	1997-11-30	PRIJEM	\N	179	37666	UROK	\N	\N
3479037	9159	1997-12-31	PRIJEM	\N	190	47724	UROK	\N	\N
3479038	9159	1998-01-31	PRIJEM	\N	168	34351	UROK	\N	\N
3479039	9159	1998-02-28	PRIJEM	\N	158	41651	UROK	\N	\N
3479040	9159	1998-03-31	PRIJEM	\N	178	44489	UROK	\N	\N
3479041	9159	1998-04-30	PRIJEM	\N	194	48154	UROK	\N	\N
3479042	9159	1998-05-31	PRIJEM	\N	205	48742	UROK	\N	\N
3479043	9159	1998-06-30	PRIJEM	\N	198	39153	UROK	\N	\N
3479044	9159	1998-07-31	PRIJEM	\N	153	40785	UROK	\N	\N
3479045	9159	1998-08-31	PRIJEM	\N	180	48335	UROK	\N	\N
3479046	9159	1998-09-30	PRIJEM	\N	199	46957	UROK	\N	\N
3479047	9159	1998-10-31	PRIJEM	\N	193	46612	UROK	\N	\N
3479048	9159	1998-11-30	PRIJEM	\N	198	50180	UROK	\N	\N
3479049	9159	1998-12-31	PRIJEM	\N	235	62818	UROK	\N	\N
3479069	9167	1997-04-30	PRIJEM	\N	10	7517	UROK	\N	\N
3479070	9167	1997-05-31	PRIJEM	\N	31	17758	UROK	\N	\N
3479071	9167	1997-06-30	PRIJEM	\N	31	22989	UROK	\N	\N
3479072	9167	1997-07-31	PRIJEM	\N	34	25326	UROK	\N	\N
3479073	9167	1997-08-31	PRIJEM	\N	227	56925	UROK	\N	\N
3479074	9167	1997-09-30	PRIJEM	\N	270	55808	UROK	\N	\N
3479075	9167	1997-10-31	PRIJEM	\N	133	19798	UROK	\N	\N
3479076	9167	1997-11-30	PRIJEM	\N	286	55125	UROK	\N	\N
3479077	9167	1997-12-31	PRIJEM	\N	134	23373	UROK	\N	\N
3479078	9167	1998-01-31	PRIJEM	\N	86	23243	UROK	\N	\N
3479079	9167	1998-02-28	PRIJEM	\N	70	17187	UROK	\N	\N
3479080	9167	1998-03-31	PRIJEM	\N	143	35957	UROK	\N	\N
3479081	9167	1998-04-30	PRIJEM	\N	130	33437	UROK	\N	\N
3479082	9167	1998-05-31	PRIJEM	\N	115	36300	UROK	\N	\N
3479083	9167	1998-06-30	PRIJEM	\N	166	35570	UROK	\N	\N
3479084	9167	1998-07-31	PRIJEM	\N	152	45878	UROK	\N	\N
3479085	9167	1998-08-31	PRIJEM	\N	167	70394	UROK	\N	\N
3479086	9167	1998-09-30	PRIJEM	\N	231	42471	UROK	\N	\N
3479087	9167	1998-10-31	PRIJEM	\N	333	78710	UROK	\N	\N
3479088	9167	1998-11-30	PRIJEM	\N	333	57923	UROK	\N	\N
3479089	9167	1998-12-31	PRIJEM	\N	293	71562	UROK	\N	\N
3479103	9179	1997-02-28	PRIJEM	\N	30	22032	UROK	\N	\N
3479104	9179	1997-03-31	PRIJEM	\N	108	34409	UROK	\N	\N
3479105	9179	1997-04-30	PRIJEM	\N	151	40763	UROK	\N	\N
3479106	9179	1997-05-31	PRIJEM	\N	172	42587	UROK	\N	\N
3479107	9179	1997-06-30	PRIJEM	\N	200	45297	UROK	\N	\N
3479108	9179	1997-07-31	PRIJEM	\N	177	27834	UROK	\N	\N
3479109	9179	1997-08-31	PRIJEM	\N	126	22219	UROK	\N	\N
3479110	9179	1997-09-30	PRIJEM	\N	113	33400	UROK	\N	\N
3479111	9179	1997-10-31	PRIJEM	\N	150	29714	UROK	\N	\N
3479112	9179	1997-11-30	PRIJEM	\N	147	36648	UROK	\N	\N
3479113	9179	1997-12-31	PRIJEM	\N	172	38361	UROK	\N	\N
3479114	9179	1998-01-31	PRIJEM	\N	125	22216	UROK	\N	\N
3479115	9179	1998-02-28	PRIJEM	\N	129	38262	UROK	\N	\N
3479116	9179	1998-03-31	PRIJEM	\N	185	46427	UROK	\N	\N
3479117	9179	1998-04-30	PRIJEM	\N	211	53085	UROK	\N	\N
3479118	9179	1998-05-31	PRIJEM	\N	200	44083	UROK	\N	\N
3479119	9179	1998-06-30	PRIJEM	\N	199	48336	UROK	\N	\N
3479120	9179	1998-07-31	PRIJEM	\N	194	45658	UROK	\N	\N
3479121	9179	1998-08-31	PRIJEM	\N	167	39198	UROK	\N	\N
3479122	9179	1998-09-30	PRIJEM	\N	128	35314	UROK	\N	\N
3479123	9179	1998-10-31	PRIJEM	\N	147	38265	UROK	\N	\N
3479124	9179	1998-11-30	PRIJEM	\N	204	42371	UROK	\N	\N
3479125	9179	1998-12-31	PRIJEM	\N	158	34793	UROK	\N	\N
3479190	9188	1993-03-31	PRIJEM	\N	51	17310	UROK	\N	\N
3479191	9188	1993-04-30	PRIJEM	\N	103	27803	UROK	\N	\N
3479192	9188	1993-05-31	PRIJEM	\N	123	30525	UROK	\N	\N
3479193	9188	1993-06-30	PRIJEM	\N	140	34930	UROK	\N	\N
3479194	9188	1993-07-31	PRIJEM	\N	121	20393	UROK	\N	\N
3479195	9188	1993-08-31	PRIJEM	\N	86	20639	UROK	\N	\N
3479196	9188	1993-09-30	PRIJEM	\N	100	25023	UROK	\N	\N
3479197	9188	1993-10-31	PRIJEM	\N	109	26136	UROK	\N	\N
3479198	9188	1993-11-30	PRIJEM	\N	119	29447	UROK	\N	\N
3479199	9188	1993-12-31	PRIJEM	\N	145	31134	UROK	\N	\N
3479200	9188	1994-01-31	PRIJEM	\N	98	21952	UROK	\N	\N
3479201	9188	1994-02-28	PRIJEM	\N	103	25737	UROK	\N	\N
3479202	9188	1994-03-31	PRIJEM	\N	112	27642	UROK	\N	\N
3479203	9188	1994-04-30	PRIJEM	\N	123	30969	UROK	\N	\N
3479204	9188	1994-05-31	PRIJEM	\N	108	24513	UROK	\N	\N
3479205	9188	1994-06-30	PRIJEM	\N	113	25266	UROK	\N	\N
3479206	9188	1994-07-31	PRIJEM	\N	97	21032	UROK	\N	\N
3479207	9188	1994-08-31	PRIJEM	\N	96	22967	UROK	\N	\N
3479208	9188	1994-09-30	PRIJEM	\N	111	28669	UROK	\N	\N
3479209	9188	1994-10-31	PRIJEM	\N	112	28471	UROK	\N	\N
3479210	9188	1994-11-30	PRIJEM	\N	105	27369	UROK	\N	\N
3479211	9188	1994-12-31	PRIJEM	\N	100	21828	UROK	\N	\N
3479212	9188	1995-01-31	PRIJEM	\N	90	22223	UROK	\N	\N
3479213	9188	1995-02-28	PRIJEM	\N	92	24578	UROK	\N	\N
3479214	9188	1995-03-31	PRIJEM	\N	93	24249	UROK	\N	\N
3479215	9188	1995-04-30	PRIJEM	\N	99	23152	UROK	\N	\N
3479216	9188	1995-05-31	PRIJEM	\N	94	22327	UROK	\N	\N
3479217	9188	1995-06-30	PRIJEM	\N	110	24074	UROK	\N	\N
3479218	9188	1995-07-31	PRIJEM	\N	98	22486	UROK	\N	\N
3479219	9188	1995-08-31	PRIJEM	\N	89	18262	UROK	\N	\N
3479220	9188	1995-09-30	PRIJEM	\N	73	17795	UROK	\N	\N
3479221	9188	1995-10-31	PRIJEM	\N	69	17968	UROK	\N	\N
3479222	9188	1995-11-30	PRIJEM	\N	70	15669	UROK	\N	\N
3479223	9188	1995-12-31	PRIJEM	\N	79	17806	UROK	\N	\N
3479224	9188	1996-01-31	PRIJEM	\N	72	20115	UROK	\N	\N
3479225	9188	1996-02-29	PRIJEM	\N	81	22300	UROK	\N	\N
3479226	9188	1996-03-31	PRIJEM	\N	82	17363	UROK	\N	\N
3479227	9188	1996-04-30	PRIJEM	\N	69	19603	UROK	\N	\N
3479228	9188	1996-05-31	PRIJEM	\N	76	21850	UROK	\N	\N
3479229	9188	1996-06-30	PRIJEM	\N	90	17272	UROK	\N	\N
3479230	9188	1996-07-31	PRIJEM	\N	66	19516	UROK	\N	\N
3479231	9188	1996-08-31	PRIJEM	\N	77	21814	UROK	\N	\N
3479232	9188	1996-09-30	PRIJEM	\N	86	24084	UROK	\N	\N
3479233	9188	1996-10-31	PRIJEM	\N	93	26356	UROK	\N	\N
3479234	9188	1996-11-30	PRIJEM	\N	101	27061	UROK	\N	\N
3479235	9188	1996-12-31	PRIJEM	\N	110	29794	UROK	\N	\N
3479236	9188	1997-01-31	PRIJEM	\N	98	25473	UROK	\N	\N
3479237	9188	1997-02-28	PRIJEM	\N	97	27770	UROK	\N	\N
3479238	9188	1997-03-31	PRIJEM	\N	108	30068	UROK	\N	\N
3479239	9188	1997-04-30	PRIJEM	\N	115	32287	UROK	\N	\N
3479240	9188	1997-05-31	PRIJEM	\N	113	30213	UROK	\N	\N
3479241	9188	1997-06-30	PRIJEM	\N	124	27819	UROK	\N	\N
3479242	9188	1997-07-31	PRIJEM	\N	104	30027	UROK	\N	\N
3479243	9188	1997-08-31	PRIJEM	\N	115	32463	UROK	\N	\N
3479244	9188	1997-09-30	PRIJEM	\N	111	27284	UROK	\N	\N
3479245	9188	1997-10-31	PRIJEM	\N	102	29490	UROK	\N	\N
3479246	9188	1997-11-30	PRIJEM	\N	111	31876	UROK	\N	\N
3479247	9188	1997-12-31	PRIJEM	\N	128	30088	UROK	\N	\N
3479248	9188	1998-01-31	PRIJEM	\N	93	26961	UROK	\N	\N
3479249	9188	1998-02-28	PRIJEM	\N	97	29162	UROK	\N	\N
3479250	9188	1998-03-31	PRIJEM	\N	108	31473	UROK	\N	\N
3479251	9188	1998-04-30	PRIJEM	\N	110	30575	UROK	\N	\N
3479252	9188	1998-05-31	PRIJEM	\N	102	29353	UROK	\N	\N
3479253	9188	1998-06-30	PRIJEM	\N	128	38066	UROK	\N	\N
3479254	9188	1998-07-31	PRIJEM	\N	82	22930	UROK	\N	\N
3479255	9188	1998-08-31	PRIJEM	\N	77	25109	UROK	\N	\N
3479256	9188	1998-09-30	PRIJEM	\N	85	27598	UROK	\N	\N
3479257	9188	1998-10-31	PRIJEM	\N	97	30195	UROK	\N	\N
3479258	9188	1998-11-30	PRIJEM	\N	104	32222	UROK	\N	\N
3479259	9188	1998-12-31	PRIJEM	\N	136	34454	UROK	\N	\N
3479327	9201	1996-11-30	PRIJEM	\N	19	33721	UROK	\N	\N
3479328	9201	1996-12-31	PRIJEM	\N	160	62931	UROK	\N	\N
3479329	9201	1997-01-31	PRIJEM	\N	362	50695	UROK	\N	\N
3479330	9201	1997-02-28	PRIJEM	\N	215	59755	UROK	\N	\N
3479331	9201	1997-03-31	PRIJEM	\N	210	29997	UROK	\N	\N
3479332	9201	1997-04-30	PRIJEM	\N	191	36871	UROK	\N	\N
3479333	9201	1997-05-31	PRIJEM	\N	219	41602	UROK	\N	\N
3479334	9201	1997-06-30	PRIJEM	\N	127	21642	UROK	\N	\N
3479335	9201	1997-07-31	PRIJEM	\N	158	35827	UROK	\N	\N
3479336	9201	1997-08-31	PRIJEM	\N	205	40721	UROK	\N	\N
3479337	9201	1997-09-30	PRIJEM	\N	196	38043	UROK	\N	\N
3479338	9201	1997-10-31	PRIJEM	\N	177	30293	UROK	\N	\N
3479339	9201	1997-11-30	PRIJEM	\N	162	32849	UROK	\N	\N
3479340	9201	1997-12-31	PRIJEM	\N	224	44959	UROK	\N	\N
3479341	9201	1998-01-31	PRIJEM	\N	151	27882	UROK	\N	\N
3479342	9201	1998-02-28	PRIJEM	\N	158	37294	UROK	\N	\N
3479343	9201	1998-03-31	PRIJEM	\N	193	42661	UROK	\N	\N
3479344	9201	1998-04-30	PRIJEM	\N	224	50108	UROK	\N	\N
3479345	9201	1998-05-31	PRIJEM	\N	212	43073	UROK	\N	\N
3479346	9201	1998-06-30	PRIJEM	\N	217	52689	UROK	\N	\N
3479347	9201	1998-07-31	PRIJEM	\N	272	67168	UROK	\N	\N
3479348	9201	1998-08-31	PRIJEM	\N	309	57353	UROK	\N	\N
3479349	9201	1998-09-30	PRIJEM	\N	244	57816	UROK	\N	\N
3479350	9201	1998-10-31	PRIJEM	\N	186	43066	UROK	\N	\N
3479351	9201	1998-11-30	PRIJEM	\N	189	48289	UROK	\N	\N
3479352	9201	1998-12-31	PRIJEM	\N	295	47703	UROK	\N	\N
3479444	9225	1996-01-31	PRIJEM	\N	1	603	UROK	\N	\N
3479445	9225	1996-02-29	PRIJEM	\N	44	39822	UROK	\N	\N
3479446	9225	1996-03-31	PRIJEM	\N	46	32611	UROK	\N	\N
3479447	9225	1996-04-30	PRIJEM	\N	110	42917	UROK	\N	\N
3479448	9225	1996-05-31	PRIJEM	\N	143	50783	UROK	\N	\N
3479449	9225	1996-06-30	PRIJEM	\N	236	50773	UROK	\N	\N
3479450	9225	1996-07-31	PRIJEM	\N	282	57867	UROK	\N	\N
3479451	9225	1996-08-31	PRIJEM	\N	254	53673	UROK	\N	\N
3479452	9225	1996-09-30	PRIJEM	\N	197	32584	UROK	\N	\N
3479453	9225	1996-10-31	PRIJEM	\N	116	23718	UROK	\N	\N
3479454	9225	1996-11-30	PRIJEM	\N	169	30056	UROK	\N	\N
3479455	9225	1996-12-31	PRIJEM	\N	257	44989	UROK	\N	\N
3479456	9225	1997-01-31	PRIJEM	\N	136	35053	UROK	\N	\N
3479457	9225	1997-02-28	PRIJEM	\N	133	25072	UROK	\N	\N
3479458	9225	1997-03-31	PRIJEM	\N	119	27336	UROK	\N	\N
3479459	9225	1997-04-30	PRIJEM	\N	112	33718	UROK	\N	\N
3479460	9225	1997-05-31	PRIJEM	\N	127	26041	UROK	\N	\N
3479461	9225	1997-06-30	PRIJEM	\N	106	27472	UROK	\N	\N
3479462	9225	1997-07-31	PRIJEM	\N	103	23461	UROK	\N	\N
3479463	9225	1997-08-31	PRIJEM	\N	97	33953	UROK	\N	\N
3479464	9225	1997-09-30	PRIJEM	\N	132	26651	UROK	\N	\N
3479465	9225	1997-10-31	PRIJEM	\N	111	29429	UROK	\N	\N
3479466	9225	1997-11-30	PRIJEM	\N	112	28012	UROK	\N	\N
3479467	9225	1997-12-31	PRIJEM	\N	119	60430	UROK	\N	\N
3479468	9225	1998-01-31	PRIJEM	\N	217	38237	UROK	\N	\N
3479469	9225	1998-02-28	PRIJEM	\N	215	52464	UROK	\N	\N
3479470	9225	1998-03-31	PRIJEM	\N	237	37666	UROK	\N	\N
3479471	9225	1998-04-30	PRIJEM	\N	212	69638	UROK	\N	\N
3479472	9225	1998-05-31	PRIJEM	\N	322	56619	UROK	\N	\N
3479473	9225	1998-06-30	PRIJEM	\N	271	108282	UROK	\N	\N
3479474	9225	1998-07-31	PRIJEM	\N	311	73849	UROK	\N	\N
3479475	9225	1998-08-31	PRIJEM	\N	295	66708	UROK	\N	\N
3479476	9225	1998-09-30	PRIJEM	\N	281	82984	UROK	\N	\N
3479477	9225	1998-10-31	PRIJEM	\N	297	69397	UROK	\N	\N
3479478	9225	1998-11-30	PRIJEM	\N	271	73634	UROK	\N	\N
3479479	9225	1998-12-31	PRIJEM	\N	322	88862	UROK	\N	\N
3479480	9227	1997-11-30	PRIJEM	\N	16	5339	UROK	\N	\N
3479481	9227	1997-12-31	PRIJEM	\N	66	19555	UROK	\N	\N
3479482	9227	1998-01-31	PRIJEM	\N	89	22024	UROK	\N	\N
3479483	9227	1998-02-28	PRIJEM	\N	109	28099	UROK	\N	\N
3479484	9227	1998-03-31	PRIJEM	\N	82	14855	UROK	\N	\N
3479485	9227	1998-04-30	PRIJEM	\N	74	17341	UROK	\N	\N
3479486	9227	1998-05-31	PRIJEM	\N	64	14388	UROK	\N	\N
3479487	9227	1998-06-30	PRIJEM	\N	65	12879	UROK	\N	\N
3479488	9227	1998-07-31	PRIJEM	\N	67	16979	UROK	\N	\N
3479489	9227	1998-08-31	PRIJEM	\N	39	6186	UROK	\N	\N
3479490	9227	1998-09-30	PRIJEM	\N	52	12243	UROK	\N	\N
3479491	9227	1998-10-31	PRIJEM	\N	46	12593	UROK	\N	\N
3479492	9227	1998-11-30	PRIJEM	\N	48	16986	UROK	\N	\N
3479493	9227	1998-12-31	PRIJEM	\N	65	15129	UROK	\N	\N
3479494	9235	1995-07-31	PRIJEM	\N	24	22343	UROK	\N	\N
3479495	9235	1995-08-31	PRIJEM	\N	108	34485	UROK	\N	\N
3479496	9235	1995-09-30	PRIJEM	\N	148	38431	UROK	\N	\N
3479497	9235	1995-10-31	PRIJEM	\N	162	40582	UROK	\N	\N
3479498	9235	1995-11-30	PRIJEM	\N	170	39250	UROK	\N	\N
3479499	9235	1995-12-31	PRIJEM	\N	187	42705	UROK	\N	\N
3479500	9235	1996-01-31	PRIJEM	\N	153	26301	UROK	\N	\N
3479501	9235	1996-02-29	PRIJEM	\N	123	34761	UROK	\N	\N
3479502	9235	1996-03-31	PRIJEM	\N	158	38363	UROK	\N	\N
3479503	9235	1996-04-30	PRIJEM	\N	169	43916	UROK	\N	\N
3479504	9235	1996-05-31	PRIJEM	\N	201	45893	UROK	\N	\N
3479505	9235	1996-06-30	PRIJEM	\N	190	46335	UROK	\N	\N
3479506	9235	1996-07-31	PRIJEM	\N	206	46711	UROK	\N	\N
3479507	9235	1996-08-31	PRIJEM	\N	180	41094	UROK	\N	\N
3479508	9235	1996-09-30	PRIJEM	\N	166	39304	UROK	\N	\N
3479509	9235	1996-10-31	PRIJEM	\N	150	37816	UROK	\N	\N
3479510	9235	1996-11-30	PRIJEM	\N	140	31299	UROK	\N	\N
3479511	9235	1996-12-31	PRIJEM	\N	142	34915	UROK	\N	\N
3479512	9235	1997-01-31	PRIJEM	\N	130	20053	UROK	\N	\N
3479513	9235	1997-02-28	PRIJEM	\N	106	29842	UROK	\N	\N
3479514	9235	1997-03-31	PRIJEM	\N	134	34884	UROK	\N	\N
3479515	9235	1997-04-30	PRIJEM	\N	141	35864	UROK	\N	\N
3479516	9235	1997-05-31	PRIJEM	\N	144	36656	UROK	\N	\N
3479517	9235	1997-06-30	PRIJEM	\N	159	42551	UROK	\N	\N
3479518	9235	1997-07-31	PRIJEM	\N	163	41070	UROK	\N	\N
3479519	9235	1997-08-31	PRIJEM	\N	151	38327	UROK	\N	\N
3479520	9235	1997-09-30	PRIJEM	\N	135	34143	UROK	\N	\N
3479521	9235	1997-10-31	PRIJEM	\N	124	32337	UROK	\N	\N
3479522	9235	1997-11-30	PRIJEM	\N	113	28331	UROK	\N	\N
3479523	9235	1997-12-31	PRIJEM	\N	114	31342	UROK	\N	\N
3479524	9235	1998-01-31	PRIJEM	\N	111	24435	UROK	\N	\N
3479525	9235	1998-02-28	PRIJEM	\N	129	34332	UROK	\N	\N
3479526	9235	1998-03-31	PRIJEM	\N	133	36320	UROK	\N	\N
3479527	9235	1998-04-30	PRIJEM	\N	147	38795	UROK	\N	\N
3479528	9235	1998-05-31	PRIJEM	\N	159	40753	UROK	\N	\N
3479529	9235	1998-06-30	PRIJEM	\N	216	61833	UROK	\N	\N
3479530	9235	1998-07-31	PRIJEM	\N	232	59984	UROK	\N	\N
3479531	9235	1998-08-31	PRIJEM	\N	232	60565	UROK	\N	\N
3479532	9235	1998-09-30	PRIJEM	\N	232	60576	UROK	\N	\N
3479533	9235	1998-10-31	PRIJEM	\N	233	60390	UROK	\N	\N
3479534	9235	1998-11-30	PRIJEM	\N	236	62506	UROK	\N	\N
3479535	9235	1998-12-31	PRIJEM	\N	279	75088	UROK	\N	\N
3479536	9236	1993-09-30	PRIJEM	\N	32	16568	UROK	\N	\N
3479537	9236	1993-10-31	PRIJEM	\N	88	26412	UROK	\N	\N
3479538	9236	1993-11-30	PRIJEM	\N	118	30494	UROK	\N	\N
3479539	9236	1993-12-31	PRIJEM	\N	141	37469	UROK	\N	\N
3479540	9236	1994-01-31	PRIJEM	\N	131	17229	UROK	\N	\N
3479541	9236	1994-02-28	PRIJEM	\N	89	22551	UROK	\N	\N
3479542	9236	1994-03-31	PRIJEM	\N	93	21818	UROK	\N	\N
3479543	9236	1994-04-30	PRIJEM	\N	88	21328	UROK	\N	\N
3479544	9236	1994-05-31	PRIJEM	\N	99	25685	UROK	\N	\N
3479545	9236	1994-06-30	PRIJEM	\N	126	30908	UROK	\N	\N
3479546	9236	1994-07-31	PRIJEM	\N	121	28828	UROK	\N	\N
3479547	9236	1994-08-31	PRIJEM	\N	109	25323	UROK	\N	\N
3479548	9236	1994-09-30	PRIJEM	\N	103	24984	UROK	\N	\N
3479549	9236	1994-10-31	PRIJEM	\N	103	25614	UROK	\N	\N
3479550	9236	1994-11-30	PRIJEM	\N	89	19971	UROK	\N	\N
3479551	9236	1994-12-31	PRIJEM	\N	91	25294	UROK	\N	\N
3479552	9236	1995-01-31	PRIJEM	\N	84	14278	UROK	\N	\N
3479553	9236	1995-02-28	PRIJEM	\N	87	21941	UROK	\N	\N
3479554	9236	1995-03-31	PRIJEM	\N	91	24279	UROK	\N	\N
3479555	9236	1995-04-30	PRIJEM	\N	107	29053	UROK	\N	\N
3479556	9236	1995-05-31	PRIJEM	\N	131	33411	UROK	\N	\N
3479557	9236	1995-06-30	PRIJEM	\N	155	32191	UROK	\N	\N
3479558	9236	1995-07-31	PRIJEM	\N	135	32606	UROK	\N	\N
3479559	9236	1995-08-31	PRIJEM	\N	150	37932	UROK	\N	\N
3479560	9236	1995-09-30	PRIJEM	\N	152	37405	UROK	\N	\N
3479561	9236	1995-10-31	PRIJEM	\N	138	32232	UROK	\N	\N
3479562	9236	1995-11-30	PRIJEM	\N	138	35397	UROK	\N	\N
3479563	9236	1995-12-31	PRIJEM	\N	162	44208	UROK	\N	\N
3479564	9236	1996-01-31	PRIJEM	\N	144	33968	UROK	\N	\N
3479565	9236	1996-02-29	PRIJEM	\N	144	39957	UROK	\N	\N
3479566	9236	1996-03-31	PRIJEM	\N	150	32104	UROK	\N	\N
3479567	9236	1996-04-30	PRIJEM	\N	140	35706	UROK	\N	\N
3479568	9236	1996-05-31	PRIJEM	\N	172	45357	UROK	\N	\N
3479569	9236	1996-06-30	PRIJEM	\N	207	57231	UROK	\N	\N
3479570	9236	1996-07-31	PRIJEM	\N	232	59346	UROK	\N	\N
3479571	9236	1996-08-31	PRIJEM	\N	226	53200	UROK	\N	\N
3479572	9236	1996-09-30	PRIJEM	\N	220	57640	UROK	\N	\N
3479573	9236	1996-10-31	PRIJEM	\N	232	60935	UROK	\N	\N
3479574	9236	1996-11-30	PRIJEM	\N	239	59269	UROK	\N	\N
3479575	9236	1996-12-31	PRIJEM	\N	267	67005	UROK	\N	\N
3479576	9236	1997-01-31	PRIJEM	\N	231	63872	UROK	\N	\N
3479577	9236	1997-02-28	PRIJEM	\N	245	65432	UROK	\N	\N
3479578	9236	1997-03-31	PRIJEM	\N	259	69337	UROK	\N	\N
3479579	9236	1997-04-30	PRIJEM	\N	256	70667	UROK	\N	\N
3479580	9236	1997-05-31	PRIJEM	\N	260	75505	UROK	\N	\N
3479581	9236	1997-06-30	PRIJEM	\N	219	60489	UROK	\N	\N
3479582	9236	1997-07-31	PRIJEM	\N	230	76595	UROK	\N	\N
3479583	9236	1997-08-31	PRIJEM	\N	298	84245	UROK	\N	\N
3479584	9236	1997-09-30	PRIJEM	\N	327	92728	UROK	\N	\N
3479585	9236	1997-10-31	PRIJEM	\N	362	98470	UROK	\N	\N
3479586	9236	1997-11-30	PRIJEM	\N	377	101324	UROK	\N	\N
3479587	9236	1997-12-31	PRIJEM	\N	410	101379	UROK	\N	\N
3479588	9236	1998-01-31	PRIJEM	\N	334	87654	UROK	\N	\N
3479589	9236	1998-02-28	PRIJEM	\N	325	95523	UROK	\N	\N
3479590	9236	1998-03-31	PRIJEM	\N	368	99867	UROK	\N	\N
3479591	9236	1998-04-30	PRIJEM	\N	381	102180	UROK	\N	\N
3479592	9236	1998-05-31	PRIJEM	\N	384	102607	UROK	\N	\N
3479593	9236	1998-06-30	PRIJEM	\N	386	103494	UROK	\N	\N
3479594	9236	1998-07-31	PRIJEM	\N	385	100096	UROK	\N	\N
3479595	9236	1998-08-31	PRIJEM	\N	364	91541	UROK	\N	\N
3479596	9236	1998-09-30	PRIJEM	\N	337	95155	UROK	\N	\N
3479597	9236	1998-10-31	PRIJEM	\N	368	101236	UROK	\N	\N
3479598	9236	1998-11-30	PRIJEM	\N	378	104947	UROK	\N	\N
3479599	9236	1998-12-31	PRIJEM	\N	399	108900	UROK	\N	\N
3479600	9241	1996-10-31	PRIJEM	\N	24	25846	UROK	\N	\N
3479601	9241	1996-11-30	PRIJEM	\N	124	42548	UROK	\N	\N
3479602	9241	1996-12-31	PRIJEM	\N	195	59882	UROK	\N	\N
3479603	9241	1997-01-31	PRIJEM	\N	249	60718	UROK	\N	\N
3479604	9241	1997-02-28	PRIJEM	\N	257	52097	UROK	\N	\N
3479605	9241	1997-03-31	PRIJEM	\N	220	45354	UROK	\N	\N
3479606	9241	1997-04-30	PRIJEM	\N	218	39881	UROK	\N	\N
3479607	9241	1997-05-31	PRIJEM	\N	206	46701	UROK	\N	\N
3479608	9241	1997-06-30	PRIJEM	\N	198	46761	UROK	\N	\N
3479609	9241	1997-07-31	PRIJEM	\N	218	36249	UROK	\N	\N
3479610	9241	1997-08-31	PRIJEM	\N	157	35665	UROK	\N	\N
3479611	9241	1997-09-30	PRIJEM	\N	129	24920	UROK	\N	\N
3479612	9241	1997-10-31	PRIJEM	\N	131	29938	UROK	\N	\N
3479613	9241	1997-11-30	PRIJEM	\N	152	37731	UROK	\N	\N
3479614	9241	1997-12-31	PRIJEM	\N	131	24902	UROK	\N	\N
3479615	9241	1998-01-31	PRIJEM	\N	115	25817	UROK	\N	\N
3479616	9241	1998-02-28	PRIJEM	\N	129	32505	UROK	\N	\N
3479617	9241	1998-03-31	PRIJEM	\N	149	35202	UROK	\N	\N
3479618	9241	1998-04-30	PRIJEM	\N	170	42809	UROK	\N	\N
3479619	9241	1998-05-31	PRIJEM	\N	192	42761	UROK	\N	\N
3479620	9241	1998-06-30	PRIJEM	\N	171	28240	UROK	\N	\N
3479621	9241	1998-07-31	PRIJEM	\N	137	35535	UROK	\N	\N
3479622	9241	1998-08-31	PRIJEM	\N	129	29555	UROK	\N	\N
3479623	9241	1998-09-30	PRIJEM	\N	117	29307	UROK	\N	\N
3479624	9241	1998-10-31	PRIJEM	\N	113	27079	UROK	\N	\N
3479625	9241	1998-11-30	PRIJEM	\N	95	21776	UROK	\N	\N
3479626	9241	1998-12-31	PRIJEM	\N	109	27107	UROK	\N	\N
3479627	9242	1996-04-30	PRIJEM	\N	40	16772	UROK	\N	\N
3479628	9242	1996-05-31	PRIJEM	\N	91	25873	UROK	\N	\N
3479629	9242	1996-06-30	PRIJEM	\N	137	38658	UROK	\N	\N
3479630	9242	1996-07-31	PRIJEM	\N	169	42541	UROK	\N	\N
3479631	9242	1996-08-31	PRIJEM	\N	172	41143	UROK	\N	\N
3479632	9242	1996-09-30	PRIJEM	\N	160	38420	UROK	\N	\N
3479633	9242	1996-10-31	PRIJEM	\N	153	37891	UROK	\N	\N
3479634	9242	1996-11-30	PRIJEM	\N	168	43992	UROK	\N	\N
3479635	9242	1996-12-31	PRIJEM	\N	186	48344	UROK	\N	\N
3479636	9242	1997-01-31	PRIJEM	\N	173	34674	UROK	\N	\N
3479637	9242	1997-02-28	PRIJEM	\N	164	45196	UROK	\N	\N
3479638	9242	1997-03-31	PRIJEM	\N	191	49036	UROK	\N	\N
3479639	9242	1997-04-30	PRIJEM	\N	202	48833	UROK	\N	\N
3479640	9242	1997-05-31	PRIJEM	\N	198	48033	UROK	\N	\N
3479641	9242	1997-06-30	PRIJEM	\N	189	25923	UROK	\N	\N
3479642	9242	1997-07-31	PRIJEM	\N	116	31496	UROK	\N	\N
3479643	9242	1997-08-31	PRIJEM	\N	131	35613	UROK	\N	\N
3479644	9242	1997-09-30	PRIJEM	\N	149	40330	UROK	\N	\N
3479645	9242	1997-10-31	PRIJEM	\N	166	43978	UROK	\N	\N
3479646	9242	1997-11-30	PRIJEM	\N	174	45543	UROK	\N	\N
3479647	9242	1997-12-31	PRIJEM	\N	174	47742	UROK	\N	\N
3479648	9242	1998-01-31	PRIJEM	\N	131	20698	UROK	\N	\N
3479649	9242	1998-02-28	PRIJEM	\N	105	34020	UROK	\N	\N
3479650	9242	1998-03-31	PRIJEM	\N	137	37374	UROK	\N	\N
3479651	9242	1998-04-30	PRIJEM	\N	151	40831	UROK	\N	\N
3479652	9242	1998-05-31	PRIJEM	\N	156	41704	UROK	\N	\N
3479653	9242	1998-06-30	PRIJEM	\N	80	24394	UROK	\N	\N
3479654	9242	1998-07-31	PRIJEM	\N	94	25842	UROK	\N	\N
3479655	9242	1998-08-31	PRIJEM	\N	109	32940	UROK	\N	\N
3479656	9242	1998-09-30	PRIJEM	\N	108	31655	UROK	\N	\N
3479657	9242	1998-10-31	PRIJEM	\N	117	30135	UROK	\N	\N
3479658	9242	1998-11-30	PRIJEM	\N	123	36875	UROK	\N	\N
3479659	9242	1998-12-31	PRIJEM	\N	155	44306	UROK	\N	\N
3479686	9263	1996-06-30	PRIJEM	\N	72	30457	UROK	\N	\N
3479687	9263	1996-07-31	PRIJEM	\N	177	51608	UROK	\N	\N
3479688	9263	1996-08-31	PRIJEM	\N	238	61776	UROK	\N	\N
3479689	9263	1996-09-30	PRIJEM	\N	262	64870	UROK	\N	\N
3479690	9263	1996-10-31	PRIJEM	\N	259	50562	UROK	\N	\N
3479691	9263	1996-11-30	PRIJEM	\N	137	30988	UROK	\N	\N
3479692	9263	1996-12-31	PRIJEM	\N	140	35762	UROK	\N	\N
3479693	9263	1997-01-31	PRIJEM	\N	93	17870	UROK	\N	\N
3479694	9263	1997-02-28	PRIJEM	\N	76	24385	UROK	\N	\N
3479695	9263	1997-03-31	PRIJEM	\N	92	27045	UROK	\N	\N
3479696	9263	1997-04-30	PRIJEM	\N	95	29753	UROK	\N	\N
3479697	9263	1997-05-31	PRIJEM	\N	100	22795	UROK	\N	\N
3479698	9263	1997-06-30	PRIJEM	\N	117	28720	UROK	\N	\N
3479699	9263	1997-07-31	PRIJEM	\N	109	22146	UROK	\N	\N
3479700	9263	1997-08-31	PRIJEM	\N	90	23546	UROK	\N	\N
3479701	9263	1997-09-30	PRIJEM	\N	94	23050	UROK	\N	\N
3479702	9263	1997-10-31	PRIJEM	\N	94	25885	UROK	\N	\N
3479703	9263	1997-11-30	PRIJEM	\N	102	24376	UROK	\N	\N
3479704	9263	1997-12-31	PRIJEM	\N	118	31829	UROK	\N	\N
3479705	9263	1998-01-31	PRIJEM	\N	100	22889	UROK	\N	\N
3479706	9263	1998-02-28	PRIJEM	\N	86	22016	UROK	\N	\N
3479707	9263	1998-03-31	PRIJEM	\N	93	25332	UROK	\N	\N
3479708	9263	1998-04-30	PRIJEM	\N	97	25207	UROK	\N	\N
3479709	9263	1998-05-31	PRIJEM	\N	103	28331	UROK	\N	\N
3479710	9263	1998-06-30	PRIJEM	\N	136	33029	UROK	\N	\N
3479711	9263	1998-07-31	PRIJEM	\N	125	30094	UROK	\N	\N
3479712	9263	1998-08-31	PRIJEM	\N	105	24375	UROK	\N	\N
3479713	9263	1998-09-30	PRIJEM	\N	91	23905	UROK	\N	\N
3479714	9263	1998-10-31	PRIJEM	\N	93	25001	UROK	\N	\N
3479715	9263	1998-11-30	PRIJEM	\N	85	23516	UROK	\N	\N
3479716	9263	1998-12-31	PRIJEM	\N	103	32154	UROK	\N	\N
3479717	9265	1993-02-28	PRIJEM	\N	26	28687	UROK	\N	\N
3479718	9265	1993-03-31	PRIJEM	\N	184	47196	UROK	\N	\N
3479719	9265	1993-04-30	PRIJEM	\N	196	34550	UROK	\N	\N
3479720	9265	1993-05-31	PRIJEM	\N	196	31046	UROK	\N	\N
3479721	9265	1993-06-30	PRIJEM	\N	179	43121	UROK	\N	\N
3479722	9265	1993-07-31	PRIJEM	\N	211	97467	UROK	\N	\N
3479723	9265	1993-08-31	PRIJEM	\N	386	96436	UROK	\N	\N
3479724	9265	1993-09-30	PRIJEM	\N	229	54520	UROK	\N	\N
3479725	9265	1993-10-31	PRIJEM	\N	118	23042	UROK	\N	\N
3479726	9265	1993-11-30	PRIJEM	\N	103	20905	UROK	\N	\N
3479727	9265	1993-12-31	PRIJEM	\N	47	19260	UROK	\N	\N
3479728	9265	1994-01-31	PRIJEM	\N	51	21195	UROK	\N	\N
3479729	9265	1994-02-28	PRIJEM	\N	320	90546	UROK	\N	\N
3479730	9265	1994-03-31	PRIJEM	\N	305	95415	UROK	\N	\N
3479731	9265	1994-04-30	PRIJEM	\N	190	38311	UROK	\N	\N
3479732	9265	1994-05-31	PRIJEM	\N	233	51061	UROK	\N	\N
3479733	9265	1994-06-30	PRIJEM	\N	163	33320	UROK	\N	\N
3479734	9265	1994-07-31	PRIJEM	\N	101	37587	UROK	\N	\N
3479735	9265	1994-08-31	PRIJEM	\N	135	41190	UROK	\N	\N
3479736	9265	1994-09-30	PRIJEM	\N	126	27515	UROK	\N	\N
3479737	9265	1994-10-31	PRIJEM	\N	100	29416	UROK	\N	\N
3479738	9265	1994-11-30	PRIJEM	\N	144	34401	UROK	\N	\N
3479739	9265	1994-12-31	PRIJEM	\N	110	31914	UROK	\N	\N
3479740	9265	1995-01-31	PRIJEM	\N	143	29901	UROK	\N	\N
3479741	9265	1995-02-28	PRIJEM	\N	142	58517	UROK	\N	\N
3479742	9265	1995-03-31	PRIJEM	\N	234	56823	UROK	\N	\N
3479743	9265	1995-04-30	PRIJEM	\N	197	33926	UROK	\N	\N
3479744	9265	1995-05-31	PRIJEM	\N	277	78372	UROK	\N	\N
3479745	9265	1995-06-30	PRIJEM	\N	369	78830	UROK	\N	\N
3479746	9265	1995-07-31	PRIJEM	\N	291	62443	UROK	\N	\N
3479747	9265	1995-08-31	PRIJEM	\N	209	71674	UROK	\N	\N
3479748	9265	1995-09-30	PRIJEM	\N	287	93417	UROK	\N	\N
3479749	9265	1995-10-31	PRIJEM	\N	250	53278	UROK	\N	\N
3479750	9265	1995-11-30	PRIJEM	\N	329	69224	UROK	\N	\N
3479751	9265	1995-12-31	PRIJEM	\N	299	90531	UROK	\N	\N
3479752	9265	1996-01-31	PRIJEM	\N	274	56086	UROK	\N	\N
3479753	9265	1996-02-29	PRIJEM	\N	243	83342	UROK	\N	\N
3479754	9265	1996-03-31	PRIJEM	\N	337	76749	UROK	\N	\N
3479755	9265	1996-04-30	PRIJEM	\N	169	47736	UROK	\N	\N
3479756	9265	1996-05-31	PRIJEM	\N	165	49240	UROK	\N	\N
3479757	9265	1996-06-30	PRIJEM	\N	185	79410	UROK	\N	\N
3479758	9265	1996-07-31	PRIJEM	\N	303	106191	UROK	\N	\N
3479759	9265	1996-08-31	PRIJEM	\N	357	77317	UROK	\N	\N
3479760	9265	1996-09-30	PRIJEM	\N	294	78222	UROK	\N	\N
3479761	9265	1996-10-31	PRIJEM	\N	227	56591	UROK	\N	\N
3479762	9265	1996-11-30	PRIJEM	\N	197	49831	UROK	\N	\N
3479763	9265	1996-12-31	PRIJEM	\N	177	54094	UROK	\N	\N
3479764	9265	1997-01-31	PRIJEM	\N	166	52815	UROK	\N	\N
3479765	9265	1997-02-28	PRIJEM	\N	262	102001	UROK	\N	\N
3479766	9265	1997-03-31	PRIJEM	\N	260	74209	UROK	\N	\N
3479767	9265	1997-04-30	PRIJEM	\N	277	76273	UROK	\N	\N
3479768	9265	1997-05-31	PRIJEM	\N	193	50141	UROK	\N	\N
3479769	9265	1997-06-30	PRIJEM	\N	200	114706	UROK	\N	\N
3479770	9265	1997-07-31	PRIJEM	\N	314	73728	UROK	\N	\N
3479771	9265	1997-08-31	PRIJEM	\N	401	104629	UROK	\N	\N
3479772	9265	1997-09-30	PRIJEM	\N	288	66441	UROK	\N	\N
3479773	9265	1997-10-31	PRIJEM	\N	381	91529	UROK	\N	\N
3479774	9265	1997-11-30	PRIJEM	\N	312	72747	UROK	\N	\N
3479775	9265	1997-12-31	PRIJEM	\N	275	95863	UROK	\N	\N
3479776	9265	1998-01-31	PRIJEM	\N	305	85866	UROK	\N	\N
3479777	9265	1998-02-28	PRIJEM	\N	225	60567	UROK	\N	\N
3479778	9265	1998-03-31	PRIJEM	\N	162	48154	UROK	\N	\N
3479779	9265	1998-04-30	PRIJEM	\N	281	94179	UROK	\N	\N
3479780	9265	1998-05-31	PRIJEM	\N	238	65936	UROK	\N	\N
3479781	9265	1998-06-30	PRIJEM	\N	294	94437	UROK	\N	\N
3479782	9265	1998-07-31	PRIJEM	\N	234	63712	UROK	\N	\N
3479783	9265	1998-08-31	PRIJEM	\N	149	48814	UROK	\N	\N
3479784	9265	1998-09-30	PRIJEM	\N	116	40995	UROK	\N	\N
3479785	9265	1998-10-31	PRIJEM	\N	265	88597	UROK	\N	\N
3479786	9265	1998-11-30	PRIJEM	\N	219	54043	UROK	\N	\N
3479787	9265	1998-12-31	PRIJEM	\N	183	85731	UROK	\N	\N
3479816	9307	1993-01-31	PRIJEM	\N	1	6183	UROK	\N	\N
3479817	9307	1993-02-28	PRIJEM	\N	26	13309	UROK	\N	\N
3479818	9307	1993-03-31	PRIJEM	\N	47	28604	UROK	\N	\N
3479819	9307	1993-04-30	PRIJEM	\N	132	50020	UROK	\N	\N
3479820	9307	1993-05-31	PRIJEM	\N	208	37961	UROK	\N	\N
3479821	9307	1993-06-30	PRIJEM	\N	212	52940	UROK	\N	\N
3479822	9307	1993-07-31	PRIJEM	\N	176	30919	UROK	\N	\N
3479823	9307	1993-08-31	PRIJEM	\N	104	21581	UROK	\N	\N
3479824	9307	1993-09-30	PRIJEM	\N	97	43527	UROK	\N	\N
3479825	9307	1993-10-31	PRIJEM	\N	198	46640	UROK	\N	\N
3479826	9307	1993-11-30	PRIJEM	\N	91	19342	UROK	\N	\N
3479827	9307	1993-12-31	PRIJEM	\N	71	19851	UROK	\N	\N
3479828	9307	1994-01-31	PRIJEM	\N	68	19484	UROK	\N	\N
3479829	9307	1994-02-28	PRIJEM	\N	54	15586	UROK	\N	\N
3479830	9307	1994-03-31	PRIJEM	\N	109	26575	UROK	\N	\N
3479831	9307	1994-04-30	PRIJEM	\N	177	33895	UROK	\N	\N
3479832	9307	1994-05-31	PRIJEM	\N	113	26177	UROK	\N	\N
3479833	9307	1994-06-30	PRIJEM	\N	137	65245	UROK	\N	\N
3479834	9307	1994-07-31	PRIJEM	\N	211	40758	UROK	\N	\N
3479835	9307	1994-08-31	PRIJEM	\N	213	54208	UROK	\N	\N
3479836	9307	1994-09-30	PRIJEM	\N	181	39385	UROK	\N	\N
3479837	9307	1994-10-31	PRIJEM	\N	130	30216	UROK	\N	\N
3479838	9307	1994-11-30	PRIJEM	\N	118	30094	UROK	\N	\N
3479839	9307	1994-12-31	PRIJEM	\N	107	27705	UROK	\N	\N
3479840	9307	1995-01-31	PRIJEM	\N	130	54170	UROK	\N	\N
3479841	9307	1995-02-28	PRIJEM	\N	224	69624	UROK	\N	\N
3479842	9307	1995-03-31	PRIJEM	\N	248	59316	UROK	\N	\N
3479843	9307	1995-04-30	PRIJEM	\N	196	46313	UROK	\N	\N
3479844	9307	1995-05-31	PRIJEM	\N	137	33006	UROK	\N	\N
3479845	9307	1995-06-30	PRIJEM	\N	133	34144	UROK	\N	\N
3479846	9307	1995-07-31	PRIJEM	\N	127	34138	UROK	\N	\N
3479847	9307	1995-08-31	PRIJEM	\N	119	32592	UROK	\N	\N
3479848	9307	1995-09-30	PRIJEM	\N	127	34199	UROK	\N	\N
3479849	9307	1995-10-31	PRIJEM	\N	106	24877	UROK	\N	\N
3479850	9307	1995-11-30	PRIJEM	\N	106	32180	UROK	\N	\N
3479851	9307	1995-12-31	PRIJEM	\N	124	33526	UROK	\N	\N
3479852	9307	1996-01-31	PRIJEM	\N	121	54781	UROK	\N	\N
3479853	9307	1996-02-29	PRIJEM	\N	288	117383	UROK	\N	\N
3479854	9307	1996-03-31	PRIJEM	\N	344	94862	UROK	\N	\N
3479855	9307	1996-04-30	PRIJEM	\N	380	88682	UROK	\N	\N
3479856	9307	1996-05-31	PRIJEM	\N	217	31311	UROK	\N	\N
3479857	9307	1996-06-30	PRIJEM	\N	133	32454	UROK	\N	\N
3479858	9307	1996-07-31	PRIJEM	\N	342	92057	UROK	\N	\N
3479859	9307	1996-08-31	PRIJEM	\N	355	98216	UROK	\N	\N
3479860	9307	1996-09-30	PRIJEM	\N	356	73323	UROK	\N	\N
3479861	9307	1996-10-31	PRIJEM	\N	334	102807	UROK	\N	\N
3479862	9307	1996-11-30	PRIJEM	\N	353	78794	UROK	\N	\N
3479863	9307	1996-12-31	PRIJEM	\N	198	62101	UROK	\N	\N
3479864	9307	1997-01-31	PRIJEM	\N	130	32758	UROK	\N	\N
3479865	9307	1997-02-28	PRIJEM	\N	132	37476	UROK	\N	\N
3479866	9307	1997-03-31	PRIJEM	\N	187	69802	UROK	\N	\N
3479867	9307	1997-04-30	PRIJEM	\N	206	51310	UROK	\N	\N
3479868	9307	1997-05-31	PRIJEM	\N	171	42014	UROK	\N	\N
3479869	9307	1997-06-30	PRIJEM	\N	243	88928	UROK	\N	\N
3479870	9307	1997-07-31	PRIJEM	\N	388	87475	UROK	\N	\N
3479871	9307	1997-08-31	PRIJEM	\N	354	102873	UROK	\N	\N
3479872	9307	1997-09-30	PRIJEM	\N	299	106026	UROK	\N	\N
3479873	9307	1997-10-31	PRIJEM	\N	314	77671	UROK	\N	\N
3479874	9307	1997-11-30	PRIJEM	\N	339	66356	UROK	\N	\N
3479875	9307	1997-12-31	PRIJEM	\N	307	79091	UROK	\N	\N
3479876	9307	1998-01-31	PRIJEM	\N	181	59058	UROK	\N	\N
3479877	9307	1998-02-28	PRIJEM	\N	167	61183	UROK	\N	\N
3479878	9307	1998-03-31	PRIJEM	\N	270	79344	UROK	\N	\N
3479879	9307	1998-04-30	PRIJEM	\N	193	57789	UROK	\N	\N
3479880	9307	1998-05-31	PRIJEM	\N	204	84299	UROK	\N	\N
3479881	9307	1998-06-30	PRIJEM	\N	243	70400	UROK	\N	\N
3479882	9307	1998-07-31	PRIJEM	\N	233	86351	UROK	\N	\N
3479883	9307	1998-08-31	PRIJEM	\N	217	56899	UROK	\N	\N
3479884	9307	1998-09-30	PRIJEM	\N	177	73404	UROK	\N	\N
3479885	9307	1998-10-31	PRIJEM	\N	191	59154	UROK	\N	\N
3479886	9307	1998-11-30	PRIJEM	\N	297	82207	UROK	\N	\N
3479887	9307	1998-12-31	PRIJEM	\N	356	111321	UROK	\N	\N
3479956	9353	1996-05-31	PRIJEM	\N	3	25603	UROK	\N	\N
3479957	9353	1996-06-30	PRIJEM	\N	105	25412	UROK	\N	\N
3479958	9353	1996-07-31	PRIJEM	\N	105	25918	UROK	\N	\N
3479959	9353	1996-08-31	PRIJEM	\N	105	22623	UROK	\N	\N
3479960	9353	1996-09-30	PRIJEM	\N	105	25128	UROK	\N	\N
3479961	9353	1996-10-31	PRIJEM	\N	109	32833	UROK	\N	\N
3479962	9353	1996-11-30	PRIJEM	\N	136	28982	UROK	\N	\N
3479963	9353	1996-12-31	PRIJEM	\N	139	37002	UROK	\N	\N
3479964	9353	1997-01-31	PRIJEM	\N	153	37411	UROK	\N	\N
3479965	9353	1997-02-28	PRIJEM	\N	168	81899	UROK	\N	\N
3479966	9353	1997-03-31	PRIJEM	\N	305	51741	UROK	\N	\N
3479967	9353	1997-04-30	PRIJEM	\N	149	59439	UROK	\N	\N
3479968	9353	1997-05-31	PRIJEM	\N	297	57227	UROK	\N	\N
3479969	9353	1997-06-30	PRIJEM	\N	256	113425	UROK	\N	\N
3479970	9353	1997-07-31	PRIJEM	\N	345	47299	UROK	\N	\N
3479971	9353	1997-08-31	PRIJEM	\N	287	45948	UROK	\N	\N
3479972	9353	1997-09-30	PRIJEM	\N	193	78669	UROK	\N	\N
3479973	9353	1997-10-31	PRIJEM	\N	278	51427	UROK	\N	\N
3479974	9353	1997-11-30	PRIJEM	\N	249	43720	UROK	\N	\N
3479975	9353	1997-12-31	PRIJEM	\N	138	51975	UROK	\N	\N
3479976	9353	1998-01-31	PRIJEM	\N	153	28046	UROK	\N	\N
3479977	9353	1998-02-28	PRIJEM	\N	211	76884	UROK	\N	\N
3479978	9353	1998-03-31	PRIJEM	\N	176	44616	UROK	\N	\N
3479979	9353	1998-04-30	PRIJEM	\N	130	29639	UROK	\N	\N
3479980	9353	1998-05-31	PRIJEM	\N	104	25910	UROK	\N	\N
3479981	9353	1998-06-30	PRIJEM	\N	243	52585	UROK	\N	\N
3479982	9353	1998-07-31	PRIJEM	\N	238	59773	UROK	\N	\N
3479983	9353	1998-08-31	PRIJEM	\N	170	33211	UROK	\N	\N
3479984	9353	1998-09-30	PRIJEM	\N	181	72573	UROK	\N	\N
3479985	9353	1998-10-31	PRIJEM	\N	262	75539	UROK	\N	\N
3479986	9353	1998-11-30	PRIJEM	\N	245	31048	UROK	\N	\N
3479987	9353	1998-12-31	PRIJEM	\N	126	31661	UROK	\N	\N
3480126	9377	1995-10-31	PRIJEM	\N	26	68605	UROK	\N	\N
3480127	9377	1995-11-30	PRIJEM	\N	248	50619	UROK	\N	\N
3480128	9377	1995-12-31	PRIJEM	\N	198	45557	UROK	\N	\N
3480129	9377	1996-01-31	PRIJEM	\N	188	34945	UROK	\N	\N
3480130	9377	1996-02-29	PRIJEM	\N	158	32505	UROK	\N	\N
3480131	9377	1996-03-31	PRIJEM	\N	102	21515	UROK	\N	\N
3480132	9377	1996-04-30	PRIJEM	\N	78	23906	UROK	\N	\N
3480133	9377	1996-05-31	PRIJEM	\N	91	21641	UROK	\N	\N
3480134	9377	1996-06-30	PRIJEM	\N	140	30273	UROK	\N	\N
3480135	9377	1996-07-31	PRIJEM	\N	260	88473	UROK	\N	\N
3480136	9377	1996-08-31	PRIJEM	\N	270	43487	UROK	\N	\N
3480137	9377	1996-09-30	PRIJEM	\N	191	40808	UROK	\N	\N
3480138	9377	1996-10-31	PRIJEM	\N	280	70264	UROK	\N	\N
3480139	9377	1996-11-30	PRIJEM	\N	325	90805	UROK	\N	\N
3480140	9377	1996-12-31	PRIJEM	\N	265	53335	UROK	\N	\N
3480141	9377	1997-01-31	PRIJEM	\N	275	88996	UROK	\N	\N
3480142	9377	1997-02-28	PRIJEM	\N	247	51764	UROK	\N	\N
3480143	9377	1997-03-31	PRIJEM	\N	260	92159	UROK	\N	\N
3480144	9377	1997-04-30	PRIJEM	\N	324	91502	UROK	\N	\N
3480145	9377	1997-05-31	PRIJEM	\N	213	39189	UROK	\N	\N
3480146	9377	1997-06-30	PRIJEM	\N	149	89047	UROK	\N	\N
3480147	9377	1997-07-31	PRIJEM	\N	222	44504	UROK	\N	\N
3480148	9377	1997-08-31	PRIJEM	\N	355	92790	UROK	\N	\N
3480149	9377	1997-09-30	PRIJEM	\N	297	103040	UROK	\N	\N
3480150	9377	1997-10-31	PRIJEM	\N	355	106902	UROK	\N	\N
3480151	9377	1997-11-30	PRIJEM	\N	331	89083	UROK	\N	\N
3480152	9377	1997-12-31	PRIJEM	\N	397	87919	UROK	\N	\N
3480153	9377	1998-01-31	PRIJEM	\N	188	43182	UROK	\N	\N
3480154	9377	1998-02-28	PRIJEM	\N	188	49437	UROK	\N	\N
3480155	9377	1998-03-31	PRIJEM	\N	293	82499	UROK	\N	\N
3480156	9377	1998-04-30	PRIJEM	\N	244	55923	UROK	\N	\N
3480157	9377	1998-05-31	PRIJEM	\N	205	66400	UROK	\N	\N
3480158	9377	1998-06-30	PRIJEM	\N	241	52148	UROK	\N	\N
3480159	9377	1998-07-31	PRIJEM	\N	297	75495	UROK	\N	\N
3480160	9377	1998-08-31	PRIJEM	\N	165	42340	UROK	\N	\N
3480161	9377	1998-09-30	PRIJEM	\N	359	114861	UROK	\N	\N
3480162	9377	1998-10-31	PRIJEM	\N	163	71459	UROK	\N	\N
3480163	9377	1998-11-30	PRIJEM	\N	229	57568	UROK	\N	\N
3480164	9377	1998-12-31	PRIJEM	\N	195	43207	UROK	\N	\N
3487888	7401	1993-03-31	PRIJEM	\N	14	25050	UROK	\N	\N
3487889	7401	1993-04-30	PRIJEM	\N	110	34395	UROK	\N	\N
3487890	7401	1993-05-31	PRIJEM	\N	145	37176	UROK	\N	\N
3487891	7401	1993-06-30	PRIJEM	\N	160	45290	UROK	\N	\N
3487892	7401	1993-07-31	PRIJEM	\N	203	38883	UROK	\N	\N
3487893	7401	1993-08-31	PRIJEM	\N	147	25899	UROK	\N	\N
3487894	7401	1993-09-30	PRIJEM	\N	125	21179	UROK	\N	\N
3487895	7401	1993-10-31	PRIJEM	\N	103	28437	UROK	\N	\N
3487896	7401	1993-11-30	PRIJEM	\N	143	33136	UROK	\N	\N
3487897	7401	1993-12-31	PRIJEM	\N	150	28764	UROK	\N	\N
3487898	7401	1994-01-31	PRIJEM	\N	119	20966	UROK	\N	\N
3487899	7401	1994-02-28	PRIJEM	\N	112	27160	UROK	\N	\N
3487900	7401	1994-03-31	PRIJEM	\N	133	31976	UROK	\N	\N
3487901	7401	1994-04-30	PRIJEM	\N	154	34112	UROK	\N	\N
3487902	7401	1994-05-31	PRIJEM	\N	140	21235	UROK	\N	\N
3487903	7401	1994-06-30	PRIJEM	\N	130	30266	UROK	\N	\N
3487904	7401	1994-07-31	PRIJEM	\N	125	31874	UROK	\N	\N
3487905	7401	1994-08-31	PRIJEM	\N	146	33803	UROK	\N	\N
3487906	7401	1994-09-30	PRIJEM	\N	143	26687	UROK	\N	\N
3487907	7401	1994-10-31	PRIJEM	\N	134	33004	UROK	\N	\N
3487908	7401	1994-11-30	PRIJEM	\N	142	32029	UROK	\N	\N
3487909	7401	1994-12-31	PRIJEM	\N	153	33882	UROK	\N	\N
3487910	7401	1995-01-31	PRIJEM	\N	122	21387	UROK	\N	\N
3487911	7401	1995-02-28	PRIJEM	\N	114	29083	UROK	\N	\N
3487912	7401	1995-03-31	PRIJEM	\N	139	34605	UROK	\N	\N
3487913	7401	1995-04-30	PRIJEM	\N	150	32030	UROK	\N	\N
3487914	7401	1995-05-31	PRIJEM	\N	126	24020	UROK	\N	\N
3487915	7401	1995-06-30	PRIJEM	\N	147	37596	UROK	\N	\N
3487916	7401	1995-07-31	PRIJEM	\N	164	38942	UROK	\N	\N
3487917	7401	1995-08-31	PRIJEM	\N	132	22277	UROK	\N	\N
3487918	7401	1995-09-30	PRIJEM	\N	114	30373	UROK	\N	\N
3487919	7401	1995-10-31	PRIJEM	\N	127	27846	UROK	\N	\N
3487920	7401	1995-11-30	PRIJEM	\N	137	36066	UROK	\N	\N
3487921	7401	1995-12-31	PRIJEM	\N	167	40434	UROK	\N	\N
3487922	7401	1996-01-31	PRIJEM	\N	102	25791	UROK	\N	\N
3487923	7401	1996-02-29	PRIJEM	\N	135	40881	UROK	\N	\N
3487924	7401	1996-03-31	PRIJEM	\N	163	40199	UROK	\N	\N
3487925	7401	1996-04-30	PRIJEM	\N	161	23470	UROK	\N	\N
3487926	7401	1996-05-31	PRIJEM	\N	124	33350	UROK	\N	\N
3487927	7401	1996-06-30	PRIJEM	\N	176	52222	UROK	\N	\N
3487928	7401	1996-07-31	PRIJEM	\N	196	34630	UROK	\N	\N
3487929	7401	1996-08-31	PRIJEM	\N	162	44047	UROK	\N	\N
3487930	7401	1996-09-30	PRIJEM	\N	157	30519	UROK	\N	\N
3487931	7401	1996-10-31	PRIJEM	\N	160	43734	UROK	\N	\N
3487932	7401	1996-11-30	PRIJEM	\N	186	47575	UROK	\N	\N
3487933	7401	1996-12-31	PRIJEM	\N	205	52554	UROK	\N	\N
3487934	7401	1997-01-31	PRIJEM	\N	129	28239	UROK	\N	\N
3487935	7401	1997-02-28	PRIJEM	\N	138	39932	UROK	\N	\N
3487936	7401	1997-03-31	PRIJEM	\N	172	43135	UROK	\N	\N
3487937	7401	1997-04-30	PRIJEM	\N	184	50374	UROK	\N	\N
3487938	7401	1997-05-31	PRIJEM	\N	211	53705	UROK	\N	\N
3487939	7401	1997-06-30	PRIJEM	\N	143	23921	UROK	\N	\N
3487940	7401	1997-07-31	PRIJEM	\N	156	44532	UROK	\N	\N
3487941	7401	1997-08-31	PRIJEM	\N	165	39187	UROK	\N	\N
3487942	7401	1997-09-30	PRIJEM	\N	178	47520	UROK	\N	\N
3487943	7401	1997-10-31	PRIJEM	\N	185	48361	UROK	\N	\N
3487944	7401	1997-11-30	PRIJEM	\N	184	48000	UROK	\N	\N
3487945	7401	1997-12-31	PRIJEM	\N	184	49458	UROK	\N	\N
3487946	7401	1998-01-31	PRIJEM	\N	136	26249	UROK	\N	\N
3487947	7401	1998-02-28	PRIJEM	\N	135	36639	UROK	\N	\N
3487948	7401	1998-03-31	PRIJEM	\N	118	23593	UROK	\N	\N
3487949	7401	1998-04-30	PRIJEM	\N	116	35165	UROK	\N	\N
3487950	7401	1998-05-31	PRIJEM	\N	146	38466	UROK	\N	\N
3487951	7401	1998-06-30	PRIJEM	\N	191	51930	UROK	\N	\N
3487952	7401	1998-07-31	PRIJEM	\N	197	44082	UROK	\N	\N
3487953	7401	1998-08-31	PRIJEM	\N	165	35805	UROK	\N	\N
3487954	7401	1998-09-30	PRIJEM	\N	166	37826	UROK	\N	\N
3487955	7401	1998-10-31	PRIJEM	\N	177	39859	UROK	\N	\N
3487956	7401	1998-11-30	PRIJEM	\N	150	29854	UROK	\N	\N
3487957	7401	1998-12-31	PRIJEM	\N	135	35762	UROK	\N	\N
3488132	7418	1995-04-30	PRIJEM	\N	45	16231	UROK	\N	\N
3488133	7418	1995-05-31	PRIJEM	\N	101	36043	UROK	\N	\N
3488134	7418	1995-06-30	PRIJEM	\N	155	56546	UROK	\N	\N
3488135	7418	1995-07-31	PRIJEM	\N	162	58146	UROK	\N	\N
3488136	7418	1995-08-31	PRIJEM	\N	174	44276	UROK	\N	\N
3488137	7418	1995-09-30	PRIJEM	\N	92	20752	UROK	\N	\N
3488138	7418	1995-10-31	PRIJEM	\N	78	26249	UROK	\N	\N
3488139	7418	1995-11-30	PRIJEM	\N	100	29909	UROK	\N	\N
3488140	7418	1995-12-31	PRIJEM	\N	126	34429	UROK	\N	\N
3488141	7418	1996-01-31	PRIJEM	\N	102	23811	UROK	\N	\N
3488142	7418	1996-02-29	PRIJEM	\N	76	24283	UROK	\N	\N
3488143	7418	1996-03-31	PRIJEM	\N	81	27388	UROK	\N	\N
3488144	7418	1996-04-30	PRIJEM	\N	98	25125	UROK	\N	\N
3488145	7418	1996-05-31	PRIJEM	\N	74	19783	UROK	\N	\N
3488146	7418	1996-06-30	PRIJEM	\N	73	19389	UROK	\N	\N
3488147	7418	1996-07-31	PRIJEM	\N	75	24323	UROK	\N	\N
3488148	7418	1996-08-31	PRIJEM	\N	79	26983	UROK	\N	\N
3488149	7418	1996-09-30	PRIJEM	\N	49	21036	UROK	\N	\N
3488150	7418	1996-10-31	PRIJEM	\N	62	16800	UROK	\N	\N
3488151	7418	1996-11-30	PRIJEM	\N	50	15891	UROK	\N	\N
3488152	7418	1996-12-31	PRIJEM	\N	53	13375	UROK	\N	\N
3488153	7418	1997-01-31	PRIJEM	\N	13	7067	UROK	\N	\N
3488154	7418	1997-01-31	VYDAJ	VYBER	3	7119	SANKC. UROK	\N	\N
3488155	7418	1997-02-28	PRIJEM	\N	18	-9843	UROK	\N	\N
3488156	7418	1997-02-28	VYDAJ	VYBER	10	-9829	SANKC. UROK	\N	\N
3488157	7418	1997-03-31	PRIJEM	\N	0	4599	UROK	\N	\N
3488158	7418	1997-03-31	VYDAJ	VYBER	57	4484	SANKC. UROK	\N	\N
3488159	7418	1997-04-30	PRIJEM	\N	4	2269	UROK	\N	\N
3488160	7418	1997-04-30	VYDAJ	VYBER	10	2256	SANKC. UROK	\N	\N
3488161	7418	1997-05-31	PRIJEM	\N	23	7308	UROK	\N	\N
3488162	7418	1997-06-30	PRIJEM	\N	29	9551	UROK	\N	\N
3488163	7418	1997-07-31	PRIJEM	\N	1	-8824	UROK	\N	\N
3488164	7418	1997-07-31	VYDAJ	VYBER	4	-8760	SANKC. UROK	\N	\N
3488165	7418	1997-08-31	PRIJEM	\N	4	7758	UROK	\N	\N
3488166	7418	1997-09-30	PRIJEM	\N	1	2506	UROK	\N	\N
3488167	7418	1997-09-30	VYDAJ	VYBER	7	2504	SANKC. UROK	\N	\N
3488168	7418	1997-10-31	PRIJEM	\N	25	4760	UROK	\N	\N
3488169	7418	1997-11-30	VYDAJ	VYBER	17	698	SANKC. UROK	\N	\N
3488170	7418	1997-12-31	PRIJEM	\N	16	-9643	UROK	\N	\N
3488171	7418	1997-12-31	VYDAJ	VYBER	7	-9650	SANKC. UROK	\N	\N
3488172	7418	1998-01-31	VYDAJ	VYBER	6	2915	SANKC. UROK	\N	\N
3488173	7418	1998-02-28	PRIJEM	\N	4	2786	UROK	\N	\N
3488174	7418	1998-02-28	VYDAJ	VYBER	3	2768	SANKC. UROK	\N	\N
3488175	7418	1998-03-31	PRIJEM	\N	8	2826	UROK	\N	\N
3488176	7418	1998-03-31	VYDAJ	VYBER	3	2808	SANKC. UROK	\N	\N
3488177	7418	1998-04-30	PRIJEM	\N	15	6978	UROK	\N	\N
3488178	7418	1998-04-30	VYDAJ	VYBER	6	6972	SANKC. UROK	\N	\N
3488179	7418	1998-05-31	PRIJEM	\N	14	8425	UROK	\N	\N
3488180	7418	1998-06-30	PRIJEM	\N	29	11940	UROK	\N	\N
3488181	7418	1998-06-30	VYDAJ	VYBER	20	11900	SANKC. UROK	\N	\N
3488182	7418	1998-07-31	PRIJEM	\N	29	11735	UROK	\N	\N
3488183	7418	1998-08-31	PRIJEM	\N	59	18301	UROK	\N	\N
3488184	7418	1998-09-30	PRIJEM	\N	32	12941	UROK	\N	\N
3488185	7418	1998-10-31	PRIJEM	\N	41	20857	UROK	\N	\N
3488186	7418	1998-11-30	PRIJEM	\N	60	14188	UROK	\N	\N
3488187	7418	1998-12-31	PRIJEM	\N	67	16648	UROK	\N	\N
3488188	7424	1996-09-30	PRIJEM	\N	268	58042	UROK	\N	\N
3488189	7424	1996-10-31	PRIJEM	\N	290	87309	UROK	\N	\N
3488190	7424	1996-11-30	PRIJEM	\N	267	67842	UROK	\N	\N
3488191	7424	1996-12-31	PRIJEM	\N	315	61180	UROK	\N	\N
3488192	7424	1997-01-31	PRIJEM	\N	240	27167	UROK	\N	\N
3488193	7424	1997-02-28	PRIJEM	\N	233	36402	UROK	\N	\N
3488194	7424	1997-03-31	PRIJEM	\N	119	24815	UROK	\N	\N
3488195	7424	1997-04-30	PRIJEM	\N	242	35478	UROK	\N	\N
3488196	7424	1997-05-31	PRIJEM	\N	291	74301	UROK	\N	\N
3488197	7424	1997-06-30	PRIJEM	\N	236	31202	UROK	\N	\N
3488198	7424	1997-07-31	PRIJEM	\N	194	47727	UROK	\N	\N
3488199	7424	1997-08-31	PRIJEM	\N	201	38150	UROK	\N	\N
3488200	7424	1997-09-30	PRIJEM	\N	220	68050	UROK	\N	\N
3488201	7424	1997-10-31	PRIJEM	\N	303	90446	UROK	\N	\N
3488202	7424	1997-11-30	PRIJEM	\N	393	36249	UROK	\N	\N
3488203	7424	1997-12-31	PRIJEM	\N	90	15632	UROK	\N	\N
3488204	7424	1998-01-31	PRIJEM	\N	52	29366	UROK	\N	\N
3488205	7424	1998-02-28	PRIJEM	\N	144	26162	UROK	\N	\N
3488206	7424	1998-03-31	PRIJEM	\N	78	15611	UROK	\N	\N
3488207	7424	1998-04-30	PRIJEM	\N	66	44428	UROK	\N	\N
3488208	7424	1998-05-31	PRIJEM	\N	252	65793	UROK	\N	\N
3488209	7424	1998-06-30	PRIJEM	\N	208	53562	UROK	\N	\N
3488210	7424	1998-07-31	PRIJEM	\N	263	52163	UROK	\N	\N
3488211	7424	1998-08-31	PRIJEM	\N	199	67620	UROK	\N	\N
3488212	7424	1998-09-30	PRIJEM	\N	155	19131	UROK	\N	\N
3488213	7424	1998-10-31	PRIJEM	\N	84	39679	UROK	\N	\N
3488214	7424	1998-11-30	PRIJEM	\N	154	45004	UROK	\N	\N
3488215	7424	1998-12-31	PRIJEM	\N	178	26030	UROK	\N	\N
3488380	7437	1997-08-31	PRIJEM	\N	48	14989	UROK	\N	\N
3488381	7437	1997-09-30	PRIJEM	\N	128	35558	UROK	\N	\N
3488382	7437	1997-10-31	PRIJEM	\N	184	46883	UROK	\N	\N
3488383	7437	1997-11-30	PRIJEM	\N	205	50229	UROK	\N	\N
3488384	7437	1997-12-31	PRIJEM	\N	202	47062	UROK	\N	\N
3488385	7437	1998-01-31	PRIJEM	\N	114	20927	UROK	\N	\N
3488386	7437	1998-02-28	PRIJEM	\N	104	26782	UROK	\N	\N
3488387	7437	1998-03-31	PRIJEM	\N	108	26744	UROK	\N	\N
3488388	7437	1998-04-30	PRIJEM	\N	126	20322	UROK	\N	\N
3488389	7437	1998-05-31	PRIJEM	\N	104	24970	UROK	\N	\N
3488390	7437	1998-06-30	PRIJEM	\N	162	42797	UROK	\N	\N
3488391	7437	1998-07-31	PRIJEM	\N	146	27248	UROK	\N	\N
3488392	7437	1998-08-31	PRIJEM	\N	153	31388	UROK	\N	\N
3488393	7437	1998-09-30	PRIJEM	\N	126	29320	UROK	\N	\N
3488394	7437	1998-10-31	PRIJEM	\N	137	31213	UROK	\N	\N
3488395	7437	1998-11-30	PRIJEM	\N	154	36811	UROK	\N	\N
3488396	7437	1998-12-31	PRIJEM	\N	180	41656	UROK	\N	\N
3488397	7445	1993-04-30	PRIJEM	\N	54	40440	UROK	\N	\N
3488398	7445	1993-05-31	PRIJEM	\N	123	84160	UROK	\N	\N
3488399	7445	1993-06-30	PRIJEM	\N	286	60251	UROK	\N	\N
3488400	7445	1993-07-31	PRIJEM	\N	260	64600	UROK	\N	\N
3488401	7445	1993-08-31	PRIJEM	\N	229	47903	UROK	\N	\N
3488402	7445	1993-09-30	PRIJEM	\N	185	45053	UROK	\N	\N
3488403	7445	1993-10-31	PRIJEM	\N	130	50306	UROK	\N	\N
3488404	7445	1993-11-30	PRIJEM	\N	104	46125	UROK	\N	\N
3488405	7445	1993-12-31	PRIJEM	\N	177	44625	UROK	\N	\N
3488406	7445	1994-01-31	PRIJEM	\N	78	27713	UROK	\N	\N
3488407	7445	1994-02-28	PRIJEM	\N	27	2263	UROK	\N	\N
3488408	7445	1994-03-31	PRIJEM	\N	52	24804	UROK	\N	\N
3488409	7445	1994-04-30	PRIJEM	\N	46	15806	UROK	\N	\N
3488410	7445	1994-05-31	PRIJEM	\N	43	18783	UROK	\N	\N
3488411	7445	1994-06-30	PRIJEM	\N	55	36320	UROK	\N	\N
3488412	7445	1994-07-31	PRIJEM	\N	40	10773	UROK	\N	\N
3488413	7445	1994-08-31	PRIJEM	\N	41	16092	UROK	\N	\N
3488414	7445	1994-09-30	PRIJEM	\N	68	19593	UROK	\N	\N
3488415	7445	1994-10-31	PRIJEM	\N	43	177	UROK	\N	\N
3488416	7445	1994-10-31	VYDAJ	VYBER	7	190	SANKC. UROK	\N	\N
3488417	7445	1994-11-30	PRIJEM	\N	21	10527	UROK	\N	\N
3488418	7445	1994-12-31	PRIJEM	\N	28	5269	UROK	\N	\N
3488419	7445	1995-01-31	PRIJEM	\N	24	2212	UROK	\N	\N
3488420	7445	1995-02-28	PRIJEM	\N	94	39098	UROK	\N	\N
3488421	7445	1995-03-31	PRIJEM	\N	71	24548	UROK	\N	\N
3488422	7445	1995-04-30	PRIJEM	\N	52	23396	UROK	\N	\N
3488423	7445	1995-05-31	PRIJEM	\N	20	55388	UROK	\N	\N
3488424	7445	1995-06-30	PRIJEM	\N	237	61900	UROK	\N	\N
3488425	7445	1995-07-31	PRIJEM	\N	184	40733	UROK	\N	\N
3488426	7445	1995-08-31	PRIJEM	\N	42	16470	UROK	\N	\N
3488427	7445	1995-09-30	PRIJEM	\N	263	78031	UROK	\N	\N
3488428	7445	1995-10-31	PRIJEM	\N	130	27112	UROK	\N	\N
3488429	7445	1995-11-30	PRIJEM	\N	55	13201	UROK	\N	\N
3488430	7445	1995-12-31	PRIJEM	\N	46	18139	UROK	\N	\N
3488431	7445	1996-01-31	PRIJEM	\N	95	48350	UROK	\N	\N
3488432	7445	1996-01-31	VYDAJ	VYBER	3	48449	SANKC. UROK	\N	\N
3488433	7445	1996-02-29	PRIJEM	\N	298	87359	UROK	\N	\N
3488434	7445	1996-03-31	PRIJEM	\N	241	106073	UROK	\N	\N
3488435	7445	1996-04-30	PRIJEM	\N	356	77205	UROK	\N	\N
3488436	7445	1996-05-31	PRIJEM	\N	149	64881	UROK	\N	\N
3488437	7445	1996-06-30	PRIJEM	\N	112	17747	UROK	\N	\N
3488438	7445	1996-07-31	PRIJEM	\N	72	35353	UROK	\N	\N
3488439	7445	1996-08-31	PRIJEM	\N	20	21354	UROK	\N	\N
3488440	7445	1996-09-30	PRIJEM	\N	5	17565	UROK	\N	\N
3488441	7445	1996-10-31	PRIJEM	\N	250	108042	UROK	\N	\N
3488442	7445	1996-11-30	PRIJEM	\N	385	43450	UROK	\N	\N
3488443	7445	1996-12-31	PRIJEM	\N	329	72070	UROK	\N	\N
3488444	7445	1997-01-31	PRIJEM	\N	177	27274	UROK	\N	\N
3488445	7445	1997-02-28	PRIJEM	\N	145	39564	UROK	\N	\N
3488446	7445	1997-03-31	PRIJEM	\N	46	45194	UROK	\N	\N
3488447	7445	1997-04-30	PRIJEM	\N	146	6819	UROK	\N	\N
3488448	7445	1997-06-30	PRIJEM	\N	84	27374	UROK	\N	\N
3488449	7445	1997-07-31	PRIJEM	\N	51	31511	UROK	\N	\N
3488450	7445	1997-08-31	PRIJEM	\N	17	22321	UROK	\N	\N
3488451	7445	1997-09-30	PRIJEM	\N	203	53487	UROK	\N	\N
3488452	7445	1997-10-31	PRIJEM	\N	322	46993	UROK	\N	\N
3488453	7445	1997-11-30	PRIJEM	\N	22	24637	UROK	\N	\N
3488454	7445	1997-12-31	PRIJEM	\N	76	24749	UROK	\N	\N
3488455	7445	1998-01-31	PRIJEM	\N	14	9380	UROK	\N	\N
3488456	7445	1998-02-28	PRIJEM	\N	0	9073	UROK	\N	\N
3488457	7445	1998-03-31	PRIJEM	\N	6	8964	UROK	\N	\N
3488458	7445	1998-04-30	PRIJEM	\N	4	6459	UROK	\N	\N
3488459	7445	1998-05-31	PRIJEM	\N	68	5048	UROK	\N	\N
3488460	7445	1998-05-31	VYDAJ	VYBER	9	5106	SANKC. UROK	\N	\N
3488461	7445	1998-08-31	PRIJEM	\N	47	73139	UROK	\N	\N
3488462	7445	1998-09-30	PRIJEM	\N	210	39344	UROK	\N	\N
3488463	7445	1998-10-31	PRIJEM	\N	184	42278	UROK	\N	\N
3488464	7445	1998-11-30	PRIJEM	\N	78	11997	UROK	\N	\N
3488465	7445	1998-12-31	PRIJEM	\N	68	16408	UROK	\N	\N
3488466	7449	1993-12-31	PRIJEM	\N	15	15894	UROK	\N	\N
3488467	7449	1994-01-31	PRIJEM	\N	26	24600	UROK	\N	\N
3488468	7449	1994-02-28	PRIJEM	\N	25	27616	UROK	\N	\N
3488469	7449	1994-03-31	PRIJEM	\N	29	31149	UROK	\N	\N
3488470	7449	1994-04-30	PRIJEM	\N	31	32296	UROK	\N	\N
3488471	7449	1994-05-31	PRIJEM	\N	30	28006	UROK	\N	\N
3488472	7449	1994-06-30	PRIJEM	\N	36	28723	UROK	\N	\N
3488473	7449	1994-07-31	PRIJEM	\N	119	29013	UROK	\N	\N
3488474	7449	1994-08-31	PRIJEM	\N	121	32849	UROK	\N	\N
3488475	7449	1994-09-30	PRIJEM	\N	41	29862	UROK	\N	\N
3488476	7449	1994-10-31	PRIJEM	\N	41	28224	UROK	\N	\N
3488477	7449	1994-11-30	PRIJEM	\N	41	27350	UROK	\N	\N
3488478	7449	1994-12-31	PRIJEM	\N	66	28256	UROK	\N	\N
3488479	7449	1995-01-31	PRIJEM	\N	112	26991	UROK	\N	\N
3488480	7449	1995-02-28	PRIJEM	\N	100	21604	UROK	\N	\N
3488481	7449	1995-03-31	PRIJEM	\N	40	23705	UROK	\N	\N
3488482	7449	1995-04-30	PRIJEM	\N	97	26773	UROK	\N	\N
3488483	7449	1995-05-31	PRIJEM	\N	46	27251	UROK	\N	\N
3488484	7449	1995-06-30	PRIJEM	\N	19	11362	UROK	\N	\N
3488485	7449	1995-06-30	VYDAJ	VYBER	7	11384	SANKC. UROK	\N	\N
3488486	7449	1995-07-31	PRIJEM	\N	34	16223	UROK	\N	\N
3488487	7449	1995-08-31	PRIJEM	\N	75	23501	UROK	\N	\N
3488488	7449	1995-09-30	PRIJEM	\N	51	25582	UROK	\N	\N
3488489	7449	1995-10-31	PRIJEM	\N	60	29423	UROK	\N	\N
3488490	7449	1995-11-30	PRIJEM	\N	71	31487	UROK	\N	\N
3488491	7449	1995-12-31	PRIJEM	\N	121	31437	UROK	\N	\N
3488492	7449	1996-01-31	PRIJEM	\N	71	24320	UROK	\N	\N
3488493	7449	1996-02-29	PRIJEM	\N	66	28856	UROK	\N	\N
3488494	7449	1996-03-31	PRIJEM	\N	107	33448	UROK	\N	\N
3488495	7449	1996-04-30	PRIJEM	\N	140	36900	UROK	\N	\N
3488496	7449	1996-05-31	PRIJEM	\N	150	40621	UROK	\N	\N
3488497	7449	1996-06-30	PRIJEM	\N	72	22837	UROK	\N	\N
3488498	7449	1996-07-31	PRIJEM	\N	112	32220	UROK	\N	\N
3488499	7449	1996-08-31	PRIJEM	\N	147	40198	UROK	\N	\N
3488500	7449	1996-09-30	PRIJEM	\N	165	44734	UROK	\N	\N
3488501	7449	1996-10-31	PRIJEM	\N	130	42346	UROK	\N	\N
3488502	7449	1996-11-30	PRIJEM	\N	126	42276	UROK	\N	\N
3488503	7449	1996-12-31	PRIJEM	\N	174	47333	UROK	\N	\N
3488504	7449	1997-01-31	PRIJEM	\N	142	41387	UROK	\N	\N
3488505	7449	1997-02-28	PRIJEM	\N	136	47145	UROK	\N	\N
3488506	7449	1997-03-31	PRIJEM	\N	148	49565	UROK	\N	\N
3488507	7449	1997-04-30	PRIJEM	\N	202	48428	UROK	\N	\N
3488508	7449	1997-05-31	PRIJEM	\N	167	45874	UROK	\N	\N
3488509	7449	1997-06-30	PRIJEM	\N	99	11553	UROK	\N	\N
3488510	7449	1997-07-31	PRIJEM	\N	109	34834	UROK	\N	\N
3488511	7449	1997-08-31	PRIJEM	\N	165	46179	UROK	\N	\N
3488512	7449	1997-09-30	PRIJEM	\N	180	50382	UROK	\N	\N
3488513	7449	1997-10-31	PRIJEM	\N	162	53016	UROK	\N	\N
3488514	7449	1997-11-30	PRIJEM	\N	179	44123	UROK	\N	\N
3488515	7449	1997-12-31	PRIJEM	\N	149	39926	UROK	\N	\N
3488516	7449	1998-01-31	PRIJEM	\N	143	38700	UROK	\N	\N
3488517	7449	1998-02-28	PRIJEM	\N	126	35068	UROK	\N	\N
3488518	7449	1998-03-31	PRIJEM	\N	129	37198	UROK	\N	\N
3488519	7449	1998-04-30	PRIJEM	\N	126	37226	UROK	\N	\N
3488520	7449	1998-05-31	PRIJEM	\N	95	34352	UROK	\N	\N
3488521	7449	1998-06-30	PRIJEM	\N	102	37871	UROK	\N	\N
3488522	7449	1998-07-31	PRIJEM	\N	115	41857	UROK	\N	\N
3488523	7449	1998-08-31	PRIJEM	\N	5	41379	UROK	\N	\N
3488524	7449	1998-09-30	PRIJEM	\N	5	43796	UROK	\N	\N
3488525	7449	1998-10-31	PRIJEM	\N	10	43125	UROK	\N	\N
3488526	7449	1998-11-30	PRIJEM	\N	35	41163	UROK	\N	\N
3488527	7449	1998-12-31	PRIJEM	\N	133	47781	UROK	\N	\N
3488651	7454	1993-05-31	PRIJEM	\N	27	15193	UROK	\N	\N
3488652	7454	1993-06-30	PRIJEM	\N	81	25123	UROK	\N	\N
3488653	7454	1993-07-31	PRIJEM	\N	108	27297	UROK	\N	\N
3488654	7454	1993-08-31	PRIJEM	\N	113	26976	UROK	\N	\N
3488655	7454	1993-09-30	PRIJEM	\N	118	28589	UROK	\N	\N
3488656	7454	1993-10-31	PRIJEM	\N	109	21212	UROK	\N	\N
3488657	7454	1993-11-30	PRIJEM	\N	95	24482	UROK	\N	\N
3488658	7454	1993-12-31	PRIJEM	\N	104	23383	UROK	\N	\N
3488659	7454	1994-01-31	PRIJEM	\N	75	14372	UROK	\N	\N
3488660	7454	1994-02-28	PRIJEM	\N	77	20923	UROK	\N	\N
3488661	7454	1994-03-31	PRIJEM	\N	97	25295	UROK	\N	\N
3488662	7454	1994-04-30	PRIJEM	\N	110	27479	UROK	\N	\N
3488663	7454	1994-05-31	PRIJEM	\N	117	28670	UROK	\N	\N
3488664	7454	1994-06-30	PRIJEM	\N	116	26825	UROK	\N	\N
3488665	7454	1994-07-31	PRIJEM	\N	103	23284	UROK	\N	\N
3488666	7454	1994-08-31	PRIJEM	\N	96	22635	UROK	\N	\N
3488667	7454	1994-09-30	PRIJEM	\N	89	20379	UROK	\N	\N
3488668	7454	1994-10-31	PRIJEM	\N	88	20922	UROK	\N	\N
3488669	7454	1994-11-30	PRIJEM	\N	79	18057	UROK	\N	\N
3488670	7454	1994-12-31	PRIJEM	\N	72	15027	UROK	\N	\N
3488671	7454	1995-01-31	PRIJEM	\N	68	15230	UROK	\N	\N
3488672	7454	1995-02-28	PRIJEM	\N	63	14848	UROK	\N	\N
3488673	7454	1995-03-31	PRIJEM	\N	59	13463	UROK	\N	\N
3488674	7454	1995-04-30	PRIJEM	\N	57	13575	UROK	\N	\N
3488675	7454	1995-05-31	PRIJEM	\N	57	13788	UROK	\N	\N
3488676	7454	1995-06-30	PRIJEM	\N	56	12182	UROK	\N	\N
3488677	7454	1995-07-31	PRIJEM	\N	52	12489	UROK	\N	\N
3488678	7454	1995-08-31	PRIJEM	\N	52	12597	UROK	\N	\N
3488679	7454	1995-09-30	PRIJEM	\N	56	12708	UROK	\N	\N
3488680	7454	1995-10-31	PRIJEM	\N	53	12817	UROK	\N	\N
3488681	7454	1995-11-30	PRIJEM	\N	55	12927	UROK	\N	\N
3488682	7454	1995-12-31	PRIJEM	\N	61	15126	UROK	\N	\N
3488683	7454	1996-01-31	PRIJEM	\N	54	12535	UROK	\N	\N
3488684	7454	1996-02-29	PRIJEM	\N	62	15252	UROK	\N	\N
3488685	7454	1996-03-31	PRIJEM	\N	62	14869	UROK	\N	\N
3488686	7454	1996-04-30	PRIJEM	\N	60	14384	UROK	\N	\N
3488687	7454	1996-05-31	PRIJEM	\N	67	16306	UROK	\N	\N
3488688	7454	1996-06-30	PRIJEM	\N	65	14309	UROK	\N	\N
3488689	7454	1996-07-31	PRIJEM	\N	61	14425	UROK	\N	\N
3488690	7454	1996-08-31	PRIJEM	\N	60	14540	UROK	\N	\N
3488691	7454	1996-09-30	PRIJEM	\N	60	14656	UROK	\N	\N
3488692	7454	1996-10-31	PRIJEM	\N	61	12672	UROK	\N	\N
3488693	7454	1996-11-30	PRIJEM	\N	56	12783	UROK	\N	\N
3488694	7454	1996-12-31	PRIJEM	\N	59	13861	UROK	\N	\N
3488695	7454	1997-01-31	PRIJEM	\N	56	13132	UROK	\N	\N
3488696	7454	1997-02-28	PRIJEM	\N	54	13241	UROK	\N	\N
3488697	7454	1997-03-31	PRIJEM	\N	56	14453	UROK	\N	\N
3488698	7454	1997-04-30	PRIJEM	\N	60	12968	UROK	\N	\N
3488699	7454	1997-05-31	PRIJEM	\N	54	13077	UROK	\N	\N
3488700	7454	1997-06-30	PRIJEM	\N	61	15277	UROK	\N	\N
3488701	7454	1997-07-31	PRIJEM	\N	63	14595	UROK	\N	\N
3488702	7454	1997-08-31	PRIJEM	\N	63	14714	UROK	\N	\N
3488703	7454	1997-09-30	PRIJEM	\N	63	15032	UROK	\N	\N
3488704	7454	1997-10-31	PRIJEM	\N	61	14548	UROK	\N	\N
3488705	7454	1997-11-30	PRIJEM	\N	58	13862	UROK	\N	\N
3488706	7454	1997-12-31	PRIJEM	\N	64	15864	UROK	\N	\N
3488707	7454	1998-01-31	PRIJEM	\N	63	15022	UROK	\N	\N
3488708	7454	1998-02-28	PRIJEM	\N	64	15142	UROK	\N	\N
3488709	7454	1998-03-31	PRIJEM	\N	63	15260	UROK	\N	\N
3488710	7454	1998-04-30	PRIJEM	\N	62	15377	UROK	\N	\N
3488711	7454	1998-05-31	PRIJEM	\N	63	15496	UROK	\N	\N
3488712	7454	1998-06-30	PRIJEM	\N	69	17922	UROK	\N	\N
3488713	7454	1998-07-31	PRIJEM	\N	71	17767	UROK	\N	\N
3488714	7454	1998-08-31	PRIJEM	\N	74	18115	UROK	\N	\N
3488715	7454	1998-09-30	PRIJEM	\N	72	18061	UROK	\N	\N
3488716	7454	1998-10-31	PRIJEM	\N	71	18007	UROK	\N	\N
3488717	7454	1998-11-30	PRIJEM	\N	68	16890	UROK	\N	\N
3488718	7454	1998-12-31	PRIJEM	\N	69	17416	UROK	\N	\N
3488786	7465	1997-09-30	PRIJEM	\N	84	37895	UROK	\N	\N
3488787	7465	1997-10-31	PRIJEM	\N	132	26919	UROK	\N	\N
3488788	7465	1997-11-30	PRIJEM	\N	112	20031	UROK	\N	\N
3488789	7465	1997-12-31	PRIJEM	\N	112	12643	UROK	\N	\N
3488790	7465	1998-01-31	PRIJEM	\N	112	10554	UROK	\N	\N
3488791	7465	1998-02-28	PRIJEM	\N	88	17514	UROK	\N	\N
3488792	7465	1998-03-31	PRIJEM	\N	73	64603	UROK	\N	\N
3488793	7465	1998-04-30	PRIJEM	\N	163	37272	UROK	\N	\N
3488794	7465	1998-05-31	PRIJEM	\N	136	26639	UROK	\N	\N
3488795	7465	1998-06-30	PRIJEM	\N	96	19012	UROK	\N	\N
3488796	7465	1998-07-31	PRIJEM	\N	54	10165	UROK	\N	\N
3488797	7465	1998-08-31	PRIJEM	\N	22	3087	UROK	\N	\N
3488798	7465	1998-09-30	PRIJEM	\N	12	9391	UROK	\N	\N
3488799	7465	1998-09-30	VYDAJ	VYBER	8	9383	SANKC. UROK	\N	\N
3488800	7465	1998-10-31	PRIJEM	\N	18	2302	UROK	\N	\N
3488801	7465	1998-11-30	PRIJEM	\N	2	-2269	UROK	\N	\N
3488802	7465	1998-11-30	VYDAJ	VYBER	17	-2286	SANKC. UROK	\N	\N
3488803	7465	1998-12-31	PRIJEM	\N	203	84976	UROK	\N	\N
3488804	7465	1998-12-31	VYDAJ	VYBER	1	84975	SANKC. UROK	\N	\N
3489018	7485	1993-08-31	PRIJEM	\N	16	23815	UROK	\N	\N
3489019	7485	1993-09-30	PRIJEM	\N	106	33920	UROK	\N	\N
3489020	7485	1993-10-31	PRIJEM	\N	147	41666	UROK	\N	\N
3489021	7485	1993-11-30	PRIJEM	\N	174	42539	UROK	\N	\N
3489022	7485	1993-12-31	PRIJEM	\N	194	40929	UROK	\N	\N
3489023	7485	1994-01-31	PRIJEM	\N	103	25187	UROK	\N	\N
3489024	7485	1994-02-28	PRIJEM	\N	118	20210	UROK	\N	\N
3489025	7485	1994-03-31	PRIJEM	\N	107	26223	UROK	\N	\N
3489026	7485	1994-04-30	PRIJEM	\N	122	28250	UROK	\N	\N
3489027	7485	1994-05-31	PRIJEM	\N	127	28644	UROK	\N	\N
3489028	7485	1994-06-30	PRIJEM	\N	152	34900	UROK	\N	\N
3489029	7485	1994-07-31	PRIJEM	\N	157	36663	UROK	\N	\N
3489030	7485	1994-08-31	PRIJEM	\N	140	27357	UROK	\N	\N
3489031	7485	1994-09-30	PRIJEM	\N	128	32191	UROK	\N	\N
3489032	7485	1994-10-31	PRIJEM	\N	132	23308	UROK	\N	\N
3489033	7485	1994-11-30	PRIJEM	\N	107	23517	UROK	\N	\N
3489034	7485	1994-12-31	PRIJEM	\N	117	26539	UROK	\N	\N
3489035	7485	1995-01-31	PRIJEM	\N	93	24337	UROK	\N	\N
3489036	7485	1995-02-28	PRIJEM	\N	118	32060	UROK	\N	\N
3489037	7485	1995-03-31	PRIJEM	\N	144	35010	UROK	\N	\N
3489038	7485	1995-04-30	PRIJEM	\N	136	26567	UROK	\N	\N
3489039	7485	1995-05-31	PRIJEM	\N	123	31396	UROK	\N	\N
3489040	7485	1995-06-30	PRIJEM	\N	133	28334	UROK	\N	\N
3489041	7485	1995-07-31	PRIJEM	\N	119	25028	UROK	\N	\N
3489042	7485	1995-08-31	PRIJEM	\N	118	27532	UROK	\N	\N
3489043	7485	1995-09-30	PRIJEM	\N	134	36471	UROK	\N	\N
3489044	7485	1995-10-31	PRIJEM	\N	157	38834	UROK	\N	\N
3489045	7485	1995-11-30	PRIJEM	\N	168	42308	UROK	\N	\N
3489046	7485	1995-12-31	PRIJEM	\N	163	43275	UROK	\N	\N
3489047	7485	1996-01-31	PRIJEM	\N	122	24103	UROK	\N	\N
3489048	7485	1996-02-29	PRIJEM	\N	118	34127	UROK	\N	\N
3489049	7485	1996-03-31	PRIJEM	\N	149	38182	UROK	\N	\N
3489050	7485	1996-04-30	PRIJEM	\N	168	43155	UROK	\N	\N
3489051	7485	1996-05-31	PRIJEM	\N	182	41742	UROK	\N	\N
3489052	7485	1996-06-30	PRIJEM	\N	122	25268	UROK	\N	\N
3489053	7485	1996-07-31	PRIJEM	\N	161	46534	UROK	\N	\N
3489054	7485	1996-08-31	PRIJEM	\N	200	54139	UROK	\N	\N
3489055	7485	1996-09-30	PRIJEM	\N	234	60579	UROK	\N	\N
3489056	7485	1996-10-31	PRIJEM	\N	219	57103	UROK	\N	\N
3489057	7485	1996-11-30	PRIJEM	\N	166	30796	UROK	\N	\N
3489058	7485	1996-12-31	PRIJEM	\N	187	50187	UROK	\N	\N
3489059	7485	1997-01-31	PRIJEM	\N	154	29254	UROK	\N	\N
3489060	7485	1997-02-28	PRIJEM	\N	159	48218	UROK	\N	\N
3489061	7485	1997-03-31	PRIJEM	\N	194	39818	UROK	\N	\N
3489062	7485	1997-04-30	PRIJEM	\N	175	46598	UROK	\N	\N
3489063	7485	1997-05-31	PRIJEM	\N	152	42856	UROK	\N	\N
3489064	7485	1997-06-30	PRIJEM	\N	205	58165	UROK	\N	\N
3489065	7485	1997-07-31	PRIJEM	\N	173	46744	UROK	\N	\N
3489066	7485	1997-08-31	PRIJEM	\N	170	46720	UROK	\N	\N
3489067	7485	1997-09-30	PRIJEM	\N	142	37467	UROK	\N	\N
3489068	7485	1997-10-31	PRIJEM	\N	117	32989	UROK	\N	\N
3489069	7485	1997-11-30	PRIJEM	\N	122	36317	UROK	\N	\N
3489070	7485	1997-12-31	PRIJEM	\N	108	31129	UROK	\N	\N
3489071	7485	1998-01-31	PRIJEM	\N	119	29153	UROK	\N	\N
3489072	7485	1998-02-28	PRIJEM	\N	122	37781	UROK	\N	\N
3489073	7485	1998-03-31	PRIJEM	\N	123	35710	UROK	\N	\N
3489074	7485	1998-04-30	PRIJEM	\N	123	36238	UROK	\N	\N
3489075	7485	1998-05-31	PRIJEM	\N	116	33759	UROK	\N	\N
3489076	7485	1998-06-30	PRIJEM	\N	189	54453	UROK	\N	\N
3489077	7485	1998-07-31	PRIJEM	\N	149	39307	UROK	\N	\N
3489078	7485	1998-08-31	PRIJEM	\N	124	35236	UROK	\N	\N
3489079	7485	1998-09-30	PRIJEM	\N	131	38073	UROK	\N	\N
3489080	7485	1998-10-31	PRIJEM	\N	145	25823	UROK	\N	\N
3489081	7485	1998-11-30	PRIJEM	\N	130	28558	UROK	\N	\N
3489082	7485	1998-12-31	PRIJEM	\N	159	47322	UROK	\N	\N
3489083	7487	1995-10-31	PRIJEM	\N	2	12502	UROK	\N	\N
3489084	7487	1995-11-30	PRIJEM	\N	52	17854	UROK	\N	\N
3489085	7487	1995-12-31	PRIJEM	\N	58	32792	UROK	\N	\N
3489086	7487	1996-01-31	PRIJEM	\N	136	24429	UROK	\N	\N
3489087	7487	1996-02-29	PRIJEM	\N	197	62738	UROK	\N	\N
3489088	7487	1996-03-31	PRIJEM	\N	258	56814	UROK	\N	\N
3489089	7487	1996-04-30	PRIJEM	\N	368	60068	UROK	\N	\N
3489090	7487	1996-05-31	PRIJEM	\N	194	29533	UROK	\N	\N
3489091	7487	1996-06-30	PRIJEM	\N	122	21438	UROK	\N	\N
3489092	7487	1996-07-31	PRIJEM	\N	65	16253	UROK	\N	\N
3489093	7487	1996-08-31	PRIJEM	\N	32	4149	UROK	\N	\N
3489094	7487	1996-09-30	PRIJEM	\N	23	18705	UROK	\N	\N
3489095	7487	1996-10-31	PRIJEM	\N	46	11416	UROK	\N	\N
3489096	7487	1996-11-30	PRIJEM	\N	47	14858	UROK	\N	\N
3489097	7487	1996-12-31	PRIJEM	\N	26	2748	UROK	\N	\N
3489098	7487	1997-01-31	PRIJEM	\N	11	-2048	UROK	\N	\N
3489099	7487	1997-01-31	VYDAJ	VYBER	1	-2049	SANKC. UROK	\N	\N
3489100	7487	1997-02-28	PRIJEM	\N	56	20652	UROK	\N	\N
3489101	7487	1997-02-28	VYDAJ	VYBER	9	20628	SANKC. UROK	\N	\N
3489102	7487	1997-03-31	PRIJEM	\N	62	58802	UROK	\N	\N
3489103	7487	1997-04-30	PRIJEM	\N	188	27554	UROK	\N	\N
3489104	7487	1997-05-31	PRIJEM	\N	158	91621	UROK	\N	\N
3489105	7487	1997-06-30	PRIJEM	\N	310	65728	UROK	\N	\N
3489106	7487	1997-07-31	PRIJEM	\N	241	40078	UROK	\N	\N
3489107	7487	1997-08-31	PRIJEM	\N	173	62466	UROK	\N	\N
3489108	7487	1997-09-30	PRIJEM	\N	268	45682	UROK	\N	\N
3489109	7487	1997-10-31	PRIJEM	\N	115	17062	UROK	\N	\N
3489110	7487	1997-11-30	PRIJEM	\N	96	23070	UROK	\N	\N
3489111	7487	1997-12-31	PRIJEM	\N	115	30032	UROK	\N	\N
3489112	7487	1998-01-31	PRIJEM	\N	140	53950	UROK	\N	\N
3489113	7487	1998-02-28	PRIJEM	\N	295	59357	UROK	\N	\N
3489114	7487	1998-03-31	PRIJEM	\N	131	21246	UROK	\N	\N
3489115	7487	1998-04-30	PRIJEM	\N	208	66151	UROK	\N	\N
3489116	7487	1998-05-31	PRIJEM	\N	258	36277	UROK	\N	\N
3489117	7487	1998-06-30	PRIJEM	\N	115	21912	UROK	\N	\N
3489118	7487	1998-07-31	PRIJEM	\N	65	15141	UROK	\N	\N
3489119	7487	1998-08-31	PRIJEM	\N	26	3031	UROK	\N	\N
3489120	7487	1998-09-30	PRIJEM	\N	11	3028	UROK	\N	\N
3489121	7487	1998-11-30	PRIJEM	\N	13	82327	UROK	\N	\N
3489122	7487	1998-11-30	PRIJEM	\N	118	82314	UROK	\N	\N
3489123	7487	1998-12-31	PRIJEM	\N	226	34781	UROK	\N	\N
3489397	7520	1996-04-30	PRIJEM	\N	6	22184	UROK	\N	\N
3489398	7520	1996-05-31	PRIJEM	\N	12	30563	UROK	\N	\N
3489399	7520	1996-06-30	PRIJEM	\N	17	41034	UROK	\N	\N
3489400	7520	1996-07-31	PRIJEM	\N	21	38456	UROK	\N	\N
3489401	7520	1996-08-31	PRIJEM	\N	51	36009	UROK	\N	\N
3489402	7520	1996-09-30	PRIJEM	\N	151	37714	UROK	\N	\N
3489403	7520	1996-10-31	PRIJEM	\N	156	38775	UROK	\N	\N
3489404	7520	1996-11-30	PRIJEM	\N	82	37546	UROK	\N	\N
3489405	7520	1996-12-31	PRIJEM	\N	55	39741	UROK	\N	\N
3489406	7520	1997-01-31	PRIJEM	\N	128	29854	UROK	\N	\N
3489407	7520	1997-02-28	PRIJEM	\N	57	30165	UROK	\N	\N
3489408	7520	1997-03-31	PRIJEM	\N	33	31407	UROK	\N	\N
3489409	7520	1997-04-30	PRIJEM	\N	128	32390	UROK	\N	\N
3489410	7520	1997-05-31	PRIJEM	\N	127	29000	UROK	\N	\N
3489411	7520	1997-06-30	PRIJEM	\N	121	21188	UROK	\N	\N
3489412	7520	1997-07-31	PRIJEM	\N	25	19991	UROK	\N	\N
3489413	7520	1997-08-31	PRIJEM	\N	78	19505	UROK	\N	\N
3489414	7520	1997-09-30	PRIJEM	\N	88	17814	UROK	\N	\N
3489415	7520	1997-10-31	PRIJEM	\N	67	14220	UROK	\N	\N
3489416	7520	1997-11-30	PRIJEM	\N	49	13075	UROK	\N	\N
3489417	7520	1997-12-31	PRIJEM	\N	12	8126	UROK	\N	\N
3489418	7520	1998-01-31	PRIJEM	\N	23	-726	UROK	\N	\N
3489419	7520	1998-01-31	VYDAJ	VYBER	9	-738	SANKC. UROK	\N	\N
3489420	7520	1998-02-28	VYDAJ	VYBER	25	-1309	SANKC. UROK	\N	\N
3489421	7520	1998-03-31	VYDAJ	VYBER	7	-312	SANKC. UROK	\N	\N
3489422	7520	1998-04-30	VYDAJ	VYBER	12	-1480	SANKC. UROK	\N	\N
3489423	7520	1998-05-31	VYDAJ	VYBER	23	-3833	SANKC. UROK	\N	\N
3489424	7520	1998-06-30	VYDAJ	VYBER	21	-3193	SANKC. UROK	\N	\N
3489425	7520	1998-07-31	VYDAJ	VYBER	48	-9047	SANKC. UROK	\N	\N
3489426	7520	1998-08-31	VYDAJ	VYBER	66	-12144	SANKC. UROK	\N	\N
3489427	7520	1998-09-30	VYDAJ	VYBER	54	-9251	SANKC. UROK	\N	\N
3489428	7520	1998-10-31	VYDAJ	VYBER	48	-7851	SANKC. UROK	\N	\N
3489429	7520	1998-11-30	VYDAJ	VYBER	75	-12777	SANKC. UROK	\N	\N
3489430	7520	1998-12-31	VYDAJ	VYBER	67	-11020	SANKC. UROK	\N	\N
3489447	7523	1994-09-30	PRIJEM	\N	6	23139	UROK	\N	\N
3489448	7523	1994-10-31	PRIJEM	\N	13	33095	UROK	\N	\N
3489449	7523	1994-11-30	PRIJEM	\N	17	40847	UROK	\N	\N
3489450	7523	1994-12-31	PRIJEM	\N	26	48665	UROK	\N	\N
3489451	7523	1995-01-31	PRIJEM	\N	133	29018	UROK	\N	\N
3489452	7523	1995-02-28	PRIJEM	\N	131	30990	UROK	\N	\N
3489453	7523	1995-03-31	PRIJEM	\N	102	27897	UROK	\N	\N
3489454	7523	1995-04-30	PRIJEM	\N	111	32043	UROK	\N	\N
3489455	7523	1995-05-31	PRIJEM	\N	112	32099	UROK	\N	\N
3489456	7523	1995-06-30	PRIJEM	\N	130	31981	UROK	\N	\N
3489457	7523	1995-07-31	PRIJEM	\N	135	32178	UROK	\N	\N
3489458	7523	1995-08-31	PRIJEM	\N	92	31015	UROK	\N	\N
3489459	7523	1995-09-30	PRIJEM	\N	86	29044	UROK	\N	\N
3489460	7523	1995-10-31	PRIJEM	\N	87	31704	UROK	\N	\N
3489461	7523	1995-11-30	PRIJEM	\N	123	28533	UROK	\N	\N
3489462	7523	1995-12-31	PRIJEM	\N	156	36696	UROK	\N	\N
3489463	7523	1996-01-31	PRIJEM	\N	137	19878	UROK	\N	\N
3489464	7523	1996-02-29	PRIJEM	\N	87	22420	UROK	\N	\N
3489465	7523	1996-03-31	PRIJEM	\N	96	28421	UROK	\N	\N
3489466	7523	1996-04-30	PRIJEM	\N	120	31959	UROK	\N	\N
3489467	7523	1996-05-31	PRIJEM	\N	106	22825	UROK	\N	\N
3489468	7523	1996-06-30	PRIJEM	\N	128	34302	UROK	\N	\N
3489469	7523	1996-07-31	PRIJEM	\N	149	35206	UROK	\N	\N
3489470	7523	1996-08-31	PRIJEM	\N	146	37208	UROK	\N	\N
3489471	7523	1996-09-30	PRIJEM	\N	147	35360	UROK	\N	\N
3489472	7523	1996-10-31	PRIJEM	\N	143	33575	UROK	\N	\N
3489473	7523	1996-11-30	PRIJEM	\N	121	33445	UROK	\N	\N
3489474	7523	1996-12-31	PRIJEM	\N	169	41927	UROK	\N	\N
3489475	7523	1997-01-31	PRIJEM	\N	127	21949	UROK	\N	\N
3489476	7523	1997-02-28	PRIJEM	\N	84	31044	UROK	\N	\N
3489477	7523	1997-03-31	PRIJEM	\N	129	35678	UROK	\N	\N
3489478	7523	1997-04-30	PRIJEM	\N	151	40623	UROK	\N	\N
3489479	7523	1997-05-31	PRIJEM	\N	123	42070	UROK	\N	\N
3489480	7523	1997-06-30	PRIJEM	\N	158	41851	UROK	\N	\N
3489481	7523	1997-07-31	PRIJEM	\N	119	36005	UROK	\N	\N
3489482	7523	1997-08-31	PRIJEM	\N	83	26871	UROK	\N	\N
3489483	7523	1997-09-30	PRIJEM	\N	136	35679	UROK	\N	\N
3489484	7523	1997-10-31	PRIJEM	\N	152	33996	UROK	\N	\N
3489485	7523	1997-11-30	PRIJEM	\N	94	23947	UROK	\N	\N
3489486	7523	1997-12-31	PRIJEM	\N	55	23921	UROK	\N	\N
3489487	7523	1998-01-31	PRIJEM	\N	77	21196	UROK	\N	\N
3489488	7523	1998-02-28	PRIJEM	\N	54	13700	UROK	\N	\N
3489489	7523	1998-03-31	PRIJEM	\N	43	13605	UROK	\N	\N
3489490	7523	1998-04-30	PRIJEM	\N	58	19682	UROK	\N	\N
3489491	7523	1998-05-31	PRIJEM	\N	41	15908	UROK	\N	\N
3489492	7523	1998-06-30	PRIJEM	\N	58	20935	UROK	\N	\N
3489493	7523	1998-07-31	PRIJEM	\N	76	19274	UROK	\N	\N
3489494	7523	1998-08-31	PRIJEM	\N	74	15542	UROK	\N	\N
3489495	7523	1998-09-30	PRIJEM	\N	97	19057	UROK	\N	\N
3489496	7523	1998-10-31	PRIJEM	\N	55	17002	UROK	\N	\N
3489497	7523	1998-11-30	PRIJEM	\N	64	23284	UROK	\N	\N
3489498	7523	1998-12-31	PRIJEM	\N	101	33386	UROK	\N	\N
3489769	7542	1996-06-30	PRIJEM	\N	46	20760	UROK	\N	\N
3489770	7542	1996-07-31	PRIJEM	\N	96	25165	UROK	\N	\N
3489771	7542	1996-08-31	PRIJEM	\N	119	31093	UROK	\N	\N
3489772	7542	1996-09-30	PRIJEM	\N	152	40654	UROK	\N	\N
3489773	7542	1996-10-31	PRIJEM	\N	172	42135	UROK	\N	\N
3489774	7542	1996-11-30	PRIJEM	\N	145	36402	UROK	\N	\N
3489775	7542	1996-12-31	PRIJEM	\N	143	41452	UROK	\N	\N
3489776	7542	1997-01-31	PRIJEM	\N	118	21953	UROK	\N	\N
3489777	7542	1997-02-28	PRIJEM	\N	82	22958	UROK	\N	\N
3489778	7542	1997-03-31	PRIJEM	\N	122	31202	UROK	\N	\N
3489779	7542	1997-04-30	PRIJEM	\N	109	27833	UROK	\N	\N
3489780	7542	1997-05-31	PRIJEM	\N	103	26919	UROK	\N	\N
3489781	7542	1997-06-30	PRIJEM	\N	139	34285	UROK	\N	\N
3489782	7542	1997-07-31	PRIJEM	\N	139	34847	UROK	\N	\N
3489783	7542	1997-08-31	PRIJEM	\N	137	32907	UROK	\N	\N
3489784	7542	1997-09-30	PRIJEM	\N	108	20237	UROK	\N	\N
3489785	7542	1997-10-31	PRIJEM	\N	113	30972	UROK	\N	\N
3489786	7542	1997-11-30	PRIJEM	\N	149	36897	UROK	\N	\N
3489787	7542	1997-12-31	PRIJEM	\N	163	42780	UROK	\N	\N
3489788	7542	1998-01-31	PRIJEM	\N	167	34603	UROK	\N	\N
3489789	7542	1998-02-28	PRIJEM	\N	178	43257	UROK	\N	\N
3489790	7542	1998-03-31	PRIJEM	\N	194	48127	UROK	\N	\N
3489791	7542	1998-04-30	PRIJEM	\N	210	51212	UROK	\N	\N
3489792	7542	1998-05-31	PRIJEM	\N	215	52202	UROK	\N	\N
3489793	7542	1998-06-30	PRIJEM	\N	226	57009	UROK	\N	\N
3489794	7542	1998-07-31	PRIJEM	\N	250	60034	UROK	\N	\N
3489795	7542	1998-08-31	PRIJEM	\N	243	58352	UROK	\N	\N
3489796	7542	1998-09-30	PRIJEM	\N	234	55661	UROK	\N	\N
3489797	7542	1998-10-31	PRIJEM	\N	234	56070	UROK	\N	\N
3489798	7542	1998-11-30	PRIJEM	\N	238	57384	UROK	\N	\N
3489799	7542	1998-12-31	PRIJEM	\N	262	64727	UROK	\N	\N
3489800	7546	1994-09-30	PRIJEM	\N	72	21547	UROK	\N	\N
3489801	7546	1994-10-31	PRIJEM	\N	166	44488	UROK	\N	\N
3489802	7546	1994-11-30	PRIJEM	\N	219	54782	UROK	\N	\N
3489803	7546	1994-12-31	PRIJEM	\N	283	71527	UROK	\N	\N
3489804	7546	1995-01-31	PRIJEM	\N	221	31115	UROK	\N	\N
3489805	7546	1995-02-28	PRIJEM	\N	142	19492	UROK	\N	\N
3489806	7546	1995-03-31	PRIJEM	\N	115	28095	UROK	\N	\N
3489807	7546	1995-04-30	PRIJEM	\N	157	38204	UROK	\N	\N
3489808	7546	1995-05-31	PRIJEM	\N	169	33534	UROK	\N	\N
3489809	7546	1995-06-30	PRIJEM	\N	206	53279	UROK	\N	\N
3489810	7546	1995-07-31	PRIJEM	\N	197	34829	UROK	\N	\N
3489811	7546	1995-08-31	PRIJEM	\N	187	35968	UROK	\N	\N
3489812	7546	1995-09-30	PRIJEM	\N	190	35511	UROK	\N	\N
3489813	7546	1995-10-31	PRIJEM	\N	134	24687	UROK	\N	\N
3489814	7546	1995-11-30	PRIJEM	\N	146	30990	UROK	\N	\N
3489815	7546	1995-12-31	PRIJEM	\N	156	28020	UROK	\N	\N
3489816	7546	1996-01-31	PRIJEM	\N	123	21300	UROK	\N	\N
3489817	7546	1996-02-29	PRIJEM	\N	131	28588	UROK	\N	\N
3489818	7546	1996-03-31	PRIJEM	\N	140	20384	UROK	\N	\N
3489819	7546	1996-04-30	PRIJEM	\N	124	24565	UROK	\N	\N
3489820	7546	1996-05-31	PRIJEM	\N	137	25059	UROK	\N	\N
3489821	7546	1996-06-30	PRIJEM	\N	167	30469	UROK	\N	\N
3489822	7546	1996-07-31	PRIJEM	\N	130	21156	UROK	\N	\N
3489823	7546	1996-08-31	PRIJEM	\N	127	27639	UROK	\N	\N
3489824	7546	1996-09-30	PRIJEM	\N	144	27240	UROK	\N	\N
3489825	7546	1996-10-31	PRIJEM	\N	143	27639	UROK	\N	\N
3489826	7546	1996-11-30	PRIJEM	\N	144	29135	UROK	\N	\N
3489827	7546	1996-12-31	PRIJEM	\N	142	24716	UROK	\N	\N
3489828	7546	1997-01-31	PRIJEM	\N	93	17962	UROK	\N	\N
3489829	7546	1997-02-28	PRIJEM	\N	109	20523	UROK	\N	\N
3489830	7546	1997-03-31	PRIJEM	\N	121	24986	UROK	\N	\N
3489831	7546	1997-04-30	PRIJEM	\N	132	25770	UROK	\N	\N
3489832	7546	1997-05-31	PRIJEM	\N	139	28661	UROK	\N	\N
3489833	7546	1997-06-30	PRIJEM	\N	113	19014	UROK	\N	\N
3489834	7546	1997-07-31	PRIJEM	\N	112	22579	UROK	\N	\N
3489835	7546	1997-08-31	PRIJEM	\N	113	21544	UROK	\N	\N
3489836	7546	1997-09-30	PRIJEM	\N	88	14416	UROK	\N	\N
3489837	7546	1997-10-31	PRIJEM	\N	83	14451	UROK	\N	\N
3489838	7546	1997-11-30	PRIJEM	\N	85	16588	UROK	\N	\N
3489839	7546	1997-12-31	PRIJEM	\N	103	14067	UROK	\N	\N
3489840	7546	1998-01-31	PRIJEM	\N	65	14084	UROK	\N	\N
3489841	7546	1998-02-28	PRIJEM	\N	102	20239	UROK	\N	\N
3489842	7546	1998-03-31	PRIJEM	\N	96	20887	UROK	\N	\N
3489843	7546	1998-04-30	PRIJEM	\N	106	21946	UROK	\N	\N
3489844	7546	1998-05-31	PRIJEM	\N	115	25235	UROK	\N	\N
3489845	7546	1998-06-30	PRIJEM	\N	112	21755	UROK	\N	\N
3489846	7546	1998-07-31	PRIJEM	\N	103	20511	UROK	\N	\N
3489847	7546	1998-08-31	PRIJEM	\N	102	22865	UROK	\N	\N
3489848	7546	1998-09-30	PRIJEM	\N	90	16107	UROK	\N	\N
3489849	7546	1998-10-31	PRIJEM	\N	85	19445	UROK	\N	\N
3489850	7546	1998-11-30	PRIJEM	\N	85	17583	UROK	\N	\N
3489851	7546	1998-12-31	PRIJEM	\N	92	17114	UROK	\N	\N
3489975	7559	1997-06-30	PRIJEM	\N	18	16072	UROK	\N	\N
3489976	7559	1997-07-31	PRIJEM	\N	71	19111	UROK	\N	\N
3489977	7559	1997-08-31	PRIJEM	\N	79	25360	UROK	\N	\N
3489978	7559	1997-09-30	PRIJEM	\N	94	29422	UROK	\N	\N
3489979	7559	1997-10-31	PRIJEM	\N	131	31522	UROK	\N	\N
3489980	7559	1997-11-30	PRIJEM	\N	129	31394	UROK	\N	\N
3489981	7559	1997-12-31	PRIJEM	\N	130	30351	UROK	\N	\N
3489982	7559	1998-01-31	PRIJEM	\N	108	19601	UROK	\N	\N
3489983	7559	1998-02-28	PRIJEM	\N	89	25533	UROK	\N	\N
3489984	7559	1998-03-31	PRIJEM	\N	116	30692	UROK	\N	\N
3489985	7559	1998-04-30	PRIJEM	\N	133	35067	UROK	\N	\N
3489986	7559	1998-05-31	PRIJEM	\N	148	37357	UROK	\N	\N
3489987	7559	1998-06-30	PRIJEM	\N	163	42247	UROK	\N	\N
3489988	7559	1998-07-31	PRIJEM	\N	183	45106	UROK	\N	\N
3489989	7559	1998-08-31	PRIJEM	\N	202	51885	UROK	\N	\N
3489990	7559	1998-09-30	PRIJEM	\N	217	51878	UROK	\N	\N
3489991	7559	1998-10-31	PRIJEM	\N	217	50271	UROK	\N	\N
3489992	7559	1998-11-30	PRIJEM	\N	205	48352	UROK	\N	\N
3489993	7559	1998-12-31	PRIJEM	\N	210	50924	UROK	\N	\N
3490052	7562	1995-02-28	PRIJEM	\N	65	33566	UROK	\N	\N
3490053	7562	1995-03-31	PRIJEM	\N	170	49837	UROK	\N	\N
3490054	7562	1995-04-30	PRIJEM	\N	223	58061	UROK	\N	\N
3490055	7562	1995-05-31	PRIJEM	\N	250	62311	UROK	\N	\N
3490056	7562	1995-06-30	PRIJEM	\N	267	51131	UROK	\N	\N
3490057	7562	1995-07-31	PRIJEM	\N	265	56867	UROK	\N	\N
3490058	7562	1995-08-31	PRIJEM	\N	271	45709	UROK	\N	\N
3490059	7562	1995-09-30	PRIJEM	\N	208	48088	UROK	\N	\N
3490060	7562	1995-10-31	PRIJEM	\N	251	55810	UROK	\N	\N
3490061	7562	1995-11-30	PRIJEM	\N	238	43555	UROK	\N	\N
3490062	7562	1995-12-31	PRIJEM	\N	207	35695	UROK	\N	\N
3490063	7562	1996-01-31	PRIJEM	\N	165	22181	UROK	\N	\N
3490064	7562	1996-02-29	PRIJEM	\N	139	39141	UROK	\N	\N
3490065	7562	1996-03-31	PRIJEM	\N	247	56309	UROK	\N	\N
3490066	7562	1996-04-30	PRIJEM	\N	232	45146	UROK	\N	\N
3490067	7562	1996-05-31	PRIJEM	\N	219	46985	UROK	\N	\N
3490068	7562	1996-06-30	PRIJEM	\N	245	63702	UROK	\N	\N
3490069	7562	1996-07-31	PRIJEM	\N	268	64591	UROK	\N	\N
3490070	7562	1996-08-31	PRIJEM	\N	191	35503	UROK	\N	\N
3490071	7562	1996-09-30	PRIJEM	\N	176	43099	UROK	\N	\N
3490072	7562	1996-10-31	PRIJEM	\N	223	55843	UROK	\N	\N
3490073	7562	1996-11-30	PRIJEM	\N	280	64344	UROK	\N	\N
3490074	7562	1996-12-31	PRIJEM	\N	242	42858	UROK	\N	\N
3490075	7562	1997-01-31	PRIJEM	\N	257	51635	UROK	\N	\N
3490076	7562	1997-02-28	PRIJEM	\N	261	59681	UROK	\N	\N
3490077	7562	1997-03-31	PRIJEM	\N	278	67679	UROK	\N	\N
3490078	7562	1997-04-30	PRIJEM	\N	349	87049	UROK	\N	\N
3490079	7562	1997-05-31	PRIJEM	\N	405	99075	UROK	\N	\N
3490080	7562	1997-06-30	PRIJEM	\N	383	84361	UROK	\N	\N
3490081	7562	1997-07-31	PRIJEM	\N	300	57248	UROK	\N	\N
3490082	7562	1997-08-31	PRIJEM	\N	280	69649	UROK	\N	\N
3490083	7562	1997-09-30	PRIJEM	\N	343	81813	UROK	\N	\N
3490084	7562	1997-10-31	PRIJEM	\N	300	66332	UROK	\N	\N
3490085	7562	1997-11-30	PRIJEM	\N	326	80679	UROK	\N	\N
3490086	7562	1997-12-31	PRIJEM	\N	332	70478	UROK	\N	\N
3490087	7562	1998-01-31	PRIJEM	\N	294	45670	UROK	\N	\N
3490088	7562	1998-02-28	PRIJEM	\N	244	60735	UROK	\N	\N
3490089	7562	1998-03-31	PRIJEM	\N	320	80476	UROK	\N	\N
3490090	7562	1998-04-30	PRIJEM	\N	299	56812	UROK	\N	\N
3490091	7562	1998-05-31	PRIJEM	\N	302	76185	UROK	\N	\N
3490092	7562	1998-06-30	PRIJEM	\N	376	81808	UROK	\N	\N
3490093	7562	1998-07-31	PRIJEM	\N	245	52100	UROK	\N	\N
3490094	7562	1998-08-31	PRIJEM	\N	294	67315	UROK	\N	\N
3490095	7562	1998-09-30	PRIJEM	\N	354	80089	UROK	\N	\N
3490096	7562	1998-10-31	PRIJEM	\N	389	75799	UROK	\N	\N
3490097	7562	1998-11-30	PRIJEM	\N	339	72387	UROK	\N	\N
3490098	7562	1998-12-31	PRIJEM	\N	355	79314	UROK	\N	\N
3490099	7565	1996-04-30	PRIJEM	\N	51	19538	UROK	\N	\N
3490100	7565	1996-05-31	PRIJEM	\N	138	40563	UROK	\N	\N
3490101	7565	1996-06-30	PRIJEM	\N	225	62068	UROK	\N	\N
3490102	7565	1996-07-31	PRIJEM	\N	260	63815	UROK	\N	\N
3490103	7565	1996-08-31	PRIJEM	\N	236	39489	UROK	\N	\N
3490104	7565	1996-09-30	PRIJEM	\N	196	34180	UROK	\N	\N
3490105	7565	1996-10-31	PRIJEM	\N	145	32921	UROK	\N	\N
3490106	7565	1996-11-30	PRIJEM	\N	158	33474	UROK	\N	\N
3490107	7565	1996-12-31	PRIJEM	\N	180	38443	UROK	\N	\N
3490108	7565	1997-01-31	PRIJEM	\N	114	20252	UROK	\N	\N
3490109	7565	1997-02-28	PRIJEM	\N	102	24250	UROK	\N	\N
3490110	7565	1997-03-31	PRIJEM	\N	119	24764	UROK	\N	\N
3490111	7565	1997-04-30	PRIJEM	\N	118	24177	UROK	\N	\N
3490112	7565	1997-05-31	PRIJEM	\N	123	25996	UROK	\N	\N
3490113	7565	1997-06-30	PRIJEM	\N	120	19231	UROK	\N	\N
3490114	7565	1997-07-31	PRIJEM	\N	111	21438	UROK	\N	\N
3490115	7565	1997-08-31	PRIJEM	\N	100	19233	UROK	\N	\N
3490116	7565	1997-09-30	PRIJEM	\N	109	16639	UROK	\N	\N
3490117	7565	1997-10-31	PRIJEM	\N	100	17837	UROK	\N	\N
3490118	7565	1997-11-30	PRIJEM	\N	90	15424	UROK	\N	\N
3490119	7565	1997-12-31	PRIJEM	\N	95	18709	UROK	\N	\N
3490120	7565	1998-01-31	PRIJEM	\N	94	24000	UROK	\N	\N
3490121	7565	1998-02-28	PRIJEM	\N	109	19107	UROK	\N	\N
3490122	7565	1998-03-31	PRIJEM	\N	103	28308	UROK	\N	\N
3490123	7565	1998-04-30	PRIJEM	\N	138	24743	UROK	\N	\N
3490124	7565	1998-05-31	PRIJEM	\N	117	20558	UROK	\N	\N
3490125	7565	1998-06-30	PRIJEM	\N	118	19066	UROK	\N	\N
3490126	7565	1998-07-31	PRIJEM	\N	110	28274	UROK	\N	\N
3490127	7565	1998-08-31	PRIJEM	\N	116	22588	UROK	\N	\N
3490128	7565	1998-09-30	PRIJEM	\N	97	18683	UROK	\N	\N
3490129	7565	1998-10-31	PRIJEM	\N	108	27888	UROK	\N	\N
3490130	7565	1998-11-30	PRIJEM	\N	163	37149	UROK	\N	\N
3490131	7565	1998-12-31	PRIJEM	\N	140	23779	UROK	\N	\N
3490387	7594	1996-05-31	PRIJEM	\N	86	39832	UROK	\N	\N
3490388	7594	1996-06-30	PRIJEM	\N	340	66527	UROK	\N	\N
3490389	7594	1996-07-31	PRIJEM	\N	448	49275	UROK	\N	\N
3490390	7594	1996-08-31	PRIJEM	\N	274	60185	UROK	\N	\N
3490391	7594	1996-09-30	PRIJEM	\N	184	36630	UROK	\N	\N
3490392	7594	1996-10-31	PRIJEM	\N	106	23097	UROK	\N	\N
3490393	7594	1996-11-30	PRIJEM	\N	87	19045	UROK	\N	\N
3490394	7594	1996-12-31	PRIJEM	\N	185	68939	UROK	\N	\N
3490395	7594	1997-01-31	PRIJEM	\N	160	22040	UROK	\N	\N
3490396	7594	1997-02-28	PRIJEM	\N	137	54084	UROK	\N	\N
3490397	7594	1997-03-31	PRIJEM	\N	263	37957	UROK	\N	\N
3490398	7594	1997-04-30	PRIJEM	\N	246	71954	UROK	\N	\N
3490399	7594	1997-05-31	PRIJEM	\N	255	44277	UROK	\N	\N
3490400	7594	1997-06-30	PRIJEM	\N	168	33627	UROK	\N	\N
3490401	7594	1997-07-31	PRIJEM	\N	327	99280	UROK	\N	\N
3490402	7594	1997-08-31	PRIJEM	\N	282	46136	UROK	\N	\N
3490403	7594	1997-09-30	PRIJEM	\N	180	55392	UROK	\N	\N
3490404	7594	1997-10-31	PRIJEM	\N	273	92061	UROK	\N	\N
3490405	7594	1997-11-30	PRIJEM	\N	219	46055	UROK	\N	\N
3490406	7594	1997-12-31	PRIJEM	\N	137	27835	UROK	\N	\N
3490407	7594	1998-01-31	PRIJEM	\N	116	26595	UROK	\N	\N
3490408	7594	1998-02-28	PRIJEM	\N	197	48847	UROK	\N	\N
3490409	7594	1998-03-31	PRIJEM	\N	182	39844	UROK	\N	\N
3490410	7594	1998-04-30	PRIJEM	\N	136	33889	UROK	\N	\N
3490411	7594	1998-05-31	PRIJEM	\N	114	25647	UROK	\N	\N
3490412	7594	1998-06-30	PRIJEM	\N	118	25709	UROK	\N	\N
3490413	7594	1998-07-31	PRIJEM	\N	274	72212	UROK	\N	\N
3490414	7594	1998-08-31	PRIJEM	\N	215	87126	UROK	\N	\N
3490415	7594	1998-09-30	PRIJEM	\N	218	41977	UROK	\N	\N
3490416	7594	1998-10-31	PRIJEM	\N	198	86173	UROK	\N	\N
3490417	7594	1998-11-30	PRIJEM	\N	258	62383	UROK	\N	\N
3490418	7594	1998-12-31	PRIJEM	\N	293	33623	UROK	\N	\N
3490468	7606	1995-03-31	PRIJEM	\N	72	69073	UROK	\N	\N
3490469	7606	1995-04-30	PRIJEM	\N	358	63369	UROK	\N	\N
3490470	7606	1995-05-31	PRIJEM	\N	150	36792	UROK	\N	\N
3490471	7606	1995-06-30	PRIJEM	\N	145	24460	UROK	\N	\N
3490472	7606	1995-07-31	PRIJEM	\N	181	85726	UROK	\N	\N
3490473	7606	1995-08-31	PRIJEM	\N	216	39476	UROK	\N	\N
3490474	7606	1995-09-30	PRIJEM	\N	136	30973	UROK	\N	\N
3490475	7606	1995-10-31	PRIJEM	\N	185	92395	UROK	\N	\N
3490476	7606	1995-11-30	PRIJEM	\N	280	84286	UROK	\N	\N
3490477	7606	1995-12-31	PRIJEM	\N	330	94431	UROK	\N	\N
3490478	7606	1996-01-31	PRIJEM	\N	156	19974	UROK	\N	\N
3490479	7606	1996-02-29	PRIJEM	\N	273	83130	UROK	\N	\N
3490480	7606	1996-03-31	PRIJEM	\N	262	62379	UROK	\N	\N
3490481	7606	1996-04-30	PRIJEM	\N	275	73227	UROK	\N	\N
3490482	7606	1996-05-31	PRIJEM	\N	202	36088	UROK	\N	\N
3490483	7606	1996-06-30	PRIJEM	\N	250	76031	UROK	\N	\N
3490484	7606	1996-07-31	PRIJEM	\N	335	99656	UROK	\N	\N
3490485	7606	1996-08-31	PRIJEM	\N	260	44816	UROK	\N	\N
3490486	7606	1996-09-30	PRIJEM	\N	329	73817	UROK	\N	\N
3490487	7606	1996-10-31	PRIJEM	\N	309	68288	UROK	\N	\N
3490488	7606	1996-11-30	PRIJEM	\N	178	37529	UROK	\N	\N
3490489	7606	1996-12-31	PRIJEM	\N	276	78838	UROK	\N	\N
3490490	7606	1997-01-31	PRIJEM	\N	190	23601	UROK	\N	\N
3490491	7606	1997-02-28	PRIJEM	\N	116	28383	UROK	\N	\N
3490492	7606	1997-03-31	PRIJEM	\N	217	76645	UROK	\N	\N
3490493	7606	1997-04-30	PRIJEM	\N	308	68912	UROK	\N	\N
3490494	7606	1997-05-31	PRIJEM	\N	302	96427	UROK	\N	\N
3490495	7606	1997-06-30	PRIJEM	\N	367	70215	UROK	\N	\N
3490496	7606	1997-07-31	PRIJEM	\N	339	105887	UROK	\N	\N
3490497	7606	1997-08-31	PRIJEM	\N	401	97811	UROK	\N	\N
3490498	7606	1997-09-30	PRIJEM	\N	219	117998	UROK	\N	\N
3490499	7606	1997-10-31	PRIJEM	\N	163	29424	UROK	\N	\N
3490500	7606	1997-11-30	PRIJEM	\N	171	33938	UROK	\N	\N
3490501	7606	1997-12-31	PRIJEM	\N	194	46928	UROK	\N	\N
3490502	7606	1998-01-31	PRIJEM	\N	139	36107	UROK	\N	\N
3490503	7606	1998-02-28	PRIJEM	\N	108	30378	UROK	\N	\N
3490504	7606	1998-03-31	PRIJEM	\N	87	32428	UROK	\N	\N
3490505	7606	1998-04-30	PRIJEM	\N	95	31987	UROK	\N	\N
3490506	7606	1998-05-31	PRIJEM	\N	96	35046	UROK	\N	\N
3490507	7606	1998-06-30	PRIJEM	\N	109	37618	UROK	\N	\N
3490508	7606	1998-07-31	PRIJEM	\N	91	35301	UROK	\N	\N
3490509	7606	1998-08-31	PRIJEM	\N	115	40079	UROK	\N	\N
3490510	7606	1998-09-30	PRIJEM	\N	105	30542	UROK	\N	\N
3490511	7606	1998-10-31	PRIJEM	\N	103	41509	UROK	\N	\N
3490512	7606	1998-11-30	PRIJEM	\N	121	46293	UROK	\N	\N
3490513	7606	1998-12-31	PRIJEM	\N	137	35494	UROK	\N	\N
3490514	7607	1993-09-30	PRIJEM	\N	37	15482	UROK	\N	\N
3490515	7607	1993-10-31	PRIJEM	\N	109	34136	UROK	\N	\N
3490516	7607	1993-11-30	PRIJEM	\N	164	43444	UROK	\N	\N
3490517	7607	1993-12-31	PRIJEM	\N	211	56123	UROK	\N	\N
3490518	7607	1994-01-31	PRIJEM	\N	231	52678	UROK	\N	\N
3490519	7607	1994-02-28	PRIJEM	\N	180	45168	UROK	\N	\N
3490520	7607	1994-03-31	PRIJEM	\N	166	40745	UROK	\N	\N
3490521	7607	1994-04-30	PRIJEM	\N	130	33406	UROK	\N	\N
3490522	7607	1994-05-31	PRIJEM	\N	140	37656	UROK	\N	\N
3490523	7607	1994-06-30	PRIJEM	\N	159	27567	UROK	\N	\N
3490524	7607	1994-07-31	PRIJEM	\N	130	36007	UROK	\N	\N
3490525	7607	1994-08-31	PRIJEM	\N	125	25843	UROK	\N	\N
3490526	7607	1994-09-30	PRIJEM	\N	117	33169	UROK	\N	\N
3490527	7607	1994-10-31	PRIJEM	\N	136	30015	UROK	\N	\N
3490528	7607	1994-11-30	PRIJEM	\N	132	27138	UROK	\N	\N
3490529	7607	1994-12-31	PRIJEM	\N	132	31163	UROK	\N	\N
3490530	7607	1995-01-31	PRIJEM	\N	102	21415	UROK	\N	\N
3490531	7607	1995-02-28	PRIJEM	\N	107	28632	UROK	\N	\N
3490532	7607	1995-03-31	PRIJEM	\N	126	28729	UROK	\N	\N
3490533	7607	1995-04-30	PRIJEM	\N	123	30700	UROK	\N	\N
3490534	7607	1995-05-31	PRIJEM	\N	140	31528	UROK	\N	\N
3490535	7607	1995-06-30	PRIJEM	\N	111	19190	UROK	\N	\N
3490536	7607	1995-07-31	PRIJEM	\N	94	24972	UROK	\N	\N
3490537	7607	1995-08-31	PRIJEM	\N	116	28077	UROK	\N	\N
3490538	7607	1995-09-30	PRIJEM	\N	130	33595	UROK	\N	\N
3490539	7607	1995-10-31	PRIJEM	\N	147	31730	UROK	\N	\N
3490540	7607	1995-11-30	PRIJEM	\N	142	34461	UROK	\N	\N
3490541	7607	1995-12-31	PRIJEM	\N	156	36348	UROK	\N	\N
3490542	7607	1996-01-31	PRIJEM	\N	112	23208	UROK	\N	\N
3490543	7607	1996-02-29	PRIJEM	\N	102	29638	UROK	\N	\N
3490544	7607	1996-03-31	PRIJEM	\N	134	33161	UROK	\N	\N
3490545	7607	1996-04-30	PRIJEM	\N	142	32291	UROK	\N	\N
3490546	7607	1996-05-31	PRIJEM	\N	143	35123	UROK	\N	\N
3490547	7607	1996-06-30	PRIJEM	\N	133	33386	UROK	\N	\N
3490548	7607	1996-07-31	PRIJEM	\N	140	31415	UROK	\N	\N
3490549	7607	1996-08-31	PRIJEM	\N	142	36545	UROK	\N	\N
3490550	7607	1996-09-30	PRIJEM	\N	157	38590	UROK	\N	\N
3490551	7607	1996-10-31	PRIJEM	\N	160	37138	UROK	\N	\N
3490552	7607	1996-11-30	PRIJEM	\N	161	40588	UROK	\N	\N
3490553	7607	1996-12-31	PRIJEM	\N	162	40561	UROK	\N	\N
3490554	7607	1997-01-31	PRIJEM	\N	148	34758	UROK	\N	\N
3490555	7607	1997-02-28	PRIJEM	\N	150	38296	UROK	\N	\N
3490556	7607	1997-03-31	PRIJEM	\N	167	42451	UROK	\N	\N
3490557	7607	1997-04-30	PRIJEM	\N	179	44341	UROK	\N	\N
3490558	7607	1997-05-31	PRIJEM	\N	184	42935	UROK	\N	\N
3490559	7607	1997-06-30	PRIJEM	\N	181	42049	UROK	\N	\N
3490560	7607	1997-07-31	PRIJEM	\N	166	41125	UROK	\N	\N
3490561	7607	1997-08-31	PRIJEM	\N	171	41406	UROK	\N	\N
3490562	7607	1997-09-30	PRIJEM	\N	164	39621	UROK	\N	\N
3490563	7607	1997-10-31	PRIJEM	\N	174	43605	UROK	\N	\N
3490564	7607	1997-11-30	PRIJEM	\N	182	48197	UROK	\N	\N
3490565	7607	1997-12-31	PRIJEM	\N	213	56403	UROK	\N	\N
3490566	7607	1998-01-31	PRIJEM	\N	184	40797	UROK	\N	\N
3490567	7607	1998-02-28	PRIJEM	\N	174	47581	UROK	\N	\N
3490568	7607	1998-03-31	PRIJEM	\N	190	49301	UROK	\N	\N
3490569	7607	1998-04-30	PRIJEM	\N	195	47407	UROK	\N	\N
3490570	7607	1998-05-31	PRIJEM	\N	202	51420	UROK	\N	\N
3490571	7607	1998-06-30	PRIJEM	\N	169	26642	UROK	\N	\N
3490572	7607	1998-07-31	PRIJEM	\N	141	40893	UROK	\N	\N
3490573	7607	1998-08-31	PRIJEM	\N	173	45876	UROK	\N	\N
3490574	7607	1998-09-30	PRIJEM	\N	178	45965	UROK	\N	\N
3490575	7607	1998-10-31	PRIJEM	\N	179	47254	UROK	\N	\N
3490576	7607	1998-11-30	PRIJEM	\N	188	47593	UROK	\N	\N
3490577	7607	1998-12-31	PRIJEM	\N	195	53221	UROK	\N	\N
3490637	7614	1995-03-31	PRIJEM	\N	92	31064	UROK	\N	\N
3490638	7614	1995-04-30	PRIJEM	\N	182	48618	UROK	\N	\N
3490639	7614	1995-05-31	PRIJEM	\N	230	57720	UROK	\N	\N
3490640	7614	1995-06-30	PRIJEM	\N	221	49249	UROK	\N	\N
3490641	7614	1995-07-31	PRIJEM	\N	223	42313	UROK	\N	\N
3490642	7614	1995-08-31	PRIJEM	\N	171	37747	UROK	\N	\N
3490643	7614	1995-09-30	PRIJEM	\N	256	63960	UROK	\N	\N
3490644	7614	1995-10-31	PRIJEM	\N	307	77024	UROK	\N	\N
3490645	7614	1995-11-30	PRIJEM	\N	299	70457	UROK	\N	\N
3490646	7614	1995-12-31	PRIJEM	\N	385	95736	UROK	\N	\N
3490647	7614	1996-01-31	PRIJEM	\N	288	48281	UROK	\N	\N
3490648	7614	1996-02-29	PRIJEM	\N	271	52379	UROK	\N	\N
3490649	7614	1996-03-31	PRIJEM	\N	272	60356	UROK	\N	\N
3490650	7614	1996-04-30	PRIJEM	\N	245	37691	UROK	\N	\N
3490651	7614	1996-05-31	PRIJEM	\N	252	58600	UROK	\N	\N
3490652	7614	1996-06-30	PRIJEM	\N	268	49461	UROK	\N	\N
3490653	7614	1996-07-31	PRIJEM	\N	267	61606	UROK	\N	\N
3490654	7614	1996-08-31	PRIJEM	\N	313	78498	UROK	\N	\N
3490655	7614	1996-09-30	PRIJEM	\N	311	88187	UROK	\N	\N
3490656	7614	1996-10-31	PRIJEM	\N	330	60797	UROK	\N	\N
3490657	7614	1996-11-30	PRIJEM	\N	331	61107	UROK	\N	\N
3490658	7614	1996-12-31	PRIJEM	\N	303	49984	UROK	\N	\N
3490659	7614	1997-01-31	PRIJEM	\N	224	28787	UROK	\N	\N
3490660	7614	1997-02-28	PRIJEM	\N	198	43864	UROK	\N	\N
3490661	7614	1997-03-31	PRIJEM	\N	261	51103	UROK	\N	\N
3490662	7614	1997-04-30	PRIJEM	\N	278	51960	UROK	\N	\N
3490663	7614	1997-05-31	PRIJEM	\N	288	55527	UROK	\N	\N
3490664	7614	1997-06-30	PRIJEM	\N	297	53938	UROK	\N	\N
3490665	7614	1997-07-31	PRIJEM	\N	291	54808	UROK	\N	\N
3490666	7614	1997-08-31	PRIJEM	\N	293	60180	UROK	\N	\N
3490667	7614	1997-09-30	PRIJEM	\N	276	45034	UROK	\N	\N
3490668	7614	1997-10-31	PRIJEM	\N	249	47262	UROK	\N	\N
3490669	7614	1997-11-30	PRIJEM	\N	240	49581	UROK	\N	\N
3490670	7614	1997-12-31	PRIJEM	\N	340	63136	UROK	\N	\N
3490671	7614	1998-01-31	PRIJEM	\N	264	29678	UROK	\N	\N
3490672	7614	1998-02-28	PRIJEM	\N	150	34366	UROK	\N	\N
3490673	7614	1998-03-31	PRIJEM	\N	224	42969	UROK	\N	\N
3490674	7614	1998-04-30	PRIJEM	\N	222	46870	UROK	\N	\N
3490675	7614	1998-05-31	PRIJEM	\N	250	54799	UROK	\N	\N
3490676	7614	1998-06-30	PRIJEM	\N	251	40165	UROK	\N	\N
3490677	7614	1998-07-31	PRIJEM	\N	224	52468	UROK	\N	\N
3490678	7614	1998-08-31	PRIJEM	\N	262	57909	UROK	\N	\N
3490679	7614	1998-09-30	PRIJEM	\N	276	61940	UROK	\N	\N
3490680	7614	1998-10-31	PRIJEM	\N	278	63397	UROK	\N	\N
3490681	7614	1998-11-30	PRIJEM	\N	298	67474	UROK	\N	\N
3490682	7614	1998-12-31	PRIJEM	\N	309	56197	UROK	\N	\N
3490723	7618	1995-07-31	PRIJEM	\N	66	27259	UROK	\N	\N
3490724	7618	1995-08-31	PRIJEM	\N	101	39584	UROK	\N	\N
3490725	7618	1995-09-30	PRIJEM	\N	123	47061	UROK	\N	\N
3490726	7618	1995-10-31	PRIJEM	\N	133	50221	UROK	\N	\N
3490727	7618	1995-11-30	PRIJEM	\N	137	49882	UROK	\N	\N
3490728	7618	1995-12-31	PRIJEM	\N	119	26823	UROK	\N	\N
3490729	7618	1996-01-31	PRIJEM	\N	75	3640	UROK	\N	\N
3490730	7618	1996-02-29	PRIJEM	\N	70	13781	UROK	\N	\N
3490731	7618	1996-03-31	PRIJEM	\N	87	11712	UROK	\N	\N
3490732	7618	1996-04-30	PRIJEM	\N	120	42446	UROK	\N	\N
3490733	7618	1996-05-31	PRIJEM	\N	136	41336	UROK	\N	\N
3490734	7618	1996-06-30	PRIJEM	\N	98	13740	UROK	\N	\N
3490735	7618	1996-07-31	PRIJEM	\N	77	17317	UROK	\N	\N
3490736	7618	1996-08-31	PRIJEM	\N	119	30715	UROK	\N	\N
3490737	7618	1996-09-30	PRIJEM	\N	166	46840	UROK	\N	\N
3490738	7618	1996-10-31	PRIJEM	\N	200	38206	UROK	\N	\N
3490739	7618	1996-11-30	PRIJEM	\N	171	32294	UROK	\N	\N
3490740	7618	1996-12-31	PRIJEM	\N	181	56048	UROK	\N	\N
3490741	7618	1997-01-31	PRIJEM	\N	173	28515	UROK	\N	\N
3490742	7618	1997-02-28	PRIJEM	\N	86	27522	UROK	\N	\N
3490743	7618	1997-03-31	PRIJEM	\N	111	38187	UROK	\N	\N
3490744	7618	1997-04-30	PRIJEM	\N	133	46587	UROK	\N	\N
3490745	7618	1997-05-31	PRIJEM	\N	197	53577	UROK	\N	\N
3490746	7618	1997-06-30	PRIJEM	\N	177	63864	UROK	\N	\N
3490747	7618	1997-07-31	PRIJEM	\N	168	57667	UROK	\N	\N
3490748	7618	1997-08-31	PRIJEM	\N	94	21318	UROK	\N	\N
3490749	7618	1997-09-30	PRIJEM	\N	41	36998	UROK	\N	\N
3490750	7618	1997-10-31	PRIJEM	\N	66	11636	UROK	\N	\N
3490751	7618	1997-11-30	PRIJEM	\N	46	1492	UROK	\N	\N
3490752	7618	1997-11-30	VYDAJ	VYBER	1	1490	SANKC. UROK	\N	\N
3490753	7618	1997-12-31	PRIJEM	\N	4	18930	UROK	\N	\N
3490754	7618	1998-01-31	PRIJEM	\N	57	1366	UROK	\N	\N
3490755	7618	1998-01-31	VYDAJ	VYBER	2	1439	SANKC. UROK	\N	\N
3490756	7618	1998-02-28	PRIJEM	\N	38	9098	UROK	\N	\N
3490757	7618	1998-03-31	PRIJEM	\N	4	17423	UROK	\N	\N
3490758	7618	1998-04-30	PRIJEM	\N	4	18503	UROK	\N	\N
3490759	7618	1998-05-31	PRIJEM	\N	20	5079	UROK	\N	\N
3490760	7618	1998-06-30	PRIJEM	\N	75	17714	UROK	\N	\N
3490761	7618	1998-07-31	PRIJEM	\N	64	23248	UROK	\N	\N
3490762	7618	1998-08-31	PRIJEM	\N	35	7518	UROK	\N	\N
3490763	7618	1998-09-30	PRIJEM	\N	11	17119	UROK	\N	\N
3490764	7618	1998-10-31	PRIJEM	\N	52	14426	UROK	\N	\N
3490765	7618	1998-11-30	PRIJEM	\N	15	9052	UROK	\N	\N
3490766	7618	1998-12-31	PRIJEM	\N	40	13295	UROK	\N	\N
3490821	7632	1996-10-31	PRIJEM	\N	37	27587	UROK	\N	\N
3490822	7632	1996-11-30	PRIJEM	\N	132	39769	UROK	\N	\N
3490823	7632	1996-12-31	PRIJEM	\N	182	50875	UROK	\N	\N
3490824	7632	1997-01-31	PRIJEM	\N	210	50335	UROK	\N	\N
3490825	7632	1997-02-28	PRIJEM	\N	210	51095	UROK	\N	\N
3490826	7632	1997-03-31	PRIJEM	\N	217	46518	UROK	\N	\N
3490827	7632	1997-04-30	PRIJEM	\N	186	40510	UROK	\N	\N
3490828	7632	1997-05-31	PRIJEM	\N	175	39892	UROK	\N	\N
3490829	7632	1997-06-30	PRIJEM	\N	163	35236	UROK	\N	\N
3490830	7632	1997-07-31	PRIJEM	\N	143	35546	UROK	\N	\N
3490831	7632	1997-08-31	PRIJEM	\N	143	32795	UROK	\N	\N
3490832	7632	1997-09-30	PRIJEM	\N	129	25050	UROK	\N	\N
3490833	7632	1997-10-31	PRIJEM	\N	124	32480	UROK	\N	\N
3490834	7632	1997-11-30	PRIJEM	\N	153	38539	UROK	\N	\N
3490835	7632	1997-12-31	PRIJEM	\N	170	46151	UROK	\N	\N
3490836	7632	1998-01-31	PRIJEM	\N	171	41597	UROK	\N	\N
3490837	7632	1998-02-28	PRIJEM	\N	186	43819	UROK	\N	\N
3490838	7632	1998-03-31	PRIJEM	\N	172	40146	UROK	\N	\N
3490839	7632	1998-04-30	PRIJEM	\N	176	45778	UROK	\N	\N
3490840	7632	1998-05-31	PRIJEM	\N	196	49629	UROK	\N	\N
3490841	7632	1998-06-30	PRIJEM	\N	227	60587	UROK	\N	\N
3490842	7632	1998-07-31	PRIJEM	\N	268	55510	UROK	\N	\N
3490843	7632	1998-08-31	PRIJEM	\N	232	59937	UROK	\N	\N
3490844	7632	1998-09-30	PRIJEM	\N	249	61941	UROK	\N	\N
3490845	7632	1998-10-31	PRIJEM	\N	236	54892	UROK	\N	\N
3490846	7632	1998-11-30	PRIJEM	\N	224	57071	UROK	\N	\N
3490847	7632	1998-12-31	PRIJEM	\N	225	55746	UROK	\N	\N
3490848	7636	1996-10-31	PRIJEM	\N	54	28704	UROK	\N	\N
3490849	7636	1996-11-30	PRIJEM	\N	244	98818	UROK	\N	\N
3490850	7636	1996-12-31	PRIJEM	\N	318	91147	UROK	\N	\N
3490851	7636	1997-01-31	PRIJEM	\N	151	18310	UROK	\N	\N
3490852	7636	1997-02-28	PRIJEM	\N	106	28338	UROK	\N	\N
3490853	7636	1997-03-31	PRIJEM	\N	205	86086	UROK	\N	\N
3490854	7636	1997-04-30	PRIJEM	\N	254	75576	UROK	\N	\N
3490855	7636	1997-05-31	PRIJEM	\N	157	27551	UROK	\N	\N
3490856	7636	1997-06-30	PRIJEM	\N	237	61321	UROK	\N	\N
3490857	7636	1997-07-31	PRIJEM	\N	159	25154	UROK	\N	\N
3490858	7636	1997-08-31	PRIJEM	\N	113	25329	UROK	\N	\N
3490859	7636	1997-09-30	PRIJEM	\N	147	54638	UROK	\N	\N
3490860	7636	1997-10-31	PRIJEM	\N	190	49702	UROK	\N	\N
3490861	7636	1997-11-30	PRIJEM	\N	125	25775	UROK	\N	\N
3490862	7636	1997-12-31	PRIJEM	\N	206	77271	UROK	\N	\N
3490863	7636	1998-01-31	PRIJEM	\N	172	35127	UROK	\N	\N
3490864	7636	1998-02-28	PRIJEM	\N	126	28304	UROK	\N	\N
3490865	7636	1998-03-31	PRIJEM	\N	127	29782	UROK	\N	\N
3490866	7636	1998-04-30	PRIJEM	\N	117	24150	UROK	\N	\N
3490867	7636	1998-05-31	PRIJEM	\N	127	37828	UROK	\N	\N
3490868	7636	1998-06-30	PRIJEM	\N	138	42917	UROK	\N	\N
3490869	7636	1998-07-31	PRIJEM	\N	110	39379	UROK	\N	\N
3490870	7636	1998-08-31	PRIJEM	\N	146	42677	UROK	\N	\N
3490871	7636	1998-09-30	PRIJEM	\N	159	41987	UROK	\N	\N
3490872	7636	1998-10-31	PRIJEM	\N	151	34889	UROK	\N	\N
3490873	7636	1998-11-30	PRIJEM	\N	127	33967	UROK	\N	\N
3490874	7636	1998-12-31	PRIJEM	\N	115	30234	UROK	\N	\N
3490875	7637	1996-09-30	PRIJEM	\N	44	24163	UROK	\N	\N
3490876	7637	1996-10-31	PRIJEM	\N	126	37507	UROK	\N	\N
3490877	7637	1996-11-30	PRIJEM	\N	163	41289	UROK	\N	\N
3490878	7637	1996-12-31	PRIJEM	\N	192	51559	UROK	\N	\N
3490879	7637	1997-01-31	PRIJEM	\N	212	44490	UROK	\N	\N
3490880	7637	1997-02-28	PRIJEM	\N	176	35487	UROK	\N	\N
3490881	7637	1997-03-31	PRIJEM	\N	163	37231	UROK	\N	\N
3490882	7637	1997-04-30	PRIJEM	\N	167	38058	UROK	\N	\N
3490883	7637	1997-05-31	PRIJEM	\N	177	41415	UROK	\N	\N
3490884	7637	1997-06-30	PRIJEM	\N	193	25167	UROK	\N	\N
3490885	7637	1997-07-31	PRIJEM	\N	140	36187	UROK	\N	\N
3490886	7637	1997-08-31	PRIJEM	\N	173	40940	UROK	\N	\N
3490887	7637	1997-09-30	PRIJEM	\N	183	44603	UROK	\N	\N
3490888	7637	1997-10-31	PRIJEM	\N	195	44878	UROK	\N	\N
3490889	7637	1997-11-30	PRIJEM	\N	195	44953	UROK	\N	\N
3490890	7637	1997-12-31	PRIJEM	\N	217	48569	UROK	\N	\N
3490891	7637	1998-01-31	PRIJEM	\N	194	44703	UROK	\N	\N
3490892	7637	1998-02-28	PRIJEM	\N	195	45599	UROK	\N	\N
3490893	7637	1998-03-31	PRIJEM	\N	220	49299	UROK	\N	\N
3490894	7637	1998-04-30	PRIJEM	\N	210	48689	UROK	\N	\N
3490895	7637	1998-05-31	PRIJEM	\N	203	47612	UROK	\N	\N
3490896	7637	1998-06-30	PRIJEM	\N	181	38773	UROK	\N	\N
3490897	7637	1998-07-31	PRIJEM	\N	186	45439	UROK	\N	\N
3490898	7637	1998-08-31	PRIJEM	\N	217	53036	UROK	\N	\N
3490899	7637	1998-09-30	PRIJEM	\N	234	56050	UROK	\N	\N
3490900	7637	1998-10-31	PRIJEM	\N	226	50637	UROK	\N	\N
3490901	7637	1998-11-30	PRIJEM	\N	248	60185	UROK	\N	\N
3490902	7637	1998-12-31	PRIJEM	\N	322	80447	UROK	\N	\N
3491305	7674	1996-07-31	PRIJEM	\N	41	30839	UROK	\N	\N
3491306	7674	1996-08-31	PRIJEM	\N	189	77536	UROK	\N	\N
3491307	7674	1996-09-30	PRIJEM	\N	286	55678	UROK	\N	\N
3491308	7674	1996-10-31	PRIJEM	\N	280	73279	UROK	\N	\N
3491309	7674	1996-11-30	PRIJEM	\N	305	57098	UROK	\N	\N
3491310	7674	1996-12-31	PRIJEM	\N	175	25815	UROK	\N	\N
3491311	7674	1997-01-31	PRIJEM	\N	97	62481	UROK	\N	\N
3491312	7674	1997-02-28	PRIJEM	\N	278	68181	UROK	\N	\N
3491313	7674	1997-03-31	PRIJEM	\N	328	71012	UROK	\N	\N
3491314	7674	1997-04-30	PRIJEM	\N	277	54362	UROK	\N	\N
3491315	7674	1997-05-31	PRIJEM	\N	325	86934	UROK	\N	\N
3491316	7674	1997-06-30	PRIJEM	\N	339	84131	UROK	\N	\N
3491317	7674	1997-07-31	PRIJEM	\N	325	102632	UROK	\N	\N
3491318	7674	1997-08-31	PRIJEM	\N	390	41717	UROK	\N	\N
3491319	7674	1997-09-30	PRIJEM	\N	156	36661	UROK	\N	\N
3491320	7674	1997-10-31	PRIJEM	\N	270	108967	UROK	\N	\N
3491321	7674	1997-11-30	PRIJEM	\N	359	74349	UROK	\N	\N
3491322	7674	1997-12-31	PRIJEM	\N	359	98131	UROK	\N	\N
3491323	7674	1998-01-31	PRIJEM	\N	293	34112	UROK	\N	\N
3491324	7674	1998-02-28	PRIJEM	\N	133	31033	UROK	\N	\N
3491325	7674	1998-03-31	PRIJEM	\N	210	49008	UROK	\N	\N
3491326	7674	1998-04-30	PRIJEM	\N	253	68630	UROK	\N	\N
3491327	7674	1998-05-31	PRIJEM	\N	271	86114	UROK	\N	\N
3491328	7674	1998-06-30	PRIJEM	\N	168	27070	UROK	\N	\N
3491329	7674	1998-07-31	PRIJEM	\N	158	29970	UROK	\N	\N
3491330	7674	1998-08-31	PRIJEM	\N	138	35981	UROK	\N	\N
3491331	7674	1998-09-30	PRIJEM	\N	171	45296	UROK	\N	\N
3491332	7674	1998-10-31	PRIJEM	\N	101	18020	UROK	\N	\N
3491333	7674	1998-11-30	PRIJEM	\N	88	21397	UROK	\N	\N
3491334	7674	1998-12-31	PRIJEM	\N	104	25288	UROK	\N	\N
3491640	7713	1996-08-31	PRIJEM	\N	39	32058	UROK	\N	\N
3491641	7713	1996-09-30	PRIJEM	\N	133	31291	UROK	\N	\N
3491642	7713	1996-10-31	PRIJEM	\N	133	28425	UROK	\N	\N
3491643	7713	1996-11-30	PRIJEM	\N	133	27858	UROK	\N	\N
3491644	7713	1996-12-31	PRIJEM	\N	133	29491	UROK	\N	\N
3491645	7713	1997-01-31	PRIJEM	\N	133	26725	UROK	\N	\N
3491646	7713	1997-02-28	PRIJEM	\N	142	37774	UROK	\N	\N
3491647	7713	1997-03-31	PRIJEM	\N	157	34830	UROK	\N	\N
3491648	7713	1997-04-30	PRIJEM	\N	157	31087	UROK	\N	\N
3491649	7713	1997-05-31	PRIJEM	\N	157	31644	UROK	\N	\N
3491650	7713	1997-06-30	PRIJEM	\N	244	64435	UROK	\N	\N
3491651	7713	1997-07-31	PRIJEM	\N	267	45203	UROK	\N	\N
3491652	7713	1997-08-31	PRIJEM	\N	272	68862	UROK	\N	\N
3491653	7713	1997-09-30	PRIJEM	\N	210	39524	UROK	\N	\N
3491654	7713	1997-10-31	PRIJEM	\N	109	23025	UROK	\N	\N
3491655	7713	1997-11-30	PRIJEM	\N	115	63243	UROK	\N	\N
3491656	7713	1997-12-31	PRIJEM	\N	226	35159	UROK	\N	\N
3491657	7713	1998-01-31	PRIJEM	\N	95	18665	UROK	\N	\N
3491658	7713	1998-02-28	PRIJEM	\N	137	31539	UROK	\N	\N
3491659	7713	1998-03-31	PRIJEM	\N	109	38834	UROK	\N	\N
3491660	7713	1998-04-30	PRIJEM	\N	80	16293	UROK	\N	\N
3491661	7713	1998-05-31	PRIJEM	\N	39	4210	UROK	\N	\N
3491662	7713	1998-06-30	PRIJEM	\N	139	30396	UROK	\N	\N
3491663	7713	1998-07-31	PRIJEM	\N	121	25174	UROK	\N	\N
3491664	7713	1998-08-31	PRIJEM	\N	157	76193	UROK	\N	\N
3491665	7713	1998-09-30	PRIJEM	\N	200	34782	UROK	\N	\N
3491666	7713	1998-10-31	PRIJEM	\N	165	44243	UROK	\N	\N
3491667	7713	1998-11-30	PRIJEM	\N	164	29499	UROK	\N	\N
3491668	7713	1998-12-31	PRIJEM	\N	240	86326	UROK	\N	\N
3491700	7721	1997-07-31	PRIJEM	\N	70	23800	UROK	\N	\N
3491701	7721	1997-08-31	PRIJEM	\N	164	45894	UROK	\N	\N
3491702	7721	1997-09-30	PRIJEM	\N	229	59253	UROK	\N	\N
3491703	7721	1997-10-31	PRIJEM	\N	258	64242	UROK	\N	\N
3491704	7721	1997-11-30	PRIJEM	\N	244	64916	UROK	\N	\N
3491705	7721	1997-12-31	PRIJEM	\N	244	49341	UROK	\N	\N
3491706	7721	1998-01-31	PRIJEM	\N	105	18661	UROK	\N	\N
3491707	7721	1998-02-28	PRIJEM	\N	121	34697	UROK	\N	\N
3491708	7721	1998-03-31	PRIJEM	\N	158	30494	UROK	\N	\N
3491709	7721	1998-04-30	PRIJEM	\N	176	37385	UROK	\N	\N
3491710	7721	1998-05-31	PRIJEM	\N	189	41490	UROK	\N	\N
3491711	7721	1998-06-30	PRIJEM	\N	183	36058	UROK	\N	\N
3491712	7721	1998-07-31	PRIJEM	\N	196	45081	UROK	\N	\N
3491713	7721	1998-08-31	PRIJEM	\N	228	48636	UROK	\N	\N
3491714	7721	1998-09-30	PRIJEM	\N	202	39017	UROK	\N	\N
3491715	7721	1998-10-31	PRIJEM	\N	200	41544	UROK	\N	\N
3491716	7721	1998-11-30	PRIJEM	\N	206	40377	UROK	\N	\N
3491717	7721	1998-12-31	PRIJEM	\N	243	64930	UROK	\N	\N
3491812	7733	1996-07-31	PRIJEM	\N	104	43095	UROK	\N	\N
3491813	7733	1996-08-31	PRIJEM	\N	252	73238	UROK	\N	\N
3491814	7733	1996-09-30	PRIJEM	\N	354	94483	UROK	\N	\N
3491815	7733	1996-10-31	PRIJEM	\N	411	102285	UROK	\N	\N
3491816	7733	1996-11-30	PRIJEM	\N	433	76609	UROK	\N	\N
3491817	7733	1996-12-31	PRIJEM	\N	347	67843	UROK	\N	\N
3491818	7733	1997-01-31	PRIJEM	\N	210	45770	UROK	\N	\N
3491819	7733	1997-02-28	PRIJEM	\N	257	73588	UROK	\N	\N
3491820	7733	1997-03-31	PRIJEM	\N	293	84543	UROK	\N	\N
3491821	7733	1997-04-30	PRIJEM	\N	352	80856	UROK	\N	\N
3491822	7733	1997-05-31	PRIJEM	\N	301	63053	UROK	\N	\N
3491823	7733	1997-06-30	PRIJEM	\N	323	101932	UROK	\N	\N
3491824	7733	1997-07-31	PRIJEM	\N	412	82311	UROK	\N	\N
3491825	7733	1997-08-31	PRIJEM	\N	265	45629	UROK	\N	\N
3491826	7733	1997-09-30	PRIJEM	\N	221	61711	UROK	\N	\N
3491827	7733	1997-10-31	PRIJEM	\N	268	77340	UROK	\N	\N
3491828	7733	1997-11-30	PRIJEM	\N	301	89290	UROK	\N	\N
3491829	7733	1997-12-31	PRIJEM	\N	374	74397	UROK	\N	\N
3491830	7733	1998-01-31	PRIJEM	\N	215	33804	UROK	\N	\N
3491831	7733	1998-02-28	PRIJEM	\N	186	49551	UROK	\N	\N
3491832	7733	1998-03-31	PRIJEM	\N	283	70595	UROK	\N	\N
3491833	7733	1998-04-30	PRIJEM	\N	360	73904	UROK	\N	\N
3491834	7733	1998-05-31	PRIJEM	\N	267	50882	UROK	\N	\N
3491835	7733	1998-06-30	PRIJEM	\N	289	58491	UROK	\N	\N
3491836	7733	1998-07-31	PRIJEM	\N	318	70234	UROK	\N	\N
3491837	7733	1998-08-31	PRIJEM	\N	332	61124	UROK	\N	\N
3491838	7733	1998-09-30	PRIJEM	\N	295	67527	UROK	\N	\N
3491839	7733	1998-10-31	PRIJEM	\N	349	79901	UROK	\N	\N
3491840	7733	1998-11-30	PRIJEM	\N	366	72170	UROK	\N	\N
3491841	7733	1998-12-31	PRIJEM	\N	358	75116	UROK	\N	\N
3491931	7745	1997-01-31	PRIJEM	\N	22	40555	UROK	\N	\N
3491932	7745	1997-02-28	PRIJEM	\N	172	51236	UROK	\N	\N
3491933	7745	1997-03-31	PRIJEM	\N	210	43746	UROK	\N	\N
3491934	7745	1997-04-30	PRIJEM	\N	188	60139	UROK	\N	\N
3491935	7745	1997-05-31	PRIJEM	\N	272	37071	UROK	\N	\N
3491936	7745	1997-06-30	PRIJEM	\N	124	53907	UROK	\N	\N
3491937	7745	1997-07-31	PRIJEM	\N	123	34399	UROK	\N	\N
3491938	7745	1997-08-31	PRIJEM	\N	101	24725	UROK	\N	\N
3491939	7745	1997-09-30	PRIJEM	\N	87	20338	UROK	\N	\N
3491940	7745	1997-10-31	PRIJEM	\N	72	15635	UROK	\N	\N
3491941	7745	1997-11-30	PRIJEM	\N	92	34925	UROK	\N	\N
3491942	7745	1997-12-31	PRIJEM	\N	100	25950	UROK	\N	\N
3491943	7745	1998-01-31	PRIJEM	\N	121	22196	UROK	\N	\N
3491944	7745	1998-02-28	PRIJEM	\N	74	22041	UROK	\N	\N
3491945	7745	1998-03-31	PRIJEM	\N	100	33636	UROK	\N	\N
3491946	7745	1998-04-30	PRIJEM	\N	300	81894	UROK	\N	\N
3491947	7745	1998-05-31	PRIJEM	\N	289	40747	UROK	\N	\N
3491948	7745	1998-06-30	PRIJEM	\N	236	47124	UROK	\N	\N
3491949	7745	1998-07-31	PRIJEM	\N	317	49990	UROK	\N	\N
3491950	7745	1998-08-31	PRIJEM	\N	179	46680	UROK	\N	\N
3491951	7745	1998-09-30	PRIJEM	\N	281	71081	UROK	\N	\N
3491952	7745	1998-10-31	PRIJEM	\N	181	26482	UROK	\N	\N
3491953	7745	1998-11-30	PRIJEM	\N	114	25803	UROK	\N	\N
3491954	7745	1998-12-31	PRIJEM	\N	145	50614	UROK	\N	\N
3492040	7753	1993-02-28	PRIJEM	\N	120	47386	UROK	\N	\N
3492041	7753	1993-03-31	PRIJEM	\N	264	79603	UROK	\N	\N
3492042	7753	1993-04-30	PRIJEM	\N	331	72765	UROK	\N	\N
3492043	7753	1993-05-31	PRIJEM	\N	227	86049	UROK	\N	\N
3492044	7753	1993-06-30	PRIJEM	\N	216	42355	UROK	\N	\N
3492045	7753	1993-07-31	PRIJEM	\N	221	74055	UROK	\N	\N
3492046	7753	1993-08-31	PRIJEM	\N	298	56795	UROK	\N	\N
3492047	7753	1993-09-30	PRIJEM	\N	339	63649	UROK	\N	\N
3492048	7753	1993-10-31	PRIJEM	\N	226	67564	UROK	\N	\N
3492049	7753	1993-11-30	PRIJEM	\N	199	37468	UROK	\N	\N
3492050	7753	1993-12-31	PRIJEM	\N	170	64683	UROK	\N	\N
3492051	7753	1994-01-31	PRIJEM	\N	155	22724	UROK	\N	\N
3492052	7753	1994-02-28	PRIJEM	\N	127	47717	UROK	\N	\N
3492053	7753	1994-03-31	PRIJEM	\N	167	36216	UROK	\N	\N
3492054	7753	1994-04-30	PRIJEM	\N	134	28981	UROK	\N	\N
3492055	7753	1994-05-31	PRIJEM	\N	111	25623	UROK	\N	\N
3492056	7753	1994-06-30	PRIJEM	\N	106	23561	UROK	\N	\N
3492057	7753	1994-07-31	PRIJEM	\N	96	22988	UROK	\N	\N
3492058	7753	1994-08-31	PRIJEM	\N	104	26324	UROK	\N	\N
3492059	7753	1994-09-30	PRIJEM	\N	109	26565	UROK	\N	\N
3492060	7753	1994-10-31	PRIJEM	\N	144	35191	UROK	\N	\N
3492061	7753	1994-11-30	PRIJEM	\N	106	19829	UROK	\N	\N
3492062	7753	1994-12-31	PRIJEM	\N	111	29971	UROK	\N	\N
3492063	7753	1995-01-31	PRIJEM	\N	98	23301	UROK	\N	\N
3492064	7753	1995-02-28	PRIJEM	\N	97	21230	UROK	\N	\N
3492065	7753	1995-03-31	PRIJEM	\N	117	29079	UROK	\N	\N
3492066	7753	1995-04-30	PRIJEM	\N	110	32120	UROK	\N	\N
3492067	7753	1995-05-31	PRIJEM	\N	134	36486	UROK	\N	\N
3492068	7753	1995-06-30	PRIJEM	\N	144	33593	UROK	\N	\N
3492069	7753	1995-07-31	PRIJEM	\N	112	30499	UROK	\N	\N
3492070	7753	1995-08-31	PRIJEM	\N	114	31344	UROK	\N	\N
3492071	7753	1995-09-30	PRIJEM	\N	176	45236	UROK	\N	\N
3492072	7753	1995-10-31	PRIJEM	\N	184	42152	UROK	\N	\N
3492073	7753	1995-11-30	PRIJEM	\N	204	61075	UROK	\N	\N
3492074	7753	1995-12-31	PRIJEM	\N	297	45784	UROK	\N	\N
3492075	7753	1996-01-31	PRIJEM	\N	160	28587	UROK	\N	\N
3492076	7753	1996-02-29	PRIJEM	\N	111	25229	UROK	\N	\N
3492077	7753	1996-03-31	PRIJEM	\N	172	57354	UROK	\N	\N
3492078	7753	1996-04-30	PRIJEM	\N	304	107411	UROK	\N	\N
3492079	7753	1996-05-31	PRIJEM	\N	394	47154	UROK	\N	\N
3492080	7753	1996-06-30	PRIJEM	\N	223	87809	UROK	\N	\N
3492081	7753	1996-07-31	PRIJEM	\N	362	73166	UROK	\N	\N
3492082	7753	1996-08-31	PRIJEM	\N	317	46929	UROK	\N	\N
3492083	7753	1996-09-30	PRIJEM	\N	176	36390	UROK	\N	\N
3492084	7753	1996-10-31	PRIJEM	\N	237	64664	UROK	\N	\N
3492085	7753	1996-11-30	PRIJEM	\N	333	55941	UROK	\N	\N
3492086	7753	1996-12-31	PRIJEM	\N	311	97187	UROK	\N	\N
3492087	7753	1997-01-31	PRIJEM	\N	290	30206	UROK	\N	\N
3492088	7753	1997-02-28	PRIJEM	\N	124	31915	UROK	\N	\N
3492089	7753	1997-03-31	PRIJEM	\N	152	46804	UROK	\N	\N
3492090	7753	1997-04-30	PRIJEM	\N	281	61269	UROK	\N	\N
3492091	7753	1997-05-31	PRIJEM	\N	270	75306	UROK	\N	\N
3492092	7753	1997-06-30	PRIJEM	\N	334	139409	UROK	\N	\N
3492093	7753	1997-07-31	PRIJEM	\N	343	67262	UROK	\N	\N
3492094	7753	1997-08-31	PRIJEM	\N	256	80050	UROK	\N	\N
3492095	7753	1997-09-30	PRIJEM	\N	287	67801	UROK	\N	\N
3492096	7753	1997-10-31	PRIJEM	\N	350	102485	UROK	\N	\N
3492097	7753	1997-11-30	PRIJEM	\N	331	64301	UROK	\N	\N
3492098	7753	1997-12-31	PRIJEM	\N	183	28970	UROK	\N	\N
3492099	7753	1998-01-31	PRIJEM	\N	162	72304	UROK	\N	\N
3492100	7753	1998-02-28	PRIJEM	\N	210	40999	UROK	\N	\N
3492101	7753	1998-03-31	PRIJEM	\N	173	79683	UROK	\N	\N
3492102	7753	1998-04-30	PRIJEM	\N	243	37111	UROK	\N	\N
3492103	7753	1998-05-31	PRIJEM	\N	148	42829	UROK	\N	\N
3492104	7753	1998-06-30	PRIJEM	\N	265	74934	UROK	\N	\N
3492105	7753	1998-07-31	PRIJEM	\N	276	68670	UROK	\N	\N
3492106	7753	1998-08-31	PRIJEM	\N	355	70892	UROK	\N	\N
3492107	7753	1998-09-30	PRIJEM	\N	291	77886	UROK	\N	\N
3492108	7753	1998-10-31	PRIJEM	\N	210	39681	UROK	\N	\N
3492109	7753	1998-11-30	PRIJEM	\N	119	31913	UROK	\N	\N
3492110	7753	1998-12-31	PRIJEM	\N	177	60101	UROK	\N	\N
3492214	7765	1994-08-31	PRIJEM	\N	136	74247	UROK	\N	\N
3492215	7765	1994-09-30	PRIJEM	\N	309	48855	UROK	\N	\N
3492216	7765	1994-10-31	PRIJEM	\N	309	36864	UROK	\N	\N
3492217	7765	1994-11-30	PRIJEM	\N	309	28473	UROK	\N	\N
3492218	7765	1994-12-31	PRIJEM	\N	309	27882	UROK	\N	\N
3492219	7765	1995-01-31	PRIJEM	\N	309	24491	UROK	\N	\N
3492220	7765	1995-02-28	PRIJEM	\N	168	34839	UROK	\N	\N
3492221	7765	1995-03-31	PRIJEM	\N	191	36873	UROK	\N	\N
3492222	7765	1995-04-30	PRIJEM	\N	86	16138	UROK	\N	\N
3492223	7765	1995-05-31	PRIJEM	\N	57	11248	UROK	\N	\N
3492224	7765	1995-06-30	PRIJEM	\N	76	26075	UROK	\N	\N
3492225	7765	1995-07-31	PRIJEM	\N	82	49573	UROK	\N	\N
3492226	7765	1995-08-31	PRIJEM	\N	126	24851	UROK	\N	\N
3492227	7765	1995-09-30	PRIJEM	\N	99	35108	UROK	\N	\N
3492228	7765	1995-10-31	PRIJEM	\N	91	19452	UROK	\N	\N
3492229	7765	1995-11-30	PRIJEM	\N	162	32828	UROK	\N	\N
3492230	7765	1995-12-31	PRIJEM	\N	129	41396	UROK	\N	\N
3492231	7765	1996-01-31	PRIJEM	\N	117	24850	UROK	\N	\N
3492232	7765	1996-02-29	PRIJEM	\N	76	14347	UROK	\N	\N
3492233	7765	1996-03-31	PRIJEM	\N	47	22715	UROK	\N	\N
3492234	7765	1996-04-30	PRIJEM	\N	68	22704	UROK	\N	\N
3492235	7765	1996-05-31	PRIJEM	\N	68	21393	UROK	\N	\N
3492236	7765	1996-06-30	PRIJEM	\N	63	20477	UROK	\N	\N
3492237	7765	1996-07-31	PRIJEM	\N	79	20689	UROK	\N	\N
3492238	7765	1996-08-31	PRIJEM	\N	62	19272	UROK	\N	\N
3492239	7765	1996-09-30	PRIJEM	\N	56	15848	UROK	\N	\N
3492240	7765	1996-10-31	PRIJEM	\N	59	22414	UROK	\N	\N
3492241	7765	1996-11-30	PRIJEM	\N	70	20305	UROK	\N	\N
3492242	7765	1996-12-31	PRIJEM	\N	57	21815	UROK	\N	\N
3492243	7765	1997-01-31	PRIJEM	\N	60	20029	UROK	\N	\N
3492244	7765	1997-02-28	PRIJEM	\N	73	19155	UROK	\N	\N
3492245	7765	1997-03-31	PRIJEM	\N	84	40271	UROK	\N	\N
3492246	7765	1997-04-30	PRIJEM	\N	150	29074	UROK	\N	\N
3492247	7765	1997-05-31	PRIJEM	\N	113	38320	UROK	\N	\N
3492248	7765	1997-06-30	PRIJEM	\N	199	42275	UROK	\N	\N
3492249	7765	1997-07-31	PRIJEM	\N	263	46113	UROK	\N	\N
3492250	7765	1997-08-31	PRIJEM	\N	311	63999	UROK	\N	\N
3492251	7765	1997-09-30	PRIJEM	\N	319	76863	UROK	\N	\N
3492252	7765	1997-10-31	PRIJEM	\N	236	44057	UROK	\N	\N
3492253	7765	1997-11-30	PRIJEM	\N	168	39578	UROK	\N	\N
3492254	7765	1997-12-31	PRIJEM	\N	126	32658	UROK	\N	\N
3492255	7765	1998-01-31	PRIJEM	\N	174	34728	UROK	\N	\N
3492256	7765	1998-02-28	PRIJEM	\N	158	59227	UROK	\N	\N
3492257	7765	1998-03-31	PRIJEM	\N	266	55543	UROK	\N	\N
3492258	7765	1998-04-30	PRIJEM	\N	303	76600	UROK	\N	\N
3492259	7765	1998-05-31	PRIJEM	\N	322	67289	UROK	\N	\N
3492260	7765	1998-06-30	PRIJEM	\N	255	36948	UROK	\N	\N
3492261	7765	1998-07-31	PRIJEM	\N	148	57392	UROK	\N	\N
3492262	7765	1998-08-31	PRIJEM	\N	264	57118	UROK	\N	\N
3492263	7765	1998-09-30	PRIJEM	\N	238	65597	UROK	\N	\N
3492264	7765	1998-10-31	PRIJEM	\N	338	76141	UROK	\N	\N
3492265	7765	1998-11-30	PRIJEM	\N	388	78922	UROK	\N	\N
3492266	7765	1998-12-31	PRIJEM	\N	274	54416	UROK	\N	\N
3492332	7769	1993-10-31	PRIJEM	\N	151	63906	UROK	\N	\N
3492333	7769	1993-11-30	PRIJEM	\N	350	95840	UROK	\N	\N
3492334	7769	1993-12-31	PRIJEM	\N	262	56805	UROK	\N	\N
3492335	7769	1994-01-31	PRIJEM	\N	145	51358	UROK	\N	\N
3492336	7769	1994-02-28	PRIJEM	\N	198	60041	UROK	\N	\N
3492337	7769	1994-03-31	PRIJEM	\N	125	26352	UROK	\N	\N
3492338	7769	1994-04-30	PRIJEM	\N	124	32258	UROK	\N	\N
3492339	7769	1994-05-31	PRIJEM	\N	327	103758	UROK	\N	\N
3492340	7769	1994-06-30	PRIJEM	\N	257	96203	UROK	\N	\N
3492341	7769	1994-07-31	PRIJEM	\N	380	58931	UROK	\N	\N
3492342	7769	1994-08-31	PRIJEM	\N	260	64161	UROK	\N	\N
3492343	7769	1994-09-30	PRIJEM	\N	308	62068	UROK	\N	\N
3492344	7769	1994-10-31	PRIJEM	\N	242	67756	UROK	\N	\N
3492345	7769	1994-11-30	PRIJEM	\N	252	42008	UROK	\N	\N
3492346	7769	1994-12-31	PRIJEM	\N	343	68570	UROK	\N	\N
3492347	7769	1995-01-31	PRIJEM	\N	250	25364	UROK	\N	\N
3492348	7769	1995-02-28	PRIJEM	\N	103	21668	UROK	\N	\N
3492349	7769	1995-03-31	PRIJEM	\N	87	18355	UROK	\N	\N
3492350	7769	1995-04-30	PRIJEM	\N	160	45281	UROK	\N	\N
3492351	7769	1995-05-31	PRIJEM	\N	175	29556	UROK	\N	\N
3492352	7769	1995-06-30	PRIJEM	\N	117	23273	UROK	\N	\N
3492353	7769	1995-07-31	PRIJEM	\N	90	16763	UROK	\N	\N
3492354	7769	1995-08-31	PRIJEM	\N	90	39440	UROK	\N	\N
3492355	7769	1995-09-30	PRIJEM	\N	149	34645	UROK	\N	\N
3492356	7769	1995-10-31	PRIJEM	\N	111	22040	UROK	\N	\N
3492357	7769	1995-11-30	PRIJEM	\N	86	18827	UROK	\N	\N
3492358	7769	1995-12-31	PRIJEM	\N	103	36048	UROK	\N	\N
3492359	7769	1996-01-31	PRIJEM	\N	146	47333	UROK	\N	\N
3492360	7769	1996-02-29	PRIJEM	\N	314	51553	UROK	\N	\N
3492361	7769	1996-03-31	PRIJEM	\N	316	86624	UROK	\N	\N
3492362	7769	1996-04-30	PRIJEM	\N	385	67723	UROK	\N	\N
3492363	7769	1996-05-31	PRIJEM	\N	288	49708	UROK	\N	\N
3492364	7769	1996-06-30	PRIJEM	\N	224	78386	UROK	\N	\N
3492365	7769	1996-07-31	PRIJEM	\N	245	62891	UROK	\N	\N
3492366	7769	1996-08-31	PRIJEM	\N	312	89827	UROK	\N	\N
3492367	7769	1996-09-30	PRIJEM	\N	311	56621	UROK	\N	\N
3492368	7769	1996-10-31	PRIJEM	\N	241	98747	UROK	\N	\N
3492369	7769	1996-11-30	PRIJEM	\N	347	86444	UROK	\N	\N
3492370	7769	1996-12-31	PRIJEM	\N	292	90219	UROK	\N	\N
3492371	7769	1997-01-31	PRIJEM	\N	321	62675	UROK	\N	\N
3492372	7769	1997-02-28	PRIJEM	\N	194	27785	UROK	\N	\N
3492373	7769	1997-03-31	PRIJEM	\N	275	84484	UROK	\N	\N
3492374	7769	1997-04-30	PRIJEM	\N	336	76981	UROK	\N	\N
3492375	7769	1997-05-31	PRIJEM	\N	324	90304	UROK	\N	\N
3492376	7769	1997-06-30	PRIJEM	\N	274	61094	UROK	\N	\N
3492377	7769	1997-07-31	PRIJEM	\N	241	55156	UROK	\N	\N
3492378	7769	1997-08-31	PRIJEM	\N	228	75805	UROK	\N	\N
3492379	7769	1997-09-30	PRIJEM	\N	236	28927	UROK	\N	\N
3492380	7769	1997-10-31	PRIJEM	\N	137	26789	UROK	\N	\N
3492381	7769	1997-11-30	PRIJEM	\N	126	51963	UROK	\N	\N
3492382	7769	1997-12-31	PRIJEM	\N	180	52386	UROK	\N	\N
3492383	7769	1998-01-31	PRIJEM	\N	149	33234	UROK	\N	\N
3492384	7769	1998-02-28	PRIJEM	\N	217	65116	UROK	\N	\N
3492385	7769	1998-03-31	PRIJEM	\N	366	76336	UROK	\N	\N
3492386	7769	1998-04-30	PRIJEM	\N	359	109756	UROK	\N	\N
3492387	7769	1998-05-31	PRIJEM	\N	316	56256	UROK	\N	\N
3492388	7769	1998-06-30	PRIJEM	\N	218	39368	UROK	\N	\N
3492389	7769	1998-07-31	PRIJEM	\N	301	95227	UROK	\N	\N
3492390	7769	1998-08-31	PRIJEM	\N	446	116002	UROK	\N	\N
3492391	7769	1998-09-30	PRIJEM	\N	427	97852	UROK	\N	\N
3492392	7769	1998-10-31	PRIJEM	\N	361	82298	UROK	\N	\N
3492393	7769	1998-11-30	PRIJEM	\N	388	82496	UROK	\N	\N
3492394	7769	1998-12-31	PRIJEM	\N	261	43924	UROK	\N	\N
3492426	7774	1993-09-30	PRIJEM	\N	13	9046	UROK	\N	\N
3492427	7774	1993-10-31	PRIJEM	\N	202	81680	UROK	\N	\N
3492428	7774	1993-11-30	PRIJEM	\N	326	55490	UROK	\N	\N
3492429	7774	1993-12-31	PRIJEM	\N	282	82552	UROK	\N	\N
3492430	7774	1994-01-31	PRIJEM	\N	103	2455	UROK	\N	\N
3492431	7774	1994-02-28	PRIJEM	\N	2	12551	UROK	\N	\N
3492432	7774	1994-03-31	PRIJEM	\N	48	12907	UROK	\N	\N
3492433	7774	1994-04-30	PRIJEM	\N	147	84437	UROK	\N	\N
3492434	7774	1994-05-31	PRIJEM	\N	224	39236	UROK	\N	\N
3492435	7774	1994-06-30	PRIJEM	\N	151	29737	UROK	\N	\N
3492436	7774	1994-07-31	PRIJEM	\N	54	1057	UROK	\N	\N
3492437	7774	1994-07-31	VYDAJ	VYBER	3	1051	SANKC. UROK	\N	\N
3492438	7774	1994-09-30	PRIJEM	\N	93	38408	UROK	\N	\N
3492439	7774	1994-10-31	PRIJEM	\N	104	47542	UROK	\N	\N
3492440	7774	1994-11-30	PRIJEM	\N	191	64774	UROK	\N	\N
3492441	7774	1994-12-31	PRIJEM	\N	144	45871	UROK	\N	\N
3492442	7774	1995-01-31	PRIJEM	\N	53	2710	UROK	\N	\N
3492443	7774	1995-02-28	PRIJEM	\N	85	31422	UROK	\N	\N
3492444	7774	1995-03-31	PRIJEM	\N	98	25423	UROK	\N	\N
3492445	7774	1995-04-30	PRIJEM	\N	122	52364	UROK	\N	\N
3492446	7774	1995-05-31	PRIJEM	\N	163	33798	UROK	\N	\N
3492447	7774	1995-06-30	PRIJEM	\N	202	100135	UROK	\N	\N
3492448	7774	1995-07-31	PRIJEM	\N	401	69938	UROK	\N	\N
3492449	7774	1995-08-31	PRIJEM	\N	183	32970	UROK	\N	\N
3492450	7774	1995-09-30	PRIJEM	\N	229	82263	UROK	\N	\N
3492451	7774	1995-10-31	PRIJEM	\N	304	68260	UROK	\N	\N
3492452	7774	1995-11-30	PRIJEM	\N	274	66195	UROK	\N	\N
3492453	7774	1995-12-31	PRIJEM	\N	175	33644	UROK	\N	\N
3492454	7774	1996-01-31	PRIJEM	\N	71	8861	UROK	\N	\N
3492455	7774	1996-03-31	PRIJEM	\N	43	23512	UROK	\N	\N
3492456	7774	1996-04-30	PRIJEM	\N	4	36296	UROK	\N	\N
3492457	7774	1996-05-31	PRIJEM	\N	122	29541	UROK	\N	\N
3492458	7774	1996-06-30	PRIJEM	\N	154	31173	UROK	\N	\N
3492459	7774	1996-07-31	PRIJEM	\N	124	37951	UROK	\N	\N
3492460	7774	1996-08-31	PRIJEM	\N	136	43546	UROK	\N	\N
3492461	7774	1996-09-30	PRIJEM	\N	129	41698	UROK	\N	\N
3492462	7774	1996-10-31	PRIJEM	\N	134	35333	UROK	\N	\N
3492463	7774	1996-11-30	PRIJEM	\N	80	31259	UROK	\N	\N
3492464	7774	1996-12-31	PRIJEM	\N	23	39977	UROK	\N	\N
3492465	7774	1997-01-31	PRIJEM	\N	95	34977	UROK	\N	\N
3492466	7774	1997-02-28	PRIJEM	\N	141	52112	UROK	\N	\N
3492467	7774	1997-03-31	PRIJEM	\N	192	66270	UROK	\N	\N
3492468	7774	1997-04-30	PRIJEM	\N	252	67003	UROK	\N	\N
3492469	7774	1997-05-31	PRIJEM	\N	241	63227	UROK	\N	\N
3492470	7774	1997-06-30	PRIJEM	\N	43	55719	UROK	\N	\N
3492471	7774	1997-07-31	PRIJEM	\N	284	79671	UROK	\N	\N
3492472	7774	1997-08-31	PRIJEM	\N	237	69055	UROK	\N	\N
3492473	7774	1997-09-30	PRIJEM	\N	49	46981	UROK	\N	\N
3492474	7774	1997-10-31	PRIJEM	\N	130	46112	UROK	\N	\N
3492475	7774	1997-11-30	PRIJEM	\N	64	65525	UROK	\N	\N
3492476	7774	1997-12-31	PRIJEM	\N	289	101137	UROK	\N	\N
3492477	7774	1998-01-31	PRIJEM	\N	291	72324	UROK	\N	\N
3492478	7774	1998-02-28	PRIJEM	\N	128	69365	UROK	\N	\N
3492479	7774	1998-03-31	PRIJEM	\N	101	72371	UROK	\N	\N
3492480	7774	1998-04-30	PRIJEM	\N	266	81091	UROK	\N	\N
3492481	7774	1998-05-31	PRIJEM	\N	324	84214	UROK	\N	\N
3492482	7774	1998-06-30	PRIJEM	\N	314	89366	UROK	\N	\N
3492483	7774	1998-07-31	PRIJEM	\N	332	88638	UROK	\N	\N
3492484	7774	1998-08-31	PRIJEM	\N	369	102688	UROK	\N	\N
3492485	7774	1998-09-30	PRIJEM	\N	376	124521	UROK	\N	\N
3492486	7774	1998-10-31	PRIJEM	\N	131	86236	UROK	\N	\N
3492487	7774	1998-11-30	PRIJEM	\N	222	62915	UROK	\N	\N
3492488	7774	1998-12-31	PRIJEM	\N	112	47506	UROK	\N	\N
3492520	7795	1995-01-31	PRIJEM	\N	27	9625	UROK	\N	\N
3492521	7795	1995-02-28	PRIJEM	\N	124	74153	UROK	\N	\N
3492522	7795	1995-03-31	PRIJEM	\N	227	33266	UROK	\N	\N
3492523	7795	1995-04-30	PRIJEM	\N	304	82736	UROK	\N	\N
3492524	7795	1995-05-31	PRIJEM	\N	210	78875	UROK	\N	\N
3492525	7795	1995-06-30	PRIJEM	\N	190	64172	UROK	\N	\N
3492526	7795	1995-07-31	PRIJEM	\N	328	101764	UROK	\N	\N
3492527	7795	1995-08-31	PRIJEM	\N	281	105040	UROK	\N	\N
3492528	7795	1995-09-30	PRIJEM	\N	232	67382	UROK	\N	\N
3492529	7795	1995-10-31	PRIJEM	\N	211	49467	UROK	\N	\N
3492530	7795	1995-11-30	PRIJEM	\N	306	95869	UROK	\N	\N
3492531	7795	1995-12-31	PRIJEM	\N	221	54256	UROK	\N	\N
3492532	7795	1996-01-31	PRIJEM	\N	222	42751	UROK	\N	\N
3492533	7795	1996-02-29	PRIJEM	\N	208	62048	UROK	\N	\N
3492534	7795	1996-03-31	PRIJEM	\N	376	75959	UROK	\N	\N
3492535	7795	1996-04-30	PRIJEM	\N	407	64873	UROK	\N	\N
3492536	7795	1996-05-31	PRIJEM	\N	312	55607	UROK	\N	\N
3492537	7795	1996-06-30	PRIJEM	\N	385	60943	UROK	\N	\N
3492538	7795	1996-07-31	PRIJEM	\N	289	41112	UROK	\N	\N
3492539	7795	1996-08-31	PRIJEM	\N	212	43642	UROK	\N	\N
3492540	7795	1996-09-30	PRIJEM	\N	243	68195	UROK	\N	\N
3492541	7795	1996-10-31	PRIJEM	\N	243	46823	UROK	\N	\N
3492542	7795	1996-11-30	PRIJEM	\N	307	63172	UROK	\N	\N
3492543	7795	1996-12-31	PRIJEM	\N	225	36881	UROK	\N	\N
3492544	7795	1997-01-31	PRIJEM	\N	157	20754	UROK	\N	\N
3492545	7795	1997-02-28	PRIJEM	\N	156	24187	UROK	\N	\N
3492546	7795	1997-03-31	PRIJEM	\N	97	20467	UROK	\N	\N
3492547	7795	1997-04-30	PRIJEM	\N	93	25310	UROK	\N	\N
3492548	7795	1997-05-31	PRIJEM	\N	186	38202	UROK	\N	\N
3492549	7795	1997-06-30	PRIJEM	\N	176	33010	UROK	\N	\N
3492550	7795	1997-07-31	PRIJEM	\N	220	56071	UROK	\N	\N
3492551	7795	1997-08-31	PRIJEM	\N	377	106585	UROK	\N	\N
3492552	7795	1997-09-30	PRIJEM	\N	375	68244	UROK	\N	\N
3492553	7795	1997-10-31	PRIJEM	\N	252	47379	UROK	\N	\N
3492554	7795	1997-11-30	PRIJEM	\N	271	73294	UROK	\N	\N
3492555	7795	1997-12-31	PRIJEM	\N	308	68221	UROK	\N	\N
3492556	7795	1998-01-31	PRIJEM	\N	276	43824	UROK	\N	\N
3492557	7795	1998-02-28	PRIJEM	\N	260	72476	UROK	\N	\N
3492558	7795	1998-03-31	PRIJEM	\N	265	42429	UROK	\N	\N
3492559	7795	1998-04-30	PRIJEM	\N	353	103241	UROK	\N	\N
3492560	7795	1998-05-31	PRIJEM	\N	403	81995	UROK	\N	\N
3492561	7795	1998-06-30	PRIJEM	\N	317	70035	UROK	\N	\N
3492562	7795	1998-07-31	PRIJEM	\N	283	88868	UROK	\N	\N
3492563	7795	1998-08-31	PRIJEM	\N	327	54538	UROK	\N	\N
3492564	7795	1998-09-30	PRIJEM	\N	279	98161	UROK	\N	\N
3492565	7795	1998-10-31	PRIJEM	\N	379	79724	UROK	\N	\N
3492566	7795	1998-11-30	PRIJEM	\N	282	59428	UROK	\N	\N
3492567	7795	1998-12-31	PRIJEM	\N	281	73183	UROK	\N	\N
3492635	7815	1995-04-30	PRIJEM	\N	158	85245	UROK	\N	\N
3492636	7815	1995-05-31	PRIJEM	\N	246	43167	UROK	\N	\N
3492637	7815	1995-06-30	PRIJEM	\N	185	47886	UROK	\N	\N
3492638	7815	1995-07-31	PRIJEM	\N	230	81350	UROK	\N	\N
3492639	7815	1995-08-31	PRIJEM	\N	302	82241	UROK	\N	\N
3492640	7815	1995-09-30	PRIJEM	\N	182	56549	UROK	\N	\N
3492641	7815	1995-10-31	PRIJEM	\N	153	32092	UROK	\N	\N
3492642	7815	1995-11-30	PRIJEM	\N	246	75509	UROK	\N	\N
3492643	7815	1995-12-31	PRIJEM	\N	211	88662	UROK	\N	\N
3492644	7815	1996-01-31	PRIJEM	\N	236	42723	UROK	\N	\N
3492645	7815	1996-02-29	PRIJEM	\N	118	22767	UROK	\N	\N
3492646	7815	1996-03-31	PRIJEM	\N	72	13765	UROK	\N	\N
3492647	7815	1996-04-30	PRIJEM	\N	175	69398	UROK	\N	\N
3492648	7815	1996-05-31	PRIJEM	\N	346	89443	UROK	\N	\N
3492649	7815	1996-06-30	PRIJEM	\N	267	35778	UROK	\N	\N
3492650	7815	1996-07-31	PRIJEM	\N	190	45147	UROK	\N	\N
3492651	7815	1996-08-31	PRIJEM	\N	186	40813	UROK	\N	\N
3492652	7815	1996-09-30	PRIJEM	\N	114	27894	UROK	\N	\N
3492653	7815	1996-10-31	PRIJEM	\N	86	26419	UROK	\N	\N
3492654	7815	1996-11-30	PRIJEM	\N	323	60659	UROK	\N	\N
3492655	7815	1996-12-31	PRIJEM	\N	204	58088	UROK	\N	\N
3492656	7815	1997-01-31	PRIJEM	\N	123	28236	UROK	\N	\N
3492657	7815	1997-02-28	PRIJEM	\N	89	28252	UROK	\N	\N
3492658	7815	1997-03-31	PRIJEM	\N	213	47726	UROK	\N	\N
3492659	7815	1997-04-30	PRIJEM	\N	242	61924	UROK	\N	\N
3492660	7815	1997-05-31	PRIJEM	\N	247	55819	UROK	\N	\N
3492661	7815	1997-06-30	PRIJEM	\N	213	42087	UROK	\N	\N
3492662	7815	1997-07-31	PRIJEM	\N	90	25234	UROK	\N	\N
3492663	7815	1997-08-31	PRIJEM	\N	109	57713	UROK	\N	\N
3492664	7815	1997-09-30	PRIJEM	\N	258	46631	UROK	\N	\N
3492665	7815	1997-10-31	PRIJEM	\N	211	80143	UROK	\N	\N
3492666	7815	1997-11-30	PRIJEM	\N	290	58759	UROK	\N	\N
3492667	7815	1997-12-31	PRIJEM	\N	192	32759	UROK	\N	\N
3492668	7815	1998-01-31	PRIJEM	\N	97	31286	UROK	\N	\N
3492669	7815	1998-02-28	PRIJEM	\N	105	28021	UROK	\N	\N
3492670	7815	1998-03-31	PRIJEM	\N	78	23529	UROK	\N	\N
3492671	7815	1998-04-30	PRIJEM	\N	85	20445	UROK	\N	\N
3492672	7815	1998-05-31	PRIJEM	\N	65	33502	UROK	\N	\N
3492673	7815	1998-06-30	PRIJEM	\N	134	52586	UROK	\N	\N
3492674	7815	1998-07-31	PRIJEM	\N	220	73494	UROK	\N	\N
3492675	7815	1998-08-31	PRIJEM	\N	251	46675	UROK	\N	\N
3492676	7815	1998-09-30	PRIJEM	\N	161	34565	UROK	\N	\N
3492677	7815	1998-10-31	PRIJEM	\N	127	30222	UROK	\N	\N
3492678	7815	1998-11-30	PRIJEM	\N	161	38782	UROK	\N	\N
3492679	7815	1998-12-31	PRIJEM	\N	111	23724	UROK	\N	\N
3492754	7819	1993-08-31	PRIJEM	\N	26	9360	UROK	\N	\N
3492755	7819	1993-09-30	PRIJEM	\N	67	24861	UROK	\N	\N
3492756	7819	1993-10-31	PRIJEM	\N	104	27399	UROK	\N	\N
3492757	7819	1993-11-30	PRIJEM	\N	114	28747	UROK	\N	\N
3492758	7819	1993-12-31	PRIJEM	\N	138	31936	UROK	\N	\N
3492759	7819	1994-01-31	PRIJEM	\N	93	19245	UROK	\N	\N
3492760	7819	1994-02-28	PRIJEM	\N	86	23147	UROK	\N	\N
3492761	7819	1994-03-31	PRIJEM	\N	101	23965	UROK	\N	\N
3492762	7819	1994-04-30	PRIJEM	\N	105	27386	UROK	\N	\N
3492763	7819	1994-05-31	PRIJEM	\N	110	25712	UROK	\N	\N
3492764	7819	1994-06-30	PRIJEM	\N	81	16727	UROK	\N	\N
3492765	7819	1994-07-31	PRIJEM	\N	78	22621	UROK	\N	\N
3492766	7819	1994-08-31	PRIJEM	\N	87	20624	UROK	\N	\N
3492767	7819	1994-09-30	PRIJEM	\N	89	22129	UROK	\N	\N
3492768	7819	1994-10-31	PRIJEM	\N	97	23843	UROK	\N	\N
3492769	7819	1994-11-30	PRIJEM	\N	101	24361	UROK	\N	\N
3492770	7819	1994-12-31	PRIJEM	\N	108	24502	UROK	\N	\N
3492771	7819	1995-01-31	PRIJEM	\N	69	17887	UROK	\N	\N
3492772	7819	1995-02-28	PRIJEM	\N	80	20450	UROK	\N	\N
3492773	7819	1995-03-31	PRIJEM	\N	92	24023	UROK	\N	\N
3492774	7819	1995-04-30	PRIJEM	\N	105	26211	UROK	\N	\N
3492775	7819	1995-05-31	PRIJEM	\N	113	27706	UROK	\N	\N
3492776	7819	1995-06-30	PRIJEM	\N	115	28320	UROK	\N	\N
3492777	7819	1995-07-31	PRIJEM	\N	117	26119	UROK	\N	\N
3492778	7819	1995-08-31	PRIJEM	\N	113	28315	UROK	\N	\N
3492779	7819	1995-09-30	PRIJEM	\N	122	30419	UROK	\N	\N
3492780	7819	1995-10-31	PRIJEM	\N	118	27519	UROK	\N	\N
3492781	7819	1995-11-30	PRIJEM	\N	113	27614	UROK	\N	\N
3492782	7819	1995-12-31	PRIJEM	\N	120	28434	UROK	\N	\N
3492783	7819	1996-01-31	PRIJEM	\N	87	20503	UROK	\N	\N
3492784	7819	1996-02-29	PRIJEM	\N	84	18969	UROK	\N	\N
3492785	7819	1996-03-31	PRIJEM	\N	72	15923	UROK	\N	\N
3492786	7819	1996-04-30	PRIJEM	\N	65	15170	UROK	\N	\N
3492787	7819	1996-05-31	PRIJEM	\N	71	19624	UROK	\N	\N
3492788	7819	1996-06-30	PRIJEM	\N	90	23113	UROK	\N	\N
3492789	7819	1996-07-31	PRIJEM	\N	86	18882	UROK	\N	\N
3492790	7819	1996-08-31	PRIJEM	\N	71	16135	UROK	\N	\N
3492791	7819	1996-09-30	PRIJEM	\N	62	14780	UROK	\N	\N
3492792	7819	1996-10-31	PRIJEM	\N	61	15323	UROK	\N	\N
3492793	7819	1996-11-30	PRIJEM	\N	59	14464	UROK	\N	\N
3492794	7819	1996-12-31	PRIJEM	\N	62	14525	UROK	\N	\N
3492795	7819	1997-01-31	PRIJEM	\N	61	15869	UROK	\N	\N
3492796	7819	1997-02-28	PRIJEM	\N	78	21529	UROK	\N	\N
3492797	7819	1997-03-31	PRIJEM	\N	72	15683	UROK	\N	\N
3492798	7819	1997-04-30	PRIJEM	\N	71	18436	UROK	\N	\N
3492799	7819	1997-05-31	PRIJEM	\N	81	21199	UROK	\N	\N
3492800	7819	1997-06-30	PRIJEM	\N	104	28403	UROK	\N	\N
3492801	7819	1997-07-31	PRIJEM	\N	102	22587	UROK	\N	\N
3492802	7819	1997-08-31	PRIJEM	\N	99	25369	UROK	\N	\N
3492803	7819	1997-09-30	PRIJEM	\N	92	22043	UROK	\N	\N
3492804	7819	1997-10-31	PRIJEM	\N	84	20909	UROK	\N	\N
3492805	7819	1997-11-30	PRIJEM	\N	89	22480	UROK	\N	\N
3492806	7819	1997-12-31	PRIJEM	\N	108	28388	UROK	\N	\N
3492807	7819	1998-01-31	PRIJEM	\N	84	17154	UROK	\N	\N
3492808	7819	1998-02-28	PRIJEM	\N	75	19911	UROK	\N	\N
3492809	7819	1998-03-31	PRIJEM	\N	80	20474	UROK	\N	\N
3492810	7819	1998-04-30	PRIJEM	\N	76	19633	UROK	\N	\N
3492811	7819	1998-05-31	PRIJEM	\N	86	22401	UROK	\N	\N
3492812	7819	1998-06-30	PRIJEM	\N	108	29608	UROK	\N	\N
3492813	7819	1998-07-31	PRIJEM	\N	117	29807	UROK	\N	\N
3492814	7819	1998-08-31	PRIJEM	\N	128	32618	UROK	\N	\N
3492815	7819	1998-09-30	PRIJEM	\N	67	16567	UROK	\N	\N
3492816	7819	1998-10-31	PRIJEM	\N	73	19323	UROK	\N	\N
3492817	7819	1998-11-30	PRIJEM	\N	70	18575	UROK	\N	\N
3492818	7819	1998-12-31	PRIJEM	\N	88	24063	UROK	\N	\N
3492852	7824	1995-02-28	PRIJEM	\N	41	68496	UROK	\N	\N
3492853	7824	1995-03-31	PRIJEM	\N	285	46381	UROK	\N	\N
3492854	7824	1995-04-30	PRIJEM	\N	285	30966	UROK	\N	\N
3492855	7824	1995-05-31	PRIJEM	\N	186	31698	UROK	\N	\N
3492856	7824	1995-06-30	PRIJEM	\N	159	63037	UROK	\N	\N
3492857	7824	1995-07-31	PRIJEM	\N	171	28516	UROK	\N	\N
3492858	7824	1995-08-31	PRIJEM	\N	69	8885	UROK	\N	\N
3492859	7824	1995-09-30	PRIJEM	\N	22	2608	UROK	\N	\N
3492860	7824	1995-10-31	PRIJEM	\N	4	-1084	UROK	\N	\N
3492861	7824	1995-10-31	VYDAJ	VYBER	7	-1091	SANKC. UROK	\N	\N
3492862	7824	1995-11-30	PRIJEM	\N	21	37960	UROK	\N	\N
3492863	7824	1995-11-30	VYDAJ	VYBER	10	37950	SANKC. UROK	\N	\N
3492864	7824	1995-12-31	PRIJEM	\N	163	71488	UROK	\N	\N
3492865	7824	1996-01-31	PRIJEM	\N	138	19726	UROK	\N	\N
3492866	7824	1996-02-29	PRIJEM	\N	149	36626	UROK	\N	\N
3492867	7824	1996-03-31	PRIJEM	\N	67	7693	UROK	\N	\N
3492868	7824	1996-04-30	PRIJEM	\N	157	61479	UROK	\N	\N
3492869	7824	1996-05-31	PRIJEM	\N	149	22928	UROK	\N	\N
3492870	7824	1996-06-30	PRIJEM	\N	47	8680	UROK	\N	\N
3492871	7824	1996-07-31	PRIJEM	\N	26	5010	UROK	\N	\N
3492872	7824	1996-08-31	PRIJEM	\N	54	30655	UROK	\N	\N
3492873	7824	1996-09-30	PRIJEM	\N	39	2794	UROK	\N	\N
3492874	7824	1996-10-31	PRIJEM	\N	4	-897	UROK	\N	\N
3492875	7824	1996-10-31	VYDAJ	VYBER	7	-919	SANKC. UROK	\N	\N
3492876	7824	1996-11-30	VYDAJ	VYBER	11	-2455	SANKC. UROK	\N	\N
3492877	7824	1996-12-31	VYDAJ	VYBER	27	-2496	SANKC. UROK	\N	\N
3492878	7824	1997-01-31	PRIJEM	\N	124	21000	UROK	\N	\N
3492879	7824	1997-02-28	PRIJEM	\N	276	87367	UROK	\N	\N
3492880	7824	1997-03-31	PRIJEM	\N	227	68540	UROK	\N	\N
3492881	7824	1997-04-30	PRIJEM	\N	195	52117	UROK	\N	\N
3492882	7824	1997-05-31	PRIJEM	\N	287	72806	UROK	\N	\N
3492883	7824	1997-06-30	PRIJEM	\N	220	76356	UROK	\N	\N
3492884	7824	1997-07-31	PRIJEM	\N	194	16632	UROK	\N	\N
3492885	7824	1997-08-31	PRIJEM	\N	225	21520	UROK	\N	\N
3492886	7824	1997-09-30	PRIJEM	\N	99	22541	UROK	\N	\N
3492887	7824	1997-10-31	PRIJEM	\N	280	26506	UROK	\N	\N
3492888	7824	1997-11-30	PRIJEM	\N	91	16602	UROK	\N	\N
3492889	7824	1997-12-31	PRIJEM	\N	134	35607	UROK	\N	\N
3492890	7824	1998-01-31	PRIJEM	\N	125	25681	UROK	\N	\N
3492891	7824	1998-02-28	PRIJEM	\N	144	23686	UROK	\N	\N
3492892	7824	1998-03-31	PRIJEM	\N	107	16031	UROK	\N	\N
3492893	7824	1998-04-30	PRIJEM	\N	79	21652	UROK	\N	\N
3492894	7824	1998-05-31	PRIJEM	\N	153	45575	UROK	\N	\N
3492895	7824	1998-06-30	PRIJEM	\N	81	10560	UROK	\N	\N
3492896	7824	1998-07-31	PRIJEM	\N	33	6897	UROK	\N	\N
3492897	7824	1998-08-31	PRIJEM	\N	209	50782	UROK	\N	\N
3492898	7824	1998-09-30	PRIJEM	\N	236	27622	UROK	\N	\N
3492899	7824	1998-10-31	PRIJEM	\N	262	31118	UROK	\N	\N
3492900	7824	1998-11-30	PRIJEM	\N	71	10603	UROK	\N	\N
3492901	7824	1998-12-31	PRIJEM	\N	129	28780	UROK	\N	\N
3492902	7828	1996-02-29	PRIJEM	\N	71	20838	UROK	\N	\N
3492903	7828	1996-03-31	PRIJEM	\N	95	27515	UROK	\N	\N
3492904	7828	1996-04-30	PRIJEM	\N	111	32244	UROK	\N	\N
3492905	7828	1996-05-31	PRIJEM	\N	125	36409	UROK	\N	\N
3492906	7828	1996-06-30	PRIJEM	\N	82	719	UROK	\N	\N
3492907	7828	1996-07-31	PRIJEM	\N	64	17427	UROK	\N	\N
3492908	7828	1996-08-31	PRIJEM	\N	94	22959	UROK	\N	\N
3492909	7828	1996-09-30	PRIJEM	\N	79	20873	UROK	\N	\N
3492910	7828	1996-10-31	PRIJEM	\N	110	32259	UROK	\N	\N
3492911	7828	1996-11-30	PRIJEM	\N	136	34717	UROK	\N	\N
3492912	7828	1996-12-31	PRIJEM	\N	145	33215	UROK	\N	\N
3492913	7828	1997-01-31	PRIJEM	\N	85	25187	UROK	\N	\N
3492914	7828	1997-02-28	PRIJEM	\N	87	26557	UROK	\N	\N
3492915	7828	1997-03-31	PRIJEM	\N	115	33673	UROK	\N	\N
3492916	7828	1997-04-30	PRIJEM	\N	113	38283	UROK	\N	\N
3492917	7828	1997-05-31	PRIJEM	\N	118	39477	UROK	\N	\N
3492918	7828	1997-06-30	PRIJEM	\N	36	27406	UROK	\N	\N
3492919	7828	1997-07-31	PRIJEM	\N	102	29230	UROK	\N	\N
3492920	7828	1997-08-31	PRIJEM	\N	119	31935	UROK	\N	\N
3492921	7828	1997-09-30	PRIJEM	\N	133	36199	UROK	\N	\N
3492922	7828	1997-10-31	PRIJEM	\N	141	33517	UROK	\N	\N
3492923	7828	1997-11-30	PRIJEM	\N	115	34675	UROK	\N	\N
3492924	7828	1997-12-31	PRIJEM	\N	139	33363	UROK	\N	\N
3492925	7828	1998-01-31	PRIJEM	\N	108	28448	UROK	\N	\N
3492926	7828	1998-02-28	PRIJEM	\N	92	36017	UROK	\N	\N
3492927	7828	1998-03-31	PRIJEM	\N	151	45097	UROK	\N	\N
3492928	7828	1998-04-30	PRIJEM	\N	180	52940	UROK	\N	\N
3492929	7828	1998-05-31	PRIJEM	\N	105	56134	UROK	\N	\N
3492930	7828	1998-06-30	PRIJEM	\N	81	38710	UROK	\N	\N
3492931	7828	1998-07-31	PRIJEM	\N	96	43883	UROK	\N	\N
3492932	7828	1998-08-31	PRIJEM	\N	92	47402	UROK	\N	\N
3492933	7828	1998-09-30	PRIJEM	\N	168	51115	UROK	\N	\N
3492934	7828	1998-10-31	PRIJEM	\N	175	53129	UROK	\N	\N
3492935	7828	1998-11-30	PRIJEM	\N	201	52208	UROK	\N	\N
3492936	7828	1998-12-31	PRIJEM	\N	200	53421	UROK	\N	\N
3492984	7844	1993-12-31	PRIJEM	\N	29	36435	UROK	\N	\N
3492985	7844	1994-01-31	PRIJEM	\N	160	44832	UROK	\N	\N
3492986	7844	1994-02-28	PRIJEM	\N	190	49558	UROK	\N	\N
3492987	7844	1994-03-31	PRIJEM	\N	207	51102	UROK	\N	\N
3492988	7844	1994-04-30	PRIJEM	\N	198	33590	UROK	\N	\N
3492989	7844	1994-05-31	PRIJEM	\N	185	37812	UROK	\N	\N
3492990	7844	1994-06-30	PRIJEM	\N	278	48621	UROK	\N	\N
3492991	7844	1994-07-31	PRIJEM	\N	235	28029	UROK	\N	\N
3492992	7844	1994-08-31	PRIJEM	\N	174	41510	UROK	\N	\N
3492993	7844	1994-09-30	PRIJEM	\N	221	48837	UROK	\N	\N
3492994	7844	1994-10-31	PRIJEM	\N	239	46582	UROK	\N	\N
3492995	7844	1994-11-30	PRIJEM	\N	236	52125	UROK	\N	\N
3492996	7844	1994-12-31	PRIJEM	\N	250	45454	UROK	\N	\N
3492997	7844	1995-01-31	PRIJEM	\N	140	25200	UROK	\N	\N
3492998	7844	1995-02-28	PRIJEM	\N	154	38560	UROK	\N	\N
3492999	7844	1995-03-31	PRIJEM	\N	144	32183	UROK	\N	\N
3493000	7844	1995-04-30	PRIJEM	\N	166	25119	UROK	\N	\N
3493001	7844	1995-05-31	PRIJEM	\N	161	35986	UROK	\N	\N
3493002	7844	1995-06-30	PRIJEM	\N	202	46263	UROK	\N	\N
3493003	7844	1995-07-31	PRIJEM	\N	222	49173	UROK	\N	\N
3493004	7844	1995-08-31	PRIJEM	\N	224	48703	UROK	\N	\N
3493005	7844	1995-09-30	PRIJEM	\N	224	47733	UROK	\N	\N
3493006	7844	1995-10-31	PRIJEM	\N	222	42423	UROK	\N	\N
3493007	7844	1995-11-30	PRIJEM	\N	179	27107	UROK	\N	\N
3493008	7844	1995-12-31	PRIJEM	\N	177	42759	UROK	\N	\N
3493009	7844	1996-01-31	PRIJEM	\N	180	25346	UROK	\N	\N
3493010	7844	1996-02-29	PRIJEM	\N	146	39898	UROK	\N	\N
3493011	7844	1996-03-31	PRIJEM	\N	186	38547	UROK	\N	\N
3493012	7844	1996-04-30	PRIJEM	\N	179	43632	UROK	\N	\N
3493013	7844	1996-05-31	PRIJEM	\N	205	51044	UROK	\N	\N
3493014	7844	1996-06-30	PRIJEM	\N	202	32921	UROK	\N	\N
3493015	7844	1996-07-31	PRIJEM	\N	165	40408	UROK	\N	\N
3493016	7844	1996-08-31	PRIJEM	\N	153	28951	UROK	\N	\N
3493017	7844	1996-09-30	PRIJEM	\N	140	36614	UROK	\N	\N
3493018	7844	1996-10-31	PRIJEM	\N	165	41301	UROK	\N	\N
3493019	7844	1996-11-30	PRIJEM	\N	179	41095	UROK	\N	\N
3493020	7844	1996-12-31	PRIJEM	\N	184	41847	UROK	\N	\N
3493021	7844	1997-01-31	PRIJEM	\N	147	21916	UROK	\N	\N
3493022	7844	1997-02-28	PRIJEM	\N	128	27566	UROK	\N	\N
3493023	7844	1997-03-31	PRIJEM	\N	153	39542	UROK	\N	\N
3493024	7844	1997-04-30	PRIJEM	\N	160	32025	UROK	\N	\N
3493025	7844	1997-05-31	PRIJEM	\N	162	41309	UROK	\N	\N
3493026	7844	1997-06-30	PRIJEM	\N	200	46000	UROK	\N	\N
3493027	7844	1997-07-31	PRIJEM	\N	189	44811	UROK	\N	\N
3493028	7844	1997-08-31	PRIJEM	\N	193	46826	UROK	\N	\N
3493029	7844	1997-09-30	PRIJEM	\N	180	39829	UROK	\N	\N
3493030	7844	1997-10-31	PRIJEM	\N	159	37410	UROK	\N	\N
3493031	7844	1997-11-30	PRIJEM	\N	167	41000	UROK	\N	\N
3493032	7844	1997-12-31	PRIJEM	\N	233	30424	UROK	\N	\N
3493033	7844	1998-01-31	PRIJEM	\N	192	37938	UROK	\N	\N
3493034	7844	1998-02-28	PRIJEM	\N	204	51365	UROK	\N	\N
3493035	7844	1998-03-31	PRIJEM	\N	178	42465	UROK	\N	\N
3493036	7844	1998-04-30	PRIJEM	\N	204	35409	UROK	\N	\N
3493037	7844	1998-05-31	PRIJEM	\N	195	50326	UROK	\N	\N
3493038	7844	1998-06-30	PRIJEM	\N	213	29530	UROK	\N	\N
3493039	7844	1998-07-31	PRIJEM	\N	146	24880	UROK	\N	\N
3493040	7844	1998-08-31	PRIJEM	\N	144	37373	UROK	\N	\N
3493041	7844	1998-09-30	PRIJEM	\N	176	44272	UROK	\N	\N
3493042	7844	1998-10-31	PRIJEM	\N	156	35211	UROK	\N	\N
3493043	7844	1998-11-30	PRIJEM	\N	203	57420	UROK	\N	\N
3493044	7844	1998-12-31	PRIJEM	\N	187	68598	UROK	\N	\N
3493118	7857	1993-08-31	PRIJEM	\N	114	38523	UROK	\N	\N
3493119	7857	1993-09-30	PRIJEM	\N	253	70484	UROK	\N	\N
3493120	7857	1993-10-31	PRIJEM	\N	344	88038	UROK	\N	\N
3493121	7857	1993-11-30	PRIJEM	\N	378	92425	UROK	\N	\N
3493122	7857	1993-12-31	PRIJEM	\N	278	68588	UROK	\N	\N
3493123	7857	1994-01-31	PRIJEM	\N	174	31352	UROK	\N	\N
3493124	7857	1994-02-28	PRIJEM	\N	160	48270	UROK	\N	\N
3493125	7857	1994-03-31	PRIJEM	\N	225	60154	UROK	\N	\N
3493126	7857	1994-04-30	PRIJEM	\N	152	24142	UROK	\N	\N
3493127	7857	1994-05-31	PRIJEM	\N	179	47079	UROK	\N	\N
3493128	7857	1994-06-30	PRIJEM	\N	251	71935	UROK	\N	\N
3493129	7857	1994-07-31	PRIJEM	\N	212	31589	UROK	\N	\N
3493130	7857	1994-08-31	PRIJEM	\N	167	32095	UROK	\N	\N
3493131	7857	1994-09-30	PRIJEM	\N	165	29032	UROK	\N	\N
3493132	7857	1994-10-31	PRIJEM	\N	185	37275	UROK	\N	\N
3493133	7857	1994-11-30	PRIJEM	\N	181	33568	UROK	\N	\N
3493134	7857	1994-12-31	PRIJEM	\N	202	39958	UROK	\N	\N
3493135	7857	1995-01-31	PRIJEM	\N	138	25354	UROK	\N	\N
3493136	7857	1995-02-28	PRIJEM	\N	178	39314	UROK	\N	\N
3493137	7857	1995-03-31	PRIJEM	\N	223	47220	UROK	\N	\N
3493138	7857	1995-04-30	PRIJEM	\N	246	49805	UROK	\N	\N
3493139	7857	1995-05-31	PRIJEM	\N	239	44279	UROK	\N	\N
3493140	7857	1995-06-30	PRIJEM	\N	245	46739	UROK	\N	\N
3493141	7857	1995-07-31	PRIJEM	\N	233	44654	UROK	\N	\N
3493142	7857	1995-08-31	PRIJEM	\N	221	27596	UROK	\N	\N
3493143	7857	1995-09-30	PRIJEM	\N	171	40250	UROK	\N	\N
3493144	7857	1995-10-31	PRIJEM	\N	195	42227	UROK	\N	\N
3493145	7857	1995-11-30	PRIJEM	\N	202	40911	UROK	\N	\N
3493146	7857	1995-12-31	PRIJEM	\N	255	52304	UROK	\N	\N
3493147	7857	1996-01-31	PRIJEM	\N	187	30173	UROK	\N	\N
3493148	7857	1996-02-29	PRIJEM	\N	164	40496	UROK	\N	\N
3493149	7857	1996-03-31	PRIJEM	\N	210	46764	UROK	\N	\N
3493150	7857	1996-04-30	PRIJEM	\N	238	51060	UROK	\N	\N
3493151	7857	1996-05-31	PRIJEM	\N	242	52361	UROK	\N	\N
3493152	7857	1996-06-30	PRIJEM	\N	293	63767	UROK	\N	\N
3493153	7857	1996-07-31	PRIJEM	\N	279	59404	UROK	\N	\N
3493154	7857	1996-08-31	PRIJEM	\N	216	35363	UROK	\N	\N
3493155	7857	1996-09-30	PRIJEM	\N	189	42410	UROK	\N	\N
3493156	7857	1996-10-31	PRIJEM	\N	202	46370	UROK	\N	\N
3493157	7857	1996-11-30	PRIJEM	\N	216	54145	UROK	\N	\N
3493158	7857	1996-12-31	PRIJEM	\N	231	37559	UROK	\N	\N
3493159	7857	1997-01-31	PRIJEM	\N	150	26768	UROK	\N	\N
3493160	7857	1997-02-28	PRIJEM	\N	144	40770	UROK	\N	\N
3493161	7857	1997-03-31	PRIJEM	\N	197	44726	UROK	\N	\N
3493162	7857	1997-04-30	PRIJEM	\N	178	42533	UROK	\N	\N
3493163	7857	1997-05-31	PRIJEM	\N	181	42673	UROK	\N	\N
3493164	7857	1997-06-30	PRIJEM	\N	178	38166	UROK	\N	\N
3493165	7857	1997-07-31	PRIJEM	\N	114	27168	UROK	\N	\N
3493166	7857	1997-08-31	PRIJEM	\N	119	31849	UROK	\N	\N
3493167	7857	1997-09-30	PRIJEM	\N	159	30828	UROK	\N	\N
3493168	7857	1997-10-31	PRIJEM	\N	173	44760	UROK	\N	\N
3493169	7857	1997-11-30	PRIJEM	\N	190	49208	UROK	\N	\N
3493170	7857	1997-12-31	PRIJEM	\N	209	50430	UROK	\N	\N
3493171	7857	1998-01-31	PRIJEM	\N	168	31256	UROK	\N	\N
3493172	7857	1998-02-28	PRIJEM	\N	183	43650	UROK	\N	\N
3493173	7857	1998-03-31	PRIJEM	\N	212	52719	UROK	\N	\N
3493174	7857	1998-04-30	PRIJEM	\N	197	49575	UROK	\N	\N
3493175	7857	1998-05-31	PRIJEM	\N	193	48826	UROK	\N	\N
3493176	7857	1998-06-30	PRIJEM	\N	238	64365	UROK	\N	\N
3493177	7857	1998-07-31	PRIJEM	\N	300	81023	UROK	\N	\N
3493178	7857	1998-08-31	PRIJEM	\N	332	70136	UROK	\N	\N
3493179	7857	1998-09-30	PRIJEM	\N	311	78505	UROK	\N	\N
3493180	7857	1998-10-31	PRIJEM	\N	332	79862	UROK	\N	\N
3493181	7857	1998-11-30	PRIJEM	\N	358	95279	UROK	\N	\N
3493182	7857	1998-12-31	PRIJEM	\N	336	79128	UROK	\N	\N
3493183	7859	1995-04-30	PRIJEM	\N	93	31454	UROK	\N	\N
3493184	7859	1995-05-31	PRIJEM	\N	232	47347	UROK	\N	\N
3493185	7859	1995-06-30	PRIJEM	\N	342	92281	UROK	\N	\N
3493186	7859	1995-07-31	PRIJEM	\N	398	98240	UROK	\N	\N
3493187	7859	1995-08-31	PRIJEM	\N	366	80593	UROK	\N	\N
3493188	7859	1995-09-30	PRIJEM	\N	348	85487	UROK	\N	\N
3493189	7859	1995-10-31	PRIJEM	\N	351	89185	UROK	\N	\N
3493190	7859	1995-11-30	PRIJEM	\N	347	64007	UROK	\N	\N
3493191	7859	1995-12-31	PRIJEM	\N	345	99129	UROK	\N	\N
3493192	7859	1996-01-31	PRIJEM	\N	381	95357	UROK	\N	\N
3493193	7859	1996-02-29	PRIJEM	\N	383	97786	UROK	\N	\N
3493194	7859	1996-03-31	PRIJEM	\N	377	96410	UROK	\N	\N
3493195	7859	1996-04-30	PRIJEM	\N	358	92514	UROK	\N	\N
3493196	7859	1996-05-31	PRIJEM	\N	401	98562	UROK	\N	\N
3493197	7859	1996-06-30	PRIJEM	\N	329	58968	UROK	\N	\N
3493198	7859	1996-07-31	PRIJEM	\N	266	58841	UROK	\N	\N
3493199	7859	1996-08-31	PRIJEM	\N	305	77492	UROK	\N	\N
3493200	7859	1996-09-30	PRIJEM	\N	276	67712	UROK	\N	\N
3493201	7859	1996-10-31	PRIJEM	\N	327	84785	UROK	\N	\N
3493202	7859	1996-11-30	PRIJEM	\N	389	99021	UROK	\N	\N
3493203	7859	1996-12-31	PRIJEM	\N	327	66315	UROK	\N	\N
3493204	7859	1997-01-31	PRIJEM	\N	289	65999	UROK	\N	\N
3493205	7859	1997-02-28	PRIJEM	\N	338	93873	UROK	\N	\N
3493206	7859	1997-03-31	PRIJEM	\N	421	107931	UROK	\N	\N
3493207	7859	1997-04-30	PRIJEM	\N	400	91848	UROK	\N	\N
3493208	7859	1997-05-31	PRIJEM	\N	390	95442	UROK	\N	\N
3493209	7859	1997-06-30	PRIJEM	\N	303	31907	UROK	\N	\N
3493210	7859	1997-07-31	PRIJEM	\N	204	52541	UROK	\N	\N
3493211	7859	1997-08-31	PRIJEM	\N	280	66058	UROK	\N	\N
3493212	7859	1997-09-30	PRIJEM	\N	342	74936	UROK	\N	\N
3493213	7859	1997-10-31	PRIJEM	\N	339	70642	UROK	\N	\N
3493214	7859	1997-11-30	PRIJEM	\N	297	56540	UROK	\N	\N
3493215	7859	1997-12-31	PRIJEM	\N	328	70561	UROK	\N	\N
3493216	7859	1998-01-31	PRIJEM	\N	303	63996	UROK	\N	\N
3493217	7859	1998-02-28	PRIJEM	\N	329	77471	UROK	\N	\N
3493218	7859	1998-03-31	PRIJEM	\N	378	72696	UROK	\N	\N
3493219	7859	1998-04-30	PRIJEM	\N	360	73002	UROK	\N	\N
3493220	7859	1998-05-31	PRIJEM	\N	359	84172	UROK	\N	\N
3493221	7859	1998-06-30	PRIJEM	\N	303	41953	UROK	\N	\N
3493222	7859	1998-07-31	PRIJEM	\N	242	67241	UROK	\N	\N
3493223	7859	1998-08-31	PRIJEM	\N	297	74584	UROK	\N	\N
3493224	7859	1998-09-30	PRIJEM	\N	354	83485	UROK	\N	\N
3493225	7859	1998-10-31	PRIJEM	\N	395	90826	UROK	\N	\N
3493226	7859	1998-11-30	PRIJEM	\N	408	92880	UROK	\N	\N
3493227	7859	1998-12-31	PRIJEM	\N	485	124543	UROK	\N	\N
3493228	7861	1995-05-31	PRIJEM	\N	28	20719	UROK	\N	\N
3493229	7861	1995-06-30	PRIJEM	\N	108	36563	UROK	\N	\N
3493230	7861	1995-07-31	PRIJEM	\N	157	40011	UROK	\N	\N
3493231	7861	1995-08-31	PRIJEM	\N	170	42372	UROK	\N	\N
3493232	7861	1995-09-30	PRIJEM	\N	177	42940	UROK	\N	\N
3493233	7861	1995-10-31	PRIJEM	\N	163	37296	UROK	\N	\N
3493234	7861	1995-11-30	PRIJEM	\N	155	38763	UROK	\N	\N
3493235	7861	1995-12-31	PRIJEM	\N	175	46456	UROK	\N	\N
3493236	7861	1996-01-31	PRIJEM	\N	163	28991	UROK	\N	\N
3493237	7861	1996-02-29	PRIJEM	\N	131	36935	UROK	\N	\N
3493238	7861	1996-03-31	PRIJEM	\N	153	37720	UROK	\N	\N
3493239	7861	1996-04-30	PRIJEM	\N	156	40708	UROK	\N	\N
3493240	7861	1996-05-31	PRIJEM	\N	161	38582	UROK	\N	\N
3493241	7861	1996-06-30	PRIJEM	\N	159	42598	UROK	\N	\N
3493242	7861	1996-07-31	PRIJEM	\N	177	45288	UROK	\N	\N
3493243	7861	1996-08-31	PRIJEM	\N	202	48202	UROK	\N	\N
3493244	7861	1996-09-30	PRIJEM	\N	222	60637	UROK	\N	\N
3493245	7861	1996-10-31	PRIJEM	\N	260	67109	UROK	\N	\N
3493246	7861	1996-11-30	PRIJEM	\N	265	67887	UROK	\N	\N
3493247	7861	1996-12-31	PRIJEM	\N	300	76265	UROK	\N	\N
3493248	7861	1997-01-31	PRIJEM	\N	273	60150	UROK	\N	\N
3493249	7861	1997-02-28	PRIJEM	\N	267	71130	UROK	\N	\N
3493250	7861	1997-03-31	PRIJEM	\N	297	76458	UROK	\N	\N
3493251	7861	1997-04-30	PRIJEM	\N	313	78383	UROK	\N	\N
3493252	7861	1997-05-31	PRIJEM	\N	318	80014	UROK	\N	\N
3493253	7861	1997-06-30	PRIJEM	\N	327	62119	UROK	\N	\N
3493254	7861	1997-07-31	PRIJEM	\N	270	70701	UROK	\N	\N
3493255	7861	1997-08-31	PRIJEM	\N	280	70333	UROK	\N	\N
3493256	7861	1997-09-30	PRIJEM	\N	298	75644	UROK	\N	\N
3493257	7861	1997-10-31	PRIJEM	\N	317	81373	UROK	\N	\N
3493258	7861	1997-11-30	PRIJEM	\N	303	70988	UROK	\N	\N
3493259	7861	1997-12-31	PRIJEM	\N	311	83357	UROK	\N	\N
3493260	7861	1998-01-31	PRIJEM	\N	285	58274	UROK	\N	\N
3493261	7861	1998-02-28	PRIJEM	\N	261	69747	UROK	\N	\N
3493262	7861	1998-03-31	PRIJEM	\N	297	77257	UROK	\N	\N
3493263	7861	1998-04-30	PRIJEM	\N	308	79177	UROK	\N	\N
3493264	7861	1998-05-31	PRIJEM	\N	302	76791	UROK	\N	\N
3493265	7861	1998-06-30	PRIJEM	\N	327	79236	UROK	\N	\N
3493266	7861	1998-07-31	PRIJEM	\N	298	76266	UROK	\N	\N
3493267	7861	1998-08-31	PRIJEM	\N	298	73796	UROK	\N	\N
3493268	7861	1998-09-30	PRIJEM	\N	290	75299	UROK	\N	\N
3493269	7861	1998-10-31	PRIJEM	\N	295	76413	UROK	\N	\N
3493270	7861	1998-11-30	PRIJEM	\N	311	80844	UROK	\N	\N
3493271	7861	1998-12-31	PRIJEM	\N	338	90366	UROK	\N	\N
3493595	7890	1996-04-30	PRIJEM	\N	12	14769	UROK	\N	\N
3493596	7890	1996-05-31	PRIJEM	\N	71	25198	UROK	\N	\N
3493597	7890	1996-06-30	PRIJEM	\N	112	32595	UROK	\N	\N
3493598	7890	1996-07-31	PRIJEM	\N	136	32988	UROK	\N	\N
3493599	7890	1996-08-31	PRIJEM	\N	134	28475	UROK	\N	\N
3493600	7890	1996-09-30	PRIJEM	\N	119	26032	UROK	\N	\N
3493601	7890	1996-10-31	PRIJEM	\N	105	22675	UROK	\N	\N
3493602	7890	1996-11-30	PRIJEM	\N	91	20405	UROK	\N	\N
3493603	7890	1996-12-31	PRIJEM	\N	96	19168	UROK	\N	\N
3493604	7890	1997-01-31	PRIJEM	\N	84	16591	UROK	\N	\N
3493605	7890	1997-02-28	PRIJEM	\N	78	18608	UROK	\N	\N
3493606	7890	1997-03-31	PRIJEM	\N	67	16113	UROK	\N	\N
3493607	7890	1997-04-30	PRIJEM	\N	75	20927	UROK	\N	\N
3493608	7890	1997-05-31	PRIJEM	\N	91	22057	UROK	\N	\N
3493609	7890	1997-06-30	PRIJEM	\N	104	25528	UROK	\N	\N
3493610	7890	1997-07-31	PRIJEM	\N	110	24977	UROK	\N	\N
3493611	7890	1997-08-31	PRIJEM	\N	102	23717	UROK	\N	\N
3493612	7890	1997-09-30	PRIJEM	\N	110	27866	UROK	\N	\N
3493613	7890	1997-10-31	PRIJEM	\N	119	26123	UROK	\N	\N
3493614	7890	1997-11-30	PRIJEM	\N	111	27119	UROK	\N	\N
3493615	7890	1997-12-31	PRIJEM	\N	109	24242	UROK	\N	\N
3493616	7890	1998-01-31	PRIJEM	\N	94	20022	UROK	\N	\N
3493617	7890	1998-02-28	PRIJEM	\N	108	30915	UROK	\N	\N
3493618	7890	1998-03-31	PRIJEM	\N	139	32340	UROK	\N	\N
3493619	7890	1998-04-30	PRIJEM	\N	144	35969	UROK	\N	\N
3493620	7890	1998-05-31	PRIJEM	\N	160	39914	UROK	\N	\N
3493621	7890	1998-06-30	PRIJEM	\N	150	21879	UROK	\N	\N
3493622	7890	1998-07-31	PRIJEM	\N	121	33785	UROK	\N	\N
3493623	7890	1998-08-31	PRIJEM	\N	158	41529	UROK	\N	\N
3493624	7890	1998-09-30	PRIJEM	\N	183	45697	UROK	\N	\N
3493625	7890	1998-10-31	PRIJEM	\N	209	50892	UROK	\N	\N
3493626	7890	1998-11-30	PRIJEM	\N	221	54398	UROK	\N	\N
3493627	7890	1998-12-31	PRIJEM	\N	232	57445	UROK	\N	\N
3493740	7894	1996-04-30	PRIJEM	\N	179	67623	UROK	\N	\N
3493741	7894	1996-05-31	PRIJEM	\N	254	46347	UROK	\N	\N
3493742	7894	1996-06-30	PRIJEM	\N	177	51225	UROK	\N	\N
3493743	7894	1996-07-31	PRIJEM	\N	163	29938	UROK	\N	\N
3493744	7894	1996-08-31	PRIJEM	\N	333	100768	UROK	\N	\N
3493745	7894	1996-09-30	PRIJEM	\N	301	80406	UROK	\N	\N
3493746	7894	1996-10-31	PRIJEM	\N	255	78165	UROK	\N	\N
3493747	7894	1996-11-30	PRIJEM	\N	235	45900	UROK	\N	\N
3493748	7894	1996-12-31	PRIJEM	\N	138	24539	UROK	\N	\N
3493749	7894	1997-01-31	PRIJEM	\N	253	61680	UROK	\N	\N
3493750	7894	1997-02-28	PRIJEM	\N	212	54029	UROK	\N	\N
3493751	7894	1997-03-31	PRIJEM	\N	350	95157	UROK	\N	\N
3493752	7894	1997-04-30	PRIJEM	\N	183	27577	UROK	\N	\N
3493753	7894	1997-05-31	PRIJEM	\N	241	69576	UROK	\N	\N
3493754	7894	1997-06-30	PRIJEM	\N	228	27896	UROK	\N	\N
3493755	7894	1997-07-31	PRIJEM	\N	142	35865	UROK	\N	\N
3493756	7894	1997-08-31	PRIJEM	\N	204	68515	UROK	\N	\N
3493757	7894	1997-09-30	PRIJEM	\N	231	86238	UROK	\N	\N
3493758	7894	1997-10-31	PRIJEM	\N	227	45342	UROK	\N	\N
3493759	7894	1997-11-30	PRIJEM	\N	164	46653	UROK	\N	\N
3493760	7894	1997-12-31	PRIJEM	\N	182	45733	UROK	\N	\N
3493761	7894	1998-01-31	PRIJEM	\N	108	28888	UROK	\N	\N
3493762	7894	1998-02-28	PRIJEM	\N	91	32726	UROK	\N	\N
3493763	7894	1998-03-31	PRIJEM	\N	202	44592	UROK	\N	\N
3493764	7894	1998-04-30	PRIJEM	\N	335	62004	UROK	\N	\N
3493765	7894	1998-05-31	PRIJEM	\N	219	31930	UROK	\N	\N
3493766	7894	1998-06-30	PRIJEM	\N	97	26574	UROK	\N	\N
3493767	7894	1998-07-31	PRIJEM	\N	131	40056	UROK	\N	\N
3493768	7894	1998-08-31	PRIJEM	\N	192	62377	UROK	\N	\N
3493769	7894	1998-09-30	PRIJEM	\N	293	70114	UROK	\N	\N
3493770	7894	1998-10-31	PRIJEM	\N	257	59758	UROK	\N	\N
3493771	7894	1998-11-30	PRIJEM	\N	273	57391	UROK	\N	\N
3493772	7894	1998-12-31	PRIJEM	\N	191	44600	UROK	\N	\N
3493940	7907	1996-07-31	PRIJEM	\N	8	19575	UROK	\N	\N
3493941	7907	1996-08-31	PRIJEM	\N	82	22556	UROK	\N	\N
3493942	7907	1996-09-30	PRIJEM	\N	92	31972	UROK	\N	\N
3493943	7907	1996-10-31	PRIJEM	\N	251	48368	UROK	\N	\N
3493944	7907	1996-11-30	PRIJEM	\N	235	42959	UROK	\N	\N
3493945	7907	1996-12-31	PRIJEM	\N	260	47217	UROK	\N	\N
3493946	7907	1997-01-31	PRIJEM	\N	159	23351	UROK	\N	\N
3493947	7907	1997-02-28	PRIJEM	\N	88	24529	UROK	\N	\N
3493948	7907	1997-03-31	PRIJEM	\N	88	26544	UROK	\N	\N
3493949	7907	1997-04-30	PRIJEM	\N	95	25498	UROK	\N	\N
3493950	7907	1997-05-31	PRIJEM	\N	91	35065	UROK	\N	\N
3493951	7907	1997-06-30	PRIJEM	\N	125	22448	UROK	\N	\N
3493952	7907	1997-07-31	PRIJEM	\N	81	18588	UROK	\N	\N
3493953	7907	1997-08-31	PRIJEM	\N	77	20224	UROK	\N	\N
3493954	7907	1997-09-30	PRIJEM	\N	71	22336	UROK	\N	\N
3493955	7907	1997-10-31	PRIJEM	\N	74	20753	UROK	\N	\N
3493956	7907	1997-11-30	PRIJEM	\N	77	23871	UROK	\N	\N
3493957	7907	1997-12-31	PRIJEM	\N	146	37049	UROK	\N	\N
3493958	7907	1998-01-31	PRIJEM	\N	171	98379	UROK	\N	\N
3493959	7907	1998-02-28	PRIJEM	\N	340	88819	UROK	\N	\N
3493960	7907	1998-03-31	PRIJEM	\N	344	97594	UROK	\N	\N
3493961	7907	1998-04-30	PRIJEM	\N	349	82285	UROK	\N	\N
3493962	7907	1998-05-31	PRIJEM	\N	304	72973	UROK	\N	\N
3493963	7907	1998-06-30	PRIJEM	\N	293	86470	UROK	\N	\N
3493964	7907	1998-07-31	PRIJEM	\N	267	54945	UROK	\N	\N
3493965	7907	1998-08-31	PRIJEM	\N	262	89948	UROK	\N	\N
3493966	7907	1998-09-30	PRIJEM	\N	424	82291	UROK	\N	\N
3493967	7907	1998-10-31	PRIJEM	\N	320	97855	UROK	\N	\N
3493968	7907	1998-11-30	PRIJEM	\N	346	98378	UROK	\N	\N
3493969	7907	1998-12-31	PRIJEM	\N	331	58826	UROK	\N	\N
3494061	7926	1996-06-30	PRIJEM	\N	66	62319	UROK	\N	\N
3494062	7926	1996-07-31	PRIJEM	\N	262	82847	UROK	\N	\N
3494063	7926	1996-08-31	PRIJEM	\N	294	80875	UROK	\N	\N
3494064	7926	1996-09-30	PRIJEM	\N	278	82471	UROK	\N	\N
3494065	7926	1996-10-31	PRIJEM	\N	306	71715	UROK	\N	\N
3494066	7926	1996-11-30	PRIJEM	\N	288	55165	UROK	\N	\N
3494067	7926	1996-12-31	PRIJEM	\N	259	49024	UROK	\N	\N
3494068	7926	1997-01-31	PRIJEM	\N	179	30879	UROK	\N	\N
3494069	7926	1997-02-28	PRIJEM	\N	105	29855	UROK	\N	\N
3494070	7926	1997-03-31	PRIJEM	\N	117	29360	UROK	\N	\N
3494071	7926	1997-04-30	PRIJEM	\N	232	99043	UROK	\N	\N
3494072	7926	1997-05-31	PRIJEM	\N	340	99221	UROK	\N	\N
3494073	7926	1997-06-30	PRIJEM	\N	277	28519	UROK	\N	\N
3494074	7926	1997-07-31	PRIJEM	\N	255	89790	UROK	\N	\N
3494075	7926	1997-08-31	PRIJEM	\N	251	44406	UROK	\N	\N
3494076	7926	1997-09-30	PRIJEM	\N	267	68555	UROK	\N	\N
3494077	7926	1997-10-31	PRIJEM	\N	182	22502	UROK	\N	\N
3494078	7926	1997-11-30	PRIJEM	\N	145	51956	UROK	\N	\N
3494079	7926	1997-12-31	PRIJEM	\N	245	103126	UROK	\N	\N
3494080	7926	1998-01-31	PRIJEM	\N	135	13726	UROK	\N	\N
3494081	7926	1998-02-28	PRIJEM	\N	56	10247	UROK	\N	\N
3494082	7926	1998-03-31	PRIJEM	\N	41	6753	UROK	\N	\N
3494083	7926	1998-04-30	PRIJEM	\N	148	69651	UROK	\N	\N
3494084	7926	1998-05-31	PRIJEM	\N	141	19758	UROK	\N	\N
3494085	7926	1998-06-30	PRIJEM	\N	98	25914	UROK	\N	\N
3494086	7926	1998-07-31	PRIJEM	\N	105	23881	UROK	\N	\N
3494087	7926	1998-08-31	PRIJEM	\N	97	21442	UROK	\N	\N
3494088	7926	1998-09-30	PRIJEM	\N	134	38009	UROK	\N	\N
3494089	7926	1998-10-31	PRIJEM	\N	154	34033	UROK	\N	\N
3494090	7926	1998-11-30	PRIJEM	\N	140	31242	UROK	\N	\N
3494091	7926	1998-12-31	PRIJEM	\N	169	69131	UROK	\N	\N
3494099	7944	1994-01-31	PRIJEM	\N	15	22083	UROK	\N	\N
3494100	7944	1994-02-28	PRIJEM	\N	15	33883	UROK	\N	\N
3494101	7944	1994-03-31	PRIJEM	\N	20	38071	UROK	\N	\N
3494102	7944	1994-04-30	PRIJEM	\N	23	40705	UROK	\N	\N
3494103	7944	1994-05-31	PRIJEM	\N	25	36058	UROK	\N	\N
3494104	7944	1994-06-30	PRIJEM	\N	45	-1723	UROK	\N	\N
3494105	7944	1994-06-30	VYDAJ	VYBER	1	-1741	SANKC. UROK	\N	\N
3494106	7944	1994-07-31	PRIJEM	\N	27	16974	UROK	\N	\N
3494107	7944	1994-08-31	PRIJEM	\N	30	31876	UROK	\N	\N
3494108	7944	1994-09-30	PRIJEM	\N	44	39959	UROK	\N	\N
3494109	7944	1994-10-31	PRIJEM	\N	167	37808	UROK	\N	\N
3494110	7944	1994-11-30	PRIJEM	\N	161	41982	UROK	\N	\N
3494111	7944	1994-12-31	PRIJEM	\N	227	48134	UROK	\N	\N
3494112	7944	1995-01-31	PRIJEM	\N	194	46676	UROK	\N	\N
3494113	7944	1995-02-28	PRIJEM	\N	199	47613	UROK	\N	\N
3494114	7944	1995-03-31	PRIJEM	\N	146	45748	UROK	\N	\N
3494115	7944	1995-04-30	PRIJEM	\N	59	48860	UROK	\N	\N
3494116	7944	1995-05-31	PRIJEM	\N	62	47961	UROK	\N	\N
3494117	7944	1995-06-30	PRIJEM	\N	129	36528	UROK	\N	\N
3494118	7944	1995-07-31	PRIJEM	\N	69	44406	UROK	\N	\N
3494119	7944	1995-08-31	PRIJEM	\N	185	48629	UROK	\N	\N
3494120	7944	1995-09-30	PRIJEM	\N	191	51072	UROK	\N	\N
3494121	7944	1995-10-31	PRIJEM	\N	94	52626	UROK	\N	\N
3494122	7944	1995-11-30	PRIJEM	\N	212	54091	UROK	\N	\N
3494123	7944	1995-12-31	PRIJEM	\N	249	59190	UROK	\N	\N
3494124	7944	1996-01-31	PRIJEM	\N	118	54557	UROK	\N	\N
3494125	7944	1996-02-29	PRIJEM	\N	208	55110	UROK	\N	\N
3494126	7944	1996-03-31	PRIJEM	\N	226	59296	UROK	\N	\N
3494127	7944	1996-04-30	PRIJEM	\N	242	63660	UROK	\N	\N
3494128	7944	1996-05-31	PRIJEM	\N	243	64306	UROK	\N	\N
3494129	7944	1996-06-30	PRIJEM	\N	137	50532	UROK	\N	\N
3494130	7944	1996-07-31	PRIJEM	\N	174	60930	UROK	\N	\N
3494131	7944	1996-08-31	PRIJEM	\N	151	62174	UROK	\N	\N
3494132	7944	1996-09-30	PRIJEM	\N	259	69228	UROK	\N	\N
3494133	7944	1996-10-31	PRIJEM	\N	265	71306	UROK	\N	\N
3494134	7944	1996-11-30	PRIJEM	\N	182	70710	UROK	\N	\N
3494135	7944	1996-12-31	PRIJEM	\N	283	69934	UROK	\N	\N
3494136	7944	1997-01-31	PRIJEM	\N	267	72654	UROK	\N	\N
3494137	7944	1997-02-28	PRIJEM	\N	198	72581	UROK	\N	\N
3494138	7944	1997-03-31	PRIJEM	\N	283	74135	UROK	\N	\N
3494139	7944	1997-04-30	PRIJEM	\N	269	72218	UROK	\N	\N
3494140	7944	1997-05-31	PRIJEM	\N	187	72958	UROK	\N	\N
3494141	7944	1997-06-30	PRIJEM	\N	247	68237	UROK	\N	\N
3494142	7944	1997-07-31	PRIJEM	\N	278	76507	UROK	\N	\N
3494143	7944	1997-08-31	PRIJEM	\N	309	87169	UROK	\N	\N
3494144	7944	1997-09-30	PRIJEM	\N	264	92286	UROK	\N	\N
3494145	7944	1997-10-31	PRIJEM	\N	360	96012	UROK	\N	\N
3494146	7944	1997-11-30	PRIJEM	\N	365	101209	UROK	\N	\N
3494147	7944	1997-12-31	PRIJEM	\N	310	106916	UROK	\N	\N
3494148	7944	1998-01-31	PRIJEM	\N	380	103018	UROK	\N	\N
3494149	7944	1998-02-28	PRIJEM	\N	366	100218	UROK	\N	\N
3494150	7944	1998-03-31	PRIJEM	\N	270	97748	UROK	\N	\N
3494151	7944	1998-04-30	PRIJEM	\N	369	99770	UROK	\N	\N
3494152	7944	1998-05-31	PRIJEM	\N	350	94243	UROK	\N	\N
3494153	7944	1998-06-30	PRIJEM	\N	280	95821	UROK	\N	\N
3494154	7944	1998-07-31	PRIJEM	\N	271	104004	UROK	\N	\N
3494155	7944	1998-08-31	PRIJEM	\N	273	105016	UROK	\N	\N
3494156	7944	1998-09-30	PRIJEM	\N	291	107760	UROK	\N	\N
3494157	7944	1998-10-31	PRIJEM	\N	387	109195	UROK	\N	\N
3494158	7944	1998-11-30	PRIJEM	\N	281	105618	UROK	\N	\N
3494159	7944	1998-12-31	PRIJEM	\N	397	113572	UROK	\N	\N
3494270	7957	1995-09-30	PRIJEM	\N	21	14925	UROK	\N	\N
3494271	7957	1995-10-31	PRIJEM	\N	193	63821	UROK	\N	\N
3494272	7957	1995-11-30	PRIJEM	\N	233	51790	UROK	\N	\N
3494273	7957	1995-12-31	PRIJEM	\N	268	78438	UROK	\N	\N
3494274	7957	1996-01-31	PRIJEM	\N	265	57481	UROK	\N	\N
3494275	7957	1996-02-29	PRIJEM	\N	154	21450	UROK	\N	\N
3494276	7957	1996-03-31	PRIJEM	\N	172	43961	UROK	\N	\N
3494277	7957	1996-04-30	PRIJEM	\N	143	33136	UROK	\N	\N
3494278	7957	1996-05-31	PRIJEM	\N	208	54775	UROK	\N	\N
3494279	7957	1996-06-30	PRIJEM	\N	117	24858	UROK	\N	\N
3494280	7957	1996-07-31	PRIJEM	\N	69	14694	UROK	\N	\N
3494281	7957	1996-08-31	PRIJEM	\N	110	40240	UROK	\N	\N
3494282	7957	1996-09-30	PRIJEM	\N	201	122755	UROK	\N	\N
3494283	7957	1996-10-31	PRIJEM	\N	278	59932	UROK	\N	\N
3494284	7957	1996-11-30	PRIJEM	\N	133	24931	UROK	\N	\N
3494285	7957	1996-12-31	PRIJEM	\N	76	21774	UROK	\N	\N
3494286	7957	1997-01-31	PRIJEM	\N	66	22213	UROK	\N	\N
3494287	7957	1997-02-28	PRIJEM	\N	92	19582	UROK	\N	\N
3494288	7957	1997-03-31	PRIJEM	\N	317	58851	UROK	\N	\N
3494289	7957	1997-04-30	PRIJEM	\N	211	53306	UROK	\N	\N
3494290	7957	1997-05-31	PRIJEM	\N	255	66106	UROK	\N	\N
3494291	7957	1997-06-30	PRIJEM	\N	341	48976	UROK	\N	\N
3494292	7957	1997-07-31	PRIJEM	\N	271	57559	UROK	\N	\N
3494293	7957	1997-08-31	PRIJEM	\N	271	58332	UROK	\N	\N
3494294	7957	1997-09-30	PRIJEM	\N	305	79166	UROK	\N	\N
3494295	7957	1997-10-31	PRIJEM	\N	252	45595	UROK	\N	\N
3494296	7957	1997-11-30	PRIJEM	\N	145	39514	UROK	\N	\N
3494297	7957	1997-12-31	PRIJEM	\N	165	45277	UROK	\N	\N
3494298	7957	1998-01-31	PRIJEM	\N	262	67770	UROK	\N	\N
3494299	7957	1998-02-28	PRIJEM	\N	165	39017	UROK	\N	\N
3494300	7957	1998-03-31	PRIJEM	\N	165	41594	UROK	\N	\N
3494301	7957	1998-04-30	PRIJEM	\N	128	30813	UROK	\N	\N
3494302	7957	1998-05-31	PRIJEM	\N	89	25294	UROK	\N	\N
3494303	7957	1998-06-30	PRIJEM	\N	140	37694	UROK	\N	\N
3494304	7957	1998-07-31	PRIJEM	\N	132	34492	UROK	\N	\N
3494305	7957	1998-08-31	PRIJEM	\N	295	58698	UROK	\N	\N
3494306	7957	1998-09-30	PRIJEM	\N	280	89334	UROK	\N	\N
3494307	7957	1998-10-31	PRIJEM	\N	338	88238	UROK	\N	\N
3494308	7957	1998-11-30	PRIJEM	\N	291	63760	UROK	\N	\N
3494309	7957	1998-12-31	PRIJEM	\N	323	68382	UROK	\N	\N
3494361	7965	1994-01-31	PRIJEM	\N	36	53448	UROK	\N	\N
3494362	7965	1994-02-28	PRIJEM	\N	256	63945	UROK	\N	\N
3494363	7965	1994-03-31	PRIJEM	\N	223	50840	UROK	\N	\N
3494364	7965	1994-04-30	PRIJEM	\N	245	62145	UROK	\N	\N
3494365	7965	1994-05-31	PRIJEM	\N	258	62322	UROK	\N	\N
3494366	7965	1994-06-30	PRIJEM	\N	284	72910	UROK	\N	\N
3494367	7965	1994-07-31	PRIJEM	\N	205	37132	UROK	\N	\N
3494368	7965	1994-08-31	PRIJEM	\N	160	40208	UROK	\N	\N
3494369	7965	1994-09-30	PRIJEM	\N	142	76863	UROK	\N	\N
3494370	7965	1994-10-31	PRIJEM	\N	225	79482	UROK	\N	\N
3494371	7965	1994-11-30	PRIJEM	\N	300	64213	UROK	\N	\N
3494372	7965	1994-12-31	PRIJEM	\N	202	42520	UROK	\N	\N
3494373	7965	1995-01-31	PRIJEM	\N	92	15075	UROK	\N	\N
3494374	7965	1995-02-28	PRIJEM	\N	47	8984	UROK	\N	\N
3494375	7965	1995-03-31	PRIJEM	\N	31	5777	UROK	\N	\N
3494376	7965	1995-04-30	PRIJEM	\N	17	2457	UROK	\N	\N
3494377	7965	1995-05-31	PRIJEM	\N	75	15627	UROK	\N	\N
3494378	7965	1995-06-30	PRIJEM	\N	213	40976	UROK	\N	\N
3494379	7965	1995-07-31	PRIJEM	\N	102	23940	UROK	\N	\N
3494380	7965	1995-08-31	PRIJEM	\N	66	18168	UROK	\N	\N
3494381	7965	1995-09-30	PRIJEM	\N	43	12274	UROK	\N	\N
3494382	7965	1995-10-31	PRIJEM	\N	50	10941	UROK	\N	\N
3494383	7965	1995-11-30	PRIJEM	\N	46	11805	UROK	\N	\N
3494384	7965	1995-12-31	PRIJEM	\N	50	14472	UROK	\N	\N
3494385	7965	1996-01-31	PRIJEM	\N	217	25634	UROK	\N	\N
3494386	7965	1996-02-29	PRIJEM	\N	267	53993	UROK	\N	\N
3494387	7965	1996-03-31	PRIJEM	\N	143	24154	UROK	\N	\N
3494388	7965	1996-04-30	PRIJEM	\N	69	12340	UROK	\N	\N
3494389	7965	1996-05-31	PRIJEM	\N	52	14010	UROK	\N	\N
3494390	7965	1996-06-30	PRIJEM	\N	32	25996	UROK	\N	\N
3494391	7965	1996-07-31	PRIJEM	\N	135	26943	UROK	\N	\N
3494392	7965	1996-08-31	PRIJEM	\N	94	23054	UROK	\N	\N
3494393	7965	1996-09-30	PRIJEM	\N	151	25587	UROK	\N	\N
3494394	7965	1996-10-31	PRIJEM	\N	148	32753	UROK	\N	\N
3494395	7965	1996-11-30	PRIJEM	\N	174	56336	UROK	\N	\N
3494396	7965	1996-12-31	PRIJEM	\N	176	35130	UROK	\N	\N
3494397	7965	1997-01-31	PRIJEM	\N	115	29355	UROK	\N	\N
3494398	7965	1997-02-28	PRIJEM	\N	111	36478	UROK	\N	\N
3494399	7965	1997-03-31	PRIJEM	\N	113	27508	UROK	\N	\N
3494400	7965	1997-04-30	PRIJEM	\N	111	57946	UROK	\N	\N
3494401	7965	1997-05-31	PRIJEM	\N	225	52518	UROK	\N	\N
3494402	7965	1997-06-30	PRIJEM	\N	196	26420	UROK	\N	\N
3494403	7965	1997-07-31	PRIJEM	\N	92	29529	UROK	\N	\N
3494404	7965	1997-08-31	PRIJEM	\N	172	41001	UROK	\N	\N
3494405	7965	1997-09-30	PRIJEM	\N	175	43916	UROK	\N	\N
3494406	7965	1997-10-31	PRIJEM	\N	167	66043	UROK	\N	\N
3494407	7965	1997-11-30	PRIJEM	\N	272	56319	UROK	\N	\N
3494408	7965	1997-12-31	PRIJEM	\N	192	41229	UROK	\N	\N
3494409	7965	1998-01-31	PRIJEM	\N	151	42801	UROK	\N	\N
3494410	7965	1998-02-28	PRIJEM	\N	168	37037	UROK	\N	\N
3494411	7965	1998-03-31	PRIJEM	\N	226	44103	UROK	\N	\N
3494412	7965	1998-04-30	PRIJEM	\N	185	45959	UROK	\N	\N
3494413	7965	1998-05-31	PRIJEM	\N	208	39108	UROK	\N	\N
3494414	7965	1998-06-30	PRIJEM	\N	144	34170	UROK	\N	\N
3494415	7965	1998-07-31	PRIJEM	\N	173	47466	UROK	\N	\N
3494416	7965	1998-08-31	PRIJEM	\N	169	35195	UROK	\N	\N
3494417	7965	1998-09-30	PRIJEM	\N	198	60060	UROK	\N	\N
3494418	7965	1998-10-31	PRIJEM	\N	239	62304	UROK	\N	\N
3494419	7965	1998-11-30	PRIJEM	\N	190	43420	UROK	\N	\N
3494420	7965	1998-12-31	PRIJEM	\N	343	61532	UROK	\N	\N
3494421	7966	1997-01-31	PRIJEM	\N	13	31221	UROK	\N	\N
3494422	7966	1997-04-30	PRIJEM	\N	168	100767	UROK	\N	\N
3494423	7966	1997-05-31	PRIJEM	\N	40	60523	UROK	\N	\N
3494424	7966	1997-06-30	PRIJEM	\N	63	40571	UROK	\N	\N
3494425	7966	1997-07-31	PRIJEM	\N	188	66896	UROK	\N	\N
3494426	7966	1997-08-31	PRIJEM	\N	163	25909	UROK	\N	\N
3494427	7966	1997-09-30	PRIJEM	\N	88	54238	UROK	\N	\N
3494428	7966	1997-10-31	PRIJEM	\N	66	36478	UROK	\N	\N
3494429	7966	1997-11-30	PRIJEM	\N	134	24709	UROK	\N	\N
3494430	7966	1997-12-31	PRIJEM	\N	62	12298	UROK	\N	\N
3494431	7966	1998-01-31	PRIJEM	\N	120	101431	UROK	\N	\N
3494432	7966	1998-01-31	VYDAJ	VYBER	1	101416	SANKC. UROK	\N	\N
3494433	7966	1998-02-28	PRIJEM	\N	154	56677	UROK	\N	\N
3494434	7966	1998-03-31	PRIJEM	\N	109	27844	UROK	\N	\N
3494435	7966	1998-04-30	PRIJEM	\N	92	84280	UROK	\N	\N
3494436	7966	1998-05-31	PRIJEM	\N	225	37754	UROK	\N	\N
3494437	7966	1998-06-30	PRIJEM	\N	145	28383	UROK	\N	\N
3494438	7966	1998-07-31	PRIJEM	\N	107	26394	UROK	\N	\N
3494439	7966	1998-08-31	PRIJEM	\N	71	14571	UROK	\N	\N
3494440	7966	1998-09-30	PRIJEM	\N	111	39001	UROK	\N	\N
3494441	7966	1998-10-31	PRIJEM	\N	82	9862	UROK	\N	\N
3494442	7966	1998-11-30	PRIJEM	\N	26	27301	UROK	\N	\N
3494443	7966	1998-12-31	PRIJEM	\N	104	27503	UROK	\N	\N
3494868	7990	1996-09-30	PRIJEM	\N	151	51509	UROK	\N	\N
3494869	7990	1996-10-31	PRIJEM	\N	217	58746	UROK	\N	\N
3494870	7990	1996-11-30	PRIJEM	\N	282	62243	UROK	\N	\N
3494871	7990	1996-12-31	PRIJEM	\N	317	60956	UROK	\N	\N
3494872	7990	1997-01-31	PRIJEM	\N	328	52102	UROK	\N	\N
3494873	7990	1997-02-28	PRIJEM	\N	296	50526	UROK	\N	\N
3494874	7990	1997-03-31	PRIJEM	\N	225	45588	UROK	\N	\N
3494875	7990	1997-04-30	PRIJEM	\N	379	58419	UROK	\N	\N
3494876	7990	1997-05-31	PRIJEM	\N	264	45682	UROK	\N	\N
3494877	7990	1997-06-30	PRIJEM	\N	200	55616	UROK	\N	\N
3494878	7990	1997-07-31	PRIJEM	\N	258	43654	UROK	\N	\N
3494879	7990	1997-08-31	PRIJEM	\N	342	58224	UROK	\N	\N
3494880	7990	1997-09-30	PRIJEM	\N	266	58721	UROK	\N	\N
3494881	7990	1997-10-31	PRIJEM	\N	293	63553	UROK	\N	\N
3494882	7990	1997-11-30	PRIJEM	\N	256	32941	UROK	\N	\N
3494883	7990	1997-12-31	PRIJEM	\N	177	60380	UROK	\N	\N
3494884	7990	1998-01-31	PRIJEM	\N	234	42957	UROK	\N	\N
3494885	7990	1998-02-28	PRIJEM	\N	267	55853	UROK	\N	\N
3494886	7990	1998-03-31	PRIJEM	\N	218	31218	UROK	\N	\N
3494887	7990	1998-04-30	PRIJEM	\N	113	29358	UROK	\N	\N
3494888	7990	1998-05-31	PRIJEM	\N	145	49251	UROK	\N	\N
3494889	7990	1998-06-30	PRIJEM	\N	258	54717	UROK	\N	\N
3494890	7990	1998-07-31	PRIJEM	\N	285	79534	UROK	\N	\N
3494891	7990	1998-08-31	PRIJEM	\N	326	95126	UROK	\N	\N
3494892	7990	1998-09-30	PRIJEM	\N	323	105645	UROK	\N	\N
3494893	7990	1998-10-31	PRIJEM	\N	340	61259	UROK	\N	\N
3494894	7990	1998-11-30	PRIJEM	\N	281	62298	UROK	\N	\N
3494895	7990	1998-12-31	PRIJEM	\N	257	59933	UROK	\N	\N
3494896	7997	1996-05-31	PRIJEM	\N	92	36202	UROK	\N	\N
3494897	7997	1996-06-30	PRIJEM	\N	164	50592	UROK	\N	\N
3494898	7997	1996-07-31	PRIJEM	\N	266	49373	UROK	\N	\N
3494899	7997	1996-08-31	PRIJEM	\N	279	77939	UROK	\N	\N
3494900	7997	1996-09-30	PRIJEM	\N	237	48406	UROK	\N	\N
3494901	7997	1996-10-31	PRIJEM	\N	229	85488	UROK	\N	\N
3494902	7997	1996-11-30	PRIJEM	\N	342	75112	UROK	\N	\N
3494903	7997	1996-12-31	PRIJEM	\N	347	55818	UROK	\N	\N
3494904	7997	1997-01-31	PRIJEM	\N	173	9577	UROK	\N	\N
3494905	7997	1997-02-28	PRIJEM	\N	97	27017	UROK	\N	\N
3494906	7997	1997-03-31	PRIJEM	\N	158	41681	UROK	\N	\N
3494907	7997	1997-04-30	PRIJEM	\N	164	35631	UROK	\N	\N
3494908	7997	1997-05-31	PRIJEM	\N	145	32760	UROK	\N	\N
3494909	7997	1997-06-30	PRIJEM	\N	137	49057	UROK	\N	\N
3494910	7997	1997-07-31	PRIJEM	\N	218	62290	UROK	\N	\N
3494911	7997	1997-08-31	PRIJEM	\N	220	26068	UROK	\N	\N
3494912	7997	1997-09-30	PRIJEM	\N	202	34757	UROK	\N	\N
3494913	7997	1997-10-31	PRIJEM	\N	156	34926	UROK	\N	\N
3494914	7997	1997-11-30	PRIJEM	\N	137	29770	UROK	\N	\N
3494915	7997	1997-12-31	PRIJEM	\N	131	30538	UROK	\N	\N
3494916	7997	1998-01-31	PRIJEM	\N	127	63969	UROK	\N	\N
3494917	7997	1998-02-28	PRIJEM	\N	309	59458	UROK	\N	\N
3494918	7997	1998-03-31	PRIJEM	\N	187	55651	UROK	\N	\N
3494919	7997	1998-04-30	PRIJEM	\N	297	79513	UROK	\N	\N
3494920	7997	1998-05-31	PRIJEM	\N	295	64183	UROK	\N	\N
3494921	7997	1998-06-30	PRIJEM	\N	305	17556	UROK	\N	\N
3494922	7997	1998-07-31	PRIJEM	\N	192	50181	UROK	\N	\N
3494923	7997	1998-08-31	PRIJEM	\N	229	65483	UROK	\N	\N
3494924	7997	1998-09-30	PRIJEM	\N	185	37214	UROK	\N	\N
3494925	7997	1998-10-31	PRIJEM	\N	156	18712	UROK	\N	\N
3494926	7997	1998-11-30	PRIJEM	\N	193	73534	UROK	\N	\N
3494927	7997	1998-12-31	PRIJEM	\N	206	38831	UROK	\N	\N
3495321	8026	1997-04-30	PRIJEM	\N	31	24774	UROK	\N	\N
3495322	8026	1997-05-31	PRIJEM	\N	121	38038	UROK	\N	\N
3495323	8026	1997-06-30	PRIJEM	\N	176	51228	UROK	\N	\N
3495324	8026	1997-07-31	PRIJEM	\N	213	51484	UROK	\N	\N
3495325	8026	1997-08-31	PRIJEM	\N	212	48338	UROK	\N	\N
3495326	8026	1997-09-30	PRIJEM	\N	221	48525	UROK	\N	\N
3495327	8026	1997-10-31	PRIJEM	\N	223	51153	UROK	\N	\N
3495328	8026	1997-11-30	PRIJEM	\N	230	51349	UROK	\N	\N
3495329	8026	1997-12-31	PRIJEM	\N	257	59043	UROK	\N	\N
3495330	8026	1998-01-31	PRIJEM	\N	243	51971	UROK	\N	\N
3495331	8026	1998-02-28	PRIJEM	\N	237	56373	UROK	\N	\N
3495332	8026	1998-03-31	PRIJEM	\N	253	57091	UROK	\N	\N
3495333	8026	1998-04-30	PRIJEM	\N	263	63220	UROK	\N	\N
3495334	8026	1998-05-31	PRIJEM	\N	264	57549	UROK	\N	\N
3495335	8026	1998-06-30	PRIJEM	\N	250	47336	UROK	\N	\N
3495336	8026	1998-07-31	PRIJEM	\N	227	56329	UROK	\N	\N
3495337	8026	1998-08-31	PRIJEM	\N	267	67361	UROK	\N	\N
3495338	8026	1998-09-30	PRIJEM	\N	290	69316	UROK	\N	\N
3495339	8026	1998-10-31	PRIJEM	\N	306	74788	UROK	\N	\N
3495340	8026	1998-11-30	PRIJEM	\N	313	74766	UROK	\N	\N
3495341	8026	1998-12-31	PRIJEM	\N	308	72511	UROK	\N	\N
3495342	8027	1993-08-31	PRIJEM	\N	138	30156	UROK	\N	\N
3495343	8027	1993-09-30	PRIJEM	\N	250	64424	UROK	\N	\N
3495344	8027	1993-10-31	PRIJEM	\N	329	82071	UROK	\N	\N
3495345	8027	1993-11-30	PRIJEM	\N	373	91563	UROK	\N	\N
3495346	8027	1993-12-31	PRIJEM	\N	243	42666	UROK	\N	\N
3495347	8027	1994-01-31	PRIJEM	\N	182	23339	UROK	\N	\N
3495348	8027	1994-02-28	PRIJEM	\N	221	57849	UROK	\N	\N
3495349	8027	1994-03-31	PRIJEM	\N	316	77852	UROK	\N	\N
3495350	8027	1994-04-30	PRIJEM	\N	370	88710	UROK	\N	\N
3495351	8027	1994-05-31	PRIJEM	\N	276	47956	UROK	\N	\N
3495352	8027	1994-06-30	PRIJEM	\N	299	73752	UROK	\N	\N
3495353	8027	1994-07-31	PRIJEM	\N	336	78426	UROK	\N	\N
3495354	8027	1994-08-31	PRIJEM	\N	355	86599	UROK	\N	\N
3495355	8027	1994-09-30	PRIJEM	\N	272	65530	UROK	\N	\N
3495356	8027	1994-10-31	PRIJEM	\N	243	50948	UROK	\N	\N
3495357	8027	1994-11-30	PRIJEM	\N	289	50456	UROK	\N	\N
3495358	8027	1994-12-31	PRIJEM	\N	327	64810	UROK	\N	\N
3495359	8027	1995-01-31	PRIJEM	\N	308	50837	UROK	\N	\N
3495360	8027	1995-02-28	PRIJEM	\N	285	57940	UROK	\N	\N
3495361	8027	1995-03-31	PRIJEM	\N	274	52328	UROK	\N	\N
3495362	8027	1995-04-30	PRIJEM	\N	277	52123	UROK	\N	\N
3495363	8027	1995-05-31	PRIJEM	\N	279	55720	UROK	\N	\N
3495364	8027	1995-06-30	PRIJEM	\N	255	31072	UROK	\N	\N
3495365	8027	1995-07-31	PRIJEM	\N	182	50242	UROK	\N	\N
3495366	8027	1995-08-31	PRIJEM	\N	277	56214	UROK	\N	\N
3495367	8027	1995-09-30	PRIJEM	\N	308	64009	UROK	\N	\N
3495368	8027	1995-10-31	PRIJEM	\N	322	66419	UROK	\N	\N
3495369	8027	1995-11-30	PRIJEM	\N	290	69497	UROK	\N	\N
3495370	8027	1995-12-31	PRIJEM	\N	241	50935	UROK	\N	\N
3495371	8027	1996-01-31	PRIJEM	\N	230	34886	UROK	\N	\N
3495372	8027	1996-02-29	PRIJEM	\N	219	52193	UROK	\N	\N
3495373	8027	1996-03-31	PRIJEM	\N	235	38520	UROK	\N	\N
3495374	8027	1996-04-30	PRIJEM	\N	201	55708	UROK	\N	\N
3495375	8027	1996-05-31	PRIJEM	\N	310	64406	UROK	\N	\N
3495376	8027	1996-06-30	PRIJEM	\N	306	50626	UROK	\N	\N
3495377	8027	1996-07-31	PRIJEM	\N	232	56146	UROK	\N	\N
3495378	8027	1996-08-31	PRIJEM	\N	266	61700	UROK	\N	\N
3495379	8027	1996-09-30	PRIJEM	\N	314	64702	UROK	\N	\N
3495380	8027	1996-10-31	PRIJEM	\N	297	51587	UROK	\N	\N
3495381	8027	1996-11-30	PRIJEM	\N	240	58016	UROK	\N	\N
3495382	8027	1996-12-31	PRIJEM	\N	295	49708	UROK	\N	\N
3495383	8027	1997-01-31	PRIJEM	\N	224	38220	UROK	\N	\N
3495384	8027	1997-02-28	PRIJEM	\N	195	51678	UROK	\N	\N
3495385	8027	1997-03-31	PRIJEM	\N	284	63751	UROK	\N	\N
3495386	8027	1997-04-30	PRIJEM	\N	288	66126	UROK	\N	\N
3495387	8027	1997-05-31	PRIJEM	\N	299	61289	UROK	\N	\N
3495388	8027	1997-06-30	PRIJEM	\N	310	49296	UROK	\N	\N
3495389	8027	1997-07-31	PRIJEM	\N	238	59122	UROK	\N	\N
3495390	8027	1997-08-31	PRIJEM	\N	222	43185	UROK	\N	\N
3495391	8027	1997-09-30	PRIJEM	\N	218	52691	UROK	\N	\N
3495392	8027	1997-10-31	PRIJEM	\N	280	64612	UROK	\N	\N
3495393	8027	1997-11-30	PRIJEM	\N	309	70009	UROK	\N	\N
3495394	8027	1997-12-31	PRIJEM	\N	246	32779	UROK	\N	\N
3495395	8027	1998-01-31	PRIJEM	\N	133	30751	UROK	\N	\N
3495396	8027	1998-02-28	PRIJEM	\N	184	45023	UROK	\N	\N
3495397	8027	1998-03-31	PRIJEM	\N	229	52140	UROK	\N	\N
3495398	8027	1998-04-30	PRIJEM	\N	227	49655	UROK	\N	\N
3495399	8027	1998-05-31	PRIJEM	\N	214	48077	UROK	\N	\N
3495400	8027	1998-06-30	PRIJEM	\N	257	56431	UROK	\N	\N
3495401	8027	1998-07-31	PRIJEM	\N	219	53637	UROK	\N	\N
3495402	8027	1998-08-31	PRIJEM	\N	241	56366	UROK	\N	\N
3495403	8027	1998-09-30	PRIJEM	\N	187	37907	UROK	\N	\N
3495404	8027	1998-10-31	PRIJEM	\N	164	38859	UROK	\N	\N
3495405	8027	1998-11-30	PRIJEM	\N	170	41417	UROK	\N	\N
3495406	8027	1998-12-31	PRIJEM	\N	201	47114	UROK	\N	\N
3495480	8038	1996-09-30	PRIJEM	\N	56	27072	UROK	\N	\N
3495481	8038	1996-10-31	PRIJEM	\N	136	37924	UROK	\N	\N
3495482	8038	1996-11-30	PRIJEM	\N	180	48220	UROK	\N	\N
3495483	8038	1996-12-31	PRIJEM	\N	222	57967	UROK	\N	\N
3495484	8038	1997-01-31	PRIJEM	\N	291	57474	UROK	\N	\N
3495485	8038	1997-02-28	PRIJEM	\N	236	61336	UROK	\N	\N
3495486	8038	1997-03-31	PRIJEM	\N	235	52258	UROK	\N	\N
3495487	8038	1997-04-30	PRIJEM	\N	190	43575	UROK	\N	\N
3495488	8038	1997-05-31	PRIJEM	\N	180	41581	UROK	\N	\N
3495489	8038	1997-06-30	PRIJEM	\N	218	59873	UROK	\N	\N
3495490	8038	1997-07-31	PRIJEM	\N	252	64012	UROK	\N	\N
3495491	8038	1997-08-31	PRIJEM	\N	270	69169	UROK	\N	\N
3495492	8038	1997-09-30	PRIJEM	\N	260	62335	UROK	\N	\N
3495493	8038	1997-10-31	PRIJEM	\N	272	68373	UROK	\N	\N
3495494	8038	1997-11-30	PRIJEM	\N	281	71541	UROK	\N	\N
3495495	8038	1997-12-31	PRIJEM	\N	293	74247	UROK	\N	\N
3495496	8038	1998-01-31	PRIJEM	\N	301	76035	UROK	\N	\N
3495497	8038	1998-02-28	PRIJEM	\N	289	73316	UROK	\N	\N
3495498	8038	1998-03-31	PRIJEM	\N	284	70393	UROK	\N	\N
3495499	8038	1998-04-30	PRIJEM	\N	274	69159	UROK	\N	\N
3495500	8038	1998-05-31	PRIJEM	\N	258	64209	UROK	\N	\N
3495501	8038	1998-06-30	PRIJEM	\N	255	55204	UROK	\N	\N
3495502	8038	1998-07-31	PRIJEM	\N	202	49278	UROK	\N	\N
3495503	8038	1998-08-31	PRIJEM	\N	205	54876	UROK	\N	\N
3495504	8038	1998-09-30	PRIJEM	\N	216	57784	UROK	\N	\N
3495505	8038	1998-10-31	PRIJEM	\N	241	63417	UROK	\N	\N
3495506	8038	1998-11-30	PRIJEM	\N	260	67969	UROK	\N	\N
3495507	8038	1998-12-31	PRIJEM	\N	293	77283	UROK	\N	\N
3495508	8039	1995-12-31	PRIJEM	\N	52	27726	UROK	\N	\N
3495509	8039	1996-01-31	PRIJEM	\N	152	45066	UROK	\N	\N
3495510	8039	1996-02-29	PRIJEM	\N	187	35054	UROK	\N	\N
3495511	8039	1996-03-31	PRIJEM	\N	224	69976	UROK	\N	\N
3495512	8039	1996-04-30	PRIJEM	\N	345	96108	UROK	\N	\N
3495513	8039	1996-05-31	PRIJEM	\N	399	62007	UROK	\N	\N
3495514	8039	1996-06-30	PRIJEM	\N	207	23215	UROK	\N	\N
3495515	8039	1996-07-31	PRIJEM	\N	179	57660	UROK	\N	\N
3495516	8039	1996-08-31	PRIJEM	\N	168	22798	UROK	\N	\N
3495517	8039	1996-09-30	PRIJEM	\N	83	18451	UROK	\N	\N
3495518	8039	1996-10-31	PRIJEM	\N	104	26340	UROK	\N	\N
3495519	8039	1996-11-30	PRIJEM	\N	99	21809	UROK	\N	\N
3495520	8039	1996-12-31	PRIJEM	\N	137	53803	UROK	\N	\N
3495521	8039	1997-01-31	PRIJEM	\N	167	20636	UROK	\N	\N
3495522	8039	1997-02-28	PRIJEM	\N	100	24207	UROK	\N	\N
3495523	8039	1997-03-31	PRIJEM	\N	183	46719	UROK	\N	\N
3495524	8039	1997-04-30	PRIJEM	\N	270	89766	UROK	\N	\N
3495525	8039	1997-05-31	PRIJEM	\N	280	44216	UROK	\N	\N
3495526	8039	1997-06-30	PRIJEM	\N	170	38155	UROK	\N	\N
3495527	8039	1997-07-31	PRIJEM	\N	150	34075	UROK	\N	\N
3495528	8039	1997-08-31	PRIJEM	\N	142	32788	UROK	\N	\N
3495529	8039	1997-09-30	PRIJEM	\N	130	29488	UROK	\N	\N
3495530	8039	1997-10-31	PRIJEM	\N	282	112570	UROK	\N	\N
3495531	8039	1997-11-30	PRIJEM	\N	315	56509	UROK	\N	\N
3495532	8039	1997-12-31	PRIJEM	\N	218	47888	UROK	\N	\N
3495533	8039	1998-01-31	PRIJEM	\N	167	49632	UROK	\N	\N
3495534	8039	1998-02-28	PRIJEM	\N	227	52637	UROK	\N	\N
3495535	8039	1998-03-31	PRIJEM	\N	212	52009	UROK	\N	\N
3495536	8039	1998-04-30	PRIJEM	\N	170	36349	UROK	\N	\N
3495537	8039	1998-05-31	PRIJEM	\N	122	25941	UROK	\N	\N
3495538	8039	1998-06-30	PRIJEM	\N	183	94005	UROK	\N	\N
3495539	8039	1998-07-31	PRIJEM	\N	298	59505	UROK	\N	\N
3495540	8039	1998-08-31	PRIJEM	\N	247	66514	UROK	\N	\N
3495541	8039	1998-09-30	PRIJEM	\N	182	39950	UROK	\N	\N
3495542	8039	1998-10-31	PRIJEM	\N	121	25141	UROK	\N	\N
3495543	8039	1998-11-30	PRIJEM	\N	353	109698	UROK	\N	\N
3495544	8039	1998-12-31	PRIJEM	\N	338	64750	UROK	\N	\N
3495545	8041	1993-10-31	PRIJEM	\N	101	44271	UROK	\N	\N
3495546	8041	1993-11-30	PRIJEM	\N	184	33755	UROK	\N	\N
3495547	8041	1993-12-31	PRIJEM	\N	184	31139	UROK	\N	\N
3495548	8041	1994-01-31	PRIJEM	\N	204	60670	UROK	\N	\N
3495549	8041	1994-02-28	PRIJEM	\N	263	65583	UROK	\N	\N
3495550	8041	1994-03-31	PRIJEM	\N	292	76012	UROK	\N	\N
3495551	8041	1994-04-30	PRIJEM	\N	316	52328	UROK	\N	\N
3495552	8041	1994-05-31	PRIJEM	\N	316	37243	UROK	\N	\N
3495553	8041	1994-06-30	PRIJEM	\N	294	52094	UROK	\N	\N
3495554	8041	1994-07-31	PRIJEM	\N	177	36656	UROK	\N	\N
3495555	8041	1994-08-31	PRIJEM	\N	138	30580	UROK	\N	\N
3495556	8041	1994-09-30	PRIJEM	\N	117	26682	UROK	\N	\N
3495557	8041	1994-10-31	PRIJEM	\N	180	33386	UROK	\N	\N
3495558	8041	1994-11-30	PRIJEM	\N	113	10984	UROK	\N	\N
3495559	8041	1994-12-31	PRIJEM	\N	30	1999	UROK	\N	\N
3495560	8041	1995-01-31	PRIJEM	\N	14	188	UROK	\N	\N
3495561	8041	1995-02-28	PRIJEM	\N	51	10350	UROK	\N	\N
3495562	8041	1995-03-31	PRIJEM	\N	280	83459	UROK	\N	\N
3495563	8041	1995-04-30	PRIJEM	\N	292	51301	UROK	\N	\N
3495564	8041	1995-05-31	PRIJEM	\N	377	82998	UROK	\N	\N
3495565	8041	1995-06-30	PRIJEM	\N	188	42213	UROK	\N	\N
3495566	8041	1995-07-31	PRIJEM	\N	265	70815	UROK	\N	\N
3495567	8041	1995-08-31	PRIJEM	\N	198	53306	UROK	\N	\N
3495568	8041	1995-09-30	PRIJEM	\N	204	53791	UROK	\N	\N
3495569	8041	1995-10-31	PRIJEM	\N	158	31278	UROK	\N	\N
3495570	8041	1995-11-30	PRIJEM	\N	268	62360	UROK	\N	\N
3495571	8041	1995-12-31	PRIJEM	\N	308	44350	UROK	\N	\N
3495572	8041	1996-01-31	PRIJEM	\N	153	21009	UROK	\N	\N
3495573	8041	1996-02-29	PRIJEM	\N	220	60966	UROK	\N	\N
3495574	8041	1996-03-31	PRIJEM	\N	256	69384	UROK	\N	\N
3495575	8041	1996-04-30	PRIJEM	\N	373	64517	UROK	\N	\N
3495576	8041	1996-05-31	PRIJEM	\N	304	68704	UROK	\N	\N
3495577	8041	1996-06-30	PRIJEM	\N	255	67487	UROK	\N	\N
3495578	8041	1996-07-31	PRIJEM	\N	393	75969	UROK	\N	\N
3495579	8041	1996-08-31	PRIJEM	\N	317	75316	UROK	\N	\N
3495580	8041	1996-09-30	PRIJEM	\N	401	82297	UROK	\N	\N
3495581	8041	1996-10-31	PRIJEM	\N	277	73204	UROK	\N	\N
3495582	8041	1996-11-30	PRIJEM	\N	280	59869	UROK	\N	\N
3495583	8041	1996-12-31	PRIJEM	\N	323	71058	UROK	\N	\N
3495584	8041	1997-01-31	PRIJEM	\N	157	68213	UROK	\N	\N
3495585	8041	1997-02-28	PRIJEM	\N	317	64539	UROK	\N	\N
3495586	8041	1997-03-31	PRIJEM	\N	318	72837	UROK	\N	\N
3495587	8041	1997-04-30	PRIJEM	\N	288	61362	UROK	\N	\N
3495588	8041	1997-05-31	PRIJEM	\N	328	85424	UROK	\N	\N
3495589	8041	1997-06-30	PRIJEM	\N	316	48694	UROK	\N	\N
3495590	8041	1997-07-31	PRIJEM	\N	187	33527	UROK	\N	\N
3495591	8041	1997-08-31	PRIJEM	\N	262	100057	UROK	\N	\N
3495592	8041	1997-09-30	PRIJEM	\N	359	80443	UROK	\N	\N
3495593	8041	1997-10-31	PRIJEM	\N	344	54739	UROK	\N	\N
3495594	8041	1997-11-30	PRIJEM	\N	251	65892	UROK	\N	\N
3495595	8041	1997-12-31	PRIJEM	\N	268	53466	UROK	\N	\N
3495596	8041	1998-01-31	PRIJEM	\N	207	39818	UROK	\N	\N
3495597	8041	1998-02-28	PRIJEM	\N	180	84277	UROK	\N	\N
3495598	8041	1998-03-31	PRIJEM	\N	325	72987	UROK	\N	\N
3495599	8041	1998-04-30	PRIJEM	\N	285	57029	UROK	\N	\N
3495600	8041	1998-05-31	PRIJEM	\N	226	79668	UROK	\N	\N
3495601	8041	1998-06-30	PRIJEM	\N	232	46856	UROK	\N	\N
3495602	8041	1998-07-31	PRIJEM	\N	211	56752	UROK	\N	\N
3495603	8041	1998-08-31	PRIJEM	\N	211	40813	UROK	\N	\N
3495604	8041	1998-09-30	PRIJEM	\N	196	54495	UROK	\N	\N
3495605	8041	1998-10-31	PRIJEM	\N	241	63122	UROK	\N	\N
3495606	8041	1998-11-30	PRIJEM	\N	305	83642	UROK	\N	\N
3495607	8041	1998-12-31	PRIJEM	\N	385	101804	UROK	\N	\N
3495772	8051	1993-03-31	PRIJEM	\N	79	25619	UROK	\N	\N
3495773	8051	1993-04-30	PRIJEM	\N	146	38105	UROK	\N	\N
3495774	8051	1993-05-31	PRIJEM	\N	177	43922	UROK	\N	\N
3495775	8051	1993-06-30	PRIJEM	\N	214	53496	UROK	\N	\N
3495776	8051	1993-07-31	PRIJEM	\N	199	45735	UROK	\N	\N
3495777	8051	1993-08-31	PRIJEM	\N	192	43537	UROK	\N	\N
3495778	8051	1993-09-30	PRIJEM	\N	183	28730	UROK	\N	\N
3495779	8051	1993-10-31	PRIJEM	\N	166	20380	UROK	\N	\N
3495780	8051	1993-11-30	PRIJEM	\N	174	33536	UROK	\N	\N
3495781	8051	1993-12-31	PRIJEM	\N	245	61211	UROK	\N	\N
3495782	8051	1994-01-31	PRIJEM	\N	141	20051	UROK	\N	\N
3495783	8051	1994-02-28	PRIJEM	\N	170	43831	UROK	\N	\N
3495784	8051	1994-03-31	PRIJEM	\N	242	53115	UROK	\N	\N
3495785	8051	1994-04-30	PRIJEM	\N	245	56730	UROK	\N	\N
3495786	8051	1994-05-31	PRIJEM	\N	242	44213	UROK	\N	\N
3495787	8051	1994-06-30	PRIJEM	\N	203	39064	UROK	\N	\N
3495788	8051	1994-07-31	PRIJEM	\N	222	54955	UROK	\N	\N
3495789	8051	1994-08-31	PRIJEM	\N	168	34711	UROK	\N	\N
3495790	8051	1994-09-30	PRIJEM	\N	183	52664	UROK	\N	\N
3495791	8051	1994-10-31	PRIJEM	\N	219	44852	UROK	\N	\N
3495792	8051	1994-11-30	PRIJEM	\N	190	25384	UROK	\N	\N
3495793	8051	1994-12-31	PRIJEM	\N	172	30772	UROK	\N	\N
3495794	8051	1995-01-31	PRIJEM	\N	141	24535	UROK	\N	\N
3495795	8051	1995-02-28	PRIJEM	\N	144	32249	UROK	\N	\N
3495796	8051	1995-03-31	PRIJEM	\N	149	27512	UROK	\N	\N
3495797	8051	1995-04-30	PRIJEM	\N	166	37948	UROK	\N	\N
3495798	8051	1995-05-31	PRIJEM	\N	152	25610	UROK	\N	\N
3495799	8051	1995-06-30	PRIJEM	\N	157	30357	UROK	\N	\N
3495800	8051	1995-07-31	PRIJEM	\N	174	38201	UROK	\N	\N
3495801	8051	1995-08-31	PRIJEM	\N	193	34549	UROK	\N	\N
3495802	8051	1995-09-30	PRIJEM	\N	188	43007	UROK	\N	\N
3495803	8051	1995-10-31	PRIJEM	\N	215	33592	UROK	\N	\N
3495804	8051	1995-11-30	PRIJEM	\N	161	32023	UROK	\N	\N
3495805	8051	1995-12-31	PRIJEM	\N	226	42738	UROK	\N	\N
3495806	8051	1996-01-31	PRIJEM	\N	178	25915	UROK	\N	\N
3495807	8051	1996-02-29	PRIJEM	\N	150	38235	UROK	\N	\N
3495808	8051	1996-03-31	PRIJEM	\N	169	39321	UROK	\N	\N
3495809	8051	1996-04-30	PRIJEM	\N	197	43788	UROK	\N	\N
3495810	8051	1996-05-31	PRIJEM	\N	150	28963	UROK	\N	\N
3495811	8051	1996-06-30	PRIJEM	\N	182	43735	UROK	\N	\N
3495812	8051	1996-07-31	PRIJEM	\N	205	39176	UROK	\N	\N
3495813	8051	1996-08-31	PRIJEM	\N	180	30413	UROK	\N	\N
3495814	8051	1996-09-30	PRIJEM	\N	143	24626	UROK	\N	\N
3495815	8051	1996-10-31	PRIJEM	\N	125	23241	UROK	\N	\N
3495816	8051	1996-11-30	PRIJEM	\N	130	33641	UROK	\N	\N
3495817	8051	1996-12-31	PRIJEM	\N	161	30791	UROK	\N	\N
3495818	8051	1997-01-31	PRIJEM	\N	136	21183	UROK	\N	\N
3495819	8051	1997-02-28	PRIJEM	\N	118	25971	UROK	\N	\N
3495820	8051	1997-03-31	PRIJEM	\N	135	33177	UROK	\N	\N
3495821	8051	1997-04-30	PRIJEM	\N	159	38406	UROK	\N	\N
3495822	8051	1997-05-31	PRIJEM	\N	176	26045	UROK	\N	\N
3495823	8051	1997-06-30	PRIJEM	\N	128	27863	UROK	\N	\N
3495824	8051	1997-07-31	PRIJEM	\N	136	32168	UROK	\N	\N
3495825	8051	1997-08-31	PRIJEM	\N	157	40495	UROK	\N	\N
3495826	8051	1997-09-30	PRIJEM	\N	158	36023	UROK	\N	\N
3495827	8051	1997-10-31	PRIJEM	\N	146	34139	UROK	\N	\N
3495828	8051	1997-11-30	PRIJEM	\N	135	29949	UROK	\N	\N
3495829	8051	1997-12-31	PRIJEM	\N	145	38384	UROK	\N	\N
3495830	8051	1998-01-31	PRIJEM	\N	111	21866	UROK	\N	\N
3495831	8051	1998-02-28	PRIJEM	\N	92	24228	UROK	\N	\N
3495832	8051	1998-03-31	PRIJEM	\N	107	27905	UROK	\N	\N
3495833	8051	1998-04-30	PRIJEM	\N	109	27584	UROK	\N	\N
3495834	8051	1998-05-31	PRIJEM	\N	110	28064	UROK	\N	\N
3495835	8051	1998-06-30	PRIJEM	\N	124	31218	UROK	\N	\N
3495836	8051	1998-07-31	PRIJEM	\N	102	21371	UROK	\N	\N
3495837	8051	1998-08-31	PRIJEM	\N	103	24284	UROK	\N	\N
3495838	8051	1998-09-30	PRIJEM	\N	102	23796	UROK	\N	\N
3495839	8051	1998-10-31	PRIJEM	\N	117	26573	UROK	\N	\N
3495840	8051	1998-11-30	PRIJEM	\N	89	18772	UROK	\N	\N
3495841	8051	1998-12-31	PRIJEM	\N	91	23794	UROK	\N	\N
3495998	8073	1993-09-30	PRIJEM	\N	198	64331	UROK	\N	\N
3495999	8073	1993-10-31	PRIJEM	\N	166	26935	UROK	\N	\N
3496000	8073	1993-11-30	PRIJEM	\N	223	58185	UROK	\N	\N
3496001	8073	1993-12-31	PRIJEM	\N	200	79068	UROK	\N	\N
3496002	8073	1994-01-31	PRIJEM	\N	177	31736	UROK	\N	\N
3496003	8073	1994-02-28	PRIJEM	\N	80	10754	UROK	\N	\N
3496004	8073	1994-03-31	PRIJEM	\N	23	804	UROK	\N	\N
3496005	8073	1994-04-30	PRIJEM	\N	21	7883	UROK	\N	\N
3496006	8073	1994-04-30	VYDAJ	VYBER	4	7779	SANKC. UROK	\N	\N
3496007	8073	1994-05-31	PRIJEM	\N	19	10827	UROK	\N	\N
3496008	8073	1994-06-30	PRIJEM	\N	33	13555	UROK	\N	\N
3496009	8073	1994-07-31	PRIJEM	\N	22	-2895	UROK	\N	\N
3496010	8073	1994-07-31	VYDAJ	VYBER	17	-2912	SANKC. UROK	\N	\N
3496011	8073	1994-08-31	PRIJEM	\N	2	12189	UROK	\N	\N
3496012	8073	1994-08-31	VYDAJ	VYBER	29	12160	SANKC. UROK	\N	\N
3496013	8073	1994-09-30	PRIJEM	\N	42	16897	UROK	\N	\N
3496014	8073	1994-10-31	PRIJEM	\N	35	11359	UROK	\N	\N
3496015	8073	1994-11-30	PRIJEM	\N	54	49940	UROK	\N	\N
3496016	8073	1994-12-31	PRIJEM	\N	158	27226	UROK	\N	\N
3496017	8073	1995-01-31	PRIJEM	\N	75	57575	UROK	\N	\N
3496018	8073	1995-02-28	PRIJEM	\N	186	30389	UROK	\N	\N
3496019	8073	1995-03-31	PRIJEM	\N	220	54415	UROK	\N	\N
3496020	8073	1995-04-30	PRIJEM	\N	258	44811	UROK	\N	\N
3496021	8073	1995-05-31	PRIJEM	\N	286	63558	UROK	\N	\N
3496022	8073	1995-06-30	PRIJEM	\N	202	32137	UROK	\N	\N
3496023	8073	1995-07-31	PRIJEM	\N	244	49222	UROK	\N	\N
3496024	8073	1995-08-31	PRIJEM	\N	191	43132	UROK	\N	\N
3496025	8073	1995-09-30	PRIJEM	\N	143	40538	UROK	\N	\N
3496026	8073	1995-10-31	PRIJEM	\N	225	61720	UROK	\N	\N
3496027	8073	1995-11-30	PRIJEM	\N	173	26266	UROK	\N	\N
3496028	8073	1995-12-31	PRIJEM	\N	98	19793	UROK	\N	\N
3496029	8073	1996-01-31	PRIJEM	\N	99	22105	UROK	\N	\N
3496030	8073	1996-02-29	PRIJEM	\N	183	75832	UROK	\N	\N
3496031	8073	1996-03-31	PRIJEM	\N	254	41394	UROK	\N	\N
3496032	8073	1996-04-30	PRIJEM	\N	213	48275	UROK	\N	\N
3496033	8073	1996-05-31	PRIJEM	\N	247	94177	UROK	\N	\N
3496034	8073	1996-06-30	PRIJEM	\N	234	31498	UROK	\N	\N
3496035	8073	1996-07-31	PRIJEM	\N	116	23500	UROK	\N	\N
3496036	8073	1996-08-31	PRIJEM	\N	81	24412	UROK	\N	\N
3496037	8073	1996-09-30	PRIJEM	\N	216	90514	UROK	\N	\N
3496038	8073	1996-10-31	PRIJEM	\N	312	62062	UROK	\N	\N
3496039	8073	1996-11-30	PRIJEM	\N	194	34795	UROK	\N	\N
3496040	8073	1996-12-31	PRIJEM	\N	109	21341	UROK	\N	\N
3496041	8073	1997-01-31	PRIJEM	\N	216	31086	UROK	\N	\N
3496042	8073	1997-02-28	PRIJEM	\N	108	23832	UROK	\N	\N
3496043	8073	1997-03-31	PRIJEM	\N	172	83099	UROK	\N	\N
3496044	8073	1997-04-30	PRIJEM	\N	238	37518	UROK	\N	\N
3496045	8073	1997-05-31	PRIJEM	\N	165	56008	UROK	\N	\N
3496046	8073	1997-06-30	PRIJEM	\N	163	28608	UROK	\N	\N
3496047	8073	1997-07-31	PRIJEM	\N	129	35893	UROK	\N	\N
3496048	8073	1997-08-31	PRIJEM	\N	298	96138	UROK	\N	\N
3496049	8073	1997-09-30	PRIJEM	\N	274	48250	UROK	\N	\N
3496050	8073	1997-10-31	PRIJEM	\N	202	68524	UROK	\N	\N
3496051	8073	1997-11-30	PRIJEM	\N	373	118834	UROK	\N	\N
3496052	8073	1997-12-31	PRIJEM	\N	279	78818	UROK	\N	\N
3496053	8073	1998-01-31	PRIJEM	\N	191	81935	UROK	\N	\N
3496054	8073	1998-02-28	PRIJEM	\N	225	55366	UROK	\N	\N
3496055	8073	1998-03-31	PRIJEM	\N	223	99907	UROK	\N	\N
3496056	8073	1998-04-30	PRIJEM	\N	294	51639	UROK	\N	\N
3496057	8073	1998-05-31	PRIJEM	\N	147	27125	UROK	\N	\N
3496058	8073	1998-06-30	PRIJEM	\N	231	64997	UROK	\N	\N
3496059	8073	1998-07-31	PRIJEM	\N	323	110030	UROK	\N	\N
3496060	8073	1998-08-31	PRIJEM	\N	373	75394	UROK	\N	\N
3496061	8073	1998-09-30	PRIJEM	\N	123	23437	UROK	\N	\N
3496062	8073	1998-10-31	PRIJEM	\N	145	31601	UROK	\N	\N
3496063	8073	1998-11-30	PRIJEM	\N	112	23451	UROK	\N	\N
3496064	8073	1998-12-31	PRIJEM	\N	297	90064	UROK	\N	\N
3496249	8085	1996-04-30	PRIJEM	\N	65	31460	UROK	\N	\N
3496250	8085	1996-05-31	PRIJEM	\N	131	26191	UROK	\N	\N
3496251	8085	1996-06-30	PRIJEM	\N	153	70543	UROK	\N	\N
3496252	8085	1996-07-31	PRIJEM	\N	202	48118	UROK	\N	\N
3496253	8085	1996-08-31	PRIJEM	\N	287	89356	UROK	\N	\N
3496254	8085	1996-09-30	PRIJEM	\N	259	56150	UROK	\N	\N
3496255	8085	1996-10-31	PRIJEM	\N	110	20464	UROK	\N	\N
3496256	8085	1996-11-30	PRIJEM	\N	96	15526	UROK	\N	\N
3496257	8085	1996-12-31	PRIJEM	\N	98	17937	UROK	\N	\N
3496258	8085	1997-01-31	PRIJEM	\N	123	56626	UROK	\N	\N
3496259	8085	1997-02-28	PRIJEM	\N	188	33256	UROK	\N	\N
3496260	8085	1997-03-31	PRIJEM	\N	40	4800	UROK	\N	\N
3496261	8085	1997-04-30	PRIJEM	\N	20	3889	UROK	\N	\N
3496262	8085	1997-05-31	PRIJEM	\N	113	32697	UROK	\N	\N
3496263	8085	1997-06-30	PRIJEM	\N	119	41714	UROK	\N	\N
3496264	8085	1997-07-31	PRIJEM	\N	225	77327	UROK	\N	\N
3496265	8085	1997-08-31	PRIJEM	\N	145	29876	UROK	\N	\N
3496266	8085	1997-09-30	PRIJEM	\N	93	28341	UROK	\N	\N
3496267	8085	1997-10-31	PRIJEM	\N	108	30377	UROK	\N	\N
3496268	8085	1997-11-30	PRIJEM	\N	128	25830	UROK	\N	\N
3496269	8085	1997-12-31	PRIJEM	\N	40	12234	UROK	\N	\N
3496270	8085	1998-01-31	PRIJEM	\N	20	11459	UROK	\N	\N
3496271	8085	1998-02-28	PRIJEM	\N	17	10580	UROK	\N	\N
3496272	8085	1998-02-28	VYDAJ	VYBER	3	10562	SANKC. UROK	\N	\N
3496273	8085	1998-03-31	PRIJEM	\N	90	22825	UROK	\N	\N
3496274	8085	1998-04-30	PRIJEM	\N	72	56719	UROK	\N	\N
3496275	8085	1998-05-31	PRIJEM	\N	185	30180	UROK	\N	\N
3496276	8085	1998-06-30	PRIJEM	\N	77	12522	UROK	\N	\N
3496277	8085	1998-07-31	PRIJEM	\N	50	26103	UROK	\N	\N
3496278	8085	1998-08-31	PRIJEM	\N	60	9927	UROK	\N	\N
3496279	8085	1998-09-30	PRIJEM	\N	185	40457	UROK	\N	\N
3496280	8085	1998-10-31	PRIJEM	\N	132	19964	UROK	\N	\N
3496281	8085	1998-11-30	PRIJEM	\N	170	38430	UROK	\N	\N
3496282	8085	1998-12-31	PRIJEM	\N	180	51133	UROK	\N	\N
3496395	8092	1995-02-28	PRIJEM	\N	44	15468	UROK	\N	\N
3496396	8092	1995-03-31	PRIJEM	\N	84	22876	UROK	\N	\N
3496397	8092	1995-04-30	PRIJEM	\N	110	28410	UROK	\N	\N
3496398	8092	1995-05-31	PRIJEM	\N	126	31360	UROK	\N	\N
3496399	8092	1995-06-30	PRIJEM	\N	122	27752	UROK	\N	\N
3496400	8092	1995-07-31	PRIJEM	\N	108	24253	UROK	\N	\N
3496401	8092	1995-08-31	PRIJEM	\N	89	19335	UROK	\N	\N
3496402	8092	1995-09-30	PRIJEM	\N	71	13799	UROK	\N	\N
3496403	8092	1995-10-31	PRIJEM	\N	61	13154	UROK	\N	\N
3496404	8092	1995-11-30	PRIJEM	\N	52	9899	UROK	\N	\N
3496405	8092	1995-12-31	PRIJEM	\N	61	13895	UROK	\N	\N
3496406	8092	1996-01-31	PRIJEM	\N	65	13414	UROK	\N	\N
3496407	8092	1996-02-29	PRIJEM	\N	66	15473	UROK	\N	\N
3496408	8092	1996-03-31	PRIJEM	\N	73	17205	UROK	\N	\N
3496409	8092	1996-04-30	PRIJEM	\N	78	18141	UROK	\N	\N
3496410	8092	1996-05-31	PRIJEM	\N	90	16589	UROK	\N	\N
3496411	8092	1996-06-30	PRIJEM	\N	90	21939	UROK	\N	\N
3496412	8092	1996-07-31	PRIJEM	\N	76	15673	UROK	\N	\N
3496413	8092	1996-08-31	PRIJEM	\N	80	14412	UROK	\N	\N
3496414	8092	1996-09-30	PRIJEM	\N	62	14032	UROK	\N	\N
3496415	8092	1996-10-31	PRIJEM	\N	80	16270	UROK	\N	\N
3496416	8092	1996-11-30	PRIJEM	\N	88	18517	UROK	\N	\N
3496417	8092	1996-12-31	PRIJEM	\N	82	16780	UROK	\N	\N
3496418	8092	1997-01-31	PRIJEM	\N	70	13189	UROK	\N	\N
3496419	8092	1997-02-28	PRIJEM	\N	60	15407	UROK	\N	\N
3496420	8092	1997-03-31	PRIJEM	\N	62	11707	UROK	\N	\N
3496421	8092	1997-04-30	PRIJEM	\N	53	13918	UROK	\N	\N
3496422	8092	1997-05-31	PRIJEM	\N	70	14046	UROK	\N	\N
3496423	8092	1997-06-30	PRIJEM	\N	73	13440	UROK	\N	\N
3496424	8092	1997-07-31	PRIJEM	\N	57	14095	UROK	\N	\N
3496425	8092	1997-08-31	PRIJEM	\N	61	11914	UROK	\N	\N
3496426	8092	1997-09-30	PRIJEM	\N	54	14127	UROK	\N	\N
3496427	8092	1997-10-31	PRIJEM	\N	79	16364	UROK	\N	\N
3496428	8092	1997-11-30	PRIJEM	\N	72	18595	UROK	\N	\N
3496429	8092	1997-12-31	PRIJEM	\N	83	13278	UROK	\N	\N
3496430	8092	1998-01-31	PRIJEM	\N	59	14895	UROK	\N	\N
3496431	8092	1998-02-28	PRIJEM	\N	66	17120	UROK	\N	\N
3496432	8092	1998-03-31	PRIJEM	\N	76	19354	UROK	\N	\N
3496433	8092	1998-04-30	PRIJEM	\N	85	21597	UROK	\N	\N
3496434	8092	1998-05-31	PRIJEM	\N	83	18558	UROK	\N	\N
3496435	8092	1998-06-30	PRIJEM	\N	96	25474	UROK	\N	\N
3496436	8092	1998-07-31	PRIJEM	\N	110	27743	UROK	\N	\N
3496437	8092	1998-08-31	PRIJEM	\N	122	30023	UROK	\N	\N
3496438	8092	1998-09-30	PRIJEM	\N	127	31228	UROK	\N	\N
3496439	8092	1998-10-31	PRIJEM	\N	126	30033	UROK	\N	\N
3496440	8092	1998-11-30	PRIJEM	\N	144	32336	UROK	\N	\N
3496441	8092	1998-12-31	PRIJEM	\N	118	13814	UROK	\N	\N
3496442	8094	1996-12-31	PRIJEM	\N	49	45861	UROK	\N	\N
3496443	8094	1997-01-31	PRIJEM	\N	203	55972	UROK	\N	\N
3496444	8094	1997-02-28	PRIJEM	\N	236	59516	UROK	\N	\N
3496445	8094	1997-03-31	PRIJEM	\N	304	37628	UROK	\N	\N
3496446	8094	1997-04-30	PRIJEM	\N	232	48503	UROK	\N	\N
3496447	8094	1997-05-31	PRIJEM	\N	250	45859	UROK	\N	\N
3496448	8094	1997-06-30	PRIJEM	\N	268	52536	UROK	\N	\N
3496449	8094	1997-07-31	PRIJEM	\N	257	35253	UROK	\N	\N
3496450	8094	1997-08-31	PRIJEM	\N	204	42862	UROK	\N	\N
3496451	8094	1997-09-30	PRIJEM	\N	227	46795	UROK	\N	\N
3496452	8094	1997-10-31	PRIJEM	\N	243	50644	UROK	\N	\N
3496453	8094	1997-11-30	PRIJEM	\N	236	41013	UROK	\N	\N
3496454	8094	1997-12-31	PRIJEM	\N	129	20675	UROK	\N	\N
3496455	8094	1998-01-31	PRIJEM	\N	102	20352	UROK	\N	\N
3496456	8094	1998-02-28	PRIJEM	\N	138	33196	UROK	\N	\N
3496457	8094	1998-03-31	PRIJEM	\N	183	37184	UROK	\N	\N
3496458	8094	1998-04-30	PRIJEM	\N	177	34866	UROK	\N	\N
3496459	8094	1998-05-31	PRIJEM	\N	198	32501	UROK	\N	\N
3496460	8094	1998-06-30	PRIJEM	\N	148	32658	UROK	\N	\N
3496461	8094	1998-07-31	PRIJEM	\N	189	45553	UROK	\N	\N
3496462	8094	1998-08-31	PRIJEM	\N	196	32363	UROK	\N	\N
3496463	8094	1998-09-30	PRIJEM	\N	175	42244	UROK	\N	\N
3496464	8094	1998-10-31	PRIJEM	\N	182	40051	UROK	\N	\N
3496465	8094	1998-11-30	PRIJEM	\N	194	45751	UROK	\N	\N
3496466	8094	1998-12-31	PRIJEM	\N	185	29601	UROK	\N	\N
3496639	8114	1995-11-30	PRIJEM	\N	56	22398	UROK	\N	\N
3496640	8114	1995-12-31	PRIJEM	\N	130	37091	UROK	\N	\N
3496641	8114	1996-01-31	PRIJEM	\N	165	41098	UROK	\N	\N
3496642	8114	1996-02-29	PRIJEM	\N	163	38403	UROK	\N	\N
3496643	8114	1996-03-31	PRIJEM	\N	168	36461	UROK	\N	\N
3496644	8114	1996-04-30	PRIJEM	\N	159	34796	UROK	\N	\N
3496645	8114	1996-05-31	PRIJEM	\N	149	32920	UROK	\N	\N
3496646	8114	1996-06-30	PRIJEM	\N	162	25999	UROK	\N	\N
3496647	8114	1996-07-31	PRIJEM	\N	132	31206	UROK	\N	\N
3496648	8114	1996-08-31	PRIJEM	\N	147	34529	UROK	\N	\N
3496649	8114	1996-09-30	PRIJEM	\N	163	37767	UROK	\N	\N
3496650	8114	1996-10-31	PRIJEM	\N	167	31589	UROK	\N	\N
3496651	8114	1996-11-30	PRIJEM	\N	150	35114	UROK	\N	\N
3496652	8114	1996-12-31	PRIJEM	\N	165	38456	UROK	\N	\N
3496653	8114	1997-01-31	PRIJEM	\N	155	36186	UROK	\N	\N
3496654	8114	1997-02-28	PRIJEM	\N	130	29791	UROK	\N	\N
3496655	8114	1997-03-31	PRIJEM	\N	139	31005	UROK	\N	\N
3496656	8114	1997-04-30	PRIJEM	\N	118	27099	UROK	\N	\N
3496657	8114	1997-05-31	PRIJEM	\N	117	27292	UROK	\N	\N
3496658	8114	1997-06-30	PRIJEM	\N	140	33407	UROK	\N	\N
3496659	8114	1997-07-31	PRIJEM	\N	121	23924	UROK	\N	\N
3496660	8114	1997-08-31	PRIJEM	\N	133	30933	UROK	\N	\N
3496661	8114	1997-09-30	PRIJEM	\N	138	32272	UROK	\N	\N
3496662	8114	1997-10-31	PRIJEM	\N	140	29452	UROK	\N	\N
3496663	8114	1997-11-30	PRIJEM	\N	142	34114	UROK	\N	\N
3496664	8114	1997-12-31	PRIJEM	\N	147	36262	UROK	\N	\N
3496665	8114	1998-01-31	PRIJEM	\N	121	28544	UROK	\N	\N
3496666	8114	1998-02-28	PRIJEM	\N	108	26872	UROK	\N	\N
3496667	8114	1998-03-31	PRIJEM	\N	117	27809	UROK	\N	\N
3496668	8114	1998-04-30	PRIJEM	\N	107	24837	UROK	\N	\N
3496669	8114	1998-05-31	PRIJEM	\N	143	35500	UROK	\N	\N
3496670	8114	1998-06-30	PRIJEM	\N	154	34916	UROK	\N	\N
3496671	8114	1998-07-31	PRIJEM	\N	115	20571	UROK	\N	\N
3496672	8114	1998-08-31	PRIJEM	\N	119	16611	UROK	\N	\N
3496673	8114	1998-09-30	PRIJEM	\N	109	27240	UROK	\N	\N
3496674	8114	1998-10-31	PRIJEM	\N	143	19003	UROK	\N	\N
3496675	8114	1998-11-30	PRIJEM	\N	118	29642	UROK	\N	\N
3496676	8114	1998-12-31	PRIJEM	\N	192	47755	UROK	\N	\N
3496761	8127	1995-01-31	PRIJEM	\N	104	37106	UROK	\N	\N
3496762	8127	1995-02-28	PRIJEM	\N	154	32461	UROK	\N	\N
3496763	8127	1995-03-31	PRIJEM	\N	330	97024	UROK	\N	\N
3496764	8127	1995-04-30	PRIJEM	\N	387	89932	UROK	\N	\N
3496765	8127	1995-05-31	PRIJEM	\N	262	49366	UROK	\N	\N
3496766	8127	1995-06-30	PRIJEM	\N	235	92461	UROK	\N	\N
3496767	8127	1995-07-31	PRIJEM	\N	354	85782	UROK	\N	\N
3496768	8127	1995-08-31	PRIJEM	\N	266	49928	UROK	\N	\N
3496769	8127	1995-09-30	PRIJEM	\N	139	29247	UROK	\N	\N
3496770	8127	1995-10-31	PRIJEM	\N	156	21013	UROK	\N	\N
3496771	8127	1995-11-30	PRIJEM	\N	202	92011	UROK	\N	\N
3496772	8127	1995-12-31	PRIJEM	\N	335	87600	UROK	\N	\N
3496773	8127	1996-01-31	PRIJEM	\N	283	58989	UROK	\N	\N
3496774	8127	1996-02-29	PRIJEM	\N	190	45813	UROK	\N	\N
3496775	8127	1996-03-31	PRIJEM	\N	206	45873	UROK	\N	\N
3496776	8127	1996-04-30	PRIJEM	\N	159	58479	UROK	\N	\N
3496777	8127	1996-05-31	PRIJEM	\N	252	83854	UROK	\N	\N
3496778	8127	1996-06-30	PRIJEM	\N	291	68384	UROK	\N	\N
3496779	8127	1996-07-31	PRIJEM	\N	220	72513	UROK	\N	\N
3496780	8127	1996-08-31	PRIJEM	\N	241	80941	UROK	\N	\N
3496781	8127	1996-09-30	PRIJEM	\N	430	108357	UROK	\N	\N
3496782	8127	1996-10-31	PRIJEM	\N	316	99386	UROK	\N	\N
3496783	8127	1996-11-30	PRIJEM	\N	267	50539	UROK	\N	\N
3496784	8127	1996-12-31	PRIJEM	\N	176	59804	UROK	\N	\N
3496785	8127	1997-01-31	PRIJEM	\N	147	39037	UROK	\N	\N
3496786	8127	1997-02-28	PRIJEM	\N	160	37827	UROK	\N	\N
3496787	8127	1997-03-31	PRIJEM	\N	213	55094	UROK	\N	\N
3496788	8127	1997-04-30	PRIJEM	\N	309	85546	UROK	\N	\N
3496789	8127	1997-05-31	PRIJEM	\N	281	70242	UROK	\N	\N
3496790	8127	1997-06-30	PRIJEM	\N	343	84249	UROK	\N	\N
3496791	8127	1997-07-31	PRIJEM	\N	343	58566	UROK	\N	\N
3496792	8127	1997-08-31	PRIJEM	\N	351	83006	UROK	\N	\N
3496793	8127	1997-09-30	PRIJEM	\N	329	75586	UROK	\N	\N
3496794	8127	1997-10-31	PRIJEM	\N	361	70548	UROK	\N	\N
3496795	8127	1997-11-30	PRIJEM	\N	300	59759	UROK	\N	\N
3496796	8127	1997-12-31	PRIJEM	\N	187	57035	UROK	\N	\N
3496797	8127	1998-01-31	PRIJEM	\N	166	48887	UROK	\N	\N
3496798	8127	1998-02-28	PRIJEM	\N	189	70388	UROK	\N	\N
3496799	8127	1998-03-31	PRIJEM	\N	351	62602	UROK	\N	\N
3496800	8127	1998-04-30	PRIJEM	\N	406	73628	UROK	\N	\N
3496801	8127	1998-05-31	PRIJEM	\N	267	65981	UROK	\N	\N
3496802	8127	1998-06-30	PRIJEM	\N	234	56401	UROK	\N	\N
3496803	8127	1998-07-31	PRIJEM	\N	214	62409	UROK	\N	\N
3496804	8127	1998-08-31	PRIJEM	\N	226	80733	UROK	\N	\N
3496805	8127	1998-09-30	PRIJEM	\N	337	62462	UROK	\N	\N
3496806	8127	1998-10-31	PRIJEM	\N	327	78673	UROK	\N	\N
3496807	8127	1998-11-30	PRIJEM	\N	257	45450	UROK	\N	\N
3496808	8127	1998-12-31	PRIJEM	\N	318	106119	UROK	\N	\N
3496809	8129	1993-07-31	PRIJEM	\N	17	20429	UROK	\N	\N
3496810	8129	1993-08-31	PRIJEM	\N	96	32137	UROK	\N	\N
3496811	8129	1993-09-30	PRIJEM	\N	142	40690	UROK	\N	\N
3496812	8129	1993-10-31	PRIJEM	\N	170	41472	UROK	\N	\N
3496813	8129	1993-11-30	PRIJEM	\N	174	43458	UROK	\N	\N
3496814	8129	1993-12-31	PRIJEM	\N	196	44773	UROK	\N	\N
3496815	8129	1994-01-31	PRIJEM	\N	188	39675	UROK	\N	\N
3496816	8129	1994-02-28	PRIJEM	\N	169	35497	UROK	\N	\N
3496817	8129	1994-03-31	PRIJEM	\N	166	35876	UROK	\N	\N
3496818	8129	1994-04-30	PRIJEM	\N	163	35753	UROK	\N	\N
3496819	8129	1994-05-31	PRIJEM	\N	147	33853	UROK	\N	\N
3496820	8129	1994-06-30	PRIJEM	\N	158	30930	UROK	\N	\N
3496821	8129	1994-07-31	PRIJEM	\N	146	33390	UROK	\N	\N
3496822	8129	1994-08-31	PRIJEM	\N	148	34555	UROK	\N	\N
3496823	8129	1994-09-30	PRIJEM	\N	152	34344	UROK	\N	\N
3496824	8129	1994-10-31	PRIJEM	\N	142	34844	UROK	\N	\N
3496825	8129	1994-11-30	PRIJEM	\N	155	35416	UROK	\N	\N
3496826	8129	1994-12-31	PRIJEM	\N	155	37695	UROK	\N	\N
3496827	8129	1995-01-31	PRIJEM	\N	163	38396	UROK	\N	\N
3496828	8129	1995-02-28	PRIJEM	\N	161	36994	UROK	\N	\N
3496829	8129	1995-03-31	PRIJEM	\N	149	36281	UROK	\N	\N
3496830	8129	1995-04-30	PRIJEM	\N	156	36274	UROK	\N	\N
3496831	8129	1995-05-31	PRIJEM	\N	160	38271	UROK	\N	\N
3496832	8129	1995-06-30	PRIJEM	\N	150	23424	UROK	\N	\N
3496833	8129	1995-07-31	PRIJEM	\N	116	30377	UROK	\N	\N
3496834	8129	1995-08-31	PRIJEM	\N	141	36256	UROK	\N	\N
3496835	8129	1995-09-30	PRIJEM	\N	157	39150	UROK	\N	\N
3496836	8129	1995-10-31	PRIJEM	\N	164	39752	UROK	\N	\N
3496837	8129	1995-11-30	PRIJEM	\N	193	40082	UROK	\N	\N
3496838	8129	1995-12-31	PRIJEM	\N	207	43733	UROK	\N	\N
3496839	8129	1996-01-31	PRIJEM	\N	188	45957	UROK	\N	\N
3496840	8129	1996-02-29	PRIJEM	\N	197	50592	UROK	\N	\N
3496841	8129	1996-03-31	PRIJEM	\N	203	52492	UROK	\N	\N
3496842	8129	1996-04-30	PRIJEM	\N	222	56451	UROK	\N	\N
3496843	8129	1996-05-31	PRIJEM	\N	225	53633	UROK	\N	\N
3496844	8129	1996-06-30	PRIJEM	\N	243	61579	UROK	\N	\N
3496845	8129	1996-07-31	PRIJEM	\N	233	57050	UROK	\N	\N
3496846	8129	1996-08-31	PRIJEM	\N	226	57414	UROK	\N	\N
3496847	8129	1996-09-30	PRIJEM	\N	223	57074	UROK	\N	\N
3496848	8129	1996-10-31	PRIJEM	\N	209	51700	UROK	\N	\N
3496849	8129	1996-11-30	PRIJEM	\N	210	55447	UROK	\N	\N
3496850	8129	1996-12-31	PRIJEM	\N	229	59379	UROK	\N	\N
3496851	8129	1997-01-31	PRIJEM	\N	204	47220	UROK	\N	\N
3496852	8129	1997-02-28	PRIJEM	\N	203	54460	UROK	\N	\N
3496853	8129	1997-03-31	PRIJEM	\N	212	55409	UROK	\N	\N
3496854	8129	1997-04-30	PRIJEM	\N	203	53650	UROK	\N	\N
3496855	8129	1997-05-31	PRIJEM	\N	209	55396	UROK	\N	\N
3496856	8129	1997-06-30	PRIJEM	\N	227	63066	UROK	\N	\N
3496857	8129	1997-07-31	PRIJEM	\N	222	58526	UROK	\N	\N
3496858	8129	1997-08-31	PRIJEM	\N	203	52743	UROK	\N	\N
3496859	8129	1997-09-30	PRIJEM	\N	173	47129	UROK	\N	\N
3496860	8129	1997-10-31	PRIJEM	\N	172	47514	UROK	\N	\N
3496861	8129	1997-11-30	PRIJEM	\N	168	45795	UROK	\N	\N
3496862	8129	1997-12-31	PRIJEM	\N	164	48579	UROK	\N	\N
3496863	8129	1998-01-31	PRIJEM	\N	163	44955	UROK	\N	\N
3496864	8129	1998-02-28	PRIJEM	\N	134	38102	UROK	\N	\N
3496865	8129	1998-03-31	PRIJEM	\N	116	33231	UROK	\N	\N
3496866	8129	1998-04-30	PRIJEM	\N	107	29111	UROK	\N	\N
3496867	8129	1998-05-31	PRIJEM	\N	136	41361	UROK	\N	\N
3496868	8129	1998-06-30	PRIJEM	\N	147	41987	UROK	\N	\N
3496869	8129	1998-07-31	PRIJEM	\N	111	34912	UROK	\N	\N
3496870	8129	1998-08-31	PRIJEM	\N	151	23677	UROK	\N	\N
3496871	8129	1998-09-30	PRIJEM	\N	115	36205	UROK	\N	\N
3496872	8129	1998-10-31	PRIJEM	\N	168	24586	UROK	\N	\N
3496873	8129	1998-11-30	PRIJEM	\N	127	36827	UROK	\N	\N
3496874	8129	1998-12-31	PRIJEM	\N	205	58452	UROK	\N	\N
3496875	8132	1993-05-31	PRIJEM	\N	47	25240	UROK	\N	\N
3496876	8132	1993-06-30	PRIJEM	\N	85	43638	UROK	\N	\N
3496877	8132	1993-07-31	PRIJEM	\N	95	47117	UROK	\N	\N
3496878	8132	1993-08-31	PRIJEM	\N	100	46748	UROK	\N	\N
3496879	8132	1993-09-30	PRIJEM	\N	85	23826	UROK	\N	\N
3496880	8132	1993-10-31	PRIJEM	\N	133	38539	UROK	\N	\N
3496881	8132	1993-11-30	PRIJEM	\N	162	37513	UROK	\N	\N
3496882	8132	1993-12-31	PRIJEM	\N	66	21527	UROK	\N	\N
3496883	8132	1994-01-31	PRIJEM	\N	58	8115	UROK	\N	\N
3496884	8132	1994-02-28	PRIJEM	\N	64	3604	UROK	\N	\N
3496885	8132	1994-02-28	VYDAJ	VYBER	5	3669	SANKC. UROK	\N	\N
3496886	8132	1994-03-31	PRIJEM	\N	55	16032	UROK	\N	\N
3496887	8132	1994-04-30	PRIJEM	\N	82	29397	UROK	\N	\N
3496888	8132	1994-05-31	PRIJEM	\N	147	32028	UROK	\N	\N
3496889	8132	1994-06-30	PRIJEM	\N	186	57390	UROK	\N	\N
3496890	8132	1994-07-31	PRIJEM	\N	148	57978	UROK	\N	\N
3496891	8132	1994-08-31	PRIJEM	\N	159	60233	UROK	\N	\N
3496892	8132	1994-09-30	PRIJEM	\N	187	72867	UROK	\N	\N
3496893	8132	1994-10-31	PRIJEM	\N	267	70123	UROK	\N	\N
3496894	8132	1994-11-30	PRIJEM	\N	174	59495	UROK	\N	\N
3496895	8132	1994-12-31	PRIJEM	\N	258	57713	UROK	\N	\N
3496896	8132	1995-01-31	PRIJEM	\N	139	13301	UROK	\N	\N
3496897	8132	1995-02-28	PRIJEM	\N	139	50891	UROK	\N	\N
3496898	8132	1995-03-31	PRIJEM	\N	238	68726	UROK	\N	\N
3496899	8132	1995-04-30	PRIJEM	\N	213	75588	UROK	\N	\N
3496900	8132	1995-05-31	PRIJEM	\N	197	81190	UROK	\N	\N
3496901	8132	1995-06-30	PRIJEM	\N	270	94243	UROK	\N	\N
3496902	8132	1995-07-31	PRIJEM	\N	207	72789	UROK	\N	\N
3496903	8132	1995-08-31	PRIJEM	\N	253	70504	UROK	\N	\N
3496904	8132	1995-09-30	PRIJEM	\N	266	64435	UROK	\N	\N
3496905	8132	1995-10-31	PRIJEM	\N	220	75810	UROK	\N	\N
3496906	8132	1995-11-30	PRIJEM	\N	316	76739	UROK	\N	\N
3496907	8132	1995-12-31	PRIJEM	\N	319	91019	UROK	\N	\N
3496908	8132	1996-01-31	PRIJEM	\N	226	41378	UROK	\N	\N
3496909	8132	1996-02-29	PRIJEM	\N	208	68241	UROK	\N	\N
3496910	8132	1996-03-31	PRIJEM	\N	198	83751	UROK	\N	\N
3496911	8132	1996-04-30	PRIJEM	\N	211	91416	UROK	\N	\N
3496912	8132	1996-05-31	PRIJEM	\N	233	95120	UROK	\N	\N
3496913	8132	1996-06-30	PRIJEM	\N	260	109363	UROK	\N	\N
3496914	8132	1996-07-31	PRIJEM	\N	18	75463	UROK	\N	\N
3496915	8132	1996-08-31	PRIJEM	\N	284	71552	UROK	\N	\N
3496916	8132	1996-09-30	PRIJEM	\N	260	76378	UROK	\N	\N
3496917	8132	1996-10-31	PRIJEM	\N	153	53535	UROK	\N	\N
3496918	8132	1996-11-30	PRIJEM	\N	171	53206	UROK	\N	\N
3496919	8132	1996-12-31	PRIJEM	\N	154	61124	UROK	\N	\N
3496920	8132	1997-01-31	PRIJEM	\N	186	62335	UROK	\N	\N
3496921	8132	1997-02-28	PRIJEM	\N	97	67779	UROK	\N	\N
3496922	8132	1997-03-31	PRIJEM	\N	266	59857	UROK	\N	\N
3496923	8132	1997-04-30	PRIJEM	\N	221	72756	UROK	\N	\N
3496924	8132	1997-05-31	PRIJEM	\N	301	74991	UROK	\N	\N
3496925	8132	1997-06-30	PRIJEM	\N	266	71214	UROK	\N	\N
3496926	8132	1997-07-31	PRIJEM	\N	53	75179	UROK	\N	\N
3496927	8132	1997-08-31	PRIJEM	\N	73	77922	UROK	\N	\N
3496928	8132	1997-09-30	PRIJEM	\N	275	79584	UROK	\N	\N
3496929	8132	1997-10-31	PRIJEM	\N	84	80165	UROK	\N	\N
3496930	8132	1997-11-30	PRIJEM	\N	298	86765	UROK	\N	\N
3496931	8132	1997-12-31	PRIJEM	\N	332	65218	UROK	\N	\N
3496932	8132	1998-01-31	PRIJEM	\N	199	69129	UROK	\N	\N
3496933	8132	1998-02-28	PRIJEM	\N	99	85946	UROK	\N	\N
3496934	8132	1998-03-31	PRIJEM	\N	331	89121	UROK	\N	\N
3496935	8132	1998-04-30	PRIJEM	\N	317	87140	UROK	\N	\N
3496936	8132	1998-05-31	PRIJEM	\N	207	70738	UROK	\N	\N
3496937	8132	1998-06-30	PRIJEM	\N	218	90672	UROK	\N	\N
3496938	8132	1998-07-31	PRIJEM	\N	331	95846	UROK	\N	\N
3496939	8132	1998-08-31	PRIJEM	\N	343	102901	UROK	\N	\N
3496940	8132	1998-09-30	PRIJEM	\N	163	112031	UROK	\N	\N
3496941	8132	1998-10-31	PRIJEM	\N	281	111328	UROK	\N	\N
3496942	8132	1998-11-30	PRIJEM	\N	337	90724	UROK	\N	\N
3496943	8132	1998-12-31	PRIJEM	\N	290	124603	UROK	\N	\N
3497055	8149	1997-05-31	PRIJEM	\N	3	703	UROK	\N	\N
3497056	8149	1997-06-30	PRIJEM	\N	359	48198	UROK	\N	\N
3497057	8149	1997-07-31	PRIJEM	\N	154	45332	UROK	\N	\N
3497058	8149	1997-08-31	PRIJEM	\N	152	68676	UROK	\N	\N
3497059	8149	1997-09-30	PRIJEM	\N	121	44224	UROK	\N	\N
3497060	8149	1997-10-31	PRIJEM	\N	247	82354	UROK	\N	\N
3497061	8149	1997-11-30	PRIJEM	\N	274	64594	UROK	\N	\N
3497062	8149	1997-12-31	PRIJEM	\N	302	77869	UROK	\N	\N
3497063	8149	1998-01-31	PRIJEM	\N	73	3857	UROK	\N	\N
3497064	8149	1998-02-28	PRIJEM	\N	45	16106	UROK	\N	\N
3497065	8149	1998-03-31	PRIJEM	\N	23	16591	UROK	\N	\N
3497066	8149	1998-04-30	PRIJEM	\N	34	24300	UROK	\N	\N
3497067	8149	1998-05-31	PRIJEM	\N	50	11698	UROK	\N	\N
3497068	8149	1998-06-30	PRIJEM	\N	62	18296	UROK	\N	\N
3497069	8149	1998-07-31	PRIJEM	\N	72	21141	UROK	\N	\N
3497070	8149	1998-08-31	PRIJEM	\N	54	15595	UROK	\N	\N
3497071	8149	1998-09-30	PRIJEM	\N	64	21308	UROK	\N	\N
3497072	8149	1998-10-31	PRIJEM	\N	73	22750	UROK	\N	\N
3497073	8149	1998-11-30	PRIJEM	\N	66	-1825	UROK	\N	\N
3497074	8149	1998-11-30	VYDAJ	VYBER	8	-1833	SANKC. UROK	\N	\N
3497075	8149	1998-12-31	PRIJEM	\N	92	32352	UROK	\N	\N
3497076	8149	1998-12-31	VYDAJ	VYBER	9	32333	SANKC. UROK	\N	\N
3497125	8153	1997-09-30	PRIJEM	\N	190	98105	UROK	\N	\N
3497126	8153	1997-10-31	PRIJEM	\N	242	34122	UROK	\N	\N
3497127	8153	1997-11-30	PRIJEM	\N	250	40447	UROK	\N	\N
3497128	8153	1997-12-31	PRIJEM	\N	197	58406	UROK	\N	\N
3497129	8153	1998-01-31	PRIJEM	\N	150	55759	UROK	\N	\N
3497130	8153	1998-02-28	PRIJEM	\N	101	52184	UROK	\N	\N
3497131	8153	1998-03-31	PRIJEM	\N	201	30920	UROK	\N	\N
3497132	8153	1998-04-30	PRIJEM	\N	8	20150	UROK	\N	\N
3497133	8153	1998-05-31	PRIJEM	\N	273	52444	UROK	\N	\N
3497134	8153	1998-06-30	PRIJEM	\N	71	13474	UROK	\N	\N
3497135	8153	1998-06-30	VYDAJ	VYBER	2	13619	SANKC. UROK	\N	\N
3497136	8153	1998-07-31	PRIJEM	\N	44	6693	UROK	\N	\N
3497137	8153	1998-08-31	PRIJEM	\N	36	26388	UROK	\N	\N
3497138	8153	1998-09-30	PRIJEM	\N	168	89426	UROK	\N	\N
3497139	8153	1998-10-31	PRIJEM	\N	337	53686	UROK	\N	\N
3497140	8153	1998-11-30	PRIJEM	\N	153	55140	UROK	\N	\N
3497141	8153	1998-12-31	PRIJEM	\N	175	72964	UROK	\N	\N
3497170	8158	1996-07-31	PRIJEM	\N	71	33255	UROK	\N	\N
3497171	8158	1996-08-31	PRIJEM	\N	175	49515	UROK	\N	\N
3497172	8158	1996-09-30	PRIJEM	\N	232	60931	UROK	\N	\N
3497173	8158	1996-10-31	PRIJEM	\N	256	62171	UROK	\N	\N
3497174	8158	1996-11-30	PRIJEM	\N	300	79707	UROK	\N	\N
3497175	8158	1996-12-31	PRIJEM	\N	287	58054	UROK	\N	\N
3497176	8158	1997-01-31	PRIJEM	\N	203	31925	UROK	\N	\N
3497177	8158	1997-02-28	PRIJEM	\N	181	59574	UROK	\N	\N
3497178	8158	1997-03-31	PRIJEM	\N	289	75831	UROK	\N	\N
3497179	8158	1997-04-30	PRIJEM	\N	318	84216	UROK	\N	\N
3497180	8158	1997-05-31	PRIJEM	\N	358	89443	UROK	\N	\N
3497181	8158	1997-06-30	PRIJEM	\N	404	64106	UROK	\N	\N
3497182	8158	1997-07-31	PRIJEM	\N	292	75666	UROK	\N	\N
3497183	8158	1997-08-31	PRIJEM	\N	286	76220	UROK	\N	\N
3497184	8158	1997-09-30	PRIJEM	\N	297	79585	UROK	\N	\N
3497185	8158	1997-10-31	PRIJEM	\N	316	83069	UROK	\N	\N
3497186	8158	1997-11-30	PRIJEM	\N	315	81122	UROK	\N	\N
3497187	8158	1997-12-31	PRIJEM	\N	336	94987	UROK	\N	\N
3497188	8158	1998-01-31	PRIJEM	\N	207	37317	UROK	\N	\N
3497189	8158	1998-02-28	PRIJEM	\N	197	58951	UROK	\N	\N
3497190	8158	1998-03-31	PRIJEM	\N	236	65024	UROK	\N	\N
3497191	8158	1998-04-30	PRIJEM	\N	219	52680	UROK	\N	\N
3497192	8158	1998-05-31	PRIJEM	\N	203	58320	UROK	\N	\N
3497193	8158	1998-06-30	PRIJEM	\N	255	63201	UROK	\N	\N
3497194	8158	1998-07-31	PRIJEM	\N	209	58464	UROK	\N	\N
3497195	8158	1998-08-31	PRIJEM	\N	246	65947	UROK	\N	\N
3497196	8158	1998-09-30	PRIJEM	\N	225	58809	UROK	\N	\N
3497197	8158	1998-10-31	PRIJEM	\N	175	41972	UROK	\N	\N
3497198	8158	1998-11-30	PRIJEM	\N	171	54215	UROK	\N	\N
3497199	8158	1998-12-31	PRIJEM	\N	254	79298	UROK	\N	\N
3497200	8159	1995-03-31	PRIJEM	\N	59	20153	UROK	\N	\N
3497201	8159	1995-04-30	PRIJEM	\N	109	28456	UROK	\N	\N
3497202	8159	1995-05-31	PRIJEM	\N	129	31979	UROK	\N	\N
3497203	8159	1995-06-30	PRIJEM	\N	152	38072	UROK	\N	\N
3497204	8159	1995-07-31	PRIJEM	\N	146	31785	UROK	\N	\N
3497205	8159	1995-08-31	PRIJEM	\N	131	30768	UROK	\N	\N
3497206	8159	1995-09-30	PRIJEM	\N	122	25003	UROK	\N	\N
3497207	8159	1995-10-31	PRIJEM	\N	86	18001	UROK	\N	\N
3497208	8159	1995-11-30	PRIJEM	\N	89	20042	UROK	\N	\N
3497209	8159	1995-12-31	PRIJEM	\N	91	20293	UROK	\N	\N
3497210	8159	1996-01-31	PRIJEM	\N	107	26052	UROK	\N	\N
3497211	8159	1996-02-29	PRIJEM	\N	113	23997	UROK	\N	\N
3497212	8159	1996-03-31	PRIJEM	\N	120	28670	UROK	\N	\N
3497213	8159	1996-04-30	PRIJEM	\N	134	30856	UROK	\N	\N
3497214	8159	1996-05-31	PRIJEM	\N	141	32350	UROK	\N	\N
3497215	8159	1996-06-30	PRIJEM	\N	135	25664	UROK	\N	\N
3497216	8159	1996-07-31	PRIJEM	\N	120	28437	UROK	\N	\N
3497217	8159	1996-08-31	PRIJEM	\N	135	31224	UROK	\N	\N
3497218	8159	1996-09-30	PRIJEM	\N	130	31707	UROK	\N	\N
3497219	8159	1996-10-31	PRIJEM	\N	122	28721	UROK	\N	\N
3497220	8159	1996-11-30	PRIJEM	\N	136	31209	UROK	\N	\N
3497221	8159	1996-12-31	PRIJEM	\N	162	33150	UROK	\N	\N
3497222	8159	1997-01-31	PRIJEM	\N	158	33860	UROK	\N	\N
3497223	8159	1997-02-28	PRIJEM	\N	161	33474	UROK	\N	\N
3497224	8159	1997-03-31	PRIJEM	\N	143	29610	UROK	\N	\N
3497225	8159	1997-04-30	PRIJEM	\N	138	28760	UROK	\N	\N
3497226	8159	1997-05-31	PRIJEM	\N	137	30349	UROK	\N	\N
3497227	8159	1997-06-30	PRIJEM	\N	163	36612	UROK	\N	\N
3497228	8159	1997-07-31	PRIJEM	\N	157	32582	UROK	\N	\N
3497229	8159	1997-08-31	PRIJEM	\N	150	37845	UROK	\N	\N
3497230	8159	1997-09-30	PRIJEM	\N	167	40645	UROK	\N	\N
3497231	8159	1997-10-31	PRIJEM	\N	183	40821	UROK	\N	\N
3497232	8159	1997-11-30	PRIJEM	\N	175	38509	UROK	\N	\N
3497233	8159	1997-12-31	PRIJEM	\N	192	43822	UROK	\N	\N
3497234	8159	1998-01-31	PRIJEM	\N	191	39205	UROK	\N	\N
3497235	8159	1998-02-28	PRIJEM	\N	185	45184	UROK	\N	\N
3497236	8159	1998-03-31	PRIJEM	\N	200	46258	UROK	\N	\N
3497237	8159	1998-04-30	PRIJEM	\N	207	50138	UROK	\N	\N
3497238	8159	1998-05-31	PRIJEM	\N	209	46121	UROK	\N	\N
3497239	8159	1998-06-30	PRIJEM	\N	207	47408	UROK	\N	\N
3497240	8159	1998-07-31	PRIJEM	\N	213	50714	UROK	\N	\N
3497241	8159	1998-08-31	PRIJEM	\N	225	52932	UROK	\N	\N
3497242	8159	1998-09-30	PRIJEM	\N	235	56861	UROK	\N	\N
3497243	8159	1998-10-31	PRIJEM	\N	246	56721	UROK	\N	\N
3497244	8159	1998-11-30	PRIJEM	\N	246	54180	UROK	\N	\N
3497245	8159	1998-12-31	PRIJEM	\N	246	58866	UROK	\N	\N
3497270	8169	1995-12-31	PRIJEM	\N	12	23030	UROK	\N	\N
3497271	8169	1996-01-31	PRIJEM	\N	101	30944	UROK	\N	\N
3497272	8169	1996-02-29	PRIJEM	\N	131	35387	UROK	\N	\N
3497273	8169	1996-03-31	PRIJEM	\N	146	33844	UROK	\N	\N
3497274	8169	1996-04-30	PRIJEM	\N	140	33196	UROK	\N	\N
3497275	8169	1996-05-31	PRIJEM	\N	134	28705	UROK	\N	\N
3497276	8169	1996-06-30	PRIJEM	\N	130	31375	UROK	\N	\N
3497277	8169	1996-07-31	PRIJEM	\N	130	28579	UROK	\N	\N
3497278	8169	1996-08-31	PRIJEM	\N	122	29575	UROK	\N	\N
3497279	8169	1996-09-30	PRIJEM	\N	111	27440	UROK	\N	\N
3497280	8169	1996-10-31	PRIJEM	\N	114	27929	UROK	\N	\N
3497281	8169	1996-11-30	PRIJEM	\N	100	23563	UROK	\N	\N
3497282	8169	1996-12-31	PRIJEM	\N	100	21664	UROK	\N	\N
3497283	8169	1997-01-31	PRIJEM	\N	68	17046	UROK	\N	\N
3497284	8169	1997-02-28	PRIJEM	\N	72	18432	UROK	\N	\N
3497285	8169	1997-03-31	PRIJEM	\N	81	24287	UROK	\N	\N
3497286	8169	1997-04-30	PRIJEM	\N	95	22356	UROK	\N	\N
3497287	8169	1997-05-31	PRIJEM	\N	91	21521	UROK	\N	\N
3497288	8169	1997-06-30	PRIJEM	\N	91	25012	UROK	\N	\N
3497289	8169	1997-07-31	PRIJEM	\N	90	21776	UROK	\N	\N
3497290	8169	1997-08-31	PRIJEM	\N	76	14873	UROK	\N	\N
3497291	8169	1997-09-30	PRIJEM	\N	59	15173	UROK	\N	\N
3497292	8169	1997-10-31	PRIJEM	\N	67	19182	UROK	\N	\N
3497293	8169	1997-11-30	PRIJEM	\N	72	17495	UROK	\N	\N
3497294	8169	1997-12-31	PRIJEM	\N	82	22924	UROK	\N	\N
3497295	8169	1998-01-31	PRIJEM	\N	71	15156	UROK	\N	\N
3497296	8169	1998-02-28	PRIJEM	\N	65	18962	UROK	\N	\N
3497297	8169	1998-03-31	PRIJEM	\N	78	20782	UROK	\N	\N
3497298	8169	1998-04-30	PRIJEM	\N	79	19602	UROK	\N	\N
3497299	8169	1998-05-31	PRIJEM	\N	81	21824	UROK	\N	\N
3497300	8169	1998-06-30	PRIJEM	\N	82	18934	UROK	\N	\N
3497301	8169	1998-07-31	PRIJEM	\N	67	16242	UROK	\N	\N
3497302	8169	1998-08-31	PRIJEM	\N	69	13753	UROK	\N	\N
3497303	8169	1998-09-30	PRIJEM	\N	59	16133	UROK	\N	\N
3497304	8169	1998-10-31	PRIJEM	\N	70	19844	UROK	\N	\N
3497305	8169	1998-11-30	PRIJEM	\N	85	23570	UROK	\N	\N
3497306	8169	1998-12-31	PRIJEM	\N	112	30329	UROK	\N	\N
3497307	8173	1993-08-31	PRIJEM	\N	199	55039	UROK	\N	\N
3497308	8173	1993-09-30	PRIJEM	\N	315	79194	UROK	\N	\N
3497309	8173	1993-10-31	PRIJEM	\N	377	92511	UROK	\N	\N
3497310	8173	1993-11-30	PRIJEM	\N	413	100464	UROK	\N	\N
3497311	8173	1993-12-31	PRIJEM	\N	361	69138	UROK	\N	\N
3497312	8173	1994-01-31	PRIJEM	\N	175	22155	UROK	\N	\N
3497313	8173	1994-02-28	PRIJEM	\N	148	45328	UROK	\N	\N
3497314	8173	1994-03-31	PRIJEM	\N	296	72149	UROK	\N	\N
3497315	8173	1994-04-30	PRIJEM	\N	342	81217	UROK	\N	\N
3497316	8173	1994-05-31	PRIJEM	\N	359	89702	UROK	\N	\N
3497317	8173	1994-06-30	PRIJEM	\N	281	61020	UROK	\N	\N
3497318	8173	1994-07-31	PRIJEM	\N	295	49746	UROK	\N	\N
3497319	8173	1994-08-31	PRIJEM	\N	282	49858	UROK	\N	\N
3497320	8173	1994-09-30	PRIJEM	\N	269	48457	UROK	\N	\N
3497321	8173	1994-10-31	PRIJEM	\N	263	43960	UROK	\N	\N
3497322	8173	1994-11-30	PRIJEM	\N	240	36739	UROK	\N	\N
3497323	8173	1994-12-31	PRIJEM	\N	271	51560	UROK	\N	\N
3497324	8173	1995-01-31	PRIJEM	\N	197	24421	UROK	\N	\N
3497325	8173	1995-02-28	PRIJEM	\N	141	26585	UROK	\N	\N
3497326	8173	1995-03-31	PRIJEM	\N	138	27084	UROK	\N	\N
3497327	8173	1995-04-30	PRIJEM	\N	182	38796	UROK	\N	\N
3497328	8173	1995-05-31	PRIJEM	\N	203	35981	UROK	\N	\N
3497329	8173	1995-06-30	PRIJEM	\N	195	22007	UROK	\N	\N
3497330	8173	1995-07-31	PRIJEM	\N	122	27755	UROK	\N	\N
3497331	8173	1995-08-31	PRIJEM	\N	170	25193	UROK	\N	\N
3497332	8173	1995-09-30	PRIJEM	\N	149	35269	UROK	\N	\N
3497333	8173	1995-10-31	PRIJEM	\N	174	43369	UROK	\N	\N
3497334	8173	1995-11-30	PRIJEM	\N	227	40998	UROK	\N	\N
3497335	8173	1995-12-31	PRIJEM	\N	245	48090	UROK	\N	\N
3497336	8173	1996-01-31	PRIJEM	\N	170	22511	UROK	\N	\N
3497337	8173	1996-02-29	PRIJEM	\N	169	36005	UROK	\N	\N
3497338	8173	1996-03-31	PRIJEM	\N	205	34836	UROK	\N	\N
3497339	8173	1996-04-30	PRIJEM	\N	168	37793	UROK	\N	\N
3497340	8173	1996-05-31	PRIJEM	\N	171	29344	UROK	\N	\N
3497341	8173	1996-06-30	PRIJEM	\N	150	44640	UROK	\N	\N
3497342	8173	1996-07-31	PRIJEM	\N	201	48266	UROK	\N	\N
3497343	8173	1996-08-31	PRIJEM	\N	270	55062	UROK	\N	\N
3497344	8173	1996-09-30	PRIJEM	\N	240	46261	UROK	\N	\N
3497345	8173	1996-10-31	PRIJEM	\N	178	35158	UROK	\N	\N
3497346	8173	1996-11-30	PRIJEM	\N	176	37575	UROK	\N	\N
3497347	8173	1996-12-31	PRIJEM	\N	200	53620	UROK	\N	\N
3497348	8173	1997-01-31	PRIJEM	\N	166	28869	UROK	\N	\N
3497349	8173	1997-02-28	PRIJEM	\N	158	46253	UROK	\N	\N
3497350	8173	1997-03-31	PRIJEM	\N	223	48765	UROK	\N	\N
3497351	8173	1997-04-30	PRIJEM	\N	251	52723	UROK	\N	\N
3497352	8173	1997-05-31	PRIJEM	\N	231	58679	UROK	\N	\N
3497353	8173	1997-06-30	PRIJEM	\N	242	40791	UROK	\N	\N
3497354	8173	1997-07-31	PRIJEM	\N	189	40505	UROK	\N	\N
3497355	8173	1997-08-31	PRIJEM	\N	218	39304	UROK	\N	\N
3497356	8173	1997-09-30	PRIJEM	\N	213	47343	UROK	\N	\N
3497357	8173	1997-10-31	PRIJEM	\N	231	59300	UROK	\N	\N
3497358	8173	1997-11-30	PRIJEM	\N	240	28993	UROK	\N	\N
3497359	8173	1997-12-31	PRIJEM	\N	219	39162	UROK	\N	\N
3497360	8173	1998-01-31	PRIJEM	\N	126	22914	UROK	\N	\N
3497361	8173	1998-02-28	PRIJEM	\N	173	41513	UROK	\N	\N
3497362	8173	1998-03-31	PRIJEM	\N	218	48286	UROK	\N	\N
3497363	8173	1998-04-30	PRIJEM	\N	226	36601	UROK	\N	\N
3497364	8173	1998-05-31	PRIJEM	\N	183	41209	UROK	\N	\N
3497365	8173	1998-06-30	PRIJEM	\N	248	61053	UROK	\N	\N
3497366	8173	1998-07-31	PRIJEM	\N	274	68253	UROK	\N	\N
3497367	8173	1998-08-31	PRIJEM	\N	292	71570	UROK	\N	\N
3497368	8173	1998-09-30	PRIJEM	\N	300	71496	UROK	\N	\N
3497369	8173	1998-10-31	PRIJEM	\N	219	43155	UROK	\N	\N
3497370	8173	1998-11-30	PRIJEM	\N	215	55396	UROK	\N	\N
3497371	8173	1998-12-31	PRIJEM	\N	289	70830	UROK	\N	\N
3497748	8212	1993-12-31	PRIJEM	\N	73	45545	UROK	\N	\N
3497749	8212	1994-01-31	PRIJEM	\N	105	60220	UROK	\N	\N
3497750	8212	1994-02-28	PRIJEM	\N	91	68475	UROK	\N	\N
3497751	8212	1994-03-31	PRIJEM	\N	126	72549	UROK	\N	\N
3497752	8212	1994-04-30	PRIJEM	\N	26	62553	UROK	\N	\N
3497753	8212	1994-05-31	PRIJEM	\N	277	61109	UROK	\N	\N
3497754	8212	1994-06-30	PRIJEM	\N	170	14388	UROK	\N	\N
3497755	8212	1994-06-30	VYDAJ	VYBER	0	14460	SANKC. UROK	\N	\N
3497756	8212	1994-07-31	PRIJEM	\N	161	82659	UROK	\N	\N
3497757	8212	1994-08-31	PRIJEM	\N	338	67945	UROK	\N	\N
3497758	8212	1994-09-30	PRIJEM	\N	58	70806	UROK	\N	\N
3497759	8212	1994-10-31	PRIJEM	\N	170	96781	UROK	\N	\N
3497760	8212	1994-11-30	PRIJEM	\N	171	112047	UROK	\N	\N
3497761	8212	1994-12-31	PRIJEM	\N	363	90331	UROK	\N	\N
3497762	8212	1995-01-31	PRIJEM	\N	161	92022	UROK	\N	\N
3497763	8212	1995-02-28	PRIJEM	\N	378	102279	UROK	\N	\N
3497764	8212	1995-03-31	PRIJEM	\N	396	93122	UROK	\N	\N
3497765	8212	1995-04-30	PRIJEM	\N	326	64943	UROK	\N	\N
3497766	8212	1995-05-31	PRIJEM	\N	334	91396	UROK	\N	\N
3497767	8212	1995-07-31	PRIJEM	\N	62	19287	UROK	\N	\N
3497768	8212	1995-08-31	PRIJEM	\N	120	49118	UROK	\N	\N
3497769	8212	1995-09-30	PRIJEM	\N	211	76101	UROK	\N	\N
3497770	8212	1995-10-31	PRIJEM	\N	311	99840	UROK	\N	\N
3497771	8212	1995-11-30	PRIJEM	\N	298	69038	UROK	\N	\N
3497772	8212	1995-12-31	PRIJEM	\N	143	12735	UROK	\N	\N
3497773	8212	1996-01-31	PRIJEM	\N	146	65365	UROK	\N	\N
3497774	8212	1996-02-29	PRIJEM	\N	299	88865	UROK	\N	\N
3497775	8212	1996-03-31	PRIJEM	\N	17	67227	UROK	\N	\N
3497776	8212	1996-04-30	PRIJEM	\N	234	59636	UROK	\N	\N
3497777	8212	1996-05-31	PRIJEM	\N	328	96702	UROK	\N	\N
3497778	8212	1996-06-30	PRIJEM	\N	329	13181	UROK	\N	\N
3497779	8212	1996-07-31	PRIJEM	\N	101	110827	UROK	\N	\N
3497780	8212	1996-08-31	PRIJEM	\N	396	92856	UROK	\N	\N
3497781	8212	1996-09-30	PRIJEM	\N	234	50553	UROK	\N	\N
3497782	8212	1996-10-31	PRIJEM	\N	153	54485	UROK	\N	\N
3497783	8212	1996-11-30	PRIJEM	\N	162	36694	UROK	\N	\N
3497784	8212	1996-12-31	PRIJEM	\N	64	20881	UROK	\N	\N
3497785	8212	1997-01-31	PRIJEM	\N	174	67289	UROK	\N	\N
3497786	8212	1997-02-28	PRIJEM	\N	157	69918	UROK	\N	\N
3497787	8212	1997-03-31	PRIJEM	\N	259	98015	UROK	\N	\N
3497788	8212	1997-04-30	PRIJEM	\N	347	93683	UROK	\N	\N
3497789	8212	1997-05-31	PRIJEM	\N	445	110569	UROK	\N	\N
3497790	8212	1997-06-30	PRIJEM	\N	269	112159	UROK	\N	\N
3497791	8212	1997-07-31	PRIJEM	\N	385	98432	UROK	\N	\N
3497792	8212	1997-08-31	PRIJEM	\N	251	94124	UROK	\N	\N
3497793	8212	1997-09-30	PRIJEM	\N	228	89183	UROK	\N	\N
3497794	8212	1997-10-31	PRIJEM	\N	171	81854	UROK	\N	\N
3497795	8212	1997-11-30	PRIJEM	\N	208	88367	UROK	\N	\N
3497796	8212	1997-12-31	PRIJEM	\N	367	105185	UROK	\N	\N
3497797	8212	1998-01-31	PRIJEM	\N	382	96567	UROK	\N	\N
3497798	8212	1998-02-28	PRIJEM	\N	352	94800	UROK	\N	\N
3497799	8212	1998-03-31	PRIJEM	\N	331	95424	UROK	\N	\N
3497800	8212	1998-04-30	PRIJEM	\N	202	93128	UROK	\N	\N
3497801	8212	1998-05-31	PRIJEM	\N	97	113475	UROK	\N	\N
3497802	8212	1998-06-30	PRIJEM	\N	270	80148	UROK	\N	\N
3497803	8212	1998-07-31	PRIJEM	\N	268	96886	UROK	\N	\N
3497804	8212	1998-08-31	PRIJEM	\N	72	103136	UROK	\N	\N
3497805	8212	1998-09-30	PRIJEM	\N	268	110449	UROK	\N	\N
3497806	8212	1998-10-31	PRIJEM	\N	383	100325	UROK	\N	\N
3497807	8212	1998-11-30	PRIJEM	\N	82	99821	UROK	\N	\N
3497808	8212	1998-12-31	PRIJEM	\N	95	100372	UROK	\N	\N
3497928	8225	1996-12-31	PRIJEM	\N	84	28512	UROK	\N	\N
3497929	8225	1997-01-31	PRIJEM	\N	122	41437	UROK	\N	\N
3497930	8225	1997-02-28	PRIJEM	\N	136	48783	UROK	\N	\N
3497931	8225	1997-03-31	PRIJEM	\N	162	55863	UROK	\N	\N
3497932	8225	1997-04-30	PRIJEM	\N	164	52972	UROK	\N	\N
3497933	8225	1997-05-31	PRIJEM	\N	155	51239	UROK	\N	\N
3497934	8225	1997-06-30	PRIJEM	\N	169	42923	UROK	\N	\N
3497935	8225	1997-07-31	PRIJEM	\N	133	46098	UROK	\N	\N
3497936	8225	1997-08-31	PRIJEM	\N	132	39596	UROK	\N	\N
3497937	8225	1997-09-30	PRIJEM	\N	119	41465	UROK	\N	\N
3497938	8225	1997-10-31	PRIJEM	\N	108	34702	UROK	\N	\N
3497939	8225	1997-11-30	PRIJEM	\N	106	32029	UROK	\N	\N
3497940	8225	1997-12-31	PRIJEM	\N	139	41135	UROK	\N	\N
3497941	8225	1998-01-31	PRIJEM	\N	29	3506	UROK	\N	\N
3497942	8225	1998-01-31	VYDAJ	VYBER	3	3504	SANKC. UROK	\N	\N
3497943	8225	1998-02-28	PRIJEM	\N	25	14337	UROK	\N	\N
3497944	8225	1998-03-31	PRIJEM	\N	39	2870	UROK	\N	\N
3497945	8225	1998-03-31	VYDAJ	VYBER	5	2948	SANKC. UROK	\N	\N
3497946	8225	1998-04-30	PRIJEM	\N	49	20037	UROK	\N	\N
3497947	8225	1998-05-31	PRIJEM	\N	90	15844	UROK	\N	\N
3497948	8225	1998-06-30	PRIJEM	\N	72	14498	UROK	\N	\N
3497949	8225	1998-07-31	PRIJEM	\N	56	12218	UROK	\N	\N
3497950	8225	1998-08-31	PRIJEM	\N	34	4435	UROK	\N	\N
3497951	8225	1998-08-31	VYDAJ	VYBER	4	4412	SANKC. UROK	\N	\N
3497952	8225	1998-09-30	PRIJEM	\N	35	13614	UROK	\N	\N
3497953	8225	1998-10-31	PRIJEM	\N	57	14990	UROK	\N	\N
3497954	8225	1998-11-30	PRIJEM	\N	73	21035	UROK	\N	\N
3497955	8225	1998-12-31	PRIJEM	\N	95	37313	UROK	\N	\N
3498211	8260	1993-04-30	PRIJEM	\N	33	29468	UROK	\N	\N
3498212	8260	1993-05-31	PRIJEM	\N	140	43843	UROK	\N	\N
3498213	8260	1993-06-30	PRIJEM	\N	203	60197	UROK	\N	\N
3498214	8260	1993-07-31	PRIJEM	\N	251	60883	UROK	\N	\N
3498215	8260	1993-08-31	PRIJEM	\N	293	56833	UROK	\N	\N
3498216	8260	1993-09-30	PRIJEM	\N	217	41132	UROK	\N	\N
3498217	8260	1993-10-31	PRIJEM	\N	238	46891	UROK	\N	\N
3498218	8260	1993-11-30	PRIJEM	\N	243	51673	UROK	\N	\N
3498219	8260	1993-12-31	PRIJEM	\N	302	56679	UROK	\N	\N
3498220	8260	1994-01-31	PRIJEM	\N	230	47973	UROK	\N	\N
3498221	8260	1994-02-28	PRIJEM	\N	207	50800	UROK	\N	\N
3498222	8260	1994-03-31	PRIJEM	\N	218	45714	UROK	\N	\N
3498223	8260	1994-04-30	PRIJEM	\N	229	50163	UROK	\N	\N
3498224	8260	1994-05-31	PRIJEM	\N	236	55519	UROK	\N	\N
3498225	8260	1994-06-30	PRIJEM	\N	206	23189	UROK	\N	\N
3498226	8260	1994-07-31	PRIJEM	\N	162	37871	UROK	\N	\N
3498227	8260	1994-08-31	PRIJEM	\N	195	40482	UROK	\N	\N
3498228	8260	1994-09-30	PRIJEM	\N	196	43059	UROK	\N	\N
3498229	8260	1994-10-31	PRIJEM	\N	210	41873	UROK	\N	\N
3498230	8260	1994-11-30	PRIJEM	\N	169	27457	UROK	\N	\N
3498231	8260	1994-12-31	PRIJEM	\N	185	42455	UROK	\N	\N
3498232	8260	1995-01-31	PRIJEM	\N	177	23387	UROK	\N	\N
3498233	8260	1995-02-28	PRIJEM	\N	144	42212	UROK	\N	\N
3498234	8260	1995-03-31	PRIJEM	\N	180	38881	UROK	\N	\N
3498235	8260	1995-04-30	PRIJEM	\N	181	45343	UROK	\N	\N
3498236	8260	1995-05-31	PRIJEM	\N	216	31855	UROK	\N	\N
3498237	8260	1995-06-30	PRIJEM	\N	193	47313	UROK	\N	\N
3498238	8260	1995-07-31	PRIJEM	\N	188	43602	UROK	\N	\N
3498239	8260	1995-08-31	PRIJEM	\N	196	45509	UROK	\N	\N
3498240	8260	1995-09-30	PRIJEM	\N	209	51899	UROK	\N	\N
3498241	8260	1995-10-31	PRIJEM	\N	237	58918	UROK	\N	\N
3498242	8260	1995-11-30	PRIJEM	\N	247	58845	UROK	\N	\N
3498243	8260	1995-12-31	PRIJEM	\N	201	40945	UROK	\N	\N
3498244	8260	1996-01-31	PRIJEM	\N	170	39096	UROK	\N	\N
3498245	8260	1996-02-29	PRIJEM	\N	263	70241	UROK	\N	\N
3498246	8260	1996-03-31	PRIJEM	\N	205	42326	UROK	\N	\N
3498247	8260	1996-04-30	PRIJEM	\N	274	72181	UROK	\N	\N
3498248	8260	1996-05-31	PRIJEM	\N	354	88216	UROK	\N	\N
3498249	8260	1996-06-30	PRIJEM	\N	375	89815	UROK	\N	\N
3498250	8260	1996-07-31	PRIJEM	\N	399	97296	UROK	\N	\N
3498251	8260	1996-08-31	PRIJEM	\N	304	58381	UROK	\N	\N
3498252	8260	1996-09-30	PRIJEM	\N	318	81380	UROK	\N	\N
3498253	8260	1996-10-31	PRIJEM	\N	353	88414	UROK	\N	\N
3498254	8260	1996-11-30	PRIJEM	\N	413	102208	UROK	\N	\N
3498255	8260	1996-12-31	PRIJEM	\N	320	63527	UROK	\N	\N
3498256	8260	1997-01-31	PRIJEM	\N	318	73326	UROK	\N	\N
3498257	8260	1997-02-28	PRIJEM	\N	381	97188	UROK	\N	\N
3498258	8260	1997-03-31	PRIJEM	\N	355	62280	UROK	\N	\N
3498259	8260	1997-04-30	PRIJEM	\N	361	93865	UROK	\N	\N
3498260	8260	1997-05-31	PRIJEM	\N	305	66950	UROK	\N	\N
3498261	8260	1997-06-30	PRIJEM	\N	330	74978	UROK	\N	\N
3498262	8260	1997-07-31	PRIJEM	\N	281	70240	UROK	\N	\N
3498263	8260	1997-08-31	PRIJEM	\N	371	90992	UROK	\N	\N
3498264	8260	1997-09-30	PRIJEM	\N	342	62855	UROK	\N	\N
3498265	8260	1997-10-31	PRIJEM	\N	339	83853	UROK	\N	\N
3498266	8260	1997-11-30	PRIJEM	\N	373	84646	UROK	\N	\N
3498267	8260	1997-12-31	PRIJEM	\N	381	83964	UROK	\N	\N
3498268	8260	1998-01-31	PRIJEM	\N	337	71625	UROK	\N	\N
3498269	8260	1998-02-28	PRIJEM	\N	268	80705	UROK	\N	\N
3498270	8260	1998-03-31	PRIJEM	\N	225	61159	UROK	\N	\N
3498271	8260	1998-04-30	PRIJEM	\N	321	88101	UROK	\N	\N
3498272	8260	1998-05-31	PRIJEM	\N	255	73376	UROK	\N	\N
3498273	8260	1998-06-30	PRIJEM	\N	258	27960	UROK	\N	\N
3498274	8260	1998-07-31	PRIJEM	\N	195	79438	UROK	\N	\N
3498275	8260	1998-08-31	PRIJEM	\N	280	82891	UROK	\N	\N
3498276	8260	1998-09-30	PRIJEM	\N	400	96311	UROK	\N	\N
3498277	8260	1998-10-31	PRIJEM	\N	363	91395	UROK	\N	\N
3498278	8260	1998-11-30	PRIJEM	\N	332	91947	UROK	\N	\N
3498279	8260	1998-12-31	PRIJEM	\N	327	68311	UROK	\N	\N
3498280	8261	1993-05-31	PRIJEM	\N	51	22510	UROK	\N	\N
3498281	8261	1993-06-30	PRIJEM	\N	128	57907	UROK	\N	\N
3498282	8261	1993-07-31	PRIJEM	\N	147	64813	UROK	\N	\N
3498283	8261	1993-08-31	PRIJEM	\N	149	65578	UROK	\N	\N
3498284	8261	1993-09-30	PRIJEM	\N	145	66224	UROK	\N	\N
3498285	8261	1993-10-31	PRIJEM	\N	124	40188	UROK	\N	\N
3498286	8261	1993-11-30	PRIJEM	\N	96	30594	UROK	\N	\N
3498287	8261	1993-12-31	PRIJEM	\N	123	39131	UROK	\N	\N
3498288	8261	1994-01-31	PRIJEM	\N	143	34872	UROK	\N	\N
3498289	8261	1994-02-28	PRIJEM	\N	152	45773	UROK	\N	\N
3498290	8261	1994-03-31	PRIJEM	\N	129	47549	UROK	\N	\N
3498291	8261	1994-04-30	PRIJEM	\N	113	25273	UROK	\N	\N
3498292	8261	1994-05-31	PRIJEM	\N	121	42196	UROK	\N	\N
3498293	8261	1994-06-30	PRIJEM	\N	195	58558	UROK	\N	\N
3498294	8261	1994-07-31	PRIJEM	\N	205	54705	UROK	\N	\N
3498295	8261	1994-08-31	PRIJEM	\N	188	51335	UROK	\N	\N
3498296	8261	1994-09-30	PRIJEM	\N	131	22629	UROK	\N	\N
3498297	8261	1994-10-31	PRIJEM	\N	126	40965	UROK	\N	\N
3498298	8261	1994-11-30	PRIJEM	\N	142	49424	UROK	\N	\N
3498299	8261	1994-12-31	PRIJEM	\N	174	58725	UROK	\N	\N
3498300	8261	1995-01-31	PRIJEM	\N	176	39425	UROK	\N	\N
3498301	8261	1995-02-28	PRIJEM	\N	157	47187	UROK	\N	\N
3498302	8261	1995-03-31	PRIJEM	\N	161	48262	UROK	\N	\N
3498303	8261	1995-04-30	PRIJEM	\N	142	50152	UROK	\N	\N
3498304	8261	1995-05-31	PRIJEM	\N	160	42210	UROK	\N	\N
3498305	8261	1995-06-30	PRIJEM	\N	153	29774	UROK	\N	\N
3498306	8261	1995-07-31	PRIJEM	\N	98	33376	UROK	\N	\N
3498307	8261	1995-08-31	PRIJEM	\N	100	33790	UROK	\N	\N
3498308	8261	1995-09-30	PRIJEM	\N	111	30248	UROK	\N	\N
3498309	8261	1995-10-31	PRIJEM	\N	106	35314	UROK	\N	\N
3498310	8261	1995-11-30	PRIJEM	\N	148	38669	UROK	\N	\N
3498311	8261	1995-12-31	PRIJEM	\N	159	42844	UROK	\N	\N
3498312	8261	1996-01-31	PRIJEM	\N	120	26994	UROK	\N	\N
3498313	8261	1996-02-29	PRIJEM	\N	77	23984	UROK	\N	\N
3498314	8261	1996-03-31	PRIJEM	\N	101	28998	UROK	\N	\N
3498315	8261	1996-04-30	PRIJEM	\N	91	23598	UROK	\N	\N
3498316	8261	1996-05-31	PRIJEM	\N	74	23474	UROK	\N	\N
3498317	8261	1996-06-30	PRIJEM	\N	117	20581	UROK	\N	\N
3498318	8261	1996-07-31	PRIJEM	\N	58	18619	UROK	\N	\N
3498319	8261	1996-08-31	PRIJEM	\N	72	19298	UROK	\N	\N
3498320	8261	1996-09-30	PRIJEM	\N	61	18409	UROK	\N	\N
3498321	8261	1996-10-31	PRIJEM	\N	66	19248	UROK	\N	\N
3498322	8261	1996-11-30	PRIJEM	\N	72	22527	UROK	\N	\N
3498323	8261	1996-12-31	PRIJEM	\N	98	29385	UROK	\N	\N
3498324	8261	1997-01-31	PRIJEM	\N	73	23561	UROK	\N	\N
3498325	8261	1997-02-28	PRIJEM	\N	75	19118	UROK	\N	\N
3498326	8261	1997-03-31	PRIJEM	\N	76	31678	UROK	\N	\N
3498327	8261	1997-04-30	PRIJEM	\N	103	22489	UROK	\N	\N
3498328	8261	1997-05-31	PRIJEM	\N	76	36674	UROK	\N	\N
3498329	8261	1997-06-30	PRIJEM	\N	101	31400	UROK	\N	\N
3498330	8261	1997-07-31	PRIJEM	\N	101	25008	UROK	\N	\N
3498331	8261	1997-08-31	PRIJEM	\N	78	21473	UROK	\N	\N
3498332	8261	1997-09-30	PRIJEM	\N	68	22319	UROK	\N	\N
3498333	8261	1997-10-31	PRIJEM	\N	56	22882	UROK	\N	\N
3498334	8261	1997-11-30	PRIJEM	\N	62	19378	UROK	\N	\N
3498335	8261	1997-12-31	PRIJEM	\N	64	20628	UROK	\N	\N
3498336	8261	1998-01-31	PRIJEM	\N	80	30458	UROK	\N	\N
3498337	8261	1998-02-28	PRIJEM	\N	75	20940	UROK	\N	\N
3498338	8261	1998-03-31	PRIJEM	\N	87	31596	UROK	\N	\N
3498339	8261	1998-04-30	PRIJEM	\N	84	23773	UROK	\N	\N
3498340	8261	1998-05-31	PRIJEM	\N	53	23397	UROK	\N	\N
3498341	8261	1998-06-30	PRIJEM	\N	56	28839	UROK	\N	\N
3498342	8261	1998-07-31	PRIJEM	\N	55	23750	UROK	\N	\N
3498343	8261	1998-08-31	PRIJEM	\N	74	19532	UROK	\N	\N
3498344	8261	1998-09-30	PRIJEM	\N	77	32967	UROK	\N	\N
3498345	8261	1998-10-31	PRIJEM	\N	127	47202	UROK	\N	\N
3498346	8261	1998-11-30	PRIJEM	\N	102	43994	UROK	\N	\N
3498347	8261	1998-12-31	PRIJEM	\N	187	62967	UROK	\N	\N
3498362	8268	1996-10-31	PRIJEM	\N	26	16255	UROK	\N	\N
3498363	8268	1996-11-30	PRIJEM	\N	44	26200	UROK	\N	\N
3498364	8268	1996-12-31	PRIJEM	\N	54	31309	UROK	\N	\N
3498365	8268	1997-01-31	PRIJEM	\N	59	31800	UROK	\N	\N
3498366	8268	1997-02-28	PRIJEM	\N	63	32897	UROK	\N	\N
3498367	8268	1997-03-31	PRIJEM	\N	122	27036	UROK	\N	\N
3498368	8268	1997-04-30	PRIJEM	\N	106	26481	UROK	\N	\N
3498369	8268	1997-05-31	PRIJEM	\N	96	19917	UROK	\N	\N
3498370	8268	1997-06-30	PRIJEM	\N	75	21260	UROK	\N	\N
3498371	8268	1997-07-31	PRIJEM	\N	73	24569	UROK	\N	\N
3498372	8268	1997-08-31	PRIJEM	\N	86	28365	UROK	\N	\N
3498373	8268	1997-09-30	PRIJEM	\N	106	29400	UROK	\N	\N
3498374	8268	1997-10-31	PRIJEM	\N	90	29661	UROK	\N	\N
3498375	8268	1997-11-30	PRIJEM	\N	118	32297	UROK	\N	\N
3498376	8268	1997-12-31	PRIJEM	\N	130	36506	UROK	\N	\N
3498377	8268	1998-01-31	PRIJEM	\N	101	29779	UROK	\N	\N
3498378	8268	1998-02-28	PRIJEM	\N	112	42249	UROK	\N	\N
3498379	8268	1998-03-31	PRIJEM	\N	109	48459	UROK	\N	\N
3498380	8268	1998-04-30	PRIJEM	\N	174	57970	UROK	\N	\N
3498381	8268	1998-05-31	PRIJEM	\N	230	62308	UROK	\N	\N
3498382	8268	1998-06-30	PRIJEM	\N	131	50028	UROK	\N	\N
3498383	8268	1998-07-31	PRIJEM	\N	181	60167	UROK	\N	\N
3498384	8268	1998-08-31	PRIJEM	\N	230	59806	UROK	\N	\N
3498385	8268	1998-09-30	PRIJEM	\N	209	55493	UROK	\N	\N
3498386	8268	1998-10-31	PRIJEM	\N	192	62120	UROK	\N	\N
3498387	8268	1998-11-30	PRIJEM	\N	246	65706	UROK	\N	\N
3498388	8268	1998-12-31	PRIJEM	\N	269	72583	UROK	\N	\N
3498804	8316	1994-06-30	PRIJEM	\N	54	24666	UROK	\N	\N
3498805	8316	1994-08-31	PRIJEM	\N	239	74372	UROK	\N	\N
3498806	8316	1994-09-30	PRIJEM	\N	12	51833	UROK	\N	\N
3498807	8316	1994-10-31	PRIJEM	\N	278	50489	UROK	\N	\N
3498808	8316	1994-11-30	PRIJEM	\N	235	76694	UROK	\N	\N
3498809	8316	1994-12-31	PRIJEM	\N	260	31725	UROK	\N	\N
3498810	8316	1995-01-31	PRIJEM	\N	86	21196	UROK	\N	\N
3498811	8316	1995-02-28	PRIJEM	\N	83	15550	UROK	\N	\N
3498812	8316	1995-03-31	PRIJEM	\N	63	23045	UROK	\N	\N
3498813	8316	1995-04-30	PRIJEM	\N	124	33747	UROK	\N	\N
3498814	8316	1995-05-31	PRIJEM	\N	199	54378	UROK	\N	\N
3498815	8316	1995-06-30	PRIJEM	\N	348	62386	UROK	\N	\N
3498816	8316	1995-07-31	PRIJEM	\N	12	47271	UROK	\N	\N
3498817	8316	1995-08-31	PRIJEM	\N	78	30617	UROK	\N	\N
3498818	8316	1995-09-30	PRIJEM	\N	33	41308	UROK	\N	\N
3498819	8316	1995-10-31	PRIJEM	\N	174	44624	UROK	\N	\N
3498820	8316	1995-11-30	PRIJEM	\N	178	55242	UROK	\N	\N
3498821	8316	1995-12-31	PRIJEM	\N	97	34151	UROK	\N	\N
3498822	8316	1996-01-31	PRIJEM	\N	147	22550	UROK	\N	\N
3498823	8316	1996-02-29	PRIJEM	\N	136	47639	UROK	\N	\N
3498824	8316	1996-03-31	PRIJEM	\N	99	68971	UROK	\N	\N
3498825	8316	1996-04-30	PRIJEM	\N	119	39479	UROK	\N	\N
3498826	8316	1996-05-31	PRIJEM	\N	145	49682	UROK	\N	\N
3498827	8316	1996-06-30	PRIJEM	\N	79	34778	UROK	\N	\N
3498828	8316	1996-07-31	PRIJEM	\N	198	53257	UROK	\N	\N
3498829	8316	1996-08-31	PRIJEM	\N	311	69635	UROK	\N	\N
3498830	8316	1996-09-30	PRIJEM	\N	258	57082	UROK	\N	\N
3498831	8316	1996-10-31	PRIJEM	\N	129	43806	UROK	\N	\N
3498832	8316	1996-11-30	PRIJEM	\N	174	71100	UROK	\N	\N
3498833	8316	1996-12-31	PRIJEM	\N	264	90452	UROK	\N	\N
3498834	8316	1997-01-31	PRIJEM	\N	305	78500	UROK	\N	\N
3498835	8316	1997-02-28	PRIJEM	\N	297	63212	UROK	\N	\N
3498836	8316	1997-03-31	PRIJEM	\N	85	82201	UROK	\N	\N
3498837	8316	1997-04-30	PRIJEM	\N	90	52946	UROK	\N	\N
3498838	8316	1997-05-31	PRIJEM	\N	164	55394	UROK	\N	\N
3498839	8316	1997-06-30	PRIJEM	\N	257	72153	UROK	\N	\N
3498840	8316	1997-07-31	PRIJEM	\N	127	43566	UROK	\N	\N
3498841	8316	1997-08-31	PRIJEM	\N	216	67884	UROK	\N	\N
3498842	8316	1997-09-30	PRIJEM	\N	285	79238	UROK	\N	\N
3498843	8316	1997-10-31	PRIJEM	\N	257	58933	UROK	\N	\N
3498844	8316	1997-11-30	PRIJEM	\N	251	78596	UROK	\N	\N
3498845	8316	1997-12-31	PRIJEM	\N	275	48972	UROK	\N	\N
3498846	8316	1998-01-31	PRIJEM	\N	348	62865	UROK	\N	\N
3498847	8316	1998-02-28	PRIJEM	\N	86	49591	UROK	\N	\N
3498848	8316	1998-03-31	PRIJEM	\N	138	65948	UROK	\N	\N
3498849	8316	1998-04-30	PRIJEM	\N	244	87091	UROK	\N	\N
3498850	8316	1998-05-31	PRIJEM	\N	234	60138	UROK	\N	\N
3498851	8316	1998-06-30	PRIJEM	\N	162	44284	UROK	\N	\N
3498852	8316	1998-07-31	PRIJEM	\N	337	96354	UROK	\N	\N
3498853	8316	1998-08-31	PRIJEM	\N	286	118919	UROK	\N	\N
3498854	8316	1998-09-30	PRIJEM	\N	160	65804	UROK	\N	\N
3498855	8316	1998-10-31	PRIJEM	\N	232	84419	UROK	\N	\N
3498856	8316	1998-11-30	PRIJEM	\N	129	54975	UROK	\N	\N
3498857	8316	1998-12-31	PRIJEM	\N	221	121597	UROK	\N	\N
3498909	8320	1997-02-28	PRIJEM	\N	43	29010	UROK	\N	\N
3498910	8320	1997-03-31	PRIJEM	\N	54	36711	UROK	\N	\N
3498911	8320	1997-04-30	PRIJEM	\N	61	39996	UROK	\N	\N
3498912	8320	1997-05-31	PRIJEM	\N	72	44808	UROK	\N	\N
3498913	8320	1997-06-30	PRIJEM	\N	137	37339	UROK	\N	\N
3498914	8320	1997-07-31	PRIJEM	\N	85	22596	UROK	\N	\N
3498915	8320	1997-08-31	PRIJEM	\N	69	22655	UROK	\N	\N
3498916	8320	1997-09-30	PRIJEM	\N	42	11752	UROK	\N	\N
3498917	8320	1997-10-31	PRIJEM	\N	71	18279	UROK	\N	\N
3498918	8320	1997-11-30	PRIJEM	\N	79	18527	UROK	\N	\N
3498919	8320	1997-12-31	PRIJEM	\N	77	20873	UROK	\N	\N
3498920	8320	1998-01-31	PRIJEM	\N	96	15658	UROK	\N	\N
3498921	8320	1998-02-28	PRIJEM	\N	91	20420	UROK	\N	\N
3498922	8320	1998-03-31	PRIJEM	\N	66	23161	UROK	\N	\N
3498923	8320	1998-04-30	PRIJEM	\N	115	30462	UROK	\N	\N
3498924	8320	1998-05-31	PRIJEM	\N	131	34030	UROK	\N	\N
3498925	8320	1998-06-30	PRIJEM	\N	128	39927	UROK	\N	\N
3498926	8320	1998-07-31	PRIJEM	\N	184	30859	UROK	\N	\N
3498927	8320	1998-08-31	PRIJEM	\N	83	32016	UROK	\N	\N
3498928	8320	1998-09-30	PRIJEM	\N	97	21424	UROK	\N	\N
3498929	8320	1998-10-31	PRIJEM	\N	76	29187	UROK	\N	\N
3498930	8320	1998-11-30	PRIJEM	\N	87	29699	UROK	\N	\N
3498931	8320	1998-12-31	PRIJEM	\N	117	36461	UROK	\N	\N
3498932	8321	1993-04-30	PRIJEM	\N	25	11414	UROK	\N	\N
3498933	8321	1993-05-31	PRIJEM	\N	67	29634	UROK	\N	\N
3498934	8321	1993-06-30	PRIJEM	\N	100	45378	UROK	\N	\N
3498935	8321	1993-07-31	PRIJEM	\N	102	44801	UROK	\N	\N
3498936	8321	1993-08-31	PRIJEM	\N	111	46550	UROK	\N	\N
3498937	8321	1993-09-30	PRIJEM	\N	161	37818	UROK	\N	\N
3498938	8321	1993-10-31	PRIJEM	\N	103	35537	UROK	\N	\N
3498939	8321	1993-11-30	PRIJEM	\N	133	32012	UROK	\N	\N
3498940	8321	1993-12-31	PRIJEM	\N	133	36429	UROK	\N	\N
3498941	8321	1994-01-31	PRIJEM	\N	101	23246	UROK	\N	\N
3498942	8321	1994-02-28	PRIJEM	\N	96	27548	UROK	\N	\N
3498943	8321	1994-03-31	PRIJEM	\N	72	24789	UROK	\N	\N
3498944	8321	1994-04-30	PRIJEM	\N	105	30011	UROK	\N	\N
3498945	8321	1994-05-31	PRIJEM	\N	78	31542	UROK	\N	\N
3498946	8321	1994-06-30	PRIJEM	\N	131	29431	UROK	\N	\N
3498947	8321	1994-07-31	PRIJEM	\N	77	30746	UROK	\N	\N
3498948	8321	1994-08-31	PRIJEM	\N	118	30003	UROK	\N	\N
3498949	8321	1994-09-30	PRIJEM	\N	112	26498	UROK	\N	\N
3498950	8321	1994-10-31	PRIJEM	\N	100	25298	UROK	\N	\N
3498951	8321	1994-11-30	PRIJEM	\N	66	28287	UROK	\N	\N
3498952	8321	1994-12-31	PRIJEM	\N	115	30588	UROK	\N	\N
3498953	8321	1995-01-31	PRIJEM	\N	84	17319	UROK	\N	\N
3498954	8321	1995-02-28	PRIJEM	\N	77	23278	UROK	\N	\N
3498955	8321	1995-03-31	PRIJEM	\N	102	30282	UROK	\N	\N
3498956	8321	1995-04-30	PRIJEM	\N	117	32022	UROK	\N	\N
3498957	8321	1995-05-31	PRIJEM	\N	117	31279	UROK	\N	\N
3498958	8321	1995-06-30	PRIJEM	\N	135	41136	UROK	\N	\N
3498959	8321	1995-07-31	PRIJEM	\N	116	38355	UROK	\N	\N
3498960	8321	1995-08-31	PRIJEM	\N	137	35759	UROK	\N	\N
3498961	8321	1995-09-30	PRIJEM	\N	89	34013	UROK	\N	\N
3498962	8321	1995-10-31	PRIJEM	\N	115	30747	UROK	\N	\N
3498963	8321	1995-11-30	PRIJEM	\N	77	33546	UROK	\N	\N
3498964	8321	1995-12-31	PRIJEM	\N	133	35297	UROK	\N	\N
3498965	8321	1996-01-31	PRIJEM	\N	82	29322	UROK	\N	\N
3498966	8321	1996-02-29	PRIJEM	\N	65	33318	UROK	\N	\N
3498967	8321	1996-03-31	PRIJEM	\N	80	33844	UROK	\N	\N
3498968	8321	1996-04-30	PRIJEM	\N	104	34446	UROK	\N	\N
3498969	8321	1996-05-31	PRIJEM	\N	84	35742	UROK	\N	\N
3498970	8321	1996-06-30	PRIJEM	\N	115	34374	UROK	\N	\N
3498971	8321	1996-07-31	PRIJEM	\N	125	36251	UROK	\N	\N
3498972	8321	1996-08-31	PRIJEM	\N	85	36912	UROK	\N	\N
3498973	8321	1996-09-30	PRIJEM	\N	133	39927	UROK	\N	\N
3498974	8321	1996-10-31	PRIJEM	\N	83	36666	UROK	\N	\N
3498975	8321	1996-11-30	PRIJEM	\N	131	39756	UROK	\N	\N
3498976	8321	1996-12-31	PRIJEM	\N	99	40598	UROK	\N	\N
3498977	8321	1997-01-31	PRIJEM	\N	112	26603	UROK	\N	\N
3498978	8321	1997-02-28	PRIJEM	\N	98	37236	UROK	\N	\N
3498979	8321	1997-03-31	PRIJEM	\N	87	42089	UROK	\N	\N
3498980	8321	1997-04-30	PRIJEM	\N	98	45163	UROK	\N	\N
3498981	8321	1997-05-31	PRIJEM	\N	172	49157	UROK	\N	\N
3498982	8321	1997-06-30	PRIJEM	\N	190	52621	UROK	\N	\N
3498983	8321	1997-07-31	PRIJEM	\N	190	53025	UROK	\N	\N
3498984	8321	1997-08-31	PRIJEM	\N	123	51965	UROK	\N	\N
3498985	8321	1997-09-30	PRIJEM	\N	193	57072	UROK	\N	\N
3498986	8321	1997-10-31	PRIJEM	\N	125	55420	UROK	\N	\N
3498987	8321	1997-11-30	PRIJEM	\N	133	58089	UROK	\N	\N
3498988	8321	1997-12-31	PRIJEM	\N	205	55557	UROK	\N	\N
3498989	8321	1998-01-31	PRIJEM	\N	121	34192	UROK	\N	\N
3498990	8321	1998-02-28	PRIJEM	\N	93	47501	UROK	\N	\N
3498991	8321	1998-03-31	PRIJEM	\N	173	54876	UROK	\N	\N
3498992	8321	1998-04-30	PRIJEM	\N	128	57426	UROK	\N	\N
3498993	8321	1998-05-31	PRIJEM	\N	207	59362	UROK	\N	\N
3498994	8321	1998-06-30	PRIJEM	\N	167	33992	UROK	\N	\N
3498995	8321	1998-07-31	PRIJEM	\N	88	42197	UROK	\N	\N
3498996	8321	1998-08-31	PRIJEM	\N	134	50387	UROK	\N	\N
3498997	8321	1998-09-30	PRIJEM	\N	180	53769	UROK	\N	\N
3498998	8321	1998-10-31	PRIJEM	\N	202	60595	UROK	\N	\N
3498999	8321	1998-11-30	PRIJEM	\N	216	65360	UROK	\N	\N
3499000	8321	1998-12-31	PRIJEM	\N	145	64922	UROK	\N	\N
3499070	8327	1995-08-31	PRIJEM	\N	32	47867	UROK	\N	\N
3499071	8327	1995-10-31	PRIJEM	\N	213	94396	UROK	\N	\N
3499072	8327	1995-12-31	PRIJEM	\N	177	82366	UROK	\N	\N
3499073	8327	1996-01-31	PRIJEM	\N	179	81971	UROK	\N	\N
3499074	8327	1996-02-29	PRIJEM	\N	250	50975	UROK	\N	\N
3499075	8327	1996-03-31	PRIJEM	\N	216	57455	UROK	\N	\N
3499076	8327	1996-04-30	PRIJEM	\N	141	29917	UROK	\N	\N
3499077	8327	1996-05-31	PRIJEM	\N	257	80254	UROK	\N	\N
3499078	8327	1996-06-30	PRIJEM	\N	174	81031	UROK	\N	\N
3499079	8327	1996-07-31	PRIJEM	\N	222	51261	UROK	\N	\N
3499080	8327	1996-08-31	PRIJEM	\N	100	28957	UROK	\N	\N
3499081	8327	1996-09-30	PRIJEM	\N	59	16682	UROK	\N	\N
3499082	8327	1996-10-31	PRIJEM	\N	92	110170	UROK	\N	\N
3499083	8327	1996-11-30	PRIJEM	\N	215	110522	UROK	\N	\N
3499084	8327	1996-12-31	PRIJEM	\N	119	36205	UROK	\N	\N
3499085	8327	1997-01-31	PRIJEM	\N	57	26006	UROK	\N	\N
3499086	8327	1997-02-28	PRIJEM	\N	35	22572	UROK	\N	\N
3499087	8327	1997-03-31	PRIJEM	\N	47	27132	UROK	\N	\N
3499088	8327	1997-04-30	PRIJEM	\N	66	38132	UROK	\N	\N
3499089	8327	1997-05-31	PRIJEM	\N	115	31813	UROK	\N	\N
3499090	8327	1997-06-30	PRIJEM	\N	88	33373	UROK	\N	\N
3499091	8327	1997-07-31	PRIJEM	\N	66	33803	UROK	\N	\N
3499092	8327	1997-08-31	PRIJEM	\N	102	35773	UROK	\N	\N
3499093	8327	1997-09-30	PRIJEM	\N	162	55425	UROK	\N	\N
3499094	8327	1997-10-31	PRIJEM	\N	147	40972	UROK	\N	\N
3499095	8327	1997-11-30	PRIJEM	\N	125	38892	UROK	\N	\N
3499096	8327	1997-12-31	PRIJEM	\N	79	31236	UROK	\N	\N
3499097	8327	1998-01-31	PRIJEM	\N	88	30598	UROK	\N	\N
3499098	8327	1998-02-28	PRIJEM	\N	61	35718	UROK	\N	\N
3499099	8327	1998-03-31	PRIJEM	\N	174	61656	UROK	\N	\N
3499100	8327	1998-04-30	PRIJEM	\N	233	55276	UROK	\N	\N
3499101	8327	1998-05-31	PRIJEM	\N	145	93879	UROK	\N	\N
3499102	8327	1998-06-30	PRIJEM	\N	190	77577	UROK	\N	\N
3499103	8327	1998-07-31	PRIJEM	\N	225	43184	UROK	\N	\N
3499104	8327	1998-08-31	PRIJEM	\N	83	32564	UROK	\N	\N
3499105	8327	1998-09-30	PRIJEM	\N	206	51062	UROK	\N	\N
3499106	8327	1998-10-31	PRIJEM	\N	202	60941	UROK	\N	\N
3499107	8327	1998-11-30	PRIJEM	\N	127	46092	UROK	\N	\N
3499108	8327	1998-12-31	PRIJEM	\N	79	29762	UROK	\N	\N
3499109	8330	1993-04-30	PRIJEM	\N	9	22140	UROK	\N	\N
3499110	8330	1993-05-31	PRIJEM	\N	17	32375	UROK	\N	\N
3499111	8330	1993-06-30	PRIJEM	\N	24	43217	UROK	\N	\N
3499112	8330	1993-07-31	PRIJEM	\N	29	42843	UROK	\N	\N
3499113	8330	1993-08-31	PRIJEM	\N	191	41682	UROK	\N	\N
3499114	8330	1993-09-30	PRIJEM	\N	208	43701	UROK	\N	\N
3499115	8330	1993-10-31	PRIJEM	\N	162	44872	UROK	\N	\N
3499116	8330	1993-11-30	PRIJEM	\N	210	41407	UROK	\N	\N
3499117	8330	1993-12-31	PRIJEM	\N	226	46393	UROK	\N	\N
3499118	8330	1994-01-31	PRIJEM	\N	196	32945	UROK	\N	\N
3499119	8330	1994-02-28	PRIJEM	\N	154	41178	UROK	\N	\N
3499120	8330	1994-03-31	PRIJEM	\N	116	36643	UROK	\N	\N
3499121	8330	1994-04-30	PRIJEM	\N	114	39707	UROK	\N	\N
3499122	8330	1994-05-31	PRIJEM	\N	128	42701	UROK	\N	\N
3499123	8330	1994-06-30	PRIJEM	\N	180	43277	UROK	\N	\N
3499124	8330	1994-07-31	PRIJEM	\N	186	42147	UROK	\N	\N
3499125	8330	1994-08-31	PRIJEM	\N	124	41038	UROK	\N	\N
3499126	8330	1994-09-30	PRIJEM	\N	178	41153	UROK	\N	\N
3499127	8330	1994-10-31	PRIJEM	\N	183	43873	UROK	\N	\N
3499128	8330	1994-11-30	PRIJEM	\N	127	46164	UROK	\N	\N
3499129	8330	1994-12-31	PRIJEM	\N	202	46712	UROK	\N	\N
3499130	8330	1995-01-31	PRIJEM	\N	160	33455	UROK	\N	\N
3499131	8330	1995-02-28	PRIJEM	\N	98	39429	UROK	\N	\N
3499132	8330	1995-03-31	PRIJEM	\N	161	38114	UROK	\N	\N
3499133	8330	1995-04-30	PRIJEM	\N	113	43368	UROK	\N	\N
3499134	8330	1995-05-31	PRIJEM	\N	177	44066	UROK	\N	\N
3499135	8330	1995-06-30	PRIJEM	\N	196	49533	UROK	\N	\N
3499136	8330	1995-07-31	PRIJEM	\N	187	47189	UROK	\N	\N
3499137	8330	1995-08-31	PRIJEM	\N	107	39012	UROK	\N	\N
3499138	8330	1995-09-30	PRIJEM	\N	140	37499	UROK	\N	\N
3499139	8330	1995-10-31	PRIJEM	\N	91	38456	UROK	\N	\N
3499140	8330	1995-11-30	PRIJEM	\N	91	38566	UROK	\N	\N
3499141	8330	1995-12-31	PRIJEM	\N	166	42847	UROK	\N	\N
3499142	8330	1996-01-31	PRIJEM	\N	137	30606	UROK	\N	\N
3499143	8330	1996-02-29	PRIJEM	\N	67	31188	UROK	\N	\N
3499144	8330	1996-03-31	PRIJEM	\N	83	32767	UROK	\N	\N
3499145	8330	1996-04-30	PRIJEM	\N	118	30098	UROK	\N	\N
3499146	8330	1996-05-31	PRIJEM	\N	114	30507	UROK	\N	\N
3499147	8330	1996-06-30	PRIJEM	\N	107	33866	UROK	\N	\N
3499148	8330	1996-07-31	PRIJEM	\N	85	34494	UROK	\N	\N
3499149	8330	1996-08-31	PRIJEM	\N	123	35512	UROK	\N	\N
3499150	8330	1996-09-30	PRIJEM	\N	116	34166	UROK	\N	\N
3499151	8330	1996-10-31	PRIJEM	\N	93	27948	UROK	\N	\N
3499152	8330	1996-11-30	PRIJEM	\N	81	28000	UROK	\N	\N
3499153	8330	1996-12-31	PRIJEM	\N	105	28960	UROK	\N	\N
3499154	8330	1997-01-31	PRIJEM	\N	102	25569	UROK	\N	\N
3499155	8330	1997-02-28	PRIJEM	\N	116	42902	UROK	\N	\N
3499156	8330	1997-03-31	PRIJEM	\N	101	34404	UROK	\N	\N
3499157	8330	1997-04-30	PRIJEM	\N	122	30801	UROK	\N	\N
3499158	8330	1997-05-31	PRIJEM	\N	110	28712	UROK	\N	\N
3499159	8330	1997-06-30	PRIJEM	\N	160	56787	UROK	\N	\N
3499160	8330	1997-07-31	PRIJEM	\N	151	51923	UROK	\N	\N
3499161	8330	1997-08-31	PRIJEM	\N	136	47355	UROK	\N	\N
3499162	8330	1997-09-30	PRIJEM	\N	149	64380	UROK	\N	\N
3499163	8330	1997-10-31	PRIJEM	\N	165	42120	UROK	\N	\N
3499164	8330	1997-11-30	PRIJEM	\N	204	59888	UROK	\N	\N
3499165	8330	1997-12-31	PRIJEM	\N	173	52235	UROK	\N	\N
3499166	8330	1998-01-31	PRIJEM	\N	185	50729	UROK	\N	\N
3499167	8330	1998-02-28	PRIJEM	\N	170	63707	UROK	\N	\N
3499168	8330	1998-03-31	PRIJEM	\N	157	52545	UROK	\N	\N
3499169	8330	1998-04-30	PRIJEM	\N	152	45249	UROK	\N	\N
3499170	8330	1998-05-31	PRIJEM	\N	138	62777	UROK	\N	\N
3499171	8330	1998-06-30	PRIJEM	\N	150	43971	UROK	\N	\N
3499172	8330	1998-07-31	PRIJEM	\N	191	31650	UROK	\N	\N
3499173	8330	1998-08-31	PRIJEM	\N	124	44087	UROK	\N	\N
3499174	8330	1998-09-30	PRIJEM	\N	178	55960	UROK	\N	\N
3499175	8330	1998-10-31	PRIJEM	\N	189	34729	UROK	\N	\N
3499176	8330	1998-11-30	PRIJEM	\N	146	52361	UROK	\N	\N
3499177	8330	1998-12-31	PRIJEM	\N	250	73565	UROK	\N	\N
3499257	8341	1997-02-28	PRIJEM	\N	45	47907	UROK	\N	\N
3499258	8341	1997-03-31	PRIJEM	\N	21	38813	UROK	\N	\N
3499259	8341	1997-04-30	PRIJEM	\N	46	49291	UROK	\N	\N
3499260	8341	1997-05-31	PRIJEM	\N	50	88519	UROK	\N	\N
3499261	8341	1997-06-30	PRIJEM	\N	7	8000	UROK	\N	\N
3499262	8341	1997-07-31	PRIJEM	\N	49	29779	UROK	\N	\N
3499263	8341	1997-08-31	PRIJEM	\N	74	10883	UROK	\N	\N
3499264	8341	1997-09-30	PRIJEM	\N	111	7842	UROK	\N	\N
3499265	8341	1997-10-31	PRIJEM	\N	48	8505	UROK	\N	\N
3499266	8341	1997-11-30	VYDAJ	VYBER	6	-1620	SANKC. UROK	\N	\N
3499267	8341	1997-12-31	PRIJEM	\N	70	22067	UROK	\N	\N
3499268	8341	1998-01-31	PRIJEM	\N	4	-3175	UROK	\N	\N
3499269	8341	1998-01-31	VYDAJ	VYBER	18	30529	SANKC. UROK	\N	\N
3499270	8341	1998-02-28	PRIJEM	\N	1	7904	UROK	\N	\N
3499271	8341	1998-03-31	PRIJEM	\N	39	13952	UROK	\N	\N
3499272	8341	1998-04-30	PRIJEM	\N	73	6765	UROK	\N	\N
3499273	8341	1998-06-30	VYDAJ	VYBER	31	-8459	SANKC. UROK	\N	\N
3499274	8341	1998-08-31	PRIJEM	\N	9	10729	UROK	\N	\N
3499275	8341	1998-09-30	PRIJEM	\N	210	37230	UROK	\N	\N
3499276	8341	1998-10-31	PRIJEM	\N	179	87299	UROK	\N	\N
3499277	8341	1998-11-30	PRIJEM	\N	237	50639	UROK	\N	\N
3499278	8341	1998-12-31	PRIJEM	\N	11	27060	UROK	\N	\N
3499509	8377	1994-06-30	PRIJEM	\N	68	40743	UROK	\N	\N
3499510	8377	1994-10-31	PRIJEM	\N	78	38649	UROK	\N	\N
3499511	8377	1995-01-31	PRIJEM	\N	101	62982	UROK	\N	\N
3499512	8377	1995-02-28	PRIJEM	\N	223	55641	UROK	\N	\N
3499513	8377	1995-03-31	PRIJEM	\N	192	88327	UROK	\N	\N
3499514	8377	1995-04-30	PRIJEM	\N	198	78864	UROK	\N	\N
3499515	8377	1995-05-31	PRIJEM	\N	287	80621	UROK	\N	\N
3499516	8377	1995-06-30	PRIJEM	\N	308	70416	UROK	\N	\N
3499517	8377	1995-07-31	PRIJEM	\N	162	60232	UROK	\N	\N
3499518	8377	1995-08-31	PRIJEM	\N	186	68756	UROK	\N	\N
3499519	8377	1995-09-30	PRIJEM	\N	181	34214	UROK	\N	\N
3499520	8377	1995-10-31	PRIJEM	\N	143	53936	UROK	\N	\N
3499521	8377	1995-11-30	PRIJEM	\N	99	92536	UROK	\N	\N
3499522	8377	1995-12-31	PRIJEM	\N	260	99680	UROK	\N	\N
3499523	8377	1996-01-31	PRIJEM	\N	152	15540	UROK	\N	\N
3499524	8377	1996-02-29	PRIJEM	\N	55	14349	UROK	\N	\N
3499525	8377	1996-03-31	PRIJEM	\N	55	16348	UROK	\N	\N
3499526	8377	1996-04-30	PRIJEM	\N	29	11423	UROK	\N	\N
3499527	8377	1996-05-31	PRIJEM	\N	45	23469	UROK	\N	\N
3499528	8377	1996-06-30	PRIJEM	\N	43	16222	UROK	\N	\N
3499529	8377	1996-07-31	PRIJEM	\N	49	13163	UROK	\N	\N
3499530	8377	1996-08-31	PRIJEM	\N	25	10369	UROK	\N	\N
3499531	8377	1996-09-30	PRIJEM	\N	27	10573	UROK	\N	\N
3499532	8377	1996-10-31	PRIJEM	\N	26	10843	UROK	\N	\N
3499533	8377	1996-11-30	PRIJEM	\N	32	12694	UROK	\N	\N
3499534	8377	1996-12-31	PRIJEM	\N	56	17351	UROK	\N	\N
3499535	8377	1997-01-31	PRIJEM	\N	54	14650	UROK	\N	\N
3499536	8377	1997-02-28	PRIJEM	\N	34	13781	UROK	\N	\N
3499537	8377	1997-03-31	PRIJEM	\N	48	14570	UROK	\N	\N
3499538	8377	1997-04-30	PRIJEM	\N	50	15015	UROK	\N	\N
3499539	8377	1997-05-31	PRIJEM	\N	42	12145	UROK	\N	\N
3499540	8377	1997-06-30	PRIJEM	\N	40	11829	UROK	\N	\N
3499541	8377	1997-07-31	PRIJEM	\N	36	11583	UROK	\N	\N
3499542	8377	1997-08-31	PRIJEM	\N	40	26408	UROK	\N	\N
3499543	8377	1997-09-30	PRIJEM	\N	75	32864	UROK	\N	\N
3499544	8377	1997-10-31	PRIJEM	\N	87	32482	UROK	\N	\N
3499545	8377	1997-11-30	PRIJEM	\N	86	34713	UROK	\N	\N
3499546	8377	1997-12-31	PRIJEM	\N	92	36534	UROK	\N	\N
3499547	8377	1998-01-31	PRIJEM	\N	49	32228	UROK	\N	\N
3499548	8377	1998-02-28	PRIJEM	\N	85	39231	UROK	\N	\N
3499549	8377	1998-03-31	PRIJEM	\N	94	36888	UROK	\N	\N
3499550	8377	1998-04-30	PRIJEM	\N	184	59618	UROK	\N	\N
3499551	8377	1998-05-31	PRIJEM	\N	157	41535	UROK	\N	\N
3499552	8377	1998-06-30	PRIJEM	\N	119	41579	UROK	\N	\N
3499553	8377	1998-07-31	PRIJEM	\N	128	55478	UROK	\N	\N
3499554	8377	1998-08-31	PRIJEM	\N	117	45440	UROK	\N	\N
3499555	8377	1998-09-30	PRIJEM	\N	154	61527	UROK	\N	\N
3499556	8377	1998-10-31	PRIJEM	\N	223	61339	UROK	\N	\N
3499557	8377	1998-11-30	PRIJEM	\N	187	60611	UROK	\N	\N
3499558	8377	1998-12-31	PRIJEM	\N	119	55337	UROK	\N	\N
3499580	8381	1996-10-31	PRIJEM	\N	35	29278	UROK	\N	\N
3499581	8381	1996-11-30	PRIJEM	\N	104	66965	UROK	\N	\N
3499582	8381	1996-12-31	PRIJEM	\N	379	87642	UROK	\N	\N
3499583	8381	1997-01-31	PRIJEM	\N	241	20685	UROK	\N	\N
3499584	8381	1997-02-28	PRIJEM	\N	163	67722	UROK	\N	\N
3499585	8381	1997-03-31	PRIJEM	\N	232	87022	UROK	\N	\N
3499586	8381	1997-04-30	PRIJEM	\N	126	75900	UROK	\N	\N
3499587	8381	1997-05-31	PRIJEM	\N	231	53399	UROK	\N	\N
3499588	8381	1997-06-30	PRIJEM	\N	250	97054	UROK	\N	\N
3499589	8381	1997-07-31	PRIJEM	\N	368	100184	UROK	\N	\N
3499590	8381	1997-08-31	PRIJEM	\N	224	42434	UROK	\N	\N
3499591	8381	1997-09-30	PRIJEM	\N	110	40190	UROK	\N	\N
3499592	8381	1997-10-31	PRIJEM	\N	119	35577	UROK	\N	\N
3499593	8381	1997-11-30	PRIJEM	\N	258	62669	UROK	\N	\N
3499594	8381	1997-12-31	PRIJEM	\N	100	67178	UROK	\N	\N
3499595	8381	1998-01-31	PRIJEM	\N	110	7838	UROK	\N	\N
3499596	8381	1998-02-28	PRIJEM	\N	1	2139	UROK	\N	\N
3499597	8381	1998-02-28	VYDAJ	VYBER	5	2128	SANKC. UROK	\N	\N
3499598	8381	1998-03-31	VYDAJ	VYBER	8	1375	SANKC. UROK	\N	\N
3499599	8381	1998-04-30	PRIJEM	\N	21	8206	UROK	\N	\N
3499600	8381	1998-04-30	VYDAJ	VYBER	5	8203	SANKC. UROK	\N	\N
3499601	8381	1998-05-31	PRIJEM	\N	9	-1019	UROK	\N	\N
3499602	8381	1998-05-31	VYDAJ	VYBER	24	-1059	SANKC. UROK	\N	\N
3499603	8381	1998-06-30	PRIJEM	\N	30	47827	UROK	\N	\N
3499604	8381	1998-07-31	PRIJEM	\N	169	84301	UROK	\N	\N
3499605	8381	1998-08-31	PRIJEM	\N	206	144253	UROK	\N	\N
3499606	8381	1998-09-30	PRIJEM	\N	306	58783	UROK	\N	\N
3499607	8381	1998-10-31	PRIJEM	\N	191	39527	UROK	\N	\N
3499608	8381	1998-11-30	PRIJEM	\N	111	30147	UROK	\N	\N
3499609	8381	1998-12-31	PRIJEM	\N	54	11055	UROK	\N	\N
3499810	8405	1994-06-30	PRIJEM	\N	83	28761	UROK	\N	\N
3499811	8405	1994-07-31	PRIJEM	\N	112	38100	UROK	\N	\N
3499812	8405	1994-08-31	PRIJEM	\N	127	41469	UROK	\N	\N
3499813	8405	1994-09-30	PRIJEM	\N	141	44617	UROK	\N	\N
3499814	8405	1994-10-31	PRIJEM	\N	134	33991	UROK	\N	\N
3499815	8405	1994-11-30	PRIJEM	\N	120	28817	UROK	\N	\N
3499816	8405	1994-12-31	PRIJEM	\N	123	32607	UROK	\N	\N
3499817	8405	1995-01-31	PRIJEM	\N	100	21393	UROK	\N	\N
3499818	8405	1995-02-28	PRIJEM	\N	111	25336	UROK	\N	\N
3499819	8405	1995-03-31	PRIJEM	\N	88	23913	UROK	\N	\N
3499820	8405	1995-04-30	PRIJEM	\N	103	24387	UROK	\N	\N
3499821	8405	1995-05-31	PRIJEM	\N	101	23151	UROK	\N	\N
3499822	8405	1995-06-30	PRIJEM	\N	97	15833	UROK	\N	\N
3499823	8405	1995-07-31	PRIJEM	\N	100	22493	UROK	\N	\N
3499824	8405	1995-08-31	PRIJEM	\N	121	34080	UROK	\N	\N
3499825	8405	1995-09-30	PRIJEM	\N	151	40826	UROK	\N	\N
3499826	8405	1995-10-31	PRIJEM	\N	160	38478	UROK	\N	\N
3499827	8405	1995-11-30	PRIJEM	\N	158	39726	UROK	\N	\N
3499828	8405	1995-12-31	PRIJEM	\N	164	47170	UROK	\N	\N
3499829	8405	1996-01-31	PRIJEM	\N	91	18107	UROK	\N	\N
3499830	8405	1996-02-29	PRIJEM	\N	88	16962	UROK	\N	\N
3499831	8405	1996-03-31	PRIJEM	\N	109	28405	UROK	\N	\N
3499832	8405	1996-04-30	PRIJEM	\N	148	29628	UROK	\N	\N
3499833	8405	1996-05-31	PRIJEM	\N	147	30152	UROK	\N	\N
3499834	8405	1996-06-30	PRIJEM	\N	68	19849	UROK	\N	\N
3499835	8405	1996-07-31	PRIJEM	\N	112	26865	UROK	\N	\N
3499836	8405	1996-08-31	PRIJEM	\N	129	28312	UROK	\N	\N
3499837	8405	1996-09-30	PRIJEM	\N	122	28932	UROK	\N	\N
3499838	8405	1996-10-31	PRIJEM	\N	126	26884	UROK	\N	\N
3499839	8405	1996-11-30	PRIJEM	\N	125	25775	UROK	\N	\N
3499840	8405	1996-12-31	PRIJEM	\N	143	32551	UROK	\N	\N
3499841	8405	1997-01-31	PRIJEM	\N	104	18281	UROK	\N	\N
3499842	8405	1997-02-28	PRIJEM	\N	88	21581	UROK	\N	\N
3499843	8405	1997-03-31	PRIJEM	\N	100	27406	UROK	\N	\N
3499844	8405	1997-04-30	PRIJEM	\N	116	29060	UROK	\N	\N
3499845	8405	1997-05-31	PRIJEM	\N	92	25090	UROK	\N	\N
3499846	8405	1997-06-30	PRIJEM	\N	130	27237	UROK	\N	\N
3499847	8405	1997-07-31	PRIJEM	\N	123	27730	UROK	\N	\N
3499848	8405	1997-08-31	PRIJEM	\N	126	30811	UROK	\N	\N
3499849	8405	1997-09-30	PRIJEM	\N	119	30293	UROK	\N	\N
3499850	8405	1997-10-31	PRIJEM	\N	119	32339	UROK	\N	\N
3499851	8405	1997-11-30	PRIJEM	\N	122	31824	UROK	\N	\N
3499852	8405	1997-12-31	PRIJEM	\N	149	36570	UROK	\N	\N
3499853	8405	1998-01-31	PRIJEM	\N	85	20964	UROK	\N	\N
3499854	8405	1998-02-28	PRIJEM	\N	96	25764	UROK	\N	\N
3499855	8405	1998-03-31	PRIJEM	\N	109	28299	UROK	\N	\N
3499856	8405	1998-04-30	PRIJEM	\N	118	24782	UROK	\N	\N
3499857	8405	1998-05-31	PRIJEM	\N	109	29117	UROK	\N	\N
3499858	8405	1998-06-30	PRIJEM	\N	133	34002	UROK	\N	\N
3499859	8405	1998-07-31	PRIJEM	\N	118	28419	UROK	\N	\N
3499860	8405	1998-08-31	PRIJEM	\N	107	24972	UROK	\N	\N
3499861	8405	1998-09-30	PRIJEM	\N	110	26805	UROK	\N	\N
3499862	8405	1998-10-31	PRIJEM	\N	114	32062	UROK	\N	\N
3499863	8405	1998-11-30	PRIJEM	\N	117	35840	UROK	\N	\N
3499864	8405	1998-12-31	PRIJEM	\N	155	42104	UROK	\N	\N
3499938	8411	1994-12-31	PRIJEM	\N	97	34394	UROK	\N	\N
3499939	8411	1995-01-31	PRIJEM	\N	157	54213	UROK	\N	\N
3499940	8411	1995-02-28	PRIJEM	\N	161	62604	UROK	\N	\N
3499941	8411	1995-03-31	PRIJEM	\N	192	68709	UROK	\N	\N
3499942	8411	1995-04-30	PRIJEM	\N	188	66961	UROK	\N	\N
3499943	8411	1995-05-31	PRIJEM	\N	210	56883	UROK	\N	\N
3499944	8411	1995-06-30	PRIJEM	\N	232	63491	UROK	\N	\N
3499945	8411	1995-07-31	PRIJEM	\N	158	39010	UROK	\N	\N
3499946	8411	1995-08-31	PRIJEM	\N	144	24915	UROK	\N	\N
3499947	8411	1995-09-30	PRIJEM	\N	114	29660	UROK	\N	\N
3499948	8411	1995-10-31	PRIJEM	\N	115	26838	UROK	\N	\N
3499949	8411	1995-11-30	PRIJEM	\N	112	31880	UROK	\N	\N
3499950	8411	1995-12-31	PRIJEM	\N	171	38542	UROK	\N	\N
3499951	8411	1996-01-31	PRIJEM	\N	134	26904	UROK	\N	\N
3499952	8411	1996-02-29	PRIJEM	\N	127	31361	UROK	\N	\N
3499953	8411	1996-03-31	PRIJEM	\N	104	29295	UROK	\N	\N
3499954	8411	1996-04-30	PRIJEM	\N	108	26333	UROK	\N	\N
3499955	8411	1996-05-31	PRIJEM	\N	101	30517	UROK	\N	\N
3499956	8411	1996-06-30	PRIJEM	\N	157	35114	UROK	\N	\N
3499957	8411	1996-07-31	PRIJEM	\N	140	29550	UROK	\N	\N
3499958	8411	1996-08-31	PRIJEM	\N	104	29629	UROK	\N	\N
3499959	8411	1996-09-30	PRIJEM	\N	115	25115	UROK	\N	\N
3499960	8411	1996-10-31	PRIJEM	\N	100	24568	UROK	\N	\N
3499961	8411	1996-11-30	PRIJEM	\N	81	22203	UROK	\N	\N
3499962	8411	1996-12-31	PRIJEM	\N	95	20179	UROK	\N	\N
3499963	8411	1997-01-31	PRIJEM	\N	77	24004	UROK	\N	\N
3499964	8411	1997-02-28	PRIJEM	\N	82	19115	UROK	\N	\N
3499965	8411	1997-03-31	PRIJEM	\N	62	18115	UROK	\N	\N
3499966	8411	1997-04-30	PRIJEM	\N	75	27318	UROK	\N	\N
3499967	8411	1997-05-31	PRIJEM	\N	97	27043	UROK	\N	\N
3499968	8411	1997-06-30	PRIJEM	\N	115	25756	UROK	\N	\N
3499969	8411	1997-07-31	PRIJEM	\N	95	23903	UROK	\N	\N
3499970	8411	1997-08-31	PRIJEM	\N	87	24236	UROK	\N	\N
3499971	8411	1997-09-30	PRIJEM	\N	80	22239	UROK	\N	\N
3499972	8411	1997-10-31	PRIJEM	\N	69	24961	UROK	\N	\N
3499973	8411	1997-11-30	PRIJEM	\N	78	26278	UROK	\N	\N
3499974	8411	1997-12-31	PRIJEM	\N	109	30172	UROK	\N	\N
3499975	8411	1998-01-31	PRIJEM	\N	95	26229	UROK	\N	\N
3499976	8411	1998-02-28	PRIJEM	\N	91	24673	UROK	\N	\N
3499977	8411	1998-03-31	PRIJEM	\N	88	31200	UROK	\N	\N
3499978	8411	1998-04-30	PRIJEM	\N	111	30465	UROK	\N	\N
3499979	8411	1998-05-31	PRIJEM	\N	104	31029	UROK	\N	\N
3499980	8411	1998-06-30	PRIJEM	\N	89	31711	UROK	\N	\N
3499981	8411	1998-07-31	PRIJEM	\N	96	33086	UROK	\N	\N
3499982	8411	1998-08-31	PRIJEM	\N	114	33953	UROK	\N	\N
3499983	8411	1998-09-30	PRIJEM	\N	115	35536	UROK	\N	\N
3499984	8411	1998-10-31	PRIJEM	\N	87	31742	UROK	\N	\N
3499985	8411	1998-11-30	PRIJEM	\N	82	29473	UROK	\N	\N
3499986	8411	1998-12-31	PRIJEM	\N	101	32673	UROK	\N	\N
3500457	8475	1993-10-31	PRIJEM	\N	49	15741	UROK	\N	\N
3500458	8475	1993-11-30	PRIJEM	\N	72	22743	UROK	\N	\N
3500459	8475	1993-12-31	PRIJEM	\N	86	26867	UROK	\N	\N
3500460	8475	1994-01-31	PRIJEM	\N	112	31113	UROK	\N	\N
3500461	8475	1994-02-28	PRIJEM	\N	99	28926	UROK	\N	\N
3500462	8475	1994-03-31	PRIJEM	\N	86	22892	UROK	\N	\N
3500463	8475	1994-04-30	PRIJEM	\N	94	22457	UROK	\N	\N
3500464	8475	1994-05-31	PRIJEM	\N	84	20669	UROK	\N	\N
3500465	8475	1994-06-30	PRIJEM	\N	110	27006	UROK	\N	\N
3500466	8475	1994-07-31	PRIJEM	\N	121	29998	UROK	\N	\N
3500467	8475	1994-08-31	PRIJEM	\N	105	29499	UROK	\N	\N
3500468	8475	1994-09-30	PRIJEM	\N	108	25013	UROK	\N	\N
3500469	8475	1994-10-31	PRIJEM	\N	116	29722	UROK	\N	\N
3500470	8475	1994-11-30	PRIJEM	\N	103	30823	UROK	\N	\N
3500471	8475	1994-12-31	PRIJEM	\N	112	30868	UROK	\N	\N
3500472	8475	1995-01-31	PRIJEM	\N	90	14909	UROK	\N	\N
3500473	8475	1995-02-28	PRIJEM	\N	87	22751	UROK	\N	\N
3500474	8475	1995-03-31	PRIJEM	\N	112	28234	UROK	\N	\N
3500475	8475	1995-04-30	PRIJEM	\N	103	25881	UROK	\N	\N
3500476	8475	1995-05-31	PRIJEM	\N	107	31065	UROK	\N	\N
3500477	8475	1995-06-30	PRIJEM	\N	130	34836	UROK	\N	\N
3500478	8475	1995-07-31	PRIJEM	\N	137	35032	UROK	\N	\N
3500479	8475	1995-08-31	PRIJEM	\N	140	34083	UROK	\N	\N
3500480	8475	1995-09-30	PRIJEM	\N	127	34849	UROK	\N	\N
3500481	8475	1995-10-31	PRIJEM	\N	131	34311	UROK	\N	\N
3500482	8475	1995-11-30	PRIJEM	\N	89	36605	UROK	\N	\N
3500483	8475	1995-12-31	PRIJEM	\N	147	37478	UROK	\N	\N
3500484	8475	1996-01-31	PRIJEM	\N	81	25159	UROK	\N	\N
3500485	8475	1996-02-29	PRIJEM	\N	64	28370	UROK	\N	\N
3500486	8475	1996-03-31	PRIJEM	\N	98	29077	UROK	\N	\N
3500487	8475	1996-04-30	PRIJEM	\N	93	29880	UROK	\N	\N
3500488	8475	1996-05-31	PRIJEM	\N	72	30715	UROK	\N	\N
3500489	8475	1996-06-30	PRIJEM	\N	84	25889	UROK	\N	\N
3500490	8475	1996-07-31	PRIJEM	\N	88	27233	UROK	\N	\N
3500491	8475	1996-08-31	PRIJEM	\N	100	27342	UROK	\N	\N
3500492	8475	1996-09-30	PRIJEM	\N	98	24891	UROK	\N	\N
3500493	8475	1996-10-31	PRIJEM	\N	60	25292	UROK	\N	\N
3500494	8475	1996-11-30	PRIJEM	\N	99	29240	UROK	\N	\N
3500495	8475	1996-12-31	PRIJEM	\N	120	30833	UROK	\N	\N
3500496	8475	1997-01-31	PRIJEM	\N	104	26270	UROK	\N	\N
3500497	8475	1997-02-28	PRIJEM	\N	74	26234	UROK	\N	\N
3500498	8475	1997-03-31	PRIJEM	\N	70	29946	UROK	\N	\N
3500499	8475	1997-04-30	PRIJEM	\N	108	32002	UROK	\N	\N
3500500	8475	1997-05-31	PRIJEM	\N	78	35964	UROK	\N	\N
3500501	8475	1997-06-30	PRIJEM	\N	117	40056	UROK	\N	\N
3500502	8475	1997-07-31	PRIJEM	\N	155	43116	UROK	\N	\N
3500503	8475	1997-08-31	PRIJEM	\N	157	40679	UROK	\N	\N
3500504	8475	1997-09-30	PRIJEM	\N	146	39824	UROK	\N	\N
3500505	8475	1997-10-31	PRIJEM	\N	97	40818	UROK	\N	\N
3500506	8475	1997-11-30	PRIJEM	\N	139	37187	UROK	\N	\N
3500507	8475	1997-12-31	PRIJEM	\N	109	31426	UROK	\N	\N
3500508	8475	1998-01-31	PRIJEM	\N	90	24266	UROK	\N	\N
3500509	8475	1998-02-28	PRIJEM	\N	100	30304	UROK	\N	\N
3500510	8475	1998-03-31	PRIJEM	\N	94	31751	UROK	\N	\N
3500511	8475	1998-04-30	PRIJEM	\N	84	24980	UROK	\N	\N
3500512	8475	1998-05-31	PRIJEM	\N	61	27990	UROK	\N	\N
3500513	8475	1998-06-30	PRIJEM	\N	97	30491	UROK	\N	\N
3500514	8475	1998-07-31	PRIJEM	\N	76	36116	UROK	\N	\N
3500515	8475	1998-08-31	PRIJEM	\N	84	30824	UROK	\N	\N
3500516	8475	1998-09-30	PRIJEM	\N	97	24202	UROK	\N	\N
3500517	8475	1998-10-31	PRIJEM	\N	56	28291	UROK	\N	\N
3500518	8475	1998-11-30	PRIJEM	\N	82	34932	UROK	\N	\N
3500519	8475	1998-12-31	PRIJEM	\N	84	35896	UROK	\N	\N
3500805	8489	1993-10-31	PRIJEM	\N	34	19276	UROK	\N	\N
3500806	8489	1993-11-30	PRIJEM	\N	56	31038	UROK	\N	\N
3500807	8489	1993-12-31	PRIJEM	\N	79	42079	UROK	\N	\N
3500808	8489	1994-01-31	PRIJEM	\N	84	42243	UROK	\N	\N
3500809	8489	1994-02-28	PRIJEM	\N	141	36255	UROK	\N	\N
3500810	8489	1994-03-31	PRIJEM	\N	153	32689	UROK	\N	\N
3500811	8489	1994-04-30	PRIJEM	\N	135	31581	UROK	\N	\N
3500812	8489	1994-05-31	PRIJEM	\N	104	33922	UROK	\N	\N
3500813	8489	1994-06-30	PRIJEM	\N	135	27857	UROK	\N	\N
3500814	8489	1994-07-31	PRIJEM	\N	108	29608	UROK	\N	\N
3500815	8489	1994-08-31	PRIJEM	\N	118	26804	UROK	\N	\N
3500816	8489	1994-09-30	PRIJEM	\N	109	30195	UROK	\N	\N
3500817	8489	1994-10-31	PRIJEM	\N	138	32950	UROK	\N	\N
3500818	8489	1994-11-30	PRIJEM	\N	107	35599	UROK	\N	\N
3500819	8489	1994-12-31	PRIJEM	\N	180	42038	UROK	\N	\N
3500820	8489	1995-01-31	PRIJEM	\N	134	22741	UROK	\N	\N
3500821	8489	1995-02-28	PRIJEM	\N	100	25298	UROK	\N	\N
3500822	8489	1995-03-31	PRIJEM	\N	120	28154	UROK	\N	\N
3500823	8489	1995-04-30	PRIJEM	\N	113	27843	UROK	\N	\N
3500824	8489	1995-05-31	PRIJEM	\N	108	27120	UROK	\N	\N
3500825	8489	1995-06-30	PRIJEM	\N	115	35405	UROK	\N	\N
3500826	8489	1995-07-31	PRIJEM	\N	97	33225	UROK	\N	\N
3500827	8489	1995-08-31	PRIJEM	\N	105	26309	UROK	\N	\N
3500828	8489	1995-09-30	PRIJEM	\N	103	27903	UROK	\N	\N
3500829	8489	1995-10-31	PRIJEM	\N	77	25874	UROK	\N	\N
3500830	8489	1995-11-30	PRIJEM	\N	94	24054	UROK	\N	\N
3500831	8489	1995-12-31	PRIJEM	\N	102	25240	UROK	\N	\N
3500832	8489	1996-01-31	PRIJEM	\N	88	22436	UROK	\N	\N
3500833	8489	1996-02-29	PRIJEM	\N	110	33344	UROK	\N	\N
3500834	8489	1996-03-31	PRIJEM	\N	99	25329	UROK	\N	\N
3500835	8489	1996-04-30	PRIJEM	\N	102	32320	UROK	\N	\N
3500836	8489	1996-05-31	PRIJEM	\N	108	29506	UROK	\N	\N
3500837	8489	1996-06-30	PRIJEM	\N	121	35216	UROK	\N	\N
3500838	8489	1996-07-31	PRIJEM	\N	132	34305	UROK	\N	\N
3500839	8489	1996-08-31	PRIJEM	\N	118	30692	UROK	\N	\N
3500840	8489	1996-09-30	PRIJEM	\N	102	37310	UROK	\N	\N
3500841	8489	1996-10-31	PRIJEM	\N	128	32064	UROK	\N	\N
3500842	8489	1996-11-30	PRIJEM	\N	131	38709	UROK	\N	\N
3500843	8489	1996-12-31	PRIJEM	\N	122	35636	UROK	\N	\N
3500844	8489	1997-01-31	PRIJEM	\N	103	27315	UROK	\N	\N
3500845	8489	1997-02-28	PRIJEM	\N	83	33784	UROK	\N	\N
3500846	8489	1997-03-31	PRIJEM	\N	110	40533	UROK	\N	\N
3500847	8489	1997-04-30	PRIJEM	\N	167	47254	UROK	\N	\N
3500848	8489	1997-05-31	PRIJEM	\N	180	49260	UROK	\N	\N
3500849	8489	1997-06-30	PRIJEM	\N	156	41591	UROK	\N	\N
3500850	8489	1997-07-31	PRIJEM	\N	158	27301	UROK	\N	\N
3500851	8489	1997-08-31	PRIJEM	\N	83	33770	UROK	\N	\N
3500852	8489	1997-09-30	PRIJEM	\N	105	40370	UROK	\N	\N
3500853	8489	1997-10-31	PRIJEM	\N	162	47215	UROK	\N	\N
3500854	8489	1997-11-30	PRIJEM	\N	183	53974	UROK	\N	\N
3500855	8489	1997-12-31	PRIJEM	\N	163	35486	UROK	\N	\N
3500856	8489	1998-01-31	PRIJEM	\N	109	31268	UROK	\N	\N
3500857	8489	1998-02-28	PRIJEM	\N	88	37742	UROK	\N	\N
3500858	8489	1998-03-31	PRIJEM	\N	115	44363	UROK	\N	\N
3500859	8489	1998-04-30	PRIJEM	\N	164	42585	UROK	\N	\N
3500860	8489	1998-05-31	PRIJEM	\N	160	49296	UROK	\N	\N
3500861	8489	1998-06-30	PRIJEM	\N	143	33129	UROK	\N	\N
3500862	8489	1998-07-31	PRIJEM	\N	117	34951	UROK	\N	\N
3500863	8489	1998-08-31	PRIJEM	\N	107	40643	UROK	\N	\N
3500864	8489	1998-09-30	PRIJEM	\N	116	48373	UROK	\N	\N
3500865	8489	1998-10-31	PRIJEM	\N	156	54065	UROK	\N	\N
3500866	8489	1998-11-30	PRIJEM	\N	155	51625	UROK	\N	\N
3500867	8489	1998-12-31	PRIJEM	\N	218	65803	UROK	\N	\N
3500868	8492	1994-07-31	PRIJEM	\N	5	18555	UROK	\N	\N
3500869	8492	1994-08-31	PRIJEM	\N	10	25988	UROK	\N	\N
3500870	8492	1994-09-30	PRIJEM	\N	13	30954	UROK	\N	\N
3500871	8492	1994-10-31	PRIJEM	\N	17	31942	UROK	\N	\N
3500872	8492	1994-11-30	PRIJEM	\N	64	34592	UROK	\N	\N
3500873	8492	1994-12-31	PRIJEM	\N	149	36389	UROK	\N	\N
3500874	8492	1995-01-31	PRIJEM	\N	67	20886	UROK	\N	\N
3500875	8492	1995-02-28	PRIJEM	\N	67	27477	UROK	\N	\N
3500876	8492	1995-03-31	PRIJEM	\N	119	31844	UROK	\N	\N
3500877	8492	1995-04-30	PRIJEM	\N	107	31276	UROK	\N	\N
3500878	8492	1995-05-31	PRIJEM	\N	121	32024	UROK	\N	\N
3500879	8492	1995-06-30	PRIJEM	\N	120	37989	UROK	\N	\N
3500880	8492	1995-07-31	PRIJEM	\N	163	36877	UROK	\N	\N
3500881	8492	1995-08-31	PRIJEM	\N	156	39220	UROK	\N	\N
3500882	8492	1995-09-30	PRIJEM	\N	102	36997	UROK	\N	\N
3500883	8492	1995-10-31	PRIJEM	\N	149	35538	UROK	\N	\N
3500884	8492	1995-11-30	PRIJEM	\N	99	35884	UROK	\N	\N
3500885	8492	1995-12-31	PRIJEM	\N	159	38219	UROK	\N	\N
3500886	8492	1996-01-31	PRIJEM	\N	109	26741	UROK	\N	\N
3500887	8492	1996-02-29	PRIJEM	\N	78	35225	UROK	\N	\N
3500888	8492	1996-03-31	PRIJEM	\N	99	36885	UROK	\N	\N
3500889	8492	1996-04-30	PRIJEM	\N	163	43802	UROK	\N	\N
3500890	8492	1996-05-31	PRIJEM	\N	183	46179	UROK	\N	\N
3500891	8492	1996-06-30	PRIJEM	\N	171	45555	UROK	\N	\N
3500892	8492	1996-07-31	PRIJEM	\N	113	38997	UROK	\N	\N
3500893	8492	1996-08-31	PRIJEM	\N	158	43048	UROK	\N	\N
3500894	8492	1996-09-30	PRIJEM	\N	120	41586	UROK	\N	\N
3500895	8492	1996-10-31	PRIJEM	\N	106	37646	UROK	\N	\N
3500896	8492	1996-11-30	PRIJEM	\N	94	40082	UROK	\N	\N
3500897	8492	1996-12-31	PRIJEM	\N	114	41673	UROK	\N	\N
3500898	8492	1997-01-31	PRIJEM	\N	123	25034	UROK	\N	\N
3500899	8492	1997-02-28	PRIJEM	\N	76	31328	UROK	\N	\N
3500900	8492	1997-03-31	PRIJEM	\N	129	32961	UROK	\N	\N
3500901	8492	1997-04-30	PRIJEM	\N	132	38753	UROK	\N	\N
3500902	8492	1997-05-31	PRIJEM	\N	104	42505	UROK	\N	\N
3500903	8492	1997-06-30	PRIJEM	\N	130	36199	UROK	\N	\N
3500904	8492	1997-07-31	PRIJEM	\N	131	36453	UROK	\N	\N
3500905	8492	1997-08-31	PRIJEM	\N	89	33950	UROK	\N	\N
3500906	8492	1997-09-30	PRIJEM	\N	109	44347	UROK	\N	\N
3500907	8492	1997-10-31	PRIJEM	\N	184	52224	UROK	\N	\N
3500908	8492	1997-11-30	PRIJEM	\N	132	53541	UROK	\N	\N
3500909	8492	1997-12-31	PRIJEM	\N	159	59585	UROK	\N	\N
3500910	8492	1998-01-31	PRIJEM	\N	175	35874	UROK	\N	\N
3500911	8492	1998-02-28	PRIJEM	\N	124	48331	UROK	\N	\N
3500912	8492	1998-03-31	PRIJEM	\N	145	56369	UROK	\N	\N
3500913	8492	1998-04-30	PRIJEM	\N	145	55171	UROK	\N	\N
3500914	8492	1998-05-31	PRIJEM	\N	178	64787	UROK	\N	\N
3500915	8492	1998-06-30	PRIJEM	\N	198	48666	UROK	\N	\N
3500916	8492	1998-07-31	PRIJEM	\N	219	63501	UROK	\N	\N
3500917	8492	1998-08-31	PRIJEM	\N	248	71503	UROK	\N	\N
3500918	8492	1998-09-30	PRIJEM	\N	210	74307	UROK	\N	\N
3500919	8492	1998-10-31	PRIJEM	\N	272	70449	UROK	\N	\N
3500920	8492	1998-11-30	PRIJEM	\N	217	76215	UROK	\N	\N
3500921	8492	1998-12-31	PRIJEM	\N	285	79561	UROK	\N	\N
3501011	8505	1997-04-30	PRIJEM	\N	33	21705	UROK	\N	\N
3501012	8505	1997-05-31	PRIJEM	\N	45	27858	UROK	\N	\N
3501013	8505	1997-06-30	PRIJEM	\N	56	33749	UROK	\N	\N
3501014	8505	1997-07-31	PRIJEM	\N	59	33880	UROK	\N	\N
3501015	8505	1997-08-31	PRIJEM	\N	143	35195	UROK	\N	\N
3501016	8505	1997-09-30	PRIJEM	\N	160	35873	UROK	\N	\N
3501017	8505	1997-10-31	PRIJEM	\N	163	35673	UROK	\N	\N
3501018	8505	1997-11-30	PRIJEM	\N	106	34724	UROK	\N	\N
3501019	8505	1997-12-31	PRIJEM	\N	160	37978	UROK	\N	\N
3501020	8505	1998-01-31	PRIJEM	\N	142	26528	UROK	\N	\N
3501021	8505	1998-02-28	PRIJEM	\N	77	33339	UROK	\N	\N
3501022	8505	1998-03-31	PRIJEM	\N	90	35083	UROK	\N	\N
3501023	8505	1998-04-30	PRIJEM	\N	78	30983	UROK	\N	\N
3501024	8505	1998-05-31	PRIJEM	\N	81	32051	UROK	\N	\N
3501025	8505	1998-06-30	PRIJEM	\N	138	39582	UROK	\N	\N
3501026	8505	1998-07-31	PRIJEM	\N	147	35579	UROK	\N	\N
3501027	8505	1998-08-31	PRIJEM	\N	134	31229	UROK	\N	\N
3501028	8505	1998-09-30	PRIJEM	\N	70	26997	UROK	\N	\N
3501029	8505	1998-10-31	PRIJEM	\N	91	23085	UROK	\N	\N
3501030	8505	1998-11-30	PRIJEM	\N	103	28280	UROK	\N	\N
3501031	8505	1998-12-31	PRIJEM	\N	102	22755	UROK	\N	\N
3501127	8519	1993-04-30	PRIJEM	\N	96	38542	UROK	\N	\N
3501128	8519	1993-05-31	PRIJEM	\N	179	70168	UROK	\N	\N
3501129	8519	1993-06-30	PRIJEM	\N	257	103188	UROK	\N	\N
3501130	8519	1993-07-31	PRIJEM	\N	265	104902	UROK	\N	\N
3501131	8519	1993-08-31	PRIJEM	\N	243	60242	UROK	\N	\N
3501132	8519	1993-09-30	PRIJEM	\N	213	50046	UROK	\N	\N
3501133	8519	1993-10-31	PRIJEM	\N	200	38923	UROK	\N	\N
3501134	8519	1993-11-30	PRIJEM	\N	148	44597	UROK	\N	\N
3501135	8519	1993-12-31	PRIJEM	\N	213	53543	UROK	\N	\N
3501136	8519	1994-01-31	PRIJEM	\N	145	32337	UROK	\N	\N
3501137	8519	1994-02-28	PRIJEM	\N	114	37269	UROK	\N	\N
3501138	8519	1994-03-31	PRIJEM	\N	131	38268	UROK	\N	\N
3501139	8519	1994-04-30	PRIJEM	\N	154	29546	UROK	\N	\N
3501140	8519	1994-05-31	PRIJEM	\N	153	38827	UROK	\N	\N
3501141	8519	1994-06-30	PRIJEM	\N	238	50295	UROK	\N	\N
3501142	8519	1994-07-31	PRIJEM	\N	218	42434	UROK	\N	\N
3501143	8519	1994-08-31	PRIJEM	\N	208	44861	UROK	\N	\N
3501144	8519	1994-09-30	PRIJEM	\N	212	44581	UROK	\N	\N
3501145	8519	1994-10-31	PRIJEM	\N	202	39379	UROK	\N	\N
3501146	8519	1994-11-30	PRIJEM	\N	96	39003	UROK	\N	\N
3501147	8519	1994-12-31	PRIJEM	\N	165	43612	UROK	\N	\N
3501148	8519	1995-01-31	PRIJEM	\N	187	46682	UROK	\N	\N
3501149	8519	1995-02-28	PRIJEM	\N	123	43662	UROK	\N	\N
3501150	8519	1995-03-31	PRIJEM	\N	147	48404	UROK	\N	\N
3501151	8519	1995-04-30	PRIJEM	\N	192	39708	UROK	\N	\N
3501152	8519	1995-05-31	PRIJEM	\N	133	25275	UROK	\N	\N
3501153	8519	1995-06-30	PRIJEM	\N	102	39223	UROK	\N	\N
3501154	8519	1995-07-31	PRIJEM	\N	83	33080	UROK	\N	\N
3501155	8519	1995-08-31	PRIJEM	\N	107	39372	UROK	\N	\N
3501156	8519	1995-09-30	PRIJEM	\N	165	44591	UROK	\N	\N
3501157	8519	1995-10-31	PRIJEM	\N	104	39437	UROK	\N	\N
3501158	8519	1995-11-30	PRIJEM	\N	121	43504	UROK	\N	\N
3501159	8519	1995-12-31	PRIJEM	\N	166	53164	UROK	\N	\N
3501160	8519	1996-01-31	PRIJEM	\N	113	32560	UROK	\N	\N
3501161	8519	1996-02-29	PRIJEM	\N	139	40164	UROK	\N	\N
3501162	8519	1996-03-31	PRIJEM	\N	101	29545	UROK	\N	\N
3501163	8519	1996-04-30	PRIJEM	\N	100	41199	UROK	\N	\N
3501164	8519	1996-05-31	PRIJEM	\N	120	47561	UROK	\N	\N
3501165	8519	1996-06-30	PRIJEM	\N	150	59195	UROK	\N	\N
3501166	8519	1996-07-31	PRIJEM	\N	205	45951	UROK	\N	\N
3501167	8519	1996-08-31	PRIJEM	\N	118	27237	UROK	\N	\N
3501168	8519	1996-09-30	PRIJEM	\N	92	37784	UROK	\N	\N
3501169	8519	1996-10-31	PRIJEM	\N	148	45008	UROK	\N	\N
3501170	8519	1996-11-30	PRIJEM	\N	169	50698	UROK	\N	\N
3501171	8519	1996-12-31	PRIJEM	\N	175	58355	UROK	\N	\N
3501172	8519	1997-01-31	PRIJEM	\N	200	65484	UROK	\N	\N
3501173	8519	1997-02-28	PRIJEM	\N	180	74784	UROK	\N	\N
3501174	8519	1997-03-31	PRIJEM	\N	157	49452	UROK	\N	\N
3501175	8519	1997-04-30	PRIJEM	\N	132	44190	UROK	\N	\N
3501176	8519	1997-05-31	PRIJEM	\N	195	63000	UROK	\N	\N
3501177	8519	1997-06-30	PRIJEM	\N	263	62157	UROK	\N	\N
3501178	8519	1997-07-31	PRIJEM	\N	214	66954	UROK	\N	\N
3501179	8519	1997-08-31	PRIJEM	\N	157	63382	UROK	\N	\N
3501180	8519	1997-09-30	PRIJEM	\N	169	67794	UROK	\N	\N
3501181	8519	1997-10-31	PRIJEM	\N	205	55923	UROK	\N	\N
3501182	8519	1997-11-30	PRIJEM	\N	129	32014	UROK	\N	\N
3501183	8519	1997-12-31	PRIJEM	\N	138	57607	UROK	\N	\N
3501184	8519	1998-01-31	PRIJEM	\N	144	58932	UROK	\N	\N
3501185	8519	1998-02-28	PRIJEM	\N	123	38427	UROK	\N	\N
3501186	8519	1998-03-31	PRIJEM	\N	144	34522	UROK	\N	\N
3501187	8519	1998-04-30	PRIJEM	\N	108	52650	UROK	\N	\N
3501188	8519	1998-05-31	PRIJEM	\N	156	62871	UROK	\N	\N
3501189	8519	1998-06-30	PRIJEM	\N	196	78452	UROK	\N	\N
3501190	8519	1998-07-31	PRIJEM	\N	191	44444	UROK	\N	\N
3501191	8519	1998-08-31	PRIJEM	\N	140	41644	UROK	\N	\N
3501192	8519	1998-09-30	PRIJEM	\N	138	54403	UROK	\N	\N
3501193	8519	1998-10-31	PRIJEM	\N	156	61624	UROK	\N	\N
3501194	8519	1998-11-30	PRIJEM	\N	124	41842	UROK	\N	\N
3501195	8519	1998-12-31	PRIJEM	\N	196	82332	UROK	\N	\N
3501196	8523	1996-12-31	PRIJEM	\N	37	45517	UROK	\N	\N
3501197	8523	1997-01-31	PRIJEM	\N	53	57034	UROK	\N	\N
3501198	8523	1997-02-28	PRIJEM	\N	224	53155	UROK	\N	\N
3501199	8523	1997-03-31	PRIJEM	\N	47	58345	UROK	\N	\N
3501200	8523	1997-04-30	PRIJEM	\N	87	23863	UROK	\N	\N
3501201	8523	1997-05-31	PRIJEM	\N	118	34286	UROK	\N	\N
3501202	8523	1997-06-30	PRIJEM	\N	142	44467	UROK	\N	\N
3501203	8523	1997-07-31	PRIJEM	\N	90	56265	UROK	\N	\N
3501204	8523	1997-08-31	PRIJEM	\N	280	57668	UROK	\N	\N
3501205	8523	1997-09-30	PRIJEM	\N	168	47957	UROK	\N	\N
3501206	8523	1997-10-31	PRIJEM	\N	122	60725	UROK	\N	\N
3501207	8523	1997-11-30	PRIJEM	\N	255	22217	UROK	\N	\N
3501208	8523	1997-12-31	PRIJEM	\N	166	48640	UROK	\N	\N
3501209	8523	1998-01-31	PRIJEM	\N	221	31141	UROK	\N	\N
3501210	8523	1998-02-28	PRIJEM	\N	139	39251	UROK	\N	\N
3501211	8523	1998-03-31	PRIJEM	\N	142	42035	UROK	\N	\N
3501212	8523	1998-04-30	PRIJEM	\N	193	45728	UROK	\N	\N
3501213	8523	1998-05-31	PRIJEM	\N	107	26484	UROK	\N	\N
3501214	8523	1998-06-30	PRIJEM	\N	165	45069	UROK	\N	\N
3501215	8523	1998-07-31	PRIJEM	\N	173	20983	UROK	\N	\N
3501216	8523	1998-08-31	PRIJEM	\N	126	50019	UROK	\N	\N
3501217	8523	1998-09-30	PRIJEM	\N	152	55149	UROK	\N	\N
3501218	8523	1998-10-31	PRIJEM	\N	173	65431	UROK	\N	\N
3501219	8523	1998-11-30	PRIJEM	\N	200	69283	UROK	\N	\N
3501220	8523	1998-12-31	PRIJEM	\N	261	58518	UROK	\N	\N
3501282	8533	1996-01-31	PRIJEM	\N	146	62523	UROK	\N	\N
3501283	8533	1996-02-29	PRIJEM	\N	197	68098	UROK	\N	\N
3501284	8533	1996-03-31	PRIJEM	\N	280	83021	UROK	\N	\N
3501285	8533	1996-04-30	PRIJEM	\N	361	82600	UROK	\N	\N
3501286	8533	1996-05-31	PRIJEM	\N	277	82798	UROK	\N	\N
3501287	8533	1996-06-30	PRIJEM	\N	218	51765	UROK	\N	\N
3501288	8533	1996-07-31	PRIJEM	\N	264	82230	UROK	\N	\N
3501289	8533	1996-08-31	PRIJEM	\N	222	79011	UROK	\N	\N
3501290	8533	1996-09-30	PRIJEM	\N	241	54381	UROK	\N	\N
3501291	8533	1996-10-31	PRIJEM	\N	213	97642	UROK	\N	\N
3501292	8533	1996-11-30	PRIJEM	\N	292	75149	UROK	\N	\N
3501293	8533	1996-12-31	PRIJEM	\N	372	81201	UROK	\N	\N
3501294	8533	1997-01-31	PRIJEM	\N	132	68883	UROK	\N	\N
3501295	8533	1997-02-28	PRIJEM	\N	302	79244	UROK	\N	\N
3501296	8533	1997-03-31	PRIJEM	\N	301	72133	UROK	\N	\N
3501297	8533	1997-04-30	PRIJEM	\N	273	111279	UROK	\N	\N
3501298	8533	1997-05-31	PRIJEM	\N	312	71651	UROK	\N	\N
3501299	8533	1997-06-30	PRIJEM	\N	181	9238	UROK	\N	\N
3501300	8533	1997-07-31	PRIJEM	\N	252	58038	UROK	\N	\N
3501301	8533	1997-08-31	PRIJEM	\N	315	78283	UROK	\N	\N
3501302	8533	1997-09-30	PRIJEM	\N	201	59421	UROK	\N	\N
3501303	8533	1997-10-31	PRIJEM	\N	217	52694	UROK	\N	\N
3501304	8533	1997-11-30	PRIJEM	\N	168	54107	UROK	\N	\N
3501305	8533	1997-12-31	PRIJEM	\N	223	44487	UROK	\N	\N
3501306	8533	1998-01-31	PRIJEM	\N	27	20623	UROK	\N	\N
3501307	8533	1998-02-28	PRIJEM	\N	50	44105	UROK	\N	\N
3501308	8533	1998-03-31	PRIJEM	\N	225	60412	UROK	\N	\N
3501309	8533	1998-04-30	PRIJEM	\N	57	45375	UROK	\N	\N
3501310	8533	1998-05-31	PRIJEM	\N	82	50441	UROK	\N	\N
3501311	8533	1998-06-30	PRIJEM	\N	173	47588	UROK	\N	\N
3501312	8533	1998-07-31	PRIJEM	\N	101	87313	UROK	\N	\N
3501313	8533	1998-08-31	PRIJEM	\N	351	74028	UROK	\N	\N
3501314	8533	1998-09-30	PRIJEM	\N	213	75256	UROK	\N	\N
3501315	8533	1998-10-31	PRIJEM	\N	82	47984	UROK	\N	\N
3501316	8533	1998-11-30	PRIJEM	\N	187	57383	UROK	\N	\N
3501317	8533	1998-12-31	PRIJEM	\N	85	41388	UROK	\N	\N
3501475	8547	1995-08-31	PRIJEM	\N	39	19638	UROK	\N	\N
3501476	8547	1995-09-30	PRIJEM	\N	161	93689	UROK	\N	\N
3501477	8547	1995-10-31	PRIJEM	\N	277	34396	UROK	\N	\N
3501478	8547	1995-11-30	PRIJEM	\N	170	37925	UROK	\N	\N
3501479	8547	1995-12-31	PRIJEM	\N	175	52573	UROK	\N	\N
3501480	8547	1996-01-31	PRIJEM	\N	264	49668	UROK	\N	\N
3501481	8547	1996-02-29	PRIJEM	\N	188	70894	UROK	\N	\N
3501482	8547	1996-03-31	PRIJEM	\N	235	51486	UROK	\N	\N
3501483	8547	1996-04-30	PRIJEM	\N	250	66087	UROK	\N	\N
3501484	8547	1996-05-31	PRIJEM	\N	267	71210	UROK	\N	\N
3501485	8547	1996-06-30	PRIJEM	\N	270	33300	UROK	\N	\N
3501486	8547	1996-07-31	PRIJEM	\N	177	68554	UROK	\N	\N
3501487	8547	1996-08-31	PRIJEM	\N	324	134637	UROK	\N	\N
3501488	8547	1996-09-30	PRIJEM	\N	208	60487	UROK	\N	\N
3501489	8547	1996-10-31	PRIJEM	\N	38	4709	UROK	\N	\N
3501490	8547	1996-11-30	PRIJEM	\N	153	79068	UROK	\N	\N
3501491	8547	1996-12-31	PRIJEM	\N	281	80294	UROK	\N	\N
3501492	8547	1997-01-31	PRIJEM	\N	252	50150	UROK	\N	\N
3501493	8547	1997-02-28	PRIJEM	\N	77	34390	UROK	\N	\N
3501494	8547	1997-03-31	PRIJEM	\N	139	43206	UROK	\N	\N
3501495	8547	1997-04-30	PRIJEM	\N	326	100506	UROK	\N	\N
3501496	8547	1997-05-31	PRIJEM	\N	373	86168	UROK	\N	\N
3501497	8547	1997-06-30	PRIJEM	\N	181	62173	UROK	\N	\N
3501498	8547	1997-07-31	PRIJEM	\N	182	62043	UROK	\N	\N
3501499	8547	1997-08-31	PRIJEM	\N	288	92974	UROK	\N	\N
3501500	8547	1997-09-30	PRIJEM	\N	223	41492	UROK	\N	\N
3501501	8547	1997-10-31	PRIJEM	\N	110	31742	UROK	\N	\N
3501502	8547	1997-11-30	PRIJEM	\N	157	53530	UROK	\N	\N
3501503	8547	1997-12-31	PRIJEM	\N	274	68359	UROK	\N	\N
3501504	8547	1998-01-31	PRIJEM	\N	126	9750	UROK	\N	\N
3501505	8547	1998-02-28	PRIJEM	\N	36	18749	UROK	\N	\N
3501506	8547	1998-03-31	PRIJEM	\N	52	27572	UROK	\N	\N
3501507	8547	1998-04-30	PRIJEM	\N	53	17693	UROK	\N	\N
3501508	8547	1998-05-31	PRIJEM	\N	49	16506	UROK	\N	\N
3501509	8547	1998-06-30	PRIJEM	\N	50	20519	UROK	\N	\N
3501510	8547	1998-07-31	PRIJEM	\N	74	30230	UROK	\N	\N
3501511	8547	1998-08-31	PRIJEM	\N	78	34249	UROK	\N	\N
3501512	8547	1998-09-30	PRIJEM	\N	78	30171	UROK	\N	\N
3501513	8547	1998-10-31	PRIJEM	\N	13	39446	UROK	\N	\N
3501514	8547	1998-11-30	PRIJEM	\N	105	39919	UROK	\N	\N
3501515	8547	1998-12-31	PRIJEM	\N	108	31403	UROK	\N	\N
3501602	8558	1994-04-30	PRIJEM	\N	9	31367	UROK	\N	\N
3501603	8558	1994-05-31	PRIJEM	\N	18	43313	UROK	\N	\N
3501604	8558	1994-06-30	PRIJEM	\N	82	30183	UROK	\N	\N
3501605	8558	1994-07-31	PRIJEM	\N	81	54985	UROK	\N	\N
3501606	8558	1994-08-31	PRIJEM	\N	67	20248	UROK	\N	\N
3501607	8558	1994-09-30	PRIJEM	\N	81	20571	UROK	\N	\N
3501608	8558	1994-10-31	PRIJEM	\N	101	28453	UROK	\N	\N
3501609	8558	1994-11-30	PRIJEM	\N	163	38683	UROK	\N	\N
3501610	8558	1994-12-31	PRIJEM	\N	112	36489	UROK	\N	\N
3501611	8558	1995-01-31	PRIJEM	\N	29	27823	UROK	\N	\N
3501612	8558	1995-02-28	PRIJEM	\N	42	27001	UROK	\N	\N
3501613	8558	1995-03-31	PRIJEM	\N	75	29245	UROK	\N	\N
3501614	8558	1995-04-30	PRIJEM	\N	84	42236	UROK	\N	\N
3501615	8558	1995-05-31	PRIJEM	\N	35	30379	UROK	\N	\N
3501616	8558	1995-06-30	PRIJEM	\N	109	22182	UROK	\N	\N
3501617	8558	1995-07-31	PRIJEM	\N	21	16908	UROK	\N	\N
3501618	8558	1995-08-31	PRIJEM	\N	83	27164	UROK	\N	\N
3501619	8558	1995-09-30	PRIJEM	\N	98	20955	UROK	\N	\N
3501620	8558	1995-10-31	PRIJEM	\N	82	21211	UROK	\N	\N
3501621	8558	1995-11-30	PRIJEM	\N	81	20666	UROK	\N	\N
3501622	8558	1995-12-31	PRIJEM	\N	75	18235	UROK	\N	\N
3501623	8558	1996-01-31	PRIJEM	\N	67	18070	UROK	\N	\N
3501624	8558	1996-02-29	PRIJEM	\N	106	41333	UROK	\N	\N
3501625	8558	1996-03-31	PRIJEM	\N	58	32569	UROK	\N	\N
3501626	8558	1996-04-30	PRIJEM	\N	115	26178	UROK	\N	\N
3501627	8558	1996-05-31	PRIJEM	\N	93	22673	UROK	\N	\N
3501628	8558	1996-06-30	PRIJEM	\N	92	26059	UROK	\N	\N
3501629	8558	1996-07-31	PRIJEM	\N	96	24737	UROK	\N	\N
3501630	8558	1996-08-31	PRIJEM	\N	130	45367	UROK	\N	\N
3501631	8558	1996-09-30	PRIJEM	\N	70	34319	UROK	\N	\N
3501632	8558	1996-10-31	PRIJEM	\N	56	27183	UROK	\N	\N
3501633	8558	1996-11-30	PRIJEM	\N	52	23529	UROK	\N	\N
3501634	8558	1996-12-31	PRIJEM	\N	85	22800	UROK	\N	\N
3501635	8558	1997-01-31	PRIJEM	\N	77	27181	UROK	\N	\N
3501636	8558	1997-02-28	PRIJEM	\N	45	21806	UROK	\N	\N
3501637	8558	1997-03-31	PRIJEM	\N	58	35461	UROK	\N	\N
3501638	8558	1997-04-30	PRIJEM	\N	60	27215	UROK	\N	\N
3501639	8558	1997-05-31	PRIJEM	\N	83	34135	UROK	\N	\N
3501640	8558	1997-06-30	PRIJEM	\N	158	64721	UROK	\N	\N
3501641	8558	1997-07-31	PRIJEM	\N	129	56501	UROK	\N	\N
3501642	8558	1997-08-31	PRIJEM	\N	103	33308	UROK	\N	\N
3501643	8558	1997-09-30	PRIJEM	\N	94	44434	UROK	\N	\N
3501644	8558	1997-10-31	PRIJEM	\N	257	87100	UROK	\N	\N
3501645	8558	1997-11-30	PRIJEM	\N	241	67263	UROK	\N	\N
3501646	8558	1997-12-31	PRIJEM	\N	187	41043	UROK	\N	\N
3501647	8558	1998-01-31	PRIJEM	\N	204	67100	UROK	\N	\N
3501648	8558	1998-02-28	PRIJEM	\N	215	49547	UROK	\N	\N
3501649	8558	1998-03-31	PRIJEM	\N	183	50018	UROK	\N	\N
3501650	8558	1998-04-30	PRIJEM	\N	96	41607	UROK	\N	\N
3501651	8558	1998-05-31	PRIJEM	\N	141	37705	UROK	\N	\N
3501652	8558	1998-06-30	PRIJEM	\N	116	30956	UROK	\N	\N
3501653	8558	1998-07-31	PRIJEM	\N	113	33891	UROK	\N	\N
3501654	8558	1998-08-31	PRIJEM	\N	104	29395	UROK	\N	\N
3501655	8558	1998-09-30	PRIJEM	\N	51	26429	UROK	\N	\N
3501656	8558	1998-10-31	PRIJEM	\N	63	51086	UROK	\N	\N
3501657	8558	1998-11-30	PRIJEM	\N	77	36856	UROK	\N	\N
3501658	8558	1998-12-31	PRIJEM	\N	55	27854	UROK	\N	\N
3501692	8564	1993-10-31	PRIJEM	\N	101	34361	UROK	\N	\N
3501693	8564	1993-11-30	PRIJEM	\N	164	65694	UROK	\N	\N
3501694	8564	1993-12-31	PRIJEM	\N	264	104312	UROK	\N	\N
3501695	8564	1994-01-31	PRIJEM	\N	264	104245	UROK	\N	\N
3501696	8564	1994-02-28	PRIJEM	\N	229	94616	UROK	\N	\N
3501697	8564	1994-03-31	PRIJEM	\N	230	86947	UROK	\N	\N
3501698	8564	1994-04-30	PRIJEM	\N	226	66679	UROK	\N	\N
3501699	8564	1994-05-31	PRIJEM	\N	194	51928	UROK	\N	\N
3501700	8564	1994-06-30	PRIJEM	\N	257	79315	UROK	\N	\N
3501701	8564	1994-07-31	PRIJEM	\N	186	57694	UROK	\N	\N
3501702	8564	1994-08-31	PRIJEM	\N	203	72461	UROK	\N	\N
3501703	8564	1994-09-30	PRIJEM	\N	214	72749	UROK	\N	\N
3501704	8564	1994-10-31	PRIJEM	\N	238	53464	UROK	\N	\N
3501705	8564	1994-11-30	PRIJEM	\N	216	59926	UROK	\N	\N
3501706	8564	1994-12-31	PRIJEM	\N	294	87529	UROK	\N	\N
3501707	8564	1995-01-31	PRIJEM	\N	184	44555	UROK	\N	\N
3501708	8564	1995-02-28	PRIJEM	\N	206	60465	UROK	\N	\N
3501709	8564	1995-03-31	PRIJEM	\N	188	55383	UROK	\N	\N
3501710	8564	1995-04-30	PRIJEM	\N	184	69010	UROK	\N	\N
3501711	8564	1995-05-31	PRIJEM	\N	207	72891	UROK	\N	\N
3501712	8564	1995-06-30	PRIJEM	\N	258	50241	UROK	\N	\N
3501713	8564	1995-07-31	PRIJEM	\N	222	64527	UROK	\N	\N
3501714	8564	1995-08-31	PRIJEM	\N	240	63896	UROK	\N	\N
3501715	8564	1995-09-30	PRIJEM	\N	243	66722	UROK	\N	\N
3501716	8564	1995-10-31	PRIJEM	\N	217	61445	UROK	\N	\N
3501717	8564	1995-11-30	PRIJEM	\N	235	59804	UROK	\N	\N
3501718	8564	1995-12-31	PRIJEM	\N	261	82661	UROK	\N	\N
3501719	8564	1996-01-31	PRIJEM	\N	146	35785	UROK	\N	\N
3501720	8564	1996-02-29	PRIJEM	\N	133	58606	UROK	\N	\N
3501721	8564	1996-03-31	PRIJEM	\N	178	38540	UROK	\N	\N
3501722	8564	1996-04-30	PRIJEM	\N	188	40935	UROK	\N	\N
3501723	8564	1996-05-31	PRIJEM	\N	158	33848	UROK	\N	\N
3501724	8564	1996-06-30	PRIJEM	\N	133	35348	UROK	\N	\N
3501725	8564	1996-07-31	PRIJEM	\N	127	39450	UROK	\N	\N
3501726	8564	1996-08-31	PRIJEM	\N	166	37628	UROK	\N	\N
3501727	8564	1996-09-30	PRIJEM	\N	152	39290	UROK	\N	\N
3501728	8564	1996-10-31	PRIJEM	\N	109	36712	UROK	\N	\N
3501729	8564	1996-11-30	PRIJEM	\N	117	40801	UROK	\N	\N
3501730	8564	1996-12-31	PRIJEM	\N	152	43964	UROK	\N	\N
3501731	8564	1997-01-31	PRIJEM	\N	153	33462	UROK	\N	\N
3501732	8564	1997-02-28	PRIJEM	\N	100	35668	UROK	\N	\N
3501733	8564	1997-03-31	PRIJEM	\N	90	30141	UROK	\N	\N
3501734	8564	1997-04-30	PRIJEM	\N	92	28158	UROK	\N	\N
3501735	8564	1997-05-31	PRIJEM	\N	111	51116	UROK	\N	\N
3501736	8564	1997-06-30	PRIJEM	\N	166	40079	UROK	\N	\N
3501737	8564	1997-07-31	PRIJEM	\N	101	37657	UROK	\N	\N
3501738	8564	1997-08-31	PRIJEM	\N	134	31427	UROK	\N	\N
3501739	8564	1997-09-30	PRIJEM	\N	144	50606	UROK	\N	\N
3501740	8564	1997-10-31	PRIJEM	\N	141	40598	UROK	\N	\N
3501741	8564	1997-11-30	PRIJEM	\N	146	37725	UROK	\N	\N
3501742	8564	1997-12-31	PRIJEM	\N	129	40459	UROK	\N	\N
3501743	8564	1998-01-31	PRIJEM	\N	103	37702	UROK	\N	\N
3501744	8564	1998-02-28	PRIJEM	\N	91	37994	UROK	\N	\N
3501745	8564	1998-03-31	PRIJEM	\N	105	40084	UROK	\N	\N
3501746	8564	1998-04-30	PRIJEM	\N	140	36665	UROK	\N	\N
3501747	8564	1998-05-31	PRIJEM	\N	115	33802	UROK	\N	\N
3501748	8564	1998-06-30	PRIJEM	\N	130	40340	UROK	\N	\N
3501749	8564	1998-07-31	PRIJEM	\N	92	37476	UROK	\N	\N
3501750	8564	1998-08-31	PRIJEM	\N	125	41437	UROK	\N	\N
3501751	8564	1998-09-30	PRIJEM	\N	101	46118	UROK	\N	\N
3501752	8564	1998-10-31	PRIJEM	\N	124	49043	UROK	\N	\N
3501753	8564	1998-11-30	PRIJEM	\N	119	49124	UROK	\N	\N
3501754	8564	1998-12-31	PRIJEM	\N	125	48297	UROK	\N	\N
3501755	8566	1993-10-31	PRIJEM	\N	137	72994	UROK	\N	\N
3501756	8566	1993-11-30	PRIJEM	\N	255	71612	UROK	\N	\N
3501757	8566	1993-12-31	PRIJEM	\N	147	34790	UROK	\N	\N
3501758	8566	1994-01-31	PRIJEM	\N	89	16900	UROK	\N	\N
3501759	8566	1994-02-28	PRIJEM	\N	35	6807	UROK	\N	\N
3501760	8566	1994-03-31	VYDAJ	VYBER	26	-2720	SANKC. UROK	\N	\N
3501761	8566	1994-04-30	PRIJEM	\N	13	4713	UROK	\N	\N
3501762	8566	1994-05-31	PRIJEM	\N	36	15368	UROK	\N	\N
3501763	8566	1994-06-30	PRIJEM	\N	37	6416	UROK	\N	\N
3501764	8566	1994-07-31	PRIJEM	\N	20	5997	UROK	\N	\N
3501765	8566	1994-08-31	PRIJEM	\N	26	7659	UROK	\N	\N
3501766	8566	1994-09-30	PRIJEM	\N	22	6374	UROK	\N	\N
3501767	8566	1994-10-31	PRIJEM	\N	19	3053	UROK	\N	\N
3501768	8566	1994-11-30	PRIJEM	\N	23	6537	UROK	\N	\N
3501769	8566	1994-12-31	PRIJEM	\N	25	7398	UROK	\N	\N
3501770	8566	1995-01-31	PRIJEM	\N	21	15209	UROK	\N	\N
3501771	8566	1995-02-28	PRIJEM	\N	35	39696	UROK	\N	\N
3501772	8566	1995-03-31	PRIJEM	\N	70	18661	UROK	\N	\N
3501773	8566	1995-04-30	PRIJEM	\N	35	8675	UROK	\N	\N
3501774	8566	1995-05-31	PRIJEM	\N	26	17870	UROK	\N	\N
3501775	8566	1995-06-30	PRIJEM	\N	57	49051	UROK	\N	\N
3501776	8566	1995-07-31	PRIJEM	\N	111	25684	UROK	\N	\N
3501777	8566	1995-08-31	PRIJEM	\N	113	21559	UROK	\N	\N
3501778	8566	1995-09-30	PRIJEM	\N	39	16279	UROK	\N	\N
3501779	8566	1995-10-31	PRIJEM	\N	34	18685	UROK	\N	\N
3501780	8566	1995-11-30	PRIJEM	\N	30	18196	UROK	\N	\N
3501781	8566	1995-12-31	PRIJEM	\N	41	14414	UROK	\N	\N
3501782	8566	1996-01-31	PRIJEM	\N	26	13377	UROK	\N	\N
3501783	8566	1996-02-29	PRIJEM	\N	7	3965	UROK	\N	\N
3501784	8566	1996-03-31	PRIJEM	\N	15	13628	UROK	\N	\N
3501785	8566	1996-04-30	PRIJEM	\N	52	19314	UROK	\N	\N
3501786	8566	1996-05-31	PRIJEM	\N	32	14982	UROK	\N	\N
3501787	8566	1996-06-30	PRIJEM	\N	23	5587	UROK	\N	\N
3501788	8566	1996-07-31	PRIJEM	\N	0	5041	UROK	\N	\N
3501789	8566	1996-08-31	PRIJEM	\N	34	20118	UROK	\N	\N
3501790	8566	1996-09-30	PRIJEM	\N	12	4308	UROK	\N	\N
3501791	8566	1996-10-31	PRIJEM	\N	31	8334	UROK	\N	\N
3501792	8566	1996-11-30	PRIJEM	\N	25	7822	UROK	\N	\N
3501793	8566	1996-12-31	PRIJEM	\N	1	7280	UROK	\N	\N
3501794	8566	1997-01-31	PRIJEM	\N	21	6754	UROK	\N	\N
3501795	8566	1997-02-28	PRIJEM	\N	74	39564	UROK	\N	\N
3501796	8566	1997-03-31	PRIJEM	\N	99	63137	UROK	\N	\N
3501797	8566	1997-04-30	PRIJEM	\N	160	39964	UROK	\N	\N
3501798	8566	1997-05-31	PRIJEM	\N	253	42860	UROK	\N	\N
3501799	8566	1997-06-30	PRIJEM	\N	126	40647	UROK	\N	\N
3501800	8566	1997-07-31	PRIJEM	\N	159	101243	UROK	\N	\N
3501801	8566	1997-08-31	PRIJEM	\N	330	93182	UROK	\N	\N
3501802	8566	1997-09-30	PRIJEM	\N	260	32306	UROK	\N	\N
3501803	8566	1997-10-31	PRIJEM	\N	152	64549	UROK	\N	\N
3501804	8566	1997-11-30	PRIJEM	\N	189	38036	UROK	\N	\N
3501805	8566	1997-12-31	PRIJEM	\N	135	69116	UROK	\N	\N
3501806	8566	1998-01-31	PRIJEM	\N	217	75388	UROK	\N	\N
3501807	8566	1998-02-28	PRIJEM	\N	233	73048	UROK	\N	\N
3501808	8566	1998-03-31	PRIJEM	\N	156	28164	UROK	\N	\N
3501809	8566	1998-04-30	PRIJEM	\N	25	11564	UROK	\N	\N
3501810	8566	1998-05-31	PRIJEM	\N	26	16294	UROK	\N	\N
3501811	8566	1998-06-30	PRIJEM	\N	126	28893	UROK	\N	\N
3501812	8566	1998-07-31	PRIJEM	\N	46	14671	UROK	\N	\N
3501813	8566	1998-10-31	PRIJEM	\N	81	23241	UROK	\N	\N
3501814	8566	1998-11-30	PRIJEM	\N	42	13862	UROK	\N	\N
3501815	8566	1998-12-31	PRIJEM	\N	48	18629	UROK	\N	\N
3502464	8625	1993-11-30	PRIJEM	\N	38	17297	UROK	\N	\N
3502465	8625	1993-12-31	PRIJEM	\N	121	59416	UROK	\N	\N
3502466	8625	1994-01-31	PRIJEM	\N	166	85752	UROK	\N	\N
3502467	8625	1994-02-28	PRIJEM	\N	151	19069	UROK	\N	\N
3502468	8625	1994-03-31	PRIJEM	\N	144	55142	UROK	\N	\N
3502469	8625	1994-04-30	PRIJEM	\N	336	110423	UROK	\N	\N
3502470	8625	1994-05-31	PRIJEM	\N	239	23308	UROK	\N	\N
3502471	8625	1994-06-30	PRIJEM	\N	97	83250	UROK	\N	\N
3502472	8625	1994-07-31	PRIJEM	\N	240	94214	UROK	\N	\N
3502473	8625	1994-08-31	PRIJEM	\N	347	101655	UROK	\N	\N
3502474	8625	1994-09-30	PRIJEM	\N	92	57397	UROK	\N	\N
3502475	8625	1994-10-31	PRIJEM	\N	248	70578	UROK	\N	\N
3502476	8625	1994-11-30	PRIJEM	\N	272	62789	UROK	\N	\N
3502477	8625	1994-12-31	PRIJEM	\N	310	72934	UROK	\N	\N
3502478	8625	1995-01-31	PRIJEM	\N	199	109177	UROK	\N	\N
3502479	8625	1995-02-28	PRIJEM	\N	373	87027	UROK	\N	\N
3502480	8625	1995-03-31	PRIJEM	\N	195	107880	UROK	\N	\N
3502481	8625	1995-04-30	PRIJEM	\N	249	52586	UROK	\N	\N
3502482	8625	1995-05-31	PRIJEM	\N	332	100814	UROK	\N	\N
3502483	8625	1995-06-30	PRIJEM	\N	224	65906	UROK	\N	\N
3502484	8625	1995-07-31	PRIJEM	\N	284	85306	UROK	\N	\N
3502485	8625	1995-08-31	PRIJEM	\N	378	85025	UROK	\N	\N
3502486	8625	1995-09-30	PRIJEM	\N	344	106452	UROK	\N	\N
3502487	8625	1995-10-31	PRIJEM	\N	308	55423	UROK	\N	\N
3502488	8625	1995-11-30	PRIJEM	\N	142	31130	UROK	\N	\N
3502489	8625	1995-12-31	PRIJEM	\N	247	68586	UROK	\N	\N
3502490	8625	1996-01-31	PRIJEM	\N	303	84147	UROK	\N	\N
3502491	8625	1996-02-29	PRIJEM	\N	348	73149	UROK	\N	\N
3502492	8625	1996-03-31	PRIJEM	\N	240	54735	UROK	\N	\N
3502493	8625	1996-04-30	PRIJEM	\N	210	74306	UROK	\N	\N
3502494	8625	1996-05-31	PRIJEM	\N	152	50396	UROK	\N	\N
3502495	8625	1996-06-30	PRIJEM	\N	165	53797	UROK	\N	\N
3502496	8625	1996-07-31	PRIJEM	\N	90	40214	UROK	\N	\N
3502497	8625	1996-08-31	PRIJEM	\N	231	51661	UROK	\N	\N
3502498	8625	1996-09-30	PRIJEM	\N	91	48243	UROK	\N	\N
3502499	8625	1996-10-31	PRIJEM	\N	150	49790	UROK	\N	\N
3502500	8625	1996-11-30	PRIJEM	\N	148	40151	UROK	\N	\N
3502501	8625	1996-12-31	PRIJEM	\N	117	67696	UROK	\N	\N
3502502	8625	1997-01-31	PRIJEM	\N	217	43737	UROK	\N	\N
3502503	8625	1997-02-28	PRIJEM	\N	95	58971	UROK	\N	\N
3502504	8625	1997-03-31	PRIJEM	\N	190	56172	UROK	\N	\N
3502505	8625	1997-04-30	PRIJEM	\N	117	48296	UROK	\N	\N
3502506	8625	1997-05-31	PRIJEM	\N	200	57391	UROK	\N	\N
3502507	8625	1997-06-30	PRIJEM	\N	44	40745	UROK	\N	\N
3502508	8625	1997-07-31	PRIJEM	\N	100	28679	UROK	\N	\N
3502509	8625	1997-08-31	PRIJEM	\N	198	118797	UROK	\N	\N
3502510	8625	1997-09-30	PRIJEM	\N	377	66491	UROK	\N	\N
3502511	8625	1997-10-31	PRIJEM	\N	133	35688	UROK	\N	\N
3502512	8625	1997-11-30	PRIJEM	\N	21	25643	UROK	\N	\N
3502513	8625	1997-12-31	PRIJEM	\N	105	46786	UROK	\N	\N
3502514	8625	1998-01-31	PRIJEM	\N	108	30766	UROK	\N	\N
3502515	8625	1998-02-28	PRIJEM	\N	57	21157	UROK	\N	\N
3502516	8625	1998-03-31	PRIJEM	\N	205	66829	UROK	\N	\N
3502517	8625	1998-04-30	PRIJEM	\N	142	68157	UROK	\N	\N
3502518	8625	1998-05-31	PRIJEM	\N	281	73426	UROK	\N	\N
3502519	8625	1998-06-30	PRIJEM	\N	201	47141	UROK	\N	\N
3502520	8625	1998-07-31	PRIJEM	\N	195	49059	UROK	\N	\N
3502521	8625	1998-08-31	PRIJEM	\N	65	39458	UROK	\N	\N
3502522	8625	1998-09-30	PRIJEM	\N	38	29057	UROK	\N	\N
3502523	8625	1998-10-31	PRIJEM	\N	183	47863	UROK	\N	\N
3502524	8625	1998-11-30	PRIJEM	\N	61	37777	UROK	\N	\N
3502525	8625	1998-12-31	PRIJEM	\N	80	28073	UROK	\N	\N
3502594	8628	1996-11-30	PRIJEM	\N	250	73200	UROK	\N	\N
3502595	8628	1996-12-31	PRIJEM	\N	139	32345	UROK	\N	\N
3502596	8628	1997-01-31	PRIJEM	\N	51	10542	UROK	\N	\N
3502597	8628	1997-02-28	PRIJEM	\N	33	13215	UROK	\N	\N
3502598	8628	1997-02-28	VYDAJ	VYBER	11	13239	SANKC. UROK	\N	\N
3502599	8628	1997-03-31	VYDAJ	VYBER	14	-2774	SANKC. UROK	\N	\N
3502600	8628	1997-05-31	PRIJEM	\N	67	15524	UROK	\N	\N
3502601	8628	1997-06-30	PRIJEM	\N	21	6585	UROK	\N	\N
3502602	8628	1997-07-31	PRIJEM	\N	32	10799	UROK	\N	\N
3502603	8628	1997-08-31	PRIJEM	\N	23	9059	UROK	\N	\N
3502604	8628	1997-09-30	PRIJEM	\N	46	10235	UROK	\N	\N
3502605	8628	1997-10-31	PRIJEM	\N	23	6448	UROK	\N	\N
3502606	8628	1997-11-30	PRIJEM	\N	134	33647	UROK	\N	\N
3502607	8628	1997-12-31	PRIJEM	\N	236	88440	UROK	\N	\N
3502608	8628	1998-01-31	PRIJEM	\N	204	30314	UROK	\N	\N
3502609	8628	1998-02-28	PRIJEM	\N	92	17706	UROK	\N	\N
3502610	8628	1998-03-31	PRIJEM	\N	169	90925	UROK	\N	\N
3502611	8628	1998-04-30	PRIJEM	\N	263	86698	UROK	\N	\N
3502612	8628	1998-05-31	PRIJEM	\N	222	44542	UROK	\N	\N
3502613	8628	1998-06-30	PRIJEM	\N	135	31661	UROK	\N	\N
3502614	8628	1998-07-31	PRIJEM	\N	86	49241	UROK	\N	\N
3502615	8628	1998-08-31	PRIJEM	\N	76	22721	UROK	\N	\N
3502616	8628	1998-09-30	PRIJEM	\N	42	17517	UROK	\N	\N
3502617	8628	1998-10-31	PRIJEM	\N	63	8823	UROK	\N	\N
3502618	8628	1998-11-30	PRIJEM	\N	52	6562	UROK	\N	\N
3502619	8628	1998-12-31	PRIJEM	\N	98	56078	UROK	\N	\N
3502620	8639	1997-09-30	PRIJEM	\N	26	20693	UROK	\N	\N
3502621	8639	1997-10-31	PRIJEM	\N	42	31432	UROK	\N	\N
3502622	8639	1997-11-30	PRIJEM	\N	44	31543	UROK	\N	\N
3502623	8639	1997-12-31	PRIJEM	\N	59	40283	UROK	\N	\N
3502624	8639	1998-01-31	PRIJEM	\N	112	21955	UROK	\N	\N
3502625	8639	1998-02-28	PRIJEM	\N	85	20209	UROK	\N	\N
3502626	8639	1998-03-31	PRIJEM	\N	82	20764	UROK	\N	\N
3502627	8639	1998-04-30	PRIJEM	\N	117	26833	UROK	\N	\N
3502628	8639	1998-05-31	PRIJEM	\N	63	21582	UROK	\N	\N
3502629	8639	1998-06-30	PRIJEM	\N	68	24026	UROK	\N	\N
3502630	8639	1998-07-31	PRIJEM	\N	88	31295	UROK	\N	\N
3502631	8639	1998-08-31	PRIJEM	\N	118	19918	UROK	\N	\N
3502632	8639	1998-09-30	PRIJEM	\N	83	31659	UROK	\N	\N
3502633	8639	1998-10-31	PRIJEM	\N	125	29755	UROK	\N	\N
3502634	8639	1998-11-30	PRIJEM	\N	86	31856	UROK	\N	\N
3502635	8639	1998-12-31	PRIJEM	\N	130	23567	UROK	\N	\N
3502658	8645	1997-07-31	PRIJEM	\N	21	19050	UROK	\N	\N
3502659	8645	1997-08-31	PRIJEM	\N	37	30538	UROK	\N	\N
3502660	8645	1997-09-30	PRIJEM	\N	49	38911	UROK	\N	\N
3502661	8645	1997-10-31	PRIJEM	\N	57	42802	UROK	\N	\N
3502662	8645	1997-11-30	PRIJEM	\N	63	41369	UROK	\N	\N
3502663	8645	1997-12-31	PRIJEM	\N	150	33629	UROK	\N	\N
3502664	8645	1998-01-31	PRIJEM	\N	94	19456	UROK	\N	\N
3502665	8645	1998-02-28	PRIJEM	\N	56	22007	UROK	\N	\N
3502666	8645	1998-03-31	PRIJEM	\N	71	20940	UROK	\N	\N
3502667	8645	1998-04-30	PRIJEM	\N	92	22498	UROK	\N	\N
3502668	8645	1998-05-31	PRIJEM	\N	90	21376	UROK	\N	\N
3502669	8645	1998-06-30	PRIJEM	\N	63	27596	UROK	\N	\N
3502670	8645	1998-07-31	PRIJEM	\N	79	24363	UROK	\N	\N
3502671	8645	1998-08-31	PRIJEM	\N	87	22412	UROK	\N	\N
3502672	8645	1998-09-30	PRIJEM	\N	86	24694	UROK	\N	\N
3502673	8645	1998-10-31	PRIJEM	\N	71	26750	UROK	\N	\N
3502674	8645	1998-11-30	PRIJEM	\N	106	28747	UROK	\N	\N
3502675	8645	1998-12-31	PRIJEM	\N	128	37613	UROK	\N	\N
3502893	8680	1996-03-31	PRIJEM	\N	53	21795	UROK	\N	\N
3502894	8680	1996-04-30	PRIJEM	\N	71	28661	UROK	\N	\N
3502895	8680	1996-05-31	PRIJEM	\N	79	31353	UROK	\N	\N
3502896	8680	1996-06-30	PRIJEM	\N	99	38130	UROK	\N	\N
3502897	8680	1996-07-31	PRIJEM	\N	101	34218	UROK	\N	\N
3502898	8680	1996-08-31	PRIJEM	\N	106	34331	UROK	\N	\N
3502899	8680	1996-09-30	PRIJEM	\N	92	30169	UROK	\N	\N
3502900	8680	1996-10-31	PRIJEM	\N	91	28999	UROK	\N	\N
3502901	8680	1996-11-30	PRIJEM	\N	98	25324	UROK	\N	\N
3502902	8680	1996-12-31	PRIJEM	\N	122	36441	UROK	\N	\N
3502903	8680	1997-01-31	PRIJEM	\N	80	19954	UROK	\N	\N
3502904	8680	1997-02-28	PRIJEM	\N	53	19804	UROK	\N	\N
3502905	8680	1997-03-31	PRIJEM	\N	57	19588	UROK	\N	\N
3502906	8680	1997-04-30	PRIJEM	\N	68	19521	UROK	\N	\N
3502907	8680	1997-05-31	PRIJEM	\N	68	19316	UROK	\N	\N
3502908	8680	1997-06-30	PRIJEM	\N	83	26337	UROK	\N	\N
3502909	8680	1997-07-31	PRIJEM	\N	75	25319	UROK	\N	\N
3502910	8680	1997-08-31	PRIJEM	\N	72	19990	UROK	\N	\N
3502911	8680	1997-09-30	PRIJEM	\N	51	15768	UROK	\N	\N
3502912	8680	1997-10-31	PRIJEM	\N	51	17799	UROK	\N	\N
3502913	8680	1997-11-30	PRIJEM	\N	50	15885	UROK	\N	\N
3502914	8680	1997-12-31	PRIJEM	\N	62	23518	UROK	\N	\N
3502915	8680	1998-01-31	PRIJEM	\N	60	20477	UROK	\N	\N
3502916	8680	1998-02-28	PRIJEM	\N	74	22150	UROK	\N	\N
3502917	8680	1998-03-31	PRIJEM	\N	73	22225	UROK	\N	\N
3502918	8680	1998-04-30	PRIJEM	\N	51	19179	UROK	\N	\N
3502919	8680	1998-05-31	PRIJEM	\N	62	21504	UROK	\N	\N
3502920	8680	1998-06-30	PRIJEM	\N	85	26860	UROK	\N	\N
3502921	8680	1998-07-31	PRIJEM	\N	76	22225	UROK	\N	\N
3502922	8680	1998-08-31	PRIJEM	\N	52	16956	UROK	\N	\N
3502923	8680	1998-09-30	PRIJEM	\N	52	17087	UROK	\N	\N
3502924	8680	1998-10-31	PRIJEM	\N	50	16365	UROK	\N	\N
3502925	8680	1998-11-30	PRIJEM	\N	38	16182	UROK	\N	\N
3502926	8680	1998-12-31	PRIJEM	\N	57	23226	UROK	\N	\N
3502955	8688	1996-12-31	PRIJEM	\N	32	26822	UROK	\N	\N
3502956	8688	1997-01-31	PRIJEM	\N	50	37034	UROK	\N	\N
3502957	8688	1997-02-28	PRIJEM	\N	45	38070	UROK	\N	\N
3502958	8688	1997-03-31	PRIJEM	\N	50	41819	UROK	\N	\N
3502959	8688	1997-04-30	PRIJEM	\N	114	37986	UROK	\N	\N
3502960	8688	1997-05-31	PRIJEM	\N	113	35355	UROK	\N	\N
3502961	8688	1997-06-30	PRIJEM	\N	172	30326	UROK	\N	\N
3502962	8688	1997-07-31	PRIJEM	\N	106	38288	UROK	\N	\N
3502963	8688	1997-08-31	PRIJEM	\N	166	36367	UROK	\N	\N
3502964	8688	1997-09-30	PRIJEM	\N	164	38707	UROK	\N	\N
3502965	8688	1997-10-31	PRIJEM	\N	108	38801	UROK	\N	\N
3502966	8688	1997-11-30	PRIJEM	\N	111	43712	UROK	\N	\N
3502967	8688	1997-12-31	PRIJEM	\N	197	49263	UROK	\N	\N
3502968	8688	1998-01-31	PRIJEM	\N	181	33702	UROK	\N	\N
3502969	8688	1998-02-28	PRIJEM	\N	98	39357	UROK	\N	\N
3502970	8688	1998-03-31	PRIJEM	\N	179	46722	UROK	\N	\N
3502971	8688	1998-04-30	PRIJEM	\N	197	50840	UROK	\N	\N
3502972	8688	1998-05-31	PRIJEM	\N	220	51418	UROK	\N	\N
3502973	8688	1998-06-30	PRIJEM	\N	198	36276	UROK	\N	\N
3502974	8688	1998-07-31	PRIJEM	\N	155	41304	UROK	\N	\N
3502975	8688	1998-08-31	PRIJEM	\N	160	40106	UROK	\N	\N
3502976	8688	1998-09-30	PRIJEM	\N	110	44670	UROK	\N	\N
3502977	8688	1998-10-31	PRIJEM	\N	162	38933	UROK	\N	\N
3502978	8688	1998-11-30	PRIJEM	\N	147	37963	UROK	\N	\N
3502979	8688	1998-12-31	PRIJEM	\N	170	56223	UROK	\N	\N
3503062	8713	1997-06-30	PRIJEM	\N	51	28110	UROK	\N	\N
3503063	8713	1997-07-31	PRIJEM	\N	64	33944	UROK	\N	\N
3503064	8713	1997-08-31	PRIJEM	\N	72	36115	UROK	\N	\N
3503065	8713	1997-09-30	PRIJEM	\N	82	39769	UROK	\N	\N
3503066	8713	1997-10-31	PRIJEM	\N	67	28548	UROK	\N	\N
3503067	8713	1997-11-30	PRIJEM	\N	119	28844	UROK	\N	\N
3503068	8713	1997-12-31	PRIJEM	\N	98	30352	UROK	\N	\N
3503069	8713	1998-01-31	PRIJEM	\N	48	10056	UROK	\N	\N
3503070	8713	1998-02-28	PRIJEM	\N	57	22093	UROK	\N	\N
3503071	8713	1998-03-31	PRIJEM	\N	79	16085	UROK	\N	\N
3503072	8713	1998-04-30	PRIJEM	\N	101	30322	UROK	\N	\N
3503073	8713	1998-05-31	PRIJEM	\N	143	38620	UROK	\N	\N
3503074	8713	1998-06-30	PRIJEM	\N	84	12580	UROK	\N	\N
3503075	8713	1998-07-31	PRIJEM	\N	71	27533	UROK	\N	\N
3503076	8713	1998-08-31	PRIJEM	\N	95	36538	UROK	\N	\N
3503077	8713	1998-09-30	PRIJEM	\N	129	38473	UROK	\N	\N
3503078	8713	1998-10-31	PRIJEM	\N	160	40872	UROK	\N	\N
3503079	8713	1998-11-30	PRIJEM	\N	142	52624	UROK	\N	\N
3503080	8713	1998-12-31	PRIJEM	\N	167	14675	UROK	\N	\N
3503369	8742	1997-02-28	PRIJEM	\N	3	17572	UROK	\N	\N
3503370	8742	1997-03-31	PRIJEM	\N	8	31123	UROK	\N	\N
3503371	8742	1997-04-30	PRIJEM	\N	11	39430	UROK	\N	\N
3503372	8742	1997-05-31	PRIJEM	\N	16	40411	UROK	\N	\N
3503373	8742	1997-06-30	PRIJEM	\N	87	24236	UROK	\N	\N
3503374	8742	1997-07-31	PRIJEM	\N	96	31905	UROK	\N	\N
3503375	8742	1997-08-31	PRIJEM	\N	140	30440	UROK	\N	\N
3503376	8742	1997-09-30	PRIJEM	\N	127	27782	UROK	\N	\N
3503377	8742	1997-10-31	PRIJEM	\N	98	26107	UROK	\N	\N
3503378	8742	1997-11-30	PRIJEM	\N	114	27151	UROK	\N	\N
3503379	8742	1997-12-31	PRIJEM	\N	120	27743	UROK	\N	\N
3503380	8742	1998-01-31	PRIJEM	\N	65	15964	UROK	\N	\N
3503381	8742	1998-02-28	PRIJEM	\N	59	20719	UROK	\N	\N
3503382	8742	1998-03-31	PRIJEM	\N	88	22967	UROK	\N	\N
3503383	8742	1998-04-30	PRIJEM	\N	82	25445	UROK	\N	\N
3503384	8742	1998-05-31	PRIJEM	\N	96	20756	UROK	\N	\N
3503385	8742	1998-06-30	PRIJEM	\N	56	18434	UROK	\N	\N
3503386	8742	1998-07-31	PRIJEM	\N	77	21087	UROK	\N	\N
3503387	8742	1998-08-31	PRIJEM	\N	68	16197	UROK	\N	\N
3503388	8742	1998-09-30	PRIJEM	\N	71	16645	UROK	\N	\N
3503389	8742	1998-10-31	PRIJEM	\N	53	17428	UROK	\N	\N
3503390	8742	1998-11-30	PRIJEM	\N	55	16816	UROK	\N	\N
3503391	8742	1998-12-31	PRIJEM	\N	81	21926	UROK	\N	\N
3503445	8759	1993-11-30	PRIJEM	\N	100	87335	UROK	\N	\N
3503446	8759	1993-12-31	PRIJEM	\N	64	68137	UROK	\N	\N
3503447	8759	1994-01-31	PRIJEM	\N	204	51188	UROK	\N	\N
3503448	8759	1994-02-28	PRIJEM	\N	124	63225	UROK	\N	\N
3503449	8759	1994-03-31	PRIJEM	\N	156	87085	UROK	\N	\N
3503450	8759	1994-04-30	PRIJEM	\N	165	57243	UROK	\N	\N
3503451	8759	1994-05-31	PRIJEM	\N	257	47766	UROK	\N	\N
3503452	8759	1994-06-30	PRIJEM	\N	247	68979	UROK	\N	\N
3503453	8759	1994-06-30	VYDAJ	VYBER	3	68976	SANKC. UROK	\N	\N
3503454	8759	1994-07-31	PRIJEM	\N	176	53257	UROK	\N	\N
3503455	8759	1994-08-31	PRIJEM	\N	209	40564	UROK	\N	\N
3503456	8759	1994-09-30	PRIJEM	\N	228	93945	UROK	\N	\N
3503457	8759	1994-10-31	PRIJEM	\N	351	108648	UROK	\N	\N
3503458	8759	1994-11-30	PRIJEM	\N	280	80346	UROK	\N	\N
3503459	8759	1994-12-31	PRIJEM	\N	266	71738	UROK	\N	\N
3503460	8759	1995-01-31	PRIJEM	\N	236	65317	UROK	\N	\N
3503461	8759	1995-02-28	PRIJEM	\N	329	63383	UROK	\N	\N
3503462	8759	1995-03-31	PRIJEM	\N	367	107048	UROK	\N	\N
3503463	8759	1995-04-30	PRIJEM	\N	262	95694	UROK	\N	\N
3503464	8759	1995-06-30	PRIJEM	\N	73	29249	UROK	\N	\N
3503465	8759	1995-07-31	PRIJEM	\N	147	61703	UROK	\N	\N
3503466	8759	1995-08-31	PRIJEM	\N	162	56967	UROK	\N	\N
3503467	8759	1995-09-30	PRIJEM	\N	284	83198	UROK	\N	\N
3503468	8759	1995-10-31	PRIJEM	\N	250	94972	UROK	\N	\N
3503469	8759	1995-11-30	PRIJEM	\N	286	108207	UROK	\N	\N
3503470	8759	1995-12-31	PRIJEM	\N	398	102199	UROK	\N	\N
3503471	8759	1996-01-31	PRIJEM	\N	236	36231	UROK	\N	\N
3503472	8759	1996-02-29	PRIJEM	\N	162	63941	UROK	\N	\N
3503473	8759	1996-03-31	PRIJEM	\N	153	26687	UROK	\N	\N
3503474	8759	1996-04-30	PRIJEM	\N	135	44786	UROK	\N	\N
3503475	8759	1996-05-31	PRIJEM	\N	206	65258	UROK	\N	\N
3503476	8759	1996-06-30	PRIJEM	\N	60	77836	UROK	\N	\N
3503477	8759	1996-07-31	PRIJEM	\N	189	92100	UROK	\N	\N
3503478	8759	1996-08-31	PRIJEM	\N	106	24236	UROK	\N	\N
3503479	8759	1996-09-30	PRIJEM	\N	52	35475	UROK	\N	\N
3503480	8759	1996-10-31	PRIJEM	\N	118	42068	UROK	\N	\N
3503481	8759	1996-11-30	PRIJEM	\N	226	67948	UROK	\N	\N
3503482	8759	1996-12-31	PRIJEM	\N	201	54160	UROK	\N	\N
3503483	8759	1997-01-31	PRIJEM	\N	42	27903	UROK	\N	\N
3503484	8759	1997-02-28	PRIJEM	\N	4	34304	UROK	\N	\N
3503485	8759	1997-03-31	PRIJEM	\N	102	37436	UROK	\N	\N
3503486	8759	1997-04-30	PRIJEM	\N	117	39341	UROK	\N	\N
3503487	8759	1997-05-31	PRIJEM	\N	5	45353	UROK	\N	\N
3503488	8759	1997-06-30	PRIJEM	\N	154	46976	UROK	\N	\N
3503489	8759	1997-07-31	PRIJEM	\N	154	47574	UROK	\N	\N
3503490	8759	1997-09-30	PRIJEM	\N	4	40145	UROK	\N	\N
3503491	8759	1997-10-31	PRIJEM	\N	242	80786	UROK	\N	\N
3503492	8759	1997-11-30	PRIJEM	\N	258	56657	UROK	\N	\N
3503493	8759	1997-12-31	PRIJEM	\N	34	48041	UROK	\N	\N
3503494	8759	1998-01-31	PRIJEM	\N	61	28473	UROK	\N	\N
3503495	8759	1998-02-28	PRIJEM	\N	6	47608	UROK	\N	\N
3503496	8759	1998-03-31	PRIJEM	\N	146	51686	UROK	\N	\N
3503497	8759	1998-04-30	PRIJEM	\N	129	42740	UROK	\N	\N
3503498	8759	1998-05-31	PRIJEM	\N	6	30847	UROK	\N	\N
3503499	8759	1998-06-30	PRIJEM	\N	89	34561	UROK	\N	\N
3503500	8759	1998-07-31	PRIJEM	\N	132	59484	UROK	\N	\N
3503501	8759	1998-08-31	PRIJEM	\N	258	65543	UROK	\N	\N
3503502	8759	1998-09-30	PRIJEM	\N	226	56254	UROK	\N	\N
3503503	8759	1998-10-31	PRIJEM	\N	208	71042	UROK	\N	\N
3503504	8759	1998-11-30	PRIJEM	\N	248	59483	UROK	\N	\N
3503505	8759	1998-12-31	PRIJEM	\N	132	35214	UROK	\N	\N
3503580	8772	1996-06-30	PRIJEM	\N	45	21399	UROK	\N	\N
3503581	8772	1996-07-31	PRIJEM	\N	55	25735	UROK	\N	\N
3503582	8772	1996-08-31	PRIJEM	\N	59	25937	UROK	\N	\N
3503583	8772	1996-09-30	PRIJEM	\N	63	26735	UROK	\N	\N
3503584	8772	1996-10-31	PRIJEM	\N	58	22382	UROK	\N	\N
3503585	8772	1996-11-30	PRIJEM	\N	53	19303	UROK	\N	\N
3503586	8772	1996-12-31	PRIJEM	\N	72	16644	UROK	\N	\N
3503587	8772	1997-01-31	PRIJEM	\N	45	7582	UROK	\N	\N
3503588	8772	1997-02-28	PRIJEM	\N	32	6611	UROK	\N	\N
3503589	8772	1997-03-31	PRIJEM	\N	34	9410	UROK	\N	\N
3503590	8772	1997-04-30	PRIJEM	\N	33	4675	UROK	\N	\N
3503591	8772	1997-05-31	PRIJEM	\N	28	6501	UROK	\N	\N
3503592	8772	1997-06-30	PRIJEM	\N	33	7153	UROK	\N	\N
3503593	8772	1997-07-31	PRIJEM	\N	23	9002	UROK	\N	\N
3503594	8772	1997-08-31	PRIJEM	\N	39	10939	UROK	\N	\N
3503595	8772	1997-09-30	PRIJEM	\N	20	5284	UROK	\N	\N
3503596	8772	1997-10-31	PRIJEM	\N	18	7182	UROK	\N	\N
3503597	8772	1997-11-30	PRIJEM	\N	32	9040	UROK	\N	\N
3503598	8772	1997-12-31	PRIJEM	\N	53	16523	UROK	\N	\N
3503599	8772	1998-01-31	PRIJEM	\N	27	5310	UROK	\N	\N
3503600	8772	1998-02-28	PRIJEM	\N	24	7158	UROK	\N	\N
3503601	8772	1998-03-31	PRIJEM	\N	32	9039	UROK	\N	\N
3503602	8772	1998-04-30	PRIJEM	\N	39	10935	UROK	\N	\N
3503603	8772	1998-05-31	PRIJEM	\N	47	12893	UROK	\N	\N
3503604	8772	1998-06-30	PRIJEM	\N	37	7111	UROK	\N	\N
3503605	8772	1998-07-31	PRIJEM	\N	21	8988	UROK	\N	\N
3503606	8772	1998-08-31	PRIJEM	\N	26	10876	UROK	\N	\N
3503607	8772	1998-09-30	PRIJEM	\N	30	12731	UROK	\N	\N
3503608	8772	1998-10-31	PRIJEM	\N	35	14637	UROK	\N	\N
3503609	8772	1998-11-30	PRIJEM	\N	41	16557	UROK	\N	\N
3503610	8772	1998-12-31	PRIJEM	\N	67	16597	UROK	\N	\N
3503611	8776	1994-09-30	PRIJEM	\N	18	18782	UROK	\N	\N
3503612	8776	1994-10-31	PRIJEM	\N	33	30700	UROK	\N	\N
3503613	8776	1994-11-30	PRIJEM	\N	37	33694	UROK	\N	\N
3503614	8776	1994-12-31	PRIJEM	\N	48	39369	UROK	\N	\N
3503615	8776	1995-01-31	PRIJEM	\N	96	30277	UROK	\N	\N
3503616	8776	1995-02-28	PRIJEM	\N	146	38236	UROK	\N	\N
3503617	8776	1995-03-31	PRIJEM	\N	159	42785	UROK	\N	\N
3503618	8776	1995-04-30	PRIJEM	\N	197	41628	UROK	\N	\N
3503619	8776	1995-05-31	PRIJEM	\N	178	40233	UROK	\N	\N
3503620	8776	1995-06-30	PRIJEM	\N	165	37849	UROK	\N	\N
3503621	8776	1995-07-31	PRIJEM	\N	139	42116	UROK	\N	\N
3503622	8776	1995-08-31	PRIJEM	\N	189	44654	UROK	\N	\N
3503623	8776	1995-09-30	PRIJEM	\N	129	44309	UROK	\N	\N
3503624	8776	1995-10-31	PRIJEM	\N	120	45060	UROK	\N	\N
3503625	8776	1995-11-30	PRIJEM	\N	116	43304	UROK	\N	\N
3503626	8776	1995-12-31	PRIJEM	\N	129	43398	UROK	\N	\N
3503627	8776	1996-01-31	PRIJEM	\N	163	27265	UROK	\N	\N
3503628	8776	1996-02-29	PRIJEM	\N	137	40181	UROK	\N	\N
3503629	8776	1996-03-31	PRIJEM	\N	174	44096	UROK	\N	\N
3503630	8776	1996-04-30	PRIJEM	\N	176	45769	UROK	\N	\N
3503631	8776	1996-05-31	PRIJEM	\N	121	48923	UROK	\N	\N
3503632	8776	1996-06-30	PRIJEM	\N	120	41417	UROK	\N	\N
3503633	8776	1996-07-31	PRIJEM	\N	172	44908	UROK	\N	\N
3503634	8776	1996-08-31	PRIJEM	\N	179	46279	UROK	\N	\N
3503635	8776	1996-09-30	PRIJEM	\N	181	50013	UROK	\N	\N
3503636	8776	1996-10-31	PRIJEM	\N	181	47836	UROK	\N	\N
3503637	8776	1996-11-30	PRIJEM	\N	126	49315	UROK	\N	\N
3503638	8776	1996-12-31	PRIJEM	\N	186	50568	UROK	\N	\N
3503639	8776	1997-01-31	PRIJEM	\N	110	32271	UROK	\N	\N
3503640	8776	1997-02-28	PRIJEM	\N	100	37712	UROK	\N	\N
3503641	8776	1997-03-31	PRIJEM	\N	150	41536	UROK	\N	\N
3503642	8776	1997-04-30	PRIJEM	\N	158	44949	UROK	\N	\N
3503643	8776	1997-05-31	PRIJEM	\N	129	50804	UROK	\N	\N
3503644	8776	1997-06-30	PRIJEM	\N	154	49132	UROK	\N	\N
3503645	8776	1997-07-31	PRIJEM	\N	152	56505	UROK	\N	\N
3503646	8776	1997-08-31	PRIJEM	\N	163	56934	UROK	\N	\N
3503647	8776	1997-09-30	PRIJEM	\N	169	58144	UROK	\N	\N
3503648	8776	1997-10-31	PRIJEM	\N	188	62132	UROK	\N	\N
3503649	8776	1997-11-30	PRIJEM	\N	203	65426	UROK	\N	\N
3503650	8776	1997-12-31	PRIJEM	\N	289	77478	UROK	\N	\N
3503651	8776	1998-01-31	PRIJEM	\N	251	58871	UROK	\N	\N
3503652	8776	1998-02-28	PRIJEM	\N	228	64928	UROK	\N	\N
3503653	8776	1998-03-31	PRIJEM	\N	192	66507	UROK	\N	\N
3503654	8776	1998-04-30	PRIJEM	\N	192	64841	UROK	\N	\N
3503655	8776	1998-05-31	PRIJEM	\N	245	68869	UROK	\N	\N
3503656	8776	1998-06-30	PRIJEM	\N	196	61792	UROK	\N	\N
3503657	8776	1998-07-31	PRIJEM	\N	226	58508	UROK	\N	\N
3503658	8776	1998-08-31	PRIJEM	\N	235	65884	UROK	\N	\N
3503659	8776	1998-09-30	PRIJEM	\N	269	74729	UROK	\N	\N
3503660	8776	1998-10-31	PRIJEM	\N	263	73803	UROK	\N	\N
3503661	8776	1998-11-30	PRIJEM	\N	218	75035	UROK	\N	\N
3503662	8776	1998-12-31	PRIJEM	\N	247	85428	UROK	\N	\N
3503685	8784	1996-11-30	PRIJEM	\N	64	30655	UROK	\N	\N
3503686	8784	1996-12-31	PRIJEM	\N	119	55511	UROK	\N	\N
3503687	8784	1997-01-31	PRIJEM	\N	134	59136	UROK	\N	\N
3503688	8784	1997-02-28	PRIJEM	\N	133	60246	UROK	\N	\N
3503689	8784	1997-03-31	PRIJEM	\N	182	50262	UROK	\N	\N
3503690	8784	1997-04-30	PRIJEM	\N	178	41916	UROK	\N	\N
3503691	8784	1997-05-31	PRIJEM	\N	96	30337	UROK	\N	\N
3503692	8784	1997-06-30	PRIJEM	\N	146	45808	UROK	\N	\N
3503693	8784	1997-07-31	PRIJEM	\N	187	41653	UROK	\N	\N
3503694	8784	1997-08-31	PRIJEM	\N	168	40888	UROK	\N	\N
3503695	8784	1997-09-30	PRIJEM	\N	110	36503	UROK	\N	\N
3503696	8784	1997-10-31	PRIJEM	\N	142	33066	UROK	\N	\N
3503697	8784	1997-11-30	PRIJEM	\N	134	35142	UROK	\N	\N
3503698	8784	1997-12-31	PRIJEM	\N	159	40976	UROK	\N	\N
3503699	8784	1998-01-31	PRIJEM	\N	150	38405	UROK	\N	\N
3503700	8784	1998-02-28	PRIJEM	\N	157	56008	UROK	\N	\N
3503701	8784	1998-03-31	PRIJEM	\N	175	45906	UROK	\N	\N
3503702	8784	1998-04-30	PRIJEM	\N	144	53111	UROK	\N	\N
3503703	8784	1998-05-31	PRIJEM	\N	174	60393	UROK	\N	\N
3503704	8784	1998-06-30	PRIJEM	\N	290	76959	UROK	\N	\N
3503705	8784	1998-07-31	PRIJEM	\N	206	74345	UROK	\N	\N
3503706	8784	1998-08-31	PRIJEM	\N	195	67776	UROK	\N	\N
3503707	8784	1998-09-30	PRIJEM	\N	195	69419	UROK	\N	\N
3503708	8784	1998-10-31	PRIJEM	\N	247	52848	UROK	\N	\N
3503709	8784	1998-11-30	PRIJEM	\N	153	51836	UROK	\N	\N
3503710	8784	1998-12-31	PRIJEM	\N	235	66384	UROK	\N	\N
3504423	8856	1995-01-31	PRIJEM	\N	55	40754	UROK	\N	\N
3504424	8856	1995-02-28	PRIJEM	\N	102	58563	UROK	\N	\N
3504425	8856	1995-03-31	PRIJEM	\N	181	44011	UROK	\N	\N
3504426	8856	1995-04-30	PRIJEM	\N	240	46452	UROK	\N	\N
3504427	8856	1995-05-31	PRIJEM	\N	56	30722	UROK	\N	\N
3504428	8856	1995-06-30	PRIJEM	\N	51	25475	UROK	\N	\N
3504429	8856	1995-07-31	PRIJEM	\N	36	16085	UROK	\N	\N
3504430	8856	1995-08-31	PRIJEM	\N	10	4106	UROK	\N	\N
3504431	8856	1995-09-30	PRIJEM	\N	88	63247	UROK	\N	\N
3504432	8856	1995-10-31	PRIJEM	\N	78	75248	UROK	\N	\N
3504433	8856	1995-11-30	PRIJEM	\N	227	105271	UROK	\N	\N
3504434	8856	1995-12-31	PRIJEM	\N	384	77319	UROK	\N	\N
3504435	8856	1996-01-31	PRIJEM	\N	244	43672	UROK	\N	\N
3504436	8856	1996-02-29	PRIJEM	\N	191	63193	UROK	\N	\N
3504437	8856	1996-03-31	PRIJEM	\N	228	62911	UROK	\N	\N
3504438	8856	1996-04-30	PRIJEM	\N	130	88630	UROK	\N	\N
3504439	8856	1996-05-31	PRIJEM	\N	239	94044	UROK	\N	\N
3504440	8856	1996-06-30	PRIJEM	\N	309	79437	UROK	\N	\N
3504441	8856	1996-07-31	PRIJEM	\N	341	91797	UROK	\N	\N
3504442	8856	1996-08-31	PRIJEM	\N	175	57827	UROK	\N	\N
3504443	8856	1996-09-30	PRIJEM	\N	213	52002	UROK	\N	\N
3504444	8856	1996-10-31	PRIJEM	\N	206	80837	UROK	\N	\N
3504445	8856	1996-11-30	PRIJEM	\N	405	119558	UROK	\N	\N
3504446	8856	1996-12-31	PRIJEM	\N	295	59842	UROK	\N	\N
3504447	8856	1997-01-31	PRIJEM	\N	153	42779	UROK	\N	\N
3504448	8856	1997-02-28	PRIJEM	\N	235	68494	UROK	\N	\N
3504449	8856	1997-03-31	PRIJEM	\N	190	41412	UROK	\N	\N
3504450	8856	1997-05-31	PRIJEM	\N	168	85006	UROK	\N	\N
3504451	8856	1997-06-30	PRIJEM	\N	194	121265	UROK	\N	\N
3504452	8856	1997-07-31	PRIJEM	\N	454	81749	UROK	\N	\N
3504453	8856	1997-08-31	PRIJEM	\N	161	50256	UROK	\N	\N
3504454	8856	1997-09-30	PRIJEM	\N	184	132082	UROK	\N	\N
3504455	8856	1997-10-31	PRIJEM	\N	218	100196	UROK	\N	\N
3504456	8856	1997-11-30	PRIJEM	\N	240	64421	UROK	\N	\N
3504457	8856	1997-12-31	PRIJEM	\N	243	108196	UROK	\N	\N
3504458	8856	1998-01-31	PRIJEM	\N	202	54484	UROK	\N	\N
3504459	8856	1998-02-28	PRIJEM	\N	213	79914	UROK	\N	\N
3504460	8856	1998-03-31	PRIJEM	\N	190	65682	UROK	\N	\N
3504461	8856	1998-04-30	PRIJEM	\N	325	105486	UROK	\N	\N
3504462	8856	1998-05-31	PRIJEM	\N	285	72356	UROK	\N	\N
3504463	8856	1998-06-30	PRIJEM	\N	273	111142	UROK	\N	\N
3504464	8856	1998-07-31	PRIJEM	\N	412	103608	UROK	\N	\N
3504465	8856	1998-08-31	PRIJEM	\N	360	117218	UROK	\N	\N
3504466	8856	1998-09-30	PRIJEM	\N	23	97529	UROK	\N	\N
3504467	8856	1998-10-31	PRIJEM	\N	216	103499	UROK	\N	\N
3504468	8856	1998-11-30	PRIJEM	\N	287	103160	UROK	\N	\N
3504469	8856	1998-12-31	PRIJEM	\N	488	138317	UROK	\N	\N
3504852	8896	1996-05-31	PRIJEM	\N	113	65984	UROK	\N	\N
3504853	8896	1996-07-31	PRIJEM	\N	243	82692	UROK	\N	\N
3504854	8896	1996-08-31	PRIJEM	\N	209	57925	UROK	\N	\N
3504855	8896	1996-09-30	PRIJEM	\N	223	47754	UROK	\N	\N
3504856	8896	1996-10-31	PRIJEM	\N	121	50798	UROK	\N	\N
3504857	8896	1996-11-30	PRIJEM	\N	278	55067	UROK	\N	\N
3504858	8896	1996-12-31	PRIJEM	\N	249	39842	UROK	\N	\N
3504859	8896	1997-01-31	PRIJEM	\N	218	45721	UROK	\N	\N
3504860	8896	1997-02-28	PRIJEM	\N	2	7233	UROK	\N	\N
3504861	8896	1997-03-31	PRIJEM	\N	258	67736	UROK	\N	\N
3504862	8896	1997-04-30	PRIJEM	\N	269	48454	UROK	\N	\N
3504863	8896	1997-05-31	PRIJEM	\N	31	49223	UROK	\N	\N
3504864	8896	1997-06-30	PRIJEM	\N	177	29464	UROK	\N	\N
3504865	8896	1997-07-31	PRIJEM	\N	290	100386	UROK	\N	\N
3504866	8896	1997-08-31	PRIJEM	\N	120	68421	UROK	\N	\N
3504867	8896	1997-09-30	PRIJEM	\N	317	33669	UROK	\N	\N
3504868	8896	1997-10-31	PRIJEM	\N	172	45507	UROK	\N	\N
3504869	8896	1997-11-30	PRIJEM	\N	156	26194	UROK	\N	\N
3504870	8896	1997-12-31	PRIJEM	\N	22	15693	UROK	\N	\N
3504871	8896	1998-01-31	PRIJEM	\N	141	25763	UROK	\N	\N
3504872	8896	1998-02-28	PRIJEM	\N	78	22234	UROK	\N	\N
3504873	8896	1998-03-31	PRIJEM	\N	61	5587	UROK	\N	\N
3504874	8896	1998-04-30	PRIJEM	\N	6	3492	UROK	\N	\N
3504875	8896	1998-06-30	PRIJEM	\N	9	6223	UROK	\N	\N
3504876	8896	1998-07-31	PRIJEM	\N	110	78841	UROK	\N	\N
3504877	8896	1998-08-31	PRIJEM	\N	282	79348	UROK	\N	\N
3504878	8896	1998-09-30	PRIJEM	\N	52	38251	UROK	\N	\N
3504879	8896	1998-10-31	PRIJEM	\N	127	10227	UROK	\N	\N
3504880	8896	1998-12-31	PRIJEM	\N	34	44290	UROK	\N	\N
3504881	8899	1994-10-31	PRIJEM	\N	192	49104	UROK	\N	\N
3504882	8899	1994-11-30	PRIJEM	\N	295	93814	UROK	\N	\N
3504883	8899	1994-12-31	PRIJEM	\N	161	63734	UROK	\N	\N
3504884	8899	1995-01-31	PRIJEM	\N	69	24877	UROK	\N	\N
3504885	8899	1995-02-28	PRIJEM	\N	165	59147	UROK	\N	\N
3504886	8899	1995-03-31	PRIJEM	\N	93	23590	UROK	\N	\N
3504887	8899	1995-04-30	PRIJEM	\N	76	19405	UROK	\N	\N
3504888	8899	1995-05-31	PRIJEM	\N	130	54429	UROK	\N	\N
3504889	8899	1995-06-30	PRIJEM	\N	110	36762	UROK	\N	\N
3504890	8899	1995-07-31	PRIJEM	\N	239	74278	UROK	\N	\N
3504891	8899	1995-08-31	PRIJEM	\N	301	84833	UROK	\N	\N
3504892	8899	1995-09-30	PRIJEM	\N	150	69483	UROK	\N	\N
3504893	8899	1995-10-31	PRIJEM	\N	136	46820	UROK	\N	\N
3504894	8899	1995-11-30	PRIJEM	\N	176	42202	UROK	\N	\N
3504895	8899	1995-12-31	PRIJEM	\N	70	34977	UROK	\N	\N
3504896	8899	1996-01-31	PRIJEM	\N	108	23647	UROK	\N	\N
3504897	8899	1996-02-29	PRIJEM	\N	46	32961	UROK	\N	\N
3504898	8899	1996-03-31	PRIJEM	\N	159	76751	UROK	\N	\N
3504899	8899	1996-04-30	PRIJEM	\N	159	57354	UROK	\N	\N
3504900	8899	1996-05-31	PRIJEM	\N	220	72497	UROK	\N	\N
3504901	8899	1996-06-30	PRIJEM	\N	158	59124	UROK	\N	\N
3504902	8899	1996-07-31	PRIJEM	\N	119	44481	UROK	\N	\N
3504903	8899	1996-08-31	PRIJEM	\N	79	35428	UROK	\N	\N
3504904	8899	1996-09-30	PRIJEM	\N	113	51746	UROK	\N	\N
3504905	8899	1996-10-31	PRIJEM	\N	189	69177	UROK	\N	\N
3504906	8899	1996-11-30	PRIJEM	\N	154	61653	UROK	\N	\N
3504907	8899	1996-12-31	PRIJEM	\N	218	55761	UROK	\N	\N
3504908	8899	1997-01-31	PRIJEM	\N	125	33490	UROK	\N	\N
3504909	8899	1997-02-28	PRIJEM	\N	122	41908	UROK	\N	\N
3504910	8899	1997-03-31	PRIJEM	\N	139	54392	UROK	\N	\N
3504911	8899	1997-04-30	PRIJEM	\N	260	55834	UROK	\N	\N
3504912	8899	1997-05-31	PRIJEM	\N	267	70315	UROK	\N	\N
3504913	8899	1997-06-30	PRIJEM	\N	98	59510	UROK	\N	\N
3504914	8899	1997-07-31	PRIJEM	\N	343	78689	UROK	\N	\N
3504915	8899	1997-08-31	PRIJEM	\N	242	48987	UROK	\N	\N
3504916	8899	1997-09-30	PRIJEM	\N	231	68666	UROK	\N	\N
3504917	8899	1997-10-31	PRIJEM	\N	180	69398	UROK	\N	\N
3504918	8899	1997-11-30	PRIJEM	\N	261	78691	UROK	\N	\N
3504919	8899	1997-12-31	PRIJEM	\N	262	68976	UROK	\N	\N
3504920	8899	1998-01-31	PRIJEM	\N	299	39750	UROK	\N	\N
3504921	8899	1998-02-28	PRIJEM	\N	276	82453	UROK	\N	\N
3504922	8899	1998-03-31	PRIJEM	\N	253	48663	UROK	\N	\N
3504923	8899	1998-04-30	PRIJEM	\N	206	67103	UROK	\N	\N
3504924	8899	1998-05-31	PRIJEM	\N	173	69504	UROK	\N	\N
3504925	8899	1998-06-30	PRIJEM	\N	334	87832	UROK	\N	\N
3504926	8899	1998-07-31	PRIJEM	\N	240	77791	UROK	\N	\N
3504927	8899	1998-08-31	PRIJEM	\N	313	77001	UROK	\N	\N
3504928	8899	1998-09-30	PRIJEM	\N	174	78392	UROK	\N	\N
3504929	8899	1998-10-31	PRIJEM	\N	348	110255	UROK	\N	\N
3504930	8899	1998-11-30	PRIJEM	\N	400	112023	UROK	\N	\N
3504931	8899	1998-12-31	PRIJEM	\N	269	64740	UROK	\N	\N
3505172	8919	1997-07-31	PRIJEM	\N	17	5289	UROK	\N	\N
3505173	8919	1997-08-31	PRIJEM	\N	60	18870	UROK	\N	\N
3505174	8919	1997-09-30	PRIJEM	\N	87	27512	UROK	\N	\N
3505175	8919	1997-10-31	PRIJEM	\N	108	33814	UROK	\N	\N
3505176	8919	1997-11-30	PRIJEM	\N	82	23220	UROK	\N	\N
3505177	8919	1997-12-31	PRIJEM	\N	83	20019	UROK	\N	\N
3505178	8919	1998-01-31	PRIJEM	\N	52	14858	UROK	\N	\N
3505179	8919	1998-02-28	PRIJEM	\N	42	13263	UROK	\N	\N
3505180	8919	1998-03-31	PRIJEM	\N	79	18045	UROK	\N	\N
3505181	8919	1998-04-30	PRIJEM	\N	73	18699	UROK	\N	\N
3505182	8919	1998-05-31	PRIJEM	\N	56	21110	UROK	\N	\N
3505183	8919	1998-06-30	PRIJEM	\N	89	22058	UROK	\N	\N
3505184	8919	1998-07-31	PRIJEM	\N	84	21084	UROK	\N	\N
3505185	8919	1998-08-31	PRIJEM	\N	65	26367	UROK	\N	\N
3505186	8919	1998-09-30	PRIJEM	\N	100	25586	UROK	\N	\N
3505187	8919	1998-10-31	PRIJEM	\N	103	28324	UROK	\N	\N
3505188	8919	1998-11-30	PRIJEM	\N	109	25175	UROK	\N	\N
3505189	8919	1998-12-31	PRIJEM	\N	86	16761	UROK	\N	\N
3505190	8926	1997-04-30	PRIJEM	\N	34	24560	UROK	\N	\N
3505191	8926	1997-05-31	PRIJEM	\N	49	33615	UROK	\N	\N
3505192	8926	1997-06-30	PRIJEM	\N	66	43722	UROK	\N	\N
3505193	8926	1997-07-31	PRIJEM	\N	68	42178	UROK	\N	\N
3505194	8926	1997-08-31	PRIJEM	\N	93	33351	UROK	\N	\N
3505195	8926	1997-09-30	PRIJEM	\N	105	28159	UROK	\N	\N
3505196	8926	1997-10-31	PRIJEM	\N	135	29533	UROK	\N	\N
3505197	8926	1997-11-30	PRIJEM	\N	138	35506	UROK	\N	\N
3505198	8926	1997-12-31	PRIJEM	\N	100	32918	UROK	\N	\N
3505199	8926	1998-01-31	PRIJEM	\N	108	23649	UROK	\N	\N
3505200	8926	1998-02-28	PRIJEM	\N	94	34012	UROK	\N	\N
3505201	8926	1998-03-31	PRIJEM	\N	87	34128	UROK	\N	\N
3505202	8926	1998-04-30	PRIJEM	\N	88	34274	UROK	\N	\N
3505203	8926	1998-05-31	PRIJEM	\N	89	32726	UROK	\N	\N
3505204	8926	1998-06-30	PRIJEM	\N	151	34118	UROK	\N	\N
3505205	8926	1998-07-31	PRIJEM	\N	154	37730	UROK	\N	\N
3505206	8926	1998-08-31	PRIJEM	\N	94	37785	UROK	\N	\N
3505207	8926	1998-09-30	PRIJEM	\N	94	36337	UROK	\N	\N
3505208	8926	1998-10-31	PRIJEM	\N	160	35311	UROK	\N	\N
3505209	8926	1998-11-30	PRIJEM	\N	140	30421	UROK	\N	\N
3505210	8926	1998-12-31	PRIJEM	\N	144	40138	UROK	\N	\N
3505317	8931	1996-01-31	PRIJEM	\N	118	31451	UROK	\N	\N
3505318	8931	1996-02-29	PRIJEM	\N	6	41055	UROK	\N	\N
3505319	8931	1996-04-30	PRIJEM	\N	66	94943	UROK	\N	\N
3505320	8931	1996-05-31	PRIJEM	\N	273	56510	UROK	\N	\N
3505321	8931	1996-06-30	PRIJEM	\N	107	23470	UROK	\N	\N
3505322	8931	1996-07-31	PRIJEM	\N	34	22431	UROK	\N	\N
3505323	8931	1996-08-31	PRIJEM	\N	174	37753	UROK	\N	\N
3505324	8931	1996-09-30	PRIJEM	\N	190	80099	UROK	\N	\N
3505325	8931	1996-10-31	PRIJEM	\N	266	71874	UROK	\N	\N
3505326	8931	1996-11-30	PRIJEM	\N	375	82967	UROK	\N	\N
3505327	8931	1996-12-31	PRIJEM	\N	271	87688	UROK	\N	\N
3505328	8931	1997-01-31	PRIJEM	\N	149	26566	UROK	\N	\N
3505329	8931	1997-02-28	PRIJEM	\N	148	59452	UROK	\N	\N
3505330	8931	1997-03-31	PRIJEM	\N	262	60277	UROK	\N	\N
3505331	8931	1997-04-30	PRIJEM	\N	115	38298	UROK	\N	\N
3505332	8931	1997-05-31	PRIJEM	\N	90	25206	UROK	\N	\N
3505333	8931	1997-06-30	PRIJEM	\N	160	46083	UROK	\N	\N
3505334	8931	1997-07-31	PRIJEM	\N	268	99305	UROK	\N	\N
3505335	8931	1997-08-31	PRIJEM	\N	189	46360	UROK	\N	\N
3505336	8931	1997-09-30	PRIJEM	\N	145	33659	UROK	\N	\N
3505337	8931	1997-10-31	PRIJEM	\N	147	81825	UROK	\N	\N
3505338	8931	1997-11-30	PRIJEM	\N	115	42256	UROK	\N	\N
3505339	8931	1997-12-31	PRIJEM	\N	77	33017	UROK	\N	\N
3505340	8931	1998-01-31	PRIJEM	\N	104	41151	UROK	\N	\N
3505341	8931	1998-02-28	PRIJEM	\N	123	72481	UROK	\N	\N
3505342	8931	1998-03-31	PRIJEM	\N	205	68541	UROK	\N	\N
3505343	8931	1998-04-30	PRIJEM	\N	98	99823	UROK	\N	\N
3505344	8931	1998-05-31	PRIJEM	\N	252	58829	UROK	\N	\N
3505345	8931	1998-06-30	PRIJEM	\N	83	32287	UROK	\N	\N
3505346	8931	1998-07-31	PRIJEM	\N	182	59260	UROK	\N	\N
3505347	8931	1998-08-31	PRIJEM	\N	198	62453	UROK	\N	\N
3505348	8931	1998-09-30	PRIJEM	\N	198	71901	UROK	\N	\N
3505349	8931	1998-10-31	PRIJEM	\N	251	100170	UROK	\N	\N
3505350	8931	1998-11-30	PRIJEM	\N	237	76106	UROK	\N	\N
3505351	8931	1998-12-31	PRIJEM	\N	285	61459	UROK	\N	\N
3505352	8934	1993-07-31	PRIJEM	\N	60	17839	UROK	\N	\N
3505353	8934	1993-08-31	PRIJEM	\N	108	30965	UROK	\N	\N
3505354	8934	1993-09-30	PRIJEM	\N	147	42752	UROK	\N	\N
3505355	8934	1993-10-31	PRIJEM	\N	166	47906	UROK	\N	\N
3505356	8934	1993-11-30	PRIJEM	\N	179	47303	UROK	\N	\N
3505357	8934	1993-12-31	PRIJEM	\N	208	52674	UROK	\N	\N
3505358	8934	1994-01-31	PRIJEM	\N	67	-2067	UROK	\N	\N
3505359	8934	1994-01-31	VYDAJ	VYBER	2	-1994	SANKC. UROK	\N	\N
3505360	8934	1994-02-28	PRIJEM	\N	88	26687	UROK	\N	\N
3505361	8934	1994-02-28	VYDAJ	VYBER	4	26682	SANKC. UROK	\N	\N
3505362	8934	1994-03-31	PRIJEM	\N	132	31200	UROK	\N	\N
3505363	8934	1994-04-30	PRIJEM	\N	134	15369	UROK	\N	\N
3505364	8934	1994-04-30	VYDAJ	VYBER	0	634	SANKC. UROK	\N	\N
3505365	8934	1994-05-31	PRIJEM	\N	101	29253	UROK	\N	\N
3505366	8934	1994-05-31	VYDAJ	VYBER	1	29252	SANKC. UROK	\N	\N
3505367	8934	1994-06-30	PRIJEM	\N	117	30662	UROK	\N	\N
3505368	8934	1994-07-31	PRIJEM	\N	139	40280	UROK	\N	\N
3505369	8934	1994-08-31	PRIJEM	\N	138	31842	UROK	\N	\N
3505370	8934	1994-09-30	PRIJEM	\N	5	34575	UROK	\N	\N
3505371	8934	1994-10-31	PRIJEM	\N	10	37526	UROK	\N	\N
3505372	8934	1994-11-30	PRIJEM	\N	40	34422	UROK	\N	\N
3505373	8934	1994-12-31	PRIJEM	\N	149	25211	UROK	\N	\N
3505374	8934	1995-01-31	PRIJEM	\N	83	16224	UROK	\N	\N
3505375	8934	1995-02-28	PRIJEM	\N	26	16001	UROK	\N	\N
3505376	8934	1995-03-31	PRIJEM	\N	100	22837	UROK	\N	\N
3505377	8934	1995-04-30	PRIJEM	\N	63	23052	UROK	\N	\N
3505378	8934	1995-05-31	PRIJEM	\N	84	9820	UROK	\N	\N
3505379	8934	1995-06-30	PRIJEM	\N	30	16755	UROK	\N	\N
3505380	8934	1995-07-31	PRIJEM	\N	15	20706	UROK	\N	\N
3505381	8934	1995-08-31	PRIJEM	\N	69	24129	UROK	\N	\N
3505382	8934	1995-09-30	PRIJEM	\N	113	29709	UROK	\N	\N
3505383	8934	1995-10-31	PRIJEM	\N	117	33955	UROK	\N	\N
3505384	8934	1995-11-30	PRIJEM	\N	125	23355	UROK	\N	\N
3505385	8934	1995-12-31	PRIJEM	\N	86	7801	UROK	\N	\N
3505386	8934	1996-01-31	PRIJEM	\N	27	1900	UROK	\N	\N
3505387	8934	1996-01-31	VYDAJ	VYBER	3	1909	SANKC. UROK	\N	\N
3505388	8934	1996-02-29	PRIJEM	\N	10	7930	UROK	\N	\N
3505389	8934	1996-03-31	PRIJEM	\N	19	16796	UROK	\N	\N
3505390	8934	1996-04-30	PRIJEM	\N	31	28503	UROK	\N	\N
3505391	8934	1996-05-31	PRIJEM	\N	50	15019	UROK	\N	\N
3505392	8934	1996-06-30	PRIJEM	\N	79	24557	UROK	\N	\N
3505393	8934	1996-07-31	PRIJEM	\N	89	17214	UROK	\N	\N
3505394	8934	1996-08-31	PRIJEM	\N	53	22276	UROK	\N	\N
3505395	8934	1996-09-30	PRIJEM	\N	40	9931	UROK	\N	\N
3505396	8934	1996-10-31	PRIJEM	\N	44	11752	UROK	\N	\N
3505397	8934	1996-11-30	PRIJEM	\N	70	25396	UROK	\N	\N
3505398	8934	1996-12-31	PRIJEM	\N	77	11735	UROK	\N	\N
3505399	8934	1997-01-31	PRIJEM	\N	44	4926	UROK	\N	\N
3505400	8934	1997-02-28	PRIJEM	\N	34	20664	UROK	\N	\N
3505401	8934	1997-03-31	PRIJEM	\N	50	30756	UROK	\N	\N
3505402	8934	1997-04-30	PRIJEM	\N	53	13059	UROK	\N	\N
3505403	8934	1997-05-31	PRIJEM	\N	47	27519	UROK	\N	\N
3505404	8934	1997-06-30	PRIJEM	\N	97	30461	UROK	\N	\N
3505405	8934	1997-07-31	PRIJEM	\N	59	31723	UROK	\N	\N
3505406	8934	1997-08-31	PRIJEM	\N	73	36511	UROK	\N	\N
3505407	8934	1997-09-30	PRIJEM	\N	61	28601	UROK	\N	\N
3505408	8934	1997-10-31	PRIJEM	\N	111	34430	UROK	\N	\N
3505409	8934	1997-11-30	PRIJEM	\N	73	31421	UROK	\N	\N
3505410	8934	1997-12-31	PRIJEM	\N	81	30506	UROK	\N	\N
3505411	8934	1998-01-31	PRIJEM	\N	96	4905	UROK	\N	\N
3505412	8934	1998-01-31	VYDAJ	VYBER	0	4987	SANKC. UROK	\N	\N
3505413	8934	1998-02-28	PRIJEM	\N	47	22701	UROK	\N	\N
3505414	8934	1998-02-28	VYDAJ	VYBER	0	22701	SANKC. UROK	\N	\N
3505415	8934	1998-03-31	PRIJEM	\N	71	32975	UROK	\N	\N
3505416	8934	1998-04-30	PRIJEM	\N	70	26743	UROK	\N	\N
3505417	8934	1998-05-31	PRIJEM	\N	86	35947	UROK	\N	\N
3505418	8934	1998-06-30	PRIJEM	\N	106	19922	UROK	\N	\N
3505419	8934	1998-07-31	PRIJEM	\N	49	13093	UROK	\N	\N
3505420	8934	1998-08-31	PRIJEM	\N	62	25240	UROK	\N	\N
3505421	8934	1998-09-30	PRIJEM	\N	26	13258	UROK	\N	\N
3505422	8934	1998-10-31	PRIJEM	\N	47	9305	UROK	\N	\N
3505423	8934	1998-11-30	PRIJEM	\N	76	28763	UROK	\N	\N
3505424	8934	1998-12-31	PRIJEM	\N	170	43972	UROK	\N	\N
3505579	8957	1993-11-30	PRIJEM	\N	82	53348	UROK	\N	\N
3505580	8957	1993-12-31	PRIJEM	\N	174	66884	UROK	\N	\N
3505581	8957	1994-01-31	PRIJEM	\N	43	-2464	UROK	\N	\N
3505582	8957	1994-01-31	VYDAJ	VYBER	10	-2484	SANKC. UROK	\N	\N
3505583	8957	1994-02-28	PRIJEM	\N	163	31602	UROK	\N	\N
3505584	8957	1994-02-28	VYDAJ	VYBER	4	31598	SANKC. UROK	\N	\N
3505585	8957	1994-03-31	PRIJEM	\N	43	18173	UROK	\N	\N
3505586	8957	1994-04-30	PRIJEM	\N	3	20436	UROK	\N	\N
3505587	8957	1994-05-31	PRIJEM	\N	105	48347	UROK	\N	\N
3505588	8957	1994-06-30	PRIJEM	\N	163	18959	UROK	\N	\N
3505589	8957	1994-07-31	PRIJEM	\N	70	638	UROK	\N	\N
3505590	8957	1994-07-31	VYDAJ	VYBER	1	693	SANKC. UROK	\N	\N
3505591	8957	1994-08-31	PRIJEM	\N	318	72395	UROK	\N	\N
3505592	8957	1994-09-30	PRIJEM	\N	254	75093	UROK	\N	\N
3505593	8957	1994-10-31	PRIJEM	\N	319	79177	UROK	\N	\N
3505594	8957	1994-11-30	PRIJEM	\N	281	65670	UROK	\N	\N
3505595	8957	1994-12-31	PRIJEM	\N	247	43702	UROK	\N	\N
3505596	8957	1995-01-31	PRIJEM	\N	77	10917	UROK	\N	\N
3505597	8957	1995-04-30	PRIJEM	\N	3	25186	UROK	\N	\N
3505598	8957	1995-05-31	PRIJEM	\N	65	10050	UROK	\N	\N
3505599	8957	1995-06-30	PRIJEM	\N	4	4228	UROK	\N	\N
3505600	8957	1995-07-31	PRIJEM	\N	4	7203	UROK	\N	\N
3505601	8957	1995-08-31	PRIJEM	\N	21	8030	UROK	\N	\N
3505602	8957	1995-09-30	PRIJEM	\N	22	19861	UROK	\N	\N
3505603	8957	1995-10-31	PRIJEM	\N	3	24349	UROK	\N	\N
3505604	8957	1995-11-30	PRIJEM	\N	70	18056	UROK	\N	\N
3505605	8957	1995-12-31	PRIJEM	\N	35	11824	UROK	\N	\N
3505606	8957	1996-01-31	PRIJEM	\N	25	4465	UROK	\N	\N
3505607	8957	1996-02-29	PRIJEM	\N	156	57549	UROK	\N	\N
3505608	8957	1996-03-31	PRIJEM	\N	206	44841	UROK	\N	\N
3505609	8957	1996-04-30	PRIJEM	\N	166	40069	UROK	\N	\N
3505610	8957	1996-05-31	PRIJEM	\N	5	43713	UROK	\N	\N
3505611	8957	1996-06-30	PRIJEM	\N	167	31865	UROK	\N	\N
3505612	8957	1996-07-31	PRIJEM	\N	148	41319	UROK	\N	\N
3505613	8957	1996-08-31	PRIJEM	\N	63	32670	UROK	\N	\N
3505614	8957	1996-09-30	PRIJEM	\N	120	33675	UROK	\N	\N
3505615	8957	1996-10-31	PRIJEM	\N	120	41326	UROK	\N	\N
3505616	8957	1996-11-30	PRIJEM	\N	28	31465	UROK	\N	\N
3505617	8957	1996-12-31	PRIJEM	\N	29	24538	UROK	\N	\N
3505618	8957	1997-01-31	PRIJEM	\N	119	66282	UROK	\N	\N
3505619	8957	1997-02-28	PRIJEM	\N	250	52650	UROK	\N	\N
3505620	8957	1997-03-31	PRIJEM	\N	200	47486	UROK	\N	\N
3505621	8957	1997-04-30	PRIJEM	\N	198	92148	UROK	\N	\N
3505622	8957	1997-05-31	PRIJEM	\N	32	83580	UROK	\N	\N
3505623	8957	1997-06-30	PRIJEM	\N	149	29663	UROK	\N	\N
3505624	8957	1997-07-31	PRIJEM	\N	111	38775	UROK	\N	\N
3505625	8957	1997-08-31	PRIJEM	\N	149	70726	UROK	\N	\N
3505626	8957	1997-09-30	PRIJEM	\N	48	55514	UROK	\N	\N
3505627	8957	1997-10-31	PRIJEM	\N	104	83674	UROK	\N	\N
3505628	8957	1997-11-30	PRIJEM	\N	110	66605	UROK	\N	\N
3505629	8957	1997-12-31	PRIJEM	\N	241	56334	UROK	\N	\N
3505630	8957	1998-01-31	PRIJEM	\N	128	21448	UROK	\N	\N
3505631	8957	1998-02-28	PRIJEM	\N	27	29392	UROK	\N	\N
3505632	8957	1998-03-31	PRIJEM	\N	41	33183	UROK	\N	\N
3505633	8957	1998-04-30	PRIJEM	\N	96	97047	UROK	\N	\N
3505634	8957	1998-05-31	PRIJEM	\N	155	83688	UROK	\N	\N
3505635	8957	1998-06-30	PRIJEM	\N	270	61943	UROK	\N	\N
3505636	8957	1998-07-31	PRIJEM	\N	317	88735	UROK	\N	\N
3505637	8957	1998-09-30	PRIJEM	\N	7	55178	UROK	\N	\N
3505638	8957	1998-10-31	PRIJEM	\N	7	59046	UROK	\N	\N
3505639	8957	1998-11-30	PRIJEM	\N	207	61954	UROK	\N	\N
3505640	8957	1998-12-31	PRIJEM	\N	160	62312	UROK	\N	\N
3505901	8972	1996-06-30	PRIJEM	\N	41	29578	UROK	\N	\N
3505902	8972	1996-07-31	PRIJEM	\N	52	34965	UROK	\N	\N
3505903	8972	1996-08-31	PRIJEM	\N	62	39002	UROK	\N	\N
3505904	8972	1996-09-30	PRIJEM	\N	63	38056	UROK	\N	\N
3505905	8972	1996-10-31	PRIJEM	\N	140	36248	UROK	\N	\N
3505906	8972	1996-11-30	PRIJEM	\N	158	32808	UROK	\N	\N
3505907	8972	1996-12-31	PRIJEM	\N	190	38764	UROK	\N	\N
3505908	8972	1997-01-31	PRIJEM	\N	150	29251	UROK	\N	\N
3505909	8972	1997-02-28	PRIJEM	\N	87	26702	UROK	\N	\N
3505910	8972	1997-03-31	PRIJEM	\N	115	25080	UROK	\N	\N
3505911	8972	1997-04-30	PRIJEM	\N	125	30793	UROK	\N	\N
3505912	8972	1997-05-31	PRIJEM	\N	137	31393	UROK	\N	\N
3505913	8972	1997-06-30	PRIJEM	\N	163	39802	UROK	\N	\N
3505914	8972	1997-07-31	PRIJEM	\N	177	42604	UROK	\N	\N
3505915	8972	1997-08-31	PRIJEM	\N	174	40318	UROK	\N	\N
3505916	8972	1997-09-30	PRIJEM	\N	169	35084	UROK	\N	\N
3505917	8972	1997-10-31	PRIJEM	\N	138	39521	UROK	\N	\N
3505918	8972	1997-11-30	PRIJEM	\N	156	37896	UROK	\N	\N
3505919	8972	1997-12-31	PRIJEM	\N	167	39692	UROK	\N	\N
3505920	8972	1998-01-31	PRIJEM	\N	146	30137	UROK	\N	\N
3505921	8972	1998-02-28	PRIJEM	\N	97	37497	UROK	\N	\N
3505922	8972	1998-03-31	PRIJEM	\N	106	36784	UROK	\N	\N
3505923	8972	1998-04-30	PRIJEM	\N	138	34471	UROK	\N	\N
3505924	8972	1998-05-31	PRIJEM	\N	130	33194	UROK	\N	\N
3505925	8972	1998-06-30	PRIJEM	\N	107	18270	UROK	\N	\N
3505926	8972	1998-07-31	PRIJEM	\N	78	30415	UROK	\N	\N
3505927	8972	1998-08-31	PRIJEM	\N	84	29763	UROK	\N	\N
3505928	8972	1998-09-30	PRIJEM	\N	101	26885	UROK	\N	\N
3505929	8972	1998-10-31	PRIJEM	\N	72	24633	UROK	\N	\N
3505930	8972	1998-11-30	PRIJEM	\N	110	30106	UROK	\N	\N
3505931	8972	1998-12-31	PRIJEM	\N	118	29604	UROK	\N	\N
3505964	8982	1993-10-31	PRIJEM	\N	141	96039	UROK	\N	\N
3505965	8982	1993-11-30	PRIJEM	\N	435	57848	UROK	\N	\N
3505966	8982	1993-12-31	PRIJEM	\N	109	42627	UROK	\N	\N
3505967	8982	1994-01-31	PRIJEM	\N	73	18185	UROK	\N	\N
3505968	8982	1994-02-28	PRIJEM	\N	43	22207	UROK	\N	\N
3505969	8982	1994-03-31	PRIJEM	\N	95	25859	UROK	\N	\N
3505970	8982	1994-04-30	PRIJEM	\N	24	25967	UROK	\N	\N
3505971	8982	1994-05-31	PRIJEM	\N	40	23161	UROK	\N	\N
3505972	8982	1994-06-30	PRIJEM	\N	90	23927	UROK	\N	\N
3505973	8982	1994-07-31	PRIJEM	\N	49	49791	UROK	\N	\N
3505974	8982	1994-08-31	PRIJEM	\N	140	41837	UROK	\N	\N
3505975	8982	1994-09-30	PRIJEM	\N	259	62283	UROK	\N	\N
3505976	8982	1994-10-31	PRIJEM	\N	108	36340	UROK	\N	\N
3505977	8982	1994-11-30	PRIJEM	\N	133	28961	UROK	\N	\N
3505978	8982	1994-12-31	PRIJEM	\N	125	46414	UROK	\N	\N
3505979	8982	1995-01-31	PRIJEM	\N	98	23697	UROK	\N	\N
3505980	8982	1995-02-28	PRIJEM	\N	132	41288	UROK	\N	\N
3505981	8982	1995-03-31	PRIJEM	\N	124	29695	UROK	\N	\N
3505982	8982	1995-04-30	PRIJEM	\N	163	38881	UROK	\N	\N
3505983	8982	1995-05-31	PRIJEM	\N	247	62625	UROK	\N	\N
3505984	8982	1995-06-30	PRIJEM	\N	83	25363	UROK	\N	\N
3505985	8982	1995-07-31	PRIJEM	\N	215	41614	UROK	\N	\N
3505986	8982	1995-08-31	PRIJEM	\N	254	80368	UROK	\N	\N
3505987	8982	1995-09-30	PRIJEM	\N	229	57673	UROK	\N	\N
3505988	8982	1995-10-31	PRIJEM	\N	199	46620	UROK	\N	\N
3505989	8982	1995-11-30	PRIJEM	\N	168	46721	UROK	\N	\N
3505990	8982	1995-12-31	PRIJEM	\N	147	32935	UROK	\N	\N
3505991	8982	1996-01-31	PRIJEM	\N	124	29725	UROK	\N	\N
3505992	8982	1996-02-29	PRIJEM	\N	77	34382	UROK	\N	\N
3505993	8982	1996-03-31	PRIJEM	\N	221	96036	UROK	\N	\N
3505994	8982	1996-04-30	PRIJEM	\N	365	92300	UROK	\N	\N
3505995	8982	1996-05-31	PRIJEM	\N	132	64036	UROK	\N	\N
3505996	8982	1996-06-30	PRIJEM	\N	99	41141	UROK	\N	\N
3505997	8982	1996-07-31	PRIJEM	\N	154	49236	UROK	\N	\N
3505998	8982	1996-08-31	PRIJEM	\N	97	43888	UROK	\N	\N
3505999	8982	1996-09-30	PRIJEM	\N	171	78616	UROK	\N	\N
3506000	8982	1996-10-31	PRIJEM	\N	338	82184	UROK	\N	\N
3506001	8982	1996-11-30	PRIJEM	\N	228	53967	UROK	\N	\N
3506002	8982	1996-12-31	PRIJEM	\N	189	51528	UROK	\N	\N
3506003	8982	1997-01-31	PRIJEM	\N	139	73194	UROK	\N	\N
3506004	8982	1997-02-28	PRIJEM	\N	110	35320	UROK	\N	\N
3506005	8982	1997-03-31	PRIJEM	\N	207	72316	UROK	\N	\N
3506006	8982	1997-04-30	PRIJEM	\N	262	77986	UROK	\N	\N
3506007	8982	1997-05-31	PRIJEM	\N	396	61900	UROK	\N	\N
3506008	8982	1997-06-30	PRIJEM	\N	245	68000	UROK	\N	\N
3506009	8982	1997-07-31	PRIJEM	\N	122	49019	UROK	\N	\N
3506010	8982	1997-08-31	PRIJEM	\N	321	101270	UROK	\N	\N
3506011	8982	1997-09-30	PRIJEM	\N	246	82501	UROK	\N	\N
3506012	8982	1997-10-31	PRIJEM	\N	263	67218	UROK	\N	\N
3506013	8982	1997-11-30	PRIJEM	\N	228	85993	UROK	\N	\N
3506014	8982	1997-12-31	PRIJEM	\N	190	72651	UROK	\N	\N
3506015	8982	1998-01-31	PRIJEM	\N	188	38043	UROK	\N	\N
3506016	8982	1998-02-28	PRIJEM	\N	119	36730	UROK	\N	\N
3506017	8982	1998-03-31	PRIJEM	\N	202	87535	UROK	\N	\N
3506018	8982	1998-04-30	PRIJEM	\N	243	49789	UROK	\N	\N
3506019	8982	1998-05-31	PRIJEM	\N	223	49763	UROK	\N	\N
3506020	8982	1998-06-30	PRIJEM	\N	180	56951	UROK	\N	\N
3506021	8982	1998-07-31	PRIJEM	\N	309	106383	UROK	\N	\N
3506022	8982	1998-08-31	PRIJEM	\N	143	66183	UROK	\N	\N
3506023	8982	1998-09-30	PRIJEM	\N	246	71900	UROK	\N	\N
3506024	8982	1998-10-31	PRIJEM	\N	289	89027	UROK	\N	\N
3506025	8982	1998-11-30	PRIJEM	\N	202	107969	UROK	\N	\N
3506026	8982	1998-12-31	PRIJEM	\N	397	92040	UROK	\N	\N
3506093	8998	1996-01-31	PRIJEM	\N	66	73176	UROK	\N	\N
3506094	8998	1996-03-31	PRIJEM	\N	82	33732	UROK	\N	\N
3506095	8998	1996-04-30	PRIJEM	\N	135	22953	UROK	\N	\N
3506096	8998	1996-05-31	PRIJEM	\N	6	14782	UROK	\N	\N
3506097	8998	1996-06-30	PRIJEM	\N	90	50885	UROK	\N	\N
3506098	8998	1996-07-31	PRIJEM	\N	185	44371	UROK	\N	\N
3506099	8998	1996-08-31	PRIJEM	\N	215	49855	UROK	\N	\N
3506100	8998	1996-09-30	PRIJEM	\N	110	57520	UROK	\N	\N
3506101	8998	1996-11-30	PRIJEM	\N	40	57197	UROK	\N	\N
3506102	8998	1996-12-31	PRIJEM	\N	256	92962	UROK	\N	\N
3506103	8998	1997-01-31	PRIJEM	\N	168	12866	UROK	\N	\N
3506104	8998	1997-02-28	PRIJEM	\N	33	12353	UROK	\N	\N
3506105	8998	1997-03-31	PRIJEM	\N	65	21608	UROK	\N	\N
3506106	8998	1997-04-30	PRIJEM	\N	45	36724	UROK	\N	\N
3506107	8998	1997-05-31	PRIJEM	\N	77	43126	UROK	\N	\N
3506108	8998	1997-06-30	PRIJEM	\N	7	14275	UROK	\N	\N
3506109	8998	1997-07-31	PRIJEM	\N	81	27674	UROK	\N	\N
3506110	8998	1997-08-31	PRIJEM	\N	104	14171	UROK	\N	\N
3506111	8998	1997-09-30	PRIJEM	\N	50	3561	UROK	\N	\N
3506112	8998	1997-10-31	PRIJEM	\N	19	8450	UROK	\N	\N
3506113	8998	1997-11-30	PRIJEM	\N	26	-3690	UROK	\N	\N
3506114	8998	1997-12-31	VYDAJ	VYBER	27	-1778	SANKC. UROK	\N	\N
3506115	8998	1998-01-31	PRIJEM	\N	18	9834	UROK	\N	\N
3506116	8998	1998-02-28	PRIJEM	\N	40	24279	UROK	\N	\N
3506117	8998	1998-03-31	PRIJEM	\N	74	18280	UROK	\N	\N
3506118	8998	1998-04-30	PRIJEM	\N	22	1537	UROK	\N	\N
3506119	8998	1998-04-30	VYDAJ	VYBER	4	1514	SANKC. UROK	\N	\N
3506120	8998	1998-05-31	PRIJEM	\N	29	7697	UROK	\N	\N
3506121	8998	1998-07-31	VYDAJ	VYBER	9	895	SANKC. UROK	\N	\N
3506122	8998	1998-10-31	PRIJEM	\N	20	32533	UROK	\N	\N
3506123	8998	1998-11-30	PRIJEM	\N	121	270	UROK	\N	\N
3506124	8998	1998-11-30	VYDAJ	VYBER	1	269	SANKC. UROK	\N	\N
3506139	9006	1994-09-30	PRIJEM	\N	347	75966	UROK	\N	\N
3506140	9006	1994-10-31	PRIJEM	\N	79	102330	UROK	\N	\N
3506141	9006	1994-11-30	PRIJEM	\N	346	97170	UROK	\N	\N
3506142	9006	1994-12-31	PRIJEM	\N	289	74470	UROK	\N	\N
3506143	9006	1995-01-31	PRIJEM	\N	298	39926	UROK	\N	\N
3506144	9006	1995-02-28	PRIJEM	\N	274	73775	UROK	\N	\N
3506145	9006	1995-03-31	PRIJEM	\N	349	102921	UROK	\N	\N
3506146	9006	1995-04-30	PRIJEM	\N	175	75926	UROK	\N	\N
3506147	9006	1995-05-31	PRIJEM	\N	298	87259	UROK	\N	\N
3506148	9006	1995-06-30	PRIJEM	\N	297	46804	UROK	\N	\N
3506149	9006	1995-07-31	PRIJEM	\N	219	53178	UROK	\N	\N
3506150	9006	1995-08-31	PRIJEM	\N	164	33638	UROK	\N	\N
3506151	9006	1995-09-30	PRIJEM	\N	133	43423	UROK	\N	\N
3506152	9006	1995-10-31	PRIJEM	\N	348	55164	UROK	\N	\N
3506153	9006	1995-11-30	PRIJEM	\N	197	38649	UROK	\N	\N
3506154	9006	1995-12-31	PRIJEM	\N	193	33929	UROK	\N	\N
3506155	9006	1996-01-31	PRIJEM	\N	89	49174	UROK	\N	\N
3506156	9006	1996-02-29	PRIJEM	\N	137	25840	UROK	\N	\N
3506157	9006	1996-03-31	PRIJEM	\N	67	37115	UROK	\N	\N
3506158	9006	1996-04-30	PRIJEM	\N	108	27253	UROK	\N	\N
3506159	9006	1996-05-31	PRIJEM	\N	71	20961	UROK	\N	\N
3506160	9006	1996-06-30	PRIJEM	\N	32	26605	UROK	\N	\N
3506161	9006	1996-07-31	PRIJEM	\N	68	18275	UROK	\N	\N
3506162	9006	1996-08-31	PRIJEM	\N	159	78272	UROK	\N	\N
3506163	9006	1996-09-30	PRIJEM	\N	111	29589	UROK	\N	\N
3506164	9006	1996-10-31	PRIJEM	\N	158	72519	UROK	\N	\N
3506165	9006	1996-11-30	PRIJEM	\N	236	67683	UROK	\N	\N
3506166	9006	1996-12-31	PRIJEM	\N	204	38551	UROK	\N	\N
3506167	9006	1997-01-31	PRIJEM	\N	54	21451	UROK	\N	\N
3506168	9006	1997-02-28	PRIJEM	\N	42	13133	UROK	\N	\N
3506169	9006	1997-03-31	PRIJEM	\N	65	31830	UROK	\N	\N
3506170	9006	1997-04-30	PRIJEM	\N	85	23460	UROK	\N	\N
3506171	9006	1997-05-31	PRIJEM	\N	169	33713	UROK	\N	\N
3506172	9006	1997-06-30	PRIJEM	\N	92	51618	UROK	\N	\N
3506173	9006	1997-07-31	PRIJEM	\N	131	82708	UROK	\N	\N
3506174	9006	1997-08-31	PRIJEM	\N	210	65841	UROK	\N	\N
3506175	9006	1997-09-30	PRIJEM	\N	69	24067	UROK	\N	\N
3506176	9006	1997-10-31	PRIJEM	\N	168	35937	UROK	\N	\N
3506177	9006	1997-11-30	PRIJEM	\N	106	48963	UROK	\N	\N
3506178	9006	1997-12-31	PRIJEM	\N	102	111195	UROK	\N	\N
3506179	9006	1998-01-31	PRIJEM	\N	272	50651	UROK	\N	\N
3506180	9006	1998-02-28	PRIJEM	\N	107	62672	UROK	\N	\N
3506181	9006	1998-03-31	PRIJEM	\N	106	60387	UROK	\N	\N
3506182	9006	1998-04-30	PRIJEM	\N	220	67686	UROK	\N	\N
3506183	9006	1998-05-31	PRIJEM	\N	171	65573	UROK	\N	\N
3506184	9006	1998-06-30	PRIJEM	\N	148	104193	UROK	\N	\N
3506185	9006	1998-07-31	PRIJEM	\N	265	48795	UROK	\N	\N
3506186	9006	1998-08-31	PRIJEM	\N	165	85780	UROK	\N	\N
3506187	9006	1998-09-30	PRIJEM	\N	92	42164	UROK	\N	\N
3506188	9006	1998-10-31	PRIJEM	\N	159	49031	UROK	\N	\N
3506189	9006	1998-11-30	PRIJEM	\N	142	41020	UROK	\N	\N
3506190	9006	1998-12-31	PRIJEM	\N	114	77265	UROK	\N	\N
3506423	9017	1995-12-31	PRIJEM	\N	27	21948	UROK	\N	\N
3506424	9017	1996-01-31	PRIJEM	\N	37	27642	UROK	\N	\N
3506425	9017	1996-02-29	PRIJEM	\N	43	33713	UROK	\N	\N
3506426	9017	1996-03-31	PRIJEM	\N	42	31429	UROK	\N	\N
3506427	9017	1996-04-30	PRIJEM	\N	86	29402	UROK	\N	\N
3506428	9017	1996-05-31	PRIJEM	\N	79	22317	UROK	\N	\N
3506429	9017	1996-06-30	PRIJEM	\N	103	25627	UROK	\N	\N
3506430	9017	1996-07-31	PRIJEM	\N	105	25357	UROK	\N	\N
3506431	9017	1996-08-31	PRIJEM	\N	93	21482	UROK	\N	\N
3506432	9017	1996-09-30	PRIJEM	\N	69	9039	UROK	\N	\N
3506433	9017	1996-10-31	PRIJEM	\N	48	20910	UROK	\N	\N
3506434	9017	1996-11-30	PRIJEM	\N	46	19140	UROK	\N	\N
3506435	9017	1996-12-31	PRIJEM	\N	50	19254	UROK	\N	\N
3506436	9017	1997-01-31	PRIJEM	\N	46	4470	UROK	\N	\N
3506437	9017	1997-02-28	PRIJEM	\N	30	15030	UROK	\N	\N
3506438	9017	1997-03-31	PRIJEM	\N	28	3412	UROK	\N	\N
3506439	9017	1997-04-30	PRIJEM	\N	33	16070	UROK	\N	\N
3506440	9017	1997-05-31	PRIJEM	\N	46	4019	UROK	\N	\N
3506441	9017	1997-06-30	PRIJEM	\N	36	16548	UROK	\N	\N
3506442	9017	1997-07-31	PRIJEM	\N	33	13408	UROK	\N	\N
3506443	9017	1997-08-31	PRIJEM	\N	49	14886	UROK	\N	\N
3506444	9017	1997-09-30	PRIJEM	\N	42	11753	UROK	\N	\N
3506445	9017	1997-10-31	PRIJEM	\N	20	9578	UROK	\N	\N
3506446	9017	1997-11-30	PRIJEM	\N	10	-3209	UROK	\N	\N
3506447	9017	1997-11-30	VYDAJ	VYBER	4	-3210	SANKC. UROK	\N	\N
3506448	9017	1997-12-31	PRIJEM	\N	15	8485	UROK	\N	\N
3506449	9017	1998-01-31	PRIJEM	\N	15	7650	UROK	\N	\N
3506450	9017	1998-02-28	PRIJEM	\N	20	7842	UROK	\N	\N
3506451	9017	1998-03-31	PRIJEM	\N	39	18327	UROK	\N	\N
3506452	9017	1998-04-30	PRIJEM	\N	32	15505	UROK	\N	\N
3506453	9017	1998-05-31	PRIJEM	\N	33	14264	UROK	\N	\N
3506454	9017	1998-06-30	PRIJEM	\N	31	13839	UROK	\N	\N
3506455	9017	1998-07-31	PRIJEM	\N	14	7280	UROK	\N	\N
3506456	9017	1998-08-31	PRIJEM	\N	8	6647	UROK	\N	\N
3506457	9017	1998-09-30	PRIJEM	\N	16	6689	UROK	\N	\N
3506458	9017	1998-10-31	PRIJEM	\N	37	17278	UROK	\N	\N
3506459	9017	1998-11-30	PRIJEM	\N	55	4458	UROK	\N	\N
3506460	9017	1998-12-31	PRIJEM	\N	46	21413	UROK	\N	\N
3506461	9024	1996-01-31	PRIJEM	\N	37	15515	UROK	\N	\N
3506462	9024	1996-02-29	PRIJEM	\N	80	35113	UROK	\N	\N
3506463	9024	1996-03-31	PRIJEM	\N	116	48198	UROK	\N	\N
3506464	9024	1996-04-30	PRIJEM	\N	123	52809	UROK	\N	\N
3506465	9024	1996-05-31	PRIJEM	\N	132	55119	UROK	\N	\N
3506466	9024	1996-06-30	PRIJEM	\N	143	27927	UROK	\N	\N
3506467	9024	1996-07-31	PRIJEM	\N	102	28582	UROK	\N	\N
3506468	9024	1996-08-31	PRIJEM	\N	104	28608	UROK	\N	\N
3506469	9024	1996-09-30	PRIJEM	\N	81	29591	UROK	\N	\N
3506470	9024	1996-10-31	PRIJEM	\N	82	29802	UROK	\N	\N
3506471	9024	1996-11-30	PRIJEM	\N	78	33423	UROK	\N	\N
3506472	9024	1996-12-31	PRIJEM	\N	89	26332	UROK	\N	\N
3506473	9024	1997-01-31	PRIJEM	\N	60	17473	UROK	\N	\N
3506474	9024	1997-02-28	PRIJEM	\N	56	20744	UROK	\N	\N
3506475	9024	1997-03-31	PRIJEM	\N	84	18250	UROK	\N	\N
3506476	9024	1997-04-30	PRIJEM	\N	57	20915	UROK	\N	\N
3506477	9024	1997-05-31	PRIJEM	\N	67	22689	UROK	\N	\N
3506478	9024	1997-06-30	PRIJEM	\N	113	25159	UROK	\N	\N
3506479	9024	1997-07-31	PRIJEM	\N	107	23011	UROK	\N	\N
3506480	9024	1997-08-31	PRIJEM	\N	65	19797	UROK	\N	\N
3506481	9024	1997-09-30	PRIJEM	\N	57	16133	UROK	\N	\N
3506482	9024	1997-10-31	PRIJEM	\N	70	17212	UROK	\N	\N
3506483	9024	1997-11-30	PRIJEM	\N	49	18609	UROK	\N	\N
3506484	9024	1997-12-31	PRIJEM	\N	70	21895	UROK	\N	\N
3506485	9024	1998-01-31	PRIJEM	\N	86	23942	UROK	\N	\N
3506486	9024	1998-02-28	PRIJEM	\N	101	29855	UROK	\N	\N
3506487	9024	1998-03-31	PRIJEM	\N	84	29685	UROK	\N	\N
3506488	9024	1998-04-30	PRIJEM	\N	114	29143	UROK	\N	\N
3506489	9024	1998-05-31	PRIJEM	\N	81	33546	UROK	\N	\N
3506490	9024	1998-06-30	PRIJEM	\N	101	28484	UROK	\N	\N
3506491	9024	1998-07-31	PRIJEM	\N	79	27300	UROK	\N	\N
3506492	9024	1998-08-31	PRIJEM	\N	118	33757	UROK	\N	\N
3506493	9024	1998-09-30	PRIJEM	\N	134	36512	UROK	\N	\N
3506494	9024	1998-10-31	PRIJEM	\N	96	36714	UROK	\N	\N
3506495	9024	1998-11-30	PRIJEM	\N	144	36424	UROK	\N	\N
3506496	9024	1998-12-31	PRIJEM	\N	147	37163	UROK	\N	\N
3506563	9030	1995-02-28	PRIJEM	\N	24	19942	UROK	\N	\N
3506564	9030	1995-03-31	PRIJEM	\N	37	30972	UROK	\N	\N
3506565	9030	1995-04-30	PRIJEM	\N	46	36607	UROK	\N	\N
3506566	9030	1995-05-31	PRIJEM	\N	55	41091	UROK	\N	\N
3506567	9030	1995-06-30	PRIJEM	\N	145	38929	UROK	\N	\N
3506568	9030	1995-07-31	PRIJEM	\N	177	37566	UROK	\N	\N
3506569	9030	1995-08-31	PRIJEM	\N	126	38051	UROK	\N	\N
3506570	9030	1995-09-30	PRIJEM	\N	147	36228	UROK	\N	\N
3506571	9030	1995-10-31	PRIJEM	\N	155	37975	UROK	\N	\N
3506572	9030	1995-11-30	PRIJEM	\N	100	37997	UROK	\N	\N
3506573	9030	1995-12-31	PRIJEM	\N	183	41635	UROK	\N	\N
3506574	9030	1996-01-31	PRIJEM	\N	156	33552	UROK	\N	\N
3506575	9030	1996-02-29	PRIJEM	\N	160	37692	UROK	\N	\N
3506576	9030	1996-03-31	PRIJEM	\N	171	45123	UROK	\N	\N
3506577	9030	1996-04-30	PRIJEM	\N	191	47165	UROK	\N	\N
3506578	9030	1996-05-31	PRIJEM	\N	159	50888	UROK	\N	\N
3506579	9030	1996-06-30	PRIJEM	\N	176	19337	UROK	\N	\N
3506580	9030	1996-07-31	PRIJEM	\N	94	32890	UROK	\N	\N
3506581	9030	1996-08-31	PRIJEM	\N	97	37661	UROK	\N	\N
3506582	9030	1996-09-30	PRIJEM	\N	127	42590	UROK	\N	\N
3506583	9030	1996-10-31	PRIJEM	\N	176	45567	UROK	\N	\N
3506584	9030	1996-11-30	PRIJEM	\N	197	48723	UROK	\N	\N
3506585	9030	1996-12-31	PRIJEM	\N	199	52473	UROK	\N	\N
3506586	9030	1997-01-31	PRIJEM	\N	131	43137	UROK	\N	\N
3506587	9030	1997-02-28	PRIJEM	\N	161	42716	UROK	\N	\N
3506588	9030	1997-03-31	PRIJEM	\N	124	47024	UROK	\N	\N
3506589	9030	1997-04-30	PRIJEM	\N	183	43900	UROK	\N	\N
3506590	9030	1997-05-31	PRIJEM	\N	175	46075	UROK	\N	\N
3506591	9030	1997-06-30	PRIJEM	\N	167	28470	UROK	\N	\N
3506592	9030	1997-07-31	PRIJEM	\N	94	35376	UROK	\N	\N
3506593	9030	1997-08-31	PRIJEM	\N	119	40213	UROK	\N	\N
3506594	9030	1997-09-30	PRIJEM	\N	143	38769	UROK	\N	\N
3506595	9030	1997-10-31	PRIJEM	\N	117	38347	UROK	\N	\N
3506596	9030	1997-11-30	PRIJEM	\N	142	34187	UROK	\N	\N
3506597	9030	1997-12-31	PRIJEM	\N	144	39454	UROK	\N	\N
3506598	9030	1998-01-31	PRIJEM	\N	142	38994	UROK	\N	\N
3506599	9030	1998-02-28	PRIJEM	\N	180	49136	UROK	\N	\N
3506600	9030	1998-03-31	PRIJEM	\N	179	43145	UROK	\N	\N
3506601	9030	1998-04-30	PRIJEM	\N	163	49946	UROK	\N	\N
3506602	9030	1998-05-31	PRIJEM	\N	198	54654	UROK	\N	\N
3506603	9030	1998-06-30	PRIJEM	\N	194	56296	UROK	\N	\N
3506604	9030	1998-07-31	PRIJEM	\N	162	52518	UROK	\N	\N
3506605	9030	1998-08-31	PRIJEM	\N	169	53404	UROK	\N	\N
3506606	9030	1998-09-30	PRIJEM	\N	199	55426	UROK	\N	\N
3506607	9030	1998-10-31	PRIJEM	\N	177	56220	UROK	\N	\N
3506608	9030	1998-11-30	PRIJEM	\N	200	55755	UROK	\N	\N
3506609	9030	1998-12-31	PRIJEM	\N	179	58007	UROK	\N	\N
3506610	9031	1997-01-31	PRIJEM	\N	9	17321	UROK	\N	\N
3506611	9031	1997-03-31	PRIJEM	\N	15	56160	UROK	\N	\N
3506612	9031	1997-04-30	PRIJEM	\N	177	68352	UROK	\N	\N
3506613	9031	1997-05-31	PRIJEM	\N	161	103702	UROK	\N	\N
3506614	9031	1997-06-30	PRIJEM	\N	182	29650	UROK	\N	\N
3506615	9031	1997-07-31	PRIJEM	\N	68	23097	UROK	\N	\N
3506616	9031	1997-08-31	PRIJEM	\N	163	68597	UROK	\N	\N
3506617	9031	1997-09-30	PRIJEM	\N	222	45111	UROK	\N	\N
3506618	9031	1997-10-31	PRIJEM	\N	150	30941	UROK	\N	\N
3506619	9031	1997-11-30	PRIJEM	\N	108	24678	UROK	\N	\N
3506620	9031	1997-12-31	PRIJEM	\N	196	78723	UROK	\N	\N
3506621	9031	1998-01-31	PRIJEM	\N	198	26596	UROK	\N	\N
3506622	9031	1998-02-28	PRIJEM	\N	101	54250	UROK	\N	\N
3506623	9031	1998-03-31	PRIJEM	\N	95	32883	UROK	\N	\N
3506624	9031	1998-04-30	PRIJEM	\N	95	21458	UROK	\N	\N
3506625	9031	1998-05-31	PRIJEM	\N	58	20692	UROK	\N	\N
3506626	9031	1998-06-30	PRIJEM	\N	69	16721	UROK	\N	\N
3506627	9031	1998-07-31	PRIJEM	\N	64	17333	UROK	\N	\N
3506628	9031	1998-08-31	PRIJEM	\N	45	15322	UROK	\N	\N
3506629	9031	1998-09-30	PRIJEM	\N	51	17578	UROK	\N	\N
3506630	9031	1998-10-31	PRIJEM	\N	53	18280	UROK	\N	\N
3506631	9031	1998-11-30	PRIJEM	\N	67	20167	UROK	\N	\N
3506632	9031	1998-12-31	PRIJEM	\N	69	18085	UROK	\N	\N
3506665	9034	1993-07-31	PRIJEM	\N	10	24527	UROK	\N	\N
3506666	9034	1993-08-31	PRIJEM	\N	18	33549	UROK	\N	\N
3506667	9034	1993-09-30	PRIJEM	\N	22	38983	UROK	\N	\N
3506668	9034	1993-10-31	PRIJEM	\N	27	40521	UROK	\N	\N
3506669	9034	1993-11-30	PRIJEM	\N	94	35768	UROK	\N	\N
3506670	9034	1993-12-31	PRIJEM	\N	112	30387	UROK	\N	\N
3506671	9034	1994-01-31	PRIJEM	\N	128	30333	UROK	\N	\N
3506672	9034	1994-02-28	PRIJEM	\N	138	28849	UROK	\N	\N
3506673	9034	1994-03-31	PRIJEM	\N	135	28099	UROK	\N	\N
3506674	9034	1994-04-30	PRIJEM	\N	130	31841	UROK	\N	\N
3506675	9034	1994-05-31	PRIJEM	\N	82	31066	UROK	\N	\N
3506676	9034	1994-06-30	PRIJEM	\N	100	35303	UROK	\N	\N
3506677	9034	1994-07-31	PRIJEM	\N	136	29853	UROK	\N	\N
3506678	9034	1994-08-31	PRIJEM	\N	121	32451	UROK	\N	\N
3506679	9034	1994-09-30	PRIJEM	\N	93	36146	UROK	\N	\N
3506680	9034	1994-10-31	PRIJEM	\N	69	27088	UROK	\N	\N
3506681	9034	1994-11-30	PRIJEM	\N	78	28735	UROK	\N	\N
3506682	9034	1994-12-31	PRIJEM	\N	95	32815	UROK	\N	\N
3506683	9034	1995-01-31	PRIJEM	\N	128	35128	UROK	\N	\N
3506684	9034	1995-02-28	PRIJEM	\N	77	29947	UROK	\N	\N
3506685	9034	1995-03-31	PRIJEM	\N	106	29009	UROK	\N	\N
3506686	9034	1995-04-30	PRIJEM	\N	109	24687	UROK	\N	\N
3506687	9034	1995-05-31	PRIJEM	\N	71	29814	UROK	\N	\N
3506688	9034	1995-06-30	PRIJEM	\N	138	40266	UROK	\N	\N
3506689	9034	1995-07-31	PRIJEM	\N	108	38725	UROK	\N	\N
3506690	9034	1995-08-31	PRIJEM	\N	159	42289	UROK	\N	\N
3506691	9034	1995-09-30	PRIJEM	\N	165	43131	UROK	\N	\N
3506692	9034	1995-10-31	PRIJEM	\N	167	41255	UROK	\N	\N
3506693	9034	1995-11-30	PRIJEM	\N	124	26202	UROK	\N	\N
3506694	9034	1995-12-31	PRIJEM	\N	89	40007	UROK	\N	\N
3506695	9034	1996-01-31	PRIJEM	\N	102	42365	UROK	\N	\N
3506696	9034	1996-02-29	PRIJEM	\N	153	44116	UROK	\N	\N
3506697	9034	1996-03-31	PRIJEM	\N	160	42839	UROK	\N	\N
3506698	9034	1996-04-30	PRIJEM	\N	152	48010	UROK	\N	\N
3506699	9034	1996-05-31	PRIJEM	\N	109	41161	UROK	\N	\N
3506700	9034	1996-06-30	PRIJEM	\N	119	45739	UROK	\N	\N
3506701	9034	1996-07-31	PRIJEM	\N	123	41710	UROK	\N	\N
3506702	9034	1996-08-31	PRIJEM	\N	108	41845	UROK	\N	\N
3506703	9034	1996-09-30	PRIJEM	\N	160	45861	UROK	\N	\N
3506704	9034	1996-10-31	PRIJEM	\N	167	30822	UROK	\N	\N
3506705	9034	1996-11-30	PRIJEM	\N	131	34276	UROK	\N	\N
3506706	9034	1996-12-31	PRIJEM	\N	179	51524	UROK	\N	\N
3506707	9034	1997-01-31	PRIJEM	\N	181	45907	UROK	\N	\N
3506708	9034	1997-02-28	PRIJEM	\N	171	47110	UROK	\N	\N
3506709	9034	1997-03-31	PRIJEM	\N	125	49792	UROK	\N	\N
3506710	9034	1997-04-30	PRIJEM	\N	134	30219	UROK	\N	\N
3506711	9034	1997-05-31	PRIJEM	\N	85	35961	UROK	\N	\N
3506712	9034	1997-06-30	PRIJEM	\N	168	53805	UROK	\N	\N
3506713	9034	1997-07-31	PRIJEM	\N	152	35881	UROK	\N	\N
3506714	9034	1997-08-31	PRIJEM	\N	105	41035	UROK	\N	\N
3506715	9034	1997-09-30	PRIJEM	\N	157	48326	UROK	\N	\N
3506716	9034	1997-10-31	PRIJEM	\N	165	41320	UROK	\N	\N
3506717	9034	1997-11-30	PRIJEM	\N	137	49914	UROK	\N	\N
3506718	9034	1997-12-31	PRIJEM	\N	175	38566	UROK	\N	\N
3506719	9034	1998-01-31	PRIJEM	\N	129	37928	UROK	\N	\N
3506720	9034	1998-02-28	PRIJEM	\N	139	44453	UROK	\N	\N
3506721	9034	1998-03-31	PRIJEM	\N	134	36780	UROK	\N	\N
3506722	9034	1998-04-30	PRIJEM	\N	122	34006	UROK	\N	\N
3506723	9034	1998-05-31	PRIJEM	\N	112	40299	UROK	\N	\N
3506724	9034	1998-06-30	PRIJEM	\N	185	56146	UROK	\N	\N
3506725	9034	1998-07-31	PRIJEM	\N	174	47959	UROK	\N	\N
3506726	9034	1998-08-31	PRIJEM	\N	125	52317	UROK	\N	\N
3506727	9034	1998-09-30	PRIJEM	\N	157	45751	UROK	\N	\N
3506728	9034	1998-10-31	PRIJEM	\N	109	48516	UROK	\N	\N
3506729	9034	1998-11-30	PRIJEM	\N	150	38754	UROK	\N	\N
3506730	9034	1998-12-31	PRIJEM	\N	152	38820	UROK	\N	\N
3506731	9037	1996-11-30	PRIJEM	\N	24	18846	UROK	\N	\N
3506732	9037	1996-12-31	PRIJEM	\N	47	35352	UROK	\N	\N
3506733	9037	1997-01-31	PRIJEM	\N	56	37833	UROK	\N	\N
3506734	9037	1997-02-28	PRIJEM	\N	45	33851	UROK	\N	\N
3506735	9037	1997-03-31	PRIJEM	\N	64	31528	UROK	\N	\N
3506736	9037	1997-04-30	PRIJEM	\N	78	23480	UROK	\N	\N
3506737	9037	1997-05-31	PRIJEM	\N	64	19745	UROK	\N	\N
3506738	9037	1997-06-30	PRIJEM	\N	69	23783	UROK	\N	\N
3506739	9037	1997-07-31	PRIJEM	\N	94	25816	UROK	\N	\N
3506740	9037	1997-08-31	PRIJEM	\N	85	31571	UROK	\N	\N
3506741	9037	1997-09-30	PRIJEM	\N	98	31348	UROK	\N	\N
3506742	9037	1997-10-31	PRIJEM	\N	98	35061	UROK	\N	\N
3506743	9037	1997-11-30	PRIJEM	\N	98	31277	UROK	\N	\N
3506744	9037	1997-12-31	PRIJEM	\N	133	36102	UROK	\N	\N
3506745	9037	1998-01-31	PRIJEM	\N	118	23152	UROK	\N	\N
3506746	9037	1998-02-28	PRIJEM	\N	91	32717	UROK	\N	\N
3506747	9037	1998-03-31	PRIJEM	\N	123	36199	UROK	\N	\N
3506748	9037	1998-04-30	PRIJEM	\N	112	36877	UROK	\N	\N
3506749	9037	1998-05-31	PRIJEM	\N	159	40705	UROK	\N	\N
3506750	9037	1998-06-30	PRIJEM	\N	180	48954	UROK	\N	\N
3506751	9037	1998-07-31	PRIJEM	\N	202	53498	UROK	\N	\N
3506752	9037	1998-08-31	PRIJEM	\N	198	53958	UROK	\N	\N
3506753	9037	1998-09-30	PRIJEM	\N	157	55996	UROK	\N	\N
3506754	9037	1998-10-31	PRIJEM	\N	165	57034	UROK	\N	\N
3506755	9037	1998-11-30	PRIJEM	\N	212	55817	UROK	\N	\N
3506756	9037	1998-12-31	PRIJEM	\N	161	58020	UROK	\N	\N
3506823	9041	1993-08-31	PRIJEM	\N	41	61135	UROK	\N	\N
3506824	9041	1993-10-31	PRIJEM	\N	38	58587	UROK	\N	\N
3506825	9041	1993-11-30	PRIJEM	\N	417	44205	UROK	\N	\N
3506826	9041	1993-12-31	PRIJEM	\N	109	44202	UROK	\N	\N
3506827	9041	1994-01-31	PRIJEM	\N	7	13056	UROK	\N	\N
3506828	9041	1994-01-31	VYDAJ	VYBER	5	13097	SANKC. UROK	\N	\N
3506829	9041	1994-02-28	PRIJEM	\N	50	264	UROK	\N	\N
3506830	9041	1994-02-28	VYDAJ	VYBER	0	299	SANKC. UROK	\N	\N
3506831	9041	1994-03-31	PRIJEM	\N	23	18148	UROK	\N	\N
3506832	9041	1994-03-31	VYDAJ	VYBER	1	18146	SANKC. UROK	\N	\N
3506833	9041	1994-04-30	PRIJEM	\N	32	11689	UROK	\N	\N
3506834	9041	1994-04-30	VYDAJ	VYBER	3	11683	SANKC. UROK	\N	\N
3506835	9041	1994-05-31	PRIJEM	\N	145	41138	UROK	\N	\N
3506836	9041	1994-06-30	PRIJEM	\N	143	34474	UROK	\N	\N
3506837	9041	1994-07-31	PRIJEM	\N	90	21141	UROK	\N	\N
3506838	9041	1994-08-31	PRIJEM	\N	90	42382	UROK	\N	\N
3506839	9041	1994-09-30	PRIJEM	\N	80	31357	UROK	\N	\N
3506840	9041	1994-10-31	PRIJEM	\N	29	44704	UROK	\N	\N
3506841	9041	1994-11-30	PRIJEM	\N	146	26784	UROK	\N	\N
3506842	9041	1994-12-31	PRIJEM	\N	245	52788	UROK	\N	\N
3506843	9041	1995-01-31	PRIJEM	\N	75	5643	UROK	\N	\N
3506844	9041	1995-02-28	PRIJEM	\N	167	40774	UROK	\N	\N
3506845	9041	1995-03-31	PRIJEM	\N	155	24424	UROK	\N	\N
3506846	9041	1995-04-30	PRIJEM	\N	99	37649	UROK	\N	\N
3506847	9041	1995-05-31	PRIJEM	\N	136	64584	UROK	\N	\N
3506848	9041	1995-06-30	PRIJEM	\N	106	73074	UROK	\N	\N
3506849	9041	1995-07-31	PRIJEM	\N	317	70191	UROK	\N	\N
3506850	9041	1995-08-31	PRIJEM	\N	304	70878	UROK	\N	\N
3506851	9041	1995-10-31	PRIJEM	\N	208	104159	UROK	\N	\N
3506852	9041	1995-11-30	PRIJEM	\N	106	62802	UROK	\N	\N
3506853	9041	1995-12-31	PRIJEM	\N	53	45705	UROK	\N	\N
3506854	9041	1996-01-31	PRIJEM	\N	22	4707	UROK	\N	\N
3506855	9041	1996-02-29	PRIJEM	\N	52	18845	UROK	\N	\N
3506856	9041	1996-03-31	PRIJEM	\N	62	12854	UROK	\N	\N
3506857	9041	1996-04-30	PRIJEM	\N	27	7159	UROK	\N	\N
3506858	9041	1996-05-31	PRIJEM	\N	0	6458	UROK	\N	\N
3506859	9041	1996-07-31	PRIJEM	\N	22	12980	UROK	\N	\N
3506860	9041	1996-11-30	PRIJEM	\N	0	6659	UROK	\N	\N
3506861	9041	1996-12-31	PRIJEM	\N	10	5164	UROK	\N	\N
3506862	9041	1997-01-31	PRIJEM	\N	7	24693	UROK	\N	\N
3506863	9041	1997-01-31	VYDAJ	VYBER	1	24678	SANKC. UROK	\N	\N
3506864	9041	1997-02-28	PRIJEM	\N	126	94193	UROK	\N	\N
3506865	9041	1997-03-31	PRIJEM	\N	73	89306	UROK	\N	\N
3506866	9041	1997-04-30	PRIJEM	\N	295	105695	UROK	\N	\N
3506867	9041	1997-05-31	PRIJEM	\N	190	32255	UROK	\N	\N
3506868	9041	1997-06-30	PRIJEM	\N	48	31883	UROK	\N	\N
3506869	9041	1997-07-31	PRIJEM	\N	223	67922	UROK	\N	\N
3506870	9041	1997-08-31	PRIJEM	\N	329	111446	UROK	\N	\N
3506871	9041	1997-09-30	PRIJEM	\N	245	73288	UROK	\N	\N
3506872	9041	1997-10-31	PRIJEM	\N	189	46619	UROK	\N	\N
3506873	9041	1997-11-30	PRIJEM	\N	199	88104	UROK	\N	\N
3506874	9041	1997-12-31	PRIJEM	\N	223	59697	UROK	\N	\N
3506875	9041	1998-01-31	PRIJEM	\N	122	7704	UROK	\N	\N
3506876	9041	1998-02-28	PRIJEM	\N	25	19864	UROK	\N	\N
3506877	9041	1998-03-31	PRIJEM	\N	93	57861	UROK	\N	\N
3506878	9041	1998-04-30	PRIJEM	\N	41	20189	UROK	\N	\N
3506879	9041	1998-09-30	PRIJEM	\N	41	19033	UROK	\N	\N
3506880	9041	1998-10-31	PRIJEM	\N	48	7711	UROK	\N	\N
3506881	9041	1998-11-30	PRIJEM	\N	50	14661	UROK	\N	\N
3506882	9041	1998-12-31	VYDAJ	VYBER	43	2307	SANKC. UROK	\N	\N
3507073	9051	1997-02-28	PRIJEM	\N	79	29633	UROK	\N	\N
3507074	9051	1997-04-30	PRIJEM	\N	184	75093	UROK	\N	\N
3507075	9051	1997-05-31	PRIJEM	\N	60	109364	UROK	\N	\N
3507076	9051	1997-06-30	PRIJEM	\N	199	33357	UROK	\N	\N
3507077	9051	1997-07-31	PRIJEM	\N	174	35462	UROK	\N	\N
3507078	9051	1997-08-31	PRIJEM	\N	143	31018	UROK	\N	\N
3507079	9051	1997-09-30	PRIJEM	\N	104	20592	UROK	\N	\N
3507080	9051	1997-10-31	PRIJEM	\N	31	2979	UROK	\N	\N
3507081	9051	1997-11-30	PRIJEM	\N	48	26507	UROK	\N	\N
3507082	9051	1997-12-31	PRIJEM	\N	35	8007	UROK	\N	\N
3507083	9051	1998-01-31	PRIJEM	\N	14	-2189	UROK	\N	\N
3507084	9051	1998-01-31	VYDAJ	VYBER	7	-2233	SANKC. UROK	\N	\N
3507085	9051	1998-02-28	PRIJEM	\N	0	1367	UROK	\N	\N
3507086	9051	1998-02-28	VYDAJ	VYBER	32	1274	SANKC. UROK	\N	\N
3507087	9051	1998-03-31	PRIJEM	\N	1	11075	UROK	\N	\N
3507088	9051	1998-04-30	PRIJEM	\N	32	-735	UROK	\N	\N
3507089	9051	1998-04-30	VYDAJ	VYBER	4	-740	SANKC. UROK	\N	\N
3507090	9051	1998-05-31	VYDAJ	VYBER	21	9607	SANKC. UROK	\N	\N
3507091	9051	1998-06-30	PRIJEM	\N	2	14693	UROK	\N	\N
3507092	9051	1998-07-31	PRIJEM	\N	55	44726	UROK	\N	\N
3507093	9051	1998-08-31	PRIJEM	\N	62	18607	UROK	\N	\N
3507094	9051	1998-09-30	PRIJEM	\N	74	12031	UROK	\N	\N
3507095	9051	1998-10-31	PRIJEM	\N	15	1559	UROK	\N	\N
3507096	9051	1998-10-31	VYDAJ	VYBER	0	1547	SANKC. UROK	\N	\N
3507097	9051	1998-12-31	PRIJEM	\N	81	23094	UROK	\N	\N
3507098	9052	1995-09-30	PRIJEM	\N	5	33532	UROK	\N	\N
3507099	9052	1995-10-31	PRIJEM	\N	111	48367	UROK	\N	\N
3507100	9052	1995-11-30	PRIJEM	\N	380	56568	UROK	\N	\N
3507101	9052	1995-12-31	PRIJEM	\N	69	38302	UROK	\N	\N
3507102	9052	1996-01-31	PRIJEM	\N	157	26533	UROK	\N	\N
3507103	9052	1996-02-29	PRIJEM	\N	60	20054	UROK	\N	\N
3507104	9052	1996-03-31	PRIJEM	\N	110	66331	UROK	\N	\N
3507105	9052	1996-04-30	PRIJEM	\N	309	53889	UROK	\N	\N
3507106	9052	1996-05-31	PRIJEM	\N	229	46674	UROK	\N	\N
3507107	9052	1996-06-30	PRIJEM	\N	132	20384	UROK	\N	\N
3507108	9052	1996-07-31	PRIJEM	\N	35	3220	UROK	\N	\N
3507109	9052	1996-08-31	VYDAJ	VYBER	32	-3117	SANKC. UROK	\N	\N
3507110	9052	1996-09-30	PRIJEM	\N	6	3284	UROK	\N	\N
3507111	9052	1996-10-31	PRIJEM	\N	38	22927	UROK	\N	\N
3507112	9052	1996-11-30	PRIJEM	\N	238	48898	UROK	\N	\N
3507113	9052	1996-12-31	PRIJEM	\N	65	29307	UROK	\N	\N
3507114	9052	1997-01-31	PRIJEM	\N	137	31847	UROK	\N	\N
3507115	9052	1997-02-28	PRIJEM	\N	195	85777	UROK	\N	\N
3507116	9052	1997-03-31	PRIJEM	\N	310	61917	UROK	\N	\N
3507117	9052	1997-04-30	PRIJEM	\N	322	100993	UROK	\N	\N
3507118	9052	1997-05-31	PRIJEM	\N	367	91118	UROK	\N	\N
3507119	9052	1997-06-30	PRIJEM	\N	318	56893	UROK	\N	\N
3507120	9052	1997-07-31	PRIJEM	\N	141	93954	UROK	\N	\N
3507121	9052	1997-08-31	PRIJEM	\N	114	39194	UROK	\N	\N
3507122	9052	1997-09-30	PRIJEM	\N	99	22138	UROK	\N	\N
3507123	9052	1997-10-31	PRIJEM	\N	78	50024	UROK	\N	\N
3507124	9052	1997-11-30	PRIJEM	\N	189	41986	UROK	\N	\N
3507125	9052	1997-12-31	PRIJEM	\N	140	38661	UROK	\N	\N
3507126	9052	1998-01-31	PRIJEM	\N	39	15594	UROK	\N	\N
3507127	9052	1998-02-28	PRIJEM	\N	158	33218	UROK	\N	\N
3507128	9052	1998-03-31	PRIJEM	\N	28	42893	UROK	\N	\N
3507129	9052	1998-04-30	PRIJEM	\N	114	41870	UROK	\N	\N
3507130	9052	1998-05-31	PRIJEM	\N	83	14053	UROK	\N	\N
3507131	9052	1998-06-30	PRIJEM	\N	52	24497	UROK	\N	\N
3507132	9052	1998-07-31	PRIJEM	\N	58	51224	UROK	\N	\N
3507133	9052	1998-08-31	PRIJEM	\N	38	19265	UROK	\N	\N
3507134	9052	1998-09-30	VYDAJ	VYBER	8	3579	SANKC. UROK	\N	\N
3507135	9052	1998-10-31	PRIJEM	\N	77	56760	UROK	\N	\N
3507136	9052	1998-11-30	PRIJEM	\N	172	16078	UROK	\N	\N
3507137	9052	1998-12-31	PRIJEM	\N	47	27755	UROK	\N	\N
3507643	9093	1993-07-31	PRIJEM	\N	44	21833	UROK	\N	\N
3507644	9093	1993-08-31	PRIJEM	\N	73	34048	UROK	\N	\N
3507645	9093	1993-09-30	PRIJEM	\N	85	38544	UROK	\N	\N
3507646	9093	1993-10-31	PRIJEM	\N	90	39476	UROK	\N	\N
3507647	9093	1993-11-30	PRIJEM	\N	127	35745	UROK	\N	\N
3507648	9093	1993-12-31	PRIJEM	\N	134	35710	UROK	\N	\N
3507649	9093	1994-01-31	PRIJEM	\N	92	19388	UROK	\N	\N
3507650	9093	1994-02-28	PRIJEM	\N	77	17872	UROK	\N	\N
3507651	9093	1994-03-31	PRIJEM	\N	111	28282	UROK	\N	\N
3507652	9093	1994-04-30	PRIJEM	\N	128	31919	UROK	\N	\N
3507653	9093	1994-05-31	PRIJEM	\N	119	29495	UROK	\N	\N
3507654	9093	1994-06-30	PRIJEM	\N	90	12986	UROK	\N	\N
3507655	9093	1994-07-31	PRIJEM	\N	86	24471	UROK	\N	\N
3507656	9093	1994-08-31	PRIJEM	\N	111	24182	UROK	\N	\N
3507657	9093	1994-09-30	PRIJEM	\N	113	27486	UROK	\N	\N
3507658	9093	1994-10-31	PRIJEM	\N	108	30839	UROK	\N	\N
3507659	9093	1994-11-30	PRIJEM	\N	101	32018	UROK	\N	\N
3507660	9093	1994-12-31	PRIJEM	\N	114	35337	UROK	\N	\N
3507661	9093	1995-01-31	PRIJEM	\N	102	26634	UROK	\N	\N
3507662	9093	1995-02-28	PRIJEM	\N	121	37941	UROK	\N	\N
3507663	9093	1995-03-31	PRIJEM	\N	134	33220	UROK	\N	\N
3507664	9093	1995-04-30	PRIJEM	\N	116	35699	UROK	\N	\N
3507665	9093	1995-05-31	PRIJEM	\N	144	36988	UROK	\N	\N
3507666	9093	1995-06-30	PRIJEM	\N	178	57630	UROK	\N	\N
3507667	9093	1995-07-31	PRIJEM	\N	181	55996	UROK	\N	\N
3507668	9093	1995-08-31	PRIJEM	\N	224	58395	UROK	\N	\N
3507669	9093	1995-09-30	PRIJEM	\N	181	56821	UROK	\N	\N
3507670	9093	1995-10-31	PRIJEM	\N	212	56245	UROK	\N	\N
3507671	9093	1995-11-30	PRIJEM	\N	157	51424	UROK	\N	\N
3507672	9093	1995-12-31	PRIJEM	\N	186	59374	UROK	\N	\N
3507673	9093	1996-01-31	PRIJEM	\N	188	39913	UROK	\N	\N
3507674	9093	1996-02-29	PRIJEM	\N	171	41219	UROK	\N	\N
3507675	9093	1996-03-31	PRIJEM	\N	179	48043	UROK	\N	\N
3507676	9093	1996-04-30	PRIJEM	\N	195	53361	UROK	\N	\N
3507677	9093	1996-05-31	PRIJEM	\N	152	51175	UROK	\N	\N
3507678	9093	1996-06-30	PRIJEM	\N	191	44422	UROK	\N	\N
3507679	9093	1996-07-31	PRIJEM	\N	179	40947	UROK	\N	\N
3507680	9093	1996-08-31	PRIJEM	\N	187	41678	UROK	\N	\N
3507681	9093	1996-09-30	PRIJEM	\N	188	40185	UROK	\N	\N
3507682	9093	1996-10-31	PRIJEM	\N	181	41791	UROK	\N	\N
3507683	9093	1996-11-30	PRIJEM	\N	186	42821	UROK	\N	\N
3507684	9093	1996-12-31	PRIJEM	\N	195	46558	UROK	\N	\N
3507685	9093	1997-01-31	PRIJEM	\N	146	41788	UROK	\N	\N
3507686	9093	1997-02-28	PRIJEM	\N	178	44062	UROK	\N	\N
3507687	9093	1997-03-31	PRIJEM	\N	160	44066	UROK	\N	\N
3507688	9093	1997-04-30	PRIJEM	\N	193	49286	UROK	\N	\N
3507689	9093	1997-05-31	PRIJEM	\N	206	53136	UROK	\N	\N
3507690	9093	1997-06-30	PRIJEM	\N	188	51658	UROK	\N	\N
3507691	9093	1997-07-31	PRIJEM	\N	219	57539	UROK	\N	\N
3507692	9093	1997-08-31	PRIJEM	\N	231	59315	UROK	\N	\N
3507693	9093	1997-09-30	PRIJEM	\N	239	61775	UROK	\N	\N
3507694	9093	1997-10-31	PRIJEM	\N	204	64577	UROK	\N	\N
3507695	9093	1997-11-30	PRIJEM	\N	219	69307	UROK	\N	\N
3507696	9093	1997-12-31	PRIJEM	\N	295	76117	UROK	\N	\N
3507697	9093	1998-01-31	PRIJEM	\N	244	60787	UROK	\N	\N
3507698	9093	1998-02-28	PRIJEM	\N	196	64371	UROK	\N	\N
3507699	9093	1998-03-31	PRIJEM	\N	251	61317	UROK	\N	\N
3507700	9093	1998-04-30	PRIJEM	\N	228	57489	UROK	\N	\N
3507701	9093	1998-05-31	PRIJEM	\N	170	50546	UROK	\N	\N
3507702	9093	1998-06-30	PRIJEM	\N	210	55588	UROK	\N	\N
3507703	9093	1998-07-31	PRIJEM	\N	171	53912	UROK	\N	\N
3507704	9093	1998-08-31	PRIJEM	\N	199	52255	UROK	\N	\N
3507705	9093	1998-09-30	PRIJEM	\N	189	50277	UROK	\N	\N
3507706	9093	1998-10-31	PRIJEM	\N	174	45669	UROK	\N	\N
3507707	9093	1998-11-30	PRIJEM	\N	160	45235	UROK	\N	\N
3507708	9093	1998-12-31	PRIJEM	\N	185	59088	UROK	\N	\N
3507847	9104	1994-01-31	PRIJEM	\N	19	28777	UROK	\N	\N
3507848	9104	1994-02-28	PRIJEM	\N	65	60156	UROK	\N	\N
3507849	9104	1994-04-30	PRIJEM	\N	61	59180	UROK	\N	\N
3507850	9104	1994-05-31	PRIJEM	\N	122	77784	UROK	\N	\N
3507851	9104	1994-06-30	PRIJEM	\N	289	66715	UROK	\N	\N
3507852	9104	1994-07-31	PRIJEM	\N	133	58224	UROK	\N	\N
3507853	9104	1994-08-31	PRIJEM	\N	101	63807	UROK	\N	\N
3507854	9104	1994-09-30	PRIJEM	\N	71	33798	UROK	\N	\N
3507855	9104	1994-10-31	PRIJEM	\N	153	52597	UROK	\N	\N
3507856	9104	1994-11-30	PRIJEM	\N	121	100812	UROK	\N	\N
3507857	9104	1994-12-31	PRIJEM	\N	203	90229	UROK	\N	\N
3507858	9104	1995-01-31	PRIJEM	\N	222	31518	UROK	\N	\N
3507859	9104	1995-02-28	PRIJEM	\N	113	27778	UROK	\N	\N
3507860	9104	1995-03-31	PRIJEM	\N	77	46989	UROK	\N	\N
3507861	9104	1995-04-30	PRIJEM	\N	63	34191	UROK	\N	\N
3507862	9104	1995-05-31	PRIJEM	\N	52	27926	UROK	\N	\N
3507863	9104	1995-06-30	PRIJEM	\N	57	47695	UROK	\N	\N
3507864	9104	1995-07-31	PRIJEM	\N	212	42573	UROK	\N	\N
3507865	9104	1995-08-31	PRIJEM	\N	137	31393	UROK	\N	\N
3507866	9104	1995-09-30	PRIJEM	\N	126	34093	UROK	\N	\N
3507867	9104	1995-10-31	PRIJEM	\N	117	28526	UROK	\N	\N
3507868	9104	1995-11-30	PRIJEM	\N	96	25522	UROK	\N	\N
3507869	9104	1995-12-31	PRIJEM	\N	81	35742	UROK	\N	\N
3507870	9104	1996-01-31	PRIJEM	\N	140	31245	UROK	\N	\N
3507871	9104	1996-02-29	PRIJEM	\N	161	46323	UROK	\N	\N
3507872	9104	1996-03-31	PRIJEM	\N	191	93112	UROK	\N	\N
3507873	9104	1996-04-30	PRIJEM	\N	344	114491	UROK	\N	\N
3507874	9104	1996-05-31	PRIJEM	\N	335	73323	UROK	\N	\N
3507875	9104	1996-06-30	PRIJEM	\N	236	61433	UROK	\N	\N
3507876	9104	1996-07-31	PRIJEM	\N	286	95562	UROK	\N	\N
3507877	9104	1996-08-31	PRIJEM	\N	198	35516	UROK	\N	\N
3507878	9104	1996-09-30	PRIJEM	\N	184	62037	UROK	\N	\N
3507879	9104	1996-10-31	PRIJEM	\N	207	105473	UROK	\N	\N
3507880	9104	1996-11-30	PRIJEM	\N	180	75602	UROK	\N	\N
3507881	9104	1996-12-31	PRIJEM	\N	228	65711	UROK	\N	\N
3507882	9104	1997-01-31	PRIJEM	\N	124	35479	UROK	\N	\N
3507883	9104	1997-02-28	PRIJEM	\N	158	45612	UROK	\N	\N
3507884	9104	1997-03-31	PRIJEM	\N	117	74250	UROK	\N	\N
3507885	9104	1997-04-30	PRIJEM	\N	261	99181	UROK	\N	\N
3507886	9104	1997-05-31	PRIJEM	\N	291	63447	UROK	\N	\N
3507887	9104	1997-06-30	PRIJEM	\N	224	50290	UROK	\N	\N
3507888	9104	1997-07-31	PRIJEM	\N	148	70211	UROK	\N	\N
3507889	9104	1997-08-31	PRIJEM	\N	183	49277	UROK	\N	\N
3507890	9104	1997-09-30	PRIJEM	\N	231	94270	UROK	\N	\N
3507891	9104	1997-10-31	PRIJEM	\N	313	119482	UROK	\N	\N
3507892	9104	1997-11-30	PRIJEM	\N	114	35872	UROK	\N	\N
3507893	9104	1997-12-31	PRIJEM	\N	212	91713	UROK	\N	\N
3507894	9104	1998-01-31	PRIJEM	\N	242	55146	UROK	\N	\N
3507895	9104	1998-02-28	PRIJEM	\N	192	51738	UROK	\N	\N
3507896	9104	1998-03-31	PRIJEM	\N	207	61936	UROK	\N	\N
3507897	9104	1998-04-30	PRIJEM	\N	11	50598	UROK	\N	\N
3507898	9104	1998-05-31	PRIJEM	\N	69	44467	UROK	\N	\N
3507899	9104	1998-06-30	PRIJEM	\N	115	41650	UROK	\N	\N
3507900	9104	1998-07-31	PRIJEM	\N	9	43493	UROK	\N	\N
3507901	9104	1998-08-31	PRIJEM	\N	50	50310	UROK	\N	\N
3507902	9104	1998-09-30	PRIJEM	\N	15	45927	UROK	\N	\N
3507903	9104	1998-10-31	PRIJEM	\N	29	41001	UROK	\N	\N
3507904	9104	1998-11-30	PRIJEM	\N	127	44558	UROK	\N	\N
3507905	9104	1998-12-31	PRIJEM	\N	92	38967	UROK	\N	\N
3508150	9138	1996-07-31	PRIJEM	\N	23	28079	UROK	\N	\N
3508151	9138	1996-10-31	PRIJEM	\N	105	52408	UROK	\N	\N
3508152	9138	1996-11-30	PRIJEM	\N	107	51964	UROK	\N	\N
3508153	9138	1996-12-31	PRIJEM	\N	235	86827	UROK	\N	\N
3508154	9138	1997-01-31	PRIJEM	\N	144	24054	UROK	\N	\N
3508155	9138	1997-02-28	PRIJEM	\N	46	17194	UROK	\N	\N
3508156	9138	1997-03-31	PRIJEM	\N	55	11575	UROK	\N	\N
3508157	9138	1997-04-30	PRIJEM	\N	47	13722	UROK	\N	\N
3508158	9138	1997-04-30	VYDAJ	VYBER	0	13770	SANKC. UROK	\N	\N
3508159	9138	1997-05-31	PRIJEM	\N	2	1595	UROK	\N	\N
3508160	9138	1997-06-30	PRIJEM	\N	3	-1079	UROK	\N	\N
3508161	9138	1997-06-30	VYDAJ	VYBER	1	-1095	SANKC. UROK	\N	\N
3508162	9138	1997-07-31	VYDAJ	VYBER	18	13788	SANKC. UROK	\N	\N
3508163	9138	1997-08-31	PRIJEM	\N	37	15165	UROK	\N	\N
3508164	9138	1997-09-30	PRIJEM	\N	38	14766	UROK	\N	\N
3508165	9138	1997-10-31	PRIJEM	\N	32	11821	UROK	\N	\N
3508166	9138	1997-11-30	PRIJEM	\N	42	10320	UROK	\N	\N
3508167	9138	1997-12-31	PRIJEM	\N	21	7605	UROK	\N	\N
3508168	9138	1998-01-31	PRIJEM	\N	86	36302	UROK	\N	\N
3508169	9138	1998-02-28	PRIJEM	\N	49	15914	UROK	\N	\N
3508170	9138	1998-03-31	PRIJEM	\N	106	33569	UROK	\N	\N
3508171	9138	1998-04-30	PRIJEM	\N	101	31258	UROK	\N	\N
3508172	9138	1998-05-31	PRIJEM	\N	162	55274	UROK	\N	\N
3508173	9138	1998-06-30	PRIJEM	\N	166	32466	UROK	\N	\N
3508174	9138	1998-07-31	PRIJEM	\N	208	93867	UROK	\N	\N
3508175	9138	1998-08-31	PRIJEM	\N	361	93083	UROK	\N	\N
3508176	9138	1998-09-30	PRIJEM	\N	183	66942	UROK	\N	\N
3508177	9138	1998-10-31	PRIJEM	\N	141	44830	UROK	\N	\N
3508178	9138	1998-11-30	PRIJEM	\N	55	19193	UROK	\N	\N
3508179	9138	1998-12-31	PRIJEM	\N	51	24729	UROK	\N	\N
3508180	9140	1997-09-30	PRIJEM	\N	27	15065	UROK	\N	\N
3508181	9140	1997-10-31	PRIJEM	\N	49	26208	UROK	\N	\N
3508182	9140	1997-11-30	PRIJEM	\N	62	32300	UROK	\N	\N
3508183	9140	1997-12-31	PRIJEM	\N	68	33919	UROK	\N	\N
3508184	9140	1998-01-31	PRIJEM	\N	91	14114	UROK	\N	\N
3508185	9140	1998-02-28	PRIJEM	\N	64	16033	UROK	\N	\N
3508186	9140	1998-03-31	PRIJEM	\N	70	16635	UROK	\N	\N
3508187	9140	1998-04-30	PRIJEM	\N	85	18040	UROK	\N	\N
3508188	9140	1998-05-31	PRIJEM	\N	81	18060	UROK	\N	\N
3508189	9140	1998-06-30	PRIJEM	\N	89	15207	UROK	\N	\N
3508190	9140	1998-07-31	PRIJEM	\N	81	18244	UROK	\N	\N
3508191	9140	1998-08-31	PRIJEM	\N	89	21361	UROK	\N	\N
3508192	9140	1998-09-30	PRIJEM	\N	76	19486	UROK	\N	\N
3508193	9140	1998-10-31	PRIJEM	\N	69	16610	UROK	\N	\N
3508194	9140	1998-11-30	PRIJEM	\N	71	15107	UROK	\N	\N
3508195	9140	1998-12-31	PRIJEM	\N	59	13536	UROK	\N	\N
3508289	9153	1997-01-31	PRIJEM	\N	34	12632	UROK	\N	\N
3508290	9153	1997-02-28	PRIJEM	\N	62	23257	UROK	\N	\N
3508291	9153	1997-03-31	PRIJEM	\N	76	30079	UROK	\N	\N
3508292	9153	1997-04-30	PRIJEM	\N	87	33143	UROK	\N	\N
3508293	9153	1997-05-31	PRIJEM	\N	97	32632	UROK	\N	\N
3508294	9153	1997-06-30	PRIJEM	\N	107	33247	UROK	\N	\N
3508295	9153	1997-07-31	PRIJEM	\N	83	27395	UROK	\N	\N
3508296	9153	1997-08-31	PRIJEM	\N	105	31589	UROK	\N	\N
3508297	9153	1997-09-30	PRIJEM	\N	106	34969	UROK	\N	\N
3508298	9153	1997-10-31	PRIJEM	\N	111	35986	UROK	\N	\N
3508299	9153	1997-11-30	PRIJEM	\N	134	33473	UROK	\N	\N
3508300	9153	1997-12-31	PRIJEM	\N	131	37212	UROK	\N	\N
3508301	9153	1998-01-31	PRIJEM	\N	138	32797	UROK	\N	\N
3508302	9153	1998-02-28	PRIJEM	\N	128	37291	UROK	\N	\N
3508303	9153	1998-03-31	PRIJEM	\N	158	38761	UROK	\N	\N
3508304	9153	1998-04-30	PRIJEM	\N	182	46356	UROK	\N	\N
3508305	9153	1998-05-31	PRIJEM	\N	194	48287	UROK	\N	\N
3508306	9153	1998-06-30	PRIJEM	\N	183	46650	UROK	\N	\N
3508307	9153	1998-07-31	PRIJEM	\N	170	52176	UROK	\N	\N
3508308	9153	1998-08-31	PRIJEM	\N	212	53049	UROK	\N	\N
3508309	9153	1998-09-30	PRIJEM	\N	205	49681	UROK	\N	\N
3508310	9153	1998-10-31	PRIJEM	\N	197	51957	UROK	\N	\N
3508311	9153	1998-11-30	PRIJEM	\N	160	52780	UROK	\N	\N
3508312	9153	1998-12-31	PRIJEM	\N	173	53869	UROK	\N	\N
3508313	9156	1997-10-31	PRIJEM	\N	48	21240	UROK	\N	\N
3508314	9156	1997-11-30	PRIJEM	\N	77	69405	UROK	\N	\N
3508315	9156	1998-03-31	PRIJEM	\N	99	43393	UROK	\N	\N
3508316	9156	1998-06-30	PRIJEM	\N	32	27536	UROK	\N	\N
3508317	9156	1998-07-31	PRIJEM	\N	70	9059	UROK	\N	\N
3508318	9156	1998-08-31	PRIJEM	\N	84	40171	UROK	\N	\N
3508319	9156	1998-09-30	PRIJEM	\N	149	34030	UROK	\N	\N
3508320	9156	1998-10-31	PRIJEM	\N	19	2796	UROK	\N	\N
3508321	9156	1998-11-30	PRIJEM	\N	54	17636	UROK	\N	\N
3508322	9156	1998-12-31	PRIJEM	\N	48	31682	UROK	\N	\N
3508323	9159	1996-08-31	PRIJEM	\N	55	16974	UROK	\N	\N
3508324	9159	1996-09-30	PRIJEM	\N	120	38010	UROK	\N	\N
3508325	9159	1996-10-31	PRIJEM	\N	151	46979	UROK	\N	\N
3508326	9159	1996-12-31	PRIJEM	\N	183	41433	UROK	\N	\N
3508327	9159	1997-01-31	PRIJEM	\N	111	21634	UROK	\N	\N
3508328	9159	1997-02-28	PRIJEM	\N	105	27058	UROK	\N	\N
3508329	9159	1997-03-31	PRIJEM	\N	116	32103	UROK	\N	\N
3508330	9159	1997-04-30	PRIJEM	\N	120	32729	UROK	\N	\N
3508331	9159	1997-05-31	PRIJEM	\N	119	27815	UROK	\N	\N
3508332	9159	1997-06-30	PRIJEM	\N	135	31579	UROK	\N	\N
3508333	9159	1997-07-31	PRIJEM	\N	143	33598	UROK	\N	\N
3508334	9159	1997-08-31	PRIJEM	\N	124	32729	UROK	\N	\N
3508335	9159	1997-09-30	PRIJEM	\N	119	37201	UROK	\N	\N
3508336	9159	1997-10-31	PRIJEM	\N	167	40906	UROK	\N	\N
3508337	9159	1997-11-30	PRIJEM	\N	141	37487	UROK	\N	\N
3508338	9159	1997-12-31	PRIJEM	\N	169	47894	UROK	\N	\N
3508339	9159	1998-01-31	PRIJEM	\N	150	34183	UROK	\N	\N
3508340	9159	1998-02-28	PRIJEM	\N	123	41493	UROK	\N	\N
3508341	9159	1998-03-31	PRIJEM	\N	141	44311	UROK	\N	\N
3508342	9159	1998-04-30	PRIJEM	\N	152	47961	UROK	\N	\N
3508343	9159	1998-05-31	PRIJEM	\N	163	48536	UROK	\N	\N
3508344	9159	1998-06-30	PRIJEM	\N	155	38956	UROK	\N	\N
3508345	9159	1998-07-31	PRIJEM	\N	129	40632	UROK	\N	\N
3508346	9159	1998-08-31	PRIJEM	\N	152	48487	UROK	\N	\N
3508347	9159	1998-09-30	PRIJEM	\N	201	46758	UROK	\N	\N
3508348	9159	1998-10-31	PRIJEM	\N	193	46419	UROK	\N	\N
3508349	9159	1998-11-30	PRIJEM	\N	196	50376	UROK	\N	\N
3508350	9159	1998-12-31	PRIJEM	\N	228	62583	UROK	\N	\N
3508370	9167	1997-04-30	PRIJEM	\N	9	7527	UROK	\N	\N
3508371	9167	1997-07-31	PRIJEM	\N	3	25293	UROK	\N	\N
3508372	9167	1997-08-31	PRIJEM	\N	220	56698	UROK	\N	\N
3508373	9167	1997-09-30	PRIJEM	\N	97	55539	UROK	\N	\N
3508374	9167	1997-10-31	PRIJEM	\N	133	19665	UROK	\N	\N
3508375	9167	1997-11-30	PRIJEM	\N	278	54839	UROK	\N	\N
3508376	9167	1997-12-31	PRIJEM	\N	95	23468	UROK	\N	\N
3508377	9167	1998-01-31	PRIJEM	\N	58	23158	UROK	\N	\N
3508378	9167	1998-02-28	PRIJEM	\N	70	17117	UROK	\N	\N
3508379	9167	1998-03-31	PRIJEM	\N	143	36100	UROK	\N	\N
3508380	9167	1998-04-30	PRIJEM	\N	126	33562	UROK	\N	\N
3508381	9167	1998-05-31	PRIJEM	\N	78	36377	UROK	\N	\N
3508382	9167	1998-06-30	PRIJEM	\N	166	35736	UROK	\N	\N
3508383	9167	1998-07-31	PRIJEM	\N	152	46031	UROK	\N	\N
3508384	9167	1998-08-31	PRIJEM	\N	166	70227	UROK	\N	\N
3508385	9167	1998-09-30	PRIJEM	\N	242	42713	UROK	\N	\N
3508386	9167	1998-10-31	PRIJEM	\N	322	78377	UROK	\N	\N
3508387	9167	1998-11-30	PRIJEM	\N	322	58245	UROK	\N	\N
3508388	9167	1998-12-31	PRIJEM	\N	288	71270	UROK	\N	\N
3508511	9179	1997-02-28	PRIJEM	\N	26	22058	UROK	\N	\N
3508512	9179	1997-03-31	PRIJEM	\N	41	34301	UROK	\N	\N
3508513	9179	1997-04-30	PRIJEM	\N	51	40813	UROK	\N	\N
3508514	9179	1997-05-31	PRIJEM	\N	57	42644	UROK	\N	\N
3508515	9179	1997-06-30	PRIJEM	\N	112	45409	UROK	\N	\N
3508516	9179	1997-07-31	PRIJEM	\N	106	27940	UROK	\N	\N
3508517	9179	1997-08-31	PRIJEM	\N	81	22300	UROK	\N	\N
3508518	9179	1997-09-30	PRIJEM	\N	108	33508	UROK	\N	\N
3508519	9179	1997-10-31	PRIJEM	\N	97	29564	UROK	\N	\N
3508520	9179	1997-11-30	PRIJEM	\N	103	36751	UROK	\N	\N
3508521	9179	1997-12-31	PRIJEM	\N	172	38532	UROK	\N	\N
3508522	9179	1998-01-31	PRIJEM	\N	125	22091	UROK	\N	\N
3508523	9179	1998-02-28	PRIJEM	\N	129	38133	UROK	\N	\N
3508524	9179	1998-03-31	PRIJEM	\N	176	46242	UROK	\N	\N
3508525	9179	1998-04-30	PRIJEM	\N	144	52875	UROK	\N	\N
3508526	9179	1998-05-31	PRIJEM	\N	194	43883	UROK	\N	\N
3508527	9179	1998-06-30	PRIJEM	\N	134	48470	UROK	\N	\N
3508528	9179	1998-07-31	PRIJEM	\N	190	45464	UROK	\N	\N
3508529	9179	1998-08-31	PRIJEM	\N	98	39031	UROK	\N	\N
3508530	9179	1998-09-30	PRIJEM	\N	84	35186	UROK	\N	\N
3508531	9179	1998-10-31	PRIJEM	\N	98	38363	UROK	\N	\N
3508532	9179	1998-11-30	PRIJEM	\N	160	42531	UROK	\N	\N
3508533	9179	1998-12-31	PRIJEM	\N	154	34947	UROK	\N	\N
3508711	9188	1993-03-31	PRIJEM	\N	49	17259	UROK	\N	\N
3508712	9188	1993-04-30	PRIJEM	\N	80	27700	UROK	\N	\N
3508713	9188	1993-05-31	PRIJEM	\N	89	30403	UROK	\N	\N
3508714	9188	1993-06-30	PRIJEM	\N	106	35036	UROK	\N	\N
3508715	9188	1993-07-31	PRIJEM	\N	90	20483	UROK	\N	\N
3508716	9188	1993-08-31	PRIJEM	\N	66	20554	UROK	\N	\N
3508717	9188	1993-09-30	PRIJEM	\N	79	24923	UROK	\N	\N
3508718	9188	1993-10-31	PRIJEM	\N	89	26225	UROK	\N	\N
3508719	9188	1993-11-30	PRIJEM	\N	117	29564	UROK	\N	\N
3508720	9188	1993-12-31	PRIJEM	\N	120	31254	UROK	\N	\N
3508721	9188	1994-01-31	PRIJEM	\N	96	21854	UROK	\N	\N
3508722	9188	1994-02-28	PRIJEM	\N	78	25634	UROK	\N	\N
3508723	9188	1994-03-31	PRIJEM	\N	89	27530	UROK	\N	\N
3508724	9188	1994-04-30	PRIJEM	\N	99	31067	UROK	\N	\N
3508725	9188	1994-05-31	PRIJEM	\N	81	24594	UROK	\N	\N
3508726	9188	1994-06-30	PRIJEM	\N	93	25359	UROK	\N	\N
3508727	9188	1994-07-31	PRIJEM	\N	94	20936	UROK	\N	\N
3508728	9188	1994-08-31	PRIJEM	\N	78	22870	UROK	\N	\N
3508729	9188	1994-09-30	PRIJEM	\N	87	28558	UROK	\N	\N
3508730	9188	1994-10-31	PRIJEM	\N	87	28360	UROK	\N	\N
3508731	9188	1994-11-30	PRIJEM	\N	88	27264	UROK	\N	\N
3508732	9188	1994-12-31	PRIJEM	\N	100	21929	UROK	\N	\N
3508733	9188	1995-01-31	PRIJEM	\N	88	22311	UROK	\N	\N
3508734	9188	1995-02-28	PRIJEM	\N	71	24486	UROK	\N	\N
3508735	9188	1995-03-31	PRIJEM	\N	74	24156	UROK	\N	\N
3508736	9188	1995-04-30	PRIJEM	\N	78	23229	UROK	\N	\N
3508737	9188	1995-05-31	PRIJEM	\N	77	22405	UROK	\N	\N
3508738	9188	1995-06-30	PRIJEM	\N	110	24183	UROK	\N	\N
3508739	9188	1995-07-31	PRIJEM	\N	98	22584	UROK	\N	\N
3508740	9188	1995-08-31	PRIJEM	\N	85	18173	UROK	\N	\N
3508741	9188	1995-09-30	PRIJEM	\N	56	17722	UROK	\N	\N
3508742	9188	1995-10-31	PRIJEM	\N	57	18025	UROK	\N	\N
3508743	9188	1995-11-30	PRIJEM	\N	70	15599	UROK	\N	\N
3508744	9188	1995-12-31	PRIJEM	\N	74	17881	UROK	\N	\N
3508745	9188	1996-01-31	PRIJEM	\N	58	20043	UROK	\N	\N
3508746	9188	1996-02-29	PRIJEM	\N	76	22376	UROK	\N	\N
3508747	9188	1996-03-31	PRIJEM	\N	67	17430	UROK	\N	\N
3508748	9188	1996-04-30	PRIJEM	\N	67	19670	UROK	\N	\N
3508749	9188	1996-05-31	PRIJEM	\N	74	21923	UROK	\N	\N
3508750	9188	1996-06-30	PRIJEM	\N	75	17347	UROK	\N	\N
3508751	9188	1996-07-31	PRIJEM	\N	55	19571	UROK	\N	\N
3508752	9188	1996-08-31	PRIJEM	\N	62	21737	UROK	\N	\N
3508753	9188	1996-09-30	PRIJEM	\N	81	23998	UROK	\N	\N
3508754	9188	1996-10-31	PRIJEM	\N	76	26264	UROK	\N	\N
3508755	9188	1996-11-30	PRIJEM	\N	77	27138	UROK	\N	\N
3508756	9188	1996-12-31	PRIJEM	\N	88	29685	UROK	\N	\N
3508757	9188	1997-01-31	PRIJEM	\N	77	25375	UROK	\N	\N
3508758	9188	1997-02-28	PRIJEM	\N	96	27673	UROK	\N	\N
3508759	9188	1997-03-31	PRIJEM	\N	86	29960	UROK	\N	\N
3508760	9188	1997-04-30	PRIJEM	\N	94	32380	UROK	\N	\N
3508761	9188	1997-05-31	PRIJEM	\N	115	30100	UROK	\N	\N
3508762	9188	1997-06-30	PRIJEM	\N	122	27694	UROK	\N	\N
3508763	9188	1997-07-31	PRIJEM	\N	104	30131	UROK	\N	\N
3508764	9188	1997-08-31	PRIJEM	\N	113	32348	UROK	\N	\N
3508765	9188	1997-09-30	PRIJEM	\N	106	27173	UROK	\N	\N
3508766	9188	1997-10-31	PRIJEM	\N	81	29571	UROK	\N	\N
3508767	9188	1997-11-30	PRIJEM	\N	89	31765	UROK	\N	\N
3508768	9188	1997-12-31	PRIJEM	\N	125	29960	UROK	\N	\N
3508769	9188	1998-01-31	PRIJEM	\N	76	26868	UROK	\N	\N
3508770	9188	1998-02-28	PRIJEM	\N	99	29261	UROK	\N	\N
3508771	9188	1998-03-31	PRIJEM	\N	103	31576	UROK	\N	\N
3508772	9188	1998-04-30	PRIJEM	\N	85	30465	UROK	\N	\N
3508773	9188	1998-05-31	PRIJEM	\N	83	29251	UROK	\N	\N
3508774	9188	1998-06-30	PRIJEM	\N	126	37938	UROK	\N	\N
3508775	9188	1998-07-31	PRIJEM	\N	89	22847	UROK	\N	\N
3508776	9188	1998-08-31	PRIJEM	\N	80	25031	UROK	\N	\N
3508777	9188	1998-09-30	PRIJEM	\N	82	27513	UROK	\N	\N
3508778	9188	1998-10-31	PRIJEM	\N	77	30098	UROK	\N	\N
3508779	9188	1998-11-30	PRIJEM	\N	87	32308	UROK	\N	\N
3508780	9188	1998-12-31	PRIJEM	\N	132	34318	UROK	\N	\N
3508829	9192	1994-09-30	PRIJEM	\N	53	25339	UROK	\N	\N
3508830	9192	1994-10-31	PRIJEM	\N	79	37048	UROK	\N	\N
3508831	9192	1994-11-30	PRIJEM	\N	92	41565	UROK	\N	\N
3508832	9192	1994-12-31	PRIJEM	\N	114	50425	UROK	\N	\N
3508833	9192	1995-01-31	PRIJEM	\N	113	43361	UROK	\N	\N
3508834	9192	1995-02-28	PRIJEM	\N	175	44646	UROK	\N	\N
3508835	9192	1995-03-31	PRIJEM	\N	116	48853	UROK	\N	\N
3508836	9192	1995-04-30	PRIJEM	\N	198	47866	UROK	\N	\N
3508837	9192	1995-05-31	PRIJEM	\N	187	46366	UROK	\N	\N
3508838	9192	1995-06-30	PRIJEM	\N	195	21684	UROK	\N	\N
3508839	9192	1995-07-31	PRIJEM	\N	134	34798	UROK	\N	\N
3508840	9192	1995-08-31	PRIJEM	\N	136	54879	UROK	\N	\N
3508841	9192	1995-09-30	PRIJEM	\N	162	62493	UROK	\N	\N
3508842	9192	1995-10-31	PRIJEM	\N	180	67788	UROK	\N	\N
3508843	9192	1995-11-30	PRIJEM	\N	169	70114	UROK	\N	\N
3508844	9192	1995-12-31	PRIJEM	\N	194	77643	UROK	\N	\N
3508845	9192	1996-01-31	PRIJEM	\N	174	70232	UROK	\N	\N
3508846	9192	1996-02-29	PRIJEM	\N	167	67209	UROK	\N	\N
3508847	9192	1996-03-31	PRIJEM	\N	275	69748	UROK	\N	\N
3508848	9192	1996-04-30	PRIJEM	\N	269	66532	UROK	\N	\N
3508849	9192	1996-05-31	PRIJEM	\N	262	66240	UROK	\N	\N
3508850	9192	1996-06-30	PRIJEM	\N	262	69704	UROK	\N	\N
3508851	9192	1996-07-31	PRIJEM	\N	225	64677	UROK	\N	\N
3508852	9192	1996-08-31	PRIJEM	\N	244	64937	UROK	\N	\N
3508853	9192	1996-09-30	PRIJEM	\N	160	65318	UROK	\N	\N
3508854	9192	1996-10-31	PRIJEM	\N	228	61097	UROK	\N	\N
3508855	9192	1996-11-30	PRIJEM	\N	183	61495	UROK	\N	\N
3508856	9192	1996-12-31	PRIJEM	\N	175	70759	UROK	\N	\N
3508857	9192	1997-01-31	PRIJEM	\N	177	62681	UROK	\N	\N
3508858	9192	1997-02-28	PRIJEM	\N	243	64640	UROK	\N	\N
3508859	9192	1997-03-31	PRIJEM	\N	228	61061	UROK	\N	\N
3508860	9192	1997-04-30	PRIJEM	\N	139	61515	UROK	\N	\N
3508861	9192	1997-05-31	PRIJEM	\N	172	58533	UROK	\N	\N
3508862	9192	1997-06-30	PRIJEM	\N	243	48001	UROK	\N	\N
3508863	9192	1997-07-31	PRIJEM	\N	125	54391	UROK	\N	\N
3508864	9192	1997-08-31	PRIJEM	\N	105	28203	UROK	\N	\N
3508865	9192	1997-09-30	PRIJEM	\N	87	20805	UROK	\N	\N
3508866	9192	1997-10-31	PRIJEM	\N	57	18464	UROK	\N	\N
3508867	9192	1997-11-30	PRIJEM	\N	71	13107	UROK	\N	\N
3508868	9192	1997-12-31	PRIJEM	\N	24	20933	UROK	\N	\N
3508869	9192	1998-01-31	PRIJEM	\N	56	21404	UROK	\N	\N
3508870	9192	1998-02-28	PRIJEM	\N	5	18282	UROK	\N	\N
3508871	9192	1998-03-31	PRIJEM	\N	42	13082	UROK	\N	\N
3508872	9192	1998-04-30	PRIJEM	\N	3	14224	UROK	\N	\N
3508873	9192	1998-05-31	PRIJEM	\N	29	6408	UROK	\N	\N
3508874	9192	1998-05-31	VYDAJ	VYBER	2	6404	SANKC. UROK	\N	\N
3508875	9192	1998-06-30	PRIJEM	\N	17	-1518	UROK	\N	\N
3508876	9192	1998-06-30	VYDAJ	VYBER	12	-1549	SANKC. UROK	\N	\N
3508877	9192	1998-07-31	VYDAJ	VYBER	14	-1334	SANKC. UROK	\N	\N
3508878	9192	1998-08-31	VYDAJ	VYBER	10	2415	SANKC. UROK	\N	\N
3508879	9192	1998-09-30	VYDAJ	VYBER	17	-572	SANKC. UROK	\N	\N
3508880	9192	1998-10-31	VYDAJ	VYBER	18	-118	SANKC. UROK	\N	\N
3508881	9192	1998-11-30	VYDAJ	VYBER	16	938	SANKC. UROK	\N	\N
3508996	9199	1996-07-31	PRIJEM	\N	64	27981	UROK	\N	\N
3508997	9199	1996-08-31	PRIJEM	\N	70	29064	UROK	\N	\N
3508998	9199	1996-09-30	PRIJEM	\N	72	28963	UROK	\N	\N
3508999	9199	1996-10-31	PRIJEM	\N	56	12355	UROK	\N	\N
3509000	9199	1996-11-30	PRIJEM	\N	54	13218	UROK	\N	\N
3509001	9199	1996-12-31	PRIJEM	\N	67	19485	UROK	\N	\N
3509002	9199	1997-01-31	PRIJEM	\N	15	-1681	UROK	\N	\N
3509003	9199	1997-01-31	VYDAJ	VYBER	6	-1709	SANKC. UROK	\N	\N
3509004	9199	1997-02-28	PRIJEM	\N	41	14447	UROK	\N	\N
3509005	9199	1997-03-31	PRIJEM	\N	25	8568	UROK	\N	\N
3509006	9199	1997-04-30	PRIJEM	\N	50	11027	UROK	\N	\N
3509007	9199	1997-05-31	PRIJEM	\N	57	11722	UROK	\N	\N
3509008	9199	1997-06-30	PRIJEM	\N	68	15053	UROK	\N	\N
3509009	9199	1997-07-31	PRIJEM	\N	20	781	UROK	\N	\N
3509010	9199	1997-08-31	PRIJEM	\N	41	13015	UROK	\N	\N
3509011	9199	1997-09-30	PRIJEM	\N	23	280	UROK	\N	\N
3509012	9199	1997-09-30	VYDAJ	VYBER	3	259	SANKC. UROK	\N	\N
3509013	9199	1997-10-31	PRIJEM	\N	16	5418	UROK	\N	\N
3509014	9199	1997-11-30	PRIJEM	\N	30	4994	UROK	\N	\N
3509015	9199	1997-12-31	PRIJEM	\N	29	6298	UROK	\N	\N
3509016	9199	1998-01-31	PRIJEM	\N	10	-2337	UROK	\N	\N
3509017	9199	1998-01-31	VYDAJ	VYBER	5	-2361	SANKC. UROK	\N	\N
3509018	9199	1998-02-28	PRIJEM	\N	47	14361	UROK	\N	\N
3509019	9199	1998-02-28	VYDAJ	VYBER	6	14341	SANKC. UROK	\N	\N
3509020	9199	1998-03-31	PRIJEM	\N	34	3348	UROK	\N	\N
3509021	9199	1998-04-30	PRIJEM	\N	46	14006	UROK	\N	\N
3509022	9199	1998-05-31	PRIJEM	\N	64	15593	UROK	\N	\N
3509023	9199	1998-06-30	PRIJEM	\N	94	17636	UROK	\N	\N
3509024	9199	1998-07-31	PRIJEM	\N	28	-326	UROK	\N	\N
3509025	9199	1998-07-31	VYDAJ	VYBER	9	-335	SANKC. UROK	\N	\N
3509026	9199	1998-08-31	PRIJEM	\N	41	12849	UROK	\N	\N
3509027	9199	1998-09-30	PRIJEM	\N	80	21239	UROK	\N	\N
3509028	9199	1998-10-31	PRIJEM	\N	56	6198	UROK	\N	\N
3509029	9199	1998-11-30	PRIJEM	\N	67	18549	UROK	\N	\N
3509030	9199	1998-12-31	PRIJEM	\N	68	8400	UROK	\N	\N
3509031	9201	1996-11-30	PRIJEM	\N	14	33735	UROK	\N	\N
3509032	9201	1996-12-31	PRIJEM	\N	34	62772	UROK	\N	\N
3509033	9201	1997-01-31	PRIJEM	\N	217	50912	UROK	\N	\N
3509034	9201	1997-02-28	PRIJEM	\N	26	59540	UROK	\N	\N
3509035	9201	1997-03-31	PRIJEM	\N	158	29788	UROK	\N	\N
3509036	9201	1997-04-30	PRIJEM	\N	157	36681	UROK	\N	\N
3509037	9201	1997-05-31	PRIJEM	\N	185	41382	UROK	\N	\N
3509038	9201	1997-06-30	PRIJEM	\N	87	21516	UROK	\N	\N
3509039	9201	1997-07-31	PRIJEM	\N	158	35985	UROK	\N	\N
3509040	9201	1997-08-31	PRIJEM	\N	205	40516	UROK	\N	\N
3509041	9201	1997-09-30	PRIJEM	\N	185	38228	UROK	\N	\N
3509042	9201	1997-10-31	PRIJEM	\N	143	30436	UROK	\N	\N
3509043	9201	1997-11-30	PRIJEM	\N	158	33007	UROK	\N	\N
3509044	9201	1997-12-31	PRIJEM	\N	193	45151	UROK	\N	\N
3509045	9201	1998-01-31	PRIJEM	\N	137	27731	UROK	\N	\N
3509046	9201	1998-02-28	PRIJEM	\N	131	37136	UROK	\N	\N
3509047	9201	1998-03-31	PRIJEM	\N	187	42469	UROK	\N	\N
3509048	9201	1998-04-30	PRIJEM	\N	178	50287	UROK	\N	\N
3509049	9201	1998-05-31	PRIJEM	\N	162	43234	UROK	\N	\N
3509050	9201	1998-06-30	PRIJEM	\N	184	52873	UROK	\N	\N
3509051	9201	1998-07-31	PRIJEM	\N	272	67439	UROK	\N	\N
3509052	9201	1998-08-31	PRIJEM	\N	309	57045	UROK	\N	\N
3509053	9201	1998-09-30	PRIJEM	\N	229	58045	UROK	\N	\N
3509054	9201	1998-10-31	PRIJEM	\N	130	42880	UROK	\N	\N
3509055	9201	1998-11-30	PRIJEM	\N	146	48099	UROK	\N	\N
3509056	9201	1998-12-31	PRIJEM	\N	254	47408	UROK	\N	\N
3509057	9203	1993-04-30	PRIJEM	\N	32	29352	UROK	\N	\N
3509058	9203	1993-05-31	PRIJEM	\N	13	32478	UROK	\N	\N
3509059	9203	1993-06-30	PRIJEM	\N	23	48720	UROK	\N	\N
3509060	9203	1993-07-31	PRIJEM	\N	250	36163	UROK	\N	\N
3509061	9203	1993-08-31	PRIJEM	\N	153	40905	UROK	\N	\N
3509062	9203	1993-09-30	PRIJEM	\N	149	30321	UROK	\N	\N
3509063	9203	1993-10-31	PRIJEM	\N	12	11215	UROK	\N	\N
3509064	9203	1993-11-30	PRIJEM	\N	7	7548	UROK	\N	\N
3509065	9203	1993-12-31	PRIJEM	\N	45	19683	UROK	\N	\N
3509066	9203	1994-01-31	PRIJEM	\N	129	31575	UROK	\N	\N
3509067	9203	1994-02-28	PRIJEM	\N	205	79255	UROK	\N	\N
3509068	9203	1994-03-31	PRIJEM	\N	262	48583	UROK	\N	\N
3509069	9203	1994-04-30	PRIJEM	\N	139	30184	UROK	\N	\N
3509070	9203	1994-05-31	PRIJEM	\N	78	31106	UROK	\N	\N
3509071	9203	1994-06-30	PRIJEM	\N	104	35273	UROK	\N	\N
3509072	9203	1994-07-31	PRIJEM	\N	241	66080	UROK	\N	\N
3509073	9203	1994-08-31	PRIJEM	\N	232	80733	UROK	\N	\N
3509074	9203	1994-09-30	PRIJEM	\N	339	77582	UROK	\N	\N
3509075	9203	1994-10-31	PRIJEM	\N	264	63202	UROK	\N	\N
3509076	9203	1994-11-30	PRIJEM	\N	58	31295	UROK	\N	\N
3509077	9203	1994-12-31	PRIJEM	\N	174	90024	UROK	\N	\N
3509078	9203	1995-01-31	PRIJEM	\N	238	86118	UROK	\N	\N
3509079	9203	1995-02-28	PRIJEM	\N	275	50179	UROK	\N	\N
3509080	9203	1995-03-31	PRIJEM	\N	165	67569	UROK	\N	\N
3509081	9203	1995-04-30	PRIJEM	\N	188	66876	UROK	\N	\N
3509082	9203	1995-05-31	PRIJEM	\N	161	29630	UROK	\N	\N
3509083	9203	1995-06-30	PRIJEM	\N	186	52925	UROK	\N	\N
3509084	9203	1995-07-31	PRIJEM	\N	143	32142	UROK	\N	\N
3509085	9203	1995-08-31	PRIJEM	\N	150	66066	UROK	\N	\N
3509086	9203	1995-09-30	PRIJEM	\N	336	87394	UROK	\N	\N
3509087	9203	1995-10-31	PRIJEM	\N	364	77423	UROK	\N	\N
3509088	9203	1995-11-30	PRIJEM	\N	264	59332	UROK	\N	\N
3509089	9203	1995-12-31	PRIJEM	\N	216	52727	UROK	\N	\N
3509090	9203	1996-01-31	PRIJEM	\N	112	25439	UROK	\N	\N
3509091	9203	1996-02-29	PRIJEM	\N	54	14990	UROK	\N	\N
3509092	9203	1996-03-31	PRIJEM	\N	81	35865	UROK	\N	\N
3509093	9203	1996-04-30	PRIJEM	\N	103	37134	UROK	\N	\N
3509094	9203	1996-05-31	PRIJEM	\N	198	60529	UROK	\N	\N
3509095	9203	1996-06-30	PRIJEM	\N	251	65348	UROK	\N	\N
3509096	9203	1996-07-31	PRIJEM	\N	173	41306	UROK	\N	\N
3509097	9203	1996-08-31	PRIJEM	\N	219	100306	UROK	\N	\N
3509098	9203	1996-09-30	PRIJEM	\N	136	53045	UROK	\N	\N
3509099	9203	1996-10-31	PRIJEM	\N	180	50310	UROK	\N	\N
3509100	9203	1996-11-30	PRIJEM	\N	134	36047	UROK	\N	\N
3509101	9203	1996-12-31	PRIJEM	\N	91	23324	UROK	\N	\N
3509102	9203	1997-01-31	PRIJEM	\N	163	63885	UROK	\N	\N
3509103	9203	1997-02-28	PRIJEM	\N	171	33441	UROK	\N	\N
3509104	9203	1997-03-31	PRIJEM	\N	174	55439	UROK	\N	\N
3509105	9203	1997-04-30	PRIJEM	\N	259	97880	UROK	\N	\N
3509106	9203	1997-05-31	PRIJEM	\N	252	84375	UROK	\N	\N
3509107	9203	1997-06-30	PRIJEM	\N	286	62279	UROK	\N	\N
3509108	9203	1997-07-31	PRIJEM	\N	314	92057	UROK	\N	\N
3509109	9203	1997-08-31	PRIJEM	\N	179	87847	UROK	\N	\N
3509110	9203	1997-09-30	PRIJEM	\N	331	99837	UROK	\N	\N
3509111	9203	1997-10-31	PRIJEM	\N	341	95074	UROK	\N	\N
3509112	9203	1997-11-30	PRIJEM	\N	139	82094	UROK	\N	\N
3509113	9203	1997-12-31	PRIJEM	\N	166	44874	UROK	\N	\N
3509114	9203	1998-01-31	PRIJEM	\N	223	65878	UROK	\N	\N
3509115	9203	1998-02-28	PRIJEM	\N	154	87103	UROK	\N	\N
3509116	9203	1998-03-31	PRIJEM	\N	217	83459	UROK	\N	\N
3509117	9203	1998-04-30	PRIJEM	\N	181	60592	UROK	\N	\N
3509118	9203	1998-05-31	PRIJEM	\N	146	66234	UROK	\N	\N
3509119	9203	1998-06-30	PRIJEM	\N	206	54025	UROK	\N	\N
3509120	9203	1998-07-31	PRIJEM	\N	246	68792	UROK	\N	\N
3509121	9203	1998-08-31	PRIJEM	\N	337	106982	UROK	\N	\N
3509122	9203	1998-09-30	PRIJEM	\N	360	95549	UROK	\N	\N
3509123	9203	1998-10-31	PRIJEM	\N	306	93009	UROK	\N	\N
3509124	9203	1998-11-30	PRIJEM	\N	379	105846	UROK	\N	\N
3509125	9203	1998-12-31	PRIJEM	\N	320	90052	UROK	\N	\N
3509194	9208	1997-06-30	PRIJEM	\N	25	26077	UROK	\N	\N
3509195	9208	1997-07-31	PRIJEM	\N	39	36545	UROK	\N	\N
3509196	9208	1997-08-31	PRIJEM	\N	47	39118	UROK	\N	\N
3509197	9208	1997-09-30	PRIJEM	\N	55	44057	UROK	\N	\N
3509198	9208	1997-10-31	PRIJEM	\N	121	42240	UROK	\N	\N
3509199	9208	1997-11-30	PRIJEM	\N	150	39597	UROK	\N	\N
3509200	9208	1997-12-31	PRIJEM	\N	76	40997	UROK	\N	\N
3509201	9208	1998-01-31	PRIJEM	\N	60	38899	UROK	\N	\N
3509202	9208	1998-02-28	PRIJEM	\N	122	9246	UROK	\N	\N
3509203	9208	1998-03-31	PRIJEM	\N	59	17214	UROK	\N	\N
3509204	9208	1998-04-30	PRIJEM	\N	50	22126	UROK	\N	\N
3509205	9208	1998-05-31	PRIJEM	\N	45	24369	UROK	\N	\N
3509206	9208	1998-06-30	PRIJEM	\N	150	34151	UROK	\N	\N
3509207	9208	1998-07-31	PRIJEM	\N	129	20860	UROK	\N	\N
3509208	9208	1998-08-31	PRIJEM	\N	91	30242	UROK	\N	\N
3509209	9208	1998-09-30	PRIJEM	\N	51	16603	UROK	\N	\N
3509210	9208	1998-10-31	PRIJEM	\N	71	15504	UROK	\N	\N
3509211	9208	1998-11-30	PRIJEM	\N	60	18266	UROK	\N	\N
3509212	9208	1998-12-31	PRIJEM	\N	89	26913	UROK	\N	\N
3509361	9225	1996-01-31	PRIJEM	\N	1	601	UROK	\N	\N
3509362	9225	1996-02-29	PRIJEM	\N	43	39865	UROK	\N	\N
3509363	9225	1996-04-30	PRIJEM	\N	5	42922	UROK	\N	\N
3509364	9225	1996-05-31	PRIJEM	\N	136	50920	UROK	\N	\N
3509365	9225	1996-06-30	PRIJEM	\N	120	50893	UROK	\N	\N
3509366	9225	1996-07-31	PRIJEM	\N	200	58067	UROK	\N	\N
3509367	9225	1996-08-31	PRIJEM	\N	192	53865	UROK	\N	\N
3509368	9225	1996-09-30	PRIJEM	\N	89	32387	UROK	\N	\N
3509369	9225	1996-10-31	PRIJEM	\N	32	23602	UROK	\N	\N
3509370	9225	1996-11-30	PRIJEM	\N	130	30186	UROK	\N	\N
3509371	9225	1996-12-31	PRIJEM	\N	259	44732	UROK	\N	\N
3509372	9225	1997-01-31	PRIJEM	\N	114	34917	UROK	\N	\N
3509373	9225	1997-02-28	PRIJEM	\N	18	25089	UROK	\N	\N
3509374	9225	1997-03-31	PRIJEM	\N	119	27217	UROK	\N	\N
3509375	9225	1997-04-30	PRIJEM	\N	106	33824	UROK	\N	\N
3509376	9225	1997-05-31	PRIJEM	\N	127	25915	UROK	\N	\N
3509377	9225	1997-06-30	PRIJEM	\N	102	27574	UROK	\N	\N
3509378	9225	1997-07-31	PRIJEM	\N	20	23358	UROK	\N	\N
3509379	9225	1997-08-31	PRIJEM	\N	30	33982	UROK	\N	\N
3509380	9225	1997-09-30	PRIJEM	\N	86	26519	UROK	\N	\N
3509381	9225	1997-10-31	PRIJEM	\N	75	29318	UROK	\N	\N
3509382	9225	1997-11-30	PRIJEM	\N	108	27900	UROK	\N	\N
3509383	9225	1997-12-31	PRIJEM	\N	42	60472	UROK	\N	\N
3509384	9225	1998-01-31	PRIJEM	\N	127	38364	UROK	\N	\N
3509385	9225	1998-02-28	PRIJEM	\N	155	52249	UROK	\N	\N
3509386	9225	1998-03-31	PRIJEM	\N	159	37429	UROK	\N	\N
3509387	9225	1998-04-30	PRIJEM	\N	159	69797	UROK	\N	\N
3509388	9225	1998-05-31	PRIJEM	\N	322	56297	UROK	\N	\N
3509389	9225	1998-06-30	PRIJEM	\N	271	108012	UROK	\N	\N
3509390	9225	1998-07-31	PRIJEM	\N	311	74160	UROK	\N	\N
3509391	9225	1998-08-31	PRIJEM	\N	182	66413	UROK	\N	\N
3509392	9225	1998-09-30	PRIJEM	\N	142	83126	UROK	\N	\N
3509393	9225	1998-10-31	PRIJEM	\N	297	69100	UROK	\N	\N
3509394	9225	1998-11-30	PRIJEM	\N	271	73364	UROK	\N	\N
3509395	9225	1998-12-31	PRIJEM	\N	311	88540	UROK	\N	\N
3509419	9227	1997-11-30	PRIJEM	\N	16	5355	UROK	\N	\N
3509420	9227	1997-12-31	PRIJEM	\N	58	19612	UROK	\N	\N
3509421	9227	1998-01-31	PRIJEM	\N	65	22088	UROK	\N	\N
3509422	9227	1998-02-28	PRIJEM	\N	79	27990	UROK	\N	\N
3509423	9227	1998-03-31	PRIJEM	\N	51	14906	UROK	\N	\N
3509424	9227	1998-04-30	PRIJEM	\N	72	17413	UROK	\N	\N
3509425	9227	1998-05-31	PRIJEM	\N	44	14324	UROK	\N	\N
3509426	9227	1998-06-30	PRIJEM	\N	48	12814	UROK	\N	\N
3509427	9227	1998-07-31	PRIJEM	\N	67	16913	UROK	\N	\N
3509428	9227	1998-08-31	PRIJEM	\N	38	13924	UROK	\N	\N
3509429	9227	1998-09-30	PRIJEM	\N	36	12279	UROK	\N	\N
3509430	9227	1998-10-31	PRIJEM	\N	45	12637	UROK	\N	\N
3509431	9227	1998-11-30	PRIJEM	\N	33	16938	UROK	\N	\N
3509432	9227	1998-12-31	PRIJEM	\N	63	15192	UROK	\N	\N
3509476	9235	1995-07-31	PRIJEM	\N	21	22319	UROK	\N	\N
3509477	9235	1995-08-31	PRIJEM	\N	37	34378	UROK	\N	\N
3509478	9235	1995-09-30	PRIJEM	\N	43	38474	UROK	\N	\N
3509479	9235	1995-10-31	PRIJEM	\N	49	40420	UROK	\N	\N
3509480	9235	1995-11-30	PRIJEM	\N	69	39319	UROK	\N	\N
3509481	9235	1995-12-31	PRIJEM	\N	187	42518	UROK	\N	\N
3509482	9235	1996-01-31	PRIJEM	\N	153	26454	UROK	\N	\N
3509483	9235	1996-02-29	PRIJEM	\N	123	34884	UROK	\N	\N
3509484	9235	1996-03-31	PRIJEM	\N	158	38205	UROK	\N	\N
3509485	9235	1996-04-30	PRIJEM	\N	163	44079	UROK	\N	\N
3509486	9235	1996-05-31	PRIJEM	\N	149	45691	UROK	\N	\N
3509487	9235	1996-06-30	PRIJEM	\N	82	46417	UROK	\N	\N
3509488	9235	1996-07-31	PRIJEM	\N	206	46506	UROK	\N	\N
3509489	9235	1996-08-31	PRIJEM	\N	180	40914	UROK	\N	\N
3509490	9235	1996-09-30	PRIJEM	\N	161	39138	UROK	\N	\N
3509491	9235	1996-10-31	PRIJEM	\N	78	37666	UROK	\N	\N
3509492	9235	1996-11-30	PRIJEM	\N	140	31439	UROK	\N	\N
3509493	9235	1996-12-31	PRIJEM	\N	142	34773	UROK	\N	\N
3509494	9235	1997-01-31	PRIJEM	\N	125	19923	UROK	\N	\N
3509495	9235	1997-02-28	PRIJEM	\N	80	29923	UROK	\N	\N
3509496	9235	1997-03-31	PRIJEM	\N	104	34750	UROK	\N	\N
3509497	9235	1997-04-30	PRIJEM	\N	91	35723	UROK	\N	\N
3509498	9235	1997-05-31	PRIJEM	\N	139	36795	UROK	\N	\N
3509499	9235	1997-06-30	PRIJEM	\N	107	42658	UROK	\N	\N
3509500	9235	1997-07-31	PRIJEM	\N	158	41228	UROK	\N	\N
3509501	9235	1997-08-31	PRIJEM	\N	133	38460	UROK	\N	\N
3509502	9235	1997-09-30	PRIJEM	\N	82	34225	UROK	\N	\N
3509503	9235	1997-10-31	PRIJEM	\N	83	32420	UROK	\N	\N
3509504	9235	1997-11-30	PRIJEM	\N	110	28218	UROK	\N	\N
3509505	9235	1997-12-31	PRIJEM	\N	84	31426	UROK	\N	\N
3509506	9235	1998-01-31	PRIJEM	\N	109	24323	UROK	\N	\N
3509507	9235	1998-02-28	PRIJEM	\N	107	34439	UROK	\N	\N
3509508	9235	1998-03-31	PRIJEM	\N	133	36453	UROK	\N	\N
3509509	9235	1998-04-30	PRIJEM	\N	147	38648	UROK	\N	\N
3509510	9235	1998-05-31	PRIJEM	\N	151	40594	UROK	\N	\N
3509511	9235	1998-06-30	PRIJEM	\N	167	61617	UROK	\N	\N
3509512	9235	1998-07-31	PRIJEM	\N	171	59752	UROK	\N	\N
3509513	9235	1998-08-31	PRIJEM	\N	232	60796	UROK	\N	\N
3509514	9235	1998-09-30	PRIJEM	\N	232	60808	UROK	\N	\N
3509515	9235	1998-10-31	PRIJEM	\N	233	60622	UROK	\N	\N
3509516	9235	1998-11-30	PRIJEM	\N	236	62742	UROK	\N	\N
3509517	9235	1998-12-31	PRIJEM	\N	270	74809	UROK	\N	\N
3509518	9236	1993-09-30	PRIJEM	\N	30	16536	UROK	\N	\N
3509519	9236	1993-10-31	PRIJEM	\N	49	26323	UROK	\N	\N
3509520	9236	1993-11-30	PRIJEM	\N	59	30377	UROK	\N	\N
3509521	9236	1993-12-31	PRIJEM	\N	75	37328	UROK	\N	\N
3509522	9236	1994-01-31	PRIJEM	\N	74	17303	UROK	\N	\N
3509523	9236	1994-02-28	PRIJEM	\N	56	22607	UROK	\N	\N
3509524	9236	1994-03-31	PRIJEM	\N	60	21725	UROK	\N	\N
3509525	9236	1994-04-30	PRIJEM	\N	64	21240	UROK	\N	\N
3509526	9236	1994-05-31	PRIJEM	\N	95	25780	UROK	\N	\N
3509527	9236	1994-06-30	PRIJEM	\N	91	30782	UROK	\N	\N
3509528	9236	1994-07-31	PRIJEM	\N	121	28949	UROK	\N	\N
3509529	9236	1994-08-31	PRIJEM	\N	106	25214	UROK	\N	\N
3509530	9236	1994-09-30	PRIJEM	\N	69	25053	UROK	\N	\N
3509531	9236	1994-10-31	PRIJEM	\N	103	25718	UROK	\N	\N
3509532	9236	1994-11-30	PRIJEM	\N	86	19883	UROK	\N	\N
3509533	9236	1994-12-31	PRIJEM	\N	68	25362	UROK	\N	\N
3509534	9236	1995-01-31	PRIJEM	\N	56	14195	UROK	\N	\N
3509535	9236	1995-02-28	PRIJEM	\N	70	22011	UROK	\N	\N
3509536	9236	1995-03-31	PRIJEM	\N	92	24370	UROK	\N	\N
3509537	9236	1995-04-30	PRIJEM	\N	107	29160	UROK	\N	\N
3509538	9236	1995-05-31	PRIJEM	\N	144	33281	UROK	\N	\N
3509539	9236	1995-06-30	PRIJEM	\N	115	32036	UROK	\N	\N
3509540	9236	1995-07-31	PRIJEM	\N	103	32470	UROK	\N	\N
3509541	9236	1995-08-31	PRIJEM	\N	145	38076	UROK	\N	\N
3509542	9236	1995-09-30	PRIJEM	\N	112	37518	UROK	\N	\N
3509543	9236	1995-10-31	PRIJEM	\N	138	32369	UROK	\N	\N
3509544	9236	1995-11-30	PRIJEM	\N	113	35259	UROK	\N	\N
3509545	9236	1995-12-31	PRIJEM	\N	140	44347	UROK	\N	\N
3509546	9236	1996-01-31	PRIJEM	\N	143	34111	UROK	\N	\N
3509547	9236	1996-02-29	PRIJEM	\N	125	39813	UROK	\N	\N
3509548	9236	1996-03-31	PRIJEM	\N	106	32210	UROK	\N	\N
3509549	9236	1996-04-30	PRIJEM	\N	103	35808	UROK	\N	\N
3509550	9236	1996-05-31	PRIJEM	\N	137	45494	UROK	\N	\N
3509551	9236	1996-06-30	PRIJEM	\N	207	57438	UROK	\N	\N
3509552	9236	1996-07-31	PRIJEM	\N	232	59578	UROK	\N	\N
3509553	9236	1996-08-31	PRIJEM	\N	224	53423	UROK	\N	\N
3509554	9236	1996-09-30	PRIJEM	\N	212	57852	UROK	\N	\N
3509555	9236	1996-10-31	PRIJEM	\N	175	60503	UROK	\N	\N
3509556	9236	1996-11-30	PRIJEM	\N	239	59030	UROK	\N	\N
3509557	9236	1996-12-31	PRIJEM	\N	259	67264	UROK	\N	\N
3509558	9236	1997-01-31	PRIJEM	\N	204	64075	UROK	\N	\N
3509559	9236	1997-02-28	PRIJEM	\N	236	63088	UROK	\N	\N
3509560	9236	1997-03-31	PRIJEM	\N	170	69079	UROK	\N	\N
3509561	9236	1997-04-30	PRIJEM	\N	177	70410	UROK	\N	\N
3509562	9236	1997-05-31	PRIJEM	\N	181	75245	UROK	\N	\N
3509563	9236	1997-06-30	PRIJEM	\N	135	60270	UROK	\N	\N
3509564	9236	1997-07-31	PRIJEM	\N	162	76757	UROK	\N	\N
3509565	9236	1997-08-31	PRIJEM	\N	212	83946	UROK	\N	\N
3509566	9236	1997-09-30	PRIJEM	\N	242	92970	UROK	\N	\N
3509567	9236	1997-10-31	PRIJEM	\N	362	98108	UROK	\N	\N
3509568	9236	1997-11-30	PRIJEM	\N	364	101688	UROK	\N	\N
3509569	9236	1997-12-31	PRIJEM	\N	272	100969	UROK	\N	\N
3509570	9236	1998-01-31	PRIJEM	\N	304	87320	UROK	\N	\N
3509571	9236	1998-02-28	PRIJEM	\N	328	95198	UROK	\N	\N
3509572	9236	1998-03-31	PRIJEM	\N	356	100222	UROK	\N	\N
3509573	9236	1998-04-30	PRIJEM	\N	267	102447	UROK	\N	\N
3509574	9236	1998-05-31	PRIJEM	\N	272	102879	UROK	\N	\N
3509575	9236	1998-06-30	PRIJEM	\N	269	103763	UROK	\N	\N
3509576	9236	1998-07-31	PRIJEM	\N	272	99712	UROK	\N	\N
3509577	9236	1998-08-31	PRIJEM	\N	244	91177	UROK	\N	\N
3509578	9236	1998-09-30	PRIJEM	\N	337	95492	UROK	\N	\N
3509579	9236	1998-10-31	PRIJEM	\N	356	101592	UROK	\N	\N
3509580	9236	1998-11-30	PRIJEM	\N	265	105212	UROK	\N	\N
3509581	9236	1998-12-31	PRIJEM	\N	284	109183	UROK	\N	\N
3509582	9241	1996-10-31	PRIJEM	\N	21	25867	UROK	\N	\N
3509583	9241	1996-11-30	PRIJEM	\N	35	42424	UROK	\N	\N
3509584	9241	1996-12-31	PRIJEM	\N	56	59687	UROK	\N	\N
3509585	9241	1997-01-31	PRIJEM	\N	65	60469	UROK	\N	\N
3509586	9241	1997-02-28	PRIJEM	\N	124	52221	UROK	\N	\N
3509587	9241	1997-03-31	PRIJEM	\N	178	45532	UROK	\N	\N
3509588	9241	1997-04-30	PRIJEM	\N	150	40031	UROK	\N	\N
3509589	9241	1997-05-31	PRIJEM	\N	153	46496	UROK	\N	\N
3509590	9241	1997-06-30	PRIJEM	\N	198	46959	UROK	\N	\N
3509591	9241	1997-07-31	PRIJEM	\N	214	36031	UROK	\N	\N
3509592	9241	1997-08-31	PRIJEM	\N	124	35790	UROK	\N	\N
3509593	9241	1997-09-30	PRIJEM	\N	129	25049	UROK	\N	\N
3509594	9241	1997-10-31	PRIJEM	\N	131	30069	UROK	\N	\N
3509595	9241	1997-11-30	PRIJEM	\N	152	37579	UROK	\N	\N
3509596	9241	1997-12-31	PRIJEM	\N	131	25033	UROK	\N	\N
3509597	9241	1998-01-31	PRIJEM	\N	111	25703	UROK	\N	\N
3509598	9241	1998-02-28	PRIJEM	\N	89	32594	UROK	\N	\N
3509599	9241	1998-03-31	PRIJEM	\N	108	35309	UROK	\N	\N
3509600	9241	1998-04-30	PRIJEM	\N	170	42638	UROK	\N	\N
3509601	9241	1998-05-31	PRIJEM	\N	192	42953	UROK	\N	\N
3509602	9241	1998-06-30	PRIJEM	\N	171	28070	UROK	\N	\N
3509603	9241	1998-07-31	PRIJEM	\N	132	35668	UROK	\N	\N
3509604	9241	1998-08-31	PRIJEM	\N	84	29639	UROK	\N	\N
3509605	9241	1998-09-30	PRIJEM	\N	92	29190	UROK	\N	\N
3509606	9241	1998-10-31	PRIJEM	\N	110	27190	UROK	\N	\N
3509607	9241	1998-11-30	PRIJEM	\N	102	21878	UROK	\N	\N
3509608	9241	1998-12-31	PRIJEM	\N	106	27213	UROK	\N	\N
3509609	9242	1996-04-30	PRIJEM	\N	37	16809	UROK	\N	\N
3509610	9242	1996-05-31	PRIJEM	\N	41	25782	UROK	\N	\N
3509611	9242	1996-06-30	PRIJEM	\N	85	38744	UROK	\N	\N
3509612	9242	1996-07-31	PRIJEM	\N	96	42372	UROK	\N	\N
3509613	9242	1996-08-31	PRIJEM	\N	98	40971	UROK	\N	\N
3509614	9242	1996-09-30	PRIJEM	\N	160	38581	UROK	\N	\N
3509615	9242	1996-10-31	PRIJEM	\N	153	38044	UROK	\N	\N
3509616	9242	1996-11-30	PRIJEM	\N	162	43824	UROK	\N	\N
3509617	9242	1996-12-31	PRIJEM	\N	133	48158	UROK	\N	\N
3509618	9242	1997-01-31	PRIJEM	\N	173	34847	UROK	\N	\N
3509619	9242	1997-02-28	PRIJEM	\N	164	45359	UROK	\N	\N
3509620	9242	1997-03-31	PRIJEM	\N	191	49226	UROK	\N	\N
3509621	9242	1997-04-30	PRIJEM	\N	195	49029	UROK	\N	\N
3509622	9242	1997-05-31	PRIJEM	\N	121	47835	UROK	\N	\N
3509623	9242	1997-06-30	PRIJEM	\N	115	26038	UROK	\N	\N
3509624	9242	1997-07-31	PRIJEM	\N	77	31380	UROK	\N	\N
3509625	9242	1997-08-31	PRIJEM	\N	83	35696	UROK	\N	\N
3509626	9242	1997-09-30	PRIJEM	\N	93	40423	UROK	\N	\N
3509627	9242	1997-10-31	PRIJEM	\N	104	43812	UROK	\N	\N
3509628	9242	1997-11-30	PRIJEM	\N	105	45368	UROK	\N	\N
3509629	9242	1997-12-31	PRIJEM	\N	144	47568	UROK	\N	\N
3509630	9242	1998-01-31	PRIJEM	\N	95	20793	UROK	\N	\N
3509631	9242	1998-02-28	PRIJEM	\N	105	33915	UROK	\N	\N
3509632	9242	1998-03-31	PRIJEM	\N	137	37512	UROK	\N	\N
3509633	9242	1998-04-30	PRIJEM	\N	151	40680	UROK	\N	\N
3509634	9242	1998-05-31	PRIJEM	\N	156	41861	UROK	\N	\N
3509635	9242	1998-06-30	PRIJEM	\N	77	24471	UROK	\N	\N
3509636	9242	1998-07-31	PRIJEM	\N	71	25913	UROK	\N	\N
3509637	9242	1998-08-31	PRIJEM	\N	109	33049	UROK	\N	\N
3509638	9242	1998-09-30	PRIJEM	\N	108	31763	UROK	\N	\N
3509639	9242	1998-10-31	PRIJEM	\N	117	30018	UROK	\N	\N
3509640	9242	1998-11-30	PRIJEM	\N	122	36997	UROK	\N	\N
3509641	9242	1998-12-31	PRIJEM	\N	150	44456	UROK	\N	\N
3509701	9263	1996-06-30	PRIJEM	\N	68	30524	UROK	\N	\N
3509702	9263	1996-07-31	PRIJEM	\N	117	51431	UROK	\N	\N
3509703	9263	1996-08-31	PRIJEM	\N	140	61538	UROK	\N	\N
3509704	9263	1996-09-30	PRIJEM	\N	143	64608	UROK	\N	\N
3509705	9263	1996-10-31	PRIJEM	\N	141	50303	UROK	\N	\N
3509706	9263	1996-11-30	PRIJEM	\N	76	30851	UROK	\N	\N
3509707	9263	1996-12-31	PRIJEM	\N	100	35862	UROK	\N	\N
3509708	9263	1997-01-31	PRIJEM	\N	75	17776	UROK	\N	\N
3509709	9263	1997-02-28	PRIJEM	\N	55	24439	UROK	\N	\N
3509710	9263	1997-03-31	PRIJEM	\N	75	26953	UROK	\N	\N
3509711	9263	1997-04-30	PRIJEM	\N	74	29658	UROK	\N	\N
3509712	9263	1997-05-31	PRIJEM	\N	77	22872	UROK	\N	\N
3509713	9263	1997-06-30	PRIJEM	\N	96	28603	UROK	\N	\N
3509714	9263	1997-07-31	PRIJEM	\N	106	22038	UROK	\N	\N
3509715	9263	1997-08-31	PRIJEM	\N	68	23455	UROK	\N	\N
3509716	9263	1997-09-30	PRIJEM	\N	70	22956	UROK	\N	\N
3509717	9263	1997-10-31	PRIJEM	\N	70	25955	UROK	\N	\N
3509718	9263	1997-11-30	PRIJEM	\N	78	24274	UROK	\N	\N
3509719	9263	1997-12-31	PRIJEM	\N	118	31947	UROK	\N	\N
3509720	9263	1998-01-31	PRIJEM	\N	100	22788	UROK	\N	\N
3509721	9263	1998-02-28	PRIJEM	\N	83	22099	UROK	\N	\N
3509722	9263	1998-03-31	PRIJEM	\N	65	25398	UROK	\N	\N
3509723	9263	1998-04-30	PRIJEM	\N	71	25110	UROK	\N	\N
3509724	9263	1998-05-31	PRIJEM	\N	81	28228	UROK	\N	\N
3509725	9263	1998-06-30	PRIJEM	\N	128	32893	UROK	\N	\N
3509726	9263	1998-07-31	PRIJEM	\N	133	30227	UROK	\N	\N
3509727	9263	1998-08-31	PRIJEM	\N	102	24269	UROK	\N	\N
3509728	9263	1998-09-30	PRIJEM	\N	70	23975	UROK	\N	\N
3509729	9263	1998-10-31	PRIJEM	\N	93	24908	UROK	\N	\N
3509730	9263	1998-11-30	PRIJEM	\N	91	23431	UROK	\N	\N
3509731	9263	1998-12-31	PRIJEM	\N	80	32234	UROK	\N	\N
3509732	9265	1993-02-28	PRIJEM	\N	21	28708	UROK	\N	\N
3509733	9265	1993-03-31	PRIJEM	\N	158	47354	UROK	\N	\N
3509734	9265	1993-06-30	PRIJEM	\N	154	42942	UROK	\N	\N
3509735	9265	1993-07-31	PRIJEM	\N	61	97528	UROK	\N	\N
3509736	9265	1993-08-31	PRIJEM	\N	334	96770	UROK	\N	\N
3509737	9265	1993-09-30	PRIJEM	\N	229	54749	UROK	\N	\N
3509738	9265	1993-10-31	PRIJEM	\N	118	23160	UROK	\N	\N
3509739	9265	1993-11-30	PRIJEM	\N	103	20802	UROK	\N	\N
3509740	9265	1993-12-31	PRIJEM	\N	47	19213	UROK	\N	\N
3509741	9265	1994-01-31	PRIJEM	\N	48	21243	UROK	\N	\N
3509742	9265	1994-02-28	PRIJEM	\N	308	90854	UROK	\N	\N
3509743	9265	1994-03-31	PRIJEM	\N	293	95708	UROK	\N	\N
3509744	9265	1994-04-30	PRIJEM	\N	137	38121	UROK	\N	\N
3509745	9265	1994-05-31	PRIJEM	\N	221	51282	UROK	\N	\N
3509746	9265	1994-06-30	PRIJEM	\N	88	33409	UROK	\N	\N
3509747	9265	1994-07-31	PRIJEM	\N	102	37486	UROK	\N	\N
3509748	9265	1994-08-31	PRIJEM	\N	95	41285	UROK	\N	\N
3509749	9265	1994-09-30	PRIJEM	\N	126	27388	UROK	\N	\N
3509750	9265	1994-10-31	PRIJEM	\N	100	29316	UROK	\N	\N
3509751	9265	1994-11-30	PRIJEM	\N	144	34545	UROK	\N	\N
3509752	9265	1994-12-31	PRIJEM	\N	110	31804	UROK	\N	\N
3509753	9265	1995-01-31	PRIJEM	\N	151	30052	UROK	\N	\N
3509754	9265	1995-02-28	PRIJEM	\N	142	58659	UROK	\N	\N
3509755	9265	1995-03-31	PRIJEM	\N	234	57056	UROK	\N	\N
3509756	9265	1995-04-30	PRIJEM	\N	193	33728	UROK	\N	\N
3509757	9265	1995-05-31	PRIJEM	\N	238	78095	UROK	\N	\N
3509758	9265	1995-06-30	PRIJEM	\N	369	79199	UROK	\N	\N
3509759	9265	1995-07-31	PRIJEM	\N	298	62152	UROK	\N	\N
3509760	9265	1995-08-31	PRIJEM	\N	200	71465	UROK	\N	\N
3509761	9265	1995-09-30	PRIJEM	\N	229	93645	UROK	\N	\N
3509762	9265	1995-10-31	PRIJEM	\N	208	53028	UROK	\N	\N
3509763	9265	1995-11-30	PRIJEM	\N	325	69549	UROK	\N	\N
3509764	9265	1995-12-31	PRIJEM	\N	288	90232	UROK	\N	\N
3509765	9265	1996-01-31	PRIJEM	\N	264	55811	UROK	\N	\N
3509766	9265	1996-02-29	PRIJEM	\N	249	83099	UROK	\N	\N
3509767	9265	1996-03-31	PRIJEM	\N	333	76411	UROK	\N	\N
3509768	9265	1996-04-30	PRIJEM	\N	169	47567	UROK	\N	\N
3509769	9265	1996-05-31	PRIJEM	\N	159	49400	UROK	\N	\N
3509770	9265	1996-06-30	PRIJEM	\N	165	79575	UROK	\N	\N
3509771	9265	1996-07-31	PRIJEM	\N	265	105888	UROK	\N	\N
3509772	9265	1996-08-31	PRIJEM	\N	374	76960	UROK	\N	\N
3509773	9265	1996-09-30	PRIJEM	\N	247	77928	UROK	\N	\N
3509774	9265	1996-10-31	PRIJEM	\N	227	56365	UROK	\N	\N
3509775	9265	1996-11-30	PRIJEM	\N	198	50029	UROK	\N	\N
3509776	9265	1996-12-31	PRIJEM	\N	117	53917	UROK	\N	\N
3509777	9265	1997-01-31	PRIJEM	\N	166	52649	UROK	\N	\N
3509778	9265	1997-02-28	PRIJEM	\N	262	102263	UROK	\N	\N
3509779	9265	1997-03-31	PRIJEM	\N	268	74477	UROK	\N	\N
3509780	9265	1997-04-30	PRIJEM	\N	273	75996	UROK	\N	\N
3509781	9265	1997-05-31	PRIJEM	\N	183	50324	UROK	\N	\N
3509782	9265	1997-06-30	PRIJEM	\N	200	114906	UROK	\N	\N
3509783	9265	1997-07-31	PRIJEM	\N	314	74043	UROK	\N	\N
3509784	9265	1997-08-31	PRIJEM	\N	389	105018	UROK	\N	\N
3509785	9265	1997-09-30	PRIJEM	\N	154	66153	UROK	\N	\N
3509786	9265	1997-10-31	PRIJEM	\N	337	91147	UROK	\N	\N
3509787	9265	1997-11-30	PRIJEM	\N	320	73068	UROK	\N	\N
3509788	9265	1997-12-31	PRIJEM	\N	275	96138	UROK	\N	\N
3509789	9265	1998-01-31	PRIJEM	\N	295	85561	UROK	\N	\N
3509790	9265	1998-02-28	PRIJEM	\N	150	60717	UROK	\N	\N
3509791	9265	1998-03-31	PRIJEM	\N	157	48312	UROK	\N	\N
3509792	9265	1998-04-30	PRIJEM	\N	243	94422	UROK	\N	\N
3509793	9265	1998-05-31	PRIJEM	\N	231	66167	UROK	\N	\N
3509794	9265	1998-06-30	PRIJEM	\N	265	94702	UROK	\N	\N
3509795	9265	1998-07-31	PRIJEM	\N	234	63945	UROK	\N	\N
3509796	9265	1998-08-31	PRIJEM	\N	145	48665	UROK	\N	\N
3509797	9265	1998-09-30	PRIJEM	\N	90	40879	UROK	\N	\N
3509798	9265	1998-10-31	PRIJEM	\N	248	88332	UROK	\N	\N
3509799	9265	1998-11-30	PRIJEM	\N	219	54262	UROK	\N	\N
3509800	9265	1998-12-31	PRIJEM	\N	173	85904	UROK	\N	\N
3509923	9307	1993-03-31	PRIJEM	\N	23	28627	UROK	\N	\N
3509924	9307	1993-04-30	PRIJEM	\N	33	50053	UROK	\N	\N
3509925	9307	1993-06-30	PRIJEM	\N	105	52728	UROK	\N	\N
3509926	9307	1993-07-31	PRIJEM	\N	207	31126	UROK	\N	\N
3509927	9307	1993-08-31	PRIJEM	\N	55	21477	UROK	\N	\N
3509928	9307	1993-09-30	PRIJEM	\N	97	43429	UROK	\N	\N
3509929	9307	1993-10-31	PRIJEM	\N	224	46865	UROK	\N	\N
3509930	9307	1993-11-30	PRIJEM	\N	63	19252	UROK	\N	\N
3509931	9307	1993-12-31	PRIJEM	\N	41	19780	UROK	\N	\N
3509932	9307	1994-01-31	PRIJEM	\N	68	19415	UROK	\N	\N
3509933	9307	1994-02-28	PRIJEM	\N	52	15532	UROK	\N	\N
3509934	9307	1994-03-31	PRIJEM	\N	106	26680	UROK	\N	\N
3509935	9307	1994-04-30	PRIJEM	\N	163	34058	UROK	\N	\N
3509936	9307	1994-05-31	PRIJEM	\N	110	26064	UROK	\N	\N
3509937	9307	1994-06-30	PRIJEM	\N	96	65341	UROK	\N	\N
3509938	9307	1994-07-31	PRIJEM	\N	211	40548	UROK	\N	\N
3509939	9307	1994-08-31	PRIJEM	\N	206	53995	UROK	\N	\N
3509940	9307	1994-09-30	PRIJEM	\N	96	39481	UROK	\N	\N
3509941	9307	1994-10-31	PRIJEM	\N	71	30288	UROK	\N	\N
3509942	9307	1994-11-30	PRIJEM	\N	94	29976	UROK	\N	\N
3509943	9307	1994-12-31	PRIJEM	\N	62	27767	UROK	\N	\N
3509944	9307	1995-01-31	PRIJEM	\N	86	54256	UROK	\N	\N
3509945	9307	1995-02-28	PRIJEM	\N	139	69763	UROK	\N	\N
3509946	9307	1995-03-31	PRIJEM	\N	240	59556	UROK	\N	\N
3509947	9307	1995-04-30	PRIJEM	\N	156	46117	UROK	\N	\N
3509948	9307	1995-05-31	PRIJEM	\N	137	32870	UROK	\N	\N
3509949	9307	1995-06-30	PRIJEM	\N	133	34276	UROK	\N	\N
3509950	9307	1995-07-31	PRIJEM	\N	130	34011	UROK	\N	\N
3509951	9307	1995-08-31	PRIJEM	\N	94	32686	UROK	\N	\N
3509952	9307	1995-09-30	PRIJEM	\N	82	34072	UROK	\N	\N
3509953	9307	1995-10-31	PRIJEM	\N	77	24772	UROK	\N	\N
3509954	9307	1995-11-30	PRIJEM	\N	106	32286	UROK	\N	\N
3509955	9307	1995-12-31	PRIJEM	\N	120	33402	UROK	\N	\N
3509956	9307	1996-01-31	PRIJEM	\N	101	54660	UROK	\N	\N
3509957	9307	1996-02-29	PRIJEM	\N	266	117649	UROK	\N	\N
3509958	9307	1996-03-31	PRIJEM	\N	332	94519	UROK	\N	\N
3509959	9307	1996-04-30	PRIJEM	\N	371	88302	UROK	\N	\N
3509960	9307	1996-05-31	PRIJEM	\N	213	31525	UROK	\N	\N
3509961	9307	1996-06-30	PRIJEM	\N	114	32568	UROK	\N	\N
3509962	9307	1996-07-31	PRIJEM	\N	305	92362	UROK	\N	\N
3509963	9307	1996-08-31	PRIJEM	\N	285	98501	UROK	\N	\N
3509964	9307	1996-09-30	PRIJEM	\N	369	72967	UROK	\N	\N
3509965	9307	1996-10-31	PRIJEM	\N	331	103138	UROK	\N	\N
3509966	9307	1996-11-30	PRIJEM	\N	331	79125	UROK	\N	\N
3509967	9307	1996-12-31	PRIJEM	\N	207	61903	UROK	\N	\N
3509968	9307	1997-01-31	PRIJEM	\N	131	32889	UROK	\N	\N
3509969	9307	1997-02-28	PRIJEM	\N	127	37603	UROK	\N	\N
3509970	9307	1997-03-31	PRIJEM	\N	158	69615	UROK	\N	\N
3509971	9307	1997-04-30	PRIJEM	\N	183	51104	UROK	\N	\N
3509972	9307	1997-05-31	PRIJEM	\N	137	41843	UROK	\N	\N
3509973	9307	1997-06-30	PRIJEM	\N	239	88684	UROK	\N	\N
3509974	9307	1997-07-31	PRIJEM	\N	388	87862	UROK	\N	\N
3509975	9307	1997-08-31	PRIJEM	\N	357	103229	UROK	\N	\N
3509976	9307	1997-09-30	PRIJEM	\N	210	105727	UROK	\N	\N
3509977	9307	1997-10-31	PRIJEM	\N	309	77981	UROK	\N	\N
3509978	9307	1997-11-30	PRIJEM	\N	315	94743	UROK	\N	\N
3509979	9307	1997-12-31	PRIJEM	\N	308	79399	UROK	\N	\N
3509980	9307	1998-01-31	PRIJEM	\N	182	58877	UROK	\N	\N
3509981	9307	1998-02-28	PRIJEM	\N	161	61016	UROK	\N	\N
3509982	9307	1998-03-31	PRIJEM	\N	246	79074	UROK	\N	\N
3509983	9307	1998-04-30	PRIJEM	\N	187	57976	UROK	\N	\N
3509984	9307	1998-05-31	PRIJEM	\N	120	84420	UROK	\N	\N
3509985	9307	1998-06-30	PRIJEM	\N	184	70157	UROK	\N	\N
3509986	9307	1998-07-31	PRIJEM	\N	134	86486	UROK	\N	\N
3509987	9307	1998-08-31	PRIJEM	\N	216	56682	UROK	\N	\N
3509988	9307	1998-09-30	PRIJEM	\N	177	73581	UROK	\N	\N
3509989	9307	1998-10-31	PRIJEM	\N	185	58963	UROK	\N	\N
3509990	9307	1998-11-30	PRIJEM	\N	243	81910	UROK	\N	\N
3509991	9307	1998-12-31	PRIJEM	\N	324	111645	UROK	\N	\N
3510118	9333	1997-01-31	PRIJEM	\N	111	60844	UROK	\N	\N
3510119	9333	1997-02-28	PRIJEM	\N	119	95744	UROK	\N	\N
3510120	9333	1997-03-31	PRIJEM	\N	186	100631	UROK	\N	\N
3510121	9333	1997-04-30	PRIJEM	\N	217	76375	UROK	\N	\N
3510122	9333	1997-05-31	PRIJEM	\N	190	62481	UROK	\N	\N
3510123	9333	1997-06-30	PRIJEM	\N	122	70723	UROK	\N	\N
3510124	9333	1997-07-31	PRIJEM	\N	66	24481	UROK	\N	\N
3510125	9333	1997-08-31	PRIJEM	\N	76	-695	UROK	\N	\N
3510126	9333	1997-08-31	VYDAJ	VYBER	4	-713	SANKC. UROK	\N	\N
3510127	9333	1997-09-30	PRIJEM	\N	83	28277	UROK	\N	\N
3510128	9333	1997-10-31	PRIJEM	\N	65	53153	UROK	\N	\N
3510129	9333	1997-11-30	PRIJEM	\N	104	20332	UROK	\N	\N
3510130	9333	1997-12-31	VYDAJ	VYBER	4	-389	SANKC. UROK	\N	\N
3510131	9333	1998-01-31	PRIJEM	\N	210	100848	UROK	\N	\N
3510132	9333	1998-02-28	PRIJEM	\N	418	58523	UROK	\N	\N
3510133	9333	1998-03-31	PRIJEM	\N	354	107704	UROK	\N	\N
3510134	9333	1998-04-30	PRIJEM	\N	224	87698	UROK	\N	\N
3510135	9333	1998-05-31	PRIJEM	\N	58	46334	UROK	\N	\N
3510136	9333	1998-06-30	PRIJEM	\N	83	49449	UROK	\N	\N
3510137	9333	1998-07-31	PRIJEM	\N	160	95870	UROK	\N	\N
3510138	9333	1998-08-31	PRIJEM	\N	118	62689	UROK	\N	\N
3510139	9333	1998-09-30	PRIJEM	\N	180	62561	UROK	\N	\N
3510140	9333	1998-10-31	PRIJEM	\N	268	63124	UROK	\N	\N
3510141	9333	1998-11-30	PRIJEM	\N	19	73565	UROK	\N	\N
3510142	9333	1998-12-31	PRIJEM	\N	222	70803	UROK	\N	\N
3510168	9337	1993-09-30	PRIJEM	\N	39	39066	UROK	\N	\N
3510169	9337	1993-11-30	PRIJEM	\N	136	57970	UROK	\N	\N
3510170	9337	1993-12-31	PRIJEM	\N	79	54552	UROK	\N	\N
3510171	9337	1994-01-31	PRIJEM	\N	59	307	UROK	\N	\N
3510172	9337	1994-01-31	VYDAJ	VYBER	0	407	SANKC. UROK	\N	\N
3510173	9337	1994-02-28	PRIJEM	\N	178	33010	UROK	\N	\N
3510174	9337	1994-02-28	VYDAJ	VYBER	1	33376	SANKC. UROK	\N	\N
3510175	9337	1994-03-31	PRIJEM	\N	74	57954	UROK	\N	\N
3510176	9337	1994-04-30	PRIJEM	\N	116	19216	UROK	\N	\N
3510177	9337	1994-05-31	PRIJEM	\N	84	58744	UROK	\N	\N
3510178	9337	1994-06-30	PRIJEM	\N	99	40062	UROK	\N	\N
3510179	9337	1994-07-31	PRIJEM	\N	125	27395	UROK	\N	\N
3510180	9337	1994-08-31	PRIJEM	\N	92	23501	UROK	\N	\N
3510181	9337	1994-09-30	PRIJEM	\N	84	22687	UROK	\N	\N
3510182	9337	1994-10-31	PRIJEM	\N	82	23655	UROK	\N	\N
3510183	9337	1994-11-30	PRIJEM	\N	37	13343	UROK	\N	\N
3510184	9337	1994-12-31	PRIJEM	\N	42	5757	UROK	\N	\N
3510185	9337	1995-01-31	PRIJEM	\N	14	1591	UROK	\N	\N
3510186	9337	1995-01-31	VYDAJ	VYBER	10	1596	SANKC. UROK	\N	\N
3510187	9337	1995-02-28	PRIJEM	\N	23	13273	UROK	\N	\N
3510188	9337	1995-02-28	VYDAJ	VYBER	8	13251	SANKC. UROK	\N	\N
3510189	9337	1995-03-31	PRIJEM	\N	41	15210	UROK	\N	\N
3510190	9337	1995-04-30	PRIJEM	\N	55	17581	UROK	\N	\N
3510191	9337	1995-05-31	PRIJEM	\N	140	39010	UROK	\N	\N
3510192	9337	1995-06-30	PRIJEM	\N	196	91376	UROK	\N	\N
3510193	9337	1995-07-31	PRIJEM	\N	148	37150	UROK	\N	\N
3510194	9337	1995-08-31	PRIJEM	\N	190	71049	UROK	\N	\N
3510195	9337	1995-09-30	PRIJEM	\N	197	38368	UROK	\N	\N
3510196	9337	1995-10-31	PRIJEM	\N	167	73242	UROK	\N	\N
3510197	9337	1995-11-30	PRIJEM	\N	115	52607	UROK	\N	\N
3510198	9337	1995-12-31	PRIJEM	\N	70	31265	UROK	\N	\N
3510199	9337	1996-01-31	PRIJEM	\N	56	22163	UROK	\N	\N
3510200	9337	1996-01-31	VYDAJ	VYBER	1	22162	SANKC. UROK	\N	\N
3510201	9337	1996-02-29	PRIJEM	\N	4	10151	UROK	\N	\N
3510202	9337	1996-03-31	PRIJEM	\N	15	24243	UROK	\N	\N
3510203	9337	1996-04-30	PRIJEM	\N	74	31717	UROK	\N	\N
3510204	9337	1996-05-31	PRIJEM	\N	100	34350	UROK	\N	\N
3510205	9337	1996-06-30	PRIJEM	\N	36	27251	UROK	\N	\N
3510206	9337	1996-07-31	PRIJEM	\N	71	30563	UROK	\N	\N
3510207	9337	1996-08-31	PRIJEM	\N	79	35339	UROK	\N	\N
3510208	9337	1996-09-30	PRIJEM	\N	12	36315	UROK	\N	\N
3510209	9337	1996-10-31	PRIJEM	\N	35	33971	UROK	\N	\N
3510210	9337	1996-11-30	PRIJEM	\N	98	28378	UROK	\N	\N
3510211	9337	1996-11-30	VYDAJ	VYBER	0	28578	SANKC. UROK	\N	\N
3510212	9337	1996-12-31	PRIJEM	\N	22	36391	UROK	\N	\N
3510213	9337	1997-01-31	PRIJEM	\N	14	8445	UROK	\N	\N
3510214	9337	1997-01-31	VYDAJ	VYBER	0	8488	SANKC. UROK	\N	\N
3510215	9337	1997-02-28	PRIJEM	\N	14	31381	UROK	\N	\N
3510216	9337	1997-02-28	VYDAJ	VYBER	0	31366	SANKC. UROK	\N	\N
3510217	9337	1997-03-31	PRIJEM	\N	137	53906	UROK	\N	\N
3510218	9337	1997-04-30	PRIJEM	\N	32	54980	UROK	\N	\N
3510219	9337	1997-05-31	PRIJEM	\N	151	107972	UROK	\N	\N
3510220	9337	1997-06-30	PRIJEM	\N	179	77374	UROK	\N	\N
3510221	9337	1997-07-31	PRIJEM	\N	336	66291	UROK	\N	\N
3510222	9337	1997-08-31	PRIJEM	\N	230	72102	UROK	\N	\N
3510223	9337	1997-09-30	PRIJEM	\N	303	121403	UROK	\N	\N
3510224	9337	1997-10-31	PRIJEM	\N	235	59769	UROK	\N	\N
3510225	9337	1997-11-30	PRIJEM	\N	345	113880	UROK	\N	\N
3510226	9337	1997-12-31	PRIJEM	\N	355	76969	UROK	\N	\N
3510227	9337	1998-01-31	PRIJEM	\N	108	37738	UROK	\N	\N
3510228	9337	1998-02-28	PRIJEM	\N	42	40947	UROK	\N	\N
3510229	9337	1998-03-31	PRIJEM	\N	119	66923	UROK	\N	\N
3510230	9337	1998-04-30	PRIJEM	\N	61	59903	UROK	\N	\N
3510231	9337	1998-05-31	PRIJEM	\N	69	54658	UROK	\N	\N
3510232	9337	1998-06-30	PRIJEM	\N	255	29196	UROK	\N	\N
3510233	9337	1998-07-31	PRIJEM	\N	70	39562	UROK	\N	\N
3510234	9337	1998-08-31	PRIJEM	\N	106	45653	UROK	\N	\N
3510235	9337	1998-09-30	PRIJEM	\N	142	57623	UROK	\N	\N
3510236	9337	1998-10-31	PRIJEM	\N	169	55994	UROK	\N	\N
3510237	9337	1998-11-30	PRIJEM	\N	115	38013	UROK	\N	\N
3510238	9337	1998-12-31	PRIJEM	\N	58	30056	UROK	\N	\N
3510315	9353	1996-05-31	PRIJEM	\N	3	25607	UROK	\N	\N
3510316	9353	1996-06-30	PRIJEM	\N	102	25513	UROK	\N	\N
3510317	9353	1996-10-31	PRIJEM	\N	13	32847	UROK	\N	\N
3510318	9353	1996-12-31	PRIJEM	\N	20	37022	UROK	\N	\N
3510319	9353	1997-01-31	PRIJEM	\N	25	37258	UROK	\N	\N
3510320	9353	1997-02-28	PRIJEM	\N	12	81911	UROK	\N	\N
3510321	9353	1997-03-31	PRIJEM	\N	206	51947	UROK	\N	\N
3510322	9353	1997-04-30	PRIJEM	\N	141	59290	UROK	\N	\N
3510323	9353	1997-05-31	PRIJEM	\N	218	56930	UROK	\N	\N
3510324	9353	1997-06-30	PRIJEM	\N	170	113594	UROK	\N	\N
3510325	9353	1997-07-31	PRIJEM	\N	307	46954	UROK	\N	\N
3510326	9353	1997-08-31	PRIJEM	\N	225	45661	UROK	\N	\N
3510327	9353	1997-09-30	PRIJEM	\N	172	78476	UROK	\N	\N
3510328	9353	1997-10-31	PRIJEM	\N	285	51712	UROK	\N	\N
3510329	9353	1997-11-30	PRIJEM	\N	249	43471	UROK	\N	\N
3510330	9353	1997-12-31	PRIJEM	\N	131	52106	UROK	\N	\N
3510331	9353	1998-01-31	PRIJEM	\N	77	28123	UROK	\N	\N
3510332	9353	1998-02-28	PRIJEM	\N	164	76673	UROK	\N	\N
3510333	9353	1998-03-31	PRIJEM	\N	107	44723	UROK	\N	\N
3510334	9353	1998-04-30	PRIJEM	\N	130	29769	UROK	\N	\N
3510335	9353	1998-05-31	PRIJEM	\N	104	26014	UROK	\N	\N
3510336	9353	1998-06-30	PRIJEM	\N	236	52821	UROK	\N	\N
3510337	9353	1998-07-31	PRIJEM	\N	171	59535	UROK	\N	\N
3510338	9353	1998-08-31	PRIJEM	\N	83	33042	UROK	\N	\N
3510339	9353	1998-09-30	PRIJEM	\N	131	72704	UROK	\N	\N
3510340	9353	1998-10-31	PRIJEM	\N	160	75699	UROK	\N	\N
3510341	9353	1998-11-30	PRIJEM	\N	250	31299	UROK	\N	\N
3510342	9353	1998-12-31	PRIJEM	\N	123	31535	UROK	\N	\N
3510491	9377	1995-10-31	PRIJEM	\N	17	68622	UROK	\N	\N
3510492	9377	1995-11-30	PRIJEM	\N	98	50371	UROK	\N	\N
3510493	9377	1995-12-31	PRIJEM	\N	91	45359	UROK	\N	\N
3510494	9377	1996-02-29	PRIJEM	\N	82	32346	UROK	\N	\N
3510495	9377	1996-03-31	PRIJEM	\N	64	21413	UROK	\N	\N
3510496	9377	1996-04-30	PRIJEM	\N	58	23828	UROK	\N	\N
3510497	9377	1996-05-31	PRIJEM	\N	88	21730	UROK	\N	\N
3510498	9377	1996-06-30	PRIJEM	\N	118	30133	UROK	\N	\N
3510499	9377	1996-07-31	PRIJEM	\N	236	88213	UROK	\N	\N
3510500	9377	1996-08-31	PRIJEM	\N	264	43752	UROK	\N	\N
3510501	9377	1996-09-30	PRIJEM	\N	161	40969	UROK	\N	\N
3510502	9377	1996-10-31	PRIJEM	\N	284	69984	UROK	\N	\N
3510503	9377	1996-11-30	PRIJEM	\N	321	91126	UROK	\N	\N
3510504	9377	1996-12-31	PRIJEM	\N	258	53593	UROK	\N	\N
3510505	9377	1997-01-31	PRIJEM	\N	256	88721	UROK	\N	\N
3510506	9377	1997-02-28	PRIJEM	\N	247	52011	UROK	\N	\N
3510507	9377	1997-03-31	PRIJEM	\N	258	91900	UROK	\N	\N
3510508	9377	1997-04-30	PRIJEM	\N	312	91814	UROK	\N	\N
3510509	9377	1997-05-31	PRIJEM	\N	134	38976	UROK	\N	\N
3510510	9377	1997-06-30	PRIJEM	\N	106	89153	UROK	\N	\N
3510511	9377	1997-07-31	PRIJEM	\N	214	44283	UROK	\N	\N
3510512	9377	1997-08-31	PRIJEM	\N	378	92435	UROK	\N	\N
3510513	9377	1997-09-30	PRIJEM	\N	211	102742	UROK	\N	\N
3510514	9377	1997-10-31	PRIJEM	\N	355	107258	UROK	\N	\N
3510515	9377	1997-11-30	PRIJEM	\N	331	89414	UROK	\N	\N
3510516	9377	1997-12-31	PRIJEM	\N	338	87522	UROK	\N	\N
3510517	9377	1998-01-31	PRIJEM	\N	178	43360	UROK	\N	\N
3510518	9377	1998-02-28	PRIJEM	\N	145	49582	UROK	\N	\N
3510519	9377	1998-03-31	PRIJEM	\N	303	82206	UROK	\N	\N
3510520	9377	1998-04-30	PRIJEM	\N	244	56167	UROK	\N	\N
3510521	9377	1998-05-31	PRIJEM	\N	205	66604	UROK	\N	\N
3510522	9377	1998-06-30	PRIJEM	\N	225	52373	UROK	\N	\N
3510523	9377	1998-07-31	PRIJEM	\N	261	75198	UROK	\N	\N
3510524	9377	1998-08-31	PRIJEM	\N	157	42496	UROK	\N	\N
3510525	9377	1998-09-30	PRIJEM	\N	340	114503	UROK	\N	\N
3510526	9377	1998-10-31	PRIJEM	\N	175	71295	UROK	\N	\N
3510527	9377	1998-11-30	PRIJEM	\N	220	66988	UROK	\N	\N
3510528	9377	1998-12-31	PRIJEM	\N	144	43012	UROK	\N	\N
3510785	9403	1993-05-31	PRIJEM	\N	85	86814	UROK	\N	\N
3510786	9403	1993-06-30	PRIJEM	\N	361	55275	UROK	\N	\N
3510787	9403	1993-07-31	PRIJEM	\N	350	55588	UROK	\N	\N
3510788	9403	1993-08-31	PRIJEM	\N	197	27759	UROK	\N	\N
3510789	9403	1993-09-30	PRIJEM	\N	88	20417	UROK	\N	\N
3510790	9403	1993-10-31	PRIJEM	\N	192	73239	UROK	\N	\N
3510791	9403	1993-11-30	PRIJEM	\N	253	43727	UROK	\N	\N
3510792	9403	1993-12-31	PRIJEM	\N	130	29402	UROK	\N	\N
3510793	9403	1994-01-31	PRIJEM	\N	103	37627	UROK	\N	\N
3510794	9403	1994-02-28	PRIJEM	\N	125	25096	UROK	\N	\N
3510795	9403	1994-03-31	PRIJEM	\N	139	36034	UROK	\N	\N
3510796	9403	1994-04-30	PRIJEM	\N	125	26605	UROK	\N	\N
3510797	9403	1994-05-31	PRIJEM	\N	106	26756	UROK	\N	\N
3510798	9403	1994-06-30	PRIJEM	\N	204	30893	UROK	\N	\N
3510799	9403	1994-07-31	PRIJEM	\N	120	25758	UROK	\N	\N
3510800	9403	1994-08-31	PRIJEM	\N	175	38907	UROK	\N	\N
3510801	9403	1994-09-30	PRIJEM	\N	117	23611	UROK	\N	\N
3510802	9403	1994-10-31	PRIJEM	\N	98	26495	UROK	\N	\N
3510803	9403	1994-11-30	PRIJEM	\N	139	34073	UROK	\N	\N
3510804	9403	1994-12-31	PRIJEM	\N	174	38493	UROK	\N	\N
3510805	9403	1995-01-31	PRIJEM	\N	162	23451	UROK	\N	\N
3510806	9403	1995-02-28	PRIJEM	\N	96	24534	UROK	\N	\N
3510807	9403	1995-03-31	PRIJEM	\N	105	28526	UROK	\N	\N
3510808	9403	1995-04-30	PRIJEM	\N	121	34986	UROK	\N	\N
3510809	9403	1995-05-31	PRIJEM	\N	164	37967	UROK	\N	\N
3510810	9403	1995-06-30	PRIJEM	\N	139	31093	UROK	\N	\N
3510811	9403	1995-07-31	PRIJEM	\N	171	52420	UROK	\N	\N
3510812	9403	1995-08-31	PRIJEM	\N	169	34701	UROK	\N	\N
3510813	9403	1995-09-30	PRIJEM	\N	160	39883	UROK	\N	\N
3510814	9403	1995-10-31	PRIJEM	\N	149	34118	UROK	\N	\N
3510815	9403	1995-11-30	PRIJEM	\N	131	30536	UROK	\N	\N
3510816	9403	1995-12-31	PRIJEM	\N	150	44624	UROK	\N	\N
3510817	9403	1996-01-31	PRIJEM	\N	120	22731	UROK	\N	\N
3510818	9403	1996-02-29	PRIJEM	\N	84	19502	UROK	\N	\N
3510819	9403	1996-03-31	PRIJEM	\N	80	19290	UROK	\N	\N
3510820	9403	1996-04-30	PRIJEM	\N	142	60644	UROK	\N	\N
3510821	9403	1996-05-31	PRIJEM	\N	143	23474	UROK	\N	\N
3510822	9403	1996-06-30	PRIJEM	\N	133	34778	UROK	\N	\N
3510823	9403	1996-07-31	PRIJEM	\N	99	20263	UROK	\N	\N
3510824	9403	1996-08-31	PRIJEM	\N	75	17525	UROK	\N	\N
3510825	9403	1996-09-30	PRIJEM	\N	56	12468	UROK	\N	\N
3510826	9403	1996-10-31	PRIJEM	\N	55	14011	UROK	\N	\N
3510827	9403	1996-11-30	PRIJEM	\N	65	16763	UROK	\N	\N
3510828	9403	1996-12-31	PRIJEM	\N	62	14912	UROK	\N	\N
3510829	9403	1997-01-31	PRIJEM	\N	131	54366	UROK	\N	\N
3510830	9403	1997-02-28	PRIJEM	\N	125	26177	UROK	\N	\N
3510831	9403	1997-03-31	PRIJEM	\N	83	18447	UROK	\N	\N
3510832	9403	1997-04-30	PRIJEM	\N	111	28746	UROK	\N	\N
3510833	9403	1997-05-31	PRIJEM	\N	108	36676	UROK	\N	\N
3510834	9403	1997-06-30	PRIJEM	\N	118	26081	UROK	\N	\N
3510835	9403	1997-07-31	PRIJEM	\N	176	84396	UROK	\N	\N
3510836	9403	1997-08-31	PRIJEM	\N	155	28838	UROK	\N	\N
3510837	9403	1997-09-30	PRIJEM	\N	257	96100	UROK	\N	\N
3510838	9403	1997-10-31	PRIJEM	\N	385	88273	UROK	\N	\N
3510839	9403	1997-11-30	PRIJEM	\N	304	68664	UROK	\N	\N
3510840	9403	1997-12-31	PRIJEM	\N	245	90942	UROK	\N	\N
3510841	9403	1998-01-31	PRIJEM	\N	276	40961	UROK	\N	\N
3510842	9403	1998-02-28	PRIJEM	\N	148	35054	UROK	\N	\N
3510843	9403	1998-03-31	PRIJEM	\N	137	32537	UROK	\N	\N
3510844	9403	1998-04-30	PRIJEM	\N	158	70486	UROK	\N	\N
3510845	9403	1998-05-31	PRIJEM	\N	173	35290	UROK	\N	\N
3510846	9403	1998-06-30	PRIJEM	\N	123	34858	UROK	\N	\N
3510847	9403	1998-07-31	PRIJEM	\N	127	35130	UROK	\N	\N
3510848	9403	1998-08-31	PRIJEM	\N	109	44770	UROK	\N	\N
3510849	9403	1998-09-30	PRIJEM	\N	159	37516	UROK	\N	\N
3510850	9403	1998-10-31	PRIJEM	\N	152	42063	UROK	\N	\N
3510851	9403	1998-11-30	PRIJEM	\N	154	37062	UROK	\N	\N
3510852	9403	1998-12-31	PRIJEM	\N	113	26220	UROK	\N	\N
3511036	9422	1996-03-31	PRIJEM	\N	105	43500	UROK	\N	\N
3511037	9422	1996-04-30	PRIJEM	\N	255	75150	UROK	\N	\N
3511038	9422	1996-05-31	PRIJEM	\N	359	94604	UROK	\N	\N
3511039	9422	1996-06-30	PRIJEM	\N	354	78000	UROK	\N	\N
3511040	9422	1996-07-31	PRIJEM	\N	374	98768	UROK	\N	\N
3511041	9422	1996-08-31	PRIJEM	\N	305	50953	UROK	\N	\N
3511042	9422	1996-09-30	PRIJEM	\N	216	60706	UROK	\N	\N
3511043	9422	1996-10-31	PRIJEM	\N	213	43371	UROK	\N	\N
3511044	9422	1996-11-30	PRIJEM	\N	221	67772	UROK	\N	\N
3511045	9422	1996-12-31	PRIJEM	\N	244	76017	UROK	\N	\N
3511046	9422	1997-01-31	PRIJEM	\N	189	31021	UROK	\N	\N
3511047	9422	1997-02-28	PRIJEM	\N	161	47397	UROK	\N	\N
3511048	9422	1997-03-31	PRIJEM	\N	225	66325	UROK	\N	\N
3511049	9422	1997-04-30	PRIJEM	\N	287	79267	UROK	\N	\N
3511050	9422	1997-05-31	PRIJEM	\N	234	36831	UROK	\N	\N
3511051	9422	1997-06-30	PRIJEM	\N	183	33116	UROK	\N	\N
3511052	9422	1997-07-31	PRIJEM	\N	205	47676	UROK	\N	\N
3511053	9422	1997-08-31	PRIJEM	\N	259	55790	UROK	\N	\N
3511054	9422	1997-09-30	PRIJEM	\N	281	59726	UROK	\N	\N
3511055	9422	1997-10-31	PRIJEM	\N	207	51332	UROK	\N	\N
3511056	9422	1997-11-30	PRIJEM	\N	256	58825	UROK	\N	\N
3511057	9422	1997-12-31	PRIJEM	\N	249	42959	UROK	\N	\N
3511058	9422	1998-01-31	PRIJEM	\N	136	30132	UROK	\N	\N
3511059	9422	1998-02-28	PRIJEM	\N	189	49259	UROK	\N	\N
3511060	9422	1998-03-31	PRIJEM	\N	158	29795	UROK	\N	\N
3511061	9422	1998-04-30	PRIJEM	\N	181	52213	UROK	\N	\N
3511062	9422	1998-05-31	PRIJEM	\N	263	58213	UROK	\N	\N
3511063	9422	1998-06-30	PRIJEM	\N	299	56697	UROK	\N	\N
3511064	9422	1998-07-31	PRIJEM	\N	224	49074	UROK	\N	\N
3511065	9422	1998-08-31	PRIJEM	\N	225	50164	UROK	\N	\N
3511066	9422	1998-09-30	PRIJEM	\N	244	52045	UROK	\N	\N
3511067	9422	1998-10-31	PRIJEM	\N	249	51202	UROK	\N	\N
3511068	9422	1998-11-30	PRIJEM	\N	229	53268	UROK	\N	\N
3511069	9422	1998-12-31	PRIJEM	\N	234	39606	UROK	\N	\N
3511070	9424	1997-01-31	PRIJEM	\N	8	20444	UROK	\N	\N
3511071	9424	1997-02-28	PRIJEM	\N	86	34467	UROK	\N	\N
3511072	9424	1997-03-31	PRIJEM	\N	119	32522	UROK	\N	\N
3511073	9424	1997-04-30	PRIJEM	\N	135	31193	UROK	\N	\N
3511074	9424	1997-05-31	PRIJEM	\N	162	32490	UROK	\N	\N
3511075	9424	1997-06-30	PRIJEM	\N	136	21864	UROK	\N	\N
3511076	9424	1997-07-31	PRIJEM	\N	121	25107	UROK	\N	\N
3511077	9424	1997-08-31	PRIJEM	\N	114	21942	UROK	\N	\N
3511078	9424	1997-09-30	PRIJEM	\N	115	23956	UROK	\N	\N
3511079	9424	1997-10-31	PRIJEM	\N	95	20217	UROK	\N	\N
3511080	9424	1997-11-30	PRIJEM	\N	71	13171	UROK	\N	\N
3511081	9424	1997-12-31	PRIJEM	\N	94	22532	UROK	\N	\N
3511082	9424	1998-01-31	PRIJEM	\N	89	12220	UROK	\N	\N
3511083	9424	1998-02-28	PRIJEM	\N	66	11921	UROK	\N	\N
3511084	9424	1998-03-31	PRIJEM	\N	78	20398	UROK	\N	\N
3511085	9424	1998-04-30	PRIJEM	\N	107	23103	UROK	\N	\N
3511086	9424	1998-05-31	PRIJEM	\N	111	18716	UROK	\N	\N
3511087	9424	1998-06-30	PRIJEM	\N	111	23494	UROK	\N	\N
3511088	9424	1998-07-31	PRIJEM	\N	111	20704	UROK	\N	\N
3511089	9424	1998-08-31	PRIJEM	\N	96	18442	UROK	\N	\N
3511090	9424	1998-09-30	PRIJEM	\N	92	19233	UROK	\N	\N
3511091	9424	1998-10-31	PRIJEM	\N	98	22230	UROK	\N	\N
3511092	9424	1998-11-30	PRIJEM	\N	109	25125	UROK	\N	\N
3511093	9424	1998-12-31	PRIJEM	\N	152	40314	UROK	\N	\N
3511151	9433	1997-09-30	PRIJEM	\N	48	19223	UROK	\N	\N
3511152	9433	1997-10-31	PRIJEM	\N	109	30507	UROK	\N	\N
3511153	9433	1997-11-30	PRIJEM	\N	150	39532	UROK	\N	\N
3511154	9433	1997-12-31	PRIJEM	\N	184	47129	UROK	\N	\N
3511155	9433	1998-01-31	PRIJEM	\N	177	33901	UROK	\N	\N
3511156	9433	1998-02-28	PRIJEM	\N	172	40534	UROK	\N	\N
3511157	9433	1998-03-31	PRIJEM	\N	189	47683	UROK	\N	\N
3511158	9433	1998-04-30	PRIJEM	\N	215	48079	UROK	\N	\N
3511159	9433	1998-05-31	PRIJEM	\N	217	50057	UROK	\N	\N
3511160	9433	1998-06-30	PRIJEM	\N	143	30797	UROK	\N	\N
3511161	9433	1998-07-31	PRIJEM	\N	146	35124	UROK	\N	\N
3511162	9433	1998-08-31	PRIJEM	\N	153	36737	UROK	\N	\N
3511163	9433	1998-09-30	PRIJEM	\N	161	38058	UROK	\N	\N
3511164	9433	1998-10-31	PRIJEM	\N	132	29611	UROK	\N	\N
3511165	9433	1998-11-30	PRIJEM	\N	133	32444	UROK	\N	\N
3511166	9433	1998-12-31	PRIJEM	\N	151	35673	UROK	\N	\N
3511335	9455	1996-11-30	PRIJEM	\N	96	38571	UROK	\N	\N
3511336	9455	1996-12-31	PRIJEM	\N	284	87368	UROK	\N	\N
3511337	9455	1997-01-31	PRIJEM	\N	377	92819	UROK	\N	\N
3511338	9455	1997-02-28	PRIJEM	\N	398	98192	UROK	\N	\N
3511339	9455	1997-03-31	PRIJEM	\N	420	100298	UROK	\N	\N
3511340	9455	1997-04-30	PRIJEM	\N	244	65028	UROK	\N	\N
3511341	9455	1997-05-31	PRIJEM	\N	256	67544	UROK	\N	\N
3511342	9455	1997-06-30	PRIJEM	\N	268	39710	UROK	\N	\N
3511343	9455	1997-07-31	PRIJEM	\N	211	59681	UROK	\N	\N
3511344	9455	1997-08-31	PRIJEM	\N	230	50599	UROK	\N	\N
3511345	9455	1997-09-30	PRIJEM	\N	245	45505	UROK	\N	\N
3511346	9455	1997-10-31	PRIJEM	\N	177	43111	UROK	\N	\N
3511347	9455	1997-11-30	PRIJEM	\N	223	55794	UROK	\N	\N
3511348	9455	1997-12-31	PRIJEM	\N	263	61955	UROK	\N	\N
3511349	9455	1998-01-31	PRIJEM	\N	223	45939	UROK	\N	\N
3511350	9455	1998-02-28	PRIJEM	\N	209	52935	UROK	\N	\N
3511351	9455	1998-03-31	PRIJEM	\N	264	61613	UROK	\N	\N
3511352	9455	1998-04-30	PRIJEM	\N	290	62020	UROK	\N	\N
3511353	9455	1998-05-31	PRIJEM	\N	176	38314	UROK	\N	\N
3511354	9455	1998-06-30	PRIJEM	\N	195	30458	UROK	\N	\N
3511355	9455	1998-07-31	PRIJEM	\N	176	53249	UROK	\N	\N
3511356	9455	1998-08-31	PRIJEM	\N	227	57703	UROK	\N	\N
3511357	9455	1998-09-30	PRIJEM	\N	274	64991	UROK	\N	\N
3511358	9455	1998-10-31	PRIJEM	\N	277	37068	UROK	\N	\N
3511359	9455	1998-11-30	PRIJEM	\N	192	50375	UROK	\N	\N
3511360	9455	1998-12-31	PRIJEM	\N	272	62398	UROK	\N	\N
3511494	9472	1993-07-31	PRIJEM	\N	210	75245	UROK	\N	\N
3511495	9472	1993-08-31	PRIJEM	\N	313	50058	UROK	\N	\N
3511496	9472	1993-09-30	PRIJEM	\N	291	58296	UROK	\N	\N
3511497	9472	1993-10-31	PRIJEM	\N	329	73323	UROK	\N	\N
3511498	9472	1993-11-30	PRIJEM	\N	198	41472	UROK	\N	\N
3511499	9472	1993-12-31	PRIJEM	\N	112	23535	UROK	\N	\N
3511500	9472	1994-01-31	PRIJEM	\N	189	49254	UROK	\N	\N
3511501	9472	1994-02-28	PRIJEM	\N	341	92847	UROK	\N	\N
3511502	9472	1994-03-31	PRIJEM	\N	244	53542	UROK	\N	\N
3511503	9472	1994-04-30	PRIJEM	\N	206	90243	UROK	\N	\N
3511504	9472	1994-05-31	PRIJEM	\N	237	65945	UROK	\N	\N
3511505	9472	1994-06-30	PRIJEM	\N	309	96761	UROK	\N	\N
3511506	9472	1994-07-31	PRIJEM	\N	263	69072	UROK	\N	\N
3511507	9472	1994-08-31	PRIJEM	\N	347	83045	UROK	\N	\N
3511508	9472	1994-09-30	PRIJEM	\N	330	45535	UROK	\N	\N
3511509	9472	1994-10-31	PRIJEM	\N	281	51172	UROK	\N	\N
3511510	9472	1994-11-30	PRIJEM	\N	239	57467	UROK	\N	\N
3511511	9472	1994-12-31	PRIJEM	\N	319	56013	UROK	\N	\N
3511512	9472	1995-01-31	PRIJEM	\N	147	26111	UROK	\N	\N
3511513	9472	1995-02-28	PRIJEM	\N	93	25155	UROK	\N	\N
3511514	9472	1995-03-31	PRIJEM	\N	154	34842	UROK	\N	\N
3511515	9472	1995-04-30	PRIJEM	\N	178	50630	UROK	\N	\N
3511516	9472	1995-05-31	PRIJEM	\N	208	78484	UROK	\N	\N
3511517	9472	1995-06-30	PRIJEM	\N	243	44502	UROK	\N	\N
3511518	9472	1995-07-31	PRIJEM	\N	282	47063	UROK	\N	\N
3511519	9472	1995-08-31	PRIJEM	\N	169	36250	UROK	\N	\N
3511520	9472	1995-09-30	PRIJEM	\N	124	28226	UROK	\N	\N
3511521	9472	1995-10-31	PRIJEM	\N	152	35099	UROK	\N	\N
3511522	9472	1995-11-30	PRIJEM	\N	123	28340	UROK	\N	\N
3511523	9472	1995-12-31	PRIJEM	\N	100	26058	UROK	\N	\N
3511524	9472	1996-01-31	PRIJEM	\N	194	76760	UROK	\N	\N
3511525	9472	1996-02-29	PRIJEM	\N	280	69992	UROK	\N	\N
3511526	9472	1996-03-31	PRIJEM	\N	253	51763	UROK	\N	\N
3511527	9472	1996-04-30	PRIJEM	\N	192	44372	UROK	\N	\N
3511528	9472	1996-05-31	PRIJEM	\N	259	57889	UROK	\N	\N
3511529	9472	1996-06-30	PRIJEM	\N	210	44851	UROK	\N	\N
3511530	9472	1996-07-31	PRIJEM	\N	172	41474	UROK	\N	\N
3511531	9472	1996-08-31	PRIJEM	\N	144	29869	UROK	\N	\N
3511532	9472	1996-09-30	PRIJEM	\N	145	52789	UROK	\N	\N
3511533	9472	1996-10-31	PRIJEM	\N	195	41535	UROK	\N	\N
3511534	9472	1996-11-30	PRIJEM	\N	168	75909	UROK	\N	\N
3511535	9472	1996-12-31	PRIJEM	\N	282	94784	UROK	\N	\N
3511536	9472	1997-01-31	PRIJEM	\N	213	25597	UROK	\N	\N
3511537	9472	1997-02-28	PRIJEM	\N	108	28356	UROK	\N	\N
3511538	9472	1997-03-31	PRIJEM	\N	189	53373	UROK	\N	\N
3511539	9472	1997-04-30	PRIJEM	\N	309	71317	UROK	\N	\N
3511540	9472	1997-05-31	PRIJEM	\N	315	75400	UROK	\N	\N
3511541	9472	1997-06-30	PRIJEM	\N	244	49795	UROK	\N	\N
3511542	9472	1997-07-31	PRIJEM	\N	262	80975	UROK	\N	\N
3511543	9472	1997-08-31	PRIJEM	\N	221	44591	UROK	\N	\N
3511544	9472	1997-09-30	PRIJEM	\N	153	35795	UROK	\N	\N
3511545	9472	1997-10-31	PRIJEM	\N	186	65543	UROK	\N	\N
3511546	9472	1997-11-30	PRIJEM	\N	230	73439	UROK	\N	\N
3511547	9472	1997-12-31	PRIJEM	\N	391	97436	UROK	\N	\N
3511548	9472	1998-01-31	PRIJEM	\N	253	27340	UROK	\N	\N
3511549	9472	1998-02-28	PRIJEM	\N	92	19983	UROK	\N	\N
3511550	9472	1998-03-31	PRIJEM	\N	48	11481	UROK	\N	\N
3511551	9472	1998-04-30	PRIJEM	\N	40	6372	UROK	\N	\N
3511552	9472	1998-06-30	PRIJEM	\N	20	6352	UROK	\N	\N
3511553	9472	1998-06-30	PRIJEM	\N	19	6332	UROK	\N	\N
3511554	9472	1998-07-31	PRIJEM	\N	169	71368	UROK	\N	\N
3511555	9472	1998-08-31	PRIJEM	\N	160	31114	UROK	\N	\N
3511556	9472	1998-09-30	PRIJEM	\N	180	46075	UROK	\N	\N
3511557	9472	1998-10-31	PRIJEM	\N	158	35289	UROK	\N	\N
3511558	9472	1998-11-30	PRIJEM	\N	82	17823	UROK	\N	\N
3511559	9472	1998-12-31	PRIJEM	\N	193	53902	UROK	\N	\N
3511627	9484	1997-05-31	PRIJEM	\N	11	15703	UROK	\N	\N
3511628	9484	1997-06-30	PRIJEM	\N	16	22960	UROK	\N	\N
3511629	9484	1997-07-31	PRIJEM	\N	19	23956	UROK	\N	\N
3511630	9484	1997-08-31	PRIJEM	\N	26	28166	UROK	\N	\N
3511631	9484	1997-09-30	PRIJEM	\N	48	28894	UROK	\N	\N
3511632	9484	1997-10-31	PRIJEM	\N	83	25364	UROK	\N	\N
3511633	9484	1997-11-30	PRIJEM	\N	104	28067	UROK	\N	\N
3511634	9484	1997-12-31	PRIJEM	\N	33	23455	UROK	\N	\N
3511635	9484	1998-01-31	PRIJEM	\N	86	12817	UROK	\N	\N
3511636	9484	1998-02-28	PRIJEM	\N	18	13841	UROK	\N	\N
3511637	9484	1998-03-31	PRIJEM	\N	60	17327	UROK	\N	\N
3511638	9484	1998-04-30	PRIJEM	\N	69	16461	UROK	\N	\N
3511639	9484	1998-05-31	PRIJEM	\N	71	13765	UROK	\N	\N
3511640	9484	1998-06-30	PRIJEM	\N	40	4971	UROK	\N	\N
3511641	9484	1998-07-31	PRIJEM	\N	8	5544	UROK	\N	\N
3511642	9484	1998-08-31	PRIJEM	\N	18	4346	UROK	\N	\N
3511643	9484	1998-09-30	PRIJEM	\N	18	5846	UROK	\N	\N
3511644	9484	1998-10-31	PRIJEM	\N	6	4142	UROK	\N	\N
3511645	9484	1998-11-30	PRIJEM	\N	14	4655	UROK	\N	\N
3511646	9484	1998-12-31	PRIJEM	\N	30	11371	UROK	\N	\N
3511647	9484	1998-12-31	VYDAJ	VYBER	1	11369	SANKC. UROK	\N	\N
3511723	9491	1996-08-31	PRIJEM	\N	114	44739	UROK	\N	\N
3511724	9491	1996-09-30	PRIJEM	\N	274	80238	UROK	\N	\N
3511725	9491	1996-10-31	PRIJEM	\N	376	97240	UROK	\N	\N
3511726	9491	1996-11-30	PRIJEM	\N	421	104286	UROK	\N	\N
3511727	9491	1996-12-31	PRIJEM	\N	354	67232	UROK	\N	\N
3511728	9491	1997-01-31	PRIJEM	\N	248	51955	UROK	\N	\N
3511729	9491	1997-02-28	PRIJEM	\N	216	66245	UROK	\N	\N
3511730	9491	1997-03-31	PRIJEM	\N	256	63136	UROK	\N	\N
3511731	9491	1997-04-30	PRIJEM	\N	251	65760	UROK	\N	\N
3511732	9491	1997-05-31	PRIJEM	\N	267	69444	UROK	\N	\N
3511733	9491	1997-06-30	PRIJEM	\N	324	97955	UROK	\N	\N
3511734	9491	1997-07-31	PRIJEM	\N	329	88558	UROK	\N	\N
3511735	9491	1997-08-31	PRIJEM	\N	312	83944	UROK	\N	\N
3511736	9491	1997-09-30	PRIJEM	\N	281	48970	UROK	\N	\N
3511737	9491	1997-10-31	PRIJEM	\N	207	43092	UROK	\N	\N
3511738	9491	1997-11-30	PRIJEM	\N	196	60962	UROK	\N	\N
3511739	9491	1997-12-31	PRIJEM	\N	242	69624	UROK	\N	\N
3511740	9491	1998-01-31	PRIJEM	\N	208	35106	UROK	\N	\N
3511741	9491	1998-02-28	PRIJEM	\N	215	67695	UROK	\N	\N
3511742	9491	1998-03-31	PRIJEM	\N	251	62920	UROK	\N	\N
3511743	9491	1998-04-30	PRIJEM	\N	228	69022	UROK	\N	\N
3511744	9491	1998-05-31	PRIJEM	\N	254	44550	UROK	\N	\N
3511745	9491	1998-06-30	PRIJEM	\N	306	58543	UROK	\N	\N
3511746	9491	1998-07-31	PRIJEM	\N	293	50212	UROK	\N	\N
3511747	9491	1998-08-31	PRIJEM	\N	263	47350	UROK	\N	\N
3511748	9491	1998-09-30	PRIJEM	\N	252	49278	UROK	\N	\N
3511749	9491	1998-10-31	PRIJEM	\N	257	49111	UROK	\N	\N
3511750	9491	1998-11-30	PRIJEM	\N	255	50242	UROK	\N	\N
3511751	9491	1998-12-31	PRIJEM	\N	295	50526	UROK	\N	\N
3511767	9493	1995-04-30	PRIJEM	\N	70	24055	UROK	\N	\N
3511768	9493	1995-05-31	PRIJEM	\N	171	48111	UROK	\N	\N
3511769	9493	1995-06-30	PRIJEM	\N	267	71256	UROK	\N	\N
3511770	9493	1995-07-31	PRIJEM	\N	291	70632	UROK	\N	\N
3511771	9493	1995-08-31	PRIJEM	\N	185	27186	UROK	\N	\N
3511772	9493	1995-09-30	PRIJEM	\N	143	35274	UROK	\N	\N
3511773	9493	1995-10-31	PRIJEM	\N	128	25247	UROK	\N	\N
3511774	9493	1995-11-30	PRIJEM	\N	143	32027	UROK	\N	\N
3511775	9493	1995-12-31	PRIJEM	\N	203	45559	UROK	\N	\N
3511776	9493	1996-01-31	PRIJEM	\N	167	30962	UROK	\N	\N
3511777	9493	1996-02-29	PRIJEM	\N	164	39663	UROK	\N	\N
3511778	9493	1996-03-31	PRIJEM	\N	155	30048	UROK	\N	\N
3511779	9493	1996-04-30	PRIJEM	\N	158	35943	UROK	\N	\N
3511780	9493	1996-05-31	PRIJEM	\N	182	41562	UROK	\N	\N
3511781	9493	1996-06-30	PRIJEM	\N	230	47221	UROK	\N	\N
3511782	9493	1996-07-31	PRIJEM	\N	223	45180	UROK	\N	\N
3511783	9493	1996-08-31	PRIJEM	\N	217	47534	UROK	\N	\N
3511784	9493	1996-09-30	PRIJEM	\N	226	49596	UROK	\N	\N
3511785	9493	1996-10-31	PRIJEM	\N	192	39835	UROK	\N	\N
3511786	9493	1996-11-30	PRIJEM	\N	165	35637	UROK	\N	\N
3511787	9493	1996-12-31	PRIJEM	\N	202	45969	UROK	\N	\N
3511788	9493	1997-01-31	PRIJEM	\N	139	27644	UROK	\N	\N
3511789	9493	1997-02-28	PRIJEM	\N	119	25428	UROK	\N	\N
3511790	9493	1997-03-31	PRIJEM	\N	139	35004	UROK	\N	\N
3511791	9493	1997-04-30	PRIJEM	\N	166	39876	UROK	\N	\N
3511792	9493	1997-05-31	PRIJEM	\N	178	33191	UROK	\N	\N
3511793	9493	1997-06-30	PRIJEM	\N	173	32272	UROK	\N	\N
3511794	9493	1997-07-31	PRIJEM	\N	160	29469	UROK	\N	\N
3511795	9493	1997-08-31	PRIJEM	\N	147	28952	UROK	\N	\N
3511796	9493	1997-09-30	PRIJEM	\N	155	39243	UROK	\N	\N
3511797	9493	1997-10-31	PRIJEM	\N	192	47672	UROK	\N	\N
3511798	9493	1997-11-30	PRIJEM	\N	210	48012	UROK	\N	\N
3511799	9493	1997-12-31	PRIJEM	\N	232	39053	UROK	\N	\N
3511800	9493	1998-01-31	PRIJEM	\N	149	24138	UROK	\N	\N
3511801	9493	1998-02-28	PRIJEM	\N	143	40818	UROK	\N	\N
3511802	9493	1998-03-31	PRIJEM	\N	198	46253	UROK	\N	\N
3511803	9493	1998-04-30	PRIJEM	\N	208	40498	UROK	\N	\N
3511804	9493	1998-05-31	PRIJEM	\N	184	42019	UROK	\N	\N
3511805	9493	1998-06-30	PRIJEM	\N	237	63285	UROK	\N	\N
3511806	9493	1998-07-31	PRIJEM	\N	287	70109	UROK	\N	\N
3511807	9493	1998-08-31	PRIJEM	\N	307	73853	UROK	\N	\N
3511808	9493	1998-09-30	PRIJEM	\N	308	53147	UROK	\N	\N
3511809	9493	1998-10-31	PRIJEM	\N	239	53123	UROK	\N	\N
3511810	9493	1998-11-30	PRIJEM	\N	269	67429	UROK	\N	\N
3511811	9493	1998-12-31	PRIJEM	\N	344	89703	UROK	\N	\N
3511812	9494	1996-05-31	PRIJEM	\N	29	11853	UROK	\N	\N
3511813	9494	1996-06-30	PRIJEM	\N	104	35193	UROK	\N	\N
3511814	9494	1996-07-31	PRIJEM	\N	155	38772	UROK	\N	\N
3511815	9494	1996-08-31	PRIJEM	\N	166	40761	UROK	\N	\N
3511816	9494	1996-09-30	PRIJEM	\N	167	35507	UROK	\N	\N
3511817	9494	1996-10-31	PRIJEM	\N	131	24701	UROK	\N	\N
3511818	9494	1996-11-30	PRIJEM	\N	80	16585	UROK	\N	\N
3511819	9494	1996-12-31	PRIJEM	\N	82	19642	UROK	\N	\N
3511820	9494	1997-01-31	PRIJEM	\N	68	12654	UROK	\N	\N
3511821	9494	1997-02-28	PRIJEM	\N	51	12092	UROK	\N	\N
3511822	9494	1997-03-31	PRIJEM	\N	58	15777	UROK	\N	\N
3511823	9494	1997-04-30	PRIJEM	\N	70	18375	UROK	\N	\N
3511824	9494	1997-05-31	PRIJEM	\N	87	23090	UROK	\N	\N
3511825	9494	1997-06-30	PRIJEM	\N	120	29169	UROK	\N	\N
3511826	9494	1997-07-31	PRIJEM	\N	126	24743	UROK	\N	\N
3511827	9494	1997-08-31	PRIJEM	\N	112	26782	UROK	\N	\N
3511828	9494	1997-09-30	PRIJEM	\N	108	22318	UROK	\N	\N
3511829	9494	1997-10-31	PRIJEM	\N	94	23439	UROK	\N	\N
3511830	9494	1997-11-30	PRIJEM	\N	112	25879	UROK	\N	\N
3511831	9494	1997-12-31	PRIJEM	\N	125	26163	UROK	\N	\N
3511832	9494	1998-01-31	PRIJEM	\N	94	23904	UROK	\N	\N
3511833	9494	1998-02-28	PRIJEM	\N	94	19161	UROK	\N	\N
3511834	9494	1998-03-31	PRIJEM	\N	103	30427	UROK	\N	\N
3511835	9494	1998-04-30	PRIJEM	\N	119	25709	UROK	\N	\N
3511836	9494	1998-05-31	PRIJEM	\N	135	37608	UROK	\N	\N
3511837	9494	1998-06-30	PRIJEM	\N	130	35273	UROK	\N	\N
3511838	9494	1998-07-31	PRIJEM	\N	146	36722	UROK	\N	\N
3511839	9494	1998-08-31	PRIJEM	\N	140	35046	UROK	\N	\N
3511840	9494	1998-09-30	PRIJEM	\N	148	37857	UROK	\N	\N
3511841	9494	1998-10-31	PRIJEM	\N	159	37980	UROK	\N	\N
3511842	9494	1998-11-30	PRIJEM	\N	156	36699	UROK	\N	\N
3511843	9494	1998-12-31	PRIJEM	\N	161	37696	UROK	\N	\N
3511969	9504	1996-02-29	PRIJEM	\N	9	29594	UROK	\N	\N
3511970	9504	1996-03-31	PRIJEM	\N	129	44108	UROK	\N	\N
3511971	9504	1996-04-30	PRIJEM	\N	187	54080	UROK	\N	\N
3511972	9504	1996-05-31	PRIJEM	\N	228	59893	UROK	\N	\N
3511973	9504	1996-06-30	PRIJEM	\N	198	35118	UROK	\N	\N
3511974	9504	1996-07-31	PRIJEM	\N	238	41492	UROK	\N	\N
3511975	9504	1996-08-31	PRIJEM	\N	223	41771	UROK	\N	\N
3511976	9504	1996-09-30	PRIJEM	\N	217	36554	UROK	\N	\N
3511977	9504	1996-10-31	PRIJEM	\N	194	36230	UROK	\N	\N
3511978	9504	1996-11-30	PRIJEM	\N	238	34180	UROK	\N	\N
3511979	9504	1996-12-31	PRIJEM	\N	228	47522	UROK	\N	\N
3511980	9504	1997-01-31	PRIJEM	\N	206	21599	UROK	\N	\N
3511981	9504	1997-02-28	PRIJEM	\N	128	31297	UROK	\N	\N
3511982	9504	1997-03-31	PRIJEM	\N	171	29550	UROK	\N	\N
3511983	9504	1997-04-30	PRIJEM	\N	174	33007	UROK	\N	\N
3511984	9504	1997-05-31	PRIJEM	\N	185	34474	UROK	\N	\N
3511985	9504	1997-06-30	PRIJEM	\N	99	16299	UROK	\N	\N
3511986	9504	1997-07-31	PRIJEM	\N	142	22178	UROK	\N	\N
3511987	9504	1997-08-31	PRIJEM	\N	130	27090	UROK	\N	\N
3511988	9504	1997-09-30	PRIJEM	\N	149	28622	UROK	\N	\N
3511989	9504	1997-10-31	PRIJEM	\N	174	28278	UROK	\N	\N
3511990	9504	1997-11-30	PRIJEM	\N	146	27506	UROK	\N	\N
3511991	9504	1997-12-31	PRIJEM	\N	168	31000	UROK	\N	\N
3511992	9504	1998-01-31	PRIJEM	\N	199	18181	UROK	\N	\N
3511993	9504	1998-02-28	PRIJEM	\N	106	22769	UROK	\N	\N
3511994	9504	1998-03-31	PRIJEM	\N	137	30588	UROK	\N	\N
3511995	9504	1998-04-30	PRIJEM	\N	157	33528	UROK	\N	\N
3511996	9504	1998-05-31	PRIJEM	\N	152	25262	UROK	\N	\N
3511997	9504	1998-06-30	PRIJEM	\N	124	31811	UROK	\N	\N
3511998	9504	1998-07-31	PRIJEM	\N	152	28391	UROK	\N	\N
3511999	9504	1998-08-31	PRIJEM	\N	129	26603	UROK	\N	\N
3512000	9504	1998-09-30	PRIJEM	\N	112	21997	UROK	\N	\N
3512001	9504	1998-10-31	PRIJEM	\N	97	19776	UROK	\N	\N
3512002	9504	1998-11-30	PRIJEM	\N	88	19347	UROK	\N	\N
3512003	9504	1998-12-31	PRIJEM	\N	85	17757	UROK	\N	\N
3512052	9510	1996-06-30	PRIJEM	\N	67	22855	UROK	\N	\N
3512053	9510	1996-07-31	PRIJEM	\N	142	38655	UROK	\N	\N
3512054	9510	1996-08-31	PRIJEM	\N	187	47701	UROK	\N	\N
3512055	9510	1996-09-30	PRIJEM	\N	218	54478	UROK	\N	\N
3512056	9510	1996-10-31	PRIJEM	\N	227	53864	UROK	\N	\N
3512057	9510	1996-11-30	PRIJEM	\N	220	52008	UROK	\N	\N
3512058	9510	1996-12-31	PRIJEM	\N	233	56894	UROK	\N	\N
3512059	9510	1997-01-31	PRIJEM	\N	213	47010	UROK	\N	\N
3512060	9510	1997-02-28	PRIJEM	\N	199	47812	UROK	\N	\N
3512061	9510	1997-03-31	PRIJEM	\N	189	44585	UROK	\N	\N
3512062	9510	1997-04-30	PRIJEM	\N	191	45979	UROK	\N	\N
3512063	9510	1997-05-31	PRIJEM	\N	172	41515	UROK	\N	\N
3512064	9510	1997-06-30	PRIJEM	\N	183	42691	UROK	\N	\N
3512065	9510	1997-07-31	PRIJEM	\N	169	41043	UROK	\N	\N
3512066	9510	1997-08-31	PRIJEM	\N	148	34234	UROK	\N	\N
3512067	9510	1997-09-30	PRIJEM	\N	153	37290	UROK	\N	\N
3512068	9510	1997-10-31	PRIJEM	\N	145	33018	UROK	\N	\N
3512069	9510	1997-11-30	PRIJEM	\N	149	36171	UROK	\N	\N
3512070	9510	1997-12-31	PRIJEM	\N	139	34322	UROK	\N	\N
3512071	9510	1998-01-31	PRIJEM	\N	107	25772	UROK	\N	\N
3512072	9510	1998-02-28	PRIJEM	\N	129	34404	UROK	\N	\N
3512073	9510	1998-03-31	PRIJEM	\N	144	34452	UROK	\N	\N
3512074	9510	1998-04-30	PRIJEM	\N	136	31551	UROK	\N	\N
3512075	9510	1998-05-31	PRIJEM	\N	128	24682	UROK	\N	\N
3512076	9510	1998-06-30	PRIJEM	\N	132	13526	UROK	\N	\N
3512077	9510	1998-07-31	PRIJEM	\N	79	23008	UROK	\N	\N
3512078	9510	1998-08-31	PRIJEM	\N	116	27727	UROK	\N	\N
3512079	9510	1998-09-30	PRIJEM	\N	132	26262	UROK	\N	\N
3512080	9510	1998-10-31	PRIJEM	\N	128	29794	UROK	\N	\N
3512081	9510	1998-11-30	PRIJEM	\N	123	23160	UROK	\N	\N
3512082	9510	1998-12-31	PRIJEM	\N	131	36343	UROK	\N	\N
3512144	9513	1996-05-31	PRIJEM	\N	51	21077	UROK	\N	\N
3512145	9513	1996-06-30	PRIJEM	\N	154	49420	UROK	\N	\N
3512146	9513	1996-07-31	PRIJEM	\N	218	54764	UROK	\N	\N
3512147	9513	1996-08-31	PRIJEM	\N	225	53615	UROK	\N	\N
3512148	9513	1996-09-30	PRIJEM	\N	214	42236	UROK	\N	\N
3512149	9513	1996-10-31	PRIJEM	\N	170	39398	UROK	\N	\N
3512150	9513	1996-11-30	PRIJEM	\N	156	36047	UROK	\N	\N
3512151	9513	1996-12-31	PRIJEM	\N	161	43243	UROK	\N	\N
3512152	9513	1997-01-31	PRIJEM	\N	127	20183	UROK	\N	\N
3512153	9513	1997-02-28	PRIJEM	\N	91	26365	UROK	\N	\N
3512154	9513	1997-03-31	PRIJEM	\N	130	27588	UROK	\N	\N
3512155	9513	1997-04-30	PRIJEM	\N	95	24675	UROK	\N	\N
3512156	9513	1997-05-31	PRIJEM	\N	110	23857	UROK	\N	\N
3512157	9513	1997-06-30	PRIJEM	\N	132	33644	UROK	\N	\N
3512158	9513	1997-07-31	PRIJEM	\N	118	31355	UROK	\N	\N
3512159	9513	1997-08-31	PRIJEM	\N	126	27306	UROK	\N	\N
3512160	9513	1997-09-30	PRIJEM	\N	108	26679	UROK	\N	\N
3512161	9513	1997-10-31	PRIJEM	\N	110	24555	UROK	\N	\N
3512162	9513	1997-11-30	PRIJEM	\N	145	35165	UROK	\N	\N
3512163	9513	1997-12-31	PRIJEM	\N	145	36979	UROK	\N	\N
3512164	9513	1998-01-31	PRIJEM	\N	113	20497	UROK	\N	\N
3512165	9513	1998-02-28	PRIJEM	\N	125	31088	UROK	\N	\N
3512166	9513	1998-03-31	PRIJEM	\N	154	41707	UROK	\N	\N
3512167	9513	1998-04-30	PRIJEM	\N	161	31634	UROK	\N	\N
3512168	9513	1998-05-31	PRIJEM	\N	103	18262	UROK	\N	\N
3512169	9513	1998-06-30	PRIJEM	\N	133	29263	UROK	\N	\N
3512170	9513	1998-07-31	PRIJEM	\N	138	34707	UROK	\N	\N
3512171	9513	1998-08-31	PRIJEM	\N	94	16793	UROK	\N	\N
3512172	9513	1998-09-30	PRIJEM	\N	107	15193	UROK	\N	\N
3512173	9513	1998-10-31	PRIJEM	\N	87	25672	UROK	\N	\N
3512174	9513	1998-11-30	PRIJEM	\N	142	19506	UROK	\N	\N
3512175	9513	1998-12-31	PRIJEM	\N	149	40111	UROK	\N	\N
3512291	9528	1996-11-30	PRIJEM	\N	74	46136	UROK	\N	\N
3512292	9528	1996-12-31	PRIJEM	\N	222	90421	UROK	\N	\N
3512293	9528	1997-01-31	PRIJEM	\N	134	17179	UROK	\N	\N
3512294	9528	1997-04-30	PRIJEM	\N	2	1268	UROK	\N	\N
3512295	9528	1997-05-31	VYDAJ	VYBER	25	-2882	SANKC. UROK	\N	\N
3512296	9528	1997-06-30	PRIJEM	\N	33	15891	UROK	\N	\N
3512297	9528	1997-06-30	VYDAJ	VYBER	19	15857	SANKC. UROK	\N	\N
3512298	9528	1997-07-31	PRIJEM	\N	18	8304	UROK	\N	\N
3512299	9528	1997-08-31	PRIJEM	\N	12	2413	UROK	\N	\N
3512300	9528	1997-09-30	PRIJEM	\N	38	35929	UROK	\N	\N
3512301	9528	1997-09-30	VYDAJ	VYBER	7	25763	SANKC. UROK	\N	\N
3512302	9528	1997-10-31	PRIJEM	\N	35	7476	UROK	\N	\N
3512303	9528	1997-11-30	PRIJEM	\N	0	7086	UROK	\N	\N
3512304	9528	1997-12-31	VYDAJ	VYBER	5	-1119	SANKC. UROK	\N	\N
3512305	9528	1998-01-31	PRIJEM	\N	12	6689	UROK	\N	\N
3512306	9528	1998-01-31	VYDAJ	VYBER	3	17401	SANKC. UROK	\N	\N
3512307	9528	1998-02-28	PRIJEM	\N	167	99176	UROK	\N	\N
3512308	9528	1998-03-31	PRIJEM	\N	127	52897	UROK	\N	\N
3512309	9528	1998-04-30	PRIJEM	\N	113	69747	UROK	\N	\N
3512310	9528	1998-05-31	PRIJEM	\N	313	61603	UROK	\N	\N
3512311	9528	1998-06-30	PRIJEM	\N	112	40246	UROK	\N	\N
3512312	9528	1998-07-31	PRIJEM	\N	295	61004	UROK	\N	\N
3512313	9528	1998-08-31	PRIJEM	\N	163	48675	UROK	\N	\N
3512314	9528	1998-09-30	PRIJEM	\N	217	59839	UROK	\N	\N
3512315	9528	1998-10-31	PRIJEM	\N	46	37978	UROK	\N	\N
3512316	9528	1998-11-30	PRIJEM	\N	78	53577	UROK	\N	\N
3512317	9528	1998-12-31	PRIJEM	\N	132	28703	UROK	\N	\N
3512344	9548	1996-07-31	PRIJEM	\N	65	19274	UROK	\N	\N
3512345	9548	1996-08-31	PRIJEM	\N	116	29599	UROK	\N	\N
3512346	9548	1996-09-30	PRIJEM	\N	189	36596	UROK	\N	\N
3512347	9548	1996-10-31	PRIJEM	\N	224	41529	UROK	\N	\N
3512348	9548	1996-11-30	PRIJEM	\N	175	38900	UROK	\N	\N
3512349	9548	1996-12-31	PRIJEM	\N	196	47370	UROK	\N	\N
3512350	9548	1997-01-31	PRIJEM	\N	170	37559	UROK	\N	\N
3512351	9548	1997-02-28	PRIJEM	\N	166	38944	UROK	\N	\N
3512352	9548	1997-03-31	PRIJEM	\N	164	38527	UROK	\N	\N
3512353	9548	1997-04-30	PRIJEM	\N	165	38712	UROK	\N	\N
3512354	9548	1997-05-31	PRIJEM	\N	170	40202	UROK	\N	\N
3512355	9548	1997-06-30	PRIJEM	\N	166	21642	UROK	\N	\N
3512356	9548	1997-07-31	PRIJEM	\N	148	36609	UROK	\N	\N
3512357	9548	1997-08-31	PRIJEM	\N	172	40700	UROK	\N	\N
3512358	9548	1997-09-30	PRIJEM	\N	180	44200	UROK	\N	\N
3512359	9548	1997-10-31	PRIJEM	\N	192	40612	UROK	\N	\N
3512360	9548	1997-11-30	PRIJEM	\N	193	47424	UROK	\N	\N
3512361	9548	1997-12-31	PRIJEM	\N	243	52141	UROK	\N	\N
3512362	9548	1998-01-31	PRIJEM	\N	235	52296	UROK	\N	\N
3512363	9548	1998-02-28	PRIJEM	\N	239	54054	UROK	\N	\N
3512364	9548	1998-03-31	PRIJEM	\N	241	52314	UROK	\N	\N
3512365	9548	1998-04-30	PRIJEM	\N	240	55773	UROK	\N	\N
3512366	9548	1998-05-31	PRIJEM	\N	255	62048	UROK	\N	\N
3512367	9548	1998-06-30	PRIJEM	\N	284	63106	UROK	\N	\N
3512368	9548	1998-07-31	PRIJEM	\N	273	65299	UROK	\N	\N
3512369	9548	1998-08-31	PRIJEM	\N	291	67609	UROK	\N	\N
3512370	9548	1998-09-30	PRIJEM	\N	299	68728	UROK	\N	\N
3512371	9548	1998-10-31	PRIJEM	\N	306	72653	UROK	\N	\N
3512372	9548	1998-11-30	PRIJEM	\N	317	75389	UROK	\N	\N
3512373	9548	1998-12-31	PRIJEM	\N	366	91829	UROK	\N	\N
3512374	9549	1997-02-28	PRIJEM	\N	66	83203	UROK	\N	\N
3512375	9549	1997-03-31	PRIJEM	\N	209	49739	UROK	\N	\N
3512376	9549	1997-05-31	PRIJEM	\N	47	6516	UROK	\N	\N
3512377	9549	1997-06-30	PRIJEM	\N	44	97303	UROK	\N	\N
3512378	9549	1997-06-30	VYDAJ	VYBER	3	97286	SANKC. UROK	\N	\N
3512379	9549	1997-07-31	PRIJEM	\N	264	55665	UROK	\N	\N
3512380	9549	1997-08-31	PRIJEM	\N	130	45214	UROK	\N	\N
3512381	9549	1997-09-30	PRIJEM	\N	86	31989	UROK	\N	\N
3512382	9549	1997-10-31	PRIJEM	\N	163	90590	UROK	\N	\N
3512383	9549	1997-11-30	PRIJEM	\N	290	76462	UROK	\N	\N
3512384	9549	1997-12-31	PRIJEM	\N	109	35305	UROK	\N	\N
3512385	9549	1998-01-31	PRIJEM	\N	79	32417	UROK	\N	\N
3512386	9549	1998-02-28	PRIJEM	\N	334	93349	UROK	\N	\N
3512387	9549	1998-03-31	PRIJEM	\N	352	89113	UROK	\N	\N
3512388	9549	1998-04-30	PRIJEM	\N	178	74113	UROK	\N	\N
3512389	9549	1998-05-31	PRIJEM	\N	177	23239	UROK	\N	\N
3512390	9549	1998-06-30	PRIJEM	\N	21	10697	UROK	\N	\N
3512391	9549	1998-07-31	PRIJEM	\N	16	15759	UROK	\N	\N
3512392	9549	1998-08-31	PRIJEM	\N	1	4530	UROK	\N	\N
3512393	9549	1998-09-30	PRIJEM	\N	24	11018	UROK	\N	\N
3512394	9549	1998-10-31	PRIJEM	\N	156	98901	UROK	\N	\N
3512395	9549	1998-11-30	PRIJEM	\N	282	71673	UROK	\N	\N
3512396	9549	1998-12-31	PRIJEM	\N	172	53116	UROK	\N	\N
3512579	9560	1997-07-31	PRIJEM	\N	45	22464	UROK	\N	\N
3512580	9560	1997-08-31	PRIJEM	\N	93	22858	UROK	\N	\N
3512581	9560	1997-09-30	PRIJEM	\N	219	88838	UROK	\N	\N
3512582	9560	1997-10-31	PRIJEM	\N	369	54007	UROK	\N	\N
3512583	9560	1997-11-30	PRIJEM	\N	369	36776	UROK	\N	\N
3512584	9560	1997-12-31	PRIJEM	\N	369	28445	UROK	\N	\N
3512585	9560	1998-01-31	PRIJEM	\N	369	23515	UROK	\N	\N
3512586	9560	1998-02-28	PRIJEM	\N	322	57035	UROK	\N	\N
3512587	9560	1998-03-31	PRIJEM	\N	244	78104	UROK	\N	\N
3512588	9560	1998-04-30	PRIJEM	\N	215	43228	UROK	\N	\N
3512589	9560	1998-05-31	PRIJEM	\N	122	23238	UROK	\N	\N
3512590	9560	1998-06-30	PRIJEM	\N	78	16305	UROK	\N	\N
3512591	9560	1998-07-31	PRIJEM	\N	96	35728	UROK	\N	\N
3512592	9560	1998-08-31	PRIJEM	\N	153	67555	UROK	\N	\N
3512593	9560	1998-09-30	PRIJEM	\N	198	36842	UROK	\N	\N
3512594	9560	1998-10-31	PRIJEM	\N	270	90969	UROK	\N	\N
3512595	9560	1998-11-30	PRIJEM	\N	346	100037	UROK	\N	\N
3512596	9560	1998-12-31	PRIJEM	\N	276	56024	UROK	\N	\N
3512746	9583	1994-08-31	PRIJEM	\N	66	44780	UROK	\N	\N
3512747	9583	1994-09-30	PRIJEM	\N	186	35966	UROK	\N	\N
3512748	9583	1994-10-31	PRIJEM	\N	186	30053	UROK	\N	\N
3512749	9583	1994-11-30	PRIJEM	\N	195	49789	UROK	\N	\N
3512750	9583	1994-12-31	PRIJEM	\N	193	42726	UROK	\N	\N
3512751	9583	1995-01-31	PRIJEM	\N	144	21004	UROK	\N	\N
3512752	9583	1995-02-28	PRIJEM	\N	204	42087	UROK	\N	\N
3512753	9583	1995-03-31	PRIJEM	\N	202	43291	UROK	\N	\N
3512754	9583	1995-04-30	PRIJEM	\N	86	21766	UROK	\N	\N
3512755	9583	1995-05-31	PRIJEM	\N	99	27475	UROK	\N	\N
3512756	9583	1995-06-30	PRIJEM	\N	228	51185	UROK	\N	\N
3512757	9583	1995-07-31	PRIJEM	\N	222	50227	UROK	\N	\N
3512758	9583	1995-08-31	PRIJEM	\N	198	68972	UROK	\N	\N
3512759	9583	1995-09-30	PRIJEM	\N	316	119752	UROK	\N	\N
3512760	9583	1995-10-31	PRIJEM	\N	308	97533	UROK	\N	\N
3512761	9583	1995-11-30	PRIJEM	\N	256	43531	UROK	\N	\N
3512762	9583	1995-12-31	PRIJEM	\N	174	46631	UROK	\N	\N
3512763	9583	1996-01-31	PRIJEM	\N	158	27970	UROK	\N	\N
3512764	9583	1996-02-29	PRIJEM	\N	154	42456	UROK	\N	\N
3512765	9583	1996-03-31	PRIJEM	\N	154	28054	UROK	\N	\N
3512766	9583	1996-04-30	PRIJEM	\N	121	29296	UROK	\N	\N
3512767	9583	1996-05-31	PRIJEM	\N	187	52800	UROK	\N	\N
3512768	9583	1996-06-30	PRIJEM	\N	219	49993	UROK	\N	\N
3512769	9583	1996-07-31	PRIJEM	\N	200	29891	UROK	\N	\N
3512770	9583	1996-08-31	PRIJEM	\N	261	81249	UROK	\N	\N
3512771	9583	1996-09-30	PRIJEM	\N	194	33040	UROK	\N	\N
3512772	9583	1996-10-31	PRIJEM	\N	96	20256	UROK	\N	\N
3512773	9583	1996-11-30	PRIJEM	\N	112	53528	UROK	\N	\N
3512774	9583	1996-12-31	PRIJEM	\N	179	66913	UROK	\N	\N
3512775	9583	1997-01-31	PRIJEM	\N	267	53045	UROK	\N	\N
3512776	9583	1997-02-28	PRIJEM	\N	145	27796	UROK	\N	\N
3512777	9583	1997-03-31	PRIJEM	\N	148	35821	UROK	\N	\N
3512778	9583	1997-04-30	PRIJEM	\N	288	92981	UROK	\N	\N
3512779	9583	1997-05-31	PRIJEM	\N	268	49438	UROK	\N	\N
3512780	9583	1997-06-30	PRIJEM	\N	244	98859	UROK	\N	\N
3512781	9583	1997-07-31	PRIJEM	\N	370	114609	UROK	\N	\N
3512782	9583	1997-08-31	PRIJEM	\N	369	91001	UROK	\N	\N
3512783	9583	1997-09-30	PRIJEM	\N	261	80044	UROK	\N	\N
3512784	9583	1997-10-31	PRIJEM	\N	346	86610	UROK	\N	\N
3512785	9583	1997-11-30	PRIJEM	\N	431	66413	UROK	\N	\N
3512786	9583	1997-12-31	PRIJEM	\N	242	70530	UROK	\N	\N
3512787	9583	1998-01-31	PRIJEM	\N	321	64279	UROK	\N	\N
3512788	9583	1998-02-28	PRIJEM	\N	374	121547	UROK	\N	\N
3512789	9583	1998-03-31	PRIJEM	\N	294	84093	UROK	\N	\N
3512790	9583	1998-04-30	PRIJEM	\N	256	38051	UROK	\N	\N
3512791	9583	1998-05-31	PRIJEM	\N	231	85338	UROK	\N	\N
3512792	9583	1998-06-30	PRIJEM	\N	345	122626	UROK	\N	\N
3512793	9583	1998-07-31	PRIJEM	\N	372	85434	UROK	\N	\N
3512794	9583	1998-08-31	PRIJEM	\N	288	70607	UROK	\N	\N
3512795	9583	1998-09-30	PRIJEM	\N	331	91787	UROK	\N	\N
3512796	9583	1998-10-31	PRIJEM	\N	330	68737	UROK	\N	\N
3512797	9583	1998-11-30	PRIJEM	\N	364	90719	UROK	\N	\N
3512798	9583	1998-12-31	PRIJEM	\N	306	66508	UROK	\N	\N
3512799	9591	1993-06-30	PRIJEM	\N	236	93813	UROK	\N	\N
3512800	9591	1993-07-31	PRIJEM	\N	305	52553	UROK	\N	\N
3512801	9591	1993-08-31	PRIJEM	\N	183	69994	UROK	\N	\N
3512802	9591	1993-09-30	PRIJEM	\N	243	44205	UROK	\N	\N
3512803	9591	1993-10-31	PRIJEM	\N	199	41191	UROK	\N	\N
3512804	9591	1993-11-30	PRIJEM	\N	256	61232	UROK	\N	\N
3512805	9591	1993-12-31	PRIJEM	\N	116	21600	UROK	\N	\N
3512806	9591	1994-01-31	PRIJEM	\N	129	34081	UROK	\N	\N
3512807	9591	1994-02-28	PRIJEM	\N	154	34506	UROK	\N	\N
3512808	9591	1994-03-31	PRIJEM	\N	205	53321	UROK	\N	\N
3512809	9591	1994-04-30	PRIJEM	\N	335	111389	UROK	\N	\N
3512810	9591	1994-05-31	PRIJEM	\N	260	45690	UROK	\N	\N
3512811	9591	1994-06-30	PRIJEM	\N	261	78064	UROK	\N	\N
3512812	9591	1994-07-31	PRIJEM	\N	227	43987	UROK	\N	\N
3512813	9591	1994-08-31	PRIJEM	\N	164	63921	UROK	\N	\N
3512814	9591	1994-09-30	PRIJEM	\N	263	48430	UROK	\N	\N
3512815	9591	1994-10-31	PRIJEM	\N	174	39753	UROK	\N	\N
3512816	9591	1994-11-30	PRIJEM	\N	179	67937	UROK	\N	\N
3512817	9591	1994-12-31	PRIJEM	\N	261	76920	UROK	\N	\N
3512818	9591	1995-01-31	PRIJEM	\N	222	23938	UROK	\N	\N
3512819	9591	1995-02-28	PRIJEM	\N	84	18861	UROK	\N	\N
3512820	9591	1995-03-31	PRIJEM	\N	100	25762	UROK	\N	\N
3512821	9591	1995-04-30	PRIJEM	\N	84	17523	UROK	\N	\N
3512822	9591	1995-05-31	PRIJEM	\N	71	16870	UROK	\N	\N
3512823	9591	1995-06-30	PRIJEM	\N	63	14510	UROK	\N	\N
3512824	9591	1995-07-31	PRIJEM	\N	46	9733	UROK	\N	\N
3512825	9591	1995-08-31	PRIJEM	\N	37	8747	UROK	\N	\N
3512826	9591	1995-09-30	PRIJEM	\N	37	9060	UROK	\N	\N
3512827	9591	1995-10-31	PRIJEM	\N	40	10177	UROK	\N	\N
3512828	9591	1995-11-30	PRIJEM	\N	39	9393	UROK	\N	\N
3512829	9591	1995-12-31	PRIJEM	\N	30	6700	UROK	\N	\N
3512830	9591	1996-01-31	PRIJEM	\N	54	26958	UROK	\N	\N
3512831	9591	1996-02-29	PRIJEM	\N	80	16215	UROK	\N	\N
3512832	9591	1996-03-31	PRIJEM	\N	90	21028	UROK	\N	\N
3512833	9591	1996-04-30	PRIJEM	\N	202	72362	UROK	\N	\N
3512834	9591	1996-05-31	PRIJEM	\N	143	23334	UROK	\N	\N
3512835	9591	1996-06-30	PRIJEM	\N	123	28994	UROK	\N	\N
3512836	9591	1996-07-31	PRIJEM	\N	89	27279	UROK	\N	\N
3512837	9591	1996-08-31	PRIJEM	\N	150	52295	UROK	\N	\N
3512838	9591	1996-09-30	PRIJEM	\N	114	41633	UROK	\N	\N
3512839	9591	1996-10-31	PRIJEM	\N	172	76699	UROK	\N	\N
3512840	9591	1996-11-30	PRIJEM	\N	226	43202	UROK	\N	\N
3512841	9591	1996-12-31	PRIJEM	\N	110	23689	UROK	\N	\N
3512842	9591	1997-01-31	PRIJEM	\N	183	35655	UROK	\N	\N
3512843	9591	1997-02-28	PRIJEM	\N	147	44090	UROK	\N	\N
3512844	9591	1997-03-31	PRIJEM	\N	176	41915	UROK	\N	\N
3512845	9591	1997-04-30	PRIJEM	\N	221	50124	UROK	\N	\N
3512846	9591	1997-05-31	PRIJEM	\N	242	55455	UROK	\N	\N
3512847	9591	1997-06-30	PRIJEM	\N	342	49905	UROK	\N	\N
3512848	9591	1997-07-31	PRIJEM	\N	256	50575	UROK	\N	\N
3512849	9591	1997-08-31	PRIJEM	\N	163	32458	UROK	\N	\N
3512850	9591	1997-09-30	PRIJEM	\N	128	63319	UROK	\N	\N
3512851	9591	1997-10-31	PRIJEM	\N	314	78760	UROK	\N	\N
3512852	9591	1997-11-30	PRIJEM	\N	200	26720	UROK	\N	\N
3512853	9591	1997-12-31	PRIJEM	\N	94	18453	UROK	\N	\N
3512854	9591	1998-01-31	PRIJEM	\N	49	9841	UROK	\N	\N
3512855	9591	1998-02-28	PRIJEM	\N	48	48747	UROK	\N	\N
3512856	9591	1998-03-31	PRIJEM	\N	165	24751	UROK	\N	\N
3512857	9591	1998-04-30	PRIJEM	\N	84	16774	UROK	\N	\N
3512858	9591	1998-05-31	PRIJEM	\N	37	7450	UROK	\N	\N
3512859	9591	1998-06-30	PRIJEM	\N	115	22875	UROK	\N	\N
3512860	9591	1998-07-31	PRIJEM	\N	70	17785	UROK	\N	\N
3512861	9591	1998-08-31	PRIJEM	\N	41	8666	UROK	\N	\N
3512862	9591	1998-09-30	PRIJEM	\N	33	9724	UROK	\N	\N
3512863	9591	1998-10-31	PRIJEM	\N	34	5597	UROK	\N	\N
3513016	9627	1994-08-31	PRIJEM	\N	358	57068	UROK	\N	\N
3513017	9627	1994-09-30	PRIJEM	\N	316	89030	UROK	\N	\N
3513018	9627	1994-10-31	PRIJEM	\N	370	89171	UROK	\N	\N
3513019	9627	1994-11-30	PRIJEM	\N	254	53889	UROK	\N	\N
3513020	9627	1994-12-31	PRIJEM	\N	276	51704	UROK	\N	\N
3513021	9627	1995-01-31	PRIJEM	\N	310	67837	UROK	\N	\N
3513022	9627	1995-02-28	PRIJEM	\N	298	77002	UROK	\N	\N
3513023	9627	1995-03-31	PRIJEM	\N	279	56058	UROK	\N	\N
3513024	9627	1995-04-30	PRIJEM	\N	228	52582	UROK	\N	\N
3513025	9627	1995-05-31	PRIJEM	\N	217	49636	UROK	\N	\N
3513026	9627	1995-06-30	PRIJEM	\N	229	98350	UROK	\N	\N
3513027	9627	1995-07-31	PRIJEM	\N	333	62641	UROK	\N	\N
3513028	9627	1995-08-31	PRIJEM	\N	335	79277	UROK	\N	\N
3513029	9627	1995-09-30	PRIJEM	\N	309	70935	UROK	\N	\N
3513030	9627	1995-10-31	PRIJEM	\N	304	79524	UROK	\N	\N
3513031	9627	1995-11-30	PRIJEM	\N	323	86517	UROK	\N	\N
3513032	9627	1995-12-31	PRIJEM	\N	267	39601	UROK	\N	\N
3513033	9627	1996-01-31	PRIJEM	\N	120	28029	UROK	\N	\N
3513034	9627	1996-02-29	PRIJEM	\N	107	24444	UROK	\N	\N
3513035	9627	1996-03-31	PRIJEM	\N	103	25356	UROK	\N	\N
3513036	9627	1996-04-30	PRIJEM	\N	127	28891	UROK	\N	\N
3513037	9627	1996-05-31	PRIJEM	\N	134	29534	UROK	\N	\N
3513038	9627	1996-06-30	PRIJEM	\N	100	21242	UROK	\N	\N
3513039	9627	1996-07-31	PRIJEM	\N	73	15823	UROK	\N	\N
3513040	9627	1996-08-31	PRIJEM	\N	64	15495	UROK	\N	\N
3513041	9627	1996-09-30	PRIJEM	\N	68	17572	UROK	\N	\N
3513042	9627	1996-10-31	PRIJEM	\N	73	18054	UROK	\N	\N
3513043	9627	1996-11-30	PRIJEM	\N	72	17434	UROK	\N	\N
3513044	9627	1996-12-31	PRIJEM	\N	72	18015	UROK	\N	\N
3513045	9627	1997-01-31	PRIJEM	\N	89	55256	UROK	\N	\N
3513046	9627	1997-02-28	PRIJEM	\N	187	34152	UROK	\N	\N
3513047	9627	1997-03-31	PRIJEM	\N	124	28285	UROK	\N	\N
3513048	9627	1997-04-30	PRIJEM	\N	122	48338	UROK	\N	\N
3513049	9627	1997-05-31	PRIJEM	\N	134	28181	UROK	\N	\N
3513050	9627	1997-06-30	PRIJEM	\N	136	73043	UROK	\N	\N
3513051	9627	1997-07-31	PRIJEM	\N	228	35879	UROK	\N	\N
3513052	9627	1997-08-31	PRIJEM	\N	185	50546	UROK	\N	\N
3513053	9627	1997-09-30	PRIJEM	\N	204	59017	UROK	\N	\N
3513054	9627	1997-10-31	PRIJEM	\N	217	52327	UROK	\N	\N
3513055	9627	1997-11-30	PRIJEM	\N	283	86929	UROK	\N	\N
3513056	9627	1997-12-31	PRIJEM	\N	182	37404	UROK	\N	\N
3513057	9627	1998-01-31	PRIJEM	\N	117	55899	UROK	\N	\N
3513058	9627	1998-02-28	PRIJEM	\N	215	39547	UROK	\N	\N
3513059	9627	1998-03-31	PRIJEM	\N	296	65319	UROK	\N	\N
3513060	9627	1998-04-30	PRIJEM	\N	222	48150	UROK	\N	\N
3513061	9627	1998-05-31	PRIJEM	\N	344	81540	UROK	\N	\N
3513062	9627	1998-06-30	PRIJEM	\N	397	46287	UROK	\N	\N
3513063	9627	1998-07-31	PRIJEM	\N	355	59713	UROK	\N	\N
3513064	9627	1998-08-31	PRIJEM	\N	273	74518	UROK	\N	\N
3513065	9627	1998-09-30	PRIJEM	\N	331	79175	UROK	\N	\N
3513066	9627	1998-10-31	PRIJEM	\N	354	73097	UROK	\N	\N
3513067	9627	1998-11-30	PRIJEM	\N	331	82915	UROK	\N	\N
3513068	9627	1998-12-31	PRIJEM	\N	321	77032	UROK	\N	\N
3513069	9631	1996-07-31	PRIJEM	\N	18	19079	UROK	\N	\N
3513070	9631	1996-08-31	PRIJEM	\N	96	34836	UROK	\N	\N
3513071	9631	1996-09-30	PRIJEM	\N	154	43451	UROK	\N	\N
3513072	9631	1996-10-31	PRIJEM	\N	180	43493	UROK	\N	\N
3513073	9631	1996-11-30	PRIJEM	\N	191	44845	UROK	\N	\N
3513074	9631	1996-12-31	PRIJEM	\N	222	43744	UROK	\N	\N
3513075	9631	1997-01-31	PRIJEM	\N	140	15233	UROK	\N	\N
3513076	9631	1997-02-28	PRIJEM	\N	104	28383	UROK	\N	\N
3513077	9631	1997-03-31	PRIJEM	\N	150	32379	UROK	\N	\N
3513078	9631	1997-04-30	PRIJEM	\N	49	9313	UROK	\N	\N
3513079	9631	1997-05-31	PRIJEM	\N	52	15711	UROK	\N	\N
3513080	9631	1997-06-30	PRIJEM	\N	99	26788	UROK	\N	\N
3513081	9631	1997-07-31	PRIJEM	\N	66	20380	UROK	\N	\N
3513082	9631	1997-08-31	PRIJEM	\N	99	26138	UROK	\N	\N
3513083	9631	1997-09-30	PRIJEM	\N	126	26186	UROK	\N	\N
3513084	9631	1997-10-31	PRIJEM	\N	95	19023	UROK	\N	\N
3513085	9631	1997-11-30	PRIJEM	\N	111	12422	UROK	\N	\N
3513086	9631	1997-12-31	PRIJEM	\N	80	15868	UROK	\N	\N
3513087	9631	1998-01-31	PRIJEM	\N	52	5490	UROK	\N	\N
3513088	9631	1998-02-28	PRIJEM	\N	56	19116	UROK	\N	\N
3513089	9631	1998-03-31	PRIJEM	\N	78	16964	UROK	\N	\N
3513090	9631	1998-04-30	PRIJEM	\N	88	22421	UROK	\N	\N
3513091	9631	1998-05-31	PRIJEM	\N	100	22891	UROK	\N	\N
3513092	9631	1998-06-30	PRIJEM	\N	113	27605	UROK	\N	\N
3513093	9631	1998-07-31	PRIJEM	\N	122	28896	UROK	\N	\N
3513094	9631	1998-08-31	PRIJEM	\N	120	25686	UROK	\N	\N
3513095	9631	1998-09-30	PRIJEM	\N	88	6844	UROK	\N	\N
3513096	9631	1998-10-31	PRIJEM	\N	50	12363	UROK	\N	\N
3513097	9631	1998-11-30	PRIJEM	\N	57	14790	UROK	\N	\N
3513098	9631	1998-12-31	PRIJEM	\N	76	13166	UROK	\N	\N
3513099	9633	1996-03-31	PRIJEM	\N	132	44356	UROK	\N	\N
3513100	9633	1996-04-30	PRIJEM	\N	256	94252	UROK	\N	\N
3513101	9633	1996-06-30	PRIJEM	\N	80	-3336	UROK	\N	\N
3513102	9633	1996-06-30	VYDAJ	VYBER	3	-3221	SANKC. UROK	\N	\N
3513103	9633	1996-07-31	PRIJEM	\N	123	45696	UROK	\N	\N
3513104	9633	1996-08-31	PRIJEM	\N	234	81269	UROK	\N	\N
3513105	9633	1996-09-30	PRIJEM	\N	293	95438	UROK	\N	\N
3513106	9633	1996-10-31	PRIJEM	\N	319	82154	UROK	\N	\N
3513107	9633	1996-11-30	PRIJEM	\N	158	73243	UROK	\N	\N
3513108	9633	1996-12-31	PRIJEM	\N	120	25028	UROK	\N	\N
3513109	9633	1997-01-31	PRIJEM	\N	47	1718	UROK	\N	\N
3513110	9633	1997-01-31	VYDAJ	VYBER	1	1764	SANKC. UROK	\N	\N
3513111	9633	1997-02-28	PRIJEM	\N	92	52472	UROK	\N	\N
3513112	9633	1997-03-31	PRIJEM	\N	113	31499	UROK	\N	\N
3513113	9633	1997-04-30	PRIJEM	\N	189	50704	UROK	\N	\N
3513114	9633	1997-05-31	PRIJEM	\N	155	50100	UROK	\N	\N
3513115	9633	1997-06-30	PRIJEM	\N	201	55110	UROK	\N	\N
3513116	9633	1997-07-31	PRIJEM	\N	326	81990	UROK	\N	\N
3513117	9633	1997-08-31	PRIJEM	\N	198	37521	UROK	\N	\N
3513118	9633	1997-09-30	PRIJEM	\N	169	35723	UROK	\N	\N
3513119	9633	1997-10-31	PRIJEM	\N	103	36909	UROK	\N	\N
3513120	9633	1997-11-30	PRIJEM	\N	91	21442	UROK	\N	\N
3513121	9633	1997-12-31	PRIJEM	\N	123	56153	UROK	\N	\N
3513122	9633	1998-01-31	PRIJEM	\N	230	70624	UROK	\N	\N
3513123	9633	1998-02-28	PRIJEM	\N	130	48172	UROK	\N	\N
3513124	9633	1998-03-31	PRIJEM	\N	131	30770	UROK	\N	\N
3513125	9633	1998-04-30	PRIJEM	\N	23	50045	UROK	\N	\N
3513126	9633	1998-05-31	PRIJEM	\N	145	41366	UROK	\N	\N
3513127	9633	1998-06-30	PRIJEM	\N	83	35011	UROK	\N	\N
3513128	9633	1998-07-31	PRIJEM	\N	243	54717	UROK	\N	\N
3513129	9633	1998-08-31	PRIJEM	\N	227	56816	UROK	\N	\N
3513130	9633	1998-09-30	PRIJEM	\N	258	114698	UROK	\N	\N
3513131	9633	1998-10-31	PRIJEM	\N	273	45376	UROK	\N	\N
3513132	9633	1998-11-30	PRIJEM	\N	78	40069	UROK	\N	\N
3513133	9633	1998-12-31	PRIJEM	\N	27	6866	UROK	\N	\N
3513134	9635	1993-01-31	PRIJEM	\N	11	4893	UROK	\N	\N
3513135	9635	1993-05-31	PRIJEM	\N	3	22860	UROK	\N	\N
3513136	9635	1993-06-30	PRIJEM	\N	38	3221	UROK	\N	\N
3513137	9635	1993-07-31	PRIJEM	\N	13	7689	UROK	\N	\N
3513138	9635	1993-08-31	PRIJEM	\N	19	8510	UROK	\N	\N
3513139	9635	1993-09-30	PRIJEM	\N	26	7332	UROK	\N	\N
3513140	9635	1993-10-31	PRIJEM	\N	31	6544	UROK	\N	\N
3513141	9635	1993-11-30	PRIJEM	\N	2	11061	UROK	\N	\N
3513142	9635	1993-12-31	PRIJEM	\N	46	11209	UROK	\N	\N
3513143	9635	1994-01-31	PRIJEM	\N	33	-2659	UROK	\N	\N
3513144	9635	1994-01-31	VYDAJ	VYBER	1	-2676	SANKC. UROK	\N	\N
3513145	9635	1994-03-31	PRIJEM	\N	8	3941	UROK	\N	\N
3513146	9635	1994-04-30	PRIJEM	\N	19	3216	UROK	\N	\N
3513147	9635	1994-05-31	PRIJEM	\N	13	4916	UROK	\N	\N
3513148	9635	1994-06-30	PRIJEM	\N	20	9392	UROK	\N	\N
3513149	9635	1994-07-31	PRIJEM	\N	39	9506	UROK	\N	\N
3513150	9635	1994-08-31	PRIJEM	\N	32	5043	UROK	\N	\N
3513151	9635	1994-09-30	PRIJEM	\N	11	5090	UROK	\N	\N
3513152	9635	1994-10-31	PRIJEM	\N	16	6986	UROK	\N	\N
3513153	9635	1994-11-30	PRIJEM	\N	30	8502	UROK	\N	\N
3513154	9635	1994-12-31	PRIJEM	\N	19	5861	UROK	\N	\N
3513155	9635	1995-01-31	PRIJEM	\N	3	-1510	UROK	\N	\N
3513156	9635	1995-01-31	VYDAJ	VYBER	7	-1531	SANKC. UROK	\N	\N
3513157	9635	1995-03-31	PRIJEM	\N	6	2814	UROK	\N	\N
3513158	9635	1995-04-30	PRIJEM	\N	14	4608	UROK	\N	\N
3513159	9635	1995-05-31	PRIJEM	\N	21	4506	UROK	\N	\N
3513160	9635	1995-06-30	PRIJEM	\N	1	8963	UROK	\N	\N
3513161	9635	1995-07-31	PRIJEM	\N	24	7279	UROK	\N	\N
3513162	9635	1995-08-31	PRIJEM	\N	20	9379	UROK	\N	\N
3513163	9635	1995-09-30	PRIJEM	\N	21	10488	UROK	\N	\N
3513164	9635	1995-10-31	PRIJEM	\N	24	9127	UROK	\N	\N
3513165	9635	1995-11-30	PRIJEM	\N	36	10052	UROK	\N	\N
3513166	9635	1995-12-31	PRIJEM	\N	27	9772	UROK	\N	\N
3513167	9635	1996-01-31	PRIJEM	\N	18	3026	UROK	\N	\N
3513168	9635	1996-02-29	PRIJEM	\N	10	7492	UROK	\N	\N
3513169	9635	1996-03-31	PRIJEM	\N	29	8416	UROK	\N	\N
3513170	9635	1996-04-30	PRIJEM	\N	17	7131	UROK	\N	\N
3513171	9635	1996-05-31	PRIJEM	\N	28	8544	UROK	\N	\N
3513172	9635	1996-06-30	PRIJEM	\N	17	8269	UROK	\N	\N
3513173	9635	1996-07-31	PRIJEM	\N	18	6943	UROK	\N	\N
3513174	9635	1996-08-31	PRIJEM	\N	1	11459	UROK	\N	\N
3513175	9635	1996-09-30	PRIJEM	\N	43	11782	UROK	\N	\N
3513176	9635	1996-10-31	PRIJEM	\N	28	12766	UROK	\N	\N
3513177	9635	1996-11-30	PRIJEM	\N	52	13220	UROK	\N	\N
3513178	9635	1996-12-31	PRIJEM	\N	46	13870	UROK	\N	\N
3513179	9635	1997-01-31	PRIJEM	\N	20	5681	UROK	\N	\N
3513180	9635	1997-02-28	PRIJEM	\N	10	7996	UROK	\N	\N
3513181	9635	1997-03-31	PRIJEM	\N	30	8911	UROK	\N	\N
3513182	9635	1997-04-30	PRIJEM	\N	32	6770	UROK	\N	\N
3513183	9635	1997-05-31	PRIJEM	\N	22	6149	UROK	\N	\N
3513184	9635	1997-06-30	PRIJEM	\N	20	5645	UROK	\N	\N
3513185	9635	1997-07-31	PRIJEM	\N	20	6941	UROK	\N	\N
3513186	9635	1997-08-31	PRIJEM	\N	26	8622	UROK	\N	\N
3513187	9635	1997-09-30	PRIJEM	\N	20	3603	UROK	\N	\N
3513188	9635	1997-10-31	PRIJEM	\N	9	8088	UROK	\N	\N
3513189	9635	1997-11-30	PRIJEM	\N	31	10015	UROK	\N	\N
3513190	9635	1997-12-31	PRIJEM	\N	37	8597	UROK	\N	\N
3513191	9635	1998-01-31	PRIJEM	\N	8	1949	UROK	\N	\N
3513192	9635	1998-02-28	PRIJEM	\N	1	6406	UROK	\N	\N
3513193	9635	1998-03-31	PRIJEM	\N	21	7605	UROK	\N	\N
3513194	9635	1998-04-30	PRIJEM	\N	15	8776	UROK	\N	\N
3513195	9635	1998-05-31	PRIJEM	\N	26	10221	UROK	\N	\N
3513196	9635	1998-06-30	PRIJEM	\N	29	8006	UROK	\N	\N
3513197	9635	1998-07-31	PRIJEM	\N	9	5821	UROK	\N	\N
3513198	9635	1998-08-31	PRIJEM	\N	13	7690	UROK	\N	\N
3513199	9635	1998-09-30	PRIJEM	\N	11	9076	UROK	\N	\N
3513200	9635	1998-10-31	PRIJEM	\N	18	8671	UROK	\N	\N
3513201	9635	1998-11-30	PRIJEM	\N	18	7005	UROK	\N	\N
3513202	9635	1998-12-31	PRIJEM	\N	18	6902	UROK	\N	\N
3513203	9640	1993-03-31	PRIJEM	\N	49	20255	UROK	\N	\N
3513204	9640	1993-04-30	PRIJEM	\N	132	39992	UROK	\N	\N
3513205	9640	1993-05-31	PRIJEM	\N	193	50391	UROK	\N	\N
3513206	9640	1993-06-30	PRIJEM	\N	244	64494	UROK	\N	\N
3513207	9640	1993-07-31	PRIJEM	\N	263	62463	UROK	\N	\N
3513208	9640	1993-08-31	PRIJEM	\N	217	47587	UROK	\N	\N
3513209	9640	1993-09-30	PRIJEM	\N	162	41656	UROK	\N	\N
3513210	9640	1993-10-31	PRIJEM	\N	144	38008	UROK	\N	\N
3513211	9640	1993-11-30	PRIJEM	\N	147	25482	UROK	\N	\N
3513212	9640	1993-12-31	PRIJEM	\N	152	44694	UROK	\N	\N
3513213	9640	1994-01-31	PRIJEM	\N	113	21898	UROK	\N	\N
3513214	9640	1994-02-28	PRIJEM	\N	99	26105	UROK	\N	\N
3513215	9640	1994-03-31	PRIJEM	\N	119	31531	UROK	\N	\N
3513216	9640	1994-04-30	PRIJEM	\N	128	35766	UROK	\N	\N
3513217	9640	1994-05-31	PRIJEM	\N	153	40227	UROK	\N	\N
3513218	9640	1994-06-30	PRIJEM	\N	176	50063	UROK	\N	\N
3513219	9640	1994-07-31	PRIJEM	\N	163	41537	UROK	\N	\N
3513220	9640	1994-08-31	PRIJEM	\N	154	40329	UROK	\N	\N
3513221	9640	1994-09-30	PRIJEM	\N	118	24554	UROK	\N	\N
3513222	9640	1994-10-31	PRIJEM	\N	95	25590	UROK	\N	\N
3513223	9640	1994-11-30	PRIJEM	\N	100	28097	UROK	\N	\N
3513224	9640	1994-12-31	PRIJEM	\N	110	27662	UROK	\N	\N
3513225	9640	1995-01-31	PRIJEM	\N	91	22875	UROK	\N	\N
3513226	9640	1995-02-28	PRIJEM	\N	92	26991	UROK	\N	\N
3513227	9640	1995-03-31	PRIJEM	\N	103	27181	UROK	\N	\N
3513228	9640	1995-04-30	PRIJEM	\N	109	29413	UROK	\N	\N
3513229	9640	1995-05-31	PRIJEM	\N	117	32554	UROK	\N	\N
3513230	9640	1995-06-30	PRIJEM	\N	144	42674	UROK	\N	\N
3513231	9640	1995-07-31	PRIJEM	\N	141	37238	UROK	\N	\N
3513232	9640	1995-08-31	PRIJEM	\N	132	28693	UROK	\N	\N
3513233	9640	1995-09-30	PRIJEM	\N	114	29631	UROK	\N	\N
3513234	9640	1995-10-31	PRIJEM	\N	101	30255	UROK	\N	\N
3513235	9640	1995-11-30	PRIJEM	\N	121	32799	UROK	\N	\N
3513236	9640	1995-12-31	PRIJEM	\N	140	28538	UROK	\N	\N
3513237	9640	1996-01-31	PRIJEM	\N	95	28756	UROK	\N	\N
3513238	9640	1996-02-29	PRIJEM	\N	116	34495	UROK	\N	\N
3513239	9640	1996-03-31	PRIJEM	\N	140	38358	UROK	\N	\N
3513240	9640	1996-04-30	PRIJEM	\N	152	37534	UROK	\N	\N
3513241	9640	1996-05-31	PRIJEM	\N	152	40709	UROK	\N	\N
3513242	9640	1996-06-30	PRIJEM	\N	184	47469	UROK	\N	\N
3513243	9640	1996-07-31	PRIJEM	\N	180	36863	UROK	\N	\N
3513244	9640	1996-08-31	PRIJEM	\N	145	38138	UROK	\N	\N
3513245	9640	1996-09-30	PRIJEM	\N	152	38913	UROK	\N	\N
3513246	9640	1996-10-31	PRIJEM	\N	158	41994	UROK	\N	\N
3513247	9640	1996-11-30	PRIJEM	\N	164	36980	UROK	\N	\N
3513248	9640	1996-12-31	PRIJEM	\N	170	44426	UROK	\N	\N
3513249	9640	1997-01-31	PRIJEM	\N	147	41396	UROK	\N	\N
3513250	9640	1997-02-28	PRIJEM	\N	175	48378	UROK	\N	\N
3513251	9640	1997-03-31	PRIJEM	\N	170	41484	UROK	\N	\N
3513252	9640	1997-04-30	PRIJEM	\N	167	47458	UROK	\N	\N
3513253	9640	1997-05-31	PRIJEM	\N	179	49624	UROK	\N	\N
3513254	9640	1997-06-30	PRIJEM	\N	213	38236	UROK	\N	\N
3513255	9640	1997-07-31	PRIJEM	\N	145	45788	UROK	\N	\N
3513256	9640	1997-08-31	PRIJEM	\N	172	41192	UROK	\N	\N
3513257	9640	1997-09-30	PRIJEM	\N	165	43064	UROK	\N	\N
3513258	9640	1997-10-31	PRIJEM	\N	207	52838	UROK	\N	\N
3513259	9640	1997-11-30	PRIJEM	\N	219	62365	UROK	\N	\N
3513260	9640	1997-12-31	PRIJEM	\N	261	57686	UROK	\N	\N
3513261	9640	1998-01-31	PRIJEM	\N	190	30783	UROK	\N	\N
3513262	9640	1998-02-28	PRIJEM	\N	164	57355	UROK	\N	\N
3513263	9640	1998-03-31	PRIJEM	\N	259	72421	UROK	\N	\N
3513264	9640	1998-04-30	PRIJEM	\N	299	77328	UROK	\N	\N
3513265	9640	1998-05-31	PRIJEM	\N	322	81756	UROK	\N	\N
3513266	9640	1998-06-30	PRIJEM	\N	349	91766	UROK	\N	\N
3513267	9640	1998-07-31	PRIJEM	\N	352	82225	UROK	\N	\N
3513268	9640	1998-08-31	PRIJEM	\N	311	82444	UROK	\N	\N
3513269	9640	1998-09-30	PRIJEM	\N	355	93907	UROK	\N	\N
3513270	9640	1998-10-31	PRIJEM	\N	368	96282	UROK	\N	\N
3513271	9640	1998-11-30	PRIJEM	\N	384	85874	UROK	\N	\N
3513272	9640	1998-12-31	PRIJEM	\N	409	111743	UROK	\N	\N
3513313	9645	1996-02-29	PRIJEM	\N	35	30416	UROK	\N	\N
3513314	9645	1996-03-31	PRIJEM	\N	141	42238	UROK	\N	\N
3513315	9645	1996-04-30	PRIJEM	\N	184	48902	UROK	\N	\N
3513316	9645	1996-05-31	PRIJEM	\N	209	53593	UROK	\N	\N
3513317	9645	1996-06-30	PRIJEM	\N	193	35331	UROK	\N	\N
3513318	9645	1996-07-31	PRIJEM	\N	179	35124	UROK	\N	\N
3513319	9645	1996-08-31	PRIJEM	\N	123	24699	UROK	\N	\N
3513320	9645	1996-09-30	PRIJEM	\N	157	35146	UROK	\N	\N
3513321	9645	1996-10-31	PRIJEM	\N	189	39726	UROK	\N	\N
3513322	9645	1996-11-30	PRIJEM	\N	161	28181	UROK	\N	\N
3513323	9645	1996-12-31	PRIJEM	\N	201	41014	UROK	\N	\N
3513324	9645	1997-01-31	PRIJEM	\N	157	23161	UROK	\N	\N
3513325	9645	1997-02-28	PRIJEM	\N	143	32794	UROK	\N	\N
3513326	9645	1997-03-31	PRIJEM	\N	171	35755	UROK	\N	\N
3513327	9645	1997-04-30	PRIJEM	\N	171	27426	UROK	\N	\N
3513328	9645	1997-05-31	PRIJEM	\N	161	36477	UROK	\N	\N
3513329	9645	1997-06-30	PRIJEM	\N	200	43308	UROK	\N	\N
3513330	9645	1997-07-31	PRIJEM	\N	200	41198	UROK	\N	\N
3513331	9645	1997-08-31	PRIJEM	\N	189	39678	UROK	\N	\N
3513332	9645	1997-09-30	PRIJEM	\N	158	29434	UROK	\N	\N
3513333	9645	1997-10-31	PRIJEM	\N	158	36582	UROK	\N	\N
3513334	9645	1997-11-30	PRIJEM	\N	162	35134	UROK	\N	\N
3513335	9645	1997-12-31	PRIJEM	\N	199	45165	UROK	\N	\N
3513336	9645	1998-01-31	PRIJEM	\N	144	23153	UROK	\N	\N
3513337	9645	1998-02-28	PRIJEM	\N	105	23348	UROK	\N	\N
3513338	9645	1998-03-31	PRIJEM	\N	127	29265	UROK	\N	\N
3513339	9645	1998-04-30	PRIJEM	\N	134	23269	UROK	\N	\N
3513340	9645	1998-05-31	PRIJEM	\N	138	29897	UROK	\N	\N
3513341	9645	1998-06-30	PRIJEM	\N	169	41397	UROK	\N	\N
3513342	9645	1998-07-31	PRIJEM	\N	171	37598	UROK	\N	\N
3513343	9645	1998-08-31	PRIJEM	\N	156	36244	UROK	\N	\N
3513344	9645	1998-09-30	PRIJEM	\N	124	23959	UROK	\N	\N
3513345	9645	1998-10-31	PRIJEM	\N	116	28465	UROK	\N	\N
3513346	9645	1998-11-30	PRIJEM	\N	111	24666	UROK	\N	\N
3513347	9645	1998-12-31	PRIJEM	\N	128	26525	UROK	\N	\N
3513348	9646	1997-03-31	PRIJEM	\N	16	23524	UROK	\N	\N
3513349	9646	1997-04-30	PRIJEM	\N	98	16622	UROK	\N	\N
3513350	9646	1997-05-31	PRIJEM	\N	104	31019	UROK	\N	\N
3513351	9646	1997-06-30	PRIJEM	\N	129	24448	UROK	\N	\N
3513352	9646	1997-07-31	PRIJEM	\N	240	47774	UROK	\N	\N
3513353	9646	1997-08-31	PRIJEM	\N	262	47022	UROK	\N	\N
3513354	9646	1997-09-30	PRIJEM	\N	226	52853	UROK	\N	\N
3513355	9646	1997-10-31	PRIJEM	\N	326	101554	UROK	\N	\N
3513356	9646	1997-11-30	PRIJEM	\N	348	38274	UROK	\N	\N
3513357	9646	1997-12-31	PRIJEM	\N	124	16828	UROK	\N	\N
3513358	9646	1998-01-31	PRIJEM	\N	138	42398	UROK	\N	\N
3513359	9646	1998-02-28	PRIJEM	\N	179	49234	UROK	\N	\N
3513360	9646	1998-03-31	PRIJEM	\N	231	21528	UROK	\N	\N
3513361	9646	1998-04-30	PRIJEM	\N	69	7554	UROK	\N	\N
3513362	9646	1998-05-31	PRIJEM	\N	20	645	UROK	\N	\N
3513363	9646	1998-06-30	PRIJEM	\N	113	72702	UROK	\N	\N
3513364	9646	1998-07-31	PRIJEM	\N	235	51380	UROK	\N	\N
3513365	9646	1998-08-31	PRIJEM	\N	241	47516	UROK	\N	\N
3513366	9646	1998-09-30	PRIJEM	\N	188	22069	UROK	\N	\N
3513367	9646	1998-10-31	PRIJEM	\N	79	28247	UROK	\N	\N
3513368	9646	1998-11-30	PRIJEM	\N	82	8185	UROK	\N	\N
3513369	9646	1998-12-31	PRIJEM	\N	262	59247	UROK	\N	\N
3513445	9656	1993-11-30	PRIJEM	\N	12	17622	UROK	\N	\N
3513446	9656	1993-12-31	PRIJEM	\N	73	23396	UROK	\N	\N
3513447	9656	1994-01-31	PRIJEM	\N	158	67082	UROK	\N	\N
3513448	9656	1994-02-28	PRIJEM	\N	174	24281	UROK	\N	\N
3513449	9656	1994-03-31	PRIJEM	\N	201	65888	UROK	\N	\N
3513450	9656	1994-04-30	PRIJEM	\N	283	79854	UROK	\N	\N
3513451	9656	1994-05-31	PRIJEM	\N	192	21108	UROK	\N	\N
3513452	9656	1994-06-30	PRIJEM	\N	81	16554	UROK	\N	\N
3513453	9656	1994-07-31	PRIJEM	\N	78	42190	UROK	\N	\N
3513454	9656	1994-08-31	PRIJEM	\N	276	84101	UROK	\N	\N
3513455	9656	1994-09-30	PRIJEM	\N	261	41487	UROK	\N	\N
3513456	9656	1994-10-31	PRIJEM	\N	263	63931	UROK	\N	\N
3513457	9656	1994-11-30	PRIJEM	\N	212	54647	UROK	\N	\N
3513458	9656	1994-12-31	PRIJEM	\N	339	61166	UROK	\N	\N
3513459	9656	1995-01-31	PRIJEM	\N	170	70806	UROK	\N	\N
3513460	9656	1995-02-28	PRIJEM	\N	293	99106	UROK	\N	\N
3513461	9656	1995-03-31	PRIJEM	\N	419	97369	UROK	\N	\N
3513462	9656	1995-04-30	PRIJEM	\N	395	108757	UROK	\N	\N
3513463	9656	1995-05-31	PRIJEM	\N	309	54609	UROK	\N	\N
3513464	9656	1995-06-30	PRIJEM	\N	158	30330	UROK	\N	\N
3513465	9656	1995-07-31	PRIJEM	\N	84	17066	UROK	\N	\N
3513466	9656	1995-08-31	PRIJEM	\N	224	93680	UROK	\N	\N
3513467	9656	1995-09-30	PRIJEM	\N	240	39671	UROK	\N	\N
3513468	9656	1995-10-31	PRIJEM	\N	173	93751	UROK	\N	\N
3513469	9656	1995-11-30	PRIJEM	\N	375	95929	UROK	\N	\N
3513470	9656	1995-12-31	PRIJEM	\N	268	83701	UROK	\N	\N
3513471	9656	1996-01-31	PRIJEM	\N	176	30800	UROK	\N	\N
3513472	9656	1996-02-29	PRIJEM	\N	149	52661	UROK	\N	\N
3513473	9656	1996-03-31	PRIJEM	\N	193	72091	UROK	\N	\N
3513474	9656	1996-04-30	PRIJEM	\N	214	60628	UROK	\N	\N
3513475	9656	1996-05-31	PRIJEM	\N	205	41971	UROK	\N	\N
3513476	9656	1996-06-30	PRIJEM	\N	157	67032	UROK	\N	\N
3513477	9656	1996-07-31	PRIJEM	\N	227	50177	UROK	\N	\N
3513478	9656	1996-08-31	PRIJEM	\N	142	29571	UROK	\N	\N
3513479	9656	1996-09-30	PRIJEM	\N	231	56806	UROK	\N	\N
3513480	9656	1996-10-31	PRIJEM	\N	256	56533	UROK	\N	\N
3513481	9656	1996-11-30	PRIJEM	\N	127	34834	UROK	\N	\N
3513482	9656	1996-12-31	PRIJEM	\N	103	31588	UROK	\N	\N
3513483	9656	1997-01-31	PRIJEM	\N	167	58005	UROK	\N	\N
3513484	9656	1997-02-28	PRIJEM	\N	190	51482	UROK	\N	\N
3513485	9656	1997-03-31	PRIJEM	\N	172	58000	UROK	\N	\N
3513486	9656	1997-04-30	PRIJEM	\N	167	40429	UROK	\N	\N
3513487	9656	1997-05-31	PRIJEM	\N	234	92617	UROK	\N	\N
3513488	9656	1997-06-30	PRIJEM	\N	222	50239	UROK	\N	\N
3513489	9656	1997-07-31	PRIJEM	\N	221	55559	UROK	\N	\N
3513490	9656	1997-08-31	PRIJEM	\N	146	38569	UROK	\N	\N
3513491	9656	1997-09-30	PRIJEM	\N	142	63132	UROK	\N	\N
3513492	9656	1997-10-31	PRIJEM	\N	167	53757	UROK	\N	\N
3513493	9656	1997-11-30	PRIJEM	\N	190	37312	UROK	\N	\N
3513494	9656	1997-12-31	PRIJEM	\N	260	88018	UROK	\N	\N
3513495	9656	1998-01-31	PRIJEM	\N	241	37869	UROK	\N	\N
3513496	9656	1998-02-28	PRIJEM	\N	332	81369	UROK	\N	\N
3513497	9656	1998-03-31	PRIJEM	\N	271	46185	UROK	\N	\N
3513498	9656	1998-04-30	PRIJEM	\N	151	35400	UROK	\N	\N
3513499	9656	1998-05-31	PRIJEM	\N	193	59984	UROK	\N	\N
3513500	9656	1998-06-30	PRIJEM	\N	198	45646	UROK	\N	\N
3513501	9656	1998-07-31	PRIJEM	\N	231	67824	UROK	\N	\N
3513502	9656	1998-08-31	PRIJEM	\N	172	42151	UROK	\N	\N
3513503	9656	1998-09-30	PRIJEM	\N	236	60607	UROK	\N	\N
3513504	9656	1998-10-31	PRIJEM	\N	238	93783	UROK	\N	\N
3513505	9656	1998-11-30	PRIJEM	\N	263	47288	UROK	\N	\N
3513506	9656	1998-12-31	PRIJEM	\N	197	38902	UROK	\N	\N
3513723	9673	1997-06-30	PRIJEM	\N	68	23220	UROK	\N	\N
3513724	9673	1997-07-31	PRIJEM	\N	151	41671	UROK	\N	\N
3513725	9673	1997-08-31	PRIJEM	\N	204	52076	UROK	\N	\N
3513726	9673	1997-09-30	PRIJEM	\N	226	55603	UROK	\N	\N
3513727	9673	1997-10-31	PRIJEM	\N	183	36203	UROK	\N	\N
3513728	9673	1997-11-30	PRIJEM	\N	151	37056	UROK	\N	\N
3513729	9673	1997-12-31	PRIJEM	\N	173	43482	UROK	\N	\N
3513730	9673	1998-01-31	PRIJEM	\N	138	23422	UROK	\N	\N
3513731	9673	1998-02-28	PRIJEM	\N	117	31342	UROK	\N	\N
3513732	9673	1998-03-31	PRIJEM	\N	143	34087	UROK	\N	\N
3513733	9673	1998-04-30	PRIJEM	\N	128	26492	UROK	\N	\N
3513734	9673	1998-05-31	PRIJEM	\N	130	33718	UROK	\N	\N
3513735	9673	1998-06-30	PRIJEM	\N	177	47748	UROK	\N	\N
3513736	9673	1998-07-31	PRIJEM	\N	196	34163	UROK	\N	\N
3513737	9673	1998-08-31	PRIJEM	\N	175	49240	UROK	\N	\N
3513738	9673	1998-09-30	PRIJEM	\N	218	54246	UROK	\N	\N
3513739	9673	1998-10-31	PRIJEM	\N	215	52214	UROK	\N	\N
3513740	9673	1998-11-30	PRIJEM	\N	217	53620	UROK	\N	\N
3513741	9673	1998-12-31	PRIJEM	\N	241	38854	UROK	\N	\N
3513742	9677	1996-11-30	PRIJEM	\N	49	18571	UROK	\N	\N
3513743	9677	1996-12-31	PRIJEM	\N	107	29711	UROK	\N	\N
3513744	9677	1997-01-31	PRIJEM	\N	127	30859	UROK	\N	\N
3513745	9677	1997-02-28	PRIJEM	\N	133	32614	UROK	\N	\N
3513746	9677	1997-03-31	PRIJEM	\N	120	24412	UROK	\N	\N
3513747	9677	1997-04-30	PRIJEM	\N	86	16361	UROK	\N	\N
3513748	9677	1997-05-31	PRIJEM	\N	81	17806	UROK	\N	\N
3513749	9677	1997-06-30	PRIJEM	\N	104	25984	UROK	\N	\N
3513750	9677	1997-07-31	PRIJEM	\N	105	23826	UROK	\N	\N
3513751	9677	1997-08-31	PRIJEM	\N	108	23770	UROK	\N	\N
3513752	9677	1997-09-30	PRIJEM	\N	147	30454	UROK	\N	\N
3513753	9677	1997-10-31	PRIJEM	\N	137	32227	UROK	\N	\N
3513754	9677	1997-11-30	PRIJEM	\N	139	31703	UROK	\N	\N
3513755	9677	1997-12-31	PRIJEM	\N	160	39010	UROK	\N	\N
3513756	9677	1998-01-31	PRIJEM	\N	146	32992	UROK	\N	\N
3513757	9677	1998-02-28	PRIJEM	\N	151	36180	UROK	\N	\N
3513758	9677	1998-03-31	PRIJEM	\N	162	38478	UROK	\N	\N
3513759	9677	1998-04-30	PRIJEM	\N	158	36272	UROK	\N	\N
3513760	9677	1998-05-31	PRIJEM	\N	173	41881	UROK	\N	\N
3513761	9677	1998-06-30	PRIJEM	\N	202	49131	UROK	\N	\N
3513762	9677	1998-07-31	PRIJEM	\N	191	43458	UROK	\N	\N
3513763	9677	1998-08-31	PRIJEM	\N	162	36057	UROK	\N	\N
3513764	9677	1998-09-30	PRIJEM	\N	139	31133	UROK	\N	\N
3513765	9677	1998-10-31	PRIJEM	\N	129	29998	UROK	\N	\N
3513766	9677	1998-11-30	PRIJEM	\N	132	29366	UROK	\N	\N
3513767	9677	1998-12-31	PRIJEM	\N	150	37363	UROK	\N	\N
3513969	9703	1993-08-31	PRIJEM	\N	70	30780	UROK	\N	\N
3513970	9703	1993-09-30	PRIJEM	\N	100	42673	UROK	\N	\N
3513971	9703	1993-10-31	PRIJEM	\N	122	50531	UROK	\N	\N
3513972	9703	1993-11-30	PRIJEM	\N	131	53009	UROK	\N	\N
3513973	9703	1993-12-31	PRIJEM	\N	174	63439	UROK	\N	\N
3513974	9703	1994-01-31	PRIJEM	\N	113	-2615	UROK	\N	\N
3513975	9703	1994-01-31	VYDAJ	VYBER	12	-2527	SANKC. UROK	\N	\N
3513976	9703	1994-02-28	PRIJEM	\N	70	26767	UROK	\N	\N
3513977	9703	1994-02-28	VYDAJ	VYBER	10	26830	SANKC. UROK	\N	\N
3513978	9703	1994-03-31	PRIJEM	\N	117	44513	UROK	\N	\N
3513979	9703	1994-04-30	PRIJEM	\N	169	32790	UROK	\N	\N
3513980	9703	1994-05-31	PRIJEM	\N	111	36196	UROK	\N	\N
3513981	9703	1994-06-30	PRIJEM	\N	152	52999	UROK	\N	\N
3513982	9703	1994-07-31	PRIJEM	\N	155	52179	UROK	\N	\N
3513983	9703	1994-08-31	PRIJEM	\N	217	54417	UROK	\N	\N
3513984	9703	1994-09-30	PRIJEM	\N	324	55705	UROK	\N	\N
3513985	9703	1994-10-31	PRIJEM	\N	225	47472	UROK	\N	\N
3513986	9703	1994-11-30	PRIJEM	\N	213	72306	UROK	\N	\N
3513987	9703	1994-12-31	PRIJEM	\N	289	86207	UROK	\N	\N
3513988	9703	1995-01-31	PRIJEM	\N	236	38950	UROK	\N	\N
3513989	9703	1995-02-28	PRIJEM	\N	185	65623	UROK	\N	\N
3513990	9703	1995-03-31	PRIJEM	\N	219	64885	UROK	\N	\N
3513991	9703	1995-04-30	PRIJEM	\N	250	81942	UROK	\N	\N
3513992	9703	1995-05-31	PRIJEM	\N	342	87314	UROK	\N	\N
3513993	9703	1995-06-30	PRIJEM	\N	284	29994	UROK	\N	\N
3513994	9703	1995-07-31	PRIJEM	\N	176	22459	UROK	\N	\N
3513995	9703	1995-08-31	PRIJEM	\N	129	42704	UROK	\N	\N
3513996	9703	1995-09-30	PRIJEM	\N	134	21530	UROK	\N	\N
3513997	9703	1995-10-31	PRIJEM	\N	128	44010	UROK	\N	\N
3513998	9703	1995-11-30	PRIJEM	\N	180	42835	UROK	\N	\N
3513999	9703	1995-12-31	PRIJEM	\N	275	82270	UROK	\N	\N
3514000	9703	1996-01-31	PRIJEM	\N	138	24479	UROK	\N	\N
3514001	9703	1996-02-29	PRIJEM	\N	57	51765	UROK	\N	\N
3514002	9703	1996-03-31	PRIJEM	\N	213	70528	UROK	\N	\N
3514003	9703	1996-04-30	PRIJEM	\N	190	85874	UROK	\N	\N
3514004	9703	1996-05-31	PRIJEM	\N	237	48736	UROK	\N	\N
3514005	9703	1996-06-30	PRIJEM	\N	79	53046	UROK	\N	\N
3514006	9703	1996-07-31	PRIJEM	\N	66	59453	UROK	\N	\N
3514007	9703	1996-08-31	PRIJEM	\N	29	59903	UROK	\N	\N
3514008	9703	1996-09-30	PRIJEM	\N	279	59522	UROK	\N	\N
3514009	9703	1996-10-31	PRIJEM	\N	222	63543	UROK	\N	\N
3514010	9703	1996-11-30	PRIJEM	\N	225	59862	UROK	\N	\N
3514011	9703	1996-12-31	PRIJEM	\N	277	65901	UROK	\N	\N
3514012	9703	1997-01-31	PRIJEM	\N	217	42712	UROK	\N	\N
3514013	9703	1997-02-28	PRIJEM	\N	155	57788	UROK	\N	\N
3514014	9703	1997-03-31	PRIJEM	\N	210	63174	UROK	\N	\N
3514015	9703	1997-04-30	PRIJEM	\N	232	68569	UROK	\N	\N
3514016	9703	1997-05-31	PRIJEM	\N	249	69940	UROK	\N	\N
3514017	9703	1997-06-30	PRIJEM	\N	232	53711	UROK	\N	\N
3514018	9703	1997-07-31	PRIJEM	\N	187	62664	UROK	\N	\N
3514019	9703	1997-08-31	PRIJEM	\N	88	58999	UROK	\N	\N
3514020	9703	1997-09-30	PRIJEM	\N	99	56172	UROK	\N	\N
3514021	9703	1997-10-31	PRIJEM	\N	70	61977	UROK	\N	\N
3514022	9703	1997-11-30	PRIJEM	\N	251	65095	UROK	\N	\N
3514023	9703	1997-12-31	PRIJEM	\N	250	73158	UROK	\N	\N
3514024	9703	1998-01-31	PRIJEM	\N	128	27844	UROK	\N	\N
3514025	9703	1998-02-28	PRIJEM	\N	123	38544	UROK	\N	\N
3514026	9703	1998-03-31	PRIJEM	\N	137	40906	UROK	\N	\N
3514027	9703	1998-04-30	PRIJEM	\N	151	45660	UROK	\N	\N
3514028	9703	1998-05-31	PRIJEM	\N	150	50574	UROK	\N	\N
3514029	9703	1998-06-30	PRIJEM	\N	148	44725	UROK	\N	\N
3514030	9703	1998-07-31	PRIJEM	\N	149	47366	UROK	\N	\N
3514031	9703	1998-08-31	PRIJEM	\N	126	24383	UROK	\N	\N
3514032	9703	1998-09-30	PRIJEM	\N	77	34081	UROK	\N	\N
3514033	9703	1998-10-31	PRIJEM	\N	53	35635	UROK	\N	\N
3514034	9703	1998-11-30	PRIJEM	\N	97	40014	UROK	\N	\N
3514035	9703	1998-12-31	PRIJEM	\N	224	74315	UROK	\N	\N
3514118	9707	1993-05-31	PRIJEM	\N	198	48161	UROK	\N	\N
3514119	9707	1993-06-30	PRIJEM	\N	127	38369	UROK	\N	\N
3514120	9707	1993-07-31	PRIJEM	\N	138	38321	UROK	\N	\N
3514121	9707	1993-08-31	PRIJEM	\N	74	62067	UROK	\N	\N
3514122	9707	1993-09-30	PRIJEM	\N	207	91908	UROK	\N	\N
3514123	9707	1993-10-31	PRIJEM	\N	109	91471	UROK	\N	\N
3514124	9707	1993-11-30	PRIJEM	\N	8	57537	UROK	\N	\N
3514125	9707	1993-12-31	PRIJEM	\N	214	36555	UROK	\N	\N
3514126	9707	1994-01-31	PRIJEM	\N	32	15731	UROK	\N	\N
3514127	9707	1994-02-28	PRIJEM	\N	62	22871	UROK	\N	\N
3514128	9707	1994-03-31	PRIJEM	\N	91	24400	UROK	\N	\N
3514129	9707	1994-04-30	PRIJEM	\N	79	5044	UROK	\N	\N
3514130	9707	1994-05-31	PRIJEM	\N	2	13531	UROK	\N	\N
3514131	9707	1994-06-30	PRIJEM	\N	44	2708	UROK	\N	\N
3514132	9707	1994-07-31	PRIJEM	\N	2	14641	UROK	\N	\N
3514133	9707	1994-08-31	PRIJEM	\N	30	-195	UROK	\N	\N
3514134	9707	1994-08-31	VYDAJ	VYBER	7	-187	SANKC. UROK	\N	\N
3514135	9707	1994-10-31	PRIJEM	\N	27	4555	UROK	\N	\N
3514136	9707	1994-11-30	PRIJEM	\N	11	13247	UROK	\N	\N
3514137	9707	1994-12-31	PRIJEM	\N	43	10241	UROK	\N	\N
3514138	9707	1995-01-31	PRIJEM	\N	45	1868	UROK	\N	\N
3514139	9707	1995-03-31	PRIJEM	\N	127	43910	UROK	\N	\N
3514140	9707	1995-04-30	PRIJEM	\N	243	66575	UROK	\N	\N
3514141	9707	1995-05-31	PRIJEM	\N	222	41827	UROK	\N	\N
3514142	9707	1995-06-30	PRIJEM	\N	286	105926	UROK	\N	\N
3514143	9707	1995-07-31	PRIJEM	\N	166	76552	UROK	\N	\N
3514144	9707	1995-08-31	PRIJEM	\N	219	69543	UROK	\N	\N
3514145	9707	1995-09-30	PRIJEM	\N	154	43029	UROK	\N	\N
3514146	9707	1995-10-31	PRIJEM	\N	259	100028	UROK	\N	\N
3514147	9707	1995-11-30	PRIJEM	\N	358	84399	UROK	\N	\N
3514148	9707	1995-12-31	PRIJEM	\N	348	99744	UROK	\N	\N
3514149	9707	1996-01-31	PRIJEM	\N	343	50708	UROK	\N	\N
3514150	9707	1996-02-29	PRIJEM	\N	335	106076	UROK	\N	\N
3514151	9707	1996-03-31	PRIJEM	\N	405	85660	UROK	\N	\N
3514152	9707	1996-04-30	PRIJEM	\N	268	73427	UROK	\N	\N
3514153	9707	1996-05-31	PRIJEM	\N	242	96515	UROK	\N	\N
3514154	9707	1996-06-30	PRIJEM	\N	269	52394	UROK	\N	\N
3514155	9707	1996-07-31	PRIJEM	\N	192	63839	UROK	\N	\N
3514156	9707	1996-08-31	PRIJEM	\N	138	103394	UROK	\N	\N
3514157	9707	1996-09-30	PRIJEM	\N	307	77421	UROK	\N	\N
3514158	9707	1996-10-31	PRIJEM	\N	54	35972	UROK	\N	\N
3514159	9707	1996-11-30	PRIJEM	\N	86	9281	UROK	\N	\N
3514160	9707	1996-12-31	PRIJEM	\N	99	37774	UROK	\N	\N
3514161	9707	1997-01-31	PRIJEM	\N	83	18747	UROK	\N	\N
3514162	9707	1997-02-28	PRIJEM	\N	45	17973	UROK	\N	\N
3514163	9707	1997-03-31	PRIJEM	\N	63	27885	UROK	\N	\N
3514164	9707	1997-04-30	PRIJEM	\N	183	89077	UROK	\N	\N
3514165	9707	1997-05-31	PRIJEM	\N	9	71907	UROK	\N	\N
3514166	9707	1997-06-30	PRIJEM	\N	196	28124	UROK	\N	\N
3514167	9707	1997-07-31	PRIJEM	\N	84	26334	UROK	\N	\N
3514168	9707	1997-08-31	PRIJEM	\N	5	45524	UROK	\N	\N
3514169	9707	1997-09-30	PRIJEM	\N	306	95240	UROK	\N	\N
3514170	9707	1997-10-31	PRIJEM	\N	276	70601	UROK	\N	\N
3514171	9707	1997-12-31	PRIJEM	\N	280	75640	UROK	\N	\N
3514172	9707	1998-01-31	PRIJEM	\N	178	64822	UROK	\N	\N
3514173	9707	1998-02-28	PRIJEM	\N	322	91194	UROK	\N	\N
3514174	9707	1998-03-31	PRIJEM	\N	308	73675	UROK	\N	\N
3514175	9707	1998-04-30	PRIJEM	\N	41	70227	UROK	\N	\N
3514176	9707	1998-05-31	PRIJEM	\N	188	84723	UROK	\N	\N
3514177	9707	1998-06-30	PRIJEM	\N	42	46292	UROK	\N	\N
3514178	9707	1998-07-31	PRIJEM	\N	185	60011	UROK	\N	\N
3514179	9707	1998-08-31	PRIJEM	\N	187	86650	UROK	\N	\N
3514180	9707	1998-09-30	PRIJEM	\N	161	69920	UROK	\N	\N
3514181	9707	1998-10-31	PRIJEM	\N	87	84932	UROK	\N	\N
3514182	9707	1998-11-30	PRIJEM	\N	60	83682	UROK	\N	\N
3514183	9707	1998-12-31	PRIJEM	\N	221	99600	UROK	\N	\N
3514440	9730	1997-01-31	PRIJEM	\N	38	14332	UROK	\N	\N
3514441	9730	1997-02-28	PRIJEM	\N	60	25085	UROK	\N	\N
3514442	9730	1997-03-31	PRIJEM	\N	123	34203	UROK	\N	\N
3514443	9730	1997-04-30	PRIJEM	\N	148	36245	UROK	\N	\N
3514444	9730	1997-05-31	PRIJEM	\N	131	27169	UROK	\N	\N
3514445	9730	1997-06-30	PRIJEM	\N	137	36010	UROK	\N	\N
3514446	9730	1997-07-31	PRIJEM	\N	140	28807	UROK	\N	\N
3514447	9730	1997-08-31	PRIJEM	\N	120	25385	UROK	\N	\N
3514448	9730	1997-09-30	PRIJEM	\N	109	25937	UROK	\N	\N
3514449	9730	1997-10-31	PRIJEM	\N	115	21976	UROK	\N	\N
3514450	9730	1997-11-30	PRIJEM	\N	99	18098	UROK	\N	\N
3514451	9730	1997-12-31	PRIJEM	\N	95	17143	UROK	\N	\N
3514452	9730	1998-01-31	PRIJEM	\N	66	13673	UROK	\N	\N
3514453	9730	1998-02-28	PRIJEM	\N	67	16264	UROK	\N	\N
3514454	9730	1998-03-31	PRIJEM	\N	74	12261	UROK	\N	\N
3514455	9730	1998-04-30	PRIJEM	\N	53	12318	UROK	\N	\N
3514456	9730	1998-05-31	PRIJEM	\N	47	10568	UROK	\N	\N
3514457	9730	1998-06-30	PRIJEM	\N	71	19709	UROK	\N	\N
3514458	9730	1998-07-31	PRIJEM	\N	93	23526	UROK	\N	\N
3514459	9730	1998-08-31	PRIJEM	\N	109	27358	UROK	\N	\N
3514460	9730	1998-09-30	PRIJEM	\N	118	28800	UROK	\N	\N
3514461	9730	1998-10-31	PRIJEM	\N	131	32654	UROK	\N	\N
3514462	9730	1998-11-30	PRIJEM	\N	132	30749	UROK	\N	\N
3514463	9730	1998-12-31	PRIJEM	\N	153	39012	UROK	\N	\N
3514464	9731	1994-12-31	PRIJEM	\N	105	29051	UROK	\N	\N
3514465	9731	1995-01-31	PRIJEM	\N	116	32631	UROK	\N	\N
3514466	9731	1995-02-28	PRIJEM	\N	136	51730	UROK	\N	\N
3514467	9731	1995-03-31	PRIJEM	\N	224	57818	UROK	\N	\N
3514468	9731	1995-04-30	PRIJEM	\N	188	34835	UROK	\N	\N
3514469	9731	1995-05-31	PRIJEM	\N	164	29676	UROK	\N	\N
3514470	9731	1995-06-30	PRIJEM	\N	136	21997	UROK	\N	\N
3514471	9731	1995-07-31	PRIJEM	\N	122	26296	UROK	\N	\N
3514472	9731	1995-08-31	PRIJEM	\N	138	27011	UROK	\N	\N
3514473	9731	1995-09-30	PRIJEM	\N	146	28334	UROK	\N	\N
3514474	9731	1995-10-31	PRIJEM	\N	138	24977	UROK	\N	\N
3514475	9731	1995-11-30	PRIJEM	\N	133	28587	UROK	\N	\N
3514476	9731	1995-12-31	PRIJEM	\N	104	24079	UROK	\N	\N
3514477	9731	1996-01-31	PRIJEM	\N	114	26810	UROK	\N	\N
3514478	9731	1996-02-29	PRIJEM	\N	138	25764	UROK	\N	\N
3514479	9731	1996-03-31	PRIJEM	\N	132	26238	UROK	\N	\N
3514480	9731	1996-04-30	PRIJEM	\N	136	27991	UROK	\N	\N
3514481	9731	1996-05-31	PRIJEM	\N	129	26484	UROK	\N	\N
3514482	9731	1996-06-30	PRIJEM	\N	159	28485	UROK	\N	\N
3514483	9731	1996-07-31	PRIJEM	\N	130	22631	UROK	\N	\N
3514484	9731	1996-08-31	PRIJEM	\N	91	20708	UROK	\N	\N
3514485	9731	1996-09-30	PRIJEM	\N	109	21733	UROK	\N	\N
3514486	9731	1996-10-31	PRIJEM	\N	116	24865	UROK	\N	\N
3514487	9731	1996-11-30	PRIJEM	\N	122	24004	UROK	\N	\N
3514488	9731	1996-12-31	PRIJEM	\N	130	25132	UROK	\N	\N
3514489	9731	1997-01-31	PRIJEM	\N	116	23564	UROK	\N	\N
3514490	9731	1997-02-28	PRIJEM	\N	112	20993	UROK	\N	\N
3514491	9731	1997-03-31	PRIJEM	\N	110	22919	UROK	\N	\N
3514492	9731	1997-04-30	PRIJEM	\N	109	19844	UROK	\N	\N
3514493	9731	1997-05-31	PRIJEM	\N	90	14150	UROK	\N	\N
3514494	9731	1997-06-30	PRIJEM	\N	96	17144	UROK	\N	\N
3514495	9731	1997-07-31	PRIJEM	\N	92	19152	UROK	\N	\N
3514496	9731	1997-08-31	PRIJEM	\N	91	17259	UROK	\N	\N
3514497	9731	1997-09-30	PRIJEM	\N	95	21771	UROK	\N	\N
3514498	9731	1997-10-31	PRIJEM	\N	105	22092	UROK	\N	\N
3514499	9731	1997-11-30	PRIJEM	\N	106	22715	UROK	\N	\N
3514500	9731	1997-12-31	PRIJEM	\N	116	22129	UROK	\N	\N
3514501	9731	1998-01-31	PRIJEM	\N	100	20745	UROK	\N	\N
3514502	9731	1998-02-28	PRIJEM	\N	103	23064	UROK	\N	\N
3514503	9731	1998-03-31	PRIJEM	\N	97	18076	UROK	\N	\N
3514504	9731	1998-04-30	PRIJEM	\N	86	18079	UROK	\N	\N
3514505	9731	1998-05-31	PRIJEM	\N	88	18984	UROK	\N	\N
3514506	9731	1998-06-30	PRIJEM	\N	107	23589	UROK	\N	\N
3514507	9731	1998-07-31	PRIJEM	\N	99	20305	UROK	\N	\N
3514508	9731	1998-08-31	PRIJEM	\N	108	23029	UROK	\N	\N
3514509	9731	1998-09-30	PRIJEM	\N	85	16830	UROK	\N	\N
3514510	9731	1998-10-31	PRIJEM	\N	73	15620	UROK	\N	\N
3514511	9731	1998-11-30	PRIJEM	\N	65	13601	UROK	\N	\N
3514512	9731	1998-12-31	PRIJEM	\N	83	18842	UROK	\N	\N
3514594	9750	1994-07-31	PRIJEM	\N	161	45389	UROK	\N	\N
3514595	9750	1994-08-31	PRIJEM	\N	127	56150	UROK	\N	\N
3514596	9750	1994-09-30	PRIJEM	\N	126	49730	UROK	\N	\N
3514597	9750	1994-10-31	PRIJEM	\N	153	63573	UROK	\N	\N
3514598	9750	1994-11-30	PRIJEM	\N	161	-359	UROK	\N	\N
3514599	9750	1994-11-30	VYDAJ	VYBER	1	-375	SANKC. UROK	\N	\N
3514600	9750	1994-12-31	PRIJEM	\N	10	6845	UROK	\N	\N
3514601	9750	1995-01-31	PRIJEM	\N	36	24207	UROK	\N	\N
3514602	9750	1995-01-31	VYDAJ	VYBER	2	24189	SANKC. UROK	\N	\N
3514603	9750	1995-02-28	PRIJEM	\N	83	36947	UROK	\N	\N
3514604	9750	1995-03-31	PRIJEM	\N	269	90909	UROK	\N	\N
3514605	9750	1995-04-30	PRIJEM	\N	195	95116	UROK	\N	\N
3514606	9750	1995-05-31	PRIJEM	\N	227	54547	UROK	\N	\N
3514607	9750	1995-06-30	PRIJEM	\N	43	5867	UROK	\N	\N
3514608	9750	1995-07-31	PRIJEM	\N	22	7436	UROK	\N	\N
3514609	9750	1995-08-31	PRIJEM	\N	87	35557	UROK	\N	\N
3514610	9750	1995-09-30	PRIJEM	\N	94	21926	UROK	\N	\N
3514611	9750	1995-10-31	PRIJEM	\N	83	21910	UROK	\N	\N
3514612	9750	1995-11-30	PRIJEM	\N	89	28103	UROK	\N	\N
3514613	9750	1995-12-31	PRIJEM	\N	158	52705	UROK	\N	\N
3514614	9750	1996-01-31	PRIJEM	\N	72	45131	UROK	\N	\N
3514615	9750	1996-02-29	PRIJEM	\N	94	44862	UROK	\N	\N
3514616	9750	1996-03-31	PRIJEM	\N	149	42660	UROK	\N	\N
3514617	9750	1996-04-30	PRIJEM	\N	126	37282	UROK	\N	\N
3514618	9750	1996-05-31	PRIJEM	\N	215	64968	UROK	\N	\N
3514619	9750	1996-06-30	PRIJEM	\N	195	71499	UROK	\N	\N
3514620	9750	1996-07-31	PRIJEM	\N	241	59432	UROK	\N	\N
3514621	9750	1996-08-31	PRIJEM	\N	230	74632	UROK	\N	\N
3514622	9750	1996-09-30	PRIJEM	\N	103	47954	UROK	\N	\N
3514623	9750	1996-10-31	PRIJEM	\N	121	52458	UROK	\N	\N
3514624	9750	1996-11-30	PRIJEM	\N	74	38198	UROK	\N	\N
3514625	9750	1996-12-31	PRIJEM	\N	64	26457	UROK	\N	\N
3514626	9750	1997-01-31	PRIJEM	\N	123	34374	UROK	\N	\N
3514627	9750	1997-02-28	PRIJEM	\N	52	13321	UROK	\N	\N
3514628	9750	1997-03-31	PRIJEM	\N	326	94868	UROK	\N	\N
3514629	9750	1997-04-30	PRIJEM	\N	249	72570	UROK	\N	\N
3514630	9750	1997-05-31	PRIJEM	\N	250	47729	UROK	\N	\N
3514631	9750	1997-06-30	PRIJEM	\N	267	64770	UROK	\N	\N
3514632	9750	1997-07-31	PRIJEM	\N	263	49363	UROK	\N	\N
3514633	9750	1997-08-31	PRIJEM	\N	129	33979	UROK	\N	\N
3514634	9750	1997-09-30	PRIJEM	\N	28	27458	UROK	\N	\N
3514635	9750	1997-10-31	PRIJEM	\N	87	24669	UROK	\N	\N
3514636	9750	1997-11-30	PRIJEM	\N	43	24163	UROK	\N	\N
3514637	9750	1997-12-31	PRIJEM	\N	157	52719	UROK	\N	\N
3514638	9750	1998-01-31	PRIJEM	\N	87	47598	UROK	\N	\N
3514639	9750	1998-02-28	PRIJEM	\N	164	37937	UROK	\N	\N
3514640	9750	1998-03-31	PRIJEM	\N	140	77496	UROK	\N	\N
3514641	9750	1998-04-30	PRIJEM	\N	312	62397	UROK	\N	\N
3514642	9750	1998-05-31	PRIJEM	\N	220	40865	UROK	\N	\N
3514643	9750	1998-06-30	PRIJEM	\N	190	36704	UROK	\N	\N
3514644	9750	1998-07-31	PRIJEM	\N	235	57517	UROK	\N	\N
3514645	9750	1998-08-31	PRIJEM	\N	177	33373	UROK	\N	\N
3514646	9750	1998-09-30	PRIJEM	\N	162	49944	UROK	\N	\N
3514647	9750	1998-10-31	PRIJEM	\N	25	21172	UROK	\N	\N
3514648	9750	1998-11-30	PRIJEM	\N	65	25626	UROK	\N	\N
3514649	9750	1998-12-31	PRIJEM	\N	249	108857	UROK	\N	\N
3514795	9790	1995-11-30	PRIJEM	\N	61	58263	UROK	\N	\N
3514796	9790	1995-12-31	PRIJEM	\N	245	55572	UROK	\N	\N
3514797	9790	1996-01-31	PRIJEM	\N	118	19350	UROK	\N	\N
3514798	9790	1996-02-29	PRIJEM	\N	193	80873	UROK	\N	\N
3514799	9790	1996-03-31	PRIJEM	\N	186	28660	UROK	\N	\N
3514800	9790	1996-04-30	PRIJEM	\N	208	78059	UROK	\N	\N
3514801	9790	1996-05-31	PRIJEM	\N	168	22520	UROK	\N	\N
3514802	9790	1996-06-30	PRIJEM	\N	107	20248	UROK	\N	\N
3514803	9790	1996-07-31	PRIJEM	\N	142	25272	UROK	\N	\N
3514804	9790	1996-08-31	PRIJEM	\N	147	61002	UROK	\N	\N
3514805	9790	1996-09-30	PRIJEM	\N	241	50883	UROK	\N	\N
3514806	9790	1996-10-31	PRIJEM	\N	346	103278	UROK	\N	\N
3514807	9790	1996-11-30	PRIJEM	\N	367	91606	UROK	\N	\N
3514808	9790	1996-12-31	PRIJEM	\N	225	87213	UROK	\N	\N
3514809	9790	1997-01-31	PRIJEM	\N	132	21048	UROK	\N	\N
3514810	9790	1997-02-28	PRIJEM	\N	88	18540	UROK	\N	\N
3514811	9790	1997-03-31	PRIJEM	\N	142	93049	UROK	\N	\N
3514812	9790	1997-04-30	PRIJEM	\N	234	40049	UROK	\N	\N
3514813	9790	1997-05-31	PRIJEM	\N	207	81032	UROK	\N	\N
3514814	9790	1997-06-30	PRIJEM	\N	246	44962	UROK	\N	\N
3514815	9790	1997-07-31	PRIJEM	\N	164	41734	UROK	\N	\N
3514816	9790	1997-08-31	PRIJEM	\N	151	44889	UROK	\N	\N
3514817	9790	1997-09-30	PRIJEM	\N	74	29919	UROK	\N	\N
3514818	9790	1997-10-31	PRIJEM	\N	265	65491	UROK	\N	\N
3514819	9790	1997-11-30	PRIJEM	\N	181	44667	UROK	\N	\N
3514820	9790	1997-12-31	PRIJEM	\N	126	43000	UROK	\N	\N
3514821	9790	1998-01-31	PRIJEM	\N	106	58626	UROK	\N	\N
3514822	9790	1998-02-28	PRIJEM	\N	233	51428	UROK	\N	\N
3514823	9790	1998-03-31	PRIJEM	\N	132	45757	UROK	\N	\N
3514824	9790	1998-04-30	PRIJEM	\N	159	71284	UROK	\N	\N
3514825	9790	1998-05-31	PRIJEM	\N	274	69002	UROK	\N	\N
3514826	9790	1998-06-30	PRIJEM	\N	213	57978	UROK	\N	\N
3514827	9790	1998-07-31	PRIJEM	\N	237	76962	UROK	\N	\N
3514828	9790	1998-08-31	PRIJEM	\N	351	88380	UROK	\N	\N
3514829	9790	1998-09-30	PRIJEM	\N	238	82991	UROK	\N	\N
3514830	9790	1998-10-31	PRIJEM	\N	378	107912	UROK	\N	\N
3514831	9790	1998-11-30	PRIJEM	\N	398	92213	UROK	\N	\N
3514832	9790	1998-12-31	PRIJEM	\N	311	64330	UROK	\N	\N
3515088	9814	1995-02-28	PRIJEM	\N	25	39542	UROK	\N	\N
3515089	9814	1995-03-31	PRIJEM	\N	64	43330	UROK	\N	\N
3515090	9814	1995-04-30	PRIJEM	\N	87	62744	UROK	\N	\N
3515091	9814	1995-05-31	PRIJEM	\N	162	44214	UROK	\N	\N
3515092	9814	1995-06-30	PRIJEM	\N	59	34632	UROK	\N	\N
3515093	9814	1995-07-31	PRIJEM	\N	203	63135	UROK	\N	\N
3515094	9814	1995-08-31	PRIJEM	\N	67	34573	UROK	\N	\N
3515095	9814	1995-09-30	PRIJEM	\N	168	42100	UROK	\N	\N
3515096	9814	1995-10-31	PRIJEM	\N	270	52254	UROK	\N	\N
3515097	9814	1995-11-30	PRIJEM	\N	134	33076	UROK	\N	\N
3515098	9814	1995-12-31	PRIJEM	\N	202	92998	UROK	\N	\N
3515099	9814	1996-01-31	PRIJEM	\N	260	59789	UROK	\N	\N
3515100	9814	1996-02-29	PRIJEM	\N	160	95149	UROK	\N	\N
3515101	9814	1996-03-31	PRIJEM	\N	128	29054	UROK	\N	\N
3515102	9814	1996-04-30	PRIJEM	\N	187	56871	UROK	\N	\N
3515103	9814	1996-05-31	PRIJEM	\N	92	61183	UROK	\N	\N
3515104	9814	1996-06-30	PRIJEM	\N	172	45541	UROK	\N	\N
3515105	9814	1996-07-31	PRIJEM	\N	111	28615	UROK	\N	\N
3515106	9814	1996-08-31	PRIJEM	\N	80	23439	UROK	\N	\N
3515107	9814	1996-09-30	PRIJEM	\N	21	3687	UROK	\N	\N
3515108	9814	1996-09-30	VYDAJ	VYBER	5	3694	SANKC. UROK	\N	\N
3515109	9814	1996-10-31	PRIJEM	\N	30	21729	UROK	\N	\N
3515110	9814	1996-11-30	PRIJEM	\N	22	15688	UROK	\N	\N
3515111	9814	1996-12-31	PRIJEM	\N	25	12082	UROK	\N	\N
3515112	9814	1997-01-31	PRIJEM	\N	82	26098	UROK	\N	\N
3515113	9814	1997-02-28	PRIJEM	\N	44	28458	UROK	\N	\N
3515114	9814	1997-03-31	PRIJEM	\N	242	95800	UROK	\N	\N
3515115	9814	1997-04-30	PRIJEM	\N	352	92401	UROK	\N	\N
3515116	9814	1997-05-31	PRIJEM	\N	250	55126	UROK	\N	\N
3515117	9814	1997-06-30	PRIJEM	\N	88	62158	UROK	\N	\N
3515118	9814	1997-06-30	VYDAJ	VYBER	3	62361	SANKC. UROK	\N	\N
3515119	9814	1997-07-31	PRIJEM	\N	245	93878	UROK	\N	\N
3515120	9814	1997-08-31	PRIJEM	\N	294	79168	UROK	\N	\N
3515121	9814	1997-09-30	PRIJEM	\N	133	74854	UROK	\N	\N
3515122	9814	1997-10-31	PRIJEM	\N	157	27466	UROK	\N	\N
3515123	9814	1997-11-30	PRIJEM	\N	169	81930	UROK	\N	\N
3515124	9814	1997-12-31	PRIJEM	\N	209	53212	UROK	\N	\N
3515125	9814	1998-01-31	PRIJEM	\N	245	102980	UROK	\N	\N
3515126	9814	1998-02-28	PRIJEM	\N	261	35784	UROK	\N	\N
3515127	9814	1998-03-31	PRIJEM	\N	277	108388	UROK	\N	\N
3515128	9814	1998-04-30	PRIJEM	\N	300	60794	UROK	\N	\N
3515129	9814	1998-05-31	PRIJEM	\N	195	99691	UROK	\N	\N
3515130	9814	1998-06-30	PRIJEM	\N	168	62484	UROK	\N	\N
3515131	9814	1998-07-31	PRIJEM	\N	278	85047	UROK	\N	\N
3515132	9814	1998-08-31	PRIJEM	\N	267	93108	UROK	\N	\N
3515133	9814	1998-09-30	PRIJEM	\N	362	110416	UROK	\N	\N
3515134	9814	1998-10-31	PRIJEM	\N	407	98428	UROK	\N	\N
3515135	9814	1998-11-30	PRIJEM	\N	399	106377	UROK	\N	\N
3515136	9814	1998-12-31	PRIJEM	\N	127	81256	UROK	\N	\N
3515208	9826	1996-10-31	PRIJEM	\N	47	38510	UROK	\N	\N
3515209	9826	1996-11-30	PRIJEM	\N	67	53900	UROK	\N	\N
3515210	9826	1996-12-31	PRIJEM	\N	210	56477	UROK	\N	\N
3515211	9826	1997-01-31	PRIJEM	\N	141	24286	UROK	\N	\N
3515212	9826	1997-02-28	PRIJEM	\N	114	22223	UROK	\N	\N
3515213	9826	1997-03-31	PRIJEM	\N	80	35477	UROK	\N	\N
3515214	9826	1997-04-30	PRIJEM	\N	138	44699	UROK	\N	\N
3515215	9826	1997-05-31	PRIJEM	\N	73	34985	UROK	\N	\N
3515216	9826	1997-06-30	PRIJEM	\N	84	66130	UROK	\N	\N
3515217	9826	1997-07-31	PRIJEM	\N	72	54558	UROK	\N	\N
3515218	9826	1997-08-31	PRIJEM	\N	37	15331	UROK	\N	\N
3515219	9826	1997-09-30	PRIJEM	\N	58	2333	UROK	\N	\N
3515220	9826	1997-10-31	PRIJEM	\N	17	14603	UROK	\N	\N
3515221	9826	1997-11-30	PRIJEM	\N	19	10527	UROK	\N	\N
3515222	9826	1997-12-31	PRIJEM	\N	81	17622	UROK	\N	\N
3515223	9826	1998-01-31	PRIJEM	\N	78	15564	UROK	\N	\N
3515224	9826	1998-02-28	PRIJEM	\N	84	30321	UROK	\N	\N
3515225	9826	1998-03-31	PRIJEM	\N	31	8690	UROK	\N	\N
3515226	9826	1998-04-30	PRIJEM	\N	40	13203	UROK	\N	\N
3515227	9826	1998-05-31	PRIJEM	\N	82	21833	UROK	\N	\N
3515228	9826	1998-06-30	PRIJEM	\N	85	11603	UROK	\N	\N
3515229	9826	1998-07-31	PRIJEM	\N	229	74196	UROK	\N	\N
3515230	9826	1998-08-31	PRIJEM	\N	97	40439	UROK	\N	\N
3515231	9826	1998-09-30	PRIJEM	\N	85	55241	UROK	\N	\N
3515232	9826	1998-10-31	PRIJEM	\N	241	74872	UROK	\N	\N
3515233	9826	1998-11-30	PRIJEM	\N	191	90922	UROK	\N	\N
3515234	9826	1998-12-31	PRIJEM	\N	218	45441	UROK	\N	\N
3515260	9828	1993-06-30	PRIJEM	\N	62	37434	UROK	\N	\N
3515261	9828	1993-07-31	PRIJEM	\N	172	47055	UROK	\N	\N
3515262	9828	1993-08-31	PRIJEM	\N	200	49302	UROK	\N	\N
3515263	9828	1993-09-30	PRIJEM	\N	213	53763	UROK	\N	\N
3515264	9828	1993-10-31	PRIJEM	\N	225	53937	UROK	\N	\N
3515265	9828	1993-11-30	PRIJEM	\N	216	46586	UROK	\N	\N
3515266	9828	1993-12-31	PRIJEM	\N	273	49816	UROK	\N	\N
3515267	9828	1994-01-31	PRIJEM	\N	182	22330	UROK	\N	\N
3515268	9828	1994-02-28	PRIJEM	\N	157	35720	UROK	\N	\N
3515269	9828	1994-03-31	PRIJEM	\N	199	30126	UROK	\N	\N
3515270	9828	1994-04-30	PRIJEM	\N	133	28144	UROK	\N	\N
3515271	9828	1994-05-31	PRIJEM	\N	171	26406	UROK	\N	\N
3515272	9828	1994-06-30	PRIJEM	\N	191	37754	UROK	\N	\N
3515273	9828	1994-07-31	PRIJEM	\N	154	33179	UROK	\N	\N
3515274	9828	1994-08-31	PRIJEM	\N	172	45084	UROK	\N	\N
3515275	9828	1994-09-30	PRIJEM	\N	196	41713	UROK	\N	\N
3515276	9828	1994-10-31	PRIJEM	\N	174	26821	UROK	\N	\N
3515277	9828	1994-11-30	PRIJEM	\N	137	29335	UROK	\N	\N
3515278	9828	1994-12-31	PRIJEM	\N	204	46297	UROK	\N	\N
3515279	9828	1995-01-31	PRIJEM	\N	137	24190	UROK	\N	\N
3515280	9828	1995-02-28	PRIJEM	\N	153	37076	UROK	\N	\N
3515281	9828	1995-03-31	PRIJEM	\N	183	38087	UROK	\N	\N
3515282	9828	1995-04-30	PRIJEM	\N	175	42695	UROK	\N	\N
3515283	9828	1995-05-31	PRIJEM	\N	178	35917	UROK	\N	\N
3515284	9828	1995-06-30	PRIJEM	\N	191	49290	UROK	\N	\N
3515285	9828	1995-07-31	PRIJEM	\N	203	34018	UROK	\N	\N
3515286	9828	1995-08-31	PRIJEM	\N	145	29782	UROK	\N	\N
3515287	9828	1995-09-30	PRIJEM	\N	158	37208	UROK	\N	\N
3515288	9828	1995-10-31	PRIJEM	\N	163	39129	UROK	\N	\N
3515289	9828	1995-11-30	PRIJEM	\N	162	28376	UROK	\N	\N
3515290	9828	1995-12-31	PRIJEM	\N	119	23978	UROK	\N	\N
3515291	9828	1996-01-31	PRIJEM	\N	92	19676	UROK	\N	\N
3515292	9828	1996-02-29	PRIJEM	\N	168	42602	UROK	\N	\N
3515293	9828	1996-03-31	PRIJEM	\N	198	39559	UROK	\N	\N
3515294	9828	1996-04-30	PRIJEM	\N	216	52834	UROK	\N	\N
3515295	9828	1996-05-31	PRIJEM	\N	249	60041	UROK	\N	\N
3515296	9828	1996-06-30	PRIJEM	\N	325	80048	UROK	\N	\N
3515297	9828	1996-07-31	PRIJEM	\N	321	76128	UROK	\N	\N
3515298	9828	1996-08-31	PRIJEM	\N	298	70285	UROK	\N	\N
3515299	9828	1996-09-30	PRIJEM	\N	230	44479	UROK	\N	\N
3515300	9828	1996-10-31	PRIJEM	\N	226	54963	UROK	\N	\N
3515301	9828	1996-11-30	PRIJEM	\N	241	56963	UROK	\N	\N
3515302	9828	1996-12-31	PRIJEM	\N	264	37610	UROK	\N	\N
3515303	9828	1997-01-31	PRIJEM	\N	170	17438	UROK	\N	\N
3515304	9828	1997-02-28	PRIJEM	\N	132	41706	UROK	\N	\N
3515305	9828	1997-03-31	PRIJEM	\N	175	30341	UROK	\N	\N
3515306	9828	1997-04-30	PRIJEM	\N	186	32286	UROK	\N	\N
3515307	9828	1997-05-31	PRIJEM	\N	174	27893	UROK	\N	\N
3515308	9828	1997-06-30	PRIJEM	\N	167	24213	UROK	\N	\N
3515309	9828	1997-07-31	PRIJEM	\N	167	31513	UROK	\N	\N
3515310	9828	1997-08-31	PRIJEM	\N	189	35236	UROK	\N	\N
3515311	9828	1997-09-30	PRIJEM	\N	196	36565	UROK	\N	\N
3515312	9828	1997-10-31	PRIJEM	\N	173	40372	UROK	\N	\N
3515313	9828	1997-11-30	PRIJEM	\N	202	33007	UROK	\N	\N
3515314	9828	1997-12-31	PRIJEM	\N	169	22023	UROK	\N	\N
3515315	9828	1998-01-31	PRIJEM	\N	125	25882	UROK	\N	\N
3515316	9828	1998-02-28	PRIJEM	\N	110	16385	UROK	\N	\N
3515317	9828	1998-03-31	PRIJEM	\N	117	29435	UROK	\N	\N
3515318	9828	1998-04-30	PRIJEM	\N	155	33945	UROK	\N	\N
3515319	9828	1998-05-31	PRIJEM	\N	138	23107	UROK	\N	\N
3515320	9828	1998-06-30	PRIJEM	\N	121	27485	UROK	\N	\N
3515321	9828	1998-07-31	PRIJEM	\N	128	31634	UROK	\N	\N
3515322	9828	1998-08-31	PRIJEM	\N	190	45157	UROK	\N	\N
3515323	9828	1998-09-30	PRIJEM	\N	192	38113	UROK	\N	\N
3515324	9828	1998-10-31	PRIJEM	\N	148	29200	UROK	\N	\N
3515325	9828	1998-11-30	PRIJEM	\N	160	29711	UROK	\N	\N
3515326	9828	1998-12-31	PRIJEM	\N	197	38073	UROK	\N	\N
3515352	9833	1993-08-31	PRIJEM	\N	47	38663	UROK	\N	\N
3515353	9833	1993-09-30	PRIJEM	\N	182	55360	UROK	\N	\N
3515354	9833	1993-10-31	PRIJEM	\N	240	62716	UROK	\N	\N
3515355	9833	1993-11-30	PRIJEM	\N	244	46676	UROK	\N	\N
3515356	9833	1993-12-31	PRIJEM	\N	168	29422	UROK	\N	\N
3515357	9833	1994-01-31	PRIJEM	\N	180	21658	UROK	\N	\N
3515358	9833	1994-02-28	PRIJEM	\N	166	38779	UROK	\N	\N
3515359	9833	1994-03-31	PRIJEM	\N	190	38217	UROK	\N	\N
3515360	9833	1994-04-30	PRIJEM	\N	180	30575	UROK	\N	\N
3515361	9833	1994-05-31	PRIJEM	\N	185	41515	UROK	\N	\N
3515362	9833	1994-06-30	PRIJEM	\N	241	45284	UROK	\N	\N
3515363	9833	1994-07-31	PRIJEM	\N	178	27540	UROK	\N	\N
3515364	9833	1994-08-31	PRIJEM	\N	173	43232	UROK	\N	\N
3515365	9833	1994-09-30	PRIJEM	\N	176	28553	UROK	\N	\N
3515366	9833	1994-10-31	PRIJEM	\N	171	38394	UROK	\N	\N
3515367	9833	1994-11-30	PRIJEM	\N	198	46612	UROK	\N	\N
3515368	9833	1994-12-31	PRIJEM	\N	235	49518	UROK	\N	\N
3515369	9833	1995-01-31	PRIJEM	\N	182	33319	UROK	\N	\N
3515370	9833	1995-02-28	PRIJEM	\N	165	37175	UROK	\N	\N
3515371	9833	1995-03-31	PRIJEM	\N	157	23673	UROK	\N	\N
3515372	9833	1995-04-30	PRIJEM	\N	156	41648	UROK	\N	\N
3515373	9833	1995-05-31	PRIJEM	\N	170	31311	UROK	\N	\N
3515374	9833	1995-06-30	PRIJEM	\N	205	30863	UROK	\N	\N
3515375	9833	1995-07-31	PRIJEM	\N	164	26578	UROK	\N	\N
3515376	9833	1995-08-31	PRIJEM	\N	195	47128	UROK	\N	\N
3515377	9833	1995-09-30	PRIJEM	\N	186	37253	UROK	\N	\N
3515378	9833	1995-10-31	PRIJEM	\N	194	22376	UROK	\N	\N
3515379	9833	1995-11-30	PRIJEM	\N	153	39485	UROK	\N	\N
3515380	9833	1995-12-31	PRIJEM	\N	181	32228	UROK	\N	\N
3515381	9833	1996-01-31	PRIJEM	\N	135	22719	UROK	\N	\N
3515382	9833	1996-02-29	PRIJEM	\N	150	35324	UROK	\N	\N
3515383	9833	1996-03-31	PRIJEM	\N	174	36254	UROK	\N	\N
3515384	9833	1996-04-30	PRIJEM	\N	165	38274	UROK	\N	\N
3515385	9833	1996-05-31	PRIJEM	\N	184	41413	UROK	\N	\N
3515386	9833	1996-06-30	PRIJEM	\N	162	27738	UROK	\N	\N
3515387	9833	1996-07-31	PRIJEM	\N	174	40168	UROK	\N	\N
3515388	9833	1996-08-31	PRIJEM	\N	257	66880	UROK	\N	\N
3515389	9833	1996-09-30	PRIJEM	\N	248	57384	UROK	\N	\N
3515390	9833	1996-10-31	PRIJEM	\N	223	42362	UROK	\N	\N
3515391	9833	1996-11-30	PRIJEM	\N	300	76517	UROK	\N	\N
3515392	9833	1996-12-31	PRIJEM	\N	275	51339	UROK	\N	\N
3515393	9833	1997-01-31	PRIJEM	\N	240	45977	UROK	\N	\N
3515394	9833	1997-02-28	PRIJEM	\N	311	69543	UROK	\N	\N
3515395	9833	1997-03-31	PRIJEM	\N	217	36115	UROK	\N	\N
3515396	9833	1997-04-30	PRIJEM	\N	270	68841	UROK	\N	\N
3515397	9833	1997-05-31	PRIJEM	\N	284	58380	UROK	\N	\N
3515398	9833	1997-06-30	PRIJEM	\N	253	55196	UROK	\N	\N
3515399	9833	1997-07-31	PRIJEM	\N	304	80056	UROK	\N	\N
3515400	9833	1997-08-31	PRIJEM	\N	192	32903	UROK	\N	\N
3515401	9833	1997-09-30	PRIJEM	\N	252	68110	UROK	\N	\N
3515402	9833	1997-10-31	PRIJEM	\N	332	77698	UROK	\N	\N
3515403	9833	1997-11-30	PRIJEM	\N	189	44142	UROK	\N	\N
3515404	9833	1997-12-31	PRIJEM	\N	225	49530	UROK	\N	\N
3515405	9833	1998-01-31	PRIJEM	\N	185	41611	UROK	\N	\N
3515406	9833	1998-02-28	PRIJEM	\N	247	60813	UROK	\N	\N
3515407	9833	1998-03-31	PRIJEM	\N	296	62617	UROK	\N	\N
3515408	9833	1998-04-30	PRIJEM	\N	309	67355	UROK	\N	\N
3515409	9833	1998-05-31	PRIJEM	\N	245	55056	UROK	\N	\N
3515410	9833	1998-06-30	PRIJEM	\N	351	67218	UROK	\N	\N
3515411	9833	1998-07-31	PRIJEM	\N	228	53101	UROK	\N	\N
3515412	9833	1998-08-31	PRIJEM	\N	295	70052	UROK	\N	\N
3515413	9833	1998-09-30	PRIJEM	\N	251	52599	UROK	\N	\N
3515414	9833	1998-10-31	PRIJEM	\N	265	55164	UROK	\N	\N
3515415	9833	1998-11-30	PRIJEM	\N	289	65109	UROK	\N	\N
3515416	9833	1998-12-31	PRIJEM	\N	184	37756	UROK	\N	\N
3515417	9859	1996-08-31	PRIJEM	\N	137	42600	UROK	\N	\N
3515418	9859	1996-09-30	PRIJEM	\N	242	63105	UROK	\N	\N
3515419	9859	1996-10-31	PRIJEM	\N	304	76172	UROK	\N	\N
3515420	9859	1996-11-30	PRIJEM	\N	341	83976	UROK	\N	\N
3515421	9859	1996-12-31	PRIJEM	\N	398	95803	UROK	\N	\N
3515422	9859	1997-01-31	PRIJEM	\N	214	25683	UROK	\N	\N
3515423	9859	1997-02-28	PRIJEM	\N	182	45965	UROK	\N	\N
3515424	9859	1997-03-31	PRIJEM	\N	213	36173	UROK	\N	\N
3515425	9859	1997-04-30	PRIJEM	\N	172	41138	UROK	\N	\N
3515426	9859	1997-05-31	PRIJEM	\N	215	54353	UROK	\N	\N
3515427	9859	1997-06-30	PRIJEM	\N	300	77483	UROK	\N	\N
3515428	9859	1997-07-31	PRIJEM	\N	279	71362	UROK	\N	\N
3515429	9859	1997-08-31	PRIJEM	\N	273	58535	UROK	\N	\N
3515430	9859	1997-09-30	PRIJEM	\N	237	31236	UROK	\N	\N
3515431	9859	1997-10-31	PRIJEM	\N	176	40310	UROK	\N	\N
3515432	9859	1997-11-30	PRIJEM	\N	207	52406	UROK	\N	\N
3515433	9859	1997-12-31	PRIJEM	\N	231	39558	UROK	\N	\N
3515434	9859	1998-01-31	PRIJEM	\N	194	31140	UROK	\N	\N
3515435	9859	1998-02-28	PRIJEM	\N	194	33654	UROK	\N	\N
3515436	9859	1998-03-31	PRIJEM	\N	188	32804	UROK	\N	\N
3515437	9859	1998-04-30	PRIJEM	\N	205	42198	UROK	\N	\N
3515438	9859	1998-05-31	PRIJEM	\N	241	46527	UROK	\N	\N
3515439	9859	1998-06-30	PRIJEM	\N	222	43917	UROK	\N	\N
3515440	9859	1998-07-31	PRIJEM	\N	220	41926	UROK	\N	\N
3515441	9859	1998-08-31	PRIJEM	\N	208	41722	UROK	\N	\N
3515442	9859	1998-09-30	PRIJEM	\N	182	35497	UROK	\N	\N
3515443	9859	1998-10-31	PRIJEM	\N	206	40892	UROK	\N	\N
3515444	9859	1998-11-30	PRIJEM	\N	208	41388	UROK	\N	\N
3515445	9859	1998-12-31	PRIJEM	\N	267	49075	UROK	\N	\N
3515478	9869	1993-09-30	PRIJEM	\N	36	23820	UROK	\N	\N
3515479	9869	1993-10-31	PRIJEM	\N	114	33018	UROK	\N	\N
3515480	9869	1993-11-30	PRIJEM	\N	146	38649	UROK	\N	\N
3515481	9869	1993-12-31	PRIJEM	\N	179	49103	UROK	\N	\N
3515482	9869	1994-01-31	PRIJEM	\N	200	46787	UROK	\N	\N
3515483	9869	1994-02-28	PRIJEM	\N	179	35550	UROK	\N	\N
3515484	9869	1994-03-31	PRIJEM	\N	144	33378	UROK	\N	\N
3515485	9869	1994-04-30	PRIJEM	\N	136	31558	UROK	\N	\N
3515486	9869	1994-05-31	PRIJEM	\N	132	34575	UROK	\N	\N
3515487	9869	1994-06-30	PRIJEM	\N	155	39807	UROK	\N	\N
3515488	9869	1994-07-31	PRIJEM	\N	158	33469	UROK	\N	\N
3515489	9869	1994-08-31	PRIJEM	\N	126	32180	UROK	\N	\N
3515490	9869	1994-09-30	PRIJEM	\N	133	32937	UROK	\N	\N
3515491	9869	1994-10-31	PRIJEM	\N	127	33909	UROK	\N	\N
3515492	9869	1994-11-30	PRIJEM	\N	140	38034	UROK	\N	\N
3515493	9869	1994-12-31	PRIJEM	\N	162	44152	UROK	\N	\N
3515494	9869	1995-01-31	PRIJEM	\N	196	43132	UROK	\N	\N
3515495	9869	1995-02-28	PRIJEM	\N	191	50908	UROK	\N	\N
3515496	9869	1995-03-31	PRIJEM	\N	193	44945	UROK	\N	\N
3515497	9869	1995-04-30	PRIJEM	\N	195	40538	UROK	\N	\N
3515498	9869	1995-05-31	PRIJEM	\N	180	42177	UROK	\N	\N
3515499	9869	1995-06-30	PRIJEM	\N	209	61956	UROK	\N	\N
3515500	9869	1995-07-31	PRIJEM	\N	249	61863	UROK	\N	\N
3515501	9869	1995-08-31	PRIJEM	\N	238	53799	UROK	\N	\N
3515502	9869	1995-09-30	PRIJEM	\N	214	54772	UROK	\N	\N
3515503	9869	1995-10-31	PRIJEM	\N	221	56651	UROK	\N	\N
3515504	9869	1995-11-30	PRIJEM	\N	236	61245	UROK	\N	\N
3515505	9869	1995-12-31	PRIJEM	\N	265	71221	UROK	\N	\N
3515506	9869	1996-01-31	PRIJEM	\N	268	65207	UROK	\N	\N
3515507	9869	1996-02-29	PRIJEM	\N	259	65425	UROK	\N	\N
3515508	9869	1996-03-31	PRIJEM	\N	261	65844	UROK	\N	\N
3515509	9869	1996-04-30	PRIJEM	\N	251	61053	UROK	\N	\N
3515510	9869	1996-05-31	PRIJEM	\N	253	65565	UROK	\N	\N
3515511	9869	1996-06-30	PRIJEM	\N	276	74491	UROK	\N	\N
3515512	9869	1996-07-31	PRIJEM	\N	265	62234	UROK	\N	\N
3515513	9869	1996-08-31	PRIJEM	\N	226	54638	UROK	\N	\N
3515514	9869	1996-09-30	PRIJEM	\N	219	57716	UROK	\N	\N
3515515	9869	1996-10-31	PRIJEM	\N	235	61509	UROK	\N	\N
3515516	9869	1996-11-30	PRIJEM	\N	244	63612	UROK	\N	\N
3515517	9869	1996-12-31	PRIJEM	\N	264	71526	UROK	\N	\N
3515518	9869	1997-01-31	PRIJEM	\N	280	71864	UROK	\N	\N
3515519	9869	1997-02-28	PRIJEM	\N	266	69288	UROK	\N	\N
3515520	9869	1997-03-31	PRIJEM	\N	280	72427	UROK	\N	\N
3515521	9869	1997-04-30	PRIJEM	\N	298	77083	UROK	\N	\N
3515522	9869	1997-05-31	PRIJEM	\N	319	79360	UROK	\N	\N
3515523	9869	1997-06-30	PRIJEM	\N	350	93860	UROK	\N	\N
3515524	9869	1997-07-31	PRIJEM	\N	351	88569	UROK	\N	\N
3515525	9869	1997-08-31	PRIJEM	\N	326	72353	UROK	\N	\N
3515526	9869	1997-09-30	PRIJEM	\N	309	74820	UROK	\N	\N
3515527	9869	1997-10-31	PRIJEM	\N	310	71288	UROK	\N	\N
3515528	9869	1997-11-30	PRIJEM	\N	300	73247	UROK	\N	\N
3515529	9869	1997-12-31	PRIJEM	\N	330	74867	UROK	\N	\N
3515530	9869	1998-01-31	PRIJEM	\N	315	74540	UROK	\N	\N
3515531	9869	1998-02-28	PRIJEM	\N	313	73411	UROK	\N	\N
3515532	9869	1998-03-31	PRIJEM	\N	310	74880	UROK	\N	\N
3515533	9869	1998-04-30	PRIJEM	\N	315	75354	UROK	\N	\N
3515534	9869	1998-05-31	PRIJEM	\N	316	71208	UROK	\N	\N
3515535	9869	1998-06-30	PRIJEM	\N	312	83350	UROK	\N	\N
3515536	9869	1998-07-31	PRIJEM	\N	348	83657	UROK	\N	\N
3515537	9869	1998-08-31	PRIJEM	\N	349	84664	UROK	\N	\N
3515538	9869	1998-09-30	PRIJEM	\N	352	86275	UROK	\N	\N
3515539	9869	1998-10-31	PRIJEM	\N	337	82090	UROK	\N	\N
3515540	9869	1998-11-30	PRIJEM	\N	340	83588	UROK	\N	\N
3515541	9869	1998-12-31	PRIJEM	\N	363	85701	UROK	\N	\N
3515634	9883	1993-08-31	PRIJEM	\N	57	26561	UROK	\N	\N
3515635	9883	1993-09-30	PRIJEM	\N	110	25071	UROK	\N	\N
3515636	9883	1993-10-31	PRIJEM	\N	110	25682	UROK	\N	\N
3515637	9883	1993-11-30	PRIJEM	\N	110	26492	UROK	\N	\N
3515638	9883	1993-12-31	PRIJEM	\N	110	23403	UROK	\N	\N
3515639	9883	1994-01-31	PRIJEM	\N	164	46587	UROK	\N	\N
3515640	9883	1994-02-28	PRIJEM	\N	245	76705	UROK	\N	\N
3515641	9883	1994-03-31	PRIJEM	\N	255	77097	UROK	\N	\N
3515642	9883	1994-04-30	PRIJEM	\N	266	52236	UROK	\N	\N
3515643	9883	1994-05-31	PRIJEM	\N	243	44163	UROK	\N	\N
3515644	9883	1994-06-30	PRIJEM	\N	156	36538	UROK	\N	\N
3515645	9883	1994-07-31	PRIJEM	\N	127	24655	UROK	\N	\N
3515646	9883	1994-08-31	PRIJEM	\N	114	35348	UROK	\N	\N
3515647	9883	1994-09-30	PRIJEM	\N	264	78586	UROK	\N	\N
3515648	9883	1994-10-31	PRIJEM	\N	249	58241	UROK	\N	\N
3515649	9883	1994-11-30	PRIJEM	\N	181	22242	UROK	\N	\N
3515650	9883	1994-12-31	PRIJEM	\N	259	97580	UROK	\N	\N
3515651	9883	1995-01-31	PRIJEM	\N	139	8236	UROK	\N	\N
3515652	9883	1995-02-28	PRIJEM	\N	136	53619	UROK	\N	\N
3515653	9883	1995-03-31	PRIJEM	\N	146	16417	UROK	\N	\N
3515654	9883	1995-04-30	PRIJEM	\N	64	3170	UROK	\N	\N
3515655	9883	1995-05-31	PRIJEM	\N	6	669	UROK	\N	\N
3515656	9883	1995-06-30	PRIJEM	\N	24	8562	UROK	\N	\N
3515657	9883	1995-07-31	PRIJEM	\N	28	6082	UROK	\N	\N
3515658	9883	1995-08-31	PRIJEM	\N	43	6918	UROK	\N	\N
3515659	9883	1995-09-30	PRIJEM	\N	23	18525	UROK	\N	\N
3515660	9883	1995-09-30	VYDAJ	VYBER	4	18506	SANKC. UROK	\N	\N
3515661	9883	1995-10-31	PRIJEM	\N	122	36805	UROK	\N	\N
3515662	9883	1995-11-30	PRIJEM	\N	220	50622	UROK	\N	\N
3515663	9883	1995-12-31	PRIJEM	\N	133	21543	UROK	\N	\N
3515664	9883	1996-01-31	PRIJEM	\N	61	21946	UROK	\N	\N
3515665	9883	1996-02-29	PRIJEM	\N	64	9199	UROK	\N	\N
3515666	9883	1996-03-31	PRIJEM	\N	140	33039	UROK	\N	\N
3515667	9883	1996-04-30	PRIJEM	\N	67	3095	UROK	\N	\N
3515668	9883	1996-05-31	PRIJEM	\N	5	592	UROK	\N	\N
3515669	9883	1996-06-30	PRIJEM	\N	1	-135	UROK	\N	\N
3515670	9883	1996-06-30	VYDAJ	VYBER	0	-150	SANKC. UROK	\N	\N
3515671	9883	1996-07-31	PRIJEM	\N	57	32527	UROK	\N	\N
3515672	9883	1996-07-31	VYDAJ	VYBER	2	32525	SANKC. UROK	\N	\N
3515673	9883	1996-08-31	PRIJEM	\N	66	19555	UROK	\N	\N
3515674	9883	1996-09-30	PRIJEM	\N	48	14191	UROK	\N	\N
3515675	9883	1996-10-31	PRIJEM	\N	27	13807	UROK	\N	\N
3515676	9883	1996-10-31	VYDAJ	VYBER	7	13785	SANKC. UROK	\N	\N
3515677	9883	1996-11-30	PRIJEM	\N	68	60866	UROK	\N	\N
3515678	9883	1996-11-30	VYDAJ	VYBER	7	60860	SANKC. UROK	\N	\N
3515679	9883	1996-12-31	PRIJEM	\N	219	31367	UROK	\N	\N
3515680	9883	1997-01-31	PRIJEM	\N	159	41210	UROK	\N	\N
3515681	9883	1997-02-28	PRIJEM	\N	155	22254	UROK	\N	\N
3515682	9883	1997-03-31	PRIJEM	\N	132	30456	UROK	\N	\N
3515683	9883	1997-04-30	PRIJEM	\N	199	41064	UROK	\N	\N
3515684	9883	1997-05-31	PRIJEM	\N	188	30148	UROK	\N	\N
3515685	9883	1997-06-30	PRIJEM	\N	108	16144	UROK	\N	\N
3515686	9883	1997-07-31	PRIJEM	\N	71	26491	UROK	\N	\N
3515687	9883	1997-08-31	PRIJEM	\N	172	74819	UROK	\N	\N
3515688	9883	1997-09-30	PRIJEM	\N	183	43974	UROK	\N	\N
3515689	9883	1997-10-31	PRIJEM	\N	136	23998	UROK	\N	\N
3515690	9883	1997-11-30	PRIJEM	\N	115	31963	UROK	\N	\N
3515691	9883	1997-12-31	PRIJEM	\N	211	23502	UROK	\N	\N
3515692	9883	1998-01-31	PRIJEM	\N	134	23310	UROK	\N	\N
3515693	9883	1998-02-28	PRIJEM	\N	116	22780	UROK	\N	\N
3515694	9883	1998-03-31	PRIJEM	\N	68	24374	UROK	\N	\N
3515695	9883	1998-04-30	PRIJEM	\N	60	9422	UROK	\N	\N
3515696	9883	1998-05-31	PRIJEM	\N	126	88773	UROK	\N	\N
3515697	9883	1998-06-30	PRIJEM	\N	245	33609	UROK	\N	\N
3515698	9883	1998-07-31	PRIJEM	\N	138	19707	UROK	\N	\N
3515699	9883	1998-08-31	PRIJEM	\N	91	22435	UROK	\N	\N
3515700	9883	1998-09-30	PRIJEM	\N	142	74601	UROK	\N	\N
3515701	9883	1998-10-31	PRIJEM	\N	292	72706	UROK	\N	\N
3515702	9883	1998-11-30	PRIJEM	\N	319	43826	UROK	\N	\N
3515703	9883	1998-12-31	PRIJEM	\N	118	45968	UROK	\N	\N
3515953	9897	1995-03-31	PRIJEM	\N	64	18445	UROK	\N	\N
3515954	9897	1995-04-30	PRIJEM	\N	148	39074	UROK	\N	\N
3515955	9897	1995-05-31	PRIJEM	\N	205	51360	UROK	\N	\N
3515956	9897	1995-06-30	PRIJEM	\N	256	63738	UROK	\N	\N
3515957	9897	1995-07-31	PRIJEM	\N	216	44362	UROK	\N	\N
3515958	9897	1995-08-31	PRIJEM	\N	142	29771	UROK	\N	\N
3515959	9897	1995-09-30	PRIJEM	\N	132	29270	UROK	\N	\N
3515960	9897	1995-10-31	PRIJEM	\N	137	31161	UROK	\N	\N
3515961	9897	1995-11-30	PRIJEM	\N	142	24756	UROK	\N	\N
3515962	9897	1995-12-31	PRIJEM	\N	145	25796	UROK	\N	\N
3515963	9897	1996-01-31	PRIJEM	\N	99	23549	UROK	\N	\N
3515964	9897	1996-02-29	PRIJEM	\N	85	19417	UROK	\N	\N
3515965	9897	1996-03-31	PRIJEM	\N	97	20368	UROK	\N	\N
3515966	9897	1996-04-30	PRIJEM	\N	103	23225	UROK	\N	\N
3515967	9897	1996-05-31	PRIJEM	\N	114	23213	UROK	\N	\N
3515968	9897	1996-06-30	PRIJEM	\N	102	24785	UROK	\N	\N
3515969	9897	1996-07-31	PRIJEM	\N	121	27359	UROK	\N	\N
3515970	9897	1996-08-31	PRIJEM	\N	128	26541	UROK	\N	\N
3515971	9897	1996-09-30	PRIJEM	\N	128	28923	UROK	\N	\N
3515972	9897	1996-10-31	PRIJEM	\N	135	26426	UROK	\N	\N
3515973	9897	1996-11-30	PRIJEM	\N	124	25117	UROK	\N	\N
3515974	9897	1996-12-31	PRIJEM	\N	142	26467	UROK	\N	\N
3515975	9897	1997-01-31	PRIJEM	\N	90	19538	UROK	\N	\N
3515976	9897	1997-02-28	PRIJEM	\N	107	24812	UROK	\N	\N
3515977	9897	1997-03-31	PRIJEM	\N	114	22593	UROK	\N	\N
3515978	9897	1997-04-30	PRIJEM	\N	110	23870	UROK	\N	\N
3515979	9897	1997-05-31	PRIJEM	\N	105	21042	UROK	\N	\N
3515980	9897	1997-06-30	PRIJEM	\N	124	24474	UROK	\N	\N
3515981	9897	1997-07-31	PRIJEM	\N	114	24755	UROK	\N	\N
3515982	9897	1997-08-31	PRIJEM	\N	119	22465	UROK	\N	\N
3515983	9897	1997-09-30	PRIJEM	\N	90	19044	UROK	\N	\N
3515984	9897	1997-10-31	PRIJEM	\N	106	25817	UROK	\N	\N
3515985	9897	1997-11-30	PRIJEM	\N	120	25805	UROK	\N	\N
3515986	9897	1997-12-31	PRIJEM	\N	135	28449	UROK	\N	\N
3515987	9897	1998-01-31	PRIJEM	\N	96	20490	UROK	\N	\N
3515988	9897	1998-02-28	PRIJEM	\N	108	27065	UROK	\N	\N
3515989	9897	1998-03-31	PRIJEM	\N	93	22109	UROK	\N	\N
3515990	9897	1998-04-30	PRIJEM	\N	104	18988	UROK	\N	\N
3515991	9897	1998-05-31	PRIJEM	\N	103	24958	UROK	\N	\N
3515992	9897	1998-06-30	PRIJEM	\N	143	33409	UROK	\N	\N
3515993	9897	1998-07-31	PRIJEM	\N	116	19160	UROK	\N	\N
3515994	9897	1998-08-31	PRIJEM	\N	117	29544	UROK	\N	\N
3515995	9897	1998-09-30	PRIJEM	\N	136	26821	UROK	\N	\N
3515996	9897	1998-10-31	PRIJEM	\N	135	23623	UROK	\N	\N
3515997	9897	1998-11-30	PRIJEM	\N	143	38633	UROK	\N	\N
3515998	9897	1998-12-31	PRIJEM	\N	210	45652	UROK	\N	\N
3516218	9928	1995-11-30	PRIJEM	\N	32	12074	UROK	\N	\N
3516219	9928	1995-12-31	PRIJEM	\N	113	35500	UROK	\N	\N
3516220	9928	1996-01-31	PRIJEM	\N	166	42508	UROK	\N	\N
3516221	9928	1996-02-29	PRIJEM	\N	186	46035	UROK	\N	\N
3516222	9928	1996-03-31	PRIJEM	\N	178	40059	UROK	\N	\N
3516223	9928	1996-04-30	PRIJEM	\N	172	42842	UROK	\N	\N
3516224	9928	1996-05-31	PRIJEM	\N	176	43530	UROK	\N	\N
3516225	9928	1996-06-30	PRIJEM	\N	195	49807	UROK	\N	\N
3516226	9928	1996-07-31	PRIJEM	\N	204	42242	UROK	\N	\N
3516227	9928	1996-08-31	PRIJEM	\N	186	46151	UROK	\N	\N
3516228	9928	1996-09-30	PRIJEM	\N	192	46145	UROK	\N	\N
3516229	9928	1996-10-31	PRIJEM	\N	205	45232	UROK	\N	\N
3516230	9928	1996-11-30	PRIJEM	\N	192	41347	UROK	\N	\N
3516231	9928	1996-12-31	PRIJEM	\N	200	51721	UROK	\N	\N
3516232	9928	1997-01-31	PRIJEM	\N	182	30445	UROK	\N	\N
3516233	9928	1997-02-28	PRIJEM	\N	160	43928	UROK	\N	\N
3516234	9928	1997-03-31	PRIJEM	\N	226	54076	UROK	\N	\N
3516235	9928	1997-04-30	PRIJEM	\N	226	52844	UROK	\N	\N
3516236	9928	1997-05-31	PRIJEM	\N	227	54193	UROK	\N	\N
3516237	9928	1997-06-30	PRIJEM	\N	179	35186	UROK	\N	\N
3516238	9928	1997-07-31	PRIJEM	\N	172	42240	UROK	\N	\N
3516239	9928	1997-08-31	PRIJEM	\N	214	53976	UROK	\N	\N
3516240	9928	1997-09-30	PRIJEM	\N	237	58636	UROK	\N	\N
3516241	9928	1997-10-31	PRIJEM	\N	258	65416	UROK	\N	\N
3516242	9928	1997-11-30	PRIJEM	\N	298	66736	UROK	\N	\N
3516243	9928	1997-12-31	PRIJEM	\N	301	67591	UROK	\N	\N
3516244	9928	1998-01-31	PRIJEM	\N	231	54464	UROK	\N	\N
3516245	9928	1998-02-28	PRIJEM	\N	239	60725	UROK	\N	\N
3516246	9928	1998-03-31	PRIJEM	\N	268	66496	UROK	\N	\N
3516247	9928	1998-04-30	PRIJEM	\N	282	71580	UROK	\N	\N
3516248	9928	1998-05-31	PRIJEM	\N	308	73711	UROK	\N	\N
3516249	9928	1998-06-30	PRIJEM	\N	321	46125	UROK	\N	\N
3516250	9928	1998-07-31	PRIJEM	\N	202	53950	UROK	\N	\N
3516251	9928	1998-08-31	PRIJEM	\N	242	61514	UROK	\N	\N
3516252	9928	1998-09-30	PRIJEM	\N	273	61209	UROK	\N	\N
3516253	9928	1998-10-31	PRIJEM	\N	262	61793	UROK	\N	\N
3516254	9928	1998-11-30	PRIJEM	\N	275	65691	UROK	\N	\N
3516255	9928	1998-12-31	PRIJEM	\N	288	66212	UROK	\N	\N
3516724	10001	1995-06-30	PRIJEM	\N	14	25540	UROK	\N	\N
3516725	10001	1995-07-31	PRIJEM	\N	113	35137	UROK	\N	\N
3516726	10001	1995-08-31	PRIJEM	\N	150	40171	UROK	\N	\N
3516727	10001	1995-09-30	PRIJEM	\N	166	39421	UROK	\N	\N
3516728	10001	1995-10-31	PRIJEM	\N	202	40007	UROK	\N	\N
3516729	10001	1995-11-30	PRIJEM	\N	193	40870	UROK	\N	\N
3516730	10001	1995-12-31	PRIJEM	\N	182	43463	UROK	\N	\N
3516731	10001	1996-01-31	PRIJEM	\N	189	34222	UROK	\N	\N
3516732	10001	1996-02-29	PRIJEM	\N	155	35647	UROK	\N	\N
3516733	10001	1996-03-31	PRIJEM	\N	188	40404	UROK	\N	\N
3516734	10001	1996-04-30	PRIJEM	\N	202	39175	UROK	\N	\N
3516735	10001	1996-05-31	PRIJEM	\N	187	38431	UROK	\N	\N
3516736	10001	1996-06-30	PRIJEM	\N	156	34098	UROK	\N	\N
3516737	10001	1996-07-31	PRIJEM	\N	168	39307	UROK	\N	\N
3516738	10001	1996-08-31	PRIJEM	\N	186	38333	UROK	\N	\N
3516739	10001	1996-09-30	PRIJEM	\N	176	38450	UROK	\N	\N
3516740	10001	1996-10-31	PRIJEM	\N	178	38368	UROK	\N	\N
3516741	10001	1996-11-30	PRIJEM	\N	181	37789	UROK	\N	\N
3516742	10001	1996-12-31	PRIJEM	\N	197	49269	UROK	\N	\N
3516743	10001	1997-01-31	PRIJEM	\N	199	39808	UROK	\N	\N
3516744	10001	1997-02-28	PRIJEM	\N	181	42029	UROK	\N	\N
3516745	10001	1997-03-31	PRIJEM	\N	194	45763	UROK	\N	\N
3516746	10001	1997-04-30	PRIJEM	\N	206	48510	UROK	\N	\N
3516747	10001	1997-05-31	PRIJEM	\N	216	46866	UROK	\N	\N
3516748	10001	1997-06-30	PRIJEM	\N	225	52173	UROK	\N	\N
3516749	10001	1997-07-31	PRIJEM	\N	229	54242	UROK	\N	\N
3516750	10001	1997-08-31	PRIJEM	\N	239	57822	UROK	\N	\N
3516751	10001	1997-09-30	PRIJEM	\N	238	52101	UROK	\N	\N
3516752	10001	1997-10-31	PRIJEM	\N	241	60982	UROK	\N	\N
3516753	10001	1997-11-30	PRIJEM	\N	267	65989	UROK	\N	\N
3516754	10001	1997-12-31	PRIJEM	\N	296	67268	UROK	\N	\N
3516755	10001	1998-01-31	PRIJEM	\N	271	50280	UROK	\N	\N
3516756	10001	1998-02-28	PRIJEM	\N	237	61457	UROK	\N	\N
3516757	10001	1998-03-31	PRIJEM	\N	272	67770	UROK	\N	\N
3516758	10001	1998-04-30	PRIJEM	\N	301	69711	UROK	\N	\N
3516759	10001	1998-05-31	PRIJEM	\N	292	70543	UROK	\N	\N
3516760	10001	1998-06-30	PRIJEM	\N	304	70629	UROK	\N	\N
3516761	10001	1998-07-31	PRIJEM	\N	291	70360	UROK	\N	\N
3516762	10001	1998-08-31	PRIJEM	\N	279	65980	UROK	\N	\N
3516763	10001	1998-09-30	PRIJEM	\N	290	71911	UROK	\N	\N
3516764	10001	1998-10-31	PRIJEM	\N	298	72249	UROK	\N	\N
3516765	10001	1998-11-30	PRIJEM	\N	313	77002	UROK	\N	\N
3516766	10001	1998-12-31	PRIJEM	\N	336	78920	UROK	\N	\N
3516767	10005	1997-12-31	PRIJEM	\N	16	39504	UROK	\N	\N
3516768	10005	1998-01-31	PRIJEM	\N	170	49399	UROK	\N	\N
3516769	10005	1998-02-28	PRIJEM	\N	206	50829	UROK	\N	\N
3516770	10005	1998-03-31	PRIJEM	\N	214	57668	UROK	\N	\N
3516771	10005	1998-04-30	PRIJEM	\N	297	50339	UROK	\N	\N
3516772	10005	1998-05-31	PRIJEM	\N	253	40051	UROK	\N	\N
3516773	10005	1998-06-30	PRIJEM	\N	171	24613	UROK	\N	\N
3516774	10005	1998-07-31	PRIJEM	\N	157	31929	UROK	\N	\N
3516775	10005	1998-08-31	PRIJEM	\N	168	25703	UROK	\N	\N
3516776	10005	1998-09-30	PRIJEM	\N	151	24920	UROK	\N	\N
3516777	10005	1998-10-31	PRIJEM	\N	141	22605	UROK	\N	\N
3516778	10005	1998-11-30	PRIJEM	\N	135	23446	UROK	\N	\N
3516779	10005	1998-12-31	PRIJEM	\N	197	53811	UROK	\N	\N
3516852	10018	1995-08-31	PRIJEM	\N	25	21001	UROK	\N	\N
3516853	10018	1995-09-30	PRIJEM	\N	41	32549	UROK	\N	\N
3516854	10018	1995-10-31	PRIJEM	\N	52	39022	UROK	\N	\N
3516855	10018	1995-11-30	PRIJEM	\N	53	38612	UROK	\N	\N
3516856	10018	1995-12-31	PRIJEM	\N	125	44101	UROK	\N	\N
3516857	10018	1996-01-31	PRIJEM	\N	128	29649	UROK	\N	\N
3516858	10018	1996-02-29	PRIJEM	\N	96	33644	UROK	\N	\N
3516859	10018	1996-03-31	PRIJEM	\N	151	31756	UROK	\N	\N
3516860	10018	1996-04-30	PRIJEM	\N	138	31107	UROK	\N	\N
3516861	10018	1996-05-31	PRIJEM	\N	76	27387	UROK	\N	\N
3516862	10018	1996-06-30	PRIJEM	\N	76	18536	UROK	\N	\N
3516863	10018	1996-07-31	PRIJEM	\N	56	21161	UROK	\N	\N
3516864	10018	1996-08-31	PRIJEM	\N	63	22286	UROK	\N	\N
3516865	10018	1996-09-30	PRIJEM	\N	66	24809	UROK	\N	\N
3516866	10018	1996-10-31	PRIJEM	\N	57	25123	UROK	\N	\N
3516867	10018	1996-11-30	PRIJEM	\N	102	18989	UROK	\N	\N
3516868	10018	1996-12-31	PRIJEM	\N	95	24532	UROK	\N	\N
3516869	10018	1997-01-31	PRIJEM	\N	37	6730	UROK	\N	\N
3516870	10018	1997-02-28	PRIJEM	\N	49	17457	UROK	\N	\N
3516871	10018	1997-03-31	PRIJEM	\N	72	20991	UROK	\N	\N
3516872	10018	1997-04-30	PRIJEM	\N	75	21575	UROK	\N	\N
3516873	10018	1997-05-31	PRIJEM	\N	100	22037	UROK	\N	\N
3516874	10018	1997-06-30	PRIJEM	\N	77	2763	UROK	\N	\N
3516875	10018	1997-07-31	PRIJEM	\N	30	13356	UROK	\N	\N
3516876	10018	1997-07-31	VYDAJ	VYBER	10	13321	SANKC. UROK	\N	\N
3516877	10018	1997-08-31	PRIJEM	\N	51	21748	UROK	\N	\N
3516878	10018	1997-08-31	VYDAJ	VYBER	2	21790	SANKC. UROK	\N	\N
3516879	10018	1997-09-30	PRIJEM	\N	72	23213	UROK	\N	\N
3516880	10018	1997-10-31	PRIJEM	\N	76	30851	UROK	\N	\N
3516881	10018	1997-11-30	PRIJEM	\N	83	33102	UROK	\N	\N
3516882	10018	1997-12-31	PRIJEM	\N	107	39514	UROK	\N	\N
3516883	10018	1998-01-31	PRIJEM	\N	97	23672	UROK	\N	\N
3516884	10018	1998-02-28	PRIJEM	\N	50	22982	UROK	\N	\N
3516885	10018	1998-03-31	PRIJEM	\N	59	22377	UROK	\N	\N
3516886	10018	1998-04-30	PRIJEM	\N	85	19591	UROK	\N	\N
3516887	10018	1998-05-31	PRIJEM	\N	38	16343	UROK	\N	\N
3516888	10018	1998-05-31	VYDAJ	VYBER	6	16337	SANKC. UROK	\N	\N
3516889	10018	1998-06-30	PRIJEM	\N	38	12518	UROK	\N	\N
3516890	10018	1998-06-30	VYDAJ	VYBER	2	12564	SANKC. UROK	\N	\N
3516891	10018	1998-07-31	PRIJEM	\N	37	12560	UROK	\N	\N
3516892	10018	1998-07-31	VYDAJ	VYBER	11	12576	SANKC. UROK	\N	\N
3516893	10018	1998-08-31	PRIJEM	\N	35	15873	UROK	\N	\N
3516894	10018	1998-09-30	PRIJEM	\N	62	17706	UROK	\N	\N
3516895	10018	1998-10-31	PRIJEM	\N	50	17218	UROK	\N	\N
3516896	10018	1998-10-31	VYDAJ	VYBER	9	17251	SANKC. UROK	\N	\N
3516897	10018	1998-11-30	PRIJEM	\N	69	21181	UROK	\N	\N
3516898	10018	1998-12-31	PRIJEM	\N	75	28177	UROK	\N	\N
3516899	10019	1995-06-30	PRIJEM	\N	1	25851	UROK	\N	\N
3516900	10019	1995-07-31	PRIJEM	\N	30	34709	UROK	\N	\N
3516901	10019	1995-08-31	PRIJEM	\N	200	57756	UROK	\N	\N
3516902	10019	1995-09-30	PRIJEM	\N	325	113574	UROK	\N	\N
3516903	10019	1995-10-31	PRIJEM	\N	382	92534	UROK	\N	\N
3516904	10019	1995-11-30	PRIJEM	\N	386	101873	UROK	\N	\N
3516905	10019	1995-12-31	PRIJEM	\N	225	61569	UROK	\N	\N
3516906	10019	1996-01-31	PRIJEM	\N	163	19142	UROK	\N	\N
3516907	10019	1996-02-29	PRIJEM	\N	73	16100	UROK	\N	\N
3516908	10019	1996-03-31	PRIJEM	\N	63	14349	UROK	\N	\N
3516909	10019	1996-04-30	PRIJEM	\N	100	56639	UROK	\N	\N
3516910	10019	1996-05-31	PRIJEM	\N	174	35799	UROK	\N	\N
3516911	10019	1996-06-30	PRIJEM	\N	134	30718	UROK	\N	\N
3516912	10019	1996-07-31	PRIJEM	\N	116	25119	UROK	\N	\N
3516913	10019	1996-08-31	PRIJEM	\N	91	19296	UROK	\N	\N
3516914	10019	1996-09-30	PRIJEM	\N	145	34358	UROK	\N	\N
3516915	10019	1996-10-31	PRIJEM	\N	297	109803	UROK	\N	\N
3516916	10019	1996-11-30	PRIJEM	\N	266	23193	UROK	\N	\N
3516917	10019	1996-12-31	PRIJEM	\N	88	20052	UROK	\N	\N
3516918	10019	1997-01-31	PRIJEM	\N	80	19102	UROK	\N	\N
3516919	10019	1997-02-28	PRIJEM	\N	209	70927	UROK	\N	\N
3516920	10019	1997-03-31	PRIJEM	\N	305	51906	UROK	\N	\N
3516921	10019	1997-04-30	PRIJEM	\N	216	38441	UROK	\N	\N
3516922	10019	1997-05-31	PRIJEM	\N	219	80830	UROK	\N	\N
3516923	10019	1997-06-30	PRIJEM	\N	280	57595	UROK	\N	\N
3516924	10019	1997-07-31	PRIJEM	\N	214	23352	UROK	\N	\N
3516925	10019	1997-08-31	PRIJEM	\N	143	35819	UROK	\N	\N
3516926	10019	1997-09-30	PRIJEM	\N	124	62264	UROK	\N	\N
3516927	10019	1997-10-31	PRIJEM	\N	266	67695	UROK	\N	\N
3516928	10019	1997-11-30	PRIJEM	\N	226	54812	UROK	\N	\N
3516929	10019	1997-12-31	PRIJEM	\N	137	24851	UROK	\N	\N
3516930	10019	1998-01-31	PRIJEM	\N	116	28338	UROK	\N	\N
3516931	10019	1998-02-28	PRIJEM	\N	123	33448	UROK	\N	\N
3516932	10019	1998-03-31	PRIJEM	\N	178	53325	UROK	\N	\N
3516933	10019	1998-04-30	PRIJEM	\N	242	59947	UROK	\N	\N
3516934	10019	1998-05-31	PRIJEM	\N	244	46361	UROK	\N	\N
3516935	10019	1998-06-30	PRIJEM	\N	169	34900	UROK	\N	\N
3516936	10019	1998-07-31	PRIJEM	\N	253	64771	UROK	\N	\N
3516937	10019	1998-08-31	PRIJEM	\N	260	50801	UROK	\N	\N
3516938	10019	1998-09-30	PRIJEM	\N	259	68845	UROK	\N	\N
3516939	10019	1998-10-31	PRIJEM	\N	390	71148	UROK	\N	\N
3516940	10019	1998-11-30	PRIJEM	\N	208	27095	UROK	\N	\N
3517009	10022	1997-06-30	PRIJEM	\N	121	34905	UROK	\N	\N
3517010	10022	1997-07-31	PRIJEM	\N	182	45543	UROK	\N	\N
3517011	10022	1997-08-31	PRIJEM	\N	249	62748	UROK	\N	\N
3517012	10022	1997-09-30	PRIJEM	\N	287	70390	UROK	\N	\N
3517013	10022	1997-10-31	PRIJEM	\N	241	53980	UROK	\N	\N
3517014	10022	1997-11-30	PRIJEM	\N	240	55994	UROK	\N	\N
3517015	10022	1997-12-31	PRIJEM	\N	262	49009	UROK	\N	\N
3517016	10022	1998-01-31	PRIJEM	\N	182	20508	UROK	\N	\N
3517017	10022	1998-02-28	PRIJEM	\N	163	39987	UROK	\N	\N
3517018	10022	1998-03-31	PRIJEM	\N	196	45599	UROK	\N	\N
3517019	10022	1998-04-30	PRIJEM	\N	228	55044	UROK	\N	\N
3517020	10022	1998-05-31	PRIJEM	\N	241	57002	UROK	\N	\N
3517021	10022	1998-06-30	PRIJEM	\N	238	48225	UROK	\N	\N
3517022	10022	1998-07-31	PRIJEM	\N	230	44471	UROK	\N	\N
3517023	10022	1998-08-31	PRIJEM	\N	161	38428	UROK	\N	\N
3517024	10022	1998-09-30	PRIJEM	\N	202	44147	UROK	\N	\N
3517025	10022	1998-10-31	PRIJEM	\N	179	43229	UROK	\N	\N
3517026	10022	1998-11-30	PRIJEM	\N	215	41360	UROK	\N	\N
3517027	10022	1998-12-31	PRIJEM	\N	268	66173	UROK	\N	\N
3517133	10036	1994-01-31	PRIJEM	\N	128	79073	UROK	\N	\N
3517134	10036	1994-02-28	PRIJEM	\N	318	52049	UROK	\N	\N
3517135	10036	1994-03-31	PRIJEM	\N	20	76636	UROK	\N	\N
3517136	10036	1994-04-30	PRIJEM	\N	13	91846	UROK	\N	\N
3517137	10036	1994-11-30	PRIJEM	\N	105	39374	UROK	\N	\N
3517138	10036	1994-12-31	PRIJEM	\N	47	24135	UROK	\N	\N
3517139	10036	1995-01-31	PRIJEM	\N	16	1179	UROK	\N	\N
3517140	10036	1995-02-28	PRIJEM	\N	2	10570	UROK	\N	\N
3517141	10036	1995-03-31	PRIJEM	\N	2	14098	UROK	\N	\N
3517142	10036	1995-04-30	PRIJEM	\N	50	11657	UROK	\N	\N
3517143	10036	1995-05-31	PRIJEM	\N	17	4095	UROK	\N	\N
3517144	10036	1995-07-31	PRIJEM	\N	2	13442	UROK	\N	\N
3517145	10036	1995-08-31	PRIJEM	\N	18	2970	UROK	\N	\N
3517146	10036	1995-09-30	PRIJEM	\N	13	7301	UROK	\N	\N
3517147	10036	1995-10-31	PRIJEM	\N	4	5515	UROK	\N	\N
3517148	10036	1995-11-30	PRIJEM	\N	20	11939	UROK	\N	\N
3517149	10036	1995-12-31	PRIJEM	\N	9	-588	UROK	\N	\N
3517150	10036	1995-12-31	VYDAJ	VYBER	13	-591	SANKC. UROK	\N	\N
3517151	10036	1996-01-31	PRIJEM	\N	17	29812	UROK	\N	\N
3517152	10036	1996-03-31	PRIJEM	\N	9	14598	UROK	\N	\N
3517153	10036	1996-04-30	PRIJEM	\N	2	12185	UROK	\N	\N
3517154	10036	1996-05-31	PRIJEM	\N	39	10862	UROK	\N	\N
3517155	10036	1996-06-30	PRIJEM	\N	2	13912	UROK	\N	\N
3517156	10036	1996-07-31	PRIJEM	\N	2	9850	UROK	\N	\N
3517157	10036	1996-08-31	PRIJEM	\N	69	25538	UROK	\N	\N
3517158	10036	1996-09-30	PRIJEM	\N	6	15320	UROK	\N	\N
3517159	10036	1996-10-31	PRIJEM	\N	36	47301	UROK	\N	\N
3517160	10036	1996-11-30	PRIJEM	\N	123	24185	UROK	\N	\N
3517161	10036	1996-12-31	PRIJEM	\N	148	35430	UROK	\N	\N
3517162	10036	1997-01-31	PRIJEM	\N	81	29008	UROK	\N	\N
3517163	10036	1997-02-28	PRIJEM	\N	239	71003	UROK	\N	\N
3517164	10036	1997-03-31	PRIJEM	\N	179	13505	UROK	\N	\N
3517165	10036	1997-04-30	PRIJEM	\N	57	33746	UROK	\N	\N
3517166	10036	1997-05-31	PRIJEM	\N	68	32965	UROK	\N	\N
3517167	10036	1997-06-30	PRIJEM	\N	173	38312	UROK	\N	\N
3517168	10036	1997-07-31	PRIJEM	\N	204	43657	UROK	\N	\N
3517169	10036	1997-08-31	PRIJEM	\N	160	43661	UROK	\N	\N
3517170	10036	1997-09-30	PRIJEM	\N	203	59118	UROK	\N	\N
3517171	10036	1997-10-31	PRIJEM	\N	44	36244	UROK	\N	\N
3517172	10036	1997-11-30	PRIJEM	\N	251	60344	UROK	\N	\N
3517173	10036	1997-12-31	PRIJEM	\N	182	38724	UROK	\N	\N
3517174	10036	1998-01-31	PRIJEM	\N	70	1268	UROK	\N	\N
3517175	10036	1998-01-31	VYDAJ	VYBER	9	1329	SANKC. UROK	\N	\N
3517339	10049	1996-04-30	PRIJEM	\N	7	13142	UROK	\N	\N
3517340	10049	1996-05-31	PRIJEM	\N	61	21838	UROK	\N	\N
3517341	10049	1996-06-30	PRIJEM	\N	93	24833	UROK	\N	\N
3517342	10049	1996-07-31	PRIJEM	\N	106	27873	UROK	\N	\N
3517343	10049	1996-08-31	PRIJEM	\N	107	26134	UROK	\N	\N
3517344	10049	1996-09-30	PRIJEM	\N	104	23468	UROK	\N	\N
3517345	10049	1996-10-31	PRIJEM	\N	76	21275	UROK	\N	\N
3517346	10049	1996-11-30	PRIJEM	\N	88	19093	UROK	\N	\N
3517347	10049	1996-12-31	PRIJEM	\N	72	17222	UROK	\N	\N
3517348	10049	1997-01-31	PRIJEM	\N	56	11228	UROK	\N	\N
3517349	10049	1997-02-28	PRIJEM	\N	41	13100	UROK	\N	\N
3517350	10049	1997-03-31	PRIJEM	\N	52	14982	UROK	\N	\N
3517351	10049	1997-04-30	PRIJEM	\N	53	13229	UROK	\N	\N
3517352	10049	1997-05-31	PRIJEM	\N	45	11169	UROK	\N	\N
3517353	10049	1997-06-30	PRIJEM	\N	47	13177	UROK	\N	\N
3517354	10049	1997-07-31	PRIJEM	\N	55	17526	UROK	\N	\N
3517355	10049	1997-08-31	PRIJEM	\N	55	14335	UROK	\N	\N
3517356	10049	1997-09-30	PRIJEM	\N	66	21096	UROK	\N	\N
3517357	10049	1997-10-31	PRIJEM	\N	89	24479	UROK	\N	\N
3517358	10049	1997-11-30	PRIJEM	\N	90	22004	UROK	\N	\N
3517359	10049	1997-12-31	PRIJEM	\N	85	23110	UROK	\N	\N
3517360	10049	1998-01-31	PRIJEM	\N	68	13132	UROK	\N	\N
3517361	10049	1998-02-28	PRIJEM	\N	58	15985	UROK	\N	\N
3517362	10049	1998-03-31	PRIJEM	\N	70	20049	UROK	\N	\N
3517363	10049	1998-04-30	PRIJEM	\N	74	19253	UROK	\N	\N
3517364	10049	1998-05-31	PRIJEM	\N	79	22362	UROK	\N	\N
3517365	10049	1998-06-30	PRIJEM	\N	109	19369	UROK	\N	\N
3517366	10049	1998-07-31	PRIJEM	\N	85	19684	UROK	\N	\N
3517367	10049	1998-08-31	PRIJEM	\N	76	19891	UROK	\N	\N
3517368	10049	1998-09-30	PRIJEM	\N	97	18618	UROK	\N	\N
3517369	10049	1998-10-31	PRIJEM	\N	95	24143	UROK	\N	\N
3517370	10049	1998-11-30	PRIJEM	\N	101	19934	UROK	\N	\N
3517371	10049	1998-12-31	PRIJEM	\N	97	14449	UROK	\N	\N
3517431	10063	1996-11-30	PRIJEM	\N	85	32387	UROK	\N	\N
3517432	10063	1996-12-31	PRIJEM	\N	212	61453	UROK	\N	\N
3517433	10063	1997-01-31	PRIJEM	\N	268	66123	UROK	\N	\N
3517434	10063	1997-02-28	PRIJEM	\N	282	68707	UROK	\N	\N
3517435	10063	1997-03-31	PRIJEM	\N	150	26596	UROK	\N	\N
3517436	10063	1997-04-30	PRIJEM	\N	180	36484	UROK	\N	\N
3517437	10063	1997-05-31	PRIJEM	\N	195	39189	UROK	\N	\N
3517438	10063	1997-06-30	PRIJEM	\N	223	47472	UROK	\N	\N
3517439	10063	1997-07-31	PRIJEM	\N	161	28696	UROK	\N	\N
3517440	10063	1997-08-31	PRIJEM	\N	148	31769	UROK	\N	\N
3517441	10063	1997-09-30	PRIJEM	\N	160	35054	UROK	\N	\N
3517442	10063	1997-10-31	PRIJEM	\N	113	18793	UROK	\N	\N
3517443	10063	1997-11-30	PRIJEM	\N	127	29145	UROK	\N	\N
3517444	10063	1997-12-31	PRIJEM	\N	148	21784	UROK	\N	\N
3517445	10063	1998-01-31	PRIJEM	\N	96	19105	UROK	\N	\N
3517446	10063	1998-02-28	PRIJEM	\N	178	44408	UROK	\N	\N
3517447	10063	1998-03-31	PRIJEM	\N	183	29389	UROK	\N	\N
3517448	10063	1998-04-30	PRIJEM	\N	110	14943	UROK	\N	\N
3517449	10063	1998-05-31	PRIJEM	\N	93	20661	UROK	\N	\N
3517450	10063	1998-06-30	PRIJEM	\N	236	55073	UROK	\N	\N
3517451	10063	1998-07-31	PRIJEM	\N	230	51200	UROK	\N	\N
3517452	10063	1998-08-31	PRIJEM	\N	220	26709	UROK	\N	\N
3517453	10063	1998-09-30	PRIJEM	\N	151	25902	UROK	\N	\N
3517454	10063	1998-10-31	PRIJEM	\N	186	45413	UROK	\N	\N
3517455	10063	1998-11-30	PRIJEM	\N	225	47619	UROK	\N	\N
3517456	10063	1998-12-31	PRIJEM	\N	259	50284	UROK	\N	\N
3517457	10065	1996-04-30	PRIJEM	\N	7	24096	UROK	\N	\N
3517458	10065	1996-05-31	PRIJEM	\N	294	76409	UROK	\N	\N
3517459	10065	1996-06-30	PRIJEM	\N	319	49151	UROK	\N	\N
3517460	10065	1996-07-31	PRIJEM	\N	335	65825	UROK	\N	\N
3517461	10065	1996-08-31	PRIJEM	\N	310	75782	UROK	\N	\N
3517462	10065	1996-09-30	PRIJEM	\N	393	57661	UROK	\N	\N
3517463	10065	1996-10-31	PRIJEM	\N	288	58213	UROK	\N	\N
3517464	10065	1996-11-30	PRIJEM	\N	278	54654	UROK	\N	\N
3517465	10065	1996-12-31	PRIJEM	\N	290	114438	UROK	\N	\N
3517466	10065	1997-01-31	PRIJEM	\N	373	99028	UROK	\N	\N
3517467	10065	1997-02-28	PRIJEM	\N	353	63072	UROK	\N	\N
3517468	10065	1997-03-31	PRIJEM	\N	188	28879	UROK	\N	\N
3517469	10065	1997-04-30	PRIJEM	\N	139	39877	UROK	\N	\N
3517470	10065	1997-05-31	PRIJEM	\N	182	48843	UROK	\N	\N
3517471	10065	1997-06-30	PRIJEM	\N	187	49155	UROK	\N	\N
3517472	10065	1997-07-31	PRIJEM	\N	324	81478	UROK	\N	\N
3517473	10065	1997-08-31	PRIJEM	\N	325	88325	UROK	\N	\N
3517474	10065	1997-09-30	PRIJEM	\N	274	52564	UROK	\N	\N
3517475	10065	1997-10-31	PRIJEM	\N	275	60248	UROK	\N	\N
3517476	10065	1997-11-30	PRIJEM	\N	263	83714	UROK	\N	\N
3517477	10065	1997-12-31	PRIJEM	\N	319	49911	UROK	\N	\N
3517478	10065	1998-01-31	PRIJEM	\N	282	100588	UROK	\N	\N
3517479	10065	1998-02-28	PRIJEM	\N	333	62498	UROK	\N	\N
3517480	10065	1998-03-31	PRIJEM	\N	184	38473	UROK	\N	\N
3517481	10065	1998-04-30	PRIJEM	\N	268	64536	UROK	\N	\N
3517482	10065	1998-05-31	PRIJEM	\N	324	79414	UROK	\N	\N
3517483	10065	1998-06-30	PRIJEM	\N	323	67277	UROK	\N	\N
3517484	10065	1998-07-31	PRIJEM	\N	267	51736	UROK	\N	\N
3517485	10065	1998-08-31	PRIJEM	\N	195	42219	UROK	\N	\N
3517486	10065	1998-09-30	PRIJEM	\N	181	87499	UROK	\N	\N
3517487	10065	1998-10-31	PRIJEM	\N	315	62715	UROK	\N	\N
3517488	10065	1998-11-30	PRIJEM	\N	326	76666	UROK	\N	\N
3517489	10065	1998-12-31	PRIJEM	\N	374	93433	UROK	\N	\N
3517533	10068	1997-04-30	PRIJEM	\N	220	101117	UROK	\N	\N
3517534	10068	1997-05-31	PRIJEM	\N	363	76604	UROK	\N	\N
3517535	10068	1997-06-30	PRIJEM	\N	349	86373	UROK	\N	\N
3517536	10068	1997-07-31	PRIJEM	\N	306	68332	UROK	\N	\N
3517537	10068	1997-08-31	PRIJEM	\N	196	64664	UROK	\N	\N
3517538	10068	1997-09-30	PRIJEM	\N	254	54734	UROK	\N	\N
3517539	10068	1997-10-31	PRIJEM	\N	326	58160	UROK	\N	\N
3517540	10068	1997-11-30	PRIJEM	\N	231	39606	UROK	\N	\N
3517541	10068	1997-12-31	PRIJEM	\N	179	43379	UROK	\N	\N
3517542	10068	1998-01-31	PRIJEM	\N	290	46803	UROK	\N	\N
3517543	10068	1998-02-28	PRIJEM	\N	131	18758	UROK	\N	\N
3517544	10068	1998-03-31	PRIJEM	\N	80	14340	UROK	\N	\N
3517545	10068	1998-04-30	PRIJEM	\N	158	26566	UROK	\N	\N
3517546	10068	1998-05-31	PRIJEM	\N	106	20274	UROK	\N	\N
3517547	10068	1998-06-30	PRIJEM	\N	83	13858	UROK	\N	\N
3517548	10068	1998-07-31	PRIJEM	\N	239	50543	UROK	\N	\N
3517549	10068	1998-08-31	PRIJEM	\N	177	26406	UROK	\N	\N
3517550	10068	1998-09-30	PRIJEM	\N	173	69199	UROK	\N	\N
3517551	10068	1998-10-31	PRIJEM	\N	193	101103	UROK	\N	\N
3517552	10068	1998-11-30	PRIJEM	\N	338	43894	UROK	\N	\N
3517553	10068	1998-12-31	PRIJEM	\N	148	23327	UROK	\N	\N
3517606	10079	1993-05-31	PRIJEM	\N	91	38892	UROK	\N	\N
3517607	10079	1993-06-30	PRIJEM	\N	272	79059	UROK	\N	\N
3517608	10079	1993-07-31	PRIJEM	\N	298	83934	UROK	\N	\N
3517609	10079	1993-08-31	PRIJEM	\N	381	94787	UROK	\N	\N
3517610	10079	1993-09-30	PRIJEM	\N	395	93535	UROK	\N	\N
3517611	10079	1993-10-31	PRIJEM	\N	303	75840	UROK	\N	\N
3517612	10079	1993-11-30	PRIJEM	\N	202	38127	UROK	\N	\N
3517613	10079	1993-12-31	PRIJEM	\N	271	65544	UROK	\N	\N
3517614	10079	1994-01-31	PRIJEM	\N	153	39772	UROK	\N	\N
3517615	10079	1994-02-28	PRIJEM	\N	308	76357	UROK	\N	\N
3517616	10079	1994-03-31	PRIJEM	\N	220	51625	UROK	\N	\N
3517617	10079	1994-04-30	PRIJEM	\N	149	23102	UROK	\N	\N
3517618	10079	1994-05-31	PRIJEM	\N	231	83614	UROK	\N	\N
3517619	10079	1994-06-30	PRIJEM	\N	251	57451	UROK	\N	\N
3517620	10079	1994-07-31	PRIJEM	\N	315	64987	UROK	\N	\N
3517621	10079	1994-08-31	PRIJEM	\N	277	54234	UROK	\N	\N
3517622	10079	1994-09-30	PRIJEM	\N	331	47369	UROK	\N	\N
3517623	10079	1994-10-31	PRIJEM	\N	192	37761	UROK	\N	\N
3517624	10079	1994-11-30	PRIJEM	\N	141	33456	UROK	\N	\N
3517625	10079	1994-12-31	PRIJEM	\N	273	69120	UROK	\N	\N
3517626	10079	1995-01-31	PRIJEM	\N	181	26302	UROK	\N	\N
3517627	10079	1995-02-28	PRIJEM	\N	110	27213	UROK	\N	\N
3517628	10079	1995-03-31	PRIJEM	\N	111	24725	UROK	\N	\N
3517629	10079	1995-04-30	PRIJEM	\N	101	22927	UROK	\N	\N
3517630	10079	1995-05-31	PRIJEM	\N	94	21021	UROK	\N	\N
3517631	10079	1995-06-30	PRIJEM	\N	89	23010	UROK	\N	\N
3517632	10079	1995-07-31	PRIJEM	\N	97	24507	UROK	\N	\N
3517633	10079	1995-08-31	PRIJEM	\N	97	20605	UROK	\N	\N
3517634	10079	1995-09-30	PRIJEM	\N	170	94402	UROK	\N	\N
3517635	10079	1995-10-31	PRIJEM	\N	326	51628	UROK	\N	\N
3517636	10079	1995-11-30	PRIJEM	\N	190	32619	UROK	\N	\N
3517637	10079	1995-12-31	PRIJEM	\N	117	24737	UROK	\N	\N
3517638	10079	1996-01-31	PRIJEM	\N	85	16922	UROK	\N	\N
3517639	10079	1996-02-29	PRIJEM	\N	69	14191	UROK	\N	\N
3517640	10079	1996-03-31	PRIJEM	\N	58	11449	UROK	\N	\N
3517641	10079	1996-04-30	PRIJEM	\N	117	31157	UROK	\N	\N
3517642	10079	1996-05-31	PRIJEM	\N	117	27020	UROK	\N	\N
3517643	10079	1996-06-30	PRIJEM	\N	155	108331	UROK	\N	\N
3517644	10079	1996-07-31	PRIJEM	\N	354	94571	UROK	\N	\N
3517645	10079	1996-08-31	PRIJEM	\N	361	79346	UROK	\N	\N
3517646	10079	1996-09-30	PRIJEM	\N	383	78365	UROK	\N	\N
3517647	10079	1996-10-31	PRIJEM	\N	253	76287	UROK	\N	\N
3517648	10079	1996-11-30	PRIJEM	\N	255	50611	UROK	\N	\N
3517649	10079	1996-12-31	PRIJEM	\N	162	27174	UROK	\N	\N
3517650	10079	1997-01-31	PRIJEM	\N	116	60151	UROK	\N	\N
3517651	10079	1997-02-28	PRIJEM	\N	259	73338	UROK	\N	\N
3517652	10079	1997-03-31	PRIJEM	\N	317	105803	UROK	\N	\N
3517653	10079	1997-04-30	PRIJEM	\N	369	95951	UROK	\N	\N
3517654	10079	1997-05-31	PRIJEM	\N	295	59846	UROK	\N	\N
3517655	10079	1997-06-30	PRIJEM	\N	222	51549	UROK	\N	\N
3517656	10079	1997-07-31	PRIJEM	\N	143	24125	UROK	\N	\N
3517657	10079	1997-08-31	PRIJEM	\N	178	71462	UROK	\N	\N
3517658	10079	1997-09-30	PRIJEM	\N	232	73466	UROK	\N	\N
3517659	10079	1997-10-31	PRIJEM	\N	183	22201	UROK	\N	\N
3517660	10079	1997-11-30	PRIJEM	\N	96	38945	UROK	\N	\N
3517661	10079	1997-12-31	PRIJEM	\N	152	30721	UROK	\N	\N
3517662	10079	1998-01-31	PRIJEM	\N	170	48249	UROK	\N	\N
3517663	10079	1998-02-28	PRIJEM	\N	203	28101	UROK	\N	\N
3517664	10079	1998-03-31	PRIJEM	\N	183	61323	UROK	\N	\N
3517665	10079	1998-04-30	PRIJEM	\N	184	43806	UROK	\N	\N
3517666	10079	1998-05-31	PRIJEM	\N	334	55896	UROK	\N	\N
3517667	10079	1998-06-30	PRIJEM	\N	278	67665	UROK	\N	\N
3517668	10079	1998-07-31	PRIJEM	\N	200	42695	UROK	\N	\N
3517669	10079	1998-08-31	PRIJEM	\N	121	23717	UROK	\N	\N
3517670	10079	1998-09-30	PRIJEM	\N	116	34897	UROK	\N	\N
3517671	10079	1998-10-31	PRIJEM	\N	151	51326	UROK	\N	\N
3517672	10079	1998-11-30	PRIJEM	\N	186	43759	UROK	\N	\N
3517673	10079	1998-12-31	PRIJEM	\N	118	22377	UROK	\N	\N
3517843	10093	1994-07-31	PRIJEM	\N	132	41309	UROK	\N	\N
3517844	10093	1994-08-31	PRIJEM	\N	139	48025	UROK	\N	\N
3517845	10093	1994-09-30	PRIJEM	\N	202	56004	UROK	\N	\N
3517846	10093	1994-10-31	PRIJEM	\N	234	60615	UROK	\N	\N
3517847	10093	1994-11-30	PRIJEM	\N	322	50801	UROK	\N	\N
3517848	10093	1994-12-31	PRIJEM	\N	249	40411	UROK	\N	\N
3517849	10093	1995-01-31	PRIJEM	\N	116	18840	UROK	\N	\N
3517850	10093	1995-02-28	PRIJEM	\N	102	22704	UROK	\N	\N
3517851	10093	1995-03-31	PRIJEM	\N	168	35044	UROK	\N	\N
3517852	10093	1995-04-30	PRIJEM	\N	178	34433	UROK	\N	\N
3517853	10093	1995-05-31	PRIJEM	\N	208	28877	UROK	\N	\N
3517854	10093	1995-06-30	PRIJEM	\N	227	28716	UROK	\N	\N
3517855	10093	1995-07-31	PRIJEM	\N	140	27289	UROK	\N	\N
3517856	10093	1995-08-31	PRIJEM	\N	174	34235	UROK	\N	\N
3517857	10093	1995-09-30	PRIJEM	\N	188	32439	UROK	\N	\N
3517858	10093	1995-10-31	PRIJEM	\N	166	31241	UROK	\N	\N
3517859	10093	1995-11-30	PRIJEM	\N	153	23721	UROK	\N	\N
3517860	10093	1995-12-31	PRIJEM	\N	205	40251	UROK	\N	\N
3517861	10093	1996-01-31	PRIJEM	\N	174	20561	UROK	\N	\N
3517862	10093	1996-02-29	PRIJEM	\N	153	34850	UROK	\N	\N
3517863	10093	1996-03-31	PRIJEM	\N	198	37884	UROK	\N	\N
3517864	10093	1996-04-30	PRIJEM	\N	212	43232	UROK	\N	\N
3517865	10093	1996-05-31	PRIJEM	\N	232	47700	UROK	\N	\N
3517866	10093	1996-06-30	PRIJEM	\N	209	39934	UROK	\N	\N
3517867	10093	1996-07-31	PRIJEM	\N	184	37254	UROK	\N	\N
3517868	10093	1996-08-31	PRIJEM	\N	188	39278	UROK	\N	\N
3517869	10093	1996-09-30	PRIJEM	\N	198	28812	UROK	\N	\N
3517870	10093	1996-10-31	PRIJEM	\N	149	34298	UROK	\N	\N
3517871	10093	1996-11-30	PRIJEM	\N	188	40422	UROK	\N	\N
3517872	10093	1996-12-31	PRIJEM	\N	234	46880	UROK	\N	\N
3517873	10093	1997-01-31	PRIJEM	\N	135	21868	UROK	\N	\N
3517874	10093	1997-02-28	PRIJEM	\N	134	28637	UROK	\N	\N
3517875	10093	1997-03-31	PRIJEM	\N	155	30629	UROK	\N	\N
3517876	10093	1997-04-30	PRIJEM	\N	134	24999	UROK	\N	\N
3517877	10093	1997-05-31	PRIJEM	\N	143	29577	UROK	\N	\N
3517878	10093	1997-06-30	PRIJEM	\N	188	37990	UROK	\N	\N
3517879	10093	1997-07-31	PRIJEM	\N	155	22025	UROK	\N	\N
3517880	10093	1997-08-31	PRIJEM	\N	125	26485	UROK	\N	\N
3517881	10093	1997-09-30	PRIJEM	\N	142	31263	UROK	\N	\N
3517882	10093	1997-10-31	PRIJEM	\N	124	23613	UROK	\N	\N
3517883	10093	1997-11-30	PRIJEM	\N	148	30598	UROK	\N	\N
3517884	10093	1997-12-31	PRIJEM	\N	179	38723	UROK	\N	\N
3517885	10093	1998-01-31	PRIJEM	\N	131	22590	UROK	\N	\N
3517886	10093	1998-02-28	PRIJEM	\N	116	24642	UROK	\N	\N
3517887	10093	1998-03-31	PRIJEM	\N	179	26057	UROK	\N	\N
3517888	10093	1998-04-30	PRIJEM	\N	109	21902	UROK	\N	\N
3517889	10093	1998-05-31	PRIJEM	\N	99	20436	UROK	\N	\N
3517890	10093	1998-06-30	PRIJEM	\N	129	30590	UROK	\N	\N
3517891	10093	1998-07-31	PRIJEM	\N	110	22336	UROK	\N	\N
3517892	10093	1998-08-31	PRIJEM	\N	106	25078	UROK	\N	\N
3517893	10093	1998-09-30	PRIJEM	\N	110	25224	UROK	\N	\N
3517894	10093	1998-10-31	PRIJEM	\N	107	24166	UROK	\N	\N
3517895	10093	1998-11-30	PRIJEM	\N	106	24108	UROK	\N	\N
3517896	10093	1998-12-31	PRIJEM	\N	209	55178	UROK	\N	\N
3517987	10105	1993-05-31	PRIJEM	\N	18	33022	UROK	\N	\N
3517988	10105	1993-06-30	PRIJEM	\N	138	30659	UROK	\N	\N
3517989	10105	1993-07-31	PRIJEM	\N	136	30508	UROK	\N	\N
3517990	10105	1993-08-31	PRIJEM	\N	142	49639	UROK	\N	\N
3517991	10105	1993-09-30	PRIJEM	\N	209	53437	UROK	\N	\N
3517992	10105	1993-10-31	PRIJEM	\N	222	38959	UROK	\N	\N
3517993	10105	1993-11-30	PRIJEM	\N	216	47018	UROK	\N	\N
3517994	10105	1993-12-31	PRIJEM	\N	258	50830	UROK	\N	\N
3517995	10105	1994-01-31	PRIJEM	\N	206	32417	UROK	\N	\N
3517996	10105	1994-02-28	PRIJEM	\N	256	53405	UROK	\N	\N
3517997	10105	1994-03-31	PRIJEM	\N	210	39532	UROK	\N	\N
3517998	10105	1994-04-30	PRIJEM	\N	182	31502	UROK	\N	\N
3517999	10105	1994-05-31	PRIJEM	\N	265	56873	UROK	\N	\N
3518000	10105	1994-06-30	PRIJEM	\N	297	51623	UROK	\N	\N
3518001	10105	1994-07-31	PRIJEM	\N	257	27866	UROK	\N	\N
3518002	10105	1994-08-31	PRIJEM	\N	159	32206	UROK	\N	\N
3518003	10105	1994-09-30	PRIJEM	\N	219	67559	UROK	\N	\N
3518004	10105	1994-10-31	PRIJEM	\N	225	31669	UROK	\N	\N
3518005	10105	1994-11-30	PRIJEM	\N	112	48687	UROK	\N	\N
3518006	10105	1994-12-31	PRIJEM	\N	205	54119	UROK	\N	\N
3518007	10105	1995-01-31	PRIJEM	\N	139	31838	UROK	\N	\N
3518008	10105	1995-02-28	PRIJEM	\N	196	38649	UROK	\N	\N
3518009	10105	1995-03-31	PRIJEM	\N	257	56616	UROK	\N	\N
3518010	10105	1995-04-30	PRIJEM	\N	363	43659	UROK	\N	\N
3518011	10105	1995-05-31	PRIJEM	\N	248	67051	UROK	\N	\N
3518012	10105	1995-06-30	PRIJEM	\N	325	63081	UROK	\N	\N
3518013	10105	1995-07-31	PRIJEM	\N	288	68365	UROK	\N	\N
3518014	10105	1995-08-31	PRIJEM	\N	353	105750	UROK	\N	\N
3518015	10105	1995-09-30	PRIJEM	\N	410	93551	UROK	\N	\N
3518016	10105	1995-10-31	PRIJEM	\N	350	65018	UROK	\N	\N
3518017	10105	1995-11-30	PRIJEM	\N	254	58007	UROK	\N	\N
3518018	10105	1995-12-31	PRIJEM	\N	259	58407	UROK	\N	\N
3518019	10105	1996-01-31	PRIJEM	\N	240	62784	UROK	\N	\N
3518020	10105	1996-02-29	PRIJEM	\N	274	99843	UROK	\N	\N
3518021	10105	1996-03-31	PRIJEM	\N	355	86553	UROK	\N	\N
3518022	10105	1996-04-30	PRIJEM	\N	308	63789	UROK	\N	\N
3518023	10105	1996-05-31	PRIJEM	\N	320	75944	UROK	\N	\N
3518024	10105	1996-06-30	PRIJEM	\N	227	39877	UROK	\N	\N
3518025	10105	1996-07-31	PRIJEM	\N	230	64771	UROK	\N	\N
3518026	10105	1996-08-31	PRIJEM	\N	260	59122	UROK	\N	\N
3518027	10105	1996-09-30	PRIJEM	\N	225	52133	UROK	\N	\N
3518028	10105	1996-10-31	PRIJEM	\N	331	103127	UROK	\N	\N
3518029	10105	1996-11-30	PRIJEM	\N	319	62345	UROK	\N	\N
3518030	10105	1996-12-31	PRIJEM	\N	269	69806	UROK	\N	\N
3518031	10105	1997-01-31	PRIJEM	\N	187	32221	UROK	\N	\N
3518032	10105	1997-02-28	PRIJEM	\N	357	123344	UROK	\N	\N
3518033	10105	1997-03-31	PRIJEM	\N	278	54107	UROK	\N	\N
3518034	10105	1997-04-30	PRIJEM	\N	276	81560	UROK	\N	\N
3518035	10105	1997-05-31	PRIJEM	\N	331	88525	UROK	\N	\N
3518036	10105	1997-06-30	PRIJEM	\N	320	108394	UROK	\N	\N
3518037	10105	1997-07-31	PRIJEM	\N	212	32512	UROK	\N	\N
3518038	10105	1997-08-31	PRIJEM	\N	132	28415	UROK	\N	\N
3518039	10105	1997-09-30	PRIJEM	\N	252	88046	UROK	\N	\N
3518040	10105	1997-10-31	PRIJEM	\N	261	74176	UROK	\N	\N
3518041	10105	1997-11-30	PRIJEM	\N	308	75730	UROK	\N	\N
3518042	10105	1997-12-31	PRIJEM	\N	221	35110	UROK	\N	\N
3518043	10105	1998-01-31	PRIJEM	\N	162	72140	UROK	\N	\N
3518044	10105	1998-02-28	PRIJEM	\N	291	55150	UROK	\N	\N
3518045	10105	1998-03-31	PRIJEM	\N	235	53570	UROK	\N	\N
3518046	10105	1998-04-30	PRIJEM	\N	360	108529	UROK	\N	\N
3518047	10105	1998-05-31	PRIJEM	\N	440	69623	UROK	\N	\N
3518048	10105	1998-06-30	PRIJEM	\N	199	48271	UROK	\N	\N
3518049	10105	1998-07-31	PRIJEM	\N	213	91552	UROK	\N	\N
3518050	10105	1998-08-31	PRIJEM	\N	308	76520	UROK	\N	\N
3518051	10105	1998-09-30	PRIJEM	\N	396	69842	UROK	\N	\N
3518052	10105	1998-10-31	PRIJEM	\N	283	66526	UROK	\N	\N
3518053	10105	1998-11-30	PRIJEM	\N	316	80902	UROK	\N	\N
3518054	10105	1998-12-31	PRIJEM	\N	320	72453	UROK	\N	\N
3518424	10131	1993-12-31	PRIJEM	\N	21	39405	UROK	\N	\N
3518425	10131	1994-03-31	PRIJEM	\N	18	33464	UROK	\N	\N
3518426	10131	1994-06-30	PRIJEM	\N	27	38938	UROK	\N	\N
3518427	10131	1994-09-30	PRIJEM	\N	29	52986	UROK	\N	\N
3518428	10131	1994-10-31	PRIJEM	\N	68	63914	UROK	\N	\N
3518429	10131	1994-11-30	PRIJEM	\N	55	11589	UROK	\N	\N
3518430	10131	1994-12-31	PRIJEM	\N	16	10557	UROK	\N	\N
3518431	10131	1995-01-31	PRIJEM	\N	4	-253	UROK	\N	\N
3518432	10131	1995-01-31	VYDAJ	VYBER	1	-225	SANKC. UROK	\N	\N
3518433	10131	1995-02-28	PRIJEM	\N	2	10964	UROK	\N	\N
3518434	10131	1995-03-31	PRIJEM	\N	19	16432	UROK	\N	\N
3518435	10131	1995-04-30	PRIJEM	\N	22	2113	UROK	\N	\N
3518436	10131	1995-05-31	PRIJEM	\N	16	2398	UROK	\N	\N
3518437	10131	1995-07-31	PRIJEM	\N	30	18901	UROK	\N	\N
3518438	10131	1995-08-31	PRIJEM	\N	71	15758	UROK	\N	\N
3518439	10131	1995-09-30	PRIJEM	\N	68	19569	UROK	\N	\N
3518440	10131	1995-10-31	PRIJEM	\N	34	19905	UROK	\N	\N
3518441	10131	1995-11-30	PRIJEM	\N	38	30451	UROK	\N	\N
3518442	10131	1995-12-31	PRIJEM	\N	25	11840	UROK	\N	\N
3518443	10131	1995-12-31	VYDAJ	VYBER	0	11826	SANKC. UROK	\N	\N
3518444	10131	1996-01-31	PRIJEM	\N	119	21156	UROK	\N	\N
3518445	10131	1996-02-29	PRIJEM	\N	148	46707	UROK	\N	\N
3518446	10131	1996-03-31	PRIJEM	\N	160	32506	UROK	\N	\N
3518447	10131	1996-04-30	PRIJEM	\N	167	52848	UROK	\N	\N
3518448	10131	1996-05-31	PRIJEM	\N	161	27077	UROK	\N	\N
3518449	10131	1996-06-30	PRIJEM	\N	42	18786	UROK	\N	\N
3518450	10131	1996-07-31	PRIJEM	\N	81	8459	UROK	\N	\N
3518451	10131	1996-08-31	PRIJEM	\N	9	9761	UROK	\N	\N
3518452	10131	1996-09-30	PRIJEM	\N	30	3038	UROK	\N	\N
3518453	10131	1996-10-31	PRIJEM	\N	53	20826	UROK	\N	\N
3518454	10131	1996-11-30	PRIJEM	\N	95	35846	UROK	\N	\N
3518455	10131	1996-12-31	PRIJEM	\N	140	25269	UROK	\N	\N
3518456	10131	1997-01-31	PRIJEM	\N	17	1509	UROK	\N	\N
3518457	10131	1997-01-31	VYDAJ	VYBER	6	1489	SANKC. UROK	\N	\N
3518458	10131	1997-02-28	PRIJEM	\N	42	43261	UROK	\N	\N
3518459	10131	1997-03-31	PRIJEM	\N	143	75748	UROK	\N	\N
3518460	10131	1997-04-30	PRIJEM	\N	246	78270	UROK	\N	\N
3518461	10131	1997-05-31	PRIJEM	\N	90	35538	UROK	\N	\N
3518462	10131	1997-06-30	PRIJEM	\N	72	19159	UROK	\N	\N
3518463	10131	1997-07-31	PRIJEM	\N	67	12064	UROK	\N	\N
3518464	10131	1997-08-31	PRIJEM	\N	48	19117	UROK	\N	\N
3518465	10131	1997-09-30	PRIJEM	\N	201	98956	UROK	\N	\N
3518466	10131	1997-10-31	PRIJEM	\N	261	97637	UROK	\N	\N
3518467	10131	1997-11-30	PRIJEM	\N	441	86988	UROK	\N	\N
3518468	10131	1997-12-31	PRIJEM	\N	237	57759	UROK	\N	\N
3518469	10131	1998-01-31	PRIJEM	\N	235	62143	UROK	\N	\N
3518470	10131	1998-02-28	PRIJEM	\N	191	50874	UROK	\N	\N
3518471	10131	1998-03-31	PRIJEM	\N	66	35823	UROK	\N	\N
3518472	10131	1998-04-30	PRIJEM	\N	91	18064	UROK	\N	\N
3518473	10131	1998-05-31	PRIJEM	\N	161	66672	UROK	\N	\N
3518474	10131	1998-06-30	PRIJEM	\N	151	46782	UROK	\N	\N
3518475	10131	1998-07-31	PRIJEM	\N	222	57946	UROK	\N	\N
3518476	10131	1998-08-31	PRIJEM	\N	118	24359	UROK	\N	\N
3518477	10131	1998-09-30	PRIJEM	\N	43	18708	UROK	\N	\N
3518478	10131	1998-10-31	PRIJEM	\N	49	20459	UROK	\N	\N
3518479	10131	1998-11-30	PRIJEM	\N	86	18822	UROK	\N	\N
3518480	10131	1998-12-31	PRIJEM	\N	42	12292	UROK	\N	\N
3518481	10134	1997-05-31	PRIJEM	\N	238	51927	UROK	\N	\N
3518482	10134	1997-06-30	PRIJEM	\N	215	38243	UROK	\N	\N
3518483	10134	1997-07-31	PRIJEM	\N	230	36059	UROK	\N	\N
3518484	10134	1997-08-31	PRIJEM	\N	206	57635	UROK	\N	\N
3518485	10134	1997-09-30	PRIJEM	\N	235	75270	UROK	\N	\N
3518486	10134	1997-10-31	PRIJEM	\N	328	59401	UROK	\N	\N
3518487	10134	1997-11-30	PRIJEM	\N	304	60151	UROK	\N	\N
3518488	10134	1997-12-31	PRIJEM	\N	285	58513	UROK	\N	\N
3518489	10134	1998-01-31	PRIJEM	\N	185	26702	UROK	\N	\N
3518490	10134	1998-02-28	PRIJEM	\N	89	23760	UROK	\N	\N
3518491	10134	1998-03-31	PRIJEM	\N	182	34737	UROK	\N	\N
3518492	10134	1998-04-30	PRIJEM	\N	160	62233	UROK	\N	\N
3518493	10134	1998-05-31	PRIJEM	\N	231	47298	UROK	\N	\N
3518494	10134	1998-06-30	PRIJEM	\N	174	22269	UROK	\N	\N
3518495	10134	1998-07-31	PRIJEM	\N	288	45794	UROK	\N	\N
3518496	10134	1998-08-31	PRIJEM	\N	90	25235	UROK	\N	\N
3518497	10134	1998-09-30	PRIJEM	\N	76	21179	UROK	\N	\N
3518498	10134	1998-10-31	PRIJEM	\N	140	33931	UROK	\N	\N
3518499	10134	1998-11-30	PRIJEM	\N	123	33399	UROK	\N	\N
3518500	10134	1998-12-31	PRIJEM	\N	291	54590	UROK	\N	\N
3518570	10148	1997-02-28	PRIJEM	\N	54	21462	UROK	\N	\N
3518571	10148	1997-03-31	PRIJEM	\N	106	28376	UROK	\N	\N
3518572	10148	1997-04-30	PRIJEM	\N	141	37625	UROK	\N	\N
3518573	10148	1997-05-31	PRIJEM	\N	165	40897	UROK	\N	\N
3518574	10148	1997-06-30	PRIJEM	\N	194	43383	UROK	\N	\N
3518575	10148	1997-07-31	PRIJEM	\N	188	41993	UROK	\N	\N
3518576	10148	1997-08-31	PRIJEM	\N	184	42199	UROK	\N	\N
3518577	10148	1997-09-30	PRIJEM	\N	179	41200	UROK	\N	\N
3518578	10148	1997-10-31	PRIJEM	\N	188	43611	UROK	\N	\N
3518579	10148	1997-11-30	PRIJEM	\N	188	42821	UROK	\N	\N
3518580	10148	1997-12-31	PRIJEM	\N	193	44590	UROK	\N	\N
3518581	10148	1998-01-31	PRIJEM	\N	171	39483	UROK	\N	\N
3518582	10148	1998-02-28	PRIJEM	\N	192	46156	UROK	\N	\N
3518583	10148	1998-03-31	PRIJEM	\N	227	54963	UROK	\N	\N
3518584	10148	1998-04-30	PRIJEM	\N	227	52371	UROK	\N	\N
3518585	10148	1998-05-31	PRIJEM	\N	223	52674	UROK	\N	\N
3518586	10148	1998-06-30	PRIJEM	\N	229	44337	UROK	\N	\N
3518587	10148	1998-07-31	PRIJEM	\N	199	47116	UROK	\N	\N
3518588	10148	1998-08-31	PRIJEM	\N	214	51011	UROK	\N	\N
3518589	10148	1998-09-30	PRIJEM	\N	229	54420	UROK	\N	\N
3518590	10148	1998-10-31	PRIJEM	\N	241	57241	UROK	\N	\N
3518591	10148	1998-11-30	PRIJEM	\N	250	59472	UROK	\N	\N
3518592	10148	1998-12-31	PRIJEM	\N	273	64879	UROK	\N	\N
3518622	10152	1997-10-31	PRIJEM	\N	214	58152	UROK	\N	\N
3518623	10152	1997-11-30	PRIJEM	\N	216	62228	UROK	\N	\N
3518624	10152	1997-12-31	PRIJEM	\N	209	85336	UROK	\N	\N
3518625	10152	1998-01-31	PRIJEM	\N	229	33017	UROK	\N	\N
3518626	10152	1998-02-28	PRIJEM	\N	141	44111	UROK	\N	\N
3518627	10152	1998-03-31	PRIJEM	\N	115	30895	UROK	\N	\N
3518628	10152	1998-04-30	PRIJEM	\N	17	25135	UROK	\N	\N
3518629	10152	1998-05-31	PRIJEM	\N	95	15737	UROK	\N	\N
3518630	10152	1998-06-30	PRIJEM	\N	62	22941	UROK	\N	\N
3518631	10152	1998-07-31	PRIJEM	\N	87	20090	UROK	\N	\N
3518632	10152	1998-08-31	PRIJEM	\N	93	39198	UROK	\N	\N
3518633	10152	1998-09-30	PRIJEM	\N	5	40587	UROK	\N	\N
3518634	10152	1998-10-31	PRIJEM	\N	160	41780	UROK	\N	\N
3518635	10152	1998-11-30	PRIJEM	\N	202	48920	UROK	\N	\N
3518636	10152	1998-12-31	PRIJEM	\N	80	46728	UROK	\N	\N
3519191	10202	1996-07-31	PRIJEM	\N	41	14543	UROK	\N	\N
3519192	10202	1996-08-31	PRIJEM	\N	324	61652	UROK	\N	\N
3519193	10202	1996-09-30	PRIJEM	\N	421	87289	UROK	\N	\N
3519194	10202	1996-10-31	PRIJEM	\N	364	90294	UROK	\N	\N
3519195	10202	1996-11-30	PRIJEM	\N	230	44848	UROK	\N	\N
3519196	10202	1996-12-31	PRIJEM	\N	257	68824	UROK	\N	\N
3519197	10202	1997-01-31	PRIJEM	\N	132	22081	UROK	\N	\N
3519198	10202	1997-02-28	PRIJEM	\N	126	36582	UROK	\N	\N
3519199	10202	1997-03-31	PRIJEM	\N	110	21016	UROK	\N	\N
3519200	10202	1997-04-30	PRIJEM	\N	54	9095	UROK	\N	\N
3519201	10202	1997-05-31	PRIJEM	\N	37	7656	UROK	\N	\N
3519202	10202	1997-06-30	PRIJEM	\N	121	57975	UROK	\N	\N
3519203	10202	1997-07-31	PRIJEM	\N	157	30694	UROK	\N	\N
3519204	10202	1997-08-31	PRIJEM	\N	200	41007	UROK	\N	\N
3519205	10202	1997-09-30	PRIJEM	\N	85	16253	UROK	\N	\N
3519206	10202	1997-10-31	PRIJEM	\N	71	14384	UROK	\N	\N
3519207	10202	1997-11-30	PRIJEM	\N	94	19883	UROK	\N	\N
3519208	10202	1997-12-31	PRIJEM	\N	147	33784	UROK	\N	\N
3519209	10202	1998-01-31	PRIJEM	\N	81	25926	UROK	\N	\N
3519210	10202	1998-02-28	PRIJEM	\N	263	54816	UROK	\N	\N
3519211	10202	1998-03-31	PRIJEM	\N	189	47920	UROK	\N	\N
3519212	10202	1998-04-30	PRIJEM	\N	157	42638	UROK	\N	\N
3519213	10202	1998-05-31	PRIJEM	\N	144	38543	UROK	\N	\N
3519214	10202	1998-06-30	PRIJEM	\N	129	37533	UROK	\N	\N
3519215	10202	1998-07-31	PRIJEM	\N	125	35519	UROK	\N	\N
3519216	10202	1998-08-31	PRIJEM	\N	238	55424	UROK	\N	\N
3519217	10202	1998-09-30	PRIJEM	\N	204	53841	UROK	\N	\N
3519218	10202	1998-10-31	PRIJEM	\N	176	34478	UROK	\N	\N
3519219	10202	1998-11-30	PRIJEM	\N	120	37843	UROK	\N	\N
3519220	10202	1998-12-31	PRIJEM	\N	133	33738	UROK	\N	\N
3519365	10215	1996-05-31	PRIJEM	\N	60	22271	UROK	\N	\N
3519366	10215	1996-06-30	PRIJEM	\N	123	33159	UROK	\N	\N
3519367	10215	1996-07-31	PRIJEM	\N	146	36016	UROK	\N	\N
3519368	10215	1996-08-31	PRIJEM	\N	173	44500	UROK	\N	\N
3519369	10215	1996-09-30	PRIJEM	\N	184	43221	UROK	\N	\N
3519370	10215	1996-10-31	PRIJEM	\N	187	42931	UROK	\N	\N
3519371	10215	1996-11-30	PRIJEM	\N	177	41630	UROK	\N	\N
3519372	10215	1996-12-31	PRIJEM	\N	198	48906	UROK	\N	\N
3519373	10215	1997-01-31	PRIJEM	\N	196	43024	UROK	\N	\N
3519374	10215	1997-02-28	PRIJEM	\N	187	46633	UROK	\N	\N
3519375	10215	1997-03-31	PRIJEM	\N	203	50012	UROK	\N	\N
3519376	10215	1997-04-30	PRIJEM	\N	219	53607	UROK	\N	\N
3519377	10215	1997-05-31	PRIJEM	\N	223	53106	UROK	\N	\N
3519378	10215	1997-06-30	PRIJEM	\N	253	64190	UROK	\N	\N
3519379	10215	1997-07-31	PRIJEM	\N	260	60426	UROK	\N	\N
3519380	10215	1997-08-31	PRIJEM	\N	242	50244	UROK	\N	\N
3519381	10215	1997-09-30	PRIJEM	\N	225	55746	UROK	\N	\N
3519382	10215	1997-10-31	PRIJEM	\N	239	57861	UROK	\N	\N
3519383	10215	1997-11-30	PRIJEM	\N	249	60787	UROK	\N	\N
3519384	10215	1997-12-31	PRIJEM	\N	259	61977	UROK	\N	\N
3519385	10215	1998-01-31	PRIJEM	\N	215	47969	UROK	\N	\N
3519386	10215	1998-02-28	PRIJEM	\N	227	58172	UROK	\N	\N
3519387	10215	1998-03-31	PRIJEM	\N	258	63907	UROK	\N	\N
3519388	10215	1998-04-30	PRIJEM	\N	276	67460	UROK	\N	\N
3519389	10215	1998-05-31	PRIJEM	\N	279	67015	UROK	\N	\N
3519390	10215	1998-06-30	PRIJEM	\N	288	67535	UROK	\N	\N
3519391	10215	1998-07-31	PRIJEM	\N	272	64683	UROK	\N	\N
3519392	10215	1998-08-31	PRIJEM	\N	270	61730	UROK	\N	\N
3519393	10215	1998-09-30	PRIJEM	\N	276	63782	UROK	\N	\N
3519394	10215	1998-10-31	PRIJEM	\N	285	68044	UROK	\N	\N
3519395	10215	1998-11-30	PRIJEM	\N	301	69121	UROK	\N	\N
3519396	10215	1998-12-31	PRIJEM	\N	324	82176	UROK	\N	\N
3519397	10220	1996-09-30	PRIJEM	\N	15	22219	UROK	\N	\N
3519398	10220	1996-10-31	PRIJEM	\N	24	29765	UROK	\N	\N
3519399	10220	1996-11-30	PRIJEM	\N	27	32823	UROK	\N	\N
3519400	10220	1996-12-31	PRIJEM	\N	37	39566	UROK	\N	\N
3519401	10220	1997-01-31	PRIJEM	\N	88	32801	UROK	\N	\N
3519402	10220	1997-02-28	PRIJEM	\N	134	35731	UROK	\N	\N
3519403	10220	1997-03-31	PRIJEM	\N	35	38006	UROK	\N	\N
3519404	10220	1997-04-30	PRIJEM	\N	41	37793	UROK	\N	\N
3519405	10220	1997-05-31	PRIJEM	\N	171	33953	UROK	\N	\N
3519406	10220	1997-06-30	PRIJEM	\N	130	29150	UROK	\N	\N
3519407	10220	1997-07-31	PRIJEM	\N	118	28419	UROK	\N	\N
3519408	10220	1997-08-31	PRIJEM	\N	132	24571	UROK	\N	\N
3519409	10220	1997-09-30	PRIJEM	\N	76	19036	UROK	\N	\N
3519410	10220	1997-10-31	PRIJEM	\N	77	20187	UROK	\N	\N
3519411	10220	1997-11-30	PRIJEM	\N	73	18125	UROK	\N	\N
3519412	10220	1997-12-31	PRIJEM	\N	41	26743	UROK	\N	\N
3519413	10220	1998-01-31	PRIJEM	\N	23	7036	UROK	\N	\N
3519414	10220	1998-02-28	PRIJEM	\N	37	14663	UROK	\N	\N
3519415	10220	1998-03-31	PRIJEM	\N	75	15964	UROK	\N	\N
3519416	10220	1998-04-30	PRIJEM	\N	55	8039	UROK	\N	\N
3519417	10220	1998-05-31	PRIJEM	\N	44	10017	UROK	\N	\N
3519418	10220	1998-06-30	PRIJEM	\N	25	-466	UROK	\N	\N
3519419	10220	1998-06-30	VYDAJ	VYBER	7	-470	SANKC. UROK	\N	\N
3519420	10220	1998-07-31	PRIJEM	\N	14	4663	UROK	\N	\N
3519421	10220	1998-08-31	PRIJEM	\N	16	9162	UROK	\N	\N
3519422	10220	1998-09-30	PRIJEM	\N	37	11911	UROK	\N	\N
3519423	10220	1998-10-31	PRIJEM	\N	42	11579	UROK	\N	\N
3519424	10220	1998-11-30	PRIJEM	\N	40	11090	UROK	\N	\N
3519425	10220	1998-12-31	PRIJEM	\N	109	37790	UROK	\N	\N
3519440	10227	1993-10-31	PRIJEM	\N	73	54921	UROK	\N	\N
3519441	10227	1993-12-31	PRIJEM	\N	28	41589	UROK	\N	\N
3519442	10227	1994-01-31	PRIJEM	\N	44	36542	UROK	\N	\N
3519443	10227	1994-02-28	PRIJEM	\N	147	31865	UROK	\N	\N
3519444	10227	1994-03-31	PRIJEM	\N	24	25790	UROK	\N	\N
3519445	10227	1994-04-30	PRIJEM	\N	93	4400	UROK	\N	\N
3519446	10227	1994-05-31	PRIJEM	\N	238	44548	UROK	\N	\N
3519447	10227	1994-06-30	PRIJEM	\N	66	56020	UROK	\N	\N
3519448	10227	1994-07-31	PRIJEM	\N	206	34127	UROK	\N	\N
3519449	10227	1994-08-31	PRIJEM	\N	115	16542	UROK	\N	\N
3519450	10227	1994-09-30	PRIJEM	\N	49	40587	UROK	\N	\N
3519451	10227	1994-10-31	PRIJEM	\N	182	53255	UROK	\N	\N
3519452	10227	1994-11-30	PRIJEM	\N	55	-374	UROK	\N	\N
3519453	10227	1994-11-30	VYDAJ	VYBER	7	-489	SANKC. UROK	\N	\N
3519454	10227	1995-01-31	PRIJEM	\N	80	33605	UROK	\N	\N
3519455	10227	1995-02-28	PRIJEM	\N	67	14861	UROK	\N	\N
3519456	10227	1995-03-31	PRIJEM	\N	44	39381	UROK	\N	\N
3519457	10227	1995-04-30	PRIJEM	\N	237	63387	UROK	\N	\N
3519458	10227	1995-05-31	PRIJEM	\N	269	86903	UROK	\N	\N
3519459	10227	1995-06-30	PRIJEM	\N	302	101985	UROK	\N	\N
3519460	10227	1995-07-31	PRIJEM	\N	160	106402	UROK	\N	\N
3519461	10227	1995-08-31	PRIJEM	\N	354	51635	UROK	\N	\N
3519462	10227	1995-09-30	PRIJEM	\N	275	85609	UROK	\N	\N
3519463	10227	1995-10-31	PRIJEM	\N	69	76640	UROK	\N	\N
3519464	10227	1995-11-30	PRIJEM	\N	276	52499	UROK	\N	\N
3519465	10227	1995-12-31	PRIJEM	\N	283	90371	UROK	\N	\N
3519466	10227	1996-01-31	PRIJEM	\N	303	77305	UROK	\N	\N
3519467	10227	1996-02-29	PRIJEM	\N	88	30381	UROK	\N	\N
3519468	10227	1996-03-31	PRIJEM	\N	181	74341	UROK	\N	\N
3519469	10227	1996-04-30	PRIJEM	\N	325	45906	UROK	\N	\N
3519470	10227	1996-05-31	PRIJEM	\N	186	50431	UROK	\N	\N
3519471	10227	1996-06-30	PRIJEM	\N	183	31901	UROK	\N	\N
3519472	10227	1996-07-31	PRIJEM	\N	216	104026	UROK	\N	\N
3519473	10227	1996-08-31	PRIJEM	\N	342	57766	UROK	\N	\N
3519474	10227	1996-09-30	PRIJEM	\N	247	82129	UROK	\N	\N
3519475	10227	1996-10-31	PRIJEM	\N	211	89359	UROK	\N	\N
3519476	10227	1996-11-30	PRIJEM	\N	323	54382	UROK	\N	\N
3519477	10227	1996-12-31	PRIJEM	\N	141	86245	UROK	\N	\N
3519478	10227	1997-01-31	PRIJEM	\N	180	19909	UROK	\N	\N
3519479	10227	1997-02-28	PRIJEM	\N	5	12037	UROK	\N	\N
3519480	10227	1997-03-31	PRIJEM	\N	32	17469	UROK	\N	\N
3519481	10227	1997-04-30	PRIJEM	\N	74	28163	UROK	\N	\N
3519482	10227	1997-05-31	PRIJEM	\N	71	13472	UROK	\N	\N
3519483	10227	1997-06-30	PRIJEM	\N	30	11402	UROK	\N	\N
3519484	10227	1997-07-31	PRIJEM	\N	52	14862	UROK	\N	\N
3519485	10227	1997-08-31	PRIJEM	\N	24	11942	UROK	\N	\N
3519486	10227	1997-11-30	PRIJEM	\N	110	48918	UROK	\N	\N
3519487	10227	1997-12-31	PRIJEM	\N	40	41610	UROK	\N	\N
3519488	10227	1998-01-31	PRIJEM	\N	82	20735	UROK	\N	\N
3519489	10227	1998-02-28	PRIJEM	\N	49	29137	UROK	\N	\N
3519490	10227	1998-03-31	PRIJEM	\N	171	67894	UROK	\N	\N
3519491	10227	1998-04-30	PRIJEM	\N	198	53779	UROK	\N	\N
3519492	10227	1998-07-31	PRIJEM	\N	7	59667	UROK	\N	\N
3519493	10227	1998-08-31	PRIJEM	\N	211	56396	UROK	\N	\N
3519494	10227	1998-09-30	PRIJEM	\N	189	57285	UROK	\N	\N
3519495	10227	1998-10-31	PRIJEM	\N	6	54286	UROK	\N	\N
3519496	10227	1998-11-30	PRIJEM	\N	168	44654	UROK	\N	\N
3519497	10233	1996-03-31	PRIJEM	\N	33	24647	UROK	\N	\N
3519498	10233	1996-04-30	PRIJEM	\N	116	34177	UROK	\N	\N
3519499	10233	1996-05-31	PRIJEM	\N	153	41844	UROK	\N	\N
3519500	10233	1996-06-30	PRIJEM	\N	184	48299	UROK	\N	\N
3519501	10233	1996-07-31	PRIJEM	\N	171	31789	UROK	\N	\N
3519502	10233	1996-08-31	PRIJEM	\N	122	24385	UROK	\N	\N
3519503	10233	1996-09-30	PRIJEM	\N	123	29353	UROK	\N	\N
3519504	10233	1996-10-31	PRIJEM	\N	154	35551	UROK	\N	\N
3519505	10233	1996-11-30	PRIJEM	\N	161	35756	UROK	\N	\N
3519506	10233	1996-12-31	PRIJEM	\N	177	31334	UROK	\N	\N
3519507	10233	1997-01-31	PRIJEM	\N	145	34423	UROK	\N	\N
3519508	10233	1997-02-28	PRIJEM	\N	138	25183	UROK	\N	\N
3519509	10233	1997-03-31	PRIJEM	\N	124	29851	UROK	\N	\N
3519510	10233	1997-04-30	PRIJEM	\N	130	28625	UROK	\N	\N
3519511	10233	1997-05-31	PRIJEM	\N	129	28113	UROK	\N	\N
3519512	10233	1997-06-30	PRIJEM	\N	155	35883	UROK	\N	\N
3519513	10233	1997-07-31	PRIJEM	\N	135	26777	UROK	\N	\N
3519514	10233	1997-08-31	PRIJEM	\N	113	23349	UROK	\N	\N
3519515	10233	1997-09-30	PRIJEM	\N	70	12212	UROK	\N	\N
3519516	10233	1997-10-31	PRIJEM	\N	80	17851	UROK	\N	\N
3519517	10233	1997-11-30	PRIJEM	\N	79	18590	UROK	\N	\N
3519518	10233	1997-12-31	PRIJEM	\N	102	24907	UROK	\N	\N
3519519	10233	1998-01-31	PRIJEM	\N	50	6162	UROK	\N	\N
3519520	10233	1998-02-28	PRIJEM	\N	65	20386	UROK	\N	\N
3519521	10233	1998-03-31	PRIJEM	\N	70	12715	UROK	\N	\N
3519522	10233	1998-04-30	PRIJEM	\N	30	3903	UROK	\N	\N
3519523	10233	1998-05-31	PRIJEM	\N	57	18119	UROK	\N	\N
3519524	10233	1998-06-30	PRIJEM	\N	150	44384	UROK	\N	\N
3519525	10233	1998-07-31	PRIJEM	\N	136	28279	UROK	\N	\N
3519526	10233	1998-08-31	PRIJEM	\N	159	42596	UROK	\N	\N
3519527	10233	1998-09-30	PRIJEM	\N	144	29998	UROK	\N	\N
3519528	10233	1998-10-31	PRIJEM	\N	162	37419	UROK	\N	\N
3519529	10233	1998-11-30	PRIJEM	\N	182	46606	UROK	\N	\N
3519530	10233	1998-12-31	PRIJEM	\N	145	27021	UROK	\N	\N
3519619	10243	1997-09-30	PRIJEM	\N	205	71697	UROK	\N	\N
3519620	10243	1997-10-31	PRIJEM	\N	347	100516	UROK	\N	\N
3519621	10243	1997-11-30	PRIJEM	\N	447	80324	UROK	\N	\N
3519622	10243	1997-12-31	PRIJEM	\N	292	100861	UROK	\N	\N
3519623	10243	1998-01-31	PRIJEM	\N	280	72211	UROK	\N	\N
3519624	10243	1998-02-28	PRIJEM	\N	270	66140	UROK	\N	\N
3519625	10243	1998-03-31	PRIJEM	\N	157	56790	UROK	\N	\N
3519626	10243	1998-04-30	PRIJEM	\N	245	88299	UROK	\N	\N
3519627	10243	1998-05-31	PRIJEM	\N	249	26566	UROK	\N	\N
3519628	10243	1998-06-30	PRIJEM	\N	242	57671	UROK	\N	\N
3519629	10243	1998-07-31	PRIJEM	\N	258	44315	UROK	\N	\N
3519630	10243	1998-08-31	PRIJEM	\N	213	78554	UROK	\N	\N
3519631	10243	1998-09-30	PRIJEM	\N	390	61273	UROK	\N	\N
3519632	10243	1998-10-31	PRIJEM	\N	199	25409	UROK	\N	\N
3519633	10243	1998-11-30	PRIJEM	\N	342	51166	UROK	\N	\N
3519634	10243	1998-12-31	PRIJEM	\N	302	45860	UROK	\N	\N
3519744	10257	1997-05-31	PRIJEM	\N	189	99088	UROK	\N	\N
3519745	10257	1997-06-30	PRIJEM	\N	258	95087	UROK	\N	\N
3519746	10257	1997-07-31	PRIJEM	\N	281	30395	UROK	\N	\N
3519747	10257	1997-08-31	PRIJEM	\N	143	46840	UROK	\N	\N
3519748	10257	1997-09-30	PRIJEM	\N	285	53461	UROK	\N	\N
3519749	10257	1997-10-31	PRIJEM	\N	293	65477	UROK	\N	\N
3519750	10257	1997-11-30	PRIJEM	\N	219	46755	UROK	\N	\N
3519751	10257	1997-12-31	PRIJEM	\N	169	52962	UROK	\N	\N
3519752	10257	1998-01-31	PRIJEM	\N	121	24167	UROK	\N	\N
3519753	10257	1998-02-28	PRIJEM	\N	164	47836	UROK	\N	\N
3519754	10257	1998-03-31	PRIJEM	\N	129	33034	UROK	\N	\N
3519755	10257	1998-04-30	PRIJEM	\N	206	55315	UROK	\N	\N
3519756	10257	1998-05-31	PRIJEM	\N	365	75920	UROK	\N	\N
3519757	10257	1998-06-30	PRIJEM	\N	321	51552	UROK	\N	\N
3519758	10257	1998-07-31	PRIJEM	\N	156	49578	UROK	\N	\N
3519759	10257	1998-08-31	PRIJEM	\N	210	67422	UROK	\N	\N
3519760	10257	1998-09-30	PRIJEM	\N	212	22762	UROK	\N	\N
3519761	10257	1998-10-31	PRIJEM	\N	46	4841	UROK	\N	\N
3519762	10257	1998-11-30	PRIJEM	\N	194	43252	UROK	\N	\N
3519763	10257	1998-12-31	PRIJEM	\N	242	83200	UROK	\N	\N
3519764	10266	1993-06-30	PRIJEM	\N	51	30334	UROK	\N	\N
3519765	10266	1993-07-31	PRIJEM	\N	165	76740	UROK	\N	\N
3519766	10266	1993-10-31	PRIJEM	\N	161	56815	UROK	\N	\N
3519767	10266	1993-12-31	PRIJEM	\N	158	34217	UROK	\N	\N
3519768	10266	1994-01-31	PRIJEM	\N	44	8695	UROK	\N	\N
3519769	10266	1994-02-28	PRIJEM	\N	29	-2283	UROK	\N	\N
3519770	10266	1994-02-28	VYDAJ	VYBER	1	-2284	SANKC. UROK	\N	\N
3519771	10266	1994-03-31	PRIJEM	\N	20	44958	UROK	\N	\N
3519772	10266	1994-03-31	VYDAJ	VYBER	10	44974	SANKC. UROK	\N	\N
3519773	10266	1994-04-30	PRIJEM	\N	114	95964	UROK	\N	\N
3519774	10266	1994-05-31	PRIJEM	\N	117	40673	UROK	\N	\N
3519775	10266	1994-06-30	PRIJEM	\N	112	28990	UROK	\N	\N
3519776	10266	1994-07-31	PRIJEM	\N	30	11055	UROK	\N	\N
3519777	10266	1994-08-31	PRIJEM	\N	37	35226	UROK	\N	\N
3519778	10266	1994-09-30	PRIJEM	\N	53	20219	UROK	\N	\N
3519779	10266	1994-10-31	PRIJEM	\N	48	6101	UROK	\N	\N
3519780	10266	1994-11-30	PRIJEM	\N	186	49561	UROK	\N	\N
3519781	10266	1994-12-31	PRIJEM	\N	125	74150	UROK	\N	\N
3519782	10266	1995-01-31	PRIJEM	\N	86	21821	UROK	\N	\N
3519783	10266	1995-02-28	PRIJEM	\N	6	3961	UROK	\N	\N
3519784	10266	1995-03-31	PRIJEM	\N	165	71021	UROK	\N	\N
3519785	10266	1995-04-30	PRIJEM	\N	215	69283	UROK	\N	\N
3519786	10266	1995-05-31	PRIJEM	\N	138	32970	UROK	\N	\N
3519787	10266	1995-06-30	PRIJEM	\N	24	13947	UROK	\N	\N
3519788	10266	1995-07-31	PRIJEM	\N	75	21056	UROK	\N	\N
3519789	10266	1995-08-31	PRIJEM	\N	64	25570	UROK	\N	\N
3519790	10266	1995-09-30	PRIJEM	\N	17	10182	UROK	\N	\N
3519791	10266	1995-11-30	PRIJEM	\N	14	36558	UROK	\N	\N
3519792	10266	1995-12-31	PRIJEM	\N	43	19571	UROK	\N	\N
3519793	10266	1996-01-31	PRIJEM	\N	9	2126	UROK	\N	\N
3519794	10266	1996-01-31	VYDAJ	VYBER	4	2122	SANKC. UROK	\N	\N
3519795	10266	1996-02-29	PRIJEM	\N	7	14994	UROK	\N	\N
3519796	10266	1996-02-29	VYDAJ	VYBER	4	14999	SANKC. UROK	\N	\N
3519797	10266	1996-03-31	PRIJEM	\N	148	30166	UROK	\N	\N
3519798	10266	1996-04-30	PRIJEM	\N	64	12033	UROK	\N	\N
3519799	10266	1996-05-31	PRIJEM	\N	16	25648	UROK	\N	\N
3519800	10266	1996-06-30	PRIJEM	\N	132	40975	UROK	\N	\N
3519801	10266	1996-07-31	PRIJEM	\N	22	28832	UROK	\N	\N
3519802	10266	1996-08-31	PRIJEM	\N	161	24989	UROK	\N	\N
3519803	10266	1996-09-30	PRIJEM	\N	156	38044	UROK	\N	\N
3519804	10266	1996-10-31	PRIJEM	\N	163	35452	UROK	\N	\N
3519805	10266	1996-11-30	PRIJEM	\N	44	31111	UROK	\N	\N
3519806	10266	1996-12-31	PRIJEM	\N	115	38682	UROK	\N	\N
3519807	10266	1997-01-31	PRIJEM	\N	142	42489	UROK	\N	\N
3519808	10266	1997-02-28	PRIJEM	\N	148	38114	UROK	\N	\N
3519809	10266	1997-03-31	PRIJEM	\N	140	21714	UROK	\N	\N
3519810	10266	1997-04-30	PRIJEM	\N	94	45548	UROK	\N	\N
3519811	10266	1997-05-31	PRIJEM	\N	76	27359	UROK	\N	\N
3519812	10266	1997-06-30	PRIJEM	\N	182	31647	UROK	\N	\N
3519813	10266	1997-07-31	PRIJEM	\N	279	96746	UROK	\N	\N
3519814	10266	1997-08-31	PRIJEM	\N	65	30191	UROK	\N	\N
3519815	10266	1997-09-30	PRIJEM	\N	182	61436	UROK	\N	\N
3519816	10266	1997-10-31	PRIJEM	\N	153	47459	UROK	\N	\N
3519817	10266	1997-11-30	PRIJEM	\N	45	19659	UROK	\N	\N
3519818	10266	1997-12-31	PRIJEM	\N	296	38249	UROK	\N	\N
3519819	10266	1998-01-31	PRIJEM	\N	45	21177	UROK	\N	\N
3519820	10266	1998-02-28	PRIJEM	\N	132	42314	UROK	\N	\N
3519821	10266	1998-03-31	PRIJEM	\N	44	29770	UROK	\N	\N
3519822	10266	1998-04-30	PRIJEM	\N	64	15119	UROK	\N	\N
3519823	10266	1998-06-30	PRIJEM	\N	6	49168	UROK	\N	\N
3519824	10266	1998-07-31	PRIJEM	\N	146	34723	UROK	\N	\N
3519825	10266	1998-08-31	PRIJEM	\N	82	16973	UROK	\N	\N
3519826	10266	1998-09-30	PRIJEM	\N	41	17041	UROK	\N	\N
3519827	10266	1998-11-30	PRIJEM	\N	43	17096	UROK	\N	\N
3519828	10266	1998-11-30	PRIJEM	\N	41	17053	UROK	\N	\N
3519913	10280	1996-12-31	PRIJEM	\N	126	52947	UROK	\N	\N
3519914	10280	1997-01-31	PRIJEM	\N	175	55036	UROK	\N	\N
3519915	10280	1997-02-28	PRIJEM	\N	229	90079	UROK	\N	\N
3519916	10280	1997-03-31	PRIJEM	\N	327	97319	UROK	\N	\N
3519917	10280	1997-04-30	PRIJEM	\N	279	102012	UROK	\N	\N
3519918	10280	1997-05-31	PRIJEM	\N	341	63653	UROK	\N	\N
3519919	10280	1997-06-30	PRIJEM	\N	292	32285	UROK	\N	\N
3519920	10280	1997-07-31	PRIJEM	\N	168	34392	UROK	\N	\N
3519921	10280	1997-08-31	PRIJEM	\N	187	43378	UROK	\N	\N
3519922	10280	1997-09-30	PRIJEM	\N	228	57118	UROK	\N	\N
3519923	10280	1997-10-31	PRIJEM	\N	236	47888	UROK	\N	\N
3519924	10280	1997-11-30	PRIJEM	\N	240	37278	UROK	\N	\N
3519925	10280	1997-12-31	PRIJEM	\N	234	53856	UROK	\N	\N
3519926	10280	1998-01-31	PRIJEM	\N	174	37926	UROK	\N	\N
3519927	10280	1998-02-28	PRIJEM	\N	213	53636	UROK	\N	\N
3519928	10280	1998-03-31	PRIJEM	\N	254	50977	UROK	\N	\N
3519929	10280	1998-04-30	PRIJEM	\N	242	55374	UROK	\N	\N
3519930	10280	1998-05-31	PRIJEM	\N	245	53002	UROK	\N	\N
3519931	10280	1998-06-30	PRIJEM	\N	287	51792	UROK	\N	\N
3519932	10280	1998-07-31	PRIJEM	\N	247	54826	UROK	\N	\N
3519933	10280	1998-08-31	PRIJEM	\N	263	62087	UROK	\N	\N
3519934	10280	1998-09-30	PRIJEM	\N	298	68182	UROK	\N	\N
3519935	10280	1998-10-31	PRIJEM	\N	320	72199	UROK	\N	\N
3519936	10280	1998-11-30	PRIJEM	\N	222	50481	UROK	\N	\N
3519937	10280	1998-12-31	PRIJEM	\N	322	94208	UROK	\N	\N
3520007	10297	1996-02-29	PRIJEM	\N	45	26072	UROK	\N	\N
3520008	10297	1996-03-31	PRIJEM	\N	123	34322	UROK	\N	\N
3520009	10297	1996-04-30	PRIJEM	\N	150	38699	UROK	\N	\N
3520010	10297	1996-05-31	PRIJEM	\N	165	40790	UROK	\N	\N
3520011	10297	1996-06-30	PRIJEM	\N	190	41519	UROK	\N	\N
3520012	10297	1996-07-31	PRIJEM	\N	166	29716	UROK	\N	\N
3520013	10297	1996-08-31	PRIJEM	\N	131	31957	UROK	\N	\N
3520014	10297	1996-09-30	PRIJEM	\N	137	32105	UROK	\N	\N
3520015	10297	1996-10-31	PRIJEM	\N	143	32458	UROK	\N	\N
3520016	10297	1996-11-30	PRIJEM	\N	135	31303	UROK	\N	\N
3520017	10297	1996-12-31	PRIJEM	\N	144	33739	UROK	\N	\N
3520018	10297	1997-01-31	PRIJEM	\N	120	17419	UROK	\N	\N
3520019	10297	1997-02-28	PRIJEM	\N	104	29362	UROK	\N	\N
3520020	10297	1997-03-31	PRIJEM	\N	137	33838	UROK	\N	\N
3520021	10297	1997-04-30	PRIJEM	\N	157	38754	UROK	\N	\N
3520022	10297	1997-05-31	PRIJEM	\N	168	38701	UROK	\N	\N
3520023	10297	1997-06-30	PRIJEM	\N	194	41988	UROK	\N	\N
3520024	10297	1997-07-31	PRIJEM	\N	184	43011	UROK	\N	\N
3520025	10297	1997-08-31	PRIJEM	\N	165	32996	UROK	\N	\N
3520026	10297	1997-09-30	PRIJEM	\N	158	39694	UROK	\N	\N
3520027	10297	1997-10-31	PRIJEM	\N	182	44714	UROK	\N	\N
3520028	10297	1997-11-30	PRIJEM	\N	189	45083	UROK	\N	\N
3520029	10297	1997-12-31	PRIJEM	\N	227	56102	UROK	\N	\N
3520030	10297	1998-01-31	PRIJEM	\N	189	39531	UROK	\N	\N
3520031	10297	1998-02-28	PRIJEM	\N	194	50164	UROK	\N	\N
3520032	10297	1998-03-31	PRIJEM	\N	230	56833	UROK	\N	\N
3520033	10297	1998-04-30	PRIJEM	\N	247	60519	UROK	\N	\N
3520034	10297	1998-05-31	PRIJEM	\N	270	66429	UROK	\N	\N
3520035	10297	1998-06-30	PRIJEM	\N	212	38214	UROK	\N	\N
3520036	10297	1998-07-31	PRIJEM	\N	218	58471	UROK	\N	\N
3520037	10297	1998-08-31	PRIJEM	\N	268	66578	UROK	\N	\N
3520038	10297	1998-09-30	PRIJEM	\N	304	75621	UROK	\N	\N
3520039	10297	1998-10-31	PRIJEM	\N	313	74974	UROK	\N	\N
3520040	10297	1998-11-30	PRIJEM	\N	307	72520	UROK	\N	\N
3520041	10297	1998-12-31	PRIJEM	\N	314	77687	UROK	\N	\N
3520160	10320	1993-08-31	PRIJEM	\N	75	25548	UROK	\N	\N
3520161	10320	1993-09-30	PRIJEM	\N	186	40007	UROK	\N	\N
3520162	10320	1993-10-31	PRIJEM	\N	259	44739	UROK	\N	\N
3520163	10320	1993-11-30	PRIJEM	\N	261	61774	UROK	\N	\N
3520164	10320	1993-12-31	PRIJEM	\N	270	61790	UROK	\N	\N
3520165	10320	1994-01-31	PRIJEM	\N	159	19865	UROK	\N	\N
3520166	10320	1994-02-28	PRIJEM	\N	119	30999	UROK	\N	\N
3520167	10320	1994-03-31	PRIJEM	\N	153	35767	UROK	\N	\N
3520168	10320	1994-04-30	PRIJEM	\N	129	22065	UROK	\N	\N
3520169	10320	1994-05-31	PRIJEM	\N	127	32508	UROK	\N	\N
3520170	10320	1994-06-30	PRIJEM	\N	202	53613	UROK	\N	\N
3520171	10320	1994-07-31	PRIJEM	\N	163	28591	UROK	\N	\N
3520172	10320	1994-08-31	PRIJEM	\N	126	25343	UROK	\N	\N
3520173	10320	1994-09-30	PRIJEM	\N	148	38407	UROK	\N	\N
3520174	10320	1994-10-31	PRIJEM	\N	151	35785	UROK	\N	\N
3520175	10320	1994-11-30	PRIJEM	\N	178	44278	UROK	\N	\N
3520176	10320	1994-12-31	PRIJEM	\N	213	55594	UROK	\N	\N
3520177	10320	1995-01-31	PRIJEM	\N	119	22328	UROK	\N	\N
3520178	10320	1995-02-28	PRIJEM	\N	124	30867	UROK	\N	\N
3520179	10320	1995-03-31	PRIJEM	\N	165	41948	UROK	\N	\N
3520180	10320	1995-04-30	PRIJEM	\N	197	48360	UROK	\N	\N
3520181	10320	1995-05-31	PRIJEM	\N	149	25131	UROK	\N	\N
3520182	10320	1995-06-30	PRIJEM	\N	129	26069	UROK	\N	\N
3520183	10320	1995-07-31	PRIJEM	\N	129	32722	UROK	\N	\N
3520184	10320	1995-08-31	PRIJEM	\N	131	29868	UROK	\N	\N
3520185	10320	1995-09-30	PRIJEM	\N	150	32634	UROK	\N	\N
3520186	10320	1995-10-31	PRIJEM	\N	160	34109	UROK	\N	\N
3520187	10320	1995-11-30	PRIJEM	\N	167	37692	UROK	\N	\N
3520188	10320	1995-12-31	PRIJEM	\N	167	30997	UROK	\N	\N
3520189	10320	1996-01-31	PRIJEM	\N	120	28533	UROK	\N	\N
3520190	10320	1996-02-29	PRIJEM	\N	127	29403	UROK	\N	\N
3520191	10320	1996-03-31	PRIJEM	\N	114	26605	UROK	\N	\N
3520192	10320	1996-04-30	PRIJEM	\N	136	33556	UROK	\N	\N
3520193	10320	1996-05-31	PRIJEM	\N	111	26183	UROK	\N	\N
3520194	10320	1996-06-30	PRIJEM	\N	156	22077	UROK	\N	\N
3520195	10320	1996-07-31	PRIJEM	\N	117	29509	UROK	\N	\N
3520196	10320	1996-08-31	PRIJEM	\N	138	25663	UROK	\N	\N
3520197	10320	1996-09-30	PRIJEM	\N	127	29706	UROK	\N	\N
3520198	10320	1996-10-31	PRIJEM	\N	132	29190	UROK	\N	\N
3520199	10320	1996-11-30	PRIJEM	\N	141	33146	UROK	\N	\N
3520200	10320	1996-12-31	PRIJEM	\N	182	33030	UROK	\N	\N
3520201	10320	1997-01-31	PRIJEM	\N	113	22359	UROK	\N	\N
3520202	10320	1997-02-28	PRIJEM	\N	117	31092	UROK	\N	\N
3520203	10320	1997-03-31	PRIJEM	\N	146	33154	UROK	\N	\N
3520204	10320	1997-04-30	PRIJEM	\N	147	30116	UROK	\N	\N
3520205	10320	1997-05-31	PRIJEM	\N	139	31170	UROK	\N	\N
3520206	10320	1997-06-30	PRIJEM	\N	92	20965	UROK	\N	\N
3520207	10320	1997-07-31	PRIJEM	\N	113	30494	UROK	\N	\N
3520208	10320	1997-08-31	PRIJEM	\N	137	24746	UROK	\N	\N
3520209	10320	1997-09-30	PRIJEM	\N	126	32988	UROK	\N	\N
3520210	10320	1997-10-31	PRIJEM	\N	124	23028	UROK	\N	\N
3520211	10320	1997-11-30	PRIJEM	\N	112	27856	UROK	\N	\N
3520212	10320	1997-12-31	PRIJEM	\N	150	35808	UROK	\N	\N
3520213	10320	1998-01-31	PRIJEM	\N	107	20793	UROK	\N	\N
3520214	10320	1998-02-28	PRIJEM	\N	100	25008	UROK	\N	\N
3520215	10320	1998-03-31	PRIJEM	\N	114	26750	UROK	\N	\N
3520216	10320	1998-04-30	PRIJEM	\N	112	27301	UROK	\N	\N
3520217	10320	1998-05-31	PRIJEM	\N	130	32546	UROK	\N	\N
3520218	10320	1998-06-30	PRIJEM	\N	175	44924	UROK	\N	\N
3520219	10320	1998-07-31	PRIJEM	\N	189	44328	UROK	\N	\N
3520220	10320	1998-08-31	PRIJEM	\N	147	24128	UROK	\N	\N
3520221	10320	1998-09-30	PRIJEM	\N	125	32706	UROK	\N	\N
3520222	10320	1998-10-31	PRIJEM	\N	163	41985	UROK	\N	\N
3520223	10320	1998-11-30	PRIJEM	\N	143	29282	UROK	\N	\N
3520224	10320	1998-12-31	PRIJEM	\N	164	41849	UROK	\N	\N
3520294	10343	1997-06-30	PRIJEM	\N	26	21055	UROK	\N	\N
3520295	10343	1997-07-31	PRIJEM	\N	31	23445	UROK	\N	\N
3520296	10343	1997-08-31	PRIJEM	\N	31	21243	UROK	\N	\N
3520297	10343	1997-09-30	PRIJEM	\N	27	17831	UROK	\N	\N
3520298	10343	1997-10-31	PRIJEM	\N	26	14906	UROK	\N	\N
3520299	10343	1997-11-30	PRIJEM	\N	61	11489	UROK	\N	\N
3520300	10343	1997-12-31	PRIJEM	\N	41	15777	UROK	\N	\N
3520301	10343	1998-01-31	PRIJEM	\N	60	5869	UROK	\N	\N
3520302	10343	1998-02-28	PRIJEM	\N	13	5180	UROK	\N	\N
3520303	10343	1998-03-31	PRIJEM	\N	27	4869	UROK	\N	\N
3520304	10343	1998-04-30	PRIJEM	\N	5	2726	UROK	\N	\N
3520305	10343	1998-05-31	PRIJEM	\N	12	-3324	UROK	\N	\N
3520306	10343	1998-05-31	VYDAJ	VYBER	12	-3336	SANKC. UROK	\N	\N
3520307	10343	1998-06-30	PRIJEM	\N	8	4245	UROK	\N	\N
3520308	10343	1998-06-30	VYDAJ	VYBER	19	4201	SANKC. UROK	\N	\N
3520309	10343	1998-07-31	PRIJEM	\N	1	-2951	UROK	\N	\N
3520310	10343	1998-07-31	VYDAJ	VYBER	11	-2968	SANKC. UROK	\N	\N
3520311	10343	1998-08-31	VYDAJ	VYBER	39	-4290	SANKC. UROK	\N	\N
3520312	10343	1998-09-30	VYDAJ	VYBER	9	-1361	SANKC. UROK	\N	\N
3520313	10343	1998-10-31	PRIJEM	\N	1	-7488	UROK	\N	\N
3520314	10343	1998-10-31	VYDAJ	VYBER	43	-7577	SANKC. UROK	\N	\N
3520315	10343	1998-11-30	VYDAJ	VYBER	56	-9757	SANKC. UROK	\N	\N
3520316	10343	1998-12-31	VYDAJ	VYBER	41	-6980	SANKC. UROK	\N	\N
3520317	10345	1996-04-30	PRIJEM	\N	32	11146	UROK	\N	\N
3520318	10345	1996-05-31	PRIJEM	\N	99	29160	UROK	\N	\N
3520319	10345	1996-06-30	PRIJEM	\N	155	40685	UROK	\N	\N
3520320	10345	1996-07-31	PRIJEM	\N	186	46385	UROK	\N	\N
3520321	10345	1996-08-31	PRIJEM	\N	189	44588	UROK	\N	\N
3520322	10345	1996-09-30	PRIJEM	\N	160	37505	UROK	\N	\N
3520323	10345	1996-10-31	PRIJEM	\N	136	33398	UROK	\N	\N
3520324	10345	1996-11-30	PRIJEM	\N	136	32592	UROK	\N	\N
3520325	10345	1996-12-31	PRIJEM	\N	143	37489	UROK	\N	\N
3520326	10345	1997-01-31	PRIJEM	\N	107	21634	UROK	\N	\N
3520327	10345	1997-02-28	PRIJEM	\N	109	24380	UROK	\N	\N
3520328	10345	1997-03-31	PRIJEM	\N	104	26041	UROK	\N	\N
3520329	10345	1997-04-30	PRIJEM	\N	94	20032	UROK	\N	\N
3520330	10345	1997-05-31	PRIJEM	\N	85	21574	UROK	\N	\N
3520331	10345	1997-06-30	PRIJEM	\N	103	26492	UROK	\N	\N
3520332	10345	1997-07-31	PRIJEM	\N	101	24350	UROK	\N	\N
3520333	10345	1997-08-31	PRIJEM	\N	98	24205	UROK	\N	\N
3520334	10345	1997-09-30	PRIJEM	\N	95	22458	UROK	\N	\N
3520335	10345	1997-10-31	PRIJEM	\N	88	18203	UROK	\N	\N
3520336	10345	1997-11-30	PRIJEM	\N	81	19542	UROK	\N	\N
3520337	10345	1997-12-31	PRIJEM	\N	79	17215	UROK	\N	\N
3520338	10345	1998-01-31	PRIJEM	\N	65	13997	UROK	\N	\N
3520339	10345	1998-02-28	PRIJEM	\N	60	12509	UROK	\N	\N
3520340	10345	1998-03-31	PRIJEM	\N	54	12816	UROK	\N	\N
3520341	10345	1998-04-30	PRIJEM	\N	56	13624	UROK	\N	\N
3520342	10345	1998-05-31	PRIJEM	\N	59	14435	UROK	\N	\N
3520343	10345	1998-06-30	PRIJEM	\N	77	20322	UROK	\N	\N
3520344	10345	1998-07-31	PRIJEM	\N	87	21161	UROK	\N	\N
3520345	10345	1998-08-31	PRIJEM	\N	90	22003	UROK	\N	\N
3520346	10345	1998-09-30	PRIJEM	\N	71	17427	UROK	\N	\N
3520347	10345	1998-10-31	PRIJEM	\N	75	18254	UROK	\N	\N
3520348	10345	1998-11-30	PRIJEM	\N	78	19084	UROK	\N	\N
3520349	10345	1998-12-31	PRIJEM	\N	82	20976	UROK	\N	\N
3520433	10351	1995-05-31	PRIJEM	\N	26	7442	UROK	\N	\N
3520434	10351	1995-06-30	PRIJEM	\N	106	29272	UROK	\N	\N
3520435	10351	1995-07-31	PRIJEM	\N	131	32019	UROK	\N	\N
3520436	10351	1995-08-31	PRIJEM	\N	132	31767	UROK	\N	\N
3520437	10351	1995-09-30	PRIJEM	\N	109	19663	UROK	\N	\N
3520438	10351	1995-10-31	PRIJEM	\N	85	19939	UROK	\N	\N
3520439	10351	1995-11-30	PRIJEM	\N	89	21319	UROK	\N	\N
3520440	10351	1995-12-31	PRIJEM	\N	97	19456	UROK	\N	\N
3520441	10351	1996-01-31	PRIJEM	\N	72	15419	UROK	\N	\N
3520442	10351	1996-02-29	PRIJEM	\N	67	16838	UROK	\N	\N
3520443	10351	1996-03-31	PRIJEM	\N	73	17042	UROK	\N	\N
3520444	10351	1996-04-30	PRIJEM	\N	76	17709	UROK	\N	\N
3520445	10351	1996-05-31	PRIJEM	\N	65	16686	UROK	\N	\N
3520446	10351	1996-06-30	PRIJEM	\N	84	18069	UROK	\N	\N
3520447	10351	1996-07-31	PRIJEM	\N	80	20640	UROK	\N	\N
3520448	10351	1996-08-31	PRIJEM	\N	90	18821	UROK	\N	\N
3520449	10351	1996-09-30	PRIJEM	\N	78	15991	UROK	\N	\N
3520450	10351	1996-10-31	PRIJEM	\N	65	13867	UROK	\N	\N
3520451	10351	1996-11-30	PRIJEM	\N	62	13720	UROK	\N	\N
3520452	10351	1996-12-31	PRIJEM	\N	63	12702	UROK	\N	\N
3520453	10351	1997-01-31	PRIJEM	\N	49	11903	UROK	\N	\N
3520454	10351	1997-02-28	PRIJEM	\N	51	13446	UROK	\N	\N
3520455	10351	1997-03-31	PRIJEM	\N	62	16151	UROK	\N	\N
3520456	10351	1997-04-30	PRIJEM	\N	66	14960	UROK	\N	\N
3520457	10351	1997-05-31	PRIJEM	\N	64	16468	UROK	\N	\N
3520458	10351	1997-06-30	PRIJEM	\N	80	16999	UROK	\N	\N
3520459	10351	1997-07-31	PRIJEM	\N	67	14409	UROK	\N	\N
3520460	10351	1997-08-31	PRIJEM	\N	63	16315	UROK	\N	\N
3520461	10351	1997-09-30	PRIJEM	\N	72	15730	UROK	\N	\N
3520462	10351	1997-10-31	PRIJEM	\N	67	16840	UROK	\N	\N
3520463	10351	1997-11-30	PRIJEM	\N	73	13937	UROK	\N	\N
3520464	10351	1997-12-31	PRIJEM	\N	62	13570	UROK	\N	\N
3520465	10351	1998-01-31	PRIJEM	\N	53	8087	UROK	\N	\N
3520466	10351	1998-02-28	PRIJEM	\N	38	8468	UROK	\N	\N
3520467	10351	1998-03-31	PRIJEM	\N	45	12056	UROK	\N	\N
3520468	10351	1998-04-30	PRIJEM	\N	49	12049	UROK	\N	\N
3520469	10351	1998-05-31	PRIJEM	\N	50	12442	UROK	\N	\N
3520470	10351	1998-06-30	PRIJEM	\N	53	12246	UROK	\N	\N
3520471	10351	1998-07-31	PRIJEM	\N	51	12641	UROK	\N	\N
3520472	10351	1998-08-31	PRIJEM	\N	57	13041	UROK	\N	\N
3520473	10351	1998-09-30	PRIJEM	\N	54	13438	UROK	\N	\N
3520474	10351	1998-10-31	PRIJEM	\N	60	13842	UROK	\N	\N
3520475	10351	1998-11-30	PRIJEM	\N	62	14247	UROK	\N	\N
3520476	10351	1998-12-31	PRIJEM	\N	62	14960	UROK	\N	\N
3520515	10361	1996-07-31	PRIJEM	\N	49	32889	UROK	\N	\N
3520516	10361	1996-08-31	PRIJEM	\N	161	47889	UROK	\N	\N
3520517	10361	1996-09-30	PRIJEM	\N	213	56643	UROK	\N	\N
3520518	10361	1996-10-31	PRIJEM	\N	246	62929	UROK	\N	\N
3520519	10361	1996-11-30	PRIJEM	\N	284	37453	UROK	\N	\N
3520520	10361	1996-12-31	PRIJEM	\N	210	25347	UROK	\N	\N
3520521	10361	1997-01-31	PRIJEM	\N	184	39956	UROK	\N	\N
3520522	10361	1997-02-28	PRIJEM	\N	231	46253	UROK	\N	\N
3520523	10361	1997-03-31	PRIJEM	\N	200	49878	UROK	\N	\N
3520524	10361	1997-04-30	PRIJEM	\N	240	51706	UROK	\N	\N
3520525	10361	1997-05-31	PRIJEM	\N	233	34590	UROK	\N	\N
3520526	10361	1997-06-30	PRIJEM	\N	216	55011	UROK	\N	\N
3520527	10361	1997-07-31	PRIJEM	\N	193	43571	UROK	\N	\N
3520528	10361	1997-08-31	PRIJEM	\N	188	40344	UROK	\N	\N
3520529	10361	1997-09-30	PRIJEM	\N	174	38903	UROK	\N	\N
3520530	10361	1997-10-31	PRIJEM	\N	155	18221	UROK	\N	\N
3520531	10361	1997-11-30	PRIJEM	\N	96	17335	UROK	\N	\N
3520532	10361	1997-12-31	PRIJEM	\N	137	20012	UROK	\N	\N
3520533	10361	1998-01-31	PRIJEM	\N	74	13971	UROK	\N	\N
3520534	10361	1998-02-28	PRIJEM	\N	85	23741	UROK	\N	\N
3520535	10361	1998-03-31	PRIJEM	\N	124	31750	UROK	\N	\N
3520536	10361	1998-04-30	PRIJEM	\N	171	30307	UROK	\N	\N
3520537	10361	1998-05-31	PRIJEM	\N	134	19726	UROK	\N	\N
3520538	10361	1998-06-30	PRIJEM	\N	118	31990	UROK	\N	\N
3520539	10361	1998-07-31	PRIJEM	\N	110	20125	UROK	\N	\N
3520540	10361	1998-08-31	PRIJEM	\N	66	12016	UROK	\N	\N
3520541	10361	1998-09-30	PRIJEM	\N	46	10487	UROK	\N	\N
3520542	10361	1998-10-31	PRIJEM	\N	34	6946	UROK	\N	\N
3520543	10361	1998-11-30	PRIJEM	\N	39	7210	UROK	\N	\N
3520544	10361	1998-12-31	PRIJEM	\N	58	13414	UROK	\N	\N
3520588	10364	1993-02-28	PRIJEM	\N	38	19831	UROK	\N	\N
3520589	10364	1993-03-31	PRIJEM	\N	101	29625	UROK	\N	\N
3520590	10364	1993-04-30	PRIJEM	\N	131	33949	UROK	\N	\N
3520591	10364	1993-05-31	PRIJEM	\N	150	38693	UROK	\N	\N
3520592	10364	1993-06-30	PRIJEM	\N	147	25097	UROK	\N	\N
3520593	10364	1993-07-31	PRIJEM	\N	125	30638	UROK	\N	\N
3520594	10364	1993-08-31	PRIJEM	\N	131	29985	UROK	\N	\N
3520595	10364	1993-09-30	PRIJEM	\N	133	32034	UROK	\N	\N
3520596	10364	1993-10-31	PRIJEM	\N	154	34605	UROK	\N	\N
3520597	10364	1993-11-30	PRIJEM	\N	142	33054	UROK	\N	\N
3520598	10364	1993-12-31	PRIJEM	\N	155	34583	UROK	\N	\N
3520599	10364	1994-01-31	PRIJEM	\N	122	20912	UROK	\N	\N
3520600	10364	1994-02-28	PRIJEM	\N	99	24519	UROK	\N	\N
3520601	10364	1994-03-31	PRIJEM	\N	118	29944	UROK	\N	\N
3520602	10364	1994-04-30	PRIJEM	\N	130	31882	UROK	\N	\N
3520603	10364	1994-05-31	PRIJEM	\N	153	31942	UROK	\N	\N
3520604	10364	1994-06-30	PRIJEM	\N	120	19256	UROK	\N	\N
3520605	10364	1994-07-31	PRIJEM	\N	95	20398	UROK	\N	\N
3520606	10364	1994-08-31	PRIJEM	\N	95	23700	UROK	\N	\N
3520607	10364	1994-09-30	PRIJEM	\N	106	24654	UROK	\N	\N
3520608	10364	1994-10-31	PRIJEM	\N	117	28878	UROK	\N	\N
3520609	10364	1994-11-30	PRIJEM	\N	127	30412	UROK	\N	\N
3520610	10364	1994-12-31	PRIJEM	\N	134	29360	UROK	\N	\N
3520611	10364	1995-01-31	PRIJEM	\N	86	14593	UROK	\N	\N
3520612	10364	1995-02-28	PRIJEM	\N	117	30817	UROK	\N	\N
3520613	10364	1995-03-31	PRIJEM	\N	130	30654	UROK	\N	\N
3520614	10364	1995-04-30	PRIJEM	\N	134	30496	UROK	\N	\N
3520615	10364	1995-05-31	PRIJEM	\N	123	24067	UROK	\N	\N
3520616	10364	1995-06-30	PRIJEM	\N	160	41180	UROK	\N	\N
3520617	10364	1995-07-31	PRIJEM	\N	181	43369	UROK	\N	\N
3520618	10364	1995-08-31	PRIJEM	\N	190	45566	UROK	\N	\N
3520619	10364	1995-09-30	PRIJEM	\N	169	39762	UROK	\N	\N
3520620	10364	1995-10-31	PRIJEM	\N	163	37333	UROK	\N	\N
3520621	10364	1995-11-30	PRIJEM	\N	178	43518	UROK	\N	\N
3520622	10364	1995-12-31	PRIJEM	\N	221	53693	UROK	\N	\N
3520623	10364	1996-01-31	PRIJEM	\N	152	29033	UROK	\N	\N
3520624	10364	1996-02-29	PRIJEM	\N	159	39999	UROK	\N	\N
3520625	10364	1996-03-31	PRIJEM	\N	180	43147	UROK	\N	\N
3520626	10364	1996-04-30	PRIJEM	\N	178	42452	UROK	\N	\N
3520627	10364	1996-05-31	PRIJEM	\N	180	41479	UROK	\N	\N
3520628	10364	1996-06-30	PRIJEM	\N	176	43089	UROK	\N	\N
3520629	10364	1996-07-31	PRIJEM	\N	185	44282	UROK	\N	\N
3520630	10364	1996-08-31	PRIJEM	\N	200	43290	UROK	\N	\N
3520631	10364	1996-09-30	PRIJEM	\N	189	39326	UROK	\N	\N
3520632	10364	1996-10-31	PRIJEM	\N	180	41013	UROK	\N	\N
3520633	10364	1996-11-30	PRIJEM	\N	188	45508	UROK	\N	\N
3520634	10364	1996-12-31	PRIJEM	\N	231	50042	UROK	\N	\N
3520635	10364	1997-01-31	PRIJEM	\N	195	36633	UROK	\N	\N
3520636	10364	1997-02-28	PRIJEM	\N	180	45829	UROK	\N	\N
3520637	10364	1997-03-31	PRIJEM	\N	215	49961	UROK	\N	\N
3520638	10364	1997-04-30	PRIJEM	\N	225	54402	UROK	\N	\N
3520639	10364	1997-05-31	PRIJEM	\N	234	51372	UROK	\N	\N
3520640	10364	1997-06-30	PRIJEM	\N	228	34163	UROK	\N	\N
3520641	10364	1997-07-31	PRIJEM	\N	164	45444	UROK	\N	\N
3520642	10364	1997-08-31	PRIJEM	\N	208	53768	UROK	\N	\N
3520643	10364	1997-09-30	PRIJEM	\N	240	59624	UROK	\N	\N
3520644	10364	1997-10-31	PRIJEM	\N	256	58597	UROK	\N	\N
3520645	10364	1997-11-30	PRIJEM	\N	243	56416	UROK	\N	\N
3520646	10364	1997-12-31	PRIJEM	\N	274	66253	UROK	\N	\N
3520647	10364	1998-01-31	PRIJEM	\N	263	52712	UROK	\N	\N
3520648	10364	1998-02-28	PRIJEM	\N	237	61165	UROK	\N	\N
3520649	10364	1998-03-31	PRIJEM	\N	265	63547	UROK	\N	\N
3520650	10364	1998-04-30	PRIJEM	\N	273	68376	UROK	\N	\N
3520651	10364	1998-05-31	PRIJEM	\N	293	70585	UROK	\N	\N
3520652	10364	1998-06-30	PRIJEM	\N	236	48764	UROK	\N	\N
3520653	10364	1998-07-31	PRIJEM	\N	228	57929	UROK	\N	\N
3520654	10364	1998-08-31	PRIJEM	\N	269	72414	UROK	\N	\N
3520655	10364	1998-09-30	PRIJEM	\N	324	83354	UROK	\N	\N
3520656	10364	1998-10-31	PRIJEM	\N	356	87227	UROK	\N	\N
3520657	10364	1998-11-30	PRIJEM	\N	380	94743	UROK	\N	\N
3520658	10364	1998-12-31	PRIJEM	\N	245	50991	UROK	\N	\N
3520659	10365	1995-10-31	PRIJEM	\N	23	42403	UROK	\N	\N
3520660	10365	1995-11-30	PRIJEM	\N	177	32679	UROK	\N	\N
3520661	10365	1995-12-31	PRIJEM	\N	175	30854	UROK	\N	\N
3520662	10365	1996-02-29	PRIJEM	\N	137	88732	UROK	\N	\N
3520663	10365	1996-02-29	PRIJEM	\N	157	88595	UROK	\N	\N
3520664	10365	1996-03-31	PRIJEM	\N	245	41277	UROK	\N	\N
3520665	10365	1996-04-30	PRIJEM	\N	245	32321	UROK	\N	\N
3520666	10365	1996-05-31	PRIJEM	\N	241	49733	UROK	\N	\N
3520667	10365	1996-06-30	PRIJEM	\N	207	50322	UROK	\N	\N
3520668	10365	1996-07-31	PRIJEM	\N	139	26067	UROK	\N	\N
3520669	10365	1996-08-31	PRIJEM	\N	122	35246	UROK	\N	\N
3520670	10365	1996-09-30	PRIJEM	\N	136	43648	UROK	\N	\N
3520671	10365	1996-10-31	PRIJEM	\N	113	17722	UROK	\N	\N
3520672	10365	1996-11-30	PRIJEM	\N	45	12124	UROK	\N	\N
3520673	10365	1996-12-31	PRIJEM	\N	16	-699	UROK	\N	\N
3520674	10365	1996-12-31	VYDAJ	VYBER	5	-719	SANKC. UROK	\N	\N
3520675	10365	1997-01-31	PRIJEM	\N	5	-1253	UROK	\N	\N
3520676	10365	1997-01-31	VYDAJ	VYBER	10	-1263	SANKC. UROK	\N	\N
3520677	10365	1997-02-28	PRIJEM	\N	18	19753	UROK	\N	\N
3520678	10365	1997-02-28	VYDAJ	VYBER	11	19742	SANKC. UROK	\N	\N
3520679	10365	1997-03-31	PRIJEM	\N	121	40385	UROK	\N	\N
3520680	10365	1997-04-30	PRIJEM	\N	137	24675	UROK	\N	\N
3520681	10365	1997-05-31	PRIJEM	\N	96	78758	UROK	\N	\N
3520682	10365	1997-06-30	PRIJEM	\N	260	30201	UROK	\N	\N
3520683	10365	1997-07-31	PRIJEM	\N	125	29489	UROK	\N	\N
3520684	10365	1997-08-31	PRIJEM	\N	115	36937	UROK	\N	\N
3520685	10365	1997-09-30	PRIJEM	\N	157	50349	UROK	\N	\N
3520686	10365	1997-10-31	PRIJEM	\N	278	49501	UROK	\N	\N
3520687	10365	1997-11-30	PRIJEM	\N	186	61902	UROK	\N	\N
3520688	10365	1997-12-31	PRIJEM	\N	151	29577	UROK	\N	\N
3520689	10365	1998-01-31	PRIJEM	\N	189	44528	UROK	\N	\N
3520690	10365	1998-02-28	PRIJEM	\N	237	84190	UROK	\N	\N
3520691	10365	1998-03-31	PRIJEM	\N	316	60382	UROK	\N	\N
3520692	10365	1998-04-30	PRIJEM	\N	237	50340	UROK	\N	\N
3520693	10365	1998-05-31	PRIJEM	\N	288	59255	UROK	\N	\N
3520694	10365	1998-06-30	PRIJEM	\N	165	34010	UROK	\N	\N
3520695	10365	1998-07-31	PRIJEM	\N	200	54886	UROK	\N	\N
3520696	10365	1998-08-31	PRIJEM	\N	291	67602	UROK	\N	\N
3520697	10365	1998-09-30	PRIJEM	\N	279	71148	UROK	\N	\N
3520698	10365	1998-10-31	PRIJEM	\N	283	104649	UROK	\N	\N
3520699	10365	1998-11-30	PRIJEM	\N	302	41357	UROK	\N	\N
3520700	10365	1998-12-31	PRIJEM	\N	203	55275	UROK	\N	\N
3521081	10404	1997-01-31	PRIJEM	\N	10	24731	UROK	\N	\N
3521082	10404	1997-02-28	PRIJEM	\N	105	49456	UROK	\N	\N
3521083	10404	1997-03-31	PRIJEM	\N	146	40024	UROK	\N	\N
3521084	10404	1997-04-30	PRIJEM	\N	166	40911	UROK	\N	\N
3521085	10404	1997-05-31	PRIJEM	\N	228	41103	UROK	\N	\N
3521086	10404	1997-06-30	PRIJEM	\N	238	39981	UROK	\N	\N
3521087	10404	1997-07-31	PRIJEM	\N	212	37182	UROK	\N	\N
3521088	10404	1997-08-31	PRIJEM	\N	209	38621	UROK	\N	\N
3521089	10404	1997-09-30	PRIJEM	\N	209	36679	UROK	\N	\N
3521090	10404	1997-10-31	PRIJEM	\N	201	35030	UROK	\N	\N
3521091	10404	1997-11-30	PRIJEM	\N	200	36479	UROK	\N	\N
3521092	10404	1997-12-31	PRIJEM	\N	227	39326	UROK	\N	\N
3521093	10404	1998-01-31	PRIJEM	\N	171	31727	UROK	\N	\N
3521094	10404	1998-02-28	PRIJEM	\N	177	30653	UROK	\N	\N
3521095	10404	1998-03-31	PRIJEM	\N	183	32347	UROK	\N	\N
3521096	10404	1998-04-30	PRIJEM	\N	187	38246	UROK	\N	\N
3521097	10404	1998-05-31	PRIJEM	\N	211	35968	UROK	\N	\N
3521098	10404	1998-06-30	PRIJEM	\N	185	35716	UROK	\N	\N
3521099	10404	1998-07-31	PRIJEM	\N	190	34017	UROK	\N	\N
3521100	10404	1998-08-31	PRIJEM	\N	183	34711	UROK	\N	\N
3521101	10404	1998-09-30	PRIJEM	\N	182	33204	UROK	\N	\N
3521102	10404	1998-10-31	PRIJEM	\N	175	32291	UROK	\N	\N
3521103	10404	1998-11-30	PRIJEM	\N	152	27314	UROK	\N	\N
3521104	10404	1998-12-31	PRIJEM	\N	203	50339	UROK	\N	\N
3521127	10411	1995-12-31	PRIJEM	\N	157	85627	UROK	\N	\N
3521128	10411	1996-01-31	PRIJEM	\N	356	58583	UROK	\N	\N
3521129	10411	1996-02-29	PRIJEM	\N	356	43939	UROK	\N	\N
3521130	10411	1996-03-31	PRIJEM	\N	356	36595	UROK	\N	\N
3521131	10411	1996-04-30	PRIJEM	\N	356	33551	UROK	\N	\N
3521132	10411	1996-05-31	PRIJEM	\N	356	32508	UROK	\N	\N
3521133	10411	1996-06-30	PRIJEM	\N	302	42423	UROK	\N	\N
3521134	10411	1996-07-31	PRIJEM	\N	126	27667	UROK	\N	\N
3521135	10411	1996-08-31	PRIJEM	\N	87	23668	UROK	\N	\N
3521136	10411	1996-09-30	PRIJEM	\N	68	22754	UROK	\N	\N
3521137	10411	1996-10-31	PRIJEM	\N	77	24349	UROK	\N	\N
3521138	10411	1996-11-30	PRIJEM	\N	73	23339	UROK	\N	\N
3521139	10411	1996-12-31	PRIJEM	\N	83	25840	UROK	\N	\N
3521140	10411	1997-01-31	PRIJEM	\N	181	47536	UROK	\N	\N
3521141	10411	1997-02-28	PRIJEM	\N	160	45568	UROK	\N	\N
3521142	10411	1997-03-31	PRIJEM	\N	102	28473	UROK	\N	\N
3521143	10411	1997-04-30	PRIJEM	\N	192	48338	UROK	\N	\N
3521144	10411	1997-05-31	PRIJEM	\N	190	101478	UROK	\N	\N
3521145	10411	1997-06-30	PRIJEM	\N	290	59945	UROK	\N	\N
3521146	10411	1997-07-31	PRIJEM	\N	222	52555	UROK	\N	\N
3521147	10411	1997-08-31	PRIJEM	\N	227	69039	UROK	\N	\N
3521148	10411	1997-09-30	PRIJEM	\N	391	100121	UROK	\N	\N
3521149	10411	1997-10-31	PRIJEM	\N	311	67208	UROK	\N	\N
3521150	10411	1997-11-30	PRIJEM	\N	250	60034	UROK	\N	\N
3521151	10411	1997-12-31	PRIJEM	\N	407	96648	UROK	\N	\N
3521152	10411	1998-01-31	PRIJEM	\N	225	26278	UROK	\N	\N
3521153	10411	1998-02-28	PRIJEM	\N	138	54396	UROK	\N	\N
3521154	10411	1998-03-31	PRIJEM	\N	206	51078	UROK	\N	\N
3521155	10411	1998-04-30	PRIJEM	\N	185	43640	UROK	\N	\N
3521156	10411	1998-05-31	PRIJEM	\N	311	89185	UROK	\N	\N
3521157	10411	1998-06-30	PRIJEM	\N	293	63054	UROK	\N	\N
3521158	10411	1998-07-31	PRIJEM	\N	288	67127	UROK	\N	\N
3521159	10411	1998-08-31	PRIJEM	\N	316	54073	UROK	\N	\N
3521160	10411	1998-09-30	PRIJEM	\N	221	62350	UROK	\N	\N
3521161	10411	1998-10-31	PRIJEM	\N	204	46823	UROK	\N	\N
3521162	10411	1998-11-30	PRIJEM	\N	165	29663	UROK	\N	\N
3521163	10411	1998-12-31	PRIJEM	\N	196	62005	UROK	\N	\N
3521260	10436	1996-04-30	PRIJEM	\N	28	18224	UROK	\N	\N
3521261	10436	1996-05-31	PRIJEM	\N	85	24105	UROK	\N	\N
3521262	10436	1996-06-30	PRIJEM	\N	110	30259	UROK	\N	\N
3521263	10436	1996-07-31	PRIJEM	\N	132	34188	UROK	\N	\N
3521264	10436	1996-08-31	PRIJEM	\N	144	35127	UROK	\N	\N
3521265	10436	1996-09-30	PRIJEM	\N	154	36363	UROK	\N	\N
3521266	10436	1996-10-31	PRIJEM	\N	162	39595	UROK	\N	\N
3521267	10436	1996-11-30	PRIJEM	\N	175	42940	UROK	\N	\N
3521268	10436	1996-12-31	PRIJEM	\N	193	46952	UROK	\N	\N
3521269	10436	1997-01-31	PRIJEM	\N	189	37011	UROK	\N	\N
3521270	10436	1997-02-28	PRIJEM	\N	173	44754	UROK	\N	\N
3521271	10436	1997-03-31	PRIJEM	\N	206	52631	UROK	\N	\N
3521272	10436	1997-04-30	PRIJEM	\N	241	61442	UROK	\N	\N
3521273	10436	1997-05-31	PRIJEM	\N	252	59964	UROK	\N	\N
3521274	10436	1997-06-30	PRIJEM	\N	262	43945	UROK	\N	\N
3521275	10436	1997-07-31	PRIJEM	\N	218	57832	UROK	\N	\N
3521276	10436	1997-08-31	PRIJEM	\N	256	63359	UROK	\N	\N
3521277	10436	1997-09-30	PRIJEM	\N	272	64902	UROK	\N	\N
3521278	10436	1997-10-31	PRIJEM	\N	284	68356	UROK	\N	\N
3521279	10436	1997-11-30	PRIJEM	\N	295	72522	UROK	\N	\N
3521280	10436	1997-12-31	PRIJEM	\N	307	72547	UROK	\N	\N
3521281	10436	1998-01-31	PRIJEM	\N	286	60504	UROK	\N	\N
3521282	10436	1998-02-28	PRIJEM	\N	260	63535	UROK	\N	\N
3521283	10436	1998-03-31	PRIJEM	\N	280	69485	UROK	\N	\N
3521284	10436	1998-04-30	PRIJEM	\N	291	68947	UROK	\N	\N
3521285	10436	1998-05-31	PRIJEM	\N	289	69407	UROK	\N	\N
3521286	10436	1998-06-30	PRIJEM	\N	289	69415	UROK	\N	\N
3521287	10436	1998-07-31	PRIJEM	\N	285	67670	UROK	\N	\N
3521288	10436	1998-08-31	PRIJEM	\N	296	72736	UROK	\N	\N
3521289	10436	1998-09-30	PRIJEM	\N	322	79428	UROK	\N	\N
3521290	10436	1998-10-31	PRIJEM	\N	335	81434	UROK	\N	\N
3521291	10436	1998-11-30	PRIJEM	\N	330	80034	UROK	\N	\N
3521292	10436	1998-12-31	PRIJEM	\N	352	85104	UROK	\N	\N
3521293	10439	1993-12-31	PRIJEM	\N	60	40595	UROK	\N	\N
3521294	10439	1994-01-31	PRIJEM	\N	186	51471	UROK	\N	\N
3521295	10439	1994-02-28	PRIJEM	\N	225	59086	UROK	\N	\N
3521296	10439	1994-03-31	PRIJEM	\N	247	60023	UROK	\N	\N
3521297	10439	1994-04-30	PRIJEM	\N	275	46321	UROK	\N	\N
3521298	10439	1994-05-31	PRIJEM	\N	181	37331	UROK	\N	\N
3521299	10439	1994-06-30	PRIJEM	\N	162	35121	UROK	\N	\N
3521300	10439	1994-07-31	PRIJEM	\N	192	41239	UROK	\N	\N
3521301	10439	1994-08-31	PRIJEM	\N	215	47381	UROK	\N	\N
3521302	10439	1994-09-30	PRIJEM	\N	218	46625	UROK	\N	\N
3521303	10439	1994-10-31	PRIJEM	\N	208	46545	UROK	\N	\N
3521304	10439	1994-11-30	PRIJEM	\N	148	23758	UROK	\N	\N
3521305	10439	1994-12-31	PRIJEM	\N	191	45020	UROK	\N	\N
3521306	10439	1995-01-31	PRIJEM	\N	166	28512	UROK	\N	\N
3521307	10439	1995-02-28	PRIJEM	\N	160	37398	UROK	\N	\N
3521308	10439	1995-03-31	PRIJEM	\N	166	27920	UROK	\N	\N
3521309	10439	1995-04-30	PRIJEM	\N	144	27766	UROK	\N	\N
3521310	10439	1995-05-31	PRIJEM	\N	140	25532	UROK	\N	\N
3521311	10439	1995-06-30	PRIJEM	\N	195	47698	UROK	\N	\N
3521312	10439	1995-07-31	PRIJEM	\N	196	44774	UROK	\N	\N
3521313	10439	1995-08-31	PRIJEM	\N	213	47614	UROK	\N	\N
3521314	10439	1995-09-30	PRIJEM	\N	233	49273	UROK	\N	\N
3521315	10439	1995-10-31	PRIJEM	\N	219	47718	UROK	\N	\N
3521316	10439	1995-11-30	PRIJEM	\N	197	37541	UROK	\N	\N
3521317	10439	1995-12-31	PRIJEM	\N	134	19426	UROK	\N	\N
3521318	10439	1996-01-31	PRIJEM	\N	111	22364	UROK	\N	\N
3521319	10439	1996-02-29	PRIJEM	\N	115	27405	UROK	\N	\N
3521320	10439	1996-03-31	PRIJEM	\N	153	37984	UROK	\N	\N
3521321	10439	1996-04-30	PRIJEM	\N	183	44494	UROK	\N	\N
3521322	10439	1996-05-31	PRIJEM	\N	183	41308	UROK	\N	\N
3521323	10439	1996-06-30	PRIJEM	\N	181	32717	UROK	\N	\N
3521324	10439	1996-07-31	PRIJEM	\N	130	27088	UROK	\N	\N
3521325	10439	1996-08-31	PRIJEM	\N	207	58737	UROK	\N	\N
3521326	10439	1996-09-30	PRIJEM	\N	281	73659	UROK	\N	\N
3521327	10439	1996-10-31	PRIJEM	\N	317	76618	UROK	\N	\N
3521328	10439	1996-11-30	PRIJEM	\N	329	83788	UROK	\N	\N
3521329	10439	1996-12-31	PRIJEM	\N	379	95059	UROK	\N	\N
3521330	10439	1997-01-31	PRIJEM	\N	270	52871	UROK	\N	\N
3521331	10439	1997-02-28	PRIJEM	\N	251	66763	UROK	\N	\N
3521332	10439	1997-03-31	PRIJEM	\N	324	80029	UROK	\N	\N
3521333	10439	1997-04-30	PRIJEM	\N	326	80696	UROK	\N	\N
3521334	10439	1997-05-31	PRIJEM	\N	313	80551	UROK	\N	\N
3521335	10439	1997-06-30	PRIJEM	\N	405	104142	UROK	\N	\N
3521336	10439	1997-07-31	PRIJEM	\N	388	94372	UROK	\N	\N
3521337	10439	1997-08-31	PRIJEM	\N	302	70415	UROK	\N	\N
3521338	10439	1997-09-30	PRIJEM	\N	277	68473	UROK	\N	\N
3521339	10439	1997-10-31	PRIJEM	\N	297	76411	UROK	\N	\N
3521340	10439	1997-11-30	PRIJEM	\N	261	66914	UROK	\N	\N
3521341	10439	1997-12-31	PRIJEM	\N	321	64656	UROK	\N	\N
3521342	10439	1998-01-31	PRIJEM	\N	256	45153	UROK	\N	\N
3521343	10439	1998-02-28	PRIJEM	\N	189	44641	UROK	\N	\N
3521344	10439	1998-03-31	PRIJEM	\N	255	55637	UROK	\N	\N
3521345	10439	1998-04-30	PRIJEM	\N	303	63982	UROK	\N	\N
3521346	10439	1998-05-31	PRIJEM	\N	337	71460	UROK	\N	\N
3521347	10439	1998-06-30	PRIJEM	\N	363	75909	UROK	\N	\N
3521348	10439	1998-07-31	PRIJEM	\N	343	61294	UROK	\N	\N
3521349	10439	1998-08-31	PRIJEM	\N	319	71319	UROK	\N	\N
3521350	10439	1998-09-30	PRIJEM	\N	361	79922	UROK	\N	\N
3521351	10439	1998-10-31	PRIJEM	\N	377	82040	UROK	\N	\N
3521352	10439	1998-11-30	PRIJEM	\N	345	76621	UROK	\N	\N
3521353	10439	1998-12-31	PRIJEM	\N	396	96741	UROK	\N	\N
3521354	10440	1993-10-31	PRIJEM	\N	42	16308	UROK	\N	\N
3521355	10440	1993-11-30	PRIJEM	\N	88	23861	UROK	\N	\N
3521356	10440	1993-12-31	PRIJEM	\N	120	31530	UROK	\N	\N
3521357	10440	1994-01-31	PRIJEM	\N	132	32028	UROK	\N	\N
3521358	10440	1994-02-28	PRIJEM	\N	120	27104	UROK	\N	\N
3521359	10440	1994-03-31	PRIJEM	\N	110	24456	UROK	\N	\N
3521360	10440	1994-04-30	PRIJEM	\N	112	27410	UROK	\N	\N
3521361	10440	1994-05-31	PRIJEM	\N	115	26266	UROK	\N	\N
3521362	10440	1994-06-30	PRIJEM	\N	114	27204	UROK	\N	\N
3521363	10440	1994-07-31	PRIJEM	\N	109	21174	UROK	\N	\N
3521364	10440	1994-08-31	PRIJEM	\N	92	22208	UROK	\N	\N
3521365	10440	1994-09-30	PRIJEM	\N	88	19837	UROK	\N	\N
3521366	10440	1994-10-31	PRIJEM	\N	78	17156	UROK	\N	\N
3521367	10440	1994-11-30	PRIJEM	\N	78	18075	UROK	\N	\N
3521368	10440	1994-12-31	PRIJEM	\N	89	17049	UROK	\N	\N
3521369	10440	1995-01-31	PRIJEM	\N	81	18771	UROK	\N	\N
3521370	10440	1995-02-28	PRIJEM	\N	85	18798	UROK	\N	\N
3521371	10440	1995-03-31	PRIJEM	\N	95	22934	UROK	\N	\N
3521372	10440	1995-04-30	PRIJEM	\N	97	20852	UROK	\N	\N
3521373	10440	1995-05-31	PRIJEM	\N	93	21586	UROK	\N	\N
3521374	10440	1995-06-30	PRIJEM	\N	83	16893	UROK	\N	\N
3521375	10440	1995-07-31	PRIJEM	\N	82	19016	UROK	\N	\N
3521376	10440	1995-08-31	PRIJEM	\N	98	21675	UROK	\N	\N
3521377	10440	1995-09-30	PRIJEM	\N	106	24922	UROK	\N	\N
3521378	10440	1995-10-31	PRIJEM	\N	121	28685	UROK	\N	\N
3521379	10440	1995-11-30	PRIJEM	\N	112	24518	UROK	\N	\N
3521380	10440	1995-12-31	PRIJEM	\N	114	22856	UROK	\N	\N
3521381	10440	1996-01-31	PRIJEM	\N	89	24126	UROK	\N	\N
3521382	10440	1996-02-29	PRIJEM	\N	103	24591	UROK	\N	\N
3521383	10440	1996-03-31	PRIJEM	\N	137	33369	UROK	\N	\N
3521384	10440	1996-04-30	PRIJEM	\N	138	33849	UROK	\N	\N
3521385	10440	1996-05-31	PRIJEM	\N	150	36140	UROK	\N	\N
3521386	10440	1996-06-30	PRIJEM	\N	142	35286	UROK	\N	\N
3521387	10440	1996-07-31	PRIJEM	\N	150	35878	UROK	\N	\N
3521388	10440	1996-08-31	PRIJEM	\N	154	38673	UROK	\N	\N
3521389	10440	1996-09-30	PRIJEM	\N	157	38351	UROK	\N	\N
3521390	10440	1996-10-31	PRIJEM	\N	161	37454	UROK	\N	\N
3521391	10440	1996-11-30	PRIJEM	\N	158	37353	UROK	\N	\N
3521392	10440	1996-12-31	PRIJEM	\N	168	41405	UROK	\N	\N
3521393	10440	1997-01-31	PRIJEM	\N	167	38693	UROK	\N	\N
3521394	10440	1997-02-28	PRIJEM	\N	165	42200	UROK	\N	\N
3521395	10440	1997-03-31	PRIJEM	\N	180	46022	UROK	\N	\N
3521396	10440	1997-04-30	PRIJEM	\N	182	45885	UROK	\N	\N
3521397	10440	1997-05-31	PRIJEM	\N	195	48221	UROK	\N	\N
3521398	10440	1997-06-30	PRIJEM	\N	142	32748	UROK	\N	\N
3521399	10440	1997-07-31	PRIJEM	\N	143	38132	UROK	\N	\N
3521400	10440	1997-08-31	PRIJEM	\N	154	40107	UROK	\N	\N
3521401	10440	1997-09-30	PRIJEM	\N	170	43858	UROK	\N	\N
3521402	10440	1997-10-31	PRIJEM	\N	185	45785	UROK	\N	\N
3521403	10440	1997-11-30	PRIJEM	\N	199	51725	UROK	\N	\N
3521404	10440	1997-12-31	PRIJEM	\N	228	57658	UROK	\N	\N
3521405	10440	1998-01-31	PRIJEM	\N	216	52775	UROK	\N	\N
3521406	10440	1998-02-28	PRIJEM	\N	225	56741	UROK	\N	\N
3521407	10440	1998-03-31	PRIJEM	\N	240	59622	UROK	\N	\N
3521408	10440	1998-04-30	PRIJEM	\N	246	59610	UROK	\N	\N
3521409	10440	1998-05-31	PRIJEM	\N	214	50865	UROK	\N	\N
3521410	10440	1998-06-30	PRIJEM	\N	210	50900	UROK	\N	\N
3521411	10440	1998-07-31	PRIJEM	\N	213	51494	UROK	\N	\N
3521412	10440	1998-08-31	PRIJEM	\N	212	51347	UROK	\N	\N
3521413	10440	1998-09-30	PRIJEM	\N	207	48895	UROK	\N	\N
3521414	10440	1998-10-31	PRIJEM	\N	193	44670	UROK	\N	\N
3521415	10440	1998-11-30	PRIJEM	\N	188	47200	UROK	\N	\N
3521416	10440	1998-12-31	PRIJEM	\N	201	48986	UROK	\N	\N
3521417	10445	1996-06-30	PRIJEM	\N	12	29477	UROK	\N	\N
3521418	10445	1996-07-31	PRIJEM	\N	127	37014	UROK	\N	\N
3521419	10445	1996-08-31	PRIJEM	\N	159	44883	UROK	\N	\N
3521420	10445	1996-09-30	PRIJEM	\N	188	46881	UROK	\N	\N
3521421	10445	1996-10-31	PRIJEM	\N	255	44812	UROK	\N	\N
3521422	10445	1996-11-30	PRIJEM	\N	239	45813	UROK	\N	\N
3521423	10445	1996-12-31	PRIJEM	\N	258	49987	UROK	\N	\N
3521424	10445	1997-01-31	PRIJEM	\N	232	40281	UROK	\N	\N
3521425	10445	1997-02-28	PRIJEM	\N	221	45162	UROK	\N	\N
3521426	10445	1997-03-31	PRIJEM	\N	239	45563	UROK	\N	\N
3521427	10445	1997-04-30	PRIJEM	\N	244	48268	UROK	\N	\N
3521428	10445	1997-05-31	PRIJEM	\N	250	51799	UROK	\N	\N
3521429	10445	1997-06-30	PRIJEM	\N	178	37673	UROK	\N	\N
3521430	10445	1997-07-31	PRIJEM	\N	207	41142	UROK	\N	\N
3521431	10445	1997-08-31	PRIJEM	\N	216	44819	UROK	\N	\N
3521432	10445	1997-09-30	PRIJEM	\N	226	43507	UROK	\N	\N
3521433	10445	1997-10-31	PRIJEM	\N	220	46688	UROK	\N	\N
3521434	10445	1997-11-30	PRIJEM	\N	258	52308	UROK	\N	\N
3521435	10445	1997-12-31	PRIJEM	\N	281	59305	UROK	\N	\N
3521436	10445	1998-01-31	PRIJEM	\N	248	51215	UROK	\N	\N
3521437	10445	1998-02-28	PRIJEM	\N	259	59684	UROK	\N	\N
3521438	10445	1998-03-31	PRIJEM	\N	279	58773	UROK	\N	\N
3521439	10445	1998-04-30	PRIJEM	\N	274	56818	UROK	\N	\N
3521440	10445	1998-05-31	PRIJEM	\N	272	59600	UROK	\N	\N
3521441	10445	1998-06-30	PRIJEM	\N	226	49292	UROK	\N	\N
3521442	10445	1998-07-31	PRIJEM	\N	248	56850	UROK	\N	\N
3521443	10445	1998-08-31	PRIJEM	\N	280	65640	UROK	\N	\N
3521444	10445	1998-09-30	PRIJEM	\N	302	68053	UROK	\N	\N
3521445	10445	1998-10-31	PRIJEM	\N	303	65366	UROK	\N	\N
3521446	10445	1998-11-30	PRIJEM	\N	301	69077	UROK	\N	\N
3521447	10445	1998-12-31	PRIJEM	\N	341	77584	UROK	\N	\N
3521522	10451	1993-09-30	PRIJEM	\N	8	18853	UROK	\N	\N
3521523	10451	1993-10-31	PRIJEM	\N	84	29874	UROK	\N	\N
3521524	10451	1993-11-30	PRIJEM	\N	128	36651	UROK	\N	\N
3521525	10451	1993-12-31	PRIJEM	\N	155	42217	UROK	\N	\N
3521526	10451	1994-01-31	PRIJEM	\N	170	28271	UROK	\N	\N
3521527	10451	1994-02-28	PRIJEM	\N	118	25880	UROK	\N	\N
3521528	10451	1994-03-31	PRIJEM	\N	108	25867	UROK	\N	\N
3521529	10451	1994-04-30	PRIJEM	\N	98	26411	UROK	\N	\N
3521530	10451	1994-05-31	PRIJEM	\N	100	26152	UROK	\N	\N
3521531	10451	1994-06-30	PRIJEM	\N	130	27342	UROK	\N	\N
3521532	10451	1994-07-31	PRIJEM	\N	102	22715	UROK	\N	\N
3521533	10451	1994-08-31	PRIJEM	\N	97	21956	UROK	\N	\N
3521534	10451	1994-09-30	PRIJEM	\N	89	23072	UROK	\N	\N
3521535	10451	1994-10-31	PRIJEM	\N	87	22301	UROK	\N	\N
3521536	10451	1994-11-30	PRIJEM	\N	85	12994	UROK	\N	\N
3521537	10451	1994-12-31	PRIJEM	\N	66	18386	UROK	\N	\N
3521538	10451	1995-01-31	PRIJEM	\N	58	12803	UROK	\N	\N
3521539	10451	1995-02-28	PRIJEM	\N	60	18212	UROK	\N	\N
3521540	10451	1995-03-31	PRIJEM	\N	76	19840	UROK	\N	\N
3521541	10451	1995-04-30	PRIJEM	\N	81	19889	UROK	\N	\N
3521542	10451	1995-05-31	PRIJEM	\N	78	19660	UROK	\N	\N
3521543	10451	1995-06-30	PRIJEM	\N	98	22647	UROK	\N	\N
3521544	10451	1995-07-31	PRIJEM	\N	90	21527	UROK	\N	\N
3521545	10451	1995-08-31	PRIJEM	\N	91	24391	UROK	\N	\N
3521546	10451	1995-09-30	PRIJEM	\N	83	21548	UROK	\N	\N
3521547	10451	1995-10-31	PRIJEM	\N	90	23721	UROK	\N	\N
3521548	10451	1995-11-30	PRIJEM	\N	97	24210	UROK	\N	\N
3521549	10451	1995-12-31	PRIJEM	\N	113	27203	UROK	\N	\N
3521550	10451	1996-01-31	PRIJEM	\N	73	13408	UROK	\N	\N
3521551	10451	1996-02-29	PRIJEM	\N	64	18159	UROK	\N	\N
3521552	10451	1996-03-31	PRIJEM	\N	68	19339	UROK	\N	\N
3521553	10451	1996-04-30	PRIJEM	\N	81	21259	UROK	\N	\N
3521554	10451	1996-05-31	PRIJEM	\N	93	25345	UROK	\N	\N
3521555	10451	1996-06-30	PRIJEM	\N	123	31871	UROK	\N	\N
3521556	10451	1996-07-31	PRIJEM	\N	125	30611	UROK	\N	\N
3521557	10451	1996-08-31	PRIJEM	\N	113	27140	UROK	\N	\N
3521558	10451	1996-09-30	PRIJEM	\N	91	20827	UROK	\N	\N
3521559	10451	1996-10-31	PRIJEM	\N	70	16689	UROK	\N	\N
3521560	10451	1996-11-30	PRIJEM	\N	57	14106	UROK	\N	\N
3521561	10451	1996-12-31	PRIJEM	\N	48	11021	UROK	\N	\N
3521562	10451	1997-01-31	PRIJEM	\N	17	3573	UROK	\N	\N
3521563	10451	1997-02-28	PRIJEM	\N	9	2032	UROK	\N	\N
3521564	10451	1997-02-28	VYDAJ	VYBER	9	2012	SANKC. UROK	\N	\N
3521565	10451	1997-03-31	PRIJEM	\N	7	3168	UROK	\N	\N
3521566	10451	1997-03-31	VYDAJ	VYBER	6	3162	SANKC. UROK	\N	\N
3521567	10451	1997-04-30	PRIJEM	\N	20	7536	UROK	\N	\N
3521568	10451	1997-04-30	VYDAJ	VYBER	2	7520	SANKC. UROK	\N	\N
3521569	10451	1997-05-31	PRIJEM	\N	30	9355	UROK	\N	\N
3521570	10451	1997-06-30	PRIJEM	\N	41	11577	UROK	\N	\N
3521571	10451	1997-07-31	PRIJEM	\N	29	7407	UROK	\N	\N
3521572	10451	1997-08-31	PRIJEM	\N	27	8353	UROK	\N	\N
3521573	10451	1997-09-30	PRIJEM	\N	34	10113	UROK	\N	\N
3521574	10451	1997-10-31	PRIJEM	\N	39	11283	UROK	\N	\N
3521575	10451	1997-11-30	PRIJEM	\N	59	16535	UROK	\N	\N
3521576	10451	1997-12-31	PRIJEM	\N	67	17652	UROK	\N	\N
3521577	10451	1998-01-31	PRIJEM	\N	44	11515	UROK	\N	\N
3521578	10451	1998-02-28	PRIJEM	\N	48	13145	UROK	\N	\N
3521579	10451	1998-03-31	PRIJEM	\N	65	18202	UROK	\N	\N
3521580	10451	1998-04-30	PRIJEM	\N	71	19001	UROK	\N	\N
3521581	10451	1998-05-31	PRIJEM	\N	62	16555	UROK	\N	\N
3521582	10451	1998-06-30	PRIJEM	\N	73	20301	UROK	\N	\N
3521583	10451	1998-07-31	PRIJEM	\N	60	15725	UROK	\N	\N
3521584	10451	1998-08-31	PRIJEM	\N	62	17239	UROK	\N	\N
3521585	10451	1998-09-30	PRIJEM	\N	50	13491	UROK	\N	\N
3521586	10451	1998-10-31	PRIJEM	\N	35	10153	UROK	\N	\N
3521587	10451	1998-11-30	PRIJEM	\N	27	8372	UROK	\N	\N
3521588	10451	1998-12-31	PRIJEM	\N	43	13653	UROK	\N	\N
3521825	10478	1996-04-30	PRIJEM	\N	25	25494	UROK	\N	\N
3521826	10478	1996-05-31	PRIJEM	\N	115	33640	UROK	\N	\N
3521827	10478	1996-06-30	PRIJEM	\N	140	31979	UROK	\N	\N
3521828	10478	1996-07-31	PRIJEM	\N	140	30419	UROK	\N	\N
3521829	10478	1996-08-31	PRIJEM	\N	140	30259	UROK	\N	\N
3521830	10478	1996-09-30	PRIJEM	\N	140	28198	UROK	\N	\N
3521831	10478	1996-10-31	PRIJEM	\N	140	30238	UROK	\N	\N
3521832	10478	1996-11-30	PRIJEM	\N	140	29678	UROK	\N	\N
3521833	10478	1996-12-31	PRIJEM	\N	140	28117	UROK	\N	\N
3521834	10478	1997-01-31	PRIJEM	\N	276	59021	UROK	\N	\N
3521835	10478	1997-02-28	PRIJEM	\N	386	64313	UROK	\N	\N
3521836	10478	1997-03-31	PRIJEM	\N	285	76459	UROK	\N	\N
3521837	10478	1997-04-30	PRIJEM	\N	347	82260	UROK	\N	\N
3521838	10478	1997-05-31	PRIJEM	\N	292	54022	UROK	\N	\N
3521839	10478	1997-06-30	PRIJEM	\N	211	60673	UROK	\N	\N
3521840	10478	1997-07-31	PRIJEM	\N	256	64620	UROK	\N	\N
3521841	10478	1997-08-31	PRIJEM	\N	315	69885	UROK	\N	\N
3521842	10478	1997-09-30	PRIJEM	\N	365	92987	UROK	\N	\N
3521843	10478	1997-10-31	PRIJEM	\N	382	54732	UROK	\N	\N
3521844	10478	1997-11-30	PRIJEM	\N	198	37928	UROK	\N	\N
3521845	10478	1997-12-31	PRIJEM	\N	135	14893	UROK	\N	\N
3521846	10478	1998-01-31	PRIJEM	\N	95	8916	UROK	\N	\N
3521847	10478	1998-02-28	PRIJEM	\N	106	70774	UROK	\N	\N
3521848	10478	1998-03-31	PRIJEM	\N	225	31807	UROK	\N	\N
3521849	10478	1998-04-30	PRIJEM	\N	175	54212	UROK	\N	\N
3521850	10478	1998-05-31	PRIJEM	\N	193	54824	UROK	\N	\N
3521851	10478	1998-06-30	PRIJEM	\N	182	12320	UROK	\N	\N
3521852	10478	1998-07-31	PRIJEM	\N	90	24127	UROK	\N	\N
3521853	10478	1998-08-31	PRIJEM	\N	176	64264	UROK	\N	\N
3521854	10478	1998-09-30	PRIJEM	\N	221	47552	UROK	\N	\N
3521855	10478	1998-10-31	PRIJEM	\N	216	63000	UROK	\N	\N
3521856	10478	1998-11-30	PRIJEM	\N	188	62651	UROK	\N	\N
3521857	10478	1998-12-31	PRIJEM	\N	161	31107	UROK	\N	\N
3522130	10493	1997-01-31	PRIJEM	\N	86	45798	UROK	\N	\N
3522131	10493	1997-02-28	PRIJEM	\N	191	36189	UROK	\N	\N
3522132	10493	1997-03-31	PRIJEM	\N	193	46681	UROK	\N	\N
3522133	10493	1997-04-30	PRIJEM	\N	290	78643	UROK	\N	\N
3522134	10493	1997-05-31	PRIJEM	\N	330	63856	UROK	\N	\N
3522135	10493	1997-06-30	PRIJEM	\N	127	21058	UROK	\N	\N
3522136	10493	1997-07-31	PRIJEM	\N	73	20294	UROK	\N	\N
3522137	10493	1997-08-31	PRIJEM	\N	232	77220	UROK	\N	\N
3522138	10493	1997-09-30	PRIJEM	\N	199	41573	UROK	\N	\N
3522139	10493	1997-10-31	PRIJEM	\N	141	43948	UROK	\N	\N
3522140	10493	1997-11-30	PRIJEM	\N	146	73725	UROK	\N	\N
3522141	10493	1997-12-31	PRIJEM	\N	170	30413	UROK	\N	\N
3522142	10493	1998-01-31	PRIJEM	\N	211	76858	UROK	\N	\N
3522143	10493	1998-02-28	PRIJEM	\N	248	78922	UROK	\N	\N
3522144	10493	1998-03-31	PRIJEM	\N	153	25527	UROK	\N	\N
3522145	10493	1998-04-30	PRIJEM	\N	214	91843	UROK	\N	\N
3522146	10493	1998-05-31	PRIJEM	\N	239	49456	UROK	\N	\N
3522147	10493	1998-06-30	PRIJEM	\N	214	76980	UROK	\N	\N
3522148	10493	1998-07-31	PRIJEM	\N	168	27339	UROK	\N	\N
3522149	10493	1998-08-31	PRIJEM	\N	80	16493	UROK	\N	\N
3522150	10493	1998-09-30	PRIJEM	\N	81	33061	UROK	\N	\N
3522151	10493	1998-10-31	PRIJEM	\N	60	10295	UROK	\N	\N
3522152	10493	1998-11-30	PRIJEM	\N	123	60507	UROK	\N	\N
3522153	10493	1998-12-31	PRIJEM	\N	317	91701	UROK	\N	\N
3522293	10520	1995-11-30	PRIJEM	\N	175	47082	UROK	\N	\N
3522294	10520	1995-12-31	PRIJEM	\N	229	87052	UROK	\N	\N
3522295	10520	1996-01-31	PRIJEM	\N	362	55714	UROK	\N	\N
3522296	10520	1996-02-29	PRIJEM	\N	362	43776	UROK	\N	\N
3522297	10520	1996-03-31	PRIJEM	\N	362	36137	UROK	\N	\N
3522298	10520	1996-04-30	PRIJEM	\N	362	32699	UROK	\N	\N
3522299	10520	1996-05-31	PRIJEM	\N	362	31261	UROK	\N	\N
3522300	10520	1996-06-30	PRIJEM	\N	362	31123	UROK	\N	\N
3522301	10520	1996-07-31	PRIJEM	\N	362	30784	UROK	\N	\N
3522302	10520	1996-08-31	PRIJEM	\N	362	32546	UROK	\N	\N
3522303	10520	1996-09-30	PRIJEM	\N	362	30608	UROK	\N	\N
3522304	10520	1996-10-31	PRIJEM	\N	362	27870	UROK	\N	\N
3522305	10520	1996-11-30	PRIJEM	\N	332	63239	UROK	\N	\N
3522306	10520	1996-12-31	PRIJEM	\N	205	38484	UROK	\N	\N
3522307	10520	1997-01-31	PRIJEM	\N	109	22539	UROK	\N	\N
3522308	10520	1997-02-28	PRIJEM	\N	184	78786	UROK	\N	\N
3522309	10520	1997-03-31	PRIJEM	\N	343	42409	UROK	\N	\N
3522310	10520	1997-04-30	PRIJEM	\N	286	108655	UROK	\N	\N
3522311	10520	1997-05-31	PRIJEM	\N	404	62815	UROK	\N	\N
3522312	10520	1997-06-30	PRIJEM	\N	165	25092	UROK	\N	\N
3522313	10520	1997-07-31	PRIJEM	\N	85	16917	UROK	\N	\N
3522314	10520	1997-08-31	PRIJEM	\N	145	47960	UROK	\N	\N
3522315	10520	1997-09-30	PRIJEM	\N	169	36270	UROK	\N	\N
3522316	10520	1997-10-31	PRIJEM	\N	173	44523	UROK	\N	\N
3522317	10520	1997-11-30	PRIJEM	\N	331	102022	UROK	\N	\N
3522318	10520	1997-12-31	PRIJEM	\N	263	62000	UROK	\N	\N
3522319	10520	1998-01-31	PRIJEM	\N	202	64998	UROK	\N	\N
3522320	10520	1998-02-28	PRIJEM	\N	202	40640	UROK	\N	\N
3522321	10520	1998-03-31	PRIJEM	\N	149	32229	UROK	\N	\N
3522322	10520	1998-04-30	PRIJEM	\N	157	35954	UROK	\N	\N
3522323	10520	1998-05-31	PRIJEM	\N	119	25213	UROK	\N	\N
3522324	10520	1998-06-30	PRIJEM	\N	94	21948	UROK	\N	\N
3522325	10520	1998-07-31	PRIJEM	\N	91	22479	UROK	\N	\N
3522326	10520	1998-08-31	PRIJEM	\N	183	79193	UROK	\N	\N
3522327	10520	1998-09-30	PRIJEM	\N	138	28945	UROK	\N	\N
3522328	10520	1998-10-31	PRIJEM	\N	99	21684	UROK	\N	\N
3522329	10520	1998-11-30	PRIJEM	\N	117	45660	UROK	\N	\N
3522330	10520	1998-12-31	PRIJEM	\N	140	28240	UROK	\N	\N
3522524	10558	1996-03-31	PRIJEM	\N	54	40178	UROK	\N	\N
3522525	10558	1996-04-30	PRIJEM	\N	359	102645	UROK	\N	\N
3522526	10558	1996-07-31	PRIJEM	\N	77	48463	UROK	\N	\N
3522527	10558	1996-08-31	PRIJEM	\N	100	30510	UROK	\N	\N
3522528	10558	1996-09-30	PRIJEM	\N	58	21155	UROK	\N	\N
3522529	10558	1996-10-31	PRIJEM	\N	144	24103	UROK	\N	\N
3522530	10558	1996-11-30	PRIJEM	\N	91	14635	UROK	\N	\N
3522531	10558	1997-01-31	VYDAJ	VYBER	9	-2236	SANKC. UROK	\N	\N
3522532	10558	1997-02-28	VYDAJ	VYBER	32	-4691	SANKC. UROK	\N	\N
3522533	10558	1997-03-31	PRIJEM	\N	13	4831	UROK	\N	\N
3522534	10558	1997-05-31	VYDAJ	VYBER	0	431	SANKC. UROK	\N	\N
3522535	10558	1997-06-30	VYDAJ	VYBER	7	395	SANKC. UROK	\N	\N
3522536	10558	1997-09-30	PRIJEM	\N	19	37198	UROK	\N	\N
3522537	10558	1997-10-31	PRIJEM	\N	57	75027	UROK	\N	\N
3522538	10558	1997-11-30	PRIJEM	\N	123	41759	UROK	\N	\N
3522539	10558	1997-12-31	PRIJEM	\N	78	23375	UROK	\N	\N
3522540	10558	1998-01-31	PRIJEM	\N	91	22580	UROK	\N	\N
3522541	10558	1998-02-28	PRIJEM	\N	153	45489	UROK	\N	\N
3522542	10558	1998-03-31	PRIJEM	\N	234	70646	UROK	\N	\N
3522543	10558	1998-04-30	PRIJEM	\N	283	69126	UROK	\N	\N
3522544	10558	1998-05-31	PRIJEM	\N	136	42880	UROK	\N	\N
3522545	10558	1998-06-30	PRIJEM	\N	254	40638	UROK	\N	\N
3522546	10558	1998-07-31	PRIJEM	\N	163	80070	UROK	\N	\N
3522547	10558	1998-08-31	PRIJEM	\N	332	70127	UROK	\N	\N
3522548	10558	1998-09-30	PRIJEM	\N	227	96178	UROK	\N	\N
3522549	10558	1998-10-31	PRIJEM	\N	417	85210	UROK	\N	\N
3522550	10558	1998-11-30	PRIJEM	\N	199	73656	UROK	\N	\N
3522551	10558	1998-12-31	PRIJEM	\N	280	77453	UROK	\N	\N
3522552	10562	1996-08-31	PRIJEM	\N	21	38412	UROK	\N	\N
3522553	10562	1996-09-30	PRIJEM	\N	64	51739	UROK	\N	\N
3522554	10562	1996-10-31	PRIJEM	\N	11	79823	UROK	\N	\N
3522555	10562	1996-11-30	PRIJEM	\N	83	40014	UROK	\N	\N
3522556	10562	1996-12-31	PRIJEM	\N	171	56209	UROK	\N	\N
3522557	10562	1997-01-31	PRIJEM	\N	101	18157	UROK	\N	\N
3522558	10562	1997-01-31	VYDAJ	VYBER	1	18141	SANKC. UROK	\N	\N
3522559	10562	1997-02-28	PRIJEM	\N	200	101973	UROK	\N	\N
3522560	10562	1997-03-31	PRIJEM	\N	371	36086	UROK	\N	\N
3522561	10562	1997-04-30	PRIJEM	\N	178	76901	UROK	\N	\N
3522562	10562	1997-05-31	PRIJEM	\N	108	77712	UROK	\N	\N
3522563	10562	1997-06-30	PRIJEM	\N	99	66366	UROK	\N	\N
3522564	10562	1997-07-31	PRIJEM	\N	284	68505	UROK	\N	\N
3522565	10562	1997-08-31	PRIJEM	\N	293	70568	UROK	\N	\N
3522566	10562	1997-09-30	PRIJEM	\N	215	88911	UROK	\N	\N
3522567	10562	1997-10-31	PRIJEM	\N	186	86068	UROK	\N	\N
3522568	10562	1997-11-30	PRIJEM	\N	110	67016	UROK	\N	\N
3522569	10562	1997-12-31	PRIJEM	\N	290	89913	UROK	\N	\N
3522570	10562	1998-01-31	PRIJEM	\N	361	89427	UROK	\N	\N
3522571	10562	1998-02-28	PRIJEM	\N	184	92224	UROK	\N	\N
3522572	10562	1998-03-31	PRIJEM	\N	256	85944	UROK	\N	\N
3522573	10562	1998-04-30	PRIJEM	\N	123	30260	UROK	\N	\N
3522574	10562	1998-05-31	PRIJEM	\N	171	54151	UROK	\N	\N
3522575	10562	1998-06-30	PRIJEM	\N	232	45381	UROK	\N	\N
3522576	10562	1998-07-31	PRIJEM	\N	135	68595	UROK	\N	\N
3522577	10562	1998-08-31	PRIJEM	\N	248	79218	UROK	\N	\N
3522578	10562	1998-09-30	PRIJEM	\N	70	46990	UROK	\N	\N
3522579	10562	1998-10-31	PRIJEM	\N	275	98659	UROK	\N	\N
3522580	10562	1998-11-30	PRIJEM	\N	306	65465	UROK	\N	\N
3522581	10562	1998-12-31	PRIJEM	\N	45	26583	UROK	\N	\N
3522807	10607	1996-11-30	PRIJEM	\N	111	53224	UROK	\N	\N
3522808	10607	1996-12-31	PRIJEM	\N	61	76559	UROK	\N	\N
3522809	10607	1997-01-31	PRIJEM	\N	206	52253	UROK	\N	\N
3522810	10607	1997-02-28	PRIJEM	\N	36	80370	UROK	\N	\N
3522811	10607	1997-03-31	PRIJEM	\N	136	22935	UROK	\N	\N
3522812	10607	1997-04-30	PRIJEM	\N	73	28957	UROK	\N	\N
3522813	10607	1997-05-31	PRIJEM	\N	40	12240	UROK	\N	\N
3522814	10607	1997-06-30	PRIJEM	\N	38	11555	UROK	\N	\N
3522815	10607	1997-07-31	PRIJEM	\N	120	69726	UROK	\N	\N
3522816	10607	1997-08-31	PRIJEM	\N	118	29008	UROK	\N	\N
3522817	10607	1997-09-30	PRIJEM	\N	134	61195	UROK	\N	\N
3522818	10607	1997-10-31	PRIJEM	\N	125	12429	UROK	\N	\N
3522819	10607	1997-11-30	PRIJEM	\N	45	10659	UROK	\N	\N
3522820	10607	1997-12-31	PRIJEM	\N	43	20149	UROK	\N	\N
3522821	10607	1998-01-31	PRIJEM	\N	171	39705	UROK	\N	\N
3522822	10607	1998-02-28	PRIJEM	\N	131	50322	UROK	\N	\N
3522823	10607	1998-03-31	PRIJEM	\N	138	54016	UROK	\N	\N
3522824	10607	1998-04-30	PRIJEM	\N	246	80223	UROK	\N	\N
3522825	10607	1998-05-31	PRIJEM	\N	143	80520	UROK	\N	\N
3522826	10607	1998-06-30	PRIJEM	\N	304	81316	UROK	\N	\N
3522827	10607	1998-07-31	PRIJEM	\N	305	52052	UROK	\N	\N
3522828	10607	1998-08-31	PRIJEM	\N	370	62857	UROK	\N	\N
3522829	10607	1998-09-30	PRIJEM	\N	249	55079	UROK	\N	\N
3522830	10607	1998-10-31	PRIJEM	\N	131	43590	UROK	\N	\N
3522831	10607	1998-11-30	PRIJEM	\N	235	42550	UROK	\N	\N
3522832	10607	1998-12-31	PRIJEM	\N	251	82463	UROK	\N	\N
3522833	10613	1997-11-30	PRIJEM	\N	111	32036	UROK	\N	\N
3522834	10613	1997-12-31	PRIJEM	\N	273	72147	UROK	\N	\N
3522835	10613	1998-01-31	PRIJEM	\N	332	81604	UROK	\N	\N
3522836	10613	1998-02-28	PRIJEM	\N	361	88290	UROK	\N	\N
3522837	10613	1998-03-31	PRIJEM	\N	352	68266	UROK	\N	\N
3522838	10613	1998-04-30	PRIJEM	\N	315	74684	UROK	\N	\N
3522839	10613	1998-05-31	PRIJEM	\N	282	58356	UROK	\N	\N
3522840	10613	1998-06-30	PRIJEM	\N	130	17409	UROK	\N	\N
3522841	10613	1998-07-31	PRIJEM	\N	209	56128	UROK	\N	\N
3522842	10613	1998-08-31	PRIJEM	\N	260	59499	UROK	\N	\N
3522843	10613	1998-09-30	PRIJEM	\N	178	32527	UROK	\N	\N
3522844	10613	1998-10-31	PRIJEM	\N	189	35209	UROK	\N	\N
3522845	10613	1998-11-30	PRIJEM	\N	163	35492	UROK	\N	\N
3522846	10613	1998-12-31	PRIJEM	\N	213	40810	UROK	\N	\N
3522924	10630	1995-02-28	PRIJEM	\N	43	19313	UROK	\N	\N
3522925	10630	1995-03-31	PRIJEM	\N	104	30387	UROK	\N	\N
3522926	10630	1995-04-30	PRIJEM	\N	131	32388	UROK	\N	\N
3522927	10630	1995-05-31	PRIJEM	\N	135	32492	UROK	\N	\N
3522928	10630	1995-06-30	PRIJEM	\N	163	35507	UROK	\N	\N
3522929	10630	1995-07-31	PRIJEM	\N	130	28609	UROK	\N	\N
3522930	10630	1995-08-31	PRIJEM	\N	101	21002	UROK	\N	\N
3522931	10630	1995-09-30	PRIJEM	\N	97	24491	UROK	\N	\N
3522932	10630	1995-10-31	PRIJEM	\N	104	25248	UROK	\N	\N
3522933	10630	1995-11-30	PRIJEM	\N	98	22538	UROK	\N	\N
3522934	10630	1995-12-31	PRIJEM	\N	114	30210	UROK	\N	\N
3522935	10630	1996-01-31	PRIJEM	\N	103	17965	UROK	\N	\N
3522936	10630	1996-02-29	PRIJEM	\N	78	19136	UROK	\N	\N
3522937	10630	1996-03-31	PRIJEM	\N	94	23862	UROK	\N	\N
3522938	10630	1996-04-30	PRIJEM	\N	105	25279	UROK	\N	\N
3522939	10630	1996-05-31	PRIJEM	\N	116	29187	UROK	\N	\N
3522940	10630	1996-06-30	PRIJEM	\N	131	33295	UROK	\N	\N
3522941	10630	1996-07-31	PRIJEM	\N	133	31321	UROK	\N	\N
3522942	10630	1996-08-31	PRIJEM	\N	130	31343	UROK	\N	\N
3522943	10630	1996-09-30	PRIJEM	\N	125	26381	UROK	\N	\N
3522944	10630	1996-10-31	PRIJEM	\N	109	24922	UROK	\N	\N
3522945	10630	1996-11-30	PRIJEM	\N	110	27324	UROK	\N	\N
3522946	10630	1996-12-31	PRIJEM	\N	123	31044	UROK	\N	\N
3522947	10630	1997-01-31	PRIJEM	\N	87	13503	UROK	\N	\N
3522948	10630	1997-02-28	PRIJEM	\N	84	20620	UROK	\N	\N
3522949	10630	1997-03-31	PRIJEM	\N	87	21299	UROK	\N	\N
3522950	10630	1997-04-30	PRIJEM	\N	101	26293	UROK	\N	\N
3522951	10630	1997-05-31	PRIJEM	\N	118	29603	UROK	\N	\N
3522952	10630	1997-06-30	PRIJEM	\N	144	38224	UROK	\N	\N
3522953	10630	1997-07-31	PRIJEM	\N	144	27401	UROK	\N	\N
3522954	10630	1997-08-31	PRIJEM	\N	120	26973	UROK	\N	\N
3522955	10630	1997-09-30	PRIJEM	\N	115	21760	UROK	\N	\N
3522956	10630	1997-10-31	PRIJEM	\N	90	20402	UROK	\N	\N
3522957	10630	1997-11-30	PRIJEM	\N	93	24388	UROK	\N	\N
3522958	10630	1997-12-31	PRIJEM	\N	117	25682	UROK	\N	\N
3522959	10630	1998-01-31	PRIJEM	\N	75	21689	UROK	\N	\N
3522960	10630	1998-02-28	PRIJEM	\N	86	17868	UROK	\N	\N
3522961	10630	1998-03-31	PRIJEM	\N	81	23301	UROK	\N	\N
3522962	10630	1998-04-30	PRIJEM	\N	96	26650	UROK	\N	\N
3522963	10630	1998-05-31	PRIJEM	\N	85	22447	UROK	\N	\N
3522964	10630	1998-06-30	PRIJEM	\N	100	25185	UROK	\N	\N
3522965	10630	1998-07-31	PRIJEM	\N	105	27142	UROK	\N	\N
3522966	10630	1998-08-31	PRIJEM	\N	123	31117	UROK	\N	\N
3522967	10630	1998-09-30	PRIJEM	\N	130	33000	UROK	\N	\N
3522968	10630	1998-10-31	PRIJEM	\N	137	35989	UROK	\N	\N
3522969	10630	1998-11-30	PRIJEM	\N	151	38092	UROK	\N	\N
3522970	10630	1998-12-31	PRIJEM	\N	139	36729	UROK	\N	\N
3522971	10644	1997-07-31	PRIJEM	\N	116	45508	UROK	\N	\N
3522972	10644	1997-08-31	PRIJEM	\N	269	76769	UROK	\N	\N
3522973	10644	1997-09-30	PRIJEM	\N	352	90012	UROK	\N	\N
3522974	10644	1997-10-31	PRIJEM	\N	392	97196	UROK	\N	\N
3522975	10644	1997-11-30	PRIJEM	\N	355	76366	UROK	\N	\N
3522976	10644	1997-12-31	PRIJEM	\N	250	49936	UROK	\N	\N
3522977	10644	1998-01-31	PRIJEM	\N	164	35024	UROK	\N	\N
3522978	10644	1998-02-28	PRIJEM	\N	196	57836	UROK	\N	\N
3522979	10644	1998-03-31	PRIJEM	\N	261	67582	UROK	\N	\N
3522980	10644	1998-04-30	PRIJEM	\N	295	75031	UROK	\N	\N
3522981	10644	1998-05-31	PRIJEM	\N	260	68473	UROK	\N	\N
3522982	10644	1998-06-30	PRIJEM	\N	276	60291	UROK	\N	\N
3522983	10644	1998-07-31	PRIJEM	\N	284	73401	UROK	\N	\N
3522984	10644	1998-08-31	PRIJEM	\N	319	70546	UROK	\N	\N
3522985	10644	1998-09-30	PRIJEM	\N	308	77579	UROK	\N	\N
3522986	10644	1998-10-31	PRIJEM	\N	308	70799	UROK	\N	\N
3522987	10644	1998-11-30	PRIJEM	\N	188	40962	UROK	\N	\N
3522988	10644	1998-12-31	PRIJEM	\N	269	81253	UROK	\N	\N
3522989	10645	1997-01-31	PRIJEM	\N	64	39924	UROK	\N	\N
3522990	10645	1997-02-28	PRIJEM	\N	193	58177	UROK	\N	\N
3522991	10645	1997-03-31	PRIJEM	\N	257	68394	UROK	\N	\N
3522992	10645	1997-04-30	PRIJEM	\N	378	67132	UROK	\N	\N
3522993	10645	1997-05-31	PRIJEM	\N	270	50822	UROK	\N	\N
3522994	10645	1997-06-30	PRIJEM	\N	222	49079	UROK	\N	\N
3522995	10645	1997-07-31	PRIJEM	\N	273	43040	UROK	\N	\N
3522996	10645	1997-08-31	PRIJEM	\N	253	56894	UROK	\N	\N
3522997	10645	1997-09-30	PRIJEM	\N	276	60693	UROK	\N	\N
3522998	10645	1997-10-31	PRIJEM	\N	248	43804	UROK	\N	\N
3522999	10645	1997-11-30	PRIJEM	\N	250	60759	UROK	\N	\N
3523000	10645	1997-12-31	PRIJEM	\N	240	43034	UROK	\N	\N
3523001	10645	1998-01-31	PRIJEM	\N	196	25235	UROK	\N	\N
3523002	10645	1998-02-28	PRIJEM	\N	169	39410	UROK	\N	\N
3523003	10645	1998-03-31	PRIJEM	\N	235	57250	UROK	\N	\N
3523004	10645	1998-04-30	PRIJEM	\N	276	61431	UROK	\N	\N
3523005	10645	1998-05-31	PRIJEM	\N	217	39453	UROK	\N	\N
3523006	10645	1998-06-30	PRIJEM	\N	208	27297	UROK	\N	\N
3523007	10645	1998-07-31	PRIJEM	\N	189	49605	UROK	\N	\N
3523008	10645	1998-08-31	PRIJEM	\N	232	53856	UROK	\N	\N
3523009	10645	1998-09-30	PRIJEM	\N	256	61830	UROK	\N	\N
3523010	10645	1998-10-31	PRIJEM	\N	258	54806	UROK	\N	\N
3523011	10645	1998-11-30	PRIJEM	\N	250	60775	UROK	\N	\N
3523012	10645	1998-12-31	PRIJEM	\N	209	42432	UROK	\N	\N
3523051	10650	1997-09-30	PRIJEM	\N	131	47332	UROK	\N	\N
3523052	10650	1997-10-31	PRIJEM	\N	290	80423	UROK	\N	\N
3523053	10650	1997-11-30	PRIJEM	\N	398	103421	UROK	\N	\N
3523054	10650	1997-12-31	PRIJEM	\N	446	109319	UROK	\N	\N
3523055	10650	1998-01-31	PRIJEM	\N	329	64349	UROK	\N	\N
3523056	10650	1998-02-28	PRIJEM	\N	303	80982	UROK	\N	\N
3523057	10650	1998-03-31	PRIJEM	\N	353	91178	UROK	\N	\N
3523058	10650	1998-04-30	PRIJEM	\N	329	55463	UROK	\N	\N
3523059	10650	1998-05-31	PRIJEM	\N	307	83412	UROK	\N	\N
3523060	10650	1998-06-30	PRIJEM	\N	329	82834	UROK	\N	\N
3523061	10650	1998-07-31	PRIJEM	\N	364	95341	UROK	\N	\N
3523062	10650	1998-08-31	PRIJEM	\N	391	100474	UROK	\N	\N
3523063	10650	1998-09-30	PRIJEM	\N	398	101514	UROK	\N	\N
3523064	10650	1998-10-31	PRIJEM	\N	309	67065	UROK	\N	\N
3523065	10650	1998-11-30	PRIJEM	\N	309	81116	UROK	\N	\N
3523066	10650	1998-12-31	PRIJEM	\N	222	41832	UROK	\N	\N
3523067	10652	1997-04-30	PRIJEM	\N	50	25492	UROK	\N	\N
3523068	10652	1997-05-31	PRIJEM	\N	139	41973	UROK	\N	\N
3523069	10652	1997-06-30	PRIJEM	\N	202	55488	UROK	\N	\N
3523070	10652	1997-07-31	PRIJEM	\N	222	51652	UROK	\N	\N
3523071	10652	1997-08-31	PRIJEM	\N	219	46461	UROK	\N	\N
3523072	10652	1997-09-30	PRIJEM	\N	256	43292	UROK	\N	\N
3523073	10652	1997-10-31	PRIJEM	\N	170	33330	UROK	\N	\N
3523074	10652	1997-11-30	PRIJEM	\N	141	24412	UROK	\N	\N
3523075	10652	1997-12-31	PRIJEM	\N	157	40715	UROK	\N	\N
3523076	10652	1998-01-31	PRIJEM	\N	132	21922	UROK	\N	\N
3523077	10652	1998-02-28	PRIJEM	\N	116	29113	UROK	\N	\N
3523078	10652	1998-03-31	PRIJEM	\N	120	21032	UROK	\N	\N
3523079	10652	1998-04-30	PRIJEM	\N	116	29123	UROK	\N	\N
3523080	10652	1998-05-31	PRIJEM	\N	127	28916	UROK	\N	\N
3523081	10652	1998-06-30	PRIJEM	\N	148	36800	UROK	\N	\N
3523082	10652	1998-07-31	PRIJEM	\N	136	27601	UROK	\N	\N
3523083	10652	1998-08-31	PRIJEM	\N	115	27081	UROK	\N	\N
3523084	10652	1998-09-30	PRIJEM	\N	135	34881	UROK	\N	\N
3523085	10652	1998-10-31	PRIJEM	\N	109	21589	UROK	\N	\N
3523086	10652	1998-11-30	PRIJEM	\N	111	22117	UROK	\N	\N
3523087	10652	1998-12-31	PRIJEM	\N	171	44225	UROK	\N	\N
3523088	10656	1993-05-31	PRIJEM	\N	58	18918	UROK	\N	\N
3523089	10656	1993-06-30	PRIJEM	\N	159	52128	UROK	\N	\N
3523090	10656	1993-07-31	PRIJEM	\N	182	59354	UROK	\N	\N
3523091	10656	1993-08-31	PRIJEM	\N	194	63504	UROK	\N	\N
3523092	10656	1993-09-30	PRIJEM	\N	201	64028	UROK	\N	\N
3523093	10656	1993-10-31	PRIJEM	\N	249	62422	UROK	\N	\N
3523094	10656	1993-11-30	PRIJEM	\N	188	59248	UROK	\N	\N
3523095	10656	1993-12-31	PRIJEM	\N	219	68262	UROK	\N	\N
3523096	10656	1994-01-31	PRIJEM	\N	220	42621	UROK	\N	\N
3523097	10656	1994-02-28	PRIJEM	\N	9	61500	UROK	\N	\N
3523098	10656	1994-03-31	PRIJEM	\N	214	57954	UROK	\N	\N
3523099	10656	1994-05-31	PRIJEM	\N	7	50200	UROK	\N	\N
3523100	10656	1994-06-30	PRIJEM	\N	180	54356	UROK	\N	\N
3523101	10656	1994-07-31	PRIJEM	\N	19	48897	UROK	\N	\N
3523102	10656	1994-08-31	PRIJEM	\N	199	49780	UROK	\N	\N
3523103	10656	1994-09-30	PRIJEM	\N	196	47217	UROK	\N	\N
3523104	10656	1994-10-31	PRIJEM	\N	180	47187	UROK	\N	\N
3523105	10656	1994-11-30	PRIJEM	\N	26	49244	UROK	\N	\N
3523106	10656	1994-12-31	PRIJEM	\N	106	52246	UROK	\N	\N
3523107	10656	1995-01-31	PRIJEM	\N	220	37030	UROK	\N	\N
3523108	10656	1995-02-28	PRIJEM	\N	23	41822	UROK	\N	\N
3523109	10656	1995-03-31	PRIJEM	\N	31	41944	UROK	\N	\N
3523110	10656	1995-04-30	PRIJEM	\N	188	40091	UROK	\N	\N
3523111	10656	1995-05-31	PRIJEM	\N	90	41506	UROK	\N	\N
3523112	10656	1995-06-30	PRIJEM	\N	157	46107	UROK	\N	\N
3523113	10656	1995-07-31	PRIJEM	\N	36	41851	UROK	\N	\N
3523114	10656	1995-08-31	PRIJEM	\N	40	41266	UROK	\N	\N
3523115	10656	1995-09-30	PRIJEM	\N	39	39303	UROK	\N	\N
3523116	10656	1995-10-31	PRIJEM	\N	39	36530	UROK	\N	\N
3523117	10656	1995-11-30	PRIJEM	\N	96	34921	UROK	\N	\N
3523118	10656	1995-12-31	PRIJEM	\N	156	38274	UROK	\N	\N
3523119	10656	1996-01-31	PRIJEM	\N	90	30293	UROK	\N	\N
3523120	10656	1996-02-29	PRIJEM	\N	48	35001	UROK	\N	\N
3523121	10656	1996-03-31	PRIJEM	\N	131	37708	UROK	\N	\N
3523122	10656	1996-04-30	PRIJEM	\N	157	33468	UROK	\N	\N
3523123	10656	1996-05-31	PRIJEM	\N	118	33350	UROK	\N	\N
3523124	10656	1996-06-30	PRIJEM	\N	155	37040	UROK	\N	\N
3523125	10656	1996-07-31	PRIJEM	\N	79	22904	UROK	\N	\N
3523126	10656	1996-08-31	PRIJEM	\N	77	24629	UROK	\N	\N
3523127	10656	1996-09-30	PRIJEM	\N	76	24250	UROK	\N	\N
3523128	10656	1996-10-31	PRIJEM	\N	33	21179	UROK	\N	\N
3523129	10656	1996-11-30	PRIJEM	\N	62	19886	UROK	\N	\N
3523130	10656	1996-12-31	PRIJEM	\N	58	15902	UROK	\N	\N
3523131	10656	1997-01-31	PRIJEM	\N	44	9910	UROK	\N	\N
3523132	10656	1997-02-28	PRIJEM	\N	18	8815	UROK	\N	\N
3523133	10656	1997-03-31	PRIJEM	\N	11	8383	UROK	\N	\N
3523134	10656	1997-04-30	PRIJEM	\N	11	8850	UROK	\N	\N
3523135	10656	1997-05-31	PRIJEM	\N	20	7015	UROK	\N	\N
3523136	10656	1997-06-30	PRIJEM	\N	16	11826	UROK	\N	\N
3523137	10656	1997-07-31	PRIJEM	\N	25	8717	UROK	\N	\N
3523138	10656	1997-08-31	VYDAJ	VYBER	1	6165	SANKC. UROK	\N	\N
3523139	10656	1997-09-30	VYDAJ	VYBER	19	3306	SANKC. UROK	\N	\N
3523140	10656	1997-10-31	VYDAJ	VYBER	7	5322	SANKC. UROK	\N	\N
3523141	10656	1997-11-30	VYDAJ	VYBER	1	6277	SANKC. UROK	\N	\N
3523142	10656	1997-12-31	PRIJEM	\N	10	10077	UROK	\N	\N
3523143	10656	1998-01-31	PRIJEM	\N	3	4821	UROK	\N	\N
3523144	10656	1998-01-31	VYDAJ	VYBER	12	4796	SANKC. UROK	\N	\N
3523145	10656	1998-02-28	VYDAJ	VYBER	47	-43	SANKC. UROK	\N	\N
3523146	10656	1998-03-31	VYDAJ	VYBER	36	1401	SANKC. UROK	\N	\N
3523147	10656	1998-04-30	VYDAJ	VYBER	38	1386	SANKC. UROK	\N	\N
3523148	10656	1998-05-31	VYDAJ	VYBER	55	-1134	SANKC. UROK	\N	\N
3523149	10656	1998-06-30	VYDAJ	VYBER	35	1967	SANKC. UROK	\N	\N
3523150	10656	1998-07-31	VYDAJ	VYBER	87	-4926	SANKC. UROK	\N	\N
3523151	10656	1998-08-31	VYDAJ	VYBER	30	2917	SANKC. UROK	\N	\N
3523152	10656	1998-09-30	VYDAJ	VYBER	25	3521	SANKC. UROK	\N	\N
3523153	10656	1998-10-31	VYDAJ	VYBER	8	5922	SANKC. UROK	\N	\N
3523154	10656	1998-11-30	PRIJEM	\N	4	8169	UROK	\N	\N
3523155	10656	1998-11-30	VYDAJ	VYBER	3	8170	SANKC. UROK	\N	\N
3523156	10656	1998-12-31	PRIJEM	\N	39	19523	UROK	\N	\N
3523190	10663	1994-01-31	PRIJEM	\N	174	54013	UROK	\N	\N
3523191	10663	1994-02-28	PRIJEM	\N	310	81562	UROK	\N	\N
3523192	10663	1994-03-31	PRIJEM	\N	246	52847	UROK	\N	\N
3523193	10663	1994-04-30	PRIJEM	\N	312	81798	UROK	\N	\N
3523194	10663	1994-05-31	PRIJEM	\N	366	88521	UROK	\N	\N
3523195	10663	1994-06-30	PRIJEM	\N	284	48837	UROK	\N	\N
3523196	10663	1994-07-31	PRIJEM	\N	240	59302	UROK	\N	\N
3523197	10663	1994-08-31	PRIJEM	\N	235	53462	UROK	\N	\N
3523198	10663	1994-09-30	PRIJEM	\N	188	26349	UROK	\N	\N
3523199	10663	1994-10-31	PRIJEM	\N	182	45956	UROK	\N	\N
3523200	10663	1994-11-30	PRIJEM	\N	218	39699	UROK	\N	\N
3523201	10663	1994-12-31	PRIJEM	\N	297	74491	UROK	\N	\N
3523202	10663	1995-01-31	PRIJEM	\N	162	17913	UROK	\N	\N
3523203	10663	1995-02-28	PRIJEM	\N	160	37198	UROK	\N	\N
3523204	10663	1995-03-31	PRIJEM	\N	204	52827	UROK	\N	\N
3523205	10663	1995-04-30	PRIJEM	\N	189	37730	UROK	\N	\N
3523206	10663	1995-05-31	PRIJEM	\N	150	26109	UROK	\N	\N
3523207	10663	1995-06-30	PRIJEM	\N	272	59598	UROK	\N	\N
3523208	10663	1995-07-31	PRIJEM	\N	273	57896	UROK	\N	\N
3523209	10663	1995-08-31	PRIJEM	\N	247	41943	UROK	\N	\N
3523210	10663	1995-09-30	PRIJEM	\N	257	46326	UROK	\N	\N
3523211	10663	1995-10-31	PRIJEM	\N	265	49016	UROK	\N	\N
3523212	10663	1995-11-30	PRIJEM	\N	229	36200	UROK	\N	\N
3523213	10663	1995-12-31	PRIJEM	\N	262	51033	UROK	\N	\N
3523214	10663	1996-01-31	PRIJEM	\N	250	24885	UROK	\N	\N
3523215	10663	1996-02-29	PRIJEM	\N	177	38664	UROK	\N	\N
3523216	10663	1996-03-31	PRIJEM	\N	231	46797	UROK	\N	\N
3523217	10663	1996-04-30	PRIJEM	\N	235	45334	UROK	\N	\N
3523218	10663	1996-05-31	PRIJEM	\N	219	42091	UROK	\N	\N
3523219	10663	1996-06-30	PRIJEM	\N	228	41637	UROK	\N	\N
3523220	10663	1996-07-31	PRIJEM	\N	215	41354	UROK	\N	\N
3523221	10663	1996-08-31	PRIJEM	\N	208	40465	UROK	\N	\N
3523222	10663	1996-09-30	PRIJEM	\N	188	36650	UROK	\N	\N
3523223	10663	1996-10-31	PRIJEM	\N	212	42864	UROK	\N	\N
3523224	10663	1996-11-30	PRIJEM	\N	228	42394	UROK	\N	\N
3523225	10663	1996-12-31	PRIJEM	\N	277	54242	UROK	\N	\N
3523226	10663	1997-01-31	PRIJEM	\N	202	29047	UROK	\N	\N
3523227	10663	1997-02-28	PRIJEM	\N	172	34375	UROK	\N	\N
3523228	10663	1997-03-31	PRIJEM	\N	185	29018	UROK	\N	\N
3523229	10663	1997-04-30	PRIJEM	\N	175	34195	UROK	\N	\N
3523230	10663	1997-05-31	PRIJEM	\N	182	29878	UROK	\N	\N
3523231	10663	1997-06-30	PRIJEM	\N	215	37440	UROK	\N	\N
3523232	10663	1997-07-31	PRIJEM	\N	188	33061	UROK	\N	\N
3523233	10663	1997-08-31	PRIJEM	\N	182	36345	UROK	\N	\N
3523234	10663	1997-09-30	PRIJEM	\N	150	22867	UROK	\N	\N
3523235	10663	1997-10-31	PRIJEM	\N	138	27108	UROK	\N	\N
3523236	10663	1997-11-30	PRIJEM	\N	114	17913	UROK	\N	\N
3523237	10663	1997-12-31	PRIJEM	\N	168	35719	UROK	\N	\N
3523238	10663	1998-01-31	PRIJEM	\N	139	25960	UROK	\N	\N
3523239	10663	1998-02-28	PRIJEM	\N	115	19377	UROK	\N	\N
3523240	10663	1998-03-31	PRIJEM	\N	123	24502	UROK	\N	\N
3523241	10663	1998-04-30	PRIJEM	\N	138	27742	UROK	\N	\N
3523242	10663	1998-05-31	PRIJEM	\N	145	28390	UROK	\N	\N
3523243	10663	1998-06-30	PRIJEM	\N	195	32521	UROK	\N	\N
3523244	10663	1998-07-31	PRIJEM	\N	154	27335	UROK	\N	\N
3523245	10663	1998-08-31	PRIJEM	\N	137	27774	UROK	\N	\N
3523246	10663	1998-09-30	PRIJEM	\N	116	20754	UROK	\N	\N
3523247	10663	1998-10-31	PRIJEM	\N	103	20059	UROK	\N	\N
3523248	10663	1998-11-30	PRIJEM	\N	124	27208	UROK	\N	\N
3523249	10663	1998-12-31	PRIJEM	\N	165	37967	UROK	\N	\N
3523303	10670	1993-12-31	PRIJEM	\N	77	69930	UROK	\N	\N
3523304	10670	1994-01-31	PRIJEM	\N	299	46520	UROK	\N	\N
3523305	10670	1994-03-31	PRIJEM	\N	91	44805	UROK	\N	\N
3523306	10670	1994-04-30	PRIJEM	\N	207	49755	UROK	\N	\N
3523307	10670	1994-05-31	PRIJEM	\N	200	50132	UROK	\N	\N
3523308	10670	1994-06-30	PRIJEM	\N	122	9362	UROK	\N	\N
3523309	10670	1994-07-31	PRIJEM	\N	72	23927	UROK	\N	\N
3523310	10670	1994-08-31	PRIJEM	\N	82	28591	UROK	\N	\N
3523311	10670	1994-09-30	PRIJEM	\N	111	25735	UROK	\N	\N
3523312	10670	1994-10-31	PRIJEM	\N	162	69817	UROK	\N	\N
3523313	10670	1994-11-30	PRIJEM	\N	305	74484	UROK	\N	\N
3523314	10670	1994-12-31	PRIJEM	\N	181	28498	UROK	\N	\N
3523315	10670	1995-01-31	PRIJEM	\N	132	45738	UROK	\N	\N
3523316	10670	1995-02-28	PRIJEM	\N	341	63669	UROK	\N	\N
3523317	10670	1995-03-31	PRIJEM	\N	201	84418	UROK	\N	\N
3523318	10670	1995-04-30	PRIJEM	\N	219	70621	UROK	\N	\N
3523319	10670	1995-05-31	PRIJEM	\N	347	80882	UROK	\N	\N
3523320	10670	1995-06-30	PRIJEM	\N	81	50500	UROK	\N	\N
3523321	10670	1995-07-31	PRIJEM	\N	161	73868	UROK	\N	\N
3523322	10670	1995-08-31	PRIJEM	\N	223	87235	UROK	\N	\N
3523323	10670	1995-09-30	PRIJEM	\N	417	118885	UROK	\N	\N
3523324	10670	1995-10-31	PRIJEM	\N	402	76889	UROK	\N	\N
3523325	10670	1995-11-30	PRIJEM	\N	248	77531	UROK	\N	\N
3523326	10670	1995-12-31	PRIJEM	\N	293	115807	UROK	\N	\N
3523327	10670	1996-01-31	PRIJEM	\N	263	62278	UROK	\N	\N
3523328	10670	1996-02-29	PRIJEM	\N	230	62617	UROK	\N	\N
3523329	10670	1996-03-31	PRIJEM	\N	124	43669	UROK	\N	\N
3523330	10670	1996-04-30	PRIJEM	\N	172	60966	UROK	\N	\N
3523331	10670	1996-05-31	PRIJEM	\N	248	77568	UROK	\N	\N
3523332	10670	1996-06-30	PRIJEM	\N	275	65778	UROK	\N	\N
3523333	10670	1996-07-31	PRIJEM	\N	209	50247	UROK	\N	\N
3523334	10670	1996-08-31	PRIJEM	\N	369	114920	UROK	\N	\N
3523335	10670	1996-09-30	PRIJEM	\N	257	73346	UROK	\N	\N
3523336	10670	1996-10-31	PRIJEM	\N	311	138562	UROK	\N	\N
3523337	10670	1996-11-30	PRIJEM	\N	477	131392	UROK	\N	\N
3523338	10670	1996-12-31	PRIJEM	\N	251	78176	UROK	\N	\N
3523339	10670	1997-01-31	PRIJEM	\N	234	100064	UROK	\N	\N
3523340	10670	1997-02-28	PRIJEM	\N	336	94316	UROK	\N	\N
3523341	10670	1997-03-31	PRIJEM	\N	246	60018	UROK	\N	\N
3523342	10670	1997-04-30	PRIJEM	\N	265	47515	UROK	\N	\N
3523343	10670	1997-05-31	PRIJEM	\N	269	111160	UROK	\N	\N
3523344	10670	1997-06-30	PRIJEM	\N	301	109407	UROK	\N	\N
3523345	10670	1997-07-31	PRIJEM	\N	13	61106	UROK	\N	\N
3523346	10670	1997-08-31	PRIJEM	\N	210	74098	UROK	\N	\N
3523347	10670	1997-09-30	PRIJEM	\N	20	65452	UROK	\N	\N
3523348	10670	1997-10-31	PRIJEM	\N	158	106202	UROK	\N	\N
3523349	10670	1997-11-30	PRIJEM	\N	332	80520	UROK	\N	\N
3523350	10670	1997-12-31	PRIJEM	\N	90	64727	UROK	\N	\N
3523351	10670	1998-01-31	PRIJEM	\N	109	82525	UROK	\N	\N
3523352	10670	1998-02-28	PRIJEM	\N	325	96070	UROK	\N	\N
3523353	10670	1998-03-31	PRIJEM	\N	281	77825	UROK	\N	\N
3523354	10670	1998-04-30	PRIJEM	\N	32	73243	UROK	\N	\N
3523355	10670	1998-05-31	PRIJEM	\N	38	71126	UROK	\N	\N
3523356	10670	1998-06-30	PRIJEM	\N	247	83104	UROK	\N	\N
3523357	10670	1998-07-31	PRIJEM	\N	45	70869	UROK	\N	\N
3523358	10670	1998-08-31	PRIJEM	\N	201	81421	UROK	\N	\N
3523359	10670	1998-09-30	PRIJEM	\N	71	80178	UROK	\N	\N
3523360	10670	1998-10-31	PRIJEM	\N	266	110976	UROK	\N	\N
3523361	10670	1998-11-30	PRIJEM	\N	393	110935	UROK	\N	\N
3523362	10670	1998-12-31	PRIJEM	\N	129	109575	UROK	\N	\N
3523460	10679	1997-06-30	PRIJEM	\N	13	47989	UROK	\N	\N
3523461	10679	1997-07-31	PRIJEM	\N	206	62346	UROK	\N	\N
3523462	10679	1997-08-31	PRIJEM	\N	390	58487	UROK	\N	\N
3523463	10679	1997-09-30	PRIJEM	\N	245	43883	UROK	\N	\N
3523464	10679	1997-10-31	PRIJEM	\N	260	55382	UROK	\N	\N
3523465	10679	1997-11-30	PRIJEM	\N	318	60824	UROK	\N	\N
3523466	10679	1997-12-31	PRIJEM	\N	232	36826	UROK	\N	\N
3523467	10679	1998-01-31	PRIJEM	\N	239	51289	UROK	\N	\N
3523468	10679	1998-02-28	PRIJEM	\N	293	59307	UROK	\N	\N
3523469	10679	1998-03-31	PRIJEM	\N	236	38768	UROK	\N	\N
3523470	10679	1998-04-30	PRIJEM	\N	245	50638	UROK	\N	\N
3523471	10679	1998-05-31	PRIJEM	\N	293	58655	UROK	\N	\N
3523472	10679	1998-06-30	PRIJEM	\N	247	41351	UROK	\N	\N
3523473	10679	1998-07-31	PRIJEM	\N	242	51818	UROK	\N	\N
3523474	10679	1998-08-31	PRIJEM	\N	275	59117	UROK	\N	\N
3523475	10679	1998-09-30	PRIJEM	\N	306	60921	UROK	\N	\N
3523476	10679	1998-10-31	PRIJEM	\N	299	60845	UROK	\N	\N
3523477	10679	1998-11-30	PRIJEM	\N	228	42197	UROK	\N	\N
3523478	10679	1998-12-31	PRIJEM	\N	225	51971	UROK	\N	\N
3523479	10694	1996-06-30	PRIJEM	\N	54	88185	UROK	\N	\N
3523480	10694	1996-09-30	PRIJEM	\N	282	44196	UROK	\N	\N
3523481	10694	1996-10-31	PRIJEM	\N	84	17171	UROK	\N	\N
3523482	10694	1996-11-30	PRIJEM	\N	78	30029	UROK	\N	\N
3523483	10694	1996-12-31	PRIJEM	\N	83	23270	UROK	\N	\N
3523484	10694	1997-01-31	PRIJEM	\N	126	27769	UROK	\N	\N
3523485	10694	1997-02-28	PRIJEM	\N	105	17773	UROK	\N	\N
3523486	10694	1997-03-31	PRIJEM	\N	159	66251	UROK	\N	\N
3523487	10694	1997-04-30	PRIJEM	\N	182	27984	UROK	\N	\N
3523488	10694	1997-05-31	PRIJEM	\N	98	20034	UROK	\N	\N
3523489	10694	1997-06-30	PRIJEM	\N	52	1054	UROK	\N	\N
3523490	10694	1997-06-30	VYDAJ	VYBER	0	1106	SANKC. UROK	\N	\N
3523491	10694	1997-07-31	PRIJEM	\N	4	10365	UROK	\N	\N
3523492	10694	1997-07-31	VYDAJ	VYBER	3	10362	SANKC. UROK	\N	\N
3523493	10694	1997-08-31	PRIJEM	\N	48	14627	UROK	\N	\N
3523494	10694	1997-09-30	PRIJEM	\N	124	31422	UROK	\N	\N
3523495	10694	1997-10-31	PRIJEM	\N	71	22502	UROK	\N	\N
3523496	10694	1997-11-30	PRIJEM	\N	29	13796	UROK	\N	\N
3523497	10694	1997-12-31	PRIJEM	\N	11	2544	UROK	\N	\N
3523498	10694	1998-02-28	PRIJEM	\N	4	2505	UROK	\N	\N
3523499	10694	1998-02-28	PRIJEM	\N	3	2501	UROK	\N	\N
3523500	10694	1998-04-30	PRIJEM	\N	0	2452	UROK	\N	\N
3523501	10694	1998-05-31	PRIJEM	\N	83	30097	UROK	\N	\N
3523502	10694	1998-06-30	PRIJEM	\N	68	55437	UROK	\N	\N
3523503	10694	1998-07-31	PRIJEM	\N	72	19743	UROK	\N	\N
3523504	10694	1998-08-31	PRIJEM	\N	43	7557	UROK	\N	\N
3523505	10694	1998-09-30	PRIJEM	\N	1	6671	UROK	\N	\N
3523506	10694	1998-10-31	PRIJEM	\N	18	5581	UROK	\N	\N
3523507	10694	1998-11-30	PRIJEM	\N	14	4383	UROK	\N	\N
3523508	10694	1998-12-31	PRIJEM	\N	98	47313	UROK	\N	\N
3523744	10710	1996-02-29	PRIJEM	\N	11	39656	UROK	\N	\N
3523745	10710	1996-06-30	PRIJEM	\N	27	49612	UROK	\N	\N
3523746	10710	1996-07-31	PRIJEM	\N	31	46821	UROK	\N	\N
3523747	10710	1996-08-31	PRIJEM	\N	66	95143	UROK	\N	\N
3523748	10710	1996-09-30	PRIJEM	\N	48	56118	UROK	\N	\N
3523749	10710	1996-10-31	PRIJEM	\N	54	58190	UROK	\N	\N
3523750	10710	1996-12-31	PRIJEM	\N	59	57749	UROK	\N	\N
3523751	10710	1997-01-31	PRIJEM	\N	88	-217	UROK	\N	\N
3523752	10710	1997-01-31	VYDAJ	VYBER	1	-232	SANKC. UROK	\N	\N
3523753	10710	1997-02-28	PRIJEM	\N	1	2824	UROK	\N	\N
3523754	10710	1997-02-28	VYDAJ	VYBER	6	2818	SANKC. UROK	\N	\N
3523755	10710	1997-05-31	PRIJEM	\N	31	11428	UROK	\N	\N
3523756	10710	1997-06-30	PRIJEM	\N	55	17980	UROK	\N	\N
3523757	10710	1997-07-31	PRIJEM	\N	112	60374	UROK	\N	\N
3523758	10710	1997-08-31	PRIJEM	\N	259	66771	UROK	\N	\N
3523759	10710	1997-09-30	PRIJEM	\N	297	41760	UROK	\N	\N
3523760	10710	1997-10-31	PRIJEM	\N	55	33024	UROK	\N	\N
3523761	10710	1997-11-30	PRIJEM	\N	114	22268	UROK	\N	\N
3523762	10710	1997-12-31	PRIJEM	\N	70	11802	UROK	\N	\N
3523763	10710	1998-01-31	PRIJEM	\N	7	994	UROK	\N	\N
3523764	10710	1998-01-31	VYDAJ	VYBER	10	981	SANKC. UROK	\N	\N
3523765	10710	1998-02-28	PRIJEM	\N	2	14371	UROK	\N	\N
3523766	10710	1998-02-28	VYDAJ	VYBER	6	14359	SANKC. UROK	\N	\N
3523767	10710	1998-03-31	PRIJEM	\N	115	73561	UROK	\N	\N
3523768	10710	1998-04-30	PRIJEM	\N	249	47295	UROK	\N	\N
3523769	10710	1998-05-31	PRIJEM	\N	55	29675	UROK	\N	\N
3523770	10710	1998-06-30	PRIJEM	\N	100	23974	UROK	\N	\N
3523771	10710	1998-07-31	PRIJEM	\N	157	41158	UROK	\N	\N
3523772	10710	1998-08-31	PRIJEM	\N	76	37547	UROK	\N	\N
3523773	10710	1998-09-30	PRIJEM	\N	65	32097	UROK	\N	\N
3523774	10710	1998-10-31	PRIJEM	\N	53	25735	UROK	\N	\N
3523775	10710	1998-11-30	PRIJEM	\N	72	47250	UROK	\N	\N
3523776	10710	1998-12-31	PRIJEM	\N	183	60747	UROK	\N	\N
3523777	10711	1996-08-31	PRIJEM	\N	88	26132	UROK	\N	\N
3523778	10711	1996-09-30	PRIJEM	\N	179	47355	UROK	\N	\N
3523779	10711	1996-10-31	PRIJEM	\N	247	62446	UROK	\N	\N
3523780	10711	1996-11-30	PRIJEM	\N	282	69171	UROK	\N	\N
3523781	10711	1996-12-31	PRIJEM	\N	341	82483	UROK	\N	\N
3523782	10711	1997-01-31	PRIJEM	\N	329	77886	UROK	\N	\N
3523783	10711	1997-02-28	PRIJEM	\N	330	80290	UROK	\N	\N
3523784	10711	1997-03-31	PRIJEM	\N	329	78293	UROK	\N	\N
3523785	10711	1997-04-30	PRIJEM	\N	336	81204	UROK	\N	\N
3523786	10711	1997-05-31	PRIJEM	\N	317	75195	UROK	\N	\N
3523787	10711	1997-06-30	PRIJEM	\N	369	91860	UROK	\N	\N
3523788	10711	1997-07-31	PRIJEM	\N	376	89811	UROK	\N	\N
3523789	10711	1997-08-31	PRIJEM	\N	378	89743	UROK	\N	\N
3523790	10711	1997-09-30	PRIJEM	\N	358	83976	UROK	\N	\N
3523791	10711	1997-10-31	PRIJEM	\N	342	85192	UROK	\N	\N
3523792	10711	1997-11-30	PRIJEM	\N	339	85705	UROK	\N	\N
3523793	10711	1997-12-31	PRIJEM	\N	349	70350	UROK	\N	\N
3523794	10711	1998-01-31	PRIJEM	\N	346	68968	UROK	\N	\N
3523795	10711	1998-02-28	PRIJEM	\N	342	84042	UROK	\N	\N
3523796	10711	1998-03-31	PRIJEM	\N	343	70556	UROK	\N	\N
3523797	10711	1998-04-30	PRIJEM	\N	349	67776	UROK	\N	\N
3523798	10711	1998-05-31	PRIJEM	\N	335	65482	UROK	\N	\N
3523799	10711	1998-06-30	PRIJEM	\N	360	70235	UROK	\N	\N
3523800	10711	1998-07-31	PRIJEM	\N	342	68049	UROK	\N	\N
3523801	10711	1998-08-31	PRIJEM	\N	315	60335	UROK	\N	\N
3523802	10711	1998-09-30	PRIJEM	\N	292	61278	UROK	\N	\N
3523803	10711	1998-10-31	PRIJEM	\N	293	59322	UROK	\N	\N
3523804	10711	1998-11-30	PRIJEM	\N	290	57183	UROK	\N	\N
3523805	10711	1998-12-31	PRIJEM	\N	323	82020	UROK	\N	\N
3523839	10728	1995-01-31	PRIJEM	\N	29	21258	UROK	\N	\N
3523840	10728	1995-02-28	PRIJEM	\N	102	32288	UROK	\N	\N
3523841	10728	1995-03-31	PRIJEM	\N	142	38659	UROK	\N	\N
3523842	10728	1995-04-30	PRIJEM	\N	165	42453	UROK	\N	\N
3523843	10728	1995-05-31	PRIJEM	\N	174	29156	UROK	\N	\N
3523844	10728	1995-06-30	PRIJEM	\N	165	37787	UROK	\N	\N
3523845	10728	1995-07-31	PRIJEM	\N	172	24006	UROK	\N	\N
3523846	10728	1995-08-31	PRIJEM	\N	110	26864	UROK	\N	\N
3523847	10728	1995-09-30	PRIJEM	\N	142	33553	UROK	\N	\N
3523848	10728	1995-10-31	PRIJEM	\N	143	32483	UROK	\N	\N
3523849	10728	1995-11-30	PRIJEM	\N	129	28575	UROK	\N	\N
3523850	10728	1995-12-31	PRIJEM	\N	131	32319	UROK	\N	\N
3523851	10728	1996-01-31	PRIJEM	\N	103	18969	UROK	\N	\N
3523852	10728	1996-02-29	PRIJEM	\N	116	29433	UROK	\N	\N
3523853	10728	1996-03-31	PRIJEM	\N	149	37329	UROK	\N	\N
3523854	10728	1996-04-30	PRIJEM	\N	178	41733	UROK	\N	\N
3523855	10728	1996-05-31	PRIJEM	\N	170	36629	UROK	\N	\N
3523856	10728	1996-06-30	PRIJEM	\N	188	20808	UROK	\N	\N
3523857	10728	1996-07-31	PRIJEM	\N	126	33059	UROK	\N	\N
3523858	10728	1996-08-31	PRIJEM	\N	157	34242	UROK	\N	\N
3523859	10728	1996-09-30	PRIJEM	\N	158	37226	UROK	\N	\N
3523860	10728	1996-10-31	PRIJEM	\N	177	43029	UROK	\N	\N
3523861	10728	1996-11-30	PRIJEM	\N	186	43240	UROK	\N	\N
3523862	10728	1996-12-31	PRIJEM	\N	227	48758	UROK	\N	\N
3523863	10728	1997-01-31	PRIJEM	\N	153	20437	UROK	\N	\N
3523864	10728	1997-02-28	PRIJEM	\N	130	35393	UROK	\N	\N
3523865	10728	1997-03-31	PRIJEM	\N	161	29224	UROK	\N	\N
3523866	10728	1997-04-30	PRIJEM	\N	136	31503	UROK	\N	\N
3523867	10728	1997-05-31	PRIJEM	\N	152	39980	UROK	\N	\N
3523868	10728	1997-06-30	PRIJEM	\N	211	54082	UROK	\N	\N
3523869	10728	1997-07-31	PRIJEM	\N	228	49026	UROK	\N	\N
3523870	10728	1997-08-31	PRIJEM	\N	229	56581	UROK	\N	\N
3523871	10728	1997-09-30	PRIJEM	\N	282	70289	UROK	\N	\N
3523872	10728	1997-10-31	PRIJEM	\N	258	41433	UROK	\N	\N
3523873	10728	1997-11-30	PRIJEM	\N	180	29103	UROK	\N	\N
3523874	10728	1997-12-31	PRIJEM	\N	180	47273	UROK	\N	\N
3523875	10728	1998-01-31	PRIJEM	\N	141	22662	UROK	\N	\N
3523876	10728	1998-02-28	PRIJEM	\N	163	44750	UROK	\N	\N
3523877	10728	1998-03-31	PRIJEM	\N	201	40036	UROK	\N	\N
3523878	10728	1998-04-30	PRIJEM	\N	181	35466	UROK	\N	\N
3523879	10728	1998-05-31	PRIJEM	\N	210	54902	UROK	\N	\N
3523880	10728	1998-06-30	PRIJEM	\N	225	57138	UROK	\N	\N
3523881	10728	1998-07-31	PRIJEM	\N	235	56498	UROK	\N	\N
3523882	10728	1998-08-31	PRIJEM	\N	243	45604	UROK	\N	\N
3523883	10728	1998-09-30	PRIJEM	\N	158	30494	UROK	\N	\N
3523884	10728	1998-10-31	PRIJEM	\N	150	36216	UROK	\N	\N
3523885	10728	1998-11-30	PRIJEM	\N	180	46821	UROK	\N	\N
3523886	10728	1998-12-31	PRIJEM	\N	176	26893	UROK	\N	\N
3524002	10738	1993-04-30	PRIJEM	\N	5	7791	UROK	\N	\N
3524003	10738	1993-05-31	PRIJEM	\N	32	14624	UROK	\N	\N
3524004	10738	1993-06-30	PRIJEM	\N	55	61781	UROK	\N	\N
3524005	10738	1993-07-31	PRIJEM	\N	256	61498	UROK	\N	\N
3524006	10738	1993-08-31	PRIJEM	\N	163	20142	UROK	\N	\N
3524007	10738	1993-09-30	PRIJEM	\N	65	14349	UROK	\N	\N
3524008	10738	1993-10-31	PRIJEM	\N	111	43054	UROK	\N	\N
3524009	10738	1993-11-30	PRIJEM	\N	140	28236	UROK	\N	\N
3524010	10738	1993-12-31	PRIJEM	\N	118	30964	UROK	\N	\N
3524011	10738	1994-01-31	PRIJEM	\N	94	19400	UROK	\N	\N
3524012	10738	1994-02-28	PRIJEM	\N	71	15313	UROK	\N	\N
3524013	10738	1994-03-31	PRIJEM	\N	105	25511	UROK	\N	\N
3524014	10738	1994-04-30	PRIJEM	\N	90	19143	UROK	\N	\N
3524015	10738	1994-05-31	PRIJEM	\N	66	15451	UROK	\N	\N
3524016	10738	1994-06-30	PRIJEM	\N	54	13047	UROK	\N	\N
3524017	10738	1994-07-31	PRIJEM	\N	47	11535	UROK	\N	\N
3524018	10738	1994-08-31	PRIJEM	\N	87	13864	UROK	\N	\N
3524019	10738	1994-09-30	PRIJEM	\N	74	11380	UROK	\N	\N
3524020	10738	1994-10-31	PRIJEM	\N	87	37191	UROK	\N	\N
3524021	10738	1994-11-30	PRIJEM	\N	228	60728	UROK	\N	\N
3524022	10738	1994-12-31	PRIJEM	\N	83	9753	UROK	\N	\N
3524023	10738	1995-01-31	PRIJEM	\N	86	67955	UROK	\N	\N
3524024	10738	1995-02-28	PRIJEM	\N	266	71112	UROK	\N	\N
3524025	10738	1995-03-31	PRIJEM	\N	217	36434	UROK	\N	\N
3524026	10738	1995-04-30	PRIJEM	\N	124	67899	UROK	\N	\N
3524027	10738	1995-05-31	PRIJEM	\N	190	46846	UROK	\N	\N
3524028	10738	1995-06-30	PRIJEM	\N	142	40100	UROK	\N	\N
3524029	10738	1995-07-31	PRIJEM	\N	313	94653	UROK	\N	\N
3524030	10738	1995-08-31	PRIJEM	\N	308	95690	UROK	\N	\N
3524031	10738	1995-09-30	PRIJEM	\N	347	94533	UROK	\N	\N
3524032	10738	1995-10-31	PRIJEM	\N	248	76454	UROK	\N	\N
3524033	10738	1995-11-30	PRIJEM	\N	209	43183	UROK	\N	\N
3524034	10738	1995-12-31	PRIJEM	\N	193	64804	UROK	\N	\N
3524035	10738	1996-01-31	PRIJEM	\N	135	21859	UROK	\N	\N
3524036	10738	1996-02-29	PRIJEM	\N	77	15956	UROK	\N	\N
3524037	10738	1996-03-31	PRIJEM	\N	68	14945	UROK	\N	\N
3524038	10738	1996-04-30	PRIJEM	\N	59	16963	UROK	\N	\N
3524039	10738	1996-05-31	PRIJEM	\N	63	23147	UROK	\N	\N
3524040	10738	1996-06-30	PRIJEM	\N	64	11731	UROK	\N	\N
3524041	10738	1996-07-31	PRIJEM	\N	112	56358	UROK	\N	\N
3524042	10738	1996-08-31	PRIJEM	\N	199	41577	UROK	\N	\N
3524043	10738	1996-09-30	PRIJEM	\N	127	44249	UROK	\N	\N
3524044	10738	1996-10-31	PRIJEM	\N	188	64064	UROK	\N	\N
3524045	10738	1996-11-30	PRIJEM	\N	182	40398	UROK	\N	\N
3524046	10738	1996-12-31	PRIJEM	\N	131	34049	UROK	\N	\N
3524047	10738	1997-01-31	PRIJEM	\N	123	50513	UROK	\N	\N
3524048	10738	1997-02-28	PRIJEM	\N	212	93646	UROK	\N	\N
3524049	10738	1997-03-31	PRIJEM	\N	203	54093	UROK	\N	\N
3524050	10738	1997-04-30	PRIJEM	\N	193	46907	UROK	\N	\N
3524051	10738	1997-05-31	PRIJEM	\N	156	42683	UROK	\N	\N
3524052	10738	1997-06-30	PRIJEM	\N	207	64640	UROK	\N	\N
3524053	10738	1997-07-31	PRIJEM	\N	282	72261	UROK	\N	\N
3524054	10738	1997-08-31	PRIJEM	\N	311	92564	UROK	\N	\N
3524055	10738	1997-09-30	PRIJEM	\N	329	105428	UROK	\N	\N
3524056	10738	1997-10-31	PRIJEM	\N	362	102125	UROK	\N	\N
3524057	10738	1997-11-30	PRIJEM	\N	359	63949	UROK	\N	\N
3524058	10738	1997-12-31	PRIJEM	\N	249	50755	UROK	\N	\N
3524059	10738	1998-01-31	PRIJEM	\N	318	37697	UROK	\N	\N
3524060	10738	1998-02-28	PRIJEM	\N	217	64787	UROK	\N	\N
3524061	10738	1998-03-31	PRIJEM	\N	334	88093	UROK	\N	\N
3524062	10738	1998-04-30	PRIJEM	\N	323	111636	UROK	\N	\N
3524063	10738	1998-05-31	PRIJEM	\N	388	59743	UROK	\N	\N
3524064	10738	1998-06-30	PRIJEM	\N	307	98399	UROK	\N	\N
3524065	10738	1998-07-31	PRIJEM	\N	333	79667	UROK	\N	\N
3524066	10738	1998-08-31	PRIJEM	\N	327	109384	UROK	\N	\N
3524067	10738	1998-09-30	PRIJEM	\N	385	81311	UROK	\N	\N
3524068	10738	1998-10-31	PRIJEM	\N	320	69213	UROK	\N	\N
3524069	10738	1998-11-30	PRIJEM	\N	315	121454	UROK	\N	\N
3524070	10738	1998-12-31	PRIJEM	\N	330	54988	UROK	\N	\N
3524207	10762	1995-11-30	PRIJEM	\N	28	22530	UROK	\N	\N
3524208	10762	1995-12-31	PRIJEM	\N	112	36095	UROK	\N	\N
3524209	10762	1996-01-31	PRIJEM	\N	159	42456	UROK	\N	\N
3524210	10762	1996-02-29	PRIJEM	\N	179	44638	UROK	\N	\N
3524211	10762	1996-03-31	PRIJEM	\N	213	44353	UROK	\N	\N
3524212	10762	1996-04-30	PRIJEM	\N	194	40099	UROK	\N	\N
3524213	10762	1996-05-31	PRIJEM	\N	178	37929	UROK	\N	\N
3524214	10762	1996-06-30	PRIJEM	\N	176	18208	UROK	\N	\N
3524215	10762	1996-07-31	PRIJEM	\N	116	30976	UROK	\N	\N
3524216	10762	1996-08-31	PRIJEM	\N	160	39588	UROK	\N	\N
3524217	10762	1996-09-30	PRIJEM	\N	186	43627	UROK	\N	\N
3524218	10762	1996-10-31	PRIJEM	\N	198	43665	UROK	\N	\N
3524219	10762	1996-11-30	PRIJEM	\N	189	41695	UROK	\N	\N
3524220	10762	1996-12-31	PRIJEM	\N	197	42883	UROK	\N	\N
3524221	10762	1997-01-31	PRIJEM	\N	148	32471	UROK	\N	\N
3524222	10762	1997-02-28	PRIJEM	\N	150	35262	UROK	\N	\N
3524223	10762	1997-03-31	PRIJEM	\N	159	35962	UROK	\N	\N
3524224	10762	1997-04-30	PRIJEM	\N	162	37164	UROK	\N	\N
3524225	10762	1997-05-31	PRIJEM	\N	172	40576	UROK	\N	\N
3524226	10762	1997-06-30	PRIJEM	\N	175	32243	UROK	\N	\N
3524227	10762	1997-07-31	PRIJEM	\N	153	37037	UROK	\N	\N
3524228	10762	1997-08-31	PRIJEM	\N	160	38237	UROK	\N	\N
3524229	10762	1997-09-30	PRIJEM	\N	160	36838	UROK	\N	\N
3524230	10762	1997-10-31	PRIJEM	\N	162	36340	UROK	\N	\N
3524231	10762	1997-11-30	PRIJEM	\N	147	29527	UROK	\N	\N
3524232	10762	1997-12-31	PRIJEM	\N	136	25755	UROK	\N	\N
3524233	10762	1998-01-31	PRIJEM	\N	130	28925	UROK	\N	\N
3524234	10762	1998-02-28	PRIJEM	\N	141	35106	UROK	\N	\N
3524235	10762	1998-03-31	PRIJEM	\N	148	34794	UROK	\N	\N
3524236	10762	1998-04-30	PRIJEM	\N	140	32674	UROK	\N	\N
3524237	10762	1998-05-31	PRIJEM	\N	133	31247	UROK	\N	\N
3524238	10762	1998-06-30	PRIJEM	\N	130	31669	UROK	\N	\N
3524239	10762	1998-07-31	PRIJEM	\N	112	25521	UROK	\N	\N
3524240	10762	1998-08-31	PRIJEM	\N	128	30089	UROK	\N	\N
3524241	10762	1998-09-30	PRIJEM	\N	132	33761	UROK	\N	\N
3524242	10762	1998-10-31	PRIJEM	\N	132	33034	UROK	\N	\N
3524243	10762	1998-11-30	PRIJEM	\N	152	38926	UROK	\N	\N
3524244	10762	1998-12-31	PRIJEM	\N	192	50910	UROK	\N	\N
3524317	10774	1997-07-31	PRIJEM	\N	23	6616	UROK	\N	\N
3524318	10774	1997-08-31	PRIJEM	\N	78	21087	UROK	\N	\N
3524319	10774	1997-09-30	PRIJEM	\N	110	27690	UROK	\N	\N
3524320	10774	1997-10-31	PRIJEM	\N	148	37131	UROK	\N	\N
3524321	10774	1997-11-30	PRIJEM	\N	145	31741	UROK	\N	\N
3524322	10774	1997-12-31	PRIJEM	\N	113	24562	UROK	\N	\N
3524323	10774	1998-01-31	PRIJEM	\N	118	28830	UROK	\N	\N
3524324	10774	1998-02-28	PRIJEM	\N	135	25255	UROK	\N	\N
3524325	10774	1998-03-31	PRIJEM	\N	122	29227	UROK	\N	\N
3524326	10774	1998-04-30	PRIJEM	\N	128	28806	UROK	\N	\N
3524327	10774	1998-05-31	PRIJEM	\N	129	37319	UROK	\N	\N
3524328	10774	1998-06-30	PRIJEM	\N	113	20773	UROK	\N	\N
3524329	10774	1998-07-31	PRIJEM	\N	131	35609	UROK	\N	\N
3524330	10774	1998-08-31	PRIJEM	\N	138	37731	UROK	\N	\N
3524331	10774	1998-09-30	PRIJEM	\N	153	44868	UROK	\N	\N
3524332	10774	1998-10-31	PRIJEM	\N	164	40496	UROK	\N	\N
3524333	10774	1998-11-30	PRIJEM	\N	164	44545	UROK	\N	\N
3524334	10774	1998-12-31	PRIJEM	\N	168	37654	UROK	\N	\N
3524456	10788	1993-12-31	PRIJEM	\N	26	21489	UROK	\N	\N
3524457	10788	1994-03-31	PRIJEM	\N	24	45075	UROK	\N	\N
3524458	10788	1994-06-30	PRIJEM	\N	42	30523	UROK	\N	\N
3524459	10788	1994-07-31	PRIJEM	\N	34	41754	UROK	\N	\N
3524460	10788	1994-08-31	PRIJEM	\N	86	49714	UROK	\N	\N
3524461	10788	1994-09-30	PRIJEM	\N	72	26885	UROK	\N	\N
3524462	10788	1994-10-31	PRIJEM	\N	96	16480	UROK	\N	\N
3524463	10788	1994-11-30	PRIJEM	\N	68	11372	UROK	\N	\N
3524464	10788	1994-12-31	PRIJEM	\N	53	16382	UROK	\N	\N
3524465	10788	1995-01-31	PRIJEM	\N	33	7783	UROK	\N	\N
3524466	10788	1995-02-28	PRIJEM	\N	57	24619	UROK	\N	\N
3524467	10788	1995-03-31	PRIJEM	\N	83	54741	UROK	\N	\N
3524468	10788	1995-04-30	PRIJEM	\N	96	35293	UROK	\N	\N
3524469	10788	1995-05-31	PRIJEM	\N	105	22341	UROK	\N	\N
3524470	10788	1995-06-30	PRIJEM	\N	48	20245	UROK	\N	\N
3524471	10788	1995-07-31	PRIJEM	\N	68	17650	UROK	\N	\N
3524472	10788	1995-08-31	PRIJEM	\N	44	19220	UROK	\N	\N
3524473	10788	1995-09-30	PRIJEM	\N	93	43703	UROK	\N	\N
3524474	10788	1995-10-31	PRIJEM	\N	196	46746	UROK	\N	\N
3524475	10788	1995-11-30	PRIJEM	\N	96	28503	UROK	\N	\N
3524476	10788	1995-12-31	PRIJEM	\N	130	36582	UROK	\N	\N
3524477	10788	1996-01-31	PRIJEM	\N	92	18974	UROK	\N	\N
3524478	10788	1996-02-29	PRIJEM	\N	34	7673	UROK	\N	\N
3524479	10788	1996-07-31	VYDAJ	VYBER	0	672	SANKC. UROK	\N	\N
3524480	10788	1996-09-30	VYDAJ	VYBER	13	609	SANKC. UROK	\N	\N
3524481	10788	1996-09-30	VYDAJ	VYBER	12	597	SANKC. UROK	\N	\N
3524482	10788	1996-11-30	VYDAJ	VYBER	14	44535	SANKC. UROK	\N	\N
3524483	10788	1996-11-30	PRIJEM	\N	6	44555	UROK	\N	\N
3524484	10788	1996-11-30	VYDAJ	VYBER	13	44548	SANKC. UROK	\N	\N
3524485	10788	1996-12-31	PRIJEM	\N	112	23612	UROK	\N	\N
3524486	10788	1997-01-31	PRIJEM	\N	70	23475	UROK	\N	\N
3524487	10788	1997-02-28	PRIJEM	\N	49	12579	UROK	\N	\N
3524488	10788	1997-03-31	PRIJEM	\N	42	6050	UROK	\N	\N
3524489	10788	1997-04-30	PRIJEM	\N	75	25112	UROK	\N	\N
3524490	10788	1997-05-31	PRIJEM	\N	193	61861	UROK	\N	\N
3524491	10788	1997-06-30	PRIJEM	\N	266	76129	UROK	\N	\N
3524492	10788	1997-07-31	PRIJEM	\N	127	35426	UROK	\N	\N
3524493	10788	1997-08-31	PRIJEM	\N	72	16896	UROK	\N	\N
3524494	10788	1997-09-30	PRIJEM	\N	61	29892	UROK	\N	\N
3524495	10788	1997-10-31	PRIJEM	\N	41	10064	UROK	\N	\N
3524496	10788	1997-11-30	PRIJEM	\N	113	79378	UROK	\N	\N
3524497	10788	1997-12-31	PRIJEM	\N	109	24307	UROK	\N	\N
3524498	10788	1998-01-31	PRIJEM	\N	127	32828	UROK	\N	\N
3524499	10788	1998-02-28	PRIJEM	\N	246	73021	UROK	\N	\N
3524500	10788	1998-03-31	PRIJEM	\N	192	80134	UROK	\N	\N
3524501	10788	1998-04-30	PRIJEM	\N	329	80622	UROK	\N	\N
3524502	10788	1998-05-31	PRIJEM	\N	141	20574	UROK	\N	\N
3524503	10788	1998-06-30	PRIJEM	\N	149	40288	UROK	\N	\N
3524504	10788	1998-07-31	PRIJEM	\N	45	23629	UROK	\N	\N
3524505	10788	1998-08-31	PRIJEM	\N	78	20776	UROK	\N	\N
3524506	10788	1998-09-30	PRIJEM	\N	29	9483	UROK	\N	\N
3524507	10788	1998-10-31	PRIJEM	\N	106	14579	UROK	\N	\N
3524508	10788	1998-11-30	PRIJEM	\N	218	29031	UROK	\N	\N
3524509	10788	1998-12-31	PRIJEM	\N	101	59769	UROK	\N	\N
3524510	10789	1996-10-31	PRIJEM	\N	94	35647	UROK	\N	\N
3524511	10789	1996-11-30	PRIJEM	\N	344	59734	UROK	\N	\N
3524512	10789	1996-12-31	PRIJEM	\N	273	45904	UROK	\N	\N
3524513	10789	1997-01-31	PRIJEM	\N	201	45262	UROK	\N	\N
3524514	10789	1997-02-28	PRIJEM	\N	391	122369	UROK	\N	\N
3524515	10789	1997-03-31	PRIJEM	\N	225	56405	UROK	\N	\N
3524516	10789	1997-04-30	PRIJEM	\N	236	51885	UROK	\N	\N
3524517	10789	1997-05-31	PRIJEM	\N	169	37496	UROK	\N	\N
3524518	10789	1997-06-30	PRIJEM	\N	120	62176	UROK	\N	\N
3524519	10789	1997-07-31	PRIJEM	\N	277	44335	UROK	\N	\N
3524520	10789	1997-08-31	PRIJEM	\N	152	36787	UROK	\N	\N
3524521	10789	1997-09-30	PRIJEM	\N	193	91242	UROK	\N	\N
3524522	10789	1997-10-31	PRIJEM	\N	266	42075	UROK	\N	\N
3524523	10789	1997-11-30	PRIJEM	\N	197	80007	UROK	\N	\N
3524524	10789	1997-12-31	PRIJEM	\N	229	25289	UROK	\N	\N
3524525	10789	1998-01-31	PRIJEM	\N	179	42129	UROK	\N	\N
3524526	10789	1998-02-28	PRIJEM	\N	189	32462	UROK	\N	\N
3524527	10789	1998-03-31	PRIJEM	\N	128	20818	UROK	\N	\N
3524528	10789	1998-04-30	PRIJEM	\N	198	102790	UROK	\N	\N
3524529	10789	1998-05-31	PRIJEM	\N	321	88930	UROK	\N	\N
3524530	10789	1998-06-30	PRIJEM	\N	339	94886	UROK	\N	\N
3524531	10789	1998-07-31	PRIJEM	\N	390	99850	UROK	\N	\N
3524532	10789	1998-08-31	PRIJEM	\N	248	36419	UROK	\N	\N
3524533	10789	1998-09-30	PRIJEM	\N	124	37995	UROK	\N	\N
3524534	10789	1998-10-31	PRIJEM	\N	167	66553	UROK	\N	\N
3524535	10789	1998-11-30	PRIJEM	\N	297	86202	UROK	\N	\N
3524536	10789	1998-12-31	PRIJEM	\N	325	75280	UROK	\N	\N
3524573	10799	1997-09-30	PRIJEM	\N	27	15138	UROK	\N	\N
3524574	10799	1997-10-31	PRIJEM	\N	80	24430	UROK	\N	\N
3524575	10799	1997-11-30	PRIJEM	\N	104	25845	UROK	\N	\N
3524576	10799	1997-12-31	PRIJEM	\N	112	28323	UROK	\N	\N
3524577	10799	1998-01-31	PRIJEM	\N	120	28354	UROK	\N	\N
3524578	10799	1998-02-28	PRIJEM	\N	127	30378	UROK	\N	\N
3524579	10799	1998-03-31	PRIJEM	\N	123	27997	UROK	\N	\N
3524580	10799	1998-04-30	PRIJEM	\N	124	31317	UROK	\N	\N
3524581	10799	1998-05-31	PRIJEM	\N	143	37257	UROK	\N	\N
3524582	10799	1998-06-30	PRIJEM	\N	123	31731	UROK	\N	\N
3524583	10799	1998-07-31	PRIJEM	\N	157	42166	UROK	\N	\N
3524584	10799	1998-08-31	PRIJEM	\N	187	46230	UROK	\N	\N
3524585	10799	1998-09-30	PRIJEM	\N	184	43192	UROK	\N	\N
3524586	10799	1998-10-31	PRIJEM	\N	185	45154	UROK	\N	\N
3524587	10799	1998-11-30	PRIJEM	\N	205	51136	UROK	\N	\N
3524588	10799	1998-12-31	PRIJEM	\N	228	56696	UROK	\N	\N
3524615	10807	1996-04-30	PRIJEM	\N	79	30114	UROK	\N	\N
3524616	10807	1996-05-31	PRIJEM	\N	156	41806	UROK	\N	\N
3524617	10807	1996-06-30	PRIJEM	\N	219	58227	UROK	\N	\N
3524618	10807	1996-07-31	PRIJEM	\N	234	55395	UROK	\N	\N
3524619	10807	1996-08-31	PRIJEM	\N	228	50758	UROK	\N	\N
3524620	10807	1996-09-30	PRIJEM	\N	176	29775	UROK	\N	\N
3524621	10807	1996-10-31	PRIJEM	\N	158	39553	UROK	\N	\N
3524622	10807	1996-11-30	PRIJEM	\N	174	41648	UROK	\N	\N
3524623	10807	1996-12-31	PRIJEM	\N	204	46039	UROK	\N	\N
3524624	10807	1997-01-31	PRIJEM	\N	140	23999	UROK	\N	\N
3524625	10807	1997-02-28	PRIJEM	\N	157	30777	UROK	\N	\N
3524626	10807	1997-03-31	PRIJEM	\N	141	32459	UROK	\N	\N
3524627	10807	1997-04-30	PRIJEM	\N	161	39418	UROK	\N	\N
3524628	10807	1997-05-31	PRIJEM	\N	113	19940	UROK	\N	\N
3524629	10807	1997-06-30	PRIJEM	\N	156	27221	UROK	\N	\N
3524630	10807	1997-07-31	PRIJEM	\N	118	25137	UROK	\N	\N
3524631	10807	1997-08-31	PRIJEM	\N	108	20143	UROK	\N	\N
3524632	10807	1997-09-30	PRIJEM	\N	156	31937	UROK	\N	\N
3524633	10807	1997-10-31	PRIJEM	\N	216	50550	UROK	\N	\N
3524634	10807	1997-11-30	PRIJEM	\N	253	62901	UROK	\N	\N
3524635	10807	1997-12-31	PRIJEM	\N	333	80068	UROK	\N	\N
3524636	10807	1998-01-31	PRIJEM	\N	271	58837	UROK	\N	\N
3524637	10807	1998-02-28	PRIJEM	\N	275	64810	UROK	\N	\N
3524638	10807	1998-03-31	PRIJEM	\N	292	70023	UROK	\N	\N
3524639	10807	1998-04-30	PRIJEM	\N	309	70352	UROK	\N	\N
3524640	10807	1998-05-31	PRIJEM	\N	304	70076	UROK	\N	\N
3524641	10807	1998-06-30	PRIJEM	\N	371	73335	UROK	\N	\N
3524642	10807	1998-07-31	PRIJEM	\N	319	81674	UROK	\N	\N
3524643	10807	1998-08-31	PRIJEM	\N	290	56283	UROK	\N	\N
3524644	10807	1998-09-30	PRIJEM	\N	293	64597	UROK	\N	\N
3524645	10807	1998-10-31	PRIJEM	\N	356	67274	UROK	\N	\N
3524646	10807	1998-11-30	PRIJEM	\N	300	59694	UROK	\N	\N
3524647	10807	1998-12-31	PRIJEM	\N	339	98820	UROK	\N	\N
3524679	10812	1997-05-31	PRIJEM	\N	135	42382	UROK	\N	\N
3524680	10812	1997-06-30	PRIJEM	\N	173	31220	UROK	\N	\N
3524681	10812	1997-07-31	PRIJEM	\N	192	100785	UROK	\N	\N
3524682	10812	1997-08-31	PRIJEM	\N	351	98310	UROK	\N	\N
3524683	10812	1997-09-30	PRIJEM	\N	377	89966	UROK	\N	\N
3524684	10812	1997-10-31	PRIJEM	\N	212	29563	UROK	\N	\N
3524685	10812	1997-11-30	PRIJEM	\N	151	45091	UROK	\N	\N
3524686	10812	1997-12-31	PRIJEM	\N	257	65068	UROK	\N	\N
3524687	10812	1998-01-31	PRIJEM	\N	101	20627	UROK	\N	\N
3524688	10812	1998-02-28	PRIJEM	\N	244	105890	UROK	\N	\N
3524689	10812	1998-03-31	PRIJEM	\N	168	29038	UROK	\N	\N
3524690	10812	1998-04-30	PRIJEM	\N	159	41314	UROK	\N	\N
3524691	10812	1998-05-31	PRIJEM	\N	107	24807	UROK	\N	\N
3524692	10812	1998-06-30	PRIJEM	\N	114	39449	UROK	\N	\N
3524693	10812	1998-07-31	PRIJEM	\N	122	24025	UROK	\N	\N
3524694	10812	1998-08-31	PRIJEM	\N	80	17060	UROK	\N	\N
3524695	10812	1998-09-30	PRIJEM	\N	54	10268	UROK	\N	\N
3524696	10812	1998-10-31	PRIJEM	\N	51	13447	UROK	\N	\N
3524697	10812	1998-11-30	PRIJEM	\N	55	10557	UROK	\N	\N
3524991	10857	1996-10-31	PRIJEM	\N	58	60877	UROK	\N	\N
3524992	10857	1996-12-31	PRIJEM	\N	3	27947	UROK	\N	\N
3524993	10857	1997-02-28	PRIJEM	\N	97	45273	UROK	\N	\N
3524994	10857	1997-02-28	PRIJEM	\N	85	45088	UROK	\N	\N
3524995	10857	1997-03-31	PRIJEM	\N	3	29176	UROK	\N	\N
3524996	10857	1997-04-30	PRIJEM	\N	95	66055	UROK	\N	\N
3524997	10857	1997-05-31	PRIJEM	\N	157	38332	UROK	\N	\N
3524998	10857	1997-06-30	PRIJEM	\N	64	3526	UROK	\N	\N
3524999	10857	1997-07-31	PRIJEM	\N	0	3512	UROK	\N	\N
3525000	10857	1997-09-30	PRIJEM	\N	13	22415	UROK	\N	\N
3525001	10857	1997-09-30	PRIJEM	\N	93	22403	UROK	\N	\N
3525002	10857	1997-10-31	PRIJEM	\N	10	3919	UROK	\N	\N
3525003	10857	1997-11-30	PRIJEM	\N	31	10445	UROK	\N	\N
3525004	10857	1997-12-31	PRIJEM	\N	86	12235	UROK	\N	\N
3525005	10857	1998-01-31	PRIJEM	\N	7	10396	UROK	\N	\N
3525006	10857	1998-02-28	PRIJEM	\N	166	13098	UROK	\N	\N
3525007	10857	1998-03-31	PRIJEM	\N	49	333	UROK	\N	\N
3525008	10857	1998-04-30	PRIJEM	\N	16	5350	UROK	\N	\N
3525009	10857	1998-05-31	PRIJEM	\N	26	9449	UROK	\N	\N
3525010	10857	1998-06-30	PRIJEM	\N	2	-1962	UROK	\N	\N
3525011	10857	1998-06-30	VYDAJ	VYBER	17	-1964	SANKC. UROK	\N	\N
3525012	10857	1998-07-31	PRIJEM	\N	60	29482	UROK	\N	\N
3525013	10857	1998-07-31	VYDAJ	VYBER	16	29466	SANKC. UROK	\N	\N
3525014	10857	1998-08-31	PRIJEM	\N	105	13918	UROK	\N	\N
3525015	10857	1998-09-30	PRIJEM	\N	47	45116	UROK	\N	\N
3525016	10857	1998-09-30	VYDAJ	VYBER	17	45068	SANKC. UROK	\N	\N
3525017	10857	1998-10-31	PRIJEM	\N	170	64279	UROK	\N	\N
3525018	10857	1998-11-30	PRIJEM	\N	43	1138	UROK	\N	\N
3525341	10884	1995-03-31	PRIJEM	\N	29	21753	UROK	\N	\N
3525342	10884	1995-04-30	PRIJEM	\N	109	34986	UROK	\N	\N
3525343	10884	1995-05-31	PRIJEM	\N	152	39662	UROK	\N	\N
3525344	10884	1995-06-30	PRIJEM	\N	176	47324	UROK	\N	\N
3525345	10884	1995-07-31	PRIJEM	\N	200	49649	UROK	\N	\N
3525346	10884	1995-08-31	PRIJEM	\N	179	28903	UROK	\N	\N
3525347	10884	1995-09-30	PRIJEM	\N	138	36016	UROK	\N	\N
3525348	10884	1995-10-31	PRIJEM	\N	155	38847	UROK	\N	\N
3525349	10884	1995-11-30	PRIJEM	\N	145	22853	UROK	\N	\N
3525350	10884	1995-12-31	PRIJEM	\N	113	27552	UROK	\N	\N
3525351	10884	1996-01-31	PRIJEM	\N	108	22035	UROK	\N	\N
3525352	10884	1996-02-29	PRIJEM	\N	114	34425	UROK	\N	\N
3525353	10884	1996-03-31	PRIJEM	\N	144	30590	UROK	\N	\N
3525354	10884	1996-04-30	PRIJEM	\N	143	38954	UROK	\N	\N
3525355	10884	1996-05-31	PRIJEM	\N	140	35815	UROK	\N	\N
3525356	10884	1996-06-30	PRIJEM	\N	161	43660	UROK	\N	\N
3525357	10884	1996-07-31	PRIJEM	\N	168	42449	UROK	\N	\N
3525358	10884	1996-08-31	PRIJEM	\N	198	53169	UROK	\N	\N
3525359	10884	1996-09-30	PRIJEM	\N	234	60924	UROK	\N	\N
3525360	10884	1996-10-31	PRIJEM	\N	234	54580	UROK	\N	\N
3525361	10884	1996-11-30	PRIJEM	\N	226	57327	UROK	\N	\N
3525362	10884	1996-12-31	PRIJEM	\N	216	57418	UROK	\N	\N
3525363	10884	1997-01-31	PRIJEM	\N	201	41141	UROK	\N	\N
3525364	10884	1997-02-28	PRIJEM	\N	189	51451	UROK	\N	\N
3525365	10884	1997-03-31	PRIJEM	\N	184	23258	UROK	\N	\N
3525366	10884	1997-04-30	PRIJEM	\N	145	43725	UROK	\N	\N
3525367	10884	1997-05-31	PRIJEM	\N	208	56255	UROK	\N	\N
3525368	10884	1997-06-30	PRIJEM	\N	147	23872	UROK	\N	\N
3525369	10884	1997-07-31	PRIJEM	\N	140	40933	UROK	\N	\N
3525370	10884	1997-08-31	PRIJEM	\N	196	53250	UROK	\N	\N
3525371	10884	1997-09-30	PRIJEM	\N	231	55703	UROK	\N	\N
3525372	10884	1997-10-31	PRIJEM	\N	239	52332	UROK	\N	\N
3525373	10884	1997-11-30	PRIJEM	\N	237	49797	UROK	\N	\N
3525374	10884	1997-12-31	PRIJEM	\N	251	60273	UROK	\N	\N
3525375	10884	1998-01-31	PRIJEM	\N	222	47316	UROK	\N	\N
3525376	10884	1998-02-28	PRIJEM	\N	173	44880	UROK	\N	\N
3525377	10884	1998-03-31	PRIJEM	\N	183	39033	UROK	\N	\N
3525378	10884	1998-04-30	PRIJEM	\N	238	67792	UROK	\N	\N
3525379	10884	1998-05-31	PRIJEM	\N	303	75272	UROK	\N	\N
3525380	10884	1998-06-30	PRIJEM	\N	226	27740	UROK	\N	\N
3525381	10884	1998-07-31	PRIJEM	\N	191	49153	UROK	\N	\N
3525382	10884	1998-08-31	PRIJEM	\N	294	81868	UROK	\N	\N
3525383	10884	1998-09-30	PRIJEM	\N	334	66195	UROK	\N	\N
3525384	10884	1998-10-31	PRIJEM	\N	321	64173	UROK	\N	\N
3525385	10884	1998-11-30	PRIJEM	\N	297	65254	UROK	\N	\N
3525386	10884	1998-12-31	PRIJEM	\N	291	83329	UROK	\N	\N
3525490	10904	1993-12-31	PRIJEM	\N	10	15542	UROK	\N	\N
3525491	10904	1994-01-31	PRIJEM	\N	16	20259	UROK	\N	\N
3525492	10904	1994-02-28	PRIJEM	\N	16	26721	UROK	\N	\N
3525493	10904	1994-03-31	PRIJEM	\N	19	28228	UROK	\N	\N
3525494	10904	1994-04-30	PRIJEM	\N	72	28820	UROK	\N	\N
3525495	10904	1994-05-31	PRIJEM	\N	117	30110	UROK	\N	\N
3525496	10904	1994-06-30	PRIJEM	\N	9	10157	UROK	\N	\N
3525497	10904	1994-06-30	VYDAJ	VYBER	6	10223	SANKC. UROK	\N	\N
3525498	10904	1994-07-31	PRIJEM	\N	39	15629	UROK	\N	\N
3525499	10904	1994-08-31	PRIJEM	\N	25	20968	UROK	\N	\N
3525500	10904	1994-09-30	PRIJEM	\N	88	25860	UROK	\N	\N
3525501	10904	1994-10-31	PRIJEM	\N	102	25429	UROK	\N	\N
3525502	10904	1994-11-30	PRIJEM	\N	38	28148	UROK	\N	\N
3525503	10904	1994-12-31	PRIJEM	\N	111	27316	UROK	\N	\N
3525504	10904	1995-01-31	PRIJEM	\N	80	16983	UROK	\N	\N
3525505	10904	1995-02-28	PRIJEM	\N	30	22947	UROK	\N	\N
3525506	10904	1995-03-31	PRIJEM	\N	36	24999	UROK	\N	\N
3525507	10904	1995-04-30	PRIJEM	\N	95	20426	UROK	\N	\N
3525508	10904	1995-05-31	PRIJEM	\N	38	22422	UROK	\N	\N
3525509	10904	1995-06-30	PRIJEM	\N	37	12936	UROK	\N	\N
3525510	10904	1995-07-31	PRIJEM	\N	51	18201	UROK	\N	\N
3525511	10904	1995-08-31	PRIJEM	\N	70	19045	UROK	\N	\N
3525512	10904	1995-09-30	PRIJEM	\N	41	22132	UROK	\N	\N
3525513	10904	1995-10-31	PRIJEM	\N	86	20551	UROK	\N	\N
3525514	10904	1995-11-30	PRIJEM	\N	84	22470	UROK	\N	\N
3525515	10904	1995-12-31	PRIJEM	\N	91	23519	UROK	\N	\N
3525516	10904	1996-01-31	PRIJEM	\N	39	-814	UROK	\N	\N
3525517	10904	1996-01-31	VYDAJ	VYBER	3	-821	SANKC. UROK	\N	\N
3525518	10904	1996-02-29	PRIJEM	\N	16	9086	UROK	\N	\N
3525519	10904	1996-03-31	PRIJEM	\N	29	9238	UROK	\N	\N
3525520	10904	1996-04-30	PRIJEM	\N	45	14719	UROK	\N	\N
3525521	10904	1996-05-31	PRIJEM	\N	72	22182	UROK	\N	\N
3525522	10904	1996-06-30	PRIJEM	\N	92	25184	UROK	\N	\N
3525523	10904	1996-07-31	PRIJEM	\N	93	23550	UROK	\N	\N
3525524	10904	1996-08-31	PRIJEM	\N	81	19878	UROK	\N	\N
3525525	10904	1996-09-30	PRIJEM	\N	71	14936	UROK	\N	\N
3525526	10904	1996-10-31	PRIJEM	\N	49	19725	UROK	\N	\N
3525527	10904	1996-11-30	PRIJEM	\N	77	20334	UROK	\N	\N
3525528	10904	1996-12-31	PRIJEM	\N	60	23315	UROK	\N	\N
3525529	10904	1997-01-31	PRIJEM	\N	29	7217	UROK	\N	\N
3525530	10904	1997-02-28	PRIJEM	\N	47	18045	UROK	\N	\N
3525531	10904	1997-03-31	PRIJEM	\N	66	17265	UROK	\N	\N
3525532	10904	1997-04-30	PRIJEM	\N	60	23099	UROK	\N	\N
3525533	10904	1997-05-31	PRIJEM	\N	63	23084	UROK	\N	\N
3525534	10904	1997-06-30	PRIJEM	\N	84	21546	UROK	\N	\N
3525535	10904	1997-07-31	PRIJEM	\N	64	24457	UROK	\N	\N
3525536	10904	1997-08-31	PRIJEM	\N	74	27804	UROK	\N	\N
3525537	10904	1997-09-30	PRIJEM	\N	75	28552	UROK	\N	\N
3525538	10904	1997-10-31	PRIJEM	\N	88	31519	UROK	\N	\N
3525539	10904	1997-11-30	PRIJEM	\N	113	29934	UROK	\N	\N
3525540	10904	1997-12-31	PRIJEM	\N	107	27839	UROK	\N	\N
3525541	10904	1998-01-31	PRIJEM	\N	83	11187	UROK	\N	\N
3525542	10904	1998-02-28	PRIJEM	\N	34	14995	UROK	\N	\N
3525543	10904	1998-03-31	PRIJEM	\N	59	18730	UROK	\N	\N
3525544	10904	1998-04-30	PRIJEM	\N	73	22049	UROK	\N	\N
3525545	10904	1998-05-31	PRIJEM	\N	86	26008	UROK	\N	\N
3525546	10904	1998-06-30	PRIJEM	\N	66	22500	UROK	\N	\N
3525547	10904	1998-07-31	PRIJEM	\N	81	24527	UROK	\N	\N
3525548	10904	1998-08-31	PRIJEM	\N	50	18528	UROK	\N	\N
3525549	10904	1998-09-30	PRIJEM	\N	47	15569	UROK	\N	\N
3525550	10904	1998-10-31	PRIJEM	\N	52	17054	UROK	\N	\N
3525551	10904	1998-11-30	PRIJEM	\N	33	17347	UROK	\N	\N
3525552	10904	1998-12-31	PRIJEM	\N	29	15526	UROK	\N	\N
3525553	10905	1996-12-31	PRIJEM	\N	34	22856	UROK	\N	\N
3525554	10905	1997-01-31	PRIJEM	\N	112	33115	UROK	\N	\N
3525555	10905	1997-02-28	PRIJEM	\N	145	38108	UROK	\N	\N
3525556	10905	1997-03-31	PRIJEM	\N	167	44123	UROK	\N	\N
3525557	10905	1997-04-30	PRIJEM	\N	194	41944	UROK	\N	\N
3525558	10905	1997-05-31	PRIJEM	\N	183	39219	UROK	\N	\N
3525559	10905	1997-06-30	PRIJEM	\N	186	40651	UROK	\N	\N
3525560	10905	1997-07-31	PRIJEM	\N	186	42950	UROK	\N	\N
3525561	10905	1997-08-31	PRIJEM	\N	189	42951	UROK	\N	\N
3525562	10905	1997-09-30	PRIJEM	\N	185	40859	UROK	\N	\N
3525563	10905	1997-10-31	PRIJEM	\N	182	41763	UROK	\N	\N
3525564	10905	1997-11-30	PRIJEM	\N	191	45477	UROK	\N	\N
3525565	10905	1997-12-31	PRIJEM	\N	207	46721	UROK	\N	\N
3525566	10905	1998-01-31	PRIJEM	\N	191	38494	UROK	\N	\N
3525567	10905	1998-02-28	PRIJEM	\N	200	49116	UROK	\N	\N
3525568	10905	1998-03-31	PRIJEM	\N	206	45305	UROK	\N	\N
3525569	10905	1998-04-30	PRIJEM	\N	203	47730	UROK	\N	\N
3525570	10905	1998-05-31	PRIJEM	\N	202	42294	UROK	\N	\N
3525571	10905	1998-06-30	PRIJEM	\N	161	26952	UROK	\N	\N
3525572	10905	1998-07-31	PRIJEM	\N	169	44743	UROK	\N	\N
3525573	10905	1998-08-31	PRIJEM	\N	215	52980	UROK	\N	\N
3525574	10905	1998-09-30	PRIJEM	\N	229	52231	UROK	\N	\N
3525575	10905	1998-10-31	PRIJEM	\N	237	57391	UROK	\N	\N
3525576	10905	1998-11-30	PRIJEM	\N	253	60766	UROK	\N	\N
3525577	10905	1998-12-31	PRIJEM	\N	275	64538	UROK	\N	\N
3525578	10906	1993-12-31	PRIJEM	\N	68	56206	UROK	\N	\N
3525579	10906	1994-02-28	PRIJEM	\N	81	68718	UROK	\N	\N
3525580	10906	1994-03-31	PRIJEM	\N	172	60293	UROK	\N	\N
3525581	10906	1994-04-30	PRIJEM	\N	210	31389	UROK	\N	\N
3525582	10906	1994-05-31	PRIJEM	\N	232	28660	UROK	\N	\N
3525583	10906	1994-06-30	PRIJEM	\N	116	26961	UROK	\N	\N
3525584	10906	1994-07-31	PRIJEM	\N	175	53420	UROK	\N	\N
3525585	10906	1994-08-31	PRIJEM	\N	180	36665	UROK	\N	\N
3525586	10906	1994-09-30	PRIJEM	\N	105	45254	UROK	\N	\N
3525587	10906	1994-10-31	PRIJEM	\N	77	31906	UROK	\N	\N
3525588	10906	1994-11-30	PRIJEM	\N	31	13905	UROK	\N	\N
3525589	10906	1994-12-31	PRIJEM	\N	53	15080	UROK	\N	\N
3525590	10906	1995-01-31	PRIJEM	\N	51	28160	UROK	\N	\N
3525591	10906	1995-01-31	VYDAJ	VYBER	2	28158	SANKC. UROK	\N	\N
3525592	10906	1995-02-28	PRIJEM	\N	104	65165	UROK	\N	\N
3525593	10906	1995-03-31	PRIJEM	\N	325	72053	UROK	\N	\N
3525594	10906	1995-04-30	PRIJEM	\N	296	81054	UROK	\N	\N
3525595	10906	1995-05-31	PRIJEM	\N	125	96681	UROK	\N	\N
3525596	10906	1995-06-30	PRIJEM	\N	282	62314	UROK	\N	\N
3525597	10906	1995-07-31	PRIJEM	\N	152	26903	UROK	\N	\N
3525598	10906	1995-08-31	PRIJEM	\N	146	66673	UROK	\N	\N
3525599	10906	1995-09-30	PRIJEM	\N	95	6864	UROK	\N	\N
3525600	10906	1995-10-31	PRIJEM	\N	21	47644	UROK	\N	\N
3525601	10906	1995-11-30	PRIJEM	\N	215	61514	UROK	\N	\N
3525602	10906	1995-12-31	PRIJEM	\N	134	34991	UROK	\N	\N
3525603	10906	1996-01-31	PRIJEM	\N	34	35619	UROK	\N	\N
3525604	10906	1996-02-29	PRIJEM	\N	117	31428	UROK	\N	\N
3525605	10906	1996-04-30	PRIJEM	\N	29	19864	UROK	\N	\N
3525606	10906	1996-05-31	PRIJEM	\N	25	15045	UROK	\N	\N
3525607	10906	1996-06-30	PRIJEM	\N	45	10862	UROK	\N	\N
3525608	10906	1996-07-31	PRIJEM	\N	30	17139	UROK	\N	\N
3525609	10906	1996-08-31	PRIJEM	\N	54	16008	UROK	\N	\N
3525610	10906	1996-09-30	PRIJEM	\N	47	12644	UROK	\N	\N
3525611	10906	1996-10-31	PRIJEM	\N	159	44971	UROK	\N	\N
3525612	10906	1996-11-30	PRIJEM	\N	164	27592	UROK	\N	\N
3525613	10906	1996-12-31	PRIJEM	\N	5	13626	UROK	\N	\N
3525614	10906	1997-01-31	PRIJEM	\N	175	54784	UROK	\N	\N
3525615	10906	1997-02-28	PRIJEM	\N	328	43928	UROK	\N	\N
3525616	10906	1997-03-31	PRIJEM	\N	158	37914	UROK	\N	\N
3525617	10906	1997-04-30	PRIJEM	\N	145	44714	UROK	\N	\N
3525618	10906	1997-05-31	PRIJEM	\N	301	58731	UROK	\N	\N
3525619	10906	1997-06-30	PRIJEM	\N	234	43172	UROK	\N	\N
3525620	10906	1997-07-31	PRIJEM	\N	256	55098	UROK	\N	\N
3525621	10906	1997-08-31	PRIJEM	\N	182	36249	UROK	\N	\N
3525622	10906	1997-10-31	PRIJEM	\N	169	61516	UROK	\N	\N
3525623	10906	1997-11-30	PRIJEM	\N	103	63117	UROK	\N	\N
3525624	10906	1997-12-31	PRIJEM	\N	225	58007	UROK	\N	\N
3525625	10906	1998-01-31	PRIJEM	\N	73	14865	UROK	\N	\N
3525626	10906	1998-02-28	PRIJEM	\N	32	13703	UROK	\N	\N
3525627	10906	1998-03-31	PRIJEM	\N	88	88691	UROK	\N	\N
3525628	10906	1998-04-30	PRIJEM	\N	412	56216	UROK	\N	\N
3525629	10906	1998-05-31	PRIJEM	\N	226	95126	UROK	\N	\N
3525630	10906	1998-06-30	PRIJEM	\N	105	60803	UROK	\N	\N
3525631	10906	1998-07-31	PRIJEM	\N	185	41331	UROK	\N	\N
3525632	10906	1998-09-30	PRIJEM	\N	55	46195	UROK	\N	\N
3525633	10906	1998-10-31	PRIJEM	\N	54	89596	UROK	\N	\N
3525634	10906	1998-11-30	PRIJEM	\N	81	57848	UROK	\N	\N
3525704	10911	1993-06-30	PRIJEM	\N	12	29035	UROK	\N	\N
3525705	10911	1993-07-31	PRIJEM	\N	125	37443	UROK	\N	\N
3525706	10911	1993-08-31	PRIJEM	\N	158	40682	UROK	\N	\N
3525707	10911	1993-09-30	PRIJEM	\N	171	43435	UROK	\N	\N
3525708	10911	1993-10-31	PRIJEM	\N	196	37175	UROK	\N	\N
3525709	10911	1993-11-30	PRIJEM	\N	180	37495	UROK	\N	\N
3525710	10911	1993-12-31	PRIJEM	\N	196	39873	UROK	\N	\N
3525711	10911	1994-01-31	PRIJEM	\N	114	21427	UROK	\N	\N
3525712	10911	1994-02-28	PRIJEM	\N	122	30189	UROK	\N	\N
3525713	10911	1994-03-31	PRIJEM	\N	134	27663	UROK	\N	\N
3525714	10911	1994-04-30	PRIJEM	\N	141	30243	UROK	\N	\N
3525715	10911	1994-05-31	PRIJEM	\N	152	34636	UROK	\N	\N
3525716	10911	1994-06-30	PRIJEM	\N	105	23521	UROK	\N	\N
3525717	10911	1994-07-31	PRIJEM	\N	125	20986	UROK	\N	\N
3525718	10911	1994-08-31	PRIJEM	\N	112	26991	UROK	\N	\N
3525719	10911	1994-09-30	PRIJEM	\N	127	24411	UROK	\N	\N
3525720	10911	1994-10-31	PRIJEM	\N	126	30730	UROK	\N	\N
3525721	10911	1994-11-30	PRIJEM	\N	149	35272	UROK	\N	\N
3525722	10911	1994-12-31	PRIJEM	\N	171	35377	UROK	\N	\N
3525723	10911	1995-01-31	PRIJEM	\N	134	21103	UROK	\N	\N
3525724	10911	1995-02-28	PRIJEM	\N	110	27506	UROK	\N	\N
3525725	10911	1995-03-31	PRIJEM	\N	138	34138	UROK	\N	\N
3525726	10911	1995-04-30	PRIJEM	\N	157	35888	UROK	\N	\N
3525727	10911	1995-05-31	PRIJEM	\N	164	37344	UROK	\N	\N
3525728	10911	1995-06-30	PRIJEM	\N	172	21350	UROK	\N	\N
3525729	10911	1995-07-31	PRIJEM	\N	116	30159	UROK	\N	\N
3525730	10911	1995-08-31	PRIJEM	\N	119	22171	UROK	\N	\N
3525731	10911	1995-09-30	PRIJEM	\N	119	31483	UROK	\N	\N
3525732	10911	1995-10-31	PRIJEM	\N	152	38028	UROK	\N	\N
3525733	10911	1995-11-30	PRIJEM	\N	166	37087	UROK	\N	\N
3525734	10911	1995-12-31	PRIJEM	\N	185	45406	UROK	\N	\N
3525735	10911	1996-01-31	PRIJEM	\N	127	23026	UROK	\N	\N
3525736	10911	1996-02-29	PRIJEM	\N	116	30335	UROK	\N	\N
3525737	10911	1996-03-31	PRIJEM	\N	144	36072	UROK	\N	\N
3525738	10911	1996-04-30	PRIJEM	\N	130	25549	UROK	\N	\N
3525739	10911	1996-05-31	PRIJEM	\N	133	33570	UROK	\N	\N
3525740	10911	1996-06-30	PRIJEM	\N	156	20933	UROK	\N	\N
3525741	10911	1996-07-31	PRIJEM	\N	115	31041	UROK	\N	\N
3525742	10911	1996-08-31	PRIJEM	\N	140	34974	UROK	\N	\N
3525743	10911	1996-09-30	PRIJEM	\N	145	34712	UROK	\N	\N
3525744	10911	1996-10-31	PRIJEM	\N	135	31340	UROK	\N	\N
3525745	10911	1996-11-30	PRIJEM	\N	122	21555	UROK	\N	\N
3525746	10911	1996-12-31	PRIJEM	\N	119	23852	UROK	\N	\N
3525747	10911	1997-01-31	PRIJEM	\N	104	21749	UROK	\N	\N
3525748	10911	1997-02-28	PRIJEM	\N	139	37380	UROK	\N	\N
3525749	10911	1997-03-31	PRIJEM	\N	135	22399	UROK	\N	\N
3525750	10911	1997-04-30	PRIJEM	\N	130	34122	UROK	\N	\N
3525751	10911	1997-05-31	PRIJEM	\N	168	25394	UROK	\N	\N
3525752	10911	1997-06-30	PRIJEM	\N	189	52217	UROK	\N	\N
3525753	10911	1997-07-31	PRIJEM	\N	174	32104	UROK	\N	\N
3525754	10911	1997-08-31	PRIJEM	\N	177	39489	UROK	\N	\N
3525755	10911	1997-09-30	PRIJEM	\N	159	40288	UROK	\N	\N
3525756	10911	1997-10-31	PRIJEM	\N	193	45921	UROK	\N	\N
3525757	10911	1997-11-30	PRIJEM	\N	199	44857	UROK	\N	\N
3525758	10911	1997-12-31	PRIJEM	\N	235	61073	UROK	\N	\N
3525759	10911	1998-01-31	PRIJEM	\N	152	22309	UROK	\N	\N
3525760	10911	1998-02-28	PRIJEM	\N	174	43423	UROK	\N	\N
3525761	10911	1998-03-31	PRIJEM	\N	205	49868	UROK	\N	\N
3525762	10911	1998-04-30	PRIJEM	\N	203	48491	UROK	\N	\N
3525763	10911	1998-05-31	PRIJEM	\N	209	52040	UROK	\N	\N
3525764	10911	1998-06-30	PRIJEM	\N	242	54695	UROK	\N	\N
3525765	10911	1998-07-31	PRIJEM	\N	168	34676	UROK	\N	\N
3525766	10911	1998-08-31	PRIJEM	\N	149	33751	UROK	\N	\N
3525767	10911	1998-09-30	PRIJEM	\N	145	28936	UROK	\N	\N
3525768	10911	1998-10-31	PRIJEM	\N	181	48056	UROK	\N	\N
3525769	10911	1998-11-30	PRIJEM	\N	217	45217	UROK	\N	\N
3525770	10911	1998-12-31	PRIJEM	\N	221	48019	UROK	\N	\N
3525771	10915	1997-03-31	PRIJEM	\N	35	17380	UROK	\N	\N
3525772	10915	1997-04-30	PRIJEM	\N	87	24612	UROK	\N	\N
3525773	10915	1997-05-31	PRIJEM	\N	113	29570	UROK	\N	\N
3525774	10915	1997-06-30	PRIJEM	\N	140	37378	UROK	\N	\N
3525775	10915	1997-07-31	PRIJEM	\N	153	34786	UROK	\N	\N
3525776	10915	1997-08-31	PRIJEM	\N	115	24159	UROK	\N	\N
3525777	10915	1997-09-30	PRIJEM	\N	87	22104	UROK	\N	\N
3525778	10915	1997-10-31	PRIJEM	\N	84	19646	UROK	\N	\N
3525779	10915	1997-11-30	PRIJEM	\N	69	17573	UROK	\N	\N
3525780	10915	1997-12-31	PRIJEM	\N	70	19524	UROK	\N	\N
3525781	10915	1998-01-31	PRIJEM	\N	84	19266	UROK	\N	\N
3525782	10915	1998-02-28	PRIJEM	\N	74	20104	UROK	\N	\N
3525783	10915	1998-03-31	PRIJEM	\N	71	18032	UROK	\N	\N
3525784	10915	1998-04-30	PRIJEM	\N	86	25176	UROK	\N	\N
3525785	10915	1998-05-31	PRIJEM	\N	104	29139	UROK	\N	\N
3525786	10915	1998-06-30	PRIJEM	\N	106	29685	UROK	\N	\N
3525787	10915	1998-07-31	PRIJEM	\N	99	23901	UROK	\N	\N
3525788	10915	1998-08-31	PRIJEM	\N	93	24412	UROK	\N	\N
3525789	10915	1998-09-30	PRIJEM	\N	99	26028	UROK	\N	\N
3525790	10915	1998-10-31	PRIJEM	\N	95	24939	UROK	\N	\N
3525791	10915	1998-11-30	PRIJEM	\N	101	26557	UROK	\N	\N
3525792	10915	1998-12-31	PRIJEM	\N	85	21182	UROK	\N	\N
3526009	10940	1993-10-31	PRIJEM	\N	68	26812	UROK	\N	\N
3526010	10940	1993-11-30	PRIJEM	\N	141	38198	UROK	\N	\N
3526011	10940	1993-12-31	PRIJEM	\N	189	49502	UROK	\N	\N
3526012	10940	1994-01-31	PRIJEM	\N	204	49051	UROK	\N	\N
3526013	10940	1994-02-28	PRIJEM	\N	192	40487	UROK	\N	\N
3526014	10940	1994-03-31	PRIJEM	\N	166	37172	UROK	\N	\N
3526015	10940	1994-04-30	PRIJEM	\N	148	33040	UROK	\N	\N
3526016	10940	1994-05-31	PRIJEM	\N	142	33001	UROK	\N	\N
3526017	10940	1994-06-30	PRIJEM	\N	162	39554	UROK	\N	\N
3526018	10940	1994-07-31	PRIJEM	\N	140	30054	UROK	\N	\N
3526019	10940	1994-08-31	PRIJEM	\N	124	29097	UROK	\N	\N
3526020	10940	1994-09-30	PRIJEM	\N	151	38768	UROK	\N	\N
3526021	10940	1994-10-31	PRIJEM	\N	189	46756	UROK	\N	\N
3526022	10940	1994-11-30	PRIJEM	\N	199	49074	UROK	\N	\N
3526023	10940	1994-12-31	PRIJEM	\N	234	60479	UROK	\N	\N
3526024	10940	1995-01-31	PRIJEM	\N	211	43870	UROK	\N	\N
3526025	10940	1995-02-28	PRIJEM	\N	195	48805	UROK	\N	\N
3526026	10940	1995-03-31	PRIJEM	\N	216	53640	UROK	\N	\N
3526027	10940	1995-04-30	PRIJEM	\N	221	54880	UROK	\N	\N
3526028	10940	1995-05-31	PRIJEM	\N	232	57632	UROK	\N	\N
3526029	10940	1995-06-30	PRIJEM	\N	162	31025	UROK	\N	\N
3526030	10940	1995-07-31	PRIJEM	\N	164	43108	UROK	\N	\N
3526031	10940	1995-08-31	PRIJEM	\N	187	47614	UROK	\N	\N
3526032	10940	1995-09-30	PRIJEM	\N	201	47395	UROK	\N	\N
3526033	10940	1995-10-31	PRIJEM	\N	197	49912	UROK	\N	\N
3526034	10940	1995-11-30	PRIJEM	\N	214	54145	UROK	\N	\N
3526035	10940	1995-12-31	PRIJEM	\N	259	68675	UROK	\N	\N
3526036	10940	1996-01-31	PRIJEM	\N	185	39439	UROK	\N	\N
3526037	10940	1996-02-29	PRIJEM	\N	193	49352	UROK	\N	\N
3526038	10940	1996-03-31	PRIJEM	\N	225	55316	UROK	\N	\N
3526039	10940	1996-04-30	PRIJEM	\N	223	55798	UROK	\N	\N
3526040	10940	1996-05-31	PRIJEM	\N	221	50259	UROK	\N	\N
3526041	10940	1996-06-30	PRIJEM	\N	270	56860	UROK	\N	\N
3526042	10940	1996-07-31	PRIJEM	\N	266	58465	UROK	\N	\N
3526043	10940	1996-08-31	PRIJEM	\N	272	57156	UROK	\N	\N
3526044	10940	1996-09-30	PRIJEM	\N	268	59643	UROK	\N	\N
3526045	10940	1996-10-31	PRIJEM	\N	273	57275	UROK	\N	\N
3526046	10940	1996-11-30	PRIJEM	\N	267	59762	UROK	\N	\N
3526047	10940	1996-12-31	PRIJEM	\N	302	60395	UROK	\N	\N
3526048	10940	1997-01-31	PRIJEM	\N	228	41602	UROK	\N	\N
3526049	10940	1997-02-28	PRIJEM	\N	202	46823	UROK	\N	\N
3526050	10940	1997-03-31	PRIJEM	\N	218	43554	UROK	\N	\N
3526051	10940	1997-04-30	PRIJEM	\N	215	50581	UROK	\N	\N
3526052	10940	1997-05-31	PRIJEM	\N	238	48231	UROK	\N	\N
3526053	10940	1997-06-30	PRIJEM	\N	259	49415	UROK	\N	\N
3526054	10940	1997-07-31	PRIJEM	\N	216	44163	UROK	\N	\N
3526055	10940	1997-08-31	PRIJEM	\N	195	43170	UROK	\N	\N
3526056	10940	1997-09-30	PRIJEM	\N	208	44651	UROK	\N	\N
3526057	10940	1997-10-31	PRIJEM	\N	183	43906	UROK	\N	\N
3526058	10940	1997-11-30	PRIJEM	\N	194	45913	UROK	\N	\N
3526059	10940	1997-12-31	PRIJEM	\N	228	46785	UROK	\N	\N
3526060	10940	1998-01-31	PRIJEM	\N	149	30667	UROK	\N	\N
3526061	10940	1998-02-28	PRIJEM	\N	153	37832	UROK	\N	\N
3526062	10940	1998-03-31	PRIJEM	\N	173	40017	UROK	\N	\N
3526063	10940	1998-04-30	PRIJEM	\N	180	39609	UROK	\N	\N
3526064	10940	1998-05-31	PRIJEM	\N	189	44811	UROK	\N	\N
3526065	10940	1998-06-30	PRIJEM	\N	194	48189	UROK	\N	\N
3526066	10940	1998-07-31	PRIJEM	\N	220	47221	UROK	\N	\N
3526067	10940	1998-08-31	PRIJEM	\N	199	48233	UROK	\N	\N
3526068	10940	1998-09-30	PRIJEM	\N	212	49097	UROK	\N	\N
3526069	10940	1998-10-31	PRIJEM	\N	219	49328	UROK	\N	\N
3526070	10940	1998-11-30	PRIJEM	\N	216	48016	UROK	\N	\N
3526071	10940	1998-12-31	PRIJEM	\N	245	58306	UROK	\N	\N
3526072	10942	1994-06-30	PRIJEM	\N	96	49361	UROK	\N	\N
3526073	10942	1994-07-31	PRIJEM	\N	237	69847	UROK	\N	\N
3526074	10942	1994-08-31	PRIJEM	\N	290	46237	UROK	\N	\N
3526075	10942	1994-09-30	PRIJEM	\N	249	57716	UROK	\N	\N
3526076	10942	1994-10-31	PRIJEM	\N	302	95802	UROK	\N	\N
3526077	10942	1994-11-30	PRIJEM	\N	335	82815	UROK	\N	\N
3526078	10942	1994-12-31	PRIJEM	\N	372	94178	UROK	\N	\N
3526079	10942	1995-01-31	PRIJEM	\N	132	19308	UROK	\N	\N
3526080	10942	1995-02-28	PRIJEM	\N	109	35853	UROK	\N	\N
3526081	10942	1995-03-31	PRIJEM	\N	259	63408	UROK	\N	\N
3526082	10942	1995-04-30	PRIJEM	\N	169	39207	UROK	\N	\N
3526083	10942	1995-05-31	PRIJEM	\N	88	21193	UROK	\N	\N
3526084	10942	1995-06-30	PRIJEM	\N	230	84431	UROK	\N	\N
3526085	10942	1995-07-31	PRIJEM	\N	314	62571	UROK	\N	\N
3526086	10942	1995-08-31	PRIJEM	\N	362	78682	UROK	\N	\N
3526087	10942	1995-09-30	PRIJEM	\N	310	50517	UROK	\N	\N
3526088	10942	1995-10-31	PRIJEM	\N	208	63335	UROK	\N	\N
3526089	10942	1995-11-30	PRIJEM	\N	260	55156	UROK	\N	\N
3526090	10942	1995-12-31	PRIJEM	\N	269	63669	UROK	\N	\N
3526091	10942	1996-01-31	PRIJEM	\N	178	101239	UROK	\N	\N
3526092	10942	1996-02-29	PRIJEM	\N	351	53135	UROK	\N	\N
3526093	10942	1996-03-31	PRIJEM	\N	179	45998	UROK	\N	\N
3526094	10942	1996-04-30	PRIJEM	\N	214	40159	UROK	\N	\N
3526095	10942	1996-05-31	PRIJEM	\N	133	33754	UROK	\N	\N
3526096	10942	1996-06-30	PRIJEM	\N	100	88621	UROK	\N	\N
3526097	10942	1996-07-31	PRIJEM	\N	323	50343	UROK	\N	\N
3526098	10942	1996-08-31	PRIJEM	\N	178	32303	UROK	\N	\N
3526099	10942	1996-09-30	PRIJEM	\N	99	20653	UROK	\N	\N
3526100	10942	1996-10-31	PRIJEM	\N	200	59618	UROK	\N	\N
3526101	10942	1996-11-30	PRIJEM	\N	188	31362	UROK	\N	\N
3526102	10942	1996-12-31	PRIJEM	\N	90	17808	UROK	\N	\N
3526103	10942	1997-01-31	PRIJEM	\N	115	26821	UROK	\N	\N
3526104	10942	1997-02-28	PRIJEM	\N	151	76784	UROK	\N	\N
3526105	10942	1997-03-31	PRIJEM	\N	334	68045	UROK	\N	\N
3526106	10942	1997-04-30	PRIJEM	\N	203	26874	UROK	\N	\N
3526107	10942	1997-05-31	PRIJEM	\N	68	11197	UROK	\N	\N
3526108	10942	1997-06-30	PRIJEM	\N	205	29970	UROK	\N	\N
3526109	10942	1997-07-31	PRIJEM	\N	139	66510	UROK	\N	\N
3526110	10942	1997-08-31	PRIJEM	\N	248	56088	UROK	\N	\N
3526111	10942	1997-09-30	PRIJEM	\N	176	26444	UROK	\N	\N
3526112	10942	1997-10-31	PRIJEM	\N	254	67590	UROK	\N	\N
3526113	10942	1997-11-30	PRIJEM	\N	362	47943	UROK	\N	\N
3526114	10942	1997-12-31	PRIJEM	\N	269	103292	UROK	\N	\N
3526115	10942	1998-01-31	PRIJEM	\N	339	51482	UROK	\N	\N
3526116	10942	1998-02-28	PRIJEM	\N	205	69420	UROK	\N	\N
3526117	10942	1998-03-31	PRIJEM	\N	215	36455	UROK	\N	\N
3526118	10942	1998-04-30	PRIJEM	\N	220	78970	UROK	\N	\N
3526119	10942	1998-05-31	PRIJEM	\N	357	123680	UROK	\N	\N
3526120	10942	1998-06-30	PRIJEM	\N	357	98840	UROK	\N	\N
3526121	10942	1998-07-31	PRIJEM	\N	322	79291	UROK	\N	\N
3526122	10942	1998-08-31	PRIJEM	\N	233	33542	UROK	\N	\N
3526123	10942	1998-09-30	PRIJEM	\N	93	17891	UROK	\N	\N
3526124	10942	1998-10-31	PRIJEM	\N	52	11413	UROK	\N	\N
3526125	10942	1998-11-30	PRIJEM	\N	46	42742	UROK	\N	\N
3526126	10942	1998-12-31	PRIJEM	\N	186	48417	UROK	\N	\N
3526216	10954	1996-08-31	PRIJEM	\N	12	21670	UROK	\N	\N
3526217	10954	1996-09-30	PRIJEM	\N	96	32224	UROK	\N	\N
3526218	10954	1996-10-31	PRIJEM	\N	136	34917	UROK	\N	\N
3526219	10954	1996-11-30	PRIJEM	\N	148	39523	UROK	\N	\N
3526220	10954	1996-12-31	PRIJEM	\N	210	43310	UROK	\N	\N
3526221	10954	1997-01-31	PRIJEM	\N	191	34444	UROK	\N	\N
3526222	10954	1997-02-28	PRIJEM	\N	182	41170	UROK	\N	\N
3526223	10954	1997-03-31	PRIJEM	\N	210	44323	UROK	\N	\N
3526224	10954	1997-04-30	PRIJEM	\N	211	49065	UROK	\N	\N
3526225	10954	1997-05-31	PRIJEM	\N	228	51124	UROK	\N	\N
3526226	10954	1997-06-30	PRIJEM	\N	238	44612	UROK	\N	\N
3526227	10954	1997-07-31	PRIJEM	\N	205	44349	UROK	\N	\N
3526228	10954	1997-08-31	PRIJEM	\N	201	42981	UROK	\N	\N
3526229	10954	1997-09-30	PRIJEM	\N	198	44510	UROK	\N	\N
3526230	10954	1997-10-31	PRIJEM	\N	190	38731	UROK	\N	\N
3526231	10954	1997-11-30	PRIJEM	\N	175	33837	UROK	\N	\N
3526232	10954	1997-12-31	PRIJEM	\N	171	33459	UROK	\N	\N
3526233	10954	1998-01-31	PRIJEM	\N	119	20629	UROK	\N	\N
3526234	10954	1998-02-28	PRIJEM	\N	117	28877	UROK	\N	\N
3526235	10954	1998-03-31	PRIJEM	\N	147	37656	UROK	\N	\N
3526236	10954	1998-04-30	PRIJEM	\N	172	39160	UROK	\N	\N
3526237	10954	1998-05-31	PRIJEM	\N	171	36662	UROK	\N	\N
3526238	10954	1998-06-30	PRIJEM	\N	168	38860	UROK	\N	\N
3526239	10954	1998-07-31	PRIJEM	\N	170	38062	UROK	\N	\N
3526240	10954	1998-08-31	PRIJEM	\N	166	35459	UROK	\N	\N
3526241	10954	1998-09-30	PRIJEM	\N	140	28931	UROK	\N	\N
3526242	10954	1998-10-31	PRIJEM	\N	126	26088	UROK	\N	\N
3526243	10954	1998-11-30	PRIJEM	\N	115	26874	UROK	\N	\N
3526244	10954	1998-12-31	PRIJEM	\N	172	43156	UROK	\N	\N
3526316	10963	1995-05-31	PRIJEM	\N	51	47575	UROK	\N	\N
3526317	10963	1995-06-30	PRIJEM	\N	198	36973	UROK	\N	\N
3526318	10963	1995-07-31	PRIJEM	\N	354	41887	UROK	\N	\N
3526319	10963	1995-08-31	PRIJEM	\N	148	27921	UROK	\N	\N
3526320	10963	1995-09-30	PRIJEM	\N	141	34840	UROK	\N	\N
3526321	10963	1995-10-31	PRIJEM	\N	192	69544	UROK	\N	\N
3526322	10963	1995-11-30	PRIJEM	\N	173	36640	UROK	\N	\N
3526323	10963	1995-12-31	PRIJEM	\N	234	44787	UROK	\N	\N
3526324	10963	1996-01-31	PRIJEM	\N	173	41615	UROK	\N	\N
3526325	10963	1996-02-29	PRIJEM	\N	227	64105	UROK	\N	\N
3526326	10963	1996-03-31	PRIJEM	\N	231	49358	UROK	\N	\N
3526327	10963	1996-04-30	PRIJEM	\N	162	31005	UROK	\N	\N
3526328	10963	1996-05-31	PRIJEM	\N	145	72981	UROK	\N	\N
3526329	10963	1996-06-30	PRIJEM	\N	315	63724	UROK	\N	\N
3526330	10963	1996-07-31	PRIJEM	\N	275	52208	UROK	\N	\N
3526331	10963	1996-08-31	PRIJEM	\N	160	30452	UROK	\N	\N
3526332	10963	1996-09-30	PRIJEM	\N	260	84991	UROK	\N	\N
3526333	10963	1996-10-31	PRIJEM	\N	267	53491	UROK	\N	\N
3526334	10963	1996-11-30	PRIJEM	\N	209	74293	UROK	\N	\N
3526335	10963	1996-12-31	PRIJEM	\N	214	44424	UROK	\N	\N
3526336	10963	1997-01-31	PRIJEM	\N	133	24725	UROK	\N	\N
3526337	10963	1997-02-28	PRIJEM	\N	122	44943	UROK	\N	\N
3526338	10963	1997-03-31	PRIJEM	\N	168	44103	UROK	\N	\N
3526339	10963	1997-04-30	PRIJEM	\N	155	33526	UROK	\N	\N
3526340	10963	1997-05-31	PRIJEM	\N	157	60722	UROK	\N	\N
3526341	10963	1997-06-30	PRIJEM	\N	262	42043	UROK	\N	\N
3526342	10963	1997-07-31	PRIJEM	\N	263	104910	UROK	\N	\N
3526343	10963	1997-08-31	PRIJEM	\N	412	96228	UROK	\N	\N
3526344	10963	1997-09-30	PRIJEM	\N	211	36715	UROK	\N	\N
3526345	10963	1997-10-31	PRIJEM	\N	146	34730	UROK	\N	\N
3526346	10963	1997-11-30	PRIJEM	\N	243	48211	UROK	\N	\N
3526347	10963	1997-12-31	PRIJEM	\N	237	58295	UROK	\N	\N
3526348	10963	1998-01-31	PRIJEM	\N	203	53707	UROK	\N	\N
3526349	10963	1998-02-28	PRIJEM	\N	202	45777	UROK	\N	\N
3526350	10963	1998-03-31	PRIJEM	\N	251	90993	UROK	\N	\N
3526351	10963	1998-04-30	PRIJEM	\N	242	82590	UROK	\N	\N
3526352	10963	1998-05-31	PRIJEM	\N	372	102323	UROK	\N	\N
3526353	10963	1998-06-30	PRIJEM	\N	331	76824	UROK	\N	\N
3526354	10963	1998-07-31	PRIJEM	\N	316	75282	UROK	\N	\N
3526355	10963	1998-08-31	PRIJEM	\N	324	101374	UROK	\N	\N
3526356	10963	1998-09-30	PRIJEM	\N	453	114367	UROK	\N	\N
3526357	10963	1998-10-31	PRIJEM	\N	249	41185	UROK	\N	\N
3526358	10963	1998-11-30	PRIJEM	\N	195	47100	UROK	\N	\N
3526359	10963	1998-12-31	PRIJEM	\N	292	79062	UROK	\N	\N
3526454	10973	1993-04-30	PRIJEM	\N	14	9311	UROK	\N	\N
3526455	10973	1993-05-31	PRIJEM	\N	123	41018	UROK	\N	\N
3526456	10973	1993-06-30	PRIJEM	\N	184	81724	UROK	\N	\N
3526457	10973	1993-07-31	PRIJEM	\N	234	40951	UROK	\N	\N
3526458	10973	1993-08-31	PRIJEM	\N	200	36724	UROK	\N	\N
3526459	10973	1993-09-30	PRIJEM	\N	167	56033	UROK	\N	\N
3526460	10973	1993-10-31	PRIJEM	\N	275	82732	UROK	\N	\N
3526461	10973	1993-11-30	PRIJEM	\N	340	84075	UROK	\N	\N
3526462	10973	1993-12-31	PRIJEM	\N	402	122098	UROK	\N	\N
3526463	10973	1994-01-31	PRIJEM	\N	209	30563	UROK	\N	\N
3526464	10973	1994-02-28	PRIJEM	\N	160	52098	UROK	\N	\N
3526465	10973	1994-03-31	PRIJEM	\N	236	61235	UROK	\N	\N
3526466	10973	1994-04-30	PRIJEM	\N	271	82495	UROK	\N	\N
3526467	10973	1994-05-31	PRIJEM	\N	252	48112	UROK	\N	\N
3526468	10973	1994-06-30	PRIJEM	\N	164	32920	UROK	\N	\N
3526469	10973	1994-07-31	PRIJEM	\N	115	24788	UROK	\N	\N
3526470	10973	1994-08-31	PRIJEM	\N	225	91458	UROK	\N	\N
3526471	10973	1994-09-30	PRIJEM	\N	320	88318	UROK	\N	\N
3526472	10973	1994-10-31	PRIJEM	\N	343	65782	UROK	\N	\N
3526473	10973	1994-11-30	PRIJEM	\N	249	54951	UROK	\N	\N
3526474	10973	1994-12-31	PRIJEM	\N	201	42828	UROK	\N	\N
3526475	10973	1995-01-31	PRIJEM	\N	186	51390	UROK	\N	\N
3526476	10973	1995-02-28	PRIJEM	\N	186	65820	UROK	\N	\N
3526477	10973	1995-03-31	PRIJEM	\N	302	93166	UROK	\N	\N
3526478	10973	1995-04-30	PRIJEM	\N	371	91811	UROK	\N	\N
3526479	10973	1995-05-31	PRIJEM	\N	274	81600	UROK	\N	\N
3526480	10973	1995-06-30	PRIJEM	\N	257	84264	UROK	\N	\N
3526481	10973	1995-07-31	PRIJEM	\N	290	65442	UROK	\N	\N
3526482	10973	1995-08-31	PRIJEM	\N	226	63144	UROK	\N	\N
3526483	10973	1995-09-30	PRIJEM	\N	290	107717	UROK	\N	\N
3526484	10973	1995-10-31	PRIJEM	\N	376	84665	UROK	\N	\N
3526485	10973	1995-11-30	PRIJEM	\N	326	92073	UROK	\N	\N
3526486	10973	1995-12-31	PRIJEM	\N	290	73089	UROK	\N	\N
3526487	10973	1996-01-31	PRIJEM	\N	249	24124	UROK	\N	\N
3526488	10973	1996-02-29	PRIJEM	\N	111	25476	UROK	\N	\N
3526489	10973	1996-03-31	PRIJEM	\N	104	33179	UROK	\N	\N
3526490	10973	1996-04-30	PRIJEM	\N	107	22239	UROK	\N	\N
3526491	10973	1996-05-31	PRIJEM	\N	160	30605	UROK	\N	\N
3526492	10973	1996-06-30	PRIJEM	\N	115	26710	UROK	\N	\N
3526493	10973	1996-07-31	PRIJEM	\N	137	53016	UROK	\N	\N
3526494	10973	1996-08-31	PRIJEM	\N	146	26316	UROK	\N	\N
3526495	10973	1996-09-30	PRIJEM	\N	107	23176	UROK	\N	\N
3526496	10973	1996-10-31	PRIJEM	\N	109	29544	UROK	\N	\N
3526497	10973	1996-11-30	PRIJEM	\N	69	14167	UROK	\N	\N
3526498	10973	1996-12-31	PRIJEM	\N	56	10976	UROK	\N	\N
3526499	10973	1997-01-31	PRIJEM	\N	65	19470	UROK	\N	\N
3526500	10973	1997-02-28	PRIJEM	\N	177	78520	UROK	\N	\N
3526501	10973	1997-03-31	PRIJEM	\N	142	24760	UROK	\N	\N
3526502	10973	1997-04-30	PRIJEM	\N	115	22351	UROK	\N	\N
3526503	10973	1997-05-31	PRIJEM	\N	163	34283	UROK	\N	\N
3526504	10973	1997-06-30	PRIJEM	\N	172	29646	UROK	\N	\N
3526505	10973	1997-07-31	PRIJEM	\N	132	42900	UROK	\N	\N
3526506	10973	1997-08-31	PRIJEM	\N	165	28819	UROK	\N	\N
3526507	10973	1997-09-30	PRIJEM	\N	117	28352	UROK	\N	\N
3526508	10973	1997-10-31	PRIJEM	\N	224	55786	UROK	\N	\N
3526509	10973	1997-11-30	PRIJEM	\N	370	52052	UROK	\N	\N
3526510	10973	1997-12-31	PRIJEM	\N	184	29922	UROK	\N	\N
3526511	10973	1998-01-31	PRIJEM	\N	96	21088	UROK	\N	\N
3526512	10973	1998-02-28	PRIJEM	\N	83	18541	UROK	\N	\N
3526513	10973	1998-03-31	PRIJEM	\N	166	105952	UROK	\N	\N
3526514	10973	1998-04-30	PRIJEM	\N	397	61430	UROK	\N	\N
3526515	10973	1998-05-31	PRIJEM	\N	276	60186	UROK	\N	\N
3526516	10973	1998-06-30	PRIJEM	\N	262	90944	UROK	\N	\N
3526517	10973	1998-07-31	PRIJEM	\N	267	36685	UROK	\N	\N
3526518	10973	1998-08-31	PRIJEM	\N	299	51679	UROK	\N	\N
3526519	10973	1998-09-30	PRIJEM	\N	232	30805	UROK	\N	\N
3526520	10973	1998-10-31	PRIJEM	\N	303	56628	UROK	\N	\N
3526521	10973	1998-11-30	PRIJEM	\N	197	34852	UROK	\N	\N
3526522	10973	1998-12-31	PRIJEM	\N	137	57638	UROK	\N	\N
3526804	11013	1993-03-31	PRIJEM	\N	77	35921	UROK	\N	\N
3526805	11013	1993-04-30	PRIJEM	\N	185	52050	UROK	\N	\N
3526806	11013	1993-05-31	PRIJEM	\N	233	59527	UROK	\N	\N
3526807	11013	1993-06-30	PRIJEM	\N	255	60848	UROK	\N	\N
3526808	11013	1993-07-31	PRIJEM	\N	208	42201	UROK	\N	\N
3526809	11013	1993-08-31	PRIJEM	\N	183	41143	UROK	\N	\N
3526810	11013	1993-09-30	PRIJEM	\N	230	64753	UROK	\N	\N
3526811	11013	1993-10-31	PRIJEM	\N	284	64316	UROK	\N	\N
3526812	11013	1993-11-30	PRIJEM	\N	282	72278	UROK	\N	\N
3526813	11013	1993-12-31	PRIJEM	\N	246	41836	UROK	\N	\N
3526814	11013	1994-01-31	PRIJEM	\N	124	21494	UROK	\N	\N
3526815	11013	1994-02-28	PRIJEM	\N	155	48928	UROK	\N	\N
3526816	11013	1994-03-31	PRIJEM	\N	218	57777	UROK	\N	\N
3526817	11013	1994-04-30	PRIJEM	\N	239	49683	UROK	\N	\N
3526818	11013	1994-05-31	PRIJEM	\N	190	41225	UROK	\N	\N
3526819	11013	1994-06-30	PRIJEM	\N	259	77286	UROK	\N	\N
3526820	11013	1994-07-31	PRIJEM	\N	236	36170	UROK	\N	\N
3526821	11013	1994-08-31	PRIJEM	\N	196	56130	UROK	\N	\N
3526822	11013	1994-09-30	PRIJEM	\N	225	56416	UROK	\N	\N
3526823	11013	1994-10-31	PRIJEM	\N	198	47609	UROK	\N	\N
3526824	11013	1994-11-30	PRIJEM	\N	206	42292	UROK	\N	\N
3526825	11013	1994-12-31	PRIJEM	\N	246	75741	UROK	\N	\N
3526826	11013	1995-01-31	PRIJEM	\N	235	51755	UROK	\N	\N
3526827	11013	1995-02-28	PRIJEM	\N	214	52349	UROK	\N	\N
3526828	11013	1995-03-31	PRIJEM	\N	241	61970	UROK	\N	\N
3526829	11013	1995-04-30	PRIJEM	\N	279	73429	UROK	\N	\N
3526830	11013	1995-05-31	PRIJEM	\N	307	77915	UROK	\N	\N
3526831	11013	1995-06-30	PRIJEM	\N	227	40244	UROK	\N	\N
3526832	11013	1995-07-31	PRIJEM	\N	225	63949	UROK	\N	\N
3526833	11013	1995-08-31	PRIJEM	\N	281	73210	UROK	\N	\N
3526834	11013	1995-09-30	PRIJEM	\N	261	71141	UROK	\N	\N
3526835	11013	1995-10-31	PRIJEM	\N	243	43962	UROK	\N	\N
3526836	11013	1995-11-30	PRIJEM	\N	233	65775	UROK	\N	\N
3526837	11013	1995-12-31	PRIJEM	\N	337	93135	UROK	\N	\N
3526838	11013	1996-01-31	PRIJEM	\N	301	49116	UROK	\N	\N
3526839	11013	1996-02-29	PRIJEM	\N	270	76766	UROK	\N	\N
3526840	11013	1996-03-31	PRIJEM	\N	329	60274	UROK	\N	\N
3526841	11013	1996-04-30	PRIJEM	\N	311	64965	UROK	\N	\N
3526842	11013	1996-05-31	PRIJEM	\N	328	65973	UROK	\N	\N
3526843	11013	1996-06-30	PRIJEM	\N	230	43005	UROK	\N	\N
3526844	11013	1996-07-31	PRIJEM	\N	217	53702	UROK	\N	\N
3526845	11013	1996-08-31	PRIJEM	\N	230	53313	UROK	\N	\N
3526846	11013	1996-09-30	PRIJEM	\N	271	61464	UROK	\N	\N
3526847	11013	1996-10-31	PRIJEM	\N	204	48458	UROK	\N	\N
3526848	11013	1996-11-30	PRIJEM	\N	215	47631	UROK	\N	\N
3526849	11013	1996-12-31	PRIJEM	\N	231	58020	UROK	\N	\N
3526850	11013	1997-01-31	PRIJEM	\N	201	35401	UROK	\N	\N
3526851	11013	1997-02-28	PRIJEM	\N	201	53482	UROK	\N	\N
3526852	11013	1997-03-31	PRIJEM	\N	266	51216	UROK	\N	\N
3526853	11013	1997-04-30	PRIJEM	\N	256	56051	UROK	\N	\N
3526854	11013	1997-05-31	PRIJEM	\N	275	50606	UROK	\N	\N
3526855	11013	1997-06-30	PRIJEM	\N	297	71505	UROK	\N	\N
3526856	11013	1997-07-31	PRIJEM	\N	325	71310	UROK	\N	\N
3526857	11013	1997-08-31	PRIJEM	\N	316	67672	UROK	\N	\N
3526858	11013	1997-09-30	PRIJEM	\N	293	52960	UROK	\N	\N
3526859	11013	1997-10-31	PRIJEM	\N	206	31480	UROK	\N	\N
3526860	11013	1997-11-30	PRIJEM	\N	183	51844	UROK	\N	\N
3526861	11013	1997-12-31	PRIJEM	\N	279	61325	UROK	\N	\N
3526862	11013	1998-01-31	PRIJEM	\N	209	41014	UROK	\N	\N
3526863	11013	1998-02-28	PRIJEM	\N	206	53800	UROK	\N	\N
3526864	11013	1998-03-31	PRIJEM	\N	256	61936	UROK	\N	\N
3526865	11013	1998-04-30	PRIJEM	\N	272	60989	UROK	\N	\N
3526866	11013	1998-05-31	PRIJEM	\N	250	54619	UROK	\N	\N
3526867	11013	1998-06-30	PRIJEM	\N	282	70002	UROK	\N	\N
3526868	11013	1998-07-31	PRIJEM	\N	272	42888	UROK	\N	\N
3526869	11013	1998-08-31	PRIJEM	\N	195	47463	UROK	\N	\N
3526870	11013	1998-09-30	PRIJEM	\N	194	48893	UROK	\N	\N
3526871	11013	1998-10-31	PRIJEM	\N	227	58779	UROK	\N	\N
3526872	11013	1998-11-30	PRIJEM	\N	220	51658	UROK	\N	\N
3526873	11013	1998-12-31	PRIJEM	\N	293	85132	UROK	\N	\N
3526874	11021	1993-08-31	PRIJEM	\N	40	32710	UROK	\N	\N
3526875	11021	1993-09-30	PRIJEM	\N	302	102977	UROK	\N	\N
3526876	11021	1993-10-31	PRIJEM	\N	312	104836	UROK	\N	\N
3526877	11021	1993-11-30	PRIJEM	\N	247	48576	UROK	\N	\N
3526878	11021	1993-12-31	PRIJEM	\N	127	32531	UROK	\N	\N
3526879	11021	1994-01-31	PRIJEM	\N	74	19767	UROK	\N	\N
3526880	11021	1994-01-31	VYDAJ	VYBER	3	65927	SANKC. UROK	\N	\N
3526881	11021	1994-02-28	PRIJEM	\N	236	71505	UROK	\N	\N
3526882	11021	1994-03-31	PRIJEM	\N	192	40865	UROK	\N	\N
3526883	11021	1994-04-30	PRIJEM	\N	223	56706	UROK	\N	\N
3526884	11021	1994-05-31	PRIJEM	\N	221	61936	UROK	\N	\N
3526885	11021	1994-06-30	PRIJEM	\N	160	30830	UROK	\N	\N
3526886	11021	1994-07-31	PRIJEM	\N	262	91682	UROK	\N	\N
3526887	11021	1994-08-31	PRIJEM	\N	132	38082	UROK	\N	\N
3526888	11021	1994-09-30	PRIJEM	\N	77	77655	UROK	\N	\N
3526889	11021	1994-10-31	PRIJEM	\N	223	88063	UROK	\N	\N
3526890	11021	1994-11-30	PRIJEM	\N	331	97987	UROK	\N	\N
3526891	11021	1994-12-31	PRIJEM	\N	291	54253	UROK	\N	\N
3526892	11021	1995-01-31	PRIJEM	\N	71	7577	UROK	\N	\N
3526893	11021	1995-02-28	PRIJEM	\N	28	10119	UROK	\N	\N
3526894	11021	1995-03-31	PRIJEM	\N	217	79794	UROK	\N	\N
3526895	11021	1995-04-30	PRIJEM	\N	162	75205	UROK	\N	\N
3526896	11021	1995-05-31	PRIJEM	\N	245	90976	UROK	\N	\N
3526897	11021	1995-06-30	PRIJEM	\N	355	87915	UROK	\N	\N
3526898	11021	1995-07-31	PRIJEM	\N	293	73760	UROK	\N	\N
3526899	11021	1995-08-31	PRIJEM	\N	295	71366	UROK	\N	\N
3526900	11021	1995-09-30	PRIJEM	\N	270	52681	UROK	\N	\N
3526901	11021	1995-10-31	PRIJEM	\N	188	43484	UROK	\N	\N
3526902	11021	1995-11-30	PRIJEM	\N	93	43010	UROK	\N	\N
3526903	11021	1995-12-31	PRIJEM	\N	30	30085	UROK	\N	\N
3526904	11021	1996-01-31	PRIJEM	\N	22	26709	UROK	\N	\N
3526905	11021	1996-02-29	PRIJEM	\N	29	45368	UROK	\N	\N
3526906	11021	1996-03-31	PRIJEM	\N	72	52416	UROK	\N	\N
3526907	11021	1996-04-30	PRIJEM	\N	150	56366	UROK	\N	\N
3526908	11021	1996-05-31	PRIJEM	\N	206	53422	UROK	\N	\N
3526909	11021	1996-06-30	PRIJEM	\N	136	35609	UROK	\N	\N
3526910	11021	1996-07-31	PRIJEM	\N	45	57669	UROK	\N	\N
3526911	11021	1996-08-31	PRIJEM	\N	196	80585	UROK	\N	\N
3526912	11021	1996-09-30	PRIJEM	\N	207	80172	UROK	\N	\N
3526913	11021	1996-10-31	PRIJEM	\N	288	94703	UROK	\N	\N
3526914	11021	1996-11-30	PRIJEM	\N	206	49854	UROK	\N	\N
3526915	11021	1996-12-31	PRIJEM	\N	219	68088	UROK	\N	\N
3526916	11021	1997-01-31	PRIJEM	\N	93	42336	UROK	\N	\N
3526917	11021	1997-02-28	PRIJEM	\N	112	41093	UROK	\N	\N
3526918	11021	1997-03-31	PRIJEM	\N	147	72614	UROK	\N	\N
3526919	11021	1997-04-30	PRIJEM	\N	66	61683	UROK	\N	\N
3526920	11021	1997-05-31	PRIJEM	\N	74	59111	UROK	\N	\N
3526921	11021	1997-06-30	PRIJEM	\N	149	49546	UROK	\N	\N
3526922	11021	1997-07-31	PRIJEM	\N	131	29845	UROK	\N	\N
3526923	11021	1997-08-31	PRIJEM	\N	45	35230	UROK	\N	\N
3526924	11021	1997-09-30	PRIJEM	\N	125	44760	UROK	\N	\N
3526925	11021	1997-10-31	PRIJEM	\N	192	96974	UROK	\N	\N
3526926	11021	1997-11-30	PRIJEM	\N	205	64210	UROK	\N	\N
3526927	11021	1997-12-31	PRIJEM	\N	104	51217	UROK	\N	\N
3526928	11021	1998-01-31	PRIJEM	\N	123	42464	UROK	\N	\N
3526929	11021	1998-02-28	PRIJEM	\N	108	67271	UROK	\N	\N
3526930	11021	1998-03-31	PRIJEM	\N	277	118921	UROK	\N	\N
3526931	11021	1998-04-30	PRIJEM	\N	192	97711	UROK	\N	\N
3526932	11021	1998-05-31	PRIJEM	\N	327	79354	UROK	\N	\N
3526933	11021	1998-06-30	PRIJEM	\N	307	141997	UROK	\N	\N
3526934	11021	1998-07-31	PRIJEM	\N	330	85112	UROK	\N	\N
3526935	11021	1998-08-31	PRIJEM	\N	273	57091	UROK	\N	\N
3526936	11021	1998-09-30	PRIJEM	\N	210	69598	UROK	\N	\N
3526937	11021	1998-10-31	PRIJEM	\N	203	90541	UROK	\N	\N
3526938	11021	1998-11-30	PRIJEM	\N	355	115204	UROK	\N	\N
3526939	11021	1998-12-31	PRIJEM	\N	228	108432	UROK	\N	\N
3526940	11027	1996-08-31	PRIJEM	\N	19	20244	UROK	\N	\N
3526941	11027	1996-09-30	PRIJEM	\N	95	30864	UROK	\N	\N
3526942	11027	1996-10-31	PRIJEM	\N	128	30717	UROK	\N	\N
3526943	11027	1996-11-30	PRIJEM	\N	130	32972	UROK	\N	\N
3526944	11027	1996-12-31	PRIJEM	\N	150	39259	UROK	\N	\N
3526945	11027	1997-01-31	PRIJEM	\N	143	24399	UROK	\N	\N
3526946	11027	1997-02-28	PRIJEM	\N	115	33709	UROK	\N	\N
3526947	11027	1997-03-31	PRIJEM	\N	146	36020	UROK	\N	\N
3526948	11027	1997-04-30	PRIJEM	\N	144	30422	UROK	\N	\N
3526949	11027	1997-05-31	PRIJEM	\N	138	31856	UROK	\N	\N
3526950	11027	1997-06-30	PRIJEM	\N	156	41921	UROK	\N	\N
3526951	11027	1997-07-31	PRIJEM	\N	115	34712	UROK	\N	\N
3526952	11027	1997-08-31	PRIJEM	\N	152	39559	UROK	\N	\N
3526953	11027	1997-09-30	PRIJEM	\N	170	42825	UROK	\N	\N
3526954	11027	1997-10-31	PRIJEM	\N	150	32503	UROK	\N	\N
3526955	11027	1997-11-30	PRIJEM	\N	149	39344	UROK	\N	\N
3526956	11027	1997-12-31	PRIJEM	\N	147	33196	UROK	\N	\N
3526957	11027	1998-01-31	PRIJEM	\N	139	33326	UROK	\N	\N
3526958	11027	1998-02-28	PRIJEM	\N	126	30606	UROK	\N	\N
3526959	11027	1998-03-31	PRIJEM	\N	110	22908	UROK	\N	\N
3526960	11027	1998-04-30	PRIJEM	\N	106	23309	UROK	\N	\N
3526961	11027	1998-05-31	PRIJEM	\N	108	28408	UROK	\N	\N
3526962	11027	1998-06-30	PRIJEM	\N	135	35747	UROK	\N	\N
3526963	11027	1998-07-31	PRIJEM	\N	143	33882	UROK	\N	\N
3526964	11027	1998-08-31	PRIJEM	\N	140	31725	UROK	\N	\N
3526965	11027	1998-09-30	PRIJEM	\N	131	24033	UROK	\N	\N
3526966	11027	1998-10-31	PRIJEM	\N	124	23763	UROK	\N	\N
3526967	11027	1998-11-30	PRIJEM	\N	145	44400	UROK	\N	\N
3526968	11027	1998-12-31	PRIJEM	\N	169	49771	UROK	\N	\N
3527039	11042	1995-02-28	PRIJEM	\N	4	36595	UROK	\N	\N
3527040	11042	1995-03-31	PRIJEM	\N	126	42312	UROK	\N	\N
3527041	11042	1995-04-30	PRIJEM	\N	178	51681	UROK	\N	\N
3527042	11042	1995-05-31	PRIJEM	\N	216	55488	UROK	\N	\N
3527043	11042	1995-06-30	PRIJEM	\N	227	30764	UROK	\N	\N
3527044	11042	1995-07-31	PRIJEM	\N	165	25544	UROK	\N	\N
3527045	11042	1995-08-31	PRIJEM	\N	180	37965	UROK	\N	\N
3527046	11042	1995-09-30	PRIJEM	\N	213	39285	UROK	\N	\N
3527047	11042	1995-10-31	PRIJEM	\N	202	35427	UROK	\N	\N
3527048	11042	1995-11-30	PRIJEM	\N	226	42294	UROK	\N	\N
3527049	11042	1995-12-31	PRIJEM	\N	265	25861	UROK	\N	\N
3527050	11042	1996-01-31	PRIJEM	\N	129	25799	UROK	\N	\N
3527051	11042	1996-02-29	PRIJEM	\N	178	35585	UROK	\N	\N
3527052	11042	1996-03-31	PRIJEM	\N	216	46310	UROK	\N	\N
3527053	11042	1996-04-30	PRIJEM	\N	208	41931	UROK	\N	\N
3527054	11042	1996-05-31	PRIJEM	\N	227	32493	UROK	\N	\N
3527055	11042	1996-06-30	PRIJEM	\N	245	40442	UROK	\N	\N
3527056	11042	1996-07-31	PRIJEM	\N	232	49982	UROK	\N	\N
3527057	11042	1996-08-31	PRIJEM	\N	262	54453	UROK	\N	\N
3527058	11042	1996-09-30	PRIJEM	\N	272	54134	UROK	\N	\N
3527059	11042	1996-10-31	PRIJEM	\N	275	57417	UROK	\N	\N
3527060	11042	1996-11-30	PRIJEM	\N	284	58509	UROK	\N	\N
3527061	11042	1996-12-31	PRIJEM	\N	312	54525	UROK	\N	\N
3527062	11042	1997-01-31	PRIJEM	\N	220	27254	UROK	\N	\N
3527063	11042	1997-02-28	PRIJEM	\N	176	40339	UROK	\N	\N
3527064	11042	1997-03-31	PRIJEM	\N	222	47669	UROK	\N	\N
3527065	11042	1997-04-30	PRIJEM	\N	250	54527	UROK	\N	\N
3527066	11042	1997-05-31	PRIJEM	\N	250	48686	UROK	\N	\N
3527067	11042	1997-06-30	PRIJEM	\N	245	32219	UROK	\N	\N
3527068	11042	1997-07-31	PRIJEM	\N	183	39010	UROK	\N	\N
3527069	11042	1997-08-31	PRIJEM	\N	209	44728	UROK	\N	\N
3527070	11042	1997-09-30	PRIJEM	\N	223	47859	UROK	\N	\N
3527071	11042	1997-10-31	PRIJEM	\N	233	50401	UROK	\N	\N
3527072	11042	1997-11-30	PRIJEM	\N	236	51145	UROK	\N	\N
3527073	11042	1997-12-31	PRIJEM	\N	233	39313	UROK	\N	\N
3527074	11042	1998-01-31	PRIJEM	\N	164	28885	UROK	\N	\N
3527075	11042	1998-02-28	PRIJEM	\N	174	41567	UROK	\N	\N
3527076	11042	1998-03-31	PRIJEM	\N	214	48189	UROK	\N	\N
3527077	11042	1998-04-30	PRIJEM	\N	223	49921	UROK	\N	\N
3527078	11042	1998-05-31	PRIJEM	\N	247	56876	UROK	\N	\N
3527079	11042	1998-06-30	PRIJEM	\N	275	50854	UROK	\N	\N
3527080	11042	1998-07-31	PRIJEM	\N	233	47359	UROK	\N	\N
3527081	11042	1998-08-31	PRIJEM	\N	232	54599	UROK	\N	\N
3527082	11042	1998-09-30	PRIJEM	\N	186	35231	UROK	\N	\N
3527083	11042	1998-10-31	PRIJEM	\N	165	39505	UROK	\N	\N
3527084	11042	1998-11-30	PRIJEM	\N	168	40730	UROK	\N	\N
3527085	11042	1998-12-31	PRIJEM	\N	208	45774	UROK	\N	\N
3527128	11053	1997-07-31	PRIJEM	\N	22	32486	UROK	\N	\N
3527129	11053	1997-08-31	PRIJEM	\N	198	72708	UROK	\N	\N
3527130	11053	1997-09-30	PRIJEM	\N	98	36190	UROK	\N	\N
3527131	11053	1997-10-31	PRIJEM	\N	22	10165	UROK	\N	\N
3527132	11053	1997-11-30	PRIJEM	\N	80	38752	UROK	\N	\N
3527133	11053	1997-12-31	PRIJEM	\N	11	6183	UROK	\N	\N
3527134	11053	1998-01-31	PRIJEM	\N	113	30423	UROK	\N	\N
3527135	11053	1998-02-28	PRIJEM	\N	121	27024	UROK	\N	\N
3527136	11053	1998-03-31	PRIJEM	\N	244	49747	UROK	\N	\N
3527137	11053	1998-04-30	PRIJEM	\N	473	83172	UROK	\N	\N
3527138	11053	1998-05-31	PRIJEM	\N	344	43598	UROK	\N	\N
3527139	11053	1998-06-30	PRIJEM	\N	138	60024	UROK	\N	\N
3527140	11053	1998-07-31	PRIJEM	\N	268	94348	UROK	\N	\N
3527141	11053	1998-08-31	PRIJEM	\N	314	48131	UROK	\N	\N
3527142	11053	1998-09-30	PRIJEM	\N	54	32531	UROK	\N	\N
3527143	11053	1998-10-31	PRIJEM	\N	194	68530	UROK	\N	\N
3527144	11053	1998-11-30	PRIJEM	\N	124	71622	UROK	\N	\N
3527145	11053	1998-12-31	PRIJEM	\N	269	48476	UROK	\N	\N
3527146	11054	1996-02-29	PRIJEM	\N	51	15343	UROK	\N	\N
3527147	11054	1996-03-31	PRIJEM	\N	130	35265	UROK	\N	\N
3527148	11054	1996-04-30	PRIJEM	\N	190	48347	UROK	\N	\N
3527149	11054	1996-05-31	PRIJEM	\N	213	52552	UROK	\N	\N
3527150	11054	1996-06-30	PRIJEM	\N	185	33669	UROK	\N	\N
3527151	11054	1996-07-31	PRIJEM	\N	77	21423	UROK	\N	\N
3527152	11054	1996-08-31	PRIJEM	\N	83	22362	UROK	\N	\N
3527153	11054	1996-09-30	PRIJEM	\N	100	27336	UROK	\N	\N
3527154	11054	1996-10-31	PRIJEM	\N	74	19855	UROK	\N	\N
3527155	11054	1996-11-30	PRIJEM	\N	87	24938	UROK	\N	\N
3527156	11054	1996-12-31	PRIJEM	\N	102	25299	UROK	\N	\N
3527157	11054	1997-01-31	PRIJEM	\N	90	21063	UROK	\N	\N
3527158	11054	1997-02-28	PRIJEM	\N	95	25432	UROK	\N	\N
3527159	11054	1997-03-31	PRIJEM	\N	112	27618	UROK	\N	\N
3527160	11054	1997-04-30	PRIJEM	\N	119	27012	UROK	\N	\N
3527161	11054	1997-05-31	PRIJEM	\N	101	24628	UROK	\N	\N
3527162	11054	1997-06-30	PRIJEM	\N	120	30567	UROK	\N	\N
3527163	11054	1997-07-31	PRIJEM	\N	128	33369	UROK	\N	\N
3527164	11054	1997-08-31	PRIJEM	\N	129	28899	UROK	\N	\N
3527165	11054	1997-09-30	PRIJEM	\N	124	31607	UROK	\N	\N
3527166	11054	1997-10-31	PRIJEM	\N	132	35013	UROK	\N	\N
3527167	11054	1997-11-30	PRIJEM	\N	157	40543	UROK	\N	\N
3527168	11054	1997-12-31	PRIJEM	\N	186	43633	UROK	\N	\N
3527169	11054	1998-01-31	PRIJEM	\N	161	25468	UROK	\N	\N
3527170	11054	1998-02-28	PRIJEM	\N	124	35766	UROK	\N	\N
3527171	11054	1998-03-31	PRIJEM	\N	136	32263	UROK	\N	\N
3527172	11054	1998-04-30	PRIJEM	\N	141	34659	UROK	\N	\N
3527173	11054	1998-05-31	PRIJEM	\N	157	40790	UROK	\N	\N
3527174	11054	1998-06-30	PRIJEM	\N	169	23140	UROK	\N	\N
3527175	11054	1998-07-31	PRIJEM	\N	118	34231	UROK	\N	\N
3527176	11054	1998-08-31	PRIJEM	\N	130	20674	UROK	\N	\N
3527177	11054	1998-09-30	PRIJEM	\N	109	31456	UROK	\N	\N
3527178	11054	1998-10-31	PRIJEM	\N	143	36273	UROK	\N	\N
3527179	11054	1998-11-30	PRIJEM	\N	170	44517	UROK	\N	\N
3527180	11054	1998-12-31	PRIJEM	\N	214	53050	UROK	\N	\N
3527294	11065	1993-04-30	PRIJEM	\N	34	18989	UROK	\N	\N
3527295	11065	1993-05-31	PRIJEM	\N	92	26137	UROK	\N	\N
3527296	11065	1993-06-30	PRIJEM	\N	120	32139	UROK	\N	\N
3527297	11065	1993-07-31	PRIJEM	\N	135	33129	UROK	\N	\N
3527298	11065	1993-08-31	PRIJEM	\N	149	35133	UROK	\N	\N
3527299	11065	1993-09-30	PRIJEM	\N	147	34020	UROK	\N	\N
3527300	11065	1993-10-31	PRIJEM	\N	150	31610	UROK	\N	\N
3527301	11065	1993-11-30	PRIJEM	\N	146	32997	UROK	\N	\N
3527302	11065	1993-12-31	PRIJEM	\N	164	37628	UROK	\N	\N
3527303	11065	1994-01-31	PRIJEM	\N	129	16598	UROK	\N	\N
3527304	11065	1994-02-28	PRIJEM	\N	103	26441	UROK	\N	\N
3527305	11065	1994-03-31	PRIJEM	\N	130	33912	UROK	\N	\N
3527306	11065	1994-04-30	PRIJEM	\N	153	34305	UROK	\N	\N
3527307	11065	1994-05-31	PRIJEM	\N	152	35198	UROK	\N	\N
3527308	11065	1994-06-30	PRIJEM	\N	152	30672	UROK	\N	\N
3527309	11065	1994-07-31	PRIJEM	\N	137	29904	UROK	\N	\N
3527310	11065	1994-08-31	PRIJEM	\N	131	30030	UROK	\N	\N
3527311	11065	1994-09-30	PRIJEM	\N	143	36269	UROK	\N	\N
3527312	11065	1994-10-31	PRIJEM	\N	150	36214	UROK	\N	\N
3527313	11065	1994-11-30	PRIJEM	\N	159	38968	UROK	\N	\N
3527314	11065	1994-12-31	PRIJEM	\N	174	41565	UROK	\N	\N
3527315	11065	1995-01-31	PRIJEM	\N	157	31817	UROK	\N	\N
3527316	11065	1995-02-28	PRIJEM	\N	147	35759	UROK	\N	\N
3527317	11065	1995-03-31	PRIJEM	\N	150	36305	UROK	\N	\N
3527318	11065	1995-04-30	PRIJEM	\N	150	34850	UROK	\N	\N
3527319	11065	1995-05-31	PRIJEM	\N	152	35598	UROK	\N	\N
3527320	11065	1995-06-30	PRIJEM	\N	153	37073	UROK	\N	\N
3527321	11065	1995-07-31	PRIJEM	\N	144	34112	UROK	\N	\N
3527322	11065	1995-08-31	PRIJEM	\N	150	36658	UROK	\N	\N
3527323	11065	1995-09-30	PRIJEM	\N	168	41321	UROK	\N	\N
3527324	11065	1995-10-31	PRIJEM	\N	178	43195	UROK	\N	\N
3527325	11065	1995-11-30	PRIJEM	\N	188	45878	UROK	\N	\N
3527326	11065	1995-12-31	PRIJEM	\N	219	54619	UROK	\N	\N
3527327	11065	1996-01-31	PRIJEM	\N	175	30290	UROK	\N	\N
3527328	11065	1996-02-29	PRIJEM	\N	147	36032	UROK	\N	\N
3527329	11065	1996-03-31	PRIJEM	\N	165	40492	UROK	\N	\N
3527330	11065	1996-04-30	PRIJEM	\N	182	44569	UROK	\N	\N
3527331	11065	1996-05-31	PRIJEM	\N	175	42040	UROK	\N	\N
3527332	11065	1996-06-30	PRIJEM	\N	186	43948	UROK	\N	\N
3527333	11065	1996-07-31	PRIJEM	\N	167	40111	UROK	\N	\N
3527334	11065	1996-08-31	PRIJEM	\N	154	29360	UROK	\N	\N
3527335	11065	1996-09-30	PRIJEM	\N	142	26197	UROK	\N	\N
3527336	11065	1996-10-31	PRIJEM	\N	132	30524	UROK	\N	\N
3527337	11065	1996-11-30	PRIJEM	\N	148	31168	UROK	\N	\N
3527338	11065	1996-12-31	PRIJEM	\N	170	31660	UROK	\N	\N
3527339	11065	1997-01-31	PRIJEM	\N	126	17581	UROK	\N	\N
3527340	11065	1997-02-28	PRIJEM	\N	94	21370	UROK	\N	\N
3527341	11065	1997-03-31	PRIJEM	\N	109	22275	UROK	\N	\N
3527342	11065	1997-04-30	PRIJEM	\N	105	21975	UROK	\N	\N
3527343	11065	1997-05-31	PRIJEM	\N	100	21270	UROK	\N	\N
3527344	11065	1997-06-30	PRIJEM	\N	101	21294	UROK	\N	\N
3527345	11065	1997-07-31	PRIJEM	\N	106	22495	UROK	\N	\N
3527346	11065	1997-08-31	PRIJEM	\N	104	19594	UROK	\N	\N
3527347	11065	1997-09-30	PRIJEM	\N	92	17081	UROK	\N	\N
3527348	11065	1997-10-31	PRIJEM	\N	95	26871	UROK	\N	\N
3527349	11065	1997-11-30	PRIJEM	\N	117	21184	UROK	\N	\N
3527350	11065	1997-12-31	PRIJEM	\N	107	20613	UROK	\N	\N
3527351	11065	1998-01-31	PRIJEM	\N	98	19607	UROK	\N	\N
3527352	11065	1998-02-28	PRIJEM	\N	99	26301	UROK	\N	\N
3527353	11065	1998-03-31	PRIJEM	\N	111	18507	UROK	\N	\N
3527354	11065	1998-04-30	PRIJEM	\N	100	29002	UROK	\N	\N
3527355	11065	1998-05-31	PRIJEM	\N	119	20917	UROK	\N	\N
3527356	11065	1998-06-30	PRIJEM	\N	101	19740	UROK	\N	\N
3527357	11065	1998-07-31	PRIJEM	\N	83	20063	UROK	\N	\N
3527358	11065	1998-08-31	PRIJEM	\N	83	18686	UROK	\N	\N
3527359	11065	1998-09-30	PRIJEM	\N	97	22123	UROK	\N	\N
3527360	11065	1998-10-31	PRIJEM	\N	98	19062	UROK	\N	\N
3527361	11065	1998-11-30	PRIJEM	\N	95	21197	UROK	\N	\N
3527362	11065	1998-12-31	PRIJEM	\N	137	37002	UROK	\N	\N
3527363	11069	1995-06-30	PRIJEM	\N	61	51482	UROK	\N	\N
3527364	11069	1995-07-31	PRIJEM	\N	325	97010	UROK	\N	\N
3527365	11069	1995-08-31	PRIJEM	\N	298	61755	UROK	\N	\N
3527366	11069	1995-09-30	PRIJEM	\N	180	35641	UROK	\N	\N
3527367	11069	1995-10-31	PRIJEM	\N	215	39120	UROK	\N	\N
3527368	11069	1995-11-30	PRIJEM	\N	126	29380	UROK	\N	\N
3527369	11069	1995-12-31	PRIJEM	\N	146	34523	UROK	\N	\N
3527370	11069	1996-01-31	PRIJEM	\N	184	26815	UROK	\N	\N
3527371	11069	1996-02-29	PRIJEM	\N	128	37832	UROK	\N	\N
3527372	11069	1996-03-31	PRIJEM	\N	113	24530	UROK	\N	\N
3527373	11069	1996-04-30	PRIJEM	\N	105	28520	UROK	\N	\N
3527374	11069	1996-05-31	PRIJEM	\N	120	30526	UROK	\N	\N
3527375	11069	1996-06-30	PRIJEM	\N	164	56848	UROK	\N	\N
3527376	11069	1996-07-31	PRIJEM	\N	227	44660	UROK	\N	\N
3527377	11069	1996-08-31	PRIJEM	\N	179	37325	UROK	\N	\N
3527378	11069	1996-09-30	PRIJEM	\N	137	25776	UROK	\N	\N
3527379	11069	1996-10-31	PRIJEM	\N	172	37715	UROK	\N	\N
3527380	11069	1996-11-30	PRIJEM	\N	154	35154	UROK	\N	\N
3527381	11069	1996-12-31	PRIJEM	\N	184	53375	UROK	\N	\N
3527382	11069	1997-01-31	PRIJEM	\N	162	28923	UROK	\N	\N
3527383	11069	1997-02-28	PRIJEM	\N	135	45721	UROK	\N	\N
3527384	11069	1997-03-31	PRIJEM	\N	158	34584	UROK	\N	\N
3527385	11069	1997-04-30	PRIJEM	\N	132	29820	UROK	\N	\N
3527386	11069	1997-05-31	PRIJEM	\N	126	31849	UROK	\N	\N
3527387	11069	1997-06-30	PRIJEM	\N	139	38529	UROK	\N	\N
3527388	11069	1997-07-31	PRIJEM	\N	263	54006	UROK	\N	\N
3527389	11069	1997-08-31	PRIJEM	\N	262	60199	UROK	\N	\N
3527390	11069	1997-09-30	PRIJEM	\N	215	45818	UROK	\N	\N
3527391	11069	1997-10-31	PRIJEM	\N	185	43406	UROK	\N	\N
3527392	11069	1997-11-30	PRIJEM	\N	164	39074	UROK	\N	\N
3527393	11069	1997-12-31	PRIJEM	\N	196	47191	UROK	\N	\N
3527394	11069	1998-01-31	PRIJEM	\N	208	34135	UROK	\N	\N
3527395	11069	1998-02-28	PRIJEM	\N	272	101286	UROK	\N	\N
3527396	11069	1998-03-31	PRIJEM	\N	333	65986	UROK	\N	\N
3527397	11069	1998-04-30	PRIJEM	\N	317	101807	UROK	\N	\N
3527398	11069	1998-05-31	PRIJEM	\N	351	67311	UROK	\N	\N
3527399	11069	1998-06-30	PRIJEM	\N	288	103462	UROK	\N	\N
3527400	11069	1998-07-31	PRIJEM	\N	326	62514	UROK	\N	\N
3527401	11069	1998-08-31	PRIJEM	\N	323	105097	UROK	\N	\N
3527402	11069	1998-09-30	PRIJEM	\N	282	69506	UROK	\N	\N
3527403	11069	1998-10-31	PRIJEM	\N	336	87931	UROK	\N	\N
3527404	11069	1998-11-30	PRIJEM	\N	303	55738	UROK	\N	\N
3527405	11069	1998-12-31	PRIJEM	\N	293	117211	UROK	\N	\N
3527479	11079	1995-11-30	PRIJEM	\N	137	49586	UROK	\N	\N
3527480	11079	1995-12-31	PRIJEM	\N	332	94442	UROK	\N	\N
3527481	11079	1996-01-31	PRIJEM	\N	441	68332	UROK	\N	\N
3527482	11079	1996-02-29	PRIJEM	\N	430	99111	UROK	\N	\N
3527483	11079	1996-03-31	PRIJEM	\N	321	61580	UROK	\N	\N
3527484	11079	1996-04-30	PRIJEM	\N	277	50522	UROK	\N	\N
3527485	11079	1996-05-31	PRIJEM	\N	245	53885	UROK	\N	\N
3527486	11079	1996-06-30	PRIJEM	\N	205	32350	UROK	\N	\N
3527487	11079	1996-07-31	PRIJEM	\N	258	75542	UROK	\N	\N
3527488	11079	1996-08-31	PRIJEM	\N	219	34716	UROK	\N	\N
3527489	11079	1996-09-30	PRIJEM	\N	275	82025	UROK	\N	\N
3527490	11079	1996-10-31	PRIJEM	\N	410	105769	UROK	\N	\N
3527491	11079	1996-11-30	PRIJEM	\N	403	89206	UROK	\N	\N
3527492	11079	1996-12-31	PRIJEM	\N	296	62488	UROK	\N	\N
3527493	11079	1997-01-31	PRIJEM	\N	207	41329	UROK	\N	\N
3527494	11079	1997-02-28	PRIJEM	\N	295	84258	UROK	\N	\N
3527495	11079	1997-03-31	PRIJEM	\N	372	92211	UROK	\N	\N
3527496	11079	1997-04-30	PRIJEM	\N	232	44578	UROK	\N	\N
3527497	11079	1997-05-31	PRIJEM	\N	299	85020	UROK	\N	\N
3527498	11079	1997-06-30	PRIJEM	\N	307	76445	UROK	\N	\N
3527499	11079	1997-07-31	PRIJEM	\N	397	104885	UROK	\N	\N
3527500	11079	1997-08-31	PRIJEM	\N	407	106335	UROK	\N	\N
3527501	11079	1997-09-30	PRIJEM	\N	338	67216	UROK	\N	\N
3527502	11079	1997-10-31	PRIJEM	\N	325	61833	UROK	\N	\N
3527503	11079	1997-11-30	PRIJEM	\N	355	72831	UROK	\N	\N
3527504	11079	1997-12-31	PRIJEM	\N	337	47899	UROK	\N	\N
3527505	11079	1998-01-31	PRIJEM	\N	211	48152	UROK	\N	\N
3527506	11079	1998-02-28	PRIJEM	\N	296	74291	UROK	\N	\N
3527507	11079	1998-03-31	PRIJEM	\N	295	60729	UROK	\N	\N
3527508	11079	1998-04-30	PRIJEM	\N	347	78119	UROK	\N	\N
3527509	11079	1998-05-31	PRIJEM	\N	369	52438	UROK	\N	\N
3527510	11079	1998-06-30	PRIJEM	\N	272	46919	UROK	\N	\N
3527511	11079	1998-07-31	PRIJEM	\N	302	76855	UROK	\N	\N
3527512	11079	1998-08-31	PRIJEM	\N	332	73521	UROK	\N	\N
3527513	11079	1998-09-30	PRIJEM	\N	370	87325	UROK	\N	\N
3527514	11079	1998-10-31	PRIJEM	\N	427	81887	UROK	\N	\N
3527515	11079	1998-11-30	PRIJEM	\N	339	69660	UROK	\N	\N
3527516	11079	1998-12-31	PRIJEM	\N	359	101757	UROK	\N	\N
3527667	11096	1997-01-31	PRIJEM	\N	78	25223	UROK	\N	\N
3527668	11096	1997-02-28	PRIJEM	\N	139	36207	UROK	\N	\N
3527669	11096	1997-03-31	PRIJEM	\N	153	37105	UROK	\N	\N
3527670	11096	1997-04-30	PRIJEM	\N	174	43724	UROK	\N	\N
3527671	11096	1997-05-31	PRIJEM	\N	156	30563	UROK	\N	\N
3527672	11096	1997-06-30	PRIJEM	\N	133	23793	UROK	\N	\N
3527673	11096	1997-07-31	PRIJEM	\N	91	19298	UROK	\N	\N
3527674	11096	1997-08-31	PRIJEM	\N	98	22411	UROK	\N	\N
3527675	11096	1997-09-30	PRIJEM	\N	100	21826	UROK	\N	\N
3527676	11096	1997-10-31	PRIJEM	\N	102	22442	UROK	\N	\N
3527677	11096	1997-11-30	PRIJEM	\N	112	19928	UROK	\N	\N
3527678	11096	1997-12-31	PRIJEM	\N	120	26746	UROK	\N	\N
3527679	11096	1998-01-31	PRIJEM	\N	140	15780	UROK	\N	\N
3527680	11096	1998-02-28	PRIJEM	\N	133	31628	UROK	\N	\N
3527681	11096	1998-03-31	PRIJEM	\N	148	29190	UROK	\N	\N
3527682	11096	1998-04-30	PRIJEM	\N	171	40176	UROK	\N	\N
3527683	11096	1998-05-31	PRIJEM	\N	198	45888	UROK	\N	\N
3527684	11096	1998-06-30	PRIJEM	\N	122	17467	UROK	\N	\N
3527685	11096	1998-07-31	PRIJEM	\N	146	31647	UROK	\N	\N
3527686	11096	1998-08-31	PRIJEM	\N	154	35256	UROK	\N	\N
3527687	11096	1998-09-30	PRIJEM	\N	186	43356	UROK	\N	\N
3527688	11096	1998-10-31	PRIJEM	\N	203	44673	UROK	\N	\N
3527689	11096	1998-11-30	PRIJEM	\N	201	53948	UROK	\N	\N
3527690	11096	1998-12-31	PRIJEM	\N	267	64992	UROK	\N	\N
3527782	11111	1993-05-31	PRIJEM	\N	36	38000	UROK	\N	\N
3527783	11111	1993-06-30	PRIJEM	\N	181	85765	UROK	\N	\N
3527784	11111	1993-07-31	PRIJEM	\N	311	83664	UROK	\N	\N
3527785	11111	1993-08-31	PRIJEM	\N	251	42064	UROK	\N	\N
3527786	11111	1993-09-30	PRIJEM	\N	138	27634	UROK	\N	\N
3527787	11111	1993-10-31	PRIJEM	\N	255	81841	UROK	\N	\N
3527788	11111	1993-11-30	PRIJEM	\N	272	47862	UROK	\N	\N
3527789	11111	1993-12-31	PRIJEM	\N	161	26172	UROK	\N	\N
3527790	11111	1994-01-31	PRIJEM	\N	101	22022	UROK	\N	\N
3527791	11111	1994-02-28	PRIJEM	\N	83	19150	UROK	\N	\N
3527792	11111	1994-03-31	PRIJEM	\N	78	20173	UROK	\N	\N
3527793	11111	1994-04-30	PRIJEM	\N	102	39242	UROK	\N	\N
3527794	11111	1994-05-31	PRIJEM	\N	137	29824	UROK	\N	\N
3527795	11111	1994-06-30	PRIJEM	\N	103	21973	UROK	\N	\N
3527796	11111	1994-07-31	PRIJEM	\N	90	22207	UROK	\N	\N
3527797	11111	1994-08-31	PRIJEM	\N	130	43549	UROK	\N	\N
3527798	11111	1994-09-30	PRIJEM	\N	162	22244	UROK	\N	\N
3527799	11111	1994-10-31	PRIJEM	\N	100	22188	UROK	\N	\N
3527800	11111	1994-11-30	PRIJEM	\N	88	20722	UROK	\N	\N
3527801	11111	1994-12-31	PRIJEM	\N	82	19049	UROK	\N	\N
3527802	11111	1995-01-31	PRIJEM	\N	156	33705	UROK	\N	\N
3527803	11111	1995-02-28	PRIJEM	\N	287	89179	UROK	\N	\N
3527804	11111	1995-03-31	PRIJEM	\N	384	129766	UROK	\N	\N
3527805	11111	1995-04-30	PRIJEM	\N	423	94814	UROK	\N	\N
3527806	11111	1995-05-31	PRIJEM	\N	368	68230	UROK	\N	\N
3527807	11111	1995-06-30	PRIJEM	\N	283	82648	UROK	\N	\N
3527808	11111	1995-07-31	PRIJEM	\N	275	59889	UROK	\N	\N
3527809	11111	1995-08-31	PRIJEM	\N	253	91596	UROK	\N	\N
3527810	11111	1995-09-30	PRIJEM	\N	255	52508	UROK	\N	\N
3527811	11111	1995-10-31	PRIJEM	\N	216	50860	UROK	\N	\N
3527812	11111	1995-11-30	PRIJEM	\N	159	31964	UROK	\N	\N
3527813	11111	1995-12-31	PRIJEM	\N	253	98902	UROK	\N	\N
3527814	11111	1996-01-31	PRIJEM	\N	270	38742	UROK	\N	\N
3527815	11111	1996-02-29	PRIJEM	\N	124	25210	UROK	\N	\N
3527816	11111	1996-03-31	PRIJEM	\N	86	18741	UROK	\N	\N
3527817	11111	1996-04-30	PRIJEM	\N	70	16356	UROK	\N	\N
3527818	11111	1996-05-31	PRIJEM	\N	75	19075	UROK	\N	\N
3527819	11111	1996-06-30	PRIJEM	\N	73	17294	UROK	\N	\N
3527820	11111	1996-07-31	PRIJEM	\N	79	20318	UROK	\N	\N
3527821	11111	1996-08-31	PRIJEM	\N	82	19945	UROK	\N	\N
3527822	11111	1996-09-30	PRIJEM	\N	92	23681	UROK	\N	\N
3527823	11111	1996-10-31	PRIJEM	\N	99	24025	UROK	\N	\N
3527824	11111	1996-11-30	PRIJEM	\N	98	20031	UROK	\N	\N
3527825	11111	1996-12-31	PRIJEM	\N	96	31371	UROK	\N	\N
3527826	11111	1997-01-31	PRIJEM	\N	148	34461	UROK	\N	\N
3527827	11111	1997-02-28	PRIJEM	\N	306	77004	UROK	\N	\N
3527828	11111	1997-03-31	PRIJEM	\N	217	44070	UROK	\N	\N
3527829	11111	1997-04-30	PRIJEM	\N	158	37378	UROK	\N	\N
3527830	11111	1997-05-31	PRIJEM	\N	361	53830	UROK	\N	\N
3527831	11111	1997-06-30	PRIJEM	\N	224	57731	UROK	\N	\N
3527832	11111	1997-07-31	PRIJEM	\N	273	63484	UROK	\N	\N
3527833	11111	1997-08-31	PRIJEM	\N	321	71199	UROK	\N	\N
3527834	11111	1997-09-30	PRIJEM	\N	396	94624	UROK	\N	\N
3527835	11111	1997-10-31	PRIJEM	\N	246	53371	UROK	\N	\N
3527836	11111	1997-11-30	PRIJEM	\N	211	57365	UROK	\N	\N
3527837	11111	1997-12-31	PRIJEM	\N	184	52334	UROK	\N	\N
3527838	11111	1998-01-31	PRIJEM	\N	184	39168	UROK	\N	\N
3527839	11111	1998-02-28	PRIJEM	\N	286	61985	UROK	\N	\N
3527840	11111	1998-03-31	PRIJEM	\N	274	68253	UROK	\N	\N
3527841	11111	1998-04-30	PRIJEM	\N	288	82771	UROK	\N	\N
3527842	11111	1998-05-31	PRIJEM	\N	316	77640	UROK	\N	\N
3527843	11111	1998-06-30	PRIJEM	\N	329	96629	UROK	\N	\N
3527844	11111	1998-07-31	PRIJEM	\N	365	71943	UROK	\N	\N
3527845	11111	1998-08-31	PRIJEM	\N	298	87215	UROK	\N	\N
3527846	11111	1998-09-30	PRIJEM	\N	355	84607	UROK	\N	\N
3527847	11111	1998-10-31	PRIJEM	\N	382	91871	UROK	\N	\N
3527848	11111	1998-11-30	PRIJEM	\N	369	75272	UROK	\N	\N
3527849	11111	1998-12-31	PRIJEM	\N	285	109173	UROK	\N	\N
3527850	11123	1996-09-30	PRIJEM	\N	72	56792	UROK	\N	\N
3527851	11123	1996-12-31	PRIJEM	\N	65	96632	UROK	\N	\N
3527852	11123	1997-01-31	PRIJEM	\N	23	72502	UROK	\N	\N
3527853	11123	1997-02-28	PRIJEM	\N	17	57543	UROK	\N	\N
3527854	11123	1997-03-31	PRIJEM	\N	212	29847	UROK	\N	\N
3527855	11123	1997-04-30	PRIJEM	\N	61	16985	UROK	\N	\N
3527856	11123	1997-05-31	PRIJEM	\N	68	14139	UROK	\N	\N
3527857	11123	1997-06-30	PRIJEM	\N	76	16963	UROK	\N	\N
3527858	11123	1997-07-31	PRIJEM	\N	50	6107	UROK	\N	\N
3527859	11123	1997-08-31	PRIJEM	\N	1	9044	UROK	\N	\N
3527860	11123	1997-09-30	PRIJEM	\N	31	40066	UROK	\N	\N
3527861	11123	1997-10-31	PRIJEM	\N	70	54326	UROK	\N	\N
3527862	11123	1997-11-30	PRIJEM	\N	88	7483	UROK	\N	\N
3527863	11123	1997-12-31	PRIJEM	\N	69	38962	UROK	\N	\N
3527864	11123	1998-01-31	PRIJEM	\N	16	152	UROK	\N	\N
3527865	11123	1998-01-31	VYDAJ	VYBER	3	221	SANKC. UROK	\N	\N
3527866	11123	1998-02-28	PRIJEM	\N	31	27148	UROK	\N	\N
3527867	11123	1998-02-28	VYDAJ	VYBER	6	27143	SANKC. UROK	\N	\N
3527868	11123	1998-03-31	PRIJEM	\N	94	38194	UROK	\N	\N
3527869	11123	1998-04-30	PRIJEM	\N	99	12276	UROK	\N	\N
3527870	11123	1998-06-30	PRIJEM	\N	2	12231	UROK	\N	\N
3527871	11123	1998-07-31	PRIJEM	\N	35	8423	UROK	\N	\N
3527872	11123	1998-08-31	PRIJEM	\N	17	3674	UROK	\N	\N
3527873	11123	1998-10-31	PRIJEM	\N	0	4055	UROK	\N	\N
3527874	11123	1998-11-30	PRIJEM	\N	11	2979	UROK	\N	\N
3527944	11135	1993-11-30	PRIJEM	\N	67	22036	UROK	\N	\N
3527945	11135	1993-12-31	PRIJEM	\N	137	36777	UROK	\N	\N
3527946	11135	1994-01-31	PRIJEM	\N	162	39808	UROK	\N	\N
3527947	11135	1994-02-28	PRIJEM	\N	184	45661	UROK	\N	\N
3527948	11135	1994-03-31	PRIJEM	\N	162	35919	UROK	\N	\N
3527949	11135	1994-04-30	PRIJEM	\N	136	28172	UROK	\N	\N
3527950	11135	1994-05-31	PRIJEM	\N	128	29918	UROK	\N	\N
3527951	11135	1994-06-30	PRIJEM	\N	170	43640	UROK	\N	\N
3527952	11135	1994-07-31	PRIJEM	\N	181	43139	UROK	\N	\N
3527953	11135	1994-08-31	PRIJEM	\N	170	39406	UROK	\N	\N
3527954	11135	1994-09-30	PRIJEM	\N	175	42398	UROK	\N	\N
3527955	11135	1994-10-31	PRIJEM	\N	179	42895	UROK	\N	\N
3527956	11135	1994-11-30	PRIJEM	\N	180	43692	UROK	\N	\N
3527957	11135	1994-12-31	PRIJEM	\N	196	48340	UROK	\N	\N
3527958	11135	1995-01-31	PRIJEM	\N	132	21030	UROK	\N	\N
3527959	11135	1995-02-28	PRIJEM	\N	128	32975	UROK	\N	\N
3527960	11135	1995-03-31	PRIJEM	\N	157	39050	UROK	\N	\N
3527961	11135	1995-04-30	PRIJEM	\N	171	41938	UROK	\N	\N
3527962	11135	1995-05-31	PRIJEM	\N	174	42329	UROK	\N	\N
3527963	11135	1995-06-30	PRIJEM	\N	175	44917	UROK	\N	\N
3527964	11135	1995-07-31	PRIJEM	\N	169	39123	UROK	\N	\N
3527965	11135	1995-08-31	PRIJEM	\N	164	40405	UROK	\N	\N
3527966	11135	1995-09-30	PRIJEM	\N	164	38566	UROK	\N	\N
3527967	11135	1995-10-31	PRIJEM	\N	157	34040	UROK	\N	\N
3527968	11135	1995-11-30	PRIJEM	\N	164	30621	UROK	\N	\N
3527969	11135	1995-12-31	PRIJEM	\N	169	34522	UROK	\N	\N
3527970	11135	1996-01-31	PRIJEM	\N	101	23640	UROK	\N	\N
3527971	11135	1996-02-29	PRIJEM	\N	122	27279	UROK	\N	\N
3527972	11135	1996-03-31	PRIJEM	\N	135	28232	UROK	\N	\N
3527973	11135	1996-04-30	PRIJEM	\N	139	29788	UROK	\N	\N
3527974	11135	1996-05-31	PRIJEM	\N	144	29749	UROK	\N	\N
3527975	11135	1996-06-30	PRIJEM	\N	165	33567	UROK	\N	\N
3527976	11135	1996-07-31	PRIJEM	\N	158	32843	UROK	\N	\N
3527977	11135	1996-08-31	PRIJEM	\N	152	29912	UROK	\N	\N
3527978	11135	1996-09-30	PRIJEM	\N	142	30371	UROK	\N	\N
3527979	11135	1996-10-31	PRIJEM	\N	148	35037	UROK	\N	\N
3527980	11135	1996-11-30	PRIJEM	\N	164	36718	UROK	\N	\N
3527981	11135	1996-12-31	PRIJEM	\N	184	37274	UROK	\N	\N
3527982	11135	1997-01-31	PRIJEM	\N	135	29606	UROK	\N	\N
3527983	11135	1997-02-28	PRIJEM	\N	150	39373	UROK	\N	\N
3527984	11135	1997-03-31	PRIJEM	\N	185	41049	UROK	\N	\N
3527985	11135	1997-04-30	PRIJEM	\N	176	33215	UROK	\N	\N
3527986	11135	1997-05-31	PRIJEM	\N	149	35474	UROK	\N	\N
3527987	11135	1997-06-30	PRIJEM	\N	181	42320	UROK	\N	\N
3527988	11135	1997-07-31	PRIJEM	\N	187	40597	UROK	\N	\N
3527989	11135	1997-08-31	PRIJEM	\N	186	45274	UROK	\N	\N
3527990	11135	1997-09-30	PRIJEM	\N	200	46224	UROK	\N	\N
3527991	11135	1997-10-31	PRIJEM	\N	204	46419	UROK	\N	\N
3527992	11135	1997-11-30	PRIJEM	\N	198	44107	UROK	\N	\N
3527993	11135	1997-12-31	PRIJEM	\N	219	48371	UROK	\N	\N
3527994	11135	1998-01-31	PRIJEM	\N	184	30445	UROK	\N	\N
3527995	11135	1998-02-28	PRIJEM	\N	158	44594	UROK	\N	\N
3527996	11135	1998-03-31	PRIJEM	\N	193	46817	UROK	\N	\N
3527997	11135	1998-04-30	PRIJEM	\N	193	45420	UROK	\N	\N
3527998	11135	1998-05-31	PRIJEM	\N	202	47913	UROK	\N	\N
3527999	11135	1998-06-30	PRIJEM	\N	188	37366	UROK	\N	\N
3528000	11135	1998-07-31	PRIJEM	\N	178	44334	UROK	\N	\N
3528001	11135	1998-08-31	PRIJEM	\N	203	49367	UROK	\N	\N
3528002	11135	1998-09-30	PRIJEM	\N	203	47361	UROK	\N	\N
3528003	11135	1998-10-31	PRIJEM	\N	202	50353	UROK	\N	\N
3528004	11135	1998-11-30	PRIJEM	\N	219	51562	UROK	\N	\N
3528005	11135	1998-12-31	PRIJEM	\N	236	53703	UROK	\N	\N
3528006	11138	1995-08-31	PRIJEM	\N	26	24380	UROK	\N	\N
3528007	11138	1995-09-30	PRIJEM	\N	154	70081	UROK	\N	\N
3528008	11138	1995-10-31	PRIJEM	\N	291	44573	UROK	\N	\N
3528009	11138	1995-11-30	PRIJEM	\N	311	75953	UROK	\N	\N
3528010	11138	1995-12-31	PRIJEM	\N	318	90110	UROK	\N	\N
3528011	11138	1996-01-31	PRIJEM	\N	248	32024	UROK	\N	\N
3528012	11138	1996-02-29	PRIJEM	\N	276	87758	UROK	\N	\N
3528013	11138	1996-03-31	PRIJEM	\N	368	94754	UROK	\N	\N
3528014	11138	1996-04-30	PRIJEM	\N	362	84230	UROK	\N	\N
3528015	11138	1996-05-31	PRIJEM	\N	353	77405	UROK	\N	\N
3528016	11138	1996-06-30	PRIJEM	\N	263	88969	UROK	\N	\N
3528017	11138	1996-07-31	PRIJEM	\N	365	84252	UROK	\N	\N
3528018	11138	1996-08-31	PRIJEM	\N	274	39752	UROK	\N	\N
3528019	11138	1996-09-30	PRIJEM	\N	283	100979	UROK	\N	\N
3528020	11138	1996-10-31	PRIJEM	\N	416	83017	UROK	\N	\N
3528021	11138	1996-11-30	PRIJEM	\N	231	28874	UROK	\N	\N
3528022	11138	1996-12-31	PRIJEM	\N	208	62653	UROK	\N	\N
3528023	11138	1997-01-31	PRIJEM	\N	138	69753	UROK	\N	\N
3528024	11138	1997-02-28	PRIJEM	\N	311	94072	UROK	\N	\N
3528025	11138	1997-03-31	PRIJEM	\N	345	87426	UROK	\N	\N
3528026	11138	1997-04-30	PRIJEM	\N	261	58277	UROK	\N	\N
3528027	11138	1997-05-31	PRIJEM	\N	268	59624	UROK	\N	\N
3528028	11138	1997-06-30	PRIJEM	\N	186	36883	UROK	\N	\N
3528029	11138	1997-07-31	PRIJEM	\N	185	52997	UROK	\N	\N
3528030	11138	1997-08-31	PRIJEM	\N	338	61377	UROK	\N	\N
3528031	11138	1997-09-30	PRIJEM	\N	291	105669	UROK	\N	\N
3528032	11138	1997-10-31	PRIJEM	\N	451	81763	UROK	\N	\N
3528033	11138	1997-11-30	PRIJEM	\N	236	35720	UROK	\N	\N
3528034	11138	1997-12-31	PRIJEM	\N	209	40934	UROK	\N	\N
3528035	11138	1998-01-31	PRIJEM	\N	159	44236	UROK	\N	\N
3528036	11138	1998-02-28	PRIJEM	\N	353	71719	UROK	\N	\N
3528037	11138	1998-03-31	PRIJEM	\N	294	82397	UROK	\N	\N
3528038	11138	1998-04-30	PRIJEM	\N	303	98457	UROK	\N	\N
3528039	11138	1998-05-31	PRIJEM	\N	460	117113	UROK	\N	\N
3528040	11138	1998-06-30	PRIJEM	\N	394	62677	UROK	\N	\N
3528041	11138	1998-07-31	PRIJEM	\N	371	100911	UROK	\N	\N
3528042	11138	1998-08-31	PRIJEM	\N	334	106194	UROK	\N	\N
3528043	11138	1998-09-30	PRIJEM	\N	339	98500	UROK	\N	\N
3528044	11138	1998-10-31	PRIJEM	\N	312	69981	UROK	\N	\N
3528045	11138	1998-11-30	PRIJEM	\N	204	54142	UROK	\N	\N
3528046	11138	1998-12-31	PRIJEM	\N	193	56023	UROK	\N	\N
3528047	11141	1997-03-31	PRIJEM	\N	65	25412	UROK	\N	\N
3528048	11141	1997-04-30	PRIJEM	\N	144	41012	UROK	\N	\N
3528049	11141	1997-05-31	PRIJEM	\N	272	96731	UROK	\N	\N
3528050	11141	1997-06-30	PRIJEM	\N	182	21741	UROK	\N	\N
3528051	11141	1997-07-31	PRIJEM	\N	103	26715	UROK	\N	\N
3528052	11141	1997-08-31	PRIJEM	\N	223	52846	UROK	\N	\N
3528053	11141	1997-09-30	PRIJEM	\N	298	80916	UROK	\N	\N
3528054	11141	1997-10-31	PRIJEM	\N	315	85615	UROK	\N	\N
3528055	11141	1997-11-30	PRIJEM	\N	315	85062	UROK	\N	\N
3528056	11141	1997-12-31	PRIJEM	\N	233	34637	UROK	\N	\N
3528057	11141	1998-01-31	PRIJEM	\N	234	51168	UROK	\N	\N
3528058	11141	1998-02-28	PRIJEM	\N	265	89481	UROK	\N	\N
3528059	11141	1998-03-31	PRIJEM	\N	310	66416	UROK	\N	\N
3528060	11141	1998-04-30	PRIJEM	\N	356	51590	UROK	\N	\N
3528061	11141	1998-05-31	PRIJEM	\N	156	36271	UROK	\N	\N
3528062	11141	1998-06-30	PRIJEM	\N	190	45186	UROK	\N	\N
3528063	11141	1998-07-31	PRIJEM	\N	311	71180	UROK	\N	\N
3528064	11141	1998-08-31	PRIJEM	\N	266	60071	UROK	\N	\N
3528065	11141	1998-09-30	PRIJEM	\N	185	36581	UROK	\N	\N
3528066	11141	1998-10-31	PRIJEM	\N	189	50014	UROK	\N	\N
3528067	11141	1998-11-30	PRIJEM	\N	240	94385	UROK	\N	\N
3528068	11141	1998-12-31	PRIJEM	\N	462	92960	UROK	\N	\N
3528390	11186	1994-12-31	PRIJEM	\N	43	40213	UROK	\N	\N
3528391	11186	1995-01-31	PRIJEM	\N	182	52642	UROK	\N	\N
3528392	11186	1995-02-28	PRIJEM	\N	223	56812	UROK	\N	\N
3528393	11186	1995-03-31	PRIJEM	\N	244	64003	UROK	\N	\N
3528394	11186	1995-04-30	PRIJEM	\N	310	59849	UROK	\N	\N
3528395	11186	1995-05-31	PRIJEM	\N	286	57058	UROK	\N	\N
3528396	11186	1995-06-30	PRIJEM	\N	269	33433	UROK	\N	\N
3528397	11186	1995-07-31	PRIJEM	\N	180	39275	UROK	\N	\N
3528398	11186	1995-08-31	PRIJEM	\N	217	47815	UROK	\N	\N
3528399	11186	1995-09-30	PRIJEM	\N	233	49871	UROK	\N	\N
3528400	11186	1995-10-31	PRIJEM	\N	244	52837	UROK	\N	\N
3528401	11186	1995-11-30	PRIJEM	\N	240	51700	UROK	\N	\N
3528402	11186	1995-12-31	PRIJEM	\N	211	35356	UROK	\N	\N
3528403	11186	1996-01-31	PRIJEM	\N	148	31726	UROK	\N	\N
3528404	11186	1996-02-29	PRIJEM	\N	182	43930	UROK	\N	\N
3528405	11186	1996-03-31	PRIJEM	\N	198	32394	UROK	\N	\N
3528406	11186	1996-04-30	PRIJEM	\N	186	40622	UROK	\N	\N
3528407	11186	1996-05-31	PRIJEM	\N	201	44569	UROK	\N	\N
3528408	11186	1996-06-30	PRIJEM	\N	243	58037	UROK	\N	\N
3528409	11186	1996-07-31	PRIJEM	\N	245	40022	UROK	\N	\N
3528410	11186	1996-08-31	PRIJEM	\N	198	45321	UROK	\N	\N
3528411	11186	1996-09-30	PRIJEM	\N	216	53260	UROK	\N	\N
3528412	11186	1996-10-31	PRIJEM	\N	233	54874	UROK	\N	\N
3528413	11186	1996-11-30	PRIJEM	\N	238	57393	UROK	\N	\N
3528414	11186	1996-12-31	PRIJEM	\N	252	59850	UROK	\N	\N
3528415	11186	1997-01-31	PRIJEM	\N	221	42052	UROK	\N	\N
3528416	11186	1997-02-28	PRIJEM	\N	202	50535	UROK	\N	\N
3528417	11186	1997-03-31	PRIJEM	\N	233	55749	UROK	\N	\N
3528418	11186	1997-04-30	PRIJEM	\N	253	63583	UROK	\N	\N
3528419	11186	1997-05-31	PRIJEM	\N	324	66888	UROK	\N	\N
3528420	11186	1997-06-30	PRIJEM	\N	260	55753	UROK	\N	\N
3528421	11186	1997-07-31	PRIJEM	\N	244	61478	UROK	\N	\N
3528422	11186	1997-08-31	PRIJEM	\N	244	58103	UROK	\N	\N
3528423	11186	1997-09-30	PRIJEM	\N	208	46392	UROK	\N	\N
3528424	11186	1997-10-31	PRIJEM	\N	192	45165	UROK	\N	\N
3528425	11186	1997-11-30	PRIJEM	\N	271	72517	UROK	\N	\N
3528426	11186	1997-12-31	PRIJEM	\N	326	77547	UROK	\N	\N
3528427	11186	1998-01-31	PRIJEM	\N	273	43201	UROK	\N	\N
3528428	11186	1998-02-28	PRIJEM	\N	255	67337	UROK	\N	\N
3528429	11186	1998-03-31	PRIJEM	\N	344	88662	UROK	\N	\N
3528430	11186	1998-04-30	PRIJEM	\N	270	52413	UROK	\N	\N
3528431	11186	1998-05-31	PRIJEM	\N	294	77689	UROK	\N	\N
3528432	11186	1998-06-30	PRIJEM	\N	300	67193	UROK	\N	\N
3528433	11186	1998-07-31	PRIJEM	\N	352	91627	UROK	\N	\N
3528434	11186	1998-08-31	PRIJEM	\N	265	49973	UROK	\N	\N
3528435	11186	1998-09-30	PRIJEM	\N	318	87072	UROK	\N	\N
3528436	11186	1998-10-31	PRIJEM	\N	407	104060	UROK	\N	\N
3528437	11186	1998-11-30	PRIJEM	\N	376	88717	UROK	\N	\N
3528438	11186	1998-12-31	PRIJEM	\N	358	84780	UROK	\N	\N
3528662	11231	1997-02-28	PRIJEM	\N	122	45665	UROK	\N	\N
3528663	11231	1997-03-31	PRIJEM	\N	289	80796	UROK	\N	\N
3528664	11231	1997-04-30	PRIJEM	\N	389	100028	UROK	\N	\N
3528665	11231	1997-05-31	PRIJEM	\N	294	57166	UROK	\N	\N
3528666	11231	1997-06-30	PRIJEM	\N	288	62322	UROK	\N	\N
3528667	11231	1997-07-31	PRIJEM	\N	251	54586	UROK	\N	\N
3528668	11231	1997-08-31	PRIJEM	\N	260	67162	UROK	\N	\N
3528669	11231	1997-09-30	PRIJEM	\N	234	43003	UROK	\N	\N
3528670	11231	1997-10-31	PRIJEM	\N	252	62372	UROK	\N	\N
3528671	11231	1997-11-30	PRIJEM	\N	228	57711	UROK	\N	\N
3528672	11231	1997-12-31	PRIJEM	\N	295	65809	UROK	\N	\N
3528673	11231	1998-01-31	PRIJEM	\N	119	17671	UROK	\N	\N
3528674	11231	1998-02-28	PRIJEM	\N	172	50919	UROK	\N	\N
3528675	11231	1998-03-31	PRIJEM	\N	209	47657	UROK	\N	\N
3528676	11231	1998-04-30	PRIJEM	\N	149	40160	UROK	\N	\N
3528677	11231	1998-05-31	PRIJEM	\N	173	50366	UROK	\N	\N
3528678	11231	1998-06-30	PRIJEM	\N	307	85470	UROK	\N	\N
3528679	11231	1998-07-31	PRIJEM	\N	319	46850	UROK	\N	\N
3528680	11231	1998-08-31	PRIJEM	\N	175	30593	UROK	\N	\N
3528681	11231	1998-09-30	PRIJEM	\N	182	20710	UROK	\N	\N
3528682	11231	1998-10-31	PRIJEM	\N	151	24737	UROK	\N	\N
3528683	11231	1998-11-30	PRIJEM	\N	167	29220	UROK	\N	\N
3528684	11231	1998-12-31	PRIJEM	\N	249	70406	UROK	\N	\N
3528706	11244	1997-02-28	PRIJEM	\N	69	25921	UROK	\N	\N
3528707	11244	1997-03-31	PRIJEM	\N	160	41408	UROK	\N	\N
3528708	11244	1997-04-30	PRIJEM	\N	173	42274	UROK	\N	\N
3528709	11244	1997-05-31	PRIJEM	\N	180	72158	UROK	\N	\N
3528710	11244	1997-06-30	PRIJEM	\N	266	75499	UROK	\N	\N
3528711	11244	1997-07-31	PRIJEM	\N	189	42811	UROK	\N	\N
3528712	11244	1997-08-31	PRIJEM	\N	111	15553	UROK	\N	\N
3528713	11244	1997-09-30	PRIJEM	\N	151	30216	UROK	\N	\N
3528714	11244	1997-10-31	PRIJEM	\N	112	77092	UROK	\N	\N
3528715	11244	1997-11-30	PRIJEM	\N	311	85762	UROK	\N	\N
3528716	11244	1997-12-31	PRIJEM	\N	285	102947	UROK	\N	\N
3528717	11244	1998-01-31	PRIJEM	\N	203	24979	UROK	\N	\N
3528718	11244	1998-02-28	PRIJEM	\N	52	2971	UROK	\N	\N
3528719	11244	1998-03-31	PRIJEM	\N	47	9492	UROK	\N	\N
3528720	11244	1998-04-30	PRIJEM	\N	55	16598	UROK	\N	\N
3528721	11244	1998-05-31	PRIJEM	\N	103	69850	UROK	\N	\N
3528722	11244	1998-06-30	PRIJEM	\N	212	44451	UROK	\N	\N
3528723	11244	1998-07-31	PRIJEM	\N	189	41597	UROK	\N	\N
3528724	11244	1998-08-31	PRIJEM	\N	164	34017	UROK	\N	\N
3528725	11244	1998-09-30	PRIJEM	\N	158	46507	UROK	\N	\N
3528726	11244	1998-10-31	PRIJEM	\N	121	22426	UROK	\N	\N
3528727	11244	1998-11-30	PRIJEM	\N	63	11083	UROK	\N	\N
3528728	11244	1998-12-31	PRIJEM	\N	102	19049	UROK	\N	\N
3528743	11265	1993-02-28	PRIJEM	\N	44	18462	UROK	\N	\N
3528744	11265	1993-03-31	PRIJEM	\N	92	25372	UROK	\N	\N
3528745	11265	1993-04-30	PRIJEM	\N	112	28303	UROK	\N	\N
3528746	11265	1993-05-31	PRIJEM	\N	122	30042	UROK	\N	\N
3528747	11265	1993-06-30	PRIJEM	\N	95	19231	UROK	\N	\N
3528748	11265	1993-07-31	PRIJEM	\N	85	18287	UROK	\N	\N
3528749	11265	1993-08-31	PRIJEM	\N	81	18339	UROK	\N	\N
3528750	11265	1993-09-30	PRIJEM	\N	82	16911	UROK	\N	\N
3528751	11265	1993-10-31	PRIJEM	\N	82	20485	UROK	\N	\N
3528752	11265	1993-11-30	PRIJEM	\N	81	18357	UROK	\N	\N
3528753	11265	1993-12-31	PRIJEM	\N	88	20146	UROK	\N	\N
3528754	11265	1994-01-31	PRIJEM	\N	84	19221	UROK	\N	\N
3528755	11265	1994-02-28	PRIJEM	\N	79	17991	UROK	\N	\N
3528756	11265	1994-03-31	PRIJEM	\N	76	17758	UROK	\N	\N
3528757	11265	1994-04-30	PRIJEM	\N	76	15845	UROK	\N	\N
3528758	11265	1994-05-31	PRIJEM	\N	65	15102	UROK	\N	\N
3528759	11265	1994-06-30	PRIJEM	\N	74	17676	UROK	\N	\N
3528760	11265	1994-07-31	PRIJEM	\N	79	16726	UROK	\N	\N
3528761	11265	1994-08-31	PRIJEM	\N	58	12016	UROK	\N	\N
3528762	11265	1994-09-30	PRIJEM	\N	64	14671	UROK	\N	\N
3528763	11265	1994-10-31	PRIJEM	\N	63	13225	UROK	\N	\N
3528764	11265	1994-11-30	PRIJEM	\N	74	15989	UROK	\N	\N
3528765	11265	1994-12-31	PRIJEM	\N	64	14932	UROK	\N	\N
3528766	11265	1995-01-31	PRIJEM	\N	83	19505	UROK	\N	\N
3528767	11265	1995-02-28	PRIJEM	\N	86	17821	UROK	\N	\N
3528768	11265	1995-03-31	PRIJEM	\N	74	15686	UROK	\N	\N
3528769	11265	1995-04-30	PRIJEM	\N	80	17956	UROK	\N	\N
3528770	11265	1995-05-31	PRIJEM	\N	84	19431	UROK	\N	\N
3528771	11265	1995-06-30	PRIJEM	\N	108	26438	UROK	\N	\N
3528772	11265	1995-07-31	PRIJEM	\N	108	25437	UROK	\N	\N
3528773	11265	1995-08-31	PRIJEM	\N	116	25643	UROK	\N	\N
3528774	11265	1995-09-30	PRIJEM	\N	101	20914	UROK	\N	\N
3528775	11265	1995-10-31	PRIJEM	\N	97	22502	UROK	\N	\N
3528776	11265	1995-11-30	PRIJEM	\N	95	18767	UROK	\N	\N
3528777	11265	1995-12-31	PRIJEM	\N	86	17071	UROK	\N	\N
3528778	11265	1996-01-31	PRIJEM	\N	67	15409	UROK	\N	\N
3528779	11265	1996-02-29	PRIJEM	\N	60	16040	UROK	\N	\N
3528780	11265	1996-03-31	PRIJEM	\N	70	12500	UROK	\N	\N
3528781	11265	1996-04-30	PRIJEM	\N	49	14359	UROK	\N	\N
3528782	11265	1996-05-31	PRIJEM	\N	64	16414	UROK	\N	\N
3528783	11265	1996-06-30	PRIJEM	\N	82	15695	UROK	\N	\N
3528784	11265	1996-07-31	PRIJEM	\N	69	18354	UROK	\N	\N
3528785	11265	1996-08-31	PRIJEM	\N	69	14474	UROK	\N	\N
3528786	11265	1996-09-30	PRIJEM	\N	68	17432	UROK	\N	\N
3528787	11265	1996-10-31	PRIJEM	\N	76	18498	UROK	\N	\N
3528788	11265	1996-11-30	PRIJEM	\N	76	19264	UROK	\N	\N
3528789	11265	1996-12-31	PRIJEM	\N	81	16125	UROK	\N	\N
3528790	11265	1997-01-31	PRIJEM	\N	72	16587	UROK	\N	\N
3528791	11265	1997-02-28	PRIJEM	\N	71	17448	UROK	\N	\N
3528792	11265	1997-03-31	PRIJEM	\N	74	17212	UROK	\N	\N
3528793	11265	1997-04-30	PRIJEM	\N	82	17285	UROK	\N	\N
3528794	11265	1997-05-31	PRIJEM	\N	75	18150	UROK	\N	\N
3528795	11265	1997-06-30	PRIJEM	\N	88	21938	UROK	\N	\N
3528796	11265	1997-07-31	PRIJEM	\N	93	21421	UROK	\N	\N
3528797	11265	1997-08-31	PRIJEM	\N	92	22703	UROK	\N	\N
3528798	11265	1997-09-30	PRIJEM	\N	92	22885	UROK	\N	\N
3528799	11265	1997-10-31	PRIJEM	\N	92	21208	UROK	\N	\N
3528800	11265	1997-11-30	PRIJEM	\N	86	21685	UROK	\N	\N
3528801	11265	1997-12-31	PRIJEM	\N	99	23243	UROK	\N	\N
3528802	11265	1998-01-31	PRIJEM	\N	99	24133	UROK	\N	\N
3528803	11265	1998-02-28	PRIJEM	\N	102	25125	UROK	\N	\N
3528804	11265	1998-03-31	PRIJEM	\N	102	24418	UROK	\N	\N
3528805	11265	1998-04-30	PRIJEM	\N	104	24012	UROK	\N	\N
3528806	11265	1998-05-31	PRIJEM	\N	97	24100	UROK	\N	\N
3528807	11265	1998-06-30	PRIJEM	\N	113	27072	UROK	\N	\N
3528808	11265	1998-07-31	PRIJEM	\N	110	27372	UROK	\N	\N
3528809	11265	1998-08-31	PRIJEM	\N	115	28178	UROK	\N	\N
3528810	11265	1998-09-30	PRIJEM	\N	120	28288	UROK	\N	\N
3528811	11265	1998-10-31	PRIJEM	\N	115	27693	UROK	\N	\N
3528812	11265	1998-11-30	PRIJEM	\N	99	24723	UROK	\N	\N
3528813	11265	1998-12-31	PRIJEM	\N	109	27391	UROK	\N	\N
3528844	11271	1995-10-31	PRIJEM	\N	33	20655	UROK	\N	\N
3528845	11271	1995-11-30	PRIJEM	\N	96	26673	UROK	\N	\N
3528846	11271	1995-12-31	PRIJEM	\N	121	32727	UROK	\N	\N
3528847	11271	1996-01-31	PRIJEM	\N	136	32585	UROK	\N	\N
3528848	11271	1996-02-29	PRIJEM	\N	129	23248	UROK	\N	\N
3528849	11271	1996-03-31	PRIJEM	\N	98	19165	UROK	\N	\N
3528850	11271	1996-04-30	PRIJEM	\N	89	20374	UROK	\N	\N
3528851	11271	1996-05-31	PRIJEM	\N	92	19685	UROK	\N	\N
3528852	11271	1996-06-30	PRIJEM	\N	102	21818	UROK	\N	\N
3528853	11271	1996-07-31	PRIJEM	\N	92	19229	UROK	\N	\N
3528854	11271	1996-08-31	PRIJEM	\N	88	18237	UROK	\N	\N
3528855	11271	1996-09-30	PRIJEM	\N	92	22048	UROK	\N	\N
3528856	11271	1996-10-31	PRIJEM	\N	100	21167	UROK	\N	\N
3528857	11271	1996-11-30	PRIJEM	\N	105	25292	UROK	\N	\N
3528858	11271	1996-12-31	PRIJEM	\N	116	24138	UROK	\N	\N
3528859	11271	1997-01-31	PRIJEM	\N	90	19848	UROK	\N	\N
3528860	11271	1997-02-28	PRIJEM	\N	90	18887	UROK	\N	\N
3528861	11271	1997-03-31	PRIJEM	\N	85	18021	UROK	\N	\N
3528862	11271	1997-04-30	PRIJEM	\N	85	18555	UROK	\N	\N
3528863	11271	1997-05-31	PRIJEM	\N	81	16428	UROK	\N	\N
3528864	11271	1997-06-30	PRIJEM	\N	76	17964	UROK	\N	\N
3528865	11271	1997-07-31	PRIJEM	\N	94	21907	UROK	\N	\N
3528866	11271	1997-08-31	PRIJEM	\N	88	18244	UROK	\N	\N
3528867	11271	1997-09-30	PRIJEM	\N	77	15970	UROK	\N	\N
3528868	11271	1997-10-31	PRIJEM	\N	74	15993	UROK	\N	\N
3528869	11271	1997-11-30	PRIJEM	\N	75	16017	UROK	\N	\N
3528870	11271	1997-12-31	PRIJEM	\N	97	21574	UROK	\N	\N
3528871	11271	1998-01-31	PRIJEM	\N	98	21421	UROK	\N	\N
3528872	11271	1998-02-28	PRIJEM	\N	73	13343	UROK	\N	\N
3528873	11271	1998-03-31	PRIJEM	\N	64	13556	UROK	\N	\N
3528874	11271	1998-04-30	PRIJEM	\N	58	11763	UROK	\N	\N
3528875	11271	1998-05-31	PRIJEM	\N	44	8256	UROK	\N	\N
3528876	11271	1998-06-30	PRIJEM	\N	47	9664	UROK	\N	\N
3528877	11271	1998-07-31	PRIJEM	\N	50	10463	UROK	\N	\N
3528878	11271	1998-08-31	PRIJEM	\N	66	14778	UROK	\N	\N
3528879	11271	1998-09-30	PRIJEM	\N	64	13469	UROK	\N	\N
3528880	11271	1998-10-31	PRIJEM	\N	70	15388	UROK	\N	\N
3528881	11271	1998-11-30	PRIJEM	\N	95	22032	UROK	\N	\N
3528882	11271	1998-12-31	PRIJEM	\N	91	19683	UROK	\N	\N
3529064	11295	1993-02-28	PRIJEM	\N	28	23175	UROK	\N	\N
3529065	11295	1993-03-31	PRIJEM	\N	37	30890	UROK	\N	\N
3529066	11295	1993-04-30	PRIJEM	\N	48	38831	UROK	\N	\N
3529067	11295	1993-05-31	PRIJEM	\N	56	41799	UROK	\N	\N
3529068	11295	1993-06-30	PRIJEM	\N	137	26895	UROK	\N	\N
3529069	11295	1993-07-31	PRIJEM	\N	44	26093	UROK	\N	\N
3529070	11295	1993-08-31	PRIJEM	\N	83	30332	UROK	\N	\N
3529071	11295	1993-09-30	PRIJEM	\N	102	29366	UROK	\N	\N
3529072	11295	1993-10-31	PRIJEM	\N	90	30216	UROK	\N	\N
3529073	11295	1993-11-30	PRIJEM	\N	83	33418	UROK	\N	\N
3529074	11295	1993-12-31	PRIJEM	\N	140	36048	UROK	\N	\N
3529075	11295	1994-01-31	PRIJEM	\N	106	19506	UROK	\N	\N
3529076	11295	1994-02-28	PRIJEM	\N	87	27760	UROK	\N	\N
3529077	11295	1994-03-31	PRIJEM	\N	128	30827	UROK	\N	\N
3529078	11295	1994-04-30	PRIJEM	\N	139	34250	UROK	\N	\N
3529079	11295	1994-05-31	PRIJEM	\N	100	30271	UROK	\N	\N
3529080	11295	1994-06-30	PRIJEM	\N	118	24234	UROK	\N	\N
3529081	11295	1994-07-31	PRIJEM	\N	128	32512	UROK	\N	\N
3529082	11295	1994-08-31	PRIJEM	\N	139	35512	UROK	\N	\N
3529083	11295	1994-09-30	PRIJEM	\N	169	37152	UROK	\N	\N
3529084	11295	1994-10-31	PRIJEM	\N	158	37469	UROK	\N	\N
3529085	11295	1994-11-30	PRIJEM	\N	154	36755	UROK	\N	\N
3529086	11295	1994-12-31	PRIJEM	\N	149	38243	UROK	\N	\N
3529087	11295	1995-01-31	PRIJEM	\N	131	29293	UROK	\N	\N
3529088	11295	1995-02-28	PRIJEM	\N	96	32521	UROK	\N	\N
3529089	11295	1995-03-31	PRIJEM	\N	137	31876	UROK	\N	\N
3529090	11295	1995-04-30	PRIJEM	\N	139	34125	UROK	\N	\N
3529091	11295	1995-05-31	PRIJEM	\N	139	36574	UROK	\N	\N
3529092	11295	1995-06-30	PRIJEM	\N	103	8485	UROK	\N	\N
3529093	11295	1995-07-31	PRIJEM	\N	62	23204	UROK	\N	\N
3529094	11295	1995-07-31	VYDAJ	VYBER	2	23186	SANKC. UROK	\N	\N
3529095	11295	1995-08-31	PRIJEM	\N	84	27223	UROK	\N	\N
3529096	11295	1995-09-30	PRIJEM	\N	85	31441	UROK	\N	\N
3529097	11295	1995-10-31	PRIJEM	\N	105	35929	UROK	\N	\N
3529098	11295	1995-11-30	PRIJEM	\N	144	47405	UROK	\N	\N
3529099	11295	1995-12-31	PRIJEM	\N	224	60829	UROK	\N	\N
3529100	11295	1996-01-31	PRIJEM	\N	206	46672	UROK	\N	\N
3529101	11295	1996-02-29	PRIJEM	\N	211	58021	UROK	\N	\N
3529102	11295	1996-03-31	PRIJEM	\N	247	66112	UROK	\N	\N
3529103	11295	1996-04-30	PRIJEM	\N	233	63264	UROK	\N	\N
3529104	11295	1996-05-31	PRIJEM	\N	190	62532	UROK	\N	\N
3529105	11295	1996-06-30	PRIJEM	\N	159	27817	UROK	\N	\N
3529106	11295	1996-07-31	PRIJEM	\N	161	51337	UROK	\N	\N
3529107	11295	1996-08-31	PRIJEM	\N	175	58109	UROK	\N	\N
3529108	11295	1996-09-30	PRIJEM	\N	200	66742	UROK	\N	\N
3529109	11295	1996-10-31	PRIJEM	\N	247	70826	UROK	\N	\N
3529110	11295	1996-11-30	PRIJEM	\N	243	66501	UROK	\N	\N
3529111	11295	1996-12-31	PRIJEM	\N	258	72641	UROK	\N	\N
3529112	11295	1997-01-31	PRIJEM	\N	208	57877	UROK	\N	\N
3529113	11295	1997-02-28	PRIJEM	\N	138	66259	UROK	\N	\N
3529114	11295	1997-03-31	PRIJEM	\N	243	64585	UROK	\N	\N
3529115	11295	1997-04-30	PRIJEM	\N	259	72136	UROK	\N	\N
3529116	11295	1997-05-31	PRIJEM	\N	286	74901	UROK	\N	\N
3529117	11295	1997-06-30	PRIJEM	\N	298	65890	UROK	\N	\N
3529118	11295	1997-07-31	PRIJEM	\N	215	75537	UROK	\N	\N
3529119	11295	1997-08-31	PRIJEM	\N	288	79624	UROK	\N	\N
3529120	11295	1997-09-30	PRIJEM	\N	242	80418	UROK	\N	\N
3529121	11295	1997-10-31	PRIJEM	\N	248	80798	UROK	\N	\N
3529122	11295	1997-11-30	PRIJEM	\N	295	79377	UROK	\N	\N
3529123	11295	1997-12-31	PRIJEM	\N	200	85915	UROK	\N	\N
3529124	11295	1998-01-31	PRIJEM	\N	311	67975	UROK	\N	\N
3529125	11295	1998-02-28	PRIJEM	\N	275	77662	UROK	\N	\N
3529126	11295	1998-03-31	PRIJEM	\N	305	82878	UROK	\N	\N
3529127	11295	1998-04-30	PRIJEM	\N	319	85828	UROK	\N	\N
3529128	11295	1998-05-31	PRIJEM	\N	306	84666	UROK	\N	\N
3529129	11295	1998-06-30	PRIJEM	\N	237	85224	UROK	\N	\N
3529130	11295	1998-07-31	PRIJEM	\N	213	86396	UROK	\N	\N
3529131	11295	1998-08-31	PRIJEM	\N	273	90442	UROK	\N	\N
3529132	11295	1998-09-30	PRIJEM	\N	346	94720	UROK	\N	\N
3529133	11295	1998-10-31	PRIJEM	\N	352	90170	UROK	\N	\N
3529134	11295	1998-11-30	PRIJEM	\N	334	86802	UROK	\N	\N
3529135	11295	1998-12-31	PRIJEM	\N	339	103756	UROK	\N	\N
3529347	11317	1997-07-31	PRIJEM	\N	76	35581	UROK	\N	\N
3529348	11317	1997-08-31	PRIJEM	\N	151	36706	UROK	\N	\N
3529349	11317	1997-09-30	PRIJEM	\N	252	64689	UROK	\N	\N
3529350	11317	1997-10-31	PRIJEM	\N	248	94536	UROK	\N	\N
3529351	11317	1997-11-30	PRIJEM	\N	354	89345	UROK	\N	\N
3529352	11317	1997-12-31	PRIJEM	\N	323	59914	UROK	\N	\N
3529353	11317	1998-01-31	PRIJEM	\N	138	22544	UROK	\N	\N
3529354	11317	1998-02-28	PRIJEM	\N	82	17578	UROK	\N	\N
3529355	11317	1998-03-31	PRIJEM	\N	106	23028	UROK	\N	\N
3529356	11317	1998-04-30	PRIJEM	\N	260	80822	UROK	\N	\N
3529357	11317	1998-05-31	PRIJEM	\N	274	74080	UROK	\N	\N
3529358	11317	1998-06-30	PRIJEM	\N	309	79493	UROK	\N	\N
3529359	11317	1998-07-31	PRIJEM	\N	332	120150	UROK	\N	\N
3529360	11317	1998-08-31	PRIJEM	\N	267	60489	UROK	\N	\N
3529361	11317	1998-09-30	PRIJEM	\N	276	61278	UROK	\N	\N
3529362	11317	1998-10-31	PRIJEM	\N	321	110920	UROK	\N	\N
3529363	11317	1998-11-30	PRIJEM	\N	226	76735	UROK	\N	\N
3529364	11317	1998-12-31	PRIJEM	\N	383	90506	UROK	\N	\N
3529365	11320	1993-06-30	PRIJEM	\N	19	27837	UROK	\N	\N
3529366	11320	1993-07-31	PRIJEM	\N	29	35868	UROK	\N	\N
3529367	11320	1993-08-31	PRIJEM	\N	36	38759	UROK	\N	\N
3529368	11320	1993-09-30	PRIJEM	\N	38	39538	UROK	\N	\N
3529369	11320	1993-10-31	PRIJEM	\N	50	41767	UROK	\N	\N
3529370	11320	1993-11-30	PRIJEM	\N	166	38576	UROK	\N	\N
3529371	11320	1993-12-31	PRIJEM	\N	171	42018	UROK	\N	\N
3529372	11320	1994-01-31	PRIJEM	\N	74	34776	UROK	\N	\N
3529373	11320	1994-02-28	PRIJEM	\N	53	39376	UROK	\N	\N
3529374	11320	1994-03-31	PRIJEM	\N	49	41441	UROK	\N	\N
3529375	11320	1994-04-30	PRIJEM	\N	52	42593	UROK	\N	\N
3529376	11320	1994-05-31	PRIJEM	\N	54	40883	UROK	\N	\N
3529377	11320	1994-06-30	PRIJEM	\N	101	29548	UROK	\N	\N
3529378	11320	1994-07-31	PRIJEM	\N	57	36208	UROK	\N	\N
3529379	11320	1994-08-31	PRIJEM	\N	150	38252	UROK	\N	\N
3529380	11320	1994-09-30	PRIJEM	\N	149	37916	UROK	\N	\N
3529381	11320	1994-10-31	PRIJEM	\N	66	39100	UROK	\N	\N
3529382	11320	1994-11-30	PRIJEM	\N	80	42499	UROK	\N	\N
3529383	11320	1994-12-31	PRIJEM	\N	203	43573	UROK	\N	\N
3529384	11320	1995-01-31	PRIJEM	\N	151	30713	UROK	\N	\N
3529385	11320	1995-02-28	PRIJEM	\N	74	37552	UROK	\N	\N
3529386	11320	1995-03-31	PRIJEM	\N	169	36940	UROK	\N	\N
3529387	11320	1995-04-30	PRIJEM	\N	142	37815	UROK	\N	\N
3529388	11320	1995-05-31	PRIJEM	\N	81	40207	UROK	\N	\N
3529389	11320	1995-06-30	PRIJEM	\N	169	45602	UROK	\N	\N
3529390	11320	1995-07-31	PRIJEM	\N	165	39531	UROK	\N	\N
3529391	11320	1995-08-31	PRIJEM	\N	139	34523	UROK	\N	\N
3529392	11320	1995-09-30	PRIJEM	\N	85	36973	UROK	\N	\N
3529393	11320	1995-10-31	PRIJEM	\N	132	34487	UROK	\N	\N
3529394	11320	1995-11-30	PRIJEM	\N	78	34696	UROK	\N	\N
3529395	11320	1995-12-31	PRIJEM	\N	84	35399	UROK	\N	\N
3529396	11320	1996-01-31	PRIJEM	\N	74	24238	UROK	\N	\N
3529397	11320	1996-02-29	PRIJEM	\N	66	27568	UROK	\N	\N
3529398	11320	1996-03-31	PRIJEM	\N	68	27796	UROK	\N	\N
3529399	11320	1996-04-30	PRIJEM	\N	97	26554	UROK	\N	\N
3529400	11320	1996-05-31	PRIJEM	\N	99	28017	UROK	\N	\N
3529401	11320	1996-06-30	PRIJEM	\N	73	14988	UROK	\N	\N
3529402	11320	1996-07-31	PRIJEM	\N	46	18798	UROK	\N	\N
3529403	11320	1996-08-31	PRIJEM	\N	64	20451	UROK	\N	\N
3529404	11320	1996-09-30	PRIJEM	\N	107	20491	UROK	\N	\N
3529405	11320	1996-10-31	PRIJEM	\N	111	26091	UROK	\N	\N
3529406	11320	1996-11-30	PRIJEM	\N	118	35573	UROK	\N	\N
3529407	11320	1996-12-31	PRIJEM	\N	138	47235	UROK	\N	\N
3529408	11320	1997-01-31	PRIJEM	\N	101	33870	UROK	\N	\N
3529409	11320	1997-02-28	PRIJEM	\N	125	35195	UROK	\N	\N
3529410	11320	1997-03-31	PRIJEM	\N	110	30344	UROK	\N	\N
3529411	11320	1997-04-30	PRIJEM	\N	103	27777	UROK	\N	\N
3529412	11320	1997-05-31	PRIJEM	\N	78	28512	UROK	\N	\N
3529413	11320	1997-06-30	PRIJEM	\N	87	13490	UROK	\N	\N
3529414	11320	1997-07-31	PRIJEM	\N	79	27112	UROK	\N	\N
3529415	11320	1997-08-31	PRIJEM	\N	122	36799	UROK	\N	\N
3529416	11320	1997-09-30	PRIJEM	\N	121	35607	UROK	\N	\N
3529417	11320	1997-10-31	PRIJEM	\N	102	34059	UROK	\N	\N
3529418	11320	1997-11-30	PRIJEM	\N	101	37554	UROK	\N	\N
3529419	11320	1997-12-31	PRIJEM	\N	136	47442	UROK	\N	\N
3529420	11320	1998-01-31	PRIJEM	\N	88	17176	UROK	\N	\N
3529421	11320	1998-02-28	PRIJEM	\N	60	29187	UROK	\N	\N
3529422	11320	1998-03-31	PRIJEM	\N	109	34430	UROK	\N	\N
3529423	11320	1998-04-30	PRIJEM	\N	34	32364	UROK	\N	\N
3529424	11320	1998-05-31	PRIJEM	\N	90	15219	UROK	\N	\N
3529425	11320	1998-06-30	PRIJEM	\N	17	-395	UROK	\N	\N
3529426	11320	1998-06-30	VYDAJ	VYBER	2	-397	SANKC. UROK	\N	\N
3529427	11320	1998-07-31	VYDAJ	VYBER	2	4209	SANKC. UROK	\N	\N
3529428	11320	1998-08-31	PRIJEM	\N	3	11793	UROK	\N	\N
3529429	11320	1998-09-30	PRIJEM	\N	62	10077	UROK	\N	\N
3529430	11320	1998-10-31	PRIJEM	\N	18	6101	UROK	\N	\N
3529431	11320	1998-10-31	VYDAJ	VYBER	1	6116	SANKC. UROK	\N	\N
3529432	11320	1998-11-30	PRIJEM	\N	2	9398	UROK	\N	\N
3529476	11325	1996-11-30	PRIJEM	\N	64	28773	UROK	\N	\N
3529477	11325	1996-12-31	PRIJEM	\N	211	53829	UROK	\N	\N
3529478	11325	1997-01-31	PRIJEM	\N	19	46748	UROK	\N	\N
3529479	11325	1997-03-31	PRIJEM	\N	4	29455	UROK	\N	\N
3529480	11325	1997-04-30	PRIJEM	\N	126	19923	UROK	\N	\N
3529481	11325	1997-05-31	PRIJEM	\N	205	71467	UROK	\N	\N
3529482	11325	1997-06-30	PRIJEM	\N	105	37468	UROK	\N	\N
3529483	11325	1997-07-31	PRIJEM	\N	93	30547	UROK	\N	\N
3529484	11325	1997-08-31	PRIJEM	\N	244	89319	UROK	\N	\N
3529485	11325	1997-09-30	PRIJEM	\N	241	50047	UROK	\N	\N
3529486	11325	1997-10-31	PRIJEM	\N	231	61232	UROK	\N	\N
3529487	11325	1997-11-30	PRIJEM	\N	98	33479	UROK	\N	\N
3529488	11325	1997-12-31	PRIJEM	\N	222	77621	UROK	\N	\N
3529489	11325	1998-01-31	PRIJEM	\N	152	24758	UROK	\N	\N
3529490	11325	1998-02-28	PRIJEM	\N	57	13452	UROK	\N	\N
3529491	11325	1998-03-31	PRIJEM	\N	25	9756	UROK	\N	\N
3529492	11325	1998-04-30	PRIJEM	\N	22	7163	UROK	\N	\N
3529493	11325	1998-05-31	PRIJEM	\N	3	3688	UROK	\N	\N
3529494	11325	1998-06-30	PRIJEM	\N	2	175	UROK	\N	\N
3529495	11325	1998-06-30	VYDAJ	VYBER	14	148	SANKC. UROK	\N	\N
3529496	11325	1998-07-31	VYDAJ	VYBER	21	78	SANKC. UROK	\N	\N
3529497	11325	1998-09-30	VYDAJ	VYBER	22	22	SANKC. UROK	\N	\N
3529498	11325	1998-09-30	VYDAJ	VYBER	20	44	SANKC. UROK	\N	\N
3529499	11325	1998-11-30	VYDAJ	VYBER	1	-50	SANKC. UROK	\N	\N
3529500	11327	1997-11-30	PRIJEM	\N	49	20957	UROK	\N	\N
3529501	11327	1997-12-31	PRIJEM	\N	136	41255	UROK	\N	\N
3529502	11327	1998-01-31	PRIJEM	\N	187	47350	UROK	\N	\N
3529503	11327	1998-02-28	PRIJEM	\N	229	61188	UROK	\N	\N
3529504	11327	1998-03-31	PRIJEM	\N	251	60047	UROK	\N	\N
3529505	11327	1998-04-30	PRIJEM	\N	247	60495	UROK	\N	\N
3529506	11327	1998-05-31	PRIJEM	\N	284	60379	UROK	\N	\N
3529507	11327	1998-06-30	PRIJEM	\N	263	55297	UROK	\N	\N
3529508	11327	1998-07-31	PRIJEM	\N	249	63247	UROK	\N	\N
3529509	11327	1998-08-31	PRIJEM	\N	272	67519	UROK	\N	\N
3529510	11327	1998-09-30	PRIJEM	\N	253	62372	UROK	\N	\N
3529511	11327	1998-10-31	PRIJEM	\N	265	66305	UROK	\N	\N
3529512	11327	1998-11-30	PRIJEM	\N	263	65737	UROK	\N	\N
3529513	11327	1998-12-31	PRIJEM	\N	294	77353	UROK	\N	\N
3529514	11328	1996-12-31	PRIJEM	\N	166	74938	UROK	\N	\N
3529515	11328	1997-01-31	PRIJEM	\N	312	46849	UROK	\N	\N
3529516	11328	1997-02-28	PRIJEM	\N	312	36161	UROK	\N	\N
3529517	11328	1997-03-31	PRIJEM	\N	294	42755	UROK	\N	\N
3529518	11328	1997-04-30	PRIJEM	\N	260	75762	UROK	\N	\N
3529519	11328	1997-05-31	PRIJEM	\N	256	42070	UROK	\N	\N
3529520	11328	1997-06-30	PRIJEM	\N	134	24889	UROK	\N	\N
3529521	11328	1997-07-31	PRIJEM	\N	95	21670	UROK	\N	\N
3529522	11328	1997-08-31	PRIJEM	\N	110	33389	UROK	\N	\N
3529523	11328	1997-09-30	PRIJEM	\N	172	41525	UROK	\N	\N
3529524	11328	1997-10-31	PRIJEM	\N	79	11889	UROK	\N	\N
3529525	11328	1997-11-30	PRIJEM	\N	64	10839	UROK	\N	\N
3529526	11328	1997-12-31	PRIJEM	\N	148	41607	UROK	\N	\N
3529527	11328	1998-01-31	PRIJEM	\N	116	25709	UROK	\N	\N
3529528	11328	1998-02-28	PRIJEM	\N	171	51025	UROK	\N	\N
3529529	11328	1998-03-31	PRIJEM	\N	150	24417	UROK	\N	\N
3529530	11328	1998-04-30	PRIJEM	\N	155	48074	UROK	\N	\N
3529531	11328	1998-05-31	PRIJEM	\N	228	46237	UROK	\N	\N
3529532	11328	1998-06-30	PRIJEM	\N	189	40611	UROK	\N	\N
3529533	11328	1998-07-31	PRIJEM	\N	142	55330	UROK	\N	\N
3529534	11328	1998-08-31	PRIJEM	\N	224	46466	UROK	\N	\N
3529535	11328	1998-09-30	PRIJEM	\N	277	44653	UROK	\N	\N
3529536	11328	1998-10-31	PRIJEM	\N	262	72366	UROK	\N	\N
3529537	11328	1998-11-30	PRIJEM	\N	326	67361	UROK	\N	\N
3529538	11328	1998-12-31	PRIJEM	\N	301	63586	UROK	\N	\N
3529570	11333	1994-06-30	PRIJEM	\N	104	46138	UROK	\N	\N
3529571	11333	1994-07-31	PRIJEM	\N	69	91095	UROK	\N	\N
3529572	11333	1994-08-31	PRIJEM	\N	212	63547	UROK	\N	\N
3529573	11333	1994-09-30	PRIJEM	\N	282	52783	UROK	\N	\N
3529574	11333	1994-10-31	PRIJEM	\N	205	41208	UROK	\N	\N
3529575	11333	1994-11-30	PRIJEM	\N	153	28310	UROK	\N	\N
3529576	11333	1994-12-31	PRIJEM	\N	88	51935	UROK	\N	\N
3529577	11333	1995-01-31	PRIJEM	\N	162	3482	UROK	\N	\N
3529578	11333	1995-02-28	PRIJEM	\N	9	13838	UROK	\N	\N
3529579	11333	1995-03-31	PRIJEM	\N	19	15696	UROK	\N	\N
3529580	11333	1995-04-30	PRIJEM	\N	73	29054	UROK	\N	\N
3529581	11333	1995-05-31	PRIJEM	\N	97	16644	UROK	\N	\N
3529582	11333	1995-06-30	PRIJEM	\N	53	-1238	UROK	\N	\N
3529583	11333	1995-06-30	VYDAJ	VYBER	4	-1194	SANKC. UROK	\N	\N
3529584	11333	1995-08-31	PRIJEM	\N	15	11145	UROK	\N	\N
3529585	11333	1995-08-31	VYDAJ	VYBER	5	11139	SANKC. UROK	\N	\N
3529586	11333	1995-09-30	VYDAJ	VYBER	14	-522	SANKC. UROK	\N	\N
3529587	11333	1995-10-31	VYDAJ	VYBER	21	9858	SANKC. UROK	\N	\N
3529588	11333	1995-11-30	PRIJEM	\N	2	15460	UROK	\N	\N
3529589	11333	1995-12-31	PRIJEM	\N	32	1666	UROK	\N	\N
3529590	11333	1995-12-31	VYDAJ	VYBER	0	1665	SANKC. UROK	\N	\N
3529591	11333	1996-01-31	PRIJEM	\N	39	14006	UROK	\N	\N
3529592	11333	1996-01-31	VYDAJ	VYBER	0	14034	SANKC. UROK	\N	\N
3529593	11333	1996-02-29	PRIJEM	\N	56	48410	UROK	\N	\N
3529594	11333	1996-03-31	PRIJEM	\N	175	33964	UROK	\N	\N
3529595	11333	1996-04-30	PRIJEM	\N	48	23817	UROK	\N	\N
3529596	11333	1996-05-31	PRIJEM	\N	102	45326	UROK	\N	\N
3529597	11333	1996-06-30	PRIJEM	\N	183	47435	UROK	\N	\N
3529598	11333	1996-07-31	PRIJEM	\N	122	71339	UROK	\N	\N
3529599	11333	1996-08-31	PRIJEM	\N	223	44192	UROK	\N	\N
3529600	11333	1996-09-30	PRIJEM	\N	252	102710	UROK	\N	\N
3529601	11333	1996-11-30	PRIJEM	\N	6	46747	UROK	\N	\N
3529602	11333	1996-12-31	PRIJEM	\N	141	19648	UROK	\N	\N
3529603	11333	1997-01-31	PRIJEM	\N	46	16373	UROK	\N	\N
3529604	11333	1997-02-28	PRIJEM	\N	120	43741	UROK	\N	\N
3529605	11333	1997-03-31	PRIJEM	\N	176	65065	UROK	\N	\N
3529606	11333	1997-04-30	PRIJEM	\N	134	50285	UROK	\N	\N
3529607	11333	1997-05-31	PRIJEM	\N	81	70528	UROK	\N	\N
3529608	11333	1997-06-30	PRIJEM	\N	218	60741	UROK	\N	\N
3529609	11333	1997-07-31	PRIJEM	\N	186	60605	UROK	\N	\N
3529610	11333	1997-08-31	PRIJEM	\N	375	87377	UROK	\N	\N
3529611	11333	1997-09-30	PRIJEM	\N	193	58492	UROK	\N	\N
3529612	11333	1997-10-31	PRIJEM	\N	275	68244	UROK	\N	\N
3529613	11333	1997-11-30	PRIJEM	\N	164	12327	UROK	\N	\N
3529614	11333	1997-12-31	PRIJEM	\N	263	88695	UROK	\N	\N
3529615	11333	1998-01-31	PRIJEM	\N	248	59962	UROK	\N	\N
3529616	11333	1998-02-28	PRIJEM	\N	218	56984	UROK	\N	\N
3529617	11333	1998-03-31	PRIJEM	\N	113	48501	UROK	\N	\N
3529618	11333	1998-04-30	PRIJEM	\N	169	35230	UROK	\N	\N
3529619	11333	1998-05-31	PRIJEM	\N	232	70219	UROK	\N	\N
3529620	11333	1998-06-30	PRIJEM	\N	233	33559	UROK	\N	\N
3529621	11333	1998-07-31	PRIJEM	\N	122	27953	UROK	\N	\N
3529622	11333	1998-08-31	PRIJEM	\N	161	69001	UROK	\N	\N
3529623	11333	1998-09-30	PRIJEM	\N	213	57907	UROK	\N	\N
3529624	11333	1998-10-31	PRIJEM	\N	154	96374	UROK	\N	\N
3529625	11333	1998-11-30	PRIJEM	\N	167	75069	UROK	\N	\N
3529626	11333	1998-12-31	PRIJEM	\N	116	58319	UROK	\N	\N
3529886	11349	1995-06-30	PRIJEM	\N	39	46821	UROK	\N	\N
3529887	11349	1995-07-31	PRIJEM	\N	206	59115	UROK	\N	\N
3529888	11349	1995-08-31	PRIJEM	\N	249	62052	UROK	\N	\N
3529889	11349	1995-09-30	PRIJEM	\N	263	66602	UROK	\N	\N
3529890	11349	1995-10-31	PRIJEM	\N	144	24849	UROK	\N	\N
3529891	11349	1995-11-30	PRIJEM	\N	150	32329	UROK	\N	\N
3529892	11349	1995-12-31	PRIJEM	\N	222	36118	UROK	\N	\N
3529893	11349	1996-01-31	PRIJEM	\N	175	20467	UROK	\N	\N
3529894	11349	1996-02-29	PRIJEM	\N	147	37687	UROK	\N	\N
3529895	11349	1996-03-31	PRIJEM	\N	171	36768	UROK	\N	\N
3529896	11349	1996-04-30	PRIJEM	\N	202	45844	UROK	\N	\N
3529897	11349	1996-05-31	PRIJEM	\N	229	49547	UROK	\N	\N
3529898	11349	1996-06-30	PRIJEM	\N	171	20387	UROK	\N	\N
3529899	11349	1996-07-31	PRIJEM	\N	152	38968	UROK	\N	\N
3529900	11349	1996-08-31	PRIJEM	\N	218	53860	UROK	\N	\N
3529901	11349	1996-09-30	PRIJEM	\N	233	33054	UROK	\N	\N
3529902	11349	1996-10-31	PRIJEM	\N	193	48521	UROK	\N	\N
3529903	11349	1996-11-30	PRIJEM	\N	232	52527	UROK	\N	\N
3529904	11349	1996-12-31	PRIJEM	\N	206	44700	UROK	\N	\N
3529905	11349	1997-01-31	PRIJEM	\N	142	22199	UROK	\N	\N
3529906	11349	1997-02-28	PRIJEM	\N	142	36637	UROK	\N	\N
3529907	11349	1997-03-31	PRIJEM	\N	192	45298	UROK	\N	\N
3529908	11349	1997-04-30	PRIJEM	\N	214	49386	UROK	\N	\N
3529909	11349	1997-05-31	PRIJEM	\N	202	47162	UROK	\N	\N
3529910	11349	1997-06-30	PRIJEM	\N	221	49751	UROK	\N	\N
3529911	11349	1997-07-31	PRIJEM	\N	223	39864	UROK	\N	\N
3529912	11349	1997-08-31	PRIJEM	\N	203	50040	UROK	\N	\N
3529913	11349	1997-09-30	PRIJEM	\N	256	31206	UROK	\N	\N
3529914	11349	1997-10-31	PRIJEM	\N	176	45656	UROK	\N	\N
3529915	11349	1997-11-30	PRIJEM	\N	179	37808	UROK	\N	\N
3529916	11349	1997-12-31	PRIJEM	\N	181	28332	UROK	\N	\N
3529917	11349	1998-01-31	PRIJEM	\N	116	20822	UROK	\N	\N
3529918	11349	1998-02-28	PRIJEM	\N	100	23996	UROK	\N	\N
3529919	11349	1998-03-31	PRIJEM	\N	101	22738	UROK	\N	\N
3529920	11349	1998-04-30	PRIJEM	\N	106	25558	UROK	\N	\N
3529921	11349	1998-05-31	PRIJEM	\N	130	33261	UROK	\N	\N
3529922	11349	1998-06-30	PRIJEM	\N	165	40994	UROK	\N	\N
3529923	11349	1998-07-31	PRIJEM	\N	153	29921	UROK	\N	\N
3529924	11349	1998-08-31	PRIJEM	\N	69	9573	UROK	\N	\N
3529925	11349	1998-09-30	PRIJEM	\N	93	22037	UROK	\N	\N
3529926	11349	1998-10-31	PRIJEM	\N	136	23900	UROK	\N	\N
3529927	11349	1998-11-30	PRIJEM	\N	157	36531	UROK	\N	\N
3529928	11349	1998-12-31	PRIJEM	\N	186	33978	UROK	\N	\N
3529948	11359	1994-10-31	PRIJEM	\N	67	28081	UROK	\N	\N
3529949	11359	1994-11-30	PRIJEM	\N	105	51700	UROK	\N	\N
3529950	11359	1994-12-31	PRIJEM	\N	171	54692	UROK	\N	\N
3529951	11359	1995-01-31	PRIJEM	\N	226	51832	UROK	\N	\N
3529952	11359	1995-02-28	PRIJEM	\N	215	79061	UROK	\N	\N
3529953	11359	1995-03-31	PRIJEM	\N	258	47747	UROK	\N	\N
3529954	11359	1995-04-30	PRIJEM	\N	235	40609	UROK	\N	\N
3529955	11359	1995-05-31	PRIJEM	\N	203	38739	UROK	\N	\N
3529956	11359	1995-06-30	PRIJEM	\N	212	46086	UROK	\N	\N
3529957	11359	1995-07-31	PRIJEM	\N	184	35997	UROK	\N	\N
3529958	11359	1995-08-31	PRIJEM	\N	169	35593	UROK	\N	\N
3529959	11359	1995-09-30	PRIJEM	\N	160	31880	UROK	\N	\N
3529960	11359	1995-10-31	PRIJEM	\N	159	33767	UROK	\N	\N
3529961	11359	1995-11-30	PRIJEM	\N	159	34353	UROK	\N	\N
3529962	11359	1995-12-31	PRIJEM	\N	175	35462	UROK	\N	\N
3529963	11359	1996-01-31	PRIJEM	\N	113	18103	UROK	\N	\N
3529964	11359	1996-02-29	PRIJEM	\N	99	24529	UROK	\N	\N
3529965	11359	1996-03-31	PRIJEM	\N	130	28487	UROK	\N	\N
3529966	11359	1996-04-30	PRIJEM	\N	138	33752	UROK	\N	\N
3529967	11359	1996-05-31	PRIJEM	\N	162	36742	UROK	\N	\N
3529968	11359	1996-06-30	PRIJEM	\N	147	31323	UROK	\N	\N
3529969	11359	1996-07-31	PRIJEM	\N	110	25697	UROK	\N	\N
3529970	11359	1996-08-31	PRIJEM	\N	130	31552	UROK	\N	\N
3529971	11359	1996-09-30	PRIJEM	\N	141	26218	UROK	\N	\N
3529972	11359	1996-10-31	PRIJEM	\N	131	32574	UROK	\N	\N
3529973	11359	1996-11-30	PRIJEM	\N	142	28738	UROK	\N	\N
3529974	11359	1996-12-31	PRIJEM	\N	152	36422	UROK	\N	\N
3529975	11359	1997-01-31	PRIJEM	\N	100	18948	UROK	\N	\N
3529976	11359	1997-02-28	PRIJEM	\N	94	24767	UROK	\N	\N
3529977	11359	1997-03-31	PRIJEM	\N	124	31416	UROK	\N	\N
3529978	11359	1997-04-30	PRIJEM	\N	138	31279	UROK	\N	\N
3529979	11359	1997-05-31	PRIJEM	\N	136	30440	UROK	\N	\N
3529980	11359	1997-06-30	PRIJEM	\N	143	29815	UROK	\N	\N
3529981	11359	1997-07-31	PRIJEM	\N	103	19980	UROK	\N	\N
3529982	11359	1997-08-31	PRIJEM	\N	94	21602	UROK	\N	\N
3529983	11359	1997-09-30	PRIJEM	\N	86	19815	UROK	\N	\N
3529984	11359	1997-10-31	PRIJEM	\N	92	23735	UROK	\N	\N
3529985	11359	1997-11-30	PRIJEM	\N	98	16260	UROK	\N	\N
3529986	11359	1997-12-31	PRIJEM	\N	109	32204	UROK	\N	\N
3529987	11359	1998-01-31	PRIJEM	\N	113	19645	UROK	\N	\N
3529988	11359	1998-02-28	PRIJEM	\N	127	41199	UROK	\N	\N
3529989	11359	1998-03-31	PRIJEM	\N	207	35433	UROK	\N	\N
3529990	11359	1998-04-30	PRIJEM	\N	184	53645	UROK	\N	\N
3529991	11359	1998-05-31	PRIJEM	\N	236	60608	UROK	\N	\N
3529992	11359	1998-06-30	PRIJEM	\N	268	72110	UROK	\N	\N
3529993	11359	1998-07-31	PRIJEM	\N	285	67822	UROK	\N	\N
3529994	11359	1998-08-31	PRIJEM	\N	274	67224	UROK	\N	\N
3529995	11359	1998-09-30	PRIJEM	\N	264	63715	UROK	\N	\N
3529996	11359	1998-10-31	PRIJEM	\N	268	65110	UROK	\N	\N
3529997	11359	1998-11-30	PRIJEM	\N	246	63783	UROK	\N	\N
3529998	11359	1998-12-31	PRIJEM	\N	283	75200	UROK	\N	\N
3529999	11362	1995-11-30	PRIJEM	\N	50	20091	UROK	\N	\N
3530000	11362	1995-12-31	PRIJEM	\N	123	35426	UROK	\N	\N
3530001	11362	1996-01-31	PRIJEM	\N	148	35614	UROK	\N	\N
3530002	11362	1996-02-29	PRIJEM	\N	160	39915	UROK	\N	\N
3530003	11362	1996-03-31	PRIJEM	\N	166	33726	UROK	\N	\N
3530004	11362	1996-04-30	PRIJEM	\N	141	28198	UROK	\N	\N
3530005	11362	1996-05-31	PRIJEM	\N	119	24948	UROK	\N	\N
3530006	11362	1996-06-30	PRIJEM	\N	127	19277	UROK	\N	\N
3530007	11362	1996-07-31	PRIJEM	\N	93	17922	UROK	\N	\N
3530008	11362	1996-08-31	PRIJEM	\N	75	14889	UROK	\N	\N
3530009	11362	1996-09-30	PRIJEM	\N	73	15993	UROK	\N	\N
3530010	11362	1996-10-31	PRIJEM	\N	87	19331	UROK	\N	\N
3530011	11362	1996-11-30	PRIJEM	\N	94	22057	UROK	\N	\N
3530012	11362	1996-12-31	PRIJEM	\N	106	24306	UROK	\N	\N
3530013	11362	1997-01-31	PRIJEM	\N	86	14471	UROK	\N	\N
3530014	11362	1997-02-28	PRIJEM	\N	82	17992	UROK	\N	\N
3530015	11362	1997-03-31	PRIJEM	\N	79	17010	UROK	\N	\N
3530016	11362	1997-04-30	PRIJEM	\N	77	17027	UROK	\N	\N
3530017	11362	1997-05-31	PRIJEM	\N	80	16446	UROK	\N	\N
3530018	11362	1997-06-30	PRIJEM	\N	89	19546	UROK	\N	\N
3530019	11362	1997-07-31	PRIJEM	\N	71	14155	UROK	\N	\N
3530020	11362	1997-08-31	PRIJEM	\N	98	22893	UROK	\N	\N
3530021	11362	1997-09-30	PRIJEM	\N	118	27050	UROK	\N	\N
3530022	11362	1997-10-31	PRIJEM	\N	106	21696	UROK	\N	\N
3530023	11362	1997-11-30	PRIJEM	\N	93	20328	UROK	\N	\N
3530024	11362	1997-12-31	PRIJEM	\N	124	27863	UROK	\N	\N
3530025	11362	1998-01-31	PRIJEM	\N	113	16315	UROK	\N	\N
3530026	11362	1998-02-28	PRIJEM	\N	82	17456	UROK	\N	\N
3530027	11362	1998-03-31	PRIJEM	\N	101	21197	UROK	\N	\N
3530028	11362	1998-04-30	PRIJEM	\N	120	28057	UROK	\N	\N
3530029	11362	1998-05-31	PRIJEM	\N	125	28721	UROK	\N	\N
3530030	11362	1998-06-30	PRIJEM	\N	152	37583	UROK	\N	\N
3530031	11362	1998-07-31	PRIJEM	\N	163	30686	UROK	\N	\N
3530032	11362	1998-08-31	PRIJEM	\N	139	28184	UROK	\N	\N
3530033	11362	1998-09-30	PRIJEM	\N	139	26063	UROK	\N	\N
3530034	11362	1998-10-31	PRIJEM	\N	127	25869	UROK	\N	\N
3530035	11362	1998-11-30	PRIJEM	\N	129	27737	UROK	\N	\N
3530036	11362	1998-12-31	PRIJEM	\N	163	38531	UROK	\N	\N
3530267	11382	1995-09-30	PRIJEM	\N	37	24309	UROK	\N	\N
3530268	11382	1995-10-31	PRIJEM	\N	58	36300	UROK	\N	\N
3530269	11382	1995-11-30	PRIJEM	\N	78	47302	UROK	\N	\N
3530270	11382	1995-12-31	PRIJEM	\N	100	57650	UROK	\N	\N
3530271	11382	1996-01-31	PRIJEM	\N	81	17754	UROK	\N	\N
3530272	11382	1996-02-29	PRIJEM	\N	64	34943	UROK	\N	\N
3530273	11382	1996-03-31	PRIJEM	\N	77	20717	UROK	\N	\N
3530274	11382	1996-04-30	PRIJEM	\N	89	-948	UROK	\N	\N
3530275	11382	1996-04-30	VYDAJ	VYBER	1	-860	SANKC. UROK	\N	\N
3530276	11382	1996-05-31	PRIJEM	\N	36	1908	UROK	\N	\N
3530277	11382	1996-06-30	PRIJEM	\N	68	31342	UROK	\N	\N
3530278	11382	1996-07-31	PRIJEM	\N	139	36469	UROK	\N	\N
3530279	11382	1996-08-31	PRIJEM	\N	202	35958	UROK	\N	\N
3530280	11382	1996-09-30	PRIJEM	\N	126	26974	UROK	\N	\N
3530281	11382	1996-10-31	PRIJEM	\N	115	29016	UROK	\N	\N
3530282	11382	1996-11-30	PRIJEM	\N	77	32334	UROK	\N	\N
3530283	11382	1996-12-31	PRIJEM	\N	102	26869	UROK	\N	\N
3530284	11382	1997-01-31	PRIJEM	\N	26	324	UROK	\N	\N
3530285	11382	1997-01-31	VYDAJ	VYBER	2	322	SANKC. UROK	\N	\N
3530286	11382	1997-02-28	PRIJEM	\N	12	1482	UROK	\N	\N
3530287	11382	1997-02-28	VYDAJ	VYBER	5	1462	SANKC. UROK	\N	\N
3530288	11382	1997-03-31	PRIJEM	\N	49	20890	UROK	\N	\N
3530289	11382	1997-04-30	PRIJEM	\N	68	24672	UROK	\N	\N
3530290	11382	1997-05-31	PRIJEM	\N	83	31487	UROK	\N	\N
3530291	11382	1997-06-30	PRIJEM	\N	248	44829	UROK	\N	\N
3530292	11382	1997-07-31	PRIJEM	\N	196	22325	UROK	\N	\N
3530293	11382	1997-08-31	PRIJEM	\N	147	26220	UROK	\N	\N
3530294	11382	1997-09-30	PRIJEM	\N	119	34255	UROK	\N	\N
3530295	11382	1997-10-31	PRIJEM	\N	132	35986	UROK	\N	\N
3530296	11382	1997-11-30	PRIJEM	\N	171	49675	UROK	\N	\N
3530297	11382	1997-12-31	PRIJEM	\N	190	67275	UROK	\N	\N
3530298	11382	1998-01-31	PRIJEM	\N	154	26601	UROK	\N	\N
3530299	11382	1998-02-28	PRIJEM	\N	128	39606	UROK	\N	\N
3530300	11382	1998-03-31	PRIJEM	\N	201	59661	UROK	\N	\N
3530301	11382	1998-04-30	PRIJEM	\N	166	63888	UROK	\N	\N
3530302	11382	1998-05-31	PRIJEM	\N	191	69061	UROK	\N	\N
3530303	11382	1998-06-30	PRIJEM	\N	210	30946	UROK	\N	\N
3530304	11382	1998-07-31	PRIJEM	\N	80	29157	UROK	\N	\N
3530305	11382	1998-08-31	PRIJEM	\N	128	36739	UROK	\N	\N
3530306	11382	1998-09-30	PRIJEM	\N	187	54973	UROK	\N	\N
3530307	11382	1998-10-31	PRIJEM	\N	205	54181	UROK	\N	\N
3530308	11382	1998-11-30	PRIJEM	\N	179	66729	UROK	\N	\N
3530309	11382	1998-12-31	PRIJEM	\N	301	81675	UROK	\N	\N
3530438	1	1995-04-30	PRIJEM	\N	19	17298	UROK	\N	\N
3530439	1	1995-05-31	PRIJEM	\N	79	23156	UROK	\N	\N
3530440	1	1995-06-30	PRIJEM	\N	101	26736	UROK	\N	\N
3530441	1	1995-07-31	PRIJEM	\N	109	25224	UROK	\N	\N
3530442	1	1995-08-31	PRIJEM	\N	99	21502	UROK	\N	\N
3530443	1	1995-09-30	PRIJEM	\N	92	22106	UROK	\N	\N
3530444	1	1995-10-31	PRIJEM	\N	91	20509	UROK	\N	\N
3530445	1	1995-11-30	PRIJEM	\N	85	19906	UROK	\N	\N
3530446	1	1995-12-31	PRIJEM	\N	79	18188	UROK	\N	\N
3530447	1	1996-01-31	PRIJEM	\N	64	13594	UROK	\N	\N
3530448	1	1996-02-29	PRIJEM	\N	60	14966	UROK	\N	\N
3530449	1	1996-03-31	PRIJEM	\N	66	16444	UROK	\N	\N
3530450	1	1996-04-30	PRIJEM	\N	68	15724	UROK	\N	\N
3530451	1	1996-05-31	PRIJEM	\N	63	14440	UROK	\N	\N
3530452	1	1996-06-30	PRIJEM	\N	66	16758	UROK	\N	\N
3530453	1	1996-07-31	PRIJEM	\N	73	18053	UROK	\N	\N
3530454	1	1996-08-31	PRIJEM	\N	76	19191	UROK	\N	\N
3530455	1	1996-09-30	PRIJEM	\N	79	18782	UROK	\N	\N
3530456	1	1996-10-31	PRIJEM	\N	73	16798	UROK	\N	\N
3530457	1	1996-11-30	PRIJEM	\N	72	15283	UROK	\N	\N
3530458	1	1996-12-31	PRIJEM	\N	59	12675	UROK	\N	\N
3530459	1	1997-01-31	PRIJEM	\N	55	12832	UROK	\N	\N
3530460	1	1997-02-28	PRIJEM	\N	58	14603	UROK	\N	\N
3530461	1	1997-03-31	PRIJEM	\N	52	11267	UROK	\N	\N
3530462	1	1997-04-30	PRIJEM	\N	50	12529	UROK	\N	\N
3530463	1	1997-05-31	PRIJEM	\N	54	12626	UROK	\N	\N
3530464	1	1997-06-30	PRIJEM	\N	55	13893	UROK	\N	\N
3530465	1	1997-07-31	PRIJEM	\N	64	16670	UROK	\N	\N
3530466	1	1997-08-31	PRIJEM	\N	67	15879	UROK	\N	\N
3530467	1	1997-09-30	PRIJEM	\N	65	16767	UROK	\N	\N
3530468	1	1997-10-31	PRIJEM	\N	72	18051	UROK	\N	\N
3530469	1	1997-11-30	PRIJEM	\N	72	18236	UROK	\N	\N
3530470	1	1997-12-31	PRIJEM	\N	62	14810	UROK	\N	\N
3530471	1	1998-01-31	PRIJEM	\N	56	13189	UROK	\N	\N
3530472	1	1998-02-28	PRIJEM	\N	56	14957	UROK	\N	\N
3530473	1	1998-03-31	PRIJEM	\N	63	15423	UROK	\N	\N
3530474	1	1998-04-30	PRIJEM	\N	60	15465	UROK	\N	\N
3530475	1	1998-05-31	PRIJEM	\N	67	16744	UROK	\N	\N
3530476	1	1998-06-30	PRIJEM	\N	72	17578	UROK	\N	\N
3530477	1	1998-07-31	PRIJEM	\N	75	18866	UROK	\N	\N
3530478	1	1998-08-31	PRIJEM	\N	77	19885	UROK	\N	\N
3530479	1	1998-09-30	PRIJEM	\N	59	14657	UROK	\N	\N
3530480	1	1998-10-31	PRIJEM	\N	63	15932	UROK	\N	\N
3530481	1	1998-11-30	PRIJEM	\N	67	16702	UROK	\N	\N
3530482	1	1998-12-31	PRIJEM	\N	53	13467	UROK	\N	\N
3530483	2	1993-03-31	PRIJEM	\N	14	25050	UROK	\N	\N
3530484	2	1993-04-30	PRIJEM	\N	110	34395	UROK	\N	\N
3530485	2	1993-05-31	PRIJEM	\N	145	37176	UROK	\N	\N
3530486	2	1993-06-30	PRIJEM	\N	160	45290	UROK	\N	\N
3530487	2	1993-07-31	PRIJEM	\N	203	39084	UROK	\N	\N
3530488	2	1993-08-31	PRIJEM	\N	154	27006	UROK	\N	\N
3530489	2	1993-09-30	PRIJEM	\N	127	21789	UROK	\N	\N
3530490	2	1993-10-31	PRIJEM	\N	101	27845	UROK	\N	\N
3530491	2	1993-11-30	PRIJEM	\N	139	31840	UROK	\N	\N
3530492	2	1993-12-31	PRIJEM	\N	138	27855	UROK	\N	\N
3530493	2	1994-01-31	PRIJEM	\N	115	20053	UROK	\N	\N
3530494	2	1994-02-28	PRIJEM	\N	108	26244	UROK	\N	\N
3530495	2	1994-03-31	PRIJEM	\N	129	31056	UROK	\N	\N
3530496	2	1994-04-30	PRIJEM	\N	150	33189	UROK	\N	\N
3530497	2	1994-05-31	PRIJEM	\N	137	20308	UROK	\N	\N
3530498	2	1994-06-30	PRIJEM	\N	126	29335	UROK	\N	\N
3530499	2	1994-07-31	PRIJEM	\N	121	30939	UROK	\N	\N
3530500	2	1994-08-31	PRIJEM	\N	143	32864	UROK	\N	\N
3530501	2	1994-09-30	PRIJEM	\N	139	25745	UROK	\N	\N
3530502	2	1994-10-31	PRIJEM	\N	130	32058	UROK	\N	\N
3530503	2	1994-11-30	PRIJEM	\N	138	31079	UROK	\N	\N
3530504	2	1994-12-31	PRIJEM	\N	149	32928	UROK	\N	\N
3530505	2	1995-01-31	PRIJEM	\N	118	20429	UROK	\N	\N
3530506	2	1995-02-28	PRIJEM	\N	110	28122	UROK	\N	\N
3530507	2	1995-03-31	PRIJEM	\N	135	33640	UROK	\N	\N
3530508	2	1995-04-30	PRIJEM	\N	146	31062	UROK	\N	\N
3530509	2	1995-05-31	PRIJEM	\N	122	23048	UROK	\N	\N
3530510	2	1995-06-30	PRIJEM	\N	143	36620	UROK	\N	\N
3530511	2	1995-07-31	PRIJEM	\N	162	37964	UROK	\N	\N
3530512	2	1995-08-31	PRIJEM	\N	130	21297	UROK	\N	\N
3530513	2	1995-09-30	PRIJEM	\N	110	29389	UROK	\N	\N
3530514	2	1995-10-31	PRIJEM	\N	122	26858	UROK	\N	\N
3530515	2	1995-11-30	PRIJEM	\N	133	35074	UROK	\N	\N
3530516	2	1995-12-31	PRIJEM	\N	163	39437	UROK	\N	\N
3530517	2	1996-01-31	PRIJEM	\N	100	22792	UROK	\N	\N
3530518	2	1996-02-29	PRIJEM	\N	135	38183	UROK	\N	\N
3530519	2	1996-03-31	PRIJEM	\N	186	38725	UROK	\N	\N
3530520	2	1996-04-30	PRIJEM	\N	167	22902	UROK	\N	\N
3530521	2	1996-05-31	PRIJEM	\N	126	32683	UROK	\N	\N
3530522	2	1996-06-30	PRIJEM	\N	165	52045	UROK	\N	\N
3530523	2	1996-07-31	PRIJEM	\N	200	35156	UROK	\N	\N
3530524	2	1996-08-31	PRIJEM	\N	168	44780	UROK	\N	\N
3530525	2	1996-09-30	PRIJEM	\N	160	32655	UROK	\N	\N
3530526	2	1996-10-31	PRIJEM	\N	171	45581	UROK	\N	\N
3530527	2	1996-11-30	PRIJEM	\N	192	49529	UROK	\N	\N
3530528	2	1996-12-31	PRIJEM	\N	204	53406	UROK	\N	\N
3530529	2	1997-01-31	PRIJEM	\N	157	29818	UROK	\N	\N
3530530	2	1997-02-28	PRIJEM	\N	151	39024	UROK	\N	\N
3530531	2	1997-03-31	PRIJEM	\N	172	45228	UROK	\N	\N
3530532	2	1997-04-30	PRIJEM	\N	201	53485	UROK	\N	\N
3530533	2	1997-05-31	PRIJEM	\N	225	57229	UROK	\N	\N
3530534	2	1997-06-30	PRIJEM	\N	158	27460	UROK	\N	\N
3530535	2	1997-07-31	PRIJEM	\N	172	48188	UROK	\N	\N
3530536	2	1997-08-31	PRIJEM	\N	183	43760	UROK	\N	\N
3530537	2	1997-09-30	PRIJEM	\N	191	52107	UROK	\N	\N
3530538	2	1997-10-31	PRIJEM	\N	197	51660	UROK	\N	\N
3530539	2	1997-11-30	PRIJEM	\N	195	51810	UROK	\N	\N
3530540	2	1997-12-31	PRIJEM	\N	207	53890	UROK	\N	\N
3530541	2	1998-01-31	PRIJEM	\N	151	31796	UROK	\N	\N
3530542	2	1998-02-28	PRIJEM	\N	139	40891	UROK	\N	\N
3530543	2	1998-03-31	PRIJEM	\N	145	29072	UROK	\N	\N
3530544	2	1998-04-30	PRIJEM	\N	146	40573	UROK	\N	\N
3530545	2	1998-05-31	PRIJEM	\N	154	43282	UROK	\N	\N
3530546	2	1998-06-30	PRIJEM	\N	201	56556	UROK	\N	\N
3530547	2	1998-07-31	PRIJEM	\N	217	50329	UROK	\N	\N
3530548	2	1998-08-31	PRIJEM	\N	194	42880	UROK	\N	\N
3530549	2	1998-09-30	PRIJEM	\N	195	44030	UROK	\N	\N
3530550	2	1998-10-31	PRIJEM	\N	194	46080	UROK	\N	\N
3530551	2	1998-11-30	PRIJEM	\N	173	36598	UROK	\N	\N
3530552	2	1998-12-31	PRIJEM	\N	157	42628	UROK	\N	\N
3530553	3	1997-07-31	PRIJEM	\N	24	8526	UROK	\N	\N
3530554	3	1997-08-31	PRIJEM	\N	79	23907	UROK	\N	\N
3530555	3	1997-09-30	PRIJEM	\N	114	29122	UROK	\N	\N
3530556	3	1997-10-31	PRIJEM	\N	123	29847	UROK	\N	\N
3530557	3	1997-11-30	PRIJEM	\N	125	30074	UROK	\N	\N
3530558	3	1997-12-31	PRIJEM	\N	113	26764	UROK	\N	\N
3530559	3	1998-01-31	PRIJEM	\N	79	12409	UROK	\N	\N
3530560	3	1998-02-28	PRIJEM	\N	57	15152	UROK	\N	\N
3530561	3	1998-03-31	PRIJEM	\N	88	23327	UROK	\N	\N
3530562	3	1998-04-30	PRIJEM	\N	102	23795	UROK	\N	\N
3530563	3	1998-05-31	PRIJEM	\N	101	25582	UROK	\N	\N
3530564	3	1998-06-30	PRIJEM	\N	107	27526	UROK	\N	\N
3530565	3	1998-07-31	PRIJEM	\N	123	31136	UROK	\N	\N
3530566	3	1998-08-31	PRIJEM	\N	137	34259	UROK	\N	\N
3530567	3	1998-09-30	PRIJEM	\N	147	36692	UROK	\N	\N
3530568	3	1998-10-31	PRIJEM	\N	166	42745	UROK	\N	\N
3530569	3	1998-11-30	PRIJEM	\N	178	47209	UROK	\N	\N
3530570	3	1998-12-31	PRIJEM	\N	210	51096	UROK	\N	\N
3530571	4	1996-07-31	PRIJEM	\N	67	25447	UROK	\N	\N
3530572	4	1996-08-31	PRIJEM	\N	105	23627	UROK	\N	\N
3530573	4	1996-09-30	PRIJEM	\N	99	22602	UROK	\N	\N
3530574	4	1996-10-31	PRIJEM	\N	101	24878	UROK	\N	\N
3530575	4	1996-11-30	PRIJEM	\N	110	27163	UROK	\N	\N
3530576	4	1996-12-31	PRIJEM	\N	109	24958	UROK	\N	\N
3530577	4	1997-01-31	PRIJEM	\N	89	15992	UROK	\N	\N
3530578	4	1997-02-28	PRIJEM	\N	73	18240	UROK	\N	\N
3530579	4	1997-03-31	PRIJEM	\N	79	18734	UROK	\N	\N
3530580	4	1997-04-30	PRIJEM	\N	84	20994	UROK	\N	\N
3530581	4	1997-05-31	PRIJEM	\N	92	20942	UROK	\N	\N
3530582	4	1997-06-30	PRIJEM	\N	74	17941	UROK	\N	\N
3530583	4	1997-07-31	PRIJEM	\N	81	20197	UROK	\N	\N
3530584	4	1997-08-31	PRIJEM	\N	83	19456	UROK	\N	\N
3530585	4	1997-09-30	PRIJEM	\N	87	19819	UROK	\N	\N
3530586	4	1997-10-31	PRIJEM	\N	86	20780	UROK	\N	\N
3530587	4	1997-11-30	PRIJEM	\N	89	22404	UROK	\N	\N
3530588	4	1997-12-31	PRIJEM	\N	92	19891	UROK	\N	\N
3530589	4	1998-01-31	PRIJEM	\N	64	13231	UROK	\N	\N
3530590	4	1998-02-28	PRIJEM	\N	61	15467	UROK	\N	\N
3530591	4	1998-03-31	PRIJEM	\N	71	17713	UROK	\N	\N
3530592	4	1998-04-30	PRIJEM	\N	78	19166	UROK	\N	\N
3530593	4	1998-05-31	PRIJEM	\N	86	21428	UROK	\N	\N
3530594	4	1998-06-30	PRIJEM	\N	91	22414	UROK	\N	\N
3530595	4	1998-07-31	PRIJEM	\N	98	22847	UROK	\N	\N
3530596	4	1998-08-31	PRIJEM	\N	101	25123	UROK	\N	\N
3530597	4	1998-09-30	PRIJEM	\N	111	27409	UROK	\N	\N
3530598	4	1998-10-31	PRIJEM	\N	120	29705	UROK	\N	\N
3530599	4	1998-11-30	PRIJEM	\N	130	32010	UROK	\N	\N
3530600	4	1998-12-31	PRIJEM	\N	136	33721	UROK	\N	\N
3530601	5	1997-10-31	PRIJEM	\N	4	25689	UROK	\N	\N
3530602	5	1997-11-30	PRIJEM	\N	113	28136	UROK	\N	\N
3530603	5	1997-12-31	PRIJEM	\N	116	27576	UROK	\N	\N
3530604	5	1998-01-31	PRIJEM	\N	101	22091	UROK	\N	\N
3530605	5	1998-02-28	PRIJEM	\N	98	24523	UROK	\N	\N
3530606	5	1998-03-31	PRIJEM	\N	108	26165	UROK	\N	\N
3530607	5	1998-04-30	PRIJEM	\N	113	26412	UROK	\N	\N
3530608	5	1998-05-31	PRIJEM	\N	114	26460	UROK	\N	\N
3530609	5	1998-06-30	PRIJEM	\N	115	28110	UROK	\N	\N
3530610	5	1998-07-31	PRIJEM	\N	119	26463	UROK	\N	\N
3530611	5	1998-08-31	PRIJEM	\N	110	23807	UROK	\N	\N
3530612	5	1998-09-30	PRIJEM	\N	103	24904	UROK	\N	\N
3530613	5	1998-10-31	PRIJEM	\N	110	27348	UROK	\N	\N
3530614	5	1998-11-30	PRIJEM	\N	120	29702	UROK	\N	\N
3530615	5	1998-12-31	PRIJEM	\N	122	28088	UROK	\N	\N
3530616	6	1995-02-28	PRIJEM	\N	70	23881	UROK	\N	\N
3530617	6	1995-03-31	PRIJEM	\N	107	26688	UROK	\N	\N
3530618	6	1995-04-30	PRIJEM	\N	118	29507	UROK	\N	\N
3530619	6	1995-05-31	PRIJEM	\N	126	28234	UROK	\N	\N
3530620	6	1995-06-30	PRIJEM	\N	115	27149	UROK	\N	\N
3530621	6	1995-07-31	PRIJEM	\N	120	29970	UROK	\N	\N
3530622	6	1995-08-31	PRIJEM	\N	130	31100	UROK	\N	\N
3530623	6	1995-09-30	PRIJEM	\N	136	33737	UROK	\N	\N
3530624	6	1995-10-31	PRIJEM	\N	146	32584	UROK	\N	\N
3530625	6	1995-11-30	PRIJEM	\N	136	32380	UROK	\N	\N
3530626	6	1995-12-31	PRIJEM	\N	139	33819	UROK	\N	\N
3530627	6	1996-01-31	PRIJEM	\N	129	26079	UROK	\N	\N
3530628	6	1996-02-29	PRIJEM	\N	110	25609	UROK	\N	\N
3530629	6	1996-03-31	PRIJEM	\N	113	27863	UROK	\N	\N
3530630	6	1996-04-30	PRIJEM	\N	120	29163	UROK	\N	\N
3530631	6	1996-05-31	PRIJEM	\N	129	31992	UROK	\N	\N
3530632	6	1996-06-30	PRIJEM	\N	109	23201	UROK	\N	\N
3530633	6	1996-07-31	PRIJEM	\N	104	26005	UROK	\N	\N
3530634	6	1996-08-31	PRIJEM	\N	115	28821	UROK	\N	\N
3530635	6	1996-09-30	PRIJEM	\N	127	31648	UROK	\N	\N
3530636	6	1996-10-31	PRIJEM	\N	137	32806	UROK	\N	\N
3530637	6	1996-11-30	PRIJEM	\N	143	35650	UROK	\N	\N
3530638	6	1996-12-31	PRIJEM	\N	144	33524	UROK	\N	\N
3530639	6	1997-01-31	PRIJEM	\N	121	23616	UROK	\N	\N
3530640	6	1997-02-28	PRIJEM	\N	105	26421	UROK	\N	\N
3530641	6	1997-03-31	PRIJEM	\N	117	29238	UROK	\N	\N
3530642	6	1997-04-30	PRIJEM	\N	128	32066	UROK	\N	\N
3530643	6	1997-05-31	PRIJEM	\N	140	34907	UROK	\N	\N
3530644	6	1997-06-30	PRIJEM	\N	148	35706	UROK	\N	\N
3530645	6	1997-07-31	PRIJEM	\N	144	33830	UROK	\N	\N
3530646	6	1997-08-31	PRIJEM	\N	145	35555	UROK	\N	\N
3530647	6	1997-09-30	PRIJEM	\N	154	38410	UROK	\N	\N
3530648	6	1997-10-31	PRIJEM	\N	166	41277	UROK	\N	\N
3530649	6	1997-11-30	PRIJEM	\N	178	44155	UROK	\N	\N
3530650	6	1997-12-31	PRIJEM	\N	188	46003	UROK	\N	\N
3530651	6	1998-01-31	PRIJEM	\N	170	35824	UROK	\N	\N
3530652	6	1998-02-28	PRIJEM	\N	155	38679	UROK	\N	\N
3530653	6	1998-03-31	PRIJEM	\N	162	39301	UROK	\N	\N
3530654	6	1998-04-30	PRIJEM	\N	169	42171	UROK	\N	\N
3530655	6	1998-05-31	PRIJEM	\N	178	42809	UROK	\N	\N
3530656	6	1998-06-30	PRIJEM	\N	171	35600	UROK	\N	\N
3530657	6	1998-07-31	PRIJEM	\N	152	37253	UROK	\N	\N
3530658	6	1998-08-31	PRIJEM	\N	161	40114	UROK	\N	\N
3530659	6	1998-09-30	PRIJEM	\N	172	42987	UROK	\N	\N
3530660	6	1998-10-31	PRIJEM	\N	175	42343	UROK	\N	\N
3530661	6	1998-11-30	PRIJEM	\N	182	45225	UROK	\N	\N
3530662	6	1998-12-31	PRIJEM	\N	193	47668	UROK	\N	\N
3530663	7	1996-12-31	PRIJEM	\N	30	28305	UROK	\N	\N
3530664	7	1997-01-31	PRIJEM	\N	130	38786	UROK	\N	\N
3530665	7	1997-02-28	PRIJEM	\N	170	47105	UROK	\N	\N
3530666	7	1997-03-31	PRIJEM	\N	196	47351	UROK	\N	\N
3530667	7	1997-04-30	PRIJEM	\N	201	51603	UROK	\N	\N
3530668	7	1997-05-31	PRIJEM	\N	250	47708	UROK	\N	\N
3530669	7	1997-06-30	PRIJEM	\N	265	52754	UROK	\N	\N
3530670	7	1997-07-31	PRIJEM	\N	250	50080	UROK	\N	\N
3530671	7	1997-08-31	PRIJEM	\N	238	50193	UROK	\N	\N
3530672	7	1997-09-30	PRIJEM	\N	246	53794	UROK	\N	\N
3530673	7	1997-10-31	PRIJEM	\N	262	58212	UROK	\N	\N
3530674	7	1997-11-30	PRIJEM	\N	271	57838	UROK	\N	\N
3530675	7	1997-12-31	PRIJEM	\N	294	61412	UROK	\N	\N
3530676	7	1998-01-31	PRIJEM	\N	266	50274	UROK	\N	\N
3530677	7	1998-02-28	PRIJEM	\N	253	60082	UROK	\N	\N
3530678	7	1998-03-31	PRIJEM	\N	285	64222	UROK	\N	\N
3530679	7	1998-04-30	PRIJEM	\N	300	67777	UROK	\N	\N
3530680	7	1998-05-31	PRIJEM	\N	310	69343	UROK	\N	\N
3530681	7	1998-06-30	PRIJEM	\N	322	72605	UROK	\N	\N
3530682	7	1998-07-31	PRIJEM	\N	331	75592	UROK	\N	\N
3530683	7	1998-08-31	PRIJEM	\N	337	75064	UROK	\N	\N
3530684	7	1998-09-30	PRIJEM	\N	332	75351	UROK	\N	\N
3530685	7	1998-10-31	PRIJEM	\N	322	71329	UROK	\N	\N
3530686	7	1998-11-30	PRIJEM	\N	311	70595	UROK	\N	\N
3530687	7	1998-12-31	PRIJEM	\N	320	68496	UROK	\N	\N
3530688	8	1995-10-31	PRIJEM	\N	37	25112	UROK	\N	\N
3530689	8	1995-11-30	PRIJEM	\N	118	33705	UROK	\N	\N
3530690	8	1995-12-31	PRIJEM	\N	162	47679	UROK	\N	\N
3530691	8	1996-01-31	PRIJEM	\N	203	50657	UROK	\N	\N
3530692	8	1996-02-29	PRIJEM	\N	247	52967	UROK	\N	\N
3530693	8	1996-03-31	PRIJEM	\N	237	49640	UROK	\N	\N
3530694	8	1996-04-30	PRIJEM	\N	226	48602	UROK	\N	\N
3530695	8	1996-05-31	PRIJEM	\N	229	51967	UROK	\N	\N
3530696	8	1996-06-30	PRIJEM	\N	242	47382	UROK	\N	\N
3530697	8	1996-07-31	PRIJEM	\N	209	46027	UROK	\N	\N
3530698	8	1996-08-31	PRIJEM	\N	210	47174	UROK	\N	\N
3530699	8	1996-09-30	PRIJEM	\N	214	49624	UROK	\N	\N
3530700	8	1996-10-31	PRIJEM	\N	207	41788	UROK	\N	\N
3530701	8	1996-11-30	PRIJEM	\N	183	40007	UROK	\N	\N
3530702	8	1996-12-31	PRIJEM	\N	193	42034	UROK	\N	\N
3530703	8	1997-01-31	PRIJEM	\N	140	25751	UROK	\N	\N
3530704	8	1997-02-28	PRIJEM	\N	144	37231	UROK	\N	\N
3530705	8	1997-03-31	PRIJEM	\N	185	42472	UROK	\N	\N
3530706	8	1997-04-30	PRIJEM	\N	202	48411	UROK	\N	\N
3530707	8	1997-05-31	PRIJEM	\N	219	51266	UROK	\N	\N
3530708	8	1997-06-30	PRIJEM	\N	230	38650	UROK	\N	\N
3530709	8	1997-07-31	PRIJEM	\N	181	42967	UROK	\N	\N
3530710	8	1997-08-31	PRIJEM	\N	190	45093	UROK	\N	\N
3530711	8	1997-09-30	PRIJEM	\N	191	44720	UROK	\N	\N
3530712	8	1997-10-31	PRIJEM	\N	188	44144	UROK	\N	\N
3530713	8	1997-11-30	PRIJEM	\N	185	43665	UROK	\N	\N
3530714	8	1997-12-31	PRIJEM	\N	205	49403	UROK	\N	\N
3530715	8	1998-01-31	PRIJEM	\N	160	21939	UROK	\N	\N
3530716	8	1998-02-28	PRIJEM	\N	118	26534	UROK	\N	\N
3530717	8	1998-03-31	PRIJEM	\N	138	33828	UROK	\N	\N
3530718	8	1998-04-30	PRIJEM	\N	164	41229	UROK	\N	\N
3530719	8	1998-05-31	PRIJEM	\N	183	44748	UROK	\N	\N
3530720	8	1998-06-30	PRIJEM	\N	279	31600	UROK	\N	\N
3530721	8	1998-07-31	PRIJEM	\N	165	42401	UROK	\N	\N
3530722	8	1998-08-31	PRIJEM	\N	215	51173	UROK	\N	\N
3530723	8	1998-09-30	PRIJEM	\N	247	62756	UROK	\N	\N
3530724	8	1998-10-31	PRIJEM	\N	285	68778	UROK	\N	\N
3530725	8	1998-11-30	PRIJEM	\N	256	62570	UROK	\N	\N
3530726	8	1998-12-31	PRIJEM	\N	294	72617	UROK	\N	\N
3530727	10	1996-09-30	PRIJEM	\N	12	21998	UROK	\N	\N
3530728	10	1996-10-31	PRIJEM	\N	99	32783	UROK	\N	\N
3530729	10	1996-11-30	PRIJEM	\N	141	39110	UROK	\N	\N
3530730	10	1996-12-31	PRIJEM	\N	170	48008	UROK	\N	\N
3530731	10	1997-01-31	PRIJEM	\N	200	36754	UROK	\N	\N
3530732	10	1997-02-28	PRIJEM	\N	174	41166	UROK	\N	\N
3530733	10	1997-03-31	PRIJEM	\N	196	42380	UROK	\N	\N
3530734	10	1997-04-30	PRIJEM	\N	197	45616	UROK	\N	\N
3530735	10	1997-05-31	PRIJEM	\N	196	42470	UROK	\N	\N
3530736	10	1997-06-30	PRIJEM	\N	162	38974	UROK	\N	\N
3530737	10	1997-07-31	PRIJEM	\N	180	40693	UROK	\N	\N
3530738	10	1997-08-31	PRIJEM	\N	188	46419	UROK	\N	\N
3530739	10	1997-09-30	PRIJEM	\N	210	49367	UROK	\N	\N
3530740	10	1997-10-31	PRIJEM	\N	220	50826	UROK	\N	\N
3530741	10	1997-11-30	PRIJEM	\N	224	51488	UROK	\N	\N
3530742	10	1997-12-31	PRIJEM	\N	227	47577	UROK	\N	\N
3530743	10	1998-01-31	PRIJEM	\N	180	38275	UROK	\N	\N
3530744	10	1998-02-28	PRIJEM	\N	177	43990	UROK	\N	\N
3530745	10	1998-03-31	PRIJEM	\N	201	48629	UROK	\N	\N
3530746	10	1998-04-30	PRIJEM	\N	214	50602	UROK	\N	\N
3530747	10	1998-05-31	PRIJEM	\N	216	50716	UROK	\N	\N
3530748	10	1998-06-30	PRIJEM	\N	211	45689	UROK	\N	\N
3530749	10	1998-07-31	PRIJEM	\N	208	51235	UROK	\N	\N
3530750	10	1998-08-31	PRIJEM	\N	232	57705	UROK	\N	\N
3530751	10	1998-09-30	PRIJEM	\N	262	66606	UROK	\N	\N
3530752	10	1998-10-31	PRIJEM	\N	283	67327	UROK	\N	\N
3530753	10	1998-11-30	PRIJEM	\N	283	63929	UROK	\N	\N
3530754	10	1998-12-31	PRIJEM	\N	265	59295	UROK	\N	\N
3530755	11	1995-10-31	PRIJEM	\N	10	3804	UROK	\N	\N
3530756	11	1995-11-30	PRIJEM	\N	16	7314	UROK	\N	\N
3530757	11	1995-12-31	PRIJEM	\N	16	10824	UROK	\N	\N
3530758	11	1996-01-31	PRIJEM	\N	16	14334	UROK	\N	\N
3530759	11	1996-02-29	PRIJEM	\N	45	15741	UROK	\N	\N
3530760	11	1996-03-31	PRIJEM	\N	69	17157	UROK	\N	\N
3530761	11	1996-04-30	PRIJEM	\N	75	18579	UROK	\N	\N
3530762	11	1996-05-31	PRIJEM	\N	81	20007	UROK	\N	\N
3530763	11	1996-06-30	PRIJEM	\N	87	21171	UROK	\N	\N
3530764	11	1996-07-31	PRIJEM	\N	92	22610	UROK	\N	\N
3530765	11	1996-08-31	PRIJEM	\N	98	24055	UROK	\N	\N
3530766	11	1996-09-30	PRIJEM	\N	104	25506	UROK	\N	\N
3530767	11	1996-10-31	PRIJEM	\N	110	26963	UROK	\N	\N
3530768	11	1996-11-30	PRIJEM	\N	115	27825	UROK	\N	\N
3530769	11	1996-12-31	PRIJEM	\N	119	28902	UROK	\N	\N
3530770	11	1997-01-31	PRIJEM	\N	121	27820	UROK	\N	\N
3530771	11	1997-02-28	PRIJEM	\N	115	27873	UROK	\N	\N
3530772	11	1997-03-31	PRIJEM	\N	117	28227	UROK	\N	\N
3530773	11	1997-04-30	PRIJEM	\N	121	29696	UROK	\N	\N
3530774	11	1997-05-31	PRIJEM	\N	127	31170	UROK	\N	\N
3530775	11	1997-06-30	PRIJEM	\N	131	31538	UROK	\N	\N
3530776	11	1997-07-31	PRIJEM	\N	135	33020	UROK	\N	\N
3530777	11	1997-08-31	PRIJEM	\N	140	33208	UROK	\N	\N
3530778	11	1997-09-30	PRIJEM	\N	141	33886	UROK	\N	\N
3530779	11	1997-10-31	PRIJEM	\N	144	35378	UROK	\N	\N
3530780	11	1997-11-30	PRIJEM	\N	150	36876	UROK	\N	\N
3530781	11	1997-12-31	PRIJEM	\N	156	37869	UROK	\N	\N
3530782	11	1998-01-31	PRIJEM	\N	153	36130	UROK	\N	\N
3530783	11	1998-02-28	PRIJEM	\N	150	36487	UROK	\N	\N
3530784	11	1998-03-31	PRIJEM	\N	153	34388	UROK	\N	\N
3530785	11	1998-04-30	PRIJEM	\N	142	29178	UROK	\N	\N
3530786	11	1998-05-31	PRIJEM	\N	123	28878	UROK	\N	\N
3530787	11	1998-06-30	PRIJEM	\N	121	27946	UROK	\N	\N
3530788	11	1998-07-31	PRIJEM	\N	115	23708	UROK	\N	\N
3530789	11	1998-08-31	PRIJEM	\N	100	23026	UROK	\N	\N
3530790	11	1998-09-30	PRIJEM	\N	96	22169	UROK	\N	\N
3530791	11	1998-10-31	PRIJEM	\N	92	20909	UROK	\N	\N
3530792	11	1998-11-30	PRIJEM	\N	90	22346	UROK	\N	\N
3530793	11	1998-12-31	PRIJEM	\N	94	23187	UROK	\N	\N
3530794	12	1997-07-31	PRIJEM	\N	43	17857	UROK	\N	\N
3530795	12	1997-08-31	PRIJEM	\N	81	20676	UROK	\N	\N
3530796	12	1997-09-30	PRIJEM	\N	98	25713	UROK	\N	\N
3530797	12	1997-10-31	PRIJEM	\N	110	26475	UROK	\N	\N
3530798	12	1997-11-30	PRIJEM	\N	116	28922	UROK	\N	\N
3530799	12	1997-12-31	PRIJEM	\N	115	25728	UROK	\N	\N
3530800	12	1998-01-31	PRIJEM	\N	86	17555	UROK	\N	\N
3530801	12	1998-02-28	PRIJEM	\N	66	16033	UROK	\N	\N
3530802	12	1998-03-31	PRIJEM	\N	72	18436	UROK	\N	\N
3530803	12	1998-04-30	PRIJEM	\N	82	20850	UROK	\N	\N
3530804	12	1998-05-31	PRIJEM	\N	92	23274	UROK	\N	\N
3530805	12	1998-06-30	PRIJEM	\N	89	14693	UROK	\N	\N
3530806	12	1998-07-31	PRIJEM	\N	67	17091	UROK	\N	\N
3530807	12	1998-08-31	PRIJEM	\N	77	19499	UROK	\N	\N
3530808	12	1998-09-30	PRIJEM	\N	87	21917	UROK	\N	\N
3530809	12	1998-10-31	PRIJEM	\N	88	22497	UROK	\N	\N
3530810	12	1998-11-30	PRIJEM	\N	99	24927	UROK	\N	\N
3530811	12	1998-12-31	PRIJEM	\N	105	26113	UROK	\N	\N
3530812	13	1997-11-30	PRIJEM	\N	45	20354	UROK	\N	\N
3530813	13	1997-12-31	PRIJEM	\N	90	22948	UROK	\N	\N
3530814	13	1998-01-31	PRIJEM	\N	84	13855	UROK	\N	\N
3530815	13	1998-02-28	PRIJEM	\N	67	16566	UROK	\N	\N
3530816	13	1998-03-31	PRIJEM	\N	73	16984	UROK	\N	\N
3530817	13	1998-04-30	PRIJEM	\N	65	13493	UROK	\N	\N
3530818	13	1998-05-31	PRIJEM	\N	53	11090	UROK	\N	\N
3530819	13	1998-06-30	PRIJEM	\N	57	14391	UROK	\N	\N
3530820	13	1998-07-31	PRIJEM	\N	60	12875	UROK	\N	\N
3530821	13	1998-08-31	PRIJEM	\N	51	11471	UROK	\N	\N
3530822	13	1998-09-30	PRIJEM	\N	49	11565	UROK	\N	\N
3530823	13	1998-10-31	PRIJEM	\N	62	15971	UROK	\N	\N
3530824	13	1998-11-30	PRIJEM	\N	59	13174	UROK	\N	\N
3530825	13	1998-12-31	PRIJEM	\N	57	13225	UROK	\N	\N
3530826	14	1996-12-31	PRIJEM	\N	17	24754	UROK	\N	\N
3530827	14	1997-01-31	PRIJEM	\N	108	30619	UROK	\N	\N
3530828	14	1997-02-28	PRIJEM	\N	130	36108	UROK	\N	\N
3530829	14	1997-03-31	PRIJEM	\N	151	37116	UROK	\N	\N
3530830	14	1997-04-30	PRIJEM	\N	153	34827	UROK	\N	\N
3530831	14	1997-05-31	PRIJEM	\N	168	34210	UROK	\N	\N
3530832	14	1997-06-30	PRIJEM	\N	183	36085	UROK	\N	\N
3530833	14	1997-07-31	PRIJEM	\N	174	37173	UROK	\N	\N
3530834	14	1997-08-31	PRIJEM	\N	175	36963	UROK	\N	\N
3530835	14	1997-09-30	PRIJEM	\N	177	39654	UROK	\N	\N
3530836	14	1997-10-31	PRIJEM	\N	181	37250	UROK	\N	\N
3530837	14	1997-11-30	PRIJEM	\N	171	35536	UROK	\N	\N
3530838	14	1997-12-31	PRIJEM	\N	182	39611	UROK	\N	\N
3530839	14	1998-01-31	PRIJEM	\N	175	35601	UROK	\N	\N
3530840	14	1998-02-28	PRIJEM	\N	167	37282	UROK	\N	\N
3530841	14	1998-03-31	PRIJEM	\N	173	37169	UROK	\N	\N
3530842	14	1998-04-30	PRIJEM	\N	176	40259	UROK	\N	\N
3530843	14	1998-05-31	PRIJEM	\N	187	40960	UROK	\N	\N
3530844	14	1998-06-30	PRIJEM	\N	194	30247	UROK	\N	\N
3530845	14	1998-07-31	PRIJEM	\N	154	38515	UROK	\N	\N
3530846	14	1998-08-31	PRIJEM	\N	188	47018	UROK	\N	\N
3530847	14	1998-09-30	PRIJEM	\N	199	44231	UROK	\N	\N
3530848	14	1998-10-31	PRIJEM	\N	196	44742	UROK	\N	\N
3530849	14	1998-11-30	PRIJEM	\N	185	38341	UROK	\N	\N
3530850	14	1998-12-31	PRIJEM	\N	179	39314	UROK	\N	\N
3530851	15	1993-10-31	PRIJEM	\N	62	17927	UROK	\N	\N
3530852	15	1993-11-30	PRIJEM	\N	149	39542	UROK	\N	\N
3530853	15	1993-12-31	PRIJEM	\N	227	58066	UROK	\N	\N
3530854	15	1994-01-31	PRIJEM	\N	176	43707	UROK	\N	\N
3530855	15	1994-02-28	PRIJEM	\N	240	57940	UROK	\N	\N
3530856	15	1994-03-31	PRIJEM	\N	227	48205	UROK	\N	\N
3530857	15	1994-04-30	PRIJEM	\N	209	52592	UROK	\N	\N
3530858	15	1994-05-31	PRIJEM	\N	232	40502	UROK	\N	\N
3530859	15	1994-06-30	PRIJEM	\N	93	20686	UROK	\N	\N
3530860	15	1994-07-31	PRIJEM	\N	133	30197	UROK	\N	\N
3530861	15	1994-08-31	PRIJEM	\N	169	34545	UROK	\N	\N
3530862	15	1994-09-30	PRIJEM	\N	195	37018	UROK	\N	\N
3530863	15	1994-10-31	PRIJEM	\N	193	35690	UROK	\N	\N
3530864	15	1994-11-30	PRIJEM	\N	188	36456	UROK	\N	\N
3530865	15	1994-12-31	PRIJEM	\N	209	41736	UROK	\N	\N
3530866	15	1995-01-31	PRIJEM	\N	178	31932	UROK	\N	\N
3530867	15	1995-02-28	PRIJEM	\N	179	33190	UROK	\N	\N
3530868	15	1995-03-31	PRIJEM	\N	184	33952	UROK	\N	\N
3530869	15	1995-04-30	PRIJEM	\N	188	36018	UROK	\N	\N
3530870	15	1995-05-31	PRIJEM	\N	185	35782	UROK	\N	\N
3530871	15	1995-06-30	PRIJEM	\N	190	37243	UROK	\N	\N
3530872	15	1995-07-31	PRIJEM	\N	196	37318	UROK	\N	\N
3530873	15	1995-08-31	PRIJEM	\N	177	36293	UROK	\N	\N
3530874	15	1995-09-30	PRIJEM	\N	182	35354	UROK	\N	\N
3530875	15	1995-10-31	PRIJEM	\N	180	37912	UROK	\N	\N
3530876	15	1995-11-30	PRIJEM	\N	197	41087	UROK	\N	\N
3530877	15	1995-12-31	PRIJEM	\N	228	43166	UROK	\N	\N
3530878	15	1996-01-31	PRIJEM	\N	171	25676	UROK	\N	\N
3530879	15	1996-02-29	PRIJEM	\N	139	30193	UROK	\N	\N
3530880	15	1996-03-31	PRIJEM	\N	155	32827	UROK	\N	\N
3530881	15	1996-04-30	PRIJEM	\N	169	34474	UROK	\N	\N
3530882	15	1996-05-31	PRIJEM	\N	170	36622	UROK	\N	\N
3530883	15	1996-06-30	PRIJEM	\N	182	34555	UROK	\N	\N
3530884	15	1996-07-31	PRIJEM	\N	171	35505	UROK	\N	\N
3530885	15	1996-08-31	PRIJEM	\N	163	33226	UROK	\N	\N
3530886	15	1996-09-30	PRIJEM	\N	160	32805	UROK	\N	\N
3530887	15	1996-10-31	PRIJEM	\N	162	32805	UROK	\N	\N
3530888	15	1996-11-30	PRIJEM	\N	152	30576	UROK	\N	\N
3530889	15	1996-12-31	PRIJEM	\N	152	33579	UROK	\N	\N
3530890	15	1997-01-31	PRIJEM	\N	131	21848	UROK	\N	\N
3530891	15	1997-02-28	PRIJEM	\N	127	32033	UROK	\N	\N
3530892	15	1997-03-31	PRIJEM	\N	152	33183	UROK	\N	\N
3530893	15	1997-04-30	PRIJEM	\N	154	33535	UROK	\N	\N
3530894	15	1997-05-31	PRIJEM	\N	148	32162	UROK	\N	\N
3530895	15	1997-06-30	PRIJEM	\N	173	39046	UROK	\N	\N
3530896	15	1997-07-31	PRIJEM	\N	158	30263	UROK	\N	\N
3530897	15	1997-08-31	PRIJEM	\N	143	32685	UROK	\N	\N
3530898	15	1997-09-30	PRIJEM	\N	146	33209	UROK	\N	\N
3530899	15	1997-10-31	PRIJEM	\N	144	33091	UROK	\N	\N
3530900	15	1997-11-30	PRIJEM	\N	144	33214	UROK	\N	\N
3530901	15	1997-12-31	PRIJEM	\N	162	37027	UROK	\N	\N
3530902	15	1998-01-31	PRIJEM	\N	128	20553	UROK	\N	\N
3530903	15	1998-02-28	PRIJEM	\N	99	24831	UROK	\N	\N
3530904	15	1998-03-31	PRIJEM	\N	101	21310	UROK	\N	\N
3530905	15	1998-04-30	PRIJEM	\N	95	22984	UROK	\N	\N
3530906	15	1998-05-31	PRIJEM	\N	103	24465	UROK	\N	\N
3530907	15	1998-06-30	PRIJEM	\N	79	16636	UROK	\N	\N
3530908	15	1998-07-31	PRIJEM	\N	78	19793	UROK	\N	\N
3530909	15	1998-08-31	PRIJEM	\N	85	21356	UROK	\N	\N
3530910	15	1998-09-30	PRIJEM	\N	141	20475	UROK	\N	\N
3530911	15	1998-10-31	PRIJEM	\N	138	19191	UROK	\N	\N
3530912	15	1998-11-30	PRIJEM	\N	111	26800	UROK	\N	\N
3530913	15	1998-12-31	PRIJEM	\N	191	47423	UROK	\N	\N
3530914	17	1997-08-31	PRIJEM	\N	132	70500	UROK	\N	\N
3530915	17	1997-09-30	PRIJEM	\N	293	45294	UROK	\N	\N
3530916	17	1997-10-31	PRIJEM	\N	293	35487	UROK	\N	\N
3530917	17	1997-11-30	PRIJEM	\N	300	75275	UROK	\N	\N
3530918	17	1997-12-31	PRIJEM	\N	312	52587	UROK	\N	\N
3530919	17	1998-01-31	PRIJEM	\N	212	46543	UROK	\N	\N
3530920	17	1998-02-28	PRIJEM	\N	193	38736	UROK	\N	\N
3530921	17	1998-03-31	PRIJEM	\N	193	35129	UROK	\N	\N
3530922	17	1998-04-30	PRIJEM	\N	193	33522	UROK	\N	\N
3530923	17	1998-05-31	PRIJEM	\N	215	61625	UROK	\N	\N
3530924	17	1998-06-30	PRIJEM	\N	256	52281	UROK	\N	\N
3530925	17	1998-07-31	PRIJEM	\N	256	48437	UROK	\N	\N
3530926	17	1998-08-31	PRIJEM	\N	254	47790	UROK	\N	\N
3530927	17	1998-09-30	PRIJEM	\N	198	47988	UROK	\N	\N
3530928	17	1998-10-31	PRIJEM	\N	198	47986	UROK	\N	\N
3530929	17	1998-11-30	PRIJEM	\N	357	74296	UROK	\N	\N
3530930	17	1998-12-31	PRIJEM	\N	363	97878	UROK	\N	\N
3530931	20	1997-01-31	PRIJEM	\N	30	12472	UROK	\N	\N
3530932	20	1997-02-28	PRIJEM	\N	54	11913	UROK	\N	\N
3530933	20	1997-03-31	PRIJEM	\N	57	12957	UROK	\N	\N
3530934	20	1997-04-30	PRIJEM	\N	56	14001	UROK	\N	\N
3530935	20	1997-05-31	PRIJEM	\N	61	15049	UROK	\N	\N
3530936	20	1997-06-30	PRIJEM	\N	63	12670	UROK	\N	\N
3530937	20	1997-07-31	PRIJEM	\N	60	13717	UROK	\N	\N
3530938	20	1997-08-31	PRIJEM	\N	60	14764	UROK	\N	\N
3530939	20	1997-09-30	PRIJEM	\N	68	15820	UROK	\N	\N
3530940	20	1997-10-31	PRIJEM	\N	73	16880	UROK	\N	\N
3530941	20	1997-11-30	PRIJEM	\N	77	17734	UROK	\N	\N
3530942	20	1997-12-31	PRIJEM	\N	75	18196	UROK	\N	\N
3530943	20	1998-01-31	PRIJEM	\N	72	15835	UROK	\N	\N
3530944	20	1998-02-28	PRIJEM	\N	71	16143	UROK	\N	\N
3530945	20	1998-03-31	PRIJEM	\N	74	16364	UROK	\N	\N
3530946	20	1998-04-30	PRIJEM	\N	75	17426	UROK	\N	\N
3530947	20	1998-05-31	PRIJEM	\N	74	17467	UROK	\N	\N
3530948	20	1998-06-30	PRIJEM	\N	70	13575	UROK	\N	\N
3530949	20	1998-07-31	PRIJEM	\N	63	14625	UROK	\N	\N
3530950	20	1998-08-31	PRIJEM	\N	68	15680	UROK	\N	\N
3530951	20	1998-09-30	PRIJEM	\N	66	15443	UROK	\N	\N
3530952	20	1998-10-31	PRIJEM	\N	71	16502	UROK	\N	\N
3530953	20	1998-11-30	PRIJEM	\N	74	16963	UROK	\N	\N
3530954	20	1998-12-31	PRIJEM	\N	72	17692	UROK	\N	\N
3530955	21	1997-12-31	PRIJEM	\N	49	15272	UROK	\N	\N
3530956	21	1998-01-31	PRIJEM	\N	107	28793	UROK	\N	\N
3530957	21	1998-02-28	PRIJEM	\N	135	33844	UROK	\N	\N
3530958	21	1998-03-31	PRIJEM	\N	159	39718	UROK	\N	\N
3530959	21	1998-04-30	PRIJEM	\N	156	35813	UROK	\N	\N
3530960	21	1998-05-31	PRIJEM	\N	161	38498	UROK	\N	\N
3530961	21	1998-06-30	PRIJEM	\N	93	15022	UROK	\N	\N
3530962	21	1998-07-31	PRIJEM	\N	101	25948	UROK	\N	\N
3530963	21	1998-08-31	PRIJEM	\N	113	26045	UROK	\N	\N
3530964	21	1998-09-30	PRIJEM	\N	143	35812	UROK	\N	\N
3530965	21	1998-10-31	PRIJEM	\N	172	41508	UROK	\N	\N
3530966	21	1998-11-30	PRIJEM	\N	204	50337	UROK	\N	\N
3530967	21	1998-12-31	PRIJEM	\N	222	53231	UROK	\N	\N
3530968	22	1994-04-30	PRIJEM	\N	27	21500	UROK	\N	\N
3530969	22	1994-05-31	PRIJEM	\N	105	32777	UROK	\N	\N
3530970	22	1994-06-30	PRIJEM	\N	149	42337	UROK	\N	\N
3530971	22	1994-07-31	PRIJEM	\N	171	39281	UROK	\N	\N
3530972	22	1994-08-31	PRIJEM	\N	166	41220	UROK	\N	\N
3530973	22	1994-09-30	PRIJEM	\N	177	38303	UROK	\N	\N
3530974	22	1994-10-31	PRIJEM	\N	157	33566	UROK	\N	\N
3530975	22	1994-11-30	PRIJEM	\N	146	33018	UROK	\N	\N
3530976	22	1994-12-31	PRIJEM	\N	153	35515	UROK	\N	\N
3530977	22	1995-01-31	PRIJEM	\N	148	30469	UROK	\N	\N
3530978	22	1995-02-28	PRIJEM	\N	130	28305	UROK	\N	\N
3530979	22	1995-03-31	PRIJEM	\N	134	32245	UROK	\N	\N
3530980	22	1995-04-30	PRIJEM	\N	138	30790	UROK	\N	\N
3530981	22	1995-05-31	PRIJEM	\N	138	32234	UROK	\N	\N
3530982	22	1995-06-30	PRIJEM	\N	161	40138	UROK	\N	\N
3530983	22	1995-07-31	PRIJEM	\N	171	39415	UROK	\N	\N
3530984	22	1995-08-31	PRIJEM	\N	166	38588	UROK	\N	\N
3530985	22	1995-09-30	PRIJEM	\N	155	36349	UROK	\N	\N
3530986	22	1995-10-31	PRIJEM	\N	148	34204	UROK	\N	\N
3530987	22	1995-11-30	PRIJEM	\N	138	33448	UROK	\N	\N
3530988	22	1995-12-31	PRIJEM	\N	155	39646	UROK	\N	\N
3530989	22	1996-01-31	PRIJEM	\N	151	29404	UROK	\N	\N
3530990	22	1996-02-29	PRIJEM	\N	154	42064	UROK	\N	\N
3530991	22	1996-03-31	PRIJEM	\N	202	41972	UROK	\N	\N
3530992	22	1996-04-30	PRIJEM	\N	192	46171	UROK	\N	\N
3530993	22	1996-05-31	PRIJEM	\N	192	44169	UROK	\N	\N
3530994	22	1996-06-30	PRIJEM	\N	154	29266	UROK	\N	\N
3530995	22	1996-07-31	PRIJEM	\N	162	44835	UROK	\N	\N
3530996	22	1996-08-31	PRIJEM	\N	196	50038	UROK	\N	\N
3530997	22	1996-09-30	PRIJEM	\N	211	53155	UROK	\N	\N
3530998	22	1996-10-31	PRIJEM	\N	225	56286	UROK	\N	\N
3530999	22	1996-11-30	PRIJEM	\N	224	54816	UROK	\N	\N
3531000	22	1996-12-31	PRIJEM	\N	255	66615	UROK	\N	\N
3531001	22	1997-01-31	PRIJEM	\N	248	57170	UROK	\N	\N
3531002	22	1997-02-28	PRIJEM	\N	243	61520	UROK	\N	\N
3531003	22	1997-03-31	PRIJEM	\N	249	61174	UROK	\N	\N
3531004	22	1997-04-30	PRIJEM	\N	258	64539	UROK	\N	\N
3531005	22	1997-05-31	PRIJEM	\N	264	65109	UROK	\N	\N
3531006	22	1997-06-30	PRIJEM	\N	247	61999	UROK	\N	\N
3531007	22	1997-07-31	PRIJEM	\N	234	56739	UROK	\N	\N
3531008	22	1997-08-31	PRIJEM	\N	225	51171	UROK	\N	\N
3531009	22	1997-09-30	PRIJEM	\N	219	54696	UROK	\N	\N
3531010	22	1997-10-31	PRIJEM	\N	215	51118	UROK	\N	\N
3531011	22	1997-11-30	PRIJEM	\N	214	54038	UROK	\N	\N
3531012	22	1997-12-31	PRIJEM	\N	233	57715	UROK	\N	\N
3531013	22	1998-01-31	PRIJEM	\N	184	44005	UROK	\N	\N
3531014	22	1998-02-28	PRIJEM	\N	185	45396	UROK	\N	\N
3531015	22	1998-03-31	PRIJEM	\N	188	47690	UROK	\N	\N
3531016	22	1998-04-30	PRIJEM	\N	185	45782	UROK	\N	\N
3531017	22	1998-05-31	PRIJEM	\N	176	44364	UROK	\N	\N
3531018	22	1998-06-30	PRIJEM	\N	142	39550	UROK	\N	\N
3531019	22	1998-07-31	PRIJEM	\N	158	26014	UROK	\N	\N
3531020	22	1998-08-31	PRIJEM	\N	127	21948	UROK	\N	\N
3531021	22	1998-09-30	PRIJEM	\N	110	19264	UROK	\N	\N
3531022	22	1998-10-31	PRIJEM	\N	99	19870	UROK	\N	\N
3531023	22	1998-11-30	PRIJEM	\N	100	18176	UROK	\N	\N
3531024	22	1998-12-31	PRIJEM	\N	121	35740	UROK	\N	\N
3531025	23	1993-06-30	PRIJEM	\N	40	28672	UROK	\N	\N
3531026	23	1993-07-31	PRIJEM	\N	135	39495	UROK	\N	\N
3531027	23	1993-08-31	PRIJEM	\N	169	42352	UROK	\N	\N
3531028	23	1993-09-30	PRIJEM	\N	184	47324	UROK	\N	\N
3531029	23	1993-10-31	PRIJEM	\N	195	46707	UROK	\N	\N
3531030	23	1993-11-30	PRIJEM	\N	207	41900	UROK	\N	\N
3531031	23	1993-12-31	PRIJEM	\N	215	45926	UROK	\N	\N
3531032	23	1994-01-31	PRIJEM	\N	167	35799	UROK	\N	\N
3531033	23	1994-02-28	PRIJEM	\N	173	39539	UROK	\N	\N
3531034	23	1994-03-31	PRIJEM	\N	184	39589	UROK	\N	\N
3531035	23	1994-04-30	PRIJEM	\N	189	42644	UROK	\N	\N
3531036	23	1994-05-31	PRIJEM	\N	191	40701	UROK	\N	\N
3531037	23	1994-06-30	PRIJEM	\N	178	37529	UROK	\N	\N
3531038	23	1994-07-31	PRIJEM	\N	177	40072	UROK	\N	\N
3531039	23	1994-08-31	PRIJEM	\N	183	41622	UROK	\N	\N
3531040	23	1994-09-30	PRIJEM	\N	187	42674	UROK	\N	\N
3531041	23	1994-10-31	PRIJEM	\N	191	41892	UROK	\N	\N
3531042	23	1994-11-30	PRIJEM	\N	181	41039	UROK	\N	\N
3531043	23	1994-12-31	PRIJEM	\N	199	45889	UROK	\N	\N
3531044	23	1995-01-31	PRIJEM	\N	182	40457	UROK	\N	\N
3531045	23	1995-02-28	PRIJEM	\N	175	40539	UROK	\N	\N
3531046	23	1995-03-31	PRIJEM	\N	173	39718	UROK	\N	\N
3531047	23	1995-04-30	PRIJEM	\N	176	41560	UROK	\N	\N
3531048	23	1995-05-31	PRIJEM	\N	174	38380	UROK	\N	\N
3531049	23	1995-06-30	PRIJEM	\N	117	16787	UROK	\N	\N
3531050	23	1995-07-31	PRIJEM	\N	112	30666	UROK	\N	\N
3531051	23	1995-08-31	PRIJEM	\N	144	35276	UROK	\N	\N
3531052	23	1995-09-30	PRIJEM	\N	194	38036	UROK	\N	\N
3531053	23	1995-10-31	PRIJEM	\N	205	37408	UROK	\N	\N
3531054	23	1995-11-30	PRIJEM	\N	192	50066	UROK	\N	\N
3531055	23	1995-12-31	PRIJEM	\N	246	62123	UROK	\N	\N
3531056	23	1996-01-31	PRIJEM	\N	214	45863	UROK	\N	\N
3531057	23	1996-02-29	PRIJEM	\N	195	48724	UROK	\N	\N
3531058	23	1996-03-31	PRIJEM	\N	227	58418	UROK	\N	\N
3531059	23	1996-04-30	PRIJEM	\N	224	56008	UROK	\N	\N
3531060	23	1996-05-31	PRIJEM	\N	231	58605	UROK	\N	\N
3531061	23	1996-06-30	PRIJEM	\N	213	53089	UROK	\N	\N
3531062	23	1996-07-31	PRIJEM	\N	232	56987	UROK	\N	\N
3531063	23	1996-08-31	PRIJEM	\N	216	55729	UROK	\N	\N
3531064	23	1996-09-30	PRIJEM	\N	225	57820	UROK	\N	\N
3531065	23	1996-10-31	PRIJEM	\N	235	60322	UROK	\N	\N
3531066	23	1996-11-30	PRIJEM	\N	225	56773	UROK	\N	\N
3531067	23	1996-12-31	PRIJEM	\N	272	71655	UROK	\N	\N
3531068	23	1997-01-31	PRIJEM	\N	261	66862	UROK	\N	\N
3531069	23	1997-02-28	PRIJEM	\N	269	70198	UROK	\N	\N
3531070	23	1997-03-31	PRIJEM	\N	295	75260	UROK	\N	\N
3531071	23	1997-04-30	PRIJEM	\N	282	69648	UROK	\N	\N
3531072	23	1997-05-31	PRIJEM	\N	276	70050	UROK	\N	\N
3531073	23	1997-06-30	PRIJEM	\N	299	51699	UROK	\N	\N
3531074	23	1997-07-31	PRIJEM	\N	261	59826	UROK	\N	\N
3531075	23	1997-08-31	PRIJEM	\N	290	62683	UROK	\N	\N
3531076	23	1997-09-30	PRIJEM	\N	302	66151	UROK	\N	\N
3531077	23	1997-10-31	PRIJEM	\N	311	63009	UROK	\N	\N
3531078	23	1997-11-30	PRIJEM	\N	302	69078	UROK	\N	\N
3531079	23	1997-12-31	PRIJEM	\N	346	75334	UROK	\N	\N
3531080	23	1998-01-31	PRIJEM	\N	333	67073	UROK	\N	\N
3531081	23	1998-02-28	PRIJEM	\N	301	65321	UROK	\N	\N
3531082	23	1998-03-31	PRIJEM	\N	305	60952	UROK	\N	\N
3531083	23	1998-04-30	PRIJEM	\N	291	67110	UROK	\N	\N
3531084	23	1998-05-31	PRIJEM	\N	312	67988	UROK	\N	\N
3531085	23	1998-06-30	PRIJEM	\N	349	64048	UROK	\N	\N
3531086	23	1998-07-31	PRIJEM	\N	297	65011	UROK	\N	\N
3531087	23	1998-08-31	PRIJEM	\N	289	63047	UROK	\N	\N
3531088	23	1998-09-30	PRIJEM	\N	276	56749	UROK	\N	\N
3531089	23	1998-10-31	PRIJEM	\N	268	62783	UROK	\N	\N
3531090	23	1998-11-30	PRIJEM	\N	288	65837	UROK	\N	\N
3531091	23	1998-12-31	PRIJEM	\N	314	83101	UROK	\N	\N
3531092	24	1996-12-31	PRIJEM	\N	70	19995	UROK	\N	\N
3531093	24	1997-01-31	PRIJEM	\N	141	36754	UROK	\N	\N
3531094	24	1997-02-28	PRIJEM	\N	184	45954	UROK	\N	\N
3531095	24	1997-03-31	PRIJEM	\N	190	45862	UROK	\N	\N
3531096	24	1997-04-30	PRIJEM	\N	170	38687	UROK	\N	\N
3531097	24	1997-05-31	PRIJEM	\N	135	30961	UROK	\N	\N
3531098	24	1997-06-30	PRIJEM	\N	141	29431	UROK	\N	\N
3531099	24	1997-07-31	PRIJEM	\N	118	26989	UROK	\N	\N
3531100	24	1997-08-31	PRIJEM	\N	106	23816	UROK	\N	\N
3531101	24	1997-09-30	PRIJEM	\N	94	20210	UROK	\N	\N
3531102	24	1997-10-31	PRIJEM	\N	90	21040	UROK	\N	\N
3531103	24	1997-11-30	PRIJEM	\N	81	20162	UROK	\N	\N
3531104	24	1997-12-31	PRIJEM	\N	101	11551	UROK	\N	\N
3531105	24	1998-01-31	PRIJEM	\N	60	13592	UROK	\N	\N
3531106	24	1998-02-28	PRIJEM	\N	74	18406	UROK	\N	\N
3531107	24	1998-03-31	PRIJEM	\N	88	20475	UROK	\N	\N
3531108	24	1998-04-30	PRIJEM	\N	102	25317	UROK	\N	\N
3531109	24	1998-05-31	PRIJEM	\N	123	30180	UROK	\N	\N
3531110	24	1998-06-30	PRIJEM	\N	154	19883	UROK	\N	\N
3531111	24	1998-07-31	PRIJEM	\N	100	24723	UROK	\N	\N
3531112	24	1998-08-31	PRIJEM	\N	120	29584	UROK	\N	\N
3531113	24	1998-09-30	PRIJEM	\N	140	34464	UROK	\N	\N
3531114	24	1998-10-31	PRIJEM	\N	139	12543	UROK	\N	\N
3531115	24	1998-11-30	PRIJEM	\N	69	17353	UROK	\N	\N
3531116	24	1998-12-31	PRIJEM	\N	101	21583	UROK	\N	\N
3531117	25	1996-09-30	PRIJEM	\N	363	58137	UROK	\N	\N
3531118	25	1996-10-31	PRIJEM	\N	291	87605	UROK	\N	\N
3531119	25	1996-11-30	PRIJEM	\N	352	69223	UROK	\N	\N
3531120	25	1996-12-31	PRIJEM	\N	322	63168	UROK	\N	\N
3531121	25	1997-01-31	PRIJEM	\N	252	29367	UROK	\N	\N
3531122	25	1997-02-28	PRIJEM	\N	244	39113	UROK	\N	\N
3531123	25	1997-03-31	PRIJEM	\N	135	26342	UROK	\N	\N
3531124	25	1997-04-30	PRIJEM	\N	235	37097	UROK	\N	\N
3531125	25	1997-05-31	PRIJEM	\N	307	77036	UROK	\N	\N
3531126	25	1997-06-30	PRIJEM	\N	245	34947	UROK	\N	\N
3531127	25	1997-07-31	PRIJEM	\N	206	49784	UROK	\N	\N
3531128	25	1997-08-31	PRIJEM	\N	215	42322	UROK	\N	\N
3531129	25	1997-09-30	PRIJEM	\N	234	71736	UROK	\N	\N
3531130	25	1997-10-31	PRIJEM	\N	314	91542	UROK	\N	\N
3531131	25	1997-11-30	PRIJEM	\N	372	40025	UROK	\N	\N
3531132	25	1997-12-31	PRIJEM	\N	104	19422	UROK	\N	\N
3531133	25	1998-01-31	PRIJEM	\N	67	33170	UROK	\N	\N
3531134	25	1998-02-28	PRIJEM	\N	159	29981	UROK	\N	\N
3531135	25	1998-03-31	PRIJEM	\N	92	19445	UROK	\N	\N
3531136	25	1998-04-30	PRIJEM	\N	81	48277	UROK	\N	\N
3531137	25	1998-05-31	PRIJEM	\N	267	69656	UROK	\N	\N
3531138	25	1998-06-30	PRIJEM	\N	222	57439	UROK	\N	\N
3531139	25	1998-07-31	PRIJEM	\N	277	56055	UROK	\N	\N
3531140	25	1998-08-31	PRIJEM	\N	214	71526	UROK	\N	\N
3531141	25	1998-09-30	PRIJEM	\N	169	23052	UROK	\N	\N
3531142	25	1998-10-31	PRIJEM	\N	98	43615	UROK	\N	\N
3531143	25	1998-11-30	PRIJEM	\N	168	48955	UROK	\N	\N
3531144	25	1998-12-31	PRIJEM	\N	198	30199	UROK	\N	\N
3531145	26	1993-08-31	PRIJEM	\N	69	25671	UROK	\N	\N
3531146	26	1993-09-30	PRIJEM	\N	176	51949	UROK	\N	\N
3531147	26	1993-10-31	PRIJEM	\N	242	61692	UROK	\N	\N
3531148	26	1993-11-30	PRIJEM	\N	272	67766	UROK	\N	\N
3531149	26	1993-12-31	PRIJEM	\N	324	81993	UROK	\N	\N
3531150	26	1994-01-31	PRIJEM	\N	231	35346	UROK	\N	\N
3531151	26	1994-02-28	PRIJEM	\N	156	37704	UROK	\N	\N
3531152	26	1994-03-31	PRIJEM	\N	147	29316	UROK	\N	\N
3531153	26	1994-04-30	PRIJEM	\N	145	42062	UROK	\N	\N
3531154	26	1994-05-31	PRIJEM	\N	176	48138	UROK	\N	\N
3531155	26	1994-06-30	PRIJEM	\N	215	61454	UROK	\N	\N
3531156	26	1994-07-31	PRIJEM	\N	216	55870	UROK	\N	\N
3531157	26	1994-08-31	PRIJEM	\N	157	20448	UROK	\N	\N
3531158	26	1994-09-30	PRIJEM	\N	118	36167	UROK	\N	\N
3531159	26	1994-10-31	PRIJEM	\N	156	43623	UROK	\N	\N
3531160	26	1994-11-30	PRIJEM	\N	168	45992	UROK	\N	\N
3531161	26	1994-12-31	PRIJEM	\N	205	59498	UROK	\N	\N
3531162	26	1995-01-31	PRIJEM	\N	130	25654	UROK	\N	\N
3531163	26	1995-02-28	PRIJEM	\N	139	34193	UROK	\N	\N
3531164	26	1995-03-31	PRIJEM	\N	143	37637	UROK	\N	\N
3531165	26	1995-04-30	PRIJEM	\N	134	39671	UROK	\N	\N
3531166	26	1995-05-31	PRIJEM	\N	163	33335	UROK	\N	\N
3531167	26	1995-06-30	PRIJEM	\N	173	33116	UROK	\N	\N
3531168	26	1995-07-31	PRIJEM	\N	170	32386	UROK	\N	\N
3531169	26	1995-08-31	PRIJEM	\N	154	29340	UROK	\N	\N
3531170	26	1995-09-30	PRIJEM	\N	134	24166	UROK	\N	\N
3531171	26	1995-10-31	PRIJEM	\N	131	28197	UROK	\N	\N
3531172	26	1995-11-30	PRIJEM	\N	147	31744	UROK	\N	\N
3531173	26	1995-12-31	PRIJEM	\N	143	28289	UROK	\N	\N
3531174	26	1996-01-31	PRIJEM	\N	122	23211	UROK	\N	\N
3531175	26	1996-02-29	PRIJEM	\N	122	25834	UROK	\N	\N
3531176	26	1996-03-31	PRIJEM	\N	118	19928	UROK	\N	\N
3531177	26	1996-04-30	PRIJEM	\N	106	22234	UROK	\N	\N
3531178	26	1996-05-31	PRIJEM	\N	114	22449	UROK	\N	\N
3531179	26	1996-06-30	PRIJEM	\N	143	31793	UROK	\N	\N
3531180	26	1996-07-31	PRIJEM	\N	152	32246	UROK	\N	\N
3531181	26	1996-08-31	PRIJEM	\N	153	33500	UROK	\N	\N
3531182	26	1996-09-30	PRIJEM	\N	155	33155	UROK	\N	\N
3531183	26	1996-10-31	PRIJEM	\N	132	22701	UROK	\N	\N
3531184	26	1996-11-30	PRIJEM	\N	103	23005	UROK	\N	\N
3531185	26	1996-12-31	PRIJEM	\N	133	29939	UROK	\N	\N
3531186	26	1997-01-31	PRIJEM	\N	129	26169	UROK	\N	\N
3531187	26	1997-02-28	PRIJEM	\N	120	26790	UROK	\N	\N
3531188	26	1997-03-31	PRIJEM	\N	115	20801	UROK	\N	\N
3531189	26	1997-04-30	PRIJEM	\N	103	23604	UROK	\N	\N
3531190	26	1997-05-31	PRIJEM	\N	111	24715	UROK	\N	\N
3531191	26	1997-06-30	PRIJEM	\N	130	25446	UROK	\N	\N
3531192	26	1997-07-31	PRIJEM	\N	111	23756	UROK	\N	\N
3531193	26	1997-08-31	PRIJEM	\N	98	20754	UROK	\N	\N
3531194	26	1997-09-30	PRIJEM	\N	92	21046	UROK	\N	\N
3531195	26	1997-10-31	PRIJEM	\N	95	22341	UROK	\N	\N
3531196	26	1997-11-30	PRIJEM	\N	108	28149	UROK	\N	\N
3531197	26	1997-12-31	PRIJEM	\N	140	35191	UROK	\N	\N
3531198	26	1998-01-31	PRIJEM	\N	131	34322	UROK	\N	\N
3531199	26	1998-02-28	PRIJEM	\N	145	36168	UROK	\N	\N
3531200	26	1998-03-31	PRIJEM	\N	149	34717	UROK	\N	\N
3531201	26	1998-04-30	PRIJEM	\N	134	24751	UROK	\N	\N
3531202	26	1998-05-31	PRIJEM	\N	108	26859	UROK	\N	\N
3531203	26	1998-06-30	PRIJEM	\N	135	36395	UROK	\N	\N
3531204	26	1998-07-31	PRIJEM	\N	144	26439	UROK	\N	\N
3531205	26	1998-08-31	PRIJEM	\N	121	32361	UROK	\N	\N
3531206	26	1998-09-30	PRIJEM	\N	150	43931	UROK	\N	\N
3531207	26	1998-10-31	PRIJEM	\N	195	51626	UROK	\N	\N
3531208	26	1998-11-30	PRIJEM	\N	132	29287	UROK	\N	\N
3531209	26	1998-12-31	PRIJEM	\N	183	51771	UROK	\N	\N
3531210	27	1993-10-31	PRIJEM	\N	14	17841	UROK	\N	\N
3531211	27	1993-11-30	PRIJEM	\N	80	24848	UROK	\N	\N
3531212	27	1993-12-31	PRIJEM	\N	108	29496	UROK	\N	\N
3531213	27	1994-01-31	PRIJEM	\N	123	29646	UROK	\N	\N
3531214	27	1994-02-28	PRIJEM	\N	125	31297	UROK	\N	\N
3531215	27	1994-03-31	PRIJEM	\N	126	25982	UROK	\N	\N
3531216	27	1994-04-30	PRIJEM	\N	118	25959	UROK	\N	\N
3531217	27	1994-05-31	PRIJEM	\N	119	26836	UROK	\N	\N
3531218	27	1994-06-30	PRIJEM	\N	135	31242	UROK	\N	\N
3531219	27	1994-07-31	PRIJEM	\N	138	29938	UROK	\N	\N
3531220	27	1994-08-31	PRIJEM	\N	132	29429	UROK	\N	\N
3531221	27	1994-09-30	PRIJEM	\N	133	31220	UROK	\N	\N
3531222	27	1994-10-31	PRIJEM	\N	138	31517	UROK	\N	\N
3531223	27	1994-11-30	PRIJEM	\N	138	31013	UROK	\N	\N
3531224	27	1994-12-31	PRIJEM	\N	143	30127	UROK	\N	\N
3531225	27	1995-01-31	PRIJEM	\N	107	15892	UROK	\N	\N
3531226	27	1995-02-28	PRIJEM	\N	68	18818	UROK	\N	\N
3531227	27	1995-03-31	PRIJEM	\N	93	23469	UROK	\N	\N
3531228	27	1995-04-30	PRIJEM	\N	108	24835	UROK	\N	\N
3531229	27	1995-05-31	PRIJEM	\N	113	26406	UROK	\N	\N
3531230	27	1995-06-30	PRIJEM	\N	126	29304	UROK	\N	\N
3531231	27	1995-07-31	PRIJEM	\N	126	28689	UROK	\N	\N
3531232	27	1995-08-31	PRIJEM	\N	125	28772	UROK	\N	\N
3531233	27	1995-09-30	PRIJEM	\N	117	23147	UROK	\N	\N
3531234	27	1995-10-31	PRIJEM	\N	103	26908	UROK	\N	\N
3531235	27	1995-11-30	PRIJEM	\N	126	31593	UROK	\N	\N
3531236	27	1995-12-31	PRIJEM	\N	138	29702	UROK	\N	\N
3531237	27	1996-01-31	PRIJEM	\N	102	17862	UROK	\N	\N
3531238	27	1996-02-29	PRIJEM	\N	85	21206	UROK	\N	\N
3531239	27	1996-03-31	PRIJEM	\N	90	19154	UROK	\N	\N
3531240	27	1996-04-30	PRIJEM	\N	79	17892	UROK	\N	\N
3531241	27	1996-05-31	PRIJEM	\N	70	15119	UROK	\N	\N
3531242	27	1996-06-30	PRIJEM	\N	75	18266	UROK	\N	\N
3531243	27	1996-07-31	PRIJEM	\N	69	15093	UROK	\N	\N
3531244	27	1996-08-31	PRIJEM	\N	68	16619	UROK	\N	\N
3531245	27	1996-09-30	PRIJEM	\N	68	16346	UROK	\N	\N
3531246	27	1996-10-31	PRIJEM	\N	71	17275	UROK	\N	\N
3531247	27	1996-11-30	PRIJEM	\N	82	20715	UROK	\N	\N
3531248	27	1996-12-31	PRIJEM	\N	93	21180	UROK	\N	\N
3531249	27	1997-01-31	PRIJEM	\N	77	14915	UROK	\N	\N
3531250	27	1997-02-28	PRIJEM	\N	76	19549	UROK	\N	\N
3531251	27	1997-03-31	PRIJEM	\N	80	19488	UROK	\N	\N
3531252	27	1997-04-30	PRIJEM	\N	93	17440	UROK	\N	\N
3531253	27	1997-05-31	PRIJEM	\N	70	15568	UROK	\N	\N
3531254	27	1997-06-30	PRIJEM	\N	96	26035	UROK	\N	\N
3531255	27	1997-07-31	PRIJEM	\N	97	21391	UROK	\N	\N
3531256	27	1997-08-31	PRIJEM	\N	90	22440	UROK	\N	\N
3531257	27	1997-09-30	PRIJEM	\N	90	22988	UROK	\N	\N
3531258	27	1997-10-31	PRIJEM	\N	92	23238	UROK	\N	\N
3531259	27	1997-11-30	PRIJEM	\N	94	24191	UROK	\N	\N
3531260	27	1997-12-31	PRIJEM	\N	103	21965	UROK	\N	\N
3531261	27	1998-01-31	PRIJEM	\N	62	14984	UROK	\N	\N
3531262	27	1998-02-28	PRIJEM	\N	73	19716	UROK	\N	\N
3531263	27	1998-03-31	PRIJEM	\N	88	22962	UROK	\N	\N
3531264	27	1998-04-30	PRIJEM	\N	93	24014	UROK	\N	\N
3531265	27	1998-05-31	PRIJEM	\N	98	25170	UROK	\N	\N
3531266	27	1998-06-30	PRIJEM	\N	102	27143	UROK	\N	\N
3531267	27	1998-07-31	PRIJEM	\N	76	18178	UROK	\N	\N
3531268	27	1998-08-31	PRIJEM	\N	88	23224	UROK	\N	\N
3531269	27	1998-09-30	PRIJEM	\N	98	24780	UROK	\N	\N
3531270	27	1998-10-31	PRIJEM	\N	102	22340	UROK	\N	\N
3531271	27	1998-11-30	PRIJEM	\N	104	25003	UROK	\N	\N
3531272	27	1998-12-31	PRIJEM	\N	122	32197	UROK	\N	\N
3531273	29	1994-12-31	PRIJEM	\N	29	27196	UROK	\N	\N
3531274	29	1995-01-31	PRIJEM	\N	121	33996	UROK	\N	\N
3531275	29	1995-02-28	PRIJEM	\N	149	41523	UROK	\N	\N
3531276	29	1995-03-31	PRIJEM	\N	172	41473	UROK	\N	\N
3531277	29	1995-04-30	PRIJEM	\N	205	43319	UROK	\N	\N
3531278	29	1995-05-31	PRIJEM	\N	194	40169	UROK	\N	\N
3531279	29	1995-06-30	PRIJEM	\N	198	33652	UROK	\N	\N
3531280	29	1995-07-31	PRIJEM	\N	156	33063	UROK	\N	\N
3531281	29	1995-08-31	PRIJEM	\N	157	36075	UROK	\N	\N
3531282	29	1995-09-30	PRIJEM	\N	137	32908	UROK	\N	\N
3531283	29	1995-10-31	PRIJEM	\N	151	33014	UROK	\N	\N
3531284	29	1995-11-30	PRIJEM	\N	151	33520	UROK	\N	\N
3531285	29	1995-12-31	PRIJEM	\N	163	32188	UROK	\N	\N
3531286	29	1996-01-31	PRIJEM	\N	125	26688	UROK	\N	\N
3531287	29	1996-02-29	PRIJEM	\N	131	31974	UROK	\N	\N
3531288	29	1996-03-31	PRIJEM	\N	150	34979	UROK	\N	\N
3531289	29	1996-04-30	PRIJEM	\N	147	29462	UROK	\N	\N
3531290	29	1996-05-31	PRIJEM	\N	136	31653	UROK	\N	\N
3531291	29	1996-06-30	PRIJEM	\N	148	27165	UROK	\N	\N
3531292	29	1996-07-31	PRIJEM	\N	128	30348	UROK	\N	\N
3531293	29	1996-08-31	PRIJEM	\N	133	30537	UROK	\N	\N
3531294	29	1996-09-30	PRIJEM	\N	132	30525	UROK	\N	\N
3531295	29	1996-10-31	PRIJEM	\N	132	30612	UROK	\N	\N
3531296	29	1996-11-30	PRIJEM	\N	121	26108	UROK	\N	\N
3531297	29	1996-12-31	PRIJEM	\N	116	27328	UROK	\N	\N
3531298	29	1997-01-31	PRIJEM	\N	102	21966	UROK	\N	\N
3531299	29	1997-02-28	PRIJEM	\N	100	24922	UROK	\N	\N
3531300	29	1997-03-31	PRIJEM	\N	132	28009	UROK	\N	\N
3531301	29	1997-04-30	PRIJEM	\N	109	24374	UROK	\N	\N
3531302	29	1997-05-31	PRIJEM	\N	80	15189	UROK	\N	\N
3531303	29	1997-06-30	PRIJEM	\N	86	22819	UROK	\N	\N
3531304	29	1997-07-31	PRIJEM	\N	99	24074	UROK	\N	\N
3531305	29	1997-08-31	PRIJEM	\N	104	25633	UROK	\N	\N
3531306	29	1997-09-30	PRIJEM	\N	122	31810	UROK	\N	\N
3531307	29	1997-10-31	PRIJEM	\N	137	34302	UROK	\N	\N
3531308	29	1997-11-30	PRIJEM	\N	132	32290	UROK	\N	\N
3531309	29	1997-12-31	PRIJEM	\N	170	45904	UROK	\N	\N
3531310	29	1998-01-31	PRIJEM	\N	134	28353	UROK	\N	\N
3531311	29	1998-02-28	PRIJEM	\N	118	29927	UROK	\N	\N
3531312	29	1998-03-31	PRIJEM	\N	136	35418	UROK	\N	\N
3531313	29	1998-04-30	PRIJEM	\N	134	32068	UROK	\N	\N
3531314	29	1998-05-31	PRIJEM	\N	137	35260	UROK	\N	\N
3531315	29	1998-06-30	PRIJEM	\N	127	25252	UROK	\N	\N
3531316	29	1998-07-31	PRIJEM	\N	116	32104	UROK	\N	\N
3531317	29	1998-08-31	PRIJEM	\N	144	37403	UROK	\N	\N
3531318	29	1998-09-30	PRIJEM	\N	134	30632	UROK	\N	\N
3531319	29	1998-10-31	PRIJEM	\N	120	30508	UROK	\N	\N
3531320	29	1998-11-30	PRIJEM	\N	121	30884	UROK	\N	\N
3531321	29	1998-12-31	PRIJEM	\N	143	37551	UROK	\N	\N
3531322	30	1995-04-30	PRIJEM	\N	4	10804	UROK	\N	\N
3531323	30	1995-05-31	PRIJEM	\N	182	67048	UROK	\N	\N
3531324	30	1995-06-30	PRIJEM	\N	390	70206	UROK	\N	\N
3531325	30	1995-07-31	PRIJEM	\N	144	46389	UROK	\N	\N
3531326	30	1995-08-31	PRIJEM	\N	126	33811	UROK	\N	\N
3531327	30	1995-09-30	PRIJEM	\N	352	49740	UROK	\N	\N
3531328	30	1995-10-31	PRIJEM	\N	165	31430	UROK	\N	\N
3531329	30	1995-11-30	PRIJEM	\N	188	47286	UROK	\N	\N
3531330	30	1995-12-31	PRIJEM	\N	211	57667	UROK	\N	\N
3531331	30	1996-01-31	PRIJEM	\N	178	21418	UROK	\N	\N
3531332	30	1996-02-29	PRIJEM	\N	89	21292	UROK	\N	\N
3531333	30	1996-03-31	PRIJEM	\N	95	34164	UROK	\N	\N
3531334	30	1996-04-30	PRIJEM	\N	135	21284	UROK	\N	\N
3531335	30	1996-05-31	PRIJEM	\N	97	34042	UROK	\N	\N
3531336	30	1996-06-30	PRIJEM	\N	160	28237	UROK	\N	\N
3531337	30	1996-07-31	PRIJEM	\N	141	72954	UROK	\N	\N
3531338	30	1996-08-31	PRIJEM	\N	325	103003	UROK	\N	\N
3531339	30	1996-09-30	PRIJEM	\N	315	62615	UROK	\N	\N
3531340	30	1996-10-31	PRIJEM	\N	257	39758	UROK	\N	\N
3531341	30	1996-11-30	PRIJEM	\N	210	50214	UROK	\N	\N
3531342	30	1996-12-31	PRIJEM	\N	240	34802	UROK	\N	\N
3531343	30	1997-01-31	PRIJEM	\N	140	29780	UROK	\N	\N
3531344	30	1997-02-28	PRIJEM	\N	118	24289	UROK	\N	\N
3531345	30	1997-03-31	PRIJEM	\N	95	20151	UROK	\N	\N
3531346	30	1997-04-30	PRIJEM	\N	83	20220	UROK	\N	\N
3531347	30	1997-05-31	PRIJEM	\N	105	17595	UROK	\N	\N
3531348	30	1997-06-30	PRIJEM	\N	92	13684	UROK	\N	\N
3531349	30	1997-07-31	PRIJEM	\N	149	41407	UROK	\N	\N
3531350	30	1997-08-31	PRIJEM	\N	221	88144	UROK	\N	\N
3531351	30	1997-09-30	PRIJEM	\N	294	76372	UROK	\N	\N
3531352	30	1997-10-31	PRIJEM	\N	297	52785	UROK	\N	\N
3531353	30	1997-11-30	PRIJEM	\N	346	100071	UROK	\N	\N
3531354	30	1997-12-31	PRIJEM	\N	248	27045	UROK	\N	\N
3531355	30	1998-01-31	PRIJEM	\N	111	26331	UROK	\N	\N
3531356	30	1998-02-28	PRIJEM	\N	104	18279	UROK	\N	\N
3531357	30	1998-03-31	PRIJEM	\N	76	29976	UROK	\N	\N
3531358	30	1998-04-30	PRIJEM	\N	109	48982	UROK	\N	\N
3531359	30	1998-05-31	PRIJEM	\N	142	31936	UROK	\N	\N
3531360	30	1998-06-30	PRIJEM	\N	134	51053	UROK	\N	\N
3531361	30	1998-07-31	PRIJEM	\N	202	46595	UROK	\N	\N
3531362	30	1998-08-31	PRIJEM	\N	290	82778	UROK	\N	\N
3531363	30	1998-09-30	PRIJEM	\N	340	68517	UROK	\N	\N
3531364	30	1998-10-31	PRIJEM	\N	320	101896	UROK	\N	\N
3531365	30	1998-11-30	PRIJEM	\N	208	22234	UROK	\N	\N
3531366	31	1994-05-31	PRIJEM	\N	139	42081	UROK	\N	\N
3531367	31	1994-06-30	PRIJEM	\N	293	64278	UROK	\N	\N
3531368	31	1994-07-31	PRIJEM	\N	226	53208	UROK	\N	\N
3531369	31	1994-08-31	PRIJEM	\N	340	90308	UROK	\N	\N
3531370	31	1994-09-30	PRIJEM	\N	264	45459	UROK	\N	\N
3531371	31	1994-10-31	PRIJEM	\N	214	28025	UROK	\N	\N
3531372	31	1994-11-30	PRIJEM	\N	110	22119	UROK	\N	\N
3531373	31	1994-12-31	PRIJEM	\N	191	39491	UROK	\N	\N
3531374	31	1995-01-31	PRIJEM	\N	346	57193	UROK	\N	\N
3531375	31	1995-02-28	PRIJEM	\N	165	26442	UROK	\N	\N
3531376	31	1995-03-31	PRIJEM	\N	272	31859	UROK	\N	\N
3531377	31	1995-04-30	PRIJEM	\N	295	62477	UROK	\N	\N
3531378	31	1995-05-31	PRIJEM	\N	305	73566	UROK	\N	\N
3531379	31	1995-06-30	PRIJEM	\N	339	50695	UROK	\N	\N
3531380	31	1995-07-31	PRIJEM	\N	258	65637	UROK	\N	\N
3531381	31	1995-08-31	PRIJEM	\N	240	45093	UROK	\N	\N
3531382	31	1995-09-30	PRIJEM	\N	175	59567	UROK	\N	\N
3531383	31	1995-10-31	PRIJEM	\N	235	71581	UROK	\N	\N
3531384	31	1995-11-30	PRIJEM	\N	252	65125	UROK	\N	\N
3531385	31	1995-12-31	PRIJEM	\N	293	67375	UROK	\N	\N
3531386	31	1996-01-31	PRIJEM	\N	274	97855	UROK	\N	\N
3531387	31	1996-02-29	PRIJEM	\N	300	69518	UROK	\N	\N
3531388	31	1996-03-31	PRIJEM	\N	296	80110	UROK	\N	\N
3531389	31	1996-04-30	PRIJEM	\N	339	90341	UROK	\N	\N
3531390	31	1996-05-31	PRIJEM	\N	334	80206	UROK	\N	\N
3531391	31	1996-06-30	PRIJEM	\N	206	32580	UROK	\N	\N
3531392	31	1996-07-31	PRIJEM	\N	171	62094	UROK	\N	\N
3531393	31	1996-08-31	PRIJEM	\N	171	28133	UROK	\N	\N
3531394	31	1996-09-30	PRIJEM	\N	129	31734	UROK	\N	\N
3531395	31	1996-10-31	PRIJEM	\N	215	77680	UROK	\N	\N
3531396	31	1996-11-30	PRIJEM	\N	321	75457	UROK	\N	\N
3531397	31	1996-12-31	PRIJEM	\N	216	39656	UROK	\N	\N
3531398	31	1997-01-31	PRIJEM	\N	173	47700	UROK	\N	\N
3531399	31	1997-02-28	PRIJEM	\N	149	92026	UROK	\N	\N
3531400	31	1997-03-31	PRIJEM	\N	263	28903	UROK	\N	\N
3531401	31	1997-04-30	PRIJEM	\N	106	46778	UROK	\N	\N
3531402	31	1997-05-31	PRIJEM	\N	198	124498	UROK	\N	\N
3531403	31	1997-06-30	PRIJEM	\N	274	63402	UROK	\N	\N
3531404	31	1997-07-31	PRIJEM	\N	273	42139	UROK	\N	\N
3531405	31	1997-08-31	PRIJEM	\N	94	10316	UROK	\N	\N
3531406	31	1997-09-30	PRIJEM	\N	138	20427	UROK	\N	\N
3531407	31	1997-10-31	PRIJEM	\N	150	49836	UROK	\N	\N
3531408	31	1997-11-30	PRIJEM	\N	99	9818	UROK	\N	\N
3531409	31	1997-12-31	PRIJEM	\N	65	15814	UROK	\N	\N
3531410	31	1998-01-31	PRIJEM	\N	62	15646	UROK	\N	\N
3531411	31	1998-02-28	PRIJEM	\N	110	33407	UROK	\N	\N
3531412	31	1998-03-31	PRIJEM	\N	230	26614	UROK	\N	\N
3531413	31	1998-04-30	PRIJEM	\N	374	83905	UROK	\N	\N
3531414	31	1998-05-31	PRIJEM	\N	187	25074	UROK	\N	\N
3531415	31	1998-06-30	PRIJEM	\N	120	29805	UROK	\N	\N
3531416	31	1998-07-31	PRIJEM	\N	118	28803	UROK	\N	\N
3531417	31	1998-08-31	PRIJEM	\N	122	35158	UROK	\N	\N
3531418	31	1998-09-30	PRIJEM	\N	143	33523	UROK	\N	\N
3531419	31	1998-10-31	PRIJEM	\N	133	23439	UROK	\N	\N
3531420	31	1998-11-30	PRIJEM	\N	91	13313	UROK	\N	\N
3531421	33	1993-09-30	PRIJEM	\N	22	26211	UROK	\N	\N
3531422	33	1993-10-31	PRIJEM	\N	120	37520	UROK	\N	\N
3531423	33	1993-11-30	PRIJEM	\N	163	44671	UROK	\N	\N
3531424	33	1993-12-31	PRIJEM	\N	195	53250	UROK	\N	\N
3531425	33	1994-01-31	PRIJEM	\N	217	50256	UROK	\N	\N
3531426	33	1994-02-28	PRIJEM	\N	242	45381	UROK	\N	\N
3531427	33	1994-03-31	PRIJEM	\N	222	40285	UROK	\N	\N
3531428	33	1994-04-30	PRIJEM	\N	208	43275	UROK	\N	\N
3531429	33	1994-05-31	PRIJEM	\N	220	45478	UROK	\N	\N
3531430	33	1994-06-30	PRIJEM	\N	245	52200	UROK	\N	\N
3531431	33	1994-07-31	PRIJEM	\N	252	52434	UROK	\N	\N
3531432	33	1994-08-31	PRIJEM	\N	247	48263	UROK	\N	\N
3531433	33	1994-09-30	PRIJEM	\N	229	47475	UROK	\N	\N
3531434	33	1994-10-31	PRIJEM	\N	227	48484	UROK	\N	\N
3531435	33	1994-11-30	PRIJEM	\N	228	48795	UROK	\N	\N
3531436	33	1994-12-31	PRIJEM	\N	252	54024	UROK	\N	\N
3531437	33	1995-01-31	PRIJEM	\N	240	51947	UROK	\N	\N
3531438	33	1995-02-28	PRIJEM	\N	242	53471	UROK	\N	\N
3531439	33	1995-03-31	PRIJEM	\N	251	55104	UROK	\N	\N
3531440	33	1995-04-30	PRIJEM	\N	251	54038	UROK	\N	\N
3531441	33	1995-05-31	PRIJEM	\N	257	58978	UROK	\N	\N
3531442	33	1995-06-30	PRIJEM	\N	294	66449	UROK	\N	\N
3531443	33	1995-07-31	PRIJEM	\N	291	63723	UROK	\N	\N
3531444	33	1995-08-31	PRIJEM	\N	272	57977	UROK	\N	\N
3531445	33	1995-09-30	PRIJEM	\N	255	58415	UROK	\N	\N
3531446	33	1995-10-31	PRIJEM	\N	263	60860	UROK	\N	\N
3531447	33	1995-11-30	PRIJEM	\N	265	61907	UROK	\N	\N
3531448	33	1995-12-31	PRIJEM	\N	292	63877	UROK	\N	\N
3531449	33	1996-01-31	PRIJEM	\N	276	64235	UROK	\N	\N
3531450	33	1996-02-29	PRIJEM	\N	276	64893	UROK	\N	\N
3531451	33	1996-03-31	PRIJEM	\N	278	64754	UROK	\N	\N
3531452	33	1996-04-30	PRIJEM	\N	276	64712	UROK	\N	\N
3531453	33	1996-05-31	PRIJEM	\N	267	61761	UROK	\N	\N
3531454	33	1996-06-30	PRIJEM	\N	279	67818	UROK	\N	\N
3531455	33	1996-07-31	PRIJEM	\N	285	67685	UROK	\N	\N
3531456	33	1996-08-31	PRIJEM	\N	282	67849	UROK	\N	\N
3531457	33	1996-09-30	PRIJEM	\N	277	66508	UROK	\N	\N
3531458	33	1996-10-31	PRIJEM	\N	334	71124	UROK	\N	\N
3531459	33	1996-11-30	PRIJEM	\N	336	85642	UROK	\N	\N
3531460	33	1996-12-31	PRIJEM	\N	406	103726	UROK	\N	\N
3531461	33	1997-01-31	PRIJEM	\N	406	98814	UROK	\N	\N
3531462	33	1997-02-28	PRIJEM	\N	402	98098	UROK	\N	\N
3531463	33	1997-03-31	PRIJEM	\N	394	95574	UROK	\N	\N
3531464	33	1997-04-30	PRIJEM	\N	396	97453	UROK	\N	\N
3531465	33	1997-05-31	PRIJEM	\N	389	93824	UROK	\N	\N
3531466	33	1997-06-30	PRIJEM	\N	425	107526	UROK	\N	\N
3531467	33	1997-07-31	PRIJEM	\N	422	102030	UROK	\N	\N
3531468	33	1997-08-31	PRIJEM	\N	413	100926	UROK	\N	\N
3531469	33	1997-09-30	PRIJEM	\N	420	103528	UROK	\N	\N
3531470	33	1997-10-31	PRIJEM	\N	423	99434	UROK	\N	\N
3531471	33	1997-11-30	PRIJEM	\N	417	102933	UROK	\N	\N
3531472	33	1997-12-31	PRIJEM	\N	372	53382	UROK	\N	\N
3531473	33	1998-01-31	PRIJEM	\N	311	83675	UROK	\N	\N
3531474	33	1998-02-28	PRIJEM	\N	375	94033	UROK	\N	\N
3531475	33	1998-03-31	PRIJEM	\N	389	98804	UROK	\N	\N
3531476	33	1998-04-30	PRIJEM	\N	416	103402	UROK	\N	\N
3531477	33	1998-05-31	PRIJEM	\N	435	107919	UROK	\N	\N
3531478	33	1998-06-30	PRIJEM	\N	486	102682	UROK	\N	\N
3531479	33	1998-07-31	PRIJEM	\N	439	109704	UROK	\N	\N
3531480	33	1998-08-31	PRIJEM	\N	442	89428	UROK	\N	\N
3531481	33	1998-09-30	PRIJEM	\N	421	95132	UROK	\N	\N
3531482	33	1998-10-31	PRIJEM	\N	444	100458	UROK	\N	\N
3531483	33	1998-11-30	PRIJEM	\N	359	82699	UROK	\N	\N
3531484	33	1998-12-31	PRIJEM	\N	430	112406	UROK	\N	\N
3531485	34	1993-10-31	PRIJEM	\N	60	29605	UROK	\N	\N
3531486	34	1993-11-30	PRIJEM	\N	147	41197	UROK	\N	\N
3531487	34	1993-12-31	PRIJEM	\N	203	56168	UROK	\N	\N
3531488	34	1994-01-31	PRIJEM	\N	231	55344	UROK	\N	\N
3531489	34	1994-02-28	PRIJEM	\N	240	53459	UROK	\N	\N
3531490	34	1994-03-31	PRIJEM	\N	220	47663	UROK	\N	\N
3531491	34	1994-04-30	PRIJEM	\N	219	51325	UROK	\N	\N
3531492	34	1994-05-31	PRIJEM	\N	138	20986	UROK	\N	\N
3531493	34	1994-06-30	PRIJEM	\N	135	20838	UROK	\N	\N
3531494	34	1994-07-31	PRIJEM	\N	114	19595	UROK	\N	\N
3531495	34	1994-08-31	PRIJEM	\N	124	33662	UROK	\N	\N
3531496	34	1994-09-30	PRIJEM	\N	167	42372	UROK	\N	\N
3531497	34	1994-10-31	PRIJEM	\N	184	35899	UROK	\N	\N
3531498	34	1994-11-30	PRIJEM	\N	233	41474	UROK	\N	\N
3531499	34	1994-12-31	PRIJEM	\N	263	43603	UROK	\N	\N
3531500	34	1995-01-31	PRIJEM	\N	218	57464	UROK	\N	\N
3531501	34	1995-02-28	PRIJEM	\N	241	61948	UROK	\N	\N
3531502	34	1995-03-31	PRIJEM	\N	232	53223	UROK	\N	\N
3531503	34	1995-04-30	PRIJEM	\N	245	61711	UROK	\N	\N
3531504	34	1995-05-31	PRIJEM	\N	252	54806	UROK	\N	\N
3531505	34	1995-06-30	PRIJEM	\N	302	78174	UROK	\N	\N
3531506	34	1995-07-31	PRIJEM	\N	293	69010	UROK	\N	\N
3531507	34	1995-08-31	PRIJEM	\N	300	74153	UROK	\N	\N
3531508	34	1995-09-30	PRIJEM	\N	287	71283	UROK	\N	\N
3531509	34	1995-10-31	PRIJEM	\N	291	73216	UROK	\N	\N
3531510	34	1995-11-30	PRIJEM	\N	284	70844	UROK	\N	\N
3531511	34	1995-12-31	PRIJEM	\N	332	85841	UROK	\N	\N
3531512	34	1996-01-31	PRIJEM	\N	251	51724	UROK	\N	\N
3531513	34	1996-02-29	PRIJEM	\N	246	60713	UROK	\N	\N
3531514	34	1996-03-31	PRIJEM	\N	262	67518	UROK	\N	\N
3531515	34	1996-04-30	PRIJEM	\N	281	62642	UROK	\N	\N
3531516	34	1996-05-31	PRIJEM	\N	265	67950	UROK	\N	\N
3531517	34	1996-06-30	PRIJEM	\N	255	55445	UROK	\N	\N
3531518	34	1996-07-31	PRIJEM	\N	198	46118	UROK	\N	\N
3531519	34	1996-08-31	PRIJEM	\N	219	58580	UROK	\N	\N
3531520	34	1996-09-30	PRIJEM	\N	260	62984	UROK	\N	\N
3531521	34	1996-10-31	PRIJEM	\N	245	52271	UROK	\N	\N
3531522	34	1996-11-30	PRIJEM	\N	226	59940	UROK	\N	\N
3531523	34	1996-12-31	PRIJEM	\N	250	42207	UROK	\N	\N
3531524	34	1997-01-31	PRIJEM	\N	250	46700	UROK	\N	\N
3531525	34	1997-02-28	PRIJEM	\N	253	61919	UROK	\N	\N
3531526	34	1997-03-31	PRIJEM	\N	250	42511	UROK	\N	\N
3531527	34	1997-04-30	PRIJEM	\N	237	42391	UROK	\N	\N
3531528	34	1997-05-31	PRIJEM	\N	213	36549	UROK	\N	\N
3531529	34	1997-06-30	PRIJEM	\N	234	48649	UROK	\N	\N
3531530	34	1997-07-31	PRIJEM	\N	251	43943	UROK	\N	\N
3531531	34	1997-08-31	PRIJEM	\N	233	44319	UROK	\N	\N
3531532	34	1997-09-30	PRIJEM	\N	234	46397	UROK	\N	\N
3531533	34	1997-10-31	PRIJEM	\N	198	35878	UROK	\N	\N
3531534	34	1997-11-30	PRIJEM	\N	198	40519	UROK	\N	\N
3531535	34	1997-12-31	PRIJEM	\N	254	52140	UROK	\N	\N
3531536	34	1998-01-31	PRIJEM	\N	265	44673	UROK	\N	\N
3531537	34	1998-02-28	PRIJEM	\N	230	48846	UROK	\N	\N
3531538	34	1998-03-31	PRIJEM	\N	223	45005	UROK	\N	\N
3531539	34	1998-04-30	PRIJEM	\N	204	40053	UROK	\N	\N
3531540	34	1998-05-31	PRIJEM	\N	219	43215	UROK	\N	\N
3531541	34	1998-06-30	PRIJEM	\N	267	56548	UROK	\N	\N
3531542	34	1998-07-31	PRIJEM	\N	252	45842	UROK	\N	\N
3531543	34	1998-08-31	PRIJEM	\N	182	38462	UROK	\N	\N
3531544	34	1998-09-30	PRIJEM	\N	204	38709	UROK	\N	\N
3531545	34	1998-10-31	PRIJEM	\N	201	47353	UROK	\N	\N
3531546	34	1998-11-30	PRIJEM	\N	188	42513	UROK	\N	\N
3531547	34	1998-12-31	PRIJEM	\N	235	50114	UROK	\N	\N
3531548	35	1993-12-31	PRIJEM	\N	79	25525	UROK	\N	\N
3531549	35	1994-01-31	PRIJEM	\N	93	19945	UROK	\N	\N
3531550	35	1994-02-28	PRIJEM	\N	86	19718	UROK	\N	\N
3531551	35	1994-03-31	PRIJEM	\N	91	20697	UROK	\N	\N
3531552	35	1994-04-30	PRIJEM	\N	96	23840	UROK	\N	\N
3531553	35	1994-05-31	PRIJEM	\N	109	26197	UROK	\N	\N
3531554	35	1994-06-30	PRIJEM	\N	92	19316	UROK	\N	\N
3531555	35	1994-07-31	PRIJEM	\N	90	22454	UROK	\N	\N
3531556	35	1994-08-31	PRIJEM	\N	104	25605	UROK	\N	\N
3531557	35	1994-09-30	PRIJEM	\N	116	28768	UROK	\N	\N
3531558	35	1994-10-31	PRIJEM	\N	114	27089	UROK	\N	\N
3531559	35	1994-11-30	PRIJEM	\N	122	26558	UROK	\N	\N
3531560	35	1994-12-31	PRIJEM	\N	118	24424	UROK	\N	\N
3531561	35	1995-01-31	PRIJEM	\N	95	19486	UROK	\N	\N
3531562	35	1995-02-28	PRIJEM	\N	91	22624	UROK	\N	\N
3531563	35	1995-03-31	PRIJEM	\N	104	25676	UROK	\N	\N
3531564	35	1995-04-30	PRIJEM	\N	114	26057	UROK	\N	\N
3531565	35	1995-05-31	PRIJEM	\N	117	25282	UROK	\N	\N
3531566	35	1995-06-30	PRIJEM	\N	71	13451	UROK	\N	\N
3531567	35	1995-07-31	PRIJEM	\N	66	16564	UROK	\N	\N
3531568	35	1995-08-31	PRIJEM	\N	79	19690	UROK	\N	\N
3531569	35	1995-09-30	PRIJEM	\N	91	21828	UROK	\N	\N
3531570	35	1995-10-31	PRIJEM	\N	98	22373	UROK	\N	\N
3531571	35	1995-11-30	PRIJEM	\N	95	16416	UROK	\N	\N
3531572	35	1995-12-31	PRIJEM	\N	77	18340	UROK	\N	\N
3531573	35	1996-01-31	PRIJEM	\N	59	13446	UROK	\N	\N
3531574	35	1996-02-29	PRIJEM	\N	63	14456	UROK	\N	\N
3531575	35	1996-03-31	PRIJEM	\N	65	13869	UROK	\N	\N
3531576	35	1996-04-30	PRIJEM	\N	62	13278	UROK	\N	\N
3531577	35	1996-05-31	PRIJEM	\N	59	12385	UROK	\N	\N
3531578	35	1996-06-30	PRIJEM	\N	58	13190	UROK	\N	\N
3531579	35	1996-07-31	PRIJEM	\N	63	15540	UROK	\N	\N
3531580	35	1996-08-31	PRIJEM	\N	62	12369	UROK	\N	\N
3531581	35	1996-09-30	PRIJEM	\N	61	15477	UROK	\N	\N
3531582	35	1996-10-31	PRIJEM	\N	71	17095	UROK	\N	\N
3531583	35	1996-11-30	PRIJEM	\N	72	15815	UROK	\N	\N
3531584	35	1996-12-31	PRIJEM	\N	67	15809	UROK	\N	\N
3531585	35	1997-01-31	PRIJEM	\N	66	15082	UROK	\N	\N
3531586	35	1997-02-28	PRIJEM	\N	68	16197	UROK	\N	\N
3531587	35	1997-03-31	PRIJEM	\N	67	14512	UROK	\N	\N
3531588	35	1997-04-30	PRIJEM	\N	63	15302	UROK	\N	\N
3531589	35	1997-05-31	PRIJEM	\N	63	13612	UROK	\N	\N
3531590	35	1997-06-30	PRIJEM	\N	59	13518	UROK	\N	\N
3531591	35	1997-07-31	PRIJEM	\N	65	16631	UROK	\N	\N
3531592	35	1997-08-31	PRIJEM	\N	70	16348	UROK	\N	\N
3531593	35	1997-09-30	PRIJEM	\N	66	14961	UROK	\N	\N
3531594	35	1997-10-31	PRIJEM	\N	68	16776	UROK	\N	\N
3531595	35	1997-11-30	PRIJEM	\N	77	13601	UROK	\N	\N
3531596	35	1997-12-31	PRIJEM	\N	59	13307	UROK	\N	\N
3531597	35	1998-01-31	PRIJEM	\N	51	11726	UROK	\N	\N
3531598	35	1998-02-28	PRIJEM	\N	57	14830	UROK	\N	\N
3531599	35	1998-03-31	PRIJEM	\N	70	17947	UROK	\N	\N
3531600	35	1998-04-30	PRIJEM	\N	83	21077	UROK	\N	\N
3531601	35	1998-05-31	PRIJEM	\N	65	12589	UROK	\N	\N
3531602	35	1998-06-30	PRIJEM	\N	60	15697	UROK	\N	\N
3531603	35	1998-07-31	PRIJEM	\N	59	13703	UROK	\N	\N
3531604	35	1998-08-31	PRIJEM	\N	53	12803	UROK	\N	\N
3531605	35	1998-09-30	PRIJEM	\N	61	15912	UROK	\N	\N
3531606	35	1998-10-31	PRIJEM	\N	74	19033	UROK	\N	\N
3531607	35	1998-11-30	PRIJEM	\N	87	22167	UROK	\N	\N
3531608	35	1998-12-31	PRIJEM	\N	88	20742	UROK	\N	\N
3531609	36	1993-07-31	PRIJEM	\N	74	20426	UROK	\N	\N
3531610	36	1993-08-31	PRIJEM	\N	104	32982	UROK	\N	\N
3531611	36	1993-09-30	PRIJEM	\N	139	39673	UROK	\N	\N
3531612	36	1993-10-31	PRIJEM	\N	167	43992	UROK	\N	\N
3531613	36	1993-11-30	PRIJEM	\N	233	41707	UROK	\N	\N
3531614	36	1993-12-31	PRIJEM	\N	258	47000	UROK	\N	\N
3531615	36	1994-01-31	PRIJEM	\N	209	32917	UROK	\N	\N
3531616	36	1994-02-28	PRIJEM	\N	201	37387	UROK	\N	\N
3531617	36	1994-03-31	PRIJEM	\N	206	39661	UROK	\N	\N
3531618	36	1994-04-30	PRIJEM	\N	225	39155	UROK	\N	\N
3531619	36	1994-05-31	PRIJEM	\N	223	40946	UROK	\N	\N
3531620	36	1994-06-30	PRIJEM	\N	171	25091	UROK	\N	\N
3531621	36	1994-07-31	PRIJEM	\N	142	29861	UROK	\N	\N
3531622	36	1994-08-31	PRIJEM	\N	184	36513	UROK	\N	\N
3531623	36	1994-09-30	PRIJEM	\N	206	38788	UROK	\N	\N
3531624	36	1994-10-31	PRIJEM	\N	201	38357	UROK	\N	\N
3531625	36	1994-11-30	PRIJEM	\N	201	40527	UROK	\N	\N
3531626	36	1994-12-31	PRIJEM	\N	219	41860	UROK	\N	\N
3531627	36	1995-01-31	PRIJEM	\N	183	19992	UROK	\N	\N
3531628	36	1995-02-28	PRIJEM	\N	140	28099	UROK	\N	\N
3531629	36	1995-03-31	PRIJEM	\N	172	34240	UROK	\N	\N
3531630	36	1995-04-30	PRIJEM	\N	179	35427	UROK	\N	\N
3531631	36	1995-05-31	PRIJEM	\N	184	36279	UROK	\N	\N
3531632	36	1995-06-30	PRIJEM	\N	116	22950	UROK	\N	\N
3531633	36	1995-07-31	PRIJEM	\N	151	32169	UROK	\N	\N
3531634	36	1995-08-31	PRIJEM	\N	178	35215	UROK	\N	\N
3531635	36	1995-09-30	PRIJEM	\N	182	38565	UROK	\N	\N
3531636	36	1995-10-31	PRIJEM	\N	192	40226	UROK	\N	\N
3531637	36	1995-11-30	PRIJEM	\N	193	39387	UROK	\N	\N
3531638	36	1995-12-31	PRIJEM	\N	213	44874	UROK	\N	\N
3531639	36	1996-01-31	PRIJEM	\N	166	17489	UROK	\N	\N
3531640	36	1996-02-29	PRIJEM	\N	125	28582	UROK	\N	\N
3531641	36	1996-03-31	PRIJEM	\N	155	31305	UROK	\N	\N
3531642	36	1996-04-30	PRIJEM	\N	158	33832	UROK	\N	\N
3531643	36	1996-05-31	PRIJEM	\N	166	32766	UROK	\N	\N
3531644	36	1996-06-30	PRIJEM	\N	188	38348	UROK	\N	\N
3531645	36	1996-07-31	PRIJEM	\N	178	35695	UROK	\N	\N
3531646	36	1996-08-31	PRIJEM	\N	167	35470	UROK	\N	\N
3531647	36	1996-09-30	PRIJEM	\N	157	33296	UROK	\N	\N
3531648	36	1996-10-31	PRIJEM	\N	159	35523	UROK	\N	\N
3531649	36	1996-11-30	PRIJEM	\N	155	30667	UROK	\N	\N
3531650	36	1996-12-31	PRIJEM	\N	151	27092	UROK	\N	\N
3531651	36	1997-01-31	PRIJEM	\N	123	20723	UROK	\N	\N
3531652	36	1997-02-28	PRIJEM	\N	124	30016	UROK	\N	\N
3531653	36	1997-03-31	PRIJEM	\N	146	34310	UROK	\N	\N
3531654	36	1997-04-30	PRIJEM	\N	165	38543	UROK	\N	\N
3531655	36	1997-05-31	PRIJEM	\N	193	45605	UROK	\N	\N
3531656	36	1997-06-30	PRIJEM	\N	167	35486	UROK	\N	\N
3531657	36	1997-07-31	PRIJEM	\N	171	39925	UROK	\N	\N
3531658	36	1997-08-31	PRIJEM	\N	184	44278	UROK	\N	\N
3531659	36	1997-09-30	PRIJEM	\N	192	45438	UROK	\N	\N
3531660	36	1997-10-31	PRIJEM	\N	184	42451	UROK	\N	\N
3531661	36	1997-11-30	PRIJEM	\N	176	42196	UROK	\N	\N
3531662	36	1997-12-31	PRIJEM	\N	194	45404	UROK	\N	\N
3531663	36	1998-01-31	PRIJEM	\N	141	22613	UROK	\N	\N
3531664	36	1998-02-28	PRIJEM	\N	138	36120	UROK	\N	\N
3531665	36	1998-03-31	PRIJEM	\N	173	42761	UROK	\N	\N
3531666	36	1998-04-30	PRIJEM	\N	181	44310	UROK	\N	\N
3531667	36	1998-05-31	PRIJEM	\N	195	47973	UROK	\N	\N
3531668	36	1998-06-30	PRIJEM	\N	235	48443	UROK	\N	\N
3531669	36	1998-07-31	PRIJEM	\N	243	57454	UROK	\N	\N
3531670	36	1998-08-31	PRIJEM	\N	284	67406	UROK	\N	\N
3531671	36	1998-09-30	PRIJEM	\N	271	66365	UROK	\N	\N
3531672	36	1998-10-31	PRIJEM	\N	296	73429	UROK	\N	\N
3531673	36	1998-11-30	PRIJEM	\N	294	71991	UROK	\N	\N
3531674	36	1998-12-31	PRIJEM	\N	321	79147	UROK	\N	\N
3531675	37	1997-08-31	PRIJEM	\N	85	56235	UROK	\N	\N
3531676	37	1997-09-30	PRIJEM	\N	288	41858	UROK	\N	\N
3531677	37	1997-10-31	PRIJEM	\N	350	35208	UROK	\N	\N
3531678	37	1997-11-30	PRIJEM	\N	184	69667	UROK	\N	\N
3531679	37	1997-12-31	PRIJEM	\N	227	55499	UROK	\N	\N
3531680	37	1998-01-31	PRIJEM	\N	146	23033	UROK	\N	\N
3531681	37	1998-02-28	PRIJEM	\N	72	17192	UROK	\N	\N
3531682	37	1998-03-31	PRIJEM	\N	245	61987	UROK	\N	\N
3531683	37	1998-04-30	PRIJEM	\N	184	57683	UROK	\N	\N
3531684	37	1998-05-31	PRIJEM	\N	202	39488	UROK	\N	\N
3531685	37	1998-06-30	PRIJEM	\N	104	14480	UROK	\N	\N
3531686	37	1998-07-31	PRIJEM	\N	50	9101	UROK	\N	\N
3531687	37	1998-08-31	PRIJEM	\N	72	15542	UROK	\N	\N
3531688	37	1998-08-31	VYDAJ	VYBER	0	15542	SANKC. UROK	\N	\N
3531689	37	1998-09-30	PRIJEM	\N	94	37880	UROK	\N	\N
3531690	37	1998-10-31	PRIJEM	\N	92	16460	UROK	\N	\N
3531691	37	1998-11-30	PRIJEM	\N	38	6178	UROK	\N	\N
3531692	37	1998-12-31	PRIJEM	\N	102	45905	UROK	\N	\N
3531693	38	1997-08-31	PRIJEM	\N	48	14989	UROK	\N	\N
3531694	38	1997-09-30	PRIJEM	\N	128	35558	UROK	\N	\N
3531695	38	1997-10-31	PRIJEM	\N	184	46883	UROK	\N	\N
3531696	38	1997-11-30	PRIJEM	\N	205	50229	UROK	\N	\N
3531697	38	1997-12-31	PRIJEM	\N	201	47561	UROK	\N	\N
3531698	38	1998-01-31	PRIJEM	\N	118	22330	UROK	\N	\N
3531699	38	1998-02-28	PRIJEM	\N	113	26894	UROK	\N	\N
3531700	38	1998-03-31	PRIJEM	\N	117	29466	UROK	\N	\N
3531701	38	1998-04-30	PRIJEM	\N	136	23153	UROK	\N	\N
3531702	38	1998-05-31	PRIJEM	\N	116	27813	UROK	\N	\N
3531703	38	1998-06-30	PRIJEM	\N	174	45652	UROK	\N	\N
3531704	38	1998-07-31	PRIJEM	\N	158	30114	UROK	\N	\N
3531705	38	1998-08-31	PRIJEM	\N	165	34266	UROK	\N	\N
3531706	38	1998-09-30	PRIJEM	\N	138	32210	UROK	\N	\N
3531707	38	1998-10-31	PRIJEM	\N	148	34114	UROK	\N	\N
3531708	38	1998-11-30	PRIJEM	\N	166	39724	UROK	\N	\N
3531709	38	1998-12-31	PRIJEM	\N	191	44581	UROK	\N	\N
3531710	39	1994-01-31	PRIJEM	\N	39	24435	UROK	\N	\N
3531711	39	1994-02-28	PRIJEM	\N	107	23901	UROK	\N	\N
3531712	39	1994-03-31	PRIJEM	\N	110	25275	UROK	\N	\N
3531713	39	1994-04-30	PRIJEM	\N	109	24048	UROK	\N	\N
3531714	39	1994-05-31	PRIJEM	\N	107	25160	UROK	\N	\N
3531715	39	1994-06-30	PRIJEM	\N	107	24211	UROK	\N	\N
3531716	39	1994-07-31	PRIJEM	\N	103	23018	UROK	\N	\N
3531717	39	1994-08-31	PRIJEM	\N	107	26469	UROK	\N	\N
3531718	39	1994-09-30	PRIJEM	\N	119	28632	UROK	\N	\N
3531719	39	1994-10-31	PRIJEM	\N	120	26997	UROK	\N	\N
3531720	39	1994-11-30	PRIJEM	\N	122	29863	UROK	\N	\N
3531721	39	1994-12-31	PRIJEM	\N	123	27281	UROK	\N	\N
3531722	39	1995-01-31	PRIJEM	\N	101	19366	UROK	\N	\N
3531723	39	1995-02-28	PRIJEM	\N	91	22801	UROK	\N	\N
3531724	39	1995-03-31	PRIJEM	\N	105	26051	UROK	\N	\N
3531725	39	1995-04-30	PRIJEM	\N	114	27209	UROK	\N	\N
3531726	39	1995-05-31	PRIJEM	\N	116	27870	UROK	\N	\N
3531727	39	1995-06-30	PRIJEM	\N	117	23901	UROK	\N	\N
3531728	39	1995-07-31	PRIJEM	\N	108	26353	UROK	\N	\N
3531729	39	1995-08-31	PRIJEM	\N	114	27412	UROK	\N	\N
3531730	39	1995-09-30	PRIJEM	\N	121	29377	UROK	\N	\N
3531731	39	1995-10-31	PRIJEM	\N	118	27340	UROK	\N	\N
3531732	39	1995-11-30	PRIJEM	\N	105	19989	UROK	\N	\N
3531733	39	1995-12-31	PRIJEM	\N	93	22077	UROK	\N	\N
3531734	39	1996-01-31	PRIJEM	\N	79	14380	UROK	\N	\N
3531735	39	1996-02-29	PRIJEM	\N	67	16352	UROK	\N	\N
3531736	39	1996-03-31	PRIJEM	\N	79	19775	UROK	\N	\N
3531737	39	1996-04-30	PRIJEM	\N	93	23212	UROK	\N	\N
3531738	39	1996-05-31	PRIJEM	\N	107	26663	UROK	\N	\N
3531739	39	1996-06-30	PRIJEM	\N	116	26073	UROK	\N	\N
3531740	39	1996-07-31	PRIJEM	\N	117	28335	UROK	\N	\N
3531741	39	1996-08-31	PRIJEM	\N	118	28397	UROK	\N	\N
3531742	39	1996-09-30	PRIJEM	\N	121	29262	UROK	\N	\N
3531743	39	1996-10-31	PRIJEM	\N	114	27020	UROK	\N	\N
3531744	39	1996-11-30	PRIJEM	\N	117	27982	UROK	\N	\N
3531745	39	1996-12-31	PRIJEM	\N	125	29701	UROK	\N	\N
3531746	39	1997-01-31	PRIJEM	\N	103	19888	UROK	\N	\N
3531747	39	1997-02-28	PRIJEM	\N	92	23324	UROK	\N	\N
3531748	39	1997-03-31	PRIJEM	\N	100	22929	UROK	\N	\N
3531749	39	1997-04-30	PRIJEM	\N	105	26379	UROK	\N	\N
3531750	39	1997-05-31	PRIJEM	\N	118	28641	UROK	\N	\N
3531751	39	1997-06-30	PRIJEM	\N	99	21584	UROK	\N	\N
3531752	39	1997-07-31	PRIJEM	\N	91	21780	UROK	\N	\N
3531753	39	1997-08-31	PRIJEM	\N	85	20409	UROK	\N	\N
3531754	39	1997-09-30	PRIJEM	\N	81	19535	UROK	\N	\N
3531755	39	1997-10-31	PRIJEM	\N	87	21166	UROK	\N	\N
3531756	39	1997-11-30	PRIJEM	\N	97	24608	UROK	\N	\N
3531757	39	1997-12-31	PRIJEM	\N	108	24360	UROK	\N	\N
3531758	39	1998-01-31	PRIJEM	\N	98	19643	UROK	\N	\N
3531759	39	1998-02-28	PRIJEM	\N	90	23078	UROK	\N	\N
3531760	39	1998-03-31	PRIJEM	\N	100	23322	UROK	\N	\N
3531761	39	1998-04-30	PRIJEM	\N	104	20790	UROK	\N	\N
3531762	39	1998-05-31	PRIJEM	\N	81	13955	UROK	\N	\N
3531763	39	1998-06-30	PRIJEM	\N	66	16566	UROK	\N	\N
3531764	39	1998-07-31	PRIJEM	\N	76	16886	UROK	\N	\N
3531765	39	1998-08-31	PRIJEM	\N	78	18808	UROK	\N	\N
3531766	39	1998-09-30	PRIJEM	\N	82	14934	UROK	\N	\N
3531767	39	1998-10-31	PRIJEM	\N	68	15246	UROK	\N	\N
3531768	39	1998-11-30	PRIJEM	\N	68	13858	UROK	\N	\N
3531769	39	1998-12-31	PRIJEM	\N	63	16315	UROK	\N	\N
3531770	40	1993-11-30	PRIJEM	\N	15	15617	UROK	\N	\N
3531771	40	1993-12-31	PRIJEM	\N	73	23243	UROK	\N	\N
3531772	40	1994-01-31	PRIJEM	\N	104	29349	UROK	\N	\N
3531773	40	1994-02-28	PRIJEM	\N	123	30474	UROK	\N	\N
3531774	40	1994-03-31	PRIJEM	\N	129	28871	UROK	\N	\N
3531775	40	1994-04-30	PRIJEM	\N	127	27651	UROK	\N	\N
3531776	40	1994-05-31	PRIJEM	\N	124	29129	UROK	\N	\N
3531777	40	1994-06-30	PRIJEM	\N	133	27366	UROK	\N	\N
3531778	40	1994-07-31	PRIJEM	\N	111	23031	UROK	\N	\N
3531779	40	1994-08-31	PRIJEM	\N	107	26192	UROK	\N	\N
3531780	40	1994-09-30	PRIJEM	\N	121	29666	UROK	\N	\N
3531781	40	1994-10-31	PRIJEM	\N	120	28039	UROK	\N	\N
3531782	40	1994-11-30	PRIJEM	\N	129	31822	UROK	\N	\N
3531783	40	1994-12-31	PRIJEM	\N	144	32370	UROK	\N	\N
3531784	40	1995-01-31	PRIJEM	\N	103	19126	UROK	\N	\N
3531785	40	1995-02-28	PRIJEM	\N	94	23774	UROK	\N	\N
3531786	40	1995-03-31	PRIJEM	\N	114	28641	UROK	\N	\N
3531787	40	1995-04-30	PRIJEM	\N	126	28820	UROK	\N	\N
3531788	40	1995-05-31	PRIJEM	\N	119	26192	UROK	\N	\N
3531789	40	1995-06-30	PRIJEM	\N	125	29121	UROK	\N	\N
3531790	40	1995-07-31	PRIJEM	\N	125	28199	UROK	\N	\N
3531791	40	1995-08-31	PRIJEM	\N	119	26672	UROK	\N	\N
3531792	40	1995-09-30	PRIJEM	\N	107	22632	UROK	\N	\N
3531793	40	1995-10-31	PRIJEM	\N	96	21582	UROK	\N	\N
3531794	40	1995-11-30	PRIJEM	\N	98	22932	UROK	\N	\N
3531795	40	1995-12-31	PRIJEM	\N	94	18231	UROK	\N	\N
3531796	40	1996-01-31	PRIJEM	\N	61	12546	UROK	\N	\N
3531797	40	1996-02-29	PRIJEM	\N	59	13758	UROK	\N	\N
3531798	40	1996-03-31	PRIJEM	\N	64	14775	UROK	\N	\N
3531799	40	1996-04-30	PRIJEM	\N	79	16008	UROK	\N	\N
3531800	40	1996-05-31	PRIJEM	\N	81	15942	UROK	\N	\N
3531801	40	1996-06-30	PRIJEM	\N	72	16319	UROK	\N	\N
3531802	40	1996-07-31	PRIJEM	\N	53	10225	UROK	\N	\N
3531803	40	1996-08-31	PRIJEM	\N	52	12430	UROK	\N	\N
3531804	40	1996-09-30	PRIJEM	\N	61	14645	UROK	\N	\N
3531805	40	1996-10-31	PRIJEM	\N	51	10749	UROK	\N	\N
3531806	40	1996-11-30	PRIJEM	\N	54	12956	UROK	\N	\N
3531807	40	1996-12-31	PRIJEM	\N	41	8201	UROK	\N	\N
3531808	40	1997-01-31	PRIJEM	\N	43	10398	UROK	\N	\N
3531809	40	1997-02-28	PRIJEM	\N	52	12603	UROK	\N	\N
3531810	40	1997-03-31	PRIJEM	\N	61	14818	UROK	\N	\N
3531811	40	1997-04-30	PRIJEM	\N	70	17042	UROK	\N	\N
3531812	40	1997-05-31	PRIJEM	\N	80	19275	UROK	\N	\N
3531813	40	1997-06-30	PRIJEM	\N	56	11735	UROK	\N	\N
3531814	40	1997-07-31	PRIJEM	\N	57	13946	UROK	\N	\N
3531815	40	1997-08-31	PRIJEM	\N	67	16166	UROK	\N	\N
3531816	40	1997-09-30	PRIJEM	\N	76	18395	UROK	\N	\N
3531817	40	1997-10-31	PRIJEM	\N	85	20633	UROK	\N	\N
3531818	40	1997-11-30	PRIJEM	\N	94	22881	UROK	\N	\N
3531819	40	1997-12-31	PRIJEM	\N	112	25497	UROK	\N	\N
3531820	40	1998-01-31	PRIJEM	\N	74	15725	UROK	\N	\N
3531821	40	1998-02-28	PRIJEM	\N	74	17952	UROK	\N	\N
3531822	40	1998-03-31	PRIJEM	\N	83	20188	UROK	\N	\N
3531823	40	1998-04-30	PRIJEM	\N	92	22433	UROK	\N	\N
3531824	40	1998-05-31	PRIJEM	\N	97	22083	UROK	\N	\N
3531825	40	1998-06-30	PRIJEM	\N	105	23292	UROK	\N	\N
3531826	40	1998-07-31	PRIJEM	\N	105	25550	UROK	\N	\N
3531827	40	1998-08-31	PRIJEM	\N	114	27818	UROK	\N	\N
3531828	40	1998-09-30	PRIJEM	\N	123	30095	UROK	\N	\N
3531829	40	1998-10-31	PRIJEM	\N	123	16971	UROK	\N	\N
3531830	40	1998-11-30	PRIJEM	\N	78	19203	UROK	\N	\N
3531831	40	1998-12-31	PRIJEM	\N	97	23704	UROK	\N	\N
3531832	42	1996-09-30	PRIJEM	\N	37	16843	UROK	\N	\N
3531833	42	1996-10-31	PRIJEM	\N	86	23936	UROK	\N	\N
3531834	42	1996-11-30	PRIJEM	\N	101	24442	UROK	\N	\N
3531835	42	1996-12-31	PRIJEM	\N	108	27209	UROK	\N	\N
3531836	42	1997-01-31	PRIJEM	\N	109	24505	UROK	\N	\N
3531837	42	1997-02-28	PRIJEM	\N	99	23426	UROK	\N	\N
3531838	42	1997-03-31	PRIJEM	\N	94	21741	UROK	\N	\N
3531839	42	1997-04-30	PRIJEM	\N	98	21760	UROK	\N	\N
3531840	42	1997-05-31	PRIJEM	\N	87	18628	UROK	\N	\N
3531841	42	1997-06-30	PRIJEM	\N	97	26299	UROK	\N	\N
3531842	42	1997-07-31	PRIJEM	\N	112	27432	UROK	\N	\N
3531843	42	1997-08-31	PRIJEM	\N	118	29172	UROK	\N	\N
3531844	42	1997-09-30	PRIJEM	\N	133	33826	UROK	\N	\N
3531845	42	1997-10-31	PRIJEM	\N	125	28253	UROK	\N	\N
3531846	42	1997-11-30	PRIJEM	\N	135	34609	UROK	\N	\N
3531847	42	1997-12-31	PRIJEM	\N	146	31229	UROK	\N	\N
3531848	42	1998-01-31	PRIJEM	\N	123	27173	UROK	\N	\N
3531849	42	1998-02-28	PRIJEM	\N	138	35732	UROK	\N	\N
3531850	42	1998-03-31	PRIJEM	\N	148	37402	UROK	\N	\N
3531851	42	1998-04-30	PRIJEM	\N	154	37677	UROK	\N	\N
3531852	42	1998-05-31	PRIJEM	\N	149	33727	UROK	\N	\N
3531853	42	1998-06-30	PRIJEM	\N	145	36986	UROK	\N	\N
3531854	42	1998-07-31	PRIJEM	\N	143	34650	UROK	\N	\N
3531855	42	1998-08-31	PRIJEM	\N	131	31903	UROK	\N	\N
3531856	42	1998-09-30	PRIJEM	\N	123	27007	UROK	\N	\N
3531857	42	1998-10-31	PRIJEM	\N	106	26334	UROK	\N	\N
3531858	42	1998-11-30	PRIJEM	\N	106	26461	UROK	\N	\N
3531859	42	1998-12-31	PRIJEM	\N	108	25984	UROK	\N	\N
3531860	43	1994-06-30	PRIJEM	\N	92	37054	UROK	\N	\N
3531861	43	1994-07-31	PRIJEM	\N	205	57268	UROK	\N	\N
3531862	43	1994-08-31	PRIJEM	\N	261	66236	UROK	\N	\N
3531863	43	1994-09-30	PRIJEM	\N	280	68324	UROK	\N	\N
3531864	43	1994-10-31	PRIJEM	\N	294	72627	UROK	\N	\N
3531865	43	1994-11-30	PRIJEM	\N	289	73540	UROK	\N	\N
3531866	43	1994-12-31	PRIJEM	\N	309	81967	UROK	\N	\N
3531867	43	1995-01-31	PRIJEM	\N	277	59109	UROK	\N	\N
3531868	43	1995-02-28	PRIJEM	\N	240	63053	UROK	\N	\N
3531869	43	1995-03-31	PRIJEM	\N	259	66417	UROK	\N	\N
3531870	43	1995-04-30	PRIJEM	\N	261	66442	UROK	\N	\N
3531871	43	1995-05-31	PRIJEM	\N	260	67547	UROK	\N	\N
3531872	43	1995-06-30	PRIJEM	\N	308	84913	UROK	\N	\N
3531873	43	1995-07-31	PRIJEM	\N	324	82041	UROK	\N	\N
3531874	43	1995-08-31	PRIJEM	\N	302	77048	UROK	\N	\N
3531875	43	1995-09-30	PRIJEM	\N	307	74859	UROK	\N	\N
3531876	43	1995-10-31	PRIJEM	\N	276	69839	UROK	\N	\N
3531877	43	1995-11-30	PRIJEM	\N	262	69706	UROK	\N	\N
3531878	43	1995-12-31	PRIJEM	\N	286	78851	UROK	\N	\N
3531879	43	1996-01-31	PRIJEM	\N	256	59051	UROK	\N	\N
3531880	43	1996-02-29	PRIJEM	\N	240	63095	UROK	\N	\N
3531881	43	1996-03-31	PRIJEM	\N	254	68153	UROK	\N	\N
3531882	43	1996-04-30	PRIJEM	\N	263	70321	UROK	\N	\N
3531883	43	1996-05-31	PRIJEM	\N	257	63722	UROK	\N	\N
3531884	43	1996-06-30	PRIJEM	\N	212	46693	UROK	\N	\N
3531885	43	1996-07-31	PRIJEM	\N	215	60512	UROK	\N	\N
3531886	43	1996-08-31	PRIJEM	\N	235	52851	UROK	\N	\N
3531887	43	1996-09-30	PRIJEM	\N	257	55513	UROK	\N	\N
3531888	43	1996-10-31	PRIJEM	\N	262	52880	UROK	\N	\N
3531889	43	1996-11-30	PRIJEM	\N	236	53520	UROK	\N	\N
3531890	43	1996-12-31	PRIJEM	\N	281	58259	UROK	\N	\N
3531891	43	1997-01-31	PRIJEM	\N	231	50755	UROK	\N	\N
3531892	43	1997-02-28	PRIJEM	\N	244	55303	UROK	\N	\N
3531893	43	1997-03-31	PRIJEM	\N	265	59573	UROK	\N	\N
3531894	43	1997-04-30	PRIJEM	\N	281	62958	UROK	\N	\N
3531895	43	1997-05-31	PRIJEM	\N	291	61253	UROK	\N	\N
3531896	43	1997-06-30	PRIJEM	\N	273	53524	UROK	\N	\N
3531897	43	1997-07-31	PRIJEM	\N	235	57664	UROK	\N	\N
3531898	43	1997-08-31	PRIJEM	\N	267	60035	UROK	\N	\N
3531899	43	1997-09-30	PRIJEM	\N	274	63113	UROK	\N	\N
3531900	43	1997-10-31	PRIJEM	\N	289	67006	UROK	\N	\N
3531901	43	1997-11-30	PRIJEM	\N	303	70313	UROK	\N	\N
3531902	43	1997-12-31	PRIJEM	\N	334	76906	UROK	\N	\N
3531903	43	1998-01-31	PRIJEM	\N	264	59834	UROK	\N	\N
3531904	43	1998-02-28	PRIJEM	\N	272	65911	UROK	\N	\N
3531905	43	1998-03-31	PRIJEM	\N	292	65508	UROK	\N	\N
3531906	43	1998-04-30	PRIJEM	\N	290	66202	UROK	\N	\N
3531907	43	1998-05-31	PRIJEM	\N	286	62193	UROK	\N	\N
3531908	43	1998-06-30	PRIJEM	\N	238	34929	UROK	\N	\N
3531909	43	1998-07-31	PRIJEM	\N	175	45808	UROK	\N	\N
3531910	43	1998-08-31	PRIJEM	\N	214	54027	UROK	\N	\N
3531911	43	1998-09-30	PRIJEM	\N	234	54165	UROK	\N	\N
3531912	43	1998-10-31	PRIJEM	\N	232	59801	UROK	\N	\N
3531913	43	1998-11-30	PRIJEM	\N	247	56252	UROK	\N	\N
3531914	43	1998-12-31	PRIJEM	\N	256	60767	UROK	\N	\N
3531915	44	1993-10-31	PRIJEM	\N	59	19115	UROK	\N	\N
3531916	44	1993-11-30	PRIJEM	\N	76	17832	UROK	\N	\N
3531917	44	1993-12-31	PRIJEM	\N	78	18691	UROK	\N	\N
3531918	44	1994-01-31	PRIJEM	\N	67	12440	UROK	\N	\N
3531919	44	1994-02-28	PRIJEM	\N	54	12655	UROK	\N	\N
3531920	44	1994-03-31	PRIJEM	\N	58	14555	UROK	\N	\N
3531921	44	1994-04-30	PRIJEM	\N	65	15261	UROK	\N	\N
3531922	44	1994-05-31	PRIJEM	\N	67	13329	UROK	\N	\N
3531923	44	1994-06-30	PRIJEM	\N	61	15232	UROK	\N	\N
3531924	44	1994-07-31	PRIJEM	\N	66	15779	UROK	\N	\N
3531925	44	1994-08-31	PRIJEM	\N	71	17692	UROK	\N	\N
3531926	44	1994-09-30	PRIJEM	\N	78	17852	UROK	\N	\N
3531927	44	1994-10-31	PRIJEM	\N	80	19773	UROK	\N	\N
3531928	44	1994-11-30	PRIJEM	\N	89	18803	UROK	\N	\N
3531929	44	1994-12-31	PRIJEM	\N	79	18824	UROK	\N	\N
3531930	44	1995-01-31	PRIJEM	\N	63	13269	UROK	\N	\N
3531931	44	1995-02-28	PRIJEM	\N	61	15171	UROK	\N	\N
3531932	44	1995-03-31	PRIJEM	\N	69	17081	UROK	\N	\N
3531933	44	1995-04-30	PRIJEM	\N	70	14992	UROK	\N	\N
3531934	44	1995-05-31	PRIJEM	\N	68	16301	UROK	\N	\N
3531935	44	1995-06-30	PRIJEM	\N	73	17116	UROK	\N	\N
3531936	44	1995-07-31	PRIJEM	\N	75	15532	UROK	\N	\N
3531937	44	1995-08-31	PRIJEM	\N	69	15843	UROK	\N	\N
3531938	44	1995-09-30	PRIJEM	\N	70	14854	UROK	\N	\N
3531939	44	1995-10-31	PRIJEM	\N	67	16763	UROK	\N	\N
3531940	44	1995-11-30	PRIJEM	\N	71	12675	UROK	\N	\N
3531941	44	1995-12-31	PRIJEM	\N	58	14575	UROK	\N	\N
3531942	44	1996-01-31	PRIJEM	\N	63	14079	UROK	\N	\N
3531943	44	1996-02-29	PRIJEM	\N	64	15984	UROK	\N	\N
3531944	44	1996-03-31	PRIJEM	\N	67	12292	UROK	\N	\N
3531945	44	1996-04-30	PRIJEM	\N	56	14190	UROK	\N	\N
3531946	44	1996-05-31	PRIJEM	\N	64	16095	UROK	\N	\N
3531947	44	1996-06-30	PRIJEM	\N	65	15602	UROK	\N	\N
3531948	44	1996-07-31	PRIJEM	\N	70	17513	UROK	\N	\N
3531949	44	1996-08-31	PRIJEM	\N	78	19433	UROK	\N	\N
3531950	44	1996-09-30	PRIJEM	\N	86	21360	UROK	\N	\N
3531951	44	1996-10-31	PRIJEM	\N	94	23295	UROK	\N	\N
3531952	44	1996-11-30	PRIJEM	\N	102	25239	UROK	\N	\N
3531953	44	1996-12-31	PRIJEM	\N	109	26639	UROK	\N	\N
3531954	44	1997-01-31	PRIJEM	\N	107	21947	UROK	\N	\N
3531955	44	1997-02-28	PRIJEM	\N	89	21478	UROK	\N	\N
3531956	44	1997-03-31	PRIJEM	\N	94	23413	UROK	\N	\N
3531957	44	1997-04-30	PRIJEM	\N	98	23353	UROK	\N	\N
3531958	44	1997-05-31	PRIJEM	\N	102	25296	UROK	\N	\N
3531959	44	1997-06-30	PRIJEM	\N	80	15868	UROK	\N	\N
3531960	44	1997-07-31	PRIJEM	\N	71	17780	UROK	\N	\N
3531961	44	1997-08-31	PRIJEM	\N	78	19300	UROK	\N	\N
3531962	44	1997-09-30	PRIJEM	\N	85	21226	UROK	\N	\N
3531963	44	1997-10-31	PRIJEM	\N	93	23160	UROK	\N	\N
3531964	44	1997-11-30	PRIJEM	\N	101	25102	UROK	\N	\N
3531965	44	1997-12-31	PRIJEM	\N	101	22305	UROK	\N	\N
3531966	44	1998-01-31	PRIJEM	\N	81	16147	UROK	\N	\N
3531967	44	1998-02-28	PRIJEM	\N	68	16537	UROK	\N	\N
3531968	44	1998-03-31	PRIJEM	\N	73	18451	UROK	\N	\N
3531969	44	1998-04-30	PRIJEM	\N	70	16602	UROK	\N	\N
3531970	44	1998-05-31	PRIJEM	\N	65	15209	UROK	\N	\N
3531971	44	1998-06-30	PRIJEM	\N	67	17117	UROK	\N	\N
3531972	44	1998-07-31	PRIJEM	\N	75	19034	UROK	\N	\N
3531973	44	1998-08-31	PRIJEM	\N	83	20958	UROK	\N	\N
3531974	44	1998-09-30	PRIJEM	\N	91	22891	UROK	\N	\N
3531975	44	1998-10-31	PRIJEM	\N	89	21621	UROK	\N	\N
3531976	44	1998-11-30	PRIJEM	\N	91	22754	UROK	\N	\N
3531977	44	1998-12-31	PRIJEM	\N	97	23843	UROK	\N	\N
3532006	47	1993-08-31	PRIJEM	\N	100	35657	UROK	\N	\N
3532007	47	1993-09-30	PRIJEM	\N	231	65545	UROK	\N	\N
3532008	47	1993-10-31	PRIJEM	\N	312	79714	UROK	\N	\N
3532009	47	1993-11-30	PRIJEM	\N	352	87323	UROK	\N	\N
3532010	47	1993-12-31	PRIJEM	\N	241	36101	UROK	\N	\N
3532011	47	1994-01-31	PRIJEM	\N	138	19217	UROK	\N	\N
3532012	47	1994-02-28	PRIJEM	\N	174	52169	UROK	\N	\N
3532013	47	1994-03-31	PRIJEM	\N	255	68202	UROK	\N	\N
3532014	47	1994-04-30	PRIJEM	\N	289	75770	UROK	\N	\N
3532015	47	1994-05-31	PRIJEM	\N	309	79957	UROK	\N	\N
3532016	47	1994-06-30	PRIJEM	\N	259	61023	UROK	\N	\N
3532017	47	1994-07-31	PRIJEM	\N	263	69565	UROK	\N	\N
3532018	47	1994-08-31	PRIJEM	\N	284	74027	UROK	\N	\N
3532019	47	1994-09-30	PRIJEM	\N	309	80514	UROK	\N	\N
3532020	47	1994-10-31	PRIJEM	\N	192	25529	UROK	\N	\N
3532021	47	1994-11-30	PRIJEM	\N	179	51786	UROK	\N	\N
3532022	47	1994-12-31	PRIJEM	\N	262	72756	UROK	\N	\N
3532023	47	1995-01-31	PRIJEM	\N	140	25539	UROK	\N	\N
3532024	47	1995-02-28	PRIJEM	\N	183	53700	UROK	\N	\N
3532025	47	1995-03-31	PRIJEM	\N	184	30919	UROK	\N	\N
3532026	47	1995-04-30	PRIJEM	\N	151	38097	UROK	\N	\N
3532027	47	1995-05-31	PRIJEM	\N	192	37567	UROK	\N	\N
3532028	47	1995-06-30	PRIJEM	\N	264	31138	UROK	\N	\N
3532029	47	1995-07-31	PRIJEM	\N	165	30653	UROK	\N	\N
3532030	47	1995-08-31	PRIJEM	\N	196	37027	UROK	\N	\N
3532031	47	1995-09-30	PRIJEM	\N	153	18583	UROK	\N	\N
3532032	47	1995-10-31	PRIJEM	\N	145	29006	UROK	\N	\N
3532033	47	1995-11-30	PRIJEM	\N	182	24166	UROK	\N	\N
3532034	47	1995-12-31	PRIJEM	\N	209	44383	UROK	\N	\N
3532035	47	1996-01-31	PRIJEM	\N	166	19827	UROK	\N	\N
3532036	47	1996-02-29	PRIJEM	\N	139	29245	UROK	\N	\N
3532037	47	1996-03-31	PRIJEM	\N	179	32202	UROK	\N	\N
3532038	47	1996-04-30	PRIJEM	\N	188	35468	UROK	\N	\N
3532039	47	1996-05-31	PRIJEM	\N	171	31477	UROK	\N	\N
3532040	47	1996-06-30	PRIJEM	\N	173	32658	UROK	\N	\N
3532041	47	1996-07-31	PRIJEM	\N	181	33217	UROK	\N	\N
3532042	47	1996-08-31	PRIJEM	\N	186	38181	UROK	\N	\N
3532043	47	1996-09-30	PRIJEM	\N	201	41161	UROK	\N	\N
3532044	47	1996-10-31	PRIJEM	\N	205	39444	UROK	\N	\N
3532045	47	1996-11-30	PRIJEM	\N	196	38018	UROK	\N	\N
3532046	47	1996-12-31	PRIJEM	\N	221	43047	UROK	\N	\N
3532047	47	1997-01-31	PRIJEM	\N	163	27800	UROK	\N	\N
3532048	47	1997-02-28	PRIJEM	\N	153	35321	UROK	\N	\N
3532049	47	1997-03-31	PRIJEM	\N	187	40286	UROK	\N	\N
3532050	47	1997-04-30	PRIJEM	\N	174	34098	UROK	\N	\N
3532051	47	1997-05-31	PRIJEM	\N	177	27247	UROK	\N	\N
3532052	47	1997-06-30	PRIJEM	\N	190	46044	UROK	\N	\N
3532053	47	1997-07-31	PRIJEM	\N	215	47647	UROK	\N	\N
3532054	47	1997-08-31	PRIJEM	\N	216	38942	UROK	\N	\N
3532055	47	1997-09-30	PRIJEM	\N	187	42707	UROK	\N	\N
3532056	47	1997-10-31	PRIJEM	\N	167	36389	UROK	\N	\N
3532057	47	1997-11-30	PRIJEM	\N	164	28117	UROK	\N	\N
3532058	47	1997-12-31	PRIJEM	\N	153	31978	UROK	\N	\N
3532059	47	1998-01-31	PRIJEM	\N	107	20964	UROK	\N	\N
3532060	47	1998-02-28	PRIJEM	\N	115	29857	UROK	\N	\N
3532061	47	1998-03-31	PRIJEM	\N	166	24289	UROK	\N	\N
3532062	47	1998-04-30	PRIJEM	\N	118	28186	UROK	\N	\N
3532063	47	1998-05-31	PRIJEM	\N	126	28890	UROK	\N	\N
3532064	47	1998-06-30	PRIJEM	\N	148	36145	UROK	\N	\N
3532065	47	1998-07-31	PRIJEM	\N	121	24994	UROK	\N	\N
3532066	47	1998-08-31	PRIJEM	\N	88	19361	UROK	\N	\N
3532067	47	1998-09-30	PRIJEM	\N	77	19516	UROK	\N	\N
3532068	47	1998-10-31	PRIJEM	\N	59	13153	UROK	\N	\N
3532069	47	1998-11-30	PRIJEM	\N	128	41259	UROK	\N	\N
3532070	47	1998-12-31	PRIJEM	\N	289	78755	UROK	\N	\N
3532071	48	1996-12-31	PRIJEM	\N	61	30182	UROK	\N	\N
3532072	48	1997-01-31	PRIJEM	\N	141	37236	UROK	\N	\N
3532073	48	1997-02-28	PRIJEM	\N	165	42315	UROK	\N	\N
3532074	48	1997-03-31	PRIJEM	\N	184	46614	UROK	\N	\N
3532075	48	1997-04-30	PRIJEM	\N	204	51631	UROK	\N	\N
3532076	48	1997-05-31	PRIJEM	\N	208	44442	UROK	\N	\N
3532077	48	1997-06-30	PRIJEM	\N	199	30350	UROK	\N	\N
3532078	48	1997-07-31	PRIJEM	\N	147	38699	UROK	\N	\N
3532079	48	1997-08-31	PRIJEM	\N	172	43573	UROK	\N	\N
3532080	48	1997-09-30	PRIJEM	\N	197	51072	UROK	\N	\N
3532081	48	1997-10-31	PRIJEM	\N	207	49201	UROK	\N	\N
3532082	48	1997-11-30	PRIJEM	\N	189	45893	UROK	\N	\N
3532083	48	1997-12-31	PRIJEM	\N	197	49219	UROK	\N	\N
3532084	48	1998-01-31	PRIJEM	\N	192	42274	UROK	\N	\N
3532085	48	1998-02-28	PRIJEM	\N	205	56281	UROK	\N	\N
3532086	48	1998-03-31	PRIJEM	\N	220	53003	UROK	\N	\N
3532087	48	1998-04-30	PRIJEM	\N	238	62244	UROK	\N	\N
3532088	48	1998-05-31	PRIJEM	\N	252	61518	UROK	\N	\N
3532089	48	1998-06-30	PRIJEM	\N	236	64344	UROK	\N	\N
3532090	48	1998-07-31	PRIJEM	\N	262	65708	UROK	\N	\N
3532091	48	1998-08-31	PRIJEM	\N	265	66675	UROK	\N	\N
3532092	48	1998-09-30	PRIJEM	\N	263	66740	UROK	\N	\N
3532093	48	1998-10-31	PRIJEM	\N	269	66692	UROK	\N	\N
3532094	48	1998-11-30	PRIJEM	\N	250	62244	UROK	\N	\N
3532095	48	1998-12-31	PRIJEM	\N	263	70916	UROK	\N	\N
3532096	49	1997-04-30	PRIJEM	\N	13	4967	UROK	\N	\N
3532097	49	1997-05-31	PRIJEM	\N	21	9642	UROK	\N	\N
3532098	49	1997-06-30	PRIJEM	\N	21	14316	UROK	\N	\N
3532099	49	1997-07-31	PRIJEM	\N	21	18991	UROK	\N	\N
3532100	49	1997-08-31	PRIJEM	\N	23	23668	UROK	\N	\N
3532101	49	1997-09-30	PRIJEM	\N	98	24004	UROK	\N	\N
3532102	49	1997-10-31	PRIJEM	\N	95	22836	UROK	\N	\N
3532103	49	1997-11-30	PRIJEM	\N	78	18712	UROK	\N	\N
3532104	49	1997-12-31	PRIJEM	\N	79	19529	UROK	\N	\N
3532105	49	1998-01-31	PRIJEM	\N	67	12633	UROK	\N	\N
3532106	49	1998-02-28	PRIJEM	\N	57	14227	UROK	\N	\N
3532107	49	1998-03-31	PRIJEM	\N	63	15828	UROK	\N	\N
3532108	49	1998-04-30	PRIJEM	\N	70	17435	UROK	\N	\N
3532109	49	1998-05-31	PRIJEM	\N	76	16968	UROK	\N	\N
3532110	49	1998-06-30	PRIJEM	\N	63	14148	UROK	\N	\N
3532111	49	1998-07-31	PRIJEM	\N	63	15448	UROK	\N	\N
3532112	49	1998-08-31	PRIJEM	\N	59	13685	UROK	\N	\N
3532113	49	1998-09-30	PRIJEM	\N	61	14083	UROK	\N	\N
3532114	49	1998-10-31	PRIJEM	\N	60	12120	UROK	\N	\N
3532115	49	1998-11-30	PRIJEM	\N	54	13712	UROK	\N	\N
3532116	49	1998-12-31	PRIJEM	\N	61	15311	UROK	\N	\N
3532117	50	1994-05-31	PRIJEM	\N	46	17076	UROK	\N	\N
3532118	50	1994-06-30	PRIJEM	\N	138	42609	UROK	\N	\N
3532119	50	1994-07-31	PRIJEM	\N	193	48732	UROK	\N	\N
3532120	50	1994-08-31	PRIJEM	\N	212	52374	UROK	\N	\N
3532121	50	1994-09-30	PRIJEM	\N	222	54126	UROK	\N	\N
3532122	50	1994-10-31	PRIJEM	\N	198	49947	UROK	\N	\N
3532123	50	1994-11-30	PRIJEM	\N	183	46352	UROK	\N	\N
3532124	50	1994-12-31	PRIJEM	\N	191	47330	UROK	\N	\N
3532125	50	1995-01-31	PRIJEM	\N	158	34410	UROK	\N	\N
3532126	50	1995-02-28	PRIJEM	\N	145	39277	UROK	\N	\N
3532127	50	1995-03-31	PRIJEM	\N	153	40052	UROK	\N	\N
3532128	50	1995-04-30	PRIJEM	\N	163	42538	UROK	\N	\N
3532129	50	1995-05-31	PRIJEM	\N	160	40020	UROK	\N	\N
3532130	50	1995-06-30	PRIJEM	\N	173	45581	UROK	\N	\N
3532131	50	1995-07-31	PRIJEM	\N	156	33060	UROK	\N	\N
3532132	50	1995-08-31	PRIJEM	\N	156	35438	UROK	\N	\N
3532133	50	1995-09-30	PRIJEM	\N	162	33322	UROK	\N	\N
3532134	50	1995-10-31	PRIJEM	\N	155	33599	UROK	\N	\N
3532135	50	1995-11-30	PRIJEM	\N	154	32676	UROK	\N	\N
3532136	50	1995-12-31	PRIJEM	\N	171	38334	UROK	\N	\N
3532137	50	1996-01-31	PRIJEM	\N	147	24304	UROK	\N	\N
3532138	50	1996-02-29	PRIJEM	\N	117	27543	UROK	\N	\N
3532139	50	1996-03-31	PRIJEM	\N	130	29895	UROK	\N	\N
3532140	50	1996-04-30	PRIJEM	\N	137	30855	UROK	\N	\N
3532141	50	1996-05-31	PRIJEM	\N	139	32816	UROK	\N	\N
3532142	50	1996-06-30	PRIJEM	\N	134	28537	UROK	\N	\N
3532143	50	1996-07-31	PRIJEM	\N	134	33394	UROK	\N	\N
3532144	50	1996-08-31	PRIJEM	\N	146	31563	UROK	\N	\N
3532145	50	1996-09-30	PRIJEM	\N	137	29422	UROK	\N	\N
3532146	50	1996-10-31	PRIJEM	\N	132	30476	UROK	\N	\N
3532147	50	1996-11-30	PRIJEM	\N	131	28329	UROK	\N	\N
3532148	50	1996-12-31	PRIJEM	\N	133	30450	UROK	\N	\N
3532149	50	1997-01-31	PRIJEM	\N	116	18088	UROK	\N	\N
3532150	50	1997-02-28	PRIJEM	\N	84	22894	UROK	\N	\N
3532151	50	1997-03-31	PRIJEM	\N	102	21718	UROK	\N	\N
3532152	50	1997-04-30	PRIJEM	\N	105	27846	UROK	\N	\N
3532153	50	1997-05-31	PRIJEM	\N	118	30086	UROK	\N	\N
3532154	50	1997-06-30	PRIJEM	\N	159	30032	UROK	\N	\N
3532155	50	1997-07-31	PRIJEM	\N	138	35593	UROK	\N	\N
3532156	50	1997-08-31	PRIJEM	\N	151	35966	UROK	\N	\N
3532157	50	1997-09-30	PRIJEM	\N	154	37943	UROK	\N	\N
3532158	50	1997-10-31	PRIJEM	\N	156	36521	UROK	\N	\N
3532159	50	1997-11-30	PRIJEM	\N	150	35793	UROK	\N	\N
3532160	50	1997-12-31	PRIJEM	\N	167	41948	UROK	\N	\N
3532161	50	1998-01-31	PRIJEM	\N	157	33527	UROK	\N	\N
3532162	50	1998-02-28	PRIJEM	\N	150	39599	UROK	\N	\N
3532163	50	1998-03-31	PRIJEM	\N	171	42892	UROK	\N	\N
3532164	50	1998-04-30	PRIJEM	\N	185	46999	UROK	\N	\N
3532165	50	1998-05-31	PRIJEM	\N	198	49020	UROK	\N	\N
3532166	50	1998-06-30	PRIJEM	\N	180	47287	UROK	\N	\N
3532167	50	1998-07-31	PRIJEM	\N	217	56326	UROK	\N	\N
3532168	50	1998-08-31	PRIJEM	\N	240	60488	UROK	\N	\N
3532169	50	1998-09-30	PRIJEM	\N	264	67775	UROK	\N	\N
3532170	50	1998-10-31	PRIJEM	\N	280	69577	UROK	\N	\N
3532171	50	1998-11-30	PRIJEM	\N	301	76701	UROK	\N	\N
3532172	50	1998-12-31	PRIJEM	\N	341	86129	UROK	\N	\N
3532173	51	1996-06-30	PRIJEM	\N	76	26226	UROK	\N	\N
3532174	51	1996-07-31	PRIJEM	\N	132	34192	UROK	\N	\N
3532175	51	1996-08-31	PRIJEM	\N	154	38179	UROK	\N	\N
3532176	51	1996-09-30	PRIJEM	\N	225	40037	UROK	\N	\N
3532177	51	1996-10-31	PRIJEM	\N	182	39077	UROK	\N	\N
3532178	51	1996-11-30	PRIJEM	\N	188	47453	UROK	\N	\N
3532179	51	1996-12-31	PRIJEM	\N	241	60598	UROK	\N	\N
3532180	51	1997-01-31	PRIJEM	\N	240	56825	UROK	\N	\N
3532181	51	1997-02-28	PRIJEM	\N	240	58552	UROK	\N	\N
3532182	51	1997-03-31	PRIJEM	\N	248	60387	UROK	\N	\N
3532183	51	1997-04-30	PRIJEM	\N	242	59017	UROK	\N	\N
3532184	51	1997-05-31	PRIJEM	\N	232	55436	UROK	\N	\N
3532185	51	1997-06-30	PRIJEM	\N	230	58270	UROK	\N	\N
3532186	51	1997-07-31	PRIJEM	\N	243	59000	UROK	\N	\N
3532187	51	1997-08-31	PRIJEM	\N	217	53804	UROK	\N	\N
3532188	51	1997-09-30	PRIJEM	\N	235	57726	UROK	\N	\N
3532189	51	1997-10-31	PRIJEM	\N	230	56144	UROK	\N	\N
3532190	51	1997-11-30	PRIJEM	\N	253	62784	UROK	\N	\N
3532191	51	1997-12-31	PRIJEM	\N	311	76899	UROK	\N	\N
3532192	51	1998-01-31	PRIJEM	\N	298	68985	UROK	\N	\N
3532193	51	1998-02-28	PRIJEM	\N	301	69773	UROK	\N	\N
3532194	51	1998-03-31	PRIJEM	\N	290	70550	UROK	\N	\N
3532195	51	1998-04-30	PRIJEM	\N	305	75043	UROK	\N	\N
3532196	51	1998-05-31	PRIJEM	\N	309	71839	UROK	\N	\N
3532197	51	1998-06-30	PRIJEM	\N	335	61978	UROK	\N	\N
3532198	51	1998-07-31	PRIJEM	\N	262	59728	UROK	\N	\N
3532199	51	1998-08-31	PRIJEM	\N	297	65613	UROK	\N	\N
3532200	51	1998-09-30	PRIJEM	\N	322	74722	UROK	\N	\N
3532201	51	1998-10-31	PRIJEM	\N	357	78967	UROK	\N	\N
3532202	51	1998-11-30	PRIJEM	\N	371	77325	UROK	\N	\N
3532203	51	1998-12-31	PRIJEM	\N	393	98223	UROK	\N	\N
3532204	52	1997-02-28	PRIJEM	\N	4	26434	UROK	\N	\N
3532205	52	1997-03-31	PRIJEM	\N	112	37876	UROK	\N	\N
3532206	52	1997-04-30	PRIJEM	\N	159	44966	UROK	\N	\N
3532207	52	1997-05-31	PRIJEM	\N	187	44782	UROK	\N	\N
3532208	52	1997-06-30	PRIJEM	\N	254	33648	UROK	\N	\N
3532209	52	1997-07-31	PRIJEM	\N	205	39585	UROK	\N	\N
3532210	52	1997-08-31	PRIJEM	\N	225	40642	UROK	\N	\N
3532211	52	1997-09-30	PRIJEM	\N	212	39931	UROK	\N	\N
3532212	52	1997-10-31	PRIJEM	\N	222	38985	UROK	\N	\N
3532213	52	1997-11-30	PRIJEM	\N	215	36332	UROK	\N	\N
3532214	52	1997-12-31	PRIJEM	\N	236	37365	UROK	\N	\N
3532215	52	1998-01-31	PRIJEM	\N	131	12429	UROK	\N	\N
3532216	52	1998-02-28	PRIJEM	\N	77	12605	UROK	\N	\N
3532217	52	1998-03-31	PRIJEM	\N	115	22452	UROK	\N	\N
3532218	52	1998-04-30	PRIJEM	\N	150	26834	UROK	\N	\N
3532219	52	1998-05-31	PRIJEM	\N	166	30432	UROK	\N	\N
3532220	52	1998-06-30	PRIJEM	\N	187	29614	UROK	\N	\N
3532221	52	1998-07-31	PRIJEM	\N	151	19942	UROK	\N	\N
3532222	52	1998-08-31	PRIJEM	\N	108	15417	UROK	\N	\N
3532223	52	1998-09-30	PRIJEM	\N	105	16655	UROK	\N	\N
3532224	52	1998-10-31	PRIJEM	\N	124	26012	UROK	\N	\N
3532225	52	1998-11-30	PRIJEM	\N	114	24401	UROK	\N	\N
3532226	52	1998-12-31	PRIJEM	\N	125	21160	UROK	\N	\N
3532227	53	1995-06-30	PRIJEM	\N	15	4992	UROK	\N	\N
3532228	53	1995-07-31	PRIJEM	\N	21	9289	UROK	\N	\N
3532229	53	1995-08-31	PRIJEM	\N	21	13587	UROK	\N	\N
3532230	53	1995-09-30	PRIJEM	\N	21	17885	UROK	\N	\N
3532231	53	1995-10-31	PRIJEM	\N	59	17690	UROK	\N	\N
3532232	53	1995-11-30	PRIJEM	\N	69	15570	UROK	\N	\N
3532233	53	1995-12-31	PRIJEM	\N	64	14135	UROK	\N	\N
3532234	53	1996-01-31	PRIJEM	\N	56	13043	UROK	\N	\N
3532235	53	1996-02-29	PRIJEM	\N	58	14513	UROK	\N	\N
3532236	53	1996-03-31	PRIJEM	\N	64	15988	UROK	\N	\N
3532237	53	1996-04-30	PRIJEM	\N	71	17470	UROK	\N	\N
3532238	53	1996-05-31	PRIJEM	\N	77	18958	UROK	\N	\N
3532239	53	1996-06-30	PRIJEM	\N	70	15330	UROK	\N	\N
3532240	53	1996-07-31	PRIJEM	\N	68	16809	UROK	\N	\N
3532241	53	1996-08-31	PRIJEM	\N	74	18294	UROK	\N	\N
3532242	53	1996-09-30	PRIJEM	\N	80	19786	UROK	\N	\N
3532243	53	1996-10-31	PRIJEM	\N	86	21283	UROK	\N	\N
3532244	53	1996-11-30	PRIJEM	\N	93	22787	UROK	\N	\N
3532245	53	1996-12-31	PRIJEM	\N	98	23547	UROK	\N	\N
3532246	53	1997-01-31	PRIJEM	\N	72	15220	UROK	\N	\N
3532247	53	1997-02-28	PRIJEM	\N	67	16698	UROK	\N	\N
3532248	53	1997-03-31	PRIJEM	\N	73	18183	UROK	\N	\N
3532249	53	1997-04-30	PRIJEM	\N	80	19674	UROK	\N	\N
3532250	53	1997-05-31	PRIJEM	\N	86	21171	UROK	\N	\N
3532251	53	1997-06-30	PRIJEM	\N	83	19066	UROK	\N	\N
3532252	53	1997-07-31	PRIJEM	\N	74	17271	UROK	\N	\N
3532253	53	1997-08-31	PRIJEM	\N	76	18758	UROK	\N	\N
3532254	53	1997-09-30	PRIJEM	\N	82	20251	UROK	\N	\N
3532255	53	1997-10-31	PRIJEM	\N	88	21751	UROK	\N	\N
3532256	53	1997-11-30	PRIJEM	\N	94	23256	UROK	\N	\N
3532257	53	1997-12-31	PRIJEM	\N	99	23967	UROK	\N	\N
3532258	53	1998-01-31	PRIJEM	\N	75	14913	UROK	\N	\N
3532259	53	1998-02-28	PRIJEM	\N	65	16390	UROK	\N	\N
3532260	53	1998-03-31	PRIJEM	\N	72	17873	UROK	\N	\N
3532261	53	1998-04-30	PRIJEM	\N	78	19362	UROK	\N	\N
3532262	53	1998-05-31	PRIJEM	\N	75	17489	UROK	\N	\N
3532263	53	1998-06-30	PRIJEM	\N	76	18976	UROK	\N	\N
3532264	53	1998-07-31	PRIJEM	\N	77	16705	UROK	\N	\N
3532265	53	1998-08-31	PRIJEM	\N	70	16186	UROK	\N	\N
3532266	53	1998-09-30	PRIJEM	\N	71	17668	UROK	\N	\N
3532267	53	1998-10-31	PRIJEM	\N	77	19156	UROK	\N	\N
3532268	53	1998-11-30	PRIJEM	\N	74	17022	UROK	\N	\N
3532269	53	1998-12-31	PRIJEM	\N	67	15130	UROK	\N	\N
3532270	54	1995-05-31	PRIJEM	\N	12	4433	UROK	\N	\N
3532271	54	1995-06-30	PRIJEM	\N	18	7872	UROK	\N	\N
3532272	54	1995-07-31	PRIJEM	\N	18	11312	UROK	\N	\N
3532273	54	1995-08-31	PRIJEM	\N	18	14751	UROK	\N	\N
3532274	54	1995-09-30	PRIJEM	\N	49	15941	UROK	\N	\N
3532275	54	1995-10-31	PRIJEM	\N	70	17137	UROK	\N	\N
3532276	54	1995-11-30	PRIJEM	\N	74	18338	UROK	\N	\N
3532277	54	1995-12-31	PRIJEM	\N	82	18406	UROK	\N	\N
3532278	54	1996-01-31	PRIJEM	\N	73	15674	UROK	\N	\N
3532279	54	1996-02-29	PRIJEM	\N	72	15672	UROK	\N	\N
3532280	54	1996-03-31	PRIJEM	\N	74	16873	UROK	\N	\N
3532281	54	1996-04-30	PRIJEM	\N	77	17176	UROK	\N	\N
3532282	54	1996-05-31	PRIJEM	\N	80	17932	UROK	\N	\N
3532283	54	1996-06-30	PRIJEM	\N	62	11050	UROK	\N	\N
3532284	54	1996-07-31	PRIJEM	\N	55	12231	UROK	\N	\N
3532285	54	1996-08-31	PRIJEM	\N	54	13412	UROK	\N	\N
3532286	54	1996-09-30	PRIJEM	\N	65	14603	UROK	\N	\N
3532287	54	1996-10-31	PRIJEM	\N	63	14862	UROK	\N	\N
3532288	54	1996-11-30	PRIJEM	\N	61	14579	UROK	\N	\N
3532289	54	1996-12-31	PRIJEM	\N	67	14903	UROK	\N	\N
3532290	54	1997-01-31	PRIJEM	\N	61	13360	UROK	\N	\N
3532291	54	1997-02-28	PRIJEM	\N	64	14550	UROK	\N	\N
3532292	54	1997-03-31	PRIJEM	\N	69	15746	UROK	\N	\N
3532293	54	1997-04-30	PRIJEM	\N	68	16550	UROK	\N	\N
3532294	54	1997-05-31	PRIJEM	\N	78	17754	UROK	\N	\N
3532295	54	1997-06-30	PRIJEM	\N	78	17399	UROK	\N	\N
3532296	54	1997-07-31	PRIJEM	\N	81	18606	UROK	\N	\N
3532297	54	1997-08-31	PRIJEM	\N	76	18339	UROK	\N	\N
3532298	54	1997-09-30	PRIJEM	\N	85	19550	UROK	\N	\N
3532299	54	1997-10-31	PRIJEM	\N	84	20761	UROK	\N	\N
3532300	54	1997-11-30	PRIJEM	\N	89	21496	UROK	\N	\N
3532301	54	1997-12-31	PRIJEM	\N	92	22534	UROK	\N	\N
3532302	54	1998-01-31	PRIJEM	\N	88	18978	UROK	\N	\N
3532303	54	1998-02-28	PRIJEM	\N	87	20191	UROK	\N	\N
3532304	54	1998-03-31	PRIJEM	\N	93	21410	UROK	\N	\N
3532305	54	1998-04-30	PRIJEM	\N	92	22628	UROK	\N	\N
3532306	54	1998-05-31	PRIJEM	\N	103	23857	UROK	\N	\N
3532307	54	1998-06-30	PRIJEM	\N	104	23258	UROK	\N	\N
3532308	54	1998-07-31	PRIJEM	\N	98	23882	UROK	\N	\N
3532309	54	1998-08-31	PRIJEM	\N	108	25116	UROK	\N	\N
3532310	54	1998-09-30	PRIJEM	\N	107	26350	UROK	\N	\N
3532311	54	1998-10-31	PRIJEM	\N	109	26115	UROK	\N	\N
3532312	54	1998-11-30	PRIJEM	\N	108	26029	UROK	\N	\N
3532313	54	1998-12-31	PRIJEM	\N	110	26816	UROK	\N	\N
3532314	55	1996-07-31	PRIJEM	\N	32	16217	UROK	\N	\N
3532315	55	1996-08-31	PRIJEM	\N	72	17818	UROK	\N	\N
3532316	55	1996-09-30	PRIJEM	\N	78	19424	UROK	\N	\N
3532317	55	1996-10-31	PRIJEM	\N	85	21038	UROK	\N	\N
3532318	55	1996-11-30	PRIJEM	\N	89	21135	UROK	\N	\N
3532319	55	1996-12-31	PRIJEM	\N	91	21703	UROK	\N	\N
3532320	55	1997-01-31	PRIJEM	\N	85	16757	UROK	\N	\N
3532321	55	1997-02-28	PRIJEM	\N	72	16917	UROK	\N	\N
3532322	55	1997-03-31	PRIJEM	\N	71	16436	UROK	\N	\N
3532323	55	1997-04-30	PRIJEM	\N	66	14271	UROK	\N	\N
3532324	55	1997-05-31	PRIJEM	\N	64	15862	UROK	\N	\N
3532325	55	1997-06-30	PRIJEM	\N	66	13777	UROK	\N	\N
3532326	55	1997-07-31	PRIJEM	\N	61	15367	UROK	\N	\N
3532327	55	1997-08-31	PRIJEM	\N	68	16963	UROK	\N	\N
3532328	55	1997-09-30	PRIJEM	\N	75	18566	UROK	\N	\N
3532329	55	1997-10-31	PRIJEM	\N	81	20176	UROK	\N	\N
3532330	55	1997-11-30	PRIJEM	\N	78	16342	UROK	\N	\N
3532331	55	1997-12-31	PRIJEM	\N	70	17291	UROK	\N	\N
3532332	55	1998-01-31	PRIJEM	\N	65	13365	UROK	\N	\N
3532333	55	1998-02-28	PRIJEM	\N	58	13990	UROK	\N	\N
3532334	55	1998-03-31	PRIJEM	\N	62	14621	UROK	\N	\N
3532335	55	1998-04-30	PRIJEM	\N	65	16214	UROK	\N	\N
3532336	55	1998-05-31	PRIJEM	\N	66	16369	UROK	\N	\N
3532337	55	1998-06-30	PRIJEM	\N	72	17969	UROK	\N	\N
3532338	55	1998-07-31	PRIJEM	\N	79	19576	UROK	\N	\N
3532339	55	1998-08-31	PRIJEM	\N	76	18300	UROK	\N	\N
3532340	55	1998-09-30	PRIJEM	\N	80	19908	UROK	\N	\N
3532341	55	1998-10-31	PRIJEM	\N	87	21523	UROK	\N	\N
3532342	55	1998-11-30	PRIJEM	\N	83	19774	UROK	\N	\N
3532343	55	1998-12-31	PRIJEM	\N	85	20988	UROK	\N	\N
3532344	56	1994-06-30	PRIJEM	\N	48	21638	UROK	\N	\N
3532345	56	1994-07-31	PRIJEM	\N	113	31744	UROK	\N	\N
3532346	56	1994-08-31	PRIJEM	\N	139	34576	UROK	\N	\N
3532347	56	1994-09-30	PRIJEM	\N	148	36316	UROK	\N	\N
3532348	56	1994-10-31	PRIJEM	\N	132	25501	UROK	\N	\N
3532349	56	1994-11-30	PRIJEM	\N	102	23302	UROK	\N	\N
3532350	56	1994-12-31	PRIJEM	\N	122	26840	UROK	\N	\N
3532351	56	1995-01-31	PRIJEM	\N	110	25148	UROK	\N	\N
3532352	56	1995-02-28	PRIJEM	\N	110	25256	UROK	\N	\N
3532353	56	1995-03-31	PRIJEM	\N	107	25061	UROK	\N	\N
3532354	56	1995-04-30	PRIJEM	\N	102	23161	UROK	\N	\N
3532355	56	1995-05-31	PRIJEM	\N	100	23259	UROK	\N	\N
3532356	56	1995-06-30	PRIJEM	\N	114	27769	UROK	\N	\N
3532357	56	1995-07-31	PRIJEM	\N	116	26483	UROK	\N	\N
3532358	56	1995-08-31	PRIJEM	\N	113	25795	UROK	\N	\N
3532359	56	1995-09-30	PRIJEM	\N	104	22797	UROK	\N	\N
3532360	56	1995-10-31	PRIJEM	\N	104	23360	UROK	\N	\N
3532361	56	1995-11-30	PRIJEM	\N	119	26677	UROK	\N	\N
3532362	56	1995-12-31	PRIJEM	\N	139	28292	UROK	\N	\N
3532363	56	1996-01-31	PRIJEM	\N	137	24347	UROK	\N	\N
3532364	56	1996-02-29	PRIJEM	\N	139	33584	UROK	\N	\N
3532365	56	1996-03-31	PRIJEM	\N	151	32574	UROK	\N	\N
3532366	56	1996-04-30	PRIJEM	\N	162	38334	UROK	\N	\N
3532367	56	1996-05-31	PRIJEM	\N	168	38700	UROK	\N	\N
3532368	56	1996-06-30	PRIJEM	\N	160	22516	UROK	\N	\N
3532369	56	1996-07-31	PRIJEM	\N	114	26628	UROK	\N	\N
3532370	56	1996-08-31	PRIJEM	\N	128	29855	UROK	\N	\N
3532371	56	1996-09-30	PRIJEM	\N	139	32092	UROK	\N	\N
3532372	56	1996-10-31	PRIJEM	\N	148	34438	UROK	\N	\N
3532373	56	1996-11-30	PRIJEM	\N	133	26610	UROK	\N	\N
3532374	56	1996-12-31	PRIJEM	\N	148	35033	UROK	\N	\N
3532375	56	1997-01-31	PRIJEM	\N	120	23411	UROK	\N	\N
3532376	56	1997-02-28	PRIJEM	\N	111	30021	UROK	\N	\N
3532377	56	1997-03-31	PRIJEM	\N	138	32157	UROK	\N	\N
3532378	56	1997-04-30	PRIJEM	\N	139	36694	UROK	\N	\N
3532379	56	1997-05-31	PRIJEM	\N	159	34412	UROK	\N	\N
3532380	56	1997-06-30	PRIJEM	\N	104	22211	UROK	\N	\N
3532381	56	1997-07-31	PRIJEM	\N	108	30517	UROK	\N	\N
3532382	56	1997-08-31	PRIJEM	\N	132	30587	UROK	\N	\N
3532383	56	1997-09-30	PRIJEM	\N	139	33425	UROK	\N	\N
3532384	56	1997-10-31	PRIJEM	\N	145	28868	UROK	\N	\N
3532385	56	1997-11-30	PRIJEM	\N	131	31297	UROK	\N	\N
3532386	56	1997-12-31	PRIJEM	\N	155	33688	UROK	\N	\N
3532387	56	1998-01-31	PRIJEM	\N	149	30915	UROK	\N	\N
3532388	56	1998-02-28	PRIJEM	\N	139	33652	UROK	\N	\N
3532389	56	1998-03-31	PRIJEM	\N	148	32798	UROK	\N	\N
3532390	56	1998-04-30	PRIJEM	\N	153	32830	UROK	\N	\N
3532391	56	1998-05-31	PRIJEM	\N	147	37076	UROK	\N	\N
3532392	56	1998-06-30	PRIJEM	\N	110	30641	UROK	\N	\N
3532393	56	1998-07-31	PRIJEM	\N	145	40984	UROK	\N	\N
3532394	56	1998-08-31	PRIJEM	\N	185	48267	UROK	\N	\N
3532395	56	1998-09-30	PRIJEM	\N	216	51022	UROK	\N	\N
3532396	56	1998-10-31	PRIJEM	\N	224	56444	UROK	\N	\N
3532397	56	1998-11-30	PRIJEM	\N	239	56881	UROK	\N	\N
3532398	56	1998-12-31	PRIJEM	\N	251	57568	UROK	\N	\N
3532399	57	1995-06-30	PRIJEM	\N	44	28906	UROK	\N	\N
3532400	57	1995-07-31	PRIJEM	\N	135	38249	UROK	\N	\N
3532401	57	1995-08-31	PRIJEM	\N	162	39919	UROK	\N	\N
3532402	57	1995-09-30	PRIJEM	\N	171	42597	UROK	\N	\N
3532403	57	1995-10-31	PRIJEM	\N	206	42604	UROK	\N	\N
3532404	57	1995-11-30	PRIJEM	\N	200	42291	UROK	\N	\N
3532405	57	1995-12-31	PRIJEM	\N	215	49646	UROK	\N	\N
3532406	57	1996-01-31	PRIJEM	\N	197	32729	UROK	\N	\N
3532407	57	1996-02-29	PRIJEM	\N	163	39578	UROK	\N	\N
3532408	57	1996-03-31	PRIJEM	\N	195	43060	UROK	\N	\N
3532409	57	1996-04-30	PRIJEM	\N	187	41534	UROK	\N	\N
3532410	57	1996-05-31	PRIJEM	\N	178	37698	UROK	\N	\N
3532411	57	1996-06-30	PRIJEM	\N	178	33617	UROK	\N	\N
3532412	57	1996-07-31	PRIJEM	\N	148	33452	UROK	\N	\N
3532413	57	1996-08-31	PRIJEM	\N	124	23762	UROK	\N	\N
3532414	57	1996-09-30	PRIJEM	\N	122	29970	UROK	\N	\N
3532415	57	1996-10-31	PRIJEM	\N	128	29484	UROK	\N	\N
3532416	57	1996-11-30	PRIJEM	\N	133	32603	UROK	\N	\N
3532417	57	1996-12-31	PRIJEM	\N	164	35308	UROK	\N	\N
3532418	57	1997-01-31	PRIJEM	\N	149	27143	UROK	\N	\N
3532419	57	1997-02-28	PRIJEM	\N	120	29450	UROK	\N	\N
3532420	57	1997-03-31	PRIJEM	\N	135	33271	UROK	\N	\N
3532421	57	1997-04-30	PRIJEM	\N	186	38244	UROK	\N	\N
3532422	57	1997-05-31	PRIJEM	\N	161	39291	UROK	\N	\N
3532423	57	1997-06-30	PRIJEM	\N	127	21559	UROK	\N	\N
3532424	57	1997-07-31	PRIJEM	\N	109	27954	UROK	\N	\N
3532425	57	1997-08-31	PRIJEM	\N	126	30866	UROK	\N	\N
3532426	57	1997-09-30	PRIJEM	\N	137	33289	UROK	\N	\N
3532427	57	1997-10-31	PRIJEM	\N	137	32312	UROK	\N	\N
3532428	57	1997-11-30	PRIJEM	\N	143	34441	UROK	\N	\N
3532429	57	1997-12-31	PRIJEM	\N	154	36735	UROK	\N	\N
3532430	57	1998-01-31	PRIJEM	\N	155	30176	UROK	\N	\N
3532431	57	1998-02-28	PRIJEM	\N	163	40825	UROK	\N	\N
3532432	57	1998-03-31	PRIJEM	\N	162	36774	UROK	\N	\N
3532433	57	1998-04-30	PRIJEM	\N	197	49257	UROK	\N	\N
3532434	57	1998-05-31	PRIJEM	\N	236	57979	UROK	\N	\N
3532435	57	1998-06-30	PRIJEM	\N	210	48929	UROK	\N	\N
3532436	57	1998-07-31	PRIJEM	\N	236	58151	UROK	\N	\N
3532437	57	1998-08-31	PRIJEM	\N	236	58473	UROK	\N	\N
3532438	57	1998-09-30	PRIJEM	\N	233	53793	UROK	\N	\N
3532439	57	1998-10-31	PRIJEM	\N	217	49696	UROK	\N	\N
3532440	57	1998-11-30	PRIJEM	\N	221	54004	UROK	\N	\N
3532441	57	1998-12-31	PRIJEM	\N	261	63005	UROK	\N	\N
3532442	59	1994-04-30	PRIJEM	\N	15	21898	UROK	\N	\N
3532443	59	1994-05-31	PRIJEM	\N	98	29779	UROK	\N	\N
3532444	59	1994-06-30	PRIJEM	\N	129	35731	UROK	\N	\N
3532445	59	1994-07-31	PRIJEM	\N	151	38165	UROK	\N	\N
3532446	59	1994-08-31	PRIJEM	\N	174	36037	UROK	\N	\N
3532447	59	1994-09-30	PRIJEM	\N	166	36486	UROK	\N	\N
3532448	59	1994-10-31	PRIJEM	\N	180	37350	UROK	\N	\N
3532449	59	1994-11-30	PRIJEM	\N	165	32178	UROK	\N	\N
3532450	59	1994-12-31	PRIJEM	\N	163	31366	UROK	\N	\N
3532451	59	1995-01-31	PRIJEM	\N	127	14836	UROK	\N	\N
3532452	59	1995-02-28	PRIJEM	\N	90	25009	UROK	\N	\N
3532453	59	1995-03-31	PRIJEM	\N	124	29316	UROK	\N	\N
3532454	59	1995-04-30	PRIJEM	\N	146	31725	UROK	\N	\N
3532455	59	1995-05-31	PRIJEM	\N	144	31912	UROK	\N	\N
3532456	59	1995-06-30	PRIJEM	\N	177	37534	UROK	\N	\N
3532457	59	1995-07-31	PRIJEM	\N	171	37088	UROK	\N	\N
3532458	59	1995-08-31	PRIJEM	\N	168	38839	UROK	\N	\N
3532459	59	1995-09-30	PRIJEM	\N	174	40256	UROK	\N	\N
3532460	59	1995-10-31	PRIJEM	\N	189	42529	UROK	\N	\N
3532461	59	1995-11-30	PRIJEM	\N	189	43801	UROK	\N	\N
3532462	59	1995-12-31	PRIJEM	\N	212	47158	UROK	\N	\N
3532463	59	1996-01-31	PRIJEM	\N	157	26558	UROK	\N	\N
3532464	59	1996-02-29	PRIJEM	\N	145	38986	UROK	\N	\N
3532465	59	1996-03-31	PRIJEM	\N	182	41751	UROK	\N	\N
3532466	59	1996-04-30	PRIJEM	\N	183	41318	UROK	\N	\N
3532467	59	1996-05-31	PRIJEM	\N	179	41981	UROK	\N	\N
3532468	59	1996-06-30	PRIJEM	\N	191	24336	UROK	\N	\N
3532469	59	1996-07-31	PRIJEM	\N	131	34951	UROK	\N	\N
3532470	59	1996-08-31	PRIJEM	\N	146	37500	UROK	\N	\N
3532471	59	1996-09-30	PRIJEM	\N	159	37222	UROK	\N	\N
3532472	59	1996-10-31	PRIJEM	\N	159	37965	UROK	\N	\N
3532473	59	1996-11-30	PRIJEM	\N	170	41618	UROK	\N	\N
3532474	59	1996-12-31	PRIJEM	\N	183	43925	UROK	\N	\N
3532475	59	1997-01-31	PRIJEM	\N	147	32455	UROK	\N	\N
3532476	59	1997-02-28	PRIJEM	\N	154	39193	UROK	\N	\N
3532477	59	1997-03-31	PRIJEM	\N	175	43051	UROK	\N	\N
3532478	59	1997-04-30	PRIJEM	\N	184	44618	UROK	\N	\N
3532479	59	1997-05-31	PRIJEM	\N	181	42382	UROK	\N	\N
3532480	59	1997-06-30	PRIJEM	\N	167	35114	UROK	\N	\N
3532481	59	1997-07-31	PRIJEM	\N	143	34340	UROK	\N	\N
3532482	59	1997-08-31	PRIJEM	\N	156	33280	UROK	\N	\N
3532483	59	1997-09-30	PRIJEM	\N	144	31447	UROK	\N	\N
3532484	59	1997-10-31	PRIJEM	\N	150	31980	UROK	\N	\N
3532485	59	1997-11-30	PRIJEM	\N	150	36113	UROK	\N	\N
3532486	59	1997-12-31	PRIJEM	\N	173	42190	UROK	\N	\N
3532487	59	1998-01-31	PRIJEM	\N	147	25321	UROK	\N	\N
3532488	59	1998-02-28	PRIJEM	\N	189	48173	UROK	\N	\N
3532489	59	1998-03-31	PRIJEM	\N	227	50783	UROK	\N	\N
3532490	59	1998-04-30	PRIJEM	\N	244	54911	UROK	\N	\N
3532491	59	1998-05-31	PRIJEM	\N	244	59438	UROK	\N	\N
3532492	59	1998-06-30	PRIJEM	\N	300	74563	UROK	\N	\N
3532493	59	1998-07-31	PRIJEM	\N	298	71284	UROK	\N	\N
3532494	59	1998-08-31	PRIJEM	\N	320	72767	UROK	\N	\N
3532495	59	1998-09-30	PRIJEM	\N	290	69640	UROK	\N	\N
3532496	59	1998-10-31	PRIJEM	\N	302	73325	UROK	\N	\N
3532497	59	1998-11-30	PRIJEM	\N	302	73010	UROK	\N	\N
3532498	59	1998-12-31	PRIJEM	\N	337	79811	UROK	\N	\N
3532499	61	1994-05-31	PRIJEM	\N	49	19199	UROK	\N	\N
3532500	61	1994-06-30	PRIJEM	\N	87	20977	UROK	\N	\N
3532501	61	1994-07-31	PRIJEM	\N	94	22763	UROK	\N	\N
3532502	61	1994-08-31	PRIJEM	\N	92	20467	UROK	\N	\N
3532503	61	1994-09-30	PRIJEM	\N	81	18479	UROK	\N	\N
3532504	61	1994-10-31	PRIJEM	\N	84	20254	UROK	\N	\N
3532505	61	1994-11-30	PRIJEM	\N	91	22037	UROK	\N	\N
3532506	61	1994-12-31	PRIJEM	\N	99	23827	UROK	\N	\N
3532507	61	1995-01-31	PRIJEM	\N	81	13200	UROK	\N	\N
3532508	61	1995-02-28	PRIJEM	\N	62	14953	UROK	\N	\N
3532509	61	1995-03-31	PRIJEM	\N	69	16714	UROK	\N	\N
3532510	61	1995-04-30	PRIJEM	\N	77	18482	UROK	\N	\N
3532511	61	1995-05-31	PRIJEM	\N	82	19455	UROK	\N	\N
3532512	61	1995-06-30	PRIJEM	\N	88	21234	UROK	\N	\N
3532513	61	1995-07-31	PRIJEM	\N	95	23021	UROK	\N	\N
3532514	61	1995-08-31	PRIJEM	\N	102	24715	UROK	\N	\N
3532515	61	1995-09-30	PRIJEM	\N	106	25612	UROK	\N	\N
3532516	61	1995-10-31	PRIJEM	\N	114	27417	UROK	\N	\N
3532517	61	1995-11-30	PRIJEM	\N	120	28428	UROK	\N	\N
3532518	61	1995-12-31	PRIJEM	\N	125	29764	UROK	\N	\N
3532519	61	1996-01-31	PRIJEM	\N	89	14134	UROK	\N	\N
3532520	61	1996-02-29	PRIJEM	\N	66	15891	UROK	\N	\N
3532521	61	1996-03-31	PRIJEM	\N	70	16133	UROK	\N	\N
3532522	61	1996-04-30	PRIJEM	\N	69	16453	UROK	\N	\N
3532523	61	1996-05-31	PRIJEM	\N	75	18219	UROK	\N	\N
3532524	61	1996-06-30	PRIJEM	\N	70	16380	UROK	\N	\N
3532525	61	1996-07-31	PRIJEM	\N	75	18146	UROK	\N	\N
3532526	61	1996-08-31	PRIJEM	\N	82	19920	UROK	\N	\N
3532527	61	1996-09-30	PRIJEM	\N	84	19536	UROK	\N	\N
3532528	61	1996-10-31	PRIJEM	\N	88	21315	UROK	\N	\N
3532529	61	1996-11-30	PRIJEM	\N	95	22501	UROK	\N	\N
3532530	61	1996-12-31	PRIJEM	\N	95	22208	UROK	\N	\N
3532531	61	1997-01-31	PRIJEM	\N	73	14942	UROK	\N	\N
3532532	61	1997-02-28	PRIJEM	\N	69	16702	UROK	\N	\N
3532533	61	1997-03-31	PRIJEM	\N	73	15426	UROK	\N	\N
3532534	61	1997-04-30	PRIJEM	\N	60	13416	UROK	\N	\N
3532535	61	1997-05-31	PRIJEM	\N	62	15170	UROK	\N	\N
3532536	61	1997-06-30	PRIJEM	\N	69	16931	UROK	\N	\N
3532537	61	1997-07-31	PRIJEM	\N	75	18297	UROK	\N	\N
3532538	61	1997-08-31	PRIJEM	\N	78	17666	UROK	\N	\N
3532539	61	1997-09-30	PRIJEM	\N	76	16633	UROK	\N	\N
3532540	61	1997-10-31	PRIJEM	\N	75	18400	UROK	\N	\N
3532541	61	1997-11-30	PRIJEM	\N	83	20173	UROK	\N	\N
3532542	61	1997-12-31	PRIJEM	\N	90	21955	UROK	\N	\N
3532543	61	1998-01-31	PRIJEM	\N	78	15704	UROK	\N	\N
3532544	61	1998-02-28	PRIJEM	\N	71	17467	UROK	\N	\N
3532545	61	1998-03-31	PRIJEM	\N	78	18836	UROK	\N	\N
3532546	61	1998-04-30	PRIJEM	\N	84	20611	UROK	\N	\N
3532547	61	1998-05-31	PRIJEM	\N	91	22194	UROK	\N	\N
3532548	61	1998-06-30	PRIJEM	\N	77	18112	UROK	\N	\N
3532549	61	1998-07-31	PRIJEM	\N	81	19884	UROK	\N	\N
3532550	61	1998-08-31	PRIJEM	\N	88	21663	UROK	\N	\N
3532551	61	1998-09-30	PRIJEM	\N	96	23450	UROK	\N	\N
3532552	61	1998-10-31	PRIJEM	\N	101	24142	UROK	\N	\N
3532553	61	1998-11-30	PRIJEM	\N	98	21531	UROK	\N	\N
3532554	61	1998-12-31	PRIJEM	\N	81	18423	UROK	\N	\N
3532555	62	1993-08-31	PRIJEM	\N	77	22899	UROK	\N	\N
3532556	62	1993-09-30	PRIJEM	\N	104	25795	UROK	\N	\N
3532557	62	1993-10-31	PRIJEM	\N	114	26400	UROK	\N	\N
3532558	62	1993-11-30	PRIJEM	\N	114	24705	UROK	\N	\N
3532559	62	1993-12-31	PRIJEM	\N	110	26506	UROK	\N	\N
3532560	62	1994-01-31	PRIJEM	\N	99	19396	UROK	\N	\N
3532561	62	1994-02-28	PRIJEM	\N	90	22277	UROK	\N	\N
3532562	62	1994-03-31	PRIJEM	\N	90	19558	UROK	\N	\N
3532563	62	1994-04-30	PRIJEM	\N	90	22440	UROK	\N	\N
3532564	62	1994-05-31	PRIJEM	\N	102	25334	UROK	\N	\N
3532565	62	1994-06-30	PRIJEM	\N	112	26638	UROK	\N	\N
3532566	62	1994-07-31	PRIJEM	\N	120	29549	UROK	\N	\N
3532567	62	1994-08-31	PRIJEM	\N	125	26566	UROK	\N	\N
3532568	62	1994-09-30	PRIJEM	\N	120	29477	UROK	\N	\N
3532569	62	1994-10-31	PRIJEM	\N	118	26306	UROK	\N	\N
3532570	62	1994-11-30	PRIJEM	\N	112	26490	UROK	\N	\N
3532571	62	1994-12-31	PRIJEM	\N	108	23650	UROK	\N	\N
3532572	62	1995-01-31	PRIJEM	\N	92	19973	UROK	\N	\N
3532573	62	1995-02-28	PRIJEM	\N	92	22856	UROK	\N	\N
3532574	62	1995-03-31	PRIJEM	\N	104	25751	UROK	\N	\N
3532575	62	1995-04-30	PRIJEM	\N	102	23345	UROK	\N	\N
3532576	62	1995-05-31	PRIJEM	\N	106	26243	UROK	\N	\N
3532577	62	1995-06-30	PRIJEM	\N	111	23265	UROK	\N	\N
3532578	62	1995-07-31	PRIJEM	\N	106	26162	UROK	\N	\N
3532579	62	1995-08-31	PRIJEM	\N	111	26365	UROK	\N	\N
3532580	62	1995-09-30	PRIJEM	\N	116	27873	UROK	\N	\N
3532581	62	1995-10-31	PRIJEM	\N	119	28583	UROK	\N	\N
3532582	62	1995-11-30	PRIJEM	\N	127	31302	UROK	\N	\N
3532583	62	1995-12-31	PRIJEM	\N	120	26262	UROK	\N	\N
3532584	62	1996-01-31	PRIJEM	\N	97	18911	UROK	\N	\N
3532585	62	1996-02-29	PRIJEM	\N	87	21789	UROK	\N	\N
3532586	62	1996-03-31	PRIJEM	\N	99	24679	UROK	\N	\N
3532587	62	1996-04-30	PRIJEM	\N	102	24532	UROK	\N	\N
3532588	62	1996-05-31	PRIJEM	\N	110	27434	UROK	\N	\N
3532589	62	1996-06-30	PRIJEM	\N	116	26421	UROK	\N	\N
3532590	62	1996-07-31	PRIJEM	\N	108	23261	UROK	\N	\N
3532591	62	1996-08-31	PRIJEM	\N	85	19637	UROK	\N	\N
3532592	62	1996-09-30	PRIJEM	\N	89	19617	UROK	\N	\N
3532593	62	1996-10-31	PRIJEM	\N	89	17898	UROK	\N	\N
3532594	62	1996-11-30	PRIJEM	\N	75	18464	UROK	\N	\N
3532595	62	1996-12-31	PRIJEM	\N	74	16430	UROK	\N	\N
3532596	62	1997-01-31	PRIJEM	\N	65	15266	UROK	\N	\N
3532597	62	1997-02-28	PRIJEM	\N	71	18129	UROK	\N	\N
3532598	62	1997-03-31	PRIJEM	\N	83	21003	UROK	\N	\N
3532599	62	1997-04-30	PRIJEM	\N	95	23889	UROK	\N	\N
3532600	62	1997-05-31	PRIJEM	\N	107	26487	UROK	\N	\N
3532601	62	1997-06-30	PRIJEM	\N	99	22978	UROK	\N	\N
3532602	62	1997-07-31	PRIJEM	\N	98	23868	UROK	\N	\N
3532603	62	1997-08-31	PRIJEM	\N	102	25061	UROK	\N	\N
3532604	62	1997-09-30	PRIJEM	\N	94	22446	UROK	\N	\N
3532605	62	1997-10-31	PRIJEM	\N	94	23032	UROK	\N	\N
3532606	62	1997-11-30	PRIJEM	\N	77	18300	UROK	\N	\N
3532607	62	1997-12-31	PRIJEM	\N	79	19771	UROK	\N	\N
3532608	62	1998-01-31	PRIJEM	\N	73	16476	UROK	\N	\N
3532609	62	1998-02-28	PRIJEM	\N	75	19342	UROK	\N	\N
3532610	62	1998-03-31	PRIJEM	\N	76	18610	UROK	\N	\N
3532611	62	1998-04-30	PRIJEM	\N	77	18978	UROK	\N	\N
3532612	62	1998-05-31	PRIJEM	\N	71	17340	UROK	\N	\N
3532613	62	1998-06-30	PRIJEM	\N	65	17097	UROK	\N	\N
3532614	62	1998-07-31	PRIJEM	\N	76	18464	UROK	\N	\N
3532615	62	1998-08-31	PRIJEM	\N	80	19976	UROK	\N	\N
3532616	62	1998-09-30	PRIJEM	\N	81	19628	UROK	\N	\N
3532617	62	1998-10-31	PRIJEM	\N	85	16904	UROK	\N	\N
3532618	62	1998-11-30	PRIJEM	\N	74	15670	UROK	\N	\N
3532619	62	1998-12-31	PRIJEM	\N	65	16686	UROK	\N	\N
3532620	63	1997-04-30	PRIJEM	\N	60	20903	UROK	\N	\N
3532621	63	1997-05-31	PRIJEM	\N	94	23612	UROK	\N	\N
3532622	63	1997-06-30	PRIJEM	\N	98	23026	UROK	\N	\N
3532623	63	1997-07-31	PRIJEM	\N	98	22939	UROK	\N	\N
3532624	63	1997-08-31	PRIJEM	\N	106	25181	UROK	\N	\N
3532625	63	1997-09-30	PRIJEM	\N	117	27913	UROK	\N	\N
3532626	63	1997-10-31	PRIJEM	\N	114	28163	UROK	\N	\N
3532627	63	1997-11-30	PRIJEM	\N	123	28481	UROK	\N	\N
3532628	63	1997-12-31	PRIJEM	\N	125	30471	UROK	\N	\N
3532629	63	1998-01-31	PRIJEM	\N	115	22242	UROK	\N	\N
3532630	63	1998-02-28	PRIJEM	\N	98	24235	UROK	\N	\N
3532631	63	1998-03-31	PRIJEM	\N	108	26958	UROK	\N	\N
3532632	63	1998-04-30	PRIJEM	\N	125	29699	UROK	\N	\N
3532633	63	1998-05-31	PRIJEM	\N	136	32450	UROK	\N	\N
3532634	63	1998-06-30	PRIJEM	\N	117	21613	UROK	\N	\N
3532635	63	1998-07-31	PRIJEM	\N	97	24325	UROK	\N	\N
3532636	63	1998-08-31	PRIJEM	\N	114	27054	UROK	\N	\N
3532637	63	1998-09-30	PRIJEM	\N	125	29795	UROK	\N	\N
3532638	63	1998-10-31	PRIJEM	\N	113	27403	UROK	\N	\N
3532639	63	1998-11-30	PRIJEM	\N	121	30139	UROK	\N	\N
3532640	63	1998-12-31	PRIJEM	\N	131	32335	UROK	\N	\N
3532641	65	1996-11-30	PRIJEM	\N	10	24700	UROK	\N	\N
3532642	65	1996-12-31	PRIJEM	\N	113	43898	UROK	\N	\N
3532643	65	1997-01-31	PRIJEM	\N	187	50976	UROK	\N	\N
3532644	65	1997-02-28	PRIJEM	\N	213	53278	UROK	\N	\N
3532645	65	1997-03-31	PRIJEM	\N	277	50743	UROK	\N	\N
3532646	65	1997-04-30	PRIJEM	\N	264	45080	UROK	\N	\N
3532647	65	1997-05-31	PRIJEM	\N	242	45396	UROK	\N	\N
3532648	65	1997-06-30	PRIJEM	\N	278	48343	UROK	\N	\N
3532649	65	1997-07-31	PRIJEM	\N	250	44666	UROK	\N	\N
3532650	65	1997-08-31	PRIJEM	\N	231	40271	UROK	\N	\N
3532651	65	1997-09-30	PRIJEM	\N	213	37157	UROK	\N	\N
3532652	65	1997-10-31	PRIJEM	\N	199	34730	UROK	\N	\N
3532653	65	1997-11-30	PRIJEM	\N	188	32191	UROK	\N	\N
3532654	65	1997-12-31	PRIJEM	\N	216	39575	UROK	\N	\N
3532655	65	1998-01-31	PRIJEM	\N	199	36447	UROK	\N	\N
3532656	65	1998-02-28	PRIJEM	\N	202	41222	UROK	\N	\N
3532657	65	1998-03-31	PRIJEM	\N	213	38608	UROK	\N	\N
3532658	65	1998-04-30	PRIJEM	\N	194	33776	UROK	\N	\N
3532659	65	1998-05-31	PRIJEM	\N	183	35032	UROK	\N	\N
3532660	65	1998-06-30	PRIJEM	\N	225	44025	UROK	\N	\N
3532661	65	1998-07-31	PRIJEM	\N	214	37412	UROK	\N	\N
3532662	65	1998-08-31	PRIJEM	\N	185	36970	UROK	\N	\N
3532663	65	1998-09-30	PRIJEM	\N	194	39438	UROK	\N	\N
3532664	65	1998-10-31	PRIJEM	\N	204	42415	UROK	\N	\N
3532665	65	1998-11-30	PRIJEM	\N	221	48509	UROK	\N	\N
3532666	65	1998-12-31	PRIJEM	\N	269	56146	UROK	\N	\N
3532667	66	1993-12-31	PRIJEM	\N	209	67679	UROK	\N	\N
3532668	66	1994-01-31	PRIJEM	\N	354	91446	UROK	\N	\N
3532669	66	1994-02-28	PRIJEM	\N	408	101067	UROK	\N	\N
3532670	66	1994-03-31	PRIJEM	\N	438	107118	UROK	\N	\N
3532671	66	1994-04-30	PRIJEM	\N	457	74987	UROK	\N	\N
3532672	66	1994-05-31	PRIJEM	\N	374	95575	UROK	\N	\N
3532673	66	1994-06-30	PRIJEM	\N	266	49311	UROK	\N	\N
3532674	66	1994-07-31	PRIJEM	\N	296	80520	UROK	\N	\N
3532675	66	1994-08-31	PRIJEM	\N	262	49772	UROK	\N	\N
3532676	66	1994-09-30	PRIJEM	\N	209	58194	UROK	\N	\N
3532677	66	1994-10-31	PRIJEM	\N	244	64351	UROK	\N	\N
3532678	66	1994-11-30	PRIJEM	\N	267	65131	UROK	\N	\N
3532679	66	1994-12-31	PRIJEM	\N	387	46819	UROK	\N	\N
3532680	66	1995-01-31	PRIJEM	\N	211	32734	UROK	\N	\N
3532681	66	1995-02-28	PRIJEM	\N	142	48589	UROK	\N	\N
3532682	66	1995-03-31	PRIJEM	\N	204	52806	UROK	\N	\N
3532683	66	1995-04-30	PRIJEM	\N	304	53223	UROK	\N	\N
3532684	66	1995-05-31	PRIJEM	\N	225	60060	UROK	\N	\N
3532685	66	1995-06-30	PRIJEM	\N	367	66418	UROK	\N	\N
3532686	66	1995-07-31	PRIJEM	\N	275	66706	UROK	\N	\N
3532687	66	1995-08-31	PRIJEM	\N	336	59354	UROK	\N	\N
3532688	66	1995-09-30	PRIJEM	\N	250	64517	UROK	\N	\N
3532689	66	1995-10-31	PRIJEM	\N	348	64879	UROK	\N	\N
3532690	66	1995-11-30	PRIJEM	\N	333	60925	UROK	\N	\N
3532691	66	1995-12-31	PRIJEM	\N	329	60423	UROK	\N	\N
3532692	66	1996-01-31	PRIJEM	\N	270	34494	UROK	\N	\N
3532693	66	1996-02-29	PRIJEM	\N	168	55475	UROK	\N	\N
3532694	66	1996-03-31	PRIJEM	\N	239	63627	UROK	\N	\N
3532695	66	1996-04-30	PRIJEM	\N	264	65405	UROK	\N	\N
3532696	66	1996-05-31	PRIJEM	\N	283	57041	UROK	\N	\N
3532697	66	1996-06-30	PRIJEM	\N	216	8027	UROK	\N	\N
3532698	66	1996-07-31	PRIJEM	\N	63	23854	UROK	\N	\N
3532699	66	1996-08-31	PRIJEM	\N	136	46502	UROK	\N	\N
3532700	66	1996-09-30	PRIJEM	\N	216	61132	UROK	\N	\N
3532701	66	1996-10-31	PRIJEM	\N	256	50100	UROK	\N	\N
3532702	66	1996-11-30	PRIJEM	\N	229	62843	UROK	\N	\N
3532703	66	1996-12-31	PRIJEM	\N	274	49383	UROK	\N	\N
3532704	66	1997-01-31	PRIJEM	\N	228	44023	UROK	\N	\N
3532705	66	1997-02-28	PRIJEM	\N	209	52345	UROK	\N	\N
3532706	66	1997-03-31	PRIJEM	\N	258	56516	UROK	\N	\N
3532707	66	1997-04-30	PRIJEM	\N	253	67082	UROK	\N	\N
3532708	66	1997-05-31	PRIJEM	\N	275	58570	UROK	\N	\N
3532709	66	1997-06-30	PRIJEM	\N	228	42266	UROK	\N	\N
3532710	66	1997-07-31	PRIJEM	\N	209	58888	UROK	\N	\N
3532711	66	1997-08-31	PRIJEM	\N	300	57489	UROK	\N	\N
3532712	66	1997-09-30	PRIJEM	\N	255	65956	UROK	\N	\N
3532713	66	1997-10-31	PRIJEM	\N	278	69647	UROK	\N	\N
3532714	66	1997-11-30	PRIJEM	\N	229	40235	UROK	\N	\N
3532715	66	1997-12-31	PRIJEM	\N	205	47551	UROK	\N	\N
3532716	66	1998-01-31	PRIJEM	\N	166	26630	UROK	\N	\N
3532717	66	1998-02-28	PRIJEM	\N	164	47907	UROK	\N	\N
3532718	66	1998-03-31	PRIJEM	\N	212	40732	UROK	\N	\N
3532719	66	1998-04-30	PRIJEM	\N	205	56050	UROK	\N	\N
3532720	66	1998-05-31	PRIJEM	\N	231	53994	UROK	\N	\N
3532721	66	1998-06-30	PRIJEM	\N	122	14886	UROK	\N	\N
3532722	66	1998-07-31	PRIJEM	\N	138	43337	UROK	\N	\N
3532723	66	1998-08-31	PRIJEM	\N	210	55660	UROK	\N	\N
3532724	66	1998-09-30	PRIJEM	\N	300	80673	UROK	\N	\N
3532725	66	1998-10-31	PRIJEM	\N	364	92350	UROK	\N	\N
3532726	66	1998-11-30	PRIJEM	\N	394	98357	UROK	\N	\N
3532727	66	1998-12-31	PRIJEM	\N	426	100253	UROK	\N	\N
3532728	67	1994-11-30	PRIJEM	\N	58	32048	UROK	\N	\N
3532729	67	1994-12-31	PRIJEM	\N	186	60169	UROK	\N	\N
3532730	67	1995-01-31	PRIJEM	\N	260	65119	UROK	\N	\N
3532731	67	1995-02-28	PRIJEM	\N	271	65580	UROK	\N	\N
3532732	67	1995-03-31	PRIJEM	\N	220	32852	UROK	\N	\N
3532733	67	1995-04-30	PRIJEM	\N	185	45374	UROK	\N	\N
3532734	67	1995-05-31	PRIJEM	\N	220	43331	UROK	\N	\N
3532735	67	1995-06-30	PRIJEM	\N	198	17611	UROK	\N	\N
3532736	67	1995-07-31	PRIJEM	\N	136	38285	UROK	\N	\N
3532737	67	1995-08-31	PRIJEM	\N	185	38007	UROK	\N	\N
3532738	67	1995-09-30	PRIJEM	\N	208	43752	UROK	\N	\N
3532739	67	1995-10-31	PRIJEM	\N	203	49193	UROK	\N	\N
3532740	67	1995-11-30	PRIJEM	\N	218	34348	UROK	\N	\N
3532741	67	1995-12-31	PRIJEM	\N	240	49171	UROK	\N	\N
3532742	67	1996-01-31	PRIJEM	\N	239	49831	UROK	\N	\N
3532743	67	1996-02-29	PRIJEM	\N	186	41855	UROK	\N	\N
3532744	67	1996-03-31	PRIJEM	\N	160	22655	UROK	\N	\N
3532745	67	1996-04-30	PRIJEM	\N	114	23704	UROK	\N	\N
3532746	67	1996-05-31	PRIJEM	\N	127	29954	UROK	\N	\N
3532747	67	1996-06-30	PRIJEM	\N	174	38995	UROK	\N	\N
3532748	67	1996-07-31	PRIJEM	\N	158	26745	UROK	\N	\N
3532749	67	1996-08-31	PRIJEM	\N	140	34308	UROK	\N	\N
3532750	67	1996-09-30	PRIJEM	\N	172	39102	UROK	\N	\N
3532751	67	1996-10-31	PRIJEM	\N	123	21169	UROK	\N	\N
3532752	67	1996-11-30	PRIJEM	\N	135	32727	UROK	\N	\N
3532753	67	1996-12-31	PRIJEM	\N	192	35286	UROK	\N	\N
3532754	67	1997-01-31	PRIJEM	\N	166	37874	UROK	\N	\N
3532755	67	1997-02-28	PRIJEM	\N	183	34279	UROK	\N	\N
3532756	67	1997-03-31	PRIJEM	\N	146	30393	UROK	\N	\N
3532757	67	1997-04-30	PRIJEM	\N	133	25542	UROK	\N	\N
3532758	67	1997-05-31	PRIJEM	\N	121	27068	UROK	\N	\N
3532759	67	1997-06-30	PRIJEM	\N	168	24597	UROK	\N	\N
3532760	67	1997-07-31	PRIJEM	\N	167	39186	UROK	\N	\N
3532761	67	1997-08-31	PRIJEM	\N	223	49025	UROK	\N	\N
3532762	67	1997-09-30	PRIJEM	\N	231	46428	UROK	\N	\N
3532763	67	1997-10-31	PRIJEM	\N	202	45406	UROK	\N	\N
3532764	67	1997-11-30	PRIJEM	\N	207	43024	UROK	\N	\N
3532765	67	1997-12-31	PRIJEM	\N	297	57978	UROK	\N	\N
3532766	67	1998-01-31	PRIJEM	\N	291	66091	UROK	\N	\N
3532767	67	1998-02-28	PRIJEM	\N	269	76283	UROK	\N	\N
3532768	67	1998-03-31	PRIJEM	\N	359	84965	UROK	\N	\N
3532769	67	1998-04-30	PRIJEM	\N	394	93381	UROK	\N	\N
3532770	67	1998-05-31	PRIJEM	\N	400	94519	UROK	\N	\N
3532771	67	1998-06-30	PRIJEM	\N	366	75967	UROK	\N	\N
3532772	67	1998-07-31	PRIJEM	\N	333	61632	UROK	\N	\N
3532773	67	1998-08-31	PRIJEM	\N	330	70899	UROK	\N	\N
3532774	67	1998-09-30	PRIJEM	\N	349	68985	UROK	\N	\N
3532775	67	1998-10-31	PRIJEM	\N	348	71203	UROK	\N	\N
3532776	67	1998-11-30	PRIJEM	\N	324	65359	UROK	\N	\N
3532777	67	1998-12-31	PRIJEM	\N	218	39710	UROK	\N	\N
3532778	68	1995-01-31	PRIJEM	\N	50	28707	UROK	\N	\N
3532779	68	1995-02-28	PRIJEM	\N	146	45311	UROK	\N	\N
3532780	68	1995-03-31	PRIJEM	\N	204	55172	UROK	\N	\N
3532781	68	1995-04-30	PRIJEM	\N	237	59765	UROK	\N	\N
3532782	68	1995-05-31	PRIJEM	\N	254	53347	UROK	\N	\N
3532783	68	1995-06-30	PRIJEM	\N	212	42206	UROK	\N	\N
3532784	68	1995-07-31	PRIJEM	\N	178	43612	UROK	\N	\N
3532785	68	1995-08-31	PRIJEM	\N	220	52100	UROK	\N	\N
3532786	68	1995-09-30	PRIJEM	\N	201	25882	UROK	\N	\N
3532787	68	1995-10-31	PRIJEM	\N	162	43312	UROK	\N	\N
3532788	68	1995-11-30	PRIJEM	\N	190	43617	UROK	\N	\N
3532789	68	1995-12-31	PRIJEM	\N	234	57997	UROK	\N	\N
3532790	68	1996-01-31	PRIJEM	\N	159	33827	UROK	\N	\N
3532791	68	1996-02-29	PRIJEM	\N	174	45970	UROK	\N	\N
3532792	68	1996-03-31	PRIJEM	\N	218	52855	UROK	\N	\N
3532793	68	1996-04-30	PRIJEM	\N	234	56957	UROK	\N	\N
3532794	68	1996-05-31	PRIJEM	\N	252	61377	UROK	\N	\N
3532795	68	1996-06-30	PRIJEM	\N	254	57978	UROK	\N	\N
3532796	68	1996-07-31	PRIJEM	\N	223	53968	UROK	\N	\N
3532797	68	1996-08-31	PRIJEM	\N	280	75717	UROK	\N	\N
3532798	68	1996-09-30	PRIJEM	\N	320	73555	UROK	\N	\N
3532799	68	1996-10-31	PRIJEM	\N	329	84552	UROK	\N	\N
3532800	68	1996-11-30	PRIJEM	\N	341	71419	UROK	\N	\N
3532801	68	1996-12-31	PRIJEM	\N	362	100228	UROK	\N	\N
3532802	68	1997-01-31	PRIJEM	\N	327	55248	UROK	\N	\N
3532803	68	1997-02-28	PRIJEM	\N	237	64016	UROK	\N	\N
3532804	68	1997-03-31	PRIJEM	\N	313	81743	UROK	\N	\N
3532805	68	1997-04-30	PRIJEM	\N	355	88266	UROK	\N	\N
3532806	68	1997-05-31	PRIJEM	\N	360	87294	UROK	\N	\N
3532807	68	1997-06-30	PRIJEM	\N	391	98900	UROK	\N	\N
3532808	68	1997-07-31	PRIJEM	\N	381	96948	UROK	\N	\N
3532809	68	1997-08-31	PRIJEM	\N	367	89183	UROK	\N	\N
3532810	68	1997-09-30	PRIJEM	\N	285	72054	UROK	\N	\N
3532811	68	1997-10-31	PRIJEM	\N	309	82331	UROK	\N	\N
3532812	68	1997-11-30	PRIJEM	\N	333	88132	UROK	\N	\N
3532813	68	1997-12-31	PRIJEM	\N	271	55450	UROK	\N	\N
3532814	68	1998-01-31	PRIJEM	\N	221	48940	UROK	\N	\N
3532815	68	1998-02-28	PRIJEM	\N	281	81089	UROK	\N	\N
3532816	68	1998-03-31	PRIJEM	\N	366	97823	UROK	\N	\N
3532817	68	1998-04-30	PRIJEM	\N	378	97769	UROK	\N	\N
3532818	68	1998-05-31	PRIJEM	\N	400	104437	UROK	\N	\N
3532819	68	1998-06-30	PRIJEM	\N	379	90163	UROK	\N	\N
3532820	68	1998-07-31	PRIJEM	\N	402	106433	UROK	\N	\N
3532821	68	1998-08-31	PRIJEM	\N	291	49792	UROK	\N	\N
3532822	68	1998-09-30	PRIJEM	\N	250	68410	UROK	\N	\N
3532823	68	1998-10-31	PRIJEM	\N	344	76423	UROK	\N	\N
3532824	68	1998-11-30	PRIJEM	\N	324	67015	UROK	\N	\N
3532825	68	1998-12-31	PRIJEM	\N	356	97118	UROK	\N	\N
3532826	70	1995-03-31	PRIJEM	\N	25	15312	UROK	\N	\N
3532827	70	1995-04-30	PRIJEM	\N	78	23676	UROK	\N	\N
3532828	70	1995-05-31	PRIJEM	\N	108	29071	UROK	\N	\N
3532829	70	1995-06-30	PRIJEM	\N	125	31426	UROK	\N	\N
3532830	70	1995-07-31	PRIJEM	\N	138	32401	UROK	\N	\N
3532831	70	1995-08-31	PRIJEM	\N	138	31141	UROK	\N	\N
3532832	70	1995-09-30	PRIJEM	\N	138	33302	UROK	\N	\N
3532833	70	1995-10-31	PRIJEM	\N	142	32866	UROK	\N	\N
3532834	70	1995-11-30	PRIJEM	\N	125	24293	UROK	\N	\N
3532835	70	1995-12-31	PRIJEM	\N	119	23697	UROK	\N	\N
3532836	70	1996-01-31	PRIJEM	\N	111	27831	UROK	\N	\N
3532837	70	1996-02-29	PRIJEM	\N	130	32983	UROK	\N	\N
3532838	70	1996-03-31	PRIJEM	\N	136	31442	UROK	\N	\N
3532839	70	1996-04-30	PRIJEM	\N	140	34504	UROK	\N	\N
3532840	70	1996-05-31	PRIJEM	\N	145	34472	UROK	\N	\N
3532841	70	1996-06-30	PRIJEM	\N	146	34483	UROK	\N	\N
3532842	70	1996-07-31	PRIJEM	\N	132	24657	UROK	\N	\N
3532843	70	1996-08-31	PRIJEM	\N	122	31602	UROK	\N	\N
3532844	70	1996-09-30	PRIJEM	\N	160	37684	UROK	\N	\N
3532845	70	1996-10-31	PRIJEM	\N	148	35055	UROK	\N	\N
3532846	70	1996-11-30	PRIJEM	\N	138	32415	UROK	\N	\N
3532847	70	1996-12-31	PRIJEM	\N	149	33729	UROK	\N	\N
3532848	70	1997-01-31	PRIJEM	\N	143	34495	UROK	\N	\N
3532849	70	1997-02-28	PRIJEM	\N	152	32789	UROK	\N	\N
3532850	70	1997-03-31	PRIJEM	\N	140	34152	UROK	\N	\N
3532851	70	1997-04-30	PRIJEM	\N	133	31307	UROK	\N	\N
3532852	70	1997-05-31	PRIJEM	\N	133	32063	UROK	\N	\N
3532853	70	1997-06-30	PRIJEM	\N	154	29602	UROK	\N	\N
3532854	70	1997-07-31	PRIJEM	\N	139	34063	UROK	\N	\N
3532855	70	1997-08-31	PRIJEM	\N	143	34129	UROK	\N	\N
3532856	70	1997-09-30	PRIJEM	\N	156	37507	UROK	\N	\N
3532857	70	1997-10-31	PRIJEM	\N	172	40481	UROK	\N	\N
3532858	70	1997-11-30	PRIJEM	\N	190	46193	UROK	\N	\N
3532859	70	1997-12-31	PRIJEM	\N	210	48769	UROK	\N	\N
3532860	70	1998-01-31	PRIJEM	\N	220	53311	UROK	\N	\N
3532861	70	1998-02-28	PRIJEM	\N	228	50502	UROK	\N	\N
3532862	70	1998-03-31	PRIJEM	\N	208	47993	UROK	\N	\N
3532863	70	1998-04-30	PRIJEM	\N	206	49421	UROK	\N	\N
3532864	70	1998-05-31	PRIJEM	\N	212	50955	UROK	\N	\N
3532865	70	1998-06-30	PRIJEM	\N	156	34037	UROK	\N	\N
3532866	70	1998-07-31	PRIJEM	\N	174	42733	UROK	\N	\N
3532867	70	1998-08-31	PRIJEM	\N	193	46948	UROK	\N	\N
3532868	70	1998-09-30	PRIJEM	\N	184	46354	UROK	\N	\N
3532869	70	1998-10-31	PRIJEM	\N	181	41158	UROK	\N	\N
3532870	70	1998-11-30	PRIJEM	\N	183	42062	UROK	\N	\N
3532871	70	1998-12-31	PRIJEM	\N	175	42423	UROK	\N	\N
3532872	71	1994-03-31	PRIJEM	\N	69	22486	UROK	\N	\N
3532873	71	1994-04-30	PRIJEM	\N	162	45065	UROK	\N	\N
3532874	71	1994-05-31	PRIJEM	\N	226	57708	UROK	\N	\N
3532875	71	1994-06-30	PRIJEM	\N	293	75378	UROK	\N	\N
3532876	71	1994-07-31	PRIJEM	\N	301	70585	UROK	\N	\N
3532877	71	1994-08-31	PRIJEM	\N	268	65596	UROK	\N	\N
3532878	71	1994-09-30	PRIJEM	\N	251	58150	UROK	\N	\N
3532879	71	1994-10-31	PRIJEM	\N	229	56302	UROK	\N	\N
3532880	71	1994-11-30	PRIJEM	\N	228	60374	UROK	\N	\N
3532881	71	1994-12-31	PRIJEM	\N	261	46737	UROK	\N	\N
3532882	71	1995-01-31	PRIJEM	\N	176	31436	UROK	\N	\N
3532883	71	1995-02-28	PRIJEM	\N	180	48960	UROK	\N	\N
3532884	71	1995-03-31	PRIJEM	\N	217	42220	UROK	\N	\N
3532885	71	1995-04-30	PRIJEM	\N	227	45790	UROK	\N	\N
3532886	71	1995-05-31	PRIJEM	\N	235	43669	UROK	\N	\N
3532887	71	1995-06-30	PRIJEM	\N	251	48943	UROK	\N	\N
3532888	71	1995-07-31	PRIJEM	\N	249	47975	UROK	\N	\N
3532889	71	1995-08-31	PRIJEM	\N	239	45457	UROK	\N	\N
3532890	71	1995-09-30	PRIJEM	\N	214	40514	UROK	\N	\N
3532891	71	1995-10-31	PRIJEM	\N	208	41965	UROK	\N	\N
3532892	71	1995-11-30	PRIJEM	\N	208	44256	UROK	\N	\N
3532893	71	1995-12-31	PRIJEM	\N	248	51167	UROK	\N	\N
3532894	71	1996-01-31	PRIJEM	\N	186	34096	UROK	\N	\N
3532895	71	1996-02-29	PRIJEM	\N	185	43625	UROK	\N	\N
3532896	71	1996-03-31	PRIJEM	\N	219	47187	UROK	\N	\N
3532897	71	1996-04-30	PRIJEM	\N	213	44643	UROK	\N	\N
3532898	71	1996-05-31	PRIJEM	\N	220	45706	UROK	\N	\N
3532899	71	1996-06-30	PRIJEM	\N	160	33948	UROK	\N	\N
3532900	71	1996-07-31	PRIJEM	\N	164	39415	UROK	\N	\N
3532901	71	1996-08-31	PRIJEM	\N	192	40951	UROK	\N	\N
3532902	71	1996-09-30	PRIJEM	\N	199	42693	UROK	\N	\N
3532903	71	1996-10-31	PRIJEM	\N	205	44141	UROK	\N	\N
3532904	71	1996-11-30	PRIJEM	\N	206	44091	UROK	\N	\N
3532905	71	1996-12-31	PRIJEM	\N	230	50923	UROK	\N	\N
3532906	71	1997-01-31	PRIJEM	\N	201	39527	UROK	\N	\N
3532907	71	1997-02-28	PRIJEM	\N	201	48971	UROK	\N	\N
3532908	71	1997-03-31	PRIJEM	\N	231	52745	UROK	\N	\N
3532909	71	1997-04-30	PRIJEM	\N	248	57936	UROK	\N	\N
3532910	71	1997-05-31	PRIJEM	\N	249	51589	UROK	\N	\N
3532911	71	1997-06-30	PRIJEM	\N	228	21099	UROK	\N	\N
3532912	71	1997-07-31	PRIJEM	\N	137	37180	UROK	\N	\N
3532913	71	1997-08-31	PRIJEM	\N	180	43903	UROK	\N	\N
3532914	71	1997-09-30	PRIJEM	\N	210	51556	UROK	\N	\N
3532915	71	1997-10-31	PRIJEM	\N	233	54833	UROK	\N	\N
3532916	71	1997-11-30	PRIJEM	\N	238	55415	UROK	\N	\N
3532917	71	1997-12-31	PRIJEM	\N	262	62839	UROK	\N	\N
3532918	71	1998-01-31	PRIJEM	\N	250	54432	UROK	\N	\N
3532919	71	1998-02-28	PRIJEM	\N	238	57114	UROK	\N	\N
3532920	71	1998-03-31	PRIJEM	\N	256	61213	UROK	\N	\N
3532921	71	1998-04-30	PRIJEM	\N	269	65326	UROK	\N	\N
3532922	71	1998-05-31	PRIJEM	\N	277	65646	UROK	\N	\N
3532923	71	1998-06-30	PRIJEM	\N	256	38105	UROK	\N	\N
3532924	71	1998-07-31	PRIJEM	\N	197	51445	UROK	\N	\N
3532925	71	1998-08-31	PRIJEM	\N	248	63336	UROK	\N	\N
3532926	71	1998-09-30	PRIJEM	\N	283	70762	UROK	\N	\N
3532927	71	1998-10-31	PRIJEM	\N	284	68390	UROK	\N	\N
3532928	71	1998-11-30	PRIJEM	\N	273	64626	UROK	\N	\N
3532929	71	1998-12-31	PRIJEM	\N	342	69570	UROK	\N	\N
3532930	72	1996-06-30	PRIJEM	\N	16	34615	UROK	\N	\N
3532931	72	1996-07-31	PRIJEM	\N	399	89888	UROK	\N	\N
3532932	72	1996-08-31	PRIJEM	\N	166	20348	UROK	\N	\N
3532933	72	1996-09-30	PRIJEM	\N	114	24039	UROK	\N	\N
3532934	72	1996-10-31	PRIJEM	\N	211	52977	UROK	\N	\N
3532935	72	1996-11-30	PRIJEM	\N	174	29526	UROK	\N	\N
3532936	72	1996-12-31	PRIJEM	\N	257	48820	UROK	\N	\N
3532937	72	1997-01-31	PRIJEM	\N	167	32786	UROK	\N	\N
3532938	72	1997-02-28	PRIJEM	\N	225	40386	UROK	\N	\N
3532939	72	1997-03-31	PRIJEM	\N	150	53540	UROK	\N	\N
3532940	72	1997-04-30	PRIJEM	\N	330	63919	UROK	\N	\N
3532941	72	1997-05-31	PRIJEM	\N	295	63313	UROK	\N	\N
3532942	72	1997-06-30	PRIJEM	\N	208	40997	UROK	\N	\N
3532943	72	1997-07-31	PRIJEM	\N	289	66088	UROK	\N	\N
3532944	72	1997-08-31	PRIJEM	\N	309	59309	UROK	\N	\N
3532945	72	1997-09-30	PRIJEM	\N	234	32058	UROK	\N	\N
3532946	72	1997-10-31	PRIJEM	\N	126	44573	UROK	\N	\N
3532947	72	1997-11-30	PRIJEM	\N	170	37349	UROK	\N	\N
3532948	72	1997-12-31	PRIJEM	\N	90	14614	UROK	\N	\N
3532949	72	1998-01-31	PRIJEM	\N	107	70561	UROK	\N	\N
3532950	72	1998-02-28	PRIJEM	\N	183	32019	UROK	\N	\N
3532951	72	1998-03-31	PRIJEM	\N	89	15184	UROK	\N	\N
3532952	72	1998-04-30	PRIJEM	\N	143	47087	UROK	\N	\N
3532953	72	1998-05-31	PRIJEM	\N	173	39397	UROK	\N	\N
3532954	72	1998-06-30	PRIJEM	\N	192	88292	UROK	\N	\N
3532955	72	1998-07-31	PRIJEM	\N	173	19137	UROK	\N	\N
3532956	72	1998-08-31	PRIJEM	\N	162	47883	UROK	\N	\N
3532957	72	1998-09-30	PRIJEM	\N	213	47065	UROK	\N	\N
3532958	72	1998-10-31	PRIJEM	\N	121	22561	UROK	\N	\N
3532959	72	1998-11-30	PRIJEM	\N	231	102894	UROK	\N	\N
3532960	72	1998-12-31	PRIJEM	\N	219	22336	UROK	\N	\N
3532961	73	1993-11-30	PRIJEM	\N	54	19565	UROK	\N	\N
3532962	73	1993-12-31	PRIJEM	\N	164	49096	UROK	\N	\N
3532963	73	1994-01-31	PRIJEM	\N	224	56431	UROK	\N	\N
3532964	73	1994-02-28	PRIJEM	\N	238	57780	UROK	\N	\N
3532965	73	1994-03-31	PRIJEM	\N	227	52557	UROK	\N	\N
3532966	73	1994-04-30	PRIJEM	\N	220	52613	UROK	\N	\N
3532967	73	1994-05-31	PRIJEM	\N	225	54173	UROK	\N	\N
3532968	73	1994-06-30	PRIJEM	\N	222	55665	UROK	\N	\N
3532969	73	1994-07-31	PRIJEM	\N	209	51410	UROK	\N	\N
3532970	73	1994-08-31	PRIJEM	\N	191	47856	UROK	\N	\N
3532971	73	1994-09-30	PRIJEM	\N	180	44491	UROK	\N	\N
3532972	73	1994-10-31	PRIJEM	\N	197	48424	UROK	\N	\N
3532973	73	1994-11-30	PRIJEM	\N	200	45659	UROK	\N	\N
3532974	73	1994-12-31	PRIJEM	\N	220	55670	UROK	\N	\N
3532975	73	1995-01-31	PRIJEM	\N	153	19358	UROK	\N	\N
3532976	73	1995-02-28	PRIJEM	\N	128	36521	UROK	\N	\N
3532977	73	1995-03-31	PRIJEM	\N	151	36208	UROK	\N	\N
3532978	73	1995-04-30	PRIJEM	\N	171	42914	UROK	\N	\N
3532979	73	1995-05-31	PRIJEM	\N	196	48545	UROK	\N	\N
3532980	73	1995-06-30	PRIJEM	\N	197	52052	UROK	\N	\N
3532981	73	1995-07-31	PRIJEM	\N	206	48393	UROK	\N	\N
3532982	73	1995-08-31	PRIJEM	\N	168	29776	UROK	\N	\N
3532983	73	1995-09-30	PRIJEM	\N	153	31664	UROK	\N	\N
3532984	73	1995-10-31	PRIJEM	\N	160	34160	UROK	\N	\N
3532985	73	1995-11-30	PRIJEM	\N	165	31261	UROK	\N	\N
3532986	73	1995-12-31	PRIJEM	\N	180	37632	UROK	\N	\N
3532987	73	1996-01-31	PRIJEM	\N	155	26742	UROK	\N	\N
3532988	73	1996-02-29	PRIJEM	\N	134	31312	UROK	\N	\N
3532989	73	1996-03-31	PRIJEM	\N	148	30795	UROK	\N	\N
3532990	73	1996-04-30	PRIJEM	\N	152	34483	UROK	\N	\N
3532991	73	1996-05-31	PRIJEM	\N	166	36184	UROK	\N	\N
3532992	73	1996-06-30	PRIJEM	\N	162	34257	UROK	\N	\N
3532993	73	1996-07-31	PRIJEM	\N	172	38264	UROK	\N	\N
3532994	73	1996-08-31	PRIJEM	\N	179	40878	UROK	\N	\N
3532995	73	1996-09-30	PRIJEM	\N	189	43102	UROK	\N	\N
3532996	73	1996-10-31	PRIJEM	\N	193	41330	UROK	\N	\N
3532997	73	1996-11-30	PRIJEM	\N	192	42958	UROK	\N	\N
3532998	73	1996-12-31	PRIJEM	\N	208	45577	UROK	\N	\N
3532999	73	1997-01-31	PRIJEM	\N	184	25756	UROK	\N	\N
3533000	73	1997-02-28	PRIJEM	\N	134	37625	UROK	\N	\N
3533001	73	1997-03-31	PRIJEM	\N	180	45540	UROK	\N	\N
3533002	73	1997-04-30	PRIJEM	\N	203	47279	UROK	\N	\N
3533003	73	1997-05-31	PRIJEM	\N	206	46321	UROK	\N	\N
3533004	73	1997-06-30	PRIJEM	\N	163	31015	UROK	\N	\N
3533005	73	1997-07-31	PRIJEM	\N	158	41708	UROK	\N	\N
3533006	73	1997-08-31	PRIJEM	\N	191	48035	UROK	\N	\N
3533007	73	1997-09-30	PRIJEM	\N	212	51582	UROK	\N	\N
3533008	73	1997-10-31	PRIJEM	\N	230	57147	UROK	\N	\N
3533009	73	1997-11-30	PRIJEM	\N	235	55537	UROK	\N	\N
3533010	73	1997-12-31	PRIJEM	\N	254	62982	UROK	\N	\N
3533011	73	1998-01-31	PRIJEM	\N	225	42043	UROK	\N	\N
3533012	73	1998-02-28	PRIJEM	\N	185	45523	UROK	\N	\N
3533013	73	1998-03-31	PRIJEM	\N	212	55970	UROK	\N	\N
3533014	73	1998-04-30	PRIJEM	\N	242	59048	UROK	\N	\N
3533015	73	1998-05-31	PRIJEM	\N	260	66043	UROK	\N	\N
3533016	73	1998-06-30	PRIJEM	\N	253	49867	UROK	\N	\N
3533017	73	1998-07-31	PRIJEM	\N	221	57224	UROK	\N	\N
3533018	73	1998-08-31	PRIJEM	\N	242	60802	UROK	\N	\N
3533019	73	1998-09-30	PRIJEM	\N	268	63905	UROK	\N	\N
3533020	73	1998-10-31	PRIJEM	\N	256	62897	UROK	\N	\N
3533021	73	1998-11-30	PRIJEM	\N	246	59278	UROK	\N	\N
3533022	73	1998-12-31	PRIJEM	\N	251	61920	UROK	\N	\N
3533023	75	1995-09-30	PRIJEM	\N	48	18198	UROK	\N	\N
3533024	75	1995-10-31	PRIJEM	\N	101	27749	UROK	\N	\N
3533025	75	1995-11-30	PRIJEM	\N	124	31023	UROK	\N	\N
3533026	75	1995-12-31	PRIJEM	\N	140	34888	UROK	\N	\N
3533027	75	1996-01-31	PRIJEM	\N	102	16291	UROK	\N	\N
3533028	75	1996-02-29	PRIJEM	\N	73	18031	UROK	\N	\N
3533029	75	1996-03-31	PRIJEM	\N	92	19029	UROK	\N	\N
3533030	75	1996-04-30	PRIJEM	\N	88	21884	UROK	\N	\N
3533031	75	1996-05-31	PRIJEM	\N	85	20035	UROK	\N	\N
3533032	75	1996-06-30	PRIJEM	\N	90	23166	UROK	\N	\N
3533033	75	1996-07-31	PRIJEM	\N	91	20663	UROK	\N	\N
3533034	75	1996-08-31	PRIJEM	\N	95	22125	UROK	\N	\N
3533035	75	1996-09-30	PRIJEM	\N	119	30010	UROK	\N	\N
3533036	75	1996-10-31	PRIJEM	\N	127	30404	UROK	\N	\N
3533037	75	1996-11-30	PRIJEM	\N	125	29796	UROK	\N	\N
3533038	75	1996-12-31	PRIJEM	\N	137	33475	UROK	\N	\N
3533039	75	1997-01-31	PRIJEM	\N	83	15384	UROK	\N	\N
3533040	75	1997-02-28	PRIJEM	\N	86	21636	UROK	\N	\N
3533041	75	1997-03-31	PRIJEM	\N	92	20274	UROK	\N	\N
3533042	75	1997-04-30	PRIJEM	\N	99	24339	UROK	\N	\N
3533043	75	1997-05-31	PRIJEM	\N	106	25411	UROK	\N	\N
3533044	75	1997-06-30	PRIJEM	\N	121	29673	UROK	\N	\N
3533045	75	1997-07-31	PRIJEM	\N	108	24848	UROK	\N	\N
3533046	75	1997-08-31	PRIJEM	\N	98	22912	UROK	\N	\N
3533047	75	1997-09-30	PRIJEM	\N	112	27630	UROK	\N	\N
3533048	75	1997-10-31	PRIJEM	\N	91	16488	UROK	\N	\N
3533049	75	1997-11-30	PRIJEM	\N	93	25747	UROK	\N	\N
3533050	75	1997-12-31	PRIJEM	\N	95	27584	UROK	\N	\N
3533051	75	1998-01-31	PRIJEM	\N	111	19341	UROK	\N	\N
3533052	75	1998-02-28	PRIJEM	\N	100	25967	UROK	\N	\N
3533053	75	1998-03-31	PRIJEM	\N	130	16663	UROK	\N	\N
3533054	75	1998-04-30	PRIJEM	\N	87	22557	UROK	\N	\N
3533055	75	1998-05-31	PRIJEM	\N	112	12535	UROK	\N	\N
3533056	75	1998-06-30	PRIJEM	\N	93	22950	UROK	\N	\N
3533057	75	1998-07-31	PRIJEM	\N	113	15629	UROK	\N	\N
3533058	75	1998-08-31	PRIJEM	\N	91	24886	UROK	\N	\N
3533059	75	1998-09-30	PRIJEM	\N	115	13868	UROK	\N	\N
3533060	75	1998-10-31	PRIJEM	\N	84	23118	UROK	\N	\N
3533061	75	1998-11-30	PRIJEM	\N	108	15793	UROK	\N	\N
3533062	75	1998-12-31	PRIJEM	\N	102	25295	UROK	\N	\N
3533063	76	1996-06-30	PRIJEM	\N	48	21768	UROK	\N	\N
3533064	76	1996-07-31	PRIJEM	\N	109	29790	UROK	\N	\N
3533065	76	1996-08-31	PRIJEM	\N	136	34939	UROK	\N	\N
3533066	76	1996-09-30	PRIJEM	\N	148	36300	UROK	\N	\N
3533067	76	1996-10-31	PRIJEM	\N	138	30243	UROK	\N	\N
3533068	76	1996-11-30	PRIJEM	\N	127	27561	UROK	\N	\N
3533069	76	1996-12-31	PRIJEM	\N	126	30784	UROK	\N	\N
3533070	76	1997-01-31	PRIJEM	\N	137	31612	UROK	\N	\N
3533071	76	1997-02-28	PRIJEM	\N	121	25423	UROK	\N	\N
3533072	76	1997-03-31	PRIJEM	\N	122	30635	UROK	\N	\N
3533073	76	1997-04-30	PRIJEM	\N	138	31463	UROK	\N	\N
3533074	76	1997-05-31	PRIJEM	\N	151	37904	UROK	\N	\N
3533075	76	1997-06-30	PRIJEM	\N	136	29438	UROK	\N	\N
3533076	76	1997-07-31	PRIJEM	\N	138	34466	UROK	\N	\N
3533077	76	1997-08-31	PRIJEM	\N	135	28692	UROK	\N	\N
3533078	76	1997-09-30	PRIJEM	\N	122	29304	UROK	\N	\N
3533079	76	1997-10-31	PRIJEM	\N	125	29820	UROK	\N	\N
3533080	76	1997-11-30	PRIJEM	\N	134	32644	UROK	\N	\N
3533081	76	1997-12-31	PRIJEM	\N	123	26765	UROK	\N	\N
3533082	76	1998-01-31	PRIJEM	\N	101	23356	UROK	\N	\N
3533083	76	1998-02-28	PRIJEM	\N	113	21459	UROK	\N	\N
3533084	76	1998-03-31	PRIJEM	\N	95	22944	UROK	\N	\N
3533085	76	1998-04-30	PRIJEM	\N	105	25839	UROK	\N	\N
3533086	76	1998-05-31	PRIJEM	\N	98	23428	UROK	\N	\N
3533087	76	1998-06-30	PRIJEM	\N	131	28256	UROK	\N	\N
3533088	76	1998-07-31	PRIJEM	\N	116	27962	UROK	\N	\N
3533089	76	1998-08-31	PRIJEM	\N	117	28470	UROK	\N	\N
3533090	76	1998-09-30	PRIJEM	\N	134	28094	UROK	\N	\N
3533091	76	1998-10-31	PRIJEM	\N	107	25592	UROK	\N	\N
3533092	76	1998-11-30	PRIJEM	\N	73	17155	UROK	\N	\N
3533093	76	1998-12-31	PRIJEM	\N	82	19634	UROK	\N	\N
3533094	77	1996-12-31	PRIJEM	\N	47	26782	UROK	\N	\N
3533095	77	1997-01-31	PRIJEM	\N	128	35399	UROK	\N	\N
3533096	77	1997-02-28	PRIJEM	\N	153	38542	UROK	\N	\N
3533097	77	1997-03-31	PRIJEM	\N	159	37891	UROK	\N	\N
3533098	77	1997-04-30	PRIJEM	\N	157	37737	UROK	\N	\N
3533099	77	1997-05-31	PRIJEM	\N	145	30705	UROK	\N	\N
3533100	77	1997-06-30	PRIJEM	\N	135	34560	UROK	\N	\N
3533101	77	1997-07-31	PRIJEM	\N	137	31173	UROK	\N	\N
3533102	77	1997-08-31	PRIJEM	\N	110	20818	UROK	\N	\N
3533103	77	1997-09-30	PRIJEM	\N	91	22385	UROK	\N	\N
3533104	77	1997-10-31	PRIJEM	\N	95	21755	UROK	\N	\N
3533105	77	1997-11-30	PRIJEM	\N	99	25329	UROK	\N	\N
3533106	77	1997-12-31	PRIJEM	\N	116	28565	UROK	\N	\N
3533107	77	1998-01-31	PRIJEM	\N	91	18387	UROK	\N	\N
3533108	77	1998-02-28	PRIJEM	\N	98	16860	UROK	\N	\N
3533109	77	1998-03-31	PRIJEM	\N	76	19311	UROK	\N	\N
3533110	77	1998-04-30	PRIJEM	\N	85	21171	UROK	\N	\N
3533111	77	1998-05-31	PRIJEM	\N	95	24242	UROK	\N	\N
3533112	77	1998-06-30	PRIJEM	\N	116	24078	UROK	\N	\N
3533113	77	1998-07-31	PRIJEM	\N	90	20343	UROK	\N	\N
3533114	77	1998-08-31	PRIJEM	\N	83	20128	UROK	\N	\N
3533115	77	1998-09-30	PRIJEM	\N	65	13968	UROK	\N	\N
3533116	77	1998-10-31	PRIJEM	\N	54	12697	UROK	\N	\N
3533117	77	1998-11-30	PRIJEM	\N	55	29827	UROK	\N	\N
3533118	77	1998-12-31	PRIJEM	\N	91	19339	UROK	\N	\N
3533119	78	1993-07-31	PRIJEM	\N	48	17926	UROK	\N	\N
3533120	78	1993-08-31	PRIJEM	\N	128	37932	UROK	\N	\N
3533121	78	1993-09-30	PRIJEM	\N	182	47092	UROK	\N	\N
3533122	78	1993-10-31	PRIJEM	\N	208	51878	UROK	\N	\N
3533123	78	1993-11-30	PRIJEM	\N	227	55883	UROK	\N	\N
3533124	78	1993-12-31	PRIJEM	\N	206	54453	UROK	\N	\N
3533125	78	1994-01-31	PRIJEM	\N	171	39548	UROK	\N	\N
3533126	78	1994-02-28	PRIJEM	\N	139	36612	UROK	\N	\N
3533127	78	1994-03-31	PRIJEM	\N	151	40487	UROK	\N	\N
3533128	78	1994-04-30	PRIJEM	\N	157	39369	UROK	\N	\N
3533129	78	1994-05-31	PRIJEM	\N	156	37049	UROK	\N	\N
3533130	78	1994-06-30	PRIJEM	\N	155	45168	UROK	\N	\N
3533131	78	1994-07-31	PRIJEM	\N	169	43861	UROK	\N	\N
3533132	78	1994-08-31	PRIJEM	\N	160	41645	UROK	\N	\N
3533133	78	1994-09-30	PRIJEM	\N	181	45351	UROK	\N	\N
3533134	78	1994-10-31	PRIJEM	\N	151	34526	UROK	\N	\N
3533135	78	1994-11-30	PRIJEM	\N	155	36905	UROK	\N	\N
3533136	78	1994-12-31	PRIJEM	\N	179	35748	UROK	\N	\N
3533137	78	1995-01-31	PRIJEM	\N	117	24889	UROK	\N	\N
3533138	78	1995-02-28	PRIJEM	\N	112	26525	UROK	\N	\N
3533139	78	1995-03-31	PRIJEM	\N	131	30280	UROK	\N	\N
3533140	78	1995-04-30	PRIJEM	\N	144	28448	UROK	\N	\N
3533141	78	1995-05-31	PRIJEM	\N	136	28309	UROK	\N	\N
3533142	78	1995-06-30	PRIJEM	\N	115	25187	UROK	\N	\N
3533143	78	1995-07-31	PRIJEM	\N	122	26834	UROK	\N	\N
3533144	78	1995-08-31	PRIJEM	\N	121	25979	UROK	\N	\N
3533145	78	1995-09-30	PRIJEM	\N	125	28928	UROK	\N	\N
3533146	78	1995-10-31	PRIJEM	\N	134	28886	UROK	\N	\N
3533147	78	1995-11-30	PRIJEM	\N	135	30546	UROK	\N	\N
3533148	78	1995-12-31	PRIJEM	\N	157	33366	UROK	\N	\N
3533149	78	1996-01-31	PRIJEM	\N	126	24716	UROK	\N	\N
3533150	78	1996-02-29	PRIJEM	\N	117	27457	UROK	\N	\N
3533151	78	1996-03-31	PRIJEM	\N	123	26405	UROK	\N	\N
3533152	78	1996-04-30	PRIJEM	\N	120	25949	UROK	\N	\N
3533153	78	1996-05-31	PRIJEM	\N	122	29396	UROK	\N	\N
3533154	78	1996-06-30	PRIJEM	\N	145	18004	UROK	\N	\N
3533155	78	1996-07-31	PRIJEM	\N	96	26624	UROK	\N	\N
3533156	78	1996-08-31	PRIJEM	\N	124	30072	UROK	\N	\N
3533157	78	1996-09-30	PRIJEM	\N	119	25915	UROK	\N	\N
3533158	78	1996-10-31	PRIJEM	\N	115	26754	UROK	\N	\N
3533159	78	1996-11-30	PRIJEM	\N	115	26094	UROK	\N	\N
3533160	78	1996-12-31	PRIJEM	\N	136	34293	UROK	\N	\N
3533161	78	1997-01-31	PRIJEM	\N	136	25354	UROK	\N	\N
3533162	78	1997-02-28	PRIJEM	\N	113	27791	UROK	\N	\N
3533163	78	1997-03-31	PRIJEM	\N	132	34248	UROK	\N	\N
3533164	78	1997-04-30	PRIJEM	\N	145	34017	UROK	\N	\N
3533165	78	1997-05-31	PRIJEM	\N	152	37493	UROK	\N	\N
3533166	78	1997-06-30	PRIJEM	\N	137	30694	UROK	\N	\N
3533167	78	1997-07-31	PRIJEM	\N	143	36562	UROK	\N	\N
3533168	78	1997-08-31	PRIJEM	\N	166	42352	UROK	\N	\N
3533169	78	1997-09-30	PRIJEM	\N	151	38426	UROK	\N	\N
3533170	78	1997-10-31	PRIJEM	\N	171	43221	UROK	\N	\N
3533171	78	1997-11-30	PRIJEM	\N	165	35611	UROK	\N	\N
3533172	78	1997-12-31	PRIJEM	\N	167	42041	UROK	\N	\N
3533173	78	1998-01-31	PRIJEM	\N	146	35211	UROK	\N	\N
3533174	78	1998-02-28	PRIJEM	\N	181	50517	UROK	\N	\N
3533175	78	1998-03-31	PRIJEM	\N	203	48945	UROK	\N	\N
3533176	78	1998-04-30	PRIJEM	\N	221	48490	UROK	\N	\N
3533177	78	1998-05-31	PRIJEM	\N	200	49314	UROK	\N	\N
3533178	78	1998-06-30	PRIJEM	\N	189	45267	UROK	\N	\N
3533179	78	1998-07-31	PRIJEM	\N	217	57908	UROK	\N	\N
3533180	78	1998-08-31	PRIJEM	\N	252	64885	UROK	\N	\N
3533181	78	1998-09-30	PRIJEM	\N	264	66573	UROK	\N	\N
3533182	78	1998-10-31	PRIJEM	\N	269	67966	UROK	\N	\N
3533183	78	1998-11-30	PRIJEM	\N	279	71570	UROK	\N	\N
3533184	78	1998-12-31	PRIJEM	\N	302	77935	UROK	\N	\N
3533185	79	1997-04-30	PRIJEM	\N	44	17646	UROK	\N	\N
3533186	79	1997-05-31	PRIJEM	\N	77	17262	UROK	\N	\N
3533187	79	1997-06-30	PRIJEM	\N	68	15509	UROK	\N	\N
3533188	79	1997-07-31	PRIJEM	\N	68	15676	UROK	\N	\N
3533189	79	1997-08-31	PRIJEM	\N	69	17124	UROK	\N	\N
3533190	79	1997-09-30	PRIJEM	\N	75	18578	UROK	\N	\N
3533191	79	1997-10-31	PRIJEM	\N	81	20039	UROK	\N	\N
3533192	79	1997-11-30	PRIJEM	\N	86	21024	UROK	\N	\N
3533193	79	1997-12-31	PRIJEM	\N	90	21943	UROK	\N	\N
3533194	79	1998-01-31	PRIJEM	\N	88	20950	UROK	\N	\N
3533195	79	1998-02-28	PRIJEM	\N	86	17695	UROK	\N	\N
3533196	79	1998-03-31	PRIJEM	\N	77	19152	UROK	\N	\N
3533197	79	1998-04-30	PRIJEM	\N	82	20213	UROK	\N	\N
3533198	79	1998-05-31	PRIJEM	\N	88	21680	UROK	\N	\N
3533199	79	1998-06-30	PRIJEM	\N	83	18953	UROK	\N	\N
3533200	79	1998-07-31	PRIJEM	\N	76	17449	UROK	\N	\N
3533201	79	1998-08-31	PRIJEM	\N	76	18904	UROK	\N	\N
3533202	79	1998-09-30	PRIJEM	\N	82	20366	UROK	\N	\N
3533203	79	1998-10-31	PRIJEM	\N	88	21833	UROK	\N	\N
3533204	79	1998-11-30	PRIJEM	\N	94	23307	UROK	\N	\N
3533205	79	1998-12-31	PRIJEM	\N	96	21902	UROK	\N	\N
3533206	80	1996-02-29	PRIJEM	\N	3	17793	UROK	\N	\N
3533207	80	1996-03-31	PRIJEM	\N	77	18561	UROK	\N	\N
3533208	80	1996-04-30	PRIJEM	\N	80	18912	UROK	\N	\N
3533209	80	1996-05-31	PRIJEM	\N	78	19202	UROK	\N	\N
3533210	80	1996-06-30	PRIJEM	\N	76	15139	UROK	\N	\N
3533211	80	1996-07-31	PRIJEM	\N	66	16316	UROK	\N	\N
3533212	80	1996-08-31	PRIJEM	\N	71	17498	UROK	\N	\N
3533213	80	1996-09-30	PRIJEM	\N	74	17903	UROK	\N	\N
3533214	80	1996-10-31	PRIJEM	\N	73	17768	UROK	\N	\N
3533215	80	1996-11-30	PRIJEM	\N	75	17784	UROK	\N	\N
3533216	80	1996-12-31	PRIJEM	\N	76	18191	UROK	\N	\N
3533217	80	1997-01-31	PRIJEM	\N	71	14093	UROK	\N	\N
3533218	80	1997-02-28	PRIJEM	\N	61	15266	UROK	\N	\N
3533219	80	1997-03-31	PRIJEM	\N	66	16443	UROK	\N	\N
3533220	80	1997-04-30	PRIJEM	\N	71	17626	UROK	\N	\N
3533221	80	1997-05-31	PRIJEM	\N	76	18813	UROK	\N	\N
3533222	80	1997-06-30	PRIJEM	\N	80	19854	UROK	\N	\N
3533223	80	1997-07-31	PRIJEM	\N	85	20151	UROK	\N	\N
3533224	80	1997-08-31	PRIJEM	\N	87	21349	UROK	\N	\N
3533225	80	1997-09-30	PRIJEM	\N	91	22551	UROK	\N	\N
3533226	80	1997-10-31	PRIJEM	\N	95	23548	UROK	\N	\N
3533227	80	1997-11-30	PRIJEM	\N	100	24430	UROK	\N	\N
3533228	80	1997-12-31	PRIJEM	\N	101	23752	UROK	\N	\N
3533229	80	1998-01-31	PRIJEM	\N	88	17991	UROK	\N	\N
3533230	80	1998-02-28	PRIJEM	\N	77	19179	UROK	\N	\N
3533231	80	1998-03-31	PRIJEM	\N	82	20373	UROK	\N	\N
3533232	80	1998-04-30	PRIJEM	\N	87	21571	UROK	\N	\N
3533233	80	1998-05-31	PRIJEM	\N	92	22775	UROK	\N	\N
3533234	80	1998-06-30	PRIJEM	\N	92	22118	UROK	\N	\N
3533235	80	1998-07-31	PRIJEM	\N	94	23324	UROK	\N	\N
3533236	80	1998-08-31	PRIJEM	\N	99	24534	UROK	\N	\N
3533237	80	1998-09-30	PRIJEM	\N	104	25750	UROK	\N	\N
3533238	80	1998-10-31	PRIJEM	\N	109	26971	UROK	\N	\N
3533239	80	1998-11-30	PRIJEM	\N	114	27626	UROK	\N	\N
3533240	80	1998-12-31	PRIJEM	\N	113	27350	UROK	\N	\N
3533241	81	1996-08-31	PRIJEM	\N	27	13411	UROK	\N	\N
3533242	81	1996-09-30	PRIJEM	\N	75	22870	UROK	\N	\N
3533243	81	1996-10-31	PRIJEM	\N	102	26156	UROK	\N	\N
3533244	81	1996-11-30	PRIJEM	\N	109	26349	UROK	\N	\N
3533245	81	1996-12-31	PRIJEM	\N	114	28103	UROK	\N	\N
3533246	81	1997-01-31	PRIJEM	\N	109	22575	UROK	\N	\N
3533247	81	1997-02-28	PRIJEM	\N	97	22225	UROK	\N	\N
3533248	81	1997-03-31	PRIJEM	\N	93	22341	UROK	\N	\N
3533249	81	1997-04-30	PRIJEM	\N	93	21947	UROK	\N	\N
3533250	81	1997-05-31	PRIJEM	\N	88	20409	UROK	\N	\N
3533251	81	1997-06-30	PRIJEM	\N	90	18702	UROK	\N	\N
3533252	81	1997-07-31	PRIJEM	\N	83	20399	UROK	\N	\N
3533253	81	1997-08-31	PRIJEM	\N	83	19596	UROK	\N	\N
3533254	81	1997-09-30	PRIJEM	\N	85	20694	UROK	\N	\N
3533255	81	1997-10-31	PRIJEM	\N	102	26159	UROK	\N	\N
3533256	81	1997-11-30	PRIJEM	\N	111	26583	UROK	\N	\N
3533257	81	1997-12-31	PRIJEM	\N	120	29516	UROK	\N	\N
3533258	81	1998-01-31	PRIJEM	\N	121	27941	UROK	\N	\N
3533259	81	1998-02-28	PRIJEM	\N	128	31682	UROK	\N	\N
3533260	81	1998-03-31	PRIJEM	\N	120	27666	UROK	\N	\N
3533261	81	1998-04-30	PRIJEM	\N	113	26862	UROK	\N	\N
3533262	81	1998-05-31	PRIJEM	\N	102	23918	UROK	\N	\N
3533263	81	1998-06-30	PRIJEM	\N	110	27411	UROK	\N	\N
3533264	81	1998-07-31	PRIJEM	\N	119	28334	UROK	\N	\N
3533265	81	1998-08-31	PRIJEM	\N	132	32359	UROK	\N	\N
3533266	81	1998-09-30	PRIJEM	\N	144	34946	UROK	\N	\N
3533267	81	1998-10-31	PRIJEM	\N	142	34101	UROK	\N	\N
3533268	81	1998-11-30	PRIJEM	\N	153	37468	UROK	\N	\N
3533269	81	1998-12-31	PRIJEM	\N	153	36444	UROK	\N	\N
3533270	83	1993-05-31	PRIJEM	\N	36	16562	UROK	\N	\N
3533271	83	1993-06-30	PRIJEM	\N	95	28195	UROK	\N	\N
3533272	83	1993-07-31	PRIJEM	\N	126	32047	UROK	\N	\N
3533273	83	1993-08-31	PRIJEM	\N	136	33209	UROK	\N	\N
3533274	83	1993-09-30	PRIJEM	\N	146	28931	UROK	\N	\N
3533275	83	1993-10-31	PRIJEM	\N	127	31019	UROK	\N	\N
3533276	83	1993-11-30	PRIJEM	\N	120	27401	UROK	\N	\N
3533277	83	1993-12-31	PRIJEM	\N	113	22208	UROK	\N	\N
3533278	83	1994-01-31	PRIJEM	\N	71	12601	UROK	\N	\N
3533279	83	1994-02-28	PRIJEM	\N	63	15926	UROK	\N	\N
3533280	83	1994-03-31	PRIJEM	\N	81	20967	UROK	\N	\N
3533281	83	1994-04-30	PRIJEM	\N	99	25028	UROK	\N	\N
3533282	83	1994-05-31	PRIJEM	\N	110	27099	UROK	\N	\N
3533283	83	1994-06-30	PRIJEM	\N	110	25724	UROK	\N	\N
3533284	83	1994-07-31	PRIJEM	\N	106	25092	UROK	\N	\N
3533285	83	1994-08-31	PRIJEM	\N	103	22936	UROK	\N	\N
3533286	83	1994-09-30	PRIJEM	\N	95	21792	UROK	\N	\N
3533287	83	1994-10-31	PRIJEM	\N	96	21909	UROK	\N	\N
3533288	83	1994-11-30	PRIJEM	\N	105	24875	UROK	\N	\N
3533289	83	1994-12-31	PRIJEM	\N	114	26443	UROK	\N	\N
3533290	83	1995-01-31	PRIJEM	\N	88	13292	UROK	\N	\N
3533291	83	1995-02-28	PRIJEM	\N	105	26558	UROK	\N	\N
3533292	83	1995-03-31	PRIJEM	\N	104	22524	UROK	\N	\N
3533293	83	1995-04-30	PRIJEM	\N	107	24992	UROK	\N	\N
3533294	83	1995-05-31	PRIJEM	\N	97	21591	UROK	\N	\N
3533295	83	1995-06-30	PRIJEM	\N	133	32899	UROK	\N	\N
3533296	83	1995-07-31	PRIJEM	\N	132	30552	UROK	\N	\N
3533297	83	1995-08-31	PRIJEM	\N	126	28839	UROK	\N	\N
3533298	83	1995-09-30	PRIJEM	\N	135	31935	UROK	\N	\N
3533299	83	1995-10-31	PRIJEM	\N	145	34441	UROK	\N	\N
3533300	83	1995-11-30	PRIJEM	\N	125	29108	UROK	\N	\N
3533301	83	1995-12-31	PRIJEM	\N	138	31840	UROK	\N	\N
3533302	83	1996-01-31	PRIJEM	\N	77	13139	UROK	\N	\N
3533303	83	1996-02-29	PRIJEM	\N	96	24196	UROK	\N	\N
3533304	83	1996-03-31	PRIJEM	\N	96	17493	UROK	\N	\N
3533305	83	1996-04-30	PRIJEM	\N	79	20934	UROK	\N	\N
3533306	83	1996-05-31	PRIJEM	\N	95	22890	UROK	\N	\N
3533307	83	1996-06-30	PRIJEM	\N	111	22535	UROK	\N	\N
3533308	83	1996-07-31	PRIJEM	\N	100	21897	UROK	\N	\N
3533309	83	1996-08-31	PRIJEM	\N	97	20555	UROK	\N	\N
3533310	83	1996-09-30	PRIJEM	\N	90	17907	UROK	\N	\N
3533311	83	1996-10-31	PRIJEM	\N	78	15166	UROK	\N	\N
3533312	83	1996-11-30	PRIJEM	\N	59	13967	UROK	\N	\N
3533313	83	1996-12-31	PRIJEM	\N	64	14465	UROK	\N	\N
3533314	83	1997-01-31	PRIJEM	\N	62	15389	UROK	\N	\N
3533315	83	1997-02-28	PRIJEM	\N	71	15641	UROK	\N	\N
3533316	83	1997-03-31	PRIJEM	\N	69	14072	UROK	\N	\N
3533317	83	1997-04-30	PRIJEM	\N	66	17199	UROK	\N	\N
3533318	83	1997-05-31	PRIJEM	\N	72	13232	UROK	\N	\N
3533319	83	1997-06-30	PRIJEM	\N	67	13074	UROK	\N	\N
3533320	83	1997-07-31	PRIJEM	\N	62	16197	UROK	\N	\N
3533321	83	1997-08-31	PRIJEM	\N	75	19333	UROK	\N	\N
3533322	83	1997-09-30	PRIJEM	\N	87	22482	UROK	\N	\N
3533323	83	1997-10-31	PRIJEM	\N	93	22756	UROK	\N	\N
3533324	83	1997-11-30	PRIJEM	\N	88	20025	UROK	\N	\N
3533325	83	1997-12-31	PRIJEM	\N	96	23636	UROK	\N	\N
3533326	83	1998-01-31	PRIJEM	\N	92	18030	UROK	\N	\N
3533327	83	1998-02-28	PRIJEM	\N	81	21172	UROK	\N	\N
3533328	83	1998-03-31	PRIJEM	\N	82	18076	UROK	\N	\N
3533329	83	1998-04-30	PRIJEM	\N	69	16766	UROK	\N	\N
3533330	83	1998-05-31	PRIJEM	\N	76	19904	UROK	\N	\N
3533331	83	1998-06-30	PRIJEM	\N	72	13571	UROK	\N	\N
3533332	83	1998-07-31	PRIJEM	\N	63	16695	UROK	\N	\N
3533333	83	1998-08-31	PRIJEM	\N	76	19831	UROK	\N	\N
3533334	83	1998-09-30	PRIJEM	\N	88	22981	UROK	\N	\N
3533335	83	1998-10-31	PRIJEM	\N	101	24344	UROK	\N	\N
3533336	83	1998-11-30	PRIJEM	\N	110	26555	UROK	\N	\N
3533337	83	1998-12-31	PRIJEM	\N	129	33239	UROK	\N	\N
3533338	84	1996-01-31	PRIJEM	\N	162	65805	UROK	\N	\N
3533339	84	1996-02-29	PRIJEM	\N	274	44378	UROK	\N	\N
3533340	84	1996-03-31	PRIJEM	\N	329	64733	UROK	\N	\N
3533341	84	1996-04-30	PRIJEM	\N	280	56945	UROK	\N	\N
3533342	84	1996-05-31	PRIJEM	\N	256	53294	UROK	\N	\N
3533343	84	1996-06-30	PRIJEM	\N	199	35041	UROK	\N	\N
3533344	84	1996-07-31	PRIJEM	\N	131	24220	UROK	\N	\N
3533345	84	1996-08-31	PRIJEM	\N	128	42753	UROK	\N	\N
3533346	84	1996-09-30	PRIJEM	\N	125	22722	UROK	\N	\N
3533347	84	1996-10-31	PRIJEM	\N	104	60677	UROK	\N	\N
3533348	84	1996-11-30	PRIJEM	\N	363	63595	UROK	\N	\N
3533349	84	1996-12-31	PRIJEM	\N	302	84058	UROK	\N	\N
3533350	84	1997-01-31	PRIJEM	\N	215	20321	UROK	\N	\N
3533351	84	1997-02-28	PRIJEM	\N	77	16346	UROK	\N	\N
3533352	84	1997-03-31	PRIJEM	\N	66	15761	UROK	\N	\N
3533353	84	1997-04-30	PRIJEM	\N	138	38654	UROK	\N	\N
3533354	84	1997-05-31	PRIJEM	\N	101	21183	UROK	\N	\N
3533355	84	1997-06-30	PRIJEM	\N	86	20317	UROK	\N	\N
3533356	84	1997-07-31	PRIJEM	\N	82	19347	UROK	\N	\N
3533357	84	1997-08-31	PRIJEM	\N	72	15867	UROK	\N	\N
3533358	84	1997-09-30	PRIJEM	\N	67	16582	UROK	\N	\N
3533359	84	1997-10-31	PRIJEM	\N	89	36964	UROK	\N	\N
3533360	84	1997-11-30	PRIJEM	\N	140	31552	UROK	\N	\N
3533361	84	1997-12-31	PRIJEM	\N	118	65691	UROK	\N	\N
3533362	84	1998-01-31	PRIJEM	\N	145	21883	UROK	\N	\N
3533363	84	1998-02-28	PRIJEM	\N	232	83020	UROK	\N	\N
3533364	84	1998-03-31	PRIJEM	\N	273	53541	UROK	\N	\N
3533365	84	1998-04-30	PRIJEM	\N	144	23245	UROK	\N	\N
3533366	84	1998-05-31	PRIJEM	\N	139	46479	UROK	\N	\N
3533367	84	1998-06-30	PRIJEM	\N	237	92543	UROK	\N	\N
3533368	84	1998-07-31	PRIJEM	\N	252	42278	UROK	\N	\N
3533369	84	1998-08-31	PRIJEM	\N	182	35965	UROK	\N	\N
3533370	84	1998-09-30	PRIJEM	\N	146	23560	UROK	\N	\N
3533371	84	1998-10-31	PRIJEM	\N	91	27541	UROK	\N	\N
3533372	84	1998-11-30	PRIJEM	\N	112	58431	UROK	\N	\N
3533373	84	1998-12-31	PRIJEM	\N	282	104121	UROK	\N	\N
3533374	85	1997-04-30	PRIJEM	\N	16	12479	UROK	\N	\N
3533375	85	1997-05-31	PRIJEM	\N	62	19903	UROK	\N	\N
3533376	85	1997-06-30	PRIJEM	\N	88	23736	UROK	\N	\N
3533377	85	1997-07-31	PRIJEM	\N	97	22596	UROK	\N	\N
3533378	85	1997-08-31	PRIJEM	\N	91	18519	UROK	\N	\N
3533379	85	1997-09-30	PRIJEM	\N	81	19217	UROK	\N	\N
3533380	85	1997-10-31	PRIJEM	\N	79	17114	UROK	\N	\N
3533381	85	1997-11-30	PRIJEM	\N	70	14702	UROK	\N	\N
3533382	85	1997-12-31	PRIJEM	\N	71	17512	UROK	\N	\N
3533383	85	1998-01-31	PRIJEM	\N	57	12467	UROK	\N	\N
3533384	85	1998-02-28	PRIJEM	\N	70	20454	UROK	\N	\N
3533385	85	1998-03-31	PRIJEM	\N	95	21966	UROK	\N	\N
3533386	85	1998-04-30	PRIJEM	\N	107	28490	UROK	\N	\N
3533387	85	1998-05-31	PRIJEM	\N	130	32837	UROK	\N	\N
3533388	85	1998-06-30	PRIJEM	\N	159	40995	UROK	\N	\N
3533389	85	1998-07-31	PRIJEM	\N	176	42588	UROK	\N	\N
3533390	85	1998-08-31	PRIJEM	\N	181	43687	UROK	\N	\N
3533391	85	1998-09-30	PRIJEM	\N	179	43383	UROK	\N	\N
3533392	85	1998-10-31	PRIJEM	\N	204	52505	UROK	\N	\N
3533393	85	1998-11-30	PRIJEM	\N	215	50537	UROK	\N	\N
3533394	85	1998-12-31	PRIJEM	\N	217	52012	UROK	\N	\N
3533395	86	1993-03-31	PRIJEM	\N	11	4054	UROK	\N	\N
3533396	86	1993-04-30	PRIJEM	\N	17	7314	UROK	\N	\N
3533397	86	1993-05-31	PRIJEM	\N	17	10574	UROK	\N	\N
3533398	86	1993-06-30	PRIJEM	\N	17	13834	UROK	\N	\N
3533399	86	1993-07-31	PRIJEM	\N	49	15966	UROK	\N	\N
3533400	86	1993-08-31	PRIJEM	\N	67	16139	UROK	\N	\N
3533401	86	1993-09-30	PRIJEM	\N	70	17276	UROK	\N	\N
3533402	86	1993-10-31	PRIJEM	\N	75	18417	UROK	\N	\N
3533403	86	1993-11-30	PRIJEM	\N	80	19563	UROK	\N	\N
3533404	86	1993-12-31	PRIJEM	\N	83	20082	UROK	\N	\N
3533405	86	1994-01-31	PRIJEM	\N	77	15555	UROK	\N	\N
3533406	86	1994-02-28	PRIJEM	\N	68	16209	UROK	\N	\N
3533407	86	1994-03-31	PRIJEM	\N	70	16955	UROK	\N	\N
3533408	86	1994-04-30	PRIJEM	\N	74	18095	UROK	\N	\N
3533409	86	1994-05-31	PRIJEM	\N	79	19240	UROK	\N	\N
3533410	86	1994-06-30	PRIJEM	\N	77	18433	UROK	\N	\N
3533411	86	1994-07-31	PRIJEM	\N	80	19580	UROK	\N	\N
3533412	86	1994-08-31	PRIJEM	\N	85	20731	UROK	\N	\N
3533413	86	1994-09-30	PRIJEM	\N	89	21886	UROK	\N	\N
3533414	86	1994-10-31	PRIJEM	\N	87	20580	UROK	\N	\N
3533415	86	1994-11-30	PRIJEM	\N	89	21735	UROK	\N	\N
3533416	86	1994-12-31	PRIJEM	\N	89	21420	UROK	\N	\N
3533417	86	1995-01-31	PRIJEM	\N	82	17919	UROK	\N	\N
3533418	86	1995-02-28	PRIJEM	\N	76	18311	UROK	\N	\N
3533419	86	1995-03-31	PRIJEM	\N	79	19456	UROK	\N	\N
3533420	86	1995-04-30	PRIJEM	\N	84	20607	UROK	\N	\N
3533421	86	1995-05-31	PRIJEM	\N	89	21762	UROK	\N	\N
3533422	86	1995-06-30	PRIJEM	\N	71	14349	UROK	\N	\N
3533423	86	1995-07-31	PRIJEM	\N	63	15478	UROK	\N	\N
3533424	86	1995-08-31	PRIJEM	\N	67	16612	UROK	\N	\N
3533425	86	1995-09-30	PRIJEM	\N	72	17750	UROK	\N	\N
3533426	86	1995-10-31	PRIJEM	\N	77	18893	UROK	\N	\N
3533427	86	1995-11-30	PRIJEM	\N	81	20041	UROK	\N	\N
3533428	86	1995-12-31	PRIJEM	\N	86	20773	UROK	\N	\N
3533429	86	1996-01-31	PRIJEM	\N	85	17784	UROK	\N	\N
3533430	86	1996-02-29	PRIJEM	\N	74	17034	UROK	\N	\N
3533431	86	1996-03-31	PRIJEM	\N	69	16279	UROK	\N	\N
3533432	86	1996-04-30	PRIJEM	\N	69	16544	UROK	\N	\N
3533433	86	1996-05-31	PRIJEM	\N	71	17682	UROK	\N	\N
3533434	86	1996-06-30	PRIJEM	\N	76	18824	UROK	\N	\N
3533435	86	1996-07-31	PRIJEM	\N	80	19401	UROK	\N	\N
3533436	86	1996-08-31	PRIJEM	\N	83	20550	UROK	\N	\N
3533437	86	1996-09-30	PRIJEM	\N	88	21705	UROK	\N	\N
3533438	86	1996-10-31	PRIJEM	\N	93	22864	UROK	\N	\N
3533439	86	1996-11-30	PRIJEM	\N	97	24027	UROK	\N	\N
3533440	86	1996-12-31	PRIJEM	\N	101	24564	UROK	\N	\N
3533441	86	1997-01-31	PRIJEM	\N	90	19661	UROK	\N	\N
3533442	86	1997-02-28	PRIJEM	\N	84	20811	UROK	\N	\N
3533443	86	1997-03-31	PRIJEM	\N	89	21966	UROK	\N	\N
3533444	86	1997-04-30	PRIJEM	\N	93	23126	UROK	\N	\N
3533445	86	1997-05-31	PRIJEM	\N	95	23597	UROK	\N	\N
3533446	86	1997-06-30	PRIJEM	\N	100	22933	UROK	\N	\N
3533447	86	1997-07-31	PRIJEM	\N	97	24097	UROK	\N	\N
3533448	86	1997-08-31	PRIJEM	\N	101	24124	UROK	\N	\N
3533449	86	1997-09-30	PRIJEM	\N	101	24991	UROK	\N	\N
3533450	86	1997-10-31	PRIJEM	\N	106	26163	UROK	\N	\N
3533451	86	1997-11-30	PRIJEM	\N	109	26318	UROK	\N	\N
3533452	86	1997-12-31	PRIJEM	\N	109	26714	UROK	\N	\N
3533453	86	1998-01-31	PRIJEM	\N	104	22935	UROK	\N	\N
3533454	86	1998-02-28	PRIJEM	\N	97	24098	UROK	\N	\N
3533455	86	1998-03-31	PRIJEM	\N	102	25266	UROK	\N	\N
3533456	86	1998-04-30	PRIJEM	\N	106	26438	UROK	\N	\N
3533457	86	1998-05-31	PRIJEM	\N	111	27616	UROK	\N	\N
3533458	86	1998-06-30	PRIJEM	\N	87	18420	UROK	\N	\N
3533459	86	1998-07-31	PRIJEM	\N	77	19143	UROK	\N	\N
3533460	86	1998-08-31	PRIJEM	\N	81	20290	UROK	\N	\N
3533461	86	1998-09-30	PRIJEM	\N	79	19486	UROK	\N	\N
3533462	86	1998-10-31	PRIJEM	\N	80	19852	UROK	\N	\N
3533463	86	1998-11-30	PRIJEM	\N	83	21002	UROK	\N	\N
3533464	86	1998-12-31	PRIJEM	\N	88	21976	UROK	\N	\N
3533493	88	1996-07-31	PRIJEM	\N	13	3716	UROK	\N	\N
3533494	88	1996-08-31	PRIJEM	\N	15	7134	UROK	\N	\N
3533495	88	1996-09-30	PRIJEM	\N	15	10553	UROK	\N	\N
3533496	88	1996-10-31	PRIJEM	\N	15	13971	UROK	\N	\N
3533497	88	1996-11-30	PRIJEM	\N	42	15149	UROK	\N	\N
3533498	88	1996-12-31	PRIJEM	\N	65	15524	UROK	\N	\N
3533499	88	1997-01-31	PRIJEM	\N	62	12687	UROK	\N	\N
3533500	88	1997-02-28	PRIJEM	\N	58	13535	UROK	\N	\N
3533501	88	1997-03-31	PRIJEM	\N	59	14715	UROK	\N	\N
3533502	88	1997-04-30	PRIJEM	\N	64	15899	UROK	\N	\N
3533503	88	1997-05-31	PRIJEM	\N	68	16697	UROK	\N	\N
3533504	88	1997-06-30	PRIJEM	\N	72	17890	UROK	\N	\N
3533505	88	1997-07-31	PRIJEM	\N	77	19088	UROK	\N	\N
3533506	88	1997-08-31	PRIJEM	\N	81	19869	UROK	\N	\N
3533507	88	1997-09-30	PRIJEM	\N	85	21075	UROK	\N	\N
3533508	88	1997-10-31	PRIJEM	\N	89	21565	UROK	\N	\N
3533509	88	1997-11-30	PRIJEM	\N	92	22778	UROK	\N	\N
3533510	88	1997-12-31	PRIJEM	\N	97	23786	UROK	\N	\N
3533511	88	1998-01-31	PRIJEM	\N	89	18575	UROK	\N	\N
3533512	88	1998-02-28	PRIJEM	\N	80	19775	UROK	\N	\N
3533513	88	1998-03-31	PRIJEM	\N	85	20980	UROK	\N	\N
3533514	88	1998-04-30	PRIJEM	\N	89	20870	UROK	\N	\N
3533515	88	1998-05-31	PRIJEM	\N	90	22079	UROK	\N	\N
3533516	88	1998-06-30	PRIJEM	\N	95	20985	UROK	\N	\N
3533517	88	1998-07-31	PRIJEM	\N	90	21385	UROK	\N	\N
3533518	88	1998-08-31	PRIJEM	\N	91	22236	UROK	\N	\N
3533519	88	1998-09-30	PRIJEM	\N	92	22158	UROK	\N	\N
3533520	88	1998-10-31	PRIJEM	\N	94	22263	UROK	\N	\N
3533521	88	1998-11-30	PRIJEM	\N	95	23478	UROK	\N	\N
3533522	88	1998-12-31	PRIJEM	\N	100	24428	UROK	\N	\N
3533523	90	1994-07-31	PRIJEM	\N	60	24866	UROK	\N	\N
3533524	90	1994-08-31	PRIJEM	\N	166	50638	UROK	\N	\N
3533525	90	1994-09-30	PRIJEM	\N	237	61980	UROK	\N	\N
3533526	90	1994-10-31	PRIJEM	\N	266	65552	UROK	\N	\N
3533527	90	1994-11-30	PRIJEM	\N	286	71444	UROK	\N	\N
3533528	90	1994-12-31	PRIJEM	\N	290	73436	UROK	\N	\N
3533529	90	1995-01-31	PRIJEM	\N	210	48555	UROK	\N	\N
3533530	90	1995-02-28	PRIJEM	\N	190	50275	UROK	\N	\N
3533531	90	1995-03-31	PRIJEM	\N	196	49360	UROK	\N	\N
3533532	90	1995-04-30	PRIJEM	\N	188	43637	UROK	\N	\N
3533533	90	1995-05-31	PRIJEM	\N	180	48027	UROK	\N	\N
3533534	90	1995-06-30	PRIJEM	\N	213	60042	UROK	\N	\N
3533535	90	1995-07-31	PRIJEM	\N	219	55870	UROK	\N	\N
3533536	90	1995-08-31	PRIJEM	\N	209	54488	UROK	\N	\N
3533537	90	1995-09-30	PRIJEM	\N	211	50588	UROK	\N	\N
3533538	90	1995-10-31	PRIJEM	\N	206	55803	UROK	\N	\N
3533539	90	1995-11-30	PRIJEM	\N	203	54216	UROK	\N	\N
3533540	90	1995-12-31	PRIJEM	\N	217	58535	UROK	\N	\N
3533541	90	1996-01-31	PRIJEM	\N	131	26435	UROK	\N	\N
3533542	90	1996-02-29	PRIJEM	\N	133	40278	UROK	\N	\N
3533543	90	1996-03-31	PRIJEM	\N	155	43242	UROK	\N	\N
3533544	90	1996-04-30	PRIJEM	\N	160	44411	UROK	\N	\N
3533545	90	1996-05-31	PRIJEM	\N	164	45185	UROK	\N	\N
3533546	90	1996-06-30	PRIJEM	\N	131	27999	UROK	\N	\N
3533547	90	1996-07-31	PRIJEM	\N	121	36789	UROK	\N	\N
3533548	90	1996-08-31	PRIJEM	\N	148	42046	UROK	\N	\N
3533549	90	1996-09-30	PRIJEM	\N	161	41136	UROK	\N	\N
3533550	90	1996-10-31	PRIJEM	\N	162	29408	UROK	\N	\N
3533551	90	1996-11-30	PRIJEM	\N	148	32665	UROK	\N	\N
3533552	90	1996-12-31	PRIJEM	\N	186	37773	UROK	\N	\N
3533553	90	1997-01-31	PRIJEM	\N	141	20144	UROK	\N	\N
3533554	90	1997-02-28	PRIJEM	\N	106	23860	UROK	\N	\N
3533555	90	1997-03-31	PRIJEM	\N	123	24992	UROK	\N	\N
3533556	90	1997-04-30	PRIJEM	\N	128	29629	UROK	\N	\N
3533557	90	1997-05-31	PRIJEM	\N	145	32163	UROK	\N	\N
3533558	90	1997-06-30	PRIJEM	\N	180	39805	UROK	\N	\N
3533559	90	1997-07-31	PRIJEM	\N	172	34627	UROK	\N	\N
3533560	90	1997-08-31	PRIJEM	\N	156	30832	UROK	\N	\N
3533561	90	1997-09-30	PRIJEM	\N	138	20999	UROK	\N	\N
3533562	90	1997-10-31	PRIJEM	\N	101	20210	UROK	\N	\N
3533563	90	1997-11-30	PRIJEM	\N	97	19716	UROK	\N	\N
3533564	90	1997-12-31	PRIJEM	\N	105	19983	UROK	\N	\N
3533565	90	1998-01-31	PRIJEM	\N	76	17369	UROK	\N	\N
3533566	90	1998-02-28	PRIJEM	\N	84	19863	UROK	\N	\N
3533567	90	1998-03-31	PRIJEM	\N	96	21368	UROK	\N	\N
3533568	90	1998-04-30	PRIJEM	\N	100	22278	UROK	\N	\N
3533569	90	1998-05-31	PRIJEM	\N	108	26695	UROK	\N	\N
3533570	90	1998-06-30	PRIJEM	\N	139	31697	UROK	\N	\N
3533571	90	1998-07-31	PRIJEM	\N	127	22233	UROK	\N	\N
3533572	90	1998-08-31	PRIJEM	\N	96	20538	UROK	\N	\N
3533573	90	1998-09-30	PRIJEM	\N	81	15548	UROK	\N	\N
3533574	90	1998-10-31	PRIJEM	\N	69	16227	UROK	\N	\N
3533575	90	1998-11-30	PRIJEM	\N	72	17908	UROK	\N	\N
3533576	90	1998-12-31	PRIJEM	\N	96	24127	UROK	\N	\N
3533577	95	1995-04-30	PRIJEM	\N	7	24434	UROK	\N	\N
3533578	95	1995-05-31	PRIJEM	\N	107	36267	UROK	\N	\N
3533579	95	1995-06-30	PRIJEM	\N	154	44812	UROK	\N	\N
3533580	95	1995-07-31	PRIJEM	\N	186	43724	UROK	\N	\N
3533581	95	1995-08-31	PRIJEM	\N	184	46835	UROK	\N	\N
3533582	95	1995-09-30	PRIJEM	\N	195	46642	UROK	\N	\N
3533583	95	1995-10-31	PRIJEM	\N	197	42951	UROK	\N	\N
3533584	95	1995-11-30	PRIJEM	\N	180	44444	UROK	\N	\N
3533585	95	1995-12-31	PRIJEM	\N	190	47829	UROK	\N	\N
3533586	95	1996-01-31	PRIJEM	\N	213	35234	UROK	\N	\N
3533587	95	1996-02-29	PRIJEM	\N	157	45704	UROK	\N	\N
3533588	95	1996-03-31	PRIJEM	\N	193	48409	UROK	\N	\N
3533589	95	1996-04-30	PRIJEM	\N	204	50625	UROK	\N	\N
3533590	95	1996-05-31	PRIJEM	\N	216	54853	UROK	\N	\N
3533591	95	1996-06-30	PRIJEM	\N	251	55100	UROK	\N	\N
3533592	95	1996-07-31	PRIJEM	\N	235	59347	UROK	\N	\N
3533593	95	1996-08-31	PRIJEM	\N	248	55147	UROK	\N	\N
3533594	95	1996-09-30	PRIJEM	\N	256	57415	UROK	\N	\N
3533595	95	1996-10-31	PRIJEM	\N	242	59669	UROK	\N	\N
3533596	95	1996-11-30	PRIJEM	\N	251	61933	UROK	\N	\N
3533597	95	1996-12-31	PRIJEM	\N	272	68281	UROK	\N	\N
3533598	95	1997-01-31	PRIJEM	\N	252	49865	UROK	\N	\N
3533599	95	1997-02-28	PRIJEM	\N	222	50740	UROK	\N	\N
3533600	95	1997-03-31	PRIJEM	\N	220	56672	UROK	\N	\N
3533601	95	1997-04-30	PRIJEM	\N	237	57822	UROK	\N	\N
3533602	95	1997-05-31	PRIJEM	\N	236	53470	UROK	\N	\N
3533603	95	1997-06-30	PRIJEM	\N	244	53789	UROK	\N	\N
3533604	95	1997-07-31	PRIJEM	\N	225	54926	UROK	\N	\N
3533605	95	1997-08-31	PRIJEM	\N	228	55266	UROK	\N	\N
3533606	95	1997-09-30	PRIJEM	\N	225	53803	UROK	\N	\N
3533607	95	1997-10-31	PRIJEM	\N	221	53237	UROK	\N	\N
3533608	95	1997-11-30	PRIJEM	\N	223	54471	UROK	\N	\N
3533609	95	1997-12-31	PRIJEM	\N	233	55580	UROK	\N	\N
3533610	95	1998-01-31	PRIJEM	\N	156	28988	UROK	\N	\N
3533611	95	1998-02-28	PRIJEM	\N	161	41261	UROK	\N	\N
3533612	95	1998-03-31	PRIJEM	\N	177	44050	UROK	\N	\N
3533613	95	1998-04-30	PRIJEM	\N	183	44745	UROK	\N	\N
3533614	95	1998-05-31	PRIJEM	\N	183	43040	UROK	\N	\N
3533615	95	1998-06-30	PRIJEM	\N	194	19850	UROK	\N	\N
3533616	95	1998-07-31	PRIJEM	\N	115	30877	UROK	\N	\N
3533617	95	1998-08-31	PRIJEM	\N	172	48262	UROK	\N	\N
3533618	95	1998-09-30	PRIJEM	\N	229	59903	UROK	\N	\N
3533619	95	1998-10-31	PRIJEM	\N	252	61967	UROK	\N	\N
3533620	95	1998-11-30	PRIJEM	\N	272	68351	UROK	\N	\N
3533621	95	1998-12-31	PRIJEM	\N	315	80442	UROK	\N	\N
3533622	96	1993-03-31	PRIJEM	\N	55	33876	UROK	\N	\N
3533623	96	1993-04-30	PRIJEM	\N	174	53570	UROK	\N	\N
3533624	96	1993-05-31	PRIJEM	\N	239	62930	UROK	\N	\N
3533625	96	1993-06-30	PRIJEM	\N	237	47399	UROK	\N	\N
3533626	96	1993-07-31	PRIJEM	\N	235	43693	UROK	\N	\N
3533627	96	1993-08-31	PRIJEM	\N	218	24625	UROK	\N	\N
3533628	96	1993-09-30	PRIJEM	\N	180	47573	UROK	\N	\N
3533629	96	1993-10-31	PRIJEM	\N	241	52483	UROK	\N	\N
3533630	96	1993-11-30	PRIJEM	\N	232	48483	UROK	\N	\N
3533631	96	1993-12-31	PRIJEM	\N	220	45983	UROK	\N	\N
3533632	96	1994-01-31	PRIJEM	\N	164	22504	UROK	\N	\N
3533633	96	1994-02-28	PRIJEM	\N	149	39421	UROK	\N	\N
3533634	96	1994-03-31	PRIJEM	\N	213	51102	UROK	\N	\N
3533635	96	1994-04-30	PRIJEM	\N	247	57518	UROK	\N	\N
3533636	96	1994-05-31	PRIJEM	\N	265	61652	UROK	\N	\N
3533637	96	1994-06-30	PRIJEM	\N	259	56591	UROK	\N	\N
3533638	96	1994-07-31	PRIJEM	\N	255	59714	UROK	\N	\N
3533639	96	1994-08-31	PRIJEM	\N	263	63245	UROK	\N	\N
3533640	96	1994-09-30	PRIJEM	\N	256	49041	UROK	\N	\N
3533641	96	1994-10-31	PRIJEM	\N	230	45640	UROK	\N	\N
3533642	96	1994-11-30	PRIJEM	\N	282	78990	UROK	\N	\N
3533643	96	1994-12-31	PRIJEM	\N	282	56451	UROK	\N	\N
3533644	96	1995-01-31	PRIJEM	\N	241	48368	UROK	\N	\N
3533645	96	1995-02-28	PRIJEM	\N	276	78212	UROK	\N	\N
3533646	96	1995-03-31	PRIJEM	\N	366	88323	UROK	\N	\N
3533647	96	1995-04-30	PRIJEM	\N	394	101386	UROK	\N	\N
3533648	96	1995-05-31	PRIJEM	\N	276	55789	UROK	\N	\N
3533649	96	1995-06-30	PRIJEM	\N	293	29042	UROK	\N	\N
3533650	96	1995-07-31	PRIJEM	\N	194	26018	UROK	\N	\N
3533651	96	1995-08-31	PRIJEM	\N	212	54094	UROK	\N	\N
3533652	96	1995-09-30	PRIJEM	\N	289	67293	UROK	\N	\N
3533653	96	1995-10-31	PRIJEM	\N	325	63249	UROK	\N	\N
3533654	96	1995-11-30	PRIJEM	\N	273	53261	UROK	\N	\N
3533655	96	1995-12-31	PRIJEM	\N	360	105600	UROK	\N	\N
3533656	96	1996-01-31	PRIJEM	\N	322	59290	UROK	\N	\N
3533657	96	1996-02-29	PRIJEM	\N	304	76463	UROK	\N	\N
3533658	96	1996-03-31	PRIJEM	\N	376	100107	UROK	\N	\N
3533659	96	1996-04-30	PRIJEM	\N	382	95321	UROK	\N	\N
3533660	96	1996-05-31	PRIJEM	\N	331	57348	UROK	\N	\N
3533661	96	1996-06-30	PRIJEM	\N	259	69516	UROK	\N	\N
3533662	96	1996-07-31	PRIJEM	\N	357	96241	UROK	\N	\N
3533663	96	1996-08-31	PRIJEM	\N	393	107303	UROK	\N	\N
3533664	96	1996-09-30	PRIJEM	\N	358	91029	UROK	\N	\N
3533665	96	1996-10-31	PRIJEM	\N	387	76985	UROK	\N	\N
3533666	96	1996-11-30	PRIJEM	\N	323	65176	UROK	\N	\N
3533667	96	1996-12-31	PRIJEM	\N	309	65864	UROK	\N	\N
3533668	96	1997-01-31	PRIJEM	\N	224	51375	UROK	\N	\N
3533669	96	1997-02-28	PRIJEM	\N	261	54738	UROK	\N	\N
3533670	96	1997-03-31	PRIJEM	\N	297	66222	UROK	\N	\N
3533671	96	1997-04-30	PRIJEM	\N	342	69533	UROK	\N	\N
3533672	96	1997-05-31	PRIJEM	\N	386	83387	UROK	\N	\N
3533673	96	1997-06-30	PRIJEM	\N	246	43913	UROK	\N	\N
3533674	96	1997-07-31	PRIJEM	\N	242	65923	UROK	\N	\N
3533675	96	1997-08-31	PRIJEM	\N	360	80551	UROK	\N	\N
3533676	96	1997-09-30	PRIJEM	\N	319	75680	UROK	\N	\N
3533677	96	1997-10-31	PRIJEM	\N	331	65199	UROK	\N	\N
3533678	96	1997-11-30	PRIJEM	\N	346	74114	UROK	\N	\N
3533679	96	1997-12-31	PRIJEM	\N	269	52132	UROK	\N	\N
3533680	96	1998-01-31	PRIJEM	\N	227	55828	UROK	\N	\N
3533681	96	1998-02-28	PRIJEM	\N	316	78912	UROK	\N	\N
3533682	96	1998-03-31	PRIJEM	\N	330	72010	UROK	\N	\N
3533683	96	1998-04-30	PRIJEM	\N	359	87238	UROK	\N	\N
3533684	96	1998-05-31	PRIJEM	\N	359	82866	UROK	\N	\N
3533685	96	1998-06-30	PRIJEM	\N	372	90517	UROK	\N	\N
3533686	96	1998-07-31	PRIJEM	\N	331	72273	UROK	\N	\N
3533687	96	1998-08-31	PRIJEM	\N	310	70389	UROK	\N	\N
3533688	96	1998-09-30	PRIJEM	\N	373	96630	UROK	\N	\N
3533689	96	1998-10-31	PRIJEM	\N	369	95272	UROK	\N	\N
3533690	96	1998-11-30	PRIJEM	\N	415	100809	UROK	\N	\N
3533691	96	1998-12-31	PRIJEM	\N	373	84861	UROK	\N	\N
3533692	97	1996-05-31	PRIJEM	\N	46	18874	UROK	\N	\N
3533693	97	1996-06-30	PRIJEM	\N	153	50418	UROK	\N	\N
3533694	97	1996-07-31	PRIJEM	\N	220	54766	UROK	\N	\N
3533695	97	1996-08-31	PRIJEM	\N	241	60335	UROK	\N	\N
3533696	97	1996-09-30	PRIJEM	\N	244	57495	UROK	\N	\N
3533697	97	1996-10-31	PRIJEM	\N	195	47039	UROK	\N	\N
3533698	97	1996-11-30	PRIJEM	\N	184	41072	UROK	\N	\N
3533699	97	1996-12-31	PRIJEM	\N	122	31786	UROK	\N	\N
3533700	97	1997-01-31	PRIJEM	\N	103	19777	UROK	\N	\N
3533701	97	1997-02-28	PRIJEM	\N	91	15077	UROK	\N	\N
3533702	97	1997-03-31	PRIJEM	\N	96	27822	UROK	\N	\N
3533703	97	1997-04-30	PRIJEM	\N	108	25777	UROK	\N	\N
3533704	97	1997-05-31	PRIJEM	\N	112	29898	UROK	\N	\N
3533705	97	1997-06-30	PRIJEM	\N	159	36430	UROK	\N	\N
3533706	97	1997-07-31	PRIJEM	\N	171	40549	UROK	\N	\N
3533707	97	1997-08-31	PRIJEM	\N	174	39718	UROK	\N	\N
3533708	97	1997-09-30	PRIJEM	\N	177	42271	UROK	\N	\N
3533709	97	1997-10-31	PRIJEM	\N	184	44830	UROK	\N	\N
3533710	97	1997-11-30	PRIJEM	\N	197	45602	UROK	\N	\N
3533711	97	1997-12-31	PRIJEM	\N	202	46383	UROK	\N	\N
3533712	97	1998-01-31	PRIJEM	\N	176	34595	UROK	\N	\N
3533713	97	1998-02-28	PRIJEM	\N	150	37920	UROK	\N	\N
3533714	97	1998-03-31	PRIJEM	\N	167	43563	UROK	\N	\N
3533715	97	1998-04-30	PRIJEM	\N	188	45926	UROK	\N	\N
3533716	97	1998-05-31	PRIJEM	\N	195	45997	UROK	\N	\N
3533717	97	1998-06-30	PRIJEM	\N	187	49803	UROK	\N	\N
3533718	97	1998-07-31	PRIJEM	\N	213	48991	UROK	\N	\N
3533719	97	1998-08-31	PRIJEM	\N	208	40447	UROK	\N	\N
3533720	97	1998-09-30	PRIJEM	\N	189	48184	UROK	\N	\N
3533721	97	1998-10-31	PRIJEM	\N	202	44034	UROK	\N	\N
3533722	97	1998-11-30	PRIJEM	\N	182	41865	UROK	\N	\N
3533723	97	1998-12-31	PRIJEM	\N	207	52584	UROK	\N	\N
3533724	98	1997-05-31	PRIJEM	\N	17	5674	UROK	\N	\N
3533725	98	1997-06-30	PRIJEM	\N	24	10254	UROK	\N	\N
3533726	98	1997-07-31	PRIJEM	\N	24	14835	UROK	\N	\N
3533727	98	1997-08-31	PRIJEM	\N	27	18719	UROK	\N	\N
3533728	98	1997-09-30	PRIJEM	\N	85	21792	UROK	\N	\N
3533729	98	1997-10-31	PRIJEM	\N	96	21213	UROK	\N	\N
3533730	98	1997-11-30	PRIJEM	\N	94	20431	UROK	\N	\N
3533731	98	1997-12-31	PRIJEM	\N	89	15644	UROK	\N	\N
3533732	98	1998-01-31	PRIJEM	\N	55	10664	UROK	\N	\N
3533733	98	1998-02-28	PRIJEM	\N	50	10639	UROK	\N	\N
3533734	98	1998-03-31	PRIJEM	\N	52	12914	UROK	\N	\N
3533735	98	1998-04-30	PRIJEM	\N	61	15200	UROK	\N	\N
3533736	98	1998-05-31	PRIJEM	\N	66	14771	UROK	\N	\N
3533737	98	1998-06-30	PRIJEM	\N	63	11118	UROK	\N	\N
3533738	98	1998-07-31	PRIJEM	\N	53	13396	UROK	\N	\N
3533739	98	1998-08-31	PRIJEM	\N	60	13280	UROK	\N	\N
3533740	98	1998-09-30	PRIJEM	\N	62	15567	UROK	\N	\N
3533741	98	1998-10-31	PRIJEM	\N	72	17864	UROK	\N	\N
3533742	98	1998-11-30	PRIJEM	\N	73	12461	UROK	\N	\N
3533743	98	1998-12-31	PRIJEM	\N	59	14444	UROK	\N	\N
3533744	99	1995-07-31	PRIJEM	\N	15	54509	UROK	\N	\N
3533745	99	1995-08-31	PRIJEM	\N	251	60297	UROK	\N	\N
3533746	99	1995-09-30	PRIJEM	\N	250	46048	UROK	\N	\N
3533747	99	1995-10-31	PRIJEM	\N	250	39098	UROK	\N	\N
3533748	99	1995-11-30	PRIJEM	\N	250	34248	UROK	\N	\N
3533749	99	1995-12-31	PRIJEM	\N	250	33798	UROK	\N	\N
3533750	99	1996-01-31	PRIJEM	\N	236	48883	UROK	\N	\N
3533751	99	1996-02-29	PRIJEM	\N	208	96367	UROK	\N	\N
3533752	99	1996-03-31	PRIJEM	\N	239	48593	UROK	\N	\N
3533753	99	1996-04-30	PRIJEM	\N	221	53941	UROK	\N	\N
3533754	99	1996-05-31	PRIJEM	\N	186	36628	UROK	\N	\N
3533755	99	1996-06-30	PRIJEM	\N	232	53241	UROK	\N	\N
3533756	99	1996-07-31	PRIJEM	\N	227	49697	UROK	\N	\N
3533757	99	1996-08-31	PRIJEM	\N	174	35127	UROK	\N	\N
3533758	99	1996-09-30	PRIJEM	\N	117	24544	UROK	\N	\N
3533759	99	1996-10-31	PRIJEM	\N	94	23039	UROK	\N	\N
3533760	99	1996-11-30	PRIJEM	\N	125	59416	UROK	\N	\N
3533761	99	1996-12-31	PRIJEM	\N	290	84115	UROK	\N	\N
3533762	99	1997-01-31	PRIJEM	\N	285	35477	UROK	\N	\N
3533763	99	1997-02-28	PRIJEM	\N	246	35366	UROK	\N	\N
3533764	99	1997-03-31	PRIJEM	\N	122	37007	UROK	\N	\N
3533765	99	1997-04-30	PRIJEM	\N	178	32647	UROK	\N	\N
3533766	99	1997-05-31	PRIJEM	\N	162	46987	UROK	\N	\N
3533767	99	1997-06-30	PRIJEM	\N	302	82643	UROK	\N	\N
3533768	99	1997-07-31	PRIJEM	\N	408	65391	UROK	\N	\N
3533769	99	1997-08-31	PRIJEM	\N	225	60616	UROK	\N	\N
3533770	99	1997-09-30	PRIJEM	\N	168	54634	UROK	\N	\N
3533771	99	1997-10-31	PRIJEM	\N	153	41433	UROK	\N	\N
3533772	99	1997-11-30	PRIJEM	\N	131	27165	UROK	\N	\N
3533773	99	1997-12-31	PRIJEM	\N	87	19052	UROK	\N	\N
3533774	99	1998-01-31	PRIJEM	\N	51	9903	UROK	\N	\N
3533775	99	1998-02-28	PRIJEM	\N	14	717	UROK	\N	\N
3533776	99	1998-03-31	PRIJEM	\N	7	45630	UROK	\N	\N
3533777	99	1998-04-30	PRIJEM	\N	189	40837	UROK	\N	\N
3533778	99	1998-05-31	PRIJEM	\N	184	88198	UROK	\N	\N
3533779	99	1998-06-30	PRIJEM	\N	257	49725	UROK	\N	\N
3533780	99	1998-07-31	PRIJEM	\N	140	27265	UROK	\N	\N
3533781	99	1998-08-31	PRIJEM	\N	135	37860	UROK	\N	\N
3533782	99	1998-09-30	PRIJEM	\N	92	16951	UROK	\N	\N
3533783	99	1998-10-31	PRIJEM	\N	51	11503	UROK	\N	\N
3533784	99	1998-11-30	PRIJEM	\N	18	2322	UROK	\N	\N
3533785	100	1994-01-31	PRIJEM	\N	12	18203	UROK	\N	\N
3533786	100	1994-02-28	PRIJEM	\N	81	29575	UROK	\N	\N
3533787	100	1994-03-31	PRIJEM	\N	125	33791	UROK	\N	\N
3533788	100	1994-04-30	PRIJEM	\N	140	33422	UROK	\N	\N
3533789	100	1994-05-31	PRIJEM	\N	150	31636	UROK	\N	\N
3533790	100	1994-06-30	PRIJEM	\N	111	22522	UROK	\N	\N
3533791	100	1994-07-31	PRIJEM	\N	110	27682	UROK	\N	\N
3533792	100	1994-08-31	PRIJEM	\N	129	29660	UROK	\N	\N
3533793	100	1994-09-30	PRIJEM	\N	136	31445	UROK	\N	\N
3533794	100	1994-10-31	PRIJEM	\N	142	32336	UROK	\N	\N
3533795	100	1994-11-30	PRIJEM	\N	140	31086	UROK	\N	\N
3533796	100	1994-12-31	PRIJEM	\N	139	30459	UROK	\N	\N
3533797	100	1995-01-31	PRIJEM	\N	108	24137	UROK	\N	\N
3533798	100	1995-02-28	PRIJEM	\N	114	28800	UROK	\N	\N
3533799	100	1995-03-31	PRIJEM	\N	129	32158	UROK	\N	\N
3533800	100	1995-04-30	PRIJEM	\N	138	27786	UROK	\N	\N
3533801	100	1995-05-31	PRIJEM	\N	128	29623	UROK	\N	\N
3533802	100	1995-06-30	PRIJEM	\N	142	23940	UROK	\N	\N
3533803	100	1995-07-31	PRIJEM	\N	115	28204	UROK	\N	\N
3533804	100	1995-08-31	PRIJEM	\N	130	30584	UROK	\N	\N
3533805	100	1995-09-30	PRIJEM	\N	142	34575	UROK	\N	\N
3533806	100	1995-10-31	PRIJEM	\N	141	34026	UROK	\N	\N
3533807	100	1995-11-30	PRIJEM	\N	155	37730	UROK	\N	\N
3533808	100	1995-12-31	PRIJEM	\N	168	37613	UROK	\N	\N
3533809	100	1996-01-31	PRIJEM	\N	126	17789	UROK	\N	\N
3533810	100	1996-02-29	PRIJEM	\N	104	29942	UROK	\N	\N
3533811	100	1996-03-31	PRIJEM	\N	135	34247	UROK	\N	\N
3533812	100	1996-04-30	PRIJEM	\N	151	38207	UROK	\N	\N
3533813	100	1996-05-31	PRIJEM	\N	173	42529	UROK	\N	\N
3533814	100	1996-06-30	PRIJEM	\N	196	42780	UROK	\N	\N
3533815	100	1996-07-31	PRIJEM	\N	190	46220	UROK	\N	\N
3533816	100	1996-08-31	PRIJEM	\N	194	43163	UROK	\N	\N
3533817	100	1996-09-30	PRIJEM	\N	192	46304	UROK	\N	\N
3533818	100	1996-10-31	PRIJEM	\N	200	46433	UROK	\N	\N
3533819	100	1996-11-30	PRIJEM	\N	194	45676	UROK	\N	\N
3533820	100	1996-12-31	PRIJEM	\N	216	52467	UROK	\N	\N
3533821	100	1997-01-31	PRIJEM	\N	203	33820	UROK	\N	\N
3533822	100	1997-02-28	PRIJEM	\N	165	41834	UROK	\N	\N
3533823	100	1997-03-31	PRIJEM	\N	179	39862	UROK	\N	\N
3533824	100	1997-04-30	PRIJEM	\N	183	45394	UROK	\N	\N
3533825	100	1997-05-31	PRIJEM	\N	199	48543	UROK	\N	\N
3533826	100	1997-06-30	PRIJEM	\N	204	48622	UROK	\N	\N
3533827	100	1997-07-31	PRIJEM	\N	201	47872	UROK	\N	\N
3533828	100	1997-08-31	PRIJEM	\N	190	44691	UROK	\N	\N
3533829	100	1997-09-30	PRIJEM	\N	185	44326	UROK	\N	\N
3533830	100	1997-10-31	PRIJEM	\N	178	42253	UROK	\N	\N
3533831	100	1997-11-30	PRIJEM	\N	188	45890	UROK	\N	\N
3533832	100	1997-12-31	PRIJEM	\N	199	48204	UROK	\N	\N
3533833	100	1998-01-31	PRIJEM	\N	121	17875	UROK	\N	\N
3533834	100	1998-02-28	PRIJEM	\N	144	38068	UROK	\N	\N
3533835	100	1998-03-31	PRIJEM	\N	199	50516	UROK	\N	\N
3533836	100	1998-04-30	PRIJEM	\N	230	57096	UROK	\N	\N
3533837	100	1998-05-31	PRIJEM	\N	235	56880	UROK	\N	\N
3533838	100	1998-06-30	PRIJEM	\N	220	27395	UROK	\N	\N
3533839	100	1998-07-31	PRIJEM	\N	170	44014	UROK	\N	\N
3533840	100	1998-08-31	PRIJEM	\N	222	53525	UROK	\N	\N
3533841	100	1998-09-30	PRIJEM	\N	240	59115	UROK	\N	\N
3533842	100	1998-10-31	PRIJEM	\N	265	65630	UROK	\N	\N
3533843	100	1998-11-30	PRIJEM	\N	277	67756	UROK	\N	\N
3533844	100	1998-12-31	PRIJEM	\N	309	74839	UROK	\N	\N
3533845	101	1996-05-31	PRIJEM	\N	49	22713	UROK	\N	\N
3533846	101	1996-06-30	PRIJEM	\N	124	35932	UROK	\N	\N
3533847	101	1996-07-31	PRIJEM	\N	157	39353	UROK	\N	\N
3533848	101	1996-08-31	PRIJEM	\N	176	44593	UROK	\N	\N
3533849	101	1996-09-30	PRIJEM	\N	186	41606	UROK	\N	\N
3533850	101	1996-10-31	PRIJEM	\N	165	36769	UROK	\N	\N
3533851	101	1996-11-30	PRIJEM	\N	161	36788	UROK	\N	\N
3533852	101	1996-12-31	PRIJEM	\N	179	39236	UROK	\N	\N
3533853	101	1997-01-31	PRIJEM	\N	125	15398	UROK	\N	\N
3533854	101	1997-02-28	PRIJEM	\N	117	31973	UROK	\N	\N
3533855	101	1997-03-31	PRIJEM	\N	163	39773	UROK	\N	\N
3533856	101	1997-04-30	PRIJEM	\N	179	37229	UROK	\N	\N
3533857	101	1997-05-31	PRIJEM	\N	186	45772	UROK	\N	\N
3533858	101	1997-06-30	PRIJEM	\N	189	39690	UROK	\N	\N
3533859	101	1997-07-31	PRIJEM	\N	186	45033	UROK	\N	\N
3533860	101	1997-08-31	PRIJEM	\N	200	47690	UROK	\N	\N
3533861	101	1997-09-30	PRIJEM	\N	205	47093	UROK	\N	\N
3533862	101	1997-10-31	PRIJEM	\N	200	45030	UROK	\N	\N
3533863	101	1997-11-30	PRIJEM	\N	208	48755	UROK	\N	\N
3533864	101	1997-12-31	PRIJEM	\N	265	55309	UROK	\N	\N
3533865	101	1998-01-31	PRIJEM	\N	179	34766	UROK	\N	\N
3533866	101	1998-02-28	PRIJEM	\N	201	50904	UROK	\N	\N
3533867	101	1998-03-31	PRIJEM	\N	243	52104	UROK	\N	\N
3533868	101	1998-04-30	PRIJEM	\N	219	49400	UROK	\N	\N
3533869	101	1998-05-31	PRIJEM	\N	206	49563	UROK	\N	\N
3533870	101	1998-06-30	PRIJEM	\N	180	25293	UROK	\N	\N
3533871	101	1998-07-31	PRIJEM	\N	182	45711	UROK	\N	\N
3533872	101	1998-08-31	PRIJEM	\N	234	58303	UROK	\N	\N
3533873	101	1998-09-30	PRIJEM	\N	272	67032	UROK	\N	\N
3533874	101	1998-10-31	PRIJEM	\N	273	65962	UROK	\N	\N
3533875	101	1998-11-30	PRIJEM	\N	277	67296	UROK	\N	\N
3533876	101	1998-12-31	PRIJEM	\N	299	73685	UROK	\N	\N
3533877	102	1994-03-31	PRIJEM	\N	94	60583	UROK	\N	\N
3533878	102	1994-04-30	PRIJEM	\N	252	44635	UROK	\N	\N
3533879	102	1994-05-31	PRIJEM	\N	252	36787	UROK	\N	\N
3533880	102	1994-06-30	PRIJEM	\N	252	31839	UROK	\N	\N
3533881	102	1994-07-31	PRIJEM	\N	248	58269	UROK	\N	\N
3533882	102	1994-08-31	PRIJEM	\N	242	39510	UROK	\N	\N
3533883	102	1994-09-30	PRIJEM	\N	242	31352	UROK	\N	\N
3533884	102	1994-10-31	PRIJEM	\N	242	30694	UROK	\N	\N
3533885	102	1994-11-30	PRIJEM	\N	242	26136	UROK	\N	\N
3533886	102	1994-12-31	PRIJEM	\N	242	25777	UROK	\N	\N
3533887	102	1995-01-31	PRIJEM	\N	242	23419	UROK	\N	\N
3533888	102	1995-02-28	PRIJEM	\N	242	22161	UROK	\N	\N
3533889	102	1995-03-31	PRIJEM	\N	242	22903	UROK	\N	\N
3533890	102	1995-04-30	PRIJEM	\N	224	45664	UROK	\N	\N
3533891	102	1995-05-31	PRIJEM	\N	189	37753	UROK	\N	\N
3533892	102	1995-06-30	PRIJEM	\N	189	31842	UROK	\N	\N
3533893	102	1995-07-31	PRIJEM	\N	189	30432	UROK	\N	\N
3533894	102	1995-08-31	PRIJEM	\N	189	33321	UROK	\N	\N
3533895	102	1995-09-30	PRIJEM	\N	189	32210	UROK	\N	\N
3533896	102	1995-10-31	PRIJEM	\N	147	35318	UROK	\N	\N
3533897	102	1995-11-30	PRIJEM	\N	93	18446	UROK	\N	\N
3533898	102	1995-12-31	PRIJEM	\N	69	16350	UROK	\N	\N
3533899	102	1996-01-31	PRIJEM	\N	58	12043	UROK	\N	\N
3533900	102	1996-02-29	PRIJEM	\N	197	56642	UROK	\N	\N
3533901	102	1996-03-31	PRIJEM	\N	135	50136	UROK	\N	\N
3533902	102	1996-04-30	PRIJEM	\N	227	37349	UROK	\N	\N
3533903	102	1996-05-31	PRIJEM	\N	124	24509	UROK	\N	\N
3533904	102	1996-06-30	PRIJEM	\N	110	22937	UROK	\N	\N
3533905	102	1996-07-31	PRIJEM	\N	92	17264	UROK	\N	\N
3533906	102	1996-08-31	PRIJEM	\N	134	41385	UROK	\N	\N
3533907	102	1996-09-30	PRIJEM	\N	281	89858	UROK	\N	\N
3533908	102	1996-10-31	PRIJEM	\N	310	47814	UROK	\N	\N
3533909	102	1996-11-30	PRIJEM	\N	114	24361	UROK	\N	\N
3533910	102	1996-12-31	PRIJEM	\N	115	30579	UROK	\N	\N
3533911	102	1997-01-31	PRIJEM	\N	98	24912	UROK	\N	\N
3533912	102	1997-02-28	PRIJEM	\N	73	40959	UROK	\N	\N
3533913	102	1997-03-31	PRIJEM	\N	147	31570	UROK	\N	\N
3533914	102	1997-04-30	PRIJEM	\N	105	23110	UROK	\N	\N
3533915	102	1997-05-31	PRIJEM	\N	57	19102	UROK	\N	\N
3533916	102	1997-06-30	PRIJEM	\N	67	17964	UROK	\N	\N
3533917	102	1997-07-31	PRIJEM	\N	48	14548	UROK	\N	\N
3533918	102	1997-08-31	PRIJEM	\N	81	61693	UROK	\N	\N
3533919	102	1997-09-30	PRIJEM	\N	197	33267	UROK	\N	\N
3533920	102	1997-10-31	PRIJEM	\N	117	45270	UROK	\N	\N
3533921	102	1997-11-30	PRIJEM	\N	182	32573	UROK	\N	\N
3533922	102	1997-12-31	PRIJEM	\N	81	14995	UROK	\N	\N
3533923	102	1998-01-31	PRIJEM	\N	71	5879	UROK	\N	\N
3533924	102	1998-02-28	PRIJEM	\N	126	24478	UROK	\N	\N
3533925	102	1998-03-31	PRIJEM	\N	103	18426	UROK	\N	\N
3533926	102	1998-04-30	PRIJEM	\N	95	14486	UROK	\N	\N
3533927	102	1998-05-31	PRIJEM	\N	30	4851	UROK	\N	\N
3533928	102	1998-06-30	PRIJEM	\N	6	1093	UROK	\N	\N
3533929	102	1998-07-31	PRIJEM	\N	2	703	UROK	\N	\N
3533930	102	1998-08-31	PRIJEM	\N	0	311	UROK	\N	\N
3533931	102	1998-08-31	VYDAJ	VYBER	0	311	SANKC. UROK	\N	\N
3533932	102	1998-09-30	PRIJEM	\N	59	21926	UROK	\N	\N
3533933	102	1998-09-30	VYDAJ	VYBER	2	21925	SANKC. UROK	\N	\N
3533934	102	1998-10-31	PRIJEM	\N	114	36079	UROK	\N	\N
3533935	102	1998-11-30	PRIJEM	\N	172	48067	UROK	\N	\N
3533936	102	1998-12-31	PRIJEM	\N	210	49993	UROK	\N	\N
3533937	104	1993-09-30	PRIJEM	\N	42	13815	UROK	\N	\N
3533938	104	1993-10-31	PRIJEM	\N	61	14883	UROK	\N	\N
3533939	104	1993-11-30	PRIJEM	\N	65	15954	UROK	\N	\N
3533940	104	1993-12-31	PRIJEM	\N	70	16850	UROK	\N	\N
3533941	104	1994-01-31	PRIJEM	\N	65	14322	UROK	\N	\N
3533942	104	1994-02-28	PRIJEM	\N	63	15391	UROK	\N	\N
3533943	104	1994-03-31	PRIJEM	\N	67	16464	UROK	\N	\N
3533944	104	1994-04-30	PRIJEM	\N	72	17543	UROK	\N	\N
3533945	104	1994-05-31	PRIJEM	\N	76	18625	UROK	\N	\N
3533946	104	1994-06-30	PRIJEM	\N	72	14334	UROK	\N	\N
3533947	104	1994-07-31	PRIJEM	\N	63	15403	UROK	\N	\N
3533948	104	1994-08-31	PRIJEM	\N	67	16477	UROK	\N	\N
3533949	104	1994-09-30	PRIJEM	\N	72	17555	UROK	\N	\N
3533950	104	1994-10-31	PRIJEM	\N	76	18638	UROK	\N	\N
3533951	104	1994-11-30	PRIJEM	\N	74	17438	UROK	\N	\N
3533952	104	1994-12-31	PRIJEM	\N	75	17740	UROK	\N	\N
3533953	104	1995-01-31	PRIJEM	\N	70	15216	UROK	\N	\N
3533954	104	1995-02-28	PRIJEM	\N	66	16289	UROK	\N	\N
3533955	104	1995-03-31	PRIJEM	\N	71	16706	UROK	\N	\N
3533956	104	1995-04-30	PRIJEM	\N	72	16374	UROK	\N	\N
3533957	104	1995-05-31	PRIJEM	\N	71	17452	UROK	\N	\N
3533958	104	1995-06-30	PRIJEM	\N	76	18534	UROK	\N	\N
3533959	104	1995-07-31	PRIJEM	\N	80	19621	UROK	\N	\N
3533960	104	1995-08-31	PRIJEM	\N	85	20712	UROK	\N	\N
3533961	104	1995-09-30	PRIJEM	\N	86	20485	UROK	\N	\N
3533962	104	1995-10-31	PRIJEM	\N	88	21579	UROK	\N	\N
3533963	104	1995-11-30	PRIJEM	\N	93	22678	UROK	\N	\N
3533964	104	1995-12-31	PRIJEM	\N	96	23301	UROK	\N	\N
3533965	104	1996-01-31	PRIJEM	\N	93	20381	UROK	\N	\N
3533966	104	1996-02-29	PRIJEM	\N	88	21475	UROK	\N	\N
3533967	104	1996-03-31	PRIJEM	\N	92	22573	UROK	\N	\N
3533968	104	1996-04-30	PRIJEM	\N	96	22266	UROK	\N	\N
3533969	104	1996-05-31	PRIJEM	\N	95	22647	UROK	\N	\N
3533970	104	1996-06-30	PRIJEM	\N	77	15900	UROK	\N	\N
3533971	104	1996-07-31	PRIJEM	\N	69	16975	UROK	\N	\N
3533972	104	1996-08-31	PRIJEM	\N	70	16551	UROK	\N	\N
3533973	104	1996-09-30	PRIJEM	\N	71	17629	UROK	\N	\N
3533974	104	1996-10-31	PRIJEM	\N	76	18711	UROK	\N	\N
3533975	104	1996-11-30	PRIJEM	\N	78	18986	UROK	\N	\N
3533976	104	1996-12-31	PRIJEM	\N	81	19324	UROK	\N	\N
3533977	104	1997-01-31	PRIJEM	\N	78	17408	UROK	\N	\N
3533978	104	1997-02-28	PRIJEM	\N	75	18489	UROK	\N	\N
3533979	104	1997-03-31	PRIJEM	\N	76	18312	UROK	\N	\N
3533980	104	1997-04-30	PRIJEM	\N	78	19397	UROK	\N	\N
3533981	104	1997-05-31	PRIJEM	\N	83	20486	UROK	\N	\N
3533982	104	1997-06-30	PRIJEM	\N	87	21580	UROK	\N	\N
3533983	104	1997-07-31	PRIJEM	\N	90	21746	UROK	\N	\N
3533984	104	1997-08-31	PRIJEM	\N	93	22845	UROK	\N	\N
3533985	104	1997-09-30	PRIJEM	\N	97	23948	UROK	\N	\N
3533986	104	1997-10-31	PRIJEM	\N	102	25056	UROK	\N	\N
3533987	104	1997-11-30	PRIJEM	\N	106	26169	UROK	\N	\N
3533988	104	1997-12-31	PRIJEM	\N	110	26175	UROK	\N	\N
3533989	104	1998-01-31	PRIJEM	\N	108	24229	UROK	\N	\N
3533990	104	1998-02-28	PRIJEM	\N	103	25338	UROK	\N	\N
3533991	104	1998-03-31	PRIJEM	\N	107	26452	UROK	\N	\N
3533992	104	1998-04-30	PRIJEM	\N	112	27570	UROK	\N	\N
3533993	104	1998-05-31	PRIJEM	\N	116	28692	UROK	\N	\N
3533994	104	1998-06-30	PRIJEM	\N	114	21112	UROK	\N	\N
3533995	104	1998-07-31	PRIJEM	\N	89	22208	UROK	\N	\N
3533996	104	1998-08-31	PRIJEM	\N	94	23308	UROK	\N	\N
3533997	104	1998-09-30	PRIJEM	\N	98	23902	UROK	\N	\N
3533998	104	1998-10-31	PRIJEM	\N	100	24349	UROK	\N	\N
3533999	104	1998-11-30	PRIJEM	\N	101	25037	UROK	\N	\N
3534000	104	1998-12-31	PRIJEM	\N	105	25638	UROK	\N	\N
3534001	105	1997-09-30	PRIJEM	\N	38	24915	UROK	\N	\N
3534002	105	1997-10-31	PRIJEM	\N	124	63429	UROK	\N	\N
3534003	105	1997-11-30	PRIJEM	\N	264	39193	UROK	\N	\N
3534004	105	1997-12-31	PRIJEM	\N	300	74694	UROK	\N	\N
3534005	105	1998-01-31	PRIJEM	\N	310	45104	UROK	\N	\N
3534006	105	1998-02-28	PRIJEM	\N	310	31014	UROK	\N	\N
3534007	105	1998-03-31	PRIJEM	\N	310	25424	UROK	\N	\N
3534008	105	1998-04-30	PRIJEM	\N	181	37515	UROK	\N	\N
3534009	105	1998-05-31	PRIJEM	\N	187	52004	UROK	\N	\N
3534010	105	1998-06-30	PRIJEM	\N	108	15098	UROK	\N	\N
3534011	105	1998-07-31	PRIJEM	\N	67	16650	UROK	\N	\N
3534012	105	1998-08-31	PRIJEM	\N	71	6906	UROK	\N	\N
3534013	105	1998-09-30	PRIJEM	\N	107	22433	UROK	\N	\N
3534014	105	1998-10-31	PRIJEM	\N	89	20907	UROK	\N	\N
3534015	105	1998-11-30	PRIJEM	\N	97	23790	UROK	\N	\N
3534016	105	1998-12-31	PRIJEM	\N	94	17221	UROK	\N	\N
3534017	106	1994-12-31	PRIJEM	\N	15	22963	UROK	\N	\N
3534018	106	1995-01-31	PRIJEM	\N	102	30930	UROK	\N	\N
3534019	106	1995-02-28	PRIJEM	\N	131	35226	UROK	\N	\N
3534020	106	1995-03-31	PRIJEM	\N	150	41042	UROK	\N	\N
3534021	106	1995-04-30	PRIJEM	\N	195	41966	UROK	\N	\N
3534022	106	1995-05-31	PRIJEM	\N	197	41679	UROK	\N	\N
3534023	106	1995-06-30	PRIJEM	\N	178	36355	UROK	\N	\N
3534024	106	1995-07-31	PRIJEM	\N	172	36443	UROK	\N	\N
3534025	106	1995-08-31	PRIJEM	\N	175	36233	UROK	\N	\N
3534026	106	1995-09-30	PRIJEM	\N	164	32813	UROK	\N	\N
3534027	106	1995-10-31	PRIJEM	\N	157	32285	UROK	\N	\N
3534028	106	1995-11-30	PRIJEM	\N	148	31048	UROK	\N	\N
3534029	106	1995-12-31	PRIJEM	\N	165	37212	UROK	\N	\N
3534030	106	1996-01-31	PRIJEM	\N	148	20075	UROK	\N	\N
3534031	106	1996-02-29	PRIJEM	\N	107	28297	UROK	\N	\N
3534032	106	1996-03-31	PRIJEM	\N	137	30250	UROK	\N	\N
3534033	106	1996-04-30	PRIJEM	\N	144	33009	UROK	\N	\N
3534034	106	1996-05-31	PRIJEM	\N	149	33373	UROK	\N	\N
3534035	106	1996-06-30	PRIJEM	\N	147	35119	UROK	\N	\N
3534036	106	1996-07-31	PRIJEM	\N	158	35593	UROK	\N	\N
3534037	106	1996-08-31	PRIJEM	\N	157	35465	UROK	\N	\N
3534038	106	1996-09-30	PRIJEM	\N	158	38339	UROK	\N	\N
3534039	106	1996-10-31	PRIJEM	\N	159	35813	UROK	\N	\N
3534040	106	1996-11-30	PRIJEM	\N	153	36181	UROK	\N	\N
3534041	106	1996-12-31	PRIJEM	\N	163	38842	UROK	\N	\N
3534042	106	1997-01-31	PRIJEM	\N	146	25204	UROK	\N	\N
3534043	106	1997-02-28	PRIJEM	\N	131	33650	UROK	\N	\N
3534044	106	1997-03-31	PRIJEM	\N	149	36314	UROK	\N	\N
3534045	106	1997-04-30	PRIJEM	\N	158	38387	UROK	\N	\N
3534046	106	1997-05-31	PRIJEM	\N	160	36862	UROK	\N	\N
3534047	106	1997-06-30	PRIJEM	\N	151	27812	UROK	\N	\N
3534048	106	1997-07-31	PRIJEM	\N	134	35861	UROK	\N	\N
3534049	106	1997-08-31	PRIJEM	\N	184	47361	UROK	\N	\N
3534050	106	1997-09-30	PRIJEM	\N	222	51899	UROK	\N	\N
3534051	106	1997-10-31	PRIJEM	\N	226	56540	UROK	\N	\N
3534052	106	1997-11-30	PRIJEM	\N	238	58393	UROK	\N	\N
3534053	106	1997-12-31	PRIJEM	\N	266	69957	UROK	\N	\N
3534054	106	1998-01-31	PRIJEM	\N	246	57319	UROK	\N	\N
3534055	106	1998-02-28	PRIJEM	\N	257	62791	UROK	\N	\N
3534056	106	1998-03-31	PRIJEM	\N	273	65379	UROK	\N	\N
3534057	106	1998-04-30	PRIJEM	\N	274	64068	UROK	\N	\N
3534058	106	1998-05-31	PRIJEM	\N	274	64558	UROK	\N	\N
3534059	106	1998-06-30	PRIJEM	\N	285	54741	UROK	\N	\N
3534060	106	1998-07-31	PRIJEM	\N	233	57889	UROK	\N	\N
3534061	106	1998-08-31	PRIJEM	\N	236	57041	UROK	\N	\N
3534062	106	1998-09-30	PRIJEM	\N	242	56699	UROK	\N	\N
3534063	106	1998-10-31	PRIJEM	\N	224	54838	UROK	\N	\N
3534064	106	1998-11-30	PRIJEM	\N	237	56090	UROK	\N	\N
3534065	106	1998-12-31	PRIJEM	\N	253	64941	UROK	\N	\N
3534066	107	1993-11-30	PRIJEM	\N	26	7858	UROK	\N	\N
3534067	107	1993-12-31	PRIJEM	\N	103	28809	UROK	\N	\N
3534068	107	1994-01-31	PRIJEM	\N	140	34881	UROK	\N	\N
3534069	107	1994-02-28	PRIJEM	\N	155	37968	UROK	\N	\N
3534070	107	1994-03-31	PRIJEM	\N	156	34501	UROK	\N	\N
3534071	107	1994-04-30	PRIJEM	\N	137	31501	UROK	\N	\N
3534072	107	1994-05-31	PRIJEM	\N	118	26923	UROK	\N	\N
3534073	107	1994-06-30	PRIJEM	\N	128	31430	UROK	\N	\N
3534074	107	1994-07-31	PRIJEM	\N	124	29217	UROK	\N	\N
3534075	107	1994-08-31	PRIJEM	\N	126	29007	UROK	\N	\N
3534076	107	1994-09-30	PRIJEM	\N	130	31501	UROK	\N	\N
3534077	107	1994-10-31	PRIJEM	\N	115	25939	UROK	\N	\N
3534078	107	1994-11-30	PRIJEM	\N	116	28118	UROK	\N	\N
3534079	107	1994-12-31	PRIJEM	\N	107	23105	UROK	\N	\N
3534080	107	1995-01-31	PRIJEM	\N	78	20566	UROK	\N	\N
3534081	107	1995-02-28	PRIJEM	\N	95	23924	UROK	\N	\N
3534082	107	1995-03-31	PRIJEM	\N	109	25996	UROK	\N	\N
3534083	107	1995-04-30	PRIJEM	\N	111	24931	UROK	\N	\N
3534084	107	1995-05-31	PRIJEM	\N	111	23806	UROK	\N	\N
3534085	107	1995-06-30	PRIJEM	\N	119	27304	UROK	\N	\N
3534086	107	1995-07-31	PRIJEM	\N	122	28089	UROK	\N	\N
3534087	107	1995-08-31	PRIJEM	\N	123	26375	UROK	\N	\N
3534088	107	1995-09-30	PRIJEM	\N	106	23804	UROK	\N	\N
3534089	107	1995-10-31	PRIJEM	\N	94	18421	UROK	\N	\N
3534090	107	1995-11-30	PRIJEM	\N	88	23372	UROK	\N	\N
3534091	107	1995-12-31	PRIJEM	\N	102	26053	UROK	\N	\N
3534092	107	1996-01-31	PRIJEM	\N	105	23222	UROK	\N	\N
3534093	107	1996-02-29	PRIJEM	\N	100	23945	UROK	\N	\N
3534094	107	1996-03-31	PRIJEM	\N	83	16552	UROK	\N	\N
3534095	107	1996-04-30	PRIJEM	\N	84	24799	UROK	\N	\N
3534096	107	1996-05-31	PRIJEM	\N	115	30078	UROK	\N	\N
3534097	107	1996-06-30	PRIJEM	\N	146	36603	UROK	\N	\N
3534098	107	1996-07-31	PRIJEM	\N	162	39628	UROK	\N	\N
3534099	107	1996-08-31	PRIJEM	\N	155	37306	UROK	\N	\N
3534100	107	1996-09-30	PRIJEM	\N	164	39933	UROK	\N	\N
3534101	107	1996-10-31	PRIJEM	\N	173	41269	UROK	\N	\N
3534102	107	1996-11-30	PRIJEM	\N	173	39506	UROK	\N	\N
3534103	107	1996-12-31	PRIJEM	\N	162	32627	UROK	\N	\N
3534104	107	1997-01-31	PRIJEM	\N	123	22933	UROK	\N	\N
3534105	107	1997-02-28	PRIJEM	\N	110	25747	UROK	\N	\N
3534106	107	1997-03-31	PRIJEM	\N	125	33635	UROK	\N	\N
3534107	107	1997-04-30	PRIJEM	\N	155	39953	UROK	\N	\N
3534108	107	1997-05-31	PRIJEM	\N	169	41885	UROK	\N	\N
3534109	107	1997-06-30	PRIJEM	\N	190	45955	UROK	\N	\N
3534110	107	1997-07-31	PRIJEM	\N	184	43202	UROK	\N	\N
3534111	107	1997-08-31	PRIJEM	\N	181	42646	UROK	\N	\N
3534112	107	1997-09-30	PRIJEM	\N	172	40022	UROK	\N	\N
3534113	107	1997-10-31	PRIJEM	\N	171	41257	UROK	\N	\N
3534114	107	1997-11-30	PRIJEM	\N	174	41594	UROK	\N	\N
3534115	107	1997-12-31	PRIJEM	\N	180	38813	UROK	\N	\N
3534116	107	1998-01-31	PRIJEM	\N	152	30148	UROK	\N	\N
3534117	107	1998-02-28	PRIJEM	\N	147	38258	UROK	\N	\N
3534118	107	1998-03-31	PRIJEM	\N	159	38101	UROK	\N	\N
3534119	107	1998-04-30	PRIJEM	\N	154	35258	UROK	\N	\N
3534120	107	1998-05-31	PRIJEM	\N	146	34767	UROK	\N	\N
3534121	107	1998-06-30	PRIJEM	\N	163	40910	UROK	\N	\N
3534122	107	1998-07-31	PRIJEM	\N	172	40225	UROK	\N	\N
3534123	107	1998-08-31	PRIJEM	\N	161	38250	UROK	\N	\N
3534124	107	1998-09-30	PRIJEM	\N	170	42383	UROK	\N	\N
3534125	107	1998-10-31	PRIJEM	\N	178	43425	UROK	\N	\N
3534126	107	1998-11-30	PRIJEM	\N	190	46778	UROK	\N	\N
3534127	107	1998-12-31	PRIJEM	\N	189	44266	UROK	\N	\N
3534128	108	1995-04-30	PRIJEM	\N	79	26982	UROK	\N	\N
3534129	108	1995-05-31	PRIJEM	\N	164	44448	UROK	\N	\N
3534130	108	1995-06-30	PRIJEM	\N	221	57124	UROK	\N	\N
3534131	108	1995-07-31	PRIJEM	\N	242	58869	UROK	\N	\N
3534132	108	1995-08-31	PRIJEM	\N	240	57412	UROK	\N	\N
3534133	108	1995-09-30	PRIJEM	\N	213	51710	UROK	\N	\N
3534134	108	1995-10-31	PRIJEM	\N	212	49768	UROK	\N	\N
3534135	108	1995-11-30	PRIJEM	\N	194	47847	UROK	\N	\N
3534136	108	1995-12-31	PRIJEM	\N	206	53389	UROK	\N	\N
3534137	108	1996-01-31	PRIJEM	\N	206	49360	UROK	\N	\N
3534138	108	1996-02-29	PRIJEM	\N	181	46027	UROK	\N	\N
3534139	108	1996-03-31	PRIJEM	\N	210	53522	UROK	\N	\N
3534140	108	1996-04-30	PRIJEM	\N	213	50181	UROK	\N	\N
3534141	108	1996-05-31	PRIJEM	\N	211	52777	UROK	\N	\N
3534142	108	1996-06-30	PRIJEM	\N	187	43240	UROK	\N	\N
3534143	108	1996-07-31	PRIJEM	\N	199	50924	UROK	\N	\N
3534144	108	1996-08-31	PRIJEM	\N	222	56332	UROK	\N	\N
3534145	108	1996-09-30	PRIJEM	\N	235	60452	UROK	\N	\N
3534146	108	1996-10-31	PRIJEM	\N	235	49772	UROK	\N	\N
3534147	108	1996-11-30	PRIJEM	\N	223	48260	UROK	\N	\N
3534148	108	1996-12-31	PRIJEM	\N	249	52066	UROK	\N	\N
3534149	108	1997-01-31	PRIJEM	\N	209	44680	UROK	\N	\N
3534150	108	1997-02-28	PRIJEM	\N	215	50180	UROK	\N	\N
3534151	108	1997-03-31	PRIJEM	\N	236	50301	UROK	\N	\N
3534152	108	1997-04-30	PRIJEM	\N	235	55022	UROK	\N	\N
3534153	108	1997-05-31	PRIJEM	\N	254	53361	UROK	\N	\N
3534154	108	1997-06-30	PRIJEM	\N	195	39973	UROK	\N	\N
3534155	108	1997-07-31	PRIJEM	\N	195	47553	UROK	\N	\N
3534156	108	1997-08-31	PRIJEM	\N	222	49961	UROK	\N	\N
3534157	108	1997-09-30	PRIJEM	\N	236	57482	UROK	\N	\N
3534158	108	1997-10-31	PRIJEM	\N	257	55725	UROK	\N	\N
3534159	108	1997-11-30	PRIJEM	\N	222	49752	UROK	\N	\N
3534160	108	1997-12-31	PRIJEM	\N	249	55138	UROK	\N	\N
3534161	108	1998-01-31	PRIJEM	\N	252	59375	UROK	\N	\N
3534162	108	1998-02-28	PRIJEM	\N	268	62228	UROK	\N	\N
3534163	108	1998-03-31	PRIJEM	\N	273	63906	UROK	\N	\N
3534164	108	1998-04-30	PRIJEM	\N	289	69181	UROK	\N	\N
3534165	108	1998-05-31	PRIJEM	\N	305	69872	UROK	\N	\N
3534166	108	1998-06-30	PRIJEM	\N	279	59788	UROK	\N	\N
3534167	108	1998-07-31	PRIJEM	\N	265	60538	UROK	\N	\N
3534168	108	1998-08-31	PRIJEM	\N	261	57384	UROK	\N	\N
3534169	108	1998-09-30	PRIJEM	\N	252	57921	UROK	\N	\N
3534170	108	1998-10-31	PRIJEM	\N	248	55355	UROK	\N	\N
3534171	108	1998-11-30	PRIJEM	\N	243	56783	UROK	\N	\N
3534172	108	1998-12-31	PRIJEM	\N	256	56976	UROK	\N	\N
3534173	110	1996-08-31	PRIJEM	\N	53	24891	UROK	\N	\N
3534174	110	1996-09-30	PRIJEM	\N	136	39666	UROK	\N	\N
3534175	110	1996-10-31	PRIJEM	\N	172	42876	UROK	\N	\N
3534176	110	1996-11-30	PRIJEM	\N	182	44495	UROK	\N	\N
3534177	110	1996-12-31	PRIJEM	\N	213	54345	UROK	\N	\N
3534178	110	1997-01-31	PRIJEM	\N	207	33667	UROK	\N	\N
3534179	110	1997-02-28	PRIJEM	\N	177	49760	UROK	\N	\N
3534180	110	1997-03-31	PRIJEM	\N	196	45131	UROK	\N	\N
3534181	110	1997-04-30	PRIJEM	\N	203	45009	UROK	\N	\N
3534182	110	1997-05-31	PRIJEM	\N	203	42488	UROK	\N	\N
3534183	110	1997-06-30	PRIJEM	\N	187	40630	UROK	\N	\N
3534184	110	1997-07-31	PRIJEM	\N	199	54704	UROK	\N	\N
3534185	110	1997-08-31	PRIJEM	\N	225	58604	UROK	\N	\N
3534186	110	1997-09-30	PRIJEM	\N	232	56076	UROK	\N	\N
3534187	110	1997-10-31	PRIJEM	\N	220	54856	UROK	\N	\N
3534188	110	1997-11-30	PRIJEM	\N	202	49957	UROK	\N	\N
3534189	110	1997-12-31	PRIJEM	\N	239	65874	UROK	\N	\N
3534190	110	1998-01-31	PRIJEM	\N	219	45153	UROK	\N	\N
3534191	110	1998-02-28	PRIJEM	\N	195	53107	UROK	\N	\N
3534192	110	1998-03-31	PRIJEM	\N	213	55280	UROK	\N	\N
3534193	110	1998-04-30	PRIJEM	\N	218	56258	UROK	\N	\N
3534194	110	1998-05-31	PRIJEM	\N	208	52525	UROK	\N	\N
3534195	110	1998-06-30	PRIJEM	\N	193	23617	UROK	\N	\N
3534196	110	1998-07-31	PRIJEM	\N	153	42729	UROK	\N	\N
3534197	110	1998-08-31	PRIJEM	\N	185	49213	UROK	\N	\N
3534198	110	1998-09-30	PRIJEM	\N	204	55177	UROK	\N	\N
3534199	110	1998-10-31	PRIJEM	\N	219	58055	UROK	\N	\N
3534200	110	1998-11-30	PRIJEM	\N	223	58237	UROK	\N	\N
3534201	110	1998-12-31	PRIJEM	\N	265	73881	UROK	\N	\N
3534202	112	1993-03-31	PRIJEM	\N	17	6799	UROK	\N	\N
3534203	112	1993-04-30	PRIJEM	\N	28	13410	UROK	\N	\N
3534204	112	1993-05-31	PRIJEM	\N	28	20020	UROK	\N	\N
3534205	112	1993-06-30	PRIJEM	\N	28	26630	UROK	\N	\N
3534206	112	1993-07-31	PRIJEM	\N	90	31102	UROK	\N	\N
3534207	112	1993-08-31	PRIJEM	\N	129	31608	UROK	\N	\N
3534208	112	1993-09-30	PRIJEM	\N	137	34161	UROK	\N	\N
3534209	112	1993-10-31	PRIJEM	\N	138	33415	UROK	\N	\N
3534210	112	1993-11-30	PRIJEM	\N	142	35274	UROK	\N	\N
3534211	112	1993-12-31	PRIJEM	\N	145	34335	UROK	\N	\N
3534212	112	1994-01-31	PRIJEM	\N	120	24012	UROK	\N	\N
3534213	112	1994-02-28	PRIJEM	\N	111	28639	UROK	\N	\N
3534214	112	1994-03-31	PRIJEM	\N	128	32584	UROK	\N	\N
3534215	112	1994-04-30	PRIJEM	\N	129	30929	UROK	\N	\N
3534216	112	1994-05-31	PRIJEM	\N	128	31273	UROK	\N	\N
3534217	112	1994-06-30	PRIJEM	\N	130	31969	UROK	\N	\N
3534218	112	1994-07-31	PRIJEM	\N	127	30053	UROK	\N	\N
3534219	112	1994-08-31	PRIJEM	\N	119	28168	UROK	\N	\N
3534220	112	1994-09-30	PRIJEM	\N	125	31910	UROK	\N	\N
3534221	112	1994-10-31	PRIJEM	\N	127	30553	UROK	\N	\N
3534222	112	1994-11-30	PRIJEM	\N	112	23562	UROK	\N	\N
3534223	112	1994-12-31	PRIJEM	\N	101	25159	UROK	\N	\N
3534224	112	1995-01-31	PRIJEM	\N	76	18421	UROK	\N	\N
3534225	112	1995-02-28	PRIJEM	\N	87	23025	UROK	\N	\N
3534226	112	1995-03-31	PRIJEM	\N	98	24119	UROK	\N	\N
3534227	112	1995-04-30	PRIJEM	\N	85	21961	UROK	\N	\N
3534228	112	1995-05-31	PRIJEM	\N	87	21464	UROK	\N	\N
3534229	112	1995-06-30	PRIJEM	\N	76	20456	UROK	\N	\N
3534230	112	1995-07-31	PRIJEM	\N	78	17051	UROK	\N	\N
3534231	112	1995-08-31	PRIJEM	\N	80	16647	UROK	\N	\N
3534232	112	1995-09-30	PRIJEM	\N	78	17142	UROK	\N	\N
3534233	112	1995-10-31	PRIJEM	\N	79	14837	UROK	\N	\N
3534234	112	1995-11-30	PRIJEM	\N	70	15823	UROK	\N	\N
3534235	112	1995-12-31	PRIJEM	\N	73	15163	UROK	\N	\N
3534236	112	1996-01-31	PRIJEM	\N	64	14693	UROK	\N	\N
3534237	112	1996-02-29	PRIJEM	\N	67	13277	UROK	\N	\N
3534238	112	1996-03-31	PRIJEM	\N	62	13455	UROK	\N	\N
3534239	112	1996-04-30	PRIJEM	\N	61	14753	UROK	\N	\N
3534240	112	1996-05-31	PRIJEM	\N	72	19341	UROK	\N	\N
3534241	112	1996-06-30	PRIJEM	\N	79	12986	UROK	\N	\N
3534242	112	1996-07-31	PRIJEM	\N	64	17567	UROK	\N	\N
3534243	112	1996-08-31	PRIJEM	\N	83	22167	UROK	\N	\N
3534244	112	1996-09-30	PRIJEM	\N	95	23578	UROK	\N	\N
3534245	112	1996-10-31	PRIJEM	\N	108	28203	UROK	\N	\N
3534246	112	1996-11-30	PRIJEM	\N	100	12819	UROK	\N	\N
3534247	112	1996-12-31	PRIJEM	\N	62	16648	UROK	\N	\N
3534248	112	1997-01-31	PRIJEM	\N	65	15549	UROK	\N	\N
3534249	112	1997-02-28	PRIJEM	\N	74	20140	UROK	\N	\N
3534250	112	1997-03-31	PRIJEM	\N	91	23547	UROK	\N	\N
3534251	112	1997-04-30	PRIJEM	\N	104	27128	UROK	\N	\N
3534252	112	1997-05-31	PRIJEM	\N	118	30161	UROK	\N	\N
3534253	112	1997-06-30	PRIJEM	\N	109	25587	UROK	\N	\N
3534254	112	1997-07-31	PRIJEM	\N	116	30219	UROK	\N	\N
3534255	112	1997-08-31	PRIJEM	\N	135	34871	UROK	\N	\N
3534256	112	1997-09-30	PRIJEM	\N	154	39542	UROK	\N	\N
3534257	112	1997-10-31	PRIJEM	\N	173	43671	UROK	\N	\N
3534258	112	1997-11-30	PRIJEM	\N	191	48378	UROK	\N	\N
3534259	112	1997-12-31	PRIJEM	\N	128	14523	UROK	\N	\N
3534260	112	1998-01-31	PRIJEM	\N	65	17024	UROK	\N	\N
3534261	112	1998-02-28	PRIJEM	\N	79	21619	UROK	\N	\N
3534262	112	1998-03-31	PRIJEM	\N	96	23352	UROK	\N	\N
3534263	112	1998-04-30	PRIJEM	\N	106	27974	UROK	\N	\N
3534264	112	1998-05-31	PRIJEM	\N	125	32615	UROK	\N	\N
3534265	112	1998-06-30	PRIJEM	\N	141	34922	UROK	\N	\N
3534266	112	1998-07-31	PRIJEM	\N	144	36303	UROK	\N	\N
3534267	112	1998-08-31	PRIJEM	\N	153	37853	UROK	\N	\N
3534268	112	1998-09-30	PRIJEM	\N	155	38844	UROK	\N	\N
3534269	112	1998-10-31	PRIJEM	\N	170	43530	UROK	\N	\N
3534270	112	1998-11-30	PRIJEM	\N	189	48236	UROK	\N	\N
3534271	112	1998-12-31	PRIJEM	\N	208	51810	UROK	\N	\N
3534272	113	1996-12-31	PRIJEM	\N	95	26294	UROK	\N	\N
3534273	113	1997-01-31	PRIJEM	\N	105	20755	UROK	\N	\N
3534274	113	1997-02-28	PRIJEM	\N	92	18964	UROK	\N	\N
3534275	113	1997-03-31	PRIJEM	\N	85	18786	UROK	\N	\N
3534276	113	1997-04-30	PRIJEM	\N	87	20729	UROK	\N	\N
3534277	113	1997-05-31	PRIJEM	\N	88	21113	UROK	\N	\N
3534278	113	1997-06-30	PRIJEM	\N	91	20360	UROK	\N	\N
3534279	113	1997-07-31	PRIJEM	\N	84	19781	UROK	\N	\N
3534280	113	1997-08-31	PRIJEM	\N	89	20926	UROK	\N	\N
3534281	113	1997-09-30	PRIJEM	\N	92	21374	UROK	\N	\N
3534282	113	1997-10-31	PRIJEM	\N	92	21562	UROK	\N	\N
3534283	113	1997-11-30	PRIJEM	\N	92	21110	UROK	\N	\N
3534284	113	1997-12-31	PRIJEM	\N	86	19682	UROK	\N	\N
3534285	113	1998-01-31	PRIJEM	\N	85	19673	UROK	\N	\N
3534286	113	1998-02-28	PRIJEM	\N	75	16205	UROK	\N	\N
3534287	113	1998-03-31	PRIJEM	\N	64	13545	UROK	\N	\N
3534288	113	1998-04-30	PRIJEM	\N	62	13023	UROK	\N	\N
3534289	113	1998-05-31	PRIJEM	\N	65	16345	UROK	\N	\N
3534290	113	1998-06-30	PRIJEM	\N	59	12521	UROK	\N	\N
3534291	113	1998-07-31	PRIJEM	\N	54	12431	UROK	\N	\N
3534292	113	1998-08-31	PRIJEM	\N	59	14466	UROK	\N	\N
3534293	113	1998-09-30	PRIJEM	\N	71	17793	UROK	\N	\N
3534294	113	1998-10-31	PRIJEM	\N	85	21134	UROK	\N	\N
3534295	113	1998-11-30	PRIJEM	\N	97	23687	UROK	\N	\N
3534296	113	1998-12-31	PRIJEM	\N	107	26351	UROK	\N	\N
3534297	114	1997-08-31	PRIJEM	\N	54	21191	UROK	\N	\N
3534298	114	1997-09-30	PRIJEM	\N	82	20169	UROK	\N	\N
3534299	114	1997-10-31	PRIJEM	\N	90	20915	UROK	\N	\N
3534300	114	1997-11-30	PRIJEM	\N	93	23105	UROK	\N	\N
3534301	114	1997-12-31	PRIJEM	\N	101	24702	UROK	\N	\N
3534302	114	1998-01-31	PRIJEM	\N	99	17938	UROK	\N	\N
3534303	114	1998-02-28	PRIJEM	\N	81	20115	UROK	\N	\N
3534304	114	1998-03-31	PRIJEM	\N	89	18620	UROK	\N	\N
3534305	114	1998-04-30	PRIJEM	\N	84	20800	UROK	\N	\N
3534306	114	1998-05-31	PRIJEM	\N	93	22989	UROK	\N	\N
3534307	114	1998-06-30	PRIJEM	\N	81	19166	UROK	\N	\N
3534308	114	1998-07-31	PRIJEM	\N	81	18464	UROK	\N	\N
3534309	114	1998-08-31	PRIJEM	\N	83	20643	UROK	\N	\N
3534310	114	1998-09-30	PRIJEM	\N	90	19870	UROK	\N	\N
3534311	114	1998-10-31	PRIJEM	\N	89	22055	UROK	\N	\N
3534312	114	1998-11-30	PRIJEM	\N	98	24249	UROK	\N	\N
3534313	114	1998-12-31	PRIJEM	\N	105	26100	UROK	\N	\N
3534314	115	1993-04-30	PRIJEM	\N	29	15794	UROK	\N	\N
3534315	115	1993-05-31	PRIJEM	\N	84	25342	UROK	\N	\N
3534316	115	1993-06-30	PRIJEM	\N	114	29854	UROK	\N	\N
3534317	115	1993-07-31	PRIJEM	\N	124	30043	UROK	\N	\N
3534318	115	1993-08-31	PRIJEM	\N	117	25915	UROK	\N	\N
3534319	115	1993-09-30	PRIJEM	\N	110	26466	UROK	\N	\N
3534320	115	1993-10-31	PRIJEM	\N	115	27821	UROK	\N	\N
3534321	115	1993-11-30	PRIJEM	\N	116	27577	UROK	\N	\N
3534322	115	1993-12-31	PRIJEM	\N	131	31282	UROK	\N	\N
3534323	115	1994-01-31	PRIJEM	\N	112	25334	UROK	\N	\N
3534324	115	1994-02-28	PRIJEM	\N	106	24880	UROK	\N	\N
3534325	115	1994-03-31	PRIJEM	\N	100	22921	UROK	\N	\N
3534326	115	1994-04-30	PRIJEM	\N	105	26767	UROK	\N	\N
3534327	115	1994-05-31	PRIJEM	\N	108	25316	UROK	\N	\N
3534328	115	1994-06-30	PRIJEM	\N	94	16683	UROK	\N	\N
3534329	115	1994-07-31	PRIJEM	\N	81	20005	UROK	\N	\N
3534330	115	1994-08-31	PRIJEM	\N	87	19732	UROK	\N	\N
3534331	115	1994-09-30	PRIJEM	\N	85	20757	UROK	\N	\N
3534332	115	1994-10-31	PRIJEM	\N	86	18684	UROK	\N	\N
3534333	115	1994-11-30	PRIJEM	\N	80	19205	UROK	\N	\N
3534334	115	1994-12-31	PRIJEM	\N	98	24776	UROK	\N	\N
3534335	115	1995-01-31	PRIJEM	\N	104	24321	UROK	\N	\N
3534336	115	1995-02-28	PRIJEM	\N	109	25670	UROK	\N	\N
3534337	115	1995-03-31	PRIJEM	\N	103	24314	UROK	\N	\N
3534338	115	1995-04-30	PRIJEM	\N	107	25561	UROK	\N	\N
3534339	115	1995-05-31	PRIJEM	\N	99	22900	UROK	\N	\N
3534340	115	1995-06-30	PRIJEM	\N	106	25580	UROK	\N	\N
3534341	115	1995-07-31	PRIJEM	\N	101	22421	UROK	\N	\N
3534342	115	1995-08-31	PRIJEM	\N	118	29079	UROK	\N	\N
3534343	115	1995-09-30	PRIJEM	\N	119	25738	UROK	\N	\N
3534344	115	1995-10-31	PRIJEM	\N	118	28296	UROK	\N	\N
3534345	115	1995-11-30	PRIJEM	\N	133	32269	UROK	\N	\N
3534346	115	1995-12-31	PRIJEM	\N	141	29983	UROK	\N	\N
3534347	115	1996-01-31	PRIJEM	\N	112	23735	UROK	\N	\N
3534348	115	1996-02-29	PRIJEM	\N	123	30498	UROK	\N	\N
3534349	115	1996-03-31	PRIJEM	\N	135	32373	UROK	\N	\N
3534350	115	1996-04-30	PRIJEM	\N	132	31646	UROK	\N	\N
3534351	115	1996-05-31	PRIJEM	\N	141	34128	UROK	\N	\N
3534352	115	1996-06-30	PRIJEM	\N	152	36053	UROK	\N	\N
3534353	115	1996-07-31	PRIJEM	\N	151	38545	UROK	\N	\N
3534354	115	1996-08-31	PRIJEM	\N	166	38251	UROK	\N	\N
3534355	115	1996-09-30	PRIJEM	\N	166	42557	UROK	\N	\N
3534356	115	1996-10-31	PRIJEM	\N	182	42779	UROK	\N	\N
3534357	115	1996-11-30	PRIJEM	\N	175	39495	UROK	\N	\N
3534358	115	1996-12-31	PRIJEM	\N	172	40140	UROK	\N	\N
3534359	115	1997-01-31	PRIJEM	\N	168	40548	UROK	\N	\N
3534360	115	1997-02-28	PRIJEM	\N	173	41361	UROK	\N	\N
3534361	115	1997-03-31	PRIJEM	\N	176	41478	UROK	\N	\N
3534362	115	1997-04-30	PRIJEM	\N	167	40185	UROK	\N	\N
3534363	115	1997-05-31	PRIJEM	\N	174	44599	UROK	\N	\N
3534364	115	1997-06-30	PRIJEM	\N	169	40241	UROK	\N	\N
3534365	115	1997-07-31	PRIJEM	\N	171	41053	UROK	\N	\N
3534366	115	1997-08-31	PRIJEM	\N	167	39360	UROK	\N	\N
3534367	115	1997-09-30	PRIJEM	\N	153	33653	UROK	\N	\N
3534368	115	1997-10-31	PRIJEM	\N	147	38440	UROK	\N	\N
3534369	115	1997-11-30	PRIJEM	\N	163	39844	UROK	\N	\N
3534370	115	1997-12-31	PRIJEM	\N	180	44397	UROK	\N	\N
3534371	115	1998-01-31	PRIJEM	\N	185	43322	UROK	\N	\N
3534372	115	1998-02-28	PRIJEM	\N	179	41641	UROK	\N	\N
3534373	115	1998-03-31	PRIJEM	\N	170	38152	UROK	\N	\N
3534374	115	1998-04-30	PRIJEM	\N	159	38152	UROK	\N	\N
3534375	115	1998-05-31	PRIJEM	\N	159	37650	UROK	\N	\N
3534376	115	1998-06-30	PRIJEM	\N	152	28076	UROK	\N	\N
3534377	115	1998-07-31	PRIJEM	\N	113	26729	UROK	\N	\N
3534378	115	1998-08-31	PRIJEM	\N	117	30587	UROK	\N	\N
3534379	115	1998-09-30	PRIJEM	\N	130	32957	UROK	\N	\N
3534380	115	1998-10-31	PRIJEM	\N	130	27728	UROK	\N	\N
3534381	115	1998-11-30	PRIJEM	\N	124	33692	UROK	\N	\N
3534382	115	1998-12-31	PRIJEM	\N	139	33605	UROK	\N	\N
3534383	116	1996-04-30	PRIJEM	\N	40	26463	UROK	\N	\N
3534384	116	1996-05-31	PRIJEM	\N	123	34209	UROK	\N	\N
3534385	116	1996-06-30	PRIJEM	\N	159	44252	UROK	\N	\N
3534386	116	1996-07-31	PRIJEM	\N	178	40853	UROK	\N	\N
3534387	116	1996-08-31	PRIJEM	\N	181	38028	UROK	\N	\N
3534388	116	1996-09-30	PRIJEM	\N	174	35761	UROK	\N	\N
3534389	116	1996-10-31	PRIJEM	\N	162	35403	UROK	\N	\N
3534390	116	1996-11-30	PRIJEM	\N	161	36243	UROK	\N	\N
3534391	116	1996-12-31	PRIJEM	\N	165	37629	UROK	\N	\N
3534392	116	1997-01-31	PRIJEM	\N	134	20023	UROK	\N	\N
3534393	116	1997-02-28	PRIJEM	\N	105	26107	UROK	\N	\N
3534394	116	1997-03-31	PRIJEM	\N	129	30316	UROK	\N	\N
3534395	116	1997-04-30	PRIJEM	\N	137	30832	UROK	\N	\N
3534396	116	1997-05-31	PRIJEM	\N	138	31249	UROK	\N	\N
3534397	116	1997-06-30	PRIJEM	\N	135	19445	UROK	\N	\N
3534398	116	1997-07-31	PRIJEM	\N	106	26830	UROK	\N	\N
3534399	116	1997-08-31	PRIJEM	\N	128	31637	UROK	\N	\N
3534400	116	1997-09-30	PRIJEM	\N	130	30347	UROK	\N	\N
3534401	116	1997-10-31	PRIJEM	\N	133	32159	UROK	\N	\N
3534402	116	1997-11-30	PRIJEM	\N	132	31570	UROK	\N	\N
3534403	116	1997-12-31	PRIJEM	\N	152	32683	UROK	\N	\N
3534404	116	1998-01-31	PRIJEM	\N	109	15431	UROK	\N	\N
3534405	116	1998-02-28	PRIJEM	\N	77	19488	UROK	\N	\N
3534406	116	1998-03-31	PRIJEM	\N	128	20695	UROK	\N	\N
3534407	116	1998-04-30	PRIJEM	\N	70	14204	UROK	\N	\N
3534408	116	1998-05-31	PRIJEM	\N	49	10732	UROK	\N	\N
3534409	116	1998-06-30	PRIJEM	\N	53	13226	UROK	\N	\N
3534410	116	1998-07-31	PRIJEM	\N	55	11461	UROK	\N	\N
3534411	116	1998-08-31	PRIJEM	\N	96	29136	UROK	\N	\N
3534412	116	1998-09-30	PRIJEM	\N	169	46885	UROK	\N	\N
3534413	116	1998-10-31	PRIJEM	\N	144	28888	UROK	\N	\N
3534414	116	1998-11-30	PRIJEM	\N	168	46636	UROK	\N	\N
3534415	116	1998-12-31	PRIJEM	\N	273	72209	UROK	\N	\N
3534416	117	1993-09-30	PRIJEM	\N	20	5823	UROK	\N	\N
3534417	117	1993-10-31	PRIJEM	\N	24	10750	UROK	\N	\N
3534418	117	1993-11-30	PRIJEM	\N	24	15678	UROK	\N	\N
3534419	117	1993-12-31	PRIJEM	\N	24	20605	UROK	\N	\N
3534420	117	1994-01-31	PRIJEM	\N	60	13188	UROK	\N	\N
3534421	117	1994-02-28	PRIJEM	\N	63	15810	UROK	\N	\N
3534422	117	1994-03-31	PRIJEM	\N	74	18443	UROK	\N	\N
3534423	117	1994-04-30	PRIJEM	\N	84	20606	UROK	\N	\N
3534424	117	1994-05-31	PRIJEM	\N	93	22459	UROK	\N	\N
3534425	117	1994-06-30	PRIJEM	\N	91	13909	UROK	\N	\N
3534426	117	1994-07-31	PRIJEM	\N	60	12609	UROK	\N	\N
3534427	117	1994-08-31	PRIJEM	\N	60	15228	UROK	\N	\N
3534428	117	1994-09-30	PRIJEM	\N	71	17859	UROK	\N	\N
3534429	117	1994-10-31	PRIJEM	\N	82	20501	UROK	\N	\N
3534430	117	1994-11-30	PRIJEM	\N	93	23153	UROK	\N	\N
3534431	117	1994-12-31	PRIJEM	\N	104	25017	UROK	\N	\N
3534432	117	1995-01-31	PRIJEM	\N	89	15904	UROK	\N	\N
3534433	117	1995-02-28	PRIJEM	\N	74	18538	UROK	\N	\N
3534434	117	1995-03-31	PRIJEM	\N	82	20059	UROK	\N	\N
3534435	117	1995-04-30	PRIJEM	\N	91	22710	UROK	\N	\N
3534436	117	1995-05-31	PRIJEM	\N	99	22488	UROK	\N	\N
3534437	117	1995-06-30	PRIJEM	\N	101	25149	UROK	\N	\N
3534438	117	1995-07-31	PRIJEM	\N	102	23470	UROK	\N	\N
3534439	117	1995-08-31	PRIJEM	\N	105	26135	UROK	\N	\N
3534440	117	1995-09-30	PRIJEM	\N	106	25120	UROK	\N	\N
3534441	117	1995-10-31	PRIJEM	\N	109	24189	UROK	\N	\N
3534442	117	1995-11-30	PRIJEM	\N	108	26856	UROK	\N	\N
3534443	117	1995-12-31	PRIJEM	\N	116	27731	UROK	\N	\N
3534444	117	1996-01-31	PRIJEM	\N	97	18288	UROK	\N	\N
3534445	117	1996-02-29	PRIJEM	\N	72	16999	UROK	\N	\N
3534446	117	1996-03-31	PRIJEM	\N	73	17792	UROK	\N	\N
3534447	117	1996-04-30	PRIJEM	\N	75	17146	UROK	\N	\N
3534448	117	1996-05-31	PRIJEM	\N	76	19222	UROK	\N	\N
3534449	117	1996-06-30	PRIJEM	\N	86	20317	UROK	\N	\N
3534450	117	1996-07-31	PRIJEM	\N	90	21867	UROK	\N	\N
3534451	117	1996-08-31	PRIJEM	\N	98	24525	UROK	\N	\N
3534452	117	1996-09-30	PRIJEM	\N	105	24389	UROK	\N	\N
3534453	117	1996-10-31	PRIJEM	\N	104	24252	UROK	\N	\N
3534454	117	1996-11-30	PRIJEM	\N	103	24914	UROK	\N	\N
3534455	117	1996-12-31	PRIJEM	\N	104	24328	UROK	\N	\N
3534456	117	1997-01-31	PRIJEM	\N	90	16557	UROK	\N	\N
3534457	117	1997-02-28	PRIJEM	\N	76	19192	UROK	\N	\N
3534458	117	1997-03-31	PRIJEM	\N	84	18475	UROK	\N	\N
3534459	117	1997-04-30	PRIJEM	\N	84	21118	UROK	\N	\N
3534460	117	1997-05-31	PRIJEM	\N	89	21387	UROK	\N	\N
3534461	117	1997-06-30	PRIJEM	\N	88	19234	UROK	\N	\N
3534462	117	1997-07-31	PRIJEM	\N	87	21880	UROK	\N	\N
3534463	117	1997-08-31	PRIJEM	\N	98	24537	UROK	\N	\N
3534464	117	1997-09-30	PRIJEM	\N	105	25702	UROK	\N	\N
3534465	117	1997-10-31	PRIJEM	\N	112	27493	UROK	\N	\N
3534466	117	1997-11-30	PRIJEM	\N	114	27266	UROK	\N	\N
3534467	117	1997-12-31	PRIJEM	\N	104	23070	UROK	\N	\N
3534468	117	1998-01-31	PRIJEM	\N	74	16103	UROK	\N	\N
3534469	117	1998-02-28	PRIJEM	\N	73	18736	UROK	\N	\N
3534470	117	1998-03-31	PRIJEM	\N	84	21379	UROK	\N	\N
3534471	117	1998-04-30	PRIJEM	\N	85	18943	UROK	\N	\N
3534472	117	1998-05-31	PRIJEM	\N	70	16373	UROK	\N	\N
3534473	117	1998-06-30	PRIJEM	\N	70	17102	UROK	\N	\N
3534474	117	1998-07-31	PRIJEM	\N	71	17573	UROK	\N	\N
3534475	117	1998-08-31	PRIJEM	\N	79	20211	UROK	\N	\N
3534476	117	1998-09-30	PRIJEM	\N	96	22566	UROK	\N	\N
3534477	117	1998-10-31	PRIJEM	\N	81	17007	UROK	\N	\N
3534478	117	1998-11-30	PRIJEM	\N	75	18201	UROK	\N	\N
3534479	117	1998-12-31	PRIJEM	\N	69	16680	UROK	\N	\N
3534480	118	1997-10-31	PRIJEM	\N	29	15203	UROK	\N	\N
3534481	118	1997-11-30	PRIJEM	\N	81	24558	UROK	\N	\N
3534482	118	1997-12-31	PRIJEM	\N	113	30045	UROK	\N	\N
3534483	118	1998-01-31	PRIJEM	\N	139	36858	UROK	\N	\N
3534484	118	1998-02-28	PRIJEM	\N	153	36885	UROK	\N	\N
3534485	118	1998-03-31	PRIJEM	\N	145	31981	UROK	\N	\N
3534486	118	1998-04-30	PRIJEM	\N	130	29871	UROK	\N	\N
3534487	118	1998-05-31	PRIJEM	\N	122	27393	UROK	\N	\N
3534488	118	1998-06-30	PRIJEM	\N	108	22801	UROK	\N	\N
3534489	118	1998-07-31	PRIJEM	\N	100	24812	UROK	\N	\N
3534490	118	1998-08-31	PRIJEM	\N	107	26029	UROK	\N	\N
3534491	118	1998-09-30	PRIJEM	\N	116	29335	UROK	\N	\N
3534492	118	1998-10-31	PRIJEM	\N	124	29869	UROK	\N	\N
3534493	118	1998-11-30	PRIJEM	\N	122	28362	UROK	\N	\N
3534494	118	1998-12-31	PRIJEM	\N	121	29484	UROK	\N	\N
3534495	119	1993-06-30	PRIJEM	\N	29	29717	UROK	\N	\N
3534496	119	1993-07-31	PRIJEM	\N	130	36072	UROK	\N	\N
3534497	119	1993-08-31	PRIJEM	\N	154	39451	UROK	\N	\N
3534498	119	1993-09-30	PRIJEM	\N	167	41743	UROK	\N	\N
3534499	119	1993-10-31	PRIJEM	\N	174	42242	UROK	\N	\N
3534500	119	1993-11-30	PRIJEM	\N	191	42291	UROK	\N	\N
3534501	119	1993-12-31	PRIJEM	\N	198	42810	UROK	\N	\N
3534502	119	1994-01-31	PRIJEM	\N	170	32839	UROK	\N	\N
3534503	119	1994-02-28	PRIJEM	\N	149	33446	UROK	\N	\N
3534504	119	1994-03-31	PRIJEM	\N	145	32450	UROK	\N	\N
3534505	119	1994-04-30	PRIJEM	\N	154	36262	UROK	\N	\N
3534506	119	1994-05-31	PRIJEM	\N	164	36684	UROK	\N	\N
3534507	119	1994-06-30	PRIJEM	\N	178	37984	UROK	\N	\N
3534508	119	1994-07-31	PRIJEM	\N	159	31102	UROK	\N	\N
3534509	119	1994-08-31	PRIJEM	\N	147	36107	UROK	\N	\N
3534510	119	1994-09-30	PRIJEM	\N	156	35422	UROK	\N	\N
3534511	119	1994-10-31	PRIJEM	\N	157	36737	UROK	\N	\N
3534512	119	1994-11-30	PRIJEM	\N	163	39058	UROK	\N	\N
3534513	119	1994-12-31	PRIJEM	\N	184	43463	UROK	\N	\N
3534514	119	1995-01-31	PRIJEM	\N	159	32081	UROK	\N	\N
3534515	119	1995-02-28	PRIJEM	\N	138	33477	UROK	\N	\N
3534516	119	1995-03-31	PRIJEM	\N	147	34682	UROK	\N	\N
3534517	119	1995-04-30	PRIJEM	\N	152	36692	UROK	\N	\N
3534518	119	1995-05-31	PRIJEM	\N	143	32694	UROK	\N	\N
3534519	119	1995-06-30	PRIJEM	\N	154	36069	UROK	\N	\N
3534520	119	1995-07-31	PRIJEM	\N	148	30475	UROK	\N	\N
3534521	119	1995-08-31	PRIJEM	\N	130	32063	UROK	\N	\N
3534522	119	1995-09-30	PRIJEM	\N	163	44485	UROK	\N	\N
3534523	119	1995-10-31	PRIJEM	\N	193	48936	UROK	\N	\N
3534524	119	1995-11-30	PRIJEM	\N	184	43979	UROK	\N	\N
3534525	119	1995-12-31	PRIJEM	\N	193	49294	UROK	\N	\N
3534526	119	1996-01-31	PRIJEM	\N	178	39229	UROK	\N	\N
3534527	119	1996-02-29	PRIJEM	\N	172	44360	UROK	\N	\N
3534528	119	1996-03-31	PRIJEM	\N	173	39591	UROK	\N	\N
3534529	119	1996-04-30	PRIJEM	\N	171	43520	UROK	\N	\N
3534530	119	1996-05-31	PRIJEM	\N	163	40942	UROK	\N	\N
3534531	119	1996-06-30	PRIJEM	\N	189	50252	UROK	\N	\N
3534532	119	1996-07-31	PRIJEM	\N	199	48109	UROK	\N	\N
3534533	119	1996-08-31	PRIJEM	\N	190	46157	UROK	\N	\N
3534534	119	1996-09-30	PRIJEM	\N	187	45902	UROK	\N	\N
3534535	119	1996-10-31	PRIJEM	\N	180	43341	UROK	\N	\N
3534536	119	1996-11-30	PRIJEM	\N	174	42674	UROK	\N	\N
3534537	119	1996-12-31	PRIJEM	\N	198	52594	UROK	\N	\N
3534538	119	1997-01-31	PRIJEM	\N	171	36523	UROK	\N	\N
3534539	119	1997-02-28	PRIJEM	\N	159	41641	UROK	\N	\N
3534540	119	1997-03-31	PRIJEM	\N	179	45678	UROK	\N	\N
3534541	119	1997-04-30	PRIJEM	\N	191	47727	UROK	\N	\N
3534542	119	1997-05-31	PRIJEM	\N	196	48982	UROK	\N	\N
3534543	119	1997-06-30	PRIJEM	\N	195	45398	UROK	\N	\N
3534544	119	1997-07-31	PRIJEM	\N	191	50148	UROK	\N	\N
3534545	119	1997-08-31	PRIJEM	\N	209	52515	UROK	\N	\N
3534546	119	1997-09-30	PRIJEM	\N	216	53289	UROK	\N	\N
3534547	119	1997-10-31	PRIJEM	\N	232	59379	UROK	\N	\N
3534548	119	1997-11-30	PRIJEM	\N	249	59586	UROK	\N	\N
3534549	119	1997-12-31	PRIJEM	\N	266	56273	UROK	\N	\N
3534550	119	1998-01-31	PRIJEM	\N	223	46955	UROK	\N	\N
3534551	119	1998-02-28	PRIJEM	\N	221	60434	UROK	\N	\N
3534552	119	1998-03-31	PRIJEM	\N	201	41193	UROK	\N	\N
3534553	119	1998-04-30	PRIJEM	\N	194	38745	UROK	\N	\N
3534554	119	1998-05-31	PRIJEM	\N	186	39089	UROK	\N	\N
3534555	119	1998-06-30	PRIJEM	\N	162	30873	UROK	\N	\N
3534556	119	1998-07-31	PRIJEM	\N	144	31975	UROK	\N	\N
3534557	119	1998-08-31	PRIJEM	\N	157	37490	UROK	\N	\N
3534558	119	1998-09-30	PRIJEM	\N	174	36022	UROK	\N	\N
3534559	119	1998-10-31	PRIJEM	\N	168	37649	UROK	\N	\N
3534560	119	1998-11-30	PRIJEM	\N	170	34178	UROK	\N	\N
3534561	119	1998-12-31	PRIJEM	\N	196	57395	UROK	\N	\N
3534562	120	1995-06-30	PRIJEM	\N	24	43340	UROK	\N	\N
3534563	120	1995-07-31	PRIJEM	\N	215	59742	UROK	\N	\N
3534564	120	1995-08-31	PRIJEM	\N	230	69250	UROK	\N	\N
3534565	120	1995-09-30	PRIJEM	\N	300	84075	UROK	\N	\N
3534566	120	1995-10-31	PRIJEM	\N	206	21215	UROK	\N	\N
3534567	120	1995-11-30	PRIJEM	\N	93	23313	UROK	\N	\N
3534568	120	1995-12-31	PRIJEM	\N	108	22786	UROK	\N	\N
3534569	120	1996-01-31	PRIJEM	\N	92	20383	UROK	\N	\N
3534570	120	1996-02-29	PRIJEM	\N	172	33951	UROK	\N	\N
3534571	120	1996-03-31	PRIJEM	\N	227	52068	UROK	\N	\N
3534572	120	1996-04-30	PRIJEM	\N	260	73406	UROK	\N	\N
3534573	120	1996-05-31	PRIJEM	\N	244	46528	UROK	\N	\N
3534574	120	1996-06-30	PRIJEM	\N	137	19894	UROK	\N	\N
3534575	120	1996-07-31	PRIJEM	\N	101	25528	UROK	\N	\N
3534576	120	1996-08-31	PRIJEM	\N	169	45524	UROK	\N	\N
3534577	120	1996-09-30	PRIJEM	\N	219	131889	UROK	\N	\N
3534578	120	1996-10-31	PRIJEM	\N	316	83879	UROK	\N	\N
3534579	120	1996-11-30	PRIJEM	\N	349	98658	UROK	\N	\N
3534580	120	1996-12-31	PRIJEM	\N	321	84843	UROK	\N	\N
3534581	120	1997-01-31	PRIJEM	\N	179	28857	UROK	\N	\N
3534582	120	1997-02-28	PRIJEM	\N	111	21573	UROK	\N	\N
3534583	120	1997-03-31	PRIJEM	\N	97	24474	UROK	\N	\N
3534584	120	1997-04-30	PRIJEM	\N	122	32424	UROK	\N	\N
3534585	120	1997-05-31	PRIJEM	\N	117	26902	UROK	\N	\N
3534586	120	1997-06-30	PRIJEM	\N	207	86616	UROK	\N	\N
3534587	120	1997-07-31	PRIJEM	\N	255	44506	UROK	\N	\N
3534588	120	1997-08-31	PRIJEM	\N	165	35975	UROK	\N	\N
3534589	120	1997-09-30	PRIJEM	\N	123	28088	UROK	\N	\N
3534590	120	1997-10-31	PRIJEM	\N	183	51761	UROK	\N	\N
3534591	120	1997-11-30	PRIJEM	\N	185	38851	UROK	\N	\N
3534592	120	1997-12-31	PRIJEM	\N	142	28197	UROK	\N	\N
3534593	120	1998-01-31	PRIJEM	\N	118	30821	UROK	\N	\N
3534594	120	1998-02-28	PRIJEM	\N	126	26952	UROK	\N	\N
3534595	120	1998-03-31	PRIJEM	\N	113	27870	UROK	\N	\N
3534596	120	1998-04-30	PRIJEM	\N	121	30596	UROK	\N	\N
3534597	120	1998-05-31	PRIJEM	\N	129	24429	UROK	\N	\N
3534598	120	1998-06-30	PRIJEM	\N	133	28367	UROK	\N	\N
3534599	120	1998-07-31	PRIJEM	\N	112	29484	UROK	\N	\N
3534600	120	1998-08-31	PRIJEM	\N	122	33911	UROK	\N	\N
3534601	120	1998-09-30	PRIJEM	\N	128	34544	UROK	\N	\N
3534602	120	1998-10-31	PRIJEM	\N	141	33890	UROK	\N	\N
3534603	120	1998-11-30	PRIJEM	\N	120	31515	UROK	\N	\N
3534604	120	1998-12-31	PRIJEM	\N	116	25836	UROK	\N	\N
3534605	121	1997-10-31	PRIJEM	\N	9	3384	UROK	\N	\N
3534606	121	1997-11-30	PRIJEM	\N	57	19716	UROK	\N	\N
3534607	121	1997-12-31	PRIJEM	\N	92	23383	UROK	\N	\N
3534608	121	1998-01-31	PRIJEM	\N	99	23956	UROK	\N	\N
3534609	121	1998-02-28	PRIJEM	\N	98	22409	UROK	\N	\N
3534610	121	1998-03-31	PRIJEM	\N	108	27561	UROK	\N	\N
3534611	121	1998-04-30	PRIJEM	\N	115	27660	UROK	\N	\N
3534612	121	1998-05-31	PRIJEM	\N	116	28421	UROK	\N	\N
3534613	121	1998-06-30	PRIJEM	\N	110	25335	UROK	\N	\N
3534614	121	1998-07-31	PRIJEM	\N	111	27591	UROK	\N	\N
3534615	121	1998-08-31	PRIJEM	\N	129	32264	UROK	\N	\N
3534616	121	1998-09-30	PRIJEM	\N	140	34548	UROK	\N	\N
3534617	121	1998-10-31	PRIJEM	\N	152	37504	UROK	\N	\N
3534618	121	1998-11-30	PRIJEM	\N	139	33088	UROK	\N	\N
3534619	121	1998-12-31	PRIJEM	\N	143	34955	UROK	\N	\N
3534620	123	1993-08-31	PRIJEM	\N	63	21462	UROK	\N	\N
3534621	123	1993-09-30	PRIJEM	\N	87	20461	UROK	\N	\N
3534622	123	1993-10-31	PRIJEM	\N	88	20762	UROK	\N	\N
3534623	123	1993-11-30	PRIJEM	\N	92	22666	UROK	\N	\N
3534624	123	1993-12-31	PRIJEM	\N	89	20117	UROK	\N	\N
3534625	123	1994-01-31	PRIJEM	\N	68	12938	UROK	\N	\N
3534626	123	1994-02-28	PRIJEM	\N	59	14809	UROK	\N	\N
3534627	123	1994-03-31	PRIJEM	\N	59	12760	UROK	\N	\N
3534628	123	1994-04-30	PRIJEM	\N	58	13190	UROK	\N	\N
3534629	123	1994-05-31	PRIJEM	\N	60	15063	UROK	\N	\N
3534630	123	1994-06-30	PRIJEM	\N	69	16344	UROK	\N	\N
3534631	123	1994-07-31	PRIJEM	\N	73	17429	UROK	\N	\N
3534632	123	1994-08-31	PRIJEM	\N	72	16214	UROK	\N	\N
3534633	123	1994-09-30	PRIJEM	\N	73	18099	UROK	\N	\N
3534634	123	1994-10-31	PRIJEM	\N	77	17828	UROK	\N	\N
3534635	123	1994-11-30	PRIJEM	\N	79	19720	UROK	\N	\N
3534636	123	1994-12-31	PRIJEM	\N	85	20216	UROK	\N	\N
3534637	123	1995-01-31	PRIJEM	\N	65	13174	UROK	\N	\N
3534638	123	1995-02-28	PRIJEM	\N	60	15046	UROK	\N	\N
3534639	123	1995-03-31	PRIJEM	\N	67	13565	UROK	\N	\N
3534640	123	1995-04-30	PRIJEM	\N	62	15439	UROK	\N	\N
3534641	123	1995-05-31	PRIJEM	\N	67	14038	UROK	\N	\N
3534642	123	1995-06-30	PRIJEM	\N	64	15914	UROK	\N	\N
3534643	123	1995-07-31	PRIJEM	\N	71	17798	UROK	\N	\N
3534644	123	1995-08-31	PRIJEM	\N	74	17124	UROK	\N	\N
3534645	123	1995-09-30	PRIJEM	\N	75	17592	UROK	\N	\N
3534646	123	1995-10-31	PRIJEM	\N	77	16481	UROK	\N	\N
3534647	123	1995-11-30	PRIJEM	\N	68	14602	UROK	\N	\N
3534648	123	1995-12-31	PRIJEM	\N	64	15029	UROK	\N	\N
3534649	123	1996-01-31	PRIJEM	\N	67	12748	UROK	\N	\N
3534650	123	1996-02-29	PRIJEM	\N	57	13517	UROK	\N	\N
3534651	123	1996-03-31	PRIJEM	\N	60	13289	UROK	\N	\N
3534652	123	1996-04-30	PRIJEM	\N	59	13861	UROK	\N	\N
3534653	123	1996-05-31	PRIJEM	\N	60	13974	UROK	\N	\N
3534654	123	1996-06-30	PRIJEM	\N	61	13927	UROK	\N	\N
3534655	123	1996-07-31	PRIJEM	\N	62	15001	UROK	\N	\N
3534656	123	1996-08-31	PRIJEM	\N	65	14478	UROK	\N	\N
3534657	123	1996-09-30	PRIJEM	\N	64	15254	UROK	\N	\N
3534658	123	1996-10-31	PRIJEM	\N	63	12929	UROK	\N	\N
3534659	123	1996-11-30	PRIJEM	\N	58	14800	UROK	\N	\N
3534660	123	1996-12-31	PRIJEM	\N	65	15577	UROK	\N	\N
3534661	123	1997-01-31	PRIJEM	\N	64	14664	UROK	\N	\N
3534662	123	1997-02-28	PRIJEM	\N	65	16541	UROK	\N	\N
3534663	123	1997-03-31	PRIJEM	\N	70	15503	UROK	\N	\N
3534664	123	1997-04-30	PRIJEM	\N	63	12878	UROK	\N	\N
3534665	123	1997-05-31	PRIJEM	\N	57	13947	UROK	\N	\N
3534666	123	1997-06-30	PRIJEM	\N	54	12363	UROK	\N	\N
3534667	123	1997-07-31	PRIJEM	\N	56	14231	UROK	\N	\N
3534668	123	1997-08-31	PRIJEM	\N	60	14203	UROK	\N	\N
3534669	123	1997-09-30	PRIJEM	\N	60	14296	UROK	\N	\N
3534670	123	1997-10-31	PRIJEM	\N	64	16172	UROK	\N	\N
3534671	123	1997-11-30	PRIJEM	\N	71	18055	UROK	\N	\N
3534672	123	1997-12-31	PRIJEM	\N	78	19196	UROK	\N	\N
3534673	123	1998-01-31	PRIJEM	\N	69	14427	UROK	\N	\N
3534674	123	1998-02-28	PRIJEM	\N	64	16303	UROK	\N	\N
3534675	123	1998-03-31	PRIJEM	\N	72	18187	UROK	\N	\N
3534676	123	1998-04-30	PRIJEM	\N	79	20079	UROK	\N	\N
3534677	123	1998-05-31	PRIJEM	\N	85	21096	UROK	\N	\N
3534678	123	1998-06-30	PRIJEM	\N	94	22602	UROK	\N	\N
3534679	123	1998-07-31	PRIJEM	\N	86	19861	UROK	\N	\N
3534680	123	1998-08-31	PRIJEM	\N	85	19998	UROK	\N	\N
3534681	123	1998-09-30	PRIJEM	\N	81	18531	UROK	\N	\N
3534682	123	1998-10-31	PRIJEM	\N	80	20424	UROK	\N	\N
3534683	123	1998-11-30	PRIJEM	\N	88	22325	UROK	\N	\N
3534684	123	1998-12-31	PRIJEM	\N	96	23383	UROK	\N	\N
3534685	124	1998-01-31	PRIJEM	\N	10	14400	UROK	\N	\N
3534686	124	1998-02-28	PRIJEM	\N	62	18652	UROK	\N	\N
3534687	124	1998-03-31	PRIJEM	\N	79	20820	UROK	\N	\N
3534688	124	1998-04-30	PRIJEM	\N	87	22297	UROK	\N	\N
3534689	124	1998-05-31	PRIJEM	\N	99	24911	UROK	\N	\N
3534690	124	1998-06-30	PRIJEM	\N	100	19474	UROK	\N	\N
3534691	124	1998-07-31	PRIJEM	\N	81	17338	UROK	\N	\N
3534692	124	1998-08-31	PRIJEM	\N	73	15993	UROK	\N	\N
3534693	124	1998-09-30	PRIJEM	\N	68	15543	UROK	\N	\N
3534694	124	1998-10-31	PRIJEM	\N	69	18245	UROK	\N	\N
3534695	124	1998-11-30	PRIJEM	\N	70	13367	UROK	\N	\N
3534696	124	1998-12-31	PRIJEM	\N	57	13566	UROK	\N	\N
3534697	125	1996-09-30	PRIJEM	\N	55	28171	UROK	\N	\N
3534698	125	1996-10-31	PRIJEM	\N	148	63439	UROK	\N	\N
3534699	125	1996-11-30	PRIJEM	\N	248	54228	UROK	\N	\N
3534700	125	1996-12-31	PRIJEM	\N	342	95528	UROK	\N	\N
3534701	125	1997-01-31	PRIJEM	\N	165	18970	UROK	\N	\N
3534702	125	1997-02-28	PRIJEM	\N	242	68964	UROK	\N	\N
3534703	125	1997-03-31	PRIJEM	\N	431	66864	UROK	\N	\N
3534704	125	1997-04-30	PRIJEM	\N	357	95329	UROK	\N	\N
3534705	125	1997-05-31	PRIJEM	\N	186	32747	UROK	\N	\N
3534706	125	1997-06-30	PRIJEM	\N	156	28599	UROK	\N	\N
3534707	125	1997-07-31	PRIJEM	\N	117	17516	UROK	\N	\N
3534708	125	1997-08-31	PRIJEM	\N	190	53267	UROK	\N	\N
3534709	125	1997-09-30	PRIJEM	\N	113	26522	UROK	\N	\N
3534710	125	1997-10-31	PRIJEM	\N	110	23932	UROK	\N	\N
3534711	125	1997-11-30	PRIJEM	\N	233	62302	UROK	\N	\N
3534712	125	1997-12-31	PRIJEM	\N	87	21059	UROK	\N	\N
3534713	125	1998-01-31	PRIJEM	\N	102	13606	UROK	\N	\N
3534714	125	1998-02-28	PRIJEM	\N	79	65533	UROK	\N	\N
3534715	125	1998-03-31	PRIJEM	\N	266	37699	UROK	\N	\N
3534716	125	1998-04-30	PRIJEM	\N	103	58487	UROK	\N	\N
3534717	125	1998-05-31	PRIJEM	\N	160	22182	UROK	\N	\N
3534718	125	1998-06-30	PRIJEM	\N	96	39139	UROK	\N	\N
3534719	125	1998-07-31	PRIJEM	\N	166	56667	UROK	\N	\N
3534720	125	1998-08-31	PRIJEM	\N	211	55066	UROK	\N	\N
3534721	125	1998-09-30	PRIJEM	\N	242	61647	UROK	\N	\N
3534722	125	1998-10-31	PRIJEM	\N	232	25254	UROK	\N	\N
3534723	125	1998-11-30	PRIJEM	\N	103	21657	UROK	\N	\N
3534724	125	1998-12-31	PRIJEM	\N	194	64858	UROK	\N	\N
3534725	126	1993-11-30	PRIJEM	\N	41	32685	UROK	\N	\N
3534726	126	1993-12-31	PRIJEM	\N	136	27921	UROK	\N	\N
3534727	126	1994-01-31	PRIJEM	\N	136	28157	UROK	\N	\N
3534728	126	1994-02-28	PRIJEM	\N	136	25293	UROK	\N	\N
3534729	126	1994-03-31	PRIJEM	\N	171	58979	UROK	\N	\N
3534730	126	1994-04-30	PRIJEM	\N	245	41024	UROK	\N	\N
3534731	126	1994-05-31	PRIJEM	\N	308	53128	UROK	\N	\N
3534732	126	1994-06-30	PRIJEM	\N	167	30796	UROK	\N	\N
3534733	126	1994-07-31	PRIJEM	\N	121	26619	UROK	\N	\N
3534734	126	1994-08-31	PRIJEM	\N	102	21722	UROK	\N	\N
3534735	126	1994-09-30	PRIJEM	\N	85	18708	UROK	\N	\N
3534736	126	1994-10-31	PRIJEM	\N	76	17986	UROK	\N	\N
3534737	126	1994-11-30	PRIJEM	\N	193	72159	UROK	\N	\N
3534738	126	1994-12-31	PRIJEM	\N	208	23983	UROK	\N	\N
3534739	126	1995-01-31	PRIJEM	\N	83	18267	UROK	\N	\N
3534740	126	1995-02-28	PRIJEM	\N	76	18445	UROK	\N	\N
3534741	126	1995-03-31	PRIJEM	\N	127	63410	UROK	\N	\N
3534742	126	1995-04-30	PRIJEM	\N	252	92325	UROK	\N	\N
3534743	126	1995-05-31	PRIJEM	\N	296	77551	UROK	\N	\N
3534744	126	1995-06-30	PRIJEM	\N	269	51592	UROK	\N	\N
3534745	126	1995-07-31	PRIJEM	\N	190	25471	UROK	\N	\N
3534746	126	1995-08-31	PRIJEM	\N	123	68645	UROK	\N	\N
3534747	126	1995-09-30	PRIJEM	\N	218	47081	UROK	\N	\N
3534748	126	1995-10-31	PRIJEM	\N	161	41350	UROK	\N	\N
3534749	126	1995-11-30	PRIJEM	\N	141	29992	UROK	\N	\N
3534750	126	1995-12-31	PRIJEM	\N	111	18305	UROK	\N	\N
3534751	126	1996-01-31	PRIJEM	\N	100	24520	UROK	\N	\N
3534752	126	1996-02-29	PRIJEM	\N	100	17222	UROK	\N	\N
3534753	126	1996-03-31	PRIJEM	\N	230	105472	UROK	\N	\N
3534754	126	1996-04-30	PRIJEM	\N	258	58453	UROK	\N	\N
3534755	126	1996-05-31	PRIJEM	\N	260	75165	UROK	\N	\N
3534756	126	1996-06-30	PRIJEM	\N	225	40659	UROK	\N	\N
3534757	126	1996-07-31	PRIJEM	\N	181	33849	UROK	\N	\N
3534758	126	1996-08-31	PRIJEM	\N	153	36895	UROK	\N	\N
3534759	126	1996-09-30	PRIJEM	\N	126	27022	UROK	\N	\N
3534760	126	1996-10-31	PRIJEM	\N	91	19815	UROK	\N	\N
3534761	126	1996-11-30	PRIJEM	\N	76	17891	UROK	\N	\N
3534762	126	1996-12-31	PRIJEM	\N	120	34317	UROK	\N	\N
3534763	126	1997-01-31	PRIJEM	\N	106	21723	UROK	\N	\N
3534764	126	1997-02-28	PRIJEM	\N	86	20811	UROK	\N	\N
3534765	126	1997-03-31	PRIJEM	\N	84	20696	UROK	\N	\N
3534766	126	1997-04-30	PRIJEM	\N	79	18977	UROK	\N	\N
3534767	126	1997-05-31	PRIJEM	\N	122	23954	UROK	\N	\N
3534768	126	1997-06-30	PRIJEM	\N	100	25156	UROK	\N	\N
3534769	126	1997-07-31	PRIJEM	\N	92	20649	UROK	\N	\N
3534770	126	1997-08-31	PRIJEM	\N	105	68655	UROK	\N	\N
3534771	126	1997-09-30	PRIJEM	\N	219	44376	UROK	\N	\N
3534772	126	1997-10-31	PRIJEM	\N	134	28565	UROK	\N	\N
3534773	126	1997-11-30	PRIJEM	\N	80	16747	UROK	\N	\N
3534774	126	1997-12-31	PRIJEM	\N	68	27316	UROK	\N	\N
3534775	126	1998-01-31	PRIJEM	\N	127	32648	UROK	\N	\N
3534776	126	1998-02-28	PRIJEM	\N	156	42129	UROK	\N	\N
3534777	126	1998-03-31	PRIJEM	\N	263	102122	UROK	\N	\N
3534778	126	1998-04-30	PRIJEM	\N	350	98970	UROK	\N	\N
3534779	126	1998-05-31	PRIJEM	\N	311	60334	UROK	\N	\N
3534780	126	1998-06-30	PRIJEM	\N	242	38755	UROK	\N	\N
3534781	126	1998-07-31	PRIJEM	\N	209	44201	UROK	\N	\N
3534782	126	1998-08-31	PRIJEM	\N	176	35978	UROK	\N	\N
3534783	126	1998-09-30	PRIJEM	\N	143	31822	UROK	\N	\N
3534784	126	1998-10-31	PRIJEM	\N	138	37598	UROK	\N	\N
3534785	126	1998-11-30	PRIJEM	\N	239	55808	UROK	\N	\N
3534786	126	1998-12-31	PRIJEM	\N	201	50359	UROK	\N	\N
3534787	127	1994-02-28	PRIJEM	\N	10	3974	UROK	\N	\N
3534788	127	1994-03-31	PRIJEM	\N	17	7355	UROK	\N	\N
3534789	127	1994-04-30	PRIJEM	\N	17	10735	UROK	\N	\N
3534790	127	1994-05-31	PRIJEM	\N	17	14116	UROK	\N	\N
3534791	127	1994-06-30	PRIJEM	\N	43	15281	UROK	\N	\N
3534792	127	1994-07-31	PRIJEM	\N	66	16454	UROK	\N	\N
3534793	127	1994-08-31	PRIJEM	\N	71	17633	UROK	\N	\N
3534794	127	1994-09-30	PRIJEM	\N	76	18817	UROK	\N	\N
3534795	127	1994-10-31	PRIJEM	\N	80	19134	UROK	\N	\N
3534796	127	1994-11-30	PRIJEM	\N	82	20323	UROK	\N	\N
3534797	127	1994-12-31	PRIJEM	\N	90	20440	UROK	\N	\N
3534798	127	1995-01-31	PRIJEM	\N	73	15411	UROK	\N	\N
3534799	127	1995-02-28	PRIJEM	\N	67	16585	UROK	\N	\N
3534800	127	1995-03-31	PRIJEM	\N	71	17223	UROK	\N	\N
3534801	127	1995-04-30	PRIJEM	\N	74	18405	UROK	\N	\N
3534802	127	1995-05-31	PRIJEM	\N	79	18691	UROK	\N	\N
3534803	127	1995-06-30	PRIJEM	\N	67	14225	UROK	\N	\N
3534804	127	1995-07-31	PRIJEM	\N	62	14974	UROK	\N	\N
3534805	127	1995-08-31	PRIJEM	\N	65	16146	UROK	\N	\N
3534806	127	1995-09-30	PRIJEM	\N	68	15882	UROK	\N	\N
3534807	127	1995-10-31	PRIJEM	\N	69	17058	UROK	\N	\N
3534808	127	1995-11-30	PRIJEM	\N	71	15736	UROK	\N	\N
3534809	127	1995-12-31	PRIJEM	\N	67	15370	UROK	\N	\N
3534810	127	1996-01-31	PRIJEM	\N	57	12434	UROK	\N	\N
3534811	127	1996-02-29	PRIJEM	\N	54	13596	UROK	\N	\N
3534812	127	1996-03-31	PRIJEM	\N	58	13562	UROK	\N	\N
3534813	127	1996-04-30	PRIJEM	\N	58	14457	UROK	\N	\N
3534814	127	1996-05-31	PRIJEM	\N	60	13825	UROK	\N	\N
3534815	127	1996-06-30	PRIJEM	\N	55	11687	UROK	\N	\N
3534816	127	1996-07-31	PRIJEM	\N	51	12846	UROK	\N	\N
3534817	127	1996-08-31	PRIJEM	\N	52	11605	UROK	\N	\N
3534818	127	1996-09-30	PRIJEM	\N	51	12763	UROK	\N	\N
3534819	127	1996-10-31	PRIJEM	\N	55	13926	UROK	\N	\N
3534820	127	1996-11-30	PRIJEM	\N	54	11887	UROK	\N	\N
3534821	127	1996-12-31	PRIJEM	\N	52	13047	UROK	\N	\N
3534822	127	1997-01-31	PRIJEM	\N	54	12918	UROK	\N	\N
3534823	127	1997-02-28	PRIJEM	\N	56	14081	UROK	\N	\N
3534824	127	1997-03-31	PRIJEM	\N	61	15249	UROK	\N	\N
3534825	127	1997-04-30	PRIJEM	\N	66	16422	UROK	\N	\N
3534826	127	1997-05-31	PRIJEM	\N	61	12890	UROK	\N	\N
3534827	127	1997-06-30	PRIJEM	\N	56	14053	UROK	\N	\N
3534828	127	1997-07-31	PRIJEM	\N	60	15221	UROK	\N	\N
3534829	127	1997-08-31	PRIJEM	\N	65	16393	UROK	\N	\N
3534830	127	1997-09-30	PRIJEM	\N	70	17571	UROK	\N	\N
3534831	127	1997-10-31	PRIJEM	\N	65	12343	UROK	\N	\N
3534832	127	1997-11-30	PRIJEM	\N	53	13503	UROK	\N	\N
3534833	127	1997-12-31	PRIJEM	\N	57	14278	UROK	\N	\N
3534834	127	1998-01-31	PRIJEM	\N	60	14335	UROK	\N	\N
3534835	127	1998-02-28	PRIJEM	\N	61	15503	UROK	\N	\N
3534836	127	1998-03-31	PRIJEM	\N	58	13268	UROK	\N	\N
3534837	127	1998-04-30	PRIJEM	\N	52	12228	UROK	\N	\N
3534838	127	1998-05-31	PRIJEM	\N	52	13388	UROK	\N	\N
3534839	127	1998-06-30	PRIJEM	\N	57	14553	UROK	\N	\N
3534840	127	1998-07-31	PRIJEM	\N	60	14790	UROK	\N	\N
3534841	127	1998-08-31	PRIJEM	\N	63	15751	UROK	\N	\N
3534842	127	1998-09-30	PRIJEM	\N	67	16925	UROK	\N	\N
3534843	127	1998-10-31	PRIJEM	\N	68	16220	UROK	\N	\N
3534844	127	1998-11-30	PRIJEM	\N	69	17396	UROK	\N	\N
3534845	127	1998-12-31	PRIJEM	\N	72	17546	UROK	\N	\N
3534846	129	1997-10-31	PRIJEM	\N	25	7623	UROK	\N	\N
3534847	129	1997-11-30	PRIJEM	\N	32	14652	UROK	\N	\N
3534848	129	1997-12-31	PRIJEM	\N	35	18285	UROK	\N	\N
3534849	129	1998-01-31	PRIJEM	\N	77	21360	UROK	\N	\N
3534850	129	1998-02-28	PRIJEM	\N	98	24776	UROK	\N	\N
3534851	129	1998-03-31	PRIJEM	\N	106	25049	UROK	\N	\N
3534852	129	1998-04-30	PRIJEM	\N	114	23430	UROK	\N	\N
3534853	129	1998-05-31	PRIJEM	\N	104	22240	UROK	\N	\N
3534854	129	1998-06-30	PRIJEM	\N	103	23809	UROK	\N	\N
3534855	129	1998-07-31	PRIJEM	\N	110	25485	UROK	\N	\N
3534856	129	1998-08-31	PRIJEM	\N	115	25467	UROK	\N	\N
3534857	129	1998-09-30	PRIJEM	\N	112	21946	UROK	\N	\N
3534858	129	1998-10-31	PRIJEM	\N	98	19710	UROK	\N	\N
3534859	129	1998-11-30	PRIJEM	\N	89	17565	UROK	\N	\N
3534860	129	1998-12-31	PRIJEM	\N	82	19863	UROK	\N	\N
3534861	130	1997-06-30	PRIJEM	\N	67	25319	UROK	\N	\N
3534862	130	1997-07-31	PRIJEM	\N	106	32238	UROK	\N	\N
3534863	130	1997-08-31	PRIJEM	\N	137	32024	UROK	\N	\N
3534864	130	1997-09-30	PRIJEM	\N	126	29340	UROK	\N	\N
3534865	130	1997-10-31	PRIJEM	\N	123	28012	UROK	\N	\N
3534866	130	1997-11-30	PRIJEM	\N	125	30966	UROK	\N	\N
3534867	130	1997-12-31	PRIJEM	\N	135	32780	UROK	\N	\N
3534868	130	1998-01-31	PRIJEM	\N	128	28938	UROK	\N	\N
3534869	130	1998-02-28	PRIJEM	\N	126	31293	UROK	\N	\N
3534870	130	1998-03-31	PRIJEM	\N	122	28945	UROK	\N	\N
3534871	130	1998-04-30	PRIJEM	\N	115	27369	UROK	\N	\N
3534872	130	1998-05-31	PRIJEM	\N	122	30321	UROK	\N	\N
3534873	130	1998-06-30	PRIJEM	\N	101	21901	UROK	\N	\N
3534874	130	1998-07-31	PRIJEM	\N	88	21298	UROK	\N	\N
3534875	130	1998-08-31	PRIJEM	\N	86	19733	UROK	\N	\N
3534876	130	1998-09-30	PRIJEM	\N	90	22653	UROK	\N	\N
3534877	130	1998-10-31	PRIJEM	\N	102	25584	UROK	\N	\N
3534878	130	1998-11-30	PRIJEM	\N	111	27524	UROK	\N	\N
3534879	130	1998-12-31	PRIJEM	\N	118	29171	UROK	\N	\N
3534880	131	1995-06-30	PRIJEM	\N	42	16676	UROK	\N	\N
3534881	131	1995-07-31	PRIJEM	\N	92	25523	UROK	\N	\N
3534882	131	1995-08-31	PRIJEM	\N	134	36714	UROK	\N	\N
3534883	131	1995-09-30	PRIJEM	\N	169	43339	UROK	\N	\N
3534884	131	1995-10-31	PRIJEM	\N	177	42172	UROK	\N	\N
3534885	131	1995-11-30	PRIJEM	\N	157	37066	UROK	\N	\N
3534886	131	1995-12-31	PRIJEM	\N	150	39031	UROK	\N	\N
3534887	131	1996-01-31	PRIJEM	\N	124	23592	UROK	\N	\N
3534888	131	1996-02-29	PRIJEM	\N	111	28440	UROK	\N	\N
3534889	131	1996-03-31	PRIJEM	\N	118	30296	UROK	\N	\N
3534890	131	1996-04-30	PRIJEM	\N	114	27547	UROK	\N	\N
3534891	131	1996-05-31	PRIJEM	\N	108	26093	UROK	\N	\N
3534892	131	1996-06-30	PRIJEM	\N	93	14601	UROK	\N	\N
3534893	131	1996-07-31	PRIJEM	\N	70	19608	UROK	\N	\N
3534894	131	1996-08-31	PRIJEM	\N	69	18115	UROK	\N	\N
3534895	131	1996-09-30	PRIJEM	\N	61	15913	UROK	\N	\N
3534896	131	1996-10-31	PRIJEM	\N	75	19425	UROK	\N	\N
3534897	131	1996-11-30	PRIJEM	\N	70	18332	UROK	\N	\N
3534898	131	1996-12-31	PRIJEM	\N	90	25937	UROK	\N	\N
3534899	131	1997-01-31	PRIJEM	\N	65	14439	UROK	\N	\N
3534900	131	1997-02-28	PRIJEM	\N	68	17945	UROK	\N	\N
3534901	131	1997-03-31	PRIJEM	\N	83	21465	UROK	\N	\N
3534902	131	1997-04-30	PRIJEM	\N	66	17669	UROK	\N	\N
3534903	131	1997-05-31	PRIJEM	\N	82	21188	UROK	\N	\N
3534904	131	1997-06-30	PRIJEM	\N	100	18103	UROK	\N	\N
3534905	131	1997-07-31	PRIJEM	\N	84	21624	UROK	\N	\N
3534906	131	1997-08-31	PRIJEM	\N	96	23558	UROK	\N	\N
3534907	131	1997-09-30	PRIJEM	\N	106	27101	UROK	\N	\N
3534908	131	1997-10-31	PRIJEM	\N	121	30659	UROK	\N	\N
3534909	131	1997-11-30	PRIJEM	\N	136	34232	UROK	\N	\N
3534910	131	1997-12-31	PRIJEM	\N	163	42411	UROK	\N	\N
3534911	131	1998-01-31	PRIJEM	\N	145	24993	UROK	\N	\N
3534912	131	1998-02-28	PRIJEM	\N	111	28542	UROK	\N	\N
3534913	131	1998-03-31	PRIJEM	\N	127	32106	UROK	\N	\N
3534914	131	1998-04-30	PRIJEM	\N	141	35685	UROK	\N	\N
3534915	131	1998-05-31	PRIJEM	\N	156	39279	UROK	\N	\N
3534916	131	1998-06-30	PRIJEM	\N	181	44775	UROK	\N	\N
3534917	131	1998-07-31	PRIJEM	\N	172	15384	UROK	\N	\N
3534918	131	1998-08-31	PRIJEM	\N	72	18893	UROK	\N	\N
3534919	131	1998-09-30	PRIJEM	\N	86	22416	UROK	\N	\N
3534920	131	1998-10-31	PRIJEM	\N	101	25955	UROK	\N	\N
3534921	131	1998-11-30	PRIJEM	\N	115	29507	UROK	\N	\N
3534922	131	1998-12-31	PRIJEM	\N	133	36355	UROK	\N	\N
3534923	132	1996-05-31	PRIJEM	\N	117	82246	UROK	\N	\N
3534924	132	1996-06-30	PRIJEM	\N	345	87751	UROK	\N	\N
3534925	132	1996-07-31	PRIJEM	\N	362	68501	UROK	\N	\N
3534926	132	1996-08-31	PRIJEM	\N	200	36100	UROK	\N	\N
3534927	132	1996-09-30	PRIJEM	\N	210	51246	UROK	\N	\N
3534928	132	1996-10-31	PRIJEM	\N	283	79008	UROK	\N	\N
3534929	132	1996-11-30	PRIJEM	\N	252	64515	UROK	\N	\N
3534930	132	1996-12-31	PRIJEM	\N	196	63725	UROK	\N	\N
3534931	132	1997-01-31	PRIJEM	\N	195	41023	UROK	\N	\N
3534932	132	1997-02-28	PRIJEM	\N	119	20158	UROK	\N	\N
3534933	132	1997-03-31	PRIJEM	\N	229	75410	UROK	\N	\N
3534934	132	1997-04-30	PRIJEM	\N	230	64730	UROK	\N	\N
3534935	132	1997-05-31	PRIJEM	\N	177	38859	UROK	\N	\N
3534936	132	1997-06-30	PRIJEM	\N	90	16526	UROK	\N	\N
3534937	132	1997-07-31	PRIJEM	\N	105	22614	UROK	\N	\N
3534938	132	1997-08-31	PRIJEM	\N	68	12912	UROK	\N	\N
3534939	132	1997-09-30	PRIJEM	\N	276	97336	UROK	\N	\N
3534940	132	1997-10-31	PRIJEM	\N	363	90102	UROK	\N	\N
3534941	132	1997-11-30	PRIJEM	\N	364	101112	UROK	\N	\N
3534942	132	1997-12-31	PRIJEM	\N	220	37068	UROK	\N	\N
3534943	132	1998-01-31	PRIJEM	\N	71	10439	UROK	\N	\N
3534944	132	1998-02-28	PRIJEM	\N	42	10381	UROK	\N	\N
3534945	132	1998-03-31	PRIJEM	\N	56	23191	UROK	\N	\N
3534946	132	1998-04-30	PRIJEM	\N	79	11370	UROK	\N	\N
3534947	132	1998-05-31	PRIJEM	\N	293	84640	UROK	\N	\N
3534948	132	1998-06-30	PRIJEM	\N	357	112025	UROK	\N	\N
3534949	132	1998-07-31	PRIJEM	\N	247	33682	UROK	\N	\N
3534950	132	1998-08-31	PRIJEM	\N	166	38954	UROK	\N	\N
3534951	132	1998-09-30	PRIJEM	\N	220	36893	UROK	\N	\N
3534952	132	1998-10-31	PRIJEM	\N	232	39086	UROK	\N	\N
3534953	132	1998-11-30	PRIJEM	\N	158	29744	UROK	\N	\N
3534954	132	1998-12-31	PRIJEM	\N	165	34557	UROK	\N	\N
3534955	133	1997-10-31	PRIJEM	\N	27	72493	UROK	\N	\N
3534956	133	1997-11-30	PRIJEM	\N	323	85288	UROK	\N	\N
3534957	133	1997-12-31	PRIJEM	\N	261	55356	UROK	\N	\N
3534958	133	1998-01-31	PRIJEM	\N	183	39086	UROK	\N	\N
3534959	133	1998-02-28	PRIJEM	\N	91	14307	UROK	\N	\N
3534960	133	1998-03-31	PRIJEM	\N	104	22372	UROK	\N	\N
3534961	133	1998-04-30	PRIJEM	\N	143	35298	UROK	\N	\N
3534962	133	1998-05-31	PRIJEM	\N	269	76056	UROK	\N	\N
3534963	133	1998-06-30	PRIJEM	\N	184	19291	UROK	\N	\N
3534964	133	1998-07-31	PRIJEM	\N	100	23554	UROK	\N	\N
3534965	133	1998-08-31	PRIJEM	\N	77	16435	UROK	\N	\N
3534966	133	1998-09-30	PRIJEM	\N	144	39253	UROK	\N	\N
3534967	133	1998-10-31	PRIJEM	\N	144	54375	UROK	\N	\N
3534968	133	1998-11-30	PRIJEM	\N	379	99947	UROK	\N	\N
3534969	133	1998-12-31	PRIJEM	\N	219	46582	UROK	\N	\N
3534970	136	1996-09-30	PRIJEM	\N	71	25683	UROK	\N	\N
3534971	136	1996-10-31	PRIJEM	\N	107	25668	UROK	\N	\N
3534972	136	1996-11-30	PRIJEM	\N	106	25805	UROK	\N	\N
3534973	136	1996-12-31	PRIJEM	\N	111	27898	UROK	\N	\N
3534974	136	1997-01-31	PRIJEM	\N	108	23437	UROK	\N	\N
3534975	136	1997-02-28	PRIJEM	\N	100	25569	UROK	\N	\N
3534976	136	1997-03-31	PRIJEM	\N	104	25205	UROK	\N	\N
3534977	136	1997-04-30	PRIJEM	\N	102	24738	UROK	\N	\N
3534978	136	1997-05-31	PRIJEM	\N	87	20156	UROK	\N	\N
3534979	136	1997-06-30	PRIJEM	\N	74	18062	UROK	\N	\N
3534980	136	1997-07-31	PRIJEM	\N	85	21578	UROK	\N	\N
3534981	136	1997-08-31	PRIJEM	\N	74	17484	UROK	\N	\N
3534982	136	1997-09-30	PRIJEM	\N	67	16782	UROK	\N	\N
3534983	136	1997-10-31	PRIJEM	\N	70	17883	UROK	\N	\N
3534984	136	1997-11-30	PRIJEM	\N	71	18086	UROK	\N	\N
3534985	136	1997-12-31	PRIJEM	\N	61	14778	UROK	\N	\N
3534986	136	1998-01-31	PRIJEM	\N	56	13165	UROK	\N	\N
3534987	136	1998-02-28	PRIJEM	\N	64	16661	UROK	\N	\N
3534988	136	1998-03-31	PRIJEM	\N	73	18765	UROK	\N	\N
3534989	136	1998-04-30	PRIJEM	\N	86	21881	UROK	\N	\N
3534990	136	1998-05-31	PRIJEM	\N	92	23205	UROK	\N	\N
3534991	136	1998-06-30	PRIJEM	\N	94	23730	UROK	\N	\N
3534992	136	1998-07-31	PRIJEM	\N	95	24357	UROK	\N	\N
3534993	136	1998-08-31	PRIJEM	\N	104	26393	UROK	\N	\N
3534994	136	1998-09-30	PRIJEM	\N	115	29139	UROK	\N	\N
3534995	136	1998-10-31	PRIJEM	\N	123	29893	UROK	\N	\N
3534996	136	1998-11-30	PRIJEM	\N	125	31249	UROK	\N	\N
3534997	136	1998-12-31	PRIJEM	\N	115	27095	UROK	\N	\N
3534998	137	1996-08-31	PRIJEM	\N	44	23453	UROK	\N	\N
3534999	137	1996-09-30	PRIJEM	\N	119	34782	UROK	\N	\N
3535000	137	1996-10-31	PRIJEM	\N	159	42150	UROK	\N	\N
3535001	137	1996-11-30	PRIJEM	\N	185	47144	UROK	\N	\N
3535002	137	1996-12-31	PRIJEM	\N	232	52882	UROK	\N	\N
3535003	137	1997-01-31	PRIJEM	\N	204	39690	UROK	\N	\N
3535004	137	1997-02-28	PRIJEM	\N	185	42218	UROK	\N	\N
3535005	137	1997-03-31	PRIJEM	\N	193	41854	UROK	\N	\N
3535006	137	1997-04-30	PRIJEM	\N	182	38179	UROK	\N	\N
3535007	137	1997-05-31	PRIJEM	\N	163	36165	UROK	\N	\N
3535008	137	1997-06-30	PRIJEM	\N	180	39793	UROK	\N	\N
3535009	137	1997-07-31	PRIJEM	\N	171	38068	UROK	\N	\N
3535010	137	1997-08-31	PRIJEM	\N	160	34771	UROK	\N	\N
3535011	137	1997-09-30	PRIJEM	\N	150	33664	UROK	\N	\N
3535012	137	1997-10-31	PRIJEM	\N	131	26598	UROK	\N	\N
3535013	137	1997-11-30	PRIJEM	\N	113	25654	UROK	\N	\N
3535014	137	1997-12-31	PRIJEM	\N	126	27768	UROK	\N	\N
3535015	137	1998-01-31	PRIJEM	\N	101	17993	UROK	\N	\N
3535016	137	1998-02-28	PRIJEM	\N	90	23026	UROK	\N	\N
3535017	137	1998-03-31	PRIJEM	\N	102	23571	UROK	\N	\N
3535018	137	1998-04-30	PRIJEM	\N	105	24580	UROK	\N	\N
3535019	137	1998-05-31	PRIJEM	\N	86	19109	UROK	\N	\N
3535020	137	1998-06-30	PRIJEM	\N	94	21311	UROK	\N	\N
3535021	137	1998-07-31	PRIJEM	\N	80	16534	UROK	\N	\N
3535022	137	1998-08-31	PRIJEM	\N	120	33918	UROK	\N	\N
3535023	137	1998-09-30	PRIJEM	\N	199	53060	UROK	\N	\N
3535024	137	1998-10-31	PRIJEM	\N	183	41386	UROK	\N	\N
3535025	137	1998-11-30	PRIJEM	\N	215	56585	UROK	\N	\N
3535026	137	1998-12-31	PRIJEM	\N	197	49569	UROK	\N	\N
3535027	141	1996-03-31	PRIJEM	\N	96	31161	UROK	\N	\N
3535028	141	1996-04-30	PRIJEM	\N	205	55931	UROK	\N	\N
3535029	141	1996-05-31	PRIJEM	\N	272	68868	UROK	\N	\N
3535030	141	1996-06-30	PRIJEM	\N	349	89665	UROK	\N	\N
3535031	141	1996-07-31	PRIJEM	\N	345	72680	UROK	\N	\N
3535032	141	1996-08-31	PRIJEM	\N	265	64626	UROK	\N	\N
3535033	141	1996-09-30	PRIJEM	\N	229	55737	UROK	\N	\N
3535034	141	1996-10-31	PRIJEM	\N	186	46404	UROK	\N	\N
3535035	141	1996-11-30	PRIJEM	\N	152	32418	UROK	\N	\N
3535036	141	1996-12-31	PRIJEM	\N	198	54781	UROK	\N	\N
3535037	141	1997-01-31	PRIJEM	\N	140	12209	UROK	\N	\N
3535038	141	1997-02-28	PRIJEM	\N	106	30497	UROK	\N	\N
3535039	141	1997-03-31	PRIJEM	\N	130	34809	UROK	\N	\N
3535040	141	1997-04-30	PRIJEM	\N	118	28908	UROK	\N	\N
3535041	141	1997-05-31	PRIJEM	\N	125	21214	UROK	\N	\N
3535042	141	1997-06-30	PRIJEM	\N	152	22330	UROK	\N	\N
3535043	141	1997-07-31	PRIJEM	\N	142	21854	UROK	\N	\N
3535044	141	1997-08-31	PRIJEM	\N	139	23774	UROK	\N	\N
3535045	141	1997-09-30	PRIJEM	\N	142	19298	UROK	\N	\N
3535046	141	1997-10-31	PRIJEM	\N	115	13793	UROK	\N	\N
3535047	141	1997-11-30	PRIJEM	\N	101	12875	UROK	\N	\N
3535048	141	1997-12-31	PRIJEM	\N	108	29421	UROK	\N	\N
3535049	141	1998-01-31	PRIJEM	\N	149	25552	UROK	\N	\N
3535050	141	1998-02-28	PRIJEM	\N	145	21478	UROK	\N	\N
3535051	141	1998-03-31	PRIJEM	\N	127	17286	UROK	\N	\N
3535052	141	1998-04-30	PRIJEM	\N	111	15579	UROK	\N	\N
3535053	141	1998-05-31	PRIJEM	\N	114	29818	UROK	\N	\N
3535054	141	1998-06-30	PRIJEM	\N	185	20868	UROK	\N	\N
3535055	141	1998-07-31	PRIJEM	\N	143	39193	UROK	\N	\N
3535056	141	1998-08-31	PRIJEM	\N	142	33779	UROK	\N	\N
3535057	141	1998-09-30	PRIJEM	\N	183	48543	UROK	\N	\N
3535058	141	1998-10-31	PRIJEM	\N	197	21822	UROK	\N	\N
3535059	141	1998-11-30	PRIJEM	\N	126	30403	UROK	\N	\N
3535060	141	1998-12-31	PRIJEM	\N	210	54878	UROK	\N	\N
3535061	142	1993-07-31	PRIJEM	\N	50	17760	UROK	\N	\N
3535062	142	1993-08-31	PRIJEM	\N	79	16934	UROK	\N	\N
3535063	142	1993-09-30	PRIJEM	\N	77	19707	UROK	\N	\N
3535064	142	1993-10-31	PRIJEM	\N	82	19364	UROK	\N	\N
3535065	142	1993-11-30	PRIJEM	\N	87	22147	UROK	\N	\N
3535066	142	1993-12-31	PRIJEM	\N	98	23340	UROK	\N	\N
3535067	142	1994-01-31	PRIJEM	\N	89	20275	UROK	\N	\N
3535068	142	1994-02-28	PRIJEM	\N	89	21659	UROK	\N	\N
3535069	142	1994-03-31	PRIJEM	\N	97	24352	UROK	\N	\N
3535070	142	1994-04-30	PRIJEM	\N	102	22309	UROK	\N	\N
3535071	142	1994-05-31	PRIJEM	\N	91	21596	UROK	\N	\N
3535072	142	1994-06-30	PRIJEM	\N	81	14272	UROK	\N	\N
3535073	142	1994-07-31	PRIJEM	\N	66	17033	UROK	\N	\N
3535074	142	1994-08-31	PRIJEM	\N	79	19408	UROK	\N	\N
3535075	142	1994-09-30	PRIJEM	\N	84	20107	UROK	\N	\N
3535076	142	1994-10-31	PRIJEM	\N	89	19511	UROK	\N	\N
3535077	142	1994-11-30	PRIJEM	\N	87	20894	UROK	\N	\N
3535078	142	1994-12-31	PRIJEM	\N	94	22433	UROK	\N	\N
3535079	142	1995-01-31	PRIJEM	\N	92	20370	UROK	\N	\N
3535080	142	1995-02-28	PRIJEM	\N	91	23157	UROK	\N	\N
3535081	142	1995-03-31	PRIJEM	\N	103	24555	UROK	\N	\N
3535082	142	1995-04-30	PRIJEM	\N	102	23313	UROK	\N	\N
3535083	142	1995-05-31	PRIJEM	\N	106	25614	UROK	\N	\N
3535084	142	1995-06-30	PRIJEM	\N	100	23410	UROK	\N	\N
3535085	142	1995-07-31	PRIJEM	\N	97	22642	UROK	\N	\N
3535086	142	1995-08-31	PRIJEM	\N	101	24539	UROK	\N	\N
3535087	142	1995-09-30	PRIJEM	\N	90	20404	UROK	\N	\N
3535088	142	1995-10-31	PRIJEM	\N	84	19783	UROK	\N	\N
3535089	142	1995-11-30	PRIJEM	\N	87	20965	UROK	\N	\N
3535090	142	1995-12-31	PRIJEM	\N	82	16763	UROK	\N	\N
3535091	142	1996-01-31	PRIJEM	\N	65	15023	UROK	\N	\N
3535092	142	1996-02-29	PRIJEM	\N	68	16986	UROK	\N	\N
3535093	142	1996-03-31	PRIJEM	\N	77	19758	UROK	\N	\N
3535094	142	1996-04-30	PRIJEM	\N	87	20540	UROK	\N	\N
3535095	142	1996-05-31	PRIJEM	\N	89	21125	UROK	\N	\N
3535096	142	1996-06-30	PRIJEM	\N	93	22314	UROK	\N	\N
3535097	142	1996-07-31	PRIJEM	\N	90	19099	UROK	\N	\N
3535098	142	1996-08-31	PRIJEM	\N	86	21880	UROK	\N	\N
3535099	142	1996-09-30	PRIJEM	\N	96	23872	UROK	\N	\N
3535100	142	1996-10-31	PRIJEM	\N	103	23870	UROK	\N	\N
3535101	142	1996-11-30	PRIJEM	\N	94	19460	UROK	\N	\N
3535102	142	1996-12-31	PRIJEM	\N	84	20890	UROK	\N	\N
3535103	142	1997-01-31	PRIJEM	\N	91	21177	UROK	\N	\N
3535104	142	1997-02-28	PRIJEM	\N	93	23965	UROK	\N	\N
3535105	142	1997-03-31	PRIJEM	\N	95	22836	UROK	\N	\N
3535106	142	1997-04-30	PRIJEM	\N	100	25031	UROK	\N	\N
3535107	142	1997-05-31	PRIJEM	\N	107	24533	UROK	\N	\N
3535108	142	1997-06-30	PRIJEM	\N	103	22932	UROK	\N	\N
3535109	142	1997-07-31	PRIJEM	\N	94	19162	UROK	\N	\N
3535110	142	1997-08-31	PRIJEM	\N	85	21942	UROK	\N	\N
3535111	142	1997-09-30	PRIJEM	\N	94	22831	UROK	\N	\N
3535112	142	1997-10-31	PRIJEM	\N	100	25627	UROK	\N	\N
3535113	142	1997-11-30	PRIJEM	\N	109	26431	UROK	\N	\N
3535114	142	1997-12-31	PRIJEM	\N	98	19754	UROK	\N	\N
3535115	142	1998-01-31	PRIJEM	\N	83	19732	UROK	\N	\N
3535116	142	1998-02-28	PRIJEM	\N	79	18906	UROK	\N	\N
3535117	142	1998-03-31	PRIJEM	\N	83	21685	UROK	\N	\N
3535118	142	1998-04-30	PRIJEM	\N	93	23754	UROK	\N	\N
3535119	142	1998-05-31	PRIJEM	\N	97	22546	UROK	\N	\N
3535120	142	1998-06-30	PRIJEM	\N	98	25139	UROK	\N	\N
3535121	142	1998-07-31	PRIJEM	\N	102	24257	UROK	\N	\N
3535122	142	1998-08-31	PRIJEM	\N	97	22869	UROK	\N	\N
3535123	142	1998-09-30	PRIJEM	\N	83	19648	UROK	\N	\N
3535124	142	1998-10-31	PRIJEM	\N	86	22429	UROK	\N	\N
3535125	142	1998-11-30	PRIJEM	\N	87	20312	UROK	\N	\N
3535126	142	1998-12-31	PRIJEM	\N	87	22244	UROK	\N	\N
3535127	143	1997-04-30	PRIJEM	\N	54	22302	UROK	\N	\N
3535128	143	1997-05-31	PRIJEM	\N	96	22655	UROK	\N	\N
3535129	143	1997-06-30	PRIJEM	\N	98	22491	UROK	\N	\N
3535130	143	1997-07-31	PRIJEM	\N	88	17796	UROK	\N	\N
3535131	143	1997-08-31	PRIJEM	\N	78	18011	UROK	\N	\N
3535132	143	1997-09-30	PRIJEM	\N	79	18528	UROK	\N	\N
3535133	143	1997-10-31	PRIJEM	\N	74	14819	UROK	\N	\N
3535134	143	1997-11-30	PRIJEM	\N	68	17224	UROK	\N	\N
3535135	143	1997-12-31	PRIJEM	\N	72	15183	UROK	\N	\N
3535136	143	1998-01-31	PRIJEM	\N	58	11218	UROK	\N	\N
3535137	143	1998-02-28	PRIJEM	\N	53	13908	UROK	\N	\N
3535138	143	1998-03-31	PRIJEM	\N	59	12605	UROK	\N	\N
3535139	143	1998-04-30	PRIJEM	\N	53	11195	UROK	\N	\N
3535140	143	1998-05-31	PRIJEM	\N	50	12083	UROK	\N	\N
3535141	143	1998-06-30	PRIJEM	\N	56	14776	UROK	\N	\N
3535142	143	1998-07-31	PRIJEM	\N	65	15679	UROK	\N	\N
3535143	143	1998-08-31	PRIJEM	\N	68	16484	UROK	\N	\N
3535144	143	1998-09-30	PRIJEM	\N	67	15268	UROK	\N	\N
3535145	143	1998-10-31	PRIJEM	\N	70	17975	UROK	\N	\N
3535146	143	1998-11-30	PRIJEM	\N	81	20694	UROK	\N	\N
3535147	143	1998-12-31	PRIJEM	\N	92	22773	UROK	\N	\N
3535148	145	1996-01-31	PRIJEM	\N	28	8351	UROK	\N	\N
3535149	145	1996-02-29	PRIJEM	\N	85	23759	UROK	\N	\N
3535150	145	1996-03-31	PRIJEM	\N	124	31306	UROK	\N	\N
3535151	145	1996-04-30	PRIJEM	\N	135	32864	UROK	\N	\N
3535152	145	1996-05-31	PRIJEM	\N	121	28293	UROK	\N	\N
3535153	145	1996-06-30	PRIJEM	\N	124	30422	UROK	\N	\N
3535154	145	1996-07-31	PRIJEM	\N	122	27737	UROK	\N	\N
3535155	145	1996-08-31	PRIJEM	\N	124	33054	UROK	\N	\N
3535156	145	1996-09-30	PRIJEM	\N	145	33493	UROK	\N	\N
3535157	145	1996-10-31	PRIJEM	\N	135	31821	UROK	\N	\N
3535158	145	1996-11-30	PRIJEM	\N	141	34655	UROK	\N	\N
3535159	145	1996-12-31	PRIJEM	\N	161	35920	UROK	\N	\N
3535160	145	1997-01-31	PRIJEM	\N	131	30244	UROK	\N	\N
3535161	145	1997-02-28	PRIJEM	\N	136	36974	UROK	\N	\N
3535162	145	1997-03-31	PRIJEM	\N	152	39319	UROK	\N	\N
3535163	145	1997-04-30	PRIJEM	\N	173	43085	UROK	\N	\N
3535164	145	1997-05-31	PRIJEM	\N	199	43477	UROK	\N	\N
3535165	145	1997-06-30	PRIJEM	\N	190	45771	UROK	\N	\N
3535166	145	1997-07-31	PRIJEM	\N	211	48776	UROK	\N	\N
3535167	145	1997-08-31	PRIJEM	\N	218	49686	UROK	\N	\N
3535168	145	1997-09-30	PRIJEM	\N	209	48889	UROK	\N	\N
3535169	145	1997-10-31	PRIJEM	\N	208	48490	UROK	\N	\N
3535170	145	1997-11-30	PRIJEM	\N	217	48101	UROK	\N	\N
3535171	145	1997-12-31	PRIJEM	\N	215	52420	UROK	\N	\N
3535172	145	1998-01-31	PRIJEM	\N	217	50830	UROK	\N	\N
3535173	145	1998-02-28	PRIJEM	\N	224	57748	UROK	\N	\N
3535174	145	1998-03-31	PRIJEM	\N	227	55768	UROK	\N	\N
3535175	145	1998-04-30	PRIJEM	\N	247	56209	UROK	\N	\N
3535176	145	1998-05-31	PRIJEM	\N	234	53936	UROK	\N	\N
3535177	145	1998-06-30	PRIJEM	\N	162	35803	UROK	\N	\N
3535178	145	1998-07-31	PRIJEM	\N	164	43160	UROK	\N	\N
3535179	145	1998-08-31	PRIJEM	\N	200	48853	UROK	\N	\N
3535180	145	1998-09-30	PRIJEM	\N	221	57467	UROK	\N	\N
3535181	145	1998-10-31	PRIJEM	\N	248	56408	UROK	\N	\N
3535182	145	1998-11-30	PRIJEM	\N	248	58149	UROK	\N	\N
3535183	145	1998-12-31	PRIJEM	\N	260	62413	UROK	\N	\N
3535184	146	1993-09-30	PRIJEM	\N	17	6813	UROK	\N	\N
3535185	146	1993-10-31	PRIJEM	\N	28	13137	UROK	\N	\N
3535186	146	1993-11-30	PRIJEM	\N	28	19462	UROK	\N	\N
3535187	146	1993-12-31	PRIJEM	\N	28	25786	UROK	\N	\N
3535188	146	1994-01-31	PRIJEM	\N	84	25246	UROK	\N	\N
3535189	146	1994-02-28	PRIJEM	\N	111	27815	UROK	\N	\N
3535190	146	1994-03-31	PRIJEM	\N	122	30396	UROK	\N	\N
3535191	146	1994-04-30	PRIJEM	\N	112	23306	UROK	\N	\N
3535192	146	1994-05-31	PRIJEM	\N	98	22162	UROK	\N	\N
3535193	146	1994-06-30	PRIJEM	\N	79	19099	UROK	\N	\N
3535194	146	1994-07-31	PRIJEM	\N	86	19163	UROK	\N	\N
3535195	146	1994-08-31	PRIJEM	\N	86	21708	UROK	\N	\N
3535196	146	1994-09-30	PRIJEM	\N	97	24263	UROK	\N	\N
3535197	146	1994-10-31	PRIJEM	\N	105	23226	UROK	\N	\N
3535198	146	1994-11-30	PRIJEM	\N	101	23685	UROK	\N	\N
3535199	146	1994-12-31	PRIJEM	\N	103	23947	UROK	\N	\N
3535200	146	1995-01-31	PRIJEM	\N	87	16253	UROK	\N	\N
3535201	146	1995-02-28	PRIJEM	\N	73	18784	UROK	\N	\N
3535202	146	1995-03-31	PRIJEM	\N	84	21327	UROK	\N	\N
3535203	146	1995-04-30	PRIJEM	\N	89	19955	UROK	\N	\N
3535204	146	1995-05-31	PRIJEM	\N	89	22502	UROK	\N	\N
3535205	146	1995-06-30	PRIJEM	\N	73	17134	UROK	\N	\N
3535206	146	1995-07-31	PRIJEM	\N	77	19670	UROK	\N	\N
3535207	146	1995-08-31	PRIJEM	\N	88	22216	UROK	\N	\N
3535208	146	1995-09-30	PRIJEM	\N	98	24773	UROK	\N	\N
3535209	146	1995-10-31	PRIJEM	\N	109	27340	UROK	\N	\N
3535210	146	1995-11-30	PRIJEM	\N	120	29918	UROK	\N	\N
3535211	146	1995-12-31	PRIJEM	\N	127	30304	UROK	\N	\N
3535212	146	1996-01-31	PRIJEM	\N	107	16239	UROK	\N	\N
3535213	146	1996-02-29	PRIJEM	\N	73	18770	UROK	\N	\N
3535214	146	1996-03-31	PRIJEM	\N	81	19230	UROK	\N	\N
3535215	146	1996-04-30	PRIJEM	\N	86	21774	UROK	\N	\N
3535216	146	1996-05-31	PRIJEM	\N	92	22324	UROK	\N	\N
3535217	146	1996-06-30	PRIJEM	\N	98	24881	UROK	\N	\N
3535218	146	1996-07-31	PRIJEM	\N	108	23847	UROK	\N	\N
3535219	146	1996-08-31	PRIJEM	\N	105	26410	UROK	\N	\N
3535220	146	1996-09-30	PRIJEM	\N	110	26179	UROK	\N	\N
3535221	146	1996-10-31	PRIJEM	\N	114	28751	UROK	\N	\N
3535222	146	1996-11-30	PRIJEM	\N	114	28524	UROK	\N	\N
3535223	146	1996-12-31	PRIJEM	\N	124	31107	UROK	\N	\N
3535224	146	1997-01-31	PRIJEM	\N	105	21080	UROK	\N	\N
3535225	146	1997-02-28	PRIJEM	\N	93	23631	UROK	\N	\N
3535226	146	1997-03-31	PRIJEM	\N	104	26193	UROK	\N	\N
3535227	146	1997-04-30	PRIJEM	\N	114	28765	UROK	\N	\N
3535228	146	1997-05-31	PRIJEM	\N	108	25652	UROK	\N	\N
3535229	146	1997-06-30	PRIJEM	\N	102	17163	UROK	\N	\N
3535230	146	1997-07-31	PRIJEM	\N	76	19697	UROK	\N	\N
3535231	146	1997-08-31	PRIJEM	\N	85	18561	UROK	\N	\N
3535232	146	1997-09-30	PRIJEM	\N	82	21101	UROK	\N	\N
3535233	146	1997-10-31	PRIJEM	\N	93	23652	UROK	\N	\N
3535234	146	1997-11-30	PRIJEM	\N	102	22532	UROK	\N	\N
3535235	146	1997-12-31	PRIJEM	\N	98	25089	UROK	\N	\N
3535236	146	1998-01-31	PRIJEM	\N	83	16850	UROK	\N	\N
3535237	146	1998-02-28	PRIJEM	\N	74	19383	UROK	\N	\N
3535238	146	1998-03-31	PRIJEM	\N	85	21926	UROK	\N	\N
3535239	146	1998-04-30	PRIJEM	\N	95	24480	UROK	\N	\N
3535240	146	1998-05-31	PRIJEM	\N	102	23601	UROK	\N	\N
3535241	146	1998-06-30	PRIJEM	\N	102	26161	UROK	\N	\N
3535242	146	1998-07-31	PRIJEM	\N	113	28733	UROK	\N	\N
3535243	146	1998-08-31	PRIJEM	\N	117	29868	UROK	\N	\N
3535244	146	1998-09-30	PRIJEM	\N	122	31008	UROK	\N	\N
3535245	146	1998-10-31	PRIJEM	\N	133	33599	UROK	\N	\N
3535246	146	1998-11-30	PRIJEM	\N	143	36201	UROK	\N	\N
3535247	146	1998-12-31	PRIJEM	\N	154	38814	UROK	\N	\N
3535248	148	1993-11-30	PRIJEM	\N	3	17843	UROK	\N	\N
3535249	148	1993-12-31	PRIJEM	\N	75	18279	UROK	\N	\N
3535250	148	1994-01-31	PRIJEM	\N	71	14722	UROK	\N	\N
3535251	148	1994-02-28	PRIJEM	\N	62	14455	UROK	\N	\N
3535252	148	1994-03-31	PRIJEM	\N	61	14818	UROK	\N	\N
3535253	148	1994-04-30	PRIJEM	\N	63	16022	UROK	\N	\N
3535254	148	1994-05-31	PRIJEM	\N	68	17232	UROK	\N	\N
3535255	148	1994-06-30	PRIJEM	\N	73	18446	UROK	\N	\N
3535256	148	1994-07-31	PRIJEM	\N	74	18222	UROK	\N	\N
3535257	148	1994-08-31	PRIJEM	\N	77	19290	UROK	\N	\N
3535258	148	1994-09-30	PRIJEM	\N	80	19812	UROK	\N	\N
3535259	148	1994-10-31	PRIJEM	\N	84	21037	UROK	\N	\N
3535260	148	1994-11-30	PRIJEM	\N	88	22067	UROK	\N	\N
3535261	148	1994-12-31	PRIJEM	\N	93	23301	UROK	\N	\N
3535262	148	1995-01-31	PRIJEM	\N	89	19072	UROK	\N	\N
3535263	148	1995-02-28	PRIJEM	\N	80	20294	UROK	\N	\N
3535264	148	1995-03-31	PRIJEM	\N	83	20518	UROK	\N	\N
3535265	148	1995-04-30	PRIJEM	\N	83	20273	UROK	\N	\N
3535266	148	1995-05-31	PRIJEM	\N	83	20397	UROK	\N	\N
3535267	148	1995-06-30	PRIJEM	\N	81	19699	UROK	\N	\N
3535268	148	1995-07-31	PRIJEM	\N	83	20924	UROK	\N	\N
3535269	148	1995-08-31	PRIJEM	\N	87	21753	UROK	\N	\N
3535270	148	1995-09-30	PRIJEM	\N	87	21581	UROK	\N	\N
3535271	148	1995-10-31	PRIJEM	\N	91	22814	UROK	\N	\N
3535272	148	1995-11-30	PRIJEM	\N	92	22647	UROK	\N	\N
3535273	148	1995-12-31	PRIJEM	\N	89	21877	UROK	\N	\N
3535274	148	1996-01-31	PRIJEM	\N	66	13984	UROK	\N	\N
3535275	148	1996-02-29	PRIJEM	\N	59	15185	UROK	\N	\N
3535276	148	1996-03-31	PRIJEM	\N	60	14986	UROK	\N	\N
3535277	148	1996-04-30	PRIJEM	\N	56	13783	UROK	\N	\N
3535278	148	1996-05-31	PRIJEM	\N	55	14079	UROK	\N	\N
3535279	148	1996-06-30	PRIJEM	\N	58	14949	UROK	\N	\N
3535280	148	1996-07-31	PRIJEM	\N	52	12843	UROK	\N	\N
3535281	148	1996-08-31	PRIJEM	\N	54	14039	UROK	\N	\N
3535282	148	1996-09-30	PRIJEM	\N	59	15239	UROK	\N	\N
3535283	148	1996-10-31	PRIJEM	\N	64	16264	UROK	\N	\N
3535284	148	1996-11-30	PRIJEM	\N	67	16032	UROK	\N	\N
3535285	148	1996-12-31	PRIJEM	\N	67	17241	UROK	\N	\N
3535286	148	1997-01-31	PRIJEM	\N	67	14729	UROK	\N	\N
3535287	148	1997-02-28	PRIJEM	\N	62	15932	UROK	\N	\N
3535288	148	1997-03-31	PRIJEM	\N	66	16779	UROK	\N	\N
3535289	148	1997-04-30	PRIJEM	\N	70	17991	UROK	\N	\N
3535290	148	1997-05-31	PRIJEM	\N	70	17402	UROK	\N	\N
3535291	148	1997-06-30	PRIJEM	\N	70	17683	UROK	\N	\N
3535292	148	1997-07-31	PRIJEM	\N	74	18898	UROK	\N	\N
3535293	148	1997-08-31	PRIJEM	\N	79	20119	UROK	\N	\N
3535294	148	1997-09-30	PRIJEM	\N	84	21043	UROK	\N	\N
3535295	148	1997-10-31	PRIJEM	\N	86	21431	UROK	\N	\N
3535296	148	1997-11-30	PRIJEM	\N	81	20014	UROK	\N	\N
3535297	148	1997-12-31	PRIJEM	\N	83	21239	UROK	\N	\N
3535298	148	1998-01-31	PRIJEM	\N	76	15166	UROK	\N	\N
3535299	148	1998-02-28	PRIJEM	\N	63	16371	UROK	\N	\N
3535300	148	1998-03-31	PRIJEM	\N	68	17580	UROK	\N	\N
3535301	148	1998-04-30	PRIJEM	\N	70	17801	UROK	\N	\N
3535302	148	1998-05-31	PRIJEM	\N	74	19016	UROK	\N	\N
3535303	148	1998-06-30	PRIJEM	\N	79	20237	UROK	\N	\N
3535304	148	1998-07-31	PRIJEM	\N	84	21161	UROK	\N	\N
3535305	148	1998-08-31	PRIJEM	\N	88	22391	UROK	\N	\N
3535306	148	1998-09-30	PRIJEM	\N	93	23625	UROK	\N	\N
3535307	148	1998-10-31	PRIJEM	\N	98	24713	UROK	\N	\N
3535308	148	1998-11-30	PRIJEM	\N	102	25957	UROK	\N	\N
3535309	148	1998-12-31	PRIJEM	\N	107	27206	UROK	\N	\N
3535310	151	1993-09-30	PRIJEM	\N	18	5637	UROK	\N	\N
3535311	151	1993-10-31	PRIJEM	\N	73	21029	UROK	\N	\N
3535312	151	1993-11-30	PRIJEM	\N	112	28659	UROK	\N	\N
3535313	151	1993-12-31	PRIJEM	\N	138	34425	UROK	\N	\N
3535314	151	1994-01-31	PRIJEM	\N	105	13911	UROK	\N	\N
3535315	151	1994-02-28	PRIJEM	\N	79	20115	UROK	\N	\N
3535316	151	1994-03-31	PRIJEM	\N	102	25343	UROK	\N	\N
3535317	151	1994-04-30	PRIJEM	\N	119	28988	UROK	\N	\N
3535318	151	1994-05-31	PRIJEM	\N	123	27236	UROK	\N	\N
3535319	151	1994-06-30	PRIJEM	\N	100	19631	UROK	\N	\N
3535320	151	1994-07-31	PRIJEM	\N	82	18119	UROK	\N	\N
3535321	151	1994-08-31	PRIJEM	\N	80	19204	UROK	\N	\N
3535322	151	1994-09-30	PRIJEM	\N	95	23425	UROK	\N	\N
3535323	151	1994-10-31	PRIJEM	\N	104	24754	UROK	\N	\N
3535324	151	1994-11-30	PRIJEM	\N	102	24182	UROK	\N	\N
3535325	151	1994-12-31	PRIJEM	\N	104	23341	UROK	\N	\N
3535326	151	1995-01-31	PRIJEM	\N	84	17470	UROK	\N	\N
3535327	151	1995-02-28	PRIJEM	\N	77	19073	UROK	\N	\N
3535328	151	1995-03-31	PRIJEM	\N	79	16497	UROK	\N	\N
3535329	151	1995-04-30	PRIJEM	\N	72	18595	UROK	\N	\N
3535330	151	1995-05-31	PRIJEM	\N	87	20307	UROK	\N	\N
3535331	151	1995-06-30	PRIJEM	\N	94	22836	UROK	\N	\N
3535332	151	1995-07-31	PRIJEM	\N	88	16929	UROK	\N	\N
3535333	151	1995-08-31	PRIJEM	\N	74	18128	UROK	\N	\N
3535334	151	1995-09-30	PRIJEM	\N	67	16441	UROK	\N	\N
3535335	151	1995-10-31	PRIJEM	\N	74	15580	UROK	\N	\N
3535336	151	1995-11-30	PRIJEM	\N	71	13497	UROK	\N	\N
3535337	151	1995-12-31	PRIJEM	\N	62	17054	UROK	\N	\N
3535338	151	1996-01-31	PRIJEM	\N	60	14379	UROK	\N	\N
3535339	151	1996-02-29	PRIJEM	\N	65	17069	UROK	\N	\N
3535340	151	1996-03-31	PRIJEM	\N	66	12480	UROK	\N	\N
3535341	151	1996-04-30	PRIJEM	\N	54	12859	UROK	\N	\N
3535342	151	1996-05-31	PRIJEM	\N	57	12142	UROK	\N	\N
3535343	151	1996-06-30	PRIJEM	\N	58	12635	UROK	\N	\N
3535344	151	1996-07-31	PRIJEM	\N	52	11513	UROK	\N	\N
3535345	151	1996-08-31	PRIJEM	\N	52	14090	UROK	\N	\N
3535346	151	1996-09-30	PRIJEM	\N	56	12272	UROK	\N	\N
3535347	151	1996-10-31	PRIJEM	\N	52	12549	UROK	\N	\N
3535348	151	1996-11-30	PRIJEM	\N	61	14136	UROK	\N	\N
3535349	151	1996-12-31	PRIJEM	\N	61	12552	UROK	\N	\N
3535350	151	1997-01-31	PRIJEM	\N	49	11846	UROK	\N	\N
3535351	151	1997-02-28	PRIJEM	\N	52	13423	UROK	\N	\N
3535352	151	1997-03-31	PRIJEM	\N	59	15008	UROK	\N	\N
3535353	151	1997-04-30	PRIJEM	\N	65	16599	UROK	\N	\N
3535354	151	1997-05-31	PRIJEM	\N	72	18195	UROK	\N	\N
3535355	151	1997-06-30	PRIJEM	\N	70	15000	UROK	\N	\N
3535356	151	1997-07-31	PRIJEM	\N	60	14185	UROK	\N	\N
3535357	151	1997-08-31	PRIJEM	\N	62	15773	UROK	\N	\N
3535358	151	1997-09-30	PRIJEM	\N	66	15925	UROK	\N	\N
3535359	151	1997-10-31	PRIJEM	\N	67	16077	UROK	\N	\N
3535360	151	1997-11-30	PRIJEM	\N	69	17671	UROK	\N	\N
3535361	151	1997-12-31	PRIJEM	\N	79	19186	UROK	\N	\N
3535362	151	1998-01-31	PRIJEM	\N	60	12131	UROK	\N	\N
3535363	151	1998-02-28	PRIJEM	\N	53	13710	UROK	\N	\N
3535364	151	1998-03-31	PRIJEM	\N	59	15294	UROK	\N	\N
3535365	151	1998-04-30	PRIJEM	\N	63	15682	UROK	\N	\N
3535366	151	1998-05-31	PRIJEM	\N	65	15353	UROK	\N	\N
3535367	151	1998-06-30	PRIJEM	\N	71	19259	UROK	\N	\N
3535368	151	1998-07-31	PRIJEM	\N	82	20866	UROK	\N	\N
3535369	151	1998-08-31	PRIJEM	\N	85	20316	UROK	\N	\N
3535370	151	1998-09-30	PRIJEM	\N	86	20607	UROK	\N	\N
3535371	151	1998-10-31	PRIJEM	\N	94	22226	UROK	\N	\N
3535372	151	1998-11-30	PRIJEM	\N	92	22644	UROK	\N	\N
3535373	151	1998-12-31	PRIJEM	\N	96	24334	UROK	\N	\N
3535374	152	1996-05-31	PRIJEM	\N	43	16172	UROK	\N	\N
3535375	152	1996-06-30	PRIJEM	\N	99	27665	UROK	\N	\N
3535376	152	1996-07-31	PRIJEM	\N	123	30617	UROK	\N	\N
3535377	152	1996-08-31	PRIJEM	\N	125	29871	UROK	\N	\N
3535378	152	1996-09-30	PRIJEM	\N	118	26979	UROK	\N	\N
3535379	152	1996-10-31	PRIJEM	\N	99	22573	UROK	\N	\N
3535380	152	1996-11-30	PRIJEM	\N	88	19977	UROK	\N	\N
3535381	152	1996-12-31	PRIJEM	\N	69	14406	UROK	\N	\N
3535382	152	1997-01-31	PRIJEM	\N	64	13105	UROK	\N	\N
3535383	152	1997-02-28	PRIJEM	\N	62	15663	UROK	\N	\N
3535384	152	1997-03-31	PRIJEM	\N	72	16551	UROK	\N	\N
3535385	152	1997-04-30	PRIJEM	\N	81	19626	UROK	\N	\N
3535386	152	1997-05-31	PRIJEM	\N	73	15475	UROK	\N	\N
3535387	152	1997-06-30	PRIJEM	\N	71	16486	UROK	\N	\N
3535388	152	1997-07-31	PRIJEM	\N	73	17355	UROK	\N	\N
3535389	152	1997-08-31	PRIJEM	\N	74	17224	UROK	\N	\N
3535390	152	1997-09-30	PRIJEM	\N	73	16992	UROK	\N	\N
3535391	152	1997-10-31	PRIJEM	\N	65	14852	UROK	\N	\N
3535392	152	1997-11-30	PRIJEM	\N	75	18122	UROK	\N	\N
3535393	152	1997-12-31	PRIJEM	\N	67	13330	UROK	\N	\N
3535394	152	1998-01-31	PRIJEM	\N	55	12000	UROK	\N	\N
3535395	152	1998-02-28	PRIJEM	\N	59	14054	UROK	\N	\N
3535396	152	1998-03-31	PRIJEM	\N	77	18927	UROK	\N	\N
3535397	152	1998-04-30	PRIJEM	\N	90	21813	UROK	\N	\N
3535398	152	1998-05-31	PRIJEM	\N	92	21700	UROK	\N	\N
3535399	152	1998-06-30	PRIJEM	\N	110	27070	UROK	\N	\N
3535400	152	1998-07-31	PRIJEM	\N	104	24270	UROK	\N	\N
3535401	152	1998-08-31	PRIJEM	\N	104	24269	UROK	\N	\N
3535402	152	1998-09-30	PRIJEM	\N	105	21769	UROK	\N	\N
3535403	152	1998-10-31	PRIJEM	\N	93	17258	UROK	\N	\N
3535404	152	1998-11-30	PRIJEM	\N	70	14303	UROK	\N	\N
3535405	152	1998-12-31	PRIJEM	\N	72	18634	UROK	\N	\N
3535406	153	1993-10-31	PRIJEM	\N	35	20165	UROK	\N	\N
3535407	153	1993-11-30	PRIJEM	\N	100	29095	UROK	\N	\N
3535408	153	1993-12-31	PRIJEM	\N	138	38428	UROK	\N	\N
3535409	153	1994-01-31	PRIJEM	\N	157	37115	UROK	\N	\N
3535410	153	1994-02-28	PRIJEM	\N	141	28842	UROK	\N	\N
3535411	153	1994-03-31	PRIJEM	\N	129	28842	UROK	\N	\N
3535412	153	1994-04-30	PRIJEM	\N	133	31547	UROK	\N	\N
3535413	153	1994-05-31	PRIJEM	\N	140	32458	UROK	\N	\N
3535414	153	1994-06-30	PRIJEM	\N	156	37351	UROK	\N	\N
3535415	153	1994-07-31	PRIJEM	\N	154	33676	UROK	\N	\N
3535416	153	1994-08-31	PRIJEM	\N	161	29308	UROK	\N	\N
3535417	153	1994-09-30	PRIJEM	\N	126	29606	UROK	\N	\N
3535418	153	1994-10-31	PRIJEM	\N	105	19182	UROK	\N	\N
3535419	153	1994-11-30	PRIJEM	\N	89	19478	UROK	\N	\N
3535420	153	1994-12-31	PRIJEM	\N	102	24416	UROK	\N	\N
3535421	153	1995-01-31	PRIJEM	\N	100	19287	UROK	\N	\N
3535422	153	1995-02-28	PRIJEM	\N	95	25154	UROK	\N	\N
3535423	153	1995-03-31	PRIJEM	\N	102	21816	UROK	\N	\N
3535424	153	1995-04-30	PRIJEM	\N	99	24586	UROK	\N	\N
3535425	153	1995-05-31	PRIJEM	\N	100	23658	UROK	\N	\N
3535426	153	1995-06-30	PRIJEM	\N	116	20533	UROK	\N	\N
3535427	153	1995-07-31	PRIJEM	\N	110	22714	UROK	\N	\N
3535428	153	1995-08-31	PRIJEM	\N	68	13653	UROK	\N	\N
3535429	153	1995-09-30	PRIJEM	\N	66	16691	UROK	\N	\N
3535430	153	1995-10-31	PRIJEM	\N	85	21547	UROK	\N	\N
3535431	153	1995-11-30	PRIJEM	\N	87	20305	UROK	\N	\N
3535432	153	1995-12-31	PRIJEM	\N	107	26348	UROK	\N	\N
3535433	153	1996-01-31	PRIJEM	\N	99	20018	UROK	\N	\N
3535434	153	1996-02-29	PRIJEM	\N	119	30509	UROK	\N	\N
3535435	153	1996-03-31	PRIJEM	\N	113	24505	UROK	\N	\N
3535436	153	1996-04-30	PRIJEM	\N	126	33803	UROK	\N	\N
3535437	153	1996-05-31	PRIJEM	\N	139	31713	UROK	\N	\N
3535438	153	1996-06-30	PRIJEM	\N	176	44625	UROK	\N	\N
3535439	153	1996-07-31	PRIJEM	\N	146	33543	UROK	\N	\N
3535440	153	1996-08-31	PRIJEM	\N	147	35561	UROK	\N	\N
3535441	153	1996-09-30	PRIJEM	\N	126	27558	UROK	\N	\N
3535442	153	1996-10-31	PRIJEM	\N	133	32863	UROK	\N	\N
3535443	153	1996-11-30	PRIJEM	\N	124	25659	UROK	\N	\N
3535444	153	1996-12-31	PRIJEM	\N	128	28223	UROK	\N	\N
3535445	153	1997-01-31	PRIJEM	\N	82	16976	UROK	\N	\N
3535446	153	1997-02-28	PRIJEM	\N	83	22130	UROK	\N	\N
3535447	153	1997-03-31	PRIJEM	\N	112	27913	UROK	\N	\N
3535448	153	1997-04-30	PRIJEM	\N	122	29607	UROK	\N	\N
3535449	153	1997-05-31	PRIJEM	\N	115	27493	UROK	\N	\N
3535450	153	1997-06-30	PRIJEM	\N	110	32739	UROK	\N	\N
3535451	153	1997-07-31	PRIJEM	\N	100	13610	UROK	\N	\N
3535452	153	1997-08-31	PRIJEM	\N	77	14759	UROK	\N	\N
3535453	153	1997-09-30	PRIJEM	\N	82	18813	UROK	\N	\N
3535454	153	1997-10-31	PRIJEM	\N	87	16687	UROK	\N	\N
3535455	153	1997-11-30	PRIJEM	\N	86	17544	UROK	\N	\N
3535456	153	1997-12-31	PRIJEM	\N	95	18776	UROK	\N	\N
3535457	153	1998-01-31	PRIJEM	\N	89	15237	UROK	\N	\N
3535458	153	1998-02-28	PRIJEM	\N	85	24493	UROK	\N	\N
3535459	153	1998-03-31	PRIJEM	\N	114	17179	UROK	\N	\N
3535460	153	1998-04-30	PRIJEM	\N	88	17638	UROK	\N	\N
3535461	153	1998-05-31	PRIJEM	\N	89	17898	UROK	\N	\N
3535462	153	1998-06-30	PRIJEM	\N	102	16936	UROK	\N	\N
3535463	153	1998-07-31	PRIJEM	\N	93	26201	UROK	\N	\N
3535464	153	1998-08-31	PRIJEM	\N	111	24983	UROK	\N	\N
3535465	153	1998-09-30	PRIJEM	\N	107	17061	UROK	\N	\N
3535466	153	1998-10-31	PRIJEM	\N	81	15814	UROK	\N	\N
3535467	153	1998-11-30	PRIJEM	\N	74	14359	UROK	\N	\N
3535468	153	1998-12-31	PRIJEM	\N	92	22688	UROK	\N	\N
3535469	154	1994-07-31	PRIJEM	\N	30	20406	UROK	\N	\N
3535470	154	1994-08-31	PRIJEM	\N	97	28079	UROK	\N	\N
3535471	154	1994-09-30	PRIJEM	\N	123	32179	UROK	\N	\N
3535472	154	1994-10-31	PRIJEM	\N	141	36596	UROK	\N	\N
3535473	154	1994-11-30	PRIJEM	\N	151	36323	UROK	\N	\N
3535474	154	1994-12-31	PRIJEM	\N	179	39211	UROK	\N	\N
3535475	154	1995-01-31	PRIJEM	\N	160	25540	UROK	\N	\N
3535476	154	1995-02-28	PRIJEM	\N	128	30539	UROK	\N	\N
3535477	154	1995-03-31	PRIJEM	\N	151	37160	UROK	\N	\N
3535478	154	1995-04-30	PRIJEM	\N	169	35199	UROK	\N	\N
3535479	154	1995-05-31	PRIJEM	\N	158	36127	UROK	\N	\N
3535480	154	1995-06-30	PRIJEM	\N	162	23797	UROK	\N	\N
3535481	154	1995-07-31	PRIJEM	\N	131	33498	UROK	\N	\N
3535482	154	1995-08-31	PRIJEM	\N	162	39230	UROK	\N	\N
3535483	154	1995-09-30	PRIJEM	\N	168	37869	UROK	\N	\N
3535484	154	1995-10-31	PRIJEM	\N	167	38406	UROK	\N	\N
3535485	154	1995-11-30	PRIJEM	\N	174	41550	UROK	\N	\N
3535486	154	1995-12-31	PRIJEM	\N	186	42444	UROK	\N	\N
3535487	154	1996-01-31	PRIJEM	\N	146	32161	UROK	\N	\N
3535488	154	1996-02-29	PRIJEM	\N	150	36581	UROK	\N	\N
3535489	154	1996-03-31	PRIJEM	\N	166	38717	UROK	\N	\N
3535490	154	1996-04-30	PRIJEM	\N	168	39855	UROK	\N	\N
3535491	154	1996-05-31	PRIJEM	\N	170	40296	UROK	\N	\N
3535492	154	1996-06-30	PRIJEM	\N	176	28981	UROK	\N	\N
3535493	154	1996-07-31	PRIJEM	\N	148	37399	UROK	\N	\N
3535494	154	1996-08-31	PRIJEM	\N	182	45952	UROK	\N	\N
3535495	154	1996-09-30	PRIJEM	\N	194	47217	UROK	\N	\N
3535496	154	1996-10-31	PRIJEM	\N	203	49690	UROK	\N	\N
3535497	154	1996-11-30	PRIJEM	\N	234	58794	UROK	\N	\N
3535498	154	1996-12-31	PRIJEM	\N	281	70084	UROK	\N	\N
3535499	154	1997-01-31	PRIJEM	\N	257	55311	UROK	\N	\N
3535500	154	1997-02-28	PRIJEM	\N	246	62028	UROK	\N	\N
3535501	154	1997-03-31	PRIJEM	\N	262	64260	UROK	\N	\N
3535502	154	1997-04-30	PRIJEM	\N	263	64893	UROK	\N	\N
3535503	154	1997-05-31	PRIJEM	\N	257	62120	UROK	\N	\N
3535504	154	1997-06-30	PRIJEM	\N	295	67623	UROK	\N	\N
3535505	154	1997-07-31	PRIJEM	\N	267	65861	UROK	\N	\N
3535506	154	1997-08-31	PRIJEM	\N	261	64392	UROK	\N	\N
3535507	154	1997-09-30	PRIJEM	\N	264	64326	UROK	\N	\N
3535508	154	1997-10-31	PRIJEM	\N	280	69876	UROK	\N	\N
3535509	154	1997-11-30	PRIJEM	\N	308	77155	UROK	\N	\N
3535510	154	1997-12-31	PRIJEM	\N	355	88219	UROK	\N	\N
3535511	154	1998-01-31	PRIJEM	\N	308	73197	UROK	\N	\N
3535512	154	1998-02-28	PRIJEM	\N	317	78884	UROK	\N	\N
3535513	154	1998-03-31	PRIJEM	\N	341	84896	UROK	\N	\N
3535514	154	1998-04-30	PRIJEM	\N	337	81503	UROK	\N	\N
3535515	154	1998-05-31	PRIJEM	\N	355	88528	UROK	\N	\N
3535516	154	1998-06-30	PRIJEM	\N	371	77608	UROK	\N	\N
3535517	154	1998-07-31	PRIJEM	\N	332	73310	UROK	\N	\N
3535518	154	1998-08-31	PRIJEM	\N	332	76012	UROK	\N	\N
3535519	154	1998-09-30	PRIJEM	\N	343	80826	UROK	\N	\N
3535520	154	1998-10-31	PRIJEM	\N	360	80557	UROK	\N	\N
3535521	154	1998-11-30	PRIJEM	\N	358	79085	UROK	\N	\N
3535522	154	1998-12-31	PRIJEM	\N	367	92360	UROK	\N	\N
3535523	155	1995-11-30	PRIJEM	\N	12	4795	UROK	\N	\N
3535524	155	1995-12-31	PRIJEM	\N	70	24289	UROK	\N	\N
3535525	155	1996-01-31	PRIJEM	\N	112	28584	UROK	\N	\N
3535526	155	1996-02-29	PRIJEM	\N	130	33397	UROK	\N	\N
3535527	155	1996-03-31	PRIJEM	\N	152	38532	UROK	\N	\N
3535528	155	1996-04-30	PRIJEM	\N	141	34373	UROK	\N	\N
3535529	155	1996-05-31	PRIJEM	\N	147	36700	UROK	\N	\N
3535530	155	1996-06-30	PRIJEM	\N	101	23662	UROK	\N	\N
3535531	155	1996-07-31	PRIJEM	\N	103	25226	UROK	\N	\N
3535532	155	1996-08-31	PRIJEM	\N	104	25710	UROK	\N	\N
3535533	155	1996-09-30	PRIJEM	\N	108	27198	UROK	\N	\N
3535534	155	1996-10-31	PRIJEM	\N	103	25582	UROK	\N	\N
3535535	155	1996-11-30	PRIJEM	\N	106	26768	UROK	\N	\N
3535536	155	1996-12-31	PRIJEM	\N	109	26699	UROK	\N	\N
3535537	155	1997-01-31	PRIJEM	\N	72	17252	UROK	\N	\N
3535538	155	1997-02-28	PRIJEM	\N	75	18807	UROK	\N	\N
3535539	155	1997-03-31	PRIJEM	\N	86	22273	UROK	\N	\N
3535540	155	1997-04-30	PRIJEM	\N	92	21945	UROK	\N	\N
3535541	155	1997-05-31	PRIJEM	\N	98	22723	UROK	\N	\N
3535542	155	1997-06-30	PRIJEM	\N	95	23260	UROK	\N	\N
3535543	155	1997-07-31	PRIJEM	\N	99	21139	UROK	\N	\N
3535544	155	1997-08-31	PRIJEM	\N	93	24912	UROK	\N	\N
3535545	155	1997-09-30	PRIJEM	\N	108	27300	UROK	\N	\N
3535546	155	1997-10-31	PRIJEM	\N	117	29298	UROK	\N	\N
3535547	155	1997-11-30	PRIJEM	\N	127	34006	UROK	\N	\N
3535548	155	1997-12-31	PRIJEM	\N	150	38017	UROK	\N	\N
3535549	155	1998-01-31	PRIJEM	\N	99	24497	UROK	\N	\N
3535550	155	1998-02-28	PRIJEM	\N	110	32487	UROK	\N	\N
3535551	155	1998-03-31	PRIJEM	\N	137	32304	UROK	\N	\N
3535552	155	1998-04-30	PRIJEM	\N	136	32021	UROK	\N	\N
3535553	155	1998-05-31	PRIJEM	\N	132	29553	UROK	\N	\N
3535554	155	1998-06-30	PRIJEM	\N	121	29336	UROK	\N	\N
3535555	155	1998-07-31	PRIJEM	\N	117	29173	UROK	\N	\N
3535556	155	1998-08-31	PRIJEM	\N	119	27673	UROK	\N	\N
3535557	155	1998-09-30	PRIJEM	\N	114	24227	UROK	\N	\N
3535558	155	1998-10-31	PRIJEM	\N	98	21405	UROK	\N	\N
3535559	155	1998-11-30	PRIJEM	\N	82	16068	UROK	\N	\N
3535560	155	1998-12-31	PRIJEM	\N	75	19865	UROK	\N	\N
3535561	156	1998-03-31	PRIJEM	\N	3	18408	UROK	\N	\N
3535562	156	1998-04-30	PRIJEM	\N	78	18752	UROK	\N	\N
3535563	156	1998-05-31	PRIJEM	\N	82	20270	UROK	\N	\N
3535564	156	1998-06-30	PRIJEM	\N	71	13348	UROK	\N	\N
3535565	156	1998-07-31	PRIJEM	\N	59	14843	UROK	\N	\N
3535566	156	1998-08-31	PRIJEM	\N	65	16345	UROK	\N	\N
3535567	156	1998-09-30	PRIJEM	\N	72	17853	UROK	\N	\N
3535568	156	1998-10-31	PRIJEM	\N	71	16161	UROK	\N	\N
3535569	156	1998-11-30	PRIJEM	\N	66	15113	UROK	\N	\N
3535570	156	1998-12-31	PRIJEM	\N	66	16315	UROK	\N	\N
3535571	157	1997-07-31	PRIJEM	\N	22	27694	UROK	\N	\N
3535572	157	1997-08-31	PRIJEM	\N	118	25239	UROK	\N	\N
3535573	157	1997-09-30	PRIJEM	\N	108	22219	UROK	\N	\N
3535574	157	1997-10-31	PRIJEM	\N	95	20927	UROK	\N	\N
3535575	157	1997-11-30	PRIJEM	\N	93	22132	UROK	\N	\N
3535576	157	1997-12-31	PRIJEM	\N	96	21140	UROK	\N	\N
3535577	157	1998-01-31	PRIJEM	\N	76	12889	UROK	\N	\N
3535578	157	1998-02-28	PRIJEM	\N	61	15862	UROK	\N	\N
3535579	157	1998-03-31	PRIJEM	\N	74	18847	UROK	\N	\N
3535580	157	1998-04-30	PRIJEM	\N	86	21846	UROK	\N	\N
3535581	157	1998-05-31	PRIJEM	\N	98	24856	UROK	\N	\N
3535582	157	1998-06-30	PRIJEM	\N	89	19477	UROK	\N	\N
3535583	157	1998-07-31	PRIJEM	\N	93	21843	UROK	\N	\N
3535584	157	1998-08-31	PRIJEM	\N	98	24853	UROK	\N	\N
3535585	157	1998-09-30	PRIJEM	\N	113	26599	UROK	\N	\N
3535586	157	1998-10-31	PRIJEM	\N	118	29629	UROK	\N	\N
3535587	157	1998-11-30	PRIJEM	\N	131	32672	UROK	\N	\N
3535588	157	1998-12-31	PRIJEM	\N	143	33957	UROK	\N	\N
3535589	158	1995-04-30	PRIJEM	\N	55	23203	UROK	\N	\N
3535590	158	1995-05-31	PRIJEM	\N	125	35076	UROK	\N	\N
3535591	158	1995-06-30	PRIJEM	\N	172	45469	UROK	\N	\N
3535592	158	1995-07-31	PRIJEM	\N	194	47712	UROK	\N	\N
3535593	158	1995-08-31	PRIJEM	\N	205	47145	UROK	\N	\N
3535594	158	1995-09-30	PRIJEM	\N	207	47805	UROK	\N	\N
3535595	158	1995-10-31	PRIJEM	\N	200	46218	UROK	\N	\N
3535596	158	1995-11-30	PRIJEM	\N	195	46226	UROK	\N	\N
3535597	158	1995-12-31	PRIJEM	\N	215	52629	UROK	\N	\N
3535598	158	1996-01-31	PRIJEM	\N	183	33605	UROK	\N	\N
3535599	158	1996-02-29	PRIJEM	\N	152	35631	UROK	\N	\N
3535600	158	1996-03-31	PRIJEM	\N	156	36121	UROK	\N	\N
3535601	158	1996-04-30	PRIJEM	\N	156	36750	UROK	\N	\N
3535602	158	1996-05-31	PRIJEM	\N	167	41231	UROK	\N	\N
3535603	158	1996-06-30	PRIJEM	\N	185	45003	UROK	\N	\N
3535604	158	1996-07-31	PRIJEM	\N	169	34465	UROK	\N	\N
3535605	158	1996-08-31	PRIJEM	\N	151	34649	UROK	\N	\N
3535606	158	1996-09-30	PRIJEM	\N	148	35411	UROK	\N	\N
3535607	158	1996-10-31	PRIJEM	\N	161	38885	UROK	\N	\N
3535608	158	1996-11-30	PRIJEM	\N	205	50503	UROK	\N	\N
3535609	158	1996-12-31	PRIJEM	\N	271	66102	UROK	\N	\N
3535610	158	1997-01-31	PRIJEM	\N	199	39035	UROK	\N	\N
3535611	158	1997-02-28	PRIJEM	\N	200	49248	UROK	\N	\N
3535612	158	1997-03-31	PRIJEM	\N	219	52880	UROK	\N	\N
3535613	158	1997-04-30	PRIJEM	\N	221	52814	UROK	\N	\N
3535614	158	1997-05-31	PRIJEM	\N	203	46291	UROK	\N	\N
3535615	158	1997-06-30	PRIJEM	\N	201	49539	UROK	\N	\N
3535616	158	1997-07-31	PRIJEM	\N	201	47954	UROK	\N	\N
3535617	158	1997-08-31	PRIJEM	\N	189	41056	UROK	\N	\N
3535618	158	1997-09-30	PRIJEM	\N	169	42898	UROK	\N	\N
3535619	158	1997-10-31	PRIJEM	\N	181	26692	UROK	\N	\N
3535620	158	1997-11-30	PRIJEM	\N	170	30575	UROK	\N	\N
3535621	158	1997-12-31	PRIJEM	\N	222	37085	UROK	\N	\N
3535622	158	1998-01-31	PRIJEM	\N	144	21562	UROK	\N	\N
3535623	158	1998-02-28	PRIJEM	\N	146	26322	UROK	\N	\N
3535624	158	1998-03-31	PRIJEM	\N	159	21214	UROK	\N	\N
3535625	158	1998-04-30	PRIJEM	\N	142	19769	UROK	\N	\N
3535626	158	1998-05-31	PRIJEM	\N	141	36463	UROK	\N	\N
3535627	158	1998-06-30	PRIJEM	\N	177	19928	UROK	\N	\N
3535628	158	1998-07-31	PRIJEM	\N	132	19773	UROK	\N	\N
3535629	158	1998-08-31	PRIJEM	\N	113	15459	UROK	\N	\N
3535630	158	1998-09-30	PRIJEM	\N	127	36699	UROK	\N	\N
3535631	158	1998-10-31	PRIJEM	\N	185	24797	UROK	\N	\N
3535632	158	1998-11-30	PRIJEM	\N	136	15746	UROK	\N	\N
3535633	158	1998-12-31	PRIJEM	\N	132	17265	UROK	\N	\N
3535634	159	1997-03-31	PRIJEM	\N	58	22612	UROK	\N	\N
3535635	159	1997-04-30	PRIJEM	\N	120	32686	UROK	\N	\N
3535636	159	1997-05-31	PRIJEM	\N	154	39394	UROK	\N	\N
3535637	159	1997-06-30	PRIJEM	\N	185	47059	UROK	\N	\N
3535638	159	1997-07-31	PRIJEM	\N	186	42606	UROK	\N	\N
3535639	159	1997-08-31	PRIJEM	\N	160	36111	UROK	\N	\N
3535640	159	1997-09-30	PRIJEM	\N	148	35404	UROK	\N	\N
3535641	159	1997-10-31	PRIJEM	\N	187	38037	UROK	\N	\N
3535642	159	1997-11-30	PRIJEM	\N	149	34731	UROK	\N	\N
3535643	159	1997-12-31	PRIJEM	\N	144	34147	UROK	\N	\N
3535644	159	1998-01-31	PRIJEM	\N	128	21920	UROK	\N	\N
3535645	159	1998-02-28	PRIJEM	\N	129	31995	UROK	\N	\N
3535646	159	1998-03-31	PRIJEM	\N	137	29377	UROK	\N	\N
3535647	159	1998-04-30	PRIJEM	\N	154	38376	UROK	\N	\N
3535648	159	1998-05-31	PRIJEM	\N	183	44704	UROK	\N	\N
3535649	159	1998-06-30	PRIJEM	\N	204	46380	UROK	\N	\N
3535650	159	1998-07-31	PRIJEM	\N	199	47425	UROK	\N	\N
3535651	159	1998-08-31	PRIJEM	\N	193	44763	UROK	\N	\N
3535652	159	1998-09-30	PRIJEM	\N	248	60157	UROK	\N	\N
3535653	159	1998-10-31	PRIJEM	\N	286	69288	UROK	\N	\N
3535654	159	1998-11-30	PRIJEM	\N	334	80968	UROK	\N	\N
3535655	159	1998-12-31	PRIJEM	\N	390	94730	UROK	\N	\N
3535656	160	1993-09-30	PRIJEM	\N	32	12321	UROK	\N	\N
3535657	160	1993-10-31	PRIJEM	\N	95	28605	UROK	\N	\N
3535658	160	1993-11-30	PRIJEM	\N	149	40244	UROK	\N	\N
3535659	160	1993-12-31	PRIJEM	\N	199	52076	UROK	\N	\N
3535660	160	1994-01-31	PRIJEM	\N	173	31106	UROK	\N	\N
3535661	160	1994-02-28	PRIJEM	\N	123	27817	UROK	\N	\N
3535662	160	1994-03-31	PRIJEM	\N	118	29364	UROK	\N	\N
3535663	160	1994-04-30	PRIJEM	\N	131	33043	UROK	\N	\N
3535664	160	1994-05-31	PRIJEM	\N	137	34129	UROK	\N	\N
3535665	160	1994-06-30	PRIJEM	\N	158	41480	UROK	\N	\N
3535666	160	1994-07-31	PRIJEM	\N	159	38787	UROK	\N	\N
3535667	160	1994-08-31	PRIJEM	\N	143	30578	UROK	\N	\N
3535668	160	1994-09-30	PRIJEM	\N	139	33166	UROK	\N	\N
3535669	160	1994-10-31	PRIJEM	\N	140	30374	UROK	\N	\N
3535670	160	1994-11-30	PRIJEM	\N	137	31259	UROK	\N	\N
3535671	160	1994-12-31	PRIJEM	\N	136	34928	UROK	\N	\N
3535672	160	1995-01-31	PRIJEM	\N	114	25610	UROK	\N	\N
3535673	160	1995-02-28	PRIJEM	\N	116	29735	UROK	\N	\N
3535674	160	1995-03-31	PRIJEM	\N	134	30617	UROK	\N	\N
3535675	160	1995-04-30	PRIJEM	\N	137	31503	UROK	\N	\N
3535676	160	1995-05-31	PRIJEM	\N	142	34693	UROK	\N	\N
3535677	160	1995-06-30	PRIJEM	\N	120	32186	UROK	\N	\N
3535678	160	1995-07-31	PRIJEM	\N	146	36181	UROK	\N	\N
3535679	160	1995-08-31	PRIJEM	\N	162	39030	UROK	\N	\N
3535680	160	1995-09-30	PRIJEM	\N	172	41551	UROK	\N	\N
3535681	160	1995-10-31	PRIJEM	\N	185	45684	UROK	\N	\N
3535682	160	1995-11-30	PRIJEM	\N	195	44228	UROK	\N	\N
3535683	160	1995-12-31	PRIJEM	\N	203	47664	UROK	\N	\N
3535684	160	1996-01-31	PRIJEM	\N	169	33642	UROK	\N	\N
3535685	160	1996-02-29	PRIJEM	\N	154	40144	UROK	\N	\N
3535686	160	1996-03-31	PRIJEM	\N	177	43069	UROK	\N	\N
3535687	160	1996-04-30	PRIJEM	\N	185	43403	UROK	\N	\N
3535688	160	1996-05-31	PRIJEM	\N	185	42736	UROK	\N	\N
3535689	160	1996-06-30	PRIJEM	\N	191	39700	UROK	\N	\N
3535690	160	1996-07-31	PRIJEM	\N	181	46409	UROK	\N	\N
3535691	160	1996-08-31	PRIJEM	\N	206	51763	UROK	\N	\N
3535692	160	1996-09-30	PRIJEM	\N	228	56940	UROK	\N	\N
3535693	160	1996-10-31	PRIJEM	\N	246	60134	UROK	\N	\N
3535694	160	1996-11-30	PRIJEM	\N	253	60235	UROK	\N	\N
3535695	160	1996-12-31	PRIJEM	\N	267	65515	UROK	\N	\N
3535696	160	1997-01-31	PRIJEM	\N	256	55859	UROK	\N	\N
3535697	160	1997-02-28	PRIJEM	\N	257	67065	UROK	\N	\N
3535698	160	1997-03-31	PRIJEM	\N	284	66737	UROK	\N	\N
3535699	160	1997-04-30	PRIJEM	\N	268	65894	UROK	\N	\N
3535700	160	1997-05-31	PRIJEM	\N	294	74636	UROK	\N	\N
3535701	160	1997-06-30	PRIJEM	\N	247	30276	UROK	\N	\N
3535702	160	1997-07-31	PRIJEM	\N	178	53003	UROK	\N	\N
3535703	160	1997-08-31	PRIJEM	\N	263	65414	UROK	\N	\N
3535704	160	1997-09-30	PRIJEM	\N	277	67639	UROK	\N	\N
3535705	160	1997-10-31	PRIJEM	\N	288	71735	UROK	\N	\N
3535706	160	1997-11-30	PRIJEM	\N	299	69643	UROK	\N	\N
3535707	160	1997-12-31	PRIJEM	\N	311	77547	UROK	\N	\N
3535708	160	1998-01-31	PRIJEM	\N	322	77217	UROK	\N	\N
3535709	160	1998-02-28	PRIJEM	\N	352	89617	UROK	\N	\N
3535710	160	1998-03-31	PRIJEM	\N	347	83533	UROK	\N	\N
3535711	160	1998-04-30	PRIJEM	\N	365	88886	UROK	\N	\N
3535712	160	1998-05-31	PRIJEM	\N	357	84491	UROK	\N	\N
3535713	160	1998-06-30	PRIJEM	\N	326	73690	UROK	\N	\N
3535714	160	1998-07-31	PRIJEM	\N	332	84171	UROK	\N	\N
3535715	160	1998-08-31	PRIJEM	\N	370	92489	UROK	\N	\N
3535716	160	1998-09-30	PRIJEM	\N	394	97832	UROK	\N	\N
3535717	160	1998-10-31	PRIJEM	\N	421	101101	UROK	\N	\N
3535718	160	1998-11-30	PRIJEM	\N	423	104472	UROK	\N	\N
3535719	160	1998-12-31	PRIJEM	\N	292	48938	UROK	\N	\N
3535720	161	1994-07-31	PRIJEM	\N	16	5335	UROK	\N	\N
3535721	161	1994-08-31	PRIJEM	\N	22	9776	UROK	\N	\N
3535722	161	1994-09-30	PRIJEM	\N	22	14217	UROK	\N	\N
3535723	161	1994-10-31	PRIJEM	\N	22	18658	UROK	\N	\N
3535724	161	1994-11-30	PRIJEM	\N	57	19442	UROK	\N	\N
3535725	161	1994-12-31	PRIJEM	\N	86	21051	UROK	\N	\N
3535726	161	1995-01-31	PRIJEM	\N	95	23269	UROK	\N	\N
3535727	161	1995-02-28	PRIJEM	\N	94	23007	UROK	\N	\N
3535728	161	1995-03-31	PRIJEM	\N	103	25233	UROK	\N	\N
3535729	161	1995-04-30	PRIJEM	\N	112	27468	UROK	\N	\N
3535730	161	1995-05-31	PRIJEM	\N	108	25419	UROK	\N	\N
3535731	161	1995-06-30	PRIJEM	\N	78	13171	UROK	\N	\N
3535732	161	1995-07-31	PRIJEM	\N	62	15356	UROK	\N	\N
3535733	161	1995-08-31	PRIJEM	\N	69	15148	UROK	\N	\N
3535734	161	1995-09-30	PRIJEM	\N	70	17341	UROK	\N	\N
3535735	161	1995-10-31	PRIJEM	\N	68	14572	UROK	\N	\N
3535736	161	1995-11-30	PRIJEM	\N	67	16763	UROK	\N	\N
3535737	161	1995-12-31	PRIJEM	\N	70	16646	UROK	\N	\N
3535738	161	1996-01-31	PRIJEM	\N	76	18846	UROK	\N	\N
3535739	161	1996-02-29	PRIJEM	\N	85	21054	UROK	\N	\N
3535740	161	1996-03-31	PRIJEM	\N	89	21147	UROK	\N	\N
3535741	161	1996-04-30	PRIJEM	\N	92	20963	UROK	\N	\N
3535742	161	1996-05-31	PRIJEM	\N	90	22136	UROK	\N	\N
3535743	161	1996-06-30	PRIJEM	\N	86	16145	UROK	\N	\N
3535744	161	1996-07-31	PRIJEM	\N	74	18342	UROK	\N	\N
3535745	161	1996-08-31	PRIJEM	\N	73	17578	UROK	\N	\N
3535746	161	1996-09-30	PRIJEM	\N	76	18578	UROK	\N	\N
3535747	161	1996-10-31	PRIJEM	\N	84	20785	UROK	\N	\N
3535748	161	1996-11-30	PRIJEM	\N	83	19971	UROK	\N	\N
3535749	161	1996-12-31	PRIJEM	\N	76	17930	UROK	\N	\N
3535750	161	1997-01-31	PRIJEM	\N	81	20134	UROK	\N	\N
3535751	161	1997-02-28	PRIJEM	\N	90	22348	UROK	\N	\N
3535752	161	1997-03-31	PRIJEM	\N	95	22406	UROK	\N	\N
3535753	161	1997-04-30	PRIJEM	\N	98	23988	UROK	\N	\N
3535754	161	1997-05-31	PRIJEM	\N	96	23327	UROK	\N	\N
3535755	161	1997-06-30	PRIJEM	\N	91	14842	UROK	\N	\N
3535756	161	1997-07-31	PRIJEM	\N	68	17033	UROK	\N	\N
3535757	161	1997-08-31	PRIJEM	\N	77	19233	UROK	\N	\N
3535758	161	1997-09-30	PRIJEM	\N	86	21443	UROK	\N	\N
3535759	161	1997-10-31	PRIJEM	\N	95	23661	UROK	\N	\N
3535760	161	1997-11-30	PRIJEM	\N	102	24987	UROK	\N	\N
3535761	161	1997-12-31	PRIJEM	\N	95	21355	UROK	\N	\N
3535762	161	1998-01-31	PRIJEM	\N	91	21170	UROK	\N	\N
3535763	161	1998-02-28	PRIJEM	\N	90	22663	UROK	\N	\N
3535764	161	1998-03-31	PRIJEM	\N	96	22003	UROK	\N	\N
3535765	161	1998-04-30	PRIJEM	\N	97	24223	UROK	\N	\N
3535766	161	1998-05-31	PRIJEM	\N	106	26453	UROK	\N	\N
3535767	161	1998-06-30	PRIJEM	\N	108	25584	UROK	\N	\N
3535768	161	1998-07-31	PRIJEM	\N	82	18750	UROK	\N	\N
3535769	161	1998-08-31	PRIJEM	\N	83	20957	UROK	\N	\N
3535770	161	1998-09-30	PRIJEM	\N	88	21468	UROK	\N	\N
3535771	161	1998-10-31	PRIJEM	\N	94	23285	UROK	\N	\N
3535772	161	1998-11-30	PRIJEM	\N	88	19396	UROK	\N	\N
3535773	161	1998-12-31	PRIJEM	\N	68	14837	UROK	\N	\N
3535774	162	1994-01-31	PRIJEM	\N	68	21350	UROK	\N	\N
3535775	162	1994-02-28	PRIJEM	\N	93	22058	UROK	\N	\N
3535776	162	1994-03-31	PRIJEM	\N	96	22990	UROK	\N	\N
3535777	162	1994-04-30	PRIJEM	\N	77	17583	UROK	\N	\N
3535778	162	1994-05-31	PRIJEM	\N	79	19377	UROK	\N	\N
3535779	162	1994-06-30	PRIJEM	\N	85	18476	UROK	\N	\N
3535780	162	1994-07-31	PRIJEM	\N	82	20274	UROK	\N	\N
3535781	162	1994-08-31	PRIJEM	\N	90	22079	UROK	\N	\N
3535782	162	1994-09-30	PRIJEM	\N	94	22089	UROK	\N	\N
3535783	162	1994-10-31	PRIJEM	\N	95	22940	UROK	\N	\N
3535784	162	1994-11-30	PRIJEM	\N	101	24756	UROK	\N	\N
3535785	162	1994-12-31	PRIJEM	\N	104	25126	UROK	\N	\N
3535786	162	1995-01-31	PRIJEM	\N	106	24947	UROK	\N	\N
3535787	162	1995-02-28	PRIJEM	\N	105	24767	UROK	\N	\N
3535788	162	1995-03-31	PRIJEM	\N	102	24185	UROK	\N	\N
3535789	162	1995-04-30	PRIJEM	\N	106	26006	UROK	\N	\N
3535790	162	1995-05-31	PRIJEM	\N	114	27835	UROK	\N	\N
3535791	162	1995-06-30	PRIJEM	\N	75	15876	UROK	\N	\N
3535792	162	1995-07-31	PRIJEM	\N	71	17662	UROK	\N	\N
3535793	162	1995-08-31	PRIJEM	\N	79	19456	UROK	\N	\N
3535794	162	1995-09-30	PRIJEM	\N	86	21258	UROK	\N	\N
3535795	162	1995-10-31	PRIJEM	\N	94	23067	UROK	\N	\N
3535796	162	1995-11-30	PRIJEM	\N	101	24883	UROK	\N	\N
3535797	162	1995-12-31	PRIJEM	\N	104	22623	UROK	\N	\N
3535798	162	1996-01-31	PRIJEM	\N	99	24437	UROK	\N	\N
3535799	162	1996-02-29	PRIJEM	\N	107	26259	UROK	\N	\N
3535800	162	1996-03-31	PRIJEM	\N	114	28089	UROK	\N	\N
3535801	162	1996-04-30	PRIJEM	\N	121	29285	UROK	\N	\N
3535802	162	1996-05-31	PRIJEM	\N	124	29684	UROK	\N	\N
3535803	162	1996-06-30	PRIJEM	\N	121	27421	UROK	\N	\N
3535804	162	1996-07-31	PRIJEM	\N	117	28293	UROK	\N	\N
3535805	162	1996-08-31	PRIJEM	\N	121	29490	UROK	\N	\N
3535806	162	1996-09-30	PRIJEM	\N	127	31332	UROK	\N	\N
3535807	162	1996-10-31	PRIJEM	\N	135	33183	UROK	\N	\N
3535808	162	1996-11-30	PRIJEM	\N	143	34842	UROK	\N	\N
3535809	162	1996-12-31	PRIJEM	\N	147	35654	UROK	\N	\N
3535810	162	1997-01-31	PRIJEM	\N	145	33135	UROK	\N	\N
3535811	162	1997-02-28	PRIJEM	\N	142	34992	UROK	\N	\N
3535812	162	1997-03-31	PRIJEM	\N	142	31249	UROK	\N	\N
3535813	162	1997-04-30	PRIJEM	\N	127	30371	UROK	\N	\N
3535814	162	1997-05-31	PRIJEM	\N	131	32217	UROK	\N	\N
3535815	162	1997-06-30	PRIJEM	\N	128	18400	UROK	\N	\N
3535816	162	1997-07-31	PRIJEM	\N	81	20196	UROK	\N	\N
3535817	162	1997-08-31	PRIJEM	\N	88	22000	UROK	\N	\N
3535818	162	1997-09-30	PRIJEM	\N	94	22289	UROK	\N	\N
3535819	162	1997-10-31	PRIJEM	\N	95	22979	UROK	\N	\N
3535820	162	1997-11-30	PRIJEM	\N	99	24793	UROK	\N	\N
3535821	162	1997-12-31	PRIJEM	\N	106	25464	UROK	\N	\N
3535822	162	1998-01-31	PRIJEM	\N	110	27289	UROK	\N	\N
3535823	162	1998-02-28	PRIJEM	\N	117	29122	UROK	\N	\N
3535824	162	1998-03-31	PRIJEM	\N	125	30962	UROK	\N	\N
3535825	162	1998-04-30	PRIJEM	\N	132	32809	UROK	\N	\N
3535826	162	1998-05-31	PRIJEM	\N	130	31375	UROK	\N	\N
3535827	162	1998-06-30	PRIJEM	\N	119	20419	UROK	\N	\N
3535828	162	1998-07-31	PRIJEM	\N	88	21742	UROK	\N	\N
3535829	162	1998-08-31	PRIJEM	\N	84	19861	UROK	\N	\N
3535830	162	1998-09-30	PRIJEM	\N	84	18860	UROK	\N	\N
3535831	162	1998-10-31	PRIJEM	\N	81	20657	UROK	\N	\N
3535832	162	1998-11-30	PRIJEM	\N	89	22461	UROK	\N	\N
3535833	162	1998-12-31	PRIJEM	\N	92	21629	UROK	\N	\N
3535834	163	1993-04-30	PRIJEM	\N	11	20505	UROK	\N	\N
3535835	163	1993-05-31	PRIJEM	\N	90	27193	UROK	\N	\N
3535836	163	1993-06-30	PRIJEM	\N	117	26930	UROK	\N	\N
3535837	163	1993-07-31	PRIJEM	\N	118	27603	UROK	\N	\N
3535838	163	1993-08-31	PRIJEM	\N	119	26778	UROK	\N	\N
3535839	163	1993-09-30	PRIJEM	\N	116	27069	UROK	\N	\N
3535840	163	1993-10-31	PRIJEM	\N	115	25040	UROK	\N	\N
3535841	163	1993-11-30	PRIJEM	\N	112	28107	UROK	\N	\N
3535842	163	1993-12-31	PRIJEM	\N	123	30136	UROK	\N	\N
3535843	163	1994-01-31	PRIJEM	\N	105	21316	UROK	\N	\N
3535844	163	1994-02-28	PRIJEM	\N	96	24368	UROK	\N	\N
3535845	163	1994-03-31	PRIJEM	\N	109	26072	UROK	\N	\N
3535846	163	1994-04-30	PRIJEM	\N	110	26178	UROK	\N	\N
3535847	163	1994-05-31	PRIJEM	\N	112	25545	UROK	\N	\N
3535848	163	1994-06-30	PRIJEM	\N	91	19542	UROK	\N	\N
3535849	163	1994-07-31	PRIJEM	\N	84	20662	UROK	\N	\N
3535850	163	1994-08-31	PRIJEM	\N	86	19863	UROK	\N	\N
3535851	163	1994-09-30	PRIJEM	\N	88	19947	UROK	\N	\N
3535852	163	1994-10-31	PRIJEM	\N	91	22993	UROK	\N	\N
3535853	163	1994-11-30	PRIJEM	\N	103	26052	UROK	\N	\N
3535854	163	1994-12-31	PRIJEM	\N	113	28120	UROK	\N	\N
3535855	163	1995-01-31	PRIJEM	\N	93	16399	UROK	\N	\N
3535856	163	1995-02-28	PRIJEM	\N	76	19430	UROK	\N	\N
3535857	163	1995-03-31	PRIJEM	\N	87	22072	UROK	\N	\N
3535858	163	1995-04-30	PRIJEM	\N	92	22120	UROK	\N	\N
3535859	163	1995-05-31	PRIJEM	\N	100	25175	UROK	\N	\N
3535860	163	1995-06-30	PRIJEM	\N	94	20874	UROK	\N	\N
3535861	163	1995-07-31	PRIJEM	\N	94	23923	UROK	\N	\N
3535862	163	1995-08-31	PRIJEM	\N	98	23457	UROK	\N	\N
3535863	163	1995-09-30	PRIJEM	\N	103	22595	UROK	\N	\N
3535864	163	1995-10-31	PRIJEM	\N	93	22523	UROK	\N	\N
3535865	163	1995-11-30	PRIJEM	\N	94	23013	UROK	\N	\N
3535866	163	1995-12-31	PRIJEM	\N	93	21921	UROK	\N	\N
3535867	163	1996-01-31	PRIJEM	\N	80	17437	UROK	\N	\N
3535868	163	1996-02-29	PRIJEM	\N	80	20472	UROK	\N	\N
3535869	163	1996-03-31	PRIJEM	\N	87	21034	UROK	\N	\N
3535870	163	1996-04-30	PRIJEM	\N	95	24084	UROK	\N	\N
3535871	163	1996-05-31	PRIJEM	\N	105	25305	UROK	\N	\N
3535872	163	1996-06-30	PRIJEM	\N	112	28372	UROK	\N	\N
3535873	163	1996-07-31	PRIJEM	\N	117	25685	UROK	\N	\N
3535874	163	1996-08-31	PRIJEM	\N	114	28754	UROK	\N	\N
3535875	163	1996-09-30	PRIJEM	\N	126	31836	UROK	\N	\N
3535876	163	1996-10-31	PRIJEM	\N	132	32123	UROK	\N	\N
3535877	163	1996-11-30	PRIJEM	\N	133	31611	UROK	\N	\N
3535878	163	1996-12-31	PRIJEM	\N	136	31462	UROK	\N	\N
3535879	163	1997-01-31	PRIJEM	\N	114	17872	UROK	\N	\N
3535880	163	1997-02-28	PRIJEM	\N	80	20908	UROK	\N	\N
3535881	163	1997-03-31	PRIJEM	\N	93	23956	UROK	\N	\N
3535882	163	1997-04-30	PRIJEM	\N	105	27017	UROK	\N	\N
3535883	163	1997-05-31	PRIJEM	\N	119	30091	UROK	\N	\N
3535884	163	1997-06-30	PRIJEM	\N	131	33177	UROK	\N	\N
3535885	163	1997-07-31	PRIJEM	\N	142	34675	UROK	\N	\N
3535886	163	1997-08-31	PRIJEM	\N	142	32672	UROK	\N	\N
3535887	163	1997-09-30	PRIJEM	\N	141	35568	UROK	\N	\N
3535888	163	1997-10-31	PRIJEM	\N	148	36512	UROK	\N	\N
3535889	163	1997-11-30	PRIJEM	\N	150	36617	UROK	\N	\N
3535890	163	1997-12-31	PRIJEM	\N	144	34317	UROK	\N	\N
3535891	163	1998-01-31	PRIJEM	\N	113	23346	UROK	\N	\N
3535892	163	1998-02-28	PRIJEM	\N	102	26403	UROK	\N	\N
3535893	163	1998-03-31	PRIJEM	\N	115	29474	UROK	\N	\N
3535894	163	1998-04-30	PRIJEM	\N	120	28949	UROK	\N	\N
3535895	163	1998-05-31	PRIJEM	\N	125	30749	UROK	\N	\N
3535896	163	1998-06-30	PRIJEM	\N	121	29276	UROK	\N	\N
3535897	163	1998-07-31	PRIJEM	\N	119	29310	UROK	\N	\N
3535898	163	1998-08-31	PRIJEM	\N	127	32392	UROK	\N	\N
3535899	163	1998-09-30	PRIJEM	\N	131	32118	UROK	\N	\N
3535900	163	1998-10-31	PRIJEM	\N	138	35212	UROK	\N	\N
3535901	163	1998-11-30	PRIJEM	\N	151	38318	UROK	\N	\N
3535902	163	1998-12-31	PRIJEM	\N	156	37539	UROK	\N	\N
3535903	165	1993-06-30	PRIJEM	\N	22	7886	UROK	\N	\N
3535904	165	1993-07-31	PRIJEM	\N	33	14783	UROK	\N	\N
3535905	165	1993-08-31	PRIJEM	\N	33	21679	UROK	\N	\N
3535906	165	1993-09-30	PRIJEM	\N	38	26881	UROK	\N	\N
3535907	165	1993-10-31	PRIJEM	\N	113	28658	UROK	\N	\N
3535908	165	1993-11-30	PRIJEM	\N	130	29249	UROK	\N	\N
3535909	165	1993-12-31	PRIJEM	\N	133	29094	UROK	\N	\N
3535910	165	1994-01-31	PRIJEM	\N	114	26270	UROK	\N	\N
3535911	165	1994-02-28	PRIJEM	\N	121	26452	UROK	\N	\N
3535912	165	1994-03-31	PRIJEM	\N	122	27275	UROK	\N	\N
3535913	165	1994-04-30	PRIJEM	\N	121	28617	UROK	\N	\N
3535914	165	1994-05-31	PRIJEM	\N	131	30610	UROK	\N	\N
3535915	165	1994-06-30	PRIJEM	\N	123	25544	UROK	\N	\N
3535916	165	1994-07-31	PRIJEM	\N	115	27820	UROK	\N	\N
3535917	165	1994-08-31	PRIJEM	\N	124	27006	UROK	\N	\N
3535918	165	1994-09-30	PRIJEM	\N	124	26272	UROK	\N	\N
3535919	165	1994-10-31	PRIJEM	\N	120	27753	UROK	\N	\N
3535920	165	1994-11-30	PRIJEM	\N	125	28639	UROK	\N	\N
3535921	165	1994-12-31	PRIJEM	\N	121	28392	UROK	\N	\N
3535922	165	1995-01-31	PRIJEM	\N	108	25521	UROK	\N	\N
3535923	165	1995-02-28	PRIJEM	\N	116	27498	UROK	\N	\N
3535924	165	1995-03-31	PRIJEM	\N	123	28603	UROK	\N	\N
3535925	165	1995-04-30	PRIJEM	\N	124	27648	UROK	\N	\N
3535926	165	1995-05-31	PRIJEM	\N	124	29134	UROK	\N	\N
3535927	165	1995-06-30	PRIJEM	\N	113	19658	UROK	\N	\N
3535928	165	1995-07-31	PRIJEM	\N	96	24815	UROK	\N	\N
3535929	165	1995-08-31	PRIJEM	\N	114	27990	UROK	\N	\N
3535930	165	1995-09-30	PRIJEM	\N	124	29275	UROK	\N	\N
3535931	165	1995-10-31	PRIJEM	\N	127	29664	UROK	\N	\N
3535932	165	1995-11-30	PRIJEM	\N	129	31214	UROK	\N	\N
3535933	165	1995-12-31	PRIJEM	\N	129	31054	UROK	\N	\N
3535934	165	1996-01-31	PRIJEM	\N	121	26976	UROK	\N	\N
3535935	165	1996-02-29	PRIJEM	\N	119	28756	UROK	\N	\N
3535936	165	1996-03-31	PRIJEM	\N	125	30043	UROK	\N	\N
3535937	165	1996-04-30	PRIJEM	\N	127	30032	UROK	\N	\N
3535938	165	1996-05-31	PRIJEM	\N	127	29920	UROK	\N	\N
3535939	165	1996-06-30	PRIJEM	\N	120	24342	UROK	\N	\N
3535940	165	1996-07-31	PRIJEM	\N	100	25383	UROK	\N	\N
3535941	165	1996-08-31	PRIJEM	\N	101	25365	UROK	\N	\N
3535942	165	1996-09-30	PRIJEM	\N	110	27237	UROK	\N	\N
3535943	165	1996-10-31	PRIJEM	\N	103	25121	UROK	\N	\N
3535944	165	1996-11-30	PRIJEM	\N	111	27394	UROK	\N	\N
3535945	165	1996-12-31	PRIJEM	\N	126	32131	UROK	\N	\N
3535946	165	1997-01-31	PRIJEM	\N	124	26036	UROK	\N	\N
3535947	165	1997-02-28	PRIJEM	\N	120	31217	UROK	\N	\N
3535948	165	1997-03-31	PRIJEM	\N	143	36421	UROK	\N	\N
3535949	165	1997-04-30	PRIJEM	\N	148	34911	UROK	\N	\N
3535950	165	1997-05-31	PRIJEM	\N	158	38530	UROK	\N	\N
3535951	165	1997-06-30	PRIJEM	\N	156	31697	UROK	\N	\N
3535952	165	1997-07-31	PRIJEM	\N	144	36903	UROK	\N	\N
3535953	165	1997-08-31	PRIJEM	\N	163	41727	UROK	\N	\N
3535954	165	1997-09-30	PRIJEM	\N	183	46371	UROK	\N	\N
3535955	165	1997-10-31	PRIJEM	\N	192	48505	UROK	\N	\N
3535956	165	1997-11-30	PRIJEM	\N	214	53780	UROK	\N	\N
3535957	165	1997-12-31	PRIJEM	\N	217	54059	UROK	\N	\N
3535958	165	1998-01-31	PRIJEM	\N	185	41085	UROK	\N	\N
3535959	165	1998-02-28	PRIJEM	\N	169	41915	UROK	\N	\N
3535960	165	1998-03-31	PRIJEM	\N	170	42747	UROK	\N	\N
3535961	165	1998-04-30	PRIJEM	\N	184	44972	UROK	\N	\N
3535962	165	1998-05-31	PRIJEM	\N	194	49267	UROK	\N	\N
3535963	165	1998-06-30	PRIJEM	\N	200	39629	UROK	\N	\N
3535964	165	1998-07-31	PRIJEM	\N	166	38697	UROK	\N	\N
3535965	165	1998-08-31	PRIJEM	\N	164	41922	UROK	\N	\N
3535966	165	1998-09-30	PRIJEM	\N	185	47169	UROK	\N	\N
3535967	165	1998-10-31	PRIJEM	\N	207	52437	UROK	\N	\N
3535968	165	1998-11-30	PRIJEM	\N	229	57727	UROK	\N	\N
3535969	165	1998-12-31	PRIJEM	\N	246	61585	UROK	\N	\N
3535970	166	1997-01-31	PRIJEM	\N	49	20035	UROK	\N	\N
3535971	166	1997-02-28	PRIJEM	\N	87	21629	UROK	\N	\N
3535972	166	1997-03-31	PRIJEM	\N	94	23230	UROK	\N	\N
3535973	166	1997-04-30	PRIJEM	\N	94	21151	UROK	\N	\N
3535974	166	1997-05-31	PRIJEM	\N	92	22750	UROK	\N	\N
3535975	166	1997-06-30	PRIJEM	\N	99	23396	UROK	\N	\N
3535976	166	1997-07-31	PRIJEM	\N	101	24905	UROK	\N	\N
3535977	166	1997-08-31	PRIJEM	\N	106	25718	UROK	\N	\N
3535978	166	1997-09-30	PRIJEM	\N	101	23025	UROK	\N	\N
3535979	166	1997-10-31	PRIJEM	\N	100	24632	UROK	\N	\N
3535980	166	1997-11-30	PRIJEM	\N	102	24442	UROK	\N	\N
3535981	166	1997-12-31	PRIJEM	\N	105	25655	UROK	\N	\N
3535982	166	1998-01-31	PRIJEM	\N	108	26070	UROK	\N	\N
3535983	166	1998-02-28	PRIJEM	\N	113	27291	UROK	\N	\N
3535984	166	1998-03-31	PRIJEM	\N	106	21824	UROK	\N	\N
3535985	166	1998-04-30	PRIJEM	\N	94	23425	UROK	\N	\N
3535986	166	1998-05-31	PRIJEM	\N	101	25034	UROK	\N	\N
3535987	166	1998-06-30	PRIJEM	\N	108	26649	UROK	\N	\N
3535988	166	1998-07-31	PRIJEM	\N	106	24462	UROK	\N	\N
3535989	166	1998-08-31	PRIJEM	\N	98	22627	UROK	\N	\N
3535990	166	1998-09-30	PRIJEM	\N	95	22789	UROK	\N	\N
3535991	166	1998-10-31	PRIJEM	\N	98	24395	UROK	\N	\N
3535992	166	1998-11-30	PRIJEM	\N	105	26007	UROK	\N	\N
3535993	166	1998-12-31	PRIJEM	\N	97	21662	UROK	\N	\N
3535994	168	1993-09-30	PRIJEM	\N	43	12220	UROK	\N	\N
3535995	168	1993-10-31	PRIJEM	\N	54	13266	UROK	\N	\N
3535996	168	1993-11-30	PRIJEM	\N	59	14317	UROK	\N	\N
3535997	168	1993-12-31	PRIJEM	\N	63	15042	UROK	\N	\N
3535998	168	1994-01-31	PRIJEM	\N	59	12644	UROK	\N	\N
3535999	168	1994-02-28	PRIJEM	\N	53	12489	UROK	\N	\N
3536000	168	1994-03-31	PRIJEM	\N	56	13537	UROK	\N	\N
3536001	168	1994-04-30	PRIJEM	\N	59	13419	UROK	\N	\N
3536002	168	1994-05-31	PRIJEM	\N	59	14471	UROK	\N	\N
3536003	168	1994-06-30	PRIJEM	\N	64	15527	UROK	\N	\N
3536004	168	1994-07-31	PRIJEM	\N	68	16587	UROK	\N	\N
3536005	168	1994-08-31	PRIJEM	\N	73	17652	UROK	\N	\N
3536006	168	1994-09-30	PRIJEM	\N	77	18721	UROK	\N	\N
3536007	168	1994-10-31	PRIJEM	\N	81	19795	UROK	\N	\N
3536008	168	1994-11-30	PRIJEM	\N	86	20873	UROK	\N	\N
3536009	168	1994-12-31	PRIJEM	\N	90	21686	UROK	\N	\N
3536010	168	1995-01-31	PRIJEM	\N	79	16997	UROK	\N	\N
3536011	168	1995-02-28	PRIJEM	\N	74	18063	UROK	\N	\N
3536012	168	1995-03-31	PRIJEM	\N	79	19134	UROK	\N	\N
3536013	168	1995-04-30	PRIJEM	\N	83	20210	UROK	\N	\N
3536014	168	1995-05-31	PRIJEM	\N	86	20588	UROK	\N	\N
3536015	168	1995-06-30	PRIJEM	\N	87	19058	UROK	\N	\N
3536016	168	1995-07-31	PRIJEM	\N	82	19562	UROK	\N	\N
3536017	168	1995-08-31	PRIJEM	\N	80	18735	UROK	\N	\N
3536018	168	1995-09-30	PRIJEM	\N	79	18836	UROK	\N	\N
3536019	168	1995-10-31	PRIJEM	\N	72	15901	UROK	\N	\N
3536020	168	1995-11-30	PRIJEM	\N	67	15450	UROK	\N	\N
3536021	168	1995-12-31	PRIJEM	\N	67	16329	UROK	\N	\N
3536022	168	1996-01-31	PRIJEM	\N	62	13844	UROK	\N	\N
3536023	168	1996-02-29	PRIJEM	\N	61	14897	UROK	\N	\N
3536024	168	1996-03-31	PRIJEM	\N	61	14350	UROK	\N	\N
3536025	168	1996-04-30	PRIJEM	\N	63	15405	UROK	\N	\N
3536026	168	1996-05-31	PRIJEM	\N	67	16465	UROK	\N	\N
3536027	168	1996-06-30	PRIJEM	\N	69	16596	UROK	\N	\N
3536028	168	1996-07-31	PRIJEM	\N	71	17059	UROK	\N	\N
3536029	168	1996-08-31	PRIJEM	\N	73	17705	UROK	\N	\N
3536030	168	1996-09-30	PRIJEM	\N	77	18774	UROK	\N	\N
3536031	168	1996-10-31	PRIJEM	\N	76	18443	UROK	\N	\N
3536032	168	1996-11-30	PRIJEM	\N	79	19213	UROK	\N	\N
3536033	168	1996-12-31	PRIJEM	\N	74	17530	UROK	\N	\N
3536034	168	1997-01-31	PRIJEM	\N	61	13523	UROK	\N	\N
3536035	168	1997-02-28	PRIJEM	\N	59	14574	UROK	\N	\N
3536036	168	1997-03-31	PRIJEM	\N	56	13322	UROK	\N	\N
3536037	168	1997-04-30	PRIJEM	\N	59	12673	UROK	\N	\N
3536038	168	1997-05-31	PRIJEM	\N	55	13720	UROK	\N	\N
3536039	168	1997-06-30	PRIJEM	\N	60	14772	UROK	\N	\N
3536040	168	1997-07-31	PRIJEM	\N	64	15828	UROK	\N	\N
3536041	168	1997-08-31	PRIJEM	\N	67	16528	UROK	\N	\N
3536042	168	1997-09-30	PRIJEM	\N	70	16450	UROK	\N	\N
3536043	168	1997-10-31	PRIJEM	\N	71	17513	UROK	\N	\N
3536044	168	1997-11-30	PRIJEM	\N	75	18581	UROK	\N	\N
3536045	168	1997-12-31	PRIJEM	\N	77	18210	UROK	\N	\N
3536046	168	1998-01-31	PRIJEM	\N	73	16695	UROK	\N	\N
3536047	168	1998-02-28	PRIJEM	\N	68	16796	UROK	\N	\N
3536048	168	1998-03-31	PRIJEM	\N	72	17860	UROK	\N	\N
3536049	168	1998-04-30	PRIJEM	\N	75	18658	UROK	\N	\N
3536050	168	1998-05-31	PRIJEM	\N	80	19730	UROK	\N	\N
3536051	168	1998-06-30	PRIJEM	\N	81	19633	UROK	\N	\N
3536052	168	1998-07-31	PRIJEM	\N	83	20709	UROK	\N	\N
3536053	168	1998-08-31	PRIJEM	\N	88	21789	UROK	\N	\N
3536054	168	1998-09-30	PRIJEM	\N	87	13988	UROK	\N	\N
3536055	168	1998-10-31	PRIJEM	\N	60	15040	UROK	\N	\N
3536056	168	1998-11-30	PRIJEM	\N	64	15296	UROK	\N	\N
3536057	168	1998-12-31	PRIJEM	\N	63	15782	UROK	\N	\N
3536058	169	1995-10-31	PRIJEM	\N	11	20403	UROK	\N	\N
3536059	169	1995-11-30	PRIJEM	\N	91	30586	UROK	\N	\N
3536060	169	1995-12-31	PRIJEM	\N	132	37906	UROK	\N	\N
3536061	169	1996-01-31	PRIJEM	\N	159	39656	UROK	\N	\N
3536062	169	1996-02-29	PRIJEM	\N	166	41514	UROK	\N	\N
3536063	169	1996-03-31	PRIJEM	\N	165	38481	UROK	\N	\N
3536064	169	1996-04-30	PRIJEM	\N	173	41957	UROK	\N	\N
3536065	169	1996-05-31	PRIJEM	\N	187	41647	UROK	\N	\N
3536066	169	1996-06-30	PRIJEM	\N	201	47646	UROK	\N	\N
3536067	169	1996-07-31	PRIJEM	\N	207	45355	UROK	\N	\N
3536068	169	1996-08-31	PRIJEM	\N	196	43054	UROK	\N	\N
3536069	169	1996-09-30	PRIJEM	\N	192	45248	UROK	\N	\N
3536070	169	1996-10-31	PRIJEM	\N	194	43644	UROK	\N	\N
3536071	169	1996-11-30	PRIJEM	\N	193	45639	UROK	\N	\N
3536072	169	1996-12-31	PRIJEM	\N	215	51452	UROK	\N	\N
3536073	169	1997-01-31	PRIJEM	\N	221	51476	UROK	\N	\N
3536074	169	1997-02-28	PRIJEM	\N	228	56006	UROK	\N	\N
3536075	169	1997-03-31	PRIJEM	\N	232	54640	UROK	\N	\N
3536076	169	1997-04-30	PRIJEM	\N	245	61788	UROK	\N	\N
3536077	169	1997-05-31	PRIJEM	\N	268	64057	UROK	\N	\N
3536078	169	1997-06-30	PRIJEM	\N	279	64735	UROK	\N	\N
3536079	169	1997-07-31	PRIJEM	\N	256	60293	UROK	\N	\N
3536080	169	1997-08-31	PRIJEM	\N	253	57749	UROK	\N	\N
3536081	169	1997-09-30	PRIJEM	\N	245	58496	UROK	\N	\N
3536082	169	1997-10-31	PRIJEM	\N	244	57143	UROK	\N	\N
3536083	169	1997-11-30	PRIJEM	\N	232	53177	UROK	\N	\N
3536084	169	1997-12-31	PRIJEM	\N	229	56904	UROK	\N	\N
3536085	169	1998-01-31	PRIJEM	\N	231	53937	UROK	\N	\N
3536086	169	1998-02-28	PRIJEM	\N	213	51252	UROK	\N	\N
3536087	169	1998-03-31	PRIJEM	\N	224	55078	UROK	\N	\N
3536088	169	1998-04-30	PRIJEM	\N	231	55512	UROK	\N	\N
3536089	169	1998-05-31	PRIJEM	\N	230	55044	UROK	\N	\N
3536090	169	1998-06-30	PRIJEM	\N	217	55159	UROK	\N	\N
3536091	169	1998-07-31	PRIJEM	\N	235	57596	UROK	\N	\N
3536092	169	1998-08-31	PRIJEM	\N	237	57436	UROK	\N	\N
3536093	169	1998-09-30	PRIJEM	\N	252	63190	UROK	\N	\N
3536094	169	1998-10-31	PRIJEM	\N	269	65862	UROK	\N	\N
3536095	169	1998-11-30	PRIJEM	\N	256	62520	UROK	\N	\N
3536096	169	1998-12-31	PRIJEM	\N	267	67185	UROK	\N	\N
3536097	171	1996-06-30	PRIJEM	\N	16	6519	UROK	\N	\N
3536098	171	1996-07-31	PRIJEM	\N	27	12549	UROK	\N	\N
3536099	171	1996-08-31	PRIJEM	\N	27	18579	UROK	\N	\N
3536100	171	1996-09-30	PRIJEM	\N	27	24610	UROK	\N	\N
3536101	171	1996-10-31	PRIJEM	\N	77	27204	UROK	\N	\N
3536102	171	1996-11-30	PRIJEM	\N	116	26142	UROK	\N	\N
3536103	171	1996-12-31	PRIJEM	\N	114	28158	UROK	\N	\N
3536104	171	1997-01-31	PRIJEM	\N	97	18148	UROK	\N	\N
3536105	171	1997-02-28	PRIJEM	\N	81	20732	UROK	\N	\N
3536106	171	1997-03-31	PRIJEM	\N	92	23326	UROK	\N	\N
3536107	171	1997-04-30	PRIJEM	\N	99	24028	UROK	\N	\N
3536108	171	1997-05-31	PRIJEM	\N	96	21666	UROK	\N	\N
3536109	171	1997-06-30	PRIJEM	\N	91	19000	UROK	\N	\N
3536110	171	1997-07-31	PRIJEM	\N	82	19984	UROK	\N	\N
3536111	171	1997-08-31	PRIJEM	\N	85	21271	UROK	\N	\N
3536112	171	1997-09-30	PRIJEM	\N	95	23769	UROK	\N	\N
3536113	171	1997-10-31	PRIJEM	\N	89	20060	UROK	\N	\N
3536114	171	1997-11-30	PRIJEM	\N	69	17191	UROK	\N	\N
3536115	171	1997-12-31	PRIJEM	\N	73	13466	UROK	\N	\N
3536116	171	1998-01-31	PRIJEM	\N	57	13866	UROK	\N	\N
3536117	171	1998-02-28	PRIJEM	\N	63	16431	UROK	\N	\N
3536118	171	1998-03-31	PRIJEM	\N	74	18208	UROK	\N	\N
3536119	171	1998-04-30	PRIJEM	\N	73	15743	UROK	\N	\N
3536120	171	1998-05-31	PRIJEM	\N	70	14816	UROK	\N	\N
3536121	171	1998-06-30	PRIJEM	\N	67	16385	UROK	\N	\N
3536122	171	1998-07-31	PRIJEM	\N	71	15698	UROK	\N	\N
3536123	171	1998-08-31	PRIJEM	\N	67	11567	UROK	\N	\N
3536124	171	1998-09-30	PRIJEM	\N	54	14123	UROK	\N	\N
3536125	171	1998-10-31	PRIJEM	\N	64	16690	UROK	\N	\N
3536126	171	1998-11-30	PRIJEM	\N	72	16164	UROK	\N	\N
3536127	171	1998-12-31	PRIJEM	\N	67	15594	UROK	\N	\N
3536128	172	1993-09-30	PRIJEM	\N	7	25896	UROK	\N	\N
3536129	172	1993-10-31	PRIJEM	\N	112	36998	UROK	\N	\N
3536130	172	1993-11-30	PRIJEM	\N	156	43243	UROK	\N	\N
3536131	172	1993-12-31	PRIJEM	\N	184	51111	UROK	\N	\N
3536132	172	1994-01-31	PRIJEM	\N	199	29558	UROK	\N	\N
3536133	172	1994-02-28	PRIJEM	\N	162	37172	UROK	\N	\N
3536134	172	1994-03-31	PRIJEM	\N	193	40219	UROK	\N	\N
3536135	172	1994-04-30	PRIJEM	\N	205	44277	UROK	\N	\N
3536136	172	1994-05-31	PRIJEM	\N	217	40167	UROK	\N	\N
3536137	172	1994-06-30	PRIJEM	\N	115	23151	UROK	\N	\N
3536138	172	1994-07-31	PRIJEM	\N	133	29457	UROK	\N	\N
3536139	172	1994-08-31	PRIJEM	\N	160	38471	UROK	\N	\N
3536140	172	1994-09-30	PRIJEM	\N	189	39713	UROK	\N	\N
3536141	172	1994-10-31	PRIJEM	\N	194	41660	UROK	\N	\N
3536142	172	1994-11-30	PRIJEM	\N	201	44595	UROK	\N	\N
3536143	172	1994-12-31	PRIJEM	\N	245	49068	UROK	\N	\N
3536144	172	1995-01-31	PRIJEM	\N	185	25766	UROK	\N	\N
3536145	172	1995-02-28	PRIJEM	\N	149	34869	UROK	\N	\N
3536146	172	1995-03-31	PRIJEM	\N	178	42000	UROK	\N	\N
3536147	172	1995-04-30	PRIJEM	\N	196	41450	UROK	\N	\N
3536148	172	1995-05-31	PRIJEM	\N	198	44501	UROK	\N	\N
3536149	172	1995-06-30	PRIJEM	\N	222	40711	UROK	\N	\N
3536150	172	1995-07-31	PRIJEM	\N	194	44759	UROK	\N	\N
3536151	172	1995-08-31	PRIJEM	\N	199	42812	UROK	\N	\N
3536152	172	1995-09-30	PRIJEM	\N	213	41918	UROK	\N	\N
3536153	172	1995-10-31	PRIJEM	\N	194	45366	UROK	\N	\N
3536154	172	1995-11-30	PRIJEM	\N	200	45319	UROK	\N	\N
3536155	172	1995-12-31	PRIJEM	\N	214	49002	UROK	\N	\N
3536156	172	1996-01-31	PRIJEM	\N	191	33906	UROK	\N	\N
3536157	172	1996-02-29	PRIJEM	\N	162	30902	UROK	\N	\N
3536158	172	1996-03-31	PRIJEM	\N	144	34299	UROK	\N	\N
3536159	172	1996-04-30	PRIJEM	\N	159	39412	UROK	\N	\N
3536160	172	1996-05-31	PRIJEM	\N	165	35991	UROK	\N	\N
3536161	172	1996-06-30	PRIJEM	\N	178	45917	UROK	\N	\N
3536162	172	1996-07-31	PRIJEM	\N	189	43760	UROK	\N	\N
3536163	172	1996-08-31	PRIJEM	\N	175	40129	UROK	\N	\N
3536164	172	1996-09-30	PRIJEM	\N	156	36438	UROK	\N	\N
3536165	172	1996-10-31	PRIJEM	\N	151	36842	UROK	\N	\N
3536166	172	1996-11-30	PRIJEM	\N	138	28853	UROK	\N	\N
3536167	172	1996-12-31	PRIJEM	\N	143	37764	UROK	\N	\N
3536168	172	1997-01-31	PRIJEM	\N	140	22718	UROK	\N	\N
3536169	172	1997-02-28	PRIJEM	\N	118	31089	UROK	\N	\N
3536170	172	1997-03-31	PRIJEM	\N	130	31972	UROK	\N	\N
3536171	172	1997-04-30	PRIJEM	\N	131	31956	UROK	\N	\N
3536172	172	1997-05-31	PRIJEM	\N	132	31422	UROK	\N	\N
3536173	172	1997-06-30	PRIJEM	\N	162	42733	UROK	\N	\N
3536174	172	1997-07-31	PRIJEM	\N	170	40455	UROK	\N	\N
3536175	172	1997-08-31	PRIJEM	\N	158	37367	UROK	\N	\N
3536176	172	1997-09-30	PRIJEM	\N	156	37676	UROK	\N	\N
3536177	172	1997-10-31	PRIJEM	\N	158	38387	UROK	\N	\N
3536178	172	1997-11-30	PRIJEM	\N	152	33273	UROK	\N	\N
3536179	172	1997-12-31	PRIJEM	\N	181	38362	UROK	\N	\N
3536180	172	1998-01-31	PRIJEM	\N	157	29333	UROK	\N	\N
3536181	172	1998-02-28	PRIJEM	\N	166	38472	UROK	\N	\N
3536182	172	1998-03-31	PRIJEM	\N	151	35976	UROK	\N	\N
3536183	172	1998-04-30	PRIJEM	\N	205	52935	UROK	\N	\N
3536184	172	1998-05-31	PRIJEM	\N	238	58526	UROK	\N	\N
3536185	172	1998-06-30	PRIJEM	\N	268	44042	UROK	\N	\N
3536186	172	1998-07-31	PRIJEM	\N	215	54490	UROK	\N	\N
3536187	172	1998-08-31	PRIJEM	\N	231	56374	UROK	\N	\N
3536188	172	1998-09-30	PRIJEM	\N	228	54956	UROK	\N	\N
3536189	172	1998-10-31	PRIJEM	\N	234	57243	UROK	\N	\N
3536190	172	1998-11-30	PRIJEM	\N	237	54954	UROK	\N	\N
3536191	172	1998-12-31	PRIJEM	\N	272	64715	UROK	\N	\N
3536192	173	1993-12-31	PRIJEM	\N	20	24190	UROK	\N	\N
3536193	173	1994-01-31	PRIJEM	\N	111	34913	UROK	\N	\N
3536194	173	1994-02-28	PRIJEM	\N	148	39475	UROK	\N	\N
3536195	173	1994-03-31	PRIJEM	\N	165	40552	UROK	\N	\N
3536196	173	1994-04-30	PRIJEM	\N	168	34425	UROK	\N	\N
3536197	173	1994-05-31	PRIJEM	\N	145	28160	UROK	\N	\N
3536198	173	1994-06-30	PRIJEM	\N	136	29309	UROK	\N	\N
3536199	173	1994-07-31	PRIJEM	\N	120	25986	UROK	\N	\N
3536200	173	1994-08-31	PRIJEM	\N	110	25252	UROK	\N	\N
3536201	173	1994-09-30	PRIJEM	\N	105	23914	UROK	\N	\N
3536202	173	1994-10-31	PRIJEM	\N	106	26576	UROK	\N	\N
3536203	173	1994-11-30	PRIJEM	\N	111	25343	UROK	\N	\N
3536204	173	1994-12-31	PRIJEM	\N	123	27500	UROK	\N	\N
3536205	173	1995-01-31	PRIJEM	\N	89	17545	UROK	\N	\N
3536206	173	1995-02-28	PRIJEM	\N	79	21241	UROK	\N	\N
3536207	173	1995-03-31	PRIJEM	\N	98	25695	UROK	\N	\N
3536208	173	1995-04-30	PRIJEM	\N	107	24759	UROK	\N	\N
3536209	173	1995-05-31	PRIJEM	\N	105	18720	UROK	\N	\N
3536210	173	1995-06-30	PRIJEM	\N	114	28662	UROK	\N	\N
3536211	173	1995-07-31	PRIJEM	\N	126	27878	UROK	\N	\N
3536212	173	1995-08-31	PRIJEM	\N	125	30494	UROK	\N	\N
3536213	173	1995-09-30	PRIJEM	\N	114	29898	UROK	\N	\N
3536214	173	1995-10-31	PRIJEM	\N	122	29411	UROK	\N	\N
3536215	173	1995-11-30	PRIJEM	\N	137	28138	UROK	\N	\N
3536216	173	1995-12-31	PRIJEM	\N	151	31116	UROK	\N	\N
3536217	173	1996-01-31	PRIJEM	\N	113	18119	UROK	\N	\N
3536218	173	1996-02-29	PRIJEM	\N	103	25312	UROK	\N	\N
3536219	173	1996-03-31	PRIJEM	\N	115	27618	UROK	\N	\N
3536220	173	1996-04-30	PRIJEM	\N	132	33440	UROK	\N	\N
3536221	173	1996-05-31	PRIJEM	\N	142	28953	UROK	\N	\N
3536222	173	1996-06-30	PRIJEM	\N	142	34942	UROK	\N	\N
3536223	173	1996-07-31	PRIJEM	\N	158	37491	UROK	\N	\N
3536224	173	1996-08-31	PRIJEM	\N	146	33027	UROK	\N	\N
3536225	173	1996-09-30	PRIJEM	\N	125	27642	UROK	\N	\N
3536226	173	1996-10-31	PRIJEM	\N	111	24344	UROK	\N	\N
3536227	173	1996-11-30	PRIJEM	\N	90	18924	UROK	\N	\N
3536228	173	1996-12-31	PRIJEM	\N	87	18218	UROK	\N	\N
3536229	173	1997-01-31	PRIJEM	\N	73	8541	UROK	\N	\N
3536230	173	1997-02-28	PRIJEM	\N	89	25820	UROK	\N	\N
3536231	173	1997-03-31	PRIJEM	\N	106	24617	UROK	\N	\N
3536232	173	1997-04-30	PRIJEM	\N	106	20313	UROK	\N	\N
3536233	173	1997-05-31	PRIJEM	\N	99	24302	UROK	\N	\N
3536234	173	1997-06-30	PRIJEM	\N	144	23653	UROK	\N	\N
3536235	173	1997-07-31	PRIJEM	\N	120	20963	UROK	\N	\N
3536236	173	1997-08-31	PRIJEM	\N	142	38395	UROK	\N	\N
3536237	173	1997-09-30	PRIJEM	\N	160	38105	UROK	\N	\N
3536238	173	1997-10-31	PRIJEM	\N	170	41565	UROK	\N	\N
3536239	173	1997-11-30	PRIJEM	\N	184	46040	UROK	\N	\N
3536240	173	1997-12-31	PRIJEM	\N	250	57817	UROK	\N	\N
3536241	173	1998-01-31	PRIJEM	\N	148	24816	UROK	\N	\N
3536242	173	1998-02-28	PRIJEM	\N	131	34237	UROK	\N	\N
3536243	173	1998-03-31	PRIJEM	\N	141	34349	UROK	\N	\N
3536244	173	1998-04-30	PRIJEM	\N	177	45316	UROK	\N	\N
3536245	173	1998-05-31	PRIJEM	\N	220	53126	UROK	\N	\N
3536246	173	1998-06-30	PRIJEM	\N	201	52015	UROK	\N	\N
3536247	173	1998-07-31	PRIJEM	\N	231	53196	UROK	\N	\N
3536248	173	1998-08-31	PRIJEM	\N	244	61130	UROK	\N	\N
3536249	173	1998-09-30	PRIJEM	\N	272	59853	UROK	\N	\N
3536250	173	1998-10-31	PRIJEM	\N	272	65075	UROK	\N	\N
3536251	173	1998-11-30	PRIJEM	\N	261	62627	UROK	\N	\N
3536252	173	1998-12-31	PRIJEM	\N	271	64005	UROK	\N	\N
3536253	174	1996-09-30	PRIJEM	\N	14	4291	UROK	\N	\N
3536254	174	1996-10-31	PRIJEM	\N	18	7686	UROK	\N	\N
3536255	174	1996-11-30	PRIJEM	\N	18	11081	UROK	\N	\N
3536256	174	1996-12-31	PRIJEM	\N	18	14476	UROK	\N	\N
3536257	174	1997-01-31	PRIJEM	\N	51	16794	UROK	\N	\N
3536258	174	1997-02-28	PRIJEM	\N	72	16530	UROK	\N	\N
3536259	174	1997-03-31	PRIJEM	\N	73	17826	UROK	\N	\N
3536260	174	1997-04-30	PRIJEM	\N	76	18556	UROK	\N	\N
3536261	174	1997-05-31	PRIJEM	\N	75	17854	UROK	\N	\N
3536262	174	1997-06-30	PRIJEM	\N	74	18152	UROK	\N	\N
3536263	174	1997-07-31	PRIJEM	\N	79	19455	UROK	\N	\N
3536264	174	1997-08-31	PRIJEM	\N	71	17099	UROK	\N	\N
3536265	174	1997-09-30	PRIJEM	\N	75	18397	UROK	\N	\N
3536266	174	1997-10-31	PRIJEM	\N	80	17200	UROK	\N	\N
3536267	174	1997-11-30	PRIJEM	\N	74	15098	UROK	\N	\N
3536268	174	1997-12-31	PRIJEM	\N	60	12111	UROK	\N	\N
3536269	174	1998-01-31	PRIJEM	\N	53	10987	UROK	\N	\N
3536270	174	1998-02-28	PRIJEM	\N	50	12261	UROK	\N	\N
3536271	174	1998-03-31	PRIJEM	\N	55	13539	UROK	\N	\N
3536272	174	1998-04-30	PRIJEM	\N	60	14823	UROK	\N	\N
3536273	174	1998-05-31	PRIJEM	\N	64	13110	UROK	\N	\N
3536274	174	1998-06-30	PRIJEM	\N	59	14392	UROK	\N	\N
3536275	174	1998-07-31	PRIJEM	\N	64	15679	UROK	\N	\N
3536276	174	1998-08-31	PRIJEM	\N	68	16221	UROK	\N	\N
3536277	174	1998-09-30	PRIJEM	\N	71	17516	UROK	\N	\N
3536278	174	1998-10-31	PRIJEM	\N	77	18816	UROK	\N	\N
3536279	174	1998-11-30	PRIJEM	\N	82	20121	UROK	\N	\N
3536280	174	1998-12-31	PRIJEM	\N	87	20982	UROK	\N	\N
3536281	176	1996-08-31	PRIJEM	\N	66	51428	UROK	\N	\N
3536282	176	1996-09-30	PRIJEM	\N	214	37542	UROK	\N	\N
3536283	176	1996-10-31	PRIJEM	\N	217	66564	UROK	\N	\N
3536284	176	1996-11-30	PRIJEM	\N	266	71560	UROK	\N	\N
3536285	176	1996-12-31	PRIJEM	\N	137	12587	UROK	\N	\N
3536286	176	1997-01-31	PRIJEM	\N	135	32103	UROK	\N	\N
3536287	176	1997-02-28	PRIJEM	\N	191	100981	UROK	\N	\N
3536288	176	1997-03-31	PRIJEM	\N	319	69401	UROK	\N	\N
3536289	176	1997-04-30	PRIJEM	\N	221	53653	UROK	\N	\N
3536290	176	1997-05-31	PRIJEM	\N	177	89810	UROK	\N	\N
3536291	176	1997-06-30	PRIJEM	\N	266	51047	UROK	\N	\N
3536292	176	1997-07-31	PRIJEM	\N	323	63076	UROK	\N	\N
3536293	176	1997-08-31	PRIJEM	\N	211	66662	UROK	\N	\N
3536294	176	1997-09-30	PRIJEM	\N	244	69234	UROK	\N	\N
3536295	176	1997-10-31	PRIJEM	\N	126	18830	UROK	\N	\N
3536296	176	1997-11-30	PRIJEM	\N	141	40957	UROK	\N	\N
3536297	176	1997-12-31	PRIJEM	\N	294	75499	UROK	\N	\N
3536298	176	1998-01-31	PRIJEM	\N	205	67012	UROK	\N	\N
3536299	176	1998-02-28	PRIJEM	\N	307	93158	UROK	\N	\N
3536300	176	1998-03-31	PRIJEM	\N	167	18092	UROK	\N	\N
3536301	176	1998-04-30	PRIJEM	\N	149	43121	UROK	\N	\N
3536302	176	1998-05-31	PRIJEM	\N	209	52452	UROK	\N	\N
3536303	176	1998-06-30	PRIJEM	\N	114	15140	UROK	\N	\N
3536304	176	1998-07-31	PRIJEM	\N	98	24337	UROK	\N	\N
3536305	176	1998-08-31	PRIJEM	\N	82	17592	UROK	\N	\N
3536306	176	1998-09-30	PRIJEM	\N	107	103113	UROK	\N	\N
3536307	176	1998-10-31	PRIJEM	\N	300	61051	UROK	\N	\N
3536308	176	1998-11-30	PRIJEM	\N	220	89037	UROK	\N	\N
3536309	176	1998-12-31	PRIJEM	\N	252	71822	UROK	\N	\N
3536310	178	1997-09-30	PRIJEM	\N	10	3991	UROK	\N	\N
3536311	178	1997-10-31	PRIJEM	\N	17	6989	UROK	\N	\N
3536312	178	1997-11-30	PRIJEM	\N	17	9986	UROK	\N	\N
3536313	178	1997-12-31	PRIJEM	\N	17	12984	UROK	\N	\N
3536314	178	1998-01-31	PRIJEM	\N	36	13510	UROK	\N	\N
3536315	178	1998-02-28	PRIJEM	\N	55	13315	UROK	\N	\N
3536316	178	1998-03-31	PRIJEM	\N	57	14351	UROK	\N	\N
3536317	178	1998-04-30	PRIJEM	\N	55	13015	UROK	\N	\N
3536318	178	1998-05-31	PRIJEM	\N	56	14050	UROK	\N	\N
3536319	178	1998-06-30	PRIJEM	\N	56	12986	UROK	\N	\N
3536320	178	1998-07-31	PRIJEM	\N	56	14021	UROK	\N	\N
3536321	178	1998-08-31	PRIJEM	\N	60	15060	UROK	\N	\N
3536322	178	1998-09-30	PRIJEM	\N	64	16103	UROK	\N	\N
3536323	178	1998-10-31	PRIJEM	\N	68	16251	UROK	\N	\N
3536324	178	1998-11-30	PRIJEM	\N	69	17299	UROK	\N	\N
3536325	178	1998-12-31	PRIJEM	\N	73	18082	UROK	\N	\N
3536326	179	1997-11-30	PRIJEM	\N	297	67900	UROK	\N	\N
3536327	179	1997-12-31	PRIJEM	\N	282	59663	UROK	\N	\N
3536328	179	1998-01-31	PRIJEM	\N	258	55383	UROK	\N	\N
3536329	179	1998-02-28	PRIJEM	\N	182	109226	UROK	\N	\N
3536330	179	1998-03-31	PRIJEM	\N	196	52521	UROK	\N	\N
3536331	179	1998-04-30	PRIJEM	\N	230	41014	UROK	\N	\N
3536332	179	1998-05-31	PRIJEM	\N	326	64857	UROK	\N	\N
3536333	179	1998-06-30	PRIJEM	\N	229	58798	UROK	\N	\N
3536334	179	1998-07-31	PRIJEM	\N	171	32177	UROK	\N	\N
3536335	179	1998-08-31	PRIJEM	\N	124	32922	UROK	\N	\N
3536336	179	1998-09-30	PRIJEM	\N	153	38773	UROK	\N	\N
3536337	179	1998-10-31	PRIJEM	\N	112	66148	UROK	\N	\N
3536338	179	1998-11-30	PRIJEM	\N	213	63144	UROK	\N	\N
3536339	179	1998-12-31	PRIJEM	\N	201	44248	UROK	\N	\N
3536340	181	1996-07-31	PRIJEM	\N	59	21031	UROK	\N	\N
3536341	181	1996-08-31	PRIJEM	\N	119	29423	UROK	\N	\N
3536342	181	1996-09-30	PRIJEM	\N	151	38346	UROK	\N	\N
3536343	181	1996-10-31	PRIJEM	\N	178	44796	UROK	\N	\N
3536344	181	1996-11-30	PRIJEM	\N	170	38557	UROK	\N	\N
3536345	181	1996-12-31	PRIJEM	\N	183	44804	UROK	\N	\N
3536346	181	1997-01-31	PRIJEM	\N	141	26023	UROK	\N	\N
3536347	181	1997-02-28	PRIJEM	\N	129	32629	UROK	\N	\N
3536348	181	1997-03-31	PRIJEM	\N	147	35753	UROK	\N	\N
3536349	181	1997-04-30	PRIJEM	\N	152	36682	UROK	\N	\N
3536350	181	1997-05-31	PRIJEM	\N	157	37317	UROK	\N	\N
3536351	181	1997-06-30	PRIJEM	\N	178	44958	UROK	\N	\N
3536352	181	1997-07-31	PRIJEM	\N	185	43821	UROK	\N	\N
3536353	181	1997-08-31	PRIJEM	\N	177	41675	UROK	\N	\N
3536354	181	1997-09-30	PRIJEM	\N	175	41627	UROK	\N	\N
3536355	181	1997-10-31	PRIJEM	\N	169	38774	UROK	\N	\N
3536356	181	1997-11-30	PRIJEM	\N	168	40519	UROK	\N	\N
3536357	181	1997-12-31	PRIJEM	\N	180	45262	UROK	\N	\N
3536358	181	1998-01-31	PRIJEM	\N	154	31693	UROK	\N	\N
3536359	181	1998-02-28	PRIJEM	\N	144	35615	UROK	\N	\N
3536360	181	1998-03-31	PRIJEM	\N	148	35140	UROK	\N	\N
3536361	181	1998-04-30	PRIJEM	\N	127	27845	UROK	\N	\N
3536362	181	1998-05-31	PRIJEM	\N	115	27338	UROK	\N	\N
3536363	181	1998-06-30	PRIJEM	\N	131	33032	UROK	\N	\N
3536364	181	1998-07-31	PRIJEM	\N	134	30743	UROK	\N	\N
3536365	181	1998-08-31	PRIJEM	\N	126	25147	UROK	\N	\N
3536366	181	1998-09-30	PRIJEM	\N	106	25430	UROK	\N	\N
3536367	181	1998-10-31	PRIJEM	\N	113	23721	UROK	\N	\N
3536368	181	1998-11-30	PRIJEM	\N	107	24805	UROK	\N	\N
3536369	181	1998-12-31	PRIJEM	\N	123	32492	UROK	\N	\N
3536370	183	1994-01-31	PRIJEM	\N	53	18895	UROK	\N	\N
3536371	183	1994-02-28	PRIJEM	\N	109	29847	UROK	\N	\N
3536372	183	1994-03-31	PRIJEM	\N	139	35427	UROK	\N	\N
3536373	183	1994-04-30	PRIJEM	\N	151	36720	UROK	\N	\N
3536374	183	1994-05-31	PRIJEM	\N	142	30850	UROK	\N	\N
3536375	183	1994-06-30	PRIJEM	\N	143	33287	UROK	\N	\N
3536376	183	1994-07-31	PRIJEM	\N	128	26529	UROK	\N	\N
3536377	183	1994-08-31	PRIJEM	\N	111	25513	UROK	\N	\N
3536378	183	1994-09-30	PRIJEM	\N	110	25696	UROK	\N	\N
3536379	183	1994-10-31	PRIJEM	\N	111	26181	UROK	\N	\N
3536380	183	1994-11-30	PRIJEM	\N	101	21135	UROK	\N	\N
3536381	183	1994-12-31	PRIJEM	\N	99	22109	UROK	\N	\N
3536382	183	1995-01-31	PRIJEM	\N	111	13353	UROK	\N	\N
3536383	183	1995-02-28	PRIJEM	\N	104	25970	UROK	\N	\N
3536384	183	1995-03-31	PRIJEM	\N	114	26357	UROK	\N	\N
3536385	183	1995-04-30	PRIJEM	\N	127	28777	UROK	\N	\N
3536386	183	1995-05-31	PRIJEM	\N	123	29093	UROK	\N	\N
3536387	183	1995-06-30	PRIJEM	\N	145	21092	UROK	\N	\N
3536388	183	1995-07-31	PRIJEM	\N	107	26233	UROK	\N	\N
3536389	183	1995-08-31	PRIJEM	\N	120	24267	UROK	\N	\N
3536390	183	1995-09-30	PRIJEM	\N	114	27354	UROK	\N	\N
3536391	183	1995-10-31	PRIJEM	\N	126	29034	UROK	\N	\N
3536392	183	1995-11-30	PRIJEM	\N	131	31138	UROK	\N	\N
3536393	183	1995-12-31	PRIJEM	\N	144	36817	UROK	\N	\N
3536394	183	1996-01-31	PRIJEM	\N	119	23869	UROK	\N	\N
3536395	183	1996-02-29	PRIJEM	\N	109	27752	UROK	\N	\N
3536396	183	1996-03-31	PRIJEM	\N	121	26186	UROK	\N	\N
3536397	183	1996-04-30	PRIJEM	\N	117	29876	UROK	\N	\N
3536398	183	1996-05-31	PRIJEM	\N	141	28991	UROK	\N	\N
3536399	183	1996-06-30	PRIJEM	\N	128	26213	UROK	\N	\N
3536400	183	1996-07-31	PRIJEM	\N	135	32621	UROK	\N	\N
3536401	183	1996-08-31	PRIJEM	\N	162	33957	UROK	\N	\N
3536402	183	1996-09-30	PRIJEM	\N	167	36097	UROK	\N	\N
3536403	183	1996-10-31	PRIJEM	\N	158	31689	UROK	\N	\N
3536404	183	1996-11-30	PRIJEM	\N	156	32318	UROK	\N	\N
3536405	183	1996-12-31	PRIJEM	\N	179	36931	UROK	\N	\N
3536406	183	1997-01-31	PRIJEM	\N	166	23370	UROK	\N	\N
3536407	183	1997-02-28	PRIJEM	\N	126	31570	UROK	\N	\N
3536408	183	1997-03-31	PRIJEM	\N	156	33699	UROK	\N	\N
3536409	183	1997-04-30	PRIJEM	\N	167	39339	UROK	\N	\N
3536410	183	1997-05-31	PRIJEM	\N	186	42019	UROK	\N	\N
3536411	183	1997-06-30	PRIJEM	\N	156	33449	UROK	\N	\N
3536412	183	1997-07-31	PRIJEM	\N	164	36206	UROK	\N	\N
3536413	183	1997-08-31	PRIJEM	\N	175	40754	UROK	\N	\N
3536414	183	1997-09-30	PRIJEM	\N	187	40214	UROK	\N	\N
3536415	183	1997-10-31	PRIJEM	\N	183	38870	UROK	\N	\N
3536416	183	1997-11-30	PRIJEM	\N	174	36118	UROK	\N	\N
3536417	183	1997-12-31	PRIJEM	\N	186	37659	UROK	\N	\N
3536418	183	1998-01-31	PRIJEM	\N	163	34095	UROK	\N	\N
3536419	183	1998-02-28	PRIJEM	\N	158	35127	UROK	\N	\N
3536420	183	1998-03-31	PRIJEM	\N	162	35262	UROK	\N	\N
3536421	183	1998-04-30	PRIJEM	\N	164	36799	UROK	\N	\N
3536422	183	1998-05-31	PRIJEM	\N	160	34932	UROK	\N	\N
3536423	183	1998-06-30	PRIJEM	\N	176	38603	UROK	\N	\N
3536424	183	1998-07-31	PRIJEM	\N	166	34242	UROK	\N	\N
3536425	183	1998-08-31	PRIJEM	\N	139	22214	UROK	\N	\N
3536426	183	1998-09-30	PRIJEM	\N	108	24695	UROK	\N	\N
3536427	183	1998-10-31	PRIJEM	\N	121	29089	UROK	\N	\N
3536428	183	1998-11-30	PRIJEM	\N	138	33280	UROK	\N	\N
3536429	183	1998-12-31	PRIJEM	\N	180	45614	UROK	\N	\N
3536430	184	1996-03-31	PRIJEM	\N	29	21626	UROK	\N	\N
3536431	184	1996-04-30	PRIJEM	\N	103	31226	UROK	\N	\N
3536432	184	1996-05-31	PRIJEM	\N	136	35559	UROK	\N	\N
3536433	184	1996-06-30	PRIJEM	\N	160	43565	UROK	\N	\N
3536434	184	1996-07-31	PRIJEM	\N	181	43743	UROK	\N	\N
3536435	184	1996-08-31	PRIJEM	\N	185	43810	UROK	\N	\N
3536436	184	1996-09-30	PRIJEM	\N	197	43890	UROK	\N	\N
3536437	184	1996-10-31	PRIJEM	\N	183	44356	UROK	\N	\N
3536438	184	1996-11-30	PRIJEM	\N	183	43421	UROK	\N	\N
3536439	184	1996-12-31	PRIJEM	\N	192	48744	UROK	\N	\N
3536440	184	1997-01-31	PRIJEM	\N	190	25517	UROK	\N	\N
3536441	184	1997-02-28	PRIJEM	\N	144	34544	UROK	\N	\N
3536442	184	1997-03-31	PRIJEM	\N	155	40482	UROK	\N	\N
3536443	184	1997-04-30	PRIJEM	\N	175	43739	UROK	\N	\N
3536444	184	1997-05-31	PRIJEM	\N	195	49916	UROK	\N	\N
3536445	184	1997-06-30	PRIJEM	\N	222	49270	UROK	\N	\N
3536446	184	1997-07-31	PRIJEM	\N	199	46952	UROK	\N	\N
3536447	184	1997-08-31	PRIJEM	\N	215	48149	UROK	\N	\N
3536448	184	1997-09-30	PRIJEM	\N	205	50437	UROK	\N	\N
3536449	184	1997-10-31	PRIJEM	\N	200	46919	UROK	\N	\N
3536450	184	1997-11-30	PRIJEM	\N	202	45103	UROK	\N	\N
3536451	184	1997-12-31	PRIJEM	\N	203	45938	UROK	\N	\N
3536452	184	1998-01-31	PRIJEM	\N	157	24577	UROK	\N	\N
3536453	184	1998-02-28	PRIJEM	\N	128	31088	UROK	\N	\N
3536454	184	1998-03-31	PRIJEM	\N	139	35009	UROK	\N	\N
3536455	184	1998-04-30	PRIJEM	\N	144	34836	UROK	\N	\N
3536456	184	1998-05-31	PRIJEM	\N	142	31560	UROK	\N	\N
3536457	184	1998-06-30	PRIJEM	\N	159	41350	UROK	\N	\N
3536458	184	1998-07-31	PRIJEM	\N	170	41102	UROK	\N	\N
3536459	184	1998-08-31	PRIJEM	\N	184	45769	UROK	\N	\N
3536460	184	1998-09-30	PRIJEM	\N	204	50355	UROK	\N	\N
3536461	184	1998-10-31	PRIJEM	\N	220	53457	UROK	\N	\N
3536462	184	1998-11-30	PRIJEM	\N	241	59480	UROK	\N	\N
3536463	184	1998-12-31	PRIJEM	\N	339	67050	UROK	\N	\N
3536464	185	1997-07-31	PRIJEM	\N	60	20291	UROK	\N	\N
3536465	185	1997-08-31	PRIJEM	\N	140	39162	UROK	\N	\N
3536466	185	1997-09-30	PRIJEM	\N	193	49786	UROK	\N	\N
3536467	185	1997-10-31	PRIJEM	\N	229	57246	UROK	\N	\N
3536468	185	1997-11-30	PRIJEM	\N	224	51475	UROK	\N	\N
3536469	185	1997-12-31	PRIJEM	\N	239	58219	UROK	\N	\N
3536470	185	1998-01-31	PRIJEM	\N	204	42214	UROK	\N	\N
3536471	185	1998-02-28	PRIJEM	\N	210	55114	UROK	\N	\N
3536472	185	1998-03-31	PRIJEM	\N	236	60241	UROK	\N	\N
3536473	185	1998-04-30	PRIJEM	\N	264	66096	UROK	\N	\N
3536474	185	1998-05-31	PRIJEM	\N	248	52234	UROK	\N	\N
3536475	185	1998-06-30	PRIJEM	\N	272	50611	UROK	\N	\N
3536476	185	1998-07-31	PRIJEM	\N	242	51843	UROK	\N	\N
3536477	185	1998-08-31	PRIJEM	\N	246	54680	UROK	\N	\N
3536478	185	1998-09-30	PRIJEM	\N	254	51524	UROK	\N	\N
3536479	185	1998-10-31	PRIJEM	\N	237	45552	UROK	\N	\N
3536480	185	1998-11-30	PRIJEM	\N	215	44157	UROK	\N	\N
3536481	185	1998-12-31	PRIJEM	\N	247	65609	UROK	\N	\N
3536482	186	1993-08-31	PRIJEM	\N	12	22282	UROK	\N	\N
3536483	186	1993-09-30	PRIJEM	\N	102	38963	UROK	\N	\N
3536484	186	1993-10-31	PRIJEM	\N	164	41928	UROK	\N	\N
3536485	186	1993-11-30	PRIJEM	\N	174	34102	UROK	\N	\N
3536486	186	1993-12-31	PRIJEM	\N	174	27776	UROK	\N	\N
3536487	186	1994-01-31	PRIJEM	\N	184	79407	UROK	\N	\N
3536488	186	1994-02-28	PRIJEM	\N	301	51893	UROK	\N	\N
3536489	186	1994-03-31	PRIJEM	\N	366	62742	UROK	\N	\N
3536490	186	1994-04-30	PRIJEM	\N	270	62449	UROK	\N	\N
3536491	186	1994-05-31	PRIJEM	\N	256	53514	UROK	\N	\N
3536492	186	1994-06-30	PRIJEM	\N	354	91351	UROK	\N	\N
3536493	186	1994-07-31	PRIJEM	\N	354	63819	UROK	\N	\N
3536494	186	1994-08-31	PRIJEM	\N	279	48291	UROK	\N	\N
3536495	186	1994-09-30	PRIJEM	\N	327	71445	UROK	\N	\N
3536496	186	1994-10-31	PRIJEM	\N	226	46598	UROK	\N	\N
3536497	186	1994-11-30	PRIJEM	\N	334	73996	UROK	\N	\N
3536498	186	1994-12-31	PRIJEM	\N	264	46568	UROK	\N	\N
3536499	186	1995-01-31	PRIJEM	\N	133	26109	UROK	\N	\N
3536500	186	1995-02-28	PRIJEM	\N	144	28631	UROK	\N	\N
3536501	186	1995-03-31	PRIJEM	\N	115	26254	UROK	\N	\N
3536502	186	1995-04-30	PRIJEM	\N	122	35910	UROK	\N	\N
3536503	186	1995-05-31	PRIJEM	\N	143	37925	UROK	\N	\N
3536504	186	1995-06-30	PRIJEM	\N	274	60380	UROK	\N	\N
3536505	186	1995-07-31	PRIJEM	\N	277	95958	UROK	\N	\N
3536506	186	1995-08-31	PRIJEM	\N	320	62886	UROK	\N	\N
3536507	186	1995-09-30	PRIJEM	\N	220	40385	UROK	\N	\N
3536508	186	1995-10-31	PRIJEM	\N	164	39157	UROK	\N	\N
3536509	186	1995-11-30	PRIJEM	\N	264	85466	UROK	\N	\N
3536510	186	1995-12-31	PRIJEM	\N	287	57876	UROK	\N	\N
3536511	186	1996-01-31	PRIJEM	\N	266	59952	UROK	\N	\N
3536512	186	1996-02-29	PRIJEM	\N	337	98545	UROK	\N	\N
3536513	186	1996-03-31	PRIJEM	\N	365	81512	UROK	\N	\N
3536514	186	1996-04-30	PRIJEM	\N	294	63214	UROK	\N	\N
3536515	186	1996-05-31	PRIJEM	\N	200	29563	UROK	\N	\N
3536516	186	1996-06-30	PRIJEM	\N	283	96716	UROK	\N	\N
3536517	186	1996-07-31	PRIJEM	\N	336	65568	UROK	\N	\N
3536518	186	1996-08-31	PRIJEM	\N	213	34995	UROK	\N	\N
3536519	186	1996-09-30	PRIJEM	\N	162	41965	UROK	\N	\N
3536520	186	1996-10-31	PRIJEM	\N	371	101406	UROK	\N	\N
3536521	186	1996-11-30	PRIJEM	\N	317	50131	UROK	\N	\N
3536522	186	1996-12-31	PRIJEM	\N	147	29425	UROK	\N	\N
3536523	186	1997-01-31	PRIJEM	\N	137	35170	UROK	\N	\N
3536524	186	1997-02-28	PRIJEM	\N	149	37127	UROK	\N	\N
3536525	186	1997-03-31	PRIJEM	\N	140	31581	UROK	\N	\N
3536526	186	1997-04-30	PRIJEM	\N	214	58290	UROK	\N	\N
3536527	186	1997-05-31	PRIJEM	\N	187	26236	UROK	\N	\N
3536528	186	1997-06-30	PRIJEM	\N	137	36281	UROK	\N	\N
3536529	186	1997-07-31	PRIJEM	\N	244	63452	UROK	\N	\N
3536530	186	1997-08-31	PRIJEM	\N	287	93079	UROK	\N	\N
3536531	186	1997-09-30	PRIJEM	\N	357	94269	UROK	\N	\N
3536532	186	1997-10-31	PRIJEM	\N	289	62712	UROK	\N	\N
3536533	186	1997-11-30	PRIJEM	\N	246	40024	UROK	\N	\N
3536534	186	1997-12-31	PRIJEM	\N	191	27597	UROK	\N	\N
3536535	186	1998-01-31	PRIJEM	\N	197	55463	UROK	\N	\N
3536536	186	1998-02-28	PRIJEM	\N	211	51582	UROK	\N	\N
3536537	186	1998-03-31	PRIJEM	\N	306	73516	UROK	\N	\N
3536538	186	1998-04-30	PRIJEM	\N	421	106578	UROK	\N	\N
3536539	186	1998-05-31	PRIJEM	\N	391	96594	UROK	\N	\N
3536540	186	1998-06-30	PRIJEM	\N	308	117867	UROK	\N	\N
3536541	186	1998-07-31	PRIJEM	\N	379	83109	UROK	\N	\N
3536542	186	1998-08-31	PRIJEM	\N	203	38146	UROK	\N	\N
3536543	186	1998-09-30	PRIJEM	\N	200	57293	UROK	\N	\N
3536544	186	1998-10-31	PRIJEM	\N	316	54174	UROK	\N	\N
3536545	186	1998-11-30	PRIJEM	\N	454	129867	UROK	\N	\N
3536546	186	1998-12-31	PRIJEM	\N	358	74438	UROK	\N	\N
3536547	187	1993-08-31	PRIJEM	\N	20	21005	UROK	\N	\N
3536548	187	1993-09-30	PRIJEM	\N	91	22480	UROK	\N	\N
3536549	187	1993-10-31	PRIJEM	\N	96	23361	UROK	\N	\N
3536550	187	1993-11-30	PRIJEM	\N	101	24846	UROK	\N	\N
3536551	187	1993-12-31	PRIJEM	\N	103	22733	UROK	\N	\N
3536552	187	1994-01-31	PRIJEM	\N	76	15674	UROK	\N	\N
3536553	187	1994-02-28	PRIJEM	\N	68	16406	UROK	\N	\N
3536554	187	1994-03-31	PRIJEM	\N	72	17862	UROK	\N	\N
3536555	187	1994-04-30	PRIJEM	\N	78	19324	UROK	\N	\N
3536556	187	1994-05-31	PRIJEM	\N	80	17029	UROK	\N	\N
3536557	187	1994-06-30	PRIJEM	\N	57	14270	UROK	\N	\N
3536558	187	1994-07-31	PRIJEM	\N	63	15717	UROK	\N	\N
3536559	187	1994-08-31	PRIJEM	\N	69	17171	UROK	\N	\N
3536560	187	1994-09-30	PRIJEM	\N	75	18630	UROK	\N	\N
3536561	187	1994-10-31	PRIJEM	\N	81	20095	UROK	\N	\N
3536562	187	1994-11-30	PRIJEM	\N	80	18119	UROK	\N	\N
3536563	187	1994-12-31	PRIJEM	\N	76	17380	UROK	\N	\N
3536564	187	1995-01-31	PRIJEM	\N	61	13465	UROK	\N	\N
3536565	187	1995-02-28	PRIJEM	\N	57	13947	UROK	\N	\N
3536566	187	1995-03-31	PRIJEM	\N	61	15392	UROK	\N	\N
3536567	187	1995-04-30	PRIJEM	\N	67	16844	UROK	\N	\N
3536568	187	1995-05-31	PRIJEM	\N	67	14375	UROK	\N	\N
3536569	187	1995-06-30	PRIJEM	\N	63	15822	UROK	\N	\N
3536570	187	1995-07-31	PRIJEM	\N	69	17276	UROK	\N	\N
3536571	187	1995-08-31	PRIJEM	\N	66	14646	UROK	\N	\N
3536572	187	1995-09-30	PRIJEM	\N	64	16094	UROK	\N	\N
3536573	187	1995-10-31	PRIJEM	\N	69	17047	UROK	\N	\N
3536574	187	1995-11-30	PRIJEM	\N	69	16801	UROK	\N	\N
3536575	187	1995-12-31	PRIJEM	\N	73	17958	UROK	\N	\N
3536576	187	1996-01-31	PRIJEM	\N	66	14368	UROK	\N	\N
3536577	187	1996-02-29	PRIJEM	\N	63	15815	UROK	\N	\N
3536578	187	1996-03-31	PRIJEM	\N	59	14698	UROK	\N	\N
3536579	187	1996-04-30	PRIJEM	\N	64	16147	UROK	\N	\N
3536580	187	1996-05-31	PRIJEM	\N	68	17399	UROK	\N	\N
3536581	187	1996-06-30	PRIJEM	\N	69	16253	UROK	\N	\N
3536582	187	1996-07-31	PRIJEM	\N	70	17707	UROK	\N	\N
3536583	187	1996-08-31	PRIJEM	\N	76	19168	UROK	\N	\N
3536584	187	1996-09-30	PRIJEM	\N	68	16820	UROK	\N	\N
3536585	187	1996-10-31	PRIJEM	\N	66	17151	UROK	\N	\N
3536586	187	1996-11-30	PRIJEM	\N	74	18609	UROK	\N	\N
3536587	187	1996-12-31	PRIJEM	\N	68	17362	UROK	\N	\N
3536588	187	1997-01-31	PRIJEM	\N	59	14845	UROK	\N	\N
3536589	187	1997-02-28	PRIJEM	\N	64	16294	UROK	\N	\N
3536590	187	1997-03-31	PRIJEM	\N	70	17748	UROK	\N	\N
3536591	187	1997-04-30	PRIJEM	\N	76	19209	UROK	\N	\N
3536592	187	1997-05-31	PRIJEM	\N	82	20675	UROK	\N	\N
3536593	187	1997-06-30	PRIJEM	\N	79	18488	UROK	\N	\N
3536594	187	1997-07-31	PRIJEM	\N	79	19952	UROK	\N	\N
3536595	187	1997-08-31	PRIJEM	\N	85	21421	UROK	\N	\N
3536596	187	1997-09-30	PRIJEM	\N	91	22897	UROK	\N	\N
3536597	187	1997-10-31	PRIJEM	\N	96	23497	UROK	\N	\N
3536598	187	1997-11-30	PRIJEM	\N	100	24981	UROK	\N	\N
3536599	187	1997-12-31	PRIJEM	\N	105	25970	UROK	\N	\N
3536600	187	1998-01-31	PRIJEM	\N	90	18404	UROK	\N	\N
3536601	187	1998-02-28	PRIJEM	\N	76	18505	UROK	\N	\N
3536602	187	1998-03-31	PRIJEM	\N	74	17963	UROK	\N	\N
3536603	187	1998-04-30	PRIJEM	\N	76	19424	UROK	\N	\N
3536604	187	1998-05-31	PRIJEM	\N	72	18480	UROK	\N	\N
3536605	187	1998-06-30	PRIJEM	\N	78	19943	UROK	\N	\N
3536606	187	1998-07-31	PRIJEM	\N	80	18847	UROK	\N	\N
3536607	187	1998-08-31	PRIJEM	\N	80	20312	UROK	\N	\N
3536608	187	1998-09-30	PRIJEM	\N	86	21782	UROK	\N	\N
3536609	187	1998-10-31	PRIJEM	\N	92	23258	UROK	\N	\N
3536610	187	1998-11-30	PRIJEM	\N	98	24740	UROK	\N	\N
3536611	187	1998-12-31	PRIJEM	\N	103	25228	UROK	\N	\N
3536612	188	1993-05-31	PRIJEM	\N	36	22449	UROK	\N	\N
3536613	188	1993-06-30	PRIJEM	\N	120	38690	UROK	\N	\N
3536614	188	1993-07-31	PRIJEM	\N	165	41268	UROK	\N	\N
3536615	188	1993-08-31	PRIJEM	\N	171	40951	UROK	\N	\N
3536616	188	1993-09-30	PRIJEM	\N	172	42237	UROK	\N	\N
3536617	188	1993-10-31	PRIJEM	\N	158	35047	UROK	\N	\N
3536618	188	1993-11-30	PRIJEM	\N	140	34479	UROK	\N	\N
3536619	188	1993-12-31	PRIJEM	\N	159	37978	UROK	\N	\N
3536620	188	1994-01-31	PRIJEM	\N	114	18964	UROK	\N	\N
3536621	188	1994-02-28	PRIJEM	\N	100	27837	UROK	\N	\N
3536622	188	1994-03-31	PRIJEM	\N	130	32339	UROK	\N	\N
3536623	188	1994-04-30	PRIJEM	\N	147	36659	UROK	\N	\N
3536624	188	1994-05-31	PRIJEM	\N	145	34317	UROK	\N	\N
3536625	188	1994-06-30	PRIJEM	\N	159	40055	UROK	\N	\N
3536626	188	1994-07-31	PRIJEM	\N	167	39494	UROK	\N	\N
3536627	188	1994-08-31	PRIJEM	\N	158	37024	UROK	\N	\N
3536628	188	1994-09-30	PRIJEM	\N	159	39715	UROK	\N	\N
3536629	188	1994-10-31	PRIJEM	\N	178	42126	UROK	\N	\N
3536630	188	1994-11-30	PRIJEM	\N	199	52697	UROK	\N	\N
3536631	188	1994-12-31	PRIJEM	\N	237	58373	UROK	\N	\N
3536632	188	1995-01-31	PRIJEM	\N	177	29382	UROK	\N	\N
3536633	188	1995-02-28	PRIJEM	\N	154	44208	UROK	\N	\N
3536634	188	1995-03-31	PRIJEM	\N	210	55691	UROK	\N	\N
3536635	188	1995-04-30	PRIJEM	\N	229	57692	UROK	\N	\N
3536636	188	1995-05-31	PRIJEM	\N	243	61507	UROK	\N	\N
3536637	188	1995-06-30	PRIJEM	\N	224	47411	UROK	\N	\N
3536638	188	1995-07-31	PRIJEM	\N	223	59506	UROK	\N	\N
3536639	188	1995-08-31	PRIJEM	\N	230	58189	UROK	\N	\N
3536640	188	1995-09-30	PRIJEM	\N	237	60298	UROK	\N	\N
3536641	188	1995-10-31	PRIJEM	\N	239	60309	UROK	\N	\N
3536642	188	1995-11-30	PRIJEM	\N	239	60521	UROK	\N	\N
3536643	188	1995-12-31	PRIJEM	\N	272	73813	UROK	\N	\N
3536644	188	1996-01-31	PRIJEM	\N	256	59900	UROK	\N	\N
3536645	188	1996-02-29	PRIJEM	\N	249	64022	UROK	\N	\N
3536646	188	1996-03-31	PRIJEM	\N	267	67521	UROK	\N	\N
3536647	188	1996-04-30	PRIJEM	\N	270	64764	UROK	\N	\N
3536648	188	1996-05-31	PRIJEM	\N	277	66653	UROK	\N	\N
3536649	188	1996-06-30	PRIJEM	\N	278	72791	UROK	\N	\N
3536650	188	1996-07-31	PRIJEM	\N	303	76966	UROK	\N	\N
3536651	188	1996-08-31	PRIJEM	\N	285	74284	UROK	\N	\N
3536652	188	1996-09-30	PRIJEM	\N	303	76559	UROK	\N	\N
3536653	188	1996-10-31	PRIJEM	\N	308	77839	UROK	\N	\N
3536654	188	1996-11-30	PRIJEM	\N	300	74011	UROK	\N	\N
3536655	188	1996-12-31	PRIJEM	\N	302	68752	UROK	\N	\N
3536656	188	1997-01-31	PRIJEM	\N	263	56527	UROK	\N	\N
3536657	188	1997-02-28	PRIJEM	\N	260	68760	UROK	\N	\N
3536658	188	1997-03-31	PRIJEM	\N	281	66113	UROK	\N	\N
3536659	188	1997-04-30	PRIJEM	\N	300	68185	UROK	\N	\N
3536660	188	1997-05-31	PRIJEM	\N	309	74266	UROK	\N	\N
3536661	188	1997-06-30	PRIJEM	\N	289	65654	UROK	\N	\N
3536662	188	1997-07-31	PRIJEM	\N	292	66399	UROK	\N	\N
3536663	188	1997-08-31	PRIJEM	\N	287	70398	UROK	\N	\N
3536664	188	1997-09-30	PRIJEM	\N	311	70902	UROK	\N	\N
3536665	188	1997-10-31	PRIJEM	\N	312	70586	UROK	\N	\N
3536666	188	1997-11-30	PRIJEM	\N	305	70384	UROK	\N	\N
3536667	188	1997-12-31	PRIJEM	\N	329	74252	UROK	\N	\N
3536668	188	1998-01-31	PRIJEM	\N	277	57882	UROK	\N	\N
3536669	188	1998-02-28	PRIJEM	\N	261	65315	UROK	\N	\N
3536670	188	1998-03-31	PRIJEM	\N	291	69978	UROK	\N	\N
3536671	188	1998-04-30	PRIJEM	\N	304	70055	UROK	\N	\N
3536672	188	1998-05-31	PRIJEM	\N	303	70110	UROK	\N	\N
3536673	188	1998-06-30	PRIJEM	\N	282	63092	UROK	\N	\N
3536674	188	1998-07-31	PRIJEM	\N	283	71247	UROK	\N	\N
3536675	188	1998-08-31	PRIJEM	\N	299	76178	UROK	\N	\N
3536676	188	1998-09-30	PRIJEM	\N	331	81281	UROK	\N	\N
3536677	188	1998-10-31	PRIJEM	\N	343	80497	UROK	\N	\N
3536678	188	1998-11-30	PRIJEM	\N	345	83714	UROK	\N	\N
3536679	188	1998-12-31	PRIJEM	\N	377	100010	UROK	\N	\N
3536680	189	1997-05-31	PRIJEM	\N	48	22368	UROK	\N	\N
3536681	189	1997-06-30	PRIJEM	\N	127	37925	UROK	\N	\N
3536682	189	1997-07-31	PRIJEM	\N	164	40609	UROK	\N	\N
3536683	189	1997-08-31	PRIJEM	\N	160	37189	UROK	\N	\N
3536684	189	1997-09-30	PRIJEM	\N	163	34818	UROK	\N	\N
3536685	189	1997-10-31	PRIJEM	\N	161	36430	UROK	\N	\N
3536686	189	1997-11-30	PRIJEM	\N	155	35077	UROK	\N	\N
3536687	189	1997-12-31	PRIJEM	\N	170	36908	UROK	\N	\N
3536688	189	1998-01-31	PRIJEM	\N	125	15045	UROK	\N	\N
3536689	189	1998-02-28	PRIJEM	\N	106	28402	UROK	\N	\N
3536690	189	1998-03-31	PRIJEM	\N	157	39511	UROK	\N	\N
3536691	189	1998-04-30	PRIJEM	\N	179	39441	UROK	\N	\N
3536692	189	1998-05-31	PRIJEM	\N	195	47887	UROK	\N	\N
3536693	189	1998-06-30	PRIJEM	\N	150	24819	UROK	\N	\N
3536694	189	1998-07-31	PRIJEM	\N	144	36574	UROK	\N	\N
3536695	189	1998-08-31	PRIJEM	\N	171	39496	UROK	\N	\N
3536696	189	1998-09-30	PRIJEM	\N	213	54661	UROK	\N	\N
3536697	189	1998-10-31	PRIJEM	\N	241	58353	UROK	\N	\N
3536698	189	1998-11-30	PRIJEM	\N	261	63666	UROK	\N	\N
3536699	189	1998-12-31	PRIJEM	\N	282	71269	UROK	\N	\N
3536700	190	1995-03-31	PRIJEM	\N	44	18100	UROK	\N	\N
3536701	190	1995-04-30	PRIJEM	\N	122	37978	UROK	\N	\N
3536702	190	1995-05-31	PRIJEM	\N	183	49017	UROK	\N	\N
3536703	190	1995-06-30	PRIJEM	\N	160	64510	UROK	\N	\N
3536704	190	1995-07-31	PRIJEM	\N	196	43762	UROK	\N	\N
3536705	190	1995-08-31	PRIJEM	\N	192	39086	UROK	\N	\N
3536706	190	1995-09-30	PRIJEM	\N	172	34589	UROK	\N	\N
3536707	190	1995-10-31	PRIJEM	\N	151	34671	UROK	\N	\N
3536708	190	1995-11-30	PRIJEM	\N	153	33356	UROK	\N	\N
3536709	190	1995-12-31	PRIJEM	\N	152	35117	UROK	\N	\N
3536710	190	1996-01-31	PRIJEM	\N	107	29855	UROK	\N	\N
3536711	190	1996-02-29	PRIJEM	\N	125	31012	UROK	\N	\N
3536712	190	1996-03-31	PRIJEM	\N	141	34484	UROK	\N	\N
3536713	190	1996-04-30	PRIJEM	\N	151	35066	UROK	\N	\N
3536714	190	1996-05-31	PRIJEM	\N	147	34244	UROK	\N	\N
3536715	190	1996-06-30	PRIJEM	\N	153	28107	UROK	\N	\N
3536716	190	1996-07-31	PRIJEM	\N	129	34067	UROK	\N	\N
3536717	190	1996-08-31	PRIJEM	\N	150	37449	UROK	\N	\N
3536718	190	1996-09-30	PRIJEM	\N	160	37939	UROK	\N	\N
3536719	190	1996-10-31	PRIJEM	\N	160	36331	UROK	\N	\N
3536720	190	1996-11-30	PRIJEM	\N	148	32711	UROK	\N	\N
3536721	190	1996-12-31	PRIJEM	\N	150	37270	UROK	\N	\N
3536722	190	1997-01-31	PRIJEM	\N	130	20631	UROK	\N	\N
3536723	190	1997-02-28	PRIJEM	\N	97	27960	UROK	\N	\N
3536724	190	1997-03-31	PRIJEM	\N	118	28009	UROK	\N	\N
3536725	190	1997-04-30	PRIJEM	\N	123	31264	UROK	\N	\N
3536726	190	1997-05-31	PRIJEM	\N	136	33330	UROK	\N	\N
3536727	190	1997-06-30	PRIJEM	\N	142	37381	UROK	\N	\N
3536728	190	1997-07-31	PRIJEM	\N	153	35666	UROK	\N	\N
3536729	190	1997-08-31	PRIJEM	\N	150	37648	UROK	\N	\N
3536730	190	1997-09-30	PRIJEM	\N	152	36231	UROK	\N	\N
3536731	190	1997-10-31	PRIJEM	\N	142	32705	UROK	\N	\N
3536732	190	1997-11-30	PRIJEM	\N	131	32267	UROK	\N	\N
3536733	190	1997-12-31	PRIJEM	\N	122	29598	UROK	\N	\N
3536734	190	1998-01-31	PRIJEM	\N	81	19510	UROK	\N	\N
3536735	190	1998-02-28	PRIJEM	\N	93	27335	UROK	\N	\N
3536736	190	1998-03-31	PRIJEM	\N	119	29885	UROK	\N	\N
3536737	190	1998-04-30	PRIJEM	\N	115	28331	UROK	\N	\N
3536738	190	1998-05-31	PRIJEM	\N	118	31181	UROK	\N	\N
3536739	190	1998-06-30	PRIJEM	\N	161	30552	UROK	\N	\N
3536740	190	1998-07-31	PRIJEM	\N	130	35113	UROK	\N	\N
3536741	190	1998-08-31	PRIJEM	\N	176	49221	UROK	\N	\N
3536742	190	1998-09-30	PRIJEM	\N	219	56871	UROK	\N	\N
3536743	190	1998-10-31	PRIJEM	\N	237	60639	UROK	\N	\N
3536744	190	1998-11-30	PRIJEM	\N	233	58704	UROK	\N	\N
3536745	190	1998-12-31	PRIJEM	\N	261	69474	UROK	\N	\N
3536746	191	1997-04-30	PRIJEM	\N	65	31374	UROK	\N	\N
3536747	191	1997-05-31	PRIJEM	\N	163	46646	UROK	\N	\N
3536748	191	1997-06-30	PRIJEM	\N	256	53916	UROK	\N	\N
3536749	191	1997-07-31	PRIJEM	\N	237	59562	UROK	\N	\N
3536750	191	1997-08-31	PRIJEM	\N	245	55541	UROK	\N	\N
3536751	191	1997-09-30	PRIJEM	\N	222	40611	UROK	\N	\N
3536752	191	1997-10-31	PRIJEM	\N	205	54709	UROK	\N	\N
3536753	191	1997-11-30	PRIJEM	\N	170	28936	UROK	\N	\N
3536754	191	1997-12-31	PRIJEM	\N	196	54031	UROK	\N	\N
3536755	191	1998-01-31	PRIJEM	\N	188	40270	UROK	\N	\N
3536756	191	1998-02-28	PRIJEM	\N	192	48956	UROK	\N	\N
3536757	191	1998-03-31	PRIJEM	\N	212	49162	UROK	\N	\N
3536758	191	1998-04-30	PRIJEM	\N	214	50671	UROK	\N	\N
3536759	191	1998-05-31	PRIJEM	\N	205	38698	UROK	\N	\N
3536760	191	1998-06-30	PRIJEM	\N	168	37316	UROK	\N	\N
3536761	191	1998-07-31	PRIJEM	\N	281	45491	UROK	\N	\N
3536762	191	1998-08-31	PRIJEM	\N	271	74155	UROK	\N	\N
3536763	191	1998-09-30	PRIJEM	\N	316	79602	UROK	\N	\N
3536764	191	1998-10-31	PRIJEM	\N	351	85315	UROK	\N	\N
3536765	191	1998-11-30	PRIJEM	\N	389	93498	UROK	\N	\N
3536766	191	1998-12-31	PRIJEM	\N	445	93242	UROK	\N	\N
3536767	192	1993-06-30	PRIJEM	\N	63	17775	UROK	\N	\N
3536768	192	1993-07-31	PRIJEM	\N	79	19115	UROK	\N	\N
3536769	192	1993-08-31	PRIJEM	\N	87	21463	UROK	\N	\N
3536770	192	1993-09-30	PRIJEM	\N	97	23821	UROK	\N	\N
3536771	192	1993-10-31	PRIJEM	\N	106	25488	UROK	\N	\N
3536772	192	1993-11-30	PRIJEM	\N	113	27863	UROK	\N	\N
3536773	192	1993-12-31	PRIJEM	\N	119	27943	UROK	\N	\N
3536774	192	1994-01-31	PRIJEM	\N	98	20682	UROK	\N	\N
3536775	192	1994-02-28	PRIJEM	\N	93	23037	UROK	\N	\N
3536776	192	1994-03-31	PRIJEM	\N	103	24601	UROK	\N	\N
3536777	192	1994-04-30	PRIJEM	\N	110	26972	UROK	\N	\N
3536778	192	1994-05-31	PRIJEM	\N	111	26545	UROK	\N	\N
3536779	192	1994-06-30	PRIJEM	\N	73	14929	UROK	\N	\N
3536780	192	1994-07-31	PRIJEM	\N	69	16859	UROK	\N	\N
3536781	192	1994-08-31	PRIJEM	\N	77	19198	UROK	\N	\N
3536782	192	1994-09-30	PRIJEM	\N	87	21547	UROK	\N	\N
3536783	192	1994-10-31	PRIJEM	\N	91	21739	UROK	\N	\N
3536784	192	1994-11-30	PRIJEM	\N	96	21676	UROK	\N	\N
3536785	192	1994-12-31	PRIJEM	\N	90	19428	UROK	\N	\N
3536786	192	1995-01-31	PRIJEM	\N	79	14968	UROK	\N	\N
3536787	192	1995-02-28	PRIJEM	\N	62	13771	UROK	\N	\N
3536788	192	1995-03-31	PRIJEM	\N	64	16097	UROK	\N	\N
3536789	192	1995-04-30	PRIJEM	\N	71	16829	UROK	\N	\N
3536790	192	1995-05-31	PRIJEM	\N	77	19168	UROK	\N	\N
3536791	192	1995-06-30	PRIJEM	\N	87	21516	UROK	\N	\N
3536792	192	1995-07-31	PRIJEM	\N	93	22590	UROK	\N	\N
3536793	192	1995-08-31	PRIJEM	\N	101	24952	UROK	\N	\N
3536794	192	1995-09-30	PRIJEM	\N	111	27324	UROK	\N	\N
3536795	192	1995-10-31	PRIJEM	\N	121	29706	UROK	\N	\N
3536796	192	1995-11-30	PRIJEM	\N	130	32098	UROK	\N	\N
3536797	192	1995-12-31	PRIJEM	\N	151	34260	UROK	\N	\N
3536798	192	1996-01-31	PRIJEM	\N	134	28655	UROK	\N	\N
3536799	192	1996-02-29	PRIJEM	\N	126	31042	UROK	\N	\N
3536800	192	1996-03-31	PRIJEM	\N	136	33439	UROK	\N	\N
3536801	192	1996-04-30	PRIJEM	\N	131	27112	UROK	\N	\N
3536802	192	1996-05-31	PRIJEM	\N	119	29493	UROK	\N	\N
3536803	192	1996-06-30	PRIJEM	\N	121	24375	UROK	\N	\N
3536804	192	1996-07-31	PRIJEM	\N	96	20733	UROK	\N	\N
3536805	192	1996-08-31	PRIJEM	\N	93	23087	UROK	\N	\N
3536806	192	1996-09-30	PRIJEM	\N	102	25450	UROK	\N	\N
3536807	192	1996-10-31	PRIJEM	\N	112	27824	UROK	\N	\N
3536808	192	1996-11-30	PRIJEM	\N	122	30207	UROK	\N	\N
3536809	192	1996-12-31	PRIJEM	\N	123	27841	UROK	\N	\N
3536810	192	1997-01-31	PRIJEM	\N	91	20353	UROK	\N	\N
3536811	192	1997-02-28	PRIJEM	\N	74	18768	UROK	\N	\N
3536812	192	1997-03-31	PRIJEM	\N	84	21114	UROK	\N	\N
3536813	192	1997-04-30	PRIJEM	\N	84	19699	UROK	\N	\N
3536814	192	1997-05-31	PRIJEM	\N	88	22048	UROK	\N	\N
3536815	192	1997-06-30	PRIJEM	\N	91	22080	UROK	\N	\N
3536816	192	1997-07-31	PRIJEM	\N	96	21637	UROK	\N	\N
3536817	192	1997-08-31	PRIJEM	\N	96	23994	UROK	\N	\N
3536818	192	1997-09-30	PRIJEM	\N	105	26361	UROK	\N	\N
3536819	192	1997-10-31	PRIJEM	\N	115	28737	UROK	\N	\N
3536820	192	1997-11-30	PRIJEM	\N	125	31123	UROK	\N	\N
3536821	192	1997-12-31	PRIJEM	\N	134	32458	UROK	\N	\N
3536822	192	1998-01-31	PRIJEM	\N	128	28368	UROK	\N	\N
3536823	192	1998-02-28	PRIJEM	\N	123	30752	UROK	\N	\N
3536824	192	1998-03-31	PRIJEM	\N	121	29215	UROK	\N	\N
3536825	192	1998-04-30	PRIJEM	\N	126	31301	UROK	\N	\N
3536826	192	1998-05-31	PRIJEM	\N	132	32695	UROK	\N	\N
3536827	192	1998-06-30	PRIJEM	\N	132	31409	UROK	\N	\N
3536828	192	1998-07-31	PRIJEM	\N	128	29298	UROK	\N	\N
3536829	192	1998-08-31	PRIJEM	\N	107	25506	UROK	\N	\N
3536830	192	1998-09-30	PRIJEM	\N	109	27276	UROK	\N	\N
3536831	192	1998-10-31	PRIJEM	\N	118	29656	UROK	\N	\N
3536832	192	1998-11-30	PRIJEM	\N	118	28115	UROK	\N	\N
3536833	192	1998-12-31	PRIJEM	\N	120	29947	UROK	\N	\N
3536834	193	1997-01-31	PRIJEM	\N	30	20596	UROK	\N	\N
3536835	193	1997-02-28	PRIJEM	\N	96	28659	UROK	\N	\N
3536836	193	1997-03-31	PRIJEM	\N	119	28744	UROK	\N	\N
3536837	193	1997-04-30	PRIJEM	\N	118	28028	UROK	\N	\N
3536838	193	1997-05-31	PRIJEM	\N	114	23979	UROK	\N	\N
3536839	193	1997-06-30	PRIJEM	\N	119	27872	UROK	\N	\N
3536840	193	1997-07-31	PRIJEM	\N	122	26235	UROK	\N	\N
3536841	193	1997-08-31	PRIJEM	\N	114	24991	UROK	\N	\N
3536842	193	1997-09-30	PRIJEM	\N	98	22150	UROK	\N	\N
3536843	193	1997-10-31	PRIJEM	\N	105	26196	UROK	\N	\N
3536844	193	1997-11-30	PRIJEM	\N	106	24844	UROK	\N	\N
3536845	193	1997-12-31	PRIJEM	\N	109	25147	UROK	\N	\N
3536846	193	1998-01-31	PRIJEM	\N	64	13312	UROK	\N	\N
3536847	193	1998-02-28	PRIJEM	\N	62	16415	UROK	\N	\N
3536848	193	1998-03-31	PRIJEM	\N	78	19335	UROK	\N	\N
3536849	193	1998-04-30	PRIJEM	\N	80	17856	UROK	\N	\N
3536850	193	1998-05-31	PRIJEM	\N	82	20480	UROK	\N	\N
3536851	193	1998-06-30	PRIJEM	\N	93	23847	UROK	\N	\N
3536852	193	1998-07-31	PRIJEM	\N	103	24991	UROK	\N	\N
3536853	193	1998-08-31	PRIJEM	\N	128	23261	UROK	\N	\N
3536854	193	1998-09-30	PRIJEM	\N	94	22496	UROK	\N	\N
3536855	193	1998-10-31	PRIJEM	\N	113	24151	UROK	\N	\N
3536856	193	1998-11-30	PRIJEM	\N	88	18600	UROK	\N	\N
3536857	193	1998-12-31	PRIJEM	\N	109	25204	UROK	\N	\N
3536858	194	1996-08-31	PRIJEM	\N	15	15388	UROK	\N	\N
3536859	194	1996-09-30	PRIJEM	\N	66	26427	UROK	\N	\N
3536860	194	1996-10-31	PRIJEM	\N	112	32811	UROK	\N	\N
3536861	194	1996-11-30	PRIJEM	\N	137	34921	UROK	\N	\N
3536862	194	1996-12-31	PRIJEM	\N	149	34544	UROK	\N	\N
3536863	194	1997-01-31	PRIJEM	\N	136	29880	UROK	\N	\N
3536864	194	1997-02-28	PRIJEM	\N	135	28125	UROK	\N	\N
3536865	194	1997-03-31	PRIJEM	\N	121	30457	UROK	\N	\N
3536866	194	1997-04-30	PRIJEM	\N	131	33299	UROK	\N	\N
3536867	194	1997-05-31	PRIJEM	\N	149	33158	UROK	\N	\N
3536868	194	1997-06-30	PRIJEM	\N	130	30648	UROK	\N	\N
3536869	194	1997-07-31	PRIJEM	\N	137	30896	UROK	\N	\N
3536870	194	1997-08-31	PRIJEM	\N	139	33245	UROK	\N	\N
3536871	194	1997-09-30	PRIJEM	\N	146	32261	UROK	\N	\N
3536872	194	1997-10-31	PRIJEM	\N	140	29812	UROK	\N	\N
3536873	194	1997-11-30	PRIJEM	\N	124	28786	UROK	\N	\N
3536874	194	1997-12-31	PRIJEM	\N	123	26379	UROK	\N	\N
3536875	194	1998-01-31	PRIJEM	\N	106	22685	UROK	\N	\N
3536876	194	1998-02-28	PRIJEM	\N	102	22497	UROK	\N	\N
3536877	194	1998-03-31	PRIJEM	\N	97	19095	UROK	\N	\N
3536878	194	1998-04-30	PRIJEM	\N	82	15187	UROK	\N	\N
3536879	194	1998-05-31	PRIJEM	\N	73	17471	UROK	\N	\N
3536880	194	1998-06-30	PRIJEM	\N	78	17468	UROK	\N	\N
3536881	194	1998-07-31	PRIJEM	\N	73	18242	UROK	\N	\N
3536882	194	1998-08-31	PRIJEM	\N	78	18730	UROK	\N	\N
3536883	194	1998-09-30	PRIJEM	\N	85	22726	UROK	\N	\N
3536884	194	1998-10-31	PRIJEM	\N	106	26342	UROK	\N	\N
3536885	194	1998-11-30	PRIJEM	\N	104	22256	UROK	\N	\N
3536886	194	1998-12-31	PRIJEM	\N	95	23032	UROK	\N	\N
3536887	195	1997-03-31	PRIJEM	\N	7	18223	UROK	\N	\N
3536888	195	1997-04-30	PRIJEM	\N	80	28920	UROK	\N	\N
3536889	195	1997-05-31	PRIJEM	\N	122	33058	UROK	\N	\N
3536890	195	1997-06-30	PRIJEM	\N	142	42324	UROK	\N	\N
3536891	195	1997-07-31	PRIJEM	\N	185	39345	UROK	\N	\N
3536892	195	1997-08-31	PRIJEM	\N	181	38448	UROK	\N	\N
3536893	195	1997-09-30	PRIJEM	\N	179	36468	UROK	\N	\N
3536894	195	1997-10-31	PRIJEM	\N	164	35034	UROK	\N	\N
3536895	195	1997-11-30	PRIJEM	\N	166	35241	UROK	\N	\N
3536896	195	1997-12-31	PRIJEM	\N	180	37570	UROK	\N	\N
3536897	195	1998-01-31	PRIJEM	\N	166	34738	UROK	\N	\N
3536898	195	1998-02-28	PRIJEM	\N	153	37033	UROK	\N	\N
3536899	195	1998-03-31	PRIJEM	\N	176	39950	UROK	\N	\N
3536900	195	1998-04-30	PRIJEM	\N	189	44281	UROK	\N	\N
3536901	195	1998-05-31	PRIJEM	\N	204	45726	UROK	\N	\N
3536902	195	1998-06-30	PRIJEM	\N	197	44913	UROK	\N	\N
3536903	195	1998-07-31	PRIJEM	\N	202	44057	UROK	\N	\N
3536904	195	1998-08-31	PRIJEM	\N	198	42136	UROK	\N	\N
3536905	195	1998-09-30	PRIJEM	\N	187	39065	UROK	\N	\N
3536906	195	1998-10-31	PRIJEM	\N	169	35275	UROK	\N	\N
3536907	195	1998-11-30	PRIJEM	\N	162	36479	UROK	\N	\N
3536908	195	1998-12-31	PRIJEM	\N	197	49425	UROK	\N	\N
3536909	196	1993-12-31	PRIJEM	\N	54	22362	UROK	\N	\N
3536910	196	1994-01-31	PRIJEM	\N	107	27707	UROK	\N	\N
3536911	196	1994-02-28	PRIJEM	\N	123	30970	UROK	\N	\N
3536912	196	1994-03-31	PRIJEM	\N	140	35849	UROK	\N	\N
3536913	196	1994-04-30	PRIJEM	\N	177	34110	UROK	\N	\N
3536914	196	1994-05-31	PRIJEM	\N	136	31344	UROK	\N	\N
3536915	196	1994-06-30	PRIJEM	\N	144	34855	UROK	\N	\N
3536916	196	1994-07-31	PRIJEM	\N	137	31991	UROK	\N	\N
3536917	196	1994-08-31	PRIJEM	\N	114	25304	UROK	\N	\N
3536918	196	1994-09-30	PRIJEM	\N	104	25306	UROK	\N	\N
3536919	196	1994-10-31	PRIJEM	\N	102	24507	UROK	\N	\N
3536920	196	1994-11-30	PRIJEM	\N	103	25308	UROK	\N	\N
3536921	196	1994-12-31	PRIJEM	\N	109	26984	UROK	\N	\N
3536922	196	1995-01-31	PRIJEM	\N	113	25696	UROK	\N	\N
3536923	196	1995-02-28	PRIJEM	\N	130	34424	UROK	\N	\N
3536924	196	1995-03-31	PRIJEM	\N	140	33063	UROK	\N	\N
3536925	196	1995-04-30	PRIJEM	\N	162	41423	UROK	\N	\N
3536926	196	1995-05-31	PRIJEM	\N	175	42696	UROK	\N	\N
3536927	196	1995-06-30	PRIJEM	\N	167	41231	UROK	\N	\N
3536928	196	1995-07-31	PRIJEM	\N	180	44810	UROK	\N	\N
3536929	196	1995-08-31	PRIJEM	\N	194	48202	UROK	\N	\N
3536930	196	1995-09-30	PRIJEM	\N	190	46991	UROK	\N	\N
3536931	196	1995-10-31	PRIJEM	\N	187	46277	UROK	\N	\N
3536932	196	1995-11-30	PRIJEM	\N	191	47566	UROK	\N	\N
3536933	196	1995-12-31	PRIJEM	\N	207	52841	UROK	\N	\N
3536934	196	1996-01-31	PRIJEM	\N	206	49545	UROK	\N	\N
3536935	196	1996-02-29	PRIJEM	\N	195	48239	UROK	\N	\N
3536936	196	1996-03-31	PRIJEM	\N	201	50039	UROK	\N	\N
3536937	196	1996-04-30	PRIJEM	\N	218	54355	UROK	\N	\N
3536938	196	1996-05-31	PRIJEM	\N	222	54775	UROK	\N	\N
3536939	196	1996-06-30	PRIJEM	\N	239	51181	UROK	\N	\N
3536940	196	1996-07-31	PRIJEM	\N	215	53595	UROK	\N	\N
3536941	196	1996-08-31	PRIJEM	\N	220	53213	UROK	\N	\N
3536942	196	1996-09-30	PRIJEM	\N	230	51442	UROK	\N	\N
3536943	196	1996-10-31	PRIJEM	\N	216	51756	UROK	\N	\N
3536944	196	1996-11-30	PRIJEM	\N	223	48677	UROK	\N	\N
3536945	196	1996-12-31	PRIJEM	\N	215	50359	UROK	\N	\N
3536946	196	1997-01-31	PRIJEM	\N	211	47668	UROK	\N	\N
3536947	196	1997-02-28	PRIJEM	\N	208	52375	UROK	\N	\N
3536948	196	1997-03-31	PRIJEM	\N	228	55301	UROK	\N	\N
3536949	196	1997-04-30	PRIJEM	\N	230	56129	UROK	\N	\N
3536950	196	1997-05-31	PRIJEM	\N	236	52863	UROK	\N	\N
3536951	196	1997-06-30	PRIJEM	\N	229	38960	UROK	\N	\N
3536952	196	1997-07-31	PRIJEM	\N	168	45426	UROK	\N	\N
3536953	196	1997-08-31	PRIJEM	\N	200	51824	UROK	\N	\N
3536954	196	1997-09-30	PRIJEM	\N	229	60152	UROK	\N	\N
3536955	196	1997-10-31	PRIJEM	\N	258	62608	UROK	\N	\N
3536956	196	1997-11-30	PRIJEM	\N	274	70680	UROK	\N	\N
3536957	196	1997-12-31	PRIJEM	\N	313	72260	UROK	\N	\N
3536958	196	1998-01-31	PRIJEM	\N	274	61933	UROK	\N	\N
3536959	196	1998-02-28	PRIJEM	\N	256	63587	UROK	\N	\N
3536960	196	1998-03-31	PRIJEM	\N	270	65655	UROK	\N	\N
3536961	196	1998-04-30	PRIJEM	\N	270	67824	UROK	\N	\N
3536962	196	1998-05-31	PRIJEM	\N	293	73815	UROK	\N	\N
3536963	196	1998-06-30	PRIJEM	\N	313	74695	UROK	\N	\N
3536964	196	1998-07-31	PRIJEM	\N	317	77911	UROK	\N	\N
3536965	196	1998-08-31	PRIJEM	\N	326	78335	UROK	\N	\N
3536966	196	1998-09-30	PRIJEM	\N	319	74253	UROK	\N	\N
3536967	196	1998-10-31	PRIJEM	\N	309	74160	UROK	\N	\N
3536968	196	1998-11-30	PRIJEM	\N	300	69958	UROK	\N	\N
3536969	196	1998-12-31	PRIJEM	\N	307	73933	UROK	\N	\N
3536970	197	1993-03-31	PRIJEM	\N	16	23234	UROK	\N	\N
3536971	197	1993-04-30	PRIJEM	\N	104	33956	UROK	\N	\N
3536972	197	1993-05-31	PRIJEM	\N	148	42722	UROK	\N	\N
3536973	197	1993-06-30	PRIJEM	\N	185	51283	UROK	\N	\N
3536974	197	1993-07-31	PRIJEM	\N	232	44379	UROK	\N	\N
3536975	197	1993-08-31	PRIJEM	\N	200	38428	UROK	\N	\N
3536976	197	1993-09-30	PRIJEM	\N	179	37696	UROK	\N	\N
3536977	197	1993-10-31	PRIJEM	\N	182	38487	UROK	\N	\N
3536978	197	1993-11-30	PRIJEM	\N	175	35612	UROK	\N	\N
3536979	197	1993-12-31	PRIJEM	\N	192	41172	UROK	\N	\N
3536980	197	1994-01-31	PRIJEM	\N	184	38806	UROK	\N	\N
3536981	197	1994-02-28	PRIJEM	\N	176	37631	UROK	\N	\N
3536982	197	1994-03-31	PRIJEM	\N	175	38056	UROK	\N	\N
3536983	197	1994-04-30	PRIJEM	\N	176	38681	UROK	\N	\N
3536984	197	1994-05-31	PRIJEM	\N	174	36164	UROK	\N	\N
3536985	197	1994-06-30	PRIJEM	\N	197	29550	UROK	\N	\N
3536986	197	1994-07-31	PRIJEM	\N	152	31531	UROK	\N	\N
3536987	197	1994-08-31	PRIJEM	\N	148	33829	UROK	\N	\N
3536988	197	1994-09-30	PRIJEM	\N	153	34231	UROK	\N	\N
3536989	197	1994-10-31	PRIJEM	\N	152	33633	UROK	\N	\N
3536990	197	1994-11-30	PRIJEM	\N	155	36237	UROK	\N	\N
3536991	197	1994-12-31	PRIJEM	\N	171	37056	UROK	\N	\N
3536992	197	1995-01-31	PRIJEM	\N	158	35263	UROK	\N	\N
3536993	197	1995-02-28	PRIJEM	\N	153	35266	UROK	\N	\N
3536994	197	1995-03-31	PRIJEM	\N	157	36073	UROK	\N	\N
3536995	197	1995-04-30	PRIJEM	\N	153	32936	UROK	\N	\N
3536996	197	1995-05-31	PRIJEM	\N	149	28894	UROK	\N	\N
3536997	197	1995-06-30	PRIJEM	\N	147	35750	UROK	\N	\N
3536998	197	1995-07-31	PRIJEM	\N	160	35679	UROK	\N	\N
3536999	197	1995-08-31	PRIJEM	\N	152	35580	UROK	\N	\N
3537000	197	1995-09-30	PRIJEM	\N	149	35179	UROK	\N	\N
3537001	197	1995-10-31	PRIJEM	\N	153	37081	UROK	\N	\N
3537002	197	1995-11-30	PRIJEM	\N	146	33676	UROK	\N	\N
3537003	197	1995-12-31	PRIJEM	\N	170	36774	UROK	\N	\N
3537004	197	1996-01-31	PRIJEM	\N	137	31661	UROK	\N	\N
3537005	197	1996-02-29	PRIJEM	\N	115	26025	UROK	\N	\N
3537006	197	1996-03-31	PRIJEM	\N	117	29591	UROK	\N	\N
3537007	197	1996-04-30	PRIJEM	\N	111	25652	UROK	\N	\N
3537008	197	1996-05-31	PRIJEM	\N	109	23950	UROK	\N	\N
3537009	197	1996-06-30	PRIJEM	\N	71	14049	UROK	\N	\N
3537010	197	1996-07-31	PRIJEM	\N	76	19474	UROK	\N	\N
3537011	197	1996-08-31	PRIJEM	\N	85	20108	UROK	\N	\N
3537012	197	1996-09-30	PRIJEM	\N	80	18037	UROK	\N	\N
3537013	197	1996-10-31	PRIJEM	\N	77	17964	UROK	\N	\N
3537014	197	1996-11-30	PRIJEM	\N	91	21404	UROK	\N	\N
3537015	197	1996-12-31	PRIJEM	\N	102	22294	UROK	\N	\N
3537016	197	1997-01-31	PRIJEM	\N	135	33278	UROK	\N	\N
3537017	197	1997-02-28	PRIJEM	\N	162	39090	UROK	\N	\N
3537018	197	1997-03-31	PRIJEM	\N	134	22913	UROK	\N	\N
3537019	197	1997-04-30	PRIJEM	\N	147	36709	UROK	\N	\N
3537020	197	1997-05-31	PRIJEM	\N	173	41631	UROK	\N	\N
3537021	197	1997-06-30	PRIJEM	\N	211	52651	UROK	\N	\N
3537022	197	1997-07-31	PRIJEM	\N	201	42841	UROK	\N	\N
3537023	197	1997-08-31	PRIJEM	\N	194	46484	UROK	\N	\N
3537024	197	1997-09-30	PRIJEM	\N	213	51347	UROK	\N	\N
3537025	197	1997-10-31	PRIJEM	\N	218	51814	UROK	\N	\N
3537026	197	1997-11-30	PRIJEM	\N	219	52082	UROK	\N	\N
3537027	197	1997-12-31	PRIJEM	\N	263	64753	UROK	\N	\N
3537028	197	1998-01-31	PRIJEM	\N	232	46194	UROK	\N	\N
3537029	197	1998-02-28	PRIJEM	\N	221	58664	UROK	\N	\N
3537030	197	1998-03-31	PRIJEM	\N	239	57052	UROK	\N	\N
3537031	197	1998-04-30	PRIJEM	\N	217	57719	UROK	\N	\N
3537032	197	1998-05-31	PRIJEM	\N	203	42172	UROK	\N	\N
3537033	197	1998-06-30	PRIJEM	\N	134	24074	UROK	\N	\N
3537034	197	1998-07-31	PRIJEM	\N	127	30051	UROK	\N	\N
3537035	197	1998-08-31	PRIJEM	\N	150	33950	UROK	\N	\N
3537036	197	1998-09-30	PRIJEM	\N	164	36564	UROK	\N	\N
3537037	197	1998-10-31	PRIJEM	\N	173	36386	UROK	\N	\N
3537038	197	1998-11-30	PRIJEM	\N	175	40910	UROK	\N	\N
3537039	197	1998-12-31	PRIJEM	\N	214	52073	UROK	\N	\N
3537040	198	1994-03-31	PRIJEM	\N	23	21618	UROK	\N	\N
3537041	198	1994-04-30	PRIJEM	\N	92	23129	UROK	\N	\N
3537042	198	1994-05-31	PRIJEM	\N	99	24646	UROK	\N	\N
3537043	198	1994-06-30	PRIJEM	\N	103	13718	UROK	\N	\N
3537044	198	1994-07-31	PRIJEM	\N	60	15196	UROK	\N	\N
3537045	198	1994-08-31	PRIJEM	\N	66	16680	UROK	\N	\N
3537046	198	1994-09-30	PRIJEM	\N	72	18170	UROK	\N	\N
3537047	198	1994-10-31	PRIJEM	\N	78	19667	UROK	\N	\N
3537048	198	1994-11-30	PRIJEM	\N	79	18205	UROK	\N	\N
3537049	198	1994-12-31	PRIJEM	\N	78	19000	UROK	\N	\N
3537050	198	1995-01-31	PRIJEM	\N	73	18241	UROK	\N	\N
3537051	198	1995-02-28	PRIJEM	\N	78	19738	UROK	\N	\N
3537052	198	1995-03-31	PRIJEM	\N	85	21241	UROK	\N	\N
3537053	198	1995-04-30	PRIJEM	\N	91	22750	UROK	\N	\N
3537054	198	1995-05-31	PRIJEM	\N	97	24265	UROK	\N	\N
3537055	198	1995-06-30	PRIJEM	\N	103	25787	UROK	\N	\N
3537056	198	1995-07-31	PRIJEM	\N	98	24503	UROK	\N	\N
3537057	198	1995-08-31	PRIJEM	\N	96	22258	UROK	\N	\N
3537058	198	1995-09-30	PRIJEM	\N	95	23771	UROK	\N	\N
3537059	198	1995-10-31	PRIJEM	\N	101	25291	UROK	\N	\N
3537060	198	1995-11-30	PRIJEM	\N	99	22488	UROK	\N	\N
3537061	198	1995-12-31	PRIJEM	\N	93	22850	UROK	\N	\N
3537062	198	1996-01-31	PRIJEM	\N	82	20440	UROK	\N	\N
3537063	198	1996-02-29	PRIJEM	\N	87	21945	UROK	\N	\N
3537064	198	1996-03-31	PRIJEM	\N	94	23457	UROK	\N	\N
3537065	198	1996-04-30	PRIJEM	\N	100	24975	UROK	\N	\N
3537066	198	1996-05-31	PRIJEM	\N	106	26500	UROK	\N	\N
3537067	198	1996-06-30	PRIJEM	\N	112	28031	UROK	\N	\N
3537068	198	1996-07-31	PRIJEM	\N	116	28465	UROK	\N	\N
3537069	198	1996-08-31	PRIJEM	\N	116	27879	UROK	\N	\N
3537070	198	1996-09-30	PRIJEM	\N	117	29315	UROK	\N	\N
3537071	198	1996-10-31	PRIJEM	\N	118	29152	UROK	\N	\N
3537072	198	1996-11-30	PRIJEM	\N	123	30293	UROK	\N	\N
3537073	198	1996-12-31	PRIJEM	\N	105	25417	UROK	\N	\N
3537074	198	1997-01-31	PRIJEM	\N	86	18372	UROK	\N	\N
3537075	198	1997-02-28	PRIJEM	\N	78	19868	UROK	\N	\N
3537076	198	1997-03-31	PRIJEM	\N	84	19930	UROK	\N	\N
3537077	198	1997-04-30	PRIJEM	\N	75	18124	UROK	\N	\N
3537078	198	1997-05-31	PRIJEM	\N	77	19619	UROK	\N	\N
3537079	198	1997-06-30	PRIJEM	\N	78	16115	UROK	\N	\N
3537080	198	1997-07-31	PRIJEM	\N	69	17602	UROK	\N	\N
3537081	198	1997-08-31	PRIJEM	\N	75	19095	UROK	\N	\N
3537082	198	1997-09-30	PRIJEM	\N	81	20594	UROK	\N	\N
3537083	198	1997-10-31	PRIJEM	\N	87	22099	UROK	\N	\N
3537084	198	1997-11-30	PRIJEM	\N	93	23611	UROK	\N	\N
3537085	198	1997-12-31	PRIJEM	\N	96	24475	UROK	\N	\N
3537086	198	1998-01-31	PRIJEM	\N	102	25495	UROK	\N	\N
3537087	198	1998-02-28	PRIJEM	\N	102	25496	UROK	\N	\N
3537088	198	1998-03-31	PRIJEM	\N	107	27021	UROK	\N	\N
3537089	198	1998-04-30	PRIJEM	\N	110	27949	UROK	\N	\N
3537090	198	1998-05-31	PRIJEM	\N	117	29485	UROK	\N	\N
3537091	198	1998-06-30	PRIJEM	\N	102	19155	UROK	\N	\N
3537092	198	1998-07-31	PRIJEM	\N	80	20654	UROK	\N	\N
3537093	198	1998-08-31	PRIJEM	\N	81	21033	UROK	\N	\N
3537094	198	1998-09-30	PRIJEM	\N	73	18845	UROK	\N	\N
3537095	198	1998-10-31	PRIJEM	\N	79	20342	UROK	\N	\N
3537096	198	1998-11-30	PRIJEM	\N	85	21846	UROK	\N	\N
3537097	198	1998-12-31	PRIJEM	\N	91	22504	UROK	\N	\N
3537098	199	1997-03-31	PRIJEM	\N	48	13649	UROK	\N	\N
3537099	199	1997-04-30	PRIJEM	\N	60	14687	UROK	\N	\N
3537100	199	1997-05-31	PRIJEM	\N	65	15730	UROK	\N	\N
3537101	199	1997-06-30	PRIJEM	\N	69	16447	UROK	\N	\N
3537102	199	1997-07-31	PRIJEM	\N	72	17498	UROK	\N	\N
3537103	199	1997-08-31	PRIJEM	\N	76	18072	UROK	\N	\N
3537104	199	1997-09-30	PRIJEM	\N	78	18799	UROK	\N	\N
3537105	199	1997-10-31	PRIJEM	\N	80	19287	UROK	\N	\N
3537106	199	1997-11-30	PRIJEM	\N	84	20349	UROK	\N	\N
3537107	199	1997-12-31	PRIJEM	\N	88	21026	UROK	\N	\N
3537108	199	1998-01-31	PRIJEM	\N	89	21434	UROK	\N	\N
3537109	199	1998-02-28	PRIJEM	\N	92	21634	UROK	\N	\N
3537110	199	1998-03-31	PRIJEM	\N	93	22556	UROK	\N	\N
3537111	199	1998-04-30	PRIJEM	\N	97	23632	UROK	\N	\N
3537112	199	1998-05-31	PRIJEM	\N	102	24712	UROK	\N	\N
3537113	199	1998-06-30	PRIJEM	\N	103	22823	UROK	\N	\N
3537114	199	1998-07-31	PRIJEM	\N	98	23900	UROK	\N	\N
3537115	199	1998-08-31	PRIJEM	\N	103	24981	UROK	\N	\N
3537116	199	1998-09-30	PRIJEM	\N	105	25014	UROK	\N	\N
3537117	199	1998-10-31	PRIJEM	\N	107	26100	UROK	\N	\N
3537118	199	1998-11-30	PRIJEM	\N	111	26650	UROK	\N	\N
3537119	199	1998-12-31	PRIJEM	\N	112	26870	UROK	\N	\N
3537120	201	1994-11-30	PRIJEM	\N	48	16483	UROK	\N	\N
3537121	201	1994-12-31	PRIJEM	\N	152	44687	UROK	\N	\N
3537122	201	1995-01-31	PRIJEM	\N	201	50623	UROK	\N	\N
3537123	201	1995-02-28	PRIJEM	\N	153	52610	UROK	\N	\N
3537124	201	1995-03-31	PRIJEM	\N	177	43839	UROK	\N	\N
3537125	201	1995-04-30	PRIJEM	\N	174	39549	UROK	\N	\N
3537126	201	1995-05-31	PRIJEM	\N	146	35332	UROK	\N	\N
3537127	201	1995-06-30	PRIJEM	\N	148	39533	UROK	\N	\N
3537128	201	1995-07-31	PRIJEM	\N	161	29430	UROK	\N	\N
3537129	201	1995-08-31	PRIJEM	\N	136	29702	UROK	\N	\N
3537130	201	1995-09-30	PRIJEM	\N	138	32476	UROK	\N	\N
3537131	201	1995-10-31	PRIJEM	\N	147	32060	UROK	\N	\N
3537132	201	1995-11-30	PRIJEM	\N	139	28735	UROK	\N	\N
3537133	201	1995-12-31	PRIJEM	\N	157	32346	UROK	\N	\N
3537134	201	1996-01-31	PRIJEM	\N	131	22713	UROK	\N	\N
3537135	201	1996-02-29	PRIJEM	\N	107	24956	UROK	\N	\N
3537136	201	1996-03-31	PRIJEM	\N	114	23806	UROK	\N	\N
3537137	201	1996-04-30	PRIJEM	\N	109	23351	UROK	\N	\N
3537138	201	1996-05-31	PRIJEM	\N	106	22593	UROK	\N	\N
3537139	201	1996-06-30	PRIJEM	\N	120	27967	UROK	\N	\N
3537140	201	1996-07-31	PRIJEM	\N	122	25226	UROK	\N	\N
3537141	201	1996-08-31	PRIJEM	\N	112	24374	UROK	\N	\N
3537142	201	1996-09-30	PRIJEM	\N	110	25920	UROK	\N	\N
3537143	201	1996-10-31	PRIJEM	\N	115	24771	UROK	\N	\N
3537144	201	1996-11-30	PRIJEM	\N	115	26423	UROK	\N	\N
3537145	201	1996-12-31	PRIJEM	\N	130	29306	UROK	\N	\N
3537146	201	1997-01-31	PRIJEM	\N	89	16232	UROK	\N	\N
3537147	201	1997-02-28	PRIJEM	\N	86	21154	UROK	\N	\N
3537148	201	1997-03-31	PRIJEM	\N	96	22686	UROK	\N	\N
3537149	201	1997-04-30	PRIJEM	\N	105	26528	UROK	\N	\N
3537150	201	1997-05-31	PRIJEM	\N	118	28483	UROK	\N	\N
3537151	201	1997-06-30	PRIJEM	\N	132	29568	UROK	\N	\N
3537152	201	1997-07-31	PRIJEM	\N	133	33238	UROK	\N	\N
3537153	201	1997-08-31	PRIJEM	\N	139	32213	UROK	\N	\N
3537154	201	1997-09-30	PRIJEM	\N	139	33789	UROK	\N	\N
3537155	201	1997-10-31	PRIJEM	\N	136	31661	UROK	\N	\N
3537156	201	1997-11-30	PRIJEM	\N	144	37141	UROK	\N	\N
3537157	201	1997-12-31	PRIJEM	\N	168	40763	UROK	\N	\N
3537158	201	1998-01-31	PRIJEM	\N	147	20946	UROK	\N	\N
3537159	201	1998-02-28	PRIJEM	\N	105	29387	UROK	\N	\N
3537160	201	1998-03-31	PRIJEM	\N	143	38566	UROK	\N	\N
3537161	201	1998-04-30	PRIJEM	\N	163	35965	UROK	\N	\N
3537162	201	1998-05-31	PRIJEM	\N	160	38462	UROK	\N	\N
3537163	201	1998-06-30	PRIJEM	\N	158	36273	UROK	\N	\N
3537164	201	1998-07-31	PRIJEM	\N	155	36664	UROK	\N	\N
3537165	201	1998-08-31	PRIJEM	\N	156	37057	UROK	\N	\N
3537166	201	1998-09-30	PRIJEM	\N	161	39954	UROK	\N	\N
3537167	201	1998-10-31	PRIJEM	\N	175	40965	UROK	\N	\N
3537168	201	1998-11-30	PRIJEM	\N	163	37864	UROK	\N	\N
3537169	201	1998-12-31	PRIJEM	\N	178	43995	UROK	\N	\N
3537225	204	1996-06-30	PRIJEM	\N	41	13321	UROK	\N	\N
3537226	204	1996-07-31	PRIJEM	\N	58	13920	UROK	\N	\N
3537227	204	1996-08-31	PRIJEM	\N	60	14461	UROK	\N	\N
3537228	204	1996-09-30	PRIJEM	\N	63	15486	UROK	\N	\N
3537229	204	1996-10-31	PRIJEM	\N	63	14860	UROK	\N	\N
3537230	204	1996-11-30	PRIJEM	\N	65	14416	UROK	\N	\N
3537231	204	1996-12-31	PRIJEM	\N	62	14569	UROK	\N	\N
3537232	204	1997-01-31	PRIJEM	\N	59	12859	UROK	\N	\N
3537233	204	1997-02-28	PRIJEM	\N	62	13882	UROK	\N	\N
3537234	204	1997-03-31	PRIJEM	\N	61	14905	UROK	\N	\N
3537235	204	1997-04-30	PRIJEM	\N	59	13945	UROK	\N	\N
3537236	204	1997-05-31	PRIJEM	\N	58	13554	UROK	\N	\N
3537237	204	1997-06-30	PRIJEM	\N	57	13342	UROK	\N	\N
3537238	204	1997-07-31	PRIJEM	\N	64	14368	UROK	\N	\N
3537239	204	1997-08-31	PRIJEM	\N	69	15398	UROK	\N	\N
3537240	204	1997-09-30	PRIJEM	\N	67	16426	UROK	\N	\N
3537241	204	1997-10-31	PRIJEM	\N	71	17279	UROK	\N	\N
3537242	204	1997-11-30	PRIJEM	\N	78	17688	UROK	\N	\N
3537243	204	1997-12-31	PRIJEM	\N	76	18486	UROK	\N	\N
3537244	204	1998-01-31	PRIJEM	\N	72	16579	UROK	\N	\N
3537245	204	1998-02-28	PRIJEM	\N	72	17612	UROK	\N	\N
3537246	204	1998-03-31	PRIJEM	\N	82	18656	UROK	\N	\N
3537247	204	1998-04-30	PRIJEM	\N	85	19372	UROK	\N	\N
3537248	204	1998-05-31	PRIJEM	\N	88	20182	UROK	\N	\N
3537249	204	1998-06-30	PRIJEM	\N	86	20298	UROK	\N	\N
3537250	204	1998-07-31	PRIJEM	\N	87	20567	UROK	\N	\N
3537251	204	1998-08-31	PRIJEM	\N	87	21045	UROK	\N	\N
3537252	204	1998-09-30	PRIJEM	\N	90	22097	UROK	\N	\N
3537253	204	1998-10-31	PRIJEM	\N	95	23153	UROK	\N	\N
3537254	204	1998-11-30	PRIJEM	\N	99	24213	UROK	\N	\N
3537255	204	1998-12-31	PRIJEM	\N	103	25128	UROK	\N	\N
3537256	205	1997-10-31	PRIJEM	\N	22	7468	UROK	\N	\N
3537257	205	1997-11-30	PRIJEM	\N	80	24394	UROK	\N	\N
3537258	205	1997-12-31	PRIJEM	\N	141	37804	UROK	\N	\N
3537259	205	1998-01-31	PRIJEM	\N	172	42822	UROK	\N	\N
3537260	205	1998-02-28	PRIJEM	\N	164	37732	UROK	\N	\N
3537261	205	1998-03-31	PRIJEM	\N	175	43941	UROK	\N	\N
3537262	205	1998-04-30	PRIJEM	\N	163	36859	UROK	\N	\N
3537263	205	1998-05-31	PRIJEM	\N	138	33351	UROK	\N	\N
3537264	205	1998-06-30	PRIJEM	\N	148	37757	UROK	\N	\N
3537265	205	1998-07-31	PRIJEM	\N	145	35656	UROK	\N	\N
3537266	205	1998-08-31	PRIJEM	\N	142	34933	UROK	\N	\N
3537267	205	1998-09-30	PRIJEM	\N	166	42133	UROK	\N	\N
3537268	205	1998-10-31	PRIJEM	\N	180	44608	UROK	\N	\N
3537269	205	1998-11-30	PRIJEM	\N	185	45527	UROK	\N	\N
3537270	205	1998-12-31	PRIJEM	\N	183	45267	UROK	\N	\N
3537271	206	1995-04-30	PRIJEM	\N	16	5469	UROK	\N	\N
3537272	206	1995-05-31	PRIJEM	\N	67	20489	UROK	\N	\N
3537273	206	1995-06-30	PRIJEM	\N	109	28627	UROK	\N	\N
3537274	206	1995-07-31	PRIJEM	\N	130	32310	UROK	\N	\N
3537275	206	1995-08-31	PRIJEM	\N	136	32899	UROK	\N	\N
3537276	206	1995-09-30	PRIJEM	\N	132	32467	UROK	\N	\N
3537277	206	1995-10-31	PRIJEM	\N	126	30129	UROK	\N	\N
3537278	206	1995-11-30	PRIJEM	\N	112	27378	UROK	\N	\N
3537279	206	1995-12-31	PRIJEM	\N	111	26122	UROK	\N	\N
3537280	206	1996-01-31	PRIJEM	\N	95	17233	UROK	\N	\N
3537281	206	1996-02-29	PRIJEM	\N	80	18810	UROK	\N	\N
3537282	206	1996-03-31	PRIJEM	\N	86	21732	UROK	\N	\N
3537283	206	1996-04-30	PRIJEM	\N	103	26071	UROK	\N	\N
3537284	206	1996-05-31	PRIJEM	\N	98	24066	UROK	\N	\N
3537285	206	1996-06-30	PRIJEM	\N	126	32705	UROK	\N	\N
3537286	206	1996-07-31	PRIJEM	\N	139	36081	UROK	\N	\N
3537287	206	1996-08-31	PRIJEM	\N	154	36471	UROK	\N	\N
3537288	206	1996-09-30	PRIJEM	\N	150	38298	UROK	\N	\N
3537289	206	1996-10-31	PRIJEM	\N	164	41198	UROK	\N	\N
3537290	206	1996-11-30	PRIJEM	\N	174	41209	UROK	\N	\N
3537291	206	1996-12-31	PRIJEM	\N	155	39956	UROK	\N	\N
3537292	206	1997-01-31	PRIJEM	\N	133	27506	UROK	\N	\N
3537293	206	1997-02-28	PRIJEM	\N	115	29277	UROK	\N	\N
3537294	206	1997-03-31	PRIJEM	\N	126	31739	UROK	\N	\N
3537295	206	1997-04-30	PRIJEM	\N	136	32811	UROK	\N	\N
3537296	206	1997-05-31	PRIJEM	\N	140	34288	UROK	\N	\N
3537297	206	1997-06-30	PRIJEM	\N	132	30433	UROK	\N	\N
3537298	206	1997-07-31	PRIJEM	\N	118	26307	UROK	\N	\N
3537299	206	1997-08-31	PRIJEM	\N	100	29004	UROK	\N	\N
3537300	206	1997-09-30	PRIJEM	\N	124	28264	UROK	\N	\N
3537301	206	1997-10-31	PRIJEM	\N	117	25918	UROK	\N	\N
3537302	206	1997-11-30	PRIJEM	\N	109	25682	UROK	\N	\N
3537303	206	1997-12-31	PRIJEM	\N	106	24621	UROK	\N	\N
3537304	206	1998-01-31	PRIJEM	\N	82	15599	UROK	\N	\N
3537305	206	1998-02-28	PRIJEM	\N	70	18705	UROK	\N	\N
3537306	206	1998-03-31	PRIJEM	\N	79	18620	UROK	\N	\N
3537307	206	1998-04-30	PRIJEM	\N	72	19009	UROK	\N	\N
3537308	206	1998-05-31	PRIJEM	\N	83	21328	UROK	\N	\N
3537309	206	1998-06-30	PRIJEM	\N	93	23874	UROK	\N	\N
3537310	206	1998-07-31	PRIJEM	\N	96	21407	UROK	\N	\N
3537311	206	1998-08-31	PRIJEM	\N	84	23388	UROK	\N	\N
3537312	206	1998-09-30	PRIJEM	\N	102	26026	UROK	\N	\N
3537313	206	1998-10-31	PRIJEM	\N	112	27374	UROK	\N	\N
3537314	206	1998-11-30	PRIJEM	\N	122	31732	UROK	\N	\N
3537315	206	1998-12-31	PRIJEM	\N	143	35408	UROK	\N	\N
3537316	207	1993-08-31	PRIJEM	\N	17	15352	UROK	\N	\N
3537317	207	1993-09-30	PRIJEM	\N	64	20550	UROK	\N	\N
3537318	207	1993-10-31	PRIJEM	\N	74	23659	UROK	\N	\N
3537319	207	1993-11-30	PRIJEM	\N	104	28398	UROK	\N	\N
3537320	207	1993-12-31	PRIJEM	\N	130	30221	UROK	\N	\N
3537321	207	1994-01-31	PRIJEM	\N	113	20915	UROK	\N	\N
3537322	207	1994-02-28	PRIJEM	\N	93	24789	UROK	\N	\N
3537323	207	1994-03-31	PRIJEM	\N	89	17800	UROK	\N	\N
3537324	207	1994-04-30	PRIJEM	\N	82	22963	UROK	\N	\N
3537325	207	1994-05-31	PRIJEM	\N	101	26346	UROK	\N	\N
3537326	207	1994-06-30	PRIJEM	\N	113	26407	UROK	\N	\N
3537327	207	1994-07-31	PRIJEM	\N	106	24455	UROK	\N	\N
3537328	207	1994-08-31	PRIJEM	\N	107	27343	UROK	\N	\N
3537329	207	1994-09-30	PRIJEM	\N	117	29041	UROK	\N	\N
3537330	207	1994-10-31	PRIJEM	\N	120	28542	UROK	\N	\N
3537331	207	1994-11-30	PRIJEM	\N	120	29543	UROK	\N	\N
3537332	207	1994-12-31	PRIJEM	\N	121	26353	UROK	\N	\N
3537333	207	1995-01-31	PRIJEM	\N	79	15114	UROK	\N	\N
3537334	207	1995-02-28	PRIJEM	\N	74	20969	UROK	\N	\N
3537335	207	1995-03-31	PRIJEM	\N	93	24143	UROK	\N	\N
3537336	207	1995-04-30	PRIJEM	\N	98	24003	UROK	\N	\N
3537337	207	1995-05-31	PRIJEM	\N	104	26188	UROK	\N	\N
3537338	207	1995-06-30	PRIJEM	\N	123	32660	UROK	\N	\N
3537339	207	1995-07-31	PRIJEM	\N	139	34480	UROK	\N	\N
3537340	207	1995-08-31	PRIJEM	\N	141	34002	UROK	\N	\N
3537341	207	1995-09-30	PRIJEM	\N	144	34328	UROK	\N	\N
3537342	207	1995-10-31	PRIJEM	\N	137	32846	UROK	\N	\N
3537343	207	1995-11-30	PRIJEM	\N	129	30956	UROK	\N	\N
3537344	207	1995-12-31	PRIJEM	\N	114	25179	UROK	\N	\N
3537345	207	1996-01-31	PRIJEM	\N	88	16508	UROK	\N	\N
3537346	207	1996-02-29	PRIJEM	\N	91	25280	UROK	\N	\N
3537347	207	1996-03-31	PRIJEM	\N	105	24427	UROK	\N	\N
3537348	207	1996-04-30	PRIJEM	\N	106	26914	UROK	\N	\N
3537349	207	1996-05-31	PRIJEM	\N	108	27264	UROK	\N	\N
3537350	207	1996-06-30	PRIJEM	\N	120	30832	UROK	\N	\N
3537351	207	1996-07-31	PRIJEM	\N	125	31039	UROK	\N	\N
3537352	207	1996-08-31	PRIJEM	\N	136	33856	UROK	\N	\N
3537353	207	1996-09-30	PRIJEM	\N	115	27512	UROK	\N	\N
3537354	207	1996-10-31	PRIJEM	\N	91	18405	UROK	\N	\N
3537355	207	1996-11-30	PRIJEM	\N	80	20766	UROK	\N	\N
3537356	207	1996-12-31	PRIJEM	\N	87	19942	UROK	\N	\N
3537357	207	1997-01-31	PRIJEM	\N	73	17156	UROK	\N	\N
3537358	207	1997-02-28	PRIJEM	\N	79	20816	UROK	\N	\N
3537359	207	1997-03-31	PRIJEM	\N	76	17014	UROK	\N	\N
3537360	207	1997-04-30	PRIJEM	\N	67	14781	UROK	\N	\N
3537361	207	1997-05-31	PRIJEM	\N	69	18432	UROK	\N	\N
3537362	207	1997-06-30	PRIJEM	\N	77	20557	UROK	\N	\N
3537363	207	1997-07-31	PRIJEM	\N	73	18612	UROK	\N	\N
3537364	207	1997-08-31	PRIJEM	\N	65	16458	UROK	\N	\N
3537365	207	1997-09-30	PRIJEM	\N	70	18509	UROK	\N	\N
3537366	207	1997-10-31	PRIJEM	\N	73	15043	UROK	\N	\N
3537367	207	1997-11-30	PRIJEM	\N	56	14781	UROK	\N	\N
3537368	207	1997-12-31	PRIJEM	\N	65	16095	UROK	\N	\N
3537369	207	1998-01-31	PRIJEM	\N	60	13376	UROK	\N	\N
3537370	207	1998-02-28	PRIJEM	\N	57	15414	UROK	\N	\N
3537371	207	1998-03-31	PRIJEM	\N	64	17059	UROK	\N	\N
3537372	207	1998-04-30	PRIJEM	\N	72	19112	UROK	\N	\N
3537373	207	1998-05-31	PRIJEM	\N	79	13072	UROK	\N	\N
3537374	207	1998-06-30	PRIJEM	\N	61	14882	UROK	\N	\N
3537375	207	1998-07-31	PRIJEM	\N	63	16827	UROK	\N	\N
3537376	207	1998-08-31	PRIJEM	\N	70	17478	UROK	\N	\N
3537377	207	1998-09-30	PRIJEM	\N	74	19733	UROK	\N	\N
3537378	207	1998-10-31	PRIJEM	\N	80	20215	UROK	\N	\N
3537379	207	1998-11-30	PRIJEM	\N	87	25883	UROK	\N	\N
3537380	207	1998-12-31	PRIJEM	\N	100	26092	UROK	\N	\N
3537381	208	1996-04-30	PRIJEM	\N	12	17408	UROK	\N	\N
3537382	208	1996-05-31	PRIJEM	\N	83	30787	UROK	\N	\N
3537383	208	1996-06-30	PRIJEM	\N	132	35613	UROK	\N	\N
3537384	208	1996-07-31	PRIJEM	\N	148	36258	UROK	\N	\N
3537385	208	1996-08-31	PRIJEM	\N	159	32012	UROK	\N	\N
3537386	208	1996-09-30	PRIJEM	\N	156	31903	UROK	\N	\N
3537387	208	1996-10-31	PRIJEM	\N	157	31696	UROK	\N	\N
3537388	208	1996-11-30	PRIJEM	\N	151	30982	UROK	\N	\N
3537389	208	1996-12-31	PRIJEM	\N	160	36476	UROK	\N	\N
3537390	208	1997-01-31	PRIJEM	\N	153	31864	UROK	\N	\N
3537391	208	1997-02-28	PRIJEM	\N	155	35754	UROK	\N	\N
3537392	208	1997-03-31	PRIJEM	\N	174	38464	UROK	\N	\N
3537393	208	1997-04-30	PRIJEM	\N	184	37183	UROK	\N	\N
3537394	208	1997-05-31	PRIJEM	\N	178	39196	UROK	\N	\N
3537395	208	1997-06-30	PRIJEM	\N	194	32824	UROK	\N	\N
3537396	208	1997-07-31	PRIJEM	\N	157	30216	UROK	\N	\N
3537397	208	1997-08-31	PRIJEM	\N	147	31499	UROK	\N	\N
3537398	208	1997-09-30	PRIJEM	\N	147	30782	UROK	\N	\N
3537399	208	1997-10-31	PRIJEM	\N	141	27658	UROK	\N	\N
3537400	208	1997-11-30	PRIJEM	\N	131	26425	UROK	\N	\N
3537401	208	1997-12-31	PRIJEM	\N	138	28096	UROK	\N	\N
3537402	208	1998-01-31	PRIJEM	\N	124	15755	UROK	\N	\N
3537403	208	1998-02-28	PRIJEM	\N	99	22390	UROK	\N	\N
3537404	208	1998-03-31	PRIJEM	\N	117	26542	UROK	\N	\N
3537405	208	1998-04-30	PRIJEM	\N	139	32816	UROK	\N	\N
3537406	208	1998-05-31	PRIJEM	\N	143	28194	UROK	\N	\N
3537407	208	1998-06-30	PRIJEM	\N	151	20979	UROK	\N	\N
3537408	208	1998-07-31	PRIJEM	\N	109	24323	UROK	\N	\N
3537409	208	1998-08-31	PRIJEM	\N	140	23098	UROK	\N	\N
3537410	208	1998-09-30	PRIJEM	\N	108	22842	UROK	\N	\N
3537411	208	1998-10-31	PRIJEM	\N	96	17173	UROK	\N	\N
3537412	208	1998-11-30	PRIJEM	\N	94	18202	UROK	\N	\N
3537413	208	1998-12-31	PRIJEM	\N	105	19740	UROK	\N	\N
3537414	209	1996-12-31	PRIJEM	\N	18	16599	UROK	\N	\N
3537415	209	1997-01-31	PRIJEM	\N	78	23858	UROK	\N	\N
3537416	209	1997-02-28	PRIJEM	\N	99	23437	UROK	\N	\N
3537417	209	1997-03-31	PRIJEM	\N	101	26519	UROK	\N	\N
3537418	209	1997-04-30	PRIJEM	\N	111	23647	UROK	\N	\N
3537419	209	1997-05-31	PRIJEM	\N	94	21258	UROK	\N	\N
3537420	209	1997-06-30	PRIJEM	\N	89	20493	UROK	\N	\N
3537421	209	1997-07-31	PRIJEM	\N	91	23280	UROK	\N	\N
3537422	209	1997-08-31	PRIJEM	\N	94	20721	UROK	\N	\N
3537423	209	1997-09-30	PRIJEM	\N	85	19252	UROK	\N	\N
3537424	209	1997-10-31	PRIJEM	\N	84	21172	UROK	\N	\N
3537425	209	1997-11-30	PRIJEM	\N	88	20506	UROK	\N	\N
3537426	209	1997-12-31	PRIJEM	\N	80	16773	UROK	\N	\N
3537427	209	1998-01-31	PRIJEM	\N	66	14335	UROK	\N	\N
3537428	209	1998-02-28	PRIJEM	\N	58	14900	UROK	\N	\N
3537429	209	1998-03-31	PRIJEM	\N	69	18816	UROK	\N	\N
3537430	209	1998-04-30	PRIJEM	\N	84	21946	UROK	\N	\N
3537431	209	1998-05-31	PRIJEM	\N	95	23587	UROK	\N	\N
3537432	209	1998-06-30	PRIJEM	\N	98	23532	UROK	\N	\N
3537433	209	1998-07-31	PRIJEM	\N	104	26032	UROK	\N	\N
3537434	209	1998-08-31	PRIJEM	\N	121	31798	UROK	\N	\N
3537435	209	1998-09-30	PRIJEM	\N	138	34383	UROK	\N	\N
3537436	209	1998-10-31	PRIJEM	\N	150	37749	UROK	\N	\N
3537437	209	1998-11-30	PRIJEM	\N	172	44368	UROK	\N	\N
3537438	209	1998-12-31	PRIJEM	\N	187	45681	UROK	\N	\N
3537439	210	1996-04-30	PRIJEM	\N	48	23081	UROK	\N	\N
3537440	210	1996-05-31	PRIJEM	\N	113	30927	UROK	\N	\N
3537441	210	1996-06-30	PRIJEM	\N	143	37470	UROK	\N	\N
3537442	210	1996-07-31	PRIJEM	\N	158	38761	UROK	\N	\N
3537443	210	1996-08-31	PRIJEM	\N	164	39958	UROK	\N	\N
3537444	210	1996-09-30	PRIJEM	\N	188	35730	UROK	\N	\N
3537445	210	1996-10-31	PRIJEM	\N	146	34860	UROK	\N	\N
3537446	210	1996-11-30	PRIJEM	\N	168	44213	UROK	\N	\N
3537447	210	1996-12-31	PRIJEM	\N	202	52086	UROK	\N	\N
3537448	210	1997-01-31	PRIJEM	\N	172	23203	UROK	\N	\N
3537449	210	1997-02-28	PRIJEM	\N	116	32403	UROK	\N	\N
3537450	210	1997-03-31	PRIJEM	\N	147	37935	UROK	\N	\N
3537451	210	1997-04-30	PRIJEM	\N	155	37554	UROK	\N	\N
3537452	210	1997-05-31	PRIJEM	\N	161	40500	UROK	\N	\N
3537453	210	1997-06-30	PRIJEM	\N	151	19582	UROK	\N	\N
3537454	210	1997-07-31	PRIJEM	\N	101	28268	UROK	\N	\N
3537455	210	1997-08-31	PRIJEM	\N	100	22092	UROK	\N	\N
3537456	210	1997-09-30	PRIJEM	\N	86	22863	UROK	\N	\N
3537457	210	1997-10-31	PRIJEM	\N	103	29251	UROK	\N	\N
3537458	210	1997-11-30	PRIJEM	\N	109	26984	UROK	\N	\N
3537459	210	1997-12-31	PRIJEM	\N	137	37252	UROK	\N	\N
3537460	210	1998-01-31	PRIJEM	\N	137	29793	UROK	\N	\N
3537461	210	1998-02-28	PRIJEM	\N	128	33506	UROK	\N	\N
3537462	210	1998-03-31	PRIJEM	\N	131	31781	UROK	\N	\N
3537463	210	1998-04-30	PRIJEM	\N	117	29423	UROK	\N	\N
3537464	210	1998-05-31	PRIJEM	\N	130	33937	UROK	\N	\N
3537465	210	1998-06-30	PRIJEM	\N	140	39788	UROK	\N	\N
3537466	210	1998-07-31	PRIJEM	\N	146	34919	UROK	\N	\N
3537467	210	1998-08-31	PRIJEM	\N	143	35166	UROK	\N	\N
3537468	210	1998-09-30	PRIJEM	\N	134	32584	UROK	\N	\N
3537469	210	1998-10-31	PRIJEM	\N	129	32398	UROK	\N	\N
3537470	210	1998-11-30	PRIJEM	\N	120	29202	UROK	\N	\N
3537471	210	1998-12-31	PRIJEM	\N	124	30198	UROK	\N	\N
3537472	211	1997-09-30	PRIJEM	\N	69	62481	UROK	\N	\N
3537473	211	1997-10-31	PRIJEM	\N	251	49437	UROK	\N	\N
3537474	211	1997-11-30	PRIJEM	\N	205	36942	UROK	\N	\N
3537475	211	1997-12-31	PRIJEM	\N	187	41080	UROK	\N	\N
3537476	211	1998-01-31	PRIJEM	\N	220	60685	UROK	\N	\N
3537477	211	1998-02-28	PRIJEM	\N	265	66459	UROK	\N	\N
3537478	211	1998-03-31	PRIJEM	\N	343	105075	UROK	\N	\N
3537479	211	1998-04-30	PRIJEM	\N	439	101753	UROK	\N	\N
3537480	211	1998-05-31	PRIJEM	\N	469	85140	UROK	\N	\N
3537481	211	1998-06-30	PRIJEM	\N	352	64277	UROK	\N	\N
3537482	211	1998-07-31	PRIJEM	\N	298	80317	UROK	\N	\N
3537483	211	1998-08-31	PRIJEM	\N	311	71557	UROK	\N	\N
3537484	211	1998-09-30	PRIJEM	\N	297	94294	UROK	\N	\N
3537485	211	1998-10-31	PRIJEM	\N	389	70769	UROK	\N	\N
3537486	211	1998-11-30	PRIJEM	\N	305	73058	UROK	\N	\N
3537487	211	1998-12-31	PRIJEM	\N	279	68537	UROK	\N	\N
3537488	212	1993-02-28	PRIJEM	\N	52	35042	UROK	\N	\N
3537489	212	1993-03-31	PRIJEM	\N	175	55107	UROK	\N	\N
3537490	212	1993-04-30	PRIJEM	\N	244	64841	UROK	\N	\N
3537491	212	1993-05-31	PRIJEM	\N	306	42037	UROK	\N	\N
3537492	212	1993-06-30	PRIJEM	\N	250	46372	UROK	\N	\N
3537493	212	1993-07-31	PRIJEM	\N	233	52924	UROK	\N	\N
3537494	212	1993-08-31	PRIJEM	\N	251	41352	UROK	\N	\N
3537495	212	1993-09-30	PRIJEM	\N	225	49696	UROK	\N	\N
3537496	212	1993-10-31	PRIJEM	\N	228	31939	UROK	\N	\N
3537497	212	1993-11-30	PRIJEM	\N	157	27336	UROK	\N	\N
3537498	212	1993-12-31	PRIJEM	\N	222	54272	UROK	\N	\N
3537499	212	1994-01-31	PRIJEM	\N	234	53124	UROK	\N	\N
3537500	212	1994-02-28	PRIJEM	\N	261	59504	UROK	\N	\N
3537501	212	1994-03-31	PRIJEM	\N	281	53811	UROK	\N	\N
3537502	212	1994-04-30	PRIJEM	\N	258	46316	UROK	\N	\N
3537503	212	1994-05-31	PRIJEM	\N	246	57481	UROK	\N	\N
3537504	212	1994-06-30	PRIJEM	\N	227	45617	UROK	\N	\N
3537505	212	1994-07-31	PRIJEM	\N	224	43993	UROK	\N	\N
3537506	212	1994-08-31	PRIJEM	\N	223	51335	UROK	\N	\N
3537507	212	1994-09-30	PRIJEM	\N	201	28104	UROK	\N	\N
3537508	212	1994-10-31	PRIJEM	\N	151	33643	UROK	\N	\N
3537509	212	1994-11-30	PRIJEM	\N	165	36727	UROK	\N	\N
3537510	212	1994-12-31	PRIJEM	\N	194	30831	UROK	\N	\N
3537511	212	1995-01-31	PRIJEM	\N	132	24482	UROK	\N	\N
3537512	212	1995-02-28	PRIJEM	\N	205	46006	UROK	\N	\N
3537513	212	1995-03-31	PRIJEM	\N	232	57556	UROK	\N	\N
3537514	212	1995-04-30	PRIJEM	\N	266	65742	UROK	\N	\N
3537515	212	1995-05-31	PRIJEM	\N	256	62769	UROK	\N	\N
3537516	212	1995-06-30	PRIJEM	\N	245	58128	UROK	\N	\N
3537517	212	1995-07-31	PRIJEM	\N	222	42833	UROK	\N	\N
3537518	212	1995-08-31	PRIJEM	\N	301	83553	UROK	\N	\N
3537519	212	1995-09-30	PRIJEM	\N	400	103972	UROK	\N	\N
3537520	212	1995-10-31	PRIJEM	\N	223	31107	UROK	\N	\N
3537521	212	1995-11-30	PRIJEM	\N	243	70968	UROK	\N	\N
3537522	212	1995-12-31	PRIJEM	\N	379	66271	UROK	\N	\N
3537523	212	1996-01-31	PRIJEM	\N	279	65869	UROK	\N	\N
3537524	212	1996-02-29	PRIJEM	\N	313	85301	UROK	\N	\N
3537525	212	1996-03-31	PRIJEM	\N	327	74429	UROK	\N	\N
3537526	212	1996-04-30	PRIJEM	\N	242	52893	UROK	\N	\N
3537527	212	1996-05-31	PRIJEM	\N	226	52725	UROK	\N	\N
3537528	212	1996-06-30	PRIJEM	\N	285	67202	UROK	\N	\N
3537529	212	1996-07-31	PRIJEM	\N	324	87645	UROK	\N	\N
3537530	212	1996-08-31	PRIJEM	\N	320	76896	UROK	\N	\N
3537531	212	1996-09-30	PRIJEM	\N	305	83810	UROK	\N	\N
3537532	212	1996-10-31	PRIJEM	\N	351	76233	UROK	\N	\N
3537533	212	1996-11-30	PRIJEM	\N	255	53928	UROK	\N	\N
3537534	212	1996-12-31	PRIJEM	\N	362	69804	UROK	\N	\N
3537535	212	1997-01-31	PRIJEM	\N	377	48300	UROK	\N	\N
3537536	212	1997-02-28	PRIJEM	\N	301	84320	UROK	\N	\N
3537537	212	1997-03-31	PRIJEM	\N	382	76121	UROK	\N	\N
3537538	212	1997-04-30	PRIJEM	\N	408	77133	UROK	\N	\N
3537539	212	1997-05-31	PRIJEM	\N	413	77465	UROK	\N	\N
3537540	212	1997-06-30	PRIJEM	\N	309	49588	UROK	\N	\N
3537541	212	1997-07-31	PRIJEM	\N	295	62309	UROK	\N	\N
3537542	212	1997-08-31	PRIJEM	\N	255	51963	UROK	\N	\N
3537543	212	1997-09-30	PRIJEM	\N	299	56780	UROK	\N	\N
3537544	212	1997-10-31	PRIJEM	\N	316	61815	UROK	\N	\N
3537545	212	1997-11-30	PRIJEM	\N	314	51232	UROK	\N	\N
3537546	212	1997-12-31	PRIJEM	\N	302	51197	UROK	\N	\N
3537547	212	1998-01-31	PRIJEM	\N	274	54960	UROK	\N	\N
3537548	212	1998-02-28	PRIJEM	\N	302	61582	UROK	\N	\N
3537549	212	1998-03-31	PRIJEM	\N	314	63015	UROK	\N	\N
3537550	212	1998-04-30	PRIJEM	\N	260	52344	UROK	\N	\N
3537551	212	1998-05-31	PRIJEM	\N	282	52145	UROK	\N	\N
3537552	212	1998-06-30	PRIJEM	\N	250	41574	UROK	\N	\N
3537553	212	1998-07-31	PRIJEM	\N	185	35832	UROK	\N	\N
3537554	212	1998-08-31	PRIJEM	\N	215	44266	UROK	\N	\N
3537555	212	1998-09-30	PRIJEM	\N	239	47324	UROK	\N	\N
3537556	212	1998-10-31	PRIJEM	\N	218	41286	UROK	\N	\N
3537557	212	1998-11-30	PRIJEM	\N	184	39665	UROK	\N	\N
3537558	212	1998-12-31	PRIJEM	\N	333	95412	UROK	\N	\N
3537559	213	1995-09-30	PRIJEM	\N	10	25082	UROK	\N	\N
3537560	213	1995-10-31	PRIJEM	\N	110	35164	UROK	\N	\N
3537561	213	1995-11-30	PRIJEM	\N	150	42086	UROK	\N	\N
3537562	213	1995-12-31	PRIJEM	\N	182	52276	UROK	\N	\N
3537563	213	1996-01-31	PRIJEM	\N	234	42356	UROK	\N	\N
3537564	213	1996-02-29	PRIJEM	\N	205	41594	UROK	\N	\N
3537565	213	1996-03-31	PRIJEM	\N	203	41429	UROK	\N	\N
3537566	213	1996-04-30	PRIJEM	\N	203	43664	UROK	\N	\N
3537567	213	1996-05-31	PRIJEM	\N	208	42005	UROK	\N	\N
3537568	213	1996-06-30	PRIJEM	\N	224	29797	UROK	\N	\N
3537569	213	1996-07-31	PRIJEM	\N	158	38687	UROK	\N	\N
3537570	213	1996-08-31	PRIJEM	\N	188	42207	UROK	\N	\N
3537571	213	1996-09-30	PRIJEM	\N	203	47542	UROK	\N	\N
3537572	213	1996-10-31	PRIJEM	\N	225	52900	UROK	\N	\N
3537573	213	1996-11-30	PRIJEM	\N	231	49263	UROK	\N	\N
3537574	213	1996-12-31	PRIJEM	\N	236	50767	UROK	\N	\N
3537575	213	1997-01-31	PRIJEM	\N	209	40108	UROK	\N	\N
3537576	213	1997-02-28	PRIJEM	\N	187	44227	UROK	\N	\N
3537577	213	1997-03-31	PRIJEM	\N	210	50270	UROK	\N	\N
3537578	213	1997-04-30	PRIJEM	\N	232	55334	UROK	\N	\N
3537579	213	1997-05-31	PRIJEM	\N	243	54509	UROK	\N	\N
3537580	213	1997-06-30	PRIJEM	\N	257	54835	UROK	\N	\N
3537581	213	1997-07-31	PRIJEM	\N	232	46399	UROK	\N	\N
3537582	213	1997-08-31	PRIJEM	\N	202	45033	UROK	\N	\N
3537583	213	1997-09-30	PRIJEM	\N	193	44258	UROK	\N	\N
3537584	213	1997-10-31	PRIJEM	\N	197	47287	UROK	\N	\N
3537585	213	1997-11-30	PRIJEM	\N	197	45416	UROK	\N	\N
3537586	213	1997-12-31	PRIJEM	\N	210	51294	UROK	\N	\N
3537587	213	1998-01-31	PRIJEM	\N	204	41031	UROK	\N	\N
3537588	213	1998-02-28	PRIJEM	\N	213	43576	UROK	\N	\N
3537589	213	1998-03-31	PRIJEM	\N	190	46099	UROK	\N	\N
3537590	213	1998-04-30	PRIJEM	\N	197	46628	UROK	\N	\N
3537591	213	1998-05-31	PRIJEM	\N	205	51266	UROK	\N	\N
3537592	213	1998-06-30	PRIJEM	\N	190	38924	UROK	\N	\N
3537593	213	1998-07-31	PRIJEM	\N	160	35517	UROK	\N	\N
3537594	213	1998-08-31	PRIJEM	\N	145	34794	UROK	\N	\N
3537595	213	1998-09-30	PRIJEM	\N	138	32364	UROK	\N	\N
3537596	213	1998-10-31	PRIJEM	\N	130	29726	UROK	\N	\N
3537597	213	1998-11-30	PRIJEM	\N	122	29180	UROK	\N	\N
3537598	213	1998-12-31	PRIJEM	\N	143	36592	UROK	\N	\N
3537599	214	1997-08-31	PRIJEM	\N	39	12072	UROK	\N	\N
3537600	214	1997-09-30	PRIJEM	\N	53	13160	UROK	\N	\N
3537601	214	1997-10-31	PRIJEM	\N	57	12871	UROK	\N	\N
3537602	214	1997-11-30	PRIJEM	\N	57	13962	UROK	\N	\N
3537603	214	1997-12-31	PRIJEM	\N	58	13644	UROK	\N	\N
3537604	214	1998-01-31	PRIJEM	\N	47	10226	UROK	\N	\N
3537605	214	1998-02-28	PRIJEM	\N	46	11306	UROK	\N	\N
3537606	214	1998-03-31	PRIJEM	\N	50	12390	UROK	\N	\N
3537607	214	1998-04-30	PRIJEM	\N	53	12848	UROK	\N	\N
3537608	214	1998-05-31	PRIJEM	\N	57	13939	UROK	\N	\N
3537609	214	1998-06-30	PRIJEM	\N	58	13531	UROK	\N	\N
3537610	214	1998-07-31	PRIJEM	\N	59	13874	UROK	\N	\N
3537611	214	1998-08-31	PRIJEM	\N	59	13867	UROK	\N	\N
3537612	214	1998-09-30	PRIJEM	\N	58	13699	UROK	\N	\N
3537613	214	1998-10-31	PRIJEM	\N	60	13294	UROK	\N	\N
3537614	214	1998-11-30	PRIJEM	\N	58	14386	UROK	\N	\N
3537615	214	1998-12-31	PRIJEM	\N	62	15033	UROK	\N	\N
3537616	215	1998-04-30	PRIJEM	\N	45	14834	UROK	\N	\N
3537617	215	1998-05-31	PRIJEM	\N	65	15946	UROK	\N	\N
3537618	215	1998-06-30	PRIJEM	\N	59	12461	UROK	\N	\N
3537619	215	1998-07-31	PRIJEM	\N	55	13232	UROK	\N	\N
3537620	215	1998-08-31	PRIJEM	\N	58	14337	UROK	\N	\N
3537621	215	1998-09-30	PRIJEM	\N	63	15446	UROK	\N	\N
3537622	215	1998-10-31	PRIJEM	\N	64	15476	UROK	\N	\N
3537623	215	1998-11-30	PRIJEM	\N	63	14216	UROK	\N	\N
3537624	215	1998-12-31	PRIJEM	\N	62	15084	UROK	\N	\N
3537625	216	1994-09-30	PRIJEM	\N	65	26105	UROK	\N	\N
3537626	216	1994-10-31	PRIJEM	\N	117	28769	UROK	\N	\N
3537627	216	1994-11-30	PRIJEM	\N	116	27131	UROK	\N	\N
3537628	216	1994-12-31	PRIJEM	\N	112	24480	UROK	\N	\N
3537629	216	1995-01-31	PRIJEM	\N	92	19858	UROK	\N	\N
3537630	216	1995-02-28	PRIJEM	\N	92	23397	UROK	\N	\N
3537631	216	1995-03-31	PRIJEM	\N	106	25028	UROK	\N	\N
3537632	216	1995-04-30	PRIJEM	\N	113	26348	UROK	\N	\N
3537633	216	1995-05-31	PRIJEM	\N	108	24202	UROK	\N	\N
3537634	216	1995-06-30	PRIJEM	\N	114	27763	UROK	\N	\N
3537635	216	1995-07-31	PRIJEM	\N	125	29734	UROK	\N	\N
3537636	216	1995-08-31	PRIJEM	\N	130	32210	UROK	\N	\N
3537637	216	1995-09-30	PRIJEM	\N	128	30984	UROK	\N	\N
3537638	216	1995-10-31	PRIJEM	\N	132	32663	UROK	\N	\N
3537639	216	1995-11-30	PRIJEM	\N	135	32904	UROK	\N	\N
3537640	216	1995-12-31	PRIJEM	\N	126	29026	UROK	\N	\N
3537641	216	1996-01-31	PRIJEM	\N	95	19908	UROK	\N	\N
3537642	216	1996-02-29	PRIJEM	\N	92	23447	UROK	\N	\N
3537643	216	1996-03-31	PRIJEM	\N	107	27000	UROK	\N	\N
3537644	216	1996-04-30	PRIJEM	\N	122	30568	UROK	\N	\N
3537645	216	1996-05-31	PRIJEM	\N	131	29866	UROK	\N	\N
3537646	216	1996-06-30	PRIJEM	\N	121	25773	UROK	\N	\N
3537647	216	1996-07-31	PRIJEM	\N	113	27033	UROK	\N	\N
3537648	216	1996-08-31	PRIJEM	\N	126	30605	UROK	\N	\N
3537649	216	1996-09-30	PRIJEM	\N	134	32185	UROK	\N	\N
3537650	216	1996-10-31	PRIJEM	\N	135	32066	UROK	\N	\N
3537651	216	1996-11-30	PRIJEM	\N	139	33391	UROK	\N	\N
3537652	216	1996-12-31	PRIJEM	\N	141	33929	UROK	\N	\N
3537653	216	1997-01-31	PRIJEM	\N	120	25095	UROK	\N	\N
3537654	216	1997-02-28	PRIJEM	\N	105	24726	UROK	\N	\N
3537655	216	1997-03-31	PRIJEM	\N	112	28284	UROK	\N	\N
3537656	216	1997-04-30	PRIJEM	\N	119	29250	UROK	\N	\N
3537657	216	1997-05-31	PRIJEM	\N	130	29726	UROK	\N	\N
3537658	216	1997-06-30	PRIJEM	\N	123	26496	UROK	\N	\N
3537659	216	1997-07-31	PRIJEM	\N	123	30066	UROK	\N	\N
3537660	216	1997-08-31	PRIJEM	\N	132	30144	UROK	\N	\N
3537661	216	1997-09-30	PRIJEM	\N	135	28625	UROK	\N	\N
3537662	216	1997-10-31	PRIJEM	\N	130	31202	UROK	\N	\N
3537663	216	1997-11-30	PRIJEM	\N	132	26180	UROK	\N	\N
3537664	216	1997-12-31	PRIJEM	\N	111	22787	UROK	\N	\N
3537665	216	1998-01-31	PRIJEM	\N	87	17561	UROK	\N	\N
3537666	216	1998-02-28	PRIJEM	\N	80	19407	UROK	\N	\N
3537667	216	1998-03-31	PRIJEM	\N	83	15837	UROK	\N	\N
3537668	216	1998-04-30	PRIJEM	\N	76	17839	UROK	\N	\N
3537669	216	1998-05-31	PRIJEM	\N	78	16663	UROK	\N	\N
3537670	216	1998-06-30	PRIJEM	\N	71	15081	UROK	\N	\N
3537671	216	1998-07-31	PRIJEM	\N	66	14293	UROK	\N	\N
3537672	216	1998-08-31	PRIJEM	\N	64	15003	UROK	\N	\N
3537673	216	1998-09-30	PRIJEM	\N	68	17118	UROK	\N	\N
3537674	216	1998-10-31	PRIJEM	\N	79	18843	UROK	\N	\N
3537675	216	1998-11-30	PRIJEM	\N	82	18111	UROK	\N	\N
3537676	216	1998-12-31	PRIJEM	\N	79	20687	UROK	\N	\N
3537677	217	1995-02-28	PRIJEM	\N	23	15699	UROK	\N	\N
3537678	217	1995-03-31	PRIJEM	\N	83	27959	UROK	\N	\N
3537679	217	1995-04-30	PRIJEM	\N	123	32257	UROK	\N	\N
3537680	217	1995-05-31	PRIJEM	\N	133	31967	UROK	\N	\N
3537681	217	1995-06-30	PRIJEM	\N	137	34818	UROK	\N	\N
3537682	217	1995-07-31	PRIJEM	\N	141	30962	UROK	\N	\N
3537683	217	1995-08-31	PRIJEM	\N	129	27293	UROK	\N	\N
3537684	217	1995-09-30	PRIJEM	\N	118	27514	UROK	\N	\N
3537685	217	1995-10-31	PRIJEM	\N	123	28739	UROK	\N	\N
3537686	217	1995-11-30	PRIJEM	\N	118	22559	UROK	\N	\N
3537687	217	1995-12-31	PRIJEM	\N	115	27615	UROK	\N	\N
3537688	217	1996-01-31	PRIJEM	\N	114	25531	UROK	\N	\N
3537689	217	1996-02-29	PRIJEM	\N	108	24741	UROK	\N	\N
3537690	217	1996-03-31	PRIJEM	\N	113	27457	UROK	\N	\N
3537691	217	1996-04-30	PRIJEM	\N	106	21465	UROK	\N	\N
3537692	217	1996-05-31	PRIJEM	\N	102	25369	UROK	\N	\N
3537693	217	1996-06-30	PRIJEM	\N	107	25316	UROK	\N	\N
3537694	217	1996-07-31	PRIJEM	\N	102	23521	UROK	\N	\N
3537695	217	1996-08-31	PRIJEM	\N	96	23820	UROK	\N	\N
3537696	217	1996-09-30	PRIJEM	\N	107	26729	UROK	\N	\N
3537697	217	1996-10-31	PRIJEM	\N	131	26363	UROK	\N	\N
3537698	217	1996-11-30	PRIJEM	\N	126	31391	UROK	\N	\N
3537699	217	1996-12-31	PRIJEM	\N	151	37982	UROK	\N	\N
3537700	217	1997-01-31	PRIJEM	\N	150	36534	UROK	\N	\N
3537701	217	1997-02-28	PRIJEM	\N	151	37987	UROK	\N	\N
3537702	217	1997-03-31	PRIJEM	\N	132	26821	UROK	\N	\N
3537703	217	1997-04-30	PRIJEM	\N	104	24327	UROK	\N	\N
3537704	217	1997-05-31	PRIJEM	\N	104	26834	UROK	\N	\N
3537705	217	1997-06-30	PRIJEM	\N	119	27793	UROK	\N	\N
3537706	217	1997-07-31	PRIJEM	\N	113	28608	UROK	\N	\N
3537707	217	1997-08-31	PRIJEM	\N	112	28522	UROK	\N	\N
3537708	217	1997-09-30	PRIJEM	\N	98	24523	UROK	\N	\N
3537709	217	1997-10-31	PRIJEM	\N	97	25122	UROK	\N	\N
3537710	217	1997-11-30	PRIJEM	\N	99	25724	UROK	\N	\N
3537711	217	1997-12-31	PRIJEM	\N	104	27268	UROK	\N	\N
3537712	217	1998-01-31	PRIJEM	\N	100	25471	UROK	\N	\N
3537713	217	1998-02-28	PRIJEM	\N	100	25973	UROK	\N	\N
3537714	217	1998-03-31	PRIJEM	\N	96	24471	UROK	\N	\N
3537715	217	1998-04-30	PRIJEM	\N	87	22260	UROK	\N	\N
3537716	217	1998-05-31	PRIJEM	\N	113	29975	UROK	\N	\N
3537717	217	1998-06-30	PRIJEM	\N	117	30932	UROK	\N	\N
3537718	217	1998-07-31	PRIJEM	\N	96	24631	UROK	\N	\N
3537719	217	1998-08-31	PRIJEM	\N	122	32356	UROK	\N	\N
3537720	217	1998-09-30	PRIJEM	\N	87	20345	UROK	\N	\N
3537721	217	1998-10-31	PRIJEM	\N	101	24748	UROK	\N	\N
3537722	217	1998-11-30	PRIJEM	\N	108	29458	UROK	\N	\N
3537723	217	1998-12-31	PRIJEM	\N	87	24285	UROK	\N	\N
3537724	219	1995-10-31	PRIJEM	\N	76	21942	UROK	\N	\N
3537725	219	1995-11-30	PRIJEM	\N	152	39460	UROK	\N	\N
3537726	219	1995-12-31	PRIJEM	\N	230	58339	UROK	\N	\N
3537727	219	1996-01-31	PRIJEM	\N	240	57644	UROK	\N	\N
3537728	219	1996-02-29	PRIJEM	\N	226	53412	UROK	\N	\N
3537729	219	1996-03-31	PRIJEM	\N	217	50016	UROK	\N	\N
3537730	219	1996-04-30	PRIJEM	\N	208	49651	UROK	\N	\N
3537731	219	1996-05-31	PRIJEM	\N	199	47278	UROK	\N	\N
3537732	219	1996-06-30	PRIJEM	\N	194	49423	UROK	\N	\N
3537733	219	1996-07-31	PRIJEM	\N	209	51099	UROK	\N	\N
3537734	219	1996-08-31	PRIJEM	\N	211	50738	UROK	\N	\N
3537735	219	1996-09-30	PRIJEM	\N	218	55283	UROK	\N	\N
3537736	219	1996-10-31	PRIJEM	\N	216	44726	UROK	\N	\N
3537737	219	1996-11-30	PRIJEM	\N	217	42291	UROK	\N	\N
3537738	219	1996-12-31	PRIJEM	\N	241	45482	UROK	\N	\N
3537739	219	1997-01-31	PRIJEM	\N	185	32434	UROK	\N	\N
3537740	219	1997-02-28	PRIJEM	\N	175	40937	UROK	\N	\N
3537741	219	1997-03-31	PRIJEM	\N	209	44273	UROK	\N	\N
3537742	219	1997-04-30	PRIJEM	\N	219	44859	UROK	\N	\N
3537743	219	1997-05-31	PRIJEM	\N	222	50568	UROK	\N	\N
3537744	219	1997-06-30	PRIJEM	\N	275	59153	UROK	\N	\N
3537745	219	1997-07-31	PRIJEM	\N	280	60261	UROK	\N	\N
3537746	219	1997-08-31	PRIJEM	\N	281	58669	UROK	\N	\N
3537747	219	1997-09-30	PRIJEM	\N	273	55769	UROK	\N	\N
3537748	219	1997-10-31	PRIJEM	\N	260	55297	UROK	\N	\N
3537749	219	1997-11-30	PRIJEM	\N	247	54451	UROK	\N	\N
3537750	219	1997-12-31	PRIJEM	\N	279	58340	UROK	\N	\N
3537751	219	1998-01-31	PRIJEM	\N	237	47425	UROK	\N	\N
3537752	219	1998-02-28	PRIJEM	\N	231	53882	UROK	\N	\N
3537753	219	1998-03-31	PRIJEM	\N	257	58667	UROK	\N	\N
3537754	219	1998-04-30	PRIJEM	\N	265	57939	UROK	\N	\N
3537755	219	1998-05-31	PRIJEM	\N	253	53739	UROK	\N	\N
3537756	219	1998-06-30	PRIJEM	\N	257	41387	UROK	\N	\N
3537757	219	1998-07-31	PRIJEM	\N	204	47518	UROK	\N	\N
3537758	219	1998-08-31	PRIJEM	\N	218	43164	UROK	\N	\N
3537759	219	1998-09-30	PRIJEM	\N	203	44194	UROK	\N	\N
3537760	219	1998-10-31	PRIJEM	\N	202	42924	UROK	\N	\N
3537761	219	1998-11-30	PRIJEM	\N	200	44651	UROK	\N	\N
3537762	219	1998-12-31	PRIJEM	\N	225	47647	UROK	\N	\N
3537763	220	1993-09-30	PRIJEM	\N	59	23719	UROK	\N	\N
3537764	220	1993-10-31	PRIJEM	\N	104	25985	UROK	\N	\N
3537765	220	1993-11-30	PRIJEM	\N	108	22334	UROK	\N	\N
3537766	220	1993-12-31	PRIJEM	\N	98	24193	UROK	\N	\N
3537767	220	1994-01-31	PRIJEM	\N	89	15804	UROK	\N	\N
3537768	220	1994-02-28	PRIJEM	\N	70	17555	UROK	\N	\N
3537769	220	1994-03-31	PRIJEM	\N	73	17070	UROK	\N	\N
3537770	220	1994-04-30	PRIJEM	\N	77	19308	UROK	\N	\N
3537771	220	1994-05-31	PRIJEM	\N	85	20113	UROK	\N	\N
3537772	220	1994-06-30	PRIJEM	\N	87	20262	UROK	\N	\N
3537773	220	1994-07-31	PRIJEM	\N	88	20611	UROK	\N	\N
3537774	220	1994-08-31	PRIJEM	\N	92	21965	UROK	\N	\N
3537775	220	1994-09-30	PRIJEM	\N	97	24223	UROK	\N	\N
3537776	220	1994-10-31	PRIJEM	\N	107	25691	UROK	\N	\N
3537777	220	1994-11-30	PRIJEM	\N	89	21361	UROK	\N	\N
3537778	220	1994-12-31	PRIJEM	\N	80	19653	UROK	\N	\N
3537779	220	1995-01-31	PRIJEM	\N	75	13229	UROK	\N	\N
3537780	220	1995-02-28	PRIJEM	\N	60	14970	UROK	\N	\N
3537781	220	1995-03-31	PRIJEM	\N	67	15299	UROK	\N	\N
3537782	220	1995-04-30	PRIJEM	\N	69	17229	UROK	\N	\N
3537783	220	1995-05-31	PRIJEM	\N	70	14300	UROK	\N	\N
3537784	220	1995-06-30	PRIJEM	\N	62	13823	UROK	\N	\N
3537785	220	1995-07-31	PRIJEM	\N	63	16048	UROK	\N	\N
3537786	220	1995-08-31	PRIJEM	\N	69	13978	UROK	\N	\N
3537787	220	1995-09-30	PRIJEM	\N	55	11614	UROK	\N	\N
3537788	220	1995-10-31	PRIJEM	\N	54	13829	UROK	\N	\N
3537789	220	1995-11-30	PRIJEM	\N	59	12150	UROK	\N	\N
3537790	220	1995-12-31	PRIJEM	\N	54	12765	UROK	\N	\N
3537791	220	1996-01-31	PRIJEM	\N	56	13223	UROK	\N	\N
3537792	220	1996-02-29	PRIJEM	\N	59	14142	UROK	\N	\N
3537793	220	1996-03-31	PRIJEM	\N	59	11763	UROK	\N	\N
3537794	220	1996-04-30	PRIJEM	\N	54	13978	UROK	\N	\N
3537795	220	1996-05-31	PRIJEM	\N	63	16202	UROK	\N	\N
3537796	220	1996-06-30	PRIJEM	\N	67	14331	UROK	\N	\N
3537797	220	1996-07-31	PRIJEM	\N	59	12151	UROK	\N	\N
3537798	220	1996-08-31	PRIJEM	\N	55	14367	UROK	\N	\N
3537799	220	1996-09-30	PRIJEM	\N	64	16593	UROK	\N	\N
3537800	220	1996-10-31	PRIJEM	\N	69	15544	UROK	\N	\N
3537801	220	1996-11-30	PRIJEM	\N	69	17775	UROK	\N	\N
3537802	220	1996-12-31	PRIJEM	\N	79	19715	UROK	\N	\N
3537803	220	1997-01-31	PRIJEM	\N	69	14505	UROK	\N	\N
3537804	220	1997-02-28	PRIJEM	\N	63	15289	UROK	\N	\N
3537805	220	1997-03-31	PRIJEM	\N	62	14553	UROK	\N	\N
3537806	220	1997-04-30	PRIJEM	\N	65	16779	UROK	\N	\N
3537807	220	1997-05-31	PRIJEM	\N	74	19015	UROK	\N	\N
3537808	220	1997-06-30	PRIJEM	\N	81	19557	UROK	\N	\N
3537809	220	1997-07-31	PRIJEM	\N	86	21804	UROK	\N	\N
3537810	220	1997-08-31	PRIJEM	\N	94	19659	UROK	\N	\N
3537811	220	1997-09-30	PRIJEM	\N	86	21907	UROK	\N	\N
3537812	220	1997-10-31	PRIJEM	\N	93	22481	UROK	\N	\N
3537813	220	1997-11-30	PRIJEM	\N	98	24740	UROK	\N	\N
3537814	220	1997-12-31	PRIJEM	\N	105	25596	UROK	\N	\N
3537815	220	1998-01-31	PRIJEM	\N	97	18765	UROK	\N	\N
3537816	220	1998-02-28	PRIJEM	\N	82	21008	UROK	\N	\N
3537817	220	1998-03-31	PRIJEM	\N	87	20856	UROK	\N	\N
3537818	220	1998-04-30	PRIJEM	\N	91	23108	UROK	\N	\N
3537819	220	1998-05-31	PRIJEM	\N	100	25369	UROK	\N	\N
3537820	220	1998-06-30	PRIJEM	\N	89	19770	UROK	\N	\N
3537821	220	1998-07-31	PRIJEM	\N	86	22017	UROK	\N	\N
3537822	220	1998-08-31	PRIJEM	\N	95	24274	UROK	\N	\N
3537823	220	1998-09-30	PRIJEM	\N	104	26539	UROK	\N	\N
3537824	220	1998-10-31	PRIJEM	\N	114	28815	UROK	\N	\N
3537825	220	1998-11-30	PRIJEM	\N	123	31099	UROK	\N	\N
3537826	220	1998-12-31	PRIJEM	\N	130	28520	UROK	\N	\N
3537827	221	1996-11-30	PRIJEM	\N	7	23941	UROK	\N	\N
3537828	221	1996-12-31	PRIJEM	\N	106	38997	UROK	\N	\N
3537829	221	1997-01-31	PRIJEM	\N	165	44196	UROK	\N	\N
3537830	221	1997-02-28	PRIJEM	\N	185	47815	UROK	\N	\N
3537831	221	1997-03-31	PRIJEM	\N	226	42579	UROK	\N	\N
3537832	221	1997-04-30	PRIJEM	\N	204	38606	UROK	\N	\N
3537833	221	1997-05-31	PRIJEM	\N	186	33215	UROK	\N	\N
3537834	221	1997-06-30	PRIJEM	\N	140	25795	UROK	\N	\N
3537835	221	1997-07-31	PRIJEM	\N	136	29654	UROK	\N	\N
3537836	221	1997-08-31	PRIJEM	\N	151	34328	UROK	\N	\N
3537837	221	1997-09-30	PRIJEM	\N	164	33216	UROK	\N	\N
3537838	221	1997-10-31	PRIJEM	\N	159	32199	UROK	\N	\N
3537839	221	1997-11-30	PRIJEM	\N	154	31676	UROK	\N	\N
3537840	221	1997-12-31	PRIJEM	\N	183	38599	UROK	\N	\N
3537841	221	1998-01-31	PRIJEM	\N	182	32805	UROK	\N	\N
3537842	221	1998-02-28	PRIJEM	\N	157	35386	UROK	\N	\N
3537843	221	1998-03-31	PRIJEM	\N	166	34575	UROK	\N	\N
3537844	221	1998-04-30	PRIJEM	\N	165	37364	UROK	\N	\N
3537845	221	1998-05-31	PRIJEM	\N	174	37861	UROK	\N	\N
3537846	221	1998-06-30	PRIJEM	\N	184	36885	UROK	\N	\N
3537847	221	1998-07-31	PRIJEM	\N	172	38981	UROK	\N	\N
3537848	221	1998-08-31	PRIJEM	\N	175	38079	UROK	\N	\N
3537849	221	1998-09-30	PRIJEM	\N	169	37072	UROK	\N	\N
3537850	221	1998-10-31	PRIJEM	\N	176	37371	UROK	\N	\N
3537851	221	1998-11-30	PRIJEM	\N	170	35165	UROK	\N	\N
3537852	221	1998-12-31	PRIJEM	\N	209	58514	UROK	\N	\N
3537853	222	1993-04-30	PRIJEM	\N	72	30481	UROK	\N	\N
3537854	222	1993-05-31	PRIJEM	\N	158	43648	UROK	\N	\N
3537855	222	1993-06-30	PRIJEM	\N	219	58781	UROK	\N	\N
3537856	222	1993-07-31	PRIJEM	\N	243	58533	UROK	\N	\N
3537857	222	1993-08-31	PRIJEM	\N	217	37130	UROK	\N	\N
3537858	222	1993-09-30	PRIJEM	\N	160	37385	UROK	\N	\N
3537859	222	1993-10-31	PRIJEM	\N	183	47062	UROK	\N	\N
3537860	222	1993-11-30	PRIJEM	\N	292	53149	UROK	\N	\N
3537861	222	1993-12-31	PRIJEM	\N	291	40984	UROK	\N	\N
3537862	222	1994-01-31	PRIJEM	\N	153	22957	UROK	\N	\N
3537863	222	1994-02-28	PRIJEM	\N	168	34386	UROK	\N	\N
3537864	222	1994-03-31	PRIJEM	\N	179	46659	UROK	\N	\N
3537865	222	1994-04-30	PRIJEM	\N	263	70616	UROK	\N	\N
3537866	222	1994-05-31	PRIJEM	\N	321	80631	UROK	\N	\N
3537867	222	1994-06-30	PRIJEM	\N	320	73291	UROK	\N	\N
3537868	222	1994-07-31	PRIJEM	\N	299	68298	UROK	\N	\N
3537869	222	1994-08-31	PRIJEM	\N	327	81620	UROK	\N	\N
3537870	222	1994-09-30	PRIJEM	\N	351	84924	UROK	\N	\N
3537871	222	1994-10-31	PRIJEM	\N	362	88280	UROK	\N	\N
3537872	222	1994-11-30	PRIJEM	\N	316	74515	UROK	\N	\N
3537873	222	1994-12-31	PRIJEM	\N	326	67492	UROK	\N	\N
3537874	222	1995-01-31	PRIJEM	\N	184	33755	UROK	\N	\N
3537875	222	1995-02-28	PRIJEM	\N	220	62570	UROK	\N	\N
3537876	222	1995-03-31	PRIJEM	\N	284	75847	UROK	\N	\N
3537877	222	1995-04-30	PRIJEM	\N	334	82676	UROK	\N	\N
3537878	222	1995-05-31	PRIJEM	\N	312	82082	UROK	\N	\N
3537879	222	1995-06-30	PRIJEM	\N	411	106492	UROK	\N	\N
3537880	222	1995-07-31	PRIJEM	\N	402	85520	UROK	\N	\N
3537881	222	1995-08-31	PRIJEM	\N	356	76870	UROK	\N	\N
3537882	222	1995-09-30	PRIJEM	\N	340	84705	UROK	\N	\N
3537883	222	1995-10-31	PRIJEM	\N	358	78657	UROK	\N	\N
3537884	222	1995-11-30	PRIJEM	\N	200	82951	UROK	\N	\N
3537885	222	1995-12-31	PRIJEM	\N	336	45717	UROK	\N	\N
3537886	222	1996-01-31	PRIJEM	\N	225	32485	UROK	\N	\N
3537887	222	1996-02-29	PRIJEM	\N	135	42014	UROK	\N	\N
3537888	222	1996-03-31	PRIJEM	\N	174	47183	UROK	\N	\N
3537889	222	1996-04-30	PRIJEM	\N	194	48071	UROK	\N	\N
3537890	222	1996-05-31	PRIJEM	\N	259	45724	UROK	\N	\N
3537891	222	1996-06-30	PRIJEM	\N	190	34843	UROK	\N	\N
3537892	222	1996-07-31	PRIJEM	\N	147	43184	UROK	\N	\N
3537893	222	1996-08-31	PRIJEM	\N	235	34614	UROK	\N	\N
3537894	222	1996-09-30	PRIJEM	\N	143	37951	UROK	\N	\N
3537895	222	1996-10-31	PRIJEM	\N	180	29598	UROK	\N	\N
3537896	222	1996-11-30	PRIJEM	\N	127	38020	UROK	\N	\N
3537897	222	1996-12-31	PRIJEM	\N	166	48986	UROK	\N	\N
3537898	222	1997-01-31	PRIJEM	\N	197	36747	UROK	\N	\N
3537899	222	1997-02-28	PRIJEM	\N	158	45599	UROK	\N	\N
3537900	222	1997-03-31	PRIJEM	\N	190	49983	UROK	\N	\N
3537901	222	1997-04-30	PRIJEM	\N	205	54283	UROK	\N	\N
3537902	222	1997-05-31	PRIJEM	\N	180	35620	UROK	\N	\N
3537903	222	1997-06-30	PRIJEM	\N	169	56388	UROK	\N	\N
3537904	222	1997-07-31	PRIJEM	\N	260	39330	UROK	\N	\N
3537905	222	1997-08-31	PRIJEM	\N	167	28411	UROK	\N	\N
3537906	222	1997-09-30	PRIJEM	\N	128	38734	UROK	\N	\N
3537907	222	1997-10-31	PRIJEM	\N	162	42890	UROK	\N	\N
3537908	222	1997-11-30	PRIJEM	\N	207	40874	UROK	\N	\N
3537909	222	1997-12-31	PRIJEM	\N	221	45006	UROK	\N	\N
3537910	222	1998-01-31	PRIJEM	\N	169	30770	UROK	\N	\N
3537911	222	1998-02-28	PRIJEM	\N	122	31186	UROK	\N	\N
3537912	222	1998-03-31	PRIJEM	\N	122	31103	UROK	\N	\N
3537913	222	1998-04-30	PRIJEM	\N	114	26411	UROK	\N	\N
3537914	222	1998-05-31	PRIJEM	\N	94	22099	UROK	\N	\N
3537915	222	1998-06-30	PRIJEM	\N	92	23054	UROK	\N	\N
3537916	222	1998-07-31	PRIJEM	\N	90	23938	UROK	\N	\N
3537917	222	1998-08-31	PRIJEM	\N	94	25127	UROK	\N	\N
3537918	222	1998-09-30	PRIJEM	\N	155	50676	UROK	\N	\N
3537919	222	1998-10-31	PRIJEM	\N	165	34436	UROK	\N	\N
3537920	222	1998-11-30	PRIJEM	\N	111	24340	UROK	\N	\N
3537921	222	1998-12-31	PRIJEM	\N	188	59953	UROK	\N	\N
3537922	224	1997-02-28	PRIJEM	\N	17	23221	UROK	\N	\N
3537923	224	1997-03-31	PRIJEM	\N	102	24997	UROK	\N	\N
3537924	224	1997-04-30	PRIJEM	\N	99	21294	UROK	\N	\N
3537925	224	1997-05-31	PRIJEM	\N	86	20118	UROK	\N	\N
3537926	224	1997-06-30	PRIJEM	\N	77	13103	UROK	\N	\N
3537927	224	1997-07-31	PRIJEM	\N	61	15422	UROK	\N	\N
3537928	224	1997-08-31	PRIJEM	\N	70	17751	UROK	\N	\N
3537929	224	1997-09-30	PRIJEM	\N	80	20089	UROK	\N	\N
3537930	224	1997-10-31	PRIJEM	\N	89	22137	UROK	\N	\N
3537931	224	1997-11-30	PRIJEM	\N	96	23091	UROK	\N	\N
3537932	224	1997-12-31	PRIJEM	\N	95	20144	UROK	\N	\N
3537933	224	1998-01-31	PRIJEM	\N	77	12849	UROK	\N	\N
3537934	224	1998-02-28	PRIJEM	\N	58	14266	UROK	\N	\N
3537935	224	1998-03-31	PRIJEM	\N	62	15226	UROK	\N	\N
3537936	224	1998-04-30	PRIJEM	\N	64	14249	UROK	\N	\N
3537937	224	1998-05-31	PRIJEM	\N	62	14569	UROK	\N	\N
3537938	224	1998-06-30	PRIJEM	\N	64	14911	UROK	\N	\N
3537939	224	1998-07-31	PRIJEM	\N	62	13072	UROK	\N	\N
3537940	224	1998-08-31	PRIJEM	\N	60	15390	UROK	\N	\N
3537941	224	1998-09-30	PRIJEM	\N	63	14112	UROK	\N	\N
3537942	224	1998-10-31	PRIJEM	\N	65	16435	UROK	\N	\N
3537943	224	1998-11-30	PRIJEM	\N	73	18366	UROK	\N	\N
3537944	224	1998-12-31	PRIJEM	\N	80	19354	UROK	\N	\N
3537945	225	1993-08-31	PRIJEM	\N	11	16389	UROK	\N	\N
3537946	225	1993-09-30	PRIJEM	\N	74	24141	UROK	\N	\N
3537947	225	1993-10-31	PRIJEM	\N	101	24619	UROK	\N	\N
3537948	225	1993-11-30	PRIJEM	\N	103	25400	UROK	\N	\N
3537949	225	1993-12-31	PRIJEM	\N	126	29141	UROK	\N	\N
3537950	225	1994-01-31	PRIJEM	\N	84	17883	UROK	\N	\N
3537951	225	1994-02-28	PRIJEM	\N	81	21442	UROK	\N	\N
3537952	225	1994-03-31	PRIJEM	\N	93	21713	UROK	\N	\N
3537953	225	1994-04-30	PRIJEM	\N	96	23888	UROK	\N	\N
3537954	225	1994-05-31	PRIJEM	\N	90	21016	UROK	\N	\N
3537955	225	1994-06-30	PRIJEM	\N	97	22531	UROK	\N	\N
3537956	225	1994-07-31	PRIJEM	\N	95	23464	UROK	\N	\N
3537957	225	1994-08-31	PRIJEM	\N	105	26848	UROK	\N	\N
3537958	225	1994-09-30	PRIJEM	\N	100	23866	UROK	\N	\N
3537959	225	1994-10-31	PRIJEM	\N	104	25048	UROK	\N	\N
3537960	225	1994-11-30	PRIJEM	\N	108	26135	UROK	\N	\N
3537961	225	1994-12-31	PRIJEM	\N	119	28972	UROK	\N	\N
3537962	225	1995-01-31	PRIJEM	\N	86	14556	UROK	\N	\N
3537963	225	1995-02-28	PRIJEM	\N	73	16908	UROK	\N	\N
3537964	225	1995-03-31	PRIJEM	\N	83	23389	UROK	\N	\N
3537965	225	1995-04-30	PRIJEM	\N	101	26108	UROK	\N	\N
3537966	225	1995-05-31	PRIJEM	\N	113	27500	UROK	\N	\N
3537967	225	1995-06-30	PRIJEM	\N	116	21133	UROK	\N	\N
3537968	225	1995-07-31	PRIJEM	\N	94	21825	UROK	\N	\N
3537969	225	1995-08-31	PRIJEM	\N	103	27106	UROK	\N	\N
3537970	225	1995-09-30	PRIJEM	\N	122	30806	UROK	\N	\N
3537971	225	1995-10-31	PRIJEM	\N	135	33419	UROK	\N	\N
3537972	225	1995-11-30	PRIJEM	\N	141	34559	UROK	\N	\N
3537973	225	1995-12-31	PRIJEM	\N	152	37029	UROK	\N	\N
3537974	225	1996-01-31	PRIJEM	\N	118	17805	UROK	\N	\N
3537975	225	1996-02-29	PRIJEM	\N	89	23873	UROK	\N	\N
3537976	225	1996-03-31	PRIJEM	\N	102	26313	UROK	\N	\N
3537977	225	1996-04-30	PRIJEM	\N	116	29008	UROK	\N	\N
3537978	225	1996-05-31	PRIJEM	\N	119	28385	UROK	\N	\N
3537979	225	1996-06-30	PRIJEM	\N	114	28796	UROK	\N	\N
3537980	225	1996-07-31	PRIJEM	\N	128	32103	UROK	\N	\N
3537981	225	1996-08-31	PRIJEM	\N	148	37629	UROK	\N	\N
3537982	225	1996-09-30	PRIJEM	\N	165	40973	UROK	\N	\N
3537983	225	1996-10-31	PRIJEM	\N	172	41924	UROK	\N	\N
3537984	225	1996-11-30	PRIJEM	\N	179	43881	UROK	\N	\N
3537985	225	1996-12-31	PRIJEM	\N	188	47046	UROK	\N	\N
3537986	225	1997-01-31	PRIJEM	\N	164	32968	UROK	\N	\N
3537987	225	1997-02-28	PRIJEM	\N	158	40405	UROK	\N	\N
3537988	225	1997-03-31	PRIJEM	\N	168	40952	UROK	\N	\N
3537989	225	1997-04-30	PRIJEM	\N	189	47519	UROK	\N	\N
3537990	225	1997-05-31	PRIJEM	\N	203	47640	UROK	\N	\N
3537991	225	1997-06-30	PRIJEM	\N	209	27946	UROK	\N	\N
3537992	225	1997-07-31	PRIJEM	\N	166	43891	UROK	\N	\N
3537993	225	1997-08-31	PRIJEM	\N	193	46983	UROK	\N	\N
3537994	225	1997-09-30	PRIJEM	\N	202	50063	UROK	\N	\N
3537995	225	1997-10-31	PRIJEM	\N	226	56567	UROK	\N	\N
3537996	225	1997-11-30	PRIJEM	\N	240	59185	UROK	\N	\N
3537997	225	1997-12-31	PRIJEM	\N	265	66268	UROK	\N	\N
3537998	225	1998-01-31	PRIJEM	\N	205	37432	UROK	\N	\N
3537999	225	1998-02-28	PRIJEM	\N	184	46554	UROK	\N	\N
3538000	225	1998-03-31	PRIJEM	\N	216	54449	UROK	\N	\N
3538001	225	1998-04-30	PRIJEM	\N	238	59165	UROK	\N	\N
3538002	225	1998-05-31	PRIJEM	\N	257	63800	UROK	\N	\N
3538003	225	1998-06-30	PRIJEM	\N	211	44808	UROK	\N	\N
3538004	225	1998-07-31	PRIJEM	\N	236	58283	UROK	\N	\N
3538005	225	1998-08-31	PRIJEM	\N	288	72110	UROK	\N	\N
3538006	225	1998-09-30	PRIJEM	\N	280	77208	UROK	\N	\N
3538007	225	1998-10-31	PRIJEM	\N	325	84911	UROK	\N	\N
3538008	225	1998-11-30	PRIJEM	\N	356	88345	UROK	\N	\N
3538009	225	1998-12-31	PRIJEM	\N	377	92940	UROK	\N	\N
3538010	226	1997-03-31	PRIJEM	\N	21	22580	UROK	\N	\N
3538011	226	1997-04-30	PRIJEM	\N	104	32943	UROK	\N	\N
3538012	226	1997-05-31	PRIJEM	\N	148	43751	UROK	\N	\N
3538013	226	1997-06-30	PRIJEM	\N	188	49126	UROK	\N	\N
3538014	226	1997-07-31	PRIJEM	\N	207	45264	UROK	\N	\N
3538015	226	1997-08-31	PRIJEM	\N	182	42342	UROK	\N	\N
3538016	226	1997-09-30	PRIJEM	\N	183	45141	UROK	\N	\N
3538017	226	1997-10-31	PRIJEM	\N	189	41846	UROK	\N	\N
3538018	226	1997-11-30	PRIJEM	\N	191	48953	UROK	\N	\N
3538019	226	1997-12-31	PRIJEM	\N	227	45505	UROK	\N	\N
3538020	226	1998-01-31	PRIJEM	\N	184	31386	UROK	\N	\N
3538021	226	1998-02-28	PRIJEM	\N	166	47368	UROK	\N	\N
3538022	226	1998-03-31	PRIJEM	\N	212	52396	UROK	\N	\N
3538023	226	1998-04-30	PRIJEM	\N	216	51528	UROK	\N	\N
3538024	226	1998-05-31	PRIJEM	\N	215	51860	UROK	\N	\N
3538025	226	1998-06-30	PRIJEM	\N	236	56541	UROK	\N	\N
3538026	226	1998-07-31	PRIJEM	\N	223	51428	UROK	\N	\N
3538027	226	1998-08-31	PRIJEM	\N	214	49346	UROK	\N	\N
3538028	226	1998-09-30	PRIJEM	\N	208	51158	UROK	\N	\N
3538029	226	1998-10-31	PRIJEM	\N	200	45462	UROK	\N	\N
3538030	226	1998-11-30	PRIJEM	\N	184	43751	UROK	\N	\N
3538031	226	1998-12-31	PRIJEM	\N	187	44471	UROK	\N	\N
3538032	227	1995-04-30	PRIJEM	\N	20	35312	UROK	\N	\N
3538033	227	1995-05-31	PRIJEM	\N	158	52162	UROK	\N	\N
3538034	227	1995-06-30	PRIJEM	\N	239	42239	UROK	\N	\N
3538035	227	1995-07-31	PRIJEM	\N	183	51714	UROK	\N	\N
3538036	227	1995-08-31	PRIJEM	\N	254	51560	UROK	\N	\N
3538037	227	1995-09-30	PRIJEM	\N	240	44567	UROK	\N	\N
3538038	227	1995-10-31	PRIJEM	\N	237	29161	UROK	\N	\N
3538039	227	1995-11-30	PRIJEM	\N	180	38737	UROK	\N	\N
3538040	227	1995-12-31	PRIJEM	\N	258	56590	UROK	\N	\N
3538041	227	1996-01-31	PRIJEM	\N	196	31552	UROK	\N	\N
3538042	227	1996-02-29	PRIJEM	\N	198	48147	UROK	\N	\N
3538043	227	1996-03-31	PRIJEM	\N	203	42118	UROK	\N	\N
3538044	227	1996-04-30	PRIJEM	\N	233	52148	UROK	\N	\N
3538045	227	1996-05-31	PRIJEM	\N	262	53706	UROK	\N	\N
3538046	227	1996-06-30	PRIJEM	\N	263	55112	UROK	\N	\N
3538047	227	1996-07-31	PRIJEM	\N	253	51061	UROK	\N	\N
3538048	227	1996-08-31	PRIJEM	\N	252	54609	UROK	\N	\N
3538049	227	1996-09-30	PRIJEM	\N	256	54361	UROK	\N	\N
3538050	227	1996-10-31	PRIJEM	\N	237	49494	UROK	\N	\N
3538051	227	1996-11-30	PRIJEM	\N	229	49019	UROK	\N	\N
3538052	227	1996-12-31	PRIJEM	\N	172	29634	UROK	\N	\N
3538053	227	1997-01-31	PRIJEM	\N	124	25355	UROK	\N	\N
3538054	227	1997-02-28	PRIJEM	\N	158	29502	UROK	\N	\N
3538055	227	1997-03-31	PRIJEM	\N	168	40666	UROK	\N	\N
3538056	227	1997-04-30	PRIJEM	\N	187	39493	UROK	\N	\N
3538057	227	1997-05-31	PRIJEM	\N	190	42879	UROK	\N	\N
3538058	227	1997-06-30	PRIJEM	\N	219	50941	UROK	\N	\N
3538059	227	1997-07-31	PRIJEM	\N	212	45049	UROK	\N	\N
3538060	227	1997-08-31	PRIJEM	\N	145	24447	UROK	\N	\N
3538061	227	1997-09-30	PRIJEM	\N	117	28960	UROK	\N	\N
3538062	227	1997-10-31	PRIJEM	\N	127	30183	UROK	\N	\N
3538063	227	1997-11-30	PRIJEM	\N	213	30893	UROK	\N	\N
3538064	227	1997-12-31	PRIJEM	\N	243	30278	UROK	\N	\N
3538065	227	1998-01-31	PRIJEM	\N	186	48660	UROK	\N	\N
3538066	227	1998-02-28	PRIJEM	\N	233	65090	UROK	\N	\N
3538067	227	1998-03-31	PRIJEM	\N	210	45396	UROK	\N	\N
3538068	227	1998-04-30	PRIJEM	\N	213	52305	UROK	\N	\N
3538069	227	1998-05-31	PRIJEM	\N	255	68456	UROK	\N	\N
3538070	227	1998-06-30	PRIJEM	\N	334	61432	UROK	\N	\N
3538071	227	1998-07-31	PRIJEM	\N	270	70298	UROK	\N	\N
3538072	227	1998-08-31	PRIJEM	\N	204	55387	UROK	\N	\N
3538073	227	1998-09-30	PRIJEM	\N	221	52704	UROK	\N	\N
3538074	227	1998-10-31	PRIJEM	\N	222	58622	UROK	\N	\N
3538075	227	1998-11-30	PRIJEM	\N	232	59650	UROK	\N	\N
3538076	227	1998-12-31	PRIJEM	\N	302	85195	UROK	\N	\N
3538077	228	1993-10-31	PRIJEM	\N	12	22614	UROK	\N	\N
3538078	228	1993-11-30	PRIJEM	\N	100	32516	UROK	\N	\N
3538079	228	1993-12-31	PRIJEM	\N	145	47064	UROK	\N	\N
3538080	228	1994-01-31	PRIJEM	\N	194	45460	UROK	\N	\N
3538081	228	1994-02-28	PRIJEM	\N	223	44727	UROK	\N	\N
3538082	228	1994-03-31	PRIJEM	\N	218	43128	UROK	\N	\N
3538083	228	1994-04-30	PRIJEM	\N	210	40921	UROK	\N	\N
3538084	228	1994-05-31	PRIJEM	\N	201	40606	UROK	\N	\N
3538085	228	1994-06-30	PRIJEM	\N	158	19668	UROK	\N	\N
3538086	228	1994-07-31	PRIJEM	\N	123	29974	UROK	\N	\N
3538087	228	1994-08-31	PRIJEM	\N	158	36715	UROK	\N	\N
3538088	228	1994-09-30	PRIJEM	\N	181	40079	UROK	\N	\N
3538089	228	1994-10-31	PRIJEM	\N	188	38230	UROK	\N	\N
3538090	228	1994-11-30	PRIJEM	\N	186	40200	UROK	\N	\N
3538091	228	1994-12-31	PRIJEM	\N	210	45634	UROK	\N	\N
3538092	228	1995-01-31	PRIJEM	\N	169	22027	UROK	\N	\N
3538093	228	1995-02-28	PRIJEM	\N	119	29030	UROK	\N	\N
3538094	228	1995-03-31	PRIJEM	\N	149	32762	UROK	\N	\N
3538095	228	1995-04-30	PRIJEM	\N	161	36807	UROK	\N	\N
3538096	228	1995-05-31	PRIJEM	\N	171	36461	UROK	\N	\N
3538097	228	1995-06-30	PRIJEM	\N	187	40452	UROK	\N	\N
3538098	228	1995-07-31	PRIJEM	\N	179	36314	UROK	\N	\N
3538099	228	1995-08-31	PRIJEM	\N	147	33905	UROK	\N	\N
3538100	228	1995-09-30	PRIJEM	\N	158	36746	UROK	\N	\N
3538101	228	1995-10-31	PRIJEM	\N	161	35990	UROK	\N	\N
3538102	228	1995-11-30	PRIJEM	\N	159	35332	UROK	\N	\N
3538103	228	1995-12-31	PRIJEM	\N	158	36034	UROK	\N	\N
3538104	228	1996-01-31	PRIJEM	\N	121	23798	UROK	\N	\N
3538105	228	1996-02-29	PRIJEM	\N	108	25149	UROK	\N	\N
3538106	228	1996-03-31	PRIJEM	\N	122	30055	UROK	\N	\N
3538107	228	1996-04-30	PRIJEM	\N	126	28364	UROK	\N	\N
3538108	228	1996-05-31	PRIJEM	\N	122	28469	UROK	\N	\N
3538109	228	1996-06-30	PRIJEM	\N	124	27098	UROK	\N	\N
3538110	228	1996-07-31	PRIJEM	\N	104	22165	UROK	\N	\N
3538111	228	1996-08-31	PRIJEM	\N	98	24946	UROK	\N	\N
3538112	228	1996-09-30	PRIJEM	\N	146	42576	UROK	\N	\N
3538113	228	1996-10-31	PRIJEM	\N	170	37650	UROK	\N	\N
3538114	228	1996-11-30	PRIJEM	\N	160	40053	UROK	\N	\N
3538115	228	1996-12-31	PRIJEM	\N	194	52711	UROK	\N	\N
3538116	228	1997-01-31	PRIJEM	\N	167	31321	UROK	\N	\N
3538117	228	1997-02-28	PRIJEM	\N	140	34765	UROK	\N	\N
3538118	228	1997-03-31	PRIJEM	\N	143	35091	UROK	\N	\N
3538119	228	1997-04-30	PRIJEM	\N	193	52768	UROK	\N	\N
3538120	228	1997-05-31	PRIJEM	\N	161	35992	UROK	\N	\N
3538121	228	1997-06-30	PRIJEM	\N	194	55069	UROK	\N	\N
3538122	228	1997-07-31	PRIJEM	\N	196	41348	UROK	\N	\N
3538123	228	1997-08-31	PRIJEM	\N	219	59051	UROK	\N	\N
3538124	228	1997-09-30	PRIJEM	\N	175	39910	UROK	\N	\N
3538125	228	1997-10-31	PRIJEM	\N	195	54468	UROK	\N	\N
3538126	228	1997-11-30	PRIJEM	\N	161	37612	UROK	\N	\N
3538127	228	1997-12-31	PRIJEM	\N	220	63397	UROK	\N	\N
3538128	228	1998-01-31	PRIJEM	\N	131	30752	UROK	\N	\N
3538129	228	1998-02-28	PRIJEM	\N	162	47197	UROK	\N	\N
3538130	228	1998-03-31	PRIJEM	\N	238	63958	UROK	\N	\N
3538131	228	1998-04-30	PRIJEM	\N	165	35707	UROK	\N	\N
3538132	228	1998-05-31	PRIJEM	\N	184	50614	UROK	\N	\N
3538133	228	1998-06-30	PRIJEM	\N	254	57712	UROK	\N	\N
3538134	228	1998-07-31	PRIJEM	\N	286	75482	UROK	\N	\N
3538135	228	1998-08-31	PRIJEM	\N	187	37972	UROK	\N	\N
3538136	228	1998-09-30	PRIJEM	\N	203	55658	UROK	\N	\N
3538137	228	1998-10-31	PRIJEM	\N	277	73419	UROK	\N	\N
3538138	228	1998-11-30	PRIJEM	\N	183	38585	UROK	\N	\N
3538139	228	1998-12-31	PRIJEM	\N	233	65983	UROK	\N	\N
3538140	229	1997-06-30	PRIJEM	\N	18	6610	UROK	\N	\N
3538141	229	1997-07-31	PRIJEM	\N	28	12130	UROK	\N	\N
3538142	229	1997-08-31	PRIJEM	\N	28	17649	UROK	\N	\N
3538143	229	1997-09-30	PRIJEM	\N	28	23169	UROK	\N	\N
3538144	229	1997-10-31	PRIJEM	\N	75	26231	UROK	\N	\N
3538145	229	1997-11-30	PRIJEM	\N	112	27015	UROK	\N	\N
3538146	229	1997-12-31	PRIJEM	\N	117	28955	UROK	\N	\N
3538147	229	1998-01-31	PRIJEM	\N	94	14101	UROK	\N	\N
3538148	229	1998-02-28	PRIJEM	\N	65	17139	UROK	\N	\N
3538149	229	1998-03-31	PRIJEM	\N	77	18788	UROK	\N	\N
3538150	229	1998-04-30	PRIJEM	\N	71	16311	UROK	\N	\N
3538151	229	1998-05-31	PRIJEM	\N	76	18759	UROK	\N	\N
3538152	229	1998-06-30	PRIJEM	\N	83	17495	UROK	\N	\N
3538153	229	1998-07-31	PRIJEM	\N	80	20547	UROK	\N	\N
3538154	229	1998-08-31	PRIJEM	\N	85	19224	UROK	\N	\N
3538155	229	1998-09-30	PRIJEM	\N	82	18519	UROK	\N	\N
3538156	229	1998-10-31	PRIJEM	\N	84	21575	UROK	\N	\N
3538157	229	1998-11-30	PRIJEM	\N	96	21844	UROK	\N	\N
3538158	229	1998-12-31	PRIJEM	\N	96	24212	UROK	\N	\N
3538159	230	1996-03-31	PRIJEM	\N	14	21207	UROK	\N	\N
3538160	230	1996-04-30	PRIJEM	\N	97	33097	UROK	\N	\N
3538161	230	1996-05-31	PRIJEM	\N	143	39933	UROK	\N	\N
3538162	230	1996-06-30	PRIJEM	\N	171	46043	UROK	\N	\N
3538163	230	1996-07-31	PRIJEM	\N	203	39639	UROK	\N	\N
3538164	230	1996-08-31	PRIJEM	\N	174	31991	UROK	\N	\N
3538165	230	1996-09-30	PRIJEM	\N	151	30781	UROK	\N	\N
3538166	230	1996-10-31	PRIJEM	\N	129	28128	UROK	\N	\N
3538167	230	1996-11-30	PRIJEM	\N	127	24934	UROK	\N	\N
3538168	230	1996-12-31	PRIJEM	\N	130	28049	UROK	\N	\N
3538169	230	1997-01-31	PRIJEM	\N	126	19213	UROK	\N	\N
3538170	230	1997-02-28	PRIJEM	\N	89	20120	UROK	\N	\N
3538171	230	1997-03-31	PRIJEM	\N	96	18995	UROK	\N	\N
3538172	230	1997-04-30	PRIJEM	\N	99	23873	UROK	\N	\N
3538173	230	1997-05-31	PRIJEM	\N	123	25254	UROK	\N	\N
3538174	230	1997-06-30	PRIJEM	\N	103	20042	UROK	\N	\N
3538175	230	1997-07-31	PRIJEM	\N	92	17732	UROK	\N	\N
3538176	230	1997-08-31	PRIJEM	\N	94	23605	UROK	\N	\N
3538177	230	1997-09-30	PRIJEM	\N	118	29601	UROK	\N	\N
3538178	230	1997-10-31	PRIJEM	\N	138	32717	UROK	\N	\N
3538179	230	1997-11-30	PRIJEM	\N	154	37250	UROK	\N	\N
3538180	230	1997-12-31	PRIJEM	\N	184	44279	UROK	\N	\N
3538181	230	1998-01-31	PRIJEM	\N	187	33985	UROK	\N	\N
3538182	230	1998-02-28	PRIJEM	\N	159	39822	UROK	\N	\N
3538183	230	1998-03-31	PRIJEM	\N	173	40074	UROK	\N	\N
3538184	230	1998-04-30	PRIJEM	\N	165	35157	UROK	\N	\N
3538185	230	1998-05-31	PRIJEM	\N	161	39096	UROK	\N	\N
3538186	230	1998-06-30	PRIJEM	\N	198	40679	UROK	\N	\N
3538187	230	1998-07-31	PRIJEM	\N	162	35720	UROK	\N	\N
3538188	230	1998-08-31	PRIJEM	\N	149	29247	UROK	\N	\N
3538189	230	1998-09-30	PRIJEM	\N	106	22331	UROK	\N	\N
3538190	230	1998-10-31	PRIJEM	\N	84	18294	UROK	\N	\N
3538191	230	1998-11-30	PRIJEM	\N	64	13536	UROK	\N	\N
3538192	230	1998-12-31	PRIJEM	\N	52	11813	UROK	\N	\N
3538193	231	1995-04-30	PRIJEM	\N	11	4021	UROK	\N	\N
3538194	231	1995-05-31	PRIJEM	\N	17	7148	UROK	\N	\N
3538195	231	1995-06-30	PRIJEM	\N	17	10275	UROK	\N	\N
3538196	231	1995-07-31	PRIJEM	\N	17	13401	UROK	\N	\N
3538197	231	1995-08-31	PRIJEM	\N	43	14482	UROK	\N	\N
3538198	231	1995-09-30	PRIJEM	\N	63	15567	UROK	\N	\N
3538199	231	1995-10-31	PRIJEM	\N	68	16657	UROK	\N	\N
3538200	231	1995-11-30	PRIJEM	\N	72	17751	UROK	\N	\N
3538201	231	1995-12-31	PRIJEM	\N	77	18850	UROK	\N	\N
3538202	231	1996-01-31	PRIJEM	\N	75	15727	UROK	\N	\N
3538203	231	1996-02-29	PRIJEM	\N	67	15736	UROK	\N	\N
3538204	231	1996-03-31	PRIJEM	\N	66	15775	UROK	\N	\N
3538205	231	1996-04-30	PRIJEM	\N	68	16235	UROK	\N	\N
3538206	231	1996-05-31	PRIJEM	\N	70	16627	UROK	\N	\N
3538207	231	1996-06-30	PRIJEM	\N	72	17721	UROK	\N	\N
3538208	231	1996-07-31	PRIJEM	\N	75	17219	UROK	\N	\N
3538209	231	1996-08-31	PRIJEM	\N	72	15613	UROK	\N	\N
3538210	231	1996-09-30	PRIJEM	\N	65	13810	UROK	\N	\N
3538211	231	1996-10-31	PRIJEM	\N	60	14692	UROK	\N	\N
3538212	231	1996-11-30	PRIJEM	\N	64	15778	UROK	\N	\N
3538213	231	1996-12-31	PRIJEM	\N	68	16509	UROK	\N	\N
3538214	231	1997-01-31	PRIJEM	\N	62	13453	UROK	\N	\N
3538215	231	1997-02-28	PRIJEM	\N	58	14534	UROK	\N	\N
3538216	231	1997-03-31	PRIJEM	\N	63	15619	UROK	\N	\N
3538217	231	1997-04-30	PRIJEM	\N	67	16709	UROK	\N	\N
3538218	231	1997-05-31	PRIJEM	\N	72	17803	UROK	\N	\N
3538219	231	1997-06-30	PRIJEM	\N	75	17190	UROK	\N	\N
3538220	231	1997-07-31	PRIJEM	\N	74	18186	UROK	\N	\N
3538221	231	1997-08-31	PRIJEM	\N	77	18686	UROK	\N	\N
3538222	231	1997-09-30	PRIJEM	\N	79	18317	UROK	\N	\N
3538223	231	1997-10-31	PRIJEM	\N	78	18817	UROK	\N	\N
3538224	231	1997-11-30	PRIJEM	\N	80	18629	UROK	\N	\N
3538225	231	1997-12-31	PRIJEM	\N	80	19731	UROK	\N	\N
3538226	231	1998-01-31	PRIJEM	\N	67	14760	UROK	\N	\N
3538227	231	1998-02-28	PRIJEM	\N	63	15215	UROK	\N	\N
3538228	231	1998-03-31	PRIJEM	\N	63	15071	UROK	\N	\N
3538229	231	1998-04-30	PRIJEM	\N	65	16158	UROK	\N	\N
3538230	231	1998-05-31	PRIJEM	\N	69	17249	UROK	\N	\N
3538231	231	1998-06-30	PRIJEM	\N	71	15973	UROK	\N	\N
3538232	231	1998-07-31	PRIJEM	\N	64	15470	UROK	\N	\N
3538233	231	1998-08-31	PRIJEM	\N	64	14606	UROK	\N	\N
3538234	231	1998-09-30	PRIJEM	\N	58	13886	UROK	\N	\N
3538235	231	1998-10-31	PRIJEM	\N	60	14968	UROK	\N	\N
3538236	231	1998-11-30	PRIJEM	\N	64	16055	UROK	\N	\N
3538237	231	1998-12-31	PRIJEM	\N	69	17146	UROK	\N	\N
3538238	232	1997-12-31	PRIJEM	\N	12	28726	UROK	\N	\N
3538239	232	1998-01-31	PRIJEM	\N	126	40995	UROK	\N	\N
3538240	232	1998-02-28	PRIJEM	\N	171	44509	UROK	\N	\N
3538241	232	1998-03-31	PRIJEM	\N	187	48839	UROK	\N	\N
3538242	232	1998-04-30	PRIJEM	\N	205	54887	UROK	\N	\N
3538243	232	1998-05-31	PRIJEM	\N	265	53238	UROK	\N	\N
3538244	232	1998-06-30	PRIJEM	\N	208	34942	UROK	\N	\N
3538245	232	1998-07-31	PRIJEM	\N	186	42814	UROK	\N	\N
3538246	232	1998-08-31	PRIJEM	\N	211	48830	UROK	\N	\N
3538247	232	1998-09-30	PRIJEM	\N	235	49250	UROK	\N	\N
3538248	232	1998-10-31	PRIJEM	\N	217	50372	UROK	\N	\N
3538249	232	1998-11-30	PRIJEM	\N	242	54800	UROK	\N	\N
3538250	232	1998-12-31	PRIJEM	\N	296	81753	UROK	\N	\N
3538300	234	1993-12-31	PRIJEM	\N	65	26375	UROK	\N	\N
3538301	234	1994-01-31	PRIJEM	\N	95	19487	UROK	\N	\N
3538302	234	1994-02-28	PRIJEM	\N	80	19433	UROK	\N	\N
3538303	234	1994-03-31	PRIJEM	\N	89	22508	UROK	\N	\N
3538304	234	1994-04-30	PRIJEM	\N	101	25596	UROK	\N	\N
3538305	234	1994-05-31	PRIJEM	\N	114	28696	UROK	\N	\N
3538306	234	1994-06-30	PRIJEM	\N	115	21488	UROK	\N	\N
3538307	234	1994-07-31	PRIJEM	\N	96	24010	UROK	\N	\N
3538308	234	1994-08-31	PRIJEM	\N	97	21194	UROK	\N	\N
3538309	234	1994-09-30	PRIJEM	\N	88	22508	UROK	\N	\N
3538310	234	1994-10-31	PRIJEM	\N	101	25596	UROK	\N	\N
3538311	234	1994-11-30	PRIJEM	\N	105	25588	UROK	\N	\N
3538312	234	1994-12-31	PRIJEM	\N	96	23521	UROK	\N	\N
3538313	234	1995-01-31	PRIJEM	\N	76	13463	UROK	\N	\N
3538314	234	1995-02-28	PRIJEM	\N	63	16512	UROK	\N	\N
3538315	234	1995-03-31	PRIJEM	\N	75	19073	UROK	\N	\N
3538316	234	1995-04-30	PRIJEM	\N	70	16990	UROK	\N	\N
3538317	234	1995-05-31	PRIJEM	\N	64	14800	UROK	\N	\N
3538318	234	1995-06-30	PRIJEM	\N	69	17855	UROK	\N	\N
3538319	234	1995-07-31	PRIJEM	\N	67	15408	UROK	\N	\N
3538320	234	1995-08-31	PRIJEM	\N	72	18466	UROK	\N	\N
3538321	234	1995-09-30	PRIJEM	\N	65	16637	UROK	\N	\N
3538322	234	1995-10-31	PRIJEM	\N	68	16692	UROK	\N	\N
3538323	234	1995-11-30	PRIJEM	\N	66	15844	UROK	\N	\N
3538324	234	1995-12-31	PRIJEM	\N	63	15093	UROK	\N	\N
3538325	234	1996-01-31	PRIJEM	\N	66	14146	UROK	\N	\N
3538326	234	1996-02-29	PRIJEM	\N	65	14797	UROK	\N	\N
3538327	234	1996-03-31	PRIJEM	\N	62	15545	UROK	\N	\N
3538328	234	1996-04-30	PRIJEM	\N	55	14687	UROK	\N	\N
3538329	234	1996-05-31	PRIJEM	\N	57	14590	UROK	\N	\N
3538330	234	1996-06-30	PRIJEM	\N	60	13716	UROK	\N	\N
3538331	234	1996-07-31	PRIJEM	\N	64	16767	UROK	\N	\N
3538332	234	1996-08-31	PRIJEM	\N	76	19829	UROK	\N	\N
3538333	234	1996-09-30	PRIJEM	\N	71	13187	UROK	\N	\N
3538334	234	1996-10-31	PRIJEM	\N	62	16235	UROK	\N	\N
3538335	234	1996-11-30	PRIJEM	\N	74	19295	UROK	\N	\N
3538336	234	1996-12-31	PRIJEM	\N	78	13050	UROK	\N	\N
3538337	234	1997-01-31	PRIJEM	\N	59	13855	UROK	\N	\N
3538338	234	1997-02-28	PRIJEM	\N	64	16905	UROK	\N	\N
3538339	234	1997-03-31	PRIJEM	\N	77	19969	UROK	\N	\N
3538340	234	1997-04-30	PRIJEM	\N	81	12236	UROK	\N	\N
3538341	234	1997-05-31	PRIJEM	\N	58	15279	UROK	\N	\N
3538342	234	1997-06-30	PRIJEM	\N	70	18336	UROK	\N	\N
3538343	234	1997-07-31	PRIJEM	\N	71	12573	UROK	\N	\N
3538344	234	1997-08-31	PRIJEM	\N	59	15619	UROK	\N	\N
3538345	234	1997-09-30	PRIJEM	\N	64	12669	UROK	\N	\N
3538346	234	1997-10-31	PRIJEM	\N	59	15714	UROK	\N	\N
3538347	234	1997-11-30	PRIJEM	\N	67	15467	UROK	\N	\N
3538348	234	1997-12-31	PRIJEM	\N	69	17922	UROK	\N	\N
3538349	234	1998-01-31	PRIJEM	\N	68	15777	UROK	\N	\N
3538350	234	1998-02-28	PRIJEM	\N	71	18835	UROK	\N	\N
3538351	234	1998-03-31	PRIJEM	\N	84	21906	UROK	\N	\N
3538352	234	1998-04-30	PRIJEM	\N	80	13972	UROK	\N	\N
3538353	234	1998-05-31	PRIJEM	\N	64	17023	UROK	\N	\N
3538354	234	1998-06-30	PRIJEM	\N	71	18230	UROK	\N	\N
3538355	234	1998-07-31	PRIJEM	\N	67	12884	UROK	\N	\N
3538356	234	1998-08-31	PRIJEM	\N	59	15929	UROK	\N	\N
3538357	234	1998-09-30	PRIJEM	\N	64	15080	UROK	\N	\N
3538358	234	1998-10-31	PRIJEM	\N	63	15009	UROK	\N	\N
3538359	234	1998-11-30	PRIJEM	\N	59	13554	UROK	\N	\N
3538360	234	1998-12-31	PRIJEM	\N	61	15951	UROK	\N	\N
3538361	235	1993-10-31	PRIJEM	\N	13	4337	UROK	\N	\N
3538362	235	1993-11-30	PRIJEM	\N	18	7679	UROK	\N	\N
3538363	235	1993-12-31	PRIJEM	\N	18	11021	UROK	\N	\N
3538364	235	1994-01-31	PRIJEM	\N	18	14363	UROK	\N	\N
3538365	235	1994-02-28	PRIJEM	\N	53	15524	UROK	\N	\N
3538366	235	1994-03-31	PRIJEM	\N	69	16687	UROK	\N	\N
3538367	235	1994-04-30	PRIJEM	\N	74	17854	UROK	\N	\N
3538368	235	1994-05-31	PRIJEM	\N	79	19026	UROK	\N	\N
3538369	235	1994-06-30	PRIJEM	\N	78	15127	UROK	\N	\N
3538370	235	1994-07-31	PRIJEM	\N	67	16288	UROK	\N	\N
3538371	235	1994-08-31	PRIJEM	\N	70	16761	UROK	\N	\N
3538372	235	1994-09-30	PRIJEM	\N	73	17778	UROK	\N	\N
3538373	235	1994-10-31	PRIJEM	\N	77	18108	UROK	\N	\N
3538374	235	1994-11-30	PRIJEM	\N	80	19281	UROK	\N	\N
3538375	235	1994-12-31	PRIJEM	\N	81	19586	UROK	\N	\N
3538376	235	1995-01-31	PRIJEM	\N	82	17791	UROK	\N	\N
3538377	235	1995-02-28	PRIJEM	\N	78	18962	UROK	\N	\N
3538378	235	1995-03-31	PRIJEM	\N	84	20139	UROK	\N	\N
3538379	235	1995-04-30	PRIJEM	\N	88	21320	UROK	\N	\N
3538380	235	1995-05-31	PRIJEM	\N	93	22507	UROK	\N	\N
3538381	235	1995-06-30	PRIJEM	\N	93	21593	UROK	\N	\N
3538382	235	1995-07-31	PRIJEM	\N	94	22780	UROK	\N	\N
3538383	235	1995-08-31	PRIJEM	\N	96	23160	UROK	\N	\N
3538384	235	1995-09-30	PRIJEM	\N	100	24353	UROK	\N	\N
3538385	235	1995-10-31	PRIJEM	\N	105	25552	UROK	\N	\N
3538386	235	1995-11-30	PRIJEM	\N	111	26756	UROK	\N	\N
3538387	235	1995-12-31	PRIJEM	\N	114	27323	UROK	\N	\N
3538388	235	1996-01-31	PRIJEM	\N	112	26039	UROK	\N	\N
3538389	235	1996-02-29	PRIJEM	\N	109	26071	UROK	\N	\N
3538390	235	1996-03-31	PRIJEM	\N	109	24174	UROK	\N	\N
3538391	235	1996-04-30	PRIJEM	\N	101	24308	UROK	\N	\N
3538392	235	1996-05-31	PRIJEM	\N	99	22931	UROK	\N	\N
3538393	235	1996-06-30	PRIJEM	\N	94	21979	UROK	\N	\N
3538394	235	1996-07-31	PRIJEM	\N	95	23167	UROK	\N	\N
3538395	235	1996-08-31	PRIJEM	\N	97	22758	UROK	\N	\N
3538396	235	1996-09-30	PRIJEM	\N	99	23950	UROK	\N	\N
3538397	235	1996-10-31	PRIJEM	\N	100	23043	UROK	\N	\N
3538398	235	1996-11-30	PRIJEM	\N	99	24236	UROK	\N	\N
3538399	235	1996-12-31	PRIJEM	\N	96	22035	UROK	\N	\N
3538400	235	1997-01-31	PRIJEM	\N	88	19766	UROK	\N	\N
3538401	235	1997-02-28	PRIJEM	\N	85	20945	UROK	\N	\N
3538402	235	1997-03-31	PRIJEM	\N	90	22129	UROK	\N	\N
3538403	235	1997-04-30	PRIJEM	\N	91	21903	UROK	\N	\N
3538404	235	1997-05-31	PRIJEM	\N	95	23092	UROK	\N	\N
3538405	235	1997-06-30	PRIJEM	\N	94	20499	UROK	\N	\N
3538406	235	1997-07-31	PRIJEM	\N	86	20628	UROK	\N	\N
3538407	235	1997-08-31	PRIJEM	\N	89	21810	UROK	\N	\N
3538408	235	1997-09-30	PRIJEM	\N	93	22636	UROK	\N	\N
3538409	235	1997-10-31	PRIJEM	\N	91	21220	UROK	\N	\N
3538410	235	1997-11-30	PRIJEM	\N	86	20199	UROK	\N	\N
3538411	235	1997-12-31	PRIJEM	\N	74	16317	UROK	\N	\N
3538412	235	1998-01-31	PRIJEM	\N	68	15878	UROK	\N	\N
3538413	235	1998-02-28	PRIJEM	\N	63	14734	UROK	\N	\N
3538414	235	1998-03-31	PRIJEM	\N	61	14828	UROK	\N	\N
3538415	235	1998-04-30	PRIJEM	\N	63	15785	UROK	\N	\N
3538416	235	1998-05-31	PRIJEM	\N	69	16947	UROK	\N	\N
3538417	235	1998-06-30	PRIJEM	\N	69	15739	UROK	\N	\N
3538418	235	1998-07-31	PRIJEM	\N	60	14293	UROK	\N	\N
3538419	235	1998-08-31	PRIJEM	\N	56	13543	UROK	\N	\N
3538420	235	1998-09-30	PRIJEM	\N	59	14695	UROK	\N	\N
3538421	235	1998-10-31	PRIJEM	\N	62	15611	UROK	\N	\N
3538422	235	1998-11-30	PRIJEM	\N	67	16771	UROK	\N	\N
3538423	235	1998-12-31	PRIJEM	\N	68	16333	UROK	\N	\N
3538424	237	1994-08-31	PRIJEM	\N	2	15452	UROK	\N	\N
3538425	237	1994-09-30	PRIJEM	\N	67	16474	UROK	\N	\N
3538426	237	1994-10-31	PRIJEM	\N	71	17501	UROK	\N	\N
3538427	237	1994-11-30	PRIJEM	\N	75	18532	UROK	\N	\N
3538428	237	1994-12-31	PRIJEM	\N	78	18725	UROK	\N	\N
3538429	237	1995-01-31	PRIJEM	\N	72	14413	UROK	\N	\N
3538430	237	1995-02-28	PRIJEM	\N	62	15431	UROK	\N	\N
3538431	237	1995-03-31	PRIJEM	\N	65	15041	UROK	\N	\N
3538432	237	1995-04-30	PRIJEM	\N	61	14887	UROK	\N	\N
3538433	237	1995-05-31	PRIJEM	\N	65	15907	UROK	\N	\N
3538434	237	1995-06-30	PRIJEM	\N	60	13292	UROK	\N	\N
3538435	237	1995-07-31	PRIJEM	\N	58	14305	UROK	\N	\N
3538436	237	1995-08-31	PRIJEM	\N	62	15323	UROK	\N	\N
3538437	237	1995-09-30	PRIJEM	\N	66	16345	UROK	\N	\N
3538438	237	1995-10-31	PRIJEM	\N	69	16789	UROK	\N	\N
3538439	237	1995-11-30	PRIJEM	\N	67	14120	UROK	\N	\N
3538440	237	1995-12-31	PRIJEM	\N	58	13594	UROK	\N	\N
3538441	237	1996-01-31	PRIJEM	\N	56	13436	UROK	\N	\N
3538442	237	1996-02-29	PRIJEM	\N	51	11342	UROK	\N	\N
3538443	237	1996-03-31	PRIJEM	\N	50	12347	UROK	\N	\N
3538444	237	1996-04-30	PRIJEM	\N	54	13176	UROK	\N	\N
3538445	237	1996-05-31	PRIJEM	\N	57	13318	UROK	\N	\N
3538446	237	1996-06-30	PRIJEM	\N	51	11624	UROK	\N	\N
3538447	237	1996-07-31	PRIJEM	\N	48	11427	UROK	\N	\N
3538448	237	1996-08-31	PRIJEM	\N	50	12432	UROK	\N	\N
3538449	237	1996-09-30	PRIJEM	\N	54	13442	UROK	\N	\N
3538450	237	1996-10-31	PRIJEM	\N	57	13764	UROK	\N	\N
3538451	237	1996-11-30	PRIJEM	\N	60	14779	UROK	\N	\N
3538452	237	1996-12-31	PRIJEM	\N	63	15588	UROK	\N	\N
3538453	237	1997-01-31	PRIJEM	\N	58	13601	UROK	\N	\N
3538454	237	1997-02-28	PRIJEM	\N	53	12909	UROK	\N	\N
3538455	237	1997-03-31	PRIJEM	\N	56	13921	UROK	\N	\N
3538456	237	1997-04-30	PRIJEM	\N	60	14936	UROK	\N	\N
3538457	237	1997-05-31	PRIJEM	\N	64	15956	UROK	\N	\N
3538458	237	1997-06-30	PRIJEM	\N	65	16067	UROK	\N	\N
3538459	237	1997-07-31	PRIJEM	\N	69	17091	UROK	\N	\N
3538460	237	1997-08-31	PRIJEM	\N	73	18119	UROK	\N	\N
3538461	237	1997-09-30	PRIJEM	\N	77	18162	UROK	\N	\N
3538462	237	1997-10-31	PRIJEM	\N	57	12975	UROK	\N	\N
3538463	237	1997-11-30	PRIJEM	\N	56	13986	UROK	\N	\N
3538464	237	1997-12-31	PRIJEM	\N	59	14310	UROK	\N	\N
3538465	237	1998-01-31	PRIJEM	\N	58	14154	UROK	\N	\N
3538466	237	1998-02-28	PRIJEM	\N	61	15170	UROK	\N	\N
3538467	237	1998-03-31	PRIJEM	\N	57	13782	UROK	\N	\N
3538468	237	1998-04-30	PRIJEM	\N	59	14797	UROK	\N	\N
3538469	237	1998-05-31	PRIJEM	\N	62	15514	UROK	\N	\N
3538470	237	1998-06-30	PRIJEM	\N	65	16335	UROK	\N	\N
3538471	237	1998-07-31	PRIJEM	\N	70	17360	UROK	\N	\N
3538472	237	1998-08-31	PRIJEM	\N	65	15780	UROK	\N	\N
3538473	237	1998-09-30	PRIJEM	\N	67	16803	UROK	\N	\N
3538474	237	1998-10-31	PRIJEM	\N	67	12745	UROK	\N	\N
3538475	237	1998-11-30	PRIJEM	\N	54	13655	UROK	\N	\N
3538476	237	1998-12-31	PRIJEM	\N	58	14668	UROK	\N	\N
3538477	238	1994-01-31	PRIJEM	\N	39	12134	UROK	\N	\N
3538478	238	1994-02-28	PRIJEM	\N	54	13290	UROK	\N	\N
3538479	238	1994-03-31	PRIJEM	\N	59	14451	UROK	\N	\N
3538480	238	1994-04-30	PRIJEM	\N	59	14652	UROK	\N	\N
3538481	238	1994-05-31	PRIJEM	\N	63	14527	UROK	\N	\N
3538482	238	1994-06-30	PRIJEM	\N	62	14971	UROK	\N	\N
3538483	238	1994-07-31	PRIJEM	\N	66	16139	UROK	\N	\N
3538484	238	1994-08-31	PRIJEM	\N	70	17312	UROK	\N	\N
3538485	238	1994-09-30	PRIJEM	\N	75	18489	UROK	\N	\N
3538486	238	1994-10-31	PRIJEM	\N	75	18346	UROK	\N	\N
3538487	238	1994-11-30	PRIJEM	\N	79	18657	UROK	\N	\N
3538488	238	1994-12-31	PRIJEM	\N	75	18094	UROK	\N	\N
3538489	238	1995-01-31	PRIJEM	\N	71	15308	UROK	\N	\N
3538490	238	1995-02-28	PRIJEM	\N	66	15967	UROK	\N	\N
3538491	238	1995-03-31	PRIJEM	\N	65	15064	UROK	\N	\N
3538492	238	1995-04-30	PRIJEM	\N	66	16232	UROK	\N	\N
3538493	238	1995-05-31	PRIJEM	\N	69	16474	UROK	\N	\N
3538494	238	1995-06-30	PRIJEM	\N	72	17648	UROK	\N	\N
3538495	238	1995-07-31	PRIJEM	\N	77	18826	UROK	\N	\N
3538496	238	1995-08-31	PRIJEM	\N	81	20010	UROK	\N	\N
3538497	238	1995-09-30	PRIJEM	\N	86	21199	UROK	\N	\N
3538498	238	1995-10-31	PRIJEM	\N	81	19682	UROK	\N	\N
3538499	238	1995-11-30	PRIJEM	\N	85	20869	UROK	\N	\N
3538500	238	1995-12-31	PRIJEM	\N	89	21341	UROK	\N	\N
3538501	238	1996-01-31	PRIJEM	\N	78	17691	UROK	\N	\N
3538502	238	1996-02-29	PRIJEM	\N	76	18870	UROK	\N	\N
3538503	238	1996-03-31	PRIJEM	\N	71	17344	UROK	\N	\N
3538504	238	1996-04-30	PRIJEM	\N	75	18521	UROK	\N	\N
3538505	238	1996-05-31	PRIJEM	\N	80	19703	UROK	\N	\N
3538506	238	1996-06-30	PRIJEM	\N	82	18037	UROK	\N	\N
3538507	238	1996-07-31	PRIJEM	\N	78	18117	UROK	\N	\N
3538508	238	1996-08-31	PRIJEM	\N	75	18075	UROK	\N	\N
3538509	238	1996-09-30	PRIJEM	\N	77	16654	UROK	\N	\N
3538510	238	1996-10-31	PRIJEM	\N	71	15427	UROK	\N	\N
3538511	238	1996-11-30	PRIJEM	\N	65	13894	UROK	\N	\N
3538512	238	1996-12-31	PRIJEM	\N	60	14426	UROK	\N	\N
3538513	238	1997-01-31	PRIJEM	\N	59	14268	UROK	\N	\N
3538514	238	1997-02-28	PRIJEM	\N	61	13831	UROK	\N	\N
3538515	238	1997-03-31	PRIJEM	\N	60	14993	UROK	\N	\N
3538516	238	1997-04-30	PRIJEM	\N	65	16160	UROK	\N	\N
3538517	238	1997-05-31	PRIJEM	\N	68	16611	UROK	\N	\N
3538518	238	1997-06-30	PRIJEM	\N	70	16183	UROK	\N	\N
3538519	238	1997-07-31	PRIJEM	\N	64	15970	UROK	\N	\N
3538520	238	1997-08-31	PRIJEM	\N	69	17141	UROK	\N	\N
3538521	238	1997-09-30	PRIJEM	\N	70	17593	UROK	\N	\N
3538522	238	1997-10-31	PRIJEM	\N	70	17656	UROK	\N	\N
3538523	238	1997-11-30	PRIJEM	\N	75	18834	UROK	\N	\N
3538524	238	1997-12-31	PRIJEM	\N	75	16791	UROK	\N	\N
3538525	238	1998-01-31	PRIJEM	\N	63	14896	UROK	\N	\N
3538526	238	1998-02-28	PRIJEM	\N	64	16062	UROK	\N	\N
3538527	238	1998-03-31	PRIJEM	\N	68	16782	UROK	\N	\N
3538528	238	1998-04-30	PRIJEM	\N	71	17355	UROK	\N	\N
3538529	238	1998-05-31	PRIJEM	\N	74	18532	UROK	\N	\N
3538530	238	1998-06-30	PRIJEM	\N	79	19713	UROK	\N	\N
3538531	238	1998-07-31	PRIJEM	\N	80	19725	UROK	\N	\N
3538532	238	1998-08-31	PRIJEM	\N	82	19809	UROK	\N	\N
3538533	238	1998-09-30	PRIJEM	\N	82	19793	UROK	\N	\N
3538534	238	1998-10-31	PRIJEM	\N	83	20278	UROK	\N	\N
3538535	238	1998-11-30	PRIJEM	\N	86	21466	UROK	\N	\N
3538536	238	1998-12-31	PRIJEM	\N	79	18988	UROK	\N	\N
3538537	239	1993-03-31	PRIJEM	\N	2	302	UROK	\N	\N
3538538	239	1993-04-30	PRIJEM	\N	64	41901	UROK	\N	\N
3538539	239	1993-05-31	PRIJEM	\N	266	51065	UROK	\N	\N
3538540	239	1993-06-30	PRIJEM	\N	212	38077	UROK	\N	\N
3538541	239	1993-07-31	PRIJEM	\N	212	50566	UROK	\N	\N
3538542	239	1993-08-31	PRIJEM	\N	307	35227	UROK	\N	\N
3538543	239	1993-09-30	PRIJEM	\N	124	24719	UROK	\N	\N
3538544	239	1993-10-31	PRIJEM	\N	236	44365	UROK	\N	\N
3538545	239	1993-11-30	PRIJEM	\N	370	42602	UROK	\N	\N
3538546	239	1993-12-31	PRIJEM	\N	101	23106	UROK	\N	\N
3538547	239	1994-01-31	PRIJEM	\N	77	20264	UROK	\N	\N
3538548	239	1994-02-28	PRIJEM	\N	158	35144	UROK	\N	\N
3538549	239	1994-03-31	PRIJEM	\N	169	47987	UROK	\N	\N
3538550	239	1994-04-30	PRIJEM	\N	164	51274	UROK	\N	\N
3538551	239	1994-05-31	PRIJEM	\N	219	38168	UROK	\N	\N
3538552	239	1994-06-30	PRIJEM	\N	166	29369	UROK	\N	\N
3538553	239	1994-07-31	PRIJEM	\N	135	37513	UROK	\N	\N
3538554	239	1994-08-31	PRIJEM	\N	107	27461	UROK	\N	\N
3538555	239	1994-09-30	PRIJEM	\N	98	26240	UROK	\N	\N
3538556	239	1994-10-31	PRIJEM	\N	272	58513	UROK	\N	\N
3538557	239	1994-11-30	PRIJEM	\N	260	56199	UROK	\N	\N
3538558	239	1994-12-31	PRIJEM	\N	320	84605	UROK	\N	\N
3538559	239	1995-01-31	PRIJEM	\N	250	43710	UROK	\N	\N
3538560	239	1995-02-28	PRIJEM	\N	141	30332	UROK	\N	\N
3538561	239	1995-03-31	PRIJEM	\N	182	41741	UROK	\N	\N
3538562	239	1995-04-30	PRIJEM	\N	155	40567	UROK	\N	\N
3538563	239	1995-05-31	PRIJEM	\N	249	54496	UROK	\N	\N
3538564	239	1995-06-30	PRIJEM	\N	168	33144	UROK	\N	\N
3538565	239	1995-07-31	PRIJEM	\N	124	29449	UROK	\N	\N
3538566	239	1995-08-31	PRIJEM	\N	118	32748	UROK	\N	\N
3538567	239	1995-09-30	PRIJEM	\N	131	35460	UROK	\N	\N
3538568	239	1995-10-31	PRIJEM	\N	202	35709	UROK	\N	\N
3538569	239	1995-11-30	PRIJEM	\N	258	66261	UROK	\N	\N
3538570	239	1995-12-31	PRIJEM	\N	261	71063	UROK	\N	\N
3538571	239	1996-01-31	PRIJEM	\N	210	37161	UROK	\N	\N
3538572	239	1996-02-29	PRIJEM	\N	299	88830	UROK	\N	\N
3538573	239	1996-03-31	PRIJEM	\N	290	81699	UROK	\N	\N
3538574	239	1996-04-30	PRIJEM	\N	299	61152	UROK	\N	\N
3538575	239	1996-05-31	PRIJEM	\N	324	89152	UROK	\N	\N
3538576	239	1996-06-30	PRIJEM	\N	303	72532	UROK	\N	\N
3538577	239	1996-07-31	PRIJEM	\N	297	80633	UROK	\N	\N
3538578	239	1996-08-31	PRIJEM	\N	322	79278	UROK	\N	\N
3538579	239	1996-09-30	PRIJEM	\N	338	67367	UROK	\N	\N
3538580	239	1996-10-31	PRIJEM	\N	356	88958	UROK	\N	\N
3538581	239	1996-11-30	PRIJEM	\N	369	71538	UROK	\N	\N
3538582	239	1996-12-31	PRIJEM	\N	338	70399	UROK	\N	\N
3538583	239	1997-01-31	PRIJEM	\N	229	37809	UROK	\N	\N
3538584	239	1997-02-28	PRIJEM	\N	276	53075	UROK	\N	\N
3538585	239	1997-03-31	PRIJEM	\N	284	97939	UROK	\N	\N
3538586	239	1997-04-30	PRIJEM	\N	310	67831	UROK	\N	\N
3538587	239	1997-05-31	PRIJEM	\N	221	41003	UROK	\N	\N
3538588	239	1997-06-30	PRIJEM	\N	213	60800	UROK	\N	\N
3538589	239	1997-07-31	PRIJEM	\N	186	40080	UROK	\N	\N
3538590	239	1997-08-31	PRIJEM	\N	159	43246	UROK	\N	\N
3538591	239	1997-09-30	PRIJEM	\N	197	54616	UROK	\N	\N
3538592	239	1997-10-31	PRIJEM	\N	220	63502	UROK	\N	\N
3538593	239	1997-11-30	PRIJEM	\N	370	77100	UROK	\N	\N
3538594	239	1997-12-31	PRIJEM	\N	290	77697	UROK	\N	\N
3538595	239	1998-01-31	PRIJEM	\N	219	41946	UROK	\N	\N
3538596	239	1998-02-28	PRIJEM	\N	156	37258	UROK	\N	\N
3538597	239	1998-03-31	PRIJEM	\N	160	39498	UROK	\N	\N
3538598	239	1998-04-30	PRIJEM	\N	169	39662	UROK	\N	\N
3538599	239	1998-05-31	PRIJEM	\N	175	29267	UROK	\N	\N
3538600	239	1998-06-30	PRIJEM	\N	120	29626	UROK	\N	\N
3538601	239	1998-07-31	PRIJEM	\N	155	39462	UROK	\N	\N
3538602	239	1998-08-31	PRIJEM	\N	194	37409	UROK	\N	\N
3538603	239	1998-09-30	PRIJEM	\N	170	43588	UROK	\N	\N
3538604	239	1998-10-31	PRIJEM	\N	186	39388	UROK	\N	\N
3538605	239	1998-11-30	PRIJEM	\N	199	35636	UROK	\N	\N
3538606	239	1998-12-31	PRIJEM	\N	173	34974	UROK	\N	\N
3538607	240	1997-05-31	PRIJEM	\N	13	23485	UROK	\N	\N
3538608	240	1997-06-30	PRIJEM	\N	107	40350	UROK	\N	\N
3538609	240	1997-07-31	PRIJEM	\N	169	42791	UROK	\N	\N
3538610	240	1997-08-31	PRIJEM	\N	180	45343	UROK	\N	\N
3538611	240	1997-09-30	PRIJEM	\N	241	40835	UROK	\N	\N
3538612	240	1997-10-31	PRIJEM	\N	220	36191	UROK	\N	\N
3538613	240	1997-11-30	PRIJEM	\N	200	32328	UROK	\N	\N
3538614	240	1997-12-31	PRIJEM	\N	191	31662	UROK	\N	\N
3538615	240	1998-01-31	PRIJEM	\N	146	25544	UROK	\N	\N
3538616	240	1998-02-28	PRIJEM	\N	138	28518	UROK	\N	\N
3538617	240	1998-03-31	PRIJEM	\N	151	30905	UROK	\N	\N
3538618	240	1998-04-30	PRIJEM	\N	149	29511	UROK	\N	\N
3538619	240	1998-05-31	PRIJEM	\N	150	29237	UROK	\N	\N
3538620	240	1998-06-30	PRIJEM	\N	187	29007	UROK	\N	\N
3538621	240	1998-07-31	PRIJEM	\N	143	26727	UROK	\N	\N
3538622	240	1998-08-31	PRIJEM	\N	132	24295	UROK	\N	\N
3538623	240	1998-09-30	PRIJEM	\N	136	20467	UROK	\N	\N
3538624	240	1998-10-31	PRIJEM	\N	111	16274	UROK	\N	\N
3538625	240	1998-11-30	PRIJEM	\N	90	16900	UROK	\N	\N
3538626	240	1998-12-31	PRIJEM	\N	110	17633	UROK	\N	\N
3538627	241	1996-10-31	PRIJEM	\N	6	14686	UROK	\N	\N
3538628	241	1996-11-30	PRIJEM	\N	63	19329	UROK	\N	\N
3538629	241	1996-12-31	PRIJEM	\N	84	25593	UROK	\N	\N
3538630	241	1997-01-31	PRIJEM	\N	107	26179	UROK	\N	\N
3538631	241	1997-02-28	PRIJEM	\N	118	29135	UROK	\N	\N
3538632	241	1997-03-31	PRIJEM	\N	128	30843	UROK	\N	\N
3538633	241	1997-04-30	PRIJEM	\N	125	24547	UROK	\N	\N
3538634	241	1997-05-31	PRIJEM	\N	105	25082	UROK	\N	\N
3538635	241	1997-06-30	PRIJEM	\N	107	21408	UROK	\N	\N
3538636	241	1997-07-31	PRIJEM	\N	95	22083	UROK	\N	\N
3538637	241	1997-08-31	PRIJEM	\N	97	21959	UROK	\N	\N
3538638	241	1997-09-30	PRIJEM	\N	95	21134	UROK	\N	\N
3538639	241	1997-10-31	PRIJEM	\N	91	21004	UROK	\N	\N
3538640	241	1997-11-30	PRIJEM	\N	93	22867	UROK	\N	\N
3538641	241	1997-12-31	PRIJEM	\N	99	26196	UROK	\N	\N
3538642	241	1998-01-31	PRIJEM	\N	111	29196	UROK	\N	\N
3538643	241	1998-02-28	PRIJEM	\N	123	28498	UROK	\N	\N
3538644	241	1998-03-31	PRIJEM	\N	126	33233	UROK	\N	\N
3538645	241	1998-04-30	PRIJEM	\N	138	30750	UROK	\N	\N
3538646	241	1998-05-31	PRIJEM	\N	132	31562	UROK	\N	\N
3538647	241	1998-06-30	PRIJEM	\N	124	29426	UROK	\N	\N
3538648	241	1998-07-31	PRIJEM	\N	126	30831	UROK	\N	\N
3538649	241	1998-08-31	PRIJEM	\N	126	27436	UROK	\N	\N
3538650	241	1998-09-30	PRIJEM	\N	119	28434	UROK	\N	\N
3538651	241	1998-10-31	PRIJEM	\N	130	34144	UROK	\N	\N
3538652	241	1998-11-30	PRIJEM	\N	147	36130	UROK	\N	\N
3538653	241	1998-12-31	PRIJEM	\N	160	39909	UROK	\N	\N
3538654	242	1996-09-30	PRIJEM	\N	11	25537	UROK	\N	\N
3538655	242	1996-10-31	PRIJEM	\N	111	34274	UROK	\N	\N
3538656	242	1996-11-30	PRIJEM	\N	144	37344	UROK	\N	\N
3538657	242	1996-12-31	PRIJEM	\N	161	45994	UROK	\N	\N
3538658	242	1997-01-31	PRIJEM	\N	224	36886	UROK	\N	\N
3538659	242	1997-02-28	PRIJEM	\N	210	36868	UROK	\N	\N
3538660	242	1997-03-31	PRIJEM	\N	207	33648	UROK	\N	\N
3538661	242	1997-04-30	PRIJEM	\N	198	37518	UROK	\N	\N
3538662	242	1997-05-31	PRIJEM	\N	201	34412	UROK	\N	\N
3538663	242	1997-06-30	PRIJEM	\N	120	17948	UROK	\N	\N
3538664	242	1997-07-31	PRIJEM	\N	136	25796	UROK	\N	\N
3538665	242	1997-08-31	PRIJEM	\N	160	29928	UROK	\N	\N
3538666	242	1997-09-30	PRIJEM	\N	177	35178	UROK	\N	\N
3538667	242	1997-10-31	PRIJEM	\N	189	35019	UROK	\N	\N
3538668	242	1997-11-30	PRIJEM	\N	183	28014	UROK	\N	\N
3538669	242	1997-12-31	PRIJEM	\N	179	29389	UROK	\N	\N
3538670	242	1998-01-31	PRIJEM	\N	139	20180	UROK	\N	\N
3538671	242	1998-02-28	PRIJEM	\N	125	19877	UROK	\N	\N
3538672	242	1998-03-31	PRIJEM	\N	131	23980	UROK	\N	\N
3538673	242	1998-04-30	PRIJEM	\N	131	19764	UROK	\N	\N
3538674	242	1998-05-31	PRIJEM	\N	118	16954	UROK	\N	\N
3538675	242	1998-06-30	PRIJEM	\N	136	12266	UROK	\N	\N
3538676	242	1998-07-31	PRIJEM	\N	97	17116	UROK	\N	\N
3538677	242	1998-08-31	PRIJEM	\N	116	22804	UROK	\N	\N
3538678	242	1998-09-30	PRIJEM	\N	122	19598	UROK	\N	\N
3538679	242	1998-10-31	PRIJEM	\N	116	20426	UROK	\N	\N
3538680	242	1998-11-30	PRIJEM	\N	116	23734	UROK	\N	\N
3538681	242	1998-12-31	PRIJEM	\N	201	53111	UROK	\N	\N
3538682	243	1994-01-31	PRIJEM	\N	131	42415	UROK	\N	\N
3538683	243	1994-02-28	PRIJEM	\N	176	34791	UROK	\N	\N
3538684	243	1994-03-31	PRIJEM	\N	191	61330	UROK	\N	\N
3538685	243	1994-04-30	PRIJEM	\N	297	80482	UROK	\N	\N
3538686	243	1994-05-31	PRIJEM	\N	388	87999	UROK	\N	\N
3538687	243	1994-06-30	PRIJEM	\N	252	79350	UROK	\N	\N
3538688	243	1994-07-31	PRIJEM	\N	253	47506	UROK	\N	\N
3538689	243	1994-08-31	PRIJEM	\N	158	30967	UROK	\N	\N
3538690	243	1994-09-30	PRIJEM	\N	192	54567	UROK	\N	\N
3538691	243	1994-10-31	PRIJEM	\N	290	77063	UROK	\N	\N
3538692	243	1994-11-30	PRIJEM	\N	398	95977	UROK	\N	\N
3538693	243	1994-12-31	PRIJEM	\N	331	83937	UROK	\N	\N
3538694	243	1995-01-31	PRIJEM	\N	136	24334	UROK	\N	\N
3538695	243	1995-02-28	PRIJEM	\N	231	79984	UROK	\N	\N
3538696	243	1995-03-31	PRIJEM	\N	338	79258	UROK	\N	\N
3538697	243	1995-04-30	PRIJEM	\N	208	42304	UROK	\N	\N
3538698	243	1995-05-31	PRIJEM	\N	210	47427	UROK	\N	\N
3538699	243	1995-06-30	PRIJEM	\N	204	35242	UROK	\N	\N
3538700	243	1995-07-31	PRIJEM	\N	142	24487	UROK	\N	\N
3538701	243	1995-08-31	PRIJEM	\N	120	23540	UROK	\N	\N
3538702	243	1995-09-30	PRIJEM	\N	128	40681	UROK	\N	\N
3538703	243	1995-10-31	PRIJEM	\N	230	46536	UROK	\N	\N
3538704	243	1995-11-30	PRIJEM	\N	135	20935	UROK	\N	\N
3538705	243	1995-12-31	PRIJEM	\N	160	51394	UROK	\N	\N
3538706	243	1996-01-31	PRIJEM	\N	252	32377	UROK	\N	\N
3538707	243	1996-02-29	PRIJEM	\N	195	33427	UROK	\N	\N
3538708	243	1996-03-31	PRIJEM	\N	121	15351	UROK	\N	\N
3538709	243	1996-04-30	PRIJEM	\N	84	29975	UROK	\N	\N
3538710	243	1996-05-31	PRIJEM	\N	142	30385	UROK	\N	\N
3538711	243	1996-06-30	PRIJEM	\N	204	54995	UROK	\N	\N
3538712	243	1996-07-31	PRIJEM	\N	277	68805	UROK	\N	\N
3538713	243	1996-08-31	PRIJEM	\N	314	48190	UROK	\N	\N
3538714	243	1996-09-30	PRIJEM	\N	195	49667	UROK	\N	\N
3538715	243	1996-10-31	PRIJEM	\N	223	77196	UROK	\N	\N
3538716	243	1996-11-30	PRIJEM	\N	249	47537	UROK	\N	\N
3538717	243	1996-12-31	PRIJEM	\N	161	39343	UROK	\N	\N
3538718	243	1997-01-31	PRIJEM	\N	153	25158	UROK	\N	\N
3538719	243	1997-02-28	PRIJEM	\N	114	64813	UROK	\N	\N
3538720	243	1997-03-31	PRIJEM	\N	261	48284	UROK	\N	\N
3538721	243	1997-04-30	PRIJEM	\N	197	45384	UROK	\N	\N
3538722	243	1997-05-31	PRIJEM	\N	193	52318	UROK	\N	\N
3538723	243	1997-06-30	PRIJEM	\N	238	77000	UROK	\N	\N
3538724	243	1997-07-31	PRIJEM	\N	374	85971	UROK	\N	\N
3538725	243	1997-08-31	PRIJEM	\N	239	28612	UROK	\N	\N
3538726	243	1997-09-30	PRIJEM	\N	206	88965	UROK	\N	\N
3538727	243	1997-10-31	PRIJEM	\N	227	21220	UROK	\N	\N
3538728	243	1997-11-30	PRIJEM	\N	114	63436	UROK	\N	\N
3538729	243	1997-12-31	PRIJEM	\N	244	52699	UROK	\N	\N
3538730	243	1998-01-31	PRIJEM	\N	140	27242	UROK	\N	\N
3538731	243	1998-02-28	PRIJEM	\N	109	24253	UROK	\N	\N
3538732	243	1998-03-31	PRIJEM	\N	96	21253	UROK	\N	\N
3538733	243	1998-04-30	PRIJEM	\N	142	42855	UROK	\N	\N
3538734	243	1998-05-31	PRIJEM	\N	159	46749	UROK	\N	\N
3538735	243	1998-06-30	PRIJEM	\N	140	25757	UROK	\N	\N
3538736	243	1998-07-31	PRIJEM	\N	102	22762	UROK	\N	\N
3538737	243	1998-08-31	PRIJEM	\N	113	27256	UROK	\N	\N
3538738	243	1998-09-30	PRIJEM	\N	108	24267	UROK	\N	\N
3538739	243	1998-10-31	PRIJEM	\N	95	21265	UROK	\N	\N
3538740	243	1998-11-30	PRIJEM	\N	83	18250	UROK	\N	\N
3538741	244	1993-03-31	PRIJEM	\N	44	14916	UROK	\N	\N
3538742	244	1993-04-30	PRIJEM	\N	85	22573	UROK	\N	\N
3538743	244	1993-05-31	PRIJEM	\N	103	25648	UROK	\N	\N
3538744	244	1993-06-30	PRIJEM	\N	113	27733	UROK	\N	\N
3538745	244	1993-07-31	PRIJEM	\N	115	27072	UROK	\N	\N
3538746	244	1993-08-31	PRIJEM	\N	111	25682	UROK	\N	\N
3538747	244	1993-09-30	PRIJEM	\N	99	22990	UROK	\N	\N
3538748	244	1993-10-31	PRIJEM	\N	95	22394	UROK	\N	\N
3538749	244	1993-11-30	PRIJEM	\N	105	25308	UROK	\N	\N
3538750	244	1993-12-31	PRIJEM	\N	110	25897	UROK	\N	\N
3538751	244	1994-01-31	PRIJEM	\N	103	23219	UROK	\N	\N
3538752	244	1994-02-28	PRIJEM	\N	111	26839	UROK	\N	\N
3538753	244	1994-03-31	PRIJEM	\N	102	23751	UROK	\N	\N
3538754	244	1994-04-30	PRIJEM	\N	110	25960	UROK	\N	\N
3538755	244	1994-05-31	PRIJEM	\N	106	25176	UROK	\N	\N
3538756	244	1994-06-30	PRIJEM	\N	94	20920	UROK	\N	\N
3538757	244	1994-07-31	PRIJEM	\N	94	21453	UROK	\N	\N
3538758	244	1994-08-31	PRIJEM	\N	96	22958	UROK	\N	\N
3538759	244	1994-09-30	PRIJEM	\N	106	25573	UROK	\N	\N
3538760	244	1994-10-31	PRIJEM	\N	115	27447	UROK	\N	\N
3538761	244	1994-11-30	PRIJEM	\N	115	27572	UROK	\N	\N
3538762	244	1994-12-31	PRIJEM	\N	110	25481	UROK	\N	\N
3538763	244	1995-01-31	PRIJEM	\N	105	27946	UROK	\N	\N
3538764	244	1995-02-28	PRIJEM	\N	122	29377	UROK	\N	\N
3538765	244	1995-03-31	PRIJEM	\N	126	31313	UROK	\N	\N
3538766	244	1995-04-30	PRIJEM	\N	129	27111	UROK	\N	\N
3538767	244	1995-05-31	PRIJEM	\N	118	27639	UROK	\N	\N
3538768	244	1995-06-30	PRIJEM	\N	118	27515	UROK	\N	\N
3538769	244	1995-07-31	PRIJEM	\N	120	28845	UROK	\N	\N
3538770	244	1995-08-31	PRIJEM	\N	126	30880	UROK	\N	\N
3538771	244	1995-09-30	PRIJEM	\N	134	32523	UROK	\N	\N
3538772	244	1995-10-31	PRIJEM	\N	141	34573	UROK	\N	\N
3538773	244	1995-11-30	PRIJEM	\N	149	35631	UROK	\N	\N
3538774	244	1995-12-31	PRIJEM	\N	151	35151	UROK	\N	\N
3538775	244	1996-01-31	PRIJEM	\N	152	38792	UROK	\N	\N
3538776	244	1996-02-29	PRIJEM	\N	167	41169	UROK	\N	\N
3538777	244	1996-03-31	PRIJEM	\N	179	45158	UROK	\N	\N
3538778	244	1996-04-30	PRIJEM	\N	193	46560	UROK	\N	\N
3538779	244	1996-05-31	PRIJEM	\N	200	49569	UROK	\N	\N
3538780	244	1996-06-30	PRIJEM	\N	196	47585	UROK	\N	\N
3538781	244	1996-07-31	PRIJEM	\N	206	51400	UROK	\N	\N
3538782	244	1996-08-31	PRIJEM	\N	215	50214	UROK	\N	\N
3538783	244	1996-09-30	PRIJEM	\N	208	50432	UROK	\N	\N
3538784	244	1996-10-31	PRIJEM	\N	216	53057	UROK	\N	\N
3538785	244	1996-11-30	PRIJEM	\N	224	53791	UROK	\N	\N
3538786	244	1996-12-31	PRIJEM	\N	221	51521	UROK	\N	\N
3538787	244	1997-01-31	PRIJEM	\N	210	48441	UROK	\N	\N
3538788	244	1997-02-28	PRIJEM	\N	212	53663	UROK	\N	\N
3538789	244	1997-03-31	PRIJEM	\N	226	54998	UROK	\N	\N
3538790	244	1997-04-30	PRIJEM	\N	227	53464	UROK	\N	\N
3538791	244	1997-05-31	PRIJEM	\N	226	54599	UROK	\N	\N
3538792	244	1997-06-30	PRIJEM	\N	223	54302	UROK	\N	\N
3538793	244	1997-07-31	PRIJEM	\N	220	51331	UROK	\N	\N
3538794	244	1997-08-31	PRIJEM	\N	211	49992	UROK	\N	\N
3538795	244	1997-09-30	PRIJEM	\N	210	51012	UROK	\N	\N
3538796	244	1997-10-31	PRIJEM	\N	205	47725	UROK	\N	\N
3538797	244	1997-11-30	PRIJEM	\N	195	46819	UROK	\N	\N
3538798	244	1997-12-31	PRIJEM	\N	195	46573	UROK	\N	\N
3538799	244	1998-01-31	PRIJEM	\N	197	47339	UROK	\N	\N
3538800	244	1998-02-28	PRIJEM	\N	194	46513	UROK	\N	\N
3538801	244	1998-03-31	PRIJEM	\N	195	47418	UROK	\N	\N
3538802	244	1998-04-30	PRIJEM	\N	201	49428	UROK	\N	\N
3538803	244	1998-05-31	PRIJEM	\N	188	43325	UROK	\N	\N
3538804	244	1998-06-30	PRIJEM	\N	162	40027	UROK	\N	\N
3538805	244	1998-07-31	PRIJEM	\N	179	45215	UROK	\N	\N
3538806	244	1998-08-31	PRIJEM	\N	203	51327	UROK	\N	\N
3538807	244	1998-09-30	PRIJEM	\N	231	58167	UROK	\N	\N
3538808	244	1998-10-31	PRIJEM	\N	242	59018	UROK	\N	\N
3538809	244	1998-11-30	PRIJEM	\N	237	57365	UROK	\N	\N
3538810	244	1998-12-31	PRIJEM	\N	220	52095	UROK	\N	\N
3538811	246	1998-03-31	PRIJEM	\N	22	13580	UROK	\N	\N
3538812	246	1998-04-30	PRIJEM	\N	59	14824	UROK	\N	\N
3538813	246	1998-05-31	PRIJEM	\N	56	11867	UROK	\N	\N
3538814	246	1998-06-30	PRIJEM	\N	49	10917	UROK	\N	\N
3538815	246	1998-07-31	PRIJEM	\N	52	13470	UROK	\N	\N
3538816	246	1998-08-31	PRIJEM	\N	55	12527	UROK	\N	\N
3538817	246	1998-09-30	PRIJEM	\N	51	11879	UROK	\N	\N
3538818	246	1998-10-31	PRIJEM	\N	56	14436	UROK	\N	\N
3538819	246	1998-11-30	PRIJEM	\N	64	16601	UROK	\N	\N
3538820	246	1998-12-31	PRIJEM	\N	69	17212	UROK	\N	\N
3538821	248	1995-04-30	PRIJEM	\N	75	25624	UROK	\N	\N
3538822	248	1995-05-31	PRIJEM	\N	177	49650	UROK	\N	\N
3538823	248	1995-06-30	PRIJEM	\N	279	74703	UROK	\N	\N
3538824	248	1995-07-31	PRIJEM	\N	301	72752	UROK	\N	\N
3538825	248	1995-08-31	PRIJEM	\N	192	49893	UROK	\N	\N
3538826	248	1995-09-30	PRIJEM	\N	238	42289	UROK	\N	\N
3538827	248	1995-10-31	PRIJEM	\N	191	31699	UROK	\N	\N
3538828	248	1995-11-30	PRIJEM	\N	138	31557	UROK	\N	\N
3538829	248	1995-12-31	PRIJEM	\N	201	42017	UROK	\N	\N
3538830	248	1996-01-31	PRIJEM	\N	176	34727	UROK	\N	\N
3538831	248	1996-02-29	PRIJEM	\N	148	41410	UROK	\N	\N
3538832	248	1996-03-31	PRIJEM	\N	172	41417	UROK	\N	\N
3538833	248	1996-04-30	PRIJEM	\N	169	30586	UROK	\N	\N
3538834	248	1996-05-31	PRIJEM	\N	124	20544	UROK	\N	\N
3538835	248	1996-06-30	PRIJEM	\N	97	34300	UROK	\N	\N
3538836	248	1996-07-31	PRIJEM	\N	149	31983	UROK	\N	\N
3538837	248	1996-08-31	PRIJEM	\N	155	33999	UROK	\N	\N
3538838	248	1996-09-30	PRIJEM	\N	140	33074	UROK	\N	\N
3538839	248	1996-10-31	PRIJEM	\N	138	34147	UROK	\N	\N
3538840	248	1996-11-30	PRIJEM	\N	142	34122	UROK	\N	\N
3538841	248	1996-12-31	PRIJEM	\N	192	36774	UROK	\N	\N
3538842	248	1997-01-31	PRIJEM	\N	148	20857	UROK	\N	\N
3538843	248	1997-02-28	PRIJEM	\N	91	24482	UROK	\N	\N
3538844	248	1997-03-31	PRIJEM	\N	109	30425	UROK	\N	\N
3538845	248	1997-04-30	PRIJEM	\N	125	29985	UROK	\N	\N
3538846	248	1997-05-31	PRIJEM	\N	125	21544	UROK	\N	\N
3538847	248	1997-06-30	PRIJEM	\N	115	38518	UROK	\N	\N
3538848	248	1997-07-31	PRIJEM	\N	152	31205	UROK	\N	\N
3538849	248	1997-08-31	PRIJEM	\N	119	25088	UROK	\N	\N
3538850	248	1997-09-30	PRIJEM	\N	113	30335	UROK	\N	\N
3538851	248	1997-10-31	PRIJEM	\N	125	22507	UROK	\N	\N
3538852	248	1997-11-30	PRIJEM	\N	112	32553	UROK	\N	\N
3538853	248	1997-12-31	PRIJEM	\N	157	33969	UROK	\N	\N
3538854	248	1998-01-31	PRIJEM	\N	148	35951	UROK	\N	\N
3538855	248	1998-02-28	PRIJEM	\N	164	43549	UROK	\N	\N
3538856	248	1998-03-31	PRIJEM	\N	166	30153	UROK	\N	\N
3538857	248	1998-04-30	PRIJEM	\N	144	33030	UROK	\N	\N
3538858	248	1998-05-31	PRIJEM	\N	144	37109	UROK	\N	\N
3538859	248	1998-06-30	PRIJEM	\N	173	46241	UROK	\N	\N
3538860	248	1998-07-31	PRIJEM	\N	181	42056	UROK	\N	\N
3538861	248	1998-08-31	PRIJEM	\N	157	32296	UROK	\N	\N
3538862	248	1998-09-30	PRIJEM	\N	131	29166	UROK	\N	\N
3538863	248	1998-10-31	PRIJEM	\N	134	34934	UROK	\N	\N
3538864	248	1998-11-30	PRIJEM	\N	132	25643	UROK	\N	\N
3538865	248	1998-12-31	PRIJEM	\N	131	35333	UROK	\N	\N
3538866	249	1996-12-31	PRIJEM	\N	87	27077	UROK	\N	\N
3538867	249	1997-01-31	PRIJEM	\N	174	46144	UROK	\N	\N
3538868	249	1997-02-28	PRIJEM	\N	217	54354	UROK	\N	\N
3538869	249	1997-03-31	PRIJEM	\N	230	55576	UROK	\N	\N
3538870	249	1997-04-30	PRIJEM	\N	220	50295	UROK	\N	\N
3538871	249	1997-05-31	PRIJEM	\N	211	51491	UROK	\N	\N
3538872	249	1997-06-30	PRIJEM	\N	223	39996	UROK	\N	\N
3538873	249	1997-07-31	PRIJEM	\N	171	39952	UROK	\N	\N
3538874	249	1997-08-31	PRIJEM	\N	174	35770	UROK	\N	\N
3538875	249	1997-09-30	PRIJEM	\N	182	32936	UROK	\N	\N
3538876	249	1997-10-31	PRIJEM	\N	170	31790	UROK	\N	\N
3538877	249	1997-11-30	PRIJEM	\N	158	26013	UROK	\N	\N
3538878	249	1997-12-31	PRIJEM	\N	161	27976	UROK	\N	\N
3538879	249	1998-01-31	PRIJEM	\N	127	22346	UROK	\N	\N
3538880	249	1998-02-28	PRIJEM	\N	123	17854	UROK	\N	\N
3538881	249	1998-03-31	PRIJEM	\N	107	18665	UROK	\N	\N
3538882	249	1998-04-30	PRIJEM	\N	110	17859	UROK	\N	\N
3538883	249	1998-05-31	PRIJEM	\N	105	17449	UROK	\N	\N
3538884	249	1998-06-30	PRIJEM	\N	82	12332	UROK	\N	\N
3538885	249	1998-07-31	PRIJEM	\N	87	19743	UROK	\N	\N
3538886	249	1998-08-31	PRIJEM	\N	107	17234	UROK	\N	\N
3538887	249	1998-09-30	PRIJEM	\N	102	19521	UROK	\N	\N
3538888	249	1998-10-31	PRIJEM	\N	108	20513	UROK	\N	\N
3538889	249	1998-11-30	PRIJEM	\N	111	20908	UROK	\N	\N
3538890	249	1998-12-31	PRIJEM	\N	130	19940	UROK	\N	\N
3538891	250	1997-06-30	PRIJEM	\N	70	23886	UROK	\N	\N
3538892	250	1997-07-31	PRIJEM	\N	123	31819	UROK	\N	\N
3538893	250	1997-08-31	PRIJEM	\N	143	35473	UROK	\N	\N
3538894	250	1997-09-30	PRIJEM	\N	163	40746	UROK	\N	\N
3538895	250	1997-10-31	PRIJEM	\N	176	42367	UROK	\N	\N
3538896	250	1997-11-30	PRIJEM	\N	174	41071	UROK	\N	\N
3538897	250	1997-12-31	PRIJEM	\N	163	37270	UROK	\N	\N
3538898	250	1998-01-31	PRIJEM	\N	128	25609	UROK	\N	\N
3538899	250	1998-02-28	PRIJEM	\N	136	33995	UROK	\N	\N
3538900	250	1998-03-31	PRIJEM	\N	157	38883	UROK	\N	\N
3538901	250	1998-04-30	PRIJEM	\N	178	44091	UROK	\N	\N
3538902	250	1998-05-31	PRIJEM	\N	169	40251	UROK	\N	\N
3538903	250	1998-06-30	PRIJEM	\N	179	41126	UROK	\N	\N
3538904	250	1998-07-31	PRIJEM	\N	178	43034	UROK	\N	\N
3538905	250	1998-08-31	PRIJEM	\N	188	45333	UROK	\N	\N
3538906	250	1998-09-30	PRIJEM	\N	198	48161	UROK	\N	\N
3538907	250	1998-10-31	PRIJEM	\N	197	46488	UROK	\N	\N
3538908	250	1998-11-30	PRIJEM	\N	192	45510	UROK	\N	\N
3538909	250	1998-12-31	PRIJEM	\N	200	48646	UROK	\N	\N
3538910	251	1996-04-30	PRIJEM	\N	29	9886	UROK	\N	\N
3538911	251	1996-05-31	PRIJEM	\N	86	25129	UROK	\N	\N
3538912	251	1996-06-30	PRIJEM	\N	150	40714	UROK	\N	\N
3538913	251	1996-07-31	PRIJEM	\N	183	45454	UROK	\N	\N
3538914	251	1996-08-31	PRIJEM	\N	191	45943	UROK	\N	\N
3538915	251	1996-09-30	PRIJEM	\N	168	35194	UROK	\N	\N
3538916	251	1996-10-31	PRIJEM	\N	160	39837	UROK	\N	\N
3538917	251	1996-11-30	PRIJEM	\N	174	42595	UROK	\N	\N
3538918	251	1996-12-31	PRIJEM	\N	189	47826	UROK	\N	\N
3538919	251	1997-01-31	PRIJEM	\N	158	23307	UROK	\N	\N
3538920	251	1997-02-28	PRIJEM	\N	163	41453	UROK	\N	\N
3538921	251	1997-03-31	PRIJEM	\N	202	51539	UROK	\N	\N
3538922	251	1997-04-30	PRIJEM	\N	228	56250	UROK	\N	\N
3538923	251	1997-05-31	PRIJEM	\N	216	51910	UROK	\N	\N
3538924	251	1997-06-30	PRIJEM	\N	222	56355	UROK	\N	\N
3538925	251	1997-07-31	PRIJEM	\N	228	47106	UROK	\N	\N
3538926	251	1997-08-31	PRIJEM	\N	208	42298	UROK	\N	\N
3538927	251	1997-09-30	PRIJEM	\N	188	38570	UROK	\N	\N
3538928	251	1997-10-31	PRIJEM	\N	174	39527	UROK	\N	\N
3538929	251	1997-11-30	PRIJEM	\N	176	36786	UROK	\N	\N
3538930	251	1997-12-31	PRIJEM	\N	179	42127	UROK	\N	\N
3538931	251	1998-01-31	PRIJEM	\N	147	21297	UROK	\N	\N
3538932	251	1998-02-28	PRIJEM	\N	108	33688	UROK	\N	\N
3538933	251	1998-03-31	PRIJEM	\N	145	36336	UROK	\N	\N
3538934	251	1998-04-30	PRIJEM	\N	158	35778	UROK	\N	\N
3538935	251	1998-05-31	PRIJEM	\N	160	35321	UROK	\N	\N
3538936	251	1998-06-30	PRIJEM	\N	166	34749	UROK	\N	\N
3538937	251	1998-07-31	PRIJEM	\N	155	34988	UROK	\N	\N
3538938	251	1998-08-31	PRIJEM	\N	159	38429	UROK	\N	\N
3538939	251	1998-09-30	PRIJEM	\N	165	35278	UROK	\N	\N
3538940	251	1998-10-31	PRIJEM	\N	157	36918	UROK	\N	\N
3538941	251	1998-11-30	PRIJEM	\N	151	31912	UROK	\N	\N
3538942	251	1998-12-31	PRIJEM	\N	144	35458	UROK	\N	\N
3538943	252	1997-05-31	PRIJEM	\N	72	28295	UROK	\N	\N
3538944	252	1997-06-30	PRIJEM	\N	110	23822	UROK	\N	\N
3538945	252	1997-07-31	PRIJEM	\N	110	27947	UROK	\N	\N
3538946	252	1997-08-31	PRIJEM	\N	127	31990	UROK	\N	\N
3538947	252	1997-09-30	PRIJEM	\N	143	36150	UROK	\N	\N
3538948	252	1997-10-31	PRIJEM	\N	153	35679	UROK	\N	\N
3538949	252	1997-11-30	PRIJEM	\N	158	39354	UROK	\N	\N
3538950	252	1997-12-31	PRIJEM	\N	173	42293	UROK	\N	\N
3538951	252	1998-01-31	PRIJEM	\N	181	43090	UROK	\N	\N
3538952	252	1998-02-28	PRIJEM	\N	185	44492	UROK	\N	\N
3538953	252	1998-03-31	PRIJEM	\N	190	44597	UROK	\N	\N
3538954	252	1998-04-30	PRIJEM	\N	180	35554	UROK	\N	\N
3538955	252	1998-05-31	PRIJEM	\N	147	35317	UROK	\N	\N
3538956	252	1998-06-30	PRIJEM	\N	154	37888	UROK	\N	\N
3538957	252	1998-07-31	PRIJEM	\N	168	42072	UROK	\N	\N
3538958	252	1998-08-31	PRIJEM	\N	178	41546	UROK	\N	\N
3538959	252	1998-09-30	PRIJEM	\N	181	44543	UROK	\N	\N
3538960	252	1998-10-31	PRIJEM	\N	183	42943	UROK	\N	\N
3538961	252	1998-11-30	PRIJEM	\N	188	46847	UROK	\N	\N
3538962	252	1998-12-31	PRIJEM	\N	205	50468	UROK	\N	\N
3538963	255	1996-11-30	PRIJEM	\N	125	39192	UROK	\N	\N
3538964	255	1996-12-31	PRIJEM	\N	327	90269	UROK	\N	\N
3538965	255	1997-01-31	PRIJEM	\N	405	99741	UROK	\N	\N
3538966	255	1997-02-28	PRIJEM	\N	420	62628	UROK	\N	\N
3538967	255	1997-03-31	PRIJEM	\N	345	66664	UROK	\N	\N
3538968	255	1997-04-30	PRIJEM	\N	311	78504	UROK	\N	\N
3538969	255	1997-05-31	PRIJEM	\N	260	54607	UROK	\N	\N
3538970	255	1997-06-30	PRIJEM	\N	243	54552	UROK	\N	\N
3538971	255	1997-07-31	PRIJEM	\N	263	64344	UROK	\N	\N
3538972	255	1997-08-31	PRIJEM	\N	214	36459	UROK	\N	\N
3538973	255	1997-09-30	PRIJEM	\N	249	42137	UROK	\N	\N
3538974	255	1997-10-31	PRIJEM	\N	267	40634	UROK	\N	\N
3538975	255	1997-11-30	PRIJEM	\N	261	43524	UROK	\N	\N
3538976	255	1997-12-31	PRIJEM	\N	321	52557	UROK	\N	\N
3538977	255	1998-01-31	PRIJEM	\N	165	19400	UROK	\N	\N
3538978	255	1998-02-28	PRIJEM	\N	119	24095	UROK	\N	\N
3538979	255	1998-03-31	PRIJEM	\N	169	24057	UROK	\N	\N
3538980	255	1998-04-30	PRIJEM	\N	190	35434	UROK	\N	\N
3538981	255	1998-05-31	PRIJEM	\N	227	42691	UROK	\N	\N
3538982	255	1998-06-30	PRIJEM	\N	227	33670	UROK	\N	\N
3538983	255	1998-07-31	PRIJEM	\N	206	31559	UROK	\N	\N
3538984	255	1998-08-31	PRIJEM	\N	223	50112	UROK	\N	\N
3538985	255	1998-09-30	PRIJEM	\N	269	54464	UROK	\N	\N
3538986	255	1998-10-31	PRIJEM	\N	294	57187	UROK	\N	\N
3538987	255	1998-11-30	PRIJEM	\N	297	56444	UROK	\N	\N
3538988	255	1998-12-31	PRIJEM	\N	377	101534	UROK	\N	\N
3538989	257	1995-11-30	PRIJEM	\N	133	79412	UROK	\N	\N
3538990	257	1995-12-31	PRIJEM	\N	342	98638	UROK	\N	\N
3538991	257	1996-01-31	PRIJEM	\N	410	60948	UROK	\N	\N
3538992	257	1996-02-29	PRIJEM	\N	410	44557	UROK	\N	\N
3538993	257	1996-03-31	PRIJEM	\N	410	31267	UROK	\N	\N
3538994	257	1996-04-30	PRIJEM	\N	410	23276	UROK	\N	\N
3538995	257	1996-05-31	PRIJEM	\N	410	21986	UROK	\N	\N
3538996	257	1996-06-30	PRIJEM	\N	410	18695	UROK	\N	\N
3538997	257	1996-07-31	PRIJEM	\N	410	18805	UROK	\N	\N
3538998	257	1996-08-31	PRIJEM	\N	399	23304	UROK	\N	\N
3538999	257	1996-09-30	PRIJEM	\N	95	23400	UROK	\N	\N
3539000	257	1996-10-31	PRIJEM	\N	95	23495	UROK	\N	\N
3539001	257	1996-11-30	PRIJEM	\N	102	45365	UROK	\N	\N
3539002	257	1996-12-31	PRIJEM	\N	175	19660	UROK	\N	\N
3539003	257	1997-01-31	PRIJEM	\N	79	15458	UROK	\N	\N
3539004	257	1997-02-28	PRIJEM	\N	123	28401	UROK	\N	\N
3539005	257	1997-03-31	PRIJEM	\N	208	53092	UROK	\N	\N
3539006	257	1997-04-30	PRIJEM	\N	356	63289	UROK	\N	\N
3539007	257	1997-05-31	PRIJEM	\N	284	55999	UROK	\N	\N
3539008	257	1997-06-30	PRIJEM	\N	220	33539	UROK	\N	\N
3539009	257	1997-07-31	PRIJEM	\N	131	21389	UROK	\N	\N
3539010	257	1997-08-31	PRIJEM	\N	86	22199	UROK	\N	\N
3539011	257	1997-09-30	PRIJEM	\N	103	43461	UROK	\N	\N
3539012	257	1997-10-31	PRIJEM	\N	207	48802	UROK	\N	\N
3539013	257	1997-11-30	PRIJEM	\N	179	44582	UROK	\N	\N
3539014	257	1997-12-31	PRIJEM	\N	207	59246	UROK	\N	\N
3539015	257	1998-01-31	PRIJEM	\N	199	40165	UROK	\N	\N
3539016	257	1998-02-28	PRIJEM	\N	154	28938	UROK	\N	\N
3539017	257	1998-03-31	PRIJEM	\N	111	21568	UROK	\N	\N
3539018	257	1998-04-30	PRIJEM	\N	87	20875	UROK	\N	\N
3539019	257	1998-05-31	PRIJEM	\N	83	18371	UROK	\N	\N
3539020	257	1998-06-30	PRIJEM	\N	76	24689	UROK	\N	\N
3539021	257	1998-07-31	PRIJEM	\N	101	24809	UROK	\N	\N
3539022	257	1998-08-31	PRIJEM	\N	96	21625	UROK	\N	\N
3539023	257	1998-09-30	PRIJEM	\N	92	27076	UROK	\N	\N
3539024	257	1998-10-31	PRIJEM	\N	109	26104	UROK	\N	\N
3539025	257	1998-11-30	PRIJEM	\N	101	23024	UROK	\N	\N
3539026	258	1997-07-31	PRIJEM	\N	17	7094	UROK	\N	\N
3539027	258	1997-08-31	PRIJEM	\N	30	13301	UROK	\N	\N
3539028	258	1997-09-30	PRIJEM	\N	30	19507	UROK	\N	\N
3539029	258	1997-10-31	PRIJEM	\N	30	25714	UROK	\N	\N
3539030	258	1997-11-30	PRIJEM	\N	86	27359	UROK	\N	\N
3539031	258	1997-12-31	PRIJEM	\N	126	29061	UROK	\N	\N
3539032	258	1998-01-31	PRIJEM	\N	131	29717	UROK	\N	\N
3539033	258	1998-02-28	PRIJEM	\N	129	30031	UROK	\N	\N
3539034	258	1998-03-31	PRIJEM	\N	130	32186	UROK	\N	\N
3539035	258	1998-04-30	PRIJEM	\N	148	34760	UROK	\N	\N
3539036	258	1998-05-31	PRIJEM	\N	138	30103	UROK	\N	\N
3539037	258	1998-06-30	PRIJEM	\N	121	27849	UROK	\N	\N
3539038	258	1998-07-31	PRIJEM	\N	123	27857	UROK	\N	\N
3539039	258	1998-08-31	PRIJEM	\N	119	25701	UROK	\N	\N
3539040	258	1998-09-30	PRIJEM	\N	121	28147	UROK	\N	\N
3539041	258	1998-10-31	PRIJEM	\N	111	25583	UROK	\N	\N
3539042	258	1998-11-30	PRIJEM	\N	112	28121	UROK	\N	\N
3539043	258	1998-12-31	PRIJEM	\N	103	24649	UROK	\N	\N
3539044	259	1994-02-28	PRIJEM	\N	15	24707	UROK	\N	\N
3539045	259	1994-03-31	PRIJEM	\N	118	28193	UROK	\N	\N
3539046	259	1994-04-30	PRIJEM	\N	128	25476	UROK	\N	\N
3539047	259	1994-05-31	PRIJEM	\N	119	26949	UROK	\N	\N
3539048	259	1994-06-30	PRIJEM	\N	110	12964	UROK	\N	\N
3539049	259	1994-07-31	PRIJEM	\N	66	14945	UROK	\N	\N
3539050	259	1994-08-31	PRIJEM	\N	71	16610	UROK	\N	\N
3539051	259	1994-09-30	PRIJEM	\N	84	20048	UROK	\N	\N
3539052	259	1994-10-31	PRIJEM	\N	94	20676	UROK	\N	\N
3539053	259	1994-11-30	PRIJEM	\N	95	21325	UROK	\N	\N
3539054	259	1994-12-31	PRIJEM	\N	99	23388	UROK	\N	\N
3539055	259	1995-01-31	PRIJEM	\N	84	14386	UROK	\N	\N
3539056	259	1995-02-28	PRIJEM	\N	74	17254	UROK	\N	\N
3539057	259	1995-03-31	PRIJEM	\N	83	17731	UROK	\N	\N
3539058	259	1995-04-30	PRIJEM	\N	89	21174	UROK	\N	\N
3539059	259	1995-05-31	PRIJEM	\N	103	24631	UROK	\N	\N
3539060	259	1995-06-30	PRIJEM	\N	97	20433	UROK	\N	\N
3539061	259	1995-07-31	PRIJEM	\N	88	20675	UROK	\N	\N
3539062	259	1995-08-31	PRIJEM	\N	98	22828	UROK	\N	\N
3539063	259	1995-09-30	PRIJEM	\N	105	23788	UROK	\N	\N
3539064	259	1995-10-31	PRIJEM	\N	113	27155	UROK	\N	\N
3539065	259	1995-11-30	PRIJEM	\N	120	25469	UROK	\N	\N
3539066	259	1995-12-31	PRIJEM	\N	117	26640	UROK	\N	\N
3539067	259	1996-01-31	PRIJEM	\N	89	17574	UROK	\N	\N
3539068	259	1996-02-29	PRIJEM	\N	87	21015	UROK	\N	\N
3539069	259	1996-03-31	PRIJEM	\N	100	23770	UROK	\N	\N
3539070	259	1996-04-30	PRIJEM	\N	113	27238	UROK	\N	\N
3539071	259	1996-05-31	PRIJEM	\N	127	30720	UROK	\N	\N
3539072	259	1996-06-30	PRIJEM	\N	116	20890	UROK	\N	\N
3539073	259	1996-07-31	PRIJEM	\N	100	23865	UROK	\N	\N
3539074	259	1996-08-31	PRIJEM	\N	114	27332	UROK	\N	\N
3539075	259	1996-09-30	PRIJEM	\N	117	27164	UROK	\N	\N
3539076	259	1996-10-31	PRIJEM	\N	123	29141	UROK	\N	\N
3539077	259	1996-11-30	PRIJEM	\N	120	24516	UROK	\N	\N
3539078	259	1996-12-31	PRIJEM	\N	104	22824	UROK	\N	\N
3539079	259	1997-01-31	PRIJEM	\N	72	14670	UROK	\N	\N
3539080	259	1997-02-28	PRIJEM	\N	69	16294	UROK	\N	\N
3539081	259	1997-03-31	PRIJEM	\N	82	17511	UROK	\N	\N
3539082	259	1997-04-30	PRIJEM	\N	75	17040	UROK	\N	\N
3539083	259	1997-05-31	PRIJEM	\N	68	14963	UROK	\N	\N
3539084	259	1997-06-30	PRIJEM	\N	70	16386	UROK	\N	\N
3539085	259	1997-07-31	PRIJEM	\N	72	16713	UROK	\N	\N
3539086	259	1997-08-31	PRIJEM	\N	66	14933	UROK	\N	\N
3539087	259	1997-09-30	PRIJEM	\N	60	13747	UROK	\N	\N
3539088	259	1997-10-31	PRIJEM	\N	71	17172	UROK	\N	\N
3539089	259	1997-11-30	PRIJEM	\N	72	17119	UROK	\N	\N
3539090	259	1997-12-31	PRIJEM	\N	67	15340	UROK	\N	\N
3539091	259	1998-01-31	PRIJEM	\N	56	12500	UROK	\N	\N
3539092	259	1998-02-28	PRIJEM	\N	65	15920	UROK	\N	\N
3539093	259	1998-03-31	PRIJEM	\N	63	14838	UROK	\N	\N
3539094	259	1998-04-30	PRIJEM	\N	61	13152	UROK	\N	\N
3539095	259	1998-05-31	PRIJEM	\N	63	15209	UROK	\N	\N
3539096	259	1998-06-30	PRIJEM	\N	69	16833	UROK	\N	\N
3539097	259	1998-07-31	PRIJEM	\N	83	20270	UROK	\N	\N
3539098	259	1998-08-31	PRIJEM	\N	82	19506	UROK	\N	\N
3539099	259	1998-09-30	PRIJEM	\N	75	17635	UROK	\N	\N
3539100	259	1998-10-31	PRIJEM	\N	72	17361	UROK	\N	\N
3539101	259	1998-11-30	PRIJEM	\N	85	20800	UROK	\N	\N
3539102	259	1998-12-31	PRIJEM	\N	79	15944	UROK	\N	\N
3539103	260	1995-11-30	PRIJEM	\N	35	14006	UROK	\N	\N
3539104	260	1995-12-31	PRIJEM	\N	87	25500	UROK	\N	\N
3539105	260	1996-01-31	PRIJEM	\N	122	31693	UROK	\N	\N
3539106	260	1996-02-29	PRIJEM	\N	141	35205	UROK	\N	\N
3539107	260	1996-03-31	PRIJEM	\N	147	35377	UROK	\N	\N
3539108	260	1996-04-30	PRIJEM	\N	149	35835	UROK	\N	\N
3539109	260	1996-05-31	PRIJEM	\N	136	31080	UROK	\N	\N
3539110	260	1996-06-30	PRIJEM	\N	122	23466	UROK	\N	\N
3539111	260	1996-07-31	PRIJEM	\N	113	27709	UROK	\N	\N
3539112	260	1996-08-31	PRIJEM	\N	123	29461	UROK	\N	\N
3539113	260	1996-09-30	PRIJEM	\N	125	29995	UROK	\N	\N
3539114	260	1996-10-31	PRIJEM	\N	108	20772	UROK	\N	\N
3539115	260	1996-11-30	PRIJEM	\N	109	27091	UROK	\N	\N
3539116	260	1996-12-31	PRIJEM	\N	119	25315	UROK	\N	\N
3539117	260	1997-01-31	PRIJEM	\N	76	13700	UROK	\N	\N
3539118	260	1997-02-28	PRIJEM	\N	90	20919	UROK	\N	\N
3539119	260	1997-03-31	PRIJEM	\N	125	31653	UROK	\N	\N
3539120	260	1997-04-30	PRIJEM	\N	136	30459	UROK	\N	\N
3539121	260	1997-05-31	PRIJEM	\N	134	31902	UROK	\N	\N
3539122	260	1997-06-30	PRIJEM	\N	177	44124	UROK	\N	\N
3539123	260	1997-07-31	PRIJEM	\N	199	47932	UROK	\N	\N
3539124	260	1997-08-31	PRIJEM	\N	203	48244	UROK	\N	\N
3539125	260	1997-09-30	PRIJEM	\N	210	50263	UROK	\N	\N
3539126	260	1997-10-31	PRIJEM	\N	208	48801	UROK	\N	\N
3539127	260	1997-11-30	PRIJEM	\N	210	50321	UROK	\N	\N
3539128	260	1997-12-31	PRIJEM	\N	211	47477	UROK	\N	\N
3539129	260	1998-01-31	PRIJEM	\N	140	21346	UROK	\N	\N
3539130	260	1998-02-28	PRIJEM	\N	155	36890	UROK	\N	\N
3539131	260	1998-03-31	PRIJEM	\N	187	45986	UROK	\N	\N
3539132	260	1998-04-30	PRIJEM	\N	205	49501	UROK	\N	\N
3539133	260	1998-05-31	PRIJEM	\N	212	49283	UROK	\N	\N
3539134	260	1998-06-30	PRIJEM	\N	144	26691	UROK	\N	\N
3539135	260	1998-07-31	PRIJEM	\N	162	45762	UROK	\N	\N
3539136	260	1998-08-31	PRIJEM	\N	197	48369	UROK	\N	\N
3539137	260	1998-09-30	PRIJEM	\N	206	47585	UROK	\N	\N
3539138	260	1998-10-31	PRIJEM	\N	204	48898	UROK	\N	\N
3539139	260	1998-11-30	PRIJEM	\N	196	42683	UROK	\N	\N
3539140	260	1998-12-31	PRIJEM	\N	188	40816	UROK	\N	\N
3539141	261	1996-10-31	PRIJEM	\N	11	4062	UROK	\N	\N
3539142	261	1996-11-30	PRIJEM	\N	53	17766	UROK	\N	\N
3539143	261	1996-12-31	PRIJEM	\N	82	20899	UROK	\N	\N
3539144	261	1997-01-31	PRIJEM	\N	101	26351	UROK	\N	\N
3539145	261	1997-02-28	PRIJEM	\N	109	26140	UROK	\N	\N
3539146	261	1997-03-31	PRIJEM	\N	107	25431	UROK	\N	\N
3539147	261	1997-04-30	PRIJEM	\N	94	21108	UROK	\N	\N
3539148	261	1997-05-31	PRIJEM	\N	88	20929	UROK	\N	\N
3539149	261	1997-06-30	PRIJEM	\N	76	16688	UROK	\N	\N
3539150	261	1997-07-31	PRIJEM	\N	63	14635	UROK	\N	\N
3539151	261	1997-08-31	PRIJEM	\N	65	15983	UROK	\N	\N
3539152	261	1997-09-30	PRIJEM	\N	71	17338	UROK	\N	\N
3539153	261	1997-10-31	PRIJEM	\N	76	18517	UROK	\N	\N
3539154	261	1997-11-30	PRIJEM	\N	81	19881	UROK	\N	\N
3539155	261	1997-12-31	PRIJEM	\N	62	12727	UROK	\N	\N
3539156	261	1998-01-31	PRIJEM	\N	53	11893	UROK	\N	\N
3539157	261	1998-02-28	PRIJEM	\N	54	13230	UROK	\N	\N
3539158	261	1998-03-31	PRIJEM	\N	55	13399	UROK	\N	\N
3539159	261	1998-04-30	PRIJEM	\N	60	14742	UROK	\N	\N
3539160	261	1998-05-31	PRIJEM	\N	64	15639	UROK	\N	\N
3539161	261	1998-06-30	PRIJEM	\N	69	16992	UROK	\N	\N
3539162	261	1998-07-31	PRIJEM	\N	74	18349	UROK	\N	\N
3539163	261	1998-08-31	PRIJEM	\N	74	18057	UROK	\N	\N
3539164	261	1998-09-30	PRIJEM	\N	78	19418	UROK	\N	\N
3539165	261	1998-10-31	PRIJEM	\N	81	19463	UROK	\N	\N
3539166	261	1998-11-30	PRIJEM	\N	85	20832	UROK	\N	\N
3539167	261	1998-12-31	PRIJEM	\N	90	21485	UROK	\N	\N
3539168	263	1997-01-31	PRIJEM	\N	284	77908	UROK	\N	\N
3539169	263	1997-02-28	PRIJEM	\N	197	30196	UROK	\N	\N
3539170	263	1997-03-31	PRIJEM	\N	142	47572	UROK	\N	\N
3539171	263	1997-04-30	PRIJEM	\N	308	87040	UROK	\N	\N
3539172	263	1997-05-31	PRIJEM	\N	338	90831	UROK	\N	\N
3539173	263	1997-06-30	PRIJEM	\N	281	78402	UROK	\N	\N
3539174	263	1997-07-31	PRIJEM	\N	276	68300	UROK	\N	\N
3539175	263	1997-08-31	PRIJEM	\N	317	86186	UROK	\N	\N
3539176	263	1997-09-30	PRIJEM	\N	300	77620	UROK	\N	\N
3539177	263	1997-10-31	PRIJEM	\N	279	59113	UROK	\N	\N
3539178	263	1997-11-30	PRIJEM	\N	311	64732	UROK	\N	\N
3539179	263	1997-12-31	PRIJEM	\N	246	69134	UROK	\N	\N
3539180	263	1998-01-31	PRIJEM	\N	232	38429	UROK	\N	\N
3539181	263	1998-02-28	PRIJEM	\N	160	39814	UROK	\N	\N
3539182	263	1998-03-31	PRIJEM	\N	167	43706	UROK	\N	\N
3539183	263	1998-04-30	PRIJEM	\N	166	41471	UROK	\N	\N
3539184	263	1998-05-31	PRIJEM	\N	114	29309	UROK	\N	\N
3539185	263	1998-06-30	PRIJEM	\N	122	29856	UROK	\N	\N
3539186	263	1998-07-31	PRIJEM	\N	165	47220	UROK	\N	\N
3539187	263	1998-08-31	PRIJEM	\N	224	43086	UROK	\N	\N
3539188	263	1998-09-30	PRIJEM	\N	282	51068	UROK	\N	\N
3539189	263	1998-10-31	PRIJEM	\N	250	45953	UROK	\N	\N
3539190	263	1998-11-30	PRIJEM	\N	172	43810	UROK	\N	\N
3539191	263	1998-12-31	PRIJEM	\N	208	50907	UROK	\N	\N
3539192	264	1996-02-29	PRIJEM	\N	14	5875	UROK	\N	\N
3539193	264	1996-03-31	PRIJEM	\N	59	19994	UROK	\N	\N
3539194	264	1996-04-30	PRIJEM	\N	103	28358	UROK	\N	\N
3539195	264	1996-05-31	PRIJEM	\N	130	33348	UROK	\N	\N
3539196	264	1996-06-30	PRIJEM	\N	152	39243	UROK	\N	\N
3539197	264	1996-07-31	PRIJEM	\N	146	34649	UROK	\N	\N
3539198	264	1996-08-31	PRIJEM	\N	129	30377	UROK	\N	\N
3539199	264	1996-09-30	PRIJEM	\N	137	34953	UROK	\N	\N
3539200	264	1996-10-31	PRIJEM	\N	150	37143	UROK	\N	\N
3539201	264	1996-11-30	PRIJEM	\N	152	36635	UROK	\N	\N
3539202	264	1996-12-31	PRIJEM	\N	163	39058	UROK	\N	\N
3539203	264	1997-01-31	PRIJEM	\N	135	18733	UROK	\N	\N
3539204	264	1997-02-28	PRIJEM	\N	90	23882	UROK	\N	\N
3539205	264	1997-03-31	PRIJEM	\N	110	28432	UROK	\N	\N
3539206	264	1997-04-30	PRIJEM	\N	126	31797	UROK	\N	\N
3539207	264	1997-05-31	PRIJEM	\N	130	31366	UROK	\N	\N
3539208	264	1997-06-30	PRIJEM	\N	141	36128	UROK	\N	\N
3539209	264	1997-07-31	PRIJEM	\N	142	33209	UROK	\N	\N
3539210	264	1997-08-31	PRIJEM	\N	142	35290	UROK	\N	\N
3539211	264	1997-09-30	PRIJEM	\N	137	32007	UROK	\N	\N
3539212	264	1997-10-31	PRIJEM	\N	146	42392	UROK	\N	\N
3539213	264	1997-11-30	PRIJEM	\N	180	44212	UROK	\N	\N
3539214	264	1997-12-31	PRIJEM	\N	155	32887	UROK	\N	\N
3539215	264	1998-01-31	PRIJEM	\N	119	22826	UROK	\N	\N
3539216	264	1998-02-28	PRIJEM	\N	99	24564	UROK	\N	\N
3539217	264	1998-03-31	PRIJEM	\N	127	35330	UROK	\N	\N
3539218	264	1998-04-30	PRIJEM	\N	151	37820	UROK	\N	\N
3539219	264	1998-05-31	PRIJEM	\N	161	40020	UROK	\N	\N
3539220	264	1998-06-30	PRIJEM	\N	130	29090	UROK	\N	\N
3539221	264	1998-07-31	PRIJEM	\N	125	32255	UROK	\N	\N
3539222	264	1998-08-31	PRIJEM	\N	135	30929	UROK	\N	\N
3539223	264	1998-09-30	PRIJEM	\N	131	30999	UROK	\N	\N
3539224	264	1998-10-31	PRIJEM	\N	130	30669	UROK	\N	\N
3539225	264	1998-11-30	PRIJEM	\N	131	33540	UROK	\N	\N
3539226	264	1998-12-31	PRIJEM	\N	143	35404	UROK	\N	\N
3539227	265	1996-07-31	PRIJEM	\N	20	6755	UROK	\N	\N
3539228	265	1996-08-31	PRIJEM	\N	28	12918	UROK	\N	\N
3539229	265	1996-09-30	PRIJEM	\N	28	19081	UROK	\N	\N
3539230	265	1996-10-31	PRIJEM	\N	28	25244	UROK	\N	\N
3539231	265	1996-11-30	PRIJEM	\N	92	28571	UROK	\N	\N
3539232	265	1996-12-31	PRIJEM	\N	111	26502	UROK	\N	\N
3539233	265	1997-01-31	PRIJEM	\N	85	13767	UROK	\N	\N
3539234	265	1997-02-28	PRIJEM	\N	59	15247	UROK	\N	\N
3539235	265	1997-03-31	PRIJEM	\N	70	18037	UROK	\N	\N
3539236	265	1997-04-30	PRIJEM	\N	80	20158	UROK	\N	\N
3539237	265	1997-05-31	PRIJEM	\N	86	21564	UROK	\N	\N
3539238	265	1997-06-30	PRIJEM	\N	93	22878	UROK	\N	\N
3539239	265	1997-07-31	PRIJEM	\N	96	19094	UROK	\N	\N
3539240	265	1997-08-31	PRIJEM	\N	84	16479	UROK	\N	\N
3539241	265	1997-09-30	PRIJEM	\N	77	18076	UROK	\N	\N
3539242	265	1997-10-31	PRIJEM	\N	83	18480	UROK	\N	\N
3539243	265	1997-11-30	PRIJEM	\N	83	16083	UROK	\N	\N
3539244	265	1997-12-31	PRIJEM	\N	71	12695	UROK	\N	\N
3539245	265	1998-01-31	PRIJEM	\N	56	13091	UROK	\N	\N
3539246	265	1998-02-28	PRIJEM	\N	60	11072	UROK	\N	\N
3539247	265	1998-03-31	PRIJEM	\N	54	11846	UROK	\N	\N
3539248	265	1998-04-30	PRIJEM	\N	58	14024	UROK	\N	\N
3539249	265	1998-05-31	PRIJEM	\N	67	16211	UROK	\N	\N
3539250	265	1998-06-30	PRIJEM	\N	68	11459	UROK	\N	\N
3539251	265	1998-07-31	PRIJEM	\N	57	14737	UROK	\N	\N
3539252	265	1998-08-31	PRIJEM	\N	71	18028	UROK	\N	\N
3539253	265	1998-09-30	PRIJEM	\N	73	11981	UROK	\N	\N
3539254	265	1998-10-31	PRIJEM	\N	59	15261	UROK	\N	\N
3539255	265	1998-11-30	PRIJEM	\N	73	18554	UROK	\N	\N
3539256	265	1998-12-31	PRIJEM	\N	84	20758	UROK	\N	\N
3539257	266	1994-05-31	PRIJEM	\N	135	50287	UROK	\N	\N
3539258	266	1994-06-30	PRIJEM	\N	331	96646	UROK	\N	\N
3539259	266	1994-07-31	PRIJEM	\N	298	58196	UROK	\N	\N
3539260	266	1994-08-31	PRIJEM	\N	335	92783	UROK	\N	\N
3539261	266	1994-09-30	PRIJEM	\N	429	59463	UROK	\N	\N
3539262	266	1994-10-31	PRIJEM	\N	302	76753	UROK	\N	\N
3539263	266	1994-11-30	PRIJEM	\N	348	95696	UROK	\N	\N
3539264	266	1994-12-31	PRIJEM	\N	363	79572	UROK	\N	\N
3539265	266	1995-01-31	PRIJEM	\N	225	23440	UROK	\N	\N
3539266	266	1995-02-28	PRIJEM	\N	228	75005	UROK	\N	\N
3539267	266	1995-03-31	PRIJEM	\N	390	104032	UROK	\N	\N
3539268	266	1995-04-30	PRIJEM	\N	355	74525	UROK	\N	\N
3539269	266	1995-05-31	PRIJEM	\N	370	76342	UROK	\N	\N
3539270	266	1995-06-30	PRIJEM	\N	454	108510	UROK	\N	\N
3539271	266	1995-07-31	PRIJEM	\N	381	94040	UROK	\N	\N
3539272	266	1995-08-31	PRIJEM	\N	283	73000	UROK	\N	\N
3539273	266	1995-09-30	PRIJEM	\N	378	102515	UROK	\N	\N
3539274	266	1995-10-31	PRIJEM	\N	403	70055	UROK	\N	\N
3539275	266	1995-11-30	PRIJEM	\N	347	99640	UROK	\N	\N
3539276	266	1995-12-31	PRIJEM	\N	446	97002	UROK	\N	\N
3539277	266	1996-01-31	PRIJEM	\N	259	49565	UROK	\N	\N
3539278	266	1996-02-29	PRIJEM	\N	194	94896	UROK	\N	\N
3539279	266	1996-03-31	PRIJEM	\N	394	101536	UROK	\N	\N
3539280	266	1996-04-30	PRIJEM	\N	280	68754	UROK	\N	\N
3539281	266	1996-05-31	PRIJEM	\N	216	65107	UROK	\N	\N
3539282	266	1996-06-30	PRIJEM	\N	357	45953	UROK	\N	\N
3539283	266	1996-07-31	PRIJEM	\N	211	60001	UROK	\N	\N
3539284	266	1996-08-31	PRIJEM	\N	287	39414	UROK	\N	\N
3539285	266	1996-09-30	PRIJEM	\N	172	56724	UROK	\N	\N
3539286	266	1996-10-31	PRIJEM	\N	282	61944	UROK	\N	\N
3539287	266	1996-11-30	PRIJEM	\N	264	72545	UROK	\N	\N
3539288	266	1996-12-31	PRIJEM	\N	375	51081	UROK	\N	\N
3539289	266	1997-01-31	PRIJEM	\N	252	28185	UROK	\N	\N
3539290	266	1997-02-28	PRIJEM	\N	191	51451	UROK	\N	\N
3539291	266	1997-03-31	PRIJEM	\N	288	53977	UROK	\N	\N
3539292	266	1997-04-30	PRIJEM	\N	268	51721	UROK	\N	\N
3539293	266	1997-05-31	PRIJEM	\N	239	37501	UROK	\N	\N
3539294	266	1997-06-30	PRIJEM	\N	233	58554	UROK	\N	\N
3539295	266	1997-07-31	PRIJEM	\N	246	57541	UROK	\N	\N
3539296	266	1997-08-31	PRIJEM	\N	248	66926	UROK	\N	\N
3539297	266	1997-09-30	PRIJEM	\N	328	47083	UROK	\N	\N
3539298	266	1997-10-31	PRIJEM	\N	208	58528	UROK	\N	\N
3539299	266	1997-11-30	PRIJEM	\N	286	59952	UROK	\N	\N
3539300	266	1997-12-31	PRIJEM	\N	281	56946	UROK	\N	\N
3539301	266	1998-01-31	PRIJEM	\N	224	32207	UROK	\N	\N
3539302	266	1998-02-28	PRIJEM	\N	173	47418	UROK	\N	\N
3539303	266	1998-03-31	PRIJEM	\N	211	46800	UROK	\N	\N
3539304	266	1998-04-30	PRIJEM	\N	249	49087	UROK	\N	\N
3539305	266	1998-05-31	PRIJEM	\N	260	57698	UROK	\N	\N
3539306	266	1998-06-30	PRIJEM	\N	285	59264	UROK	\N	\N
3539307	266	1998-07-31	PRIJEM	\N	247	62448	UROK	\N	\N
3539308	266	1998-08-31	PRIJEM	\N	262	66747	UROK	\N	\N
3539309	266	1998-09-30	PRIJEM	\N	295	64880	UROK	\N	\N
3539310	266	1998-10-31	PRIJEM	\N	271	59388	UROK	\N	\N
3539311	266	1998-11-30	PRIJEM	\N	252	60177	UROK	\N	\N
3539312	266	1998-12-31	PRIJEM	\N	432	75023	UROK	\N	\N
3539313	267	1995-09-30	PRIJEM	\N	63	21724	UROK	\N	\N
3539314	267	1995-10-31	PRIJEM	\N	93	19795	UROK	\N	\N
3539315	267	1995-11-30	PRIJEM	\N	88	21641	UROK	\N	\N
3539316	267	1995-12-31	PRIJEM	\N	92	19732	UROK	\N	\N
3539317	267	1996-01-31	PRIJEM	\N	67	13557	UROK	\N	\N
3539318	267	1996-02-29	PRIJEM	\N	62	15377	UROK	\N	\N
3539319	267	1996-03-31	PRIJEM	\N	68	13204	UROK	\N	\N
3539320	267	1996-04-30	PRIJEM	\N	60	15022	UROK	\N	\N
3539321	267	1996-05-31	PRIJEM	\N	62	13003	UROK	\N	\N
3539322	267	1996-06-30	PRIJEM	\N	59	14820	UROK	\N	\N
3539323	267	1996-07-31	PRIJEM	\N	67	16646	UROK	\N	\N
3539324	267	1996-08-31	PRIJEM	\N	75	18478	UROK	\N	\N
3539325	267	1996-09-30	PRIJEM	\N	82	20319	UROK	\N	\N
3539326	267	1996-10-31	PRIJEM	\N	87	21205	UROK	\N	\N
3539327	267	1996-11-30	PRIJEM	\N	92	21215	UROK	\N	\N
3539328	267	1996-12-31	PRIJEM	\N	94	22517	UROK	\N	\N
3539329	267	1997-01-31	PRIJEM	\N	86	16441	UROK	\N	\N
3539330	267	1997-02-28	PRIJEM	\N	73	18273	UROK	\N	\N
3539331	267	1997-03-31	PRIJEM	\N	81	20113	UROK	\N	\N
3539332	267	1997-04-30	PRIJEM	\N	89	21960	UROK	\N	\N
3539333	267	1997-05-31	PRIJEM	\N	96	23334	UROK	\N	\N
3539334	267	1997-06-30	PRIJEM	\N	98	21770	UROK	\N	\N
3539335	267	1997-07-31	PRIJEM	\N	95	23323	UROK	\N	\N
3539336	267	1997-08-31	PRIJEM	\N	102	25184	UROK	\N	\N
3539337	267	1997-09-30	PRIJEM	\N	101	23203	UROK	\N	\N
3539338	267	1997-10-31	PRIJEM	\N	100	24361	UROK	\N	\N
3539339	267	1997-11-30	PRIJEM	\N	98	23418	UROK	\N	\N
3539340	267	1997-12-31	PRIJEM	\N	83	18139	UROK	\N	\N
3539341	267	1998-01-31	PRIJEM	\N	64	14202	UROK	\N	\N
3539342	267	1998-02-28	PRIJEM	\N	61	14742	UROK	\N	\N
3539343	267	1998-03-31	PRIJEM	\N	63	15463	UROK	\N	\N
3539344	267	1998-04-30	PRIJEM	\N	68	16789	UROK	\N	\N
3539345	267	1998-05-31	PRIJEM	\N	75	18622	UROK	\N	\N
3539346	267	1998-06-30	PRIJEM	\N	77	18457	UROK	\N	\N
3539347	267	1998-07-31	PRIJEM	\N	71	16526	UROK	\N	\N
3539348	267	1998-08-31	PRIJEM	\N	65	15349	UROK	\N	\N
3539349	267	1998-09-30	PRIJEM	\N	64	15172	UROK	\N	\N
3539350	267	1998-10-31	PRIJEM	\N	61	13991	UROK	\N	\N
3539351	267	1998-11-30	PRIJEM	\N	63	15812	UROK	\N	\N
3539352	267	1998-12-31	PRIJEM	\N	70	16940	UROK	\N	\N
3539353	268	1996-08-31	PRIJEM	\N	25	36451	UROK	\N	\N
3539354	268	1996-09-30	PRIJEM	\N	151	35588	UROK	\N	\N
3539355	268	1996-10-31	PRIJEM	\N	236	63314	UROK	\N	\N
3539356	268	1996-11-30	PRIJEM	\N	263	39377	UROK	\N	\N
3539357	268	1996-12-31	PRIJEM	\N	231	29583	UROK	\N	\N
3539358	268	1997-01-31	PRIJEM	\N	90	19338	UROK	\N	\N
3539359	268	1997-02-28	PRIJEM	\N	80	18982	UROK	\N	\N
3539360	268	1997-03-31	PRIJEM	\N	108	18992	UROK	\N	\N
3539361	268	1997-04-30	PRIJEM	\N	96	50697	UROK	\N	\N
3539362	268	1997-05-31	PRIJEM	\N	318	56767	UROK	\N	\N
3539363	268	1997-06-30	PRIJEM	\N	286	74638	UROK	\N	\N
3539364	268	1997-07-31	PRIJEM	\N	197	54787	UROK	\N	\N
3539365	268	1997-08-31	PRIJEM	\N	213	31814	UROK	\N	\N
3539366	268	1997-09-30	PRIJEM	\N	173	47327	UROK	\N	\N
3539367	268	1997-10-31	PRIJEM	\N	150	20031	UROK	\N	\N
3539368	268	1997-11-30	PRIJEM	\N	226	62738	UROK	\N	\N
3539369	268	1997-12-31	PRIJEM	\N	265	39144	UROK	\N	\N
3539370	268	1998-01-31	PRIJEM	\N	114	30763	UROK	\N	\N
3539371	268	1998-02-28	PRIJEM	\N	103	19776	UROK	\N	\N
3539372	268	1998-03-31	PRIJEM	\N	75	15815	UROK	\N	\N
3539373	268	1998-04-30	PRIJEM	\N	65	12745	UROK	\N	\N
3539374	268	1998-05-31	PRIJEM	\N	52	9661	UROK	\N	\N
3539375	268	1998-06-30	PRIJEM	\N	67	13272	UROK	\N	\N
3539376	268	1998-07-31	PRIJEM	\N	97	32775	UROK	\N	\N
3539377	268	1998-08-31	PRIJEM	\N	118	23958	UROK	\N	\N
3539378	268	1998-09-30	PRIJEM	\N	87	18209	UROK	\N	\N
3539379	268	1998-10-31	PRIJEM	\N	110	28925	UROK	\N	\N
3539380	268	1998-11-30	PRIJEM	\N	194	64988	UROK	\N	\N
3539381	268	1998-12-31	PRIJEM	\N	213	37866	UROK	\N	\N
3539382	269	1996-09-30	PRIJEM	\N	4	15923	UROK	\N	\N
3539383	269	1996-10-31	PRIJEM	\N	69	22211	UROK	\N	\N
3539384	269	1996-11-30	PRIJEM	\N	94	27225	UROK	\N	\N
3539385	269	1996-12-31	PRIJEM	\N	113	27457	UROK	\N	\N
3539386	269	1997-01-31	PRIJEM	\N	118	27393	UROK	\N	\N
3539387	269	1997-02-28	PRIJEM	\N	116	29467	UROK	\N	\N
3539388	269	1997-03-31	PRIJEM	\N	123	28478	UROK	\N	\N
3539389	269	1997-04-30	PRIJEM	\N	120	29397	UROK	\N	\N
3539390	269	1997-05-31	PRIJEM	\N	121	26576	UROK	\N	\N
3539391	269	1997-06-30	PRIJEM	\N	98	25223	UROK	\N	\N
3539392	269	1997-07-31	PRIJEM	\N	106	25487	UROK	\N	\N
3539393	269	1997-08-31	PRIJEM	\N	105	25320	UROK	\N	\N
3539394	269	1997-09-30	PRIJEM	\N	111	30690	UROK	\N	\N
3539395	269	1997-10-31	PRIJEM	\N	126	29124	UROK	\N	\N
3539396	269	1997-11-30	PRIJEM	\N	112	25024	UROK	\N	\N
3539397	269	1997-12-31	PRIJEM	\N	103	23756	UROK	\N	\N
3539398	269	1998-01-31	PRIJEM	\N	89	21873	UROK	\N	\N
3539399	269	1998-02-28	PRIJEM	\N	96	26127	UROK	\N	\N
3539400	269	1998-03-31	PRIJEM	\N	108	25373	UROK	\N	\N
3539401	269	1998-04-30	PRIJEM	\N	108	27239	UROK	\N	\N
3539402	269	1998-05-31	PRIJEM	\N	115	29853	UROK	\N	\N
3539403	269	1998-06-30	PRIJEM	\N	109	29650	UROK	\N	\N
3539404	269	1998-07-31	PRIJEM	\N	123	31221	UROK	\N	\N
3539405	269	1998-08-31	PRIJEM	\N	131	32411	UROK	\N	\N
3539406	269	1998-09-30	PRIJEM	\N	141	36410	UROK	\N	\N
3539407	269	1998-10-31	PRIJEM	\N	161	42329	UROK	\N	\N
3539408	269	1998-11-30	PRIJEM	\N	174	42062	UROK	\N	\N
3539409	269	1998-12-31	PRIJEM	\N	174	42634	UROK	\N	\N
3539410	270	1995-02-28	PRIJEM	\N	26	24783	UROK	\N	\N
3539411	270	1995-03-31	PRIJEM	\N	116	36656	UROK	\N	\N
3539412	270	1995-04-30	PRIJEM	\N	158	41570	UROK	\N	\N
3539413	270	1995-05-31	PRIJEM	\N	176	44804	UROK	\N	\N
3539414	270	1995-06-30	PRIJEM	\N	174	35174	UROK	\N	\N
3539415	270	1995-07-31	PRIJEM	\N	172	39726	UROK	\N	\N
3539416	270	1995-08-31	PRIJEM	\N	190	44997	UROK	\N	\N
3539417	270	1995-09-30	PRIJEM	\N	206	48303	UROK	\N	\N
3539418	270	1995-10-31	PRIJEM	\N	206	46250	UROK	\N	\N
3539419	270	1995-11-30	PRIJEM	\N	201	44311	UROK	\N	\N
3539420	270	1995-12-31	PRIJEM	\N	211	51881	UROK	\N	\N
3539421	270	1996-01-31	PRIJEM	\N	203	48024	UROK	\N	\N
3539422	270	1996-02-29	PRIJEM	\N	215	52220	UROK	\N	\N
3539423	270	1996-03-31	PRIJEM	\N	227	52528	UROK	\N	\N
3539424	270	1996-04-30	PRIJEM	\N	222	52750	UROK	\N	\N
3539425	270	1996-05-31	PRIJEM	\N	232	55462	UROK	\N	\N
3539426	270	1996-06-30	PRIJEM	\N	237	58879	UROK	\N	\N
3539427	270	1996-07-31	PRIJEM	\N	241	57260	UROK	\N	\N
3539428	270	1996-08-31	PRIJEM	\N	236	55276	UROK	\N	\N
3539429	270	1996-09-30	PRIJEM	\N	239	54715	UROK	\N	\N
3539430	270	1996-10-31	PRIJEM	\N	237	58932	UROK	\N	\N
3539431	270	1996-11-30	PRIJEM	\N	263	67575	UROK	\N	\N
3539432	270	1996-12-31	PRIJEM	\N	310	80245	UROK	\N	\N
3539433	270	1997-01-31	PRIJEM	\N	312	71077	UROK	\N	\N
3539434	270	1997-02-28	PRIJEM	\N	297	75955	UROK	\N	\N
3539435	270	1997-03-31	PRIJEM	\N	313	77908	UROK	\N	\N
3539436	270	1997-04-30	PRIJEM	\N	320	79409	UROK	\N	\N
3539437	270	1997-05-31	PRIJEM	\N	327	82036	UROK	\N	\N
3539438	270	1997-06-30	PRIJEM	\N	303	78439	UROK	\N	\N
3539439	270	1997-07-31	PRIJEM	\N	314	78933	UROK	\N	\N
3539440	270	1997-08-31	PRIJEM	\N	334	85747	UROK	\N	\N
3539441	270	1997-09-30	PRIJEM	\N	341	86669	UROK	\N	\N
3539442	270	1997-10-31	PRIJEM	\N	356	87005	UROK	\N	\N
3539443	270	1997-11-30	PRIJEM	\N	326	77912	UROK	\N	\N
3539444	270	1997-12-31	PRIJEM	\N	328	86659	UROK	\N	\N
3539445	270	1998-01-31	PRIJEM	\N	284	68223	UROK	\N	\N
3539446	270	1998-02-28	PRIJEM	\N	288	75972	UROK	\N	\N
3539447	270	1998-03-31	PRIJEM	\N	298	76790	UROK	\N	\N
3539448	270	1998-04-30	PRIJEM	\N	303	77873	UROK	\N	\N
3539449	270	1998-05-31	PRIJEM	\N	285	71239	UROK	\N	\N
3539450	270	1998-06-30	PRIJEM	\N	256	69914	UROK	\N	\N
3539451	270	1998-07-31	PRIJEM	\N	291	76586	UROK	\N	\N
3539452	270	1998-08-31	PRIJEM	\N	319	83185	UROK	\N	\N
3539453	270	1998-09-30	PRIJEM	\N	346	89712	UROK	\N	\N
3539454	270	1998-10-31	PRIJEM	\N	375	96667	UROK	\N	\N
3539455	270	1998-11-30	PRIJEM	\N	394	100341	UROK	\N	\N
3539456	270	1998-12-31	PRIJEM	\N	426	89227	UROK	\N	\N
3539457	271	1996-08-31	PRIJEM	\N	18	7324	UROK	\N	\N
3539458	271	1996-09-30	PRIJEM	\N	30	14260	UROK	\N	\N
3539459	271	1996-10-31	PRIJEM	\N	30	21197	UROK	\N	\N
3539460	271	1996-11-30	PRIJEM	\N	30	28133	UROK	\N	\N
3539461	271	1996-12-31	PRIJEM	\N	87	30576	UROK	\N	\N
3539462	271	1997-01-31	PRIJEM	\N	125	30257	UROK	\N	\N
3539463	271	1997-02-28	PRIJEM	\N	135	35148	UROK	\N	\N
3539464	271	1997-03-31	PRIJEM	\N	149	36233	UROK	\N	\N
3539465	271	1997-04-30	PRIJEM	\N	152	37941	UROK	\N	\N
3539466	271	1997-05-31	PRIJEM	\N	159	39556	UROK	\N	\N
3539467	271	1997-06-30	PRIJEM	\N	148	31910	UROK	\N	\N
3539468	271	1997-07-31	PRIJEM	\N	146	37413	UROK	\N	\N
3539469	271	1997-08-31	PRIJEM	\N	169	42938	UROK	\N	\N
3539470	271	1997-09-30	PRIJEM	\N	182	45837	UROK	\N	\N
3539471	271	1997-10-31	PRIJEM	\N	204	51397	UROK	\N	\N
3539472	271	1997-11-30	PRIJEM	\N	214	53728	UROK	\N	\N
3539473	271	1997-12-31	PRIJEM	\N	219	53453	UROK	\N	\N
3539474	271	1998-01-31	PRIJEM	\N	224	55034	UROK	\N	\N
3539475	271	1998-02-28	PRIJEM	\N	222	55132	UROK	\N	\N
3539476	271	1998-03-31	PRIJEM	\N	233	57281	UROK	\N	\N
3539477	271	1998-04-30	PRIJEM	\N	237	58574	UROK	\N	\N
3539478	271	1998-05-31	PRIJEM	\N	246	60976	UROK	\N	\N
3539479	271	1998-06-30	PRIJEM	\N	229	47362	UROK	\N	\N
3539480	271	1998-07-31	PRIJEM	\N	197	49155	UROK	\N	\N
3539481	271	1998-08-31	PRIJEM	\N	217	54729	UROK	\N	\N
3539482	271	1998-09-30	PRIJEM	\N	231	56957	UROK	\N	\N
3539483	271	1998-10-31	PRIJEM	\N	245	58038	UROK	\N	\N
3539484	271	1998-11-30	PRIJEM	\N	242	60036	UROK	\N	\N
3539485	271	1998-12-31	PRIJEM	\N	244	58987	UROK	\N	\N
3539486	272	1996-11-30	PRIJEM	\N	26	20467	UROK	\N	\N
3539487	272	1996-12-31	PRIJEM	\N	103	33731	UROK	\N	\N
3539488	272	1997-01-31	PRIJEM	\N	145	37218	UROK	\N	\N
3539489	272	1997-02-28	PRIJEM	\N	156	38014	UROK	\N	\N
3539490	272	1997-03-31	PRIJEM	\N	159	38614	UROK	\N	\N
3539491	272	1997-04-30	PRIJEM	\N	180	36666	UROK	\N	\N
3539492	272	1997-05-31	PRIJEM	\N	172	35310	UROK	\N	\N
3539493	272	1997-06-30	PRIJEM	\N	174	15778	UROK	\N	\N
3539494	272	1997-07-31	PRIJEM	\N	89	17839	UROK	\N	\N
3539495	272	1997-08-31	PRIJEM	\N	91	17102	UROK	\N	\N
3539496	272	1997-09-30	PRIJEM	\N	89	17363	UROK	\N	\N
3539497	272	1997-10-31	PRIJEM	\N	78	14714	UROK	\N	\N
3539498	272	1997-11-30	PRIJEM	\N	82	17568	UROK	\N	\N
3539499	272	1997-12-31	PRIJEM	\N	112	25573	UROK	\N	\N
3539500	272	1998-01-31	PRIJEM	\N	88	16334	UROK	\N	\N
3539501	272	1998-02-28	PRIJEM	\N	77	14683	UROK	\N	\N
3539502	272	1998-03-31	PRIJEM	\N	71	12226	UROK	\N	\N
3539503	272	1998-04-30	PRIJEM	\N	78	19377	UROK	\N	\N
3539504	272	1998-05-31	PRIJEM	\N	79	13528	UROK	\N	\N
3539505	272	1998-06-30	PRIJEM	\N	90	21611	UROK	\N	\N
3539506	272	1998-07-31	PRIJEM	\N	130	34113	UROK	\N	\N
3539507	272	1998-08-31	PRIJEM	\N	108	16193	UROK	\N	\N
3539508	272	1998-09-30	PRIJEM	\N	107	28672	UROK	\N	\N
3539509	272	1998-10-31	PRIJEM	\N	159	41203	UROK	\N	\N
3539510	272	1998-11-30	PRIJEM	\N	107	15783	UROK	\N	\N
3539511	272	1998-12-31	PRIJEM	\N	131	36708	UROK	\N	\N
3539512	273	1993-08-31	PRIJEM	\N	50	16951	UROK	\N	\N
3539513	273	1993-09-30	PRIJEM	\N	97	25549	UROK	\N	\N
3539514	273	1993-10-31	PRIJEM	\N	122	30571	UROK	\N	\N
3539515	273	1993-11-30	PRIJEM	\N	133	32505	UROK	\N	\N
3539516	273	1993-12-31	PRIJEM	\N	123	22251	UROK	\N	\N
3539517	273	1994-01-31	PRIJEM	\N	93	19166	UROK	\N	\N
3539518	273	1994-02-28	PRIJEM	\N	89	19977	UROK	\N	\N
3539519	273	1994-03-31	PRIJEM	\N	93	20892	UROK	\N	\N
3539520	273	1994-04-30	PRIJEM	\N	103	23717	UROK	\N	\N
3539521	273	1994-05-31	PRIJEM	\N	94	20333	UROK	\N	\N
3539522	273	1994-06-30	PRIJEM	\N	96	20539	UROK	\N	\N
3539523	273	1994-07-31	PRIJEM	\N	89	18450	UROK	\N	\N
3539524	273	1994-08-31	PRIJEM	\N	79	16949	UROK	\N	\N
3539525	273	1994-09-30	PRIJEM	\N	105	24576	UROK	\N	\N
3539526	273	1994-10-31	PRIJEM	\N	124	26822	UROK	\N	\N
3539527	273	1994-11-30	PRIJEM	\N	119	24053	UROK	\N	\N
3539528	273	1994-12-31	PRIJEM	\N	134	29210	UROK	\N	\N
3539529	273	1995-01-31	PRIJEM	\N	118	20450	UROK	\N	\N
3539530	273	1995-02-28	PRIJEM	\N	111	24983	UROK	\N	\N
3539531	273	1995-03-31	PRIJEM	\N	118	27022	UROK	\N	\N
3539532	273	1995-04-30	PRIJEM	\N	128	29472	UROK	\N	\N
3539533	273	1995-05-31	PRIJEM	\N	92	18614	UROK	\N	\N
3539534	273	1995-06-30	PRIJEM	\N	113	20350	UROK	\N	\N
3539535	273	1995-07-31	PRIJEM	\N	104	23376	UROK	\N	\N
3539536	273	1995-08-31	PRIJEM	\N	113	24711	UROK	\N	\N
3539537	273	1995-09-30	PRIJEM	\N	126	28259	UROK	\N	\N
3539538	273	1995-10-31	PRIJEM	\N	113	24408	UROK	\N	\N
3539539	273	1995-11-30	PRIJEM	\N	123	25153	UROK	\N	\N
3539540	273	1995-12-31	PRIJEM	\N	128	23604	UROK	\N	\N
3539541	273	1996-01-31	PRIJEM	\N	88	23614	UROK	\N	\N
3539542	273	1996-02-29	PRIJEM	\N	123	30458	UROK	\N	\N
3539543	273	1996-03-31	PRIJEM	\N	123	24504	UROK	\N	\N
3539544	273	1996-04-30	PRIJEM	\N	127	32853	UROK	\N	\N
3539545	273	1996-05-31	PRIJEM	\N	160	38335	UROK	\N	\N
3539546	273	1996-06-30	PRIJEM	\N	194	28751	UROK	\N	\N
3539547	273	1996-07-31	PRIJEM	\N	139	30812	UROK	\N	\N
3539548	273	1996-08-31	PRIJEM	\N	149	33983	UROK	\N	\N
3539549	273	1996-09-30	PRIJEM	\N	159	34064	UROK	\N	\N
3539550	273	1996-10-31	PRIJEM	\N	157	33343	UROK	\N	\N
3539551	273	1996-11-30	PRIJEM	\N	155	33620	UROK	\N	\N
3539552	273	1996-12-31	PRIJEM	\N	133	32076	UROK	\N	\N
3539553	273	1997-01-31	PRIJEM	\N	106	23505	UROK	\N	\N
3539554	273	1997-02-28	PRIJEM	\N	124	31651	UROK	\N	\N
3539555	273	1997-03-31	PRIJEM	\N	152	35125	UROK	\N	\N
3539556	273	1997-04-30	PRIJEM	\N	162	35608	UROK	\N	\N
3539557	273	1997-05-31	PRIJEM	\N	161	34191	UROK	\N	\N
3539558	273	1997-06-30	PRIJEM	\N	174	37488	UROK	\N	\N
3539559	273	1997-07-31	PRIJEM	\N	133	30543	UROK	\N	\N
3539560	273	1997-08-31	PRIJEM	\N	139	31504	UROK	\N	\N
3539561	273	1997-09-30	PRIJEM	\N	141	32207	UROK	\N	\N
3539562	273	1997-10-31	PRIJEM	\N	151	34980	UROK	\N	\N
3539563	273	1997-11-30	PRIJEM	\N	151	35584	UROK	\N	\N
3539564	273	1997-12-31	PRIJEM	\N	171	33678	UROK	\N	\N
3539565	273	1998-01-31	PRIJEM	\N	120	26520	UROK	\N	\N
3539566	273	1998-02-28	PRIJEM	\N	114	27256	UROK	\N	\N
3539567	273	1998-03-31	PRIJEM	\N	134	29816	UROK	\N	\N
3539568	273	1998-04-30	PRIJEM	\N	133	30671	UROK	\N	\N
3539569	273	1998-05-31	PRIJEM	\N	143	31282	UROK	\N	\N
3539570	273	1998-06-30	PRIJEM	\N	166	27871	UROK	\N	\N
3539571	273	1998-07-31	PRIJEM	\N	144	36136	UROK	\N	\N
3539572	273	1998-08-31	PRIJEM	\N	171	39959	UROK	\N	\N
3539573	273	1998-09-30	PRIJEM	\N	169	38550	UROK	\N	\N
3539574	273	1998-10-31	PRIJEM	\N	177	42349	UROK	\N	\N
3539575	273	1998-11-30	PRIJEM	\N	174	43045	UROK	\N	\N
3539576	273	1998-12-31	PRIJEM	\N	187	40490	UROK	\N	\N
3539577	274	1993-09-30	PRIJEM	\N	41	24439	UROK	\N	\N
3539578	274	1993-10-31	PRIJEM	\N	117	33153	UROK	\N	\N
3539579	274	1993-11-30	PRIJEM	\N	145	37497	UROK	\N	\N
3539580	274	1993-12-31	PRIJEM	\N	172	46266	UROK	\N	\N
3539581	274	1994-01-31	PRIJEM	\N	178	31902	UROK	\N	\N
3539582	274	1994-02-28	PRIJEM	\N	143	33442	UROK	\N	\N
3539583	274	1994-03-31	PRIJEM	\N	146	30366	UROK	\N	\N
3539584	274	1994-04-30	PRIJEM	\N	137	33261	UROK	\N	\N
3539585	274	1994-05-31	PRIJEM	\N	152	35910	UROK	\N	\N
3539586	274	1994-06-30	PRIJEM	\N	169	34715	UROK	\N	\N
3539587	274	1994-07-31	PRIJEM	\N	151	34463	UROK	\N	\N
3539588	274	1994-08-31	PRIJEM	\N	146	33207	UROK	\N	\N
3539589	274	1994-09-30	PRIJEM	\N	152	37256	UROK	\N	\N
3539590	274	1994-10-31	PRIJEM	\N	144	29858	UROK	\N	\N
3539591	274	1994-11-30	PRIJEM	\N	135	33290	UROK	\N	\N
3539592	274	1994-12-31	PRIJEM	\N	154	35401	UROK	\N	\N
3539593	274	1995-01-31	PRIJEM	\N	125	24883	UROK	\N	\N
3539594	274	1995-02-28	PRIJEM	\N	117	30198	UROK	\N	\N
3539595	274	1995-03-31	PRIJEM	\N	138	33433	UROK	\N	\N
3539596	274	1995-04-30	PRIJEM	\N	142	34273	UROK	\N	\N
3539597	274	1995-05-31	PRIJEM	\N	143	31654	UROK	\N	\N
3539598	274	1995-06-30	PRIJEM	\N	136	34446	UROK	\N	\N
3539599	274	1995-07-31	PRIJEM	\N	171	36415	UROK	\N	\N
3539600	274	1995-08-31	PRIJEM	\N	182	47394	UROK	\N	\N
3539601	274	1995-09-30	PRIJEM	\N	191	46443	UROK	\N	\N
3539602	274	1995-10-31	PRIJEM	\N	199	49639	UROK	\N	\N
3539603	274	1995-11-30	PRIJEM	\N	206	50843	UROK	\N	\N
3539604	274	1995-12-31	PRIJEM	\N	236	60576	UROK	\N	\N
3539605	274	1996-01-31	PRIJEM	\N	183	38796	UROK	\N	\N
3539606	274	1996-02-29	PRIJEM	\N	181	47074	UROK	\N	\N
3539607	274	1996-03-31	PRIJEM	\N	195	48267	UROK	\N	\N
3539608	274	1996-04-30	PRIJEM	\N	200	49264	UROK	\N	\N
3539609	274	1996-05-31	PRIJEM	\N	199	48760	UROK	\N	\N
3539610	274	1996-06-30	PRIJEM	\N	216	34133	UROK	\N	\N
3539611	274	1996-07-31	PRIJEM	\N	158	40988	UROK	\N	\N
3539612	274	1996-08-31	PRIJEM	\N	185	47371	UROK	\N	\N
3539613	274	1996-09-30	PRIJEM	\N	197	48764	UROK	\N	\N
3539614	274	1996-10-31	PRIJEM	\N	195	47757	UROK	\N	\N
3539615	274	1996-11-30	PRIJEM	\N	181	42016	UROK	\N	\N
3539616	274	1996-12-31	PRIJEM	\N	201	51453	UROK	\N	\N
3539617	274	1997-01-31	PRIJEM	\N	133	23883	UROK	\N	\N
3539618	274	1997-02-28	PRIJEM	\N	137	37318	UROK	\N	\N
3539619	274	1997-03-31	PRIJEM	\N	159	40474	UROK	\N	\N
3539620	274	1997-04-30	PRIJEM	\N	168	41679	UROK	\N	\N
3539621	274	1997-05-31	PRIJEM	\N	179	45655	UROK	\N	\N
3539622	274	1997-06-30	PRIJEM	\N	163	43055	UROK	\N	\N
3539623	274	1997-07-31	PRIJEM	\N	179	41672	UROK	\N	\N
3539624	274	1997-08-31	PRIJEM	\N	185	37054	UROK	\N	\N
3539625	274	1997-09-30	PRIJEM	\N	167	35719	UROK	\N	\N
3539626	274	1997-10-31	PRIJEM	\N	169	35086	UROK	\N	\N
3539627	274	1997-11-30	PRIJEM	\N	167	36450	UROK	\N	\N
3539628	274	1997-12-31	PRIJEM	\N	197	41743	UROK	\N	\N
3539629	274	1998-01-31	PRIJEM	\N	148	30348	UROK	\N	\N
3539630	274	1998-02-28	PRIJEM	\N	145	31091	UROK	\N	\N
3539631	274	1998-03-31	PRIJEM	\N	146	27634	UROK	\N	\N
3539632	274	1998-04-30	PRIJEM	\N	136	30967	UROK	\N	\N
3539633	274	1998-05-31	PRIJEM	\N	134	26819	UROK	\N	\N
3539634	274	1998-06-30	PRIJEM	\N	143	31718	UROK	\N	\N
3539635	274	1998-07-31	PRIJEM	\N	147	30862	UROK	\N	\N
3539636	274	1998-08-31	PRIJEM	\N	142	30602	UROK	\N	\N
3539637	274	1998-09-30	PRIJEM	\N	132	21251	UROK	\N	\N
3539638	274	1998-10-31	PRIJEM	\N	101	21850	UROK	\N	\N
3539639	274	1998-11-30	PRIJEM	\N	105	24053	UROK	\N	\N
3539640	274	1998-12-31	PRIJEM	\N	146	42735	UROK	\N	\N
3539641	275	1996-01-31	PRIJEM	\N	12	4202	UROK	\N	\N
3539642	275	1996-02-29	PRIJEM	\N	18	7609	UROK	\N	\N
3539643	275	1996-03-31	PRIJEM	\N	18	11017	UROK	\N	\N
3539644	275	1996-04-30	PRIJEM	\N	18	14424	UROK	\N	\N
3539645	275	1996-05-31	PRIJEM	\N	19	17834	UROK	\N	\N
3539646	275	1996-06-30	PRIJEM	\N	76	17345	UROK	\N	\N
3539647	275	1996-07-31	PRIJEM	\N	74	18084	UROK	\N	\N
3539648	275	1996-08-31	PRIJEM	\N	77	18647	UROK	\N	\N
3539649	275	1996-09-30	PRIJEM	\N	80	19632	UROK	\N	\N
3539650	275	1996-10-31	PRIJEM	\N	83	20350	UROK	\N	\N
3539651	275	1996-11-30	PRIJEM	\N	88	21553	UROK	\N	\N
3539652	275	1996-12-31	PRIJEM	\N	92	22311	UROK	\N	\N
3539653	275	1997-01-31	PRIJEM	\N	83	18679	UROK	\N	\N
3539654	275	1997-02-28	PRIJEM	\N	80	19094	UROK	\N	\N
3539655	275	1997-03-31	PRIJEM	\N	82	20192	UROK	\N	\N
3539656	275	1997-04-30	PRIJEM	\N	87	21394	UROK	\N	\N
3539657	275	1997-05-31	PRIJEM	\N	89	21459	UROK	\N	\N
3539658	275	1997-06-30	PRIJEM	\N	88	19632	UROK	\N	\N
3539659	275	1997-07-31	PRIJEM	\N	83	20441	UROK	\N	\N
3539660	275	1997-08-31	PRIJEM	\N	87	20443	UROK	\N	\N
3539661	275	1997-09-30	PRIJEM	\N	86	19944	UROK	\N	\N
3539662	275	1997-10-31	PRIJEM	\N	85	20545	UROK	\N	\N
3539663	275	1997-11-30	PRIJEM	\N	84	18024	UROK	\N	\N
3539664	275	1997-12-31	PRIJEM	\N	77	17736	UROK	\N	\N
3539665	275	1998-01-31	PRIJEM	\N	68	15229	UROK	\N	\N
3539666	275	1998-02-28	PRIJEM	\N	64	15409	UROK	\N	\N
3539667	275	1998-03-31	PRIJEM	\N	60	14814	UROK	\N	\N
3539668	275	1998-04-30	PRIJEM	\N	64	14793	UROK	\N	\N
3539669	275	1998-05-31	PRIJEM	\N	64	15972	UROK	\N	\N
3539670	275	1998-06-30	PRIJEM	\N	65	14853	UROK	\N	\N
3539671	275	1998-07-31	PRIJEM	\N	61	14029	UROK	\N	\N
3539672	275	1998-08-31	PRIJEM	\N	61	15206	UROK	\N	\N
3539673	275	1998-09-30	PRIJEM	\N	66	16387	UROK	\N	\N
3539674	275	1998-10-31	PRIJEM	\N	71	17573	UROK	\N	\N
3539675	275	1998-11-30	PRIJEM	\N	75	18763	UROK	\N	\N
3539676	275	1998-12-31	PRIJEM	\N	79	18097	UROK	\N	\N
3539677	276	1997-12-31	PRIJEM	\N	105	41039	UROK	\N	\N
3539678	276	1998-01-31	PRIJEM	\N	214	58075	UROK	\N	\N
3539679	276	1998-02-28	PRIJEM	\N	262	67061	UROK	\N	\N
3539680	276	1998-03-31	PRIJEM	\N	292	72576	UROK	\N	\N
3539681	276	1998-04-30	PRIJEM	\N	307	74906	UROK	\N	\N
3539682	276	1998-05-31	PRIJEM	\N	274	68177	UROK	\N	\N
3539683	276	1998-06-30	PRIJEM	\N	262	72453	UROK	\N	\N
3539684	276	1998-07-31	PRIJEM	\N	266	66815	UROK	\N	\N
3539685	276	1998-08-31	PRIJEM	\N	231	61542	UROK	\N	\N
3539686	276	1998-09-30	PRIJEM	\N	216	55555	UROK	\N	\N
3539687	276	1998-10-31	PRIJEM	\N	204	53855	UROK	\N	\N
3539688	276	1998-11-30	PRIJEM	\N	189	48340	UROK	\N	\N
3539689	276	1998-12-31	PRIJEM	\N	200	59376	UROK	\N	\N
3539690	277	1994-05-31	PRIJEM	\N	62	18914	UROK	\N	\N
3539691	277	1994-06-30	PRIJEM	\N	103	55808	UROK	\N	\N
3539692	277	1994-07-31	PRIJEM	\N	191	57832	UROK	\N	\N
3539693	277	1994-08-31	PRIJEM	\N	240	39573	UROK	\N	\N
3539694	277	1994-09-30	PRIJEM	\N	242	63523	UROK	\N	\N
3539695	277	1994-10-31	PRIJEM	\N	262	44085	UROK	\N	\N
3539696	277	1994-11-30	PRIJEM	\N	219	53383	UROK	\N	\N
3539697	277	1994-12-31	PRIJEM	\N	286	52321	UROK	\N	\N
3539698	277	1995-01-31	PRIJEM	\N	176	26296	UROK	\N	\N
3539699	277	1995-02-28	PRIJEM	\N	109	24305	UROK	\N	\N
3539700	277	1995-03-31	PRIJEM	\N	101	25199	UROK	\N	\N
3539701	277	1995-04-30	PRIJEM	\N	104	24204	UROK	\N	\N
3539702	277	1995-05-31	PRIJEM	\N	100	25204	UROK	\N	\N
3539703	277	1995-06-30	PRIJEM	\N	105	26208	UROK	\N	\N
3539704	277	1995-07-31	PRIJEM	\N	109	27117	UROK	\N	\N
3539705	277	1995-08-31	PRIJEM	\N	112	25029	UROK	\N	\N
3539706	277	1995-09-30	PRIJEM	\N	104	25133	UROK	\N	\N
3539707	277	1995-10-31	PRIJEM	\N	104	26337	UROK	\N	\N
3539708	277	1995-11-30	PRIJEM	\N	109	25846	UROK	\N	\N
3539709	277	1995-12-31	PRIJEM	\N	107	26152	UROK	\N	\N
3539710	277	1996-01-31	PRIJEM	\N	121	21959	UROK	\N	\N
3539711	277	1996-02-29	PRIJEM	\N	91	25650	UROK	\N	\N
3539712	277	1996-03-31	PRIJEM	\N	101	22351	UROK	\N	\N
3539713	277	1996-04-30	PRIJEM	\N	92	20343	UROK	\N	\N
3539714	277	1996-05-31	PRIJEM	\N	89	40346	UROK	\N	\N
3539715	277	1996-06-30	PRIJEM	\N	172	30645	UROK	\N	\N
3539716	277	1996-07-31	PRIJEM	\N	126	28171	UROK	\N	\N
3539717	277	1996-08-31	PRIJEM	\N	176	40635	UROK	\N	\N
3539718	277	1996-09-30	PRIJEM	\N	158	28861	UROK	\N	\N
3539719	277	1996-10-31	PRIJEM	\N	270	76938	UROK	\N	\N
3539720	277	1996-11-30	PRIJEM	\N	316	57554	UROK	\N	\N
3539721	277	1996-12-31	PRIJEM	\N	181	27190	UROK	\N	\N
3539722	277	1997-01-31	PRIJEM	\N	178	80621	UROK	\N	\N
3539723	277	1997-02-28	PRIJEM	\N	304	60298	UROK	\N	\N
3539724	277	1997-03-31	PRIJEM	\N	277	82963	UROK	\N	\N
3539725	277	1997-04-30	PRIJEM	\N	334	76335	UROK	\N	\N
3539726	277	1997-05-31	PRIJEM	\N	314	62549	UROK	\N	\N
3539727	277	1997-06-30	PRIJEM	\N	189	46990	UROK	\N	\N
3539728	277	1997-07-31	PRIJEM	\N	210	62458	UROK	\N	\N
3539729	277	1997-08-31	PRIJEM	\N	276	94245	UROK	\N	\N
3539730	277	1997-09-30	PRIJEM	\N	312	58959	UROK	\N	\N
3539731	277	1997-10-31	PRIJEM	\N	223	74803	UROK	\N	\N
3539732	277	1997-11-30	PRIJEM	\N	324	82063	UROK	\N	\N
3539733	277	1997-12-31	PRIJEM	\N	341	104002	UROK	\N	\N
3539734	277	1998-01-31	PRIJEM	\N	352	47384	UROK	\N	\N
3539735	277	1998-02-28	PRIJEM	\N	313	98404	UROK	\N	\N
3539736	277	1998-03-31	PRIJEM	\N	360	107598	UROK	\N	\N
3539737	277	1998-04-30	PRIJEM	\N	333	73282	UROK	\N	\N
3539738	277	1998-05-31	PRIJEM	\N	319	77354	UROK	\N	\N
3539739	277	1998-06-30	PRIJEM	\N	348	86684	UROK	\N	\N
3539740	277	1998-07-31	PRIJEM	\N	340	91262	UROK	\N	\N
3539741	277	1998-08-31	PRIJEM	\N	339	80115	UROK	\N	\N
3539742	277	1998-09-30	PRIJEM	\N	358	85014	UROK	\N	\N
3539743	277	1998-10-31	PRIJEM	\N	237	41565	UROK	\N	\N
3539744	277	1998-11-30	PRIJEM	\N	309	111303	UROK	\N	\N
3539745	277	1998-12-31	PRIJEM	\N	375	90297	UROK	\N	\N
3539746	278	1996-04-30	PRIJEM	\N	60	21509	UROK	\N	\N
3539747	278	1996-05-31	PRIJEM	\N	148	42205	UROK	\N	\N
3539748	278	1996-06-30	PRIJEM	\N	237	64667	UROK	\N	\N
3539749	278	1996-07-31	PRIJEM	\N	277	67692	UROK	\N	\N
3539750	278	1996-08-31	PRIJEM	\N	280	64921	UROK	\N	\N
3539751	278	1996-09-30	PRIJEM	\N	254	62547	UROK	\N	\N
3539752	278	1996-10-31	PRIJEM	\N	238	58357	UROK	\N	\N
3539753	278	1996-11-30	PRIJEM	\N	241	60671	UROK	\N	\N
3539754	278	1996-12-31	PRIJEM	\N	268	68187	UROK	\N	\N
3539755	278	1997-01-31	PRIJEM	\N	208	49567	UROK	\N	\N
3539756	278	1997-02-28	PRIJEM	\N	216	52956	UROK	\N	\N
3539757	278	1997-03-31	PRIJEM	\N	230	60358	UROK	\N	\N
3539758	278	1997-04-30	PRIJEM	\N	250	62780	UROK	\N	\N
3539759	278	1997-05-31	PRIJEM	\N	251	62504	UROK	\N	\N
3539760	278	1997-06-30	PRIJEM	\N	227	55478	UROK	\N	\N
3539761	278	1997-07-31	PRIJEM	\N	226	59676	UROK	\N	\N
3539762	278	1997-08-31	PRIJEM	\N	269	68817	UROK	\N	\N
3539763	278	1997-09-30	PRIJEM	\N	298	74288	UROK	\N	\N
3539764	278	1997-10-31	PRIJEM	\N	278	53138	UROK	\N	\N
3539765	278	1997-11-30	PRIJEM	\N	265	55975	UROK	\N	\N
3539766	278	1997-12-31	PRIJEM	\N	294	57017	UROK	\N	\N
3539767	278	1998-01-31	PRIJEM	\N	255	53944	UROK	\N	\N
3539768	278	1998-02-28	PRIJEM	\N	267	59884	UROK	\N	\N
3539769	278	1998-03-31	PRIJEM	\N	289	59945	UROK	\N	\N
3539770	278	1998-04-30	PRIJEM	\N	283	60900	UROK	\N	\N
3539771	278	1998-05-31	PRIJEM	\N	294	64367	UROK	\N	\N
3539772	278	1998-06-30	PRIJEM	\N	329	67343	UROK	\N	\N
3539773	278	1998-07-31	PRIJEM	\N	314	64130	UROK	\N	\N
3539774	278	1998-08-31	PRIJEM	\N	297	64299	UROK	\N	\N
3539775	278	1998-09-30	PRIJEM	\N	302	66473	UROK	\N	\N
3539776	278	1998-10-31	PRIJEM	\N	307	65352	UROK	\N	\N
3539777	278	1998-11-30	PRIJEM	\N	306	69730	UROK	\N	\N
3539778	278	1998-12-31	PRIJEM	\N	365	96842	UROK	\N	\N
3539779	279	1993-09-30	PRIJEM	\N	36	13467	UROK	\N	\N
3539780	279	1993-10-31	PRIJEM	\N	59	14514	UROK	\N	\N
3539781	279	1993-11-30	PRIJEM	\N	63	15566	UROK	\N	\N
3539782	279	1993-12-31	PRIJEM	\N	69	16323	UROK	\N	\N
3539783	279	1994-01-31	PRIJEM	\N	66	14287	UROK	\N	\N
3539784	279	1994-02-28	PRIJEM	\N	57	12692	UROK	\N	\N
3539785	279	1994-03-31	PRIJEM	\N	56	13736	UROK	\N	\N
3539786	279	1994-04-30	PRIJEM	\N	60	14785	UROK	\N	\N
3539787	279	1994-05-31	PRIJEM	\N	64	15837	UROK	\N	\N
3539788	279	1994-06-30	PRIJEM	\N	65	15360	UROK	\N	\N
3539789	279	1994-07-31	PRIJEM	\N	66	15665	UROK	\N	\N
3539790	279	1994-08-31	PRIJEM	\N	68	16721	UROK	\N	\N
3539791	279	1994-09-30	PRIJEM	\N	72	17152	UROK	\N	\N
3539792	279	1994-10-31	PRIJEM	\N	74	18214	UROK	\N	\N
3539793	279	1994-11-30	PRIJEM	\N	79	19281	UROK	\N	\N
3539794	279	1994-12-31	PRIJEM	\N	84	19993	UROK	\N	\N
3539795	279	1995-01-31	PRIJEM	\N	80	16772	UROK	\N	\N
3539796	279	1995-02-28	PRIJEM	\N	71	16931	UROK	\N	\N
3539797	279	1995-03-31	PRIJEM	\N	72	17151	UROK	\N	\N
3539798	279	1995-04-30	PRIJEM	\N	74	18213	UROK	\N	\N
3539799	279	1995-05-31	PRIJEM	\N	79	19280	UROK	\N	\N
3539800	279	1995-06-30	PRIJEM	\N	85	20253	UROK	\N	\N
3539801	279	1995-07-31	PRIJEM	\N	87	21328	UROK	\N	\N
3539802	279	1995-08-31	PRIJEM	\N	91	21808	UROK	\N	\N
3539803	279	1995-09-30	PRIJEM	\N	93	22890	UROK	\N	\N
3539804	279	1995-10-31	PRIJEM	\N	88	20667	UROK	\N	\N
3539805	279	1995-11-30	PRIJEM	\N	72	16087	UROK	\N	\N
3539806	279	1995-12-31	PRIJEM	\N	70	16786	UROK	\N	\N
3539807	279	1996-01-31	PRIJEM	\N	67	14271	UROK	\N	\N
3539808	279	1996-02-29	PRIJEM	\N	62	15321	UROK	\N	\N
3539809	279	1996-03-31	PRIJEM	\N	66	16375	UROK	\N	\N
3539810	279	1996-04-30	PRIJEM	\N	67	16021	UROK	\N	\N
3539811	279	1996-05-31	PRIJEM	\N	69	17078	UROK	\N	\N
3539812	279	1996-06-30	PRIJEM	\N	72	17058	UROK	\N	\N
3539813	279	1996-07-31	PRIJEM	\N	73	18120	UROK	\N	\N
3539814	279	1996-08-31	PRIJEM	\N	78	19186	UROK	\N	\N
3539815	279	1996-09-30	PRIJEM	\N	82	20256	UROK	\N	\N
3539816	279	1996-10-31	PRIJEM	\N	87	21331	UROK	\N	\N
3539817	279	1996-11-30	PRIJEM	\N	91	22050	UROK	\N	\N
3539818	279	1996-12-31	PRIJEM	\N	90	21689	UROK	\N	\N
3539819	279	1997-01-31	PRIJEM	\N	89	19376	UROK	\N	\N
3539820	279	1997-02-28	PRIJEM	\N	83	20446	UROK	\N	\N
3539821	279	1997-03-31	PRIJEM	\N	85	20529	UROK	\N	\N
3539822	279	1997-04-30	PRIJEM	\N	88	21156	UROK	\N	\N
3539823	279	1997-05-31	PRIJEM	\N	90	22234	UROK	\N	\N
3539824	279	1997-06-30	PRIJEM	\N	94	23046	UROK	\N	\N
3539825	279	1997-07-31	PRIJEM	\N	98	24132	UROK	\N	\N
3539826	279	1997-08-31	PRIJEM	\N	100	24020	UROK	\N	\N
3539827	279	1997-09-30	PRIJEM	\N	100	23639	UROK	\N	\N
3539828	279	1997-10-31	PRIJEM	\N	100	24367	UROK	\N	\N
3539829	279	1997-11-30	PRIJEM	\N	103	25458	UROK	\N	\N
3539830	279	1997-12-31	PRIJEM	\N	107	25774	UROK	\N	\N
3539831	279	1998-01-31	PRIJEM	\N	103	23325	UROK	\N	\N
3539832	279	1998-02-28	PRIJEM	\N	98	24411	UROK	\N	\N
3539833	279	1998-03-31	PRIJEM	\N	103	25503	UROK	\N	\N
3539834	279	1998-04-30	PRIJEM	\N	107	26598	UROK	\N	\N
3539835	279	1998-05-31	PRIJEM	\N	112	27698	UROK	\N	\N
3539836	279	1998-06-30	PRIJEM	\N	111	26277	UROK	\N	\N
3539837	279	1998-07-31	PRIJEM	\N	110	27376	UROK	\N	\N
3539838	279	1998-08-31	PRIJEM	\N	115	28479	UROK	\N	\N
3539839	279	1998-09-30	PRIJEM	\N	119	29587	UROK	\N	\N
3539840	279	1998-10-31	PRIJEM	\N	122	29407	UROK	\N	\N
3539841	279	1998-11-30	PRIJEM	\N	123	29828	UROK	\N	\N
3539842	279	1998-12-31	PRIJEM	\N	125	30761	UROK	\N	\N
3539843	280	1993-02-28	PRIJEM	\N	19	18562	UROK	\N	\N
3539844	280	1993-03-31	PRIJEM	\N	85	25590	UROK	\N	\N
3539845	280	1993-04-30	PRIJEM	\N	114	32948	UROK	\N	\N
3539846	280	1993-05-31	PRIJEM	\N	137	32827	UROK	\N	\N
3539847	280	1993-06-30	PRIJEM	\N	136	25654	UROK	\N	\N
3539848	280	1993-07-31	PRIJEM	\N	115	27569	UROK	\N	\N
3539849	280	1993-08-31	PRIJEM	\N	111	24701	UROK	\N	\N
3539850	280	1993-09-30	PRIJEM	\N	106	25547	UROK	\N	\N
3539851	280	1993-10-31	PRIJEM	\N	100	19608	UROK	\N	\N
3539852	280	1993-11-30	PRIJEM	\N	96	25904	UROK	\N	\N
3539853	280	1993-12-31	PRIJEM	\N	126	28492	UROK	\N	\N
3539854	280	1994-01-31	PRIJEM	\N	105	19057	UROK	\N	\N
3539855	280	1994-02-28	PRIJEM	\N	94	25552	UROK	\N	\N
3539856	280	1994-03-31	PRIJEM	\N	94	21866	UROK	\N	\N
3539857	280	1994-04-30	PRIJEM	\N	104	27171	UROK	\N	\N
3539858	280	1994-05-31	PRIJEM	\N	118	28089	UROK	\N	\N
3539859	280	1994-06-30	PRIJEM	\N	131	28682	UROK	\N	\N
3539860	280	1994-07-31	PRIJEM	\N	124	29707	UROK	\N	\N
3539861	280	1994-08-31	PRIJEM	\N	126	29833	UROK	\N	\N
3539862	280	1994-09-30	PRIJEM	\N	126	29960	UROK	\N	\N
3539863	280	1994-10-31	PRIJEM	\N	130	31690	UROK	\N	\N
3539864	280	1994-11-30	PRIJEM	\N	125	23196	UROK	\N	\N
3539865	280	1994-12-31	PRIJEM	\N	112	27409	UROK	\N	\N
3539866	280	1995-01-31	PRIJEM	\N	77	14846	UROK	\N	\N
3539867	280	1995-02-28	PRIJEM	\N	79	21826	UROK	\N	\N
3539868	280	1995-03-31	PRIJEM	\N	107	28233	UROK	\N	\N
3539869	280	1995-04-30	PRIJEM	\N	131	30465	UROK	\N	\N
3539870	280	1995-05-31	PRIJEM	\N	121	29126	UROK	\N	\N
3539871	280	1995-06-30	PRIJEM	\N	130	32278	UROK	\N	\N
3539872	280	1995-07-31	PRIJEM	\N	133	31831	UROK	\N	\N
3539873	280	1995-08-31	PRIJEM	\N	156	40888	UROK	\N	\N
3539874	280	1995-09-30	PRIJEM	\N	171	41859	UROK	\N	\N
3539875	280	1995-10-31	PRIJEM	\N	175	43235	UROK	\N	\N
3539876	280	1995-11-30	PRIJEM	\N	170	41005	UROK	\N	\N
3539877	280	1995-12-31	PRIJEM	\N	175	44322	UROK	\N	\N
3539878	280	1996-01-31	PRIJEM	\N	151	34054	UROK	\N	\N
3539879	280	1996-02-29	PRIJEM	\N	138	33792	UROK	\N	\N
3539880	280	1996-03-31	PRIJEM	\N	140	32572	UROK	\N	\N
3539881	280	1996-04-30	PRIJEM	\N	130	31902	UROK	\N	\N
3539882	280	1996-05-31	PRIJEM	\N	131	32333	UROK	\N	\N
3539883	280	1996-06-30	PRIJEM	\N	147	38302	UROK	\N	\N
3539884	280	1996-07-31	PRIJEM	\N	146	32768	UROK	\N	\N
3539885	280	1996-08-31	PRIJEM	\N	124	30512	UROK	\N	\N
3539886	280	1996-09-30	PRIJEM	\N	139	36051	UROK	\N	\N
3539887	280	1996-10-31	PRIJEM	\N	148	36599	UROK	\N	\N
3539888	280	1996-11-30	PRIJEM	\N	132	28312	UROK	\N	\N
3539889	280	1996-12-31	PRIJEM	\N	123	31677	UROK	\N	\N
3539890	280	1997-01-31	PRIJEM	\N	86	18363	UROK	\N	\N
3539891	280	1997-02-28	PRIJEM	\N	100	28263	UROK	\N	\N
3539892	280	1997-03-31	PRIJEM	\N	121	30985	UROK	\N	\N
3539893	280	1997-04-30	PRIJEM	\N	117	28402	UROK	\N	\N
3539894	280	1997-05-31	PRIJEM	\N	120	30422	UROK	\N	\N
3539895	280	1997-06-30	PRIJEM	\N	137	36281	UROK	\N	\N
3539896	280	1997-07-31	PRIJEM	\N	141	34523	UROK	\N	\N
3539897	280	1997-08-31	PRIJEM	\N	145	32268	UROK	\N	\N
3539898	280	1997-09-30	PRIJEM	\N	127	28055	UROK	\N	\N
3539899	280	1997-10-31	PRIJEM	\N	119	28434	UROK	\N	\N
3539900	280	1997-11-30	PRIJEM	\N	126	31321	UROK	\N	\N
3539901	280	1997-12-31	PRIJEM	\N	148	41551	UROK	\N	\N
3539902	280	1998-01-31	PRIJEM	\N	157	35189	UROK	\N	\N
3539903	280	1998-02-28	PRIJEM	\N	155	41444	UROK	\N	\N
3539904	280	1998-03-31	PRIJEM	\N	176	42040	UROK	\N	\N
3539905	280	1998-04-30	PRIJEM	\N	176	41137	UROK	\N	\N
3539906	280	1998-05-31	PRIJEM	\N	179	45416	UROK	\N	\N
3539907	280	1998-06-30	PRIJEM	\N	208	49346	UROK	\N	\N
3539908	280	1998-07-31	PRIJEM	\N	202	43268	UROK	\N	\N
3539909	280	1998-08-31	PRIJEM	\N	183	42451	UROK	\N	\N
3539910	280	1998-09-30	PRIJEM	\N	183	45534	UROK	\N	\N
3539911	280	1998-10-31	PRIJEM	\N	200	53135	UROK	\N	\N
3539912	280	1998-11-30	PRIJEM	\N	227	56362	UROK	\N	\N
3539913	280	1998-12-31	PRIJEM	\N	255	65518	UROK	\N	\N
3539914	281	1996-11-30	PRIJEM	\N	13	19380	UROK	\N	\N
3539915	281	1996-12-31	PRIJEM	\N	88	29019	UROK	\N	\N
3539916	281	1997-01-31	PRIJEM	\N	121	29707	UROK	\N	\N
3539917	281	1997-02-28	PRIJEM	\N	128	35802	UROK	\N	\N
3539918	281	1997-03-31	PRIJEM	\N	171	33962	UROK	\N	\N
3539919	281	1997-04-30	PRIJEM	\N	164	32901	UROK	\N	\N
3539920	281	1997-05-31	PRIJEM	\N	164	37539	UROK	\N	\N
3539921	281	1997-06-30	PRIJEM	\N	130	32426	UROK	\N	\N
3539922	281	1997-07-31	PRIJEM	\N	144	36424	UROK	\N	\N
3539923	281	1997-08-31	PRIJEM	\N	183	45982	UROK	\N	\N
3539924	281	1997-09-30	PRIJEM	\N	200	45897	UROK	\N	\N
3539925	281	1997-10-31	PRIJEM	\N	211	46462	UROK	\N	\N
3539926	281	1997-11-30	PRIJEM	\N	203	50339	UROK	\N	\N
3539927	281	1997-12-31	PRIJEM	\N	241	51417	UROK	\N	\N
3539928	281	1998-01-31	PRIJEM	\N	180	36152	UROK	\N	\N
3539929	281	1998-02-28	PRIJEM	\N	165	48312	UROK	\N	\N
3539930	281	1998-03-31	PRIJEM	\N	201	50448	UROK	\N	\N
3539931	281	1998-04-30	PRIJEM	\N	205	45407	UROK	\N	\N
3539932	281	1998-05-31	PRIJEM	\N	210	55090	UROK	\N	\N
3539933	281	1998-06-30	PRIJEM	\N	209	47337	UROK	\N	\N
3539934	281	1998-07-31	PRIJEM	\N	213	53385	UROK	\N	\N
3539935	281	1998-08-31	PRIJEM	\N	249	60308	UROK	\N	\N
3539936	281	1998-09-30	PRIJEM	\N	262	63944	UROK	\N	\N
3539937	281	1998-10-31	PRIJEM	\N	266	62085	UROK	\N	\N
3539938	281	1998-11-30	PRIJEM	\N	250	56249	UROK	\N	\N
3539939	281	1998-12-31	PRIJEM	\N	252	60459	UROK	\N	\N
3539940	282	1997-06-30	PRIJEM	\N	83	30075	UROK	\N	\N
3539941	282	1997-07-31	PRIJEM	\N	140	35376	UROK	\N	\N
3539942	282	1997-08-31	PRIJEM	\N	163	41000	UROK	\N	\N
3539943	282	1997-09-30	PRIJEM	\N	210	54571	UROK	\N	\N
3539944	282	1997-10-31	PRIJEM	\N	254	63786	UROK	\N	\N
3539945	282	1997-11-30	PRIJEM	\N	247	59406	UROK	\N	\N
3539946	282	1997-12-31	PRIJEM	\N	270	65260	UROK	\N	\N
3539947	282	1998-01-31	PRIJEM	\N	216	46210	UROK	\N	\N
3539948	282	1998-02-28	PRIJEM	\N	175	43298	UROK	\N	\N
3539949	282	1998-03-31	PRIJEM	\N	200	50511	UROK	\N	\N
3539950	282	1998-04-30	PRIJEM	\N	190	46614	UROK	\N	\N
3539951	282	1998-05-31	PRIJEM	\N	176	43603	UROK	\N	\N
3539952	282	1998-06-30	PRIJEM	\N	184	47931	UROK	\N	\N
3539953	282	1998-07-31	PRIJEM	\N	155	36999	UROK	\N	\N
3539954	282	1998-08-31	PRIJEM	\N	126	32198	UROK	\N	\N
3539955	282	1998-09-30	PRIJEM	\N	133	34345	UROK	\N	\N
3539956	282	1998-10-31	PRIJEM	\N	146	36364	UROK	\N	\N
3539957	282	1998-11-30	PRIJEM	\N	164	42642	UROK	\N	\N
3539958	282	1998-12-31	PRIJEM	\N	201	52926	UROK	\N	\N
3539959	283	1996-09-30	PRIJEM	\N	4	24999	UROK	\N	\N
3539960	283	1996-10-31	PRIJEM	\N	107	26168	UROK	\N	\N
3539961	283	1996-11-30	PRIJEM	\N	114	28304	UROK	\N	\N
3539962	283	1996-12-31	PRIJEM	\N	104	24491	UROK	\N	\N
3539963	283	1997-01-31	PRIJEM	\N	77	16630	UROK	\N	\N
3539964	283	1997-02-28	PRIJEM	\N	74	18727	UROK	\N	\N
3539965	283	1997-03-31	PRIJEM	\N	83	20832	UROK	\N	\N
3539966	283	1997-04-30	PRIJEM	\N	92	22946	UROK	\N	\N
3539967	283	1997-05-31	PRIJEM	\N	101	25069	UROK	\N	\N
3539968	283	1997-06-30	PRIJEM	\N	104	24396	UROK	\N	\N
3539969	283	1997-07-31	PRIJEM	\N	107	26525	UROK	\N	\N
3539970	283	1997-08-31	PRIJEM	\N	115	27462	UROK	\N	\N
3539971	283	1997-09-30	PRIJEM	\N	119	29604	UROK	\N	\N
3539972	283	1997-10-31	PRIJEM	\N	121	28627	UROK	\N	\N
3539973	283	1997-11-30	PRIJEM	\N	114	28363	UROK	\N	\N
3539974	283	1997-12-31	PRIJEM	\N	120	29755	UROK	\N	\N
3539975	283	1998-01-31	PRIJEM	\N	110	24437	UROK	\N	\N
3539976	283	1998-02-28	PRIJEM	\N	100	20960	UROK	\N	\N
3539977	283	1998-03-31	PRIJEM	\N	92	23074	UROK	\N	\N
3539978	283	1998-04-30	PRIJEM	\N	92	19828	UROK	\N	\N
3539979	283	1998-05-31	PRIJEM	\N	88	21938	UROK	\N	\N
3539980	283	1998-06-30	PRIJEM	\N	76	16126	UROK	\N	\N
3539981	283	1998-07-31	PRIJEM	\N	72	18220	UROK	\N	\N
3539982	283	1998-08-31	PRIJEM	\N	81	20323	UROK	\N	\N
3539983	283	1998-09-30	PRIJEM	\N	89	22435	UROK	\N	\N
3539984	283	1998-10-31	PRIJEM	\N	98	24556	UROK	\N	\N
3539985	283	1998-11-30	PRIJEM	\N	107	26685	UROK	\N	\N
3539986	283	1998-12-31	PRIJEM	\N	115	28072	UROK	\N	\N
3539987	284	1997-08-31	PRIJEM	\N	49	24468	UROK	\N	\N
3539988	284	1997-09-30	PRIJEM	\N	120	33307	UROK	\N	\N
3539989	284	1997-10-31	PRIJEM	\N	148	37874	UROK	\N	\N
3539990	284	1997-11-30	PRIJEM	\N	156	37249	UROK	\N	\N
3539991	284	1997-12-31	PRIJEM	\N	121	20159	UROK	\N	\N
3539992	284	1998-01-31	PRIJEM	\N	88	20223	UROK	\N	\N
3539993	284	1998-02-28	PRIJEM	\N	120	26509	UROK	\N	\N
3539994	284	1998-03-31	PRIJEM	\N	128	33312	UROK	\N	\N
3539995	284	1998-04-30	PRIJEM	\N	148	37235	UROK	\N	\N
3539996	284	1998-05-31	PRIJEM	\N	123	20444	UROK	\N	\N
3539997	284	1998-06-30	PRIJEM	\N	131	38260	UROK	\N	\N
3539998	284	1998-07-31	PRIJEM	\N	172	45876	UROK	\N	\N
3539999	284	1998-08-31	PRIJEM	\N	186	41537	UROK	\N	\N
3540000	284	1998-09-30	PRIJEM	\N	188	50100	UROK	\N	\N
3540001	284	1998-10-31	PRIJEM	\N	204	50694	UROK	\N	\N
3540002	284	1998-11-30	PRIJEM	\N	209	53673	UROK	\N	\N
3540003	284	1998-12-31	PRIJEM	\N	211	30723	UROK	\N	\N
3540004	285	1995-05-31	PRIJEM	\N	60	20407	UROK	\N	\N
3540005	285	1995-06-30	PRIJEM	\N	174	51001	UROK	\N	\N
3540006	285	1995-07-31	PRIJEM	\N	237	59686	UROK	\N	\N
3540007	285	1995-08-31	PRIJEM	\N	262	64494	UROK	\N	\N
3540008	285	1995-09-30	PRIJEM	\N	271	65612	UROK	\N	\N
3540009	285	1995-10-31	PRIJEM	\N	264	65189	UROK	\N	\N
3540010	285	1995-11-30	PRIJEM	\N	271	64252	UROK	\N	\N
3540011	285	1995-12-31	PRIJEM	\N	283	75041	UROK	\N	\N
3540012	285	1996-01-31	PRIJEM	\N	262	66955	UROK	\N	\N
3540013	285	1996-02-29	PRIJEM	\N	247	62194	UROK	\N	\N
3540014	285	1996-03-31	PRIJEM	\N	278	68804	UROK	\N	\N
3540015	285	1996-04-30	PRIJEM	\N	302	74339	UROK	\N	\N
3540016	285	1996-05-31	PRIJEM	\N	319	75130	UROK	\N	\N
3540017	285	1996-06-30	PRIJEM	\N	289	56865	UROK	\N	\N
3540018	285	1996-07-31	PRIJEM	\N	244	60922	UROK	\N	\N
3540019	285	1996-08-31	PRIJEM	\N	248	51543	UROK	\N	\N
3540020	285	1996-09-30	PRIJEM	\N	261	52776	UROK	\N	\N
3540021	285	1996-10-31	PRIJEM	\N	221	57329	UROK	\N	\N
3540022	285	1996-11-30	PRIJEM	\N	238	57300	UROK	\N	\N
3540023	285	1996-12-31	PRIJEM	\N	247	66252	UROK	\N	\N
3540024	285	1997-01-31	PRIJEM	\N	290	59515	UROK	\N	\N
3540025	285	1997-02-28	PRIJEM	\N	288	61755	UROK	\N	\N
3540026	285	1997-03-31	PRIJEM	\N	256	61544	UROK	\N	\N
3540027	285	1997-04-30	PRIJEM	\N	255	61932	UROK	\N	\N
3540028	285	1997-05-31	PRIJEM	\N	257	62021	UROK	\N	\N
3540029	285	1997-06-30	PRIJEM	\N	231	48737	UROK	\N	\N
3540030	285	1997-07-31	PRIJEM	\N	223	55653	UROK	\N	\N
3540031	285	1997-08-31	PRIJEM	\N	237	62822	UROK	\N	\N
3540032	285	1997-09-30	PRIJEM	\N	267	70121	UROK	\N	\N
3540033	285	1997-10-31	PRIJEM	\N	295	75049	UROK	\N	\N
3540034	285	1997-11-30	PRIJEM	\N	311	75693	UROK	\N	\N
3540035	285	1997-12-31	PRIJEM	\N	376	75874	UROK	\N	\N
3540036	285	1998-01-31	PRIJEM	\N	319	64845	UROK	\N	\N
3540037	285	1998-02-28	PRIJEM	\N	273	69150	UROK	\N	\N
3540038	285	1998-03-31	PRIJEM	\N	311	70174	UROK	\N	\N
3540039	285	1998-04-30	PRIJEM	\N	295	74121	UROK	\N	\N
3540040	285	1998-05-31	PRIJEM	\N	336	74850	UROK	\N	\N
3540041	285	1998-06-30	PRIJEM	\N	324	75679	UROK	\N	\N
3540042	285	1998-07-31	PRIJEM	\N	314	76925	UROK	\N	\N
3540043	285	1998-08-31	PRIJEM	\N	311	73569	UROK	\N	\N
3540044	285	1998-09-30	PRIJEM	\N	304	74606	UROK	\N	\N
3540045	285	1998-10-31	PRIJEM	\N	303	72341	UROK	\N	\N
3540046	285	1998-11-30	PRIJEM	\N	324	75637	UROK	\N	\N
3540047	285	1998-12-31	PRIJEM	\N	386	101149	UROK	\N	\N
3540048	286	1996-04-30	PRIJEM	\N	17	25114	UROK	\N	\N
3540049	286	1996-05-31	PRIJEM	\N	111	33122	UROK	\N	\N
3540050	286	1996-06-30	PRIJEM	\N	146	43765	UROK	\N	\N
3540051	286	1996-07-31	PRIJEM	\N	180	41441	UROK	\N	\N
3540052	286	1996-08-31	PRIJEM	\N	216	41507	UROK	\N	\N
3540053	286	1996-09-30	PRIJEM	\N	210	38671	UROK	\N	\N
3540054	286	1996-10-31	PRIJEM	\N	181	38806	UROK	\N	\N
3540055	286	1996-11-30	PRIJEM	\N	201	39542	UROK	\N	\N
3540056	286	1996-12-31	PRIJEM	\N	211	44887	UROK	\N	\N
3540057	286	1997-01-31	PRIJEM	\N	195	38336	UROK	\N	\N
3540058	286	1997-02-28	PRIJEM	\N	191	35761	UROK	\N	\N
3540059	286	1997-03-31	PRIJEM	\N	177	32133	UROK	\N	\N
3540060	286	1997-04-30	PRIJEM	\N	151	30018	UROK	\N	\N
3540061	286	1997-05-31	PRIJEM	\N	160	30212	UROK	\N	\N
3540062	286	1997-06-30	PRIJEM	\N	182	35427	UROK	\N	\N
3540063	286	1997-07-31	PRIJEM	\N	162	33624	UROK	\N	\N
3540064	286	1997-08-31	PRIJEM	\N	145	27604	UROK	\N	\N
3540065	286	1997-09-30	PRIJEM	\N	131	22469	UROK	\N	\N
3540066	286	1997-10-31	PRIJEM	\N	118	22221	UROK	\N	\N
3540067	286	1997-11-30	PRIJEM	\N	118	22873	UROK	\N	\N
3540068	286	1997-12-31	PRIJEM	\N	116	23923	UROK	\N	\N
3540069	286	1998-01-31	PRIJEM	\N	111	22948	UROK	\N	\N
3540070	286	1998-02-28	PRIJEM	\N	109	21392	UROK	\N	\N
3540071	286	1998-03-31	PRIJEM	\N	107	24433	UROK	\N	\N
3540072	286	1998-04-30	PRIJEM	\N	114	22582	UROK	\N	\N
3540073	286	1998-05-31	PRIJEM	\N	96	19512	UROK	\N	\N
3540074	286	1998-06-30	PRIJEM	\N	109	24654	UROK	\N	\N
3540075	286	1998-07-31	PRIJEM	\N	121	26409	UROK	\N	\N
3540076	286	1998-08-31	PRIJEM	\N	107	22750	UROK	\N	\N
3540077	286	1998-09-30	PRIJEM	\N	105	23790	UROK	\N	\N
3540078	286	1998-10-31	PRIJEM	\N	113	27637	UROK	\N	\N
3540079	286	1998-11-30	PRIJEM	\N	128	30900	UROK	\N	\N
3540080	286	1998-12-31	PRIJEM	\N	147	34300	UROK	\N	\N
3540081	287	1994-03-31	PRIJEM	\N	62	20128	UROK	\N	\N
3540082	287	1994-04-30	PRIJEM	\N	88	20500	UROK	\N	\N
3540083	287	1994-05-31	PRIJEM	\N	86	20549	UROK	\N	\N
3540084	287	1994-06-30	PRIJEM	\N	76	16528	UROK	\N	\N
3540085	287	1994-07-31	PRIJEM	\N	76	18807	UROK	\N	\N
3540086	287	1994-08-31	PRIJEM	\N	84	20095	UROK	\N	\N
3540087	287	1994-09-30	PRIJEM	\N	89	21188	UROK	\N	\N
3540088	287	1994-10-31	PRIJEM	\N	90	21081	UROK	\N	\N
3540089	287	1994-11-30	PRIJEM	\N	93	22478	UROK	\N	\N
3540090	287	1994-12-31	PRIJEM	\N	97	22478	UROK	\N	\N
3540091	287	1995-01-31	PRIJEM	\N	81	14252	UROK	\N	\N
3540092	287	1995-02-28	PRIJEM	\N	61	14036	UROK	\N	\N
3540093	287	1995-03-31	PRIJEM	\N	66	16305	UROK	\N	\N
3540094	287	1995-04-30	PRIJEM	\N	75	18584	UROK	\N	\N
3540095	287	1995-05-31	PRIJEM	\N	80	16227	UROK	\N	\N
3540096	287	1995-06-30	PRIJEM	\N	74	18504	UROK	\N	\N
3540097	287	1995-07-31	PRIJEM	\N	84	20792	UROK	\N	\N
3540098	287	1995-08-31	PRIJEM	\N	91	21686	UROK	\N	\N
3540099	287	1995-09-30	PRIJEM	\N	83	18712	UROK	\N	\N
3540100	287	1995-10-31	PRIJEM	\N	83	20199	UROK	\N	\N
3540101	287	1995-11-30	PRIJEM	\N	89	21371	UROK	\N	\N
3540102	287	1995-12-31	PRIJEM	\N	89	20563	UROK	\N	\N
3540103	287	1996-01-31	PRIJEM	\N	80	14496	UROK	\N	\N
3540104	287	1996-02-29	PRIJEM	\N	67	16766	UROK	\N	\N
3540105	287	1996-03-31	PRIJEM	\N	76	19046	UROK	\N	\N
3540106	287	1996-04-30	PRIJEM	\N	86	21335	UROK	\N	\N
3540107	287	1996-05-31	PRIJEM	\N	82	18440	UROK	\N	\N
3540108	287	1996-06-30	PRIJEM	\N	79	18822	UROK	\N	\N
3540109	287	1996-07-31	PRIJEM	\N	84	20709	UROK	\N	\N
3540110	287	1996-08-31	PRIJEM	\N	79	17891	UROK	\N	\N
3540111	287	1996-09-30	PRIJEM	\N	70	16465	UROK	\N	\N
3540112	287	1996-10-31	PRIJEM	\N	65	15434	UROK	\N	\N
3540113	287	1996-11-30	PRIJEM	\N	65	15802	UROK	\N	\N
3540114	287	1996-12-31	PRIJEM	\N	57	12462	UROK	\N	\N
3540115	287	1997-01-31	PRIJEM	\N	56	13921	UROK	\N	\N
3540116	287	1997-02-28	PRIJEM	\N	64	16189	UROK	\N	\N
3540117	287	1997-03-31	PRIJEM	\N	58	13250	UROK	\N	\N
3540118	287	1997-04-30	PRIJEM	\N	61	15515	UROK	\N	\N
3540119	287	1997-05-31	PRIJEM	\N	68	16746	UROK	\N	\N
3540120	287	1997-06-30	PRIJEM	\N	63	14712	UROK	\N	\N
3540121	287	1997-07-31	PRIJEM	\N	67	16882	UROK	\N	\N
3540122	287	1997-08-31	PRIJEM	\N	66	15472	UROK	\N	\N
3540123	287	1997-09-30	PRIJEM	\N	70	17745	UROK	\N	\N
3540124	287	1997-10-31	PRIJEM	\N	78	17787	UROK	\N	\N
3540125	287	1997-11-30	PRIJEM	\N	80	20070	UROK	\N	\N
3540126	287	1997-12-31	PRIJEM	\N	88	20201	UROK	\N	\N
3540127	287	1998-01-31	PRIJEM	\N	71	15016	UROK	\N	\N
3540128	287	1998-02-28	PRIJEM	\N	67	16986	UROK	\N	\N
3540129	287	1998-03-31	PRIJEM	\N	77	19266	UROK	\N	\N
3540130	287	1998-04-30	PRIJEM	\N	76	18446	UROK	\N	\N
3540131	287	1998-05-31	PRIJEM	\N	78	19327	UROK	\N	\N
3540132	287	1998-06-30	PRIJEM	\N	80	19611	UROK	\N	\N
3540133	287	1998-07-31	PRIJEM	\N	70	16284	UROK	\N	\N
3540134	287	1998-08-31	PRIJEM	\N	73	18561	UROK	\N	\N
3540135	287	1998-09-30	PRIJEM	\N	67	15431	UROK	\N	\N
3540136	287	1998-10-31	PRIJEM	\N	69	17704	UROK	\N	\N
3540137	287	1998-11-30	PRIJEM	\N	72	17479	UROK	\N	\N
3540138	287	1998-12-31	PRIJEM	\N	65	15347	UROK	\N	\N
3540139	288	1995-08-31	PRIJEM	\N	76	23187	UROK	\N	\N
3540140	288	1995-09-30	PRIJEM	\N	98	23281	UROK	\N	\N
3540141	288	1995-10-31	PRIJEM	\N	98	23455	UROK	\N	\N
3540142	288	1995-11-30	PRIJEM	\N	103	21555	UROK	\N	\N
3540143	288	1995-12-31	PRIJEM	\N	94	22585	UROK	\N	\N
3540144	288	1996-01-31	PRIJEM	\N	82	14963	UROK	\N	\N
3540145	288	1996-02-29	PRIJEM	\N	68	16868	UROK	\N	\N
3540146	288	1996-03-31	PRIJEM	\N	74	17659	UROK	\N	\N
3540147	288	1996-04-30	PRIJEM	\N	68	15723	UROK	\N	\N
3540148	288	1996-05-31	PRIJEM	\N	70	17150	UROK	\N	\N
3540149	288	1996-06-30	PRIJEM	\N	77	19063	UROK	\N	\N
3540150	288	1996-07-31	PRIJEM	\N	85	20985	UROK	\N	\N
3540151	288	1996-08-31	PRIJEM	\N	93	22915	UROK	\N	\N
3540152	288	1996-09-30	PRIJEM	\N	99	24130	UROK	\N	\N
3540153	288	1996-10-31	PRIJEM	\N	103	24969	UROK	\N	\N
3540154	288	1996-11-30	PRIJEM	\N	103	24709	UROK	\N	\N
3540155	288	1996-12-31	PRIJEM	\N	105	25300	UROK	\N	\N
3540156	288	1997-01-31	PRIJEM	\N	81	13937	UROK	\N	\N
3540157	288	1997-02-28	PRIJEM	\N	64	15837	UROK	\N	\N
3540158	288	1997-03-31	PRIJEM	\N	72	17745	UROK	\N	\N
3540159	288	1997-04-30	PRIJEM	\N	80	19661	UROK	\N	\N
3540160	288	1997-05-31	PRIJEM	\N	88	21585	UROK	\N	\N
3540161	288	1997-06-30	PRIJEM	\N	96	23517	UROK	\N	\N
3540162	288	1997-07-31	PRIJEM	\N	104	25457	UROK	\N	\N
3540163	288	1997-08-31	PRIJEM	\N	112	27405	UROK	\N	\N
3540164	288	1997-09-30	PRIJEM	\N	120	29361	UROK	\N	\N
3540165	288	1997-10-31	PRIJEM	\N	128	31325	UROK	\N	\N
3540166	288	1997-11-30	PRIJEM	\N	136	33298	UROK	\N	\N
3540167	288	1997-12-31	PRIJEM	\N	141	33705	UROK	\N	\N
3540168	288	1998-01-31	PRIJEM	\N	116	23058	UROK	\N	\N
3540169	288	1998-02-28	PRIJEM	\N	96	22990	UROK	\N	\N
3540170	288	1998-03-31	PRIJEM	\N	101	24927	UROK	\N	\N
3540171	288	1998-04-30	PRIJEM	\N	105	22948	UROK	\N	\N
3540172	288	1998-05-31	PRIJEM	\N	88	19913	UROK	\N	\N
3540173	288	1998-06-30	PRIJEM	\N	88	21837	UROK	\N	\N
3540174	288	1998-07-31	PRIJEM	\N	96	23770	UROK	\N	\N
3540175	288	1998-08-31	PRIJEM	\N	104	25710	UROK	\N	\N
3540176	288	1998-09-30	PRIJEM	\N	112	27659	UROK	\N	\N
3540177	288	1998-10-31	PRIJEM	\N	120	29615	UROK	\N	\N
3540178	288	1998-11-30	PRIJEM	\N	122	28213	UROK	\N	\N
3540179	288	1998-12-31	PRIJEM	\N	109	25418	UROK	\N	\N
3540180	289	1994-04-30	PRIJEM	\N	40	19188	UROK	\N	\N
3540181	289	1994-05-31	PRIJEM	\N	109	32845	UROK	\N	\N
3540182	289	1994-06-30	PRIJEM	\N	156	41773	UROK	\N	\N
3540183	289	1994-07-31	PRIJEM	\N	177	43298	UROK	\N	\N
3540184	289	1994-08-31	PRIJEM	\N	178	39479	UROK	\N	\N
3540185	289	1994-09-30	PRIJEM	\N	166	37413	UROK	\N	\N
3540186	289	1994-10-31	PRIJEM	\N	161	36841	UROK	\N	\N
3540187	289	1994-11-30	PRIJEM	\N	155	35363	UROK	\N	\N
3540188	289	1994-12-31	PRIJEM	\N	158	36312	UROK	\N	\N
3540189	289	1995-01-31	PRIJEM	\N	129	26609	UROK	\N	\N
3540190	289	1995-02-28	PRIJEM	\N	112	25888	UROK	\N	\N
3540191	289	1995-03-31	PRIJEM	\N	122	29377	UROK	\N	\N
3540192	289	1995-04-30	PRIJEM	\N	132	30676	UROK	\N	\N
3540193	289	1995-05-31	PRIJEM	\N	148	36291	UROK	\N	\N
3540194	289	1995-06-30	PRIJEM	\N	170	40852	UROK	\N	\N
3540195	289	1995-07-31	PRIJEM	\N	176	41996	UROK	\N	\N
3540196	289	1995-08-31	PRIJEM	\N	169	37832	UROK	\N	\N
3540197	289	1995-09-30	PRIJEM	\N	146	34145	UROK	\N	\N
3540198	289	1995-10-31	PRIJEM	\N	136	32849	UROK	\N	\N
3540199	289	1995-11-30	PRIJEM	\N	169	42985	UROK	\N	\N
3540200	289	1995-12-31	PRIJEM	\N	219	54995	UROK	\N	\N
3540201	289	1996-01-31	PRIJEM	\N	192	40154	UROK	\N	\N
3540202	289	1996-02-29	PRIJEM	\N	180	43601	UROK	\N	\N
3540203	289	1996-03-31	PRIJEM	\N	188	42956	UROK	\N	\N
3540204	289	1996-04-30	PRIJEM	\N	190	47513	UROK	\N	\N
3540205	289	1996-05-31	PRIJEM	\N	196	48377	UROK	\N	\N
3540206	289	1996-06-30	PRIJEM	\N	215	54183	UROK	\N	\N
3540207	289	1996-07-31	PRIJEM	\N	206	50156	UROK	\N	\N
3540208	289	1996-08-31	PRIJEM	\N	193	46716	UROK	\N	\N
3540209	289	1996-09-30	PRIJEM	\N	172	41955	UROK	\N	\N
3540210	289	1996-10-31	PRIJEM	\N	177	43999	UROK	\N	\N
3540211	289	1996-11-30	PRIJEM	\N	181	44948	UROK	\N	\N
3540212	289	1996-12-31	PRIJEM	\N	209	51748	UROK	\N	\N
3540213	289	1997-01-31	PRIJEM	\N	182	31298	UROK	\N	\N
3540214	289	1997-02-28	PRIJEM	\N	158	40523	UROK	\N	\N
3540215	289	1997-03-31	PRIJEM	\N	163	40753	UROK	\N	\N
3540216	289	1997-04-30	PRIJEM	\N	161	40881	UROK	\N	\N
3540217	289	1997-05-31	PRIJEM	\N	156	30805	UROK	\N	\N
3540218	289	1997-06-30	PRIJEM	\N	180	33876	UROK	\N	\N
3540219	289	1997-07-31	PRIJEM	\N	166	34710	UROK	\N	\N
3540220	289	1997-08-31	PRIJEM	\N	168	35745	UROK	\N	\N
3540221	289	1997-09-30	PRIJEM	\N	173	39186	UROK	\N	\N
3540222	289	1997-10-31	PRIJEM	\N	184	38337	UROK	\N	\N
3540223	289	1997-11-30	PRIJEM	\N	180	36684	UROK	\N	\N
3540224	289	1997-12-31	PRIJEM	\N	196	38072	UROK	\N	\N
3540225	289	1998-01-31	PRIJEM	\N	162	31701	UROK	\N	\N
3540226	289	1998-02-28	PRIJEM	\N	153	33421	UROK	\N	\N
3540227	289	1998-03-31	PRIJEM	\N	161	35850	UROK	\N	\N
3540228	289	1998-04-30	PRIJEM	\N	170	37787	UROK	\N	\N
3540229	289	1998-05-31	PRIJEM	\N	175	37229	UROK	\N	\N
3540230	289	1998-06-30	PRIJEM	\N	200	45321	UROK	\N	\N
3540231	289	1998-07-31	PRIJEM	\N	188	39576	UROK	\N	\N
3540232	289	1998-08-31	PRIJEM	\N	165	34608	UROK	\N	\N
3540233	289	1998-09-30	PRIJEM	\N	162	37137	UROK	\N	\N
3540234	289	1998-10-31	PRIJEM	\N	173	40778	UROK	\N	\N
3540235	289	1998-11-30	PRIJEM	\N	190	45635	UROK	\N	\N
3540236	289	1998-12-31	PRIJEM	\N	221	47047	UROK	\N	\N
3540237	290	1994-01-31	PRIJEM	\N	60	57235	UROK	\N	\N
3540238	290	1994-02-28	PRIJEM	\N	240	75314	UROK	\N	\N
3540239	290	1994-03-31	PRIJEM	\N	313	51827	UROK	\N	\N
3540240	290	1994-04-30	PRIJEM	\N	326	86901	UROK	\N	\N
3540241	290	1994-05-31	PRIJEM	\N	274	51381	UROK	\N	\N
3540242	290	1994-06-30	PRIJEM	\N	260	47260	UROK	\N	\N
3540243	290	1994-07-31	PRIJEM	\N	174	36197	UROK	\N	\N
3540244	290	1994-08-31	PRIJEM	\N	244	51775	UROK	\N	\N
3540245	290	1994-09-30	PRIJEM	\N	164	31630	UROK	\N	\N
3540246	290	1994-10-31	PRIJEM	\N	114	25202	UROK	\N	\N
3540247	290	1994-11-30	PRIJEM	\N	113	43972	UROK	\N	\N
3540248	290	1994-12-31	PRIJEM	\N	121	21319	UROK	\N	\N
3540249	290	1995-01-31	PRIJEM	\N	71	21472	UROK	\N	\N
3540250	290	1995-02-28	PRIJEM	\N	72	22625	UROK	\N	\N
3540251	290	1995-03-31	PRIJEM	\N	107	42121	UROK	\N	\N
3540252	290	1995-04-30	PRIJEM	\N	212	37312	UROK	\N	\N
3540253	290	1995-05-31	PRIJEM	\N	295	59996	UROK	\N	\N
3540254	290	1995-06-30	PRIJEM	\N	279	54394	UROK	\N	\N
3540255	290	1995-07-31	PRIJEM	\N	372	111945	UROK	\N	\N
3540256	290	1995-08-31	PRIJEM	\N	450	74783	UROK	\N	\N
3540257	290	1995-09-30	PRIJEM	\N	280	41936	UROK	\N	\N
3540258	290	1995-10-31	PRIJEM	\N	214	60821	UROK	\N	\N
3540259	290	1995-11-30	PRIJEM	\N	277	50655	UROK	\N	\N
3540260	290	1995-12-31	PRIJEM	\N	217	53717	UROK	\N	\N
3540261	290	1996-01-31	PRIJEM	\N	202	25894	UROK	\N	\N
3540262	290	1996-02-29	PRIJEM	\N	98	28073	UROK	\N	\N
3540263	290	1996-03-31	PRIJEM	\N	158	77281	UROK	\N	\N
3540264	290	1996-04-30	PRIJEM	\N	271	36197	UROK	\N	\N
3540265	290	1996-05-31	PRIJEM	\N	134	33512	UROK	\N	\N
3540266	290	1996-06-30	PRIJEM	\N	127	33120	UROK	\N	\N
3540267	290	1996-07-31	PRIJEM	\N	128	33929	UROK	\N	\N
3540268	290	1996-08-31	PRIJEM	\N	121	26839	UROK	\N	\N
3540269	290	1996-09-30	PRIJEM	\N	141	40508	UROK	\N	\N
3540270	290	1996-10-31	PRIJEM	\N	163	42353	UROK	\N	\N
3540271	290	1996-11-30	PRIJEM	\N	180	35872	UROK	\N	\N
3540272	290	1996-12-31	PRIJEM	\N	136	27389	UROK	\N	\N
3540273	290	1997-01-31	PRIJEM	\N	138	31885	UROK	\N	\N
3540274	290	1997-02-28	PRIJEM	\N	153	44120	UROK	\N	\N
3540275	290	1997-03-31	PRIJEM	\N	197	79736	UROK	\N	\N
3540276	290	1997-04-30	PRIJEM	\N	240	42705	UROK	\N	\N
3540277	290	1997-05-31	PRIJEM	\N	195	37184	UROK	\N	\N
3540278	290	1997-06-30	PRIJEM	\N	312	66111	UROK	\N	\N
3540279	290	1997-07-31	PRIJEM	\N	265	75544	UROK	\N	\N
3540280	290	1997-08-31	PRIJEM	\N	310	83418	UROK	\N	\N
3540281	290	1997-09-30	PRIJEM	\N	312	45866	UROK	\N	\N
3540282	290	1997-10-31	PRIJEM	\N	182	43529	UROK	\N	\N
3540283	290	1997-11-30	PRIJEM	\N	228	129463	UROK	\N	\N
3540284	290	1997-12-31	PRIJEM	\N	450	70239	UROK	\N	\N
3540285	290	1998-01-31	PRIJEM	\N	182	27203	UROK	\N	\N
3540286	290	1998-02-28	PRIJEM	\N	121	28506	UROK	\N	\N
3540287	290	1998-03-31	PRIJEM	\N	136	36923	UROK	\N	\N
3540288	290	1998-04-30	PRIJEM	\N	179	47484	UROK	\N	\N
3540289	290	1998-05-31	PRIJEM	\N	197	46681	UROK	\N	\N
3540290	290	1998-06-30	PRIJEM	\N	276	65380	UROK	\N	\N
3540291	290	1998-07-31	PRIJEM	\N	242	57304	UROK	\N	\N
3540292	290	1998-08-31	PRIJEM	\N	186	41109	UROK	\N	\N
3540293	290	1998-09-30	PRIJEM	\N	177	43591	UROK	\N	\N
3540294	290	1998-10-31	PRIJEM	\N	199	51371	UROK	\N	\N
3540295	290	1998-11-30	PRIJEM	\N	192	33998	UROK	\N	\N
3540296	290	1998-12-31	PRIJEM	\N	157	37213	UROK	\N	\N
3540297	291	1997-06-30	PRIJEM	\N	77	29396	UROK	\N	\N
3540298	291	1997-07-31	PRIJEM	\N	137	41303	UROK	\N	\N
3540299	291	1997-08-31	PRIJEM	\N	344	94542	UROK	\N	\N
3540300	291	1997-09-30	PRIJEM	\N	219	37101	UROK	\N	\N
3540301	291	1997-10-31	PRIJEM	\N	122	18842	UROK	\N	\N
3540302	291	1997-11-30	PRIJEM	\N	175	78294	UROK	\N	\N
3540303	291	1997-12-31	PRIJEM	\N	278	73155	UROK	\N	\N
3540304	291	1998-01-31	PRIJEM	\N	137	20967	UROK	\N	\N
3540305	291	1998-02-28	PRIJEM	\N	197	39917	UROK	\N	\N
3540306	291	1998-03-31	PRIJEM	\N	235	60114	UROK	\N	\N
3540307	291	1998-04-30	PRIJEM	\N	212	43174	UROK	\N	\N
3540308	291	1998-05-31	PRIJEM	\N	281	67199	UROK	\N	\N
3540309	291	1998-06-30	PRIJEM	\N	79	14159	UROK	\N	\N
3540310	291	1998-07-31	PRIJEM	\N	100	60856	UROK	\N	\N
3540311	291	1998-08-31	PRIJEM	\N	263	75507	UROK	\N	\N
3540312	291	1998-09-30	PRIJEM	\N	318	103905	UROK	\N	\N
3540313	291	1998-10-31	PRIJEM	\N	266	70997	UROK	\N	\N
3540314	291	1998-11-30	PRIJEM	\N	381	105697	UROK	\N	\N
3540315	291	1998-12-31	PRIJEM	\N	254	81631	UROK	\N	\N
3540316	292	1997-05-31	PRIJEM	\N	9	12697	UROK	\N	\N
3540317	292	1997-06-30	PRIJEM	\N	53	12445	UROK	\N	\N
3540318	292	1997-07-31	PRIJEM	\N	52	12893	UROK	\N	\N
3540319	292	1997-08-31	PRIJEM	\N	58	13367	UROK	\N	\N
3540320	292	1997-09-30	PRIJEM	\N	55	11337	UROK	\N	\N
3540321	292	1997-10-31	PRIJEM	\N	51	10483	UROK	\N	\N
3540322	292	1997-11-30	PRIJEM	\N	51	13229	UROK	\N	\N
3540323	292	1997-12-31	PRIJEM	\N	55	10030	UROK	\N	\N
3540324	292	1998-01-31	PRIJEM	\N	49	12054	UROK	\N	\N
3540325	292	1998-02-28	PRIJEM	\N	55	13684	UROK	\N	\N
3540326	292	1998-03-31	PRIJEM	\N	65	16444	UROK	\N	\N
3540327	292	1998-04-30	PRIJEM	\N	70	15289	UROK	\N	\N
3540328	292	1998-05-31	PRIJEM	\N	71	18056	UROK	\N	\N
3540329	292	1998-06-30	PRIJEM	\N	83	20834	UROK	\N	\N
3540330	292	1998-07-31	PRIJEM	\N	94	23624	UROK	\N	\N
3540331	292	1998-08-31	PRIJEM	\N	106	26425	UROK	\N	\N
3540332	292	1998-09-30	PRIJEM	\N	90	12911	UROK	\N	\N
3540333	292	1998-10-31	PRIJEM	\N	61	15667	UROK	\N	\N
3540334	292	1998-11-30	PRIJEM	\N	73	18435	UROK	\N	\N
3540335	292	1998-12-31	PRIJEM	\N	84	20315	UROK	\N	\N
3540336	293	1997-05-31	PRIJEM	\N	41	11411	UROK	\N	\N
3540337	293	1997-06-30	PRIJEM	\N	143	37909	UROK	\N	\N
3540338	293	1997-07-31	PRIJEM	\N	175	42854	UROK	\N	\N
3540339	293	1997-08-31	PRIJEM	\N	194	47419	UROK	\N	\N
3540340	293	1997-09-30	PRIJEM	\N	200	46641	UROK	\N	\N
3540341	293	1997-10-31	PRIJEM	\N	198	46747	UROK	\N	\N
3540342	293	1997-11-30	PRIJEM	\N	173	38829	UROK	\N	\N
3540343	293	1997-12-31	PRIJEM	\N	168	31630	UROK	\N	\N
3540344	293	1998-01-31	PRIJEM	\N	122	22300	UROK	\N	\N
3540345	293	1998-02-28	PRIJEM	\N	107	27775	UROK	\N	\N
3540346	293	1998-03-31	PRIJEM	\N	138	30222	UROK	\N	\N
3540347	293	1998-04-30	PRIJEM	\N	146	30475	UROK	\N	\N
3540348	293	1998-05-31	PRIJEM	\N	148	28512	UROK	\N	\N
3540349	293	1998-06-30	PRIJEM	\N	150	33455	UROK	\N	\N
3540350	293	1998-07-31	PRIJEM	\N	155	32418	UROK	\N	\N
3540351	293	1998-08-31	PRIJEM	\N	144	27131	UROK	\N	\N
3540352	293	1998-09-30	PRIJEM	\N	121	22420	UROK	\N	\N
3540353	293	1998-10-31	PRIJEM	\N	93	14362	UROK	\N	\N
3540354	293	1998-11-30	PRIJEM	\N	74	13344	UROK	\N	\N
3540355	293	1998-12-31	PRIJEM	\N	80	13017	UROK	\N	\N
3540356	294	1997-02-28	PRIJEM	\N	103	28993	UROK	\N	\N
3540357	294	1997-03-31	PRIJEM	\N	144	35827	UROK	\N	\N
3540358	294	1997-04-30	PRIJEM	\N	204	42022	UROK	\N	\N
3540359	294	1997-05-31	PRIJEM	\N	193	45905	UROK	\N	\N
3540360	294	1997-06-30	PRIJEM	\N	257	58524	UROK	\N	\N
3540361	294	1997-07-31	PRIJEM	\N	251	59177	UROK	\N	\N
3540362	294	1997-08-31	PRIJEM	\N	252	59632	UROK	\N	\N
3540363	294	1997-09-30	PRIJEM	\N	250	56385	UROK	\N	\N
3540364	294	1997-10-31	PRIJEM	\N	238	56125	UROK	\N	\N
3540365	294	1997-11-30	PRIJEM	\N	224	53152	UROK	\N	\N
3540366	294	1997-12-31	PRIJEM	\N	228	54528	UROK	\N	\N
3540367	294	1998-01-31	PRIJEM	\N	199	44829	UROK	\N	\N
3540368	294	1998-02-28	PRIJEM	\N	207	49139	UROK	\N	\N
3540369	294	1998-03-31	PRIJEM	\N	221	52662	UROK	\N	\N
3540370	294	1998-04-30	PRIJEM	\N	231	55696	UROK	\N	\N
3540371	294	1998-05-31	PRIJEM	\N	232	44330	UROK	\N	\N
3540372	294	1998-06-30	PRIJEM	\N	202	42679	UROK	\N	\N
3540373	294	1998-07-31	PRIJEM	\N	212	47294	UROK	\N	\N
3540374	294	1998-08-31	PRIJEM	\N	228	47025	UROK	\N	\N
3540375	294	1998-09-30	PRIJEM	\N	229	51157	UROK	\N	\N
3540376	294	1998-10-31	PRIJEM	\N	246	55405	UROK	\N	\N
3540377	294	1998-11-30	PRIJEM	\N	262	56669	UROK	\N	\N
3540378	294	1998-12-31	PRIJEM	\N	288	67505	UROK	\N	\N
3540379	295	1997-12-31	PRIJEM	\N	35	28781	UROK	\N	\N
3540380	295	1998-01-31	PRIJEM	\N	127	34472	UROK	\N	\N
3540381	295	1998-02-28	PRIJEM	\N	150	39886	UROK	\N	\N
3540382	295	1998-03-31	PRIJEM	\N	168	41918	UROK	\N	\N
3540383	295	1998-04-30	PRIJEM	\N	175	42757	UROK	\N	\N
3540384	295	1998-05-31	PRIJEM	\N	197	40511	UROK	\N	\N
3540385	295	1998-06-30	PRIJEM	\N	188	17158	UROK	\N	\N
3540386	295	1998-07-31	PRIJEM	\N	110	25625	UROK	\N	\N
3540387	295	1998-08-31	PRIJEM	\N	126	22729	UROK	\N	\N
3540388	295	1998-09-30	PRIJEM	\N	129	30275	UROK	\N	\N
3540389	295	1998-10-31	PRIJEM	\N	147	29420	UROK	\N	\N
3540390	295	1998-11-30	PRIJEM	\N	152	33829	UROK	\N	\N
3540391	295	1998-12-31	PRIJEM	\N	182	30270	UROK	\N	\N
3540392	296	1996-03-31	PRIJEM	\N	35	15505	UROK	\N	\N
3540393	296	1996-04-30	PRIJEM	\N	76	20552	UROK	\N	\N
3540394	296	1996-05-31	PRIJEM	\N	81	18903	UROK	\N	\N
3540395	296	1996-06-30	PRIJEM	\N	76	17749	UROK	\N	\N
3540396	296	1996-07-31	PRIJEM	\N	76	18448	UROK	\N	\N
3540397	296	1996-08-31	PRIJEM	\N	88	19376	UROK	\N	\N
3540398	296	1996-09-30	PRIJEM	\N	79	18764	UROK	\N	\N
3540399	296	1996-10-31	PRIJEM	\N	74	17348	UROK	\N	\N
3540400	296	1996-11-30	PRIJEM	\N	76	18433	UROK	\N	\N
3540401	296	1996-12-31	PRIJEM	\N	87	20999	UROK	\N	\N
3540402	296	1997-01-31	PRIJEM	\N	85	19514	UROK	\N	\N
3540403	296	1997-02-28	PRIJEM	\N	76	16580	UROK	\N	\N
3540404	296	1997-03-31	PRIJEM	\N	59	13148	UROK	\N	\N
3540405	296	1997-04-30	PRIJEM	\N	52	12010	UROK	\N	\N
3540406	296	1997-05-31	PRIJEM	\N	52	12271	UROK	\N	\N
3540407	296	1997-06-30	PRIJEM	\N	39	8019	UROK	\N	\N
3540408	296	1997-07-31	PRIJEM	\N	34	7963	UROK	\N	\N
3540409	296	1997-08-31	PRIJEM	\N	40	9512	UROK	\N	\N
3540410	296	1997-09-30	PRIJEM	\N	43	10864	UROK	\N	\N
3540411	296	1997-10-31	PRIJEM	\N	48	11222	UROK	\N	\N
3540412	296	1997-11-30	PRIJEM	\N	52	12284	UROK	\N	\N
3540413	296	1997-12-31	PRIJEM	\N	60	13833	UROK	\N	\N
3540414	296	1998-01-31	PRIJEM	\N	59	13302	UROK	\N	\N
3540415	296	1998-02-28	PRIJEM	\N	55	12667	UROK	\N	\N
3540416	296	1998-03-31	PRIJEM	\N	54	12430	UROK	\N	\N
3540417	296	1998-04-30	PRIJEM	\N	55	13794	UROK	\N	\N
3540418	296	1998-05-31	PRIJEM	\N	61	14324	UROK	\N	\N
3540419	296	1998-06-30	PRIJEM	\N	63	15696	UROK	\N	\N
3540420	296	1998-07-31	PRIJEM	\N	70	16596	UROK	\N	\N
3540421	296	1998-08-31	PRIJEM	\N	72	17977	UROK	\N	\N
3540422	296	1998-09-30	PRIJEM	\N	78	19095	UROK	\N	\N
3540423	296	1998-10-31	PRIJEM	\N	82	20486	UROK	\N	\N
3540424	296	1998-11-30	PRIJEM	\N	56	14151	UROK	\N	\N
3540425	296	1998-12-31	PRIJEM	\N	60	14050	UROK	\N	\N
3540426	298	1997-12-31	PRIJEM	\N	50	18747	UROK	\N	\N
3540427	298	1998-01-31	PRIJEM	\N	119	34297	UROK	\N	\N
3540428	298	1998-02-28	PRIJEM	\N	121	40949	UROK	\N	\N
3540429	298	1998-03-31	PRIJEM	\N	153	41033	UROK	\N	\N
3540430	298	1998-04-30	PRIJEM	\N	177	43741	UROK	\N	\N
3540431	298	1998-05-31	PRIJEM	\N	170	38507	UROK	\N	\N
3540432	298	1998-06-30	PRIJEM	\N	139	7288	UROK	\N	\N
3540433	298	1998-07-31	PRIJEM	\N	68	27972	UROK	\N	\N
3540434	298	1998-08-31	PRIJEM	\N	117	28706	UROK	\N	\N
3540435	298	1998-09-30	PRIJEM	\N	119	26340	UROK	\N	\N
3540436	298	1998-10-31	PRIJEM	\N	107	21664	UROK	\N	\N
3540437	298	1998-11-30	PRIJEM	\N	91	16871	UROK	\N	\N
3540438	298	1998-12-31	PRIJEM	\N	106	30399	UROK	\N	\N
3540439	300	1993-10-31	PRIJEM	\N	39	26607	UROK	\N	\N
3540440	300	1993-11-30	PRIJEM	\N	116	25967	UROK	\N	\N
3540441	300	1993-12-31	PRIJEM	\N	114	25530	UROK	\N	\N
3540442	300	1994-01-31	PRIJEM	\N	101	17911	UROK	\N	\N
3540443	300	1994-02-28	PRIJEM	\N	88	22648	UROK	\N	\N
3540444	300	1994-03-31	PRIJEM	\N	104	24901	UROK	\N	\N
3540445	300	1994-04-30	PRIJEM	\N	105	21616	UROK	\N	\N
3540446	300	1994-05-31	PRIJEM	\N	102	25568	UROK	\N	\N
3540447	300	1994-06-30	PRIJEM	\N	113	20431	UROK	\N	\N
3540448	300	1994-07-31	PRIJEM	\N	95	23075	UROK	\N	\N
3540449	300	1994-08-31	PRIJEM	\N	100	23124	UROK	\N	\N
3540450	300	1994-09-30	PRIJEM	\N	101	23875	UROK	\N	\N
3540451	300	1994-10-31	PRIJEM	\N	104	24528	UROK	\N	\N
3540452	300	1994-11-30	PRIJEM	\N	107	25524	UROK	\N	\N
3540453	300	1994-12-31	PRIJEM	\N	107	23881	UROK	\N	\N
3540454	300	1995-01-31	PRIJEM	\N	88	16448	UROK	\N	\N
3540455	300	1995-02-28	PRIJEM	\N	82	21780	UROK	\N	\N
3540456	300	1995-03-31	PRIJEM	\N	103	25672	UROK	\N	\N
3540457	300	1995-04-30	PRIJEM	\N	106	24307	UROK	\N	\N
3540458	300	1995-05-31	PRIJEM	\N	106	25562	UROK	\N	\N
3540459	300	1995-06-30	PRIJEM	\N	103	20335	UROK	\N	\N
3540460	300	1995-07-31	PRIJEM	\N	91	22475	UROK	\N	\N
3540461	300	1995-08-31	PRIJEM	\N	107	27532	UROK	\N	\N
3540462	300	1995-09-30	PRIJEM	\N	115	26196	UROK	\N	\N
3540463	300	1995-10-31	PRIJEM	\N	103	24248	UROK	\N	\N
3540464	300	1995-11-30	PRIJEM	\N	102	24699	UROK	\N	\N
3540465	300	1995-12-31	PRIJEM	\N	107	25606	UROK	\N	\N
3540466	300	1996-01-31	PRIJEM	\N	91	17546	UROK	\N	\N
3540467	300	1996-02-29	PRIJEM	\N	86	21782	UROK	\N	\N
3540468	300	1996-03-31	PRIJEM	\N	104	26335	UROK	\N	\N
3540469	300	1996-04-30	PRIJEM	\N	106	23911	UROK	\N	\N
3540470	300	1996-05-31	PRIJEM	\N	107	26267	UROK	\N	\N
3540471	300	1996-06-30	PRIJEM	\N	98	22915	UROK	\N	\N
3540472	300	1996-07-31	PRIJEM	\N	109	28273	UROK	\N	\N
3540473	300	1996-08-31	PRIJEM	\N	132	32855	UROK	\N	\N
3540474	300	1996-09-30	PRIJEM	\N	150	37534	UROK	\N	\N
3540475	300	1996-10-31	PRIJEM	\N	151	36834	UROK	\N	\N
3540476	300	1996-11-30	PRIJEM	\N	165	40648	UROK	\N	\N
3540477	300	1996-12-31	PRIJEM	\N	171	41118	UROK	\N	\N
3540478	300	1997-01-31	PRIJEM	\N	160	35518	UROK	\N	\N
3540479	300	1997-02-28	PRIJEM	\N	153	38121	UROK	\N	\N
3540480	300	1997-03-31	PRIJEM	\N	162	39692	UROK	\N	\N
3540481	300	1997-04-30	PRIJEM	\N	170	41511	UROK	\N	\N
3540482	300	1997-05-31	PRIJEM	\N	185	45266	UROK	\N	\N
3540483	300	1997-06-30	PRIJEM	\N	201	46266	UROK	\N	\N
3540484	300	1997-07-31	PRIJEM	\N	197	48273	UROK	\N	\N
3540485	300	1997-08-31	PRIJEM	\N	215	53257	UROK	\N	\N
3540486	300	1997-09-30	PRIJEM	\N	224	56231	UROK	\N	\N
3540487	300	1997-10-31	PRIJEM	\N	234	53035	UROK	\N	\N
3540488	300	1997-11-30	PRIJEM	\N	232	53816	UROK	\N	\N
3540489	300	1997-12-31	PRIJEM	\N	233	52498	UROK	\N	\N
3540490	300	1998-01-31	PRIJEM	\N	202	45150	UROK	\N	\N
3540491	300	1998-02-28	PRIJEM	\N	200	50599	UROK	\N	\N
3540492	300	1998-03-31	PRIJEM	\N	222	52870	UROK	\N	\N
3540493	300	1998-04-30	PRIJEM	\N	228	54347	UROK	\N	\N
3540494	300	1998-05-31	PRIJEM	\N	234	53930	UROK	\N	\N
3540495	300	1998-06-30	PRIJEM	\N	223	51352	UROK	\N	\N
3540496	300	1998-07-31	PRIJEM	\N	224	55126	UROK	\N	\N
3540497	300	1998-08-31	PRIJEM	\N	241	60617	UROK	\N	\N
3540498	300	1998-09-30	PRIJEM	\N	264	66130	UROK	\N	\N
3540499	300	1998-10-31	PRIJEM	\N	285	70064	UROK	\N	\N
3540500	300	1998-11-30	PRIJEM	\N	297	69210	UROK	\N	\N
3540501	300	1998-12-31	PRIJEM	\N	296	73255	UROK	\N	\N
3540502	301	1996-02-29	PRIJEM	\N	38	11813	UROK	\N	\N
3540503	301	1996-03-31	PRIJEM	\N	52	12825	UROK	\N	\N
3540504	301	1996-04-30	PRIJEM	\N	56	13842	UROK	\N	\N
3540505	301	1996-05-31	PRIJEM	\N	61	14863	UROK	\N	\N
3540506	301	1996-06-30	PRIJEM	\N	64	15107	UROK	\N	\N
3540507	301	1996-07-31	PRIJEM	\N	66	16133	UROK	\N	\N
3540508	301	1996-08-31	PRIJEM	\N	70	17164	UROK	\N	\N
3540509	301	1996-09-30	PRIJEM	\N	74	18198	UROK	\N	\N
3540510	301	1996-10-31	PRIJEM	\N	79	19237	UROK	\N	\N
3540511	301	1996-11-30	PRIJEM	\N	81	18808	UROK	\N	\N
3540512	301	1996-12-31	PRIJEM	\N	81	19519	UROK	\N	\N
3540513	301	1997-01-31	PRIJEM	\N	64	12954	UROK	\N	\N
3540514	301	1997-02-28	PRIJEM	\N	57	13971	UROK	\N	\N
3540515	301	1997-03-31	PRIJEM	\N	61	14992	UROK	\N	\N
3540516	301	1997-04-30	PRIJEM	\N	65	16018	UROK	\N	\N
3540517	301	1997-05-31	PRIJEM	\N	70	17048	UROK	\N	\N
3540518	301	1997-06-30	PRIJEM	\N	61	14289	UROK	\N	\N
3540519	301	1997-07-31	PRIJEM	\N	62	15011	UROK	\N	\N
3540520	301	1997-08-31	PRIJEM	\N	65	16037	UROK	\N	\N
3540521	301	1997-09-30	PRIJEM	\N	69	17067	UROK	\N	\N
3540522	301	1997-10-31	PRIJEM	\N	74	18101	UROK	\N	\N
3540523	301	1997-11-30	PRIJEM	\N	78	19139	UROK	\N	\N
3540524	301	1997-12-31	PRIJEM	\N	81	19641	UROK	\N	\N
3540525	301	1998-01-31	PRIJEM	\N	78	15279	UROK	\N	\N
3540526	301	1998-02-28	PRIJEM	\N	64	15524	UROK	\N	\N
3540527	301	1998-03-31	PRIJEM	\N	67	16101	UROK	\N	\N
3540528	301	1998-04-30	PRIJEM	\N	70	17131	UROK	\N	\N
3540529	301	1998-05-31	PRIJEM	\N	74	18165	UROK	\N	\N
3540530	301	1998-06-30	PRIJEM	\N	77	18092	UROK	\N	\N
3540531	301	1998-07-31	PRIJEM	\N	78	19131	UROK	\N	\N
3540532	301	1998-08-31	PRIJEM	\N	79	18940	UROK	\N	\N
3540533	301	1998-09-30	PRIJEM	\N	81	19982	UROK	\N	\N
3540534	301	1998-10-31	PRIJEM	\N	86	21028	UROK	\N	\N
3540535	301	1998-11-30	PRIJEM	\N	90	22078	UROK	\N	\N
3540536	301	1998-12-31	PRIJEM	\N	92	22140	UROK	\N	\N
3540537	302	1996-05-31	PRIJEM	\N	23	7561	UROK	\N	\N
3540538	302	1996-06-30	PRIJEM	\N	31	14031	UROK	\N	\N
3540539	302	1996-07-31	PRIJEM	\N	31	20500	UROK	\N	\N
3540540	302	1996-08-31	PRIJEM	\N	31	26970	UROK	\N	\N
3540541	302	1996-09-30	PRIJEM	\N	92	29304	UROK	\N	\N
3540542	302	1996-10-31	PRIJEM	\N	131	32622	UROK	\N	\N
3540543	302	1996-11-30	PRIJEM	\N	143	34752	UROK	\N	\N
3540544	302	1996-12-31	PRIJEM	\N	140	32580	UROK	\N	\N
3540545	302	1997-01-31	PRIJEM	\N	124	24681	UROK	\N	\N
3540546	302	1997-02-28	PRIJEM	\N	111	27979	UROK	\N	\N
3540547	302	1997-03-31	PRIJEM	\N	125	31292	UROK	\N	\N
3540548	302	1997-04-30	PRIJEM	\N	124	29243	UROK	\N	\N
3540549	302	1997-05-31	PRIJEM	\N	127	28477	UROK	\N	\N
3540550	302	1997-06-30	PRIJEM	\N	109	24713	UROK	\N	\N
3540551	302	1997-07-31	PRIJEM	\N	105	25106	UROK	\N	\N
3540552	302	1997-08-31	PRIJEM	\N	100	22932	UROK	\N	\N
3540553	302	1997-09-30	PRIJEM	\N	94	22013	UROK	\N	\N
3540554	302	1997-10-31	PRIJEM	\N	96	23197	UROK	\N	\N
3540555	302	1997-11-30	PRIJEM	\N	89	22673	UROK	\N	\N
3540556	302	1997-12-31	PRIJEM	\N	101	23812	UROK	\N	\N
3540557	302	1998-01-31	PRIJEM	\N	86	17125	UROK	\N	\N
3540558	302	1998-02-28	PRIJEM	\N	79	20391	UROK	\N	\N
3540559	302	1998-03-31	PRIJEM	\N	76	15455	UROK	\N	\N
3540560	302	1998-04-30	PRIJEM	\N	71	11913	UROK	\N	\N
3540561	302	1998-05-31	PRIJEM	\N	58	15158	UROK	\N	\N
3540562	302	1998-06-30	PRIJEM	\N	67	13412	UROK	\N	\N
3540563	302	1998-07-31	PRIJEM	\N	59	12738	UROK	\N	\N
3540564	302	1998-08-31	PRIJEM	\N	59	12284	UROK	\N	\N
3540565	302	1998-09-30	PRIJEM	\N	59	14730	UROK	\N	\N
3540566	302	1998-10-31	PRIJEM	\N	66	15403	UROK	\N	\N
3540567	302	1998-11-30	PRIJEM	\N	70	15760	UROK	\N	\N
3540568	302	1998-12-31	PRIJEM	\N	71	17919	UROK	\N	\N
3540569	303	1996-08-31	PRIJEM	\N	22	20427	UROK	\N	\N
3540570	303	1996-09-30	PRIJEM	\N	94	28926	UROK	\N	\N
3540571	303	1996-10-31	PRIJEM	\N	129	36360	UROK	\N	\N
3540572	303	1996-11-30	PRIJEM	\N	154	39020	UROK	\N	\N
3540573	303	1996-12-31	PRIJEM	\N	203	39408	UROK	\N	\N
3540574	303	1997-01-31	PRIJEM	\N	155	25870	UROK	\N	\N
3540575	303	1997-02-28	PRIJEM	\N	139	34896	UROK	\N	\N
3540576	303	1997-03-31	PRIJEM	\N	168	39012	UROK	\N	\N
3540577	303	1997-04-30	PRIJEM	\N	177	40076	UROK	\N	\N
3540578	303	1997-05-31	PRIJEM	\N	188	40551	UROK	\N	\N
3540579	303	1997-06-30	PRIJEM	\N	136	28098	UROK	\N	\N
3540580	303	1997-07-31	PRIJEM	\N	156	41740	UROK	\N	\N
3540581	303	1997-08-31	PRIJEM	\N	197	46925	UROK	\N	\N
3540582	303	1997-09-30	PRIJEM	\N	214	48326	UROK	\N	\N
3540583	303	1997-10-31	PRIJEM	\N	217	48330	UROK	\N	\N
3540584	303	1997-11-30	PRIJEM	\N	211	49629	UROK	\N	\N
3540585	303	1997-12-31	PRIJEM	\N	237	50036	UROK	\N	\N
3540586	303	1998-01-31	PRIJEM	\N	203	38466	UROK	\N	\N
3540587	303	1998-02-28	PRIJEM	\N	183	45136	UROK	\N	\N
3540588	303	1998-03-31	PRIJEM	\N	205	46789	UROK	\N	\N
3540589	303	1998-04-30	PRIJEM	\N	213	49789	UROK	\N	\N
3540590	303	1998-05-31	PRIJEM	\N	220	49137	UROK	\N	\N
3540591	303	1998-06-30	PRIJEM	\N	233	56228	UROK	\N	\N
3540592	303	1998-07-31	PRIJEM	\N	240	56124	UROK	\N	\N
3540593	303	1998-08-31	PRIJEM	\N	223	51222	UROK	\N	\N
3540594	303	1998-09-30	PRIJEM	\N	221	52799	UROK	\N	\N
3540595	303	1998-10-31	PRIJEM	\N	214	48049	UROK	\N	\N
3540596	303	1998-11-30	PRIJEM	\N	196	44100	UROK	\N	\N
3540597	303	1998-12-31	PRIJEM	\N	201	42459	UROK	\N	\N
3540598	304	1997-04-30	PRIJEM	\N	48	28924	UROK	\N	\N
3540599	304	1997-05-31	PRIJEM	\N	150	46150	UROK	\N	\N
3540600	304	1997-06-30	PRIJEM	\N	219	61434	UROK	\N	\N
3540601	304	1997-07-31	PRIJEM	\N	253	60363	UROK	\N	\N
3540602	304	1997-08-31	PRIJEM	\N	226	39598	UROK	\N	\N
3540603	304	1997-09-30	PRIJEM	\N	160	35452	UROK	\N	\N
3540604	304	1997-10-31	PRIJEM	\N	123	31969	UROK	\N	\N
3540605	304	1997-11-30	PRIJEM	\N	141	34304	UROK	\N	\N
3540606	304	1997-12-31	PRIJEM	\N	165	40951	UROK	\N	\N
3540607	304	1998-01-31	PRIJEM	\N	161	19406	UROK	\N	\N
3540608	304	1998-02-28	PRIJEM	\N	101	26901	UROK	\N	\N
3540609	304	1998-03-31	PRIJEM	\N	128	30923	UROK	\N	\N
3540610	304	1998-04-30	PRIJEM	\N	131	26048	UROK	\N	\N
3540611	304	1998-05-31	PRIJEM	\N	163	35205	UROK	\N	\N
3540612	304	1998-06-30	PRIJEM	\N	152	36739	UROK	\N	\N
3540613	304	1998-07-31	PRIJEM	\N	140	31173	UROK	\N	\N
3540614	304	1998-08-31	PRIJEM	\N	132	30800	UROK	\N	\N
3540615	304	1998-09-30	PRIJEM	\N	122	25471	UROK	\N	\N
3540616	304	1998-10-31	PRIJEM	\N	111	23071	UROK	\N	\N
3540617	304	1998-11-30	PRIJEM	\N	87	15260	UROK	\N	\N
3540618	304	1998-12-31	PRIJEM	\N	100	23342	UROK	\N	\N
3540619	305	1997-03-31	PRIJEM	\N	56	17453	UROK	\N	\N
3540620	305	1997-04-30	PRIJEM	\N	73	17309	UROK	\N	\N
3540621	305	1997-05-31	PRIJEM	\N	77	18848	UROK	\N	\N
3540622	305	1997-06-30	PRIJEM	\N	76	17287	UROK	\N	\N
3540623	305	1997-07-31	PRIJEM	\N	73	16742	UROK	\N	\N
3540624	305	1997-08-31	PRIJEM	\N	68	15472	UROK	\N	\N
3540625	305	1997-09-30	PRIJEM	\N	62	13737	UROK	\N	\N
3540626	305	1997-10-31	PRIJEM	\N	62	15261	UROK	\N	\N
3540627	305	1997-11-30	PRIJEM	\N	63	14766	UROK	\N	\N
3540628	305	1997-12-31	PRIJEM	\N	63	14841	UROK	\N	\N
3540629	305	1998-01-31	PRIJEM	\N	56	12920	UROK	\N	\N
3540630	305	1998-02-28	PRIJEM	\N	58	14441	UROK	\N	\N
3540631	305	1998-03-31	PRIJEM	\N	65	15968	UROK	\N	\N
3540632	305	1998-04-30	PRIJEM	\N	64	14374	UROK	\N	\N
3540633	305	1998-05-31	PRIJEM	\N	65	15901	UROK	\N	\N
3540634	305	1998-06-30	PRIJEM	\N	65	13829	UROK	\N	\N
3540635	305	1998-07-31	PRIJEM	\N	62	15354	UROK	\N	\N
3540636	305	1998-08-31	PRIJEM	\N	69	16885	UROK	\N	\N
3540637	305	1998-09-30	PRIJEM	\N	60	13526	UROK	\N	\N
3540638	305	1998-10-31	PRIJEM	\N	60	14329	UROK	\N	\N
3540639	305	1998-11-30	PRIJEM	\N	64	15855	UROK	\N	\N
3540640	305	1998-12-31	PRIJEM	\N	68	16286	UROK	\N	\N
3540641	306	1993-06-30	PRIJEM	\N	22	9251	UROK	\N	\N
3540642	306	1993-07-31	PRIJEM	\N	73	23409	UROK	\N	\N
3540643	306	1993-08-31	PRIJEM	\N	118	31913	UROK	\N	\N
3540644	306	1993-09-30	PRIJEM	\N	138	34237	UROK	\N	\N
3540645	306	1993-10-31	PRIJEM	\N	139	32762	UROK	\N	\N
3540646	306	1993-11-30	PRIJEM	\N	115	28491	UROK	\N	\N
3540647	306	1993-12-31	PRIJEM	\N	105	25713	UROK	\N	\N
3540648	306	1994-01-31	PRIJEM	\N	78	13325	UROK	\N	\N
3540649	306	1994-02-28	PRIJEM	\N	83	23222	UROK	\N	\N
3540650	306	1994-03-31	PRIJEM	\N	93	23829	UROK	\N	\N
3540651	306	1994-04-30	PRIJEM	\N	101	26245	UROK	\N	\N
3540652	306	1994-05-31	PRIJEM	\N	107	27466	UROK	\N	\N
3540653	306	1994-06-30	PRIJEM	\N	111	25815	UROK	\N	\N
3540654	306	1994-07-31	PRIJEM	\N	107	27336	UROK	\N	\N
3540655	306	1994-08-31	PRIJEM	\N	106	26956	UROK	\N	\N
3540656	306	1994-09-30	PRIJEM	\N	101	26552	UROK	\N	\N
3540657	306	1994-10-31	PRIJEM	\N	105	26871	UROK	\N	\N
3540658	306	1994-11-30	PRIJEM	\N	87	19132	UROK	\N	\N
3540659	306	1994-12-31	PRIJEM	\N	91	25480	UROK	\N	\N
3540660	306	1995-01-31	PRIJEM	\N	86	18661	UROK	\N	\N
3540661	306	1995-02-28	PRIJEM	\N	81	20557	UROK	\N	\N
3540662	306	1995-03-31	PRIJEM	\N	85	21157	UROK	\N	\N
3540663	306	1995-04-30	PRIJEM	\N	92	23363	UROK	\N	\N
3540664	306	1995-05-31	PRIJEM	\N	100	22178	UROK	\N	\N
3540665	306	1995-06-30	PRIJEM	\N	102	24337	UROK	\N	\N
3540666	306	1995-07-31	PRIJEM	\N	96	20007	UROK	\N	\N
3540667	306	1995-08-31	PRIJEM	\N	82	17704	UROK	\N	\N
3540668	306	1995-09-30	PRIJEM	\N	76	17894	UROK	\N	\N
3540669	306	1995-10-31	PRIJEM	\N	77	17585	UROK	\N	\N
3540670	306	1995-11-30	PRIJEM	\N	76	18876	UROK	\N	\N
3540671	306	1995-12-31	PRIJEM	\N	87	21821	UROK	\N	\N
3540672	306	1996-01-31	PRIJEM	\N	71	15806	UROK	\N	\N
3540673	306	1996-02-29	PRIJEM	\N	67	15888	UROK	\N	\N
3540674	306	1996-03-31	PRIJEM	\N	64	15087	UROK	\N	\N
3540675	306	1996-04-30	PRIJEM	\N	62	13563	UROK	\N	\N
3540676	306	1996-05-31	PRIJEM	\N	59	14937	UROK	\N	\N
3540677	306	1996-06-30	PRIJEM	\N	65	14260	UROK	\N	\N
3540678	306	1996-07-31	PRIJEM	\N	60	13934	UROK	\N	\N
3540679	306	1996-08-31	PRIJEM	\N	65	18013	UROK	\N	\N
3540680	306	1996-09-30	PRIJEM	\N	74	17402	UROK	\N	\N
3540681	306	1996-10-31	PRIJEM	\N	75	18691	UROK	\N	\N
3540682	306	1996-11-30	PRIJEM	\N	60	15425	UROK	\N	\N
3540683	306	1996-12-31	PRIJEM	\N	71	18053	UROK	\N	\N
3540684	306	1997-01-31	PRIJEM	\N	64	13951	UROK	\N	\N
3540685	306	1997-02-28	PRIJEM	\N	57	13622	UROK	\N	\N
3540686	306	1997-03-31	PRIJEM	\N	60	15597	UROK	\N	\N
3540687	306	1997-04-30	PRIJEM	\N	62	14713	UROK	\N	\N
3540688	306	1997-05-31	PRIJEM	\N	56	12083	UROK	\N	\N
3540689	306	1997-06-30	PRIJEM	\N	59	16700	UROK	\N	\N
3540690	306	1997-07-31	PRIJEM	\N	72	18586	UROK	\N	\N
3540691	306	1997-08-31	PRIJEM	\N	69	15270	UROK	\N	\N
3540692	306	1997-09-30	PRIJEM	\N	61	14945	UROK	\N	\N
3540693	306	1997-10-31	PRIJEM	\N	58	13817	UROK	\N	\N
3540694	306	1997-11-30	PRIJEM	\N	59	12591	UROK	\N	\N
3540695	306	1997-12-31	PRIJEM	\N	53	13601	UROK	\N	\N
3540696	306	1998-01-31	PRIJEM	\N	56	14272	UROK	\N	\N
3540697	306	1998-02-28	PRIJEM	\N	60	15306	UROK	\N	\N
3540698	306	1998-03-31	PRIJEM	\N	66	17186	UROK	\N	\N
3540699	306	1998-04-30	PRIJEM	\N	74	19074	UROK	\N	\N
3540700	306	1998-05-31	PRIJEM	\N	81	20970	UROK	\N	\N
3540701	306	1998-06-30	PRIJEM	\N	96	25623	UROK	\N	\N
3540702	306	1998-07-31	PRIJEM	\N	109	27546	UROK	\N	\N
3540703	306	1998-08-31	PRIJEM	\N	117	29477	UROK	\N	\N
3540704	306	1998-09-30	PRIJEM	\N	112	26482	UROK	\N	\N
3540705	306	1998-10-31	PRIJEM	\N	112	28409	UROK	\N	\N
3540706	306	1998-11-30	PRIJEM	\N	116	29619	UROK	\N	\N
3540707	306	1998-12-31	PRIJEM	\N	123	32739	UROK	\N	\N
3540708	308	1998-08-31	PRIJEM	\N	5	33205	UROK	\N	\N
3540709	308	1998-09-30	PRIJEM	\N	138	33843	UROK	\N	\N
3540710	308	1998-10-31	PRIJEM	\N	138	40381	UROK	\N	\N
3540711	309	1997-05-31	PRIJEM	\N	22	23873	UROK	\N	\N
3540712	309	1997-06-30	PRIJEM	\N	111	36311	UROK	\N	\N
3540713	309	1997-07-31	PRIJEM	\N	148	34010	UROK	\N	\N
3540714	309	1997-08-31	PRIJEM	\N	144	36105	UROK	\N	\N
3540715	309	1997-09-30	PRIJEM	\N	173	28609	UROK	\N	\N
3540716	309	1997-10-31	PRIJEM	\N	124	21569	UROK	\N	\N
3540717	309	1997-11-30	PRIJEM	\N	109	23114	UROK	\N	\N
3540718	309	1997-12-31	PRIJEM	\N	142	26887	UROK	\N	\N
3540719	309	1998-01-31	PRIJEM	\N	111	12334	UROK	\N	\N
3540720	309	1998-02-28	PRIJEM	\N	67	22538	UROK	\N	\N
3540721	309	1998-03-31	PRIJEM	\N	125	24399	UROK	\N	\N
3540722	309	1998-04-30	PRIJEM	\N	108	28643	UROK	\N	\N
3540723	309	1998-05-31	PRIJEM	\N	135	31014	UROK	\N	\N
3540724	309	1998-06-30	PRIJEM	\N	133	29558	UROK	\N	\N
3540725	309	1998-07-31	PRIJEM	\N	131	23406	UROK	\N	\N
3540726	309	1998-08-31	PRIJEM	\N	117	23960	UROK	\N	\N
3540727	309	1998-09-30	PRIJEM	\N	114	21910	UROK	\N	\N
3540728	309	1998-10-31	PRIJEM	\N	104	20350	UROK	\N	\N
3540729	309	1998-11-30	PRIJEM	\N	83	12749	UROK	\N	\N
3540730	309	1998-12-31	PRIJEM	\N	93	24213	UROK	\N	\N
3540801	311	1997-08-31	PRIJEM	\N	48	17040	UROK	\N	\N
3540802	311	1997-09-30	PRIJEM	\N	115	32947	UROK	\N	\N
3540803	311	1997-10-31	PRIJEM	\N	176	47015	UROK	\N	\N
3540804	311	1997-11-30	PRIJEM	\N	209	52116	UROK	\N	\N
3540805	311	1997-12-31	PRIJEM	\N	251	63269	UROK	\N	\N
3540806	311	1998-01-31	PRIJEM	\N	184	35432	UROK	\N	\N
3540807	311	1998-02-28	PRIJEM	\N	164	42276	UROK	\N	\N
3540808	311	1998-03-31	PRIJEM	\N	182	43657	UROK	\N	\N
3540809	311	1998-04-30	PRIJEM	\N	192	47748	UROK	\N	\N
3540810	311	1998-05-31	PRIJEM	\N	216	53863	UROK	\N	\N
3540811	311	1998-06-30	PRIJEM	\N	151	35190	UROK	\N	\N
3540812	311	1998-07-31	PRIJEM	\N	172	39861	UROK	\N	\N
3540813	311	1998-08-31	PRIJEM	\N	190	48650	UROK	\N	\N
3540814	311	1998-09-30	PRIJEM	\N	209	51458	UROK	\N	\N
3540815	311	1998-10-31	PRIJEM	\N	212	51169	UROK	\N	\N
3540816	311	1998-11-30	PRIJEM	\N	223	55891	UROK	\N	\N
3540817	311	1998-12-31	PRIJEM	\N	256	65342	UROK	\N	\N
3540818	312	1996-01-31	PRIJEM	\N	41	12271	UROK	\N	\N
3540819	312	1996-02-29	PRIJEM	\N	118	32719	UROK	\N	\N
3540820	312	1996-03-31	PRIJEM	\N	165	41314	UROK	\N	\N
3540821	312	1996-04-30	PRIJEM	\N	191	47235	UROK	\N	\N
3540822	312	1996-05-31	PRIJEM	\N	195	44646	UROK	\N	\N
3540823	312	1996-06-30	PRIJEM	\N	165	33077	UROK	\N	\N
3540824	312	1996-07-31	PRIJEM	\N	153	35732	UROK	\N	\N
3540825	312	1996-08-31	PRIJEM	\N	149	28982	UROK	\N	\N
3540826	312	1996-09-30	PRIJEM	\N	129	30412	UROK	\N	\N
3540827	312	1996-10-31	PRIJEM	\N	134	29648	UROK	\N	\N
3540828	312	1996-11-30	PRIJEM	\N	130	27479	UROK	\N	\N
3540829	312	1996-12-31	PRIJEM	\N	132	26378	UROK	\N	\N
3540830	312	1997-01-31	PRIJEM	\N	113	17492	UROK	\N	\N
3540831	312	1997-02-28	PRIJEM	\N	81	20274	UROK	\N	\N
3540832	312	1997-03-31	PRIJEM	\N	92	20968	UROK	\N	\N
3540833	312	1997-04-30	PRIJEM	\N	85	12754	UROK	\N	\N
3540834	312	1997-05-31	PRIJEM	\N	60	13615	UROK	\N	\N
3540835	312	1997-06-30	PRIJEM	\N	74	15055	UROK	\N	\N
3540836	312	1997-07-31	PRIJEM	\N	68	14225	UROK	\N	\N
3540837	312	1997-08-31	PRIJEM	\N	67	17093	UROK	\N	\N
3540838	312	1997-09-30	PRIJEM	\N	77	17771	UROK	\N	\N
3540839	312	1997-10-31	PRIJEM	\N	82	20955	UROK	\N	\N
3540840	312	1997-11-30	PRIJEM	\N	100	28356	UROK	\N	\N
3540841	312	1997-12-31	PRIJEM	\N	146	31968	UROK	\N	\N
3540842	312	1998-01-31	PRIJEM	\N	127	26696	UROK	\N	\N
3540843	312	1998-02-28	PRIJEM	\N	118	29415	UROK	\N	\N
3540844	312	1998-03-31	PRIJEM	\N	133	34549	UROK	\N	\N
3540845	312	1998-04-30	PRIJEM	\N	152	37902	UROK	\N	\N
3540846	312	1998-05-31	PRIJEM	\N	167	42571	UROK	\N	\N
3540847	312	1998-06-30	PRIJEM	\N	195	45532	UROK	\N	\N
3540848	312	1998-07-31	PRIJEM	\N	196	46830	UROK	\N	\N
3540849	312	1998-08-31	PRIJEM	\N	196	45928	UROK	\N	\N
3540850	312	1998-09-30	PRIJEM	\N	195	47224	UROK	\N	\N
3540851	312	1998-10-31	PRIJEM	\N	210	54035	UROK	\N	\N
3540852	312	1998-11-30	PRIJEM	\N	230	56467	UROK	\N	\N
3540853	312	1998-12-31	PRIJEM	\N	244	60277	UROK	\N	\N
3540854	313	1996-07-31	PRIJEM	\N	13	4155	UROK	\N	\N
3540855	313	1996-08-31	PRIJEM	\N	17	7615	UROK	\N	\N
3540856	313	1996-09-30	PRIJEM	\N	17	11074	UROK	\N	\N
3540857	313	1996-10-31	PRIJEM	\N	17	14533	UROK	\N	\N
3540858	313	1996-11-30	PRIJEM	\N	51	15732	UROK	\N	\N
3540859	313	1996-12-31	PRIJEM	\N	69	16424	UROK	\N	\N
3540860	313	1997-01-31	PRIJEM	\N	69	14597	UROK	\N	\N
3540861	313	1997-02-28	PRIJEM	\N	58	12518	UROK	\N	\N
3540862	313	1997-03-31	PRIJEM	\N	54	12566	UROK	\N	\N
3540863	313	1997-04-30	PRIJEM	\N	56	13755	UROK	\N	\N
3540864	313	1997-05-31	PRIJEM	\N	61	14949	UROK	\N	\N
3540865	313	1997-06-30	PRIJEM	\N	66	16148	UROK	\N	\N
3540866	313	1997-07-31	PRIJEM	\N	68	16249	UROK	\N	\N
3540867	313	1997-08-31	PRIJEM	\N	68	15660	UROK	\N	\N
3540868	313	1997-09-30	PRIJEM	\N	69	16862	UROK	\N	\N
3540869	313	1997-10-31	PRIJEM	\N	71	16866	UROK	\N	\N
3540870	313	1997-11-30	PRIJEM	\N	74	18073	UROK	\N	\N
3540871	313	1997-12-31	PRIJEM	\N	78	18834	UROK	\N	\N
3540872	313	1998-01-31	PRIJEM	\N	75	16203	UROK	\N	\N
3540873	313	1998-02-28	PRIJEM	\N	66	15783	UROK	\N	\N
3540874	313	1998-03-31	PRIJEM	\N	69	16985	UROK	\N	\N
3540875	313	1998-04-30	PRIJEM	\N	74	18192	UROK	\N	\N
3540876	313	1998-05-31	PRIJEM	\N	79	19405	UROK	\N	\N
3540877	313	1998-06-30	PRIJEM	\N	81	19149	UROK	\N	\N
3540878	313	1998-07-31	PRIJEM	\N	82	19644	UROK	\N	\N
3540879	313	1998-08-31	PRIJEM	\N	85	20863	UROK	\N	\N
3540880	313	1998-09-30	PRIJEM	\N	90	22086	UROK	\N	\N
3540881	313	1998-10-31	PRIJEM	\N	95	23314	UROK	\N	\N
3540882	313	1998-11-30	PRIJEM	\N	100	24548	UROK	\N	\N
3540883	313	1998-12-31	PRIJEM	\N	105	25456	UROK	\N	\N
3540884	314	1996-02-29	PRIJEM	\N	22	29919	UROK	\N	\N
3540885	314	1996-03-31	PRIJEM	\N	137	45953	UROK	\N	\N
3540886	314	1996-04-30	PRIJEM	\N	197	53847	UROK	\N	\N
3540887	314	1996-05-31	PRIJEM	\N	226	56470	UROK	\N	\N
3540888	314	1996-06-30	PRIJEM	\N	194	26519	UROK	\N	\N
3540889	314	1996-07-31	PRIJEM	\N	156	31981	UROK	\N	\N
3540890	314	1996-08-31	PRIJEM	\N	164	15744	UROK	\N	\N
3540891	314	1996-09-30	PRIJEM	\N	96	23046	UROK	\N	\N
3540892	314	1996-10-31	PRIJEM	\N	136	27688	UROK	\N	\N
3540893	314	1996-11-30	PRIJEM	\N	148	22705	UROK	\N	\N
3540894	314	1996-12-31	PRIJEM	\N	113	26050	UROK	\N	\N
3540895	314	1997-01-31	PRIJEM	\N	118	18874	UROK	\N	\N
3540896	314	1997-02-28	PRIJEM	\N	131	33511	UROK	\N	\N
3540897	314	1997-03-31	PRIJEM	\N	175	35792	UROK	\N	\N
3540898	314	1997-04-30	PRIJEM	\N	176	22774	UROK	\N	\N
3540899	314	1997-05-31	PRIJEM	\N	98	18249	UROK	\N	\N
3540900	314	1997-06-30	PRIJEM	\N	152	34371	UROK	\N	\N
3540901	314	1997-07-31	PRIJEM	\N	170	35762	UROK	\N	\N
3540902	314	1997-08-31	PRIJEM	\N	169	34752	UROK	\N	\N
3540903	314	1997-09-30	PRIJEM	\N	183	35256	UROK	\N	\N
3540904	314	1997-10-31	PRIJEM	\N	157	31034	UROK	\N	\N
3540905	314	1997-11-30	PRIJEM	\N	148	31803	UROK	\N	\N
3540906	314	1997-12-31	PRIJEM	\N	180	38053	UROK	\N	\N
3540907	314	1998-01-31	PRIJEM	\N	188	23662	UROK	\N	\N
3540908	314	1998-02-28	PRIJEM	\N	112	20395	UROK	\N	\N
3540909	314	1998-03-31	PRIJEM	\N	92	16108	UROK	\N	\N
3540910	314	1998-04-30	PRIJEM	\N	80	15909	UROK	\N	\N
3540911	314	1998-05-31	PRIJEM	\N	84	13542	UROK	\N	\N
3540912	314	1998-06-30	PRIJEM	\N	105	25517	UROK	\N	\N
3540913	314	1998-07-31	PRIJEM	\N	109	22193	UROK	\N	\N
3540914	314	1998-08-31	PRIJEM	\N	102	22915	UROK	\N	\N
3540915	314	1998-09-30	PRIJEM	\N	105	22041	UROK	\N	\N
3540916	314	1998-10-31	PRIJEM	\N	104	25166	UROK	\N	\N
3540917	314	1998-11-30	PRIJEM	\N	98	22185	UROK	\N	\N
3540918	314	1998-12-31	PRIJEM	\N	110	25365	UROK	\N	\N
3540919	317	1993-03-31	PRIJEM	\N	2	6724	UROK	\N	\N
3540920	317	1993-04-30	PRIJEM	\N	3	12650	UROK	\N	\N
3540921	317	1993-05-31	PRIJEM	\N	3	18575	UROK	\N	\N
3540922	317	1993-06-30	PRIJEM	\N	3	24500	UROK	\N	\N
3540923	317	1993-07-31	PRIJEM	\N	7	30430	UROK	\N	\N
3540924	317	1993-08-31	PRIJEM	\N	122	29291	UROK	\N	\N
3540925	317	1993-09-30	PRIJEM	\N	118	27148	UROK	\N	\N
3540926	317	1993-10-31	PRIJEM	\N	120	30007	UROK	\N	\N
3540927	317	1993-11-30	PRIJEM	\N	128	32075	UROK	\N	\N
3540928	317	1993-12-31	PRIJEM	\N	135	32350	UROK	\N	\N
3540929	317	1994-01-31	PRIJEM	\N	114	24593	UROK	\N	\N
3540930	317	1994-02-28	PRIJEM	\N	111	27544	UROK	\N	\N
3540931	317	1994-03-31	PRIJEM	\N	122	30105	UROK	\N	\N
3540932	317	1994-04-30	PRIJEM	\N	101	22605	UROK	\N	\N
3540933	317	1994-05-31	PRIJEM	\N	103	25547	UROK	\N	\N
3540934	317	1994-06-30	PRIJEM	\N	66	16003	UROK	\N	\N
3540935	317	1994-07-31	PRIJEM	\N	72	15794	UROK	\N	\N
3540936	317	1994-08-31	PRIJEM	\N	74	16948	UROK	\N	\N
3540937	317	1994-09-30	PRIJEM	\N	79	19866	UROK	\N	\N
3540938	317	1994-10-31	PRIJEM	\N	89	21435	UROK	\N	\N
3540939	317	1994-11-30	PRIJEM	\N	98	24372	UROK	\N	\N
3540940	317	1994-12-31	PRIJEM	\N	106	23568	UROK	\N	\N
3540941	317	1995-01-31	PRIJEM	\N	77	13434	UROK	\N	\N
3540942	317	1995-02-28	PRIJEM	\N	64	16337	UROK	\N	\N
3540943	317	1995-03-31	PRIJEM	\N	77	19253	UROK	\N	\N
3540944	317	1995-04-30	PRIJEM	\N	89	22181	UROK	\N	\N
3540945	317	1995-05-31	PRIJEM	\N	101	25121	UROK	\N	\N
3540946	317	1995-06-30	PRIJEM	\N	105	21945	UROK	\N	\N
3540947	317	1995-07-31	PRIJEM	\N	98	22383	UROK	\N	\N
3540948	317	1995-08-31	PRIJEM	\N	100	24763	UROK	\N	\N
3540949	317	1995-09-30	PRIJEM	\N	111	27514	UROK	\N	\N
3540950	317	1995-10-31	PRIJEM	\N	119	27272	UROK	\N	\N
3540951	317	1995-11-30	PRIJEM	\N	119	26530	UROK	\N	\N
3540952	317	1995-12-31	PRIJEM	\N	106	24925	UROK	\N	\N
3540953	317	1996-01-31	PRIJEM	\N	90	16194	UROK	\N	\N
3540954	317	1996-02-29	PRIJEM	\N	75	19109	UROK	\N	\N
3540955	317	1996-03-31	PRIJEM	\N	88	22036	UROK	\N	\N
3540956	317	1996-04-30	PRIJEM	\N	98	23674	UROK	\N	\N
3540957	317	1996-05-31	PRIJEM	\N	107	26620	UROK	\N	\N
3540958	317	1996-06-30	PRIJEM	\N	115	28054	UROK	\N	\N
3540959	317	1996-07-31	PRIJEM	\N	125	31018	UROK	\N	\N
3540960	317	1996-08-31	PRIJEM	\N	137	33994	UROK	\N	\N
3540961	317	1996-09-30	PRIJEM	\N	148	36382	UROK	\N	\N
3540962	317	1996-10-31	PRIJEM	\N	157	37978	UROK	\N	\N
3540963	317	1996-11-30	PRIJEM	\N	166	40983	UROK	\N	\N
3540964	317	1996-12-31	PRIJEM	\N	165	35057	UROK	\N	\N
3540965	317	1997-01-31	PRIJEM	\N	119	25066	UROK	\N	\N
3540966	317	1997-02-28	PRIJEM	\N	111	28016	UROK	\N	\N
3540967	317	1997-03-31	PRIJEM	\N	124	30980	UROK	\N	\N
3540968	317	1997-04-30	PRIJEM	\N	129	29948	UROK	\N	\N
3540969	317	1997-05-31	PRIJEM	\N	132	32920	UROK	\N	\N
3540970	317	1997-06-30	PRIJEM	\N	119	20929	UROK	\N	\N
3540971	317	1997-07-31	PRIJEM	\N	94	23862	UROK	\N	\N
3540972	317	1997-08-31	PRIJEM	\N	106	24967	UROK	\N	\N
3540973	317	1997-09-30	PRIJEM	\N	110	27036	UROK	\N	\N
3540974	317	1997-10-31	PRIJEM	\N	115	26230	UROK	\N	\N
3540975	317	1997-11-30	PRIJEM	\N	116	29185	UROK	\N	\N
3540976	317	1997-12-31	PRIJEM	\N	120	28425	UROK	\N	\N
3540977	317	1998-01-31	PRIJEM	\N	98	18723	UROK	\N	\N
3540978	317	1998-02-28	PRIJEM	\N	84	21646	UROK	\N	\N
3540979	317	1998-03-31	PRIJEM	\N	96	24582	UROK	\N	\N
3540980	317	1998-04-30	PRIJEM	\N	108	27530	UROK	\N	\N
3540981	317	1998-05-31	PRIJEM	\N	114	29044	UROK	\N	\N
3540982	317	1998-06-30	PRIJEM	\N	109	27742	UROK	\N	\N
3540983	317	1998-07-31	PRIJEM	\N	112	27254	UROK	\N	\N
3540984	317	1998-08-31	PRIJEM	\N	119	30212	UROK	\N	\N
3540985	317	1998-09-30	PRIJEM	\N	131	33183	UROK	\N	\N
3540986	317	1998-10-31	PRIJEM	\N	139	34161	UROK	\N	\N
3540987	317	1998-11-30	PRIJEM	\N	148	37148	UROK	\N	\N
3540988	317	1998-12-31	PRIJEM	\N	158	38695	UROK	\N	\N
3540989	318	1994-10-31	PRIJEM	\N	35	16223	UROK	\N	\N
3540990	318	1994-11-30	PRIJEM	\N	83	23394	UROK	\N	\N
3540991	318	1994-12-31	PRIJEM	\N	111	29337	UROK	\N	\N
3540992	318	1995-01-31	PRIJEM	\N	129	32454	UROK	\N	\N
3540993	318	1995-02-28	PRIJEM	\N	124	27608	UROK	\N	\N
3540994	318	1995-03-31	PRIJEM	\N	104	22727	UROK	\N	\N
3540995	318	1995-04-30	PRIJEM	\N	99	24742	UROK	\N	\N
3540996	318	1995-05-31	PRIJEM	\N	115	26972	UROK	\N	\N
3540997	318	1995-06-30	PRIJEM	\N	112	26544	UROK	\N	\N
3540998	318	1995-07-31	PRIJEM	\N	107	24966	UROK	\N	\N
3540999	318	1995-08-31	PRIJEM	\N	102	23983	UROK	\N	\N
3541000	318	1995-09-30	PRIJEM	\N	103	24701	UROK	\N	\N
3541001	318	1995-10-31	PRIJEM	\N	112	18628	UROK	\N	\N
3541002	318	1995-11-30	PRIJEM	\N	88	21631	UROK	\N	\N
3541003	318	1995-12-31	PRIJEM	\N	96	22986	UROK	\N	\N
3541004	318	1996-01-31	PRIJEM	\N	64	11966	UROK	\N	\N
3541005	318	1996-02-29	PRIJEM	\N	93	25774	UROK	\N	\N
3541006	318	1996-03-31	PRIJEM	\N	119	29209	UROK	\N	\N
3541007	318	1996-04-30	PRIJEM	\N	124	28448	UROK	\N	\N
3541008	318	1996-05-31	PRIJEM	\N	126	28190	UROK	\N	\N
3541009	318	1996-06-30	PRIJEM	\N	124	30073	UROK	\N	\N
3541010	318	1996-07-31	PRIJEM	\N	142	35231	UROK	\N	\N
3541011	318	1996-08-31	PRIJEM	\N	156	37802	UROK	\N	\N
3541012	318	1996-09-30	PRIJEM	\N	164	39681	UROK	\N	\N
3541013	318	1996-10-31	PRIJEM	\N	167	39864	UROK	\N	\N
3541014	318	1996-11-30	PRIJEM	\N	158	36737	UROK	\N	\N
3541015	318	1996-12-31	PRIJEM	\N	164	39960	UROK	\N	\N
3541016	318	1997-01-31	PRIJEM	\N	128	23204	UROK	\N	\N
3541017	318	1997-02-28	PRIJEM	\N	136	36055	UROK	\N	\N
3541018	318	1997-03-31	PRIJEM	\N	175	43946	UROK	\N	\N
3541019	318	1997-04-30	PRIJEM	\N	180	42541	UROK	\N	\N
3541020	318	1997-05-31	PRIJEM	\N	180	43236	UROK	\N	\N
3541021	318	1997-06-30	PRIJEM	\N	99	20094	UROK	\N	\N
3541022	318	1997-07-31	PRIJEM	\N	124	33033	UROK	\N	\N
3541023	318	1997-08-31	PRIJEM	\N	149	35698	UROK	\N	\N
3541024	318	1997-09-30	PRIJEM	\N	146	33759	UROK	\N	\N
3541025	318	1997-10-31	PRIJEM	\N	142	33417	UROK	\N	\N
3541026	318	1997-11-30	PRIJEM	\N	137	29969	UROK	\N	\N
3541027	318	1997-12-31	PRIJEM	\N	134	34363	UROK	\N	\N
3541028	318	1998-01-31	PRIJEM	\N	115	19394	UROK	\N	\N
3541029	318	1998-02-28	PRIJEM	\N	83	24092	UROK	\N	\N
3541030	318	1998-03-31	PRIJEM	\N	98	28305	UROK	\N	\N
3541031	318	1998-04-30	PRIJEM	\N	120	31441	UROK	\N	\N
3541032	318	1998-05-31	PRIJEM	\N	131	30887	UROK	\N	\N
3541033	318	1998-06-30	PRIJEM	\N	136	35282	UROK	\N	\N
3541034	318	1998-07-31	PRIJEM	\N	147	35045	UROK	\N	\N
3541035	318	1998-08-31	PRIJEM	\N	145	33906	UROK	\N	\N
3541036	318	1998-09-30	PRIJEM	\N	142	35063	UROK	\N	\N
3541037	318	1998-10-31	PRIJEM	\N	146	35725	UROK	\N	\N
3541038	318	1998-11-30	PRIJEM	\N	144	34984	UROK	\N	\N
3541039	318	1998-12-31	PRIJEM	\N	150	36593	UROK	\N	\N
3541040	319	1995-11-30	PRIJEM	\N	36	29822	UROK	\N	\N
3541041	319	1995-12-31	PRIJEM	\N	186	78077	UROK	\N	\N
3541042	319	1996-01-31	PRIJEM	\N	200	11178	UROK	\N	\N
3541043	319	1996-02-29	PRIJEM	\N	72	60869	UROK	\N	\N
3541044	319	1996-03-31	PRIJEM	\N	202	41172	UROK	\N	\N
3541045	319	1996-04-30	PRIJEM	\N	130	24903	UROK	\N	\N
3541046	319	1996-05-31	PRIJEM	\N	145	54838	UROK	\N	\N
3541047	319	1996-06-30	PRIJEM	\N	242	55438	UROK	\N	\N
3541048	319	1996-07-31	PRIJEM	\N	203	42642	UROK	\N	\N
3541049	319	1996-08-31	PRIJEM	\N	205	44877	UROK	\N	\N
3541050	319	1996-09-30	PRIJEM	\N	225	51481	UROK	\N	\N
3541051	319	1996-10-31	PRIJEM	\N	255	59693	UROK	\N	\N
3541052	319	1996-11-30	PRIJEM	\N	194	38371	UROK	\N	\N
3541053	319	1996-12-31	PRIJEM	\N	152	26924	UROK	\N	\N
3541054	319	1997-01-31	PRIJEM	\N	146	23179	UROK	\N	\N
3541055	319	1997-02-28	PRIJEM	\N	147	38536	UROK	\N	\N
3541056	319	1997-03-31	PRIJEM	\N	165	35102	UROK	\N	\N
3541057	319	1997-04-30	PRIJEM	\N	316	85556	UROK	\N	\N
3541058	319	1997-05-31	PRIJEM	\N	249	51106	UROK	\N	\N
3541059	319	1997-06-30	PRIJEM	\N	190	68991	UROK	\N	\N
3541060	319	1997-07-31	PRIJEM	\N	299	55220	UROK	\N	\N
3541061	319	1997-08-31	PRIJEM	\N	196	42867	UROK	\N	\N
3541062	319	1997-09-30	PRIJEM	\N	248	64032	UROK	\N	\N
3541063	319	1997-10-31	PRIJEM	\N	273	73037	UROK	\N	\N
3541064	319	1997-11-30	PRIJEM	\N	345	93366	UROK	\N	\N
3541065	319	1997-12-31	PRIJEM	\N	353	66216	UROK	\N	\N
3541066	319	1998-01-31	PRIJEM	\N	277	42899	UROK	\N	\N
3541067	319	1998-02-28	PRIJEM	\N	337	105829	UROK	\N	\N
3541068	319	1998-03-31	PRIJEM	\N	309	56492	UROK	\N	\N
3541069	319	1998-04-30	PRIJEM	\N	188	28548	UROK	\N	\N
3541070	319	1998-05-31	PRIJEM	\N	217	61806	UROK	\N	\N
3541071	319	1998-06-30	PRIJEM	\N	295	59283	UROK	\N	\N
3541072	319	1998-07-31	PRIJEM	\N	193	36498	UROK	\N	\N
3541073	319	1998-08-31	PRIJEM	\N	326	81750	UROK	\N	\N
3541074	319	1998-09-30	PRIJEM	\N	314	91779	UROK	\N	\N
3541075	319	1998-10-31	PRIJEM	\N	364	116316	UROK	\N	\N
3541076	319	1998-11-30	PRIJEM	\N	466	105865	UROK	\N	\N
3541077	319	1998-12-31	PRIJEM	\N	372	78773	UROK	\N	\N
3541078	321	1994-03-31	PRIJEM	\N	60	21412	UROK	\N	\N
3541079	321	1994-04-30	PRIJEM	\N	92	21788	UROK	\N	\N
3541080	321	1994-05-31	PRIJEM	\N	97	23457	UROK	\N	\N
3541081	321	1994-06-30	PRIJEM	\N	95	15944	UROK	\N	\N
3541082	321	1994-07-31	PRIJEM	\N	70	15446	UROK	\N	\N
3541083	321	1994-08-31	PRIJEM	\N	75	18794	UROK	\N	\N
3541084	321	1994-09-30	PRIJEM	\N	89	22155	UROK	\N	\N
3541085	321	1994-10-31	PRIJEM	\N	101	22088	UROK	\N	\N
3541086	321	1994-11-30	PRIJEM	\N	103	25464	UROK	\N	\N
3541087	321	1994-12-31	PRIJEM	\N	111	26397	UROK	\N	\N
3541088	321	1995-01-31	PRIJEM	\N	90	15039	UROK	\N	\N
3541089	321	1995-02-28	PRIJEM	\N	71	14543	UROK	\N	\N
3541090	321	1995-03-31	PRIJEM	\N	72	17886	UROK	\N	\N
3541091	321	1995-04-30	PRIJEM	\N	85	21244	UROK	\N	\N
3541092	321	1995-05-31	PRIJEM	\N	83	19720	UROK	\N	\N
3541093	321	1995-06-30	PRIJEM	\N	93	23085	UROK	\N	\N
3541094	321	1995-07-31	PRIJEM	\N	107	26464	UROK	\N	\N
3541095	321	1995-08-31	PRIJEM	\N	114	27850	UROK	\N	\N
3541096	321	1995-09-30	PRIJEM	\N	106	25429	UROK	\N	\N
3541097	321	1995-10-31	PRIJEM	\N	114	28216	UROK	\N	\N
3541098	321	1995-11-30	PRIJEM	\N	115	27903	UROK	\N	\N
3541099	321	1995-12-31	PRIJEM	\N	110	26136	UROK	\N	\N
3541100	321	1996-01-31	PRIJEM	\N	104	22793	UROK	\N	\N
3541101	321	1996-02-29	PRIJEM	\N	105	26171	UROK	\N	\N
3541102	321	1996-03-31	PRIJEM	\N	116	25799	UROK	\N	\N
3541103	321	1996-04-30	PRIJEM	\N	118	29189	UROK	\N	\N
3541104	321	1996-05-31	PRIJEM	\N	132	32494	UROK	\N	\N
3541105	321	1996-06-30	PRIJEM	\N	110	21476	UROK	\N	\N
3541106	321	1996-07-31	PRIJEM	\N	100	24848	UROK	\N	\N
3541107	321	1996-08-31	PRIJEM	\N	110	27191	UROK	\N	\N
3541108	321	1996-09-30	PRIJEM	\N	124	30587	UROK	\N	\N
3541109	321	1996-10-31	PRIJEM	\N	137	33196	UROK	\N	\N
3541110	321	1996-11-30	PRIJEM	\N	145	32613	UROK	\N	\N
3541111	321	1996-12-31	PRIJEM	\N	139	30525	UROK	\N	\N
3541112	321	1997-01-31	PRIJEM	\N	119	24476	UROK	\N	\N
3541113	321	1997-02-28	PRIJEM	\N	87	20636	UROK	\N	\N
3541114	321	1997-03-31	PRIJEM	\N	96	24004	UROK	\N	\N
3541115	321	1997-04-30	PRIJEM	\N	109	27386	UROK	\N	\N
3541116	321	1997-05-31	PRIJEM	\N	108	26926	UROK	\N	\N
3541117	321	1997-06-30	PRIJEM	\N	106	21505	UROK	\N	\N
3541118	321	1997-07-31	PRIJEM	\N	99	24876	UROK	\N	\N
3541119	321	1997-08-31	PRIJEM	\N	108	25217	UROK	\N	\N
3541120	321	1997-09-30	PRIJEM	\N	115	28604	UROK	\N	\N
3541121	321	1997-10-31	PRIJEM	\N	129	32005	UROK	\N	\N
3541122	321	1997-11-30	PRIJEM	\N	143	35420	UROK	\N	\N
3541123	321	1997-12-31	PRIJEM	\N	144	32847	UROK	\N	\N
3541124	321	1998-01-31	PRIJEM	\N	117	25516	UROK	\N	\N
3541125	321	1998-02-28	PRIJEM	\N	111	26919	UROK	\N	\N
3541126	321	1998-03-31	PRIJEM	\N	115	25427	UROK	\N	\N
3541127	321	1998-04-30	PRIJEM	\N	108	24507	UROK	\N	\N
3541128	321	1998-05-31	PRIJEM	\N	101	22180	UROK	\N	\N
3541129	321	1998-06-30	PRIJEM	\N	89	17921	UROK	\N	\N
3541130	321	1998-07-31	PRIJEM	\N	76	19030	UROK	\N	\N
3541131	321	1998-08-31	PRIJEM	\N	78	17480	UROK	\N	\N
3541132	321	1998-09-30	PRIJEM	\N	73	16726	UROK	\N	\N
3541133	321	1998-10-31	PRIJEM	\N	78	20076	UROK	\N	\N
3541134	321	1998-11-30	PRIJEM	\N	74	15323	UROK	\N	\N
3541135	321	1998-12-31	PRIJEM	\N	70	17966	UROK	\N	\N
3541136	322	1993-03-31	PRIJEM	\N	29	21275	UROK	\N	\N
3541137	322	1993-04-30	PRIJEM	\N	104	32124	UROK	\N	\N
3541138	322	1993-05-31	PRIJEM	\N	137	34707	UROK	\N	\N
3541139	322	1993-06-30	PRIJEM	\N	153	40229	UROK	\N	\N
3541140	322	1993-07-31	PRIJEM	\N	166	39440	UROK	\N	\N
3541141	322	1993-08-31	PRIJEM	\N	171	38993	UROK	\N	\N
3541142	322	1993-09-30	PRIJEM	\N	164	36339	UROK	\N	\N
3541143	322	1993-10-31	PRIJEM	\N	155	34675	UROK	\N	\N
3541144	322	1993-11-30	PRIJEM	\N	153	36109	UROK	\N	\N
3541145	322	1993-12-31	PRIJEM	\N	167	38640	UROK	\N	\N
3541146	322	1994-01-31	PRIJEM	\N	120	21241	UROK	\N	\N
3541147	322	1994-02-28	PRIJEM	\N	111	30734	UROK	\N	\N
3541148	322	1994-03-31	PRIJEM	\N	133	27908	UROK	\N	\N
3541149	322	1994-04-30	PRIJEM	\N	132	33622	UROK	\N	\N
3541150	322	1994-05-31	PRIJEM	\N	151	36854	UROK	\N	\N
3541151	322	1994-06-30	PRIJEM	\N	165	39823	UROK	\N	\N
3541152	322	1994-07-31	PRIJEM	\N	162	37367	UROK	\N	\N
3541153	322	1994-08-31	PRIJEM	\N	150	34598	UROK	\N	\N
3541154	322	1994-09-30	PRIJEM	\N	168	35947	UROK	\N	\N
3541155	322	1994-10-31	PRIJEM	\N	174	38102	UROK	\N	\N
3541156	322	1994-11-30	PRIJEM	\N	160	35984	UROK	\N	\N
3541157	322	1994-12-31	PRIJEM	\N	192	52680	UROK	\N	\N
3541158	322	1995-01-31	PRIJEM	\N	166	28928	UROK	\N	\N
3541159	322	1995-02-28	PRIJEM	\N	148	41557	UROK	\N	\N
3541160	322	1995-03-31	PRIJEM	\N	168	39306	UROK	\N	\N
3541161	322	1995-04-30	PRIJEM	\N	166	42354	UROK	\N	\N
3541162	322	1995-05-31	PRIJEM	\N	137	30712	UROK	\N	\N
3541163	322	1995-06-30	PRIJEM	\N	154	43770	UROK	\N	\N
3541164	322	1995-07-31	PRIJEM	\N	173	43525	UROK	\N	\N
3541165	322	1995-08-31	PRIJEM	\N	173	42820	UROK	\N	\N
3541166	322	1995-09-30	PRIJEM	\N	173	45374	UROK	\N	\N
3541167	322	1995-10-31	PRIJEM	\N	185	48040	UROK	\N	\N
3541168	322	1995-11-30	PRIJEM	\N	181	46503	UROK	\N	\N
3541169	322	1995-12-31	PRIJEM	\N	207	55634	UROK	\N	\N
3541170	322	1996-01-31	PRIJEM	\N	159	27655	UROK	\N	\N
3541171	322	1996-02-29	PRIJEM	\N	122	35158	UROK	\N	\N
3541172	322	1996-03-31	PRIJEM	\N	169	43709	UROK	\N	\N
3541173	322	1996-04-30	PRIJEM	\N	167	41798	UROK	\N	\N
3541174	322	1996-05-31	PRIJEM	\N	146	37904	UROK	\N	\N
3541175	322	1996-06-30	PRIJEM	\N	176	50885	UROK	\N	\N
3541176	322	1996-07-31	PRIJEM	\N	162	40408	UROK	\N	\N
3541177	322	1996-08-31	PRIJEM	\N	140	38869	UROK	\N	\N
3541178	322	1996-09-30	PRIJEM	\N	148	40198	UROK	\N	\N
3541179	322	1996-10-31	PRIJEM	\N	147	41107	UROK	\N	\N
3541180	322	1996-11-30	PRIJEM	\N	148	40037	UROK	\N	\N
3541181	322	1996-12-31	PRIJEM	\N	161	44282	UROK	\N	\N
3541182	322	1997-01-31	PRIJEM	\N	107	25591	UROK	\N	\N
3541183	322	1997-02-28	PRIJEM	\N	128	35800	UROK	\N	\N
3541184	322	1997-03-31	PRIJEM	\N	129	35810	UROK	\N	\N
3541185	322	1997-04-30	PRIJEM	\N	123	34814	UROK	\N	\N
3541186	322	1997-05-31	PRIJEM	\N	124	29920	UROK	\N	\N
3541187	322	1997-06-30	PRIJEM	\N	136	29081	UROK	\N	\N
3541188	322	1997-07-31	PRIJEM	\N	135	30637	UROK	\N	\N
3541189	322	1997-08-31	PRIJEM	\N	129	29047	UROK	\N	\N
3541190	322	1997-09-30	PRIJEM	\N	137	29666	UROK	\N	\N
3541191	322	1997-10-31	PRIJEM	\N	137	27284	UROK	\N	\N
3541192	322	1997-11-30	PRIJEM	\N	119	21845	UROK	\N	\N
3541193	322	1997-12-31	PRIJEM	\N	124	27673	UROK	\N	\N
3541194	322	1998-01-31	PRIJEM	\N	94	18489	UROK	\N	\N
3541195	322	1998-02-28	PRIJEM	\N	90	19560	UROK	\N	\N
3541196	322	1998-03-31	PRIJEM	\N	92	17893	UROK	\N	\N
3541197	322	1998-04-30	PRIJEM	\N	86	17161	UROK	\N	\N
3541198	322	1998-05-31	PRIJEM	\N	92	26614	UROK	\N	\N
3541199	322	1998-06-30	PRIJEM	\N	106	23904	UROK	\N	\N
3541200	322	1998-07-31	PRIJEM	\N	106	20592	UROK	\N	\N
3541201	322	1998-08-31	PRIJEM	\N	91	17764	UROK	\N	\N
3541202	322	1998-09-30	PRIJEM	\N	94	27939	UROK	\N	\N
3541203	322	1998-10-31	PRIJEM	\N	116	22436	UROK	\N	\N
3541204	322	1998-11-30	PRIJEM	\N	96	20013	UROK	\N	\N
3541205	322	1998-12-31	PRIJEM	\N	119	35336	UROK	\N	\N
3541206	323	1997-07-31	PRIJEM	\N	84	25179	UROK	\N	\N
3541207	323	1997-08-31	PRIJEM	\N	114	28190	UROK	\N	\N
3541208	323	1997-09-30	PRIJEM	\N	124	29310	UROK	\N	\N
3541209	323	1997-10-31	PRIJEM	\N	124	27830	UROK	\N	\N
3541210	323	1997-11-30	PRIJEM	\N	114	23841	UROK	\N	\N
3541211	323	1997-12-31	PRIJEM	\N	101	22438	UROK	\N	\N
3541212	323	1998-01-31	PRIJEM	\N	89	17524	UROK	\N	\N
3541213	323	1998-02-28	PRIJEM	\N	76	17076	UROK	\N	\N
3541214	323	1998-03-31	PRIJEM	\N	81	20954	UROK	\N	\N
3541215	323	1998-04-30	PRIJEM	\N	95	23325	UROK	\N	\N
3541216	323	1998-05-31	PRIJEM	\N	98	22120	UROK	\N	\N
3541217	323	1998-06-30	PRIJEM	\N	76	15852	UROK	\N	\N
3541218	323	1998-07-31	PRIJEM	\N	71	16819	UROK	\N	\N
3541219	323	1998-08-31	PRIJEM	\N	80	20596	UROK	\N	\N
3541220	323	1998-09-30	PRIJEM	\N	75	14867	UROK	\N	\N
3541221	323	1998-10-31	PRIJEM	\N	59	12822	UROK	\N	\N
3541222	323	1998-11-30	PRIJEM	\N	63	16682	UROK	\N	\N
3541223	323	1998-12-31	PRIJEM	\N	79	19757	UROK	\N	\N
3541224	324	1997-01-31	PRIJEM	\N	54	13330	UROK	\N	\N
3541225	324	1997-02-28	PRIJEM	\N	66	16591	UROK	\N	\N
3541226	324	1997-03-31	PRIJEM	\N	76	18502	UROK	\N	\N
3541227	324	1997-04-30	PRIJEM	\N	79	15976	UROK	\N	\N
3541228	324	1997-05-31	PRIJEM	\N	74	17446	UROK	\N	\N
3541229	324	1997-06-30	PRIJEM	\N	79	13120	UROK	\N	\N
3541230	324	1997-07-31	PRIJEM	\N	65	16381	UROK	\N	\N
3541231	324	1997-08-31	PRIJEM	\N	73	16609	UROK	\N	\N
3541232	324	1997-09-30	PRIJEM	\N	80	19884	UROK	\N	\N
3541233	324	1997-10-31	PRIJEM	\N	93	23173	UROK	\N	\N
3541234	324	1997-11-30	PRIJEM	\N	106	26074	UROK	\N	\N
3541235	324	1997-12-31	PRIJEM	\N	116	27936	UROK	\N	\N
3541236	324	1998-01-31	PRIJEM	\N	77	16248	UROK	\N	\N
3541237	324	1998-02-28	PRIJEM	\N	78	19521	UROK	\N	\N
3541238	324	1998-03-31	PRIJEM	\N	92	22808	UROK	\N	\N
3541239	324	1998-04-30	PRIJEM	\N	94	21777	UROK	\N	\N
3541240	324	1998-05-31	PRIJEM	\N	101	25073	UROK	\N	\N
3541241	324	1998-06-30	PRIJEM	\N	114	24532	UROK	\N	\N
3541242	324	1998-07-31	PRIJEM	\N	113	27840	UROK	\N	\N
3541243	324	1998-08-31	PRIJEM	\N	126	31162	UROK	\N	\N
3541244	324	1998-09-30	PRIJEM	\N	140	34497	UROK	\N	\N
3541245	324	1998-10-31	PRIJEM	\N	135	32068	UROK	\N	\N
3541246	324	1998-11-30	PRIJEM	\N	144	35407	UROK	\N	\N
3541247	324	1998-12-31	PRIJEM	\N	157	38110	UROK	\N	\N
3541248	325	1996-10-31	PRIJEM	\N	20	6169	UROK	\N	\N
3541249	325	1996-11-30	PRIJEM	\N	26	12044	UROK	\N	\N
3541250	325	1996-12-31	PRIJEM	\N	26	17918	UROK	\N	\N
3541251	325	1997-01-31	PRIJEM	\N	26	23793	UROK	\N	\N
3541252	325	1997-02-28	PRIJEM	\N	81	23482	UROK	\N	\N
3541253	325	1997-03-31	PRIJEM	\N	100	23675	UROK	\N	\N
3541254	325	1997-04-30	PRIJEM	\N	92	21060	UROK	\N	\N
3541255	325	1997-05-31	PRIJEM	\N	91	21744	UROK	\N	\N
3541256	325	1997-06-30	PRIJEM	\N	65	12302	UROK	\N	\N
3541257	325	1997-07-31	PRIJEM	\N	60	15455	UROK	\N	\N
3541258	325	1997-08-31	PRIJEM	\N	70	15399	UROK	\N	\N
3541259	325	1997-09-30	PRIJEM	\N	72	18564	UROK	\N	\N
3541260	325	1997-10-31	PRIJEM	\N	74	15872	UROK	\N	\N
3541261	325	1997-11-30	PRIJEM	\N	57	15023	UROK	\N	\N
3541262	325	1997-12-31	PRIJEM	\N	67	16533	UROK	\N	\N
3541263	325	1998-01-31	PRIJEM	\N	73	14349	UROK	\N	\N
3541264	325	1998-02-28	PRIJEM	\N	66	15429	UROK	\N	\N
3541265	325	1998-03-31	PRIJEM	\N	68	13790	UROK	\N	\N
3541266	325	1998-04-30	PRIJEM	\N	66	16949	UROK	\N	\N
3541267	325	1998-05-31	PRIJEM	\N	77	14819	UROK	\N	\N
3541268	325	1998-06-30	PRIJEM	\N	62	12325	UROK	\N	\N
3541269	325	1998-07-31	PRIJEM	\N	57	11175	UROK	\N	\N
3541270	325	1998-08-31	PRIJEM	\N	54	13423	UROK	\N	\N
3541271	325	1998-09-30	PRIJEM	\N	63	15179	UROK	\N	\N
3541272	325	1998-10-31	PRIJEM	\N	63	14415	UROK	\N	\N
3541273	325	1998-11-30	PRIJEM	\N	68	17576	UROK	\N	\N
3541274	325	1998-12-31	PRIJEM	\N	80	19750	UROK	\N	\N
3541275	326	1997-08-31	PRIJEM	\N	22	6398	UROK	\N	\N
3541276	326	1997-09-30	PRIJEM	\N	27	11801	UROK	\N	\N
3541277	326	1997-10-31	PRIJEM	\N	27	17203	UROK	\N	\N
3541278	326	1997-11-30	PRIJEM	\N	73	19752	UROK	\N	\N
3541279	326	1997-12-31	PRIJEM	\N	79	18009	UROK	\N	\N
3541280	326	1998-01-31	PRIJEM	\N	56	12159	UROK	\N	\N
3541281	326	1998-02-28	PRIJEM	\N	58	13250	UROK	\N	\N
3541282	326	1998-03-31	PRIJEM	\N	57	13620	UROK	\N	\N
3541283	326	1998-04-30	PRIJEM	\N	64	15598	UROK	\N	\N
3541284	326	1998-05-31	PRIJEM	\N	69	15820	UROK	\N	\N
3541285	326	1998-06-30	PRIJEM	\N	74	17807	UROK	\N	\N
3541286	326	1998-07-31	PRIJEM	\N	61	13782	UROK	\N	\N
3541287	326	1998-08-31	PRIJEM	\N	65	15761	UROK	\N	\N
3541288	326	1998-09-30	PRIJEM	\N	73	17747	UROK	\N	\N
3541289	326	1998-10-31	PRIJEM	\N	80	19181	UROK	\N	\N
3541290	326	1998-11-30	PRIJEM	\N	87	21181	UROK	\N	\N
3541291	326	1998-12-31	PRIJEM	\N	90	18324	UROK	\N	\N
3541292	327	1993-06-30	PRIJEM	\N	71	24333	UROK	\N	\N
3541293	327	1993-07-31	PRIJEM	\N	144	38885	UROK	\N	\N
3541294	327	1993-08-31	PRIJEM	\N	180	45873	UROK	\N	\N
3541295	327	1993-09-30	PRIJEM	\N	139	49120	UROK	\N	\N
3541296	327	1993-10-31	PRIJEM	\N	177	36548	UROK	\N	\N
3541297	327	1993-11-30	PRIJEM	\N	174	35858	UROK	\N	\N
3541298	327	1993-12-31	PRIJEM	\N	192	38940	UROK	\N	\N
3541299	327	1994-01-31	PRIJEM	\N	160	30336	UROK	\N	\N
3541300	327	1994-02-28	PRIJEM	\N	152	33325	UROK	\N	\N
3541301	327	1994-03-31	PRIJEM	\N	163	35624	UROK	\N	\N
3541302	327	1994-04-30	PRIJEM	\N	172	36233	UROK	\N	\N
3541303	327	1994-05-31	PRIJEM	\N	171	32540	UROK	\N	\N
3541304	327	1994-06-30	PRIJEM	\N	159	22190	UROK	\N	\N
3541305	327	1994-07-31	PRIJEM	\N	115	26841	UROK	\N	\N
3541306	327	1994-08-31	PRIJEM	\N	137	33515	UROK	\N	\N
3541307	327	1994-09-30	PRIJEM	\N	162	35513	UROK	\N	\N
3541308	327	1994-10-31	PRIJEM	\N	171	39220	UROK	\N	\N
3541309	327	1994-11-30	PRIJEM	\N	182	40539	UROK	\N	\N
3541310	327	1994-12-31	PRIJEM	\N	203	41633	UROK	\N	\N
3541311	327	1995-01-31	PRIJEM	\N	133	26802	UROK	\N	\N
3541312	327	1995-02-28	PRIJEM	\N	132	34071	UROK	\N	\N
3541313	327	1995-03-31	PRIJEM	\N	163	36570	UROK	\N	\N
3541314	327	1995-04-30	PRIJEM	\N	173	40079	UROK	\N	\N
3541315	327	1995-05-31	PRIJEM	\N	182	37698	UROK	\N	\N
3541316	327	1995-06-30	PRIJEM	\N	155	36843	UROK	\N	\N
3541317	327	1995-07-31	PRIJEM	\N	153	36033	UROK	\N	\N
3541318	327	1995-08-31	PRIJEM	\N	164	36733	UROK	\N	\N
3541319	327	1995-09-30	PRIJEM	\N	160	33630	UROK	\N	\N
3541320	327	1995-10-31	PRIJEM	\N	152	33118	UROK	\N	\N
3541321	327	1995-11-30	PRIJEM	\N	156	38210	UROK	\N	\N
3541322	327	1995-12-31	PRIJEM	\N	189	43590	UROK	\N	\N
3541323	327	1996-01-31	PRIJEM	\N	153	31479	UROK	\N	\N
3541324	327	1996-02-29	PRIJEM	\N	155	39370	UROK	\N	\N
3541325	327	1996-03-31	PRIJEM	\N	186	45992	UROK	\N	\N
3541326	327	1996-04-30	PRIJEM	\N	200	42228	UROK	\N	\N
3541327	327	1996-05-31	PRIJEM	\N	194	46558	UROK	\N	\N
3541328	327	1996-06-30	PRIJEM	\N	196	28444	UROK	\N	\N
3541329	327	1996-07-31	PRIJEM	\N	154	41134	UROK	\N	\N
3541330	327	1996-08-31	PRIJEM	\N	189	46060	UROK	\N	\N
3541331	327	1996-09-30	PRIJEM	\N	203	48499	UROK	\N	\N
3541332	327	1996-10-31	PRIJEM	\N	216	50251	UROK	\N	\N
3541333	327	1996-11-30	PRIJEM	\N	235	55422	UROK	\N	\N
3541334	327	1996-12-31	PRIJEM	\N	262	59674	UROK	\N	\N
3541335	327	1997-01-31	PRIJEM	\N	235	43046	UROK	\N	\N
3541336	327	1997-02-28	PRIJEM	\N	204	52186	UROK	\N	\N
3541337	327	1997-03-31	PRIJEM	\N	225	53847	UROK	\N	\N
3541338	327	1997-04-30	PRIJEM	\N	230	56314	UROK	\N	\N
3541339	327	1997-05-31	PRIJEM	\N	228	53678	UROK	\N	\N
3541340	327	1997-06-30	PRIJEM	\N	218	52187	UROK	\N	\N
3541341	327	1997-07-31	PRIJEM	\N	218	52642	UROK	\N	\N
3541342	327	1997-08-31	PRIJEM	\N	226	55704	UROK	\N	\N
3541343	327	1997-09-30	PRIJEM	\N	242	60083	UROK	\N	\N
3541344	327	1997-10-31	PRIJEM	\N	263	64782	UROK	\N	\N
3541345	327	1997-11-30	PRIJEM	\N	262	62480	UROK	\N	\N
3541346	327	1997-12-31	PRIJEM	\N	275	67245	UROK	\N	\N
3541347	327	1998-01-31	PRIJEM	\N	235	51917	UROK	\N	\N
3541348	327	1998-02-28	PRIJEM	\N	244	62297	UROK	\N	\N
3541349	327	1998-03-31	PRIJEM	\N	257	62590	UROK	\N	\N
3541350	327	1998-04-30	PRIJEM	\N	271	66998	UROK	\N	\N
3541351	327	1998-05-31	PRIJEM	\N	275	66509	UROK	\N	\N
3541352	327	1998-06-30	PRIJEM	\N	299	53999	UROK	\N	\N
3541353	327	1998-07-31	PRIJEM	\N	251	64186	UROK	\N	\N
3541354	327	1998-08-31	PRIJEM	\N	267	65189	UROK	\N	\N
3541355	327	1998-09-30	PRIJEM	\N	252	62878	UROK	\N	\N
3541356	327	1998-10-31	PRIJEM	\N	242	59957	UROK	\N	\N
3541357	327	1998-11-30	PRIJEM	\N	249	60741	UROK	\N	\N
3541358	327	1998-12-31	PRIJEM	\N	266	64597	UROK	\N	\N
3541359	328	1997-12-31	PRIJEM	\N	36	17655	UROK	\N	\N
3541360	328	1998-01-31	PRIJEM	\N	82	21609	UROK	\N	\N
3541361	328	1998-02-28	PRIJEM	\N	86	18436	UROK	\N	\N
3541362	328	1998-03-31	PRIJEM	\N	84	20447	UROK	\N	\N
3541363	328	1998-04-30	PRIJEM	\N	84	18557	UROK	\N	\N
3541364	328	1998-05-31	PRIJEM	\N	78	17801	UROK	\N	\N
3541365	328	1998-06-30	PRIJEM	\N	70	16537	UROK	\N	\N
3541366	328	1998-07-31	PRIJEM	\N	72	16115	UROK	\N	\N
3541367	328	1998-08-31	PRIJEM	\N	79	16621	UROK	\N	\N
3541368	328	1998-09-30	PRIJEM	\N	58	11905	UROK	\N	\N
3541369	328	1998-10-31	PRIJEM	\N	61	16093	UROK	\N	\N
3541370	328	1998-11-30	PRIJEM	\N	74	18693	UROK	\N	\N
3541371	328	1998-12-31	PRIJEM	\N	64	13084	UROK	\N	\N
3541372	329	1996-11-30	PRIJEM	\N	44	24386	UROK	\N	\N
3541373	329	1996-12-31	PRIJEM	\N	137	43586	UROK	\N	\N
3541374	329	1997-01-31	PRIJEM	\N	191	48319	UROK	\N	\N
3541375	329	1997-02-28	PRIJEM	\N	204	49965	UROK	\N	\N
3541376	329	1997-03-31	PRIJEM	\N	205	40330	UROK	\N	\N
3541377	329	1997-04-30	PRIJEM	\N	179	40435	UROK	\N	\N
3541378	329	1997-05-31	PRIJEM	\N	184	42844	UROK	\N	\N
3541379	329	1997-06-30	PRIJEM	\N	168	36119	UROK	\N	\N
3541380	329	1997-07-31	PRIJEM	\N	167	39911	UROK	\N	\N
3541381	329	1997-08-31	PRIJEM	\N	184	45120	UROK	\N	\N
3541382	329	1997-09-30	PRIJEM	\N	191	45336	UROK	\N	\N
3541383	329	1997-10-31	PRIJEM	\N	211	48572	UROK	\N	\N
3541384	329	1997-11-30	PRIJEM	\N	195	45793	UROK	\N	\N
3541385	329	1997-12-31	PRIJEM	\N	202	39701	UROK	\N	\N
3541386	329	1998-01-31	PRIJEM	\N	181	40967	UROK	\N	\N
3541387	329	1998-02-28	PRIJEM	\N	187	46579	UROK	\N	\N
3541388	329	1998-03-31	PRIJEM	\N	201	46246	UROK	\N	\N
3541389	329	1998-04-30	PRIJEM	\N	211	49922	UROK	\N	\N
3541390	329	1998-05-31	PRIJEM	\N	211	51159	UROK	\N	\N
3541391	329	1998-06-30	PRIJEM	\N	221	52226	UROK	\N	\N
3541392	329	1998-07-31	PRIJEM	\N	214	50966	UROK	\N	\N
3541393	329	1998-08-31	PRIJEM	\N	212	50403	UROK	\N	\N
3541394	329	1998-09-30	PRIJEM	\N	203	47531	UROK	\N	\N
3541395	329	1998-10-31	PRIJEM	\N	215	49271	UROK	\N	\N
3541396	329	1998-11-30	PRIJEM	\N	234	58230	UROK	\N	\N
3541397	329	1998-12-31	PRIJEM	\N	299	75136	UROK	\N	\N
3541398	330	1996-12-31	PRIJEM	\N	32	29922	UROK	\N	\N
3541399	330	1997-01-31	PRIJEM	\N	130	34545	UROK	\N	\N
3541400	330	1997-02-28	PRIJEM	\N	150	41088	UROK	\N	\N
3541401	330	1997-03-31	PRIJEM	\N	178	48360	UROK	\N	\N
3541402	330	1997-04-30	PRIJEM	\N	222	35835	UROK	\N	\N
3541403	330	1997-05-31	PRIJEM	\N	155	40368	UROK	\N	\N
3541404	330	1997-06-30	PRIJEM	\N	202	16605	UROK	\N	\N
3541405	330	1997-07-31	PRIJEM	\N	115	22858	UROK	\N	\N
3541406	330	1997-08-31	PRIJEM	\N	109	30746	UROK	\N	\N
3541407	330	1997-09-30	PRIJEM	\N	145	38489	UROK	\N	\N
3541408	330	1997-10-31	PRIJEM	\N	161	37728	UROK	\N	\N
3541409	330	1997-11-30	PRIJEM	\N	173	36160	UROK	\N	\N
3541410	330	1997-12-31	PRIJEM	\N	210	39344	UROK	\N	\N
3541411	330	1998-01-31	PRIJEM	\N	180	36783	UROK	\N	\N
3541412	330	1998-02-28	PRIJEM	\N	178	38540	UROK	\N	\N
3541413	330	1998-03-31	PRIJEM	\N	184	36302	UROK	\N	\N
3541414	330	1998-04-30	PRIJEM	\N	186	36567	UROK	\N	\N
3541415	330	1998-05-31	PRIJEM	\N	195	39940	UROK	\N	\N
3541416	330	1998-06-30	PRIJEM	\N	182	35396	UROK	\N	\N
3541417	330	1998-07-31	PRIJEM	\N	176	40063	UROK	\N	\N
3541418	330	1998-08-31	PRIJEM	\N	174	39407	UROK	\N	\N
3541419	330	1998-09-30	PRIJEM	\N	162	35640	UROK	\N	\N
3541420	330	1998-10-31	PRIJEM	\N	143	30554	UROK	\N	\N
3541421	330	1998-11-30	PRIJEM	\N	130	29754	UROK	\N	\N
3541422	330	1998-12-31	PRIJEM	\N	126	26727	UROK	\N	\N
3541423	331	1995-10-31	PRIJEM	\N	20	7802	UROK	\N	\N
3541424	331	1995-11-30	PRIJEM	\N	32	14516	UROK	\N	\N
3541425	331	1995-12-31	PRIJEM	\N	32	21231	UROK	\N	\N
3541426	331	1996-01-31	PRIJEM	\N	37	24350	UROK	\N	\N
3541427	331	1996-02-29	PRIJEM	\N	102	31133	UROK	\N	\N
3541428	331	1996-03-31	PRIJEM	\N	113	25306	UROK	\N	\N
3541429	331	1996-04-30	PRIJEM	\N	106	24991	UROK	\N	\N
3541430	331	1996-05-31	PRIJEM	\N	112	28243	UROK	\N	\N
3541431	331	1996-06-30	PRIJEM	\N	122	27104	UROK	\N	\N
3541432	331	1996-07-31	PRIJEM	\N	119	26362	UROK	\N	\N
3541433	331	1996-08-31	PRIJEM	\N	118	29619	UROK	\N	\N
3541434	331	1996-09-30	PRIJEM	\N	128	28587	UROK	\N	\N
3541435	331	1996-10-31	PRIJEM	\N	125	29852	UROK	\N	\N
3541436	331	1996-11-30	PRIJEM	\N	128	27619	UROK	\N	\N
3541437	331	1996-12-31	PRIJEM	\N	111	21220	UROK	\N	\N
3541438	331	1997-01-31	PRIJEM	\N	84	14373	UROK	\N	\N
3541439	331	1997-02-28	PRIJEM	\N	66	16479	UROK	\N	\N
3541440	331	1997-03-31	PRIJEM	\N	77	19695	UROK	\N	\N
3541441	331	1997-04-30	PRIJEM	\N	86	18360	UROK	\N	\N
3541442	331	1997-05-31	PRIJEM	\N	79	16579	UROK	\N	\N
3541443	331	1997-06-30	PRIJEM	\N	72	13590	UROK	\N	\N
3541444	331	1997-07-31	PRIJEM	\N	64	16794	UROK	\N	\N
3541445	331	1997-08-31	PRIJEM	\N	75	19048	UROK	\N	\N
3541446	331	1997-09-30	PRIJEM	\N	87	22274	UROK	\N	\N
3541447	331	1997-10-31	PRIJEM	\N	94	21487	UROK	\N	\N
3541448	331	1997-11-30	PRIJEM	\N	93	22019	UROK	\N	\N
3541449	331	1997-12-31	PRIJEM	\N	84	20763	UROK	\N	\N
3541450	331	1998-01-31	PRIJEM	\N	76	14239	UROK	\N	\N
3541451	331	1998-02-28	PRIJEM	\N	66	17444	UROK	\N	\N
3541452	331	1998-03-31	PRIJEM	\N	80	20664	UROK	\N	\N
3541453	331	1998-04-30	PRIJEM	\N	89	21492	UROK	\N	\N
3541454	331	1998-05-31	PRIJEM	\N	88	20880	UROK	\N	\N
3541455	331	1998-06-30	PRIJEM	\N	82	19852	UROK	\N	\N
3541456	331	1998-07-31	PRIJEM	\N	90	23081	UROK	\N	\N
3541457	331	1998-08-31	PRIJEM	\N	99	24960	UROK	\N	\N
3541458	331	1998-09-30	PRIJEM	\N	99	22198	UROK	\N	\N
3541459	331	1998-10-31	PRIJEM	\N	94	23031	UROK	\N	\N
3541460	331	1998-11-30	PRIJEM	\N	86	18557	UROK	\N	\N
3541461	331	1998-12-31	PRIJEM	\N	72	15478	UROK	\N	\N
3541462	332	1996-02-29	PRIJEM	\N	35	16662	UROK	\N	\N
3541463	332	1996-03-31	PRIJEM	\N	77	21466	UROK	\N	\N
3541464	332	1996-04-30	PRIJEM	\N	100	24893	UROK	\N	\N
3541465	332	1996-05-31	PRIJEM	\N	115	26134	UROK	\N	\N
3541466	332	1996-06-30	PRIJEM	\N	123	29544	UROK	\N	\N
3541467	332	1996-07-31	PRIJEM	\N	124	30196	UROK	\N	\N
3541468	332	1996-08-31	PRIJEM	\N	122	29445	UROK	\N	\N
3541469	332	1996-09-30	PRIJEM	\N	120	29353	UROK	\N	\N
3541470	332	1996-10-31	PRIJEM	\N	133	33113	UROK	\N	\N
3541471	332	1996-11-30	PRIJEM	\N	149	37089	UROK	\N	\N
3541472	332	1996-12-31	PRIJEM	\N	141	33167	UROK	\N	\N
3541473	332	1997-01-31	PRIJEM	\N	124	29328	UROK	\N	\N
3541474	332	1997-02-28	PRIJEM	\N	133	32779	UROK	\N	\N
3541475	332	1997-03-31	PRIJEM	\N	145	36152	UROK	\N	\N
3541476	332	1997-04-30	PRIJEM	\N	157	39036	UROK	\N	\N
3541477	332	1997-05-31	PRIJEM	\N	169	41712	UROK	\N	\N
3541478	332	1997-06-30	PRIJEM	\N	136	31986	UROK	\N	\N
3541479	332	1997-07-31	PRIJEM	\N	146	35959	UROK	\N	\N
3541480	332	1997-08-31	PRIJEM	\N	153	37939	UROK	\N	\N
3541481	332	1997-09-30	PRIJEM	\N	156	38523	UROK	\N	\N
3541482	332	1997-10-31	PRIJEM	\N	135	32276	UROK	\N	\N
3541483	332	1997-11-30	PRIJEM	\N	138	34341	UROK	\N	\N
3541484	332	1997-12-31	PRIJEM	\N	134	32122	UROK	\N	\N
3541485	332	1998-01-31	PRIJEM	\N	128	31537	UROK	\N	\N
3541486	332	1998-02-28	PRIJEM	\N	131	31586	UROK	\N	\N
3541487	332	1998-03-31	PRIJEM	\N	142	35555	UROK	\N	\N
3541488	332	1998-04-30	PRIJEM	\N	151	37634	UROK	\N	\N
3541489	332	1998-05-31	PRIJEM	\N	158	39220	UROK	\N	\N
3541490	332	1998-06-30	PRIJEM	\N	156	35303	UROK	\N	\N
3541491	332	1998-07-31	PRIJEM	\N	151	32732	UROK	\N	\N
3541492	332	1998-08-31	PRIJEM	\N	139	34198	UROK	\N	\N
3541493	332	1998-09-30	PRIJEM	\N	144	31669	UROK	\N	\N
3541494	332	1998-10-31	PRIJEM	\N	125	25622	UROK	\N	\N
3541495	332	1998-11-30	PRIJEM	\N	108	25157	UROK	\N	\N
3541496	332	1998-12-31	PRIJEM	\N	106	25840	UROK	\N	\N
3541497	333	1997-05-31	PRIJEM	\N	42	14026	UROK	\N	\N
3541498	333	1997-06-30	PRIJEM	\N	62	15073	UROK	\N	\N
3541499	333	1997-07-31	PRIJEM	\N	67	16125	UROK	\N	\N
3541500	333	1997-08-31	PRIJEM	\N	70	16130	UROK	\N	\N
3541501	333	1997-09-30	PRIJEM	\N	71	17187	UROK	\N	\N
3541502	333	1997-10-31	PRIJEM	\N	75	18247	UROK	\N	\N
3541503	333	1997-11-30	PRIJEM	\N	77	18530	UROK	\N	\N
3541504	333	1997-12-31	PRIJEM	\N	80	17855	UROK	\N	\N
3541505	333	1998-01-31	PRIJEM	\N	71	14772	UROK	\N	\N
3541506	333	1998-02-28	PRIJEM	\N	63	15341	UROK	\N	\N
3541507	333	1998-03-31	PRIJEM	\N	68	16394	UROK	\N	\N
3541508	333	1998-04-30	PRIJEM	\N	69	16668	UROK	\N	\N
3541509	333	1998-05-31	PRIJEM	\N	73	17726	UROK	\N	\N
3541510	333	1998-06-30	PRIJEM	\N	75	15817	UROK	\N	\N
3541511	333	1998-07-31	PRIJEM	\N	69	16691	UROK	\N	\N
3541512	333	1998-08-31	PRIJEM	\N	73	17569	UROK	\N	\N
3541513	333	1998-09-30	PRIJEM	\N	77	18631	UROK	\N	\N
3541514	333	1998-10-31	PRIJEM	\N	81	19698	UROK	\N	\N
3541515	333	1998-11-30	PRIJEM	\N	86	20769	UROK	\N	\N
3541516	333	1998-12-31	PRIJEM	\N	89	20523	UROK	\N	\N
3541517	334	1993-06-30	PRIJEM	\N	28	25486	UROK	\N	\N
3541518	334	1993-07-31	PRIJEM	\N	119	36478	UROK	\N	\N
3541519	334	1993-08-31	PRIJEM	\N	154	38704	UROK	\N	\N
3541520	334	1993-09-30	PRIJEM	\N	164	41240	UROK	\N	\N
3541521	334	1993-10-31	PRIJEM	\N	171	41384	UROK	\N	\N
3541522	334	1993-11-30	PRIJEM	\N	197	42895	UROK	\N	\N
3541523	334	1993-12-31	PRIJEM	\N	220	43577	UROK	\N	\N
3541524	334	1994-01-31	PRIJEM	\N	158	27030	UROK	\N	\N
3541525	334	1994-02-28	PRIJEM	\N	142	33087	UROK	\N	\N
3541526	334	1994-03-31	PRIJEM	\N	167	37869	UROK	\N	\N
3541527	334	1994-04-30	PRIJEM	\N	171	33155	UROK	\N	\N
3541528	334	1994-05-31	PRIJEM	\N	169	39739	UROK	\N	\N
3541529	334	1994-06-30	PRIJEM	\N	205	44585	UROK	\N	\N
3541530	334	1994-07-31	PRIJEM	\N	204	45305	UROK	\N	\N
3541531	334	1994-08-31	PRIJEM	\N	187	36487	UROK	\N	\N
3541532	334	1994-09-30	PRIJEM	\N	166	33268	UROK	\N	\N
3541533	334	1994-10-31	PRIJEM	\N	163	38446	UROK	\N	\N
3541534	334	1994-11-30	PRIJEM	\N	170	37891	UROK	\N	\N
3541535	334	1994-12-31	PRIJEM	\N	184	42416	UROK	\N	\N
3541536	334	1995-01-31	PRIJEM	\N	140	25592	UROK	\N	\N
3541537	334	1995-02-28	PRIJEM	\N	132	33140	UROK	\N	\N
3541538	334	1995-03-31	PRIJEM	\N	158	37313	UROK	\N	\N
3541539	334	1995-04-30	PRIJEM	\N	171	41259	UROK	\N	\N
3541540	334	1995-05-31	PRIJEM	\N	178	40092	UROK	\N	\N
3541541	334	1995-06-30	PRIJEM	\N	204	47237	UROK	\N	\N
3541542	334	1995-07-31	PRIJEM	\N	212	50765	UROK	\N	\N
3541543	334	1995-08-31	PRIJEM	\N	224	53704	UROK	\N	\N
3541544	334	1995-09-30	PRIJEM	\N	213	48292	UROK	\N	\N
3541545	334	1995-10-31	PRIJEM	\N	212	51419	UROK	\N	\N
3541546	334	1995-11-30	PRIJEM	\N	223	54558	UROK	\N	\N
3541547	334	1995-12-31	PRIJEM	\N	237	56936	UROK	\N	\N
3541548	334	1996-01-31	PRIJEM	\N	220	36191	UROK	\N	\N
3541549	334	1996-02-29	PRIJEM	\N	215	54142	UROK	\N	\N
3541550	334	1996-03-31	PRIJEM	\N	225	54262	UROK	\N	\N
3541551	334	1996-04-30	PRIJEM	\N	262	67040	UROK	\N	\N
3541552	334	1996-05-31	PRIJEM	\N	299	73675	UROK	\N	\N
3541553	334	1996-06-30	PRIJEM	\N	322	76998	UROK	\N	\N
3541554	334	1996-07-31	PRIJEM	\N	314	77228	UROK	\N	\N
3541555	334	1996-08-31	PRIJEM	\N	314	76657	UROK	\N	\N
3541556	334	1996-09-30	PRIJEM	\N	315	78187	UROK	\N	\N
3541557	334	1996-10-31	PRIJEM	\N	330	82813	UROK	\N	\N
3541558	334	1996-11-30	PRIJEM	\N	341	84569	UROK	\N	\N
3541559	334	1996-12-31	PRIJEM	\N	375	92885	UROK	\N	\N
3541560	334	1997-01-31	PRIJEM	\N	352	64172	UROK	\N	\N
3541561	334	1997-02-28	PRIJEM	\N	304	78091	UROK	\N	\N
3541562	334	1997-03-31	PRIJEM	\N	339	84945	UROK	\N	\N
3541563	334	1997-04-30	PRIJEM	\N	350	86910	UROK	\N	\N
3541564	334	1997-05-31	PRIJEM	\N	330	79156	UROK	\N	\N
3541565	334	1997-06-30	PRIJEM	\N	272	69589	UROK	\N	\N
3541566	334	1997-07-31	PRIJEM	\N	321	81725	UROK	\N	\N
3541567	334	1997-08-31	PRIJEM	\N	354	89294	UROK	\N	\N
3541568	334	1997-09-30	PRIJEM	\N	361	92571	UROK	\N	\N
3541569	334	1997-10-31	PRIJEM	\N	362	78148	UROK	\N	\N
3541570	334	1997-11-30	PRIJEM	\N	362	78025	UROK	\N	\N
3541571	334	1997-12-31	PRIJEM	\N	373	76540	UROK	\N	\N
3541572	334	1998-01-31	PRIJEM	\N	279	62815	UROK	\N	\N
3541573	334	1998-02-28	PRIJEM	\N	298	69428	UROK	\N	\N
3541574	334	1998-03-31	PRIJEM	\N	323	68667	UROK	\N	\N
3541575	334	1998-04-30	PRIJEM	\N	321	73803	UROK	\N	\N
3541576	334	1998-05-31	PRIJEM	\N	342	79861	UROK	\N	\N
3541577	334	1998-06-30	PRIJEM	\N	327	76869	UROK	\N	\N
3541578	334	1998-07-31	PRIJEM	\N	350	79194	UROK	\N	\N
3541579	334	1998-08-31	PRIJEM	\N	355	77065	UROK	\N	\N
3541580	334	1998-09-30	PRIJEM	\N	335	74015	UROK	\N	\N
3541581	334	1998-10-31	PRIJEM	\N	329	72619	UROK	\N	\N
3541582	334	1998-11-30	PRIJEM	\N	328	75463	UROK	\N	\N
3541583	334	1998-12-31	PRIJEM	\N	376	96801	UROK	\N	\N
3541584	335	1996-05-31	PRIJEM	\N	38	21698	UROK	\N	\N
3541585	335	1996-06-30	PRIJEM	\N	95	21510	UROK	\N	\N
3541586	335	1996-07-31	PRIJEM	\N	96	22610	UROK	\N	\N
3541587	335	1996-08-31	PRIJEM	\N	96	19809	UROK	\N	\N
3541588	335	1996-09-30	PRIJEM	\N	91	20303	UROK	\N	\N
3541589	335	1996-10-31	PRIJEM	\N	92	20458	UROK	\N	\N
3541590	335	1996-11-30	PRIJEM	\N	96	22758	UROK	\N	\N
3541591	335	1996-12-31	PRIJEM	\N	96	21808	UROK	\N	\N
3541592	335	1997-01-31	PRIJEM	\N	80	12681	UROK	\N	\N
3541593	335	1997-02-28	PRIJEM	\N	71	15756	UROK	\N	\N
3541594	335	1997-03-31	PRIJEM	\N	76	16675	UROK	\N	\N
3541595	335	1997-04-30	PRIJEM	\N	79	19758	UROK	\N	\N
3541596	335	1997-05-31	PRIJEM	\N	101	22862	UROK	\N	\N
3541597	335	1997-06-30	PRIJEM	\N	102	21818	UROK	\N	\N
3541598	335	1997-07-31	PRIJEM	\N	110	24930	UROK	\N	\N
3541599	335	1997-08-31	PRIJEM	\N	123	28056	UROK	\N	\N
3541600	335	1997-09-30	PRIJEM	\N	117	27777	UROK	\N	\N
3541601	335	1997-10-31	PRIJEM	\N	111	25091	UROK	\N	\N
3541602	335	1997-11-30	PRIJEM	\N	104	24879	UROK	\N	\N
3541603	335	1997-12-31	PRIJEM	\N	113	27695	UROK	\N	\N
3541604	335	1998-01-31	PRIJEM	\N	102	19039	UROK	\N	\N
3541605	335	1998-02-28	PRIJEM	\N	87	20609	UROK	\N	\N
3541606	335	1998-03-31	PRIJEM	\N	90	21522	UROK	\N	\N
3541607	335	1998-04-30	PRIJEM	\N	93	22319	UROK	\N	\N
3541608	335	1998-05-31	PRIJEM	\N	100	24222	UROK	\N	\N
3541609	335	1998-06-30	PRIJEM	\N	103	22377	UROK	\N	\N
3541610	335	1998-07-31	PRIJEM	\N	101	22841	UROK	\N	\N
3541611	335	1998-08-31	PRIJEM	\N	112	22397	UROK	\N	\N
3541612	335	1998-09-30	PRIJEM	\N	111	25512	UROK	\N	\N
3541613	335	1998-10-31	PRIJEM	\N	115	25350	UROK	\N	\N
3541614	335	1998-11-30	PRIJEM	\N	113	27866	UROK	\N	\N
3541615	335	1998-12-31	PRIJEM	\N	122	29041	UROK	\N	\N
3541616	336	1995-11-30	PRIJEM	\N	44	19915	UROK	\N	\N
3541617	336	1995-12-31	PRIJEM	\N	117	34738	UROK	\N	\N
3541618	336	1996-01-31	PRIJEM	\N	159	40767	UROK	\N	\N
3541619	336	1996-02-29	PRIJEM	\N	172	42111	UROK	\N	\N
3541620	336	1996-03-31	PRIJEM	\N	171	40486	UROK	\N	\N
3541621	336	1996-04-30	PRIJEM	\N	161	37136	UROK	\N	\N
3541622	336	1996-05-31	PRIJEM	\N	159	38584	UROK	\N	\N
3541623	336	1996-06-30	PRIJEM	\N	173	32381	UROK	\N	\N
3541624	336	1996-07-31	PRIJEM	\N	145	35715	UROK	\N	\N
3541625	336	1996-08-31	PRIJEM	\N	149	35053	UROK	\N	\N
3541626	336	1996-09-30	PRIJEM	\N	139	28681	UROK	\N	\N
3541627	336	1996-10-31	PRIJEM	\N	131	28501	UROK	\N	\N
3541628	336	1996-11-30	PRIJEM	\N	125	29715	UROK	\N	\N
3541629	336	1996-12-31	PRIJEM	\N	154	34193	UROK	\N	\N
3541630	336	1997-01-31	PRIJEM	\N	112	16595	UROK	\N	\N
3541631	336	1997-02-28	PRIJEM	\N	94	20579	UROK	\N	\N
3541632	336	1997-03-31	PRIJEM	\N	105	25973	UROK	\N	\N
3541633	336	1997-04-30	PRIJEM	\N	99	21361	UROK	\N	\N
3541634	336	1997-05-31	PRIJEM	\N	103	24753	UROK	\N	\N
3541635	336	1997-06-30	PRIJEM	\N	76	12754	UROK	\N	\N
3541636	336	1997-07-31	PRIJEM	\N	72	17315	UROK	\N	\N
3541637	336	1997-08-31	PRIJEM	\N	81	14985	UROK	\N	\N
3541638	336	1997-09-30	PRIJEM	\N	71	16246	UROK	\N	\N
3541639	336	1997-10-31	PRIJEM	\N	91	14327	UROK	\N	\N
3541640	336	1997-11-30	PRIJEM	\N	93	28809	UROK	\N	\N
3541641	336	1997-12-31	PRIJEM	\N	160	38594	UROK	\N	\N
3541642	336	1998-01-31	PRIJEM	\N	126	19209	UROK	\N	\N
3541643	336	1998-02-28	PRIJEM	\N	111	33710	UROK	\N	\N
3541644	336	1998-03-31	PRIJEM	\N	145	34044	UROK	\N	\N
3541645	336	1998-04-30	PRIJEM	\N	160	37994	UROK	\N	\N
3541646	336	1998-05-31	PRIJEM	\N	154	35837	UROK	\N	\N
3541647	336	1998-06-30	PRIJEM	\N	155	25716	UROK	\N	\N
3541648	336	1998-07-31	PRIJEM	\N	152	37258	UROK	\N	\N
3541649	336	1998-08-31	PRIJEM	\N	166	39613	UROK	\N	\N
3541650	336	1998-09-30	PRIJEM	\N	154	43556	UROK	\N	\N
3541651	336	1998-10-31	PRIJEM	\N	187	32232	UROK	\N	\N
3541652	336	1998-11-30	PRIJEM	\N	177	33399	UROK	\N	\N
3541653	336	1998-12-31	PRIJEM	\N	199	56022	UROK	\N	\N
3541654	337	1995-12-31	PRIJEM	\N	255	73457	UROK	\N	\N
3541655	337	1996-01-31	PRIJEM	\N	231	31277	UROK	\N	\N
3541656	337	1996-02-29	PRIJEM	\N	164	56342	UROK	\N	\N
3541657	337	1996-03-31	PRIJEM	\N	235	26629	UROK	\N	\N
3541658	337	1996-04-30	PRIJEM	\N	185	49732	UROK	\N	\N
3541659	337	1996-05-31	PRIJEM	\N	145	33365	UROK	\N	\N
3541660	337	1996-06-30	PRIJEM	\N	138	26288	UROK	\N	\N
3541661	337	1996-07-31	PRIJEM	\N	109	21582	UROK	\N	\N
3541662	337	1996-08-31	PRIJEM	\N	90	22357	UROK	\N	\N
3541663	337	1996-09-30	PRIJEM	\N	97	25301	UROK	\N	\N
3541664	337	1996-10-31	PRIJEM	\N	129	58616	UROK	\N	\N
3541665	337	1996-11-30	PRIJEM	\N	231	26361	UROK	\N	\N
3541666	337	1996-12-31	PRIJEM	\N	106	24553	UROK	\N	\N
3541667	337	1997-01-31	PRIJEM	\N	98	22336	UROK	\N	\N
3541668	337	1997-02-28	PRIJEM	\N	106	29644	UROK	\N	\N
3541669	337	1997-03-31	PRIJEM	\N	122	22751	UROK	\N	\N
3541670	337	1997-04-30	PRIJEM	\N	94	22538	UROK	\N	\N
3541671	337	1997-05-31	PRIJEM	\N	99	25642	UROK	\N	\N
3541672	337	1997-06-30	PRIJEM	\N	105	12932	UROK	\N	\N
3541673	337	1997-07-31	PRIJEM	\N	61	16879	UROK	\N	\N
3541674	337	1997-08-31	PRIJEM	\N	69	13233	UROK	\N	\N
3541675	337	1997-09-30	PRIJEM	\N	54	12073	UROK	\N	\N
3541676	337	1997-10-31	PRIJEM	\N	50	13308	UROK	\N	\N
3541677	337	1997-11-30	PRIJEM	\N	68	37861	UROK	\N	\N
3541678	337	1997-12-31	PRIJEM	\N	132	61262	UROK	\N	\N
3541679	337	1998-01-31	PRIJEM	\N	201	67607	UROK	\N	\N
3541680	337	1998-02-28	PRIJEM	\N	277	98323	UROK	\N	\N
3541681	337	1998-03-31	PRIJEM	\N	246	41321	UROK	\N	\N
3541682	337	1998-04-30	PRIJEM	\N	309	102075	UROK	\N	\N
3541683	337	1998-05-31	PRIJEM	\N	193	36255	UROK	\N	\N
3541684	337	1998-06-30	PRIJEM	\N	149	32090	UROK	\N	\N
3541685	337	1998-07-31	PRIJEM	\N	200	62267	UROK	\N	\N
3541686	337	1998-08-31	PRIJEM	\N	212	31464	UROK	\N	\N
3541687	337	1998-09-30	PRIJEM	\N	188	31103	UROK	\N	\N
3541688	337	1998-10-31	PRIJEM	\N	250	57272	UROK	\N	\N
3541689	337	1998-11-30	PRIJEM	\N	226	46890	UROK	\N	\N
3541690	337	1998-12-31	PRIJEM	\N	185	57320	UROK	\N	\N
3541691	338	1995-12-31	PRIJEM	\N	22	11800	UROK	\N	\N
3541692	338	1996-01-31	PRIJEM	\N	63	18641	UROK	\N	\N
3541693	338	1996-02-29	PRIJEM	\N	84	21703	UROK	\N	\N
3541694	338	1996-03-31	PRIJEM	\N	95	24276	UROK	\N	\N
3541695	338	1996-04-30	PRIJEM	\N	97	22250	UROK	\N	\N
3541696	338	1996-05-31	PRIJEM	\N	94	22556	UROK	\N	\N
3541697	338	1996-06-30	PRIJEM	\N	80	19967	UROK	\N	\N
3541698	338	1996-07-31	PRIJEM	\N	82	19260	UROK	\N	\N
3541699	338	1996-08-31	PRIJEM	\N	80	18851	UROK	\N	\N
3541700	338	1996-09-30	PRIJEM	\N	75	17538	UROK	\N	\N
3541701	338	1996-10-31	PRIJEM	\N	64	13813	UROK	\N	\N
3541702	338	1996-11-30	PRIJEM	\N	53	12177	UROK	\N	\N
3541703	338	1996-12-31	PRIJEM	\N	57	14366	UROK	\N	\N
3541704	338	1997-01-31	PRIJEM	\N	59	11326	UROK	\N	\N
3541705	338	1997-02-28	PRIJEM	\N	50	12487	UROK	\N	\N
3541706	338	1997-03-31	PRIJEM	\N	49	11448	UROK	\N	\N
3541707	338	1997-04-30	PRIJEM	\N	51	12610	UROK	\N	\N
3541708	338	1997-05-31	PRIJEM	\N	56	13777	UROK	\N	\N
3541709	338	1997-06-30	PRIJEM	\N	56	12574	UROK	\N	\N
3541710	338	1997-07-31	PRIJEM	\N	55	13741	UROK	\N	\N
3541711	338	1997-08-31	PRIJEM	\N	60	14913	UROK	\N	\N
3541712	338	1997-09-30	PRIJEM	\N	65	16089	UROK	\N	\N
3541713	338	1997-10-31	PRIJEM	\N	70	17270	UROK	\N	\N
3541714	338	1997-11-30	PRIJEM	\N	75	18456	UROK	\N	\N
3541715	338	1997-12-31	PRIJEM	\N	79	19077	UROK	\N	\N
3541716	338	1998-01-31	PRIJEM	\N	73	16391	UROK	\N	\N
3541717	338	1998-02-28	PRIJEM	\N	71	17573	UROK	\N	\N
3541718	338	1998-03-31	PRIJEM	\N	73	18128	UROK	\N	\N
3541719	338	1998-04-30	PRIJEM	\N	78	19317	UROK	\N	\N
3541720	338	1998-05-31	PRIJEM	\N	83	20512	UROK	\N	\N
3541721	338	1998-06-30	PRIJEM	\N	83	18496	UROK	\N	\N
3541722	338	1998-07-31	PRIJEM	\N	80	19687	UROK	\N	\N
3541723	338	1998-08-31	PRIJEM	\N	61	13960	UROK	\N	\N
3541724	338	1998-09-30	PRIJEM	\N	60	14952	UROK	\N	\N
3541725	338	1998-10-31	PRIJEM	\N	65	16128	UROK	\N	\N
3541726	338	1998-11-30	PRIJEM	\N	70	17309	UROK	\N	\N
3541727	338	1998-12-31	PRIJEM	\N	71	17531	UROK	\N	\N
3541728	339	1996-09-30	PRIJEM	\N	125	47332	UROK	\N	\N
3541729	339	1996-10-31	PRIJEM	\N	289	81928	UROK	\N	\N
3541730	339	1996-11-30	PRIJEM	\N	381	97315	UROK	\N	\N
3541731	339	1996-12-31	PRIJEM	\N	400	95825	UROK	\N	\N
3541732	339	1997-01-31	PRIJEM	\N	339	69271	UROK	\N	\N
3541733	339	1997-02-28	PRIJEM	\N	287	79600	UROK	\N	\N
3541734	339	1997-03-31	PRIJEM	\N	300	68408	UROK	\N	\N
3541735	339	1997-04-30	PRIJEM	\N	307	76854	UROK	\N	\N
3541736	339	1997-05-31	PRIJEM	\N	325	78821	UROK	\N	\N
3541737	339	1997-06-30	PRIJEM	\N	187	25468	UROK	\N	\N
3541738	339	1997-07-31	PRIJEM	\N	176	47187	UROK	\N	\N
3541739	339	1997-08-31	PRIJEM	\N	189	52071	UROK	\N	\N
3541740	339	1997-09-30	PRIJEM	\N	237	68839	UROK	\N	\N
3541741	339	1997-10-31	PRIJEM	\N	295	73919	UROK	\N	\N
3541742	339	1997-11-30	PRIJEM	\N	287	63290	UROK	\N	\N
3541743	339	1997-12-31	PRIJEM	\N	358	95593	UROK	\N	\N
3541744	339	1998-01-31	PRIJEM	\N	298	59532	UROK	\N	\N
3541745	339	1998-02-28	PRIJEM	\N	287	78660	UROK	\N	\N
3541746	339	1998-03-31	PRIJEM	\N	314	72038	UROK	\N	\N
3541747	339	1998-04-30	PRIJEM	\N	352	88931	UROK	\N	\N
3541748	339	1998-05-31	PRIJEM	\N	301	73773	UROK	\N	\N
3541749	339	1998-06-30	PRIJEM	\N	304	67221	UROK	\N	\N
3541750	339	1998-07-31	PRIJEM	\N	315	70715	UROK	\N	\N
3541751	339	1998-08-31	PRIJEM	\N	329	79085	UROK	\N	\N
3541752	339	1998-09-30	PRIJEM	\N	300	82257	UROK	\N	\N
3541753	339	1998-10-31	PRIJEM	\N	393	55191	UROK	\N	\N
3541754	339	1998-11-30	PRIJEM	\N	337	90369	UROK	\N	\N
3541755	339	1998-12-31	PRIJEM	\N	374	97986	UROK	\N	\N
3541756	340	1993-11-30	PRIJEM	\N	16	6790	UROK	\N	\N
3541757	340	1993-12-31	PRIJEM	\N	28	12592	UROK	\N	\N
3541758	340	1994-01-31	PRIJEM	\N	28	18394	UROK	\N	\N
3541759	340	1994-02-28	PRIJEM	\N	28	24197	UROK	\N	\N
3541760	340	1994-03-31	PRIJEM	\N	31	30002	UROK	\N	\N
3541761	340	1994-04-30	PRIJEM	\N	126	32170	UROK	\N	\N
3541762	340	1994-05-31	PRIJEM	\N	134	31585	UROK	\N	\N
3541763	340	1994-06-30	PRIJEM	\N	109	23336	UROK	\N	\N
3541764	340	1994-07-31	PRIJEM	\N	106	27383	UROK	\N	\N
3541765	340	1994-08-31	PRIJEM	\N	114	25439	UROK	\N	\N
3541766	340	1994-09-30	PRIJEM	\N	113	26493	UROK	\N	\N
3541767	340	1994-10-31	PRIJEM	\N	115	29129	UROK	\N	\N
3541768	340	1994-11-30	PRIJEM	\N	125	30035	UROK	\N	\N
3541769	340	1994-12-31	PRIJEM	\N	122	28288	UROK	\N	\N
3541770	340	1995-01-31	PRIJEM	\N	95	18195	UROK	\N	\N
3541771	340	1995-02-28	PRIJEM	\N	83	22018	UROK	\N	\N
3541772	340	1995-03-31	PRIJEM	\N	99	25859	UROK	\N	\N
3541773	340	1995-04-30	PRIJEM	\N	112	25472	UROK	\N	\N
3541774	340	1995-05-31	PRIJEM	\N	111	24824	UROK	\N	\N
3541775	340	1995-06-30	PRIJEM	\N	106	21852	UROK	\N	\N
3541776	340	1995-07-31	PRIJEM	\N	97	22390	UROK	\N	\N
3541777	340	1995-08-31	PRIJEM	\N	88	20199	UROK	\N	\N
3541778	340	1995-09-30	PRIJEM	\N	84	18024	UROK	\N	\N
3541779	340	1995-10-31	PRIJEM	\N	83	21548	UROK	\N	\N
3541780	340	1995-11-30	PRIJEM	\N	93	21422	UROK	\N	\N
3541781	340	1995-12-31	PRIJEM	\N	85	18978	UROK	\N	\N
3541782	340	1996-01-31	PRIJEM	\N	63	13843	UROK	\N	\N
3541783	340	1996-02-29	PRIJEM	\N	63	16847	UROK	\N	\N
3541784	340	1996-03-31	PRIJEM	\N	76	19065	UROK	\N	\N
3541785	340	1996-04-30	PRIJEM	\N	86	23092	UROK	\N	\N
3541786	340	1996-05-31	PRIJEM	\N	94	24488	UROK	\N	\N
3541787	340	1996-06-30	PRIJEM	\N	91	21480	UROK	\N	\N
3541788	340	1996-07-31	PRIJEM	\N	97	25519	UROK	\N	\N
3541789	340	1996-08-31	PRIJEM	\N	111	28071	UROK	\N	\N
3541790	340	1996-09-30	PRIJEM	\N	117	28629	UROK	\N	\N
3541791	340	1996-10-31	PRIJEM	\N	110	24081	UROK	\N	\N
3541792	340	1996-11-30	PRIJEM	\N	103	25425	UROK	\N	\N
3541793	340	1996-12-31	PRIJEM	\N	102	20578	UROK	\N	\N
3541794	340	1997-01-31	PRIJEM	\N	70	14359	UROK	\N	\N
3541795	340	1997-02-28	PRIJEM	\N	66	18366	UROK	\N	\N
3541796	340	1997-03-31	PRIJEM	\N	81	21489	UROK	\N	\N
3541797	340	1997-04-30	PRIJEM	\N	96	25526	UROK	\N	\N
3541798	340	1997-05-31	PRIJEM	\N	113	29580	UROK	\N	\N
3541799	340	1997-06-30	PRIJEM	\N	119	27640	UROK	\N	\N
3541800	340	1997-07-31	PRIJEM	\N	122	31703	UROK	\N	\N
3541801	340	1997-08-31	PRIJEM	\N	139	35784	UROK	\N	\N
3541802	340	1997-09-30	PRIJEM	\N	156	39881	UROK	\N	\N
3541803	340	1997-10-31	PRIJEM	\N	173	43996	UROK	\N	\N
3541804	340	1997-11-30	PRIJEM	\N	177	43474	UROK	\N	\N
3541805	340	1997-12-31	PRIJEM	\N	184	46399	UROK	\N	\N
3541806	340	1998-01-31	PRIJEM	\N	175	38666	UROK	\N	\N
3541807	340	1998-02-28	PRIJEM	\N	164	42211	UROK	\N	\N
3541808	340	1998-03-31	PRIJEM	\N	166	39238	UROK	\N	\N
3541809	340	1998-04-30	PRIJEM	\N	162	40842	UROK	\N	\N
3541810	340	1998-05-31	PRIJEM	\N	168	42491	UROK	\N	\N
3541811	340	1998-06-30	PRIJEM	\N	171	40053	UROK	\N	\N
3541812	340	1998-07-31	PRIJEM	\N	171	43525	UROK	\N	\N
3541813	340	1998-08-31	PRIJEM	\N	166	40833	UROK	\N	\N
3541814	340	1998-09-30	PRIJEM	\N	161	40435	UROK	\N	\N
3541815	340	1998-10-31	PRIJEM	\N	164	41541	UROK	\N	\N
3541816	340	1998-11-30	PRIJEM	\N	166	42048	UROK	\N	\N
3541817	340	1998-12-31	PRIJEM	\N	166	39396	UROK	\N	\N
3541818	342	1997-03-31	PRIJEM	\N	48	16206	UROK	\N	\N
3541819	342	1997-04-30	PRIJEM	\N	67	15325	UROK	\N	\N
3541820	342	1997-05-31	PRIJEM	\N	67	16543	UROK	\N	\N
3541821	342	1997-06-30	PRIJEM	\N	72	17767	UROK	\N	\N
3541822	342	1997-07-31	PRIJEM	\N	77	18996	UROK	\N	\N
3541823	342	1997-08-31	PRIJEM	\N	78	17926	UROK	\N	\N
3541824	342	1997-09-30	PRIJEM	\N	78	19155	UROK	\N	\N
3541825	342	1997-10-31	PRIJEM	\N	83	20390	UROK	\N	\N
3541826	342	1997-11-30	PRIJEM	\N	88	21449	UROK	\N	\N
3541827	342	1997-12-31	PRIJEM	\N	91	21571	UROK	\N	\N
3541828	342	1998-01-31	PRIJEM	\N	85	18847	UROK	\N	\N
3541829	342	1998-02-28	PRIJEM	\N	82	20080	UROK	\N	\N
3541830	342	1998-03-31	PRIJEM	\N	82	19034	UROK	\N	\N
3541831	342	1998-04-30	PRIJEM	\N	82	19817	UROK	\N	\N
3541832	342	1998-05-31	PRIJEM	\N	86	21054	UROK	\N	\N
3541833	342	1998-06-30	PRIJEM	\N	81	13796	UROK	\N	\N
3541834	342	1998-07-31	PRIJEM	\N	60	14317	UROK	\N	\N
3541835	342	1998-08-31	PRIJEM	\N	63	15532	UROK	\N	\N
3541836	342	1998-09-30	PRIJEM	\N	68	16751	UROK	\N	\N
3541837	342	1998-10-31	PRIJEM	\N	73	17975	UROK	\N	\N
3541838	342	1998-11-30	PRIJEM	\N	78	19205	UROK	\N	\N
3541839	342	1998-12-31	PRIJEM	\N	83	19929	UROK	\N	\N
3541840	343	1994-05-31	PRIJEM	\N	14	16772	UROK	\N	\N
3541841	343	1994-06-30	PRIJEM	\N	76	24005	UROK	\N	\N
3541842	343	1994-07-31	PRIJEM	\N	104	28367	UROK	\N	\N
3541843	343	1994-08-31	PRIJEM	\N	118	28443	UROK	\N	\N
3541844	343	1994-09-30	PRIJEM	\N	119	29620	UROK	\N	\N
3541845	343	1994-10-31	PRIJEM	\N	122	26961	UROK	\N	\N
3541846	343	1994-11-30	PRIJEM	\N	110	23910	UROK	\N	\N
3541847	343	1994-12-31	PRIJEM	\N	104	25702	UROK	\N	\N
3541848	343	1995-01-31	PRIJEM	\N	106	24567	UROK	\N	\N
3541849	343	1995-02-28	PRIJEM	\N	103	24108	UROK	\N	\N
3541850	343	1995-03-31	PRIJEM	\N	102	23548	UROK	\N	\N
3541851	343	1995-04-30	PRIJEM	\N	103	25790	UROK	\N	\N
3541852	343	1995-05-31	PRIJEM	\N	102	23290	UROK	\N	\N
3541853	343	1995-06-30	PRIJEM	\N	92	20480	UROK	\N	\N
3541854	343	1995-07-31	PRIJEM	\N	86	20005	UROK	\N	\N
3541855	343	1995-08-31	PRIJEM	\N	81	18344	UROK	\N	\N
3541856	343	1995-09-30	PRIJEM	\N	82	20764	UROK	\N	\N
3541857	343	1995-10-31	PRIJEM	\N	88	20990	UROK	\N	\N
3541858	343	1995-11-30	PRIJEM	\N	82	17401	UROK	\N	\N
3541859	343	1995-12-31	PRIJEM	\N	77	19416	UROK	\N	\N
3541860	343	1996-01-31	PRIJEM	\N	73	13448	UROK	\N	\N
3541861	343	1996-02-29	PRIJEM	\N	55	13021	UROK	\N	\N
3541862	343	1996-03-31	PRIJEM	\N	57	14217	UROK	\N	\N
3541863	343	1996-04-30	PRIJEM	\N	61	14716	UROK	\N	\N
3541864	343	1996-05-31	PRIJEM	\N	54	11408	UROK	\N	\N
3541865	343	1996-06-30	PRIJEM	\N	53	13680	UROK	\N	\N
3541866	343	1996-07-31	PRIJEM	\N	63	15981	UROK	\N	\N
3541867	343	1996-08-31	PRIJEM	\N	71	18091	UROK	\N	\N
3541868	343	1996-09-30	PRIJEM	\N	68	15397	UROK	\N	\N
3541869	343	1996-10-31	PRIJEM	\N	66	16402	UROK	\N	\N
3541870	343	1996-11-30	PRIJEM	\N	70	17310	UROK	\N	\N
3541871	343	1996-12-31	PRIJEM	\N	65	15324	UROK	\N	\N
3541872	343	1997-01-31	PRIJEM	\N	61	14073	UROK	\N	\N
3541873	343	1997-02-28	PRIJEM	\N	61	15373	UROK	\N	\N
3541874	343	1997-03-31	PRIJEM	\N	64	15896	UROK	\N	\N
3541875	343	1997-04-30	PRIJEM	\N	68	11802	UROK	\N	\N
3541876	343	1997-05-31	PRIJEM	\N	52	13193	UROK	\N	\N
3541877	343	1997-06-30	PRIJEM	\N	58	14489	UROK	\N	\N
3541878	343	1997-07-31	PRIJEM	\N	65	16392	UROK	\N	\N
3541879	343	1997-08-31	PRIJEM	\N	74	17665	UROK	\N	\N
3541880	343	1997-09-30	PRIJEM	\N	92	24195	UROK	\N	\N
3541881	343	1997-10-31	PRIJEM	\N	107	26890	UROK	\N	\N
3541882	343	1997-11-30	PRIJEM	\N	108	26117	UROK	\N	\N
3541883	343	1997-12-31	PRIJEM	\N	104	25159	UROK	\N	\N
3541884	343	1998-01-31	PRIJEM	\N	85	19502	UROK	\N	\N
3541885	343	1998-02-28	PRIJEM	\N	68	15418	UROK	\N	\N
3541886	343	1998-03-31	PRIJEM	\N	63	15820	UROK	\N	\N
3541887	343	1998-04-30	PRIJEM	\N	70	18029	UROK	\N	\N
3541888	343	1998-05-31	PRIJEM	\N	74	18441	UROK	\N	\N
3541889	343	1998-06-30	PRIJEM	\N	66	15526	UROK	\N	\N
3541890	343	1998-07-31	PRIJEM	\N	80	21244	UROK	\N	\N
3541891	343	1998-08-31	PRIJEM	\N	81	19633	UROK	\N	\N
3541892	343	1998-09-30	PRIJEM	\N	79	19451	UROK	\N	\N
3541893	343	1998-10-31	PRIJEM	\N	79	18927	UROK	\N	\N
3541894	343	1998-11-30	PRIJEM	\N	77	19343	UROK	\N	\N
3541895	343	1998-12-31	PRIJEM	\N	75	18457	UROK	\N	\N
3541896	344	1993-12-31	PRIJEM	\N	76	21598	UROK	\N	\N
3541897	344	1994-01-31	PRIJEM	\N	105	31051	UROK	\N	\N
3541898	344	1994-02-28	PRIJEM	\N	129	45128	UROK	\N	\N
3541899	344	1994-03-31	PRIJEM	\N	197	51072	UROK	\N	\N
3541900	344	1994-04-30	PRIJEM	\N	179	44760	UROK	\N	\N
3541901	344	1994-05-31	PRIJEM	\N	154	30308	UROK	\N	\N
3541902	344	1994-06-30	PRIJEM	\N	122	22099	UROK	\N	\N
3541903	344	1994-07-31	PRIJEM	\N	116	25609	UROK	\N	\N
3541904	344	1994-08-31	PRIJEM	\N	124	30527	UROK	\N	\N
3541905	344	1994-09-30	PRIJEM	\N	146	31068	UROK	\N	\N
3541906	344	1994-10-31	PRIJEM	\N	152	33513	UROK	\N	\N
3541907	344	1994-11-30	PRIJEM	\N	162	32469	UROK	\N	\N
3541908	344	1994-12-31	PRIJEM	\N	169	34707	UROK	\N	\N
3541909	344	1995-01-31	PRIJEM	\N	143	27661	UROK	\N	\N
3541910	344	1995-02-28	PRIJEM	\N	134	32007	UROK	\N	\N
3541911	344	1995-03-31	PRIJEM	\N	150	32968	UROK	\N	\N
3541912	344	1995-04-30	PRIJEM	\N	154	33234	UROK	\N	\N
3541913	344	1995-05-31	PRIJEM	\N	153	32398	UROK	\N	\N
3541914	344	1995-06-30	PRIJEM	\N	111	25294	UROK	\N	\N
3541915	344	1995-07-31	PRIJEM	\N	125	30230	UROK	\N	\N
3541916	344	1995-08-31	PRIJEM	\N	141	30182	UROK	\N	\N
3541917	344	1995-09-30	PRIJEM	\N	144	34837	UROK	\N	\N
3541918	344	1995-10-31	PRIJEM	\N	160	36308	UROK	\N	\N
3541919	344	1995-11-30	PRIJEM	\N	167	39586	UROK	\N	\N
3541920	344	1995-12-31	PRIJEM	\N	198	42270	UROK	\N	\N
3541921	344	1996-01-31	PRIJEM	\N	178	39459	UROK	\N	\N
3541922	344	1996-02-29	PRIJEM	\N	178	41049	UROK	\N	\N
3541923	344	1996-03-31	PRIJEM	\N	182	42142	UROK	\N	\N
3541924	344	1996-04-30	PRIJEM	\N	186	43540	UROK	\N	\N
3541925	344	1996-05-31	PRIJEM	\N	184	39635	UROK	\N	\N
3541926	344	1996-06-30	PRIJEM	\N	187	42407	UROK	\N	\N
3541927	344	1996-07-31	PRIJEM	\N	183	41102	UROK	\N	\N
3541928	344	1996-08-31	PRIJEM	\N	177	40990	UROK	\N	\N
3541929	344	1996-09-30	PRIJEM	\N	185	45786	UROK	\N	\N
3541930	344	1996-10-31	PRIJEM	\N	200	48298	UROK	\N	\N
3541931	344	1996-11-30	PRIJEM	\N	191	42501	UROK	\N	\N
3541932	344	1996-12-31	PRIJEM	\N	195	42981	UROK	\N	\N
3541933	344	1997-01-31	PRIJEM	\N	157	30549	UROK	\N	\N
3541934	344	1997-02-28	PRIJEM	\N	129	30890	UROK	\N	\N
3541935	344	1997-03-31	PRIJEM	\N	141	35342	UROK	\N	\N
3541936	344	1997-04-30	PRIJEM	\N	149	34802	UROK	\N	\N
3541937	344	1997-05-31	PRIJEM	\N	156	38569	UROK	\N	\N
3541938	344	1997-06-30	PRIJEM	\N	157	33811	UROK	\N	\N
3541939	344	1997-07-31	PRIJEM	\N	146	35869	UROK	\N	\N
3541940	344	1997-08-31	PRIJEM	\N	159	39640	UROK	\N	\N
3541941	344	1997-09-30	PRIJEM	\N	167	40918	UROK	\N	\N
3541942	344	1997-10-31	PRIJEM	\N	166	40095	UROK	\N	\N
3541943	344	1997-11-30	PRIJEM	\N	169	41275	UROK	\N	\N
3541944	344	1997-12-31	PRIJEM	\N	179	43539	UROK	\N	\N
3541945	344	1998-01-31	PRIJEM	\N	176	41327	UROK	\N	\N
3541946	344	1998-02-28	PRIJEM	\N	172	42011	UROK	\N	\N
3541947	344	1998-03-31	PRIJEM	\N	177	43400	UROK	\N	\N
3541948	344	1998-04-30	PRIJEM	\N	177	43288	UROK	\N	\N
3541949	344	1998-05-31	PRIJEM	\N	174	38874	UROK	\N	\N
3541950	344	1998-06-30	PRIJEM	\N	121	23581	UROK	\N	\N
3541951	344	1998-07-31	PRIJEM	\N	124	32516	UROK	\N	\N
3541952	344	1998-08-31	PRIJEM	\N	142	34670	UROK	\N	\N
3541953	344	1998-09-30	PRIJEM	\N	150	36731	UROK	\N	\N
3541954	344	1998-10-31	PRIJEM	\N	155	35497	UROK	\N	\N
3541955	344	1998-11-30	PRIJEM	\N	184	44892	UROK	\N	\N
3541956	344	1998-12-31	PRIJEM	\N	227	56604	UROK	\N	\N
3541957	345	1993-12-31	PRIJEM	\N	38	23384	UROK	\N	\N
3541958	345	1994-01-31	PRIJEM	\N	113	32428	UROK	\N	\N
3541959	345	1994-02-28	PRIJEM	\N	140	35498	UROK	\N	\N
3541960	345	1994-03-31	PRIJEM	\N	155	40084	UROK	\N	\N
3541961	345	1994-04-30	PRIJEM	\N	168	40782	UROK	\N	\N
3541962	345	1994-05-31	PRIJEM	\N	163	33143	UROK	\N	\N
3541963	345	1994-06-30	PRIJEM	\N	157	23213	UROK	\N	\N
3541964	345	1994-07-31	PRIJEM	\N	101	23511	UROK	\N	\N
3541965	345	1994-08-31	PRIJEM	\N	102	19810	UROK	\N	\N
3541966	345	1994-09-30	PRIJEM	\N	100	27307	UROK	\N	\N
3541967	345	1994-10-31	PRIJEM	\N	126	31431	UROK	\N	\N
3541968	345	1994-11-30	PRIJEM	\N	134	33062	UROK	\N	\N
3541969	345	1994-12-31	PRIJEM	\N	152	34427	UROK	\N	\N
3541970	345	1995-01-31	PRIJEM	\N	131	20055	UROK	\N	\N
3541971	345	1995-02-28	PRIJEM	\N	99	26051	UROK	\N	\N
3541972	345	1995-03-31	PRIJEM	\N	120	30068	UROK	\N	\N
3541973	345	1995-04-30	PRIJEM	\N	127	30093	UROK	\N	\N
3541974	345	1995-05-31	PRIJEM	\N	128	30018	UROK	\N	\N
3541975	345	1995-06-30	PRIJEM	\N	122	15052	UROK	\N	\N
3541976	345	1995-07-31	PRIJEM	\N	90	23040	UROK	\N	\N
3541977	345	1995-08-31	PRIJEM	\N	109	28146	UROK	\N	\N
3541978	345	1995-09-30	PRIJEM	\N	148	39791	UROK	\N	\N
3541979	345	1995-10-31	PRIJEM	\N	188	48677	UROK	\N	\N
3541980	345	1995-11-30	PRIJEM	\N	206	50980	UROK	\N	\N
3541981	345	1995-12-31	PRIJEM	\N	213	52005	UROK	\N	\N
3541982	345	1996-01-31	PRIJEM	\N	185	41687	UROK	\N	\N
3541983	345	1996-02-29	PRIJEM	\N	191	49276	UROK	\N	\N
3541984	345	1996-03-31	PRIJEM	\N	214	53487	UROK	\N	\N
3541985	345	1996-04-30	PRIJEM	\N	205	47289	UROK	\N	\N
3541986	345	1996-05-31	PRIJEM	\N	198	48984	UROK	\N	\N
3541987	345	1996-06-30	PRIJEM	\N	211	47707	UROK	\N	\N
3541988	345	1996-07-31	PRIJEM	\N	203	49708	UROK	\N	\N
3541989	345	1996-08-31	PRIJEM	\N	203	47208	UROK	\N	\N
3541990	345	1996-09-30	PRIJEM	\N	194	45900	UROK	\N	\N
3541991	345	1996-10-31	PRIJEM	\N	189	46586	UROK	\N	\N
3541992	345	1996-11-30	PRIJEM	\N	188	45772	UROK	\N	\N
3541993	345	1996-12-31	PRIJEM	\N	209	52993	UROK	\N	\N
3541994	345	1997-01-31	PRIJEM	\N	148	27738	UROK	\N	\N
3541995	345	1997-02-28	PRIJEM	\N	146	40882	UROK	\N	\N
3541996	345	1997-03-31	PRIJEM	\N	160	39340	UROK	\N	\N
3541997	345	1997-04-30	PRIJEM	\N	178	46115	UROK	\N	\N
3541998	345	1997-05-31	PRIJEM	\N	191	47404	UROK	\N	\N
3541999	345	1997-06-30	PRIJEM	\N	157	42573	UROK	\N	\N
3542000	345	1997-07-31	PRIJEM	\N	193	49763	UROK	\N	\N
3542001	345	1997-08-31	PRIJEM	\N	210	52670	UROK	\N	\N
3542002	345	1997-09-30	PRIJEM	\N	211	54179	UROK	\N	\N
3542003	345	1997-10-31	PRIJEM	\N	228	51304	UROK	\N	\N
3542004	345	1997-11-30	PRIJEM	\N	225	50527	UROK	\N	\N
3542005	345	1997-12-31	PRIJEM	\N	240	55179	UROK	\N	\N
3542006	345	1998-01-31	PRIJEM	\N	212	48088	UROK	\N	\N
3542007	345	1998-02-28	PRIJEM	\N	216	52701	UROK	\N	\N
3542008	345	1998-03-31	PRIJEM	\N	235	54933	UROK	\N	\N
3542009	345	1998-04-30	PRIJEM	\N	232	57062	UROK	\N	\N
3542010	345	1998-05-31	PRIJEM	\N	253	60812	UROK	\N	\N
3542011	345	1998-06-30	PRIJEM	\N	259	54484	UROK	\N	\N
3542012	345	1998-07-31	PRIJEM	\N	245	63326	UROK	\N	\N
3542013	345	1998-08-31	PRIJEM	\N	269	64192	UROK	\N	\N
3542014	345	1998-09-30	PRIJEM	\N	275	70065	UROK	\N	\N
3542015	345	1998-10-31	PRIJEM	\N	303	72365	UROK	\N	\N
3542016	345	1998-11-30	PRIJEM	\N	290	68253	UROK	\N	\N
3542017	345	1998-12-31	PRIJEM	\N	319	82884	UROK	\N	\N
3542018	346	1993-02-28	PRIJEM	\N	62	21997	UROK	\N	\N
3542019	346	1993-03-31	PRIJEM	\N	124	34156	UROK	\N	\N
3542020	346	1993-04-30	PRIJEM	\N	155	39046	UROK	\N	\N
3542021	346	1993-05-31	PRIJEM	\N	166	40547	UROK	\N	\N
3542022	346	1993-06-30	PRIJEM	\N	150	18485	UROK	\N	\N
3542023	346	1993-07-31	PRIJEM	\N	88	20778	UROK	\N	\N
3542024	346	1993-08-31	PRIJEM	\N	106	26429	UROK	\N	\N
3542025	346	1993-09-30	PRIJEM	\N	116	27291	UROK	\N	\N
3542026	346	1993-10-31	PRIJEM	\N	128	30764	UROK	\N	\N
3542027	346	1993-11-30	PRIJEM	\N	132	30841	UROK	\N	\N
3542028	346	1993-12-31	PRIJEM	\N	144	29858	UROK	\N	\N
3542029	346	1994-01-31	PRIJEM	\N	91	14334	UROK	\N	\N
3542030	346	1994-02-28	PRIJEM	\N	95	22375	UROK	\N	\N
3542031	346	1994-03-31	PRIJEM	\N	106	20766	UROK	\N	\N
3542032	346	1994-04-30	PRIJEM	\N	100	23212	UROK	\N	\N
3542033	346	1994-05-31	PRIJEM	\N	120	28577	UROK	\N	\N
3542034	346	1994-06-30	PRIJEM	\N	104	22114	UROK	\N	\N
3542035	346	1994-07-31	PRIJEM	\N	113	22932	UROK	\N	\N
3542036	346	1994-08-31	PRIJEM	\N	152	35449	UROK	\N	\N
3542037	346	1994-09-30	PRIJEM	\N	186	44380	UROK	\N	\N
3542038	346	1994-10-31	PRIJEM	\N	205	48531	UROK	\N	\N
3542039	346	1994-11-30	PRIJEM	\N	212	49788	UROK	\N	\N
3542040	346	1994-12-31	PRIJEM	\N	265	61026	UROK	\N	\N
3542041	346	1995-01-31	PRIJEM	\N	175	36026	UROK	\N	\N
3542042	346	1995-02-28	PRIJEM	\N	168	44839	UROK	\N	\N
3542043	346	1995-03-31	PRIJEM	\N	215	51099	UROK	\N	\N
3542044	346	1995-04-30	PRIJEM	\N	222	51886	UROK	\N	\N
3542045	346	1995-05-31	PRIJEM	\N	222	52453	UROK	\N	\N
3542046	346	1995-06-30	PRIJEM	\N	137	28383	UROK	\N	\N
3542047	346	1995-07-31	PRIJEM	\N	150	35258	UROK	\N	\N
3542048	346	1995-08-31	PRIJEM	\N	179	44482	UROK	\N	\N
3542049	346	1995-09-30	PRIJEM	\N	208	42636	UROK	\N	\N
3542050	346	1995-10-31	PRIJEM	\N	197	40339	UROK	\N	\N
3542051	346	1995-11-30	PRIJEM	\N	194	41178	UROK	\N	\N
3542052	346	1995-12-31	PRIJEM	\N	242	49412	UROK	\N	\N
3542053	346	1996-01-31	PRIJEM	\N	225	45423	UROK	\N	\N
3542054	346	1996-02-29	PRIJEM	\N	215	49183	UROK	\N	\N
3542055	346	1996-03-31	PRIJEM	\N	227	48856	UROK	\N	\N
3542056	346	1996-04-30	PRIJEM	\N	222	48343	UROK	\N	\N
3542057	346	1996-05-31	PRIJEM	\N	200	44529	UROK	\N	\N
3542058	346	1996-06-30	PRIJEM	\N	181	38822	UROK	\N	\N
3542059	346	1996-07-31	PRIJEM	\N	184	41852	UROK	\N	\N
3542060	346	1996-08-31	PRIJEM	\N	184	43881	UROK	\N	\N
3542061	346	1996-09-30	PRIJEM	\N	202	47448	UROK	\N	\N
3542062	346	1996-10-31	PRIJEM	\N	211	49024	UROK	\N	\N
3542063	346	1996-11-30	PRIJEM	\N	219	49789	UROK	\N	\N
3542064	346	1996-12-31	PRIJEM	\N	239	52481	UROK	\N	\N
3542065	346	1997-01-31	PRIJEM	\N	205	38911	UROK	\N	\N
3542066	346	1997-02-28	PRIJEM	\N	189	49546	UROK	\N	\N
3542067	346	1997-03-31	PRIJEM	\N	223	51955	UROK	\N	\N
3542068	346	1997-04-30	PRIJEM	\N	226	50526	UROK	\N	\N
3542069	346	1997-05-31	PRIJEM	\N	224	51895	UROK	\N	\N
3542070	346	1997-06-30	PRIJEM	\N	228	35056	UROK	\N	\N
3542071	346	1997-07-31	PRIJEM	\N	176	47078	UROK	\N	\N
3542072	346	1997-08-31	PRIJEM	\N	214	52637	UROK	\N	\N
3542073	346	1997-09-30	PRIJEM	\N	232	56315	UROK	\N	\N
3542074	346	1997-10-31	PRIJEM	\N	240	54241	UROK	\N	\N
3542075	346	1997-11-30	PRIJEM	\N	228	53214	UROK	\N	\N
3542076	346	1997-12-31	PRIJEM	\N	240	53507	UROK	\N	\N
3542077	346	1998-01-31	PRIJEM	\N	222	41654	UROK	\N	\N
3542078	346	1998-02-28	PRIJEM	\N	190	48990	UROK	\N	\N
3542079	346	1998-03-31	PRIJEM	\N	217	52793	UROK	\N	\N
3542080	346	1998-04-30	PRIJEM	\N	232	57570	UROK	\N	\N
3542081	346	1998-05-31	PRIJEM	\N	251	62066	UROK	\N	\N
3542082	346	1998-06-30	PRIJEM	\N	231	51650	UROK	\N	\N
3542083	346	1998-07-31	PRIJEM	\N	218	53414	UROK	\N	\N
3542084	346	1998-08-31	PRIJEM	\N	218	52677	UROK	\N	\N
3542085	346	1998-09-30	PRIJEM	\N	207	46729	UROK	\N	\N
3542086	346	1998-10-31	PRIJEM	\N	190	49105	UROK	\N	\N
3542087	346	1998-11-30	PRIJEM	\N	211	52542	UROK	\N	\N
3542088	346	1998-12-31	PRIJEM	\N	218	51752	UROK	\N	\N
3542089	349	1997-06-30	PRIJEM	\N	34	11620	UROK	\N	\N
3542090	349	1997-07-31	PRIJEM	\N	90	25901	UROK	\N	\N
3542091	349	1997-08-31	PRIJEM	\N	124	31617	UROK	\N	\N
3542092	349	1997-09-30	PRIJEM	\N	128	30335	UROK	\N	\N
3542093	349	1997-10-31	PRIJEM	\N	107	21153	UROK	\N	\N
3542094	349	1997-11-30	PRIJEM	\N	83	18152	UROK	\N	\N
3542095	349	1997-12-31	PRIJEM	\N	82	21025	UROK	\N	\N
3542096	349	1998-01-31	PRIJEM	\N	71	15932	UROK	\N	\N
3542097	349	1998-02-28	PRIJEM	\N	64	14313	UROK	\N	\N
3542098	349	1998-03-31	PRIJEM	\N	60	13489	UROK	\N	\N
3542099	349	1998-04-30	PRIJEM	\N	51	12756	UROK	\N	\N
3542100	349	1998-05-31	PRIJEM	\N	58	13630	UROK	\N	\N
3542101	349	1998-06-30	PRIJEM	\N	56	12838	UROK	\N	\N
3542102	349	1998-07-31	PRIJEM	\N	72	18826	UROK	\N	\N
3542103	349	1998-08-31	PRIJEM	\N	69	16011	UROK	\N	\N
3542104	349	1998-09-30	PRIJEM	\N	71	17531	UROK	\N	\N
3542105	349	1998-10-31	PRIJEM	\N	73	18152	UROK	\N	\N
3542106	349	1998-11-30	PRIJEM	\N	72	16972	UROK	\N	\N
3542107	349	1998-12-31	PRIJEM	\N	67	16683	UROK	\N	\N
3542108	350	1997-01-31	PRIJEM	\N	50	17677	UROK	\N	\N
3542109	350	1997-02-28	PRIJEM	\N	73	24059	UROK	\N	\N
3542110	350	1997-03-31	PRIJEM	\N	92	24660	UROK	\N	\N
3542111	350	1997-04-30	PRIJEM	\N	97	20920	UROK	\N	\N
3542112	350	1997-05-31	PRIJEM	\N	94	23518	UROK	\N	\N
3542113	350	1997-06-30	PRIJEM	\N	60	14091	UROK	\N	\N
3542114	350	1997-07-31	PRIJEM	\N	66	16660	UROK	\N	\N
3542115	350	1997-08-31	PRIJEM	\N	76	18520	UROK	\N	\N
3542116	350	1997-09-30	PRIJEM	\N	84	21107	UROK	\N	\N
3542117	350	1997-10-31	PRIJEM	\N	73	17183	UROK	\N	\N
3542118	350	1997-11-30	PRIJEM	\N	79	19765	UROK	\N	\N
3542119	350	1997-12-31	PRIJEM	\N	83	20901	UROK	\N	\N
3542120	350	1998-01-31	PRIJEM	\N	69	15233	UROK	\N	\N
3542121	350	1998-02-28	PRIJEM	\N	70	17167	UROK	\N	\N
3542122	350	1998-03-31	PRIJEM	\N	76	19646	UROK	\N	\N
3542123	350	1998-04-30	PRIJEM	\N	89	22238	UROK	\N	\N
3542124	350	1998-05-31	PRIJEM	\N	83	20825	UROK	\N	\N
3542125	350	1998-06-30	PRIJEM	\N	77	19725	UROK	\N	\N
3542126	350	1998-07-31	PRIJEM	\N	89	22318	UROK	\N	\N
3542127	350	1998-08-31	PRIJEM	\N	94	22275	UROK	\N	\N
3542128	350	1998-09-30	PRIJEM	\N	100	24878	UROK	\N	\N
3542129	350	1998-10-31	PRIJEM	\N	101	25683	UROK	\N	\N
3542130	350	1998-11-30	PRIJEM	\N	106	24512	UROK	\N	\N
3542131	350	1998-12-31	PRIJEM	\N	91	22156	UROK	\N	\N
3542132	352	1994-07-31	PRIJEM	\N	12	4563	UROK	\N	\N
3542133	352	1994-08-31	PRIJEM	\N	19	8933	UROK	\N	\N
3542134	352	1994-09-30	PRIJEM	\N	19	13303	UROK	\N	\N
3542135	352	1994-10-31	PRIJEM	\N	19	17673	UROK	\N	\N
3542136	352	1994-11-30	PRIJEM	\N	21	22045	UROK	\N	\N
3542137	352	1994-12-31	PRIJEM	\N	90	22019	UROK	\N	\N
3542138	352	1995-01-31	PRIJEM	\N	90	16773	UROK	\N	\N
3542139	352	1995-02-28	PRIJEM	\N	75	19193	UROK	\N	\N
3542140	352	1995-03-31	PRIJEM	\N	86	21623	UROK	\N	\N
3542141	352	1995-04-30	PRIJEM	\N	96	24064	UROK	\N	\N
3542142	352	1995-05-31	PRIJEM	\N	92	21800	UROK	\N	\N
3542143	352	1995-06-30	PRIJEM	\N	97	24241	UROK	\N	\N
3542144	352	1995-07-31	PRIJEM	\N	101	24926	UROK	\N	\N
3542145	352	1995-08-31	PRIJEM	\N	107	20437	UROK	\N	\N
3542146	352	1995-09-30	PRIJEM	\N	90	21972	UROK	\N	\N
3542147	352	1995-10-31	PRIJEM	\N	96	21032	UROK	\N	\N
3542148	352	1995-11-30	PRIJEM	\N	92	21068	UROK	\N	\N
3542149	352	1995-12-31	PRIJEM	\N	80	17512	UROK	\N	\N
3542150	352	1996-01-31	PRIJEM	\N	61	14078	UROK	\N	\N
3542151	352	1996-02-29	PRIJEM	\N	64	16486	UROK	\N	\N
3542152	352	1996-03-31	PRIJEM	\N	74	18205	UROK	\N	\N
3542153	352	1996-04-30	PRIJEM	\N	81	20330	UROK	\N	\N
3542154	352	1996-05-31	PRIJEM	\N	89	21764	UROK	\N	\N
3542155	352	1996-06-30	PRIJEM	\N	96	24205	UROK	\N	\N
3542156	352	1996-07-31	PRIJEM	\N	104	24453	UROK	\N	\N
3542157	352	1996-08-31	PRIJEM	\N	108	26905	UROK	\N	\N
3542158	352	1996-09-30	PRIJEM	\N	108	24297	UROK	\N	\N
3542159	352	1996-10-31	PRIJEM	\N	107	26748	UROK	\N	\N
3542160	352	1996-11-30	PRIJEM	\N	117	29209	UROK	\N	\N
3542161	352	1996-12-31	PRIJEM	\N	117	24270	UROK	\N	\N
3542162	352	1997-01-31	PRIJEM	\N	84	17739	UROK	\N	\N
3542163	352	1997-02-28	PRIJEM	\N	79	20162	UROK	\N	\N
3542164	352	1997-03-31	PRIJEM	\N	86	21712	UROK	\N	\N
3542165	352	1997-04-30	PRIJEM	\N	94	23591	UROK	\N	\N
3542166	352	1997-05-31	PRIJEM	\N	104	26039	UROK	\N	\N
3542167	352	1997-06-30	PRIJEM	\N	88	15782	UROK	\N	\N
3542168	352	1997-07-31	PRIJEM	\N	71	18197	UROK	\N	\N
3542169	352	1997-08-31	PRIJEM	\N	81	20622	UROK	\N	\N
3542170	352	1997-09-30	PRIJEM	\N	82	20329	UROK	\N	\N
3542171	352	1997-10-31	PRIJEM	\N	90	22763	UROK	\N	\N
3542172	352	1997-11-30	PRIJEM	\N	97	24645	UROK	\N	\N
3542173	352	1997-12-31	PRIJEM	\N	105	26144	UROK	\N	\N
3542174	352	1998-01-31	PRIJEM	\N	89	19417	UROK	\N	\N
3542175	352	1998-02-28	PRIJEM	\N	85	21847	UROK	\N	\N
3542176	352	1998-03-31	PRIJEM	\N	92	22583	UROK	\N	\N
3542177	352	1998-04-30	PRIJEM	\N	93	22721	UROK	\N	\N
3542178	352	1998-05-31	PRIJEM	\N	97	24262	UROK	\N	\N
3542179	352	1998-06-30	PRIJEM	\N	80	18186	UROK	\N	\N
3542180	352	1998-07-31	PRIJEM	\N	74	17585	UROK	\N	\N
3542181	352	1998-08-31	PRIJEM	\N	74	16403	UROK	\N	\N
3542182	352	1998-09-30	PRIJEM	\N	73	18820	UROK	\N	\N
3542183	352	1998-10-31	PRIJEM	\N	83	21247	UROK	\N	\N
3542184	352	1998-11-30	PRIJEM	\N	83	20475	UROK	\N	\N
3542185	352	1998-12-31	PRIJEM	\N	89	19998	UROK	\N	\N
3542186	353	1996-01-31	PRIJEM	\N	83	28747	UROK	\N	\N
3542187	353	1996-02-29	PRIJEM	\N	128	31370	UROK	\N	\N
3542188	353	1996-03-31	PRIJEM	\N	137	31103	UROK	\N	\N
3542189	353	1996-04-30	PRIJEM	\N	138	33036	UROK	\N	\N
3542190	353	1996-05-31	PRIJEM	\N	146	36078	UROK	\N	\N
3542191	353	1996-06-30	PRIJEM	\N	139	31812	UROK	\N	\N
3542192	353	1996-07-31	PRIJEM	\N	141	34048	UROK	\N	\N
3542193	353	1996-08-31	PRIJEM	\N	147	33751	UROK	\N	\N
3542194	353	1996-09-30	PRIJEM	\N	149	36995	UROK	\N	\N
3542195	353	1996-10-31	PRIJEM	\N	159	36010	UROK	\N	\N
3542196	353	1996-11-30	PRIJEM	\N	156	36460	UROK	\N	\N
3542197	353	1996-12-31	PRIJEM	\N	158	38564	UROK	\N	\N
3542198	353	1997-01-31	PRIJEM	\N	162	38422	UROK	\N	\N
3542199	353	1997-02-28	PRIJEM	\N	166	39144	UROK	\N	\N
3542200	353	1997-03-31	PRIJEM	\N	165	38964	UROK	\N	\N
3542201	353	1997-04-30	PRIJEM	\N	171	42230	UROK	\N	\N
3542202	353	1997-05-31	PRIJEM	\N	184	45010	UROK	\N	\N
3542203	353	1997-06-30	PRIJEM	\N	182	33737	UROK	\N	\N
3542204	353	1997-07-31	PRIJEM	\N	149	36982	UROK	\N	\N
3542205	353	1997-08-31	PRIJEM	\N	165	39522	UROK	\N	\N
3542206	353	1997-09-30	PRIJEM	\N	172	39430	UROK	\N	\N
3542207	353	1997-10-31	PRIJEM	\N	173	42698	UROK	\N	\N
3542208	353	1997-11-30	PRIJEM	\N	186	45979	UROK	\N	\N
3542209	353	1997-12-31	PRIJEM	\N	198	47922	UROK	\N	\N
3542210	353	1998-01-31	PRIJEM	\N	203	48241	UROK	\N	\N
3542211	353	1998-02-28	PRIJEM	\N	209	51545	UROK	\N	\N
3542212	353	1998-03-31	PRIJEM	\N	223	54864	UROK	\N	\N
3542213	353	1998-04-30	PRIJEM	\N	232	56512	UROK	\N	\N
3542214	353	1998-05-31	PRIJEM	\N	244	59850	UROK	\N	\N
3542215	353	1998-06-30	PRIJEM	\N	251	57657	UROK	\N	\N
3542216	353	1998-07-31	PRIJEM	\N	244	59157	UROK	\N	\N
3542217	353	1998-08-31	PRIJEM	\N	254	62506	UROK	\N	\N
3542218	353	1998-09-30	PRIJEM	\N	263	62025	UROK	\N	\N
3542219	353	1998-10-31	PRIJEM	\N	266	65387	UROK	\N	\N
3542220	353	1998-11-30	PRIJEM	\N	277	67159	UROK	\N	\N
3542221	353	1998-12-31	PRIJEM	\N	287	70291	UROK	\N	\N
3542222	354	1993-11-30	PRIJEM	\N	11	20077	UROK	\N	\N
3542223	354	1993-12-31	PRIJEM	\N	90	30167	UROK	\N	\N
3542224	354	1994-01-31	PRIJEM	\N	126	31459	UROK	\N	\N
3542225	354	1994-02-28	PRIJEM	\N	131	32356	UROK	\N	\N
3542226	354	1994-03-31	PRIJEM	\N	150	34701	UROK	\N	\N
3542227	354	1994-04-30	PRIJEM	\N	153	33533	UROK	\N	\N
3542228	354	1994-05-31	PRIJEM	\N	148	27861	UROK	\N	\N
3542229	354	1994-06-30	PRIJEM	\N	121	26696	UROK	\N	\N
3542230	354	1994-07-31	PRIJEM	\N	128	32704	UROK	\N	\N
3542231	354	1994-08-31	PRIJEM	\N	150	34635	UROK	\N	\N
3542232	354	1994-09-30	PRIJEM	\N	155	35170	UROK	\N	\N
3542233	354	1994-10-31	PRIJEM	\N	150	32900	UROK	\N	\N
3542234	354	1994-11-30	PRIJEM	\N	146	32426	UROK	\N	\N
3542235	354	1994-12-31	PRIJEM	\N	152	33192	UROK	\N	\N
3542236	354	1995-01-31	PRIJEM	\N	129	22501	UROK	\N	\N
3542237	354	1995-02-28	PRIJEM	\N	112	30193	UROK	\N	\N
3542238	354	1995-03-31	PRIJEM	\N	133	28806	UROK	\N	\N
3542239	354	1995-04-30	PRIJEM	\N	131	31017	UROK	\N	\N
3542240	354	1995-05-31	PRIJEM	\N	137	31135	UROK	\N	\N
3542241	354	1995-06-30	PRIJEM	\N	132	25579	UROK	\N	\N
3542242	354	1995-07-31	PRIJEM	\N	116	27176	UROK	\N	\N
3542243	354	1995-08-31	PRIJEM	\N	126	31082	UROK	\N	\N
3542244	354	1995-09-30	PRIJEM	\N	139	33902	UROK	\N	\N
3542245	354	1995-10-31	PRIJEM	\N	142	31624	UROK	\N	\N
3542246	354	1995-11-30	PRIJEM	\N	135	31440	UROK	\N	\N
3542247	354	1995-12-31	PRIJEM	\N	152	35105	UROK	\N	\N
3542248	354	1996-01-31	PRIJEM	\N	111	19996	UROK	\N	\N
3542249	354	1996-02-29	PRIJEM	\N	104	28480	UROK	\N	\N
3542250	354	1996-03-31	PRIJEM	\N	130	32791	UROK	\N	\N
3542251	354	1996-04-30	PRIJEM	\N	140	33611	UROK	\N	\N
3542252	354	1996-05-31	PRIJEM	\N	143	32735	UROK	\N	\N
3542253	354	1996-06-30	PRIJEM	\N	153	35102	UROK	\N	\N
3542254	354	1996-07-31	PRIJEM	\N	151	36732	UROK	\N	\N
3542255	354	1996-08-31	PRIJEM	\N	149	34361	UROK	\N	\N
3542256	354	1996-09-30	PRIJEM	\N	154	37396	UROK	\N	\N
3542257	354	1996-10-31	PRIJEM	\N	174	40350	UROK	\N	\N
3542258	354	1996-11-30	PRIJEM	\N	155	35885	UROK	\N	\N
3542259	354	1996-12-31	PRIJEM	\N	155	35554	UROK	\N	\N
3542260	354	1997-01-31	PRIJEM	\N	114	19948	UROK	\N	\N
3542261	354	1997-02-28	PRIJEM	\N	96	23625	UROK	\N	\N
3542262	354	1997-03-31	PRIJEM	\N	113	29419	UROK	\N	\N
3542263	354	1997-04-30	PRIJEM	\N	137	34136	UROK	\N	\N
3542264	354	1997-05-31	PRIJEM	\N	147	35863	UROK	\N	\N
3542265	354	1997-06-30	PRIJEM	\N	164	24440	UROK	\N	\N
3542266	354	1997-07-31	PRIJEM	\N	119	30440	UROK	\N	\N
3542267	354	1997-08-31	PRIJEM	\N	165	43085	UROK	\N	\N
3542268	354	1997-09-30	PRIJEM	\N	193	47859	UROK	\N	\N
3542269	354	1997-10-31	PRIJEM	\N	216	53455	UROK	\N	\N
3542270	354	1997-11-30	PRIJEM	\N	231	53867	UROK	\N	\N
3542271	354	1997-12-31	PRIJEM	\N	249	61229	UROK	\N	\N
3542272	354	1998-01-31	PRIJEM	\N	236	46345	UROK	\N	\N
3542273	354	1998-02-28	PRIJEM	\N	213	53438	UROK	\N	\N
3542274	354	1998-03-31	PRIJEM	\N	245	61264	UROK	\N	\N
3542275	354	1998-04-30	PRIJEM	\N	275	68419	UROK	\N	\N
3542276	354	1998-05-31	PRIJEM	\N	278	66478	UROK	\N	\N
3542277	354	1998-06-30	PRIJEM	\N	232	51223	UROK	\N	\N
3542278	354	1998-07-31	PRIJEM	\N	239	60042	UROK	\N	\N
3542279	354	1998-08-31	PRIJEM	\N	279	70101	UROK	\N	\N
3542280	354	1998-09-30	PRIJEM	\N	307	75889	UROK	\N	\N
3542281	354	1998-10-31	PRIJEM	\N	316	76085	UROK	\N	\N
3542282	354	1998-11-30	PRIJEM	\N	332	81797	UROK	\N	\N
3542283	354	1998-12-31	PRIJEM	\N	343	82653	UROK	\N	\N
3542284	355	1996-02-29	PRIJEM	\N	43	12552	UROK	\N	\N
3542285	355	1996-03-31	PRIJEM	\N	116	30777	UROK	\N	\N
3542286	355	1996-04-30	PRIJEM	\N	161	40347	UROK	\N	\N
3542287	355	1996-05-31	PRIJEM	\N	183	45038	UROK	\N	\N
3542288	355	1996-06-30	PRIJEM	\N	154	23117	UROK	\N	\N
3542289	355	1996-07-31	PRIJEM	\N	101	27058	UROK	\N	\N
3542290	355	1996-08-31	PRIJEM	\N	125	25623	UROK	\N	\N
3542291	355	1996-09-30	PRIJEM	\N	92	21655	UROK	\N	\N
3542292	355	1996-10-31	PRIJEM	\N	105	27000	UROK	\N	\N
3542293	355	1996-11-30	PRIJEM	\N	110	26450	UROK	\N	\N
3542294	355	1996-12-31	PRIJEM	\N	129	32374	UROK	\N	\N
3542295	355	1997-01-31	PRIJEM	\N	93	22206	UROK	\N	\N
3542296	355	1997-02-28	PRIJEM	\N	106	28484	UROK	\N	\N
3542297	355	1997-03-31	PRIJEM	\N	132	30955	UROK	\N	\N
3542298	355	1997-04-30	PRIJEM	\N	145	37540	UROK	\N	\N
3542299	355	1997-05-31	PRIJEM	\N	139	32313	UROK	\N	\N
3542300	355	1997-06-30	PRIJEM	\N	153	37760	UROK	\N	\N
3542301	355	1997-07-31	PRIJEM	\N	146	35246	UROK	\N	\N
3542302	355	1997-08-31	PRIJEM	\N	160	38846	UROK	\N	\N
3542303	355	1997-09-30	PRIJEM	\N	159	36258	UROK	\N	\N
3542304	355	1997-10-31	PRIJEM	\N	113	28152	UROK	\N	\N
3542305	355	1997-11-30	PRIJEM	\N	114	31506	UROK	\N	\N
3542306	355	1997-12-31	PRIJEM	\N	120	33949	UROK	\N	\N
3542307	355	1998-01-31	PRIJEM	\N	108	20897	UROK	\N	\N
3542308	355	1998-02-28	PRIJEM	\N	114	35051	UROK	\N	\N
3542309	355	1998-03-31	PRIJEM	\N	164	42254	UROK	\N	\N
3542310	355	1998-04-30	PRIJEM	\N	186	43880	UROK	\N	\N
3542311	355	1998-05-31	PRIJEM	\N	191	44511	UROK	\N	\N
3542312	355	1998-06-30	PRIJEM	\N	202	45795	UROK	\N	\N
3542313	355	1998-07-31	PRIJEM	\N	157	21349	UROK	\N	\N
3542314	355	1998-08-31	PRIJEM	\N	118	34307	UROK	\N	\N
3542315	355	1998-09-30	PRIJEM	\N	157	39104	UROK	\N	\N
3542316	355	1998-10-31	PRIJEM	\N	174	42319	UROK	\N	\N
3542317	355	1998-11-30	PRIJEM	\N	188	45546	UROK	\N	\N
3542318	355	1998-12-31	PRIJEM	\N	164	21764	UROK	\N	\N
3542319	356	1996-04-30	PRIJEM	\N	61	21977	UROK	\N	\N
3542320	356	1996-05-31	PRIJEM	\N	134	37127	UROK	\N	\N
3542321	356	1996-06-30	PRIJEM	\N	183	47034	UROK	\N	\N
3542322	356	1996-07-31	PRIJEM	\N	195	46945	UROK	\N	\N
3542323	356	1996-08-31	PRIJEM	\N	181	41853	UROK	\N	\N
3542324	356	1996-09-30	PRIJEM	\N	204	51371	UROK	\N	\N
3542325	356	1996-10-31	PRIJEM	\N	236	58020	UROK	\N	\N
3542326	356	1996-11-30	PRIJEM	\N	236	55269	UROK	\N	\N
3542327	356	1996-12-31	PRIJEM	\N	255	62745	UROK	\N	\N
3542328	356	1997-01-31	PRIJEM	\N	253	59611	UROK	\N	\N
3542329	356	1997-02-28	PRIJEM	\N	252	60376	UROK	\N	\N
3542330	356	1997-03-31	PRIJEM	\N	244	57034	UROK	\N	\N
3542331	356	1997-04-30	PRIJEM	\N	232	52979	UROK	\N	\N
3542332	356	1997-05-31	PRIJEM	\N	226	54519	UROK	\N	\N
3542333	356	1997-06-30	PRIJEM	\N	235	55875	UROK	\N	\N
3542334	356	1997-07-31	PRIJEM	\N	224	54413	UROK	\N	\N
3542335	356	1997-08-31	PRIJEM	\N	243	59369	UROK	\N	\N
3542336	356	1997-09-30	PRIJEM	\N	257	62239	UROK	\N	\N
3542337	356	1997-10-31	PRIJEM	\N	262	62914	UROK	\N	\N
3542338	356	1997-11-30	PRIJEM	\N	258	58886	UROK	\N	\N
3542339	356	1997-12-31	PRIJEM	\N	278	66285	UROK	\N	\N
3542340	356	1998-01-31	PRIJEM	\N	272	65470	UROK	\N	\N
3542341	356	1998-02-28	PRIJEM	\N	247	62130	UROK	\N	\N
3542342	356	1998-03-31	PRIJEM	\N	246	60089	UROK	\N	\N
3542343	356	1998-04-30	PRIJEM	\N	260	62063	UROK	\N	\N
3542344	356	1998-05-31	PRIJEM	\N	258	62534	UROK	\N	\N
3542345	356	1998-06-30	PRIJEM	\N	242	63098	UROK	\N	\N
3542346	356	1998-07-31	PRIJEM	\N	240	51651	UROK	\N	\N
3542347	356	1998-08-31	PRIJEM	\N	245	51610	UROK	\N	\N
3542348	356	1998-09-30	PRIJEM	\N	245	51368	UROK	\N	\N
3542349	356	1998-10-31	PRIJEM	\N	244	54225	UROK	\N	\N
3542350	356	1998-11-30	PRIJEM	\N	253	52291	UROK	\N	\N
3542351	356	1998-12-31	PRIJEM	\N	278	75091	UROK	\N	\N
3542352	357	1996-08-31	PRIJEM	\N	45	14342	UROK	\N	\N
3542353	357	1996-09-30	PRIJEM	\N	62	14465	UROK	\N	\N
3542354	357	1996-10-31	PRIJEM	\N	65	15549	UROK	\N	\N
3542355	357	1996-11-30	PRIJEM	\N	69	16639	UROK	\N	\N
3542356	357	1996-12-31	PRIJEM	\N	73	17492	UROK	\N	\N
3542357	357	1997-01-31	PRIJEM	\N	71	16304	UROK	\N	\N
3542358	357	1997-02-28	PRIJEM	\N	72	17396	UROK	\N	\N
3542359	357	1997-03-31	PRIJEM	\N	75	17082	UROK	\N	\N
3542360	357	1997-04-30	PRIJEM	\N	75	18178	UROK	\N	\N
3542361	357	1997-05-31	PRIJEM	\N	81	17899	UROK	\N	\N
3542362	357	1997-06-30	PRIJEM	\N	79	18998	UROK	\N	\N
3542363	357	1997-07-31	PRIJEM	\N	83	20101	UROK	\N	\N
3542364	357	1997-08-31	PRIJEM	\N	84	20006	UROK	\N	\N
3542365	357	1997-09-30	PRIJEM	\N	88	21114	UROK	\N	\N
3542366	357	1997-10-31	PRIJEM	\N	92	22226	UROK	\N	\N
3542367	357	1997-11-30	PRIJEM	\N	96	23343	UROK	\N	\N
3542368	357	1997-12-31	PRIJEM	\N	91	21844	UROK	\N	\N
3542369	357	1998-01-31	PRIJEM	\N	88	18722	UROK	\N	\N
3542370	357	1998-02-28	PRIJEM	\N	82	19825	UROK	\N	\N
3542371	357	1998-03-31	PRIJEM	\N	86	20721	UROK	\N	\N
3542372	357	1998-04-30	PRIJEM	\N	90	20961	UROK	\N	\N
3542373	357	1998-05-31	PRIJEM	\N	88	20869	UROK	\N	\N
3542374	357	1998-06-30	PRIJEM	\N	91	21980	UROK	\N	\N
3542375	357	1998-07-31	PRIJEM	\N	95	22526	UROK	\N	\N
3542376	357	1998-08-31	PRIJEM	\N	97	22643	UROK	\N	\N
3542377	357	1998-09-30	PRIJEM	\N	97	22061	UROK	\N	\N
3542378	357	1998-10-31	PRIJEM	\N	92	21433	UROK	\N	\N
3542379	357	1998-11-30	PRIJEM	\N	93	22546	UROK	\N	\N
3542380	357	1998-12-31	PRIJEM	\N	94	22671	UROK	\N	\N
3542381	358	1993-12-31	PRIJEM	\N	10	3709	UROK	\N	\N
3542382	358	1994-01-31	PRIJEM	\N	51	16460	UROK	\N	\N
3542383	358	1994-02-28	PRIJEM	\N	86	23245	UROK	\N	\N
3542384	358	1994-03-31	PRIJEM	\N	106	26650	UROK	\N	\N
3542385	358	1994-04-30	PRIJEM	\N	119	29709	UROK	\N	\N
3542386	358	1994-05-31	PRIJEM	\N	122	29449	UROK	\N	\N
3542387	358	1994-06-30	PRIJEM	\N	115	27652	UROK	\N	\N
3542388	358	1994-07-31	PRIJEM	\N	108	25219	UROK	\N	\N
3542389	358	1994-08-31	PRIJEM	\N	111	26858	UROK	\N	\N
3542390	358	1994-09-30	PRIJEM	\N	108	26184	UROK	\N	\N
3542391	358	1994-10-31	PRIJEM	\N	104	25206	UROK	\N	\N
3542392	358	1994-11-30	PRIJEM	\N	99	24023	UROK	\N	\N
3542393	358	1994-12-31	PRIJEM	\N	96	23027	UROK	\N	\N
3542394	358	1995-01-31	PRIJEM	\N	82	18847	UROK	\N	\N
3542395	358	1995-02-28	PRIJEM	\N	78	18674	UROK	\N	\N
3542396	358	1995-03-31	PRIJEM	\N	80	19872	UROK	\N	\N
3542397	358	1995-04-30	PRIJEM	\N	80	19771	UROK	\N	\N
3542398	358	1995-05-31	PRIJEM	\N	82	20271	UROK	\N	\N
3542399	358	1995-06-30	PRIJEM	\N	71	16960	UROK	\N	\N
3542400	358	1995-07-31	PRIJEM	\N	68	16517	UROK	\N	\N
3542401	358	1995-08-31	PRIJEM	\N	62	14997	UROK	\N	\N
3542402	358	1995-09-30	PRIJEM	\N	55	12771	UROK	\N	\N
3542403	358	1995-10-31	PRIJEM	\N	58	14347	UROK	\N	\N
3542404	358	1995-11-30	PRIJEM	\N	61	11786	UROK	\N	\N
3542405	358	1995-12-31	PRIJEM	\N	51	10755	UROK	\N	\N
3542406	358	1996-01-31	PRIJEM	\N	47	11120	UROK	\N	\N
3542407	358	1996-02-29	PRIJEM	\N	49	12187	UROK	\N	\N
3542408	358	1996-03-31	PRIJEM	\N	51	11217	UROK	\N	\N
3542409	358	1996-04-30	PRIJEM	\N	49	12284	UROK	\N	\N
3542410	358	1996-05-31	PRIJEM	\N	53	13356	UROK	\N	\N
3542411	358	1996-06-30	PRIJEM	\N	57	13861	UROK	\N	\N
3542412	358	1996-07-31	PRIJEM	\N	59	13708	UROK	\N	\N
3542413	358	1996-08-31	PRIJEM	\N	59	14786	UROK	\N	\N
3542414	358	1996-09-30	PRIJEM	\N	63	15208	UROK	\N	\N
3542415	358	1996-10-31	PRIJEM	\N	65	16292	UROK	\N	\N
3542416	358	1996-11-30	PRIJEM	\N	70	17380	UROK	\N	\N
3542417	358	1996-12-31	PRIJEM	\N	74	17452	UROK	\N	\N
3542418	358	1997-01-31	PRIJEM	\N	72	16112	UROK	\N	\N
3542419	358	1997-02-28	PRIJEM	\N	69	17199	UROK	\N	\N
3542420	358	1997-03-31	PRIJEM	\N	71	17179	UROK	\N	\N
3542421	358	1997-04-30	PRIJEM	\N	73	18270	UROK	\N	\N
3542422	358	1997-05-31	PRIJEM	\N	76	18765	UROK	\N	\N
3542423	358	1997-06-30	PRIJEM	\N	74	18027	UROK	\N	\N
3542424	358	1997-07-31	PRIJEM	\N	76	18582	UROK	\N	\N
3542425	358	1997-08-31	PRIJEM	\N	79	19679	UROK	\N	\N
3542426	358	1997-09-30	PRIJEM	\N	84	20781	UROK	\N	\N
3542427	358	1997-10-31	PRIJEM	\N	88	21887	UROK	\N	\N
3542428	358	1997-11-30	PRIJEM	\N	93	22998	UROK	\N	\N
3542429	358	1997-12-31	PRIJEM	\N	92	22639	UROK	\N	\N
3542430	358	1998-01-31	PRIJEM	\N	90	21528	UROK	\N	\N
3542431	358	1998-02-28	PRIJEM	\N	91	22637	UROK	\N	\N
3542432	358	1998-03-31	PRIJEM	\N	94	23539	UROK	\N	\N
3542433	358	1998-04-30	PRIJEM	\N	78	13936	UROK	\N	\N
3542434	358	1998-05-31	PRIJEM	\N	59	15013	UROK	\N	\N
3542435	358	1998-06-30	PRIJEM	\N	64	16095	UROK	\N	\N
3542436	358	1998-07-31	PRIJEM	\N	63	16006	UROK	\N	\N
3542437	358	1998-08-31	PRIJEM	\N	68	17092	UROK	\N	\N
3542438	358	1998-09-30	PRIJEM	\N	72	18182	UROK	\N	\N
3542439	358	1998-10-31	PRIJEM	\N	76	19037	UROK	\N	\N
3542440	358	1998-11-30	PRIJEM	\N	80	20135	UROK	\N	\N
3542441	358	1998-12-31	PRIJEM	\N	82	20546	UROK	\N	\N
3542442	359	1995-05-31	PRIJEM	\N	59	19895	UROK	\N	\N
3542443	359	1995-06-30	PRIJEM	\N	78	17991	UROK	\N	\N
3542444	359	1995-07-31	PRIJEM	\N	76	18224	UROK	\N	\N
3542445	359	1995-08-31	PRIJEM	\N	71	15753	UROK	\N	\N
3542446	359	1995-09-30	PRIJEM	\N	71	17580	UROK	\N	\N
3542447	359	1995-10-31	PRIJEM	\N	78	19416	UROK	\N	\N
3542448	359	1995-11-30	PRIJEM	\N	86	21259	UROK	\N	\N
3542449	359	1995-12-31	PRIJEM	\N	82	17689	UROK	\N	\N
3542450	359	1996-01-31	PRIJEM	\N	67	13613	UROK	\N	\N
3542451	359	1996-02-29	PRIJEM	\N	60	13810	UROK	\N	\N
3542452	359	1996-03-31	PRIJEM	\N	53	12181	UROK	\N	\N
3542453	359	1996-04-30	PRIJEM	\N	56	13993	UROK	\N	\N
3542454	359	1996-05-31	PRIJEM	\N	63	15814	UROK	\N	\N
3542455	359	1996-06-30	PRIJEM	\N	68	13789	UROK	\N	\N
3542456	359	1996-07-31	PRIJEM	\N	62	15609	UROK	\N	\N
3542457	359	1996-08-31	PRIJEM	\N	70	17436	UROK	\N	\N
3542458	359	1996-09-30	PRIJEM	\N	73	18227	UROK	\N	\N
3542459	359	1996-10-31	PRIJEM	\N	81	20065	UROK	\N	\N
3542460	359	1996-11-30	PRIJEM	\N	88	21910	UROK	\N	\N
3542461	359	1996-12-31	PRIJEM	\N	95	23263	UROK	\N	\N
3542462	359	1997-01-31	PRIJEM	\N	97	21237	UROK	\N	\N
3542463	359	1997-02-28	PRIJEM	\N	91	23086	UROK	\N	\N
3542464	359	1997-03-31	PRIJEM	\N	55	13898	UROK	\N	\N
3542465	359	1997-04-30	PRIJEM	\N	63	15718	UROK	\N	\N
3542466	359	1997-05-31	PRIJEM	\N	70	17545	UROK	\N	\N
3542467	359	1997-06-30	PRIJEM	\N	55	11457	UROK	\N	\N
3542468	359	1997-07-31	PRIJEM	\N	52	13267	UROK	\N	\N
3542469	359	1997-08-31	PRIJEM	\N	60	15084	UROK	\N	\N
3542470	359	1997-09-30	PRIJEM	\N	67	16909	UROK	\N	\N
3542471	359	1997-10-31	PRIJEM	\N	75	18741	UROK	\N	\N
3542472	359	1997-11-30	PRIJEM	\N	82	20581	UROK	\N	\N
3542473	359	1997-12-31	PRIJEM	\N	78	17937	UROK	\N	\N
3542474	359	1998-01-31	PRIJEM	\N	77	17071	UROK	\N	\N
3542475	359	1998-02-28	PRIJEM	\N	68	15456	UROK	\N	\N
3542476	359	1998-03-31	PRIJEM	\N	69	17282	UROK	\N	\N
3542477	359	1998-04-30	PRIJEM	\N	76	19116	UROK	\N	\N
3542478	359	1998-05-31	PRIJEM	\N	81	19274	UROK	\N	\N
3542479	359	1998-06-30	PRIJEM	\N	64	13876	UROK	\N	\N
3542480	359	1998-07-31	PRIJEM	\N	62	15695	UROK	\N	\N
3542481	359	1998-08-31	PRIJEM	\N	70	17522	UROK	\N	\N
3542482	359	1998-09-30	PRIJEM	\N	77	19356	UROK	\N	\N
3542483	359	1998-10-31	PRIJEM	\N	85	21198	UROK	\N	\N
3542484	359	1998-11-30	PRIJEM	\N	92	23048	UROK	\N	\N
3542485	359	1998-12-31	PRIJEM	\N	99	24504	UROK	\N	\N
3542486	361	1993-03-31	PRIJEM	\N	10	25848	UROK	\N	\N
3542487	361	1993-04-30	PRIJEM	\N	112	35698	UROK	\N	\N
3542488	361	1993-05-31	PRIJEM	\N	152	43389	UROK	\N	\N
3542489	361	1993-06-30	PRIJEM	\N	186	53231	UROK	\N	\N
3542490	361	1993-07-31	PRIJEM	\N	274	47614	UROK	\N	\N
3542491	361	1993-08-31	PRIJEM	\N	251	48459	UROK	\N	\N
3542492	361	1993-09-30	PRIJEM	\N	253	48106	UROK	\N	\N
3542493	361	1993-10-31	PRIJEM	\N	247	44648	UROK	\N	\N
3542494	361	1993-11-30	PRIJEM	\N	231	44674	UROK	\N	\N
3542495	361	1993-12-31	PRIJEM	\N	264	50351	UROK	\N	\N
3542496	361	1994-01-31	PRIJEM	\N	246	44292	UROK	\N	\N
3542497	361	1994-02-28	PRIJEM	\N	232	46118	UROK	\N	\N
3542498	361	1994-03-31	PRIJEM	\N	237	44149	UROK	\N	\N
3542499	361	1994-04-30	PRIJEM	\N	233	47676	UROK	\N	\N
3542500	361	1994-05-31	PRIJEM	\N	242	47513	UROK	\N	\N
3542501	361	1994-06-30	PRIJEM	\N	261	51487	UROK	\N	\N
3542502	361	1994-07-31	PRIJEM	\N	255	50936	UROK	\N	\N
3542503	361	1994-08-31	PRIJEM	\N	246	47876	UROK	\N	\N
3542504	361	1994-09-30	PRIJEM	\N	233	43903	UROK	\N	\N
3542505	361	1994-10-31	PRIJEM	\N	219	44817	UROK	\N	\N
3542506	361	1994-11-30	PRIJEM	\N	226	48437	UROK	\N	\N
3542507	361	1994-12-31	PRIJEM	\N	265	53416	UROK	\N	\N
3542508	361	1995-01-31	PRIJEM	\N	236	44246	UROK	\N	\N
3542509	361	1995-02-28	PRIJEM	\N	216	45357	UROK	\N	\N
3542510	361	1995-03-31	PRIJEM	\N	223	46774	UROK	\N	\N
3542511	361	1995-04-30	PRIJEM	\N	228	48597	UROK	\N	\N
3542512	361	1995-05-31	PRIJEM	\N	235	50426	UROK	\N	\N
3542513	361	1995-06-30	PRIJEM	\N	251	47390	UROK	\N	\N
3542514	361	1995-07-31	PRIJEM	\N	225	48210	UROK	\N	\N
3542515	361	1995-08-31	PRIJEM	\N	225	48629	UROK	\N	\N
3542516	361	1995-09-30	PRIJEM	\N	227	49950	UROK	\N	\N
3542517	361	1995-10-31	PRIJEM	\N	233	51877	UROK	\N	\N
3542518	361	1995-11-30	PRIJEM	\N	223	45594	UROK	\N	\N
3542519	361	1995-12-31	PRIJEM	\N	230	50638	UROK	\N	\N
3542520	361	1996-01-31	PRIJEM	\N	213	44746	UROK	\N	\N
3542521	361	1996-02-29	PRIJEM	\N	211	49251	UROK	\N	\N
3542522	361	1996-03-31	PRIJEM	\N	223	50768	UROK	\N	\N
3542523	361	1996-04-30	PRIJEM	\N	223	50585	UROK	\N	\N
3542524	361	1996-05-31	PRIJEM	\N	208	44388	UROK	\N	\N
3542525	361	1996-06-30	PRIJEM	\N	240	44742	UROK	\N	\N
3542526	361	1996-07-31	PRIJEM	\N	207	49343	UROK	\N	\N
3542527	361	1996-08-31	PRIJEM	\N	218	51755	UROK	\N	\N
3542528	361	1996-09-30	PRIJEM	\N	209	48859	UROK	\N	\N
3542529	361	1996-10-31	PRIJEM	\N	208	49661	UROK	\N	\N
3542530	361	1996-11-30	PRIJEM	\N	202	45257	UROK	\N	\N
3542531	361	1996-12-31	PRIJEM	\N	204	48475	UROK	\N	\N
3542532	361	1997-01-31	PRIJEM	\N	177	37646	UROK	\N	\N
3542533	361	1997-02-28	PRIJEM	\N	149	36289	UROK	\N	\N
3542534	361	1997-03-31	PRIJEM	\N	138	31721	UROK	\N	\N
3542535	361	1997-04-30	PRIJEM	\N	134	33350	UROK	\N	\N
3542536	361	1997-05-31	PRIJEM	\N	138	34482	UROK	\N	\N
3542537	361	1997-06-30	PRIJEM	\N	136	25131	UROK	\N	\N
3542538	361	1997-07-31	PRIJEM	\N	96	23022	UROK	\N	\N
3542539	361	1997-08-31	PRIJEM	\N	160	43476	UROK	\N	\N
3542540	361	1997-09-30	PRIJEM	\N	170	41741	UROK	\N	\N
3542541	361	1997-10-31	PRIJEM	\N	164	39899	UROK	\N	\N
3542542	361	1997-11-30	PRIJEM	\N	163	37156	UROK	\N	\N
3542543	361	1997-12-31	PRIJEM	\N	255	66824	UROK	\N	\N
3542544	361	1998-01-31	PRIJEM	\N	150	31368	UROK	\N	\N
3542545	361	1998-02-28	PRIJEM	\N	192	51854	UROK	\N	\N
3542546	361	1998-03-31	PRIJEM	\N	189	45837	UROK	\N	\N
3542547	361	1998-04-30	PRIJEM	\N	245	63677	UROK	\N	\N
3542548	361	1998-05-31	PRIJEM	\N	203	47574	UROK	\N	\N
3542549	361	1998-06-30	PRIJEM	\N	120	25707	UROK	\N	\N
3542550	361	1998-07-31	PRIJEM	\N	166	46167	UROK	\N	\N
3542551	361	1998-08-31	PRIJEM	\N	152	23514	UROK	\N	\N
3542552	361	1998-09-30	PRIJEM	\N	155	39063	UROK	\N	\N
3542553	361	1998-10-31	PRIJEM	\N	201	24758	UROK	\N	\N
3542554	361	1998-11-30	PRIJEM	\N	154	41406	UROK	\N	\N
3542555	361	1998-12-31	PRIJEM	\N	252	34971	UROK	\N	\N
3542556	362	1993-04-30	PRIJEM	\N	25	10467	UROK	\N	\N
3542557	362	1993-05-31	PRIJEM	\N	82	26391	UROK	\N	\N
3542558	362	1993-06-30	PRIJEM	\N	136	37439	UROK	\N	\N
3542559	362	1993-07-31	PRIJEM	\N	166	41647	UROK	\N	\N
3542560	362	1993-08-31	PRIJEM	\N	177	43366	UROK	\N	\N
3542561	362	1993-09-30	PRIJEM	\N	155	36487	UROK	\N	\N
3542562	362	1993-10-31	PRIJEM	\N	118	26572	UROK	\N	\N
3542563	362	1993-11-30	PRIJEM	\N	103	25861	UROK	\N	\N
3542564	362	1993-12-31	PRIJEM	\N	115	25314	UROK	\N	\N
3542565	362	1994-01-31	PRIJEM	\N	91	23431	UROK	\N	\N
3542566	362	1994-02-28	PRIJEM	\N	100	26698	UROK	\N	\N
3542567	362	1994-03-31	PRIJEM	\N	101	26205	UROK	\N	\N
3542568	362	1994-04-30	PRIJEM	\N	112	30084	UROK	\N	\N
3542569	362	1994-05-31	PRIJEM	\N	118	27268	UROK	\N	\N
3542570	362	1994-06-30	PRIJEM	\N	122	30768	UROK	\N	\N
3542571	362	1994-07-31	PRIJEM	\N	131	32364	UROK	\N	\N
3542572	362	1994-08-31	PRIJEM	\N	135	31766	UROK	\N	\N
3542573	362	1994-09-30	PRIJEM	\N	133	32166	UROK	\N	\N
3542574	362	1994-10-31	PRIJEM	\N	134	30506	UROK	\N	\N
3542575	362	1994-11-30	PRIJEM	\N	130	34502	UROK	\N	\N
3542576	362	1994-12-31	PRIJEM	\N	150	32150	UROK	\N	\N
3542577	362	1995-01-31	PRIJEM	\N	98	21714	UROK	\N	\N
3542578	362	1995-02-28	PRIJEM	\N	93	26074	UROK	\N	\N
3542579	362	1995-03-31	PRIJEM	\N	99	21059	UROK	\N	\N
3542580	362	1995-04-30	PRIJEM	\N	94	28520	UROK	\N	\N
3542581	362	1995-05-31	PRIJEM	\N	120	30206	UROK	\N	\N
3542582	362	1995-06-30	PRIJEM	\N	140	38383	UROK	\N	\N
3542583	362	1995-07-31	PRIJEM	\N	155	35104	UROK	\N	\N
3542584	362	1995-08-31	PRIJEM	\N	147	35418	UROK	\N	\N
3542585	362	1995-09-30	PRIJEM	\N	145	35529	UROK	\N	\N
3542586	362	1995-10-31	PRIJEM	\N	137	29793	UROK	\N	\N
3542587	362	1995-11-30	PRIJEM	\N	124	31283	UROK	\N	\N
3542588	362	1995-12-31	PRIJEM	\N	132	33612	UROK	\N	\N
3542589	362	1996-01-31	PRIJEM	\N	105	22584	UROK	\N	\N
3542590	362	1996-02-29	PRIJEM	\N	100	26950	UROK	\N	\N
3542591	362	1996-03-31	PRIJEM	\N	117	30534	UROK	\N	\N
3542592	362	1996-04-30	PRIJEM	\N	123	28063	UROK	\N	\N
3542593	362	1996-05-31	PRIJEM	\N	114	28844	UROK	\N	\N
3542594	362	1996-06-30	PRIJEM	\N	128	34209	UROK	\N	\N
3542595	362	1996-07-31	PRIJEM	\N	136	31512	UROK	\N	\N
3542596	362	1996-08-31	PRIJEM	\N	138	37316	UROK	\N	\N
3542597	362	1996-09-30	PRIJEM	\N	132	33575	UROK	\N	\N
3542598	362	1996-10-31	PRIJEM	\N	144	37885	UROK	\N	\N
3542599	362	1996-11-30	PRIJEM	\N	156	38127	UROK	\N	\N
3542600	362	1996-12-31	PRIJEM	\N	159	35824	UROK	\N	\N
3542601	362	1997-01-31	PRIJEM	\N	101	23551	UROK	\N	\N
3542602	362	1997-02-28	PRIJEM	\N	114	31831	UROK	\N	\N
3542603	362	1997-03-31	PRIJEM	\N	127	32124	UROK	\N	\N
3542604	362	1997-04-30	PRIJEM	\N	134	35405	UROK	\N	\N
3542605	362	1997-05-31	PRIJEM	\N	137	34008	UROK	\N	\N
3542606	362	1997-06-30	PRIJEM	\N	156	42801	UROK	\N	\N
3542607	362	1997-07-31	PRIJEM	\N	163	40231	UROK	\N	\N
3542608	362	1997-08-31	PRIJEM	\N	164	41961	UROK	\N	\N
3542609	362	1997-09-30	PRIJEM	\N	180	46807	UROK	\N	\N
3542610	362	1997-10-31	PRIJEM	\N	188	47661	UROK	\N	\N
3542611	362	1997-11-30	PRIJEM	\N	174	42801	UROK	\N	\N
3542612	362	1997-12-31	PRIJEM	\N	182	46301	UROK	\N	\N
3542613	362	1998-01-31	PRIJEM	\N	107	18375	UROK	\N	\N
3542614	362	1998-02-28	PRIJEM	\N	105	28106	UROK	\N	\N
3542615	362	1998-03-31	PRIJEM	\N	149	41821	UROK	\N	\N
3542616	362	1998-04-30	PRIJEM	\N	168	42795	UROK	\N	\N
3542617	362	1998-05-31	PRIJEM	\N	184	48145	UROK	\N	\N
3542618	362	1998-06-30	PRIJEM	\N	171	45354	UROK	\N	\N
3542619	362	1998-07-31	PRIJEM	\N	195	50815	UROK	\N	\N
3542620	362	1998-08-31	PRIJEM	\N	219	56600	UROK	\N	\N
3542621	362	1998-09-30	PRIJEM	\N	224	56390	UROK	\N	\N
3542622	362	1998-10-31	PRIJEM	\N	226	55642	UROK	\N	\N
3542623	362	1998-11-30	PRIJEM	\N	226	57434	UROK	\N	\N
3542624	362	1998-12-31	PRIJEM	\N	242	61574	UROK	\N	\N
3542625	364	1997-06-30	PRIJEM	\N	3	17763	UROK	\N	\N
3542626	364	1997-07-31	PRIJEM	\N	76	18785	UROK	\N	\N
3542627	364	1997-08-31	PRIJEM	\N	81	19392	UROK	\N	\N
3542628	364	1997-09-30	PRIJEM	\N	84	20573	UROK	\N	\N
3542629	364	1997-10-31	PRIJEM	\N	89	20378	UROK	\N	\N
3542630	364	1997-11-30	PRIJEM	\N	88	21563	UROK	\N	\N
3542631	364	1997-12-31	PRIJEM	\N	92	22182	UROK	\N	\N
3542632	364	1998-01-31	PRIJEM	\N	92	22470	UROK	\N	\N
3542633	364	1998-02-28	PRIJEM	\N	93	22550	UROK	\N	\N
3542634	364	1998-03-31	PRIJEM	\N	96	23262	UROK	\N	\N
3542635	364	1998-04-30	PRIJEM	\N	100	24459	UROK	\N	\N
3542636	364	1998-05-31	PRIJEM	\N	105	25661	UROK	\N	\N
3542637	364	1998-06-30	PRIJEM	\N	105	23293	UROK	\N	\N
3542638	364	1998-07-31	PRIJEM	\N	99	23349	UROK	\N	\N
3542639	364	1998-08-31	PRIJEM	\N	101	24305	UROK	\N	\N
3542640	364	1998-09-30	PRIJEM	\N	105	25506	UROK	\N	\N
3542641	364	1998-10-31	PRIJEM	\N	110	26713	UROK	\N	\N
3542642	364	1998-11-30	PRIJEM	\N	113	27231	UROK	\N	\N
3542643	364	1998-12-31	PRIJEM	\N	112	26880	UROK	\N	\N
3542644	365	1994-01-31	PRIJEM	\N	65	22925	UROK	\N	\N
3542645	365	1994-02-28	PRIJEM	\N	123	32808	UROK	\N	\N
3542646	365	1994-03-31	PRIJEM	\N	152	38720	UROK	\N	\N
3542647	365	1994-04-30	PRIJEM	\N	172	42651	UROK	\N	\N
3542648	365	1994-05-31	PRIJEM	\N	113	12462	UROK	\N	\N
3542649	365	1994-06-30	PRIJEM	\N	98	20712	UROK	\N	\N
3542650	365	1994-07-31	PRIJEM	\N	115	15848	UROK	\N	\N
3542651	365	1994-08-31	PRIJEM	\N	105	14974	UROK	\N	\N
3542652	365	1994-09-30	PRIJEM	\N	86	16181	UROK	\N	\N
3542653	365	1994-10-31	PRIJEM	\N	74	13677	UROK	\N	\N
3542654	365	1994-11-30	PRIJEM	\N	99	13498	UROK	\N	\N
3542655	365	1994-12-31	PRIJEM	\N	89	18738	UROK	\N	\N
3542656	365	1995-01-31	PRIJEM	\N	68	10727	UROK	\N	\N
3542657	365	1995-02-28	PRIJEM	\N	114	19463	UROK	\N	\N
3542658	365	1995-03-31	PRIJEM	\N	86	16670	UROK	\N	\N
3542659	365	1995-04-30	PRIJEM	\N	78	14769	UROK	\N	\N
3542660	365	1995-05-31	PRIJEM	\N	97	13688	UROK	\N	\N
3542661	365	1995-06-30	PRIJEM	\N	143	21883	UROK	\N	\N
3542662	365	1995-07-31	PRIJEM	\N	128	28532	UROK	\N	\N
3542663	365	1995-08-31	PRIJEM	\N	123	26176	UROK	\N	\N
3542664	365	1995-09-30	PRIJEM	\N	125	27023	UROK	\N	\N
3542665	365	1995-10-31	PRIJEM	\N	128	26572	UROK	\N	\N
3542666	365	1995-11-30	PRIJEM	\N	137	23030	UROK	\N	\N
3542667	365	1995-12-31	PRIJEM	\N	135	28617	UROK	\N	\N
3542668	365	1996-01-31	PRIJEM	\N	80	11718	UROK	\N	\N
3542669	365	1996-02-29	PRIJEM	\N	82	16122	UROK	\N	\N
3542670	365	1996-03-31	PRIJEM	\N	61	9000	UROK	\N	\N
3542671	365	1996-04-30	PRIJEM	\N	63	12284	UROK	\N	\N
3542672	365	1996-05-31	PRIJEM	\N	79	15385	UROK	\N	\N
3542673	365	1996-06-30	PRIJEM	\N	122	21058	UROK	\N	\N
3542674	365	1996-07-31	PRIJEM	\N	114	20593	UROK	\N	\N
3542675	365	1996-08-31	PRIJEM	\N	114	18128	UROK	\N	\N
3542676	365	1996-09-30	PRIJEM	\N	105	17955	UROK	\N	\N
3542677	365	1996-10-31	PRIJEM	\N	99	16875	UROK	\N	\N
3542678	365	1996-11-30	PRIJEM	\N	95	16292	UROK	\N	\N
3542679	365	1996-12-31	PRIJEM	\N	119	16463	UROK	\N	\N
3542680	365	1997-01-31	PRIJEM	\N	87	17271	UROK	\N	\N
3542681	365	1997-02-28	PRIJEM	\N	101	21694	UROK	\N	\N
3542682	365	1997-03-31	PRIJEM	\N	130	17445	UROK	\N	\N
3542683	365	1997-04-30	PRIJEM	\N	112	13778	UROK	\N	\N
3542684	365	1997-05-31	PRIJEM	\N	82	14481	UROK	\N	\N
3542685	365	1997-06-30	PRIJEM	\N	127	19159	UROK	\N	\N
3542686	365	1997-07-31	PRIJEM	\N	101	15081	UROK	\N	\N
3542687	365	1997-08-31	PRIJEM	\N	84	13986	UROK	\N	\N
3542688	365	1997-09-30	PRIJEM	\N	81	14589	UROK	\N	\N
3542689	365	1997-10-31	PRIJEM	\N	88	18999	UROK	\N	\N
3542690	365	1997-11-30	PRIJEM	\N	98	16918	UROK	\N	\N
3542691	365	1997-12-31	PRIJEM	\N	112	18781	UROK	\N	\N
3542692	365	1998-01-31	PRIJEM	\N	80	8482	UROK	\N	\N
3542693	365	1998-02-28	PRIJEM	\N	64	12867	UROK	\N	\N
3542694	365	1998-03-31	PRIJEM	\N	80	17269	UROK	\N	\N
3542695	365	1998-04-30	PRIJEM	\N	99	15089	UROK	\N	\N
3542696	365	1998-05-31	PRIJEM	\N	81	14492	UROK	\N	\N
3542697	365	1998-06-30	PRIJEM	\N	92	16959	UROK	\N	\N
3542698	365	1998-07-31	PRIJEM	\N	93	18274	UROK	\N	\N
3542699	365	1998-08-31	PRIJEM	\N	88	14683	UROK	\N	\N
3542700	365	1998-09-30	PRIJEM	\N	88	19092	UROK	\N	\N
3542701	365	1998-10-31	PRIJEM	\N	93	17307	UROK	\N	\N
3542702	365	1998-11-30	PRIJEM	\N	99	21727	UROK	\N	\N
3542703	365	1998-12-31	PRIJEM	\N	121	22600	UROK	\N	\N
3542704	366	1996-11-30	PRIJEM	\N	29	22824	UROK	\N	\N
3542705	366	1996-12-31	PRIJEM	\N	118	39884	UROK	\N	\N
3542706	366	1997-01-31	PRIJEM	\N	172	44051	UROK	\N	\N
3542707	366	1997-02-28	PRIJEM	\N	184	45130	UROK	\N	\N
3542708	366	1997-03-31	PRIJEM	\N	207	39432	UROK	\N	\N
3542709	366	1997-04-30	PRIJEM	\N	191	41743	UROK	\N	\N
3542710	366	1997-05-31	PRIJEM	\N	194	42137	UROK	\N	\N
3542711	366	1997-06-30	PRIJEM	\N	195	38100	UROK	\N	\N
3542712	366	1997-07-31	PRIJEM	\N	182	41783	UROK	\N	\N
3542713	366	1997-08-31	PRIJEM	\N	203	46586	UROK	\N	\N
3542714	366	1997-09-30	PRIJEM	\N	209	46795	UROK	\N	\N
3542715	366	1997-10-31	PRIJEM	\N	213	48988	UROK	\N	\N
3542716	366	1997-11-30	PRIJEM	\N	218	49807	UROK	\N	\N
3542717	366	1997-12-31	PRIJEM	\N	239	50954	UROK	\N	\N
3542718	366	1998-01-31	PRIJEM	\N	167	30501	UROK	\N	\N
3542719	366	1998-02-28	PRIJEM	\N	155	39657	UROK	\N	\N
3542720	366	1998-03-31	PRIJEM	\N	190	46247	UROK	\N	\N
3542721	366	1998-04-30	PRIJEM	\N	200	44988	UROK	\N	\N
3542722	366	1998-05-31	PRIJEM	\N	200	46688	UROK	\N	\N
3542723	366	1998-06-30	PRIJEM	\N	174	37449	UROK	\N	\N
3542724	366	1998-07-31	PRIJEM	\N	172	38182	UROK	\N	\N
3542725	366	1998-08-31	PRIJEM	\N	167	38749	UROK	\N	\N
3542726	366	1998-09-30	PRIJEM	\N	168	39718	UROK	\N	\N
3542727	366	1998-10-31	PRIJEM	\N	172	40891	UROK	\N	\N
3542728	366	1998-11-30	PRIJEM	\N	166	38557	UROK	\N	\N
3542729	366	1998-12-31	PRIJEM	\N	178	39123	UROK	\N	\N
3542730	367	1997-05-31	PRIJEM	\N	36	14154	UROK	\N	\N
3542731	367	1997-06-30	PRIJEM	\N	126	41157	UROK	\N	\N
3542732	367	1997-07-31	PRIJEM	\N	193	49668	UROK	\N	\N
3542733	367	1997-08-31	PRIJEM	\N	222	56008	UROK	\N	\N
3542734	367	1997-09-30	PRIJEM	\N	226	53368	UROK	\N	\N
3542735	367	1997-10-31	PRIJEM	\N	219	52306	UROK	\N	\N
3542736	367	1997-11-30	PRIJEM	\N	237	54062	UROK	\N	\N
3542737	367	1997-12-31	PRIJEM	\N	236	58077	UROK	\N	\N
3542738	367	1998-01-31	PRIJEM	\N	228	50625	UROK	\N	\N
3542739	367	1998-02-28	PRIJEM	\N	207	48671	UROK	\N	\N
3542740	367	1998-03-31	PRIJEM	\N	198	46369	UROK	\N	\N
3542741	367	1998-04-30	PRIJEM	\N	215	49504	UROK	\N	\N
3542742	367	1998-05-31	PRIJEM	\N	226	51549	UROK	\N	\N
3542743	367	1998-06-30	PRIJEM	\N	178	45986	UROK	\N	\N
3542744	367	1998-07-31	PRIJEM	\N	191	46196	UROK	\N	\N
3542745	367	1998-08-31	PRIJEM	\N	201	49917	UROK	\N	\N
3542746	367	1998-09-30	PRIJEM	\N	225	51062	UROK	\N	\N
3542747	367	1998-10-31	PRIJEM	\N	203	47584	UROK	\N	\N
3542748	367	1998-11-30	PRIJEM	\N	195	46798	UROK	\N	\N
3542749	367	1998-12-31	PRIJEM	\N	203	49839	UROK	\N	\N
3542750	368	1993-07-31	PRIJEM	\N	23	9537	UROK	\N	\N
3542751	368	1993-08-31	PRIJEM	\N	73	23524	UROK	\N	\N
3542752	368	1993-09-30	PRIJEM	\N	119	32658	UROK	\N	\N
3542753	368	1993-10-31	PRIJEM	\N	146	36917	UROK	\N	\N
3542754	368	1993-11-30	PRIJEM	\N	156	38087	UROK	\N	\N
3542755	368	1993-12-31	PRIJEM	\N	154	40239	UROK	\N	\N
3542756	368	1994-01-31	PRIJEM	\N	116	23845	UROK	\N	\N
3542757	368	1994-02-28	PRIJEM	\N	98	25833	UROK	\N	\N
3542758	368	1994-03-31	PRIJEM	\N	95	24219	UROK	\N	\N
3542759	368	1994-04-30	PRIJEM	\N	94	24904	UROK	\N	\N
3542760	368	1994-05-31	PRIJEM	\N	91	23585	UROK	\N	\N
3542761	368	1994-06-30	PRIJEM	\N	97	26879	UROK	\N	\N
3542762	368	1994-07-31	PRIJEM	\N	107	28077	UROK	\N	\N
3542763	368	1994-08-31	PRIJEM	\N	117	27684	UROK	\N	\N
3542764	368	1994-09-30	PRIJEM	\N	118	28992	UROK	\N	\N
3542765	368	1994-10-31	PRIJEM	\N	123	29705	UROK	\N	\N
3542766	368	1994-11-30	PRIJEM	\N	124	25719	UROK	\N	\N
3542767	368	1994-12-31	PRIJEM	\N	116	26032	UROK	\N	\N
3542768	368	1995-01-31	PRIJEM	\N	95	20517	UROK	\N	\N
3542769	368	1995-02-28	PRIJEM	\N	88	24896	UROK	\N	\N
3542770	368	1995-03-31	PRIJEM	\N	95	22581	UROK	\N	\N
3542771	368	1995-04-30	PRIJEM	\N	95	22666	UROK	\N	\N
3542772	368	1995-05-31	PRIJEM	\N	92	24449	UROK	\N	\N
3542773	368	1995-06-30	PRIJEM	\N	108	20454	UROK	\N	\N
3542774	368	1995-07-31	PRIJEM	\N	73	20217	UROK	\N	\N
3542775	368	1995-08-31	PRIJEM	\N	87	23295	UROK	\N	\N
3542776	368	1995-09-30	PRIJEM	\N	90	19975	UROK	\N	\N
3542777	368	1995-10-31	PRIJEM	\N	80	18145	UROK	\N	\N
3542778	368	1995-11-30	PRIJEM	\N	77	20012	UROK	\N	\N
3542779	368	1995-12-31	PRIJEM	\N	89	19799	UROK	\N	\N
3542780	368	1996-01-31	PRIJEM	\N	72	16161	UROK	\N	\N
3542781	368	1996-02-29	PRIJEM	\N	64	15216	UROK	\N	\N
3542782	368	1996-03-31	PRIJEM	\N	64	14470	UROK	\N	\N
3542783	368	1996-04-30	PRIJEM	\N	61	17122	UROK	\N	\N
3542784	368	1996-05-31	PRIJEM	\N	71	16483	UROK	\N	\N
3542785	368	1996-06-30	PRIJEM	\N	69	15749	UROK	\N	\N
3542786	368	1996-07-31	PRIJEM	\N	63	15903	UROK	\N	\N
3542787	368	1996-08-31	PRIJEM	\N	56	11849	UROK	\N	\N
3542788	368	1996-09-30	PRIJEM	\N	51	14691	UROK	\N	\N
3542789	368	1996-10-31	PRIJEM	\N	63	15244	UROK	\N	\N
3542790	368	1996-11-30	PRIJEM	\N	65	18099	UROK	\N	\N
3542791	368	1996-12-31	PRIJEM	\N	65	14062	UROK	\N	\N
3542792	368	1997-01-31	PRIJEM	\N	58	13910	UROK	\N	\N
3542793	368	1997-02-28	PRIJEM	\N	59	16759	UROK	\N	\N
3542794	368	1997-03-31	PRIJEM	\N	71	18621	UROK	\N	\N
3542795	368	1997-04-30	PRIJEM	\N	79	21490	UROK	\N	\N
3542796	368	1997-05-31	PRIJEM	\N	91	24371	UROK	\N	\N
3542797	368	1997-06-30	PRIJEM	\N	102	15570	UROK	\N	\N
3542798	368	1997-07-31	PRIJEM	\N	64	16225	UROK	\N	\N
3542799	368	1997-08-31	PRIJEM	\N	69	19084	UROK	\N	\N
3542800	368	1997-09-30	PRIJEM	\N	80	21955	UROK	\N	\N
3542801	368	1997-10-31	PRIJEM	\N	93	24838	UROK	\N	\N
3542802	368	1997-11-30	PRIJEM	\N	98	25326	UROK	\N	\N
3542803	368	1997-12-31	PRIJEM	\N	115	30439	UROK	\N	\N
3542804	368	1998-01-31	PRIJEM	\N	101	23330	UROK	\N	\N
3542805	368	1998-02-28	PRIJEM	\N	97	26218	UROK	\N	\N
3542806	368	1998-03-31	PRIJEM	\N	110	29118	UROK	\N	\N
3542807	368	1998-04-30	PRIJEM	\N	122	32030	UROK	\N	\N
3542808	368	1998-05-31	PRIJEM	\N	134	34955	UROK	\N	\N
3542809	368	1998-06-30	PRIJEM	\N	134	26086	UROK	\N	\N
3542810	368	1998-07-31	PRIJEM	\N	109	28985	UROK	\N	\N
3542811	368	1998-08-31	PRIJEM	\N	110	23585	UROK	\N	\N
3542812	368	1998-09-30	PRIJEM	\N	98	26474	UROK	\N	\N
3542813	368	1998-10-31	PRIJEM	\N	107	27372	UROK	\N	\N
3542814	368	1998-11-30	PRIJEM	\N	105	25867	UROK	\N	\N
3542815	368	1998-12-31	PRIJEM	\N	114	30879	UROK	\N	\N
3542816	370	1994-07-31	PRIJEM	\N	2	16267	UROK	\N	\N
3542817	370	1994-08-31	PRIJEM	\N	69	17359	UROK	\N	\N
3542818	370	1994-09-30	PRIJEM	\N	70	17462	UROK	\N	\N
3542819	370	1994-10-31	PRIJEM	\N	72	17717	UROK	\N	\N
3542820	370	1994-11-30	PRIJEM	\N	74	18005	UROK	\N	\N
3542821	370	1994-12-31	PRIJEM	\N	76	19104	UROK	\N	\N
3542822	370	1995-01-31	PRIJEM	\N	80	19637	UROK	\N	\N
3542823	370	1995-02-28	PRIJEM	\N	82	20743	UROK	\N	\N
3542824	370	1995-03-31	PRIJEM	\N	87	21653	UROK	\N	\N
3542825	370	1995-04-30	PRIJEM	\N	90	22406	UROK	\N	\N
3542826	370	1995-05-31	PRIJEM	\N	94	23524	UROK	\N	\N
3542827	370	1995-06-30	PRIJEM	\N	95	21253	UROK	\N	\N
3542828	370	1995-07-31	PRIJEM	\N	89	21045	UROK	\N	\N
3542829	370	1995-08-31	PRIJEM	\N	89	22157	UROK	\N	\N
3542830	370	1995-09-30	PRIJEM	\N	92	22342	UROK	\N	\N
3542831	370	1995-10-31	PRIJEM	\N	94	23459	UROK	\N	\N
3542832	370	1995-11-30	PRIJEM	\N	98	24581	UROK	\N	\N
3542833	370	1995-12-31	PRIJEM	\N	103	25708	UROK	\N	\N
3542834	370	1996-01-31	PRIJEM	\N	104	25635	UROK	\N	\N
3542835	370	1996-02-29	PRIJEM	\N	103	25532	UROK	\N	\N
3542836	370	1996-03-31	PRIJEM	\N	103	25459	UROK	\N	\N
3542837	370	1996-04-30	PRIJEM	\N	107	26589	UROK	\N	\N
3542838	370	1996-05-31	PRIJEM	\N	104	25416	UROK	\N	\N
3542839	370	1996-06-30	PRIJEM	\N	90	21110	UROK	\N	\N
3542840	370	1996-07-31	PRIJEM	\N	86	21409	UROK	\N	\N
3542841	370	1996-08-31	PRIJEM	\N	88	21710	UROK	\N	\N
3542842	370	1996-09-30	PRIJEM	\N	84	20727	UROK	\N	\N
3542843	370	1996-10-31	PRIJEM	\N	84	20844	UROK	\N	\N
3542844	370	1996-11-30	PRIJEM	\N	87	21324	UROK	\N	\N
3542845	370	1996-12-31	PRIJEM	\N	89	22437	UROK	\N	\N
3542846	370	1997-01-31	PRIJEM	\N	92	22952	UROK	\N	\N
3542847	370	1997-02-28	PRIJEM	\N	92	23137	UROK	\N	\N
3542848	370	1997-03-31	PRIJEM	\N	97	24257	UROK	\N	\N
3542849	370	1997-04-30	PRIJEM	\N	97	23708	UROK	\N	\N
3542850	370	1997-05-31	PRIJEM	\N	94	23085	UROK	\N	\N
3542851	370	1997-06-30	PRIJEM	\N	81	16780	UROK	\N	\N
3542852	370	1997-07-31	PRIJEM	\N	70	17874	UROK	\N	\N
3542853	370	1997-08-31	PRIJEM	\N	74	18971	UROK	\N	\N
3542854	370	1997-09-30	PRIJEM	\N	78	19923	UROK	\N	\N
3542855	370	1997-10-31	PRIJEM	\N	73	15919	UROK	\N	\N
3542856	370	1997-11-30	PRIJEM	\N	66	15208	UROK	\N	\N
3542857	370	1997-12-31	PRIJEM	\N	63	16294	UROK	\N	\N
3542858	370	1998-01-31	PRIJEM	\N	66	14784	UROK	\N	\N
3542859	370	1998-02-28	PRIJEM	\N	61	15868	UROK	\N	\N
3542860	370	1998-03-31	PRIJEM	\N	66	16957	UROK	\N	\N
3542861	370	1998-04-30	PRIJEM	\N	65	15375	UROK	\N	\N
3542862	370	1998-05-31	PRIJEM	\N	64	16462	UROK	\N	\N
3542863	370	1998-06-30	PRIJEM	\N	68	17553	UROK	\N	\N
3542864	370	1998-07-31	PRIJEM	\N	73	18649	UROK	\N	\N
3542865	370	1998-08-31	PRIJEM	\N	77	19750	UROK	\N	\N
3542866	370	1998-09-30	PRIJEM	\N	77	19380	UROK	\N	\N
3542867	370	1998-10-31	PRIJEM	\N	80	20483	UROK	\N	\N
3542868	370	1998-11-30	PRIJEM	\N	84	21591	UROK	\N	\N
3542869	370	1998-12-31	PRIJEM	\N	82	20837	UROK	\N	\N
3542870	372	1995-09-30	PRIJEM	\N	54	22850	UROK	\N	\N
3542871	372	1995-10-31	PRIJEM	\N	154	47400	UROK	\N	\N
3542872	372	1995-11-30	PRIJEM	\N	216	55412	UROK	\N	\N
3542873	372	1995-12-31	PRIJEM	\N	270	71875	UROK	\N	\N
3542874	372	1996-01-31	PRIJEM	\N	285	66308	UROK	\N	\N
3542875	372	1996-02-29	PRIJEM	\N	235	50972	UROK	\N	\N
3542876	372	1996-03-31	PRIJEM	\N	190	46551	UROK	\N	\N
3542877	372	1996-04-30	PRIJEM	\N	188	46487	UROK	\N	\N
3542878	372	1996-05-31	PRIJEM	\N	191	45826	UROK	\N	\N
3542879	372	1996-06-30	PRIJEM	\N	144	13456	UROK	\N	\N
3542880	372	1996-07-31	PRIJEM	\N	99	27743	UROK	\N	\N
3542881	372	1996-08-31	PRIJEM	\N	142	38133	UROK	\N	\N
3542882	372	1996-09-30	PRIJEM	\N	162	39944	UROK	\N	\N
3542883	372	1996-10-31	PRIJEM	\N	148	40361	UROK	\N	\N
3542884	372	1996-11-30	PRIJEM	\N	162	40571	UROK	\N	\N
3542885	372	1996-12-31	PRIJEM	\N	190	50028	UROK	\N	\N
3542886	372	1997-01-31	PRIJEM	\N	172	34048	UROK	\N	\N
3542887	372	1997-02-28	PRIJEM	\N	148	37445	UROK	\N	\N
3542888	372	1997-03-31	PRIJEM	\N	163	40456	UROK	\N	\N
3542889	372	1997-04-30	PRIJEM	\N	166	41390	UROK	\N	\N
3542890	372	1997-05-31	PRIJEM	\N	169	41328	UROK	\N	\N
3542891	372	1997-06-30	PRIJEM	\N	125	39299	UROK	\N	\N
3542892	372	1997-07-31	PRIJEM	\N	168	42316	UROK	\N	\N
3542893	372	1997-08-31	PRIJEM	\N	145	29009	UROK	\N	\N
3542894	372	1997-09-30	PRIJEM	\N	128	28085	UROK	\N	\N
3542895	372	1997-10-31	PRIJEM	\N	140	26474	UROK	\N	\N
3542896	372	1997-11-30	PRIJEM	\N	130	22572	UROK	\N	\N
3542897	372	1997-12-31	PRIJEM	\N	121	24400	UROK	\N	\N
3542898	372	1998-01-31	PRIJEM	\N	113	20821	UROK	\N	\N
3542899	372	1998-02-28	PRIJEM	\N	112	22002	UROK	\N	\N
3542900	372	1998-03-31	PRIJEM	\N	104	20554	UROK	\N	\N
3542901	372	1998-04-30	PRIJEM	\N	110	20413	UROK	\N	\N
3542902	372	1998-05-31	PRIJEM	\N	99	17880	UROK	\N	\N
3542903	372	1998-06-30	PRIJEM	\N	115	23461	UROK	\N	\N
3542904	372	1998-07-31	PRIJEM	\N	120	24330	UROK	\N	\N
3542905	372	1998-08-31	PRIJEM	\N	114	20692	UROK	\N	\N
3542906	372	1998-09-30	PRIJEM	\N	98	20858	UROK	\N	\N
3542907	372	1998-10-31	PRIJEM	\N	103	19910	UROK	\N	\N
3542908	372	1998-11-30	PRIJEM	\N	93	17052	UROK	\N	\N
3542909	372	1998-12-31	PRIJEM	\N	131	40829	UROK	\N	\N
3542910	373	1996-07-31	PRIJEM	\N	27	16906	UROK	\N	\N
3542911	373	1996-08-31	PRIJEM	\N	85	25170	UROK	\N	\N
3542912	373	1996-09-30	PRIJEM	\N	114	30263	UROK	\N	\N
3542913	373	1996-10-31	PRIJEM	\N	136	35778	UROK	\N	\N
3542914	373	1996-11-30	PRIJEM	\N	150	34555	UROK	\N	\N
3542915	373	1996-12-31	PRIJEM	\N	129	22255	UROK	\N	\N
3542916	373	1997-01-31	PRIJEM	\N	89	17237	UROK	\N	\N
3542917	373	1997-02-28	PRIJEM	\N	72	13422	UROK	\N	\N
3542918	373	1997-03-31	PRIJEM	\N	74	17388	UROK	\N	\N
3542919	373	1997-04-30	PRIJEM	\N	82	20583	UROK	\N	\N
3542920	373	1997-05-31	PRIJEM	\N	90	17125	UROK	\N	\N
3542921	373	1997-06-30	PRIJEM	\N	97	25074	UROK	\N	\N
3542922	373	1997-07-31	PRIJEM	\N	112	27198	UROK	\N	\N
3542923	373	1997-08-31	PRIJEM	\N	121	29632	UROK	\N	\N
3542924	373	1997-09-30	PRIJEM	\N	118	27022	UROK	\N	\N
3542925	373	1997-10-31	PRIJEM	\N	121	29656	UROK	\N	\N
3542926	373	1997-11-30	PRIJEM	\N	129	31097	UROK	\N	\N
3542927	373	1997-12-31	PRIJEM	\N	153	38162	UROK	\N	\N
3542928	373	1998-01-31	PRIJEM	\N	155	37469	UROK	\N	\N
3542929	373	1998-02-28	PRIJEM	\N	157	37918	UROK	\N	\N
3542930	373	1998-03-31	PRIJEM	\N	171	42301	UROK	\N	\N
3542931	373	1998-04-30	PRIJEM	\N	197	49611	UROK	\N	\N
3542932	373	1998-05-31	PRIJEM	\N	222	54745	UROK	\N	\N
3542933	373	1998-06-30	PRIJEM	\N	161	37198	UROK	\N	\N
3542934	373	1998-07-31	PRIJEM	\N	188	44598	UROK	\N	\N
3542935	373	1998-08-31	PRIJEM	\N	219	55429	UROK	\N	\N
3542936	373	1998-09-30	PRIJEM	\N	250	60011	UROK	\N	\N
3542937	373	1998-10-31	PRIJEM	\N	264	58007	UROK	\N	\N
3542938	373	1998-11-30	PRIJEM	\N	237	55757	UROK	\N	\N
3542939	373	1998-12-31	PRIJEM	\N	230	52338	UROK	\N	\N
3542940	375	1996-06-30	PRIJEM	\N	17	6853	UROK	\N	\N
3542941	375	1996-07-31	PRIJEM	\N	29	12618	UROK	\N	\N
3542942	375	1996-08-31	PRIJEM	\N	29	18382	UROK	\N	\N
3542943	375	1996-09-30	PRIJEM	\N	29	24147	UROK	\N	\N
3542944	375	1996-10-31	PRIJEM	\N	32	29914	UROK	\N	\N
3542945	375	1996-11-30	PRIJEM	\N	129	31941	UROK	\N	\N
3542946	375	1996-12-31	PRIJEM	\N	133	31572	UROK	\N	\N
3542947	375	1997-01-31	PRIJEM	\N	102	22271	UROK	\N	\N
3542948	375	1997-02-28	PRIJEM	\N	97	24266	UROK	\N	\N
3542949	375	1997-03-31	PRIJEM	\N	101	24464	UROK	\N	\N
3542950	375	1997-04-30	PRIJEM	\N	102	24863	UROK	\N	\N
3542951	375	1997-05-31	PRIJEM	\N	108	26869	UROK	\N	\N
3542952	375	1997-06-30	PRIJEM	\N	107	18473	UROK	\N	\N
3542953	375	1997-07-31	PRIJEM	\N	82	20452	UROK	\N	\N
3542954	375	1997-08-31	PRIJEM	\N	87	21637	UROK	\N	\N
3542955	375	1997-09-30	PRIJEM	\N	95	23629	UROK	\N	\N
3542956	375	1997-10-31	PRIJEM	\N	101	24187	UROK	\N	\N
3542957	375	1997-11-30	PRIJEM	\N	105	26190	UROK	\N	\N
3542958	375	1997-12-31	PRIJEM	\N	110	24748	UROK	\N	\N
3542959	375	1998-01-31	PRIJEM	\N	89	17294	UROK	\N	\N
3542960	375	1998-02-28	PRIJEM	\N	76	17167	UROK	\N	\N
3542961	375	1998-03-31	PRIJEM	\N	75	15279	UROK	\N	\N
3542962	375	1998-04-30	PRIJEM	\N	66	12742	UROK	\N	\N
3542963	375	1998-05-31	PRIJEM	\N	58	14697	UROK	\N	\N
3542964	375	1998-06-30	PRIJEM	\N	66	16660	UROK	\N	\N
3542965	375	1998-07-31	PRIJEM	\N	72	16530	UROK	\N	\N
3542966	375	1998-08-31	PRIJEM	\N	71	15198	UROK	\N	\N
3542967	375	1998-09-30	PRIJEM	\N	67	16062	UROK	\N	\N
3542968	375	1998-10-31	PRIJEM	\N	71	18031	UROK	\N	\N
3542969	375	1998-11-30	PRIJEM	\N	79	20008	UROK	\N	\N
3542970	375	1998-12-31	PRIJEM	\N	84	18389	UROK	\N	\N
3542971	376	1995-03-31	PRIJEM	\N	64	25281	UROK	\N	\N
3542972	376	1995-04-30	PRIJEM	\N	158	46356	UROK	\N	\N
3542973	376	1995-05-31	PRIJEM	\N	226	59399	UROK	\N	\N
3542974	376	1995-06-30	PRIJEM	\N	294	78468	UROK	\N	\N
3542975	376	1995-07-31	PRIJEM	\N	315	74100	UROK	\N	\N
3542976	376	1995-08-31	PRIJEM	\N	266	64871	UROK	\N	\N
3542977	376	1995-09-30	PRIJEM	\N	233	57510	UROK	\N	\N
3542978	376	1995-10-31	PRIJEM	\N	219	56134	UROK	\N	\N
3542979	376	1995-11-30	PRIJEM	\N	178	47398	UROK	\N	\N
3542980	376	1995-12-31	PRIJEM	\N	206	38847	UROK	\N	\N
3542981	376	1996-01-31	PRIJEM	\N	144	24357	UROK	\N	\N
3542982	376	1996-02-29	PRIJEM	\N	139	30741	UROK	\N	\N
3542983	376	1996-03-31	PRIJEM	\N	150	34977	UROK	\N	\N
3542984	376	1996-04-30	PRIJEM	\N	182	36264	UROK	\N	\N
3542985	376	1996-05-31	PRIJEM	\N	187	39557	UROK	\N	\N
3542986	376	1996-06-30	PRIJEM	\N	199	39920	UROK	\N	\N
3542987	376	1996-07-31	PRIJEM	\N	200	42625	UROK	\N	\N
3542988	376	1996-08-31	PRIJEM	\N	206	41337	UROK	\N	\N
3542989	376	1996-09-30	PRIJEM	\N	201	42244	UROK	\N	\N
3542990	376	1996-10-31	PRIJEM	\N	184	36733	UROK	\N	\N
3542991	376	1996-11-30	PRIJEM	\N	181	38719	UROK	\N	\N
3542992	376	1996-12-31	PRIJEM	\N	211	44874	UROK	\N	\N
3542993	376	1997-01-31	PRIJEM	\N	170	28250	UROK	\N	\N
3542994	376	1997-02-28	PRIJEM	\N	140	28295	UROK	\N	\N
3542995	376	1997-03-31	PRIJEM	\N	133	25554	UROK	\N	\N
3542996	376	1997-04-30	PRIJEM	\N	133	28992	UROK	\N	\N
3542997	376	1997-05-31	PRIJEM	\N	145	30743	UROK	\N	\N
3542998	376	1997-06-30	PRIJEM	\N	173	37879	UROK	\N	\N
3542999	376	1997-07-31	PRIJEM	\N	174	35158	UROK	\N	\N
3543000	376	1997-08-31	PRIJEM	\N	157	30981	UROK	\N	\N
3543001	376	1997-09-30	PRIJEM	\N	151	35537	UROK	\N	\N
3543002	376	1997-10-31	PRIJEM	\N	154	35436	UROK	\N	\N
3543003	376	1997-11-30	PRIJEM	\N	163	37105	UROK	\N	\N
3543004	376	1997-12-31	PRIJEM	\N	185	41093	UROK	\N	\N
3543005	376	1998-01-31	PRIJEM	\N	150	26529	UROK	\N	\N
3543006	376	1998-02-28	PRIJEM	\N	134	35369	UROK	\N	\N
3543007	376	1998-03-31	PRIJEM	\N	166	39020	UROK	\N	\N
3543008	376	1998-04-30	PRIJEM	\N	181	44106	UROK	\N	\N
3543009	376	1998-05-31	PRIJEM	\N	194	46165	UROK	\N	\N
3543010	376	1998-06-30	PRIJEM	\N	180	45289	UROK	\N	\N
3543011	376	1998-07-31	PRIJEM	\N	198	46893	UROK	\N	\N
3543012	376	1998-08-31	PRIJEM	\N	193	44091	UROK	\N	\N
3543013	376	1998-09-30	PRIJEM	\N	190	46386	UROK	\N	\N
3543014	376	1998-10-31	PRIJEM	\N	170	39582	UROK	\N	\N
3543015	376	1998-11-30	PRIJEM	\N	177	45064	UROK	\N	\N
3543016	376	1998-12-31	PRIJEM	\N	239	68647	UROK	\N	\N
3543017	378	1996-07-31	PRIJEM	\N	42	42116	UROK	\N	\N
3543018	378	1996-08-31	PRIJEM	\N	266	68066	UROK	\N	\N
3543019	378	1996-09-30	PRIJEM	\N	226	75826	UROK	\N	\N
3543020	378	1996-10-31	PRIJEM	\N	350	99158	UROK	\N	\N
3543021	378	1996-11-30	PRIJEM	\N	366	86490	UROK	\N	\N
3543022	378	1996-12-31	PRIJEM	\N	356	102065	UROK	\N	\N
3543023	378	1997-01-31	PRIJEM	\N	341	93237	UROK	\N	\N
3543024	378	1997-02-28	PRIJEM	\N	384	85921	UROK	\N	\N
3543025	378	1997-03-31	PRIJEM	\N	338	106812	UROK	\N	\N
3543026	378	1997-04-30	PRIJEM	\N	356	88469	UROK	\N	\N
3543027	378	1997-05-31	PRIJEM	\N	368	91828	UROK	\N	\N
3543028	378	1997-06-30	PRIJEM	\N	385	71354	UROK	\N	\N
3543029	378	1997-07-31	PRIJEM	\N	256	63529	UROK	\N	\N
3543030	378	1997-08-31	PRIJEM	\N	235	52325	UROK	\N	\N
3543031	378	1997-09-30	PRIJEM	\N	259	56650	UROK	\N	\N
3543032	378	1997-10-31	PRIJEM	\N	181	37866	UROK	\N	\N
3543033	378	1997-11-30	PRIJEM	\N	186	42470	UROK	\N	\N
3543034	378	1997-12-31	PRIJEM	\N	237	95528	UROK	\N	\N
3543035	378	1998-01-31	PRIJEM	\N	300	49026	UROK	\N	\N
3543036	378	1998-02-28	PRIJEM	\N	158	34298	UROK	\N	\N
3543037	378	1998-03-31	PRIJEM	\N	123	54832	UROK	\N	\N
3543038	378	1998-04-30	PRIJEM	\N	275	86560	UROK	\N	\N
3543039	378	1998-05-31	PRIJEM	\N	297	65231	UROK	\N	\N
3543040	378	1998-06-30	PRIJEM	\N	319	67332	UROK	\N	\N
3543041	378	1998-07-31	PRIJEM	\N	308	80734	UROK	\N	\N
3543042	378	1998-08-31	PRIJEM	\N	216	46205	UROK	\N	\N
3543043	378	1998-09-30	PRIJEM	\N	207	89920	UROK	\N	\N
3543044	378	1998-10-31	PRIJEM	\N	227	38293	UROK	\N	\N
3543045	378	1998-11-30	PRIJEM	\N	219	61136	UROK	\N	\N
3543046	378	1998-12-31	PRIJEM	\N	207	38965	UROK	\N	\N
3543047	379	1996-06-30	PRIJEM	\N	23	11950	UROK	\N	\N
3543048	379	1996-07-31	PRIJEM	\N	61	17538	UROK	\N	\N
3543049	379	1996-08-31	PRIJEM	\N	73	17438	UROK	\N	\N
3543050	379	1996-09-30	PRIJEM	\N	78	19842	UROK	\N	\N
3543051	379	1996-10-31	PRIJEM	\N	90	22075	UROK	\N	\N
3543052	379	1996-11-30	PRIJEM	\N	86	18689	UROK	\N	\N
3543053	379	1996-12-31	PRIJEM	\N	81	19118	UROK	\N	\N
3543054	379	1997-01-31	PRIJEM	\N	65	12262	UROK	\N	\N
3543055	379	1997-02-28	PRIJEM	\N	53	12443	UROK	\N	\N
3543056	379	1997-03-31	PRIJEM	\N	52	11723	UROK	\N	\N
3543057	379	1997-04-30	PRIJEM	\N	59	14711	UROK	\N	\N
3543058	379	1997-05-31	PRIJEM	\N	73	18282	UROK	\N	\N
3543059	379	1997-06-30	PRIJEM	\N	73	15684	UROK	\N	\N
3543060	379	1997-07-31	PRIJEM	\N	73	17885	UROK	\N	\N
3543061	379	1997-08-31	PRIJEM	\N	75	17578	UROK	\N	\N
3543062	379	1997-09-30	PRIJEM	\N	72	16879	UROK	\N	\N
3543063	379	1997-10-31	PRIJEM	\N	69	14356	UROK	\N	\N
3543064	379	1997-11-30	PRIJEM	\N	53	11738	UROK	\N	\N
3543065	379	1997-12-31	PRIJEM	\N	58	14364	UROK	\N	\N
3543066	379	1998-01-31	PRIJEM	\N	57	12700	UROK	\N	\N
3543067	379	1998-02-28	PRIJEM	\N	54	11382	UROK	\N	\N
3543068	379	1998-03-31	PRIJEM	\N	46	10256	UROK	\N	\N
3543069	379	1998-04-30	PRIJEM	\N	45	10730	UROK	\N	\N
3543070	379	1998-05-31	PRIJEM	\N	46	10524	UROK	\N	\N
3543071	379	1998-06-30	PRIJEM	\N	56	12508	UROK	\N	\N
3543072	379	1998-07-31	PRIJEM	\N	44	8471	UROK	\N	\N
3543073	379	1998-08-31	PRIJEM	\N	40	9739	UROK	\N	\N
3543074	379	1998-09-30	PRIJEM	\N	49	11016	UROK	\N	\N
3543075	379	1998-10-31	PRIJEM	\N	50	12054	UROK	\N	\N
3543076	379	1998-11-30	PRIJEM	\N	55	12648	UROK	\N	\N
3543077	379	1998-12-31	PRIJEM	\N	59	13895	UROK	\N	\N
3543078	382	1997-01-31	PRIJEM	\N	47	17075	UROK	\N	\N
3543079	382	1997-02-28	PRIJEM	\N	72	18271	UROK	\N	\N
3543080	382	1997-03-31	PRIJEM	\N	76	18242	UROK	\N	\N
3543081	382	1997-04-30	PRIJEM	\N	75	18511	UROK	\N	\N
3543082	382	1997-05-31	PRIJEM	\N	78	19714	UROK	\N	\N
3543083	382	1997-06-30	PRIJEM	\N	83	20921	UROK	\N	\N
3543084	382	1997-07-31	PRIJEM	\N	88	22134	UROK	\N	\N
3543085	382	1997-08-31	PRIJEM	\N	93	22872	UROK	\N	\N
3543086	382	1997-09-30	PRIJEM	\N	96	24092	UROK	\N	\N
3543087	382	1997-10-31	PRIJEM	\N	102	25318	UROK	\N	\N
3543088	382	1997-11-30	PRIJEM	\N	105	25618	UROK	\N	\N
3543089	382	1997-12-31	PRIJEM	\N	106	24808	UROK	\N	\N
3543090	382	1998-01-31	PRIJEM	\N	104	24146	UROK	\N	\N
3543091	382	1998-02-28	PRIJEM	\N	100	24801	UROK	\N	\N
3543092	382	1998-03-31	PRIJEM	\N	104	26030	UROK	\N	\N
3543093	382	1998-04-30	PRIJEM	\N	109	27264	UROK	\N	\N
3543094	382	1998-05-31	PRIJEM	\N	115	28503	UROK	\N	\N
3543095	382	1998-06-30	PRIJEM	\N	108	22055	UROK	\N	\N
3543096	382	1998-07-31	PRIJEM	\N	93	23272	UROK	\N	\N
3543097	382	1998-08-31	PRIJEM	\N	98	24495	UROK	\N	\N
3543098	382	1998-09-30	PRIJEM	\N	101	24971	UROK	\N	\N
3543099	382	1998-10-31	PRIJEM	\N	105	26200	UROK	\N	\N
3543100	382	1998-11-30	PRIJEM	\N	110	27434	UROK	\N	\N
3543101	382	1998-12-31	PRIJEM	\N	113	28102	UROK	\N	\N
3543102	383	1997-09-30	PRIJEM	\N	30	11474	UROK	\N	\N
3543103	383	1997-10-31	PRIJEM	\N	48	14608	UROK	\N	\N
3543104	383	1997-11-30	PRIJEM	\N	64	15687	UROK	\N	\N
3543105	383	1997-12-31	PRIJEM	\N	60	13782	UROK	\N	\N
3543106	383	1998-01-31	PRIJEM	\N	48	10823	UROK	\N	\N
3543107	383	1998-02-28	PRIJEM	\N	48	11886	UROK	\N	\N
3543108	383	1998-03-31	PRIJEM	\N	53	12953	UROK	\N	\N
3543109	383	1998-04-30	PRIJEM	\N	56	13483	UROK	\N	\N
3543110	383	1998-05-31	PRIJEM	\N	59	14557	UROK	\N	\N
3543111	383	1998-06-30	PRIJEM	\N	64	15635	UROK	\N	\N
3543112	383	1998-07-31	PRIJEM	\N	68	16718	UROK	\N	\N
3543113	383	1998-08-31	PRIJEM	\N	68	16200	UROK	\N	\N
3543114	383	1998-09-30	PRIJEM	\N	66	15960	UROK	\N	\N
3543115	383	1998-10-31	PRIJEM	\N	70	17044	UROK	\N	\N
3543116	383	1998-11-30	PRIJEM	\N	73	17862	UROK	\N	\N
3543117	383	1998-12-31	PRIJEM	\N	76	18172	UROK	\N	\N
3543118	384	1997-09-30	PRIJEM	\N	8	18622	UROK	\N	\N
3543119	384	1997-10-31	PRIJEM	\N	188	101361	UROK	\N	\N
3543120	384	1997-11-30	PRIJEM	\N	422	61482	UROK	\N	\N
3543121	384	1997-12-31	PRIJEM	\N	422	46104	UROK	\N	\N
3543122	384	1998-01-31	PRIJEM	\N	373	130833	UROK	\N	\N
3543123	384	1998-02-28	PRIJEM	\N	336	52897	UROK	\N	\N
3543124	384	1998-03-31	PRIJEM	\N	232	44007	UROK	\N	\N
3543125	384	1998-04-30	PRIJEM	\N	196	18038	UROK	\N	\N
3543126	384	1998-05-31	PRIJEM	\N	218	103765	UROK	\N	\N
3543127	384	1998-06-30	PRIJEM	\N	280	2215	UROK	\N	\N
3543128	384	1998-07-31	PRIJEM	\N	94	47323	UROK	\N	\N
3543129	384	1998-08-31	PRIJEM	\N	318	102989	UROK	\N	\N
3543130	384	1998-09-30	PRIJEM	\N	422	56481	UROK	\N	\N
3543131	384	1998-10-31	PRIJEM	\N	232	38083	UROK	\N	\N
3543132	384	1998-11-30	PRIJEM	\N	281	101006	UROK	\N	\N
3543133	384	1998-12-31	PRIJEM	\N	334	73666	UROK	\N	\N
3543134	385	1993-04-30	PRIJEM	\N	12	4481	UROK	\N	\N
3543135	385	1993-05-31	PRIJEM	\N	19	7969	UROK	\N	\N
3543136	385	1993-06-30	PRIJEM	\N	19	11457	UROK	\N	\N
3543137	385	1993-07-31	PRIJEM	\N	19	14944	UROK	\N	\N
3543138	385	1993-08-31	PRIJEM	\N	51	16273	UROK	\N	\N
3543139	385	1993-09-30	PRIJEM	\N	72	17487	UROK	\N	\N
3543140	385	1993-10-31	PRIJEM	\N	76	18315	UROK	\N	\N
3543141	385	1993-11-30	PRIJEM	\N	80	19538	UROK	\N	\N
3543142	385	1993-12-31	PRIJEM	\N	89	20350	UROK	\N	\N
3543143	385	1994-01-31	PRIJEM	\N	81	18633	UROK	\N	\N
3543144	385	1994-02-28	PRIJEM	\N	77	18382	UROK	\N	\N
3543145	385	1994-03-31	PRIJEM	\N	81	19605	UROK	\N	\N
3543146	385	1994-04-30	PRIJEM	\N	86	20833	UROK	\N	\N
3543147	385	1994-05-31	PRIJEM	\N	91	22067	UROK	\N	\N
3543148	385	1994-06-30	PRIJEM	\N	92	22161	UROK	\N	\N
3543149	385	1994-07-31	PRIJEM	\N	96	23400	UROK	\N	\N
3543150	385	1994-08-31	PRIJEM	\N	94	22327	UROK	\N	\N
3543151	385	1994-09-30	PRIJEM	\N	97	23566	UROK	\N	\N
3543152	385	1994-10-31	PRIJEM	\N	102	24811	UROK	\N	\N
3543153	385	1994-11-30	PRIJEM	\N	107	26060	UROK	\N	\N
3543154	385	1994-12-31	PRIJEM	\N	110	26503	UROK	\N	\N
3543155	385	1995-01-31	PRIJEM	\N	99	22525	UROK	\N	\N
3543156	385	1995-02-28	PRIJEM	\N	98	23765	UROK	\N	\N
3543157	385	1995-03-31	PRIJEM	\N	103	25010	UROK	\N	\N
3543158	385	1995-04-30	PRIJEM	\N	104	24726	UROK	\N	\N
3543159	385	1995-05-31	PRIJEM	\N	106	25734	UROK	\N	\N
3543160	385	1995-06-30	PRIJEM	\N	93	21209	UROK	\N	\N
3543161	385	1995-07-31	PRIJEM	\N	91	22203	UROK	\N	\N
3543162	385	1995-08-31	PRIJEM	\N	96	23441	UROK	\N	\N
3543163	385	1995-09-30	PRIJEM	\N	101	24685	UROK	\N	\N
3543164	385	1995-10-31	PRIJEM	\N	106	25934	UROK	\N	\N
3543165	385	1995-11-30	PRIJEM	\N	112	27188	UROK	\N	\N
3543166	385	1995-12-31	PRIJEM	\N	111	26191	UROK	\N	\N
3543167	385	1996-01-31	PRIJEM	\N	97	19810	UROK	\N	\N
3543168	385	1996-02-29	PRIJEM	\N	86	21039	UROK	\N	\N
3543169	385	1996-03-31	PRIJEM	\N	91	22272	UROK	\N	\N
3543170	385	1996-04-30	PRIJEM	\N	96	23360	UROK	\N	\N
3543171	385	1996-05-31	PRIJEM	\N	100	24243	UROK	\N	\N
3543172	385	1996-06-30	PRIJEM	\N	92	19627	UROK	\N	\N
3543173	385	1996-07-31	PRIJEM	\N	85	20854	UROK	\N	\N
3543174	385	1996-08-31	PRIJEM	\N	90	21847	UROK	\N	\N
3543175	385	1996-09-30	PRIJEM	\N	94	23083	UROK	\N	\N
3543176	385	1996-10-31	PRIJEM	\N	99	24325	UROK	\N	\N
3543177	385	1996-11-30	PRIJEM	\N	104	25571	UROK	\N	\N
3543178	385	1996-12-31	PRIJEM	\N	108	25532	UROK	\N	\N
3543179	385	1997-01-31	PRIJEM	\N	85	18029	UROK	\N	\N
3543180	385	1997-02-28	PRIJEM	\N	74	17655	UROK	\N	\N
3543181	385	1997-03-31	PRIJEM	\N	76	18874	UROK	\N	\N
3543182	385	1997-04-30	PRIJEM	\N	81	20098	UROK	\N	\N
3543183	385	1997-05-31	PRIJEM	\N	85	20995	UROK	\N	\N
3543184	385	1997-06-30	PRIJEM	\N	90	22227	UROK	\N	\N
3543185	385	1997-07-31	PRIJEM	\N	95	23465	UROK	\N	\N
3543186	385	1997-08-31	PRIJEM	\N	98	23415	UROK	\N	\N
3543187	385	1997-09-30	PRIJEM	\N	100	24657	UROK	\N	\N
3543188	385	1997-10-31	PRIJEM	\N	105	25905	UROK	\N	\N
3543189	385	1997-11-30	PRIJEM	\N	109	26586	UROK	\N	\N
3543190	385	1997-12-31	PRIJEM	\N	111	27179	UROK	\N	\N
3543191	385	1998-01-31	PRIJEM	\N	108	23599	UROK	\N	\N
3543192	385	1998-02-28	PRIJEM	\N	100	24691	UROK	\N	\N
3543193	385	1998-03-31	PRIJEM	\N	103	25607	UROK	\N	\N
3543194	385	1998-04-30	PRIJEM	\N	108	26858	UROK	\N	\N
3543195	385	1998-05-31	PRIJEM	\N	114	28114	UROK	\N	\N
3543196	385	1998-06-30	PRIJEM	\N	113	26609	UROK	\N	\N
3543197	385	1998-07-31	PRIJEM	\N	105	25426	UROK	\N	\N
3543198	385	1998-08-31	PRIJEM	\N	106	26105	UROK	\N	\N
3543199	385	1998-09-30	PRIJEM	\N	110	27357	UROK	\N	\N
3543200	385	1998-10-31	PRIJEM	\N	115	28615	UROK	\N	\N
3543201	385	1998-11-30	PRIJEM	\N	120	28437	UROK	\N	\N
3543202	385	1998-12-31	PRIJEM	\N	118	29217	UROK	\N	\N
3543203	386	1997-08-31	PRIJEM	\N	50	18807	UROK	\N	\N
3543204	386	1997-09-30	PRIJEM	\N	137	40601	UROK	\N	\N
3543205	386	1997-10-31	PRIJEM	\N	200	51858	UROK	\N	\N
3543206	386	1997-11-30	PRIJEM	\N	235	59051	UROK	\N	\N
3543207	386	1997-12-31	PRIJEM	\N	286	73472	UROK	\N	\N
3543208	386	1998-01-31	PRIJEM	\N	251	56315	UROK	\N	\N
3543209	386	1998-02-28	PRIJEM	\N	232	57078	UROK	\N	\N
3543210	386	1998-03-31	PRIJEM	\N	249	58859	UROK	\N	\N
3543211	386	1998-04-30	PRIJEM	\N	259	65649	UROK	\N	\N
3543212	386	1998-05-31	PRIJEM	\N	276	66056	UROK	\N	\N
3543213	386	1998-06-30	PRIJEM	\N	311	80977	UROK	\N	\N
3543214	386	1998-07-31	PRIJEM	\N	326	79934	UROK	\N	\N
3543215	386	1998-08-31	PRIJEM	\N	316	77081	UROK	\N	\N
3543216	386	1998-09-30	PRIJEM	\N	317	78429	UROK	\N	\N
3543217	386	1998-10-31	PRIJEM	\N	326	80686	UROK	\N	\N
3543218	386	1998-11-30	PRIJEM	\N	313	75331	UROK	\N	\N
3543219	386	1998-12-31	PRIJEM	\N	323	80664	UROK	\N	\N
3543220	388	1995-03-31	PRIJEM	\N	43	16900	UROK	\N	\N
3543221	388	1995-04-30	PRIJEM	\N	90	24347	UROK	\N	\N
3543222	388	1995-05-31	PRIJEM	\N	118	30722	UROK	\N	\N
3543223	388	1995-06-30	PRIJEM	\N	132	32490	UROK	\N	\N
3543224	388	1995-07-31	PRIJEM	\N	125	28248	UROK	\N	\N
3543225	388	1995-08-31	PRIJEM	\N	103	22570	UROK	\N	\N
3543226	388	1995-09-30	PRIJEM	\N	95	21683	UROK	\N	\N
3543227	388	1995-10-31	PRIJEM	\N	96	22497	UROK	\N	\N
3543228	388	1995-11-30	PRIJEM	\N	93	13109	UROK	\N	\N
3543229	388	1995-12-31	PRIJEM	\N	84	20990	UROK	\N	\N
3543230	388	1996-01-31	PRIJEM	\N	73	13081	UROK	\N	\N
3543231	388	1996-02-29	PRIJEM	\N	77	14177	UROK	\N	\N
3543232	388	1996-03-31	PRIJEM	\N	81	19376	UROK	\N	\N
3543233	388	1996-04-30	PRIJEM	\N	89	20184	UROK	\N	\N
3543234	388	1996-05-31	PRIJEM	\N	80	16182	UROK	\N	\N
3543235	388	1996-06-30	PRIJEM	\N	99	16979	UROK	\N	\N
3543236	388	1996-07-31	PRIJEM	\N	110	25007	UROK	\N	\N
3543237	388	1996-08-31	PRIJEM	\N	121	28346	UROK	\N	\N
3543238	388	1996-09-30	PRIJEM	\N	127	29392	UROK	\N	\N
3543239	388	1996-10-31	PRIJEM	\N	133	30944	UROK	\N	\N
3543240	388	1996-11-30	PRIJEM	\N	114	26076	UROK	\N	\N
3543241	388	1996-12-31	PRIJEM	\N	148	35721	UROK	\N	\N
3543242	388	1997-01-31	PRIJEM	\N	96	14535	UROK	\N	\N
3543243	388	1997-02-28	PRIJEM	\N	106	27360	UROK	\N	\N
3543244	388	1997-03-31	PRIJEM	\N	151	36329	UROK	\N	\N
3543245	388	1997-04-30	PRIJEM	\N	177	42124	UROK	\N	\N
3543246	388	1997-05-31	PRIJEM	\N	191	41134	UROK	\N	\N
3543247	388	1997-06-30	PRIJEM	\N	129	29260	UROK	\N	\N
3543248	388	1997-07-31	PRIJEM	\N	132	33210	UROK	\N	\N
3543249	388	1997-08-31	PRIJEM	\N	149	41077	UROK	\N	\N
3543250	388	1997-09-30	PRIJEM	\N	177	45573	UROK	\N	\N
3543251	388	1997-10-31	PRIJEM	\N	197	45288	UROK	\N	\N
3543252	388	1997-11-30	PRIJEM	\N	196	47303	UROK	\N	\N
3543253	388	1997-12-31	PRIJEM	\N	216	49116	UROK	\N	\N
3543254	388	1998-01-31	PRIJEM	\N	196	42331	UROK	\N	\N
3543255	388	1998-02-28	PRIJEM	\N	192	47942	UROK	\N	\N
3543256	388	1998-03-31	PRIJEM	\N	203	52063	UROK	\N	\N
3543257	388	1998-04-30	PRIJEM	\N	228	59810	UROK	\N	\N
3543258	388	1998-05-31	PRIJEM	\N	259	65787	UROK	\N	\N
3543259	388	1998-06-30	PRIJEM	\N	281	64866	UROK	\N	\N
3543260	388	1998-07-31	PRIJEM	\N	282	72266	UROK	\N	\N
3543261	388	1998-08-31	PRIJEM	\N	312	78696	UROK	\N	\N
3543262	388	1998-09-30	PRIJEM	\N	339	85554	UROK	\N	\N
3543263	388	1998-10-31	PRIJEM	\N	366	91138	UROK	\N	\N
3543264	388	1998-11-30	PRIJEM	\N	382	90538	UROK	\N	\N
3543265	388	1998-12-31	PRIJEM	\N	398	99934	UROK	\N	\N
3543266	389	1993-09-30	PRIJEM	\N	8	15155	UROK	\N	\N
3543267	389	1993-10-31	PRIJEM	\N	69	24572	UROK	\N	\N
3543268	389	1993-11-30	PRIJEM	\N	104	27423	UROK	\N	\N
3543269	389	1993-12-31	PRIJEM	\N	117	31510	UROK	\N	\N
3543270	389	1994-01-31	PRIJEM	\N	133	27790	UROK	\N	\N
3543271	389	1994-02-28	PRIJEM	\N	100	22779	UROK	\N	\N
3543272	389	1994-03-31	PRIJEM	\N	96	25743	UROK	\N	\N
3543273	389	1994-04-30	PRIJEM	\N	104	25356	UROK	\N	\N
3543274	389	1994-05-31	PRIJEM	\N	109	26733	UROK	\N	\N
3543275	389	1994-06-30	PRIJEM	\N	117	29842	UROK	\N	\N
3543276	389	1994-07-31	PRIJEM	\N	123	30633	UROK	\N	\N
3543277	389	1994-08-31	PRIJEM	\N	121	26823	UROK	\N	\N
3543278	389	1994-09-30	PRIJEM	\N	110	27501	UROK	\N	\N
3543279	389	1994-10-31	PRIJEM	\N	112	27481	UROK	\N	\N
3543280	389	1994-11-30	PRIJEM	\N	113	28663	UROK	\N	\N
3543281	389	1994-12-31	PRIJEM	\N	119	29514	UROK	\N	\N
3543282	389	1995-01-31	PRIJEM	\N	96	16978	UROK	\N	\N
3543283	389	1995-02-28	PRIJEM	\N	82	24529	UROK	\N	\N
3543284	389	1995-03-31	PRIJEM	\N	92	21228	UROK	\N	\N
3543285	389	1995-04-30	PRIJEM	\N	93	26190	UROK	\N	\N
3543286	389	1995-05-31	PRIJEM	\N	99	22337	UROK	\N	\N
3543287	389	1995-06-30	PRIJEM	\N	94	19203	UROK	\N	\N
3543288	389	1995-07-31	PRIJEM	\N	85	23556	UROK	\N	\N
3543289	389	1995-08-31	PRIJEM	\N	96	24621	UROK	\N	\N
3543290	389	1995-09-30	PRIJEM	\N	90	23199	UROK	\N	\N
3543291	389	1995-10-31	PRIJEM	\N	95	22962	UROK	\N	\N
3543292	389	1995-11-30	PRIJEM	\N	93	23923	UROK	\N	\N
3543293	389	1995-12-31	PRIJEM	\N	92	23988	UROK	\N	\N
3543294	389	1996-01-31	PRIJEM	\N	84	14740	UROK	\N	\N
3543295	389	1996-02-29	PRIJEM	\N	67	19576	UROK	\N	\N
3543296	389	1996-03-31	PRIJEM	\N	70	15414	UROK	\N	\N
3543297	389	1996-04-30	PRIJEM	\N	63	21545	UROK	\N	\N
3543298	389	1996-05-31	PRIJEM	\N	93	21406	UROK	\N	\N
3543299	389	1996-06-30	PRIJEM	\N	99	27897	UROK	\N	\N
3543300	389	1996-07-31	PRIJEM	\N	105	25770	UROK	\N	\N
3543301	389	1996-08-31	PRIJEM	\N	85	17003	UROK	\N	\N
3543302	389	1996-09-30	PRIJEM	\N	70	19141	UROK	\N	\N
3543303	389	1996-10-31	PRIJEM	\N	66	16596	UROK	\N	\N
3543304	389	1996-11-30	PRIJEM	\N	69	18734	UROK	\N	\N
3543305	389	1996-12-31	PRIJEM	\N	88	24413	UROK	\N	\N
3543306	389	1997-01-31	PRIJEM	\N	69	16291	UROK	\N	\N
3543307	389	1997-02-28	PRIJEM	\N	70	19429	UROK	\N	\N
3543308	389	1997-03-31	PRIJEM	\N	78	20575	UROK	\N	\N
3543309	389	1997-04-30	PRIJEM	\N	88	23331	UROK	\N	\N
3543310	389	1997-05-31	PRIJEM	\N	91	23290	UROK	\N	\N
3543311	389	1997-06-30	PRIJEM	\N	100	27582	UROK	\N	\N
3543312	389	1997-07-31	PRIJEM	\N	87	16717	UROK	\N	\N
3543313	389	1997-08-31	PRIJEM	\N	69	18855	UROK	\N	\N
3543314	389	1997-09-30	PRIJEM	\N	81	22305	UROK	\N	\N
3543315	389	1997-10-31	PRIJEM	\N	94	23867	UROK	\N	\N
3543316	389	1997-11-30	PRIJEM	\N	89	23224	UROK	\N	\N
3543317	389	1997-12-31	PRIJEM	\N	89	15665	UROK	\N	\N
3543318	389	1998-01-31	PRIJEM	\N	70	17503	UROK	\N	\N
3543319	389	1998-02-28	PRIJEM	\N	67	18738	UROK	\N	\N
3543320	389	1998-03-31	PRIJEM	\N	80	22087	UROK	\N	\N
3543321	389	1998-04-30	PRIJEM	\N	82	20837	UROK	\N	\N
3543322	389	1998-05-31	PRIJEM	\N	75	20281	UROK	\N	\N
3543323	389	1998-06-30	PRIJEM	\N	71	16104	UROK	\N	\N
3543324	389	1998-07-31	PRIJEM	\N	59	15431	UROK	\N	\N
3543325	389	1998-08-31	PRIJEM	\N	64	17963	UROK	\N	\N
3543326	389	1998-09-30	PRIJEM	\N	64	17295	UROK	\N	\N
3543327	389	1998-10-31	PRIJEM	\N	77	21140	UROK	\N	\N
3543328	389	1998-11-30	PRIJEM	\N	80	21488	UROK	\N	\N
3543329	389	1998-12-31	PRIJEM	\N	79	21079	UROK	\N	\N
3543330	390	1996-03-31	PRIJEM	\N	299	65084	UROK	\N	\N
3543331	390	1996-04-30	PRIJEM	\N	332	69985	UROK	\N	\N
3543332	390	1996-05-31	PRIJEM	\N	239	45232	UROK	\N	\N
3543333	390	1996-06-30	PRIJEM	\N	175	47456	UROK	\N	\N
3543334	390	1996-07-31	PRIJEM	\N	182	75493	UROK	\N	\N
3543335	390	1996-08-31	PRIJEM	\N	351	95350	UROK	\N	\N
3543336	390	1996-09-30	PRIJEM	\N	289	50194	UROK	\N	\N
3543337	390	1996-10-31	PRIJEM	\N	287	104411	UROK	\N	\N
3543338	390	1996-11-30	PRIJEM	\N	398	97219	UROK	\N	\N
3543339	390	1996-12-31	PRIJEM	\N	332	65720	UROK	\N	\N
3543340	390	1997-01-31	PRIJEM	\N	248	54884	UROK	\N	\N
3543341	390	1997-02-28	PRIJEM	\N	305	81213	UROK	\N	\N
3543342	390	1997-03-31	PRIJEM	\N	296	58188	UROK	\N	\N
3543343	390	1997-04-30	PRIJEM	\N	273	89078	UROK	\N	\N
3543344	390	1997-05-31	PRIJEM	\N	356	64951	UROK	\N	\N
3543345	390	1997-06-30	PRIJEM	\N	192	23759	UROK	\N	\N
3543346	390	1997-07-31	PRIJEM	\N	146	39913	UROK	\N	\N
3543347	390	1997-08-31	PRIJEM	\N	244	121934	UROK	\N	\N
3543348	390	1997-09-30	PRIJEM	\N	343	101757	UROK	\N	\N
3543349	390	1997-10-31	PRIJEM	\N	289	32947	UROK	\N	\N
3543350	390	1997-11-30	PRIJEM	\N	298	62118	UROK	\N	\N
3543351	390	1997-12-31	PRIJEM	\N	237	47175	UROK	\N	\N
3543352	390	1998-01-31	PRIJEM	\N	275	63997	UROK	\N	\N
3543353	390	1998-02-28	PRIJEM	\N	284	87778	UROK	\N	\N
3543354	390	1998-03-31	PRIJEM	\N	251	50003	UROK	\N	\N
3543355	390	1998-04-30	PRIJEM	\N	272	70133	UROK	\N	\N
3543356	390	1998-05-31	PRIJEM	\N	285	58374	UROK	\N	\N
3543357	390	1998-06-30	PRIJEM	\N	276	81416	UROK	\N	\N
3543358	390	1998-07-31	PRIJEM	\N	304	62107	UROK	\N	\N
3543359	390	1998-08-31	PRIJEM	\N	318	78621	UROK	\N	\N
3543360	390	1998-09-30	PRIJEM	\N	191	26124	UROK	\N	\N
3543361	390	1998-10-31	PRIJEM	\N	178	46511	UROK	\N	\N
3543362	390	1998-11-30	PRIJEM	\N	233	56714	UROK	\N	\N
3543363	390	1998-12-31	PRIJEM	\N	343	109621	UROK	\N	\N
3543364	392	1996-08-31	PRIJEM	\N	43	17009	UROK	\N	\N
3543365	392	1996-09-30	PRIJEM	\N	94	25970	UROK	\N	\N
3543366	392	1996-10-31	PRIJEM	\N	131	34566	UROK	\N	\N
3543367	392	1996-11-30	PRIJEM	\N	161	40994	UROK	\N	\N
3543368	392	1996-12-31	PRIJEM	\N	181	44294	UROK	\N	\N
3543369	392	1997-01-31	PRIJEM	\N	157	34153	UROK	\N	\N
3543370	392	1997-02-28	PRIJEM	\N	174	46208	UROK	\N	\N
3543371	392	1997-03-31	PRIJEM	\N	208	46498	UROK	\N	\N
3543372	392	1997-04-30	PRIJEM	\N	212	53891	UROK	\N	\N
3543373	392	1997-05-31	PRIJEM	\N	226	55518	UROK	\N	\N
3543374	392	1997-06-30	PRIJEM	\N	137	22689	UROK	\N	\N
3543375	392	1997-07-31	PRIJEM	\N	142	39812	UROK	\N	\N
3543376	392	1997-08-31	PRIJEM	\N	197	51290	UROK	\N	\N
3543377	392	1997-09-30	PRIJEM	\N	217	54489	UROK	\N	\N
3543378	392	1997-10-31	PRIJEM	\N	204	49355	UROK	\N	\N
3543379	392	1997-11-30	PRIJEM	\N	197	46233	UROK	\N	\N
3543380	392	1997-12-31	PRIJEM	\N	196	50644	UROK	\N	\N
3543381	392	1998-01-31	PRIJEM	\N	149	32214	UROK	\N	\N
3543382	392	1998-02-28	PRIJEM	\N	152	40147	UROK	\N	\N
3543383	392	1998-03-31	PRIJEM	\N	154	38182	UROK	\N	\N
3543384	392	1998-04-30	PRIJEM	\N	176	45640	UROK	\N	\N
3543385	392	1998-05-31	PRIJEM	\N	209	53530	UROK	\N	\N
3543386	392	1998-06-30	PRIJEM	\N	222	43506	UROK	\N	\N
3543387	392	1998-07-31	PRIJEM	\N	175	44422	UROK	\N	\N
3543388	392	1998-08-31	PRIJEM	\N	195	49398	UROK	\N	\N
3543389	392	1998-09-30	PRIJEM	\N	216	54894	UROK	\N	\N
3543390	392	1998-10-31	PRIJEM	\N	219	53315	UROK	\N	\N
3543391	392	1998-11-30	PRIJEM	\N	213	53110	UROK	\N	\N
3543392	392	1998-12-31	PRIJEM	\N	220	55644	UROK	\N	\N
3543393	393	1995-02-28	PRIJEM	\N	71	25337	UROK	\N	\N
3543394	393	1995-03-31	PRIJEM	\N	181	50884	UROK	\N	\N
3543395	393	1995-04-30	PRIJEM	\N	241	61191	UROK	\N	\N
3543396	393	1995-05-31	PRIJEM	\N	279	69536	UROK	\N	\N
3543397	393	1995-06-30	PRIJEM	\N	330	83714	UROK	\N	\N
3543398	393	1995-07-31	PRIJEM	\N	290	70834	UROK	\N	\N
3543399	393	1995-08-31	PRIJEM	\N	263	63927	UROK	\N	\N
3543400	393	1995-09-30	PRIJEM	\N	243	60899	UROK	\N	\N
3543401	393	1995-10-31	PRIJEM	\N	244	61872	UROK	\N	\N
3543402	393	1995-11-30	PRIJEM	\N	236	59537	UROK	\N	\N
3543403	393	1995-12-31	PRIJEM	\N	244	66493	UROK	\N	\N
3543404	393	1996-01-31	PRIJEM	\N	224	40246	UROK	\N	\N
3543405	393	1996-02-29	PRIJEM	\N	215	58991	UROK	\N	\N
3543406	393	1996-03-31	PRIJEM	\N	211	40931	UROK	\N	\N
3543407	393	1996-04-30	PRIJEM	\N	216	38776	UROK	\N	\N
3543408	393	1996-05-31	PRIJEM	\N	206	38111	UROK	\N	\N
3543409	393	1996-06-30	PRIJEM	\N	224	34248	UROK	\N	\N
3543410	393	1996-07-31	PRIJEM	\N	186	37063	UROK	\N	\N
3543411	393	1996-08-31	PRIJEM	\N	187	35580	UROK	\N	\N
3543412	393	1996-09-30	PRIJEM	\N	188	40597	UROK	\N	\N
3543413	393	1996-10-31	PRIJEM	\N	207	42033	UROK	\N	\N
3543414	393	1996-11-30	PRIJEM	\N	207	38170	UROK	\N	\N
3543415	393	1996-12-31	PRIJEM	\N	222	41504	UROK	\N	\N
3543416	393	1997-01-31	PRIJEM	\N	195	36428	UROK	\N	\N
3543417	393	1997-02-28	PRIJEM	\N	182	34539	UROK	\N	\N
3543418	393	1997-03-31	PRIJEM	\N	176	33044	UROK	\N	\N
3543419	393	1997-04-30	PRIJEM	\N	169	31942	UROK	\N	\N
3543420	393	1997-05-31	PRIJEM	\N	165	33437	UROK	\N	\N
3543421	393	1997-06-30	PRIJEM	\N	181	27430	UROK	\N	\N
3543422	393	1997-07-31	PRIJEM	\N	146	31205	UROK	\N	\N
3543423	393	1997-08-31	PRIJEM	\N	155	30690	UROK	\N	\N
3543424	393	1997-09-30	PRIJEM	\N	145	28664	UROK	\N	\N
3543425	393	1997-10-31	PRIJEM	\N	142	28635	UROK	\N	\N
3543426	393	1997-11-30	PRIJEM	\N	139	30703	UROK	\N	\N
3543427	393	1997-12-31	PRIJEM	\N	179	39995	UROK	\N	\N
3543428	393	1998-01-31	PRIJEM	\N	170	30994	UROK	\N	\N
3543429	393	1998-02-28	PRIJEM	\N	141	28564	UROK	\N	\N
3543430	393	1998-03-31	PRIJEM	\N	140	29434	UROK	\N	\N
3543431	393	1998-04-30	PRIJEM	\N	150	35113	UROK	\N	\N
3543432	393	1998-05-31	PRIJEM	\N	163	34805	UROK	\N	\N
3543433	393	1998-06-30	PRIJEM	\N	163	27580	UROK	\N	\N
3543434	393	1998-07-31	PRIJEM	\N	143	35053	UROK	\N	\N
3543435	393	1998-08-31	PRIJEM	\N	162	37244	UROK	\N	\N
3543436	393	1998-09-30	PRIJEM	\N	161	35334	UROK	\N	\N
3543437	393	1998-10-31	PRIJEM	\N	149	32212	UROK	\N	\N
3543438	393	1998-11-30	PRIJEM	\N	129	26670	UROK	\N	\N
3543439	393	1998-12-31	PRIJEM	\N	139	32522	UROK	\N	\N
3543440	395	1993-04-30	PRIJEM	\N	58	20912	UROK	\N	\N
3543441	395	1993-05-31	PRIJEM	\N	122	33388	UROK	\N	\N
3543442	395	1993-06-30	PRIJEM	\N	171	44640	UROK	\N	\N
3543443	395	1993-07-31	PRIJEM	\N	187	45081	UROK	\N	\N
3543444	395	1993-08-31	PRIJEM	\N	172	37599	UROK	\N	\N
3543445	395	1993-09-30	PRIJEM	\N	163	37195	UROK	\N	\N
3543446	395	1993-10-31	PRIJEM	\N	153	34880	UROK	\N	\N
3543447	395	1993-11-30	PRIJEM	\N	159	33371	UROK	\N	\N
3543448	395	1993-12-31	PRIJEM	\N	151	31902	UROK	\N	\N
3543449	395	1994-01-31	PRIJEM	\N	118	25652	UROK	\N	\N
3543450	395	1994-02-28	PRIJEM	\N	163	40547	UROK	\N	\N
3543451	395	1994-03-31	PRIJEM	\N	177	37057	UROK	\N	\N
3543452	395	1994-04-30	PRIJEM	\N	154	34943	UROK	\N	\N
3543453	395	1994-05-31	PRIJEM	\N	149	34624	UROK	\N	\N
3543454	395	1994-06-30	PRIJEM	\N	218	54441	UROK	\N	\N
3543455	395	1994-07-31	PRIJEM	\N	233	54986	UROK	\N	\N
3543456	395	1994-08-31	PRIJEM	\N	232	54650	UROK	\N	\N
3543457	395	1994-09-30	PRIJEM	\N	218	49400	UROK	\N	\N
3543458	395	1994-10-31	PRIJEM	\N	226	54259	UROK	\N	\N
3543459	395	1994-11-30	PRIJEM	\N	229	54120	UROK	\N	\N
3543460	395	1994-12-31	PRIJEM	\N	269	64689	UROK	\N	\N
3543461	395	1995-01-31	PRIJEM	\N	229	55251	UROK	\N	\N
3543462	395	1995-02-28	PRIJEM	\N	235	58818	UROK	\N	\N
3543463	395	1995-03-31	PRIJEM	\N	243	56393	UROK	\N	\N
3543464	395	1995-04-30	PRIJEM	\N	248	59173	UROK	\N	\N
3543465	395	1995-05-31	PRIJEM	\N	245	58250	UROK	\N	\N
3543466	395	1995-06-30	PRIJEM	\N	185	42635	UROK	\N	\N
3543467	395	1995-07-31	PRIJEM	\N	190	39518	UROK	\N	\N
3543468	395	1995-08-31	PRIJEM	\N	208	41298	UROK	\N	\N
3543469	395	1995-09-30	PRIJEM	\N	216	41747	UROK	\N	\N
3543470	395	1995-10-31	PRIJEM	\N	217	42395	UROK	\N	\N
3543471	395	1995-11-30	PRIJEM	\N	202	38630	UROK	\N	\N
3543472	395	1995-12-31	PRIJEM	\N	229	40998	UROK	\N	\N
3543473	395	1996-01-31	PRIJEM	\N	174	37005	UROK	\N	\N
3543474	395	1996-02-29	PRIJEM	\N	193	36430	UROK	\N	\N
3543475	395	1996-03-31	PRIJEM	\N	190	32852	UROK	\N	\N
3543476	395	1996-04-30	PRIJEM	\N	178	37563	UROK	\N	\N
3543477	395	1996-05-31	PRIJEM	\N	191	36106	UROK	\N	\N
3543478	395	1996-06-30	PRIJEM	\N	183	38308	UROK	\N	\N
3543479	395	1996-07-31	PRIJEM	\N	195	39935	UROK	\N	\N
3543480	395	1996-08-31	PRIJEM	\N	179	36607	UROK	\N	\N
3543481	395	1996-09-30	PRIJEM	\N	180	34319	UROK	\N	\N
3543482	395	1996-10-31	PRIJEM	\N	174	35726	UROK	\N	\N
3543483	395	1996-11-30	PRIJEM	\N	177	35735	UROK	\N	\N
3543484	395	1996-12-31	PRIJEM	\N	193	32988	UROK	\N	\N
3543485	395	1997-01-31	PRIJEM	\N	154	27334	UROK	\N	\N
3543486	395	1997-02-28	PRIJEM	\N	141	28308	UROK	\N	\N
3543487	395	1997-03-31	PRIJEM	\N	146	29386	UROK	\N	\N
3543488	395	1997-04-30	PRIJEM	\N	144	26362	UROK	\N	\N
3543489	395	1997-05-31	PRIJEM	\N	133	25628	UROK	\N	\N
3543490	395	1997-06-30	PRIJEM	\N	115	21242	UROK	\N	\N
3543491	395	1997-07-31	PRIJEM	\N	116	24091	UROK	\N	\N
3543492	395	1997-08-31	PRIJEM	\N	123	25446	UROK	\N	\N
3543493	395	1997-09-30	PRIJEM	\N	130	28009	UROK	\N	\N
3543494	395	1997-10-31	PRIJEM	\N	137	29279	UROK	\N	\N
3543495	395	1997-11-30	PRIJEM	\N	137	29228	UROK	\N	\N
3543496	395	1997-12-31	PRIJEM	\N	153	32901	UROK	\N	\N
3543497	395	1998-01-31	PRIJEM	\N	143	29316	UROK	\N	\N
3543498	395	1998-02-28	PRIJEM	\N	130	26578	UROK	\N	\N
3543499	395	1998-03-31	PRIJEM	\N	129	28840	UROK	\N	\N
3543500	395	1998-04-30	PRIJEM	\N	139	31011	UROK	\N	\N
3543501	395	1998-05-31	PRIJEM	\N	133	28276	UROK	\N	\N
3543502	395	1998-06-30	PRIJEM	\N	167	35822	UROK	\N	\N
3543503	395	1998-07-31	PRIJEM	\N	135	22589	UROK	\N	\N
3543504	395	1998-08-31	PRIJEM	\N	110	25131	UROK	\N	\N
3543505	395	1998-09-30	PRIJEM	\N	112	25175	UROK	\N	\N
3543506	395	1998-10-31	PRIJEM	\N	105	22913	UROK	\N	\N
3543507	395	1998-11-30	PRIJEM	\N	103	23849	UROK	\N	\N
3543508	395	1998-12-31	PRIJEM	\N	108	23296	UROK	\N	\N
3543509	396	1993-04-30	PRIJEM	\N	85	25453	UROK	\N	\N
3543510	396	1993-05-31	PRIJEM	\N	148	38169	UROK	\N	\N
3543511	396	1993-06-30	PRIJEM	\N	205	51576	UROK	\N	\N
3543512	396	1993-07-31	PRIJEM	\N	214	51558	UROK	\N	\N
3543513	396	1993-08-31	PRIJEM	\N	210	49353	UROK	\N	\N
3543514	396	1993-09-30	PRIJEM	\N	231	56255	UROK	\N	\N
3543515	396	1993-10-31	PRIJEM	\N	238	57365	UROK	\N	\N
3543516	396	1993-11-30	PRIJEM	\N	242	58378	UROK	\N	\N
3543517	396	1993-12-31	PRIJEM	\N	285	69708	UROK	\N	\N
3543518	396	1994-01-31	PRIJEM	\N	252	57252	UROK	\N	\N
3543519	396	1994-02-28	PRIJEM	\N	244	58867	UROK	\N	\N
3543520	396	1994-03-31	PRIJEM	\N	245	59084	UROK	\N	\N
3543521	396	1994-04-30	PRIJEM	\N	240	56095	UROK	\N	\N
3543522	396	1994-05-31	PRIJEM	\N	219	52006	UROK	\N	\N
3543523	396	1994-06-30	PRIJEM	\N	272	66763	UROK	\N	\N
3543524	396	1994-07-31	PRIJEM	\N	270	65404	UROK	\N	\N
3543525	396	1994-08-31	PRIJEM	\N	242	41097	UROK	\N	\N
3543526	396	1994-09-30	PRIJEM	\N	229	40198	UROK	\N	\N
3543527	396	1994-10-31	PRIJEM	\N	224	40894	UROK	\N	\N
3543528	396	1994-11-30	PRIJEM	\N	226	42291	UROK	\N	\N
3543529	396	1994-12-31	PRIJEM	\N	256	43113	UROK	\N	\N
3543530	396	1995-01-31	PRIJEM	\N	216	34060	UROK	\N	\N
3543531	396	1995-02-28	PRIJEM	\N	196	34088	UROK	\N	\N
3543532	396	1995-03-31	PRIJEM	\N	192	34651	UROK	\N	\N
3543533	396	1995-04-30	PRIJEM	\N	200	39523	UROK	\N	\N
3543534	396	1995-05-31	PRIJEM	\N	214	37908	UROK	\N	\N
3543535	396	1995-06-30	PRIJEM	\N	247	45861	UROK	\N	\N
3543536	396	1995-07-31	PRIJEM	\N	222	39234	UROK	\N	\N
3543537	396	1995-08-31	PRIJEM	\N	208	38554	UROK	\N	\N
3543538	396	1995-09-30	PRIJEM	\N	207	36252	UROK	\N	\N
3543539	396	1995-10-31	PRIJEM	\N	196	37219	UROK	\N	\N
3543540	396	1995-11-30	PRIJEM	\N	198	39368	UROK	\N	\N
3543541	396	1995-12-31	PRIJEM	\N	234	45287	UROK	\N	\N
3543542	396	1996-01-31	PRIJEM	\N	209	36327	UROK	\N	\N
3543543	396	1996-02-29	PRIJEM	\N	184	36103	UROK	\N	\N
3543544	396	1996-03-31	PRIJEM	\N	182	36016	UROK	\N	\N
3543545	396	1996-04-30	PRIJEM	\N	192	40079	UROK	\N	\N
3543546	396	1996-05-31	PRIJEM	\N	204	40855	UROK	\N	\N
3543547	396	1996-06-30	PRIJEM	\N	238	47398	UROK	\N	\N
3543548	396	1996-07-31	PRIJEM	\N	247	42756	UROK	\N	\N
3543549	396	1996-08-31	PRIJEM	\N	201	38728	UROK	\N	\N
3543550	396	1996-09-30	PRIJEM	\N	196	42195	UROK	\N	\N
3543551	396	1996-10-31	PRIJEM	\N	185	37972	UROK	\N	\N
3543552	396	1996-11-30	PRIJEM	\N	193	42996	UROK	\N	\N
3543553	396	1996-12-31	PRIJEM	\N	235	45996	UROK	\N	\N
3543554	396	1997-01-31	PRIJEM	\N	165	31032	UROK	\N	\N
3543555	396	1997-02-28	PRIJEM	\N	161	35165	UROK	\N	\N
3543556	396	1997-03-31	PRIJEM	\N	175	37611	UROK	\N	\N
3543557	396	1997-04-30	PRIJEM	\N	178	35381	UROK	\N	\N
3543558	396	1997-05-31	PRIJEM	\N	172	36424	UROK	\N	\N
3543559	396	1997-06-30	PRIJEM	\N	197	40827	UROK	\N	\N
3543560	396	1997-07-31	PRIJEM	\N	182	37679	UROK	\N	\N
3543561	396	1997-08-31	PRIJEM	\N	157	31787	UROK	\N	\N
3543562	396	1997-09-30	PRIJEM	\N	189	31147	UROK	\N	\N
3543563	396	1997-10-31	PRIJEM	\N	160	26699	UROK	\N	\N
3543564	396	1997-11-30	PRIJEM	\N	142	33912	UROK	\N	\N
3543565	396	1997-12-31	PRIJEM	\N	178	37276	UROK	\N	\N
3543566	396	1998-01-31	PRIJEM	\N	143	31070	UROK	\N	\N
3543567	396	1998-02-28	PRIJEM	\N	138	31880	UROK	\N	\N
3543568	396	1998-03-31	PRIJEM	\N	141	30673	UROK	\N	\N
3543569	396	1998-04-30	PRIJEM	\N	148	35192	UROK	\N	\N
3543570	396	1998-05-31	PRIJEM	\N	151	33854	UROK	\N	\N
3543571	396	1998-06-30	PRIJEM	\N	170	39129	UROK	\N	\N
3543572	396	1998-07-31	PRIJEM	\N	167	38968	UROK	\N	\N
3543573	396	1998-08-31	PRIJEM	\N	188	46527	UROK	\N	\N
3543574	396	1998-09-30	PRIJEM	\N	195	47193	UROK	\N	\N
3543575	396	1998-10-31	PRIJEM	\N	200	46125	UROK	\N	\N
3543576	396	1998-11-30	PRIJEM	\N	195	47891	UROK	\N	\N
3543577	396	1998-12-31	PRIJEM	\N	220	54056	UROK	\N	\N
3543578	397	1993-11-30	PRIJEM	\N	23	27528	UROK	\N	\N
3543579	397	1993-12-31	PRIJEM	\N	137	51523	UROK	\N	\N
3543580	397	1994-01-31	PRIJEM	\N	215	51943	UROK	\N	\N
3543581	397	1994-02-28	PRIJEM	\N	216	52864	UROK	\N	\N
3543582	397	1994-03-31	PRIJEM	\N	222	55591	UROK	\N	\N
3543583	397	1994-04-30	PRIJEM	\N	197	32781	UROK	\N	\N
3543584	397	1994-05-31	PRIJEM	\N	141	26166	UROK	\N	\N
3543585	397	1994-06-30	PRIJEM	\N	94	1003	UROK	\N	\N
3543586	397	1994-07-31	PRIJEM	\N	52	22772	UROK	\N	\N
3543587	397	1994-08-31	PRIJEM	\N	131	35037	UROK	\N	\N
3543588	397	1994-09-30	PRIJEM	\N	127	31383	UROK	\N	\N
3543589	397	1994-10-31	PRIJEM	\N	150	44623	UROK	\N	\N
3543590	397	1994-11-30	PRIJEM	\N	182	35569	UROK	\N	\N
3543591	397	1994-12-31	PRIJEM	\N	165	29277	UROK	\N	\N
3543592	397	1995-01-31	PRIJEM	\N	132	32499	UROK	\N	\N
3543593	397	1995-02-28	PRIJEM	\N	156	45145	UROK	\N	\N
3543594	397	1995-03-31	PRIJEM	\N	206	38633	UROK	\N	\N
3543595	397	1995-04-30	PRIJEM	\N	178	49201	UROK	\N	\N
3543596	397	1995-05-31	PRIJEM	\N	197	38511	UROK	\N	\N
3543597	397	1995-06-30	PRIJEM	\N	98	8420	UROK	\N	\N
3543598	397	1995-07-31	PRIJEM	\N	88	36898	UROK	\N	\N
3543599	397	1995-08-31	PRIJEM	\N	168	41926	UROK	\N	\N
3543600	397	1995-09-30	PRIJEM	\N	186	47402	UROK	\N	\N
3543601	397	1995-10-31	PRIJEM	\N	171	35164	UROK	\N	\N
3543602	397	1995-11-30	PRIJEM	\N	125	33474	UROK	\N	\N
3543603	397	1995-12-31	PRIJEM	\N	157	41287	UROK	\N	\N
3543604	397	1996-01-31	PRIJEM	\N	174	31951	UROK	\N	\N
3543605	397	1996-02-29	PRIJEM	\N	190	55272	UROK	\N	\N
3543606	397	1996-03-31	PRIJEM	\N	236	52372	UROK	\N	\N
3543607	397	1996-04-30	PRIJEM	\N	231	45176	UROK	\N	\N
3543608	397	1996-05-31	PRIJEM	\N	241	56608	UROK	\N	\N
3543609	397	1996-06-30	PRIJEM	\N	248	68130	UROK	\N	\N
3543610	397	1996-07-31	PRIJEM	\N	263	57696	UROK	\N	\N
3543611	397	1996-08-31	PRIJEM	\N	284	74871	UROK	\N	\N
3543612	397	1996-09-30	PRIJEM	\N	271	61885	UROK	\N	\N
3543613	397	1996-10-31	PRIJEM	\N	292	74498	UROK	\N	\N
3543614	397	1996-11-30	PRIJEM	\N	337	86926	UROK	\N	\N
3543615	397	1996-12-31	PRIJEM	\N	279	48018	UROK	\N	\N
3543616	397	1997-01-31	PRIJEM	\N	247	55155	UROK	\N	\N
3543617	397	1997-02-28	PRIJEM	\N	285	80230	UROK	\N	\N
3543618	397	1997-03-31	PRIJEM	\N	369	95790	UROK	\N	\N
3543619	397	1997-04-30	PRIJEM	\N	422	106702	UROK	\N	\N
3543620	397	1997-05-31	PRIJEM	\N	442	105050	UROK	\N	\N
3543621	397	1997-06-30	PRIJEM	\N	280	29273	UROK	\N	\N
3543622	397	1997-07-31	PRIJEM	\N	225	72988	UROK	\N	\N
3543623	397	1997-08-31	PRIJEM	\N	338	93216	UROK	\N	\N
3543624	397	1997-09-30	PRIJEM	\N	420	108026	UROK	\N	\N
3543625	397	1997-10-31	PRIJEM	\N	424	99041	UROK	\N	\N
3543626	397	1997-11-30	PRIJEM	\N	367	97947	UROK	\N	\N
3543627	397	1997-12-31	PRIJEM	\N	362	95617	UROK	\N	\N
3543628	397	1998-01-31	PRIJEM	\N	324	76428	UROK	\N	\N
3543629	397	1998-02-28	PRIJEM	\N	343	85662	UROK	\N	\N
3543630	397	1998-03-31	PRIJEM	\N	383	98335	UROK	\N	\N
3543631	397	1998-04-30	PRIJEM	\N	431	109256	UROK	\N	\N
3543632	397	1998-05-31	PRIJEM	\N	397	105144	UROK	\N	\N
3543633	397	1998-06-30	PRIJEM	\N	345	96831	UROK	\N	\N
3543634	397	1998-07-31	PRIJEM	\N	294	79998	UROK	\N	\N
3543635	397	1998-08-31	PRIJEM	\N	357	98145	UROK	\N	\N
3543636	397	1998-09-30	PRIJEM	\N	332	111767	UROK	\N	\N
3543637	397	1998-10-31	PRIJEM	\N	429	65887	UROK	\N	\N
3543638	397	1998-11-30	PRIJEM	\N	328	83205	UROK	\N	\N
3543639	397	1998-12-31	PRIJEM	\N	423	105471	UROK	\N	\N
3543640	398	1998-02-28	PRIJEM	\N	23	19479	UROK	\N	\N
3543641	398	1998-03-31	PRIJEM	\N	90	22706	UROK	\N	\N
3543642	398	1998-04-30	PRIJEM	\N	96	19944	UROK	\N	\N
3543643	398	1998-05-31	PRIJEM	\N	85	18251	UROK	\N	\N
3543644	398	1998-06-30	PRIJEM	\N	80	16013	UROK	\N	\N
3543645	398	1998-07-31	PRIJEM	\N	75	19211	UROK	\N	\N
3543646	398	1998-08-31	PRIJEM	\N	85	20218	UROK	\N	\N
3543647	398	1998-09-30	PRIJEM	\N	77	14318	UROK	\N	\N
3543648	398	1998-10-31	PRIJEM	\N	58	11498	UROK	\N	\N
3543649	398	1998-11-30	PRIJEM	\N	49	11630	UROK	\N	\N
3543650	398	1998-12-31	PRIJEM	\N	57	14159	UROK	\N	\N
3543651	399	1997-01-31	PRIJEM	\N	42	40970	UROK	\N	\N
3543652	399	1997-02-28	PRIJEM	\N	192	45759	UROK	\N	\N
3543653	399	1997-03-31	PRIJEM	\N	189	35049	UROK	\N	\N
3543654	399	1997-04-30	PRIJEM	\N	294	47844	UROK	\N	\N
3543655	399	1997-05-31	PRIJEM	\N	311	73117	UROK	\N	\N
3543656	399	1997-06-30	PRIJEM	\N	277	47018	UROK	\N	\N
3543657	399	1997-07-31	PRIJEM	\N	147	23155	UROK	\N	\N
3543658	399	1997-08-31	PRIJEM	\N	226	77706	UROK	\N	\N
3543659	399	1997-09-30	PRIJEM	\N	373	92342	UROK	\N	\N
3543660	399	1997-10-31	PRIJEM	\N	285	48825	UROK	\N	\N
3543661	399	1997-11-30	PRIJEM	\N	282	59441	UROK	\N	\N
3543662	399	1997-12-31	PRIJEM	\N	222	43639	UROK	\N	\N
3543663	399	1998-01-31	PRIJEM	\N	197	23240	UROK	\N	\N
3543664	399	1998-02-28	PRIJEM	\N	100	25316	UROK	\N	\N
3543665	399	1998-03-31	PRIJEM	\N	108	27201	UROK	\N	\N
3543666	399	1998-04-30	PRIJEM	\N	119	31096	UROK	\N	\N
3543667	399	1998-05-31	PRIJEM	\N	105	39085	UROK	\N	\N
3543668	399	1998-06-30	PRIJEM	\N	220	61053	UROK	\N	\N
3543669	399	1998-07-31	PRIJEM	\N	238	53068	UROK	\N	\N
3543670	399	1998-08-31	PRIJEM	\N	220	91639	UROK	\N	\N
3543671	399	1998-09-30	PRIJEM	\N	258	33687	UROK	\N	\N
3543672	399	1998-10-31	PRIJEM	\N	127	31690	UROK	\N	\N
3543673	399	1998-11-30	PRIJEM	\N	137	34041	UROK	\N	\N
3543674	400	1993-08-31	PRIJEM	\N	44	20621	UROK	\N	\N
3543675	400	1993-09-30	PRIJEM	\N	110	31508	UROK	\N	\N
3543676	400	1993-10-31	PRIJEM	\N	143	37028	UROK	\N	\N
3543677	400	1993-11-30	PRIJEM	\N	156	37961	UROK	\N	\N
3543678	400	1993-12-31	PRIJEM	\N	173	37653	UROK	\N	\N
3543679	400	1994-01-31	PRIJEM	\N	159	36126	UROK	\N	\N
3543680	400	1994-02-28	PRIJEM	\N	149	32089	UROK	\N	\N
3543681	400	1994-03-31	PRIJEM	\N	144	33648	UROK	\N	\N
3543682	400	1994-04-30	PRIJEM	\N	140	30702	UROK	\N	\N
3543683	400	1994-05-31	PRIJEM	\N	137	31853	UROK	\N	\N
3543684	400	1994-06-30	PRIJEM	\N	147	16003	UROK	\N	\N
3543685	400	1994-07-31	PRIJEM	\N	100	26518	UROK	\N	\N
3543686	400	1994-08-31	PRIJEM	\N	118	27650	UROK	\N	\N
3543687	400	1994-09-30	PRIJEM	\N	133	32597	UROK	\N	\N
3543688	400	1994-10-31	PRIJEM	\N	148	35159	UROK	\N	\N
3543689	400	1994-11-30	PRIJEM	\N	157	38031	UROK	\N	\N
3543690	400	1994-12-31	PRIJEM	\N	165	38399	UROK	\N	\N
3543691	400	1995-01-31	PRIJEM	\N	166	39779	UROK	\N	\N
3543692	400	1995-02-28	PRIJEM	\N	149	32942	UROK	\N	\N
3543693	400	1995-03-31	PRIJEM	\N	139	29995	UROK	\N	\N
3543694	400	1995-04-30	PRIJEM	\N	131	31540	UROK	\N	\N
3543695	400	1995-05-31	PRIJEM	\N	126	29181	UROK	\N	\N
3543696	400	1995-06-30	PRIJEM	\N	120	20805	UROK	\N	\N
3543697	400	1995-07-31	PRIJEM	\N	109	27428	UROK	\N	\N
3543698	400	1995-08-31	PRIJEM	\N	122	29964	UROK	\N	\N
3543699	400	1995-09-30	PRIJEM	\N	101	23380	UROK	\N	\N
3543700	400	1995-10-31	PRIJEM	\N	110	26704	UROK	\N	\N
3543701	400	1995-11-30	PRIJEM	\N	143	35461	UROK	\N	\N
3543702	400	1995-12-31	PRIJEM	\N	176	39040	UROK	\N	\N
3543703	400	1996-01-31	PRIJEM	\N	165	39820	UROK	\N	\N
3543704	400	1996-02-29	PRIJEM	\N	170	41004	UROK	\N	\N
3543705	400	1996-03-31	PRIJEM	\N	174	42092	UROK	\N	\N
3543706	400	1996-04-30	PRIJEM	\N	161	32168	UROK	\N	\N
3543707	400	1996-05-31	PRIJEM	\N	151	37033	UROK	\N	\N
3543708	400	1996-06-30	PRIJEM	\N	144	28181	UROK	\N	\N
3543709	400	1996-07-31	PRIJEM	\N	154	38449	UROK	\N	\N
3543710	400	1996-08-31	PRIJEM	\N	157	33620	UROK	\N	\N
3543711	400	1996-09-30	PRIJEM	\N	160	35795	UROK	\N	\N
3543712	400	1996-10-31	PRIJEM	\N	169	37078	UROK	\N	\N
3543713	400	1996-11-30	PRIJEM	\N	174	38866	UROK	\N	\N
3543714	400	1996-12-31	PRIJEM	\N	200	43170	UROK	\N	\N
3543715	400	1997-01-31	PRIJEM	\N	197	43181	UROK	\N	\N
3543716	400	1997-02-28	PRIJEM	\N	199	44695	UROK	\N	\N
3543717	400	1997-03-31	PRIJEM	\N	204	44413	UROK	\N	\N
3543718	400	1997-04-30	PRIJEM	\N	201	42129	UROK	\N	\N
3543719	400	1997-05-31	PRIJEM	\N	190	38633	UROK	\N	\N
3543720	400	1997-06-30	PRIJEM	\N	180	37916	UROK	\N	\N
3543721	400	1997-07-31	PRIJEM	\N	166	37297	UROK	\N	\N
3543722	400	1997-08-31	PRIJEM	\N	176	43187	UROK	\N	\N
3543723	400	1997-09-30	PRIJEM	\N	191	42392	UROK	\N	\N
3543724	400	1997-10-31	PRIJEM	\N	191	42998	UROK	\N	\N
3543725	400	1997-11-30	PRIJEM	\N	193	44105	UROK	\N	\N
3543726	400	1997-12-31	PRIJEM	\N	208	47116	UROK	\N	\N
3543727	400	1998-01-31	PRIJEM	\N	207	46938	UROK	\N	\N
3543728	400	1998-02-28	PRIJEM	\N	214	52366	UROK	\N	\N
3543729	400	1998-03-31	PRIJEM	\N	235	56616	UROK	\N	\N
3543730	400	1998-04-30	PRIJEM	\N	252	60682	UROK	\N	\N
3543731	400	1998-05-31	PRIJEM	\N	251	58247	UROK	\N	\N
3543732	400	1998-06-30	PRIJEM	\N	246	55396	UROK	\N	\N
3543733	400	1998-07-31	PRIJEM	\N	242	56553	UROK	\N	\N
3543734	400	1998-08-31	PRIJEM	\N	244	56411	UROK	\N	\N
3543735	400	1998-09-30	PRIJEM	\N	244	57869	UROK	\N	\N
3543736	400	1998-10-31	PRIJEM	\N	228	49711	UROK	\N	\N
3543737	400	1998-11-30	PRIJEM	\N	211	48537	UROK	\N	\N
3543738	400	1998-12-31	PRIJEM	\N	222	51763	UROK	\N	\N
3543739	401	1993-02-28	PRIJEM	\N	34	19151	UROK	\N	\N
3543740	401	1993-03-31	PRIJEM	\N	92	26260	UROK	\N	\N
3543741	401	1993-04-30	PRIJEM	\N	123	33800	UROK	\N	\N
3543742	401	1993-05-31	PRIJEM	\N	146	36763	UROK	\N	\N
3543743	401	1993-06-30	PRIJEM	\N	169	36688	UROK	\N	\N
3543744	401	1993-07-31	PRIJEM	\N	157	34379	UROK	\N	\N
3543745	401	1993-08-31	PRIJEM	\N	148	33060	UROK	\N	\N
3543746	401	1993-09-30	PRIJEM	\N	141	31435	UROK	\N	\N
3543747	401	1993-10-31	PRIJEM	\N	144	34313	UROK	\N	\N
3543748	401	1993-11-30	PRIJEM	\N	147	33293	UROK	\N	\N
3543749	401	1993-12-31	PRIJEM	\N	167	30862	UROK	\N	\N
3543750	401	1994-01-31	PRIJEM	\N	119	20734	UROK	\N	\N
3543751	401	1994-02-28	PRIJEM	\N	101	23448	UROK	\N	\N
3543752	401	1994-03-31	PRIJEM	\N	121	26402	UROK	\N	\N
3543753	401	1994-04-30	PRIJEM	\N	110	25126	UROK	\N	\N
3543754	401	1994-05-31	PRIJEM	\N	113	26472	UROK	\N	\N
3543755	401	1994-06-30	PRIJEM	\N	134	33248	UROK	\N	\N
3543756	401	1994-07-31	PRIJEM	\N	142	33424	UROK	\N	\N
3543757	401	1994-08-31	PRIJEM	\N	131	26248	UROK	\N	\N
3543758	401	1994-09-30	PRIJEM	\N	114	27195	UROK	\N	\N
3543759	401	1994-10-31	PRIJEM	\N	116	27644	UROK	\N	\N
3543760	401	1994-11-30	PRIJEM	\N	126	31003	UROK	\N	\N
3543761	401	1994-12-31	PRIJEM	\N	109	23774	UROK	\N	\N
3543762	401	1995-01-31	PRIJEM	\N	81	15928	UROK	\N	\N
3543763	401	1995-02-28	PRIJEM	\N	71	16253	UROK	\N	\N
3543764	401	1995-03-31	PRIJEM	\N	82	20069	UROK	\N	\N
3543765	401	1995-04-30	PRIJEM	\N	82	19384	UROK	\N	\N
3543766	401	1995-05-31	PRIJEM	\N	91	22509	UROK	\N	\N
3543767	401	1995-06-30	PRIJEM	\N	107	26357	UROK	\N	\N
3543768	401	1995-07-31	PRIJEM	\N	100	22731	UROK	\N	\N
3543769	401	1995-08-31	PRIJEM	\N	96	21359	UROK	\N	\N
3543770	401	1995-09-30	PRIJEM	\N	106	25599	UROK	\N	\N
3543771	401	1995-10-31	PRIJEM	\N	121	29153	UROK	\N	\N
3543772	401	1995-11-30	PRIJEM	\N	112	24678	UROK	\N	\N
3543773	401	1995-12-31	PRIJEM	\N	121	26820	UROK	\N	\N
3543774	401	1996-01-31	PRIJEM	\N	87	14300	UROK	\N	\N
3543775	401	1996-02-29	PRIJEM	\N	70	16663	UROK	\N	\N
3543776	401	1996-03-31	PRIJEM	\N	93	22529	UROK	\N	\N
3543777	401	1996-04-30	PRIJEM	\N	94	22057	UROK	\N	\N
3543778	401	1996-05-31	PRIJEM	\N	83	15113	UROK	\N	\N
3543779	401	1996-06-30	PRIJEM	\N	105	29060	UROK	\N	\N
3543780	401	1996-07-31	PRIJEM	\N	111	26305	UROK	\N	\N
3543781	401	1996-08-31	PRIJEM	\N	83	13021	UROK	\N	\N
3543782	401	1996-09-30	PRIJEM	\N	76	20531	UROK	\N	\N
3543783	401	1996-10-31	PRIJEM	\N	102	13066	UROK	\N	\N
3543784	401	1996-11-30	PRIJEM	\N	76	20576	UROK	\N	\N
3543785	401	1996-12-31	PRIJEM	\N	117	15055	UROK	\N	\N
3543786	401	1997-01-31	PRIJEM	\N	71	15719	UROK	\N	\N
3543787	401	1997-02-28	PRIJEM	\N	87	23239	UROK	\N	\N
3543788	401	1997-03-31	PRIJEM	\N	119	30791	UROK	\N	\N
3543789	401	1997-04-30	PRIJEM	\N	137	15761	UROK	\N	\N
3543790	401	1997-05-31	PRIJEM	\N	82	17637	UROK	\N	\N
3543791	401	1997-06-30	PRIJEM	\N	114	31593	UROK	\N	\N
3543792	401	1997-07-31	PRIJEM	\N	153	39179	UROK	\N	\N
3543793	401	1997-08-31	PRIJEM	\N	155	15268	UROK	\N	\N
3543794	401	1997-09-30	PRIJEM	\N	85	22786	UROK	\N	\N
3543795	401	1997-10-31	PRIJEM	\N	116	30335	UROK	\N	\N
3543796	401	1997-11-30	PRIJEM	\N	144	35873	UROK	\N	\N
3543797	401	1997-12-31	PRIJEM	\N	184	47178	UROK	\N	\N
3543798	401	1998-01-31	PRIJEM	\N	200	43291	UROK	\N	\N
3543799	401	1998-02-28	PRIJEM	\N	200	50925	UROK	\N	\N
3543800	401	1998-03-31	PRIJEM	\N	190	22748	UROK	\N	\N
3543801	401	1998-04-30	PRIJEM	\N	115	30297	UROK	\N	\N
3543802	401	1998-05-31	PRIJEM	\N	147	37877	UROK	\N	\N
3543803	401	1998-06-30	PRIJEM	\N	198	51916	UROK	\N	\N
3543804	401	1998-07-31	PRIJEM	\N	229	55379	UROK	\N	\N
3543805	401	1998-08-31	PRIJEM	\N	251	63063	UROK	\N	\N
3543806	401	1998-09-30	PRIJEM	\N	283	70779	UROK	\N	\N
3543807	401	1998-10-31	PRIJEM	\N	208	17520	UROK	\N	\N
3543808	401	1998-11-30	PRIJEM	\N	93	25046	UROK	\N	\N
3543809	401	1998-12-31	PRIJEM	\N	147	37755	UROK	\N	\N
3543810	402	1997-10-31	PRIJEM	\N	58	24053	UROK	\N	\N
3543811	402	1997-11-30	PRIJEM	\N	126	34474	UROK	\N	\N
3543812	402	1997-12-31	PRIJEM	\N	177	47643	UROK	\N	\N
3543813	402	1998-01-31	PRIJEM	\N	190	44828	UROK	\N	\N
3543814	402	1998-02-28	PRIJEM	\N	189	45828	UROK	\N	\N
3543815	402	1998-03-31	PRIJEM	\N	183	37798	UROK	\N	\N
3543816	402	1998-04-30	PRIJEM	\N	165	37949	UROK	\N	\N
3543817	402	1998-05-31	PRIJEM	\N	151	32886	UROK	\N	\N
3543818	402	1998-06-30	PRIJEM	\N	136	15706	UROK	\N	\N
3543819	402	1998-07-31	PRIJEM	\N	85	19677	UROK	\N	\N
3543820	402	1998-08-31	PRIJEM	\N	124	32287	UROK	\N	\N
3543821	402	1998-09-30	PRIJEM	\N	148	35822	UROK	\N	\N
3543822	402	1998-10-31	PRIJEM	\N	146	33054	UROK	\N	\N
3543823	402	1998-11-30	PRIJEM	\N	132	29872	UROK	\N	\N
3543824	402	1998-12-31	PRIJEM	\N	142	34598	UROK	\N	\N
3543825	403	1993-11-30	PRIJEM	\N	15	21367	UROK	\N	\N
3543826	403	1993-12-31	PRIJEM	\N	92	25522	UROK	\N	\N
3543827	403	1994-01-31	PRIJEM	\N	93	21163	UROK	\N	\N
3543828	403	1994-02-28	PRIJEM	\N	95	23905	UROK	\N	\N
3543829	403	1994-03-31	PRIJEM	\N	101	25594	UROK	\N	\N
3543830	403	1994-04-30	PRIJEM	\N	113	27754	UROK	\N	\N
3543831	403	1994-05-31	PRIJEM	\N	108	27089	UROK	\N	\N
3543832	403	1994-06-30	PRIJEM	\N	108	24584	UROK	\N	\N
3543833	403	1994-07-31	PRIJEM	\N	110	27441	UROK	\N	\N
3543834	403	1994-08-31	PRIJEM	\N	117	28465	UROK	\N	\N
3543835	403	1994-09-30	PRIJEM	\N	124	30037	UROK	\N	\N
3543836	403	1994-10-31	PRIJEM	\N	132	32516	UROK	\N	\N
3543837	403	1994-11-30	PRIJEM	\N	140	33603	UROK	\N	\N
3543838	403	1994-12-31	PRIJEM	\N	141	31491	UROK	\N	\N
3543839	403	1995-01-31	PRIJEM	\N	127	24045	UROK	\N	\N
3543840	403	1995-02-28	PRIJEM	\N	107	27300	UROK	\N	\N
3543841	403	1995-03-31	PRIJEM	\N	121	30568	UROK	\N	\N
3543842	403	1995-04-30	PRIJEM	\N	134	33250	UROK	\N	\N
3543843	403	1995-05-31	PRIJEM	\N	139	31276	UROK	\N	\N
3543844	403	1995-06-30	PRIJEM	\N	120	19894	UROK	\N	\N
3543845	403	1995-07-31	PRIJEM	\N	90	23131	UROK	\N	\N
3543846	403	1995-08-31	PRIJEM	\N	104	26383	UROK	\N	\N
3543847	403	1995-09-30	PRIJEM	\N	117	29647	UROK	\N	\N
3543848	403	1995-10-31	PRIJEM	\N	131	32925	UROK	\N	\N
3543849	403	1995-11-30	PRIJEM	\N	144	36217	UROK	\N	\N
3543850	403	1995-12-31	PRIJEM	\N	157	38471	UROK	\N	\N
3543851	403	1996-01-31	PRIJEM	\N	161	38079	UROK	\N	\N
3543852	403	1996-02-29	PRIJEM	\N	165	41392	UROK	\N	\N
3543853	403	1996-03-31	PRIJEM	\N	168	41028	UROK	\N	\N
3543854	403	1996-04-30	PRIJEM	\N	173	42268	UROK	\N	\N
3543855	403	1996-05-31	PRIJEM	\N	183	45598	UROK	\N	\N
3543856	403	1996-06-30	PRIJEM	\N	188	45984	UROK	\N	\N
3543857	403	1996-07-31	PRIJEM	\N	198	49330	UROK	\N	\N
3543858	403	1996-08-31	PRIJEM	\N	212	52689	UROK	\N	\N
3543859	403	1996-09-30	PRIJEM	\N	226	56062	UROK	\N	\N
3543860	403	1996-10-31	PRIJEM	\N	232	57042	UROK	\N	\N
3543861	403	1996-11-30	PRIJEM	\N	235	57724	UROK	\N	\N
3543862	403	1996-12-31	PRIJEM	\N	240	58812	UROK	\N	\N
3543863	403	1997-01-31	PRIJEM	\N	250	60909	UROK	\N	\N
3543864	403	1997-02-28	PRIJEM	\N	253	63010	UROK	\N	\N
3543865	403	1997-03-31	PRIJEM	\N	263	62720	UROK	\N	\N
3543866	403	1997-04-30	PRIJEM	\N	253	61721	UROK	\N	\N
3543867	403	1997-05-31	PRIJEM	\N	260	62129	UROK	\N	\N
3543868	403	1997-06-30	PRIJEM	\N	232	56308	UROK	\N	\N
3543869	403	1997-07-31	PRIJEM	\N	217	52672	UROK	\N	\N
3543870	403	1997-08-31	PRIJEM	\N	225	56045	UROK	\N	\N
3543871	403	1997-09-30	PRIJEM	\N	239	59431	UROK	\N	\N
3543872	403	1997-10-31	PRIJEM	\N	253	62832	UROK	\N	\N
3543873	403	1997-11-30	PRIJEM	\N	267	66246	UROK	\N	\N
3543874	403	1997-12-31	PRIJEM	\N	275	68368	UROK	\N	\N
3543875	403	1998-01-31	PRIJEM	\N	287	69903	UROK	\N	\N
3543876	403	1998-02-28	PRIJEM	\N	296	73346	UROK	\N	\N
3543877	403	1998-03-31	PRIJEM	\N	302	74795	UROK	\N	\N
3543878	403	1998-04-30	PRIJEM	\N	311	77253	UROK	\N	\N
3543879	403	1998-05-31	PRIJEM	\N	303	74703	UROK	\N	\N
3543880	403	1998-06-30	PRIJEM	\N	274	65074	UROK	\N	\N
3543881	403	1998-07-31	PRIJEM	\N	276	68497	UROK	\N	\N
3543882	403	1998-08-31	PRIJEM	\N	290	71934	UROK	\N	\N
3543883	403	1998-09-30	PRIJEM	\N	303	71884	UROK	\N	\N
3543884	403	1998-10-31	PRIJEM	\N	296	73727	UROK	\N	\N
3543885	403	1998-11-30	PRIJEM	\N	309	76683	UROK	\N	\N
3543886	403	1998-12-31	PRIJEM	\N	319	79050	UROK	\N	\N
3543887	404	1995-05-31	PRIJEM	\N	14	26795	UROK	\N	\N
3543888	404	1995-06-30	PRIJEM	\N	126	52493	UROK	\N	\N
3543889	404	1995-07-31	PRIJEM	\N	221	56395	UROK	\N	\N
3543890	404	1995-08-31	PRIJEM	\N	234	56410	UROK	\N	\N
3543891	404	1995-09-30	PRIJEM	\N	235	57426	UROK	\N	\N
3543892	404	1995-10-31	PRIJEM	\N	283	57862	UROK	\N	\N
3543893	404	1995-11-30	PRIJEM	\N	284	59599	UROK	\N	\N
3543894	404	1995-12-31	PRIJEM	\N	284	41290	UROK	\N	\N
3543895	404	1996-01-31	PRIJEM	\N	133	25486	UROK	\N	\N
3543896	404	1996-02-29	PRIJEM	\N	164	46003	UROK	\N	\N
3543897	404	1996-03-31	PRIJEM	\N	179	43984	UROK	\N	\N
3543898	404	1996-04-30	PRIJEM	\N	189	48326	UROK	\N	\N
3543899	404	1996-05-31	PRIJEM	\N	201	35829	UROK	\N	\N
3543900	404	1996-06-30	PRIJEM	\N	227	57600	UROK	\N	\N
3543901	404	1996-07-31	PRIJEM	\N	272	60025	UROK	\N	\N
3543902	404	1996-08-31	PRIJEM	\N	258	58736	UROK	\N	\N
3543903	404	1996-09-30	PRIJEM	\N	250	48049	UROK	\N	\N
3543904	404	1996-10-31	PRIJEM	\N	210	48656	UROK	\N	\N
3543905	404	1996-11-30	PRIJEM	\N	248	64357	UROK	\N	\N
3543906	404	1996-12-31	PRIJEM	\N	285	70787	UROK	\N	\N
3543907	404	1997-01-31	PRIJEM	\N	238	46078	UROK	\N	\N
3543908	404	1997-02-28	PRIJEM	\N	206	46337	UROK	\N	\N
3543909	404	1997-03-31	PRIJEM	\N	233	58623	UROK	\N	\N
3543910	404	1997-04-30	PRIJEM	\N	276	68353	UROK	\N	\N
3543911	404	1997-05-31	PRIJEM	\N	252	53029	UROK	\N	\N
3543912	404	1997-06-30	PRIJEM	\N	226	49530	UROK	\N	\N
3543913	404	1997-07-31	PRIJEM	\N	242	62125	UROK	\N	\N
3543914	404	1997-08-31	PRIJEM	\N	246	62567	UROK	\N	\N
3543915	404	1997-09-30	PRIJEM	\N	284	72204	UROK	\N	\N
3543916	404	1997-10-31	PRIJEM	\N	295	72952	UROK	\N	\N
3543917	404	1997-11-30	PRIJEM	\N	299	63826	UROK	\N	\N
3543918	404	1997-12-31	PRIJEM	\N	254	60225	UROK	\N	\N
3543919	404	1998-01-31	PRIJEM	\N	256	45233	UROK	\N	\N
3543920	404	1998-02-28	PRIJEM	\N	220	42715	UROK	\N	\N
3543921	404	1998-03-31	PRIJEM	\N	199	35093	UROK	\N	\N
3543922	404	1998-04-30	PRIJEM	\N	232	64382	UROK	\N	\N
3543923	404	1998-05-31	PRIJEM	\N	320	86155	UROK	\N	\N
3543924	404	1998-06-30	PRIJEM	\N	392	84053	UROK	\N	\N
3543925	404	1998-07-31	PRIJEM	\N	343	82209	UROK	\N	\N
3543926	404	1998-08-31	PRIJEM	\N	358	94121	UROK	\N	\N
3543927	404	1998-09-30	PRIJEM	\N	363	77721	UROK	\N	\N
3543928	404	1998-10-31	PRIJEM	\N	339	88414	UROK	\N	\N
3543929	404	1998-11-30	PRIJEM	\N	374	98642	UROK	\N	\N
3543930	404	1998-12-31	PRIJEM	\N	331	74017	UROK	\N	\N
3543931	405	1997-03-31	PRIJEM	\N	34	16803	UROK	\N	\N
3543932	405	1997-04-30	PRIJEM	\N	143	62434	UROK	\N	\N
3543933	405	1997-05-31	PRIJEM	\N	255	60748	UROK	\N	\N
3543934	405	1997-06-30	PRIJEM	\N	252	42500	UROK	\N	\N
3543935	405	1997-07-31	PRIJEM	\N	268	84012	UROK	\N	\N
3543936	405	1997-08-31	PRIJEM	\N	258	58027	UROK	\N	\N
3543937	405	1997-09-30	PRIJEM	\N	235	80707	UROK	\N	\N
3543938	405	1997-10-31	PRIJEM	\N	179	29795	UROK	\N	\N
3543939	405	1997-11-30	PRIJEM	\N	202	81464	UROK	\N	\N
3543940	405	1997-12-31	PRIJEM	\N	206	35117	UROK	\N	\N
3543941	405	1998-01-31	PRIJEM	\N	36	930	UROK	\N	\N
3543942	405	1998-02-28	PRIJEM	\N	4	-578	UROK	\N	\N
3543943	405	1998-02-28	VYDAJ	VYBER	0	-593	SANKC. UROK	\N	\N
3543944	405	1998-03-31	PRIJEM	\N	38	7842	UROK	\N	\N
3543945	405	1998-03-31	VYDAJ	VYBER	1	7842	SANKC. UROK	\N	\N
3543946	405	1998-04-30	PRIJEM	\N	25	3197	UROK	\N	\N
3543947	405	1998-05-31	PRIJEM	\N	57	73502	UROK	\N	\N
3543948	405	1998-05-31	VYDAJ	VYBER	9	73494	SANKC. UROK	\N	\N
3543949	405	1998-06-30	PRIJEM	\N	151	41213	UROK	\N	\N
3543950	405	1998-07-31	PRIJEM	\N	168	54419	UROK	\N	\N
3543951	405	1998-08-31	PRIJEM	\N	145	50763	UROK	\N	\N
3543952	405	1998-09-30	PRIJEM	\N	235	106682	UROK	\N	\N
3543953	405	1998-10-31	PRIJEM	\N	172	29231	UROK	\N	\N
3543954	405	1998-11-30	PRIJEM	\N	76	15034	UROK	\N	\N
3543955	405	1998-12-31	PRIJEM	\N	37	13828	UROK	\N	\N
3543956	406	1996-09-30	PRIJEM	\N	14	3810	UROK	\N	\N
3543957	406	1996-10-31	PRIJEM	\N	16	6922	UROK	\N	\N
3543958	406	1996-11-30	PRIJEM	\N	16	10033	UROK	\N	\N
3543959	406	1996-12-31	PRIJEM	\N	16	13145	UROK	\N	\N
3543960	406	1997-01-31	PRIJEM	\N	49	12126	UROK	\N	\N
3543961	406	1997-02-28	PRIJEM	\N	55	13199	UROK	\N	\N
3543962	406	1997-03-31	PRIJEM	\N	59	13855	UROK	\N	\N
3543963	406	1997-04-30	PRIJEM	\N	63	14935	UROK	\N	\N
3543964	406	1997-05-31	PRIJEM	\N	63	15015	UROK	\N	\N
3543965	406	1997-06-30	PRIJEM	\N	67	16100	UROK	\N	\N
3543966	406	1997-07-31	PRIJEM	\N	71	16549	UROK	\N	\N
3543967	406	1997-08-31	PRIJEM	\N	74	17240	UROK	\N	\N
3543968	406	1997-09-30	PRIJEM	\N	77	18334	UROK	\N	\N
3543969	406	1997-10-31	PRIJEM	\N	81	19432	UROK	\N	\N
3543970	406	1997-11-30	PRIJEM	\N	86	20535	UROK	\N	\N
3543971	406	1997-12-31	PRIJEM	\N	87	20500	UROK	\N	\N
3543972	406	1998-01-31	PRIJEM	\N	79	16437	UROK	\N	\N
3543973	406	1998-02-28	PRIJEM	\N	73	17167	UROK	\N	\N
3543974	406	1998-03-31	PRIJEM	\N	76	18261	UROK	\N	\N
3543975	406	1998-04-30	PRIJEM	\N	79	18667	UROK	\N	\N
3543976	406	1998-05-31	PRIJEM	\N	82	19767	UROK	\N	\N
3543977	406	1998-06-30	PRIJEM	\N	80	14865	UROK	\N	\N
3543978	406	1998-07-31	PRIJEM	\N	64	14926	UROK	\N	\N
3543979	406	1998-08-31	PRIJEM	\N	66	13909	UROK	\N	\N
3543980	406	1998-09-30	PRIJEM	\N	60	14296	UROK	\N	\N
3543981	406	1998-10-31	PRIJEM	\N	62	14235	UROK	\N	\N
3543982	406	1998-11-30	PRIJEM	\N	64	15317	UROK	\N	\N
3543983	406	1998-12-31	PRIJEM	\N	64	15168	UROK	\N	\N
3543984	407	1997-05-31	PRIJEM	\N	41	21579	UROK	\N	\N
3543985	407	1997-06-30	PRIJEM	\N	94	24772	UROK	\N	\N
3543986	407	1997-07-31	PRIJEM	\N	203	38062	UROK	\N	\N
3543987	407	1997-08-31	PRIJEM	\N	176	36396	UROK	\N	\N
3543988	407	1997-09-30	PRIJEM	\N	151	29647	UROK	\N	\N
3543989	407	1997-10-31	PRIJEM	\N	151	20498	UROK	\N	\N
3543990	407	1997-11-30	PRIJEM	\N	188	85266	UROK	\N	\N
3543991	407	1997-12-31	PRIJEM	\N	275	46386	UROK	\N	\N
3543992	407	1998-01-31	PRIJEM	\N	114	19045	UROK	\N	\N
3543993	407	1998-02-28	PRIJEM	\N	101	23984	UROK	\N	\N
3543994	407	1998-03-31	PRIJEM	\N	85	17914	UROK	\N	\N
3543995	407	1998-04-30	PRIJEM	\N	94	41748	UROK	\N	\N
3543996	407	1998-05-31	PRIJEM	\N	125	22819	UROK	\N	\N
3543997	407	1998-06-30	PRIJEM	\N	80	17244	UROK	\N	\N
3543998	407	1998-07-31	PRIJEM	\N	94	22134	UROK	\N	\N
3543999	407	1998-08-31	PRIJEM	\N	208	66632	UROK	\N	\N
3544000	407	1998-09-30	PRIJEM	\N	193	38555	UROK	\N	\N
3544001	407	1998-10-31	PRIJEM	\N	199	57788	UROK	\N	\N
3544002	407	1998-11-30	PRIJEM	\N	157	25092	UROK	\N	\N
3544003	407	1998-12-31	PRIJEM	\N	144	47335	UROK	\N	\N
3544004	408	1993-08-31	PRIJEM	\N	28	17132	UROK	\N	\N
3544005	408	1993-09-30	PRIJEM	\N	88	27023	UROK	\N	\N
3544006	408	1993-10-31	PRIJEM	\N	126	34653	UROK	\N	\N
3544007	408	1993-11-30	PRIJEM	\N	146	36003	UROK	\N	\N
3544008	408	1993-12-31	PRIJEM	\N	157	39156	UROK	\N	\N
3544009	408	1994-01-31	PRIJEM	\N	152	27056	UROK	\N	\N
3544010	408	1994-02-28	PRIJEM	\N	134	31637	UROK	\N	\N
3544011	408	1994-03-31	PRIJEM	\N	148	32212	UROK	\N	\N
3544012	408	1994-04-30	PRIJEM	\N	153	34292	UROK	\N	\N
3544013	408	1994-05-31	PRIJEM	\N	159	36599	UROK	\N	\N
3544014	408	1994-06-30	PRIJEM	\N	163	35542	UROK	\N	\N
3544015	408	1994-07-31	PRIJEM	\N	155	33744	UROK	\N	\N
3544016	408	1994-08-31	PRIJEM	\N	152	34744	UROK	\N	\N
3544017	408	1994-09-30	PRIJEM	\N	150	33442	UROK	\N	\N
3544018	408	1994-10-31	PRIJEM	\N	152	35141	UROK	\N	\N
3544019	408	1994-11-30	PRIJEM	\N	145	34573	UROK	\N	\N
3544020	408	1994-12-31	PRIJEM	\N	168	39520	UROK	\N	\N
3544021	408	1995-01-31	PRIJEM	\N	125	24152	UROK	\N	\N
3544022	408	1995-02-28	PRIJEM	\N	124	30924	UROK	\N	\N
3544023	408	1995-03-31	PRIJEM	\N	148	35619	UROK	\N	\N
3544024	408	1995-04-30	PRIJEM	\N	158	36824	UROK	\N	\N
3544025	408	1995-05-31	PRIJEM	\N	171	41242	UROK	\N	\N
3544026	408	1995-06-30	PRIJEM	\N	166	23907	UROK	\N	\N
3544027	408	1995-07-31	PRIJEM	\N	125	31420	UROK	\N	\N
3544028	408	1995-08-31	PRIJEM	\N	144	33112	UROK	\N	\N
3544029	408	1995-09-30	PRIJEM	\N	158	38917	UROK	\N	\N
3544030	408	1995-10-31	PRIJEM	\N	169	40434	UROK	\N	\N
3544031	408	1995-11-30	PRIJEM	\N	177	42657	UROK	\N	\N
3544032	408	1995-12-31	PRIJEM	\N	191	44927	UROK	\N	\N
3544033	408	1996-01-31	PRIJEM	\N	153	28007	UROK	\N	\N
3544034	408	1996-02-29	PRIJEM	\N	147	37101	UROK	\N	\N
3544035	408	1996-03-31	PRIJEM	\N	169	41517	UROK	\N	\N
3544036	408	1996-04-30	PRIJEM	\N	200	42964	UROK	\N	\N
3544037	408	1996-05-31	PRIJEM	\N	193	41225	UROK	\N	\N
3544038	408	1996-06-30	PRIJEM	\N	209	51453	UROK	\N	\N
3544039	408	1996-07-31	PRIJEM	\N	234	58135	UROK	\N	\N
3544040	408	1996-08-31	PRIJEM	\N	231	56313	UROK	\N	\N
3544041	408	1996-09-30	PRIJEM	\N	215	51375	UROK	\N	\N
3544042	408	1996-10-31	PRIJEM	\N	191	46134	UROK	\N	\N
3544043	408	1996-11-30	PRIJEM	\N	200	47381	UROK	\N	\N
3544044	408	1996-12-31	PRIJEM	\N	202	49182	UROK	\N	\N
3544045	408	1997-01-31	PRIJEM	\N	123	18172	UROK	\N	\N
3544046	408	1997-02-28	PRIJEM	\N	135	34655	UROK	\N	\N
3544047	408	1997-03-31	PRIJEM	\N	164	41366	UROK	\N	\N
3544048	408	1997-04-30	PRIJEM	\N	193	48507	UROK	\N	\N
3544049	408	1997-05-31	PRIJEM	\N	212	53066	UROK	\N	\N
3544050	408	1997-06-30	PRIJEM	\N	185	38950	UROK	\N	\N
3544051	408	1997-07-31	PRIJEM	\N	150	33907	UROK	\N	\N
3544052	408	1997-08-31	PRIJEM	\N	160	38815	UROK	\N	\N
3544053	408	1997-09-30	PRIJEM	\N	183	41925	UROK	\N	\N
3544054	408	1997-10-31	PRIJEM	\N	197	44670	UROK	\N	\N
3544055	408	1997-11-30	PRIJEM	\N	208	47525	UROK	\N	\N
3544056	408	1997-12-31	PRIJEM	\N	228	48333	UROK	\N	\N
3544057	408	1998-01-31	PRIJEM	\N	201	48581	UROK	\N	\N
3544058	408	1998-02-28	PRIJEM	\N	228	59356	UROK	\N	\N
3544059	408	1998-03-31	PRIJEM	\N	267	59971	UROK	\N	\N
3544060	408	1998-04-30	PRIJEM	\N	269	60987	UROK	\N	\N
3544061	408	1998-05-31	PRIJEM	\N	274	67409	UROK	\N	\N
3544062	408	1998-06-30	PRIJEM	\N	318	67426	UROK	\N	\N
3544063	408	1998-07-31	PRIJEM	\N	300	70874	UROK	\N	\N
3544064	408	1998-08-31	PRIJEM	\N	311	71933	UROK	\N	\N
3544065	408	1998-09-30	PRIJEM	\N	320	77100	UROK	\N	\N
3544066	408	1998-10-31	PRIJEM	\N	341	82589	UROK	\N	\N
3544067	408	1998-11-30	PRIJEM	\N	361	86197	UROK	\N	\N
3544068	408	1998-12-31	PRIJEM	\N	372	84849	UROK	\N	\N
3544069	409	1996-07-31	PRIJEM	\N	60	21375	UROK	\N	\N
3544070	409	1996-08-31	PRIJEM	\N	112	29202	UROK	\N	\N
3544071	409	1996-09-30	PRIJEM	\N	138	34755	UROK	\N	\N
3544072	409	1996-10-31	PRIJEM	\N	137	32307	UROK	\N	\N
3544073	409	1996-11-30	PRIJEM	\N	147	30059	UROK	\N	\N
3544074	409	1996-12-31	PRIJEM	\N	138	34194	UROK	\N	\N
3544075	409	1997-01-31	PRIJEM	\N	121	22506	UROK	\N	\N
3544076	409	1997-02-28	PRIJEM	\N	123	25819	UROK	\N	\N
3544077	409	1997-03-31	PRIJEM	\N	99	22008	UROK	\N	\N
3544078	409	1997-04-30	PRIJEM	\N	121	25120	UROK	\N	\N
3544079	409	1997-05-31	PRIJEM	\N	113	27923	UROK	\N	\N
3544080	409	1997-06-30	PRIJEM	\N	134	33854	UROK	\N	\N
3544081	409	1997-07-31	PRIJEM	\N	147	29392	UROK	\N	\N
3544082	409	1997-08-31	PRIJEM	\N	133	32915	UROK	\N	\N
3544083	409	1997-09-30	PRIJEM	\N	167	36473	UROK	\N	\N
3544084	409	1997-10-31	PRIJEM	\N	166	34629	UROK	\N	\N
3544085	409	1997-11-30	PRIJEM	\N	168	36087	UROK	\N	\N
3544086	409	1997-12-31	PRIJEM	\N	160	34045	UROK	\N	\N
3544087	409	1998-01-31	PRIJEM	\N	118	24153	UROK	\N	\N
3544088	409	1998-02-28	PRIJEM	\N	111	26555	UROK	\N	\N
3544089	409	1998-03-31	PRIJEM	\N	123	30768	UROK	\N	\N
3544090	409	1998-04-30	PRIJEM	\N	121	28579	UROK	\N	\N
3544091	409	1998-05-31	PRIJEM	\N	150	32220	UROK	\N	\N
3544092	409	1998-06-30	PRIJEM	\N	154	30671	UROK	\N	\N
3544093	409	1998-07-31	PRIJEM	\N	145	36606	UROK	\N	\N
3544094	409	1998-08-31	PRIJEM	\N	156	35353	UROK	\N	\N
3544095	409	1998-09-30	PRIJEM	\N	176	37519	UROK	\N	\N
3544096	409	1998-10-31	PRIJEM	\N	156	37166	UROK	\N	\N
3544097	409	1998-11-30	PRIJEM	\N	161	36118	UROK	\N	\N
3544098	409	1998-12-31	PRIJEM	\N	177	41192	UROK	\N	\N
3544099	410	1997-03-31	PRIJEM	\N	65	26855	UROK	\N	\N
3544100	410	1997-04-30	PRIJEM	\N	105	25018	UROK	\N	\N
3544101	410	1997-05-31	PRIJEM	\N	108	26524	UROK	\N	\N
3544102	410	1997-06-30	PRIJEM	\N	96	18489	UROK	\N	\N
3544103	410	1997-07-31	PRIJEM	\N	82	20469	UROK	\N	\N
3544104	410	1997-08-31	PRIJEM	\N	90	22458	UROK	\N	\N
3544105	410	1997-09-30	PRIJEM	\N	98	24455	UROK	\N	\N
3544106	410	1997-10-31	PRIJEM	\N	107	26460	UROK	\N	\N
3544107	410	1997-11-30	PRIJEM	\N	115	28473	UROK	\N	\N
3544108	410	1997-12-31	PRIJEM	\N	121	29242	UROK	\N	\N
3544109	410	1998-01-31	PRIJEM	\N	93	14683	UROK	\N	\N
3544110	410	1998-02-28	PRIJEM	\N	59	14960	UROK	\N	\N
3544111	410	1998-03-31	PRIJEM	\N	67	16926	UROK	\N	\N
3544112	410	1998-04-30	PRIJEM	\N	75	18899	UROK	\N	\N
3544113	410	1998-05-31	PRIJEM	\N	78	18156	UROK	\N	\N
3544114	410	1998-06-30	PRIJEM	\N	77	16531	UROK	\N	\N
3544115	410	1998-07-31	PRIJEM	\N	57	13606	UROK	\N	\N
3544116	410	1998-08-31	PRIJEM	\N	61	15566	UROK	\N	\N
3544117	410	1998-09-30	PRIJEM	\N	69	17534	UROK	\N	\N
3544118	410	1998-10-31	PRIJEM	\N	73	18705	UROK	\N	\N
3544119	410	1998-11-30	PRIJEM	\N	75	19078	UROK	\N	\N
3544120	410	1998-12-31	PRIJEM	\N	74	17851	UROK	\N	\N
3544121	411	1993-02-28	PRIJEM	\N	42	18939	UROK	\N	\N
3544122	411	1993-03-31	PRIJEM	\N	131	40467	UROK	\N	\N
3544123	411	1993-04-30	PRIJEM	\N	197	52761	UROK	\N	\N
3544124	411	1993-05-31	PRIJEM	\N	224	54681	UROK	\N	\N
3544125	411	1993-06-30	PRIJEM	\N	228	55115	UROK	\N	\N
3544126	411	1993-07-31	PRIJEM	\N	206	48964	UROK	\N	\N
3544127	411	1993-08-31	PRIJEM	\N	181	44628	UROK	\N	\N
3544128	411	1993-09-30	PRIJEM	\N	176	44888	UROK	\N	\N
3544129	411	1993-10-31	PRIJEM	\N	173	43744	UROK	\N	\N
3544130	411	1993-11-30	PRIJEM	\N	176	45203	UROK	\N	\N
3544131	411	1993-12-31	PRIJEM	\N	193	51828	UROK	\N	\N
3544132	411	1994-01-31	PRIJEM	\N	145	31217	UROK	\N	\N
3544133	411	1994-02-28	PRIJEM	\N	148	40448	UROK	\N	\N
3544134	411	1994-03-31	PRIJEM	\N	164	42596	UROK	\N	\N
3544135	411	1994-04-30	PRIJEM	\N	154	40773	UROK	\N	\N
3544136	411	1994-05-31	PRIJEM	\N	153	40489	UROK	\N	\N
3544137	411	1994-06-30	PRIJEM	\N	150	21632	UROK	\N	\N
3544138	411	1994-07-31	PRIJEM	\N	132	31547	UROK	\N	\N
3544139	411	1994-08-31	PRIJEM	\N	151	36802	UROK	\N	\N
3544140	411	1994-09-30	PRIJEM	\N	173	38958	UROK	\N	\N
3544141	411	1994-10-31	PRIJEM	\N	180	38222	UROK	\N	\N
3544142	411	1994-11-30	PRIJEM	\N	177	39182	UROK	\N	\N
3544143	411	1994-12-31	PRIJEM	\N	198	40232	UROK	\N	\N
3544144	411	1995-01-31	PRIJEM	\N	156	32031	UROK	\N	\N
3544145	411	1995-02-28	PRIJEM	\N	153	38267	UROK	\N	\N
3544146	411	1995-03-31	PRIJEM	\N	166	37837	UROK	\N	\N
3544147	411	1995-04-30	PRIJEM	\N	175	40596	UROK	\N	\N
3544148	411	1995-05-31	PRIJEM	\N	187	43866	UROK	\N	\N
3544149	411	1995-06-30	PRIJEM	\N	181	35799	UROK	\N	\N
3544150	411	1995-07-31	PRIJEM	\N	169	42451	UROK	\N	\N
3544151	411	1995-08-31	PRIJEM	\N	189	41323	UROK	\N	\N
3544152	411	1995-09-30	PRIJEM	\N	188	45895	UROK	\N	\N
3544153	411	1995-10-31	PRIJEM	\N	201	49879	UROK	\N	\N
3544154	411	1995-11-30	PRIJEM	\N	222	53984	UROK	\N	\N
3544155	411	1995-12-31	PRIJEM	\N	250	58267	UROK	\N	\N
3544156	411	1996-01-31	PRIJEM	\N	203	39773	UROK	\N	\N
3544157	411	1996-02-29	PRIJEM	\N	180	45036	UROK	\N	\N
3544158	411	1996-03-31	PRIJEM	\N	185	43884	UROK	\N	\N
3544159	411	1996-04-30	PRIJEM	\N	191	45359	UROK	\N	\N
3544160	411	1996-05-31	PRIJEM	\N	198	47440	UROK	\N	\N
3544161	411	1996-06-30	PRIJEM	\N	209	50641	UROK	\N	\N
3544162	411	1996-07-31	PRIJEM	\N	216	51240	UROK	\N	\N
3544163	411	1996-08-31	PRIJEM	\N	213	49637	UROK	\N	\N
3544164	411	1996-09-30	PRIJEM	\N	198	44458	UROK	\N	\N
3544165	411	1996-10-31	PRIJEM	\N	189	46031	UROK	\N	\N
3544166	411	1996-11-30	PRIJEM	\N	189	48483	UROK	\N	\N
3544167	411	1996-12-31	PRIJEM	\N	207	48482	UROK	\N	\N
3544168	411	1997-01-31	PRIJEM	\N	163	37368	UROK	\N	\N
3544169	411	1997-02-28	PRIJEM	\N	163	43414	UROK	\N	\N
3544170	411	1997-03-31	PRIJEM	\N	186	46583	UROK	\N	\N
3544171	411	1997-04-30	PRIJEM	\N	202	51469	UROK	\N	\N
3544172	411	1997-05-31	PRIJEM	\N	209	50841	UROK	\N	\N
3544173	411	1997-06-30	PRIJEM	\N	190	32804	UROK	\N	\N
3544174	411	1997-07-31	PRIJEM	\N	160	46747	UROK	\N	\N
3544175	411	1997-08-31	PRIJEM	\N	223	60553	UROK	\N	\N
3544176	411	1997-09-30	PRIJEM	\N	267	70003	UROK	\N	\N
3544177	411	1997-10-31	PRIJEM	\N	288	72675	UROK	\N	\N
3544178	411	1997-11-30	PRIJEM	\N	293	73851	UROK	\N	\N
3544179	411	1997-12-31	PRIJEM	\N	319	82502	UROK	\N	\N
3544180	411	1998-01-31	PRIJEM	\N	305	67390	UROK	\N	\N
3544181	411	1998-02-28	PRIJEM	\N	272	70546	UROK	\N	\N
3544182	411	1998-03-31	PRIJEM	\N	296	76526	UROK	\N	\N
3544183	411	1998-04-30	PRIJEM	\N	300	76109	UROK	\N	\N
3544184	411	1998-05-31	PRIJEM	\N	314	79506	UROK	\N	\N
3544185	411	1998-06-30	PRIJEM	\N	306	75084	UROK	\N	\N
3544186	411	1998-07-31	PRIJEM	\N	275	68942	UROK	\N	\N
3544187	411	1998-08-31	PRIJEM	\N	246	60152	UROK	\N	\N
3544188	411	1998-09-30	PRIJEM	\N	233	58548	UROK	\N	\N
3544189	411	1998-10-31	PRIJEM	\N	244	64776	UROK	\N	\N
3544190	411	1998-11-30	PRIJEM	\N	253	65212	UROK	\N	\N
3544191	411	1998-12-31	PRIJEM	\N	261	69204	UROK	\N	\N
3544192	412	1996-01-31	PRIJEM	\N	26	27483	UROK	\N	\N
3544193	412	1996-02-29	PRIJEM	\N	123	47665	UROK	\N	\N
3544194	412	1996-03-31	PRIJEM	\N	198	34763	UROK	\N	\N
3544195	412	1996-04-30	PRIJEM	\N	180	35978	UROK	\N	\N
3544196	412	1996-05-31	PRIJEM	\N	194	48152	UROK	\N	\N
3544197	412	1996-06-30	PRIJEM	\N	173	31482	UROK	\N	\N
3544198	412	1996-07-31	PRIJEM	\N	127	29803	UROK	\N	\N
3544199	412	1996-08-31	PRIJEM	\N	140	25011	UROK	\N	\N
3544200	412	1996-09-30	PRIJEM	\N	104	69354	UROK	\N	\N
3544201	412	1996-10-31	PRIJEM	\N	227	65248	UROK	\N	\N
3544202	412	1996-11-30	PRIJEM	\N	243	51045	UROK	\N	\N
3544203	412	1996-12-31	PRIJEM	\N	153	28557	UROK	\N	\N
3544204	412	1997-01-31	PRIJEM	\N	227	81092	UROK	\N	\N
3544205	412	1997-02-28	PRIJEM	\N	320	69970	UROK	\N	\N
3544206	412	1997-03-31	PRIJEM	\N	261	45189	UROK	\N	\N
3544207	412	1997-04-30	PRIJEM	\N	176	51930	UROK	\N	\N
3544208	412	1997-05-31	PRIJEM	\N	195	52482	UROK	\N	\N
3544209	412	1997-06-30	PRIJEM	\N	233	55176	UROK	\N	\N
3544210	412	1997-07-31	PRIJEM	\N	220	69544	UROK	\N	\N
3544211	412	1997-08-31	PRIJEM	\N	364	106487	UROK	\N	\N
3544212	412	1997-09-30	PRIJEM	\N	272	55782	UROK	\N	\N
3544213	412	1997-10-31	PRIJEM	\N	331	96351	UROK	\N	\N
3544214	412	1997-11-30	PRIJEM	\N	340	76703	UROK	\N	\N
3544215	412	1997-12-31	PRIJEM	\N	209	30513	UROK	\N	\N
3544216	412	1998-01-31	PRIJEM	\N	181	57843	UROK	\N	\N
3544217	412	1998-02-28	PRIJEM	\N	265	49845	UROK	\N	\N
3544218	412	1998-03-31	PRIJEM	\N	218	72252	UROK	\N	\N
3544219	412	1998-04-30	PRIJEM	\N	284	58235	UROK	\N	\N
3544220	412	1998-05-31	PRIJEM	\N	208	106719	UROK	\N	\N
3544221	412	1998-06-30	PRIJEM	\N	374	83856	UROK	\N	\N
3544222	412	1998-07-31	PRIJEM	\N	316	83022	UROK	\N	\N
3544223	412	1998-08-31	PRIJEM	\N	339	78566	UROK	\N	\N
3544224	412	1998-09-30	PRIJEM	\N	296	65821	UROK	\N	\N
3544225	412	1998-10-31	PRIJEM	\N	284	73957	UROK	\N	\N
3544226	412	1998-11-30	PRIJEM	\N	219	56631	UROK	\N	\N
3544227	412	1998-12-31	PRIJEM	\N	254	63577	UROK	\N	\N
3544228	413	1996-10-31	PRIJEM	\N	51	15074	UROK	\N	\N
3544229	413	1996-11-30	PRIJEM	\N	63	15177	UROK	\N	\N
3544230	413	1996-12-31	PRIJEM	\N	63	14124	UROK	\N	\N
3544231	413	1997-01-31	PRIJEM	\N	58	12102	UROK	\N	\N
3544232	413	1997-02-28	PRIJEM	\N	50	11711	UROK	\N	\N
3544233	413	1997-03-31	PRIJEM	\N	58	13788	UROK	\N	\N
3544234	413	1997-04-30	PRIJEM	\N	62	14570	UROK	\N	\N
3544235	413	1997-05-31	PRIJEM	\N	71	16660	UROK	\N	\N
3544236	413	1997-06-30	PRIJEM	\N	59	11938	UROK	\N	\N
3544237	413	1997-07-31	PRIJEM	\N	58	14915	UROK	\N	\N
3544238	413	1997-08-31	PRIJEM	\N	63	14297	UROK	\N	\N
3544239	413	1997-09-30	PRIJEM	\N	70	16586	UROK	\N	\N
3544240	413	1997-10-31	PRIJEM	\N	72	16978	UROK	\N	\N
3544241	413	1997-11-30	PRIJEM	\N	67	15564	UROK	\N	\N
3544242	413	1997-12-31	PRIJEM	\N	72	18006	UROK	\N	\N
3544243	413	1998-01-31	PRIJEM	\N	62	12997	UROK	\N	\N
3544244	413	1998-02-28	PRIJEM	\N	61	15978	UROK	\N	\N
3544245	413	1998-03-31	PRIJEM	\N	72	17049	UROK	\N	\N
3544246	413	1998-04-30	PRIJEM	\N	82	19330	UROK	\N	\N
3544247	413	1998-05-31	PRIJEM	\N	89	21139	UROK	\N	\N
3544248	413	1998-06-30	PRIJEM	\N	92	18850	UROK	\N	\N
3544249	413	1998-07-31	PRIJEM	\N	82	19291	UROK	\N	\N
3544250	413	1998-08-31	PRIJEM	\N	88	22298	UROK	\N	\N
3544251	413	1998-09-30	PRIJEM	\N	100	25318	UROK	\N	\N
3544252	413	1998-10-31	PRIJEM	\N	102	11539	UROK	\N	\N
3544253	413	1998-11-30	PRIJEM	\N	55	14514	UROK	\N	\N
3544254	413	1998-12-31	PRIJEM	\N	68	17501	UROK	\N	\N
3544255	414	1996-02-29	PRIJEM	\N	6	21974	UROK	\N	\N
3544256	414	1996-03-31	PRIJEM	\N	96	32638	UROK	\N	\N
3544257	414	1996-04-30	PRIJEM	\N	137	36843	UROK	\N	\N
3544258	414	1996-05-31	PRIJEM	\N	153	36864	UROK	\N	\N
3544259	414	1996-06-30	PRIJEM	\N	175	41241	UROK	\N	\N
3544260	414	1996-07-31	PRIJEM	\N	192	38817	UROK	\N	\N
3544261	414	1996-08-31	PRIJEM	\N	170	31450	UROK	\N	\N
3544262	414	1996-09-30	PRIJEM	\N	138	31031	UROK	\N	\N
3544263	414	1996-10-31	PRIJEM	\N	146	25941	UROK	\N	\N
3544264	414	1996-11-30	PRIJEM	\N	130	30155	UROK	\N	\N
3544265	414	1996-12-31	PRIJEM	\N	140	29572	UROK	\N	\N
3544266	414	1997-01-31	PRIJEM	\N	110	19245	UROK	\N	\N
3544267	414	1997-02-28	PRIJEM	\N	106	28134	UROK	\N	\N
3544268	414	1997-03-31	PRIJEM	\N	122	27239	UROK	\N	\N
3544269	414	1997-04-30	PRIJEM	\N	119	25662	UROK	\N	\N
3544270	414	1997-05-31	PRIJEM	\N	127	29273	UROK	\N	\N
3544271	414	1997-06-30	PRIJEM	\N	149	29519	UROK	\N	\N
3544272	414	1997-07-31	PRIJEM	\N	138	29640	UROK	\N	\N
3544273	414	1997-08-31	PRIJEM	\N	134	30077	UROK	\N	\N
3544274	414	1997-09-30	PRIJEM	\N	132	26593	UROK	\N	\N
3544275	414	1997-10-31	PRIJEM	\N	119	24596	UROK	\N	\N
3544276	414	1997-11-30	PRIJEM	\N	93	21372	UROK	\N	\N
3544277	414	1997-12-31	PRIJEM	\N	114	25183	UROK	\N	\N
3544278	414	1998-01-31	PRIJEM	\N	92	14038	UROK	\N	\N
3544279	414	1998-02-28	PRIJEM	\N	81	22203	UROK	\N	\N
3544280	414	1998-03-31	PRIJEM	\N	123	33709	UROK	\N	\N
3544281	414	1998-04-30	PRIJEM	\N	155	36747	UROK	\N	\N
3544282	414	1998-05-31	PRIJEM	\N	164	37794	UROK	\N	\N
3544283	414	1998-06-30	PRIJEM	\N	154	30126	UROK	\N	\N
3544284	414	1998-07-31	PRIJEM	\N	143	35052	UROK	\N	\N
3544285	414	1998-08-31	PRIJEM	\N	157	37592	UROK	\N	\N
3544286	414	1998-09-30	PRIJEM	\N	167	41103	UROK	\N	\N
3544287	414	1998-10-31	PRIJEM	\N	188	46674	UROK	\N	\N
3544288	414	1998-11-30	PRIJEM	\N	202	48559	UROK	\N	\N
3544289	414	1998-12-31	PRIJEM	\N	247	65464	UROK	\N	\N
3544290	415	1993-03-31	PRIJEM	\N	44	13554	UROK	\N	\N
3544291	415	1993-04-30	PRIJEM	\N	114	31577	UROK	\N	\N
3544292	415	1993-05-31	PRIJEM	\N	168	42955	UROK	\N	\N
3544293	415	1993-06-30	PRIJEM	\N	219	55739	UROK	\N	\N
3544294	415	1993-07-31	PRIJEM	\N	194	42703	UROK	\N	\N
3544295	415	1993-08-31	PRIJEM	\N	157	30595	UROK	\N	\N
3544296	415	1993-09-30	PRIJEM	\N	137	28288	UROK	\N	\N
3544297	415	1993-10-31	PRIJEM	\N	127	27270	UROK	\N	\N
3544298	415	1993-11-30	PRIJEM	\N	123	27849	UROK	\N	\N
3544299	415	1993-12-31	PRIJEM	\N	134	28453	UROK	\N	\N
3544300	415	1994-01-31	PRIJEM	\N	100	17428	UROK	\N	\N
3544301	415	1994-02-28	PRIJEM	\N	83	21267	UROK	\N	\N
3544302	415	1994-03-31	PRIJEM	\N	100	24442	UROK	\N	\N
3544303	415	1994-04-30	PRIJEM	\N	111	25108	UROK	\N	\N
3544304	415	1994-05-31	PRIJEM	\N	115	27978	UROK	\N	\N
3544305	415	1994-06-30	PRIJEM	\N	136	31685	UROK	\N	\N
3544306	415	1994-07-31	PRIJEM	\N	141	31122	UROK	\N	\N
3544307	415	1994-08-31	PRIJEM	\N	136	30413	UROK	\N	\N
3544308	415	1994-09-30	PRIJEM	\N	133	29701	UROK	\N	\N
3544309	415	1994-10-31	PRIJEM	\N	131	29987	UROK	\N	\N
3544310	415	1994-11-30	PRIJEM	\N	134	32676	UROK	\N	\N
3544311	415	1994-12-31	PRIJEM	\N	170	37996	UROK	\N	\N
3544312	415	1995-01-31	PRIJEM	\N	136	19868	UROK	\N	\N
3544313	415	1995-02-28	PRIJEM	\N	97	27420	UROK	\N	\N
3544314	415	1995-03-31	PRIJEM	\N	124	31000	UROK	\N	\N
3544315	415	1995-04-30	PRIJEM	\N	129	29364	UROK	\N	\N
3544316	415	1995-05-31	PRIJEM	\N	128	27147	UROK	\N	\N
3544317	415	1995-06-30	PRIJEM	\N	132	31890	UROK	\N	\N
3544318	415	1995-07-31	PRIJEM	\N	136	29781	UROK	\N	\N
3544319	415	1995-08-31	PRIJEM	\N	131	31767	UROK	\N	\N
3544320	415	1995-09-30	PRIJEM	\N	136	32159	UROK	\N	\N
3544321	415	1995-10-31	PRIJEM	\N	131	29625	UROK	\N	\N
3544322	415	1995-11-30	PRIJEM	\N	128	30808	UROK	\N	\N
3544323	415	1995-12-31	PRIJEM	\N	149	32808	UROK	\N	\N
3544324	415	1996-01-31	PRIJEM	\N	110	14894	UROK	\N	\N
3544325	415	1996-02-29	PRIJEM	\N	79	22627	UROK	\N	\N
3544326	415	1996-03-31	PRIJEM	\N	104	26787	UROK	\N	\N
3544327	415	1996-04-30	PRIJEM	\N	125	29567	UROK	\N	\N
3544328	415	1996-05-31	PRIJEM	\N	128	31450	UROK	\N	\N
3544329	415	1996-06-30	PRIJEM	\N	133	29213	UROK	\N	\N
3544330	415	1996-07-31	PRIJEM	\N	129	32697	UROK	\N	\N
3544331	415	1996-08-31	PRIJEM	\N	139	34392	UROK	\N	\N
3544332	415	1996-09-30	PRIJEM	\N	133	30820	UROK	\N	\N
3544333	415	1996-10-31	PRIJEM	\N	131	32707	UROK	\N	\N
3544334	415	1996-11-30	PRIJEM	\N	145	34908	UROK	\N	\N
3544335	415	1996-12-31	PRIJEM	\N	147	29765	UROK	\N	\N
3544336	415	1997-01-31	PRIJEM	\N	99	16240	UROK	\N	\N
3544337	415	1997-02-28	PRIJEM	\N	54	9689	UROK	\N	\N
3544338	415	1997-03-31	PRIJEM	\N	82	17726	UROK	\N	\N
3544339	415	1997-04-30	PRIJEM	\N	69	16550	UROK	\N	\N
3544340	415	1997-05-31	PRIJEM	\N	66	16272	UROK	\N	\N
3544341	415	1997-06-30	PRIJEM	\N	78	19860	UROK	\N	\N
3544342	415	1997-07-31	PRIJEM	\N	72	16387	UROK	\N	\N
3544343	415	1997-08-31	PRIJEM	\N	71	17113	UROK	\N	\N
3544344	415	1997-09-30	PRIJEM	\N	74	17543	UROK	\N	\N
3544345	415	1997-10-31	PRIJEM	\N	76	18074	UROK	\N	\N
3544346	415	1997-11-30	PRIJEM	\N	96	24225	UROK	\N	\N
3544347	415	1997-12-31	PRIJEM	\N	123	30498	UROK	\N	\N
3544348	415	1998-01-31	PRIJEM	\N	85	16578	UROK	\N	\N
3544349	415	1998-02-28	PRIJEM	\N	70	16144	UROK	\N	\N
3544350	415	1998-03-31	PRIJEM	\N	75	20574	UROK	\N	\N
3544351	415	1998-04-30	PRIJEM	\N	96	23465	UROK	\N	\N
3544352	415	1998-05-31	PRIJEM	\N	86	19606	UROK	\N	\N
3544353	415	1998-06-30	PRIJEM	\N	106	30623	UROK	\N	\N
3544354	415	1998-07-31	PRIJEM	\N	104	23282	UROK	\N	\N
3544355	415	1998-08-31	PRIJEM	\N	89	20166	UROK	\N	\N
3544356	415	1998-09-30	PRIJEM	\N	91	24613	UROK	\N	\N
3544357	415	1998-10-31	PRIJEM	\N	108	24756	UROK	\N	\N
3544358	415	1998-11-30	PRIJEM	\N	110	29221	UROK	\N	\N
3544359	415	1998-12-31	PRIJEM	\N	145	37876	UROK	\N	\N
3544360	416	1997-01-31	PRIJEM	\N	67	13933	UROK	\N	\N
3544361	416	1997-02-28	PRIJEM	\N	69	17173	UROK	\N	\N
3544362	416	1997-03-31	PRIJEM	\N	82	20427	UROK	\N	\N
3544363	416	1997-04-30	PRIJEM	\N	89	18567	UROK	\N	\N
3544364	416	1997-05-31	PRIJEM	\N	87	19005	UROK	\N	\N
3544365	416	1997-06-30	PRIJEM	\N	76	17952	UROK	\N	\N
3544366	416	1997-07-31	PRIJEM	\N	78	18801	UROK	\N	\N
3544367	416	1997-08-31	PRIJEM	\N	70	16443	UROK	\N	\N
3544368	416	1997-09-30	PRIJEM	\N	71	16405	UROK	\N	\N
3544369	416	1997-10-31	PRIJEM	\N	76	18352	UROK	\N	\N
3544370	416	1997-11-30	PRIJEM	\N	82	19806	UROK	\N	\N
3544371	416	1997-12-31	PRIJEM	\N	71	16848	UROK	\N	\N
3544372	416	1998-01-31	PRIJEM	\N	65	12884	UROK	\N	\N
3544373	416	1998-02-28	PRIJEM	\N	57	13813	UROK	\N	\N
3544374	416	1998-03-31	PRIJEM	\N	59	14244	UROK	\N	\N
3544375	416	1998-04-30	PRIJEM	\N	70	17485	UROK	\N	\N
3544376	416	1998-05-31	PRIJEM	\N	80	19477	UROK	\N	\N
3544377	416	1998-06-30	PRIJEM	\N	70	16868	UROK	\N	\N
3544378	416	1998-07-31	PRIJEM	\N	80	19419	UROK	\N	\N
3544379	416	1998-08-31	PRIJEM	\N	91	22681	UROK	\N	\N
3544380	416	1998-09-30	PRIJEM	\N	96	19669	UROK	\N	\N
3544381	416	1998-10-31	PRIJEM	\N	92	20932	UROK	\N	\N
3544382	416	1998-11-30	PRIJEM	\N	98	24101	UROK	\N	\N
3544383	416	1998-12-31	PRIJEM	\N	108	24771	UROK	\N	\N
3544384	418	1995-09-30	PRIJEM	\N	17	24896	UROK	\N	\N
3544385	418	1995-10-31	PRIJEM	\N	110	32185	UROK	\N	\N
3544386	418	1995-11-30	PRIJEM	\N	137	36101	UROK	\N	\N
3544387	418	1995-12-31	PRIJEM	\N	157	43475	UROK	\N	\N
3544388	418	1996-01-31	PRIJEM	\N	179	32737	UROK	\N	\N
3544389	418	1996-02-29	PRIJEM	\N	168	35674	UROK	\N	\N
3544390	418	1996-03-31	PRIJEM	\N	178	38481	UROK	\N	\N
3544391	418	1996-04-30	PRIJEM	\N	176	37904	UROK	\N	\N
3544392	418	1996-05-31	PRIJEM	\N	180	37993	UROK	\N	\N
3544393	418	1996-06-30	PRIJEM	\N	197	46977	UROK	\N	\N
3544394	418	1996-07-31	PRIJEM	\N	211	47836	UROK	\N	\N
3544395	418	1996-08-31	PRIJEM	\N	207	44691	UROK	\N	\N
3544396	418	1996-09-30	PRIJEM	\N	195	43334	UROK	\N	\N
3544397	418	1996-10-31	PRIJEM	\N	184	38967	UROK	\N	\N
3544398	418	1996-11-30	PRIJEM	\N	170	37985	UROK	\N	\N
3544399	418	1996-12-31	PRIJEM	\N	188	44960	UROK	\N	\N
3544400	418	1997-01-31	PRIJEM	\N	183	35512	UROK	\N	\N
3544401	418	1997-02-28	PRIJEM	\N	163	40623	UROK	\N	\N
3544402	418	1997-03-31	PRIJEM	\N	182	43154	UROK	\N	\N
3544403	418	1997-04-30	PRIJEM	\N	187	43089	UROK	\N	\N
3544404	418	1997-05-31	PRIJEM	\N	185	42523	UROK	\N	\N
3544405	418	1997-06-30	PRIJEM	\N	173	38024	UROK	\N	\N
3544406	418	1997-07-31	PRIJEM	\N	170	38582	UROK	\N	\N
3544407	418	1997-08-31	PRIJEM	\N	184	43334	UROK	\N	\N
3544408	418	1997-09-30	PRIJEM	\N	200	45942	UROK	\N	\N
3544409	418	1997-10-31	PRIJEM	\N	209	53000	UROK	\N	\N
3544410	418	1997-11-30	PRIJEM	\N	217	51265	UROK	\N	\N
3544411	418	1997-12-31	PRIJEM	\N	223	52776	UROK	\N	\N
3544412	418	1998-01-31	PRIJEM	\N	216	45239	UROK	\N	\N
3544413	418	1998-02-28	PRIJEM	\N	193	47281	UROK	\N	\N
3544414	418	1998-03-31	PRIJEM	\N	207	51537	UROK	\N	\N
3544415	418	1998-04-30	PRIJEM	\N	241	55026	UROK	\N	\N
3544416	418	1998-05-31	PRIJEM	\N	225	54200	UROK	\N	\N
3544417	418	1998-06-30	PRIJEM	\N	184	38331	UROK	\N	\N
3544418	418	1998-07-31	PRIJEM	\N	147	32926	UROK	\N	\N
3544419	418	1998-08-31	PRIJEM	\N	145	34620	UROK	\N	\N
3544420	418	1998-09-30	PRIJEM	\N	146	34714	UROK	\N	\N
3544421	418	1998-10-31	PRIJEM	\N	150	34112	UROK	\N	\N
3544422	418	1998-11-30	PRIJEM	\N	137	29838	UROK	\N	\N
3544423	418	1998-12-31	PRIJEM	\N	149	33474	UROK	\N	\N
3544424	420	1995-09-30	PRIJEM	\N	16	18993	UROK	\N	\N
3544425	420	1995-10-31	PRIJEM	\N	90	30760	UROK	\N	\N
3544426	420	1995-11-30	PRIJEM	\N	129	32466	UROK	\N	\N
3544427	420	1995-12-31	PRIJEM	\N	142	39174	UROK	\N	\N
3544428	420	1996-01-31	PRIJEM	\N	161	31912	UROK	\N	\N
3544429	420	1996-02-29	PRIJEM	\N	133	28815	UROK	\N	\N
3544430	420	1996-03-31	PRIJEM	\N	120	21605	UROK	\N	\N
3544431	420	1996-04-30	PRIJEM	\N	100	24575	UROK	\N	\N
3544432	420	1996-05-31	PRIJEM	\N	111	26556	UROK	\N	\N
3544433	420	1996-06-30	PRIJEM	\N	115	30830	UROK	\N	\N
3544434	420	1996-07-31	PRIJEM	\N	132	29732	UROK	\N	\N
3544435	420	1996-08-31	PRIJEM	\N	127	29230	UROK	\N	\N
3544436	420	1996-09-30	PRIJEM	\N	129	31029	UROK	\N	\N
3544437	420	1996-10-31	PRIJEM	\N	140	35140	UROK	\N	\N
3544438	420	1996-11-30	PRIJEM	\N	150	36860	UROK	\N	\N
3544439	420	1996-12-31	PRIJEM	\N	154	39173	UROK	\N	\N
3544440	420	1997-01-31	PRIJEM	\N	150	36394	UROK	\N	\N
3544441	420	1997-02-28	PRIJEM	\N	162	40127	UROK	\N	\N
3544442	420	1997-03-31	PRIJEM	\N	172	41169	UROK	\N	\N
3544443	420	1997-04-30	PRIJEM	\N	178	43418	UROK	\N	\N
3544444	420	1997-05-31	PRIJEM	\N	178	40966	UROK	\N	\N
3544445	420	1997-06-30	PRIJEM	\N	185	45310	UROK	\N	\N
3544446	420	1997-07-31	PRIJEM	\N	187	43567	UROK	\N	\N
3544447	420	1997-08-31	PRIJEM	\N	189	46827	UROK	\N	\N
3544448	420	1997-09-30	PRIJEM	\N	174	44272	UROK	\N	\N
3544449	420	1997-10-31	PRIJEM	\N	185	44627	UROK	\N	\N
3544450	420	1997-11-30	PRIJEM	\N	193	47790	UROK	\N	\N
3544451	420	1997-12-31	PRIJEM	\N	218	54668	UROK	\N	\N
3544452	420	1998-01-31	PRIJEM	\N	223	52061	UROK	\N	\N
3544453	420	1998-02-28	PRIJEM	\N	233	59064	UROK	\N	\N
3544454	420	1998-03-31	PRIJEM	\N	235	55170	UROK	\N	\N
3544455	420	1998-04-30	PRIJEM	\N	240	55780	UROK	\N	\N
3544456	420	1998-05-31	PRIJEM	\N	234	58684	UROK	\N	\N
3544457	420	1998-06-30	PRIJEM	\N	286	75230	UROK	\N	\N
3544458	420	1998-07-31	PRIJEM	\N	317	77917	UROK	\N	\N
3544459	420	1998-08-31	PRIJEM	\N	315	76403	UROK	\N	\N
3544460	420	1998-09-30	PRIJEM	\N	296	70469	UROK	\N	\N
3544461	420	1998-10-31	PRIJEM	\N	294	72833	UROK	\N	\N
3544462	420	1998-11-30	PRIJEM	\N	307	76911	UROK	\N	\N
3544463	420	1998-12-31	PRIJEM	\N	328	78698	UROK	\N	\N
3544464	421	1997-12-31	PRIJEM	\N	11	16547	UROK	\N	\N
3544465	421	1998-01-31	PRIJEM	\N	74	23479	UROK	\N	\N
3544466	421	1998-02-28	PRIJEM	\N	100	27135	UROK	\N	\N
3544467	421	1998-03-31	PRIJEM	\N	111	25104	UROK	\N	\N
3544468	421	1998-04-30	PRIJEM	\N	105	18795	UROK	\N	\N
3544469	421	1998-05-31	PRIJEM	\N	85	20650	UROK	\N	\N
3544470	421	1998-06-30	PRIJEM	\N	89	17990	UROK	\N	\N
3544471	421	1998-07-31	PRIJEM	\N	77	14438	UROK	\N	\N
3544472	421	1998-08-31	PRIJEM	\N	67	17276	UROK	\N	\N
3544473	421	1998-09-30	PRIJEM	\N	79	20127	UROK	\N	\N
3544474	421	1998-10-31	PRIJEM	\N	79	12977	UROK	\N	\N
3544475	421	1998-11-30	PRIJEM	\N	61	15809	UROK	\N	\N
3544476	421	1998-12-31	PRIJEM	\N	84	20743	UROK	\N	\N
3544477	423	1993-08-31	PRIJEM	\N	37	13160	UROK	\N	\N
3544478	423	1993-09-30	PRIJEM	\N	58	14174	UROK	\N	\N
3544479	423	1993-10-31	PRIJEM	\N	62	15192	UROK	\N	\N
3544480	423	1993-11-30	PRIJEM	\N	65	15223	UROK	\N	\N
3544481	423	1993-12-31	PRIJEM	\N	65	15705	UROK	\N	\N
3544482	423	1994-01-31	PRIJEM	\N	65	13995	UROK	\N	\N
3544483	423	1994-02-28	PRIJEM	\N	61	15013	UROK	\N	\N
3544484	423	1994-03-31	PRIJEM	\N	67	15856	UROK	\N	\N
3544485	423	1994-04-30	PRIJEM	\N	69	16881	UROK	\N	\N
3544486	423	1994-05-31	PRIJEM	\N	73	17010	UROK	\N	\N
3544487	423	1994-06-30	PRIJEM	\N	74	17560	UROK	\N	\N
3544488	423	1994-07-31	PRIJEM	\N	75	17601	UROK	\N	\N
3544489	423	1994-08-31	PRIJEM	\N	76	18633	UROK	\N	\N
3544490	423	1994-09-30	PRIJEM	\N	79	18559	UROK	\N	\N
3544491	423	1994-10-31	PRIJEM	\N	80	19595	UROK	\N	\N
3544492	423	1994-11-30	PRIJEM	\N	84	20636	UROK	\N	\N
3544493	423	1994-12-31	PRIJEM	\N	86	19848	UROK	\N	\N
3544494	423	1995-01-31	PRIJEM	\N	78	15843	UROK	\N	\N
3544495	423	1995-02-28	PRIJEM	\N	68	16868	UROK	\N	\N
3544496	423	1995-03-31	PRIJEM	\N	73	17357	UROK	\N	\N
3544497	423	1995-04-30	PRIJEM	\N	73	17426	UROK	\N	\N
3544498	423	1995-05-31	PRIJEM	\N	75	18458	UROK	\N	\N
3544499	423	1995-06-30	PRIJEM	\N	72	14056	UROK	\N	\N
3544500	423	1995-07-31	PRIJEM	\N	61	15073	UROK	\N	\N
3544501	423	1995-08-31	PRIJEM	\N	65	16095	UROK	\N	\N
3544502	423	1995-09-30	PRIJEM	\N	69	16881	UROK	\N	\N
3544503	423	1995-10-31	PRIJEM	\N	69	16976	UROK	\N	\N
3544504	423	1995-11-30	PRIJEM	\N	73	17805	UROK	\N	\N
3544505	423	1995-12-31	PRIJEM	\N	76	18238	UROK	\N	\N
3544506	423	1996-01-31	PRIJEM	\N	68	15692	UROK	\N	\N
3544507	423	1996-02-29	PRIJEM	\N	67	16356	UROK	\N	\N
3544508	423	1996-03-31	PRIJEM	\N	70	17182	UROK	\N	\N
3544509	423	1996-04-30	PRIJEM	\N	74	18212	UROK	\N	\N
3544510	423	1996-05-31	PRIJEM	\N	75	18043	UROK	\N	\N
3544511	423	1996-06-30	PRIJEM	\N	77	19077	UROK	\N	\N
3544512	423	1996-07-31	PRIJEM	\N	82	20115	UROK	\N	\N
3544513	423	1996-08-31	PRIJEM	\N	83	19774	UROK	\N	\N
3544514	423	1996-09-30	PRIJEM	\N	79	18709	UROK	\N	\N
3544515	423	1996-10-31	PRIJEM	\N	80	19745	UROK	\N	\N
3544516	423	1996-11-30	PRIJEM	\N	84	20786	UROK	\N	\N
3544517	423	1996-12-31	PRIJEM	\N	86	20118	UROK	\N	\N
3544518	423	1997-01-31	PRIJEM	\N	81	17606	UROK	\N	\N
3544519	423	1997-02-28	PRIJEM	\N	75	18637	UROK	\N	\N
3544520	423	1997-03-31	PRIJEM	\N	79	19673	UROK	\N	\N
3544521	423	1997-04-30	PRIJEM	\N	83	19932	UROK	\N	\N
3544522	423	1997-05-31	PRIJEM	\N	84	19653	UROK	\N	\N
3544523	423	1997-06-30	PRIJEM	\N	83	20692	UROK	\N	\N
3544524	423	1997-07-31	PRIJEM	\N	84	20772	UROK	\N	\N
3544525	423	1997-08-31	PRIJEM	\N	86	20815	UROK	\N	\N
3544526	423	1997-09-30	PRIJEM	\N	88	21860	UROK	\N	\N
3544527	423	1997-10-31	PRIJEM	\N	92	22908	UROK	\N	\N
3544528	423	1997-11-30	PRIJEM	\N	86	20501	UROK	\N	\N
3544529	423	1997-12-31	PRIJEM	\N	87	21364	UROK	\N	\N
3544530	423	1998-01-31	PRIJEM	\N	83	18893	UROK	\N	\N
3544531	423	1998-02-28	PRIJEM	\N	78	18938	UROK	\N	\N
3544532	423	1998-03-31	PRIJEM	\N	80	19974	UROK	\N	\N
3544533	423	1998-04-30	PRIJEM	\N	84	21014	UROK	\N	\N
3544534	423	1998-05-31	PRIJEM	\N	88	22059	UROK	\N	\N
3544535	423	1998-06-30	PRIJEM	\N	76	17542	UROK	\N	\N
3544536	423	1998-07-31	PRIJEM	\N	74	18572	UROK	\N	\N
3544537	423	1998-08-31	PRIJEM	\N	77	18645	UROK	\N	\N
3544538	423	1998-09-30	PRIJEM	\N	78	19680	UROK	\N	\N
3544539	423	1998-10-31	PRIJEM	\N	83	20719	UROK	\N	\N
3544540	423	1998-11-30	PRIJEM	\N	87	21762	UROK	\N	\N
3544541	423	1998-12-31	PRIJEM	\N	90	21518	UROK	\N	\N
3544542	424	1997-03-31	PRIJEM	\N	45	25798	UROK	\N	\N
3544543	424	1997-04-30	PRIJEM	\N	134	40385	UROK	\N	\N
3544544	424	1997-05-31	PRIJEM	\N	173	43411	UROK	\N	\N
3544545	424	1997-06-30	PRIJEM	\N	205	56096	UROK	\N	\N
3544546	424	1997-07-31	PRIJEM	\N	246	52203	UROK	\N	\N
3544547	424	1997-08-31	PRIJEM	\N	219	41829	UROK	\N	\N
3544548	424	1997-09-30	PRIJEM	\N	185	39561	UROK	\N	\N
3544549	424	1997-10-31	PRIJEM	\N	176	37784	UROK	\N	\N
3544550	424	1997-11-30	PRIJEM	\N	165	35496	UROK	\N	\N
3544551	424	1997-12-31	PRIJEM	\N	192	40662	UROK	\N	\N
3544552	424	1998-01-31	PRIJEM	\N	136	19366	UROK	\N	\N
3544553	424	1998-02-28	PRIJEM	\N	113	28926	UROK	\N	\N
3544554	424	1998-03-31	PRIJEM	\N	138	31012	UROK	\N	\N
3544555	424	1998-04-30	PRIJEM	\N	151	35510	UROK	\N	\N
3544556	424	1998-05-31	PRIJEM	\N	155	33272	UROK	\N	\N
3544557	424	1998-06-30	PRIJEM	\N	176	42622	UROK	\N	\N
3544558	424	1998-07-31	PRIJEM	\N	182	38952	UROK	\N	\N
3544559	424	1998-08-31	PRIJEM	\N	169	35788	UROK	\N	\N
3544560	424	1998-09-30	PRIJEM	\N	173	43208	UROK	\N	\N
3544561	424	1998-10-31	PRIJEM	\N	190	45945	UROK	\N	\N
3544562	424	1998-11-30	PRIJEM	\N	205	50798	UROK	\N	\N
3544563	424	1998-12-31	PRIJEM	\N	220	53193	UROK	\N	\N
3544564	425	1993-04-30	PRIJEM	\N	29	15922	UROK	\N	\N
3544565	425	1993-05-31	PRIJEM	\N	82	24096	UROK	\N	\N
3544566	425	1993-06-30	PRIJEM	\N	107	27442	UROK	\N	\N
3544567	425	1993-07-31	PRIJEM	\N	120	30555	UROK	\N	\N
3544568	425	1993-08-31	PRIJEM	\N	114	24516	UROK	\N	\N
3544569	425	1993-09-30	PRIJEM	\N	95	24209	UROK	\N	\N
3544570	425	1993-10-31	PRIJEM	\N	102	24729	UROK	\N	\N
3544571	425	1993-11-30	PRIJEM	\N	99	24167	UROK	\N	\N
3544572	425	1993-12-31	PRIJEM	\N	85	19016	UROK	\N	\N
3544573	425	1994-01-31	PRIJEM	\N	68	15223	UROK	\N	\N
3544574	425	1994-02-28	PRIJEM	\N	76	17777	UROK	\N	\N
3544575	425	1994-03-31	PRIJEM	\N	90	24485	UROK	\N	\N
3544576	425	1994-04-30	PRIJEM	\N	110	28313	UROK	\N	\N
3544577	425	1994-05-31	PRIJEM	\N	115	26947	UROK	\N	\N
3544578	425	1994-06-30	PRIJEM	\N	109	26421	UROK	\N	\N
3544579	425	1994-07-31	PRIJEM	\N	92	19191	UROK	\N	\N
3544580	425	1994-08-31	PRIJEM	\N	77	18346	UROK	\N	\N
3544581	425	1994-09-30	PRIJEM	\N	101	27666	UROK	\N	\N
3544582	425	1994-10-31	PRIJEM	\N	117	29001	UROK	\N	\N
3544583	425	1994-11-30	PRIJEM	\N	119	29439	UROK	\N	\N
3544584	425	1994-12-31	PRIJEM	\N	125	31689	UROK	\N	\N
3544585	425	1995-01-31	PRIJEM	\N	107	18754	UROK	\N	\N
3544586	425	1995-02-28	PRIJEM	\N	95	24967	UROK	\N	\N
3544587	425	1995-03-31	PRIJEM	\N	107	27292	UROK	\N	\N
3544588	425	1995-04-30	PRIJEM	\N	122	30633	UROK	\N	\N
3544589	425	1995-05-31	PRIJEM	\N	112	26803	UROK	\N	\N
3544590	425	1995-06-30	PRIJEM	\N	113	28741	UROK	\N	\N
3544591	425	1995-07-31	PRIJEM	\N	117	29076	UROK	\N	\N
3544592	425	1995-08-31	PRIJEM	\N	112	27866	UROK	\N	\N
3544593	425	1995-09-30	PRIJEM	\N	108	26393	UROK	\N	\N
3544594	425	1995-10-31	PRIJEM	\N	97	22748	UROK	\N	\N
3544595	425	1995-11-30	PRIJEM	\N	100	25667	UROK	\N	\N
3544596	425	1995-12-31	PRIJEM	\N	102	24574	UROK	\N	\N
3544597	425	1996-01-31	PRIJEM	\N	68	14520	UROK	\N	\N
3544598	425	1996-02-29	PRIJEM	\N	76	20214	UROK	\N	\N
3544599	425	1996-03-31	PRIJEM	\N	98	25330	UROK	\N	\N
3544600	425	1996-04-30	PRIJEM	\N	103	26051	UROK	\N	\N
3544601	425	1996-05-31	PRIJEM	\N	114	28984	UROK	\N	\N
3544602	425	1996-06-30	PRIJEM	\N	134	34882	UROK	\N	\N
3544603	425	1996-07-31	PRIJEM	\N	121	27962	UROK	\N	\N
3544604	425	1996-08-31	PRIJEM	\N	118	28078	UROK	\N	\N
3544605	425	1996-09-30	PRIJEM	\N	121	28917	UROK	\N	\N
3544606	425	1996-10-31	PRIJEM	\N	123	26959	UROK	\N	\N
3544607	425	1996-11-30	PRIJEM	\N	114	26332	UROK	\N	\N
3544608	425	1996-12-31	PRIJEM	\N	113	25970	UROK	\N	\N
3544609	425	1997-01-31	PRIJEM	\N	87	21395	UROK	\N	\N
3544610	425	1997-02-28	PRIJEM	\N	93	25607	UROK	\N	\N
3544611	425	1997-03-31	PRIJEM	\N	108	25734	UROK	\N	\N
3544612	425	1997-04-30	PRIJEM	\N	103	22655	UROK	\N	\N
3544613	425	1997-05-31	PRIJEM	\N	99	25872	UROK	\N	\N
3544614	425	1997-06-30	PRIJEM	\N	118	30255	UROK	\N	\N
3544615	425	1997-07-31	PRIJEM	\N	111	27524	UROK	\N	\N
3544616	425	1997-08-31	PRIJEM	\N	122	33864	UROK	\N	\N
3544617	425	1997-09-30	PRIJEM	\N	141	33424	UROK	\N	\N
3544618	425	1997-10-31	PRIJEM	\N	140	33983	UROK	\N	\N
3544619	425	1997-11-30	PRIJEM	\N	143	35144	UROK	\N	\N
3544620	425	1997-12-31	PRIJEM	\N	157	40446	UROK	\N	\N
3544621	425	1998-01-31	PRIJEM	\N	133	30837	UROK	\N	\N
3544622	425	1998-02-28	PRIJEM	\N	133	37889	UROK	\N	\N
3544623	425	1998-03-31	PRIJEM	\N	163	42571	UROK	\N	\N
3544624	425	1998-04-30	PRIJEM	\N	176	41765	UROK	\N	\N
3544625	425	1998-05-31	PRIJEM	\N	174	42457	UROK	\N	\N
3544626	425	1998-06-30	PRIJEM	\N	185	46907	UROK	\N	\N
3544627	425	1998-07-31	PRIJEM	\N	197	48722	UROK	\N	\N
3544628	425	1998-08-31	PRIJEM	\N	207	52448	UROK	\N	\N
3544629	425	1998-09-30	PRIJEM	\N	211	49277	UROK	\N	\N
3544630	425	1998-10-31	PRIJEM	\N	202	48597	UROK	\N	\N
3544631	425	1998-11-30	PRIJEM	\N	192	44207	UROK	\N	\N
3544632	425	1998-12-31	PRIJEM	\N	168	32020	UROK	\N	\N
3544633	426	1993-12-31	PRIJEM	\N	8	20220	UROK	\N	\N
3544634	426	1994-01-31	PRIJEM	\N	108	37645	UROK	\N	\N
3544635	426	1994-02-28	PRIJEM	\N	214	51071	UROK	\N	\N
3544636	426	1994-03-31	PRIJEM	\N	209	64769	UROK	\N	\N
3544637	426	1994-04-30	PRIJEM	\N	297	50096	UROK	\N	\N
3544638	426	1994-05-31	PRIJEM	\N	239	48712	UROK	\N	\N
3544639	426	1994-06-30	PRIJEM	\N	202	38746	UROK	\N	\N
3544640	426	1994-07-31	PRIJEM	\N	289	61894	UROK	\N	\N
3544641	426	1994-08-31	PRIJEM	\N	208	54177	UROK	\N	\N
3544642	426	1994-09-30	PRIJEM	\N	180	27726	UROK	\N	\N
3544643	426	1994-10-31	PRIJEM	\N	163	35652	UROK	\N	\N
3544644	426	1994-11-30	PRIJEM	\N	157	36287	UROK	\N	\N
3544645	426	1994-12-31	PRIJEM	\N	134	47171	UROK	\N	\N
3544646	426	1995-01-31	PRIJEM	\N	122	20440	UROK	\N	\N
3544647	426	1995-02-28	PRIJEM	\N	63	16104	UROK	\N	\N
3544648	426	1995-03-31	PRIJEM	\N	47	15853	UROK	\N	\N
3544649	426	1995-04-30	PRIJEM	\N	50	18404	UROK	\N	\N
3544650	426	1995-05-31	PRIJEM	\N	90	23286	UROK	\N	\N
3544651	426	1995-06-30	PRIJEM	\N	74	18662	UROK	\N	\N
3544652	426	1995-07-31	PRIJEM	\N	61	18424	UROK	\N	\N
3544653	426	1995-08-31	PRIJEM	\N	58	15783	UROK	\N	\N
3544654	426	1995-09-30	PRIJEM	\N	50	14635	UROK	\N	\N
3544655	426	1995-10-31	PRIJEM	\N	64	19689	UROK	\N	\N
3544656	426	1995-11-30	PRIJEM	\N	70	19860	UROK	\N	\N
3544657	426	1995-12-31	PRIJEM	\N	65	16526	UROK	\N	\N
3544658	426	1996-01-31	PRIJEM	\N	62	17989	UROK	\N	\N
3544659	426	1996-02-29	PRIJEM	\N	101	42991	UROK	\N	\N
3544660	426	1996-03-31	PRIJEM	\N	153	39010	UROK	\N	\N
3544661	426	1996-04-30	PRIJEM	\N	99	18328	UROK	\N	\N
3544662	426	1996-05-31	PRIJEM	\N	80	40162	UROK	\N	\N
3544663	426	1996-06-30	PRIJEM	\N	151	46550	UROK	\N	\N
3544664	426	1996-07-31	PRIJEM	\N	129	23580	UROK	\N	\N
3544665	426	1996-08-31	PRIJEM	\N	76	16358	UROK	\N	\N
3544666	426	1996-09-30	PRIJEM	\N	62	15321	UROK	\N	\N
3544667	426	1996-10-31	PRIJEM	\N	112	29592	UROK	\N	\N
3544668	426	1996-11-30	PRIJEM	\N	125	35550	UROK	\N	\N
3544669	426	1996-12-31	PRIJEM	\N	138	26190	UROK	\N	\N
3544670	426	1997-01-31	PRIJEM	\N	121	20850	UROK	\N	\N
3544671	426	1997-02-28	PRIJEM	\N	60	10512	UROK	\N	\N
3544672	426	1997-03-31	PRIJEM	\N	53	14962	UROK	\N	\N
3544673	426	1997-04-30	PRIJEM	\N	110	35989	UROK	\N	\N
3544674	426	1997-05-31	PRIJEM	\N	99	20190	UROK	\N	\N
3544675	426	1997-06-30	PRIJEM	\N	71	27008	UROK	\N	\N
3544676	426	1997-07-31	PRIJEM	\N	78	14587	UROK	\N	\N
3544677	426	1997-08-31	PRIJEM	\N	41	7129	UROK	\N	\N
3544678	426	1997-09-30	PRIJEM	\N	60	23021	UROK	\N	\N
3544679	426	1997-10-31	PRIJEM	\N	104	31990	UROK	\N	\N
3544680	426	1997-11-30	PRIJEM	\N	74	11665	UROK	\N	\N
3544681	426	1997-12-31	PRIJEM	\N	25	2891	UROK	\N	\N
3544682	426	1998-01-31	PRIJEM	\N	172	62072	UROK	\N	\N
3544683	426	1998-02-28	PRIJEM	\N	163	34512	UROK	\N	\N
3544684	426	1998-03-31	PRIJEM	\N	63	7577	UROK	\N	\N
3544685	426	1998-04-30	PRIJEM	\N	31	24573	UROK	\N	\N
3544686	426	1998-04-30	VYDAJ	VYBER	6	24553	SANKC. UROK	\N	\N
3544687	426	1998-05-31	PRIJEM	\N	66	12035	UROK	\N	\N
3544688	426	1998-06-30	PRIJEM	\N	84	59473	UROK	\N	\N
3544689	426	1998-06-30	VYDAJ	VYBER	4	59454	SANKC. UROK	\N	\N
3544690	426	1998-07-31	PRIJEM	\N	290	78720	UROK	\N	\N
3544691	426	1998-08-31	PRIJEM	\N	260	67212	UROK	\N	\N
3544692	426	1998-09-30	PRIJEM	\N	250	61189	UROK	\N	\N
3544693	426	1998-10-31	PRIJEM	\N	168	81486	UROK	\N	\N
3544694	426	1998-11-30	PRIJEM	\N	235	70983	UROK	\N	\N
3544695	426	1998-12-31	PRIJEM	\N	170	29030	UROK	\N	\N
3544696	427	1994-08-31	PRIJEM	\N	29	24010	UROK	\N	\N
3544697	427	1994-09-30	PRIJEM	\N	113	34804	UROK	\N	\N
3544698	427	1994-10-31	PRIJEM	\N	151	39636	UROK	\N	\N
3544699	427	1994-11-30	PRIJEM	\N	167	41585	UROK	\N	\N
3544700	427	1994-12-31	PRIJEM	\N	234	45774	UROK	\N	\N
3544701	427	1995-01-31	PRIJEM	\N	180	26535	UROK	\N	\N
3544702	427	1995-02-28	PRIJEM	\N	136	34771	UROK	\N	\N
3544703	427	1995-03-31	PRIJEM	\N	181	36533	UROK	\N	\N
3544704	427	1995-04-30	PRIJEM	\N	165	35899	UROK	\N	\N
3544705	427	1995-05-31	PRIJEM	\N	162	35261	UROK	\N	\N
3544706	427	1995-06-30	PRIJEM	\N	177	28659	UROK	\N	\N
3544707	427	1995-07-31	PRIJEM	\N	139	33459	UROK	\N	\N
3544708	427	1995-08-31	PRIJEM	\N	155	36814	UROK	\N	\N
3544709	427	1995-09-30	PRIJEM	\N	167	39782	UROK	\N	\N
3544710	427	1995-10-31	PRIJEM	\N	175	40757	UROK	\N	\N
3544711	427	1995-11-30	PRIJEM	\N	180	43138	UROK	\N	\N
3544712	427	1995-12-31	PRIJEM	\N	218	41037	UROK	\N	\N
3544713	427	1996-01-31	PRIJEM	\N	154	27892	UROK	\N	\N
3544714	427	1996-02-29	PRIJEM	\N	143	39035	UROK	\N	\N
3544715	427	1996-03-31	PRIJEM	\N	186	47922	UROK	\N	\N
3544716	427	1996-04-30	PRIJEM	\N	211	52233	UROK	\N	\N
3544717	427	1996-05-31	PRIJEM	\N	220	52653	UROK	\N	\N
3544718	427	1996-06-30	PRIJEM	\N	216	49511	UROK	\N	\N
3544719	427	1996-07-31	PRIJEM	\N	242	53653	UROK	\N	\N
3544720	427	1996-08-31	PRIJEM	\N	233	49887	UROK	\N	\N
3544721	427	1996-09-30	PRIJEM	\N	207	49395	UROK	\N	\N
3544722	427	1996-10-31	PRIJEM	\N	216	51591	UROK	\N	\N
3544723	427	1996-11-30	PRIJEM	\N	210	49401	UROK	\N	\N
3544724	427	1996-12-31	PRIJEM	\N	216	51099	UROK	\N	\N
3544725	427	1997-01-31	PRIJEM	\N	176	29035	UROK	\N	\N
3544726	427	1997-02-28	PRIJEM	\N	144	34879	UROK	\N	\N
3544727	427	1997-03-31	PRIJEM	\N	159	37898	UROK	\N	\N
3544728	427	1997-04-30	PRIJEM	\N	179	43978	UROK	\N	\N
3544729	427	1997-05-31	PRIJEM	\N	193	46471	UROK	\N	\N
3544730	427	1997-06-30	PRIJEM	\N	220	49113	UROK	\N	\N
3544731	427	1997-07-31	PRIJEM	\N	218	52331	UROK	\N	\N
3544732	427	1997-08-31	PRIJEM	\N	214	50046	UROK	\N	\N
3544733	427	1997-09-30	PRIJEM	\N	220	51766	UROK	\N	\N
3544734	427	1997-10-31	PRIJEM	\N	219	51185	UROK	\N	\N
3544735	427	1997-11-30	PRIJEM	\N	224	52409	UROK	\N	\N
3544736	427	1997-12-31	PRIJEM	\N	246	56997	UROK	\N	\N
3544737	427	1998-01-31	PRIJEM	\N	229	42666	UROK	\N	\N
3544738	427	1998-02-28	PRIJEM	\N	250	58717	UROK	\N	\N
3544739	427	1998-03-31	PRIJEM	\N	269	59987	UROK	\N	\N
3544740	427	1998-04-30	PRIJEM	\N	305	72192	UROK	\N	\N
3544741	427	1998-05-31	PRIJEM	\N	318	75111	UROK	\N	\N
3544742	427	1998-06-30	PRIJEM	\N	308	56940	UROK	\N	\N
3544743	427	1998-07-31	PRIJEM	\N	303	73844	UROK	\N	\N
3544744	427	1998-08-31	PRIJEM	\N	322	76466	UROK	\N	\N
3544745	427	1998-09-30	PRIJEM	\N	330	78896	UROK	\N	\N
3544746	427	1998-10-31	PRIJEM	\N	348	83144	UROK	\N	\N
3544747	427	1998-11-30	PRIJEM	\N	333	79677	UROK	\N	\N
3544748	427	1998-12-31	PRIJEM	\N	361	86880	UROK	\N	\N
3544749	428	1993-05-31	PRIJEM	\N	11	19853	UROK	\N	\N
3544750	428	1993-06-30	PRIJEM	\N	83	26549	UROK	\N	\N
3544751	428	1993-07-31	PRIJEM	\N	88	28452	UROK	\N	\N
3544752	428	1993-08-31	PRIJEM	\N	122	26686	UROK	\N	\N
3544753	428	1993-09-30	PRIJEM	\N	114	24913	UROK	\N	\N
3544754	428	1993-10-31	PRIJEM	\N	110	27035	UROK	\N	\N
3544755	428	1993-11-30	PRIJEM	\N	116	26564	UROK	\N	\N
3544756	428	1993-12-31	PRIJEM	\N	113	26760	UROK	\N	\N
3544757	428	1994-01-31	PRIJEM	\N	96	18988	UROK	\N	\N
3544758	428	1994-02-28	PRIJEM	\N	86	21686	UROK	\N	\N
3544759	428	1994-03-31	PRIJEM	\N	94	21672	UROK	\N	\N
3544760	428	1994-04-30	PRIJEM	\N	93	22217	UROK	\N	\N
3544761	428	1994-05-31	PRIJEM	\N	97	23727	UROK	\N	\N
3544762	428	1994-06-30	PRIJEM	\N	82	15181	UROK	\N	\N
3544763	428	1994-07-31	PRIJEM	\N	70	17864	UROK	\N	\N
3544764	428	1994-08-31	PRIJEM	\N	81	20557	UROK	\N	\N
3544765	428	1994-09-30	PRIJEM	\N	92	23262	UROK	\N	\N
3544766	428	1994-10-31	PRIJEM	\N	104	25978	UROK	\N	\N
3544767	428	1994-11-30	PRIJEM	\N	114	28305	UROK	\N	\N
3544768	428	1994-12-31	PRIJEM	\N	124	29892	UROK	\N	\N
3544769	428	1995-01-31	PRIJEM	\N	111	22855	UROK	\N	\N
3544770	428	1995-02-28	PRIJEM	\N	102	25569	UROK	\N	\N
3544771	428	1995-03-31	PRIJEM	\N	113	28294	UROK	\N	\N
3544772	428	1995-04-30	PRIJEM	\N	122	29529	UROK	\N	\N
3544773	428	1995-05-31	PRIJEM	\N	124	29265	UROK	\N	\N
3544774	428	1995-06-30	PRIJEM	\N	110	26487	UROK	\N	\N
3544775	428	1995-07-31	PRIJEM	\N	107	26007	UROK	\N	\N
3544776	428	1995-08-31	PRIJEM	\N	111	26930	UROK	\N	\N
3544777	428	1995-09-30	PRIJEM	\N	112	26655	UROK	\N	\N
3544778	428	1995-10-31	PRIJEM	\N	104	25391	UROK	\N	\N
3544779	428	1995-11-30	PRIJEM	\N	112	28115	UROK	\N	\N
3544780	428	1995-12-31	PRIJEM	\N	116	27524	UROK	\N	\N
3544781	428	1996-01-31	PRIJEM	\N	101	22797	UROK	\N	\N
3544782	428	1996-02-29	PRIJEM	\N	91	22860	UROK	\N	\N
3544783	428	1996-03-31	PRIJEM	\N	101	23654	UROK	\N	\N
3544784	428	1996-04-30	PRIJEM	\N	105	26370	UROK	\N	\N
3544785	428	1996-05-31	PRIJEM	\N	116	29099	UROK	\N	\N
3544786	428	1996-06-30	PRIJEM	\N	127	31838	UROK	\N	\N
3544787	428	1996-07-31	PRIJEM	\N	139	34589	UROK	\N	\N
3544788	428	1996-08-31	PRIJEM	\N	149	36790	UROK	\N	\N
3544789	428	1996-09-30	PRIJEM	\N	159	39562	UROK	\N	\N
3544790	428	1996-10-31	PRIJEM	\N	171	42345	UROK	\N	\N
3544791	428	1996-11-30	PRIJEM	\N	175	43232	UROK	\N	\N
3544792	428	1996-12-31	PRIJEM	\N	183	45277	UROK	\N	\N
3544793	428	1997-01-31	PRIJEM	\N	180	39429	UROK	\N	\N
3544794	428	1997-02-28	PRIJEM	\N	169	42211	UROK	\N	\N
3544795	428	1997-03-31	PRIJEM	\N	181	45005	UROK	\N	\N
3544796	428	1997-04-30	PRIJEM	\N	193	47810	UROK	\N	\N
3544797	428	1997-05-31	PRIJEM	\N	204	50626	UROK	\N	\N
3544798	428	1997-06-30	PRIJEM	\N	205	42614	UROK	\N	\N
3544799	428	1997-07-31	PRIJEM	\N	178	44444	UROK	\N	\N
3544800	428	1997-08-31	PRIJEM	\N	190	47247	UROK	\N	\N
3544801	428	1997-09-30	PRIJEM	\N	199	48778	UROK	\N	\N
3544802	428	1997-10-31	PRIJEM	\N	202	50233	UROK	\N	\N
3544803	428	1997-11-30	PRIJEM	\N	214	53059	UROK	\N	\N
3544804	428	1997-12-31	PRIJEM	\N	223	55444	UROK	\N	\N
3544805	428	1998-01-31	PRIJEM	\N	203	49860	UROK	\N	\N
3544806	428	1998-02-28	PRIJEM	\N	211	51803	UROK	\N	\N
3544807	428	1998-03-31	PRIJEM	\N	220	54635	UROK	\N	\N
3544808	428	1998-04-30	PRIJEM	\N	227	55315	UROK	\N	\N
3544809	428	1998-05-31	PRIJEM	\N	234	58162	UROK	\N	\N
3544810	428	1998-06-30	PRIJEM	\N	209	43563	UROK	\N	\N
3544811	428	1998-07-31	PRIJEM	\N	185	46361	UROK	\N	\N
3544812	428	1998-08-31	PRIJEM	\N	196	48689	UROK	\N	\N
3544813	428	1998-09-30	PRIJEM	\N	206	51508	UROK	\N	\N
3544814	428	1998-10-31	PRIJEM	\N	206	50886	UROK	\N	\N
3544815	428	1998-11-30	PRIJEM	\N	215	53713	UROK	\N	\N
3544816	428	1998-12-31	PRIJEM	\N	226	55801	UROK	\N	\N
3544817	429	1995-09-30	PRIJEM	\N	53	19150	UROK	\N	\N
3544818	429	1995-10-31	PRIJEM	\N	133	38180	UROK	\N	\N
3544819	429	1995-11-30	PRIJEM	\N	189	49066	UROK	\N	\N
3544820	429	1995-12-31	PRIJEM	\N	240	62002	UROK	\N	\N
3544821	429	1996-01-31	PRIJEM	\N	210	36208	UROK	\N	\N
3544822	429	1996-02-29	PRIJEM	\N	165	44270	UROK	\N	\N
3544823	429	1996-03-31	PRIJEM	\N	170	43236	UROK	\N	\N
3544824	429	1996-04-30	PRIJEM	\N	172	43204	UROK	\N	\N
3544825	429	1996-05-31	PRIJEM	\N	182	35582	UROK	\N	\N
3544826	429	1996-06-30	PRIJEM	\N	206	43284	UROK	\N	\N
3544827	429	1996-07-31	PRIJEM	\N	209	36689	UROK	\N	\N
3544828	429	1996-08-31	PRIJEM	\N	182	34667	UROK	\N	\N
3544829	429	1996-09-30	PRIJEM	\N	166	33329	UROK	\N	\N
3544830	429	1996-10-31	PRIJEM	\N	169	35994	UROK	\N	\N
3544831	429	1996-11-30	PRIJEM	\N	166	35456	UROK	\N	\N
3544832	429	1996-12-31	PRIJEM	\N	186	39638	UROK	\N	\N
3544833	429	1997-01-31	PRIJEM	\N	169	25303	UROK	\N	\N
3544834	429	1997-02-28	PRIJEM	\N	133	28332	UROK	\N	\N
3544835	429	1997-03-31	PRIJEM	\N	146	31075	UROK	\N	\N
3544836	429	1997-04-30	PRIJEM	\N	158	35229	UROK	\N	\N
3544837	429	1997-05-31	PRIJEM	\N	161	34486	UROK	\N	\N
3544838	429	1997-06-30	PRIJEM	\N	191	42573	UROK	\N	\N
3544839	429	1997-07-31	PRIJEM	\N	201	44271	UROK	\N	\N
3544840	429	1997-08-31	PRIJEM	\N	190	40457	UROK	\N	\N
3544841	429	1997-09-30	PRIJEM	\N	185	39638	UROK	\N	\N
3544842	429	1997-10-31	PRIJEM	\N	190	44625	UROK	\N	\N
3544843	429	1997-11-30	PRIJEM	\N	192	41013	UROK	\N	\N
3544844	429	1997-12-31	PRIJEM	\N	207	46715	UROK	\N	\N
3544845	429	1998-01-31	PRIJEM	\N	183	34395	UROK	\N	\N
3544846	429	1998-02-28	PRIJEM	\N	174	45165	UROK	\N	\N
3544847	429	1998-03-31	PRIJEM	\N	212	50173	UROK	\N	\N
3544848	429	1998-04-30	PRIJEM	\N	228	53097	UROK	\N	\N
3544849	429	1998-05-31	PRIJEM	\N	229	49123	UROK	\N	\N
3544850	429	1998-06-30	PRIJEM	\N	219	39937	UROK	\N	\N
3544851	429	1998-07-31	PRIJEM	\N	200	52033	UROK	\N	\N
3544852	429	1998-08-31	PRIJEM	\N	238	56668	UROK	\N	\N
3544853	429	1998-09-30	PRIJEM	\N	245	56809	UROK	\N	\N
3544854	429	1998-10-31	PRIJEM	\N	246	57451	UROK	\N	\N
3544855	429	1998-11-30	PRIJEM	\N	253	60901	UROK	\N	\N
3544856	429	1998-12-31	PRIJEM	\N	283	66379	UROK	\N	\N
3544857	431	1996-11-30	PRIJEM	\N	44	18581	UROK	\N	\N
3544858	431	1996-12-31	PRIJEM	\N	155	50691	UROK	\N	\N
3544859	431	1997-01-31	PRIJEM	\N	227	57455	UROK	\N	\N
3544860	431	1997-02-28	PRIJEM	\N	253	63844	UROK	\N	\N
3544861	431	1997-03-31	PRIJEM	\N	272	66753	UROK	\N	\N
3544862	431	1997-04-30	PRIJEM	\N	234	59012	UROK	\N	\N
3544863	431	1997-05-31	PRIJEM	\N	202	50259	UROK	\N	\N
3544864	431	1997-06-30	PRIJEM	\N	197	46140	UROK	\N	\N
3544865	431	1997-07-31	PRIJEM	\N	187	46893	UROK	\N	\N
3544866	431	1997-08-31	PRIJEM	\N	198	52016	UROK	\N	\N
3544867	431	1997-09-30	PRIJEM	\N	211	55053	UROK	\N	\N
3544868	431	1997-10-31	PRIJEM	\N	208	53886	UROK	\N	\N
3544869	431	1997-11-30	PRIJEM	\N	200	53611	UROK	\N	\N
3544870	431	1997-12-31	PRIJEM	\N	212	41606	UROK	\N	\N
3544871	431	1998-01-31	PRIJEM	\N	150	34002	UROK	\N	\N
3544872	431	1998-02-28	PRIJEM	\N	163	45191	UROK	\N	\N
3544873	431	1998-03-31	PRIJEM	\N	164	30680	UROK	\N	\N
3544874	431	1998-04-30	PRIJEM	\N	139	26684	UROK	\N	\N
3544875	431	1998-05-31	PRIJEM	\N	132	25741	UROK	\N	\N
3544876	431	1998-06-30	PRIJEM	\N	138	27223	UROK	\N	\N
3544877	431	1998-07-31	PRIJEM	\N	128	19277	UROK	\N	\N
3544878	431	1998-08-31	PRIJEM	\N	95	15397	UROK	\N	\N
3544879	431	1998-09-30	PRIJEM	\N	86	21829	UROK	\N	\N
3544880	431	1998-10-31	PRIJEM	\N	103	16757	UROK	\N	\N
3544881	431	1998-11-30	PRIJEM	\N	88	20510	UROK	\N	\N
3544882	431	1998-12-31	PRIJEM	\N	120	37675	UROK	\N	\N
3544883	434	1997-01-31	PRIJEM	\N	19	15274	UROK	\N	\N
3544884	434	1997-02-28	PRIJEM	\N	73	24502	UROK	\N	\N
3544885	434	1997-03-31	PRIJEM	\N	106	27962	UROK	\N	\N
3544886	434	1997-04-30	PRIJEM	\N	115	26632	UROK	\N	\N
3544887	434	1997-05-31	PRIJEM	\N	110	25297	UROK	\N	\N
3544888	434	1997-06-30	PRIJEM	\N	113	21625	UROK	\N	\N
3544889	434	1997-07-31	PRIJEM	\N	92	16254	UROK	\N	\N
3544890	434	1997-08-31	PRIJEM	\N	73	15965	UROK	\N	\N
3544891	434	1997-09-30	PRIJEM	\N	67	12869	UROK	\N	\N
3544892	434	1997-10-31	PRIJEM	\N	60	13467	UROK	\N	\N
3544893	434	1997-11-30	PRIJEM	\N	60	13064	UROK	\N	\N
3544894	434	1997-12-31	PRIJEM	\N	72	14451	UROK	\N	\N
3544895	434	1998-01-31	PRIJEM	\N	63	13651	UROK	\N	\N
3544896	434	1998-02-28	PRIJEM	\N	61	13750	UROK	\N	\N
3544897	434	1998-03-31	PRIJEM	\N	58	13046	UROK	\N	\N
3544898	434	1998-04-30	PRIJEM	\N	62	14845	UROK	\N	\N
3544899	434	1998-05-31	PRIJEM	\N	63	13346	UROK	\N	\N
3544900	434	1998-06-30	PRIJEM	\N	64	11624	UROK	\N	\N
3544901	434	1998-07-31	PRIJEM	\N	60	15320	UROK	\N	\N
3544902	434	1998-08-31	PRIJEM	\N	67	14125	UROK	\N	\N
3544903	434	1998-09-30	PRIJEM	\N	70	17832	UROK	\N	\N
3544904	434	1998-10-31	PRIJEM	\N	84	20053	UROK	\N	\N
3544905	434	1998-11-30	PRIJEM	\N	92	22682	UROK	\N	\N
3544906	434	1998-12-31	PRIJEM	\N	122	31119	UROK	\N	\N
3544907	435	1993-06-30	PRIJEM	\N	26	13471	UROK	\N	\N
3544908	435	1993-07-31	PRIJEM	\N	62	13768	UROK	\N	\N
3544909	435	1993-08-31	PRIJEM	\N	64	15667	UROK	\N	\N
3544910	435	1993-09-30	PRIJEM	\N	71	17574	UROK	\N	\N
3544911	435	1993-10-31	PRIJEM	\N	79	19489	UROK	\N	\N
3544912	435	1993-11-30	PRIJEM	\N	85	20449	UROK	\N	\N
3544913	435	1993-12-31	PRIJEM	\N	89	21523	UROK	\N	\N
3544914	435	1994-01-31	PRIJEM	\N	78	14956	UROK	\N	\N
3544915	435	1994-02-28	PRIJEM	\N	68	16860	UROK	\N	\N
3544916	435	1994-03-31	PRIJEM	\N	76	18772	UROK	\N	\N
3544917	435	1994-04-30	PRIJEM	\N	80	17087	UROK	\N	\N
3544918	435	1994-05-31	PRIJEM	\N	71	15393	UROK	\N	\N
3544919	435	1994-06-30	PRIJEM	\N	70	17299	UROK	\N	\N
3544920	435	1994-07-31	PRIJEM	\N	62	15196	UROK	\N	\N
3544921	435	1994-08-31	PRIJEM	\N	69	17101	UROK	\N	\N
3544922	435	1994-09-30	PRIJEM	\N	77	19013	UROK	\N	\N
3544923	435	1994-10-31	PRIJEM	\N	85	20934	UROK	\N	\N
3544924	435	1994-11-30	PRIJEM	\N	93	22863	UROK	\N	\N
3544925	435	1994-12-31	PRIJEM	\N	101	23999	UROK	\N	\N
3544926	435	1995-01-31	PRIJEM	\N	83	17037	UROK	\N	\N
3544927	435	1995-02-28	PRIJEM	\N	77	18949	UROK	\N	\N
3544928	435	1995-03-31	PRIJEM	\N	85	20870	UROK	\N	\N
3544929	435	1995-04-30	PRIJEM	\N	93	22798	UROK	\N	\N
3544930	435	1995-05-31	PRIJEM	\N	101	24734	UROK	\N	\N
3544931	435	1995-06-30	PRIJEM	\N	99	23079	UROK	\N	\N
3544932	435	1995-07-31	PRIJEM	\N	102	25016	UROK	\N	\N
3544933	435	1995-08-31	PRIJEM	\N	100	23831	UROK	\N	\N
3544934	435	1995-09-30	PRIJEM	\N	105	25772	UROK	\N	\N
3544935	435	1995-10-31	PRIJEM	\N	113	27720	UROK	\N	\N
3544936	435	1995-11-30	PRIJEM	\N	121	29677	UROK	\N	\N
3544937	435	1995-12-31	PRIJEM	\N	121	29003	UROK	\N	\N
3544938	435	1996-01-31	PRIJEM	\N	105	20144	UROK	\N	\N
3544939	435	1996-02-29	PRIJEM	\N	89	22069	UROK	\N	\N
3544940	435	1996-03-31	PRIJEM	\N	97	24002	UROK	\N	\N
3544941	435	1996-04-30	PRIJEM	\N	105	25942	UROK	\N	\N
3544942	435	1996-05-31	PRIJEM	\N	114	27891	UROK	\N	\N
3544943	435	1996-06-30	PRIJEM	\N	107	23484	UROK	\N	\N
3544944	435	1996-07-31	PRIJEM	\N	103	25423	UROK	\N	\N
3544945	435	1996-08-31	PRIJEM	\N	111	27369	UROK	\N	\N
3544946	435	1996-09-30	PRIJEM	\N	119	29324	UROK	\N	\N
3544947	435	1996-10-31	PRIJEM	\N	127	31287	UROK	\N	\N
3544948	435	1996-11-30	PRIJEM	\N	135	33257	UROK	\N	\N
3544949	435	1996-12-31	PRIJEM	\N	132	29244	UROK	\N	\N
3544950	435	1997-01-31	PRIJEM	\N	114	24794	UROK	\N	\N
3544951	435	1997-02-28	PRIJEM	\N	108	26737	UROK	\N	\N
3544952	435	1997-03-31	PRIJEM	\N	116	28689	UROK	\N	\N
3544953	435	1997-04-30	PRIJEM	\N	124	30648	UROK	\N	\N
3544954	435	1997-05-31	PRIJEM	\N	129	30372	UROK	\N	\N
3544955	435	1997-06-30	PRIJEM	\N	116	24773	UROK	\N	\N
3544956	435	1997-07-31	PRIJEM	\N	106	23995	UROK	\N	\N
3544957	435	1997-08-31	PRIJEM	\N	105	25935	UROK	\N	\N
3544958	435	1997-09-30	PRIJEM	\N	112	27883	UROK	\N	\N
3544959	435	1997-10-31	PRIJEM	\N	121	29839	UROK	\N	\N
3544960	435	1997-11-30	PRIJEM	\N	128	31322	UROK	\N	\N
3544961	435	1997-12-31	PRIJEM	\N	132	32139	UROK	\N	\N
3544962	435	1998-01-31	PRIJEM	\N	124	26738	UROK	\N	\N
3544963	435	1998-02-28	PRIJEM	\N	115	28689	UROK	\N	\N
3544964	435	1998-03-31	PRIJEM	\N	123	30648	UROK	\N	\N
3544965	435	1998-04-30	PRIJEM	\N	129	30292	UROK	\N	\N
3544966	435	1998-05-31	PRIJEM	\N	130	32258	UROK	\N	\N
3544967	435	1998-06-30	PRIJEM	\N	101	23644	UROK	\N	\N
3544968	435	1998-07-31	PRIJEM	\N	102	25581	UROK	\N	\N
3544969	435	1998-08-31	PRIJEM	\N	110	27527	UROK	\N	\N
3544970	435	1998-09-30	PRIJEM	\N	108	25790	UROK	\N	\N
3544971	435	1998-10-31	PRIJEM	\N	102	24448	UROK	\N	\N
3544972	435	1998-11-30	PRIJEM	\N	105	26388	UROK	\N	\N
3544973	435	1998-12-31	PRIJEM	\N	111	27135	UROK	\N	\N
3544974	436	1996-08-31	PRIJEM	\N	27	8403	UROK	\N	\N
3544975	436	1996-09-30	PRIJEM	\N	91	25970	UROK	\N	\N
3544976	436	1996-10-31	PRIJEM	\N	127	32073	UROK	\N	\N
3544977	436	1996-11-30	PRIJEM	\N	144	35594	UROK	\N	\N
3544978	436	1996-12-31	PRIJEM	\N	161	39776	UROK	\N	\N
3544979	436	1997-01-31	PRIJEM	\N	89	15096	UROK	\N	\N
3544980	436	1997-02-28	PRIJEM	\N	68	16975	UROK	\N	\N
3544981	436	1997-03-31	PRIJEM	\N	67	16354	UROK	\N	\N
3544982	436	1997-04-30	PRIJEM	\N	64	15529	UROK	\N	\N
3544983	436	1997-05-31	PRIJEM	\N	55	13296	UROK	\N	\N
3544984	436	1997-06-30	PRIJEM	\N	63	14748	UROK	\N	\N
3544985	436	1997-07-31	PRIJEM	\N	69	17428	UROK	\N	\N
3544986	436	1997-08-31	PRIJEM	\N	67	14946	UROK	\N	\N
3544987	436	1997-09-30	PRIJEM	\N	70	17627	UROK	\N	\N
3544988	436	1997-10-31	PRIJEM	\N	79	19478	UROK	\N	\N
3544989	436	1997-11-30	PRIJEM	\N	89	22178	UROK	\N	\N
3544990	436	1997-12-31	PRIJEM	\N	107	24794	UROK	\N	\N
3544991	436	1998-01-31	PRIJEM	\N	88	15134	UROK	\N	\N
3544992	436	1998-02-28	PRIJEM	\N	70	17816	UROK	\N	\N
3544993	436	1998-03-31	PRIJEM	\N	79	15226	UROK	\N	\N
3544994	436	1998-04-30	PRIJEM	\N	71	17908	UROK	\N	\N
3544995	436	1998-05-31	PRIJEM	\N	68	11707	UROK	\N	\N
3544996	436	1998-06-30	PRIJEM	\N	66	16642	UROK	\N	\N
3544997	436	1998-07-31	PRIJEM	\N	77	19330	UROK	\N	\N
3544998	436	1998-08-31	PRIJEM	\N	82	12823	UROK	\N	\N
3544999	436	1998-09-30	PRIJEM	\N	61	15496	UROK	\N	\N
3545000	436	1998-10-31	PRIJEM	\N	67	12574	UROK	\N	\N
3545001	436	1998-11-30	PRIJEM	\N	60	15245	UROK	\N	\N
3545002	436	1998-12-31	PRIJEM	\N	71	15145	UROK	\N	\N
3545003	437	1993-12-31	PRIJEM	\N	89	33267	UROK	\N	\N
3545004	437	1994-01-31	PRIJEM	\N	179	48498	UROK	\N	\N
3545005	437	1994-02-28	PRIJEM	\N	229	59279	UROK	\N	\N
3545006	437	1994-03-31	PRIJEM	\N	264	65995	UROK	\N	\N
3545007	437	1994-04-30	PRIJEM	\N	277	66975	UROK	\N	\N
3545008	437	1994-05-31	PRIJEM	\N	258	61917	UROK	\N	\N
3545009	437	1994-06-30	PRIJEM	\N	253	64920	UROK	\N	\N
3545010	437	1994-07-31	PRIJEM	\N	258	63561	UROK	\N	\N
3545011	437	1994-08-31	PRIJEM	\N	226	42491	UROK	\N	\N
3545012	437	1994-09-30	PRIJEM	\N	203	43838	UROK	\N	\N
3545013	437	1994-10-31	PRIJEM	\N	211	44252	UROK	\N	\N
3545014	437	1994-11-30	PRIJEM	\N	221	46157	UROK	\N	\N
3545015	437	1994-12-31	PRIJEM	\N	251	52277	UROK	\N	\N
3545016	437	1995-01-31	PRIJEM	\N	221	44282	UROK	\N	\N
3545017	437	1995-02-28	PRIJEM	\N	221	49586	UROK	\N	\N
3545018	437	1995-03-31	PRIJEM	\N	243	52412	UROK	\N	\N
3545019	437	1995-04-30	PRIJEM	\N	251	53406	UROK	\N	\N
3545020	437	1995-05-31	PRIJEM	\N	252	52822	UROK	\N	\N
3545021	437	1995-06-30	PRIJEM	\N	260	56491	UROK	\N	\N
3545022	437	1995-07-31	PRIJEM	\N	265	56040	UROK	\N	\N
3545023	437	1995-08-31	PRIJEM	\N	262	59165	UROK	\N	\N
3545024	437	1995-09-30	PRIJEM	\N	277	63025	UROK	\N	\N
3545025	437	1995-10-31	PRIJEM	\N	275	62103	UROK	\N	\N
3545026	437	1995-11-30	PRIJEM	\N	288	67175	UROK	\N	\N
3545027	437	1995-12-31	PRIJEM	\N	323	73007	UROK	\N	\N
3545028	437	1996-01-31	PRIJEM	\N	281	58152	UROK	\N	\N
3545029	437	1996-02-29	PRIJEM	\N	262	63037	UROK	\N	\N
3545030	437	1996-03-31	PRIJEM	\N	291	69012	UROK	\N	\N
3545031	437	1996-04-30	PRIJEM	\N	312	73307	UROK	\N	\N
3545032	437	1996-05-31	PRIJEM	\N	329	76819	UROK	\N	\N
3545033	437	1996-06-30	PRIJEM	\N	350	78599	UROK	\N	\N
3545034	437	1996-07-31	PRIJEM	\N	341	77123	UROK	\N	\N
3545035	437	1996-08-31	PRIJEM	\N	327	69493	UROK	\N	\N
3545036	437	1996-09-30	PRIJEM	\N	309	73785	UROK	\N	\N
3545037	437	1996-10-31	PRIJEM	\N	331	80499	UROK	\N	\N
3545038	437	1996-11-30	PRIJEM	\N	347	83349	UROK	\N	\N
3545039	437	1996-12-31	PRIJEM	\N	379	92437	UROK	\N	\N
3545040	437	1997-01-31	PRIJEM	\N	365	85665	UROK	\N	\N
3545041	437	1997-02-28	PRIJEM	\N	365	87814	UROK	\N	\N
3545042	437	1997-03-31	PRIJEM	\N	374	88071	UROK	\N	\N
3545043	437	1997-04-30	PRIJEM	\N	379	91133	UROK	\N	\N
3545044	437	1997-05-31	PRIJEM	\N	393	95110	UROK	\N	\N
3545045	437	1997-06-30	PRIJEM	\N	341	68560	UROK	\N	\N
3545046	437	1997-07-31	PRIJEM	\N	326	85270	UROK	\N	\N
3545047	437	1997-08-31	PRIJEM	\N	374	93227	UROK	\N	\N
3545048	437	1997-09-30	PRIJEM	\N	389	91860	UROK	\N	\N
3545049	437	1997-10-31	PRIJEM	\N	404	101147	UROK	\N	\N
3545050	437	1997-11-30	PRIJEM	\N	390	90820	UROK	\N	\N
3545051	437	1997-12-31	PRIJEM	\N	402	101752	UROK	\N	\N
3545052	437	1998-01-31	PRIJEM	\N	418	103673	UROK	\N	\N
3545053	437	1998-02-28	PRIJEM	\N	347	71183	UROK	\N	\N
3545054	437	1998-03-31	PRIJEM	\N	343	91910	UROK	\N	\N
3545055	437	1998-04-30	PRIJEM	\N	438	115031	UROK	\N	\N
3545056	437	1998-05-31	PRIJEM	\N	360	71275	UROK	\N	\N
3545057	437	1998-06-30	PRIJEM	\N	314	71118	UROK	\N	\N
3545058	437	1998-07-31	PRIJEM	\N	409	113310	UROK	\N	\N
3545059	437	1998-08-31	PRIJEM	\N	460	110854	UROK	\N	\N
3545060	437	1998-09-30	PRIJEM	\N	395	87932	UROK	\N	\N
3545061	437	1998-10-31	PRIJEM	\N	363	84279	UROK	\N	\N
3545062	437	1998-11-30	PRIJEM	\N	413	107775	UROK	\N	\N
3545063	437	1998-12-31	PRIJEM	\N	389	83553	UROK	\N	\N
3545064	440	1997-01-31	PRIJEM	\N	31	21194	UROK	\N	\N
3545065	440	1997-02-28	PRIJEM	\N	102	31359	UROK	\N	\N
3545066	440	1997-03-31	PRIJEM	\N	133	33755	UROK	\N	\N
3545067	440	1997-04-30	PRIJEM	\N	137	31656	UROK	\N	\N
3545068	440	1997-05-31	PRIJEM	\N	135	29054	UROK	\N	\N
3545069	440	1997-06-30	PRIJEM	\N	109	22818	UROK	\N	\N
3545070	440	1997-07-31	PRIJEM	\N	117	26458	UROK	\N	\N
3545071	440	1997-08-31	PRIJEM	\N	110	21292	UROK	\N	\N
3545072	440	1997-09-30	PRIJEM	\N	96	21312	UROK	\N	\N
3545073	440	1997-10-31	PRIJEM	\N	99	22034	UROK	\N	\N
3545074	440	1997-11-30	PRIJEM	\N	112	25469	UROK	\N	\N
3545075	440	1997-12-31	PRIJEM	\N	127	26471	UROK	\N	\N
3545076	440	1998-01-31	PRIJEM	\N	93	20568	UROK	\N	\N
3545077	440	1998-02-28	PRIJEM	\N	112	30503	UROK	\N	\N
3545078	440	1998-03-31	PRIJEM	\N	151	37577	UROK	\N	\N
3545079	440	1998-04-30	PRIJEM	\N	162	36506	UROK	\N	\N
3545080	440	1998-05-31	PRIJEM	\N	163	38437	UROK	\N	\N
3545081	440	1998-06-30	PRIJEM	\N	187	45523	UROK	\N	\N
3545082	440	1998-07-31	PRIJEM	\N	181	41592	UROK	\N	\N
3545083	440	1998-08-31	PRIJEM	\N	182	43441	UROK	\N	\N
3545084	440	1998-09-30	PRIJEM	\N	190	45699	UROK	\N	\N
3545085	440	1998-10-31	PRIJEM	\N	195	46001	UROK	\N	\N
3545086	440	1998-11-30	PRIJEM	\N	217	54785	UROK	\N	\N
3545087	440	1998-12-31	PRIJEM	\N	254	59978	UROK	\N	\N
3545088	441	1994-01-31	PRIJEM	\N	75	34805	UROK	\N	\N
3545089	441	1994-02-28	PRIJEM	\N	185	54320	UROK	\N	\N
3545090	441	1994-03-31	PRIJEM	\N	243	63193	UROK	\N	\N
3545091	441	1994-04-30	PRIJEM	\N	274	68797	UROK	\N	\N
3545092	441	1994-05-31	PRIJEM	\N	236	40698	UROK	\N	\N
3545093	441	1994-06-30	PRIJEM	\N	199	31456	UROK	\N	\N
3545094	441	1994-07-31	PRIJEM	\N	187	38537	UROK	\N	\N
3545095	441	1994-08-31	PRIJEM	\N	220	51651	UROK	\N	\N
3545096	441	1994-09-30	PRIJEM	\N	244	56090	UROK	\N	\N
3545097	441	1994-10-31	PRIJEM	\N	251	46435	UROK	\N	\N
3545098	441	1994-11-30	PRIJEM	\N	315	59044	UROK	\N	\N
3545099	441	1994-12-31	PRIJEM	\N	209	42111	UROK	\N	\N
3545100	441	1995-01-31	PRIJEM	\N	176	26581	UROK	\N	\N
3545101	441	1995-02-28	PRIJEM	\N	169	33544	UROK	\N	\N
3545102	441	1995-03-31	PRIJEM	\N	175	41986	UROK	\N	\N
3545103	441	1995-04-30	PRIJEM	\N	220	54400	UROK	\N	\N
3545104	441	1995-05-31	PRIJEM	\N	255	60349	UROK	\N	\N
3545105	441	1995-06-30	PRIJEM	\N	223	39731	UROK	\N	\N
3545106	441	1995-07-31	PRIJEM	\N	223	57547	UROK	\N	\N
3545107	441	1995-08-31	PRIJEM	\N	273	64315	UROK	\N	\N
3545108	441	1995-09-30	PRIJEM	\N	333	88741	UROK	\N	\N
3545109	441	1995-10-31	PRIJEM	\N	239	43084	UROK	\N	\N
3545110	441	1995-11-30	PRIJEM	\N	265	73643	UROK	\N	\N
3545111	441	1995-12-31	PRIJEM	\N	259	58962	UROK	\N	\N
3545112	441	1996-01-31	PRIJEM	\N	260	48411	UROK	\N	\N
3545113	441	1996-02-29	PRIJEM	\N	295	80301	UROK	\N	\N
3545114	441	1996-03-31	PRIJEM	\N	333	79428	UROK	\N	\N
3545115	441	1996-04-30	PRIJEM	\N	336	76826	UROK	\N	\N
3545116	441	1996-05-31	PRIJEM	\N	354	77874	UROK	\N	\N
3545117	441	1996-06-30	PRIJEM	\N	298	28731	UROK	\N	\N
3545118	441	1996-07-31	PRIJEM	\N	277	79402	UROK	\N	\N
3545119	441	1996-08-31	PRIJEM	\N	380	101576	UROK	\N	\N
3545120	441	1996-09-30	PRIJEM	\N	361	81531	UROK	\N	\N
3545121	441	1996-10-31	PRIJEM	\N	400	105525	UROK	\N	\N
3545122	441	1996-11-30	PRIJEM	\N	322	73740	UROK	\N	\N
3545123	441	1996-12-31	PRIJEM	\N	296	67796	UROK	\N	\N
3545124	441	1997-01-31	PRIJEM	\N	244	39638	UROK	\N	\N
3545125	441	1997-02-28	PRIJEM	\N	252	67284	UROK	\N	\N
3545126	441	1997-03-31	PRIJEM	\N	347	90624	UROK	\N	\N
3545127	441	1997-04-30	PRIJEM	\N	264	62283	UROK	\N	\N
3545128	441	1997-05-31	PRIJEM	\N	355	68288	UROK	\N	\N
3545129	441	1997-06-30	PRIJEM	\N	266	61013	UROK	\N	\N
3545130	441	1997-07-31	PRIJEM	\N	313	70099	UROK	\N	\N
3545131	441	1997-08-31	PRIJEM	\N	366	83034	UROK	\N	\N
3545132	441	1997-09-30	PRIJEM	\N	374	80833	UROK	\N	\N
3545133	441	1997-10-31	PRIJEM	\N	326	70752	UROK	\N	\N
3545134	441	1997-11-30	PRIJEM	\N	294	61041	UROK	\N	\N
3545135	441	1997-12-31	PRIJEM	\N	229	63028	UROK	\N	\N
3545136	441	1998-01-31	PRIJEM	\N	338	50560	UROK	\N	\N
3545137	441	1998-02-28	PRIJEM	\N	315	68769	UROK	\N	\N
3545138	441	1998-03-31	PRIJEM	\N	369	84133	UROK	\N	\N
3545139	441	1998-04-30	PRIJEM	\N	307	68834	UROK	\N	\N
3545140	441	1998-05-31	PRIJEM	\N	393	93921	UROK	\N	\N
3545141	441	1998-06-30	PRIJEM	\N	418	92298	UROK	\N	\N
3545142	441	1998-07-31	PRIJEM	\N	311	67003	UROK	\N	\N
3545143	441	1998-08-31	PRIJEM	\N	380	92377	UROK	\N	\N
3545144	441	1998-09-30	PRIJEM	\N	319	72890	UROK	\N	\N
3545145	441	1998-10-31	PRIJEM	\N	406	100790	UROK	\N	\N
3545146	441	1998-11-30	PRIJEM	\N	447	101630	UROK	\N	\N
3545147	441	1998-12-31	PRIJEM	\N	461	107550	UROK	\N	\N
3545148	442	1997-08-31	PRIJEM	\N	27	40174	UROK	\N	\N
3545149	442	1997-09-30	PRIJEM	\N	161	31884	UROK	\N	\N
3545150	442	1997-10-31	PRIJEM	\N	132	18617	UROK	\N	\N
3545151	442	1997-11-30	PRIJEM	\N	132	16949	UROK	\N	\N
3545152	442	1997-12-31	PRIJEM	\N	132	16781	UROK	\N	\N
3545153	442	1998-01-31	PRIJEM	\N	136	35150	UROK	\N	\N
3545154	442	1998-02-28	PRIJEM	\N	146	21696	UROK	\N	\N
3545155	442	1998-03-31	PRIJEM	\N	146	12641	UROK	\N	\N
3545156	442	1998-04-30	PRIJEM	\N	127	15959	UROK	\N	\N
3545157	442	1998-05-31	PRIJEM	\N	83	26825	UROK	\N	\N
3545158	442	1998-06-30	PRIJEM	\N	81	25692	UROK	\N	\N
3545159	442	1998-07-31	PRIJEM	\N	144	20033	UROK	\N	\N
3545160	442	1998-08-31	PRIJEM	\N	135	23198	UROK	\N	\N
3545161	442	1998-09-30	PRIJEM	\N	200	47305	UROK	\N	\N
3545162	442	1998-10-31	PRIJEM	\N	135	16997	UROK	\N	\N
3545163	442	1998-11-30	PRIJEM	\N	41	14601	UROK	\N	\N
3545164	442	1998-12-31	PRIJEM	\N	82	54377	UROK	\N	\N
3545165	442	1998-12-31	VYDAJ	VYBER	1	54377	SANKC. UROK	\N	\N
3545166	443	1993-06-30	PRIJEM	\N	2	15792	UROK	\N	\N
3545167	443	1993-07-31	PRIJEM	\N	64	15481	UROK	\N	\N
3545168	443	1993-08-31	PRIJEM	\N	63	16130	UROK	\N	\N
3545169	443	1993-09-30	PRIJEM	\N	67	17202	UROK	\N	\N
3545170	443	1993-10-31	PRIJEM	\N	72	18279	UROK	\N	\N
3545171	443	1993-11-30	PRIJEM	\N	76	19361	UROK	\N	\N
3545172	443	1993-12-31	PRIJEM	\N	80	20086	UROK	\N	\N
3545173	443	1994-01-31	PRIJEM	\N	81	20092	UROK	\N	\N
3545174	443	1994-02-28	PRIJEM	\N	78	19766	UROK	\N	\N
3545175	443	1994-03-31	PRIJEM	\N	83	20854	UROK	\N	\N
3545176	443	1994-04-30	PRIJEM	\N	87	21946	UROK	\N	\N
3545177	443	1994-05-31	PRIJEM	\N	91	23043	UROK	\N	\N
3545178	443	1994-06-30	PRIJEM	\N	93	23121	UROK	\N	\N
3545179	443	1994-07-31	PRIJEM	\N	96	24222	UROK	\N	\N
3545180	443	1994-08-31	PRIJEM	\N	100	24527	UROK	\N	\N
3545181	443	1994-09-30	PRIJEM	\N	98	23131	UROK	\N	\N
3545182	443	1994-10-31	PRIJEM	\N	96	24233	UROK	\N	\N
3545183	443	1994-11-30	PRIJEM	\N	100	24048	UROK	\N	\N
3545184	443	1994-12-31	PRIJEM	\N	92	21754	UROK	\N	\N
3545185	443	1995-01-31	PRIJEM	\N	86	21196	UROK	\N	\N
3545186	443	1995-02-28	PRIJEM	\N	88	22289	UROK	\N	\N
3545187	443	1995-03-31	PRIJEM	\N	93	23387	UROK	\N	\N
3545188	443	1995-04-30	PRIJEM	\N	93	22446	UROK	\N	\N
3545189	443	1995-05-31	PRIJEM	\N	93	23545	UROK	\N	\N
3545190	443	1995-06-30	PRIJEM	\N	97	21287	UROK	\N	\N
3545191	443	1995-07-31	PRIJEM	\N	85	21537	UROK	\N	\N
3545192	443	1995-08-31	PRIJEM	\N	90	22632	UROK	\N	\N
3545193	443	1995-09-30	PRIJEM	\N	94	23732	UROK	\N	\N
3545194	443	1995-10-31	PRIJEM	\N	97	24384	UROK	\N	\N
3545195	443	1995-11-30	PRIJEM	\N	100	24049	UROK	\N	\N
3545196	443	1995-12-31	PRIJEM	\N	94	23228	UROK	\N	\N
3545197	443	1996-01-31	PRIJEM	\N	94	22228	UROK	\N	\N
3545198	443	1996-02-29	PRIJEM	\N	92	23325	UROK	\N	\N
3545199	443	1996-03-31	PRIJEM	\N	92	23193	UROK	\N	\N
3545200	443	1996-04-30	PRIJEM	\N	96	24294	UROK	\N	\N
3545201	443	1996-05-31	PRIJEM	\N	101	24560	UROK	\N	\N
3545202	443	1996-06-30	PRIJEM	\N	91	22087	UROK	\N	\N
3545203	443	1996-07-31	PRIJEM	\N	88	22160	UROK	\N	\N
3545204	443	1996-08-31	PRIJEM	\N	91	23046	UROK	\N	\N
3545205	443	1996-09-30	PRIJEM	\N	95	24147	UROK	\N	\N
3545206	443	1996-10-31	PRIJEM	\N	100	25252	UROK	\N	\N
3545207	443	1996-11-30	PRIJEM	\N	104	25431	UROK	\N	\N
3545208	443	1996-12-31	PRIJEM	\N	102	25039	UROK	\N	\N
3545209	443	1997-01-31	PRIJEM	\N	99	24523	UROK	\N	\N
3545210	443	1997-02-28	PRIJEM	\N	97	24486	UROK	\N	\N
3545211	443	1997-03-31	PRIJEM	\N	101	25592	UROK	\N	\N
3545212	443	1997-04-30	PRIJEM	\N	105	26702	UROK	\N	\N
3545213	443	1997-05-31	PRIJEM	\N	110	27818	UROK	\N	\N
3545214	443	1997-06-30	PRIJEM	\N	112	23986	UROK	\N	\N
3545215	443	1997-07-31	PRIJEM	\N	94	23435	UROK	\N	\N
3545216	443	1997-08-31	PRIJEM	\N	96	24536	UROK	\N	\N
3545217	443	1997-09-30	PRIJEM	\N	97	24378	UROK	\N	\N
3545218	443	1997-10-31	PRIJEM	\N	100	25483	UROK	\N	\N
3545219	443	1997-11-30	PRIJEM	\N	102	25841	UROK	\N	\N
3545220	443	1997-12-31	PRIJEM	\N	105	26742	UROK	\N	\N
3545221	443	1998-01-31	PRIJEM	\N	106	25363	UROK	\N	\N
3545222	443	1998-02-28	PRIJEM	\N	103	26471	UROK	\N	\N
3545223	443	1998-03-31	PRIJEM	\N	108	27585	UROK	\N	\N
3545224	443	1998-04-30	PRIJEM	\N	107	26837	UROK	\N	\N
3545225	443	1998-05-31	PRIJEM	\N	109	27952	UROK	\N	\N
3545226	443	1998-06-30	PRIJEM	\N	96	21823	UROK	\N	\N
3545227	443	1998-07-31	PRIJEM	\N	88	22916	UROK	\N	\N
3545228	443	1998-08-31	PRIJEM	\N	91	23323	UROK	\N	\N
3545229	443	1998-09-30	PRIJEM	\N	94	24422	UROK	\N	\N
3545230	443	1998-10-31	PRIJEM	\N	96	24113	UROK	\N	\N
3545231	443	1998-11-30	PRIJEM	\N	96	23865	UROK	\N	\N
3545232	443	1998-12-31	PRIJEM	\N	90	22230	UROK	\N	\N
3545233	444	1996-05-31	PRIJEM	\N	20	7824	UROK	\N	\N
3545234	444	1996-06-30	PRIJEM	\N	80	26760	UROK	\N	\N
3545235	444	1996-07-31	PRIJEM	\N	114	28078	UROK	\N	\N
3545236	444	1996-08-31	PRIJEM	\N	122	30405	UROK	\N	\N
3545237	444	1996-09-30	PRIJEM	\N	130	31738	UROK	\N	\N
3545238	444	1996-10-31	PRIJEM	\N	128	31486	UROK	\N	\N
3545239	444	1996-11-30	PRIJEM	\N	130	30736	UROK	\N	\N
3545240	444	1996-12-31	PRIJEM	\N	120	28128	UROK	\N	\N
3545241	444	1997-01-31	PRIJEM	\N	119	29968	UROK	\N	\N
3545242	444	1997-02-28	PRIJEM	\N	117	28705	UROK	\N	\N
3545243	444	1997-03-31	PRIJEM	\N	133	34358	UROK	\N	\N
3545244	444	1997-04-30	PRIJEM	\N	129	31007	UROK	\N	\N
3545245	444	1997-05-31	PRIJEM	\N	136	34664	UROK	\N	\N
3545246	444	1997-06-30	PRIJEM	\N	141	35577	UROK	\N	\N
3545247	444	1997-07-31	PRIJEM	\N	143	31641	UROK	\N	\N
3545248	444	1997-08-31	PRIJEM	\N	138	35099	UROK	\N	\N
3545249	444	1997-09-30	PRIJEM	\N	153	38573	UROK	\N	\N
3545250	444	1997-10-31	PRIJEM	\N	163	40256	UROK	\N	\N
3545251	444	1997-11-30	PRIJEM	\N	179	44555	UROK	\N	\N
3545252	444	1997-12-31	PRIJEM	\N	193	47920	UROK	\N	\N
3545253	444	1998-01-31	PRIJEM	\N	203	46544	UROK	\N	\N
3545254	444	1998-02-28	PRIJEM	\N	198	48963	UROK	\N	\N
3545255	444	1998-03-31	PRIJEM	\N	189	43272	UROK	\N	\N
3545256	444	1998-04-30	PRIJEM	\N	184	41376	UROK	\N	\N
3545257	444	1998-05-31	PRIJEM	\N	173	40469	UROK	\N	\N
3545258	444	1998-06-30	PRIJEM	\N	167	27409	UROK	\N	\N
3545259	444	1998-07-31	PRIJEM	\N	120	32649	UROK	\N	\N
3545260	444	1998-08-31	PRIJEM	\N	139	31909	UROK	\N	\N
3545261	444	1998-09-30	PRIJEM	\N	127	34056	UROK	\N	\N
3545262	444	1998-10-31	PRIJEM	\N	151	41227	UROK	\N	\N
3545263	444	1998-11-30	PRIJEM	\N	176	43123	UROK	\N	\N
3545264	444	1998-12-31	PRIJEM	\N	188	46784	UROK	\N	\N
3545265	445	1993-08-31	PRIJEM	\N	12	21376	UROK	\N	\N
3545266	445	1993-09-30	PRIJEM	\N	96	34036	UROK	\N	\N
3545267	445	1993-10-31	PRIJEM	\N	144	37543	UROK	\N	\N
3545268	445	1993-11-30	PRIJEM	\N	158	40965	UROK	\N	\N
3545269	445	1993-12-31	PRIJEM	\N	205	41519	UROK	\N	\N
3545270	445	1994-01-31	PRIJEM	\N	143	31931	UROK	\N	\N
3545271	445	1994-02-28	PRIJEM	\N	146	21646	UROK	\N	\N
3545272	445	1994-03-31	PRIJEM	\N	111	27026	UROK	\N	\N
3545273	445	1994-04-30	PRIJEM	\N	132	31527	UROK	\N	\N
3545274	445	1994-05-31	PRIJEM	\N	148	32544	UROK	\N	\N
3545275	445	1994-06-30	PRIJEM	\N	171	35866	UROK	\N	\N
3545276	445	1994-07-31	PRIJEM	\N	155	30490	UROK	\N	\N
3545277	445	1994-08-31	PRIJEM	\N	137	28196	UROK	\N	\N
3545278	445	1994-09-30	PRIJEM	\N	132	29897	UROK	\N	\N
3545279	445	1994-10-31	PRIJEM	\N	136	29602	UROK	\N	\N
3545280	445	1994-11-30	PRIJEM	\N	132	27403	UROK	\N	\N
3545281	445	1994-12-31	PRIJEM	\N	137	30691	UROK	\N	\N
3545282	445	1995-01-31	PRIJEM	\N	135	28995	UROK	\N	\N
3545283	445	1995-02-28	PRIJEM	\N	133	30497	UROK	\N	\N
3545284	445	1995-03-31	PRIJEM	\N	135	23901	UROK	\N	\N
3545285	445	1995-04-30	PRIJEM	\N	117	28287	UROK	\N	\N
3545286	445	1995-05-31	PRIJEM	\N	109	25614	UROK	\N	\N
3545287	445	1995-06-30	PRIJEM	\N	137	32102	UROK	\N	\N
3545288	445	1995-07-31	PRIJEM	\N	143	32414	UROK	\N	\N
3545289	445	1995-08-31	PRIJEM	\N	142	32226	UROK	\N	\N
3545290	445	1995-09-30	PRIJEM	\N	137	30332	UROK	\N	\N
3545291	445	1995-10-31	PRIJEM	\N	131	27432	UROK	\N	\N
3545292	445	1995-11-30	PRIJEM	\N	127	31428	UROK	\N	\N
3545293	445	1995-12-31	PRIJEM	\N	115	25693	UROK	\N	\N
3545294	445	1996-01-31	PRIJEM	\N	122	30484	UROK	\N	\N
3545295	445	1996-02-29	PRIJEM	\N	151	35805	UROK	\N	\N
3545296	445	1996-03-31	PRIJEM	\N	140	31413	UROK	\N	\N
3545297	445	1996-04-30	PRIJEM	\N	124	24207	UROK	\N	\N
3545298	445	1996-05-31	PRIJEM	\N	117	29693	UROK	\N	\N
3545299	445	1996-06-30	PRIJEM	\N	151	34695	UROK	\N	\N
3545300	445	1996-07-31	PRIJEM	\N	142	33106	UROK	\N	\N
3545301	445	1996-08-31	PRIJEM	\N	150	37125	UROK	\N	\N
3545302	445	1996-09-30	PRIJEM	\N	147	27540	UROK	\N	\N
3545303	445	1996-10-31	PRIJEM	\N	125	30835	UROK	\N	\N
3545304	445	1996-11-30	PRIJEM	\N	165	44369	UROK	\N	\N
3545305	445	1996-12-31	PRIJEM	\N	219	50539	UROK	\N	\N
3545306	445	1997-01-31	PRIJEM	\N	198	45806	UROK	\N	\N
3545307	445	1997-02-28	PRIJEM	\N	185	45360	UROK	\N	\N
3545308	445	1997-03-31	PRIJEM	\N	166	35295	UROK	\N	\N
3545309	445	1997-04-30	PRIJEM	\N	154	40318	UROK	\N	\N
3545310	445	1997-05-31	PRIJEM	\N	182	46569	UROK	\N	\N
3545311	445	1997-06-30	PRIJEM	\N	218	56360	UROK	\N	\N
3545312	445	1997-07-31	PRIJEM	\N	222	54751	UROK	\N	\N
3545313	445	1997-08-31	PRIJEM	\N	209	51929	UROK	\N	\N
3545314	445	1997-09-30	PRIJEM	\N	152	33650	UROK	\N	\N
3545315	445	1997-10-31	PRIJEM	\N	143	36962	UROK	\N	\N
3545316	445	1997-11-30	PRIJEM	\N	138	33225	UROK	\N	\N
3545317	445	1997-12-31	PRIJEM	\N	162	45338	UROK	\N	\N
3545318	445	1998-01-31	PRIJEM	\N	135	30043	UROK	\N	\N
3545319	445	1998-02-28	PRIJEM	\N	122	32934	UROK	\N	\N
3545320	445	1998-03-31	PRIJEM	\N	119	31222	UROK	\N	\N
3545321	445	1998-04-30	PRIJEM	\N	120	31911	UROK	\N	\N
3545322	445	1998-05-31	PRIJEM	\N	106	26324	UROK	\N	\N
3545323	445	1998-06-30	PRIJEM	\N	130	37705	UROK	\N	\N
3545324	445	1998-07-31	PRIJEM	\N	139	33812	UROK	\N	\N
3545325	445	1998-08-31	PRIJEM	\N	138	36619	UROK	\N	\N
3545326	445	1998-09-30	PRIJEM	\N	139	36427	UROK	\N	\N
3545327	445	1998-10-31	PRIJEM	\N	128	33824	UROK	\N	\N
3545328	445	1998-11-30	PRIJEM	\N	114	28807	UROK	\N	\N
3545329	445	1998-12-31	PRIJEM	\N	122	27580	UROK	\N	\N
3545330	446	1993-07-31	PRIJEM	\N	55	24315	UROK	\N	\N
3545331	446	1993-08-31	PRIJEM	\N	127	35002	UROK	\N	\N
3545332	446	1993-09-30	PRIJEM	\N	161	41424	UROK	\N	\N
3545333	446	1993-10-31	PRIJEM	\N	184	46268	UROK	\N	\N
3545334	446	1993-11-30	PRIJEM	\N	176	38942	UROK	\N	\N
3545335	446	1993-12-31	PRIJEM	\N	181	40687	UROK	\N	\N
3545336	446	1994-01-31	PRIJEM	\N	141	22853	UROK	\N	\N
3545337	446	1994-02-28	PRIJEM	\N	115	25932	UROK	\N	\N
3545338	446	1994-03-31	PRIJEM	\N	127	32964	UROK	\N	\N
3545339	446	1994-04-30	PRIJEM	\N	139	27807	UROK	\N	\N
3545340	446	1994-05-31	PRIJEM	\N	126	29857	UROK	\N	\N
3545341	446	1994-06-30	PRIJEM	\N	123	16364	UROK	\N	\N
3545342	446	1994-07-31	PRIJEM	\N	96	24965	UROK	\N	\N
3545343	446	1994-08-31	PRIJEM	\N	132	30901	UROK	\N	\N
3545344	446	1994-09-30	PRIJEM	\N	182	47187	UROK	\N	\N
3545345	446	1994-10-31	PRIJEM	\N	220	53711	UROK	\N	\N
3545346	446	1994-11-30	PRIJEM	\N	235	56450	UROK	\N	\N
3545347	446	1994-12-31	PRIJEM	\N	282	69156	UROK	\N	\N
3545348	446	1995-01-31	PRIJEM	\N	256	45916	UROK	\N	\N
3545349	446	1995-02-28	PRIJEM	\N	222	55343	UROK	\N	\N
3545350	446	1995-03-31	PRIJEM	\N	237	54784	UROK	\N	\N
3545351	446	1995-04-30	PRIJEM	\N	237	56926	UROK	\N	\N
3545352	446	1995-05-31	PRIJEM	\N	246	58976	UROK	\N	\N
3545353	446	1995-06-30	PRIJEM	\N	249	44050	UROK	\N	\N
3545354	446	1995-07-31	PRIJEM	\N	215	51269	UROK	\N	\N
3545355	446	1995-08-31	PRIJEM	\N	233	50086	UROK	\N	\N
3545356	446	1995-09-30	PRIJEM	\N	237	58627	UROK	\N	\N
3545357	446	1995-10-31	PRIJEM	\N	246	61677	UROK	\N	\N
3545358	446	1995-11-30	PRIJEM	\N	257	60938	UROK	\N	\N
3545359	446	1995-12-31	PRIJEM	\N	289	70111	UROK	\N	\N
3545360	446	1996-01-31	PRIJEM	\N	218	45493	UROK	\N	\N
3545361	446	1996-02-29	PRIJEM	\N	207	52605	UROK	\N	\N
3545362	446	1996-03-31	PRIJEM	\N	238	56547	UROK	\N	\N
3545363	446	1996-04-30	PRIJEM	\N	244	60495	UROK	\N	\N
3545364	446	1996-05-31	PRIJEM	\N	259	50058	UROK	\N	\N
3545365	446	1996-06-30	PRIJEM	\N	273	49716	UROK	\N	\N
3545366	446	1996-07-31	PRIJEM	\N	243	51363	UROK	\N	\N
3545367	446	1996-08-31	PRIJEM	\N	247	51114	UROK	\N	\N
3545368	446	1996-09-30	PRIJEM	\N	245	51963	UROK	\N	\N
3545369	446	1996-10-31	PRIJEM	\N	248	54416	UROK	\N	\N
3545370	446	1996-11-30	PRIJEM	\N	255	54376	UROK	\N	\N
3545371	446	1996-12-31	PRIJEM	\N	267	55407	UROK	\N	\N
3545372	446	1997-01-31	PRIJEM	\N	215	41446	UROK	\N	\N
3545373	446	1997-02-28	PRIJEM	\N	200	44051	UROK	\N	\N
3545374	446	1997-03-31	PRIJEM	\N	214	42789	UROK	\N	\N
3545375	446	1997-04-30	PRIJEM	\N	201	39395	UROK	\N	\N
3545376	446	1997-05-31	PRIJEM	\N	174	33354	UROK	\N	\N
3545377	446	1997-06-30	PRIJEM	\N	171	34709	UROK	\N	\N
3545378	446	1997-07-31	PRIJEM	\N	167	34680	UROK	\N	\N
3545379	446	1997-08-31	PRIJEM	\N	164	34448	UROK	\N	\N
3545380	446	1997-09-30	PRIJEM	\N	155	29308	UROK	\N	\N
3545381	446	1997-10-31	PRIJEM	\N	141	30653	UROK	\N	\N
3545382	446	1997-11-30	PRIJEM	\N	140	24477	UROK	\N	\N
3545383	446	1997-12-31	PRIJEM	\N	149	29451	UROK	\N	\N
3545384	446	1998-01-31	PRIJEM	\N	123	20518	UROK	\N	\N
3545385	446	1998-02-28	PRIJEM	\N	97	20819	UROK	\N	\N
3545386	446	1998-03-31	PRIJEM	\N	102	21926	UROK	\N	\N
3545387	446	1998-04-30	PRIJEM	\N	107	24137	UROK	\N	\N
3545388	446	1998-05-31	PRIJEM	\N	111	23352	UROK	\N	\N
3545389	446	1998-06-30	PRIJEM	\N	132	32468	UROK	\N	\N
3545390	446	1998-07-31	PRIJEM	\N	139	29712	UROK	\N	\N
3545391	446	1998-08-31	PRIJEM	\N	121	24337	UROK	\N	\N
3545392	446	1998-09-30	PRIJEM	\N	111	22153	UROK	\N	\N
3545393	446	1998-10-31	PRIJEM	\N	131	39488	UROK	\N	\N
3545394	446	1998-11-30	PRIJEM	\N	140	22652	UROK	\N	\N
3545395	446	1998-12-31	PRIJEM	\N	157	49494	UROK	\N	\N
3545396	447	1996-09-30	PRIJEM	\N	52	20782	UROK	\N	\N
3545397	447	1996-10-31	PRIJEM	\N	112	30824	UROK	\N	\N
3545398	447	1996-11-30	PRIJEM	\N	148	38402	UROK	\N	\N
3545399	447	1996-12-31	PRIJEM	\N	197	52243	UROK	\N	\N
3545400	447	1997-01-31	PRIJEM	\N	217	52290	UROK	\N	\N
3545401	447	1997-02-28	PRIJEM	\N	213	50624	UROK	\N	\N
3545402	447	1997-03-31	PRIJEM	\N	202	44688	UROK	\N	\N
3545403	447	1997-04-30	PRIJEM	\N	194	46344	UROK	\N	\N
3545404	447	1997-05-31	PRIJEM	\N	193	44998	UROK	\N	\N
3545405	447	1997-06-30	PRIJEM	\N	210	51885	UROK	\N	\N
3545406	447	1997-07-31	PRIJEM	\N	204	47350	UROK	\N	\N
3545407	447	1997-08-31	PRIJEM	\N	199	48211	UROK	\N	\N
3545408	447	1997-09-30	PRIJEM	\N	222	56594	UROK	\N	\N
3545409	447	1997-10-31	PRIJEM	\N	241	59296	UROK	\N	\N
3545410	447	1997-11-30	PRIJEM	\N	255	63713	UROK	\N	\N
3545411	447	1997-12-31	PRIJEM	\N	284	67613	UROK	\N	\N
3545412	447	1998-01-31	PRIJEM	\N	284	69458	UROK	\N	\N
3545413	447	1998-02-28	PRIJEM	\N	282	70401	UROK	\N	\N
3545414	447	1998-03-31	PRIJEM	\N	292	71954	UROK	\N	\N
3545415	447	1998-04-30	PRIJEM	\N	288	69404	UROK	\N	\N
3545416	447	1998-05-31	PRIJEM	\N	269	63454	UROK	\N	\N
3545417	447	1998-06-30	PRIJEM	\N	292	75723	UROK	\N	\N
3545418	447	1998-07-31	PRIJEM	\N	258	59883	UROK	\N	\N
3545419	447	1998-08-31	PRIJEM	\N	251	63095	UROK	\N	\N
3545420	447	1998-09-30	PRIJEM	\N	250	62306	UROK	\N	\N
3545421	447	1998-10-31	PRIJEM	\N	269	67936	UROK	\N	\N
3545422	447	1998-11-30	PRIJEM	\N	291	73389	UROK	\N	\N
3545423	447	1998-12-31	PRIJEM	\N	327	83313	UROK	\N	\N
3545437	449	1995-04-30	PRIJEM	\N	53	18004	UROK	\N	\N
3545438	449	1995-05-31	PRIJEM	\N	84	20576	UROK	\N	\N
3545439	449	1995-06-30	PRIJEM	\N	60	12374	UROK	\N	\N
3545440	449	1995-07-31	PRIJEM	\N	58	13721	UROK	\N	\N
3545441	449	1995-08-31	PRIJEM	\N	66	16275	UROK	\N	\N
3545442	449	1995-09-30	PRIJEM	\N	65	15309	UROK	\N	\N
3545443	449	1995-10-31	PRIJEM	\N	69	14507	UROK	\N	\N
3545444	449	1995-11-30	PRIJEM	\N	69	17064	UROK	\N	\N
3545445	449	1995-12-31	PRIJEM	\N	76	18169	UROK	\N	\N
3545446	449	1996-01-31	PRIJEM	\N	64	14081	UROK	\N	\N
3545447	449	1996-02-29	PRIJEM	\N	67	16637	UROK	\N	\N
3545448	449	1996-03-31	PRIJEM	\N	78	19203	UROK	\N	\N
3545449	449	1996-04-30	PRIJEM	\N	89	21780	UROK	\N	\N
3545450	449	1996-05-31	PRIJEM	\N	96	22965	UROK	\N	\N
3545451	449	1996-06-30	PRIJEM	\N	104	25557	UROK	\N	\N
3545452	449	1996-07-31	PRIJEM	\N	105	23951	UROK	\N	\N
3545453	449	1996-08-31	PRIJEM	\N	102	23941	UROK	\N	\N
3545454	449	1996-09-30	PRIJEM	\N	101	23630	UROK	\N	\N
3545455	449	1996-10-31	PRIJEM	\N	89	19507	UROK	\N	\N
3545456	449	1996-11-30	PRIJEM	\N	89	18085	UROK	\N	\N
3545457	449	1996-12-31	PRIJEM	\N	69	15783	UROK	\N	\N
3545458	449	1997-01-31	PRIJEM	\N	60	13651	UROK	\N	\N
3545459	449	1997-02-28	PRIJEM	\N	60	14299	UROK	\N	\N
3545460	449	1997-03-31	PRIJEM	\N	65	15652	UROK	\N	\N
3545461	449	1997-04-30	PRIJEM	\N	59	13099	UROK	\N	\N
3545462	449	1997-05-31	PRIJEM	\N	50	11237	UROK	\N	\N
3545463	449	1997-06-30	PRIJEM	\N	44	10170	UROK	\N	\N
3545464	449	1997-07-31	PRIJEM	\N	46	11304	UROK	\N	\N
3545465	449	1997-08-31	PRIJEM	\N	55	13848	UROK	\N	\N
3545466	449	1997-09-30	PRIJEM	\N	61	14797	UROK	\N	\N
3545467	449	1997-10-31	PRIJEM	\N	67	14873	UROK	\N	\N
3545468	449	1997-11-30	PRIJEM	\N	66	15027	UROK	\N	\N
3545469	449	1997-12-31	PRIJEM	\N	69	16634	UROK	\N	\N
3545470	449	1998-01-31	PRIJEM	\N	63	14096	UROK	\N	\N
3545471	449	1998-02-28	PRIJEM	\N	67	16651	UROK	\N	\N
3545472	449	1998-03-31	PRIJEM	\N	77	19217	UROK	\N	\N
3545473	449	1998-04-30	PRIJEM	\N	88	21793	UROK	\N	\N
3545474	449	1998-05-31	PRIJEM	\N	93	21094	UROK	\N	\N
3545475	449	1998-06-30	PRIJEM	\N	88	20711	UROK	\N	\N
3545476	449	1998-07-31	PRIJEM	\N	90	20889	UROK	\N	\N
3545477	449	1998-08-31	PRIJEM	\N	87	18024	UROK	\N	\N
3545478	449	1998-09-30	PRIJEM	\N	83	20595	UROK	\N	\N
3545479	449	1998-10-31	PRIJEM	\N	94	23177	UROK	\N	\N
3545480	449	1998-11-30	PRIJEM	\N	104	25770	UROK	\N	\N
3545481	449	1998-12-31	PRIJEM	\N	71	14880	UROK	\N	\N
3545482	450	1996-10-31	PRIJEM	\N	50	20711	UROK	\N	\N
3545483	450	1996-11-30	PRIJEM	\N	87	18672	UROK	\N	\N
3545484	450	1996-12-31	PRIJEM	\N	73	15499	UROK	\N	\N
3545485	450	1997-01-31	PRIJEM	\N	61	13054	UROK	\N	\N
3545486	450	1997-02-28	PRIJEM	\N	55	11703	UROK	\N	\N
3545487	450	1997-03-31	PRIJEM	\N	51	11328	UROK	\N	\N
3545488	450	1997-04-30	PRIJEM	\N	51	12153	UROK	\N	\N
3545489	450	1997-05-31	PRIJEM	\N	53	12081	UROK	\N	\N
3545490	450	1997-06-30	PRIJEM	\N	55	14110	UROK	\N	\N
3545491	450	1997-07-31	PRIJEM	\N	55	10379	UROK	\N	\N
3545492	450	1997-08-31	PRIJEM	\N	48	12402	UROK	\N	\N
3545493	450	1997-09-30	PRIJEM	\N	56	14432	UROK	\N	\N
3545494	450	1997-10-31	PRIJEM	\N	64	12871	UROK	\N	\N
3545495	450	1997-11-30	PRIJEM	\N	53	11698	UROK	\N	\N
3545496	450	1997-12-31	PRIJEM	\N	50	11622	UROK	\N	\N
3545497	450	1998-01-31	PRIJEM	\N	52	13088	UROK	\N	\N
3545498	450	1998-02-28	PRIJEM	\N	52	11014	UROK	\N	\N
3545499	450	1998-03-31	PRIJEM	\N	51	13039	UROK	\N	\N
3545500	450	1998-04-30	PRIJEM	\N	59	15072	UROK	\N	\N
3545501	450	1998-05-31	PRIJEM	\N	56	10902	UROK	\N	\N
3545502	450	1998-06-30	PRIJEM	\N	50	12927	UROK	\N	\N
3545503	450	1998-07-31	PRIJEM	\N	50	10951	UROK	\N	\N
3545504	450	1998-08-31	PRIJEM	\N	49	12475	UROK	\N	\N
3545505	450	1998-09-30	PRIJEM	\N	53	13002	UROK	\N	\N
3545506	450	1998-10-31	PRIJEM	\N	57	14434	UROK	\N	\N
3545507	450	1998-11-30	PRIJEM	\N	64	15573	UROK	\N	\N
3545508	450	1998-12-31	PRIJEM	\N	65	16112	UROK	\N	\N
3545509	451	1994-12-31	PRIJEM	\N	4	26904	UROK	\N	\N
3545510	451	1995-02-28	PRIJEM	\N	124	29528	UROK	\N	\N
3545511	451	1995-03-31	PRIJEM	\N	113	30440	UROK	\N	\N
3545512	451	1995-04-30	PRIJEM	\N	129	31069	UROK	\N	\N
3545513	451	1995-05-31	PRIJEM	\N	129	28398	UROK	\N	\N
3545514	451	1995-06-30	PRIJEM	\N	129	24227	UROK	\N	\N
3545515	451	1995-07-31	PRIJEM	\N	129	27556	UROK	\N	\N
3545516	451	1995-08-31	PRIJEM	\N	129	27885	UROK	\N	\N
3545517	451	1995-09-30	PRIJEM	\N	129	29614	UROK	\N	\N
3545518	451	1995-10-31	PRIJEM	\N	129	26143	UROK	\N	\N
3545519	451	1995-11-30	PRIJEM	\N	129	27972	UROK	\N	\N
3545520	451	1995-12-31	PRIJEM	\N	129	26801	UROK	\N	\N
3545521	451	1996-01-31	PRIJEM	\N	129	27329	UROK	\N	\N
3545522	451	1996-02-29	PRIJEM	\N	129	25158	UROK	\N	\N
3545523	451	1996-03-31	PRIJEM	\N	129	25987	UROK	\N	\N
3545524	451	1996-04-30	PRIJEM	\N	129	24616	UROK	\N	\N
3545525	451	1996-05-31	PRIJEM	\N	129	25045	UROK	\N	\N
3545526	451	1996-06-30	PRIJEM	\N	129	23474	UROK	\N	\N
3545527	451	1996-07-31	PRIJEM	\N	129	24503	UROK	\N	\N
3545528	451	1996-08-31	PRIJEM	\N	129	22032	UROK	\N	\N
3545529	451	1996-09-30	PRIJEM	\N	129	20961	UROK	\N	\N
3545530	451	1996-10-31	PRIJEM	\N	129	17190	UROK	\N	\N
3545531	451	1996-11-30	PRIJEM	\N	129	18719	UROK	\N	\N
3545532	451	1996-12-31	PRIJEM	\N	129	17847	UROK	\N	\N
3545533	451	1997-01-31	PRIJEM	\N	129	21876	UROK	\N	\N
3545534	451	1997-02-28	PRIJEM	\N	129	21505	UROK	\N	\N
3545535	451	1997-03-31	PRIJEM	\N	129	22734	UROK	\N	\N
3545536	451	1997-04-30	PRIJEM	\N	129	22163	UROK	\N	\N
3545537	451	1997-05-31	PRIJEM	\N	129	21192	UROK	\N	\N
3545538	451	1997-06-30	PRIJEM	\N	129	20121	UROK	\N	\N
3545539	451	1997-07-31	PRIJEM	\N	129	19550	UROK	\N	\N
3545540	451	1997-08-31	PRIJEM	\N	129	19479	UROK	\N	\N
3545541	451	1997-09-30	PRIJEM	\N	129	18308	UROK	\N	\N
3545542	451	1997-10-31	PRIJEM	\N	129	23937	UROK	\N	\N
3545543	451	1997-11-30	PRIJEM	\N	129	23765	UROK	\N	\N
3545544	451	1997-12-31	PRIJEM	\N	129	21194	UROK	\N	\N
3545545	451	1998-01-31	PRIJEM	\N	129	23323	UROK	\N	\N
3545546	451	1998-02-28	PRIJEM	\N	129	20452	UROK	\N	\N
3545547	451	1998-03-31	PRIJEM	\N	129	20481	UROK	\N	\N
3545548	451	1998-04-30	PRIJEM	\N	129	18010	UROK	\N	\N
3545549	451	1998-05-31	PRIJEM	\N	129	18339	UROK	\N	\N
3545550	451	1998-06-30	PRIJEM	\N	129	15568	UROK	\N	\N
3545551	451	1998-07-31	PRIJEM	\N	129	17897	UROK	\N	\N
3545552	451	1998-08-31	PRIJEM	\N	129	24626	UROK	\N	\N
3545553	451	1998-10-31	PRIJEM	\N	129	23855	UROK	\N	\N
3545554	451	1998-11-30	PRIJEM	\N	129	20383	UROK	\N	\N
3545555	452	1995-12-31	PRIJEM	\N	76	42817	UROK	\N	\N
3545556	452	1996-01-31	PRIJEM	\N	177	40844	UROK	\N	\N
3545557	452	1996-02-29	PRIJEM	\N	175	54553	UROK	\N	\N
3545558	452	1996-03-31	PRIJEM	\N	227	39679	UROK	\N	\N
3545559	452	1996-04-30	PRIJEM	\N	227	35406	UROK	\N	\N
3545560	452	1996-05-31	PRIJEM	\N	311	53690	UROK	\N	\N
3545561	452	1996-06-30	PRIJEM	\N	150	32992	UROK	\N	\N
3545562	452	1996-07-31	PRIJEM	\N	120	29464	UROK	\N	\N
3545563	452	1996-08-31	PRIJEM	\N	108	28324	UROK	\N	\N
3545564	452	1996-09-30	PRIJEM	\N	294	61938	UROK	\N	\N
3545565	452	1996-10-31	PRIJEM	\N	269	62228	UROK	\N	\N
3545566	452	1996-11-30	PRIJEM	\N	298	70303	UROK	\N	\N
3545567	452	1996-12-31	PRIJEM	\N	236	41391	UROK	\N	\N
3545568	452	1997-01-31	PRIJEM	\N	195	37699	UROK	\N	\N
3545569	452	1997-02-28	PRIJEM	\N	161	36183	UROK	\N	\N
3545570	452	1997-03-31	PRIJEM	\N	152	38187	UROK	\N	\N
3545571	452	1997-04-30	PRIJEM	\N	158	38097	UROK	\N	\N
3545572	452	1997-05-31	PRIJEM	\N	177	47967	UROK	\N	\N
3545573	452	1997-06-30	PRIJEM	\N	223	49821	UROK	\N	\N
3545574	452	1997-07-31	PRIJEM	\N	183	40427	UROK	\N	\N
3545575	452	1997-08-31	PRIJEM	\N	158	44753	UROK	\N	\N
3545576	452	1997-09-30	PRIJEM	\N	170	39275	UROK	\N	\N
3545577	452	1997-10-31	PRIJEM	\N	157	36485	UROK	\N	\N
3545578	452	1997-11-30	PRIJEM	\N	233	98846	UROK	\N	\N
3545579	452	1997-12-31	PRIJEM	\N	324	68122	UROK	\N	\N
3545580	452	1998-01-31	PRIJEM	\N	287	50800	UROK	\N	\N
3545581	452	1998-02-28	PRIJEM	\N	224	51823	UROK	\N	\N
3545582	452	1998-03-31	PRIJEM	\N	199	48374	UROK	\N	\N
3545583	452	1998-04-30	PRIJEM	\N	327	99936	UROK	\N	\N
3545584	452	1998-05-31	PRIJEM	\N	376	60674	UROK	\N	\N
3545585	452	1998-06-30	PRIJEM	\N	316	83520	UROK	\N	\N
3545586	452	1998-07-31	PRIJEM	\N	267	28412	UROK	\N	\N
3545587	452	1998-08-31	PRIJEM	\N	183	53839	UROK	\N	\N
3545588	452	1998-09-30	PRIJEM	\N	278	86687	UROK	\N	\N
3545589	452	1998-10-31	PRIJEM	\N	337	66743	UROK	\N	\N
3545590	452	1998-11-30	PRIJEM	\N	254	60049	UROK	\N	\N
3545591	452	1998-12-31	PRIJEM	\N	316	76221	UROK	\N	\N
3545592	453	1997-05-31	PRIJEM	\N	31	28428	UROK	\N	\N
3545593	453	1997-06-30	PRIJEM	\N	139	47513	UROK	\N	\N
3545594	453	1997-07-31	PRIJEM	\N	201	50911	UROK	\N	\N
3545595	453	1997-08-31	PRIJEM	\N	217	55025	UROK	\N	\N
3545596	453	1997-09-30	PRIJEM	\N	242	52852	UROK	\N	\N
3545597	453	1997-10-31	PRIJEM	\N	237	53259	UROK	\N	\N
3545598	453	1997-11-30	PRIJEM	\N	227	47657	UROK	\N	\N
3545599	453	1997-12-31	PRIJEM	\N	239	50215	UROK	\N	\N
3545600	453	1998-01-31	PRIJEM	\N	208	39293	UROK	\N	\N
3545601	453	1998-02-28	PRIJEM	\N	182	44345	UROK	\N	\N
3545602	453	1998-03-31	PRIJEM	\N	221	50437	UROK	\N	\N
3545603	453	1998-04-30	PRIJEM	\N	227	53835	UROK	\N	\N
3545604	453	1998-05-31	PRIJEM	\N	230	55435	UROK	\N	\N
3545605	453	1998-06-30	PRIJEM	\N	243	46997	UROK	\N	\N
3545606	453	1998-07-31	PRIJEM	\N	216	53083	UROK	\N	\N
3545607	453	1998-08-31	PRIJEM	\N	229	53982	UROK	\N	\N
3545608	453	1998-09-30	PRIJEM	\N	238	58491	UROK	\N	\N
3545609	453	1998-10-31	PRIJEM	\N	257	60019	UROK	\N	\N
3545610	453	1998-11-30	PRIJEM	\N	271	59860	UROK	\N	\N
3545611	453	1998-12-31	PRIJEM	\N	331	86610	UROK	\N	\N
3545612	454	1995-06-30	PRIJEM	\N	15	17111	UROK	\N	\N
3545613	454	1995-07-31	PRIJEM	\N	70	27813	UROK	\N	\N
3545614	454	1995-08-31	PRIJEM	\N	147	38290	UROK	\N	\N
3545615	454	1995-09-30	PRIJEM	\N	172	42094	UROK	\N	\N
3545616	454	1995-10-31	PRIJEM	\N	153	33810	UROK	\N	\N
3545617	454	1995-11-30	PRIJEM	\N	117	21717	UROK	\N	\N
3545618	454	1995-12-31	PRIJEM	\N	115	26427	UROK	\N	\N
3545619	454	1996-01-31	PRIJEM	\N	87	12803	UROK	\N	\N
3545620	454	1996-02-29	PRIJEM	\N	77	17929	UROK	\N	\N
3545621	454	1996-03-31	PRIJEM	\N	92	22150	UROK	\N	\N
3545622	454	1996-04-30	PRIJEM	\N	117	28496	UROK	\N	\N
3545623	454	1996-05-31	PRIJEM	\N	132	31618	UROK	\N	\N
3545624	454	1996-06-30	PRIJEM	\N	107	23039	UROK	\N	\N
3545625	454	1996-07-31	PRIJEM	\N	105	27774	UROK	\N	\N
3545626	454	1996-08-31	PRIJEM	\N	123	27727	UROK	\N	\N
3545627	454	1996-09-30	PRIJEM	\N	120	27516	UROK	\N	\N
3545628	454	1996-10-31	PRIJEM	\N	124	32170	UROK	\N	\N
3545629	454	1996-11-30	PRIJEM	\N	140	30740	UROK	\N	\N
3545630	454	1996-12-31	PRIJEM	\N	146	33881	UROK	\N	\N
3545631	454	1997-01-31	PRIJEM	\N	116	24346	UROK	\N	\N
3545632	454	1997-02-28	PRIJEM	\N	112	30687	UROK	\N	\N
3545633	454	1997-03-31	PRIJEM	\N	132	29869	UROK	\N	\N
3545634	454	1997-04-30	PRIJEM	\N	135	36133	UROK	\N	\N
3545635	454	1997-05-31	PRIJEM	\N	155	35877	UROK	\N	\N
3545636	454	1997-06-30	PRIJEM	\N	135	28767	UROK	\N	\N
3545637	454	1997-07-31	PRIJEM	\N	128	27885	UROK	\N	\N
3545638	454	1997-08-31	PRIJEM	\N	120	29254	UROK	\N	\N
3545639	454	1997-09-30	PRIJEM	\N	124	27587	UROK	\N	\N
3545640	454	1997-10-31	PRIJEM	\N	112	24409	UROK	\N	\N
3545641	454	1997-11-30	PRIJEM	\N	102	26941	UROK	\N	\N
3545642	454	1997-12-31	PRIJEM	\N	124	29140	UROK	\N	\N
3545643	454	1998-01-31	PRIJEM	\N	111	18360	UROK	\N	\N
3545644	454	1998-02-28	PRIJEM	\N	90	25179	UROK	\N	\N
3545645	454	1998-03-31	PRIJEM	\N	113	28221	UROK	\N	\N
3545646	454	1998-04-30	PRIJEM	\N	101	25391	UROK	\N	\N
3545647	454	1998-05-31	PRIJEM	\N	112	29233	UROK	\N	\N
3545648	454	1998-06-30	PRIJEM	\N	134	25542	UROK	\N	\N
3545649	454	1998-07-31	PRIJEM	\N	112	26883	UROK	\N	\N
3545650	454	1998-08-31	PRIJEM	\N	118	28930	UROK	\N	\N
3545651	454	1998-09-30	PRIJEM	\N	120	28959	UROK	\N	\N
3545652	454	1998-10-31	PRIJEM	\N	121	28210	UROK	\N	\N
3545653	454	1998-11-30	PRIJEM	\N	117	26856	UROK	\N	\N
3545654	454	1998-12-31	PRIJEM	\N	127	31677	UROK	\N	\N
3545655	455	1995-05-31	PRIJEM	\N	20	16629	UROK	\N	\N
3545656	455	1995-06-30	PRIJEM	\N	85	28978	UROK	\N	\N
3545657	455	1995-07-31	PRIJEM	\N	126	32912	UROK	\N	\N
3545658	455	1995-08-31	PRIJEM	\N	137	33258	UROK	\N	\N
3545659	455	1995-09-30	PRIJEM	\N	139	33806	UROK	\N	\N
3545660	455	1995-10-31	PRIJEM	\N	138	29799	UROK	\N	\N
3545661	455	1995-11-30	PRIJEM	\N	124	28078	UROK	\N	\N
3545662	455	1995-12-31	PRIJEM	\N	116	30124	UROK	\N	\N
3545663	455	1996-01-31	PRIJEM	\N	126	29206	UROK	\N	\N
3545664	455	1996-02-29	PRIJEM	\N	114	27595	UROK	\N	\N
3545665	455	1996-03-31	PRIJEM	\N	109	23199	UROK	\N	\N
3545666	455	1996-04-30	PRIJEM	\N	102	24955	UROK	\N	\N
3545667	455	1996-05-31	PRIJEM	\N	112	28123	UROK	\N	\N
3545668	455	1996-06-30	PRIJEM	\N	104	24157	UROK	\N	\N
3545669	455	1996-07-31	PRIJEM	\N	99	22811	UROK	\N	\N
3545670	455	1996-08-31	PRIJEM	\N	99	24265	UROK	\N	\N
3545671	455	1996-09-30	PRIJEM	\N	100	21640	UROK	\N	\N
3545672	455	1996-10-31	PRIJEM	\N	100	24095	UROK	\N	\N
3545673	455	1996-11-30	PRIJEM	\N	119	32269	UROK	\N	\N
3545674	455	1996-12-31	PRIJEM	\N	155	42815	UROK	\N	\N
3545675	455	1997-01-31	PRIJEM	\N	148	29438	UROK	\N	\N
3545676	455	1997-02-28	PRIJEM	\N	129	32442	UROK	\N	\N
3545677	455	1997-03-31	PRIJEM	\N	140	35237	UROK	\N	\N
3545678	455	1997-04-30	PRIJEM	\N	148	37240	UROK	\N	\N
3545679	455	1997-05-31	PRIJEM	\N	152	38228	UROK	\N	\N
3545680	455	1997-06-30	PRIJEM	\N	151	20269	UROK	\N	\N
3545681	455	1997-07-31	PRIJEM	\N	103	27828	UROK	\N	\N
3545682	455	1997-08-31	PRIJEM	\N	117	30200	UROK	\N	\N
3545683	455	1997-09-30	PRIJEM	\N	122	31178	UROK	\N	\N
3545684	455	1997-10-31	PRIJEM	\N	112	29665	UROK	\N	\N
3545685	455	1997-11-30	PRIJEM	\N	104	23465	UROK	\N	\N
3545686	455	1997-12-31	PRIJEM	\N	104	28139	UROK	\N	\N
3545687	455	1998-01-31	PRIJEM	\N	106	24240	UROK	\N	\N
3545688	455	1998-02-28	PRIJEM	\N	105	28201	UROK	\N	\N
3545689	455	1998-03-31	PRIJEM	\N	126	32482	UROK	\N	\N
3545690	455	1998-04-30	PRIJEM	\N	119	29057	UROK	\N	\N
3545691	455	1998-05-31	PRIJEM	\N	108	26400	UROK	\N	\N
3545692	455	1998-06-30	PRIJEM	\N	99	18929	UROK	\N	\N
3545693	455	1998-07-31	PRIJEM	\N	78	21063	UROK	\N	\N
3545694	455	1998-08-31	PRIJEM	\N	90	24409	UROK	\N	\N
3545695	455	1998-09-30	PRIJEM	\N	106	28370	UROK	\N	\N
3545696	455	1998-10-31	PRIJEM	\N	101	25686	UROK	\N	\N
3545697	455	1998-11-30	PRIJEM	\N	103	26845	UROK	\N	\N
3545698	455	1998-12-31	PRIJEM	\N	121	30696	UROK	\N	\N
3545699	456	1993-02-28	PRIJEM	\N	51	38082	UROK	\N	\N
3545700	456	1993-03-31	PRIJEM	\N	183	56696	UROK	\N	\N
3545701	456	1993-04-30	PRIJEM	\N	247	64974	UROK	\N	\N
3545702	456	1993-05-31	PRIJEM	\N	237	45342	UROK	\N	\N
3545703	456	1993-06-30	PRIJEM	\N	211	40199	UROK	\N	\N
3545704	456	1993-07-31	PRIJEM	\N	194	57110	UROK	\N	\N
3545705	456	1993-08-31	PRIJEM	\N	278	57976	UROK	\N	\N
3545706	456	1993-09-30	PRIJEM	\N	245	58933	UROK	\N	\N
3545707	456	1993-10-31	PRIJEM	\N	247	24738	UROK	\N	\N
3545708	456	1993-11-30	PRIJEM	\N	154	51008	UROK	\N	\N
3545709	456	1993-12-31	PRIJEM	\N	250	39190	UROK	\N	\N
3545710	456	1994-01-31	PRIJEM	\N	195	27402	UROK	\N	\N
3545711	456	1994-02-28	PRIJEM	\N	227	47451	UROK	\N	\N
3545712	456	1994-03-31	PRIJEM	\N	225	61392	UROK	\N	\N
3545713	456	1994-04-30	PRIJEM	\N	176	32384	UROK	\N	\N
3545714	456	1994-05-31	PRIJEM	\N	172	47193	UROK	\N	\N
3545715	456	1994-06-30	PRIJEM	\N	238	44062	UROK	\N	\N
3545716	456	1994-07-31	PRIJEM	\N	192	42208	UROK	\N	\N
3545717	456	1994-08-31	PRIJEM	\N	194	42284	UROK	\N	\N
3545718	456	1994-09-30	PRIJEM	\N	205	54205	UROK	\N	\N
3545719	456	1994-10-31	PRIJEM	\N	255	66176	UROK	\N	\N
3545720	456	1994-11-30	PRIJEM	\N	265	51417	UROK	\N	\N
3545721	456	1994-12-31	PRIJEM	\N	202	31650	UROK	\N	\N
3545722	456	1995-01-31	PRIJEM	\N	140	24779	UROK	\N	\N
3545723	456	1995-02-28	PRIJEM	\N	233	47529	UROK	\N	\N
3545724	456	1995-03-31	PRIJEM	\N	228	59573	UROK	\N	\N
3545725	456	1995-04-30	PRIJEM	\N	265	66354	UROK	\N	\N
3545726	456	1995-05-31	PRIJEM	\N	277	65848	UROK	\N	\N
3545727	456	1995-06-30	PRIJEM	\N	275	33015	UROK	\N	\N
3545728	456	1995-07-31	PRIJEM	\N	155	37839	UROK	\N	\N
3545729	456	1995-08-31	PRIJEM	\N	257	60143	UROK	\N	\N
3545730	456	1995-09-30	PRIJEM	\N	299	82459	UROK	\N	\N
3545731	456	1995-10-31	PRIJEM	\N	394	91188	UROK	\N	\N
3545732	456	1995-11-30	PRIJEM	\N	422	106826	UROK	\N	\N
3545733	456	1995-12-31	PRIJEM	\N	433	71014	UROK	\N	\N
3545734	456	1996-01-31	PRIJEM	\N	243	49373	UROK	\N	\N
3545735	456	1996-02-29	PRIJEM	\N	267	77309	UROK	\N	\N
3545736	456	1996-03-31	PRIJEM	\N	298	82897	UROK	\N	\N
3545737	456	1996-04-30	PRIJEM	\N	407	105721	UROK	\N	\N
3545738	456	1996-05-31	PRIJEM	\N	427	112350	UROK	\N	\N
3545739	456	1996-06-30	PRIJEM	\N	402	91484	UROK	\N	\N
3545740	456	1996-07-31	PRIJEM	\N	405	100005	UROK	\N	\N
3545741	456	1996-08-31	PRIJEM	\N	443	110764	UROK	\N	\N
3545742	456	1996-09-30	PRIJEM	\N	473	91454	UROK	\N	\N
3545743	456	1996-10-31	PRIJEM	\N	397	95267	UROK	\N	\N
3545744	456	1996-11-30	PRIJEM	\N	403	97110	UROK	\N	\N
3545745	456	1996-12-31	PRIJEM	\N	368	86810	UROK	\N	\N
3545746	456	1997-01-31	PRIJEM	\N	263	39989	UROK	\N	\N
3545747	456	1997-02-28	PRIJEM	\N	168	87973	UROK	\N	\N
3545748	456	1997-03-31	PRIJEM	\N	373	99210	UROK	\N	\N
3545749	456	1997-04-30	PRIJEM	\N	408	103334	UROK	\N	\N
3545750	456	1997-05-31	PRIJEM	\N	283	42357	UROK	\N	\N
3545751	456	1997-06-30	PRIJEM	\N	277	51466	UROK	\N	\N
3545752	456	1997-07-31	PRIJEM	\N	237	59123	UROK	\N	\N
3545753	456	1997-08-31	PRIJEM	\N	168	54072	UROK	\N	\N
3545754	456	1997-09-30	PRIJEM	\N	222	61710	UROK	\N	\N
3545755	456	1997-10-31	PRIJEM	\N	266	55230	UROK	\N	\N
3545756	456	1997-11-30	PRIJEM	\N	239	38607	UROK	\N	\N
3545757	456	1997-12-31	PRIJEM	\N	318	62557	UROK	\N	\N
3545758	456	1998-01-31	PRIJEM	\N	209	34382	UROK	\N	\N
3545759	456	1998-02-28	PRIJEM	\N	209	36407	UROK	\N	\N
3545760	456	1998-03-31	PRIJEM	\N	149	43972	UROK	\N	\N
3545761	456	1998-04-30	PRIJEM	\N	176	46365	UROK	\N	\N
3545762	456	1998-05-31	PRIJEM	\N	177	37558	UROK	\N	\N
3545763	456	1998-06-30	PRIJEM	\N	163	54653	UROK	\N	\N
3545764	456	1998-07-31	PRIJEM	\N	213	50782	UROK	\N	\N
3545765	456	1998-08-31	PRIJEM	\N	236	40935	UROK	\N	\N
3545766	456	1998-09-30	PRIJEM	\N	167	46919	UROK	\N	\N
3545767	456	1998-10-31	PRIJEM	\N	192	52627	UROK	\N	\N
3545768	456	1998-11-30	PRIJEM	\N	290	51733	UROK	\N	\N
3545769	456	1998-12-31	PRIJEM	\N	407	65872	UROK	\N	\N
3545770	458	1995-07-31	PRIJEM	\N	43	19995	UROK	\N	\N
3545771	458	1995-08-31	PRIJEM	\N	113	33160	UROK	\N	\N
3545772	458	1995-09-30	PRIJEM	\N	154	40266	UROK	\N	\N
3545773	458	1995-10-31	PRIJEM	\N	169	41087	UROK	\N	\N
3545774	458	1995-11-30	PRIJEM	\N	161	37415	UROK	\N	\N
3545775	458	1995-12-31	PRIJEM	\N	192	42084	UROK	\N	\N
3545776	458	1996-01-31	PRIJEM	\N	145	28581	UROK	\N	\N
3545777	458	1996-02-29	PRIJEM	\N	143	36775	UROK	\N	\N
3545778	458	1996-03-31	PRIJEM	\N	150	34976	UROK	\N	\N
3545779	458	1996-04-30	PRIJEM	\N	156	38584	UROK	\N	\N
3545780	458	1996-05-31	PRIJEM	\N	164	39599	UROK	\N	\N
3545781	458	1996-06-30	PRIJEM	\N	199	52276	UROK	\N	\N
3545782	458	1996-07-31	PRIJEM	\N	209	48736	UROK	\N	\N
3545783	458	1996-08-31	PRIJEM	\N	199	46986	UROK	\N	\N
3545784	458	1996-09-30	PRIJEM	\N	194	46432	UROK	\N	\N
3545785	458	1996-10-31	PRIJEM	\N	171	39054	UROK	\N	\N
3545786	458	1996-11-30	PRIJEM	\N	168	40874	UROK	\N	\N
3545787	458	1996-12-31	PRIJEM	\N	177	45828	UROK	\N	\N
3545788	458	1997-01-31	PRIJEM	\N	176	38056	UROK	\N	\N
3545789	458	1997-02-28	PRIJEM	\N	162	39169	UROK	\N	\N
3545790	458	1997-03-31	PRIJEM	\N	177	44097	UROK	\N	\N
3545791	458	1997-04-30	PRIJEM	\N	160	38908	UROK	\N	\N
3545792	458	1997-05-31	PRIJEM	\N	176	44136	UROK	\N	\N
3545793	458	1997-06-30	PRIJEM	\N	212	54426	UROK	\N	\N
3545794	458	1997-07-31	PRIJEM	\N	206	48683	UROK	\N	\N
3545795	458	1997-08-31	PRIJEM	\N	178	41113	UROK	\N	\N
3545796	458	1997-09-30	PRIJEM	\N	181	44046	UROK	\N	\N
3545797	458	1997-10-31	PRIJEM	\N	196	48793	UROK	\N	\N
3545798	458	1997-11-30	PRIJEM	\N	209	50953	UROK	\N	\N
3545799	458	1997-12-31	PRIJEM	\N	227	56658	UROK	\N	\N
3545800	458	1998-01-31	PRIJEM	\N	182	40191	UROK	\N	\N
3545801	458	1998-02-28	PRIJEM	\N	168	43810	UROK	\N	\N
3545802	458	1998-03-31	PRIJEM	\N	184	44646	UROK	\N	\N
3545803	458	1998-04-30	PRIJEM	\N	175	40873	UROK	\N	\N
3545804	458	1998-05-31	PRIJEM	\N	178	42202	UROK	\N	\N
3545805	458	1998-06-30	PRIJEM	\N	184	49163	UROK	\N	\N
3545806	458	1998-07-31	PRIJEM	\N	199	43414	UROK	\N	\N
3545807	458	1998-08-31	PRIJEM	\N	196	47061	UROK	\N	\N
3545808	458	1998-09-30	PRIJEM	\N	209	46221	UROK	\N	\N
3545809	458	1998-10-31	PRIJEM	\N	207	49679	UROK	\N	\N
3545810	458	1998-11-30	PRIJEM	\N	219	48349	UROK	\N	\N
3545811	458	1998-12-31	PRIJEM	\N	238	62964	UROK	\N	\N
3545812	460	1994-08-31	PRIJEM	\N	53	24641	UROK	\N	\N
3545813	460	1994-09-30	PRIJEM	\N	100	22309	UROK	\N	\N
3545814	460	1994-10-31	PRIJEM	\N	96	22258	UROK	\N	\N
3545815	460	1994-11-30	PRIJEM	\N	97	23209	UROK	\N	\N
3545816	460	1994-12-31	PRIJEM	\N	97	21809	UROK	\N	\N
3545817	460	1995-01-31	PRIJEM	\N	83	18945	UROK	\N	\N
3545818	460	1995-02-28	PRIJEM	\N	83	19782	UROK	\N	\N
3545819	460	1995-03-31	PRIJEM	\N	89	21584	UROK	\N	\N
3545820	460	1995-04-30	PRIJEM	\N	96	23233	UROK	\N	\N
3545821	460	1995-05-31	PRIJEM	\N	96	21643	UROK	\N	\N
3545822	460	1995-06-30	PRIJEM	\N	81	17578	UROK	\N	\N
3545823	460	1995-07-31	PRIJEM	\N	78	18709	UROK	\N	\N
3545824	460	1995-08-31	PRIJEM	\N	73	16475	UROK	\N	\N
3545825	460	1995-09-30	PRIJEM	\N	67	15596	UROK	\N	\N
3545826	460	1995-10-31	PRIJEM	\N	63	14612	UROK	\N	\N
3545827	460	1995-11-30	PRIJEM	\N	69	14474	UROK	\N	\N
3545828	460	1995-12-31	PRIJEM	\N	66	16144	UROK	\N	\N
3545829	460	1996-01-31	PRIJEM	\N	67	16004	UROK	\N	\N
3545830	460	1996-02-29	PRIJEM	\N	66	15864	UROK	\N	\N
3545831	460	1996-03-31	PRIJEM	\N	50	10868	UROK	\N	\N
3545832	460	1996-04-30	PRIJEM	\N	46	11067	UROK	\N	\N
3545833	460	1996-05-31	PRIJEM	\N	54	13474	UROK	\N	\N
3545834	460	1996-06-30	PRIJEM	\N	64	15891	UROK	\N	\N
3545835	460	1996-07-31	PRIJEM	\N	74	18319	UROK	\N	\N
3545836	460	1996-08-31	PRIJEM	\N	84	20756	UROK	\N	\N
3545837	460	1996-09-30	PRIJEM	\N	85	20074	UROK	\N	\N
3545838	460	1996-10-31	PRIJEM	\N	83	18671	UROK	\N	\N
3545839	460	1996-11-30	PRIJEM	\N	86	21110	UROK	\N	\N
3545840	460	1996-12-31	PRIJEM	\N	91	17544	UROK	\N	\N
3545841	460	1997-01-31	PRIJEM	\N	70	16008	UROK	\N	\N
3545842	460	1997-02-28	PRIJEM	\N	74	18435	UROK	\N	\N
3545843	460	1997-03-31	PRIJEM	\N	82	19991	UROK	\N	\N
3545844	460	1997-04-30	PRIJEM	\N	91	22435	UROK	\N	\N
3545845	460	1997-05-31	PRIJEM	\N	97	22805	UROK	\N	\N
3545846	460	1997-06-30	PRIJEM	\N	75	14104	UROK	\N	\N
3545847	460	1997-07-31	PRIJEM	\N	66	16523	UROK	\N	\N
3545848	460	1997-08-31	PRIJEM	\N	76	18953	UROK	\N	\N
3545849	460	1997-09-30	PRIJEM	\N	86	21392	UROK	\N	\N
3545850	460	1997-10-31	PRIJEM	\N	96	23842	UROK	\N	\N
3545851	460	1997-11-30	PRIJEM	\N	107	26302	UROK	\N	\N
3545852	460	1997-12-31	PRIJEM	\N	115	27471	UROK	\N	\N
3545853	460	1998-01-31	PRIJEM	\N	115	25239	UROK	\N	\N
3545854	460	1998-02-28	PRIJEM	\N	112	27705	UROK	\N	\N
3545855	460	1998-03-31	PRIJEM	\N	121	28179	UROK	\N	\N
3545856	460	1998-04-30	PRIJEM	\N	124	30657	UROK	\N	\N
3545857	460	1998-05-31	PRIJEM	\N	135	33145	UROK	\N	\N
3545858	460	1998-06-30	PRIJEM	\N	140	33938	UROK	\N	\N
3545859	460	1998-07-31	PRIJEM	\N	145	35317	UROK	\N	\N
3545860	460	1998-08-31	PRIJEM	\N	154	37824	UROK	\N	\N
3545861	460	1998-09-30	PRIJEM	\N	164	40342	UROK	\N	\N
3545862	460	1998-10-31	PRIJEM	\N	175	42870	UROK	\N	\N
3545863	460	1998-11-30	PRIJEM	\N	177	41800	UROK	\N	\N
3545864	460	1998-12-31	PRIJEM	\N	178	43382	UROK	\N	\N
3545865	461	1993-06-30	PRIJEM	\N	44	24496	UROK	\N	\N
3545866	461	1993-07-31	PRIJEM	\N	109	26863	UROK	\N	\N
3545867	461	1993-08-31	PRIJEM	\N	115	25741	UROK	\N	\N
3545868	461	1993-09-30	PRIJEM	\N	110	26394	UROK	\N	\N
3545869	461	1993-10-31	PRIJEM	\N	118	29756	UROK	\N	\N
3545870	461	1993-11-30	PRIJEM	\N	130	29109	UROK	\N	\N
3545871	461	1993-12-31	PRIJEM	\N	127	28930	UROK	\N	\N
3545872	461	1994-01-31	PRIJEM	\N	115	22929	UROK	\N	\N
3545873	461	1994-02-28	PRIJEM	\N	98	22490	UROK	\N	\N
3545874	461	1994-03-31	PRIJEM	\N	104	26738	UROK	\N	\N
3545875	461	1994-04-30	PRIJEM	\N	112	27092	UROK	\N	\N
3545876	461	1994-05-31	PRIJEM	\N	113	27509	UROK	\N	\N
3545877	461	1994-06-30	PRIJEM	\N	122	28824	UROK	\N	\N
3545878	461	1994-07-31	PRIJEM	\N	127	31494	UROK	\N	\N
3545879	461	1994-08-31	PRIJEM	\N	133	32270	UROK	\N	\N
3545880	461	1994-09-30	PRIJEM	\N	126	28640	UROK	\N	\N
3545881	461	1994-10-31	PRIJEM	\N	119	26882	UROK	\N	\N
3545882	461	1994-11-30	PRIJEM	\N	123	30448	UROK	\N	\N
3545883	461	1994-12-31	PRIJEM	\N	133	32525	UROK	\N	\N
3545884	461	1995-01-31	PRIJEM	\N	135	29903	UROK	\N	\N
3545885	461	1995-02-28	PRIJEM	\N	125	29611	UROK	\N	\N
3545886	461	1995-03-31	PRIJEM	\N	132	32486	UROK	\N	\N
3545887	461	1995-04-30	PRIJEM	\N	135	30625	UROK	\N	\N
3545888	461	1995-05-31	PRIJEM	\N	132	32101	UROK	\N	\N
3545889	461	1995-06-30	PRIJEM	\N	123	28767	UROK	\N	\N
3545890	461	1995-07-31	PRIJEM	\N	124	30035	UROK	\N	\N
3545891	461	1995-08-31	PRIJEM	\N	137	33516	UROK	\N	\N
3545892	461	1995-09-30	PRIJEM	\N	147	33866	UROK	\N	\N
3545893	461	1995-10-31	PRIJEM	\N	150	35160	UROK	\N	\N
3545894	461	1995-11-30	PRIJEM	\N	160	38863	UROK	\N	\N
3545895	461	1995-12-31	PRIJEM	\N	167	39103	UROK	\N	\N
3545896	461	1996-01-31	PRIJEM	\N	157	32983	UROK	\N	\N
3545897	461	1996-02-29	PRIJEM	\N	148	37974	UROK	\N	\N
3545898	461	1996-03-31	PRIJEM	\N	162	37180	UROK	\N	\N
3545899	461	1996-04-30	PRIJEM	\N	169	41092	UROK	\N	\N
3545900	461	1996-05-31	PRIJEM	\N	176	42751	UROK	\N	\N
3545901	461	1996-06-30	PRIJEM	\N	176	41770	UROK	\N	\N
3545902	461	1996-07-31	PRIJEM	\N	169	38562	UROK	\N	\N
3545903	461	1996-08-31	PRIJEM	\N	168	40773	UROK	\N	\N
3545904	461	1996-09-30	PRIJEM	\N	169	42306	UROK	\N	\N
3545905	461	1996-10-31	PRIJEM	\N	174	41423	UROK	\N	\N
3545906	461	1996-11-30	PRIJEM	\N	181	41647	UROK	\N	\N
3545907	461	1996-12-31	PRIJEM	\N	183	41874	UROK	\N	\N
3545908	461	1997-01-31	PRIJEM	\N	174	39770	UROK	\N	\N
3545909	461	1997-02-28	PRIJEM	\N	179	41392	UROK	\N	\N
3545910	461	1997-03-31	PRIJEM	\N	180	40616	UROK	\N	\N
3545911	461	1997-04-30	PRIJEM	\N	177	42236	UROK	\N	\N
3545912	461	1997-05-31	PRIJEM	\N	185	45964	UROK	\N	\N
3545913	461	1997-06-30	PRIJEM	\N	180	38608	UROK	\N	\N
3545914	461	1997-07-31	PRIJEM	\N	170	43521	UROK	\N	\N
3545915	461	1997-08-31	PRIJEM	\N	188	45152	UROK	\N	\N
3545916	461	1997-09-30	PRIJEM	\N	195	48091	UROK	\N	\N
3545917	461	1997-10-31	PRIJEM	\N	208	51642	UROK	\N	\N
3545918	461	1997-11-30	PRIJEM	\N	220	53406	UROK	\N	\N
3545919	461	1997-12-31	PRIJEM	\N	216	45715	UROK	\N	\N
3545920	461	1998-01-31	PRIJEM	\N	191	41790	UROK	\N	\N
3545921	461	1998-02-28	PRIJEM	\N	182	46815	UROK	\N	\N
3545922	461	1998-03-31	PRIJEM	\N	203	50741	UROK	\N	\N
3545923	461	1998-04-30	PRIJEM	\N	219	55803	UROK	\N	\N
3545924	461	1998-05-31	PRIJEM	\N	239	59786	UROK	\N	\N
3545925	461	1998-06-30	PRIJEM	\N	238	55367	UROK	\N	\N
3545926	461	1998-07-31	PRIJEM	\N	240	58471	UROK	\N	\N
3545927	461	1998-08-31	PRIJEM	\N	248	61462	UROK	\N	\N
3545928	461	1998-09-30	PRIJEM	\N	263	66569	UROK	\N	\N
3545929	461	1998-10-31	PRIJEM	\N	276	65448	UROK	\N	\N
3545930	461	1998-11-30	PRIJEM	\N	280	70571	UROK	\N	\N
3545931	461	1998-12-31	PRIJEM	\N	298	74262	UROK	\N	\N
3545932	462	1993-12-31	PRIJEM	\N	85	28848	UROK	\N	\N
3545933	462	1994-01-31	PRIJEM	\N	148	37970	UROK	\N	\N
3545934	462	1994-02-28	PRIJEM	\N	195	50540	UROK	\N	\N
3545935	462	1994-03-31	PRIJEM	\N	196	46012	UROK	\N	\N
3545936	462	1994-04-30	PRIJEM	\N	252	43938	UROK	\N	\N
3545937	462	1994-05-31	PRIJEM	\N	219	38153	UROK	\N	\N
3545938	462	1994-06-30	PRIJEM	\N	218	45094	UROK	\N	\N
3545939	462	1994-07-31	PRIJEM	\N	205	51334	UROK	\N	\N
3545940	462	1994-08-31	PRIJEM	\N	218	54487	UROK	\N	\N
3545941	462	1994-09-30	PRIJEM	\N	222	54844	UROK	\N	\N
3545942	462	1994-10-31	PRIJEM	\N	208	47987	UROK	\N	\N
3545943	462	1994-11-30	PRIJEM	\N	192	47514	UROK	\N	\N
3545944	462	1994-12-31	PRIJEM	\N	215	55173	UROK	\N	\N
3545945	462	1995-01-31	PRIJEM	\N	172	29700	UROK	\N	\N
3545946	462	1995-02-28	PRIJEM	\N	159	42494	UROK	\N	\N
3545947	462	1995-03-31	PRIJEM	\N	174	41084	UROK	\N	\N
3545948	462	1995-04-30	PRIJEM	\N	183	46602	UROK	\N	\N
3545949	462	1995-05-31	PRIJEM	\N	198	49836	UROK	\N	\N
3545950	462	1995-06-30	PRIJEM	\N	199	40097	UROK	\N	\N
3545951	462	1995-07-31	PRIJEM	\N	172	39845	UROK	\N	\N
3545952	462	1995-08-31	PRIJEM	\N	174	44254	UROK	\N	\N
3545953	462	1995-09-30	PRIJEM	\N	182	45571	UROK	\N	\N
3545954	462	1995-10-31	PRIJEM	\N	187	46774	UROK	\N	\N
3545955	462	1995-11-30	PRIJEM	\N	193	49142	UROK	\N	\N
3545956	462	1995-12-31	PRIJEM	\N	226	44091	UROK	\N	\N
3545957	462	1996-01-31	PRIJEM	\N	169	32356	UROK	\N	\N
3545958	462	1996-02-29	PRIJEM	\N	169	35960	UROK	\N	\N
3545959	462	1996-03-31	PRIJEM	\N	184	41380	UROK	\N	\N
3545960	462	1996-04-30	PRIJEM	\N	203	39818	UROK	\N	\N
3545961	462	1996-05-31	PRIJEM	\N	195	37649	UROK	\N	\N
3545962	462	1996-06-30	PRIJEM	\N	208	30140	UROK	\N	\N
3545963	462	1996-07-31	PRIJEM	\N	157	34332	UROK	\N	\N
3545964	462	1996-08-31	PRIJEM	\N	173	38340	UROK	\N	\N
3545965	462	1996-09-30	PRIJEM	\N	185	38161	UROK	\N	\N
3545966	462	1996-10-31	PRIJEM	\N	176	36873	UROK	\N	\N
3545967	462	1996-11-30	PRIJEM	\N	178	37286	UROK	\N	\N
3545968	462	1996-12-31	PRIJEM	\N	185	38934	UROK	\N	\N
3545969	462	1997-01-31	PRIJEM	\N	170	30219	UROK	\N	\N
3545970	462	1997-02-28	PRIJEM	\N	157	39611	UROK	\N	\N
3545971	462	1997-03-31	PRIJEM	\N	193	44740	UROK	\N	\N
3545972	462	1997-04-30	PRIJEM	\N	213	48888	UROK	\N	\N
3545973	462	1997-05-31	PRIJEM	\N	224	49047	UROK	\N	\N
3545974	462	1997-06-30	PRIJEM	\N	222	25372	UROK	\N	\N
3545975	462	1997-07-31	PRIJEM	\N	142	39769	UROK	\N	\N
3545976	462	1997-08-31	PRIJEM	\N	195	48400	UROK	\N	\N
3545977	462	1997-09-30	PRIJEM	\N	226	54261	UROK	\N	\N
3545978	462	1997-10-31	PRIJEM	\N	246	57242	UROK	\N	\N
3545979	462	1997-11-30	PRIJEM	\N	250	55928	UROK	\N	\N
3545980	462	1997-12-31	PRIJEM	\N	262	59152	UROK	\N	\N
3545981	462	1998-01-31	PRIJEM	\N	242	52410	UROK	\N	\N
3545982	462	1998-02-28	PRIJEM	\N	238	57182	UROK	\N	\N
3545983	462	1998-03-31	PRIJEM	\N	245	55943	UROK	\N	\N
3545984	462	1998-04-30	PRIJEM	\N	240	53818	UROK	\N	\N
3545985	462	1998-05-31	PRIJEM	\N	234	53588	UROK	\N	\N
3545986	462	1998-06-30	PRIJEM	\N	216	24506	UROK	\N	\N
3545987	462	1998-07-31	PRIJEM	\N	133	35775	UROK	\N	\N
3545988	462	1998-08-31	PRIJEM	\N	158	36908	UROK	\N	\N
3545989	462	1998-09-30	PRIJEM	\N	168	41212	UROK	\N	\N
3545990	462	1998-10-31	PRIJEM	\N	193	48340	UROK	\N	\N
3545991	462	1998-11-30	PRIJEM	\N	202	47277	UROK	\N	\N
3545992	462	1998-12-31	PRIJEM	\N	205	44965	UROK	\N	\N
3545993	463	1995-05-31	PRIJEM	\N	63	23553	UROK	\N	\N
3545994	463	1995-06-30	PRIJEM	\N	185	56824	UROK	\N	\N
3545995	463	1995-07-31	PRIJEM	\N	252	62765	UROK	\N	\N
3545996	463	1995-08-31	PRIJEM	\N	278	69333	UROK	\N	\N
3545997	463	1995-09-30	PRIJEM	\N	300	73823	UROK	\N	\N
3545998	463	1995-10-31	PRIJEM	\N	267	67780	UROK	\N	\N
3545999	463	1995-11-30	PRIJEM	\N	249	63820	UROK	\N	\N
3546000	463	1995-12-31	PRIJEM	\N	272	73097	UROK	\N	\N
3546001	463	1996-01-31	PRIJEM	\N	192	40799	UROK	\N	\N
3546002	463	1996-02-29	PRIJEM	\N	191	52760	UROK	\N	\N
3546003	463	1996-03-31	PRIJEM	\N	236	62987	UROK	\N	\N
3546004	463	1996-04-30	PRIJEM	\N	261	68438	UROK	\N	\N
3546005	463	1996-05-31	PRIJEM	\N	254	66162	UROK	\N	\N
3546006	463	1996-06-30	PRIJEM	\N	240	59808	UROK	\N	\N
3546007	463	1996-07-31	PRIJEM	\N	246	63144	UROK	\N	\N
3546008	463	1996-08-31	PRIJEM	\N	256	52090	UROK	\N	\N
3546009	463	1996-09-30	PRIJEM	\N	255	50635	UROK	\N	\N
3546010	463	1996-10-31	PRIJEM	\N	249	52274	UROK	\N	\N
3546011	463	1996-11-30	PRIJEM	\N	255	55119	UROK	\N	\N
3546012	463	1996-12-31	PRIJEM	\N	283	59027	UROK	\N	\N
3546013	463	1997-01-31	PRIJEM	\N	206	47723	UROK	\N	\N
3546014	463	1997-02-28	PRIJEM	\N	237	57750	UROK	\N	\N
3546015	463	1997-03-31	PRIJEM	\N	275	59275	UROK	\N	\N
3546016	463	1997-04-30	PRIJEM	\N	283	64448	UROK	\N	\N
3546017	463	1997-05-31	PRIJEM	\N	293	61852	UROK	\N	\N
3546018	463	1997-06-30	PRIJEM	\N	309	67226	UROK	\N	\N
3546019	463	1997-07-31	PRIJEM	\N	313	71129	UROK	\N	\N
3546020	463	1997-08-31	PRIJEM	\N	324	72044	UROK	\N	\N
3546021	463	1997-09-30	PRIJEM	\N	323	69658	UROK	\N	\N
3546022	463	1997-10-31	PRIJEM	\N	306	71234	UROK	\N	\N
3546023	463	1997-11-30	PRIJEM	\N	324	74648	UROK	\N	\N
3546024	463	1997-12-31	PRIJEM	\N	351	82865	UROK	\N	\N
3546025	463	1998-01-31	PRIJEM	\N	338	77194	UROK	\N	\N
3546026	463	1998-02-28	PRIJEM	\N	350	84334	UROK	\N	\N
3546027	463	1998-03-31	PRIJEM	\N	381	91005	UROK	\N	\N
3546028	463	1998-04-30	PRIJEM	\N	399	89494	UROK	\N	\N
3546029	463	1998-05-31	PRIJEM	\N	391	87935	UROK	\N	\N
3546030	463	1998-06-30	PRIJEM	\N	402	78202	UROK	\N	\N
3546031	463	1998-07-31	PRIJEM	\N	349	83481	UROK	\N	\N
3546032	463	1998-08-31	PRIJEM	\N	373	90244	UROK	\N	\N
3546033	463	1998-09-30	PRIJEM	\N	395	94330	UROK	\N	\N
3546034	463	1998-10-31	PRIJEM	\N	418	102138	UROK	\N	\N
3546035	463	1998-11-30	PRIJEM	\N	400	82829	UROK	\N	\N
3546036	463	1998-12-31	PRIJEM	\N	406	105340	UROK	\N	\N
3546037	464	1997-10-31	PRIJEM	\N	60	23471	UROK	\N	\N
3546038	464	1997-11-30	PRIJEM	\N	95	21626	UROK	\N	\N
3546039	464	1997-12-31	PRIJEM	\N	92	20708	UROK	\N	\N
3546040	464	1998-01-31	PRIJEM	\N	75	12373	UROK	\N	\N
3546041	464	1998-02-28	PRIJEM	\N	56	14169	UROK	\N	\N
3546042	464	1998-03-31	PRIJEM	\N	63	14513	UROK	\N	\N
3546043	464	1998-04-30	PRIJEM	\N	61	12634	UROK	\N	\N
3546044	464	1998-05-31	PRIJEM	\N	57	14431	UROK	\N	\N
3546045	464	1998-06-30	PRIJEM	\N	53	11425	UROK	\N	\N
3546046	464	1998-07-31	PRIJEM	\N	52	13217	UROK	\N	\N
3546047	464	1998-08-31	PRIJEM	\N	60	15017	UROK	\N	\N
3546048	464	1998-09-30	PRIJEM	\N	68	16185	UROK	\N	\N
3546049	464	1998-10-31	PRIJEM	\N	72	17897	UROK	\N	\N
3546050	464	1998-11-30	PRIJEM	\N	79	19716	UROK	\N	\N
3546051	464	1998-12-31	PRIJEM	\N	81	16788	UROK	\N	\N
3546052	465	1993-02-28	PRIJEM	\N	44	13529	UROK	\N	\N
3546053	465	1993-03-31	PRIJEM	\N	122	33236	UROK	\N	\N
3546054	465	1993-04-30	PRIJEM	\N	161	40082	UROK	\N	\N
3546055	465	1993-05-31	PRIJEM	\N	183	45150	UROK	\N	\N
3546056	465	1993-06-30	PRIJEM	\N	172	34775	UROK	\N	\N
3546057	465	1993-07-31	PRIJEM	\N	142	30961	UROK	\N	\N
3546058	465	1993-08-31	PRIJEM	\N	136	30142	UROK	\N	\N
3546059	465	1993-09-30	PRIJEM	\N	118	22304	UROK	\N	\N
3546060	465	1993-10-31	PRIJEM	\N	100	19350	UROK	\N	\N
3546061	465	1993-11-30	PRIJEM	\N	114	26208	UROK	\N	\N
3546062	465	1993-12-31	PRIJEM	\N	124	25669	UROK	\N	\N
3546063	465	1994-01-31	PRIJEM	\N	97	24311	UROK	\N	\N
3546064	465	1994-02-28	PRIJEM	\N	96	21254	UROK	\N	\N
3546065	465	1994-03-31	PRIJEM	\N	84	15582	UROK	\N	\N
3546066	465	1994-04-30	PRIJEM	\N	89	22216	UROK	\N	\N
3546067	465	1994-05-31	PRIJEM	\N	99	25260	UROK	\N	\N
3546068	465	1994-06-30	PRIJEM	\N	108	24250	UROK	\N	\N
3546069	465	1994-07-31	PRIJEM	\N	104	24898	UROK	\N	\N
3546070	465	1994-08-31	PRIJEM	\N	104	27150	UROK	\N	\N
3546071	465	1994-09-30	PRIJEM	\N	113	24207	UROK	\N	\N
3546072	465	1994-10-31	PRIJEM	\N	106	27757	UROK	\N	\N
3546073	465	1994-11-30	PRIJEM	\N	120	30421	UROK	\N	\N
3546074	465	1994-12-31	PRIJEM	\N	140	27892	UROK	\N	\N
3546075	465	1995-01-31	PRIJEM	\N	89	21125	UROK	\N	\N
3546076	465	1995-02-28	PRIJEM	\N	95	28365	UROK	\N	\N
3546077	465	1995-03-31	PRIJEM	\N	124	33534	UROK	\N	\N
3546078	465	1995-04-30	PRIJEM	\N	141	33319	UROK	\N	\N
3546079	465	1995-05-31	PRIJEM	\N	135	22798	UROK	\N	\N
3546080	465	1995-06-30	PRIJEM	\N	110	29645	UROK	\N	\N
3546081	465	1995-07-31	PRIJEM	\N	125	29714	UROK	\N	\N
3546082	465	1995-08-31	PRIJEM	\N	124	29183	UROK	\N	\N
3546083	465	1995-09-30	PRIJEM	\N	121	28249	UROK	\N	\N
3546084	465	1995-10-31	PRIJEM	\N	102	22195	UROK	\N	\N
3546085	465	1995-11-30	PRIJEM	\N	93	22533	UROK	\N	\N
3546086	465	1995-12-31	PRIJEM	\N	103	25873	UROK	\N	\N
3546087	465	1996-01-31	PRIJEM	\N	99	22116	UROK	\N	\N
3546088	465	1996-02-29	PRIJEM	\N	94	23154	UROK	\N	\N
3546089	465	1996-03-31	PRIJEM	\N	96	23095	UROK	\N	\N
3546090	465	1996-04-30	PRIJEM	\N	94	21933	UROK	\N	\N
3546091	465	1996-05-31	PRIJEM	\N	91	21868	UROK	\N	\N
3546092	465	1996-06-30	PRIJEM	\N	97	23302	UROK	\N	\N
3546093	465	1996-07-31	PRIJEM	\N	95	22842	UROK	\N	\N
3546094	465	1996-08-31	PRIJEM	\N	87	19474	UROK	\N	\N
3546095	465	1996-09-30	PRIJEM	\N	89	23706	UROK	\N	\N
3546096	465	1996-10-31	PRIJEM	\N	96	23047	UROK	\N	\N
3546097	465	1996-11-30	PRIJEM	\N	98	24889	UROK	\N	\N
3546098	465	1996-12-31	PRIJEM	\N	114	26741	UROK	\N	\N
3546099	465	1997-01-31	PRIJEM	\N	91	19176	UROK	\N	\N
3546100	465	1997-02-28	PRIJEM	\N	74	16794	UROK	\N	\N
3546101	465	1997-03-31	PRIJEM	\N	84	23822	UROK	\N	\N
3546102	465	1997-04-30	PRIJEM	\N	126	25793	UROK	\N	\N
3546103	465	1997-05-31	PRIJEM	\N	132	26369	UROK	\N	\N
3546104	465	1997-06-30	PRIJEM	\N	106	23212	UROK	\N	\N
3546105	465	1997-07-31	PRIJEM	\N	96	23653	UROK	\N	\N
3546106	465	1997-08-31	PRIJEM	\N	92	21289	UROK	\N	\N
3546107	465	1997-09-30	PRIJEM	\N	90	21224	UROK	\N	\N
3546108	465	1997-10-31	PRIJEM	\N	85	19553	UROK	\N	\N
3546109	465	1997-11-30	PRIJEM	\N	72	15269	UROK	\N	\N
3546110	465	1997-12-31	PRIJEM	\N	62	13668	UROK	\N	\N
3546111	465	1998-01-31	PRIJEM	\N	55	11768	UROK	\N	\N
3546112	465	1998-02-28	PRIJEM	\N	39	6451	UROK	\N	\N
3546113	465	1998-03-31	PRIJEM	\N	21	3616	UROK	\N	\N
3546114	465	1998-04-30	PRIJEM	\N	20	3981	UROK	\N	\N
3546115	465	1998-05-31	PRIJEM	\N	17	5642	UROK	\N	\N
3546116	465	1998-06-30	PRIJEM	\N	24	4103	UROK	\N	\N
3546117	465	1998-07-31	PRIJEM	\N	17	5765	UROK	\N	\N
3546118	465	1998-08-31	PRIJEM	\N	24	7433	UROK	\N	\N
3546119	465	1998-09-30	PRIJEM	\N	31	9108	UROK	\N	\N
3546120	465	1998-10-31	PRIJEM	\N	38	10790	UROK	\N	\N
3546121	465	1998-11-30	PRIJEM	\N	44	12478	UROK	\N	\N
3546122	465	1998-12-31	PRIJEM	\N	67	20583	UROK	\N	\N
3546123	467	1993-10-31	PRIJEM	\N	21	19770	UROK	\N	\N
3546124	467	1993-11-30	PRIJEM	\N	88	24907	UROK	\N	\N
3546125	467	1993-12-31	PRIJEM	\N	110	30692	UROK	\N	\N
3546126	467	1994-01-31	PRIJEM	\N	133	34573	UROK	\N	\N
3546127	467	1994-02-28	PRIJEM	\N	146	36568	UROK	\N	\N
3546128	467	1994-03-31	PRIJEM	\N	147	31917	UROK	\N	\N
3546129	467	1994-04-30	PRIJEM	\N	123	28243	UROK	\N	\N
3546130	467	1994-05-31	PRIJEM	\N	117	28162	UROK	\N	\N
3546131	467	1994-06-30	PRIJEM	\N	124	29014	UROK	\N	\N
3546132	467	1994-07-31	PRIJEM	\N	113	27729	UROK	\N	\N
3546133	467	1994-08-31	PRIJEM	\N	107	22638	UROK	\N	\N
3546134	467	1994-09-30	PRIJEM	\N	94	23635	UROK	\N	\N
3546135	467	1994-10-31	PRIJEM	\N	97	23834	UROK	\N	\N
3546136	467	1994-11-30	PRIJEM	\N	98	24134	UROK	\N	\N
3546137	467	1994-12-31	PRIJEM	\N	102	19463	UROK	\N	\N
3546138	467	1995-01-31	PRIJEM	\N	69	14135	UROK	\N	\N
3546139	467	1995-02-28	PRIJEM	\N	67	20404	UROK	\N	\N
3546140	467	1995-03-31	PRIJEM	\N	78	21285	UROK	\N	\N
3546141	467	1995-04-30	PRIJEM	\N	84	21172	UROK	\N	\N
3546142	467	1995-05-31	PRIJEM	\N	87	22161	UROK	\N	\N
3546143	467	1995-06-30	PRIJEM	\N	103	27592	UROK	\N	\N
3546144	467	1995-07-31	PRIJEM	\N	116	29610	UROK	\N	\N
3546145	467	1995-08-31	PRIJEM	\N	120	29732	UROK	\N	\N
3546146	467	1995-09-30	PRIJEM	\N	123	31258	UROK	\N	\N
3546147	467	1995-10-31	PRIJEM	\N	120	26080	UROK	\N	\N
3546148	467	1995-11-30	PRIJEM	\N	106	27089	UROK	\N	\N
3546149	467	1995-12-31	PRIJEM	\N	114	28730	UROK	\N	\N
3546150	467	1996-01-31	PRIJEM	\N	81	14713	UROK	\N	\N
3546151	467	1996-02-29	PRIJEM	\N	87	26302	UROK	\N	\N
3546152	467	1996-03-31	PRIJEM	\N	92	31396	UROK	\N	\N
3546153	467	1996-04-30	PRIJEM	\N	144	38242	UROK	\N	\N
3546154	467	1996-05-31	PRIJEM	\N	161	38305	UROK	\N	\N
3546155	467	1996-06-30	PRIJEM	\N	152	40185	UROK	\N	\N
3546156	467	1996-07-31	PRIJEM	\N	169	42956	UROK	\N	\N
3546157	467	1996-08-31	PRIJEM	\N	172	43030	UROK	\N	\N
3546158	467	1996-09-30	PRIJEM	\N	179	45511	UROK	\N	\N
3546159	467	1996-10-31	PRIJEM	\N	177	44091	UROK	\N	\N
3546160	467	1996-11-30	PRIJEM	\N	167	38760	UROK	\N	\N
3546161	467	1996-12-31	PRIJEM	\N	171	43658	UROK	\N	\N
3546162	467	1997-01-31	PRIJEM	\N	134	24694	UROK	\N	\N
3546163	467	1997-02-28	PRIJEM	\N	116	31513	UROK	\N	\N
3546164	467	1997-03-31	PRIJEM	\N	140	36755	UROK	\N	\N
3546165	467	1997-04-30	PRIJEM	\N	144	36901	UROK	\N	\N
3546166	467	1997-05-31	PRIJEM	\N	138	35141	UROK	\N	\N
3546167	467	1997-06-30	PRIJEM	\N	127	33596	UROK	\N	\N
3546168	467	1997-07-31	PRIJEM	\N	118	30116	UROK	\N	\N
3546169	467	1997-08-31	PRIJEM	\N	105	27123	UROK	\N	\N
3546170	467	1997-09-30	PRIJEM	\N	95	24921	UROK	\N	\N
3546171	467	1997-10-31	PRIJEM	\N	84	22007	UROK	\N	\N
3546172	467	1997-11-30	PRIJEM	\N	90	24499	UROK	\N	\N
3546173	467	1997-12-31	PRIJEM	\N	96	27622	UROK	\N	\N
3546174	467	1998-01-31	PRIJEM	\N	93	25918	UROK	\N	\N
3546175	467	1998-02-28	PRIJEM	\N	109	29429	UROK	\N	\N
3546176	467	1998-03-31	PRIJEM	\N	129	34160	UROK	\N	\N
3546177	467	1998-04-30	PRIJEM	\N	131	33993	UROK	\N	\N
3546178	467	1998-05-31	PRIJEM	\N	130	35125	UROK	\N	\N
3546179	467	1998-06-30	PRIJEM	\N	139	33992	UROK	\N	\N
3546180	467	1998-07-31	PRIJEM	\N	128	33022	UROK	\N	\N
3546181	467	1998-08-31	PRIJEM	\N	132	32556	UROK	\N	\N
3546182	467	1998-09-30	PRIJEM	\N	137	36596	UROK	\N	\N
3546183	467	1998-10-31	PRIJEM	\N	152	36550	UROK	\N	\N
3546184	467	1998-11-30	PRIJEM	\N	143	28596	UROK	\N	\N
3546185	467	1998-12-31	PRIJEM	\N	131	36254	UROK	\N	\N
3546186	468	1996-04-30	PRIJEM	\N	50	27530	UROK	\N	\N
3546187	468	1996-05-31	PRIJEM	\N	141	41450	UROK	\N	\N
3546188	468	1996-06-30	PRIJEM	\N	198	54868	UROK	\N	\N
3546189	468	1996-07-31	PRIJEM	\N	228	55177	UROK	\N	\N
3546190	468	1996-08-31	PRIJEM	\N	227	50504	UROK	\N	\N
3546191	468	1996-09-30	PRIJEM	\N	224	54159	UROK	\N	\N
3546192	468	1996-10-31	PRIJEM	\N	231	54322	UROK	\N	\N
3546193	468	1996-11-30	PRIJEM	\N	227	53380	UROK	\N	\N
3546194	468	1996-12-31	PRIJEM	\N	241	56553	UROK	\N	\N
3546195	468	1997-01-31	PRIJEM	\N	202	41486	UROK	\N	\N
3546196	468	1997-02-28	PRIJEM	\N	199	52917	UROK	\N	\N
3546197	468	1997-03-31	PRIJEM	\N	232	56580	UROK	\N	\N
3546198	468	1997-04-30	PRIJEM	\N	245	60156	UROK	\N	\N
3546199	468	1997-05-31	PRIJEM	\N	246	56954	UROK	\N	\N
3546200	468	1997-06-30	PRIJEM	\N	311	68037	UROK	\N	\N
3546201	468	1997-07-31	PRIJEM	\N	328	66396	UROK	\N	\N
3546202	468	1997-08-31	PRIJEM	\N	291	73519	UROK	\N	\N
3546203	468	1997-09-30	PRIJEM	\N	316	79566	UROK	\N	\N
3546204	468	1997-10-31	PRIJEM	\N	320	78317	UROK	\N	\N
3546205	468	1997-11-30	PRIJEM	\N	312	76960	UROK	\N	\N
3546206	468	1997-12-31	PRIJEM	\N	339	85311	UROK	\N	\N
3546207	468	1998-01-31	PRIJEM	\N	311	74633	UROK	\N	\N
3546208	468	1998-02-28	PRIJEM	\N	320	81985	UROK	\N	\N
3546209	468	1998-03-31	PRIJEM	\N	335	82251	UROK	\N	\N
3546210	468	1998-04-30	PRIJEM	\N	326	81508	UROK	\N	\N
3546211	468	1998-05-31	PRIJEM	\N	331	83171	UROK	\N	\N
3546212	468	1998-06-30	PRIJEM	\N	364	95806	UROK	\N	\N
3546213	468	1998-07-31	PRIJEM	\N	372	92610	UROK	\N	\N
3546214	468	1998-08-31	PRIJEM	\N	354	89195	UROK	\N	\N
3546215	468	1998-09-30	PRIJEM	\N	348	87474	UROK	\N	\N
3546216	468	1998-10-31	PRIJEM	\N	332	83037	UROK	\N	\N
3546217	468	1998-11-30	PRIJEM	\N	317	79986	UROK	\N	\N
3546218	468	1998-12-31	PRIJEM	\N	335	86492	UROK	\N	\N
3546219	469	1997-08-31	PRIJEM	\N	43	16751	UROK	\N	\N
3546220	469	1997-09-30	PRIJEM	\N	80	20538	UROK	\N	\N
3546221	469	1997-10-31	PRIJEM	\N	95	24241	UROK	\N	\N
3546222	469	1997-11-30	PRIJEM	\N	111	27860	UROK	\N	\N
3546223	469	1997-12-31	PRIJEM	\N	115	27087	UROK	\N	\N
3546224	469	1998-01-31	PRIJEM	\N	80	15008	UROK	\N	\N
3546225	469	1998-02-28	PRIJEM	\N	80	21010	UROK	\N	\N
3546226	469	1998-03-31	PRIJEM	\N	84	19816	UROK	\N	\N
3546227	469	1998-04-30	PRIJEM	\N	85	20622	UROK	\N	\N
3546228	469	1998-05-31	PRIJEM	\N	75	17518	UROK	\N	\N
3546229	469	1998-06-30	PRIJEM	\N	65	13389	UROK	\N	\N
3546230	469	1998-07-31	PRIJEM	\N	60	14770	UROK	\N	\N
3546231	469	1998-08-31	PRIJEM	\N	65	11257	UROK	\N	\N
3546232	469	1998-09-30	PRIJEM	\N	51	12629	UROK	\N	\N
3546233	469	1998-10-31	PRIJEM	\N	63	16014	UROK	\N	\N
3546234	469	1998-11-30	PRIJEM	\N	58	13693	UROK	\N	\N
3546235	469	1998-12-31	PRIJEM	\N	65	14623	UROK	\N	\N
3546236	470	1994-04-30	PRIJEM	\N	22	17237	UROK	\N	\N
3546237	470	1994-05-31	PRIJEM	\N	79	22530	UROK	\N	\N
3546238	470	1994-06-30	PRIJEM	\N	100	27102	UROK	\N	\N
3546239	470	1994-07-31	PRIJEM	\N	114	28131	UROK	\N	\N
3546240	470	1994-08-31	PRIJEM	\N	123	28293	UROK	\N	\N
3546241	470	1994-09-30	PRIJEM	\N	113	24831	UROK	\N	\N
3546242	470	1994-10-31	PRIJEM	\N	111	26767	UROK	\N	\N
3546243	470	1994-11-30	PRIJEM	\N	103	22894	UROK	\N	\N
3546244	470	1994-12-31	PRIJEM	\N	106	23082	UROK	\N	\N
3546245	470	1995-01-31	PRIJEM	\N	93	17599	UROK	\N	\N
3546246	470	1995-02-28	PRIJEM	\N	83	19206	UROK	\N	\N
3546247	470	1995-03-31	PRIJEM	\N	88	22519	UROK	\N	\N
3546248	470	1995-04-30	PRIJEM	\N	103	25246	UROK	\N	\N
3546249	470	1995-05-31	PRIJEM	\N	112	26682	UROK	\N	\N
3546250	470	1995-06-30	PRIJEM	\N	116	25279	UROK	\N	\N
3546251	470	1995-07-31	PRIJEM	\N	107	24410	UROK	\N	\N
3546252	470	1995-08-31	PRIJEM	\N	101	23935	UROK	\N	\N
3546253	470	1995-09-30	PRIJEM	\N	101	23360	UROK	\N	\N
3546254	470	1995-10-31	PRIJEM	\N	104	24988	UROK	\N	\N
3546255	470	1995-11-30	PRIJEM	\N	104	24217	UROK	\N	\N
3546256	470	1995-12-31	PRIJEM	\N	105	24003	UROK	\N	\N
3546257	470	1996-01-31	PRIJEM	\N	88	15816	UROK	\N	\N
3546258	470	1996-02-29	PRIJEM	\N	81	20721	UROK	\N	\N
3546259	470	1996-03-31	PRIJEM	\N	94	22839	UROK	\N	\N
3546260	470	1996-04-30	PRIJEM	\N	88	19851	UROK	\N	\N
3546261	470	1996-05-31	PRIJEM	\N	84	20060	UROK	\N	\N
3546262	470	1996-06-30	PRIJEM	\N	94	21235	UROK	\N	\N
3546263	470	1996-07-31	PRIJEM	\N	84	19443	UROK	\N	\N
3546264	470	1996-08-31	PRIJEM	\N	91	21758	UROK	\N	\N
3546265	470	1996-09-30	PRIJEM	\N	86	19968	UROK	\N	\N
3546266	470	1996-10-31	PRIJEM	\N	87	20779	UROK	\N	\N
3546267	470	1996-11-30	PRIJEM	\N	86	19990	UROK	\N	\N
3546268	470	1996-12-31	PRIJEM	\N	85	19256	UROK	\N	\N
3546269	470	1997-01-31	PRIJEM	\N	86	14566	UROK	\N	\N
3546270	470	1997-02-28	PRIJEM	\N	95	19585	UROK	\N	\N
3546271	470	1997-03-31	PRIJEM	\N	110	27719	UROK	\N	\N
3546272	470	1997-04-30	PRIJEM	\N	105	24049	UROK	\N	\N
3546273	470	1997-05-31	PRIJEM	\N	94	17268	UROK	\N	\N
3546274	470	1997-06-30	PRIJEM	\N	117	29766	UROK	\N	\N
3546275	470	1997-07-31	PRIJEM	\N	120	28010	UROK	\N	\N
3546276	470	1997-08-31	PRIJEM	\N	116	26150	UROK	\N	\N
3546277	470	1997-09-30	PRIJEM	\N	102	23677	UROK	\N	\N
3546278	470	1997-10-31	PRIJEM	\N	103	24404	UROK	\N	\N
3546279	470	1997-11-30	PRIJEM	\N	121	29549	UROK	\N	\N
3546280	470	1997-12-31	PRIJEM	\N	143	34574	UROK	\N	\N
3546281	470	1998-01-31	PRIJEM	\N	123	25021	UROK	\N	\N
3546282	470	1998-02-28	PRIJEM	\N	130	32276	UROK	\N	\N
3546283	470	1998-03-31	PRIJEM	\N	139	33139	UROK	\N	\N
3546284	470	1998-04-30	PRIJEM	\N	140	32603	UROK	\N	\N
3546285	470	1998-05-31	PRIJEM	\N	143	35371	UROK	\N	\N
3546286	470	1998-06-30	PRIJEM	\N	153	37705	UROK	\N	\N
3546287	470	1998-07-31	PRIJEM	\N	122	31252	UROK	\N	\N
3546288	470	1998-08-31	PRIJEM	\N	137	33813	UROK	\N	\N
3546289	470	1998-09-30	PRIJEM	\N	146	32284	UROK	\N	\N
3546290	470	1998-10-31	PRIJEM	\N	135	32643	UROK	\N	\N
3546291	470	1998-11-30	PRIJEM	\N	143	36110	UROK	\N	\N
3546292	470	1998-12-31	PRIJEM	\N	165	34657	UROK	\N	\N
3546293	471	1995-06-30	PRIJEM	\N	42	16104	UROK	\N	\N
3546294	471	1995-07-31	PRIJEM	\N	100	28580	UROK	\N	\N
3546295	471	1995-08-31	PRIJEM	\N	135	34790	UROK	\N	\N
3546296	471	1995-09-30	PRIJEM	\N	159	40324	UROK	\N	\N
3546297	471	1995-10-31	PRIJEM	\N	159	37174	UROK	\N	\N
3546298	471	1995-11-30	PRIJEM	\N	137	32370	UROK	\N	\N
3546299	471	1995-12-31	PRIJEM	\N	140	35196	UROK	\N	\N
3546300	471	1996-01-31	PRIJEM	\N	102	21037	UROK	\N	\N
3546301	471	1996-02-29	PRIJEM	\N	96	25013	UROK	\N	\N
3546302	471	1996-03-31	PRIJEM	\N	97	23789	UROK	\N	\N
3546303	471	1996-04-30	PRIJEM	\N	89	21638	UROK	\N	\N
3546304	471	1996-05-31	PRIJEM	\N	95	24312	UROK	\N	\N
3546305	471	1996-06-30	PRIJEM	\N	119	32198	UROK	\N	\N
3546306	471	1996-07-31	PRIJEM	\N	124	30101	UROK	\N	\N
3546307	471	1996-08-31	PRIJEM	\N	122	27942	UROK	\N	\N
3546308	471	1996-09-30	PRIJEM	\N	125	30946	UROK	\N	\N
3546309	471	1996-10-31	PRIJEM	\N	116	22141	UROK	\N	\N
3546310	471	1996-11-30	PRIJEM	\N	103	29923	UROK	\N	\N
3546311	471	1996-12-31	PRIJEM	\N	140	33950	UROK	\N	\N
3546312	471	1997-01-31	PRIJEM	\N	135	30824	UROK	\N	\N
3546313	471	1997-02-28	PRIJEM	\N	135	31839	UROK	\N	\N
3546314	471	1997-03-31	PRIJEM	\N	127	29425	UROK	\N	\N
3546315	471	1997-04-30	PRIJEM	\N	125	32309	UROK	\N	\N
3546316	471	1997-05-31	PRIJEM	\N	144	36532	UROK	\N	\N
3546317	471	1997-06-30	PRIJEM	\N	170	40369	UROK	\N	\N
3546318	471	1997-07-31	PRIJEM	\N	173	40222	UROK	\N	\N
3546319	471	1997-08-31	PRIJEM	\N	172	40074	UROK	\N	\N
3546320	471	1997-09-30	PRIJEM	\N	173	41626	UROK	\N	\N
3546321	471	1997-10-31	PRIJEM	\N	179	43125	UROK	\N	\N
3546322	471	1997-11-30	PRIJEM	\N	182	45246	UROK	\N	\N
3546323	471	1997-12-31	PRIJEM	\N	191	46503	UROK	\N	\N
3546324	471	1998-01-31	PRIJEM	\N	184	39687	UROK	\N	\N
3546325	471	1998-02-28	PRIJEM	\N	168	43755	UROK	\N	\N
3546326	471	1998-03-31	PRIJEM	\N	187	44821	UROK	\N	\N
3546327	471	1998-04-30	PRIJEM	\N	187	46967	UROK	\N	\N
3546328	471	1998-05-31	PRIJEM	\N	199	47346	UROK	\N	\N
3546329	471	1998-06-30	PRIJEM	\N	213	52825	UROK	\N	\N
3546330	471	1998-07-31	PRIJEM	\N	224	53928	UROK	\N	\N
3546331	471	1998-08-31	PRIJEM	\N	222	51329	UROK	\N	\N
3546332	471	1998-09-30	PRIJEM	\N	215	51624	UROK	\N	\N
3546333	471	1998-10-31	PRIJEM	\N	216	51719	UROK	\N	\N
3546334	471	1998-11-30	PRIJEM	\N	201	45599	UROK	\N	\N
3546335	471	1998-12-31	PRIJEM	\N	201	49867	UROK	\N	\N
3546336	473	1996-11-30	PRIJEM	\N	31	18365	UROK	\N	\N
3546337	473	1996-12-31	PRIJEM	\N	100	31715	UROK	\N	\N
3546338	473	1997-01-31	PRIJEM	\N	140	36089	UROK	\N	\N
3546339	473	1997-02-28	PRIJEM	\N	149	35572	UROK	\N	\N
3546340	473	1997-03-31	PRIJEM	\N	151	32072	UROK	\N	\N
3546341	473	1997-04-30	PRIJEM	\N	135	26242	UROK	\N	\N
3546342	473	1997-05-31	PRIJEM	\N	109	20985	UROK	\N	\N
3546343	473	1997-06-30	PRIJEM	\N	106	21642	UROK	\N	\N
3546344	473	1997-07-31	PRIJEM	\N	100	22676	UROK	\N	\N
3546345	473	1997-08-31	PRIJEM	\N	111	25922	UROK	\N	\N
3546346	473	1997-09-30	PRIJEM	\N	114	25570	UROK	\N	\N
3546347	473	1997-10-31	PRIJEM	\N	122	27826	UROK	\N	\N
3546348	473	1997-11-30	PRIJEM	\N	113	26074	UROK	\N	\N
3546349	473	1997-12-31	PRIJEM	\N	135	31460	UROK	\N	\N
3546350	473	1998-01-31	PRIJEM	\N	109	22404	UROK	\N	\N
3546351	473	1998-02-28	PRIJEM	\N	102	23940	UROK	\N	\N
3546352	473	1998-03-31	PRIJEM	\N	108	24082	UROK	\N	\N
3546353	473	1998-04-30	PRIJEM	\N	82	14198	UROK	\N	\N
3546354	473	1998-05-31	PRIJEM	\N	72	17405	UROK	\N	\N
3546355	473	1998-06-30	PRIJEM	\N	92	18049	UROK	\N	\N
3546356	473	1998-07-31	PRIJEM	\N	89	21472	UROK	\N	\N
3546357	473	1998-08-31	PRIJEM	\N	103	24809	UROK	\N	\N
3546358	473	1998-09-30	PRIJEM	\N	116	27959	UROK	\N	\N
3546359	473	1998-10-31	PRIJEM	\N	115	26508	UROK	\N	\N
3546360	473	1998-11-30	PRIJEM	\N	120	28762	UROK	\N	\N
3546361	473	1998-12-31	PRIJEM	\N	127	29040	UROK	\N	\N
3546362	474	1995-12-31	PRIJEM	\N	11	4362	UROK	\N	\N
3546363	474	1996-01-31	PRIJEM	\N	51	17364	UROK	\N	\N
3546364	474	1996-02-29	PRIJEM	\N	86	23101	UROK	\N	\N
3546365	474	1996-03-31	PRIJEM	\N	104	26357	UROK	\N	\N
3546366	474	1996-04-30	PRIJEM	\N	113	27921	UROK	\N	\N
3546367	474	1996-05-31	PRIJEM	\N	100	24287	UROK	\N	\N
3546368	474	1996-06-30	PRIJEM	\N	93	20337	UROK	\N	\N
3546369	474	1996-07-31	PRIJEM	\N	80	19573	UROK	\N	\N
3546370	474	1996-08-31	PRIJEM	\N	99	25409	UROK	\N	\N
3546371	474	1996-09-30	PRIJEM	\N	98	24243	UROK	\N	\N
3546372	474	1996-10-31	PRIJEM	\N	112	28492	UROK	\N	\N
3546373	474	1996-11-30	PRIJEM	\N	112	27640	UROK	\N	\N
3546374	474	1996-12-31	PRIJEM	\N	91	22638	UROK	\N	\N
3546375	474	1997-01-31	PRIJEM	\N	74	18198	UROK	\N	\N
3546376	474	1997-02-28	PRIJEM	\N	78	19412	UROK	\N	\N
3546377	474	1997-03-31	PRIJEM	\N	100	23748	UROK	\N	\N
3546378	474	1997-04-30	PRIJEM	\N	98	22152	UROK	\N	\N
3546379	474	1997-05-31	PRIJEM	\N	91	20580	UROK	\N	\N
3546380	474	1997-06-30	PRIJEM	\N	78	15995	UROK	\N	\N
3546381	474	1997-07-31	PRIJEM	\N	66	14897	UROK	\N	\N
3546382	474	1997-08-31	PRIJEM	\N	60	13294	UROK	\N	\N
3546383	474	1997-09-30	PRIJEM	\N	55	14115	UROK	\N	\N
3546384	474	1997-10-31	PRIJEM	\N	63	17814	UROK	\N	\N
3546385	474	1997-11-30	PRIJEM	\N	77	22828	UROK	\N	\N
3546386	474	1997-12-31	PRIJEM	\N	97	26861	UROK	\N	\N
3546387	474	1998-01-31	PRIJEM	\N	102	22880	UROK	\N	\N
3546388	474	1998-02-28	PRIJEM	\N	94	22710	UROK	\N	\N
3546389	474	1998-03-31	PRIJEM	\N	94	21140	UROK	\N	\N
3546390	474	1998-04-30	PRIJEM	\N	91	23567	UROK	\N	\N
3546391	474	1998-05-31	PRIJEM	\N	102	27706	UROK	\N	\N
3546392	474	1998-06-30	PRIJEM	\N	110	25672	UROK	\N	\N
3546393	474	1998-07-31	PRIJEM	\N	109	27817	UROK	\N	\N
3546394	474	1998-08-31	PRIJEM	\N	116	29420	UROK	\N	\N
3546395	474	1998-09-30	PRIJEM	\N	124	31280	UROK	\N	\N
3546396	474	1998-10-31	PRIJEM	\N	128	31144	UROK	\N	\N
3546397	474	1998-11-30	PRIJEM	\N	133	34973	UROK	\N	\N
3546398	474	1998-12-31	PRIJEM	\N	142	35171	UROK	\N	\N
3546399	475	1997-10-31	PRIJEM	\N	46	19081	UROK	\N	\N
3546400	475	1997-11-30	PRIJEM	\N	82	17908	UROK	\N	\N
3546401	475	1997-12-31	PRIJEM	\N	78	19130	UROK	\N	\N
3546402	475	1998-01-31	PRIJEM	\N	68	14342	UROK	\N	\N
3546403	475	1998-02-28	PRIJEM	\N	66	15852	UROK	\N	\N
3546404	475	1998-03-31	PRIJEM	\N	70	17466	UROK	\N	\N
3546405	475	1998-04-30	PRIJEM	\N	76	19087	UROK	\N	\N
3546406	475	1998-05-31	PRIJEM	\N	67	14919	UROK	\N	\N
3546407	475	1998-06-30	PRIJEM	\N	63	14826	UROK	\N	\N
3546408	475	1998-07-31	PRIJEM	\N	63	14673	UROK	\N	\N
3546409	475	1998-08-31	PRIJEM	\N	61	14279	UROK	\N	\N
3546410	475	1998-09-30	PRIJEM	\N	63	15886	UROK	\N	\N
3546411	475	1998-10-31	PRIJEM	\N	70	16801	UROK	\N	\N
3546412	475	1998-11-30	PRIJEM	\N	59	12504	UROK	\N	\N
3546413	475	1998-12-31	PRIJEM	\N	53	12401	UROK	\N	\N
3546414	477	1993-02-28	PRIJEM	\N	14	18306	UROK	\N	\N
3546415	477	1993-03-31	PRIJEM	\N	86	30384	UROK	\N	\N
3546416	477	1993-04-30	PRIJEM	\N	130	34605	UROK	\N	\N
3546417	477	1993-05-31	PRIJEM	\N	147	38344	UROK	\N	\N
3546418	477	1993-06-30	PRIJEM	\N	185	23203	UROK	\N	\N
3546419	477	1993-07-31	PRIJEM	\N	125	31429	UROK	\N	\N
3546420	477	1993-08-31	PRIJEM	\N	157	35686	UROK	\N	\N
3546421	477	1993-09-30	PRIJEM	\N	169	38656	UROK	\N	\N
3546422	477	1993-10-31	PRIJEM	\N	175	37331	UROK	\N	\N
3546423	477	1993-11-30	PRIJEM	\N	173	39705	UROK	\N	\N
3546424	477	1993-12-31	PRIJEM	\N	189	40790	UROK	\N	\N
3546425	477	1994-01-31	PRIJEM	\N	150	27541	UROK	\N	\N
3546426	477	1994-02-28	PRIJEM	\N	135	31776	UROK	\N	\N
3546427	477	1994-03-31	PRIJEM	\N	153	34029	UROK	\N	\N
3546428	477	1994-04-30	PRIJEM	\N	160	37790	UROK	\N	\N
3546429	477	1994-05-31	PRIJEM	\N	167	36158	UROK	\N	\N
3546430	477	1994-06-30	PRIJEM	\N	171	37525	UROK	\N	\N
3546431	477	1994-07-31	PRIJEM	\N	163	35188	UROK	\N	\N
3546432	477	1994-08-31	PRIJEM	\N	151	32039	UROK	\N	\N
3546433	477	1994-09-30	PRIJEM	\N	145	34385	UROK	\N	\N
3546434	477	1994-10-31	PRIJEM	\N	151	34336	UROK	\N	\N
3546435	477	1994-11-30	PRIJEM	\N	154	36990	UROK	\N	\N
3546436	477	1994-12-31	PRIJEM	\N	168	39054	UROK	\N	\N
3546437	477	1995-01-31	PRIJEM	\N	143	22198	UROK	\N	\N
3546438	477	1995-02-28	PRIJEM	\N	123	29521	UROK	\N	\N
3546439	477	1995-03-31	PRIJEM	\N	133	31954	UROK	\N	\N
3546440	477	1995-04-30	PRIJEM	\N	143	33097	UROK	\N	\N
3546441	477	1995-05-31	PRIJEM	\N	141	33239	UROK	\N	\N
3546442	477	1995-06-30	PRIJEM	\N	173	31308	UROK	\N	\N
3546443	477	1995-07-31	PRIJEM	\N	138	31646	UROK	\N	\N
3546444	477	1995-08-31	PRIJEM	\N	131	31878	UROK	\N	\N
3546445	477	1995-09-30	PRIJEM	\N	165	42943	UROK	\N	\N
3546446	477	1995-10-31	PRIJEM	\N	193	49236	UROK	\N	\N
3546447	477	1995-11-30	PRIJEM	\N	200	47536	UROK	\N	\N
3546448	477	1995-12-31	PRIJEM	\N	205	55237	UROK	\N	\N
3546449	477	1996-01-31	PRIJEM	\N	185	40423	UROK	\N	\N
3546450	477	1996-02-29	PRIJEM	\N	174	44397	UROK	\N	\N
3546451	477	1996-03-31	PRIJEM	\N	194	50092	UROK	\N	\N
3546452	477	1996-04-30	PRIJEM	\N	208	53000	UROK	\N	\N
3546453	477	1996-05-31	PRIJEM	\N	203	47503	UROK	\N	\N
3546454	477	1996-06-30	PRIJEM	\N	216	56215	UROK	\N	\N
3546455	477	1996-07-31	PRIJEM	\N	203	50219	UROK	\N	\N
3546456	477	1996-08-31	PRIJEM	\N	196	50416	UROK	\N	\N
3546457	477	1996-09-30	PRIJEM	\N	184	47200	UROK	\N	\N
3546458	477	1996-10-31	PRIJEM	\N	177	45777	UROK	\N	\N
3546459	477	1996-11-30	PRIJEM	\N	166	43344	UROK	\N	\N
3546460	477	1996-12-31	PRIJEM	\N	204	56844	UROK	\N	\N
3546461	477	1997-01-31	PRIJEM	\N	171	39015	UROK	\N	\N
3546462	477	1997-02-28	PRIJEM	\N	162	44377	UROK	\N	\N
3546463	477	1997-03-31	PRIJEM	\N	193	51470	UROK	\N	\N
3546464	477	1997-04-30	PRIJEM	\N	210	55481	UROK	\N	\N
3546465	477	1997-05-31	PRIJEM	\N	214	55696	UROK	\N	\N
3546466	477	1997-06-30	PRIJEM	\N	216	43708	UROK	\N	\N
3546467	477	1997-07-31	PRIJEM	\N	179	45087	UROK	\N	\N
3546468	477	1997-08-31	PRIJEM	\N	162	42050	UROK	\N	\N
3546469	477	1997-09-30	PRIJEM	\N	159	41209	UROK	\N	\N
3546470	477	1997-10-31	PRIJEM	\N	158	42568	UROK	\N	\N
3546471	477	1997-11-30	PRIJEM	\N	165	39933	UROK	\N	\N
3546472	477	1997-12-31	PRIJEM	\N	137	26666	UROK	\N	\N
3546473	477	1998-01-31	PRIJEM	\N	115	19881	UROK	\N	\N
3546474	477	1998-02-28	PRIJEM	\N	115	32997	UROK	\N	\N
3546475	477	1998-03-31	PRIJEM	\N	126	18023	UROK	\N	\N
3546476	477	1998-04-30	PRIJEM	\N	97	27120	UROK	\N	\N
3546477	477	1998-05-31	PRIJEM	\N	128	17548	UROK	\N	\N
3546478	477	1998-06-30	PRIJEM	\N	114	20558	UROK	\N	\N
3546479	477	1998-07-31	PRIJEM	\N	111	20470	UROK	\N	\N
3546480	477	1998-08-31	PRIJEM	\N	104	18974	UROK	\N	\N
3546481	477	1998-09-30	PRIJEM	\N	97	18471	UROK	\N	\N
3546482	477	1998-10-31	PRIJEM	\N	104	31576	UROK	\N	\N
3546483	477	1998-11-30	PRIJEM	\N	139	22415	UROK	\N	\N
3546484	477	1998-12-31	PRIJEM	\N	142	43754	UROK	\N	\N
3546485	478	1994-08-31	PRIJEM	\N	54	23818	UROK	\N	\N
3546486	478	1994-09-30	PRIJEM	\N	126	35208	UROK	\N	\N
3546487	478	1994-10-31	PRIJEM	\N	158	40230	UROK	\N	\N
3546488	478	1994-11-30	PRIJEM	\N	179	44973	UROK	\N	\N
3546489	478	1994-12-31	PRIJEM	\N	264	49733	UROK	\N	\N
3546490	478	1995-01-31	PRIJEM	\N	186	33632	UROK	\N	\N
3546491	478	1995-02-28	PRIJEM	\N	155	33159	UROK	\N	\N
3546492	478	1995-03-31	PRIJEM	\N	145	34676	UROK	\N	\N
3546493	478	1995-04-30	PRIJEM	\N	156	38344	UROK	\N	\N
3546494	478	1995-05-31	PRIJEM	\N	150	36027	UROK	\N	\N
3546495	478	1995-06-30	PRIJEM	\N	160	40671	UROK	\N	\N
3546496	478	1995-07-31	PRIJEM	\N	171	41354	UROK	\N	\N
3546497	478	1995-08-31	PRIJEM	\N	198	48684	UROK	\N	\N
3546498	478	1995-09-30	PRIJEM	\N	206	52203	UROK	\N	\N
3546499	478	1995-10-31	PRIJEM	\N	231	58946	UROK	\N	\N
3546500	478	1995-11-30	PRIJEM	\N	239	60197	UROK	\N	\N
3546501	478	1995-12-31	PRIJEM	\N	281	72563	UROK	\N	\N
3546502	478	1996-01-31	PRIJEM	\N	261	63996	UROK	\N	\N
3546503	478	1996-02-29	PRIJEM	\N	233	58442	UROK	\N	\N
3546504	478	1996-03-31	PRIJEM	\N	242	54896	UROK	\N	\N
3546505	478	1996-04-30	PRIJEM	\N	203	51612	UROK	\N	\N
3546506	478	1996-05-31	PRIJEM	\N	202	52026	UROK	\N	\N
3546507	478	1996-06-30	PRIJEM	\N	159	41529	UROK	\N	\N
3546508	478	1996-07-31	PRIJEM	\N	187	49829	UROK	\N	\N
3546509	478	1996-08-31	PRIJEM	\N	193	48733	UROK	\N	\N
3546510	478	1996-09-30	PRIJEM	\N	187	46953	UROK	\N	\N
3546511	478	1996-10-31	PRIJEM	\N	209	55174	UROK	\N	\N
3546512	478	1996-11-30	PRIJEM	\N	225	58212	UROK	\N	\N
3546513	478	1996-12-31	PRIJEM	\N	263	70278	UROK	\N	\N
3546514	478	1997-01-31	PRIJEM	\N	223	55574	UROK	\N	\N
3546515	478	1997-02-28	PRIJEM	\N	216	58942	UROK	\N	\N
3546516	478	1997-03-31	PRIJEM	\N	243	62598	UROK	\N	\N
3546517	478	1997-04-30	PRIJEM	\N	252	64763	UROK	\N	\N
3546518	478	1997-05-31	PRIJEM	\N	254	65029	UROK	\N	\N
3546519	478	1997-06-30	PRIJEM	\N	281	49314	UROK	\N	\N
3546520	478	1997-07-31	PRIJEM	\N	211	45737	UROK	\N	\N
3546521	478	1997-08-31	PRIJEM	\N	226	46576	UROK	\N	\N
3546522	478	1997-09-30	PRIJEM	\N	228	44616	UROK	\N	\N
3546523	478	1997-10-31	PRIJEM	\N	221	47849	UROK	\N	\N
3546524	478	1997-11-30	PRIJEM	\N	232	48593	UROK	\N	\N
3546525	478	1997-12-31	PRIJEM	\N	261	50378	UROK	\N	\N
3546526	478	1998-01-31	PRIJEM	\N	233	34104	UROK	\N	\N
3546527	478	1998-02-28	PRIJEM	\N	174	38890	UROK	\N	\N
3546528	478	1998-03-31	PRIJEM	\N	197	46200	UROK	\N	\N
3546529	478	1998-04-30	PRIJEM	\N	227	53839	UROK	\N	\N
3546530	478	1998-05-31	PRIJEM	\N	251	53463	UROK	\N	\N
3546531	478	1998-06-30	PRIJEM	\N	249	54056	UROK	\N	\N
3546532	478	1998-07-31	PRIJEM	\N	239	50507	UROK	\N	\N
3546533	478	1998-08-31	PRIJEM	\N	216	50196	UROK	\N	\N
3546534	478	1998-09-30	PRIJEM	\N	236	54343	UROK	\N	\N
3546535	478	1998-10-31	PRIJEM	\N	252	58708	UROK	\N	\N
3546536	478	1998-11-30	PRIJEM	\N	273	65893	UROK	\N	\N
3546537	478	1998-12-31	PRIJEM	\N	345	92283	UROK	\N	\N
3546538	479	1996-04-30	PRIJEM	\N	52	14573	UROK	\N	\N
3546539	479	1996-05-31	PRIJEM	\N	64	15656	UROK	\N	\N
3546540	479	1996-06-30	PRIJEM	\N	59	12534	UROK	\N	\N
3546541	479	1996-07-31	PRIJEM	\N	59	12772	UROK	\N	\N
3546542	479	1996-08-31	PRIJEM	\N	57	13847	UROK	\N	\N
3546543	479	1996-09-30	PRIJEM	\N	64	14509	UROK	\N	\N
3546544	479	1996-10-31	PRIJEM	\N	67	14875	UROK	\N	\N
3546545	479	1996-11-30	PRIJEM	\N	66	15959	UROK	\N	\N
3546546	479	1996-12-31	PRIJEM	\N	67	16144	UROK	\N	\N
3546547	479	1997-01-31	PRIJEM	\N	60	11403	UROK	\N	\N
3546548	479	1997-02-28	PRIJEM	\N	58	12479	UROK	\N	\N
3546549	479	1997-03-31	PRIJEM	\N	55	12353	UROK	\N	\N
3546550	479	1997-04-30	PRIJEM	\N	55	13426	UROK	\N	\N
3546551	479	1997-05-31	PRIJEM	\N	60	14504	UROK	\N	\N
3546552	479	1997-06-30	PRIJEM	\N	47	8820	UROK	\N	\N
3546553	479	1997-07-31	PRIJEM	\N	40	9879	UROK	\N	\N
3546554	479	1997-08-31	PRIJEM	\N	44	10241	UROK	\N	\N
3546555	479	1997-09-30	PRIJEM	\N	46	11306	UROK	\N	\N
3546556	479	1997-10-31	PRIJEM	\N	51	12375	UROK	\N	\N
3546557	479	1997-11-30	PRIJEM	\N	54	12518	UROK	\N	\N
3546558	479	1997-12-31	PRIJEM	\N	55	13411	UROK	\N	\N
3546559	479	1998-01-31	PRIJEM	\N	51	8781	UROK	\N	\N
3546560	479	1998-02-28	PRIJEM	\N	36	8665	UROK	\N	\N
3546561	479	1998-03-31	PRIJEM	\N	40	9723	UROK	\N	\N
3546562	479	1998-04-30	PRIJEM	\N	44	10786	UROK	\N	\N
3546563	479	1998-05-31	PRIJEM	\N	52	10456	UROK	\N	\N
3546564	479	1998-06-30	PRIJEM	\N	54	7478	UROK	\N	\N
3546565	479	1998-07-31	PRIJEM	\N	34	8260	UROK	\N	\N
3546566	479	1998-08-31	PRIJEM	\N	45	9324	UROK	\N	\N
3546567	479	1998-09-30	PRIJEM	\N	41	9544	UROK	\N	\N
3546568	479	1998-10-31	PRIJEM	\N	43	10605	UROK	\N	\N
3546569	479	1998-11-30	PRIJEM	\N	47	11491	UROK	\N	\N
3546570	479	1998-12-31	PRIJEM	\N	47	10906	UROK	\N	\N
3546571	480	1997-02-28	PRIJEM	\N	30	22459	UROK	\N	\N
3546572	480	1997-03-31	PRIJEM	\N	108	33296	UROK	\N	\N
3546573	480	1997-04-30	PRIJEM	\N	146	39071	UROK	\N	\N
3546574	480	1997-05-31	PRIJEM	\N	169	43970	UROK	\N	\N
3546575	480	1997-06-30	PRIJEM	\N	178	29535	UROK	\N	\N
3546576	480	1997-07-31	PRIJEM	\N	164	35527	UROK	\N	\N
3546577	480	1997-08-31	PRIJEM	\N	185	40339	UROK	\N	\N
3546578	480	1997-09-30	PRIJEM	\N	199	39405	UROK	\N	\N
3546579	480	1997-10-31	PRIJEM	\N	193	40926	UROK	\N	\N
3546580	480	1997-11-30	PRIJEM	\N	192	37005	UROK	\N	\N
3546581	480	1997-12-31	PRIJEM	\N	206	41203	UROK	\N	\N
3546582	480	1998-01-31	PRIJEM	\N	180	31771	UROK	\N	\N
3546583	480	1998-02-28	PRIJEM	\N	158	34456	UROK	\N	\N
3546584	480	1998-03-31	PRIJEM	\N	157	28721	UROK	\N	\N
3546585	480	1998-04-30	PRIJEM	\N	134	26502	UROK	\N	\N
3546586	480	1998-05-31	PRIJEM	\N	135	28265	UROK	\N	\N
3546587	480	1998-06-30	PRIJEM	\N	83	13580	UROK	\N	\N
3546588	480	1998-07-31	PRIJEM	\N	79	15687	UROK	\N	\N
3546589	480	1998-08-31	PRIJEM	\N	86	17901	UROK	\N	\N
3546590	480	1998-09-30	PRIJEM	\N	86	17214	UROK	\N	\N
3546591	480	1998-10-31	PRIJEM	\N	101	23842	UROK	\N	\N
3546592	480	1998-11-30	PRIJEM	\N	111	24280	UROK	\N	\N
3546593	480	1998-12-31	PRIJEM	\N	141	30653	UROK	\N	\N
3546594	481	1996-08-31	PRIJEM	\N	36	24668	UROK	\N	\N
3546595	481	1996-09-30	PRIJEM	\N	105	26507	UROK	\N	\N
3546596	481	1996-10-31	PRIJEM	\N	111	27027	UROK	\N	\N
3546597	481	1996-11-30	PRIJEM	\N	118	28675	UROK	\N	\N
3546598	481	1996-12-31	PRIJEM	\N	120	29514	UROK	\N	\N
3546599	481	1997-01-31	PRIJEM	\N	114	25477	UROK	\N	\N
3546600	481	1997-02-28	PRIJEM	\N	116	30323	UROK	\N	\N
3546601	481	1997-03-31	PRIJEM	\N	137	35190	UROK	\N	\N
3546602	481	1997-04-30	PRIJEM	\N	150	35969	UROK	\N	\N
3546603	481	1997-05-31	PRIJEM	\N	145	35043	UROK	\N	\N
3546604	481	1997-06-30	PRIJEM	\N	149	37441	UROK	\N	\N
3546605	481	1997-07-31	PRIJEM	\N	161	39331	UROK	\N	\N
3546606	481	1997-08-31	PRIJEM	\N	171	41671	UROK	\N	\N
3546607	481	1997-09-30	PRIJEM	\N	172	41173	UROK	\N	\N
3546608	481	1997-10-31	PRIJEM	\N	183	46086	UROK	\N	\N
3546609	481	1997-11-30	PRIJEM	\N	194	46029	UROK	\N	\N
3546610	481	1997-12-31	PRIJEM	\N	190	45849	UROK	\N	\N
3546611	481	1998-01-31	PRIJEM	\N	179	42437	UROK	\N	\N
3546612	481	1998-02-28	PRIJEM	\N	187	47353	UROK	\N	\N
3546613	481	1998-03-31	PRIJEM	\N	206	49729	UROK	\N	\N
3546614	481	1998-04-30	PRIJEM	\N	211	52069	UROK	\N	\N
3546615	481	1998-05-31	PRIJEM	\N	214	51212	UROK	\N	\N
3546616	481	1998-06-30	PRIJEM	\N	209	50450	UROK	\N	\N
3546617	481	1998-07-31	PRIJEM	\N	209	50989	UROK	\N	\N
3546618	481	1998-08-31	PRIJEM	\N	223	54741	UROK	\N	\N
3546619	481	1998-09-30	PRIJEM	\N	230	57001	UROK	\N	\N
3546620	481	1998-10-31	PRIJEM	\N	237	58367	UROK	\N	\N
3546621	481	1998-11-30	PRIJEM	\N	237	57933	UROK	\N	\N
3546622	481	1998-12-31	PRIJEM	\N	243	58035	UROK	\N	\N
3546623	483	1997-12-31	PRIJEM	\N	42	13147	UROK	\N	\N
3546624	483	1998-01-31	PRIJEM	\N	53	12116	UROK	\N	\N
3546625	483	1998-02-28	PRIJEM	\N	53	13126	UROK	\N	\N
3546626	483	1998-03-31	PRIJEM	\N	55	13057	UROK	\N	\N
3546627	483	1998-04-30	PRIJEM	\N	54	12717	UROK	\N	\N
3546628	483	1998-05-31	PRIJEM	\N	56	13730	UROK	\N	\N
3546629	483	1998-06-30	PRIJEM	\N	60	14746	UROK	\N	\N
3546630	483	1998-07-31	PRIJEM	\N	64	15767	UROK	\N	\N
3546631	483	1998-08-31	PRIJEM	\N	69	16792	UROK	\N	\N
3546632	483	1998-09-30	PRIJEM	\N	71	17019	UROK	\N	\N
3546633	483	1998-10-31	PRIJEM	\N	74	17849	UROK	\N	\N
3546634	483	1998-11-30	PRIJEM	\N	60	13365	UROK	\N	\N
3546635	483	1998-12-31	PRIJEM	\N	57	12908	UROK	\N	\N
3546636	484	1995-02-28	PRIJEM	\N	26	17635	UROK	\N	\N
3546637	484	1995-03-31	PRIJEM	\N	82	23626	UROK	\N	\N
3546638	484	1995-04-30	PRIJEM	\N	104	27439	UROK	\N	\N
3546639	484	1995-05-31	PRIJEM	\N	118	29666	UROK	\N	\N
3546640	484	1995-06-30	PRIJEM	\N	130	24143	UROK	\N	\N
3546641	484	1995-07-31	PRIJEM	\N	111	24781	UROK	\N	\N
3546642	484	1995-08-31	PRIJEM	\N	111	25419	UROK	\N	\N
3546643	484	1995-09-30	PRIJEM	\N	109	22656	UROK	\N	\N
3546644	484	1995-10-31	PRIJEM	\N	91	19474	UROK	\N	\N
3546645	484	1995-11-30	PRIJEM	\N	91	21392	UROK	\N	\N
3546646	484	1995-12-31	PRIJEM	\N	109	25133	UROK	\N	\N
3546647	484	1996-01-31	PRIJEM	\N	86	13546	UROK	\N	\N
3546648	484	1996-02-29	PRIJEM	\N	75	18349	UROK	\N	\N
3546649	484	1996-03-31	PRIJEM	\N	91	22367	UROK	\N	\N
3546650	484	1996-04-30	PRIJEM	\N	98	22292	UROK	\N	\N
3546651	484	1996-05-31	PRIJEM	\N	97	21416	UROK	\N	\N
3546652	484	1996-06-30	PRIJEM	\N	108	25857	UROK	\N	\N
3546653	484	1996-07-31	PRIJEM	\N	109	24793	UROK	\N	\N
3546654	484	1996-08-31	PRIJEM	\N	108	22429	UROK	\N	\N
3546655	484	1996-09-30	PRIJEM	\N	103	24759	UROK	\N	\N
3546656	484	1996-10-31	PRIJEM	\N	113	27299	UROK	\N	\N
3546657	484	1996-11-30	PRIJEM	\N	119	28846	UROK	\N	\N
3546658	484	1996-12-31	PRIJEM	\N	129	29607	UROK	\N	\N
3546659	484	1997-01-31	PRIJEM	\N	101	14136	UROK	\N	\N
3546660	484	1997-02-28	PRIJEM	\N	72	18236	UROK	\N	\N
3546661	484	1997-03-31	PRIJEM	\N	96	24359	UROK	\N	\N
3546662	484	1997-04-30	PRIJEM	\N	106	25493	UROK	\N	\N
3546663	484	1997-05-31	PRIJEM	\N	120	27140	UROK	\N	\N
3546664	484	1997-06-30	PRIJEM	\N	113	25685	UROK	\N	\N
3546665	484	1997-07-31	PRIJEM	\N	112	25225	UROK	\N	\N
3546666	484	1997-08-31	PRIJEM	\N	104	24656	UROK	\N	\N
3546667	484	1997-09-30	PRIJEM	\N	120	28403	UROK	\N	\N
3546668	484	1997-10-31	PRIJEM	\N	117	26948	UROK	\N	\N
3546669	484	1997-11-30	PRIJEM	\N	108	24783	UROK	\N	\N
3546670	484	1997-12-31	PRIJEM	\N	114	27829	UROK	\N	\N
3546671	484	1998-01-31	PRIJEM	\N	71	14727	UROK	\N	\N
3546672	484	1998-02-28	PRIJEM	\N	81	20935	UROK	\N	\N
3546673	484	1998-03-31	PRIJEM	\N	75	17038	UROK	\N	\N
3546674	484	1998-04-30	PRIJEM	\N	74	18039	UROK	\N	\N
3546675	484	1998-05-31	PRIJEM	\N	82	18848	UROK	\N	\N
3546676	484	1998-06-30	PRIJEM	\N	93	22074	UROK	\N	\N
3546677	484	1998-07-31	PRIJEM	\N	85	19686	UROK	\N	\N
3546678	484	1998-08-31	PRIJEM	\N	80	19293	UROK	\N	\N
3546679	484	1998-09-30	PRIJEM	\N	90	18110	UROK	\N	\N
3546680	484	1998-10-31	PRIJEM	\N	78	19115	UROK	\N	\N
3546681	484	1998-11-30	PRIJEM	\N	86	21928	UROK	\N	\N
3546682	484	1998-12-31	PRIJEM	\N	93	24454	UROK	\N	\N
3546683	485	1993-01-31	PRIJEM	\N	39	25831	UROK	\N	\N
3546684	485	1993-02-28	PRIJEM	\N	249	66493	UROK	\N	\N
3546685	485	1993-03-31	PRIJEM	\N	233	88836	UROK	\N	\N
3546686	485	1993-04-30	PRIJEM	\N	147	21540	UROK	\N	\N
3546687	485	1993-05-31	PRIJEM	\N	178	41080	UROK	\N	\N
3546688	485	1993-06-30	PRIJEM	\N	149	62629	UROK	\N	\N
3546689	485	1993-07-31	PRIJEM	\N	312	87137	UROK	\N	\N
3546690	485	1993-08-31	PRIJEM	\N	244	55071	UROK	\N	\N
3546691	485	1993-09-30	PRIJEM	\N	272	115339	UROK	\N	\N
3546692	485	1993-10-31	PRIJEM	\N	255	62266	UROK	\N	\N
3546693	485	1993-11-30	PRIJEM	\N	161	32843	UROK	\N	\N
3546694	485	1993-12-31	PRIJEM	\N	247	64852	UROK	\N	\N
3546695	485	1994-01-31	PRIJEM	\N	183	27143	UROK	\N	\N
3546696	485	1994-02-28	PRIJEM	\N	73	19832	UROK	\N	\N
3546697	485	1994-03-31	PRIJEM	\N	43	17491	UROK	\N	\N
3546698	485	1994-04-30	PRIJEM	\N	34	16442	UROK	\N	\N
3546699	485	1994-05-31	PRIJEM	\N	31	15088	UROK	\N	\N
3546700	485	1994-06-30	PRIJEM	\N	27	16831	UROK	\N	\N
3546701	485	1994-07-31	PRIJEM	\N	35	16682	UROK	\N	\N
3546702	485	1994-08-31	PRIJEM	\N	149	25931	UROK	\N	\N
3546703	485	1994-09-30	PRIJEM	\N	150	33292	UROK	\N	\N
3546704	485	1994-10-31	PRIJEM	\N	101	26509	UROK	\N	\N
3546705	485	1994-11-30	PRIJEM	\N	126	46686	UROK	\N	\N
3546706	485	1994-12-31	PRIJEM	\N	132	26211	UROK	\N	\N
3546707	485	1995-01-31	PRIJEM	\N	74	23700	UROK	\N	\N
3546708	485	1995-02-28	PRIJEM	\N	67	21883	UROK	\N	\N
3546709	485	1995-03-31	PRIJEM	\N	66	30620	UROK	\N	\N
3546710	485	1995-04-30	PRIJEM	\N	91	24027	UROK	\N	\N
3546711	485	1995-05-31	PRIJEM	\N	70	23413	UROK	\N	\N
3546712	485	1995-06-30	PRIJEM	\N	71	24700	UROK	\N	\N
3546713	485	1995-07-31	PRIJEM	\N	76	25091	UROK	\N	\N
3546714	485	1995-08-31	PRIJEM	\N	76	23484	UROK	\N	\N
3546715	485	1995-09-30	PRIJEM	\N	74	24173	UROK	\N	\N
3546716	485	1995-10-31	PRIJEM	\N	78	25567	UROK	\N	\N
3546717	485	1995-11-30	PRIJEM	\N	85	26668	UROK	\N	\N
3546718	485	1995-12-31	PRIJEM	\N	119	67164	UROK	\N	\N
3546719	485	1996-01-31	PRIJEM	\N	249	45960	UROK	\N	\N
3546720	485	1996-02-29	PRIJEM	\N	179	111251	UROK	\N	\N
3546721	485	1996-03-31	PRIJEM	\N	280	54502	UROK	\N	\N
3546722	485	1996-04-30	PRIJEM	\N	285	90077	UROK	\N	\N
3546723	485	1996-05-31	PRIJEM	\N	300	84060	UROK	\N	\N
3546724	485	1996-06-30	PRIJEM	\N	303	62131	UROK	\N	\N
3546725	485	1996-07-31	PRIJEM	\N	195	59755	UROK	\N	\N
3546726	485	1996-08-31	PRIJEM	\N	158	71177	UROK	\N	\N
3546727	485	1996-09-30	PRIJEM	\N	293	63911	UROK	\N	\N
3546728	485	1996-10-31	PRIJEM	\N	220	50299	UROK	\N	\N
3546729	485	1996-11-30	PRIJEM	\N	246	47397	UROK	\N	\N
3546730	485	1996-12-31	PRIJEM	\N	212	55222	UROK	\N	\N
3546731	485	1997-01-31	PRIJEM	\N	221	51363	UROK	\N	\N
3546732	485	1997-02-28	PRIJEM	\N	115	25928	UROK	\N	\N
3546733	485	1997-03-31	PRIJEM	\N	110	38229	UROK	\N	\N
3546734	485	1997-04-30	PRIJEM	\N	116	30361	UROK	\N	\N
3546735	485	1997-05-31	PRIJEM	\N	183	77429	UROK	\N	\N
3546736	485	1997-06-30	PRIJEM	\N	341	72712	UROK	\N	\N
3546737	485	1997-07-31	PRIJEM	\N	265	65875	UROK	\N	\N
3546738	485	1997-08-31	PRIJEM	\N	241	40193	UROK	\N	\N
3546739	485	1997-09-30	PRIJEM	\N	155	72219	UROK	\N	\N
3546740	485	1997-10-31	PRIJEM	\N	204	45188	UROK	\N	\N
3546741	485	1997-11-30	PRIJEM	\N	266	100538	UROK	\N	\N
3546742	485	1997-12-31	PRIJEM	\N	355	81816	UROK	\N	\N
3546743	485	1998-01-31	PRIJEM	\N	197	36029	UROK	\N	\N
3546744	485	1998-02-28	PRIJEM	\N	182	61428	UROK	\N	\N
3546745	485	1998-03-31	PRIJEM	\N	169	31459	UROK	\N	\N
3546746	485	1998-04-30	PRIJEM	\N	208	58539	UROK	\N	\N
3546747	485	1998-05-31	PRIJEM	\N	230	46558	UROK	\N	\N
3546748	485	1998-06-30	PRIJEM	\N	206	30893	UROK	\N	\N
3546749	485	1998-07-31	PRIJEM	\N	155	32870	UROK	\N	\N
3546750	485	1998-08-31	PRIJEM	\N	135	35574	UROK	\N	\N
3546751	485	1998-09-30	PRIJEM	\N	194	41566	UROK	\N	\N
3546752	485	1998-10-31	PRIJEM	\N	264	108202	UROK	\N	\N
3546753	485	1998-11-30	PRIJEM	\N	376	67646	UROK	\N	\N
3546754	485	1998-12-31	PRIJEM	\N	247	79053	UROK	\N	\N
3546755	487	1995-11-30	PRIJEM	\N	13	32497	UROK	\N	\N
3546756	487	1995-12-31	PRIJEM	\N	152	57195	UROK	\N	\N
3546757	487	1996-01-31	PRIJEM	\N	238	38433	UROK	\N	\N
3546758	487	1996-02-29	PRIJEM	\N	238	30071	UROK	\N	\N
3546759	487	1996-03-31	PRIJEM	\N	244	64824	UROK	\N	\N
3546760	487	1996-04-30	PRIJEM	\N	261	49968	UROK	\N	\N
3546761	487	1996-05-31	PRIJEM	\N	149	25618	UROK	\N	\N
3546762	487	1996-06-30	PRIJEM	\N	87	15375	UROK	\N	\N
3546763	487	1996-07-31	PRIJEM	\N	53	9874	UROK	\N	\N
3546764	487	1996-08-31	PRIJEM	\N	27	4002	UROK	\N	\N
3546765	487	1996-09-30	PRIJEM	\N	105	64443	UROK	\N	\N
3546766	487	1996-10-31	PRIJEM	\N	162	27906	UROK	\N	\N
3546767	487	1996-11-30	PRIJEM	\N	113	30225	UROK	\N	\N
3546768	487	1996-12-31	PRIJEM	\N	178	68564	UROK	\N	\N
3546769	487	1997-01-31	PRIJEM	\N	177	21213	UROK	\N	\N
3546770	487	1997-02-28	PRIJEM	\N	58	7872	UROK	\N	\N
3546771	487	1997-03-31	PRIJEM	\N	33	13983	UROK	\N	\N
3546772	487	1997-04-30	PRIJEM	\N	39	5923	UROK	\N	\N
3546773	487	1997-05-31	PRIJEM	\N	15	2240	UROK	\N	\N
3546774	487	1997-06-30	PRIJEM	\N	9	2234	UROK	\N	\N
3546775	487	1997-07-31	PRIJEM	\N	9	2228	UROK	\N	\N
3546776	487	1997-08-31	PRIJEM	\N	5	835	UROK	\N	\N
3546777	487	1997-09-30	PRIJEM	\N	3	823	UROK	\N	\N
3546778	487	1997-11-30	PRIJEM	\N	3	797	UROK	\N	\N
3546779	487	1997-11-30	PRIJEM	\N	3	800	UROK	\N	\N
3546780	487	1997-12-31	PRIJEM	\N	10	3711	UROK	\N	\N
3546781	487	1998-01-31	PRIJEM	\N	107	59638	UROK	\N	\N
3546782	487	1998-02-28	PRIJEM	\N	224	71946	UROK	\N	\N
3546783	487	1998-03-31	PRIJEM	\N	180	21812	UROK	\N	\N
3546784	487	1998-04-30	PRIJEM	\N	80	64052	UROK	\N	\N
3546785	487	1998-05-31	PRIJEM	\N	193	34247	UROK	\N	\N
3546786	487	1998-06-30	PRIJEM	\N	146	37439	UROK	\N	\N
3546787	487	1998-07-31	PRIJEM	\N	131	30109	UROK	\N	\N
3546788	487	1998-08-31	PRIJEM	\N	124	27234	UROK	\N	\N
3546789	487	1998-09-30	PRIJEM	\N	153	44916	UROK	\N	\N
3546790	487	1998-10-31	PRIJEM	\N	237	45469	UROK	\N	\N
3546791	487	1998-11-30	PRIJEM	\N	333	61200	UROK	\N	\N
3546792	487	1998-12-31	PRIJEM	\N	387	103152	UROK	\N	\N
3546793	489	1993-06-30	PRIJEM	\N	51	24388	UROK	\N	\N
3546794	489	1993-07-31	PRIJEM	\N	116	31362	UROK	\N	\N
3546795	489	1993-08-31	PRIJEM	\N	144	37464	UROK	\N	\N
3546796	489	1993-09-30	PRIJEM	\N	163	40585	UROK	\N	\N
3546797	489	1993-10-31	PRIJEM	\N	172	42215	UROK	\N	\N
3546798	489	1993-11-30	PRIJEM	\N	169	36720	UROK	\N	\N
3546799	489	1993-12-31	PRIJEM	\N	173	38227	UROK	\N	\N
3546800	489	1994-01-31	PRIJEM	\N	118	15860	UROK	\N	\N
3546801	489	1994-02-28	PRIJEM	\N	99	26294	UROK	\N	\N
3546802	489	1994-03-31	PRIJEM	\N	129	31059	UROK	\N	\N
3546803	489	1994-04-30	PRIJEM	\N	139	32533	UROK	\N	\N
3546804	489	1994-05-31	PRIJEM	\N	131	30220	UROK	\N	\N
3546805	489	1994-06-30	PRIJEM	\N	144	31178	UROK	\N	\N
3546806	489	1994-07-31	PRIJEM	\N	139	32952	UROK	\N	\N
3546807	489	1994-08-31	PRIJEM	\N	148	35536	UROK	\N	\N
3546808	489	1994-09-30	PRIJEM	\N	138	32429	UROK	\N	\N
3546809	489	1994-10-31	PRIJEM	\N	149	36513	UROK	\N	\N
3546810	489	1994-11-30	PRIJEM	\N	147	34895	UROK	\N	\N
3546811	489	1994-12-31	PRIJEM	\N	157	35266	UROK	\N	\N
3546812	489	1995-01-31	PRIJEM	\N	148	33249	UROK	\N	\N
3546813	489	1995-02-28	PRIJEM	\N	150	34555	UROK	\N	\N
3546814	489	1995-03-31	PRIJEM	\N	177	36568	UROK	\N	\N
3546815	489	1995-04-30	PRIJEM	\N	164	39867	UROK	\N	\N
3546816	489	1995-05-31	PRIJEM	\N	180	44582	UROK	\N	\N
3546817	489	1995-06-30	PRIJEM	\N	180	31377	UROK	\N	\N
3546818	489	1995-07-31	PRIJEM	\N	129	31241	UROK	\N	\N
3546819	489	1995-08-31	PRIJEM	\N	118	27815	UROK	\N	\N
3546820	489	1995-09-30	PRIJEM	\N	140	35790	UROK	\N	\N
3546821	489	1995-10-31	PRIJEM	\N	156	38581	UROK	\N	\N
3546822	489	1995-11-30	PRIJEM	\N	159	38976	UROK	\N	\N
3546823	489	1995-12-31	PRIJEM	\N	196	49286	UROK	\N	\N
3546824	489	1996-01-31	PRIJEM	\N	156	19557	UROK	\N	\N
3546825	489	1996-02-29	PRIJEM	\N	97	24510	UROK	\N	\N
3546826	489	1996-03-31	PRIJEM	\N	126	32571	UROK	\N	\N
3546827	489	1996-04-30	PRIJEM	\N	156	38163	UROK	\N	\N
3546828	489	1996-05-31	PRIJEM	\N	163	40661	UROK	\N	\N
3546829	489	1996-06-30	PRIJEM	\N	154	39269	UROK	\N	\N
3546830	489	1996-07-31	PRIJEM	\N	147	26151	UROK	\N	\N
3546831	489	1996-08-31	PRIJEM	\N	138	25725	UROK	\N	\N
3546832	489	1996-09-30	PRIJEM	\N	136	25996	UROK	\N	\N
3546833	489	1996-10-31	PRIJEM	\N	135	23766	UROK	\N	\N
3546834	489	1996-11-30	PRIJEM	\N	119	26320	UROK	\N	\N
3546835	489	1996-12-31	PRIJEM	\N	144	29078	UROK	\N	\N
3546836	489	1997-01-31	PRIJEM	\N	129	20543	UROK	\N	\N
3546837	489	1997-02-28	PRIJEM	\N	104	20482	UROK	\N	\N
3546838	489	1997-03-31	PRIJEM	\N	108	17026	UROK	\N	\N
3546839	489	1997-04-30	PRIJEM	\N	96	17758	UROK	\N	\N
3546840	489	1997-05-31	PRIJEM	\N	99	19192	UROK	\N	\N
3546841	489	1997-06-30	PRIJEM	\N	125	23731	UROK	\N	\N
3546842	489	1997-07-31	PRIJEM	\N	119	21486	UROK	\N	\N
3546843	489	1997-08-31	PRIJEM	\N	108	19529	UROK	\N	\N
3546844	489	1997-09-30	PRIJEM	\N	97	16062	UROK	\N	\N
3546845	489	1997-10-31	PRIJEM	\N	87	16884	UROK	\N	\N
3546846	489	1997-11-30	PRIJEM	\N	88	16107	UROK	\N	\N
3546847	489	1997-12-31	PRIJEM	\N	101	17123	UROK	\N	\N
3546848	489	1998-01-31	PRIJEM	\N	83	17041	UROK	\N	\N
3546849	489	1998-02-28	PRIJEM	\N	102	27878	UROK	\N	\N
3546850	489	1998-03-31	PRIJEM	\N	128	32981	UROK	\N	\N
3546851	489	1998-04-30	PRIJEM	\N	133	18150	UROK	\N	\N
3546852	489	1998-05-31	PRIJEM	\N	107	28992	UROK	\N	\N
3546853	489	1998-06-30	PRIJEM	\N	116	15483	UROK	\N	\N
3546854	489	1998-07-31	PRIJEM	\N	95	26313	UROK	\N	\N
3546855	489	1998-08-31	PRIJEM	\N	104	16153	UROK	\N	\N
3546856	489	1998-09-30	PRIJEM	\N	92	24180	UROK	\N	\N
3546857	489	1998-10-31	PRIJEM	\N	95	15510	UROK	\N	\N
3546858	489	1998-11-30	PRIJEM	\N	95	26340	UROK	\N	\N
3546859	489	1998-12-31	PRIJEM	\N	159	43313	UROK	\N	\N
3546860	490	1995-10-31	PRIJEM	\N	43	13816	UROK	\N	\N
3546861	490	1995-11-30	PRIJEM	\N	61	14883	UROK	\N	\N
3546862	490	1995-12-31	PRIJEM	\N	65	15654	UROK	\N	\N
3546863	490	1996-01-31	PRIJEM	\N	61	12732	UROK	\N	\N
3546864	490	1996-02-29	PRIJEM	\N	56	13794	UROK	\N	\N
3546865	490	1996-03-31	PRIJEM	\N	61	14861	UROK	\N	\N
3546866	490	1996-04-30	PRIJEM	\N	65	15932	UROK	\N	\N
3546867	490	1996-05-31	PRIJEM	\N	70	17008	UROK	\N	\N
3546868	490	1996-06-30	PRIJEM	\N	71	16585	UROK	\N	\N
3546869	490	1996-07-31	PRIJEM	\N	69	15960	UROK	\N	\N
3546870	490	1996-08-31	PRIJEM	\N	63	14230	UROK	\N	\N
3546871	490	1996-09-30	PRIJEM	\N	62	15299	UROK	\N	\N
3546872	490	1996-10-31	PRIJEM	\N	60	13235	UROK	\N	\N
3546873	490	1996-11-30	PRIJEM	\N	56	13668	UROK	\N	\N
3546874	490	1996-12-31	PRIJEM	\N	58	13922	UROK	\N	\N
3546875	490	1997-01-31	PRIJEM	\N	56	12954	UROK	\N	\N
3546876	490	1997-02-28	PRIJEM	\N	56	13776	UROK	\N	\N
3546877	490	1997-03-31	PRIJEM	\N	60	14843	UROK	\N	\N
3546878	490	1997-04-30	PRIJEM	\N	65	15914	UROK	\N	\N
3546879	490	1997-05-31	PRIJEM	\N	68	16388	UROK	\N	\N
3546880	490	1997-06-30	PRIJEM	\N	65	15009	UROK	\N	\N
3546881	490	1997-07-31	PRIJEM	\N	65	15451	UROK	\N	\N
3546882	490	1997-08-31	PRIJEM	\N	58	13195	UROK	\N	\N
3546883	490	1997-09-30	PRIJEM	\N	58	14259	UROK	\N	\N
3546884	490	1997-10-31	PRIJEM	\N	62	15327	UROK	\N	\N
3546885	490	1997-11-30	PRIJEM	\N	62	14096	UROK	\N	\N
3546886	490	1997-12-31	PRIJEM	\N	57	13409	UROK	\N	\N
3546887	490	1998-01-31	PRIJEM	\N	56	13152	UROK	\N	\N
3546888	490	1998-02-28	PRIJEM	\N	57	14215	UROK	\N	\N
3546889	490	1998-03-31	PRIJEM	\N	62	15284	UROK	\N	\N
3546890	490	1998-04-30	PRIJEM	\N	65	15545	UROK	\N	\N
3546891	490	1998-05-31	PRIJEM	\N	67	16619	UROK	\N	\N
3546892	490	1998-06-30	PRIJEM	\N	68	16374	UROK	\N	\N
3546893	490	1998-07-31	PRIJEM	\N	69	16578	UROK	\N	\N
3546894	490	1998-08-31	PRIJEM	\N	57	12942	UROK	\N	\N
3546895	490	1998-09-30	PRIJEM	\N	54	13102	UROK	\N	\N
3546896	490	1998-10-31	PRIJEM	\N	54	13163	UROK	\N	\N
3546897	490	1998-11-30	PRIJEM	\N	57	14226	UROK	\N	\N
3546898	490	1998-12-31	PRIJEM	\N	62	15084	UROK	\N	\N
3546899	491	1996-06-30	PRIJEM	\N	85	28717	UROK	\N	\N
3546900	491	1996-07-31	PRIJEM	\N	179	38217	UROK	\N	\N
3546901	491	1996-08-31	PRIJEM	\N	214	52952	UROK	\N	\N
3546902	491	1996-09-30	PRIJEM	\N	237	59411	UROK	\N	\N
3546903	491	1996-10-31	PRIJEM	\N	272	68403	UROK	\N	\N
3546904	491	1996-11-30	PRIJEM	\N	247	59067	UROK	\N	\N
3546905	491	1996-12-31	PRIJEM	\N	271	69865	UROK	\N	\N
3546906	491	1997-01-31	PRIJEM	\N	252	58434	UROK	\N	\N
3546907	491	1997-02-28	PRIJEM	\N	223	55973	UROK	\N	\N
3546908	491	1997-03-31	PRIJEM	\N	230	56919	UROK	\N	\N
3546909	491	1997-04-30	PRIJEM	\N	223	54359	UROK	\N	\N
3546910	491	1997-05-31	PRIJEM	\N	225	56000	UROK	\N	\N
3546911	491	1997-06-30	PRIJEM	\N	230	50557	UROK	\N	\N
3546912	491	1997-07-31	PRIJEM	\N	218	54992	UROK	\N	\N
3546913	491	1997-08-31	PRIJEM	\N	208	49016	UROK	\N	\N
3546914	491	1997-09-30	PRIJEM	\N	193	47425	UROK	\N	\N
3546915	491	1997-10-31	PRIJEM	\N	191	46232	UROK	\N	\N
3546916	491	1997-11-30	PRIJEM	\N	205	49653	UROK	\N	\N
3546917	491	1997-12-31	PRIJEM	\N	238	63318	UROK	\N	\N
3546918	491	1998-01-31	PRIJEM	\N	211	44845	UROK	\N	\N
3546919	491	1998-02-28	PRIJEM	\N	189	47950	UROK	\N	\N
3546920	491	1998-03-31	PRIJEM	\N	189	46256	UROK	\N	\N
3546921	491	1998-04-30	PRIJEM	\N	195	49468	UROK	\N	\N
3546922	491	1998-05-31	PRIJEM	\N	200	46884	UROK	\N	\N
3546923	491	1998-06-30	PRIJEM	\N	217	38328	UROK	\N	\N
3546924	491	1998-07-31	PRIJEM	\N	162	41605	UROK	\N	\N
3546925	491	1998-08-31	PRIJEM	\N	162	31484	UROK	\N	\N
3546926	491	1998-09-30	PRIJEM	\N	157	32057	UROK	\N	\N
3546927	491	1998-10-31	PRIJEM	\N	158	31932	UROK	\N	\N
3546928	491	1998-11-30	PRIJEM	\N	148	32096	UROK	\N	\N
3546929	491	1998-12-31	PRIJEM	\N	190	52013	UROK	\N	\N
3546930	494	1993-04-30	PRIJEM	\N	58	19938	UROK	\N	\N
3546931	494	1993-05-31	PRIJEM	\N	110	71236	UROK	\N	\N
3546932	494	1993-06-30	PRIJEM	\N	325	83085	UROK	\N	\N
3546933	494	1993-07-31	PRIJEM	\N	289	60724	UROK	\N	\N
3546934	494	1993-08-31	PRIJEM	\N	215	49804	UROK	\N	\N
3546935	494	1993-09-30	PRIJEM	\N	179	41388	UROK	\N	\N
3546936	494	1993-10-31	PRIJEM	\N	300	86016	UROK	\N	\N
3546937	494	1993-11-30	PRIJEM	\N	258	43042	UROK	\N	\N
3546938	494	1993-12-31	PRIJEM	\N	180	42934	UROK	\N	\N
3546939	494	1994-01-31	PRIJEM	\N	105	19989	UROK	\N	\N
3546940	494	1994-02-28	PRIJEM	\N	98	56898	UROK	\N	\N
3546941	494	1994-03-31	PRIJEM	\N	159	33907	UROK	\N	\N
3546942	494	1994-04-30	PRIJEM	\N	131	32540	UROK	\N	\N
3546943	494	1994-05-31	PRIJEM	\N	130	53364	UROK	\N	\N
3546944	494	1994-06-30	PRIJEM	\N	138	28253	UROK	\N	\N
3546945	494	1994-07-31	PRIJEM	\N	102	29828	UROK	\N	\N
3546946	494	1994-08-31	PRIJEM	\N	86	18464	UROK	\N	\N
3546947	494	1994-09-30	PRIJEM	\N	178	113843	UROK	\N	\N
3546948	494	1994-10-31	PRIJEM	\N	282	65250	UROK	\N	\N
3546949	494	1994-11-30	PRIJEM	\N	149	85546	UROK	\N	\N
3546950	494	1994-12-31	PRIJEM	\N	210	42965	UROK	\N	\N
3546951	494	1995-01-31	PRIJEM	\N	238	56179	UROK	\N	\N
3546952	494	1995-02-28	PRIJEM	\N	134	25664	UROK	\N	\N
3546953	494	1995-03-31	PRIJEM	\N	222	58299	UROK	\N	\N
3546954	494	1995-04-30	PRIJEM	\N	274	96878	UROK	\N	\N
3546955	494	1995-05-31	PRIJEM	\N	333	73722	UROK	\N	\N
3546956	494	1995-06-30	PRIJEM	\N	240	47662	UROK	\N	\N
3546957	494	1995-07-31	PRIJEM	\N	188	76295	UROK	\N	\N
3546958	494	1995-08-31	PRIJEM	\N	329	65316	UROK	\N	\N
3546959	494	1995-09-30	PRIJEM	\N	243	44509	UROK	\N	\N
3546960	494	1995-10-31	PRIJEM	\N	333	49406	UROK	\N	\N
3546961	494	1995-11-30	PRIJEM	\N	182	53047	UROK	\N	\N
3546962	494	1995-12-31	PRIJEM	\N	362	59854	UROK	\N	\N
3546963	494	1996-01-31	PRIJEM	\N	233	60597	UROK	\N	\N
3546964	494	1996-02-29	PRIJEM	\N	179	35407	UROK	\N	\N
3546965	494	1996-03-31	PRIJEM	\N	126	28784	UROK	\N	\N
3546966	494	1996-04-30	PRIJEM	\N	201	42880	UROK	\N	\N
3546967	494	1996-05-31	PRIJEM	\N	222	45417	UROK	\N	\N
3546968	494	1996-06-30	PRIJEM	\N	169	58710	UROK	\N	\N
3546969	494	1996-07-31	PRIJEM	\N	205	36865	UROK	\N	\N
3546970	494	1996-08-31	PRIJEM	\N	127	26042	UROK	\N	\N
3546971	494	1996-09-30	PRIJEM	\N	91	21483	UROK	\N	\N
3546972	494	1996-10-31	PRIJEM	\N	119	31032	UROK	\N	\N
3546973	494	1996-11-30	PRIJEM	\N	167	45431	UROK	\N	\N
3546974	494	1996-12-31	PRIJEM	\N	117	26083	UROK	\N	\N
3546975	494	1997-01-31	PRIJEM	\N	101	23074	UROK	\N	\N
3546976	494	1997-02-28	PRIJEM	\N	115	29345	UROK	\N	\N
3546977	494	1997-03-31	PRIJEM	\N	151	25358	UROK	\N	\N
3546978	494	1997-04-30	PRIJEM	\N	103	45509	UROK	\N	\N
3546979	494	1997-05-31	PRIJEM	\N	194	40603	UROK	\N	\N
3546980	494	1997-06-30	PRIJEM	\N	164	36291	UROK	\N	\N
3546981	494	1997-07-31	PRIJEM	\N	116	22357	UROK	\N	\N
3546982	494	1997-08-31	PRIJEM	\N	67	13475	UROK	\N	\N
3546983	494	1997-09-30	PRIJEM	\N	31	4556	UROK	\N	\N
3546984	494	1997-10-31	PRIJEM	\N	122	81581	UROK	\N	\N
3546985	494	1997-11-30	PRIJEM	\N	283	52722	UROK	\N	\N
3546986	494	1997-12-31	PRIJEM	\N	174	35146	UROK	\N	\N
3546987	494	1998-01-31	PRIJEM	\N	114	23910	UROK	\N	\N
3546988	494	1998-02-28	PRIJEM	\N	148	46519	UROK	\N	\N
3546989	494	1998-03-31	PRIJEM	\N	104	20073	UROK	\N	\N
3546990	494	1998-04-30	PRIJEM	\N	62	29889	UROK	\N	\N
3546991	494	1998-05-31	PRIJEM	\N	136	34470	UROK	\N	\N
3546992	494	1998-06-30	PRIJEM	\N	223	75815	UROK	\N	\N
3546993	494	1998-07-31	PRIJEM	\N	217	39682	UROK	\N	\N
3546994	494	1998-08-31	PRIJEM	\N	138	30870	UROK	\N	\N
3546995	494	1998-09-30	PRIJEM	\N	121	31193	UROK	\N	\N
3546996	494	1998-10-31	PRIJEM	\N	188	48990	UROK	\N	\N
3546997	494	1998-11-30	PRIJEM	\N	176	40217	UROK	\N	\N
3546998	494	1998-12-31	PRIJEM	\N	237	64171	UROK	\N	\N
3546999	496	1993-03-31	PRIJEM	\N	8	15412	UROK	\N	\N
3547000	496	1993-04-30	PRIJEM	\N	67	21284	UROK	\N	\N
3547001	496	1993-05-31	PRIJEM	\N	92	26980	UROK	\N	\N
3547002	496	1993-06-30	PRIJEM	\N	113	27899	UROK	\N	\N
3547003	496	1993-07-31	PRIJEM	\N	120	24900	UROK	\N	\N
3547004	496	1993-08-31	PRIJEM	\N	107	26095	UROK	\N	\N
3547005	496	1993-09-30	PRIJEM	\N	114	28696	UROK	\N	\N
3547006	496	1993-10-31	PRIJEM	\N	121	28104	UROK	\N	\N
3547007	496	1993-11-30	PRIJEM	\N	113	20044	UROK	\N	\N
3547008	496	1993-12-31	PRIJEM	\N	86	19800	UROK	\N	\N
3547009	496	1994-01-31	PRIJEM	\N	79	14006	UROK	\N	\N
3547010	496	1994-02-28	PRIJEM	\N	64	18217	UROK	\N	\N
3547011	496	1994-03-31	PRIJEM	\N	82	21487	UROK	\N	\N
3547012	496	1994-04-30	PRIJEM	\N	91	19345	UROK	\N	\N
3547013	496	1994-05-31	PRIJEM	\N	84	20617	UROK	\N	\N
3547014	496	1994-06-30	PRIJEM	\N	95	24001	UROK	\N	\N
3547015	496	1994-07-31	PRIJEM	\N	104	25592	UROK	\N	\N
3547016	496	1994-08-31	PRIJEM	\N	109	26488	UROK	\N	\N
3547017	496	1994-09-30	PRIJEM	\N	108	24784	UROK	\N	\N
3547018	496	1994-10-31	PRIJEM	\N	104	25975	UROK	\N	\N
3547019	496	1994-11-30	PRIJEM	\N	113	28276	UROK	\N	\N
3547020	496	1994-12-31	PRIJEM	\N	111	22136	UROK	\N	\N
3547021	496	1995-01-31	PRIJEM	\N	88	14271	UROK	\N	\N
3547022	496	1995-02-28	PRIJEM	\N	70	19728	UROK	\N	\N
3547023	496	1995-03-31	PRIJEM	\N	90	23906	UROK	\N	\N
3547024	496	1995-04-30	PRIJEM	\N	100	23254	UROK	\N	\N
3547025	496	1995-05-31	PRIJEM	\N	102	25944	UROK	\N	\N
3547026	496	1995-06-30	PRIJEM	\N	107	23440	UROK	\N	\N
3547027	496	1995-07-31	PRIJEM	\N	103	26230	UROK	\N	\N
3547028	496	1995-08-31	PRIJEM	\N	102	23320	UROK	\N	\N
3547029	496	1995-09-30	PRIJEM	\N	106	22873	UROK	\N	\N
3547030	496	1995-10-31	PRIJEM	\N	98	21359	UROK	\N	\N
3547031	496	1995-11-30	PRIJEM	\N	90	22137	UROK	\N	\N
3547032	496	1995-12-31	PRIJEM	\N	97	22683	UROK	\N	\N
3547033	496	1996-01-31	PRIJEM	\N	70	14260	UROK	\N	\N
3547034	496	1996-02-29	PRIJEM	\N	70	18018	UROK	\N	\N
3547035	496	1996-03-31	PRIJEM	\N	74	17679	UROK	\N	\N
3547036	496	1996-04-30	PRIJEM	\N	66	14732	UROK	\N	\N
3547037	496	1996-05-31	PRIJEM	\N	73	18692	UROK	\N	\N
3547038	496	1996-06-30	PRIJEM	\N	87	21468	UROK	\N	\N
3547039	496	1996-07-31	PRIJEM	\N	81	16877	UROK	\N	\N
3547040	496	1996-08-31	PRIJEM	\N	74	17838	UROK	\N	\N
3547041	496	1996-09-30	PRIJEM	\N	70	15536	UROK	\N	\N
3547042	496	1996-10-31	PRIJEM	\N	69	16593	UROK	\N	\N
3547043	496	1996-11-30	PRIJEM	\N	74	16954	UROK	\N	\N
3547044	496	1996-12-31	PRIJEM	\N	84	21668	UROK	\N	\N
3547045	496	1997-01-31	PRIJEM	\N	82	14637	UROK	\N	\N
3547046	496	1997-02-28	PRIJEM	\N	101	26525	UROK	\N	\N
3547047	496	1997-03-31	PRIJEM	\N	115	28647	UROK	\N	\N
3547048	496	1997-04-30	PRIJEM	\N	131	31426	UROK	\N	\N
3547049	496	1997-05-31	PRIJEM	\N	138	33051	UROK	\N	\N
3547050	496	1997-06-30	PRIJEM	\N	152	37093	UROK	\N	\N
3547051	496	1997-07-31	PRIJEM	\N	147	34427	UROK	\N	\N
3547052	496	1997-08-31	PRIJEM	\N	146	34860	UROK	\N	\N
3547053	496	1997-09-30	PRIJEM	\N	138	32285	UROK	\N	\N
3547054	496	1997-10-31	PRIJEM	\N	126	28359	UROK	\N	\N
3547055	496	1997-11-30	PRIJEM	\N	133	32679	UROK	\N	\N
3547056	496	1997-12-31	PRIJEM	\N	142	34691	UROK	\N	\N
3547057	496	1998-01-31	PRIJEM	\N	92	15690	UROK	\N	\N
3547058	496	1998-02-28	PRIJEM	\N	79	20557	UROK	\N	\N
3547059	496	1998-03-31	PRIJEM	\N	93	22537	UROK	\N	\N
3547060	496	1998-04-30	PRIJEM	\N	108	24772	UROK	\N	\N
3547061	496	1998-05-31	PRIJEM	\N	109	26269	UROK	\N	\N
3547062	496	1998-06-30	PRIJEM	\N	120	27638	UROK	\N	\N
3547063	496	1998-07-31	PRIJEM	\N	111	30896	UROK	\N	\N
3547064	496	1998-08-31	PRIJEM	\N	129	31212	UROK	\N	\N
3547065	496	1998-09-30	PRIJEM	\N	133	38433	UROK	\N	\N
3547066	496	1998-10-31	PRIJEM	\N	158	35139	UROK	\N	\N
3547067	496	1998-11-30	PRIJEM	\N	146	35372	UROK	\N	\N
3547068	496	1998-12-31	PRIJEM	\N	156	36817	UROK	\N	\N
3547069	497	1993-05-31	PRIJEM	\N	52	23005	UROK	\N	\N
3547070	497	1993-06-30	PRIJEM	\N	138	41073	UROK	\N	\N
3547071	497	1993-07-31	PRIJEM	\N	183	46209	UROK	\N	\N
3547072	497	1993-08-31	PRIJEM	\N	188	44850	UROK	\N	\N
3547073	497	1993-09-30	PRIJEM	\N	213	55311	UROK	\N	\N
3547074	497	1993-10-31	PRIJEM	\N	243	59987	UROK	\N	\N
3547075	497	1993-11-30	PRIJEM	\N	248	59269	UROK	\N	\N
3547076	497	1993-12-31	PRIJEM	\N	270	70309	UROK	\N	\N
3547077	497	1994-01-31	PRIJEM	\N	248	51210	UROK	\N	\N
3547078	497	1994-02-28	PRIJEM	\N	227	56670	UROK	\N	\N
3547079	497	1994-03-31	PRIJEM	\N	231	56455	UROK	\N	\N
3547080	497	1994-04-30	PRIJEM	\N	236	54324	UROK	\N	\N
3547081	497	1994-05-31	PRIJEM	\N	241	60199	UROK	\N	\N
3547082	497	1994-06-30	PRIJEM	\N	239	24608	UROK	\N	\N
3547083	497	1994-07-31	PRIJEM	\N	147	42089	UROK	\N	\N
3547084	497	1994-08-31	PRIJEM	\N	186	49128	UROK	\N	\N
3547085	497	1994-09-30	PRIJEM	\N	221	55482	UROK	\N	\N
3547086	497	1994-10-31	PRIJEM	\N	244	60659	UROK	\N	\N
3547087	497	1994-11-30	PRIJEM	\N	253	59206	UROK	\N	\N
3547088	497	1994-12-31	PRIJEM	\N	283	72039	UROK	\N	\N
3547089	497	1995-01-31	PRIJEM	\N	251	44103	UROK	\N	\N
3547090	497	1995-02-28	PRIJEM	\N	209	54745	UROK	\N	\N
3547091	497	1995-03-31	PRIJEM	\N	240	59518	UROK	\N	\N
3547092	497	1995-04-30	PRIJEM	\N	248	58180	UROK	\N	\N
3547093	497	1995-05-31	PRIJEM	\N	237	51111	UROK	\N	\N
3547094	497	1995-06-30	PRIJEM	\N	175	31215	UROK	\N	\N
3547095	497	1995-07-31	PRIJEM	\N	175	49224	UROK	\N	\N
3547096	497	1995-08-31	PRIJEM	\N	222	55439	UROK	\N	\N
3547097	497	1995-09-30	PRIJEM	\N	244	60916	UROK	\N	\N
3547098	497	1995-10-31	PRIJEM	\N	262	64712	UROK	\N	\N
3547099	497	1995-11-30	PRIJEM	\N	272	66117	UROK	\N	\N
3547100	497	1995-12-31	PRIJEM	\N	282	73809	UROK	\N	\N
3547101	497	1996-01-31	PRIJEM	\N	256	46198	UROK	\N	\N
3547102	497	1996-02-29	PRIJEM	\N	231	64563	UROK	\N	\N
3547103	497	1996-03-31	PRIJEM	\N	254	50990	UROK	\N	\N
3547104	497	1996-04-30	PRIJEM	\N	248	50572	UROK	\N	\N
3547105	497	1996-05-31	PRIJEM	\N	247	54252	UROK	\N	\N
3547106	497	1996-06-30	PRIJEM	\N	244	49346	UROK	\N	\N
3547107	497	1996-07-31	PRIJEM	\N	238	51218	UROK	\N	\N
3547108	497	1996-08-31	PRIJEM	\N	245	54195	UROK	\N	\N
3547109	497	1996-09-30	PRIJEM	\N	248	51537	UROK	\N	\N
3547110	497	1996-10-31	PRIJEM	\N	238	47909	UROK	\N	\N
3547111	497	1996-11-30	PRIJEM	\N	221	41803	UROK	\N	\N
3547112	497	1996-12-31	PRIJEM	\N	216	48849	UROK	\N	\N
3547113	497	1997-01-31	PRIJEM	\N	186	39308	UROK	\N	\N
3547114	497	1997-02-28	PRIJEM	\N	183	41064	UROK	\N	\N
3547115	497	1997-03-31	PRIJEM	\N	190	39028	UROK	\N	\N
3547116	497	1997-04-30	PRIJEM	\N	186	40547	UROK	\N	\N
3547117	497	1997-05-31	PRIJEM	\N	189	39869	UROK	\N	\N
3547118	497	1997-06-30	PRIJEM	\N	197	40475	UROK	\N	\N
3547119	497	1997-07-31	PRIJEM	\N	190	43298	UROK	\N	\N
3547120	497	1997-08-31	PRIJEM	\N	197	43828	UROK	\N	\N
3547121	497	1997-09-30	PRIJEM	\N	194	43056	UROK	\N	\N
3547122	497	1997-10-31	PRIJEM	\N	188	40777	UROK	\N	\N
3547123	497	1997-11-30	PRIJEM	\N	178	40669	UROK	\N	\N
3547124	497	1997-12-31	PRIJEM	\N	196	46475	UROK	\N	\N
3547125	497	1998-01-31	PRIJEM	\N	145	27733	UROK	\N	\N
3547126	497	1998-02-28	PRIJEM	\N	129	32195	UROK	\N	\N
3547127	497	1998-03-31	PRIJEM	\N	146	33775	UROK	\N	\N
3547128	497	1998-04-30	PRIJEM	\N	152	36160	UROK	\N	\N
3547129	497	1998-05-31	PRIJEM	\N	152	33146	UROK	\N	\N
3547130	497	1998-06-30	PRIJEM	\N	160	39815	UROK	\N	\N
3547131	497	1998-07-31	PRIJEM	\N	145	33353	UROK	\N	\N
3547132	497	1998-08-31	PRIJEM	\N	130	28116	UROK	\N	\N
3547133	497	1998-09-30	PRIJEM	\N	103	21752	UROK	\N	\N
3547134	497	1998-10-31	PRIJEM	\N	92	22977	UROK	\N	\N
3547135	497	1998-11-30	PRIJEM	\N	89	22000	UROK	\N	\N
3547136	497	1998-12-31	PRIJEM	\N	144	46574	UROK	\N	\N
3547137	498	1993-12-31	PRIJEM	\N	45	30698	UROK	\N	\N
3547138	498	1994-01-31	PRIJEM	\N	141	38941	UROK	\N	\N
3547139	498	1994-02-28	PRIJEM	\N	170	44213	UROK	\N	\N
3547140	498	1994-03-31	PRIJEM	\N	187	46401	UROK	\N	\N
3547141	498	1994-04-30	PRIJEM	\N	193	46696	UROK	\N	\N
3547142	498	1994-05-31	PRIJEM	\N	192	44436	UROK	\N	\N
3547143	498	1994-06-30	PRIJEM	\N	164	8138	UROK	\N	\N
3547144	498	1994-07-31	PRIJEM	\N	69	28395	UROK	\N	\N
3547145	498	1994-08-31	PRIJEM	\N	133	36415	UROK	\N	\N
3547146	498	1994-09-30	PRIJEM	\N	161	41163	UROK	\N	\N
3547147	498	1994-10-31	PRIJEM	\N	173	41923	UROK	\N	\N
3547148	498	1994-11-30	PRIJEM	\N	177	43048	UROK	\N	\N
3547149	498	1994-12-31	PRIJEM	\N	193	49099	UROK	\N	\N
3547150	498	1995-01-31	PRIJEM	\N	173	32779	UROK	\N	\N
3547151	498	1995-02-28	PRIJEM	\N	170	37997	UROK	\N	\N
3547152	498	1995-03-31	PRIJEM	\N	165	39329	UROK	\N	\N
3547153	498	1995-04-30	PRIJEM	\N	174	44391	UROK	\N	\N
3547154	498	1995-05-31	PRIJEM	\N	197	50176	UROK	\N	\N
3547155	498	1995-06-30	PRIJEM	\N	202	47395	UROK	\N	\N
3547156	498	1995-07-31	PRIJEM	\N	206	47149	UROK	\N	\N
3547157	498	1995-08-31	PRIJEM	\N	226	59963	UROK	\N	\N
3547158	498	1995-09-30	PRIJEM	\N	267	67817	UROK	\N	\N
3547159	498	1995-10-31	PRIJEM	\N	283	70527	UROK	\N	\N
3547160	498	1995-11-30	PRIJEM	\N	308	76823	UROK	\N	\N
3547161	498	1995-12-31	PRIJEM	\N	337	87738	UROK	\N	\N
3547162	498	1996-01-31	PRIJEM	\N	299	69205	UROK	\N	\N
3547163	498	1996-02-29	PRIJEM	\N	305	77097	UROK	\N	\N
3547164	498	1996-03-31	PRIJEM	\N	303	74427	UROK	\N	\N
3547165	498	1996-04-30	PRIJEM	\N	312	76427	UROK	\N	\N
3547166	498	1996-05-31	PRIJEM	\N	313	73527	UROK	\N	\N
3547167	498	1996-06-30	PRIJEM	\N	320	77546	UROK	\N	\N
3547168	498	1996-07-31	PRIJEM	\N	330	81163	UROK	\N	\N
3547169	498	1996-08-31	PRIJEM	\N	341	83391	UROK	\N	\N
3547170	498	1996-09-30	PRIJEM	\N	349	84927	UROK	\N	\N
3547171	498	1996-10-31	PRIJEM	\N	364	90279	UROK	\N	\N
3547172	498	1996-11-30	PRIJEM	\N	373	90139	UROK	\N	\N
3547173	498	1996-12-31	PRIJEM	\N	398	100176	UROK	\N	\N
3547174	498	1997-01-31	PRIJEM	\N	340	77003	UROK	\N	\N
3547175	498	1997-02-28	PRIJEM	\N	332	83522	UROK	\N	\N
3547176	498	1997-03-31	PRIJEM	\N	362	90772	UROK	\N	\N
3547177	498	1997-04-30	PRIJEM	\N	375	91035	UROK	\N	\N
3547178	498	1997-05-31	PRIJEM	\N	349	86751	UROK	\N	\N
3547179	498	1997-06-30	PRIJEM	\N	307	75256	UROK	\N	\N
3547180	498	1997-07-31	PRIJEM	\N	342	88786	UROK	\N	\N
3547181	498	1997-08-31	PRIJEM	\N	347	91660	UROK	\N	\N
3547182	498	1997-09-30	PRIJEM	\N	407	103954	UROK	\N	\N
3547183	498	1997-10-31	PRIJEM	\N	435	107476	UROK	\N	\N
3547184	498	1997-11-30	PRIJEM	\N	401	108624	UROK	\N	\N
3547185	498	1997-12-31	PRIJEM	\N	328	75650	UROK	\N	\N
3547186	498	1998-01-31	PRIJEM	\N	262	68160	UROK	\N	\N
3547187	498	1998-02-28	PRIJEM	\N	283	89330	UROK	\N	\N
3547188	498	1998-03-31	PRIJEM	\N	361	96479	UROK	\N	\N
3547189	498	1998-04-30	PRIJEM	\N	399	101965	UROK	\N	\N
3547190	498	1998-05-31	PRIJEM	\N	405	85497	UROK	\N	\N
3547191	498	1998-06-30	PRIJEM	\N	266	52381	UROK	\N	\N
3547192	498	1998-07-31	PRIJEM	\N	230	83698	UROK	\N	\N
3547193	498	1998-08-31	PRIJEM	\N	382	101327	UROK	\N	\N
3547194	498	1998-09-30	PRIJEM	\N	367	85982	UROK	\N	\N
3547195	498	1998-10-31	PRIJEM	\N	370	107539	UROK	\N	\N
3547196	498	1998-11-30	PRIJEM	\N	383	90269	UROK	\N	\N
3547197	498	1998-12-31	PRIJEM	\N	419	100027	UROK	\N	\N
3547198	500	1996-05-31	PRIJEM	\N	74	56732	UROK	\N	\N
3547199	500	1996-06-30	PRIJEM	\N	336	74480	UROK	\N	\N
3547200	500	1996-07-31	PRIJEM	\N	292	48586	UROK	\N	\N
3547201	500	1996-08-31	PRIJEM	\N	167	63254	UROK	\N	\N
3547202	500	1996-09-30	PRIJEM	\N	407	59125	UROK	\N	\N
3547203	500	1996-10-31	PRIJEM	\N	259	79641	UROK	\N	\N
3547204	500	1996-11-30	PRIJEM	\N	325	50590	UROK	\N	\N
3547205	500	1996-12-31	PRIJEM	\N	205	41999	UROK	\N	\N
3547206	500	1997-01-31	PRIJEM	\N	140	38324	UROK	\N	\N
3547207	500	1997-02-28	PRIJEM	\N	133	22336	UROK	\N	\N
3547208	500	1997-03-31	PRIJEM	\N	79	17595	UROK	\N	\N
3547209	500	1997-04-30	PRIJEM	\N	109	19220	UROK	\N	\N
3547210	500	1997-05-31	PRIJEM	\N	69	16468	UROK	\N	\N
3547211	500	1997-06-30	PRIJEM	\N	55	12002	UROK	\N	\N
3547212	500	1997-07-31	PRIJEM	\N	37	8218	UROK	\N	\N
3547213	500	1997-08-31	PRIJEM	\N	130	31084	UROK	\N	\N
3547214	500	1997-09-30	PRIJEM	\N	158	44971	UROK	\N	\N
3547215	500	1997-10-31	PRIJEM	\N	124	22693	UROK	\N	\N
3547216	500	1997-11-30	PRIJEM	\N	83	19956	UROK	\N	\N
3547217	500	1997-12-31	PRIJEM	\N	71	16706	UROK	\N	\N
3547218	500	1998-01-31	PRIJEM	\N	140	77124	UROK	\N	\N
3547219	500	1998-02-28	PRIJEM	\N	255	45958	UROK	\N	\N
3547220	500	1998-03-31	PRIJEM	\N	154	29491	UROK	\N	\N
3547221	500	1998-04-30	PRIJEM	\N	110	25981	UROK	\N	\N
3547222	500	1998-05-31	PRIJEM	\N	103	26163	UROK	\N	\N
3547223	500	1998-06-30	PRIJEM	\N	98	23740	UROK	\N	\N
3547224	500	1998-07-31	PRIJEM	\N	131	31287	UROK	\N	\N
3547225	500	1998-08-31	PRIJEM	\N	99	19665	UROK	\N	\N
3547226	500	1998-09-30	PRIJEM	\N	120	40612	UROK	\N	\N
3547227	500	1998-10-31	PRIJEM	\N	188	37432	UROK	\N	\N
3547228	500	1998-11-30	PRIJEM	\N	120	24731	UROK	\N	\N
3547229	500	1998-12-31	PRIJEM	\N	89	20999	UROK	\N	\N
3547230	501	1995-11-30	PRIJEM	\N	66	47581	UROK	\N	\N
3547231	501	1995-12-31	PRIJEM	\N	223	73597	UROK	\N	\N
3547232	501	1996-01-31	PRIJEM	\N	304	51686	UROK	\N	\N
3547233	501	1996-02-29	PRIJEM	\N	181	30153	UROK	\N	\N
3547234	501	1996-03-31	PRIJEM	\N	126	29964	UROK	\N	\N
3547235	501	1996-04-30	PRIJEM	\N	124	29874	UROK	\N	\N
3547236	501	1996-05-31	PRIJEM	\N	177	36861	UROK	\N	\N
3547237	501	1996-06-30	PRIJEM	\N	139	29486	UROK	\N	\N
3547238	501	1996-07-31	PRIJEM	\N	207	48859	UROK	\N	\N
3547239	501	1996-08-31	PRIJEM	\N	184	39928	UROK	\N	\N
3547240	501	1996-09-30	PRIJEM	\N	138	30552	UROK	\N	\N
3547241	501	1996-10-31	PRIJEM	\N	226	76307	UROK	\N	\N
3547242	501	1996-11-30	PRIJEM	\N	272	49081	UROK	\N	\N
3547243	501	1996-12-31	PRIJEM	\N	168	47970	UROK	\N	\N
3547244	501	1997-01-31	PRIJEM	\N	187	43760	UROK	\N	\N
3547245	501	1997-02-28	PRIJEM	\N	202	47664	UROK	\N	\N
3547246	501	1997-03-31	PRIJEM	\N	170	32621	UROK	\N	\N
3547247	501	1997-04-30	PRIJEM	\N	138	32220	UROK	\N	\N
3547248	501	1997-05-31	PRIJEM	\N	148	22065	UROK	\N	\N
3547249	501	1997-06-30	PRIJEM	\N	126	29134	UROK	\N	\N
3547250	501	1997-07-31	PRIJEM	\N	161	44298	UROK	\N	\N
3547251	501	1997-08-31	PRIJEM	\N	191	47292	UROK	\N	\N
3547252	501	1997-09-30	PRIJEM	\N	198	48193	UROK	\N	\N
3547253	501	1997-10-31	PRIJEM	\N	217	69684	UROK	\N	\N
3547254	501	1997-11-30	PRIJEM	\N	260	58747	UROK	\N	\N
3547255	501	1997-12-31	PRIJEM	\N	267	65873	UROK	\N	\N
3547256	501	1998-01-31	PRIJEM	\N	332	84568	UROK	\N	\N
3547257	501	1998-02-28	PRIJEM	\N	330	79448	UROK	\N	\N
3547258	501	1998-03-31	PRIJEM	\N	360	87956	UROK	\N	\N
3547259	501	1998-04-30	PRIJEM	\N	315	63721	UROK	\N	\N
3547260	501	1998-05-31	PRIJEM	\N	320	98505	UROK	\N	\N
3547261	501	1998-06-30	PRIJEM	\N	352	77260	UROK	\N	\N
3547262	501	1998-07-31	PRIJEM	\N	272	61735	UROK	\N	\N
3547263	501	1998-08-31	PRIJEM	\N	386	88719	UROK	\N	\N
3547264	501	1998-09-30	PRIJEM	\N	357	95589	UROK	\N	\N
3547265	501	1998-10-31	PRIJEM	\N	469	107517	UROK	\N	\N
3547266	501	1998-11-30	PRIJEM	\N	403	78854	UROK	\N	\N
3547267	501	1998-12-31	PRIJEM	\N	327	81775	UROK	\N	\N
3547268	502	1997-11-30	PRIJEM	\N	38	14285	UROK	\N	\N
3547269	502	1997-12-31	PRIJEM	\N	73	19304	UROK	\N	\N
3547270	502	1998-01-31	PRIJEM	\N	105	28257	UROK	\N	\N
3547271	502	1998-02-28	PRIJEM	\N	126	31229	UROK	\N	\N
3547272	502	1998-03-31	PRIJEM	\N	135	33211	UROK	\N	\N
3547273	502	1998-04-30	PRIJEM	\N	134	31020	UROK	\N	\N
3547274	502	1998-05-31	PRIJEM	\N	119	27073	UROK	\N	\N
3547275	502	1998-06-30	PRIJEM	\N	93	20941	UROK	\N	\N
3547276	502	1998-07-31	PRIJEM	\N	99	24514	UROK	\N	\N
3547277	502	1998-08-31	PRIJEM	\N	97	22846	UROK	\N	\N
3547278	502	1998-09-30	PRIJEM	\N	100	22520	UROK	\N	\N
3547279	502	1998-10-31	PRIJEM	\N	107	26661	UROK	\N	\N
3547280	502	1998-11-30	PRIJEM	\N	127	31723	UROK	\N	\N
3547281	502	1998-12-31	PRIJEM	\N	136	32943	UROK	\N	\N
3547282	503	1996-08-31	PRIJEM	\N	47	15283	UROK	\N	\N
3547283	503	1996-09-30	PRIJEM	\N	124	35143	UROK	\N	\N
3547284	503	1996-10-31	PRIJEM	\N	180	46259	UROK	\N	\N
3547285	503	1996-11-30	PRIJEM	\N	206	50701	UROK	\N	\N
3547286	503	1996-12-31	PRIJEM	\N	244	60849	UROK	\N	\N
3547287	503	1997-01-31	PRIJEM	\N	211	45406	UROK	\N	\N
3547288	503	1997-02-28	PRIJEM	\N	187	46239	UROK	\N	\N
3547289	503	1997-03-31	PRIJEM	\N	187	45872	UROK	\N	\N
3547290	503	1997-04-30	PRIJEM	\N	193	47912	UROK	\N	\N
3547291	503	1997-05-31	PRIJEM	\N	186	46344	UROK	\N	\N
3547292	503	1997-06-30	PRIJEM	\N	225	53983	UROK	\N	\N
3547293	503	1997-07-31	PRIJEM	\N	224	55254	UROK	\N	\N
3547294	503	1997-08-31	PRIJEM	\N	227	55728	UROK	\N	\N
3547295	503	1997-09-30	PRIJEM	\N	221	53395	UROK	\N	\N
3547296	503	1997-10-31	PRIJEM	\N	219	53660	UROK	\N	\N
3547297	503	1997-11-30	PRIJEM	\N	228	56534	UROK	\N	\N
3547298	503	1997-12-31	PRIJEM	\N	236	57184	UROK	\N	\N
3547299	503	1998-01-31	PRIJEM	\N	185	37216	UROK	\N	\N
3547300	503	1998-02-28	PRIJEM	\N	177	44739	UROK	\N	\N
3547301	503	1998-03-31	PRIJEM	\N	172	42457	UROK	\N	\N
3547302	503	1998-04-30	PRIJEM	\N	184	46587	UROK	\N	\N
3547303	503	1998-05-31	PRIJEM	\N	178	40212	UROK	\N	\N
3547304	503	1998-06-30	PRIJEM	\N	209	47536	UROK	\N	\N
3547305	503	1998-07-31	PRIJEM	\N	215	43896	UROK	\N	\N
3547306	503	1998-08-31	PRIJEM	\N	201	44244	UROK	\N	\N
3547307	503	1998-09-30	PRIJEM	\N	199	39589	UROK	\N	\N
3547308	503	1998-10-31	PRIJEM	\N	181	38016	UROK	\N	\N
3547309	503	1998-11-30	PRIJEM	\N	174	37236	UROK	\N	\N
3547310	503	1998-12-31	PRIJEM	\N	198	51549	UROK	\N	\N
3547311	504	1993-09-30	PRIJEM	\N	56	16163	UROK	\N	\N
3547312	504	1993-10-31	PRIJEM	\N	78	17381	UROK	\N	\N
3547313	504	1993-11-30	PRIJEM	\N	83	18604	UROK	\N	\N
3547314	504	1993-12-31	PRIJEM	\N	87	19652	UROK	\N	\N
3547315	504	1994-01-31	PRIJEM	\N	82	17124	UROK	\N	\N
3547316	504	1994-02-28	PRIJEM	\N	75	18339	UROK	\N	\N
3547317	504	1994-03-31	PRIJEM	\N	87	19566	UROK	\N	\N
3547318	504	1994-04-30	PRIJEM	\N	84	19621	UROK	\N	\N
3547319	504	1994-05-31	PRIJEM	\N	85	20396	UROK	\N	\N
3547320	504	1994-06-30	PRIJEM	\N	82	17658	UROK	\N	\N
3547321	504	1994-07-31	PRIJEM	\N	84	18883	UROK	\N	\N
3547322	504	1994-08-31	PRIJEM	\N	82	20105	UROK	\N	\N
3547323	504	1994-09-30	PRIJEM	\N	94	21339	UROK	\N	\N
3547324	504	1994-10-31	PRIJEM	\N	89	21249	UROK	\N	\N
3547325	504	1994-11-30	PRIJEM	\N	99	22488	UROK	\N	\N
3547326	504	1994-12-31	PRIJEM	\N	103	23431	UROK	\N	\N
3547327	504	1995-01-31	PRIJEM	\N	96	21008	UROK	\N	\N
3547328	504	1995-02-28	PRIJEM	\N	91	21938	UROK	\N	\N
3547329	504	1995-03-31	PRIJEM	\N	102	23180	UROK	\N	\N
3547330	504	1995-04-30	PRIJEM	\N	107	24427	UROK	\N	\N
3547331	504	1995-05-31	PRIJEM	\N	112	25679	UROK	\N	\N
3547332	504	1995-06-30	PRIJEM	\N	110	20810	UROK	\N	\N
3547333	504	1995-07-31	PRIJEM	\N	90	22040	UROK	\N	\N
3547334	504	1995-08-31	PRIJEM	\N	94	22494	UROK	\N	\N
3547335	504	1995-09-30	PRIJEM	\N	95	22679	UROK	\N	\N
3547336	504	1995-10-31	PRIJEM	\N	98	23917	UROK	\N	\N
3547337	504	1995-11-30	PRIJEM	\N	103	25160	UROK	\N	\N
3547338	504	1995-12-31	PRIJEM	\N	107	25658	UROK	\N	\N
3547339	504	1996-01-31	PRIJEM	\N	105	23753	UROK	\N	\N
3547340	504	1996-02-29	PRIJEM	\N	103	24636	UROK	\N	\N
3547341	504	1996-03-31	PRIJEM	\N	104	25100	UROK	\N	\N
3547342	504	1996-04-30	PRIJEM	\N	107	26348	UROK	\N	\N
3547343	504	1996-05-31	PRIJEM	\N	119	27608	UROK	\N	\N
3547344	504	1996-06-30	PRIJEM	\N	106	23694	UROK	\N	\N
3547345	504	1996-07-31	PRIJEM	\N	101	24936	UROK	\N	\N
3547346	504	1996-08-31	PRIJEM	\N	107	26183	UROK	\N	\N
3547347	504	1996-09-30	PRIJEM	\N	114	26387	UROK	\N	\N
3547348	504	1996-10-31	PRIJEM	\N	112	26709	UROK	\N	\N
3547349	504	1996-11-30	PRIJEM	\N	114	27963	UROK	\N	\N
3547350	504	1996-12-31	PRIJEM	\N	118	27901	UROK	\N	\N
3547351	504	1997-01-31	PRIJEM	\N	112	26664	UROK	\N	\N
3547352	504	1997-02-28	PRIJEM	\N	113	27617	UROK	\N	\N
3547353	504	1997-03-31	PRIJEM	\N	124	28882	UROK	\N	\N
3547354	504	1997-04-30	PRIJEM	\N	129	30151	UROK	\N	\N
3547355	504	1997-05-31	PRIJEM	\N	133	30794	UROK	\N	\N
3547356	504	1997-06-30	PRIJEM	\N	124	25759	UROK	\N	\N
3547357	504	1997-07-31	PRIJEM	\N	116	27015	UROK	\N	\N
3547358	504	1997-08-31	PRIJEM	\N	121	28277	UROK	\N	\N
3547359	504	1997-09-30	PRIJEM	\N	126	29543	UROK	\N	\N
3547360	504	1997-10-31	PRIJEM	\N	124	29968	UROK	\N	\N
3547361	504	1997-11-30	PRIJEM	\N	126	31235	UROK	\N	\N
3547362	504	1997-12-31	PRIJEM	\N	130	31005	UROK	\N	\N
3547363	504	1998-01-31	PRIJEM	\N	126	29422	UROK	\N	\N
3547364	504	1998-02-28	PRIJEM	\N	124	30686	UROK	\N	\N
3547365	504	1998-03-31	PRIJEM	\N	136	31963	UROK	\N	\N
3547366	504	1998-04-30	PRIJEM	\N	132	32214	UROK	\N	\N
3547367	504	1998-05-31	PRIJEM	\N	142	33497	UROK	\N	\N
3547368	504	1998-06-30	PRIJEM	\N	128	27335	UROK	\N	\N
3547369	504	1998-07-31	PRIJEM	\N	116	25091	UROK	\N	\N
3547370	504	1998-08-31	PRIJEM	\N	102	24493	UROK	\N	\N
3547371	504	1998-09-30	PRIJEM	\N	106	24910	UROK	\N	\N
3547372	504	1998-10-31	PRIJEM	\N	109	25649	UROK	\N	\N
3547373	504	1998-11-30	PRIJEM	\N	114	26903	UROK	\N	\N
3547374	504	1998-12-31	PRIJEM	\N	118	27321	UROK	\N	\N
3547375	505	1997-05-31	PRIJEM	\N	41	14498	UROK	\N	\N
3547376	505	1997-06-30	PRIJEM	\N	63	14957	UROK	\N	\N
3547377	505	1997-07-31	PRIJEM	\N	57	13440	UROK	\N	\N
3547378	505	1997-08-31	PRIJEM	\N	57	13494	UROK	\N	\N
3547379	505	1997-09-30	PRIJEM	\N	54	12344	UROK	\N	\N
3547380	505	1997-10-31	PRIJEM	\N	49	11190	UROK	\N	\N
3547381	505	1997-11-30	PRIJEM	\N	51	12337	UROK	\N	\N
3547382	505	1997-12-31	PRIJEM	\N	54	13097	UROK	\N	\N
3547383	505	1998-01-31	PRIJEM	\N	56	12389	UROK	\N	\N
3547384	505	1998-02-28	PRIJEM	\N	56	13541	UROK	\N	\N
3547385	505	1998-03-31	PRIJEM	\N	60	13798	UROK	\N	\N
3547386	505	1998-04-30	PRIJEM	\N	61	14955	UROK	\N	\N
3547387	505	1998-05-31	PRIJEM	\N	65	15367	UROK	\N	\N
3547388	505	1998-06-30	PRIJEM	\N	63	14377	UROK	\N	\N
3547389	505	1998-07-31	PRIJEM	\N	63	14816	UROK	\N	\N
3547390	505	1998-08-31	PRIJEM	\N	66	15978	UROK	\N	\N
3547391	505	1998-09-30	PRIJEM	\N	65	15640	UROK	\N	\N
3547392	505	1998-10-31	PRIJEM	\N	69	16805	UROK	\N	\N
3547393	505	1998-11-30	PRIJEM	\N	74	17975	UROK	\N	\N
3547394	505	1998-12-31	PRIJEM	\N	79	17381	UROK	\N	\N
3547395	506	1996-07-31	PRIJEM	\N	48	17088	UROK	\N	\N
3547396	506	1996-08-31	PRIJEM	\N	123	35451	UROK	\N	\N
3547397	506	1996-09-30	PRIJEM	\N	171	44162	UROK	\N	\N
3547398	506	1996-10-31	PRIJEM	\N	195	48297	UROK	\N	\N
3547399	506	1996-11-30	PRIJEM	\N	204	48806	UROK	\N	\N
3547400	506	1996-12-31	PRIJEM	\N	210	54641	UROK	\N	\N
3547401	506	1997-01-31	PRIJEM	\N	185	36231	UROK	\N	\N
3547402	506	1997-02-28	PRIJEM	\N	176	46213	UROK	\N	\N
3547403	506	1997-03-31	PRIJEM	\N	204	50322	UROK	\N	\N
3547404	506	1997-04-30	PRIJEM	\N	219	52747	UROK	\N	\N
3547405	506	1997-05-31	PRIJEM	\N	218	55470	UROK	\N	\N
3547406	506	1997-06-30	PRIJEM	\N	169	36164	UROK	\N	\N
3547407	506	1997-07-31	PRIJEM	\N	191	45560	UROK	\N	\N
3547408	506	1997-08-31	PRIJEM	\N	203	49369	UROK	\N	\N
3547409	506	1997-09-30	PRIJEM	\N	230	56304	UROK	\N	\N
3547410	506	1997-10-31	PRIJEM	\N	246	58155	UROK	\N	\N
3547411	506	1997-11-30	PRIJEM	\N	234	60394	UROK	\N	\N
3547412	506	1997-12-31	PRIJEM	\N	258	53377	UROK	\N	\N
3547413	506	1998-01-31	PRIJEM	\N	199	40982	UROK	\N	\N
3547414	506	1998-02-28	PRIJEM	\N	204	53691	UROK	\N	\N
3547415	506	1998-03-31	PRIJEM	\N	247	53343	UROK	\N	\N
3547416	506	1998-04-30	PRIJEM	\N	255	54604	UROK	\N	\N
3547417	506	1998-05-31	PRIJEM	\N	257	54066	UROK	\N	\N
3547418	506	1998-06-30	PRIJEM	\N	237	47529	UROK	\N	\N
3547419	506	1998-07-31	PRIJEM	\N	224	44658	UROK	\N	\N
3547420	506	1998-08-31	PRIJEM	\N	208	39471	UROK	\N	\N
3547421	506	1998-09-30	PRIJEM	\N	190	39766	UROK	\N	\N
3547422	506	1998-10-31	PRIJEM	\N	192	42464	UROK	\N	\N
3547423	506	1998-11-30	PRIJEM	\N	195	36364	UROK	\N	\N
3547424	506	1998-12-31	PRIJEM	\N	201	54990	UROK	\N	\N
3547425	508	1996-12-31	PRIJEM	\N	24	13499	UROK	\N	\N
3547426	508	1997-01-31	PRIJEM	\N	67	19341	UROK	\N	\N
3547427	508	1997-02-28	PRIJEM	\N	88	23804	UROK	\N	\N
3547428	508	1997-03-31	PRIJEM	\N	108	28987	UROK	\N	\N
3547429	508	1997-04-30	PRIJEM	\N	128	33190	UROK	\N	\N
3547430	508	1997-05-31	PRIJEM	\N	143	35413	UROK	\N	\N
3547431	508	1997-06-30	PRIJEM	\N	136	31279	UROK	\N	\N
3547432	508	1997-07-31	PRIJEM	\N	137	34397	UROK	\N	\N
3547433	508	1997-08-31	PRIJEM	\N	145	34372	UROK	\N	\N
3547434	508	1997-09-30	PRIJEM	\N	145	35947	UROK	\N	\N
3547435	508	1997-10-31	PRIJEM	\N	153	37321	UROK	\N	\N
3547436	508	1997-11-30	PRIJEM	\N	151	35552	UROK	\N	\N
3547437	508	1997-12-31	PRIJEM	\N	145	35187	UROK	\N	\N
3547438	508	1998-01-31	PRIJEM	\N	135	29753	UROK	\N	\N
3547439	508	1998-02-28	PRIJEM	\N	140	36673	UROK	\N	\N
3547440	508	1998-03-31	PRIJEM	\N	152	36146	UROK	\N	\N
3547441	508	1998-04-30	PRIJEM	\N	149	34595	UROK	\N	\N
3547442	508	1998-05-31	PRIJEM	\N	132	30208	UROK	\N	\N
3547443	508	1998-06-30	PRIJEM	\N	130	32098	UROK	\N	\N
3547444	508	1998-07-31	PRIJEM	\N	137	33425	UROK	\N	\N
3547445	508	1998-08-31	PRIJEM	\N	131	31137	UROK	\N	\N
3547446	508	1998-09-30	PRIJEM	\N	124	29691	UROK	\N	\N
3547447	508	1998-10-31	PRIJEM	\N	116	27048	UROK	\N	\N
3547448	508	1998-11-30	PRIJEM	\N	106	24294	UROK	\N	\N
3547449	508	1998-12-31	PRIJEM	\N	93	22618	UROK	\N	\N
3547450	509	1997-09-30	PRIJEM	\N	62	26453	UROK	\N	\N
3547451	509	1997-10-31	PRIJEM	\N	137	37882	UROK	\N	\N
3547452	509	1997-11-30	PRIJEM	\N	180	47352	UROK	\N	\N
3547453	509	1997-12-31	PRIJEM	\N	223	58161	UROK	\N	\N
3547454	509	1998-01-31	PRIJEM	\N	225	46156	UROK	\N	\N
3547455	509	1998-02-28	PRIJEM	\N	176	41709	UROK	\N	\N
3547456	509	1998-03-31	PRIJEM	\N	176	43561	UROK	\N	\N
3547457	509	1998-04-30	PRIJEM	\N	182	39020	UROK	\N	\N
3547458	509	1998-05-31	PRIJEM	\N	164	36260	UROK	\N	\N
3547459	509	1998-06-30	PRIJEM	\N	122	31813	UROK	\N	\N
3547460	509	1998-07-31	PRIJEM	\N	130	33819	UROK	\N	\N
3547461	509	1998-08-31	PRIJEM	\N	131	33427	UROK	\N	\N
3547462	509	1998-09-30	PRIJEM	\N	149	33112	UROK	\N	\N
3547463	509	1998-10-31	PRIJEM	\N	146	38734	UROK	\N	\N
3547464	509	1998-11-30	PRIJEM	\N	150	37860	UROK	\N	\N
3547465	509	1998-12-31	PRIJEM	\N	171	43603	UROK	\N	\N
3547466	510	1993-06-30	PRIJEM	\N	17	31263	UROK	\N	\N
3547467	510	1993-07-31	PRIJEM	\N	292	85304	UROK	\N	\N
3547468	510	1993-08-31	PRIJEM	\N	375	89767	UROK	\N	\N
3547469	510	1993-09-30	PRIJEM	\N	251	54184	UROK	\N	\N
3547470	510	1993-10-31	PRIJEM	\N	288	53786	UROK	\N	\N
3547471	510	1993-11-30	PRIJEM	\N	355	58930	UROK	\N	\N
3547472	510	1993-12-31	PRIJEM	\N	327	61651	UROK	\N	\N
3547473	510	1994-01-31	PRIJEM	\N	141	23658	UROK	\N	\N
3547474	510	1994-02-28	PRIJEM	\N	233	42998	UROK	\N	\N
3547475	510	1994-03-31	PRIJEM	\N	209	40821	UROK	\N	\N
3547476	510	1994-04-30	PRIJEM	\N	231	43536	UROK	\N	\N
3547477	510	1994-05-31	PRIJEM	\N	314	53669	UROK	\N	\N
3547478	510	1994-06-30	PRIJEM	\N	243	50949	UROK	\N	\N
3547479	510	1994-07-31	PRIJEM	\N	201	47918	UROK	\N	\N
3547480	510	1994-08-31	PRIJEM	\N	165	33350	UROK	\N	\N
3547481	510	1994-09-30	PRIJEM	\N	123	24519	UROK	\N	\N
3547482	510	1994-10-31	PRIJEM	\N	148	31995	UROK	\N	\N
3547483	510	1994-11-30	PRIJEM	\N	114	23875	UROK	\N	\N
3547484	510	1994-12-31	PRIJEM	\N	86	21927	UROK	\N	\N
3547485	510	1995-01-31	PRIJEM	\N	79	40116	UROK	\N	\N
3547486	510	1995-02-28	PRIJEM	\N	117	23391	UROK	\N	\N
3547487	510	1995-03-31	PRIJEM	\N	83	20540	UROK	\N	\N
3547488	510	1995-04-30	PRIJEM	\N	73	18679	UROK	\N	\N
3547489	510	1995-05-31	PRIJEM	\N	70	29555	UROK	\N	\N
3547490	510	1995-06-30	PRIJEM	\N	106	23927	UROK	\N	\N
3547491	510	1995-07-31	PRIJEM	\N	79	20672	UROK	\N	\N
3547492	510	1995-08-31	PRIJEM	\N	75	19513	UROK	\N	\N
3547493	510	1995-09-30	PRIJEM	\N	78	52158	UROK	\N	\N
3547494	510	1995-10-31	PRIJEM	\N	245	50840	UROK	\N	\N
3547495	510	1995-11-30	PRIJEM	\N	257	42497	UROK	\N	\N
3547496	510	1995-12-31	PRIJEM	\N	204	42237	UROK	\N	\N
3547497	510	1996-01-31	PRIJEM	\N	123	22925	UROK	\N	\N
3547498	510	1996-02-29	PRIJEM	\N	82	20174	UROK	\N	\N
3547499	510	1996-03-31	PRIJEM	\N	144	63258	UROK	\N	\N
3547500	510	1996-04-30	PRIJEM	\N	190	26814	UROK	\N	\N
3547501	510	1996-05-31	PRIJEM	\N	83	16463	UROK	\N	\N
3547502	510	1996-06-30	PRIJEM	\N	51	11680	UROK	\N	\N
3547503	510	1996-07-31	PRIJEM	\N	53	13046	UROK	\N	\N
3547504	510	1996-08-31	PRIJEM	\N	37	8248	UROK	\N	\N
3547505	510	1996-09-30	PRIJEM	\N	17	3431	UROK	\N	\N
3547506	510	1996-10-31	PRIJEM	\N	6	1045	UROK	\N	\N
3547507	510	1996-11-30	PRIJEM	\N	1	1016	UROK	\N	\N
3547508	510	1996-12-31	PRIJEM	\N	68	28785	UROK	\N	\N
3547509	510	1997-01-31	PRIJEM	\N	86	19837	UROK	\N	\N
3547510	510	1997-02-28	PRIJEM	\N	64	15068	UROK	\N	\N
3547511	510	1997-03-31	PRIJEM	\N	69	19601	UROK	\N	\N
3547512	510	1997-04-30	PRIJEM	\N	63	14830	UROK	\N	\N
3547513	510	1997-05-31	PRIJEM	\N	43	10038	UROK	\N	\N
3547514	510	1997-06-30	PRIJEM	\N	23	5227	UROK	\N	\N
3547515	510	1997-07-31	PRIJEM	\N	6	1718	UROK	\N	\N
3547516	510	1997-09-30	PRIJEM	\N	3	1664	UROK	\N	\N
3547517	510	1997-09-30	PRIJEM	\N	3	1661	UROK	\N	\N
3547518	510	1997-10-31	PRIJEM	\N	7	32848	UROK	\N	\N
3547519	510	1997-11-30	PRIJEM	\N	89	19303	UROK	\N	\N
3547520	510	1997-12-31	PRIJEM	\N	60	14529	UROK	\N	\N
3547521	510	1998-01-31	PRIJEM	\N	100	25771	UROK	\N	\N
3547522	510	1998-02-28	PRIJEM	\N	235	86988	UROK	\N	\N
3547523	510	1998-03-31	PRIJEM	\N	227	46681	UROK	\N	\N
3547524	510	1998-04-30	PRIJEM	\N	160	68742	UROK	\N	\N
3547525	510	1998-05-31	PRIJEM	\N	175	42072	UROK	\N	\N
3547526	510	1998-06-30	PRIJEM	\N	270	109449	UROK	\N	\N
3547527	510	1998-07-31	PRIJEM	\N	282	109458	UROK	\N	\N
3547528	510	1998-08-31	PRIJEM	\N	343	102982	UROK	\N	\N
3547529	510	1998-09-30	PRIJEM	\N	206	40254	UROK	\N	\N
3547530	510	1998-10-31	PRIJEM	\N	149	41583	UROK	\N	\N
3547531	510	1998-11-30	PRIJEM	\N	238	89337	UROK	\N	\N
3547532	510	1998-12-31	PRIJEM	\N	213	68545	UROK	\N	\N
3547533	511	1996-11-30	PRIJEM	\N	20	47390	UROK	\N	\N
3547534	511	1996-12-31	PRIJEM	\N	285	70529	UROK	\N	\N
3547535	511	1997-01-31	PRIJEM	\N	205	41919	UROK	\N	\N
3547536	511	1997-02-28	PRIJEM	\N	174	36178	UROK	\N	\N
3547537	511	1997-03-31	PRIJEM	\N	214	78872	UROK	\N	\N
3547538	511	1997-04-30	PRIJEM	\N	316	69601	UROK	\N	\N
3547539	511	1997-05-31	PRIJEM	\N	332	65033	UROK	\N	\N
3547540	511	1997-06-30	PRIJEM	\N	227	20446	UROK	\N	\N
3547541	511	1997-07-31	PRIJEM	\N	85	20816	UROK	\N	\N
3547542	511	1997-08-31	PRIJEM	\N	87	20588	UROK	\N	\N
3547543	511	1997-09-30	PRIJEM	\N	108	52976	UROK	\N	\N
3547544	511	1997-10-31	PRIJEM	\N	215	48692	UROK	\N	\N
3547545	511	1997-11-30	PRIJEM	\N	178	70732	UROK	\N	\N
3547546	511	1997-12-31	PRIJEM	\N	245	64836	UROK	\N	\N
3547547	511	1998-01-31	PRIJEM	\N	263	56848	UROK	\N	\N
3547548	511	1998-02-28	PRIJEM	\N	237	58267	UROK	\N	\N
3547549	511	1998-03-31	PRIJEM	\N	218	58364	UROK	\N	\N
3547550	511	1998-04-30	PRIJEM	\N	168	22018	UROK	\N	\N
3547551	511	1998-05-31	PRIJEM	\N	198	56873	UROK	\N	\N
3547552	511	1998-06-30	PRIJEM	\N	200	39658	UROK	\N	\N
3547553	511	1998-07-31	PRIJEM	\N	136	32480	UROK	\N	\N
3547554	511	1998-08-31	PRIJEM	\N	134	29099	UROK	\N	\N
3547555	511	1998-09-30	PRIJEM	\N	120	27905	UROK	\N	\N
3547556	511	1998-10-31	PRIJEM	\N	84	20374	UROK	\N	\N
3547557	511	1998-11-30	PRIJEM	\N	81	22641	UROK	\N	\N
3547558	511	1998-12-31	PRIJEM	\N	97	25868	UROK	\N	\N
3547559	512	1997-02-28	PRIJEM	\N	56	23643	UROK	\N	\N
3547560	512	1997-03-31	PRIJEM	\N	129	37159	UROK	\N	\N
3547561	512	1997-04-30	PRIJEM	\N	169	43415	UROK	\N	\N
3547562	512	1997-05-31	PRIJEM	\N	182	44084	UROK	\N	\N
3547563	512	1997-06-30	PRIJEM	\N	175	36439	UROK	\N	\N
3547564	512	1997-07-31	PRIJEM	\N	162	37924	UROK	\N	\N
3547565	512	1997-08-31	PRIJEM	\N	169	40916	UROK	\N	\N
3547566	512	1997-09-30	PRIJEM	\N	178	43318	UROK	\N	\N
3547567	512	1997-10-31	PRIJEM	\N	183	43825	UROK	\N	\N
3547568	512	1997-11-30	PRIJEM	\N	192	38740	UROK	\N	\N
3547569	512	1997-12-31	PRIJEM	\N	183	44139	UROK	\N	\N
3547570	512	1998-01-31	PRIJEM	\N	198	42260	UROK	\N	\N
3547571	512	1998-02-28	PRIJEM	\N	196	49180	UROK	\N	\N
3547572	512	1998-03-31	PRIJEM	\N	228	49131	UROK	\N	\N
3547573	512	1998-04-30	PRIJEM	\N	240	61394	UROK	\N	\N
3547574	512	1998-05-31	PRIJEM	\N	267	66284	UROK	\N	\N
3547575	512	1998-06-30	PRIJEM	\N	294	68095	UROK	\N	\N
3547576	512	1998-07-31	PRIJEM	\N	271	65289	UROK	\N	\N
3547577	512	1998-08-31	PRIJEM	\N	269	65582	UROK	\N	\N
3547578	512	1998-09-30	PRIJEM	\N	270	65875	UROK	\N	\N
3547579	512	1998-10-31	PRIJEM	\N	266	64364	UROK	\N	\N
3547580	512	1998-11-30	PRIJEM	\N	257	61944	UROK	\N	\N
3547581	512	1998-12-31	PRIJEM	\N	277	69237	UROK	\N	\N
3547582	513	1996-12-31	PRIJEM	\N	30	20423	UROK	\N	\N
3547583	513	1997-01-31	PRIJEM	\N	96	27181	UROK	\N	\N
3547584	513	1997-02-28	PRIJEM	\N	117	29659	UROK	\N	\N
3547585	513	1997-03-31	PRIJEM	\N	127	31948	UROK	\N	\N
3547586	513	1997-04-30	PRIJEM	\N	133	29334	UROK	\N	\N
3547587	513	1997-05-31	PRIJEM	\N	133	34107	UROK	\N	\N
3547588	513	1997-06-30	PRIJEM	\N	124	24301	UROK	\N	\N
3547589	513	1997-07-31	PRIJEM	\N	118	32459	UROK	\N	\N
3547590	513	1997-08-31	PRIJEM	\N	143	34542	UROK	\N	\N
3547591	513	1997-09-30	PRIJEM	\N	160	38041	UROK	\N	\N
3547592	513	1997-10-31	PRIJEM	\N	160	37940	UROK	\N	\N
3547593	513	1997-11-30	PRIJEM	\N	172	43851	UROK	\N	\N
3547594	513	1997-12-31	PRIJEM	\N	182	38703	UROK	\N	\N
3547595	513	1998-01-31	PRIJEM	\N	154	22696	UROK	\N	\N
3547596	513	1998-02-28	PRIJEM	\N	124	35960	UROK	\N	\N
3547597	513	1998-03-31	PRIJEM	\N	163	35462	UROK	\N	\N
3547598	513	1998-04-30	PRIJEM	\N	173	45174	UROK	\N	\N
3547599	513	1998-05-31	PRIJEM	\N	204	51817	UROK	\N	\N
3547600	513	1998-06-30	PRIJEM	\N	184	35372	UROK	\N	\N
3547601	513	1998-07-31	PRIJEM	\N	176	47087	UROK	\N	\N
3547602	513	1998-08-31	PRIJEM	\N	223	56849	UROK	\N	\N
3547603	513	1998-09-30	PRIJEM	\N	253	62841	UROK	\N	\N
3547604	513	1998-10-31	PRIJEM	\N	271	65751	UROK	\N	\N
3547605	513	1998-11-30	PRIJEM	\N	281	67771	UROK	\N	\N
3547606	513	1998-12-31	PRIJEM	\N	293	67934	UROK	\N	\N
3547607	514	1996-04-30	PRIJEM	\N	5	16520	UROK	\N	\N
3547608	514	1996-05-31	PRIJEM	\N	73	27208	UROK	\N	\N
3547609	514	1996-06-30	PRIJEM	\N	115	32845	UROK	\N	\N
3547610	514	1996-07-31	PRIJEM	\N	138	35998	UROK	\N	\N
3547611	514	1996-08-31	PRIJEM	\N	164	36037	UROK	\N	\N
3547612	514	1996-09-30	PRIJEM	\N	161	33739	UROK	\N	\N
3547613	514	1996-10-31	PRIJEM	\N	151	32091	UROK	\N	\N
3547614	514	1996-11-30	PRIJEM	\N	143	28873	UROK	\N	\N
3547615	514	1996-12-31	PRIJEM	\N	143	30364	UROK	\N	\N
3547616	514	1997-01-31	PRIJEM	\N	91	16296	UROK	\N	\N
3547617	514	1997-02-28	PRIJEM	\N	79	17315	UROK	\N	\N
3547618	514	1997-03-31	PRIJEM	\N	82	16877	UROK	\N	\N
3547619	514	1997-04-30	PRIJEM	\N	85	21103	UROK	\N	\N
3547620	514	1997-05-31	PRIJEM	\N	99	17682	UROK	\N	\N
3547621	514	1997-06-30	PRIJEM	\N	96	20625	UROK	\N	\N
3547622	514	1997-07-31	PRIJEM	\N	95	20561	UROK	\N	\N
3547623	514	1997-08-31	PRIJEM	\N	90	17791	UROK	\N	\N
3547624	514	1997-09-30	PRIJEM	\N	81	17513	UROK	\N	\N
3547625	514	1997-10-31	PRIJEM	\N	82	18736	UROK	\N	\N
3547626	514	1997-11-30	PRIJEM	\N	81	15957	UROK	\N	\N
3547627	514	1997-12-31	PRIJEM	\N	83	17907	UROK	\N	\N
3547628	514	1998-01-31	PRIJEM	\N	67	18174	UROK	\N	\N
3547629	514	1998-02-28	PRIJEM	\N	74	13788	UROK	\N	\N
3547630	514	1998-03-31	PRIJEM	\N	74	20303	UROK	\N	\N
3547631	514	1998-04-30	PRIJEM	\N	78	13222	UROK	\N	\N
3547632	514	1998-05-31	PRIJEM	\N	71	17453	UROK	\N	\N
3547633	514	1998-06-30	PRIJEM	\N	85	19046	UROK	\N	\N
3547634	514	1998-07-31	PRIJEM	\N	73	13259	UROK	\N	\N
3547635	514	1998-08-31	PRIJEM	\N	72	19771	UROK	\N	\N
3547636	514	1998-09-30	PRIJEM	\N	77	15788	UROK	\N	\N
3547637	514	1998-10-31	PRIJEM	\N	66	14895	UROK	\N	\N
3547638	514	1998-11-30	PRIJEM	\N	78	21414	UROK	\N	\N
3547639	514	1998-12-31	PRIJEM	\N	122	34083	UROK	\N	\N
3547640	515	1995-02-28	PRIJEM	\N	10	4336	UROK	\N	\N
3547641	515	1995-03-31	PRIJEM	\N	18	8480	UROK	\N	\N
3547642	515	1995-04-30	PRIJEM	\N	18	12624	UROK	\N	\N
3547643	515	1995-05-31	PRIJEM	\N	18	16768	UROK	\N	\N
3547644	515	1995-06-30	PRIJEM	\N	59	14953	UROK	\N	\N
3547645	515	1995-07-31	PRIJEM	\N	66	16380	UROK	\N	\N
3547646	515	1995-08-31	PRIJEM	\N	72	17813	UROK	\N	\N
3547647	515	1995-09-30	PRIJEM	\N	76	15970	UROK	\N	\N
3547648	515	1995-10-31	PRIJEM	\N	63	15955	UROK	\N	\N
3547649	515	1995-11-30	PRIJEM	\N	70	17386	UROK	\N	\N
3547650	515	1995-12-31	PRIJEM	\N	74	17371	UROK	\N	\N
3547651	515	1996-01-31	PRIJEM	\N	60	13272	UROK	\N	\N
3547652	515	1996-02-29	PRIJEM	\N	59	14692	UROK	\N	\N
3547653	515	1996-03-31	PRIJEM	\N	65	16118	UROK	\N	\N
3547654	515	1996-04-30	PRIJEM	\N	66	16946	UROK	\N	\N
3547655	515	1996-05-31	PRIJEM	\N	74	18381	UROK	\N	\N
3547656	515	1996-06-30	PRIJEM	\N	80	19823	UROK	\N	\N
3547657	515	1996-07-31	PRIJEM	\N	70	16654	UROK	\N	\N
3547658	515	1996-08-31	PRIJEM	\N	66	16182	UROK	\N	\N
3547659	515	1996-09-30	PRIJEM	\N	56	13899	UROK	\N	\N
3547660	515	1996-10-31	PRIJEM	\N	53	13513	UROK	\N	\N
3547661	515	1996-11-30	PRIJEM	\N	60	14934	UROK	\N	\N
3547662	515	1996-12-31	PRIJEM	\N	64	13059	UROK	\N	\N
3547663	515	1997-01-31	PRIJEM	\N	57	13917	UROK	\N	\N
3547664	515	1997-02-28	PRIJEM	\N	61	15339	UROK	\N	\N
3547665	515	1997-03-31	PRIJEM	\N	55	13855	UROK	\N	\N
3547666	515	1997-04-30	PRIJEM	\N	61	15278	UROK	\N	\N
3547667	515	1997-05-31	PRIJEM	\N	67	16706	UROK	\N	\N
3547668	515	1997-06-30	PRIJEM	\N	73	18140	UROK	\N	\N
3547669	515	1997-07-31	PRIJEM	\N	71	18053	UROK	\N	\N
3547670	515	1997-08-31	PRIJEM	\N	75	15089	UROK	\N	\N
3547671	515	1997-09-30	PRIJEM	\N	66	16517	UROK	\N	\N
3547672	515	1997-10-31	PRIJEM	\N	72	17950	UROK	\N	\N
3547673	515	1997-11-30	PRIJEM	\N	78	19389	UROK	\N	\N
3547674	515	1997-12-31	PRIJEM	\N	79	19679	UROK	\N	\N
3547675	515	1998-01-31	PRIJEM	\N	68	13829	UROK	\N	\N
3547676	515	1998-02-28	PRIJEM	\N	60	15250	UROK	\N	\N
3547677	515	1998-03-31	PRIJEM	\N	66	16678	UROK	\N	\N
3547678	515	1998-04-30	PRIJEM	\N	72	18112	UROK	\N	\N
3547679	515	1998-05-31	PRIJEM	\N	78	19551	UROK	\N	\N
3547680	515	1998-06-30	PRIJEM	\N	66	14899	UROK	\N	\N
3547681	515	1998-07-31	PRIJEM	\N	65	16325	UROK	\N	\N
3547682	515	1998-08-31	PRIJEM	\N	71	17757	UROK	\N	\N
3547683	515	1998-09-30	PRIJEM	\N	77	19195	UROK	\N	\N
3547684	515	1998-10-31	PRIJEM	\N	81	18397	UROK	\N	\N
3547685	515	1998-11-30	PRIJEM	\N	79	19837	UROK	\N	\N
3547686	515	1998-12-31	PRIJEM	\N	82	20831	UROK	\N	\N
3547687	516	1996-02-29	PRIJEM	\N	20	7267	UROK	\N	\N
3547688	516	1996-03-31	PRIJEM	\N	30	14044	UROK	\N	\N
3547689	516	1996-04-30	PRIJEM	\N	30	20821	UROK	\N	\N
3547690	516	1996-05-31	PRIJEM	\N	30	27598	UROK	\N	\N
3547691	516	1996-06-30	PRIJEM	\N	89	29178	UROK	\N	\N
3547692	516	1996-07-31	PRIJEM	\N	130	32304	UROK	\N	\N
3547693	516	1996-08-31	PRIJEM	\N	136	32636	UROK	\N	\N
3547694	516	1996-09-30	PRIJEM	\N	125	26697	UROK	\N	\N
3547695	516	1996-10-31	PRIJEM	\N	106	24699	UROK	\N	\N
3547696	516	1996-11-30	PRIJEM	\N	107	26103	UROK	\N	\N
3547697	516	1996-12-31	PRIJEM	\N	111	26960	UROK	\N	\N
3547698	516	1997-01-31	PRIJEM	\N	113	25569	UROK	\N	\N
3547699	516	1997-02-28	PRIJEM	\N	109	26274	UROK	\N	\N
3547700	516	1997-03-31	PRIJEM	\N	104	24555	UROK	\N	\N
3547701	516	1997-04-30	PRIJEM	\N	110	27661	UROK	\N	\N
3547702	516	1997-05-31	PRIJEM	\N	118	28776	UROK	\N	\N
3547703	516	1997-06-30	PRIJEM	\N	113	26186	UROK	\N	\N
3547704	516	1997-07-31	PRIJEM	\N	117	29299	UROK	\N	\N
3547705	516	1997-08-31	PRIJEM	\N	130	32425	UROK	\N	\N
3547706	516	1997-09-30	PRIJEM	\N	143	35564	UROK	\N	\N
3547707	516	1997-10-31	PRIJEM	\N	152	37313	UROK	\N	\N
3547708	516	1997-11-30	PRIJEM	\N	159	35369	UROK	\N	\N
3547709	516	1997-12-31	PRIJEM	\N	153	33768	UROK	\N	\N
3547710	516	1998-01-31	PRIJEM	\N	143	32738	UROK	\N	\N
3547711	516	1998-02-28	PRIJEM	\N	144	35578	UROK	\N	\N
3547712	516	1998-03-31	PRIJEM	\N	144	33358	UROK	\N	\N
3547713	516	1998-04-30	PRIJEM	\N	141	33175	UROK	\N	\N
3547714	516	1998-05-31	PRIJEM	\N	145	35717	UROK	\N	\N
3547715	516	1998-06-30	PRIJEM	\N	145	29588	UROK	\N	\N
3547716	516	1998-07-31	PRIJEM	\N	129	29614	UROK	\N	\N
3547717	516	1998-08-31	PRIJEM	\N	128	29238	UROK	\N	\N
3547718	516	1998-09-30	PRIJEM	\N	126	29161	UROK	\N	\N
3547719	516	1998-10-31	PRIJEM	\N	122	25479	UROK	\N	\N
3547720	516	1998-11-30	PRIJEM	\N	112	27488	UROK	\N	\N
3547721	516	1998-12-31	PRIJEM	\N	121	30155	UROK	\N	\N
3547722	517	1993-10-31	PRIJEM	\N	32	23487	UROK	\N	\N
3547723	517	1993-11-30	PRIJEM	\N	112	33753	UROK	\N	\N
3547724	517	1993-12-31	PRIJEM	\N	161	47846	UROK	\N	\N
3547725	517	1994-01-31	PRIJEM	\N	202	49903	UROK	\N	\N
3547726	517	1994-02-28	PRIJEM	\N	234	45298	UROK	\N	\N
3547727	517	1994-03-31	PRIJEM	\N	194	40077	UROK	\N	\N
3547728	517	1994-04-30	PRIJEM	\N	181	41343	UROK	\N	\N
3547729	517	1994-05-31	PRIJEM	\N	184	41312	UROK	\N	\N
3547730	517	1994-06-30	PRIJEM	\N	211	46705	UROK	\N	\N
3547731	517	1994-07-31	PRIJEM	\N	199	43889	UROK	\N	\N
3547732	517	1994-08-31	PRIJEM	\N	186	41661	UROK	\N	\N
3547733	517	1994-09-30	PRIJEM	\N	182	39268	UROK	\N	\N
3547734	517	1994-10-31	PRIJEM	\N	169	39322	UROK	\N	\N
3547735	517	1994-11-30	PRIJEM	\N	172	41680	UROK	\N	\N
3547736	517	1994-12-31	PRIJEM	\N	185	43548	UROK	\N	\N
3547737	517	1995-01-31	PRIJEM	\N	164	32697	UROK	\N	\N
3547738	517	1995-02-28	PRIJEM	\N	147	37829	UROK	\N	\N
3547739	517	1995-03-31	PRIJEM	\N	167	40781	UROK	\N	\N
3547740	517	1995-04-30	PRIJEM	\N	169	39936	UROK	\N	\N
3547741	517	1995-05-31	PRIJEM	\N	174	42695	UROK	\N	\N
3547742	517	1995-06-30	PRIJEM	\N	204	24341	UROK	\N	\N
3547743	517	1995-07-31	PRIJEM	\N	120	32447	UROK	\N	\N
3547744	517	1995-08-31	PRIJEM	\N	134	31766	UROK	\N	\N
3547745	517	1995-09-30	PRIJEM	\N	136	32687	UROK	\N	\N
3547746	517	1995-10-31	PRIJEM	\N	123	26536	UROK	\N	\N
3547747	517	1995-11-30	PRIJEM	\N	114	25995	UROK	\N	\N
3547748	517	1995-12-31	PRIJEM	\N	122	29340	UROK	\N	\N
3547749	517	1996-01-31	PRIJEM	\N	134	32959	UROK	\N	\N
3547750	517	1996-02-29	PRIJEM	\N	176	46220	UROK	\N	\N
3547751	517	1996-03-31	PRIJEM	\N	195	46920	UROK	\N	\N
3547752	517	1996-04-30	PRIJEM	\N	214	52719	UROK	\N	\N
3547753	517	1996-05-31	PRIJEM	\N	222	52926	UROK	\N	\N
3547754	517	1996-06-30	PRIJEM	\N	264	68153	UROK	\N	\N
3547755	517	1996-07-31	PRIJEM	\N	270	60209	UROK	\N	\N
3547756	517	1996-08-31	PRIJEM	\N	250	59344	UROK	\N	\N
3547757	517	1996-09-30	PRIJEM	\N	256	61885	UROK	\N	\N
3547758	517	1996-10-31	PRIJEM	\N	253	59823	UROK	\N	\N
3547759	517	1996-11-30	PRIJEM	\N	253	60862	UROK	\N	\N
3547760	517	1996-12-31	PRIJEM	\N	288	67952	UROK	\N	\N
3547761	517	1997-01-31	PRIJEM	\N	244	56321	UROK	\N	\N
3547762	517	1997-02-28	PRIJEM	\N	251	62058	UROK	\N	\N
3547763	517	1997-03-31	PRIJEM	\N	262	63005	UROK	\N	\N
3547764	517	1997-04-30	PRIJEM	\N	271	65761	UROK	\N	\N
3547765	517	1997-05-31	PRIJEM	\N	274	65721	UROK	\N	\N
3547766	517	1997-06-30	PRIJEM	\N	220	59263	UROK	\N	\N
3547767	517	1997-07-31	PRIJEM	\N	270	67418	UROK	\N	\N
3547768	517	1997-08-31	PRIJEM	\N	279	63763	UROK	\N	\N
3547769	517	1997-09-30	PRIJEM	\N	254	58802	UROK	\N	\N
3547770	517	1997-10-31	PRIJEM	\N	272	68459	UROK	\N	\N
3547771	517	1997-11-30	PRIJEM	\N	278	66802	UROK	\N	\N
3547772	517	1997-12-31	PRIJEM	\N	284	60208	UROK	\N	\N
3547773	517	1998-01-31	PRIJEM	\N	255	51189	UROK	\N	\N
3547774	517	1998-02-28	PRIJEM	\N	242	65916	UROK	\N	\N
3547775	517	1998-03-31	PRIJEM	\N	266	53067	UROK	\N	\N
3547776	517	1998-04-30	PRIJEM	\N	247	54600	UROK	\N	\N
3547777	517	1998-05-31	PRIJEM	\N	249	51974	UROK	\N	\N
3547778	517	1998-06-30	PRIJEM	\N	262	46779	UROK	\N	\N
3547779	517	1998-07-31	PRIJEM	\N	215	56659	UROK	\N	\N
3547780	517	1998-08-31	PRIJEM	\N	260	62104	UROK	\N	\N
3547781	517	1998-09-30	PRIJEM	\N	281	67971	UROK	\N	\N
3547782	517	1998-10-31	PRIJEM	\N	300	67657	UROK	\N	\N
3547783	517	1998-11-30	PRIJEM	\N	296	65838	UROK	\N	\N
3547784	517	1998-12-31	PRIJEM	\N	335	88375	UROK	\N	\N
3547785	518	1995-02-28	PRIJEM	\N	82	23284	UROK	\N	\N
3547786	518	1995-03-31	PRIJEM	\N	106	25858	UROK	\N	\N
3547787	518	1995-04-30	PRIJEM	\N	111	26837	UROK	\N	\N
3547788	518	1995-05-31	PRIJEM	\N	112	26517	UROK	\N	\N
3547789	518	1995-06-30	PRIJEM	\N	104	23309	UROK	\N	\N
3547790	518	1995-07-31	PRIJEM	\N	104	23242	UROK	\N	\N
3547791	518	1995-08-31	PRIJEM	\N	106	25815	UROK	\N	\N
3547792	518	1995-09-30	PRIJEM	\N	107	25991	UROK	\N	\N
3547793	518	1995-10-31	PRIJEM	\N	100	24159	UROK	\N	\N
3547794	518	1995-11-30	PRIJEM	\N	109	26096	UROK	\N	\N
3547795	518	1995-12-31	PRIJEM	\N	117	28232	UROK	\N	\N
3547796	518	1996-01-31	PRIJEM	\N	89	14769	UROK	\N	\N
3547797	518	1996-02-29	PRIJEM	\N	70	17308	UROK	\N	\N
3547798	518	1996-03-31	PRIJEM	\N	71	15207	UROK	\N	\N
3547799	518	1996-04-30	PRIJEM	\N	72	17747	UROK	\N	\N
3547800	518	1996-05-31	PRIJEM	\N	82	20298	UROK	\N	\N
3547801	518	1996-06-30	PRIJEM	\N	84	17000	UROK	\N	\N
3547802	518	1996-07-31	PRIJEM	\N	79	19548	UROK	\N	\N
3547803	518	1996-08-31	PRIJEM	\N	90	22106	UROK	\N	\N
3547804	518	1996-09-30	PRIJEM	\N	100	24675	UROK	\N	\N
3547805	518	1996-10-31	PRIJEM	\N	111	27255	UROK	\N	\N
3547806	518	1996-11-30	PRIJEM	\N	120	25843	UROK	\N	\N
3547807	518	1996-12-31	PRIJEM	\N	113	23473	UROK	\N	\N
3547808	518	1997-01-31	PRIJEM	\N	73	14014	UROK	\N	\N
3547809	518	1997-02-28	PRIJEM	\N	66	16549	UROK	\N	\N
3547810	518	1997-03-31	PRIJEM	\N	77	19095	UROK	\N	\N
3547811	518	1997-04-30	PRIJEM	\N	88	21651	UROK	\N	\N
3547812	518	1997-05-31	PRIJEM	\N	96	21115	UROK	\N	\N
3547813	518	1997-06-30	PRIJEM	\N	95	22879	UROK	\N	\N
3547814	518	1997-07-31	PRIJEM	\N	96	22963	UROK	\N	\N
3547815	518	1997-08-31	PRIJEM	\N	100	22131	UROK	\N	\N
3547816	518	1997-09-30	PRIJEM	\N	99	24218	UROK	\N	\N
3547817	518	1997-10-31	PRIJEM	\N	107	25193	UROK	\N	\N
3547818	518	1997-11-30	PRIJEM	\N	108	23969	UROK	\N	\N
3547819	518	1997-12-31	PRIJEM	\N	95	17883	UROK	\N	\N
3547820	518	1998-01-31	PRIJEM	\N	66	15538	UROK	\N	\N
3547821	518	1998-02-28	PRIJEM	\N	72	16558	UROK	\N	\N
3547822	518	1998-03-31	PRIJEM	\N	77	19103	UROK	\N	\N
3547823	518	1998-04-30	PRIJEM	\N	84	19256	UROK	\N	\N
3547824	518	1998-05-31	PRIJEM	\N	82	17227	UROK	\N	\N
3547825	518	1998-06-30	PRIJEM	\N	74	16569	UROK	\N	\N
3547826	518	1998-07-31	PRIJEM	\N	76	18814	UROK	\N	\N
3547827	518	1998-08-31	PRIJEM	\N	86	21368	UROK	\N	\N
3547828	518	1998-09-30	PRIJEM	\N	91	21167	UROK	\N	\N
3547829	518	1998-10-31	PRIJEM	\N	80	15314	UROK	\N	\N
3547830	518	1998-11-30	PRIJEM	\N	71	17854	UROK	\N	\N
3547831	518	1998-12-31	PRIJEM	\N	77	18249	UROK	\N	\N
3547832	519	1994-03-31	PRIJEM	\N	73	27121	UROK	\N	\N
3547833	519	1994-04-30	PRIJEM	\N	132	28759	UROK	\N	\N
3547834	519	1994-05-31	PRIJEM	\N	130	28116	UROK	\N	\N
3547835	519	1994-06-30	PRIJEM	\N	121	17485	UROK	\N	\N
3547836	519	1994-07-31	PRIJEM	\N	83	21296	UROK	\N	\N
3547837	519	1994-08-31	PRIJEM	\N	99	25122	UROK	\N	\N
3547838	519	1994-09-30	PRIJEM	\N	115	28964	UROK	\N	\N
3547839	519	1994-10-31	PRIJEM	\N	131	32823	UROK	\N	\N
3547840	519	1994-11-30	PRIJEM	\N	132	32682	UROK	\N	\N
3547841	519	1994-12-31	PRIJEM	\N	137	34247	UROK	\N	\N
3547842	519	1995-01-31	PRIJEM	\N	135	28409	UROK	\N	\N
3547843	519	1995-02-28	PRIJEM	\N	117	30054	UROK	\N	\N
3547844	519	1995-03-31	PRIJEM	\N	122	30403	UROK	\N	\N
3547845	519	1995-04-30	PRIJEM	\N	122	29993	UROK	\N	\N
3547846	519	1995-05-31	PRIJEM	\N	135	33855	UROK	\N	\N
3547847	519	1995-06-30	PRIJEM	\N	117	25799	UROK	\N	\N
3547848	519	1995-07-31	PRIJEM	\N	118	29644	UROK	\N	\N
3547849	519	1995-08-31	PRIJEM	\N	124	31015	UROK	\N	\N
3547850	519	1995-09-30	PRIJEM	\N	127	32370	UROK	\N	\N
3547851	519	1995-10-31	PRIJEM	\N	118	29515	UROK	\N	\N
3547852	519	1995-11-30	PRIJEM	\N	112	28255	UROK	\N	\N
3547853	519	1995-12-31	PRIJEM	\N	119	28441	UROK	\N	\N
3547854	519	1996-01-31	PRIJEM	\N	93	14161	UROK	\N	\N
3547855	519	1996-02-29	PRIJEM	\N	69	17957	UROK	\N	\N
3547856	519	1996-03-31	PRIJEM	\N	84	21769	UROK	\N	\N
3547857	519	1996-04-30	PRIJEM	\N	90	22985	UROK	\N	\N
3547858	519	1996-05-31	PRIJEM	\N	105	25618	UROK	\N	\N
3547859	519	1996-06-30	PRIJEM	\N	84	18930	UROK	\N	\N
3547860	519	1996-07-31	PRIJEM	\N	89	22746	UROK	\N	\N
3547861	519	1996-08-31	PRIJEM	\N	104	25277	UROK	\N	\N
3547862	519	1996-09-30	PRIJEM	\N	112	25196	UROK	\N	\N
3547863	519	1996-10-31	PRIJEM	\N	111	25275	UROK	\N	\N
3547864	519	1996-11-30	PRIJEM	\N	108	27990	UROK	\N	\N
3547865	519	1996-12-31	PRIJEM	\N	124	29442	UROK	\N	\N
3547866	519	1997-01-31	PRIJEM	\N	99	19948	UROK	\N	\N
3547867	519	1997-02-28	PRIJEM	\N	92	23767	UROK	\N	\N
3547868	519	1997-03-31	PRIJEM	\N	107	27041	UROK	\N	\N
3547869	519	1997-04-30	PRIJEM	\N	121	29989	UROK	\N	\N
3547870	519	1997-05-31	PRIJEM	\N	130	31667	UROK	\N	\N
3547871	519	1997-06-30	PRIJEM	\N	119	21443	UROK	\N	\N
3547872	519	1997-07-31	PRIJEM	\N	92	21822	UROK	\N	\N
3547873	519	1997-08-31	PRIJEM	\N	98	23747	UROK	\N	\N
3547874	519	1997-09-30	PRIJEM	\N	103	24278	UROK	\N	\N
3547875	519	1997-10-31	PRIJEM	\N	105	24310	UROK	\N	\N
3547876	519	1997-11-30	PRIJEM	\N	110	28147	UROK	\N	\N
3547877	519	1997-12-31	PRIJEM	\N	125	31700	UROK	\N	\N
3547878	519	1998-01-31	PRIJEM	\N	111	25699	UROK	\N	\N
3547879	519	1998-02-28	PRIJEM	\N	108	24634	UROK	\N	\N
3547880	519	1998-03-31	PRIJEM	\N	104	24525	UROK	\N	\N
3547881	519	1998-04-30	PRIJEM	\N	106	25859	UROK	\N	\N
3547882	519	1998-05-31	PRIJEM	\N	110	25436	UROK	\N	\N
3547883	519	1998-06-30	PRIJEM	\N	92	23906	UROK	\N	\N
3547884	519	1998-07-31	PRIJEM	\N	105	25718	UROK	\N	\N
3547885	519	1998-08-31	PRIJEM	\N	107	25052	UROK	\N	\N
3547886	519	1998-09-30	PRIJEM	\N	109	27188	UROK	\N	\N
3547887	519	1998-10-31	PRIJEM	\N	115	27190	UROK	\N	\N
3547888	519	1998-11-30	PRIJEM	\N	101	22618	UROK	\N	\N
3547889	519	1998-12-31	PRIJEM	\N	102	26447	UROK	\N	\N
3547890	520	1993-11-30	PRIJEM	\N	13	4511	UROK	\N	\N
3547891	520	1993-12-31	PRIJEM	\N	19	8027	UROK	\N	\N
3547892	520	1994-01-31	PRIJEM	\N	19	11544	UROK	\N	\N
3547893	520	1994-02-28	PRIJEM	\N	19	15061	UROK	\N	\N
3547894	520	1994-03-31	PRIJEM	\N	21	18579	UROK	\N	\N
3547895	520	1994-04-30	PRIJEM	\N	81	19811	UROK	\N	\N
3547896	520	1994-05-31	PRIJEM	\N	86	21049	UROK	\N	\N
3547897	520	1994-06-30	PRIJEM	\N	65	13595	UROK	\N	\N
3547898	520	1994-07-31	PRIJEM	\N	60	14807	UROK	\N	\N
3547899	520	1994-08-31	PRIJEM	\N	65	16023	UROK	\N	\N
3547900	520	1994-09-30	PRIJEM	\N	68	16403	UROK	\N	\N
3547901	520	1994-10-31	PRIJEM	\N	72	17625	UROK	\N	\N
3547902	520	1994-11-30	PRIJEM	\N	77	18853	UROK	\N	\N
3547903	520	1994-12-31	PRIJEM	\N	81	19936	UROK	\N	\N
3547904	520	1995-01-31	PRIJEM	\N	86	21174	UROK	\N	\N
3547905	520	1995-02-28	PRIJEM	\N	89	21665	UROK	\N	\N
3547906	520	1995-03-31	PRIJEM	\N	92	22488	UROK	\N	\N
3547907	520	1995-04-30	PRIJEM	\N	97	23737	UROK	\N	\N
3547908	520	1995-05-31	PRIJEM	\N	102	24790	UROK	\N	\N
3547909	520	1995-06-30	PRIJEM	\N	86	17567	UROK	\N	\N
3547910	520	1995-07-31	PRIJEM	\N	76	18795	UROK	\N	\N
3547911	520	1995-08-31	PRIJEM	\N	81	20028	UROK	\N	\N
3547912	520	1995-09-30	PRIJEM	\N	86	21266	UROK	\N	\N
3547913	520	1995-10-31	PRIJEM	\N	92	22509	UROK	\N	\N
3547914	520	1995-11-30	PRIJEM	\N	95	23035	UROK	\N	\N
3547915	520	1995-12-31	PRIJEM	\N	96	22623	UROK	\N	\N
3547916	520	1996-01-31	PRIJEM	\N	96	22570	UROK	\N	\N
3547917	520	1996-02-29	PRIJEM	\N	96	22107	UROK	\N	\N
3547918	520	1996-03-31	PRIJEM	\N	95	23354	UROK	\N	\N
3547919	520	1996-04-30	PRIJEM	\N	97	23002	UROK	\N	\N
3547920	520	1996-05-31	PRIJEM	\N	99	24252	UROK	\N	\N
3547921	520	1996-06-30	PRIJEM	\N	86	15709	UROK	\N	\N
3547922	520	1996-07-31	PRIJEM	\N	67	15998	UROK	\N	\N
3547923	520	1996-08-31	PRIJEM	\N	69	17219	UROK	\N	\N
3547924	520	1996-09-30	PRIJEM	\N	72	17392	UROK	\N	\N
3547925	520	1996-10-31	PRIJEM	\N	73	17507	UROK	\N	\N
3547926	520	1996-11-30	PRIJEM	\N	76	18733	UROK	\N	\N
3547927	520	1996-12-31	PRIJEM	\N	78	19153	UROK	\N	\N
3547928	520	1997-01-31	PRIJEM	\N	82	19066	UROK	\N	\N
3547929	520	1997-02-28	PRIJEM	\N	82	20299	UROK	\N	\N
3547930	520	1997-03-31	PRIJEM	\N	87	21537	UROK	\N	\N
3547931	520	1997-04-30	PRIJEM	\N	88	21577	UROK	\N	\N
3547932	520	1997-05-31	PRIJEM	\N	91	22250	UROK	\N	\N
3547933	520	1997-06-30	PRIJEM	\N	95	23496	UROK	\N	\N
3547934	520	1997-07-31	PRIJEM	\N	100	24748	UROK	\N	\N
3547935	520	1997-08-31	PRIJEM	\N	105	26004	UROK	\N	\N
3547936	520	1997-09-30	PRIJEM	\N	110	27266	UROK	\N	\N
3547937	520	1997-10-31	PRIJEM	\N	114	27841	UROK	\N	\N
3547938	520	1997-11-30	PRIJEM	\N	116	28478	UROK	\N	\N
3547939	520	1997-12-31	PRIJEM	\N	118	28577	UROK	\N	\N
3547940	520	1998-01-31	PRIJEM	\N	121	29849	UROK	\N	\N
3547941	520	1998-02-28	PRIJEM	\N	123	29144	UROK	\N	\N
3547942	520	1998-03-31	PRIJEM	\N	123	30418	UROK	\N	\N
3547943	520	1998-04-30	PRIJEM	\N	128	31698	UROK	\N	\N
3547944	520	1998-05-31	PRIJEM	\N	130	31900	UROK	\N	\N
3547945	520	1998-06-30	PRIJEM	\N	133	30814	UROK	\N	\N
3547946	520	1998-07-31	PRIJEM	\N	130	32095	UROK	\N	\N
3547947	520	1998-08-31	PRIJEM	\N	135	33382	UROK	\N	\N
3547948	520	1998-09-30	PRIJEM	\N	136	32449	UROK	\N	\N
3547949	520	1998-10-31	PRIJEM	\N	134	32565	UROK	\N	\N
3547950	520	1998-11-30	PRIJEM	\N	136	33102	UROK	\N	\N
3547951	520	1998-12-31	PRIJEM	\N	138	33911	UROK	\N	\N
3547952	521	1995-10-31	PRIJEM	\N	186	87266	UROK	\N	\N
3547953	521	1995-11-30	PRIJEM	\N	376	102622	UROK	\N	\N
3547954	521	1995-12-31	PRIJEM	\N	361	96810	UROK	\N	\N
3547955	521	1996-01-31	PRIJEM	\N	322	67745	UROK	\N	\N
3547956	521	1996-02-29	PRIJEM	\N	272	94986	UROK	\N	\N
3547957	521	1996-03-31	PRIJEM	\N	236	36491	UROK	\N	\N
3547958	521	1996-04-30	PRIJEM	\N	242	65534	UROK	\N	\N
3547959	521	1996-05-31	PRIJEM	\N	461	103385	UROK	\N	\N
3547960	521	1996-06-30	PRIJEM	\N	363	63040	UROK	\N	\N
3547961	521	1996-07-31	PRIJEM	\N	182	39373	UROK	\N	\N
3547962	521	1996-08-31	PRIJEM	\N	133	50192	UROK	\N	\N
3547963	521	1996-09-30	PRIJEM	\N	242	87434	UROK	\N	\N
3547964	521	1996-10-31	PRIJEM	\N	293	89920	UROK	\N	\N
3547965	521	1996-11-30	PRIJEM	\N	280	65617	UROK	\N	\N
3547966	521	1996-12-31	PRIJEM	\N	220	65589	UROK	\N	\N
3547967	521	1997-01-31	PRIJEM	\N	234	51690	UROK	\N	\N
3547968	521	1997-02-28	PRIJEM	\N	126	55676	UROK	\N	\N
3547969	521	1997-03-31	PRIJEM	\N	321	62066	UROK	\N	\N
3547970	521	1997-04-30	PRIJEM	\N	315	101682	UROK	\N	\N
3547971	521	1997-05-31	PRIJEM	\N	266	53745	UROK	\N	\N
3547972	521	1997-06-30	PRIJEM	\N	187	47941	UROK	\N	\N
3547973	521	1997-07-31	PRIJEM	\N	259	60362	UROK	\N	\N
3547974	521	1997-08-31	PRIJEM	\N	283	70537	UROK	\N	\N
3547975	521	1997-09-30	PRIJEM	\N	343	78561	UROK	\N	\N
3547976	521	1997-10-31	PRIJEM	\N	369	78601	UROK	\N	\N
3547977	521	1997-11-30	PRIJEM	\N	287	63691	UROK	\N	\N
3547978	521	1997-12-31	PRIJEM	\N	341	71087	UROK	\N	\N
3547979	521	1998-01-31	PRIJEM	\N	272	81512	UROK	\N	\N
3547980	521	1998-02-28	PRIJEM	\N	341	73445	UROK	\N	\N
3547981	521	1998-03-31	PRIJEM	\N	212	51865	UROK	\N	\N
3547982	521	1998-04-30	PRIJEM	\N	350	84229	UROK	\N	\N
3547983	521	1998-05-31	PRIJEM	\N	417	91553	UROK	\N	\N
3547984	521	1998-06-30	PRIJEM	\N	163	43674	UROK	\N	\N
3547985	521	1998-07-31	PRIJEM	\N	234	112363	UROK	\N	\N
3547986	521	1998-08-31	PRIJEM	\N	423	86021	UROK	\N	\N
3547987	521	1998-09-30	PRIJEM	\N	381	83171	UROK	\N	\N
3547988	521	1998-10-31	PRIJEM	\N	302	87918	UROK	\N	\N
3547989	521	1998-11-30	PRIJEM	\N	272	61831	UROK	\N	\N
3547990	521	1998-12-31	PRIJEM	\N	237	82610	UROK	\N	\N
3547991	522	1996-01-31	PRIJEM	\N	29	16745	UROK	\N	\N
3547992	522	1996-02-29	PRIJEM	\N	85	25846	UROK	\N	\N
3547993	522	1996-03-31	PRIJEM	\N	117	31179	UROK	\N	\N
3547994	522	1996-04-30	PRIJEM	\N	135	34330	UROK	\N	\N
3547995	522	1996-05-31	PRIJEM	\N	152	35091	UROK	\N	\N
3547996	522	1996-06-30	PRIJEM	\N	167	35661	UROK	\N	\N
3547997	522	1996-07-31	PRIJEM	\N	149	29084	UROK	\N	\N
3547998	522	1996-08-31	PRIJEM	\N	128	28566	UROK	\N	\N
3547999	522	1996-09-30	PRIJEM	\N	124	28085	UROK	\N	\N
3548000	522	1996-10-31	PRIJEM	\N	114	21153	UROK	\N	\N
3548001	522	1996-11-30	PRIJEM	\N	91	20618	UROK	\N	\N
3548002	522	1996-12-31	PRIJEM	\N	125	31186	UROK	\N	\N
3548003	522	1997-01-31	PRIJEM	\N	110	16630	UROK	\N	\N
3548004	522	1997-02-28	PRIJEM	\N	81	19905	UROK	\N	\N
3548005	522	1997-03-31	PRIJEM	\N	106	27305	UROK	\N	\N
3548006	522	1997-04-30	PRIJEM	\N	130	27730	UROK	\N	\N
3548007	522	1997-05-31	PRIJEM	\N	116	22801	UROK	\N	\N
3548008	522	1997-06-30	PRIJEM	\N	108	25911	UROK	\N	\N
3548009	522	1997-07-31	PRIJEM	\N	100	21705	UROK	\N	\N
3548010	522	1997-08-31	PRIJEM	\N	85	18984	UROK	\N	\N
3548011	522	1997-09-30	PRIJEM	\N	81	18059	UROK	\N	\N
3548012	522	1997-10-31	PRIJEM	\N	71	16124	UROK	\N	\N
3548013	522	1997-11-30	PRIJEM	\N	65	14424	UROK	\N	\N
3548014	522	1997-12-31	PRIJEM	\N	69	15855	UROK	\N	\N
3548015	522	1998-01-31	PRIJEM	\N	66	13775	UROK	\N	\N
3548016	522	1998-02-28	PRIJEM	\N	68	16038	UROK	\N	\N
3548017	522	1998-03-31	PRIJEM	\N	63	12795	UROK	\N	\N
3548018	522	1998-04-30	PRIJEM	\N	48	10337	UROK	\N	\N
3548019	522	1998-05-31	PRIJEM	\N	38	7889	UROK	\N	\N
3548020	522	1998-06-30	PRIJEM	\N	41	9433	UROK	\N	\N
3548021	522	1998-07-31	PRIJEM	\N	41	8968	UROK	\N	\N
3548022	522	1998-08-31	PRIJEM	\N	38	8101	UROK	\N	\N
3548023	522	1998-09-30	PRIJEM	\N	52	13947	UROK	\N	\N
3548024	522	1998-10-31	PRIJEM	\N	76	19817	UROK	\N	\N
3548025	522	1998-11-30	PRIJEM	\N	101	25712	UROK	\N	\N
3548026	522	1998-12-31	PRIJEM	\N	112	26586	UROK	\N	\N
3548027	524	1994-05-31	PRIJEM	\N	52	20463	UROK	\N	\N
3548028	524	1994-06-30	PRIJEM	\N	161	50740	UROK	\N	\N
3548029	524	1994-07-31	PRIJEM	\N	223	55674	UROK	\N	\N
3548030	524	1994-08-31	PRIJEM	\N	236	58621	UROK	\N	\N
3548031	524	1994-09-30	PRIJEM	\N	188	55020	UROK	\N	\N
3548032	524	1994-10-31	PRIJEM	\N	208	40656	UROK	\N	\N
3548033	524	1994-11-30	PRIJEM	\N	177	37661	UROK	\N	\N
3548034	524	1994-12-31	PRIJEM	\N	205	41399	UROK	\N	\N
3548035	524	1995-01-31	PRIJEM	\N	168	31696	UROK	\N	\N
3548036	524	1995-02-28	PRIJEM	\N	157	35681	UROK	\N	\N
3548037	524	1995-03-31	PRIJEM	\N	173	37382	UROK	\N	\N
3548038	524	1995-04-30	PRIJEM	\N	185	40195	UROK	\N	\N
3548039	524	1995-05-31	PRIJEM	\N	181	35605	UROK	\N	\N
3548040	524	1995-06-30	PRIJEM	\N	171	35709	UROK	\N	\N
3548041	524	1995-07-31	PRIJEM	\N	175	37813	UROK	\N	\N
3548042	524	1995-08-31	PRIJEM	\N	170	33711	UROK	\N	\N
3548043	524	1995-09-30	PRIJEM	\N	165	37005	UROK	\N	\N
3548044	524	1995-10-31	PRIJEM	\N	177	38010	UROK	\N	\N
3548045	524	1995-11-30	PRIJEM	\N	173	32511	UROK	\N	\N
3548046	524	1995-12-31	PRIJEM	\N	167	35411	UROK	\N	\N
3548047	524	1996-01-31	PRIJEM	\N	137	25376	UROK	\N	\N
3548048	524	1996-02-29	PRIJEM	\N	122	27727	UROK	\N	\N
3548049	524	1996-03-31	PRIJEM	\N	135	29690	UROK	\N	\N
3548050	524	1996-04-30	PRIJEM	\N	139	28858	UROK	\N	\N
3548051	524	1996-05-31	PRIJEM	\N	140	32326	UROK	\N	\N
3548052	524	1996-06-30	PRIJEM	\N	149	32509	UROK	\N	\N
3548053	524	1996-07-31	PRIJEM	\N	152	34289	UROK	\N	\N
3548054	524	1996-08-31	PRIJEM	\N	152	32969	UROK	\N	\N
3548055	524	1996-09-30	PRIJEM	\N	140	28437	UROK	\N	\N
3548056	524	1996-10-31	PRIJEM	\N	113	22779	UROK	\N	\N
3548057	524	1996-11-30	PRIJEM	\N	104	23412	UROK	\N	\N
3548058	524	1996-12-31	PRIJEM	\N	117	26661	UROK	\N	\N
3548059	524	1997-01-31	PRIJEM	\N	75	15065	UROK	\N	\N
3548060	524	1997-02-28	PRIJEM	\N	64	13558	UROK	\N	\N
3548061	524	1997-03-31	PRIJEM	\N	90	27276	UROK	\N	\N
3548062	524	1997-04-30	PRIJEM	\N	100	17404	UROK	\N	\N
3548063	524	1997-05-31	PRIJEM	\N	106	31138	UROK	\N	\N
3548064	524	1997-06-30	PRIJEM	\N	122	23593	UROK	\N	\N
3548065	524	1997-07-31	PRIJEM	\N	131	37353	UROK	\N	\N
3548066	524	1997-08-31	PRIJEM	\N	116	19597	UROK	\N	\N
3548067	524	1997-09-30	PRIJEM	\N	104	28730	UROK	\N	\N
3548068	524	1997-10-31	PRIJEM	\N	146	39904	UROK	\N	\N
3548069	524	1997-11-30	PRIJEM	\N	193	18025	UROK	\N	\N
3548070	524	1997-12-31	PRIJEM	\N	129	39187	UROK	\N	\N
3548071	524	1998-01-31	PRIJEM	\N	154	38169	UROK	\N	\N
3548072	524	1998-02-28	PRIJEM	\N	189	51987	UROK	\N	\N
3548073	524	1998-03-31	PRIJEM	\N	243	21858	UROK	\N	\N
3548074	524	1998-04-30	PRIJEM	\N	118	33904	UROK	\N	\N
3548075	524	1998-05-31	PRIJEM	\N	173	47705	UROK	\N	\N
3548076	524	1998-06-30	PRIJEM	\N	206	53445	UROK	\N	\N
3548077	524	1998-07-31	PRIJEM	\N	254	67327	UROK	\N	\N
3548078	524	1998-08-31	PRIJEM	\N	177	31232	UROK	\N	\N
3548079	524	1998-09-30	PRIJEM	\N	160	45021	UROK	\N	\N
3548080	524	1998-10-31	PRIJEM	\N	213	56362	UROK	\N	\N
3548081	524	1998-11-30	PRIJEM	\N	265	70255	UROK	\N	\N
3548082	524	1998-12-31	PRIJEM	\N	344	92233	UROK	\N	\N
3548083	525	1996-05-31	PRIJEM	\N	38	21895	UROK	\N	\N
3548084	525	1996-06-30	PRIJEM	\N	91	22586	UROK	\N	\N
3548085	525	1996-07-31	PRIJEM	\N	127	55075	UROK	\N	\N
3548086	525	1996-08-31	PRIJEM	\N	229	37704	UROK	\N	\N
3548087	525	1996-09-30	PRIJEM	\N	229	32633	UROK	\N	\N
3548088	525	1996-10-31	PRIJEM	\N	228	53329	UROK	\N	\N
3548089	525	1996-11-30	PRIJEM	\N	221	38950	UROK	\N	\N
3548090	525	1996-12-31	PRIJEM	\N	194	41222	UROK	\N	\N
3548091	525	1997-01-31	PRIJEM	\N	174	44061	UROK	\N	\N
3548092	525	1997-02-28	PRIJEM	\N	161	35354	UROK	\N	\N
3548093	525	1997-03-31	PRIJEM	\N	164	35517	UROK	\N	\N
3548094	525	1997-04-30	PRIJEM	\N	232	96567	UROK	\N	\N
3548095	525	1997-05-31	PRIJEM	\N	310	58109	UROK	\N	\N
3548096	525	1997-06-30	PRIJEM	\N	201	60547	UROK	\N	\N
3548097	525	1997-07-31	PRIJEM	\N	209	42687	UROK	\N	\N
3548098	525	1997-08-31	PRIJEM	\N	155	34291	UROK	\N	\N
3548099	525	1997-09-30	PRIJEM	\N	90	14729	UROK	\N	\N
3548100	525	1997-10-31	PRIJEM	\N	67	12844	UROK	\N	\N
3548101	525	1997-11-30	PRIJEM	\N	110	38933	UROK	\N	\N
3548102	525	1997-12-31	PRIJEM	\N	189	86338	UROK	\N	\N
3548103	525	1998-01-31	PRIJEM	\N	207	28493	UROK	\N	\N
3548104	525	1998-02-28	PRIJEM	\N	158	55100	UROK	\N	\N
3548105	525	1998-03-31	PRIJEM	\N	205	60778	UROK	\N	\N
3548106	525	1998-04-30	PRIJEM	\N	199	34525	UROK	\N	\N
3548107	525	1998-05-31	PRIJEM	\N	108	21682	UROK	\N	\N
3548108	525	1998-06-30	PRIJEM	\N	129	42538	UROK	\N	\N
3548109	525	1998-07-31	PRIJEM	\N	123	20910	UROK	\N	\N
3548110	525	1998-08-31	PRIJEM	\N	174	81432	UROK	\N	\N
3548111	525	1998-09-30	PRIJEM	\N	282	60960	UROK	\N	\N
3548112	525	1998-10-31	PRIJEM	\N	321	38812	UROK	\N	\N
3548113	525	1998-11-30	PRIJEM	\N	210	26753	UROK	\N	\N
3548114	525	1998-12-31	PRIJEM	\N	290	98723	UROK	\N	\N
3548115	526	1996-08-31	PRIJEM	\N	40	17669	UROK	\N	\N
3548116	526	1996-09-30	PRIJEM	\N	96	27294	UROK	\N	\N
3548117	526	1996-10-31	PRIJEM	\N	133	35356	UROK	\N	\N
3548118	526	1996-11-30	PRIJEM	\N	166	43351	UROK	\N	\N
3548119	526	1996-12-31	PRIJEM	\N	215	57960	UROK	\N	\N
3548120	526	1997-01-31	PRIJEM	\N	180	37681	UROK	\N	\N
3548121	526	1997-02-28	PRIJEM	\N	157	38678	UROK	\N	\N
3548122	526	1997-03-31	PRIJEM	\N	167	41785	UROK	\N	\N
3548123	526	1997-04-30	PRIJEM	\N	160	37965	UROK	\N	\N
3548124	526	1997-05-31	PRIJEM	\N	168	42673	UROK	\N	\N
3548125	526	1997-06-30	PRIJEM	\N	195	50793	UROK	\N	\N
3548126	526	1997-07-31	PRIJEM	\N	197	46131	UROK	\N	\N
3548127	526	1997-08-31	PRIJEM	\N	191	46762	UROK	\N	\N
3548128	526	1997-09-30	PRIJEM	\N	187	44190	UROK	\N	\N
3548129	526	1997-10-31	PRIJEM	\N	179	43289	UROK	\N	\N
3548130	526	1997-11-30	PRIJEM	\N	188	47417	UROK	\N	\N
3548131	526	1997-12-31	PRIJEM	\N	203	50986	UROK	\N	\N
3548132	526	1998-01-31	PRIJEM	\N	149	27415	UROK	\N	\N
3548133	526	1998-02-28	PRIJEM	\N	134	37429	UROK	\N	\N
3548134	526	1998-03-31	PRIJEM	\N	170	44040	UROK	\N	\N
3548135	526	1998-04-30	PRIJEM	\N	189	47469	UROK	\N	\N
3548136	526	1998-05-31	PRIJEM	\N	200	49610	UROK	\N	\N
3548137	526	1998-06-30	PRIJEM	\N	206	16401	UROK	\N	\N
3548138	526	1998-07-31	PRIJEM	\N	102	30743	UROK	\N	\N
3548139	526	1998-08-31	PRIJEM	\N	110	29033	UROK	\N	\N
3548140	526	1998-09-30	PRIJEM	\N	127	33101	UROK	\N	\N
3548141	526	1998-10-31	PRIJEM	\N	118	28719	UROK	\N	\N
3548142	526	1998-11-30	PRIJEM	\N	121	30480	UROK	\N	\N
3548143	526	1998-12-31	PRIJEM	\N	134	33899	UROK	\N	\N
3548208	528	1997-05-31	PRIJEM	\N	55	18999	UROK	\N	\N
3548209	528	1997-06-30	PRIJEM	\N	73	15359	UROK	\N	\N
3548210	528	1997-07-31	PRIJEM	\N	69	17065	UROK	\N	\N
3548211	528	1997-08-31	PRIJEM	\N	74	16476	UROK	\N	\N
3548212	528	1997-09-30	PRIJEM	\N	73	17686	UROK	\N	\N
3548213	528	1997-10-31	PRIJEM	\N	78	19402	UROK	\N	\N
3548214	528	1997-11-30	PRIJEM	\N	85	20624	UROK	\N	\N
3548215	528	1997-12-31	PRIJEM	\N	88	18589	UROK	\N	\N
3548216	528	1998-01-31	PRIJEM	\N	67	12833	UROK	\N	\N
3548217	528	1998-02-28	PRIJEM	\N	58	14529	UROK	\N	\N
3548218	528	1998-03-31	PRIJEM	\N	65	15111	UROK	\N	\N
3548219	528	1998-04-30	PRIJEM	\N	67	16815	UROK	\N	\N
3548220	528	1998-05-31	PRIJEM	\N	73	16126	UROK	\N	\N
3548221	528	1998-06-30	PRIJEM	\N	61	13174	UROK	\N	\N
3548222	528	1998-07-31	PRIJEM	\N	59	14871	UROK	\N	\N
3548223	528	1998-08-31	PRIJEM	\N	66	16575	UROK	\N	\N
3548224	528	1998-09-30	PRIJEM	\N	66	15478	UROK	\N	\N
3548225	528	1998-10-31	PRIJEM	\N	69	17184	UROK	\N	\N
3548226	528	1998-11-30	PRIJEM	\N	76	18898	UROK	\N	\N
3548227	528	1998-12-31	PRIJEM	\N	83	20618	UROK	\N	\N
3548228	529	1997-09-30	PRIJEM	\N	29	15145	UROK	\N	\N
3548229	529	1997-10-31	PRIJEM	\N	72	19734	UROK	\N	\N
3548230	529	1997-11-30	PRIJEM	\N	97	26846	UROK	\N	\N
3548231	529	1997-12-31	PRIJEM	\N	116	29086	UROK	\N	\N
3548232	529	1998-01-31	PRIJEM	\N	107	23006	UROK	\N	\N
3548233	529	1998-02-28	PRIJEM	\N	112	29575	UROK	\N	\N
3548234	529	1998-03-31	PRIJEM	\N	123	26595	UROK	\N	\N
3548235	529	1998-04-30	PRIJEM	\N	111	26383	UROK	\N	\N
3548236	529	1998-05-31	PRIJEM	\N	111	27672	UROK	\N	\N
3548237	529	1998-06-30	PRIJEM	\N	118	27295	UROK	\N	\N
3548238	529	1998-07-31	PRIJEM	\N	110	23023	UROK	\N	\N
3548239	529	1998-08-31	PRIJEM	\N	93	18313	UROK	\N	\N
3548240	529	1998-09-30	PRIJEM	\N	92	24062	UROK	\N	\N
3548241	529	1998-10-31	PRIJEM	\N	122	28461	UROK	\N	\N
3548242	529	1998-11-30	PRIJEM	\N	141	36360	UROK	\N	\N
3548243	529	1998-12-31	PRIJEM	\N	152	33117	UROK	\N	\N
3548244	531	1996-01-31	PRIJEM	\N	46	12492	UROK	\N	\N
3548245	531	1996-02-29	PRIJEM	\N	55	13604	UROK	\N	\N
3548246	531	1996-03-31	PRIJEM	\N	60	14721	UROK	\N	\N
3548247	531	1996-04-30	PRIJEM	\N	62	14641	UROK	\N	\N
3548248	531	1996-05-31	PRIJEM	\N	63	14352	UROK	\N	\N
3548249	531	1996-06-30	PRIJEM	\N	63	15472	UROK	\N	\N
3548250	531	1996-07-31	PRIJEM	\N	67	15546	UROK	\N	\N
3548251	531	1996-08-31	PRIJEM	\N	68	16312	UROK	\N	\N
3548252	531	1996-09-30	PRIJEM	\N	71	17440	UROK	\N	\N
3548253	531	1996-10-31	PRIJEM	\N	76	18573	UROK	\N	\N
3548254	531	1996-11-30	PRIJEM	\N	80	19320	UROK	\N	\N
3548255	531	1996-12-31	PRIJEM	\N	82	19890	UROK	\N	\N
3548256	531	1997-01-31	PRIJEM	\N	81	17878	UROK	\N	\N
3548257	531	1997-02-28	PRIJEM	\N	76	18532	UROK	\N	\N
3548258	531	1997-03-31	PRIJEM	\N	80	19669	UROK	\N	\N
3548259	531	1997-04-30	PRIJEM	\N	85	20271	UROK	\N	\N
3548260	531	1997-05-31	PRIJEM	\N	87	21416	UROK	\N	\N
3548261	531	1997-06-30	PRIJEM	\N	92	21845	UROK	\N	\N
3548262	531	1997-07-31	PRIJEM	\N	92	22304	UROK	\N	\N
3548263	531	1997-08-31	PRIJEM	\N	94	22255	UROK	\N	\N
3548264	531	1997-09-30	PRIJEM	\N	96	23408	UROK	\N	\N
3548265	531	1997-10-31	PRIJEM	\N	100	24566	UROK	\N	\N
3548266	531	1997-11-30	PRIJEM	\N	105	25729	UROK	\N	\N
3548267	531	1997-12-31	PRIJEM	\N	110	26596	UROK	\N	\N
3548268	531	1998-01-31	PRIJEM	\N	108	25001	UROK	\N	\N
3548269	531	1998-02-28	PRIJEM	\N	106	25894	UROK	\N	\N
3548270	531	1998-03-31	PRIJEM	\N	111	26762	UROK	\N	\N
3548271	531	1998-04-30	PRIJEM	\N	114	27934	UROK	\N	\N
3548272	531	1998-05-31	PRIJEM	\N	119	29110	UROK	\N	\N
3548273	531	1998-06-30	PRIJEM	\N	122	28460	UROK	\N	\N
3548274	531	1998-07-31	PRIJEM	\N	121	29638	UROK	\N	\N
3548275	531	1998-08-31	PRIJEM	\N	124	29949	UROK	\N	\N
3548276	531	1998-09-30	PRIJEM	\N	127	31134	UROK	\N	\N
3548277	531	1998-10-31	PRIJEM	\N	132	32323	UROK	\N	\N
3548278	531	1998-11-30	PRIJEM	\N	137	33248	UROK	\N	\N
3548279	531	1998-12-31	PRIJEM	\N	140	33665	UROK	\N	\N
3548280	533	1995-05-31	PRIJEM	\N	24	8235	UROK	\N	\N
3548281	533	1995-06-30	PRIJEM	\N	87	26238	UROK	\N	\N
3548282	533	1995-07-31	PRIJEM	\N	133	34482	UROK	\N	\N
3548283	533	1995-08-31	PRIJEM	\N	146	35539	UROK	\N	\N
3548284	533	1995-09-30	PRIJEM	\N	158	39208	UROK	\N	\N
3548285	533	1995-10-31	PRIJEM	\N	131	30690	UROK	\N	\N
3548286	533	1995-11-30	PRIJEM	\N	113	27253	UROK	\N	\N
3548287	533	1995-12-31	PRIJEM	\N	114	23962	UROK	\N	\N
3548288	533	1996-01-31	PRIJEM	\N	72	13645	UROK	\N	\N
3548289	533	1996-02-29	PRIJEM	\N	69	18464	UROK	\N	\N
3548290	533	1996-03-31	PRIJEM	\N	88	22403	UROK	\N	\N
3548291	533	1996-04-30	PRIJEM	\N	87	19220	UROK	\N	\N
3548292	533	1996-05-31	PRIJEM	\N	74	18545	UROK	\N	\N
3548293	533	1996-06-30	PRIJEM	\N	78	20578	UROK	\N	\N
3548294	533	1996-07-31	PRIJEM	\N	92	20621	UROK	\N	\N
3548295	533	1996-08-31	PRIJEM	\N	87	16678	UROK	\N	\N
3548296	533	1996-09-30	PRIJEM	\N	75	15003	UROK	\N	\N
3548297	533	1996-10-31	PRIJEM	\N	67	14421	UROK	\N	\N
3548298	533	1996-11-30	PRIJEM	\N	65	14836	UROK	\N	\N
3548299	533	1996-12-31	PRIJEM	\N	63	11775	UROK	\N	\N
3548300	533	1997-01-31	PRIJEM	\N	56	14041	UROK	\N	\N
3548301	533	1997-02-28	PRIJEM	\N	63	14055	UROK	\N	\N
3548302	533	1997-03-31	PRIJEM	\N	65	17170	UROK	\N	\N
3548303	533	1997-04-30	PRIJEM	\N	69	17890	UROK	\N	\N
3548304	533	1997-05-31	PRIJEM	\N	83	21023	UROK	\N	\N
3548305	533	1997-06-30	PRIJEM	\N	93	12971	UROK	\N	\N
3548306	533	1997-07-31	PRIJEM	\N	61	16082	UROK	\N	\N
3548307	533	1997-08-31	PRIJEM	\N	74	19206	UROK	\N	\N
3548308	533	1997-09-30	PRIJEM	\N	84	20180	UROK	\N	\N
3548309	533	1997-10-31	PRIJEM	\N	91	23322	UROK	\N	\N
3548310	533	1997-11-30	PRIJEM	\N	103	26475	UROK	\N	\N
3548311	533	1997-12-31	PRIJEM	\N	125	31316	UROK	\N	\N
3548312	533	1998-01-31	PRIJEM	\N	89	14496	UROK	\N	\N
3548313	533	1998-02-28	PRIJEM	\N	68	17614	UROK	\N	\N
3548314	533	1998-03-31	PRIJEM	\N	81	20745	UROK	\N	\N
3548315	533	1998-04-30	PRIJEM	\N	92	23888	UROK	\N	\N
3548316	533	1998-05-31	PRIJEM	\N	106	27044	UROK	\N	\N
3548317	533	1998-06-30	PRIJEM	\N	99	13698	UROK	\N	\N
3548318	533	1998-07-31	PRIJEM	\N	63	16811	UROK	\N	\N
3548319	533	1998-08-31	PRIJEM	\N	66	15128	UROK	\N	\N
3548320	533	1998-09-30	PRIJEM	\N	69	18247	UROK	\N	\N
3548321	533	1998-10-31	PRIJEM	\N	82	21379	UROK	\N	\N
3548322	533	1998-11-30	PRIJEM	\N	95	24524	UROK	\N	\N
3548323	533	1998-12-31	PRIJEM	\N	113	29352	UROK	\N	\N
3548324	534	1997-06-30	PRIJEM	\N	20	24267	UROK	\N	\N
3548325	534	1997-07-31	PRIJEM	\N	107	30672	UROK	\N	\N
3548326	534	1997-08-31	PRIJEM	\N	135	37705	UROK	\N	\N
3548327	534	1997-09-30	PRIJEM	\N	158	38961	UROK	\N	\N
3548328	534	1997-10-31	PRIJEM	\N	164	40723	UROK	\N	\N
3548329	534	1997-11-30	PRIJEM	\N	182	42587	UROK	\N	\N
3548330	534	1997-12-31	PRIJEM	\N	180	43178	UROK	\N	\N
3548331	534	1998-01-31	PRIJEM	\N	166	32006	UROK	\N	\N
3548332	534	1998-02-28	PRIJEM	\N	146	36494	UROK	\N	\N
3548333	534	1998-03-31	PRIJEM	\N	166	39642	UROK	\N	\N
3548334	534	1998-04-30	PRIJEM	\N	183	46507	UROK	\N	\N
3548335	534	1998-05-31	PRIJEM	\N	204	48394	UROK	\N	\N
3548336	534	1998-06-30	PRIJEM	\N	175	29779	UROK	\N	\N
3548337	534	1998-07-31	PRIJEM	\N	137	36039	UROK	\N	\N
3548338	534	1998-08-31	PRIJEM	\N	163	40684	UROK	\N	\N
3548339	534	1998-09-30	PRIJEM	\N	163	37489	UROK	\N	\N
3548340	534	1998-10-31	PRIJEM	\N	173	44344	UROK	\N	\N
3548341	534	1998-11-30	PRIJEM	\N	193	47520	UROK	\N	\N
3548342	534	1998-12-31	PRIJEM	\N	206	47877	UROK	\N	\N
3548343	535	1994-06-30	PRIJEM	\N	33	29643	UROK	\N	\N
3548344	535	1994-07-31	PRIJEM	\N	134	38250	UROK	\N	\N
3548345	535	1994-08-31	PRIJEM	\N	165	42687	UROK	\N	\N
3548346	535	1994-09-30	PRIJEM	\N	182	46343	UROK	\N	\N
3548347	535	1994-10-31	PRIJEM	\N	206	44401	UROK	\N	\N
3548348	535	1994-11-30	PRIJEM	\N	197	42508	UROK	\N	\N
3548349	535	1994-12-31	PRIJEM	\N	209	45065	UROK	\N	\N
3548350	535	1995-01-31	PRIJEM	\N	182	32157	UROK	\N	\N
3548351	535	1995-02-28	PRIJEM	\N	154	36022	UROK	\N	\N
3548352	535	1995-03-31	PRIJEM	\N	153	31686	UROK	\N	\N
3548353	535	1995-04-30	PRIJEM	\N	148	32344	UROK	\N	\N
3548354	535	1995-05-31	PRIJEM	\N	152	34206	UROK	\N	\N
3548355	535	1995-06-30	PRIJEM	\N	166	35219	UROK	\N	\N
3548356	535	1995-07-31	PRIJEM	\N	163	37793	UROK	\N	\N
3548357	535	1995-08-31	PRIJEM	\N	160	33863	UROK	\N	\N
3548358	535	1995-09-30	PRIJEM	\N	156	36929	UROK	\N	\N
3548359	535	1995-10-31	PRIJEM	\N	166	38606	UROK	\N	\N
3548360	535	1995-11-30	PRIJEM	\N	165	37381	UROK	\N	\N
3548361	535	1995-12-31	PRIJEM	\N	178	41006	UROK	\N	\N
3548362	535	1996-01-31	PRIJEM	\N	153	28169	UROK	\N	\N
3548363	535	1996-02-29	PRIJEM	\N	131	32611	UROK	\N	\N
3548364	535	1996-03-31	PRIJEM	\N	134	29755	UROK	\N	\N
3548365	535	1996-04-30	PRIJEM	\N	116	26282	UROK	\N	\N
3548366	535	1996-05-31	PRIJEM	\N	114	27106	UROK	\N	\N
3548367	535	1996-06-30	PRIJEM	\N	148	14801	UROK	\N	\N
3548368	535	1996-07-31	PRIJEM	\N	80	21391	UROK	\N	\N
3548369	535	1996-08-31	PRIJEM	\N	96	24098	UROK	\N	\N
3548370	535	1996-09-30	PRIJEM	\N	126	33734	UROK	\N	\N
3548371	535	1996-10-31	PRIJEM	\N	152	37796	UROK	\N	\N
3548372	535	1996-11-30	PRIJEM	\N	156	38763	UROK	\N	\N
3548373	535	1996-12-31	PRIJEM	\N	190	50400	UROK	\N	\N
3548374	535	1997-01-31	PRIJEM	\N	179	40089	UROK	\N	\N
3548375	535	1997-02-28	PRIJEM	\N	165	42365	UROK	\N	\N
3548376	535	1997-03-31	PRIJEM	\N	184	46459	UROK	\N	\N
3548377	535	1997-04-30	PRIJEM	\N	177	43346	UROK	\N	\N
3548378	535	1997-05-31	PRIJEM	\N	191	48647	UROK	\N	\N
3548379	535	1997-06-30	PRIJEM	\N	205	43399	UROK	\N	\N
3548380	535	1997-07-31	PRIJEM	\N	176	43386	UROK	\N	\N
3548381	535	1997-08-31	PRIJEM	\N	190	48986	UROK	\N	\N
3548382	535	1997-09-30	PRIJEM	\N	203	49200	UROK	\N	\N
3548383	535	1997-10-31	PRIJEM	\N	188	47898	UROK	\N	\N
3548384	535	1997-11-30	PRIJEM	\N	180	46088	UROK	\N	\N
3548385	535	1997-12-31	PRIJEM	\N	198	52634	UROK	\N	\N
3548386	535	1998-01-31	PRIJEM	\N	154	34497	UROK	\N	\N
3548387	535	1998-02-28	PRIJEM	\N	128	33935	UROK	\N	\N
3548388	535	1998-03-31	PRIJEM	\N	125	33071	UROK	\N	\N
3548389	535	1998-04-30	PRIJEM	\N	122	32503	UROK	\N	\N
3548390	535	1998-05-31	PRIJEM	\N	128	34242	UROK	\N	\N
3548391	535	1998-06-30	PRIJEM	\N	141	40131	UROK	\N	\N
3548392	535	1998-07-31	PRIJEM	\N	134	34575	UROK	\N	\N
3548393	535	1998-08-31	PRIJEM	\N	174	47560	UROK	\N	\N
3548394	535	1998-09-30	PRIJEM	\N	134	37304	UROK	\N	\N
3548395	535	1998-10-31	PRIJEM	\N	141	26455	UROK	\N	\N
3548396	535	1998-11-30	PRIJEM	\N	135	22800	UROK	\N	\N
3548397	535	1998-12-31	PRIJEM	\N	140	40388	UROK	\N	\N
3548398	536	1997-03-31	PRIJEM	\N	78	24296	UROK	\N	\N
3548399	536	1997-04-30	PRIJEM	\N	110	26835	UROK	\N	\N
3548400	536	1997-05-31	PRIJEM	\N	113	27016	UROK	\N	\N
3548401	536	1997-06-30	PRIJEM	\N	111	26306	UROK	\N	\N
3548402	536	1997-07-31	PRIJEM	\N	107	24001	UROK	\N	\N
3548403	536	1997-08-31	PRIJEM	\N	106	25636	UROK	\N	\N
3548404	536	1997-09-30	PRIJEM	\N	108	25873	UROK	\N	\N
3548405	536	1997-10-31	PRIJEM	\N	117	28418	UROK	\N	\N
3548406	536	1997-11-30	PRIJEM	\N	111	22858	UROK	\N	\N
3548407	536	1997-12-31	PRIJEM	\N	103	24839	UROK	\N	\N
3548408	536	1998-01-31	PRIJEM	\N	74	13081	UROK	\N	\N
3548409	536	1998-02-28	PRIJEM	\N	63	15573	UROK	\N	\N
3548410	536	1998-03-31	PRIJEM	\N	74	18075	UROK	\N	\N
3548411	536	1998-04-30	PRIJEM	\N	66	13170	UROK	\N	\N
3548412	536	1998-05-31	PRIJEM	\N	55	13253	UROK	\N	\N
3548413	536	1998-06-30	PRIJEM	\N	62	15184	UROK	\N	\N
3548414	536	1998-07-31	PRIJEM	\N	64	14236	UROK	\N	\N
3548415	536	1998-08-31	PRIJEM	\N	68	16732	UROK	\N	\N
3548416	536	1998-09-30	PRIJEM	\N	78	19239	UROK	\N	\N
3548417	536	1998-10-31	PRIJEM	\N	89	21756	UROK	\N	\N
3548418	536	1998-11-30	PRIJEM	\N	99	24284	UROK	\N	\N
3548419	536	1998-12-31	PRIJEM	\N	109	26371	UROK	\N	\N
3548420	537	1997-01-31	PRIJEM	\N	19	6599	UROK	\N	\N
3548421	537	1997-02-28	PRIJEM	\N	27	12706	UROK	\N	\N
3548422	537	1997-03-31	PRIJEM	\N	27	18813	UROK	\N	\N
3548423	537	1997-04-30	PRIJEM	\N	27	24921	UROK	\N	\N
3548424	537	1997-05-31	PRIJEM	\N	91	29192	UROK	\N	\N
3548425	537	1997-06-30	PRIJEM	\N	82	19591	UROK	\N	\N
3548426	537	1997-07-31	PRIJEM	\N	94	23902	UROK	\N	\N
3548427	537	1997-08-31	PRIJEM	\N	112	28231	UROK	\N	\N
3548428	537	1997-09-30	PRIJEM	\N	129	32577	UROK	\N	\N
3548429	537	1997-10-31	PRIJEM	\N	141	35335	UROK	\N	\N
3548430	537	1997-11-30	PRIJEM	\N	159	39712	UROK	\N	\N
3548431	537	1997-12-31	PRIJEM	\N	164	40143	UROK	\N	\N
3548432	537	1998-01-31	PRIJEM	\N	158	34079	UROK	\N	\N
3548433	537	1998-02-28	PRIJEM	\N	153	38449	UROK	\N	\N
3548434	537	1998-03-31	PRIJEM	\N	168	40115	UROK	\N	\N
3548435	537	1998-04-30	PRIJEM	\N	179	44511	UROK	\N	\N
3548436	537	1998-05-31	PRIJEM	\N	197	48926	UROK	\N	\N
3548437	537	1998-06-30	PRIJEM	\N	204	47327	UROK	\N	\N
3548438	537	1998-07-31	PRIJEM	\N	209	51754	UROK	\N	\N
3548439	537	1998-08-31	PRIJEM	\N	222	54833	UROK	\N	\N
3548440	537	1998-09-30	PRIJEM	\N	240	59291	UROK	\N	\N
3548441	537	1998-10-31	PRIJEM	\N	251	60379	UROK	\N	\N
3548442	537	1998-11-30	PRIJEM	\N	262	62959	UROK	\N	\N
3548443	537	1998-12-31	PRIJEM	\N	271	67148	UROK	\N	\N
3548444	538	1994-06-30	PRIJEM	\N	13	4852	UROK	\N	\N
3548445	538	1994-07-31	PRIJEM	\N	20	8912	UROK	\N	\N
3548446	538	1994-08-31	PRIJEM	\N	20	12971	UROK	\N	\N
3548447	538	1994-09-30	PRIJEM	\N	20	17030	UROK	\N	\N
3548448	538	1994-10-31	PRIJEM	\N	22	21091	UROK	\N	\N
3548449	538	1994-11-30	PRIJEM	\N	88	22212	UROK	\N	\N
3548450	538	1994-12-31	PRIJEM	\N	93	23337	UROK	\N	\N
3548451	538	1995-01-31	PRIJEM	\N	83	13413	UROK	\N	\N
3548452	538	1995-02-28	PRIJEM	\N	59	14805	UROK	\N	\N
3548453	538	1995-03-31	PRIJEM	\N	65	16202	UROK	\N	\N
3548454	538	1995-04-30	PRIJEM	\N	71	17606	UROK	\N	\N
3548455	538	1995-05-31	PRIJEM	\N	70	15809	UROK	\N	\N
3548456	538	1995-06-30	PRIJEM	\N	70	17211	UROK	\N	\N
3548457	538	1995-07-31	PRIJEM	\N	73	14936	UROK	\N	\N
3548458	538	1995-08-31	PRIJEM	\N	66	16335	UROK	\N	\N
3548459	538	1995-09-30	PRIJEM	\N	71	14298	UROK	\N	\N
3548460	538	1995-10-31	PRIJEM	\N	63	15693	UROK	\N	\N
3548461	538	1995-11-30	PRIJEM	\N	69	17095	UROK	\N	\N
3548462	538	1995-12-31	PRIJEM	\N	71	15158	UROK	\N	\N
3548463	538	1996-01-31	PRIJEM	\N	58	13108	UROK	\N	\N
3548464	538	1996-02-29	PRIJEM	\N	57	12798	UROK	\N	\N
3548465	538	1996-03-31	PRIJEM	\N	57	14187	UROK	\N	\N
3548466	538	1996-04-30	PRIJEM	\N	60	14139	UROK	\N	\N
3548467	538	1996-05-31	PRIJEM	\N	60	11532	UROK	\N	\N
3548468	538	1996-06-30	PRIJEM	\N	51	11915	UROK	\N	\N
3548469	538	1996-07-31	PRIJEM	\N	53	13300	UROK	\N	\N
3548470	538	1996-08-31	PRIJEM	\N	59	14692	UROK	\N	\N
3548471	538	1996-09-30	PRIJEM	\N	65	16088	UROK	\N	\N
3548472	538	1996-10-31	PRIJEM	\N	65	12186	UROK	\N	\N
3548473	538	1996-11-30	PRIJEM	\N	54	13572	UROK	\N	\N
3548474	538	1996-12-31	PRIJEM	\N	58	13763	UROK	\N	\N
3548475	538	1997-01-31	PRIJEM	\N	61	13876	UROK	\N	\N
3548476	538	1997-02-28	PRIJEM	\N	61	15269	UROK	\N	\N
3548477	538	1997-03-31	PRIJEM	\N	67	16668	UROK	\N	\N
3548478	538	1997-04-30	PRIJEM	\N	71	16791	UROK	\N	\N
3548479	538	1997-05-31	PRIJEM	\N	73	18197	UROK	\N	\N
3548480	538	1997-06-30	PRIJEM	\N	79	19608	UROK	\N	\N
3548481	538	1997-07-31	PRIJEM	\N	85	21025	UROK	\N	\N
3548482	538	1997-08-31	PRIJEM	\N	87	21965	UROK	\N	\N
3548483	538	1997-09-30	PRIJEM	\N	95	23392	UROK	\N	\N
3548484	538	1997-10-31	PRIJEM	\N	101	24824	UROK	\N	\N
3548485	538	1997-11-30	PRIJEM	\N	104	23301	UROK	\N	\N
3548486	538	1997-12-31	PRIJEM	\N	100	24383	UROK	\N	\N
3548487	538	1998-01-31	PRIJEM	\N	79	14834	UROK	\N	\N
3548488	538	1998-02-28	PRIJEM	\N	65	16231	UROK	\N	\N
3548489	538	1998-03-31	PRIJEM	\N	70	17634	UROK	\N	\N
3548490	538	1998-04-30	PRIJEM	\N	74	17920	UROK	\N	\N
3548491	538	1998-05-31	PRIJEM	\N	77	19330	UROK	\N	\N
3548492	538	1998-06-30	PRIJEM	\N	83	20746	UROK	\N	\N
3548493	538	1998-07-31	PRIJEM	\N	89	22167	UROK	\N	\N
3548494	538	1998-08-31	PRIJEM	\N	87	20866	UROK	\N	\N
3548495	538	1998-09-30	PRIJEM	\N	89	22288	UROK	\N	\N
3548496	538	1998-10-31	PRIJEM	\N	95	23715	UROK	\N	\N
3548497	538	1998-11-30	PRIJEM	\N	94	23462	UROK	\N	\N
3548498	538	1998-12-31	PRIJEM	\N	99	24043	UROK	\N	\N
3548499	541	1993-09-30	PRIJEM	\N	58	20764	UROK	\N	\N
3548500	541	1993-10-31	PRIJEM	\N	114	30684	UROK	\N	\N
3548501	541	1993-11-30	PRIJEM	\N	148	37738	UROK	\N	\N
3548502	541	1993-12-31	PRIJEM	\N	179	45275	UROK	\N	\N
3548503	541	1994-01-31	PRIJEM	\N	168	35097	UROK	\N	\N
3548504	541	1994-02-28	PRIJEM	\N	145	34066	UROK	\N	\N
3548505	541	1994-03-31	PRIJEM	\N	143	34372	UROK	\N	\N
3548506	541	1994-04-30	PRIJEM	\N	138	32414	UROK	\N	\N
3548507	541	1994-05-31	PRIJEM	\N	168	32845	UROK	\N	\N
3548508	541	1994-06-30	PRIJEM	\N	148	29829	UROK	\N	\N
3548509	541	1994-07-31	PRIJEM	\N	129	31821	UROK	\N	\N
3548510	541	1994-08-31	PRIJEM	\N	169	44054	UROK	\N	\N
3548511	541	1994-09-30	PRIJEM	\N	203	51420	UROK	\N	\N
3548512	541	1994-10-31	PRIJEM	\N	205	49988	UROK	\N	\N
3548513	541	1994-11-30	PRIJEM	\N	203	50454	UROK	\N	\N
3548514	541	1994-12-31	PRIJEM	\N	236	59526	UROK	\N	\N
3548515	541	1995-01-31	PRIJEM	\N	173	27822	UROK	\N	\N
3548516	541	1995-02-28	PRIJEM	\N	131	31936	UROK	\N	\N
3548517	541	1995-03-31	PRIJEM	\N	163	42563	UROK	\N	\N
3548518	541	1995-04-30	PRIJEM	\N	163	40209	UROK	\N	\N
3548519	541	1995-05-31	PRIJEM	\N	171	43644	UROK	\N	\N
3548520	541	1995-06-30	PRIJEM	\N	172	43152	UROK	\N	\N
3548521	541	1995-07-31	PRIJEM	\N	186	47201	UROK	\N	\N
3548522	541	1995-08-31	PRIJEM	\N	180	43344	UROK	\N	\N
3548523	541	1995-09-30	PRIJEM	\N	170	41158	UROK	\N	\N
3548524	541	1995-10-31	PRIJEM	\N	170	41191	UROK	\N	\N
3548525	541	1995-11-30	PRIJEM	\N	167	41561	UROK	\N	\N
3548526	541	1995-12-31	PRIJEM	\N	193	38171	UROK	\N	\N
3548527	541	1996-01-31	PRIJEM	\N	126	22920	UROK	\N	\N
3548528	541	1996-02-29	PRIJEM	\N	127	31911	UROK	\N	\N
3548529	541	1996-03-31	PRIJEM	\N	163	35338	UROK	\N	\N
3548530	541	1996-04-30	PRIJEM	\N	175	35476	UROK	\N	\N
3548531	541	1996-05-31	PRIJEM	\N	165	35104	UROK	\N	\N
3548532	541	1996-06-30	PRIJEM	\N	199	32420	UROK	\N	\N
3548533	541	1996-07-31	PRIJEM	\N	160	28483	UROK	\N	\N
3548534	541	1996-08-31	PRIJEM	\N	142	31988	UROK	\N	\N
3548535	541	1996-09-30	PRIJEM	\N	157	32808	UROK	\N	\N
3548536	541	1996-10-31	PRIJEM	\N	158	32230	UROK	\N	\N
3548537	541	1996-11-30	PRIJEM	\N	152	30745	UROK	\N	\N
3548538	541	1996-12-31	PRIJEM	\N	169	30431	UROK	\N	\N
3548539	541	1997-01-31	PRIJEM	\N	95	16949	UROK	\N	\N
3548540	541	1997-02-28	PRIJEM	\N	92	18705	UROK	\N	\N
3548541	541	1997-03-31	PRIJEM	\N	98	18065	UROK	\N	\N
3548542	541	1997-04-30	PRIJEM	\N	96	19125	UROK	\N	\N
3548543	541	1997-05-31	PRIJEM	\N	101	21189	UROK	\N	\N
3548544	541	1997-06-30	PRIJEM	\N	127	22432	UROK	\N	\N
3548545	541	1997-07-31	PRIJEM	\N	109	21504	UROK	\N	\N
3548546	541	1997-08-31	PRIJEM	\N	100	18468	UROK	\N	\N
3548547	541	1997-09-30	PRIJEM	\N	94	20225	UROK	\N	\N
3548548	541	1997-10-31	PRIJEM	\N	95	18483	UROK	\N	\N
3548549	541	1997-11-30	PRIJEM	\N	95	21641	UROK	\N	\N
3548550	541	1997-12-31	PRIJEM	\N	111	21468	UROK	\N	\N
3548551	541	1998-01-31	PRIJEM	\N	85	17417	UROK	\N	\N
3548552	541	1998-02-28	PRIJEM	\N	90	21469	UROK	\N	\N
3548553	541	1998-03-31	PRIJEM	\N	97	19230	UROK	\N	\N
3548554	541	1998-04-30	PRIJEM	\N	89	18282	UROK	\N	\N
3548555	541	1998-05-31	PRIJEM	\N	86	18231	UROK	\N	\N
3548556	541	1998-06-30	PRIJEM	\N	98	23265	UROK	\N	\N
3548557	541	1998-07-31	PRIJEM	\N	92	16760	UROK	\N	\N
3548558	541	1998-08-31	PRIJEM	\N	101	28224	UROK	\N	\N
3548559	541	1998-09-30	PRIJEM	\N	106	20893	UROK	\N	\N
3548560	541	1998-10-31	PRIJEM	\N	84	17440	UROK	\N	\N
3548561	541	1998-11-30	PRIJEM	\N	72	15875	UROK	\N	\N
3548562	541	1998-12-31	PRIJEM	\N	87	20179	UROK	\N	\N
3548563	542	1993-11-30	PRIJEM	\N	18	5043	UROK	\N	\N
3548564	542	1993-12-31	PRIJEM	\N	21	9189	UROK	\N	\N
3548565	542	1994-01-31	PRIJEM	\N	21	13335	UROK	\N	\N
3548566	542	1994-02-28	PRIJEM	\N	21	17481	UROK	\N	\N
3548567	542	1994-03-31	PRIJEM	\N	81	18937	UROK	\N	\N
3548568	542	1994-04-30	PRIJEM	\N	93	20390	UROK	\N	\N
3548569	542	1994-05-31	PRIJEM	\N	90	21841	UROK	\N	\N
3548570	542	1994-06-30	PRIJEM	\N	92	14744	UROK	\N	\N
3548571	542	1994-07-31	PRIJEM	\N	76	16180	UROK	\N	\N
3548572	542	1994-08-31	PRIJEM	\N	82	17622	UROK	\N	\N
3548573	542	1994-09-30	PRIJEM	\N	78	19061	UROK	\N	\N
3548574	542	1994-10-31	PRIJEM	\N	94	20515	UROK	\N	\N
3548575	542	1994-11-30	PRIJEM	\N	100	21976	UROK	\N	\N
3548576	542	1994-12-31	PRIJEM	\N	95	21871	UROK	\N	\N
3548577	542	1995-01-31	PRIJEM	\N	67	13618	UROK	\N	\N
3548578	542	1995-02-28	PRIJEM	\N	71	15049	UROK	\N	\N
3548579	542	1995-03-31	PRIJEM	\N	66	14155	UROK	\N	\N
3548580	542	1995-04-30	PRIJEM	\N	64	15579	UROK	\N	\N
3548581	542	1995-05-31	PRIJEM	\N	79	17019	UROK	\N	\N
3548582	542	1995-06-30	PRIJEM	\N	69	15048	UROK	\N	\N
3548583	542	1995-07-31	PRIJEM	\N	77	16486	UROK	\N	\N
3548584	542	1995-08-31	PRIJEM	\N	70	13596	UROK	\N	\N
3548585	542	1995-09-30	PRIJEM	\N	64	14301	UROK	\N	\N
3548586	542	1995-10-31	PRIJEM	\N	74	15735	UROK	\N	\N
3548587	542	1995-11-30	PRIJEM	\N	70	17165	UROK	\N	\N
3548588	542	1995-12-31	PRIJEM	\N	74	18050	UROK	\N	\N
3548589	542	1996-01-31	PRIJEM	\N	66	14706	UROK	\N	\N
3548590	542	1996-02-29	PRIJEM	\N	66	16132	UROK	\N	\N
3548591	542	1996-03-31	PRIJEM	\N	72	14445	UROK	\N	\N
3548592	542	1996-04-30	PRIJEM	\N	65	15870	UROK	\N	\N
3548593	542	1996-05-31	PRIJEM	\N	80	17310	UROK	\N	\N
3548594	542	1996-06-30	PRIJEM	\N	72	17093	UROK	\N	\N
3548595	542	1996-07-31	PRIJEM	\N	85	18539	UROK	\N	\N
3548596	542	1996-08-31	PRIJEM	\N	91	19990	UROK	\N	\N
3548597	542	1996-09-30	PRIJEM	\N	86	19357	UROK	\N	\N
3548598	542	1996-10-31	PRIJEM	\N	84	20401	UROK	\N	\N
3548599	542	1996-11-30	PRIJEM	\N	93	20254	UROK	\N	\N
3548600	542	1996-12-31	PRIJEM	\N	95	19449	UROK	\N	\N
3548601	542	1997-01-31	PRIJEM	\N	67	14876	UROK	\N	\N
3548602	542	1997-02-28	PRIJEM	\N	66	15342	UROK	\N	\N
3548603	542	1997-03-31	PRIJEM	\N	78	16780	UROK	\N	\N
3548604	542	1997-04-30	PRIJEM	\N	83	18223	UROK	\N	\N
3548605	542	1997-05-31	PRIJEM	\N	84	18307	UROK	\N	\N
3548606	542	1997-06-30	PRIJEM	\N	66	15383	UROK	\N	\N
3548607	542	1997-07-31	PRIJEM	\N	68	16811	UROK	\N	\N
3548608	542	1997-08-31	PRIJEM	\N	74	18245	UROK	\N	\N
3548609	542	1997-09-30	PRIJEM	\N	66	15992	UROK	\N	\N
3548610	542	1997-10-31	PRIJEM	\N	80	17432	UROK	\N	\N
3548611	542	1997-11-30	PRIJEM	\N	76	18869	UROK	\N	\N
3548612	542	1997-12-31	PRIJEM	\N	78	17268	UROK	\N	\N
3548613	542	1998-01-31	PRIJEM	\N	68	16056	UROK	\N	\N
3548614	542	1998-02-28	PRIJEM	\N	70	17487	UROK	\N	\N
3548615	542	1998-03-31	PRIJEM	\N	67	16034	UROK	\N	\N
3548616	542	1998-04-30	PRIJEM	\N	80	17474	UROK	\N	\N
3548617	542	1998-05-31	PRIJEM	\N	86	18920	UROK	\N	\N
3548618	542	1998-06-30	PRIJEM	\N	92	20372	UROK	\N	\N
3548619	542	1998-07-31	PRIJEM	\N	86	19418	UROK	\N	\N
3548620	542	1998-08-31	PRIJEM	\N	84	20863	UROK	\N	\N
3548621	542	1998-09-30	PRIJEM	\N	77	17980	UROK	\N	\N
3548622	542	1998-10-31	PRIJEM	\N	87	19428	UROK	\N	\N
3548623	542	1998-11-30	PRIJEM	\N	84	20872	UROK	\N	\N
3548624	542	1998-12-31	PRIJEM	\N	79	18331	UROK	\N	\N
3548625	543	1994-05-31	PRIJEM	\N	11	4194	UROK	\N	\N
3548626	543	1994-06-30	PRIJEM	\N	53	17530	UROK	\N	\N
3548627	543	1994-07-31	PRIJEM	\N	97	26710	UROK	\N	\N
3548628	543	1994-08-31	PRIJEM	\N	111	27004	UROK	\N	\N
3548629	543	1994-09-30	PRIJEM	\N	109	26711	UROK	\N	\N
3548630	543	1994-10-31	PRIJEM	\N	106	22437	UROK	\N	\N
3548631	543	1994-11-30	PRIJEM	\N	98	21116	UROK	\N	\N
3548632	543	1994-12-31	PRIJEM	\N	87	23053	UROK	\N	\N
3548633	543	1995-01-31	PRIJEM	\N	90	20403	UROK	\N	\N
3548634	543	1995-02-28	PRIJEM	\N	87	20571	UROK	\N	\N
3548635	543	1995-03-31	PRIJEM	\N	89	22540	UROK	\N	\N
3548636	543	1995-04-30	PRIJEM	\N	99	24370	UROK	\N	\N
3548637	543	1995-05-31	PRIJEM	\N	103	23354	UROK	\N	\N
3548638	543	1995-06-30	PRIJEM	\N	99	18154	UROK	\N	\N
3548639	543	1995-07-31	PRIJEM	\N	79	17413	UROK	\N	\N
3548640	543	1995-08-31	PRIJEM	\N	78	19152	UROK	\N	\N
3548641	543	1995-09-30	PRIJEM	\N	83	21416	UROK	\N	\N
3548642	543	1995-10-31	PRIJEM	\N	91	21086	UROK	\N	\N
3548643	543	1995-11-30	PRIJEM	\N	91	20657	UROK	\N	\N
3548644	543	1995-12-31	PRIJEM	\N	84	19792	UROK	\N	\N
3548645	543	1996-01-31	PRIJEM	\N	73	14745	UROK	\N	\N
3548646	543	1996-02-29	PRIJEM	\N	69	18994	UROK	\N	\N
3548647	543	1996-03-31	PRIJEM	\N	82	18856	UROK	\N	\N
3548648	543	1996-04-30	PRIJEM	\N	80	20856	UROK	\N	\N
3548649	543	1996-05-31	PRIJEM	\N	87	19023	UROK	\N	\N
3548650	543	1996-06-30	PRIJEM	\N	79	18082	UROK	\N	\N
3548651	543	1996-07-31	PRIJEM	\N	76	16938	UROK	\N	\N
3548652	543	1996-08-31	PRIJEM	\N	68	16257	UROK	\N	\N
3548653	543	1996-09-30	PRIJEM	\N	62	12709	UROK	\N	\N
3548654	543	1996-10-31	PRIJEM	\N	56	13746	UROK	\N	\N
3548655	543	1996-11-30	PRIJEM	\N	56	12382	UROK	\N	\N
3548656	543	1996-12-31	PRIJEM	\N	59	15641	UROK	\N	\N
3548657	543	1997-01-31	PRIJEM	\N	63	13655	UROK	\N	\N
3548658	543	1997-02-28	PRIJEM	\N	62	17227	UROK	\N	\N
3548659	543	1997-03-31	PRIJEM	\N	72	16359	UROK	\N	\N
3548660	543	1997-04-30	PRIJEM	\N	63	13802	UROK	\N	\N
3548661	543	1997-05-31	PRIJEM	\N	66	18049	UROK	\N	\N
3548662	543	1997-06-30	PRIJEM	\N	71	15430	UROK	\N	\N
3548663	543	1997-07-31	PRIJEM	\N	63	15854	UROK	\N	\N
3548664	543	1997-08-31	PRIJEM	\N	60	13495	UROK	\N	\N
3548665	543	1997-09-30	PRIJEM	\N	54	13029	UROK	\N	\N
3548666	543	1997-10-31	PRIJEM	\N	55	13865	UROK	\N	\N
3548667	543	1997-11-30	PRIJEM	\N	56	13501	UROK	\N	\N
3548668	543	1997-12-31	PRIJEM	\N	57	13898	UROK	\N	\N
3548669	543	1998-01-31	PRIJEM	\N	57	13155	UROK	\N	\N
3548670	543	1998-02-28	PRIJEM	\N	56	14391	UROK	\N	\N
3548671	543	1998-03-31	PRIJEM	\N	64	15636	UROK	\N	\N
3548672	543	1998-04-30	PRIJEM	\N	69	16886	UROK	\N	\N
3548673	543	1998-05-31	PRIJEM	\N	73	16789	UROK	\N	\N
3548674	543	1998-06-30	PRIJEM	\N	72	13902	UROK	\N	\N
3548675	543	1998-07-31	PRIJEM	\N	59	15141	UROK	\N	\N
3548676	543	1998-08-31	PRIJEM	\N	56	13588	UROK	\N	\N
3548677	543	1998-09-30	PRIJEM	\N	61	14829	UROK	\N	\N
3548678	543	1998-10-31	PRIJEM	\N	60	14119	UROK	\N	\N
3548679	543	1998-11-30	PRIJEM	\N	60	15359	UROK	\N	\N
3548680	543	1998-12-31	PRIJEM	\N	64	16394	UROK	\N	\N
3548681	544	1995-06-30	PRIJEM	\N	70	29554	UROK	\N	\N
3548682	544	1995-07-31	PRIJEM	\N	146	39088	UROK	\N	\N
3548683	544	1995-08-31	PRIJEM	\N	171	42348	UROK	\N	\N
3548684	544	1995-09-30	PRIJEM	\N	189	47225	UROK	\N	\N
3548685	544	1995-10-31	PRIJEM	\N	191	44605	UROK	\N	\N
3548686	544	1995-11-30	PRIJEM	\N	179	38158	UROK	\N	\N
3548687	544	1995-12-31	PRIJEM	\N	182	33709	UROK	\N	\N
3548688	544	1996-01-31	PRIJEM	\N	139	19632	UROK	\N	\N
3548689	544	1996-02-29	PRIJEM	\N	154	44860	UROK	\N	\N
3548690	544	1996-03-31	PRIJEM	\N	199	46334	UROK	\N	\N
3548691	544	1996-04-30	PRIJEM	\N	205	47045	UROK	\N	\N
3548692	544	1996-05-31	PRIJEM	\N	230	58649	UROK	\N	\N
3548693	544	1996-06-30	PRIJEM	\N	227	46502	UROK	\N	\N
3548694	544	1996-07-31	PRIJEM	\N	228	57204	UROK	\N	\N
3548695	544	1996-08-31	PRIJEM	\N	195	39573	UROK	\N	\N
3548696	544	1996-09-30	PRIJEM	\N	205	53355	UROK	\N	\N
3548697	544	1996-10-31	PRIJEM	\N	239	49606	UROK	\N	\N
3548698	544	1996-11-30	PRIJEM	\N	213	42865	UROK	\N	\N
3548699	544	1996-12-31	PRIJEM	\N	237	64673	UROK	\N	\N
3548700	544	1997-01-31	PRIJEM	\N	263	54312	UROK	\N	\N
3548701	544	1997-02-28	PRIJEM	\N	256	65144	UROK	\N	\N
3548702	544	1997-03-31	PRIJEM	\N	250	49536	UROK	\N	\N
3548703	544	1997-04-30	PRIJEM	\N	249	64461	UROK	\N	\N
3548704	544	1997-05-31	PRIJEM	\N	291	72328	UROK	\N	\N
3548705	544	1997-06-30	PRIJEM	\N	346	88145	UROK	\N	\N
3548706	544	1997-07-31	PRIJEM	\N	282	68710	UROK	\N	\N
3548707	544	1997-08-31	PRIJEM	\N	287	63938	UROK	\N	\N
3548708	544	1997-09-30	PRIJEM	\N	238	56273	UROK	\N	\N
3548709	544	1997-10-31	PRIJEM	\N	217	46609	UROK	\N	\N
3548710	544	1997-11-30	PRIJEM	\N	213	42469	UROK	\N	\N
3548711	544	1997-12-31	PRIJEM	\N	222	36852	UROK	\N	\N
3548712	544	1998-01-31	PRIJEM	\N	174	42302	UROK	\N	\N
3548713	544	1998-02-28	PRIJEM	\N	210	44642	UROK	\N	\N
3548714	544	1998-03-31	PRIJEM	\N	182	47886	UROK	\N	\N
3548715	544	1998-04-30	PRIJEM	\N	186	47984	UROK	\N	\N
3548716	544	1998-05-31	PRIJEM	\N	244	58804	UROK	\N	\N
3548717	544	1998-06-30	PRIJEM	\N	195	39634	UROK	\N	\N
3548718	544	1998-07-31	PRIJEM	\N	179	39291	UROK	\N	\N
3548719	544	1998-08-31	PRIJEM	\N	191	46406	UROK	\N	\N
3548720	544	1998-09-30	PRIJEM	\N	190	49671	UROK	\N	\N
3548721	544	1998-10-31	PRIJEM	\N	237	66673	UROK	\N	\N
3548722	544	1998-11-30	PRIJEM	\N	301	78748	UROK	\N	\N
3548723	544	1998-12-31	PRIJEM	\N	418	111236	UROK	\N	\N
3548724	545	1993-12-31	PRIJEM	\N	25	22994	UROK	\N	\N
3548725	545	1994-01-31	PRIJEM	\N	105	30344	UROK	\N	\N
3548726	545	1994-02-28	PRIJEM	\N	127	31017	UROK	\N	\N
3548727	545	1994-03-31	PRIJEM	\N	132	34295	UROK	\N	\N
3548728	545	1994-04-30	PRIJEM	\N	156	32391	UROK	\N	\N
3548729	545	1994-05-31	PRIJEM	\N	152	33769	UROK	\N	\N
3548730	545	1994-06-30	PRIJEM	\N	118	23235	UROK	\N	\N
3548731	545	1994-07-31	PRIJEM	\N	120	30081	UROK	\N	\N
3548732	545	1994-08-31	PRIJEM	\N	140	31246	UROK	\N	\N
3548733	545	1994-09-30	PRIJEM	\N	140	29611	UROK	\N	\N
3548734	545	1994-10-31	PRIJEM	\N	134	28770	UROK	\N	\N
3548735	545	1994-11-30	PRIJEM	\N	130	25526	UROK	\N	\N
3548736	545	1994-12-31	PRIJEM	\N	132	29006	UROK	\N	\N
3548737	545	1995-01-31	PRIJEM	\N	134	30565	UROK	\N	\N
3548738	545	1995-02-28	PRIJEM	\N	137	30627	UROK	\N	\N
3548739	545	1995-03-31	PRIJEM	\N	142	33095	UROK	\N	\N
3548740	545	1995-04-30	PRIJEM	\N	145	31665	UROK	\N	\N
3548741	545	1995-05-31	PRIJEM	\N	140	31131	UROK	\N	\N
3548742	545	1995-06-30	PRIJEM	\N	117	25996	UROK	\N	\N
3548743	545	1995-07-31	PRIJEM	\N	124	29545	UROK	\N	\N
3548744	545	1995-08-31	PRIJEM	\N	124	25295	UROK	\N	\N
3548745	545	1995-09-30	PRIJEM	\N	125	31545	UROK	\N	\N
3548746	545	1995-10-31	PRIJEM	\N	133	29904	UROK	\N	\N
3548747	545	1995-11-30	PRIJEM	\N	139	34068	UROK	\N	\N
3548748	545	1995-12-31	PRIJEM	\N	155	35971	UROK	\N	\N
3548749	545	1996-01-31	PRIJEM	\N	132	27329	UROK	\N	\N
3548750	545	1996-02-29	PRIJEM	\N	118	28072	UROK	\N	\N
3548751	545	1996-03-31	PRIJEM	\N	116	29213	UROK	\N	\N
3548752	545	1996-04-30	PRIJEM	\N	124	29162	UROK	\N	\N
3548753	545	1996-05-31	PRIJEM	\N	131	32019	UROK	\N	\N
3548754	545	1996-06-30	PRIJEM	\N	95	19862	UROK	\N	\N
3548755	545	1996-07-31	PRIJEM	\N	102	26289	UROK	\N	\N
3548756	545	1996-08-31	PRIJEM	\N	124	31239	UROK	\N	\N
3548757	545	1996-09-30	PRIJEM	\N	148	34412	UROK	\N	\N
3548758	545	1996-10-31	PRIJEM	\N	162	41100	UROK	\N	\N
3548759	545	1996-11-30	PRIJEM	\N	166	39891	UROK	\N	\N
3548760	545	1996-12-31	PRIJEM	\N	154	32594	UROK	\N	\N
3548761	545	1997-01-31	PRIJEM	\N	130	26950	UROK	\N	\N
3548762	545	1997-02-28	PRIJEM	\N	136	31611	UROK	\N	\N
3548763	545	1997-03-31	PRIJEM	\N	139	34476	UROK	\N	\N
3548764	545	1997-04-30	PRIJEM	\N	149	33950	UROK	\N	\N
3548765	545	1997-05-31	PRIJEM	\N	144	34620	UROK	\N	\N
3548766	545	1997-06-30	PRIJEM	\N	153	38021	UROK	\N	\N
3548767	545	1997-07-31	PRIJEM	\N	179	44625	UROK	\N	\N
3548768	545	1997-08-31	PRIJEM	\N	194	47645	UROK	\N	\N
3548769	545	1997-09-30	PRIJEM	\N	203	49473	UROK	\N	\N
3548770	545	1997-10-31	PRIJEM	\N	208	50607	UROK	\N	\N
3548771	545	1997-11-30	PRIJEM	\N	223	54755	UROK	\N	\N
3548772	545	1997-12-31	PRIJEM	\N	235	59038	UROK	\N	\N
3548773	545	1998-01-31	PRIJEM	\N	221	49184	UROK	\N	\N
3548774	545	1998-02-28	PRIJEM	\N	221	54831	UROK	\N	\N
3548775	545	1998-03-31	PRIJEM	\N	240	59096	UROK	\N	\N
3548776	545	1998-04-30	PRIJEM	\N	226	55747	UROK	\N	\N
3548777	545	1998-05-31	PRIJEM	\N	263	65736	UROK	\N	\N
3548778	545	1998-06-30	PRIJEM	\N	287	70471	UROK	\N	\N
3548779	545	1998-07-31	PRIJEM	\N	293	71189	UROK	\N	\N
3548780	545	1998-08-31	PRIJEM	\N	289	62503	UROK	\N	\N
3548781	545	1998-09-30	PRIJEM	\N	281	68410	UROK	\N	\N
3548782	545	1998-10-31	PRIJEM	\N	306	74541	UROK	\N	\N
3548783	545	1998-11-30	PRIJEM	\N	309	71875	UROK	\N	\N
3548784	545	1998-12-31	PRIJEM	\N	337	85460	UROK	\N	\N
3548785	546	1997-04-30	PRIJEM	\N	54	17304	UROK	\N	\N
3548786	546	1997-05-31	PRIJEM	\N	75	15314	UROK	\N	\N
3548787	546	1997-06-30	PRIJEM	\N	68	16837	UROK	\N	\N
3548788	546	1997-07-31	PRIJEM	\N	74	18367	UROK	\N	\N
3548789	546	1997-08-31	PRIJEM	\N	77	17819	UROK	\N	\N
3548790	546	1997-09-30	PRIJEM	\N	79	19353	UROK	\N	\N
3548791	546	1997-10-31	PRIJEM	\N	85	20893	UROK	\N	\N
3548792	546	1997-11-30	PRIJEM	\N	91	22440	UROK	\N	\N
3548793	546	1997-12-31	PRIJEM	\N	95	21141	UROK	\N	\N
3548794	546	1998-01-31	PRIJEM	\N	92	22688	UROK	\N	\N
3548795	546	1998-02-28	PRIJEM	\N	86	17930	UROK	\N	\N
3548796	546	1998-03-31	PRIJEM	\N	75	17160	UROK	\N	\N
3548797	546	1998-04-30	PRIJEM	\N	68	14583	UROK	\N	\N
3548798	546	1998-05-31	PRIJEM	\N	63	15101	UROK	\N	\N
3548799	546	1998-06-30	PRIJEM	\N	59	12515	UROK	\N	\N
3548800	546	1998-07-31	PRIJEM	\N	56	14027	UROK	\N	\N
3548801	546	1998-08-31	PRIJEM	\N	56	12739	UROK	\N	\N
3548802	546	1998-09-30	PRIJEM	\N	57	14251	UROK	\N	\N
3548803	546	1998-10-31	PRIJEM	\N	64	15770	UROK	\N	\N
3548804	546	1998-11-30	PRIJEM	\N	61	13206	UROK	\N	\N
3548805	546	1998-12-31	PRIJEM	\N	59	13920	UROK	\N	\N
3548806	547	1997-12-31	PRIJEM	\N	44	14401	UROK	\N	\N
3548807	547	1998-01-31	PRIJEM	\N	56	12429	UROK	\N	\N
3548808	547	1998-02-28	PRIJEM	\N	51	12283	UROK	\N	\N
3548809	547	1998-03-31	PRIJEM	\N	53	12468	UROK	\N	\N
3548810	547	1998-04-30	PRIJEM	\N	55	13646	UROK	\N	\N
3548811	547	1998-05-31	PRIJEM	\N	59	14227	UROK	\N	\N
3548812	547	1998-06-30	PRIJEM	\N	59	13879	UROK	\N	\N
3548813	547	1998-07-31	PRIJEM	\N	61	15062	UROK	\N	\N
3548814	547	1998-08-31	PRIJEM	\N	62	14776	UROK	\N	\N
3548815	547	1998-09-30	PRIJEM	\N	65	15964	UROK	\N	\N
3548816	547	1998-10-31	PRIJEM	\N	70	17156	UROK	\N	\N
3548817	547	1998-11-30	PRIJEM	\N	71	16429	UROK	\N	\N
3548818	547	1998-12-31	PRIJEM	\N	72	17443	UROK	\N	\N
3548819	548	1994-06-30	PRIJEM	\N	21	6665	UROK	\N	\N
3548820	548	1994-07-31	PRIJEM	\N	28	13137	UROK	\N	\N
3548821	548	1994-08-31	PRIJEM	\N	28	19609	UROK	\N	\N
3548822	548	1994-09-30	PRIJEM	\N	28	26080	UROK	\N	\N
3548823	548	1994-10-31	PRIJEM	\N	102	29799	UROK	\N	\N
3548824	548	1994-11-30	PRIJEM	\N	126	31041	UROK	\N	\N
3548825	548	1994-12-31	PRIJEM	\N	124	30022	UROK	\N	\N
3548826	548	1995-01-31	PRIJEM	\N	121	27379	UROK	\N	\N
3548827	548	1995-02-28	PRIJEM	\N	128	29164	UROK	\N	\N
3548828	548	1995-03-31	PRIJEM	\N	130	32310	UROK	\N	\N
3548829	548	1995-04-30	PRIJEM	\N	134	32861	UROK	\N	\N
3548830	548	1995-05-31	PRIJEM	\N	130	30367	UROK	\N	\N
3548831	548	1995-06-30	PRIJEM	\N	90	19424	UROK	\N	\N
3548832	548	1995-07-31	PRIJEM	\N	94	23734	UROK	\N	\N
3548833	548	1995-08-31	PRIJEM	\N	113	26383	UROK	\N	\N
3548834	548	1995-09-30	PRIJEM	\N	118	29217	UROK	\N	\N
3548835	548	1995-10-31	PRIJEM	\N	98	19552	UROK	\N	\N
3548836	548	1995-11-30	PRIJEM	\N	93	20841	UROK	\N	\N
3548837	548	1995-12-31	PRIJEM	\N	93	20980	UROK	\N	\N
3548838	548	1996-01-31	PRIJEM	\N	80	16236	UROK	\N	\N
3548839	548	1996-02-29	PRIJEM	\N	72	15085	UROK	\N	\N
3548840	548	1996-03-31	PRIJEM	\N	78	19779	UROK	\N	\N
3548841	548	1996-04-30	PRIJEM	\N	88	20964	UROK	\N	\N
3548842	548	1996-05-31	PRIJEM	\N	99	23519	UROK	\N	\N
3548843	548	1996-06-30	PRIJEM	\N	95	21280	UROK	\N	\N
3548844	548	1996-07-31	PRIJEM	\N	100	22297	UROK	\N	\N
3548845	548	1996-08-31	PRIJEM	\N	102	21775	UROK	\N	\N
3548846	548	1996-09-30	PRIJEM	\N	102	25214	UROK	\N	\N
3548847	548	1996-10-31	PRIJEM	\N	120	29950	UROK	\N	\N
3548848	548	1996-11-30	PRIJEM	\N	137	32903	UROK	\N	\N
3548849	548	1996-12-31	PRIJEM	\N	141	31060	UROK	\N	\N
3548850	548	1997-01-31	PRIJEM	\N	122	27718	UROK	\N	\N
3548851	548	1997-02-28	PRIJEM	\N	124	30139	UROK	\N	\N
3548852	548	1997-03-31	PRIJEM	\N	137	32192	UROK	\N	\N
3548853	548	1997-04-30	PRIJEM	\N	132	26100	UROK	\N	\N
3548854	548	1997-05-31	PRIJEM	\N	114	24131	UROK	\N	\N
3548855	548	1997-06-30	PRIJEM	\N	98	19595	UROK	\N	\N
3548856	548	1997-07-31	PRIJEM	\N	95	23706	UROK	\N	\N
3548857	548	1997-08-31	PRIJEM	\N	102	21625	UROK	\N	\N
3548858	548	1997-09-30	PRIJEM	\N	101	24642	UROK	\N	\N
3548859	548	1997-10-31	PRIJEM	\N	95	19474	UROK	\N	\N
3548860	548	1997-11-30	PRIJEM	\N	92	22482	UROK	\N	\N
3548861	548	1997-12-31	PRIJEM	\N	106	23304	UROK	\N	\N
3548862	548	1998-01-31	PRIJEM	\N	88	18769	UROK	\N	\N
3548863	548	1998-02-28	PRIJEM	\N	79	16244	UROK	\N	\N
3548864	548	1998-03-31	PRIJEM	\N	81	20942	UROK	\N	\N
3548865	548	1998-04-30	PRIJEM	\N	91	20850	UROK	\N	\N
3548866	548	1998-05-31	PRIJEM	\N	96	23562	UROK	\N	\N
3548867	548	1998-06-30	PRIJEM	\N	93	18432	UROK	\N	\N
3548868	548	1998-07-31	PRIJEM	\N	74	14982	UROK	\N	\N
3548869	548	1998-08-31	PRIJEM	\N	64	14663	UROK	\N	\N
3548870	548	1998-09-30	PRIJEM	\N	60	13339	UROK	\N	\N
3548871	548	1998-10-31	PRIJEM	\N	69	18024	UROK	\N	\N
3548872	548	1998-11-30	PRIJEM	\N	64	13004	UROK	\N	\N
3548873	548	1998-12-31	PRIJEM	\N	66	16686	UROK	\N	\N
3548874	549	1996-12-31	PRIJEM	\N	15	22767	UROK	\N	\N
3548875	549	1997-01-31	PRIJEM	\N	101	30103	UROK	\N	\N
3548876	549	1997-02-28	PRIJEM	\N	127	33465	UROK	\N	\N
3548877	549	1997-03-31	PRIJEM	\N	144	40243	UROK	\N	\N
3548878	549	1997-04-30	PRIJEM	\N	181	36096	UROK	\N	\N
3548879	549	1997-05-31	PRIJEM	\N	170	38395	UROK	\N	\N
3548880	549	1997-06-30	PRIJEM	\N	187	40248	UROK	\N	\N
3548881	549	1997-07-31	PRIJEM	\N	187	42964	UROK	\N	\N
3548882	549	1997-08-31	PRIJEM	\N	194	42787	UROK	\N	\N
3548883	549	1997-09-30	PRIJEM	\N	192	42609	UROK	\N	\N
3548884	549	1997-10-31	PRIJEM	\N	190	41628	UROK	\N	\N
3548885	549	1997-11-30	PRIJEM	\N	180	37038	UROK	\N	\N
3548886	549	1997-12-31	PRIJEM	\N	170	35754	UROK	\N	\N
3548887	549	1998-01-31	PRIJEM	\N	133	16197	UROK	\N	\N
3548888	549	1998-02-28	PRIJEM	\N	87	22713	UROK	\N	\N
3548889	549	1998-03-31	PRIJEM	\N	113	27256	UROK	\N	\N
3548890	549	1998-04-30	PRIJEM	\N	126	24191	UROK	\N	\N
3548891	549	1998-05-31	PRIJEM	\N	118	28338	UROK	\N	\N
3548892	549	1998-06-30	PRIJEM	\N	139	31123	UROK	\N	\N
3548893	549	1998-07-31	PRIJEM	\N	135	28888	UROK	\N	\N
3548894	549	1998-08-31	PRIJEM	\N	130	29948	UROK	\N	\N
3548895	549	1998-09-30	PRIJEM	\N	133	31010	UROK	\N	\N
3548896	549	1998-10-31	PRIJEM	\N	137	31576	UROK	\N	\N
3548897	549	1998-11-30	PRIJEM	\N	131	30237	UROK	\N	\N
3548898	549	1998-12-31	PRIJEM	\N	142	33525	UROK	\N	\N
3548899	550	1998-02-28	PRIJEM	\N	53	23573	UROK	\N	\N
3548900	550	1998-03-31	PRIJEM	\N	110	28216	UROK	\N	\N
3548901	550	1998-04-30	PRIJEM	\N	119	26905	UROK	\N	\N
3548902	550	1998-05-31	PRIJEM	\N	103	21397	UROK	\N	\N
3548903	550	1998-06-30	PRIJEM	\N	72	15888	UROK	\N	\N
3548904	550	1998-07-31	PRIJEM	\N	78	19336	UROK	\N	\N
3548905	550	1998-08-31	PRIJEM	\N	78	18064	UROK	\N	\N
3548906	550	1998-09-30	PRIJEM	\N	89	16022	UROK	\N	\N
3548907	550	1998-10-31	PRIJEM	\N	59	12250	UROK	\N	\N
3548908	550	1998-11-30	PRIJEM	\N	60	14340	UROK	\N	\N
3548909	550	1998-12-31	PRIJEM	\N	74	18283	UROK	\N	\N
3548910	552	1994-01-31	PRIJEM	\N	59	16177	UROK	\N	\N
3548911	552	1994-02-28	PRIJEM	\N	74	19285	UROK	\N	\N
3548912	552	1994-03-31	PRIJEM	\N	88	22306	UROK	\N	\N
3548913	552	1994-04-30	PRIJEM	\N	100	25439	UROK	\N	\N
3548914	552	1994-05-31	PRIJEM	\N	109	26181	UROK	\N	\N
3548915	552	1994-06-30	PRIJEM	\N	103	22257	UROK	\N	\N
3548916	552	1994-07-31	PRIJEM	\N	100	25391	UROK	\N	\N
3548917	552	1994-08-31	PRIJEM	\N	107	25531	UROK	\N	\N
3548918	552	1994-09-30	PRIJEM	\N	114	28678	UROK	\N	\N
3548919	552	1994-10-31	PRIJEM	\N	112	23923	UROK	\N	\N
3548920	552	1994-11-30	PRIJEM	\N	97	22654	UROK	\N	\N
3548921	552	1994-12-31	PRIJEM	\N	94	22231	UROK	\N	\N
3548922	552	1995-01-31	PRIJEM	\N	81	14525	UROK	\N	\N
3548923	552	1995-02-28	PRIJEM	\N	67	17625	UROK	\N	\N
3548924	552	1995-03-31	PRIJEM	\N	81	20739	UROK	\N	\N
3548925	552	1995-04-30	PRIJEM	\N	92	22765	UROK	\N	\N
3548926	552	1995-05-31	PRIJEM	\N	98	23996	UROK	\N	\N
3548927	552	1995-06-30	PRIJEM	\N	88	16758	UROK	\N	\N
3548928	552	1995-07-31	PRIJEM	\N	75	18266	UROK	\N	\N
3548929	552	1995-08-31	PRIJEM	\N	80	19480	UROK	\N	\N
3548930	552	1995-09-30	PRIJEM	\N	87	19000	UROK	\N	\N
3548931	552	1995-10-31	PRIJEM	\N	86	20579	UROK	\N	\N
3548932	552	1995-11-30	PRIJEM	\N	85	19498	UROK	\N	\N
3548933	552	1995-12-31	PRIJEM	\N	80	16892	UROK	\N	\N
3548934	552	1996-01-31	PRIJEM	\N	66	13911	UROK	\N	\N
3548935	552	1996-02-29	PRIJEM	\N	62	13726	UROK	\N	\N
3548936	552	1996-03-31	PRIJEM	\N	64	16823	UROK	\N	\N
3548937	552	1996-04-30	PRIJEM	\N	77	19933	UROK	\N	\N
3548938	552	1996-05-31	PRIJEM	\N	91	21958	UROK	\N	\N
3548939	552	1996-06-30	PRIJEM	\N	96	22887	UROK	\N	\N
3548940	552	1996-07-31	PRIJEM	\N	104	23425	UROK	\N	\N
3548941	552	1996-08-31	PRIJEM	\N	103	24862	UROK	\N	\N
3548942	552	1996-09-30	PRIJEM	\N	98	22993	UROK	\N	\N
3548943	552	1996-10-31	PRIJEM	\N	82	17189	UROK	\N	\N
3548944	552	1996-11-30	PRIJEM	\N	78	20300	UROK	\N	\N
3548945	552	1996-12-31	PRIJEM	\N	90	18513	UROK	\N	\N
3548946	552	1997-01-31	PRIJEM	\N	74	14590	UROK	\N	\N
3548947	552	1997-02-28	PRIJEM	\N	67	17690	UROK	\N	\N
3548948	552	1997-03-31	PRIJEM	\N	78	19601	UROK	\N	\N
3548949	552	1997-04-30	PRIJEM	\N	88	22723	UROK	\N	\N
3548950	552	1997-05-31	PRIJEM	\N	101	25857	UROK	\N	\N
3548951	552	1997-06-30	PRIJEM	\N	105	23295	UROK	\N	\N
3548952	552	1997-07-31	PRIJEM	\N	102	22631	UROK	\N	\N
3548953	552	1997-08-31	PRIJEM	\N	90	18394	UROK	\N	\N
3548954	552	1997-09-30	PRIJEM	\N	82	21310	UROK	\N	\N
3548955	552	1997-10-31	PRIJEM	\N	91	21874	UROK	\N	\N
3548956	552	1997-11-30	PRIJEM	\N	96	23203	UROK	\N	\N
3548957	552	1997-12-31	PRIJEM	\N	97	18434	UROK	\N	\N
3548958	552	1998-01-31	PRIJEM	\N	66	13454	UROK	\N	\N
3548959	552	1998-02-28	PRIJEM	\N	59	13966	UROK	\N	\N
3548960	552	1998-03-31	PRIJEM	\N	63	16163	UROK	\N	\N
3548961	552	1998-04-30	PRIJEM	\N	70	14966	UROK	\N	\N
3548962	552	1998-05-31	PRIJEM	\N	67	16766	UROK	\N	\N
3548963	552	1998-06-30	PRIJEM	\N	75	19874	UROK	\N	\N
3548964	552	1998-07-31	PRIJEM	\N	81	19388	UROK	\N	\N
3548965	552	1998-08-31	PRIJEM	\N	84	20606	UROK	\N	\N
3548966	552	1998-09-30	PRIJEM	\N	78	15717	UROK	\N	\N
3548967	552	1998-10-31	PRIJEM	\N	64	13415	UROK	\N	\N
3548968	552	1998-11-30	PRIJEM	\N	57	13705	UROK	\N	\N
3548969	552	1998-12-31	PRIJEM	\N	65	16303	UROK	\N	\N
3548970	555	1993-06-30	PRIJEM	\N	69	29171	UROK	\N	\N
3548971	555	1993-07-31	PRIJEM	\N	149	40688	UROK	\N	\N
3548972	555	1993-08-31	PRIJEM	\N	179	44735	UROK	\N	\N
3548973	555	1993-09-30	PRIJEM	\N	187	45290	UROK	\N	\N
3548974	555	1993-10-31	PRIJEM	\N	193	47180	UROK	\N	\N
3548975	555	1993-11-30	PRIJEM	\N	178	41643	UROK	\N	\N
3548976	555	1993-12-31	PRIJEM	\N	178	43941	UROK	\N	\N
3548977	555	1994-01-31	PRIJEM	\N	180	38206	UROK	\N	\N
3548978	555	1994-02-28	PRIJEM	\N	189	50680	UROK	\N	\N
3548979	555	1994-03-31	PRIJEM	\N	196	44062	UROK	\N	\N
3548980	555	1994-04-30	PRIJEM	\N	199	50746	UROK	\N	\N
3548981	555	1994-05-31	PRIJEM	\N	219	55351	UROK	\N	\N
3548982	555	1994-06-30	PRIJEM	\N	246	59816	UROK	\N	\N
3548983	555	1994-07-31	PRIJEM	\N	246	60647	UROK	\N	\N
3548984	555	1994-08-31	PRIJEM	\N	255	59087	UROK	\N	\N
3548985	555	1994-09-30	PRIJEM	\N	217	53290	UROK	\N	\N
3548986	555	1994-10-31	PRIJEM	\N	193	45368	UROK	\N	\N
3548987	555	1994-11-30	PRIJEM	\N	167	41420	UROK	\N	\N
3548988	555	1994-12-31	PRIJEM	\N	197	52536	UROK	\N	\N
3548989	555	1995-01-31	PRIJEM	\N	179	42000	UROK	\N	\N
3548990	555	1995-02-28	PRIJEM	\N	173	44858	UROK	\N	\N
3548991	555	1995-03-31	PRIJEM	\N	183	46726	UROK	\N	\N
3548992	555	1995-04-30	PRIJEM	\N	171	42082	UROK	\N	\N
3548993	555	1995-05-31	PRIJEM	\N	167	41834	UROK	\N	\N
3548994	555	1995-06-30	PRIJEM	\N	155	44608	UROK	\N	\N
3548995	555	1995-07-31	PRIJEM	\N	151	32544	UROK	\N	\N
3548996	555	1995-08-31	PRIJEM	\N	143	38072	UROK	\N	\N
3548997	555	1995-09-30	PRIJEM	\N	154	40012	UROK	\N	\N
3548998	555	1995-10-31	PRIJEM	\N	162	38759	UROK	\N	\N
3548999	555	1995-11-30	PRIJEM	\N	142	36086	UROK	\N	\N
3549000	555	1995-12-31	PRIJEM	\N	170	47976	UROK	\N	\N
3549001	555	1996-01-31	PRIJEM	\N	121	17282	UROK	\N	\N
3549002	555	1996-02-29	PRIJEM	\N	102	26470	UROK	\N	\N
3549003	555	1996-03-31	PRIJEM	\N	142	20397	UROK	\N	\N
3549004	555	1996-04-30	PRIJEM	\N	116	17399	UROK	\N	\N
3549005	555	1996-05-31	PRIJEM	\N	101	27885	UROK	\N	\N
3549006	555	1996-06-30	PRIJEM	\N	151	15555	UROK	\N	\N
3549007	555	1996-07-31	PRIJEM	\N	102	30542	UROK	\N	\N
3549008	555	1996-08-31	PRIJEM	\N	140	17468	UROK	\N	\N
3549009	555	1996-09-30	PRIJEM	\N	109	32462	UROK	\N	\N
3549010	555	1996-10-31	PRIJEM	\N	151	18298	UROK	\N	\N
3549011	555	1996-11-30	PRIJEM	\N	112	33296	UROK	\N	\N
3549012	555	1996-12-31	PRIJEM	\N	171	21586	UROK	\N	\N
3549013	555	1997-01-31	PRIJEM	\N	108	26080	UROK	\N	\N
3549014	555	1997-02-28	PRIJEM	\N	122	15287	UROK	\N	\N
3549015	555	1997-03-31	PRIJEM	\N	103	30275	UROK	\N	\N
3549016	555	1997-04-30	PRIJEM	\N	139	21000	UROK	\N	\N
3549017	555	1997-05-31	PRIJEM	\N	122	35407	UROK	\N	\N
3549018	555	1997-06-30	PRIJEM	\N	160	16586	UROK	\N	\N
3549019	555	1997-07-31	PRIJEM	\N	107	30679	UROK	\N	\N
3549020	555	1997-08-31	PRIJEM	\N	120	17784	UROK	\N	\N
3549021	555	1997-09-30	PRIJEM	\N	111	29080	UROK	\N	\N
3549022	555	1997-10-31	PRIJEM	\N	115	16181	UROK	\N	\N
3549023	555	1997-11-30	PRIJEM	\N	101	28267	UROK	\N	\N
3549024	555	1997-12-31	PRIJEM	\N	133	21019	UROK	\N	\N
3549025	555	1998-01-31	PRIJEM	\N	109	27213	UROK	\N	\N
3549026	555	1998-02-28	PRIJEM	\N	146	42244	UROK	\N	\N
3549027	555	1998-03-31	PRIJEM	\N	153	19982	UROK	\N	\N
3549028	555	1998-04-30	PRIJEM	\N	117	34984	UROK	\N	\N
3549029	555	1998-05-31	PRIJEM	\N	123	20292	UROK	\N	\N
3549030	555	1998-06-30	PRIJEM	\N	102	19014	UROK	\N	\N
3549031	555	1998-07-31	PRIJEM	\N	84	18684	UROK	\N	\N
3549032	555	1998-08-31	PRIJEM	\N	85	20154	UROK	\N	\N
3549033	555	1998-09-30	PRIJEM	\N	89	20728	UROK	\N	\N
3549034	555	1998-10-31	PRIJEM	\N	90	21803	UROK	\N	\N
3549035	555	1998-11-30	PRIJEM	\N	92	22380	UROK	\N	\N
3549036	555	1998-12-31	PRIJEM	\N	104	23504	UROK	\N	\N
3549037	557	1996-04-30	PRIJEM	\N	35	13960	UROK	\N	\N
3549038	557	1996-05-31	PRIJEM	\N	64	14464	UROK	\N	\N
3549039	557	1996-06-30	PRIJEM	\N	62	13346	UROK	\N	\N
3549040	557	1996-07-31	PRIJEM	\N	58	14415	UROK	\N	\N
3549041	557	1996-08-31	PRIJEM	\N	58	13143	UROK	\N	\N
3549042	557	1996-09-30	PRIJEM	\N	57	14211	UROK	\N	\N
3549043	557	1996-10-31	PRIJEM	\N	67	15288	UROK	\N	\N
3549044	557	1996-11-30	PRIJEM	\N	71	16369	UROK	\N	\N
3549045	557	1996-12-31	PRIJEM	\N	74	15833	UROK	\N	\N
3549046	557	1997-01-31	PRIJEM	\N	64	13727	UROK	\N	\N
3549047	557	1997-02-28	PRIJEM	\N	62	13840	UROK	\N	\N
3549048	557	1997-03-31	PRIJEM	\N	65	14915	UROK	\N	\N
3549049	557	1997-04-30	PRIJEM	\N	69	15995	UROK	\N	\N
3549050	557	1997-05-31	PRIJEM	\N	69	17074	UROK	\N	\N
3549051	557	1997-06-30	PRIJEM	\N	78	17923	UROK	\N	\N
3549052	557	1997-07-31	PRIJEM	\N	82	19015	UROK	\N	\N
3549053	557	1997-08-31	PRIJEM	\N	84	19179	UROK	\N	\N
3549054	557	1997-09-30	PRIJEM	\N	87	20276	UROK	\N	\N
3549055	557	1997-10-31	PRIJEM	\N	87	21374	UROK	\N	\N
3549056	557	1997-11-30	PRIJEM	\N	91	22475	UROK	\N	\N
3549057	557	1997-12-31	PRIJEM	\N	100	23135	UROK	\N	\N
3549058	557	1998-01-31	PRIJEM	\N	86	18922	UROK	\N	\N
3549059	557	1998-02-28	PRIJEM	\N	86	20018	UROK	\N	\N
3549060	557	1998-03-31	PRIJEM	\N	87	20636	UROK	\N	\N
3549061	557	1998-04-30	PRIJEM	\N	93	21739	UROK	\N	\N
3549062	557	1998-05-31	PRIJEM	\N	95	21974	UROK	\N	\N
3549063	557	1998-06-30	PRIJEM	\N	76	15860	UROK	\N	\N
3549064	557	1998-07-31	PRIJEM	\N	68	16939	UROK	\N	\N
3549065	557	1998-08-31	PRIJEM	\N	73	16822	UROK	\N	\N
3549066	557	1998-09-30	PRIJEM	\N	72	17904	UROK	\N	\N
3549067	557	1998-10-31	PRIJEM	\N	81	17525	UROK	\N	\N
3549068	557	1998-11-30	PRIJEM	\N	80	18615	UROK	\N	\N
3549069	557	1998-12-31	PRIJEM	\N	79	19495	UROK	\N	\N
3549070	558	1996-07-31	PRIJEM	\N	35	15171	UROK	\N	\N
3549071	558	1996-08-31	PRIJEM	\N	82	22988	UROK	\N	\N
3549072	558	1996-09-30	PRIJEM	\N	113	30037	UROK	\N	\N
3549073	558	1996-10-31	PRIJEM	\N	137	34810	UROK	\N	\N
3549074	558	1996-11-30	PRIJEM	\N	128	27418	UROK	\N	\N
3549075	558	1996-12-31	PRIJEM	\N	106	24976	UROK	\N	\N
3549076	558	1997-01-31	PRIJEM	\N	88	12508	UROK	\N	\N
3549077	558	1997-02-28	PRIJEM	\N	79	22352	UROK	\N	\N
3549078	558	1997-03-31	PRIJEM	\N	91	22367	UROK	\N	\N
3549079	558	1997-04-30	PRIJEM	\N	84	15115	UROK	\N	\N
3549080	558	1997-05-31	PRIJEM	\N	69	16448	UROK	\N	\N
3549081	558	1997-06-30	PRIJEM	\N	100	26441	UROK	\N	\N
3549082	558	1997-07-31	PRIJEM	\N	122	30727	UROK	\N	\N
3549083	558	1997-08-31	PRIJEM	\N	133	33024	UROK	\N	\N
3549084	558	1997-09-30	PRIJEM	\N	143	35732	UROK	\N	\N
3549085	558	1997-10-31	PRIJEM	\N	142	34639	UROK	\N	\N
3549086	558	1997-11-30	PRIJEM	\N	146	36349	UROK	\N	\N
3549087	558	1997-12-31	PRIJEM	\N	153	37095	UROK	\N	\N
3549088	558	1998-01-31	PRIJEM	\N	96	13075	UROK	\N	\N
3549089	558	1998-02-28	PRIJEM	\N	76	19415	UROK	\N	\N
3549090	558	1998-03-31	PRIJEM	\N	98	22818	UROK	\N	\N
3549091	558	1998-04-30	PRIJEM	\N	118	30000	UROK	\N	\N
3549092	558	1998-05-31	PRIJEM	\N	125	30790	UROK	\N	\N
3549093	558	1998-06-30	PRIJEM	\N	124	27286	UROK	\N	\N
3549094	558	1998-07-31	PRIJEM	\N	119	30270	UROK	\N	\N
3549095	558	1998-08-31	PRIJEM	\N	127	32061	UROK	\N	\N
3549096	558	1998-09-30	PRIJEM	\N	144	32830	UROK	\N	\N
3549097	558	1998-10-31	PRIJEM	\N	147	37342	UROK	\N	\N
3549098	558	1998-11-30	PRIJEM	\N	176	43422	UROK	\N	\N
3549099	558	1998-12-31	PRIJEM	\N	189	47064	UROK	\N	\N
3549100	559	1993-03-31	PRIJEM	\N	14	5986	UROK	\N	\N
3549101	559	1993-04-30	PRIJEM	\N	25	11683	UROK	\N	\N
3549102	559	1993-05-31	PRIJEM	\N	25	17380	UROK	\N	\N
3549103	559	1993-06-30	PRIJEM	\N	25	23077	UROK	\N	\N
3549104	559	1993-07-31	PRIJEM	\N	28	28777	UROK	\N	\N
3549105	559	1993-08-31	PRIJEM	\N	118	29977	UROK	\N	\N
3549106	559	1993-09-30	PRIJEM	\N	119	30178	UROK	\N	\N
3549107	559	1993-10-31	PRIJEM	\N	118	29778	UROK	\N	\N
3549108	559	1993-11-30	PRIJEM	\N	128	32489	UROK	\N	\N
3549109	559	1993-12-31	PRIJEM	\N	123	27145	UROK	\N	\N
3549110	559	1994-01-31	PRIJEM	\N	95	18812	UROK	\N	\N
3549111	559	1994-02-28	PRIJEM	\N	86	22381	UROK	\N	\N
3549112	559	1994-03-31	PRIJEM	\N	94	21417	UROK	\N	\N
3549113	559	1994-04-30	PRIJEM	\N	97	24997	UROK	\N	\N
3549114	559	1994-05-31	PRIJEM	\N	112	27492	UROK	\N	\N
3549115	559	1994-06-30	PRIJEM	\N	121	27495	UROK	\N	\N
3549116	559	1994-07-31	PRIJEM	\N	118	26976	UROK	\N	\N
3549117	559	1994-08-31	PRIJEM	\N	118	27176	UROK	\N	\N
3549118	559	1994-09-30	PRIJEM	\N	118	25977	UROK	\N	\N
3549119	559	1994-10-31	PRIJEM	\N	116	29275	UROK	\N	\N
3549120	559	1994-11-30	PRIJEM	\N	125	26782	UROK	\N	\N
3549121	559	1994-12-31	PRIJEM	\N	105	24600	UROK	\N	\N
3549122	559	1995-01-31	PRIJEM	\N	85	17367	UROK	\N	\N
3549123	559	1995-02-28	PRIJEM	\N	80	20930	UROK	\N	\N
3549124	559	1995-03-31	PRIJEM	\N	95	24507	UROK	\N	\N
3549125	559	1995-04-30	PRIJEM	\N	109	26999	UROK	\N	\N
3549126	559	1995-05-31	PRIJEM	\N	114	26515	UROK	\N	\N
3549127	559	1995-06-30	PRIJEM	\N	97	20855	UROK	\N	\N
3549128	559	1995-07-31	PRIJEM	\N	89	18406	UROK	\N	\N
3549129	559	1995-08-31	PRIJEM	\N	83	20511	UROK	\N	\N
3549130	559	1995-09-30	PRIJEM	\N	89	20982	UROK	\N	\N
3549131	559	1995-10-31	PRIJEM	\N	95	24259	UROK	\N	\N
3549132	559	1995-11-30	PRIJEM	\N	101	22742	UROK	\N	\N
3549133	559	1995-12-31	PRIJEM	\N	87	18912	UROK	\N	\N
3549134	559	1996-01-31	PRIJEM	\N	73	16157	UROK	\N	\N
3549135	559	1996-02-29	PRIJEM	\N	68	16548	UROK	\N	\N
3549136	559	1996-03-31	PRIJEM	\N	68	15198	UROK	\N	\N
3549137	559	1996-04-30	PRIJEM	\N	66	16046	UROK	\N	\N
3549138	559	1996-05-31	PRIJEM	\N	72	18501	UROK	\N	\N
3549139	559	1996-06-30	PRIJEM	\N	74	16958	UROK	\N	\N
3549140	559	1996-07-31	PRIJEM	\N	75	18674	UROK	\N	\N
3549141	559	1996-08-31	PRIJEM	\N	78	19135	UROK	\N	\N
3549142	559	1996-09-30	PRIJEM	\N	75	17292	UROK	\N	\N
3549143	559	1996-10-31	PRIJEM	\N	71	17145	UROK	\N	\N
3549144	559	1996-11-30	PRIJEM	\N	78	16785	UROK	\N	\N
3549145	559	1996-12-31	PRIJEM	\N	72	13440	UROK	\N	\N
3549146	559	1997-01-31	PRIJEM	\N	60	14902	UROK	\N	\N
3549147	559	1997-02-28	PRIJEM	\N	68	18452	UROK	\N	\N
3549148	559	1997-03-31	PRIJEM	\N	83	15518	UROK	\N	\N
3549149	559	1997-04-30	PRIJEM	\N	71	19071	UROK	\N	\N
3549150	559	1997-05-31	PRIJEM	\N	76	20309	UROK	\N	\N
3549151	559	1997-06-30	PRIJEM	\N	78	20769	UROK	\N	\N
3549152	559	1997-07-31	PRIJEM	\N	93	24345	UROK	\N	\N
3549153	559	1997-08-31	PRIJEM	\N	84	19811	UROK	\N	\N
3549154	559	1997-09-30	PRIJEM	\N	79	21212	UROK	\N	\N
3549155	559	1997-10-31	PRIJEM	\N	82	20776	UROK	\N	\N
3549156	559	1997-11-30	PRIJEM	\N	76	19935	UROK	\N	\N
3549157	559	1997-12-31	PRIJEM	\N	83	21850	UROK	\N	\N
3549158	559	1998-01-31	PRIJEM	\N	74	15766	UROK	\N	\N
3549159	559	1998-02-28	PRIJEM	\N	68	17237	UROK	\N	\N
3549160	559	1998-03-31	PRIJEM	\N	70	17029	UROK	\N	\N
3549161	559	1998-04-30	PRIJEM	\N	77	20588	UROK	\N	\N
3549162	559	1998-05-31	PRIJEM	\N	92	24162	UROK	\N	\N
3549163	559	1998-06-30	PRIJEM	\N	91	18815	UROK	\N	\N
3549164	559	1998-07-31	PRIJEM	\N	84	22381	UROK	\N	\N
3549165	559	1998-08-31	PRIJEM	\N	99	25962	UROK	\N	\N
3549166	559	1998-09-30	PRIJEM	\N	69	17514	UROK	\N	\N
3549167	559	1998-10-31	PRIJEM	\N	78	21075	UROK	\N	\N
3549168	559	1998-11-30	PRIJEM	\N	93	24650	UROK	\N	\N
3549169	559	1998-12-31	PRIJEM	\N	103	26786	UROK	\N	\N
3549170	560	1995-09-30	PRIJEM	\N	34	20463	UROK	\N	\N
3549171	560	1995-10-31	PRIJEM	\N	98	27790	UROK	\N	\N
3549172	560	1995-11-30	PRIJEM	\N	122	31341	UROK	\N	\N
3549173	560	1995-12-31	PRIJEM	\N	138	35623	UROK	\N	\N
3549174	560	1996-01-31	PRIJEM	\N	140	28409	UROK	\N	\N
3549175	560	1996-02-29	PRIJEM	\N	133	32074	UROK	\N	\N
3549176	560	1996-03-31	PRIJEM	\N	134	30239	UROK	\N	\N
3549177	560	1996-04-30	PRIJEM	\N	133	34204	UROK	\N	\N
3549178	560	1996-05-31	PRIJEM	\N	148	36084	UROK	\N	\N
3549179	560	1996-06-30	PRIJEM	\N	132	29462	UROK	\N	\N
3549180	560	1996-07-31	PRIJEM	\N	137	35030	UROK	\N	\N
3549181	560	1996-08-31	PRIJEM	\N	153	37514	UROK	\N	\N
3549182	560	1996-09-30	PRIJEM	\N	152	35097	UROK	\N	\N
3549183	560	1996-10-31	PRIJEM	\N	144	34072	UROK	\N	\N
3549184	560	1996-11-30	PRIJEM	\N	143	34747	UROK	\N	\N
3549185	560	1996-12-31	PRIJEM	\N	152	33346	UROK	\N	\N
3549186	560	1997-01-31	PRIJEM	\N	117	17894	UROK	\N	\N
3549187	560	1997-02-28	PRIJEM	\N	94	24420	UROK	\N	\N
3549188	560	1997-03-31	PRIJEM	\N	120	31572	UROK	\N	\N
3549189	560	1997-04-30	PRIJEM	\N	117	26420	UROK	\N	\N
3549190	560	1997-05-31	PRIJEM	\N	98	21749	UROK	\N	\N
3549191	560	1997-06-30	PRIJEM	\N	95	20791	UROK	\N	\N
3549192	560	1997-07-31	PRIJEM	\N	88	21110	UROK	\N	\N
3549193	560	1997-08-31	PRIJEM	\N	90	21332	UROK	\N	\N
3549194	560	1997-09-30	PRIJEM	\N	101	24264	UROK	\N	\N
3549195	560	1997-10-31	PRIJEM	\N	105	24800	UROK	\N	\N
3549196	560	1997-11-30	PRIJEM	\N	117	27648	UROK	\N	\N
3549197	560	1997-12-31	PRIJEM	\N	122	26317	UROK	\N	\N
3549198	560	1998-01-31	PRIJEM	\N	92	18239	UROK	\N	\N
3549199	560	1998-02-28	PRIJEM	\N	100	23771	UROK	\N	\N
3549200	560	1998-03-31	PRIJEM	\N	94	21597	UROK	\N	\N
3549201	560	1998-04-30	PRIJEM	\N	101	24029	UROK	\N	\N
3549202	560	1998-05-31	PRIJEM	\N	115	27876	UROK	\N	\N
3549203	560	1998-06-30	PRIJEM	\N	116	20039	UROK	\N	\N
3549204	560	1998-07-31	PRIJEM	\N	82	17652	UROK	\N	\N
3549205	560	1998-08-31	PRIJEM	\N	86	20670	UROK	\N	\N
3549206	560	1998-09-30	PRIJEM	\N	109	26910	UROK	\N	\N
3549207	560	1998-10-31	PRIJEM	\N	121	30963	UROK	\N	\N
3549208	560	1998-11-30	PRIJEM	\N	125	29220	UROK	\N	\N
3549209	560	1998-12-31	PRIJEM	\N	130	29597	UROK	\N	\N
3549210	561	1997-05-31	PRIJEM	\N	98	30565	UROK	\N	\N
3549211	561	1997-06-30	PRIJEM	\N	111	22343	UROK	\N	\N
3549212	561	1997-07-31	PRIJEM	\N	101	24660	UROK	\N	\N
3549213	561	1997-08-31	PRIJEM	\N	104	24880	UROK	\N	\N
3549214	561	1997-09-30	PRIJEM	\N	109	26306	UROK	\N	\N
3549215	561	1997-10-31	PRIJEM	\N	102	24284	UROK	\N	\N
3549216	561	1997-11-30	PRIJEM	\N	106	25807	UROK	\N	\N
3549217	561	1997-12-31	PRIJEM	\N	121	29995	UROK	\N	\N
3549218	561	1998-01-31	PRIJEM	\N	99	18300	UROK	\N	\N
3549219	561	1998-02-28	PRIJEM	\N	91	22808	UROK	\N	\N
3549220	561	1998-03-31	PRIJEM	\N	101	24925	UROK	\N	\N
3549221	561	1998-04-30	PRIJEM	\N	114	27796	UROK	\N	\N
3549222	561	1998-05-31	PRIJEM	\N	113	27525	UROK	\N	\N
3549223	561	1998-06-30	PRIJEM	\N	105	24596	UROK	\N	\N
3549224	561	1998-07-31	PRIJEM	\N	111	27723	UROK	\N	\N
3549225	561	1998-08-31	PRIJEM	\N	116	27436	UROK	\N	\N
3549226	561	1998-09-30	PRIJEM	\N	107	23719	UROK	\N	\N
3549227	561	1998-10-31	PRIJEM	\N	105	23700	UROK	\N	\N
3549228	561	1998-11-30	PRIJEM	\N	104	25820	UROK	\N	\N
3549229	561	1998-12-31	PRIJEM	\N	102	24938	UROK	\N	\N
3549230	563	1993-08-31	PRIJEM	\N	13	15881	UROK	\N	\N
3549231	563	1993-09-30	PRIJEM	\N	72	22721	UROK	\N	\N
3549232	563	1993-10-31	PRIJEM	\N	100	28789	UROK	\N	\N
3549233	563	1993-11-30	PRIJEM	\N	122	31679	UROK	\N	\N
3549234	563	1993-12-31	PRIJEM	\N	145	31930	UROK	\N	\N
3549235	563	1994-01-31	PRIJEM	\N	138	32177	UROK	\N	\N
3549236	563	1994-02-28	PRIJEM	\N	136	29220	UROK	\N	\N
3549237	563	1994-03-31	PRIJEM	\N	126	28154	UROK	\N	\N
3549238	563	1994-04-30	PRIJEM	\N	119	25382	UROK	\N	\N
3549239	563	1994-05-31	PRIJEM	\N	109	26399	UROK	\N	\N
3549240	563	1994-06-30	PRIJEM	\N	119	26511	UROK	\N	\N
3549241	563	1994-07-31	PRIJEM	\N	105	23125	UROK	\N	\N
3549242	563	1994-08-31	PRIJEM	\N	103	25036	UROK	\N	\N
3549243	563	1994-09-30	PRIJEM	\N	110	26154	UROK	\N	\N
3549244	563	1994-10-31	PRIJEM	\N	110	24672	UROK	\N	\N
3549245	563	1994-11-30	PRIJEM	\N	104	22985	UROK	\N	\N
3549246	563	1994-12-31	PRIJEM	\N	103	22079	UROK	\N	\N
3549247	563	1995-01-31	PRIJEM	\N	90	16578	UROK	\N	\N
3549248	563	1995-02-28	PRIJEM	\N	77	20163	UROK	\N	\N
3549249	563	1995-03-31	PRIJEM	\N	86	21457	UROK	\N	\N
3549250	563	1995-04-30	PRIJEM	\N	91	17457	UROK	\N	\N
3549251	563	1995-05-31	PRIJEM	\N	77	18542	UROK	\N	\N
3549252	563	1995-06-30	PRIJEM	\N	91	23225	UROK	\N	\N
3549253	563	1995-07-31	PRIJEM	\N	99	22033	UROK	\N	\N
3549254	563	1995-08-31	PRIJEM	\N	90	20531	UROK	\N	\N
3549255	563	1995-09-30	PRIJEM	\N	94	24033	UROK	\N	\N
3549256	563	1995-10-31	PRIJEM	\N	108	27350	UROK	\N	\N
3549257	563	1995-11-30	PRIJEM	\N	96	19254	UROK	\N	\N
3549258	563	1995-12-31	PRIJEM	\N	93	23840	UROK	\N	\N
3549259	563	1996-01-31	PRIJEM	\N	103	25351	UROK	\N	\N
3549260	563	1996-02-29	PRIJEM	\N	114	22973	UROK	\N	\N
3549261	563	1996-03-31	PRIJEM	\N	96	23378	UROK	\N	\N
3549262	563	1996-04-30	PRIJEM	\N	116	25303	UROK	\N	\N
3549263	563	1996-05-31	PRIJEM	\N	96	24507	UROK	\N	\N
3549264	563	1996-06-30	PRIJEM	\N	107	26006	UROK	\N	\N
3549265	563	1996-07-31	PRIJEM	\N	103	24117	UROK	\N	\N
3549266	563	1996-08-31	PRIJEM	\N	105	25230	UROK	\N	\N
3549267	563	1996-09-30	PRIJEM	\N	106	25644	UROK	\N	\N
3549268	563	1996-10-31	PRIJEM	\N	113	28166	UROK	\N	\N
3549269	563	1996-11-30	PRIJEM	\N	123	30497	UROK	\N	\N
3549270	563	1996-12-31	PRIJEM	\N	140	33129	UROK	\N	\N
3549271	563	1997-01-31	PRIJEM	\N	150	37687	UROK	\N	\N
3549272	563	1997-02-28	PRIJEM	\N	158	38353	UROK	\N	\N
3549273	563	1997-03-31	PRIJEM	\N	167	41429	UROK	\N	\N
3549274	563	1997-04-30	PRIJEM	\N	169	38507	UROK	\N	\N
3549275	563	1997-05-31	PRIJEM	\N	169	41984	UROK	\N	\N
3549276	563	1997-06-30	PRIJEM	\N	162	39838	UROK	\N	\N
3549277	563	1997-07-31	PRIJEM	\N	141	31588	UROK	\N	\N
3549278	563	1997-08-31	PRIJEM	\N	140	35236	UROK	\N	\N
3549279	563	1997-09-30	PRIJEM	\N	135	32579	UROK	\N	\N
3549280	563	1997-10-31	PRIJEM	\N	136	33424	UROK	\N	\N
3549281	563	1997-11-30	PRIJEM	\N	104	23436	UROK	\N	\N
3549282	563	1997-12-31	PRIJEM	\N	113	30141	UROK	\N	\N
3549283	563	1998-01-31	PRIJEM	\N	126	29976	UROK	\N	\N
3549284	563	1998-02-28	PRIJEM	\N	103	24088	UROK	\N	\N
3549285	563	1998-03-31	PRIJEM	\N	96	22192	UROK	\N	\N
3549286	563	1998-04-30	PRIJEM	\N	83	17784	UROK	\N	\N
3549287	563	1998-05-31	PRIJEM	\N	94	25586	UROK	\N	\N
3549288	563	1998-06-30	PRIJEM	\N	121	27499	UROK	\N	\N
3549289	563	1998-07-31	PRIJEM	\N	103	25911	UROK	\N	\N
3549290	563	1998-08-31	PRIJEM	\N	91	17910	UROK	\N	\N
3549291	563	1998-09-30	PRIJEM	\N	79	18497	UROK	\N	\N
3549292	563	1998-10-31	PRIJEM	\N	77	17582	UROK	\N	\N
3549293	563	1998-11-30	PRIJEM	\N	76	15767	UROK	\N	\N
3549294	563	1998-12-31	PRIJEM	\N	82	18941	UROK	\N	\N
3549295	564	1998-02-28	PRIJEM	\N	38	31904	UROK	\N	\N
3549296	564	1998-03-31	PRIJEM	\N	135	33522	UROK	\N	\N
3549297	564	1998-04-30	PRIJEM	\N	146	39251	UROK	\N	\N
3549298	564	1998-05-31	PRIJEM	\N	164	40098	UROK	\N	\N
3549299	564	1998-06-30	PRIJEM	\N	142	37272	UROK	\N	\N
3549300	564	1998-07-31	PRIJEM	\N	151	34323	UROK	\N	\N
3549301	564	1998-08-31	PRIJEM	\N	146	35030	UROK	\N	\N
3549302	564	1998-09-30	PRIJEM	\N	151	32642	UROK	\N	\N
3549303	564	1998-10-31	PRIJEM	\N	134	30776	UROK	\N	\N
3549304	564	1998-11-30	PRIJEM	\N	130	31966	UROK	\N	\N
3549305	564	1998-12-31	PRIJEM	\N	152	32410	UROK	\N	\N
3549306	565	1996-04-30	PRIJEM	\N	56	23567	UROK	\N	\N
3549307	565	1996-05-31	PRIJEM	\N	102	25409	UROK	\N	\N
3549308	565	1996-06-30	PRIJEM	\N	110	27260	UROK	\N	\N
3549309	565	1996-07-31	PRIJEM	\N	118	29118	UROK	\N	\N
3549310	565	1996-08-31	PRIJEM	\N	126	30984	UROK	\N	\N
3549311	565	1996-09-30	PRIJEM	\N	130	30614	UROK	\N	\N
3549312	565	1996-10-31	PRIJEM	\N	129	30244	UROK	\N	\N
3549313	565	1996-11-30	PRIJEM	\N	130	32114	UROK	\N	\N
3549314	565	1996-12-31	PRIJEM	\N	137	33241	UROK	\N	\N
3549315	565	1997-01-31	PRIJEM	\N	122	25023	UROK	\N	\N
3549316	565	1997-02-28	PRIJEM	\N	108	26872	UROK	\N	\N
3549317	565	1997-03-31	PRIJEM	\N	112	26484	UROK	\N	\N
3549318	565	1997-04-30	PRIJEM	\N	114	28339	UROK	\N	\N
3549319	565	1997-05-31	PRIJEM	\N	122	30201	UROK	\N	\N
3549320	565	1997-06-30	PRIJEM	\N	130	32072	UROK	\N	\N
3549321	565	1997-07-31	PRIJEM	\N	129	29380	UROK	\N	\N
3549322	565	1997-08-31	PRIJEM	\N	126	31247	UROK	\N	\N
3549323	565	1997-09-30	PRIJEM	\N	134	33122	UROK	\N	\N
3549324	565	1997-10-31	PRIJEM	\N	141	34703	UROK	\N	\N
3549325	565	1997-11-30	PRIJEM	\N	144	34508	UROK	\N	\N
3549326	565	1997-12-31	PRIJEM	\N	144	33622	UROK	\N	\N
3549327	565	1998-01-31	PRIJEM	\N	128	28531	UROK	\N	\N
3549328	565	1998-02-28	PRIJEM	\N	122	30393	UROK	\N	\N
3549329	565	1998-03-31	PRIJEM	\N	126	26739	UROK	\N	\N
3549330	565	1998-04-30	PRIJEM	\N	115	28595	UROK	\N	\N
3549331	565	1998-05-31	PRIJEM	\N	123	30458	UROK	\N	\N
3549332	565	1998-06-30	PRIJEM	\N	130	32329	UROK	\N	\N
3549333	565	1998-07-31	PRIJEM	\N	138	34207	UROK	\N	\N
3549334	565	1998-08-31	PRIJEM	\N	146	36094	UROK	\N	\N
3549335	565	1998-09-30	PRIJEM	\N	154	37988	UROK	\N	\N
3549336	565	1998-10-31	PRIJEM	\N	162	39890	UROK	\N	\N
3549337	565	1998-11-30	PRIJEM	\N	169	41800	UROK	\N	\N
3549338	565	1998-12-31	PRIJEM	\N	175	42415	UROK	\N	\N
3549339	566	1997-11-30	PRIJEM	\N	25	38418	UROK	\N	\N
3549340	566	1997-12-31	PRIJEM	\N	179	47703	UROK	\N	\N
3549341	566	1998-01-31	PRIJEM	\N	180	21395	UROK	\N	\N
3549342	566	1998-02-28	PRIJEM	\N	188	92866	UROK	\N	\N
3549343	566	1998-03-31	PRIJEM	\N	310	60780	UROK	\N	\N
3549344	566	1998-04-30	PRIJEM	\N	287	97310	UROK	\N	\N
3549345	566	1998-05-31	PRIJEM	\N	402	68797	UROK	\N	\N
3549346	566	1998-06-30	PRIJEM	\N	260	20865	UROK	\N	\N
3549347	566	1998-07-31	PRIJEM	\N	140	38618	UROK	\N	\N
3549348	566	1998-08-31	PRIJEM	\N	118	23521	UROK	\N	\N
3549349	566	1998-09-30	PRIJEM	\N	171	64918	UROK	\N	\N
3549350	566	1998-10-31	PRIJEM	\N	294	75770	UROK	\N	\N
3549351	566	1998-11-30	PRIJEM	\N	261	77673	UROK	\N	\N
3549352	566	1998-12-31	PRIJEM	\N	283	69513	UROK	\N	\N
3549353	568	1995-04-30	PRIJEM	\N	10	17807	UROK	\N	\N
3549354	568	1995-05-31	PRIJEM	\N	80	26784	UROK	\N	\N
3549355	568	1995-06-30	PRIJEM	\N	117	34447	UROK	\N	\N
3549356	568	1995-07-31	PRIJEM	\N	143	34186	UROK	\N	\N
3549357	568	1995-08-31	PRIJEM	\N	141	33124	UROK	\N	\N
3549358	568	1995-09-30	PRIJEM	\N	140	35247	UROK	\N	\N
3549359	568	1995-10-31	PRIJEM	\N	150	38079	UROK	\N	\N
3549360	568	1995-11-30	PRIJEM	\N	159	38320	UROK	\N	\N
3549361	568	1995-12-31	PRIJEM	\N	174	40126	UROK	\N	\N
3549362	568	1996-01-31	PRIJEM	\N	165	32473	UROK	\N	\N
3549363	568	1996-02-29	PRIJEM	\N	153	33409	UROK	\N	\N
3549364	568	1996-03-31	PRIJEM	\N	137	29328	UROK	\N	\N
3549365	568	1996-04-30	PRIJEM	\N	123	30233	UROK	\N	\N
3549366	568	1996-05-31	PRIJEM	\N	141	31956	UROK	\N	\N
3549367	568	1996-06-30	PRIJEM	\N	103	22291	UROK	\N	\N
3549368	568	1996-07-31	PRIJEM	\N	100	27073	UROK	\N	\N
3549369	568	1996-08-31	PRIJEM	\N	120	31175	UROK	\N	\N
3549370	568	1996-09-30	PRIJEM	\N	137	35194	UROK	\N	\N
3549371	568	1996-10-31	PRIJEM	\N	138	31115	UROK	\N	\N
3549372	568	1996-11-30	PRIJEM	\N	127	30225	UROK	\N	\N
3549373	568	1996-12-31	PRIJEM	\N	131	32587	UROK	\N	\N
3549374	568	1997-01-31	PRIJEM	\N	104	20974	UROK	\N	\N
3549375	568	1997-02-28	PRIJEM	\N	103	28859	UROK	\N	\N
3549376	568	1997-03-31	PRIJEM	\N	119	28460	UROK	\N	\N
3549377	568	1997-04-30	PRIJEM	\N	120	29462	UROK	\N	\N
3549378	568	1997-05-31	PRIJEM	\N	122	29667	UROK	\N	\N
3549379	568	1997-06-30	PRIJEM	\N	120	28419	UROK	\N	\N
3549380	568	1997-07-31	PRIJEM	\N	128	31529	UROK	\N	\N
3549381	568	1997-08-31	PRIJEM	\N	142	36453	UROK	\N	\N
3549382	568	1997-09-30	PRIJEM	\N	152	37988	UROK	\N	\N
3549383	568	1997-10-31	PRIJEM	\N	154	34424	UROK	\N	\N
3549384	568	1997-11-30	PRIJEM	\N	143	33750	UROK	\N	\N
3549385	568	1997-12-31	PRIJEM	\N	155	38836	UROK	\N	\N
3549386	568	1998-01-31	PRIJEM	\N	132	21050	UROK	\N	\N
3549387	568	1998-02-28	PRIJEM	\N	104	27236	UROK	\N	\N
3549388	568	1998-03-31	PRIJEM	\N	124	30842	UROK	\N	\N
3549389	568	1998-04-30	PRIJEM	\N	142	36467	UROK	\N	\N
3549390	568	1998-05-31	PRIJEM	\N	154	37804	UROK	\N	\N
3549391	568	1998-06-30	PRIJEM	\N	128	22763	UROK	\N	\N
3549392	568	1998-07-31	PRIJEM	\N	123	32968	UROK	\N	\N
3549393	568	1998-08-31	PRIJEM	\N	134	32685	UROK	\N	\N
3549394	568	1998-09-30	PRIJEM	\N	156	39823	UROK	\N	\N
3549395	568	1998-10-31	PRIJEM	\N	196	50402	UROK	\N	\N
3549396	568	1998-11-30	PRIJEM	\N	231	58115	UROK	\N	\N
3549397	568	1998-12-31	PRIJEM	\N	259	65405	UROK	\N	\N
3549398	569	1996-10-31	PRIJEM	\N	10	18021	UROK	\N	\N
3549399	569	1996-11-30	PRIJEM	\N	76	21208	UROK	\N	\N
3549400	569	1996-12-31	PRIJEM	\N	94	25213	UROK	\N	\N
3549401	569	1997-01-31	PRIJEM	\N	105	24728	UROK	\N	\N
3549402	569	1997-02-28	PRIJEM	\N	103	27942	UROK	\N	\N
3549403	569	1997-03-31	PRIJEM	\N	103	26767	UROK	\N	\N
3549404	569	1997-04-30	PRIJEM	\N	112	24711	UROK	\N	\N
3549405	569	1997-05-31	PRIJEM	\N	104	21237	UROK	\N	\N
3549406	569	1997-06-30	PRIJEM	\N	72	18922	UROK	\N	\N
3549407	569	1997-07-31	PRIJEM	\N	82	22626	UROK	\N	\N
3549408	569	1997-08-31	PRIJEM	\N	96	22144	UROK	\N	\N
3549409	569	1997-09-30	PRIJEM	\N	93	24059	UROK	\N	\N
3549410	569	1997-10-31	PRIJEM	\N	107	30388	UROK	\N	\N
3549411	569	1997-11-30	PRIJEM	\N	133	35843	UROK	\N	\N
3549412	569	1997-12-31	PRIJEM	\N	150	35276	UROK	\N	\N
3549413	569	1998-01-31	PRIJEM	\N	137	31955	UROK	\N	\N
3549414	569	1998-02-28	PRIJEM	\N	131	28508	UROK	\N	\N
3549415	569	1998-03-31	PRIJEM	\N	123	31553	UROK	\N	\N
3549416	569	1998-04-30	PRIJEM	\N	136	34811	UROK	\N	\N
3549417	569	1998-05-31	PRIJEM	\N	143	32077	UROK	\N	\N
3549418	569	1998-06-30	PRIJEM	\N	115	25595	UROK	\N	\N
3549419	569	1998-07-31	PRIJEM	\N	108	26495	UROK	\N	\N
3549420	569	1998-08-31	PRIJEM	\N	107	24224	UROK	\N	\N
3549421	569	1998-09-30	PRIJEM	\N	103	25250	UROK	\N	\N
3549422	569	1998-10-31	PRIJEM	\N	106	25918	UROK	\N	\N
3549423	569	1998-11-30	PRIJEM	\N	101	20741	UROK	\N	\N
3549424	569	1998-12-31	PRIJEM	\N	87	21400	UROK	\N	\N
3549425	570	1996-12-31	PRIJEM	\N	42	17257	UROK	\N	\N
3549426	570	1997-01-31	PRIJEM	\N	91	24958	UROK	\N	\N
3549427	570	1997-02-28	PRIJEM	\N	112	28280	UROK	\N	\N
3549428	570	1997-03-31	PRIJEM	\N	124	30813	UROK	\N	\N
3549429	570	1997-04-30	PRIJEM	\N	119	24169	UROK	\N	\N
3549430	570	1997-05-31	PRIJEM	\N	105	24896	UROK	\N	\N
3549431	570	1997-06-30	PRIJEM	\N	117	28041	UROK	\N	\N
3549432	570	1997-07-31	PRIJEM	\N	120	28483	UROK	\N	\N
3549433	570	1997-08-31	PRIJEM	\N	120	28526	UROK	\N	\N
3549434	570	1997-09-30	PRIJEM	\N	134	33382	UROK	\N	\N
3549435	570	1997-10-31	PRIJEM	\N	137	32041	UROK	\N	\N
3549436	570	1997-11-30	PRIJEM	\N	134	30797	UROK	\N	\N
3549437	570	1997-12-31	PRIJEM	\N	132	30757	UROK	\N	\N
3549438	570	1998-01-31	PRIJEM	\N	117	23996	UROK	\N	\N
3549439	570	1998-02-28	PRIJEM	\N	115	28633	UROK	\N	\N
3549440	570	1998-03-31	PRIJEM	\N	129	30884	UROK	\N	\N
3549441	570	1998-04-30	PRIJEM	\N	123	29230	UROK	\N	\N
3549442	570	1998-05-31	PRIJEM	\N	121	28873	UROK	\N	\N
3549443	570	1998-06-30	PRIJEM	\N	145	29946	UROK	\N	\N
3549444	570	1998-07-31	PRIJEM	\N	109	24676	UROK	\N	\N
3549445	570	1998-08-31	PRIJEM	\N	71	15470	UROK	\N	\N
3549446	570	1998-09-30	PRIJEM	\N	56	12448	UROK	\N	\N
3549447	570	1998-10-31	PRIJEM	\N	37	7508	UROK	\N	\N
3549448	570	1998-11-30	PRIJEM	\N	41	10672	UROK	\N	\N
3549449	570	1998-12-31	PRIJEM	\N	68	17067	UROK	\N	\N
3549450	571	1996-12-31	PRIJEM	\N	64	18954	UROK	\N	\N
3549451	571	1997-01-31	PRIJEM	\N	60	12388	UROK	\N	\N
3549452	571	1997-02-28	PRIJEM	\N	57	14058	UROK	\N	\N
3549453	571	1997-03-31	PRIJEM	\N	64	15735	UROK	\N	\N
3549454	571	1997-04-30	PRIJEM	\N	71	17419	UROK	\N	\N
3549455	571	1997-05-31	PRIJEM	\N	70	16063	UROK	\N	\N
3549456	571	1997-06-30	PRIJEM	\N	67	14093	UROK	\N	\N
3549457	571	1997-07-31	PRIJEM	\N	61	14407	UROK	\N	\N
3549458	571	1997-08-31	PRIJEM	\N	65	16086	UROK	\N	\N
3549459	571	1997-09-30	PRIJEM	\N	72	17771	UROK	\N	\N
3549460	571	1997-10-31	PRIJEM	\N	79	19464	UROK	\N	\N
3549461	571	1997-11-30	PRIJEM	\N	86	21163	UROK	\N	\N
3549462	571	1997-12-31	PRIJEM	\N	92	22018	UROK	\N	\N
3549463	571	1998-01-31	PRIJEM	\N	70	13442	UROK	\N	\N
3549464	571	1998-02-28	PRIJEM	\N	61	15116	UROK	\N	\N
3549465	571	1998-03-31	PRIJEM	\N	64	13914	UROK	\N	\N
3549466	571	1998-04-30	PRIJEM	\N	63	15590	UROK	\N	\N
3549467	571	1998-05-31	PRIJEM	\N	68	15111	UROK	\N	\N
3549468	571	1998-06-30	PRIJEM	\N	68	16793	UROK	\N	\N
3549469	571	1998-07-31	PRIJEM	\N	75	18481	UROK	\N	\N
3549470	571	1998-08-31	PRIJEM	\N	82	20176	UROK	\N	\N
3549471	571	1998-09-30	PRIJEM	\N	89	21879	UROK	\N	\N
3549472	571	1998-10-31	PRIJEM	\N	96	23588	UROK	\N	\N
3549473	571	1998-11-30	PRIJEM	\N	103	25305	UROK	\N	\N
3549474	571	1998-12-31	PRIJEM	\N	107	25575	UROK	\N	\N
3549475	572	1994-04-30	PRIJEM	\N	17	24319	UROK	\N	\N
3549476	572	1994-05-31	PRIJEM	\N	109	34530	UROK	\N	\N
3549477	572	1994-06-30	PRIJEM	\N	150	42884	UROK	\N	\N
3549478	572	1994-07-31	PRIJEM	\N	177	41663	UROK	\N	\N
3549479	572	1994-08-31	PRIJEM	\N	173	41537	UROK	\N	\N
3549480	572	1994-09-30	PRIJEM	\N	192	39935	UROK	\N	\N
3549481	572	1994-10-31	PRIJEM	\N	182	37304	UROK	\N	\N
3549482	572	1994-11-30	PRIJEM	\N	175	40345	UROK	\N	\N
3549483	572	1994-12-31	PRIJEM	\N	208	45041	UROK	\N	\N
3549484	572	1995-01-31	PRIJEM	\N	165	26112	UROK	\N	\N
3549485	572	1995-02-28	PRIJEM	\N	135	33094	UROK	\N	\N
3549486	572	1995-03-31	PRIJEM	\N	160	36260	UROK	\N	\N
3549487	572	1995-04-30	PRIJEM	\N	175	41542	UROK	\N	\N
3549488	572	1995-05-31	PRIJEM	\N	191	42739	UROK	\N	\N
3549489	572	1995-06-30	PRIJEM	\N	214	44500	UROK	\N	\N
3549490	572	1995-07-31	PRIJEM	\N	203	46810	UROK	\N	\N
3549491	572	1995-08-31	PRIJEM	\N	209	47424	UROK	\N	\N
3549492	572	1995-09-30	PRIJEM	\N	209	47740	UROK	\N	\N
3549493	572	1995-10-31	PRIJEM	\N	208	45614	UROK	\N	\N
3549494	572	1995-11-30	PRIJEM	\N	201	46721	UROK	\N	\N
3549495	572	1995-12-31	PRIJEM	\N	195	45264	UROK	\N	\N
3549496	572	1996-01-31	PRIJEM	\N	152	28783	UROK	\N	\N
3549497	572	1996-02-29	PRIJEM	\N	148	39037	UROK	\N	\N
3549498	572	1996-03-31	PRIJEM	\N	172	40435	UROK	\N	\N
3549499	572	1996-04-30	PRIJEM	\N	183	44624	UROK	\N	\N
3549500	572	1996-05-31	PRIJEM	\N	180	42331	UROK	\N	\N
3549501	572	1996-06-30	PRIJEM	\N	201	49639	UROK	\N	\N
3549502	572	1996-07-31	PRIJEM	\N	203	45628	UROK	\N	\N
3549503	572	1996-08-31	PRIJEM	\N	179	37533	UROK	\N	\N
3549504	572	1996-09-30	PRIJEM	\N	158	38498	UROK	\N	\N
3549505	572	1996-10-31	PRIJEM	\N	166	40870	UROK	\N	\N
3549506	572	1996-11-30	PRIJEM	\N	203	41679	UROK	\N	\N
3549507	572	1996-12-31	PRIJEM	\N	175	41001	UROK	\N	\N
3549508	572	1997-01-31	PRIJEM	\N	169	37097	UROK	\N	\N
3549509	572	1997-02-28	PRIJEM	\N	184	49487	UROK	\N	\N
3549510	572	1997-03-31	PRIJEM	\N	198	47691	UROK	\N	\N
3549511	572	1997-04-30	PRIJEM	\N	221	57319	UROK	\N	\N
3549512	572	1997-05-31	PRIJEM	\N	243	60469	UROK	\N	\N
3549513	572	1997-06-30	PRIJEM	\N	267	40423	UROK	\N	\N
3549514	572	1997-07-31	PRIJEM	\N	192	50321	UROK	\N	\N
3549515	572	1997-08-31	PRIJEM	\N	211	53239	UROK	\N	\N
3549516	572	1997-09-30	PRIJEM	\N	227	57872	UROK	\N	\N
3549517	572	1997-10-31	PRIJEM	\N	230	57508	UROK	\N	\N
3549518	572	1997-11-30	PRIJEM	\N	238	60193	UROK	\N	\N
3549519	572	1997-12-31	PRIJEM	\N	269	69149	UROK	\N	\N
3549520	572	1998-01-31	PRIJEM	\N	231	44746	UROK	\N	\N
3549521	572	1998-02-28	PRIJEM	\N	204	53756	UROK	\N	\N
3549522	572	1998-03-31	PRIJEM	\N	216	54579	UROK	\N	\N
3549523	572	1998-04-30	PRIJEM	\N	206	46671	UROK	\N	\N
3549524	572	1998-05-31	PRIJEM	\N	177	46295	UROK	\N	\N
3549525	572	1998-06-30	PRIJEM	\N	156	34238	UROK	\N	\N
3549526	572	1998-07-31	PRIJEM	\N	180	46304	UROK	\N	\N
3549527	572	1998-08-31	PRIJEM	\N	216	57027	UROK	\N	\N
3549528	572	1998-09-30	PRIJEM	\N	237	58550	UROK	\N	\N
3549529	572	1998-10-31	PRIJEM	\N	241	61297	UROK	\N	\N
3549530	572	1998-11-30	PRIJEM	\N	259	66263	UROK	\N	\N
3549531	572	1998-12-31	PRIJEM	\N	306	78296	UROK	\N	\N
3549532	573	1996-11-30	PRIJEM	\N	33	47250	UROK	\N	\N
3549533	573	1996-12-31	PRIJEM	\N	197	35047	UROK	\N	\N
3549534	573	1997-01-31	PRIJEM	\N	202	65846	UROK	\N	\N
3549535	573	1997-02-28	PRIJEM	\N	274	45220	UROK	\N	\N
3549536	573	1997-03-31	PRIJEM	\N	274	34393	UROK	\N	\N
3549537	573	1997-04-30	PRIJEM	\N	274	28767	UROK	\N	\N
3549538	573	1997-05-31	PRIJEM	\N	281	44223	UROK	\N	\N
3549539	573	1997-06-30	PRIJEM	\N	283	28406	UROK	\N	\N
3549540	573	1997-07-31	PRIJEM	\N	283	21589	UROK	\N	\N
3549541	573	1997-08-31	PRIJEM	\N	245	50272	UROK	\N	\N
3549542	573	1997-09-30	PRIJEM	\N	254	73598	UROK	\N	\N
3549543	573	1997-10-31	PRIJEM	\N	199	41959	UROK	\N	\N
3549544	573	1997-11-30	PRIJEM	\N	220	45621	UROK	\N	\N
3549545	573	1997-12-31	PRIJEM	\N	166	34275	UROK	\N	\N
3549546	573	1998-01-31	PRIJEM	\N	141	20485	UROK	\N	\N
3549547	573	1998-02-28	PRIJEM	\N	84	14339	UROK	\N	\N
3549548	573	1998-04-30	PRIJEM	\N	61	12940	UROK	\N	\N
3549549	573	1998-04-30	PRIJEM	\N	59	13000	UROK	\N	\N
3549550	573	1998-05-31	PRIJEM	\N	54	13523	UROK	\N	\N
3549551	573	1998-06-30	PRIJEM	\N	56	13149	UROK	\N	\N
3549552	573	1998-07-31	PRIJEM	\N	57	56639	UROK	\N	\N
3549553	573	1998-08-31	PRIJEM	\N	150	28870	UROK	\N	\N
3549554	573	1998-09-30	PRIJEM	\N	118	17457	UROK	\N	\N
3549555	573	1998-10-31	PRIJEM	\N	77	56799	UROK	\N	\N
3549556	573	1998-11-30	PRIJEM	\N	278	49834	UROK	\N	\N
3549557	575	1994-05-31	PRIJEM	\N	12	14640	UROK	\N	\N
3549558	575	1994-06-30	PRIJEM	\N	72	27503	UROK	\N	\N
3549559	575	1994-07-31	PRIJEM	\N	117	30749	UROK	\N	\N
3549560	575	1994-08-31	PRIJEM	\N	126	29603	UROK	\N	\N
3549561	575	1994-09-30	PRIJEM	\N	130	28076	UROK	\N	\N
3549562	575	1994-10-31	PRIJEM	\N	126	28530	UROK	\N	\N
3549563	575	1994-11-30	PRIJEM	\N	122	24180	UROK	\N	\N
3549564	575	1994-12-31	PRIJEM	\N	119	24512	UROK	\N	\N
3549565	575	1995-01-31	PRIJEM	\N	88	12749	UROK	\N	\N
3549566	575	1995-02-28	PRIJEM	\N	67	17344	UROK	\N	\N
3549567	575	1995-03-31	PRIJEM	\N	74	17546	UROK	\N	\N
3549568	575	1995-04-30	PRIJEM	\N	84	21338	UROK	\N	\N
3549569	575	1995-05-31	PRIJEM	\N	95	20462	UROK	\N	\N
3549570	575	1995-06-30	PRIJEM	\N	98	21652	UROK	\N	\N
3549571	575	1995-07-31	PRIJEM	\N	99	23179	UROK	\N	\N
3549572	575	1995-08-31	PRIJEM	\N	101	22109	UROK	\N	\N
3549573	575	1995-09-30	PRIJEM	\N	97	21534	UROK	\N	\N
3549574	575	1995-10-31	PRIJEM	\N	102	24865	UROK	\N	\N
3549575	575	1995-11-30	PRIJEM	\N	105	22498	UROK	\N	\N
3549576	575	1995-12-31	PRIJEM	\N	112	25682	UROK	\N	\N
3549577	575	1996-01-31	PRIJEM	\N	90	15541	UROK	\N	\N
3549578	575	1996-02-29	PRIJEM	\N	71	14660	UROK	\N	\N
3549579	575	1996-03-31	PRIJEM	\N	67	15056	UROK	\N	\N
3549580	575	1996-04-30	PRIJEM	\N	71	16795	UROK	\N	\N
3549581	575	1996-05-31	PRIJEM	\N	73	15996	UROK	\N	\N
3549582	575	1996-06-30	PRIJEM	\N	91	22379	UROK	\N	\N
3549583	575	1996-07-31	PRIJEM	\N	86	17173	UROK	\N	\N
3549584	575	1996-08-31	PRIJEM	\N	70	15071	UROK	\N	\N
3549585	575	1996-09-30	PRIJEM	\N	60	12759	UROK	\N	\N
3549586	575	1996-10-31	PRIJEM	\N	55	12243	UROK	\N	\N
3549587	575	1996-11-30	PRIJEM	\N	62	15333	UROK	\N	\N
3549588	575	1996-12-31	PRIJEM	\N	91	19656	UROK	\N	\N
3549589	575	1997-01-31	PRIJEM	\N	56	11541	UROK	\N	\N
3549590	575	1997-02-28	PRIJEM	\N	59	14629	UROK	\N	\N
3549591	575	1997-03-31	PRIJEM	\N	56	12113	UROK	\N	\N
3549592	575	1997-04-30	PRIJEM	\N	62	15203	UROK	\N	\N
3549593	575	1997-05-31	PRIJEM	\N	56	12088	UROK	\N	\N
3549594	575	1997-06-30	PRIJEM	\N	61	14341	UROK	\N	\N
3549595	575	1997-07-31	PRIJEM	\N	70	17439	UROK	\N	\N
3549596	575	1997-08-31	PRIJEM	\N	68	16816	UROK	\N	\N
3549597	575	1997-09-30	PRIJEM	\N	45	9089	UROK	\N	\N
3549598	575	1997-10-31	PRIJEM	\N	29	6346	UROK	\N	\N
3549599	575	1997-11-30	PRIJEM	\N	37	9412	UROK	\N	\N
3549600	575	1997-12-31	PRIJEM	\N	66	17070	UROK	\N	\N
3549601	575	1998-01-31	PRIJEM	\N	63	13802	UROK	\N	\N
3549602	575	1998-02-28	PRIJEM	\N	68	16898	UROK	\N	\N
3549603	575	1998-03-31	PRIJEM	\N	81	20007	UROK	\N	\N
3549604	575	1998-04-30	PRIJEM	\N	94	23129	UROK	\N	\N
3549605	575	1998-05-31	PRIJEM	\N	107	26265	UROK	\N	\N
3549606	575	1998-06-30	PRIJEM	\N	136	33992	UROK	\N	\N
3549607	575	1998-07-31	PRIJEM	\N	152	37173	UROK	\N	\N
3549608	575	1998-08-31	PRIJEM	\N	82	15083	UROK	\N	\N
3549609	575	1998-09-30	PRIJEM	\N	73	18184	UROK	\N	\N
3549610	575	1998-10-31	PRIJEM	\N	86	21298	UROK	\N	\N
3549611	575	1998-11-30	PRIJEM	\N	94	22621	UROK	\N	\N
3549612	575	1998-12-31	PRIJEM	\N	119	28892	UROK	\N	\N
3549613	576	1993-01-31	PRIJEM	\N	20	7127	UROK	\N	\N
3549614	576	1993-02-28	PRIJEM	\N	30	13364	UROK	\N	\N
3549615	576	1993-03-31	PRIJEM	\N	30	19600	UROK	\N	\N
3549616	576	1993-04-30	PRIJEM	\N	30	25837	UROK	\N	\N
3549617	576	1993-05-31	PRIJEM	\N	83	25665	UROK	\N	\N
3549618	576	1993-06-30	PRIJEM	\N	103	15348	UROK	\N	\N
3549619	576	1993-07-31	PRIJEM	\N	62	14020	UROK	\N	\N
3549620	576	1993-08-31	PRIJEM	\N	65	16615	UROK	\N	\N
3549621	576	1993-09-30	PRIJEM	\N	74	17300	UROK	\N	\N
3549622	576	1993-10-31	PRIJEM	\N	79	19908	UROK	\N	\N
3549623	576	1993-11-30	PRIJEM	\N	89	22528	UROK	\N	\N
3549624	576	1993-12-31	PRIJEM	\N	99	23658	UROK	\N	\N
3549625	576	1994-01-31	PRIJEM	\N	77	13376	UROK	\N	\N
3549626	576	1994-02-28	PRIJEM	\N	62	15968	UROK	\N	\N
3549627	576	1994-03-31	PRIJEM	\N	73	18571	UROK	\N	\N
3549628	576	1994-04-30	PRIJEM	\N	84	21185	UROK	\N	\N
3549629	576	1994-05-31	PRIJEM	\N	95	23810	UROK	\N	\N
3549630	576	1994-06-30	PRIJEM	\N	93	13934	UROK	\N	\N
3549631	576	1994-07-31	PRIJEM	\N	64	16528	UROK	\N	\N
3549632	576	1994-08-31	PRIJEM	\N	75	19134	UROK	\N	\N
3549633	576	1994-09-30	PRIJEM	\N	79	18703	UROK	\N	\N
3549634	576	1994-10-31	PRIJEM	\N	82	17395	UROK	\N	\N
3549635	576	1994-11-30	PRIJEM	\N	74	18080	UROK	\N	\N
3549636	576	1994-12-31	PRIJEM	\N	79	18169	UROK	\N	\N
3549637	576	1995-01-31	PRIJEM	\N	65	13764	UROK	\N	\N
3549638	576	1995-02-28	PRIJEM	\N	63	16358	UROK	\N	\N
3549639	576	1995-03-31	PRIJEM	\N	74	18962	UROK	\N	\N
3549640	576	1995-04-30	PRIJEM	\N	81	19173	UROK	\N	\N
3549641	576	1995-05-31	PRIJEM	\N	86	21790	UROK	\N	\N
3549642	576	1995-06-30	PRIJEM	\N	86	18756	UROK	\N	\N
3549643	576	1995-07-31	PRIJEM	\N	84	20570	UROK	\N	\N
3549644	576	1995-08-31	PRIJEM	\N	92	23192	UROK	\N	\N
3549645	576	1995-09-30	PRIJEM	\N	102	25824	UROK	\N	\N
3549646	576	1995-10-31	PRIJEM	\N	114	28468	UROK	\N	\N
3549647	576	1995-11-30	PRIJEM	\N	124	31123	UROK	\N	\N
3549648	576	1995-12-31	PRIJEM	\N	135	32838	UROK	\N	\N
3549649	576	1996-01-31	PRIJEM	\N	124	24992	UROK	\N	\N
3549650	576	1996-02-29	PRIJEM	\N	110	27632	UROK	\N	\N
3549651	576	1996-03-31	PRIJEM	\N	121	30283	UROK	\N	\N
3549652	576	1996-04-30	PRIJEM	\N	132	32945	UROK	\N	\N
3549653	576	1996-05-31	PRIJEM	\N	143	35618	UROK	\N	\N
3549654	576	1996-06-30	PRIJEM	\N	135	30733	UROK	\N	\N
3549655	576	1996-07-31	PRIJEM	\N	131	31955	UROK	\N	\N
3549656	576	1996-08-31	PRIJEM	\N	137	33422	UROK	\N	\N
3549657	576	1996-09-30	PRIJEM	\N	138	33491	UROK	\N	\N
3549658	576	1996-10-31	PRIJEM	\N	142	33903	UROK	\N	\N
3549659	576	1996-11-30	PRIJEM	\N	146	36580	UROK	\N	\N
3549660	576	1996-12-31	PRIJEM	\N	156	38516	UROK	\N	\N
3549661	576	1997-01-31	PRIJEM	\N	138	30475	UROK	\N	\N
3549662	576	1997-02-28	PRIJEM	\N	132	33137	UROK	\N	\N
3549663	576	1997-03-31	PRIJEM	\N	137	33104	UROK	\N	\N
3549664	576	1997-04-30	PRIJEM	\N	144	35478	UROK	\N	\N
3549665	576	1997-05-31	PRIJEM	\N	149	35757	UROK	\N	\N
3549666	576	1997-06-30	PRIJEM	\N	152	34739	UROK	\N	\N
3549667	576	1997-07-31	PRIJEM	\N	142	34372	UROK	\N	\N
3549668	576	1997-08-31	PRIJEM	\N	144	35287	UROK	\N	\N
3549669	576	1997-09-30	PRIJEM	\N	151	37968	UROK	\N	\N
3549670	576	1997-10-31	PRIJEM	\N	163	40661	UROK	\N	\N
3549671	576	1997-11-30	PRIJEM	\N	170	41361	UROK	\N	\N
3549672	576	1997-12-31	PRIJEM	\N	166	39638	UROK	\N	\N
3549673	576	1998-01-31	PRIJEM	\N	122	27470	UROK	\N	\N
3549674	576	1998-02-28	PRIJEM	\N	118	30118	UROK	\N	\N
3549675	576	1998-03-31	PRIJEM	\N	129	32778	UROK	\N	\N
3549676	576	1998-04-30	PRIJEM	\N	140	35448	UROK	\N	\N
3549677	576	1998-05-31	PRIJEM	\N	148	35327	UROK	\N	\N
3549678	576	1998-06-30	PRIJEM	\N	134	27141	UROK	\N	\N
3549679	576	1998-07-31	PRIJEM	\N	117	29788	UROK	\N	\N
3549680	576	1998-08-31	PRIJEM	\N	123	29081	UROK	\N	\N
3549681	576	1998-09-30	PRIJEM	\N	124	31736	UROK	\N	\N
3549682	576	1998-10-31	PRIJEM	\N	135	34402	UROK	\N	\N
3549683	576	1998-11-30	PRIJEM	\N	141	34573	UROK	\N	\N
3549684	576	1998-12-31	PRIJEM	\N	147	35551	UROK	\N	\N
3549685	577	1994-10-31	PRIJEM	\N	31	19002	UROK	\N	\N
3549686	577	1994-11-30	PRIJEM	\N	97	29970	UROK	\N	\N
3549687	577	1994-12-31	PRIJEM	\N	139	38064	UROK	\N	\N
3549688	577	1995-01-31	PRIJEM	\N	156	36991	UROK	\N	\N
3549689	577	1995-02-28	PRIJEM	\N	158	34400	UROK	\N	\N
3549690	577	1995-03-31	PRIJEM	\N	147	30883	UROK	\N	\N
3549691	577	1995-04-30	PRIJEM	\N	139	31559	UROK	\N	\N
3549692	577	1995-05-31	PRIJEM	\N	143	33038	UROK	\N	\N
3549693	577	1995-06-30	PRIJEM	\N	152	30991	UROK	\N	\N
3549694	577	1995-07-31	PRIJEM	\N	139	33026	UROK	\N	\N
3549695	577	1995-08-31	PRIJEM	\N	141	32263	UROK	\N	\N
3549696	577	1995-09-30	PRIJEM	\N	135	26294	UROK	\N	\N
3549697	577	1995-10-31	PRIJEM	\N	117	26948	UROK	\N	\N
3549698	577	1995-11-30	PRIJEM	\N	122	27686	UROK	\N	\N
3549699	577	1995-12-31	PRIJEM	\N	132	29960	UROK	\N	\N
3549700	577	1996-01-31	PRIJEM	\N	105	15221	UROK	\N	\N
3549701	577	1996-02-29	PRIJEM	\N	74	17611	UROK	\N	\N
3549702	577	1996-03-31	PRIJEM	\N	78	17705	UROK	\N	\N
3549703	577	1996-04-30	PRIJEM	\N	87	21629	UROK	\N	\N
3549704	577	1996-05-31	PRIJEM	\N	99	22064	UROK	\N	\N
3549705	577	1996-06-30	PRIJEM	\N	110	26996	UROK	\N	\N
3549706	577	1996-07-31	PRIJEM	\N	109	25041	UROK	\N	\N
3549707	577	1996-08-31	PRIJEM	\N	111	27089	UROK	\N	\N
3549708	577	1996-09-30	PRIJEM	\N	115	27740	UROK	\N	\N
3549709	577	1996-10-31	PRIJEM	\N	105	23682	UROK	\N	\N
3549710	577	1996-11-30	PRIJEM	\N	103	25321	UROK	\N	\N
3549711	577	1996-12-31	PRIJEM	\N	101	18964	UROK	\N	\N
3549712	577	1997-01-31	PRIJEM	\N	72	14792	UROK	\N	\N
3549713	577	1997-02-28	PRIJEM	\N	91	23320	UROK	\N	\N
3549714	577	1997-03-31	PRIJEM	\N	139	30335	UROK	\N	\N
3549715	577	1997-04-30	PRIJEM	\N	121	23772	UROK	\N	\N
3549716	577	1997-05-31	PRIJEM	\N	118	29526	UROK	\N	\N
3549717	577	1997-06-30	PRIJEM	\N	145	33952	UROK	\N	\N
3549718	577	1997-07-31	PRIJEM	\N	158	38426	UROK	\N	\N
3549719	577	1997-08-31	PRIJEM	\N	174	41837	UROK	\N	\N
3549720	577	1997-09-30	PRIJEM	\N	188	45561	UROK	\N	\N
3549721	577	1997-10-31	PRIJEM	\N	208	50606	UROK	\N	\N
3549722	577	1997-11-30	PRIJEM	\N	216	52058	UROK	\N	\N
3549723	577	1997-12-31	PRIJEM	\N	222	53962	UROK	\N	\N
3549724	577	1998-01-31	PRIJEM	\N	216	45874	UROK	\N	\N
3549725	577	1998-02-28	PRIJEM	\N	218	53328	UROK	\N	\N
3549726	577	1998-03-31	PRIJEM	\N	222	53306	UROK	\N	\N
3549727	577	1998-04-30	PRIJEM	\N	225	52848	UROK	\N	\N
3549728	577	1998-05-31	PRIJEM	\N	243	59427	UROK	\N	\N
3549729	577	1998-06-30	PRIJEM	\N	294	72443	UROK	\N	\N
3549730	577	1998-07-31	PRIJEM	\N	305	73984	UROK	\N	\N
3549731	577	1998-08-31	PRIJEM	\N	267	64488	UROK	\N	\N
3549732	577	1998-09-30	PRIJEM	\N	273	64378	UROK	\N	\N
3549733	577	1998-10-31	PRIJEM	\N	286	68600	UROK	\N	\N
3549734	577	1998-11-30	PRIJEM	\N	297	71153	UROK	\N	\N
3549735	577	1998-12-31	PRIJEM	\N	329	80484	UROK	\N	\N
3549736	578	1997-04-30	PRIJEM	\N	33	21820	UROK	\N	\N
3549737	578	1997-05-31	PRIJEM	\N	107	31814	UROK	\N	\N
3549738	578	1997-06-30	PRIJEM	\N	143	38337	UROK	\N	\N
3549739	578	1997-07-31	PRIJEM	\N	159	38083	UROK	\N	\N
3549740	578	1997-08-31	PRIJEM	\N	148	27880	UROK	\N	\N
3549741	578	1997-09-30	PRIJEM	\N	138	34316	UROK	\N	\N
3549742	578	1997-10-31	PRIJEM	\N	154	32382	UROK	\N	\N
3549743	578	1997-11-30	PRIJEM	\N	141	34366	UROK	\N	\N
3549744	578	1997-12-31	PRIJEM	\N	163	39419	UROK	\N	\N
3549745	578	1998-01-31	PRIJEM	\N	123	20340	UROK	\N	\N
3549746	578	1998-02-28	PRIJEM	\N	114	31853	UROK	\N	\N
3549747	578	1998-03-31	PRIJEM	\N	151	37302	UROK	\N	\N
3549748	578	1998-04-30	PRIJEM	\N	168	40868	UROK	\N	\N
3549749	578	1998-05-31	PRIJEM	\N	143	29508	UROK	\N	\N
3549750	578	1998-06-30	PRIJEM	\N	171	46570	UROK	\N	\N
3549751	578	1998-07-31	PRIJEM	\N	213	52981	UROK	\N	\N
3549752	578	1998-08-31	PRIJEM	\N	207	48786	UROK	\N	\N
3549753	578	1998-09-30	PRIJEM	\N	195	45979	UROK	\N	\N
3549754	578	1998-10-31	PRIJEM	\N	183	42759	UROK	\N	\N
3549755	578	1998-11-30	PRIJEM	\N	166	37424	UROK	\N	\N
3549756	578	1998-12-31	PRIJEM	\N	155	36470	UROK	\N	\N
3549757	579	1998-01-31	PRIJEM	\N	28	12283	UROK	\N	\N
3549758	579	1998-02-28	PRIJEM	\N	75	22913	UROK	\N	\N
3549759	579	1998-03-31	PRIJEM	\N	104	27172	UROK	\N	\N
3549760	579	1998-04-30	PRIJEM	\N	115	28142	UROK	\N	\N
3549761	579	1998-05-31	PRIJEM	\N	111	25043	UROK	\N	\N
3549762	579	1998-06-30	PRIJEM	\N	88	15912	UROK	\N	\N
3549763	579	1998-07-31	PRIJEM	\N	64	14780	UROK	\N	\N
3549764	579	1998-08-31	PRIJEM	\N	68	16453	UROK	\N	\N
3549765	579	1998-09-30	PRIJEM	\N	90	25048	UROK	\N	\N
3549766	579	1998-10-31	PRIJEM	\N	110	27962	UROK	\N	\N
3549767	579	1998-11-30	PRIJEM	\N	117	27883	UROK	\N	\N
3549768	579	1998-12-31	PRIJEM	\N	125	28289	UROK	\N	\N
3549769	580	1996-06-30	PRIJEM	\N	31	18726	UROK	\N	\N
3549770	580	1996-07-31	PRIJEM	\N	93	27249	UROK	\N	\N
3549771	580	1996-08-31	PRIJEM	\N	119	30198	UROK	\N	\N
3549772	580	1996-09-30	PRIJEM	\N	124	29351	UROK	\N	\N
3549773	580	1996-10-31	PRIJEM	\N	116	25427	UROK	\N	\N
3549774	580	1996-11-30	PRIJEM	\N	106	21962	UROK	\N	\N
3549775	580	1996-12-31	PRIJEM	\N	92	19588	UROK	\N	\N
3549776	580	1997-01-31	PRIJEM	\N	90	20307	UROK	\N	\N
3549777	580	1997-02-28	PRIJEM	\N	94	21630	UROK	\N	\N
3549778	580	1997-03-31	PRIJEM	\N	97	20517	UROK	\N	\N
3549779	580	1997-04-30	PRIJEM	\N	91	20238	UROK	\N	\N
3549780	580	1997-05-31	PRIJEM	\N	90	17617	UROK	\N	\N
3549781	580	1997-06-30	PRIJEM	\N	103	25915	UROK	\N	\N
3549782	580	1997-07-31	PRIJEM	\N	110	24254	UROK	\N	\N
3549783	580	1997-08-31	PRIJEM	\N	118	25201	UROK	\N	\N
3549784	580	1997-09-30	PRIJEM	\N	106	23636	UROK	\N	\N
3549785	580	1997-10-31	PRIJEM	\N	102	22967	UROK	\N	\N
3549786	580	1997-11-30	PRIJEM	\N	104	24401	UROK	\N	\N
3549787	580	1997-12-31	PRIJEM	\N	111	26807	UROK	\N	\N
3549788	580	1998-01-31	PRIJEM	\N	116	28052	UROK	\N	\N
3549789	580	1998-02-28	PRIJEM	\N	128	30509	UROK	\N	\N
3549790	580	1998-03-31	PRIJEM	\N	128	29167	UROK	\N	\N
3549791	580	1998-04-30	PRIJEM	\N	125	28921	UROK	\N	\N
3549792	580	1998-05-31	PRIJEM	\N	123	28474	UROK	\N	\N
3549793	580	1998-06-30	PRIJEM	\N	110	23618	UROK	\N	\N
3549794	580	1998-07-31	PRIJEM	\N	122	27470	UROK	\N	\N
3549795	580	1998-08-31	PRIJEM	\N	131	31270	UROK	\N	\N
3549796	580	1998-09-30	PRIJEM	\N	133	31133	UROK	\N	\N
3549797	580	1998-10-31	PRIJEM	\N	128	29689	UROK	\N	\N
3549798	580	1998-11-30	PRIJEM	\N	125	29243	UROK	\N	\N
3549799	580	1998-12-31	PRIJEM	\N	126	29863	UROK	\N	\N
3549800	581	1997-03-31	PRIJEM	\N	66	24416	UROK	\N	\N
3549801	581	1997-04-30	PRIJEM	\N	111	27200	UROK	\N	\N
3549802	581	1997-05-31	PRIJEM	\N	117	28691	UROK	\N	\N
3549803	581	1997-06-30	PRIJEM	\N	89	16284	UROK	\N	\N
3549804	581	1997-07-31	PRIJEM	\N	79	19736	UROK	\N	\N
3549805	581	1997-08-31	PRIJEM	\N	80	19989	UROK	\N	\N
3549806	581	1997-09-30	PRIJEM	\N	95	23457	UROK	\N	\N
3549807	581	1997-10-31	PRIJEM	\N	109	26940	UROK	\N	\N
3549808	581	1997-11-30	PRIJEM	\N	119	28032	UROK	\N	\N
3549809	581	1997-12-31	PRIJEM	\N	126	30382	UROK	\N	\N
3549810	581	1998-01-31	PRIJEM	\N	132	31237	UROK	\N	\N
3549811	581	1998-02-28	PRIJEM	\N	141	34751	UROK	\N	\N
3549812	581	1998-03-31	PRIJEM	\N	155	37800	UROK	\N	\N
3549813	581	1998-04-30	PRIJEM	\N	169	41342	UROK	\N	\N
3549814	581	1998-05-31	PRIJEM	\N	183	44899	UROK	\N	\N
3549815	581	1998-06-30	PRIJEM	\N	194	40016	UROK	\N	\N
3549816	581	1998-07-31	PRIJEM	\N	178	43567	UROK	\N	\N
3549817	581	1998-08-31	PRIJEM	\N	192	45292	UROK	\N	\N
3549818	581	1998-09-30	PRIJEM	\N	200	48865	UROK	\N	\N
3549819	581	1998-10-31	PRIJEM	\N	215	52454	UROK	\N	\N
3549820	581	1998-11-30	PRIJEM	\N	227	55554	UROK	\N	\N
3549821	581	1998-12-31	PRIJEM	\N	216	51693	UROK	\N	\N
3549822	582	1994-08-31	PRIJEM	\N	16	5334	UROK	\N	\N
3549823	582	1994-09-30	PRIJEM	\N	22	9575	UROK	\N	\N
3549824	582	1994-10-31	PRIJEM	\N	22	13815	UROK	\N	\N
3549825	582	1994-11-30	PRIJEM	\N	22	18055	UROK	\N	\N
3549826	582	1994-12-31	PRIJEM	\N	64	19175	UROK	\N	\N
3549827	582	1995-01-31	PRIJEM	\N	70	12956	UROK	\N	\N
3549828	582	1995-02-28	PRIJEM	\N	58	14405	UROK	\N	\N
3549829	582	1995-03-31	PRIJEM	\N	64	15861	UROK	\N	\N
3549830	582	1995-04-30	PRIJEM	\N	70	17322	UROK	\N	\N
3549831	582	1995-05-31	PRIJEM	\N	76	18790	UROK	\N	\N
3549832	582	1995-06-30	PRIJEM	\N	61	12592	UROK	\N	\N
3549833	582	1995-07-31	PRIJEM	\N	57	14040	UROK	\N	\N
3549834	582	1995-08-31	PRIJEM	\N	62	12993	UROK	\N	\N
3549835	582	1995-09-30	PRIJEM	\N	58	12642	UROK	\N	\N
3549836	582	1995-10-31	PRIJEM	\N	56	12489	UROK	\N	\N
3549837	582	1995-11-30	PRIJEM	\N	54	13055	UROK	\N	\N
3549838	582	1995-12-31	PRIJEM	\N	58	14204	UROK	\N	\N
3549839	582	1996-01-31	PRIJEM	\N	57	13253	UROK	\N	\N
3549840	582	1996-02-29	PRIJEM	\N	58	13202	UROK	\N	\N
3549841	582	1996-03-31	PRIJEM	\N	59	14653	UROK	\N	\N
3549842	582	1996-04-30	PRIJEM	\N	61	12445	UROK	\N	\N
3549843	582	1996-05-31	PRIJEM	\N	56	13892	UROK	\N	\N
3549844	582	1996-06-30	PRIJEM	\N	58	11142	UROK	\N	\N
3549845	582	1996-07-31	PRIJEM	\N	50	12583	UROK	\N	\N
3549846	582	1996-08-31	PRIJEM	\N	56	14031	UROK	\N	\N
3549847	582	1996-09-30	PRIJEM	\N	58	11280	UROK	\N	\N
3549848	582	1996-10-31	PRIJEM	\N	51	12722	UROK	\N	\N
3549849	582	1996-11-30	PRIJEM	\N	57	14170	UROK	\N	\N
3549850	582	1996-12-31	PRIJEM	\N	63	14624	UROK	\N	\N
3549851	582	1997-01-31	PRIJEM	\N	55	12711	UROK	\N	\N
3549852	582	1997-02-28	PRIJEM	\N	57	14159	UROK	\N	\N
3549853	582	1997-03-31	PRIJEM	\N	63	15613	UROK	\N	\N
3549854	582	1997-04-30	PRIJEM	\N	65	15709	UROK	\N	\N
3549855	582	1997-05-31	PRIJEM	\N	69	17170	UROK	\N	\N
3549856	582	1997-06-30	PRIJEM	\N	75	18636	UROK	\N	\N
3549857	582	1997-07-31	PRIJEM	\N	81	20109	UROK	\N	\N
3549858	582	1997-08-31	PRIJEM	\N	85	20386	UROK	\N	\N
3549859	582	1997-09-30	PRIJEM	\N	88	21865	UROK	\N	\N
3549860	582	1997-10-31	PRIJEM	\N	95	23351	UROK	\N	\N
3549861	582	1997-11-30	PRIJEM	\N	98	19960	UROK	\N	\N
3549862	582	1997-12-31	PRIJEM	\N	86	21188	UROK	\N	\N
3549863	582	1998-01-31	PRIJEM	\N	72	15051	UROK	\N	\N
3549864	582	1998-02-28	PRIJEM	\N	66	16508	UROK	\N	\N
3549865	582	1998-03-31	PRIJEM	\N	72	17972	UROK	\N	\N
3549866	582	1998-04-30	PRIJEM	\N	78	19441	UROK	\N	\N
3549867	582	1998-05-31	PRIJEM	\N	83	17956	UROK	\N	\N
3549868	582	1998-06-30	PRIJEM	\N	75	17172	UROK	\N	\N
3549869	582	1998-07-31	PRIJEM	\N	73	15437	UROK	\N	\N
3549870	582	1998-08-31	PRIJEM	\N	67	16896	UROK	\N	\N
3549871	582	1998-09-30	PRIJEM	\N	73	18361	UROK	\N	\N
3549872	582	1998-10-31	PRIJEM	\N	80	19831	UROK	\N	\N
3549873	582	1998-11-30	PRIJEM	\N	86	21308	UROK	\N	\N
3549874	582	1998-12-31	PRIJEM	\N	87	21257	UROK	\N	\N
3549924	584	1996-08-31	PRIJEM	\N	33	13087	UROK	\N	\N
3549925	584	1996-09-30	PRIJEM	\N	70	19112	UROK	\N	\N
3549926	584	1996-10-31	PRIJEM	\N	83	20649	UROK	\N	\N
3549927	584	1996-11-30	PRIJEM	\N	87	20990	UROK	\N	\N
3549928	584	1996-12-31	PRIJEM	\N	83	18804	UROK	\N	\N
3549929	584	1997-01-31	PRIJEM	\N	87	21629	UROK	\N	\N
3549930	584	1997-02-28	PRIJEM	\N	87	20253	UROK	\N	\N
3549931	584	1997-03-31	PRIJEM	\N	89	19830	UROK	\N	\N
3549932	584	1997-04-30	PRIJEM	\N	76	17543	UROK	\N	\N
3549933	584	1997-05-31	PRIJEM	\N	69	16270	UROK	\N	\N
3549934	584	1997-06-30	PRIJEM	\N	54	11461	UROK	\N	\N
3549935	584	1997-07-31	PRIJEM	\N	48	11316	UROK	\N	\N
3549936	584	1997-08-31	PRIJEM	\N	50	11704	UROK	\N	\N
3549937	584	1997-09-30	PRIJEM	\N	49	11490	UROK	\N	\N
3549938	584	1997-10-31	PRIJEM	\N	51	12318	UROK	\N	\N
3549939	584	1997-11-30	PRIJEM	\N	56	13141	UROK	\N	\N
3549940	584	1997-12-31	PRIJEM	\N	53	12332	UROK	\N	\N
3549941	584	1998-01-31	PRIJEM	\N	54	13523	UROK	\N	\N
3549942	584	1998-02-28	PRIJEM	\N	59	14720	UROK	\N	\N
3549943	584	1998-03-31	PRIJEM	\N	62	14509	UROK	\N	\N
3549944	584	1998-04-30	PRIJEM	\N	63	15709	UROK	\N	\N
3549945	584	1998-05-31	PRIJEM	\N	68	16915	UROK	\N	\N
3549946	584	1998-06-30	PRIJEM	\N	65	15028	UROK	\N	\N
3549947	584	1998-07-31	PRIJEM	\N	65	16230	UROK	\N	\N
3549948	584	1998-08-31	PRIJEM	\N	70	16898	UROK	\N	\N
3549949	584	1998-09-30	PRIJEM	\N	60	13396	UROK	\N	\N
3549950	584	1998-10-31	PRIJEM	\N	59	14591	UROK	\N	\N
3549951	584	1998-11-30	PRIJEM	\N	61	14080	UROK	\N	\N
3549952	584	1998-12-31	PRIJEM	\N	61	15068	UROK	\N	\N
3549953	588	1993-04-30	PRIJEM	\N	42	16876	UROK	\N	\N
3549954	588	1993-05-31	PRIJEM	\N	90	24500	UROK	\N	\N
3549955	588	1993-06-30	PRIJEM	\N	118	30669	UROK	\N	\N
3549956	588	1993-07-31	PRIJEM	\N	133	32635	UROK	\N	\N
3549957	588	1993-08-31	PRIJEM	\N	129	28657	UROK	\N	\N
3549958	588	1993-09-30	PRIJEM	\N	124	30412	UROK	\N	\N
3549959	588	1993-10-31	PRIJEM	\N	129	31271	UROK	\N	\N
3549960	588	1993-11-30	PRIJEM	\N	128	30830	UROK	\N	\N
3549961	588	1993-12-31	PRIJEM	\N	143	35720	UROK	\N	\N
3549962	588	1994-01-31	PRIJEM	\N	119	24949	UROK	\N	\N
3549963	588	1994-02-28	PRIJEM	\N	119	30098	UROK	\N	\N
3549964	588	1994-03-31	PRIJEM	\N	129	31558	UROK	\N	\N
3549965	588	1994-04-30	PRIJEM	\N	129	31017	UROK	\N	\N
3549966	588	1994-05-31	PRIJEM	\N	135	33082	UROK	\N	\N
3549967	588	1994-06-30	PRIJEM	\N	138	33108	UROK	\N	\N
3549968	588	1994-07-31	PRIJEM	\N	143	35181	UROK	\N	\N
3549969	588	1994-08-31	PRIJEM	\N	146	35758	UROK	\N	\N
3549970	588	1994-09-30	PRIJEM	\N	144	35032	UROK	\N	\N
3549971	588	1994-10-31	PRIJEM	\N	145	35488	UROK	\N	\N
3549972	588	1994-11-30	PRIJEM	\N	138	33575	UROK	\N	\N
3549973	588	1994-12-31	PRIJEM	\N	130	31693	UROK	\N	\N
3549974	588	1995-01-31	PRIJEM	\N	120	24943	UROK	\N	\N
3549975	588	1995-02-28	PRIJEM	\N	118	29832	UROK	\N	\N
3549976	588	1995-03-31	PRIJEM	\N	118	28660	UROK	\N	\N
3549977	588	1995-04-30	PRIJEM	\N	127	26537	UROK	\N	\N
3549978	588	1995-05-31	PRIJEM	\N	131	32998	UROK	\N	\N
3549979	588	1995-06-30	PRIJEM	\N	131	30437	UROK	\N	\N
3549980	588	1995-07-31	PRIJEM	\N	129	31796	UROK	\N	\N
3549981	588	1995-08-31	PRIJEM	\N	129	29315	UROK	\N	\N
3549982	588	1995-09-30	PRIJEM	\N	125	31070	UROK	\N	\N
3549983	588	1995-10-31	PRIJEM	\N	114	29035	UROK	\N	\N
3549984	588	1995-11-30	PRIJEM	\N	125	27191	UROK	\N	\N
3549985	588	1995-12-31	PRIJEM	\N	123	28021	UROK	\N	\N
3549986	588	1996-01-31	PRIJEM	\N	90	19481	UROK	\N	\N
3549987	588	1996-02-29	PRIJEM	\N	87	21299	UROK	\N	\N
3549988	588	1996-03-31	PRIJEM	\N	91	19300	UROK	\N	\N
3549989	588	1996-04-30	PRIJEM	\N	87	22318	UROK	\N	\N
3549990	588	1996-05-31	PRIJEM	\N	95	18643	UROK	\N	\N
3549991	588	1996-06-30	PRIJEM	\N	92	21282	UROK	\N	\N
3549992	588	1996-07-31	PRIJEM	\N	88	16721	UROK	\N	\N
3549993	588	1996-08-31	PRIJEM	\N	75	18426	UROK	\N	\N
3549994	588	1996-09-30	PRIJEM	\N	81	19438	UROK	\N	\N
3549995	588	1996-10-31	PRIJEM	\N	81	16849	UROK	\N	\N
3549996	588	1996-11-30	PRIJEM	\N	76	19556	UROK	\N	\N
3549997	588	1996-12-31	PRIJEM	\N	85	16188	UROK	\N	\N
3549998	588	1997-01-31	PRIJEM	\N	68	16147	UROK	\N	\N
3549999	588	1997-02-28	PRIJEM	\N	72	18149	UROK	\N	\N
3550000	588	1997-03-31	PRIJEM	\N	74	14653	UROK	\N	\N
3550001	588	1997-04-30	PRIJEM	\N	63	14446	UROK	\N	\N
3550002	588	1997-05-31	PRIJEM	\N	62	14338	UROK	\N	\N
3550003	588	1997-06-30	PRIJEM	\N	70	16856	UROK	\N	\N
3550004	588	1997-07-31	PRIJEM	\N	68	14154	UROK	\N	\N
3550005	588	1997-08-31	PRIJEM	\N	64	16748	UROK	\N	\N
3550006	588	1997-09-30	PRIJEM	\N	75	19353	UROK	\N	\N
3550007	588	1997-10-31	PRIJEM	\N	85	20768	UROK	\N	\N
3550008	588	1997-11-30	PRIJEM	\N	78	16177	UROK	\N	\N
3550009	588	1997-12-31	PRIJEM	\N	74	18758	UROK	\N	\N
3550010	588	1998-01-31	PRIJEM	\N	69	15578	UROK	\N	\N
3550011	588	1998-02-28	PRIJEM	\N	65	16173	UROK	\N	\N
3550012	588	1998-03-31	PRIJEM	\N	75	20378	UROK	\N	\N
3550013	588	1998-04-30	PRIJEM	\N	87	20856	UROK	\N	\N
3550014	588	1998-05-31	PRIJEM	\N	89	22375	UROK	\N	\N
3550015	588	1998-06-30	PRIJEM	\N	95	23378	UROK	\N	\N
3550016	588	1998-07-31	PRIJEM	\N	95	23104	UROK	\N	\N
3550017	588	1998-08-31	PRIJEM	\N	100	25734	UROK	\N	\N
3550018	588	1998-09-30	PRIJEM	\N	106	23170	UROK	\N	\N
3550019	588	1998-10-31	PRIJEM	\N	87	19107	UROK	\N	\N
3550020	588	1998-11-30	PRIJEM	\N	80	20417	UROK	\N	\N
3550021	588	1998-12-31	PRIJEM	\N	89	21074	UROK	\N	\N
3550022	589	1997-05-31	PRIJEM	\N	22	26693	UROK	\N	\N
3550023	589	1997-06-30	PRIJEM	\N	126	44625	UROK	\N	\N
3550024	589	1997-07-31	PRIJEM	\N	191	50587	UROK	\N	\N
3550025	589	1997-08-31	PRIJEM	\N	212	52470	UROK	\N	\N
3550026	589	1997-09-30	PRIJEM	\N	235	47630	UROK	\N	\N
3550027	589	1997-10-31	PRIJEM	\N	219	47059	UROK	\N	\N
3550028	589	1997-11-30	PRIJEM	\N	214	45584	UROK	\N	\N
3550029	589	1997-12-31	PRIJEM	\N	237	47987	UROK	\N	\N
3550030	589	1998-01-31	PRIJEM	\N	209	35166	UROK	\N	\N
3550031	589	1998-02-28	PRIJEM	\N	169	40885	UROK	\N	\N
3550032	589	1998-03-31	PRIJEM	\N	195	45091	UROK	\N	\N
3550033	589	1998-04-30	PRIJEM	\N	197	42318	UROK	\N	\N
3550034	589	1998-05-31	PRIJEM	\N	198	45526	UROK	\N	\N
3550035	589	1998-06-30	PRIJEM	\N	193	25065	UROK	\N	\N
3550036	589	1998-07-31	PRIJEM	\N	140	37515	UROK	\N	\N
3550037	589	1998-08-31	PRIJEM	\N	172	39498	UROK	\N	\N
3550038	589	1998-09-30	PRIJEM	\N	185	44693	UROK	\N	\N
3550039	589	1998-10-31	PRIJEM	\N	198	45102	UROK	\N	\N
3550040	589	1998-11-30	PRIJEM	\N	199	46211	UROK	\N	\N
3550041	589	1998-12-31	PRIJEM	\N	218	50875	UROK	\N	\N
3550042	591	1998-01-31	PRIJEM	\N	46	15188	UROK	\N	\N
3550043	591	1998-02-28	PRIJEM	\N	67	16634	UROK	\N	\N
3550044	591	1998-03-31	PRIJEM	\N	66	15520	UROK	\N	\N
3550045	591	1998-04-30	PRIJEM	\N	66	15605	UROK	\N	\N
3550046	591	1998-05-31	PRIJEM	\N	68	17053	UROK	\N	\N
3550047	591	1998-06-30	PRIJEM	\N	60	14892	UROK	\N	\N
3550048	591	1998-07-31	PRIJEM	\N	66	16338	UROK	\N	\N
3550049	591	1998-08-31	PRIJEM	\N	72	17789	UROK	\N	\N
3550050	591	1998-09-30	PRIJEM	\N	78	19246	UROK	\N	\N
3550051	591	1998-10-31	PRIJEM	\N	84	20710	UROK	\N	\N
3550052	591	1998-11-30	PRIJEM	\N	90	22179	UROK	\N	\N
3550053	591	1998-12-31	PRIJEM	\N	94	22753	UROK	\N	\N
3550054	592	1997-04-30	PRIJEM	\N	15	21427	UROK	\N	\N
3550055	592	1997-05-31	PRIJEM	\N	92	24772	UROK	\N	\N
3550056	592	1997-06-30	PRIJEM	\N	105	21987	UROK	\N	\N
3550057	592	1997-07-31	PRIJEM	\N	98	21016	UROK	\N	\N
3550058	592	1997-08-31	PRIJEM	\N	95	21942	UROK	\N	\N
3550059	592	1997-09-30	PRIJEM	\N	95	19807	UROK	\N	\N
3550060	592	1997-10-31	PRIJEM	\N	85	16923	UROK	\N	\N
3550061	592	1997-11-30	PRIJEM	\N	74	18727	UROK	\N	\N
3550062	592	1997-12-31	PRIJEM	\N	76	14934	UROK	\N	\N
3550063	592	1998-01-31	PRIJEM	\N	56	12590	UROK	\N	\N
3550064	592	1998-02-28	PRIJEM	\N	62	15683	UROK	\N	\N
3550065	592	1998-03-31	PRIJEM	\N	65	14518	UROK	\N	\N
3550066	592	1998-04-30	PRIJEM	\N	64	13412	UROK	\N	\N
3550067	592	1998-05-31	PRIJEM	\N	64	15206	UROK	\N	\N
3550068	592	1998-06-30	PRIJEM	\N	75	19411	UROK	\N	\N
3550069	592	1998-07-31	PRIJEM	\N	89	21330	UROK	\N	\N
3550070	592	1998-08-31	PRIJEM	\N	86	17346	UROK	\N	\N
3550071	592	1998-09-30	PRIJEM	\N	75	17152	UROK	\N	\N
3550072	592	1998-10-31	PRIJEM	\N	83	21265	UROK	\N	\N
3550073	592	1998-11-30	PRIJEM	\N	89	20085	UROK	\N	\N
3550074	592	1998-12-31	PRIJEM	\N	85	19350	UROK	\N	\N
3550075	594	1994-12-31	PRIJEM	\N	11	3592	UROK	\N	\N
3550076	594	1995-01-31	PRIJEM	\N	15	6688	UROK	\N	\N
3550077	594	1995-02-28	PRIJEM	\N	15	9783	UROK	\N	\N
3550078	594	1995-03-31	PRIJEM	\N	15	12879	UROK	\N	\N
3550079	594	1995-04-30	PRIJEM	\N	39	13946	UROK	\N	\N
3550080	594	1995-05-31	PRIJEM	\N	61	15019	UROK	\N	\N
3550081	594	1995-06-30	PRIJEM	\N	61	12912	UROK	\N	\N
3550082	594	1995-07-31	PRIJEM	\N	56	13980	UROK	\N	\N
3550083	594	1995-08-31	PRIJEM	\N	61	15053	UROK	\N	\N
3550084	594	1995-09-30	PRIJEM	\N	65	16131	UROK	\N	\N
3550085	594	1995-10-31	PRIJEM	\N	70	16823	UROK	\N	\N
3550086	594	1995-11-30	PRIJEM	\N	70	16826	UROK	\N	\N
3550087	594	1995-12-31	PRIJEM	\N	67	16556	UROK	\N	\N
3550088	594	1996-01-31	PRIJEM	\N	61	13699	UROK	\N	\N
3550089	594	1996-02-29	PRIJEM	\N	59	14771	UROK	\N	\N
3550090	594	1996-03-31	PRIJEM	\N	63	14796	UROK	\N	\N
3550091	594	1996-04-30	PRIJEM	\N	63	15301	UROK	\N	\N
3550092	594	1996-05-31	PRIJEM	\N	66	16380	UROK	\N	\N
3550093	594	1996-06-30	PRIJEM	\N	71	17463	UROK	\N	\N
3550094	594	1996-07-31	PRIJEM	\N	75	17200	UROK	\N	\N
3550095	594	1996-08-31	PRIJEM	\N	74	18286	UROK	\N	\N
3550096	594	1996-09-30	PRIJEM	\N	78	19377	UROK	\N	\N
3550097	594	1996-10-31	PRIJEM	\N	83	20472	UROK	\N	\N
3550098	594	1996-11-30	PRIJEM	\N	88	21572	UROK	\N	\N
3550099	594	1996-12-31	PRIJEM	\N	91	21866	UROK	\N	\N
3550100	594	1997-01-31	PRIJEM	\N	78	16746	UROK	\N	\N
3550101	594	1997-02-28	PRIJEM	\N	72	17830	UROK	\N	\N
3550102	594	1997-03-31	PRIJEM	\N	76	18919	UROK	\N	\N
3550103	594	1997-04-30	PRIJEM	\N	80	19082	UROK	\N	\N
3550104	594	1997-05-31	PRIJEM	\N	80	18985	UROK	\N	\N
3550105	594	1997-06-30	PRIJEM	\N	79	18846	UROK	\N	\N
3550106	594	1997-07-31	PRIJEM	\N	80	19729	UROK	\N	\N
3550107	594	1997-08-31	PRIJEM	\N	84	20826	UROK	\N	\N
3550108	594	1997-09-30	PRIJEM	\N	89	21927	UROK	\N	\N
3550109	594	1997-10-31	PRIJEM	\N	93	23032	UROK	\N	\N
3550110	594	1997-11-30	PRIJEM	\N	97	23842	UROK	\N	\N
3550111	594	1997-12-31	PRIJEM	\N	100	24415	UROK	\N	\N
3550112	594	1998-01-31	PRIJEM	\N	97	20784	UROK	\N	\N
3550113	594	1998-02-28	PRIJEM	\N	88	21885	UROK	\N	\N
3550114	594	1998-03-31	PRIJEM	\N	93	22990	UROK	\N	\N
3550115	594	1998-04-30	PRIJEM	\N	97	24100	UROK	\N	\N
3550116	594	1998-05-31	PRIJEM	\N	102	25214	UROK	\N	\N
3550117	594	1998-06-30	PRIJEM	\N	102	19638	UROK	\N	\N
3550118	594	1998-07-31	PRIJEM	\N	83	20734	UROK	\N	\N
3550119	594	1998-08-31	PRIJEM	\N	87	21053	UROK	\N	\N
3550120	594	1998-09-30	PRIJEM	\N	89	22155	UROK	\N	\N
3550121	594	1998-10-31	PRIJEM	\N	93	22260	UROK	\N	\N
3550122	594	1998-11-30	PRIJEM	\N	94	23366	UROK	\N	\N
3550123	594	1998-12-31	PRIJEM	\N	98	23727	UROK	\N	\N
3550124	595	1997-01-31	PRIJEM	\N	35	21572	UROK	\N	\N
3550125	595	1997-02-28	PRIJEM	\N	112	36495	UROK	\N	\N
3550126	595	1997-03-31	PRIJEM	\N	225	49117	UROK	\N	\N
3550127	595	1997-04-30	PRIJEM	\N	231	59294	UROK	\N	\N
3550128	595	1997-05-31	PRIJEM	\N	199	54552	UROK	\N	\N
3550129	595	1997-06-30	PRIJEM	\N	229	47237	UROK	\N	\N
3550130	595	1997-07-31	PRIJEM	\N	178	68789	UROK	\N	\N
3550131	595	1997-08-31	PRIJEM	\N	186	32411	UROK	\N	\N
3550132	595	1997-09-30	PRIJEM	\N	122	22416	UROK	\N	\N
3550133	595	1997-10-31	PRIJEM	\N	234	42904	UROK	\N	\N
3550134	595	1997-11-30	PRIJEM	\N	216	45817	UROK	\N	\N
3550135	595	1997-12-31	PRIJEM	\N	156	28926	UROK	\N	\N
3550136	595	1998-01-31	PRIJEM	\N	90	22100	UROK	\N	\N
3550137	595	1998-02-28	PRIJEM	\N	100	25583	UROK	\N	\N
3550138	595	1998-03-31	PRIJEM	\N	233	69562	UROK	\N	\N
3550139	595	1998-04-30	PRIJEM	\N	264	60390	UROK	\N	\N
3550140	595	1998-05-31	PRIJEM	\N	297	80965	UROK	\N	\N
3550141	595	1998-06-30	PRIJEM	\N	144	28461	UROK	\N	\N
3550142	595	1998-07-31	PRIJEM	\N	334	62062	UROK	\N	\N
3550143	595	1998-08-31	PRIJEM	\N	142	32273	UROK	\N	\N
3550144	595	1998-09-30	PRIJEM	\N	148	76990	UROK	\N	\N
3550145	595	1998-10-31	PRIJEM	\N	290	86234	UROK	\N	\N
3550146	595	1998-11-30	PRIJEM	\N	235	36769	UROK	\N	\N
3550147	595	1998-12-31	PRIJEM	\N	277	87581	UROK	\N	\N
3550148	597	1994-01-31	PRIJEM	\N	109	30016	UROK	\N	\N
3550149	597	1994-02-28	PRIJEM	\N	194	49416	UROK	\N	\N
3550150	597	1994-03-31	PRIJEM	\N	278	47801	UROK	\N	\N
3550151	597	1994-04-30	PRIJEM	\N	246	57754	UROK	\N	\N
3550152	597	1994-05-31	PRIJEM	\N	223	50749	UROK	\N	\N
3550153	597	1994-06-30	PRIJEM	\N	207	39717	UROK	\N	\N
3550154	597	1994-07-31	PRIJEM	\N	184	43958	UROK	\N	\N
3550155	597	1994-08-31	PRIJEM	\N	209	50224	UROK	\N	\N
3550156	597	1994-09-30	PRIJEM	\N	223	53205	UROK	\N	\N
3550157	597	1994-10-31	PRIJEM	\N	217	51479	UROK	\N	\N
3550158	597	1994-11-30	PRIJEM	\N	205	54141	UROK	\N	\N
3550159	597	1994-12-31	PRIJEM	\N	228	42329	UROK	\N	\N
3550160	597	1995-01-31	PRIJEM	\N	173	28660	UROK	\N	\N
3550161	597	1995-02-28	PRIJEM	\N	163	41780	UROK	\N	\N
3550162	597	1995-03-31	PRIJEM	\N	176	36513	UROK	\N	\N
3550163	597	1995-04-30	PRIJEM	\N	188	36958	UROK	\N	\N
3550164	597	1995-05-31	PRIJEM	\N	190	34905	UROK	\N	\N
3550165	597	1995-06-30	PRIJEM	\N	197	33463	UROK	\N	\N
3550166	597	1995-07-31	PRIJEM	\N	178	32499	UROK	\N	\N
3550167	597	1995-08-31	PRIJEM	\N	169	30325	UROK	\N	\N
3550168	597	1995-09-30	PRIJEM	\N	156	31539	UROK	\N	\N
3550169	597	1995-10-31	PRIJEM	\N	159	30555	UROK	\N	\N
3550170	597	1995-11-30	PRIJEM	\N	155	29767	UROK	\N	\N
3550171	597	1995-12-31	PRIJEM	\N	174	35102	UROK	\N	\N
3550172	597	1996-01-31	PRIJEM	\N	146	16905	UROK	\N	\N
3550173	597	1996-02-29	PRIJEM	\N	98	20360	UROK	\N	\N
3550174	597	1996-03-31	PRIJEM	\N	110	21528	UROK	\N	\N
3550175	597	1996-04-30	PRIJEM	\N	121	23606	UROK	\N	\N
3550176	597	1996-05-31	PRIJEM	\N	120	23484	UROK	\N	\N
3550177	597	1996-06-30	PRIJEM	\N	120	18364	UROK	\N	\N
3550178	597	1996-07-31	PRIJEM	\N	96	18717	UROK	\N	\N
3550179	597	1996-08-31	PRIJEM	\N	103	20978	UROK	\N	\N
3550180	597	1996-09-30	PRIJEM	\N	105	21741	UROK	\N	\N
3550181	597	1996-10-31	PRIJEM	\N	112	24810	UROK	\N	\N
3550182	597	1996-11-30	PRIJEM	\N	124	24591	UROK	\N	\N
3550183	597	1996-12-31	PRIJEM	\N	151	26603	UROK	\N	\N
3550184	597	1997-01-31	PRIJEM	\N	118	18478	UROK	\N	\N
3550185	597	1997-02-28	PRIJEM	\N	96	22331	UROK	\N	\N
3550186	597	1997-03-31	PRIJEM	\N	113	25902	UROK	\N	\N
3550187	597	1997-04-30	PRIJEM	\N	125	29484	UROK	\N	\N
3550188	597	1997-05-31	PRIJEM	\N	134	29075	UROK	\N	\N
3550189	597	1997-06-30	PRIJEM	\N	145	31180	UROK	\N	\N
3550190	597	1997-07-31	PRIJEM	\N	131	27069	UROK	\N	\N
3550191	597	1997-08-31	PRIJEM	\N	118	25744	UROK	\N	\N
3550192	597	1997-09-30	PRIJEM	\N	112	25114	UROK	\N	\N
3550193	597	1997-10-31	PRIJEM	\N	109	24680	UROK	\N	\N
3550194	597	1997-11-30	PRIJEM	\N	100	18038	UROK	\N	\N
3550195	597	1997-12-31	PRIJEM	\N	103	24601	UROK	\N	\N
3550196	597	1998-01-31	PRIJEM	\N	88	14946	UROK	\N	\N
3550197	597	1998-02-28	PRIJEM	\N	66	16370	UROK	\N	\N
3550198	597	1998-03-31	PRIJEM	\N	74	17201	UROK	\N	\N
3550199	597	1998-04-30	PRIJEM	\N	77	18635	UROK	\N	\N
3550200	597	1998-05-31	PRIJEM	\N	80	19173	UROK	\N	\N
3550201	597	1998-06-30	PRIJEM	\N	92	23025	UROK	\N	\N
3550202	597	1998-07-31	PRIJEM	\N	85	19067	UROK	\N	\N
3550203	597	1998-08-31	PRIJEM	\N	82	19506	UROK	\N	\N
3550204	597	1998-09-30	PRIJEM	\N	116	25679	UROK	\N	\N
3550205	597	1998-10-31	PRIJEM	\N	108	25645	UROK	\N	\N
3550206	597	1998-11-30	PRIJEM	\N	93	21596	UROK	\N	\N
3550207	597	1998-12-31	PRIJEM	\N	76	18332	UROK	\N	\N
3550208	598	1997-03-31	PRIJEM	\N	55	18727	UROK	\N	\N
3550209	598	1997-04-30	PRIJEM	\N	107	28406	UROK	\N	\N
3550210	598	1997-05-31	PRIJEM	\N	145	37123	UROK	\N	\N
3550211	598	1997-06-30	PRIJEM	\N	170	42201	UROK	\N	\N
3550212	598	1997-07-31	PRIJEM	\N	178	42971	UROK	\N	\N
3550213	598	1997-08-31	PRIJEM	\N	192	39439	UROK	\N	\N
3550214	598	1997-09-30	PRIJEM	\N	144	33359	UROK	\N	\N
3550215	598	1997-10-31	PRIJEM	\N	124	28079	UROK	\N	\N
3550216	598	1997-11-30	PRIJEM	\N	107	24862	UROK	\N	\N
3550217	598	1997-12-31	PRIJEM	\N	111	24285	UROK	\N	\N
3550218	598	1998-01-31	PRIJEM	\N	91	16612	UROK	\N	\N
3550219	598	1998-02-28	PRIJEM	\N	109	27398	UROK	\N	\N
3550220	598	1998-03-31	PRIJEM	\N	129	31204	UROK	\N	\N
3550221	598	1998-04-30	PRIJEM	\N	155	37836	UROK	\N	\N
3550222	598	1998-05-31	PRIJEM	\N	183	44495	UROK	\N	\N
3550223	598	1998-06-30	PRIJEM	\N	214	46281	UROK	\N	\N
3550224	598	1998-07-31	PRIJEM	\N	187	37385	UROK	\N	\N
3550225	598	1998-08-31	PRIJEM	\N	188	42029	UROK	\N	\N
3550226	598	1998-09-30	PRIJEM	\N	201	49307	UROK	\N	\N
3550227	598	1998-10-31	PRIJEM	\N	223	53806	UROK	\N	\N
3550228	598	1998-11-30	PRIJEM	\N	232	56914	UROK	\N	\N
3550229	598	1998-12-31	PRIJEM	\N	263	60390	UROK	\N	\N
3550230	599	1996-12-31	PRIJEM	\N	67	18417	UROK	\N	\N
3550231	599	1997-01-31	PRIJEM	\N	127	32276	UROK	\N	\N
3550232	599	1997-02-28	PRIJEM	\N	160	39669	UROK	\N	\N
3550233	599	1997-03-31	PRIJEM	\N	168	40470	UROK	\N	\N
3550234	599	1997-04-30	PRIJEM	\N	153	35471	UROK	\N	\N
3550235	599	1997-05-31	PRIJEM	\N	142	33146	UROK	\N	\N
3550236	599	1997-06-30	PRIJEM	\N	149	34945	UROK	\N	\N
3550237	599	1997-07-31	PRIJEM	\N	130	29908	UROK	\N	\N
3550238	599	1997-08-31	PRIJEM	\N	113	26355	UROK	\N	\N
3550239	599	1997-09-30	PRIJEM	\N	91	22459	UROK	\N	\N
3550240	599	1997-10-31	PRIJEM	\N	100	17392	UROK	\N	\N
3550241	599	1997-11-30	PRIJEM	\N	98	17223	UROK	\N	\N
3550242	599	1997-12-31	PRIJEM	\N	111	18885	UROK	\N	\N
3550243	599	1998-01-31	PRIJEM	\N	84	12682	UROK	\N	\N
3550244	599	1998-02-28	PRIJEM	\N	78	13293	UROK	\N	\N
3550245	599	1998-03-31	PRIJEM	\N	80	13406	UROK	\N	\N
3550246	599	1998-04-30	PRIJEM	\N	81	14860	UROK	\N	\N
3550247	599	1998-05-31	PRIJEM	\N	86	16680	UROK	\N	\N
3550248	599	1998-06-30	PRIJEM	\N	110	18840	UROK	\N	\N
3550249	599	1998-07-31	PRIJEM	\N	98	15472	UROK	\N	\N
3550250	599	1998-08-31	PRIJEM	\N	82	11287	UROK	\N	\N
3550251	599	1998-09-30	PRIJEM	\N	68	11989	UROK	\N	\N
3550252	599	1998-10-31	PRIJEM	\N	63	15345	UROK	\N	\N
3550253	599	1998-11-30	PRIJEM	\N	85	16764	UROK	\N	\N
3550254	599	1998-12-31	PRIJEM	\N	102	25876	UROK	\N	\N
3550255	600	1997-04-30	PRIJEM	\N	61	23158	UROK	\N	\N
3550256	600	1997-05-31	PRIJEM	\N	127	34782	UROK	\N	\N
3550257	600	1997-06-30	PRIJEM	\N	199	55577	UROK	\N	\N
3550258	600	1997-07-31	PRIJEM	\N	248	61922	UROK	\N	\N
3550259	600	1997-08-31	PRIJEM	\N	254	60572	UROK	\N	\N
3550260	600	1997-09-30	PRIJEM	\N	243	58346	UROK	\N	\N
3550261	600	1997-10-31	PRIJEM	\N	233	55609	UROK	\N	\N
3550262	600	1997-11-30	PRIJEM	\N	219	52158	UROK	\N	\N
3550263	600	1997-12-31	PRIJEM	\N	230	56217	UROK	\N	\N
3550264	600	1998-01-31	PRIJEM	\N	174	25062	UROK	\N	\N
3550265	600	1998-02-28	PRIJEM	\N	132	36424	UROK	\N	\N
3550266	600	1998-03-31	PRIJEM	\N	163	40597	UROK	\N	\N
3550267	600	1998-04-30	PRIJEM	\N	181	45808	UROK	\N	\N
3550268	600	1998-05-31	PRIJEM	\N	174	41512	UROK	\N	\N
3550269	600	1998-06-30	PRIJEM	\N	169	45390	UROK	\N	\N
3550270	600	1998-07-31	PRIJEM	\N	196	49016	UROK	\N	\N
3550271	600	1998-08-31	PRIJEM	\N	199	48346	UROK	\N	\N
3550272	600	1998-09-30	PRIJEM	\N	191	47407	UROK	\N	\N
3550273	600	1998-10-31	PRIJEM	\N	182	40539	UROK	\N	\N
3550274	600	1998-11-30	PRIJEM	\N	172	42641	UROK	\N	\N
3550275	600	1998-12-31	PRIJEM	\N	190	47360	UROK	\N	\N
3550276	601	1993-08-31	PRIJEM	\N	11	3656	UROK	\N	\N
3550277	601	1993-09-30	PRIJEM	\N	15	7016	UROK	\N	\N
3550278	601	1993-10-31	PRIJEM	\N	15	10377	UROK	\N	\N
3550279	601	1993-11-30	PRIJEM	\N	15	13737	UROK	\N	\N
3550280	601	1993-12-31	PRIJEM	\N	47	14718	UROK	\N	\N
3550281	601	1994-01-31	PRIJEM	\N	58	12367	UROK	\N	\N
3550282	601	1994-02-28	PRIJEM	\N	55	13522	UROK	\N	\N
3550283	601	1994-03-31	PRIJEM	\N	58	13930	UROK	\N	\N
3550284	601	1994-04-30	PRIJEM	\N	57	13678	UROK	\N	\N
3550285	601	1994-05-31	PRIJEM	\N	60	14839	UROK	\N	\N
3550286	601	1994-06-30	PRIJEM	\N	63	14802	UROK	\N	\N
3550287	601	1994-07-31	PRIJEM	\N	64	14646	UROK	\N	\N
3550288	601	1994-08-31	PRIJEM	\N	62	14728	UROK	\N	\N
3550289	601	1994-09-30	PRIJEM	\N	64	15893	UROK	\N	\N
3550290	601	1994-10-31	PRIJEM	\N	69	17062	UROK	\N	\N
3550291	601	1994-11-30	PRIJEM	\N	74	18237	UROK	\N	\N
3550292	601	1994-12-31	PRIJEM	\N	79	19116	UROK	\N	\N
3550293	601	1995-01-31	PRIJEM	\N	70	14916	UROK	\N	\N
3550294	601	1995-02-28	PRIJEM	\N	64	15601	UROK	\N	\N
3550295	601	1995-03-31	PRIJEM	\N	68	16769	UROK	\N	\N
3550296	601	1995-04-30	PRIJEM	\N	73	17942	UROK	\N	\N
3550297	601	1995-05-31	PRIJEM	\N	78	19120	UROK	\N	\N
3550298	601	1995-06-30	PRIJEM	\N	83	20303	UROK	\N	\N
3550299	601	1995-07-31	PRIJEM	\N	88	21191	UROK	\N	\N
3550300	601	1995-08-31	PRIJEM	\N	90	21541	UROK	\N	\N
3550301	601	1995-09-30	PRIJEM	\N	93	22734	UROK	\N	\N
3550302	601	1995-10-31	PRIJEM	\N	97	23231	UROK	\N	\N
3550303	601	1995-11-30	PRIJEM	\N	99	23921	UROK	\N	\N
3550304	601	1995-12-31	PRIJEM	\N	102	24973	UROK	\N	\N
3550305	601	1996-01-31	PRIJEM	\N	81	18145	UROK	\N	\N
3550306	601	1996-02-29	PRIJEM	\N	78	19323	UROK	\N	\N
3550307	601	1996-03-31	PRIJEM	\N	81	19545	UROK	\N	\N
3550308	601	1996-04-30	PRIJEM	\N	84	20730	UROK	\N	\N
3550309	601	1996-05-31	PRIJEM	\N	88	21518	UROK	\N	\N
3550310	601	1996-06-30	PRIJEM	\N	67	15816	UROK	\N	\N
3550311	601	1996-07-31	PRIJEM	\N	68	16985	UROK	\N	\N
3550312	601	1996-08-31	PRIJEM	\N	73	18159	UROK	\N	\N
3550313	601	1996-09-30	PRIJEM	\N	75	17684	UROK	\N	\N
3550314	601	1996-10-31	PRIJEM	\N	76	18760	UROK	\N	\N
3550315	601	1996-11-30	PRIJEM	\N	81	19941	UROK	\N	\N
3550316	601	1996-12-31	PRIJEM	\N	76	17428	UROK	\N	\N
3550317	601	1997-01-31	PRIJEM	\N	67	14905	UROK	\N	\N
3550318	601	1997-02-28	PRIJEM	\N	64	16070	UROK	\N	\N
3550319	601	1997-03-31	PRIJEM	\N	69	16938	UROK	\N	\N
3550320	601	1997-04-30	PRIJEM	\N	67	15405	UROK	\N	\N
3550321	601	1997-05-31	PRIJEM	\N	66	16572	UROK	\N	\N
3550322	601	1997-06-30	PRIJEM	\N	64	14837	UROK	\N	\N
3550323	601	1997-07-31	PRIJEM	\N	64	16001	UROK	\N	\N
3550324	601	1997-08-31	PRIJEM	\N	68	16769	UROK	\N	\N
3550325	601	1997-09-30	PRIJEM	\N	71	17310	UROK	\N	\N
3550326	601	1997-10-31	PRIJEM	\N	74	18485	UROK	\N	\N
3550327	601	1997-11-30	PRIJEM	\N	79	19664	UROK	\N	\N
3550328	601	1997-12-31	PRIJEM	\N	76	17040	UROK	\N	\N
3550329	601	1998-01-31	PRIJEM	\N	67	15208	UROK	\N	\N
3550330	601	1998-02-28	PRIJEM	\N	65	16373	UROK	\N	\N
3550331	601	1998-03-31	PRIJEM	\N	70	16313	UROK	\N	\N
3550332	601	1998-04-30	PRIJEM	\N	69	16972	UROK	\N	\N
3550333	601	1998-05-31	PRIJEM	\N	64	15236	UROK	\N	\N
3550334	601	1998-06-30	PRIJEM	\N	65	16402	UROK	\N	\N
3550335	601	1998-07-31	PRIJEM	\N	67	16369	UROK	\N	\N
3550336	601	1998-08-31	PRIJEM	\N	68	15678	UROK	\N	\N
3550337	601	1998-09-30	PRIJEM	\N	64	15761	UROK	\N	\N
3550338	601	1998-10-31	PRIJEM	\N	66	16208	UROK	\N	\N
3550339	601	1998-11-30	PRIJEM	\N	69	17377	UROK	\N	\N
3550340	601	1998-12-31	PRIJEM	\N	69	16456	UROK	\N	\N
3550341	602	1995-11-30	PRIJEM	\N	10	14797	UROK	\N	\N
3550342	602	1995-12-31	PRIJEM	\N	68	22245	UROK	\N	\N
3550343	602	1996-01-31	PRIJEM	\N	94	24126	UROK	\N	\N
3550344	602	1996-02-29	PRIJEM	\N	98	21811	UROK	\N	\N
3550345	602	1996-03-31	PRIJEM	\N	92	19700	UROK	\N	\N
3550346	602	1996-04-30	PRIJEM	\N	85	19466	UROK	\N	\N
3550347	602	1996-05-31	PRIJEM	\N	85	20233	UROK	\N	\N
3550348	602	1996-06-30	PRIJEM	\N	89	16856	UROK	\N	\N
3550349	602	1996-07-31	PRIJEM	\N	70	13807	UROK	\N	\N
3550350	602	1996-08-31	PRIJEM	\N	61	14550	UROK	\N	\N
3550351	602	1996-09-30	PRIJEM	\N	59	13610	UROK	\N	\N
3550352	602	1996-10-31	PRIJEM	\N	62	15253	UROK	\N	\N
3550353	602	1996-11-30	PRIJEM	\N	69	16903	UROK	\N	\N
3550354	602	1996-12-31	PRIJEM	\N	64	11701	UROK	\N	\N
3550355	602	1997-01-31	PRIJEM	\N	52	12375	UROK	\N	\N
3550356	602	1997-02-28	PRIJEM	\N	52	11608	UROK	\N	\N
3550357	602	1997-03-31	PRIJEM	\N	49	10439	UROK	\N	\N
3550358	602	1997-04-30	PRIJEM	\N	47	11267	UROK	\N	\N
3550359	602	1997-05-31	PRIJEM	\N	51	12299	UROK	\N	\N
3550360	602	1997-06-30	PRIJEM	\N	61	14835	UROK	\N	\N
3550361	602	1997-07-31	PRIJEM	\N	64	15080	UROK	\N	\N
3550362	602	1997-08-31	PRIJEM	\N	55	10416	UROK	\N	\N
3550363	602	1997-09-30	PRIJEM	\N	51	13449	UROK	\N	\N
3550364	602	1997-10-31	PRIJEM	\N	53	11283	UROK	\N	\N
3550365	602	1997-11-30	PRIJEM	\N	47	10711	UROK	\N	\N
3550366	602	1997-12-31	PRIJEM	\N	52	12538	UROK	\N	\N
3550367	602	1998-01-31	PRIJEM	\N	50	12409	UROK	\N	\N
3550368	602	1998-02-28	PRIJEM	\N	52	12142	UROK	\N	\N
3550369	602	1998-03-31	PRIJEM	\N	55	13779	UROK	\N	\N
3550370	602	1998-04-30	PRIJEM	\N	53	11613	UROK	\N	\N
3550371	602	1998-05-31	PRIJEM	\N	53	13248	UROK	\N	\N
3550372	602	1998-06-30	PRIJEM	\N	55	12478	UROK	\N	\N
3550373	602	1998-07-31	PRIJEM	\N	49	11108	UROK	\N	\N
3550374	602	1998-08-31	PRIJEM	\N	45	10735	UROK	\N	\N
3550375	602	1998-09-30	PRIJEM	\N	49	12365	UROK	\N	\N
3550376	602	1998-10-31	PRIJEM	\N	56	14003	UROK	\N	\N
3550377	602	1998-11-30	PRIJEM	\N	63	15647	UROK	\N	\N
3550378	602	1998-12-31	PRIJEM	\N	76	18577	UROK	\N	\N
3550379	603	1996-06-30	PRIJEM	\N	47	18970	UROK	\N	\N
3550380	603	1996-07-31	PRIJEM	\N	123	36476	UROK	\N	\N
3550381	603	1996-08-31	PRIJEM	\N	166	42023	UROK	\N	\N
3550382	603	1996-09-30	PRIJEM	\N	190	48195	UROK	\N	\N
3550383	603	1996-10-31	PRIJEM	\N	208	51285	UROK	\N	\N
3550384	603	1996-11-30	PRIJEM	\N	205	50096	UROK	\N	\N
3550385	603	1996-12-31	PRIJEM	\N	213	53216	UROK	\N	\N
3550386	603	1997-01-31	PRIJEM	\N	165	30807	UROK	\N	\N
3550387	603	1997-02-28	PRIJEM	\N	151	40964	UROK	\N	\N
3550388	603	1997-03-31	PRIJEM	\N	176	44387	UROK	\N	\N
3550389	603	1997-04-30	PRIJEM	\N	195	49688	UROK	\N	\N
3550390	603	1997-05-31	PRIJEM	\N	217	55011	UROK	\N	\N
3550391	603	1997-06-30	PRIJEM	\N	193	49231	UROK	\N	\N
3550392	603	1997-07-31	PRIJEM	\N	197	49475	UROK	\N	\N
3550393	603	1997-08-31	PRIJEM	\N	204	48545	UROK	\N	\N
3550394	603	1997-09-30	PRIJEM	\N	206	51857	UROK	\N	\N
3550395	603	1997-10-31	PRIJEM	\N	218	54482	UROK	\N	\N
3550396	603	1997-11-30	PRIJEM	\N	227	56515	UROK	\N	\N
3550397	603	1997-12-31	PRIJEM	\N	243	59405	UROK	\N	\N
3550398	603	1998-01-31	PRIJEM	\N	182	38694	UROK	\N	\N
3550399	603	1998-02-28	PRIJEM	\N	179	47079	UROK	\N	\N
3550400	603	1998-03-31	PRIJEM	\N	211	54196	UROK	\N	\N
3550401	603	1998-04-30	PRIJEM	\N	232	58435	UROK	\N	\N
3550402	603	1998-05-31	PRIJEM	\N	252	60994	UROK	\N	\N
3550403	603	1998-06-30	PRIJEM	\N	257	60858	UROK	\N	\N
3550404	603	1998-07-31	PRIJEM	\N	254	63219	UROK	\N	\N
3550405	603	1998-08-31	PRIJEM	\N	268	64893	UROK	\N	\N
3550406	603	1998-09-30	PRIJEM	\N	287	63486	UROK	\N	\N
3550407	603	1998-10-31	PRIJEM	\N	281	63073	UROK	\N	\N
3550408	603	1998-11-30	PRIJEM	\N	276	57856	UROK	\N	\N
3550409	603	1998-12-31	PRIJEM	\N	262	64166	UROK	\N	\N
3550410	605	1997-02-28	PRIJEM	\N	28	10943	UROK	\N	\N
3550411	605	1997-03-31	PRIJEM	\N	89	27247	UROK	\N	\N
3550412	605	1997-04-30	PRIJEM	\N	130	33491	UROK	\N	\N
3550413	605	1997-05-31	PRIJEM	\N	148	36854	UROK	\N	\N
3550414	605	1997-06-30	PRIJEM	\N	151	35201	UROK	\N	\N
3550415	605	1997-07-31	PRIJEM	\N	130	27796	UROK	\N	\N
3550416	605	1997-08-31	PRIJEM	\N	101	21621	UROK	\N	\N
3550417	605	1997-09-30	PRIJEM	\N	83	18788	UROK	\N	\N
3550418	605	1997-10-31	PRIJEM	\N	87	22299	UROK	\N	\N
3550419	605	1997-11-30	PRIJEM	\N	80	15063	UROK	\N	\N
3550420	605	1997-12-31	PRIJEM	\N	80	21026	UROK	\N	\N
3550421	605	1998-01-31	PRIJEM	\N	70	13640	UROK	\N	\N
3550422	605	1998-02-28	PRIJEM	\N	64	12328	UROK	\N	\N
3550423	605	1998-03-31	PRIJEM	\N	54	13526	UROK	\N	\N
3550424	605	1998-04-30	PRIJEM	\N	64	17014	UROK	\N	\N
3550425	605	1998-05-31	PRIJEM	\N	56	13494	UROK	\N	\N
3550426	605	1998-06-30	PRIJEM	\N	71	12368	UROK	\N	\N
3550427	605	1998-07-31	PRIJEM	\N	58	11450	UROK	\N	\N
3550428	605	1998-08-31	PRIJEM	\N	56	14930	UROK	\N	\N
3550429	605	1998-09-30	PRIJEM	\N	70	18424	UROK	\N	\N
3550430	605	1998-10-31	PRIJEM	\N	76	13284	UROK	\N	\N
3550431	605	1998-11-30	PRIJEM	\N	63	16772	UROK	\N	\N
3550432	605	1998-12-31	PRIJEM	\N	90	25444	UROK	\N	\N
3550433	606	1997-11-30	PRIJEM	\N	82	23706	UROK	\N	\N
3550434	606	1997-12-31	PRIJEM	\N	224	59866	UROK	\N	\N
3550435	606	1998-01-31	PRIJEM	\N	272	66763	UROK	\N	\N
3550436	606	1998-02-28	PRIJEM	\N	280	67567	UROK	\N	\N
3550437	606	1998-03-31	PRIJEM	\N	259	60638	UROK	\N	\N
3550438	606	1998-04-30	PRIJEM	\N	237	55774	UROK	\N	\N
3550439	606	1998-05-31	PRIJEM	\N	211	49284	UROK	\N	\N
3550440	606	1998-06-30	PRIJEM	\N	229	43822	UROK	\N	\N
3550441	606	1998-07-31	PRIJEM	\N	207	50227	UROK	\N	\N
3550442	606	1998-08-31	PRIJEM	\N	220	52846	UROK	\N	\N
3550443	606	1998-09-30	PRIJEM	\N	221	52665	UROK	\N	\N
3550444	606	1998-10-31	PRIJEM	\N	213	40377	UROK	\N	\N
3550445	606	1998-11-30	PRIJEM	\N	213	46188	UROK	\N	\N
3550446	606	1998-12-31	PRIJEM	\N	282	71380	UROK	\N	\N
3550447	607	1995-07-31	PRIJEM	\N	2	16222	UROK	\N	\N
3550448	607	1995-08-31	PRIJEM	\N	63	16053	UROK	\N	\N
3550449	607	1995-09-30	PRIJEM	\N	69	17150	UROK	\N	\N
3550450	607	1995-10-31	PRIJEM	\N	74	18251	UROK	\N	\N
3550451	607	1995-11-30	PRIJEM	\N	79	19357	UROK	\N	\N
3550452	607	1995-12-31	PRIJEM	\N	83	20227	UROK	\N	\N
3550453	607	1996-01-31	PRIJEM	\N	74	16829	UROK	\N	\N
3550454	607	1996-02-29	PRIJEM	\N	72	17929	UROK	\N	\N
3550455	607	1996-03-31	PRIJEM	\N	77	19033	UROK	\N	\N
3550456	607	1996-04-30	PRIJEM	\N	82	19602	UROK	\N	\N
3550457	607	1996-05-31	PRIJEM	\N	84	20714	UROK	\N	\N
3550458	607	1996-06-30	PRIJEM	\N	81	19452	UROK	\N	\N
3550459	607	1996-07-31	PRIJEM	\N	81	19600	UROK	\N	\N
3550460	607	1996-08-31	PRIJEM	\N	83	20050	UROK	\N	\N
3550461	607	1996-09-30	PRIJEM	\N	86	21163	UROK	\N	\N
3550462	607	1996-10-31	PRIJEM	\N	91	22281	UROK	\N	\N
3550463	607	1996-11-30	PRIJEM	\N	95	23404	UROK	\N	\N
3550464	607	1996-12-31	PRIJEM	\N	85	20406	UROK	\N	\N
3550465	607	1997-01-31	PRIJEM	\N	81	15485	UROK	\N	\N
3550466	607	1997-02-28	PRIJEM	\N	67	16579	UROK	\N	\N
3550467	607	1997-03-31	PRIJEM	\N	65	15671	UROK	\N	\N
3550468	607	1997-04-30	PRIJEM	\N	61	15629	UROK	\N	\N
3550469	607	1997-05-31	PRIJEM	\N	67	16724	UROK	\N	\N
3550470	607	1997-06-30	PRIJEM	\N	72	17823	UROK	\N	\N
3550471	607	1997-07-31	PRIJEM	\N	66	16516	UROK	\N	\N
3550472	607	1997-08-31	PRIJEM	\N	63	15906	UROK	\N	\N
3550473	607	1997-09-30	PRIJEM	\N	56	14090	UROK	\N	\N
3550474	607	1997-10-31	PRIJEM	\N	61	15178	UROK	\N	\N
3550475	607	1997-11-30	PRIJEM	\N	57	14252	UROK	\N	\N
3550476	607	1997-12-31	PRIJEM	\N	57	14137	UROK	\N	\N
3550477	607	1998-01-31	PRIJEM	\N	57	14351	UROK	\N	\N
3550478	607	1998-02-28	PRIJEM	\N	52	13330	UROK	\N	\N
3550479	607	1998-03-31	PRIJEM	\N	57	14415	UROK	\N	\N
3550480	607	1998-04-30	PRIJEM	\N	62	15504	UROK	\N	\N
3550481	607	1998-05-31	PRIJEM	\N	64	15216	UROK	\N	\N
3550482	607	1998-06-30	PRIJEM	\N	58	14901	UROK	\N	\N
3550483	607	1998-07-31	PRIJEM	\N	64	15992	UROK	\N	\N
3550484	607	1998-08-31	PRIJEM	\N	68	17088	UROK	\N	\N
3550485	607	1998-09-30	PRIJEM	\N	73	18188	UROK	\N	\N
3550486	607	1998-10-31	PRIJEM	\N	75	12590	UROK	\N	\N
3550487	607	1998-11-30	PRIJEM	\N	54	13671	UROK	\N	\N
3550488	607	1998-12-31	PRIJEM	\N	59	14757	UROK	\N	\N
3550489	608	1995-08-31	PRIJEM	\N	3	23778	UROK	\N	\N
3550490	608	1995-09-30	PRIJEM	\N	104	25007	UROK	\N	\N
3550491	608	1995-10-31	PRIJEM	\N	106	24139	UROK	\N	\N
3550492	608	1995-11-30	PRIJEM	\N	106	25970	UROK	\N	\N
3550493	608	1995-12-31	PRIJEM	\N	94	23400	UROK	\N	\N
3550494	608	1996-01-31	PRIJEM	\N	81	16636	UROK	\N	\N
3550495	608	1996-02-29	PRIJEM	\N	75	18436	UROK	\N	\N
3550496	608	1996-03-31	PRIJEM	\N	77	19358	UROK	\N	\N
3550497	608	1996-04-30	PRIJEM	\N	86	21170	UROK	\N	\N
3550498	608	1996-05-31	PRIJEM	\N	93	22888	UROK	\N	\N
3550499	608	1996-06-30	PRIJEM	\N	96	21709	UROK	\N	\N
3550500	608	1996-07-31	PRIJEM	\N	91	20625	UROK	\N	\N
3550501	608	1996-08-31	PRIJEM	\N	82	19533	UROK	\N	\N
3550502	608	1996-09-30	PRIJEM	\N	83	19181	UROK	\N	\N
3550503	608	1996-10-31	PRIJEM	\N	81	17388	UROK	\N	\N
3550504	608	1996-11-30	PRIJEM	\N	76	18589	UROK	\N	\N
3550505	608	1996-12-31	PRIJEM	\N	78	18093	UROK	\N	\N
3550506	608	1997-01-31	PRIJEM	\N	58	13697	UROK	\N	\N
3550507	608	1997-02-28	PRIJEM	\N	52	11174	UROK	\N	\N
3550508	608	1997-03-31	PRIJEM	\N	50	12350	UROK	\N	\N
3550509	608	1997-04-30	PRIJEM	\N	57	14132	UROK	\N	\N
3550510	608	1997-05-31	PRIJEM	\N	56	12513	UROK	\N	\N
3550511	608	1997-06-30	PRIJEM	\N	57	14296	UROK	\N	\N
3550512	608	1997-07-31	PRIJEM	\N	57	12978	UROK	\N	\N
3550513	608	1997-08-31	PRIJEM	\N	59	14763	UROK	\N	\N
3550514	608	1997-09-30	PRIJEM	\N	66	16074	UROK	\N	\N
3550515	608	1997-10-31	PRIJEM	\N	72	17871	UROK	\N	\N
3550516	608	1997-11-30	PRIJEM	\N	79	19676	UROK	\N	\N
3550517	608	1997-12-31	PRIJEM	\N	87	21188	UROK	\N	\N
3550518	608	1998-01-31	PRIJEM	\N	64	15087	UROK	\N	\N
3550519	608	1998-02-28	PRIJEM	\N	62	14555	UROK	\N	\N
3550520	608	1998-03-31	PRIJEM	\N	65	16345	UROK	\N	\N
3550521	608	1998-04-30	PRIJEM	\N	55	12026	UROK	\N	\N
3550522	608	1998-05-31	PRIJEM	\N	55	13806	UROK	\N	\N
3550523	608	1998-06-30	PRIJEM	\N	62	15593	UROK	\N	\N
3550524	608	1998-07-31	PRIJEM	\N	70	17388	UROK	\N	\N
3550525	608	1998-08-31	PRIJEM	\N	77	19191	UROK	\N	\N
3550526	608	1998-09-30	PRIJEM	\N	75	18831	UROK	\N	\N
3550527	608	1998-10-31	PRIJEM	\N	83	20639	UROK	\N	\N
3550528	608	1998-11-30	PRIJEM	\N	90	22455	UROK	\N	\N
3550529	608	1998-12-31	PRIJEM	\N	96	23777	UROK	\N	\N
3550530	609	1994-10-31	PRIJEM	\N	2	15482	UROK	\N	\N
3550531	609	1994-11-30	PRIJEM	\N	66	16519	UROK	\N	\N
3550532	609	1994-12-31	PRIJEM	\N	70	17381	UROK	\N	\N
3550533	609	1995-01-31	PRIJEM	\N	66	15448	UROK	\N	\N
3550534	609	1995-02-28	PRIJEM	\N	60	15040	UROK	\N	\N
3550535	609	1995-03-31	PRIJEM	\N	64	16075	UROK	\N	\N
3550536	609	1995-04-30	PRIJEM	\N	68	17115	UROK	\N	\N
3550537	609	1995-05-31	PRIJEM	\N	70	17346	UROK	\N	\N
3550538	609	1995-06-30	PRIJEM	\N	72	17399	UROK	\N	\N
3550539	609	1995-07-31	PRIJEM	\N	70	17210	UROK	\N	\N
3550540	609	1995-08-31	PRIJEM	\N	71	17202	UROK	\N	\N
3550541	609	1995-09-30	PRIJEM	\N	73	17286	UROK	\N	\N
3550542	609	1995-10-31	PRIJEM	\N	74	18331	UROK	\N	\N
3550543	609	1995-11-30	PRIJEM	\N	78	19380	UROK	\N	\N
3550544	609	1995-12-31	PRIJEM	\N	82	19923	UROK	\N	\N
3550545	609	1996-01-31	PRIJEM	\N	76	17461	UROK	\N	\N
3550546	609	1996-02-29	PRIJEM	\N	71	17453	UROK	\N	\N
3550547	609	1996-03-31	PRIJEM	\N	73	17898	UROK	\N	\N
3550548	609	1996-04-30	PRIJEM	\N	76	18945	UROK	\N	\N
3550549	609	1996-05-31	PRIJEM	\N	80	19997	UROK	\N	\N
3550550	609	1996-06-30	PRIJEM	\N	85	21053	UROK	\N	\N
3550551	609	1996-07-31	PRIJEM	\N	87	20821	UROK	\N	\N
3550552	609	1996-08-31	PRIJEM	\N	88	21881	UROK	\N	\N
3550553	609	1996-09-30	PRIJEM	\N	92	22945	UROK	\N	\N
3550554	609	1996-10-31	PRIJEM	\N	97	24013	UROK	\N	\N
3550555	609	1996-11-30	PRIJEM	\N	98	23432	UROK	\N	\N
3550556	609	1996-12-31	PRIJEM	\N	97	23990	UROK	\N	\N
3550557	609	1997-01-31	PRIJEM	\N	95	21306	UROK	\N	\N
3550558	609	1997-02-28	PRIJEM	\N	87	21735	UROK	\N	\N
3550559	609	1997-03-31	PRIJEM	\N	88	20724	UROK	\N	\N
3550560	609	1997-04-30	PRIJEM	\N	86	20790	UROK	\N	\N
3550561	609	1997-05-31	PRIJEM	\N	87	21849	UROK	\N	\N
3550562	609	1997-06-30	PRIJEM	\N	87	21708	UROK	\N	\N
3550563	609	1997-07-31	PRIJEM	\N	91	22770	UROK	\N	\N
3550564	609	1997-08-31	PRIJEM	\N	96	23837	UROK	\N	\N
3550565	609	1997-09-30	PRIJEM	\N	100	24909	UROK	\N	\N
3550566	609	1997-10-31	PRIJEM	\N	105	25985	UROK	\N	\N
3550567	609	1997-11-30	PRIJEM	\N	109	27065	UROK	\N	\N
3550568	609	1997-12-31	PRIJEM	\N	113	27639	UROK	\N	\N
3550569	609	1998-01-31	PRIJEM	\N	107	24968	UROK	\N	\N
3550570	609	1998-02-28	PRIJEM	\N	104	26043	UROK	\N	\N
3550571	609	1998-03-31	PRIJEM	\N	109	25893	UROK	\N	\N
3550572	609	1998-04-30	PRIJEM	\N	108	26973	UROK	\N	\N
3550573	609	1998-05-31	PRIJEM	\N	111	26796	UROK	\N	\N
3550574	609	1998-06-30	PRIJEM	\N	106	23193	UROK	\N	\N
3550575	609	1998-07-31	PRIJEM	\N	93	21957	UROK	\N	\N
3550576	609	1998-08-31	PRIJEM	\N	92	23020	UROK	\N	\N
3550577	609	1998-09-30	PRIJEM	\N	96	24088	UROK	\N	\N
3550578	609	1998-10-31	PRIJEM	\N	99	24768	UROK	\N	\N
3550579	609	1998-11-30	PRIJEM	\N	101	25270	UROK	\N	\N
3550580	609	1998-12-31	PRIJEM	\N	105	26136	UROK	\N	\N
3550581	610	1994-09-30	PRIJEM	\N	73	25190	UROK	\N	\N
3550582	610	1994-10-31	PRIJEM	\N	145	38752	UROK	\N	\N
3550583	610	1994-11-30	PRIJEM	\N	185	46754	UROK	\N	\N
3550584	610	1994-12-31	PRIJEM	\N	214	53094	UROK	\N	\N
3550585	610	1995-01-31	PRIJEM	\N	186	41996	UROK	\N	\N
3550586	610	1995-02-28	PRIJEM	\N	183	44193	UROK	\N	\N
3550587	610	1995-03-31	PRIJEM	\N	202	50298	UROK	\N	\N
3550588	610	1995-04-30	PRIJEM	\N	217	52918	UROK	\N	\N
3550589	610	1995-05-31	PRIJEM	\N	183	43471	UROK	\N	\N
3550590	610	1995-06-30	PRIJEM	\N	221	55603	UROK	\N	\N
3550591	610	1995-07-31	PRIJEM	\N	244	59649	UROK	\N	\N
3550592	610	1995-08-31	PRIJEM	\N	300	53352	UROK	\N	\N
3550593	610	1995-09-30	PRIJEM	\N	223	54919	UROK	\N	\N
3550594	610	1995-10-31	PRIJEM	\N	275	63297	UROK	\N	\N
3550595	610	1995-11-30	PRIJEM	\N	265	58964	UROK	\N	\N
3550596	610	1995-12-31	PRIJEM	\N	285	70392	UROK	\N	\N
3550597	610	1996-01-31	PRIJEM	\N	313	60407	UROK	\N	\N
3550598	610	1996-02-29	PRIJEM	\N	306	76616	UROK	\N	\N
3550599	610	1996-03-31	PRIJEM	\N	333	80951	UROK	\N	\N
3550600	610	1996-04-30	PRIJEM	\N	364	80817	UROK	\N	\N
3550601	610	1996-05-31	PRIJEM	\N	354	85674	UROK	\N	\N
3550602	610	1996-06-30	PRIJEM	\N	369	72382	UROK	\N	\N
3550603	610	1996-07-31	PRIJEM	\N	341	85326	UROK	\N	\N
3550604	610	1996-08-31	PRIJEM	\N	258	63586	UROK	\N	\N
3550605	610	1996-09-30	PRIJEM	\N	270	63110	UROK	\N	\N
3550606	610	1996-10-31	PRIJEM	\N	263	67775	UROK	\N	\N
3550607	610	1996-11-30	PRIJEM	\N	300	59778	UROK	\N	\N
3550608	610	1996-12-31	PRIJEM	\N	283	70372	UROK	\N	\N
3550609	610	1997-01-31	PRIJEM	\N	243	47253	UROK	\N	\N
3550610	610	1997-02-28	PRIJEM	\N	201	60556	UROK	\N	\N
3550611	610	1997-03-31	PRIJEM	\N	253	65711	UROK	\N	\N
3550612	610	1997-04-30	PRIJEM	\N	274	70988	UROK	\N	\N
3550613	610	1997-05-31	PRIJEM	\N	346	70036	UROK	\N	\N
3550614	610	1997-06-30	PRIJEM	\N	322	59529	UROK	\N	\N
3550615	610	1997-07-31	PRIJEM	\N	285	43086	UROK	\N	\N
3550616	610	1997-08-31	PRIJEM	\N	252	59614	UROK	\N	\N
3550617	610	1997-09-30	PRIJEM	\N	246	54335	UROK	\N	\N
3550618	610	1997-10-31	PRIJEM	\N	243	54678	UROK	\N	\N
3550619	610	1997-11-30	PRIJEM	\N	236	64816	UROK	\N	\N
3550620	610	1997-12-31	PRIJEM	\N	327	73054	UROK	\N	\N
3550621	610	1998-01-31	PRIJEM	\N	272	55128	UROK	\N	\N
3550622	610	1998-02-28	PRIJEM	\N	249	60079	UROK	\N	\N
3550623	610	1998-03-31	PRIJEM	\N	256	66338	UROK	\N	\N
3550624	610	1998-04-30	PRIJEM	\N	282	74122	UROK	\N	\N
3550625	610	1998-05-31	PRIJEM	\N	309	77634	UROK	\N	\N
3550626	610	1998-06-30	PRIJEM	\N	358	80803	UROK	\N	\N
3550627	610	1998-07-31	PRIJEM	\N	334	82339	UROK	\N	\N
3550628	610	1998-08-31	PRIJEM	\N	341	84183	UROK	\N	\N
3550629	610	1998-09-30	PRIJEM	\N	353	85238	UROK	\N	\N
3550630	610	1998-10-31	PRIJEM	\N	352	86492	UROK	\N	\N
3550631	610	1998-11-30	PRIJEM	\N	262	64256	UROK	\N	\N
3550632	610	1998-12-31	PRIJEM	\N	344	98512	UROK	\N	\N
3550633	611	1997-12-31	PRIJEM	\N	26	17501	UROK	\N	\N
3550634	611	1998-01-31	PRIJEM	\N	63	12633	UROK	\N	\N
3550635	611	1998-02-28	PRIJEM	\N	56	13816	UROK	\N	\N
3550636	611	1998-03-31	PRIJEM	\N	49	11064	UROK	\N	\N
3550637	611	1998-04-30	PRIJEM	\N	49	12242	UROK	\N	\N
3550638	611	1998-05-31	PRIJEM	\N	50	11620	UROK	\N	\N
3550639	611	1998-06-30	PRIJEM	\N	51	12800	UROK	\N	\N
3550640	611	1998-07-31	PRIJEM	\N	55	13353	UROK	\N	\N
3550641	611	1998-08-31	PRIJEM	\N	53	11834	UROK	\N	\N
3550642	611	1998-09-30	PRIJEM	\N	46	10409	UROK	\N	\N
3550643	611	1998-10-31	PRIJEM	\N	46	11583	UROK	\N	\N
3550644	611	1998-11-30	PRIJEM	\N	51	12763	UROK	\N	\N
3550645	611	1998-12-31	PRIJEM	\N	56	13948	UROK	\N	\N
3550646	612	1996-10-31	PRIJEM	\N	41	12325	UROK	\N	\N
3550647	612	1996-11-30	PRIJEM	\N	54	13333	UROK	\N	\N
3550648	612	1996-12-31	PRIJEM	\N	56	12122	UROK	\N	\N
3550649	612	1997-01-31	PRIJEM	\N	49	10885	UROK	\N	\N
3550650	612	1997-02-28	PRIJEM	\N	48	11887	UROK	\N	\N
3550651	612	1997-03-31	PRIJEM	\N	53	12893	UROK	\N	\N
3550652	612	1997-04-30	PRIJEM	\N	57	13903	UROK	\N	\N
3550653	612	1997-05-31	PRIJEM	\N	59	13715	UROK	\N	\N
3550654	612	1997-06-30	PRIJEM	\N	60	14729	UROK	\N	\N
3550655	612	1997-07-31	PRIJEM	\N	57	10850	UROK	\N	\N
3550656	612	1997-08-31	PRIJEM	\N	48	11851	UROK	\N	\N
3550657	612	1997-09-30	PRIJEM	\N	52	12497	UROK	\N	\N
3550658	612	1997-10-31	PRIJEM	\N	55	13505	UROK	\N	\N
3550659	612	1997-11-30	PRIJEM	\N	59	14518	UROK	\N	\N
3550660	612	1997-12-31	PRIJEM	\N	62	15144	UROK	\N	\N
3550661	612	1998-01-31	PRIJEM	\N	58	12825	UROK	\N	\N
3550662	612	1998-02-28	PRIJEM	\N	56	13835	UROK	\N	\N
3550663	612	1998-03-31	PRIJEM	\N	61	14849	UROK	\N	\N
3550664	612	1998-04-30	PRIJEM	\N	64	15386	UROK	\N	\N
3550665	612	1998-05-31	PRIJEM	\N	67	16406	UROK	\N	\N
3550666	612	1998-06-30	PRIJEM	\N	64	14963	UROK	\N	\N
3550667	612	1998-07-31	PRIJEM	\N	63	15020	UROK	\N	\N
3550668	612	1998-08-31	PRIJEM	\N	65	16039	UROK	\N	\N
3550669	612	1998-09-30	PRIJEM	\N	70	17062	UROK	\N	\N
3550670	612	1998-10-31	PRIJEM	\N	74	18089	UROK	\N	\N
3550671	612	1998-11-30	PRIJEM	\N	75	17707	UROK	\N	\N
3550672	612	1998-12-31	PRIJEM	\N	75	18166	UROK	\N	\N
3550673	614	1997-06-30	PRIJEM	\N	17	5984	UROK	\N	\N
3550674	614	1997-07-31	PRIJEM	\N	25	11775	UROK	\N	\N
3550675	614	1997-08-31	PRIJEM	\N	25	17567	UROK	\N	\N
3550676	614	1997-09-30	PRIJEM	\N	25	23359	UROK	\N	\N
3550677	614	1997-10-31	PRIJEM	\N	28	29154	UROK	\N	\N
3550678	614	1997-11-30	PRIJEM	\N	112	25675	UROK	\N	\N
3550679	614	1997-12-31	PRIJEM	\N	110	26434	UROK	\N	\N
3550680	614	1998-01-31	PRIJEM	\N	99	21691	UROK	\N	\N
3550681	614	1998-02-28	PRIJEM	\N	94	23714	UROK	\N	\N
3550682	614	1998-03-31	PRIJEM	\N	110	27913	UROK	\N	\N
3550683	614	1998-04-30	PRIJEM	\N	128	32129	UROK	\N	\N
3550684	614	1998-05-31	PRIJEM	\N	141	32998	UROK	\N	\N
3550685	614	1998-06-30	PRIJEM	\N	121	30357	UROK	\N	\N
3550686	614	1998-07-31	PRIJEM	\N	138	34583	UROK	\N	\N
3550687	614	1998-08-31	PRIJEM	\N	146	35537	UROK	\N	\N
3550688	614	1998-09-30	PRIJEM	\N	148	34574	UROK	\N	\N
3550689	614	1998-10-31	PRIJEM	\N	155	38018	UROK	\N	\N
3550690	614	1998-11-30	PRIJEM	\N	166	37992	UROK	\N	\N
3550691	614	1998-12-31	PRIJEM	\N	166	39287	UROK	\N	\N
3550692	615	1996-04-30	PRIJEM	\N	10	3954	UROK	\N	\N
3550693	615	1996-05-31	PRIJEM	\N	16	7115	UROK	\N	\N
3550694	615	1996-06-30	PRIJEM	\N	16	10275	UROK	\N	\N
3550695	615	1996-07-31	PRIJEM	\N	16	13436	UROK	\N	\N
3550696	615	1996-08-31	PRIJEM	\N	45	14529	UROK	\N	\N
3550697	615	1996-09-30	PRIJEM	\N	62	14424	UROK	\N	\N
3550698	615	1996-10-31	PRIJEM	\N	63	15521	UROK	\N	\N
3550699	615	1996-11-30	PRIJEM	\N	68	16622	UROK	\N	\N
3550700	615	1996-12-31	PRIJEM	\N	71	16916	UROK	\N	\N
3550701	615	1997-01-31	PRIJEM	\N	66	14926	UROK	\N	\N
3550702	615	1997-02-28	PRIJEM	\N	65	16025	UROK	\N	\N
3550703	615	1997-03-31	PRIJEM	\N	68	16646	UROK	\N	\N
3550704	615	1997-04-30	PRIJEM	\N	72	16911	UROK	\N	\N
3550705	615	1997-05-31	PRIJEM	\N	74	18019	UROK	\N	\N
3550706	615	1997-06-30	PRIJEM	\N	78	19130	UROK	\N	\N
3550707	615	1997-07-31	PRIJEM	\N	83	20247	UROK	\N	\N
3550708	615	1997-08-31	PRIJEM	\N	87	21097	UROK	\N	\N
3550709	615	1997-09-30	PRIJEM	\N	91	22222	UROK	\N	\N
3550710	615	1997-10-31	PRIJEM	\N	94	22739	UROK	\N	\N
3550711	615	1997-11-30	PRIJEM	\N	96	22219	UROK	\N	\N
3550712	615	1997-12-31	PRIJEM	\N	95	22868	UROK	\N	\N
3550713	615	1998-01-31	PRIJEM	\N	91	19152	UROK	\N	\N
3550714	615	1998-02-28	PRIJEM	\N	83	20269	UROK	\N	\N
3550715	615	1998-03-31	PRIJEM	\N	85	20547	UROK	\N	\N
3550716	615	1998-04-30	PRIJEM	\N	88	20949	UROK	\N	\N
3550717	615	1998-05-31	PRIJEM	\N	90	22073	UROK	\N	\N
3550718	615	1998-06-30	PRIJEM	\N	94	20900	UROK	\N	\N
3550719	615	1998-07-31	PRIJEM	\N	90	22023	UROK	\N	\N
3550720	615	1998-08-31	PRIJEM	\N	95	23151	UROK	\N	\N
3550721	615	1998-09-30	PRIJEM	\N	99	24284	UROK	\N	\N
3550722	615	1998-10-31	PRIJEM	\N	103	24820	UROK	\N	\N
3550723	615	1998-11-30	PRIJEM	\N	105	24959	UROK	\N	\N
3550724	615	1998-12-31	PRIJEM	\N	105	25287	UROK	\N	\N
3550725	616	1994-02-28	PRIJEM	\N	65	24249	UROK	\N	\N
3550726	616	1994-03-31	PRIJEM	\N	112	28607	UROK	\N	\N
3550727	616	1994-04-30	PRIJEM	\N	117	27565	UROK	\N	\N
3550728	616	1994-05-31	PRIJEM	\N	117	28045	UROK	\N	\N
3550729	616	1994-06-30	PRIJEM	\N	95	17832	UROK	\N	\N
3550730	616	1994-07-31	PRIJEM	\N	89	22883	UROK	\N	\N
3550731	616	1994-08-31	PRIJEM	\N	95	22061	UROK	\N	\N
3550732	616	1994-09-30	PRIJEM	\N	106	27129	UROK	\N	\N
3550733	616	1994-10-31	PRIJEM	\N	128	32220	UROK	\N	\N
3550734	616	1994-11-30	PRIJEM	\N	136	33618	UROK	\N	\N
3550735	616	1994-12-31	PRIJEM	\N	152	37482	UROK	\N	\N
3550736	616	1995-01-31	PRIJEM	\N	119	23154	UROK	\N	\N
3550737	616	1995-02-28	PRIJEM	\N	110	28226	UROK	\N	\N
3550738	616	1995-03-31	PRIJEM	\N	129	32418	UROK	\N	\N
3550739	616	1995-04-30	PRIJEM	\N	133	32533	UROK	\N	\N
3550740	616	1995-05-31	PRIJEM	\N	129	31744	UROK	\N	\N
3550741	616	1995-06-30	PRIJEM	\N	128	30734	UROK	\N	\N
3550742	616	1995-07-31	PRIJEM	\N	135	33732	UROK	\N	\N
3550743	616	1995-08-31	PRIJEM	\N	142	35536	UROK	\N	\N
3550744	616	1995-09-30	PRIJEM	\N	138	33937	UROK	\N	\N
3550745	616	1995-10-31	PRIJEM	\N	137	34036	UROK	\N	\N
3550746	616	1995-11-30	PRIJEM	\N	127	30686	UROK	\N	\N
3550747	616	1995-12-31	PRIJEM	\N	120	29318	UROK	\N	\N
3550748	616	1996-01-31	PRIJEM	\N	95	21226	UROK	\N	\N
3550749	616	1996-02-29	PRIJEM	\N	94	23803	UROK	\N	\N
3550750	616	1996-03-31	PRIJEM	\N	110	28275	UROK	\N	\N
3550751	616	1996-04-30	PRIJEM	\N	123	31060	UROK	\N	\N
3550752	616	1996-05-31	PRIJEM	\N	125	31047	UROK	\N	\N
3550753	616	1996-06-30	PRIJEM	\N	109	20139	UROK	\N	\N
3550754	616	1996-07-31	PRIJEM	\N	89	21130	UROK	\N	\N
3550755	616	1996-08-31	PRIJEM	\N	100	21593	UROK	\N	\N
3550756	616	1996-09-30	PRIJEM	\N	101	20256	UROK	\N	\N
3550757	616	1996-10-31	PRIJEM	\N	90	21268	UROK	\N	\N
3550758	616	1996-11-30	PRIJEM	\N	99	20329	UROK	\N	\N
3550759	616	1996-12-31	PRIJEM	\N	84	18046	UROK	\N	\N
3550760	616	1997-01-31	PRIJEM	\N	69	13358	UROK	\N	\N
3550761	616	1997-02-28	PRIJEM	\N	66	13585	UROK	\N	\N
3550762	616	1997-03-31	PRIJEM	\N	70	18618	UROK	\N	\N
3550763	616	1997-04-30	PRIJEM	\N	88	19368	UROK	\N	\N
3550764	616	1997-05-31	PRIJEM	\N	90	19820	UROK	\N	\N
3550765	616	1997-06-30	PRIJEM	\N	91	19874	UROK	\N	\N
3550766	616	1997-07-31	PRIJEM	\N	86	18922	UROK	\N	\N
3550767	616	1997-08-31	PRIJEM	\N	86	21250	UROK	\N	\N
3550768	616	1997-09-30	PRIJEM	\N	98	23310	UROK	\N	\N
3550769	616	1997-10-31	PRIJEM	\N	99	18971	UROK	\N	\N
3550770	616	1997-11-30	PRIJEM	\N	90	22524	UROK	\N	\N
3550771	616	1997-12-31	PRIJEM	\N	85	19141	UROK	\N	\N
3550772	616	1998-01-31	PRIJEM	\N	69	13723	UROK	\N	\N
3550773	616	1998-02-28	PRIJEM	\N	69	18354	UROK	\N	\N
3550774	616	1998-03-31	PRIJEM	\N	84	20000	UROK	\N	\N
3550775	616	1998-04-30	PRIJEM	\N	80	17502	UROK	\N	\N
3550776	616	1998-05-31	PRIJEM	\N	78	17342	UROK	\N	\N
3550777	616	1998-06-30	PRIJEM	\N	79	18683	UROK	\N	\N
3550778	616	1998-07-31	PRIJEM	\N	78	17584	UROK	\N	\N
3550779	616	1998-08-31	PRIJEM	\N	70	13616	UROK	\N	\N
3550780	616	1998-09-30	PRIJEM	\N	69	18647	UROK	\N	\N
3550781	616	1998-10-31	PRIJEM	\N	90	23699	UROK	\N	\N
3550782	616	1998-11-30	PRIJEM	\N	110	28772	UROK	\N	\N
3550783	616	1998-12-31	PRIJEM	\N	117	28891	UROK	\N	\N
3550784	617	1996-09-30	PRIJEM	\N	28	22700	UROK	\N	\N
3550785	617	1996-10-31	PRIJEM	\N	115	38388	UROK	\N	\N
3550786	617	1996-11-30	PRIJEM	\N	169	45129	UROK	\N	\N
3550787	617	1996-12-31	PRIJEM	\N	194	49931	UROK	\N	\N
3550788	617	1997-01-31	PRIJEM	\N	167	20890	UROK	\N	\N
3550789	617	1997-02-28	PRIJEM	\N	108	22775	UROK	\N	\N
3550790	617	1997-03-31	PRIJEM	\N	115	24068	UROK	\N	\N
3550791	617	1997-04-30	PRIJEM	\N	129	28573	UROK	\N	\N
3550792	617	1997-05-31	PRIJEM	\N	145	30396	UROK	\N	\N
3550793	617	1997-06-30	PRIJEM	\N	178	37687	UROK	\N	\N
3550794	617	1997-07-31	PRIJEM	\N	175	37140	UROK	\N	\N
3550795	617	1997-08-31	PRIJEM	\N	155	32672	UROK	\N	\N
3550796	617	1997-09-30	PRIJEM	\N	134	28668	UROK	\N	\N
3550797	617	1997-10-31	PRIJEM	\N	137	31860	UROK	\N	\N
3550798	617	1997-11-30	PRIJEM	\N	163	39500	UROK	\N	\N
3550799	617	1997-12-31	PRIJEM	\N	207	46821	UROK	\N	\N
3550800	617	1998-01-31	PRIJEM	\N	155	22291	UROK	\N	\N
3550801	617	1998-02-28	PRIJEM	\N	128	32896	UROK	\N	\N
3550802	617	1998-03-31	PRIJEM	\N	154	35027	UROK	\N	\N
3550803	617	1998-04-30	PRIJEM	\N	142	32168	UROK	\N	\N
3550804	617	1998-05-31	PRIJEM	\N	150	31596	UROK	\N	\N
3550805	617	1998-06-30	PRIJEM	\N	177	41886	UROK	\N	\N
3550806	617	1998-07-31	PRIJEM	\N	150	30745	UROK	\N	\N
3550807	617	1998-08-31	PRIJEM	\N	110	22487	UROK	\N	\N
3550808	617	1998-09-30	PRIJEM	\N	99	21963	UROK	\N	\N
3550809	617	1998-10-31	PRIJEM	\N	96	21436	UROK	\N	\N
3550810	617	1998-11-30	PRIJEM	\N	89	19702	UROK	\N	\N
3550811	617	1998-12-31	PRIJEM	\N	87	15177	UROK	\N	\N
3550812	618	1996-10-31	PRIJEM	\N	93	25689	UROK	\N	\N
3550813	618	1996-11-30	PRIJEM	\N	195	50280	UROK	\N	\N
3550814	618	1996-12-31	PRIJEM	\N	300	76624	UROK	\N	\N
3550815	618	1997-01-31	PRIJEM	\N	209	51030	UROK	\N	\N
3550816	618	1997-02-28	PRIJEM	\N	286	72429	UROK	\N	\N
3550817	618	1997-03-31	PRIJEM	\N	288	69297	UROK	\N	\N
3550818	618	1997-04-30	PRIJEM	\N	272	69769	UROK	\N	\N
3550819	618	1997-05-31	PRIJEM	\N	260	44828	UROK	\N	\N
3550820	618	1997-06-30	PRIJEM	\N	297	53672	UROK	\N	\N
3550821	618	1997-07-31	PRIJEM	\N	288	50259	UROK	\N	\N
3550822	618	1997-08-31	PRIJEM	\N	267	47225	UROK	\N	\N
3550823	618	1997-09-30	PRIJEM	\N	258	46583	UROK	\N	\N
3550824	618	1997-10-31	PRIJEM	\N	252	43634	UROK	\N	\N
3550825	618	1997-11-30	PRIJEM	\N	240	43073	UROK	\N	\N
3550826	618	1997-12-31	PRIJEM	\N	272	46973	UROK	\N	\N
3550827	618	1998-01-31	PRIJEM	\N	264	42336	UROK	\N	\N
3550828	618	1998-02-28	PRIJEM	\N	234	44470	UROK	\N	\N
3550829	618	1998-03-31	PRIJEM	\N	245	48614	UROK	\N	\N
3550830	618	1998-04-30	PRIJEM	\N	257	47871	UROK	\N	\N
3550831	618	1998-05-31	PRIJEM	\N	250	45321	UROK	\N	\N
3550832	618	1998-06-30	PRIJEM	\N	274	46742	UROK	\N	\N
3550833	618	1998-07-31	PRIJEM	\N	238	40079	UROK	\N	\N
3550834	618	1998-08-31	PRIJEM	\N	209	35988	UROK	\N	\N
3550835	618	1998-09-30	PRIJEM	\N	191	32379	UROK	\N	\N
3550836	618	1998-10-31	PRIJEM	\N	173	30251	UROK	\N	\N
3550837	618	1998-11-30	PRIJEM	\N	154	22305	UROK	\N	\N
3550838	618	1998-12-31	PRIJEM	\N	177	33629	UROK	\N	\N
3550839	619	1995-09-30	PRIJEM	\N	41	24541	UROK	\N	\N
3550840	619	1995-10-31	PRIJEM	\N	208	101632	UROK	\N	\N
3550841	619	1995-11-30	PRIJEM	\N	243	31345	UROK	\N	\N
3550842	619	1995-12-31	PRIJEM	\N	178	46371	UROK	\N	\N
3550843	619	1996-01-31	PRIJEM	\N	140	27314	UROK	\N	\N
3550844	619	1996-02-29	PRIJEM	\N	137	44608	UROK	\N	\N
3550845	619	1996-03-31	PRIJEM	\N	163	42455	UROK	\N	\N
3550846	619	1996-04-30	PRIJEM	\N	158	40044	UROK	\N	\N
3550847	619	1996-05-31	PRIJEM	\N	164	80738	UROK	\N	\N
3550848	619	1996-06-30	PRIJEM	\N	169	24810	UROK	\N	\N
3550849	619	1996-07-31	PRIJEM	\N	92	30118	UROK	\N	\N
3550850	619	1996-08-31	PRIJEM	\N	260	65817	UROK	\N	\N
3550851	619	1996-09-30	PRIJEM	\N	191	32411	UROK	\N	\N
3550852	619	1996-10-31	PRIJEM	\N	230	99636	UROK	\N	\N
3550853	619	1996-11-30	PRIJEM	\N	315	58761	UROK	\N	\N
3550854	619	1996-12-31	PRIJEM	\N	232	70352	UROK	\N	\N
3550855	619	1997-01-31	PRIJEM	\N	210	39665	UROK	\N	\N
3550856	619	1997-02-28	PRIJEM	\N	136	33673	UROK	\N	\N
3550857	619	1997-03-31	PRIJEM	\N	178	42085	UROK	\N	\N
3550858	619	1997-04-30	PRIJEM	\N	126	24314	UROK	\N	\N
3550859	619	1997-05-31	PRIJEM	\N	85	25502	UROK	\N	\N
3550860	619	1997-06-30	PRIJEM	\N	87	21892	UROK	\N	\N
3550861	619	1997-07-31	PRIJEM	\N	72	17067	UROK	\N	\N
3550862	619	1997-08-31	PRIJEM	\N	138	32256	UROK	\N	\N
3550863	619	1997-09-30	PRIJEM	\N	105	24273	UROK	\N	\N
3550864	619	1997-10-31	PRIJEM	\N	241	64392	UROK	\N	\N
3550865	619	1997-11-30	PRIJEM	\N	281	52771	UROK	\N	\N
3550866	619	1997-12-31	PRIJEM	\N	192	38768	UROK	\N	\N
3550867	619	1998-01-31	PRIJEM	\N	112	30183	UROK	\N	\N
3550868	619	1998-02-28	PRIJEM	\N	109	27096	UROK	\N	\N
3550869	619	1998-03-31	PRIJEM	\N	90	26077	UROK	\N	\N
3550870	619	1998-04-30	PRIJEM	\N	88	25768	UROK	\N	\N
3550871	619	1998-05-31	PRIJEM	\N	91	24262	UROK	\N	\N
3550872	619	1998-06-30	PRIJEM	\N	92	29857	UROK	\N	\N
3550873	619	1998-07-31	PRIJEM	\N	112	31872	UROK	\N	\N
3550874	619	1998-08-31	PRIJEM	\N	119	30894	UROK	\N	\N
3550875	619	1998-09-30	PRIJEM	\N	117	25714	UROK	\N	\N
3550876	619	1998-10-31	PRIJEM	\N	101	30117	UROK	\N	\N
3550877	619	1998-11-30	PRIJEM	\N	123	49797	UROK	\N	\N
3550878	619	1998-12-31	PRIJEM	\N	176	38376	UROK	\N	\N
3550879	621	1996-06-30	PRIJEM	\N	129	37378	UROK	\N	\N
3550880	621	1996-07-31	PRIJEM	\N	211	53855	UROK	\N	\N
3550881	621	1996-08-31	PRIJEM	\N	162	44183	UROK	\N	\N
3550882	621	1996-09-30	PRIJEM	\N	184	46133	UROK	\N	\N
3550883	621	1996-10-31	PRIJEM	\N	248	41598	UROK	\N	\N
3550884	621	1996-11-30	PRIJEM	\N	230	43670	UROK	\N	\N
3550885	621	1996-12-31	PRIJEM	\N	271	49466	UROK	\N	\N
3550886	621	1997-01-31	PRIJEM	\N	233	36041	UROK	\N	\N
3550887	621	1997-02-28	PRIJEM	\N	188	32552	UROK	\N	\N
3550888	621	1997-03-31	PRIJEM	\N	191	35586	UROK	\N	\N
3550889	621	1997-04-30	PRIJEM	\N	201	35229	UROK	\N	\N
3550890	621	1997-05-31	PRIJEM	\N	197	33668	UROK	\N	\N
3550891	621	1997-06-30	PRIJEM	\N	234	38888	UROK	\N	\N
3550892	621	1997-07-31	PRIJEM	\N	209	37940	UROK	\N	\N
3550893	621	1997-08-31	PRIJEM	\N	200	34882	UROK	\N	\N
3550894	621	1997-09-30	PRIJEM	\N	175	25940	UROK	\N	\N
3550895	621	1997-10-31	PRIJEM	\N	149	24731	UROK	\N	\N
3550896	621	1997-11-30	PRIJEM	\N	140	22414	UROK	\N	\N
3550897	621	1997-12-31	PRIJEM	\N	162	27201	UROK	\N	\N
3550898	621	1998-01-31	PRIJEM	\N	141	19364	UROK	\N	\N
3550899	621	1998-02-28	PRIJEM	\N	113	15019	UROK	\N	\N
3550900	621	1998-03-31	PRIJEM	\N	120	29442	UROK	\N	\N
3550901	621	1998-04-30	PRIJEM	\N	142	15027	UROK	\N	\N
3550902	621	1998-05-31	PRIJEM	\N	127	36296	UROK	\N	\N
3550903	621	1998-06-30	PRIJEM	\N	202	36964	UROK	\N	\N
3550904	621	1998-07-31	PRIJEM	\N	159	17966	UROK	\N	\N
3550905	621	1998-08-31	PRIJEM	\N	139	39247	UROK	\N	\N
3550906	621	1998-09-30	PRIJEM	\N	150	16699	UROK	\N	\N
3550907	621	1998-10-31	PRIJEM	\N	134	37976	UROK	\N	\N
3550908	621	1998-11-30	PRIJEM	\N	147	17765	UROK	\N	\N
3550909	621	1998-12-31	PRIJEM	\N	176	51366	UROK	\N	\N
3550910	622	1997-07-31	PRIJEM	\N	34	25559	UROK	\N	\N
3550911	622	1997-08-31	PRIJEM	\N	123	36607	UROK	\N	\N
3550912	622	1997-09-30	PRIJEM	\N	155	38687	UROK	\N	\N
3550913	622	1997-10-31	PRIJEM	\N	166	41978	UROK	\N	\N
3550914	622	1997-11-30	PRIJEM	\N	166	37069	UROK	\N	\N
3550915	622	1997-12-31	PRIJEM	\N	161	33425	UROK	\N	\N
3550916	622	1998-01-31	PRIJEM	\N	114	15922	UROK	\N	\N
3550917	622	1998-02-28	PRIJEM	\N	78	22282	UROK	\N	\N
3550918	622	1998-03-31	PRIJEM	\N	94	22758	UROK	\N	\N
3550919	622	1998-04-30	PRIJEM	\N	103	26244	UROK	\N	\N
3550920	622	1998-05-31	PRIJEM	\N	108	24535	UROK	\N	\N
3550921	622	1998-06-30	PRIJEM	\N	118	28248	UROK	\N	\N
3550922	622	1998-07-31	PRIJEM	\N	115	26645	UROK	\N	\N
3550923	622	1998-08-31	PRIJEM	\N	112	28039	UROK	\N	\N
3550924	622	1998-09-30	PRIJEM	\N	122	32144	UROK	\N	\N
3550925	622	1998-10-31	PRIJEM	\N	133	33659	UROK	\N	\N
3550926	622	1998-11-30	PRIJEM	\N	135	34177	UROK	\N	\N
3550927	622	1998-12-31	PRIJEM	\N	198	59770	UROK	\N	\N
3550928	623	1993-08-31	PRIJEM	\N	35	13703	UROK	\N	\N
3550929	623	1993-09-30	PRIJEM	\N	60	14784	UROK	\N	\N
3550930	623	1993-10-31	PRIJEM	\N	64	15870	UROK	\N	\N
3550931	623	1993-11-30	PRIJEM	\N	69	16960	UROK	\N	\N
3550932	623	1993-12-31	PRIJEM	\N	73	17424	UROK	\N	\N
3550933	623	1994-01-31	PRIJEM	\N	73	15818	UROK	\N	\N
3550934	623	1994-02-28	PRIJEM	\N	69	16218	UROK	\N	\N
3550935	623	1994-03-31	PRIJEM	\N	70	17310	UROK	\N	\N
3550936	623	1994-04-30	PRIJEM	\N	75	18406	UROK	\N	\N
3550937	623	1994-05-31	PRIJEM	\N	79	19326	UROK	\N	\N
3550938	623	1994-06-30	PRIJEM	\N	83	20431	UROK	\N	\N
3550939	623	1994-07-31	PRIJEM	\N	88	21540	UROK	\N	\N
3550940	623	1994-08-31	PRIJEM	\N	90	21451	UROK	\N	\N
3550941	623	1994-09-30	PRIJEM	\N	94	22416	UROK	\N	\N
3550942	623	1994-10-31	PRIJEM	\N	93	22130	UROK	\N	\N
3550943	623	1994-11-30	PRIJEM	\N	95	23246	UROK	\N	\N
3550944	623	1994-12-31	PRIJEM	\N	99	24097	UROK	\N	\N
3550945	623	1995-01-31	PRIJEM	\N	101	23509	UROK	\N	\N
3550946	623	1995-02-28	PRIJEM	\N	94	22024	UROK	\N	\N
3550947	623	1995-03-31	PRIJEM	\N	94	23140	UROK	\N	\N
3550948	623	1995-04-30	PRIJEM	\N	99	24260	UROK	\N	\N
3550949	623	1995-05-31	PRIJEM	\N	104	25385	UROK	\N	\N
3550950	623	1995-06-30	PRIJEM	\N	108	25704	UROK	\N	\N
3550951	623	1995-07-31	PRIJEM	\N	101	23426	UROK	\N	\N
3550952	623	1995-08-31	PRIJEM	\N	91	21838	UROK	\N	\N
3550953	623	1995-09-30	PRIJEM	\N	93	22953	UROK	\N	\N
3550954	623	1995-10-31	PRIJEM	\N	98	24072	UROK	\N	\N
3550955	623	1995-11-30	PRIJEM	\N	102	25196	UROK	\N	\N
3550956	623	1995-12-31	PRIJEM	\N	101	23579	UROK	\N	\N
3550957	623	1996-01-31	PRIJEM	\N	95	20465	UROK	\N	\N
3550958	623	1996-02-29	PRIJEM	\N	87	21573	UROK	\N	\N
3550959	623	1996-03-31	PRIJEM	\N	91	21605	UROK	\N	\N
3550960	623	1996-04-30	PRIJEM	\N	90	21396	UROK	\N	\N
3550961	623	1996-05-31	PRIJEM	\N	91	22509	UROK	\N	\N
3550962	623	1996-06-30	PRIJEM	\N	96	23626	UROK	\N	\N
3550963	623	1996-07-31	PRIJEM	\N	95	22543	UROK	\N	\N
3550964	623	1996-08-31	PRIJEM	\N	89	20643	UROK	\N	\N
3550965	623	1996-09-30	PRIJEM	\N	80	18644	UROK	\N	\N
3550966	623	1996-10-31	PRIJEM	\N	79	18634	UROK	\N	\N
3550967	623	1996-11-30	PRIJEM	\N	78	18683	UROK	\N	\N
3550968	623	1996-12-31	PRIJEM	\N	78	18643	UROK	\N	\N
3550969	623	1997-01-31	PRIJEM	\N	75	16649	UROK	\N	\N
3550970	623	1997-02-28	PRIJEM	\N	70	17261	UROK	\N	\N
3550971	623	1997-03-31	PRIJEM	\N	72	17334	UROK	\N	\N
3550972	623	1997-04-30	PRIJEM	\N	74	18429	UROK	\N	\N
3550973	623	1997-05-31	PRIJEM	\N	77	18378	UROK	\N	\N
3550974	623	1997-06-30	PRIJEM	\N	77	19176	UROK	\N	\N
3550975	623	1997-07-31	PRIJEM	\N	80	19828	UROK	\N	\N
3550976	623	1997-08-31	PRIJEM	\N	83	18272	UROK	\N	\N
3550977	623	1997-09-30	PRIJEM	\N	77	17970	UROK	\N	\N
3550978	623	1997-10-31	PRIJEM	\N	74	17955	UROK	\N	\N
3550979	623	1997-11-30	PRIJEM	\N	75	18181	UROK	\N	\N
3550980	623	1997-12-31	PRIJEM	\N	76	18568	UROK	\N	\N
3550981	623	1998-01-31	PRIJEM	\N	73	15943	UROK	\N	\N
3550982	623	1998-02-28	PRIJEM	\N	67	16851	UROK	\N	\N
3550983	623	1998-03-31	PRIJEM	\N	71	17943	UROK	\N	\N
3550984	623	1998-04-30	PRIJEM	\N	74	18258	UROK	\N	\N
3550985	623	1998-05-31	PRIJEM	\N	76	18156	UROK	\N	\N
3550986	623	1998-06-30	PRIJEM	\N	76	19253	UROK	\N	\N
3550987	623	1998-07-31	PRIJEM	\N	78	16552	UROK	\N	\N
3550988	623	1998-08-31	PRIJEM	\N	69	17643	UROK	\N	\N
3550989	623	1998-09-30	PRIJEM	\N	74	18738	UROK	\N	\N
3550990	623	1998-10-31	PRIJEM	\N	74	15933	UROK	\N	\N
3550991	623	1998-11-30	PRIJEM	\N	63	15577	UROK	\N	\N
3550992	623	1998-12-31	PRIJEM	\N	65	16663	UROK	\N	\N
3550993	625	1995-09-30	PRIJEM	\N	213	76491	UROK	\N	\N
3550994	625	1995-10-31	PRIJEM	\N	256	55618	UROK	\N	\N
3550995	625	1995-11-30	PRIJEM	\N	249	63071	UROK	\N	\N
3550996	625	1995-12-31	PRIJEM	\N	263	39733	UROK	\N	\N
3550997	625	1996-01-31	PRIJEM	\N	263	31196	UROK	\N	\N
3550998	625	1996-02-29	PRIJEM	\N	263	27458	UROK	\N	\N
3550999	625	1996-03-31	PRIJEM	\N	153	24306	UROK	\N	\N
3551000	625	1996-04-30	PRIJEM	\N	116	31116	UROK	\N	\N
3551001	625	1996-05-31	PRIJEM	\N	72	13017	UROK	\N	\N
3551002	625	1996-06-30	PRIJEM	\N	25	3370	UROK	\N	\N
3551003	625	1996-07-31	PRIJEM	\N	15	3370	UROK	\N	\N
3551004	625	1996-09-30	PRIJEM	\N	16	3372	UROK	\N	\N
3551005	625	1996-09-30	PRIJEM	\N	15	3356	UROK	\N	\N
3551006	625	1996-11-30	PRIJEM	\N	16	3374	UROK	\N	\N
3551007	625	1996-11-30	PRIJEM	\N	15	3358	UROK	\N	\N
3551008	625	1996-12-31	PRIJEM	\N	15	3374	UROK	\N	\N
3551009	625	1997-01-31	PRIJEM	\N	17	19289	UROK	\N	\N
3551010	625	1997-02-28	PRIJEM	\N	24	941	UROK	\N	\N
3551011	625	1997-03-31	PRIJEM	\N	14	35471	UROK	\N	\N
3551012	625	1997-04-30	PRIJEM	\N	251	97900	UROK	\N	\N
3551013	625	1997-05-31	PRIJEM	\N	134	33123	UROK	\N	\N
3551014	625	1997-06-30	PRIJEM	\N	230	91036	UROK	\N	\N
3551015	625	1997-07-31	PRIJEM	\N	218	62697	UROK	\N	\N
3551016	625	1997-08-31	PRIJEM	\N	115	29118	UROK	\N	\N
3551017	625	1997-09-30	PRIJEM	\N	121	17768	UROK	\N	\N
3551018	625	1997-10-31	PRIJEM	\N	98	63308	UROK	\N	\N
3551019	625	1997-11-30	PRIJEM	\N	273	32928	UROK	\N	\N
3551020	625	1997-12-31	PRIJEM	\N	226	29414	UROK	\N	\N
3551021	625	1998-01-31	PRIJEM	\N	166	21866	UROK	\N	\N
3551022	625	1998-02-28	PRIJEM	\N	207	50456	UROK	\N	\N
3551023	625	1998-03-31	PRIJEM	\N	298	42415	UROK	\N	\N
3551024	625	1998-04-30	PRIJEM	\N	303	46324	UROK	\N	\N
3551025	625	1998-05-31	PRIJEM	\N	198	82826	UROK	\N	\N
3551026	625	1998-06-30	PRIJEM	\N	355	43491	UROK	\N	\N
3551027	625	1998-07-31	PRIJEM	\N	123	34848	UROK	\N	\N
3551028	625	1998-08-31	PRIJEM	\N	171	56290	UROK	\N	\N
3551029	625	1998-09-30	PRIJEM	\N	316	97746	UROK	\N	\N
3551030	625	1998-10-31	PRIJEM	\N	373	76233	UROK	\N	\N
3551031	625	1998-11-30	PRIJEM	\N	275	35707	UROK	\N	\N
3551032	625	1998-12-31	PRIJEM	\N	256	79512	UROK	\N	\N
3551033	626	1993-12-31	PRIJEM	\N	41	14630	UROK	\N	\N
3551034	626	1994-01-31	PRIJEM	\N	87	23576	UROK	\N	\N
3551035	626	1994-02-28	PRIJEM	\N	107	26541	UROK	\N	\N
3551036	626	1994-03-31	PRIJEM	\N	109	26009	UROK	\N	\N
3551037	626	1994-04-30	PRIJEM	\N	113	25142	UROK	\N	\N
3551038	626	1994-05-31	PRIJEM	\N	100	23508	UROK	\N	\N
3551039	626	1994-06-30	PRIJEM	\N	104	25447	UROK	\N	\N
3551040	626	1994-07-31	PRIJEM	\N	99	22950	UROK	\N	\N
3551041	626	1994-08-31	PRIJEM	\N	101	24256	UROK	\N	\N
3551042	626	1994-09-30	PRIJEM	\N	109	26571	UROK	\N	\N
3551043	626	1994-10-31	PRIJEM	\N	99	20615	UROK	\N	\N
3551044	626	1994-11-30	PRIJEM	\N	99	23960	UROK	\N	\N
3551045	626	1994-12-31	PRIJEM	\N	109	26663	UROK	\N	\N
3551046	626	1995-01-31	PRIJEM	\N	95	13543	UROK	\N	\N
3551047	626	1995-02-28	PRIJEM	\N	93	25042	UROK	\N	\N
3551048	626	1995-03-31	PRIJEM	\N	119	29366	UROK	\N	\N
3551049	626	1995-04-30	PRIJEM	\N	135	32406	UROK	\N	\N
3551050	626	1995-05-31	PRIJEM	\N	139	33290	UROK	\N	\N
3551051	626	1995-06-30	PRIJEM	\N	156	38021	UROK	\N	\N
3551052	626	1995-07-31	PRIJEM	\N	144	33630	UROK	\N	\N
3551053	626	1995-08-31	PRIJEM	\N	156	38491	UROK	\N	\N
3551054	626	1995-09-30	PRIJEM	\N	153	34090	UROK	\N	\N
3551055	626	1995-10-31	PRIJEM	\N	160	39555	UROK	\N	\N
3551056	626	1995-11-30	PRIJEM	\N	163	39023	UROK	\N	\N
3551057	626	1995-12-31	PRIJEM	\N	173	42332	UROK	\N	\N
3551058	626	1996-01-31	PRIJEM	\N	138	31355	UROK	\N	\N
3551059	626	1996-02-29	PRIJEM	\N	130	31010	UROK	\N	\N
3551060	626	1996-03-31	PRIJEM	\N	152	37168	UROK	\N	\N
3551061	626	1996-04-30	PRIJEM	\N	143	33976	UROK	\N	\N
3551062	626	1996-05-31	PRIJEM	\N	147	36928	UROK	\N	\N
3551063	626	1996-06-30	PRIJEM	\N	148	30451	UROK	\N	\N
3551064	626	1996-07-31	PRIJEM	\N	133	34489	UROK	\N	\N
3551065	626	1996-08-31	PRIJEM	\N	151	40946	UROK	\N	\N
3551066	626	1996-09-30	PRIJEM	\N	174	41625	UROK	\N	\N
3551067	626	1996-10-31	PRIJEM	\N	172	42302	UROK	\N	\N
3551068	626	1996-11-30	PRIJEM	\N	172	38219	UROK	\N	\N
3551069	626	1996-12-31	PRIJEM	\N	161	36876	UROK	\N	\N
3551070	626	1997-01-31	PRIJEM	\N	103	25484	UROK	\N	\N
3551071	626	1997-02-28	PRIJEM	\N	101	26391	UROK	\N	\N
3551072	626	1997-03-31	PRIJEM	\N	117	31213	UROK	\N	\N
3551073	626	1997-04-30	PRIJEM	\N	140	38958	UROK	\N	\N
3551074	626	1997-05-31	PRIJEM	\N	166	40829	UROK	\N	\N
3551075	626	1997-06-30	PRIJEM	\N	153	30536	UROK	\N	\N
3551076	626	1997-07-31	PRIJEM	\N	139	38880	UROK	\N	\N
3551077	626	1997-08-31	PRIJEM	\N	167	41652	UROK	\N	\N
3551078	626	1997-09-30	PRIJEM	\N	164	39301	UROK	\N	\N
3551079	626	1997-10-31	PRIJEM	\N	159	32106	UROK	\N	\N
3551080	626	1997-11-30	PRIJEM	\N	123	28114	UROK	\N	\N
3551081	626	1997-12-31	PRIJEM	\N	121	28110	UROK	\N	\N
3551082	626	1998-01-31	PRIJEM	\N	101	25516	UROK	\N	\N
3551083	626	1998-02-28	PRIJEM	\N	109	27590	UROK	\N	\N
3551084	626	1998-03-31	PRIJEM	\N	123	32819	UROK	\N	\N
3551085	626	1998-04-30	PRIJEM	\N	144	37668	UROK	\N	\N
3551086	626	1998-05-31	PRIJEM	\N	155	37129	UROK	\N	\N
3551087	626	1998-06-30	PRIJEM	\N	152	22576	UROK	\N	\N
3551088	626	1998-07-31	PRIJEM	\N	108	30589	UROK	\N	\N
3551089	626	1998-08-31	PRIJEM	\N	132	31847	UROK	\N	\N
3551090	626	1998-09-30	PRIJEM	\N	142	37094	UROK	\N	\N
3551091	626	1998-10-31	PRIJEM	\N	156	38515	UROK	\N	\N
3551092	626	1998-11-30	PRIJEM	\N	148	30848	UROK	\N	\N
3551093	626	1998-12-31	PRIJEM	\N	139	34602	UROK	\N	\N
3551094	627	1993-02-28	PRIJEM	\N	62	23011	UROK	\N	\N
3551095	627	1993-03-31	PRIJEM	\N	161	46220	UROK	\N	\N
3551096	627	1993-04-30	PRIJEM	\N	224	57994	UROK	\N	\N
3551097	627	1993-05-31	PRIJEM	\N	255	62897	UROK	\N	\N
3551098	627	1993-06-30	PRIJEM	\N	290	66111	UROK	\N	\N
3551099	627	1993-07-31	PRIJEM	\N	238	58156	UROK	\N	\N
3551100	627	1993-08-31	PRIJEM	\N	221	56583	UROK	\N	\N
3551101	627	1993-09-30	PRIJEM	\N	224	57814	UROK	\N	\N
3551102	627	1993-10-31	PRIJEM	\N	227	58647	UROK	\N	\N
3551103	627	1993-11-30	PRIJEM	\N	216	55970	UROK	\N	\N
3551104	627	1993-12-31	PRIJEM	\N	247	68098	UROK	\N	\N
3551105	627	1994-01-31	PRIJEM	\N	227	51831	UROK	\N	\N
3551106	627	1994-02-28	PRIJEM	\N	210	55647	UROK	\N	\N
3551107	627	1994-03-31	PRIJEM	\N	214	55068	UROK	\N	\N
3551108	627	1994-04-30	PRIJEM	\N	212	54886	UROK	\N	\N
3551109	627	1994-05-31	PRIJEM	\N	202	49994	UROK	\N	\N
3551110	627	1994-06-30	PRIJEM	\N	195	40171	UROK	\N	\N
3551111	627	1994-07-31	PRIJEM	\N	165	35042	UROK	\N	\N
3551112	627	1994-08-31	PRIJEM	\N	180	37129	UROK	\N	\N
3551113	627	1994-09-30	PRIJEM	\N	189	40024	UROK	\N	\N
3551114	627	1994-10-31	PRIJEM	\N	199	41629	UROK	\N	\N
3551115	627	1994-11-30	PRIJEM	\N	183	34919	UROK	\N	\N
3551116	627	1994-12-31	PRIJEM	\N	205	41405	UROK	\N	\N
3551117	627	1995-01-31	PRIJEM	\N	171	37183	UROK	\N	\N
3551118	627	1995-02-28	PRIJEM	\N	186	42075	UROK	\N	\N
3551119	627	1995-03-31	PRIJEM	\N	202	44784	UROK	\N	\N
3551120	627	1995-04-30	PRIJEM	\N	185	42375	UROK	\N	\N
3551121	627	1995-05-31	PRIJEM	\N	206	44687	UROK	\N	\N
3551122	627	1995-06-30	PRIJEM	\N	191	39159	UROK	\N	\N
3551123	627	1995-07-31	PRIJEM	\N	191	43157	UROK	\N	\N
3551124	627	1995-08-31	PRIJEM	\N	208	48071	UROK	\N	\N
3551125	627	1995-09-30	PRIJEM	\N	222	47900	UROK	\N	\N
3551126	627	1995-10-31	PRIJEM	\N	221	48026	UROK	\N	\N
3551127	627	1995-11-30	PRIJEM	\N	217	46250	UROK	\N	\N
3551128	627	1995-12-31	PRIJEM	\N	226	52858	UROK	\N	\N
3551129	627	1996-01-31	PRIJEM	\N	225	41389	UROK	\N	\N
3551130	627	1996-02-29	PRIJEM	\N	194	47689	UROK	\N	\N
3551131	627	1996-03-31	PRIJEM	\N	226	54921	UROK	\N	\N
3551132	627	1996-04-30	PRIJEM	\N	247	57074	UROK	\N	\N
3551133	627	1996-05-31	PRIJEM	\N	238	54919	UROK	\N	\N
3551134	627	1996-06-30	PRIJEM	\N	215	51015	UROK	\N	\N
3551135	627	1996-07-31	PRIJEM	\N	210	49131	UROK	\N	\N
3551136	627	1996-08-31	PRIJEM	\N	219	51657	UROK	\N	\N
3551137	627	1996-09-30	PRIJEM	\N	212	51675	UROK	\N	\N
3551138	627	1996-10-31	PRIJEM	\N	233	56815	UROK	\N	\N
3551139	627	1996-11-30	PRIJEM	\N	249	60071	UROK	\N	\N
3551140	627	1996-12-31	PRIJEM	\N	271	67423	UROK	\N	\N
3551141	627	1997-01-31	PRIJEM	\N	246	52475	UROK	\N	\N
3551142	627	1997-02-28	PRIJEM	\N	231	57113	UROK	\N	\N
3551143	627	1997-03-31	PRIJEM	\N	232	52451	UROK	\N	\N
3551144	627	1997-04-30	PRIJEM	\N	219	55976	UROK	\N	\N
3551145	627	1997-05-31	PRIJEM	\N	241	58224	UROK	\N	\N
3551146	627	1997-06-30	PRIJEM	\N	238	58343	UROK	\N	\N
3551147	627	1997-07-31	PRIJEM	\N	233	53982	UROK	\N	\N
3551148	627	1997-08-31	PRIJEM	\N	208	53397	UROK	\N	\N
3551149	627	1997-09-30	PRIJEM	\N	228	56731	UROK	\N	\N
3551150	627	1997-10-31	PRIJEM	\N	229	54866	UROK	\N	\N
3551151	627	1997-11-30	PRIJEM	\N	231	58803	UROK	\N	\N
3551152	627	1997-12-31	PRIJEM	\N	292	70077	UROK	\N	\N
3551153	627	1998-01-31	PRIJEM	\N	300	78083	UROK	\N	\N
3551154	627	1998-02-28	PRIJEM	\N	329	85318	UROK	\N	\N
3551155	627	1998-03-31	PRIJEM	\N	387	81611	UROK	\N	\N
3551156	627	1998-04-30	PRIJEM	\N	348	87765	UROK	\N	\N
3551157	627	1998-05-31	PRIJEM	\N	361	89833	UROK	\N	\N
3551158	627	1998-06-30	PRIJEM	\N	360	81175	UROK	\N	\N
3551159	627	1998-07-31	PRIJEM	\N	333	83914	UROK	\N	\N
3551160	627	1998-08-31	PRIJEM	\N	345	87765	UROK	\N	\N
3551161	627	1998-09-30	PRIJEM	\N	347	88618	UROK	\N	\N
3551162	627	1998-10-31	PRIJEM	\N	344	85168	UROK	\N	\N
3551163	627	1998-11-30	PRIJEM	\N	340	87914	UROK	\N	\N
3551164	627	1998-12-31	PRIJEM	\N	388	100083	UROK	\N	\N
3551165	628	1994-01-31	PRIJEM	\N	17	5260	UROK	\N	\N
3551166	628	1994-02-28	PRIJEM	\N	59	17262	UROK	\N	\N
3551167	628	1994-03-31	PRIJEM	\N	96	24801	UROK	\N	\N
3551168	628	1994-04-30	PRIJEM	\N	125	31669	UROK	\N	\N
3551169	628	1994-05-31	PRIJEM	\N	130	30174	UROK	\N	\N
3551170	628	1994-06-30	PRIJEM	\N	138	33384	UROK	\N	\N
3551171	628	1994-07-31	PRIJEM	\N	132	30617	UROK	\N	\N
3551172	628	1994-08-31	PRIJEM	\N	128	30045	UROK	\N	\N
3551173	628	1994-09-30	PRIJEM	\N	128	27774	UROK	\N	\N
3551174	628	1994-10-31	PRIJEM	\N	117	28551	UROK	\N	\N
3551175	628	1994-11-30	PRIJEM	\N	123	28915	UROK	\N	\N
3551176	628	1994-12-31	PRIJEM	\N	111	24137	UROK	\N	\N
3551177	628	1995-01-31	PRIJEM	\N	104	25942	UROK	\N	\N
3551178	628	1995-02-28	PRIJEM	\N	111	27653	UROK	\N	\N
3551179	628	1995-03-31	PRIJEM	\N	105	23779	UROK	\N	\N
3551180	628	1995-04-30	PRIJEM	\N	102	25082	UROK	\N	\N
3551181	628	1995-05-31	PRIJEM	\N	109	28091	UROK	\N	\N
3551182	628	1995-06-30	PRIJEM	\N	124	29287	UROK	\N	\N
3551183	628	1995-07-31	PRIJEM	\N	123	28431	UROK	\N	\N
3551184	628	1995-08-31	PRIJEM	\N	121	28451	UROK	\N	\N
3551185	628	1995-09-30	PRIJEM	\N	120	27492	UROK	\N	\N
3551186	628	1995-10-31	PRIJEM	\N	122	33014	UROK	\N	\N
3551187	628	1995-11-30	PRIJEM	\N	138	32352	UROK	\N	\N
3551188	628	1995-12-31	PRIJEM	\N	142	35006	UROK	\N	\N
3551189	628	1996-01-31	PRIJEM	\N	148	35954	UROK	\N	\N
3551190	628	1996-02-29	PRIJEM	\N	149	34404	UROK	\N	\N
3551191	628	1996-03-31	PRIJEM	\N	142	32046	UROK	\N	\N
3551192	628	1996-04-30	PRIJEM	\N	121	26587	UROK	\N	\N
3551193	628	1996-05-31	PRIJEM	\N	118	31305	UROK	\N	\N
3551194	628	1996-06-30	PRIJEM	\N	135	32412	UROK	\N	\N
3551195	628	1996-07-31	PRIJEM	\N	139	35051	UROK	\N	\N
3551196	628	1996-08-31	PRIJEM	\N	137	29829	UROK	\N	\N
3551197	628	1996-09-30	PRIJEM	\N	131	33701	UROK	\N	\N
3551198	628	1996-10-31	PRIJEM	\N	139	32840	UROK	\N	\N
3551199	628	1996-11-30	PRIJEM	\N	139	34079	UROK	\N	\N
3551200	628	1996-12-31	PRIJEM	\N	142	34553	UROK	\N	\N
3551201	628	1997-01-31	PRIJEM	\N	137	31870	UROK	\N	\N
3551202	628	1997-02-28	PRIJEM	\N	131	31602	UROK	\N	\N
3551203	628	1997-03-31	PRIJEM	\N	139	36041	UROK	\N	\N
3551204	628	1997-04-30	PRIJEM	\N	142	32584	UROK	\N	\N
3551205	628	1997-05-31	PRIJEM	\N	126	28230	UROK	\N	\N
3551206	628	1997-06-30	PRIJEM	\N	121	30423	UROK	\N	\N
3551207	628	1997-07-31	PRIJEM	\N	113	26796	UROK	\N	\N
3551208	628	1997-08-31	PRIJEM	\N	124	31061	UROK	\N	\N
3551209	628	1997-09-30	PRIJEM	\N	144	35205	UROK	\N	\N
3551210	628	1997-10-31	PRIJEM	\N	159	41064	UROK	\N	\N
3551211	628	1997-11-30	PRIJEM	\N	174	42838	UROK	\N	\N
3551212	628	1997-12-31	PRIJEM	\N	182	43831	UROK	\N	\N
3551213	628	1998-01-31	PRIJEM	\N	177	41688	UROK	\N	\N
3551214	628	1998-02-28	PRIJEM	\N	165	38974	UROK	\N	\N
3551215	628	1998-03-31	PRIJEM	\N	157	35531	UROK	\N	\N
3551216	628	1998-04-30	PRIJEM	\N	158	40190	UROK	\N	\N
3551217	628	1998-05-31	PRIJEM	\N	161	38752	UROK	\N	\N
3551218	628	1998-06-30	PRIJEM	\N	149	34113	UROK	\N	\N
3551219	628	1998-07-31	PRIJEM	\N	146	36259	UROK	\N	\N
3551220	628	1998-08-31	PRIJEM	\N	144	34504	UROK	\N	\N
3551221	628	1998-09-30	PRIJEM	\N	135	32020	UROK	\N	\N
3551222	628	1998-10-31	PRIJEM	\N	136	33256	UROK	\N	\N
3551223	628	1998-11-30	PRIJEM	\N	127	28664	UROK	\N	\N
3551224	628	1998-12-31	PRIJEM	\N	123	28718	UROK	\N	\N
3551225	629	1994-12-31	PRIJEM	\N	10	23815	UROK	\N	\N
3551226	629	1995-01-31	PRIJEM	\N	69	12553	UROK	\N	\N
3551227	629	1995-02-28	PRIJEM	\N	58	14609	UROK	\N	\N
3551228	629	1995-03-31	PRIJEM	\N	66	16675	UROK	\N	\N
3551229	629	1995-04-30	PRIJEM	\N	74	18149	UROK	\N	\N
3551230	629	1995-05-31	PRIJEM	\N	81	20229	UROK	\N	\N
3551231	629	1995-06-30	PRIJEM	\N	67	12495	UROK	\N	\N
3551232	629	1995-07-31	PRIJEM	\N	53	13108	UROK	\N	\N
3551233	629	1995-08-31	PRIJEM	\N	60	15168	UROK	\N	\N
3551234	629	1995-09-30	PRIJEM	\N	64	15311	UROK	\N	\N
3551235	629	1995-10-31	PRIJEM	\N	69	17380	UROK	\N	\N
3551236	629	1995-11-30	PRIJEM	\N	76	18555	UROK	\N	\N
3551237	629	1995-12-31	PRIJEM	\N	79	18684	UROK	\N	\N
3551238	629	1996-01-31	PRIJEM	\N	58	12681	UROK	\N	\N
3551239	629	1996-02-29	PRIJEM	\N	52	12033	UROK	\N	\N
3551240	629	1996-03-31	PRIJEM	\N	56	14088	UROK	\N	\N
3551241	629	1996-04-30	PRIJEM	\N	61	14548	UROK	\N	\N
3551242	629	1996-05-31	PRIJEM	\N	61	14308	UROK	\N	\N
3551243	629	1996-06-30	PRIJEM	\N	56	12764	UROK	\N	\N
3551244	629	1996-07-31	PRIJEM	\N	49	10912	UROK	\N	\N
3551245	629	1996-08-31	PRIJEM	\N	50	12561	UROK	\N	\N
3551246	629	1996-09-30	PRIJEM	\N	55	13616	UROK	\N	\N
3551247	629	1996-10-31	PRIJEM	\N	59	13834	UROK	\N	\N
3551248	629	1996-11-30	PRIJEM	\N	53	12186	UROK	\N	\N
3551249	629	1996-12-31	PRIJEM	\N	49	11834	UROK	\N	\N
3551250	629	1997-01-31	PRIJEM	\N	55	13388	UROK	\N	\N
3551251	629	1997-02-28	PRIJEM	\N	61	15448	UROK	\N	\N
3551252	629	1997-03-31	PRIJEM	\N	66	16314	UROK	\N	\N
3551253	629	1997-04-30	PRIJEM	\N	70	17283	UROK	\N	\N
3551254	629	1997-05-31	PRIJEM	\N	77	18259	UROK	\N	\N
3551255	629	1997-06-30	PRIJEM	\N	80	18259	UROK	\N	\N
3551256	629	1997-07-31	PRIJEM	\N	81	20340	UROK	\N	\N
3551257	629	1997-08-31	PRIJEM	\N	90	22429	UROK	\N	\N
3551258	629	1997-09-30	PRIJEM	\N	91	22039	UROK	\N	\N
3551259	629	1997-10-31	PRIJEM	\N	97	24135	UROK	\N	\N
3551260	629	1997-11-30	PRIJEM	\N	105	23200	UROK	\N	\N
3551261	629	1997-12-31	PRIJEM	\N	93	22792	UROK	\N	\N
3551262	629	1998-01-31	PRIJEM	\N	81	14973	UROK	\N	\N
3551263	629	1998-02-28	PRIJEM	\N	67	17039	UROK	\N	\N
3551264	629	1998-03-31	PRIJEM	\N	70	17609	UROK	\N	\N
3551265	629	1998-04-30	PRIJEM	\N	72	18080	UROK	\N	\N
3551266	629	1998-05-31	PRIJEM	\N	69	16588	UROK	\N	\N
3551267	629	1998-06-30	PRIJEM	\N	65	16253	UROK	\N	\N
3551268	629	1998-07-31	PRIJEM	\N	72	18324	UROK	\N	\N
3551269	629	1998-08-31	PRIJEM	\N	78	19522	UROK	\N	\N
3551270	629	1998-09-30	PRIJEM	\N	86	21607	UROK	\N	\N
3551271	629	1998-10-31	PRIJEM	\N	95	23701	UROK	\N	\N
3551272	629	1998-11-30	PRIJEM	\N	103	25803	UROK	\N	\N
3551273	629	1998-12-31	PRIJEM	\N	110	27163	UROK	\N	\N
3551274	630	1993-07-31	PRIJEM	\N	7	16549	UROK	\N	\N
3551275	630	1993-08-31	PRIJEM	\N	72	22963	UROK	\N	\N
3551276	630	1993-09-30	PRIJEM	\N	96	23901	UROK	\N	\N
3551277	630	1993-10-31	PRIJEM	\N	101	25943	UROK	\N	\N
3551278	630	1993-11-30	PRIJEM	\N	108	25993	UROK	\N	\N
3551279	630	1993-12-31	PRIJEM	\N	107	25407	UROK	\N	\N
3551280	630	1994-01-31	PRIJEM	\N	101	24624	UROK	\N	\N
3551281	630	1994-02-28	PRIJEM	\N	107	26797	UROK	\N	\N
3551282	630	1994-03-31	PRIJEM	\N	115	27678	UROK	\N	\N
3551283	630	1994-04-30	PRIJEM	\N	114	24389	UROK	\N	\N
3551284	630	1994-05-31	PRIJEM	\N	96	21581	UROK	\N	\N
3551285	630	1994-06-30	PRIJEM	\N	94	23442	UROK	\N	\N
3551286	630	1994-07-31	PRIJEM	\N	97	21005	UROK	\N	\N
3551287	630	1994-08-31	PRIJEM	\N	87	19619	UROK	\N	\N
3551288	630	1994-09-30	PRIJEM	\N	84	20069	UROK	\N	\N
3551289	630	1994-10-31	PRIJEM	\N	82	20027	UROK	\N	\N
3551290	630	1994-11-30	PRIJEM	\N	84	19178	UROK	\N	\N
3551291	630	1994-12-31	PRIJEM	\N	77	16791	UROK	\N	\N
3551292	630	1995-01-31	PRIJEM	\N	65	14773	UROK	\N	\N
3551293	630	1995-02-28	PRIJEM	\N	64	15193	UROK	\N	\N
3551294	630	1995-03-31	PRIJEM	\N	66	16326	UROK	\N	\N
3551295	630	1995-04-30	PRIJEM	\N	70	16662	UROK	\N	\N
3551296	630	1995-05-31	PRIJEM	\N	69	17067	UROK	\N	\N
3551297	630	1995-06-30	PRIJEM	\N	65	14269	UROK	\N	\N
3551298	630	1995-07-31	PRIJEM	\N	63	15498	UROK	\N	\N
3551299	630	1995-08-31	PRIJEM	\N	62	13826	UROK	\N	\N
3551300	630	1995-09-30	PRIJEM	\N	58	13750	UROK	\N	\N
3551301	630	1995-10-31	PRIJEM	\N	57	13374	UROK	\N	\N
3551302	630	1995-11-30	PRIJEM	\N	53	11993	UROK	\N	\N
3551303	630	1995-12-31	PRIJEM	\N	53	13213	UROK	\N	\N
3551304	630	1996-01-31	PRIJEM	\N	55	13324	UROK	\N	\N
3551305	630	1996-02-29	PRIJEM	\N	57	13918	UROK	\N	\N
3551306	630	1996-03-31	PRIJEM	\N	59	14333	UROK	\N	\N
3551307	630	1996-04-30	PRIJEM	\N	62	15562	UROK	\N	\N
3551308	630	1996-05-31	PRIJEM	\N	68	16796	UROK	\N	\N
3551309	630	1996-06-30	PRIJEM	\N	73	18035	UROK	\N	\N
3551310	630	1996-07-31	PRIJEM	\N	78	19279	UROK	\N	\N
3551311	630	1996-08-31	PRIJEM	\N	83	20528	UROK	\N	\N
3551312	630	1996-09-30	PRIJEM	\N	67	14362	UROK	\N	\N
3551313	630	1996-10-31	PRIJEM	\N	62	15591	UROK	\N	\N
3551314	630	1996-11-30	PRIJEM	\N	67	16824	UROK	\N	\N
3551315	630	1996-12-31	PRIJEM	\N	72	17793	UROK	\N	\N
3551316	630	1997-01-31	PRIJEM	\N	70	16539	UROK	\N	\N
3551317	630	1997-02-28	PRIJEM	\N	71	17777	UROK	\N	\N
3551318	630	1997-03-31	PRIJEM	\N	72	12345	UROK	\N	\N
3551319	630	1997-04-30	PRIJEM	\N	54	13565	UROK	\N	\N
3551320	630	1997-05-31	PRIJEM	\N	59	14790	UROK	\N	\N
3551321	630	1997-06-30	PRIJEM	\N	64	16020	UROK	\N	\N
3551322	630	1997-07-31	PRIJEM	\N	69	17255	UROK	\N	\N
3551323	630	1997-08-31	PRIJEM	\N	74	18495	UROK	\N	\N
3551324	630	1997-09-30	PRIJEM	\N	78	19139	UROK	\N	\N
3551325	630	1997-10-31	PRIJEM	\N	79	19245	UROK	\N	\N
3551326	630	1997-11-30	PRIJEM	\N	74	18345	UROK	\N	\N
3551327	630	1997-12-31	PRIJEM	\N	71	17912	UROK	\N	\N
3551328	630	1998-01-31	PRIJEM	\N	71	17169	UROK	\N	\N
3551329	630	1998-02-28	PRIJEM	\N	74	19009	UROK	\N	\N
3551330	630	1998-03-31	PRIJEM	\N	76	19352	UROK	\N	\N
3551331	630	1998-04-30	PRIJEM	\N	82	21000	UROK	\N	\N
3551332	630	1998-05-31	PRIJEM	\N	82	20649	UROK	\N	\N
3551333	630	1998-06-30	PRIJEM	\N	71	17495	UROK	\N	\N
3551334	630	1998-07-31	PRIJEM	\N	67	17078	UROK	\N	\N
3551335	630	1998-08-31	PRIJEM	\N	86	22731	UROK	\N	\N
3551336	630	1998-09-30	PRIJEM	\N	99	25226	UROK	\N	\N
3551337	630	1998-10-31	PRIJEM	\N	115	29318	UROK	\N	\N
3551338	630	1998-11-30	PRIJEM	\N	130	32314	UROK	\N	\N
3551339	630	1998-12-31	PRIJEM	\N	130	32450	UROK	\N	\N
3551340	631	1996-04-30	PRIJEM	\N	13	13805	UROK	\N	\N
3551341	631	1996-05-31	PRIJEM	\N	62	18059	UROK	\N	\N
3551342	631	1996-06-30	PRIJEM	\N	80	22531	UROK	\N	\N
3551343	631	1996-07-31	PRIJEM	\N	96	24720	UROK	\N	\N
3551344	631	1996-08-31	PRIJEM	\N	100	22592	UROK	\N	\N
3551345	631	1996-09-30	PRIJEM	\N	90	18265	UROK	\N	\N
3551346	631	1996-10-31	PRIJEM	\N	74	15523	UROK	\N	\N
3551347	631	1996-11-30	PRIJEM	\N	70	17776	UROK	\N	\N
3551348	631	1996-12-31	PRIJEM	\N	74	17514	UROK	\N	\N
3551349	631	1997-01-31	PRIJEM	\N	75	18242	UROK	\N	\N
3551350	631	1997-02-28	PRIJEM	\N	83	23099	UROK	\N	\N
3551351	631	1997-03-31	PRIJEM	\N	100	24583	UROK	\N	\N
3551352	631	1997-04-30	PRIJEM	\N	99	21665	UROK	\N	\N
3551353	631	1997-05-31	PRIJEM	\N	95	23343	UROK	\N	\N
3551354	631	1997-06-30	PRIJEM	\N	84	19761	UROK	\N	\N
3551355	631	1997-07-31	PRIJEM	\N	91	23635	UROK	\N	\N
3551356	631	1997-08-31	PRIJEM	\N	109	28227	UROK	\N	\N
3551357	631	1997-09-30	PRIJEM	\N	115	26345	UROK	\N	\N
3551358	631	1997-10-31	PRIJEM	\N	118	29947	UROK	\N	\N
3551359	631	1997-11-30	PRIJEM	\N	132	32762	UROK	\N	\N
3551360	631	1997-12-31	PRIJEM	\N	136	32942	UROK	\N	\N
3551361	631	1998-01-31	PRIJEM	\N	127	26562	UROK	\N	\N
3551362	631	1998-02-28	PRIJEM	\N	112	27367	UROK	\N	\N
3551363	631	1998-03-31	PRIJEM	\N	110	25160	UROK	\N	\N
3551364	631	1998-04-30	PRIJEM	\N	103	24146	UROK	\N	\N
3551365	631	1998-05-31	PRIJEM	\N	108	26888	UROK	\N	\N
3551366	631	1998-06-30	PRIJEM	\N	103	24324	UROK	\N	\N
3551367	631	1998-07-31	PRIJEM	\N	120	31527	UROK	\N	\N
3551368	631	1998-08-31	PRIJEM	\N	141	35152	UROK	\N	\N
3551369	631	1998-09-30	PRIJEM	\N	145	34780	UROK	\N	\N
3551370	631	1998-10-31	PRIJEM	\N	150	36663	UROK	\N	\N
3551371	631	1998-11-30	PRIJEM	\N	168	42114	UROK	\N	\N
3551372	631	1998-12-31	PRIJEM	\N	177	42365	UROK	\N	\N
3551373	632	1996-10-31	PRIJEM	\N	45	15353	UROK	\N	\N
3551374	632	1996-11-30	PRIJEM	\N	70	15675	UROK	\N	\N
3551375	632	1996-12-31	PRIJEM	\N	66	14984	UROK	\N	\N
3551376	632	1997-01-31	PRIJEM	\N	56	12972	UROK	\N	\N
3551377	632	1997-02-28	PRIJEM	\N	60	14084	UROK	\N	\N
3551378	632	1997-03-31	PRIJEM	\N	64	15201	UROK	\N	\N
3551379	632	1997-04-30	PRIJEM	\N	66	16319	UROK	\N	\N
3551380	632	1997-05-31	PRIJEM	\N	74	17445	UROK	\N	\N
3551381	632	1997-06-30	PRIJEM	\N	74	17191	UROK	\N	\N
3551382	632	1997-07-31	PRIJEM	\N	77	18321	UROK	\N	\N
3551383	632	1997-08-31	PRIJEM	\N	79	19452	UROK	\N	\N
3551384	632	1997-09-30	PRIJEM	\N	79	18844	UROK	\N	\N
3551385	632	1997-10-31	PRIJEM	\N	84	19980	UROK	\N	\N
3551386	632	1997-11-30	PRIJEM	\N	86	20399	UROK	\N	\N
3551387	632	1997-12-31	PRIJEM	\N	87	20878	UROK	\N	\N
3551388	632	1998-01-31	PRIJEM	\N	83	17964	UROK	\N	\N
3551389	632	1998-02-28	PRIJEM	\N	74	18131	UROK	\N	\N
3551390	632	1998-03-31	PRIJEM	\N	78	19261	UROK	\N	\N
3551391	632	1998-04-30	PRIJEM	\N	85	19048	UROK	\N	\N
3551392	632	1998-05-31	PRIJEM	\N	85	20185	UROK	\N	\N
3551393	632	1998-06-30	PRIJEM	\N	83	16581	UROK	\N	\N
3551394	632	1998-07-31	PRIJEM	\N	75	17708	UROK	\N	\N
3551395	632	1998-08-31	PRIJEM	\N	76	18836	UROK	\N	\N
3551396	632	1998-09-30	PRIJEM	\N	84	19972	UROK	\N	\N
3551397	632	1998-10-31	PRIJEM	\N	86	21110	UROK	\N	\N
3551398	632	1998-11-30	PRIJEM	\N	86	20778	UROK	\N	\N
3551399	632	1998-12-31	PRIJEM	\N	86	21047	UROK	\N	\N
3551400	633	1995-12-31	PRIJEM	\N	15	5751	UROK	\N	\N
3551401	633	1996-01-31	PRIJEM	\N	24	10811	UROK	\N	\N
3551402	633	1996-02-29	PRIJEM	\N	24	15870	UROK	\N	\N
3551403	633	1996-03-31	PRIJEM	\N	24	20930	UROK	\N	\N
3551404	633	1996-04-30	PRIJEM	\N	27	25993	UROK	\N	\N
3551405	633	1996-05-31	PRIJEM	\N	113	27950	UROK	\N	\N
3551406	633	1996-06-30	PRIJEM	\N	116	17961	UROK	\N	\N
3551407	633	1996-07-31	PRIJEM	\N	61	13387	UROK	\N	\N
3551408	633	1996-08-31	PRIJEM	\N	60	15291	UROK	\N	\N
3551409	633	1996-09-30	PRIJEM	\N	68	17204	UROK	\N	\N
3551410	633	1996-10-31	PRIJEM	\N	76	19125	UROK	\N	\N
3551411	633	1996-11-30	PRIJEM	\N	84	21054	UROK	\N	\N
3551412	633	1996-12-31	PRIJEM	\N	92	22590	UROK	\N	\N
3551413	633	1997-01-31	PRIJEM	\N	89	16603	UROK	\N	\N
3551414	633	1997-02-28	PRIJEM	\N	71	17399	UROK	\N	\N
3551415	633	1997-03-31	PRIJEM	\N	71	16094	UROK	\N	\N
3551416	633	1997-04-30	PRIJEM	\N	72	18010	UROK	\N	\N
3551417	633	1997-05-31	PRIJEM	\N	69	17363	UROK	\N	\N
3551418	633	1997-06-30	PRIJEM	\N	76	17584	UROK	\N	\N
3551419	633	1997-07-31	PRIJEM	\N	77	18005	UROK	\N	\N
3551420	633	1997-08-31	PRIJEM	\N	79	18828	UROK	\N	\N
3551421	633	1997-09-30	PRIJEM	\N	82	19655	UROK	\N	\N
3551422	633	1997-10-31	PRIJEM	\N	85	19384	UROK	\N	\N
3551423	633	1997-11-30	PRIJEM	\N	81	19030	UROK	\N	\N
3551424	633	1997-12-31	PRIJEM	\N	69	15763	UROK	\N	\N
3551425	633	1998-01-31	PRIJEM	\N	57	14144	UROK	\N	\N
3551426	633	1998-02-28	PRIJEM	\N	62	14750	UROK	\N	\N
3551427	633	1998-03-31	PRIJEM	\N	65	15860	UROK	\N	\N
3551428	633	1998-04-30	PRIJEM	\N	67	14331	UROK	\N	\N
3551429	633	1998-05-31	PRIJEM	\N	64	16240	UROK	\N	\N
3551430	633	1998-06-30	PRIJEM	\N	65	12809	UROK	\N	\N
3551431	633	1998-07-31	PRIJEM	\N	58	14711	UROK	\N	\N
3551432	633	1998-08-31	PRIJEM	\N	65	16020	UROK	\N	\N
3551433	633	1998-09-30	PRIJEM	\N	68	16033	UROK	\N	\N
3551434	633	1998-10-31	PRIJEM	\N	71	16508	UROK	\N	\N
3551435	633	1998-11-30	PRIJEM	\N	73	18425	UROK	\N	\N
3551436	633	1998-12-31	PRIJEM	\N	75	19094	UROK	\N	\N
3551500	635	1994-09-30	PRIJEM	\N	33	21491	UROK	\N	\N
3551501	635	1994-10-31	PRIJEM	\N	226	57923	UROK	\N	\N
3551502	635	1994-11-30	PRIJEM	\N	266	80800	UROK	\N	\N
3551503	635	1994-12-31	PRIJEM	\N	266	46554	UROK	\N	\N
3551504	635	1995-01-31	PRIJEM	\N	229	47140	UROK	\N	\N
3551505	635	1995-02-28	PRIJEM	\N	136	43674	UROK	\N	\N
3551506	635	1995-03-31	PRIJEM	\N	265	52415	UROK	\N	\N
3551507	635	1995-04-30	PRIJEM	\N	166	28455	UROK	\N	\N
3551508	635	1995-05-31	PRIJEM	\N	104	23647	UROK	\N	\N
3551509	635	1995-06-30	PRIJEM	\N	78	17713	UROK	\N	\N
3551510	635	1995-07-31	PRIJEM	\N	98	46447	UROK	\N	\N
3551511	635	1995-08-31	PRIJEM	\N	154	29890	UROK	\N	\N
3551512	635	1995-09-30	PRIJEM	\N	134	28526	UROK	\N	\N
3551513	635	1995-10-31	PRIJEM	\N	74	13688	UROK	\N	\N
3551514	635	1995-11-30	PRIJEM	\N	116	45455	UROK	\N	\N
3551515	635	1995-12-31	PRIJEM	\N	188	34313	UROK	\N	\N
3551516	635	1996-01-31	PRIJEM	\N	146	23917	UROK	\N	\N
3551517	635	1996-02-29	PRIJEM	\N	115	28392	UROK	\N	\N
3551518	635	1996-03-31	PRIJEM	\N	88	16768	UROK	\N	\N
3551519	635	1996-04-30	PRIJEM	\N	49	8705	UROK	\N	\N
3551520	635	1996-05-31	PRIJEM	\N	15	609	UROK	\N	\N
3551521	635	1996-06-30	PRIJEM	\N	2	-1564	UROK	\N	\N
3551522	635	1996-06-30	VYDAJ	VYBER	1	-1565	SANKC. UROK	\N	\N
3551523	635	1996-07-31	VYDAJ	VYBER	17	-1611	SANKC. UROK	\N	\N
3551524	635	1996-09-30	VYDAJ	VYBER	18	17881	SANKC. UROK	\N	\N
3551525	635	1996-09-30	PRIJEM	\N	3	17930	UROK	\N	\N
3551526	635	1996-09-30	VYDAJ	VYBER	17	17913	SANKC. UROK	\N	\N
3551527	635	1996-10-31	PRIJEM	\N	53	9836	UROK	\N	\N
3551528	635	1996-11-30	PRIJEM	\N	20	1744	UROK	\N	\N
3551529	635	1996-12-31	PRIJEM	\N	6	-424	UROK	\N	\N
3551530	635	1996-12-31	VYDAJ	VYBER	0	-439	SANKC. UROK	\N	\N
3551531	635	1997-01-31	PRIJEM	\N	4	30970	UROK	\N	\N
3551532	635	1997-01-31	VYDAJ	VYBER	7	30949	SANKC. UROK	\N	\N
3551533	635	1997-02-28	PRIJEM	\N	84	16124	UROK	\N	\N
3551534	635	1997-03-31	PRIJEM	\N	228	79437	UROK	\N	\N
3551535	635	1997-04-30	PRIJEM	\N	165	22791	UROK	\N	\N
3551536	635	1997-05-31	PRIJEM	\N	183	65910	UROK	\N	\N
3551537	635	1997-06-30	PRIJEM	\N	163	37743	UROK	\N	\N
3551538	635	1997-07-31	PRIJEM	\N	78	13844	UROK	\N	\N
3551539	635	1997-08-31	PRIJEM	\N	289	86755	UROK	\N	\N
3551540	635	1997-09-30	PRIJEM	\N	260	64972	UROK	\N	\N
3551541	635	1997-10-31	PRIJEM	\N	162	34448	UROK	\N	\N
3551542	635	1997-11-30	PRIJEM	\N	153	96469	UROK	\N	\N
3551543	635	1997-12-31	PRIJEM	\N	238	42595	UROK	\N	\N
3551544	635	1998-01-31	PRIJEM	\N	148	37795	UROK	\N	\N
3551545	635	1998-02-28	PRIJEM	\N	288	88065	UROK	\N	\N
3551546	635	1998-03-31	PRIJEM	\N	282	99708	UROK	\N	\N
3551547	635	1998-04-30	PRIJEM	\N	298	90024	UROK	\N	\N
3551548	635	1998-05-31	PRIJEM	\N	308	97523	UROK	\N	\N
3551549	635	1998-06-30	PRIJEM	\N	350	85281	UROK	\N	\N
3551550	635	1998-07-31	PRIJEM	\N	325	79779	UROK	\N	\N
3551551	635	1998-08-31	PRIJEM	\N	258	37771	UROK	\N	\N
3551552	635	1998-09-30	PRIJEM	\N	252	31593	UROK	\N	\N
3551553	635	1998-10-31	PRIJEM	\N	108	23590	UROK	\N	\N
3551554	635	1998-11-30	PRIJEM	\N	75	15553	UROK	\N	\N
3551555	635	1998-12-31	PRIJEM	\N	41	7482	UROK	\N	\N
3551556	636	1997-09-30	PRIJEM	\N	63	20627	UROK	\N	\N
3551557	636	1997-10-31	PRIJEM	\N	77	14458	UROK	\N	\N
3551558	636	1997-11-30	PRIJEM	\N	65	16036	UROK	\N	\N
3551559	636	1997-12-31	PRIJEM	\N	70	16770	UROK	\N	\N
3551560	636	1998-01-31	PRIJEM	\N	70	13052	UROK	\N	\N
3551561	636	1998-02-28	PRIJEM	\N	59	14625	UROK	\N	\N
3551562	636	1998-03-31	PRIJEM	\N	61	13719	UROK	\N	\N
3551563	636	1998-04-30	PRIJEM	\N	56	12649	UROK	\N	\N
3551564	636	1998-05-31	PRIJEM	\N	56	13218	UROK	\N	\N
3551565	636	1998-06-30	PRIJEM	\N	51	12062	UROK	\N	\N
3551566	636	1998-07-31	PRIJEM	\N	55	13631	UROK	\N	\N
3551567	636	1998-08-31	PRIJEM	\N	61	15205	UROK	\N	\N
3551568	636	1998-09-30	PRIJEM	\N	63	14862	UROK	\N	\N
3551569	636	1998-10-31	PRIJEM	\N	65	15800	UROK	\N	\N
3551570	636	1998-11-30	PRIJEM	\N	64	14377	UROK	\N	\N
3551571	636	1998-12-31	PRIJEM	\N	60	14151	UROK	\N	\N
3551572	637	1996-09-30	PRIJEM	\N	9	13111	UROK	\N	\N
3551573	637	1996-10-31	PRIJEM	\N	62	22075	UROK	\N	\N
3551574	637	1996-11-30	PRIJEM	\N	93	23970	UROK	\N	\N
3551575	637	1996-12-31	PRIJEM	\N	96	20568	UROK	\N	\N
3551576	637	1997-01-31	PRIJEM	\N	87	18297	UROK	\N	\N
3551577	637	1997-02-28	PRIJEM	\N	74	14124	UROK	\N	\N
3551578	637	1997-03-31	PRIJEM	\N	59	12937	UROK	\N	\N
3551579	637	1997-04-30	PRIJEM	\N	55	13045	UROK	\N	\N
3551580	637	1997-05-31	PRIJEM	\N	55	12754	UROK	\N	\N
3551581	637	1997-06-30	PRIJEM	\N	54	12362	UROK	\N	\N
3551582	637	1997-07-31	PRIJEM	\N	50	10225	UROK	\N	\N
3551583	637	1997-08-31	PRIJEM	\N	47	12725	UROK	\N	\N
3551584	637	1997-09-30	PRIJEM	\N	54	12933	UROK	\N	\N
3551585	637	1997-10-31	PRIJEM	\N	54	12280	UROK	\N	\N
3551586	637	1997-11-30	PRIJEM	\N	62	18595	UROK	\N	\N
3551587	637	1997-12-31	PRIJEM	\N	76	17624	UROK	\N	\N
3551588	637	1998-01-31	PRIJEM	\N	69	17697	UROK	\N	\N
3551589	637	1998-02-28	PRIJEM	\N	66	12916	UROK	\N	\N
3551590	637	1998-03-31	PRIJEM	\N	56	13266	UROK	\N	\N
3551591	637	1998-04-30	PRIJEM	\N	58	14277	UROK	\N	\N
3551592	637	1998-05-31	PRIJEM	\N	55	11385	UROK	\N	\N
3551593	637	1998-06-30	PRIJEM	\N	47	11085	UROK	\N	\N
3551594	637	1998-07-31	PRIJEM	\N	48	12087	UROK	\N	\N
3551595	637	1998-08-31	PRIJEM	\N	50	11790	UROK	\N	\N
3551596	637	1998-09-30	PRIJEM	\N	51	12795	UROK	\N	\N
3551597	637	1998-10-31	PRIJEM	\N	55	13804	UROK	\N	\N
3551598	637	1998-11-30	PRIJEM	\N	60	14817	UROK	\N	\N
3551599	637	1998-12-31	PRIJEM	\N	63	15624	UROK	\N	\N
3551600	638	1995-07-31	PRIJEM	\N	11	20725	UROK	\N	\N
3551601	638	1995-08-31	PRIJEM	\N	92	29431	UROK	\N	\N
3551602	638	1995-09-30	PRIJEM	\N	127	36472	UROK	\N	\N
3551603	638	1995-10-31	PRIJEM	\N	154	39040	UROK	\N	\N
3551604	638	1995-11-30	PRIJEM	\N	189	38483	UROK	\N	\N
3551605	638	1995-12-31	PRIJEM	\N	194	37525	UROK	\N	\N
3551606	638	1996-01-31	PRIJEM	\N	164	32620	UROK	\N	\N
3551607	638	1996-02-29	PRIJEM	\N	153	33845	UROK	\N	\N
3551608	638	1996-03-31	PRIJEM	\N	159	35475	UROK	\N	\N
3551609	638	1996-04-30	PRIJEM	\N	163	35710	UROK	\N	\N
3551610	638	1996-05-31	PRIJEM	\N	162	34244	UROK	\N	\N
3551611	638	1996-06-30	PRIJEM	\N	137	29329	UROK	\N	\N
3551612	638	1996-07-31	PRIJEM	\N	140	32140	UROK	\N	\N
3551613	638	1996-08-31	PRIJEM	\N	142	28853	UROK	\N	\N
3551614	638	1996-09-30	PRIJEM	\N	133	31158	UROK	\N	\N
3551615	638	1996-10-31	PRIJEM	\N	139	29868	UROK	\N	\N
3551616	638	1996-11-30	PRIJEM	\N	136	30975	UROK	\N	\N
3551617	638	1996-12-31	PRIJEM	\N	151	33854	UROK	\N	\N
3551618	638	1997-01-31	PRIJEM	\N	130	25696	UROK	\N	\N
3551619	638	1997-02-28	PRIJEM	\N	110	22437	UROK	\N	\N
3551620	638	1997-03-31	PRIJEM	\N	95	18103	UROK	\N	\N
3551621	638	1997-04-30	PRIJEM	\N	86	19161	UROK	\N	\N
3551622	638	1997-05-31	PRIJEM	\N	89	19721	UROK	\N	\N
3551623	638	1997-06-30	PRIJEM	\N	92	20021	UROK	\N	\N
3551624	638	1997-07-31	PRIJEM	\N	85	17377	UROK	\N	\N
3551625	638	1997-08-31	PRIJEM	\N	78	17527	UROK	\N	\N
3551626	638	1997-09-30	PRIJEM	\N	70	13868	UROK	\N	\N
3551627	638	1997-10-31	PRIJEM	\N	64	14804	UROK	\N	\N
3551628	638	1997-11-30	PRIJEM	\N	63	14138	UROK	\N	\N
3551629	638	1997-12-31	PRIJEM	\N	72	16838	UROK	\N	\N
3551630	638	1998-01-31	PRIJEM	\N	68	15578	UROK	\N	\N
3551631	638	1998-02-28	PRIJEM	\N	69	17219	UROK	\N	\N
3551632	638	1998-03-31	PRIJEM	\N	66	13556	UROK	\N	\N
3551633	638	1998-04-30	PRIJEM	\N	81	22908	UROK	\N	\N
3551634	638	1998-05-31	PRIJEM	\N	77	14976	UROK	\N	\N
3551635	638	1998-06-30	PRIJEM	\N	111	33016	UROK	\N	\N
3551636	638	1998-07-31	PRIJEM	\N	101	18588	UROK	\N	\N
3551637	638	1998-08-31	PRIJEM	\N	103	27962	UROK	\N	\N
3551638	638	1998-09-30	PRIJEM	\N	140	36414	UROK	\N	\N
3551639	638	1998-10-31	PRIJEM	\N	132	31117	UROK	\N	\N
3551640	638	1998-11-30	PRIJEM	\N	103	21412	UROK	\N	\N
3551641	638	1998-12-31	PRIJEM	\N	114	26274	UROK	\N	\N
3551642	639	1997-11-30	PRIJEM	\N	15	4888	UROK	\N	\N
3551643	639	1997-12-31	PRIJEM	\N	20	9281	UROK	\N	\N
3551644	639	1998-01-31	PRIJEM	\N	20	13675	UROK	\N	\N
3551645	639	1998-02-28	PRIJEM	\N	20	18068	UROK	\N	\N
3551646	639	1998-03-31	PRIJEM	\N	53	15328	UROK	\N	\N
3551647	639	1998-04-30	PRIJEM	\N	70	17710	UROK	\N	\N
3551648	639	1998-05-31	PRIJEM	\N	77	18580	UROK	\N	\N
3551649	639	1998-06-30	PRIJEM	\N	82	18654	UROK	\N	\N
3551650	639	1998-07-31	PRIJEM	\N	84	21050	UROK	\N	\N
3551651	639	1998-08-31	PRIJEM	\N	94	23456	UROK	\N	\N
3551652	639	1998-09-30	PRIJEM	\N	104	25872	UROK	\N	\N
3551653	639	1998-10-31	PRIJEM	\N	109	25114	UROK	\N	\N
3551654	639	1998-11-30	PRIJEM	\N	108	22234	UROK	\N	\N
3551655	639	1998-12-31	PRIJEM	\N	98	24195	UROK	\N	\N
3551656	640	1993-06-30	PRIJEM	\N	16	5453	UROK	\N	\N
3551657	640	1993-07-31	PRIJEM	\N	23	9813	UROK	\N	\N
3551658	640	1993-08-31	PRIJEM	\N	23	14172	UROK	\N	\N
3551659	640	1993-09-30	PRIJEM	\N	23	18532	UROK	\N	\N
3551660	640	1993-10-31	PRIJEM	\N	58	20036	UROK	\N	\N
3551661	640	1993-11-30	PRIJEM	\N	83	19310	UROK	\N	\N
3551662	640	1993-12-31	PRIJEM	\N	70	16371	UROK	\N	\N
3551663	640	1994-01-31	PRIJEM	\N	72	17874	UROK	\N	\N
3551664	640	1994-02-28	PRIJEM	\N	73	16738	UROK	\N	\N
3551665	640	1994-03-31	PRIJEM	\N	73	18243	UROK	\N	\N
3551666	640	1994-04-30	PRIJEM	\N	79	19754	UROK	\N	\N
3551667	640	1994-05-31	PRIJEM	\N	86	21271	UROK	\N	\N
3551668	640	1994-06-30	PRIJEM	\N	92	22794	UROK	\N	\N
3551669	640	1994-07-31	PRIJEM	\N	95	22400	UROK	\N	\N
3551670	640	1994-08-31	PRIJEM	\N	97	23929	UROK	\N	\N
3551671	640	1994-09-30	PRIJEM	\N	103	25463	UROK	\N	\N
3551672	640	1994-10-31	PRIJEM	\N	108	25602	UROK	\N	\N
3551673	640	1994-11-30	PRIJEM	\N	110	27144	UROK	\N	\N
3551674	640	1994-12-31	PRIJEM	\N	110	23056	UROK	\N	\N
3551675	640	1995-01-31	PRIJEM	\N	98	22404	UROK	\N	\N
3551676	640	1995-02-28	PRIJEM	\N	96	23932	UROK	\N	\N
3551677	640	1995-03-31	PRIJEM	\N	103	25066	UROK	\N	\N
3551678	640	1995-04-30	PRIJEM	\N	108	26605	UROK	\N	\N
3551679	640	1995-05-31	PRIJEM	\N	113	27030	UROK	\N	\N
3551680	640	1995-06-30	PRIJEM	\N	114	27575	UROK	\N	\N
3551681	640	1995-07-31	PRIJEM	\N	108	24634	UROK	\N	\N
3551682	640	1995-08-31	PRIJEM	\N	106	26171	UROK	\N	\N
3551683	640	1995-09-30	PRIJEM	\N	110	26353	UROK	\N	\N
3551684	640	1995-10-31	PRIJEM	\N	104	24128	UROK	\N	\N
3551685	640	1995-11-30	PRIJEM	\N	103	25663	UROK	\N	\N
3551686	640	1995-12-31	PRIJEM	\N	103	23048	UROK	\N	\N
3551687	640	1996-01-31	PRIJEM	\N	97	23476	UROK	\N	\N
3551688	640	1996-02-29	PRIJEM	\N	100	24707	UROK	\N	\N
3551689	640	1996-03-31	PRIJEM	\N	100	23919	UROK	\N	\N
3551690	640	1996-04-30	PRIJEM	\N	96	22346	UROK	\N	\N
3551691	640	1996-05-31	PRIJEM	\N	96	23874	UROK	\N	\N
3551692	640	1996-06-30	PRIJEM	\N	102	25407	UROK	\N	\N
3551693	640	1996-07-31	PRIJEM	\N	107	26225	UROK	\N	\N
3551694	640	1996-08-31	PRIJEM	\N	112	27769	UROK	\N	\N
3551695	640	1996-09-30	PRIJEM	\N	117	28037	UROK	\N	\N
3551696	640	1996-10-31	PRIJEM	\N	119	29587	UROK	\N	\N
3551697	640	1996-11-30	PRIJEM	\N	123	28742	UROK	\N	\N
3551698	640	1996-12-31	PRIJEM	\N	119	28022	UROK	\N	\N
3551699	640	1997-01-31	PRIJEM	\N	119	29573	UROK	\N	\N
3551700	640	1997-02-28	PRIJEM	\N	121	28925	UROK	\N	\N
3551701	640	1997-03-31	PRIJEM	\N	111	24588	UROK	\N	\N
3551702	640	1997-04-30	PRIJEM	\N	104	25002	UROK	\N	\N
3551703	640	1997-05-31	PRIJEM	\N	106	25660	UROK	\N	\N
3551704	640	1997-06-30	PRIJEM	\N	109	27200	UROK	\N	\N
3551705	640	1997-07-31	PRIJEM	\N	107	25339	UROK	\N	\N
3551706	640	1997-08-31	PRIJEM	\N	107	26877	UROK	\N	\N
3551707	640	1997-09-30	PRIJEM	\N	114	28422	UROK	\N	\N
3551708	640	1997-10-31	PRIJEM	\N	120	29974	UROK	\N	\N
3551709	640	1997-11-30	PRIJEM	\N	126	31532	UROK	\N	\N
3551710	640	1997-12-31	PRIJEM	\N	131	31994	UROK	\N	\N
3551711	640	1998-01-31	PRIJEM	\N	135	33560	UROK	\N	\N
3551712	640	1998-02-28	PRIJEM	\N	141	35132	UROK	\N	\N
3551713	640	1998-03-31	PRIJEM	\N	137	32401	UROK	\N	\N
3551714	640	1998-04-30	PRIJEM	\N	137	33570	UROK	\N	\N
3551715	640	1998-05-31	PRIJEM	\N	138	32999	UROK	\N	\N
3551716	640	1998-06-30	PRIJEM	\N	138	34569	UROK	\N	\N
3551717	640	1998-07-31	PRIJEM	\N	136	32296	UROK	\N	\N
3551718	640	1998-08-31	PRIJEM	\N	135	33863	UROK	\N	\N
3551719	640	1998-09-30	PRIJEM	\N	139	32793	UROK	\N	\N
3551720	640	1998-10-31	PRIJEM	\N	137	34362	UROK	\N	\N
3551721	640	1998-11-30	PRIJEM	\N	144	35937	UROK	\N	\N
3551722	640	1998-12-31	PRIJEM	\N	148	36166	UROK	\N	\N
3551723	641	1997-07-31	PRIJEM	\N	37	27214	UROK	\N	\N
3551724	641	1997-08-31	PRIJEM	\N	129	37819	UROK	\N	\N
3551725	641	1997-09-30	PRIJEM	\N	167	44263	UROK	\N	\N
3551726	641	1997-10-31	PRIJEM	\N	182	42922	UROK	\N	\N
3551727	641	1997-11-30	PRIJEM	\N	192	40461	UROK	\N	\N
3551728	641	1997-12-31	PRIJEM	\N	211	48552	UROK	\N	\N
3551729	641	1998-01-31	PRIJEM	\N	186	26871	UROK	\N	\N
3551730	641	1998-02-28	PRIJEM	\N	142	36945	UROK	\N	\N
3551731	641	1998-03-31	PRIJEM	\N	184	42761	UROK	\N	\N
3551732	641	1998-04-30	PRIJEM	\N	199	41612	UROK	\N	\N
3551733	641	1998-05-31	PRIJEM	\N	186	41650	UROK	\N	\N
3551734	641	1998-06-30	PRIJEM	\N	208	49219	UROK	\N	\N
3551735	641	1998-07-31	PRIJEM	\N	217	49568	UROK	\N	\N
3551736	641	1998-08-31	PRIJEM	\N	202	44883	UROK	\N	\N
3551737	641	1998-09-30	PRIJEM	\N	204	49619	UROK	\N	\N
3551738	641	1998-10-31	PRIJEM	\N	208	48060	UROK	\N	\N
3551739	641	1998-11-30	PRIJEM	\N	199	46591	UROK	\N	\N
3551740	641	1998-12-31	PRIJEM	\N	199	46511	UROK	\N	\N
3551803	644	1997-11-30	PRIJEM	\N	10	3268	UROK	\N	\N
3551804	644	1997-12-31	PRIJEM	\N	14	6240	UROK	\N	\N
3551805	644	1998-01-31	PRIJEM	\N	14	9211	UROK	\N	\N
3551806	644	1998-02-28	PRIJEM	\N	14	12183	UROK	\N	\N
3551807	644	1998-03-31	PRIJEM	\N	45	13199	UROK	\N	\N
3551808	644	1998-04-30	PRIJEM	\N	57	12758	UROK	\N	\N
3551809	644	1998-05-31	PRIJEM	\N	51	12280	UROK	\N	\N
3551810	644	1998-06-30	PRIJEM	\N	55	13306	UROK	\N	\N
3551811	644	1998-07-31	PRIJEM	\N	55	12862	UROK	\N	\N
3551812	644	1998-08-31	PRIJEM	\N	57	13890	UROK	\N	\N
3551813	644	1998-09-30	PRIJEM	\N	61	14923	UROK	\N	\N
3551814	644	1998-10-31	PRIJEM	\N	66	15960	UROK	\N	\N
3551815	644	1998-11-30	PRIJEM	\N	65	15556	UROK	\N	\N
3551816	644	1998-12-31	PRIJEM	\N	65	15782	UROK	\N	\N
3551817	645	1997-08-31	PRIJEM	\N	4	13101	UROK	\N	\N
3551818	645	1997-09-30	PRIJEM	\N	55	22355	UROK	\N	\N
3551819	645	1997-10-31	PRIJEM	\N	55	26710	UROK	\N	\N
3551820	645	1997-11-30	PRIJEM	\N	55	27364	UROK	\N	\N
3551821	645	1997-12-31	PRIJEM	\N	118	49380	UROK	\N	\N
3551822	645	1998-01-31	PRIJEM	\N	249	90120	UROK	\N	\N
3551823	645	1998-02-28	PRIJEM	\N	322	75205	UROK	\N	\N
3551824	645	1998-03-31	PRIJEM	\N	282	63646	UROK	\N	\N
3551825	645	1998-04-30	PRIJEM	\N	141	29749	UROK	\N	\N
3551826	645	1998-05-31	PRIJEM	\N	181	81004	UROK	\N	\N
3551827	645	1998-06-30	PRIJEM	\N	345	87415	UROK	\N	\N
3551828	645	1998-07-31	PRIJEM	\N	332	88953	UROK	\N	\N
3551829	645	1998-08-31	PRIJEM	\N	340	89409	UROK	\N	\N
3551830	645	1998-09-30	PRIJEM	\N	315	84538	UROK	\N	\N
3551831	645	1998-10-31	PRIJEM	\N	318	83633	UROK	\N	\N
3551832	645	1998-11-30	PRIJEM	\N	326	61958	UROK	\N	\N
3551833	645	1998-12-31	PRIJEM	\N	323	90537	UROK	\N	\N
3551834	646	1996-01-31	PRIJEM	\N	27	9730	UROK	\N	\N
3551835	646	1996-02-29	PRIJEM	\N	89	27522	UROK	\N	\N
3551836	646	1996-03-31	PRIJEM	\N	141	37066	UROK	\N	\N
3551837	646	1996-04-30	PRIJEM	\N	162	39931	UROK	\N	\N
3551838	646	1996-05-31	PRIJEM	\N	178	44312	UROK	\N	\N
3551839	646	1996-06-30	PRIJEM	\N	183	45058	UROK	\N	\N
3551840	646	1996-07-31	PRIJEM	\N	172	41043	UROK	\N	\N
3551841	646	1996-08-31	PRIJEM	\N	159	38214	UROK	\N	\N
3551842	646	1996-09-30	PRIJEM	\N	135	30361	UROK	\N	\N
3551843	646	1996-10-31	PRIJEM	\N	124	30598	UROK	\N	\N
3551844	646	1996-11-30	PRIJEM	\N	130	32541	UROK	\N	\N
3551845	646	1996-12-31	PRIJEM	\N	128	30832	UROK	\N	\N
3551846	646	1997-01-31	PRIJEM	\N	100	19344	UROK	\N	\N
3551847	646	1997-02-28	PRIJEM	\N	92	23849	UROK	\N	\N
3551848	646	1997-03-31	PRIJEM	\N	94	23055	UROK	\N	\N
3551849	646	1997-04-30	PRIJEM	\N	92	17560	UROK	\N	\N
3551850	646	1997-05-31	PRIJEM	\N	94	24666	UROK	\N	\N
3551851	646	1997-06-30	PRIJEM	\N	112	22941	UROK	\N	\N
3551852	646	1997-07-31	PRIJEM	\N	106	24360	UROK	\N	\N
3551853	646	1997-08-31	PRIJEM	\N	105	22777	UROK	\N	\N
3551854	646	1997-09-30	PRIJEM	\N	105	23494	UROK	\N	\N
3551855	646	1997-10-31	PRIJEM	\N	106	22713	UROK	\N	\N
3551856	646	1997-11-30	PRIJEM	\N	104	23329	UROK	\N	\N
3551857	646	1997-12-31	PRIJEM	\N	119	29012	UROK	\N	\N
3551858	646	1998-01-31	PRIJEM	\N	99	18323	UROK	\N	\N
3551859	646	1998-02-28	PRIJEM	\N	86	21322	UROK	\N	\N
3551860	646	1998-03-31	PRIJEM	\N	97	21631	UROK	\N	\N
3551861	646	1998-04-30	PRIJEM	\N	101	24744	UROK	\N	\N
3551862	646	1998-05-31	PRIJEM	\N	112	25169	UROK	\N	\N
3551863	646	1998-06-30	PRIJEM	\N	90	18022	UROK	\N	\N
3551864	646	1998-07-31	PRIJEM	\N	77	18812	UROK	\N	\N
3551865	646	1998-08-31	PRIJEM	\N	83	15008	UROK	\N	\N
3551866	646	1998-09-30	PRIJEM	\N	69	15989	UROK	\N	\N
3551867	646	1998-10-31	PRIJEM	\N	78	20279	UROK	\N	\N
3551868	646	1998-11-30	PRIJEM	\N	91	21483	UROK	\N	\N
3551869	646	1998-12-31	PRIJEM	\N	98	19444	UROK	\N	\N
3551870	647	1997-05-31	PRIJEM	\N	10	18003	UROK	\N	\N
3551871	647	1997-06-30	PRIJEM	\N	83	31575	UROK	\N	\N
3551872	647	1997-07-31	PRIJEM	\N	133	33600	UROK	\N	\N
3551873	647	1997-08-31	PRIJEM	\N	144	38937	UROK	\N	\N
3551874	647	1997-09-30	PRIJEM	\N	175	39940	UROK	\N	\N
3551875	647	1997-10-31	PRIJEM	\N	175	41628	UROK	\N	\N
3551876	647	1997-11-30	PRIJEM	\N	183	40125	UROK	\N	\N
3551877	647	1997-12-31	PRIJEM	\N	187	39082	UROK	\N	\N
3551878	647	1998-01-31	PRIJEM	\N	164	30179	UROK	\N	\N
3551879	647	1998-02-28	PRIJEM	\N	141	35033	UROK	\N	\N
3551880	647	1998-03-31	PRIJEM	\N	158	36605	UROK	\N	\N
3551881	647	1998-04-30	PRIJEM	\N	158	32676	UROK	\N	\N
3551882	647	1998-05-31	PRIJEM	\N	140	30130	UROK	\N	\N
3551883	647	1998-06-30	PRIJEM	\N	149	33988	UROK	\N	\N
3551884	647	1998-07-31	PRIJEM	\N	148	32450	UROK	\N	\N
3551885	647	1998-08-31	PRIJEM	\N	147	35811	UROK	\N	\N
3551886	647	1998-09-30	PRIJEM	\N	145	35749	UROK	\N	\N
3551887	647	1998-10-31	PRIJEM	\N	166	42028	UROK	\N	\N
3551888	647	1998-11-30	PRIJEM	\N	182	42303	UROK	\N	\N
3551889	647	1998-12-31	PRIJEM	\N	186	40439	UROK	\N	\N
3551890	648	1993-12-31	PRIJEM	\N	87	28331	UROK	\N	\N
3551891	648	1994-01-31	PRIJEM	\N	141	35669	UROK	\N	\N
3551892	648	1994-02-28	PRIJEM	\N	157	38422	UROK	\N	\N
3551893	648	1994-03-31	PRIJEM	\N	162	39079	UROK	\N	\N
3551894	648	1994-04-30	PRIJEM	\N	150	34185	UROK	\N	\N
3551895	648	1994-05-31	PRIJEM	\N	132	29559	UROK	\N	\N
3551896	648	1994-06-30	PRIJEM	\N	131	30379	UROK	\N	\N
3551897	648	1994-07-31	PRIJEM	\N	133	30853	UROK	\N	\N
3551898	648	1994-08-31	PRIJEM	\N	131	25925	UROK	\N	\N
3551899	648	1994-09-30	PRIJEM	\N	150	36317	UROK	\N	\N
3551900	648	1994-10-31	PRIJEM	\N	167	39025	UROK	\N	\N
3551901	648	1994-11-30	PRIJEM	\N	179	41146	UROK	\N	\N
3551902	648	1994-12-31	PRIJEM	\N	224	53859	UROK	\N	\N
3551903	648	1995-01-31	PRIJEM	\N	198	37898	UROK	\N	\N
3551904	648	1995-02-28	PRIJEM	\N	185	44125	UROK	\N	\N
3551905	648	1995-03-31	PRIJEM	\N	192	45158	UROK	\N	\N
3551906	648	1995-04-30	PRIJEM	\N	213	50812	UROK	\N	\N
3551907	648	1995-05-31	PRIJEM	\N	219	51272	UROK	\N	\N
3551908	648	1995-06-30	PRIJEM	\N	249	55911	UROK	\N	\N
3551909	648	1995-07-31	PRIJEM	\N	234	54887	UROK	\N	\N
3551910	648	1995-08-31	PRIJEM	\N	234	55362	UROK	\N	\N
3551911	648	1995-09-30	PRIJEM	\N	225	54329	UROK	\N	\N
3551912	648	1995-10-31	PRIJEM	\N	224	48294	UROK	\N	\N
3551913	648	1995-11-30	PRIJEM	\N	222	50658	UROK	\N	\N
3551914	648	1995-12-31	PRIJEM	\N	253	53700	UROK	\N	\N
3551915	648	1996-01-31	PRIJEM	\N	228	43269	UROK	\N	\N
3551916	648	1996-02-29	PRIJEM	\N	200	46611	UROK	\N	\N
3551917	648	1996-03-31	PRIJEM	\N	215	51267	UROK	\N	\N
3551918	648	1996-04-30	PRIJEM	\N	235	57843	UROK	\N	\N
3551919	648	1996-05-31	PRIJEM	\N	254	58639	UROK	\N	\N
3551920	648	1996-06-30	PRIJEM	\N	272	48000	UROK	\N	\N
3551921	648	1996-07-31	PRIJEM	\N	221	54562	UROK	\N	\N
3551922	648	1996-08-31	PRIJEM	\N	232	53235	UROK	\N	\N
3551923	648	1996-09-30	PRIJEM	\N	235	53512	UROK	\N	\N
3551924	648	1996-10-31	PRIJEM	\N	239	56292	UROK	\N	\N
3551925	648	1996-11-30	PRIJEM	\N	251	59584	UROK	\N	\N
3551926	648	1996-12-31	PRIJEM	\N	285	69059	UROK	\N	\N
3551927	648	1997-01-31	PRIJEM	\N	293	60293	UROK	\N	\N
3551928	648	1997-02-28	PRIJEM	\N	264	62898	UROK	\N	\N
3551929	648	1997-03-31	PRIJEM	\N	275	64715	UROK	\N	\N
3551930	648	1997-04-30	PRIJEM	\N	288	71444	UROK	\N	\N
3551931	648	1997-05-31	PRIJEM	\N	312	75198	UROK	\N	\N
3551932	648	1997-06-30	PRIJEM	\N	342	66129	UROK	\N	\N
3551933	648	1997-07-31	PRIJEM	\N	298	75768	UROK	\N	\N
3551934	648	1997-08-31	PRIJEM	\N	327	78736	UROK	\N	\N
3551935	648	1997-09-30	PRIJEM	\N	336	80713	UROK	\N	\N
3551936	648	1997-10-31	PRIJEM	\N	352	87007	UROK	\N	\N
3551937	648	1997-11-30	PRIJEM	\N	372	89920	UROK	\N	\N
3551938	648	1997-12-31	PRIJEM	\N	343	83453	UROK	\N	\N
3551939	648	1998-01-31	PRIJEM	\N	348	72943	UROK	\N	\N
3551940	648	1998-02-28	PRIJEM	\N	332	86116	UROK	\N	\N
3551941	648	1998-03-31	PRIJEM	\N	382	96840	UROK	\N	\N
3551942	648	1998-04-30	PRIJEM	\N	425	106906	UROK	\N	\N
3551943	648	1998-05-31	PRIJEM	\N	435	102582	UROK	\N	\N
3551944	648	1998-06-30	PRIJEM	\N	355	88727	UROK	\N	\N
3551945	648	1998-07-31	PRIJEM	\N	409	103277	UROK	\N	\N
3551946	648	1998-08-31	PRIJEM	\N	435	101953	UROK	\N	\N
3551947	648	1998-09-30	PRIJEM	\N	391	100085	UROK	\N	\N
3551948	648	1998-10-31	PRIJEM	\N	390	100217	UROK	\N	\N
3551949	648	1998-11-30	PRIJEM	\N	377	86835	UROK	\N	\N
3551950	648	1998-12-31	PRIJEM	\N	424	109049	UROK	\N	\N
3551951	650	1995-05-31	PRIJEM	\N	14	25370	UROK	\N	\N
3551952	650	1995-06-30	PRIJEM	\N	105	24589	UROK	\N	\N
3551953	650	1995-07-31	PRIJEM	\N	115	26147	UROK	\N	\N
3551954	650	1995-08-31	PRIJEM	\N	122	28271	UROK	\N	\N
3551955	650	1995-09-30	PRIJEM	\N	129	28902	UROK	\N	\N
3551956	650	1995-10-31	PRIJEM	\N	127	24932	UROK	\N	\N
3551957	650	1995-11-30	PRIJEM	\N	105	23578	UROK	\N	\N
3551958	650	1995-12-31	PRIJEM	\N	108	25689	UROK	\N	\N
3551959	650	1996-01-31	PRIJEM	\N	111	22042	UROK	\N	\N
3551960	650	1996-02-29	PRIJEM	\N	104	24268	UROK	\N	\N
3551961	650	1996-03-31	PRIJEM	\N	112	25782	UROK	\N	\N
3551962	650	1996-04-30	PRIJEM	\N	112	23416	UROK	\N	\N
3551963	650	1996-05-31	PRIJEM	\N	100	23899	UROK	\N	\N
3551964	650	1996-06-30	PRIJEM	\N	111	26412	UROK	\N	\N
3551965	650	1996-07-31	PRIJEM	\N	115	24750	UROK	\N	\N
3551966	650	1996-08-31	PRIJEM	\N	105	23358	UROK	\N	\N
3551967	650	1996-09-30	PRIJEM	\N	104	23964	UROK	\N	\N
3551968	650	1996-10-31	PRIJEM	\N	101	22508	UROK	\N	\N
3551969	650	1996-11-30	PRIJEM	\N	101	23311	UROK	\N	\N
3551970	650	1996-12-31	PRIJEM	\N	99	21703	UROK	\N	\N
3551971	650	1997-01-31	PRIJEM	\N	80	15395	UROK	\N	\N
3551972	650	1997-02-28	PRIJEM	\N	77	19975	UROK	\N	\N
3551973	650	1997-03-31	PRIJEM	\N	90	23187	UROK	\N	\N
3551974	650	1997-04-30	PRIJEM	\N	104	24693	UROK	\N	\N
3551975	650	1997-05-31	PRIJEM	\N	107	24703	UROK	\N	\N
3551976	650	1997-06-30	PRIJEM	\N	110	21715	UROK	\N	\N
3551977	650	1997-07-31	PRIJEM	\N	104	25581	UROK	\N	\N
3551978	650	1997-08-31	PRIJEM	\N	116	28399	UROK	\N	\N
3551979	650	1997-09-30	PRIJEM	\N	125	30226	UROK	\N	\N
3551980	650	1997-10-31	PRIJEM	\N	127	28556	UROK	\N	\N
3551981	650	1997-11-30	PRIJEM	\N	126	30984	UROK	\N	\N
3551982	650	1997-12-31	PRIJEM	\N	133	30920	UROK	\N	\N
3551983	650	1998-01-31	PRIJEM	\N	101	21433	UROK	\N	\N
3551984	650	1998-02-28	PRIJEM	\N	103	26739	UROK	\N	\N
3551985	650	1998-03-31	PRIJEM	\N	116	28157	UROK	\N	\N
3551986	650	1998-04-30	PRIJEM	\N	113	27232	UROK	\N	\N
3551987	650	1998-05-31	PRIJEM	\N	108	24782	UROK	\N	\N
3551988	650	1998-06-30	PRIJEM	\N	89	18724	UROK	\N	\N
3551989	650	1998-07-31	PRIJEM	\N	91	23457	UROK	\N	\N
3551990	650	1998-08-31	PRIJEM	\N	112	26871	UROK	\N	\N
3551991	650	1998-09-30	PRIJEM	\N	118	29792	UROK	\N	\N
3551992	650	1998-10-31	PRIJEM	\N	128	31822	UROK	\N	\N
3551993	650	1998-11-30	PRIJEM	\N	122	29746	UROK	\N	\N
3551994	650	1998-12-31	PRIJEM	\N	120	27458	UROK	\N	\N
3551995	651	1993-12-31	PRIJEM	\N	14	26096	UROK	\N	\N
3551996	651	1994-01-31	PRIJEM	\N	113	33230	UROK	\N	\N
3551997	651	1994-02-28	PRIJEM	\N	141	39492	UROK	\N	\N
3551998	651	1994-03-31	PRIJEM	\N	165	41678	UROK	\N	\N
3551999	651	1994-04-30	PRIJEM	\N	208	42855	UROK	\N	\N
3552000	651	1994-05-31	PRIJEM	\N	202	40049	UROK	\N	\N
3552001	651	1994-06-30	PRIJEM	\N	213	43035	UROK	\N	\N
3552002	651	1994-07-31	PRIJEM	\N	205	39832	UROK	\N	\N
3552003	651	1994-08-31	PRIJEM	\N	187	39011	UROK	\N	\N
3552004	651	1994-09-30	PRIJEM	\N	190	41993	UROK	\N	\N
3552005	651	1994-10-31	PRIJEM	\N	180	35706	UROK	\N	\N
3552006	651	1994-11-30	PRIJEM	\N	169	37167	UROK	\N	\N
3552007	651	1994-12-31	PRIJEM	\N	189	46009	UROK	\N	\N
3552008	651	1995-01-31	PRIJEM	\N	188	38629	UROK	\N	\N
3552009	651	1995-02-28	PRIJEM	\N	178	40679	UROK	\N	\N
3552010	651	1995-03-31	PRIJEM	\N	185	42096	UROK	\N	\N
3552011	651	1995-04-30	PRIJEM	\N	196	45885	UROK	\N	\N
3552012	651	1995-05-31	PRIJEM	\N	205	48462	UROK	\N	\N
3552013	651	1995-06-30	PRIJEM	\N	232	51947	UROK	\N	\N
3552014	651	1995-07-31	PRIJEM	\N	233	52272	UROK	\N	\N
3552015	651	1995-08-31	PRIJEM	\N	223	44988	UROK	\N	\N
3552016	651	1995-09-30	PRIJEM	\N	204	48484	UROK	\N	\N
3552017	651	1995-10-31	PRIJEM	\N	209	46785	UROK	\N	\N
3552018	651	1995-11-30	PRIJEM	\N	207	48985	UROK	\N	\N
3552019	651	1995-12-31	PRIJEM	\N	221	52498	UROK	\N	\N
3552020	651	1996-01-31	PRIJEM	\N	223	43754	UROK	\N	\N
3552021	651	1996-02-29	PRIJEM	\N	193	46039	UROK	\N	\N
3552022	651	1996-03-31	PRIJEM	\N	194	46805	UROK	\N	\N
3552023	651	1996-04-30	PRIJEM	\N	198	47455	UROK	\N	\N
3552024	651	1996-05-31	PRIJEM	\N	199	47986	UROK	\N	\N
3552025	651	1996-06-30	PRIJEM	\N	210	50069	UROK	\N	\N
3552026	651	1996-07-31	PRIJEM	\N	208	48869	UROK	\N	\N
3552027	651	1996-08-31	PRIJEM	\N	198	48539	UROK	\N	\N
3552028	651	1996-09-30	PRIJEM	\N	210	49842	UROK	\N	\N
3552029	651	1996-10-31	PRIJEM	\N	245	49079	UROK	\N	\N
3552030	651	1996-11-30	PRIJEM	\N	226	56798	UROK	\N	\N
3552031	651	1996-12-31	PRIJEM	\N	262	69933	UROK	\N	\N
3552032	651	1997-01-31	PRIJEM	\N	277	57982	UROK	\N	\N
3552033	651	1997-02-28	PRIJEM	\N	234	57628	UROK	\N	\N
3552034	651	1997-03-31	PRIJEM	\N	253	64173	UROK	\N	\N
3552035	651	1997-04-30	PRIJEM	\N	253	57378	UROK	\N	\N
3552036	651	1997-05-31	PRIJEM	\N	244	61714	UROK	\N	\N
3552037	651	1997-06-30	PRIJEM	\N	271	69478	UROK	\N	\N
3552038	651	1997-07-31	PRIJEM	\N	293	71963	UROK	\N	\N
3552039	651	1997-08-31	PRIJEM	\N	293	73848	UROK	\N	\N
3552040	651	1997-09-30	PRIJEM	\N	312	77652	UROK	\N	\N
3552041	651	1997-10-31	PRIJEM	\N	297	71501	UROK	\N	\N
3552042	651	1997-11-30	PRIJEM	\N	292	72086	UROK	\N	\N
3552043	651	1997-12-31	PRIJEM	\N	327	84846	UROK	\N	\N
3552044	651	1998-01-31	PRIJEM	\N	340	78819	UROK	\N	\N
3552045	651	1998-02-28	PRIJEM	\N	323	80235	UROK	\N	\N
3552046	651	1998-03-31	PRIJEM	\N	333	82460	UROK	\N	\N
3552047	651	1998-04-30	PRIJEM	\N	350	87403	UROK	\N	\N
3552048	651	1998-05-31	PRIJEM	\N	348	86243	UROK	\N	\N
3552049	651	1998-06-30	PRIJEM	\N	335	89551	UROK	\N	\N
3552050	651	1998-07-31	PRIJEM	\N	370	91313	UROK	\N	\N
3552051	651	1998-08-31	PRIJEM	\N	383	97089	UROK	\N	\N
3552052	651	1998-09-30	PRIJEM	\N	391	94932	UROK	\N	\N
3552053	651	1998-10-31	PRIJEM	\N	410	102634	UROK	\N	\N
3552054	651	1998-11-30	PRIJEM	\N	429	106556	UROK	\N	\N
3552055	651	1998-12-31	PRIJEM	\N	284	44213	UROK	\N	\N
3552056	652	1993-01-31	PRIJEM	\N	45	14596	UROK	\N	\N
3552057	652	1993-02-28	PRIJEM	\N	111	31458	UROK	\N	\N
3552058	652	1993-03-31	PRIJEM	\N	159	40668	UROK	\N	\N
3552059	652	1993-04-30	PRIJEM	\N	188	46906	UROK	\N	\N
3552060	652	1993-05-31	PRIJEM	\N	185	43051	UROK	\N	\N
3552061	652	1993-06-30	PRIJEM	\N	192	46714	UROK	\N	\N
3552062	652	1993-07-31	PRIJEM	\N	167	39206	UROK	\N	\N
3552063	652	1993-08-31	PRIJEM	\N	161	37812	UROK	\N	\N
3552064	652	1993-09-30	PRIJEM	\N	163	39221	UROK	\N	\N
3552065	652	1993-10-31	PRIJEM	\N	156	32882	UROK	\N	\N
3552066	652	1993-11-30	PRIJEM	\N	139	32386	UROK	\N	\N
3552067	652	1993-12-31	PRIJEM	\N	156	38573	UROK	\N	\N
3552068	652	1994-01-31	PRIJEM	\N	139	29798	UROK	\N	\N
3552069	652	1994-02-28	PRIJEM	\N	141	36184	UROK	\N	\N
3552070	652	1994-03-31	PRIJEM	\N	156	37685	UROK	\N	\N
3552071	652	1994-04-30	PRIJEM	\N	148	38079	UROK	\N	\N
3552072	652	1994-05-31	PRIJEM	\N	147	33291	UROK	\N	\N
3552073	652	1994-06-30	PRIJEM	\N	146	21207	UROK	\N	\N
3552074	652	1994-07-31	PRIJEM	\N	106	28559	UROK	\N	\N
3552075	652	1994-08-31	PRIJEM	\N	124	30528	UROK	\N	\N
3552076	652	1994-09-30	PRIJEM	\N	140	30374	UROK	\N	\N
3552077	652	1994-10-31	PRIJEM	\N	142	34161	UROK	\N	\N
3552078	652	1994-11-30	PRIJEM	\N	155	35062	UROK	\N	\N
3552079	652	1994-12-31	PRIJEM	\N	175	38667	UROK	\N	\N
3552080	652	1995-01-31	PRIJEM	\N	149	34602	UROK	\N	\N
3552081	652	1995-02-28	PRIJEM	\N	154	35802	UROK	\N	\N
3552082	652	1995-03-31	PRIJEM	\N	163	38810	UROK	\N	\N
3552083	652	1995-04-30	PRIJEM	\N	167	38843	UROK	\N	\N
3552084	652	1995-05-31	PRIJEM	\N	172	39100	UROK	\N	\N
3552085	652	1995-06-30	PRIJEM	\N	172	35043	UROK	\N	\N
3552086	652	1995-07-31	PRIJEM	\N	159	37647	UROK	\N	\N
3552087	652	1995-08-31	PRIJEM	\N	169	40761	UROK	\N	\N
3552088	652	1995-09-30	PRIJEM	\N	174	42120	UROK	\N	\N
3552089	652	1995-10-31	PRIJEM	\N	183	44029	UROK	\N	\N
3552090	652	1995-11-30	PRIJEM	\N	192	45366	UROK	\N	\N
3552091	652	1995-12-31	PRIJEM	\N	219	48916	UROK	\N	\N
3552092	652	1996-01-31	PRIJEM	\N	192	46574	UROK	\N	\N
3552093	652	1996-02-29	PRIJEM	\N	206	50525	UROK	\N	\N
3552094	652	1996-03-31	PRIJEM	\N	219	52489	UROK	\N	\N
3552095	652	1996-04-30	PRIJEM	\N	227	54461	UROK	\N	\N
3552096	652	1996-05-31	PRIJEM	\N	230	53277	UROK	\N	\N
3552097	652	1996-06-30	PRIJEM	\N	261	47968	UROK	\N	\N
3552098	652	1996-07-31	PRIJEM	\N	210	51423	UROK	\N	\N
3552099	652	1996-08-31	PRIJEM	\N	217	51886	UROK	\N	\N
3552100	652	1996-09-30	PRIJEM	\N	212	47703	UROK	\N	\N
3552101	652	1996-10-31	PRIJEM	\N	203	49352	UROK	\N	\N
3552102	652	1996-11-30	PRIJEM	\N	213	52211	UROK	\N	\N
3552103	652	1996-12-31	PRIJEM	\N	229	54670	UROK	\N	\N
3552104	652	1997-01-31	PRIJEM	\N	223	53678	UROK	\N	\N
3552105	652	1997-02-28	PRIJEM	\N	215	51178	UROK	\N	\N
3552106	652	1997-03-31	PRIJEM	\N	218	53441	UROK	\N	\N
3552107	652	1997-04-30	PRIJEM	\N	215	49782	UROK	\N	\N
3552108	652	1997-05-31	PRIJEM	\N	210	51437	UROK	\N	\N
3552109	652	1997-06-30	PRIJEM	\N	216	49704	UROK	\N	\N
3552110	652	1997-07-31	PRIJEM	\N	205	49294	UROK	\N	\N
3552111	652	1997-08-31	PRIJEM	\N	211	52750	UROK	\N	\N
3552112	652	1997-09-30	PRIJEM	\N	238	52634	UROK	\N	\N
3552113	652	1997-10-31	PRIJEM	\N	213	46892	UROK	\N	\N
3552114	652	1997-11-30	PRIJEM	\N	194	47731	UROK	\N	\N
3552115	652	1997-12-31	PRIJEM	\N	213	53234	UROK	\N	\N
3552116	652	1998-01-31	PRIJEM	\N	212	45692	UROK	\N	\N
3552117	652	1998-02-28	PRIJEM	\N	223	57660	UROK	\N	\N
3552118	652	1998-03-31	PRIJEM	\N	231	56136	UROK	\N	\N
3552119	652	1998-04-30	PRIJEM	\N	218	51479	UROK	\N	\N
3552120	652	1998-05-31	PRIJEM	\N	198	43483	UROK	\N	\N
3552121	652	1998-06-30	PRIJEM	\N	151	23004	UROK	\N	\N
3552122	652	1998-07-31	PRIJEM	\N	161	45511	UROK	\N	\N
3552123	652	1998-08-31	PRIJEM	\N	217	55873	UROK	\N	\N
3552124	652	1998-09-30	PRIJEM	\N	236	58655	UROK	\N	\N
3552125	652	1998-10-31	PRIJEM	\N	237	56957	UROK	\N	\N
3552126	652	1998-11-30	PRIJEM	\N	243	60646	UROK	\N	\N
3552127	652	1998-12-31	PRIJEM	\N	274	68450	UROK	\N	\N
3552128	653	1997-09-30	PRIJEM	\N	33	18305	UROK	\N	\N
3552129	653	1997-10-31	PRIJEM	\N	92	26869	UROK	\N	\N
3552130	653	1997-11-30	PRIJEM	\N	124	33466	UROK	\N	\N
3552131	653	1997-12-31	PRIJEM	\N	148	38172	UROK	\N	\N
3552132	653	1998-01-31	PRIJEM	\N	156	36900	UROK	\N	\N
3552133	653	1998-02-28	PRIJEM	\N	154	35214	UROK	\N	\N
3552134	653	1998-03-31	PRIJEM	\N	154	35729	UROK	\N	\N
3552135	653	1998-04-30	PRIJEM	\N	160	38449	UROK	\N	\N
3552136	653	1998-05-31	PRIJEM	\N	169	40178	UROK	\N	\N
3552137	653	1998-06-30	PRIJEM	\N	189	46813	UROK	\N	\N
3552138	653	1998-07-31	PRIJEM	\N	198	46471	UROK	\N	\N
3552139	653	1998-08-31	PRIJEM	\N	176	40347	UROK	\N	\N
3552140	653	1998-09-30	PRIJEM	\N	168	40075	UROK	\N	\N
3552141	653	1998-10-31	PRIJEM	\N	158	38914	UROK	\N	\N
3552142	653	1998-11-30	PRIJEM	\N	152	35327	UROK	\N	\N
3552143	653	1998-12-31	PRIJEM	\N	140	30613	UROK	\N	\N
3552144	654	1995-02-28	PRIJEM	\N	54	22822	UROK	\N	\N
3552145	654	1995-03-31	PRIJEM	\N	103	26317	UROK	\N	\N
3552146	654	1995-04-30	PRIJEM	\N	114	27523	UROK	\N	\N
3552147	654	1995-05-31	PRIJEM	\N	116	27732	UROK	\N	\N
3552148	654	1995-06-30	PRIJEM	\N	93	13417	UROK	\N	\N
3552149	654	1995-07-31	PRIJEM	\N	65	16674	UROK	\N	\N
3552150	654	1995-08-31	PRIJEM	\N	79	19945	UROK	\N	\N
3552151	654	1995-09-30	PRIJEM	\N	92	22669	UROK	\N	\N
3552152	654	1995-10-31	PRIJEM	\N	103	25965	UROK	\N	\N
3552153	654	1995-11-30	PRIJEM	\N	117	29275	UROK	\N	\N
3552154	654	1995-12-31	PRIJEM	\N	122	27659	UROK	\N	\N
3552155	654	1996-01-31	PRIJEM	\N	113	27445	UROK	\N	\N
3552156	654	1996-02-29	PRIJEM	\N	123	30760	UROK	\N	\N
3552157	654	1996-03-31	PRIJEM	\N	132	31425	UROK	\N	\N
3552158	654	1996-04-30	PRIJEM	\N	131	32748	UROK	\N	\N
3552159	654	1996-05-31	PRIJEM	\N	136	33377	UROK	\N	\N
3552160	654	1996-06-30	PRIJEM	\N	117	26836	UROK	\N	\N
3552161	654	1996-07-31	PRIJEM	\N	121	30149	UROK	\N	\N
3552162	654	1996-08-31	PRIJEM	\N	119	27840	UROK	\N	\N
3552163	654	1996-09-30	PRIJEM	\N	120	29953	UROK	\N	\N
3552164	654	1996-10-31	PRIJEM	\N	128	29433	UROK	\N	\N
3552165	654	1996-11-30	PRIJEM	\N	118	29263	UROK	\N	\N
3552166	654	1996-12-31	PRIJEM	\N	128	31734	UROK	\N	\N
3552167	654	1997-01-31	PRIJEM	\N	130	31957	UROK	\N	\N
3552168	654	1997-02-28	PRIJEM	\N	139	32888	UROK	\N	\N
3552169	654	1997-03-31	PRIJEM	\N	146	36226	UROK	\N	\N
3552170	654	1997-04-30	PRIJEM	\N	157	39176	UROK	\N	\N
3552171	654	1997-05-31	PRIJEM	\N	160	39608	UROK	\N	\N
3552172	654	1997-06-30	PRIJEM	\N	143	25314	UROK	\N	\N
3552173	654	1997-07-31	PRIJEM	\N	114	28620	UROK	\N	\N
3552174	654	1997-08-31	PRIJEM	\N	112	24405	UROK	\N	\N
3552175	654	1997-09-30	PRIJEM	\N	110	27707	UROK	\N	\N
3552176	654	1997-10-31	PRIJEM	\N	124	31023	UROK	\N	\N
3552177	654	1997-11-30	PRIJEM	\N	136	33792	UROK	\N	\N
3552178	654	1997-12-31	PRIJEM	\N	145	35279	UROK	\N	\N
3552179	654	1998-01-31	PRIJEM	\N	155	38627	UROK	\N	\N
3552180	654	1998-02-28	PRIJEM	\N	168	40987	UROK	\N	\N
3552181	654	1998-03-31	PRIJEM	\N	176	38255	UROK	\N	\N
3552182	654	1998-04-30	PRIJEM	\N	166	40014	UROK	\N	\N
3552183	654	1998-05-31	PRIJEM	\N	174	43381	UROK	\N	\N
3552184	654	1998-06-30	PRIJEM	\N	185	43959	UROK	\N	\N
3552185	654	1998-07-31	PRIJEM	\N	189	44280	UROK	\N	\N
3552186	654	1998-08-31	PRIJEM	\N	180	41652	UROK	\N	\N
3552187	654	1998-09-30	PRIJEM	\N	167	40612	UROK	\N	\N
3552188	654	1998-10-31	PRIJEM	\N	177	43981	UROK	\N	\N
3552189	654	1998-11-30	PRIJEM	\N	178	43911	UROK	\N	\N
3552190	654	1998-12-31	PRIJEM	\N	182	44405	UROK	\N	\N
3552191	655	1993-04-30	PRIJEM	\N	27	23952	UROK	\N	\N
3552192	655	1993-05-31	PRIJEM	\N	113	34990	UROK	\N	\N
3552193	655	1993-06-30	PRIJEM	\N	161	47388	UROK	\N	\N
3552194	655	1993-07-31	PRIJEM	\N	194	45608	UROK	\N	\N
3552195	655	1993-08-31	PRIJEM	\N	217	43814	UROK	\N	\N
3552196	655	1993-09-30	PRIJEM	\N	220	42475	UROK	\N	\N
3552197	655	1993-10-31	PRIJEM	\N	213	43030	UROK	\N	\N
3552198	655	1993-11-30	PRIJEM	\N	213	38184	UROK	\N	\N
3552199	655	1993-12-31	PRIJEM	\N	228	46466	UROK	\N	\N
3552200	655	1994-01-31	PRIJEM	\N	201	36808	UROK	\N	\N
3552201	655	1994-02-28	PRIJEM	\N	192	39642	UROK	\N	\N
3552202	655	1994-03-31	PRIJEM	\N	200	38483	UROK	\N	\N
3552203	655	1994-04-30	PRIJEM	\N	206	44630	UROK	\N	\N
3552204	655	1994-05-31	PRIJEM	\N	215	43287	UROK	\N	\N
3552205	655	1994-06-30	PRIJEM	\N	213	42454	UROK	\N	\N
3552206	655	1994-07-31	PRIJEM	\N	209	41905	UROK	\N	\N
3552207	655	1994-08-31	PRIJEM	\N	207	43353	UROK	\N	\N
3552208	655	1994-09-30	PRIJEM	\N	208	44303	UROK	\N	\N
3552209	655	1994-10-31	PRIJEM	\N	217	48461	UROK	\N	\N
3552210	655	1994-11-30	PRIJEM	\N	225	48427	UROK	\N	\N
3552211	655	1994-12-31	PRIJEM	\N	249	52131	UROK	\N	\N
3552212	655	1995-01-31	PRIJEM	\N	205	41477	UROK	\N	\N
3552213	655	1995-02-28	PRIJEM	\N	205	46924	UROK	\N	\N
3552214	655	1995-03-31	PRIJEM	\N	217	46683	UROK	\N	\N
3552215	655	1995-04-30	PRIJEM	\N	228	52052	UROK	\N	\N
3552216	655	1995-05-31	PRIJEM	\N	246	56040	UROK	\N	\N
3552217	655	1995-06-30	PRIJEM	\N	245	54639	UROK	\N	\N
3552218	655	1995-07-31	PRIJEM	\N	290	54471	UROK	\N	\N
3552219	655	1995-08-31	PRIJEM	\N	227	49040	UROK	\N	\N
3552220	655	1995-09-30	PRIJEM	\N	226	52607	UROK	\N	\N
3552221	655	1995-10-31	PRIJEM	\N	242	55290	UROK	\N	\N
3552222	655	1995-11-30	PRIJEM	\N	240	55571	UROK	\N	\N
3552223	655	1995-12-31	PRIJEM	\N	246	56072	UROK	\N	\N
3552224	655	1996-01-31	PRIJEM	\N	201	41614	UROK	\N	\N
3552225	655	1996-02-29	PRIJEM	\N	191	46147	UROK	\N	\N
3552226	655	1996-03-31	PRIJEM	\N	200	42088	UROK	\N	\N
3552227	655	1996-04-30	PRIJEM	\N	190	45719	UROK	\N	\N
3552228	655	1996-05-31	PRIJEM	\N	207	49968	UROK	\N	\N
3552229	655	1996-06-30	PRIJEM	\N	169	29591	UROK	\N	\N
3552230	655	1996-07-31	PRIJEM	\N	163	41096	UROK	\N	\N
3552231	655	1996-08-31	PRIJEM	\N	222	56059	UROK	\N	\N
3552232	655	1996-09-30	PRIJEM	\N	268	66568	UROK	\N	\N
3552233	655	1996-10-31	PRIJEM	\N	292	71702	UROK	\N	\N
3552234	655	1996-11-30	PRIJEM	\N	288	69831	UROK	\N	\N
3552235	655	1996-12-31	PRIJEM	\N	322	79707	UROK	\N	\N
3552236	655	1997-01-31	PRIJEM	\N	286	62635	UROK	\N	\N
3552237	655	1997-02-28	PRIJEM	\N	261	62037	UROK	\N	\N
3552238	655	1997-03-31	PRIJEM	\N	268	65846	UROK	\N	\N
3552239	655	1997-04-30	PRIJEM	\N	275	67262	UROK	\N	\N
3552240	655	1997-05-31	PRIJEM	\N	287	70491	UROK	\N	\N
3552241	655	1997-06-30	PRIJEM	\N	265	59510	UROK	\N	\N
3552242	655	1997-07-31	PRIJEM	\N	264	65615	UROK	\N	\N
3552243	655	1997-08-31	PRIJEM	\N	276	55633	UROK	\N	\N
3552244	655	1997-09-30	PRIJEM	\N	277	53751	UROK	\N	\N
3552245	655	1997-10-31	PRIJEM	\N	282	58275	UROK	\N	\N
3552246	655	1997-11-30	PRIJEM	\N	301	63617	UROK	\N	\N
3552247	655	1997-12-31	PRIJEM	\N	358	71829	UROK	\N	\N
3552248	655	1998-01-31	PRIJEM	\N	310	61881	UROK	\N	\N
3552249	655	1998-02-28	PRIJEM	\N	312	62934	UROK	\N	\N
3552250	655	1998-03-31	PRIJEM	\N	313	60389	UROK	\N	\N
3552251	655	1998-04-30	PRIJEM	\N	304	63834	UROK	\N	\N
3552252	655	1998-05-31	PRIJEM	\N	319	68695	UROK	\N	\N
3552253	655	1998-06-30	PRIJEM	\N	362	71212	UROK	\N	\N
3552254	655	1998-07-31	PRIJEM	\N	344	70997	UROK	\N	\N
3552255	655	1998-08-31	PRIJEM	\N	339	70377	UROK	\N	\N
3552256	655	1998-09-30	PRIJEM	\N	328	64847	UROK	\N	\N
3552257	655	1998-10-31	PRIJEM	\N	310	64098	UROK	\N	\N
3552258	655	1998-11-30	PRIJEM	\N	298	63138	UROK	\N	\N
3552259	655	1998-12-31	PRIJEM	\N	328	59520	UROK	\N	\N
3552260	656	1996-09-30	PRIJEM	\N	32	16716	UROK	\N	\N
3552261	656	1996-10-31	PRIJEM	\N	86	25087	UROK	\N	\N
3552262	656	1996-11-30	PRIJEM	\N	117	31188	UROK	\N	\N
3552263	656	1996-12-31	PRIJEM	\N	151	41014	UROK	\N	\N
3552264	656	1997-01-31	PRIJEM	\N	162	34060	UROK	\N	\N
3552265	656	1997-02-28	PRIJEM	\N	142	33594	UROK	\N	\N
3552266	656	1997-03-31	PRIJEM	\N	146	35132	UROK	\N	\N
3552267	656	1997-04-30	PRIJEM	\N	158	39383	UROK	\N	\N
3552268	656	1997-05-31	PRIJEM	\N	165	38839	UROK	\N	\N
3552269	656	1997-06-30	PRIJEM	\N	171	38715	UROK	\N	\N
3552270	656	1997-07-31	PRIJEM	\N	164	39772	UROK	\N	\N
3552271	656	1997-08-31	PRIJEM	\N	174	43338	UROK	\N	\N
3552272	656	1997-09-30	PRIJEM	\N	199	52410	UROK	\N	\N
3552273	656	1997-10-31	PRIJEM	\N	230	57632	UROK	\N	\N
3552274	656	1997-11-30	PRIJEM	\N	231	53956	UROK	\N	\N
3552275	656	1997-12-31	PRIJEM	\N	230	59190	UROK	\N	\N
3552276	656	1998-01-31	PRIJEM	\N	182	36645	UROK	\N	\N
3552277	656	1998-02-28	PRIJEM	\N	166	44643	UROK	\N	\N
3552278	656	1998-03-31	PRIJEM	\N	193	48829	UROK	\N	\N
3552279	656	1998-04-30	PRIJEM	\N	200	49821	UROK	\N	\N
3552280	656	1998-05-31	PRIJEM	\N	194	47348	UROK	\N	\N
3552281	656	1998-06-30	PRIJEM	\N	190	49783	UROK	\N	\N
3552282	656	1998-07-31	PRIJEM	\N	186	45881	UROK	\N	\N
3552283	656	1998-08-31	PRIJEM	\N	187	47861	UROK	\N	\N
3552284	656	1998-09-30	PRIJEM	\N	181	45734	UROK	\N	\N
3552285	656	1998-10-31	PRIJEM	\N	195	50321	UROK	\N	\N
3552286	656	1998-11-30	PRIJEM	\N	188	46801	UROK	\N	\N
3552287	656	1998-12-31	PRIJEM	\N	192	50478	UROK	\N	\N
3552288	657	1993-08-31	PRIJEM	\N	14	4907	UROK	\N	\N
3552289	657	1993-09-30	PRIJEM	\N	56	17656	UROK	\N	\N
3552290	657	1993-10-31	PRIJEM	\N	97	26146	UROK	\N	\N
3552291	657	1993-11-30	PRIJEM	\N	112	27551	UROK	\N	\N
3552292	657	1993-12-31	PRIJEM	\N	127	32002	UROK	\N	\N
3552293	657	1994-01-31	PRIJEM	\N	89	14601	UROK	\N	\N
3552294	657	1994-02-28	PRIJEM	\N	89	23440	UROK	\N	\N
3552295	657	1994-03-31	PRIJEM	\N	103	25694	UROK	\N	\N
3552296	657	1994-04-30	PRIJEM	\N	98	17823	UROK	\N	\N
3552297	657	1994-05-31	PRIJEM	\N	83	20956	UROK	\N	\N
3552298	657	1994-06-30	PRIJEM	\N	91	20314	UROK	\N	\N
3552299	657	1994-07-31	PRIJEM	\N	95	23759	UROK	\N	\N
3552300	657	1994-08-31	PRIJEM	\N	102	25191	UROK	\N	\N
3552301	657	1994-09-30	PRIJEM	\N	104	25445	UROK	\N	\N
3552302	657	1994-10-31	PRIJEM	\N	97	18572	UROK	\N	\N
3552303	657	1994-11-30	PRIJEM	\N	97	25020	UROK	\N	\N
3552304	657	1994-12-31	PRIJEM	\N	102	24028	UROK	\N	\N
3552305	657	1995-01-31	PRIJEM	\N	69	18008	UROK	\N	\N
3552306	657	1995-02-28	PRIJEM	\N	68	16767	UROK	\N	\N
3552307	657	1995-03-31	PRIJEM	\N	94	24111	UROK	\N	\N
3552308	657	1995-04-30	PRIJEM	\N	108	21829	UROK	\N	\N
3552309	657	1995-05-31	PRIJEM	\N	108	26788	UROK	\N	\N
3552310	657	1995-06-30	PRIJEM	\N	102	25436	UROK	\N	\N
3552311	657	1995-07-31	PRIJEM	\N	112	30999	UROK	\N	\N
3552312	657	1995-08-31	PRIJEM	\N	134	33883	UROK	\N	\N
3552313	657	1995-09-30	PRIJEM	\N	146	36079	UROK	\N	\N
3552314	657	1995-10-31	PRIJEM	\N	153	35682	UROK	\N	\N
3552315	657	1995-11-30	PRIJEM	\N	150	33282	UROK	\N	\N
3552316	657	1995-12-31	PRIJEM	\N	137	31386	UROK	\N	\N
3552317	657	1996-01-31	PRIJEM	\N	125	26821	UROK	\N	\N
3552318	657	1996-02-29	PRIJEM	\N	114	27806	UROK	\N	\N
3552319	657	1996-03-31	PRIJEM	\N	121	30877	UROK	\N	\N
3552320	657	1996-04-30	PRIJEM	\N	136	36464	UROK	\N	\N
3552321	657	1996-05-31	PRIJEM	\N	152	35526	UROK	\N	\N
3552322	657	1996-06-30	PRIJEM	\N	158	40891	UROK	\N	\N
3552323	657	1996-07-31	PRIJEM	\N	172	40713	UROK	\N	\N
3552324	657	1996-08-31	PRIJEM	\N	174	42938	UROK	\N	\N
3552325	657	1996-09-30	PRIJEM	\N	165	37113	UROK	\N	\N
3552326	657	1996-10-31	PRIJEM	\N	161	40924	UROK	\N	\N
3552327	657	1996-11-30	PRIJEM	\N	168	40243	UROK	\N	\N
3552328	657	1996-12-31	PRIJEM	\N	167	35917	UROK	\N	\N
3552329	657	1997-01-31	PRIJEM	\N	137	32784	UROK	\N	\N
3552330	657	1997-02-28	PRIJEM	\N	149	39883	UROK	\N	\N
3552331	657	1997-03-31	PRIJEM	\N	166	39639	UROK	\N	\N
3552332	657	1997-04-30	PRIJEM	\N	172	43762	UROK	\N	\N
3552333	657	1997-05-31	PRIJEM	\N	186	48218	UROK	\N	\N
3552334	657	1997-06-30	PRIJEM	\N	171	39876	UROK	\N	\N
3552335	657	1997-07-31	PRIJEM	\N	174	44300	UROK	\N	\N
3552336	657	1997-08-31	PRIJEM	\N	186	45017	UROK	\N	\N
3552337	657	1997-09-30	PRIJEM	\N	187	42874	UROK	\N	\N
3552338	657	1997-10-31	PRIJEM	\N	181	44505	UROK	\N	\N
3552339	657	1997-11-30	PRIJEM	\N	188	46043	UROK	\N	\N
3552340	657	1997-12-31	PRIJEM	\N	196	45346	UROK	\N	\N
3552341	657	1998-01-31	PRIJEM	\N	161	32537	UROK	\N	\N
3552342	657	1998-02-28	PRIJEM	\N	144	36831	UROK	\N	\N
3552343	657	1998-03-31	PRIJEM	\N	155	38337	UROK	\N	\N
3552344	657	1998-04-30	PRIJEM	\N	160	37768	UROK	\N	\N
3552345	657	1998-05-31	PRIJEM	\N	170	39068	UROK	\N	\N
3552346	657	1998-06-30	PRIJEM	\N	191	51106	UROK	\N	\N
3552347	657	1998-07-31	PRIJEM	\N	215	53171	UROK	\N	\N
3552348	657	1998-08-31	PRIJEM	\N	233	58554	UROK	\N	\N
3552349	657	1998-09-30	PRIJEM	\N	239	56864	UROK	\N	\N
3552350	657	1998-10-31	PRIJEM	\N	239	58953	UROK	\N	\N
3552351	657	1998-11-30	PRIJEM	\N	258	64561	UROK	\N	\N
3552352	657	1998-12-31	PRIJEM	\N	251	62299	UROK	\N	\N
3552353	658	1996-01-31	PRIJEM	\N	14	5269	UROK	\N	\N
3552354	658	1996-02-29	PRIJEM	\N	22	9946	UROK	\N	\N
3552355	658	1996-03-31	PRIJEM	\N	22	14623	UROK	\N	\N
3552356	658	1996-04-30	PRIJEM	\N	22	19300	UROK	\N	\N
3552357	658	1996-05-31	PRIJEM	\N	24	23979	UROK	\N	\N
3552358	658	1996-06-30	PRIJEM	\N	95	21131	UROK	\N	\N
3552359	658	1996-07-31	PRIJEM	\N	74	16983	UROK	\N	\N
3552360	658	1996-08-31	PRIJEM	\N	69	17789	UROK	\N	\N
3552361	658	1996-09-30	PRIJEM	\N	79	19806	UROK	\N	\N
3552362	658	1996-10-31	PRIJEM	\N	88	21831	UROK	\N	\N
3552363	658	1996-11-30	PRIJEM	\N	96	23865	UROK	\N	\N
3552364	658	1996-12-31	PRIJEM	\N	104	25606	UROK	\N	\N
3552365	658	1997-01-31	PRIJEM	\N	87	17751	UROK	\N	\N
3552366	658	1997-02-28	PRIJEM	\N	79	19767	UROK	\N	\N
3552367	658	1997-03-31	PRIJEM	\N	65	14570	UROK	\N	\N
3552368	658	1997-04-30	PRIJEM	\N	66	16573	UROK	\N	\N
3552369	658	1997-05-31	PRIJEM	\N	74	18584	UROK	\N	\N
3552370	658	1997-06-30	PRIJEM	\N	82	20124	UROK	\N	\N
3552371	658	1997-07-31	PRIJEM	\N	89	22150	UROK	\N	\N
3552372	658	1997-08-31	PRIJEM	\N	91	21618	UROK	\N	\N
3552373	658	1997-09-30	PRIJEM	\N	95	23651	UROK	\N	\N
3552374	658	1997-10-31	PRIJEM	\N	104	25692	UROK	\N	\N
3552375	658	1997-11-30	PRIJEM	\N	112	27741	UROK	\N	\N
3552376	658	1997-12-31	PRIJEM	\N	120	28748	UROK	\N	\N
3552377	658	1998-01-31	PRIJEM	\N	103	19688	UROK	\N	\N
3552378	658	1998-02-28	PRIJEM	\N	83	14429	UROK	\N	\N
3552379	658	1998-03-31	PRIJEM	\N	65	16431	UROK	\N	\N
3552380	658	1998-04-30	PRIJEM	\N	73	18442	UROK	\N	\N
3552381	658	1998-05-31	PRIJEM	\N	82	20461	UROK	\N	\N
3552382	658	1998-06-30	PRIJEM	\N	89	22008	UROK	\N	\N
3552383	658	1998-07-31	PRIJEM	\N	96	24041	UROK	\N	\N
3552384	658	1998-08-31	PRIJEM	\N	101	24560	UROK	\N	\N
3552385	658	1998-09-30	PRIJEM	\N	107	26604	UROK	\N	\N
3552386	658	1998-10-31	PRIJEM	\N	115	28657	UROK	\N	\N
3552387	658	1998-11-30	PRIJEM	\N	120	27594	UROK	\N	\N
3552388	658	1998-12-31	PRIJEM	\N	114	28795	UROK	\N	\N
3552389	659	1997-01-31	PRIJEM	\N	34	16245	UROK	\N	\N
3552390	659	1997-02-28	PRIJEM	\N	77	22233	UROK	\N	\N
3552391	659	1997-03-31	PRIJEM	\N	96	23739	UROK	\N	\N
3552392	659	1997-04-30	PRIJEM	\N	106	26057	UROK	\N	\N
3552393	659	1997-05-31	PRIJEM	\N	108	25676	UROK	\N	\N
3552394	659	1997-06-30	PRIJEM	\N	106	26688	UROK	\N	\N
3552395	659	1997-07-31	PRIJEM	\N	129	33673	UROK	\N	\N
3552396	659	1997-08-31	PRIJEM	\N	154	38983	UROK	\N	\N
3552397	659	1997-09-30	PRIJEM	\N	160	38899	UROK	\N	\N
3552398	659	1997-10-31	PRIJEM	\N	170	42225	UROK	\N	\N
3552399	659	1997-11-30	PRIJEM	\N	169	40311	UROK	\N	\N
3552400	659	1997-12-31	PRIJEM	\N	166	38704	UROK	\N	\N
3552401	659	1998-01-31	PRIJEM	\N	154	36104	UROK	\N	\N
3552402	659	1998-02-28	PRIJEM	\N	151	36941	UROK	\N	\N
3552403	659	1998-03-31	PRIJEM	\N	138	32535	UROK	\N	\N
3552404	659	1998-04-30	PRIJEM	\N	140	34732	UROK	\N	\N
3552405	659	1998-05-31	PRIJEM	\N	147	36035	UROK	\N	\N
3552406	659	1998-06-30	PRIJEM	\N	132	31053	UROK	\N	\N
3552407	659	1998-07-31	PRIJEM	\N	119	28879	UROK	\N	\N
3552408	659	1998-08-31	PRIJEM	\N	119	29154	UROK	\N	\N
3552409	659	1998-09-30	PRIJEM	\N	126	31536	UROK	\N	\N
3552410	659	1998-10-31	PRIJEM	\N	128	31220	UROK	\N	\N
3552411	659	1998-11-30	PRIJEM	\N	123	29900	UROK	\N	\N
3552412	659	1998-12-31	PRIJEM	\N	102	22328	UROK	\N	\N
3552413	660	1996-02-29	PRIJEM	\N	36	22729	UROK	\N	\N
3552414	660	1996-03-31	PRIJEM	\N	108	31130	UROK	\N	\N
3552415	660	1996-04-30	PRIJEM	\N	139	36862	UROK	\N	\N
3552416	660	1996-05-31	PRIJEM	\N	160	41115	UROK	\N	\N
3552417	660	1996-06-30	PRIJEM	\N	183	36944	UROK	\N	\N
3552418	660	1996-07-31	PRIJEM	\N	159	35009	UROK	\N	\N
3552419	660	1996-08-31	PRIJEM	\N	147	28843	UROK	\N	\N
3552420	660	1996-09-30	PRIJEM	\N	129	29779	UROK	\N	\N
3552421	660	1996-10-31	PRIJEM	\N	132	30718	UROK	\N	\N
3552422	660	1996-11-30	PRIJEM	\N	134	31358	UROK	\N	\N
3552423	660	1996-12-31	PRIJEM	\N	139	29530	UROK	\N	\N
3552424	660	1997-01-31	PRIJEM	\N	89	13986	UROK	\N	\N
3552425	660	1997-02-28	PRIJEM	\N	79	21571	UROK	\N	\N
3552426	660	1997-03-31	PRIJEM	\N	104	25281	UROK	\N	\N
3552427	660	1997-04-30	PRIJEM	\N	115	27803	UROK	\N	\N
3552428	660	1997-05-31	PRIJEM	\N	114	24003	UROK	\N	\N
3552429	660	1997-06-30	PRIJEM	\N	135	27991	UROK	\N	\N
3552430	660	1997-07-31	PRIJEM	\N	132	33129	UROK	\N	\N
3552431	660	1997-08-31	PRIJEM	\N	148	36383	UROK	\N	\N
3552432	660	1997-09-30	PRIJEM	\N	178	43467	UROK	\N	\N
3552433	660	1997-10-31	PRIJEM	\N	210	44584	UROK	\N	\N
3552434	660	1997-11-30	PRIJEM	\N	197	48207	UROK	\N	\N
3552435	660	1997-12-31	PRIJEM	\N	227	52547	UROK	\N	\N
3552436	660	1998-01-31	PRIJEM	\N	165	30819	UROK	\N	\N
3552437	660	1998-02-28	PRIJEM	\N	156	41581	UROK	\N	\N
3552438	660	1998-03-31	PRIJEM	\N	201	50788	UROK	\N	\N
3552439	660	1998-04-30	PRIJEM	\N	213	51947	UROK	\N	\N
3552440	660	1998-05-31	PRIJEM	\N	226	56480	UROK	\N	\N
3552441	660	1998-06-30	PRIJEM	\N	206	25158	UROK	\N	\N
3552442	660	1998-07-31	PRIJEM	\N	153	41337	UROK	\N	\N
3552443	660	1998-08-31	PRIJEM	\N	215	57159	UROK	\N	\N
3552444	660	1998-09-30	PRIJEM	\N	250	62556	UROK	\N	\N
3552445	660	1998-10-31	PRIJEM	\N	276	68238	UROK	\N	\N
3552446	660	1998-11-30	PRIJEM	\N	278	66663	UROK	\N	\N
3552447	660	1998-12-31	PRIJEM	\N	315	79330	UROK	\N	\N
3552448	662	1994-08-31	PRIJEM	\N	29	14444	UROK	\N	\N
3552449	662	1994-09-30	PRIJEM	\N	77	22636	UROK	\N	\N
3552450	662	1994-10-31	PRIJEM	\N	99	24950	UROK	\N	\N
3552451	662	1994-11-30	PRIJEM	\N	105	25770	UROK	\N	\N
3552452	662	1994-12-31	PRIJEM	\N	113	27296	UROK	\N	\N
3552453	662	1995-01-31	PRIJEM	\N	122	29988	UROK	\N	\N
3552454	662	1995-02-28	PRIJEM	\N	120	27578	UROK	\N	\N
3552455	662	1995-03-31	PRIJEM	\N	115	27064	UROK	\N	\N
3552456	662	1995-04-30	PRIJEM	\N	116	27650	UROK	\N	\N
3552457	662	1995-05-31	PRIJEM	\N	114	25054	UROK	\N	\N
3552458	662	1995-06-30	PRIJEM	\N	106	26758	UROK	\N	\N
3552459	662	1995-07-31	PRIJEM	\N	111	28200	UROK	\N	\N
3552460	662	1995-08-31	PRIJEM	\N	125	30695	UROK	\N	\N
3552461	662	1995-09-30	PRIJEM	\N	134	32699	UROK	\N	\N
3552462	662	1995-10-31	PRIJEM	\N	132	25921	UROK	\N	\N
3552463	662	1995-11-30	PRIJEM	\N	108	25800	UROK	\N	\N
3552464	662	1995-12-31	PRIJEM	\N	112	26589	UROK	\N	\N
3552465	662	1996-01-31	PRIJEM	\N	119	29278	UROK	\N	\N
3552466	662	1996-02-29	PRIJEM	\N	117	27665	UROK	\N	\N
3552467	662	1996-03-31	PRIJEM	\N	113	27048	UROK	\N	\N
3552468	662	1996-04-30	PRIJEM	\N	117	28636	UROK	\N	\N
3552469	662	1996-05-31	PRIJEM	\N	122	28768	UROK	\N	\N
3552470	662	1996-06-30	PRIJEM	\N	122	26367	UROK	\N	\N
3552471	662	1996-07-31	PRIJEM	\N	115	24452	UROK	\N	\N
3552472	662	1996-08-31	PRIJEM	\N	89	20051	UROK	\N	\N
3552473	662	1996-09-30	PRIJEM	\N	76	17698	UROK	\N	\N
3552474	662	1996-10-31	PRIJEM	\N	70	16538	UROK	\N	\N
3552475	662	1996-11-30	PRIJEM	\N	65	14673	UROK	\N	\N
3552476	662	1996-12-31	PRIJEM	\N	75	17266	UROK	\N	\N
3552477	662	1997-01-31	PRIJEM	\N	73	17509	UROK	\N	\N
3552478	662	1997-02-28	PRIJEM	\N	69	15769	UROK	\N	\N
3552479	662	1997-03-31	PRIJEM	\N	70	17009	UROK	\N	\N
3552480	662	1997-04-30	PRIJEM	\N	70	16849	UROK	\N	\N
3552481	662	1997-05-31	PRIJEM	\N	67	16087	UROK	\N	\N
3552482	662	1997-06-30	PRIJEM	\N	67	16231	UROK	\N	\N
3552483	662	1997-07-31	PRIJEM	\N	72	17974	UROK	\N	\N
3552484	662	1997-08-31	PRIJEM	\N	79	19724	UROK	\N	\N
3552485	662	1997-09-30	PRIJEM	\N	85	17759	UROK	\N	\N
3552486	662	1997-10-31	PRIJEM	\N	78	19508	UROK	\N	\N
3552487	662	1997-11-30	PRIJEM	\N	86	21264	UROK	\N	\N
3552488	662	1997-12-31	PRIJEM	\N	98	24579	UROK	\N	\N
3552489	662	1998-01-31	PRIJEM	\N	107	26356	UROK	\N	\N
3552490	662	1998-02-28	PRIJEM	\N	109	25855	UROK	\N	\N
3552491	662	1998-03-31	PRIJEM	\N	94	22219	UROK	\N	\N
3552492	662	1998-04-30	PRIJEM	\N	97	23986	UROK	\N	\N
3552493	662	1998-05-31	PRIJEM	\N	104	25760	UROK	\N	\N
3552494	662	1998-06-30	PRIJEM	\N	81	15298	UROK	\N	\N
3552495	662	1998-07-31	PRIJEM	\N	68	17036	UROK	\N	\N
3552496	662	1998-08-31	PRIJEM	\N	75	18781	UROK	\N	\N
3552497	662	1998-09-30	PRIJEM	\N	82	20533	UROK	\N	\N
3552498	662	1998-10-31	PRIJEM	\N	74	17718	UROK	\N	\N
3552499	662	1998-11-30	PRIJEM	\N	77	19466	UROK	\N	\N
3552500	662	1998-12-31	PRIJEM	\N	83	18086	UROK	\N	\N
3552501	664	1997-05-31	PRIJEM	\N	96	27894	UROK	\N	\N
3552502	664	1997-06-30	PRIJEM	\N	106	24548	UROK	\N	\N
3552503	664	1997-07-31	PRIJEM	\N	102	22997	UROK	\N	\N
3552504	664	1997-08-31	PRIJEM	\N	106	26651	UROK	\N	\N
3552505	664	1997-09-30	PRIJEM	\N	112	26630	UROK	\N	\N
3552506	664	1997-10-31	PRIJEM	\N	118	28436	UROK	\N	\N
3552507	664	1997-11-30	PRIJEM	\N	128	31012	UROK	\N	\N
3552508	664	1997-12-31	PRIJEM	\N	128	29987	UROK	\N	\N
3552509	664	1998-01-31	PRIJEM	\N	92	15436	UROK	\N	\N
3552510	664	1998-02-28	PRIJEM	\N	69	16252	UROK	\N	\N
3552511	664	1998-03-31	PRIJEM	\N	75	18035	UROK	\N	\N
3552512	664	1998-04-30	PRIJEM	\N	85	21667	UROK	\N	\N
3552513	664	1998-05-31	PRIJEM	\N	89	20344	UROK	\N	\N
3552514	664	1998-06-30	PRIJEM	\N	75	15136	UROK	\N	\N
3552515	664	1998-07-31	PRIJEM	\N	75	18458	UROK	\N	\N
3552516	664	1998-08-31	PRIJEM	\N	79	18785	UROK	\N	\N
3552517	664	1998-09-30	PRIJEM	\N	87	19299	UROK	\N	\N
3552518	664	1998-10-31	PRIJEM	\N	89	18835	UROK	\N	\N
3552519	664	1998-11-30	PRIJEM	\N	87	19169	UROK	\N	\N
3552520	664	1998-12-31	PRIJEM	\N	89	22556	UROK	\N	\N
3552521	665	1995-09-30	PRIJEM	\N	32	9976	UROK	\N	\N
3552522	665	1995-10-31	PRIJEM	\N	97	27116	UROK	\N	\N
3552523	665	1995-11-30	PRIJEM	\N	140	35600	UROK	\N	\N
3552524	665	1995-12-31	PRIJEM	\N	180	45746	UROK	\N	\N
3552525	665	1996-01-31	PRIJEM	\N	155	30996	UROK	\N	\N
3552526	665	1996-02-29	PRIJEM	\N	140	35716	UROK	\N	\N
3552527	665	1996-03-31	PRIJEM	\N	143	32540	UROK	\N	\N
3552528	665	1996-04-30	PRIJEM	\N	142	36262	UROK	\N	\N
3552529	665	1996-05-31	PRIJEM	\N	162	39604	UROK	\N	\N
3552530	665	1996-06-30	PRIJEM	\N	147	34153	UROK	\N	\N
3552531	665	1996-07-31	PRIJEM	\N	153	37386	UROK	\N	\N
3552532	665	1996-08-31	PRIJEM	\N	159	41626	UROK	\N	\N
3552533	665	1996-09-30	PRIJEM	\N	183	43889	UROK	\N	\N
3552534	665	1996-10-31	PRIJEM	\N	188	43757	UROK	\N	\N
3552535	665	1996-11-30	PRIJEM	\N	192	47330	UROK	\N	\N
3552536	665	1996-12-31	PRIJEM	\N	214	49046	UROK	\N	\N
3552537	665	1997-01-31	PRIJEM	\N	193	38619	UROK	\N	\N
3552538	665	1997-02-28	PRIJEM	\N	172	44071	UROK	\N	\N
3552539	665	1997-03-31	PRIJEM	\N	194	48146	UROK	\N	\N
3552540	665	1997-04-30	PRIJEM	\N	206	46732	UROK	\N	\N
3552541	665	1997-05-31	PRIJEM	\N	202	47214	UROK	\N	\N
3552542	665	1997-06-30	PRIJEM	\N	171	36188	UROK	\N	\N
3552543	665	1997-07-31	PRIJEM	\N	167	46135	UROK	\N	\N
3552544	665	1997-08-31	PRIJEM	\N	211	54226	UROK	\N	\N
3552545	665	1997-09-30	PRIJEM	\N	241	62948	UROK	\N	\N
3552546	665	1997-10-31	PRIJEM	\N	273	67601	UROK	\N	\N
3552547	665	1997-11-30	PRIJEM	\N	283	66465	UROK	\N	\N
3552548	665	1997-12-31	PRIJEM	\N	286	66153	UROK	\N	\N
3552549	665	1998-01-31	PRIJEM	\N	265	54298	UROK	\N	\N
3552550	665	1998-02-28	PRIJEM	\N	246	65924	UROK	\N	\N
3552551	665	1998-03-31	PRIJEM	\N	285	70689	UROK	\N	\N
3552552	665	1998-04-30	PRIJEM	\N	303	72772	UROK	\N	\N
3552553	665	1998-05-31	PRIJEM	\N	314	78066	UROK	\N	\N
3552554	665	1998-06-30	PRIJEM	\N	329	73298	UROK	\N	\N
3552555	665	1998-07-31	PRIJEM	\N	319	80497	UROK	\N	\N
3552556	665	1998-08-31	PRIJEM	\N	348	87426	UROK	\N	\N
3552557	665	1998-09-30	PRIJEM	\N	372	91478	UROK	\N	\N
3552558	665	1998-10-31	PRIJEM	\N	369	85727	UROK	\N	\N
3552559	665	1998-11-30	PRIJEM	\N	362	88770	UROK	\N	\N
3552560	665	1998-12-31	PRIJEM	\N	373	86745	UROK	\N	\N
3552561	666	1996-04-30	PRIJEM	\N	49	20607	UROK	\N	\N
3552562	666	1996-05-31	PRIJEM	\N	111	31075	UROK	\N	\N
3552563	666	1996-06-30	PRIJEM	\N	159	43121	UROK	\N	\N
3552564	666	1996-07-31	PRIJEM	\N	176	42056	UROK	\N	\N
3552565	666	1996-08-31	PRIJEM	\N	182	43995	UROK	\N	\N
3552566	666	1996-09-30	PRIJEM	\N	165	39171	UROK	\N	\N
3552567	666	1996-10-31	PRIJEM	\N	161	38602	UROK	\N	\N
3552568	666	1996-11-30	PRIJEM	\N	157	37709	UROK	\N	\N
3552569	666	1996-12-31	PRIJEM	\N	177	43465	UROK	\N	\N
3552570	666	1997-01-31	PRIJEM	\N	151	36147	UROK	\N	\N
3552571	666	1997-02-28	PRIJEM	\N	173	44990	UROK	\N	\N
3552572	666	1997-03-31	PRIJEM	\N	181	42641	UROK	\N	\N
3552573	666	1997-04-30	PRIJEM	\N	202	52214	UROK	\N	\N
3552574	666	1997-05-31	PRIJEM	\N	226	55610	UROK	\N	\N
3552575	666	1997-06-30	PRIJEM	\N	225	55174	UROK	\N	\N
3552576	666	1997-07-31	PRIJEM	\N	230	56275	UROK	\N	\N
3552577	666	1997-08-31	PRIJEM	\N	224	54529	UROK	\N	\N
3552578	666	1997-09-30	PRIJEM	\N	209	49308	UROK	\N	\N
3552579	666	1997-10-31	PRIJEM	\N	213	52892	UROK	\N	\N
3552580	666	1997-11-30	PRIJEM	\N	218	53380	UROK	\N	\N
3552581	666	1997-12-31	PRIJEM	\N	244	62678	UROK	\N	\N
3552582	666	1998-01-31	PRIJEM	\N	222	39006	UROK	\N	\N
3552583	666	1998-02-28	PRIJEM	\N	172	42123	UROK	\N	\N
3552584	666	1998-03-31	PRIJEM	\N	203	48552	UROK	\N	\N
3552585	666	1998-04-30	PRIJEM	\N	201	50078	UROK	\N	\N
3552586	666	1998-05-31	PRIJEM	\N	216	54320	UROK	\N	\N
3552587	666	1998-06-30	PRIJEM	\N	231	45265	UROK	\N	\N
3552588	666	1998-07-31	PRIJEM	\N	220	56510	UROK	\N	\N
3552589	666	1998-08-31	PRIJEM	\N	255	64290	UROK	\N	\N
3552590	666	1998-09-30	PRIJEM	\N	285	71801	UROK	\N	\N
3552591	666	1998-10-31	PRIJEM	\N	293	68899	UROK	\N	\N
3552592	666	1998-11-30	PRIJEM	\N	284	71309	UROK	\N	\N
3552593	666	1998-12-31	PRIJEM	\N	327	81136	UROK	\N	\N
3552594	669	1996-06-30	PRIJEM	\N	9	3630	UROK	\N	\N
3552595	669	1996-07-31	PRIJEM	\N	15	6566	UROK	\N	\N
3552596	669	1996-08-31	PRIJEM	\N	15	9502	UROK	\N	\N
3552597	669	1996-09-30	PRIJEM	\N	15	12438	UROK	\N	\N
3552598	669	1996-10-31	PRIJEM	\N	45	13457	UROK	\N	\N
3552599	669	1996-11-30	PRIJEM	\N	59	14475	UROK	\N	\N
3552600	669	1996-12-31	PRIJEM	\N	62	14986	UROK	\N	\N
3552601	669	1997-01-31	PRIJEM	\N	58	12344	UROK	\N	\N
3552602	669	1997-02-28	PRIJEM	\N	54	13357	UROK	\N	\N
3552603	669	1997-03-31	PRIJEM	\N	63	14379	UROK	\N	\N
3552604	669	1997-04-30	PRIJEM	\N	62	15401	UROK	\N	\N
3552605	669	1997-05-31	PRIJEM	\N	70	16131	UROK	\N	\N
3552606	669	1997-06-30	PRIJEM	\N	68	14908	UROK	\N	\N
3552607	669	1997-07-31	PRIJEM	\N	63	15000	UROK	\N	\N
3552608	669	1997-08-31	PRIJEM	\N	64	15034	UROK	\N	\N
3552609	669	1997-09-30	PRIJEM	\N	65	16058	UROK	\N	\N
3552610	669	1997-10-31	PRIJEM	\N	69	17087	UROK	\N	\N
3552611	669	1997-11-30	PRIJEM	\N	73	16769	UROK	\N	\N
3552612	669	1997-12-31	PRIJEM	\N	69	16358	UROK	\N	\N
3552613	669	1998-01-31	PRIJEM	\N	59	13176	UROK	\N	\N
3552614	669	1998-02-28	PRIJEM	\N	57	13173	UROK	\N	\N
3552615	669	1998-03-31	PRIJEM	\N	62	14194	UROK	\N	\N
3552616	669	1998-04-30	PRIJEM	\N	61	15215	UROK	\N	\N
3552617	669	1998-05-31	PRIJEM	\N	66	16240	UROK	\N	\N
3552618	669	1998-06-30	PRIJEM	\N	65	15164	UROK	\N	\N
3552619	669	1998-07-31	PRIJEM	\N	70	16194	UROK	\N	\N
3552620	669	1998-08-31	PRIJEM	\N	70	17223	UROK	\N	\N
3552621	669	1998-09-30	PRIJEM	\N	79	18261	UROK	\N	\N
3552622	669	1998-10-31	PRIJEM	\N	76	18756	UROK	\N	\N
3552623	669	1998-11-30	PRIJEM	\N	80	19046	UROK	\N	\N
3552624	669	1998-12-31	PRIJEM	\N	80	19305	UROK	\N	\N
3552625	673	1997-12-31	PRIJEM	\N	69	23406	UROK	\N	\N
3552626	673	1998-01-31	PRIJEM	\N	149	40813	UROK	\N	\N
3552627	673	1998-02-28	PRIJEM	\N	184	46155	UROK	\N	\N
3552628	673	1998-03-31	PRIJEM	\N	203	50116	UROK	\N	\N
3552629	673	1998-04-30	PRIJEM	\N	221	54495	UROK	\N	\N
3552630	673	1998-05-31	PRIJEM	\N	214	51766	UROK	\N	\N
3552631	673	1998-06-30	PRIJEM	\N	172	42494	UROK	\N	\N
3552632	673	1998-07-31	PRIJEM	\N	183	45634	UROK	\N	\N
3552633	673	1998-08-31	PRIJEM	\N	174	41666	UROK	\N	\N
3552634	673	1998-09-30	PRIJEM	\N	135	34138	UROK	\N	\N
3552635	673	1998-10-31	PRIJEM	\N	147	37143	UROK	\N	\N
3552636	673	1998-11-30	PRIJEM	\N	164	41564	UROK	\N	\N
3552637	673	1998-12-31	PRIJEM	\N	166	40047	UROK	\N	\N
3552638	674	1995-09-30	PRIJEM	\N	12	4987	UROK	\N	\N
3552639	674	1995-10-31	PRIJEM	\N	21	9683	UROK	\N	\N
3552640	674	1995-11-30	PRIJEM	\N	21	14379	UROK	\N	\N
3552641	674	1995-12-31	PRIJEM	\N	21	19075	UROK	\N	\N
3552642	674	1996-01-31	PRIJEM	\N	62	19833	UROK	\N	\N
3552643	674	1996-02-29	PRIJEM	\N	89	22525	UROK	\N	\N
3552644	674	1996-03-31	PRIJEM	\N	101	25227	UROK	\N	\N
3552645	674	1996-04-30	PRIJEM	\N	111	26241	UROK	\N	\N
3552646	674	1996-05-31	PRIJEM	\N	115	25758	UROK	\N	\N
3552647	674	1996-06-30	PRIJEM	\N	107	17757	UROK	\N	\N
3552648	674	1996-07-31	PRIJEM	\N	86	20445	UROK	\N	\N
3552649	674	1996-08-31	PRIJEM	\N	92	23139	UROK	\N	\N
3552650	674	1996-09-30	PRIJEM	\N	101	23042	UROK	\N	\N
3552651	674	1996-10-31	PRIJEM	\N	108	25752	UROK	\N	\N
3552652	674	1996-11-30	PRIJEM	\N	111	26225	UROK	\N	\N
3552653	674	1996-12-31	PRIJEM	\N	116	28393	UROK	\N	\N
3552654	674	1997-01-31	PRIJEM	\N	109	23665	UROK	\N	\N
3552655	674	1997-02-28	PRIJEM	\N	109	26376	UROK	\N	\N
3552656	674	1997-03-31	PRIJEM	\N	110	25169	UROK	\N	\N
3552657	674	1997-04-30	PRIJEM	\N	116	27887	UROK	\N	\N
3552658	674	1997-05-31	PRIJEM	\N	128	30617	UROK	\N	\N
3552659	674	1997-06-30	PRIJEM	\N	135	25355	UROK	\N	\N
3552660	674	1997-07-31	PRIJEM	\N	117	28074	UROK	\N	\N
3552661	674	1997-08-31	PRIJEM	\N	124	29600	UROK	\N	\N
3552662	674	1997-09-30	PRIJEM	\N	127	30530	UROK	\N	\N
3552663	674	1997-10-31	PRIJEM	\N	121	27313	UROK	\N	\N
3552664	674	1997-11-30	PRIJEM	\N	115	26570	UROK	\N	\N
3552665	674	1997-12-31	PRIJEM	\N	121	28443	UROK	\N	\N
3552666	674	1998-01-31	PRIJEM	\N	102	20788	UROK	\N	\N
3552667	674	1998-02-28	PRIJEM	\N	91	21301	UROK	\N	\N
3552668	674	1998-03-31	PRIJEM	\N	92	20795	UROK	\N	\N
3552669	674	1998-04-30	PRIJEM	\N	85	18082	UROK	\N	\N
3552670	674	1998-05-31	PRIJEM	\N	78	19163	UROK	\N	\N
3552671	674	1998-06-30	PRIJEM	\N	74	15540	UROK	\N	\N
3552672	674	1998-07-31	PRIJEM	\N	66	16009	UROK	\N	\N
3552673	674	1998-08-31	PRIJEM	\N	73	18484	UROK	\N	\N
3552674	674	1998-09-30	PRIJEM	\N	77	18564	UROK	\N	\N
3552675	674	1998-10-31	PRIJEM	\N	77	18564	UROK	\N	\N
3552676	674	1998-11-30	PRIJEM	\N	77	18142	UROK	\N	\N
3552677	674	1998-12-31	PRIJEM	\N	77	17012	UROK	\N	\N
3552678	675	1995-08-31	PRIJEM	\N	25	10463	UROK	\N	\N
3552679	675	1995-09-30	PRIJEM	\N	81	26482	UROK	\N	\N
3552680	675	1995-10-31	PRIJEM	\N	134	36254	UROK	\N	\N
3552681	675	1995-11-30	PRIJEM	\N	157	38849	UROK	\N	\N
3552682	675	1995-12-31	PRIJEM	\N	172	43627	UROK	\N	\N
3552683	675	1996-01-31	PRIJEM	\N	88	21821	UROK	\N	\N
3552684	675	1996-02-29	PRIJEM	\N	89	28076	UROK	\N	\N
3552685	675	1996-03-31	PRIJEM	\N	120	31661	UROK	\N	\N
3552686	675	1996-04-30	PRIJEM	\N	135	33361	UROK	\N	\N
3552687	675	1996-05-31	PRIJEM	\N	141	31468	UROK	\N	\N
3552688	675	1996-06-30	PRIJEM	\N	126	33408	UROK	\N	\N
3552689	675	1996-07-31	PRIJEM	\N	145	37419	UROK	\N	\N
3552690	675	1996-08-31	PRIJEM	\N	159	36244	UROK	\N	\N
3552691	675	1996-09-30	PRIJEM	\N	129	32958	UROK	\N	\N
3552692	675	1996-10-31	PRIJEM	\N	125	34928	UROK	\N	\N
3552693	675	1996-11-30	PRIJEM	\N	152	39146	UROK	\N	\N
3552694	675	1996-12-31	PRIJEM	\N	156	36636	UROK	\N	\N
3552695	675	1997-01-31	PRIJEM	\N	120	28681	UROK	\N	\N
3552696	675	1997-02-28	PRIJEM	\N	122	36668	UROK	\N	\N
3552697	675	1997-03-31	PRIJEM	\N	150	34783	UROK	\N	\N
3552698	675	1997-04-30	PRIJEM	\N	136	32981	UROK	\N	\N
3552699	675	1997-05-31	PRIJEM	\N	140	36482	UROK	\N	\N
3552700	675	1997-06-30	PRIJEM	\N	162	40974	UROK	\N	\N
3552701	675	1997-07-31	PRIJEM	\N	167	42182	UROK	\N	\N
3552702	675	1997-08-31	PRIJEM	\N	180	46524	UROK	\N	\N
3552703	675	1997-09-30	PRIJEM	\N	192	46677	UROK	\N	\N
3552704	675	1997-10-31	PRIJEM	\N	180	43558	UROK	\N	\N
3552705	675	1997-11-30	PRIJEM	\N	185	47605	UROK	\N	\N
3552706	675	1997-12-31	PRIJEM	\N	197	48652	UROK	\N	\N
3552707	675	1998-01-31	PRIJEM	\N	156	28949	UROK	\N	\N
3552708	675	1998-02-28	PRIJEM	\N	139	41949	UROK	\N	\N
3552709	675	1998-03-31	PRIJEM	\N	192	54302	UROK	\N	\N
3552710	675	1998-04-30	PRIJEM	\N	232	59696	UROK	\N	\N
3552711	675	1998-05-31	PRIJEM	\N	244	58901	UROK	\N	\N
3552712	675	1998-06-30	PRIJEM	\N	246	59877	UROK	\N	\N
3552713	675	1998-07-31	PRIJEM	\N	241	57480	UROK	\N	\N
3552714	675	1998-08-31	PRIJEM	\N	231	55472	UROK	\N	\N
3552715	675	1998-09-30	PRIJEM	\N	224	54358	UROK	\N	\N
3552716	675	1998-10-31	PRIJEM	\N	230	57949	UROK	\N	\N
3552717	675	1998-11-30	PRIJEM	\N	248	63358	UROK	\N	\N
3552718	675	1998-12-31	PRIJEM	\N	268	66956	UROK	\N	\N
3552719	676	1995-10-31	PRIJEM	\N	20	14909	UROK	\N	\N
3552720	676	1995-11-30	PRIJEM	\N	70	20468	UROK	\N	\N
3552721	676	1995-12-31	PRIJEM	\N	96	27697	UROK	\N	\N
3552722	676	1996-01-31	PRIJEM	\N	118	29705	UROK	\N	\N
3552723	676	1996-02-29	PRIJEM	\N	129	32105	UROK	\N	\N
3552724	676	1996-03-31	PRIJEM	\N	124	23007	UROK	\N	\N
3552725	676	1996-04-30	PRIJEM	\N	96	23260	UROK	\N	\N
3552726	676	1996-05-31	PRIJEM	\N	111	30528	UROK	\N	\N
3552727	676	1996-06-30	PRIJEM	\N	129	30360	UROK	\N	\N
3552728	676	1996-07-31	PRIJEM	\N	127	29944	UROK	\N	\N
3552729	676	1996-08-31	PRIJEM	\N	123	28925	UROK	\N	\N
3552730	676	1996-09-30	PRIJEM	\N	117	26899	UROK	\N	\N
3552731	676	1996-10-31	PRIJEM	\N	100	18556	UROK	\N	\N
3552732	676	1996-11-30	PRIJEM	\N	88	23502	UROK	\N	\N
3552733	676	1996-12-31	PRIJEM	\N	99	19083	UROK	\N	\N
3552734	676	1997-01-31	PRIJEM	\N	67	12948	UROK	\N	\N
3552735	676	1997-02-28	PRIJEM	\N	78	20283	UROK	\N	\N
3552736	676	1997-03-31	PRIJEM	\N	78	18179	UROK	\N	\N
3552737	676	1997-04-30	PRIJEM	\N	92	25228	UROK	\N	\N
3552738	676	1997-05-31	PRIJEM	\N	105	25391	UROK	\N	\N
3552739	676	1997-06-30	PRIJEM	\N	106	21879	UROK	\N	\N
3552740	676	1997-07-31	PRIJEM	\N	95	23531	UROK	\N	\N
3552741	676	1997-08-31	PRIJEM	\N	102	25290	UROK	\N	\N
3552742	676	1997-09-30	PRIJEM	\N	108	26356	UROK	\N	\N
3552743	676	1997-10-31	PRIJEM	\N	111	26684	UROK	\N	\N
3552744	676	1997-11-30	PRIJEM	\N	116	28657	UROK	\N	\N
3552745	676	1997-12-31	PRIJEM	\N	112	24752	UROK	\N	\N
3552746	676	1998-01-31	PRIJEM	\N	86	13895	UROK	\N	\N
3552747	676	1998-02-28	PRIJEM	\N	85	24637	UROK	\N	\N
3552748	676	1998-03-31	PRIJEM	\N	124	32818	UROK	\N	\N
3552749	676	1998-04-30	PRIJEM	\N	142	32338	UROK	\N	\N
3552750	676	1998-05-31	PRIJEM	\N	151	38646	UROK	\N	\N
3552751	676	1998-06-30	PRIJEM	\N	189	49537	UROK	\N	\N
3552752	676	1998-07-31	PRIJEM	\N	210	51404	UROK	\N	\N
3552753	676	1998-08-31	PRIJEM	\N	211	50052	UROK	\N	\N
3552754	676	1998-09-30	PRIJEM	\N	206	49516	UROK	\N	\N
3552755	676	1998-10-31	PRIJEM	\N	195	45388	UROK	\N	\N
3552756	676	1998-11-30	PRIJEM	\N	178	42023	UROK	\N	\N
3552757	676	1998-12-31	PRIJEM	\N	175	42481	UROK	\N	\N
3552758	678	1993-11-30	PRIJEM	\N	27	15659	UROK	\N	\N
3552759	678	1993-12-31	PRIJEM	\N	87	24094	UROK	\N	\N
3552760	678	1994-01-31	PRIJEM	\N	126	31752	UROK	\N	\N
3552761	678	1994-02-28	PRIJEM	\N	146	36130	UROK	\N	\N
3552762	678	1994-03-31	PRIJEM	\N	128	24902	UROK	\N	\N
3552763	678	1994-04-30	PRIJEM	\N	113	25245	UROK	\N	\N
3552764	678	1994-05-31	PRIJEM	\N	118	25793	UROK	\N	\N
3552765	678	1994-06-30	PRIJEM	\N	127	28866	UROK	\N	\N
3552766	678	1994-07-31	PRIJEM	\N	131	31226	UROK	\N	\N
3552767	678	1994-08-31	PRIJEM	\N	128	28283	UROK	\N	\N
3552768	678	1994-09-30	PRIJEM	\N	117	26729	UROK	\N	\N
3552769	678	1994-10-31	PRIJEM	\N	112	25871	UROK	\N	\N
3552770	678	1994-11-30	PRIJEM	\N	121	28822	UROK	\N	\N
3552771	678	1994-12-31	PRIJEM	\N	141	31308	UROK	\N	\N
3552772	678	1995-01-31	PRIJEM	\N	95	18932	UROK	\N	\N
3552773	678	1995-02-28	PRIJEM	\N	83	20245	UROK	\N	\N
3552774	678	1995-03-31	PRIJEM	\N	80	18454	UROK	\N	\N
3552775	678	1995-04-30	PRIJEM	\N	77	16860	UROK	\N	\N
3552776	678	1995-05-31	PRIJEM	\N	86	21476	UROK	\N	\N
3552777	678	1995-06-30	PRIJEM	\N	94	22015	UROK	\N	\N
3552778	678	1995-07-31	PRIJEM	\N	78	15123	UROK	\N	\N
3552779	678	1995-08-31	PRIJEM	\N	62	12714	UROK	\N	\N
3552780	678	1995-09-30	PRIJEM	\N	65	13608	UROK	\N	\N
3552781	678	1995-10-31	PRIJEM	\N	71	16408	UROK	\N	\N
3552782	678	1995-11-30	PRIJEM	\N	73	16310	UROK	\N	\N
3552783	678	1995-12-31	PRIJEM	\N	92	18747	UROK	\N	\N
3552784	678	1996-01-31	PRIJEM	\N	68	11345	UROK	\N	\N
3552785	678	1996-02-29	PRIJEM	\N	56	13730	UROK	\N	\N
3552786	678	1996-03-31	PRIJEM	\N	71	16330	UROK	\N	\N
3552787	678	1996-04-30	PRIJEM	\N	78	18937	UROK	\N	\N
3552788	678	1996-05-31	PRIJEM	\N	80	16847	UROK	\N	\N
3552789	678	1996-06-30	PRIJEM	\N	81	18573	UROK	\N	\N
3552790	678	1996-07-31	PRIJEM	\N	81	16683	UROK	\N	\N
3552791	678	1996-08-31	PRIJEM	\N	72	17285	UROK	\N	\N
3552792	678	1996-09-30	PRIJEM	\N	79	18193	UROK	\N	\N
3552793	678	1996-10-31	PRIJEM	\N	81	17404	UROK	\N	\N
3552794	678	1996-11-30	PRIJEM	\N	74	15506	UROK	\N	\N
3552795	678	1996-12-31	PRIJEM	\N	72	16724	UROK	\N	\N
3552796	678	1997-01-31	PRIJEM	\N	71	12924	UROK	\N	\N
3552797	678	1997-02-28	PRIJEM	\N	56	13609	UROK	\N	\N
3552798	678	1997-03-31	PRIJEM	\N	61	13299	UROK	\N	\N
3552799	678	1997-04-30	PRIJEM	\N	60	15888	UROK	\N	\N
3552800	678	1997-05-31	PRIJEM	\N	80	18498	UROK	\N	\N
3552801	678	1997-06-30	PRIJEM	\N	74	14817	UROK	\N	\N
3552802	678	1997-07-31	PRIJEM	\N	59	11906	UROK	\N	\N
3552803	678	1997-08-31	PRIJEM	\N	57	14493	UROK	\N	\N
3552804	678	1997-09-30	PRIJEM	\N	69	17091	UROK	\N	\N
3552805	678	1997-10-31	PRIJEM	\N	72	15493	UROK	\N	\N
3552806	678	1997-11-30	PRIJEM	\N	60	13082	UROK	\N	\N
3552807	678	1997-12-31	PRIJEM	\N	63	14890	UROK	\N	\N
3552808	678	1998-01-31	PRIJEM	\N	58	13377	UROK	\N	\N
3552809	678	1998-02-28	PRIJEM	\N	54	12660	UROK	\N	\N
3552810	678	1998-03-31	PRIJEM	\N	57	15246	UROK	\N	\N
3552811	678	1998-04-30	PRIJEM	\N	61	15137	UROK	\N	\N
3552812	678	1998-05-31	PRIJEM	\N	58	13324	UROK	\N	\N
3552813	678	1998-06-30	PRIJEM	\N	69	18839	UROK	\N	\N
3552814	678	1998-07-31	PRIJEM	\N	76	18444	UROK	\N	\N
3552815	678	1998-08-31	PRIJEM	\N	81	19354	UROK	\N	\N
3552816	678	1998-09-30	PRIJEM	\N	70	12854	UROK	\N	\N
3552817	678	1998-10-31	PRIJEM	\N	44	10328	UROK	\N	\N
3552818	678	1998-11-30	PRIJEM	\N	40	8797	UROK	\N	\N
3552819	678	1998-12-31	PRIJEM	\N	50	12493	UROK	\N	\N
3552820	679	1997-08-31	PRIJEM	\N	58	20586	UROK	\N	\N
3552821	679	1997-09-30	PRIJEM	\N	111	29425	UROK	\N	\N
3552822	679	1997-10-31	PRIJEM	\N	137	34390	UROK	\N	\N
3552823	679	1997-11-30	PRIJEM	\N	161	40379	UROK	\N	\N
3552824	679	1997-12-31	PRIJEM	\N	178	42569	UROK	\N	\N
3552825	679	1998-01-31	PRIJEM	\N	136	21639	UROK	\N	\N
3552826	679	1998-02-28	PRIJEM	\N	144	38716	UROK	\N	\N
3552827	679	1998-03-31	PRIJEM	\N	155	34304	UROK	\N	\N
3552828	679	1998-04-30	PRIJEM	\N	157	37894	UROK	\N	\N
3552829	679	1998-05-31	PRIJEM	\N	174	42201	UROK	\N	\N
3552830	679	1998-06-30	PRIJEM	\N	158	33256	UROK	\N	\N
3552831	679	1998-07-31	PRIJEM	\N	177	44866	UROK	\N	\N
3552832	679	1998-08-31	PRIJEM	\N	219	54418	UROK	\N	\N
3552833	679	1998-09-30	PRIJEM	\N	232	55384	UROK	\N	\N
3552834	679	1998-10-31	PRIJEM	\N	216	46933	UROK	\N	\N
3552835	679	1998-11-30	PRIJEM	\N	215	49181	UROK	\N	\N
3552836	679	1998-12-31	PRIJEM	\N	244	60322	UROK	\N	\N
3552837	680	1997-08-31	PRIJEM	\N	43	21476	UROK	\N	\N
3552838	680	1997-09-30	PRIJEM	\N	108	30417	UROK	\N	\N
3552839	680	1997-10-31	PRIJEM	\N	147	40097	UROK	\N	\N
3552840	680	1997-11-30	PRIJEM	\N	180	46110	UROK	\N	\N
3552841	680	1997-12-31	PRIJEM	\N	201	46478	UROK	\N	\N
3552842	680	1998-01-31	PRIJEM	\N	186	41409	UROK	\N	\N
3552843	680	1998-02-28	PRIJEM	\N	190	47064	UROK	\N	\N
3552844	680	1998-03-31	PRIJEM	\N	204	47833	UROK	\N	\N
3552845	680	1998-04-30	PRIJEM	\N	193	40691	UROK	\N	\N
3552846	680	1998-05-31	PRIJEM	\N	168	38325	UROK	\N	\N
3552847	680	1998-06-30	PRIJEM	\N	123	28061	UROK	\N	\N
3552848	680	1998-07-31	PRIJEM	\N	133	32859	UROK	\N	\N
3552849	680	1998-08-31	PRIJEM	\N	134	31058	UROK	\N	\N
3552850	680	1998-09-30	PRIJEM	\N	123	28346	UROK	\N	\N
3552851	680	1998-10-31	PRIJEM	\N	111	25422	UROK	\N	\N
3552852	680	1998-11-30	PRIJEM	\N	112	23200	UROK	\N	\N
3552853	680	1998-12-31	PRIJEM	\N	131	32283	UROK	\N	\N
3552911	682	1997-06-30	PRIJEM	\N	10	3831	UROK	\N	\N
3552912	682	1997-07-31	PRIJEM	\N	16	6868	UROK	\N	\N
3552913	682	1997-08-31	PRIJEM	\N	16	9904	UROK	\N	\N
3552914	682	1997-09-30	PRIJEM	\N	16	12941	UROK	\N	\N
3552915	682	1997-10-31	PRIJEM	\N	18	15980	UROK	\N	\N
3552916	682	1997-11-30	PRIJEM	\N	68	17041	UROK	\N	\N
3552917	682	1997-12-31	PRIJEM	\N	67	15230	UROK	\N	\N
3552918	682	1998-01-31	PRIJEM	\N	55	12217	UROK	\N	\N
3552919	682	1998-02-28	PRIJEM	\N	52	13262	UROK	\N	\N
3552920	682	1998-03-31	PRIJEM	\N	57	14311	UROK	\N	\N
3552921	682	1998-04-30	PRIJEM	\N	57	13961	UROK	\N	\N
3552922	682	1998-05-31	PRIJEM	\N	60	15013	UROK	\N	\N
3552923	682	1998-06-30	PRIJEM	\N	64	16070	UROK	\N	\N
3552924	682	1998-07-31	PRIJEM	\N	69	17131	UROK	\N	\N
3552925	682	1998-08-31	PRIJEM	\N	73	18196	UROK	\N	\N
3552926	682	1998-09-30	PRIJEM	\N	77	19266	UROK	\N	\N
3552927	682	1998-10-31	PRIJEM	\N	80	19258	UROK	\N	\N
3552928	682	1998-11-30	PRIJEM	\N	82	20333	UROK	\N	\N
3552929	682	1998-12-31	PRIJEM	\N	86	20931	UROK	\N	\N
3552930	683	1996-08-31	PRIJEM	\N	36	24299	UROK	\N	\N
3552931	683	1996-09-30	PRIJEM	\N	118	35580	UROK	\N	\N
3552932	683	1996-10-31	PRIJEM	\N	160	43303	UROK	\N	\N
3552933	683	1996-11-30	PRIJEM	\N	188	48354	UROK	\N	\N
3552934	683	1996-12-31	PRIJEM	\N	219	45589	UROK	\N	\N
3552935	683	1997-01-31	PRIJEM	\N	164	30744	UROK	\N	\N
3552936	683	1997-02-28	PRIJEM	\N	147	35061	UROK	\N	\N
3552937	683	1997-03-31	PRIJEM	\N	173	38104	UROK	\N	\N
3552938	683	1997-04-30	PRIJEM	\N	177	37852	UROK	\N	\N
3552939	683	1997-05-31	PRIJEM	\N	173	39896	UROK	\N	\N
3552940	683	1997-06-30	PRIJEM	\N	190	34927	UROK	\N	\N
3552941	683	1997-07-31	PRIJEM	\N	162	38460	UROK	\N	\N
3552942	683	1997-08-31	PRIJEM	\N	162	33792	UROK	\N	\N
3552943	683	1997-09-30	PRIJEM	\N	142	31504	UROK	\N	\N
3552944	683	1997-10-31	PRIJEM	\N	137	31511	UROK	\N	\N
3552945	683	1997-11-30	PRIJEM	\N	146	35128	UROK	\N	\N
3552946	683	1997-12-31	PRIJEM	\N	151	32400	UROK	\N	\N
3552947	683	1998-01-31	PRIJEM	\N	108	16578	UROK	\N	\N
3552948	683	1998-02-28	PRIJEM	\N	104	19052	UROK	\N	\N
3552949	683	1998-03-31	PRIJEM	\N	81	16204	UROK	\N	\N
3552950	683	1998-04-30	PRIJEM	\N	67	14640	UROK	\N	\N
3552951	683	1998-05-31	PRIJEM	\N	60	13771	UROK	\N	\N
3552952	683	1998-06-30	PRIJEM	\N	98	21071	UROK	\N	\N
3552953	683	1998-07-31	PRIJEM	\N	124	14765	UROK	\N	\N
3552954	683	1998-08-31	PRIJEM	\N	123	29558	UROK	\N	\N
3552955	683	1998-09-30	PRIJEM	\N	162	44390	UROK	\N	\N
3552956	683	1998-10-31	PRIJEM	\N	140	30780	UROK	\N	\N
3552957	683	1998-11-30	PRIJEM	\N	167	45617	UROK	\N	\N
3552958	683	1998-12-31	PRIJEM	\N	189	44108	UROK	\N	\N
3552959	684	1996-09-30	PRIJEM	\N	33	10749	UROK	\N	\N
3552960	684	1996-10-31	PRIJEM	\N	48	11164	UROK	\N	\N
3552961	684	1996-11-30	PRIJEM	\N	57	12174	UROK	\N	\N
3552962	684	1996-12-31	PRIJEM	\N	54	12851	UROK	\N	\N
3552963	684	1997-01-31	PRIJEM	\N	48	10913	UROK	\N	\N
3552964	684	1997-02-28	PRIJEM	\N	49	11915	UROK	\N	\N
3552965	684	1997-03-31	PRIJEM	\N	60	12538	UROK	\N	\N
3552966	684	1997-04-30	PRIJEM	\N	52	12444	UROK	\N	\N
3552967	684	1997-05-31	PRIJEM	\N	55	13302	UROK	\N	\N
3552968	684	1997-06-30	PRIJEM	\N	63	12848	UROK	\N	\N
3552969	684	1997-07-31	PRIJEM	\N	57	13859	UROK	\N	\N
3552970	684	1997-08-31	PRIJEM	\N	68	14480	UROK	\N	\N
3552971	684	1997-09-30	PRIJEM	\N	54	12687	UROK	\N	\N
3552972	684	1997-10-31	PRIJEM	\N	57	13247	UROK	\N	\N
3552973	684	1997-11-30	PRIJEM	\N	65	14266	UROK	\N	\N
3552974	684	1997-12-31	PRIJEM	\N	57	13006	UROK	\N	\N
3552975	684	1998-01-31	PRIJEM	\N	57	11916	UROK	\N	\N
3552976	684	1998-02-28	PRIJEM	\N	60	12929	UROK	\N	\N
3552977	684	1998-03-31	PRIJEM	\N	54	12936	UROK	\N	\N
3552978	684	1998-04-30	PRIJEM	\N	54	12863	UROK	\N	\N
3552979	684	1998-05-31	PRIJEM	\N	56	13482	UROK	\N	\N
3552980	684	1998-06-30	PRIJEM	\N	59	14495	UROK	\N	\N
3552981	684	1998-07-31	PRIJEM	\N	60	14068	UROK	\N	\N
3552982	684	1998-08-31	PRIJEM	\N	69	15090	UROK	\N	\N
3552983	684	1998-09-30	PRIJEM	\N	64	15208	UROK	\N	\N
3552984	684	1998-10-31	PRIJEM	\N	65	15716	UROK	\N	\N
3552985	684	1998-11-30	PRIJEM	\N	67	15837	UROK	\N	\N
3552986	684	1998-12-31	PRIJEM	\N	72	16322	UROK	\N	\N
3552987	685	1995-09-30	PRIJEM	\N	56	66666	UROK	\N	\N
3552988	685	1995-10-31	PRIJEM	\N	274	50039	UROK	\N	\N
3552989	685	1995-11-30	PRIJEM	\N	161	38700	UROK	\N	\N
3552990	685	1995-12-31	PRIJEM	\N	161	34460	UROK	\N	\N
3552991	685	1996-01-31	PRIJEM	\N	161	33921	UROK	\N	\N
3552992	685	1996-02-29	PRIJEM	\N	160	37902	UROK	\N	\N
3552993	685	1996-03-31	PRIJEM	\N	196	61211	UROK	\N	\N
3552994	685	1996-04-30	PRIJEM	\N	254	59911	UROK	\N	\N
3552995	685	1996-05-31	PRIJEM	\N	256	53518	UROK	\N	\N
3552996	685	1996-06-30	PRIJEM	\N	221	42309	UROK	\N	\N
3552997	685	1996-07-31	PRIJEM	\N	190	62725	UROK	\N	\N
3552998	685	1996-08-31	PRIJEM	\N	236	39605	UROK	\N	\N
3552999	685	1996-09-30	PRIJEM	\N	151	21095	UROK	\N	\N
3553000	685	1996-10-31	PRIJEM	\N	88	21486	UROK	\N	\N
3553001	685	1996-11-30	PRIJEM	\N	90	28246	UROK	\N	\N
3553002	685	1996-12-31	PRIJEM	\N	116	23532	UROK	\N	\N
3553003	685	1997-01-31	PRIJEM	\N	251	55348	UROK	\N	\N
3553004	685	1997-02-28	PRIJEM	\N	259	94771	UROK	\N	\N
3553005	685	1997-03-31	PRIJEM	\N	377	91213	UROK	\N	\N
3553006	685	1997-04-30	PRIJEM	\N	364	82360	UROK	\N	\N
3553007	685	1997-05-31	PRIJEM	\N	296	104124	UROK	\N	\N
3553008	685	1997-06-30	PRIJEM	\N	155	22530	UROK	\N	\N
3553009	685	1997-07-31	PRIJEM	\N	137	78411	UROK	\N	\N
3553010	685	1997-08-31	PRIJEM	\N	370	99433	UROK	\N	\N
3553011	685	1997-09-30	PRIJEM	\N	317	50270	UROK	\N	\N
3553012	685	1997-10-31	PRIJEM	\N	179	59978	UROK	\N	\N
3553013	685	1997-11-30	PRIJEM	\N	265	73014	UROK	\N	\N
3553014	685	1997-12-31	PRIJEM	\N	215	44500	UROK	\N	\N
3553015	685	1998-01-31	PRIJEM	\N	123	24893	UROK	\N	\N
3553016	685	1998-02-28	PRIJEM	\N	159	83119	UROK	\N	\N
3553017	685	1998-03-31	PRIJEM	\N	355	82102	UROK	\N	\N
3553018	685	1998-04-30	PRIJEM	\N	315	63102	UROK	\N	\N
3553019	685	1998-05-31	PRIJEM	\N	289	78835	UROK	\N	\N
3553020	685	1998-06-30	PRIJEM	\N	310	74424	UROK	\N	\N
3553021	685	1998-07-31	PRIJEM	\N	313	77168	UROK	\N	\N
3553022	685	1998-08-31	PRIJEM	\N	317	52055	UROK	\N	\N
3553023	685	1998-09-30	PRIJEM	\N	165	33462	UROK	\N	\N
3553024	685	1998-10-31	PRIJEM	\N	124	34039	UROK	\N	\N
3553025	685	1998-11-30	PRIJEM	\N	151	42290	UROK	\N	\N
3553026	685	1998-12-31	PRIJEM	\N	274	81565	UROK	\N	\N
3553027	686	1993-04-30	PRIJEM	\N	37	11670	UROK	\N	\N
3553028	686	1993-05-31	PRIJEM	\N	105	29308	UROK	\N	\N
3553029	686	1993-06-30	PRIJEM	\N	170	44478	UROK	\N	\N
3553030	686	1993-07-31	PRIJEM	\N	190	46101	UROK	\N	\N
3553031	686	1993-08-31	PRIJEM	\N	176	40351	UROK	\N	\N
3553032	686	1993-09-30	PRIJEM	\N	149	30708	UROK	\N	\N
3553033	686	1993-10-31	PRIJEM	\N	137	32674	UROK	\N	\N
3553034	686	1993-11-30	PRIJEM	\N	144	35266	UROK	\N	\N
3553035	686	1993-12-31	PRIJEM	\N	161	34582	UROK	\N	\N
3553036	686	1994-01-31	PRIJEM	\N	126	19336	UROK	\N	\N
3553037	686	1994-02-28	PRIJEM	\N	98	23882	UROK	\N	\N
3553038	686	1994-03-31	PRIJEM	\N	118	24848	UROK	\N	\N
3553039	686	1994-04-30	PRIJEM	\N	118	24814	UROK	\N	\N
3553040	686	1994-05-31	PRIJEM	\N	119	26182	UROK	\N	\N
3553041	686	1994-06-30	PRIJEM	\N	125	26802	UROK	\N	\N
3553042	686	1994-07-31	PRIJEM	\N	127	28777	UROK	\N	\N
3553043	686	1994-08-31	PRIJEM	\N	129	27274	UROK	\N	\N
3553044	686	1994-09-30	PRIJEM	\N	127	27050	UROK	\N	\N
3553045	686	1994-10-31	PRIJEM	\N	114	24792	UROK	\N	\N
3553046	686	1994-11-30	PRIJEM	\N	119	28159	UROK	\N	\N
3553047	686	1994-12-31	PRIJEM	\N	138	29292	UROK	\N	\N
3553048	686	1995-01-31	PRIJEM	\N	109	15889	UROK	\N	\N
3553049	686	1995-02-28	PRIJEM	\N	76	19053	UROK	\N	\N
3553050	686	1995-03-31	PRIJEM	\N	89	18050	UROK	\N	\N
3553051	686	1995-04-30	PRIJEM	\N	90	21089	UROK	\N	\N
3553052	686	1995-05-31	PRIJEM	\N	99	20937	UROK	\N	\N
3553053	686	1995-06-30	PRIJEM	\N	116	27068	UROK	\N	\N
3553054	686	1995-07-31	PRIJEM	\N	120	26396	UROK	\N	\N
3553055	686	1995-08-31	PRIJEM	\N	118	25063	UROK	\N	\N
3553056	686	1995-09-30	PRIJEM	\N	114	24725	UROK	\N	\N
3553057	686	1995-10-31	PRIJEM	\N	110	22983	UROK	\N	\N
3553058	686	1995-11-30	PRIJEM	\N	100	18652	UROK	\N	\N
3553059	686	1995-12-31	PRIJEM	\N	94	22862	UROK	\N	\N
3553060	686	1996-01-31	PRIJEM	\N	80	14970	UROK	\N	\N
3553061	686	1996-02-29	PRIJEM	\N	79	19797	UROK	\N	\N
3553062	686	1996-03-31	PRIJEM	\N	89	15254	UROK	\N	\N
3553063	686	1996-04-30	PRIJEM	\N	75	17577	UROK	\N	\N
3553064	686	1996-05-31	PRIJEM	\N	81	17606	UROK	\N	\N
3553065	686	1996-06-30	PRIJEM	\N	97	23018	UROK	\N	\N
3553066	686	1996-07-31	PRIJEM	\N	105	24472	UROK	\N	\N
3553067	686	1996-08-31	PRIJEM	\N	104	19644	UROK	\N	\N
3553068	686	1996-09-30	PRIJEM	\N	93	22385	UROK	\N	\N
3553069	686	1996-10-31	PRIJEM	\N	98	22232	UROK	\N	\N
3553070	686	1996-11-30	PRIJEM	\N	94	21074	UROK	\N	\N
3553071	686	1996-12-31	PRIJEM	\N	101	23151	UROK	\N	\N
3553072	686	1997-01-31	PRIJEM	\N	77	15536	UROK	\N	\N
3553073	686	1997-02-28	PRIJEM	\N	61	12645	UROK	\N	\N
3553074	686	1997-03-31	PRIJEM	\N	68	17161	UROK	\N	\N
3553075	686	1997-04-30	PRIJEM	\N	58	10167	UROK	\N	\N
3553076	686	1997-05-31	PRIJEM	\N	57	14672	UROK	\N	\N
3553077	686	1997-06-30	PRIJEM	\N	61	12448	UROK	\N	\N
3553078	686	1997-07-31	PRIJEM	\N	67	16963	UROK	\N	\N
3553079	686	1997-08-31	PRIJEM	\N	62	13073	UROK	\N	\N
3553080	686	1997-09-30	PRIJEM	\N	46	9767	UROK	\N	\N
3553081	686	1997-10-31	PRIJEM	\N	56	14672	UROK	\N	\N
3553082	686	1997-11-30	PRIJEM	\N	54	12174	UROK	\N	\N
3553083	686	1997-12-31	PRIJEM	\N	62	15351	UROK	\N	\N
3553084	686	1998-01-31	PRIJEM	\N	59	13238	UROK	\N	\N
3553085	686	1998-02-28	PRIJEM	\N	69	17755	UROK	\N	\N
3553086	686	1998-03-31	PRIJEM	\N	70	16373	UROK	\N	\N
3553087	686	1998-04-30	PRIJEM	\N	52	11473	UROK	\N	\N
3553088	686	1998-05-31	PRIJEM	\N	47	11469	UROK	\N	\N
3553089	686	1998-06-30	PRIJEM	\N	78	21262	UROK	\N	\N
3553090	686	1998-07-31	PRIJEM	\N	92	23003	UROK	\N	\N
3553091	686	1998-08-31	PRIJEM	\N	92	22143	UROK	\N	\N
3553092	686	1998-09-30	PRIJEM	\N	80	19872	UROK	\N	\N
3553093	686	1998-10-31	PRIJEM	\N	74	18194	UROK	\N	\N
3553094	686	1998-11-30	PRIJEM	\N	79	19921	UROK	\N	\N
3553095	686	1998-12-31	PRIJEM	\N	100	25296	UROK	\N	\N
3553096	687	1996-06-30	PRIJEM	\N	47	20094	UROK	\N	\N
3553097	687	1996-07-31	PRIJEM	\N	123	36648	UROK	\N	\N
3553098	687	1996-08-31	PRIJEM	\N	165	42645	UROK	\N	\N
3553099	687	1996-09-30	PRIJEM	\N	136	45512	UROK	\N	\N
3553100	687	1996-10-31	PRIJEM	\N	156	32019	UROK	\N	\N
3553101	687	1996-11-30	PRIJEM	\N	146	26939	UROK	\N	\N
3553102	687	1996-12-31	PRIJEM	\N	131	25740	UROK	\N	\N
3553103	687	1997-01-31	PRIJEM	\N	94	20209	UROK	\N	\N
3553104	687	1997-02-28	PRIJEM	\N	99	24982	UROK	\N	\N
3553105	687	1997-03-31	PRIJEM	\N	98	22234	UROK	\N	\N
3553106	687	1997-04-30	PRIJEM	\N	105	21414	UROK	\N	\N
3553107	687	1997-05-31	PRIJEM	\N	103	22791	UROK	\N	\N
3553108	687	1997-06-30	PRIJEM	\N	94	15355	UROK	\N	\N
3553109	687	1997-07-31	PRIJEM	\N	77	17306	UROK	\N	\N
3553110	687	1997-08-31	PRIJEM	\N	82	16563	UROK	\N	\N
3553111	687	1997-09-30	PRIJEM	\N	78	14915	UROK	\N	\N
3553112	687	1997-10-31	PRIJEM	\N	73	16663	UROK	\N	\N
3553113	687	1997-11-30	PRIJEM	\N	76	14413	UROK	\N	\N
3553114	687	1997-12-31	PRIJEM	\N	75	14398	UROK	\N	\N
3553115	687	1998-01-31	PRIJEM	\N	68	17321	UROK	\N	\N
3553116	687	1998-02-28	PRIJEM	\N	79	16974	UROK	\N	\N
3553117	687	1998-03-31	PRIJEM	\N	80	17428	UROK	\N	\N
3553118	687	1998-04-30	PRIJEM	\N	79	15981	UROK	\N	\N
3553119	687	1998-05-31	PRIJEM	\N	72	13927	UROK	\N	\N
3553120	687	1998-06-30	PRIJEM	\N	70	14247	UROK	\N	\N
3553121	687	1998-07-31	PRIJEM	\N	66	14387	UROK	\N	\N
3553122	687	1998-08-31	PRIJEM	\N	66	15128	UROK	\N	\N
3553123	687	1998-09-30	PRIJEM	\N	71	17373	UROK	\N	\N
3553124	687	1998-10-31	PRIJEM	\N	81	19929	UROK	\N	\N
3553125	687	1998-11-30	PRIJEM	\N	87	19989	UROK	\N	\N
3553126	687	1998-12-31	PRIJEM	\N	90	19990	UROK	\N	\N
3553127	688	1993-12-31	PRIJEM	\N	15	16079	UROK	\N	\N
3553128	688	1994-01-31	PRIJEM	\N	67	19910	UROK	\N	\N
3553129	688	1994-02-28	PRIJEM	\N	67	23741	UROK	\N	\N
3553130	688	1994-03-31	PRIJEM	\N	75	24180	UROK	\N	\N
3553131	688	1994-04-30	PRIJEM	\N	105	26240	UROK	\N	\N
3553132	688	1994-05-31	PRIJEM	\N	113	26793	UROK	\N	\N
3553133	688	1994-06-30	PRIJEM	\N	94	20907	UROK	\N	\N
3553134	688	1994-07-31	PRIJEM	\N	90	21538	UROK	\N	\N
3553135	688	1994-08-31	PRIJEM	\N	91	21489	UROK	\N	\N
3553136	688	1994-09-30	PRIJEM	\N	95	23924	UROK	\N	\N
3553137	688	1994-10-31	PRIJEM	\N	103	24467	UROK	\N	\N
3553138	688	1994-11-30	PRIJEM	\N	103	23710	UROK	\N	\N
3553139	688	1994-12-31	PRIJEM	\N	106	27106	UROK	\N	\N
3553140	688	1995-01-31	PRIJEM	\N	99	19536	UROK	\N	\N
3553141	688	1995-02-28	PRIJEM	\N	90	23666	UROK	\N	\N
3553142	688	1995-03-31	PRIJEM	\N	102	24608	UROK	\N	\N
3553143	688	1995-04-30	PRIJEM	\N	106	25955	UROK	\N	\N
3553144	688	1995-05-31	PRIJEM	\N	111	26907	UROK	\N	\N
3553145	688	1995-06-30	PRIJEM	\N	109	26546	UROK	\N	\N
3553146	688	1995-07-31	PRIJEM	\N	110	25496	UROK	\N	\N
3553147	688	1995-08-31	PRIJEM	\N	115	29232	UROK	\N	\N
3553148	688	1995-09-30	PRIJEM	\N	118	27890	UROK	\N	\N
3553149	688	1995-10-31	PRIJEM	\N	120	28590	UROK	\N	\N
3553150	688	1995-11-30	PRIJEM	\N	114	26405	UROK	\N	\N
3553151	688	1995-12-31	PRIJEM	\N	112	27157	UROK	\N	\N
3553152	688	1996-01-31	PRIJEM	\N	109	24766	UROK	\N	\N
3553153	688	1996-02-29	PRIJEM	\N	110	26587	UROK	\N	\N
3553154	688	1996-03-31	PRIJEM	\N	110	26338	UROK	\N	\N
3553155	688	1996-04-30	PRIJEM	\N	116	28894	UROK	\N	\N
3553156	688	1996-05-31	PRIJEM	\N	126	31161	UROK	\N	\N
3553157	688	1996-06-30	PRIJEM	\N	127	27908	UROK	\N	\N
3553158	688	1996-07-31	PRIJEM	\N	119	28817	UROK	\N	\N
3553159	688	1996-08-31	PRIJEM	\N	124	29551	UROK	\N	\N
3553160	688	1996-09-30	PRIJEM	\N	128	31419	UROK	\N	\N
3553161	688	1996-10-31	PRIJEM	\N	135	32964	UROK	\N	\N
3553162	688	1996-11-30	PRIJEM	\N	140	33755	UROK	\N	\N
3553163	688	1996-12-31	PRIJEM	\N	131	30526	UROK	\N	\N
3553164	688	1997-01-31	PRIJEM	\N	110	24626	UROK	\N	\N
3553165	688	1997-02-28	PRIJEM	\N	96	22323	UROK	\N	\N
3553166	688	1997-03-31	PRIJEM	\N	101	25264	UROK	\N	\N
3553167	688	1997-04-30	PRIJEM	\N	105	25709	UROK	\N	\N
3553168	688	1997-05-31	PRIJEM	\N	105	24604	UROK	\N	\N
3553169	688	1997-06-30	PRIJEM	\N	80	17495	UROK	\N	\N
3553170	688	1997-07-31	PRIJEM	\N	83	21119	UROK	\N	\N
3553171	688	1997-08-31	PRIJEM	\N	92	22671	UROK	\N	\N
3553172	688	1997-09-30	PRIJEM	\N	85	19946	UROK	\N	\N
3553173	688	1997-10-31	PRIJEM	\N	85	21072	UROK	\N	\N
3553174	688	1997-11-30	PRIJEM	\N	96	23908	UROK	\N	\N
3553175	688	1997-12-31	PRIJEM	\N	81	18539	UROK	\N	\N
3553176	688	1998-01-31	PRIJEM	\N	63	14602	UROK	\N	\N
3553177	688	1998-02-28	PRIJEM	\N	61	15204	UROK	\N	\N
3553178	688	1998-03-31	PRIJEM	\N	61	15205	UROK	\N	\N
3553179	688	1998-04-30	PRIJEM	\N	60	14566	UROK	\N	\N
3553180	688	1998-05-31	PRIJEM	\N	60	14846	UROK	\N	\N
3553181	688	1998-06-30	PRIJEM	\N	68	17254	UROK	\N	\N
3553182	688	1998-07-31	PRIJEM	\N	61	14656	UROK	\N	\N
3553183	688	1998-08-31	PRIJEM	\N	62	15758	UROK	\N	\N
3553184	688	1998-09-30	PRIJEM	\N	61	15480	UROK	\N	\N
3553185	688	1998-10-31	PRIJEM	\N	65	16305	UROK	\N	\N
3553186	688	1998-11-30	PRIJEM	\N	66	16322	UROK	\N	\N
3553187	688	1998-12-31	PRIJEM	\N	67	16819	UROK	\N	\N
3553188	689	1996-05-31	PRIJEM	\N	33	30250	UROK	\N	\N
3553189	689	1996-06-30	PRIJEM	\N	140	42701	UROK	\N	\N
3553190	689	1996-07-31	PRIJEM	\N	187	47955	UROK	\N	\N
3553191	689	1996-08-31	PRIJEM	\N	318	106825	UROK	\N	\N
3553192	689	1996-09-30	PRIJEM	\N	276	41876	UROK	\N	\N
3553193	689	1996-10-31	PRIJEM	\N	162	43946	UROK	\N	\N
3553194	689	1996-11-30	PRIJEM	\N	192	59311	UROK	\N	\N
3553195	689	1996-12-31	PRIJEM	\N	237	29327	UROK	\N	\N
3553196	689	1997-01-31	PRIJEM	\N	94	19568	UROK	\N	\N
3553197	689	1997-02-28	PRIJEM	\N	80	22624	UROK	\N	\N
3553198	689	1997-03-31	PRIJEM	\N	221	87567	UROK	\N	\N
3553199	689	1997-04-30	PRIJEM	\N	299	52241	UROK	\N	\N
3553200	689	1997-05-31	PRIJEM	\N	146	29480	UROK	\N	\N
3553201	689	1997-06-30	PRIJEM	\N	164	36162	UROK	\N	\N
3553202	689	1997-07-31	PRIJEM	\N	157	57349	UROK	\N	\N
3553203	689	1997-08-31	PRIJEM	\N	196	23337	UROK	\N	\N
3553204	689	1997-09-30	PRIJEM	\N	175	103575	UROK	\N	\N
3553205	689	1997-10-31	PRIJEM	\N	338	69572	UROK	\N	\N
3553206	689	1997-11-30	PRIJEM	\N	227	38833	UROK	\N	\N
3553207	689	1997-12-31	PRIJEM	\N	125	22433	UROK	\N	\N
3553208	689	1998-01-31	PRIJEM	\N	226	75134	UROK	\N	\N
3553209	689	1998-02-28	PRIJEM	\N	280	53530	UROK	\N	\N
3553210	689	1998-03-31	PRIJEM	\N	211	39671	UROK	\N	\N
3553211	689	1998-04-30	PRIJEM	\N	177	44602	UROK	\N	\N
3553212	689	1998-05-31	PRIJEM	\N	121	55880	UROK	\N	\N
3553213	689	1998-06-30	PRIJEM	\N	272	41506	UROK	\N	\N
3553214	689	1998-07-31	PRIJEM	\N	169	84298	UROK	\N	\N
3553215	689	1998-08-31	PRIJEM	\N	296	93876	UROK	\N	\N
3553216	689	1998-09-30	PRIJEM	\N	406	113159	UROK	\N	\N
3553217	689	1998-10-31	PRIJEM	\N	248	49059	UROK	\N	\N
3553218	689	1998-11-30	PRIJEM	\N	184	36818	UROK	\N	\N
3553219	689	1998-12-31	PRIJEM	\N	172	47242	UROK	\N	\N
3553220	690	1996-08-31	PRIJEM	\N	66	22525	UROK	\N	\N
3553221	690	1996-09-30	PRIJEM	\N	119	30803	UROK	\N	\N
3553222	690	1996-10-31	PRIJEM	\N	143	35805	UROK	\N	\N
3553223	690	1996-11-30	PRIJEM	\N	156	38221	UROK	\N	\N
3553224	690	1996-12-31	PRIJEM	\N	151	32027	UROK	\N	\N
3553225	690	1997-01-31	PRIJEM	\N	91	13811	UROK	\N	\N
3553226	690	1997-02-28	PRIJEM	\N	106	28109	UROK	\N	\N
3553227	690	1997-03-31	PRIJEM	\N	109	25310	UROK	\N	\N
3553228	690	1997-04-30	PRIJEM	\N	107	25410	UROK	\N	\N
3553229	690	1997-05-31	PRIJEM	\N	109	24811	UROK	\N	\N
3553230	690	1997-06-30	PRIJEM	\N	132	21245	UROK	\N	\N
3553231	690	1997-07-31	PRIJEM	\N	134	34271	UROK	\N	\N
3553232	690	1997-08-31	PRIJEM	\N	151	36214	UROK	\N	\N
3553233	690	1997-09-30	PRIJEM	\N	151	32597	UROK	\N	\N
3553234	690	1997-10-31	PRIJEM	\N	147	35637	UROK	\N	\N
3553235	690	1997-11-30	PRIJEM	\N	143	33672	UROK	\N	\N
3553236	690	1997-12-31	PRIJEM	\N	173	44606	UROK	\N	\N
3553237	690	1998-01-31	PRIJEM	\N	100	13739	UROK	\N	\N
3553238	690	1998-02-28	PRIJEM	\N	92	25523	UROK	\N	\N
3553239	690	1998-03-31	PRIJEM	\N	104	24419	UROK	\N	\N
3553240	690	1998-04-30	PRIJEM	\N	137	36249	UROK	\N	\N
3553241	690	1998-05-31	PRIJEM	\N	121	26862	UROK	\N	\N
3553242	690	1998-06-30	PRIJEM	\N	176	48159	UROK	\N	\N
3553243	690	1998-07-31	PRIJEM	\N	130	26681	UROK	\N	\N
3553244	690	1998-08-31	PRIJEM	\N	147	38520	UROK	\N	\N
3553245	690	1998-09-30	PRIJEM	\N	196	50408	UROK	\N	\N
3553246	690	1998-10-31	PRIJEM	\N	227	16127	UROK	\N	\N
3553247	690	1998-11-30	PRIJEM	\N	102	27922	UROK	\N	\N
3553248	690	1998-12-31	PRIJEM	\N	172	45055	UROK	\N	\N
3553249	691	1996-03-31	PRIJEM	\N	15	11428	UROK	\N	\N
3553250	691	1996-04-30	PRIJEM	\N	62	21503	UROK	\N	\N
3553251	691	1996-05-31	PRIJEM	\N	93	23708	UROK	\N	\N
3553252	691	1996-06-30	PRIJEM	\N	96	22225	UROK	\N	\N
3553253	691	1996-07-31	PRIJEM	\N	93	22831	UROK	\N	\N
3553254	691	1996-08-31	PRIJEM	\N	90	19177	UROK	\N	\N
3553255	691	1996-09-30	PRIJEM	\N	76	16709	UROK	\N	\N
3553256	691	1996-10-31	PRIJEM	\N	70	16536	UROK	\N	\N
3553257	691	1996-11-30	PRIJEM	\N	64	13957	UROK	\N	\N
3553258	691	1996-12-31	PRIJEM	\N	55	11675	UROK	\N	\N
3553259	691	1997-01-31	PRIJEM	\N	52	12543	UROK	\N	\N
3553260	691	1997-02-28	PRIJEM	\N	56	14256	UROK	\N	\N
3553261	691	1997-03-31	PRIJEM	\N	63	15975	UROK	\N	\N
3553262	691	1997-04-30	PRIJEM	\N	70	17702	UROK	\N	\N
3553263	691	1997-05-31	PRIJEM	\N	63	12421	UROK	\N	\N
3553264	691	1997-06-30	PRIJEM	\N	51	11735	UROK	\N	\N
3553265	691	1997-07-31	PRIJEM	\N	49	11740	UROK	\N	\N
3553266	691	1997-08-31	PRIJEM	\N	53	13450	UROK	\N	\N
3553267	691	1997-09-30	PRIJEM	\N	60	15166	UROK	\N	\N
3553268	691	1997-10-31	PRIJEM	\N	67	16889	UROK	\N	\N
3553269	691	1997-11-30	PRIJEM	\N	74	18619	UROK	\N	\N
3553270	691	1997-12-31	PRIJEM	\N	85	21427	UROK	\N	\N
3553271	691	1998-01-31	PRIJEM	\N	72	13795	UROK	\N	\N
3553272	691	1998-02-28	PRIJEM	\N	61	15513	UROK	\N	\N
3553273	691	1998-03-31	PRIJEM	\N	68	17237	UROK	\N	\N
3553274	691	1998-04-30	PRIJEM	\N	75	18969	UROK	\N	\N
3553275	691	1998-05-31	PRIJEM	\N	79	20105	UROK	\N	\N
3553276	691	1998-06-30	PRIJEM	\N	93	24361	UROK	\N	\N
3553277	691	1998-07-31	PRIJEM	\N	99	25277	UROK	\N	\N
3553278	691	1998-08-31	PRIJEM	\N	90	22223	UROK	\N	\N
3553279	691	1998-09-30	PRIJEM	\N	96	23975	UROK	\N	\N
3553280	691	1998-10-31	PRIJEM	\N	100	21651	UROK	\N	\N
3553281	691	1998-11-30	PRIJEM	\N	86	22194	UROK	\N	\N
3553282	691	1998-12-31	PRIJEM	\N	99	22456	UROK	\N	\N
3553283	692	1996-10-31	PRIJEM	\N	52	18623	UROK	\N	\N
3553284	692	1996-11-30	PRIJEM	\N	144	42538	UROK	\N	\N
3553285	692	1996-12-31	PRIJEM	\N	228	61722	UROK	\N	\N
3553286	692	1997-01-31	PRIJEM	\N	167	39459	UROK	\N	\N
3553287	692	1997-02-28	PRIJEM	\N	200	52928	UROK	\N	\N
3553288	692	1997-03-31	PRIJEM	\N	215	51696	UROK	\N	\N
3553289	692	1997-04-30	PRIJEM	\N	174	44703	UROK	\N	\N
3553290	692	1997-05-31	PRIJEM	\N	156	27893	UROK	\N	\N
3553291	692	1997-06-30	PRIJEM	\N	155	16847	UROK	\N	\N
3553292	692	1997-07-31	PRIJEM	\N	104	20704	UROK	\N	\N
3553293	692	1997-08-31	PRIJEM	\N	112	18690	UROK	\N	\N
3553294	692	1997-09-30	PRIJEM	\N	107	17450	UROK	\N	\N
3553295	692	1997-10-31	PRIJEM	\N	101	16104	UROK	\N	\N
3553296	692	1997-11-30	PRIJEM	\N	90	14108	UROK	\N	\N
3553297	692	1997-12-31	PRIJEM	\N	107	18553	UROK	\N	\N
3553298	692	1998-01-31	PRIJEM	\N	82	13688	UROK	\N	\N
3553299	692	1998-02-28	PRIJEM	\N	82	19344	UROK	\N	\N
3553300	692	1998-03-31	PRIJEM	\N	104	15301	UROK	\N	\N
3553301	692	1998-04-30	PRIJEM	\N	89	14744	UROK	\N	\N
3553302	692	1998-05-31	PRIJEM	\N	85	12982	UROK	\N	\N
3553303	692	1998-06-30	PRIJEM	\N	96	14816	UROK	\N	\N
3553304	692	1998-07-31	PRIJEM	\N	84	13953	UROK	\N	\N
3553305	692	1998-08-31	PRIJEM	\N	79	13386	UROK	\N	\N
3553306	692	1998-09-30	PRIJEM	\N	77	13815	UROK	\N	\N
3553307	692	1998-10-31	PRIJEM	\N	76	13045	UROK	\N	\N
3553308	692	1998-11-30	PRIJEM	\N	72	12270	UROK	\N	\N
3553309	692	1998-12-31	PRIJEM	\N	82	13090	UROK	\N	\N
3553310	693	1994-07-31	PRIJEM	\N	81	23304	UROK	\N	\N
3553311	693	1994-08-31	PRIJEM	\N	140	35267	UROK	\N	\N
3553312	693	1994-09-30	PRIJEM	\N	193	48183	UROK	\N	\N
3553313	693	1994-10-31	PRIJEM	\N	214	52020	UROK	\N	\N
3553314	693	1994-11-30	PRIJEM	\N	207	47641	UROK	\N	\N
3553315	693	1994-12-31	PRIJEM	\N	237	56649	UROK	\N	\N
3553316	693	1995-01-31	PRIJEM	\N	165	21693	UROK	\N	\N
3553317	693	1995-02-28	PRIJEM	\N	147	37019	UROK	\N	\N
3553318	693	1995-03-31	PRIJEM	\N	163	36961	UROK	\N	\N
3553319	693	1995-04-30	PRIJEM	\N	185	45125	UROK	\N	\N
3553320	693	1995-05-31	PRIJEM	\N	207	50111	UROK	\N	\N
3553321	693	1995-06-30	PRIJEM	\N	251	61653	UROK	\N	\N
3553322	693	1995-07-31	PRIJEM	\N	236	55769	UROK	\N	\N
3553323	693	1995-08-31	PRIJEM	\N	224	41972	UROK	\N	\N
3553324	693	1995-09-30	PRIJEM	\N	198	41149	UROK	\N	\N
3553325	693	1995-10-31	PRIJEM	\N	199	36967	UROK	\N	\N
3553326	693	1995-11-30	PRIJEM	\N	187	37233	UROK	\N	\N
3553327	693	1995-12-31	PRIJEM	\N	209	40993	UROK	\N	\N
3553328	693	1996-01-31	PRIJEM	\N	176	32888	UROK	\N	\N
3553329	693	1996-02-29	PRIJEM	\N	161	33509	UROK	\N	\N
3553330	693	1996-03-31	PRIJEM	\N	172	37660	UROK	\N	\N
3553331	693	1996-04-30	PRIJEM	\N	186	37826	UROK	\N	\N
3553332	693	1996-05-31	PRIJEM	\N	187	40093	UROK	\N	\N
3553333	693	1996-06-30	PRIJEM	\N	125	25968	UROK	\N	\N
3553334	693	1996-07-31	PRIJEM	\N	142	33589	UROK	\N	\N
3553335	693	1996-08-31	PRIJEM	\N	163	36992	UROK	\N	\N
3553336	693	1996-09-30	PRIJEM	\N	179	38150	UROK	\N	\N
3553337	693	1996-10-31	PRIJEM	\N	182	38112	UROK	\N	\N
3553338	693	1996-11-30	PRIJEM	\N	164	32375	UROK	\N	\N
3553339	693	1996-12-31	PRIJEM	\N	183	38888	UROK	\N	\N
3553340	693	1997-01-31	PRIJEM	\N	136	24584	UROK	\N	\N
3553341	693	1997-02-28	PRIJEM	\N	129	29592	UROK	\N	\N
3553342	693	1997-03-31	PRIJEM	\N	143	29815	UROK	\N	\N
3553343	693	1997-04-30	PRIJEM	\N	143	28537	UROK	\N	\N
3553344	693	1997-05-31	PRIJEM	\N	136	25532	UROK	\N	\N
3553345	693	1997-06-30	PRIJEM	\N	63	15765	UROK	\N	\N
3553346	693	1997-07-31	PRIJEM	\N	74	15698	UROK	\N	\N
3553347	693	1997-08-31	PRIJEM	\N	89	20267	UROK	\N	\N
3553348	693	1997-09-30	PRIJEM	\N	108	25155	UROK	\N	\N
3553349	693	1997-10-31	PRIJEM	\N	103	20697	UROK	\N	\N
3553350	693	1997-11-30	PRIJEM	\N	99	20275	UROK	\N	\N
3553351	693	1997-12-31	PRIJEM	\N	109	22555	UROK	\N	\N
3553352	693	1998-01-31	PRIJEM	\N	93	17547	UROK	\N	\N
3553353	693	1998-02-28	PRIJEM	\N	83	17009	UROK	\N	\N
3553354	693	1998-03-31	PRIJEM	\N	79	14767	UROK	\N	\N
3553355	693	1998-04-30	PRIJEM	\N	96	26143	UROK	\N	\N
3553356	693	1998-05-31	PRIJEM	\N	112	21914	UROK	\N	\N
3553357	693	1998-06-30	PRIJEM	\N	111	22316	UROK	\N	\N
3553358	693	1998-07-31	PRIJEM	\N	102	22497	UROK	\N	\N
3553359	693	1998-08-31	PRIJEM	\N	92	18768	UROK	\N	\N
3553360	693	1998-09-30	PRIJEM	\N	84	18732	UROK	\N	\N
3553361	693	1998-10-31	PRIJEM	\N	75	15286	UROK	\N	\N
3553362	693	1998-11-30	PRIJEM	\N	69	15834	UROK	\N	\N
3553363	693	1998-12-31	PRIJEM	\N	82	18207	UROK	\N	\N
3553364	694	1996-09-30	PRIJEM	\N	17	6835	UROK	\N	\N
3553365	694	1996-10-31	PRIJEM	\N	28	13181	UROK	\N	\N
3553366	694	1996-11-30	PRIJEM	\N	28	19528	UROK	\N	\N
3553367	694	1996-12-31	PRIJEM	\N	28	25874	UROK	\N	\N
3553368	694	1997-01-31	PRIJEM	\N	88	30280	UROK	\N	\N
3553369	694	1997-02-28	PRIJEM	\N	123	29931	UROK	\N	\N
3553370	694	1997-03-31	PRIJEM	\N	133	33271	UROK	\N	\N
3553371	694	1997-04-30	PRIJEM	\N	142	35421	UROK	\N	\N
3553372	694	1997-05-31	PRIJEM	\N	130	32058	UROK	\N	\N
3553373	694	1997-06-30	PRIJEM	\N	122	29338	UROK	\N	\N
3553374	694	1997-07-31	PRIJEM	\N	122	26727	UROK	\N	\N
3553375	694	1997-08-31	PRIJEM	\N	115	22869	UROK	\N	\N
3553376	694	1997-09-30	PRIJEM	\N	103	26180	UROK	\N	\N
3553377	694	1997-10-31	PRIJEM	\N	117	28604	UROK	\N	\N
3553378	694	1997-11-30	PRIJEM	\N	127	31638	UROK	\N	\N
3553379	694	1997-12-31	PRIJEM	\N	137	30983	UROK	\N	\N
3553380	694	1998-01-31	PRIJEM	\N	116	29166	UROK	\N	\N
3553381	694	1998-02-28	PRIJEM	\N	122	30495	UROK	\N	\N
3553382	694	1998-03-31	PRIJEM	\N	129	27991	UROK	\N	\N
3553383	694	1998-04-30	PRIJEM	\N	124	31323	UROK	\N	\N
3553384	694	1998-05-31	PRIJEM	\N	138	34268	UROK	\N	\N
3553385	694	1998-06-30	PRIJEM	\N	143	31719	UROK	\N	\N
3553386	694	1998-07-31	PRIJEM	\N	135	33341	UROK	\N	\N
3553387	694	1998-08-31	PRIJEM	\N	145	34393	UROK	\N	\N
3553388	694	1998-09-30	PRIJEM	\N	150	36450	UROK	\N	\N
3553389	694	1998-10-31	PRIJEM	\N	159	39317	UROK	\N	\N
3553390	694	1998-11-30	PRIJEM	\N	168	39692	UROK	\N	\N
3553391	694	1998-12-31	PRIJEM	\N	170	42169	UROK	\N	\N
3553392	695	1996-05-31	PRIJEM	\N	36	24658	UROK	\N	\N
3553393	695	1996-06-30	PRIJEM	\N	127	40568	UROK	\N	\N
3553394	695	1996-07-31	PRIJEM	\N	174	43964	UROK	\N	\N
3553395	695	1996-08-31	PRIJEM	\N	188	47274	UROK	\N	\N
3553396	695	1996-09-30	PRIJEM	\N	199	45180	UROK	\N	\N
3553397	695	1996-10-31	PRIJEM	\N	188	41559	UROK	\N	\N
3553398	695	1996-11-30	PRIJEM	\N	174	39225	UROK	\N	\N
3553399	695	1996-12-31	PRIJEM	\N	170	38647	UROK	\N	\N
3553400	695	1997-01-31	PRIJEM	\N	174	27713	UROK	\N	\N
3553401	695	1997-02-28	PRIJEM	\N	124	30928	UROK	\N	\N
3553402	695	1997-03-31	PRIJEM	\N	163	33783	UROK	\N	\N
3553403	695	1997-04-30	PRIJEM	\N	151	37125	UROK	\N	\N
3553404	695	1997-05-31	PRIJEM	\N	184	39401	UROK	\N	\N
3553405	695	1997-06-30	PRIJEM	\N	179	41932	UROK	\N	\N
3553406	695	1997-07-31	PRIJEM	\N	177	42601	UROK	\N	\N
3553407	695	1997-08-31	PRIJEM	\N	185	37178	UROK	\N	\N
3553408	695	1997-09-30	PRIJEM	\N	129	26498	UROK	\N	\N
3553409	695	1997-10-31	PRIJEM	\N	99	20988	UROK	\N	\N
3553410	695	1997-11-30	PRIJEM	\N	78	16557	UROK	\N	\N
3553411	695	1997-12-31	PRIJEM	\N	80	19289	UROK	\N	\N
3553412	695	1998-01-31	PRIJEM	\N	72	14052	UROK	\N	\N
3553413	695	1998-02-28	PRIJEM	\N	68	15511	UROK	\N	\N
3553414	695	1998-03-31	PRIJEM	\N	65	11467	UROK	\N	\N
3553415	695	1998-04-30	PRIJEM	\N	48	10507	UROK	\N	\N
3553416	695	1998-05-31	PRIJEM	\N	43	9241	UROK	\N	\N
3553417	695	1998-06-30	PRIJEM	\N	51	8644	UROK	\N	\N
3553418	695	1998-07-31	PRIJEM	\N	28	4664	UROK	\N	\N
3553419	695	1998-08-31	PRIJEM	\N	36	8191	UROK	\N	\N
3553420	695	1998-09-30	PRIJEM	\N	50	11032	UROK	\N	\N
3553421	695	1998-10-31	PRIJEM	\N	53	10676	UROK	\N	\N
3553422	695	1998-11-30	PRIJEM	\N	57	11924	UROK	\N	\N
3553423	695	1998-12-31	PRIJEM	\N	76	16752	UROK	\N	\N
3553424	696	1998-02-28	PRIJEM	\N	69	20981	UROK	\N	\N
3553425	696	1998-03-31	PRIJEM	\N	105	26890	UROK	\N	\N
3553426	696	1998-04-30	PRIJEM	\N	129	32143	UROK	\N	\N
3553427	696	1998-05-31	PRIJEM	\N	147	36401	UROK	\N	\N
3553428	696	1998-06-30	PRIJEM	\N	135	31446	UROK	\N	\N
3553429	696	1998-07-31	PRIJEM	\N	148	36905	UROK	\N	\N
3553430	696	1998-08-31	PRIJEM	\N	172	42187	UROK	\N	\N
3553431	696	1998-09-30	PRIJEM	\N	193	47690	UROK	\N	\N
3553432	696	1998-10-31	PRIJEM	\N	216	53217	UROK	\N	\N
3553433	696	1998-11-30	PRIJEM	\N	231	53858	UROK	\N	\N
3553434	696	1998-12-31	PRIJEM	\N	235	56103	UROK	\N	\N
3553435	697	1993-03-31	PRIJEM	\N	23	24290	UROK	\N	\N
3553436	697	1993-04-30	PRIJEM	\N	114	37971	UROK	\N	\N
3553437	697	1993-05-31	PRIJEM	\N	160	39998	UROK	\N	\N
3553438	697	1993-06-30	PRIJEM	\N	178	50676	UROK	\N	\N
3553439	697	1993-07-31	PRIJEM	\N	207	47550	UROK	\N	\N
3553440	697	1993-08-31	PRIJEM	\N	219	46150	UROK	\N	\N
3553441	697	1993-09-30	PRIJEM	\N	212	44942	UROK	\N	\N
3553442	697	1993-10-31	PRIJEM	\N	190	38692	UROK	\N	\N
3553443	697	1993-11-30	PRIJEM	\N	173	35225	UROK	\N	\N
3553444	697	1993-12-31	PRIJEM	\N	183	39583	UROK	\N	\N
3553445	697	1994-01-31	PRIJEM	\N	165	35648	UROK	\N	\N
3553446	697	1994-02-28	PRIJEM	\N	167	37095	UROK	\N	\N
3553447	697	1994-03-31	PRIJEM	\N	157	36172	UROK	\N	\N
3553448	697	1994-04-30	PRIJEM	\N	172	38824	UROK	\N	\N
3553449	697	1994-05-31	PRIJEM	\N	179	39083	UROK	\N	\N
3553450	697	1994-06-30	PRIJEM	\N	180	37657	UROK	\N	\N
3553451	697	1994-07-31	PRIJEM	\N	181	42718	UROK	\N	\N
3553452	697	1994-08-31	PRIJEM	\N	190	44269	UROK	\N	\N
3553453	697	1994-09-30	PRIJEM	\N	192	43142	UROK	\N	\N
3553454	697	1994-10-31	PRIJEM	\N	193	44815	UROK	\N	\N
3553455	697	1994-11-30	PRIJEM	\N	196	45391	UROK	\N	\N
3553456	697	1994-12-31	PRIJEM	\N	209	44714	UROK	\N	\N
3553457	697	1995-01-31	PRIJEM	\N	170	33985	UROK	\N	\N
3553458	697	1995-02-28	PRIJEM	\N	155	37920	UROK	\N	\N
3553459	697	1995-03-31	PRIJEM	\N	175	41975	UROK	\N	\N
3553460	697	1995-04-30	PRIJEM	\N	191	46345	UROK	\N	\N
3553461	697	1995-05-31	PRIJEM	\N	194	44820	UROK	\N	\N
3553462	697	1995-06-30	PRIJEM	\N	203	21477	UROK	\N	\N
3553463	697	1995-07-31	PRIJEM	\N	125	34482	UROK	\N	\N
3553464	697	1995-08-31	PRIJEM	\N	163	41325	UROK	\N	\N
3553465	697	1995-09-30	PRIJEM	\N	213	47519	UROK	\N	\N
3553466	697	1995-10-31	PRIJEM	\N	239	48038	UROK	\N	\N
3553467	697	1995-11-30	PRIJEM	\N	223	57842	UROK	\N	\N
3553468	697	1995-12-31	PRIJEM	\N	292	75928	UROK	\N	\N
3553469	697	1996-01-31	PRIJEM	\N	273	64121	UROK	\N	\N
3553470	697	1996-02-29	PRIJEM	\N	257	62758	UROK	\N	\N
3553471	697	1996-03-31	PRIJEM	\N	254	61733	UROK	\N	\N
3553472	697	1996-04-30	PRIJEM	\N	254	62768	UROK	\N	\N
3553473	697	1996-05-31	PRIJEM	\N	265	66013	UROK	\N	\N
3553474	697	1996-06-30	PRIJEM	\N	290	54037	UROK	\N	\N
3553475	697	1996-07-31	PRIJEM	\N	241	61358	UROK	\N	\N
3553476	697	1996-08-31	PRIJEM	\N	270	68308	UROK	\N	\N
3553477	697	1996-09-30	PRIJEM	\N	288	71877	UROK	\N	\N
3553478	697	1996-10-31	PRIJEM	\N	296	70273	UROK	\N	\N
3553479	697	1996-11-30	PRIJEM	\N	300	75054	UROK	\N	\N
3553480	697	1996-12-31	PRIJEM	\N	344	86951	UROK	\N	\N
3553481	697	1997-01-31	PRIJEM	\N	336	76827	UROK	\N	\N
3553482	697	1997-02-28	PRIJEM	\N	312	76720	UROK	\N	\N
3553483	697	1997-03-31	PRIJEM	\N	323	80323	UROK	\N	\N
3553484	697	1997-04-30	PRIJEM	\N	316	74299	UROK	\N	\N
3553485	697	1997-05-31	PRIJEM	\N	302	74382	UROK	\N	\N
3553486	697	1997-06-30	PRIJEM	\N	206	57222	UROK	\N	\N
3553487	697	1997-07-31	PRIJEM	\N	249	63552	UROK	\N	\N
3553488	697	1997-08-31	PRIJEM	\N	277	71109	UROK	\N	\N
3553489	697	1997-09-30	PRIJEM	\N	263	67072	UROK	\N	\N
3553490	697	1997-10-31	PRIJEM	\N	276	51328	UROK	\N	\N
3553491	697	1997-11-30	PRIJEM	\N	247	53855	UROK	\N	\N
3553492	697	1997-12-31	PRIJEM	\N	282	57311	UROK	\N	\N
3553493	697	1998-01-31	PRIJEM	\N	244	47336	UROK	\N	\N
3553494	697	1998-02-28	PRIJEM	\N	231	54347	UROK	\N	\N
3553495	697	1998-03-31	PRIJEM	\N	261	59688	UROK	\N	\N
3553496	697	1998-04-30	PRIJEM	\N	280	60949	UROK	\N	\N
3553497	697	1998-05-31	PRIJEM	\N	280	64349	UROK	\N	\N
3553498	697	1998-06-30	PRIJEM	\N	325	72049	UROK	\N	\N
3553499	697	1998-07-31	PRIJEM	\N	315	67644	UROK	\N	\N
3553500	697	1998-08-31	PRIJEM	\N	311	72835	UROK	\N	\N
3553501	697	1998-09-30	PRIJEM	\N	331	78046	UROK	\N	\N
3553502	697	1998-10-31	PRIJEM	\N	347	77874	UROK	\N	\N
3553503	697	1998-11-30	PRIJEM	\N	342	74796	UROK	\N	\N
3553504	697	1998-12-31	PRIJEM	\N	374	99804	UROK	\N	\N
3553505	698	1996-10-31	PRIJEM	\N	7	18443	UROK	\N	\N
3553506	698	1996-11-30	PRIJEM	\N	82	30061	UROK	\N	\N
3553507	698	1996-12-31	PRIJEM	\N	130	38745	UROK	\N	\N
3553508	698	1997-01-31	PRIJEM	\N	160	37140	UROK	\N	\N
3553509	698	1997-02-28	PRIJEM	\N	160	37477	UROK	\N	\N
3553510	698	1997-03-31	PRIJEM	\N	170	32311	UROK	\N	\N
3553511	698	1997-04-30	PRIJEM	\N	153	34409	UROK	\N	\N
3553512	698	1997-05-31	PRIJEM	\N	160	33613	UROK	\N	\N
3553513	698	1997-06-30	PRIJEM	\N	155	16690	UROK	\N	\N
3553514	698	1997-07-31	PRIJEM	\N	91	24226	UROK	\N	\N
3553515	698	1997-08-31	PRIJEM	\N	121	30592	UROK	\N	\N
3553516	698	1997-09-30	PRIJEM	\N	143	32880	UROK	\N	\N
3553517	698	1997-10-31	PRIJEM	\N	156	38180	UROK	\N	\N
3553518	698	1997-11-30	PRIJEM	\N	172	38496	UROK	\N	\N
3553519	698	1997-12-31	PRIJEM	\N	173	39851	UROK	\N	\N
3553520	698	1998-01-31	PRIJEM	\N	132	27047	UROK	\N	\N
3553521	698	1998-02-28	PRIJEM	\N	135	37427	UROK	\N	\N
3553522	698	1998-03-31	PRIJEM	\N	174	42946	UROK	\N	\N
3553523	698	1998-04-30	PRIJEM	\N	191	43681	UROK	\N	\N
3553524	698	1998-05-31	PRIJEM	\N	193	44419	UROK	\N	\N
3553525	698	1998-06-30	PRIJEM	\N	182	45323	UROK	\N	\N
3553526	698	1998-07-31	PRIJEM	\N	199	46366	UROK	\N	\N
3553527	698	1998-08-31	PRIJEM	\N	199	45410	UROK	\N	\N
3553528	698	1998-09-30	PRIJEM	\N	179	41974	UROK	\N	\N
3553529	698	1998-10-31	PRIJEM	\N	181	41599	UROK	\N	\N
3553530	698	1998-11-30	PRIJEM	\N	173	38716	UROK	\N	\N
3553531	698	1998-12-31	PRIJEM	\N	188	52207	UROK	\N	\N
3553532	700	1994-06-30	PRIJEM	\N	16	6532	UROK	\N	\N
3553533	700	1994-07-31	PRIJEM	\N	62	19838	UROK	\N	\N
3553534	700	1994-08-31	PRIJEM	\N	100	26381	UROK	\N	\N
3553535	700	1994-09-30	PRIJEM	\N	110	27935	UROK	\N	\N
3553536	700	1994-10-31	PRIJEM	\N	124	25958	UROK	\N	\N
3553537	700	1994-11-30	PRIJEM	\N	114	25439	UROK	\N	\N
3553538	700	1994-12-31	PRIJEM	\N	113	25092	UROK	\N	\N
3553539	700	1995-01-31	PRIJEM	\N	98	20357	UROK	\N	\N
3553540	700	1995-02-28	PRIJEM	\N	84	21109	UROK	\N	\N
3553541	700	1995-03-31	PRIJEM	\N	95	23672	UROK	\N	\N
3553542	700	1995-04-30	PRIJEM	\N	92	19531	UROK	\N	\N
3553543	700	1995-05-31	PRIJEM	\N	86	22985	UROK	\N	\N
3553544	700	1995-06-30	PRIJEM	\N	91	18715	UROK	\N	\N
3553545	700	1995-07-31	PRIJEM	\N	84	23967	UROK	\N	\N
3553546	700	1995-08-31	PRIJEM	\N	100	22335	UROK	\N	\N
3553547	700	1995-09-30	PRIJEM	\N	97	21699	UROK	\N	\N
3553548	700	1995-10-31	PRIJEM	\N	90	19757	UROK	\N	\N
3553549	700	1995-11-30	PRIJEM	\N	84	17508	UROK	\N	\N
3553550	700	1995-12-31	PRIJEM	\N	76	15723	UROK	\N	\N
3553551	700	1996-01-31	PRIJEM	\N	59	13249	UROK	\N	\N
3553552	700	1996-02-29	PRIJEM	\N	61	16777	UROK	\N	\N
3553553	700	1996-03-31	PRIJEM	\N	72	15917	UROK	\N	\N
3553554	700	1996-04-30	PRIJEM	\N	68	15252	UROK	\N	\N
3553555	700	1996-05-31	PRIJEM	\N	65	15284	UROK	\N	\N
3553556	700	1996-06-30	PRIJEM	\N	65	12888	UROK	\N	\N
3553557	700	1996-07-31	PRIJEM	\N	55	13211	UROK	\N	\N
3553558	700	1996-08-31	PRIJEM	\N	60	15038	UROK	\N	\N
3553559	700	1996-09-30	PRIJEM	\N	67	16873	UROK	\N	\N
3553560	700	1996-10-31	PRIJEM	\N	71	16411	UROK	\N	\N
3553561	700	1996-11-30	PRIJEM	\N	70	14848	UROK	\N	\N
3553562	700	1996-12-31	PRIJEM	\N	76	20863	UROK	\N	\N
3553563	700	1997-01-31	PRIJEM	\N	83	19214	UROK	\N	\N
3553564	700	1997-02-28	PRIJEM	\N	83	20364	UROK	\N	\N
3553565	700	1997-03-31	PRIJEM	\N	85	19716	UROK	\N	\N
3553566	700	1997-04-30	PRIJEM	\N	85	21368	UROK	\N	\N
3553567	700	1997-05-31	PRIJEM	\N	101	27237	UROK	\N	\N
3553568	700	1997-06-30	PRIJEM	\N	111	25787	UROK	\N	\N
3553569	700	1997-07-31	PRIJEM	\N	104	24558	UROK	\N	\N
3553570	700	1997-08-31	PRIJEM	\N	99	23624	UROK	\N	\N
3553571	700	1997-09-30	PRIJEM	\N	108	28000	UROK	\N	\N
3553572	700	1997-10-31	PRIJEM	\N	110	25177	UROK	\N	\N
3553573	700	1997-11-30	PRIJEM	\N	114	27959	UROK	\N	\N
3553574	700	1997-12-31	PRIJEM	\N	117	28115	UROK	\N	\N
3553575	700	1998-01-31	PRIJEM	\N	111	22293	UROK	\N	\N
3553576	700	1998-02-28	PRIJEM	\N	125	33486	UROK	\N	\N
3553577	700	1998-03-31	PRIJEM	\N	148	35602	UROK	\N	\N
3553578	700	1998-04-30	PRIJEM	\N	159	40428	UROK	\N	\N
3553579	700	1998-05-31	PRIJEM	\N	156	37052	UROK	\N	\N
3553580	700	1998-06-30	PRIJEM	\N	157	34349	UROK	\N	\N
3553581	700	1998-07-31	PRIJEM	\N	164	41180	UROK	\N	\N
3553582	700	1998-08-31	PRIJEM	\N	166	39113	UROK	\N	\N
3553583	700	1998-09-30	PRIJEM	\N	165	40645	UROK	\N	\N
3553584	700	1998-10-31	PRIJEM	\N	170	40682	UROK	\N	\N
3553585	700	1998-11-30	PRIJEM	\N	187	47637	UROK	\N	\N
3553586	700	1998-12-31	PRIJEM	\N	206	51082	UROK	\N	\N
3553587	702	1993-11-30	PRIJEM	\N	45	19132	UROK	\N	\N
3553588	702	1993-12-31	PRIJEM	\N	79	18233	UROK	\N	\N
3553589	702	1994-01-31	PRIJEM	\N	53	10769	UROK	\N	\N
3553590	702	1994-02-28	PRIJEM	\N	48	12209	UROK	\N	\N
3553591	702	1994-03-31	PRIJEM	\N	54	13656	UROK	\N	\N
3553592	702	1994-04-30	PRIJEM	\N	60	15108	UROK	\N	\N
3553593	702	1994-05-31	PRIJEM	\N	63	14324	UROK	\N	\N
3553594	702	1994-06-30	PRIJEM	\N	65	15301	UROK	\N	\N
3553595	702	1994-07-31	PRIJEM	\N	67	16761	UROK	\N	\N
3553596	702	1994-08-31	PRIJEM	\N	73	18226	UROK	\N	\N
3553597	702	1994-09-30	PRIJEM	\N	74	17052	UROK	\N	\N
3553598	702	1994-10-31	PRIJEM	\N	67	15232	UROK	\N	\N
3553599	702	1994-11-30	PRIJEM	\N	67	16691	UROK	\N	\N
3553600	702	1994-12-31	PRIJEM	\N	71	16954	UROK	\N	\N
3553601	702	1995-01-31	PRIJEM	\N	56	11853	UROK	\N	\N
3553602	702	1995-02-28	PRIJEM	\N	52	13298	UROK	\N	\N
3553603	702	1995-03-31	PRIJEM	\N	59	14749	UROK	\N	\N
3553604	702	1995-04-30	PRIJEM	\N	65	16206	UROK	\N	\N
3553605	702	1995-05-31	PRIJEM	\N	71	17669	UROK	\N	\N
3553606	702	1995-06-30	PRIJEM	\N	70	16031	UROK	\N	\N
3553607	702	1995-07-31	PRIJEM	\N	61	13884	UROK	\N	\N
3553608	702	1995-08-31	PRIJEM	\N	61	15338	UROK	\N	\N
3553609	702	1995-09-30	PRIJEM	\N	58	12788	UROK	\N	\N
3553610	702	1995-10-31	PRIJEM	\N	52	12132	UROK	\N	\N
3553611	702	1995-11-30	PRIJEM	\N	54	13578	UROK	\N	\N
3553612	702	1995-12-31	PRIJEM	\N	50	10921	UROK	\N	\N
3553613	702	1996-01-31	PRIJEM	\N	45	10108	UROK	\N	\N
3553614	702	1996-02-29	PRIJEM	\N	45	11545	UROK	\N	\N
3553615	702	1996-03-31	PRIJEM	\N	45	10183	UROK	\N	\N
3553616	702	1996-04-30	PRIJEM	\N	45	11621	UROK	\N	\N
3553617	702	1996-05-31	PRIJEM	\N	51	13064	UROK	\N	\N
3553618	702	1996-06-30	PRIJEM	\N	57	12714	UROK	\N	\N
3553619	702	1996-07-31	PRIJEM	\N	54	13040	UROK	\N	\N
3553620	702	1996-08-31	PRIJEM	\N	57	14489	UROK	\N	\N
3553621	702	1996-09-30	PRIJEM	\N	59	13541	UROK	\N	\N
3553622	702	1996-10-31	PRIJEM	\N	59	14992	UROK	\N	\N
3553623	702	1996-11-30	PRIJEM	\N	65	15150	UROK	\N	\N
3553624	702	1996-12-31	PRIJEM	\N	65	14757	UROK	\N	\N
3553625	702	1997-01-31	PRIJEM	\N	53	11093	UROK	\N	\N
3553626	702	1997-02-28	PRIJEM	\N	49	12534	UROK	\N	\N
3553627	702	1997-03-31	PRIJEM	\N	55	13981	UROK	\N	\N
3553628	702	1997-04-30	PRIJEM	\N	61	15434	UROK	\N	\N
3553629	702	1997-05-31	PRIJEM	\N	67	16893	UROK	\N	\N
3553630	702	1997-06-30	PRIJEM	\N	65	14650	UROK	\N	\N
3553631	702	1997-07-31	PRIJEM	\N	63	14825	UROK	\N	\N
3553632	702	1997-08-31	PRIJEM	\N	64	14982	UROK	\N	\N
3553633	702	1997-09-30	PRIJEM	\N	65	16439	UROK	\N	\N
3553634	702	1997-10-31	PRIJEM	\N	71	15582	UROK	\N	\N
3553635	702	1997-11-30	PRIJEM	\N	63	13657	UROK	\N	\N
3553636	702	1997-12-31	PRIJEM	\N	59	15009	UROK	\N	\N
3553637	702	1998-01-31	PRIJEM	\N	61	14783	UROK	\N	\N
3553638	702	1998-02-28	PRIJEM	\N	63	16238	UROK	\N	\N
3553639	702	1998-03-31	PRIJEM	\N	70	17701	UROK	\N	\N
3553640	702	1998-04-30	PRIJEM	\N	76	19169	UROK	\N	\N
3553641	702	1998-05-31	PRIJEM	\N	79	15640	UROK	\N	\N
3553642	702	1998-06-30	PRIJEM	\N	69	16061	UROK	\N	\N
3553643	702	1998-07-31	PRIJEM	\N	66	12819	UROK	\N	\N
3553644	702	1998-08-31	PRIJEM	\N	55	14267	UROK	\N	\N
3553645	702	1998-09-30	PRIJEM	\N	61	15720	UROK	\N	\N
3553646	702	1998-10-31	PRIJEM	\N	67	15500	UROK	\N	\N
3553647	702	1998-11-30	PRIJEM	\N	66	16958	UROK	\N	\N
3553648	702	1998-12-31	PRIJEM	\N	70	17120	UROK	\N	\N
3553649	703	1998-01-31	PRIJEM	\N	22	13581	UROK	\N	\N
3553650	703	1998-02-28	PRIJEM	\N	69	22009	UROK	\N	\N
3553651	703	1998-03-31	PRIJEM	\N	104	30472	UROK	\N	\N
3553652	703	1998-04-30	PRIJEM	\N	127	30457	UROK	\N	\N
3553653	703	1998-05-31	PRIJEM	\N	128	31444	UROK	\N	\N
3553654	703	1998-06-30	PRIJEM	\N	136	33879	UROK	\N	\N
3553655	703	1998-07-31	PRIJEM	\N	137	31354	UROK	\N	\N
3553656	703	1998-08-31	PRIJEM	\N	131	31123	UROK	\N	\N
3553657	703	1998-09-30	PRIJEM	\N	136	35207	UROK	\N	\N
3553658	703	1998-10-31	PRIJEM	\N	152	37698	UROK	\N	\N
3553659	703	1998-11-30	PRIJEM	\N	151	34787	UROK	\N	\N
3553660	703	1998-12-31	PRIJEM	\N	143	35288	UROK	\N	\N
3553661	704	1993-01-31	PRIJEM	\N	50	18527	UROK	\N	\N
3553662	704	1993-02-28	PRIJEM	\N	89	38993	UROK	\N	\N
3553663	704	1993-03-31	PRIJEM	\N	160	47730	UROK	\N	\N
3553664	704	1993-04-30	PRIJEM	\N	211	52518	UROK	\N	\N
3553665	704	1993-05-31	PRIJEM	\N	232	57626	UROK	\N	\N
3553666	704	1993-06-30	PRIJEM	\N	173	40123	UROK	\N	\N
3553667	704	1993-07-31	PRIJEM	\N	169	36216	UROK	\N	\N
3553668	704	1993-08-31	PRIJEM	\N	183	39324	UROK	\N	\N
3553669	704	1993-09-30	PRIJEM	\N	189	37777	UROK	\N	\N
3553670	704	1993-10-31	PRIJEM	\N	188	40388	UROK	\N	\N
3553671	704	1993-11-30	PRIJEM	\N	197	40989	UROK	\N	\N
3553672	704	1993-12-31	PRIJEM	\N	210	43943	UROK	\N	\N
3553673	704	1994-01-31	PRIJEM	\N	161	27648	UROK	\N	\N
3553674	704	1994-02-28	PRIJEM	\N	145	34117	UROK	\N	\N
3553675	704	1994-03-31	PRIJEM	\N	165	35706	UROK	\N	\N
3553676	704	1994-04-30	PRIJEM	\N	171	38782	UROK	\N	\N
3553677	704	1994-05-31	PRIJEM	\N	187	39894	UROK	\N	\N
3553678	704	1994-06-30	PRIJEM	\N	198	42175	UROK	\N	\N
3553679	704	1994-07-31	PRIJEM	\N	200	43499	UROK	\N	\N
3553680	704	1994-08-31	PRIJEM	\N	200	41624	UROK	\N	\N
3553681	704	1994-09-30	PRIJEM	\N	194	42542	UROK	\N	\N
3553682	704	1994-10-31	PRIJEM	\N	190	39716	UROK	\N	\N
3553683	704	1994-11-30	PRIJEM	\N	182	39323	UROK	\N	\N
3553684	704	1994-12-31	PRIJEM	\N	190	40957	UROK	\N	\N
3553685	704	1995-01-31	PRIJEM	\N	160	25460	UROK	\N	\N
3553686	704	1995-02-28	PRIJEM	\N	128	28033	UROK	\N	\N
3553687	704	1995-03-31	PRIJEM	\N	136	31493	UROK	\N	\N
3553688	704	1995-04-30	PRIJEM	\N	152	35670	UROK	\N	\N
3553689	704	1995-05-31	PRIJEM	\N	162	33776	UROK	\N	\N
3553690	704	1995-06-30	PRIJEM	\N	175	41114	UROK	\N	\N
3553691	704	1995-07-31	PRIJEM	\N	177	37316	UROK	\N	\N
3553692	704	1995-08-31	PRIJEM	\N	159	35559	UROK	\N	\N
3553693	704	1995-09-30	PRIJEM	\N	148	28272	UROK	\N	\N
3553694	704	1995-10-31	PRIJEM	\N	131	30727	UROK	\N	\N
3553695	704	1995-11-30	PRIJEM	\N	129	28081	UROK	\N	\N
3553696	704	1995-12-31	PRIJEM	\N	136	30800	UROK	\N	\N
3553697	704	1996-01-31	PRIJEM	\N	98	18143	UROK	\N	\N
3553698	704	1996-02-29	PRIJEM	\N	93	24859	UROK	\N	\N
3553699	704	1996-03-31	PRIJEM	\N	107	24491	UROK	\N	\N
3553700	704	1996-04-30	PRIJEM	\N	103	23918	UROK	\N	\N
3553701	704	1996-05-31	PRIJEM	\N	105	25247	UROK	\N	\N
3553702	704	1996-06-30	PRIJEM	\N	110	27500	UROK	\N	\N
3553703	704	1996-07-31	PRIJEM	\N	104	23228	UROK	\N	\N
3553704	704	1996-08-31	PRIJEM	\N	98	24450	UROK	\N	\N
3553705	704	1996-09-30	PRIJEM	\N	105	27580	UROK	\N	\N
3553706	704	1996-10-31	PRIJEM	\N	112	22637	UROK	\N	\N
3553707	704	1996-11-30	PRIJEM	\N	118	33579	UROK	\N	\N
3553708	704	1996-12-31	PRIJEM	\N	161	40783	UROK	\N	\N
3553709	704	1997-01-31	PRIJEM	\N	118	25925	UROK	\N	\N
3553710	704	1997-02-28	PRIJEM	\N	120	33669	UROK	\N	\N
3553711	704	1997-03-31	PRIJEM	\N	136	34730	UROK	\N	\N
3553712	704	1997-04-30	PRIJEM	\N	139	35894	UROK	\N	\N
3553713	704	1997-05-31	PRIJEM	\N	132	33050	UROK	\N	\N
3553714	704	1997-06-30	PRIJEM	\N	181	45054	UROK	\N	\N
3553715	704	1997-07-31	PRIJEM	\N	150	36769	UROK	\N	\N
3553716	704	1997-08-31	PRIJEM	\N	124	31817	UROK	\N	\N
3553717	704	1997-09-30	PRIJEM	\N	165	46106	UROK	\N	\N
3553718	704	1997-10-31	PRIJEM	\N	147	35238	UROK	\N	\N
3553719	704	1997-11-30	PRIJEM	\N	122	31844	UROK	\N	\N
3553720	704	1997-12-31	PRIJEM	\N	186	49054	UROK	\N	\N
3553721	704	1998-01-31	PRIJEM	\N	122	19040	UROK	\N	\N
3553722	704	1998-02-28	PRIJEM	\N	109	33274	UROK	\N	\N
3553723	704	1998-03-31	PRIJEM	\N	166	44804	UROK	\N	\N
3553724	704	1998-04-30	PRIJEM	\N	139	35467	UROK	\N	\N
3553725	704	1998-05-31	PRIJEM	\N	179	49771	UROK	\N	\N
3553726	704	1998-06-30	PRIJEM	\N	161	42795	UROK	\N	\N
3553727	704	1998-07-31	PRIJEM	\N	210	57129	UROK	\N	\N
3553728	704	1998-08-31	PRIJEM	\N	142	33595	UROK	\N	\N
3553729	704	1998-09-30	PRIJEM	\N	157	40437	UROK	\N	\N
3553730	704	1998-10-31	PRIJEM	\N	189	50550	UROK	\N	\N
3553731	704	1998-11-30	PRIJEM	\N	239	61313	UROK	\N	\N
3553732	704	1998-12-31	PRIJEM	\N	304	81680	UROK	\N	\N
3553733	705	1997-08-31	PRIJEM	\N	36	13978	UROK	\N	\N
3553734	705	1997-09-30	PRIJEM	\N	77	21496	UROK	\N	\N
3553735	705	1997-10-31	PRIJEM	\N	101	26240	UROK	\N	\N
3553736	705	1997-11-30	PRIJEM	\N	120	30802	UROK	\N	\N
3553737	705	1997-12-31	PRIJEM	\N	139	34304	UROK	\N	\N
3553738	705	1998-01-31	PRIJEM	\N	121	24892	UROK	\N	\N
3553739	705	1998-02-28	PRIJEM	\N	93	21151	UROK	\N	\N
3553740	705	1998-03-31	PRIJEM	\N	97	25014	UROK	\N	\N
3553741	705	1998-04-30	PRIJEM	\N	105	26885	UROK	\N	\N
3553742	705	1998-05-31	PRIJEM	\N	122	30673	UROK	\N	\N
3553743	705	1998-06-30	PRIJEM	\N	120	21580	UROK	\N	\N
3553744	705	1998-07-31	PRIJEM	\N	93	23540	UROK	\N	\N
3553745	705	1998-08-31	PRIJEM	\N	88	20994	UROK	\N	\N
3553746	705	1998-09-30	PRIJEM	\N	67	14927	UROK	\N	\N
3553747	705	1998-10-31	PRIJEM	\N	67	17060	UROK	\N	\N
3553748	705	1998-11-30	PRIJEM	\N	55	13682	UROK	\N	\N
3553749	705	1998-12-31	PRIJEM	\N	70	18939	UROK	\N	\N
3553809	710	1994-09-30	PRIJEM	\N	15	5015	UROK	\N	\N
3553810	710	1994-10-31	PRIJEM	\N	21	9835	UROK	\N	\N
3553811	710	1994-11-30	PRIJEM	\N	21	14656	UROK	\N	\N
3553812	710	1994-12-31	PRIJEM	\N	21	19477	UROK	\N	\N
3553813	710	1995-01-31	PRIJEM	\N	65	20662	UROK	\N	\N
3553814	710	1995-02-28	PRIJEM	\N	78	18646	UROK	\N	\N
3553815	710	1995-03-31	PRIJEM	\N	73	16864	UROK	\N	\N
3553816	710	1995-04-30	PRIJEM	\N	75	18524	UROK	\N	\N
3553817	710	1995-05-31	PRIJEM	\N	82	20192	UROK	\N	\N
3553818	710	1995-06-30	PRIJEM	\N	78	17135	UROK	\N	\N
3553819	710	1995-07-31	PRIJEM	\N	76	18796	UROK	\N	\N
3553820	710	1995-08-31	PRIJEM	\N	83	20464	UROK	\N	\N
3553821	710	1995-09-30	PRIJEM	\N	89	20939	UROK	\N	\N
3553822	710	1995-10-31	PRIJEM	\N	89	20834	UROK	\N	\N
3553823	710	1995-11-30	PRIJEM	\N	91	22510	UROK	\N	\N
3553824	710	1995-12-31	PRIJEM	\N	96	22792	UROK	\N	\N
3553825	710	1996-01-31	PRIJEM	\N	76	15973	UROK	\N	\N
3553826	710	1996-02-29	PRIJEM	\N	71	17629	UROK	\N	\N
3553827	710	1996-03-31	PRIJEM	\N	78	19293	UROK	\N	\N
3553828	710	1996-04-30	PRIJEM	\N	83	18721	UROK	\N	\N
3553829	710	1996-05-31	PRIJEM	\N	83	20389	UROK	\N	\N
3553830	710	1996-06-30	PRIJEM	\N	88	21263	UROK	\N	\N
3553831	710	1996-07-31	PRIJEM	\N	93	22942	UROK	\N	\N
3553832	710	1996-08-31	PRIJEM	\N	99	23626	UROK	\N	\N
3553833	710	1996-09-30	PRIJEM	\N	99	22510	UROK	\N	\N
3553834	710	1996-10-31	PRIJEM	\N	98	24193	UROK	\N	\N
3553835	710	1996-11-30	PRIJEM	\N	102	23741	UROK	\N	\N
3553836	710	1996-12-31	PRIJEM	\N	92	17788	UROK	\N	\N
3553837	710	1997-01-31	PRIJEM	\N	68	14321	UROK	\N	\N
3553838	710	1997-02-28	PRIJEM	\N	64	15970	UROK	\N	\N
3553839	710	1997-03-31	PRIJEM	\N	70	16906	UROK	\N	\N
3553840	710	1997-04-30	PRIJEM	\N	75	18566	UROK	\N	\N
3553841	710	1997-05-31	PRIJEM	\N	82	20232	UROK	\N	\N
3553842	710	1997-06-30	PRIJEM	\N	81	16599	UROK	\N	\N
3553843	710	1997-07-31	PRIJEM	\N	67	14951	UROK	\N	\N
3553844	710	1997-08-31	PRIJEM	\N	61	13898	UROK	\N	\N
3553845	710	1997-09-30	PRIJEM	\N	62	15545	UROK	\N	\N
3553846	710	1997-10-31	PRIJEM	\N	64	14894	UROK	\N	\N
3553847	710	1997-11-30	PRIJEM	\N	63	14243	UROK	\N	\N
3553848	710	1997-12-31	PRIJEM	\N	57	12985	UROK	\N	\N
3553849	710	1998-01-31	PRIJEM	\N	58	14628	UROK	\N	\N
3553850	710	1998-02-28	PRIJEM	\N	65	16278	UROK	\N	\N
3553851	710	1998-03-31	PRIJEM	\N	59	12622	UROK	\N	\N
3553852	710	1998-04-30	PRIJEM	\N	56	14264	UROK	\N	\N
3553853	710	1998-05-31	PRIJEM	\N	61	15030	UROK	\N	\N
3553854	710	1998-06-30	PRIJEM	\N	66	16681	UROK	\N	\N
3553855	710	1998-07-31	PRIJEM	\N	73	18340	UROK	\N	\N
3553856	710	1998-08-31	PRIJEM	\N	80	20005	UROK	\N	\N
3553857	710	1998-09-30	PRIJEM	\N	85	20556	UROK	\N	\N
3553858	710	1998-10-31	PRIJEM	\N	89	22230	UROK	\N	\N
3553859	710	1998-11-30	PRIJEM	\N	96	23911	UROK	\N	\N
3553860	710	1998-12-31	PRIJEM	\N	100	25247	UROK	\N	\N
3553861	711	1994-07-31	PRIJEM	\N	31	10895	UROK	\N	\N
3553862	711	1994-08-31	PRIJEM	\N	89	26347	UROK	\N	\N
3553863	711	1994-09-30	PRIJEM	\N	132	34543	UROK	\N	\N
3553864	711	1994-10-31	PRIJEM	\N	153	38061	UROK	\N	\N
3553865	711	1994-11-30	PRIJEM	\N	162	37727	UROK	\N	\N
3553866	711	1994-12-31	PRIJEM	\N	167	41862	UROK	\N	\N
3553867	711	1995-01-31	PRIJEM	\N	112	13381	UROK	\N	\N
3553868	711	1995-02-28	PRIJEM	\N	87	25074	UROK	\N	\N
3553869	711	1995-03-31	PRIJEM	\N	116	28757	UROK	\N	\N
3553870	711	1995-04-30	PRIJEM	\N	131	33694	UROK	\N	\N
3553871	711	1995-05-31	PRIJEM	\N	144	36244	UROK	\N	\N
3553872	711	1995-06-30	PRIJEM	\N	159	40891	UROK	\N	\N
3553873	711	1995-07-31	PRIJEM	\N	158	38956	UROK	\N	\N
3553874	711	1995-08-31	PRIJEM	\N	137	30640	UROK	\N	\N
3553875	711	1995-09-30	PRIJEM	\N	145	29592	UROK	\N	\N
3553876	711	1995-10-31	PRIJEM	\N	141	30939	UROK	\N	\N
3553877	711	1995-11-30	PRIJEM	\N	146	30591	UROK	\N	\N
3553878	711	1995-12-31	PRIJEM	\N	150	26130	UROK	\N	\N
3553879	711	1996-01-31	PRIJEM	\N	85	21341	UROK	\N	\N
3553880	711	1996-02-29	PRIJEM	\N	106	24454	UROK	\N	\N
3553881	711	1996-03-31	PRIJEM	\N	120	27980	UROK	\N	\N
3553882	711	1996-04-30	PRIJEM	\N	132	29418	UROK	\N	\N
3553883	711	1996-05-31	PRIJEM	\N	138	31263	UROK	\N	\N
3553884	711	1996-06-30	PRIJEM	\N	125	22356	UROK	\N	\N
3553885	711	1996-07-31	PRIJEM	\N	113	29275	UROK	\N	\N
3553886	711	1996-08-31	PRIJEM	\N	140	34421	UROK	\N	\N
3553887	711	1996-09-30	PRIJEM	\N	148	32875	UROK	\N	\N
3553888	711	1996-10-31	PRIJEM	\N	151	35633	UROK	\N	\N
3553889	711	1996-11-30	PRIJEM	\N	161	37200	UROK	\N	\N
3553890	711	1996-12-31	PRIJEM	\N	176	43044	UROK	\N	\N
3553891	711	1997-01-31	PRIJEM	\N	131	23781	UROK	\N	\N
3553892	711	1997-02-28	PRIJEM	\N	119	32207	UROK	\N	\N
3553893	711	1997-03-31	PRIJEM	\N	150	36363	UROK	\N	\N
3553894	711	1997-04-30	PRIJEM	\N	161	37910	UROK	\N	\N
3553895	711	1997-05-31	PRIJEM	\N	168	39085	UROK	\N	\N
3553896	711	1997-06-30	PRIJEM	\N	157	22390	UROK	\N	\N
3553897	711	1997-07-31	PRIJEM	\N	119	33815	UROK	\N	\N
3553898	711	1997-08-31	PRIJEM	\N	150	39272	UROK	\N	\N
3553899	711	1997-09-30	PRIJEM	\N	173	41551	UROK	\N	\N
3553900	711	1997-10-31	PRIJEM	\N	183	44040	UROK	\N	\N
3553901	711	1997-11-30	PRIJEM	\N	188	43474	UROK	\N	\N
3553902	711	1997-12-31	PRIJEM	\N	198	45161	UROK	\N	\N
3553903	711	1998-01-31	PRIJEM	\N	173	31881	UROK	\N	\N
3553904	711	1998-02-28	PRIJEM	\N	163	45350	UROK	\N	\N
3553905	711	1998-03-31	PRIJEM	\N	212	54868	UROK	\N	\N
3553906	711	1998-04-30	PRIJEM	\N	244	61018	UROK	\N	\N
3553907	711	1998-05-31	PRIJEM	\N	249	57574	UROK	\N	\N
3553908	711	1998-06-30	PRIJEM	\N	253	61615	UROK	\N	\N
3553909	711	1998-07-31	PRIJEM	\N	252	57453	UROK	\N	\N
3553910	711	1998-08-31	PRIJEM	\N	244	59403	UROK	\N	\N
3553911	711	1998-09-30	PRIJEM	\N	243	58052	UROK	\N	\N
3553912	711	1998-10-31	PRIJEM	\N	221	50580	UROK	\N	\N
3553913	711	1998-11-30	PRIJEM	\N	198	43765	UROK	\N	\N
3553914	711	1998-12-31	PRIJEM	\N	162	36195	UROK	\N	\N
3553915	712	1996-12-31	PRIJEM	\N	172	89453	UROK	\N	\N
3553916	712	1997-01-31	PRIJEM	\N	275	61098	UROK	\N	\N
3553917	712	1997-02-28	PRIJEM	\N	370	120238	UROK	\N	\N
3553918	712	1997-03-31	PRIJEM	\N	284	85891	UROK	\N	\N
3553919	712	1997-04-30	PRIJEM	\N	312	98240	UROK	\N	\N
3553920	712	1997-05-31	PRIJEM	\N	378	61791	UROK	\N	\N
3553921	712	1997-06-30	PRIJEM	\N	287	63524	UROK	\N	\N
3553922	712	1997-07-31	PRIJEM	\N	307	74227	UROK	\N	\N
3553923	712	1997-08-31	PRIJEM	\N	307	62020	UROK	\N	\N
3553924	712	1997-09-30	PRIJEM	\N	343	61971	UROK	\N	\N
3553925	712	1997-10-31	PRIJEM	\N	304	71606	UROK	\N	\N
3553926	712	1997-11-30	PRIJEM	\N	297	70657	UROK	\N	\N
3553927	712	1997-12-31	PRIJEM	\N	253	66445	UROK	\N	\N
3553928	712	1998-01-31	PRIJEM	\N	245	71046	UROK	\N	\N
3553929	712	1998-02-28	PRIJEM	\N	286	57811	UROK	\N	\N
3553930	712	1998-03-31	PRIJEM	\N	225	45174	UROK	\N	\N
3553931	712	1998-04-30	PRIJEM	\N	136	32071	UROK	\N	\N
3553932	712	1998-05-31	PRIJEM	\N	200	102825	UROK	\N	\N
3553933	712	1998-06-30	PRIJEM	\N	399	58909	UROK	\N	\N
3553934	712	1998-07-31	PRIJEM	\N	223	39541	UROK	\N	\N
3553935	712	1998-08-31	PRIJEM	\N	134	35964	UROK	\N	\N
3553936	712	1998-09-30	PRIJEM	\N	133	23734	UROK	\N	\N
3553937	712	1998-10-31	PRIJEM	\N	126	37057	UROK	\N	\N
3553938	712	1998-11-30	PRIJEM	\N	196	95397	UROK	\N	\N
3553939	712	1998-12-31	PRIJEM	\N	376	81852	UROK	\N	\N
3553940	713	1997-02-28	PRIJEM	\N	45	17825	UROK	\N	\N
3553941	713	1997-03-31	PRIJEM	\N	71	15945	UROK	\N	\N
3553942	713	1997-04-30	PRIJEM	\N	62	14181	UROK	\N	\N
3553943	713	1997-05-31	PRIJEM	\N	60	14616	UROK	\N	\N
3553944	713	1997-06-30	PRIJEM	\N	50	10540	UROK	\N	\N
3553945	713	1997-07-31	PRIJEM	\N	49	11164	UROK	\N	\N
3553946	713	1997-08-31	PRIJEM	\N	50	12288	UROK	\N	\N
3553947	713	1997-09-30	PRIJEM	\N	54	13016	UROK	\N	\N
3553948	713	1997-10-31	PRIJEM	\N	50	10620	UROK	\N	\N
3553949	713	1997-11-30	PRIJEM	\N	39	8534	UROK	\N	\N
3553950	713	1997-12-31	PRIJEM	\N	41	10649	UROK	\N	\N
3553951	713	1998-01-31	PRIJEM	\N	43	8926	UROK	\N	\N
3553952	713	1998-02-28	PRIJEM	\N	40	8720	UROK	\N	\N
3553953	713	1998-03-31	PRIJEM	\N	42	10836	UROK	\N	\N
3553954	713	1998-04-30	PRIJEM	\N	36	7547	UROK	\N	\N
3553955	713	1998-05-31	PRIJEM	\N	37	9658	UROK	\N	\N
3553956	713	1998-06-30	PRIJEM	\N	46	11778	UROK	\N	\N
3553957	713	1998-07-31	PRIJEM	\N	45	9998	UROK	\N	\N
3553958	713	1998-08-31	PRIJEM	\N	32	6605	UROK	\N	\N
3553959	713	1998-09-30	PRIJEM	\N	36	8015	UROK	\N	\N
3553960	713	1998-10-31	PRIJEM	\N	39	10128	UROK	\N	\N
3553961	713	1998-11-30	PRIJEM	\N	48	12250	UROK	\N	\N
3553962	713	1998-12-31	PRIJEM	\N	55	12580	UROK	\N	\N
3553963	714	1996-11-30	PRIJEM	\N	23	6297	UROK	\N	\N
3553964	714	1996-12-31	PRIJEM	\N	26	11997	UROK	\N	\N
3553965	714	1997-01-31	PRIJEM	\N	26	17697	UROK	\N	\N
3553966	714	1997-02-28	PRIJEM	\N	26	23397	UROK	\N	\N
3553967	714	1997-03-31	PRIJEM	\N	94	24383	UROK	\N	\N
3553968	714	1997-04-30	PRIJEM	\N	105	23486	UROK	\N	\N
3553969	714	1997-05-31	PRIJEM	\N	104	24567	UROK	\N	\N
3553970	714	1997-06-30	PRIJEM	\N	87	20331	UROK	\N	\N
3553971	714	1997-07-31	PRIJEM	\N	90	22298	UROK	\N	\N
3553972	714	1997-08-31	PRIJEM	\N	88	20264	UROK	\N	\N
3553973	714	1997-09-30	PRIJEM	\N	86	21027	UROK	\N	\N
3553974	714	1997-10-31	PRIJEM	\N	59	13202	UROK	\N	\N
3553975	714	1997-11-30	PRIJEM	\N	59	11239	UROK	\N	\N
3553976	714	1997-12-31	PRIJEM	\N	52	13169	UROK	\N	\N
3553977	714	1998-01-31	PRIJEM	\N	58	13344	UROK	\N	\N
3553978	714	1998-02-28	PRIJEM	\N	61	15282	UROK	\N	\N
3553979	714	1998-03-31	PRIJEM	\N	69	17229	UROK	\N	\N
3553980	714	1998-04-30	PRIJEM	\N	73	14240	UROK	\N	\N
3553981	714	1998-05-31	PRIJEM	\N	62	11379	UROK	\N	\N
3553982	714	1998-06-30	PRIJEM	\N	53	13309	UROK	\N	\N
3553983	714	1998-07-31	PRIJEM	\N	59	12445	UROK	\N	\N
3553984	714	1998-08-31	PRIJEM	\N	55	11678	UROK	\N	\N
3553985	714	1998-09-30	PRIJEM	\N	54	13609	UROK	\N	\N
3553986	714	1998-10-31	PRIJEM	\N	59	13806	UROK	\N	\N
3553987	714	1998-11-30	PRIJEM	\N	60	12443	UROK	\N	\N
3553988	714	1998-12-31	PRIJEM	\N	57	14377	UROK	\N	\N
3553989	715	1996-09-30	PRIJEM	\N	55	18370	UROK	\N	\N
3553990	715	1996-10-31	PRIJEM	\N	129	29915	UROK	\N	\N
3553991	715	1996-11-30	PRIJEM	\N	167	41597	UROK	\N	\N
3553992	715	1996-12-31	PRIJEM	\N	223	56591	UROK	\N	\N
3553993	715	1997-01-31	PRIJEM	\N	186	38229	UROK	\N	\N
3553994	715	1997-02-28	PRIJEM	\N	161	31527	UROK	\N	\N
3553995	715	1997-03-31	PRIJEM	\N	139	32904	UROK	\N	\N
3553996	715	1997-04-30	PRIJEM	\N	154	37295	UROK	\N	\N
3553997	715	1997-05-31	PRIJEM	\N	161	36594	UROK	\N	\N
3553998	715	1997-06-30	PRIJEM	\N	133	22521	UROK	\N	\N
3553999	715	1997-07-31	PRIJEM	\N	107	25766	UROK	\N	\N
3554000	715	1997-08-31	PRIJEM	\N	120	28722	UROK	\N	\N
3554001	715	1997-09-30	PRIJEM	\N	124	29384	UROK	\N	\N
3554002	715	1997-10-31	PRIJEM	\N	129	30650	UROK	\N	\N
3554003	715	1997-11-30	PRIJEM	\N	132	30919	UROK	\N	\N
3554004	715	1997-12-31	PRIJEM	\N	148	37061	UROK	\N	\N
3554005	715	1998-01-31	PRIJEM	\N	121	22519	UROK	\N	\N
3554006	715	1998-02-28	PRIJEM	\N	129	32686	UROK	\N	\N
3554007	715	1998-03-31	PRIJEM	\N	132	31055	UROK	\N	\N
3554008	715	1998-04-30	PRIJEM	\N	131	33223	UROK	\N	\N
3554009	715	1998-05-31	PRIJEM	\N	135	22195	UROK	\N	\N
3554010	715	1998-06-30	PRIJEM	\N	153	32742	UROK	\N	\N
3554011	715	1998-07-31	PRIJEM	\N	166	28046	UROK	\N	\N
3554012	715	1998-08-31	PRIJEM	\N	143	26526	UROK	\N	\N
3554013	715	1998-09-30	PRIJEM	\N	139	22902	UROK	\N	\N
3554014	715	1998-10-31	PRIJEM	\N	125	23564	UROK	\N	\N
3554015	715	1998-11-30	PRIJEM	\N	115	17016	UROK	\N	\N
3554016	715	1998-12-31	PRIJEM	\N	132	33842	UROK	\N	\N
3554017	717	1993-05-31	PRIJEM	\N	24	22698	UROK	\N	\N
3554018	717	1993-06-30	PRIJEM	\N	115	41575	UROK	\N	\N
3554019	717	1993-07-31	PRIJEM	\N	173	41622	UROK	\N	\N
3554020	717	1993-08-31	PRIJEM	\N	178	45774	UROK	\N	\N
3554021	717	1993-09-30	PRIJEM	\N	188	44236	UROK	\N	\N
3554022	717	1993-10-31	PRIJEM	\N	190	39524	UROK	\N	\N
3554023	717	1993-11-30	PRIJEM	\N	174	38196	UROK	\N	\N
3554024	717	1993-12-31	PRIJEM	\N	178	40299	UROK	\N	\N
3554025	717	1994-01-31	PRIJEM	\N	162	33319	UROK	\N	\N
3554026	717	1994-02-28	PRIJEM	\N	148	34266	UROK	\N	\N
3554027	717	1994-03-31	PRIJEM	\N	157	36622	UROK	\N	\N
3554028	717	1994-04-30	PRIJEM	\N	161	36381	UROK	\N	\N
3554029	717	1994-05-31	PRIJEM	\N	155	35295	UROK	\N	\N
3554030	717	1994-06-30	PRIJEM	\N	170	40850	UROK	\N	\N
3554031	717	1994-07-31	PRIJEM	\N	172	38321	UROK	\N	\N
3554032	717	1994-08-31	PRIJEM	\N	166	38985	UROK	\N	\N
3554033	717	1994-09-30	PRIJEM	\N	170	41053	UROK	\N	\N
3554034	717	1994-10-31	PRIJEM	\N	175	40667	UROK	\N	\N
3554035	717	1994-11-30	PRIJEM	\N	162	36127	UROK	\N	\N
3554036	717	1994-12-31	PRIJEM	\N	160	40552	UROK	\N	\N
3554037	717	1995-01-31	PRIJEM	\N	136	26967	UROK	\N	\N
3554038	717	1995-02-28	PRIJEM	\N	142	41408	UROK	\N	\N
3554039	717	1995-03-31	PRIJEM	\N	157	36784	UROK	\N	\N
3554040	717	1995-04-30	PRIJEM	\N	153	35475	UROK	\N	\N
3554041	717	1995-05-31	PRIJEM	\N	153	38027	UROK	\N	\N
3554042	717	1995-06-30	PRIJEM	\N	198	56110	UROK	\N	\N
3554043	717	1995-07-31	PRIJEM	\N	219	48528	UROK	\N	\N
3554044	717	1995-08-31	PRIJEM	\N	198	49624	UROK	\N	\N
3554045	717	1995-09-30	PRIJEM	\N	194	47517	UROK	\N	\N
3554046	717	1995-10-31	PRIJEM	\N	194	48509	UROK	\N	\N
3554047	717	1995-11-30	PRIJEM	\N	202	51209	UROK	\N	\N
3554048	717	1995-12-31	PRIJEM	\N	224	58158	UROK	\N	\N
3554049	717	1996-01-31	PRIJEM	\N	190	41286	UROK	\N	\N
3554050	717	1996-02-29	PRIJEM	\N	186	49671	UROK	\N	\N
3554051	717	1996-03-31	PRIJEM	\N	204	51273	UROK	\N	\N
3554052	717	1996-04-30	PRIJEM	\N	201	49272	UROK	\N	\N
3554053	717	1996-05-31	PRIJEM	\N	196	48566	UROK	\N	\N
3554054	717	1996-06-30	PRIJEM	\N	215	57366	UROK	\N	\N
3554055	717	1996-07-31	PRIJEM	\N	219	52683	UROK	\N	\N
3554056	717	1996-08-31	PRIJEM	\N	205	50387	UROK	\N	\N
3554057	717	1996-09-30	PRIJEM	\N	202	50587	UROK	\N	\N
3554058	717	1996-10-31	PRIJEM	\N	193	43718	UROK	\N	\N
3554059	717	1996-11-30	PRIJEM	\N	188	49305	UROK	\N	\N
3554060	717	1996-12-31	PRIJEM	\N	211	56502	UROK	\N	\N
3554061	717	1997-01-31	PRIJEM	\N	202	42702	UROK	\N	\N
3554062	717	1997-02-28	PRIJEM	\N	180	47180	UROK	\N	\N
3554063	717	1997-03-31	PRIJEM	\N	205	53583	UROK	\N	\N
3554064	717	1997-04-30	PRIJEM	\N	221	56102	UROK	\N	\N
3554065	717	1997-05-31	PRIJEM	\N	210	48650	UROK	\N	\N
3554066	717	1997-06-30	PRIJEM	\N	231	61667	UROK	\N	\N
3554067	717	1997-07-31	PRIJEM	\N	239	58404	UROK	\N	\N
3554068	717	1997-08-31	PRIJEM	\N	237	60739	UROK	\N	\N
3554069	717	1997-09-30	PRIJEM	\N	200	55538	UROK	\N	\N
3554070	717	1997-10-31	PRIJEM	\N	180	35916	UROK	\N	\N
3554071	717	1997-11-30	PRIJEM	\N	175	39989	UROK	\N	\N
3554072	717	1997-12-31	PRIJEM	\N	210	46085	UROK	\N	\N
3554073	717	1998-01-31	PRIJEM	\N	175	40058	UROK	\N	\N
3554074	717	1998-02-28	PRIJEM	\N	185	37642	UROK	\N	\N
3554075	717	1998-03-31	PRIJEM	\N	175	36515	UROK	\N	\N
3554076	717	1998-04-30	PRIJEM	\N	174	35387	UROK	\N	\N
3554077	717	1998-05-31	PRIJEM	\N	164	28350	UROK	\N	\N
3554078	717	1998-06-30	PRIJEM	\N	158	32093	UROK	\N	\N
3554079	717	1998-07-31	PRIJEM	\N	154	34145	UROK	\N	\N
3554080	717	1998-08-31	PRIJEM	\N	161	36304	UROK	\N	\N
3554081	717	1998-09-30	PRIJEM	\N	165	34768	UROK	\N	\N
3554082	717	1998-10-31	PRIJEM	\N	155	29921	UROK	\N	\N
3554083	717	1998-11-30	PRIJEM	\N	127	21646	UROK	\N	\N
3554084	717	1998-12-31	PRIJEM	\N	124	24375	UROK	\N	\N
3554085	718	1996-06-30	PRIJEM	\N	40	31626	UROK	\N	\N
3554086	718	1996-07-31	PRIJEM	\N	132	31257	UROK	\N	\N
3554087	718	1996-08-31	PRIJEM	\N	211	56470	UROK	\N	\N
3554088	718	1996-09-30	PRIJEM	\N	411	50840	UROK	\N	\N
3554089	718	1996-10-31	PRIJEM	\N	212	41989	UROK	\N	\N
3554090	718	1996-11-30	PRIJEM	\N	120	31605	UROK	\N	\N
3554091	718	1996-12-31	PRIJEM	\N	47	25148	UROK	\N	\N
3554092	718	1997-01-31	PRIJEM	\N	159	46737	UROK	\N	\N
3554093	718	1997-02-28	PRIJEM	\N	117	33371	UROK	\N	\N
3554094	718	1997-03-31	PRIJEM	\N	92	29960	UROK	\N	\N
3554095	718	1997-04-30	PRIJEM	\N	91	29548	UROK	\N	\N
3554096	718	1997-05-31	PRIJEM	\N	89	31933	UROK	\N	\N
3554097	718	1997-06-30	PRIJEM	\N	107	33437	UROK	\N	\N
3554098	718	1997-07-31	PRIJEM	\N	241	74779	UROK	\N	\N
3554099	718	1997-08-31	PRIJEM	\N	305	91987	UROK	\N	\N
3554100	718	1997-09-30	PRIJEM	\N	355	66574	UROK	\N	\N
3554101	718	1997-10-31	PRIJEM	\N	141	21706	UROK	\N	\N
3554102	718	1997-11-30	PRIJEM	\N	114	22617	UROK	\N	\N
3554103	718	1997-12-31	PRIJEM	\N	75	24875	UROK	\N	\N
3554104	718	1998-01-31	PRIJEM	\N	102	21520	UROK	\N	\N
3554105	718	1998-02-28	PRIJEM	\N	211	88869	UROK	\N	\N
3554106	718	1998-03-31	PRIJEM	\N	285	53857	UROK	\N	\N
3554107	718	1998-04-30	PRIJEM	\N	220	87301	UROK	\N	\N
3554108	718	1998-05-31	PRIJEM	\N	227	27702	UROK	\N	\N
3554109	718	1998-06-30	PRIJEM	\N	238	60557	UROK	\N	\N
3554110	718	1998-07-31	PRIJEM	\N	245	67071	UROK	\N	\N
3554111	718	1998-08-31	PRIJEM	\N	214	40205	UROK	\N	\N
3554112	718	1998-09-30	PRIJEM	\N	194	90815	UROK	\N	\N
3554113	718	1998-10-31	PRIJEM	\N	310	53939	UROK	\N	\N
3554114	718	1998-11-30	PRIJEM	\N	246	83653	UROK	\N	\N
3554115	718	1998-12-31	PRIJEM	\N	210	43653	UROK	\N	\N
3554116	719	1994-01-31	PRIJEM	\N	25	15512	UROK	\N	\N
3554117	719	1994-02-28	PRIJEM	\N	75	22274	UROK	\N	\N
3554118	719	1994-03-31	PRIJEM	\N	93	22553	UROK	\N	\N
3554119	719	1994-04-30	PRIJEM	\N	97	24637	UROK	\N	\N
3554120	719	1994-05-31	PRIJEM	\N	103	25127	UROK	\N	\N
3554121	719	1994-06-30	PRIJEM	\N	99	24418	UROK	\N	\N
3554122	719	1994-07-31	PRIJEM	\N	104	25434	UROK	\N	\N
3554123	719	1994-08-31	PRIJEM	\N	104	24219	UROK	\N	\N
3554124	719	1994-09-30	PRIJEM	\N	99	22829	UROK	\N	\N
3554125	719	1994-10-31	PRIJEM	\N	100	25110	UROK	\N	\N
3554126	719	1994-11-30	PRIJEM	\N	106	25697	UROK	\N	\N
3554127	719	1994-12-31	PRIJEM	\N	109	26157	UROK	\N	\N
3554128	719	1995-01-31	PRIJEM	\N	104	24863	UROK	\N	\N
3554129	719	1995-02-28	PRIJEM	\N	105	23349	UROK	\N	\N
3554130	719	1995-03-31	PRIJEM	\N	97	23428	UROK	\N	\N
3554131	719	1995-04-30	PRIJEM	\N	102	25311	UROK	\N	\N
3554132	719	1995-05-31	PRIJEM	\N	110	27302	UROK	\N	\N
3554133	719	1995-06-30	PRIJEM	\N	98	21201	UROK	\N	\N
3554134	719	1995-07-31	PRIJEM	\N	91	22373	UROK	\N	\N
3554135	719	1995-08-31	PRIJEM	\N	93	21558	UROK	\N	\N
3554136	719	1995-09-30	PRIJEM	\N	91	22300	UROK	\N	\N
3554137	719	1995-10-31	PRIJEM	\N	101	25682	UROK	\N	\N
3554138	719	1995-11-30	PRIJEM	\N	104	25267	UROK	\N	\N
3554139	719	1995-12-31	PRIJEM	\N	102	25001	UROK	\N	\N
3554140	719	1996-01-31	PRIJEM	\N	99	23142	UROK	\N	\N
3554141	719	1996-02-29	PRIJEM	\N	99	23642	UROK	\N	\N
3554142	719	1996-03-31	PRIJEM	\N	103	25196	UROK	\N	\N
3554143	719	1996-04-30	PRIJEM	\N	97	22974	UROK	\N	\N
3554144	719	1996-05-31	PRIJEM	\N	94	23349	UROK	\N	\N
3554145	719	1996-06-30	PRIJEM	\N	95	21886	UROK	\N	\N
3554146	719	1996-07-31	PRIJEM	\N	101	25728	UROK	\N	\N
3554147	719	1996-08-31	PRIJEM	\N	113	28623	UROK	\N	\N
3554148	719	1996-09-30	PRIJEM	\N	127	32131	UROK	\N	\N
3554149	719	1996-10-31	PRIJEM	\N	131	32143	UROK	\N	\N
3554150	719	1996-11-30	PRIJEM	\N	132	32456	UROK	\N	\N
3554151	719	1996-12-31	PRIJEM	\N	127	30354	UROK	\N	\N
3554152	719	1997-01-31	PRIJEM	\N	107	23872	UROK	\N	\N
3554153	719	1997-02-28	PRIJEM	\N	101	24455	UROK	\N	\N
3554154	719	1997-03-31	PRIJEM	\N	104	26340	UROK	\N	\N
3554155	719	1997-04-30	PRIJEM	\N	113	28375	UROK	\N	\N
3554156	719	1997-05-31	PRIJEM	\N	129	32425	UROK	\N	\N
3554157	719	1997-06-30	PRIJEM	\N	122	28699	UROK	\N	\N
3554158	719	1997-07-31	PRIJEM	\N	136	35216	UROK	\N	\N
3554159	719	1997-08-31	PRIJEM	\N	151	37848	UROK	\N	\N
3554160	719	1997-09-30	PRIJEM	\N	148	35877	UROK	\N	\N
3554161	719	1997-10-31	PRIJEM	\N	147	36406	UROK	\N	\N
3554162	719	1997-11-30	PRIJEM	\N	161	39548	UROK	\N	\N
3554163	719	1997-12-31	PRIJEM	\N	159	41378	UROK	\N	\N
3554164	719	1998-01-31	PRIJEM	\N	164	36594	UROK	\N	\N
3554165	719	1998-02-28	PRIJEM	\N	153	37728	UROK	\N	\N
3554166	719	1998-03-31	PRIJEM	\N	154	35363	UROK	\N	\N
3554167	719	1998-04-30	PRIJEM	\N	148	36592	UROK	\N	\N
3554168	719	1998-05-31	PRIJEM	\N	152	39326	UROK	\N	\N
3554169	719	1998-06-30	PRIJEM	\N	158	40175	UROK	\N	\N
3554170	719	1998-07-31	PRIJEM	\N	168	42524	UROK	\N	\N
3554171	719	1998-08-31	PRIJEM	\N	177	42513	UROK	\N	\N
3554172	719	1998-09-30	PRIJEM	\N	178	45302	UROK	\N	\N
3554173	719	1998-10-31	PRIJEM	\N	191	49474	UROK	\N	\N
3554174	719	1998-11-30	PRIJEM	\N	212	58168	UROK	\N	\N
3554175	719	1998-12-31	PRIJEM	\N	244	60813	UROK	\N	\N
3554176	720	1995-08-31	PRIJEM	\N	29	16704	UROK	\N	\N
3554177	720	1995-09-30	PRIJEM	\N	81	23160	UROK	\N	\N
3554178	720	1995-10-31	PRIJEM	\N	96	29131	UROK	\N	\N
3554179	720	1995-11-30	PRIJEM	\N	110	30517	UROK	\N	\N
3554180	720	1995-12-31	PRIJEM	\N	124	25837	UROK	\N	\N
3554181	720	1996-01-31	PRIJEM	\N	102	22603	UROK	\N	\N
3554182	720	1996-02-29	PRIJEM	\N	98	22845	UROK	\N	\N
3554183	720	1996-03-31	PRIJEM	\N	93	20382	UROK	\N	\N
3554184	720	1996-04-30	PRIJEM	\N	94	25201	UROK	\N	\N
3554185	720	1996-05-31	PRIJEM	\N	106	25352	UROK	\N	\N
3554186	720	1996-06-30	PRIJEM	\N	110	26563	UROK	\N	\N
3554187	720	1996-07-31	PRIJEM	\N	108	25415	UROK	\N	\N
3554188	720	1996-08-31	PRIJEM	\N	104	24764	UROK	\N	\N
3554189	720	1996-09-30	PRIJEM	\N	94	19703	UROK	\N	\N
3554190	720	1996-10-31	PRIJEM	\N	88	22035	UROK	\N	\N
3554191	720	1996-11-30	PRIJEM	\N	102	22282	UROK	\N	\N
3554192	720	1996-12-31	PRIJEM	\N	95	19898	UROK	\N	\N
3554193	720	1997-01-31	PRIJEM	\N	83	16706	UROK	\N	\N
3554194	720	1997-02-28	PRIJEM	\N	79	20229	UROK	\N	\N
3554195	720	1997-03-31	PRIJEM	\N	85	20558	UROK	\N	\N
3554196	720	1997-04-30	PRIJEM	\N	89	22091	UROK	\N	\N
3554197	720	1997-05-31	PRIJEM	\N	100	24935	UROK	\N	\N
3554198	720	1997-06-30	PRIJEM	\N	108	26625	UROK	\N	\N
3554199	720	1997-07-31	PRIJEM	\N	111	26780	UROK	\N	\N
3554200	720	1997-08-31	PRIJEM	\N	90	15774	UROK	\N	\N
3554201	720	1997-09-30	PRIJEM	\N	86	19705	UROK	\N	\N
3554202	720	1997-10-31	PRIJEM	\N	90	22139	UROK	\N	\N
3554203	720	1997-11-30	PRIJEM	\N	113	26297	UROK	\N	\N
3554204	720	1997-12-31	PRIJEM	\N	111	23650	UROK	\N	\N
3554205	720	1998-01-31	PRIJEM	\N	91	21766	UROK	\N	\N
3554206	720	1998-02-28	PRIJEM	\N	92	22401	UROK	\N	\N
3554207	720	1998-03-31	PRIJEM	\N	90	21436	UROK	\N	\N
3554208	720	1998-04-30	PRIJEM	\N	89	16909	UROK	\N	\N
3554209	720	1998-05-31	PRIJEM	\N	85	18538	UROK	\N	\N
3554210	720	1998-06-30	PRIJEM	\N	82	16081	UROK	\N	\N
3554211	720	1998-07-31	PRIJEM	\N	74	15299	UROK	\N	\N
3554212	720	1998-08-31	PRIJEM	\N	72	14715	UROK	\N	\N
3554213	720	1998-09-30	PRIJEM	\N	66	16725	UROK	\N	\N
3554214	720	1998-10-31	PRIJEM	\N	72	14141	UROK	\N	\N
3554215	720	1998-11-30	PRIJEM	\N	63	16149	UROK	\N	\N
3554216	720	1998-12-31	PRIJEM	\N	68	14918	UROK	\N	\N
3554217	721	1994-01-31	PRIJEM	\N	24	15934	UROK	\N	\N
3554218	721	1994-02-28	PRIJEM	\N	69	17086	UROK	\N	\N
3554219	721	1994-03-31	PRIJEM	\N	70	16859	UROK	\N	\N
3554220	721	1994-04-30	PRIJEM	\N	73	18015	UROK	\N	\N
3554221	721	1994-05-31	PRIJEM	\N	78	19176	UROK	\N	\N
3554222	721	1994-06-30	PRIJEM	\N	78	19408	UROK	\N	\N
3554223	721	1994-07-31	PRIJEM	\N	82	20184	UROK	\N	\N
3554224	721	1994-08-31	PRIJEM	\N	87	21354	UROK	\N	\N
3554225	721	1994-09-30	PRIJEM	\N	91	22078	UROK	\N	\N
3554226	721	1994-10-31	PRIJEM	\N	95	23256	UROK	\N	\N
3554227	721	1994-11-30	PRIJEM	\N	99	24439	UROK	\N	\N
3554228	721	1994-12-31	PRIJEM	\N	103	24255	UROK	\N	\N
3554229	721	1995-01-31	PRIJEM	\N	92	20331	UROK	\N	\N
3554230	721	1995-02-28	PRIJEM	\N	87	21502	UROK	\N	\N
3554231	721	1995-03-31	PRIJEM	\N	88	21593	UROK	\N	\N
3554232	721	1995-04-30	PRIJEM	\N	92	22769	UROK	\N	\N
3554233	721	1995-05-31	PRIJEM	\N	93	22866	UROK	\N	\N
3554234	721	1995-06-30	PRIJEM	\N	97	21016	UROK	\N	\N
3554235	721	1995-07-31	PRIJEM	\N	90	22190	UROK	\N	\N
3554236	721	1995-08-31	PRIJEM	\N	95	23368	UROK	\N	\N
3554237	721	1995-09-30	PRIJEM	\N	99	24281	UROK	\N	\N
3554238	721	1995-10-31	PRIJEM	\N	104	25467	UROK	\N	\N
3554239	721	1995-11-30	PRIJEM	\N	108	26659	UROK	\N	\N
3554240	721	1995-12-31	PRIJEM	\N	111	26354	UROK	\N	\N
3554241	721	1996-01-31	PRIJEM	\N	95	21952	UROK	\N	\N
3554242	721	1996-02-29	PRIJEM	\N	94	23129	UROK	\N	\N
3554243	721	1996-03-31	PRIJEM	\N	99	24311	UROK	\N	\N
3554244	721	1996-04-30	PRIJEM	\N	103	25498	UROK	\N	\N
3554245	721	1996-05-31	PRIJEM	\N	107	26448	UROK	\N	\N
3554246	721	1996-06-30	PRIJEM	\N	99	20880	UROK	\N	\N
3554247	721	1996-07-31	PRIJEM	\N	89	22053	UROK	\N	\N
3554248	721	1996-08-31	PRIJEM	\N	94	23230	UROK	\N	\N
3554249	721	1996-09-30	PRIJEM	\N	99	24412	UROK	\N	\N
3554250	721	1996-10-31	PRIJEM	\N	102	24727	UROK	\N	\N
3554251	721	1996-11-30	PRIJEM	\N	105	25915	UROK	\N	\N
3554252	721	1996-12-31	PRIJEM	\N	107	26416	UROK	\N	\N
3554253	721	1997-01-31	PRIJEM	\N	102	21451	UROK	\N	\N
3554254	721	1997-02-28	PRIJEM	\N	91	22625	UROK	\N	\N
3554255	721	1997-03-31	PRIJEM	\N	91	22540	UROK	\N	\N
3554256	721	1997-04-30	PRIJEM	\N	95	23719	UROK	\N	\N
3554257	721	1997-05-31	PRIJEM	\N	100	24903	UROK	\N	\N
3554258	721	1997-06-30	PRIJEM	\N	82	17668	UROK	\N	\N
3554259	721	1997-07-31	PRIJEM	\N	74	17895	UROK	\N	\N
3554260	721	1997-08-31	PRIJEM	\N	74	18093	UROK	\N	\N
3554261	721	1997-09-30	PRIJEM	\N	73	18259	UROK	\N	\N
3554262	721	1997-10-31	PRIJEM	\N	77	19420	UROK	\N	\N
3554263	721	1997-11-30	PRIJEM	\N	82	20585	UROK	\N	\N
3554264	721	1997-12-31	PRIJEM	\N	84	21063	UROK	\N	\N
3554265	721	1998-01-31	PRIJEM	\N	77	16672	UROK	\N	\N
3554266	721	1998-02-28	PRIJEM	\N	70	17826	UROK	\N	\N
3554267	721	1998-03-31	PRIJEM	\N	75	18984	UROK	\N	\N
3554268	721	1998-04-30	PRIJEM	\N	80	20148	UROK	\N	\N
3554269	721	1998-05-31	PRIJEM	\N	82	20833	UROK	\N	\N
3554270	721	1998-06-30	PRIJEM	\N	83	17140	UROK	\N	\N
3554271	721	1998-07-31	PRIJEM	\N	72	18295	UROK	\N	\N
3554272	721	1998-08-31	PRIJEM	\N	77	19455	UROK	\N	\N
3554273	721	1998-09-30	PRIJEM	\N	81	20620	UROK	\N	\N
3554274	721	1998-10-31	PRIJEM	\N	86	21790	UROK	\N	\N
3554275	721	1998-11-30	PRIJEM	\N	90	22753	UROK	\N	\N
3554276	721	1998-12-31	PRIJEM	\N	95	23661	UROK	\N	\N
3554354	725	1996-07-31	PRIJEM	\N	11	4130	UROK	\N	\N
3554355	725	1996-08-31	PRIJEM	\N	54	18603	UROK	\N	\N
3554356	725	1996-09-30	PRIJEM	\N	84	21205	UROK	\N	\N
3554357	725	1996-10-31	PRIJEM	\N	98	25122	UROK	\N	\N
3554358	725	1996-11-30	PRIJEM	\N	105	25234	UROK	\N	\N
3554359	725	1996-12-31	PRIJEM	\N	105	25621	UROK	\N	\N
3554360	725	1997-01-31	PRIJEM	\N	102	22115	UROK	\N	\N
3554361	725	1997-02-28	PRIJEM	\N	104	27312	UROK	\N	\N
3554362	725	1997-03-31	PRIJEM	\N	120	30025	UROK	\N	\N
3554363	725	1997-04-30	PRIJEM	\N	121	27818	UROK	\N	\N
3554364	725	1997-05-31	PRIJEM	\N	120	29350	UROK	\N	\N
3554365	725	1997-06-30	PRIJEM	\N	114	24527	UROK	\N	\N
3554366	725	1997-07-31	PRIJEM	\N	130	30599	UROK	\N	\N
3554367	725	1997-08-31	PRIJEM	\N	132	32523	UROK	\N	\N
3554368	725	1997-09-30	PRIJEM	\N	139	31755	UROK	\N	\N
3554369	725	1997-10-31	PRIJEM	\N	133	32590	UROK	\N	\N
3554370	725	1997-11-30	PRIJEM	\N	144	33827	UROK	\N	\N
3554371	725	1997-12-31	PRIJEM	\N	131	31930	UROK	\N	\N
3554372	725	1998-01-31	PRIJEM	\N	131	33674	UROK	\N	\N
3554373	725	1998-02-28	PRIJEM	\N	143	35109	UROK	\N	\N
3554374	725	1998-03-31	PRIJEM	\N	142	37043	UROK	\N	\N
3554375	725	1998-04-30	PRIJEM	\N	156	34892	UROK	\N	\N
3554376	725	1998-05-31	PRIJEM	\N	147	32031	UROK	\N	\N
3554377	725	1998-06-30	PRIJEM	\N	123	29536	UROK	\N	\N
3554378	725	1998-07-31	PRIJEM	\N	131	30160	UROK	\N	\N
3554379	725	1998-08-31	PRIJEM	\N	128	32140	UROK	\N	\N
3554380	725	1998-09-30	PRIJEM	\N	136	32068	UROK	\N	\N
3554381	725	1998-10-31	PRIJEM	\N	138	31429	UROK	\N	\N
3554382	725	1998-11-30	PRIJEM	\N	140	35261	UROK	\N	\N
3554383	725	1998-12-31	PRIJEM	\N	152	36195	UROK	\N	\N
3554384	726	1994-02-28	PRIJEM	\N	20	5866	UROK	\N	\N
3554385	726	1994-03-31	PRIJEM	\N	72	19484	UROK	\N	\N
3554386	726	1994-04-30	PRIJEM	\N	111	28241	UROK	\N	\N
3554387	726	1994-05-31	PRIJEM	\N	131	32318	UROK	\N	\N
3554388	726	1994-06-30	PRIJEM	\N	141	34181	UROK	\N	\N
3554389	726	1994-07-31	PRIJEM	\N	134	31648	UROK	\N	\N
3554390	726	1994-08-31	PRIJEM	\N	131	31212	UROK	\N	\N
3554391	726	1994-09-30	PRIJEM	\N	128	29373	UROK	\N	\N
3554392	726	1994-10-31	PRIJEM	\N	114	26921	UROK	\N	\N
3554393	726	1994-11-30	PRIJEM	\N	118	28972	UROK	\N	\N
3554394	726	1994-12-31	PRIJEM	\N	114	22192	UROK	\N	\N
3554395	726	1995-01-31	PRIJEM	\N	73	16999	UROK	\N	\N
3554396	726	1995-02-28	PRIJEM	\N	78	19410	UROK	\N	\N
3554397	726	1995-03-31	PRIJEM	\N	86	20829	UROK	\N	\N
3554398	726	1995-04-30	PRIJEM	\N	94	23857	UROK	\N	\N
3554399	726	1995-05-31	PRIJEM	\N	105	21495	UROK	\N	\N
3554400	726	1995-06-30	PRIJEM	\N	87	20289	UROK	\N	\N
3554401	726	1995-07-31	PRIJEM	\N	90	18912	UROK	\N	\N
3554402	726	1995-08-31	PRIJEM	\N	86	20731	UROK	\N	\N
3554403	726	1995-09-30	PRIJEM	\N	92	21356	UROK	\N	\N
3554404	726	1995-10-31	PRIJEM	\N	95	22685	UROK	\N	\N
3554405	726	1995-11-30	PRIJEM	\N	102	25220	UROK	\N	\N
3554406	726	1995-12-31	PRIJEM	\N	113	21739	UROK	\N	\N
3554407	726	1996-01-31	PRIJEM	\N	97	23569	UROK	\N	\N
3554408	726	1996-02-29	PRIJEM	\N	79	18382	UROK	\N	\N
3554409	726	1996-03-31	PRIJEM	\N	83	20098	UROK	\N	\N
3554410	726	1996-04-30	PRIJEM	\N	92	24124	UROK	\N	\N
3554411	726	1996-05-31	PRIJEM	\N	106	25263	UROK	\N	\N
3554412	726	1996-06-30	PRIJEM	\N	115	25484	UROK	\N	\N
3554413	726	1996-07-31	PRIJEM	\N	107	23525	UROK	\N	\N
3554414	726	1996-08-31	PRIJEM	\N	106	26764	UROK	\N	\N
3554415	726	1996-09-30	PRIJEM	\N	109	22906	UROK	\N	\N
3554416	726	1996-10-31	PRIJEM	\N	90	19130	UROK	\N	\N
3554417	726	1996-11-30	PRIJEM	\N	90	23953	UROK	\N	\N
3554418	726	1996-12-31	PRIJEM	\N	112	27072	UROK	\N	\N
3554419	726	1997-01-31	PRIJEM	\N	116	28322	UROK	\N	\N
3554420	726	1997-02-28	PRIJEM	\N	103	25358	UROK	\N	\N
3554421	726	1997-03-31	PRIJEM	\N	116	30007	UROK	\N	\N
3554422	726	1997-04-30	PRIJEM	\N	132	32572	UROK	\N	\N
3554423	726	1997-05-31	PRIJEM	\N	142	34947	UROK	\N	\N
3554424	726	1997-06-30	PRIJEM	\N	146	30300	UROK	\N	\N
3554425	726	1997-07-31	PRIJEM	\N	129	30862	UROK	\N	\N
3554426	726	1997-08-31	PRIJEM	\N	130	31325	UROK	\N	\N
3554427	726	1997-09-30	PRIJEM	\N	127	31085	UROK	\N	\N
3554428	726	1997-10-31	PRIJEM	\N	124	28643	UROK	\N	\N
3554429	726	1997-11-30	PRIJEM	\N	108	24684	UROK	\N	\N
3554430	726	1997-12-31	PRIJEM	\N	112	22902	UROK	\N	\N
3554431	726	1998-01-31	PRIJEM	\N	93	21928	UROK	\N	\N
3554432	726	1998-02-28	PRIJEM	\N	80	18841	UROK	\N	\N
3554433	726	1998-03-31	PRIJEM	\N	69	15144	UROK	\N	\N
3554434	726	1998-04-30	PRIJEM	\N	59	13536	UROK	\N	\N
3554435	726	1998-05-31	PRIJEM	\N	62	15931	UROK	\N	\N
3554436	726	1998-06-30	PRIJEM	\N	74	18212	UROK	\N	\N
3554437	726	1998-07-31	PRIJEM	\N	73	17518	UROK	\N	\N
3554438	726	1998-08-31	PRIJEM	\N	59	13010	UROK	\N	\N
3554439	726	1998-09-30	PRIJEM	\N	52	12795	UROK	\N	\N
3554440	726	1998-10-31	PRIJEM	\N	58	15187	UROK	\N	\N
3554441	726	1998-11-30	PRIJEM	\N	61	15181	UROK	\N	\N
3554442	726	1998-12-31	PRIJEM	\N	77	20364	UROK	\N	\N
3554443	728	1995-12-31	PRIJEM	\N	9	16519	UROK	\N	\N
3554444	728	1996-01-31	PRIJEM	\N	72	21964	UROK	\N	\N
3554445	728	1996-02-29	PRIJEM	\N	94	26731	UROK	\N	\N
3554446	728	1996-03-31	PRIJEM	\N	112	28817	UROK	\N	\N
3554447	728	1996-04-30	PRIJEM	\N	120	28710	UROK	\N	\N
3554448	728	1996-05-31	PRIJEM	\N	124	28630	UROK	\N	\N
3554449	728	1996-06-30	PRIJEM	\N	116	23980	UROK	\N	\N
3554450	728	1996-07-31	PRIJEM	\N	106	26082	UROK	\N	\N
3554451	728	1996-08-31	PRIJEM	\N	101	23880	UROK	\N	\N
3554452	728	1996-09-30	PRIJEM	\N	107	27083	UROK	\N	\N
3554453	728	1996-10-31	PRIJEM	\N	117	27396	UROK	\N	\N
3554454	728	1996-11-30	PRIJEM	\N	116	26608	UROK	\N	\N
3554455	728	1996-12-31	PRIJEM	\N	119	28861	UROK	\N	\N
3554456	728	1997-01-31	PRIJEM	\N	90	20647	UROK	\N	\N
3554457	728	1997-02-28	PRIJEM	\N	90	21934	UROK	\N	\N
3554458	728	1997-03-31	PRIJEM	\N	100	25930	UROK	\N	\N
3554459	728	1997-04-30	PRIJEM	\N	110	25636	UROK	\N	\N
3554460	728	1997-05-31	PRIJEM	\N	107	24340	UROK	\N	\N
3554461	728	1997-06-30	PRIJEM	\N	106	24379	UROK	\N	\N
3554462	728	1997-07-31	PRIJEM	\N	93	19368	UROK	\N	\N
3554463	728	1997-08-31	PRIJEM	\N	87	19651	UROK	\N	\N
3554464	728	1997-09-30	PRIJEM	\N	80	17628	UROK	\N	\N
3554465	728	1997-10-31	PRIJEM	\N	77	18801	UROK	\N	\N
3554466	728	1997-11-30	PRIJEM	\N	85	22083	UROK	\N	\N
3554467	728	1997-12-31	PRIJEM	\N	93	19809	UROK	\N	\N
3554468	728	1998-01-31	PRIJEM	\N	72	14377	UROK	\N	\N
3554469	728	1998-02-28	PRIJEM	\N	59	14133	UROK	\N	\N
3554470	728	1998-03-31	PRIJEM	\N	63	15092	UROK	\N	\N
3554471	728	1998-04-30	PRIJEM	\N	61	14049	UROK	\N	\N
3554472	728	1998-05-31	PRIJEM	\N	62	15708	UROK	\N	\N
3554473	728	1998-06-30	PRIJEM	\N	62	13103	UROK	\N	\N
3554474	728	1998-07-31	PRIJEM	\N	61	15961	UROK	\N	\N
3554475	728	1998-08-31	PRIJEM	\N	73	18829	UROK	\N	\N
3554476	728	1998-09-30	PRIJEM	\N	74	18500	UROK	\N	\N
3554477	728	1998-10-31	PRIJEM	\N	59	11755	UROK	\N	\N
3554478	728	1998-11-30	PRIJEM	\N	55	14606	UROK	\N	\N
3554479	728	1998-12-31	PRIJEM	\N	79	21518	UROK	\N	\N
3554480	729	1997-07-31	PRIJEM	\N	39	16272	UROK	\N	\N
3554481	729	1997-08-31	PRIJEM	\N	70	17355	UROK	\N	\N
3554482	729	1997-09-30	PRIJEM	\N	74	18142	UROK	\N	\N
3554483	729	1997-10-31	PRIJEM	\N	78	19232	UROK	\N	\N
3554484	729	1997-11-30	PRIJEM	\N	82	19756	UROK	\N	\N
3554485	729	1997-12-31	PRIJEM	\N	82	20010	UROK	\N	\N
3554486	729	1998-01-31	PRIJEM	\N	79	18252	UROK	\N	\N
3554487	729	1998-02-28	PRIJEM	\N	76	18441	UROK	\N	\N
3554488	729	1998-03-31	PRIJEM	\N	79	19533	UROK	\N	\N
3554489	729	1998-04-30	PRIJEM	\N	84	20629	UROK	\N	\N
3554490	729	1998-05-31	PRIJEM	\N	85	20226	UROK	\N	\N
3554491	729	1998-06-30	PRIJEM	\N	86	19794	UROK	\N	\N
3554492	729	1998-07-31	PRIJEM	\N	84	20381	UROK	\N	\N
3554493	729	1998-08-31	PRIJEM	\N	87	21481	UROK	\N	\N
3554494	729	1998-09-30	PRIJEM	\N	90	21763	UROK	\N	\N
3554495	729	1998-10-31	PRIJEM	\N	93	22869	UROK	\N	\N
3554496	729	1998-11-30	PRIJEM	\N	98	23979	UROK	\N	\N
3554497	729	1998-12-31	PRIJEM	\N	100	23351	UROK	\N	\N
3554498	731	1995-07-31	PRIJEM	\N	12	4671	UROK	\N	\N
3554499	731	1995-08-31	PRIJEM	\N	19	8749	UROK	\N	\N
3554500	731	1995-09-30	PRIJEM	\N	19	12828	UROK	\N	\N
3554501	731	1995-10-31	PRIJEM	\N	19	16906	UROK	\N	\N
3554502	731	1995-11-30	PRIJEM	\N	45	19091	UROK	\N	\N
3554503	731	1995-12-31	PRIJEM	\N	81	18370	UROK	\N	\N
3554504	731	1996-01-31	PRIJEM	\N	62	12600	UROK	\N	\N
3554505	731	1996-02-29	PRIJEM	\N	56	13994	UROK	\N	\N
3554506	731	1996-03-31	PRIJEM	\N	61	15394	UROK	\N	\N
3554507	731	1996-04-30	PRIJEM	\N	55	13827	UROK	\N	\N
3554508	731	1996-05-31	PRIJEM	\N	61	15226	UROK	\N	\N
3554509	731	1996-06-30	PRIJEM	\N	62	12947	UROK	\N	\N
3554510	731	1996-07-31	PRIJEM	\N	57	14343	UROK	\N	\N
3554511	731	1996-08-31	PRIJEM	\N	63	15744	UROK	\N	\N
3554512	731	1996-09-30	PRIJEM	\N	69	16591	UROK	\N	\N
3554513	731	1996-10-31	PRIJEM	\N	73	18002	UROK	\N	\N
3554514	731	1996-11-30	PRIJEM	\N	78	19418	UROK	\N	\N
3554515	731	1996-12-31	PRIJEM	\N	68	16985	UROK	\N	\N
3554516	731	1997-01-31	PRIJEM	\N	68	13751	UROK	\N	\N
3554517	731	1997-02-28	PRIJEM	\N	60	15149	UROK	\N	\N
3554518	731	1997-03-31	PRIJEM	\N	66	16554	UROK	\N	\N
3554519	731	1997-04-30	PRIJEM	\N	72	17965	UROK	\N	\N
3554520	731	1997-05-31	PRIJEM	\N	78	19381	UROK	\N	\N
3554521	731	1997-06-30	PRIJEM	\N	84	19363	UROK	\N	\N
3554522	731	1997-07-31	PRIJEM	\N	83	16584	UROK	\N	\N
3554523	731	1997-08-31	PRIJEM	\N	70	11993	UROK	\N	\N
3554524	731	1997-09-30	PRIJEM	\N	53	13384	UROK	\N	\N
3554525	731	1997-10-31	PRIJEM	\N	58	13380	UROK	\N	\N
3554526	731	1997-11-30	PRIJEM	\N	57	11976	UROK	\N	\N
3554527	731	1997-12-31	PRIJEM	\N	53	13367	UROK	\N	\N
3554528	731	1998-01-31	PRIJEM	\N	58	14044	UROK	\N	\N
3554529	731	1998-02-28	PRIJEM	\N	61	15443	UROK	\N	\N
3554530	731	1998-03-31	PRIJEM	\N	65	13347	UROK	\N	\N
3554531	731	1998-04-30	PRIJEM	\N	58	14143	UROK	\N	\N
3554532	731	1998-05-31	PRIJEM	\N	62	15543	UROK	\N	\N
3554533	731	1998-06-30	PRIJEM	\N	62	15744	UROK	\N	\N
3554534	731	1998-07-31	PRIJEM	\N	62	13985	UROK	\N	\N
3554535	731	1998-08-31	PRIJEM	\N	58	12681	UROK	\N	\N
3554536	731	1998-09-30	PRIJEM	\N	56	14075	UROK	\N	\N
3554537	731	1998-10-31	PRIJEM	\N	61	15475	UROK	\N	\N
3554538	731	1998-11-30	PRIJEM	\N	67	16880	UROK	\N	\N
3554539	731	1998-12-31	PRIJEM	\N	67	17136	UROK	\N	\N
3554540	732	1996-06-30	PRIJEM	\N	83	26083	UROK	\N	\N
3554541	732	1996-07-31	PRIJEM	\N	154	40370	UROK	\N	\N
3554542	732	1996-08-31	PRIJEM	\N	190	47393	UROK	\N	\N
3554543	732	1996-09-30	PRIJEM	\N	212	52238	UROK	\N	\N
3554544	732	1996-10-31	PRIJEM	\N	212	49554	UROK	\N	\N
3554545	732	1996-11-30	PRIJEM	\N	197	44600	UROK	\N	\N
3554546	732	1996-12-31	PRIJEM	\N	206	48822	UROK	\N	\N
3554547	732	1997-01-31	PRIJEM	\N	174	34105	UROK	\N	\N
3554548	732	1997-02-28	PRIJEM	\N	148	33023	UROK	\N	\N
3554549	732	1997-03-31	PRIJEM	\N	160	38972	UROK	\N	\N
3554550	732	1997-04-30	PRIJEM	\N	152	36434	UROK	\N	\N
3554551	732	1997-05-31	PRIJEM	\N	148	31991	UROK	\N	\N
3554552	732	1997-06-30	PRIJEM	\N	178	45025	UROK	\N	\N
3554553	732	1997-07-31	PRIJEM	\N	156	33311	UROK	\N	\N
3554554	732	1997-08-31	PRIJEM	\N	137	31517	UROK	\N	\N
3554555	732	1997-09-30	PRIJEM	\N	105	30912	UROK	\N	\N
3554556	732	1997-10-31	PRIJEM	\N	108	20509	UROK	\N	\N
3554557	732	1997-11-30	PRIJEM	\N	110	21008	UROK	\N	\N
3554558	732	1997-12-31	PRIJEM	\N	140	27324	UROK	\N	\N
3554559	732	1998-01-31	PRIJEM	\N	117	14651	UROK	\N	\N
3554560	732	1998-02-28	PRIJEM	\N	82	16842	UROK	\N	\N
3554561	732	1998-03-31	PRIJEM	\N	95	20026	UROK	\N	\N
3554562	732	1998-04-30	PRIJEM	\N	105	17520	UROK	\N	\N
3554563	732	1998-05-31	PRIJEM	\N	92	13701	UROK	\N	\N
3554564	732	1998-06-30	PRIJEM	\N	96	19453	UROK	\N	\N
3554565	732	1998-07-31	PRIJEM	\N	98	14740	UROK	\N	\N
3554566	732	1998-08-31	PRIJEM	\N	80	14909	UROK	\N	\N
3554567	732	1998-09-30	PRIJEM	\N	78	13877	UROK	\N	\N
3554568	732	1998-10-31	PRIJEM	\N	85	25752	UROK	\N	\N
3554569	732	1998-11-30	PRIJEM	\N	115	18356	UROK	\N	\N
3554570	732	1998-12-31	PRIJEM	\N	120	37772	UROK	\N	\N
3554571	734	1996-04-30	PRIJEM	\N	9	3719	UROK	\N	\N
3554572	734	1996-05-31	PRIJEM	\N	16	7145	UROK	\N	\N
3554573	734	1996-06-30	PRIJEM	\N	16	10570	UROK	\N	\N
3554574	734	1996-07-31	PRIJEM	\N	16	13996	UROK	\N	\N
3554575	734	1996-08-31	PRIJEM	\N	17	17423	UROK	\N	\N
3554576	734	1996-09-30	PRIJEM	\N	76	18666	UROK	\N	\N
3554577	734	1996-10-31	PRIJEM	\N	81	19914	UROK	\N	\N
3554578	734	1996-11-30	PRIJEM	\N	86	21167	UROK	\N	\N
3554579	734	1996-12-31	PRIJEM	\N	85	19539	UROK	\N	\N
3554580	734	1997-01-31	PRIJEM	\N	77	17813	UROK	\N	\N
3554581	734	1997-02-28	PRIJEM	\N	77	19058	UROK	\N	\N
3554582	734	1997-03-31	PRIJEM	\N	77	17732	UROK	\N	\N
3554583	734	1997-04-30	PRIJEM	\N	77	18976	UROK	\N	\N
3554584	734	1997-05-31	PRIJEM	\N	80	19923	UROK	\N	\N
3554585	734	1997-06-30	PRIJEM	\N	77	18767	UROK	\N	\N
3554586	734	1997-07-31	PRIJEM	\N	81	20016	UROK	\N	\N
3554587	734	1997-08-31	PRIJEM	\N	86	21269	UROK	\N	\N
3554588	734	1997-09-30	PRIJEM	\N	91	21868	UROK	\N	\N
3554589	734	1997-10-31	PRIJEM	\N	84	15920	UROK	\N	\N
3554590	734	1997-11-30	PRIJEM	\N	69	16026	UROK	\N	\N
3554591	734	1997-12-31	PRIJEM	\N	69	16782	UROK	\N	\N
3554592	734	1998-01-31	PRIJEM	\N	65	14414	UROK	\N	\N
3554593	734	1998-02-28	PRIJEM	\N	59	14091	UROK	\N	\N
3554594	734	1998-03-31	PRIJEM	\N	61	15319	UROK	\N	\N
3554595	734	1998-04-30	PRIJEM	\N	66	16553	UROK	\N	\N
3554596	734	1998-05-31	PRIJEM	\N	67	11998	UROK	\N	\N
3554597	734	1998-06-30	PRIJEM	\N	53	13218	UROK	\N	\N
3554598	734	1998-07-31	PRIJEM	\N	58	14443	UROK	\N	\N
3554599	734	1998-08-31	PRIJEM	\N	63	15673	UROK	\N	\N
3554600	734	1998-09-30	PRIJEM	\N	68	16908	UROK	\N	\N
3554601	734	1998-10-31	PRIJEM	\N	73	18149	UROK	\N	\N
3554602	734	1998-11-30	PRIJEM	\N	74	17921	UROK	\N	\N
3554603	734	1998-12-31	PRIJEM	\N	74	17542	UROK	\N	\N
3554604	735	1998-02-28	PRIJEM	\N	5	30745	UROK	\N	\N
3554605	735	1998-03-31	PRIJEM	\N	131	31933	UROK	\N	\N
3554606	735	1998-04-30	PRIJEM	\N	129	29919	UROK	\N	\N
3554607	735	1998-05-31	PRIJEM	\N	105	20601	UROK	\N	\N
3554608	735	1998-06-30	PRIJEM	\N	90	22649	UROK	\N	\N
3554609	735	1998-07-31	PRIJEM	\N	90	19676	UROK	\N	\N
3554610	735	1998-08-31	PRIJEM	\N	88	22222	UROK	\N	\N
3554611	735	1998-09-30	PRIJEM	\N	98	24777	UROK	\N	\N
3554612	735	1998-10-31	PRIJEM	\N	109	27344	UROK	\N	\N
3554613	735	1998-11-30	PRIJEM	\N	120	29920	UROK	\N	\N
3554614	735	1998-12-31	PRIJEM	\N	123	30181	UROK	\N	\N
3554615	736	1997-12-31	PRIJEM	\N	11	4542	UROK	\N	\N
3554616	736	1998-01-31	PRIJEM	\N	19	8592	UROK	\N	\N
3554617	736	1998-02-28	PRIJEM	\N	19	12642	UROK	\N	\N
3554618	736	1998-03-31	PRIJEM	\N	19	16692	UROK	\N	\N
3554619	736	1998-04-30	PRIJEM	\N	21	20744	UROK	\N	\N
3554620	736	1998-05-31	PRIJEM	\N	91	22732	UROK	\N	\N
3554621	736	1998-06-30	PRIJEM	\N	81	15260	UROK	\N	\N
3554622	736	1998-07-31	PRIJEM	\N	68	17226	UROK	\N	\N
3554623	736	1998-08-31	PRIJEM	\N	76	19200	UROK	\N	\N
3554624	736	1998-09-30	PRIJEM	\N	84	21181	UROK	\N	\N
3554625	736	1998-10-31	PRIJEM	\N	90	21569	UROK	\N	\N
3554626	736	1998-11-30	PRIJEM	\N	88	22434	UROK	\N	\N
3554627	736	1998-12-31	PRIJEM	\N	93	23074	UROK	\N	\N
3554628	737	1993-12-31	PRIJEM	\N	14	5211	UROK	\N	\N
3554629	737	1994-01-31	PRIJEM	\N	22	9730	UROK	\N	\N
3554630	737	1994-02-28	PRIJEM	\N	22	14248	UROK	\N	\N
3554631	737	1994-03-31	PRIJEM	\N	22	18767	UROK	\N	\N
3554632	737	1994-04-30	PRIJEM	\N	24	23288	UROK	\N	\N
3554633	737	1994-05-31	PRIJEM	\N	102	25055	UROK	\N	\N
3554634	737	1994-06-30	PRIJEM	\N	97	23617	UROK	\N	\N
3554635	737	1994-07-31	PRIJEM	\N	103	25386	UROK	\N	\N
3554636	737	1994-08-31	PRIJEM	\N	110	27161	UROK	\N	\N
3554637	737	1994-09-30	PRIJEM	\N	118	28944	UROK	\N	\N
3554638	737	1994-10-31	PRIJEM	\N	125	30735	UROK	\N	\N
3554639	737	1994-11-30	PRIJEM	\N	124	30424	UROK	\N	\N
3554640	737	1994-12-31	PRIJEM	\N	116	27695	UROK	\N	\N
3554641	737	1995-01-31	PRIJEM	\N	114	28024	UROK	\N	\N
3554642	737	1995-02-28	PRIJEM	\N	121	29811	UROK	\N	\N
3554643	737	1995-03-31	PRIJEM	\N	117	28593	UROK	\N	\N
3554644	737	1995-04-30	PRIJEM	\N	108	25967	UROK	\N	\N
3554645	737	1995-05-31	PRIJEM	\N	98	21930	UROK	\N	\N
3554646	737	1995-06-30	PRIJEM	\N	64	15799	UROK	\N	\N
3554647	737	1995-07-31	PRIJEM	\N	70	17535	UROK	\N	\N
3554648	737	1995-08-31	PRIJEM	\N	74	17754	UROK	\N	\N
3554649	737	1995-09-30	PRIJEM	\N	78	19097	UROK	\N	\N
3554650	737	1995-10-31	PRIJEM	\N	82	18925	UROK	\N	\N
3554651	737	1995-11-30	PRIJEM	\N	81	19871	UROK	\N	\N
3554652	737	1995-12-31	PRIJEM	\N	78	18835	UROK	\N	\N
3554653	737	1996-01-31	PRIJEM	\N	78	18578	UROK	\N	\N
3554654	737	1996-02-29	PRIJEM	\N	81	20324	UROK	\N	\N
3554655	737	1996-03-31	PRIJEM	\N	89	22079	UROK	\N	\N
3554656	737	1996-04-30	PRIJEM	\N	96	23840	UROK	\N	\N
3554657	737	1996-05-31	PRIJEM	\N	102	24207	UROK	\N	\N
3554658	737	1996-06-30	PRIJEM	\N	103	18625	UROK	\N	\N
3554659	737	1996-07-31	PRIJEM	\N	81	20272	UROK	\N	\N
3554660	737	1996-08-31	PRIJEM	\N	88	22026	UROK	\N	\N
3554661	737	1996-09-30	PRIJEM	\N	96	23787	UROK	\N	\N
3554662	737	1996-10-31	PRIJEM	\N	102	24754	UROK	\N	\N
3554663	737	1996-11-30	PRIJEM	\N	106	26126	UROK	\N	\N
3554664	737	1996-12-31	PRIJEM	\N	112	26753	UROK	\N	\N
3554665	737	1997-01-31	PRIJEM	\N	106	26024	UROK	\N	\N
3554666	737	1997-02-28	PRIJEM	\N	112	27801	UROK	\N	\N
3554667	737	1997-03-31	PRIJEM	\N	119	29585	UROK	\N	\N
3554668	737	1997-04-30	PRIJEM	\N	118	28889	UROK	\N	\N
3554669	737	1997-05-31	PRIJEM	\N	124	30678	UROK	\N	\N
3554670	737	1997-06-30	PRIJEM	\N	129	23672	UROK	\N	\N
3554671	737	1997-07-31	PRIJEM	\N	102	25439	UROK	\N	\N
3554672	737	1997-08-31	PRIJEM	\N	102	24646	UROK	\N	\N
3554673	737	1997-09-30	PRIJEM	\N	103	21775	UROK	\N	\N
3554674	737	1997-10-31	PRIJEM	\N	94	23534	UROK	\N	\N
3554675	737	1997-11-30	PRIJEM	\N	92	20091	UROK	\N	\N
3554676	737	1997-12-31	PRIJEM	\N	83	20739	UROK	\N	\N
3554677	737	1998-01-31	PRIJEM	\N	89	20593	UROK	\N	\N
3554678	737	1998-02-28	PRIJEM	\N	88	22346	UROK	\N	\N
3554679	737	1998-03-31	PRIJEM	\N	96	24108	UROK	\N	\N
3554680	737	1998-04-30	PRIJEM	\N	96	22669	UROK	\N	\N
3554681	737	1998-05-31	PRIJEM	\N	97	24432	UROK	\N	\N
3554682	737	1998-06-30	PRIJEM	\N	88	21635	UROK	\N	\N
3554683	737	1998-07-31	PRIJEM	\N	89	20029	UROK	\N	\N
3554684	737	1998-08-31	PRIJEM	\N	85	21139	UROK	\N	\N
3554685	737	1998-09-30	PRIJEM	\N	90	22895	UROK	\N	\N
3554686	737	1998-10-31	PRIJEM	\N	95	22175	UROK	\N	\N
3554687	737	1998-11-30	PRIJEM	\N	88	21448	UROK	\N	\N
3554688	737	1998-12-31	PRIJEM	\N	88	22501	UROK	\N	\N
3554689	738	1993-07-31	PRIJEM	\N	39	26486	UROK	\N	\N
3554690	738	1993-08-31	PRIJEM	\N	128	37461	UROK	\N	\N
3554691	738	1993-09-30	PRIJEM	\N	164	42572	UROK	\N	\N
3554692	738	1993-10-31	PRIJEM	\N	179	43597	UROK	\N	\N
3554693	738	1993-11-30	PRIJEM	\N	219	44940	UROK	\N	\N
3554694	738	1993-12-31	PRIJEM	\N	247	48869	UROK	\N	\N
3554695	738	1994-01-31	PRIJEM	\N	208	38487	UROK	\N	\N
3554696	738	1994-02-28	PRIJEM	\N	198	41695	UROK	\N	\N
3554697	738	1994-03-31	PRIJEM	\N	211	43615	UROK	\N	\N
3554698	738	1994-04-30	PRIJEM	\N	214	43738	UROK	\N	\N
3554699	738	1994-05-31	PRIJEM	\N	213	43661	UROK	\N	\N
3554700	738	1994-06-30	PRIJEM	\N	206	42849	UROK	\N	\N
3554701	738	1994-07-31	PRIJEM	\N	204	42762	UROK	\N	\N
3554702	738	1994-08-31	PRIJEM	\N	201	40672	UROK	\N	\N
3554703	738	1994-09-30	PRIJEM	\N	202	44284	UROK	\N	\N
3554704	738	1994-10-31	PRIJEM	\N	208	44201	UROK	\N	\N
3554705	738	1994-11-30	PRIJEM	\N	196	39507	UROK	\N	\N
3554706	738	1994-12-31	PRIJEM	\N	222	48510	UROK	\N	\N
3554707	738	1995-01-31	PRIJEM	\N	210	43830	UROK	\N	\N
3554708	738	1995-02-28	PRIJEM	\N	210	47549	UROK	\N	\N
3554709	738	1995-03-31	PRIJEM	\N	219	47778	UROK	\N	\N
3554710	738	1995-04-30	PRIJEM	\N	224	49511	UROK	\N	\N
3554711	738	1995-05-31	PRIJEM	\N	218	48738	UROK	\N	\N
3554712	738	1995-06-30	PRIJEM	\N	222	42242	UROK	\N	\N
3554713	738	1995-07-31	PRIJEM	\N	205	47257	UROK	\N	\N
3554714	738	1995-08-31	PRIJEM	\N	209	46975	UROK	\N	\N
3554715	738	1995-09-30	PRIJEM	\N	213	49398	UROK	\N	\N
3554716	738	1995-10-31	PRIJEM	\N	211	46018	UROK	\N	\N
3554717	738	1995-11-30	PRIJEM	\N	208	48635	UROK	\N	\N
3554718	738	1995-12-31	PRIJEM	\N	233	53850	UROK	\N	\N
3554719	738	1996-01-31	PRIJEM	\N	213	44272	UROK	\N	\N
3554720	738	1996-02-29	PRIJEM	\N	220	53002	UROK	\N	\N
3554721	738	1996-03-31	PRIJEM	\N	238	56749	UROK	\N	\N
3554722	738	1996-04-30	PRIJEM	\N	242	56800	UROK	\N	\N
3554723	738	1996-05-31	PRIJEM	\N	258	60567	UROK	\N	\N
3554724	738	1996-06-30	PRIJEM	\N	257	59307	UROK	\N	\N
3554725	738	1996-07-31	PRIJEM	\N	249	60065	UROK	\N	\N
3554726	738	1996-08-31	PRIJEM	\N	307	76181	UROK	\N	\N
3554727	738	1996-09-30	PRIJEM	\N	351	85942	UROK	\N	\N
3554728	738	1996-10-31	PRIJEM	\N	362	87713	UROK	\N	\N
3554729	738	1996-11-30	PRIJEM	\N	358	83780	UROK	\N	\N
3554730	738	1996-12-31	PRIJEM	\N	376	89039	UROK	\N	\N
3554731	738	1997-01-31	PRIJEM	\N	333	78282	UROK	\N	\N
3554732	738	1997-02-28	PRIJEM	\N	321	79912	UROK	\N	\N
3554733	738	1997-03-31	PRIJEM	\N	351	85773	UROK	\N	\N
3554734	738	1997-04-30	PRIJEM	\N	344	81826	UROK	\N	\N
3554735	738	1997-05-31	PRIJEM	\N	328	79664	UROK	\N	\N
3554736	738	1997-06-30	PRIJEM	\N	344	77190	UROK	\N	\N
3554737	738	1997-07-31	PRIJEM	\N	332	64532	UROK	\N	\N
3554738	738	1997-08-31	PRIJEM	\N	326	64268	UROK	\N	\N
3554739	738	1997-09-30	PRIJEM	\N	325	65402	UROK	\N	\N
3554740	738	1997-10-31	PRIJEM	\N	327	66438	UROK	\N	\N
3554741	738	1997-11-30	PRIJEM	\N	332	68980	UROK	\N	\N
3554742	738	1997-12-31	PRIJEM	\N	372	75134	UROK	\N	\N
3554743	738	1998-01-31	PRIJEM	\N	342	66386	UROK	\N	\N
3554744	738	1998-02-28	PRIJEM	\N	332	72927	UROK	\N	\N
3554745	738	1998-03-31	PRIJEM	\N	354	71991	UROK	\N	\N
3554746	738	1998-04-30	PRIJEM	\N	351	73051	UROK	\N	\N
3554747	738	1998-05-31	PRIJEM	\N	355	76015	UROK	\N	\N
3554748	738	1998-06-30	PRIJEM	\N	354	65752	UROK	\N	\N
3554749	738	1998-07-31	PRIJEM	\N	322	68583	UROK	\N	\N
3554750	738	1998-08-31	PRIJEM	\N	327	67820	UROK	\N	\N
3554751	738	1998-09-30	PRIJEM	\N	319	60948	UROK	\N	\N
3554752	738	1998-10-31	PRIJEM	\N	291	59548	UROK	\N	\N
3554753	738	1998-11-30	PRIJEM	\N	287	59944	UROK	\N	\N
3554754	738	1998-12-31	PRIJEM	\N	313	63939	UROK	\N	\N
3554755	739	1996-04-30	PRIJEM	\N	49	25161	UROK	\N	\N
3554756	739	1996-05-31	PRIJEM	\N	125	35398	UROK	\N	\N
3554757	739	1996-06-30	PRIJEM	\N	180	51096	UROK	\N	\N
3554758	739	1996-07-31	PRIJEM	\N	213	51721	UROK	\N	\N
3554759	739	1996-08-31	PRIJEM	\N	216	52449	UROK	\N	\N
3554760	739	1996-09-30	PRIJEM	\N	218	51561	UROK	\N	\N
3554761	739	1996-10-31	PRIJEM	\N	216	51371	UROK	\N	\N
3554762	739	1996-11-30	PRIJEM	\N	257	52121	UROK	\N	\N
3554763	739	1996-12-31	PRIJEM	\N	290	55610	UROK	\N	\N
3554764	739	1997-01-31	PRIJEM	\N	234	53558	UROK	\N	\N
3554765	739	1997-02-28	PRIJEM	\N	228	58580	UROK	\N	\N
3554766	739	1997-03-31	PRIJEM	\N	255	51368	UROK	\N	\N
3554767	739	1997-04-30	PRIJEM	\N	238	62300	UROK	\N	\N
3554768	739	1997-05-31	PRIJEM	\N	273	69067	UROK	\N	\N
3554769	739	1997-06-30	PRIJEM	\N	270	69576	UROK	\N	\N
3554770	739	1997-07-31	PRIJEM	\N	268	64738	UROK	\N	\N
3554771	739	1997-08-31	PRIJEM	\N	246	60478	UROK	\N	\N
3554772	739	1997-09-30	PRIJEM	\N	243	58513	UROK	\N	\N
3554773	739	1997-10-31	PRIJEM	\N	235	56741	UROK	\N	\N
3554774	739	1997-11-30	PRIJEM	\N	196	50151	UROK	\N	\N
3554775	739	1997-12-31	PRIJEM	\N	239	66690	UROK	\N	\N
3554776	739	1998-01-31	PRIJEM	\N	211	44174	UROK	\N	\N
3554777	739	1998-02-28	PRIJEM	\N	183	49250	UROK	\N	\N
3554778	739	1998-03-31	PRIJEM	\N	201	52845	UROK	\N	\N
3554779	739	1998-04-30	PRIJEM	\N	200	51238	UROK	\N	\N
3554780	739	1998-05-31	PRIJEM	\N	190	43461	UROK	\N	\N
3554781	739	1998-06-30	PRIJEM	\N	188	55549	UROK	\N	\N
3554782	739	1998-07-31	PRIJEM	\N	195	48437	UROK	\N	\N
3554783	739	1998-08-31	PRIJEM	\N	181	46611	UROK	\N	\N
3554784	739	1998-09-30	PRIJEM	\N	177	46182	UROK	\N	\N
3554785	739	1998-10-31	PRIJEM	\N	163	41638	UROK	\N	\N
3554786	739	1998-11-30	PRIJEM	\N	152	39783	UROK	\N	\N
3554787	739	1998-12-31	PRIJEM	\N	197	57080	UROK	\N	\N
3554788	742	1994-06-30	PRIJEM	\N	35	18000	UROK	\N	\N
3554789	742	1994-07-31	PRIJEM	\N	82	20283	UROK	\N	\N
3554790	742	1994-08-31	PRIJEM	\N	92	22575	UROK	\N	\N
3554791	742	1994-09-30	PRIJEM	\N	101	24877	UROK	\N	\N
3554792	742	1994-10-31	PRIJEM	\N	104	25342	UROK	\N	\N
3554793	742	1994-11-30	PRIJEM	\N	112	26454	UROK	\N	\N
3554794	742	1994-12-31	PRIJEM	\N	113	25467	UROK	\N	\N
3554795	742	1995-01-31	PRIJEM	\N	92	17509	UROK	\N	\N
3554796	742	1995-02-28	PRIJEM	\N	80	19789	UROK	\N	\N
3554797	742	1995-03-31	PRIJEM	\N	90	21979	UROK	\N	\N
3554798	742	1995-04-30	PRIJEM	\N	97	22677	UROK	\N	\N
3554799	742	1995-05-31	PRIJEM	\N	102	24979	UROK	\N	\N
3554800	742	1995-06-30	PRIJEM	\N	102	22731	UROK	\N	\N
3554801	742	1995-07-31	PRIJEM	\N	100	23532	UROK	\N	\N
3554802	742	1995-08-31	PRIJEM	\N	105	25837	UROK	\N	\N
3554803	742	1995-09-30	PRIJEM	\N	108	25426	UROK	\N	\N
3554804	742	1995-10-31	PRIJEM	\N	106	23232	UROK	\N	\N
3554805	742	1995-11-30	PRIJEM	\N	98	21971	UROK	\N	\N
3554806	742	1995-12-31	PRIJEM	\N	98	23570	UROK	\N	\N
3554807	742	1996-01-31	PRIJEM	\N	73	14303	UROK	\N	\N
3554808	742	1996-02-29	PRIJEM	\N	60	13604	UROK	\N	\N
3554809	742	1996-03-31	PRIJEM	\N	61	14905	UROK	\N	\N
3554810	742	1996-04-30	PRIJEM	\N	67	15732	UROK	\N	\N
3554811	742	1996-05-31	PRIJEM	\N	73	18005	UROK	\N	\N
3554812	742	1996-06-30	PRIJEM	\N	79	18285	UROK	\N	\N
3554813	742	1996-07-31	PRIJEM	\N	69	16394	UROK	\N	\N
3554814	742	1996-08-31	PRIJEM	\N	75	18669	UROK	\N	\N
3554815	742	1996-09-30	PRIJEM	\N	81	19250	UROK	\N	\N
3554816	742	1996-10-31	PRIJEM	\N	87	21538	UROK	\N	\N
3554817	742	1996-11-30	PRIJEM	\N	95	22633	UROK	\N	\N
3554818	742	1996-12-31	PRIJEM	\N	90	19663	UROK	\N	\N
3554819	742	1997-01-31	PRIJEM	\N	82	16425	UROK	\N	\N
3554820	742	1997-02-28	PRIJEM	\N	75	18701	UROK	\N	\N
3554821	742	1997-03-31	PRIJEM	\N	83	20344	UROK	\N	\N
3554822	742	1997-04-30	PRIJEM	\N	91	22636	UROK	\N	\N
3554823	742	1997-05-31	PRIJEM	\N	101	24937	UROK	\N	\N
3554824	742	1997-06-30	PRIJEM	\N	95	20532	UROK	\N	\N
3554825	742	1997-07-31	PRIJEM	\N	86	20718	UROK	\N	\N
3554826	742	1997-08-31	PRIJEM	\N	93	23011	UROK	\N	\N
3554827	742	1997-09-30	PRIJEM	\N	100	24511	UROK	\N	\N
3554828	742	1997-10-31	PRIJEM	\N	108	26820	UROK	\N	\N
3554829	742	1997-11-30	PRIJEM	\N	94	20814	UROK	\N	\N
3554830	742	1997-12-31	PRIJEM	\N	92	22057	UROK	\N	\N
3554831	742	1998-01-31	PRIJEM	\N	78	16055	UROK	\N	\N
3554832	742	1998-02-28	PRIJEM	\N	73	18328	UROK	\N	\N
3554833	742	1998-03-31	PRIJEM	\N	82	19971	UROK	\N	\N
3554834	742	1998-04-30	PRIJEM	\N	87	18898	UROK	\N	\N
3554835	742	1998-05-31	PRIJEM	\N	70	17568	UROK	\N	\N
3554836	742	1998-06-30	PRIJEM	\N	79	19848	UROK	\N	\N
3554837	742	1998-07-31	PRIJEM	\N	87	21415	UROK	\N	\N
3554838	742	1998-08-31	PRIJEM	\N	95	23710	UROK	\N	\N
3554839	742	1998-09-30	PRIJEM	\N	104	26014	UROK	\N	\N
3554840	742	1998-10-31	PRIJEM	\N	114	28329	UROK	\N	\N
3554841	742	1998-11-30	PRIJEM	\N	123	30653	UROK	\N	\N
3554842	742	1998-12-31	PRIJEM	\N	116	26828	UROK	\N	\N
3554843	743	1993-11-30	PRIJEM	\N	17	4957	UROK	\N	\N
3554844	743	1993-12-31	PRIJEM	\N	21	9418	UROK	\N	\N
3554845	743	1994-01-31	PRIJEM	\N	21	13878	UROK	\N	\N
3554846	743	1994-02-28	PRIJEM	\N	21	18339	UROK	\N	\N
3554847	743	1994-03-31	PRIJEM	\N	72	20159	UROK	\N	\N
3554848	743	1994-04-30	PRIJEM	\N	88	18701	UROK	\N	\N
3554849	743	1994-05-31	PRIJEM	\N	84	20519	UROK	\N	\N
3554850	743	1994-06-30	PRIJEM	\N	89	21303	UROK	\N	\N
3554851	743	1994-07-31	PRIJEM	\N	90	19287	UROK	\N	\N
3554852	743	1994-08-31	PRIJEM	\N	86	21108	UROK	\N	\N
3554853	743	1994-09-30	PRIJEM	\N	94	22936	UROK	\N	\N
3554854	743	1994-10-31	PRIJEM	\N	101	24771	UROK	\N	\N
3554855	743	1994-11-30	PRIJEM	\N	107	26113	UROK	\N	\N
3554856	743	1994-12-31	PRIJEM	\N	111	26809	UROK	\N	\N
3554857	743	1995-01-31	PRIJEM	\N	100	16403	UROK	\N	\N
3554858	743	1995-02-28	PRIJEM	\N	74	18211	UROK	\N	\N
3554859	743	1995-03-31	PRIJEM	\N	74	17620	UROK	\N	\N
3554860	743	1995-04-30	PRIJEM	\N	79	19433	UROK	\N	\N
3554861	743	1995-05-31	PRIJEM	\N	87	21254	UROK	\N	\N
3554862	743	1995-06-30	PRIJEM	\N	88	20127	UROK	\N	\N
3554863	743	1995-07-31	PRIJEM	\N	90	21951	UROK	\N	\N
3554864	743	1995-08-31	PRIJEM	\N	90	21696	UROK	\N	\N
3554865	743	1995-09-30	PRIJEM	\N	89	20399	UROK	\N	\N
3554866	743	1995-10-31	PRIJEM	\N	86	20779	UROK	\N	\N
3554867	743	1995-11-30	PRIJEM	\N	92	22606	UROK	\N	\N
3554868	743	1995-12-31	PRIJEM	\N	99	24139	UROK	\N	\N
3554869	743	1996-01-31	PRIJEM	\N	88	16592	UROK	\N	\N
3554870	743	1996-02-29	PRIJEM	\N	74	18401	UROK	\N	\N
3554871	743	1996-03-31	PRIJEM	\N	82	20217	UROK	\N	\N
3554872	743	1996-04-30	PRIJEM	\N	90	22041	UROK	\N	\N
3554873	743	1996-05-31	PRIJEM	\N	97	23872	UROK	\N	\N
3554874	743	1996-06-30	PRIJEM	\N	101	23868	UROK	\N	\N
3554875	743	1996-07-31	PRIJEM	\N	105	25707	UROK	\N	\N
3554876	743	1996-08-31	PRIJEM	\N	112	27553	UROK	\N	\N
3554877	743	1996-09-30	PRIJEM	\N	120	29408	UROK	\N	\N
3554878	743	1996-10-31	PRIJEM	\N	128	31270	UROK	\N	\N
3554879	743	1996-11-30	PRIJEM	\N	134	29619	UROK	\N	\N
3554880	743	1996-12-31	PRIJEM	\N	127	30630	UROK	\N	\N
3554881	743	1997-01-31	PRIJEM	\N	110	19954	UROK	\N	\N
3554882	743	1997-02-28	PRIJEM	\N	80	18329	UROK	\N	\N
3554883	743	1997-03-31	PRIJEM	\N	81	20145	UROK	\N	\N
3554884	743	1997-04-30	PRIJEM	\N	89	21968	UROK	\N	\N
3554885	743	1997-05-31	PRIJEM	\N	96	23798	UROK	\N	\N
3554886	743	1997-06-30	PRIJEM	\N	95	21868	UROK	\N	\N
3554887	743	1997-07-31	PRIJEM	\N	96	23698	UROK	\N	\N
3554888	743	1997-08-31	PRIJEM	\N	98	23770	UROK	\N	\N
3554889	743	1997-09-30	PRIJEM	\N	104	25608	UROK	\N	\N
3554890	743	1997-10-31	PRIJEM	\N	111	27454	UROK	\N	\N
3554891	743	1997-11-30	PRIJEM	\N	119	29307	UROK	\N	\N
3554892	743	1997-12-31	PRIJEM	\N	111	26512	UROK	\N	\N
3554893	743	1998-01-31	PRIJEM	\N	94	17090	UROK	\N	\N
3554894	743	1998-02-28	PRIJEM	\N	75	18900	UROK	\N	\N
3554895	743	1998-03-31	PRIJEM	\N	83	20717	UROK	\N	\N
3554896	743	1998-04-30	PRIJEM	\N	80	17331	UROK	\N	\N
3554897	743	1998-05-31	PRIJEM	\N	75	16260	UROK	\N	\N
3554898	743	1998-06-30	PRIJEM	\N	72	18066	UROK	\N	\N
3554899	743	1998-07-31	PRIJEM	\N	79	19880	UROK	\N	\N
3554900	743	1998-08-31	PRIJEM	\N	87	21700	UROK	\N	\N
3554901	743	1998-09-30	PRIJEM	\N	94	23529	UROK	\N	\N
3554902	743	1998-10-31	PRIJEM	\N	102	25365	UROK	\N	\N
3554903	743	1998-11-30	PRIJEM	\N	109	27208	UROK	\N	\N
3554904	743	1998-12-31	PRIJEM	\N	100	24382	UROK	\N	\N
3554905	744	1993-03-31	PRIJEM	\N	16	6156	UROK	\N	\N
3554906	744	1993-04-30	PRIJEM	\N	26	11921	UROK	\N	\N
3554907	744	1993-05-31	PRIJEM	\N	26	17687	UROK	\N	\N
3554908	744	1993-06-30	PRIJEM	\N	26	23452	UROK	\N	\N
3554909	744	1993-07-31	PRIJEM	\N	29	29221	UROK	\N	\N
3554910	744	1993-08-31	PRIJEM	\N	131	32912	UROK	\N	\N
3554911	744	1993-09-30	PRIJEM	\N	125	30498	UROK	\N	\N
3554912	744	1993-10-31	PRIJEM	\N	122	30000	UROK	\N	\N
3554913	744	1993-11-30	PRIJEM	\N	119	29580	UROK	\N	\N
3554914	744	1993-12-31	PRIJEM	\N	106	26716	UROK	\N	\N
3554915	744	1994-01-31	PRIJEM	\N	92	16549	UROK	\N	\N
3554916	744	1994-02-28	PRIJEM	\N	77	20186	UROK	\N	\N
3554917	744	1994-03-31	PRIJEM	\N	93	23840	UROK	\N	\N
3554918	744	1994-04-30	PRIJEM	\N	101	25801	UROK	\N	\N
3554919	744	1994-05-31	PRIJEM	\N	117	29378	UROK	\N	\N
3554920	744	1994-06-30	PRIJEM	\N	128	22367	UROK	\N	\N
3554921	744	1994-07-31	PRIJEM	\N	102	26029	UROK	\N	\N
3554922	744	1994-08-31	PRIJEM	\N	111	28061	UROK	\N	\N
3554923	744	1994-09-30	PRIJEM	\N	124	28645	UROK	\N	\N
3554924	744	1994-10-31	PRIJEM	\N	121	27086	UROK	\N	\N
3554925	744	1994-11-30	PRIJEM	\N	120	29067	UROK	\N	\N
3554926	744	1994-12-31	PRIJEM	\N	126	26323	UROK	\N	\N
3554927	744	1995-01-31	PRIJEM	\N	85	15388	UROK	\N	\N
3554928	744	1995-02-28	PRIJEM	\N	72	18621	UROK	\N	\N
3554929	744	1995-03-31	PRIJEM	\N	86	22267	UROK	\N	\N
3554930	744	1995-04-30	PRIJEM	\N	101	25929	UROK	\N	\N
3554931	744	1995-05-31	PRIJEM	\N	107	27036	UROK	\N	\N
3554932	744	1995-06-30	PRIJEM	\N	106	16473	UROK	\N	\N
3554933	744	1995-07-31	PRIJEM	\N	77	20110	UROK	\N	\N
3554934	744	1995-08-31	PRIJEM	\N	91	22241	UROK	\N	\N
3554935	744	1995-09-30	PRIJEM	\N	100	25002	UROK	\N	\N
3554936	744	1995-10-31	PRIJEM	\N	99	23101	UROK	\N	\N
3554937	744	1995-11-30	PRIJEM	\N	104	26766	UROK	\N	\N
3554938	744	1995-12-31	PRIJEM	\N	111	26687	UROK	\N	\N
3554939	744	1996-01-31	PRIJEM	\N	76	14533	UROK	\N	\N
3554940	744	1996-02-29	PRIJEM	\N	68	18162	UROK	\N	\N
3554941	744	1996-03-31	PRIJEM	\N	79	18801	UROK	\N	\N
3554942	744	1996-04-30	PRIJEM	\N	78	17339	UROK	\N	\N
3554943	744	1996-05-31	PRIJEM	\N	77	18876	UROK	\N	\N
3554944	744	1996-06-30	PRIJEM	\N	73	15670	UROK	\N	\N
3554945	744	1996-07-31	PRIJEM	\N	66	15596	UROK	\N	\N
3554946	744	1996-08-31	PRIJEM	\N	64	14620	UROK	\N	\N
3554947	744	1996-09-30	PRIJEM	\N	59	13640	UROK	\N	\N
3554948	744	1996-10-31	PRIJEM	\N	65	17265	UROK	\N	\N
3554949	744	1996-11-30	PRIJEM	\N	67	15292	UROK	\N	\N
3554950	744	1996-12-31	PRIJEM	\N	71	17673	UROK	\N	\N
3554951	744	1997-01-31	PRIJEM	\N	74	14828	UROK	\N	\N
3554952	744	1997-02-28	PRIJEM	\N	68	17656	UROK	\N	\N
3554953	744	1997-03-31	PRIJEM	\N	81	21297	UROK	\N	\N
3554954	744	1997-04-30	PRIJEM	\N	71	14229	UROK	\N	\N
3554955	744	1997-05-31	PRIJEM	\N	67	17856	UROK	\N	\N
3554956	744	1997-06-30	PRIJEM	\N	78	19813	UROK	\N	\N
3554957	744	1997-07-31	PRIJEM	\N	90	23464	UROK	\N	\N
3554958	744	1997-08-31	PRIJEM	\N	105	27129	UROK	\N	\N
3554959	744	1997-09-30	PRIJEM	\N	119	29368	UROK	\N	\N
3554960	744	1997-10-31	PRIJEM	\N	129	33058	UROK	\N	\N
3554961	744	1997-11-30	PRIJEM	\N	134	33792	UROK	\N	\N
3554962	744	1997-12-31	PRIJEM	\N	145	36147	UROK	\N	\N
3554963	744	1998-01-31	PRIJEM	\N	133	24590	UROK	\N	\N
3554964	744	1998-02-28	PRIJEM	\N	107	27378	UROK	\N	\N
3554965	744	1998-03-31	PRIJEM	\N	121	31059	UROK	\N	\N
3554966	744	1998-04-30	PRIJEM	\N	135	32515	UROK	\N	\N
3554967	744	1998-05-31	PRIJEM	\N	142	36217	UROK	\N	\N
3554968	744	1998-06-30	PRIJEM	\N	130	30797	UROK	\N	\N
3554969	744	1998-07-31	PRIJEM	\N	135	34492	UROK	\N	\N
3554970	744	1998-08-31	PRIJEM	\N	136	31309	UROK	\N	\N
3554971	744	1998-09-30	PRIJEM	\N	136	35005	UROK	\N	\N
3554972	744	1998-10-31	PRIJEM	\N	152	38717	UROK	\N	\N
3554973	744	1998-11-30	PRIJEM	\N	153	36911	UROK	\N	\N
3554974	744	1998-12-31	PRIJEM	\N	159	40280	UROK	\N	\N
3554975	745	1997-10-31	PRIJEM	\N	14	5852	UROK	\N	\N
3554976	745	1997-11-30	PRIJEM	\N	24	10614	UROK	\N	\N
3554977	745	1997-12-31	PRIJEM	\N	24	15377	UROK	\N	\N
3554978	745	1998-01-31	PRIJEM	\N	24	20139	UROK	\N	\N
3554979	745	1998-02-28	PRIJEM	\N	67	22979	UROK	\N	\N
3554980	745	1998-03-31	PRIJEM	\N	107	25844	UROK	\N	\N
3554981	745	1998-04-30	PRIJEM	\N	97	22439	UROK	\N	\N
3554982	745	1998-05-31	PRIJEM	\N	105	25302	UROK	\N	\N
3554983	745	1998-06-30	PRIJEM	\N	112	22303	UROK	\N	\N
3554984	745	1998-07-31	PRIJEM	\N	100	25161	UROK	\N	\N
3554985	745	1998-08-31	PRIJEM	\N	109	25027	UROK	\N	\N
3554986	745	1998-09-30	PRIJEM	\N	104	25090	UROK	\N	\N
3554987	745	1998-10-31	PRIJEM	\N	107	25395	UROK	\N	\N
3554988	745	1998-11-30	PRIJEM	\N	107	26161	UROK	\N	\N
3554989	745	1998-12-31	PRIJEM	\N	104	25423	UROK	\N	\N
3554990	746	1995-10-31	PRIJEM	\N	56	22994	UROK	\N	\N
3554991	746	1995-11-30	PRIJEM	\N	100	24805	UROK	\N	\N
3554992	746	1995-12-31	PRIJEM	\N	101	22337	UROK	\N	\N
3554993	746	1996-01-31	PRIJEM	\N	96	22745	UROK	\N	\N
3554994	746	1996-02-29	PRIJEM	\N	99	23255	UROK	\N	\N
3554995	746	1996-03-31	PRIJEM	\N	94	20881	UROK	\N	\N
3554996	746	1996-04-30	PRIJEM	\N	91	22683	UROK	\N	\N
3554997	746	1996-05-31	PRIJEM	\N	100	23694	UROK	\N	\N
3554998	746	1996-06-30	PRIJEM	\N	103	25508	UROK	\N	\N
3554999	746	1996-07-31	PRIJEM	\N	110	26029	UROK	\N	\N
3555000	746	1996-08-31	PRIJEM	\N	114	27255	UROK	\N	\N
3555001	746	1996-09-30	PRIJEM	\N	119	28285	UROK	\N	\N
3555002	746	1996-10-31	PRIJEM	\N	120	28416	UROK	\N	\N
3555003	746	1996-11-30	PRIJEM	\N	109	25577	UROK	\N	\N
3555004	746	1996-12-31	PRIJEM	\N	105	21393	UROK	\N	\N
3555005	746	1997-01-31	PRIJEM	\N	92	19437	UROK	\N	\N
3555006	746	1997-02-28	PRIJEM	\N	82	19871	UROK	\N	\N
3555007	746	1997-03-31	PRIJEM	\N	79	16861	UROK	\N	\N
3555008	746	1997-04-30	PRIJEM	\N	74	16746	UROK	\N	\N
3555009	746	1997-05-31	PRIJEM	\N	74	18531	UROK	\N	\N
3555010	746	1997-06-30	PRIJEM	\N	80	18322	UROK	\N	\N
3555011	746	1997-07-31	PRIJEM	\N	80	20114	UROK	\N	\N
3555012	746	1997-08-31	PRIJEM	\N	86	20151	UROK	\N	\N
3555013	746	1997-09-30	PRIJEM	\N	86	19048	UROK	\N	\N
3555014	746	1997-10-31	PRIJEM	\N	83	20842	UROK	\N	\N
3555015	746	1997-11-30	PRIJEM	\N	90	22644	UROK	\N	\N
3555016	746	1997-12-31	PRIJEM	\N	98	22353	UROK	\N	\N
3555017	746	1998-01-31	PRIJEM	\N	95	21200	UROK	\N	\N
3555018	746	1998-02-28	PRIJEM	\N	92	23003	UROK	\N	\N
3555019	746	1998-03-31	PRIJEM	\N	99	24013	UROK	\N	\N
3555020	746	1998-04-30	PRIJEM	\N	103	25727	UROK	\N	\N
3555021	746	1998-05-31	PRIJEM	\N	110	26749	UROK	\N	\N
3555022	746	1998-06-30	PRIJEM	\N	112	26272	UROK	\N	\N
3555023	746	1998-07-31	PRIJEM	\N	113	28096	UROK	\N	\N
3555024	746	1998-08-31	PRIJEM	\N	118	28526	UROK	\N	\N
3555025	746	1998-09-30	PRIJEM	\N	122	30359	UROK	\N	\N
3555026	746	1998-10-31	PRIJEM	\N	130	32200	UROK	\N	\N
3555027	746	1998-11-30	PRIJEM	\N	137	34049	UROK	\N	\N
3555028	746	1998-12-31	PRIJEM	\N	143	34903	UROK	\N	\N
3555029	747	1993-08-31	PRIJEM	\N	14	5123	UROK	\N	\N
3555030	747	1993-09-30	PRIJEM	\N	61	19594	UROK	\N	\N
3555031	747	1993-10-31	PRIJEM	\N	101	26403	UROK	\N	\N
3555032	747	1993-11-30	PRIJEM	\N	119	29932	UROK	\N	\N
3555033	747	1993-12-31	PRIJEM	\N	138	33763	UROK	\N	\N
3555034	747	1994-01-31	PRIJEM	\N	102	18848	UROK	\N	\N
3555035	747	1994-02-28	PRIJEM	\N	87	17737	UROK	\N	\N
3555036	747	1994-03-31	PRIJEM	\N	93	24052	UROK	\N	\N
3555037	747	1994-04-30	PRIJEM	\N	101	25075	UROK	\N	\N
3555038	747	1994-05-31	PRIJEM	\N	105	22783	UROK	\N	\N
3555039	747	1994-06-30	PRIJEM	\N	88	21798	UROK	\N	\N
3555040	747	1994-07-31	PRIJEM	\N	91	20352	UROK	\N	\N
3555041	747	1994-08-31	PRIJEM	\N	89	22363	UROK	\N	\N
3555042	747	1994-09-30	PRIJEM	\N	86	20951	UROK	\N	\N
3555043	747	1994-10-31	PRIJEM	\N	97	24570	UROK	\N	\N
3555044	747	1994-11-30	PRIJEM	\N	100	24893	UROK	\N	\N
3555045	747	1994-12-31	PRIJEM	\N	109	27669	UROK	\N	\N
3555046	747	1995-01-31	PRIJEM	\N	80	19172	UROK	\N	\N
3555047	747	1995-02-28	PRIJEM	\N	83	20577	UROK	\N	\N
3555048	747	1995-03-31	PRIJEM	\N	80	16340	UROK	\N	\N
3555049	747	1995-04-30	PRIJEM	\N	74	19137	UROK	\N	\N
3555050	747	1995-05-31	PRIJEM	\N	91	23150	UROK	\N	\N
3555051	747	1995-06-30	PRIJEM	\N	97	24774	UROK	\N	\N
3555052	747	1995-07-31	PRIJEM	\N	100	21956	UROK	\N	\N
3555053	747	1995-08-31	PRIJEM	\N	95	22873	UROK	\N	\N
3555054	747	1995-09-30	PRIJEM	\N	98	23794	UROK	\N	\N
3555055	747	1995-10-31	PRIJEM	\N	99	18815	UROK	\N	\N
3555056	747	1995-11-30	PRIJEM	\N	79	16317	UROK	\N	\N
3555057	747	1995-12-31	PRIJEM	\N	67	16811	UROK	\N	\N
3555058	747	1996-01-31	PRIJEM	\N	62	15955	UROK	\N	\N
3555059	747	1996-02-29	PRIJEM	\N	71	19448	UROK	\N	\N
3555060	747	1996-03-31	PRIJEM	\N	81	17252	UROK	\N	\N
3555061	747	1996-04-30	PRIJEM	\N	72	15326	UROK	\N	\N
3555062	747	1996-05-31	PRIJEM	\N	68	18117	UROK	\N	\N
3555063	747	1996-06-30	PRIJEM	\N	81	18925	UROK	\N	\N
3555064	747	1996-07-31	PRIJEM	\N	77	18924	UROK	\N	\N
3555065	747	1996-08-31	PRIJEM	\N	81	19527	UROK	\N	\N
3555066	747	1996-09-30	PRIJEM	\N	73	18903	UROK	\N	\N
3555067	747	1996-10-31	PRIJEM	\N	81	19606	UROK	\N	\N
3555068	747	1996-11-30	PRIJEM	\N	79	17107	UROK	\N	\N
3555069	747	1996-12-31	PRIJEM	\N	72	17846	UROK	\N	\N
3555070	747	1997-01-31	PRIJEM	\N	61	15390	UROK	\N	\N
3555071	747	1997-02-28	PRIJEM	\N	72	20484	UROK	\N	\N
3555072	747	1997-03-31	PRIJEM	\N	89	22795	UROK	\N	\N
3555073	747	1997-04-30	PRIJEM	\N	96	23614	UROK	\N	\N
3555074	747	1997-05-31	PRIJEM	\N	94	23170	UROK	\N	\N
3555075	747	1997-06-30	PRIJEM	\N	102	24780	UROK	\N	\N
3555076	747	1997-07-31	PRIJEM	\N	96	22058	UROK	\N	\N
3555077	747	1997-08-31	PRIJEM	\N	99	25979	UROK	\N	\N
3555078	747	1997-09-30	PRIJEM	\N	109	26390	UROK	\N	\N
3555079	747	1997-10-31	PRIJEM	\N	112	24144	UROK	\N	\N
3555080	747	1997-11-30	PRIJEM	\N	107	27774	UROK	\N	\N
3555081	747	1997-12-31	PRIJEM	\N	101	23122	UROK	\N	\N
3555082	747	1998-01-31	PRIJEM	\N	87	19212	UROK	\N	\N
3555083	747	1998-02-28	PRIJEM	\N	94	26128	UROK	\N	\N
3555084	747	1998-03-31	PRIJEM	\N	104	28294	UROK	\N	\N
3555085	747	1998-04-30	PRIJEM	\N	100	24377	UROK	\N	\N
3555086	747	1998-05-31	PRIJEM	\N	102	25401	UROK	\N	\N
3555087	747	1998-06-30	PRIJEM	\N	98	22727	UROK	\N	\N
3555088	747	1998-07-31	PRIJEM	\N	97	24446	UROK	\N	\N
3555089	747	1998-08-31	PRIJEM	\N	102	25370	UROK	\N	\N
3555090	747	1998-09-30	PRIJEM	\N	109	27501	UROK	\N	\N
3555091	747	1998-10-31	PRIJEM	\N	97	21921	UROK	\N	\N
3555092	747	1998-11-30	PRIJEM	\N	86	21029	UROK	\N	\N
3555093	747	1998-12-31	PRIJEM	\N	83	18200	UROK	\N	\N
3555094	748	1993-05-31	PRIJEM	\N	52	16290	UROK	\N	\N
3555095	748	1993-06-30	PRIJEM	\N	99	25797	UROK	\N	\N
3555096	748	1993-07-31	PRIJEM	\N	119	29454	UROK	\N	\N
3555097	748	1993-08-31	PRIJEM	\N	157	31249	UROK	\N	\N
3555098	748	1993-09-30	PRIJEM	\N	129	28924	UROK	\N	\N
3555099	748	1993-10-31	PRIJEM	\N	129	30884	UROK	\N	\N
3555100	748	1993-11-30	PRIJEM	\N	114	24849	UROK	\N	\N
3555101	748	1993-12-31	PRIJEM	\N	122	27992	UROK	\N	\N
3555102	748	1994-01-31	PRIJEM	\N	88	13831	UROK	\N	\N
3555103	748	1994-02-28	PRIJEM	\N	97	24960	UROK	\N	\N
3555104	748	1994-03-31	PRIJEM	\N	112	24163	UROK	\N	\N
3555105	748	1994-04-30	PRIJEM	\N	111	26645	UROK	\N	\N
3555106	748	1994-05-31	PRIJEM	\N	117	27893	UROK	\N	\N
3555107	748	1994-06-30	PRIJEM	\N	104	25217	UROK	\N	\N
3555108	748	1994-07-31	PRIJEM	\N	126	30975	UROK	\N	\N
3555109	748	1994-08-31	PRIJEM	\N	139	32946	UROK	\N	\N
3555110	748	1994-09-30	PRIJEM	\N	121	27478	UROK	\N	\N
3555111	748	1994-10-31	PRIJEM	\N	108	23817	UROK	\N	\N
3555112	748	1994-11-30	PRIJEM	\N	110	28758	UROK	\N	\N
3555113	748	1994-12-31	PRIJEM	\N	136	30275	UROK	\N	\N
3555114	748	1995-01-31	PRIJEM	\N	96	23681	UROK	\N	\N
3555115	748	1995-02-28	PRIJEM	\N	106	28379	UROK	\N	\N
3555116	748	1995-03-31	PRIJEM	\N	128	30038	UROK	\N	\N
3555117	748	1995-04-30	PRIJEM	\N	135	33605	UROK	\N	\N
3555118	748	1995-05-31	PRIJEM	\N	147	31983	UROK	\N	\N
3555119	748	1995-06-30	PRIJEM	\N	125	27608	UROK	\N	\N
3555120	748	1995-07-31	PRIJEM	\N	123	28063	UROK	\N	\N
3555121	748	1995-08-31	PRIJEM	\N	127	31521	UROK	\N	\N
3555122	748	1995-09-30	PRIJEM	\N	138	32650	UROK	\N	\N
3555123	748	1995-10-31	PRIJEM	\N	143	32824	UROK	\N	\N
3555124	748	1995-11-30	PRIJEM	\N	142	31497	UROK	\N	\N
3555125	748	1995-12-31	PRIJEM	\N	150	35748	UROK	\N	\N
3555126	748	1996-01-31	PRIJEM	\N	130	22610	UROK	\N	\N
3555127	748	1996-02-29	PRIJEM	\N	108	30249	UROK	\N	\N
3555128	748	1996-03-31	PRIJEM	\N	135	33316	UROK	\N	\N
3555129	748	1996-04-30	PRIJEM	\N	145	34192	UROK	\N	\N
3555130	748	1996-05-31	PRIJEM	\N	151	37175	UROK	\N	\N
3555131	748	1996-06-30	PRIJEM	\N	162	29737	UROK	\N	\N
3555132	748	1996-07-31	PRIJEM	\N	128	32616	UROK	\N	\N
3555133	748	1996-08-31	PRIJEM	\N	147	37294	UROK	\N	\N
3555134	748	1996-09-30	PRIJEM	\N	153	38739	UROK	\N	\N
3555135	748	1996-10-31	PRIJEM	\N	170	42740	UROK	\N	\N
3555136	748	1996-11-30	PRIJEM	\N	181	45273	UROK	\N	\N
3555137	748	1996-12-31	PRIJEM	\N	200	44453	UROK	\N	\N
3555138	748	1997-01-31	PRIJEM	\N	180	40525	UROK	\N	\N
3555139	748	1997-02-28	PRIJEM	\N	179	43435	UROK	\N	\N
3555140	748	1997-03-31	PRIJEM	\N	204	55151	UROK	\N	\N
3555141	748	1997-04-30	PRIJEM	\N	232	56674	UROK	\N	\N
3555142	748	1997-05-31	PRIJEM	\N	251	63657	UROK	\N	\N
3555143	748	1997-06-30	PRIJEM	\N	232	50089	UROK	\N	\N
3555144	748	1997-07-31	PRIJEM	\N	228	58749	UROK	\N	\N
3555145	748	1997-08-31	PRIJEM	\N	249	61029	UROK	\N	\N
3555146	748	1997-09-30	PRIJEM	\N	260	61000	UROK	\N	\N
3555147	748	1997-10-31	PRIJEM	\N	267	66598	UROK	\N	\N
3555148	748	1997-11-30	PRIJEM	\N	298	75528	UROK	\N	\N
3555149	748	1997-12-31	PRIJEM	\N	320	76829	UROK	\N	\N
3555150	748	1998-01-31	PRIJEM	\N	292	56632	UROK	\N	\N
3555151	748	1998-02-28	PRIJEM	\N	262	67326	UROK	\N	\N
3555152	748	1998-03-31	PRIJEM	\N	301	76058	UROK	\N	\N
3555153	748	1998-04-30	PRIJEM	\N	335	83824	UROK	\N	\N
3555154	748	1998-05-31	PRIJEM	\N	367	91422	UROK	\N	\N
3555155	748	1998-06-30	PRIJEM	\N	368	76730	UROK	\N	\N
3555156	748	1998-07-31	PRIJEM	\N	353	89815	UROK	\N	\N
3555157	748	1998-08-31	PRIJEM	\N	385	94831	UROK	\N	\N
3555158	748	1998-09-30	PRIJEM	\N	400	97962	UROK	\N	\N
3555159	748	1998-10-31	PRIJEM	\N	400	94233	UROK	\N	\N
3555160	748	1998-11-30	PRIJEM	\N	380	92245	UROK	\N	\N
3555161	748	1998-12-31	PRIJEM	\N	397	95782	UROK	\N	\N
3555162	749	1997-04-30	PRIJEM	\N	24	19479	UROK	\N	\N
3555163	749	1997-05-31	PRIJEM	\N	90	26525	UROK	\N	\N
3555164	749	1997-06-30	PRIJEM	\N	123	35429	UROK	\N	\N
3555165	749	1997-07-31	PRIJEM	\N	148	36333	UROK	\N	\N
3555166	749	1997-08-31	PRIJEM	\N	148	30992	UROK	\N	\N
3555167	749	1997-09-30	PRIJEM	\N	130	29295	UROK	\N	\N
3555168	749	1997-10-31	PRIJEM	\N	125	29092	UROK	\N	\N
3555169	749	1997-11-30	PRIJEM	\N	112	26637	UROK	\N	\N
3555170	749	1997-12-31	PRIJEM	\N	115	27872	UROK	\N	\N
3555171	749	1998-01-31	PRIJEM	\N	125	28069	UROK	\N	\N
3555172	749	1998-02-28	PRIJEM	\N	140	38982	UROK	\N	\N
3555173	749	1998-03-31	PRIJEM	\N	166	41300	UROK	\N	\N
3555174	749	1998-04-30	PRIJEM	\N	170	39043	UROK	\N	\N
3555175	749	1998-05-31	PRIJEM	\N	164	39339	UROK	\N	\N
3555176	749	1998-06-30	PRIJEM	\N	157	38076	UROK	\N	\N
3555177	749	1998-07-31	PRIJEM	\N	149	32798	UROK	\N	\N
3555178	749	1998-08-31	PRIJEM	\N	136	31906	UROK	\N	\N
3555179	749	1998-09-30	PRIJEM	\N	143	35822	UROK	\N	\N
3555180	749	1998-10-31	PRIJEM	\N	156	38050	UROK	\N	\N
3555181	749	1998-11-30	PRIJEM	\N	149	34831	UROK	\N	\N
3555182	749	1998-12-31	PRIJEM	\N	134	30205	UROK	\N	\N
3555183	750	1993-10-31	PRIJEM	\N	48	21872	UROK	\N	\N
3555184	750	1993-11-30	PRIJEM	\N	132	39828	UROK	\N	\N
3555185	750	1993-12-31	PRIJEM	\N	218	59382	UROK	\N	\N
3555186	750	1994-01-31	PRIJEM	\N	240	56845	UROK	\N	\N
3555187	750	1994-02-28	PRIJEM	\N	222	51176	UROK	\N	\N
3555188	750	1994-03-31	PRIJEM	\N	218	46888	UROK	\N	\N
3555189	750	1994-04-30	PRIJEM	\N	192	45674	UROK	\N	\N
3555190	750	1994-05-31	PRIJEM	\N	180	41509	UROK	\N	\N
3555191	750	1994-06-30	PRIJEM	\N	187	26963	UROK	\N	\N
3555192	750	1994-07-31	PRIJEM	\N	135	35392	UROK	\N	\N
3555193	750	1994-08-31	PRIJEM	\N	166	42352	UROK	\N	\N
3555194	750	1994-09-30	PRIJEM	\N	182	44628	UROK	\N	\N
3555195	750	1994-10-31	PRIJEM	\N	176	40219	UROK	\N	\N
3555196	750	1994-11-30	PRIJEM	\N	176	43309	UROK	\N	\N
3555197	750	1994-12-31	PRIJEM	\N	209	49864	UROK	\N	\N
3555198	750	1995-01-31	PRIJEM	\N	163	31581	UROK	\N	\N
3555199	750	1995-02-28	PRIJEM	\N	166	38961	UROK	\N	\N
3555200	750	1995-03-31	PRIJEM	\N	170	42125	UROK	\N	\N
3555201	750	1995-04-30	PRIJEM	\N	192	48612	UROK	\N	\N
3555202	750	1995-05-31	PRIJEM	\N	211	51917	UROK	\N	\N
3555203	750	1995-06-30	PRIJEM	\N	183	30006	UROK	\N	\N
3555204	750	1995-07-31	PRIJEM	\N	160	43160	UROK	\N	\N
3555205	750	1995-08-31	PRIJEM	\N	199	46114	UROK	\N	\N
3555206	750	1995-09-30	PRIJEM	\N	195	41843	UROK	\N	\N
3555207	750	1995-10-31	PRIJEM	\N	206	47844	UROK	\N	\N
3555208	750	1995-11-30	PRIJEM	\N	215	54053	UROK	\N	\N
3555209	750	1995-12-31	PRIJEM	\N	236	63316	UROK	\N	\N
3555210	750	1996-01-31	PRIJEM	\N	159	31929	UROK	\N	\N
3555211	750	1996-02-29	PRIJEM	\N	159	42282	UROK	\N	\N
3555212	750	1996-03-31	PRIJEM	\N	206	39383	UROK	\N	\N
3555213	750	1996-04-30	PRIJEM	\N	193	39471	UROK	\N	\N
3555214	750	1996-05-31	PRIJEM	\N	181	41107	UROK	\N	\N
3555215	750	1996-06-30	PRIJEM	\N	178	31631	UROK	\N	\N
3555216	750	1996-07-31	PRIJEM	\N	169	36995	UROK	\N	\N
3555217	750	1996-08-31	PRIJEM	\N	189	41078	UROK	\N	\N
3555218	750	1996-09-30	PRIJEM	\N	182	38914	UROK	\N	\N
3555219	750	1996-10-31	PRIJEM	\N	196	44205	UROK	\N	\N
3555220	750	1996-11-30	PRIJEM	\N	198	43577	UROK	\N	\N
3555221	750	1996-12-31	PRIJEM	\N	230	52974	UROK	\N	\N
3555222	750	1997-01-31	PRIJEM	\N	222	45130	UROK	\N	\N
3555223	750	1997-02-28	PRIJEM	\N	218	50242	UROK	\N	\N
3555224	750	1997-03-31	PRIJEM	\N	226	51962	UROK	\N	\N
3555225	750	1997-04-30	PRIJEM	\N	226	50263	UROK	\N	\N
3555226	750	1997-05-31	PRIJEM	\N	239	54896	UROK	\N	\N
3555227	750	1997-06-30	PRIJEM	\N	250	49912	UROK	\N	\N
3555228	750	1997-07-31	PRIJEM	\N	222	51328	UROK	\N	\N
3555229	750	1997-08-31	PRIJEM	\N	225	50848	UROK	\N	\N
3555230	750	1997-09-30	PRIJEM	\N	220	50163	UROK	\N	\N
3555231	750	1997-10-31	PRIJEM	\N	229	51986	UROK	\N	\N
3555232	750	1997-11-30	PRIJEM	\N	227	53707	UROK	\N	\N
3555233	750	1997-12-31	PRIJEM	\N	233	51326	UROK	\N	\N
3555234	750	1998-01-31	PRIJEM	\N	179	32500	UROK	\N	\N
3555235	750	1998-02-28	PRIJEM	\N	156	38250	UROK	\N	\N
3555236	750	1998-03-31	PRIJEM	\N	180	43125	UROK	\N	\N
3555237	750	1998-04-30	PRIJEM	\N	191	46710	UROK	\N	\N
3555238	750	1998-05-31	PRIJEM	\N	207	47111	UROK	\N	\N
3555239	750	1998-06-30	PRIJEM	\N	175	35732	UROK	\N	\N
3555240	750	1998-07-31	PRIJEM	\N	152	37639	UROK	\N	\N
3555241	750	1998-08-31	PRIJEM	\N	158	32891	UROK	\N	\N
3555242	750	1998-09-30	PRIJEM	\N	134	31219	UROK	\N	\N
3555243	750	1998-10-31	PRIJEM	\N	124	22118	UROK	\N	\N
3555244	750	1998-11-30	PRIJEM	\N	112	30525	UROK	\N	\N
3555245	750	1998-12-31	PRIJEM	\N	153	38884	UROK	\N	\N
3555246	751	1993-10-31	PRIJEM	\N	56	15783	UROK	\N	\N
3555247	751	1993-11-30	PRIJEM	\N	72	17827	UROK	\N	\N
3555248	751	1993-12-31	PRIJEM	\N	80	18970	UROK	\N	\N
3555249	751	1994-01-31	PRIJEM	\N	70	13092	UROK	\N	\N
3555250	751	1994-02-28	PRIJEM	\N	61	15125	UROK	\N	\N
3555251	751	1994-03-31	PRIJEM	\N	70	17167	UROK	\N	\N
3555252	751	1994-04-30	PRIJEM	\N	71	16890	UROK	\N	\N
3555253	751	1994-05-31	PRIJEM	\N	76	18459	UROK	\N	\N
3555254	751	1994-06-30	PRIJEM	\N	74	17706	UROK	\N	\N
3555255	751	1994-07-31	PRIJEM	\N	72	16390	UROK	\N	\N
3555256	751	1994-08-31	PRIJEM	\N	66	15469	UROK	\N	\N
3555257	751	1994-09-30	PRIJEM	\N	71	17512	UROK	\N	\N
3555258	751	1994-10-31	PRIJEM	\N	80	19564	UROK	\N	\N
3555259	751	1994-11-30	PRIJEM	\N	88	21624	UROK	\N	\N
3555260	751	1994-12-31	PRIJEM	\N	96	22793	UROK	\N	\N
3555261	751	1995-01-31	PRIJEM	\N	84	16610	UROK	\N	\N
3555262	751	1995-02-28	PRIJEM	\N	76	18657	UROK	\N	\N
3555263	751	1995-03-31	PRIJEM	\N	84	19594	UROK	\N	\N
3555264	751	1995-04-30	PRIJEM	\N	88	21654	UROK	\N	\N
3555265	751	1995-05-31	PRIJEM	\N	97	23723	UROK	\N	\N
3555266	751	1995-06-30	PRIJEM	\N	103	25099	UROK	\N	\N
3555267	751	1995-07-31	PRIJEM	\N	108	24619	UROK	\N	\N
3555268	751	1995-08-31	PRIJEM	\N	109	26100	UROK	\N	\N
3555269	751	1995-09-30	PRIJEM	\N	115	26287	UROK	\N	\N
3555270	751	1995-10-31	PRIJEM	\N	114	24474	UROK	\N	\N
3555271	751	1995-11-30	PRIJEM	\N	108	25854	UROK	\N	\N
3555272	751	1995-12-31	PRIJEM	\N	112	26409	UROK	\N	\N
3555273	751	1996-01-31	PRIJEM	\N	100	19361	UROK	\N	\N
3555274	751	1996-02-29	PRIJEM	\N	87	21420	UROK	\N	\N
3555275	751	1996-03-31	PRIJEM	\N	95	23088	UROK	\N	\N
3555276	751	1996-04-30	PRIJEM	\N	101	24061	UROK	\N	\N
3555277	751	1996-05-31	PRIJEM	\N	105	25039	UROK	\N	\N
3555278	751	1996-06-30	PRIJEM	\N	109	25020	UROK	\N	\N
3555279	751	1996-07-31	PRIJEM	\N	110	27103	UROK	\N	\N
3555280	751	1996-08-31	PRIJEM	\N	113	26388	UROK	\N	\N
3555281	751	1996-09-30	PRIJEM	\N	108	24768	UROK	\N	\N
3555282	751	1996-10-31	PRIJEM	\N	109	26129	UROK	\N	\N
3555283	751	1996-11-30	PRIJEM	\N	100	23002	UROK	\N	\N
3555284	751	1996-12-31	PRIJEM	\N	92	20556	UROK	\N	\N
3555285	751	1997-01-31	PRIJEM	\N	64	15153	UROK	\N	\N
3555286	751	1997-02-28	PRIJEM	\N	69	17194	UROK	\N	\N
3555287	751	1997-03-31	PRIJEM	\N	76	17882	UROK	\N	\N
3555288	751	1997-04-30	PRIJEM	\N	74	17928	UROK	\N	\N
3555289	751	1997-05-31	PRIJEM	\N	80	19980	UROK	\N	\N
3555290	751	1997-06-30	PRIJEM	\N	89	22041	UROK	\N	\N
3555291	751	1997-07-31	PRIJEM	\N	95	23308	UROK	\N	\N
3555292	751	1997-08-31	PRIJEM	\N	99	24259	UROK	\N	\N
3555293	751	1997-09-30	PRIJEM	\N	106	26338	UROK	\N	\N
3555294	751	1997-10-31	PRIJEM	\N	115	28425	UROK	\N	\N
3555295	751	1997-11-30	PRIJEM	\N	123	30421	UROK	\N	\N
3555296	751	1997-12-31	PRIJEM	\N	121	26514	UROK	\N	\N
3555297	751	1998-01-31	PRIJEM	\N	94	19041	UROK	\N	\N
3555298	751	1998-02-28	PRIJEM	\N	81	19794	UROK	\N	\N
3555299	751	1998-03-31	PRIJEM	\N	78	17345	UROK	\N	\N
3555300	751	1998-04-30	PRIJEM	\N	77	19394	UROK	\N	\N
3555301	751	1998-05-31	PRIJEM	\N	80	18507	UROK	\N	\N
3555302	751	1998-06-30	PRIJEM	\N	69	14948	UROK	\N	\N
3555303	751	1998-07-31	PRIJEM	\N	67	16987	UROK	\N	\N
3555304	751	1998-08-31	PRIJEM	\N	75	19035	UROK	\N	\N
3555305	751	1998-09-30	PRIJEM	\N	71	15978	UROK	\N	\N
3555306	751	1998-10-31	PRIJEM	\N	71	18021	UROK	\N	\N
3555307	751	1998-11-30	PRIJEM	\N	75	17508	UROK	\N	\N
3555308	751	1998-12-31	PRIJEM	\N	76	19306	UROK	\N	\N
3555309	752	1997-02-28	PRIJEM	\N	56	18861	UROK	\N	\N
3555310	752	1997-03-31	PRIJEM	\N	93	24159	UROK	\N	\N
3555311	752	1997-04-30	PRIJEM	\N	111	27675	UROK	\N	\N
3555312	752	1997-05-31	PRIJEM	\N	111	26290	UROK	\N	\N
3555313	752	1997-06-30	PRIJEM	\N	82	13323	UROK	\N	\N
3555314	752	1997-07-31	PRIJEM	\N	58	13065	UROK	\N	\N
3555315	752	1997-08-31	PRIJEM	\N	61	14109	UROK	\N	\N
3555316	752	1997-09-30	PRIJEM	\N	52	10844	UROK	\N	\N
3555317	752	1997-10-31	PRIJEM	\N	36	7164	UROK	\N	\N
3555318	752	1997-11-30	PRIJEM	\N	51	12999	UROK	\N	\N
3555319	752	1997-12-31	PRIJEM	\N	48	9483	UROK	\N	\N
3555320	752	1998-01-31	PRIJEM	\N	32	4799	UROK	\N	\N
3555321	752	1998-02-28	PRIJEM	\N	41	10623	UROK	\N	\N
3555322	752	1998-03-31	PRIJEM	\N	29	4935	UROK	\N	\N
3555323	752	1998-04-30	PRIJEM	\N	28	4847	UROK	\N	\N
3555324	752	1998-05-31	PRIJEM	\N	42	10672	UROK	\N	\N
3555325	752	1998-06-30	PRIJEM	\N	84	22292	UROK	\N	\N
3555326	752	1998-07-31	PRIJEM	\N	114	28190	UROK	\N	\N
3555327	752	1998-08-31	PRIJEM	\N	92	19966	UROK	\N	\N
3555328	752	1998-09-30	PRIJEM	\N	59	11248	UROK	\N	\N
3555329	752	1998-10-31	PRIJEM	\N	68	17100	UROK	\N	\N
3555330	752	1998-11-30	PRIJEM	\N	93	22976	UROK	\N	\N
3555331	752	1998-12-31	PRIJEM	\N	107	24719	UROK	\N	\N
3555332	753	1996-11-30	PRIJEM	\N	52	19735	UROK	\N	\N
3555333	753	1996-12-31	PRIJEM	\N	89	22285	UROK	\N	\N
3555334	753	1997-01-31	PRIJEM	\N	80	13264	UROK	\N	\N
3555335	753	1997-02-28	PRIJEM	\N	71	18179	UROK	\N	\N
3555336	753	1997-03-31	PRIJEM	\N	97	23320	UROK	\N	\N
3555337	753	1997-04-30	PRIJEM	\N	98	23122	UROK	\N	\N
3555338	753	1997-05-31	PRIJEM	\N	85	17792	UROK	\N	\N
3555339	753	1997-06-30	PRIJEM	\N	68	15004	UROK	\N	\N
3555340	753	1997-07-31	PRIJEM	\N	61	14309	UROK	\N	\N
3555341	753	1997-08-31	PRIJEM	\N	68	16721	UROK	\N	\N
3555342	753	1997-09-30	PRIJEM	\N	90	20056	UROK	\N	\N
3555343	753	1997-10-31	PRIJEM	\N	104	19405	UROK	\N	\N
3555344	753	1997-11-30	PRIJEM	\N	97	23046	UROK	\N	\N
3555345	753	1997-12-31	PRIJEM	\N	102	22542	UROK	\N	\N
3555346	753	1998-01-31	PRIJEM	\N	85	16191	UROK	\N	\N
3555347	753	1998-02-28	PRIJEM	\N	83	21318	UROK	\N	\N
3555348	753	1998-03-31	PRIJEM	\N	96	22639	UROK	\N	\N
3555349	753	1998-04-30	PRIJEM	\N	104	25686	UROK	\N	\N
3555350	753	1998-05-31	PRIJEM	\N	91	20082	UROK	\N	\N
3555351	753	1998-06-30	PRIJEM	\N	89	21215	UROK	\N	\N
3555352	753	1998-07-31	PRIJEM	\N	88	19747	UROK	\N	\N
3555353	753	1998-08-31	PRIJEM	\N	97	24249	UROK	\N	\N
3555354	753	1998-09-30	PRIJEM	\N	120	25653	UROK	\N	\N
3555355	753	1998-10-31	PRIJEM	\N	81	17779	UROK	\N	\N
3555356	753	1998-11-30	PRIJEM	\N	75	18198	UROK	\N	\N
3555357	753	1998-12-31	PRIJEM	\N	77	18569	UROK	\N	\N
3555358	754	1995-10-31	PRIJEM	\N	84	24176	UROK	\N	\N
3555359	754	1995-11-30	PRIJEM	\N	108	24049	UROK	\N	\N
3555360	754	1995-12-31	PRIJEM	\N	106	25205	UROK	\N	\N
3555361	754	1996-01-31	PRIJEM	\N	112	26668	UROK	\N	\N
3555362	754	1996-02-29	PRIJEM	\N	120	26978	UROK	\N	\N
3555363	754	1996-03-31	PRIJEM	\N	119	28347	UROK	\N	\N
3555364	754	1996-04-30	PRIJEM	\N	131	31628	UROK	\N	\N
3555365	754	1996-05-31	PRIJEM	\N	133	31511	UROK	\N	\N
3555366	754	1996-06-30	PRIJEM	\N	120	27982	UROK	\N	\N
3555367	754	1996-07-31	PRIJEM	\N	123	29455	UROK	\N	\N
3555368	754	1996-08-31	PRIJEM	\N	131	31437	UROK	\N	\N
3555369	754	1996-09-30	PRIJEM	\N	138	33066	UROK	\N	\N
3555370	754	1996-10-31	PRIJEM	\N	139	30455	UROK	\N	\N
3555371	754	1996-11-30	PRIJEM	\N	137	26643	UROK	\N	\N
3555372	754	1996-12-31	PRIJEM	\N	122	27916	UROK	\N	\N
3555373	754	1997-01-31	PRIJEM	\N	110	21556	UROK	\N	\N
3555374	754	1997-02-28	PRIJEM	\N	96	19583	UROK	\N	\N
3555375	754	1997-03-31	PRIJEM	\N	94	22827	UROK	\N	\N
3555376	754	1997-04-30	PRIJEM	\N	107	26085	UROK	\N	\N
3555377	754	1997-05-31	PRIJEM	\N	120	27555	UROK	\N	\N
3555378	754	1997-06-30	PRIJEM	\N	124	26979	UROK	\N	\N
3555379	754	1997-07-31	PRIJEM	\N	122	29132	UROK	\N	\N
3555380	754	1997-08-31	PRIJEM	\N	123	26965	UROK	\N	\N
3555381	754	1997-09-30	PRIJEM	\N	122	26837	UROK	\N	\N
3555382	754	1997-10-31	PRIJEM	\N	112	21599	UROK	\N	\N
3555383	754	1997-11-30	PRIJEM	\N	100	22349	UROK	\N	\N
3555384	754	1997-12-31	PRIJEM	\N	102	21051	UROK	\N	\N
3555385	754	1998-01-31	PRIJEM	\N	88	18390	UROK	\N	\N
3555386	754	1998-02-28	PRIJEM	\N	88	21629	UROK	\N	\N
3555387	754	1998-03-31	PRIJEM	\N	96	22915	UROK	\N	\N
3555388	754	1998-04-30	PRIJEM	\N	106	25471	UROK	\N	\N
3555389	754	1998-05-31	PRIJEM	\N	112	23533	UROK	\N	\N
3555390	754	1998-06-30	PRIJEM	\N	88	19872	UROK	\N	\N
3555391	754	1998-07-31	PRIJEM	\N	87	17509	UROK	\N	\N
3555392	754	1998-08-31	PRIJEM	\N	70	12889	UROK	\N	\N
3555393	754	1998-09-30	PRIJEM	\N	64	15303	UROK	\N	\N
3555394	754	1998-10-31	PRIJEM	\N	75	18529	UROK	\N	\N
3555395	754	1998-11-30	PRIJEM	\N	84	19843	UROK	\N	\N
3555396	754	1998-12-31	PRIJEM	\N	92	22085	UROK	\N	\N
3555397	755	1997-10-31	PRIJEM	\N	19	27899	UROK	\N	\N
3555398	755	1997-11-30	PRIJEM	\N	123	37301	UROK	\N	\N
3555399	755	1997-12-31	PRIJEM	\N	166	50887	UROK	\N	\N
3555400	755	1998-01-31	PRIJEM	\N	209	48476	UROK	\N	\N
3555401	755	1998-02-28	PRIJEM	\N	202	45158	UROK	\N	\N
3555402	755	1998-03-31	PRIJEM	\N	225	46916	UROK	\N	\N
3555403	755	1998-04-30	PRIJEM	\N	224	45834	UROK	\N	\N
3555404	755	1998-05-31	PRIJEM	\N	211	42638	UROK	\N	\N
3555405	755	1998-06-30	PRIJEM	\N	241	51953	UROK	\N	\N
3555406	755	1998-07-31	PRIJEM	\N	241	42887	UROK	\N	\N
3555407	755	1998-08-31	PRIJEM	\N	211	46632	UROK	\N	\N
3555408	755	1998-09-30	PRIJEM	\N	223	47088	UROK	\N	\N
3555409	755	1998-10-31	PRIJEM	\N	220	46042	UROK	\N	\N
3555410	755	1998-11-30	PRIJEM	\N	188	40483	UROK	\N	\N
3555411	755	1998-12-31	PRIJEM	\N	242	67918	UROK	\N	\N
3555412	757	1993-08-31	PRIJEM	\N	33	17381	UROK	\N	\N
3555413	757	1993-09-30	PRIJEM	\N	92	27320	UROK	\N	\N
3555414	757	1993-10-31	PRIJEM	\N	120	30688	UROK	\N	\N
3555415	757	1993-11-30	PRIJEM	\N	127	30463	UROK	\N	\N
3555416	757	1993-12-31	PRIJEM	\N	142	33317	UROK	\N	\N
3555417	757	1994-01-31	PRIJEM	\N	141	32692	UROK	\N	\N
3555418	757	1994-02-28	PRIJEM	\N	135	27562	UROK	\N	\N
3555419	757	1994-03-31	PRIJEM	\N	119	24715	UROK	\N	\N
3555420	757	1994-04-30	PRIJEM	\N	112	27361	UROK	\N	\N
3555421	757	1994-05-31	PRIJEM	\N	121	29316	UROK	\N	\N
3555422	757	1994-06-30	PRIJEM	\N	144	32869	UROK	\N	\N
3555423	757	1994-07-31	PRIJEM	\N	140	33243	UROK	\N	\N
3555424	757	1994-08-31	PRIJEM	\N	142	34020	UROK	\N	\N
3555425	757	1994-09-30	PRIJEM	\N	136	32590	UROK	\N	\N
3555426	757	1994-10-31	PRIJEM	\N	139	33262	UROK	\N	\N
3555427	757	1994-11-30	PRIJEM	\N	136	31033	UROK	\N	\N
3555428	757	1994-12-31	PRIJEM	\N	138	33379	UROK	\N	\N
3555429	757	1995-01-31	PRIJEM	\N	137	32951	UROK	\N	\N
3555430	757	1995-02-28	PRIJEM	\N	146	35731	UROK	\N	\N
3555431	757	1995-03-31	PRIJEM	\N	140	32505	UROK	\N	\N
3555432	757	1995-04-30	PRIJEM	\N	139	33078	UROK	\N	\N
3555433	757	1995-05-31	PRIJEM	\N	151	35163	UROK	\N	\N
3555434	757	1995-06-30	PRIJEM	\N	165	41836	UROK	\N	\N
3555435	757	1995-07-31	PRIJEM	\N	175	42545	UROK	\N	\N
3555436	757	1995-08-31	PRIJEM	\N	181	44660	UROK	\N	\N
3555437	757	1995-09-30	PRIJEM	\N	188	45283	UROK	\N	\N
3555438	757	1995-10-31	PRIJEM	\N	169	38586	UROK	\N	\N
3555439	757	1995-11-30	PRIJEM	\N	167	41087	UROK	\N	\N
3555440	757	1995-12-31	PRIJEM	\N	177	42873	UROK	\N	\N
3555441	757	1996-01-31	PRIJEM	\N	175	40083	UROK	\N	\N
3555442	757	1996-02-29	PRIJEM	\N	169	41386	UROK	\N	\N
3555443	757	1996-03-31	PRIJEM	\N	187	46307	UROK	\N	\N
3555444	757	1996-04-30	PRIJEM	\N	187	45828	UROK	\N	\N
3555445	757	1996-05-31	PRIJEM	\N	198	48561	UROK	\N	\N
3555446	757	1996-06-30	PRIJEM	\N	208	51377	UROK	\N	\N
3555447	757	1996-07-31	PRIJEM	\N	209	51320	UROK	\N	\N
3555448	757	1996-08-31	PRIJEM	\N	211	51966	UROK	\N	\N
3555449	757	1996-09-30	PRIJEM	\N	206	50306	UROK	\N	\N
3555450	757	1996-10-31	PRIJEM	\N	203	49944	UROK	\N	\N
3555451	757	1996-11-30	PRIJEM	\N	209	51787	UROK	\N	\N
3555452	757	1996-12-31	PRIJEM	\N	216	49211	UROK	\N	\N
3555453	757	1997-01-31	PRIJEM	\N	219	52664	UROK	\N	\N
3555454	757	1997-02-28	PRIJEM	\N	232	57531	UROK	\N	\N
3555455	757	1997-03-31	PRIJEM	\N	238	53403	UROK	\N	\N
3555456	757	1997-04-30	PRIJEM	\N	235	55773	UROK	\N	\N
3555457	757	1997-05-31	PRIJEM	\N	246	61053	UROK	\N	\N
3555458	757	1997-06-30	PRIJEM	\N	277	65039	UROK	\N	\N
3555459	757	1997-07-31	PRIJEM	\N	257	60430	UROK	\N	\N
3555460	757	1997-08-31	PRIJEM	\N	259	60223	UROK	\N	\N
3555461	757	1997-09-30	PRIJEM	\N	257	58115	UROK	\N	\N
3555462	757	1997-10-31	PRIJEM	\N	246	61395	UROK	\N	\N
3555463	757	1997-11-30	PRIJEM	\N	262	60891	UROK	\N	\N
3555464	757	1997-12-31	PRIJEM	\N	262	63561	UROK	\N	\N
3555465	757	1998-01-31	PRIJEM	\N	277	70173	UROK	\N	\N
3555466	757	1998-02-28	PRIJEM	\N	292	70099	UROK	\N	\N
3555467	757	1998-03-31	PRIJEM	\N	298	70431	UROK	\N	\N
3555468	757	1998-04-30	PRIJEM	\N	297	67463	UROK	\N	\N
3555469	757	1998-05-31	PRIJEM	\N	277	64174	UROK	\N	\N
3555470	757	1998-06-30	PRIJEM	\N	284	67766	UROK	\N	\N
3555471	757	1998-07-31	PRIJEM	\N	291	69591	UROK	\N	\N
3555472	757	1998-08-31	PRIJEM	\N	296	70921	UROK	\N	\N
3555473	757	1998-09-30	PRIJEM	\N	292	67648	UROK	\N	\N
3555474	757	1998-10-31	PRIJEM	\N	280	69662	UROK	\N	\N
3555475	757	1998-11-30	PRIJEM	\N	295	71491	UROK	\N	\N
3555476	757	1998-12-31	PRIJEM	\N	311	78011	UROK	\N	\N
3555477	759	1993-08-31	PRIJEM	\N	10	13938	UROK	\N	\N
3555478	759	1993-09-30	PRIJEM	\N	59	20125	UROK	\N	\N
3555479	759	1993-10-31	PRIJEM	\N	84	22237	UROK	\N	\N
3555480	759	1993-11-30	PRIJEM	\N	93	23958	UROK	\N	\N
3555481	759	1993-12-31	PRIJEM	\N	107	26541	UROK	\N	\N
3555482	759	1994-01-31	PRIJEM	\N	108	24510	UROK	\N	\N
3555483	759	1994-02-28	PRIJEM	\N	108	23579	UROK	\N	\N
3555484	759	1994-03-31	PRIJEM	\N	100	23340	UROK	\N	\N
3555485	759	1994-04-30	PRIJEM	\N	99	26471	UROK	\N	\N
3555486	759	1994-05-31	PRIJEM	\N	115	25248	UROK	\N	\N
3555487	759	1994-06-30	PRIJEM	\N	104	25603	UROK	\N	\N
3555488	759	1994-07-31	PRIJEM	\N	108	24672	UROK	\N	\N
3555489	759	1994-08-31	PRIJEM	\N	105	25818	UROK	\N	\N
3555490	759	1994-09-30	PRIJEM	\N	116	30095	UROK	\N	\N
3555491	759	1994-10-31	PRIJEM	\N	127	30834	UROK	\N	\N
3555492	759	1994-11-30	PRIJEM	\N	132	30047	UROK	\N	\N
3555493	759	1994-12-31	PRIJEM	\N	124	27943	UROK	\N	\N
3555494	759	1995-01-31	PRIJEM	\N	116	26460	UROK	\N	\N
3555495	759	1995-02-28	PRIJEM	\N	114	29806	UROK	\N	\N
3555496	759	1995-03-31	PRIJEM	\N	127	30075	UROK	\N	\N
3555497	759	1995-04-30	PRIJEM	\N	129	30365	UROK	\N	\N
3555498	759	1995-05-31	PRIJEM	\N	132	31909	UROK	\N	\N
3555499	759	1995-06-30	PRIJEM	\N	132	25732	UROK	\N	\N
3555500	759	1995-07-31	PRIJEM	\N	117	32610	UROK	\N	\N
3555501	759	1995-08-31	PRIJEM	\N	139	33311	UROK	\N	\N
3555502	759	1995-09-30	PRIJEM	\N	144	35317	UROK	\N	\N
3555503	759	1995-10-31	PRIJEM	\N	149	36127	UROK	\N	\N
3555504	759	1995-11-30	PRIJEM	\N	156	38344	UROK	\N	\N
3555505	759	1995-12-31	PRIJEM	\N	158	37383	UROK	\N	\N
3555506	759	1996-01-31	PRIJEM	\N	148	33362	UROK	\N	\N
3555507	759	1996-02-29	PRIJEM	\N	147	38061	UROK	\N	\N
3555508	759	1996-03-31	PRIJEM	\N	164	40386	UROK	\N	\N
3555509	759	1996-04-30	PRIJEM	\N	166	39313	UROK	\N	\N
3555510	759	1996-05-31	PRIJEM	\N	170	40445	UROK	\N	\N
3555511	759	1996-06-30	PRIJEM	\N	158	36344	UROK	\N	\N
3555512	759	1996-07-31	PRIJEM	\N	148	34653	UROK	\N	\N
3555513	759	1996-08-31	PRIJEM	\N	151	37246	UROK	\N	\N
3555514	759	1996-09-30	PRIJEM	\N	164	41471	UROK	\N	\N
3555515	759	1996-10-31	PRIJEM	\N	180	45013	UROK	\N	\N
3555516	759	1996-11-30	PRIJEM	\N	188	45181	UROK	\N	\N
3555517	759	1996-12-31	PRIJEM	\N	194	49827	UROK	\N	\N
3555518	759	1997-01-31	PRIJEM	\N	207	51095	UROK	\N	\N
3555519	759	1997-02-28	PRIJEM	\N	230	59187	UROK	\N	\N
3555520	759	1997-03-31	PRIJEM	\N	242	58050	UROK	\N	\N
3555521	759	1997-04-30	PRIJEM	\N	256	62497	UROK	\N	\N
3555522	759	1997-05-31	PRIJEM	\N	263	64321	UROK	\N	\N
3555523	759	1997-06-30	PRIJEM	\N	260	61792	UROK	\N	\N
3555524	759	1997-07-31	PRIJEM	\N	272	68425	UROK	\N	\N
3555525	759	1997-08-31	PRIJEM	\N	297	72484	UROK	\N	\N
3555526	759	1997-09-30	PRIJEM	\N	308	76154	UROK	\N	\N
3555527	759	1997-10-31	PRIJEM	\N	315	75790	UROK	\N	\N
3555528	759	1997-11-30	PRIJEM	\N	326	81277	UROK	\N	\N
3555529	759	1997-12-31	PRIJEM	\N	335	79994	UROK	\N	\N
3555530	759	1998-01-31	PRIJEM	\N	330	78666	UROK	\N	\N
3555531	759	1998-02-28	PRIJEM	\N	329	78756	UROK	\N	\N
3555532	759	1998-03-31	PRIJEM	\N	336	81554	UROK	\N	\N
3555533	759	1998-04-30	PRIJEM	\N	349	85064	UROK	\N	\N
3555534	759	1998-05-31	PRIJEM	\N	347	82942	UROK	\N	\N
3555535	759	1998-06-30	PRIJEM	\N	315	74999	UROK	\N	\N
3555536	759	1998-07-31	PRIJEM	\N	329	83389	UROK	\N	\N
3555537	759	1998-08-31	PRIJEM	\N	352	87103	UROK	\N	\N
3555538	759	1998-09-30	PRIJEM	\N	379	93643	UROK	\N	\N
3555539	759	1998-10-31	PRIJEM	\N	403	97317	UROK	\N	\N
3555540	759	1998-11-30	PRIJEM	\N	416	101995	UROK	\N	\N
3555541	759	1998-12-31	PRIJEM	\N	436	107633	UROK	\N	\N
3555542	760	1997-06-30	PRIJEM	\N	24	21269	UROK	\N	\N
3555543	760	1997-07-31	PRIJEM	\N	98	28764	UROK	\N	\N
3555544	760	1997-08-31	PRIJEM	\N	125	32685	UROK	\N	\N
3555545	760	1997-09-30	PRIJEM	\N	132	30215	UROK	\N	\N
3555546	760	1997-10-31	PRIJEM	\N	129	24434	UROK	\N	\N
3555547	760	1997-11-30	PRIJEM	\N	109	24220	UROK	\N	\N
3555548	760	1997-12-31	PRIJEM	\N	120	25204	UROK	\N	\N
3555549	760	1998-01-31	PRIJEM	\N	108	21549	UROK	\N	\N
3555550	760	1998-02-28	PRIJEM	\N	99	21225	UROK	\N	\N
3555551	760	1998-03-31	PRIJEM	\N	100	21601	UROK	\N	\N
3555552	760	1998-04-30	PRIJEM	\N	102	22300	UROK	\N	\N
3555553	760	1998-05-31	PRIJEM	\N	99	20375	UROK	\N	\N
3555554	760	1998-06-30	PRIJEM	\N	113	27053	UROK	\N	\N
3555555	760	1998-07-31	PRIJEM	\N	116	24045	UROK	\N	\N
3555556	760	1998-08-31	PRIJEM	\N	113	26234	UROK	\N	\N
3555557	760	1998-09-30	PRIJEM	\N	113	20744	UROK	\N	\N
3555558	760	1998-10-31	PRIJEM	\N	103	24124	UROK	\N	\N
3555559	760	1998-11-30	PRIJEM	\N	117	27357	UROK	\N	\N
3555560	760	1998-12-31	PRIJEM	\N	127	31749	UROK	\N	\N
3555561	762	1996-02-29	PRIJEM	\N	46	21182	UROK	\N	\N
3555562	762	1996-03-31	PRIJEM	\N	87	18932	UROK	\N	\N
3555563	762	1996-04-30	PRIJEM	\N	79	18686	UROK	\N	\N
3555564	762	1996-05-31	PRIJEM	\N	80	19640	UROK	\N	\N
3555565	762	1996-06-30	PRIJEM	\N	78	18113	UROK	\N	\N
3555566	762	1996-07-31	PRIJEM	\N	81	20268	UROK	\N	\N
3555567	762	1996-08-31	PRIJEM	\N	89	20132	UROK	\N	\N
3555568	762	1996-09-30	PRIJEM	\N	84	21090	UROK	\N	\N
3555569	762	1996-10-31	PRIJEM	\N	93	23258	UROK	\N	\N
3555570	762	1996-11-30	PRIJEM	\N	97	23829	UROK	\N	\N
3555571	762	1996-12-31	PRIJEM	\N	96	22650	UROK	\N	\N
3555572	762	1997-01-31	PRIJEM	\N	79	13523	UROK	\N	\N
3555573	762	1997-02-28	PRIJEM	\N	60	15257	UROK	\N	\N
3555574	762	1997-03-31	PRIJEM	\N	69	17400	UROK	\N	\N
3555575	762	1997-04-30	PRIJEM	\N	74	18449	UROK	\N	\N
3555576	762	1997-05-31	PRIJEM	\N	68	13471	UROK	\N	\N
3555577	762	1997-06-30	PRIJEM	\N	55	12851	UROK	\N	\N
3555578	762	1997-07-31	PRIJEM	\N	59	14984	UROK	\N	\N
3555579	762	1997-08-31	PRIJEM	\N	68	17126	UROK	\N	\N
3555580	762	1997-09-30	PRIJEM	\N	73	18273	UROK	\N	\N
3555581	762	1997-10-31	PRIJEM	\N	76	18824	UROK	\N	\N
3555582	762	1997-11-30	PRIJEM	\N	78	19217	UROK	\N	\N
3555583	762	1997-12-31	PRIJEM	\N	83	20274	UROK	\N	\N
3555584	762	1998-01-31	PRIJEM	\N	65	13333	UROK	\N	\N
3555585	762	1998-02-28	PRIJEM	\N	60	15467	UROK	\N	\N
3555586	762	1998-03-31	PRIJEM	\N	69	17611	UROK	\N	\N
3555587	762	1998-04-30	PRIJEM	\N	78	19763	UROK	\N	\N
3555588	762	1998-05-31	PRIJEM	\N	85	21423	UROK	\N	\N
3555589	762	1998-06-30	PRIJEM	\N	83	16931	UROK	\N	\N
3555590	762	1998-07-31	PRIJEM	\N	69	16874	UROK	\N	\N
3555591	762	1998-08-31	PRIJEM	\N	62	14210	UROK	\N	\N
3555592	762	1998-09-30	PRIJEM	\N	60	15044	UROK	\N	\N
3555593	762	1998-10-31	PRIJEM	\N	62	15121	UROK	\N	\N
3555594	762	1998-11-30	PRIJEM	\N	68	17263	UROK	\N	\N
3555595	762	1998-12-31	PRIJEM	\N	62	14299	UROK	\N	\N
3555596	763	1995-03-31	PRIJEM	\N	15	16141	UROK	\N	\N
3555597	763	1995-04-30	PRIJEM	\N	75	24342	UROK	\N	\N
3555598	763	1995-05-31	PRIJEM	\N	108	30977	UROK	\N	\N
3555599	763	1995-06-30	PRIJEM	\N	132	34098	UROK	\N	\N
3555600	763	1995-07-31	PRIJEM	\N	141	33865	UROK	\N	\N
3555601	763	1995-08-31	PRIJEM	\N	144	32004	UROK	\N	\N
3555602	763	1995-09-30	PRIJEM	\N	132	28430	UROK	\N	\N
3555603	763	1995-10-31	PRIJEM	\N	121	29325	UROK	\N	\N
3555604	763	1995-11-30	PRIJEM	\N	128	29848	UROK	\N	\N
3555605	763	1995-12-31	PRIJEM	\N	117	25982	UROK	\N	\N
3555606	763	1996-01-31	PRIJEM	\N	91	19167	UROK	\N	\N
3555607	763	1996-02-29	PRIJEM	\N	92	23753	UROK	\N	\N
3555608	763	1996-03-31	PRIJEM	\N	112	28759	UROK	\N	\N
3555609	763	1996-04-30	PRIJEM	\N	122	27876	UROK	\N	\N
3555610	763	1996-05-31	PRIJEM	\N	121	28691	UROK	\N	\N
3555611	763	1996-06-30	PRIJEM	\N	132	20141	UROK	\N	\N
3555612	763	1996-07-31	PRIJEM	\N	94	23630	UROK	\N	\N
3555613	763	1996-08-31	PRIJEM	\N	112	27336	UROK	\N	\N
3555614	763	1996-09-30	PRIJEM	\N	119	28750	UROK	\N	\N
3555615	763	1996-10-31	PRIJEM	\N	114	28498	UROK	\N	\N
3555616	763	1996-11-30	PRIJEM	\N	117	25070	UROK	\N	\N
3555617	763	1996-12-31	PRIJEM	\N	117	29004	UROK	\N	\N
3555618	763	1997-01-31	PRIJEM	\N	86	14125	UROK	\N	\N
3555619	763	1997-02-28	PRIJEM	\N	70	16869	UROK	\N	\N
3555620	763	1997-03-31	PRIJEM	\N	91	22675	UROK	\N	\N
3555621	763	1997-04-30	PRIJEM	\N	109	27978	UROK	\N	\N
3555622	763	1997-05-31	PRIJEM	\N	122	31434	UROK	\N	\N
3555623	763	1997-06-30	PRIJEM	\N	145	36237	UROK	\N	\N
3555624	763	1997-07-31	PRIJEM	\N	148	35179	UROK	\N	\N
3555625	763	1997-08-31	PRIJEM	\N	154	38128	UROK	\N	\N
3555626	763	1997-09-30	PRIJEM	\N	170	42493	UROK	\N	\N
3555627	763	1997-10-31	PRIJEM	\N	181	40308	UROK	\N	\N
3555628	763	1997-11-30	PRIJEM	\N	179	44781	UROK	\N	\N
3555629	763	1997-12-31	PRIJEM	\N	192	45210	UROK	\N	\N
3555630	763	1998-01-31	PRIJEM	\N	159	29063	UROK	\N	\N
3555631	763	1998-02-28	PRIJEM	\N	159	42717	UROK	\N	\N
3555632	763	1998-03-31	PRIJEM	\N	161	38132	UROK	\N	\N
3555633	763	1998-04-30	PRIJEM	\N	170	43197	UROK	\N	\N
3555634	763	1998-05-31	PRIJEM	\N	187	46878	UROK	\N	\N
3555635	763	1998-06-30	PRIJEM	\N	207	33523	UROK	\N	\N
3555636	763	1998-07-31	PRIJEM	\N	172	45089	UROK	\N	\N
3555637	763	1998-08-31	PRIJEM	\N	190	48074	UROK	\N	\N
3555638	763	1998-09-30	PRIJEM	\N	177	43845	UROK	\N	\N
3555639	763	1998-10-31	PRIJEM	\N	169	42409	UROK	\N	\N
3555640	763	1998-11-30	PRIJEM	\N	160	40063	UROK	\N	\N
3555641	763	1998-12-31	PRIJEM	\N	156	40756	UROK	\N	\N
3555642	764	1993-06-30	PRIJEM	\N	103	29733	UROK	\N	\N
3555643	764	1993-07-31	PRIJEM	\N	116	27293	UROK	\N	\N
3555644	764	1993-08-31	PRIJEM	\N	113	27169	UROK	\N	\N
3555645	764	1993-09-30	PRIJEM	\N	113	26845	UROK	\N	\N
3555646	764	1993-10-31	PRIJEM	\N	121	29329	UROK	\N	\N
3555647	764	1993-11-30	PRIJEM	\N	136	33328	UROK	\N	\N
3555648	764	1993-12-31	PRIJEM	\N	152	34894	UROK	\N	\N
3555649	764	1994-01-31	PRIJEM	\N	140	33147	UROK	\N	\N
3555650	764	1994-02-28	PRIJEM	\N	129	30739	UROK	\N	\N
3555651	764	1994-03-31	PRIJEM	\N	123	26606	UROK	\N	\N
3555652	764	1994-04-30	PRIJEM	\N	117	28286	UROK	\N	\N
3555653	764	1994-05-31	PRIJEM	\N	125	28775	UROK	\N	\N
3555654	764	1994-06-30	PRIJEM	\N	103	14841	UROK	\N	\N
3555655	764	1994-07-31	PRIJEM	\N	75	18779	UROK	\N	\N
3555656	764	1994-08-31	PRIJEM	\N	92	22734	UROK	\N	\N
3555657	764	1994-09-30	PRIJEM	\N	108	26705	UROK	\N	\N
3555658	764	1994-10-31	PRIJEM	\N	117	25105	UROK	\N	\N
3555659	764	1994-11-30	PRIJEM	\N	117	25986	UROK	\N	\N
3555660	764	1994-12-31	PRIJEM	\N	118	23867	UROK	\N	\N
3555661	764	1995-01-31	PRIJEM	\N	111	23941	UROK	\N	\N
3555662	764	1995-02-28	PRIJEM	\N	109	25953	UROK	\N	\N
3555663	764	1995-03-31	PRIJEM	\N	120	26236	UROK	\N	\N
3555664	764	1995-04-30	PRIJEM	\N	121	27621	UROK	\N	\N
3555665	764	1995-05-31	PRIJEM	\N	125	25909	UROK	\N	\N
3555666	764	1995-06-30	PRIJEM	\N	110	21082	UROK	\N	\N
3555667	764	1995-07-31	PRIJEM	\N	98	20743	UROK	\N	\N
3555668	764	1995-08-31	PRIJEM	\N	99	24206	UROK	\N	\N
3555669	764	1995-09-30	PRIJEM	\N	109	22778	UROK	\N	\N
3555670	764	1995-10-31	PRIJEM	\N	102	21044	UROK	\N	\N
3555671	764	1995-11-30	PRIJEM	\N	90	17937	UROK	\N	\N
3555672	764	1995-12-31	PRIJEM	\N	74	16584	UROK	\N	\N
3555673	764	1996-01-31	PRIJEM	\N	77	18024	UROK	\N	\N
3555674	764	1996-02-29	PRIJEM	\N	86	20373	UROK	\N	\N
3555675	764	1996-03-31	PRIJEM	\N	96	22973	UROK	\N	\N
3555676	764	1996-04-30	PRIJEM	\N	104	23940	UROK	\N	\N
3555677	764	1996-05-31	PRIJEM	\N	109	25913	UROK	\N	\N
3555678	764	1996-06-30	PRIJEM	\N	112	26088	UROK	\N	\N
3555679	764	1996-07-31	PRIJEM	\N	114	25265	UROK	\N	\N
3555680	764	1996-08-31	PRIJEM	\N	109	23737	UROK	\N	\N
3555681	764	1996-09-30	PRIJEM	\N	98	19698	UROK	\N	\N
3555682	764	1996-10-31	PRIJEM	\N	87	19448	UROK	\N	\N
3555683	764	1996-11-30	PRIJEM	\N	87	19998	UROK	\N	\N
3555684	764	1996-12-31	PRIJEM	\N	88	20500	UROK	\N	\N
3555685	764	1997-01-31	PRIJEM	\N	80	16253	UROK	\N	\N
3555686	764	1997-02-28	PRIJEM	\N	77	19194	UROK	\N	\N
3555687	764	1997-03-31	PRIJEM	\N	78	15835	UROK	\N	\N
3555688	764	1997-04-30	PRIJEM	\N	67	14165	UROK	\N	\N
3555689	764	1997-05-31	PRIJEM	\N	68	16596	UROK	\N	\N
3555690	764	1997-06-30	PRIJEM	\N	81	20540	UROK	\N	\N
3555691	764	1997-07-31	PRIJEM	\N	77	15080	UROK	\N	\N
3555692	764	1997-08-31	PRIJEM	\N	63	14106	UROK	\N	\N
3555693	764	1997-09-30	PRIJEM	\N	70	18039	UROK	\N	\N
3555694	764	1997-10-31	PRIJEM	\N	86	21989	UROK	\N	\N
3555695	764	1997-11-30	PRIJEM	\N	93	22145	UROK	\N	\N
3555696	764	1997-12-31	PRIJEM	\N	91	20550	UROK	\N	\N
3555697	764	1998-01-31	PRIJEM	\N	92	22156	UROK	\N	\N
3555698	764	1998-02-28	PRIJEM	\N	96	23615	UROK	\N	\N
3555699	764	1998-03-31	PRIJEM	\N	99	23677	UROK	\N	\N
3555700	764	1998-04-30	PRIJEM	\N	98	23258	UROK	\N	\N
3555701	764	1998-05-31	PRIJEM	\N	101	24823	UROK	\N	\N
3555702	764	1998-06-30	PRIJEM	\N	104	24089	UROK	\N	\N
3555703	764	1998-07-31	PRIJEM	\N	87	19279	UROK	\N	\N
3555704	764	1998-08-31	PRIJEM	\N	84	20926	UROK	\N	\N
3555705	764	1998-09-30	PRIJEM	\N	85	20775	UROK	\N	\N
3555706	764	1998-10-31	PRIJEM	\N	81	19599	UROK	\N	\N
3555707	764	1998-11-30	PRIJEM	\N	86	21748	UROK	\N	\N
3555708	764	1998-12-31	PRIJEM	\N	90	21491	UROK	\N	\N
3555709	766	1996-05-31	PRIJEM	\N	37	24898	UROK	\N	\N
3555710	766	1996-06-30	PRIJEM	\N	130	41919	UROK	\N	\N
3555711	766	1996-07-31	PRIJEM	\N	183	47163	UROK	\N	\N
3555712	766	1996-08-31	PRIJEM	\N	191	44515	UROK	\N	\N
3555713	766	1996-09-30	PRIJEM	\N	190	44546	UROK	\N	\N
3555714	766	1996-10-31	PRIJEM	\N	191	40731	UROK	\N	\N
3555715	766	1996-11-30	PRIJEM	\N	188	45633	UROK	\N	\N
3555716	766	1996-12-31	PRIJEM	\N	212	48351	UROK	\N	\N
3555717	766	1997-01-31	PRIJEM	\N	177	33402	UROK	\N	\N
3555718	766	1997-02-28	PRIJEM	\N	159	42715	UROK	\N	\N
3555719	766	1997-03-31	PRIJEM	\N	190	44620	UROK	\N	\N
3555720	766	1997-04-30	PRIJEM	\N	194	45128	UROK	\N	\N
3555721	766	1997-05-31	PRIJEM	\N	202	48544	UROK	\N	\N
3555722	766	1997-06-30	PRIJEM	\N	214	29984	UROK	\N	\N
3555723	766	1997-07-31	PRIJEM	\N	146	37044	UROK	\N	\N
3555724	766	1997-08-31	PRIJEM	\N	167	41025	UROK	\N	\N
3555725	766	1997-09-30	PRIJEM	\N	181	44720	UROK	\N	\N
3555726	766	1997-10-31	PRIJEM	\N	193	46928	UROK	\N	\N
3555727	766	1997-11-30	PRIJEM	\N	199	48641	UROK	\N	\N
3555728	766	1997-12-31	PRIJEM	\N	237	49804	UROK	\N	\N
3555729	766	1998-01-31	PRIJEM	\N	211	48129	UROK	\N	\N
3555730	766	1998-02-28	PRIJEM	\N	245	65588	UROK	\N	\N
3555731	766	1998-03-31	PRIJEM	\N	306	64308	UROK	\N	\N
3555732	766	1998-04-30	PRIJEM	\N	266	59249	UROK	\N	\N
3555733	766	1998-05-31	PRIJEM	\N	281	69844	UROK	\N	\N
3555734	766	1998-06-30	PRIJEM	\N	344	80453	UROK	\N	\N
3555735	766	1998-07-31	PRIJEM	\N	337	83505	UROK	\N	\N
3555736	766	1998-08-31	PRIJEM	\N	346	85265	UROK	\N	\N
3555737	766	1998-09-30	PRIJEM	\N	351	86530	UROK	\N	\N
3555738	766	1998-10-31	PRIJEM	\N	349	85193	UROK	\N	\N
3555739	766	1998-11-30	PRIJEM	\N	324	75311	UROK	\N	\N
3555740	766	1998-12-31	PRIJEM	\N	348	91545	UROK	\N	\N
3555741	767	1995-04-30	PRIJEM	\N	16	19604	UROK	\N	\N
3555742	767	1995-05-31	PRIJEM	\N	92	30484	UROK	\N	\N
3555743	767	1995-06-30	PRIJEM	\N	134	38501	UROK	\N	\N
3555744	767	1995-07-31	PRIJEM	\N	160	38248	UROK	\N	\N
3555745	767	1995-08-31	PRIJEM	\N	189	34626	UROK	\N	\N
3555746	767	1995-09-30	PRIJEM	\N	160	30181	UROK	\N	\N
3555747	767	1995-10-31	PRIJEM	\N	152	28167	UROK	\N	\N
3555748	767	1995-11-30	PRIJEM	\N	156	32997	UROK	\N	\N
3555749	767	1995-12-31	PRIJEM	\N	195	34981	UROK	\N	\N
3555750	767	1996-01-31	PRIJEM	\N	152	13127	UROK	\N	\N
3555751	767	1996-02-29	PRIJEM	\N	97	22498	UROK	\N	\N
3555752	767	1996-03-31	PRIJEM	\N	122	25874	UROK	\N	\N
3555753	767	1996-04-30	PRIJEM	\N	143	30692	UROK	\N	\N
3555754	767	1996-05-31	PRIJEM	\N	152	23818	UROK	\N	\N
3555755	767	1996-06-30	PRIJEM	\N	150	25476	UROK	\N	\N
3555756	767	1996-07-31	PRIJEM	\N	138	29888	UROK	\N	\N
3555757	767	1996-08-31	PRIJEM	\N	120	20062	UROK	\N	\N
3555758	767	1996-09-30	PRIJEM	\N	118	26454	UROK	\N	\N
3555759	767	1996-10-31	PRIJEM	\N	136	29665	UROK	\N	\N
3555760	767	1996-11-30	PRIJEM	\N	142	30082	UROK	\N	\N
3555761	767	1996-12-31	PRIJEM	\N	155	28845	UROK	\N	\N
3555762	767	1997-01-31	PRIJEM	\N	109	20509	UROK	\N	\N
3555763	767	1997-02-28	PRIJEM	\N	97	16901	UROK	\N	\N
3555764	767	1997-03-31	PRIJEM	\N	106	24781	UROK	\N	\N
3555765	767	1997-04-30	PRIJEM	\N	117	24772	UROK	\N	\N
3555766	767	1997-05-31	PRIJEM	\N	129	29076	UROK	\N	\N
3555767	767	1997-06-30	PRIJEM	\N	148	31273	UROK	\N	\N
3555768	767	1997-07-31	PRIJEM	\N	147	32594	UROK	\N	\N
3555769	767	1997-08-31	PRIJEM	\N	151	34399	UROK	\N	\N
3555770	767	1997-09-30	PRIJEM	\N	156	35229	UROK	\N	\N
3555771	767	1997-10-31	PRIJEM	\N	144	30168	UROK	\N	\N
3555772	767	1997-11-30	PRIJEM	\N	142	33384	UROK	\N	\N
3555773	767	1997-12-31	PRIJEM	\N	167	37959	UROK	\N	\N
3555774	767	1998-01-31	PRIJEM	\N	131	19944	UROK	\N	\N
3555775	767	1998-02-28	PRIJEM	\N	108	26326	UROK	\N	\N
3555776	767	1998-03-31	PRIJEM	\N	131	31132	UROK	\N	\N
3555777	767	1998-04-30	PRIJEM	\N	116	23142	UROK	\N	\N
3555778	767	1998-05-31	PRIJEM	\N	113	26329	UROK	\N	\N
3555779	767	1998-06-30	PRIJEM	\N	129	29886	UROK	\N	\N
3555780	767	1998-07-31	PRIJEM	\N	115	26316	UROK	\N	\N
3555781	767	1998-08-31	PRIJEM	\N	118	28607	UROK	\N	\N
3555782	767	1998-09-30	PRIJEM	\N	123	28705	UROK	\N	\N
3555783	767	1998-10-31	PRIJEM	\N	131	31210	UROK	\N	\N
3555784	767	1998-11-30	PRIJEM	\N	109	24994	UROK	\N	\N
3555785	767	1998-12-31	PRIJEM	\N	85	20408	UROK	\N	\N
3555786	768	1997-07-31	PRIJEM	\N	14	5035	UROK	\N	\N
3555787	768	1997-08-31	PRIJEM	\N	49	15005	UROK	\N	\N
3555788	768	1997-09-30	PRIJEM	\N	86	23713	UROK	\N	\N
3555789	768	1997-10-31	PRIJEM	\N	94	22228	UROK	\N	\N
3555790	768	1997-11-30	PRIJEM	\N	83	20931	UROK	\N	\N
3555791	768	1997-12-31	PRIJEM	\N	88	21123	UROK	\N	\N
3555792	768	1998-01-31	PRIJEM	\N	87	20602	UROK	\N	\N
3555793	768	1998-02-28	PRIJEM	\N	87	23581	UROK	\N	\N
3555794	768	1998-03-31	PRIJEM	\N	103	28077	UROK	\N	\N
3555795	768	1998-04-30	PRIJEM	\N	121	29790	UROK	\N	\N
3555796	768	1998-05-31	PRIJEM	\N	117	30600	UROK	\N	\N
3555797	768	1998-06-30	PRIJEM	\N	115	30618	UROK	\N	\N
3555798	768	1998-07-31	PRIJEM	\N	131	31341	UROK	\N	\N
3555799	768	1998-08-31	PRIJEM	\N	134	32068	UROK	\N	\N
3555800	768	1998-09-30	PRIJEM	\N	127	32887	UROK	\N	\N
3555801	768	1998-10-31	PRIJEM	\N	143	36822	UROK	\N	\N
3555802	768	1998-11-30	PRIJEM	\N	155	36170	UROK	\N	\N
3555803	768	1998-12-31	PRIJEM	\N	159	38732	UROK	\N	\N
3555804	771	1996-02-29	PRIJEM	\N	28	21844	UROK	\N	\N
3555805	771	1996-03-31	PRIJEM	\N	106	33467	UROK	\N	\N
3555806	771	1996-04-30	PRIJEM	\N	146	38529	UROK	\N	\N
3555807	771	1996-05-31	PRIJEM	\N	164	41409	UROK	\N	\N
3555808	771	1996-06-30	PRIJEM	\N	202	34585	UROK	\N	\N
3555809	771	1996-07-31	PRIJEM	\N	169	35025	UROK	\N	\N
3555810	771	1996-08-31	PRIJEM	\N	173	38170	UROK	\N	\N
3555811	771	1996-09-30	PRIJEM	\N	174	35315	UROK	\N	\N
3555812	771	1996-10-31	PRIJEM	\N	142	26549	UROK	\N	\N
3555813	771	1996-11-30	PRIJEM	\N	138	30958	UROK	\N	\N
3555814	771	1996-12-31	PRIJEM	\N	169	34006	UROK	\N	\N
3555815	771	1997-01-31	PRIJEM	\N	145	20203	UROK	\N	\N
3555816	771	1997-02-28	PRIJEM	\N	114	27088	UROK	\N	\N
3555817	771	1997-03-31	PRIJEM	\N	157	28837	UROK	\N	\N
3555818	771	1997-04-30	PRIJEM	\N	149	34757	UROK	\N	\N
3555819	771	1997-05-31	PRIJEM	\N	161	34989	UROK	\N	\N
3555820	771	1997-06-30	PRIJEM	\N	171	35559	UROK	\N	\N
3555821	771	1997-07-31	PRIJEM	\N	145	29035	UROK	\N	\N
3555822	771	1997-08-31	PRIJEM	\N	125	25831	UROK	\N	\N
3555823	771	1997-09-30	PRIJEM	\N	120	26722	UROK	\N	\N
3555824	771	1997-10-31	PRIJEM	\N	122	27416	UROK	\N	\N
3555825	771	1997-11-30	PRIJEM	\N	125	28612	UROK	\N	\N
3555826	771	1997-12-31	PRIJEM	\N	151	33483	UROK	\N	\N
3555827	771	1998-01-31	PRIJEM	\N	122	18577	UROK	\N	\N
3555828	771	1998-02-28	PRIJEM	\N	103	25931	UROK	\N	\N
3555829	771	1998-03-31	PRIJEM	\N	104	22987	UROK	\N	\N
3555830	771	1998-04-30	PRIJEM	\N	99	22458	UROK	\N	\N
3555831	771	1998-05-31	PRIJEM	\N	86	17414	UROK	\N	\N
3555832	771	1998-06-30	PRIJEM	\N	85	19578	UROK	\N	\N
3555833	771	1998-07-31	PRIJEM	\N	84	19534	UROK	\N	\N
3555834	771	1998-08-31	PRIJEM	\N	72	16077	UROK	\N	\N
3555835	771	1998-09-30	PRIJEM	\N	65	16014	UROK	\N	\N
3555836	771	1998-10-31	PRIJEM	\N	114	31099	UROK	\N	\N
3555837	771	1998-11-30	PRIJEM	\N	69	13039	UROK	\N	\N
3555838	771	1998-12-31	PRIJEM	\N	126	35265	UROK	\N	\N
3555839	772	1993-02-28	PRIJEM	\N	32	23941	UROK	\N	\N
3555840	772	1993-03-31	PRIJEM	\N	115	35465	UROK	\N	\N
3555841	772	1993-04-30	PRIJEM	\N	158	42932	UROK	\N	\N
3555842	772	1993-05-31	PRIJEM	\N	182	45723	UROK	\N	\N
3555843	772	1993-06-30	PRIJEM	\N	174	31611	UROK	\N	\N
3555844	772	1993-07-31	PRIJEM	\N	158	39698	UROK	\N	\N
3555845	772	1993-08-31	PRIJEM	\N	178	40505	UROK	\N	\N
3555846	772	1993-09-30	PRIJEM	\N	178	41113	UROK	\N	\N
3555847	772	1993-10-31	PRIJEM	\N	169	39111	UROK	\N	\N
3555848	772	1993-11-30	PRIJEM	\N	166	39707	UROK	\N	\N
3555849	772	1993-12-31	PRIJEM	\N	195	49135	UROK	\N	\N
3555850	772	1994-01-31	PRIJEM	\N	176	37740	UROK	\N	\N
3555851	772	1994-02-28	PRIJEM	\N	167	42036	UROK	\N	\N
3555852	772	1994-03-31	PRIJEM	\N	178	40844	UROK	\N	\N
3555853	772	1994-04-30	PRIJEM	\N	171	41044	UROK	\N	\N
3555854	772	1994-05-31	PRIJEM	\N	183	45356	UROK	\N	\N
3555855	772	1994-06-30	PRIJEM	\N	203	49293	UROK	\N	\N
3555856	772	1994-07-31	PRIJEM	\N	203	47325	UROK	\N	\N
3555857	772	1994-08-31	PRIJEM	\N	191	45946	UROK	\N	\N
3555858	772	1994-09-30	PRIJEM	\N	212	57187	UROK	\N	\N
3555859	772	1994-10-31	PRIJEM	\N	248	62364	UROK	\N	\N
3555860	772	1994-11-30	PRIJEM	\N	237	60130	UROK	\N	\N
3555861	772	1994-12-31	PRIJEM	\N	277	74441	UROK	\N	\N
3555862	772	1995-01-31	PRIJEM	\N	259	51929	UROK	\N	\N
3555863	772	1995-02-28	PRIJEM	\N	215	56574	UROK	\N	\N
3555864	772	1995-03-31	PRIJEM	\N	243	62246	UROK	\N	\N
3555865	772	1995-04-30	PRIJEM	\N	250	61226	UROK	\N	\N
3555866	772	1995-05-31	PRIJEM	\N	257	65511	UROK	\N	\N
3555867	772	1995-06-30	PRIJEM	\N	290	56836	UROK	\N	\N
3555868	772	1995-07-31	PRIJEM	\N	255	67420	UROK	\N	\N
3555869	772	1995-08-31	PRIJEM	\N	278	71727	UROK	\N	\N
3555870	772	1995-09-30	PRIJEM	\N	277	70333	UROK	\N	\N
3555871	772	1995-10-31	PRIJEM	\N	283	72846	UROK	\N	\N
3555872	772	1995-11-30	PRIJEM	\N	287	73762	UROK	\N	\N
3555873	772	1995-12-31	PRIJEM	\N	321	86817	UROK	\N	\N
3555874	772	1996-01-31	PRIJEM	\N	288	67335	UROK	\N	\N
3555875	772	1996-02-29	PRIJEM	\N	277	70141	UROK	\N	\N
3555876	772	1996-03-31	PRIJEM	\N	281	72852	UROK	\N	\N
3555877	772	1996-04-30	PRIJEM	\N	295	76376	UROK	\N	\N
3555878	772	1996-05-31	PRIJEM	\N	311	80517	UROK	\N	\N
3555879	772	1996-06-30	PRIJEM	\N	254	67005	UROK	\N	\N
3555880	772	1996-07-31	PRIJEM	\N	283	72517	UROK	\N	\N
3555881	772	1996-08-31	PRIJEM	\N	308	79655	UROK	\N	\N
3555882	772	1996-09-30	PRIJEM	\N	330	85614	UROK	\N	\N
3555883	772	1996-10-31	PRIJEM	\N	329	83372	UROK	\N	\N
3555884	772	1996-11-30	PRIJEM	\N	331	85032	UROK	\N	\N
3555885	772	1996-12-31	PRIJEM	\N	353	94119	UROK	\N	\N
3555886	772	1997-01-31	PRIJEM	\N	296	59344	UROK	\N	\N
3555887	772	1997-02-28	PRIJEM	\N	280	77254	UROK	\N	\N
3555888	772	1997-03-31	PRIJEM	\N	321	84404	UROK	\N	\N
3555889	772	1997-04-30	PRIJEM	\N	314	81447	UROK	\N	\N
3555890	772	1997-05-31	PRIJEM	\N	298	68775	UROK	\N	\N
3555891	772	1997-06-30	PRIJEM	\N	275	64284	UROK	\N	\N
3555892	772	1997-07-31	PRIJEM	\N	302	70615	UROK	\N	\N
3555893	772	1997-08-31	PRIJEM	\N	321	67666	UROK	\N	\N
3555894	772	1997-09-30	PRIJEM	\N	311	70606	UROK	\N	\N
3555895	772	1997-10-31	PRIJEM	\N	308	65044	UROK	\N	\N
3555896	772	1997-11-30	PRIJEM	\N	298	68471	UROK	\N	\N
3555897	772	1997-12-31	PRIJEM	\N	327	72032	UROK	\N	\N
3555898	772	1998-01-31	PRIJEM	\N	300	56562	UROK	\N	\N
3555899	772	1998-02-28	PRIJEM	\N	257	58348	UROK	\N	\N
3555900	772	1998-03-31	PRIJEM	\N	267	60444	UROK	\N	\N
3555901	772	1998-04-30	PRIJEM	\N	276	64950	UROK	\N	\N
3555902	772	1998-05-31	PRIJEM	\N	292	67171	UROK	\N	\N
3555903	772	1998-06-30	PRIJEM	\N	318	62923	UROK	\N	\N
3555904	772	1998-07-31	PRIJEM	\N	282	66635	UROK	\N	\N
3555905	772	1998-08-31	PRIJEM	\N	285	65349	UROK	\N	\N
3555906	772	1998-09-30	PRIJEM	\N	286	67264	UROK	\N	\N
3555907	772	1998-10-31	PRIJEM	\N	288	65481	UROK	\N	\N
3555908	772	1998-11-30	PRIJEM	\N	274	63985	UROK	\N	\N
3555909	772	1998-12-31	PRIJEM	\N	298	72717	UROK	\N	\N
3555910	775	1995-01-31	PRIJEM	\N	46	22732	UROK	\N	\N
3555911	775	1995-02-28	PRIJEM	\N	116	33733	UROK	\N	\N
3555912	775	1995-03-31	PRIJEM	\N	146	36966	UROK	\N	\N
3555913	775	1995-04-30	PRIJEM	\N	157	38909	UROK	\N	\N
3555914	775	1995-05-31	PRIJEM	\N	182	42069	UROK	\N	\N
3555915	775	1995-06-30	PRIJEM	\N	189	38965	UROK	\N	\N
3555916	775	1995-07-31	PRIJEM	\N	172	38502	UROK	\N	\N
3555917	775	1995-08-31	PRIJEM	\N	173	40039	UROK	\N	\N
3555918	775	1995-09-30	PRIJEM	\N	185	44788	UROK	\N	\N
3555919	775	1995-10-31	PRIJEM	\N	187	41339	UROK	\N	\N
3555920	775	1995-11-30	PRIJEM	\N	182	41885	UROK	\N	\N
3555921	775	1995-12-31	PRIJEM	\N	200	48293	UROK	\N	\N
3555922	775	1996-01-31	PRIJEM	\N	191	38548	UROK	\N	\N
3555923	775	1996-02-29	PRIJEM	\N	166	40378	UROK	\N	\N
3555924	775	1996-03-31	PRIJEM	\N	173	41516	UROK	\N	\N
3555925	775	1996-04-30	PRIJEM	\N	179	43559	UROK	\N	\N
3555926	775	1996-05-31	PRIJEM	\N	191	47215	UROK	\N	\N
3555927	775	1996-06-30	PRIJEM	\N	171	34393	UROK	\N	\N
3555928	775	1996-07-31	PRIJEM	\N	169	42726	UROK	\N	\N
3555929	775	1996-08-31	PRIJEM	\N	215	56306	UROK	\N	\N
3555930	775	1996-09-30	PRIJEM	\N	253	62924	UROK	\N	\N
3555931	775	1996-10-31	PRIJEM	\N	260	62348	UROK	\N	\N
3555932	775	1996-11-30	PRIJEM	\N	259	62672	UROK	\N	\N
3555933	775	1996-12-31	PRIJEM	\N	274	68353	UROK	\N	\N
3555934	775	1997-01-31	PRIJEM	\N	245	49762	UROK	\N	\N
3555935	775	1997-02-28	PRIJEM	\N	222	55148	UROK	\N	\N
3555936	775	1997-03-31	PRIJEM	\N	240	59052	UROK	\N	\N
3555937	775	1997-04-30	PRIJEM	\N	253	61870	UROK	\N	\N
3555938	775	1997-05-31	PRIJEM	\N	253	60587	UROK	\N	\N
3555939	775	1997-06-30	PRIJEM	\N	238	54732	UROK	\N	\N
3555940	775	1997-07-31	PRIJEM	\N	243	60139	UROK	\N	\N
3555941	775	1997-08-31	PRIJEM	\N	260	63663	UROK	\N	\N
3555942	775	1997-09-30	PRIJEM	\N	269	65497	UROK	\N	\N
3555943	775	1997-10-31	PRIJEM	\N	270	65131	UROK	\N	\N
3555944	775	1997-11-30	PRIJEM	\N	273	66369	UROK	\N	\N
3555945	775	1997-12-31	PRIJEM	\N	295	71771	UROK	\N	\N
3555946	775	1998-01-31	PRIJEM	\N	246	61881	UROK	\N	\N
3555947	775	1998-02-28	PRIJEM	\N	229	55474	UROK	\N	\N
3555948	775	1998-03-31	PRIJEM	\N	254	63993	UROK	\N	\N
3555949	775	1998-04-30	PRIJEM	\N	290	73047	UROK	\N	\N
3555950	775	1998-05-31	PRIJEM	\N	298	73709	UROK	\N	\N
3555951	775	1998-06-30	PRIJEM	\N	304	74021	UROK	\N	\N
3555952	775	1998-07-31	PRIJEM	\N	265	53250	UROK	\N	\N
3555953	775	1998-08-31	PRIJEM	\N	260	55375	UROK	\N	\N
3555954	775	1998-09-30	PRIJEM	\N	269	58808	UROK	\N	\N
3555955	775	1998-10-31	PRIJEM	\N	280	59053	UROK	\N	\N
3555956	775	1998-11-30	PRIJEM	\N	280	60097	UROK	\N	\N
3555957	775	1998-12-31	PRIJEM	\N	321	85125	UROK	\N	\N
3555958	776	1996-06-30	PRIJEM	\N	58	29742	UROK	\N	\N
3555959	776	1996-07-31	PRIJEM	\N	147	41144	UROK	\N	\N
3555960	776	1996-08-31	PRIJEM	\N	181	45981	UROK	\N	\N
3555961	776	1996-09-30	PRIJEM	\N	199	49436	UROK	\N	\N
3555962	776	1996-10-31	PRIJEM	\N	219	49905	UROK	\N	\N
3555963	776	1996-11-30	PRIJEM	\N	212	47774	UROK	\N	\N
3555964	776	1996-12-31	PRIJEM	\N	214	47614	UROK	\N	\N
3555965	776	1997-01-31	PRIJEM	\N	165	32398	UROK	\N	\N
3555966	776	1997-02-28	PRIJEM	\N	157	39773	UROK	\N	\N
3555967	776	1997-03-31	PRIJEM	\N	187	45119	UROK	\N	\N
3555968	776	1997-04-30	PRIJEM	\N	205	49281	UROK	\N	\N
3555969	776	1997-05-31	PRIJEM	\N	214	50454	UROK	\N	\N
3555970	776	1997-06-30	PRIJEM	\N	207	33027	UROK	\N	\N
3555971	776	1997-07-31	PRIJEM	\N	185	47670	UROK	\N	\N
3555972	776	1997-08-31	PRIJEM	\N	223	54112	UROK	\N	\N
3555973	776	1997-09-30	PRIJEM	\N	234	52964	UROK	\N	\N
3555974	776	1997-10-31	PRIJEM	\N	240	55602	UROK	\N	\N
3555975	776	1997-11-30	PRIJEM	\N	268	65308	UROK	\N	\N
3555976	776	1997-12-31	PRIJEM	\N	326	81700	UROK	\N	\N
3555977	776	1998-01-31	PRIJEM	\N	295	56613	UROK	\N	\N
3555978	776	1998-02-28	PRIJEM	\N	262	66333	UROK	\N	\N
3555979	776	1998-03-31	PRIJEM	\N	306	77098	UROK	\N	\N
3555980	776	1998-04-30	PRIJEM	\N	337	83393	UROK	\N	\N
3555981	776	1998-05-31	PRIJEM	\N	341	81932	UROK	\N	\N
3555982	776	1998-06-30	PRIJEM	\N	319	78177	UROK	\N	\N
3555983	776	1998-07-31	PRIJEM	\N	330	81066	UROK	\N	\N
3555984	776	1998-08-31	PRIJEM	\N	334	81258	UROK	\N	\N
3555985	776	1998-09-30	PRIJEM	\N	326	78743	UROK	\N	\N
3555986	776	1998-10-31	PRIJEM	\N	328	80129	UROK	\N	\N
3555987	776	1998-11-30	PRIJEM	\N	297	73584	UROK	\N	\N
3555988	776	1998-12-31	PRIJEM	\N	353	90023	UROK	\N	\N
3555989	777	1998-01-31	PRIJEM	\N	213	48187	UROK	\N	\N
3555990	777	1998-02-28	PRIJEM	\N	200	36986	UROK	\N	\N
3555991	777	1998-03-31	PRIJEM	\N	351	73857	UROK	\N	\N
3555992	777	1998-04-30	PRIJEM	\N	266	49531	UROK	\N	\N
3555993	777	1998-05-31	PRIJEM	\N	350	65972	UROK	\N	\N
3555994	777	1998-06-30	PRIJEM	\N	172	63268	UROK	\N	\N
3555995	777	1998-07-31	PRIJEM	\N	254	51007	UROK	\N	\N
3555996	777	1998-08-31	PRIJEM	\N	280	60003	UROK	\N	\N
3555997	777	1998-09-30	PRIJEM	\N	303	73716	UROK	\N	\N
3555998	777	1998-10-31	PRIJEM	\N	353	72091	UROK	\N	\N
3555999	777	1998-11-30	PRIJEM	\N	348	108527	UROK	\N	\N
3556000	777	1998-12-31	PRIJEM	\N	307	70547	UROK	\N	\N
3556001	780	1996-05-31	PRIJEM	\N	21	26140	UROK	\N	\N
3556002	780	1996-06-30	PRIJEM	\N	120	39388	UROK	\N	\N
3556003	780	1996-07-31	PRIJEM	\N	167	43474	UROK	\N	\N
3556004	780	1996-08-31	PRIJEM	\N	182	44575	UROK	\N	\N
3556005	780	1996-09-30	PRIJEM	\N	184	42117	UROK	\N	\N
3556006	780	1996-10-31	PRIJEM	\N	175	34016	UROK	\N	\N
3556007	780	1996-11-30	PRIJEM	\N	166	41067	UROK	\N	\N
3556008	780	1996-12-31	PRIJEM	\N	204	40964	UROK	\N	\N
3556009	780	1997-01-31	PRIJEM	\N	152	35481	UROK	\N	\N
3556010	780	1997-02-28	PRIJEM	\N	169	42434	UROK	\N	\N
3556011	780	1997-03-31	PRIJEM	\N	176	37695	UROK	\N	\N
3556012	780	1997-04-30	PRIJEM	\N	173	40092	UROK	\N	\N
3556013	780	1997-05-31	PRIJEM	\N	176	37252	UROK	\N	\N
3556014	780	1997-06-30	PRIJEM	\N	186	44231	UROK	\N	\N
3556015	780	1997-07-31	PRIJEM	\N	186	38301	UROK	\N	\N
3556016	780	1997-08-31	PRIJEM	\N	164	34769	UROK	\N	\N
3556017	780	1997-09-30	PRIJEM	\N	152	34705	UROK	\N	\N
3556018	780	1997-10-31	PRIJEM	\N	152	34741	UROK	\N	\N
3556019	780	1997-11-30	PRIJEM	\N	153	36078	UROK	\N	\N
3556020	780	1997-12-31	PRIJEM	\N	162	36093	UROK	\N	\N
3556021	780	1998-01-31	PRIJEM	\N	120	19797	UROK	\N	\N
3556022	780	1998-02-28	PRIJEM	\N	93	24174	UROK	\N	\N
3556023	780	1998-03-31	PRIJEM	\N	108	25466	UROK	\N	\N
3556024	780	1998-04-30	PRIJEM	\N	108	22739	UROK	\N	\N
3556025	780	1998-05-31	PRIJEM	\N	92	20316	UROK	\N	\N
3556026	780	1998-06-30	PRIJEM	\N	97	23047	UROK	\N	\N
3556027	780	1998-07-31	PRIJEM	\N	101	25712	UROK	\N	\N
3556028	780	1998-08-31	PRIJEM	\N	139	31535	UROK	\N	\N
3556029	780	1998-09-30	PRIJEM	\N	144	38263	UROK	\N	\N
3556030	780	1998-10-31	PRIJEM	\N	157	40624	UROK	\N	\N
3556031	780	1998-11-30	PRIJEM	\N	168	42776	UROK	\N	\N
3556032	780	1998-12-31	PRIJEM	\N	193	51302	UROK	\N	\N
3556033	781	1995-07-31	PRIJEM	\N	34	12555	UROK	\N	\N
3556034	781	1995-08-31	PRIJEM	\N	55	13622	UROK	\N	\N
3556035	781	1995-09-30	PRIJEM	\N	59	14694	UROK	\N	\N
3556036	781	1995-10-31	PRIJEM	\N	64	15770	UROK	\N	\N
3556037	781	1995-11-30	PRIJEM	\N	68	16701	UROK	\N	\N
3556038	781	1995-12-31	PRIJEM	\N	69	16222	UROK	\N	\N
3556039	781	1996-01-31	PRIJEM	\N	65	13459	UROK	\N	\N
3556040	781	1996-02-29	PRIJEM	\N	59	14530	UROK	\N	\N
3556041	781	1996-03-31	PRIJEM	\N	63	15605	UROK	\N	\N
3556042	781	1996-04-30	PRIJEM	\N	67	16295	UROK	\N	\N
3556043	781	1996-05-31	PRIJEM	\N	70	17378	UROK	\N	\N
3556044	781	1996-06-30	PRIJEM	\N	79	18269	UROK	\N	\N
3556045	781	1996-07-31	PRIJEM	\N	79	19260	UROK	\N	\N
3556046	781	1996-08-31	PRIJEM	\N	78	18350	UROK	\N	\N
3556047	781	1996-09-30	PRIJEM	\N	75	15858	UROK	\N	\N
3556048	781	1996-10-31	PRIJEM	\N	66	15706	UROK	\N	\N
3556049	781	1996-11-30	PRIJEM	\N	65	15683	UROK	\N	\N
3556050	781	1996-12-31	PRIJEM	\N	63	14489	UROK	\N	\N
3556051	781	1997-01-31	PRIJEM	\N	58	13159	UROK	\N	\N
3556052	781	1997-02-28	PRIJEM	\N	55	13116	UROK	\N	\N
3556053	781	1997-03-31	PRIJEM	\N	57	14186	UROK	\N	\N
3556054	781	1997-04-30	PRIJEM	\N	60	14568	UROK	\N	\N
3556055	781	1997-05-31	PRIJEM	\N	57	13338	UROK	\N	\N
3556056	781	1997-06-30	PRIJEM	\N	57	13447	UROK	\N	\N
3556057	781	1997-07-31	PRIJEM	\N	55	12904	UROK	\N	\N
3556058	781	1997-08-31	PRIJEM	\N	56	13972	UROK	\N	\N
3556059	781	1997-09-30	PRIJEM	\N	60	15045	UROK	\N	\N
3556060	781	1997-10-31	PRIJEM	\N	65	15942	UROK	\N	\N
3556061	781	1997-11-30	PRIJEM	\N	69	17023	UROK	\N	\N
3556062	781	1997-12-31	PRIJEM	\N	72	17658	UROK	\N	\N
3556063	781	1998-01-31	PRIJEM	\N	63	13623	UROK	\N	\N
3556064	781	1998-02-28	PRIJEM	\N	59	14694	UROK	\N	\N
3556065	781	1998-03-31	PRIJEM	\N	59	14166	UROK	\N	\N
3556066	781	1998-04-30	PRIJEM	\N	61	15139	UROK	\N	\N
3556067	781	1998-05-31	PRIJEM	\N	63	15225	UROK	\N	\N
3556068	781	1998-06-30	PRIJEM	\N	65	16302	UROK	\N	\N
3556069	781	1998-07-31	PRIJEM	\N	64	14878	UROK	\N	\N
3556070	781	1998-08-31	PRIJEM	\N	60	14451	UROK	\N	\N
3556071	781	1998-09-30	PRIJEM	\N	62	15525	UROK	\N	\N
3556072	781	1998-10-31	PRIJEM	\N	63	15200	UROK	\N	\N
3556073	781	1998-11-30	PRIJEM	\N	51	12964	UROK	\N	\N
3556074	781	1998-12-31	PRIJEM	\N	60	13526	UROK	\N	\N
3556075	782	1997-11-30	PRIJEM	\N	7	26800	UROK	\N	\N
3556076	782	1997-12-31	PRIJEM	\N	119	46109	UROK	\N	\N
3556077	782	1998-01-31	PRIJEM	\N	194	49996	UROK	\N	\N
3556078	782	1998-02-28	PRIJEM	\N	208	52097	UROK	\N	\N
3556079	782	1998-03-31	PRIJEM	\N	268	54086	UROK	\N	\N
3556080	782	1998-04-30	PRIJEM	\N	269	50968	UROK	\N	\N
3556081	782	1998-05-31	PRIJEM	\N	254	47534	UROK	\N	\N
3556082	782	1998-06-30	PRIJEM	\N	273	57316	UROK	\N	\N
3556083	782	1998-07-31	PRIJEM	\N	279	56608	UROK	\N	\N
3556084	782	1998-08-31	PRIJEM	\N	266	57087	UROK	\N	\N
3556085	782	1998-09-30	PRIJEM	\N	276	58075	UROK	\N	\N
3556086	782	1998-10-31	PRIJEM	\N	246	46753	UROK	\N	\N
3556087	782	1998-11-30	PRIJEM	\N	232	49997	UROK	\N	\N
3556088	782	1998-12-31	PRIJEM	\N	266	53232	UROK	\N	\N
3556089	783	1998-02-28	PRIJEM	\N	4	25324	UROK	\N	\N
3556090	783	1998-03-31	PRIJEM	\N	110	26641	UROK	\N	\N
3556091	783	1998-04-30	PRIJEM	\N	114	25162	UROK	\N	\N
3556092	783	1998-05-31	PRIJEM	\N	111	26880	UROK	\N	\N
3556093	783	1998-06-30	PRIJEM	\N	110	19547	UROK	\N	\N
3556094	783	1998-07-31	PRIJEM	\N	87	21242	UROK	\N	\N
3556095	783	1998-08-31	PRIJEM	\N	94	21183	UROK	\N	\N
3556096	783	1998-09-30	PRIJEM	\N	94	22884	UROK	\N	\N
3556097	783	1998-10-31	PRIJEM	\N	99	23711	UROK	\N	\N
3556098	783	1998-11-30	PRIJEM	\N	104	25422	UROK	\N	\N
3556099	783	1998-12-31	PRIJEM	\N	111	26891	UROK	\N	\N
3556100	784	1994-05-31	PRIJEM	\N	44	25308	UROK	\N	\N
3556101	784	1994-06-30	PRIJEM	\N	134	41338	UROK	\N	\N
3556102	784	1994-07-31	PRIJEM	\N	176	43879	UROK	\N	\N
3556103	784	1994-08-31	PRIJEM	\N	190	47632	UROK	\N	\N
3556104	784	1994-09-30	PRIJEM	\N	189	39805	UROK	\N	\N
3556105	784	1994-10-31	PRIJEM	\N	172	41317	UROK	\N	\N
3556106	784	1994-11-30	PRIJEM	\N	174	42030	UROK	\N	\N
3556107	784	1994-12-31	PRIJEM	\N	187	44288	UROK	\N	\N
3556108	784	1995-01-31	PRIJEM	\N	146	24334	UROK	\N	\N
3556109	784	1995-02-28	PRIJEM	\N	144	44217	UROK	\N	\N
3556110	784	1995-03-31	PRIJEM	\N	182	42938	UROK	\N	\N
3556111	784	1995-04-30	PRIJEM	\N	220	42098	UROK	\N	\N
3556112	784	1995-05-31	PRIJEM	\N	182	39399	UROK	\N	\N
3556113	784	1995-06-30	PRIJEM	\N	214	43163	UROK	\N	\N
3556114	784	1995-07-31	PRIJEM	\N	206	55409	UROK	\N	\N
3556115	784	1995-08-31	PRIJEM	\N	231	59039	UROK	\N	\N
3556116	784	1995-09-30	PRIJEM	\N	236	59514	UROK	\N	\N
3556117	784	1995-10-31	PRIJEM	\N	247	63101	UROK	\N	\N
3556118	784	1995-11-30	PRIJEM	\N	226	51067	UROK	\N	\N
3556119	784	1995-12-31	PRIJEM	\N	217	55116	UROK	\N	\N
3556120	784	1996-01-31	PRIJEM	\N	198	42533	UROK	\N	\N
3556121	784	1996-02-29	PRIJEM	\N	175	48247	UROK	\N	\N
3556122	784	1996-03-31	PRIJEM	\N	204	54490	UROK	\N	\N
3556123	784	1996-04-30	PRIJEM	\N	204	53434	UROK	\N	\N
3556124	784	1996-05-31	PRIJEM	\N	200	52353	UROK	\N	\N
3556125	784	1996-06-30	PRIJEM	\N	207	41171	UROK	\N	\N
3556126	784	1996-07-31	PRIJEM	\N	172	47282	UROK	\N	\N
3556127	784	1996-08-31	PRIJEM	\N	156	42677	UROK	\N	\N
3556128	784	1996-09-30	PRIJEM	\N	163	44279	UROK	\N	\N
3556129	784	1996-10-31	PRIJEM	\N	157	41775	UROK	\N	\N
3556130	784	1996-11-30	PRIJEM	\N	148	38003	UROK	\N	\N
3556131	784	1996-12-31	PRIJEM	\N	169	50203	UROK	\N	\N
3556132	784	1997-01-31	PRIJEM	\N	158	29960	UROK	\N	\N
3556133	784	1997-02-28	PRIJEM	\N	117	34417	UROK	\N	\N
3556134	784	1997-03-31	PRIJEM	\N	126	35282	UROK	\N	\N
3556135	784	1997-04-30	PRIJEM	\N	142	38284	UROK	\N	\N
3556136	784	1997-05-31	PRIJEM	\N	145	40069	UROK	\N	\N
3556137	784	1997-06-30	PRIJEM	\N	167	47407	UROK	\N	\N
3556138	784	1997-07-31	PRIJEM	\N	167	44213	UROK	\N	\N
3556139	784	1997-08-31	PRIJEM	\N	134	37706	UROK	\N	\N
3556140	784	1997-09-30	PRIJEM	\N	133	42078	UROK	\N	\N
3556141	784	1997-10-31	PRIJEM	\N	150	28768	UROK	\N	\N
3556142	784	1997-11-30	PRIJEM	\N	156	26663	UROK	\N	\N
3556143	784	1997-12-31	PRIJEM	\N	165	30239	UROK	\N	\N
3556144	784	1998-01-31	PRIJEM	\N	133	21992	UROK	\N	\N
3556145	784	1998-02-28	PRIJEM	\N	126	25557	UROK	\N	\N
3556146	784	1998-03-31	PRIJEM	\N	141	25037	UROK	\N	\N
3556147	784	1998-04-30	PRIJEM	\N	138	26814	UROK	\N	\N
3556148	784	1998-05-31	PRIJEM	\N	144	28298	UROK	\N	\N
3556149	784	1998-06-30	PRIJEM	\N	170	32379	UROK	\N	\N
3556150	784	1998-07-31	PRIJEM	\N	160	26778	UROK	\N	\N
3556151	784	1998-08-31	PRIJEM	\N	136	25254	UROK	\N	\N
3556152	784	1998-09-30	PRIJEM	\N	130	26023	UROK	\N	\N
3556153	784	1998-10-31	PRIJEM	\N	121	22604	UROK	\N	\N
3556154	784	1998-11-30	PRIJEM	\N	114	21758	UROK	\N	\N
3556155	784	1998-12-31	PRIJEM	\N	127	21656	UROK	\N	\N
3556156	785	1997-08-31	PRIJEM	\N	72	26787	UROK	\N	\N
3556157	785	1997-09-30	PRIJEM	\N	181	53283	UROK	\N	\N
3556158	785	1997-10-31	PRIJEM	\N	264	69162	UROK	\N	\N
3556159	785	1997-11-30	PRIJEM	\N	303	75179	UROK	\N	\N
3556160	785	1997-12-31	PRIJEM	\N	316	63985	UROK	\N	\N
3556161	785	1998-01-31	PRIJEM	\N	222	39297	UROK	\N	\N
3556162	785	1998-02-28	PRIJEM	\N	176	36527	UROK	\N	\N
3556163	785	1998-03-31	PRIJEM	\N	190	49517	UROK	\N	\N
3556164	785	1998-04-30	PRIJEM	\N	200	52557	UROK	\N	\N
3556165	785	1998-05-31	PRIJEM	\N	213	47224	UROK	\N	\N
3556166	785	1998-06-30	PRIJEM	\N	236	26921	UROK	\N	\N
3556167	785	1998-07-31	PRIJEM	\N	146	21336	UROK	\N	\N
3556168	785	1998-08-31	PRIJEM	\N	136	29526	UROK	\N	\N
3556169	785	1998-09-30	PRIJEM	\N	161	35245	UROK	\N	\N
3556170	785	1998-10-31	PRIJEM	\N	160	36459	UROK	\N	\N
3556171	785	1998-11-30	PRIJEM	\N	179	49092	UROK	\N	\N
3556172	785	1998-12-31	PRIJEM	\N	212	45646	UROK	\N	\N
3556173	786	1995-09-30	PRIJEM	\N	61	22128	UROK	\N	\N
3556174	786	1995-10-31	PRIJEM	\N	141	30937	UROK	\N	\N
3556175	786	1995-11-30	PRIJEM	\N	182	45986	UROK	\N	\N
3556176	786	1995-12-31	PRIJEM	\N	236	62022	UROK	\N	\N
3556177	786	1996-01-31	PRIJEM	\N	225	30276	UROK	\N	\N
3556178	786	1996-02-29	PRIJEM	\N	157	41068	UROK	\N	\N
3556179	786	1996-03-31	PRIJEM	\N	194	48496	UROK	\N	\N
3556180	786	1996-04-30	PRIJEM	\N	211	51342	UROK	\N	\N
3556181	786	1996-05-31	PRIJEM	\N	218	50434	UROK	\N	\N
3556182	786	1996-06-30	PRIJEM	\N	214	32936	UROK	\N	\N
3556183	786	1996-07-31	PRIJEM	\N	172	44642	UROK	\N	\N
3556184	786	1996-08-31	PRIJEM	\N	210	51987	UROK	\N	\N
3556185	786	1996-09-30	PRIJEM	\N	231	56372	UROK	\N	\N
3556186	786	1996-10-31	PRIJEM	\N	223	55509	UROK	\N	\N
3556187	786	1996-11-30	PRIJEM	\N	234	55977	UROK	\N	\N
3556188	786	1996-12-31	PRIJEM	\N	244	61069	UROK	\N	\N
3556189	786	1997-01-31	PRIJEM	\N	214	50478	UROK	\N	\N
3556190	786	1997-02-28	PRIJEM	\N	217	52329	UROK	\N	\N
3556191	786	1997-03-31	PRIJEM	\N	237	58700	UROK	\N	\N
3556192	786	1997-04-30	PRIJEM	\N	251	60886	UROK	\N	\N
3556193	786	1997-05-31	PRIJEM	\N	253	60273	UROK	\N	\N
3556194	786	1997-06-30	PRIJEM	\N	244	40184	UROK	\N	\N
3556195	786	1997-07-31	PRIJEM	\N	185	44464	UROK	\N	\N
3556196	786	1997-08-31	PRIJEM	\N	183	46421	UROK	\N	\N
3556197	786	1997-09-30	PRIJEM	\N	223	57379	UROK	\N	\N
3556198	786	1997-10-31	PRIJEM	\N	243	57256	UROK	\N	\N
3556199	786	1997-11-30	PRIJEM	\N	271	62162	UROK	\N	\N
3556200	786	1997-12-31	PRIJEM	\N	302	63592	UROK	\N	\N
3556201	786	1998-01-31	PRIJEM	\N	280	47826	UROK	\N	\N
3556202	786	1998-02-28	PRIJEM	\N	223	49223	UROK	\N	\N
3556203	786	1998-03-31	PRIJEM	\N	235	48793	UROK	\N	\N
3556204	786	1998-04-30	PRIJEM	\N	224	49071	UROK	\N	\N
3556205	786	1998-05-31	PRIJEM	\N	219	49625	UROK	\N	\N
3556206	786	1998-06-30	PRIJEM	\N	255	52147	UROK	\N	\N
3556207	786	1998-07-31	PRIJEM	\N	241	49223	UROK	\N	\N
3556208	786	1998-08-31	PRIJEM	\N	234	54391	UROK	\N	\N
3556209	786	1998-09-30	PRIJEM	\N	251	55076	UROK	\N	\N
3556210	786	1998-10-31	PRIJEM	\N	249	55480	UROK	\N	\N
3556211	786	1998-11-30	PRIJEM	\N	259	62273	UROK	\N	\N
3556212	786	1998-12-31	PRIJEM	\N	300	66241	UROK	\N	\N
3556213	787	1993-12-31	PRIJEM	\N	46	19010	UROK	\N	\N
3556214	787	1994-01-31	PRIJEM	\N	101	27486	UROK	\N	\N
3556215	787	1994-02-28	PRIJEM	\N	120	29682	UROK	\N	\N
3556216	787	1994-03-31	PRIJEM	\N	131	32889	UROK	\N	\N
3556217	787	1994-04-30	PRIJEM	\N	136	32205	UROK	\N	\N
3556218	787	1994-05-31	PRIJEM	\N	124	27773	UROK	\N	\N
3556219	787	1994-06-30	PRIJEM	\N	104	18809	UROK	\N	\N
3556220	787	1994-07-31	PRIJEM	\N	82	18936	UROK	\N	\N
3556221	787	1994-08-31	PRIJEM	\N	86	21266	UROK	\N	\N
3556222	787	1994-09-30	PRIJEM	\N	85	16095	UROK	\N	\N
3556223	787	1994-10-31	PRIJEM	\N	79	20219	UROK	\N	\N
3556224	787	1994-11-30	PRIJEM	\N	96	20559	UROK	\N	\N
3556225	787	1994-12-31	PRIJEM	\N	103	26394	UROK	\N	\N
3556226	787	1995-01-31	PRIJEM	\N	87	15325	UROK	\N	\N
3556227	787	1995-02-28	PRIJEM	\N	79	20449	UROK	\N	\N
3556228	787	1995-03-31	PRIJEM	\N	79	16773	UROK	\N	\N
3556229	787	1995-04-30	PRIJEM	\N	85	21702	UROK	\N	\N
3556230	787	1995-05-31	PRIJEM	\N	89	21135	UROK	\N	\N
3556231	787	1995-06-30	PRIJEM	\N	88	18555	UROK	\N	\N
3556232	787	1995-07-31	PRIJEM	\N	82	20282	UROK	\N	\N
3556233	787	1995-08-31	PRIJEM	\N	77	16503	UROK	\N	\N
3556234	787	1995-09-30	PRIJEM	\N	73	17920	UROK	\N	\N
3556235	787	1995-10-31	PRIJEM	\N	80	19845	UROK	\N	\N
3556236	787	1995-11-30	PRIJEM	\N	86	20975	UROK	\N	\N
3556237	787	1995-12-31	PRIJEM	\N	88	21196	UROK	\N	\N
3556238	787	1996-01-31	PRIJEM	\N	67	13307	UROK	\N	\N
3556239	787	1996-02-29	PRIJEM	\N	62	15613	UROK	\N	\N
3556240	787	1996-03-31	PRIJEM	\N	64	15422	UROK	\N	\N
3556241	787	1996-04-30	PRIJEM	\N	51	10917	UROK	\N	\N
3556242	787	1996-05-31	PRIJEM	\N	52	13213	UROK	\N	\N
3556243	787	1996-06-30	PRIJEM	\N	71	18917	UROK	\N	\N
3556244	787	1996-07-31	PRIJEM	\N	72	17034	UROK	\N	\N
3556245	787	1996-08-31	PRIJEM	\N	70	16148	UROK	\N	\N
3556246	787	1996-09-30	PRIJEM	\N	72	13065	UROK	\N	\N
3556247	787	1996-10-31	PRIJEM	\N	61	15370	UROK	\N	\N
3556248	787	1996-11-30	PRIJEM	\N	70	17685	UROK	\N	\N
3556249	787	1996-12-31	PRIJEM	\N	86	21803	UROK	\N	\N
3556250	787	1997-01-31	PRIJEM	\N	74	14921	UROK	\N	\N
3556251	787	1997-02-28	PRIJEM	\N	67	16733	UROK	\N	\N
3556252	787	1997-03-31	PRIJEM	\N	76	19053	UROK	\N	\N
3556253	787	1997-04-30	PRIJEM	\N	85	21383	UROK	\N	\N
3556254	787	1997-05-31	PRIJEM	\N	95	23722	UROK	\N	\N
3556255	787	1997-06-30	PRIJEM	\N	96	12351	UROK	\N	\N
3556256	787	1997-07-31	PRIJEM	\N	57	14653	UROK	\N	\N
3556257	787	1997-08-31	PRIJEM	\N	65	16262	UROK	\N	\N
3556258	787	1997-09-30	PRIJEM	\N	74	18580	UROK	\N	\N
3556259	787	1997-10-31	PRIJEM	\N	83	20908	UROK	\N	\N
3556260	787	1997-11-30	PRIJEM	\N	93	23245	UROK	\N	\N
3556261	787	1997-12-31	PRIJEM	\N	111	26888	UROK	\N	\N
3556262	787	1998-01-31	PRIJEM	\N	77	15410	UROK	\N	\N
3556263	787	1998-02-28	PRIJEM	\N	70	17723	UROK	\N	\N
3556264	787	1998-03-31	PRIJEM	\N	79	20047	UROK	\N	\N
3556265	787	1998-04-30	PRIJEM	\N	89	22380	UROK	\N	\N
3556266	787	1998-05-31	PRIJEM	\N	86	20511	UROK	\N	\N
3556267	787	1998-06-30	PRIJEM	\N	96	24439	UROK	\N	\N
3556268	787	1998-07-31	PRIJEM	\N	107	26790	UROK	\N	\N
3556269	787	1998-08-31	PRIJEM	\N	109	24844	UROK	\N	\N
3556270	787	1998-09-30	PRIJEM	\N	97	19085	UROK	\N	\N
3556271	787	1998-10-31	PRIJEM	\N	84	21414	UROK	\N	\N
3556272	787	1998-11-30	PRIJEM	\N	94	23753	UROK	\N	\N
3556273	787	1998-12-31	PRIJEM	\N	108	27392	UROK	\N	\N
3556274	788	1996-09-30	PRIJEM	\N	18	16337	UROK	\N	\N
3556275	788	1996-10-31	PRIJEM	\N	68	21878	UROK	\N	\N
3556276	788	1996-11-30	PRIJEM	\N	70	27421	UROK	\N	\N
3556277	788	1996-12-31	PRIJEM	\N	114	25197	UROK	\N	\N
3556278	788	1997-01-31	PRIJEM	\N	84	18844	UROK	\N	\N
3556279	788	1997-02-28	PRIJEM	\N	81	19087	UROK	\N	\N
3556280	788	1997-03-31	PRIJEM	\N	84	18173	UROK	\N	\N
3556281	788	1997-04-30	PRIJEM	\N	81	20617	UROK	\N	\N
3556282	788	1997-05-31	PRIJEM	\N	92	23071	UROK	\N	\N
3556283	788	1997-06-30	PRIJEM	\N	91	22004	UROK	\N	\N
3556284	788	1997-07-31	PRIJEM	\N	95	23261	UROK	\N	\N
3556285	788	1997-08-31	PRIJEM	\N	103	25726	UROK	\N	\N
3556286	788	1997-09-30	PRIJEM	\N	112	27480	UROK	\N	\N
3556287	788	1997-10-31	PRIJEM	\N	120	29963	UROK	\N	\N
3556288	788	1997-11-30	PRIJEM	\N	120	25285	UROK	\N	\N
3556289	788	1997-12-31	PRIJEM	\N	96	22703	UROK	\N	\N
3556290	788	1998-01-31	PRIJEM	\N	78	16823	UROK	\N	\N
3556291	788	1998-02-28	PRIJEM	\N	75	19260	UROK	\N	\N
3556292	788	1998-03-31	PRIJEM	\N	86	21708	UROK	\N	\N
3556293	788	1998-04-30	PRIJEM	\N	96	24167	UROK	\N	\N
3556294	788	1998-05-31	PRIJEM	\N	106	26635	UROK	\N	\N
3556295	788	1998-06-30	PRIJEM	\N	112	27990	UROK	\N	\N
3556296	788	1998-07-31	PRIJEM	\N	117	28789	UROK	\N	\N
3556297	788	1998-08-31	PRIJEM	\N	125	31277	UROK	\N	\N
3556298	788	1998-09-30	PRIJEM	\N	136	33775	UROK	\N	\N
3556299	788	1998-10-31	PRIJEM	\N	141	32918	UROK	\N	\N
3556300	788	1998-11-30	PRIJEM	\N	125	28926	UROK	\N	\N
3556301	788	1998-12-31	PRIJEM	\N	125	30562	UROK	\N	\N
3556302	789	1995-02-28	PRIJEM	\N	16	6208	UROK	\N	\N
3556303	789	1995-03-31	PRIJEM	\N	62	19862	UROK	\N	\N
3556304	789	1995-04-30	PRIJEM	\N	105	28259	UROK	\N	\N
3556305	789	1995-05-31	PRIJEM	\N	130	32880	UROK	\N	\N
3556306	789	1995-06-30	PRIJEM	\N	137	33555	UROK	\N	\N
3556307	789	1995-07-31	PRIJEM	\N	114	27152	UROK	\N	\N
3556308	789	1995-08-31	PRIJEM	\N	101	24336	UROK	\N	\N
3556309	789	1995-09-30	PRIJEM	\N	101	25481	UROK	\N	\N
3556310	789	1995-10-31	PRIJEM	\N	98	23062	UROK	\N	\N
3556311	789	1995-11-30	PRIJEM	\N	87	21633	UROK	\N	\N
3556312	789	1995-12-31	PRIJEM	\N	94	19134	UROK	\N	\N
3556313	789	1996-01-31	PRIJEM	\N	67	15802	UROK	\N	\N
3556314	789	1996-02-29	PRIJEM	\N	64	15028	UROK	\N	\N
3556315	789	1996-03-31	PRIJEM	\N	56	13945	UROK	\N	\N
3556316	789	1996-04-30	PRIJEM	\N	58	14365	UROK	\N	\N
3556317	789	1996-05-31	PRIJEM	\N	58	13484	UROK	\N	\N
3556318	789	1996-06-30	PRIJEM	\N	63	16755	UROK	\N	\N
3556319	789	1996-07-31	PRIJEM	\N	57	13973	UROK	\N	\N
3556320	789	1996-08-31	PRIJEM	\N	62	14396	UROK	\N	\N
3556321	789	1996-09-30	PRIJEM	\N	60	14818	UROK	\N	\N
3556322	789	1996-10-31	PRIJEM	\N	66	15245	UROK	\N	\N
3556323	789	1996-11-30	PRIJEM	\N	63	15670	UROK	\N	\N
3556324	789	1996-12-31	PRIJEM	\N	73	18950	UROK	\N	\N
3556325	789	1997-01-31	PRIJEM	\N	74	15305	UROK	\N	\N
3556326	789	1997-02-28	PRIJEM	\N	67	15734	UROK	\N	\N
3556327	789	1997-03-31	PRIJEM	\N	69	16164	UROK	\N	\N
3556328	789	1997-04-30	PRIJEM	\N	67	16593	UROK	\N	\N
3556329	789	1997-05-31	PRIJEM	\N	69	17023	UROK	\N	\N
3556330	789	1997-06-30	PRIJEM	\N	82	20312	UROK	\N	\N
3556331	789	1997-07-31	PRIJEM	\N	88	20762	UROK	\N	\N
3556332	789	1997-08-31	PRIJEM	\N	86	21209	UROK	\N	\N
3556333	789	1997-09-30	PRIJEM	\N	74	17204	UROK	\N	\N
3556334	789	1997-10-31	PRIJEM	\N	69	15595	UROK	\N	\N
3556335	789	1997-11-30	PRIJEM	\N	68	16025	UROK	\N	\N
3556336	789	1997-12-31	PRIJEM	\N	72	18504	UROK	\N	\N
3556337	789	1998-01-31	PRIJEM	\N	67	15453	UROK	\N	\N
3556338	789	1998-02-28	PRIJEM	\N	63	15877	UROK	\N	\N
3556339	789	1998-03-31	PRIJEM	\N	65	16304	UROK	\N	\N
3556340	789	1998-04-30	PRIJEM	\N	71	16736	UROK	\N	\N
3556341	789	1998-05-31	PRIJEM	\N	69	17166	UROK	\N	\N
3556342	789	1998-06-30	PRIJEM	\N	78	20451	UROK	\N	\N
3556343	789	1998-07-31	PRIJEM	\N	84	20897	UROK	\N	\N
3556344	789	1998-08-31	PRIJEM	\N	90	21348	UROK	\N	\N
3556345	789	1998-09-30	PRIJEM	\N	91	21801	UROK	\N	\N
3556346	789	1998-10-31	PRIJEM	\N	89	22252	UROK	\N	\N
3556347	789	1998-11-30	PRIJEM	\N	91	22704	UROK	\N	\N
3556348	789	1998-12-31	PRIJEM	\N	85	20757	UROK	\N	\N
3556349	791	1996-05-31	PRIJEM	\N	56	20872	UROK	\N	\N
3556350	791	1996-06-30	PRIJEM	\N	79	17837	UROK	\N	\N
3556351	791	1996-07-31	PRIJEM	\N	78	18580	UROK	\N	\N
3556352	791	1996-08-31	PRIJEM	\N	83	20249	UROK	\N	\N
3556353	791	1996-09-30	PRIJEM	\N	89	22123	UROK	\N	\N
3556354	791	1996-10-31	PRIJEM	\N	93	21901	UROK	\N	\N
3556355	791	1996-11-30	PRIJEM	\N	96	23182	UROK	\N	\N
3556356	791	1996-12-31	PRIJEM	\N	92	21009	UROK	\N	\N
3556357	791	1997-01-31	PRIJEM	\N	76	12930	UROK	\N	\N
3556358	791	1997-02-28	PRIJEM	\N	58	14774	UROK	\N	\N
3556359	791	1997-03-31	PRIJEM	\N	66	16625	UROK	\N	\N
3556360	791	1997-04-30	PRIJEM	\N	80	17930	UROK	\N	\N
3556361	791	1997-05-31	PRIJEM	\N	61	12976	UROK	\N	\N
3556362	791	1997-06-30	PRIJEM	\N	58	14820	UROK	\N	\N
3556363	791	1997-07-31	PRIJEM	\N	66	16672	UROK	\N	\N
3556364	791	1997-08-31	PRIJEM	\N	70	15247	UROK	\N	\N
3556365	791	1997-09-30	PRIJEM	\N	68	17100	UROK	\N	\N
3556366	791	1997-10-31	PRIJEM	\N	73	15439	UROK	\N	\N
3556367	791	1997-11-30	PRIJEM	\N	68	16332	UROK	\N	\N
3556368	791	1997-12-31	PRIJEM	\N	72	17689	UROK	\N	\N
3556369	791	1998-01-31	PRIJEM	\N	70	14104	UROK	\N	\N
3556370	791	1998-02-28	PRIJEM	\N	61	13551	UROK	\N	\N
3556371	791	1998-03-31	PRIJEM	\N	59	14195	UROK	\N	\N
3556372	791	1998-04-30	PRIJEM	\N	60	14121	UROK	\N	\N
3556373	791	1998-05-31	PRIJEM	\N	63	15969	UROK	\N	\N
3556374	791	1998-06-30	PRIJEM	\N	69	15674	UROK	\N	\N
3556375	791	1998-07-31	PRIJEM	\N	69	17528	UROK	\N	\N
3556376	791	1998-08-31	PRIJEM	\N	77	19391	UROK	\N	\N
3556377	791	1998-09-30	PRIJEM	\N	85	21261	UROK	\N	\N
3556378	791	1998-10-31	PRIJEM	\N	93	23139	UROK	\N	\N
3556379	791	1998-11-30	PRIJEM	\N	100	25025	UROK	\N	\N
3556380	791	1998-12-31	PRIJEM	\N	103	24633	UROK	\N	\N
3556381	792	1997-09-30	PRIJEM	\N	34	13633	UROK	\N	\N
3556382	792	1997-10-31	PRIJEM	\N	82	23614	UROK	\N	\N
3556383	792	1997-11-30	PRIJEM	\N	107	27220	UROK	\N	\N
3556384	792	1997-12-31	PRIJEM	\N	127	32846	UROK	\N	\N
3556385	792	1998-01-31	PRIJEM	\N	132	30823	UROK	\N	\N
3556386	792	1998-02-28	PRIJEM	\N	131	32339	UROK	\N	\N
3556387	792	1998-03-31	PRIJEM	\N	133	31577	UROK	\N	\N
3556388	792	1998-04-30	PRIJEM	\N	136	33659	UROK	\N	\N
3556389	792	1998-05-31	PRIJEM	\N	136	32810	UROK	\N	\N
3556390	792	1998-06-30	PRIJEM	\N	135	32931	UROK	\N	\N
3556391	792	1998-07-31	PRIJEM	\N	129	30845	UROK	\N	\N
3556392	792	1998-08-31	PRIJEM	\N	124	30154	UROK	\N	\N
3556393	792	1998-09-30	PRIJEM	\N	103	23123	UROK	\N	\N
3556394	792	1998-10-31	PRIJEM	\N	95	23403	UROK	\N	\N
3556395	792	1998-11-30	PRIJEM	\N	84	20373	UROK	\N	\N
3556396	792	1998-12-31	PRIJEM	\N	80	18948	UROK	\N	\N
3556397	793	1993-01-31	PRIJEM	\N	15	4216	UROK	\N	\N
3556398	793	1993-02-28	PRIJEM	\N	18	7635	UROK	\N	\N
3556399	793	1993-03-31	PRIJEM	\N	18	11053	UROK	\N	\N
3556400	793	1993-04-30	PRIJEM	\N	18	14472	UROK	\N	\N
3556401	793	1993-05-31	PRIJEM	\N	55	14791	UROK	\N	\N
3556402	793	1993-06-30	PRIJEM	\N	66	15226	UROK	\N	\N
3556403	793	1993-07-31	PRIJEM	\N	66	15301	UROK	\N	\N
3556404	793	1993-08-31	PRIJEM	\N	69	16489	UROK	\N	\N
3556405	793	1993-09-30	PRIJEM	\N	71	16450	UROK	\N	\N
3556406	793	1993-10-31	PRIJEM	\N	74	17643	UROK	\N	\N
3556407	793	1993-11-30	PRIJEM	\N	79	18841	UROK	\N	\N
3556408	793	1993-12-31	PRIJEM	\N	83	19833	UROK	\N	\N
3556409	793	1994-01-31	PRIJEM	\N	84	18007	UROK	\N	\N
3556410	793	1994-02-28	PRIJEM	\N	80	19206	UROK	\N	\N
3556411	793	1994-03-31	PRIJEM	\N	85	20411	UROK	\N	\N
3556412	793	1994-04-30	PRIJEM	\N	86	20176	UROK	\N	\N
3556413	793	1994-05-31	PRIJEM	\N	89	21385	UROK	\N	\N
3556414	793	1994-06-30	PRIJEM	\N	94	22498	UROK	\N	\N
3556415	793	1994-07-31	PRIJEM	\N	99	23716	UROK	\N	\N
3556416	793	1994-08-31	PRIJEM	\N	104	24939	UROK	\N	\N
3556417	793	1994-09-30	PRIJEM	\N	107	25626	UROK	\N	\N
3556418	793	1994-10-31	PRIJEM	\N	112	26857	UROK	\N	\N
3556419	793	1994-11-30	PRIJEM	\N	114	26471	UROK	\N	\N
3556420	793	1994-12-31	PRIJEM	\N	113	26503	UROK	\N	\N
3556421	793	1995-01-31	PRIJEM	\N	109	25362	UROK	\N	\N
3556422	793	1995-02-28	PRIJEM	\N	110	26591	UROK	\N	\N
3556423	793	1995-03-31	PRIJEM	\N	114	26725	UROK	\N	\N
3556424	793	1995-04-30	PRIJEM	\N	116	27961	UROK	\N	\N
3556425	793	1995-05-31	PRIJEM	\N	121	28780	UROK	\N	\N
3556426	793	1995-06-30	PRIJEM	\N	122	27621	UROK	\N	\N
3556427	793	1995-07-31	PRIJEM	\N	120	28860	UROK	\N	\N
3556428	793	1995-08-31	PRIJEM	\N	122	28522	UROK	\N	\N
3556429	793	1995-09-30	PRIJEM	\N	119	26760	UROK	\N	\N
3556430	793	1995-10-31	PRIJEM	\N	114	26693	UROK	\N	\N
3556431	793	1995-11-30	PRIJEM	\N	105	22738	UROK	\N	\N
3556432	793	1995-12-31	PRIJEM	\N	98	22215	UROK	\N	\N
3556433	793	1996-01-31	PRIJEM	\N	89	19643	UROK	\N	\N
3556434	793	1996-02-29	PRIJEM	\N	86	20849	UROK	\N	\N
3556435	793	1996-03-31	PRIJEM	\N	89	21217	UROK	\N	\N
3556436	793	1996-04-30	PRIJEM	\N	93	22429	UROK	\N	\N
3556437	793	1996-05-31	PRIJEM	\N	98	23646	UROK	\N	\N
3556438	793	1996-06-30	PRIJEM	\N	102	24667	UROK	\N	\N
3556439	793	1996-07-31	PRIJEM	\N	104	24841	UROK	\N	\N
3556440	793	1996-08-31	PRIJEM	\N	107	25767	UROK	\N	\N
3556441	793	1996-09-30	PRIJEM	\N	109	26095	UROK	\N	\N
3556442	793	1996-10-31	PRIJEM	\N	110	25704	UROK	\N	\N
3556443	793	1996-11-30	PRIJEM	\N	111	26935	UROK	\N	\N
3556444	793	1996-12-31	PRIJEM	\N	115	27989	UROK	\N	\N
3556445	793	1997-01-31	PRIJEM	\N	107	24465	UROK	\N	\N
3556446	793	1997-02-28	PRIJEM	\N	104	24939	UROK	\N	\N
3556447	793	1997-03-31	PRIJEM	\N	104	24962	UROK	\N	\N
3556448	793	1997-04-30	PRIJEM	\N	107	26189	UROK	\N	\N
3556449	793	1997-05-31	PRIJEM	\N	112	27421	UROK	\N	\N
3556450	793	1997-06-30	PRIJEM	\N	115	27995	UROK	\N	\N
3556451	793	1997-07-31	PRIJEM	\N	116	27851	UROK	\N	\N
3556452	793	1997-08-31	PRIJEM	\N	110	26011	UROK	\N	\N
3556453	793	1997-09-30	PRIJEM	\N	107	25636	UROK	\N	\N
3556454	793	1997-10-31	PRIJEM	\N	97	22653	UROK	\N	\N
3556455	793	1997-11-30	PRIJEM	\N	80	18082	UROK	\N	\N
3556456	793	1997-12-31	PRIJEM	\N	64	14935	UROK	\N	\N
3556457	793	1998-01-31	PRIJEM	\N	63	15188	UROK	\N	\N
3556458	793	1998-02-28	PRIJEM	\N	66	16373	UROK	\N	\N
3556459	793	1998-03-31	PRIJEM	\N	62	14754	UROK	\N	\N
3556460	793	1998-04-30	PRIJEM	\N	64	15937	UROK	\N	\N
3556461	793	1998-05-31	PRIJEM	\N	55	13011	UROK	\N	\N
3556462	793	1998-06-30	PRIJEM	\N	56	14187	UROK	\N	\N
3556463	793	1998-07-31	PRIJEM	\N	61	15368	UROK	\N	\N
3556464	793	1998-08-31	PRIJEM	\N	62	15229	UROK	\N	\N
3556465	793	1998-09-30	PRIJEM	\N	65	16414	UROK	\N	\N
3556466	793	1998-10-31	PRIJEM	\N	70	17604	UROK	\N	\N
3556467	793	1998-11-30	PRIJEM	\N	75	18798	UROK	\N	\N
3556468	793	1998-12-31	PRIJEM	\N	79	19396	UROK	\N	\N
3556469	794	1997-09-30	PRIJEM	\N	10	14700	UROK	\N	\N
3556470	794	1997-10-31	PRIJEM	\N	60	13754	UROK	\N	\N
3556471	794	1997-11-30	PRIJEM	\N	59	14807	UROK	\N	\N
3556472	794	1997-12-31	PRIJEM	\N	60	13790	UROK	\N	\N
3556473	794	1998-01-31	PRIJEM	\N	59	14842	UROK	\N	\N
3556474	794	1998-02-28	PRIJEM	\N	64	15899	UROK	\N	\N
3556475	794	1998-03-31	PRIJEM	\N	67	16390	UROK	\N	\N
3556476	794	1998-04-30	PRIJEM	\N	70	17453	UROK	\N	\N
3556477	794	1998-05-31	PRIJEM	\N	75	18521	UROK	\N	\N
3556478	794	1998-06-30	PRIJEM	\N	79	19594	UROK	\N	\N
3556479	794	1998-07-31	PRIJEM	\N	80	18647	UROK	\N	\N
3556480	794	1998-08-31	PRIJEM	\N	80	19720	UROK	\N	\N
3556481	794	1998-09-30	PRIJEM	\N	74	15687	UROK	\N	\N
3556482	794	1998-10-31	PRIJEM	\N	67	16748	UROK	\N	\N
3556483	794	1998-11-30	PRIJEM	\N	72	17813	UROK	\N	\N
3556484	794	1998-12-31	PRIJEM	\N	76	18042	UROK	\N	\N
3556485	795	1995-02-28	PRIJEM	\N	7	16071	UROK	\N	\N
3556486	795	1995-03-31	PRIJEM	\N	71	24006	UROK	\N	\N
3556487	795	1995-04-30	PRIJEM	\N	101	25871	UROK	\N	\N
3556488	795	1995-05-31	PRIJEM	\N	107	24542	UROK	\N	\N
3556489	795	1995-06-30	PRIJEM	\N	103	26040	UROK	\N	\N
3556490	795	1995-07-31	PRIJEM	\N	112	26026	UROK	\N	\N
3556491	795	1995-08-31	PRIJEM	\N	105	25404	UROK	\N	\N
3556492	795	1995-09-30	PRIJEM	\N	113	28990	UROK	\N	\N
3556493	795	1995-10-31	PRIJEM	\N	123	27986	UROK	\N	\N
3556494	795	1995-11-30	PRIJEM	\N	121	29581	UROK	\N	\N
3556495	795	1995-12-31	PRIJEM	\N	120	27706	UROK	\N	\N
3556496	795	1996-01-31	PRIJEM	\N	106	23285	UROK	\N	\N
3556497	795	1996-02-29	PRIJEM	\N	99	26057	UROK	\N	\N
3556498	795	1996-03-31	PRIJEM	\N	121	33051	UROK	\N	\N
3556499	795	1996-04-30	PRIJEM	\N	142	34567	UROK	\N	\N
3556500	795	1996-05-31	PRIJEM	\N	150	37190	UROK	\N	\N
3556501	795	1996-06-30	PRIJEM	\N	151	16646	UROK	\N	\N
3556502	795	1996-07-31	PRIJEM	\N	89	29208	UROK	\N	\N
3556503	795	1996-08-31	PRIJEM	\N	131	33713	UROK	\N	\N
3556504	795	1996-09-30	PRIJEM	\N	149	38535	UROK	\N	\N
3556505	795	1996-10-31	PRIJEM	\N	166	41974	UROK	\N	\N
3556506	795	1996-11-30	PRIJEM	\N	188	48235	UROK	\N	\N
3556507	795	1996-12-31	PRIJEM	\N	206	50046	UROK	\N	\N
3556508	795	1997-01-31	PRIJEM	\N	187	39106	UROK	\N	\N
3556509	795	1997-02-28	PRIJEM	\N	175	44555	UROK	\N	\N
3556510	795	1997-03-31	PRIJEM	\N	197	49625	UROK	\N	\N
3556511	795	1997-04-30	PRIJEM	\N	213	52412	UROK	\N	\N
3556512	795	1997-05-31	PRIJEM	\N	207	46691	UROK	\N	\N
3556513	795	1997-06-30	PRIJEM	\N	167	42063	UROK	\N	\N
3556514	795	1997-07-31	PRIJEM	\N	187	47124	UROK	\N	\N
3556515	795	1997-08-31	PRIJEM	\N	195	46692	UROK	\N	\N
3556516	795	1997-09-30	PRIJEM	\N	204	50670	UROK	\N	\N
3556517	795	1997-10-31	PRIJEM	\N	210	50154	UROK	\N	\N
3556518	795	1997-11-30	PRIJEM	\N	211	51138	UROK	\N	\N
3556519	795	1997-12-31	PRIJEM	\N	226	55869	UROK	\N	\N
3556520	795	1998-01-31	PRIJEM	\N	221	51163	UROK	\N	\N
3556521	795	1998-02-28	PRIJEM	\N	219	53655	UROK	\N	\N
3556522	795	1998-03-31	PRIJEM	\N	232	57361	UROK	\N	\N
3556523	795	1998-04-30	PRIJEM	\N	229	54363	UROK	\N	\N
3556524	795	1998-05-31	PRIJEM	\N	237	58774	UROK	\N	\N
3556525	795	1998-06-30	PRIJEM	\N	237	58616	UROK	\N	\N
3556526	795	1998-07-31	PRIJEM	\N	245	59635	UROK	\N	\N
3556527	795	1998-08-31	PRIJEM	\N	257	63165	UROK	\N	\N
3556528	795	1998-09-30	PRIJEM	\N	256	66095	UROK	\N	\N
3556529	795	1998-10-31	PRIJEM	\N	268	64736	UROK	\N	\N
3556530	795	1998-11-30	PRIJEM	\N	277	66786	UROK	\N	\N
3556531	795	1998-12-31	PRIJEM	\N	303	75695	UROK	\N	\N
3556532	798	1996-05-31	PRIJEM	\N	20	14693	UROK	\N	\N
3556533	798	1996-06-30	PRIJEM	\N	70	21336	UROK	\N	\N
3556534	798	1996-07-31	PRIJEM	\N	94	24803	UROK	\N	\N
3556535	798	1996-08-31	PRIJEM	\N	107	27082	UROK	\N	\N
3556536	798	1996-09-30	PRIJEM	\N	116	27571	UROK	\N	\N
3556537	798	1996-10-31	PRIJEM	\N	115	27162	UROK	\N	\N
3556538	798	1996-11-30	PRIJEM	\N	119	29978	UROK	\N	\N
3556539	798	1996-12-31	PRIJEM	\N	122	28096	UROK	\N	\N
3556540	798	1997-01-31	PRIJEM	\N	117	26769	UROK	\N	\N
3556541	798	1997-02-28	PRIJEM	\N	110	25095	UROK	\N	\N
3556542	798	1997-03-31	PRIJEM	\N	104	24296	UROK	\N	\N
3556543	798	1997-04-30	PRIJEM	\N	106	26579	UROK	\N	\N
3556544	798	1997-05-31	PRIJEM	\N	111	26666	UROK	\N	\N
3556545	798	1997-06-30	PRIJEM	\N	106	23069	UROK	\N	\N
3556546	798	1997-07-31	PRIJEM	\N	112	29986	UROK	\N	\N
3556547	798	1997-08-31	PRIJEM	\N	137	35300	UROK	\N	\N
3556548	798	1997-09-30	PRIJEM	\N	156	39232	UROK	\N	\N
3556549	798	1997-10-31	PRIJEM	\N	171	42480	UROK	\N	\N
3556550	798	1997-11-30	PRIJEM	\N	176	42292	UROK	\N	\N
3556551	798	1997-12-31	PRIJEM	\N	171	40039	UROK	\N	\N
3556552	798	1998-01-31	PRIJEM	\N	166	37591	UROK	\N	\N
3556553	798	1998-02-28	PRIJEM	\N	161	39969	UROK	\N	\N
3556554	798	1998-03-31	PRIJEM	\N	159	37304	UROK	\N	\N
3556555	798	1998-04-30	PRIJEM	\N	158	38038	UROK	\N	\N
3556556	798	1998-05-31	PRIJEM	\N	162	39677	UROK	\N	\N
3556557	798	1998-06-30	PRIJEM	\N	163	39656	UROK	\N	\N
3556558	798	1998-07-31	PRIJEM	\N	175	43347	UROK	\N	\N
3556559	798	1998-08-31	PRIJEM	\N	188	46211	UROK	\N	\N
3556560	798	1998-09-30	PRIJEM	\N	200	48817	UROK	\N	\N
3556561	798	1998-10-31	PRIJEM	\N	209	51403	UROK	\N	\N
3556562	798	1998-11-30	PRIJEM	\N	204	48684	UROK	\N	\N
3556563	798	1998-12-31	PRIJEM	\N	203	49593	UROK	\N	\N
3556564	799	1995-08-31	PRIJEM	\N	2	16102	UROK	\N	\N
3556565	799	1995-09-30	PRIJEM	\N	64	15366	UROK	\N	\N
3556566	799	1995-10-31	PRIJEM	\N	64	17430	UROK	\N	\N
3556567	799	1995-11-30	PRIJEM	\N	64	14893	UROK	\N	\N
3556568	799	1995-12-31	PRIJEM	\N	64	16757	UROK	\N	\N
3556569	799	1996-01-31	PRIJEM	\N	64	15021	UROK	\N	\N
3556570	799	1996-02-29	PRIJEM	\N	64	10285	UROK	\N	\N
3556571	799	1996-04-30	PRIJEM	\N	64	11648	UROK	\N	\N
3556572	800	1997-12-31	PRIJEM	\N	16	4869	UROK	\N	\N
3556573	800	1998-01-31	PRIJEM	\N	77	21900	UROK	\N	\N
3556574	800	1998-02-28	PRIJEM	\N	126	32779	UROK	\N	\N
3556575	800	1998-03-31	PRIJEM	\N	132	31564	UROK	\N	\N
3556576	800	1998-04-30	PRIJEM	\N	121	28336	UROK	\N	\N
3556577	800	1998-05-31	PRIJEM	\N	108	24731	UROK	\N	\N
3556578	800	1998-06-30	PRIJEM	\N	83	16360	UROK	\N	\N
3556579	800	1998-07-31	PRIJEM	\N	84	19410	UROK	\N	\N
3556580	800	1998-08-31	PRIJEM	\N	92	22439	UROK	\N	\N
3556581	800	1998-09-30	PRIJEM	\N	109	26783	UROK	\N	\N
3556582	800	1998-10-31	PRIJEM	\N	136	33956	UROK	\N	\N
3556583	800	1998-11-30	PRIJEM	\N	136	32028	UROK	\N	\N
3556584	800	1998-12-31	PRIJEM	\N	139	32143	UROK	\N	\N
3556585	801	1997-08-31	PRIJEM	\N	20	14684	UROK	\N	\N
3556586	801	1997-09-30	PRIJEM	\N	73	23421	UROK	\N	\N
3556587	801	1997-10-31	PRIJEM	\N	99	24283	UROK	\N	\N
3556588	801	1997-11-30	PRIJEM	\N	101	24148	UROK	\N	\N
3556589	801	1997-12-31	PRIJEM	\N	103	22422	UROK	\N	\N
3556590	801	1998-01-31	PRIJEM	\N	74	13733	UROK	\N	\N
3556591	801	1998-02-28	PRIJEM	\N	64	16215	UROK	\N	\N
3556592	801	1998-03-31	PRIJEM	\N	71	15504	UROK	\N	\N
3556593	801	1998-04-30	PRIJEM	\N	63	12885	UROK	\N	\N
3556594	801	1998-05-31	PRIJEM	\N	62	15764	UROK	\N	\N
3556595	801	1998-06-30	PRIJEM	\N	74	17187	UROK	\N	\N
3556596	801	1998-07-31	PRIJEM	\N	62	10365	UROK	\N	\N
3556597	801	1998-08-31	PRIJEM	\N	50	12533	UROK	\N	\N
3556598	801	1998-09-30	PRIJEM	\N	60	15310	UROK	\N	\N
3556599	801	1998-10-31	PRIJEM	\N	58	11886	UROK	\N	\N
3556600	801	1998-11-30	PRIJEM	\N	57	14661	UROK	\N	\N
3556601	801	1998-12-31	PRIJEM	\N	70	15840	UROK	\N	\N
3556602	802	1995-05-31	PRIJEM	\N	45	24625	UROK	\N	\N
3556603	802	1995-06-30	PRIJEM	\N	88	15288	UROK	\N	\N
3556604	802	1995-07-31	PRIJEM	\N	68	17241	UROK	\N	\N
3556605	802	1995-08-31	PRIJEM	\N	81	20808	UROK	\N	\N
3556606	802	1995-09-30	PRIJEM	\N	89	21262	UROK	\N	\N
3556607	802	1995-10-31	PRIJEM	\N	98	24845	UROK	\N	\N
3556608	802	1995-11-30	PRIJEM	\N	113	28443	UROK	\N	\N
3556609	802	1995-12-31	PRIJEM	\N	119	28247	UROK	\N	\N
3556610	802	1996-01-31	PRIJEM	\N	106	22479	UROK	\N	\N
3556611	802	1996-02-29	PRIJEM	\N	103	26067	UROK	\N	\N
3556612	802	1996-03-31	PRIJEM	\N	118	29670	UROK	\N	\N
3556613	802	1996-04-30	PRIJEM	\N	128	31683	UROK	\N	\N
3556614	802	1996-05-31	PRIJEM	\N	141	35310	UROK	\N	\N
3556615	802	1996-06-30	PRIJEM	\N	140	30985	UROK	\N	\N
3556616	802	1996-07-31	PRIJEM	\N	138	32808	UROK	\N	\N
3556617	802	1996-08-31	PRIJEM	\N	140	33073	UROK	\N	\N
3556618	802	1996-09-30	PRIJEM	\N	147	36706	UROK	\N	\N
3556619	802	1996-10-31	PRIJEM	\N	161	39152	UROK	\N	\N
3556620	802	1996-11-30	PRIJEM	\N	171	39928	UROK	\N	\N
3556621	802	1996-12-31	PRIJEM	\N	170	41584	UROK	\N	\N
3556622	802	1997-01-31	PRIJEM	\N	156	34825	UROK	\N	\N
3556623	802	1997-02-28	PRIJEM	\N	154	38464	UROK	\N	\N
3556624	802	1997-03-31	PRIJEM	\N	161	39550	UROK	\N	\N
3556625	802	1997-04-30	PRIJEM	\N	174	43209	UROK	\N	\N
3556626	802	1997-05-31	PRIJEM	\N	183	45078	UROK	\N	\N
3556627	802	1997-06-30	PRIJEM	\N	181	32844	UROK	\N	\N
3556628	802	1997-07-31	PRIJEM	\N	135	32865	UROK	\N	\N
3556629	802	1997-08-31	PRIJEM	\N	146	36496	UROK	\N	\N
3556630	802	1997-09-30	PRIJEM	\N	161	40142	UROK	\N	\N
3556631	802	1997-10-31	PRIJEM	\N	176	43803	UROK	\N	\N
3556632	802	1997-11-30	PRIJEM	\N	186	44275	UROK	\N	\N
3556633	802	1997-12-31	PRIJEM	\N	192	47402	UROK	\N	\N
3556634	802	1998-01-31	PRIJEM	\N	182	39709	UROK	\N	\N
3556635	802	1998-02-28	PRIJEM	\N	173	43368	UROK	\N	\N
3556636	802	1998-03-31	PRIJEM	\N	187	45920	UROK	\N	\N
3556637	802	1998-04-30	PRIJEM	\N	198	46884	UROK	\N	\N
3556638	802	1998-05-31	PRIJEM	\N	193	47041	UROK	\N	\N
3556639	802	1998-06-30	PRIJEM	\N	165	38571	UROK	\N	\N
3556640	802	1998-07-31	PRIJEM	\N	163	40319	UROK	\N	\N
3556641	802	1998-08-31	PRIJEM	\N	163	39768	UROK	\N	\N
3556642	802	1998-09-30	PRIJEM	\N	162	39715	UROK	\N	\N
3556643	802	1998-10-31	PRIJEM	\N	162	38942	UROK	\N	\N
3556644	802	1998-11-30	PRIJEM	\N	169	41997	UROK	\N	\N
3556645	802	1998-12-31	PRIJEM	\N	180	44912	UROK	\N	\N
3556646	804	1996-03-31	PRIJEM	\N	54	16059	UROK	\N	\N
3556647	804	1996-04-30	PRIJEM	\N	67	24131	UROK	\N	\N
3556648	804	1996-05-31	PRIJEM	\N	111	28646	UROK	\N	\N
3556649	804	1996-06-30	PRIJEM	\N	150	37303	UROK	\N	\N
3556650	804	1996-07-31	PRIJEM	\N	157	37642	UROK	\N	\N
3556651	804	1996-08-31	PRIJEM	\N	165	39773	UROK	\N	\N
3556652	804	1996-09-30	PRIJEM	\N	180	43200	UROK	\N	\N
3556653	804	1996-10-31	PRIJEM	\N	178	42444	UROK	\N	\N
3556654	804	1996-11-30	PRIJEM	\N	185	40775	UROK	\N	\N
3556655	804	1996-12-31	PRIJEM	\N	189	45914	UROK	\N	\N
3556656	804	1997-01-31	PRIJEM	\N	170	31330	UROK	\N	\N
3556657	804	1997-02-28	PRIJEM	\N	147	36443	UROK	\N	\N
3556658	804	1997-03-31	PRIJEM	\N	156	35445	UROK	\N	\N
3556659	804	1997-04-30	PRIJEM	\N	160	38271	UROK	\N	\N
3556660	804	1997-05-31	PRIJEM	\N	156	37193	UROK	\N	\N
3556661	804	1997-06-30	PRIJEM	\N	159	38621	UROK	\N	\N
3556662	804	1997-07-31	PRIJEM	\N	149	30517	UROK	\N	\N
3556663	804	1997-08-31	PRIJEM	\N	142	31825	UROK	\N	\N
3556664	804	1997-09-30	PRIJEM	\N	148	32199	UROK	\N	\N
3556665	804	1997-10-31	PRIJEM	\N	149	34215	UROK	\N	\N
3556666	804	1997-11-30	PRIJEM	\N	158	39420	UROK	\N	\N
3556667	804	1997-12-31	PRIJEM	\N	169	41698	UROK	\N	\N
3556668	804	1998-01-31	PRIJEM	\N	185	42709	UROK	\N	\N
3556669	804	1998-02-28	PRIJEM	\N	189	38445	UROK	\N	\N
3556670	804	1998-03-31	PRIJEM	\N	176	42987	UROK	\N	\N
3556671	804	1998-04-30	PRIJEM	\N	198	52552	UROK	\N	\N
3556672	804	1998-05-31	PRIJEM	\N	223	52281	UROK	\N	\N
3556673	804	1998-06-30	PRIJEM	\N	234	34504	UROK	\N	\N
3556674	804	1998-07-31	PRIJEM	\N	170	50240	UROK	\N	\N
3556675	804	1998-08-31	PRIJEM	\N	230	57937	UROK	\N	\N
3556676	804	1998-09-30	PRIJEM	\N	248	60351	UROK	\N	\N
3556677	804	1998-10-31	PRIJEM	\N	269	66987	UROK	\N	\N
3556678	804	1998-11-30	PRIJEM	\N	288	64742	UROK	\N	\N
3556679	804	1998-12-31	PRIJEM	\N	296	71506	UROK	\N	\N
3556680	806	1997-03-31	PRIJEM	\N	48	14715	UROK	\N	\N
3556681	806	1997-04-30	PRIJEM	\N	60	14199	UROK	\N	\N
3556682	806	1997-05-31	PRIJEM	\N	63	15396	UROK	\N	\N
3556683	806	1997-06-30	PRIJEM	\N	67	15457	UROK	\N	\N
3556684	806	1997-07-31	PRIJEM	\N	68	16660	UROK	\N	\N
3556685	806	1997-08-31	PRIJEM	\N	72	17206	UROK	\N	\N
3556686	806	1997-09-30	PRIJEM	\N	75	18416	UROK	\N	\N
3556687	806	1997-10-31	PRIJEM	\N	80	19450	UROK	\N	\N
3556688	806	1997-11-30	PRIJEM	\N	85	20669	UROK	\N	\N
3556689	806	1997-12-31	PRIJEM	\N	88	21021	UROK	\N	\N
3556690	806	1998-01-31	PRIJEM	\N	83	18158	UROK	\N	\N
3556691	806	1998-02-28	PRIJEM	\N	79	19371	UROK	\N	\N
3556692	806	1998-03-31	PRIJEM	\N	84	20590	UROK	\N	\N
3556693	806	1998-04-30	PRIJEM	\N	89	21814	UROK	\N	\N
3556694	806	1998-05-31	PRIJEM	\N	94	23043	UROK	\N	\N
3556695	806	1998-06-30	PRIJEM	\N	80	13787	UROK	\N	\N
3556696	806	1998-07-31	PRIJEM	\N	61	14982	UROK	\N	\N
3556697	806	1998-08-31	PRIJEM	\N	65	15071	UROK	\N	\N
3556698	806	1998-09-30	PRIJEM	\N	66	16272	UROK	\N	\N
3556699	806	1998-10-31	PRIJEM	\N	71	17478	UROK	\N	\N
3556700	806	1998-11-30	PRIJEM	\N	76	18508	UROK	\N	\N
3556701	806	1998-12-31	PRIJEM	\N	79	19212	UROK	\N	\N
3556702	807	1995-07-31	PRIJEM	\N	57	22186	UROK	\N	\N
3556703	807	1995-08-31	PRIJEM	\N	121	32835	UROK	\N	\N
3556704	807	1995-09-30	PRIJEM	\N	153	38717	UROK	\N	\N
3556705	807	1995-10-31	PRIJEM	\N	179	45225	UROK	\N	\N
3556706	807	1995-11-30	PRIJEM	\N	177	32752	UROK	\N	\N
3556707	807	1995-12-31	PRIJEM	\N	144	31074	UROK	\N	\N
3556708	807	1996-01-31	PRIJEM	\N	103	19797	UROK	\N	\N
3556709	807	1996-02-29	PRIJEM	\N	90	19307	UROK	\N	\N
3556710	807	1996-03-31	PRIJEM	\N	109	28236	UROK	\N	\N
3556711	807	1996-04-30	PRIJEM	\N	97	19562	UROK	\N	\N
3556712	807	1996-05-31	PRIJEM	\N	109	23700	UROK	\N	\N
3556713	807	1996-06-30	PRIJEM	\N	103	19339	UROK	\N	\N
3556714	807	1996-07-31	PRIJEM	\N	100	24759	UROK	\N	\N
3556715	807	1996-08-31	PRIJEM	\N	110	25889	UROK	\N	\N
3556716	807	1996-09-30	PRIJEM	\N	164	37972	UROK	\N	\N
3556717	807	1996-10-31	PRIJEM	\N	178	42971	UROK	\N	\N
3556718	807	1996-11-30	PRIJEM	\N	200	48190	UROK	\N	\N
3556719	807	1996-12-31	PRIJEM	\N	223	51549	UROK	\N	\N
3556720	807	1997-01-31	PRIJEM	\N	120	20888	UROK	\N	\N
3556721	807	1997-02-28	PRIJEM	\N	114	21057	UROK	\N	\N
3556722	807	1997-03-31	PRIJEM	\N	127	24404	UROK	\N	\N
3556723	807	1997-04-30	PRIJEM	\N	140	31963	UROK	\N	\N
3556724	807	1997-05-31	PRIJEM	\N	176	43560	UROK	\N	\N
3556725	807	1997-06-30	PRIJEM	\N	127	26996	UROK	\N	\N
3556726	807	1997-07-31	PRIJEM	\N	142	31930	UROK	\N	\N
3556727	807	1997-08-31	PRIJEM	\N	181	45231	UROK	\N	\N
3556728	807	1997-09-30	PRIJEM	\N	164	35545	UROK	\N	\N
3556729	807	1997-10-31	PRIJEM	\N	172	42837	UROK	\N	\N
3556730	807	1997-11-30	PRIJEM	\N	186	43295	UROK	\N	\N
3556731	807	1997-12-31	PRIJEM	\N	127	35285	UROK	\N	\N
3556732	807	1998-01-31	PRIJEM	\N	125	28029	UROK	\N	\N
3556733	807	1998-02-28	PRIJEM	\N	142	41591	UROK	\N	\N
3556734	807	1998-03-31	PRIJEM	\N	137	34354	UROK	\N	\N
3556735	807	1998-04-30	PRIJEM	\N	114	32941	UROK	\N	\N
3556736	807	1998-05-31	PRIJEM	\N	158	36119	UROK	\N	\N
3556737	807	1998-06-30	PRIJEM	\N	202	45856	UROK	\N	\N
3556738	807	1998-07-31	PRIJEM	\N	138	29323	UROK	\N	\N
3556739	807	1998-08-31	PRIJEM	\N	144	36186	UROK	\N	\N
3556740	807	1998-09-30	PRIJEM	\N	139	38445	UROK	\N	\N
3556741	807	1998-10-31	PRIJEM	\N	144	36874	UROK	\N	\N
3556742	807	1998-11-30	PRIJEM	\N	169	36962	UROK	\N	\N
3556743	807	1998-12-31	PRIJEM	\N	190	31335	UROK	\N	\N
3556744	809	1996-02-29	PRIJEM	\N	57	32993	UROK	\N	\N
3556745	809	1996-03-31	PRIJEM	\N	143	36153	UROK	\N	\N
3556746	809	1996-04-30	PRIJEM	\N	147	34719	UROK	\N	\N
3556747	809	1996-05-31	PRIJEM	\N	149	37186	UROK	\N	\N
3556748	809	1996-06-30	PRIJEM	\N	158	30258	UROK	\N	\N
3556749	809	1996-07-31	PRIJEM	\N	124	22988	UROK	\N	\N
3556750	809	1996-08-31	PRIJEM	\N	106	22899	UROK	\N	\N
3556751	809	1996-09-30	PRIJEM	\N	106	23310	UROK	\N	\N
3556752	809	1996-10-31	PRIJEM	\N	102	21617	UROK	\N	\N
3556753	809	1996-11-30	PRIJEM	\N	103	24546	UROK	\N	\N
3556754	809	1996-12-31	PRIJEM	\N	132	28053	UROK	\N	\N
3556755	809	1997-01-31	PRIJEM	\N	99	16838	UROK	\N	\N
3556756	809	1997-02-28	PRIJEM	\N	71	14154	UROK	\N	\N
3556757	809	1997-03-31	PRIJEM	\N	69	13628	UROK	\N	\N
3556758	809	1997-04-30	PRIJEM	\N	68	15801	UROK	\N	\N
3556759	809	1997-05-31	PRIJEM	\N	64	12670	UROK	\N	\N
3556760	809	1997-06-30	PRIJEM	\N	76	18361	UROK	\N	\N
3556761	809	1997-07-31	PRIJEM	\N	78	14064	UROK	\N	\N
3556762	809	1997-08-31	PRIJEM	\N	63	14152	UROK	\N	\N
3556763	809	1997-09-30	PRIJEM	\N	66	16123	UROK	\N	\N
3556764	809	1997-10-31	PRIJEM	\N	69	16297	UROK	\N	\N
3556765	809	1997-11-30	PRIJEM	\N	57	13060	UROK	\N	\N
3556766	809	1997-12-31	PRIJEM	\N	80	16994	UROK	\N	\N
3556767	809	1998-01-31	PRIJEM	\N	63	13963	UROK	\N	\N
3556768	809	1998-02-28	PRIJEM	\N	91	25359	UROK	\N	\N
3556769	809	1998-03-31	PRIJEM	\N	73	16318	UROK	\N	\N
3556770	809	1998-04-30	PRIJEM	\N	100	25924	UROK	\N	\N
3556771	809	1998-05-31	PRIJEM	\N	125	32354	UROK	\N	\N
3556772	809	1998-06-30	PRIJEM	\N	135	29844	UROK	\N	\N
3556773	809	1998-07-31	PRIJEM	\N	133	34182	UROK	\N	\N
3556774	809	1998-08-31	PRIJEM	\N	131	32719	UROK	\N	\N
3556775	809	1998-09-30	PRIJEM	\N	127	31851	UROK	\N	\N
3556776	809	1998-10-31	PRIJEM	\N	130	32786	UROK	\N	\N
3556777	809	1998-11-30	PRIJEM	\N	128	32119	UROK	\N	\N
3556778	809	1998-12-31	PRIJEM	\N	154	39707	UROK	\N	\N
3556779	810	1995-11-30	PRIJEM	\N	12	5010	UROK	\N	\N
3556780	810	1995-12-31	PRIJEM	\N	21	9829	UROK	\N	\N
3556781	810	1996-01-31	PRIJEM	\N	21	14647	UROK	\N	\N
3556782	810	1996-02-29	PRIJEM	\N	21	19466	UROK	\N	\N
3556783	810	1996-03-31	PRIJEM	\N	23	24288	UROK	\N	\N
3556784	810	1996-04-30	PRIJEM	\N	86	20122	UROK	\N	\N
3556785	810	1996-05-31	PRIJEM	\N	90	22919	UROK	\N	\N
3556786	810	1996-06-30	PRIJEM	\N	102	25729	UROK	\N	\N
3556787	810	1996-07-31	PRIJEM	\N	114	28550	UROK	\N	\N
3556788	810	1996-08-31	PRIJEM	\N	124	31081	UROK	\N	\N
3556789	810	1996-09-30	PRIJEM	\N	118	25586	UROK	\N	\N
3556790	810	1996-10-31	PRIJEM	\N	106	26200	UROK	\N	\N
3556791	810	1996-11-30	PRIJEM	\N	107	26254	UROK	\N	\N
3556792	810	1996-12-31	PRIJEM	\N	96	22967	UROK	\N	\N
3556793	810	1997-01-31	PRIJEM	\N	78	14972	UROK	\N	\N
3556794	810	1997-02-28	PRIJEM	\N	68	17748	UROK	\N	\N
3556795	810	1997-03-31	PRIJEM	\N	71	15866	UROK	\N	\N
3556796	810	1997-04-30	PRIJEM	\N	70	18144	UROK	\N	\N
3556797	810	1997-05-31	PRIJEM	\N	80	20051	UROK	\N	\N
3556798	810	1997-06-30	PRIJEM	\N	79	14037	UROK	\N	\N
3556799	810	1997-07-31	PRIJEM	\N	60	14404	UROK	\N	\N
3556800	810	1997-08-31	PRIJEM	\N	66	17178	UROK	\N	\N
3556801	810	1997-09-30	PRIJEM	\N	73	18438	UROK	\N	\N
3556802	810	1997-10-31	PRIJEM	\N	80	20625	UROK	\N	\N
3556803	810	1997-11-30	PRIJEM	\N	65	16897	UROK	\N	\N
3556804	810	1997-12-31	PRIJEM	\N	70	17424	UROK	\N	\N
3556805	810	1998-01-31	PRIJEM	\N	62	13954	UROK	\N	\N
3556806	810	1998-02-28	PRIJEM	\N	64	16725	UROK	\N	\N
3556807	810	1998-03-31	PRIJEM	\N	71	17303	UROK	\N	\N
3556808	810	1998-04-30	PRIJEM	\N	75	16805	UROK	\N	\N
3556809	810	1998-05-31	PRIJEM	\N	76	19588	UROK	\N	\N
3556810	810	1998-06-30	PRIJEM	\N	83	20229	UROK	\N	\N
3556811	810	1998-07-31	PRIJEM	\N	90	23027	UROK	\N	\N
3556812	810	1998-08-31	PRIJEM	\N	93	22947	UROK	\N	\N
3556813	810	1998-09-30	PRIJEM	\N	93	22707	UROK	\N	\N
3556814	810	1998-10-31	PRIJEM	\N	100	25515	UROK	\N	\N
3556815	810	1998-11-30	PRIJEM	\N	112	28334	UROK	\N	\N
3556816	810	1998-12-31	PRIJEM	\N	124	30465	UROK	\N	\N
3556817	811	1997-08-31	PRIJEM	\N	105	31435	UROK	\N	\N
3556818	811	1997-09-30	PRIJEM	\N	120	59685	UROK	\N	\N
3556819	811	1997-10-31	PRIJEM	\N	165	43981	UROK	\N	\N
3556820	811	1997-11-30	PRIJEM	\N	184	49395	UROK	\N	\N
3556821	811	1997-12-31	PRIJEM	\N	277	57916	UROK	\N	\N
3556822	811	1998-01-31	PRIJEM	\N	183	27400	UROK	\N	\N
3556823	811	1998-02-28	PRIJEM	\N	119	43519	UROK	\N	\N
3556824	811	1998-03-31	PRIJEM	\N	252	39171	UROK	\N	\N
3556825	811	1998-04-30	PRIJEM	\N	224	48095	UROK	\N	\N
3556826	811	1998-05-31	PRIJEM	\N	254	53949	UROK	\N	\N
3556827	811	1998-06-30	PRIJEM	\N	347	67010	UROK	\N	\N
3556828	811	1998-07-31	PRIJEM	\N	298	60609	UROK	\N	\N
3556829	811	1998-08-31	PRIJEM	\N	291	55699	UROK	\N	\N
3556830	811	1998-09-30	PRIJEM	\N	293	55293	UROK	\N	\N
3556831	811	1998-10-31	PRIJEM	\N	292	55684	UROK	\N	\N
3556832	811	1998-11-30	PRIJEM	\N	281	50266	UROK	\N	\N
3556833	811	1998-12-31	PRIJEM	\N	301	56082	UROK	\N	\N
3556834	812	1996-09-30	PRIJEM	\N	7	23656	UROK	\N	\N
3556835	812	1996-10-31	PRIJEM	\N	103	35108	UROK	\N	\N
3556836	812	1996-11-30	PRIJEM	\N	149	41605	UROK	\N	\N
3556837	812	1996-12-31	PRIJEM	\N	177	48805	UROK	\N	\N
3556838	812	1997-01-31	PRIJEM	\N	203	38078	UROK	\N	\N
3556839	812	1997-02-28	PRIJEM	\N	180	36964	UROK	\N	\N
3556840	812	1997-03-31	PRIJEM	\N	157	34347	UROK	\N	\N
3556841	812	1997-04-30	PRIJEM	\N	166	36219	UROK	\N	\N
3556842	812	1997-05-31	PRIJEM	\N	156	34261	UROK	\N	\N
3556843	812	1997-06-30	PRIJEM	\N	163	33965	UROK	\N	\N
3556844	812	1997-07-31	PRIJEM	\N	165	38636	UROK	\N	\N
3556845	812	1997-08-31	PRIJEM	\N	181	41124	UROK	\N	\N
3556846	812	1997-09-30	PRIJEM	\N	189	43499	UROK	\N	\N
3556847	812	1997-10-31	PRIJEM	\N	198	43603	UROK	\N	\N
3556848	812	1997-11-30	PRIJEM	\N	195	41504	UROK	\N	\N
3556849	812	1997-12-31	PRIJEM	\N	191	34997	UROK	\N	\N
3556850	812	1998-01-31	PRIJEM	\N	115	21898	UROK	\N	\N
3556851	812	1998-02-28	PRIJEM	\N	116	31120	UROK	\N	\N
3556852	812	1998-03-31	PRIJEM	\N	144	30470	UROK	\N	\N
3556853	812	1998-04-30	PRIJEM	\N	142	31018	UROK	\N	\N
3556854	812	1998-05-31	PRIJEM	\N	143	31467	UROK	\N	\N
3556855	812	1998-06-30	PRIJEM	\N	157	31885	UROK	\N	\N
3556856	812	1998-07-31	PRIJEM	\N	147	28959	UROK	\N	\N
3556857	812	1998-08-31	PRIJEM	\N	137	32402	UROK	\N	\N
3556858	812	1998-09-30	PRIJEM	\N	137	29206	UROK	\N	\N
3556859	812	1998-10-31	PRIJEM	\N	138	33650	UROK	\N	\N
3556860	812	1998-11-30	PRIJEM	\N	148	34005	UROK	\N	\N
3556861	812	1998-12-31	PRIJEM	\N	147	34853	UROK	\N	\N
3556862	813	1993-02-28	PRIJEM	\N	36	13290	UROK	\N	\N
3556863	813	1993-03-31	PRIJEM	\N	90	26233	UROK	\N	\N
3556864	813	1993-04-30	PRIJEM	\N	143	30530	UROK	\N	\N
3556865	813	1993-05-31	PRIJEM	\N	172	34556	UROK	\N	\N
3556866	813	1993-06-30	PRIJEM	\N	152	20917	UROK	\N	\N
3556867	813	1993-07-31	PRIJEM	\N	115	28972	UROK	\N	\N
3556868	813	1993-08-31	PRIJEM	\N	129	24291	UROK	\N	\N
3556869	813	1993-09-30	PRIJEM	\N	133	35863	UROK	\N	\N
3556870	813	1993-10-31	PRIJEM	\N	157	26089	UROK	\N	\N
3556871	813	1993-11-30	PRIJEM	\N	133	34562	UROK	\N	\N
3556872	813	1993-12-31	PRIJEM	\N	117	21451	UROK	\N	\N
3556873	813	1994-01-31	PRIJEM	\N	120	23311	UROK	\N	\N
3556874	813	1994-02-28	PRIJEM	\N	125	34375	UROK	\N	\N
3556875	813	1994-03-31	PRIJEM	\N	136	29298	UROK	\N	\N
3556876	813	1994-04-30	PRIJEM	\N	139	35077	UROK	\N	\N
3556877	813	1994-05-31	PRIJEM	\N	122	25212	UROK	\N	\N
3556878	813	1994-06-30	PRIJEM	\N	157	43959	UROK	\N	\N
3556879	813	1994-07-31	PRIJEM	\N	148	26903	UROK	\N	\N
3556880	813	1994-08-31	PRIJEM	\N	135	35051	UROK	\N	\N
3556881	813	1994-09-30	PRIJEM	\N	164	41629	UROK	\N	\N
3556882	813	1994-10-31	PRIJEM	\N	142	35884	UROK	\N	\N
3556883	813	1994-11-30	PRIJEM	\N	170	43367	UROK	\N	\N
3556884	813	1994-12-31	PRIJEM	\N	184	41542	UROK	\N	\N
3556885	813	1995-01-31	PRIJEM	\N	179	34534	UROK	\N	\N
3556886	813	1995-02-28	PRIJEM	\N	154	41202	UROK	\N	\N
3556887	813	1995-03-31	PRIJEM	\N	126	20700	UROK	\N	\N
3556888	813	1995-04-30	PRIJEM	\N	111	24321	UROK	\N	\N
3556889	813	1995-05-31	PRIJEM	\N	148	39808	UROK	\N	\N
3556890	813	1995-06-30	PRIJEM	\N	142	28905	UROK	\N	\N
3556891	813	1995-07-31	PRIJEM	\N	139	31383	UROK	\N	\N
3556892	813	1995-08-31	PRIJEM	\N	148	35670	UROK	\N	\N
3556893	813	1995-09-30	PRIJEM	\N	170	38079	UROK	\N	\N
3556894	813	1995-10-31	PRIJEM	\N	162	36481	UROK	\N	\N
3556895	813	1995-11-30	PRIJEM	\N	151	27551	UROK	\N	\N
3556896	813	1995-12-31	PRIJEM	\N	131	30098	UROK	\N	\N
3556897	813	1996-01-31	PRIJEM	\N	132	33670	UROK	\N	\N
3556898	813	1996-02-29	PRIJEM	\N	159	34969	UROK	\N	\N
3556899	813	1996-03-31	PRIJEM	\N	164	32572	UROK	\N	\N
3556900	813	1996-04-30	PRIJEM	\N	134	32546	UROK	\N	\N
3556901	813	1996-05-31	PRIJEM	\N	137	34222	UROK	\N	\N
3556902	813	1996-06-30	PRIJEM	\N	170	26208	UROK	\N	\N
3556903	813	1996-07-31	PRIJEM	\N	132	29679	UROK	\N	\N
3556904	813	1996-08-31	PRIJEM	\N	125	22943	UROK	\N	\N
3556905	813	1996-09-30	PRIJEM	\N	123	33205	UROK	\N	\N
3556906	813	1996-10-31	PRIJEM	\N	139	31984	UROK	\N	\N
3556907	813	1996-11-30	PRIJEM	\N	151	35574	UROK	\N	\N
3556908	813	1996-12-31	PRIJEM	\N	155	39445	UROK	\N	\N
3556909	813	1997-01-31	PRIJEM	\N	175	39959	UROK	\N	\N
3556910	813	1997-02-28	PRIJEM	\N	174	42773	UROK	\N	\N
3556911	813	1997-03-31	PRIJEM	\N	186	44098	UROK	\N	\N
3556912	813	1997-04-30	PRIJEM	\N	187	41712	UROK	\N	\N
3556913	813	1997-05-31	PRIJEM	\N	180	39732	UROK	\N	\N
3556914	813	1997-06-30	PRIJEM	\N	184	37733	UROK	\N	\N
3556915	813	1997-07-31	PRIJEM	\N	163	42735	UROK	\N	\N
3556916	813	1997-08-31	PRIJEM	\N	149	27745	UROK	\N	\N
3556917	813	1997-09-30	PRIJEM	\N	139	37123	UROK	\N	\N
3556918	813	1997-10-31	PRIJEM	\N	162	35325	UROK	\N	\N
3556919	813	1997-11-30	PRIJEM	\N	156	40920	UROK	\N	\N
3556920	813	1997-12-31	PRIJEM	\N	177	40813	UROK	\N	\N
3556921	813	1998-01-31	PRIJEM	\N	168	39320	UROK	\N	\N
3556922	813	1998-02-28	PRIJEM	\N	165	39424	UROK	\N	\N
3556923	813	1998-03-31	PRIJEM	\N	170	40933	UROK	\N	\N
3556924	813	1998-04-30	PRIJEM	\N	165	39437	UROK	\N	\N
3556925	813	1998-05-31	PRIJEM	\N	142	32158	UROK	\N	\N
3556926	813	1998-06-30	PRIJEM	\N	141	34368	UROK	\N	\N
3556927	813	1998-07-31	PRIJEM	\N	154	39462	UROK	\N	\N
3556928	813	1998-08-31	PRIJEM	\N	146	33403	UROK	\N	\N
3556929	813	1998-09-30	PRIJEM	\N	153	40695	UROK	\N	\N
3556930	813	1998-10-31	PRIJEM	\N	175	42610	UROK	\N	\N
3556931	813	1998-11-30	PRIJEM	\N	173	43122	UROK	\N	\N
3556932	813	1998-12-31	PRIJEM	\N	185	35296	UROK	\N	\N
3556933	814	1996-10-31	PRIJEM	\N	18	7078	UROK	\N	\N
3556934	814	1996-11-30	PRIJEM	\N	29	13867	UROK	\N	\N
3556935	814	1996-12-31	PRIJEM	\N	29	20657	UROK	\N	\N
3556936	814	1997-01-31	PRIJEM	\N	29	27446	UROK	\N	\N
3556937	814	1997-02-28	PRIJEM	\N	94	32702	UROK	\N	\N
3556938	814	1997-03-31	PRIJEM	\N	152	37369	UROK	\N	\N
3556939	814	1997-04-30	PRIJEM	\N	158	37842	UROK	\N	\N
3556940	814	1997-05-31	PRIJEM	\N	148	36806	UROK	\N	\N
3556941	814	1997-06-30	PRIJEM	\N	135	28356	UROK	\N	\N
3556942	814	1997-07-31	PRIJEM	\N	128	31319	UROK	\N	\N
3556943	814	1997-08-31	PRIJEM	\N	136	32870	UROK	\N	\N
3556944	814	1997-09-30	PRIJEM	\N	130	31715	UROK	\N	\N
3556945	814	1997-10-31	PRIJEM	\N	129	29920	UROK	\N	\N
3556946	814	1997-11-30	PRIJEM	\N	120	29755	UROK	\N	\N
3556947	814	1997-12-31	PRIJEM	\N	113	20534	UROK	\N	\N
3556948	814	1998-01-31	PRIJEM	\N	77	17387	UROK	\N	\N
3556949	814	1998-02-28	PRIJEM	\N	77	19259	UROK	\N	\N
3556950	814	1998-03-31	PRIJEM	\N	64	14639	UROK	\N	\N
3556951	814	1998-04-30	PRIJEM	\N	71	14725	UROK	\N	\N
3556952	814	1998-05-31	PRIJEM	\N	70	12210	UROK	\N	\N
3556953	814	1998-06-30	PRIJEM	\N	60	11385	UROK	\N	\N
3556954	814	1998-07-31	PRIJEM	\N	63	15963	UROK	\N	\N
3556955	814	1998-08-31	PRIJEM	\N	79	19837	UROK	\N	\N
3556956	814	1998-09-30	PRIJEM	\N	92	24045	UROK	\N	\N
3556957	814	1998-10-31	PRIJEM	\N	100	11561	UROK	\N	\N
3556958	814	1998-11-30	PRIJEM	\N	63	16139	UROK	\N	\N
3556959	814	1998-12-31	PRIJEM	\N	71	17806	UROK	\N	\N
3556960	815	1994-01-31	PRIJEM	\N	29	13389	UROK	\N	\N
3556961	815	1994-02-28	PRIJEM	\N	53	12783	UROK	\N	\N
3556962	815	1994-03-31	PRIJEM	\N	56	13799	UROK	\N	\N
3556963	815	1994-04-30	PRIJEM	\N	59	14008	UROK	\N	\N
3556964	815	1994-05-31	PRIJEM	\N	60	14098	UROK	\N	\N
3556965	815	1994-06-30	PRIJEM	\N	61	15120	UROK	\N	\N
3556966	815	1994-07-31	PRIJEM	\N	65	15605	UROK	\N	\N
3556967	815	1994-08-31	PRIJEM	\N	62	15247	UROK	\N	\N
3556968	815	1994-09-30	PRIJEM	\N	63	14921	UROK	\N	\N
3556969	815	1994-10-31	PRIJEM	\N	65	15946	UROK	\N	\N
3556970	815	1994-11-30	PRIJEM	\N	69	16975	UROK	\N	\N
3556971	815	1994-12-31	PRIJEM	\N	71	17226	UROK	\N	\N
3556972	815	1995-01-31	PRIJEM	\N	62	13509	UROK	\N	\N
3556973	815	1995-02-28	PRIJEM	\N	59	14528	UROK	\N	\N
3556974	815	1995-03-31	PRIJEM	\N	57	12935	UROK	\N	\N
3556975	815	1995-04-30	PRIJEM	\N	56	13952	UROK	\N	\N
3556976	815	1995-05-31	PRIJEM	\N	57	13829	UROK	\N	\N
3556977	815	1995-06-30	PRIJEM	\N	60	14849	UROK	\N	\N
3556978	815	1995-07-31	PRIJEM	\N	64	15873	UROK	\N	\N
3556979	815	1995-08-31	PRIJEM	\N	68	16902	UROK	\N	\N
3556980	815	1995-09-30	PRIJEM	\N	73	17935	UROK	\N	\N
3556981	815	1995-10-31	PRIJEM	\N	77	18973	UROK	\N	\N
3556982	815	1995-11-30	PRIJEM	\N	81	20014	UROK	\N	\N
3556983	815	1995-12-31	PRIJEM	\N	82	20367	UROK	\N	\N
3556984	815	1996-01-31	PRIJEM	\N	78	17025	UROK	\N	\N
3556985	815	1996-02-29	PRIJEM	\N	73	18058	UROK	\N	\N
3556986	815	1996-03-31	PRIJEM	\N	77	19096	UROK	\N	\N
3556987	815	1996-04-30	PRIJEM	\N	76	18722	UROK	\N	\N
3556988	815	1996-05-31	PRIJEM	\N	80	19763	UROK	\N	\N
3556989	815	1996-06-30	PRIJEM	\N	81	16244	UROK	\N	\N
3556990	815	1996-07-31	PRIJEM	\N	70	17274	UROK	\N	\N
3556991	815	1996-08-31	PRIJEM	\N	68	16592	UROK	\N	\N
3556992	815	1996-09-30	PRIJEM	\N	71	17623	UROK	\N	\N
3556993	815	1996-10-31	PRIJEM	\N	75	18659	UROK	\N	\N
3556994	815	1996-11-30	PRIJEM	\N	76	18825	UROK	\N	\N
3556995	815	1996-12-31	PRIJEM	\N	78	19024	UROK	\N	\N
3556996	815	1997-01-31	PRIJEM	\N	74	15019	UROK	\N	\N
3556997	815	1997-02-28	PRIJEM	\N	64	16043	UROK	\N	\N
3556998	815	1997-03-31	PRIJEM	\N	68	16081	UROK	\N	\N
3556999	815	1997-04-30	PRIJEM	\N	69	17110	UROK	\N	\N
3557000	815	1997-05-31	PRIJEM	\N	73	18144	UROK	\N	\N
3557001	815	1997-06-30	PRIJEM	\N	72	18066	UROK	\N	\N
3557002	815	1997-07-31	PRIJEM	\N	77	19103	UROK	\N	\N
3557003	815	1997-08-31	PRIJEM	\N	80	19094	UROK	\N	\N
3557004	815	1997-09-30	PRIJEM	\N	81	20135	UROK	\N	\N
3557005	815	1997-10-31	PRIJEM	\N	81	20097	UROK	\N	\N
3557006	815	1997-11-30	PRIJEM	\N	85	21142	UROK	\N	\N
3557007	815	1997-12-31	PRIJEM	\N	85	21167	UROK	\N	\N
3557008	815	1998-01-31	PRIJEM	\N	78	17556	UROK	\N	\N
3557009	815	1998-02-28	PRIJEM	\N	74	18591	UROK	\N	\N
3557010	815	1998-03-31	PRIJEM	\N	78	18819	UROK	\N	\N
3557011	815	1998-04-30	PRIJEM	\N	79	19858	UROK	\N	\N
3557012	815	1998-05-31	PRIJEM	\N	84	20903	UROK	\N	\N
3557013	815	1998-06-30	PRIJEM	\N	79	18542	UROK	\N	\N
3557014	815	1998-07-31	PRIJEM	\N	72	14985	UROK	\N	\N
3557015	815	1998-08-31	PRIJEM	\N	63	15608	UROK	\N	\N
3557016	815	1998-09-30	PRIJEM	\N	65	15534	UROK	\N	\N
3557017	815	1998-10-31	PRIJEM	\N	65	16560	UROK	\N	\N
3557018	815	1998-11-30	PRIJEM	\N	68	15188	UROK	\N	\N
3557019	815	1998-12-31	PRIJEM	\N	64	16213	UROK	\N	\N
3557020	816	1993-08-31	PRIJEM	\N	21	17446	UROK	\N	\N
3557021	816	1993-09-30	PRIJEM	\N	183	53656	UROK	\N	\N
3557022	816	1993-10-31	PRIJEM	\N	242	58759	UROK	\N	\N
3557023	816	1993-11-30	PRIJEM	\N	244	44202	UROK	\N	\N
3557024	816	1993-12-31	PRIJEM	\N	209	47572	UROK	\N	\N
3557025	816	1994-01-31	PRIJEM	\N	289	83816	UROK	\N	\N
3557026	816	1994-02-28	PRIJEM	\N	352	84045	UROK	\N	\N
3557027	816	1994-03-31	PRIJEM	\N	242	41423	UROK	\N	\N
3557028	816	1994-04-30	PRIJEM	\N	99	20228	UROK	\N	\N
3557029	816	1994-05-31	PRIJEM	\N	305	93689	UROK	\N	\N
3557030	816	1994-06-30	PRIJEM	\N	331	78174	UROK	\N	\N
3557031	816	1994-07-31	PRIJEM	\N	199	39361	UROK	\N	\N
3557032	816	1994-08-31	PRIJEM	\N	192	61217	UROK	\N	\N
3557033	816	1994-09-30	PRIJEM	\N	313	62653	UROK	\N	\N
3557034	816	1994-10-31	PRIJEM	\N	249	55337	UROK	\N	\N
3557035	816	1994-11-30	PRIJEM	\N	286	69198	UROK	\N	\N
3557036	816	1994-12-31	PRIJEM	\N	335	59722	UROK	\N	\N
3557037	816	1995-01-31	PRIJEM	\N	178	22546	UROK	\N	\N
3557038	816	1995-02-28	PRIJEM	\N	168	38765	UROK	\N	\N
3557039	816	1995-03-31	PRIJEM	\N	179	43747	UROK	\N	\N
3557040	816	1995-04-30	PRIJEM	\N	323	63254	UROK	\N	\N
3557041	816	1995-05-31	PRIJEM	\N	332	59392	UROK	\N	\N
3557042	816	1995-06-30	PRIJEM	\N	223	44161	UROK	\N	\N
3557043	816	1995-07-31	PRIJEM	\N	164	36571	UROK	\N	\N
3557044	816	1995-08-31	PRIJEM	\N	135	30652	UROK	\N	\N
3557045	816	1995-09-30	PRIJEM	\N	143	33692	UROK	\N	\N
3557046	816	1995-10-31	PRIJEM	\N	204	43626	UROK	\N	\N
3557047	816	1995-11-30	PRIJEM	\N	326	77712	UROK	\N	\N
3557048	816	1995-12-31	PRIJEM	\N	288	66962	UROK	\N	\N
3557049	816	1996-01-31	PRIJEM	\N	236	43052	UROK	\N	\N
3557050	816	1996-02-29	PRIJEM	\N	201	48736	UROK	\N	\N
3557051	816	1996-03-31	PRIJEM	\N	195	42478	UROK	\N	\N
3557052	816	1996-04-30	PRIJEM	\N	290	80394	UROK	\N	\N
3557053	816	1996-05-31	PRIJEM	\N	404	104189	UROK	\N	\N
3557054	816	1996-06-30	PRIJEM	\N	350	63402	UROK	\N	\N
3557055	816	1996-07-31	PRIJEM	\N	313	61920	UROK	\N	\N
3557056	816	1996-08-31	PRIJEM	\N	275	82637	UROK	\N	\N
3557057	816	1996-09-30	PRIJEM	\N	350	106048	UROK	\N	\N
3557058	816	1996-10-31	PRIJEM	\N	362	72362	UROK	\N	\N
3557059	816	1996-11-30	PRIJEM	\N	260	55367	UROK	\N	\N
3557060	816	1996-12-31	PRIJEM	\N	180	31793	UROK	\N	\N
3557061	816	1997-01-31	PRIJEM	\N	133	28750	UROK	\N	\N
3557062	816	1997-02-28	PRIJEM	\N	153	64488	UROK	\N	\N
3557063	816	1997-03-31	PRIJEM	\N	272	132139	UROK	\N	\N
3557064	816	1997-04-30	PRIJEM	\N	394	77853	UROK	\N	\N
3557065	816	1997-05-31	PRIJEM	\N	332	127909	UROK	\N	\N
3557066	816	1997-06-30	PRIJEM	\N	265	52345	UROK	\N	\N
3557067	816	1997-07-31	PRIJEM	\N	228	56540	UROK	\N	\N
3557068	816	1997-08-31	PRIJEM	\N	331	96686	UROK	\N	\N
3557069	816	1997-09-30	PRIJEM	\N	291	74054	UROK	\N	\N
3557070	816	1997-10-31	PRIJEM	\N	231	104120	UROK	\N	\N
3557071	816	1997-11-30	PRIJEM	\N	355	85554	UROK	\N	\N
3557072	816	1997-12-31	PRIJEM	\N	372	77799	UROK	\N	\N
3557073	816	1998-01-31	PRIJEM	\N	266	34677	UROK	\N	\N
3557074	816	1998-02-28	PRIJEM	\N	192	76989	UROK	\N	\N
3557075	816	1998-03-31	PRIJEM	\N	322	101564	UROK	\N	\N
3557076	816	1998-04-30	PRIJEM	\N	415	115066	UROK	\N	\N
3557077	816	1998-05-31	PRIJEM	\N	388	91200	UROK	\N	\N
3557078	816	1998-06-30	PRIJEM	\N	371	88896	UROK	\N	\N
3557079	816	1998-07-31	PRIJEM	\N	342	112667	UROK	\N	\N
3557080	816	1998-08-31	PRIJEM	\N	417	103931	UROK	\N	\N
3557081	816	1998-09-30	PRIJEM	\N	304	60829	UROK	\N	\N
3557082	816	1998-10-31	PRIJEM	\N	327	73009	UROK	\N	\N
3557083	816	1998-11-30	PRIJEM	\N	262	70961	UROK	\N	\N
3557084	816	1998-12-31	PRIJEM	\N	351	100958	UROK	\N	\N
3557085	817	1994-04-30	PRIJEM	\N	40	20828	UROK	\N	\N
3557086	817	1994-05-31	PRIJEM	\N	116	35332	UROK	\N	\N
3557087	817	1994-06-30	PRIJEM	\N	174	48388	UROK	\N	\N
3557088	817	1994-07-31	PRIJEM	\N	189	36065	UROK	\N	\N
3557089	817	1994-08-31	PRIJEM	\N	153	36702	UROK	\N	\N
3557090	817	1994-09-30	PRIJEM	\N	144	31654	UROK	\N	\N
3557091	817	1994-10-31	PRIJEM	\N	129	19451	UROK	\N	\N
3557092	817	1994-11-30	PRIJEM	\N	92	22952	UROK	\N	\N
3557093	817	1994-12-31	PRIJEM	\N	132	23826	UROK	\N	\N
3557094	817	1995-01-31	PRIJEM	\N	108	20303	UROK	\N	\N
3557095	817	1995-02-28	PRIJEM	\N	96	23367	UROK	\N	\N
3557096	817	1995-03-31	PRIJEM	\N	108	26468	UROK	\N	\N
3557097	817	1995-04-30	PRIJEM	\N	107	23528	UROK	\N	\N
3557098	817	1995-05-31	PRIJEM	\N	103	24125	UROK	\N	\N
3557099	817	1995-06-30	PRIJEM	\N	110	26522	UROK	\N	\N
3557100	817	1995-07-31	PRIJEM	\N	92	18807	UROK	\N	\N
3557101	817	1995-08-31	PRIJEM	\N	74	15875	UROK	\N	\N
3557102	817	1995-09-30	PRIJEM	\N	65	13133	UROK	\N	\N
3557103	817	1995-10-31	PRIJEM	\N	64	13990	UROK	\N	\N
3557104	817	1995-11-30	PRIJEM	\N	69	14753	UROK	\N	\N
3557105	817	1995-12-31	PRIJEM	\N	82	15322	UROK	\N	\N
3557106	817	1996-01-31	PRIJEM	\N	76	16091	UROK	\N	\N
3557107	817	1996-02-29	PRIJEM	\N	67	12352	UROK	\N	\N
3557108	817	1996-03-31	PRIJEM	\N	58	11203	UROK	\N	\N
3557109	817	1996-04-30	PRIJEM	\N	72	14968	UROK	\N	\N
3557110	817	1996-05-31	PRIJEM	\N	82	16083	UROK	\N	\N
3557111	817	1996-06-30	PRIJEM	\N	105	22675	UROK	\N	\N
3557112	817	1996-07-31	PRIJEM	\N	100	20468	UROK	\N	\N
3557113	817	1996-08-31	PRIJEM	\N	123	27284	UROK	\N	\N
3557114	817	1996-09-30	PRIJEM	\N	126	25563	UROK	\N	\N
3557115	817	1996-10-31	PRIJEM	\N	138	30654	UROK	\N	\N
3557116	817	1996-11-30	PRIJEM	\N	150	33198	UROK	\N	\N
3557117	817	1996-12-31	PRIJEM	\N	195	40041	UROK	\N	\N
3557118	817	1997-01-31	PRIJEM	\N	142	31496	UROK	\N	\N
3557119	817	1997-02-28	PRIJEM	\N	151	39240	UROK	\N	\N
3557120	817	1997-03-31	PRIJEM	\N	183	39156	UROK	\N	\N
3557121	817	1997-04-30	PRIJEM	\N	177	39426	UROK	\N	\N
3557122	817	1997-05-31	PRIJEM	\N	159	35159	UROK	\N	\N
3557123	817	1997-06-30	PRIJEM	\N	185	50632	UROK	\N	\N
3557124	817	1997-07-31	PRIJEM	\N	173	31198	UROK	\N	\N
3557125	817	1997-08-31	PRIJEM	\N	147	28338	UROK	\N	\N
3557126	817	1997-09-30	PRIJEM	\N	135	28766	UROK	\N	\N
3557127	817	1997-10-31	PRIJEM	\N	132	23292	UROK	\N	\N
3557128	817	1997-11-30	PRIJEM	\N	106	21612	UROK	\N	\N
3557129	817	1997-12-31	PRIJEM	\N	131	28410	UROK	\N	\N
3557130	817	1998-01-31	PRIJEM	\N	106	16109	UROK	\N	\N
3557131	817	1998-02-28	PRIJEM	\N	83	18686	UROK	\N	\N
3557132	817	1998-03-31	PRIJEM	\N	93	19172	UROK	\N	\N
3557133	817	1998-04-30	PRIJEM	\N	94	18560	UROK	\N	\N
3557134	817	1998-05-31	PRIJEM	\N	83	16296	UROK	\N	\N
3557135	817	1998-06-30	PRIJEM	\N	99	20342	UROK	\N	\N
3557136	817	1998-07-31	PRIJEM	\N	103	25938	UROK	\N	\N
3557137	817	1998-08-31	PRIJEM	\N	122	27953	UROK	\N	\N
3557138	817	1998-09-30	PRIJEM	\N	129	30076	UROK	\N	\N
3557139	817	1998-10-31	PRIJEM	\N	130	25720	UROK	\N	\N
3557140	817	1998-11-30	PRIJEM	\N	118	27231	UROK	\N	\N
3557141	817	1998-12-31	PRIJEM	\N	158	43156	UROK	\N	\N
3557173	819	1995-05-31	PRIJEM	\N	30	22071	UROK	\N	\N
3557174	819	1995-06-30	PRIJEM	\N	111	35844	UROK	\N	\N
3557175	819	1995-07-31	PRIJEM	\N	152	37836	UROK	\N	\N
3557176	819	1995-08-31	PRIJEM	\N	159	39337	UROK	\N	\N
3557177	819	1995-09-30	PRIJEM	\N	168	41945	UROK	\N	\N
3557178	819	1995-10-31	PRIJEM	\N	172	40084	UROK	\N	\N
3557179	819	1995-11-30	PRIJEM	\N	171	42381	UROK	\N	\N
3557180	819	1995-12-31	PRIJEM	\N	201	43509	UROK	\N	\N
3557181	819	1996-01-31	PRIJEM	\N	165	19960	UROK	\N	\N
3557182	819	1996-02-29	PRIJEM	\N	104	30691	UROK	\N	\N
3557183	819	1996-03-31	PRIJEM	\N	140	37057	UROK	\N	\N
3557184	819	1996-04-30	PRIJEM	\N	166	37310	UROK	\N	\N
3557185	819	1996-05-31	PRIJEM	\N	160	39796	UROK	\N	\N
3557186	819	1996-06-30	PRIJEM	\N	181	47025	UROK	\N	\N
3557187	819	1996-07-31	PRIJEM	\N	190	44842	UROK	\N	\N
3557188	819	1996-08-31	PRIJEM	\N	177	41045	UROK	\N	\N
3557189	819	1996-09-30	PRIJEM	\N	168	40140	UROK	\N	\N
3557190	819	1996-10-31	PRIJEM	\N	160	37626	UROK	\N	\N
3557191	819	1996-11-30	PRIJEM	\N	152	36205	UROK	\N	\N
3557192	819	1996-12-31	PRIJEM	\N	170	41022	UROK	\N	\N
3557193	819	1997-01-31	PRIJEM	\N	106	21595	UROK	\N	\N
3557194	819	1997-02-28	PRIJEM	\N	144	42165	UROK	\N	\N
3557195	819	1997-03-31	PRIJEM	\N	167	38358	UROK	\N	\N
3557196	819	1997-04-30	PRIJEM	\N	154	36638	UROK	\N	\N
3557197	819	1997-05-31	PRIJEM	\N	156	38221	UROK	\N	\N
3557198	819	1997-06-30	PRIJEM	\N	185	48693	UROK	\N	\N
3557199	819	1997-07-31	PRIJEM	\N	218	54438	UROK	\N	\N
3557200	819	1997-08-31	PRIJEM	\N	232	56596	UROK	\N	\N
3557201	819	1997-09-30	PRIJEM	\N	231	53453	UROK	\N	\N
3557202	819	1997-10-31	PRIJEM	\N	226	55005	UROK	\N	\N
3557203	819	1997-11-30	PRIJEM	\N	212	51704	UROK	\N	\N
3557204	819	1997-12-31	PRIJEM	\N	226	59877	UROK	\N	\N
3557205	819	1998-01-31	PRIJEM	\N	193	38097	UROK	\N	\N
3557206	819	1998-02-28	PRIJEM	\N	168	42192	UROK	\N	\N
3557207	819	1998-03-31	PRIJEM	\N	188	47106	UROK	\N	\N
3557208	819	1998-04-30	PRIJEM	\N	201	48834	UROK	\N	\N
3557209	819	1998-05-31	PRIJEM	\N	218	52578	UROK	\N	\N
3557210	819	1998-06-30	PRIJEM	\N	229	45354	UROK	\N	\N
3557211	819	1998-07-31	PRIJEM	\N	201	50282	UROK	\N	\N
3557212	819	1998-08-31	PRIJEM	\N	221	55029	UROK	\N	\N
3557213	819	1998-09-30	PRIJEM	\N	234	57489	UROK	\N	\N
3557214	819	1998-10-31	PRIJEM	\N	239	56554	UROK	\N	\N
3557215	819	1998-11-30	PRIJEM	\N	229	54409	UROK	\N	\N
3557216	819	1998-12-31	PRIJEM	\N	248	61705	UROK	\N	\N
3557217	820	1995-11-30	PRIJEM	\N	34	11607	UROK	\N	\N
3557218	820	1995-12-31	PRIJEM	\N	113	33579	UROK	\N	\N
3557219	820	1996-01-31	PRIJEM	\N	165	42317	UROK	\N	\N
3557220	820	1996-02-29	PRIJEM	\N	184	45074	UROK	\N	\N
3557221	820	1996-03-31	PRIJEM	\N	194	47441	UROK	\N	\N
3557222	820	1996-04-30	PRIJEM	\N	187	44609	UROK	\N	\N
3557223	820	1996-05-31	PRIJEM	\N	186	45176	UROK	\N	\N
3557224	820	1996-06-30	PRIJEM	\N	199	49543	UROK	\N	\N
3557225	820	1996-07-31	PRIJEM	\N	197	47421	UROK	\N	\N
3557226	820	1996-08-31	PRIJEM	\N	177	35679	UROK	\N	\N
3557227	820	1996-09-30	PRIJEM	\N	162	36163	UROK	\N	\N
3557228	820	1996-10-31	PRIJEM	\N	165	37510	UROK	\N	\N
3557229	820	1996-11-30	PRIJEM	\N	172	42763	UROK	\N	\N
3557230	820	1996-12-31	PRIJEM	\N	206	46637	UROK	\N	\N
3557231	820	1997-01-31	PRIJEM	\N	177	36035	UROK	\N	\N
3557232	820	1997-02-28	PRIJEM	\N	165	40682	UROK	\N	\N
3557233	820	1997-03-31	PRIJEM	\N	184	44247	UROK	\N	\N
3557234	820	1997-04-30	PRIJEM	\N	196	44525	UROK	\N	\N
3557235	820	1997-05-31	PRIJEM	\N	197	49044	UROK	\N	\N
3557236	820	1997-06-30	PRIJEM	\N	153	34224	UROK	\N	\N
3557237	820	1997-07-31	PRIJEM	\N	164	46869	UROK	\N	\N
3557238	820	1997-08-31	PRIJEM	\N	196	49147	UROK	\N	\N
3557239	820	1997-09-30	PRIJEM	\N	218	53146	UROK	\N	\N
3557240	820	1997-10-31	PRIJEM	\N	232	53359	UROK	\N	\N
3557241	820	1997-11-30	PRIJEM	\N	233	54773	UROK	\N	\N
3557242	820	1997-12-31	PRIJEM	\N	245	52846	UROK	\N	\N
3557243	820	1998-01-31	PRIJEM	\N	191	41819	UROK	\N	\N
3557244	820	1998-02-28	PRIJEM	\N	190	48390	UROK	\N	\N
3557245	820	1998-03-31	PRIJEM	\N	212	51324	UROK	\N	\N
3557246	820	1998-04-30	PRIJEM	\N	224	53529	UROK	\N	\N
3557247	820	1998-05-31	PRIJEM	\N	214	49525	UROK	\N	\N
3557248	820	1998-06-30	PRIJEM	\N	201	24194	UROK	\N	\N
3557249	820	1998-07-31	PRIJEM	\N	138	45313	UROK	\N	\N
3557250	820	1998-08-31	PRIJEM	\N	196	50051	UROK	\N	\N
3557251	820	1998-09-30	PRIJEM	\N	220	56672	UROK	\N	\N
3557252	820	1998-10-31	PRIJEM	\N	231	54585	UROK	\N	\N
3557253	820	1998-11-30	PRIJEM	\N	236	57602	UROK	\N	\N
3557254	820	1998-12-31	PRIJEM	\N	262	65213	UROK	\N	\N
3557255	821	1996-04-30	PRIJEM	\N	32	14633	UROK	\N	\N
3557256	821	1996-05-31	PRIJEM	\N	84	24718	UROK	\N	\N
3557257	821	1996-06-30	PRIJEM	\N	111	28431	UROK	\N	\N
3557258	821	1996-07-31	PRIJEM	\N	123	30655	UROK	\N	\N
3557259	821	1996-08-31	PRIJEM	\N	122	28491	UROK	\N	\N
3557260	821	1996-09-30	PRIJEM	\N	115	26936	UROK	\N	\N
3557261	821	1996-10-31	PRIJEM	\N	116	28251	UROK	\N	\N
3557262	821	1996-11-30	PRIJEM	\N	119	28669	UROK	\N	\N
3557263	821	1996-12-31	PRIJEM	\N	106	22615	UROK	\N	\N
3557264	821	1997-01-31	PRIJEM	\N	76	14660	UROK	\N	\N
3557265	821	1997-02-28	PRIJEM	\N	73	18312	UROK	\N	\N
3557266	821	1997-03-31	PRIJEM	\N	74	17586	UROK	\N	\N
3557267	821	1997-04-30	PRIJEM	\N	76	17711	UROK	\N	\N
3557268	821	1997-05-31	PRIJEM	\N	69	15269	UROK	\N	\N
3557269	821	1997-06-30	PRIJEM	\N	69	16328	UROK	\N	\N
3557270	821	1997-07-31	PRIJEM	\N	79	19806	UROK	\N	\N
3557271	821	1997-08-31	PRIJEM	\N	84	20289	UROK	\N	\N
3557272	821	1997-09-30	PRIJEM	\N	87	20875	UROK	\N	\N
3557273	821	1997-10-31	PRIJEM	\N	86	20561	UROK	\N	\N
3557274	821	1997-11-30	PRIJEM	\N	89	21379	UROK	\N	\N
3557275	821	1997-12-31	PRIJEM	\N	88	20716	UROK	\N	\N
3557276	821	1998-01-31	PRIJEM	\N	86	17291	UROK	\N	\N
3557277	821	1998-02-28	PRIJEM	\N	80	20171	UROK	\N	\N
3557278	821	1998-03-31	PRIJEM	\N	93	23164	UROK	\N	\N
3557279	821	1998-04-30	PRIJEM	\N	84	20137	UROK	\N	\N
3557280	821	1998-05-31	PRIJEM	\N	82	19519	UROK	\N	\N
3557281	821	1998-06-30	PRIJEM	\N	80	19248	UROK	\N	\N
3557282	821	1998-07-31	PRIJEM	\N	75	17623	UROK	\N	\N
3557283	821	1998-08-31	PRIJEM	\N	69	16192	UROK	\N	\N
3557284	821	1998-09-30	PRIJEM	\N	73	18114	UROK	\N	\N
3557285	821	1998-10-31	PRIJEM	\N	81	19894	UROK	\N	\N
3557286	821	1998-11-30	PRIJEM	\N	81	19434	UROK	\N	\N
3557287	821	1998-12-31	PRIJEM	\N	87	21171	UROK	\N	\N
3557288	822	1996-10-31	PRIJEM	\N	22	7433	UROK	\N	\N
3557289	822	1996-11-30	PRIJEM	\N	31	14375	UROK	\N	\N
3557290	822	1996-12-31	PRIJEM	\N	31	21317	UROK	\N	\N
3557291	822	1997-01-31	PRIJEM	\N	31	28259	UROK	\N	\N
3557292	822	1997-02-28	PRIJEM	\N	89	31979	UROK	\N	\N
3557293	822	1997-03-31	PRIJEM	\N	130	31641	UROK	\N	\N
3557294	822	1997-04-30	PRIJEM	\N	127	31581	UROK	\N	\N
3557295	822	1997-05-31	PRIJEM	\N	128	32421	UROK	\N	\N
3557296	822	1997-06-30	PRIJEM	\N	97	15130	UROK	\N	\N
3557297	822	1997-07-31	PRIJEM	\N	78	20321	UROK	\N	\N
3557298	822	1997-08-31	PRIJEM	\N	93	18146	UROK	\N	\N
3557299	822	1997-09-30	PRIJEM	\N	89	19148	UROK	\N	\N
3557300	822	1997-10-31	PRIJEM	\N	91	15252	UROK	\N	\N
3557301	822	1997-11-30	PRIJEM	\N	75	12939	UROK	\N	\N
3557302	822	1997-12-31	PRIJEM	\N	64	12295	UROK	\N	\N
3557303	822	1998-01-31	PRIJEM	\N	58	13146	UROK	\N	\N
3557304	822	1998-02-28	PRIJEM	\N	69	18327	UROK	\N	\N
3557305	822	1998-03-31	PRIJEM	\N	91	23531	UROK	\N	\N
3557306	822	1998-04-30	PRIJEM	\N	103	11647	UROK	\N	\N
3557307	822	1998-05-31	PRIJEM	\N	64	16823	UROK	\N	\N
3557308	822	1998-06-30	PRIJEM	\N	81	13446	UROK	\N	\N
3557309	822	1998-07-31	PRIJEM	\N	65	11523	UROK	\N	\N
3557310	822	1998-08-31	PRIJEM	\N	63	16698	UROK	\N	\N
3557311	822	1998-09-30	PRIJEM	\N	75	18605	UROK	\N	\N
3557312	822	1998-10-31	PRIJEM	\N	92	23810	UROK	\N	\N
3557313	822	1998-11-30	PRIJEM	\N	114	29036	UROK	\N	\N
3557314	822	1998-12-31	PRIJEM	\N	134	30772	UROK	\N	\N
3557315	823	1998-02-28	PRIJEM	\N	3	17523	UROK	\N	\N
3557316	823	1998-03-31	PRIJEM	\N	73	17806	UROK	\N	\N
3557317	823	1998-04-30	PRIJEM	\N	77	18963	UROK	\N	\N
3557318	823	1998-05-31	PRIJEM	\N	82	20125	UROK	\N	\N
3557319	823	1998-06-30	PRIJEM	\N	86	21291	UROK	\N	\N
3557320	823	1998-07-31	PRIJEM	\N	90	21292	UROK	\N	\N
3557321	823	1998-08-31	PRIJEM	\N	89	21351	UROK	\N	\N
3557322	823	1998-09-30	PRIJEM	\N	90	22042	UROK	\N	\N
3557323	823	1998-10-31	PRIJEM	\N	94	23217	UROK	\N	\N
3557324	823	1998-11-30	PRIJEM	\N	99	24396	UROK	\N	\N
3557325	823	1998-12-31	PRIJEM	\N	102	25009	UROK	\N	\N
3557326	824	1996-04-30	PRIJEM	\N	25	16635	UROK	\N	\N
3557327	824	1996-05-31	PRIJEM	\N	85	26430	UROK	\N	\N
3557328	824	1996-06-30	PRIJEM	\N	116	30412	UROK	\N	\N
3557329	824	1996-07-31	PRIJEM	\N	125	29546	UROK	\N	\N
3557330	824	1996-08-31	PRIJEM	\N	127	31883	UROK	\N	\N
3557331	824	1996-09-30	PRIJEM	\N	133	31006	UROK	\N	\N
3557332	824	1996-10-31	PRIJEM	\N	128	29223	UROK	\N	\N
3557333	824	1996-11-30	PRIJEM	\N	124	29336	UROK	\N	\N
3557334	824	1996-12-31	PRIJEM	\N	130	30451	UROK	\N	\N
3557335	824	1997-01-31	PRIJEM	\N	102	19382	UROK	\N	\N
3557336	824	1997-02-28	PRIJEM	\N	90	22961	UROK	\N	\N
3557337	824	1997-03-31	PRIJEM	\N	106	26736	UROK	\N	\N
3557338	824	1997-04-30	PRIJEM	\N	117	28643	UROK	\N	\N
3557339	824	1997-05-31	PRIJEM	\N	121	29153	UROK	\N	\N
3557340	824	1997-06-30	PRIJEM	\N	113	29130	UROK	\N	\N
3557341	824	1997-07-31	PRIJEM	\N	124	30144	UROK	\N	\N
3557342	824	1997-08-31	PRIJEM	\N	104	25778	UROK	\N	\N
3557343	824	1997-09-30	PRIJEM	\N	102	23769	UROK	\N	\N
3557344	824	1997-10-31	PRIJEM	\N	104	24602	UROK	\N	\N
3557345	824	1997-11-30	PRIJEM	\N	93	29185	UROK	\N	\N
3557346	824	1997-12-31	PRIJEM	\N	129	30858	UROK	\N	\N
3557347	824	1998-01-31	PRIJEM	\N	121	24109	UROK	\N	\N
3557348	824	1998-02-28	PRIJEM	\N	127	34226	UROK	\N	\N
3557349	824	1998-03-31	PRIJEM	\N	143	36438	UROK	\N	\N
3557350	824	1998-04-30	PRIJEM	\N	157	38744	UROK	\N	\N
3557351	824	1998-05-31	PRIJEM	\N	179	45412	UROK	\N	\N
3557352	824	1998-06-30	PRIJEM	\N	204	51560	UROK	\N	\N
3557353	824	1998-07-31	PRIJEM	\N	214	52263	UROK	\N	\N
3557354	824	1998-08-31	PRIJEM	\N	210	48842	UROK	\N	\N
3557355	824	1998-09-30	PRIJEM	\N	198	48930	UROK	\N	\N
3557356	824	1998-10-31	PRIJEM	\N	210	52329	UROK	\N	\N
3557357	824	1998-11-30	PRIJEM	\N	209	51727	UROK	\N	\N
3557358	824	1998-12-31	PRIJEM	\N	217	54068	UROK	\N	\N
3557359	825	1996-03-31	PRIJEM	\N	53	16431	UROK	\N	\N
3557360	825	1996-04-30	PRIJEM	\N	130	35739	UROK	\N	\N
3557361	825	1996-05-31	PRIJEM	\N	188	48105	UROK	\N	\N
3557362	825	1996-06-30	PRIJEM	\N	253	60675	UROK	\N	\N
3557363	825	1996-07-31	PRIJEM	\N	256	62109	UROK	\N	\N
3557364	825	1996-08-31	PRIJEM	\N	227	49665	UROK	\N	\N
3557365	825	1996-09-30	PRIJEM	\N	174	35647	UROK	\N	\N
3557366	825	1996-10-31	PRIJEM	\N	130	30226	UROK	\N	\N
3557367	825	1996-11-30	PRIJEM	\N	123	30577	UROK	\N	\N
3557368	825	1996-12-31	PRIJEM	\N	137	28841	UROK	\N	\N
3557369	825	1997-01-31	PRIJEM	\N	91	21080	UROK	\N	\N
3557370	825	1997-02-28	PRIJEM	\N	97	23383	UROK	\N	\N
3557371	825	1997-03-31	PRIJEM	\N	106	25695	UROK	\N	\N
3557372	825	1997-04-30	PRIJEM	\N	108	25907	UROK	\N	\N
3557373	825	1997-05-31	PRIJEM	\N	119	29832	UROK	\N	\N
3557374	825	1997-06-30	PRIJEM	\N	126	29602	UROK	\N	\N
3557375	825	1997-07-31	PRIJEM	\N	131	30179	UROK	\N	\N
3557376	825	1997-08-31	PRIJEM	\N	135	33919	UROK	\N	\N
3557377	825	1997-09-30	PRIJEM	\N	147	35011	UROK	\N	\N
3557378	825	1997-10-31	PRIJEM	\N	152	33369	UROK	\N	\N
3557379	825	1997-11-30	PRIJEM	\N	148	36822	UROK	\N	\N
3557380	825	1997-12-31	PRIJEM	\N	174	39920	UROK	\N	\N
3557381	825	1998-01-31	PRIJEM	\N	139	20264	UROK	\N	\N
3557382	825	1998-02-28	PRIJEM	\N	94	30086	UROK	\N	\N
3557383	825	1998-03-31	PRIJEM	\N	135	33529	UROK	\N	\N
3557384	825	1998-04-30	PRIJEM	\N	151	38609	UROK	\N	\N
3557385	825	1998-05-31	PRIJEM	\N	170	42707	UROK	\N	\N
3557386	825	1998-06-30	PRIJEM	\N	195	42909	UROK	\N	\N
3557387	825	1998-07-31	PRIJEM	\N	195	41432	UROK	\N	\N
3557388	825	1998-08-31	PRIJEM	\N	192	47512	UROK	\N	\N
3557389	825	1998-09-30	PRIJEM	\N	191	41132	UROK	\N	\N
3557390	825	1998-10-31	PRIJEM	\N	170	38230	UROK	\N	\N
3557391	825	1998-11-30	PRIJEM	\N	157	36316	UROK	\N	\N
3557392	825	1998-12-31	PRIJEM	\N	165	41748	UROK	\N	\N
3557393	826	1996-10-31	PRIJEM	\N	31	9109	UROK	\N	\N
3557394	826	1996-11-30	PRIJEM	\N	82	22469	UROK	\N	\N
3557395	826	1996-12-31	PRIJEM	\N	140	36376	UROK	\N	\N
3557396	826	1997-01-31	PRIJEM	\N	172	42625	UROK	\N	\N
3557397	826	1997-02-28	PRIJEM	\N	178	42747	UROK	\N	\N
3557398	826	1997-03-31	PRIJEM	\N	146	34371	UROK	\N	\N
3557399	826	1997-04-30	PRIJEM	\N	133	30842	UROK	\N	\N
3557400	826	1997-05-31	PRIJEM	\N	118	28338	UROK	\N	\N
3557401	826	1997-06-30	PRIJEM	\N	119	28045	UROK	\N	\N
3557402	826	1997-07-31	PRIJEM	\N	115	28039	UROK	\N	\N
3557403	826	1997-08-31	PRIJEM	\N	95	20552	UROK	\N	\N
3557404	826	1997-09-30	PRIJEM	\N	91	22221	UROK	\N	\N
3557405	826	1997-10-31	PRIJEM	\N	86	17686	UROK	\N	\N
3557406	826	1997-11-30	PRIJEM	\N	83	18547	UROK	\N	\N
3557407	826	1997-12-31	PRIJEM	\N	95	21790	UROK	\N	\N
3557408	826	1998-01-31	PRIJEM	\N	96	13704	UROK	\N	\N
3557409	826	1998-02-28	PRIJEM	\N	67	16549	UROK	\N	\N
3557410	826	1998-03-31	PRIJEM	\N	76	13104	UROK	\N	\N
3557411	826	1998-04-30	PRIJEM	\N	64	13746	UROK	\N	\N
3557412	826	1998-05-31	PRIJEM	\N	67	15391	UROK	\N	\N
3557413	826	1998-06-30	PRIJEM	\N	84	14942	UROK	\N	\N
3557414	826	1998-07-31	PRIJEM	\N	69	13289	UROK	\N	\N
3557415	826	1998-08-31	PRIJEM	\N	63	12830	UROK	\N	\N
3557416	826	1998-09-30	PRIJEM	\N	60	12369	UROK	\N	\N
3557417	826	1998-10-31	PRIJEM	\N	61	14808	UROK	\N	\N
3557418	826	1998-11-30	PRIJEM	\N	76	22863	UROK	\N	\N
3557419	826	1998-12-31	PRIJEM	\N	109	24420	UROK	\N	\N
3557420	827	1996-07-31	PRIJEM	\N	42	15737	UROK	\N	\N
3557421	827	1996-08-31	PRIJEM	\N	64	15687	UROK	\N	\N
3557422	827	1996-09-30	PRIJEM	\N	67	15551	UROK	\N	\N
3557423	827	1996-10-31	PRIJEM	\N	65	15322	UROK	\N	\N
3557424	827	1996-11-30	PRIJEM	\N	67	16505	UROK	\N	\N
3557425	827	1996-12-31	PRIJEM	\N	72	17693	UROK	\N	\N
3557426	827	1997-01-31	PRIJEM	\N	70	14230	UROK	\N	\N
3557427	827	1997-02-28	PRIJEM	\N	62	15408	UROK	\N	\N
3557428	827	1997-03-31	PRIJEM	\N	67	16592	UROK	\N	\N
3557429	827	1997-04-30	PRIJEM	\N	72	17780	UROK	\N	\N
3557430	827	1997-05-31	PRIJEM	\N	77	18974	UROK	\N	\N
3557431	827	1997-06-30	PRIJEM	\N	72	17101	UROK	\N	\N
3557432	827	1997-07-31	PRIJEM	\N	74	18292	UROK	\N	\N
3557433	827	1997-08-31	PRIJEM	\N	80	19128	UROK	\N	\N
3557434	827	1997-09-30	PRIJEM	\N	83	20327	UROK	\N	\N
3557435	827	1997-10-31	PRIJEM	\N	86	20870	UROK	\N	\N
3557436	827	1997-11-30	PRIJEM	\N	90	22076	UROK	\N	\N
3557437	827	1997-12-31	PRIJEM	\N	95	23287	UROK	\N	\N
3557438	827	1998-01-31	PRIJEM	\N	99	22372	UROK	\N	\N
3557439	827	1998-02-28	PRIJEM	\N	96	23584	UROK	\N	\N
3557440	827	1998-03-31	PRIJEM	\N	100	24051	UROK	\N	\N
3557441	827	1998-04-30	PRIJEM	\N	102	24730	UROK	\N	\N
3557442	827	1998-05-31	PRIJEM	\N	106	25952	UROK	\N	\N
3557443	827	1998-06-30	PRIJEM	\N	99	22937	UROK	\N	\N
3557444	827	1998-07-31	PRIJEM	\N	97	23821	UROK	\N	\N
3557445	827	1998-08-31	PRIJEM	\N	100	24258	UROK	\N	\N
3557446	827	1998-09-30	PRIJEM	\N	104	25478	UROK	\N	\N
3557447	827	1998-10-31	PRIJEM	\N	109	26703	UROK	\N	\N
3557448	827	1998-11-30	PRIJEM	\N	114	27933	UROK	\N	\N
3557449	827	1998-12-31	PRIJEM	\N	120	28959	UROK	\N	\N
3557450	828	1997-02-28	PRIJEM	\N	32	14310	UROK	\N	\N
3557451	828	1997-03-31	PRIJEM	\N	90	26777	UROK	\N	\N
3557452	828	1997-04-30	PRIJEM	\N	139	38695	UROK	\N	\N
3557453	828	1997-05-31	PRIJEM	\N	166	40838	UROK	\N	\N
3557454	828	1997-06-30	PRIJEM	\N	199	53254	UROK	\N	\N
3557455	828	1997-07-31	PRIJEM	\N	203	47668	UROK	\N	\N
3557456	828	1997-08-31	PRIJEM	\N	183	44163	UROK	\N	\N
3557457	828	1997-09-30	PRIJEM	\N	170	42244	UROK	\N	\N
3557458	828	1997-10-31	PRIJEM	\N	168	41623	UROK	\N	\N
3557459	828	1997-11-30	PRIJEM	\N	183	45678	UROK	\N	\N
3557460	828	1997-12-31	PRIJEM	\N	189	47257	UROK	\N	\N
3557461	828	1998-01-31	PRIJEM	\N	128	21657	UROK	\N	\N
3557462	828	1998-02-28	PRIJEM	\N	95	26563	UROK	\N	\N
3557463	828	1998-03-31	PRIJEM	\N	105	26279	UROK	\N	\N
3557464	828	1998-04-30	PRIJEM	\N	96	25086	UROK	\N	\N
3557465	828	1998-05-31	PRIJEM	\N	90	23287	UROK	\N	\N
3557466	828	1998-06-30	PRIJEM	\N	96	27533	UROK	\N	\N
3557467	828	1998-07-31	PRIJEM	\N	99	25544	UROK	\N	\N
3557468	828	1998-08-31	PRIJEM	\N	89	22844	UROK	\N	\N
3557469	828	1998-09-30	PRIJEM	\N	71	18026	UROK	\N	\N
3557470	828	1998-10-31	PRIJEM	\N	60	16198	UROK	\N	\N
3557471	828	1998-11-30	PRIJEM	\N	64	18173	UROK	\N	\N
3557472	828	1998-12-31	PRIJEM	\N	70	20293	UROK	\N	\N
3557473	829	1996-11-30	PRIJEM	\N	11	3992	UROK	\N	\N
3557474	829	1996-12-31	PRIJEM	\N	17	7190	UROK	\N	\N
3557475	829	1997-01-31	PRIJEM	\N	17	10387	UROK	\N	\N
3557476	829	1997-02-28	PRIJEM	\N	17	13585	UROK	\N	\N
3557477	829	1997-03-31	PRIJEM	\N	42	14688	UROK	\N	\N
3557478	829	1997-04-30	PRIJEM	\N	64	15798	UROK	\N	\N
3557479	829	1997-05-31	PRIJEM	\N	69	16704	UROK	\N	\N
3557480	829	1997-06-30	PRIJEM	\N	71	16891	UROK	\N	\N
3557481	829	1997-07-31	PRIJEM	\N	73	18011	UROK	\N	\N
3557482	829	1997-08-31	PRIJEM	\N	78	19135	UROK	\N	\N
3557483	829	1997-09-30	PRIJEM	\N	82	20263	UROK	\N	\N
3557484	829	1997-10-31	PRIJEM	\N	85	20224	UROK	\N	\N
3557485	829	1997-11-30	PRIJEM	\N	87	21357	UROK	\N	\N
3557486	829	1997-12-31	PRIJEM	\N	89	20813	UROK	\N	\N
3557487	829	1998-01-31	PRIJEM	\N	89	21949	UROK	\N	\N
3557488	829	1998-02-28	PRIJEM	\N	94	23089	UROK	\N	\N
3557489	829	1998-03-31	PRIJEM	\N	99	24234	UROK	\N	\N
3557490	829	1998-04-30	PRIJEM	\N	103	25383	UROK	\N	\N
3557491	829	1998-05-31	PRIJEM	\N	107	25487	UROK	\N	\N
3557492	829	1998-06-30	PRIJEM	\N	109	26642	UROK	\N	\N
3557493	829	1998-07-31	PRIJEM	\N	113	27621	UROK	\N	\N
3557494	829	1998-08-31	PRIJEM	\N	117	28785	UROK	\N	\N
3557495	829	1998-09-30	PRIJEM	\N	122	29954	UROK	\N	\N
3557496	829	1998-10-31	PRIJEM	\N	127	31127	UROK	\N	\N
3557497	829	1998-11-30	PRIJEM	\N	129	30503	UROK	\N	\N
3557498	829	1998-12-31	PRIJEM	\N	129	31318	UROK	\N	\N
3557499	830	1993-03-31	PRIJEM	\N	56	18979	UROK	\N	\N
3557500	830	1993-04-30	PRIJEM	\N	110	29312	UROK	\N	\N
3557501	830	1993-05-31	PRIJEM	\N	143	36178	UROK	\N	\N
3557502	830	1993-06-30	PRIJEM	\N	168	41780	UROK	\N	\N
3557503	830	1993-07-31	PRIJEM	\N	225	41929	UROK	\N	\N
3557504	830	1993-08-31	PRIJEM	\N	207	50844	UROK	\N	\N
3557505	830	1993-09-30	PRIJEM	\N	220	53572	UROK	\N	\N
3557506	830	1993-10-31	PRIJEM	\N	234	57115	UROK	\N	\N
3557507	830	1993-11-30	PRIJEM	\N	241	58364	UROK	\N	\N
3557508	830	1993-12-31	PRIJEM	\N	270	63374	UROK	\N	\N
3557509	830	1994-01-31	PRIJEM	\N	264	63646	UROK	\N	\N
3557510	830	1994-02-28	PRIJEM	\N	254	60309	UROK	\N	\N
3557511	830	1994-03-31	PRIJEM	\N	253	61270	UROK	\N	\N
3557512	830	1994-04-30	PRIJEM	\N	247	59026	UROK	\N	\N
3557513	830	1994-05-31	PRIJEM	\N	240	57095	UROK	\N	\N
3557514	830	1994-06-30	PRIJEM	\N	231	49006	UROK	\N	\N
3557515	830	1994-07-31	PRIJEM	\N	231	57545	UROK	\N	\N
3557516	830	1994-08-31	PRIJEM	\N	224	53237	UROK	\N	\N
3557517	830	1994-09-30	PRIJEM	\N	239	58484	UROK	\N	\N
3557518	830	1994-10-31	PRIJEM	\N	254	62746	UROK	\N	\N
3557519	830	1994-11-30	PRIJEM	\N	234	60668	UROK	\N	\N
3557520	830	1994-12-31	PRIJEM	\N	253	50101	UROK	\N	\N
3557521	830	1995-01-31	PRIJEM	\N	232	46302	UROK	\N	\N
3557522	830	1995-02-28	PRIJEM	\N	192	63102	UROK	\N	\N
3557523	830	1995-03-31	PRIJEM	\N	215	47726	UROK	\N	\N
3557524	830	1995-04-30	PRIJEM	\N	218	43812	UROK	\N	\N
3557525	830	1995-05-31	PRIJEM	\N	183	47603	UROK	\N	\N
3557526	830	1995-06-30	PRIJEM	\N	199	38942	UROK	\N	\N
3557527	830	1995-07-31	PRIJEM	\N	163	42414	UROK	\N	\N
3557528	830	1995-08-31	PRIJEM	\N	176	43198	UROK	\N	\N
3557529	830	1995-09-30	PRIJEM	\N	179	44885	UROK	\N	\N
3557530	830	1995-10-31	PRIJEM	\N	189	49082	UROK	\N	\N
3557531	830	1995-11-30	PRIJEM	\N	203	49894	UROK	\N	\N
3557532	830	1995-12-31	PRIJEM	\N	220	52033	UROK	\N	\N
3557533	830	1996-01-31	PRIJEM	\N	247	51788	UROK	\N	\N
3557534	830	1996-02-29	PRIJEM	\N	235	47832	UROK	\N	\N
3557535	830	1996-03-31	PRIJEM	\N	218	46458	UROK	\N	\N
3557536	830	1996-04-30	PRIJEM	\N	195	51761	UROK	\N	\N
3557537	830	1996-05-31	PRIJEM	\N	216	53886	UROK	\N	\N
3557538	830	1996-06-30	PRIJEM	\N	258	40524	UROK	\N	\N
3557539	830	1996-07-31	PRIJEM	\N	173	44805	UROK	\N	\N
3557540	830	1996-08-31	PRIJEM	\N	192	49705	UROK	\N	\N
3557541	830	1996-09-30	PRIJEM	\N	216	56929	UROK	\N	\N
3557542	830	1996-10-31	PRIJEM	\N	235	57473	UROK	\N	\N
3557543	830	1996-11-30	PRIJEM	\N	239	58720	UROK	\N	\N
3557544	830	1996-12-31	PRIJEM	\N	261	66301	UROK	\N	\N
3557545	830	1997-01-31	PRIJEM	\N	274	66683	UROK	\N	\N
3557546	830	1997-02-28	PRIJEM	\N	273	65764	UROK	\N	\N
3557547	830	1997-03-31	PRIJEM	\N	275	68548	UROK	\N	\N
3557548	830	1997-04-30	PRIJEM	\N	282	68338	UROK	\N	\N
3557549	830	1997-05-31	PRIJEM	\N	285	70531	UROK	\N	\N
3557550	830	1997-06-30	PRIJEM	\N	301	70632	UROK	\N	\N
3557551	830	1997-07-31	PRIJEM	\N	319	66259	UROK	\N	\N
3557552	830	1997-08-31	PRIJEM	\N	287	68454	UROK	\N	\N
3557553	830	1997-09-30	PRIJEM	\N	266	61929	UROK	\N	\N
3557554	830	1997-10-31	PRIJEM	\N	251	59789	UROK	\N	\N
3557555	830	1997-11-30	PRIJEM	\N	244	59941	UROK	\N	\N
3557556	830	1997-12-31	PRIJEM	\N	251	56512	UROK	\N	\N
3557557	830	1998-01-31	PRIJEM	\N	234	58254	UROK	\N	\N
3557558	830	1998-02-28	PRIJEM	\N	245	60708	UROK	\N	\N
3557559	830	1998-03-31	PRIJEM	\N	242	57958	UROK	\N	\N
3557560	830	1998-04-30	PRIJEM	\N	237	59104	UROK	\N	\N
3557561	830	1998-05-31	PRIJEM	\N	230	55642	UROK	\N	\N
3557562	830	1998-06-30	PRIJEM	\N	192	45314	UROK	\N	\N
3557563	830	1998-07-31	PRIJEM	\N	200	52323	UROK	\N	\N
3557564	830	1998-08-31	PRIJEM	\N	214	53845	UROK	\N	\N
3557565	830	1998-09-30	PRIJEM	\N	225	56879	UROK	\N	\N
3557566	830	1998-10-31	PRIJEM	\N	236	59323	UROK	\N	\N
3557567	830	1998-11-30	PRIJEM	\N	234	58166	UROK	\N	\N
3557568	830	1998-12-31	PRIJEM	\N	231	57616	UROK	\N	\N
3557569	831	1997-02-28	PRIJEM	\N	59	15953	UROK	\N	\N
3557570	831	1997-03-31	PRIJEM	\N	78	17162	UROK	\N	\N
3557571	831	1997-04-30	PRIJEM	\N	83	18376	UROK	\N	\N
3557572	831	1997-05-31	PRIJEM	\N	77	17595	UROK	\N	\N
3557573	831	1997-06-30	PRIJEM	\N	67	12663	UROK	\N	\N
3557574	831	1997-07-31	PRIJEM	\N	55	12649	UROK	\N	\N
3557575	831	1997-08-31	PRIJEM	\N	55	13135	UROK	\N	\N
3557576	831	1997-09-30	PRIJEM	\N	53	11420	UROK	\N	\N
3557577	831	1997-10-31	PRIJEM	\N	51	12602	UROK	\N	\N
3557578	831	1997-11-30	PRIJEM	\N	55	13489	UROK	\N	\N
3557579	831	1997-12-31	PRIJEM	\N	52	11873	UROK	\N	\N
3557580	831	1998-01-31	PRIJEM	\N	54	12458	UROK	\N	\N
3557581	831	1998-02-28	PRIJEM	\N	63	13652	UROK	\N	\N
3557582	831	1998-03-31	PRIJEM	\N	66	14429	UROK	\N	\N
3557583	831	1998-04-30	PRIJEM	\N	71	15632	UROK	\N	\N
3557584	831	1998-05-31	PRIJEM	\N	73	16026	UROK	\N	\N
3557585	831	1998-06-30	PRIJEM	\N	70	17228	UROK	\N	\N
3557586	831	1998-07-31	PRIJEM	\N	81	17990	UROK	\N	\N
3557587	831	1998-08-31	PRIJEM	\N	70	15981	UROK	\N	\N
3557588	831	1998-09-30	PRIJEM	\N	77	17190	UROK	\N	\N
3557589	831	1998-10-31	PRIJEM	\N	66	15038	UROK	\N	\N
3557590	831	1998-11-30	PRIJEM	\N	73	16143	UROK	\N	\N
3557591	831	1998-12-31	PRIJEM	\N	71	17345	UROK	\N	\N
3557592	832	1996-10-31	PRIJEM	\N	39	14419	UROK	\N	\N
3557593	832	1996-11-30	PRIJEM	\N	63	15535	UROK	\N	\N
3557594	832	1996-12-31	PRIJEM	\N	67	16265	UROK	\N	\N
3557595	832	1997-01-31	PRIJEM	\N	56	12514	UROK	\N	\N
3557596	832	1997-02-28	PRIJEM	\N	55	13623	UROK	\N	\N
3557597	832	1997-03-31	PRIJEM	\N	60	14736	UROK	\N	\N
3557598	832	1997-04-30	PRIJEM	\N	61	14710	UROK	\N	\N
3557599	832	1997-05-31	PRIJEM	\N	64	15828	UROK	\N	\N
3557600	832	1997-06-30	PRIJEM	\N	61	12843	UROK	\N	\N
3557601	832	1997-07-31	PRIJEM	\N	56	13952	UROK	\N	\N
3557602	832	1997-08-31	PRIJEM	\N	61	15067	UROK	\N	\N
3557603	832	1997-09-30	PRIJEM	\N	65	15015	UROK	\N	\N
3557604	832	1997-10-31	PRIJEM	\N	64	15593	UROK	\N	\N
3557605	832	1997-11-30	PRIJEM	\N	68	16714	UROK	\N	\N
3557606	832	1997-12-31	PRIJEM	\N	72	17509	UROK	\N	\N
3557607	832	1998-01-31	PRIJEM	\N	64	14366	UROK	\N	\N
3557608	832	1998-02-28	PRIJEM	\N	62	15482	UROK	\N	\N
3557609	832	1998-03-31	PRIJEM	\N	64	14379	UROK	\N	\N
3557610	832	1998-04-30	PRIJEM	\N	63	15495	UROK	\N	\N
3557611	832	1998-05-31	PRIJEM	\N	67	16616	UROK	\N	\N
3557612	832	1998-06-30	PRIJEM	\N	71	16060	UROK	\N	\N
3557613	832	1998-07-31	PRIJEM	\N	69	16763	UROK	\N	\N
3557614	832	1998-08-31	PRIJEM	\N	72	17588	UROK	\N	\N
3557615	832	1998-09-30	PRIJEM	\N	75	18297	UROK	\N	\N
3557616	832	1998-10-31	PRIJEM	\N	76	18136	UROK	\N	\N
3557617	832	1998-11-30	PRIJEM	\N	78	19267	UROK	\N	\N
3557618	832	1998-12-31	PRIJEM	\N	82	19232	UROK	\N	\N
3557619	833	1996-12-31	PRIJEM	\N	12	17468	UROK	\N	\N
3557620	833	1997-01-31	PRIJEM	\N	76	17696	UROK	\N	\N
3557621	833	1997-02-28	PRIJEM	\N	78	15911	UROK	\N	\N
3557622	833	1997-03-31	PRIJEM	\N	73	18121	UROK	\N	\N
3557623	833	1997-04-30	PRIJEM	\N	78	16216	UROK	\N	\N
3557624	833	1997-05-31	PRIJEM	\N	74	17727	UROK	\N	\N
3557625	833	1997-06-30	PRIJEM	\N	72	16337	UROK	\N	\N
3557626	833	1997-07-31	PRIJEM	\N	73	16747	UROK	\N	\N
3557627	833	1997-08-31	PRIJEM	\N	75	17659	UROK	\N	\N
3557628	833	1997-09-30	PRIJEM	\N	78	17574	UROK	\N	\N
3557629	833	1997-10-31	PRIJEM	\N	75	15346	UROK	\N	\N
3557630	833	1997-11-30	PRIJEM	\N	69	16253	UROK	\N	\N
3557631	833	1997-12-31	PRIJEM	\N	63	14133	UROK	\N	\N
3557632	833	1998-01-31	PRIJEM	\N	64	15374	UROK	\N	\N
3557633	833	1998-02-28	PRIJEM	\N	70	17581	UROK	\N	\N
3557634	833	1998-03-31	PRIJEM	\N	70	12789	UROK	\N	\N
3557635	833	1998-04-30	PRIJEM	\N	60	14986	UROK	\N	\N
3557636	833	1998-05-31	PRIJEM	\N	69	17192	UROK	\N	\N
3557637	833	1998-06-30	PRIJEM	\N	77	17907	UROK	\N	\N
3557638	833	1998-07-31	PRIJEM	\N	81	20125	UROK	\N	\N
3557639	833	1998-08-31	PRIJEM	\N	90	20752	UROK	\N	\N
3557640	833	1998-09-30	PRIJEM	\N	93	22983	UROK	\N	\N
3557641	833	1998-10-31	PRIJEM	\N	102	25222	UROK	\N	\N
3557642	833	1998-11-30	PRIJEM	\N	111	27471	UROK	\N	\N
3557643	833	1998-12-31	PRIJEM	\N	119	28327	UROK	\N	\N
3557644	834	1997-06-30	PRIJEM	\N	15	11863	UROK	\N	\N
3557645	834	1997-07-31	PRIJEM	\N	56	17067	UROK	\N	\N
3557646	834	1997-08-31	PRIJEM	\N	77	20892	UROK	\N	\N
3557647	834	1997-09-30	PRIJEM	\N	82	17521	UROK	\N	\N
3557648	834	1997-10-31	PRIJEM	\N	69	14365	UROK	\N	\N
3557649	834	1997-11-30	PRIJEM	\N	59	12884	UROK	\N	\N
3557650	834	1997-12-31	PRIJEM	\N	59	14573	UROK	\N	\N
3557651	834	1998-01-31	PRIJEM	\N	60	12333	UROK	\N	\N
3557652	834	1998-02-28	PRIJEM	\N	55	13849	UROK	\N	\N
3557653	834	1998-03-31	PRIJEM	\N	53	10362	UROK	\N	\N
3557654	834	1998-04-30	PRIJEM	\N	47	11869	UROK	\N	\N
3557655	834	1998-05-31	PRIJEM	\N	52	12691	UROK	\N	\N
3557656	834	1998-06-30	PRIJEM	\N	52	12004	UROK	\N	\N
3557657	834	1998-07-31	PRIJEM	\N	54	13518	UROK	\N	\N
3557658	834	1998-08-31	PRIJEM	\N	60	15038	UROK	\N	\N
3557659	834	1998-09-30	PRIJEM	\N	66	15365	UROK	\N	\N
3557660	834	1998-10-31	PRIJEM	\N	67	16202	UROK	\N	\N
3557661	834	1998-11-30	PRIJEM	\N	71	17734	UROK	\N	\N
3557662	834	1998-12-31	PRIJEM	\N	77	18971	UROK	\N	\N
3557663	836	1996-08-31	PRIJEM	\N	12	17900	UROK	\N	\N
3557664	836	1996-09-30	PRIJEM	\N	81	27469	UROK	\N	\N
3557665	836	1996-10-31	PRIJEM	\N	117	30674	UROK	\N	\N
3557666	836	1996-11-30	PRIJEM	\N	126	28688	UROK	\N	\N
3557667	836	1996-12-31	PRIJEM	\N	137	31048	UROK	\N	\N
3557668	836	1997-01-31	PRIJEM	\N	113	20715	UROK	\N	\N
3557669	836	1997-02-28	PRIJEM	\N	94	20624	UROK	\N	\N
3557670	836	1997-03-31	PRIJEM	\N	95	22233	UROK	\N	\N
3557671	836	1997-04-30	PRIJEM	\N	80	17708	UROK	\N	\N
3557672	836	1997-05-31	PRIJEM	\N	69	11391	UROK	\N	\N
3557673	836	1997-06-30	PRIJEM	\N	70	19170	UROK	\N	\N
3557674	836	1997-07-31	PRIJEM	\N	92	23376	UROK	\N	\N
3557675	836	1997-08-31	PRIJEM	\N	104	25314	UROK	\N	\N
3557676	836	1997-09-30	PRIJEM	\N	117	29546	UROK	\N	\N
3557677	836	1997-10-31	PRIJEM	\N	135	33796	UROK	\N	\N
3557678	836	1997-11-30	PRIJEM	\N	111	11022	UROK	\N	\N
3557679	836	1997-12-31	PRIJEM	\N	69	18799	UROK	\N	\N
3557680	836	1998-01-31	PRIJEM	\N	67	13740	UROK	\N	\N
3557681	836	1998-02-28	PRIJEM	\N	66	16481	UROK	\N	\N
3557682	836	1998-03-31	PRIJEM	\N	70	15505	UROK	\N	\N
3557683	836	1998-04-30	PRIJEM	\N	76	19696	UROK	\N	\N
3557684	836	1998-05-31	PRIJEM	\N	79	17290	UROK	\N	\N
3557685	836	1998-06-30	PRIJEM	\N	94	25092	UROK	\N	\N
3557686	836	1998-07-31	PRIJEM	\N	116	29323	UROK	\N	\N
3557687	836	1998-08-31	PRIJEM	\N	134	33571	UROK	\N	\N
3557688	836	1998-09-30	PRIJEM	\N	152	37837	UROK	\N	\N
3557689	836	1998-10-31	PRIJEM	\N	165	36236	UROK	\N	\N
3557690	836	1998-11-30	PRIJEM	\N	163	40513	UROK	\N	\N
3557691	836	1998-12-31	PRIJEM	\N	191	48412	UROK	\N	\N
3557692	837	1993-10-31	PRIJEM	\N	48	25488	UROK	\N	\N
3557693	837	1993-11-30	PRIJEM	\N	126	35954	UROK	\N	\N
3557694	837	1993-12-31	PRIJEM	\N	166	44130	UROK	\N	\N
3557695	837	1994-01-31	PRIJEM	\N	186	45456	UROK	\N	\N
3557696	837	1994-02-28	PRIJEM	\N	185	41031	UROK	\N	\N
3557697	837	1994-03-31	PRIJEM	\N	177	40183	UROK	\N	\N
3557698	837	1994-04-30	PRIJEM	\N	172	39431	UROK	\N	\N
3557699	837	1994-05-31	PRIJEM	\N	168	38174	UROK	\N	\N
3557700	837	1994-06-30	PRIJEM	\N	159	33378	UROK	\N	\N
3557701	837	1994-07-31	PRIJEM	\N	146	34499	UROK	\N	\N
3557702	837	1994-08-31	PRIJEM	\N	148	35022	UROK	\N	\N
3557703	837	1994-09-30	PRIJEM	\N	150	36348	UROK	\N	\N
3557704	837	1994-10-31	PRIJEM	\N	153	34677	UROK	\N	\N
3557705	837	1994-11-30	PRIJEM	\N	161	30213	UROK	\N	\N
3557706	837	1994-12-31	PRIJEM	\N	169	40128	UROK	\N	\N
3557707	837	1995-01-31	PRIJEM	\N	142	25745	UROK	\N	\N
3557708	837	1995-02-28	PRIJEM	\N	118	28839	UROK	\N	\N
3557709	837	1995-03-31	PRIJEM	\N	151	33665	UROK	\N	\N
3557710	837	1995-04-30	PRIJEM	\N	141	33782	UROK	\N	\N
3557711	837	1995-05-31	PRIJEM	\N	125	25682	UROK	\N	\N
3557712	837	1995-06-30	PRIJEM	\N	119	16347	UROK	\N	\N
3557713	837	1995-07-31	PRIJEM	\N	98	25920	UROK	\N	\N
3557714	837	1995-08-31	PRIJEM	\N	122	29517	UROK	\N	\N
3557715	837	1995-09-30	PRIJEM	\N	129	26221	UROK	\N	\N
3557716	837	1995-10-31	PRIJEM	\N	123	29420	UROK	\N	\N
3557717	837	1995-11-30	PRIJEM	\N	139	32134	UROK	\N	\N
3557718	837	1995-12-31	PRIJEM	\N	157	37537	UROK	\N	\N
3557719	837	1996-01-31	PRIJEM	\N	131	23643	UROK	\N	\N
3557720	837	1996-02-29	PRIJEM	\N	168	41386	UROK	\N	\N
3557721	837	1996-03-31	PRIJEM	\N	160	36222	UROK	\N	\N
3557722	837	1996-04-30	PRIJEM	\N	191	45988	UROK	\N	\N
3557723	837	1996-05-31	PRIJEM	\N	217	51081	UROK	\N	\N
3557724	837	1996-06-30	PRIJEM	\N	254	56980	UROK	\N	\N
3557725	837	1996-07-31	PRIJEM	\N	263	62718	UROK	\N	\N
3557726	837	1996-08-31	PRIJEM	\N	269	61962	UROK	\N	\N
3557727	837	1996-09-30	PRIJEM	\N	272	64309	UROK	\N	\N
3557728	837	1996-10-31	PRIJEM	\N	266	61950	UROK	\N	\N
3557729	837	1996-11-30	PRIJEM	\N	273	60899	UROK	\N	\N
3557730	837	1996-12-31	PRIJEM	\N	296	71341	UROK	\N	\N
3557731	837	1997-01-31	PRIJEM	\N	253	44269	UROK	\N	\N
3557732	837	1997-02-28	PRIJEM	\N	205	53150	UROK	\N	\N
3557733	837	1997-03-31	PRIJEM	\N	208	48433	UROK	\N	\N
3557734	837	1997-04-30	PRIJEM	\N	199	48608	UROK	\N	\N
3557735	837	1997-05-31	PRIJEM	\N	190	38673	UROK	\N	\N
3557736	837	1997-06-30	PRIJEM	\N	207	31825	UROK	\N	\N
3557737	837	1997-07-31	PRIJEM	\N	159	35259	UROK	\N	\N
3557738	837	1997-08-31	PRIJEM	\N	170	35405	UROK	\N	\N
3557739	837	1997-09-30	PRIJEM	\N	171	37251	UROK	\N	\N
3557740	837	1997-10-31	PRIJEM	\N	178	40104	UROK	\N	\N
3557741	837	1997-11-30	PRIJEM	\N	185	35565	UROK	\N	\N
3557742	837	1997-12-31	PRIJEM	\N	213	43624	UROK	\N	\N
3557743	837	1998-01-31	PRIJEM	\N	190	31789	UROK	\N	\N
3557744	837	1998-02-28	PRIJEM	\N	149	29813	UROK	\N	\N
3557745	837	1998-03-31	PRIJEM	\N	143	30332	UROK	\N	\N
3557746	837	1998-04-30	PRIJEM	\N	146	32753	UROK	\N	\N
3557747	837	1998-05-31	PRIJEM	\N	159	26687	UROK	\N	\N
3557748	837	1998-06-30	PRIJEM	\N	133	30466	UROK	\N	\N
3557749	837	1998-07-31	PRIJEM	\N	145	33186	UROK	\N	\N
3557750	837	1998-08-31	PRIJEM	\N	156	37318	UROK	\N	\N
3557751	837	1998-09-30	PRIJEM	\N	168	37761	UROK	\N	\N
3557752	837	1998-10-31	PRIJEM	\N	164	34701	UROK	\N	\N
3557753	837	1998-11-30	PRIJEM	\N	151	31927	UROK	\N	\N
3557754	837	1998-12-31	PRIJEM	\N	201	50873	UROK	\N	\N
3557755	838	1997-12-31	PRIJEM	\N	2	16402	UROK	\N	\N
3557756	838	1998-03-31	PRIJEM	\N	48	12250	UROK	\N	\N
3557757	838	1998-04-30	PRIJEM	\N	54	13004	UROK	\N	\N
3557758	838	1998-05-31	PRIJEM	\N	54	10158	UROK	\N	\N
3557759	838	1998-06-30	PRIJEM	\N	54	8712	UROK	\N	\N
3557760	838	1998-07-31	PRIJEM	\N	54	11266	UROK	\N	\N
3557761	838	1998-08-31	PRIJEM	\N	54	12519	UROK	\N	\N
3557762	838	1998-09-30	PRIJEM	\N	54	8573	UROK	\N	\N
3557763	838	1998-10-31	PRIJEM	\N	54	4427	UROK	\N	\N
3557764	839	1995-02-28	PRIJEM	\N	54	27806	UROK	\N	\N
3557765	839	1995-03-31	PRIJEM	\N	136	38794	UROK	\N	\N
3557766	839	1995-04-30	PRIJEM	\N	175	46121	UROK	\N	\N
3557767	839	1995-05-31	PRIJEM	\N	200	50573	UROK	\N	\N
3557768	839	1995-06-30	PRIJEM	\N	230	48177	UROK	\N	\N
3557769	839	1995-07-31	PRIJEM	\N	207	44568	UROK	\N	\N
3557770	839	1995-08-31	PRIJEM	\N	197	42648	UROK	\N	\N
3557771	839	1995-09-30	PRIJEM	\N	184	42016	UROK	\N	\N
3557772	839	1995-10-31	PRIJEM	\N	192	45891	UROK	\N	\N
3557773	839	1995-11-30	PRIJEM	\N	194	44969	UROK	\N	\N
3557774	839	1995-12-31	PRIJEM	\N	214	52142	UROK	\N	\N
3557775	839	1996-01-31	PRIJEM	\N	212	48237	UROK	\N	\N
3557776	839	1996-02-29	PRIJEM	\N	219	51139	UROK	\N	\N
3557777	839	1996-03-31	PRIJEM	\N	214	50837	UROK	\N	\N
3557778	839	1996-04-30	PRIJEM	\N	217	52937	UROK	\N	\N
3557779	839	1996-05-31	PRIJEM	\N	219	51240	UROK	\N	\N
3557780	839	1996-06-30	PRIJEM	\N	192	39091	UROK	\N	\N
3557781	839	1996-07-31	PRIJEM	\N	181	45456	UROK	\N	\N
3557782	839	1996-08-31	PRIJEM	\N	194	46833	UROK	\N	\N
3557783	839	1996-09-30	PRIJEM	\N	238	60854	UROK	\N	\N
3557784	839	1996-10-31	PRIJEM	\N	283	69721	UROK	\N	\N
3557785	839	1996-11-30	PRIJEM	\N	300	72904	UROK	\N	\N
3557786	839	1996-12-31	PRIJEM	\N	351	87615	UROK	\N	\N
3557787	839	1997-01-31	PRIJEM	\N	344	76742	UROK	\N	\N
3557788	839	1997-02-28	PRIJEM	\N	320	77046	UROK	\N	\N
3557789	839	1997-03-31	PRIJEM	\N	325	78654	UROK	\N	\N
3557790	839	1997-04-30	PRIJEM	\N	329	79467	UROK	\N	\N
3557791	839	1997-05-31	PRIJEM	\N	324	77474	UROK	\N	\N
3557792	839	1997-06-30	PRIJEM	\N	338	87172	UROK	\N	\N
3557793	839	1997-07-31	PRIJEM	\N	333	74489	UROK	\N	\N
3557794	839	1997-08-31	PRIJEM	\N	289	67061	UROK	\N	\N
3557795	839	1997-09-30	PRIJEM	\N	284	68928	UROK	\N	\N
3557796	839	1997-10-31	PRIJEM	\N	264	60975	UROK	\N	\N
3557797	839	1997-11-30	PRIJEM	\N	265	65024	UROK	\N	\N
3557798	839	1997-12-31	PRIJEM	\N	313	75096	UROK	\N	\N
3557799	839	1998-01-31	PRIJEM	\N	274	60853	UROK	\N	\N
3557800	839	1998-02-28	PRIJEM	\N	236	61772	UROK	\N	\N
3557801	839	1998-03-31	PRIJEM	\N	243	61399	UROK	\N	\N
3557802	839	1998-04-30	PRIJEM	\N	255	61937	UROK	\N	\N
3557803	839	1998-05-31	PRIJEM	\N	245	58366	UROK	\N	\N
3557804	839	1998-06-30	PRIJEM	\N	267	62192	UROK	\N	\N
3557805	839	1998-07-31	PRIJEM	\N	230	32905	UROK	\N	\N
3557806	839	1998-08-31	PRIJEM	\N	184	35973	UROK	\N	\N
3557807	839	1998-09-30	PRIJEM	\N	196	41552	UROK	\N	\N
3557808	839	1998-10-31	PRIJEM	\N	216	42252	UROK	\N	\N
3557809	839	1998-11-30	PRIJEM	\N	205	35240	UROK	\N	\N
3557810	839	1998-12-31	PRIJEM	\N	232	67232	UROK	\N	\N
3557811	840	1996-03-31	PRIJEM	\N	60	24980	UROK	\N	\N
3557812	840	1996-04-30	PRIJEM	\N	161	49261	UROK	\N	\N
3557813	840	1996-05-31	PRIJEM	\N	232	60814	UROK	\N	\N
3557814	840	1996-06-30	PRIJEM	\N	297	79941	UROK	\N	\N
3557815	840	1996-07-31	PRIJEM	\N	324	73305	UROK	\N	\N
3557816	840	1996-08-31	PRIJEM	\N	291	68436	UROK	\N	\N
3557817	840	1996-09-30	PRIJEM	\N	273	63828	UROK	\N	\N
3557818	840	1996-10-31	PRIJEM	\N	258	62085	UROK	\N	\N
3557819	840	1996-11-30	PRIJEM	\N	255	62039	UROK	\N	\N
3557820	840	1996-12-31	PRIJEM	\N	261	72270	UROK	\N	\N
3557821	840	1997-01-31	PRIJEM	\N	198	37747	UROK	\N	\N
3557822	840	1997-02-28	PRIJEM	\N	183	50429	UROK	\N	\N
3557823	840	1997-03-31	PRIJEM	\N	222	56751	UROK	\N	\N
3557824	840	1997-04-30	PRIJEM	\N	245	61695	UROK	\N	\N
3557825	840	1997-05-31	PRIJEM	\N	261	64755	UROK	\N	\N
3557826	840	1997-06-30	PRIJEM	\N	234	66438	UROK	\N	\N
3557827	840	1997-07-31	PRIJEM	\N	273	66711	UROK	\N	\N
3557828	840	1997-08-31	PRIJEM	\N	264	63074	UROK	\N	\N
3557829	840	1997-09-30	PRIJEM	\N	232	55585	UROK	\N	\N
3557830	840	1997-10-31	PRIJEM	\N	201	51706	UROK	\N	\N
3557831	840	1997-11-30	PRIJEM	\N	209	47675	UROK	\N	\N
3557832	840	1997-12-31	PRIJEM	\N	223	58267	UROK	\N	\N
3557833	840	1998-01-31	PRIJEM	\N	140	39106	UROK	\N	\N
3557834	840	1998-02-28	PRIJEM	\N	141	43447	UROK	\N	\N
3557835	840	1998-03-31	PRIJEM	\N	198	51844	UROK	\N	\N
3557836	840	1998-04-30	PRIJEM	\N	210	52433	UROK	\N	\N
3557837	840	1998-05-31	PRIJEM	\N	177	50810	UROK	\N	\N
3557838	840	1998-06-30	PRIJEM	\N	166	21985	UROK	\N	\N
3557839	840	1998-07-31	PRIJEM	\N	119	22304	UROK	\N	\N
3557840	840	1998-08-31	PRIJEM	\N	134	30437	UROK	\N	\N
3557841	840	1998-09-30	PRIJEM	\N	163	29500	UROK	\N	\N
3557842	840	1998-10-31	PRIJEM	\N	159	31859	UROK	\N	\N
3557843	840	1998-11-30	PRIJEM	\N	167	33425	UROK	\N	\N
3557844	840	1998-12-31	PRIJEM	\N	210	62764	UROK	\N	\N
3557845	841	1993-11-30	PRIJEM	\N	22	6594	UROK	\N	\N
3557846	841	1993-12-31	PRIJEM	\N	27	12393	UROK	\N	\N
3557847	841	1994-01-31	PRIJEM	\N	27	18193	UROK	\N	\N
3557848	841	1994-02-28	PRIJEM	\N	27	23992	UROK	\N	\N
3557849	841	1994-03-31	PRIJEM	\N	98	27053	UROK	\N	\N
3557850	841	1994-04-30	PRIJEM	\N	124	29525	UROK	\N	\N
3557851	841	1994-05-31	PRIJEM	\N	133	32006	UROK	\N	\N
3557852	841	1994-06-30	PRIJEM	\N	130	30585	UROK	\N	\N
3557853	841	1994-07-31	PRIJEM	\N	127	28680	UROK	\N	\N
3557854	841	1994-08-31	PRIJEM	\N	119	28147	UROK	\N	\N
3557855	841	1994-09-30	PRIJEM	\N	104	26800	UROK	\N	\N
3557856	841	1994-10-31	PRIJEM	\N	102	22850	UROK	\N	\N
3557857	841	1994-11-30	PRIJEM	\N	106	21404	UROK	\N	\N
3557858	841	1994-12-31	PRIJEM	\N	99	20551	UROK	\N	\N
3557859	841	1995-01-31	PRIJEM	\N	78	13637	UROK	\N	\N
3557860	841	1995-02-28	PRIJEM	\N	65	17351	UROK	\N	\N
3557861	841	1995-03-31	PRIJEM	\N	81	21080	UROK	\N	\N
3557862	841	1995-04-30	PRIJEM	\N	94	22822	UROK	\N	\N
3557863	841	1995-05-31	PRIJEM	\N	102	23572	UROK	\N	\N
3557864	841	1995-06-30	PRIJEM	\N	104	22525	UROK	\N	\N
3557865	841	1995-07-31	PRIJEM	\N	102	25675	UROK	\N	\N
3557866	841	1995-08-31	PRIJEM	\N	112	25636	UROK	\N	\N
3557867	841	1995-09-30	PRIJEM	\N	113	26297	UROK	\N	\N
3557868	841	1995-10-31	PRIJEM	\N	115	26960	UROK	\N	\N
3557869	841	1995-11-30	PRIJEM	\N	116	25524	UROK	\N	\N
3557870	841	1995-12-31	PRIJEM	\N	111	23573	UROK	\N	\N
3557871	841	1996-01-31	PRIJEM	\N	100	19561	UROK	\N	\N
3557872	841	1996-02-29	PRIJEM	\N	87	20896	UROK	\N	\N
3557873	841	1996-03-31	PRIJEM	\N	95	24540	UROK	\N	\N
3557874	841	1996-04-30	PRIJEM	\N	101	22529	UROK	\N	\N
3557875	841	1996-05-31	PRIJEM	\N	96	22954	UROK	\N	\N
3557876	841	1996-06-30	PRIJEM	\N	97	23019	UROK	\N	\N
3557877	841	1996-07-31	PRIJEM	\N	103	23810	UROK	\N	\N
3557878	841	1996-08-31	PRIJEM	\N	107	27566	UROK	\N	\N
3557879	841	1996-09-30	PRIJEM	\N	123	31337	UROK	\N	\N
3557880	841	1996-10-31	PRIJEM	\N	139	35124	UROK	\N	\N
3557881	841	1996-11-30	PRIJEM	\N	152	37924	UROK	\N	\N
3557882	841	1996-12-31	PRIJEM	\N	164	39186	UROK	\N	\N
3557883	841	1997-01-31	PRIJEM	\N	158	32792	UROK	\N	\N
3557884	841	1997-02-28	PRIJEM	\N	136	32017	UROK	\N	\N
3557885	841	1997-03-31	PRIJEM	\N	141	35806	UROK	\N	\N
3557886	841	1997-04-30	PRIJEM	\N	153	36968	UROK	\N	\N
3557887	841	1997-05-31	PRIJEM	\N	162	40778	UROK	\N	\N
3557888	841	1997-06-30	PRIJEM	\N	177	44603	UROK	\N	\N
3557889	841	1997-07-31	PRIJEM	\N	184	43935	UROK	\N	\N
3557890	841	1997-08-31	PRIJEM	\N	177	41881	UROK	\N	\N
3557891	841	1997-09-30	PRIJEM	\N	165	37774	UROK	\N	\N
3557892	841	1997-10-31	PRIJEM	\N	154	35176	UROK	\N	\N
3557893	841	1997-11-30	PRIJEM	\N	148	36473	UROK	\N	\N
3557894	841	1997-12-31	PRIJEM	\N	151	36112	UROK	\N	\N
3557895	841	1998-01-31	PRIJEM	\N	126	27347	UROK	\N	\N
3557896	841	1998-02-28	PRIJEM	\N	120	31115	UROK	\N	\N
3557897	841	1998-03-31	PRIJEM	\N	136	34340	UROK	\N	\N
3557898	841	1998-04-30	PRIJEM	\N	149	38138	UROK	\N	\N
3557899	841	1998-05-31	PRIJEM	\N	165	41952	UROK	\N	\N
3557900	841	1998-06-30	PRIJEM	\N	180	45220	UROK	\N	\N
3557901	841	1998-07-31	PRIJEM	\N	191	46960	UROK	\N	\N
3557902	841	1998-08-31	PRIJEM	\N	202	50810	UROK	\N	\N
3557903	841	1998-09-30	PRIJEM	\N	207	49865	UROK	\N	\N
3557904	841	1998-10-31	PRIJEM	\N	192	45506	UROK	\N	\N
3557905	841	1998-11-30	PRIJEM	\N	185	42659	UROK	\N	\N
3557906	841	1998-12-31	PRIJEM	\N	177	42834	UROK	\N	\N
3557907	842	1995-04-30	PRIJEM	\N	16	5634	UROK	\N	\N
3557908	842	1995-05-31	PRIJEM	\N	23	10575	UROK	\N	\N
3557909	842	1995-06-30	PRIJEM	\N	23	15516	UROK	\N	\N
3557910	842	1995-07-31	PRIJEM	\N	23	20458	UROK	\N	\N
3557911	842	1995-08-31	PRIJEM	\N	62	18560	UROK	\N	\N
3557912	842	1995-09-30	PRIJEM	\N	81	18587	UROK	\N	\N
3557913	842	1995-10-31	PRIJEM	\N	81	18053	UROK	\N	\N
3557914	842	1995-11-30	PRIJEM	\N	80	19758	UROK	\N	\N
3557915	842	1995-12-31	PRIJEM	\N	86	21069	UROK	\N	\N
3557916	842	1996-01-31	PRIJEM	\N	71	13115	UROK	\N	\N
3557917	842	1996-02-29	PRIJEM	\N	58	13518	UROK	\N	\N
3557918	842	1996-03-31	PRIJEM	\N	59	14563	UROK	\N	\N
3557919	842	1996-04-30	PRIJEM	\N	65	16253	UROK	\N	\N
3557920	842	1996-05-31	PRIJEM	\N	69	15227	UROK	\N	\N
3557921	842	1996-06-30	PRIJEM	\N	68	16920	UROK	\N	\N
3557922	842	1996-07-31	PRIJEM	\N	70	17516	UROK	\N	\N
3557923	842	1996-08-31	PRIJEM	\N	77	19218	UROK	\N	\N
3557924	842	1996-09-30	PRIJEM	\N	82	14725	UROK	\N	\N
3557925	842	1996-10-31	PRIJEM	\N	64	14215	UROK	\N	\N
3557926	842	1996-11-30	PRIJEM	\N	61	11301	UROK	\N	\N
3557927	842	1996-12-31	PRIJEM	\N	55	11061	UROK	\N	\N
3557928	842	1997-01-31	PRIJEM	\N	50	12737	UROK	\N	\N
3557929	842	1997-02-28	PRIJEM	\N	57	14419	UROK	\N	\N
3557930	842	1997-03-31	PRIJEM	\N	64	16109	UROK	\N	\N
3557931	842	1997-04-30	PRIJEM	\N	71	17805	UROK	\N	\N
3557932	842	1997-05-31	PRIJEM	\N	75	15826	UROK	\N	\N
3557933	842	1997-06-30	PRIJEM	\N	67	16078	UROK	\N	\N
3557934	842	1997-07-31	PRIJEM	\N	71	17774	UROK	\N	\N
3557935	842	1997-08-31	PRIJEM	\N	70	15950	UROK	\N	\N
3557936	842	1997-09-30	PRIJEM	\N	70	17646	UROK	\N	\N
3557937	842	1997-10-31	PRIJEM	\N	69	11939	UROK	\N	\N
3557938	842	1997-11-30	PRIJEM	\N	54	13618	UROK	\N	\N
3557939	842	1997-12-31	PRIJEM	\N	60	14253	UROK	\N	\N
3557940	842	1998-01-31	PRIJEM	\N	57	12516	UROK	\N	\N
3557941	842	1998-02-28	PRIJEM	\N	55	13797	UROK	\N	\N
3557942	842	1998-03-31	PRIJEM	\N	61	14523	UROK	\N	\N
3557943	842	1998-04-30	PRIJEM	\N	60	13309	UROK	\N	\N
3557944	842	1998-05-31	PRIJEM	\N	58	14112	UROK	\N	\N
3557945	842	1998-06-30	PRIJEM	\N	62	15800	UROK	\N	\N
3557946	842	1998-07-31	PRIJEM	\N	61	12486	UROK	\N	\N
3557947	842	1998-08-31	PRIJEM	\N	56	14167	UROK	\N	\N
3557948	842	1998-09-30	PRIJEM	\N	63	15855	UROK	\N	\N
3557949	842	1998-10-31	PRIJEM	\N	66	14746	UROK	\N	\N
3557950	842	1998-11-30	PRIJEM	\N	65	16436	UROK	\N	\N
3557951	842	1998-12-31	PRIJEM	\N	72	17884	UROK	\N	\N
3557952	843	1997-04-30	PRIJEM	\N	9	3879	UROK	\N	\N
3557953	843	1997-05-31	PRIJEM	\N	47	16696	UROK	\N	\N
3557954	843	1997-06-30	PRIJEM	\N	83	22650	UROK	\N	\N
3557955	843	1997-07-31	PRIJEM	\N	95	23215	UROK	\N	\N
3557956	843	1997-08-31	PRIJEM	\N	99	24005	UROK	\N	\N
3557957	843	1997-09-30	PRIJEM	\N	91	22272	UROK	\N	\N
3557958	843	1997-10-31	PRIJEM	\N	93	22599	UROK	\N	\N
3557959	843	1997-11-30	PRIJEM	\N	108	27182	UROK	\N	\N
3557960	843	1997-12-31	PRIJEM	\N	116	28733	UROK	\N	\N
3557961	843	1998-01-31	PRIJEM	\N	106	25505	UROK	\N	\N
3557962	843	1998-02-28	PRIJEM	\N	92	22472	UROK	\N	\N
3557963	843	1998-03-31	PRIJEM	\N	84	20172	UROK	\N	\N
3557964	843	1998-04-30	PRIJEM	\N	73	17920	UROK	\N	\N
3557965	843	1998-05-31	PRIJEM	\N	75	18971	UROK	\N	\N
3557966	843	1998-06-30	PRIJEM	\N	51	12097	UROK	\N	\N
3557967	843	1998-07-31	PRIJEM	\N	51	13123	UROK	\N	\N
3557968	843	1998-08-31	PRIJEM	\N	56	14154	UROK	\N	\N
3557969	843	1998-09-30	PRIJEM	\N	60	15190	UROK	\N	\N
3557970	843	1998-10-31	PRIJEM	\N	61	15476	UROK	\N	\N
3557971	843	1998-11-30	PRIJEM	\N	63	16095	UROK	\N	\N
3557972	843	1998-12-31	PRIJEM	\N	67	16627	UROK	\N	\N
3557973	844	1994-05-31	PRIJEM	\N	18	33991	UROK	\N	\N
3557974	844	1994-06-30	PRIJEM	\N	348	37199	UROK	\N	\N
3557975	844	1994-07-31	PRIJEM	\N	165	53537	UROK	\N	\N
3557976	844	1994-08-31	PRIJEM	\N	229	63139	UROK	\N	\N
3557977	844	1994-09-30	PRIJEM	\N	197	28038	UROK	\N	\N
3557978	844	1994-10-31	PRIJEM	\N	179	36205	UROK	\N	\N
3557979	844	1994-11-30	PRIJEM	\N	224	47116	UROK	\N	\N
3557980	844	1994-12-31	PRIJEM	\N	218	40308	UROK	\N	\N
3557981	844	1995-01-31	PRIJEM	\N	239	45630	UROK	\N	\N
3557982	844	1995-02-28	PRIJEM	\N	224	44373	UROK	\N	\N
3557983	844	1995-03-31	PRIJEM	\N	185	34438	UROK	\N	\N
3557984	844	1995-04-30	PRIJEM	\N	215	46841	UROK	\N	\N
3557985	844	1995-05-31	PRIJEM	\N	230	26942	UROK	\N	\N
3557986	844	1995-06-30	PRIJEM	\N	224	48208	UROK	\N	\N
3557987	844	1995-07-31	PRIJEM	\N	250	46956	UROK	\N	\N
3557988	844	1995-08-31	PRIJEM	\N	211	37486	UROK	\N	\N
3557989	844	1995-09-30	PRIJEM	\N	211	44385	UROK	\N	\N
3557990	844	1995-10-31	PRIJEM	\N	222	45683	UROK	\N	\N
3557991	844	1995-11-30	PRIJEM	\N	239	51210	UROK	\N	\N
3557992	844	1995-12-31	PRIJEM	\N	195	27810	UROK	\N	\N
3557993	844	1996-01-31	PRIJEM	\N	181	44478	UROK	\N	\N
3557994	844	1996-02-29	PRIJEM	\N	230	51495	UROK	\N	\N
3557995	844	1996-03-31	PRIJEM	\N	258	57041	UROK	\N	\N
3557996	844	1996-04-30	PRIJEM	\N	272	59000	UROK	\N	\N
3557997	844	1996-05-31	PRIJEM	\N	269	56156	UROK	\N	\N
3557998	844	1996-06-30	PRIJEM	\N	240	43821	UROK	\N	\N
3557999	844	1996-07-31	PRIJEM	\N	190	24927	UROK	\N	\N
3558000	844	1996-08-31	PRIJEM	\N	162	41676	UROK	\N	\N
3558001	844	1996-09-30	PRIJEM	\N	204	47768	UROK	\N	\N
3558002	844	1996-10-31	PRIJEM	\N	226	48181	UROK	\N	\N
3558003	844	1996-11-30	PRIJEM	\N	221	45989	UROK	\N	\N
3558004	844	1996-12-31	PRIJEM	\N	221	53084	UROK	\N	\N
3558005	844	1997-01-31	PRIJEM	\N	208	37480	UROK	\N	\N
3558006	844	1997-02-28	PRIJEM	\N	184	46851	UROK	\N	\N
3558007	844	1997-03-31	PRIJEM	\N	200	36138	UROK	\N	\N
3558008	844	1997-04-30	PRIJEM	\N	176	34610	UROK	\N	\N
3558009	844	1997-05-31	PRIJEM	\N	165	36112	UROK	\N	\N
3558010	844	1997-06-30	PRIJEM	\N	244	38030	UROK	\N	\N
3558011	844	1997-07-31	PRIJEM	\N	198	42556	UROK	\N	\N
3558012	844	1997-08-31	PRIJEM	\N	181	37346	UROK	\N	\N
3558013	844	1997-09-30	PRIJEM	\N	138	28571	UROK	\N	\N
3558014	844	1997-10-31	PRIJEM	\N	124	30783	UROK	\N	\N
3558015	844	1997-11-30	PRIJEM	\N	140	34310	UROK	\N	\N
3558016	844	1997-12-31	PRIJEM	\N	183	39667	UROK	\N	\N
3558017	844	1998-01-31	PRIJEM	\N	137	28291	UROK	\N	\N
3558018	844	1998-02-28	PRIJEM	\N	148	30526	UROK	\N	\N
3558019	844	1998-03-31	PRIJEM	\N	123	29336	UROK	\N	\N
3558020	844	1998-04-30	PRIJEM	\N	110	25234	UROK	\N	\N
3558021	844	1998-05-31	PRIJEM	\N	99	23220	UROK	\N	\N
3558022	844	1998-06-30	PRIJEM	\N	124	28128	UROK	\N	\N
3558023	844	1998-07-31	PRIJEM	\N	95	21110	UROK	\N	\N
3558024	844	1998-08-31	PRIJEM	\N	156	35553	UROK	\N	\N
3558025	844	1998-09-30	PRIJEM	\N	203	50844	UROK	\N	\N
3558026	844	1998-10-31	PRIJEM	\N	220	42080	UROK	\N	\N
3558027	844	1998-11-30	PRIJEM	\N	199	41161	UROK	\N	\N
3558028	844	1998-12-31	PRIJEM	\N	275	61749	UROK	\N	\N
3558029	845	1998-01-31	PRIJEM	\N	16	20228	UROK	\N	\N
3558030	845	1998-02-28	PRIJEM	\N	92	33432	UROK	\N	\N
3558031	845	1998-03-31	PRIJEM	\N	145	42790	UROK	\N	\N
3558032	845	1998-04-30	PRIJEM	\N	180	46682	UROK	\N	\N
3558033	845	1998-05-31	PRIJEM	\N	216	44459	UROK	\N	\N
3558034	845	1998-06-30	PRIJEM	\N	200	36061	UROK	\N	\N
3558035	845	1998-07-31	PRIJEM	\N	178	41285	UROK	\N	\N
3558036	845	1998-08-31	PRIJEM	\N	192	40824	UROK	\N	\N
3558037	845	1998-09-30	PRIJEM	\N	195	45864	UROK	\N	\N
3558038	845	1998-10-31	PRIJEM	\N	209	45620	UROK	\N	\N
3558039	845	1998-11-30	PRIJEM	\N	213	50779	UROK	\N	\N
3558040	845	1998-12-31	PRIJEM	\N	277	73259	UROK	\N	\N
3558041	846	1996-03-31	PRIJEM	\N	3	18320	UROK	\N	\N
3558042	846	1996-04-30	PRIJEM	\N	254	88112	UROK	\N	\N
3558043	846	1996-05-31	PRIJEM	\N	374	88067	UROK	\N	\N
3558044	846	1996-06-30	PRIJEM	\N	246	42798	UROK	\N	\N
3558045	846	1996-07-31	PRIJEM	\N	270	126578	UROK	\N	\N
3558046	846	1996-08-31	PRIJEM	\N	360	102868	UROK	\N	\N
3558047	846	1996-09-30	PRIJEM	\N	265	82155	UROK	\N	\N
3558048	846	1996-10-31	PRIJEM	\N	179	22754	UROK	\N	\N
3558049	846	1996-11-30	PRIJEM	\N	157	47482	UROK	\N	\N
3558050	846	1996-12-31	PRIJEM	\N	175	72644	UROK	\N	\N
3558051	846	1997-01-31	PRIJEM	\N	192	27444	UROK	\N	\N
3558052	846	1997-02-28	PRIJEM	\N	100	21834	UROK	\N	\N
3558053	846	1997-03-31	PRIJEM	\N	87	20511	UROK	\N	\N
3558054	846	1997-04-30	PRIJEM	\N	83	19784	UROK	\N	\N
3558055	846	1997-05-31	PRIJEM	\N	92	32991	UROK	\N	\N
3558056	846	1997-06-30	PRIJEM	\N	143	46013	UROK	\N	\N
3558057	846	1997-07-31	PRIJEM	\N	174	39777	UROK	\N	\N
3558058	846	1997-08-31	PRIJEM	\N	141	36808	UROK	\N	\N
3558059	846	1997-09-30	PRIJEM	\N	215	61138	UROK	\N	\N
3558060	846	1997-10-31	PRIJEM	\N	218	67050	UROK	\N	\N
3558061	846	1997-11-30	PRIJEM	\N	276	57715	UROK	\N	\N
3558062	846	1997-12-31	PRIJEM	\N	234	86569	UROK	\N	\N
3558063	846	1998-01-31	PRIJEM	\N	291	87667	UROK	\N	\N
3558064	846	1998-02-28	PRIJEM	\N	359	75845	UROK	\N	\N
3558065	846	1998-03-31	PRIJEM	\N	346	81186	UROK	\N	\N
3558066	846	1998-04-30	PRIJEM	\N	332	84065	UROK	\N	\N
3558067	846	1998-05-31	PRIJEM	\N	317	67486	UROK	\N	\N
3558068	846	1998-06-30	PRIJEM	\N	222	52840	UROK	\N	\N
3558069	846	1998-07-31	PRIJEM	\N	252	69741	UROK	\N	\N
3558070	846	1998-08-31	PRIJEM	\N	342	97169	UROK	\N	\N
3558071	846	1998-09-30	PRIJEM	\N	459	87949	UROK	\N	\N
3558072	846	1998-10-31	PRIJEM	\N	332	80669	UROK	\N	\N
3558073	846	1998-11-30	PRIJEM	\N	218	60013	UROK	\N	\N
3558074	846	1998-12-31	PRIJEM	\N	337	114007	UROK	\N	\N
3558075	848	1996-07-31	PRIJEM	\N	32	14972	UROK	\N	\N
3558076	848	1996-08-31	PRIJEM	\N	76	20888	UROK	\N	\N
3558077	848	1996-09-30	PRIJEM	\N	99	26027	UROK	\N	\N
3558078	848	1996-10-31	PRIJEM	\N	119	30385	UROK	\N	\N
3558079	848	1996-11-30	PRIJEM	\N	114	24314	UROK	\N	\N
3558080	848	1996-12-31	PRIJEM	\N	108	26703	UROK	\N	\N
3558081	848	1997-01-31	PRIJEM	\N	84	12417	UROK	\N	\N
3558082	848	1997-02-28	PRIJEM	\N	64	17092	UROK	\N	\N
3558083	848	1997-03-31	PRIJEM	\N	72	13955	UROK	\N	\N
3558084	848	1997-04-30	PRIJEM	\N	67	17532	UROK	\N	\N
3558085	848	1997-05-31	PRIJEM	\N	65	13887	UROK	\N	\N
3558086	848	1997-06-30	PRIJEM	\N	93	26860	UROK	\N	\N
3558087	848	1997-07-31	PRIJEM	\N	125	31695	UROK	\N	\N
3558088	848	1997-08-31	PRIJEM	\N	130	31336	UROK	\N	\N
3558089	848	1997-09-30	PRIJEM	\N	122	29368	UROK	\N	\N
3558090	848	1997-10-31	PRIJEM	\N	126	31204	UROK	\N	\N
3558091	848	1997-11-30	PRIJEM	\N	150	38465	UROK	\N	\N
3558092	848	1997-12-31	PRIJEM	\N	169	42674	UROK	\N	\N
3558093	848	1998-01-31	PRIJEM	\N	137	27281	UROK	\N	\N
3558094	848	1998-02-28	PRIJEM	\N	121	30612	UROK	\N	\N
3558095	848	1998-03-31	PRIJEM	\N	147	37570	UROK	\N	\N
3558096	848	1998-04-30	PRIJEM	\N	163	40743	UROK	\N	\N
3558097	848	1998-05-31	PRIJEM	\N	178	44032	UROK	\N	\N
3558098	848	1998-06-30	PRIJEM	\N	192	48704	UROK	\N	\N
3558099	848	1998-07-31	PRIJEM	\N	187	44121	UROK	\N	\N
3558100	848	1998-08-31	PRIJEM	\N	182	45013	UROK	\N	\N
3558101	848	1998-09-30	PRIJEM	\N	207	52030	UROK	\N	\N
3558102	848	1998-10-31	PRIJEM	\N	204	48785	UROK	\N	\N
3558103	848	1998-11-30	PRIJEM	\N	199	49194	UROK	\N	\N
3558104	848	1998-12-31	PRIJEM	\N	216	55070	UROK	\N	\N
3558105	850	1997-03-31	PRIJEM	\N	71	29209	UROK	\N	\N
3558106	850	1997-04-30	PRIJEM	\N	183	55329	UROK	\N	\N
3558107	850	1997-05-31	PRIJEM	\N	261	68228	UROK	\N	\N
3558108	850	1997-06-30	PRIJEM	\N	331	88616	UROK	\N	\N
3558109	850	1997-07-31	PRIJEM	\N	345	78473	UROK	\N	\N
3558110	850	1997-08-31	PRIJEM	\N	180	48384	UROK	\N	\N
3558111	850	1997-09-30	PRIJEM	\N	138	26456	UROK	\N	\N
3558112	850	1997-10-31	PRIJEM	\N	122	38090	UROK	\N	\N
3558113	850	1997-11-30	PRIJEM	\N	142	41645	UROK	\N	\N
3558114	850	1997-12-31	PRIJEM	\N	179	53355	UROK	\N	\N
3558115	850	1998-01-31	PRIJEM	\N	123	22491	UROK	\N	\N
3558116	850	1998-02-28	PRIJEM	\N	95	21372	UROK	\N	\N
3558117	850	1998-03-31	PRIJEM	\N	99	32483	UROK	\N	\N
3558118	850	1998-04-30	PRIJEM	\N	88	23183	UROK	\N	\N
3558119	850	1998-05-31	PRIJEM	\N	98	32294	UROK	\N	\N
3558120	850	1998-06-30	PRIJEM	\N	155	50480	UROK	\N	\N
3558121	850	1998-07-31	PRIJEM	\N	148	28441	UROK	\N	\N
3558122	850	1998-08-31	PRIJEM	\N	135	20254	UROK	\N	\N
3558123	850	1998-09-30	PRIJEM	\N	114	26080	UROK	\N	\N
3558124	850	1998-10-31	PRIJEM	\N	131	23750	UROK	\N	\N
3558125	850	1998-11-30	PRIJEM	\N	125	26187	UROK	\N	\N
3558126	850	1998-12-31	PRIJEM	\N	164	48782	UROK	\N	\N
3558127	851	1994-09-30	PRIJEM	\N	11	26786	UROK	\N	\N
3558128	851	1994-10-31	PRIJEM	\N	114	31621	UROK	\N	\N
3558129	851	1994-11-30	PRIJEM	\N	131	28753	UROK	\N	\N
3558130	851	1994-12-31	PRIJEM	\N	155	49433	UROK	\N	\N
3558131	851	1995-01-31	PRIJEM	\N	225	76388	UROK	\N	\N
3558132	851	1995-02-28	PRIJEM	\N	257	48357	UROK	\N	\N
3558133	851	1995-03-31	PRIJEM	\N	142	25968	UROK	\N	\N
3558134	851	1995-04-30	PRIJEM	\N	150	70434	UROK	\N	\N
3558135	851	1995-05-31	PRIJEM	\N	262	68083	UROK	\N	\N
3558136	851	1995-06-30	PRIJEM	\N	222	33556	UROK	\N	\N
3558137	851	1995-07-31	PRIJEM	\N	226	50978	UROK	\N	\N
3558138	851	1995-08-31	PRIJEM	\N	227	39081	UROK	\N	\N
3558139	851	1995-09-30	PRIJEM	\N	111	23740	UROK	\N	\N
3558140	851	1995-10-31	PRIJEM	\N	192	78670	UROK	\N	\N
3558141	851	1995-11-30	PRIJEM	\N	354	64840	UROK	\N	\N
3558142	851	1995-12-31	PRIJEM	\N	277	41770	UROK	\N	\N
3558143	851	1996-01-31	PRIJEM	\N	173	30286	UROK	\N	\N
3558144	851	1996-02-29	PRIJEM	\N	119	28255	UROK	\N	\N
3558145	851	1996-03-31	PRIJEM	\N	106	23111	UROK	\N	\N
3558146	851	1996-04-30	PRIJEM	\N	95	64816	UROK	\N	\N
3558147	851	1996-05-31	PRIJEM	\N	306	71463	UROK	\N	\N
3558148	851	1996-06-30	PRIJEM	\N	136	22887	UROK	\N	\N
3558149	851	1996-07-31	PRIJEM	\N	177	71512	UROK	\N	\N
3558150	851	1996-08-31	PRIJEM	\N	236	43997	UROK	\N	\N
3558151	851	1996-09-30	PRIJEM	\N	185	54490	UROK	\N	\N
3558152	851	1996-10-31	PRIJEM	\N	257	68579	UROK	\N	\N
3558153	851	1996-11-30	PRIJEM	\N	244	88526	UROK	\N	\N
3558154	851	1996-12-31	PRIJEM	\N	271	56047	UROK	\N	\N
3558155	851	1997-01-31	PRIJEM	\N	146	53112	UROK	\N	\N
3558156	851	1997-02-28	PRIJEM	\N	239	51042	UROK	\N	\N
3558157	851	1997-03-31	PRIJEM	\N	272	96989	UROK	\N	\N
3558158	851	1997-04-30	PRIJEM	\N	317	67957	UROK	\N	\N
3558159	851	1997-05-31	PRIJEM	\N	203	30791	UROK	\N	\N
3558160	851	1997-06-30	PRIJEM	\N	132	35324	UROK	\N	\N
3558161	851	1997-07-31	PRIJEM	\N	184	51380	UROK	\N	\N
3558162	851	1997-08-31	PRIJEM	\N	276	76265	UROK	\N	\N
3558163	851	1997-09-30	PRIJEM	\N	347	59927	UROK	\N	\N
3558164	851	1997-10-31	PRIJEM	\N	190	72739	UROK	\N	\N
3558165	851	1997-11-30	PRIJEM	\N	189	31028	UROK	\N	\N
3558166	851	1997-12-31	PRIJEM	\N	157	48204	UROK	\N	\N
3558167	851	1998-01-31	PRIJEM	\N	109	23764	UROK	\N	\N
3558168	851	1998-02-28	PRIJEM	\N	91	21805	UROK	\N	\N
3558169	851	1998-03-31	PRIJEM	\N	74	17429	UROK	\N	\N
3558170	851	1998-04-30	PRIJEM	\N	61	14641	UROK	\N	\N
3558171	851	1998-05-31	PRIJEM	\N	56	13948	UROK	\N	\N
3558172	851	1998-06-30	PRIJEM	\N	62	16060	UROK	\N	\N
3558173	851	1998-07-31	PRIJEM	\N	66	16676	UROK	\N	\N
3558174	851	1998-08-31	PRIJEM	\N	66	16493	UROK	\N	\N
3558175	851	1998-09-30	PRIJEM	\N	67	16810	UROK	\N	\N
3558176	851	1998-10-31	PRIJEM	\N	54	12715	UROK	\N	\N
3558177	851	1998-11-30	PRIJEM	\N	37	8602	UROK	\N	\N
3558178	851	1998-12-31	PRIJEM	\N	20	4473	UROK	\N	\N
3558179	852	1998-03-31	PRIJEM	\N	2	16717	UROK	\N	\N
3558180	852	1998-04-30	PRIJEM	\N	71	17815	UROK	\N	\N
3558181	852	1998-05-31	PRIJEM	\N	76	18917	UROK	\N	\N
3558182	852	1998-06-30	PRIJEM	\N	69	15783	UROK	\N	\N
3558183	852	1998-07-31	PRIJEM	\N	68	16877	UROK	\N	\N
3558184	852	1998-08-31	PRIJEM	\N	72	17975	UROK	\N	\N
3558185	852	1998-09-30	PRIJEM	\N	74	17876	UROK	\N	\N
3558186	852	1998-10-31	PRIJEM	\N	76	18978	UROK	\N	\N
3558187	852	1998-11-30	PRIJEM	\N	77	18852	UROK	\N	\N
3558188	852	1998-12-31	PRIJEM	\N	79	18097	UROK	\N	\N
3558189	853	1996-04-30	PRIJEM	\N	30	17987	UROK	\N	\N
3558190	853	1996-05-31	PRIJEM	\N	97	30440	UROK	\N	\N
3558191	853	1996-06-30	PRIJEM	\N	147	42074	UROK	\N	\N
3558192	853	1996-07-31	PRIJEM	\N	176	42807	UROK	\N	\N
3558193	853	1996-08-31	PRIJEM	\N	195	43108	UROK	\N	\N
3558194	853	1996-09-30	PRIJEM	\N	195	43295	UROK	\N	\N
3558195	853	1996-10-31	PRIJEM	\N	190	40676	UROK	\N	\N
3558196	853	1996-11-30	PRIJEM	\N	187	41894	UROK	\N	\N
3558197	853	1996-12-31	PRIJEM	\N	214	48028	UROK	\N	\N
3558198	853	1997-01-31	PRIJEM	\N	197	36837	UROK	\N	\N
3558199	853	1997-02-28	PRIJEM	\N	170	38798	UROK	\N	\N
3558200	853	1997-03-31	PRIJEM	\N	174	38964	UROK	\N	\N
3558201	853	1997-04-30	PRIJEM	\N	179	40133	UROK	\N	\N
3558202	853	1997-05-31	PRIJEM	\N	181	40806	UROK	\N	\N
3558203	853	1997-06-30	PRIJEM	\N	134	28520	UROK	\N	\N
3558204	853	1997-07-31	PRIJEM	\N	153	37764	UROK	\N	\N
3558205	853	1997-08-31	PRIJEM	\N	172	40227	UROK	\N	\N
3558206	853	1997-09-30	PRIJEM	\N	182	42701	UROK	\N	\N
3558207	853	1997-10-31	PRIJEM	\N	186	42979	UROK	\N	\N
3558208	853	1997-11-30	PRIJEM	\N	191	45062	UROK	\N	\N
3558209	853	1997-12-31	PRIJEM	\N	200	44782	UROK	\N	\N
3558210	853	1998-01-31	PRIJEM	\N	170	21823	UROK	\N	\N
3558211	853	1998-02-28	PRIJEM	\N	128	32342	UROK	\N	\N
3558212	853	1998-03-31	PRIJEM	\N	165	40499	UROK	\N	\N
3558213	853	1998-04-30	PRIJEM	\N	179	41969	UROK	\N	\N
3558214	853	1998-05-31	PRIJEM	\N	189	45149	UROK	\N	\N
3558215	853	1998-06-30	PRIJEM	\N	153	18583	UROK	\N	\N
3558216	853	1998-07-31	PRIJEM	\N	111	27185	UROK	\N	\N
3558217	853	1998-08-31	PRIJEM	\N	122	29298	UROK	\N	\N
3558218	853	1998-09-30	PRIJEM	\N	118	27968	UROK	\N	\N
3558219	853	1998-10-31	PRIJEM	\N	125	30384	UROK	\N	\N
3558220	853	1998-11-30	PRIJEM	\N	121	27597	UROK	\N	\N
3558221	853	1998-12-31	PRIJEM	\N	135	26552	UROK	\N	\N
3558222	854	1993-10-31	PRIJEM	\N	25	16930	UROK	\N	\N
3558223	854	1993-11-30	PRIJEM	\N	83	25218	UROK	\N	\N
3558224	854	1993-12-31	PRIJEM	\N	114	31040	UROK	\N	\N
3558225	854	1994-01-31	PRIJEM	\N	133	33278	UROK	\N	\N
3558226	854	1994-02-28	PRIJEM	\N	151	33508	UROK	\N	\N
3558227	854	1994-03-31	PRIJEM	\N	139	28708	UROK	\N	\N
3558228	854	1994-04-30	PRIJEM	\N	135	30503	UROK	\N	\N
3558229	854	1994-05-31	PRIJEM	\N	135	29299	UROK	\N	\N
3558230	854	1994-06-30	PRIJEM	\N	143	31705	UROK	\N	\N
3558231	854	1994-07-31	PRIJEM	\N	140	30305	UROK	\N	\N
3558232	854	1994-08-31	PRIJEM	\N	139	32105	UROK	\N	\N
3558233	854	1994-09-30	PRIJEM	\N	124	25189	UROK	\N	\N
3558234	854	1994-10-31	PRIJEM	\N	120	28669	UROK	\N	\N
3558235	854	1994-11-30	PRIJEM	\N	128	28258	UROK	\N	\N
3558236	854	1994-12-31	PRIJEM	\N	137	28358	UROK	\N	\N
3558237	854	1995-01-31	PRIJEM	\N	120	25438	UROK	\N	\N
3558238	854	1995-02-28	PRIJEM	\N	110	23609	UROK	\N	\N
3558239	854	1995-03-31	PRIJEM	\N	100	23169	UROK	\N	\N
3558240	854	1995-04-30	PRIJEM	\N	106	25135	UROK	\N	\N
3558241	854	1995-05-31	PRIJEM	\N	113	26908	UROK	\N	\N
3558242	854	1995-06-30	PRIJEM	\N	121	26875	UROK	\N	\N
3558243	854	1995-07-31	PRIJEM	\N	117	26836	UROK	\N	\N
3558244	854	1995-08-31	PRIJEM	\N	106	21585	UROK	\N	\N
3558245	854	1995-09-30	PRIJEM	\N	80	17609	UROK	\N	\N
3558246	854	1995-10-31	PRIJEM	\N	78	17830	UROK	\N	\N
3558247	854	1995-11-30	PRIJEM	\N	78	17751	UROK	\N	\N
3558248	854	1995-12-31	PRIJEM	\N	76	15873	UROK	\N	\N
3558249	854	1996-01-31	PRIJEM	\N	72	15988	UROK	\N	\N
3558250	854	1996-02-29	PRIJEM	\N	73	16904	UROK	\N	\N
3558251	854	1996-03-31	PRIJEM	\N	81	19729	UROK	\N	\N
3558252	854	1996-04-30	PRIJEM	\N	84	19356	UROK	\N	\N
3558253	854	1996-05-31	PRIJEM	\N	77	17277	UROK	\N	\N
3558254	854	1996-06-30	PRIJEM	\N	106	23930	UROK	\N	\N
3558255	854	1996-07-31	PRIJEM	\N	106	25679	UROK	\N	\N
3558256	854	1996-08-31	PRIJEM	\N	98	23221	UROK	\N	\N
3558257	854	1996-09-30	PRIJEM	\N	103	25367	UROK	\N	\N
3558258	854	1996-10-31	PRIJEM	\N	103	24414	UROK	\N	\N
3558259	854	1996-11-30	PRIJEM	\N	91	21849	UROK	\N	\N
3558260	854	1996-12-31	PRIJEM	\N	97	24592	UROK	\N	\N
3558261	854	1997-01-31	PRIJEM	\N	96	16731	UROK	\N	\N
3558262	854	1997-02-28	PRIJEM	\N	76	18750	UROK	\N	\N
3558263	854	1997-03-31	PRIJEM	\N	79	19472	UROK	\N	\N
3558264	854	1997-04-30	PRIJEM	\N	77	18793	UROK	\N	\N
3558265	854	1997-05-31	PRIJEM	\N	69	15205	UROK	\N	\N
3558266	854	1997-06-30	PRIJEM	\N	91	24043	UROK	\N	\N
3558267	854	1997-07-31	PRIJEM	\N	100	24486	UROK	\N	\N
3558268	854	1997-08-31	PRIJEM	\N	87	20416	UROK	\N	\N
3558269	854	1997-09-30	PRIJEM	\N	85	21545	UROK	\N	\N
3558270	854	1997-10-31	PRIJEM	\N	83	18771	UROK	\N	\N
3558271	854	1997-11-30	PRIJEM	\N	84	15999	UROK	\N	\N
3558272	854	1997-12-31	PRIJEM	\N	94	19939	UROK	\N	\N
3558273	854	1998-01-31	PRIJEM	\N	73	16855	UROK	\N	\N
3558274	854	1998-02-28	PRIJEM	\N	84	21182	UROK	\N	\N
3558275	854	1998-03-31	PRIJEM	\N	102	25527	UROK	\N	\N
3558276	854	1998-04-30	PRIJEM	\N	113	14884	UROK	\N	\N
3558277	854	1998-05-31	PRIJEM	\N	75	19202	UROK	\N	\N
3558278	854	1998-06-30	PRIJEM	\N	110	28758	UROK	\N	\N
3558279	854	1998-07-31	PRIJEM	\N	131	32333	UROK	\N	\N
3558280	854	1998-08-31	PRIJEM	\N	133	28609	UROK	\N	\N
3558281	854	1998-09-30	PRIJEM	\N	132	32984	UROK	\N	\N
3558282	854	1998-10-31	PRIJEM	\N	136	33164	UROK	\N	\N
3558283	854	1998-11-30	PRIJEM	\N	151	37557	UROK	\N	\N
3558284	854	1998-12-31	PRIJEM	\N	180	44584	UROK	\N	\N
3558285	855	1994-04-30	PRIJEM	\N	10	18576	UROK	\N	\N
3558286	855	1994-05-31	PRIJEM	\N	84	28226	UROK	\N	\N
3558287	855	1994-06-30	PRIJEM	\N	124	38299	UROK	\N	\N
3558288	855	1994-07-31	PRIJEM	\N	160	39826	UROK	\N	\N
3558289	855	1994-08-31	PRIJEM	\N	164	38255	UROK	\N	\N
3558290	855	1994-09-30	PRIJEM	\N	172	35871	UROK	\N	\N
3558291	855	1994-10-31	PRIJEM	\N	162	34276	UROK	\N	\N
3558292	855	1994-11-30	PRIJEM	\N	153	31473	UROK	\N	\N
3558293	855	1994-12-31	PRIJEM	\N	160	34879	UROK	\N	\N
3558294	855	1995-01-31	PRIJEM	\N	84	15946	UROK	\N	\N
3558295	855	1995-02-28	PRIJEM	\N	80	22329	UROK	\N	\N
3558296	855	1995-03-31	PRIJEM	\N	113	28085	UROK	\N	\N
3558297	855	1995-04-30	PRIJEM	\N	131	29460	UROK	\N	\N
3558298	855	1995-05-31	PRIJEM	\N	128	29072	UROK	\N	\N
3558299	855	1995-06-30	PRIJEM	\N	135	29294	UROK	\N	\N
3558300	855	1995-07-31	PRIJEM	\N	134	29671	UROK	\N	\N
3558301	855	1995-08-31	PRIJEM	\N	136	33170	UROK	\N	\N
3558302	855	1995-09-30	PRIJEM	\N	152	35565	UROK	\N	\N
3558303	855	1995-10-31	PRIJEM	\N	156	34965	UROK	\N	\N
3558304	855	1995-11-30	PRIJEM	\N	153	34461	UROK	\N	\N
3558305	855	1995-12-31	PRIJEM	\N	159	35787	UROK	\N	\N
3558306	855	1996-01-31	PRIJEM	\N	121	25791	UROK	\N	\N
3558307	855	1996-02-29	PRIJEM	\N	130	33664	UROK	\N	\N
3558308	855	1996-03-31	PRIJEM	\N	153	36560	UROK	\N	\N
3558309	855	1996-04-30	PRIJEM	\N	165	39669	UROK	\N	\N
3558310	855	1996-05-31	PRIJEM	\N	174	40986	UROK	\N	\N
3558311	855	1996-06-30	PRIJEM	\N	164	17696	UROK	\N	\N
3558312	855	1996-07-31	PRIJEM	\N	113	32652	UROK	\N	\N
3558313	855	1996-08-31	PRIJEM	\N	157	39853	UROK	\N	\N
3558314	855	1996-09-30	PRIJEM	\N	172	42168	UROK	\N	\N
3558315	855	1996-10-31	PRIJEM	\N	177	42248	UROK	\N	\N
3558316	855	1996-11-30	PRIJEM	\N	174	40865	UROK	\N	\N
3558317	855	1996-12-31	PRIJEM	\N	175	40627	UROK	\N	\N
3558318	855	1997-01-31	PRIJEM	\N	153	31543	UROK	\N	\N
3558319	855	1997-02-28	PRIJEM	\N	157	40643	UROK	\N	\N
3558320	855	1997-03-31	PRIJEM	\N	185	46172	UROK	\N	\N
3558321	855	1997-04-30	PRIJEM	\N	194	46809	UROK	\N	\N
3558322	855	1997-05-31	PRIJEM	\N	197	47449	UROK	\N	\N
3558323	855	1997-06-30	PRIJEM	\N	131	16427	UROK	\N	\N
3558324	855	1997-07-31	PRIJEM	\N	115	32385	UROK	\N	\N
3558325	855	1997-08-31	PRIJEM	\N	150	36998	UROK	\N	\N
3558326	855	1997-09-30	PRIJEM	\N	193	50235	UROK	\N	\N
3558327	855	1997-10-31	PRIJEM	\N	239	60517	UROK	\N	\N
3558328	855	1997-11-30	PRIJEM	\N	254	62414	UROK	\N	\N
3558329	855	1997-12-31	PRIJEM	\N	275	69256	UROK	\N	\N
3558330	855	1998-01-31	PRIJEM	\N	229	41408	UROK	\N	\N
3558331	855	1998-02-28	PRIJEM	\N	192	49103	UROK	\N	\N
3558332	855	1998-03-31	PRIJEM	\N	233	59379	UROK	\N	\N
3558333	855	1998-04-30	PRIJEM	\N	241	57404	UROK	\N	\N
3558334	855	1998-05-31	PRIJEM	\N	235	55042	UROK	\N	\N
3558335	855	1998-06-30	PRIJEM	\N	245	62693	UROK	\N	\N
3558336	855	1998-07-31	PRIJEM	\N	266	66003	UROK	\N	\N
3558337	855	1998-08-31	PRIJEM	\N	273	66459	UROK	\N	\N
3558338	855	1998-09-30	PRIJEM	\N	268	65470	UROK	\N	\N
3558339	855	1998-10-31	PRIJEM	\N	271	66265	UROK	\N	\N
3558340	855	1998-11-30	PRIJEM	\N	276	68145	UROK	\N	\N
3558341	855	1998-12-31	PRIJEM	\N	287	71758	UROK	\N	\N
3558342	856	1996-03-31	PRIJEM	\N	41	13748	UROK	\N	\N
3558343	856	1996-04-30	PRIJEM	\N	114	33268	UROK	\N	\N
3558344	856	1996-05-31	PRIJEM	\N	164	42140	UROK	\N	\N
3558345	856	1996-06-30	PRIJEM	\N	205	52354	UROK	\N	\N
3558346	856	1996-07-31	PRIJEM	\N	195	44180	UROK	\N	\N
3558347	856	1996-08-31	PRIJEM	\N	158	30294	UROK	\N	\N
3558348	856	1996-09-30	PRIJEM	\N	145	32394	UROK	\N	\N
3558349	856	1996-10-31	PRIJEM	\N	152	28901	UROK	\N	\N
3558350	856	1996-11-30	PRIJEM	\N	139	30095	UROK	\N	\N
3558351	856	1996-12-31	PRIJEM	\N	147	33320	UROK	\N	\N
3558352	856	1997-01-31	PRIJEM	\N	155	34031	UROK	\N	\N
3558353	856	1997-02-28	PRIJEM	\N	158	33245	UROK	\N	\N
3558354	856	1997-03-31	PRIJEM	\N	151	34871	UROK	\N	\N
3558355	856	1997-04-30	PRIJEM	\N	161	33487	UROK	\N	\N
3558356	856	1997-05-31	PRIJEM	\N	139	31581	UROK	\N	\N
3558357	856	1997-06-30	PRIJEM	\N	167	39406	UROK	\N	\N
3558358	856	1997-07-31	PRIJEM	\N	181	42143	UROK	\N	\N
3558359	856	1997-08-31	PRIJEM	\N	191	43989	UROK	\N	\N
3558360	856	1997-09-30	PRIJEM	\N	200	43764	UROK	\N	\N
3558361	856	1997-10-31	PRIJEM	\N	196	44916	UROK	\N	\N
3558362	856	1997-11-30	PRIJEM	\N	201	46672	UROK	\N	\N
3558363	856	1997-12-31	PRIJEM	\N	220	48651	UROK	\N	\N
3558364	856	1998-01-31	PRIJEM	\N	215	50021	UROK	\N	\N
3558365	856	1998-02-28	PRIJEM	\N	216	47793	UROK	\N	\N
3558366	856	1998-03-31	PRIJEM	\N	207	44855	UROK	\N	\N
3558367	856	1998-04-30	PRIJEM	\N	196	43106	UROK	\N	\N
3558368	856	1998-05-31	PRIJEM	\N	183	41705	UROK	\N	\N
3558369	856	1998-06-30	PRIJEM	\N	197	44160	UROK	\N	\N
3558370	856	1998-07-31	PRIJEM	\N	199	47914	UROK	\N	\N
3558371	856	1998-08-31	PRIJEM	\N	202	44171	UROK	\N	\N
3558372	856	1998-09-30	PRIJEM	\N	189	42916	UROK	\N	\N
3558373	856	1998-10-31	PRIJEM	\N	177	39248	UROK	\N	\N
3558374	856	1998-11-30	PRIJEM	\N	174	41477	UROK	\N	\N
3558375	856	1998-12-31	PRIJEM	\N	191	42626	UROK	\N	\N
3558376	857	1994-02-28	PRIJEM	\N	49	20575	UROK	\N	\N
3558377	857	1994-03-31	PRIJEM	\N	85	20316	UROK	\N	\N
3558378	857	1994-04-30	PRIJEM	\N	88	21900	UROK	\N	\N
3558379	857	1994-05-31	PRIJEM	\N	94	19869	UROK	\N	\N
3558380	857	1994-06-30	PRIJEM	\N	86	21451	UROK	\N	\N
3558381	857	1994-07-31	PRIJEM	\N	84	19350	UROK	\N	\N
3558382	857	1994-08-31	PRIJEM	\N	84	20930	UROK	\N	\N
3558383	857	1994-09-30	PRIJEM	\N	85	19910	UROK	\N	\N
3558384	857	1994-10-31	PRIJEM	\N	87	21492	UROK	\N	\N
3558385	857	1994-11-30	PRIJEM	\N	89	21176	UROK	\N	\N
3558386	857	1994-12-31	PRIJEM	\N	91	22263	UROK	\N	\N
3558387	857	1995-01-31	PRIJEM	\N	81	17989	UROK	\N	\N
3558388	857	1995-02-28	PRIJEM	\N	66	15050	UROK	\N	\N
3558389	857	1995-03-31	PRIJEM	\N	66	16611	UROK	\N	\N
3558390	857	1995-04-30	PRIJEM	\N	73	18179	UROK	\N	\N
3558391	857	1995-05-31	PRIJEM	\N	79	18953	UROK	\N	\N
3558392	857	1995-06-30	PRIJEM	\N	74	15842	UROK	\N	\N
3558393	857	1995-07-31	PRIJEM	\N	69	17407	UROK	\N	\N
3558394	857	1995-08-31	PRIJEM	\N	69	15871	UROK	\N	\N
3558395	857	1995-09-30	PRIJEM	\N	62	14228	UROK	\N	\N
3558396	857	1995-10-31	PRIJEM	\N	59	14183	UROK	\N	\N
3558397	857	1995-11-30	PRIJEM	\N	60	14639	UROK	\N	\N
3558398	857	1995-12-31	PRIJEM	\N	64	15647	UROK	\N	\N
3558399	857	1996-01-31	PRIJEM	\N	58	12801	UROK	\N	\N
3558400	857	1996-02-29	PRIJEM	\N	52	12448	UROK	\N	\N
3558401	857	1996-03-31	PRIJEM	\N	55	13999	UROK	\N	\N
3558402	857	1996-04-30	PRIJEM	\N	56	12950	UROK	\N	\N
3558403	857	1996-05-31	PRIJEM	\N	57	14502	UROK	\N	\N
3558404	857	1996-06-30	PRIJEM	\N	63	16061	UROK	\N	\N
3558405	857	1996-07-31	PRIJEM	\N	70	17626	UROK	\N	\N
3558406	857	1996-08-31	PRIJEM	\N	76	19198	UROK	\N	\N
3558407	857	1996-09-30	PRIJEM	\N	58	14650	UROK	\N	\N
3558408	857	1996-10-31	PRIJEM	\N	64	16210	UROK	\N	\N
3558409	857	1996-11-30	PRIJEM	\N	70	17776	UROK	\N	\N
3558410	857	1996-12-31	PRIJEM	\N	68	15019	UROK	\N	\N
3558411	857	1997-01-31	PRIJEM	\N	65	16580	UROK	\N	\N
3558412	857	1997-02-28	PRIJEM	\N	72	18147	UROK	\N	\N
3558413	857	1997-03-31	PRIJEM	\N	75	18277	UROK	\N	\N
3558414	857	1997-04-30	PRIJEM	\N	79	19852	UROK	\N	\N
3558415	857	1997-05-31	PRIJEM	\N	83	20950	UROK	\N	\N
3558416	857	1997-06-30	PRIJEM	\N	86	17852	UROK	\N	\N
3558417	857	1997-07-31	PRIJEM	\N	77	19424	UROK	\N	\N
3558418	857	1997-08-31	PRIJEM	\N	83	21003	UROK	\N	\N
3558419	857	1997-09-30	PRIJEM	\N	90	22588	UROK	\N	\N
3558420	857	1997-10-31	PRIJEM	\N	97	24180	UROK	\N	\N
3558421	857	1997-11-30	PRIJEM	\N	100	24175	UROK	\N	\N
3558422	857	1997-12-31	PRIJEM	\N	103	25173	UROK	\N	\N
3558423	857	1998-01-31	PRIJEM	\N	101	22519	UROK	\N	\N
3558424	857	1998-02-28	PRIJEM	\N	96	24110	UROK	\N	\N
3558425	857	1998-03-31	PRIJEM	\N	96	22902	UROK	\N	\N
3558426	857	1998-04-30	PRIJEM	\N	97	24495	UROK	\N	\N
3558427	857	1998-05-31	PRIJEM	\N	103	23213	UROK	\N	\N
3558428	857	1998-06-30	PRIJEM	\N	85	18643	UROK	\N	\N
3558429	857	1998-07-31	PRIJEM	\N	80	20218	UROK	\N	\N
3558430	857	1998-08-31	PRIJEM	\N	86	21799	UROK	\N	\N
3558431	857	1998-09-30	PRIJEM	\N	93	23387	UROK	\N	\N
3558432	857	1998-10-31	PRIJEM	\N	91	21453	UROK	\N	\N
3558433	857	1998-11-30	PRIJEM	\N	87	22076	UROK	\N	\N
3558434	857	1998-12-31	PRIJEM	\N	91	21742	UROK	\N	\N
3558435	858	1996-08-31	PRIJEM	\N	64	23797	UROK	\N	\N
3558436	858	1996-09-30	PRIJEM	\N	143	39572	UROK	\N	\N
3558437	858	1996-10-31	PRIJEM	\N	183	46088	UROK	\N	\N
3558438	858	1996-11-30	PRIJEM	\N	192	46313	UROK	\N	\N
3558439	858	1996-12-31	PRIJEM	\N	214	51121	UROK	\N	\N
3558440	858	1997-01-31	PRIJEM	\N	169	22593	UROK	\N	\N
3558441	858	1997-02-28	PRIJEM	\N	149	34004	UROK	\N	\N
3558442	858	1997-03-31	PRIJEM	\N	165	40531	UROK	\N	\N
3558443	858	1997-04-30	PRIJEM	\N	179	43373	UROK	\N	\N
3558444	858	1997-05-31	PRIJEM	\N	185	44321	UROK	\N	\N
3558445	858	1997-06-30	PRIJEM	\N	180	13560	UROK	\N	\N
3558446	858	1997-07-31	PRIJEM	\N	123	29246	UROK	\N	\N
3558447	858	1997-08-31	PRIJEM	\N	136	33344	UROK	\N	\N
3558448	858	1997-09-30	PRIJEM	\N	135	31561	UROK	\N	\N
3558449	858	1997-10-31	PRIJEM	\N	124	28007	UROK	\N	\N
3558450	858	1997-11-30	PRIJEM	\N	135	31105	UROK	\N	\N
3558451	858	1997-12-31	PRIJEM	\N	153	37238	UROK	\N	\N
3558452	858	1998-01-31	PRIJEM	\N	159	32858	UROK	\N	\N
3558453	858	1998-02-28	PRIJEM	\N	178	44099	UROK	\N	\N
3558454	858	1998-03-31	PRIJEM	\N	161	36922	UROK	\N	\N
3558455	858	1998-04-30	PRIJEM	\N	179	43664	UROK	\N	\N
3558456	858	1998-05-31	PRIJEM	\N	199	48226	UROK	\N	\N
3558457	858	1998-06-30	PRIJEM	\N	233	36818	UROK	\N	\N
3558458	858	1998-07-31	PRIJEM	\N	181	44161	UROK	\N	\N
3558459	858	1998-08-31	PRIJEM	\N	194	46818	UROK	\N	\N
3558460	858	1998-09-30	PRIJEM	\N	208	48708	UROK	\N	\N
3558461	858	1998-10-31	PRIJEM	\N	169	38460	UROK	\N	\N
3558462	858	1998-11-30	PRIJEM	\N	152	39814	UROK	\N	\N
3558463	858	1998-12-31	PRIJEM	\N	215	58809	UROK	\N	\N
3558464	859	1997-09-30	PRIJEM	\N	16	18936	UROK	\N	\N
3558465	859	1997-10-31	PRIJEM	\N	88	29144	UROK	\N	\N
3558466	859	1997-11-30	PRIJEM	\N	124	31988	UROK	\N	\N
3558467	859	1997-12-31	PRIJEM	\N	139	37607	UROK	\N	\N
3558468	859	1998-01-31	PRIJEM	\N	140	20191	UROK	\N	\N
3558469	859	1998-02-28	PRIJEM	\N	101	25668	UROK	\N	\N
3558470	859	1998-03-31	PRIJEM	\N	121	27565	UROK	\N	\N
3558471	859	1998-04-30	PRIJEM	\N	119	20159	UROK	\N	\N
3558472	859	1998-05-31	PRIJEM	\N	97	21631	UROK	\N	\N
3558473	859	1998-06-30	PRIJEM	\N	101	22168	UROK	\N	\N
3558474	859	1998-07-31	PRIJEM	\N	112	29155	UROK	\N	\N
3558475	859	1998-08-31	PRIJEM	\N	138	32408	UROK	\N	\N
3558476	859	1998-09-30	PRIJEM	\N	150	36534	UROK	\N	\N
3558477	859	1998-10-31	PRIJEM	\N	155	35464	UROK	\N	\N
3558478	859	1998-11-30	PRIJEM	\N	156	36196	UROK	\N	\N
3558479	859	1998-12-31	PRIJEM	\N	174	40625	UROK	\N	\N
3558480	860	1993-04-30	PRIJEM	\N	30	16515	UROK	\N	\N
3558481	860	1993-05-31	PRIJEM	\N	86	25686	UROK	\N	\N
3558482	860	1993-06-30	PRIJEM	\N	119	32283	UROK	\N	\N
3558483	860	1993-07-31	PRIJEM	\N	137	33805	UROK	\N	\N
3558484	860	1993-08-31	PRIJEM	\N	148	37337	UROK	\N	\N
3558485	860	1993-09-30	PRIJEM	\N	139	26016	UROK	\N	\N
3558486	860	1993-10-31	PRIJEM	\N	116	28631	UROK	\N	\N
3558487	860	1993-11-30	PRIJEM	\N	118	27548	UROK	\N	\N
3558488	860	1993-12-31	PRIJEM	\N	124	27204	UROK	\N	\N
3558489	860	1994-01-31	PRIJEM	\N	105	21088	UROK	\N	\N
3558490	860	1994-02-28	PRIJEM	\N	88	20996	UROK	\N	\N
3558491	860	1994-03-31	PRIJEM	\N	95	23790	UROK	\N	\N
3558492	860	1994-04-30	PRIJEM	\N	107	26897	UROK	\N	\N
3558493	860	1994-05-31	PRIJEM	\N	113	27009	UROK	\N	\N
3558494	860	1994-06-30	PRIJEM	\N	143	33843	UROK	\N	\N
3558495	860	1994-07-31	PRIJEM	\N	135	31677	UROK	\N	\N
3558496	860	1994-08-31	PRIJEM	\N	148	38325	UROK	\N	\N
3558497	860	1994-09-30	PRIJEM	\N	158	39282	UROK	\N	\N
3558498	860	1994-10-31	PRIJEM	\N	169	41991	UROK	\N	\N
3558499	860	1994-11-30	PRIJEM	\N	158	40148	UROK	\N	\N
3558500	860	1994-12-31	PRIJEM	\N	182	47202	UROK	\N	\N
3558501	860	1995-01-31	PRIJEM	\N	135	21276	UROK	\N	\N
3558502	860	1995-02-28	PRIJEM	\N	117	33293	UROK	\N	\N
3558503	860	1995-03-31	PRIJEM	\N	147	38140	UROK	\N	\N
3558504	860	1995-04-30	PRIJEM	\N	144	36923	UROK	\N	\N
3558505	860	1995-05-31	PRIJEM	\N	153	37796	UROK	\N	\N
3558506	860	1995-06-30	PRIJEM	\N	172	37280	UROK	\N	\N
3558507	860	1995-07-31	PRIJEM	\N	148	38187	UROK	\N	\N
3558508	860	1995-08-31	PRIJEM	\N	156	38062	UROK	\N	\N
3558509	860	1995-09-30	PRIJEM	\N	148	33029	UROK	\N	\N
3558510	860	1995-10-31	PRIJEM	\N	143	37871	UROK	\N	\N
3558511	860	1995-11-30	PRIJEM	\N	137	33347	UROK	\N	\N
3558512	860	1995-12-31	PRIJEM	\N	145	36924	UROK	\N	\N
3558513	860	1996-01-31	PRIJEM	\N	104	21247	UROK	\N	\N
3558514	860	1996-02-29	PRIJEM	\N	102	28849	UROK	\N	\N
3558515	860	1996-03-31	PRIJEM	\N	121	32569	UROK	\N	\N
3558516	860	1996-04-30	PRIJEM	\N	112	27960	UROK	\N	\N
3558517	860	1996-05-31	PRIJEM	\N	106	27306	UROK	\N	\N
3558518	860	1996-06-30	PRIJEM	\N	132	37829	UROK	\N	\N
3558519	860	1996-07-31	PRIJEM	\N	140	36568	UROK	\N	\N
3558520	860	1996-08-31	PRIJEM	\N	133	30201	UROK	\N	\N
3558521	860	1996-09-30	PRIJEM	\N	137	32737	UROK	\N	\N
3558522	860	1996-10-31	PRIJEM	\N	146	31082	UROK	\N	\N
3558523	860	1996-11-30	PRIJEM	\N	139	32020	UROK	\N	\N
3558524	860	1996-12-31	PRIJEM	\N	132	28204	UROK	\N	\N
3558525	860	1997-01-31	PRIJEM	\N	95	22198	UROK	\N	\N
3558526	860	1997-02-28	PRIJEM	\N	102	25200	UROK	\N	\N
3558527	860	1997-03-31	PRIJEM	\N	115	28214	UROK	\N	\N
3558528	860	1997-04-30	PRIJEM	\N	126	28640	UROK	\N	\N
3558529	860	1997-05-31	PRIJEM	\N	128	29567	UROK	\N	\N
3558530	860	1997-06-30	PRIJEM	\N	133	31092	UROK	\N	\N
3558531	860	1997-07-31	PRIJEM	\N	135	29326	UROK	\N	\N
3558532	860	1997-08-31	PRIJEM	\N	127	27652	UROK	\N	\N
3558533	860	1997-09-30	PRIJEM	\N	120	26671	UROK	\N	\N
3558534	860	1997-10-31	PRIJEM	\N	113	23963	UROK	\N	\N
3558535	860	1997-11-30	PRIJEM	\N	107	26369	UROK	\N	\N
3558536	860	1997-12-31	PRIJEM	\N	112	27673	UROK	\N	\N
3558537	860	1998-01-31	PRIJEM	\N	80	17192	UROK	\N	\N
3558538	860	1998-02-28	PRIJEM	\N	80	21172	UROK	\N	\N
3558539	860	1998-03-31	PRIJEM	\N	94	22865	UROK	\N	\N
3558540	860	1998-04-30	PRIJEM	\N	100	24265	UROK	\N	\N
3558541	860	1998-05-31	PRIJEM	\N	98	19322	UROK	\N	\N
3558542	860	1998-06-30	PRIJEM	\N	97	23912	UROK	\N	\N
3558543	860	1998-07-31	PRIJEM	\N	76	17747	UROK	\N	\N
3558544	860	1998-08-31	PRIJEM	\N	75	17761	UROK	\N	\N
3558545	860	1998-09-30	PRIJEM	\N	83	22944	UROK	\N	\N
3558546	860	1998-10-31	PRIJEM	\N	105	28148	UROK	\N	\N
3558547	860	1998-11-30	PRIJEM	\N	102	19309	UROK	\N	\N
3558548	860	1998-12-31	PRIJEM	\N	95	29496	UROK	\N	\N
3558549	861	1993-09-30	PRIJEM	\N	45	19072	UROK	\N	\N
3558550	861	1993-10-31	PRIJEM	\N	125	38224	UROK	\N	\N
3558551	861	1993-11-30	PRIJEM	\N	184	48935	UROK	\N	\N
3558552	861	1993-12-31	PRIJEM	\N	237	62812	UROK	\N	\N
3558553	861	1994-01-31	PRIJEM	\N	217	40051	UROK	\N	\N
3558554	861	1994-02-28	PRIJEM	\N	190	43670	UROK	\N	\N
3558555	861	1994-03-31	PRIJEM	\N	198	41097	UROK	\N	\N
3558556	861	1994-04-30	PRIJEM	\N	175	44102	UROK	\N	\N
3558557	861	1994-05-31	PRIJEM	\N	179	43011	UROK	\N	\N
3558558	861	1994-06-30	PRIJEM	\N	159	38912	UROK	\N	\N
3558559	861	1994-07-31	PRIJEM	\N	178	39219	UROK	\N	\N
3558560	861	1994-08-31	PRIJEM	\N	163	33812	UROK	\N	\N
3558561	861	1994-09-30	PRIJEM	\N	165	33406	UROK	\N	\N
3558562	861	1994-10-31	PRIJEM	\N	150	39186	UROK	\N	\N
3558563	861	1994-11-30	PRIJEM	\N	177	39692	UROK	\N	\N
3558564	861	1994-12-31	PRIJEM	\N	181	49115	UROK	\N	\N
3558565	861	1995-01-31	PRIJEM	\N	151	32495	UROK	\N	\N
3558566	861	1995-02-28	PRIJEM	\N	152	34577	UROK	\N	\N
3558567	861	1995-03-31	PRIJEM	\N	115	27621	UROK	\N	\N
3558568	861	1995-04-30	PRIJEM	\N	139	31489	UROK	\N	\N
3558569	861	1995-05-31	PRIJEM	\N	137	35956	UROK	\N	\N
3558570	861	1995-06-30	PRIJEM	\N	148	30446	UROK	\N	\N
3558571	861	1995-07-31	PRIJEM	\N	136	35912	UROK	\N	\N
3558572	861	1995-08-31	PRIJEM	\N	144	36885	UROK	\N	\N
3558573	861	1995-09-30	PRIJEM	\N	140	33055	UROK	\N	\N
3558574	861	1995-10-31	PRIJEM	\N	126	32010	UROK	\N	\N
3558575	861	1995-11-30	PRIJEM	\N	124	31863	UROK	\N	\N
3558576	861	1995-12-31	PRIJEM	\N	125	31131	UROK	\N	\N
3558577	861	1996-01-31	PRIJEM	\N	95	15555	UROK	\N	\N
3558578	861	1996-02-29	PRIJEM	\N	82	23667	UROK	\N	\N
3558579	861	1996-03-31	PRIJEM	\N	117	25813	UROK	\N	\N
3558580	861	1996-04-30	PRIJEM	\N	85	20428	UROK	\N	\N
3558581	861	1996-05-31	PRIJEM	\N	79	16035	UROK	\N	\N
3558582	861	1996-06-30	PRIJEM	\N	101	22178	UROK	\N	\N
3558583	861	1996-07-31	PRIJEM	\N	126	20433	UROK	\N	\N
3558584	861	1996-08-31	PRIJEM	\N	115	17378	UROK	\N	\N
3558585	861	1996-09-30	PRIJEM	\N	103	18010	UROK	\N	\N
3558586	861	1996-10-31	PRIJEM	\N	101	14240	UROK	\N	\N
3558587	861	1996-11-30	PRIJEM	\N	72	15342	UROK	\N	\N
3558588	861	1996-12-31	PRIJEM	\N	89	16373	UROK	\N	\N
3558589	861	1997-01-31	PRIJEM	\N	75	13677	UROK	\N	\N
3558590	861	1997-02-28	PRIJEM	\N	82	14988	UROK	\N	\N
3558591	861	1997-03-31	PRIJEM	\N	80	23498	UROK	\N	\N
3558592	861	1997-04-30	PRIJEM	\N	105	19032	UROK	\N	\N
3558593	861	1997-05-31	PRIJEM	\N	118	27579	UROK	\N	\N
3558594	861	1997-06-30	PRIJEM	\N	134	25055	UROK	\N	\N
3558595	861	1997-07-31	PRIJEM	\N	104	19589	UROK	\N	\N
3558596	861	1997-08-31	PRIJEM	\N	95	15313	UROK	\N	\N
3558597	861	1997-09-30	PRIJEM	\N	101	23843	UROK	\N	\N
3558598	861	1997-10-31	PRIJEM	\N	108	18781	UROK	\N	\N
3558599	861	1997-11-30	PRIJEM	\N	115	27325	UROK	\N	\N
3558600	861	1997-12-31	PRIJEM	\N	118	22386	UROK	\N	\N
3558601	861	1998-01-31	PRIJEM	\N	82	15297	UROK	\N	\N
3558602	861	1998-02-28	PRIJEM	\N	68	16094	UROK	\N	\N
3558603	861	1998-03-31	PRIJEM	\N	84	24607	UROK	\N	\N
3558604	861	1998-04-30	PRIJEM	\N	100	21137	UROK	\N	\N
3558605	861	1998-05-31	PRIJEM	\N	94	19260	UROK	\N	\N
3558606	861	1998-06-30	PRIJEM	\N	92	18995	UROK	\N	\N
3558607	861	1998-07-31	PRIJEM	\N	95	27520	UROK	\N	\N
3558608	861	1998-08-31	PRIJEM	\N	98	19447	UROK	\N	\N
3558609	861	1998-09-30	PRIJEM	\N	97	27973	UROK	\N	\N
3558610	861	1998-10-31	PRIJEM	\N	91	16394	UROK	\N	\N
3558611	861	1998-11-30	PRIJEM	\N	84	24907	UROK	\N	\N
3558612	861	1998-12-31	PRIJEM	\N	95	19044	UROK	\N	\N
3558613	862	1993-02-28	PRIJEM	\N	139	44672	UROK	\N	\N
3558614	862	1993-03-31	PRIJEM	\N	295	78600	UROK	\N	\N
3558615	862	1993-04-30	PRIJEM	\N	380	95412	UROK	\N	\N
3558616	862	1993-05-31	PRIJEM	\N	434	107380	UROK	\N	\N
3558617	862	1993-06-30	PRIJEM	\N	366	82223	UROK	\N	\N
3558618	862	1993-07-31	PRIJEM	\N	343	65576	UROK	\N	\N
3558619	862	1993-08-31	PRIJEM	\N	347	90204	UROK	\N	\N
3558620	862	1993-09-30	PRIJEM	\N	380	98965	UROK	\N	\N
3558621	862	1993-10-31	PRIJEM	\N	429	50376	UROK	\N	\N
3558622	862	1993-11-30	PRIJEM	\N	307	53263	UROK	\N	\N
3558623	862	1993-12-31	PRIJEM	\N	390	56601	UROK	\N	\N
3558624	862	1994-01-31	PRIJEM	\N	228	26110	UROK	\N	\N
3558625	862	1994-02-28	PRIJEM	\N	215	40806	UROK	\N	\N
3558626	862	1994-03-31	PRIJEM	\N	288	54227	UROK	\N	\N
3558627	862	1994-04-30	PRIJEM	\N	290	53739	UROK	\N	\N
3558628	862	1994-05-31	PRIJEM	\N	337	61357	UROK	\N	\N
3558629	862	1994-06-30	PRIJEM	\N	192	32597	UROK	\N	\N
3558630	862	1994-07-31	PRIJEM	\N	260	51338	UROK	\N	\N
3558631	862	1994-08-31	PRIJEM	\N	318	59037	UROK	\N	\N
3558632	862	1994-09-30	PRIJEM	\N	320	58237	UROK	\N	\N
3558633	862	1994-10-31	PRIJEM	\N	293	50746	UROK	\N	\N
3558634	862	1994-11-30	PRIJEM	\N	297	50097	UROK	\N	\N
3558635	862	1994-12-31	PRIJEM	\N	346	51991	UROK	\N	\N
3558636	862	1995-01-31	PRIJEM	\N	202	31708	UROK	\N	\N
3558637	862	1995-02-28	PRIJEM	\N	205	37591	UROK	\N	\N
3558638	862	1995-03-31	PRIJEM	\N	223	28228	UROK	\N	\N
3558639	862	1995-04-30	PRIJEM	\N	216	42125	UROK	\N	\N
3558640	862	1995-05-31	PRIJEM	\N	228	44613	UROK	\N	\N
3558641	862	1995-06-30	PRIJEM	\N	309	61717	UROK	\N	\N
3558642	862	1995-07-31	PRIJEM	\N	331	56129	UROK	\N	\N
3558643	862	1995-08-31	PRIJEM	\N	309	60419	UROK	\N	\N
3558644	862	1995-09-30	PRIJEM	\N	331	66131	UROK	\N	\N
3558645	862	1995-10-31	PRIJEM	\N	193	34605	UROK	\N	\N
3558646	862	1995-11-30	PRIJEM	\N	232	51617	UROK	\N	\N
3558647	862	1995-12-31	PRIJEM	\N	201	42166	UROK	\N	\N
3558648	862	1996-01-31	PRIJEM	\N	205	34751	UROK	\N	\N
3558649	862	1996-02-29	PRIJEM	\N	229	51562	UROK	\N	\N
3558650	862	1996-03-31	PRIJEM	\N	272	44615	UROK	\N	\N
3558651	862	1996-04-30	PRIJEM	\N	250	53546	UROK	\N	\N
3558652	862	1996-05-31	PRIJEM	\N	283	60910	UROK	\N	\N
3558653	862	1996-06-30	PRIJEM	\N	300	30758	UROK	\N	\N
3558654	862	1996-07-31	PRIJEM	\N	197	45136	UROK	\N	\N
3558655	862	1996-08-31	PRIJEM	\N	250	56267	UROK	\N	\N
3558656	862	1996-09-30	PRIJEM	\N	268	55715	UROK	\N	\N
3558657	862	1996-10-31	PRIJEM	\N	284	65680	UROK	\N	\N
3558658	862	1996-11-30	PRIJEM	\N	295	66456	UROK	\N	\N
3558659	862	1996-12-31	PRIJEM	\N	278	57082	UROK	\N	\N
3558660	862	1997-01-31	PRIJEM	\N	216	41079	UROK	\N	\N
3558661	862	1997-02-28	PRIJEM	\N	234	59694	UROK	\N	\N
3558662	862	1997-03-31	PRIJEM	\N	286	66261	UROK	\N	\N
3558663	862	1997-04-30	PRIJEM	\N	296	67238	UROK	\N	\N
3558664	862	1997-05-31	PRIJEM	\N	294	45355	UROK	\N	\N
3558665	862	1997-06-30	PRIJEM	\N	286	73089	UROK	\N	\N
3558666	862	1997-07-31	PRIJEM	\N	271	57941	UROK	\N	\N
3558667	862	1997-08-31	PRIJEM	\N	259	66381	UROK	\N	\N
3558668	862	1997-09-30	PRIJEM	\N	302	75664	UROK	\N	\N
3558669	862	1997-10-31	PRIJEM	\N	284	60871	UROK	\N	\N
3558670	862	1997-11-30	PRIJEM	\N	297	66450	UROK	\N	\N
3558671	862	1997-12-31	PRIJEM	\N	376	67374	UROK	\N	\N
3558672	862	1998-01-31	PRIJEM	\N	257	37292	UROK	\N	\N
3558673	862	1998-02-28	PRIJEM	\N	264	72724	UROK	\N	\N
3558674	862	1998-03-31	PRIJEM	\N	267	61273	UROK	\N	\N
3558675	862	1998-04-30	PRIJEM	\N	346	89799	UROK	\N	\N
3558676	862	1998-05-31	PRIJEM	\N	414	105495	UROK	\N	\N
3558677	862	1998-06-30	PRIJEM	\N	420	105463	UROK	\N	\N
3558678	862	1998-07-31	PRIJEM	\N	322	68365	UROK	\N	\N
3558679	862	1998-08-31	PRIJEM	\N	371	74729	UROK	\N	\N
3558680	862	1998-09-30	PRIJEM	\N	371	88080	UROK	\N	\N
3558681	862	1998-10-31	PRIJEM	\N	434	112495	UROK	\N	\N
3558682	862	1998-11-30	PRIJEM	\N	296	62071	UROK	\N	\N
3558683	862	1998-12-31	PRIJEM	\N	410	103054	UROK	\N	\N
3558684	863	1993-05-31	PRIJEM	\N	25	41416	UROK	\N	\N
3558685	863	1993-06-30	PRIJEM	\N	220	60998	UROK	\N	\N
3558686	863	1993-07-31	PRIJEM	\N	276	68948	UROK	\N	\N
3558687	863	1993-08-31	PRIJEM	\N	299	76895	UROK	\N	\N
3558688	863	1993-09-30	PRIJEM	\N	333	87372	UROK	\N	\N
3558689	863	1993-10-31	PRIJEM	\N	309	64497	UROK	\N	\N
3558690	863	1993-11-30	PRIJEM	\N	246	76182	UROK	\N	\N
3558691	863	1993-12-31	PRIJEM	\N	298	81004	UROK	\N	\N
3558692	863	1994-01-31	PRIJEM	\N	177	22080	UROK	\N	\N
3558693	863	1994-02-28	PRIJEM	\N	109	35679	UROK	\N	\N
3558694	863	1994-03-31	PRIJEM	\N	135	35513	UROK	\N	\N
3558695	863	1994-04-30	PRIJEM	\N	198	26725	UROK	\N	\N
3558696	863	1994-05-31	PRIJEM	\N	98	22222	UROK	\N	\N
3558697	863	1994-06-30	PRIJEM	\N	179	61887	UROK	\N	\N
3558698	863	1994-07-31	PRIJEM	\N	186	36571	UROK	\N	\N
3558699	863	1994-08-31	PRIJEM	\N	159	30742	UROK	\N	\N
3558700	863	1994-09-30	PRIJEM	\N	184	51160	UROK	\N	\N
3558701	863	1994-10-31	PRIJEM	\N	177	37567	UROK	\N	\N
3558702	863	1994-11-30	PRIJEM	\N	101	19795	UROK	\N	\N
3558703	863	1994-12-31	PRIJEM	\N	183	46959	UROK	\N	\N
3558704	863	1995-01-31	PRIJEM	\N	127	38836	UROK	\N	\N
3558705	863	1995-02-28	PRIJEM	\N	264	85052	UROK	\N	\N
3558706	863	1995-03-31	PRIJEM	\N	341	72778	UROK	\N	\N
3558707	863	1995-04-30	PRIJEM	\N	223	39653	UROK	\N	\N
3558708	863	1995-05-31	PRIJEM	\N	272	88659	UROK	\N	\N
3558709	863	1995-06-30	PRIJEM	\N	328	86335	UROK	\N	\N
3558710	863	1995-07-31	PRIJEM	\N	261	51376	UROK	\N	\N
3558711	863	1995-08-31	PRIJEM	\N	256	62684	UROK	\N	\N
3558712	863	1995-09-30	PRIJEM	\N	406	98498	UROK	\N	\N
3558713	863	1995-10-31	PRIJEM	\N	314	62211	UROK	\N	\N
3558714	863	1995-11-30	PRIJEM	\N	222	49431	UROK	\N	\N
3558715	863	1995-12-31	PRIJEM	\N	182	40637	UROK	\N	\N
3558716	863	1996-01-31	PRIJEM	\N	247	73411	UROK	\N	\N
3558717	863	1996-02-29	PRIJEM	\N	342	127873	UROK	\N	\N
3558718	863	1996-03-31	PRIJEM	\N	325	97179	UROK	\N	\N
3558719	863	1996-04-30	PRIJEM	\N	291	75502	UROK	\N	\N
3558720	863	1996-05-31	PRIJEM	\N	347	54427	UROK	\N	\N
3558721	863	1996-06-30	PRIJEM	\N	266	55307	UROK	\N	\N
3558722	863	1996-07-31	PRIJEM	\N	195	44401	UROK	\N	\N
3558723	863	1996-08-31	PRIJEM	\N	297	86079	UROK	\N	\N
3558724	863	1996-09-30	PRIJEM	\N	293	54480	UROK	\N	\N
3558725	863	1996-10-31	PRIJEM	\N	234	66441	UROK	\N	\N
3558726	863	1996-11-30	PRIJEM	\N	295	64494	UROK	\N	\N
3558727	863	1996-12-31	PRIJEM	\N	348	78654	UROK	\N	\N
3558728	863	1997-01-31	PRIJEM	\N	223	46575	UROK	\N	\N
3558729	863	1997-02-28	PRIJEM	\N	190	45864	UROK	\N	\N
3558730	863	1997-03-31	PRIJEM	\N	186	43848	UROK	\N	\N
3558731	863	1997-04-30	PRIJEM	\N	249	82043	UROK	\N	\N
3558732	863	1997-05-31	PRIJEM	\N	284	62699	UROK	\N	\N
3558733	863	1997-06-30	PRIJEM	\N	229	77847	UROK	\N	\N
3558734	863	1997-07-31	PRIJEM	\N	337	70089	UROK	\N	\N
3558735	863	1997-08-31	PRIJEM	\N	367	71650	UROK	\N	\N
3558736	863	1997-09-30	PRIJEM	\N	251	46923	UROK	\N	\N
3558737	863	1997-10-31	PRIJEM	\N	227	64149	UROK	\N	\N
3558738	863	1997-11-30	PRIJEM	\N	240	68221	UROK	\N	\N
3558739	863	1997-12-31	PRIJEM	\N	296	94646	UROK	\N	\N
3558740	863	1998-01-31	PRIJEM	\N	287	73096	UROK	\N	\N
3558741	863	1998-02-28	PRIJEM	\N	299	83757	UROK	\N	\N
3558742	863	1998-03-31	PRIJEM	\N	355	94452	UROK	\N	\N
3558743	863	1998-04-30	PRIJEM	\N	377	96310	UROK	\N	\N
3558744	863	1998-05-31	PRIJEM	\N	313	97812	UROK	\N	\N
3558745	863	1998-06-30	PRIJEM	\N	390	112407	UROK	\N	\N
3558746	863	1998-07-31	PRIJEM	\N	381	80519	UROK	\N	\N
3558747	863	1998-08-31	PRIJEM	\N	318	75135	UROK	\N	\N
3558748	863	1998-09-30	PRIJEM	\N	273	63747	UROK	\N	\N
3558749	863	1998-10-31	PRIJEM	\N	263	66229	UROK	\N	\N
3558750	863	1998-11-30	PRIJEM	\N	378	108184	UROK	\N	\N
3558751	863	1998-12-31	PRIJEM	\N	358	55734	UROK	\N	\N
3558752	864	1997-08-31	PRIJEM	\N	50	14899	UROK	\N	\N
3558753	864	1997-09-30	PRIJEM	\N	87	22235	UROK	\N	\N
3558754	864	1997-10-31	PRIJEM	\N	111	27495	UROK	\N	\N
3558755	864	1997-11-30	PRIJEM	\N	125	30469	UROK	\N	\N
3558756	864	1997-12-31	PRIJEM	\N	131	31224	UROK	\N	\N
3558757	864	1998-01-31	PRIJEM	\N	107	22107	UROK	\N	\N
3558758	864	1998-02-28	PRIJEM	\N	89	20531	UROK	\N	\N
3558759	864	1998-03-31	PRIJEM	\N	72	13518	UROK	\N	\N
3558760	864	1998-04-30	PRIJEM	\N	58	13610	UROK	\N	\N
3558761	864	1998-05-31	PRIJEM	\N	69	16915	UROK	\N	\N
3558762	864	1998-06-30	PRIJEM	\N	91	22416	UROK	\N	\N
3558763	864	1998-07-31	PRIJEM	\N	84	17276	UROK	\N	\N
3558764	864	1998-08-31	PRIJEM	\N	85	20797	UROK	\N	\N
3558765	864	1998-09-30	PRIJEM	\N	87	17920	UROK	\N	\N
3558766	864	1998-10-31	PRIJEM	\N	99	22194	UROK	\N	\N
3558767	864	1998-11-30	PRIJEM	\N	99	27027	UROK	\N	\N
3558768	864	1998-12-31	PRIJEM	\N	124	30162	UROK	\N	\N
3558769	865	1996-08-31	PRIJEM	\N	57	15868	UROK	\N	\N
3558770	865	1996-09-30	PRIJEM	\N	72	17073	UROK	\N	\N
3558771	865	1996-10-31	PRIJEM	\N	77	18282	UROK	\N	\N
3558772	865	1996-11-30	PRIJEM	\N	82	19497	UROK	\N	\N
3558773	865	1996-12-31	PRIJEM	\N	75	16005	UROK	\N	\N
3558774	865	1997-01-31	PRIJEM	\N	69	16006	UROK	\N	\N
3558775	865	1997-02-28	PRIJEM	\N	60	12629	UROK	\N	\N
3558776	865	1997-03-31	PRIJEM	\N	57	12439	UROK	\N	\N
3558777	865	1997-04-30	PRIJEM	\N	58	13629	UROK	\N	\N
3558778	865	1997-05-31	PRIJEM	\N	62	13534	UROK	\N	\N
3558779	865	1997-06-30	PRIJEM	\N	62	14728	UROK	\N	\N
3558780	865	1997-07-31	PRIJEM	\N	67	15928	UROK	\N	\N
3558781	865	1997-08-31	PRIJEM	\N	72	17133	UROK	\N	\N
3558782	865	1997-09-30	PRIJEM	\N	77	18342	UROK	\N	\N
3558783	865	1997-10-31	PRIJEM	\N	82	19557	UROK	\N	\N
3558784	865	1997-11-30	PRIJEM	\N	87	20777	UROK	\N	\N
3558785	865	1997-12-31	PRIJEM	\N	92	22002	UROK	\N	\N
3558786	865	1998-01-31	PRIJEM	\N	96	22600	UROK	\N	\N
3558787	865	1998-02-28	PRIJEM	\N	100	23732	UROK	\N	\N
3558788	865	1998-03-31	PRIJEM	\N	105	24969	UROK	\N	\N
3558789	865	1998-04-30	PRIJEM	\N	110	26211	UROK	\N	\N
3558790	865	1998-05-31	PRIJEM	\N	115	27459	UROK	\N	\N
3558791	865	1998-06-30	PRIJEM	\N	115	26786	UROK	\N	\N
3558792	865	1998-07-31	PRIJEM	\N	117	28036	UROK	\N	\N
3558793	865	1998-08-31	PRIJEM	\N	114	26883	UROK	\N	\N
3558794	865	1998-09-30	PRIJEM	\N	114	26869	UROK	\N	\N
3558795	865	1998-10-31	PRIJEM	\N	115	27126	UROK	\N	\N
3558796	865	1998-11-30	PRIJEM	\N	105	24564	UROK	\N	\N
3558797	865	1998-12-31	PRIJEM	\N	91	21088	UROK	\N	\N
3558798	866	1993-01-31	PRIJEM	\N	37	13181	UROK	\N	\N
3558799	866	1993-02-28	PRIJEM	\N	103	31328	UROK	\N	\N
3558800	866	1993-03-31	PRIJEM	\N	166	35738	UROK	\N	\N
3558801	866	1993-04-30	PRIJEM	\N	182	43764	UROK	\N	\N
3558802	866	1993-05-31	PRIJEM	\N	196	48904	UROK	\N	\N
3558803	866	1993-06-30	PRIJEM	\N	159	27064	UROK	\N	\N
3558804	866	1993-07-31	PRIJEM	\N	131	34574	UROK	\N	\N
3558805	866	1993-08-31	PRIJEM	\N	159	41011	UROK	\N	\N
3558806	866	1993-09-30	PRIJEM	\N	175	42864	UROK	\N	\N
3558807	866	1993-10-31	PRIJEM	\N	172	43014	UROK	\N	\N
3558808	866	1993-11-30	PRIJEM	\N	159	38952	UROK	\N	\N
3558809	866	1993-12-31	PRIJEM	\N	164	40616	UROK	\N	\N
3558810	866	1994-01-31	PRIJEM	\N	140	27734	UROK	\N	\N
3558811	866	1994-02-28	PRIJEM	\N	128	34541	UROK	\N	\N
3558812	866	1994-03-31	PRIJEM	\N	145	37364	UROK	\N	\N
3558813	866	1994-04-30	PRIJEM	\N	160	39903	UROK	\N	\N
3558814	866	1994-05-31	PRIJEM	\N	175	42756	UROK	\N	\N
3558815	866	1994-06-30	PRIJEM	\N	144	37601	UROK	\N	\N
3558816	866	1994-07-31	PRIJEM	\N	142	33721	UROK	\N	\N
3558817	866	1994-08-31	PRIJEM	\N	137	33436	UROK	\N	\N
3558818	866	1994-09-30	PRIJEM	\N	150	39465	UROK	\N	\N
3558819	866	1994-10-31	PRIJEM	\N	163	42106	UROK	\N	\N
3558820	866	1994-11-30	PRIJEM	\N	168	43052	UROK	\N	\N
3558821	866	1994-12-31	PRIJEM	\N	190	49243	UROK	\N	\N
3558822	866	1995-01-31	PRIJEM	\N	170	32891	UROK	\N	\N
3558823	866	1995-02-28	PRIJEM	\N	155	40824	UROK	\N	\N
3558824	866	1995-03-31	PRIJEM	\N	173	45176	UROK	\N	\N
3558825	866	1995-04-30	PRIJEM	\N	166	43620	UROK	\N	\N
3558826	866	1995-05-31	PRIJEM	\N	160	35159	UROK	\N	\N
3558827	866	1995-06-30	PRIJEM	\N	175	28734	UROK	\N	\N
3558828	866	1995-07-31	PRIJEM	\N	135	33147	UROK	\N	\N
3558829	866	1995-08-31	PRIJEM	\N	154	36180	UROK	\N	\N
3558830	866	1995-09-30	PRIJEM	\N	166	38524	UROK	\N	\N
3558831	866	1995-10-31	PRIJEM	\N	166	39868	UROK	\N	\N
3558832	866	1995-11-30	PRIJEM	\N	181	42827	UROK	\N	\N
3558833	866	1995-12-31	PRIJEM	\N	202	43430	UROK	\N	\N
3558834	866	1996-01-31	PRIJEM	\N	168	33576	UROK	\N	\N
3558835	866	1996-02-29	PRIJEM	\N	155	38610	UROK	\N	\N
3558836	866	1996-03-31	PRIJEM	\N	171	38159	UROK	\N	\N
3558837	866	1996-04-30	PRIJEM	\N	170	38908	UROK	\N	\N
3558838	866	1996-05-31	PRIJEM	\N	172	39658	UROK	\N	\N
3558839	866	1996-06-30	PRIJEM	\N	152	34311	UROK	\N	\N
3558840	866	1996-07-31	PRIJEM	\N	159	40448	UROK	\N	\N
3558841	866	1996-08-31	PRIJEM	\N	179	42705	UROK	\N	\N
3558842	866	1996-09-30	PRIJEM	\N	186	44169	UROK	\N	\N
3558843	866	1996-10-31	PRIJEM	\N	179	41627	UROK	\N	\N
3558844	866	1996-11-30	PRIJEM	\N	179	41984	UROK	\N	\N
3558845	866	1996-12-31	PRIJEM	\N	178	40762	UROK	\N	\N
3558846	866	1997-01-31	PRIJEM	\N	145	27586	UROK	\N	\N
3558847	866	1997-02-28	PRIJEM	\N	121	29284	UROK	\N	\N
3558848	866	1997-03-31	PRIJEM	\N	122	26685	UROK	\N	\N
3558849	866	1997-04-30	PRIJEM	\N	105	27268	UROK	\N	\N
3558850	866	1997-05-31	PRIJEM	\N	114	25361	UROK	\N	\N
3558851	866	1997-06-30	PRIJEM	\N	119	28480	UROK	\N	\N
3558852	866	1997-07-31	PRIJEM	\N	127	32086	UROK	\N	\N
3558853	866	1997-08-31	PRIJEM	\N	130	30094	UROK	\N	\N
3558854	866	1997-09-30	PRIJEM	\N	131	33203	UROK	\N	\N
3558855	866	1997-10-31	PRIJEM	\N	141	33222	UROK	\N	\N
3558856	866	1997-11-30	PRIJEM	\N	129	26930	UROK	\N	\N
3558857	866	1997-12-31	PRIJEM	\N	139	38570	UROK	\N	\N
3558858	866	1998-01-31	PRIJEM	\N	131	30479	UROK	\N	\N
3558859	866	1998-02-28	PRIJEM	\N	141	38298	UROK	\N	\N
3558860	866	1998-03-31	PRIJEM	\N	175	46452	UROK	\N	\N
3558861	866	1998-04-30	PRIJEM	\N	184	43414	UROK	\N	\N
3558862	866	1998-05-31	PRIJEM	\N	179	44572	UROK	\N	\N
3558863	866	1998-06-30	PRIJEM	\N	188	40060	UROK	\N	\N
3558864	866	1998-07-31	PRIJEM	\N	185	49524	UROK	\N	\N
3558865	866	1998-08-31	PRIJEM	\N	195	48298	UROK	\N	\N
3558866	866	1998-09-30	PRIJEM	\N	187	46263	UROK	\N	\N
3558867	866	1998-10-31	PRIJEM	\N	206	47048	UROK	\N	\N
3558868	866	1998-11-30	PRIJEM	\N	198	50724	UROK	\N	\N
3558869	866	1998-12-31	PRIJEM	\N	230	60554	UROK	\N	\N
3558870	867	1997-12-31	PRIJEM	\N	201	51441	UROK	\N	\N
3558871	867	1998-01-31	PRIJEM	\N	238	67927	UROK	\N	\N
3558872	867	1998-02-28	PRIJEM	\N	279	61244	UROK	\N	\N
3558873	867	1998-03-31	PRIJEM	\N	203	36881	UROK	\N	\N
3558874	867	1998-04-30	PRIJEM	\N	135	32017	UROK	\N	\N
3558875	867	1998-05-31	PRIJEM	\N	184	70477	UROK	\N	\N
3558876	867	1998-06-30	PRIJEM	\N	266	71453	UROK	\N	\N
3558877	867	1998-07-31	PRIJEM	\N	107	18436	UROK	\N	\N
3558878	867	1998-08-31	PRIJEM	\N	20	-502	UROK	\N	\N
3558879	867	1998-08-31	VYDAJ	VYBER	4	-506	SANKC. UROK	\N	\N
3558880	867	1998-09-30	VYDAJ	VYBER	6	-931	SANKC. UROK	\N	\N
3558881	867	1998-10-31	PRIJEM	\N	7	17807	UROK	\N	\N
3558882	867	1998-10-31	VYDAJ	VYBER	9	17798	SANKC. UROK	\N	\N
3558883	867	1998-11-30	PRIJEM	\N	20	-1240	UROK	\N	\N
3558884	867	1998-11-30	VYDAJ	VYBER	10	-1264	SANKC. UROK	\N	\N
3558885	867	1998-12-31	PRIJEM	\N	70	22615	UROK	\N	\N
3558886	867	1998-12-31	VYDAJ	VYBER	3	22612	SANKC. UROK	\N	\N
3558887	868	1997-06-30	PRIJEM	\N	18	21025	UROK	\N	\N
3558888	868	1997-07-31	PRIJEM	\N	93	26355	UROK	\N	\N
3558889	868	1997-08-31	PRIJEM	\N	110	26803	UROK	\N	\N
3558890	868	1997-09-30	PRIJEM	\N	110	26051	UROK	\N	\N
3558891	868	1997-10-31	PRIJEM	\N	112	20943	UROK	\N	\N
3558892	868	1997-11-30	PRIJEM	\N	87	13895	UROK	\N	\N
3558893	868	1997-12-31	PRIJEM	\N	75	15404	UROK	\N	\N
3558894	868	1998-01-31	PRIJEM	\N	68	13377	UROK	\N	\N
3558895	868	1998-02-28	PRIJEM	\N	57	11299	UROK	\N	\N
3558896	868	1998-03-31	PRIJEM	\N	60	13924	UROK	\N	\N
3558897	868	1998-04-30	PRIJEM	\N	66	17156	UROK	\N	\N
3558898	868	1998-05-31	PRIJEM	\N	88	20410	UROK	\N	\N
3558899	868	1998-06-30	PRIJEM	\N	88	14732	UROK	\N	\N
3558900	868	1998-07-31	PRIJEM	\N	78	17975	UROK	\N	\N
3558901	868	1998-08-31	PRIJEM	\N	91	21232	UROK	\N	\N
3558902	868	1998-09-30	PRIJEM	\N	104	24502	UROK	\N	\N
3558903	868	1998-10-31	PRIJEM	\N	85	13052	UROK	\N	\N
3558904	868	1998-11-30	PRIJEM	\N	70	16288	UROK	\N	\N
3558905	868	1998-12-31	PRIJEM	\N	90	22712	UROK	\N	\N
3558906	870	1995-04-30	PRIJEM	\N	10	14854	UROK	\N	\N
3558907	870	1995-05-31	PRIJEM	\N	67	21165	UROK	\N	\N
3558908	870	1995-06-30	PRIJEM	\N	93	26724	UROK	\N	\N
3558909	870	1995-07-31	PRIJEM	\N	110	25778	UROK	\N	\N
3558910	870	1995-08-31	PRIJEM	\N	114	26473	UROK	\N	\N
3558911	870	1995-09-30	PRIJEM	\N	116	27057	UROK	\N	\N
3558912	870	1995-10-31	PRIJEM	\N	105	22909	UROK	\N	\N
3558913	870	1995-11-30	PRIJEM	\N	104	25880	UROK	\N	\N
3558914	870	1995-12-31	PRIJEM	\N	128	27298	UROK	\N	\N
3558915	870	1996-01-31	PRIJEM	\N	99	15384	UROK	\N	\N
3558916	870	1996-02-29	PRIJEM	\N	75	19626	UROK	\N	\N
3558917	870	1996-03-31	PRIJEM	\N	94	24887	UROK	\N	\N
3558918	870	1996-04-30	PRIJEM	\N	113	28468	UROK	\N	\N
3558919	870	1996-05-31	PRIJEM	\N	116	22811	UROK	\N	\N
3558920	870	1996-06-30	PRIJEM	\N	110	24630	UROK	\N	\N
3558921	870	1996-07-31	PRIJEM	\N	108	25505	UROK	\N	\N
3558922	870	1996-08-31	PRIJEM	\N	106	23779	UROK	\N	\N
3558923	870	1996-09-30	PRIJEM	\N	100	23427	UROK	\N	\N
3558924	870	1996-10-31	PRIJEM	\N	99	22793	UROK	\N	\N
3558925	870	1996-11-30	PRIJEM	\N	94	21155	UROK	\N	\N
3558926	870	1996-12-31	PRIJEM	\N	91	19055	UROK	\N	\N
3558927	870	1997-01-31	PRIJEM	\N	69	14332	UROK	\N	\N
3558928	870	1997-02-28	PRIJEM	\N	72	18771	UROK	\N	\N
3558929	870	1997-03-31	PRIJEM	\N	76	16714	UROK	\N	\N
3558930	870	1997-04-30	PRIJEM	\N	64	13246	UROK	\N	\N
3558931	870	1997-05-31	PRIJEM	\N	63	15676	UROK	\N	\N
3558932	870	1997-06-30	PRIJEM	\N	85	21610	UROK	\N	\N
3558933	870	1997-07-31	PRIJEM	\N	88	20546	UROK	\N	\N
3558934	870	1997-08-31	PRIJEM	\N	93	22806	UROK	\N	\N
3558935	870	1997-09-30	PRIJEM	\N	98	23571	UROK	\N	\N
3558936	870	1997-10-31	PRIJEM	\N	102	24741	UROK	\N	\N
3558937	870	1997-11-30	PRIJEM	\N	100	23408	UROK	\N	\N
3558938	870	1997-12-31	PRIJEM	\N	103	22340	UROK	\N	\N
3558939	870	1998-01-31	PRIJEM	\N	79	13887	UROK	\N	\N
3558940	870	1998-02-28	PRIJEM	\N	76	19930	UROK	\N	\N
3558941	870	1998-03-31	PRIJEM	\N	82	19279	UROK	\N	\N
3558942	870	1998-04-30	PRIJEM	\N	80	19026	UROK	\N	\N
3558943	870	1998-05-31	PRIJEM	\N	68	15362	UROK	\N	\N
3558944	870	1998-06-30	PRIJEM	\N	74	18326	UROK	\N	\N
3558945	870	1998-07-31	PRIJEM	\N	61	13454	UROK	\N	\N
3558946	870	1998-08-31	PRIJEM	\N	63	15784	UROK	\N	\N
3558947	870	1998-09-30	PRIJEM	\N	72	18124	UROK	\N	\N
3558948	870	1998-10-31	PRIJEM	\N	82	20473	UROK	\N	\N
3558949	870	1998-11-30	PRIJEM	\N	82	19823	UROK	\N	\N
3558950	870	1998-12-31	PRIJEM	\N	96	21328	UROK	\N	\N
3558951	871	1996-09-30	PRIJEM	\N	70	25347	UROK	\N	\N
3558952	871	1996-10-31	PRIJEM	\N	172	48896	UROK	\N	\N
3558953	871	1996-11-30	PRIJEM	\N	230	58603	UROK	\N	\N
3558954	871	1996-12-31	PRIJEM	\N	287	75355	UROK	\N	\N
3558955	871	1997-01-31	PRIJEM	\N	251	44394	UROK	\N	\N
3558956	871	1997-02-28	PRIJEM	\N	232	63101	UROK	\N	\N
3558957	871	1997-03-31	PRIJEM	\N	246	58041	UROK	\N	\N
3558958	871	1997-04-30	PRIJEM	\N	202	56638	UROK	\N	\N
3558959	871	1997-05-31	PRIJEM	\N	209	43341	UROK	\N	\N
3558960	871	1997-06-30	PRIJEM	\N	250	46074	UROK	\N	\N
3558961	871	1997-07-31	PRIJEM	\N	236	42804	UROK	\N	\N
3558962	871	1997-08-31	PRIJEM	\N	217	41615	UROK	\N	\N
3558963	871	1997-09-30	PRIJEM	\N	217	46426	UROK	\N	\N
3558964	871	1997-10-31	PRIJEM	\N	235	49056	UROK	\N	\N
3558965	871	1997-11-30	PRIJEM	\N	240	46090	UROK	\N	\N
3558966	871	1997-12-31	PRIJEM	\N	257	49790	UROK	\N	\N
3558967	871	1998-01-31	PRIJEM	\N	226	41451	UROK	\N	\N
3558968	871	1998-02-28	PRIJEM	\N	203	35849	UROK	\N	\N
3558969	871	1998-03-31	PRIJEM	\N	172	28475	UROK	\N	\N
3558970	871	1998-04-30	PRIJEM	\N	147	23116	UROK	\N	\N
3558971	871	1998-05-31	PRIJEM	\N	134	27145	UROK	\N	\N
3558972	871	1998-06-30	PRIJEM	\N	174	34901	UROK	\N	\N
3558973	871	1998-07-31	PRIJEM	\N	170	29266	UROK	\N	\N
3558974	871	1998-08-31	PRIJEM	\N	143	26623	UROK	\N	\N
3558975	871	1998-09-30	PRIJEM	\N	139	28357	UROK	\N	\N
3558976	871	1998-10-31	PRIJEM	\N	137	23588	UROK	\N	\N
3558977	871	1998-11-30	PRIJEM	\N	118	21001	UROK	\N	\N
3558978	871	1998-12-31	PRIJEM	\N	119	18623	UROK	\N	\N
3558979	872	1997-02-28	PRIJEM	\N	25	14269	UROK	\N	\N
3558980	872	1997-03-31	PRIJEM	\N	80	26093	UROK	\N	\N
3558981	872	1997-04-30	PRIJEM	\N	116	30554	UROK	\N	\N
3558982	872	1997-05-31	PRIJEM	\N	123	28721	UROK	\N	\N
3558983	872	1997-06-30	PRIJEM	\N	129	33566	UROK	\N	\N
3558984	872	1997-07-31	PRIJEM	\N	145	35878	UROK	\N	\N
3558985	872	1997-08-31	PRIJEM	\N	152	36797	UROK	\N	\N
3558986	872	1997-09-30	PRIJEM	\N	157	38422	UROK	\N	\N
3558987	872	1997-10-31	PRIJEM	\N	161	38851	UROK	\N	\N
3558988	872	1997-11-30	PRIJEM	\N	161	38278	UROK	\N	\N
3558989	872	1997-12-31	PRIJEM	\N	162	35820	UROK	\N	\N
3558990	872	1998-01-31	PRIJEM	\N	115	28682	UROK	\N	\N
3558991	872	1998-02-28	PRIJEM	\N	124	35773	UROK	\N	\N
3558992	872	1998-03-31	PRIJEM	\N	169	41829	UROK	\N	\N
3558993	872	1998-04-30	PRIJEM	\N	186	46582	UROK	\N	\N
3558994	872	1998-05-31	PRIJEM	\N	207	52156	UROK	\N	\N
3558995	872	1998-06-30	PRIJEM	\N	223	42239	UROK	\N	\N
3558996	872	1998-07-31	PRIJEM	\N	188	44014	UROK	\N	\N
3558997	872	1998-08-31	PRIJEM	\N	198	49780	UROK	\N	\N
3558998	872	1998-09-30	PRIJEM	\N	200	47367	UROK	\N	\N
3558999	872	1998-10-31	PRIJEM	\N	191	45926	UROK	\N	\N
3559000	872	1998-11-30	PRIJEM	\N	179	42471	UROK	\N	\N
3559001	872	1998-12-31	PRIJEM	\N	186	46337	UROK	\N	\N
3559002	873	1997-05-31	PRIJEM	\N	12	14456	UROK	\N	\N
3559003	873	1997-06-30	PRIJEM	\N	69	24640	UROK	\N	\N
3559004	873	1997-07-31	PRIJEM	\N	110	32194	UROK	\N	\N
3559005	873	1997-08-31	PRIJEM	\N	134	32372	UROK	\N	\N
3559006	873	1997-09-30	PRIJEM	\N	143	31481	UROK	\N	\N
3559007	873	1997-10-31	PRIJEM	\N	124	27605	UROK	\N	\N
3559008	873	1997-11-30	PRIJEM	\N	109	23115	UROK	\N	\N
3559009	873	1997-12-31	PRIJEM	\N	67	18254	UROK	\N	\N
3559010	873	1998-01-31	PRIJEM	\N	62	17397	UROK	\N	\N
3559011	873	1998-02-28	PRIJEM	\N	72	19469	UROK	\N	\N
3559012	873	1998-03-31	PRIJEM	\N	61	15075	UROK	\N	\N
3559013	873	1998-04-30	PRIJEM	\N	62	15963	UROK	\N	\N
3559014	873	1998-05-31	PRIJEM	\N	64	14093	UROK	\N	\N
3559015	873	1998-06-30	PRIJEM	\N	63	15853	UROK	\N	\N
3559016	873	1998-07-31	PRIJEM	\N	61	14039	UROK	\N	\N
3559017	873	1998-08-31	PRIJEM	\N	56	14021	UROK	\N	\N
3559018	873	1998-09-30	PRIJEM	\N	60	16507	UROK	\N	\N
3559019	873	1998-10-31	PRIJEM	\N	61	13233	UROK	\N	\N
3559020	873	1998-11-30	PRIJEM	\N	56	14614	UROK	\N	\N
3559021	873	1998-12-31	PRIJEM	\N	61	13353	UROK	\N	\N
3559022	874	1996-04-30	PRIJEM	\N	21	16744	UROK	\N	\N
3559023	874	1996-05-31	PRIJEM	\N	83	27050	UROK	\N	\N
3559024	874	1996-06-30	PRIJEM	\N	122	34207	UROK	\N	\N
3559025	874	1996-07-31	PRIJEM	\N	143	34873	UROK	\N	\N
3559026	874	1996-08-31	PRIJEM	\N	141	32737	UROK	\N	\N
3559027	874	1996-09-30	PRIJEM	\N	94	22077	UROK	\N	\N
3559028	874	1996-10-31	PRIJEM	\N	90	22383	UROK	\N	\N
3559029	874	1996-11-30	PRIJEM	\N	99	27396	UROK	\N	\N
3559030	874	1996-12-31	PRIJEM	\N	113	22835	UROK	\N	\N
3559031	874	1997-01-31	PRIJEM	\N	85	20636	UROK	\N	\N
3559032	874	1997-02-28	PRIJEM	\N	81	21131	UROK	\N	\N
3559033	874	1997-03-31	PRIJEM	\N	85	21432	UROK	\N	\N
3559034	874	1997-04-30	PRIJEM	\N	91	19788	UROK	\N	\N
3559035	874	1997-05-31	PRIJEM	\N	85	23389	UROK	\N	\N
3559036	874	1997-06-30	PRIJEM	\N	107	29621	UROK	\N	\N
3559037	874	1997-07-31	PRIJEM	\N	120	30556	UROK	\N	\N
3559038	874	1997-08-31	PRIJEM	\N	98	20769	UROK	\N	\N
3559039	874	1997-09-30	PRIJEM	\N	88	24872	UROK	\N	\N
3559040	874	1997-10-31	PRIJEM	\N	98	25985	UROK	\N	\N
3559041	874	1997-11-30	PRIJEM	\N	112	20219	UROK	\N	\N
3559042	874	1997-12-31	PRIJEM	\N	120	34765	UROK	\N	\N
3559043	874	1998-01-31	PRIJEM	\N	87	19167	UROK	\N	\N
3559044	874	1998-02-28	PRIJEM	\N	104	33086	UROK	\N	\N
3559045	874	1998-03-31	PRIJEM	\N	150	41551	UROK	\N	\N
3559046	874	1998-04-30	PRIJEM	\N	137	28629	UROK	\N	\N
3559047	874	1998-05-31	PRIJEM	\N	133	28537	UROK	\N	\N
3559048	874	1998-06-30	PRIJEM	\N	103	20039	UROK	\N	\N
3559049	874	1998-07-31	PRIJEM	\N	106	30703	UROK	\N	\N
3559050	874	1998-08-31	PRIJEM	\N	142	39860	UROK	\N	\N
3559051	874	1998-09-30	PRIJEM	\N	135	29368	UROK	\N	\N
3559052	874	1998-10-31	PRIJEM	\N	139	39222	UROK	\N	\N
3559053	874	1998-11-30	PRIJEM	\N	123	27259	UROK	\N	\N
3559054	874	1998-12-31	PRIJEM	\N	139	42024	UROK	\N	\N
3559055	875	1995-09-30	PRIJEM	\N	58	24586	UROK	\N	\N
3559056	875	1995-10-31	PRIJEM	\N	106	25862	UROK	\N	\N
3559057	875	1995-11-30	PRIJEM	\N	98	21115	UROK	\N	\N
3559058	875	1995-12-31	PRIJEM	\N	96	22266	UROK	\N	\N
3559059	875	1996-01-31	PRIJEM	\N	93	22615	UROK	\N	\N
3559060	875	1996-02-29	PRIJEM	\N	96	23066	UROK	\N	\N
3559061	875	1996-03-31	PRIJEM	\N	104	25925	UROK	\N	\N
3559062	875	1996-04-30	PRIJEM	\N	109	23350	UROK	\N	\N
3559063	875	1996-05-31	PRIJEM	\N	103	23888	UROK	\N	\N
3559064	875	1996-06-30	PRIJEM	\N	107	26750	UROK	\N	\N
3559065	875	1996-07-31	PRIJEM	\N	119	29024	UROK	\N	\N
3559066	875	1996-08-31	PRIJEM	\N	128	31908	UROK	\N	\N
3559067	875	1996-09-30	PRIJEM	\N	132	31516	UROK	\N	\N
3559068	875	1996-10-31	PRIJEM	\N	128	28819	UROK	\N	\N
3559069	875	1996-11-30	PRIJEM	\N	125	26840	UROK	\N	\N
3559070	875	1996-12-31	PRIJEM	\N	119	29464	UROK	\N	\N
3559071	875	1997-01-31	PRIJEM	\N	125	29384	UROK	\N	\N
3559072	875	1997-02-28	PRIJEM	\N	129	32269	UROK	\N	\N
3559073	875	1997-03-31	PRIJEM	\N	139	32963	UROK	\N	\N
3559074	875	1997-04-30	PRIJEM	\N	141	31739	UROK	\N	\N
3559075	875	1997-05-31	PRIJEM	\N	139	34634	UROK	\N	\N
3559076	875	1997-06-30	PRIJEM	\N	151	37541	UROK	\N	\N
3559077	875	1997-07-31	PRIJEM	\N	160	37656	UROK	\N	\N
3559078	875	1997-08-31	PRIJEM	\N	151	35462	UROK	\N	\N
3559079	875	1997-09-30	PRIJEM	\N	156	37074	UROK	\N	\N
3559080	875	1997-10-31	PRIJEM	\N	163	38892	UROK	\N	\N
3559081	875	1997-11-30	PRIJEM	\N	147	32874	UROK	\N	\N
3559082	875	1997-12-31	PRIJEM	\N	138	29667	UROK	\N	\N
3559083	875	1998-01-31	PRIJEM	\N	130	32553	UROK	\N	\N
3559084	875	1998-02-28	PRIJEM	\N	141	34730	UROK	\N	\N
3559085	875	1998-03-31	PRIJEM	\N	151	37636	UROK	\N	\N
3559086	875	1998-04-30	PRIJEM	\N	163	40555	UROK	\N	\N
3559087	875	1998-05-31	PRIJEM	\N	176	40806	UROK	\N	\N
3559088	875	1998-06-30	PRIJEM	\N	160	36561	UROK	\N	\N
3559089	875	1998-07-31	PRIJEM	\N	153	35649	UROK	\N	\N
3559090	875	1998-08-31	PRIJEM	\N	154	37059	UROK	\N	\N
3559091	875	1998-09-30	PRIJEM	\N	159	37074	UROK	\N	\N
3559092	875	1998-10-31	PRIJEM	\N	161	39989	UROK	\N	\N
3559093	875	1998-11-30	PRIJEM	\N	173	42917	UROK	\N	\N
3559094	875	1998-12-31	PRIJEM	\N	183	43025	UROK	\N	\N
3559095	876	1997-12-31	PRIJEM	\N	12	13086	UROK	\N	\N
3559096	876	1998-01-31	PRIJEM	\N	56	14930	UROK	\N	\N
3559097	876	1998-02-28	PRIJEM	\N	64	16680	UROK	\N	\N
3559098	876	1998-03-31	PRIJEM	\N	68	15736	UROK	\N	\N
3559099	876	1998-04-30	PRIJEM	\N	67	11479	UROK	\N	\N
3559100	876	1998-05-31	PRIJEM	\N	56	13911	UROK	\N	\N
3559101	876	1998-06-30	PRIJEM	\N	62	12950	UROK	\N	\N
3559102	876	1998-07-31	PRIJEM	\N	61	14027	UROK	\N	\N
3559103	876	1998-08-31	PRIJEM	\N	66	16470	UROK	\N	\N
3559104	876	1998-09-30	PRIJEM	\N	66	11012	UROK	\N	\N
3559105	876	1998-10-31	PRIJEM	\N	54	13442	UROK	\N	\N
3559106	876	1998-11-30	PRIJEM	\N	64	15882	UROK	\N	\N
3559107	876	1998-12-31	PRIJEM	\N	62	11371	UROK	\N	\N
3559108	877	1996-06-30	PRIJEM	\N	8	18672	UROK	\N	\N
3559109	877	1996-07-31	PRIJEM	\N	81	25297	UROK	\N	\N
3559110	877	1996-08-31	PRIJEM	\N	106	26245	UROK	\N	\N
3559111	877	1996-09-30	PRIJEM	\N	108	25497	UROK	\N	\N
3559112	877	1996-10-31	PRIJEM	\N	113	28625	UROK	\N	\N
3559113	877	1996-11-30	PRIJEM	\N	130	31655	UROK	\N	\N
3559114	877	1996-12-31	PRIJEM	\N	135	31992	UROK	\N	\N
3559115	877	1997-01-31	PRIJEM	\N	121	15373	UROK	\N	\N
3559116	877	1997-02-28	PRIJEM	\N	78	20751	UROK	\N	\N
3559117	877	1997-03-31	PRIJEM	\N	97	23048	UROK	\N	\N
3559118	877	1997-04-30	PRIJEM	\N	98	20727	UROK	\N	\N
3559119	877	1997-05-31	PRIJEM	\N	100	25727	UROK	\N	\N
3559120	877	1997-06-30	PRIJEM	\N	123	31072	UROK	\N	\N
3559121	877	1997-07-31	PRIJEM	\N	133	30905	UROK	\N	\N
3559122	877	1997-08-31	PRIJEM	\N	135	30041	UROK	\N	\N
3559123	877	1997-09-30	PRIJEM	\N	135	31776	UROK	\N	\N
3559124	877	1997-10-31	PRIJEM	\N	142	34519	UROK	\N	\N
3559125	877	1997-11-30	PRIJEM	\N	151	33110	UROK	\N	\N
3559126	877	1997-12-31	PRIJEM	\N	144	36136	UROK	\N	\N
3559127	877	1998-01-31	PRIJEM	\N	148	36885	UROK	\N	\N
3559128	877	1998-02-28	PRIJEM	\N	152	35197	UROK	\N	\N
3559129	877	1998-03-31	PRIJEM	\N	150	40287	UROK	\N	\N
3559130	877	1998-04-30	PRIJEM	\N	180	43867	UROK	\N	\N
3559131	877	1998-05-31	PRIJEM	\N	189	45157	UROK	\N	\N
3559132	877	1998-06-30	PRIJEM	\N	188	42427	UROK	\N	\N
3559133	877	1998-07-31	PRIJEM	\N	186	43133	UROK	\N	\N
3559134	877	1998-08-31	PRIJEM	\N	190	47744	UROK	\N	\N
3559135	877	1998-09-30	PRIJEM	\N	205	50350	UROK	\N	\N
3559136	877	1998-10-31	PRIJEM	\N	203	43953	UROK	\N	\N
3559137	877	1998-11-30	PRIJEM	\N	195	48048	UROK	\N	\N
3559138	877	1998-12-31	PRIJEM	\N	200	42870	UROK	\N	\N
3559139	878	1996-07-31	PRIJEM	\N	10	24426	UROK	\N	\N
3559140	878	1996-08-31	PRIJEM	\N	107	34449	UROK	\N	\N
3559141	878	1996-09-30	PRIJEM	\N	147	42012	UROK	\N	\N
3559142	878	1996-10-31	PRIJEM	\N	176	44504	UROK	\N	\N
3559143	878	1996-11-30	PRIJEM	\N	184	43704	UROK	\N	\N
3559144	878	1996-12-31	PRIJEM	\N	254	44424	UROK	\N	\N
3559145	878	1997-01-31	PRIJEM	\N	219	36379	UROK	\N	\N
3559146	878	1997-02-28	PRIJEM	\N	179	30500	UROK	\N	\N
3559147	878	1997-03-31	PRIJEM	\N	178	35737	UROK	\N	\N
3559148	878	1997-04-30	PRIJEM	\N	186	37881	UROK	\N	\N
3559149	878	1997-05-31	PRIJEM	\N	204	39643	UROK	\N	\N
3559150	878	1997-06-30	PRIJEM	\N	162	29095	UROK	\N	\N
3559151	878	1997-07-31	PRIJEM	\N	172	37452	UROK	\N	\N
3559152	878	1997-08-31	PRIJEM	\N	191	43501	UROK	\N	\N
3559153	878	1997-09-30	PRIJEM	\N	222	46382	UROK	\N	\N
3559154	878	1997-10-31	PRIJEM	\N	172	28461	UROK	\N	\N
3559155	878	1997-11-30	PRIJEM	\N	169	35424	UROK	\N	\N
3559156	878	1997-12-31	PRIJEM	\N	183	31133	UROK	\N	\N
3559157	878	1998-01-31	PRIJEM	\N	137	32399	UROK	\N	\N
3559158	878	1998-02-28	PRIJEM	\N	186	46643	UROK	\N	\N
3559159	878	1998-03-31	PRIJEM	\N	186	39893	UROK	\N	\N
3559160	878	1998-04-30	PRIJEM	\N	188	27436	UROK	\N	\N
3559161	878	1998-05-31	PRIJEM	\N	157	41952	UROK	\N	\N
3559162	878	1998-06-30	PRIJEM	\N	238	41290	UROK	\N	\N
3559163	878	1998-07-31	PRIJEM	\N	214	52457	UROK	\N	\N
3559164	878	1998-08-31	PRIJEM	\N	186	30429	UROK	\N	\N
3559165	878	1998-09-30	PRIJEM	\N	176	43763	UROK	\N	\N
3559166	878	1998-10-31	PRIJEM	\N	194	43263	UROK	\N	\N
3559167	878	1998-11-30	PRIJEM	\N	200	37421	UROK	\N	\N
3559168	878	1998-12-31	PRIJEM	\N	234	61022	UROK	\N	\N
3559169	879	1997-06-30	PRIJEM	\N	11	3652	UROK	\N	\N
3559170	879	1997-07-31	PRIJEM	\N	15	6808	UROK	\N	\N
3559171	879	1997-08-31	PRIJEM	\N	15	9964	UROK	\N	\N
3559172	879	1997-09-30	PRIJEM	\N	15	13120	UROK	\N	\N
3559173	879	1997-10-31	PRIJEM	\N	47	14988	UROK	\N	\N
3559174	879	1997-11-30	PRIJEM	\N	62	15032	UROK	\N	\N
3559175	879	1997-12-31	PRIJEM	\N	65	15469	UROK	\N	\N
3559176	879	1998-01-31	PRIJEM	\N	52	10674	UROK	\N	\N
3559177	879	1998-02-28	PRIJEM	\N	47	11754	UROK	\N	\N
3559178	879	1998-03-31	PRIJEM	\N	52	12838	UROK	\N	\N
3559179	879	1998-04-30	PRIJEM	\N	57	13927	UROK	\N	\N
3559180	879	1998-05-31	PRIJEM	\N	61	15020	UROK	\N	\N
3559181	879	1998-06-30	PRIJEM	\N	61	14344	UROK	\N	\N
3559182	879	1998-07-31	PRIJEM	\N	60	14176	UROK	\N	\N
3559183	879	1998-08-31	PRIJEM	\N	62	15270	UROK	\N	\N
3559184	879	1998-09-30	PRIJEM	\N	67	16369	UROK	\N	\N
3559185	879	1998-10-31	PRIJEM	\N	71	17142	UROK	\N	\N
3559186	879	1998-11-30	PRIJEM	\N	71	16266	UROK	\N	\N
3559187	879	1998-12-31	PRIJEM	\N	66	15984	UROK	\N	\N
3559188	880	1997-01-31	PRIJEM	\N	94	29095	UROK	\N	\N
3559189	880	1997-02-28	PRIJEM	\N	165	43260	UROK	\N	\N
3559190	880	1997-03-31	PRIJEM	\N	235	42396	UROK	\N	\N
3559191	880	1997-04-30	PRIJEM	\N	226	52723	UROK	\N	\N
3559192	880	1997-05-31	PRIJEM	\N	218	52202	UROK	\N	\N
3559193	880	1997-06-30	PRIJEM	\N	238	54237	UROK	\N	\N
3559194	880	1997-07-31	PRIJEM	\N	158	22977	UROK	\N	\N
3559195	880	1997-08-31	PRIJEM	\N	152	40576	UROK	\N	\N
3559196	880	1997-09-30	PRIJEM	\N	195	38518	UROK	\N	\N
3559197	880	1997-10-31	PRIJEM	\N	166	33252	UROK	\N	\N
3559198	880	1997-11-30	PRIJEM	\N	170	43068	UROK	\N	\N
3559199	880	1997-12-31	PRIJEM	\N	199	48864	UROK	\N	\N
3559200	880	1998-01-31	PRIJEM	\N	99	18210	UROK	\N	\N
3559201	880	1998-02-28	PRIJEM	\N	132	36087	UROK	\N	\N
3559202	880	1998-03-31	PRIJEM	\N	137	21809	UROK	\N	\N
3559203	880	1998-04-30	PRIJEM	\N	134	34689	UROK	\N	\N
3559204	880	1998-05-31	PRIJEM	\N	171	43207	UROK	\N	\N
3559205	880	1998-06-30	PRIJEM	\N	230	59134	UROK	\N	\N
3559206	880	1998-07-31	PRIJEM	\N	239	57719	UROK	\N	\N
3559207	880	1998-08-31	PRIJEM	\N	197	38062	UROK	\N	\N
3559208	880	1998-09-30	PRIJEM	\N	191	37900	UROK	\N	\N
3559209	880	1998-10-31	PRIJEM	\N	192	44338	UROK	\N	\N
3559210	880	1998-11-30	PRIJEM	\N	215	45999	UROK	\N	\N
3559211	880	1998-12-31	PRIJEM	\N	193	35210	UROK	\N	\N
3559277	882	1993-03-31	PRIJEM	\N	35	11922	UROK	\N	\N
3559278	882	1993-04-30	PRIJEM	\N	100	29209	UROK	\N	\N
3559279	882	1993-05-31	PRIJEM	\N	142	36138	UROK	\N	\N
3559280	882	1993-06-30	PRIJEM	\N	189	49407	UROK	\N	\N
3559281	882	1993-07-31	PRIJEM	\N	197	44531	UROK	\N	\N
3559282	882	1993-08-31	PRIJEM	\N	173	41670	UROK	\N	\N
3559283	882	1993-09-30	PRIJEM	\N	153	37949	UROK	\N	\N
3559284	882	1993-10-31	PRIJEM	\N	167	41783	UROK	\N	\N
3559285	882	1993-11-30	PRIJEM	\N	155	32764	UROK	\N	\N
3559286	882	1993-12-31	PRIJEM	\N	166	43549	UROK	\N	\N
3559287	882	1994-01-31	PRIJEM	\N	128	26063	UROK	\N	\N
3559288	882	1994-02-28	PRIJEM	\N	132	34462	UROK	\N	\N
3559289	882	1994-03-31	PRIJEM	\N	151	38079	UROK	\N	\N
3559290	882	1994-04-30	PRIJEM	\N	151	39196	UROK	\N	\N
3559291	882	1994-05-31	PRIJEM	\N	160	33623	UROK	\N	\N
3559292	882	1994-06-30	PRIJEM	\N	171	31834	UROK	\N	\N
3559293	882	1994-07-31	PRIJEM	\N	153	31254	UROK	\N	\N
3559294	882	1994-08-31	PRIJEM	\N	135	28955	UROK	\N	\N
3559295	882	1994-09-30	PRIJEM	\N	135	27496	UROK	\N	\N
3559296	882	1994-10-31	PRIJEM	\N	116	26818	UROK	\N	\N
3559297	882	1994-11-30	PRIJEM	\N	131	28855	UROK	\N	\N
3559298	882	1994-12-31	PRIJEM	\N	141	32236	UROK	\N	\N
3559299	882	1995-01-31	PRIJEM	\N	122	20565	UROK	\N	\N
3559300	882	1995-02-28	PRIJEM	\N	107	27139	UROK	\N	\N
3559301	882	1995-03-31	PRIJEM	\N	134	32039	UROK	\N	\N
3559302	882	1995-04-30	PRIJEM	\N	145	33010	UROK	\N	\N
3559303	882	1995-05-31	PRIJEM	\N	153	34309	UROK	\N	\N
3559304	882	1995-06-30	PRIJEM	\N	117	22906	UROK	\N	\N
3559305	882	1995-07-31	PRIJEM	\N	104	25337	UROK	\N	\N
3559306	882	1995-08-31	PRIJEM	\N	123	28626	UROK	\N	\N
3559307	882	1995-09-30	PRIJEM	\N	130	27323	UROK	\N	\N
3559308	882	1995-10-31	PRIJEM	\N	124	28473	UROK	\N	\N
3559309	882	1995-11-30	PRIJEM	\N	130	28870	UROK	\N	\N
3559310	882	1995-12-31	PRIJEM	\N	145	29634	UROK	\N	\N
3559311	882	1996-01-31	PRIJEM	\N	122	19903	UROK	\N	\N
3559312	882	1996-02-29	PRIJEM	\N	87	20897	UROK	\N	\N
3559313	882	1996-03-31	PRIJEM	\N	98	22062	UROK	\N	\N
3559314	882	1996-04-30	PRIJEM	\N	98	22226	UROK	\N	\N
3559315	882	1996-05-31	PRIJEM	\N	94	20647	UROK	\N	\N
3559316	882	1996-06-30	PRIJEM	\N	102	21909	UROK	\N	\N
3559317	882	1996-07-31	PRIJEM	\N	99	25834	UROK	\N	\N
3559318	882	1996-08-31	PRIJEM	\N	99	18599	UROK	\N	\N
3559319	882	1996-09-30	PRIJEM	\N	77	15942	UROK	\N	\N
3559320	882	1996-10-31	PRIJEM	\N	89	24297	UROK	\N	\N
3559321	882	1996-11-30	PRIJEM	\N	86	15749	UROK	\N	\N
3559322	882	1996-12-31	PRIJEM	\N	104	28154	UROK	\N	\N
3559323	882	1997-01-31	PRIJEM	\N	73	13833	UROK	\N	\N
3559324	882	1997-02-28	PRIJEM	\N	77	17376	UROK	\N	\N
3559325	882	1997-03-31	PRIJEM	\N	93	24535	UROK	\N	\N
3559326	882	1997-04-30	PRIJEM	\N	114	29315	UROK	\N	\N
3559327	882	1997-05-31	PRIJEM	\N	144	37725	UROK	\N	\N
3559328	882	1997-06-30	PRIJEM	\N	106	16291	UROK	\N	\N
3559329	882	1997-07-31	PRIJEM	\N	89	24647	UROK	\N	\N
3559330	882	1997-08-31	PRIJEM	\N	124	33038	UROK	\N	\N
3559331	882	1997-09-30	PRIJEM	\N	159	41463	UROK	\N	\N
3559332	882	1997-10-31	PRIJEM	\N	194	49923	UROK	\N	\N
3559333	882	1997-11-30	PRIJEM	\N	223	17412	UROK	\N	\N
3559334	882	1997-12-31	PRIJEM	\N	108	29660	UROK	\N	\N
3559335	882	1998-01-31	PRIJEM	\N	90	18576	UROK	\N	\N
3559336	882	1998-02-28	PRIJEM	\N	97	26939	UROK	\N	\N
3559337	882	1998-03-31	PRIJEM	\N	132	35338	UROK	\N	\N
3559338	882	1998-04-30	PRIJEM	\N	167	43772	UROK	\N	\N
3559339	882	1998-05-31	PRIJEM	\N	200	46478	UROK	\N	\N
3559340	882	1998-06-30	PRIJEM	\N	200	41058	UROK	\N	\N
3559341	882	1998-07-31	PRIJEM	\N	190	46274	UROK	\N	\N
3559342	882	1998-08-31	PRIJEM	\N	212	54752	UROK	\N	\N
3559343	882	1998-09-30	PRIJEM	\N	247	63266	UROK	\N	\N
3559344	882	1998-10-31	PRIJEM	\N	283	71815	UROK	\N	\N
3559345	882	1998-11-30	PRIJEM	\N	305	71487	UROK	\N	\N
3559346	882	1998-12-31	PRIJEM	\N	329	84776	UROK	\N	\N
3559347	883	1994-01-31	PRIJEM	\N	47	22069	UROK	\N	\N
3559348	883	1994-02-28	PRIJEM	\N	115	33206	UROK	\N	\N
3559349	883	1994-03-31	PRIJEM	\N	147	37875	UROK	\N	\N
3559350	883	1994-04-30	PRIJEM	\N	164	41362	UROK	\N	\N
3559351	883	1994-05-31	PRIJEM	\N	180	43008	UROK	\N	\N
3559352	883	1994-06-30	PRIJEM	\N	169	36930	UROK	\N	\N
3559353	883	1994-07-31	PRIJEM	\N	147	34878	UROK	\N	\N
3559354	883	1994-08-31	PRIJEM	\N	143	34922	UROK	\N	\N
3559355	883	1994-09-30	PRIJEM	\N	135	31438	UROK	\N	\N
3559356	883	1994-10-31	PRIJEM	\N	126	29806	UROK	\N	\N
3559357	883	1994-11-30	PRIJEM	\N	124	31331	UROK	\N	\N
3559358	883	1994-12-31	PRIJEM	\N	124	31228	UROK	\N	\N
3559359	883	1995-01-31	PRIJEM	\N	134	27183	UROK	\N	\N
3559360	883	1995-02-28	PRIJEM	\N	118	31182	UROK	\N	\N
3559361	883	1995-03-31	PRIJEM	\N	115	27699	UROK	\N	\N
3559362	883	1995-04-30	PRIJEM	\N	136	37836	UROK	\N	\N
3559363	883	1995-05-31	PRIJEM	\N	163	42100	UROK	\N	\N
3559364	883	1995-06-30	PRIJEM	\N	192	50945	UROK	\N	\N
3559365	883	1995-07-31	PRIJEM	\N	187	45133	UROK	\N	\N
3559366	883	1995-08-31	PRIJEM	\N	159	39254	UROK	\N	\N
3559367	883	1995-09-30	PRIJEM	\N	161	41816	UROK	\N	\N
3559368	883	1995-10-31	PRIJEM	\N	158	39975	UROK	\N	\N
3559369	883	1995-11-30	PRIJEM	\N	159	40036	UROK	\N	\N
3559370	883	1995-12-31	PRIJEM	\N	186	49374	UROK	\N	\N
3559371	883	1996-01-31	PRIJEM	\N	148	31763	UROK	\N	\N
3559372	883	1996-02-29	PRIJEM	\N	128	33932	UROK	\N	\N
3559373	883	1996-03-31	PRIJEM	\N	136	36069	UROK	\N	\N
3559374	883	1996-04-30	PRIJEM	\N	133	35504	UROK	\N	\N
3559375	883	1996-05-31	PRIJEM	\N	139	37044	UROK	\N	\N
3559376	883	1996-06-30	PRIJEM	\N	131	37467	UROK	\N	\N
3559377	883	1996-07-31	PRIJEM	\N	120	31328	UROK	\N	\N
3559378	883	1996-08-31	PRIJEM	\N	124	33553	UROK	\N	\N
3559379	883	1996-09-30	PRIJEM	\N	110	29184	UROK	\N	\N
3559380	883	1996-10-31	PRIJEM	\N	125	34211	UROK	\N	\N
3559381	883	1996-11-30	PRIJEM	\N	137	37049	UROK	\N	\N
3559382	883	1996-12-31	PRIJEM	\N	163	45425	UROK	\N	\N
3559383	883	1997-01-31	PRIJEM	\N	144	31050	UROK	\N	\N
3559384	883	1997-02-28	PRIJEM	\N	142	39194	UROK	\N	\N
3559385	883	1997-03-31	PRIJEM	\N	125	32081	UROK	\N	\N
3559386	883	1997-04-30	PRIJEM	\N	136	37818	UROK	\N	\N
3559387	883	1997-05-31	PRIJEM	\N	132	29152	UROK	\N	\N
3559388	883	1997-06-30	PRIJEM	\N	147	32871	UROK	\N	\N
3559389	883	1997-07-31	PRIJEM	\N	148	33921	UROK	\N	\N
3559390	883	1997-08-31	PRIJEM	\N	150	31172	UROK	\N	\N
3559391	883	1997-09-30	PRIJEM	\N	140	33013	UROK	\N	\N
3559392	883	1997-10-31	PRIJEM	\N	138	30733	UROK	\N	\N
3559393	883	1997-11-30	PRIJEM	\N	137	32371	UROK	\N	\N
3559394	883	1997-12-31	PRIJEM	\N	146	33130	UROK	\N	\N
3559395	883	1998-01-31	PRIJEM	\N	112	20863	UROK	\N	\N
3559396	883	1998-02-28	PRIJEM	\N	95	23659	UROK	\N	\N
3559397	883	1998-03-31	PRIJEM	\N	107	25868	UROK	\N	\N
3559398	883	1998-04-30	PRIJEM	\N	118	30987	UROK	\N	\N
3559399	883	1998-05-31	PRIJEM	\N	139	35227	UROK	\N	\N
3559400	883	1998-06-30	PRIJEM	\N	164	34304	UROK	\N	\N
3559401	883	1998-07-31	PRIJEM	\N	143	30748	UROK	\N	\N
3559402	883	1998-08-31	PRIJEM	\N	124	25074	UROK	\N	\N
3559403	883	1998-09-30	PRIJEM	\N	89	22284	UROK	\N	\N
3559404	883	1998-10-31	PRIJEM	\N	101	26786	UROK	\N	\N
3559405	883	1998-11-30	PRIJEM	\N	117	29804	UROK	\N	\N
3559406	883	1998-12-31	PRIJEM	\N	138	31234	UROK	\N	\N
3559407	884	1993-12-31	PRIJEM	\N	11	3900	UROK	\N	\N
3559408	884	1994-01-31	PRIJEM	\N	14	7304	UROK	\N	\N
3559409	884	1994-02-28	PRIJEM	\N	14	10707	UROK	\N	\N
3559410	884	1994-03-31	PRIJEM	\N	14	14110	UROK	\N	\N
3559411	884	1994-04-30	PRIJEM	\N	16	17515	UROK	\N	\N
3559412	884	1994-05-31	PRIJEM	\N	77	18707	UROK	\N	\N
3559413	884	1994-06-30	PRIJEM	\N	67	15720	UROK	\N	\N
3559414	884	1994-07-31	PRIJEM	\N	69	16904	UROK	\N	\N
3559415	884	1994-08-31	PRIJEM	\N	74	18094	UROK	\N	\N
3559416	884	1994-09-30	PRIJEM	\N	76	18025	UROK	\N	\N
3559417	884	1994-10-31	PRIJEM	\N	78	19009	UROK	\N	\N
3559418	884	1994-11-30	PRIJEM	\N	81	18105	UROK	\N	\N
3559419	884	1994-12-31	PRIJEM	\N	78	18878	UROK	\N	\N
3559420	884	1995-01-31	PRIJEM	\N	77	15240	UROK	\N	\N
3559421	884	1995-02-28	PRIJEM	\N	67	16153	UROK	\N	\N
3559422	884	1995-03-31	PRIJEM	\N	71	17339	UROK	\N	\N
3559423	884	1995-04-30	PRIJEM	\N	71	16876	UROK	\N	\N
3559424	884	1995-05-31	PRIJEM	\N	74	18065	UROK	\N	\N
3559425	884	1995-06-30	PRIJEM	\N	67	15377	UROK	\N	\N
3559426	884	1995-07-31	PRIJEM	\N	68	16560	UROK	\N	\N
3559427	884	1995-08-31	PRIJEM	\N	73	17748	UROK	\N	\N
3559428	884	1995-09-30	PRIJEM	\N	78	18941	UROK	\N	\N
3559429	884	1995-10-31	PRIJEM	\N	83	20139	UROK	\N	\N
3559430	884	1995-11-30	PRIJEM	\N	87	21342	UROK	\N	\N
3559431	884	1995-12-31	PRIJEM	\N	90	21707	UROK	\N	\N
3559432	884	1996-01-31	PRIJEM	\N	78	16781	UROK	\N	\N
3559433	884	1996-02-29	PRIJEM	\N	73	17970	UROK	\N	\N
3559434	884	1996-03-31	PRIJEM	\N	78	19163	UROK	\N	\N
3559435	884	1996-04-30	PRIJEM	\N	79	19098	UROK	\N	\N
3559436	884	1996-05-31	PRIJEM	\N	83	20296	UROK	\N	\N
3559437	884	1996-06-30	PRIJEM	\N	85	18617	UROK	\N	\N
3559438	884	1996-07-31	PRIJEM	\N	81	19813	UROK	\N	\N
3559439	884	1996-08-31	PRIJEM	\N	86	21014	UROK	\N	\N
3559440	884	1996-09-30	PRIJEM	\N	91	22220	UROK	\N	\N
3559441	884	1996-10-31	PRIJEM	\N	96	23431	UROK	\N	\N
3559442	884	1996-11-30	PRIJEM	\N	100	23597	UROK	\N	\N
3559443	884	1996-12-31	PRIJEM	\N	101	24573	UROK	\N	\N
3559444	884	1997-01-31	PRIJEM	\N	99	22398	UROK	\N	\N
3559445	884	1997-02-28	PRIJEM	\N	96	23609	UROK	\N	\N
3559446	884	1997-03-31	PRIJEM	\N	101	24826	UROK	\N	\N
3559447	884	1997-04-30	PRIJEM	\N	106	25848	UROK	\N	\N
3559448	884	1997-05-31	PRIJEM	\N	111	27074	UROK	\N	\N
3559449	884	1997-06-30	PRIJEM	\N	104	23103	UROK	\N	\N
3559450	884	1997-07-31	PRIJEM	\N	99	24317	UROK	\N	\N
3559451	884	1997-08-31	PRIJEM	\N	104	25537	UROK	\N	\N
3559452	884	1997-09-30	PRIJEM	\N	108	26260	UROK	\N	\N
3559453	884	1997-10-31	PRIJEM	\N	112	27488	UROK	\N	\N
3559454	884	1997-11-30	PRIJEM	\N	113	26616	UROK	\N	\N
3559455	884	1997-12-31	PRIJEM	\N	113	27604	UROK	\N	\N
3559456	884	1998-01-31	PRIJEM	\N	103	24172	UROK	\N	\N
3559457	884	1998-02-28	PRIJEM	\N	103	25391	UROK	\N	\N
3559458	884	1998-03-31	PRIJEM	\N	108	26614	UROK	\N	\N
3559459	884	1998-04-30	PRIJEM	\N	113	27843	UROK	\N	\N
3559460	884	1998-05-31	PRIJEM	\N	118	28416	UROK	\N	\N
3559461	884	1998-06-30	PRIJEM	\N	117	26048	UROK	\N	\N
3559462	884	1998-07-31	PRIJEM	\N	107	26491	UROK	\N	\N
3559463	884	1998-08-31	PRIJEM	\N	111	27447	UROK	\N	\N
3559464	884	1998-09-30	PRIJEM	\N	115	28278	UROK	\N	\N
3559465	884	1998-10-31	PRIJEM	\N	109	24541	UROK	\N	\N
3559466	884	1998-11-30	PRIJEM	\N	91	21108	UROK	\N	\N
3559467	884	1998-12-31	PRIJEM	\N	85	20748	UROK	\N	\N
3559468	885	1993-07-31	PRIJEM	\N	23	24261	UROK	\N	\N
3559469	885	1993-08-31	PRIJEM	\N	115	37414	UROK	\N	\N
3559470	885	1993-09-30	PRIJEM	\N	158	39510	UROK	\N	\N
3559471	885	1993-10-31	PRIJEM	\N	166	41013	UROK	\N	\N
3559472	885	1993-11-30	PRIJEM	\N	207	42267	UROK	\N	\N
3559473	885	1993-12-31	PRIJEM	\N	236	47153	UROK	\N	\N
3559474	885	1994-01-31	PRIJEM	\N	209	40993	UROK	\N	\N
3559475	885	1994-02-28	PRIJEM	\N	206	42930	UROK	\N	\N
3559476	885	1994-03-31	PRIJEM	\N	211	39572	UROK	\N	\N
3559477	885	1994-04-30	PRIJEM	\N	203	43406	UROK	\N	\N
3559478	885	1994-05-31	PRIJEM	\N	215	45253	UROK	\N	\N
3559479	885	1994-06-30	PRIJEM	\N	234	32637	UROK	\N	\N
3559480	885	1994-07-31	PRIJEM	\N	176	39444	UROK	\N	\N
3559481	885	1994-08-31	PRIJEM	\N	191	41067	UROK	\N	\N
3559482	885	1994-09-30	PRIJEM	\N	200	43098	UROK	\N	\N
3559483	885	1994-10-31	PRIJEM	\N	203	43032	UROK	\N	\N
3559484	885	1994-11-30	PRIJEM	\N	202	43065	UROK	\N	\N
3559485	885	1994-12-31	PRIJEM	\N	219	46535	UROK	\N	\N
3559486	885	1995-01-31	PRIJEM	\N	195	33261	UROK	\N	\N
3559487	885	1995-02-28	PRIJEM	\N	177	42668	UROK	\N	\N
3559488	885	1995-03-31	PRIJEM	\N	207	46807	UROK	\N	\N
3559489	885	1995-04-30	PRIJEM	\N	219	48857	UROK	\N	\N
3559490	885	1995-05-31	PRIJEM	\N	224	49612	UROK	\N	\N
3559491	885	1995-06-30	PRIJEM	\N	235	40397	UROK	\N	\N
3559492	885	1995-07-31	PRIJEM	\N	189	42217	UROK	\N	\N
3559493	885	1995-08-31	PRIJEM	\N	187	41336	UROK	\N	\N
3559494	885	1995-09-30	PRIJEM	\N	195	45863	UROK	\N	\N
3559495	885	1995-10-31	PRIJEM	\N	199	44693	UROK	\N	\N
3559496	885	1995-11-30	PRIJEM	\N	207	49131	UROK	\N	\N
3559497	885	1995-12-31	PRIJEM	\N	222	49303	UROK	\N	\N
3559498	885	1996-01-31	PRIJEM	\N	196	39430	UROK	\N	\N
3559499	885	1996-02-29	PRIJEM	\N	218	45580	UROK	\N	\N
3559500	885	1996-03-31	PRIJEM	\N	200	47111	UROK	\N	\N
3559501	885	1996-04-30	PRIJEM	\N	197	45739	UROK	\N	\N
3559502	885	1996-05-31	PRIJEM	\N	203	48873	UROK	\N	\N
3559503	885	1996-06-30	PRIJEM	\N	212	50136	UROK	\N	\N
3559504	885	1996-07-31	PRIJEM	\N	204	47972	UROK	\N	\N
3559505	885	1996-08-31	PRIJEM	\N	200	45603	UROK	\N	\N
3559506	885	1996-09-30	PRIJEM	\N	193	46327	UROK	\N	\N
3559507	885	1996-10-31	PRIJEM	\N	193	45452	UROK	\N	\N
3559508	885	1996-11-30	PRIJEM	\N	236	60219	UROK	\N	\N
3559509	885	1996-12-31	PRIJEM	\N	311	77981	UROK	\N	\N
3559510	885	1997-01-31	PRIJEM	\N	303	68816	UROK	\N	\N
3559511	885	1997-02-28	PRIJEM	\N	307	75754	UROK	\N	\N
3559512	885	1997-03-31	PRIJEM	\N	308	74393	UROK	\N	\N
3559513	885	1997-04-30	PRIJEM	\N	310	75435	UROK	\N	\N
3559514	885	1997-05-31	PRIJEM	\N	304	73471	UROK	\N	\N
3559515	885	1997-06-30	PRIJEM	\N	331	78852	UROK	\N	\N
3559516	885	1997-07-31	PRIJEM	\N	318	76801	UROK	\N	\N
3559517	885	1997-08-31	PRIJEM	\N	321	78254	UROK	\N	\N
3559518	885	1997-09-30	PRIJEM	\N	322	78308	UROK	\N	\N
3559519	885	1997-10-31	PRIJEM	\N	339	83478	UROK	\N	\N
3559520	885	1997-11-30	PRIJEM	\N	342	82652	UROK	\N	\N
3559521	885	1997-12-31	PRIJEM	\N	389	97391	UROK	\N	\N
3559522	885	1998-01-31	PRIJEM	\N	368	69990	UROK	\N	\N
3559523	885	1998-02-28	PRIJEM	\N	343	88064	UROK	\N	\N
3559524	885	1998-03-31	PRIJEM	\N	351	83946	UROK	\N	\N
3559525	885	1998-04-30	PRIJEM	\N	341	87918	UROK	\N	\N
3559526	885	1998-05-31	PRIJEM	\N	334	68483	UROK	\N	\N
3559527	885	1998-06-30	PRIJEM	\N	343	73077	UROK	\N	\N
3559528	885	1998-07-31	PRIJEM	\N	350	76858	UROK	\N	\N
3559529	885	1998-08-31	PRIJEM	\N	365	80254	UROK	\N	\N
3559530	885	1998-09-30	PRIJEM	\N	373	82059	UROK	\N	\N
3559531	885	1998-10-31	PRIJEM	\N	383	84573	UROK	\N	\N
3559532	885	1998-11-30	PRIJEM	\N	390	84295	UROK	\N	\N
3559533	885	1998-12-31	PRIJEM	\N	416	88361	UROK	\N	\N
3559534	886	1993-07-31	PRIJEM	\N	29	23998	UROK	\N	\N
3559535	886	1993-08-31	PRIJEM	\N	112	33379	UROK	\N	\N
3559536	886	1993-09-30	PRIJEM	\N	148	40196	UROK	\N	\N
3559537	886	1993-10-31	PRIJEM	\N	168	40633	UROK	\N	\N
3559538	886	1993-11-30	PRIJEM	\N	169	32037	UROK	\N	\N
3559539	886	1993-12-31	PRIJEM	\N	165	38557	UROK	\N	\N
3559540	886	1994-01-31	PRIJEM	\N	158	27936	UROK	\N	\N
3559541	886	1994-02-28	PRIJEM	\N	127	29483	UROK	\N	\N
3559542	886	1994-03-31	PRIJEM	\N	133	29937	UROK	\N	\N
3559543	886	1994-04-30	PRIJEM	\N	135	30893	UROK	\N	\N
3559544	886	1994-05-31	PRIJEM	\N	144	34958	UROK	\N	\N
3559545	886	1994-06-30	PRIJEM	\N	161	33873	UROK	\N	\N
3559546	886	1994-07-31	PRIJEM	\N	146	32640	UROK	\N	\N
3559547	886	1994-08-31	PRIJEM	\N	145	34005	UROK	\N	\N
3559548	886	1994-09-30	PRIJEM	\N	151	36076	UROK	\N	\N
3559549	886	1994-10-31	PRIJEM	\N	158	36654	UROK	\N	\N
3559550	886	1994-11-30	PRIJEM	\N	158	36532	UROK	\N	\N
3559551	886	1994-12-31	PRIJEM	\N	182	43969	UROK	\N	\N
3559552	886	1995-01-31	PRIJEM	\N	171	38160	UROK	\N	\N
3559553	886	1995-02-28	PRIJEM	\N	173	43653	UROK	\N	\N
3559554	886	1995-03-31	PRIJEM	\N	186	40960	UROK	\N	\N
3559555	886	1995-04-30	PRIJEM	\N	178	43258	UROK	\N	\N
3559556	886	1995-05-31	PRIJEM	\N	193	46271	UROK	\N	\N
3559557	886	1995-06-30	PRIJEM	\N	189	41616	UROK	\N	\N
3559558	886	1995-07-31	PRIJEM	\N	189	47725	UROK	\N	\N
3559559	886	1995-08-31	PRIJEM	\N	210	52255	UROK	\N	\N
3559560	886	1995-09-30	PRIJEM	\N	202	46477	UROK	\N	\N
3559561	886	1995-10-31	PRIJEM	\N	196	47494	UROK	\N	\N
3559562	886	1995-11-30	PRIJEM	\N	197	46711	UROK	\N	\N
3559563	886	1995-12-31	PRIJEM	\N	205	49771	UROK	\N	\N
3559564	886	1996-01-31	PRIJEM	\N	199	43591	UROK	\N	\N
3559565	886	1996-02-29	PRIJEM	\N	210	53021	UROK	\N	\N
3559566	886	1996-03-31	PRIJEM	\N	244	60485	UROK	\N	\N
3559567	886	1996-04-30	PRIJEM	\N	250	59455	UROK	\N	\N
3559568	886	1996-05-31	PRIJEM	\N	260	63435	UROK	\N	\N
3559569	886	1996-06-30	PRIJEM	\N	231	47921	UROK	\N	\N
3559570	886	1996-07-31	PRIJEM	\N	223	55765	UROK	\N	\N
3559571	886	1996-08-31	PRIJEM	\N	228	56513	UROK	\N	\N
3559572	886	1996-09-30	PRIJEM	\N	248	60882	UROK	\N	\N
3559573	886	1996-10-31	PRIJEM	\N	268	65670	UROK	\N	\N
3559574	886	1996-11-30	PRIJEM	\N	272	65962	UROK	\N	\N
3559575	886	1996-12-31	PRIJEM	\N	303	75320	UROK	\N	\N
3559576	886	1997-01-31	PRIJEM	\N	266	61006	UROK	\N	\N
3559577	886	1997-02-28	PRIJEM	\N	264	64591	UROK	\N	\N
3559578	886	1997-03-31	PRIJEM	\N	275	66986	UROK	\N	\N
3559579	886	1997-04-30	PRIJEM	\N	277	68084	UROK	\N	\N
3559580	886	1997-05-31	PRIJEM	\N	291	69595	UROK	\N	\N
3559581	886	1997-06-30	PRIJEM	\N	304	64955	UROK	\N	\N
3559582	886	1997-07-31	PRIJEM	\N	276	67251	UROK	\N	\N
3559583	886	1997-08-31	PRIJEM	\N	282	68353	UROK	\N	\N
3559584	886	1997-09-30	PRIJEM	\N	282	68256	UROK	\N	\N
3559585	886	1997-10-31	PRIJEM	\N	285	65961	UROK	\N	\N
3559586	886	1997-11-30	PRIJEM	\N	295	71576	UROK	\N	\N
3559587	886	1997-12-31	PRIJEM	\N	338	78970	UROK	\N	\N
3559588	886	1998-01-31	PRIJEM	\N	331	73721	UROK	\N	\N
3559589	886	1998-02-28	PRIJEM	\N	325	78867	UROK	\N	\N
3559590	886	1998-03-31	PRIJEM	\N	348	85936	UROK	\N	\N
3559591	886	1998-04-30	PRIJEM	\N	375	88732	UROK	\N	\N
3559592	886	1998-05-31	PRIJEM	\N	387	93039	UROK	\N	\N
3559593	886	1998-06-30	PRIJEM	\N	347	78541	UROK	\N	\N
3559594	886	1998-07-31	PRIJEM	\N	344	82906	UROK	\N	\N
3559595	886	1998-08-31	PRIJEM	\N	365	92791	UROK	\N	\N
3559596	886	1998-09-30	PRIJEM	\N	397	95608	UROK	\N	\N
3559597	886	1998-10-31	PRIJEM	\N	414	101443	UROK	\N	\N
3559598	886	1998-11-30	PRIJEM	\N	331	77794	UROK	\N	\N
3559599	886	1998-12-31	PRIJEM	\N	361	93910	UROK	\N	\N
3559600	887	1993-05-31	PRIJEM	\N	19	5133	UROK	\N	\N
3559601	887	1993-06-30	PRIJEM	\N	21	9668	UROK	\N	\N
3559602	887	1993-07-31	PRIJEM	\N	21	14203	UROK	\N	\N
3559603	887	1993-08-31	PRIJEM	\N	21	18738	UROK	\N	\N
3559604	887	1993-09-30	PRIJEM	\N	75	18958	UROK	\N	\N
3559605	887	1993-10-31	PRIJEM	\N	83	20531	UROK	\N	\N
3559606	887	1993-11-30	PRIJEM	\N	89	22111	UROK	\N	\N
3559607	887	1993-12-31	PRIJEM	\N	95	23397	UROK	\N	\N
3559608	887	1994-01-31	PRIJEM	\N	88	18924	UROK	\N	\N
3559609	887	1994-02-28	PRIJEM	\N	82	20497	UROK	\N	\N
3559610	887	1994-03-31	PRIJEM	\N	89	22076	UROK	\N	\N
3559611	887	1994-04-30	PRIJEM	\N	96	23662	UROK	\N	\N
3559612	887	1994-05-31	PRIJEM	\N	90	19643	UROK	\N	\N
3559613	887	1994-06-30	PRIJEM	\N	55	10639	UROK	\N	\N
3559614	887	1994-07-31	PRIJEM	\N	48	12177	UROK	\N	\N
3559615	887	1994-08-31	PRIJEM	\N	54	13721	UROK	\N	\N
3559616	887	1994-09-30	PRIJEM	\N	61	15272	UROK	\N	\N
3559617	887	1994-10-31	PRIJEM	\N	67	16830	UROK	\N	\N
3559618	887	1994-11-30	PRIJEM	\N	74	18394	UROK	\N	\N
3559619	887	1994-12-31	PRIJEM	\N	84	17858	UROK	\N	\N
3559620	887	1995-01-31	PRIJEM	\N	72	16370	UROK	\N	\N
3559621	887	1995-02-28	PRIJEM	\N	71	17931	UROK	\N	\N
3559622	887	1995-03-31	PRIJEM	\N	74	17496	UROK	\N	\N
3559623	887	1995-04-30	PRIJEM	\N	76	19062	UROK	\N	\N
3559624	887	1995-05-31	PRIJEM	\N	77	18069	UROK	\N	\N
3559625	887	1995-06-30	PRIJEM	\N	75	13884	UROK	\N	\N
3559626	887	1995-07-31	PRIJEM	\N	61	15435	UROK	\N	\N
3559627	887	1995-08-31	PRIJEM	\N	64	15070	UROK	\N	\N
3559628	887	1995-09-30	PRIJEM	\N	58	12939	UROK	\N	\N
3559629	887	1995-10-31	PRIJEM	\N	57	14486	UROK	\N	\N
3559630	887	1995-11-30	PRIJEM	\N	63	16040	UROK	\N	\N
3559631	887	1995-12-31	PRIJEM	\N	68	16748	UROK	\N	\N
3559632	887	1996-01-31	PRIJEM	\N	69	15808	UROK	\N	\N
3559633	887	1996-02-29	PRIJEM	\N	67	16365	UROK	\N	\N
3559634	887	1996-03-31	PRIJEM	\N	68	16124	UROK	\N	\N
3559635	887	1996-04-30	PRIJEM	\N	65	14880	UROK	\N	\N
3559636	887	1996-05-31	PRIJEM	\N	61	14331	UROK	\N	\N
3559637	887	1996-06-30	PRIJEM	\N	62	15684	UROK	\N	\N
3559638	887	1996-07-31	PRIJEM	\N	68	17242	UROK	\N	\N
3559639	887	1996-08-31	PRIJEM	\N	72	17705	UROK	\N	\N
3559640	887	1996-09-30	PRIJEM	\N	66	14362	UROK	\N	\N
3559641	887	1996-10-31	PRIJEM	\N	60	14913	UROK	\N	\N
3559642	887	1996-11-30	PRIJEM	\N	60	14263	UROK	\N	\N
3559643	887	1996-12-31	PRIJEM	\N	61	15514	UROK	\N	\N
3559644	887	1997-01-31	PRIJEM	\N	67	13272	UROK	\N	\N
3559645	887	1997-02-28	PRIJEM	\N	48	10610	UROK	\N	\N
3559646	887	1997-03-31	PRIJEM	\N	47	12147	UROK	\N	\N
3559647	887	1997-04-30	PRIJEM	\N	53	13690	UROK	\N	\N
3559648	887	1997-05-31	PRIJEM	\N	59	14520	UROK	\N	\N
3559649	887	1997-06-30	PRIJEM	\N	63	16073	UROK	\N	\N
3559650	887	1997-07-31	PRIJEM	\N	69	17633	UROK	\N	\N
3559651	887	1997-08-31	PRIJEM	\N	67	15670	UROK	\N	\N
3559652	887	1997-09-30	PRIJEM	\N	67	17228	UROK	\N	\N
3559653	887	1997-10-31	PRIJEM	\N	74	18792	UROK	\N	\N
3559654	887	1997-11-30	PRIJEM	\N	78	18281	UROK	\N	\N
3559655	887	1997-12-31	PRIJEM	\N	77	19148	UROK	\N	\N
3559656	887	1998-01-31	PRIJEM	\N	78	18166	UROK	\N	\N
3559657	887	1998-02-28	PRIJEM	\N	77	19734	UROK	\N	\N
3559658	887	1998-03-31	PRIJEM	\N	80	19145	UROK	\N	\N
3559659	887	1998-04-30	PRIJEM	\N	81	20716	UROK	\N	\N
3559660	887	1998-05-31	PRIJEM	\N	88	22295	UROK	\N	\N
3559661	887	1998-06-30	PRIJEM	\N	72	15757	UROK	\N	\N
3559662	887	1998-07-31	PRIJEM	\N	66	16513	UROK	\N	\N
3559663	887	1998-08-31	PRIJEM	\N	70	18074	UROK	\N	\N
3559664	887	1998-09-30	PRIJEM	\N	70	16354	UROK	\N	\N
3559665	887	1998-10-31	PRIJEM	\N	70	17914	UROK	\N	\N
3559666	887	1998-11-30	PRIJEM	\N	73	16438	UROK	\N	\N
3559667	887	1998-12-31	PRIJEM	\N	68	17146	UROK	\N	\N
3559668	888	1997-03-31	PRIJEM	\N	94	26537	UROK	\N	\N
3559669	888	1997-04-30	PRIJEM	\N	127	28564	UROK	\N	\N
3559670	888	1997-05-31	PRIJEM	\N	132	26697	UROK	\N	\N
3559671	888	1997-06-30	PRIJEM	\N	110	20408	UROK	\N	\N
3559672	888	1997-07-31	PRIJEM	\N	99	24607	UROK	\N	\N
3559673	888	1997-08-31	PRIJEM	\N	114	26622	UROK	\N	\N
3559674	888	1997-09-30	PRIJEM	\N	126	29248	UROK	\N	\N
3559675	888	1997-10-31	PRIJEM	\N	136	29845	UROK	\N	\N
3559676	888	1997-11-30	PRIJEM	\N	131	27976	UROK	\N	\N
3559677	888	1997-12-31	PRIJEM	\N	122	24348	UROK	\N	\N
3559678	888	1998-01-31	PRIJEM	\N	89	13807	UROK	\N	\N
3559679	888	1998-02-28	PRIJEM	\N	69	16777	UROK	\N	\N
3559680	888	1998-03-31	PRIJEM	\N	84	21361	UROK	\N	\N
3559681	888	1998-04-30	PRIJEM	\N	101	24563	UROK	\N	\N
3559682	888	1998-05-31	PRIJEM	\N	108	21271	UROK	\N	\N
3559683	888	1998-06-30	PRIJEM	\N	86	16818	UROK	\N	\N
3559684	888	1998-07-31	PRIJEM	\N	69	11587	UROK	\N	\N
3559685	888	1998-08-31	PRIJEM	\N	56	12243	UROK	\N	\N
3559686	888	1998-09-30	PRIJEM	\N	64	16407	UROK	\N	\N
3559687	888	1998-10-31	PRIJEM	\N	83	20191	UROK	\N	\N
3559688	888	1998-11-30	PRIJEM	\N	96	22127	UROK	\N	\N
3559689	888	1998-12-31	PRIJEM	\N	93	19431	UROK	\N	\N
3559690	889	1998-05-31	PRIJEM	\N	70	21993	UROK	\N	\N
3559691	889	1998-06-30	PRIJEM	\N	102	23800	UROK	\N	\N
3559692	889	1998-07-31	PRIJEM	\N	101	23205	UROK	\N	\N
3559693	889	1998-08-31	PRIJEM	\N	102	23611	UROK	\N	\N
3559694	889	1998-09-30	PRIJEM	\N	103	25419	UROK	\N	\N
3559695	889	1998-10-31	PRIJEM	\N	100	22343	UROK	\N	\N
3559696	889	1998-11-30	PRIJEM	\N	98	24146	UROK	\N	\N
3559697	889	1998-12-31	PRIJEM	\N	107	25157	UROK	\N	\N
3559698	890	1993-02-28	PRIJEM	\N	23	7764	UROK	\N	\N
3559699	890	1993-03-31	PRIJEM	\N	87	25592	UROK	\N	\N
3559700	890	1993-04-30	PRIJEM	\N	129	32962	UROK	\N	\N
3559701	890	1993-05-31	PRIJEM	\N	150	37153	UROK	\N	\N
3559702	890	1993-06-30	PRIJEM	\N	138	24496	UROK	\N	\N
3559703	890	1993-07-31	PRIJEM	\N	111	27197	UROK	\N	\N
3559704	890	1993-08-31	PRIJEM	\N	117	28204	UROK	\N	\N
3559705	890	1993-09-30	PRIJEM	\N	124	30419	UROK	\N	\N
3559706	890	1993-10-31	PRIJEM	\N	129	31138	UROK	\N	\N
3559707	890	1993-11-30	PRIJEM	\N	131	31459	UROK	\N	\N
3559708	890	1993-12-31	PRIJEM	\N	136	29946	UROK	\N	\N
3559709	890	1994-01-31	PRIJEM	\N	92	17988	UROK	\N	\N
3559710	890	1994-02-28	PRIJEM	\N	91	23270	UROK	\N	\N
3559711	890	1994-03-31	PRIJEM	\N	116	29376	UROK	\N	\N
3559712	890	1994-04-30	PRIJEM	\N	130	31997	UROK	\N	\N
3559713	890	1994-05-31	PRIJEM	\N	132	31619	UROK	\N	\N
3559714	890	1994-06-30	PRIJEM	\N	143	36873	UROK	\N	\N
3559715	890	1994-07-31	PRIJEM	\N	141	28503	UROK	\N	\N
3559716	890	1994-08-31	PRIJEM	\N	126	28500	UROK	\N	\N
3559717	890	1994-09-30	PRIJEM	\N	121	25131	UROK	\N	\N
3559718	890	1994-10-31	PRIJEM	\N	113	24334	UROK	\N	\N
3559719	890	1994-11-30	PRIJEM	\N	103	27148	UROK	\N	\N
3559720	890	1994-12-31	PRIJEM	\N	128	26267	UROK	\N	\N
3559721	890	1995-01-31	PRIJEM	\N	98	17875	UROK	\N	\N
3559722	890	1995-02-28	PRIJEM	\N	78	21684	UROK	\N	\N
3559723	890	1995-03-31	PRIJEM	\N	102	26976	UROK	\N	\N
3559724	890	1995-04-30	PRIJEM	\N	123	30489	UROK	\N	\N
3559725	890	1995-05-31	PRIJEM	\N	135	31315	UROK	\N	\N
3559726	890	1995-06-30	PRIJEM	\N	145	30971	UROK	\N	\N
3559727	890	1995-07-31	PRIJEM	\N	125	27446	UROK	\N	\N
3559728	890	1995-08-31	PRIJEM	\N	120	24797	UROK	\N	\N
3559729	890	1995-09-30	PRIJEM	\N	112	26899	UROK	\N	\N
3559730	890	1995-10-31	PRIJEM	\N	123	31312	UROK	\N	\N
3559731	890	1995-11-30	PRIJEM	\N	133	28935	UROK	\N	\N
3559732	890	1995-12-31	PRIJEM	\N	133	28259	UROK	\N	\N
3559733	890	1996-01-31	PRIJEM	\N	105	23894	UROK	\N	\N
3559734	890	1996-02-29	PRIJEM	\N	107	26191	UROK	\N	\N
3559735	890	1996-03-31	PRIJEM	\N	112	25294	UROK	\N	\N
3559736	890	1996-04-30	PRIJEM	\N	107	23491	UROK	\N	\N
3559737	890	1996-05-31	PRIJEM	\N	101	22982	UROK	\N	\N
3559738	890	1996-06-30	PRIJEM	\N	88	17340	UROK	\N	\N
3559739	890	1996-07-31	PRIJEM	\N	73	16204	UROK	\N	\N
3559740	890	1996-08-31	PRIJEM	\N	77	19971	UROK	\N	\N
3559741	890	1996-09-30	PRIJEM	\N	86	20247	UROK	\N	\N
3559742	890	1996-10-31	PRIJEM	\N	84	19021	UROK	\N	\N
3559743	890	1996-11-30	PRIJEM	\N	73	15385	UROK	\N	\N
3559744	890	1996-12-31	PRIJEM	\N	75	18250	UROK	\N	\N
3559745	890	1997-01-31	PRIJEM	\N	70	14991	UROK	\N	\N
3559746	890	1997-02-28	PRIJEM	\N	77	19278	UROK	\N	\N
3559747	890	1997-03-31	PRIJEM	\N	75	16423	UROK	\N	\N
3559748	890	1997-04-30	PRIJEM	\N	69	16582	UROK	\N	\N
3559749	890	1997-05-31	PRIJEM	\N	67	15740	UROK	\N	\N
3559750	890	1997-06-30	PRIJEM	\N	69	15860	UROK	\N	\N
3559751	890	1997-07-31	PRIJEM	\N	68	16818	UROK	\N	\N
3559752	890	1997-08-31	PRIJEM	\N	79	20788	UROK	\N	\N
3559753	890	1997-09-30	PRIJEM	\N	66	13844	UROK	\N	\N
3559754	890	1997-10-31	PRIJEM	\N	66	17801	UROK	\N	\N
3559755	890	1997-11-30	PRIJEM	\N	60	13451	UROK	\N	\N
3559756	890	1997-12-31	PRIJEM	\N	70	19172	UROK	\N	\N
3559757	890	1998-01-31	PRIJEM	\N	69	16051	UROK	\N	\N
3559758	890	1998-02-28	PRIJEM	\N	75	20016	UROK	\N	\N
3559759	890	1998-03-31	PRIJEM	\N	87	20154	UROK	\N	\N
3559760	890	1998-04-30	PRIJEM	\N	92	24136	UROK	\N	\N
3559761	890	1998-05-31	PRIJEM	\N	104	26331	UROK	\N	\N
3559762	890	1998-06-30	PRIJEM	\N	62	10703	UROK	\N	\N
3559763	890	1998-07-31	PRIJEM	\N	52	14646	UROK	\N	\N
3559764	890	1998-08-31	PRIJEM	\N	69	18605	UROK	\N	\N
3559765	890	1998-09-30	PRIJEM	\N	85	22581	UROK	\N	\N
3559766	890	1998-10-31	PRIJEM	\N	102	26573	UROK	\N	\N
3559767	890	1998-11-30	PRIJEM	\N	118	30581	UROK	\N	\N
3559768	890	1998-12-31	PRIJEM	\N	141	34653	UROK	\N	\N
3559769	891	1996-10-31	PRIJEM	\N	46	28431	UROK	\N	\N
3559770	891	1996-11-30	PRIJEM	\N	127	31356	UROK	\N	\N
3559771	891	1996-12-31	PRIJEM	\N	139	35443	UROK	\N	\N
3559772	891	1997-01-31	PRIJEM	\N	138	28430	UROK	\N	\N
3559773	891	1997-02-28	PRIJEM	\N	125	30953	UROK	\N	\N
3559774	891	1997-03-31	PRIJEM	\N	128	30320	UROK	\N	\N
3559775	891	1997-04-30	PRIJEM	\N	136	32975	UROK	\N	\N
3559776	891	1997-05-31	PRIJEM	\N	145	35518	UROK	\N	\N
3559777	891	1997-06-30	PRIJEM	\N	147	31963	UROK	\N	\N
3559778	891	1997-07-31	PRIJEM	\N	122	28804	UROK	\N	\N
3559779	891	1997-08-31	PRIJEM	\N	121	26664	UROK	\N	\N
3559780	891	1997-09-30	PRIJEM	\N	95	21657	UROK	\N	\N
3559781	891	1997-10-31	PRIJEM	\N	94	22949	UROK	\N	\N
3559782	891	1997-11-30	PRIJEM	\N	98	24046	UROK	\N	\N
3559783	891	1997-12-31	PRIJEM	\N	86	19100	UROK	\N	\N
3559784	891	1998-01-31	PRIJEM	\N	73	14771	UROK	\N	\N
3559785	891	1998-02-28	PRIJEM	\N	67	16797	UROK	\N	\N
3559786	891	1998-03-31	PRIJEM	\N	79	20574	UROK	\N	\N
3559787	891	1998-04-30	PRIJEM	\N	85	19678	UROK	\N	\N
3559788	891	1998-05-31	PRIJEM	\N	92	23968	UROK	\N	\N
3559789	891	1998-06-30	PRIJEM	\N	108	25325	UROK	\N	\N
3559790	891	1998-07-31	PRIJEM	\N	116	29639	UROK	\N	\N
3559791	891	1998-08-31	PRIJEM	\N	134	33971	UROK	\N	\N
3559792	891	1998-09-30	PRIJEM	\N	148	37358	UROK	\N	\N
3559793	891	1998-10-31	PRIJEM	\N	157	39074	UROK	\N	\N
3559794	891	1998-11-30	PRIJEM	\N	173	43445	UROK	\N	\N
3559795	891	1998-12-31	PRIJEM	\N	183	44556	UROK	\N	\N
3559796	892	1993-07-31	PRIJEM	\N	44	23552	UROK	\N	\N
3559797	892	1993-08-31	PRIJEM	\N	113	27836	UROK	\N	\N
3559798	892	1993-09-30	PRIJEM	\N	121	28805	UROK	\N	\N
3559799	892	1993-10-31	PRIJEM	\N	126	30278	UROK	\N	\N
3559800	892	1993-11-30	PRIJEM	\N	118	24823	UROK	\N	\N
3559801	892	1993-12-31	PRIJEM	\N	104	23975	UROK	\N	\N
3559802	892	1994-01-31	PRIJEM	\N	67	12499	UROK	\N	\N
3559803	892	1994-02-28	PRIJEM	\N	63	15809	UROK	\N	\N
3559804	892	1994-03-31	PRIJEM	\N	77	17294	UROK	\N	\N
3559805	892	1994-04-30	PRIJEM	\N	82	20623	UROK	\N	\N
3559806	892	1994-05-31	PRIJEM	\N	95	22685	UROK	\N	\N
3559807	892	1994-06-30	PRIJEM	\N	75	13517	UROK	\N	\N
3559808	892	1994-07-31	PRIJEM	\N	66	16831	UROK	\N	\N
3559809	892	1994-08-31	PRIJEM	\N	80	20158	UROK	\N	\N
3559810	892	1994-09-30	PRIJEM	\N	79	19724	UROK	\N	\N
3559811	892	1994-10-31	PRIJEM	\N	92	23064	UROK	\N	\N
3559812	892	1994-11-30	PRIJEM	\N	104	25815	UROK	\N	\N
3559813	892	1994-12-31	PRIJEM	\N	114	27676	UROK	\N	\N
3559814	892	1995-01-31	PRIJEM	\N	86	13940	UROK	\N	\N
3559815	892	1995-02-28	PRIJEM	\N	69	17256	UROK	\N	\N
3559816	892	1995-03-31	PRIJEM	\N	83	20586	UROK	\N	\N
3559817	892	1995-04-30	PRIJEM	\N	97	23930	UROK	\N	\N
3559818	892	1995-05-31	PRIJEM	\N	109	27287	UROK	\N	\N
3559819	892	1995-06-30	PRIJEM	\N	116	28731	UROK	\N	\N
3559820	892	1995-07-31	PRIJEM	\N	113	27691	UROK	\N	\N
3559821	892	1995-08-31	PRIJEM	\N	125	31063	UROK	\N	\N
3559822	892	1995-09-30	PRIJEM	\N	140	34451	UROK	\N	\N
3559823	892	1995-10-31	PRIJEM	\N	140	34038	UROK	\N	\N
3559824	892	1995-11-30	PRIJEM	\N	135	32920	UROK	\N	\N
3559825	892	1995-12-31	PRIJEM	\N	126	30193	UROK	\N	\N
3559826	892	1996-01-31	PRIJEM	\N	102	19422	UROK	\N	\N
3559827	892	1996-02-29	PRIJEM	\N	91	22761	UROK	\N	\N
3559828	892	1996-03-31	PRIJEM	\N	101	23809	UROK	\N	\N
3559829	892	1996-04-30	PRIJEM	\N	106	26462	UROK	\N	\N
3559830	892	1996-05-31	PRIJEM	\N	104	25613	UROK	\N	\N
3559831	892	1996-06-30	PRIJEM	\N	105	26466	UROK	\N	\N
3559832	892	1996-07-31	PRIJEM	\N	100	22894	UROK	\N	\N
3559833	892	1996-08-31	PRIJEM	\N	94	23635	UROK	\N	\N
3559834	892	1996-09-30	PRIJEM	\N	90	22973	UROK	\N	\N
3559835	892	1996-10-31	PRIJEM	\N	65	16685	UROK	\N	\N
3559836	892	1996-11-30	PRIJEM	\N	79	20012	UROK	\N	\N
3559837	892	1996-12-31	PRIJEM	\N	90	21999	UROK	\N	\N
3559838	892	1997-01-31	PRIJEM	\N	81	15177	UROK	\N	\N
3559839	892	1997-02-28	PRIJEM	\N	70	18015	UROK	\N	\N
3559840	892	1997-03-31	PRIJEM	\N	84	21346	UROK	\N	\N
3559841	892	1997-04-30	PRIJEM	\N	93	13786	UROK	\N	\N
3559842	892	1997-05-31	PRIJEM	\N	67	17100	UROK	\N	\N
3559843	892	1997-06-30	PRIJEM	\N	74	18821	UROK	\N	\N
3559844	892	1997-07-31	PRIJEM	\N	87	22155	UROK	\N	\N
3559845	892	1997-08-31	PRIJEM	\N	101	25503	UROK	\N	\N
3559846	892	1997-09-30	PRIJEM	\N	115	28866	UROK	\N	\N
3559847	892	1997-10-31	PRIJEM	\N	128	31681	UROK	\N	\N
3559848	892	1997-11-30	PRIJEM	\N	131	32099	UROK	\N	\N
3559849	892	1997-12-31	PRIJEM	\N	138	34585	UROK	\N	\N
3559850	892	1998-01-31	PRIJEM	\N	119	25320	UROK	\N	\N
3559851	892	1998-02-28	PRIJEM	\N	111	27879	UROK	\N	\N
3559852	892	1998-03-31	PRIJEM	\N	124	31250	UROK	\N	\N
3559853	892	1998-04-30	PRIJEM	\N	132	32630	UROK	\N	\N
3559854	892	1998-05-31	PRIJEM	\N	145	36022	UROK	\N	\N
3559855	892	1998-06-30	PRIJEM	\N	146	35435	UROK	\N	\N
3559856	892	1998-07-31	PRIJEM	\N	156	38839	UROK	\N	\N
3559857	892	1998-08-31	PRIJEM	\N	170	42256	UROK	\N	\N
3559858	892	1998-09-30	PRIJEM	\N	183	45687	UROK	\N	\N
3559859	892	1998-10-31	PRIJEM	\N	199	49133	UROK	\N	\N
3559860	892	1998-11-30	PRIJEM	\N	212	52592	UROK	\N	\N
3559861	892	1998-12-31	PRIJEM	\N	221	53800	UROK	\N	\N
3559862	894	1995-11-30	PRIJEM	\N	17	20645	UROK	\N	\N
3559863	894	1995-12-31	PRIJEM	\N	92	27013	UROK	\N	\N
3559864	894	1996-01-31	PRIJEM	\N	116	25985	UROK	\N	\N
3559865	894	1996-02-29	PRIJEM	\N	106	23819	UROK	\N	\N
3559866	894	1996-03-31	PRIJEM	\N	106	25372	UROK	\N	\N
3559867	894	1996-04-30	PRIJEM	\N	107	24566	UROK	\N	\N
3559868	894	1996-05-31	PRIJEM	\N	105	23219	UROK	\N	\N
3559869	894	1996-06-30	PRIJEM	\N	80	12646	UROK	\N	\N
3559870	894	1996-07-31	PRIJEM	\N	57	14131	UROK	\N	\N
3559871	894	1996-08-31	PRIJEM	\N	68	17946	UROK	\N	\N
3559872	894	1996-09-30	PRIJEM	\N	77	17771	UROK	\N	\N
3559873	894	1996-10-31	PRIJEM	\N	75	16393	UROK	\N	\N
3559874	894	1996-11-30	PRIJEM	\N	67	14107	UROK	\N	\N
3559875	894	1996-12-31	PRIJEM	\N	57	11711	UROK	\N	\N
3559876	894	1997-01-31	PRIJEM	\N	50	11128	UROK	\N	\N
3559877	894	1997-02-28	PRIJEM	\N	55	14930	UROK	\N	\N
3559878	894	1997-03-31	PRIJEM	\N	71	18749	UROK	\N	\N
3559879	894	1997-04-30	PRIJEM	\N	71	13566	UROK	\N	\N
3559880	894	1997-05-31	PRIJEM	\N	55	11869	UROK	\N	\N
3559881	894	1997-06-30	PRIJEM	\N	58	15674	UROK	\N	\N
3559882	894	1997-07-31	PRIJEM	\N	63	13784	UROK	\N	\N
3559883	894	1997-08-31	PRIJEM	\N	59	14391	UROK	\N	\N
3559884	894	1997-09-30	PRIJEM	\N	56	12494	UROK	\N	\N
3559885	894	1997-10-31	PRIJEM	\N	51	12093	UROK	\N	\N
3559886	894	1997-11-30	PRIJEM	\N	58	11198	UROK	\N	\N
3559887	894	1997-12-31	PRIJEM	\N	47	11693	UROK	\N	\N
3559888	894	1998-01-31	PRIJEM	\N	55	13535	UROK	\N	\N
3559889	894	1998-02-28	PRIJEM	\N	64	17347	UROK	\N	\N
3559890	894	1998-03-31	PRIJEM	\N	80	11674	UROK	\N	\N
3559891	894	1998-04-30	PRIJEM	\N	57	15478	UROK	\N	\N
3559892	894	1998-05-31	PRIJEM	\N	73	19299	UROK	\N	\N
3559893	894	1998-06-30	PRIJEM	\N	75	17921	UROK	\N	\N
3559894	894	1998-07-31	PRIJEM	\N	83	21752	UROK	\N	\N
3559895	894	1998-08-31	PRIJEM	\N	99	25598	UROK	\N	\N
3559896	894	1998-09-30	PRIJEM	\N	115	29460	UROK	\N	\N
3559897	894	1998-10-31	PRIJEM	\N	131	33339	UROK	\N	\N
3559898	894	1998-11-30	PRIJEM	\N	92	19278	UROK	\N	\N
3559899	894	1998-12-31	PRIJEM	\N	69	15965	UROK	\N	\N
3559900	895	1996-03-31	PRIJEM	\N	9	3575	UROK	\N	\N
3559901	895	1996-04-30	PRIJEM	\N	15	6556	UROK	\N	\N
3559902	895	1996-05-31	PRIJEM	\N	15	9537	UROK	\N	\N
3559903	895	1996-06-30	PRIJEM	\N	15	12518	UROK	\N	\N
3559904	895	1996-07-31	PRIJEM	\N	41	12782	UROK	\N	\N
3559905	895	1996-08-31	PRIJEM	\N	56	13812	UROK	\N	\N
3559906	895	1996-09-30	PRIJEM	\N	60	14487	UROK	\N	\N
3559907	895	1996-10-31	PRIJEM	\N	64	15525	UROK	\N	\N
3559908	895	1996-11-30	PRIJEM	\N	68	16568	UROK	\N	\N
3559909	895	1996-12-31	PRIJEM	\N	69	16741	UROK	\N	\N
3559910	895	1997-01-31	PRIJEM	\N	66	14932	UROK	\N	\N
3559911	895	1997-02-28	PRIJEM	\N	65	15970	UROK	\N	\N
3559912	895	1997-03-31	PRIJEM	\N	69	17014	UROK	\N	\N
3559913	895	1997-04-30	PRIJEM	\N	69	16438	UROK	\N	\N
3559914	895	1997-05-31	PRIJEM	\N	71	17483	UROK	\N	\N
3559915	895	1997-06-30	PRIJEM	\N	75	18532	UROK	\N	\N
3559916	895	1997-07-31	PRIJEM	\N	80	19586	UROK	\N	\N
3559917	895	1997-08-31	PRIJEM	\N	81	20042	UROK	\N	\N
3559918	895	1997-09-30	PRIJEM	\N	86	21102	UROK	\N	\N
3559919	895	1997-10-31	PRIJEM	\N	82	19978	UROK	\N	\N
3559920	895	1997-11-30	PRIJEM	\N	83	20105	UROK	\N	\N
3559921	895	1997-12-31	PRIJEM	\N	86	20776	UROK	\N	\N
3559922	895	1998-01-31	PRIJEM	\N	76	18046	UROK	\N	\N
3559923	895	1998-02-28	PRIJEM	\N	76	18406	UROK	\N	\N
3559924	895	1998-03-31	PRIJEM	\N	72	17353	UROK	\N	\N
3559925	895	1998-04-30	PRIJEM	\N	68	16295	UROK	\N	\N
3559926	895	1998-05-31	PRIJEM	\N	68	16017	UROK	\N	\N
3559927	895	1998-06-30	PRIJEM	\N	68	17059	UROK	\N	\N
3559928	895	1998-07-31	PRIJEM	\N	61	15195	UROK	\N	\N
3559929	895	1998-08-31	PRIJEM	\N	65	16235	UROK	\N	\N
3559930	895	1998-09-30	PRIJEM	\N	63	15652	UROK	\N	\N
3559931	895	1998-10-31	PRIJEM	\N	69	16695	UROK	\N	\N
3559932	895	1998-11-30	PRIJEM	\N	69	17378	UROK	\N	\N
3559933	895	1998-12-31	PRIJEM	\N	74	17767	UROK	\N	\N
3559934	896	1995-07-31	PRIJEM	\N	51	18153	UROK	\N	\N
3559935	896	1995-08-31	PRIJEM	\N	94	24349	UROK	\N	\N
3559936	896	1995-09-30	PRIJEM	\N	118	29969	UROK	\N	\N
3559937	896	1995-10-31	PRIJEM	\N	120	28491	UROK	\N	\N
3559938	896	1995-11-30	PRIJEM	\N	115	26687	UROK	\N	\N
3559939	896	1995-12-31	PRIJEM	\N	117	27173	UROK	\N	\N
3559940	896	1996-01-31	PRIJEM	\N	90	14830	UROK	\N	\N
3559941	896	1996-02-29	PRIJEM	\N	83	20780	UROK	\N	\N
3559942	896	1996-03-31	PRIJEM	\N	98	23645	UROK	\N	\N
3559943	896	1996-04-30	PRIJEM	\N	112	27224	UROK	\N	\N
3559944	896	1996-05-31	PRIJEM	\N	99	21391	UROK	\N	\N
3559945	896	1996-06-30	PRIJEM	\N	98	23557	UROK	\N	\N
3559946	896	1996-07-31	PRIJEM	\N	103	24628	UROK	\N	\N
3559947	896	1996-08-31	PRIJEM	\N	102	23998	UROK	\N	\N
3559948	896	1996-09-30	PRIJEM	\N	107	25773	UROK	\N	\N
3559949	896	1996-10-31	PRIJEM	\N	93	18133	UROK	\N	\N
3559950	896	1996-11-30	PRIJEM	\N	81	19282	UROK	\N	\N
3559951	896	1996-12-31	PRIJEM	\N	97	22148	UROK	\N	\N
3559952	896	1997-01-31	PRIJEM	\N	69	12884	UROK	\N	\N
3559953	896	1997-02-28	PRIJEM	\N	69	19520	UROK	\N	\N
3559954	896	1997-03-31	PRIJEM	\N	83	19671	UROK	\N	\N
3559955	896	1997-04-30	PRIJEM	\N	82	19321	UROK	\N	\N
3559956	896	1997-05-31	PRIJEM	\N	95	25983	UROK	\N	\N
3559957	896	1997-06-30	PRIJEM	\N	81	22733	UROK	\N	\N
3559958	896	1997-07-31	PRIJEM	\N	58	14258	UROK	\N	\N
3559959	896	1997-08-31	PRIJEM	\N	73	14599	UROK	\N	\N
3559960	896	1997-09-30	PRIJEM	\N	73	12739	UROK	\N	\N
3559961	896	1997-10-31	PRIJEM	\N	69	18576	UROK	\N	\N
3559962	896	1997-11-30	PRIJEM	\N	93	25236	UROK	\N	\N
3559963	896	1997-12-31	PRIJEM	\N	121	11626	UROK	\N	\N
3559964	896	1998-01-31	PRIJEM	\N	59	14053	UROK	\N	\N
3559965	896	1998-02-28	PRIJEM	\N	73	20693	UROK	\N	\N
3559966	896	1998-03-31	PRIJEM	\N	102	27363	UROK	\N	\N
3559967	896	1998-04-30	PRIJEM	\N	121	28951	UROK	\N	\N
3559968	896	1998-05-31	PRIJEM	\N	137	35655	UROK	\N	\N
3559969	896	1998-06-30	PRIJEM	\N	159	28982	UROK	\N	\N
3559970	896	1998-07-31	PRIJEM	\N	131	31381	UROK	\N	\N
3559971	896	1998-08-31	PRIJEM	\N	134	33082	UROK	\N	\N
3559972	896	1998-09-30	PRIJEM	\N	147	36996	UROK	\N	\N
3559973	896	1998-10-31	PRIJEM	\N	170	43733	UROK	\N	\N
3559974	896	1998-11-30	PRIJEM	\N	197	50498	UROK	\N	\N
3559975	896	1998-12-31	PRIJEM	\N	176	15242	UROK	\N	\N
3559976	897	1993-05-31	PRIJEM	\N	125	59689	UROK	\N	\N
3559977	897	1993-06-30	PRIJEM	\N	262	52905	UROK	\N	\N
3559978	897	1993-07-31	PRIJEM	\N	289	45931	UROK	\N	\N
3559979	897	1993-08-31	PRIJEM	\N	190	37421	UROK	\N	\N
3559980	897	1993-09-30	PRIJEM	\N	190	30611	UROK	\N	\N
3559981	897	1993-10-31	PRIJEM	\N	141	28603	UROK	\N	\N
3559982	897	1993-11-30	PRIJEM	\N	96	20399	UROK	\N	\N
3559983	897	1993-12-31	PRIJEM	\N	75	19213	UROK	\N	\N
3559984	897	1994-01-31	PRIJEM	\N	77	22785	UROK	\N	\N
3559985	897	1994-02-28	PRIJEM	\N	177	93536	UROK	\N	\N
3559986	897	1994-03-31	PRIJEM	\N	352	91385	UROK	\N	\N
3559987	897	1994-04-30	PRIJEM	\N	341	61550	UROK	\N	\N
3559988	897	1994-05-31	PRIJEM	\N	327	64736	UROK	\N	\N
3559989	897	1994-06-30	PRIJEM	\N	261	49054	UROK	\N	\N
3559990	897	1994-07-31	PRIJEM	\N	276	57258	UROK	\N	\N
3559991	897	1994-08-31	PRIJEM	\N	261	52078	UROK	\N	\N
3559992	897	1994-09-30	PRIJEM	\N	199	42683	UROK	\N	\N
3559993	897	1994-10-31	PRIJEM	\N	198	32574	UROK	\N	\N
3559994	897	1994-11-30	PRIJEM	\N	131	47510	UROK	\N	\N
3559995	897	1994-12-31	PRIJEM	\N	179	61188	UROK	\N	\N
3559996	897	1995-01-31	PRIJEM	\N	149	22636	UROK	\N	\N
3559997	897	1995-02-28	PRIJEM	\N	85	20020	UROK	\N	\N
3559998	897	1995-03-31	PRIJEM	\N	82	22702	UROK	\N	\N
3559999	897	1995-04-30	PRIJEM	\N	83	19784	UROK	\N	\N
3560000	897	1995-05-31	PRIJEM	\N	79	20763	UROK	\N	\N
3560001	897	1995-06-30	PRIJEM	\N	80	19842	UROK	\N	\N
3560002	897	1995-07-31	PRIJEM	\N	75	18517	UROK	\N	\N
3560003	897	1995-08-31	PRIJEM	\N	73	17889	UROK	\N	\N
3560004	897	1995-09-30	PRIJEM	\N	110	24517	UROK	\N	\N
3560005	897	1995-10-31	PRIJEM	\N	111	26227	UROK	\N	\N
3560006	897	1995-11-30	PRIJEM	\N	232	46366	UROK	\N	\N
3560007	897	1995-12-31	PRIJEM	\N	165	35937	UROK	\N	\N
3560008	897	1996-01-31	PRIJEM	\N	214	40459	UROK	\N	\N
3560009	897	1996-02-29	PRIJEM	\N	225	72844	UROK	\N	\N
3560010	897	1996-03-31	PRIJEM	\N	240	65918	UROK	\N	\N
3560011	897	1996-04-30	PRIJEM	\N	258	51975	UROK	\N	\N
3560012	897	1996-05-31	PRIJEM	\N	257	106132	UROK	\N	\N
3560013	897	1996-06-30	PRIJEM	\N	309	57260	UROK	\N	\N
3560014	897	1996-07-31	PRIJEM	\N	164	79771	UROK	\N	\N
3560015	897	1996-08-31	PRIJEM	\N	327	77456	UROK	\N	\N
3560016	897	1996-09-30	PRIJEM	\N	208	47031	UROK	\N	\N
3560017	897	1996-10-31	PRIJEM	\N	147	28512	UROK	\N	\N
3560018	897	1996-11-30	PRIJEM	\N	117	25828	UROK	\N	\N
3560019	897	1996-12-31	PRIJEM	\N	210	57093	UROK	\N	\N
3560020	897	1997-01-31	PRIJEM	\N	155	25432	UROK	\N	\N
3560021	897	1997-02-28	PRIJEM	\N	92	17724	UROK	\N	\N
3560022	897	1997-03-31	PRIJEM	\N	93	21817	UROK	\N	\N
3560023	897	1997-04-30	PRIJEM	\N	91	21207	UROK	\N	\N
3560024	897	1997-05-31	PRIJEM	\N	101	24208	UROK	\N	\N
3560025	897	1997-06-30	PRIJEM	\N	119	28726	UROK	\N	\N
3560026	897	1997-07-31	PRIJEM	\N	177	98338	UROK	\N	\N
3560027	897	1997-08-31	PRIJEM	\N	293	64631	UROK	\N	\N
3560028	897	1997-09-30	PRIJEM	\N	219	49649	UROK	\N	\N
3560029	897	1997-10-31	PRIJEM	\N	197	46445	UROK	\N	\N
3560030	897	1997-11-30	PRIJEM	\N	195	46439	UROK	\N	\N
3560031	897	1997-12-31	PRIJEM	\N	173	39711	UROK	\N	\N
3560032	897	1998-01-31	PRIJEM	\N	148	48858	UROK	\N	\N
3560033	897	1998-02-28	PRIJEM	\N	176	75650	UROK	\N	\N
3560034	897	1998-03-31	PRIJEM	\N	348	83907	UROK	\N	\N
3560035	897	1998-04-30	PRIJEM	\N	314	90558	UROK	\N	\N
3560036	897	1998-05-31	PRIJEM	\N	254	47024	UROK	\N	\N
3560037	897	1998-06-30	PRIJEM	\N	201	52435	UROK	\N	\N
3560038	897	1998-07-31	PRIJEM	\N	196	60097	UROK	\N	\N
3560039	897	1998-08-31	PRIJEM	\N	305	89873	UROK	\N	\N
3560040	897	1998-09-30	PRIJEM	\N	386	85437	UROK	\N	\N
3560041	897	1998-10-31	PRIJEM	\N	345	89322	UROK	\N	\N
3560042	897	1998-11-30	PRIJEM	\N	294	73136	UROK	\N	\N
3560043	897	1998-12-31	PRIJEM	\N	299	71683	UROK	\N	\N
3560044	898	1996-04-30	PRIJEM	\N	15	20842	UROK	\N	\N
3560045	898	1996-05-31	PRIJEM	\N	96	31764	UROK	\N	\N
3560046	898	1996-06-30	PRIJEM	\N	142	43296	UROK	\N	\N
3560047	898	1996-07-31	PRIJEM	\N	182	45405	UROK	\N	\N
3560048	898	1996-08-31	PRIJEM	\N	214	45863	UROK	\N	\N
3560049	898	1996-09-30	PRIJEM	\N	209	39921	UROK	\N	\N
3560050	898	1996-10-31	PRIJEM	\N	190	39659	UROK	\N	\N
3560051	898	1996-11-30	PRIJEM	\N	190	41097	UROK	\N	\N
3560052	898	1996-12-31	PRIJEM	\N	205	40554	UROK	\N	\N
3560053	898	1997-01-31	PRIJEM	\N	160	29282	UROK	\N	\N
3560054	898	1997-02-28	PRIJEM	\N	148	33278	UROK	\N	\N
3560055	898	1997-03-31	PRIJEM	\N	163	35090	UROK	\N	\N
3560056	898	1997-04-30	PRIJEM	\N	169	36407	UROK	\N	\N
3560057	898	1997-05-31	PRIJEM	\N	164	32460	UROK	\N	\N
3560058	898	1997-06-30	PRIJEM	\N	172	36044	UROK	\N	\N
3560059	898	1997-07-31	PRIJEM	\N	149	29562	UROK	\N	\N
3560060	898	1997-08-31	PRIJEM	\N	136	30147	UROK	\N	\N
3560061	898	1997-09-30	PRIJEM	\N	137	26752	UROK	\N	\N
3560062	898	1997-10-31	PRIJEM	\N	133	29393	UROK	\N	\N
3560063	898	1997-11-30	PRIJEM	\N	137	32779	UROK	\N	\N
3560064	898	1997-12-31	PRIJEM	\N	175	35625	UROK	\N	\N
3560065	898	1998-01-31	PRIJEM	\N	115	15488	UROK	\N	\N
3560066	898	1998-02-28	PRIJEM	\N	95	25332	UROK	\N	\N
3560067	898	1998-03-31	PRIJEM	\N	126	29526	UROK	\N	\N
3560068	898	1998-04-30	PRIJEM	\N	142	33317	UROK	\N	\N
3560069	898	1998-05-31	PRIJEM	\N	149	33314	UROK	\N	\N
3560070	898	1998-06-30	PRIJEM	\N	159	30025	UROK	\N	\N
3560071	898	1998-07-31	PRIJEM	\N	147	36021	UROK	\N	\N
3560072	898	1998-08-31	PRIJEM	\N	167	39556	UROK	\N	\N
3560073	898	1998-09-30	PRIJEM	\N	191	48196	UROK	\N	\N
3560074	898	1998-10-31	PRIJEM	\N	203	47147	UROK	\N	\N
3560075	898	1998-11-30	PRIJEM	\N	198	44094	UROK	\N	\N
3560076	898	1998-12-31	PRIJEM	\N	193	44158	UROK	\N	\N
3560077	899	1993-07-31	PRIJEM	\N	32	21798	UROK	\N	\N
3560078	899	1993-08-31	PRIJEM	\N	102	29067	UROK	\N	\N
3560079	899	1993-09-30	PRIJEM	\N	134	37267	UROK	\N	\N
3560080	899	1993-10-31	PRIJEM	\N	158	38990	UROK	\N	\N
3560081	899	1993-11-30	PRIJEM	\N	168	42424	UROK	\N	\N
3560082	899	1993-12-31	PRIJEM	\N	207	43016	UROK	\N	\N
3560083	899	1994-01-31	PRIJEM	\N	129	19296	UROK	\N	\N
3560084	899	1994-02-28	PRIJEM	\N	100	24418	UROK	\N	\N
3560085	899	1994-03-31	PRIJEM	\N	114	31283	UROK	\N	\N
3560086	899	1994-04-30	PRIJEM	\N	117	27423	UROK	\N	\N
3560087	899	1994-05-31	PRIJEM	\N	124	32498	UROK	\N	\N
3560088	899	1994-06-30	PRIJEM	\N	154	41837	UROK	\N	\N
3560089	899	1994-07-31	PRIJEM	\N	159	34748	UROK	\N	\N
3560090	899	1994-08-31	PRIJEM	\N	158	40858	UROK	\N	\N
3560091	899	1994-09-30	PRIJEM	\N	148	32159	UROK	\N	\N
3560092	899	1994-10-31	PRIJEM	\N	124	25135	UROK	\N	\N
3560093	899	1994-11-30	PRIJEM	\N	121	32008	UROK	\N	\N
3560094	899	1994-12-31	PRIJEM	\N	138	21930	UROK	\N	\N
3560095	899	1995-01-31	PRIJEM	\N	97	20679	UROK	\N	\N
3560096	899	1995-02-28	PRIJEM	\N	111	30341	UROK	\N	\N
3560097	899	1995-03-31	PRIJEM	\N	113	25334	UROK	\N	\N
3560098	899	1995-04-30	PRIJEM	\N	119	30604	UROK	\N	\N
3560099	899	1995-05-31	PRIJEM	\N	110	23666	UROK	\N	\N
3560100	899	1995-06-30	PRIJEM	\N	126	33977	UROK	\N	\N
3560101	899	1995-07-31	PRIJEM	\N	131	29359	UROK	\N	\N
3560102	899	1995-08-31	PRIJEM	\N	133	33344	UROK	\N	\N
3560103	899	1995-09-30	PRIJEM	\N	135	31730	UROK	\N	\N
3560104	899	1995-10-31	PRIJEM	\N	129	31111	UROK	\N	\N
3560105	899	1995-11-30	PRIJEM	\N	139	34401	UROK	\N	\N
3560106	899	1995-12-31	PRIJEM	\N	142	31502	UROK	\N	\N
3560107	899	1996-01-31	PRIJEM	\N	107	21460	UROK	\N	\N
3560108	899	1996-02-29	PRIJEM	\N	143	28154	UROK	\N	\N
3560109	899	1996-03-31	PRIJEM	\N	116	28122	UROK	\N	\N
3560110	899	1996-04-30	PRIJEM	\N	130	21003	UROK	\N	\N
3560111	899	1996-05-31	PRIJEM	\N	95	23649	UROK	\N	\N
3560112	899	1996-06-30	PRIJEM	\N	171	45005	UROK	\N	\N
3560113	899	1996-07-31	PRIJEM	\N	194	47350	UROK	\N	\N
3560114	899	1996-08-31	PRIJEM	\N	187	40709	UROK	\N	\N
3560115	899	1996-09-30	PRIJEM	\N	171	41631	UROK	\N	\N
3560116	899	1996-10-31	PRIJEM	\N	147	31225	UROK	\N	\N
3560117	899	1996-11-30	PRIJEM	\N	161	40837	UROK	\N	\N
3560118	899	1996-12-31	PRIJEM	\N	175	29197	UROK	\N	\N
3560119	899	1997-01-31	PRIJEM	\N	114	21962	UROK	\N	\N
3560120	899	1997-02-28	PRIJEM	\N	91	26204	UROK	\N	\N
3560121	899	1997-03-31	PRIJEM	\N	135	34391	UROK	\N	\N
3560122	899	1997-04-30	PRIJEM	\N	147	32189	UROK	\N	\N
3560123	899	1997-05-31	PRIJEM	\N	129	31429	UROK	\N	\N
3560124	899	1997-06-30	PRIJEM	\N	115	23028	UROK	\N	\N
3560125	899	1997-07-31	PRIJEM	\N	100	23191	UROK	\N	\N
3560126	899	1997-08-31	PRIJEM	\N	102	18694	UROK	\N	\N
3560127	899	1997-09-30	PRIJEM	\N	76	20622	UROK	\N	\N
3560128	899	1997-10-31	PRIJEM	\N	84	21657	UROK	\N	\N
3560129	899	1997-11-30	PRIJEM	\N	86	19194	UROK	\N	\N
3560130	899	1997-12-31	PRIJEM	\N	103	15981	UROK	\N	\N
3560131	899	1998-01-31	PRIJEM	\N	104	26337	UROK	\N	\N
3560132	899	1998-02-28	PRIJEM	\N	103	19491	UROK	\N	\N
3560133	899	1998-03-31	PRIJEM	\N	79	20421	UROK	\N	\N
3560134	899	1998-04-30	PRIJEM	\N	81	20054	UROK	\N	\N
3560135	899	1998-05-31	PRIJEM	\N	84	24689	UROK	\N	\N
3560136	899	1998-06-30	PRIJEM	\N	115	16588	UROK	\N	\N
3560137	899	1998-07-31	PRIJEM	\N	68	32907	UROK	\N	\N
3560138	899	1998-08-31	PRIJEM	\N	151	17809	UROK	\N	\N
3560139	899	1998-09-30	PRIJEM	\N	67	15028	UROK	\N	\N
3560140	899	1998-10-31	PRIJEM	\N	61	31340	UROK	\N	\N
3560141	899	1998-11-30	PRIJEM	\N	136	37228	UROK	\N	\N
3560142	899	1998-12-31	PRIJEM	\N	207	54019	UROK	\N	\N
3560143	900	1994-05-31	PRIJEM	\N	12	14837	UROK	\N	\N
3560144	900	1994-06-30	PRIJEM	\N	73	28197	UROK	\N	\N
3560145	900	1994-07-31	PRIJEM	\N	122	32844	UROK	\N	\N
3560146	900	1994-08-31	PRIJEM	\N	135	32004	UROK	\N	\N
3560147	900	1994-09-30	PRIJEM	\N	133	27612	UROK	\N	\N
3560148	900	1994-10-31	PRIJEM	\N	113	25786	UROK	\N	\N
3560149	900	1994-11-30	PRIJEM	\N	109	23835	UROK	\N	\N
3560150	900	1994-12-31	PRIJEM	\N	114	26452	UROK	\N	\N
3560151	900	1995-01-31	PRIJEM	\N	96	14748	UROK	\N	\N
3560152	900	1995-02-28	PRIJEM	\N	73	20002	UROK	\N	\N
3560153	900	1995-03-31	PRIJEM	\N	89	21251	UROK	\N	\N
3560154	900	1995-04-30	PRIJEM	\N	97	24609	UROK	\N	\N
3560155	900	1995-05-31	PRIJEM	\N	107	25276	UROK	\N	\N
3560156	900	1995-06-30	PRIJEM	\N	94	19873	UROK	\N	\N
3560157	900	1995-07-31	PRIJEM	\N	85	19958	UROK	\N	\N
3560158	900	1995-08-31	PRIJEM	\N	84	20642	UROK	\N	\N
3560159	900	1995-09-30	PRIJEM	\N	95	24097	UROK	\N	\N
3560160	900	1995-10-31	PRIJEM	\N	105	25163	UROK	\N	\N
3560161	900	1995-11-30	PRIJEM	\N	96	19179	UROK	\N	\N
3560162	900	1995-12-31	PRIJEM	\N	85	18146	UROK	\N	\N
3560163	900	1996-01-31	PRIJEM	\N	69	13116	UROK	\N	\N
3560164	900	1996-02-29	PRIJEM	\N	62	16139	UROK	\N	\N
3560165	900	1996-03-31	PRIJEM	\N	77	20076	UROK	\N	\N
3560166	900	1996-04-30	PRIJEM	\N	81	18418	UROK	\N	\N
3560167	900	1996-05-31	PRIJEM	\N	83	20561	UROK	\N	\N
3560168	900	1996-06-30	PRIJEM	\N	93	22476	UROK	\N	\N
3560169	900	1996-07-31	PRIJEM	\N	74	13971	UROK	\N	\N
3560170	900	1996-08-31	PRIJEM	\N	60	14791	UROK	\N	\N
3560171	900	1996-09-30	PRIJEM	\N	61	14512	UROK	\N	\N
3560172	900	1996-10-31	PRIJEM	\N	57	13430	UROK	\N	\N
3560173	900	1996-11-30	PRIJEM	\N	51	11661	UROK	\N	\N
3560174	900	1996-12-31	PRIJEM	\N	60	14244	UROK	\N	\N
3560175	900	1997-01-31	PRIJEM	\N	59	13863	UROK	\N	\N
3560176	900	1997-02-28	PRIJEM	\N	58	13581	UROK	\N	\N
3560177	900	1997-03-31	PRIJEM	\N	50	11591	UROK	\N	\N
3560178	900	1997-04-30	PRIJEM	\N	53	13205	UROK	\N	\N
3560179	900	1997-05-31	PRIJEM	\N	60	14925	UROK	\N	\N
3560180	900	1997-06-30	PRIJEM	\N	66	15374	UROK	\N	\N
3560181	900	1997-07-31	PRIJEM	\N	44	8778	UROK	\N	\N
3560182	900	1997-08-31	PRIJEM	\N	31	5970	UROK	\N	\N
3560183	900	1997-09-30	PRIJEM	\N	32	8962	UROK	\N	\N
3560184	900	1997-10-31	PRIJEM	\N	45	11967	UROK	\N	\N
3560185	900	1997-11-30	PRIJEM	\N	57	14985	UROK	\N	\N
3560186	900	1997-12-31	PRIJEM	\N	73	17441	UROK	\N	\N
3560187	900	1998-01-31	PRIJEM	\N	62	14623	UROK	\N	\N
3560188	900	1998-02-28	PRIJEM	\N	68	17651	UROK	\N	\N
3560189	900	1998-03-31	PRIJEM	\N	84	20596	UROK	\N	\N
3560190	900	1998-04-30	PRIJEM	\N	72	16128	UROK	\N	\N
3560191	900	1998-05-31	PRIJEM	\N	68	16157	UROK	\N	\N
3560192	900	1998-06-30	PRIJEM	\N	86	23666	UROK	\N	\N
3560193	900	1998-07-31	PRIJEM	\N	89	20616	UROK	\N	\N
3560194	900	1998-08-31	PRIJEM	\N	70	14886	UROK	\N	\N
3560195	900	1998-09-30	PRIJEM	\N	69	17915	UROK	\N	\N
3560196	900	1998-10-31	PRIJEM	\N	77	18653	UROK	\N	\N
3560197	900	1998-11-30	PRIJEM	\N	89	22202	UROK	\N	\N
3560198	900	1998-12-31	PRIJEM	\N	102	22847	UROK	\N	\N
3560199	901	1994-07-31	PRIJEM	\N	16	5534	UROK	\N	\N
3560200	901	1994-08-31	PRIJEM	\N	23	10175	UROK	\N	\N
3560201	901	1994-09-30	PRIJEM	\N	23	14816	UROK	\N	\N
3560202	901	1994-10-31	PRIJEM	\N	23	19457	UROK	\N	\N
3560203	901	1994-11-30	PRIJEM	\N	67	22232	UROK	\N	\N
3560204	901	1994-12-31	PRIJEM	\N	100	25025	UROK	\N	\N
3560205	901	1995-01-31	PRIJEM	\N	94	19412	UROK	\N	\N
3560206	901	1995-02-28	PRIJEM	\N	88	22193	UROK	\N	\N
3560207	901	1995-03-31	PRIJEM	\N	93	21219	UROK	\N	\N
3560208	901	1995-04-30	PRIJEM	\N	96	24008	UROK	\N	\N
3560209	901	1995-05-31	PRIJEM	\N	107	26809	UROK	\N	\N
3560210	901	1995-06-30	PRIJEM	\N	113	27415	UROK	\N	\N
3560211	901	1995-07-31	PRIJEM	\N	110	25179	UROK	\N	\N
3560212	901	1995-08-31	PRIJEM	\N	110	26882	UROK	\N	\N
3560213	901	1995-09-30	PRIJEM	\N	119	29694	UROK	\N	\N
3560214	901	1995-10-31	PRIJEM	\N	119	27887	UROK	\N	\N
3560215	901	1995-11-30	PRIJEM	\N	121	27261	UROK	\N	\N
3560216	901	1995-12-31	PRIJEM	\N	117	28472	UROK	\N	\N
3560217	901	1996-01-31	PRIJEM	\N	108	20873	UROK	\N	\N
3560218	901	1996-02-29	PRIJEM	\N	94	23660	UROK	\N	\N
3560219	901	1996-03-31	PRIJEM	\N	106	26459	UROK	\N	\N
3560220	901	1996-04-30	PRIJEM	\N	109	26222	UROK	\N	\N
3560221	901	1996-05-31	PRIJEM	\N	110	25245	UROK	\N	\N
3560222	901	1996-06-30	PRIJEM	\N	111	24549	UROK	\N	\N
3560223	901	1996-07-31	PRIJEM	\N	107	25789	UROK	\N	\N
3560224	901	1996-08-31	PRIJEM	\N	113	26296	UROK	\N	\N
3560225	901	1996-09-30	PRIJEM	\N	116	27705	UROK	\N	\N
3560226	901	1996-10-31	PRIJEM	\N	122	29640	UROK	\N	\N
3560227	901	1996-11-30	PRIJEM	\N	121	26134	UROK	\N	\N
3560228	901	1996-12-31	PRIJEM	\N	116	28943	UROK	\N	\N
3560229	901	1997-01-31	PRIJEM	\N	116	26153	UROK	\N	\N
3560230	901	1997-02-28	PRIJEM	\N	107	25433	UROK	\N	\N
3560231	901	1997-03-31	PRIJEM	\N	113	28239	UROK	\N	\N
3560232	901	1997-04-30	PRIJEM	\N	122	28354	UROK	\N	\N
3560233	901	1997-05-31	PRIJEM	\N	121	27669	UROK	\N	\N
3560234	901	1997-06-30	PRIJEM	\N	121	30284	UROK	\N	\N
3560235	901	1997-07-31	PRIJEM	\N	128	28705	UROK	\N	\N
3560236	901	1997-08-31	PRIJEM	\N	122	27620	UROK	\N	\N
3560237	901	1997-09-30	PRIJEM	\N	110	25644	UROK	\N	\N
3560238	901	1997-10-31	PRIJEM	\N	108	24445	UROK	\N	\N
3560239	901	1997-11-30	PRIJEM	\N	108	27246	UROK	\N	\N
3560240	901	1997-12-31	PRIJEM	\N	117	28557	UROK	\N	\N
3560241	901	1998-01-31	PRIJEM	\N	105	22295	UROK	\N	\N
3560242	901	1998-02-28	PRIJEM	\N	98	25087	UROK	\N	\N
3560243	901	1998-03-31	PRIJEM	\N	107	26687	UROK	\N	\N
3560244	901	1998-04-30	PRIJEM	\N	117	29497	UROK	\N	\N
3560245	901	1998-05-31	PRIJEM	\N	126	30076	UROK	\N	\N
3560246	901	1998-06-30	PRIJEM	\N	131	32901	UROK	\N	\N
3560247	901	1998-07-31	PRIJEM	\N	143	35737	UROK	\N	\N
3560248	901	1998-08-31	PRIJEM	\N	150	36420	UROK	\N	\N
3560249	901	1998-09-30	PRIJEM	\N	157	39271	UROK	\N	\N
3560250	901	1998-10-31	PRIJEM	\N	166	40730	UROK	\N	\N
3560251	901	1998-11-30	PRIJEM	\N	169	40692	UROK	\N	\N
3560252	901	1998-12-31	PRIJEM	\N	175	43560	UROK	\N	\N
3560253	902	1993-07-31	PRIJEM	\N	6	14637	UROK	\N	\N
3560254	902	1993-08-31	PRIJEM	\N	66	24034	UROK	\N	\N
3560255	902	1993-09-30	PRIJEM	\N	103	29768	UROK	\N	\N
3560256	902	1993-10-31	PRIJEM	\N	125	31824	UROK	\N	\N
3560257	902	1993-11-30	PRIJEM	\N	144	31444	UROK	\N	\N
3560258	902	1993-12-31	PRIJEM	\N	153	31923	UROK	\N	\N
3560259	902	1994-01-31	PRIJEM	\N	118	23602	UROK	\N	\N
3560260	902	1994-02-28	PRIJEM	\N	110	24073	UROK	\N	\N
3560261	902	1994-03-31	PRIJEM	\N	115	28250	UROK	\N	\N
3560262	902	1994-04-30	PRIJEM	\N	125	29756	UROK	\N	\N
3560263	902	1994-05-31	PRIJEM	\N	132	27050	UROK	\N	\N
3560264	902	1994-06-30	PRIJEM	\N	135	30831	UROK	\N	\N
3560265	902	1994-07-31	PRIJEM	\N	135	27928	UROK	\N	\N
3560266	902	1994-08-31	PRIJEM	\N	124	26313	UROK	\N	\N
3560267	902	1994-09-30	PRIJEM	\N	112	25926	UROK	\N	\N
3560268	902	1994-10-31	PRIJEM	\N	121	28708	UROK	\N	\N
3560269	902	1994-11-30	PRIJEM	\N	126	28655	UROK	\N	\N
3560270	902	1994-12-31	PRIJEM	\N	139	31000	UROK	\N	\N
3560271	902	1995-01-31	PRIJEM	\N	89	21751	UROK	\N	\N
3560272	902	1995-02-28	PRIJEM	\N	95	16408	UROK	\N	\N
3560273	902	1995-03-31	PRIJEM	\N	91	26460	UROK	\N	\N
3560274	902	1995-04-30	PRIJEM	\N	112	26313	UROK	\N	\N
3560275	902	1995-05-31	PRIJEM	\N	119	27193	UROK	\N	\N
3560276	902	1995-06-30	PRIJEM	\N	133	31053	UROK	\N	\N
3560277	902	1995-07-31	PRIJEM	\N	134	29748	UROK	\N	\N
3560278	902	1995-08-31	PRIJEM	\N	128	28337	UROK	\N	\N
3560279	902	1995-09-30	PRIJEM	\N	123	27621	UROK	\N	\N
3560280	902	1995-10-31	PRIJEM	\N	122	28205	UROK	\N	\N
3560281	902	1995-11-30	PRIJEM	\N	118	25984	UROK	\N	\N
3560282	902	1995-12-31	PRIJEM	\N	121	26432	UROK	\N	\N
3560283	902	1996-01-31	PRIJEM	\N	94	15627	UROK	\N	\N
3560284	902	1996-02-29	PRIJEM	\N	83	21471	UROK	\N	\N
3560285	902	1996-03-31	PRIJEM	\N	85	17177	UROK	\N	\N
3560286	902	1996-04-30	PRIJEM	\N	85	21123	UROK	\N	\N
3560287	902	1996-05-31	PRIJEM	\N	83	18487	UROK	\N	\N
3560288	902	1996-06-30	PRIJEM	\N	95	23009	UROK	\N	\N
3560289	902	1996-07-31	PRIJEM	\N	91	19761	UROK	\N	\N
3560290	902	1996-08-31	PRIJEM	\N	95	21717	UROK	\N	\N
3560291	902	1996-09-30	PRIJEM	\N	82	17880	UROK	\N	\N
3560292	902	1996-10-31	PRIJEM	\N	81	19422	UROK	\N	\N
3560293	902	1996-11-30	PRIJEM	\N	87	21071	UROK	\N	\N
3560294	902	1996-12-31	PRIJEM	\N	100	24478	UROK	\N	\N
3560295	902	1997-01-31	PRIJEM	\N	83	16782	UROK	\N	\N
3560296	902	1997-02-28	PRIJEM	\N	96	25039	UROK	\N	\N
3560297	902	1997-03-31	PRIJEM	\N	115	28316	UROK	\N	\N
3560298	902	1997-04-30	PRIJEM	\N	116	26993	UROK	\N	\N
3560299	902	1997-05-31	PRIJEM	\N	102	22756	UROK	\N	\N
3560300	902	1997-06-30	PRIJEM	\N	96	23079	UROK	\N	\N
3560301	902	1997-07-31	PRIJEM	\N	77	16397	UROK	\N	\N
3560302	902	1997-08-31	PRIJEM	\N	59	13817	UROK	\N	\N
3560303	902	1997-09-30	PRIJEM	\N	50	11428	UROK	\N	\N
3560304	902	1997-10-31	PRIJEM	\N	60	15349	UROK	\N	\N
3560305	902	1997-11-30	PRIJEM	\N	76	19286	UROK	\N	\N
3560306	902	1997-12-31	PRIJEM	\N	96	21549	UROK	\N	\N
3560307	902	1998-01-31	PRIJEM	\N	72	15763	UROK	\N	\N
3560308	902	1998-02-28	PRIJEM	\N	77	19701	UROK	\N	\N
3560309	902	1998-03-31	PRIJEM	\N	94	23656	UROK	\N	\N
3560310	902	1998-04-30	PRIJEM	\N	110	27628	UROK	\N	\N
3560311	902	1998-05-31	PRIJEM	\N	80	17869	UROK	\N	\N
3560312	902	1998-06-30	PRIJEM	\N	99	25694	UROK	\N	\N
3560313	902	1998-07-31	PRIJEM	\N	81	18636	UROK	\N	\N
3560314	902	1998-08-31	PRIJEM	\N	88	21145	UROK	\N	\N
3560315	902	1998-09-30	PRIJEM	\N	81	19688	UROK	\N	\N
3560316	902	1998-10-31	PRIJEM	\N	89	22078	UROK	\N	\N
3560317	902	1998-11-30	PRIJEM	\N	102	26041	UROK	\N	\N
3560318	902	1998-12-31	PRIJEM	\N	91	21118	UROK	\N	\N
3560319	903	1993-12-31	PRIJEM	\N	15	4986	UROK	\N	\N
3560320	903	1994-01-31	PRIJEM	\N	54	16411	UROK	\N	\N
3560321	903	1994-02-28	PRIJEM	\N	97	26579	UROK	\N	\N
3560322	903	1994-03-31	PRIJEM	\N	117	28767	UROK	\N	\N
3560323	903	1994-04-30	PRIJEM	\N	123	29881	UROK	\N	\N
3560324	903	1994-05-31	PRIJEM	\N	128	30985	UROK	\N	\N
3560325	903	1994-06-30	PRIJEM	\N	96	19717	UROK	\N	\N
3560326	903	1994-07-31	PRIJEM	\N	96	24290	UROK	\N	\N
3560327	903	1994-08-31	PRIJEM	\N	109	26675	UROK	\N	\N
3560328	903	1994-09-30	PRIJEM	\N	109	25961	UROK	\N	\N
3560329	903	1994-10-31	PRIJEM	\N	112	27250	UROK	\N	\N
3560330	903	1994-11-30	PRIJEM	\N	112	26638	UROK	\N	\N
3560331	903	1994-12-31	PRIJEM	\N	99	22683	UROK	\N	\N
3560332	903	1995-01-31	PRIJEM	\N	93	20222	UROK	\N	\N
3560333	903	1995-02-28	PRIJEM	\N	83	19842	UROK	\N	\N
3560334	903	1995-03-31	PRIJEM	\N	84	20303	UROK	\N	\N
3560335	903	1995-04-30	PRIJEM	\N	89	20878	UROK	\N	\N
3560336	903	1995-05-31	PRIJEM	\N	80	18334	UROK	\N	\N
3560337	903	1995-06-30	PRIJEM	\N	79	18709	UROK	\N	\N
3560338	903	1995-07-31	PRIJEM	\N	76	18062	UROK	\N	\N
3560339	903	1995-08-31	PRIJEM	\N	81	19919	UROK	\N	\N
3560340	903	1995-09-30	PRIJEM	\N	85	20581	UROK	\N	\N
3560341	903	1995-10-31	PRIJEM	\N	85	20343	UROK	\N	\N
3560342	903	1995-11-30	PRIJEM	\N	85	20704	UROK	\N	\N
3560343	903	1995-12-31	PRIJEM	\N	88	19759	UROK	\N	\N
3560344	903	1996-01-31	PRIJEM	\N	75	14200	UROK	\N	\N
3560345	903	1996-02-29	PRIJEM	\N	62	13838	UROK	\N	\N
3560346	903	1996-03-31	PRIJEM	\N	60	13674	UROK	\N	\N
3560347	903	1996-04-30	PRIJEM	\N	60	16421	UROK	\N	\N
3560348	903	1996-05-31	PRIJEM	\N	72	18569	UROK	\N	\N
3560349	903	1996-06-30	PRIJEM	\N	69	16855	UROK	\N	\N
3560350	903	1996-07-31	PRIJEM	\N	70	13401	UROK	\N	\N
3560351	903	1996-08-31	PRIJEM	\N	59	15837	UROK	\N	\N
3560352	903	1996-09-30	PRIJEM	\N	66	14479	UROK	\N	\N
3560353	903	1996-10-31	PRIJEM	\N	63	16019	UROK	\N	\N
3560354	903	1996-11-30	PRIJEM	\N	67	14662	UROK	\N	\N
3560355	903	1996-12-31	PRIJEM	\N	61	13359	UROK	\N	\N
3560356	903	1997-01-31	PRIJEM	\N	57	13232	UROK	\N	\N
3560357	903	1997-02-28	PRIJEM	\N	54	11463	UROK	\N	\N
3560358	903	1997-03-31	PRIJEM	\N	50	12789	UROK	\N	\N
3560359	903	1997-04-30	PRIJEM	\N	56	14121	UROK	\N	\N
3560360	903	1997-05-31	PRIJEM	\N	60	14437	UROK	\N	\N
3560361	903	1997-06-30	PRIJEM	\N	61	14965	UROK	\N	\N
3560362	903	1997-07-31	PRIJEM	\N	65	16306	UROK	\N	\N
3560363	903	1997-08-31	PRIJEM	\N	67	16539	UROK	\N	\N
3560364	903	1997-09-30	PRIJEM	\N	71	17887	UROK	\N	\N
3560365	903	1997-10-31	PRIJEM	\N	77	19240	UROK	\N	\N
3560366	903	1997-11-30	PRIJEM	\N	81	20027	UROK	\N	\N
3560367	903	1997-12-31	PRIJEM	\N	85	21179	UROK	\N	\N
3560368	903	1998-01-31	PRIJEM	\N	80	18395	UROK	\N	\N
3560369	903	1998-02-28	PRIJEM	\N	78	19750	UROK	\N	\N
3560370	903	1998-03-31	PRIJEM	\N	84	21110	UROK	\N	\N
3560371	903	1998-04-30	PRIJEM	\N	76	15013	UROK	\N	\N
3560372	903	1998-05-31	PRIJEM	\N	56	12246	UROK	\N	\N
3560373	903	1998-06-30	PRIJEM	\N	52	13574	UROK	\N	\N
3560374	903	1998-07-31	PRIJEM	\N	58	14909	UROK	\N	\N
3560375	903	1998-08-31	PRIJEM	\N	64	16249	UROK	\N	\N
3560376	903	1998-09-30	PRIJEM	\N	68	17023	UROK	\N	\N
3560377	903	1998-10-31	PRIJEM	\N	72	18371	UROK	\N	\N
3560378	903	1998-11-30	PRIJEM	\N	78	19725	UROK	\N	\N
3560379	903	1998-12-31	PRIJEM	\N	82	20334	UROK	\N	\N
3560380	905	1997-01-31	PRIJEM	\N	49	16613	UROK	\N	\N
3560381	905	1997-02-28	PRIJEM	\N	85	22062	UROK	\N	\N
3560382	905	1997-03-31	PRIJEM	\N	93	22419	UROK	\N	\N
3560383	905	1997-04-30	PRIJEM	\N	91	21674	UROK	\N	\N
3560384	905	1997-05-31	PRIJEM	\N	81	17580	UROK	\N	\N
3560385	905	1997-06-30	PRIJEM	\N	76	18201	UROK	\N	\N
3560386	905	1997-07-31	PRIJEM	\N	70	15445	UROK	\N	\N
3560387	905	1997-08-31	PRIJEM	\N	65	14964	UROK	\N	\N
3560388	905	1997-09-30	PRIJEM	\N	61	14398	UROK	\N	\N
3560389	905	1997-10-31	PRIJEM	\N	68	16040	UROK	\N	\N
3560390	905	1997-11-30	PRIJEM	\N	78	18591	UROK	\N	\N
3560391	905	1997-12-31	PRIJEM	\N	92	22388	UROK	\N	\N
3560392	905	1998-01-31	PRIJEM	\N	72	14833	UROK	\N	\N
3560393	905	1998-02-28	PRIJEM	\N	75	17981	UROK	\N	\N
3560394	905	1998-03-31	PRIJEM	\N	88	21142	UROK	\N	\N
3560395	905	1998-04-30	PRIJEM	\N	70	14485	UROK	\N	\N
3560396	905	1998-05-31	PRIJEM	\N	73	17631	UROK	\N	\N
3560397	905	1998-06-30	PRIJEM	\N	85	20521	UROK	\N	\N
3560398	905	1998-07-31	PRIJEM	\N	67	13801	UROK	\N	\N
3560399	905	1998-08-31	PRIJEM	\N	64	13339	UROK	\N	\N
3560400	905	1998-09-30	PRIJEM	\N	68	16481	UROK	\N	\N
3560401	905	1998-10-31	PRIJEM	\N	76	13990	UROK	\N	\N
3560402	905	1998-11-30	PRIJEM	\N	71	17134	UROK	\N	\N
3560403	905	1998-12-31	PRIJEM	\N	88	21828	UROK	\N	\N
3560404	906	1998-05-31	PRIJEM	\N	49	15264	UROK	\N	\N
3560405	906	1998-06-30	PRIJEM	\N	61	14362	UROK	\N	\N
3560406	906	1998-07-31	PRIJEM	\N	56	12854	UROK	\N	\N
3560407	906	1998-08-31	PRIJEM	\N	54	12995	UROK	\N	\N
3560408	906	1998-09-30	PRIJEM	\N	58	14159	UROK	\N	\N
3560409	906	1998-10-31	PRIJEM	\N	63	15328	UROK	\N	\N
3560410	906	1998-11-30	PRIJEM	\N	67	16501	UROK	\N	\N
3560411	906	1998-12-31	PRIJEM	\N	72	17350	UROK	\N	\N
3560412	907	1993-07-31	PRIJEM	\N	10	3488	UROK	\N	\N
3560413	907	1993-08-31	PRIJEM	\N	57	18422	UROK	\N	\N
3560414	907	1993-09-30	PRIJEM	\N	94	24794	UROK	\N	\N
3560415	907	1993-10-31	PRIJEM	\N	109	27082	UROK	\N	\N
3560416	907	1993-11-30	PRIJEM	\N	109	25601	UROK	\N	\N
3560417	907	1993-12-31	PRIJEM	\N	106	25062	UROK	\N	\N
3560418	907	1994-01-31	PRIJEM	\N	112	26370	UROK	\N	\N
3560419	907	1994-02-28	PRIJEM	\N	109	26024	UROK	\N	\N
3560420	907	1994-03-31	PRIJEM	\N	111	26980	UROK	\N	\N
3560421	907	1994-04-30	PRIJEM	\N	109	25634	UROK	\N	\N
3560422	907	1994-05-31	PRIJEM	\N	104	24583	UROK	\N	\N
3560423	907	1994-06-30	PRIJEM	\N	93	19942	UROK	\N	\N
3560424	907	1994-07-31	PRIJEM	\N	98	24545	UROK	\N	\N
3560425	907	1994-08-31	PRIJEM	\N	102	24492	UROK	\N	\N
3560426	907	1994-09-30	PRIJEM	\N	114	28852	UROK	\N	\N
3560427	907	1994-10-31	PRIJEM	\N	126	30923	UROK	\N	\N
3560428	907	1994-11-30	PRIJEM	\N	125	29593	UROK	\N	\N
3560429	907	1994-12-31	PRIJEM	\N	124	30032	UROK	\N	\N
3560430	907	1995-01-31	PRIJEM	\N	124	26852	UROK	\N	\N
3560431	907	1995-02-28	PRIJEM	\N	114	28011	UROK	\N	\N
3560432	907	1995-03-31	PRIJEM	\N	124	30981	UROK	\N	\N
3560433	907	1995-04-30	PRIJEM	\N	116	28543	UROK	\N	\N
3560434	907	1995-05-31	PRIJEM	\N	112	26970	UROK	\N	\N
3560435	907	1995-06-30	PRIJEM	\N	102	24917	UROK	\N	\N
3560436	907	1995-07-31	PRIJEM	\N	104	24707	UROK	\N	\N
3560437	907	1995-08-31	PRIJEM	\N	105	24757	UROK	\N	\N
3560438	907	1995-09-30	PRIJEM	\N	105	25108	UROK	\N	\N
3560439	907	1995-10-31	PRIJEM	\N	105	23458	UROK	\N	\N
3560440	907	1995-11-30	PRIJEM	\N	99	23602	UROK	\N	\N
3560441	907	1995-12-31	PRIJEM	\N	100	25678	UROK	\N	\N
3560442	907	1996-01-31	PRIJEM	\N	108	26341	UROK	\N	\N
3560443	907	1996-02-29	PRIJEM	\N	106	21882	UROK	\N	\N
3560444	907	1996-03-31	PRIJEM	\N	93	22710	UROK	\N	\N
3560445	907	1996-04-30	PRIJEM	\N	93	20549	UROK	\N	\N
3560446	907	1996-05-31	PRIJEM	\N	83	17277	UROK	\N	\N
3560447	907	1996-06-30	PRIJEM	\N	69	14601	UROK	\N	\N
3560448	907	1996-07-31	PRIJEM	\N	65	17811	UROK	\N	\N
3560449	907	1996-08-31	PRIJEM	\N	78	20435	UROK	\N	\N
3560450	907	1996-09-30	PRIJEM	\N	82	18262	UROK	\N	\N
3560451	907	1996-10-31	PRIJEM	\N	78	19235	UROK	\N	\N
3560452	907	1996-11-30	PRIJEM	\N	78	17908	UROK	\N	\N
3560453	907	1996-12-31	PRIJEM	\N	76	18529	UROK	\N	\N
3560454	907	1997-01-31	PRIJEM	\N	68	14573	UROK	\N	\N
3560455	907	1997-02-28	PRIJEM	\N	65	17784	UROK	\N	\N
3560456	907	1997-03-31	PRIJEM	\N	75	18604	UROK	\N	\N
3560457	907	1997-04-30	PRIJEM	\N	73	16323	UROK	\N	\N
3560458	907	1997-05-31	PRIJEM	\N	70	17938	UROK	\N	\N
3560459	907	1997-06-30	PRIJEM	\N	70	16053	UROK	\N	\N
3560460	907	1997-07-31	PRIJEM	\N	67	17455	UROK	\N	\N
3560461	907	1997-08-31	PRIJEM	\N	71	17472	UROK	\N	\N
3560462	907	1997-09-30	PRIJEM	\N	69	16587	UROK	\N	\N
3560463	907	1997-10-31	PRIJEM	\N	72	18174	UROK	\N	\N
3560464	907	1997-11-30	PRIJEM	\N	75	18695	UROK	\N	\N
3560465	907	1997-12-31	PRIJEM	\N	75	18305	UROK	\N	\N
3560466	907	1998-01-31	PRIJEM	\N	68	15499	UROK	\N	\N
3560467	907	1998-02-28	PRIJEM	\N	69	17853	UROK	\N	\N
3560468	907	1998-03-31	PRIJEM	\N	68	16836	UROK	\N	\N
3560469	907	1998-04-30	PRIJEM	\N	70	17951	UROK	\N	\N
3560470	907	1998-05-31	PRIJEM	\N	62	13759	UROK	\N	\N
3560471	907	1998-06-30	PRIJEM	\N	57	14862	UROK	\N	\N
3560472	907	1998-07-31	PRIJEM	\N	62	15969	UROK	\N	\N
3560473	907	1998-08-31	PRIJEM	\N	67	17081	UROK	\N	\N
3560474	907	1998-09-30	PRIJEM	\N	64	15320	UROK	\N	\N
3560475	907	1998-10-31	PRIJEM	\N	58	14324	UROK	\N	\N
3560476	907	1998-11-30	PRIJEM	\N	59	15429	UROK	\N	\N
3560477	907	1998-12-31	PRIJEM	\N	64	16358	UROK	\N	\N
3560478	909	1997-09-30	PRIJEM	\N	9	3834	UROK	\N	\N
3560479	909	1997-10-31	PRIJEM	\N	16	6775	UROK	\N	\N
3560480	909	1997-11-30	PRIJEM	\N	16	9716	UROK	\N	\N
3560481	909	1997-12-31	PRIJEM	\N	16	12657	UROK	\N	\N
3560482	909	1998-01-31	PRIJEM	\N	35	13576	UROK	\N	\N
3560483	909	1998-02-28	PRIJEM	\N	59	14596	UROK	\N	\N
3560484	909	1998-03-31	PRIJEM	\N	63	14449	UROK	\N	\N
3560485	909	1998-04-30	PRIJEM	\N	62	15231	UROK	\N	\N
3560486	909	1998-05-31	PRIJEM	\N	63	15894	UROK	\N	\N
3560487	909	1998-06-30	PRIJEM	\N	68	16082	UROK	\N	\N
3560488	909	1998-07-31	PRIJEM	\N	69	17112	UROK	\N	\N
3560489	909	1998-08-31	PRIJEM	\N	74	18146	UROK	\N	\N
3560490	909	1998-09-30	PRIJEM	\N	78	19184	UROK	\N	\N
3560491	909	1998-10-31	PRIJEM	\N	82	20227	UROK	\N	\N
3560492	909	1998-11-30	PRIJEM	\N	87	21274	UROK	\N	\N
3560493	909	1998-12-31	PRIJEM	\N	86	21420	UROK	\N	\N
3560494	910	1997-02-28	PRIJEM	\N	19	6227	UROK	\N	\N
3560495	910	1997-03-31	PRIJEM	\N	26	11360	UROK	\N	\N
3560496	910	1997-04-30	PRIJEM	\N	26	16494	UROK	\N	\N
3560497	910	1997-05-31	PRIJEM	\N	26	21628	UROK	\N	\N
3560498	910	1997-06-30	PRIJEM	\N	57	19243	UROK	\N	\N
3560499	910	1997-07-31	PRIJEM	\N	84	20722	UROK	\N	\N
3560500	910	1997-08-31	PRIJEM	\N	96	23975	UROK	\N	\N
3560501	910	1997-09-30	PRIJEM	\N	110	27241	UROK	\N	\N
3560502	910	1997-10-31	PRIJEM	\N	121	27398	UROK	\N	\N
3560503	910	1997-11-30	PRIJEM	\N	124	30679	UROK	\N	\N
3560504	910	1997-12-31	PRIJEM	\N	132	31727	UROK	\N	\N
3560505	910	1998-01-31	PRIJEM	\N	124	25798	UROK	\N	\N
3560506	910	1998-02-28	PRIJEM	\N	115	26829	UROK	\N	\N
3560507	910	1998-03-31	PRIJEM	\N	122	30107	UROK	\N	\N
3560508	910	1998-04-30	PRIJEM	\N	135	33399	UROK	\N	\N
3560509	910	1998-05-31	PRIJEM	\N	149	36704	UROK	\N	\N
3560510	910	1998-06-30	PRIJEM	\N	158	36818	UROK	\N	\N
3560511	910	1998-07-31	PRIJEM	\N	163	40138	UROK	\N	\N
3560512	910	1998-08-31	PRIJEM	\N	177	43471	UROK	\N	\N
3560513	910	1998-09-30	PRIJEM	\N	186	40514	UROK	\N	\N
3560514	910	1998-10-31	PRIJEM	\N	172	35842	UROK	\N	\N
3560515	910	1998-11-30	PRIJEM	\N	143	32421	UROK	\N	\N
3560516	910	1998-12-31	PRIJEM	\N	142	34669	UROK	\N	\N
3560517	911	1996-08-31	PRIJEM	\N	10	10425	UROK	\N	\N
3560518	911	1996-09-30	PRIJEM	\N	43	15268	UROK	\N	\N
3560519	911	1996-10-31	PRIJEM	\N	144	49880	UROK	\N	\N
3560520	911	1996-11-30	PRIJEM	\N	239	75169	UROK	\N	\N
3560521	911	1996-12-31	PRIJEM	\N	312	49481	UROK	\N	\N
3560522	911	1997-01-31	PRIJEM	\N	221	45621	UROK	\N	\N
3560523	911	1997-02-28	PRIJEM	\N	145	29768	UROK	\N	\N
3560524	911	1997-03-31	PRIJEM	\N	111	27697	UROK	\N	\N
3560525	911	1997-04-30	PRIJEM	\N	123	31021	UROK	\N	\N
3560526	911	1997-05-31	PRIJEM	\N	194	55833	UROK	\N	\N
3560527	911	1997-06-30	PRIJEM	\N	312	82790	UROK	\N	\N
3560528	911	1997-07-31	PRIJEM	\N	216	46388	UROK	\N	\N
3560529	911	1997-08-31	PRIJEM	\N	174	41579	UROK	\N	\N
3560530	911	1997-09-30	PRIJEM	\N	207	81203	UROK	\N	\N
3560531	911	1997-10-31	PRIJEM	\N	230	37388	UROK	\N	\N
3560532	911	1997-11-30	PRIJEM	\N	251	73173	UROK	\N	\N
3560533	911	1997-12-31	PRIJEM	\N	288	54714	UROK	\N	\N
3560534	911	1998-01-31	PRIJEM	\N	131	21146	UROK	\N	\N
3560535	911	1998-02-28	PRIJEM	\N	148	28911	UROK	\N	\N
3560536	911	1998-03-31	PRIJEM	\N	161	40389	UROK	\N	\N
3560537	911	1998-04-30	PRIJEM	\N	153	26066	UROK	\N	\N
3560538	911	1998-05-31	PRIJEM	\N	209	54294	UROK	\N	\N
3560539	911	1998-06-30	PRIJEM	\N	212	50024	UROK	\N	\N
3560540	911	1998-07-31	PRIJEM	\N	175	33495	UROK	\N	\N
3560541	911	1998-08-31	PRIJEM	\N	161	38974	UROK	\N	\N
3560542	911	1998-09-30	PRIJEM	\N	175	42967	UROK	\N	\N
3560543	911	1998-10-31	PRIJEM	\N	145	47393	UROK	\N	\N
3560544	911	1998-11-30	PRIJEM	\N	163	49574	UROK	\N	\N
3560545	911	1998-12-31	PRIJEM	\N	178	26930	UROK	\N	\N
3560546	912	1997-09-30	PRIJEM	\N	3	17898	UROK	\N	\N
3560547	912	1997-10-31	PRIJEM	\N	77	18977	UROK	\N	\N
3560548	912	1997-11-30	PRIJEM	\N	81	19070	UROK	\N	\N
3560549	912	1997-12-31	PRIJEM	\N	81	19854	UROK	\N	\N
3560550	912	1998-01-31	PRIJEM	\N	77	16673	UROK	\N	\N
3560551	912	1998-02-28	PRIJEM	\N	72	17297	UROK	\N	\N
3560552	912	1998-03-31	PRIJEM	\N	75	18525	UROK	\N	\N
3560553	912	1998-04-30	PRIJEM	\N	78	19275	UROK	\N	\N
3560554	912	1998-05-31	PRIJEM	\N	82	20269	UROK	\N	\N
3560555	912	1998-06-30	PRIJEM	\N	84	19226	UROK	\N	\N
3560556	912	1998-07-31	PRIJEM	\N	83	20462	UROK	\N	\N
3560557	912	1998-08-31	PRIJEM	\N	88	21702	UROK	\N	\N
3560558	912	1998-09-30	PRIJEM	\N	93	22948	UROK	\N	\N
3560559	912	1998-10-31	PRIJEM	\N	99	24198	UROK	\N	\N
3560560	912	1998-11-30	PRIJEM	\N	95	21136	UROK	\N	\N
3560561	912	1998-12-31	PRIJEM	\N	84	18703	UROK	\N	\N
3560562	913	1996-06-30	PRIJEM	\N	68	22182	UROK	\N	\N
3560563	913	1996-07-31	PRIJEM	\N	110	27867	UROK	\N	\N
3560564	913	1996-08-31	PRIJEM	\N	115	27658	UROK	\N	\N
3560565	913	1996-09-30	PRIJEM	\N	123	30057	UROK	\N	\N
3560566	913	1996-10-31	PRIJEM	\N	116	23165	UROK	\N	\N
3560567	913	1996-11-30	PRIJEM	\N	74	13097	UROK	\N	\N
3560568	913	1996-12-31	PRIJEM	\N	90	22402	UROK	\N	\N
3560569	913	1997-01-31	PRIJEM	\N	108	15488	UROK	\N	\N
3560570	913	1997-02-28	PRIJEM	\N	101	25366	UROK	\N	\N
3560571	913	1997-03-31	PRIJEM	\N	102	21826	UROK	\N	\N
3560572	913	1997-04-30	PRIJEM	\N	115	27878	UROK	\N	\N
3560573	913	1997-05-31	PRIJEM	\N	148	36204	UROK	\N	\N
3560574	913	1997-06-30	PRIJEM	\N	168	35507	UROK	\N	\N
3560575	913	1997-07-31	PRIJEM	\N	165	39949	UROK	\N	\N
3560576	913	1997-08-31	PRIJEM	\N	172	40898	UROK	\N	\N
3560577	913	1997-09-30	PRIJEM	\N	171	38467	UROK	\N	\N
3560578	913	1997-10-31	PRIJEM	\N	164	39008	UROK	\N	\N
3560579	913	1997-11-30	PRIJEM	\N	166	38251	UROK	\N	\N
3560580	913	1997-12-31	PRIJEM	\N	188	45654	UROK	\N	\N
3560581	913	1998-01-31	PRIJEM	\N	164	30015	UROK	\N	\N
3560582	913	1998-02-28	PRIJEM	\N	123	28736	UROK	\N	\N
3560583	913	1998-03-31	PRIJEM	\N	158	39171	UROK	\N	\N
3560584	913	1998-04-30	PRIJEM	\N	176	36885	UROK	\N	\N
3560585	913	1998-05-31	PRIJEM	\N	163	40625	UROK	\N	\N
3560586	913	1998-06-30	PRIJEM	\N	129	33970	UROK	\N	\N
3560587	913	1998-07-31	PRIJEM	\N	147	37254	UROK	\N	\N
3560588	913	1998-08-31	PRIJEM	\N	160	38111	UROK	\N	\N
3560589	913	1998-09-30	PRIJEM	\N	172	33761	UROK	\N	\N
3560590	913	1998-10-31	PRIJEM	\N	150	33028	UROK	\N	\N
3560591	913	1998-11-30	PRIJEM	\N	154	36059	UROK	\N	\N
3560592	913	1998-12-31	PRIJEM	\N	183	41697	UROK	\N	\N
3560593	914	1994-04-30	PRIJEM	\N	3	18043	UROK	\N	\N
3560594	914	1994-05-31	PRIJEM	\N	78	19256	UROK	\N	\N
3560595	914	1994-06-30	PRIJEM	\N	62	14543	UROK	\N	\N
3560596	914	1994-07-31	PRIJEM	\N	63	15291	UROK	\N	\N
3560597	914	1994-08-31	PRIJEM	\N	66	16493	UROK	\N	\N
3560598	914	1994-09-30	PRIJEM	\N	71	17700	UROK	\N	\N
3560599	914	1994-10-31	PRIJEM	\N	76	18491	UROK	\N	\N
3560600	914	1994-11-30	PRIJEM	\N	71	18048	UROK	\N	\N
3560601	914	1994-12-31	PRIJEM	\N	70	17303	UROK	\N	\N
3560602	914	1995-01-31	PRIJEM	\N	65	14213	UROK	\N	\N
3560603	914	1995-02-28	PRIJEM	\N	62	15411	UROK	\N	\N
3560604	914	1995-03-31	PRIJEM	\N	67	16613	UROK	\N	\N
3560605	914	1995-04-30	PRIJEM	\N	72	17820	UROK	\N	\N
3560606	914	1995-05-31	PRIJEM	\N	76	18431	UROK	\N	\N
3560607	914	1995-06-30	PRIJEM	\N	78	14875	UROK	\N	\N
3560608	914	1995-07-31	PRIJEM	\N	65	16075	UROK	\N	\N
3560609	914	1995-08-31	PRIJEM	\N	70	17280	UROK	\N	\N
3560610	914	1995-09-30	PRIJEM	\N	71	17886	UROK	\N	\N
3560611	914	1995-10-31	PRIJEM	\N	66	16287	UROK	\N	\N
3560612	914	1995-11-30	PRIJEM	\N	65	15778	UROK	\N	\N
3560613	914	1995-12-31	PRIJEM	\N	55	13419	UROK	\N	\N
3560614	914	1996-01-31	PRIJEM	\N	55	13409	UROK	\N	\N
3560615	914	1996-02-29	PRIJEM	\N	58	14602	UROK	\N	\N
3560616	914	1996-03-31	PRIJEM	\N	57	14395	UROK	\N	\N
3560617	914	1996-04-30	PRIJEM	\N	53	13383	UROK	\N	\N
3560618	914	1996-05-31	PRIJEM	\N	57	13946	UROK	\N	\N
3560619	914	1996-06-30	PRIJEM	\N	60	15142	UROK	\N	\N
3560620	914	1996-07-31	PRIJEM	\N	65	16343	UROK	\N	\N
3560621	914	1996-08-31	PRIJEM	\N	70	17548	UROK	\N	\N
3560622	914	1996-09-30	PRIJEM	\N	73	18607	UROK	\N	\N
3560623	914	1996-10-31	PRIJEM	\N	74	18376	UROK	\N	\N
3560624	914	1996-11-30	PRIJEM	\N	79	19590	UROK	\N	\N
3560625	914	1996-12-31	PRIJEM	\N	79	19424	UROK	\N	\N
3560626	914	1997-01-31	PRIJEM	\N	75	17545	UROK	\N	\N
3560627	914	1997-02-28	PRIJEM	\N	75	18485	UROK	\N	\N
3560628	914	1997-03-31	PRIJEM	\N	79	19700	UROK	\N	\N
3560629	914	1997-04-30	PRIJEM	\N	84	20919	UROK	\N	\N
3560630	914	1997-05-31	PRIJEM	\N	89	22144	UROK	\N	\N
3560631	914	1997-06-30	PRIJEM	\N	86	18445	UROK	\N	\N
3560632	914	1997-07-31	PRIJEM	\N	77	18577	UROK	\N	\N
3560633	914	1997-08-31	PRIJEM	\N	79	19792	UROK	\N	\N
3560634	914	1997-09-30	PRIJEM	\N	84	21012	UROK	\N	\N
3560635	914	1997-10-31	PRIJEM	\N	89	22236	UROK	\N	\N
3560636	914	1997-11-30	PRIJEM	\N	90	22561	UROK	\N	\N
3560637	914	1997-12-31	PRIJEM	\N	95	23612	UROK	\N	\N
3560638	914	1998-01-31	PRIJEM	\N	88	20756	UROK	\N	\N
3560639	914	1998-02-28	PRIJEM	\N	88	21979	UROK	\N	\N
3560640	914	1998-03-31	PRIJEM	\N	93	23207	UROK	\N	\N
3560641	914	1998-04-30	PRIJEM	\N	97	23030	UROK	\N	\N
3560642	914	1998-05-31	PRIJEM	\N	97	24263	UROK	\N	\N
3560643	914	1998-06-30	PRIJEM	\N	96	21594	UROK	\N	\N
3560644	914	1998-07-31	PRIJEM	\N	91	22821	UROK	\N	\N
3560645	914	1998-08-31	PRIJEM	\N	92	23298	UROK	\N	\N
3560646	914	1998-09-30	PRIJEM	\N	98	24532	UROK	\N	\N
3560647	914	1998-10-31	PRIJEM	\N	99	25077	UROK	\N	\N
3560648	914	1998-11-30	PRIJEM	\N	106	26318	UROK	\N	\N
3560649	914	1998-12-31	PRIJEM	\N	110	26752	UROK	\N	\N
3560650	915	1995-02-28	PRIJEM	\N	56	31250	UROK	\N	\N
3560651	915	1995-03-31	PRIJEM	\N	162	49706	UROK	\N	\N
3560652	915	1995-04-30	PRIJEM	\N	224	59424	UROK	\N	\N
3560653	915	1995-05-31	PRIJEM	\N	255	63672	UROK	\N	\N
3560654	915	1995-06-30	PRIJEM	\N	220	40842	UROK	\N	\N
3560655	915	1995-07-31	PRIJEM	\N	194	43524	UROK	\N	\N
3560656	915	1995-08-31	PRIJEM	\N	199	43711	UROK	\N	\N
3560657	915	1995-09-30	PRIJEM	\N	189	27808	UROK	\N	\N
3560658	915	1995-10-31	PRIJEM	\N	126	30273	UROK	\N	\N
3560659	915	1995-11-30	PRIJEM	\N	122	33007	UROK	\N	\N
3560660	915	1995-12-31	PRIJEM	\N	177	34971	UROK	\N	\N
3560661	915	1996-01-31	PRIJEM	\N	121	17331	UROK	\N	\N
3560662	915	1996-02-29	PRIJEM	\N	125	30795	UROK	\N	\N
3560663	915	1996-03-31	PRIJEM	\N	145	25059	UROK	\N	\N
3560664	915	1996-04-30	PRIJEM	\N	129	31928	UROK	\N	\N
3560665	915	1996-05-31	PRIJEM	\N	155	31722	UROK	\N	\N
3560666	915	1996-06-30	PRIJEM	\N	154	35562	UROK	\N	\N
3560667	915	1996-07-31	PRIJEM	\N	130	26631	UROK	\N	\N
3560668	915	1996-08-31	PRIJEM	\N	118	26789	UROK	\N	\N
3560669	915	1996-09-30	PRIJEM	\N	102	21030	UROK	\N	\N
3560670	915	1996-10-31	PRIJEM	\N	92	20262	UROK	\N	\N
3560671	915	1996-11-30	PRIJEM	\N	150	40251	UROK	\N	\N
3560672	915	1996-12-31	PRIJEM	\N	229	50123	UROK	\N	\N
3560673	915	1997-01-31	PRIJEM	\N	147	24209	UROK	\N	\N
3560674	915	1997-02-28	PRIJEM	\N	132	23965	UROK	\N	\N
3560675	915	1997-03-31	PRIJEM	\N	156	40660	UROK	\N	\N
3560676	915	1997-04-30	PRIJEM	\N	188	39087	UROK	\N	\N
3560677	915	1997-05-31	PRIJEM	\N	146	28132	UROK	\N	\N
3560678	915	1997-06-30	PRIJEM	\N	211	56930	UROK	\N	\N
3560679	915	1997-07-31	PRIJEM	\N	260	62929	UROK	\N	\N
3560680	915	1997-08-31	PRIJEM	\N	272	64740	UROK	\N	\N
3560681	915	1997-09-30	PRIJEM	\N	269	66149	UROK	\N	\N
3560682	915	1997-10-31	PRIJEM	\N	273	66861	UROK	\N	\N
3560683	915	1997-11-30	PRIJEM	\N	273	65373	UROK	\N	\N
3560684	915	1997-12-31	PRIJEM	\N	333	85292	UROK	\N	\N
3560685	915	1998-01-31	PRIJEM	\N	314	53546	UROK	\N	\N
3560686	915	1998-02-28	PRIJEM	\N	256	62670	UROK	\N	\N
3560687	915	1998-03-31	PRIJEM	\N	217	43466	UROK	\N	\N
3560688	915	1998-04-30	PRIJEM	\N	211	55050	UROK	\N	\N
3560689	915	1998-05-31	PRIJEM	\N	167	39956	UROK	\N	\N
3560690	915	1998-06-30	PRIJEM	\N	224	57116	UROK	\N	\N
3560691	915	1998-07-31	PRIJEM	\N	271	67026	UROK	\N	\N
3560692	915	1998-08-31	PRIJEM	\N	269	53234	UROK	\N	\N
3560693	915	1998-09-30	PRIJEM	\N	265	55543	UROK	\N	\N
3560694	915	1998-10-31	PRIJEM	\N	207	45986	UROK	\N	\N
3560695	915	1998-11-30	PRIJEM	\N	207	45841	UROK	\N	\N
3560696	915	1998-12-31	PRIJEM	\N	300	81327	UROK	\N	\N
3560697	916	1996-09-30	PRIJEM	\N	56	21213	UROK	\N	\N
3560698	916	1996-10-31	PRIJEM	\N	112	30082	UROK	\N	\N
3560699	916	1996-11-30	PRIJEM	\N	132	32570	UROK	\N	\N
3560700	916	1996-12-31	PRIJEM	\N	151	38107	UROK	\N	\N
3560701	916	1997-01-31	PRIJEM	\N	138	26543	UROK	\N	\N
3560702	916	1997-02-28	PRIJEM	\N	141	31727	UROK	\N	\N
3560703	916	1997-03-31	PRIJEM	\N	125	27875	UROK	\N	\N
3560704	916	1997-04-30	PRIJEM	\N	123	29841	UROK	\N	\N
3560705	916	1997-05-31	PRIJEM	\N	128	29833	UROK	\N	\N
3560706	916	1997-06-30	PRIJEM	\N	112	24377	UROK	\N	\N
3560707	916	1997-07-31	PRIJEM	\N	122	26142	UROK	\N	\N
3560708	916	1997-08-31	PRIJEM	\N	99	22884	UROK	\N	\N
3560709	916	1997-09-30	PRIJEM	\N	83	15070	UROK	\N	\N
3560710	916	1997-10-31	PRIJEM	\N	82	16675	UROK	\N	\N
3560711	916	1997-11-30	PRIJEM	\N	90	22089	UROK	\N	\N
3560712	916	1997-12-31	PRIJEM	\N	125	30946	UROK	\N	\N
3560713	916	1998-01-31	PRIJEM	\N	84	13394	UROK	\N	\N
3560714	916	1998-02-28	PRIJEM	\N	86	23823	UROK	\N	\N
3560715	916	1998-03-31	PRIJEM	\N	113	27680	UROK	\N	\N
3560716	916	1998-04-30	PRIJEM	\N	122	29344	UROK	\N	\N
3560717	916	1998-05-31	PRIJEM	\N	96	19724	UROK	\N	\N
3560718	916	1998-06-30	PRIJEM	\N	121	26396	UROK	\N	\N
3560719	916	1998-07-31	PRIJEM	\N	97	23957	UROK	\N	\N
3560720	916	1998-08-31	PRIJEM	\N	105	25305	UROK	\N	\N
3560721	916	1998-09-30	PRIJEM	\N	102	22610	UROK	\N	\N
3560722	916	1998-10-31	PRIJEM	\N	113	27966	UROK	\N	\N
3560723	916	1998-11-30	PRIJEM	\N	116	27826	UROK	\N	\N
3560724	916	1998-12-31	PRIJEM	\N	129	34047	UROK	\N	\N
3560725	917	1995-10-31	PRIJEM	\N	1	7394	UROK	\N	\N
3560726	917	1995-11-30	PRIJEM	\N	58	22844	UROK	\N	\N
3560727	917	1995-12-31	PRIJEM	\N	131	37115	UROK	\N	\N
3560728	917	1996-01-31	PRIJEM	\N	158	38566	UROK	\N	\N
3560729	917	1996-02-29	PRIJEM	\N	175	44834	UROK	\N	\N
3560730	917	1996-03-31	PRIJEM	\N	175	41519	UROK	\N	\N
3560731	917	1996-04-30	PRIJEM	\N	167	39995	UROK	\N	\N
3560732	917	1996-05-31	PRIJEM	\N	163	38807	UROK	\N	\N
3560733	917	1996-06-30	PRIJEM	\N	151	30834	UROK	\N	\N
3560734	917	1996-07-31	PRIJEM	\N	127	31371	UROK	\N	\N
3560735	917	1996-08-31	PRIJEM	\N	116	24916	UROK	\N	\N
3560736	917	1996-09-30	PRIJEM	\N	116	26702	UROK	\N	\N
3560737	917	1996-10-31	PRIJEM	\N	122	31333	UROK	\N	\N
3560738	917	1996-11-30	PRIJEM	\N	137	34679	UROK	\N	\N
3560739	917	1996-12-31	PRIJEM	\N	137	33972	UROK	\N	\N
3560740	917	1997-01-31	PRIJEM	\N	130	26451	UROK	\N	\N
3560741	917	1997-02-28	PRIJEM	\N	98	18618	UROK	\N	\N
3560742	917	1997-03-31	PRIJEM	\N	89	23717	UROK	\N	\N
3560743	917	1997-04-30	PRIJEM	\N	112	28218	UROK	\N	\N
3560744	917	1997-05-31	PRIJEM	\N	126	32014	UROK	\N	\N
3560745	917	1997-06-30	PRIJEM	\N	144	36274	UROK	\N	\N
3560746	917	1997-07-31	PRIJEM	\N	151	37334	UROK	\N	\N
3560747	917	1997-08-31	PRIJEM	\N	166	42109	UROK	\N	\N
3560748	917	1997-09-30	PRIJEM	\N	174	43372	UROK	\N	\N
3560749	917	1997-10-31	PRIJEM	\N	185	46067	UROK	\N	\N
3560750	917	1997-11-30	PRIJEM	\N	196	48872	UROK	\N	\N
3560751	917	1997-12-31	PRIJEM	\N	207	48555	UROK	\N	\N
3560752	917	1998-01-31	PRIJEM	\N	181	44566	UROK	\N	\N
3560753	917	1998-02-28	PRIJEM	\N	191	47166	UROK	\N	\N
3560754	917	1998-03-31	PRIJEM	\N	194	47869	UROK	\N	\N
3560755	917	1998-04-30	PRIJEM	\N	196	47115	UROK	\N	\N
3560756	917	1998-05-31	PRIJEM	\N	200	45625	UROK	\N	\N
3560757	917	1998-06-30	PRIJEM	\N	132	36252	UROK	\N	\N
3560758	917	1998-07-31	PRIJEM	\N	159	45120	UROK	\N	\N
3560759	917	1998-08-31	PRIJEM	\N	196	53526	UROK	\N	\N
3560760	917	1998-09-30	PRIJEM	\N	227	54162	UROK	\N	\N
3560761	917	1998-10-31	PRIJEM	\N	228	52699	UROK	\N	\N
3560762	917	1998-11-30	PRIJEM	\N	224	55133	UROK	\N	\N
3560763	917	1998-12-31	PRIJEM	\N	228	56837	UROK	\N	\N
3560764	918	1997-03-31	PRIJEM	\N	74	54965	UROK	\N	\N
3560765	918	1997-04-30	PRIJEM	\N	240	70822	UROK	\N	\N
3560766	918	1997-05-31	PRIJEM	\N	294	52917	UROK	\N	\N
3560767	918	1997-06-30	PRIJEM	\N	274	49627	UROK	\N	\N
3560768	918	1997-07-31	PRIJEM	\N	200	46351	UROK	\N	\N
3560769	918	1997-08-31	PRIJEM	\N	192	41143	UROK	\N	\N
3560770	918	1997-09-30	PRIJEM	\N	215	58003	UROK	\N	\N
3560771	918	1997-10-31	PRIJEM	\N	195	42435	UROK	\N	\N
3560772	918	1997-11-30	PRIJEM	\N	108	26014	UROK	\N	\N
3560773	918	1997-12-31	PRIJEM	\N	82	20066	UROK	\N	\N
3560774	918	1998-01-31	PRIJEM	\N	72	19345	UROK	\N	\N
3560775	918	1998-02-28	PRIJEM	\N	67	19782	UROK	\N	\N
3560776	918	1998-03-31	PRIJEM	\N	106	47613	UROK	\N	\N
3560777	918	1998-04-30	PRIJEM	\N	144	21042	UROK	\N	\N
3560778	918	1998-05-31	PRIJEM	\N	98	37458	UROK	\N	\N
3560779	918	1998-06-30	PRIJEM	\N	182	30101	UROK	\N	\N
3560780	918	1998-07-31	PRIJEM	\N	116	31887	UROK	\N	\N
3560781	918	1998-08-31	PRIJEM	\N	179	25020	UROK	\N	\N
3560782	918	1998-09-30	PRIJEM	\N	95	25485	UROK	\N	\N
3560783	918	1998-10-31	PRIJEM	\N	140	49662	UROK	\N	\N
3560784	918	1998-11-30	PRIJEM	\N	166	38398	UROK	\N	\N
3560785	918	1998-12-31	PRIJEM	\N	160	39166	UROK	\N	\N
3560786	919	1997-03-31	PRIJEM	\N	37	11535	UROK	\N	\N
3560787	919	1997-04-30	PRIJEM	\N	102	28435	UROK	\N	\N
3560788	919	1997-05-31	PRIJEM	\N	147	37480	UROK	\N	\N
3560789	919	1997-06-30	PRIJEM	\N	195	49721	UROK	\N	\N
3560790	919	1997-07-31	PRIJEM	\N	196	45865	UROK	\N	\N
3560791	919	1997-08-31	PRIJEM	\N	164	35062	UROK	\N	\N
3560792	919	1997-09-30	PRIJEM	\N	159	33754	UROK	\N	\N
3560793	919	1997-10-31	PRIJEM	\N	152	30840	UROK	\N	\N
3560794	919	1997-11-30	PRIJEM	\N	142	34715	UROK	\N	\N
3560795	919	1997-12-31	PRIJEM	\N	162	32320	UROK	\N	\N
3560796	919	1998-01-31	PRIJEM	\N	116	25050	UROK	\N	\N
3560797	919	1998-02-28	PRIJEM	\N	118	29801	UROK	\N	\N
3560798	919	1998-03-31	PRIJEM	\N	138	33372	UROK	\N	\N
3560799	919	1998-04-30	PRIJEM	\N	147	29672	UROK	\N	\N
3560800	919	1998-05-31	PRIJEM	\N	137	33942	UROK	\N	\N
3560801	919	1998-06-30	PRIJEM	\N	161	35045	UROK	\N	\N
3560802	919	1998-07-31	PRIJEM	\N	156	35335	UROK	\N	\N
3560803	919	1998-08-31	PRIJEM	\N	156	34824	UROK	\N	\N
3560804	919	1998-09-30	PRIJEM	\N	155	36512	UROK	\N	\N
3560805	919	1998-10-31	PRIJEM	\N	154	31679	UROK	\N	\N
3560806	919	1998-11-30	PRIJEM	\N	147	38159	UROK	\N	\N
3560807	919	1998-12-31	PRIJEM	\N	174	38376	UROK	\N	\N
3560808	920	1996-09-30	PRIJEM	\N	18	6136	UROK	\N	\N
3560809	920	1996-10-31	PRIJEM	\N	26	11479	UROK	\N	\N
3560810	920	1996-11-30	PRIJEM	\N	26	16823	UROK	\N	\N
3560811	920	1996-12-31	PRIJEM	\N	26	22166	UROK	\N	\N
3560812	920	1997-01-31	PRIJEM	\N	63	15190	UROK	\N	\N
3560813	920	1997-02-28	PRIJEM	\N	78	18135	UROK	\N	\N
3560814	920	1997-03-31	PRIJEM	\N	91	21092	UROK	\N	\N
3560815	920	1997-04-30	PRIJEM	\N	88	21046	UROK	\N	\N
3560816	920	1997-05-31	PRIJEM	\N	87	18399	UROK	\N	\N
3560817	920	1997-06-30	PRIJEM	\N	77	18092	UROK	\N	\N
3560818	920	1997-07-31	PRIJEM	\N	78	16837	UROK	\N	\N
3560819	920	1997-08-31	PRIJEM	\N	61	13864	UROK	\N	\N
3560820	920	1997-09-30	PRIJEM	\N	63	14393	UROK	\N	\N
3560821	920	1997-10-31	PRIJEM	\N	74	14133	UROK	\N	\N
3560822	920	1997-11-30	PRIJEM	\N	65	11205	UROK	\N	\N
3560823	920	1997-12-31	PRIJEM	\N	55	14127	UROK	\N	\N
3560824	920	1998-01-31	PRIJEM	\N	59	13372	UROK	\N	\N
3560825	920	1998-02-28	PRIJEM	\N	69	12207	UROK	\N	\N
3560826	920	1998-03-31	PRIJEM	\N	66	15139	UROK	\N	\N
3560827	920	1998-04-30	PRIJEM	\N	76	14181	UROK	\N	\N
3560828	920	1998-05-31	PRIJEM	\N	70	10817	UROK	\N	\N
3560829	920	1998-06-30	PRIJEM	\N	53	13437	UROK	\N	\N
3560830	920	1998-07-31	PRIJEM	\N	64	16067	UROK	\N	\N
3560831	920	1998-08-31	PRIJEM	\N	80	18313	UROK	\N	\N
3560832	920	1998-09-30	PRIJEM	\N	74	17214	UROK	\N	\N
3560833	920	1998-10-31	PRIJEM	\N	80	17460	UROK	\N	\N
3560834	920	1998-11-30	PRIJEM	\N	74	15341	UROK	\N	\N
3560835	920	1998-12-31	PRIJEM	\N	69	15527	UROK	\N	\N
3560836	921	1996-10-31	PRIJEM	\N	18	7140	UROK	\N	\N
3560837	921	1996-11-30	PRIJEM	\N	30	13792	UROK	\N	\N
3560838	921	1996-12-31	PRIJEM	\N	30	20444	UROK	\N	\N
3560839	921	1997-01-31	PRIJEM	\N	30	27095	UROK	\N	\N
3560840	921	1997-02-28	PRIJEM	\N	88	31669	UROK	\N	\N
3560841	921	1997-03-31	PRIJEM	\N	141	35282	UROK	\N	\N
3560842	921	1997-04-30	PRIJEM	\N	152	38665	UROK	\N	\N
3560843	921	1997-05-31	PRIJEM	\N	174	43670	UROK	\N	\N
3560844	921	1997-06-30	PRIJEM	\N	138	30560	UROK	\N	\N
3560845	921	1997-07-31	PRIJEM	\N	139	33290	UROK	\N	\N
3560846	921	1997-08-31	PRIJEM	\N	146	34647	UROK	\N	\N
3560847	921	1997-09-30	PRIJEM	\N	146	37024	UROK	\N	\N
3560848	921	1997-10-31	PRIJEM	\N	156	39311	UROK	\N	\N
3560849	921	1997-11-30	PRIJEM	\N	148	36991	UROK	\N	\N
3560850	921	1997-12-31	PRIJEM	\N	150	37722	UROK	\N	\N
3560851	921	1998-01-31	PRIJEM	\N	125	30199	UROK	\N	\N
3560852	921	1998-02-28	PRIJEM	\N	128	31258	UROK	\N	\N
3560853	921	1998-03-31	PRIJEM	\N	129	32919	UROK	\N	\N
3560854	921	1998-04-30	PRIJEM	\N	122	30872	UROK	\N	\N
3560855	921	1998-05-31	PRIJEM	\N	107	26411	UROK	\N	\N
3560856	921	1998-06-30	PRIJEM	\N	83	18575	UROK	\N	\N
3560857	921	1998-07-31	PRIJEM	\N	74	19721	UROK	\N	\N
3560858	921	1998-08-31	PRIJEM	\N	92	20344	UROK	\N	\N
3560859	921	1998-09-30	PRIJEM	\N	86	19682	UROK	\N	\N
3560860	921	1998-10-31	PRIJEM	\N	92	20105	UROK	\N	\N
3560861	921	1998-11-30	PRIJEM	\N	93	21229	UROK	\N	\N
3560862	921	1998-12-31	PRIJEM	\N	97	25258	UROK	\N	\N
3560863	922	1995-05-31	PRIJEM	\N	11	16719	UROK	\N	\N
3560864	922	1995-06-30	PRIJEM	\N	74	23706	UROK	\N	\N
3560865	922	1995-07-31	PRIJEM	\N	100	25313	UROK	\N	\N
3560866	922	1995-08-31	PRIJEM	\N	107	27729	UROK	\N	\N
3560867	922	1995-09-30	PRIJEM	\N	121	29320	UROK	\N	\N
3560868	922	1995-10-31	PRIJEM	\N	127	31136	UROK	\N	\N
3560869	922	1995-11-30	PRIJEM	\N	132	30056	UROK	\N	\N
3560870	922	1995-12-31	PRIJEM	\N	123	27111	UROK	\N	\N
3560871	922	1996-01-31	PRIJEM	\N	85	20885	UROK	\N	\N
3560872	922	1996-02-29	PRIJEM	\N	89	21562	UROK	\N	\N
3560873	922	1996-03-31	PRIJEM	\N	97	26047	UROK	\N	\N
3560874	922	1996-04-30	PRIJEM	\N	115	28851	UROK	\N	\N
3560875	922	1996-05-31	PRIJEM	\N	111	25750	UROK	\N	\N
3560876	922	1996-06-30	PRIJEM	\N	116	29559	UROK	\N	\N
3560877	922	1996-07-31	PRIJEM	\N	124	29571	UROK	\N	\N
3560878	922	1996-08-31	PRIJEM	\N	100	21460	UROK	\N	\N
3560879	922	1996-09-30	PRIJEM	\N	102	27650	UROK	\N	\N
3560880	922	1996-10-31	PRIJEM	\N	121	29959	UROK	\N	\N
3560881	922	1996-11-30	PRIJEM	\N	124	29072	UROK	\N	\N
3560882	922	1996-12-31	PRIJEM	\N	128	28992	UROK	\N	\N
3560883	922	1997-01-31	PRIJEM	\N	89	17089	UROK	\N	\N
3560884	922	1997-02-28	PRIJEM	\N	91	26669	UROK	\N	\N
3560885	922	1997-03-31	PRIJEM	\N	114	23831	UROK	\N	\N
3560886	922	1997-04-30	PRIJEM	\N	107	27986	UROK	\N	\N
3560887	922	1997-05-31	PRIJEM	\N	127	34061	UROK	\N	\N
3560888	922	1997-06-30	PRIJEM	\N	126	15360	UROK	\N	\N
3560889	922	1997-07-31	PRIJEM	\N	95	28743	UROK	\N	\N
3560890	922	1997-08-31	PRIJEM	\N	152	42383	UROK	\N	\N
3560891	922	1997-09-30	PRIJEM	\N	191	48362	UROK	\N	\N
3560892	922	1997-10-31	PRIJEM	\N	206	50456	UROK	\N	\N
3560893	922	1997-11-30	PRIJEM	\N	214	52559	UROK	\N	\N
3560894	922	1997-12-31	PRIJEM	\N	216	51467	UROK	\N	\N
3560895	922	1998-01-31	PRIJEM	\N	197	38953	UROK	\N	\N
3560896	922	1998-02-28	PRIJEM	\N	178	40539	UROK	\N	\N
3560897	922	1998-03-31	PRIJEM	\N	174	40601	UROK	\N	\N
3560898	922	1998-04-30	PRIJEM	\N	170	41460	UROK	\N	\N
3560899	922	1998-05-31	PRIJEM	\N	180	45068	UROK	\N	\N
3560900	922	1998-06-30	PRIJEM	\N	212	53712	UROK	\N	\N
3560901	922	1998-07-31	PRIJEM	\N	222	53223	UROK	\N	\N
3560902	922	1998-08-31	PRIJEM	\N	227	53758	UROK	\N	\N
3560903	922	1998-09-30	PRIJEM	\N	230	56977	UROK	\N	\N
3560904	922	1998-10-31	PRIJEM	\N	244	60410	UROK	\N	\N
3560905	922	1998-11-30	PRIJEM	\N	262	65160	UROK	\N	\N
3560906	922	1998-12-31	PRIJEM	\N	264	62816	UROK	\N	\N
3560907	923	1996-02-29	PRIJEM	\N	22	6800	UROK	\N	\N
3560908	923	1996-03-31	PRIJEM	\N	28	12507	UROK	\N	\N
3560909	923	1996-04-30	PRIJEM	\N	28	18213	UROK	\N	\N
3560910	923	1996-05-31	PRIJEM	\N	78	21669	UROK	\N	\N
3560911	923	1996-06-30	PRIJEM	\N	78	17375	UROK	\N	\N
3560912	923	1996-07-31	PRIJEM	\N	85	21036	UROK	\N	\N
3560913	923	1996-08-31	PRIJEM	\N	100	24712	UROK	\N	\N
3560914	923	1996-09-30	PRIJEM	\N	112	24800	UROK	\N	\N
3560915	923	1996-10-31	PRIJEM	\N	98	22834	UROK	\N	\N
3560916	923	1996-11-30	PRIJEM	\N	101	24912	UROK	\N	\N
3560917	923	1996-12-31	PRIJEM	\N	108	25196	UROK	\N	\N
3560918	923	1997-01-31	PRIJEM	\N	93	20365	UROK	\N	\N
3560919	923	1997-02-28	PRIJEM	\N	84	18826	UROK	\N	\N
3560920	923	1997-03-31	PRIJEM	\N	90	22493	UROK	\N	\N
3560921	923	1997-04-30	PRIJEM	\N	96	23385	UROK	\N	\N
3560922	923	1997-05-31	PRIJEM	\N	83	20185	UROK	\N	\N
3560923	923	1997-06-30	PRIJEM	\N	87	21449	UROK	\N	\N
3560924	923	1997-07-31	PRIJEM	\N	94	23320	UROK	\N	\N
3560925	923	1997-08-31	PRIJEM	\N	97	20593	UROK	\N	\N
3560926	923	1997-09-30	PRIJEM	\N	93	17183	UROK	\N	\N
3560927	923	1997-10-31	PRIJEM	\N	83	18042	UROK	\N	\N
3560928	923	1997-11-30	PRIJEM	\N	87	21705	UROK	\N	\N
3560929	923	1997-12-31	PRIJEM	\N	99	23781	UROK	\N	\N
3560930	923	1998-01-31	PRIJEM	\N	97	21294	UROK	\N	\N
3560931	923	1998-02-28	PRIJEM	\N	100	23670	UROK	\N	\N
3560932	923	1998-03-31	PRIJEM	\N	110	25676	UROK	\N	\N
3560933	923	1998-04-30	PRIJEM	\N	110	22922	UROK	\N	\N
3560934	923	1998-05-31	PRIJEM	\N	102	18600	UROK	\N	\N
3560935	923	1998-06-30	PRIJEM	\N	85	16561	UROK	\N	\N
3560936	923	1998-07-31	PRIJEM	\N	77	15195	UROK	\N	\N
3560937	923	1998-08-31	PRIJEM	\N	74	17545	UROK	\N	\N
3560938	923	1998-09-30	PRIJEM	\N	83	20004	UROK	\N	\N
3560939	923	1998-10-31	PRIJEM	\N	94	22774	UROK	\N	\N
3560940	923	1998-11-30	PRIJEM	\N	106	26457	UROK	\N	\N
3560941	923	1998-12-31	PRIJEM	\N	121	29655	UROK	\N	\N
3560942	924	1995-12-31	PRIJEM	\N	11	3730	UROK	\N	\N
3560943	924	1996-01-31	PRIJEM	\N	55	17204	UROK	\N	\N
3560944	924	1996-02-29	PRIJEM	\N	94	25218	UROK	\N	\N
3560945	924	1996-03-31	PRIJEM	\N	102	24238	UROK	\N	\N
3560946	924	1996-04-30	PRIJEM	\N	101	24254	UROK	\N	\N
3560947	924	1996-05-31	PRIJEM	\N	90	21036	UROK	\N	\N
3560948	924	1996-06-30	PRIJEM	\N	81	19209	UROK	\N	\N
3560949	924	1996-07-31	PRIJEM	\N	85	20516	UROK	\N	\N
3560950	924	1996-08-31	PRIJEM	\N	79	18567	UROK	\N	\N
3560951	924	1996-09-30	PRIJEM	\N	60	13720	UROK	\N	\N
3560952	924	1996-10-31	PRIJEM	\N	62	15374	UROK	\N	\N
3560953	924	1996-11-30	PRIJEM	\N	53	12510	UROK	\N	\N
3560954	924	1996-12-31	PRIJEM	\N	49	11751	UROK	\N	\N
3560955	924	1997-01-31	PRIJEM	\N	52	12475	UROK	\N	\N
3560956	924	1997-02-28	PRIJEM	\N	50	12017	UROK	\N	\N
3560957	924	1997-03-31	PRIJEM	\N	53	13163	UROK	\N	\N
3560958	924	1997-04-30	PRIJEM	\N	52	12507	UROK	\N	\N
3560959	924	1997-05-31	PRIJEM	\N	54	13253	UROK	\N	\N
3560960	924	1997-06-30	PRIJEM	\N	59	14404	UROK	\N	\N
3560961	924	1997-07-31	PRIJEM	\N	52	12449	UROK	\N	\N
3560962	924	1997-08-31	PRIJEM	\N	54	12876	UROK	\N	\N
3560963	924	1997-09-30	PRIJEM	\N	56	13694	UROK	\N	\N
3560964	924	1997-10-31	PRIJEM	\N	60	14847	UROK	\N	\N
3560965	924	1997-11-30	PRIJEM	\N	65	16004	UROK	\N	\N
3560966	924	1997-12-31	PRIJEM	\N	69	16926	UROK	\N	\N
3560967	924	1998-01-31	PRIJEM	\N	70	15659	UROK	\N	\N
3560968	924	1998-02-28	PRIJEM	\N	68	16819	UROK	\N	\N
3560969	924	1998-03-31	PRIJEM	\N	73	17985	UROK	\N	\N
3560970	924	1998-04-30	PRIJEM	\N	78	19155	UROK	\N	\N
3560971	924	1998-05-31	PRIJEM	\N	83	20330	UROK	\N	\N
3560972	924	1998-06-30	PRIJEM	\N	81	14394	UROK	\N	\N
3560973	924	1998-07-31	PRIJEM	\N	63	15549	UROK	\N	\N
3560974	924	1998-08-31	PRIJEM	\N	68	16710	UROK	\N	\N
3560975	924	1998-09-30	PRIJEM	\N	73	17874	UROK	\N	\N
3560976	924	1998-10-31	PRIJEM	\N	76	18023	UROK	\N	\N
3560977	924	1998-11-30	PRIJEM	\N	78	19193	UROK	\N	\N
3560978	924	1998-12-31	PRIJEM	\N	82	19888	UROK	\N	\N
3560979	925	1993-03-31	PRIJEM	\N	22	23222	UROK	\N	\N
3560980	925	1993-04-30	PRIJEM	\N	108	34930	UROK	\N	\N
3560981	925	1993-05-31	PRIJEM	\N	149	38379	UROK	\N	\N
3560982	925	1993-06-30	PRIJEM	\N	168	46197	UROK	\N	\N
3560983	925	1993-07-31	PRIJEM	\N	220	40421	UROK	\N	\N
3560984	925	1993-08-31	PRIJEM	\N	197	37909	UROK	\N	\N
3560985	925	1993-09-30	PRIJEM	\N	166	35065	UROK	\N	\N
3560986	925	1993-10-31	PRIJEM	\N	168	36024	UROK	\N	\N
3560987	925	1993-11-30	PRIJEM	\N	178	36192	UROK	\N	\N
3560988	925	1993-12-31	PRIJEM	\N	191	40724	UROK	\N	\N
3560989	925	1994-01-31	PRIJEM	\N	196	42010	UROK	\N	\N
3560990	925	1994-02-28	PRIJEM	\N	196	40197	UROK	\N	\N
3560991	925	1994-03-31	PRIJEM	\N	183	37870	UROK	\N	\N
3560992	925	1994-04-30	PRIJEM	\N	188	40648	UROK	\N	\N
3560993	925	1994-05-31	PRIJEM	\N	184	37822	UROK	\N	\N
3560994	925	1994-06-30	PRIJEM	\N	191	41153	UROK	\N	\N
3560995	925	1994-07-31	PRIJEM	\N	191	40434	UROK	\N	\N
3560996	925	1994-08-31	PRIJEM	\N	175	37200	UROK	\N	\N
3560997	925	1994-09-30	PRIJEM	\N	162	34653	UROK	\N	\N
3560998	925	1994-10-31	PRIJEM	\N	154	32097	UROK	\N	\N
3560999	925	1994-11-30	PRIJEM	\N	147	31635	UROK	\N	\N
3561000	925	1994-12-31	PRIJEM	\N	168	37743	UROK	\N	\N
3561001	925	1995-01-31	PRIJEM	\N	164	35597	UROK	\N	\N
3561002	925	1995-02-28	PRIJEM	\N	150	31937	UROK	\N	\N
3561003	925	1995-03-31	PRIJEM	\N	143	28170	UROK	\N	\N
3561004	925	1995-04-30	PRIJEM	\N	133	31393	UROK	\N	\N
3561005	925	1995-05-31	PRIJEM	\N	139	31522	UROK	\N	\N
3561006	925	1995-06-30	PRIJEM	\N	150	34513	UROK	\N	\N
3561007	925	1995-07-31	PRIJEM	\N	140	30843	UROK	\N	\N
3561008	925	1995-08-31	PRIJEM	\N	116	18349	UROK	\N	\N
3561009	925	1995-09-30	PRIJEM	\N	90	21930	UROK	\N	\N
3561010	925	1995-10-31	PRIJEM	\N	92	21412	UROK	\N	\N
3561011	925	1995-11-30	PRIJEM	\N	93	22495	UROK	\N	\N
3561012	925	1995-12-31	PRIJEM	\N	105	25540	UROK	\N	\N
3561013	925	1996-01-31	PRIJEM	\N	159	23190	UROK	\N	\N
3561014	925	1996-02-29	PRIJEM	\N	122	27602	UROK	\N	\N
3561015	925	1996-03-31	PRIJEM	\N	118	24611	UROK	\N	\N
3561016	925	1996-04-30	PRIJEM	\N	144	33846	UROK	\N	\N
3561017	925	1996-05-31	PRIJEM	\N	176	40712	UROK	\N	\N
3561018	925	1996-06-30	PRIJEM	\N	202	52254	UROK	\N	\N
3561019	925	1996-07-31	PRIJEM	\N	222	49266	UROK	\N	\N
3561020	925	1996-08-31	PRIJEM	\N	204	44660	UROK	\N	\N
3561021	925	1996-09-30	PRIJEM	\N	201	45452	UROK	\N	\N
3561022	925	1996-10-31	PRIJEM	\N	172	40815	UROK	\N	\N
3561023	925	1996-11-30	PRIJEM	\N	196	45301	UROK	\N	\N
3561024	925	1996-12-31	PRIJEM	\N	228	55169	UROK	\N	\N
3561025	925	1997-01-31	PRIJEM	\N	211	50070	UROK	\N	\N
3561026	925	1997-02-28	PRIJEM	\N	199	45459	UROK	\N	\N
3561027	925	1997-03-31	PRIJEM	\N	197	48547	UROK	\N	\N
3561028	925	1997-04-30	PRIJEM	\N	205	50642	UROK	\N	\N
3561029	925	1997-05-31	PRIJEM	\N	224	51057	UROK	\N	\N
3561030	925	1997-06-30	PRIJEM	\N	233	57230	UROK	\N	\N
3561031	925	1997-07-31	PRIJEM	\N	231	56051	UROK	\N	\N
3561032	925	1997-08-31	PRIJEM	\N	227	50969	UROK	\N	\N
3561033	925	1997-09-30	PRIJEM	\N	198	48858	UROK	\N	\N
3561034	925	1997-10-31	PRIJEM	\N	187	35835	UROK	\N	\N
3561035	925	1997-11-30	PRIJEM	\N	175	34200	UROK	\N	\N
3561036	925	1997-12-31	PRIJEM	\N	199	40839	UROK	\N	\N
3561037	925	1998-01-31	PRIJEM	\N	215	44445	UROK	\N	\N
3561038	925	1998-02-28	PRIJEM	\N	215	43850	UROK	\N	\N
3561039	925	1998-03-31	PRIJEM	\N	214	45455	UROK	\N	\N
3561040	925	1998-04-30	PRIJEM	\N	233	46078	UROK	\N	\N
3561041	925	1998-05-31	PRIJEM	\N	224	45493	UROK	\N	\N
3561042	925	1998-06-30	PRIJEM	\N	257	51290	UROK	\N	\N
3561043	925	1998-07-31	PRIJEM	\N	255	54935	UROK	\N	\N
3561044	925	1998-08-31	PRIJEM	\N	266	56092	UROK	\N	\N
3561045	925	1998-09-30	PRIJEM	\N	266	53148	UROK	\N	\N
3561046	925	1998-10-31	PRIJEM	\N	247	52886	UROK	\N	\N
3561047	925	1998-11-30	PRIJEM	\N	252	52228	UROK	\N	\N
3561048	925	1998-12-31	PRIJEM	\N	262	57631	UROK	\N	\N
3561049	926	1996-11-30	PRIJEM	\N	17	5831	UROK	\N	\N
3561050	926	1996-12-31	PRIJEM	\N	24	10569	UROK	\N	\N
3561051	926	1997-01-31	PRIJEM	\N	24	15307	UROK	\N	\N
3561052	926	1997-02-28	PRIJEM	\N	24	20046	UROK	\N	\N
3561053	926	1997-03-31	PRIJEM	\N	73	23084	UROK	\N	\N
3561054	926	1997-04-30	PRIJEM	\N	104	26140	UROK	\N	\N
3561055	926	1997-05-31	PRIJEM	\N	113	27765	UROK	\N	\N
3561056	926	1997-06-30	PRIJEM	\N	119	23985	UROK	\N	\N
3561057	926	1997-07-31	PRIJEM	\N	107	23343	UROK	\N	\N
3561058	926	1997-08-31	PRIJEM	\N	102	20857	UROK	\N	\N
3561059	926	1997-09-30	PRIJEM	\N	92	18900	UROK	\N	\N
3561060	926	1997-10-31	PRIJEM	\N	77	18329	UROK	\N	\N
3561061	926	1997-11-30	PRIJEM	\N	85	21365	UROK	\N	\N
3561062	926	1997-12-31	PRIJEM	\N	94	20610	UROK	\N	\N
3561063	926	1998-01-31	PRIJEM	\N	67	14348	UROK	\N	\N
3561064	926	1998-02-28	PRIJEM	\N	65	13464	UROK	\N	\N
3561065	926	1998-03-31	PRIJEM	\N	63	14878	UROK	\N	\N
3561066	926	1998-04-30	PRIJEM	\N	70	17900	UROK	\N	\N
3561067	926	1998-05-31	PRIJEM	\N	75	12626	UROK	\N	\N
3561068	926	1998-06-30	PRIJEM	\N	57	12335	UROK	\N	\N
3561069	926	1998-07-31	PRIJEM	\N	56	12343	UROK	\N	\N
3561070	926	1998-08-31	PRIJEM	\N	60	15353	UROK	\N	\N
3561071	926	1998-09-30	PRIJEM	\N	72	18377	UROK	\N	\N
3561072	926	1998-10-31	PRIJEM	\N	84	21112	UROK	\N	\N
3561073	926	1998-11-30	PRIJEM	\N	95	23358	UROK	\N	\N
3561074	926	1998-12-31	PRIJEM	\N	102	25012	UROK	\N	\N
3561075	927	1997-05-31	PRIJEM	\N	45	16679	UROK	\N	\N
3561076	927	1997-06-30	PRIJEM	\N	119	25499	UROK	\N	\N
3561077	927	1997-07-31	PRIJEM	\N	152	30085	UROK	\N	\N
3561078	927	1997-08-31	PRIJEM	\N	158	38377	UROK	\N	\N
3561079	927	1997-09-30	PRIJEM	\N	166	40654	UROK	\N	\N
3561080	927	1997-10-31	PRIJEM	\N	156	36625	UROK	\N	\N
3561081	927	1997-11-30	PRIJEM	\N	123	27862	UROK	\N	\N
3561082	927	1997-12-31	PRIJEM	\N	115	27718	UROK	\N	\N
3561083	927	1998-01-31	PRIJEM	\N	72	13325	UROK	\N	\N
3561084	927	1998-02-28	PRIJEM	\N	67	17306	UROK	\N	\N
3561085	927	1998-03-31	PRIJEM	\N	82	20103	UROK	\N	\N
3561086	927	1998-04-30	PRIJEM	\N	71	16687	UROK	\N	\N
3561087	927	1998-05-31	PRIJEM	\N	83	21284	UROK	\N	\N
3561088	927	1998-06-30	PRIJEM	\N	98	25864	UROK	\N	\N
3561089	927	1998-07-31	PRIJEM	\N	88	20466	UROK	\N	\N
3561090	927	1998-08-31	PRIJEM	\N	83	20564	UROK	\N	\N
3561091	927	1998-09-30	PRIJEM	\N	77	18755	UROK	\N	\N
3561092	927	1998-10-31	PRIJEM	\N	68	17698	UROK	\N	\N
3561093	927	1998-11-30	PRIJEM	\N	71	16483	UROK	\N	\N
3561094	927	1998-12-31	PRIJEM	\N	90	24754	UROK	\N	\N
3561095	928	1993-05-31	PRIJEM	\N	15	18157	UROK	\N	\N
3561096	928	1993-06-30	PRIJEM	\N	84	27903	UROK	\N	\N
3561097	928	1993-07-31	PRIJEM	\N	119	31465	UROK	\N	\N
3561098	928	1993-08-31	PRIJEM	\N	128	28634	UROK	\N	\N
3561099	928	1993-09-30	PRIJEM	\N	115	26130	UROK	\N	\N
3561100	928	1993-10-31	PRIJEM	\N	106	22582	UROK	\N	\N
3561101	928	1993-11-30	PRIJEM	\N	98	23327	UROK	\N	\N
3561102	928	1993-12-31	PRIJEM	\N	104	24918	UROK	\N	\N
3561103	928	1994-01-31	PRIJEM	\N	96	14440	UROK	\N	\N
3561104	928	1994-02-28	PRIJEM	\N	64	15690	UROK	\N	\N
3561105	928	1994-03-31	PRIJEM	\N	75	21332	UROK	\N	\N
3561106	928	1994-04-30	PRIJEM	\N	91	21529	UROK	\N	\N
3561107	928	1994-05-31	PRIJEM	\N	94	22989	UROK	\N	\N
3561108	928	1994-06-30	PRIJEM	\N	105	25881	UROK	\N	\N
3561109	928	1994-07-31	PRIJEM	\N	103	25051	UROK	\N	\N
3561110	928	1994-08-31	PRIJEM	\N	107	25924	UROK	\N	\N
3561111	928	1994-09-30	PRIJEM	\N	114	29005	UROK	\N	\N
3561112	928	1994-10-31	PRIJEM	\N	113	24064	UROK	\N	\N
3561113	928	1994-11-30	PRIJEM	\N	104	26655	UROK	\N	\N
3561114	928	1994-12-31	PRIJEM	\N	120	27082	UROK	\N	\N
3561115	928	1995-01-31	PRIJEM	\N	104	22772	UROK	\N	\N
3561116	928	1995-02-28	PRIJEM	\N	100	24278	UROK	\N	\N
3561117	928	1995-03-31	PRIJEM	\N	111	26656	UROK	\N	\N
3561118	928	1995-04-30	PRIJEM	\N	118	29840	UROK	\N	\N
3561119	928	1995-05-31	PRIJEM	\N	122	28909	UROK	\N	\N
3561120	928	1995-06-30	PRIJEM	\N	125	31001	UROK	\N	\N
3561121	928	1995-07-31	PRIJEM	\N	126	28773	UROK	\N	\N
3561122	928	1995-08-31	PRIJEM	\N	119	28658	UROK	\N	\N
3561123	928	1995-09-30	PRIJEM	\N	123	30348	UROK	\N	\N
3561124	928	1995-10-31	PRIJEM	\N	126	30140	UROK	\N	\N
3561125	928	1995-11-30	PRIJEM	\N	125	29831	UROK	\N	\N
3561126	928	1995-12-31	PRIJEM	\N	138	31156	UROK	\N	\N
3561127	928	1996-01-31	PRIJEM	\N	91	13894	UROK	\N	\N
3561128	928	1996-02-29	PRIJEM	\N	78	20338	UROK	\N	\N
3561129	928	1996-03-31	PRIJEM	\N	109	28713	UROK	\N	\N
3561130	928	1996-04-30	PRIJEM	\N	125	29945	UROK	\N	\N
3561131	928	1996-05-31	PRIJEM	\N	144	36055	UROK	\N	\N
3561132	928	1996-06-30	PRIJEM	\N	168	41210	UROK	\N	\N
3561133	928	1996-07-31	PRIJEM	\N	181	43858	UROK	\N	\N
3561134	928	1996-08-31	PRIJEM	\N	187	46311	UROK	\N	\N
3561135	928	1996-09-30	PRIJEM	\N	198	46175	UROK	\N	\N
3561136	928	1996-10-31	PRIJEM	\N	189	46250	UROK	\N	\N
3561137	928	1996-11-30	PRIJEM	\N	200	47716	UROK	\N	\N
3561138	928	1996-12-31	PRIJEM	\N	209	47113	UROK	\N	\N
3561139	928	1997-01-31	PRIJEM	\N	171	35110	UROK	\N	\N
3561140	928	1997-02-28	PRIJEM	\N	191	47967	UROK	\N	\N
3561141	928	1997-03-31	PRIJEM	\N	214	51748	UROK	\N	\N
3561142	928	1997-04-30	PRIJEM	\N	234	56749	UROK	\N	\N
3561143	928	1997-05-31	PRIJEM	\N	236	56291	UROK	\N	\N
3561144	928	1997-06-30	PRIJEM	\N	259	58817	UROK	\N	\N
3561145	928	1997-07-31	PRIJEM	\N	266	64650	UROK	\N	\N
3561146	928	1997-08-31	PRIJEM	\N	277	65453	UROK	\N	\N
3561147	928	1997-09-30	PRIJEM	\N	275	65234	UROK	\N	\N
3561148	928	1997-10-31	PRIJEM	\N	274	62634	UROK	\N	\N
3561149	928	1997-11-30	PRIJEM	\N	266	63867	UROK	\N	\N
3561150	928	1997-12-31	PRIJEM	\N	264	61279	UROK	\N	\N
3561151	928	1998-01-31	PRIJEM	\N	229	52194	UROK	\N	\N
3561152	928	1998-02-28	PRIJEM	\N	220	54680	UROK	\N	\N
3561153	928	1998-03-31	PRIJEM	\N	234	59300	UROK	\N	\N
3561154	928	1998-04-30	PRIJEM	\N	249	63415	UROK	\N	\N
3561155	928	1998-05-31	PRIJEM	\N	265	62947	UROK	\N	\N
3561156	928	1998-06-30	PRIJEM	\N	149	43243	UROK	\N	\N
3561157	928	1998-07-31	PRIJEM	\N	177	49286	UROK	\N	\N
3561158	928	1998-08-31	PRIJEM	\N	205	52877	UROK	\N	\N
3561159	928	1998-09-30	PRIJEM	\N	214	57937	UROK	\N	\N
3561160	928	1998-10-31	PRIJEM	\N	245	63948	UROK	\N	\N
3561161	928	1998-11-30	PRIJEM	\N	269	67983	UROK	\N	\N
3561162	928	1998-12-31	PRIJEM	\N	286	64176	UROK	\N	\N
3561163	929	1993-07-31	PRIJEM	\N	32	9059	UROK	\N	\N
3561164	929	1993-08-31	PRIJEM	\N	104	28089	UROK	\N	\N
3561165	929	1993-09-30	PRIJEM	\N	137	33953	UROK	\N	\N
3561166	929	1993-10-31	PRIJEM	\N	147	35827	UROK	\N	\N
3561167	929	1993-11-30	PRIJEM	\N	133	32903	UROK	\N	\N
3561168	929	1993-12-31	PRIJEM	\N	129	27073	UROK	\N	\N
3561169	929	1994-01-31	PRIJEM	\N	102	22304	UROK	\N	\N
3561170	929	1994-02-28	PRIJEM	\N	103	25335	UROK	\N	\N
3561171	929	1994-03-31	PRIJEM	\N	112	25275	UROK	\N	\N
3561172	929	1994-04-30	PRIJEM	\N	114	26018	UROK	\N	\N
3561173	929	1994-05-31	PRIJEM	\N	112	26458	UROK	\N	\N
3561174	929	1994-06-30	PRIJEM	\N	134	31333	UROK	\N	\N
3561175	929	1994-07-31	PRIJEM	\N	125	26187	UROK	\N	\N
3561176	929	1994-08-31	PRIJEM	\N	108	27924	UROK	\N	\N
3561177	929	1994-09-30	PRIJEM	\N	124	27676	UROK	\N	\N
3561178	929	1994-10-31	PRIJEM	\N	127	32831	UROK	\N	\N
3561179	929	1994-11-30	PRIJEM	\N	137	30096	UROK	\N	\N
3561180	929	1994-12-31	PRIJEM	\N	146	32083	UROK	\N	\N
3561181	929	1995-01-31	PRIJEM	\N	132	28244	UROK	\N	\N
3561182	929	1995-02-28	PRIJEM	\N	115	29588	UROK	\N	\N
3561183	929	1995-03-31	PRIJEM	\N	133	33250	UROK	\N	\N
3561184	929	1995-04-30	PRIJEM	\N	148	36026	UROK	\N	\N
3561185	929	1995-05-31	PRIJEM	\N	156	35409	UROK	\N	\N
3561186	929	1995-06-30	PRIJEM	\N	155	35606	UROK	\N	\N
3561187	929	1995-07-31	PRIJEM	\N	155	34989	UROK	\N	\N
3561188	929	1995-08-31	PRIJEM	\N	154	37172	UROK	\N	\N
3561189	929	1995-09-30	PRIJEM	\N	165	40865	UROK	\N	\N
3561190	929	1995-10-31	PRIJEM	\N	173	39767	UROK	\N	\N
3561191	929	1995-11-30	PRIJEM	\N	168	38563	UROK	\N	\N
3561192	929	1995-12-31	PRIJEM	\N	160	32864	UROK	\N	\N
3561193	929	1996-01-31	PRIJEM	\N	132	25625	UROK	\N	\N
3561194	929	1996-02-29	PRIJEM	\N	123	32976	UROK	\N	\N
3561195	929	1996-03-31	PRIJEM	\N	145	35550	UROK	\N	\N
3561196	929	1996-04-30	PRIJEM	\N	156	38134	UROK	\N	\N
3561197	929	1996-05-31	PRIJEM	\N	162	38124	UROK	\N	\N
3561198	929	1996-06-30	PRIJEM	\N	165	36830	UROK	\N	\N
3561199	929	1996-07-31	PRIJEM	\N	159	38418	UROK	\N	\N
3561200	929	1996-08-31	PRIJEM	\N	152	33698	UROK	\N	\N
3561201	929	1996-09-30	PRIJEM	\N	122	27648	UROK	\N	\N
3561202	929	1996-10-31	PRIJEM	\N	116	27192	UROK	\N	\N
3561203	929	1996-11-30	PRIJEM	\N	110	25531	UROK	\N	\N
3561204	929	1996-12-31	PRIJEM	\N	115	27187	UROK	\N	\N
3561205	929	1997-01-31	PRIJEM	\N	86	16601	UROK	\N	\N
3561206	929	1997-02-28	PRIJEM	\N	70	17000	UROK	\N	\N
3561207	929	1997-03-31	PRIJEM	\N	79	20107	UROK	\N	\N
3561208	929	1997-04-30	PRIJEM	\N	72	16307	UROK	\N	\N
3561209	929	1997-05-31	PRIJEM	\N	72	16608	UROK	\N	\N
3561210	929	1997-06-30	PRIJEM	\N	77	18727	UROK	\N	\N
3561211	929	1997-07-31	PRIJEM	\N	79	19134	UROK	\N	\N
3561212	929	1997-08-31	PRIJEM	\N	76	18238	UROK	\N	\N
3561213	929	1997-09-30	PRIJEM	\N	63	14129	UROK	\N	\N
3561214	929	1997-10-31	PRIJEM	\N	66	17123	UROK	\N	\N
3561215	929	1997-11-30	PRIJEM	\N	66	15917	UROK	\N	\N
3561216	929	1997-12-31	PRIJEM	\N	81	20540	UROK	\N	\N
3561217	929	1998-01-31	PRIJEM	\N	72	16340	UROK	\N	\N
3561218	929	1998-02-28	PRIJEM	\N	75	19343	UROK	\N	\N
3561219	929	1998-03-31	PRIJEM	\N	63	14534	UROK	\N	\N
3561220	929	1998-04-30	PRIJEM	\N	57	14420	UROK	\N	\N
3561221	929	1998-05-31	PRIJEM	\N	68	17816	UROK	\N	\N
3561222	929	1998-06-30	PRIJEM	\N	94	15951	UROK	\N	\N
3561223	929	1998-07-31	PRIJEM	\N	73	18952	UROK	\N	\N
3561224	929	1998-08-31	PRIJEM	\N	62	14642	UROK	\N	\N
3561225	929	1998-09-30	PRIJEM	\N	67	17638	UROK	\N	\N
3561226	929	1998-10-31	PRIJEM	\N	79	20645	UROK	\N	\N
3561227	929	1998-11-30	PRIJEM	\N	92	23665	UROK	\N	\N
3561228	929	1998-12-31	PRIJEM	\N	117	30024	UROK	\N	\N
3561229	930	1993-08-31	PRIJEM	\N	39	14374	UROK	\N	\N
3561230	930	1993-09-30	PRIJEM	\N	107	32215	UROK	\N	\N
3561231	930	1993-10-31	PRIJEM	\N	162	42913	UROK	\N	\N
3561232	930	1993-11-30	PRIJEM	\N	196	49744	UROK	\N	\N
3561233	930	1993-12-31	PRIJEM	\N	210	48789	UROK	\N	\N
3561234	930	1994-01-31	PRIJEM	\N	135	25389	UROK	\N	\N
3561235	930	1994-02-28	PRIJEM	\N	110	26443	UROK	\N	\N
3561236	930	1994-03-31	PRIJEM	\N	125	31333	UROK	\N	\N
3561237	930	1994-04-30	PRIJEM	\N	134	34431	UROK	\N	\N
3561238	930	1994-05-31	PRIJEM	\N	134	32329	UROK	\N	\N
3561239	930	1994-06-30	PRIJEM	\N	130	25381	UROK	\N	\N
3561240	930	1994-07-31	PRIJEM	\N	117	30262	UROK	\N	\N
3561241	930	1994-08-31	PRIJEM	\N	135	31562	UROK	\N	\N
3561242	930	1994-09-30	PRIJEM	\N	134	27940	UROK	\N	\N
3561243	930	1994-10-31	PRIJEM	\N	124	28028	UROK	\N	\N
3561244	930	1994-11-30	PRIJEM	\N	116	24929	UROK	\N	\N
3561245	930	1994-12-31	PRIJEM	\N	125	28815	UROK	\N	\N
3561246	930	1995-01-31	PRIJEM	\N	107	22026	UROK	\N	\N
3561247	930	1995-02-28	PRIJEM	\N	101	24991	UROK	\N	\N
3561248	930	1995-03-31	PRIJEM	\N	115	29670	UROK	\N	\N
3561249	930	1995-04-30	PRIJEM	\N	130	28964	UROK	\N	\N
3561250	930	1995-05-31	PRIJEM	\N	131	32759	UROK	\N	\N
3561251	930	1995-06-30	PRIJEM	\N	112	23812	UROK	\N	\N
3561252	930	1995-07-31	PRIJEM	\N	112	30488	UROK	\N	\N
3561253	930	1995-08-31	PRIJEM	\N	129	30862	UROK	\N	\N
3561254	930	1995-09-30	PRIJEM	\N	133	30759	UROK	\N	\N
3561255	930	1995-10-31	PRIJEM	\N	134	32358	UROK	\N	\N
3561256	930	1995-11-30	PRIJEM	\N	129	32291	UROK	\N	\N
3561257	930	1995-12-31	PRIJEM	\N	159	39651	UROK	\N	\N
3561258	930	1996-01-31	PRIJEM	\N	127	28882	UROK	\N	\N
3561259	930	1996-02-29	PRIJEM	\N	126	30892	UROK	\N	\N
3561260	930	1996-03-31	PRIJEM	\N	140	35996	UROK	\N	\N
3561261	930	1996-04-30	PRIJEM	\N	153	36613	UROK	\N	\N
3561262	930	1996-05-31	PRIJEM	\N	160	39637	UROK	\N	\N
3561263	930	1996-06-30	PRIJEM	\N	178	42217	UROK	\N	\N
3561264	930	1996-07-31	PRIJEM	\N	177	42458	UROK	\N	\N
3561265	930	1996-08-31	PRIJEM	\N	186	46909	UROK	\N	\N
3561266	930	1996-09-30	PRIJEM	\N	198	48571	UROK	\N	\N
3561267	930	1996-10-31	PRIJEM	\N	194	43170	UROK	\N	\N
3561268	930	1996-11-30	PRIJEM	\N	175	41130	UROK	\N	\N
3561269	930	1996-12-31	PRIJEM	\N	180	40971	UROK	\N	\N
3561270	930	1997-01-31	PRIJEM	\N	124	27360	UROK	\N	\N
3561271	930	1997-02-28	PRIJEM	\N	135	35799	UROK	\N	\N
3561272	930	1997-03-31	PRIJEM	\N	168	44631	UROK	\N	\N
3561273	930	1997-04-30	PRIJEM	\N	210	45386	UROK	\N	\N
3561274	930	1997-05-31	PRIJEM	\N	188	45838	UROK	\N	\N
3561275	930	1997-06-30	PRIJEM	\N	185	22284	UROK	\N	\N
3561276	930	1997-07-31	PRIJEM	\N	121	33869	UROK	\N	\N
3561277	930	1997-08-31	PRIJEM	\N	159	40893	UROK	\N	\N
3561278	930	1997-09-30	PRIJEM	\N	194	48131	UROK	\N	\N
3561279	930	1997-10-31	PRIJEM	\N	207	50582	UROK	\N	\N
3561280	930	1997-11-30	PRIJEM	\N	226	56452	UROK	\N	\N
3561281	930	1997-12-31	PRIJEM	\N	264	66798	UROK	\N	\N
3561282	930	1998-01-31	PRIJEM	\N	238	52040	UROK	\N	\N
3561283	930	1998-02-28	PRIJEM	\N	227	56832	UROK	\N	\N
3561284	930	1998-03-31	PRIJEM	\N	221	54278	UROK	\N	\N
3561285	930	1998-04-30	PRIJEM	\N	224	53966	UROK	\N	\N
3561286	930	1998-05-31	PRIJEM	\N	227	55257	UROK	\N	\N
3561287	930	1998-06-30	PRIJEM	\N	225	53003	UROK	\N	\N
3561288	930	1998-07-31	PRIJEM	\N	220	52568	UROK	\N	\N
3561289	930	1998-08-31	PRIJEM	\N	216	52348	UROK	\N	\N
3561290	930	1998-09-30	PRIJEM	\N	225	53478	UROK	\N	\N
3561291	930	1998-10-31	PRIJEM	\N	212	48074	UROK	\N	\N
3561292	930	1998-11-30	PRIJEM	\N	205	50023	UROK	\N	\N
3561293	930	1998-12-31	PRIJEM	\N	210	53615	UROK	\N	\N
3561294	931	1993-11-30	PRIJEM	\N	33	13944	UROK	\N	\N
3561295	931	1993-12-31	PRIJEM	\N	77	25337	UROK	\N	\N
3561296	931	1994-01-31	PRIJEM	\N	107	28455	UROK	\N	\N
3561297	931	1994-02-28	PRIJEM	\N	122	30088	UROK	\N	\N
3561298	931	1994-03-31	PRIJEM	\N	137	31736	UROK	\N	\N
3561299	931	1994-04-30	PRIJEM	\N	125	29984	UROK	\N	\N
3561300	931	1994-05-31	PRIJEM	\N	127	31733	UROK	\N	\N
3561301	931	1994-06-30	PRIJEM	\N	126	25347	UROK	\N	\N
3561302	931	1994-07-31	PRIJEM	\N	109	27779	UROK	\N	\N
3561303	931	1994-08-31	PRIJEM	\N	116	29218	UROK	\N	\N
3561304	931	1994-09-30	PRIJEM	\N	124	31264	UROK	\N	\N
3561305	931	1994-10-31	PRIJEM	\N	125	30512	UROK	\N	\N
3561306	931	1994-11-30	PRIJEM	\N	136	34570	UROK	\N	\N
3561307	931	1994-12-31	PRIJEM	\N	116	21014	UROK	\N	\N
3561308	931	1995-01-31	PRIJEM	\N	100	25936	UROK	\N	\N
3561309	931	1995-02-28	PRIJEM	\N	117	29975	UROK	\N	\N
3561310	931	1995-03-31	PRIJEM	\N	127	31724	UROK	\N	\N
3561311	931	1995-04-30	PRIJEM	\N	127	31173	UROK	\N	\N
3561312	931	1995-05-31	PRIJEM	\N	141	35736	UROK	\N	\N
3561313	931	1995-06-30	PRIJEM	\N	159	40923	UROK	\N	\N
3561314	931	1995-07-31	PRIJEM	\N	154	37299	UROK	\N	\N
3561315	931	1995-08-31	PRIJEM	\N	144	33705	UROK	\N	\N
3561316	931	1995-09-30	PRIJEM	\N	145	36473	UROK	\N	\N
3561317	931	1995-10-31	PRIJEM	\N	142	35137	UROK	\N	\N
3561318	931	1995-11-30	PRIJEM	\N	135	33394	UROK	\N	\N
3561319	931	1995-12-31	PRIJEM	\N	128	27591	UROK	\N	\N
3561320	931	1996-01-31	PRIJEM	\N	109	23662	UROK	\N	\N
3561321	931	1996-02-29	PRIJEM	\N	110	28294	UROK	\N	\N
3561322	931	1996-03-31	PRIJEM	\N	121	30537	UROK	\N	\N
3561323	931	1996-04-30	PRIJEM	\N	116	28595	UROK	\N	\N
3561324	931	1996-05-31	PRIJEM	\N	123	31341	UROK	\N	\N
3561325	931	1996-06-30	PRIJEM	\N	92	20982	UROK	\N	\N
3561326	931	1996-07-31	PRIJEM	\N	86	22190	UROK	\N	\N
3561327	931	1996-08-31	PRIJEM	\N	94	24906	UROK	\N	\N
3561328	931	1996-09-30	PRIJEM	\N	104	24632	UROK	\N	\N
3561329	931	1996-10-31	PRIJEM	\N	103	25658	UROK	\N	\N
3561330	931	1996-11-30	PRIJEM	\N	106	23687	UROK	\N	\N
3561331	931	1996-12-31	PRIJEM	\N	104	27559	UROK	\N	\N
3561332	931	1997-01-31	PRIJEM	\N	106	24727	UROK	\N	\N
3561333	931	1997-02-28	PRIJEM	\N	94	23743	UROK	\N	\N
3561334	931	1997-03-31	PRIJEM	\N	92	25118	UROK	\N	\N
3561335	931	1997-04-30	PRIJEM	\N	89	23289	UROK	\N	\N
3561336	931	1997-05-31	PRIJEM	\N	95	21407	UROK	\N	\N
3561337	931	1997-06-30	PRIJEM	\N	95	25230	UROK	\N	\N
3561338	931	1997-07-31	PRIJEM	\N	102	21694	UROK	\N	\N
3561339	931	1997-08-31	PRIJEM	\N	92	25508	UROK	\N	\N
3561340	931	1997-09-30	PRIJEM	\N	85	18716	UROK	\N	\N
3561341	931	1997-10-31	PRIJEM	\N	77	19415	UROK	\N	\N
3561342	931	1997-11-30	PRIJEM	\N	73	18830	UROK	\N	\N
3561343	931	1997-12-31	PRIJEM	\N	86	25065	UROK	\N	\N
3561344	931	1998-01-31	PRIJEM	\N	103	25790	UROK	\N	\N
3561345	931	1998-02-28	PRIJEM	\N	105	24457	UROK	\N	\N
3561346	931	1998-03-31	PRIJEM	\N	101	25680	UROK	\N	\N
3561347	931	1998-04-30	PRIJEM	\N	110	30713	UROK	\N	\N
3561348	931	1998-05-31	PRIJEM	\N	122	28758	UROK	\N	\N
3561349	931	1998-06-30	PRIJEM	\N	121	30107	UROK	\N	\N
3561350	931	1998-07-31	PRIJEM	\N	117	26446	UROK	\N	\N
3561351	931	1998-08-31	PRIJEM	\N	97	20125	UROK	\N	\N
3561352	931	1998-09-30	PRIJEM	\N	82	21229	UROK	\N	\N
3561353	931	1998-10-31	PRIJEM	\N	73	14624	UROK	\N	\N
3561354	931	1998-11-30	PRIJEM	\N	60	16407	UROK	\N	\N
3561355	931	1998-12-31	PRIJEM	\N	69	18723	UROK	\N	\N
3561356	932	1996-07-31	PRIJEM	\N	16	5672	UROK	\N	\N
3561357	932	1996-08-31	PRIJEM	\N	24	10452	UROK	\N	\N
3561358	932	1996-09-30	PRIJEM	\N	24	15231	UROK	\N	\N
3561359	932	1996-10-31	PRIJEM	\N	24	20011	UROK	\N	\N
3561360	932	1996-11-30	PRIJEM	\N	26	24793	UROK	\N	\N
3561361	932	1996-12-31	PRIJEM	\N	106	26097	UROK	\N	\N
3561362	932	1997-01-31	PRIJEM	\N	99	20464	UROK	\N	\N
3561363	932	1997-02-28	PRIJEM	\N	91	22503	UROK	\N	\N
3561364	932	1997-03-31	PRIJEM	\N	99	24551	UROK	\N	\N
3561365	932	1997-04-30	PRIJEM	\N	108	26607	UROK	\N	\N
3561366	932	1997-05-31	PRIJEM	\N	116	28672	UROK	\N	\N
3561367	932	1997-06-30	PRIJEM	\N	115	20045	UROK	\N	\N
3561368	932	1997-07-31	PRIJEM	\N	89	22082	UROK	\N	\N
3561369	932	1997-08-31	PRIJEM	\N	97	24128	UROK	\N	\N
3561370	932	1997-09-30	PRIJEM	\N	101	23218	UROK	\N	\N
3561371	932	1997-10-31	PRIJEM	\N	102	25268	UROK	\N	\N
3561372	932	1997-11-30	PRIJEM	\N	111	27327	UROK	\N	\N
3561373	932	1997-12-31	PRIJEM	\N	119	27864	UROK	\N	\N
3561374	932	1998-01-31	PRIJEM	\N	101	20633	UROK	\N	\N
3561375	932	1998-02-28	PRIJEM	\N	84	20586	UROK	\N	\N
3561376	932	1998-03-31	PRIJEM	\N	91	22625	UROK	\N	\N
3561377	932	1998-04-30	PRIJEM	\N	97	23231	UROK	\N	\N
3561378	932	1998-05-31	PRIJEM	\N	96	23675	UROK	\N	\N
3561379	932	1998-06-30	PRIJEM	\N	92	19366	UROK	\N	\N
3561380	932	1998-07-31	PRIJEM	\N	86	21400	UROK	\N	\N
3561381	932	1998-08-31	PRIJEM	\N	94	23443	UROK	\N	\N
3561382	932	1998-09-30	PRIJEM	\N	103	25494	UROK	\N	\N
3561383	932	1998-10-31	PRIJEM	\N	111	27554	UROK	\N	\N
3561384	932	1998-11-30	PRIJEM	\N	116	27378	UROK	\N	\N
3561385	932	1998-12-31	PRIJEM	\N	115	28262	UROK	\N	\N
3561386	933	1996-03-31	PRIJEM	\N	54	26986	UROK	\N	\N
3561387	933	1996-04-30	PRIJEM	\N	124	31154	UROK	\N	\N
3561388	933	1996-05-31	PRIJEM	\N	131	30469	UROK	\N	\N
3561389	933	1996-06-30	PRIJEM	\N	127	29080	UROK	\N	\N
3561390	933	1996-07-31	PRIJEM	\N	127	31831	UROK	\N	\N
3561391	933	1996-08-31	PRIJEM	\N	136	32551	UROK	\N	\N
3561392	933	1996-09-30	PRIJEM	\N	138	33274	UROK	\N	\N
3561393	933	1996-10-31	PRIJEM	\N	138	32796	UROK	\N	\N
3561394	933	1996-11-30	PRIJEM	\N	137	32717	UROK	\N	\N
3561395	933	1996-12-31	PRIJEM	\N	130	30862	UROK	\N	\N
3561396	933	1997-01-31	PRIJEM	\N	106	20952	UROK	\N	\N
3561397	933	1997-02-28	PRIJEM	\N	97	24393	UROK	\N	\N
3561398	933	1997-03-31	PRIJEM	\N	109	27187	UROK	\N	\N
3561399	933	1997-04-30	PRIJEM	\N	117	27789	UROK	\N	\N
3561400	933	1997-05-31	PRIJEM	\N	127	31400	UROK	\N	\N
3561401	933	1997-06-30	PRIJEM	\N	105	24239	UROK	\N	\N
3561402	933	1997-07-31	PRIJEM	\N	112	28335	UROK	\N	\N
3561403	933	1997-08-31	PRIJEM	\N	117	28636	UROK	\N	\N
3561404	933	1997-09-30	PRIJEM	\N	116	27756	UROK	\N	\N
3561405	933	1997-10-31	PRIJEM	\N	127	31867	UROK	\N	\N
3561406	933	1997-11-30	PRIJEM	\N	138	32950	UROK	\N	\N
3561407	933	1997-12-31	PRIJEM	\N	135	28520	UROK	\N	\N
3561408	933	1998-01-31	PRIJEM	\N	115	24418	UROK	\N	\N
3561409	933	1998-02-28	PRIJEM	\N	112	28515	UROK	\N	\N
3561410	933	1998-03-31	PRIJEM	\N	125	31104	UROK	\N	\N
3561411	933	1998-04-30	PRIJEM	\N	136	32185	UROK	\N	\N
3561412	933	1998-05-31	PRIJEM	\N	145	36314	UROK	\N	\N
3561413	933	1998-06-30	PRIJEM	\N	120	25408	UROK	\N	\N
3561414	933	1998-07-31	PRIJEM	\N	116	29509	UROK	\N	\N
3561415	933	1998-08-31	PRIJEM	\N	133	33626	UROK	\N	\N
3561416	933	1998-09-30	PRIJEM	\N	137	33847	UROK	\N	\N
3561417	933	1998-10-31	PRIJEM	\N	142	35874	UROK	\N	\N
3561418	933	1998-11-30	PRIJEM	\N	140	33199	UROK	\N	\N
3561419	933	1998-12-31	PRIJEM	\N	130	31213	UROK	\N	\N
3561420	934	1998-04-30	PRIJEM	\N	4	30429	UROK	\N	\N
3561421	934	1998-05-31	PRIJEM	\N	134	33337	UROK	\N	\N
3561422	934	1998-06-30	PRIJEM	\N	118	23679	UROK	\N	\N
3561423	934	1998-07-31	PRIJEM	\N	105	26559	UROK	\N	\N
3561424	934	1998-08-31	PRIJEM	\N	117	29451	UROK	\N	\N
3561425	934	1998-09-30	PRIJEM	\N	121	30346	UROK	\N	\N
3561426	934	1998-10-31	PRIJEM	\N	133	33253	UROK	\N	\N
3561427	934	1998-11-30	PRIJEM	\N	142	33770	UROK	\N	\N
3561428	934	1998-12-31	PRIJEM	\N	140	34415	UROK	\N	\N
3561429	935	1997-05-31	PRIJEM	\N	38	14305	UROK	\N	\N
3561430	935	1997-06-30	PRIJEM	\N	62	14751	UROK	\N	\N
3561431	935	1997-07-31	PRIJEM	\N	64	15860	UROK	\N	\N
3561432	935	1997-08-31	PRIJEM	\N	69	16973	UROK	\N	\N
3561433	935	1997-09-30	PRIJEM	\N	73	17880	UROK	\N	\N
3561434	935	1997-10-31	PRIJEM	\N	77	18501	UROK	\N	\N
3561435	935	1997-11-30	PRIJEM	\N	80	19625	UROK	\N	\N
3561436	935	1997-12-31	PRIJEM	\N	80	17800	UROK	\N	\N
3561437	935	1998-01-31	PRIJEM	\N	72	15976	UROK	\N	\N
3561438	935	1998-02-28	PRIJEM	\N	66	15707	UROK	\N	\N
3561439	935	1998-03-31	PRIJEM	\N	68	16820	UROK	\N	\N
3561440	935	1998-04-30	PRIJEM	\N	73	17937	UROK	\N	\N
3561441	935	1998-05-31	PRIJEM	\N	69	14451	UROK	\N	\N
3561442	935	1998-06-30	PRIJEM	\N	59	13694	UROK	\N	\N
3561443	935	1998-07-31	PRIJEM	\N	60	14798	UROK	\N	\N
3561444	935	1998-08-31	PRIJEM	\N	58	12901	UROK	\N	\N
3561445	935	1998-09-30	PRIJEM	\N	56	13610	UROK	\N	\N
3561446	935	1998-10-31	PRIJEM	\N	59	14714	UROK	\N	\N
3561447	935	1998-11-30	PRIJEM	\N	64	15822	UROK	\N	\N
3561448	935	1998-12-31	PRIJEM	\N	68	16635	UROK	\N	\N
3561449	936	1996-03-31	PRIJEM	\N	15	5222	UROK	\N	\N
3561450	936	1996-04-30	PRIJEM	\N	22	9751	UROK	\N	\N
3561451	936	1996-05-31	PRIJEM	\N	22	14280	UROK	\N	\N
3561452	936	1996-06-30	PRIJEM	\N	22	18809	UROK	\N	\N
3561453	936	1996-07-31	PRIJEM	\N	63	20515	UROK	\N	\N
3561454	936	1996-08-31	PRIJEM	\N	90	22093	UROK	\N	\N
3561455	936	1996-09-30	PRIJEM	\N	94	19915	UROK	\N	\N
3561456	936	1996-10-31	PRIJEM	\N	87	21491	UROK	\N	\N
3561457	936	1996-11-30	PRIJEM	\N	94	22573	UROK	\N	\N
3561458	936	1996-12-31	PRIJEM	\N	98	23410	UROK	\N	\N
3561459	936	1997-01-31	PRIJEM	\N	86	13874	UROK	\N	\N
3561460	936	1997-02-28	PRIJEM	\N	62	15424	UROK	\N	\N
3561461	936	1997-03-31	PRIJEM	\N	68	16381	UROK	\N	\N
3561462	936	1997-04-30	PRIJEM	\N	73	17942	UROK	\N	\N
3561463	936	1997-05-31	PRIJEM	\N	79	19509	UROK	\N	\N
3561464	936	1997-06-30	PRIJEM	\N	79	18627	UROK	\N	\N
3561465	936	1997-07-31	PRIJEM	\N	75	16510	UROK	\N	\N
3561466	936	1997-08-31	PRIJEM	\N	62	14380	UROK	\N	\N
3561467	936	1997-09-30	PRIJEM	\N	58	13206	UROK	\N	\N
3561468	936	1997-10-31	PRIJEM	\N	59	14754	UROK	\N	\N
3561469	936	1997-11-30	PRIJEM	\N	66	16308	UROK	\N	\N
3561470	936	1997-12-31	PRIJEM	\N	71	17267	UROK	\N	\N
3561471	936	1998-01-31	PRIJEM	\N	57	13563	UROK	\N	\N
3561472	936	1998-02-28	PRIJEM	\N	58	13988	UROK	\N	\N
3561473	936	1998-03-31	PRIJEM	\N	62	15139	UROK	\N	\N
3561474	936	1998-04-30	PRIJEM	\N	66	15813	UROK	\N	\N
3561475	936	1998-05-31	PRIJEM	\N	70	17371	UROK	\N	\N
3561476	936	1998-06-30	PRIJEM	\N	76	18936	UROK	\N	\N
3561477	936	1998-07-31	PRIJEM	\N	83	20507	UROK	\N	\N
3561478	936	1998-08-31	PRIJEM	\N	90	22085	UROK	\N	\N
3561479	936	1998-09-30	PRIJEM	\N	82	20056	UROK	\N	\N
3561480	936	1998-10-31	PRIJEM	\N	88	21632	UROK	\N	\N
3561481	936	1998-11-30	PRIJEM	\N	94	22654	UROK	\N	\N
3561482	936	1998-12-31	PRIJEM	\N	93	22885	UROK	\N	\N
3561483	937	1996-01-31	PRIJEM	\N	43	12297	UROK	\N	\N
3561484	937	1996-02-29	PRIJEM	\N	57	15023	UROK	\N	\N
3561485	937	1996-03-31	PRIJEM	\N	69	17762	UROK	\N	\N
3561486	937	1996-04-30	PRIJEM	\N	80	20511	UROK	\N	\N
3561487	937	1996-05-31	PRIJEM	\N	92	23273	UROK	\N	\N
3561488	937	1996-06-30	PRIJEM	\N	90	20532	UROK	\N	\N
3561489	937	1996-07-31	PRIJEM	\N	92	22653	UROK	\N	\N
3561490	937	1996-08-31	PRIJEM	\N	98	21300	UROK	\N	\N
3561491	937	1996-09-30	PRIJEM	\N	95	24065	UROK	\N	\N
3561492	937	1996-10-31	PRIJEM	\N	106	25720	UROK	\N	\N
3561493	937	1996-11-30	PRIJEM	\N	112	27221	UROK	\N	\N
3561494	937	1996-12-31	PRIJEM	\N	118	29158	UROK	\N	\N
3561495	937	1997-01-31	PRIJEM	\N	113	21601	UROK	\N	\N
3561496	937	1997-02-28	PRIJEM	\N	96	24366	UROK	\N	\N
3561497	937	1997-03-31	PRIJEM	\N	102	24037	UROK	\N	\N
3561498	937	1997-04-30	PRIJEM	\N	100	23707	UROK	\N	\N
3561499	937	1997-05-31	PRIJEM	\N	95	21571	UROK	\N	\N
3561500	937	1997-06-30	PRIJEM	\N	89	16729	UROK	\N	\N
3561501	937	1997-07-31	PRIJEM	\N	72	17771	UROK	\N	\N
3561502	937	1997-08-31	PRIJEM	\N	77	18678	UROK	\N	\N
3561503	937	1997-09-30	PRIJEM	\N	81	19748	UROK	\N	\N
3561504	937	1997-10-31	PRIJEM	\N	88	22506	UROK	\N	\N
3561505	937	1997-11-30	PRIJEM	\N	99	24775	UROK	\N	\N
3561506	937	1997-12-31	PRIJEM	\N	109	27303	UROK	\N	\N
3561507	937	1998-01-31	PRIJEM	\N	100	20192	UROK	\N	\N
3561508	937	1998-02-28	PRIJEM	\N	89	22150	UROK	\N	\N
3561509	937	1998-03-31	PRIJEM	\N	92	22112	UROK	\N	\N
3561510	937	1998-04-30	PRIJEM	\N	98	24879	UROK	\N	\N
3561511	937	1998-05-31	PRIJEM	\N	109	26857	UROK	\N	\N
3561512	937	1998-06-30	PRIJEM	\N	107	22013	UROK	\N	\N
3561513	937	1998-07-31	PRIJEM	\N	98	24780	UROK	\N	\N
3561514	937	1998-08-31	PRIJEM	\N	106	23715	UROK	\N	\N
3561515	937	1998-09-30	PRIJEM	\N	101	23686	UROK	\N	\N
3561516	937	1998-10-31	PRIJEM	\N	106	26261	UROK	\N	\N
3561517	937	1998-11-30	PRIJEM	\N	115	29045	UROK	\N	\N
3561518	937	1998-12-31	PRIJEM	\N	126	31141	UROK	\N	\N
3561519	938	1998-01-31	PRIJEM	\N	47	18270	UROK	\N	\N
3561520	938	1998-02-28	PRIJEM	\N	92	24884	UROK	\N	\N
3561521	938	1998-03-31	PRIJEM	\N	105	25612	UROK	\N	\N
3561522	938	1998-04-30	PRIJEM	\N	119	30855	UROK	\N	\N
3561523	938	1998-05-31	PRIJEM	\N	130	31407	UROK	\N	\N
3561524	938	1998-06-30	PRIJEM	\N	146	37570	UROK	\N	\N
3561525	938	1998-07-31	PRIJEM	\N	154	37379	UROK	\N	\N
3561526	938	1998-08-31	PRIJEM	\N	143	31398	UROK	\N	\N
3561527	938	1998-09-30	PRIJEM	\N	133	32586	UROK	\N	\N
3561528	938	1998-10-31	PRIJEM	\N	145	36486	UROK	\N	\N
3561529	938	1998-11-30	PRIJEM	\N	146	35588	UROK	\N	\N
3561530	938	1998-12-31	PRIJEM	\N	139	29723	UROK	\N	\N
3561531	939	1994-10-31	PRIJEM	\N	16	4279	UROK	\N	\N
3561532	939	1994-11-30	PRIJEM	\N	18	7459	UROK	\N	\N
3561533	939	1994-12-31	PRIJEM	\N	18	10640	UROK	\N	\N
3561534	939	1995-01-31	PRIJEM	\N	18	13821	UROK	\N	\N
3561535	939	1995-02-28	PRIJEM	\N	46	14922	UROK	\N	\N
3561536	939	1995-03-31	PRIJEM	\N	65	16027	UROK	\N	\N
3561537	939	1995-04-30	PRIJEM	\N	70	17138	UROK	\N	\N
3561538	939	1995-05-31	PRIJEM	\N	74	18252	UROK	\N	\N
3561539	939	1995-06-30	PRIJEM	\N	73	16456	UROK	\N	\N
3561540	939	1995-07-31	PRIJEM	\N	72	17568	UROK	\N	\N
3561541	939	1995-08-31	PRIJEM	\N	76	18324	UROK	\N	\N
3561542	939	1995-09-30	PRIJEM	\N	79	19444	UROK	\N	\N
3561543	939	1995-10-31	PRIJEM	\N	84	20178	UROK	\N	\N
3561544	939	1995-11-30	PRIJEM	\N	87	18636	UROK	\N	\N
3561545	939	1995-12-31	PRIJEM	\N	79	19125	UROK	\N	\N
3561546	939	1996-01-31	PRIJEM	\N	78	16854	UROK	\N	\N
3561547	939	1996-02-29	PRIJEM	\N	73	17667	UROK	\N	\N
3561548	939	1996-03-31	PRIJEM	\N	76	18784	UROK	\N	\N
3561549	939	1996-04-30	PRIJEM	\N	81	19905	UROK	\N	\N
3561550	939	1996-05-31	PRIJEM	\N	86	21031	UROK	\N	\N
3561551	939	1996-06-30	PRIJEM	\N	87	19039	UROK	\N	\N
3561552	939	1996-07-31	PRIJEM	\N	82	20161	UROK	\N	\N
3561553	939	1996-08-31	PRIJEM	\N	87	19188	UROK	\N	\N
3561554	939	1996-09-30	PRIJEM	\N	83	20311	UROK	\N	\N
3561555	939	1996-10-31	PRIJEM	\N	84	19636	UROK	\N	\N
3561556	939	1996-11-30	PRIJEM	\N	84	20761	UROK	\N	\N
3561557	939	1996-12-31	PRIJEM	\N	89	21680	UROK	\N	\N
3561558	939	1997-01-31	PRIJEM	\N	88	16718	UROK	\N	\N
3561559	939	1997-02-28	PRIJEM	\N	72	17831	UROK	\N	\N
3561560	939	1997-03-31	PRIJEM	\N	77	18948	UROK	\N	\N
3561561	939	1997-04-30	PRIJEM	\N	81	20070	UROK	\N	\N
3561562	939	1997-05-31	PRIJEM	\N	86	21196	UROK	\N	\N
3561563	939	1997-06-30	PRIJEM	\N	70	14806	UROK	\N	\N
3561564	939	1997-07-31	PRIJEM	\N	64	15911	UROK	\N	\N
3561565	939	1997-08-31	PRIJEM	\N	69	17020	UROK	\N	\N
3561566	939	1997-09-30	PRIJEM	\N	73	18133	UROK	\N	\N
3561567	939	1997-10-31	PRIJEM	\N	73	18137	UROK	\N	\N
3561568	939	1997-11-30	PRIJEM	\N	78	19255	UROK	\N	\N
3561569	939	1997-12-31	PRIJEM	\N	80	19055	UROK	\N	\N
3561570	939	1998-01-31	PRIJEM	\N	75	15310	UROK	\N	\N
3561571	939	1998-02-28	PRIJEM	\N	66	16417	UROK	\N	\N
3561572	939	1998-03-31	PRIJEM	\N	70	17527	UROK	\N	\N
3561573	939	1998-04-30	PRIJEM	\N	75	18643	UROK	\N	\N
3561574	939	1998-05-31	PRIJEM	\N	79	18112	UROK	\N	\N
3561575	939	1998-06-30	PRIJEM	\N	73	17425	UROK	\N	\N
3561576	939	1998-07-31	PRIJEM	\N	74	18030	UROK	\N	\N
3561577	939	1998-08-31	PRIJEM	\N	75	18215	UROK	\N	\N
3561578	939	1998-09-30	PRIJEM	\N	78	19333	UROK	\N	\N
3561579	939	1998-10-31	PRIJEM	\N	80	19374	UROK	\N	\N
3561580	939	1998-11-30	PRIJEM	\N	82	20497	UROK	\N	\N
3561581	939	1998-12-31	PRIJEM	\N	87	21174	UROK	\N	\N
3561582	940	1994-12-31	PRIJEM	\N	94	41050	UROK	\N	\N
3561583	940	1995-01-31	PRIJEM	\N	197	51983	UROK	\N	\N
3561584	940	1995-02-28	PRIJEM	\N	227	56547	UROK	\N	\N
3561585	940	1995-03-31	PRIJEM	\N	246	61430	UROK	\N	\N
3561586	940	1995-04-30	PRIJEM	\N	241	49448	UROK	\N	\N
3561587	940	1995-05-31	PRIJEM	\N	201	47872	UROK	\N	\N
3561588	940	1995-06-30	PRIJEM	\N	234	60223	UROK	\N	\N
3561589	940	1995-07-31	PRIJEM	\N	214	46002	UROK	\N	\N
3561590	940	1995-08-31	PRIJEM	\N	228	59453	UROK	\N	\N
3561591	940	1995-09-30	PRIJEM	\N	251	59125	UROK	\N	\N
3561592	940	1995-10-31	PRIJEM	\N	321	62669	UROK	\N	\N
3561593	940	1995-11-30	PRIJEM	\N	303	74695	UROK	\N	\N
3561594	940	1995-12-31	PRIJEM	\N	317	79053	UROK	\N	\N
3561595	940	1996-01-31	PRIJEM	\N	347	87723	UROK	\N	\N
3561596	940	1996-02-29	PRIJEM	\N	394	99640	UROK	\N	\N
3561597	940	1996-03-31	PRIJEM	\N	261	42009	UROK	\N	\N
3561598	940	1996-04-30	PRIJEM	\N	264	75095	UROK	\N	\N
3561599	940	1996-05-31	PRIJEM	\N	368	94986	UROK	\N	\N
3561600	940	1996-06-30	PRIJEM	\N	341	64532	UROK	\N	\N
3561601	940	1996-07-31	PRIJEM	\N	317	76947	UROK	\N	\N
3561602	940	1996-08-31	PRIJEM	\N	303	56068	UROK	\N	\N
3561603	940	1996-09-30	PRIJEM	\N	274	66530	UROK	\N	\N
3561604	940	1996-10-31	PRIJEM	\N	254	34669	UROK	\N	\N
3561605	940	1996-11-30	PRIJEM	\N	223	62777	UROK	\N	\N
3561606	940	1996-12-31	PRIJEM	\N	351	99898	UROK	\N	\N
3561607	940	1997-01-31	PRIJEM	\N	362	68944	UROK	\N	\N
3561608	940	1997-02-28	PRIJEM	\N	352	93781	UROK	\N	\N
3561609	940	1997-03-31	PRIJEM	\N	383	97449	UROK	\N	\N
3561610	940	1997-04-30	PRIJEM	\N	398	105291	UROK	\N	\N
3561611	940	1997-05-31	PRIJEM	\N	330	67405	UROK	\N	\N
3561612	940	1997-06-30	PRIJEM	\N	267	59676	UROK	\N	\N
3561613	940	1997-07-31	PRIJEM	\N	225	56514	UROK	\N	\N
3561614	940	1997-08-31	PRIJEM	\N	321	88620	UROK	\N	\N
3561615	940	1997-09-30	PRIJEM	\N	232	48936	UROK	\N	\N
3561616	940	1997-10-31	PRIJEM	\N	286	65507	UROK	\N	\N
3561617	940	1997-11-30	PRIJEM	\N	352	77042	UROK	\N	\N
3561618	940	1997-12-31	PRIJEM	\N	279	61025	UROK	\N	\N
3561619	940	1998-01-31	PRIJEM	\N	289	70398	UROK	\N	\N
3561620	940	1998-02-28	PRIJEM	\N	368	82050	UROK	\N	\N
3561621	940	1998-03-31	PRIJEM	\N	281	52405	UROK	\N	\N
3561622	940	1998-04-30	PRIJEM	\N	292	70881	UROK	\N	\N
3561623	940	1998-05-31	PRIJEM	\N	372	88137	UROK	\N	\N
3561624	940	1998-06-30	PRIJEM	\N	290	57530	UROK	\N	\N
3561625	940	1998-07-31	PRIJEM	\N	312	76126	UROK	\N	\N
3561626	940	1998-08-31	PRIJEM	\N	285	57823	UROK	\N	\N
3561627	940	1998-09-30	PRIJEM	\N	284	66892	UROK	\N	\N
3561628	940	1998-10-31	PRIJEM	\N	342	77818	UROK	\N	\N
3561629	940	1998-11-30	PRIJEM	\N	365	79819	UROK	\N	\N
3561630	940	1998-12-31	PRIJEM	\N	416	109139	UROK	\N	\N
3561631	941	1994-06-30	PRIJEM	\N	21	8932	UROK	\N	\N
3561632	941	1994-07-31	PRIJEM	\N	75	24614	UROK	\N	\N
3561633	941	1994-08-31	PRIJEM	\N	123	33043	UROK	\N	\N
3561634	941	1994-09-30	PRIJEM	\N	146	36796	UROK	\N	\N
3561635	941	1994-10-31	PRIJEM	\N	153	37056	UROK	\N	\N
3561636	941	1994-11-30	PRIJEM	\N	147	34924	UROK	\N	\N
3561637	941	1994-12-31	PRIJEM	\N	135	32944	UROK	\N	\N
3561638	941	1995-01-31	PRIJEM	\N	90	13595	UROK	\N	\N
3561639	941	1995-02-28	PRIJEM	\N	77	22294	UROK	\N	\N
3561640	941	1995-03-31	PRIJEM	\N	102	26417	UROK	\N	\N
3561641	941	1995-04-30	PRIJEM	\N	115	28453	UROK	\N	\N
3561642	941	1995-05-31	PRIJEM	\N	114	27388	UROK	\N	\N
3561643	941	1995-06-30	PRIJEM	\N	109	23702	UROK	\N	\N
3561644	941	1995-07-31	PRIJEM	\N	83	18467	UROK	\N	\N
3561645	941	1995-08-31	PRIJEM	\N	78	18985	UROK	\N	\N
3561646	941	1995-09-30	PRIJEM	\N	78	19285	UROK	\N	\N
3561647	941	1995-10-31	PRIJEM	\N	81	20387	UROK	\N	\N
3561648	941	1995-11-30	PRIJEM	\N	69	16718	UROK	\N	\N
3561649	941	1995-12-31	PRIJEM	\N	72	19614	UROK	\N	\N
3561650	941	1996-01-31	PRIJEM	\N	62	13718	UROK	\N	\N
3561651	941	1996-02-29	PRIJEM	\N	62	18801	UROK	\N	\N
3561652	941	1996-03-31	PRIJEM	\N	81	18583	UROK	\N	\N
3561653	941	1996-04-30	PRIJEM	\N	81	18485	UROK	\N	\N
3561654	941	1996-05-31	PRIJEM	\N	81	20888	UROK	\N	\N
3561655	941	1996-06-30	PRIJEM	\N	88	20001	UROK	\N	\N
3561656	941	1996-07-31	PRIJEM	\N	85	16708	UROK	\N	\N
3561657	941	1996-08-31	PRIJEM	\N	71	15460	UROK	\N	\N
3561658	941	1996-09-30	PRIJEM	\N	67	15848	UROK	\N	\N
3561659	941	1996-10-31	PRIJEM	\N	66	13836	UROK	\N	\N
3561660	941	1996-11-30	PRIJEM	\N	59	13116	UROK	\N	\N
3561661	941	1996-12-31	PRIJEM	\N	61	13502	UROK	\N	\N
3561662	941	1997-01-31	PRIJEM	\N	56	12560	UROK	\N	\N
3561663	941	1997-02-28	PRIJEM	\N	56	14537	UROK	\N	\N
3561664	941	1997-03-31	PRIJEM	\N	60	12819	UROK	\N	\N
3561665	941	1997-04-30	PRIJEM	\N	57	14797	UROK	\N	\N
3561666	941	1997-05-31	PRIJEM	\N	65	16784	UROK	\N	\N
3561667	941	1997-06-30	PRIJEM	\N	69	12277	UROK	\N	\N
3561668	941	1997-07-31	PRIJEM	\N	55	14253	UROK	\N	\N
3561669	941	1997-08-31	PRIJEM	\N	63	16238	UROK	\N	\N
3561670	941	1997-09-30	PRIJEM	\N	71	18230	UROK	\N	\N
3561671	941	1997-10-31	PRIJEM	\N	73	16025	UROK	\N	\N
3561672	941	1997-11-30	PRIJEM	\N	70	18016	UROK	\N	\N
3561673	941	1997-12-31	PRIJEM	\N	79	18920	UROK	\N	\N
3561674	941	1998-01-31	PRIJEM	\N	68	13709	UROK	\N	\N
3561675	941	1998-02-28	PRIJEM	\N	60	15691	UROK	\N	\N
3561676	941	1998-03-31	PRIJEM	\N	69	17680	UROK	\N	\N
3561677	941	1998-04-30	PRIJEM	\N	77	19679	UROK	\N	\N
3561678	941	1998-05-31	PRIJEM	\N	83	18443	UROK	\N	\N
3561679	941	1998-06-30	PRIJEM	\N	87	23354	UROK	\N	\N
3561680	941	1998-07-31	PRIJEM	\N	100	25376	UROK	\N	\N
3561681	941	1998-08-31	PRIJEM	\N	106	22004	UROK	\N	\N
3561682	941	1998-09-30	PRIJEM	\N	94	24020	UROK	\N	\N
3561683	941	1998-10-31	PRIJEM	\N	90	21471	UROK	\N	\N
3561684	941	1998-11-30	PRIJEM	\N	92	23484	UROK	\N	\N
3561685	941	1998-12-31	PRIJEM	\N	105	25574	UROK	\N	\N
3561686	943	1993-02-28	PRIJEM	\N	14	4031	UROK	\N	\N
3561687	943	1993-03-31	PRIJEM	\N	17	7265	UROK	\N	\N
3561688	943	1993-04-30	PRIJEM	\N	17	10498	UROK	\N	\N
3561689	943	1993-05-31	PRIJEM	\N	17	13732	UROK	\N	\N
3561690	943	1993-06-30	PRIJEM	\N	56	13871	UROK	\N	\N
3561691	943	1993-07-31	PRIJEM	\N	61	14991	UROK	\N	\N
3561692	943	1993-08-31	PRIJEM	\N	66	16115	UROK	\N	\N
3561693	943	1993-09-30	PRIJEM	\N	71	17244	UROK	\N	\N
3561694	943	1993-10-31	PRIJEM	\N	75	18378	UROK	\N	\N
3561695	943	1993-11-30	PRIJEM	\N	77	18434	UROK	\N	\N
3561696	943	1993-12-31	PRIJEM	\N	79	18941	UROK	\N	\N
3561697	943	1994-01-31	PRIJEM	\N	75	16055	UROK	\N	\N
3561698	943	1994-02-28	PRIJEM	\N	70	17183	UROK	\N	\N
3561699	943	1994-03-31	PRIJEM	\N	71	16573	UROK	\N	\N
3561700	943	1994-04-30	PRIJEM	\N	73	17704	UROK	\N	\N
3561701	943	1994-05-31	PRIJEM	\N	76	18208	UROK	\N	\N
3561702	943	1994-06-30	PRIJEM	\N	79	19346	UROK	\N	\N
3561703	943	1994-07-31	PRIJEM	\N	84	20488	UROK	\N	\N
3561704	943	1994-08-31	PRIJEM	\N	89	21635	UROK	\N	\N
3561705	943	1994-09-30	PRIJEM	\N	87	20331	UROK	\N	\N
3561706	943	1994-10-31	PRIJEM	\N	88	21477	UROK	\N	\N
3561707	943	1994-11-30	PRIJEM	\N	93	22628	UROK	\N	\N
3561708	943	1994-12-31	PRIJEM	\N	96	22513	UROK	\N	\N
3561709	943	1995-01-31	PRIJEM	\N	87	19518	UROK	\N	\N
3561710	943	1995-02-28	PRIJEM	\N	84	20151	UROK	\N	\N
3561711	943	1995-03-31	PRIJEM	\N	87	21296	UROK	\N	\N
3561712	943	1995-04-30	PRIJEM	\N	90	21785	UROK	\N	\N
3561713	943	1995-05-31	PRIJEM	\N	93	22367	UROK	\N	\N
3561714	943	1995-06-30	PRIJEM	\N	69	14824	UROK	\N	\N
3561715	943	1995-07-31	PRIJEM	\N	60	14473	UROK	\N	\N
3561716	943	1995-08-31	PRIJEM	\N	63	15594	UROK	\N	\N
3561717	943	1995-09-30	PRIJEM	\N	68	16721	UROK	\N	\N
3561718	943	1995-10-31	PRIJEM	\N	73	17852	UROK	\N	\N
3561719	943	1995-11-30	PRIJEM	\N	77	18988	UROK	\N	\N
3561720	943	1995-12-31	PRIJEM	\N	78	19014	UROK	\N	\N
3561721	943	1996-01-31	PRIJEM	\N	71	15914	UROK	\N	\N
3561722	943	1996-02-29	PRIJEM	\N	67	16259	UROK	\N	\N
3561723	943	1996-03-31	PRIJEM	\N	71	17388	UROK	\N	\N
3561724	943	1996-04-30	PRIJEM	\N	75	18522	UROK	\N	\N
3561725	943	1996-05-31	PRIJEM	\N	79	18309	UROK	\N	\N
3561726	943	1996-06-30	PRIJEM	\N	75	15662	UROK	\N	\N
3561727	943	1996-07-31	PRIJEM	\N	68	16789	UROK	\N	\N
3561728	943	1996-08-31	PRIJEM	\N	73	17920	UROK	\N	\N
3561729	943	1996-09-30	PRIJEM	\N	77	19055	UROK	\N	\N
3561730	943	1996-10-31	PRIJEM	\N	82	20196	UROK	\N	\N
3561731	943	1996-11-30	PRIJEM	\N	87	21341	UROK	\N	\N
3561732	943	1996-12-31	PRIJEM	\N	88	20986	UROK	\N	\N
3561733	943	1997-01-31	PRIJEM	\N	81	18406	UROK	\N	\N
3561734	943	1997-02-28	PRIJEM	\N	79	19543	UROK	\N	\N
3561735	943	1997-03-31	PRIJEM	\N	84	20685	UROK	\N	\N
3561736	943	1997-04-30	PRIJEM	\N	85	20389	UROK	\N	\N
3561737	943	1997-05-31	PRIJEM	\N	87	21534	UROK	\N	\N
3561738	943	1997-06-30	PRIJEM	\N	87	18990	UROK	\N	\N
3561739	943	1997-07-31	PRIJEM	\N	81	20129	UROK	\N	\N
3561740	943	1997-08-31	PRIJEM	\N	86	21123	UROK	\N	\N
3561741	943	1997-09-30	PRIJEM	\N	90	22272	UROK	\N	\N
3561742	943	1997-10-31	PRIJEM	\N	95	23425	UROK	\N	\N
3561743	943	1997-11-30	PRIJEM	\N	99	24582	UROK	\N	\N
3561744	943	1997-12-31	PRIJEM	\N	103	25114	UROK	\N	\N
3561745	943	1998-01-31	PRIJEM	\N	96	21829	UROK	\N	\N
3561746	943	1998-02-28	PRIJEM	\N	92	22979	UROK	\N	\N
3561747	943	1998-03-31	PRIJEM	\N	97	24135	UROK	\N	\N
3561748	943	1998-04-30	PRIJEM	\N	102	25295	UROK	\N	\N
3561749	943	1998-05-31	PRIJEM	\N	107	26461	UROK	\N	\N
3561750	943	1998-06-30	PRIJEM	\N	106	25345	UROK	\N	\N
3561751	943	1998-07-31	PRIJEM	\N	107	26510	UROK	\N	\N
3561752	943	1998-08-31	PRIJEM	\N	111	26599	UROK	\N	\N
3561753	943	1998-09-30	PRIJEM	\N	112	27769	UROK	\N	\N
3561754	943	1998-10-31	PRIJEM	\N	110	26717	UROK	\N	\N
3561755	943	1998-11-30	PRIJEM	\N	111	27287	UROK	\N	\N
3561756	943	1998-12-31	PRIJEM	\N	113	27138	UROK	\N	\N
3561757	944	1993-03-31	PRIJEM	\N	56	17483	UROK	\N	\N
3561758	944	1993-04-30	PRIJEM	\N	138	38149	UROK	\N	\N
3561759	944	1993-05-31	PRIJEM	\N	185	46360	UROK	\N	\N
3561760	944	1993-06-30	PRIJEM	\N	237	60488	UROK	\N	\N
3561761	944	1993-07-31	PRIJEM	\N	246	58961	UROK	\N	\N
3561762	944	1993-08-31	PRIJEM	\N	233	57325	UROK	\N	\N
3561763	944	1993-09-30	PRIJEM	\N	216	53293	UROK	\N	\N
3561764	944	1993-10-31	PRIJEM	\N	186	43870	UROK	\N	\N
3561765	944	1993-11-30	PRIJEM	\N	192	48514	UROK	\N	\N
3561766	944	1993-12-31	PRIJEM	\N	210	52958	UROK	\N	\N
3561767	944	1994-01-31	PRIJEM	\N	170	25719	UROK	\N	\N
3561768	944	1994-02-28	PRIJEM	\N	142	37812	UROK	\N	\N
3561769	944	1994-03-31	PRIJEM	\N	180	46043	UROK	\N	\N
3561770	944	1994-04-30	PRIJEM	\N	185	42020	UROK	\N	\N
3561771	944	1994-05-31	PRIJEM	\N	185	46956	UROK	\N	\N
3561772	944	1994-06-30	PRIJEM	\N	206	51936	UROK	\N	\N
3561773	944	1994-07-31	PRIJEM	\N	185	42573	UROK	\N	\N
3561774	944	1994-08-31	PRIJEM	\N	186	36410	UROK	\N	\N
3561775	944	1994-09-30	PRIJEM	\N	185	36447	UROK	\N	\N
3561776	944	1994-10-31	PRIJEM	\N	185	39983	UROK	\N	\N
3561777	944	1994-11-30	PRIJEM	\N	196	41191	UROK	\N	\N
3561778	944	1994-12-31	PRIJEM	\N	219	44864	UROK	\N	\N
3561779	944	1995-01-31	PRIJEM	\N	160	31995	UROK	\N	\N
3561780	944	1995-02-28	PRIJEM	\N	162	35908	UROK	\N	\N
3561781	944	1995-03-31	PRIJEM	\N	170	37970	UROK	\N	\N
3561782	944	1995-04-30	PRIJEM	\N	181	35262	UROK	\N	\N
3561783	944	1995-05-31	PRIJEM	\N	176	35689	UROK	\N	\N
3561784	944	1995-06-30	PRIJEM	\N	201	40805	UROK	\N	\N
3561785	944	1995-07-31	PRIJEM	\N	197	41673	UROK	\N	\N
3561786	944	1995-08-31	PRIJEM	\N	202	44726	UROK	\N	\N
3561787	944	1995-09-30	PRIJEM	\N	211	43528	UROK	\N	\N
3561788	944	1995-10-31	PRIJEM	\N	210	47329	UROK	\N	\N
3561789	944	1995-11-30	PRIJEM	\N	222	49702	UROK	\N	\N
3561790	944	1995-12-31	PRIJEM	\N	238	53114	UROK	\N	\N
3561791	944	1996-01-31	PRIJEM	\N	216	45602	UROK	\N	\N
3561792	944	1996-02-29	PRIJEM	\N	215	49768	UROK	\N	\N
3561793	944	1996-03-31	PRIJEM	\N	230	51949	UROK	\N	\N
3561794	944	1996-04-30	PRIJEM	\N	234	53215	UROK	\N	\N
3561795	944	1996-05-31	PRIJEM	\N	242	54608	UROK	\N	\N
3561796	944	1996-06-30	PRIJEM	\N	219	53201	UROK	\N	\N
3561797	944	1996-07-31	PRIJEM	\N	240	54793	UROK	\N	\N
3561798	944	1996-08-31	PRIJEM	\N	241	53885	UROK	\N	\N
3561799	944	1996-09-30	PRIJEM	\N	229	52786	UROK	\N	\N
3561800	944	1996-10-31	PRIJEM	\N	221	51178	UROK	\N	\N
3561801	944	1996-11-30	PRIJEM	\N	218	48048	UROK	\N	\N
3561802	944	1996-12-31	PRIJEM	\N	227	50689	UROK	\N	\N
3561803	944	1997-01-31	PRIJEM	\N	178	29438	UROK	\N	\N
3561804	944	1997-02-28	PRIJEM	\N	144	35834	UROK	\N	\N
3561805	944	1997-03-31	PRIJEM	\N	167	39352	UROK	\N	\N
3561806	944	1997-04-30	PRIJEM	\N	175	40579	UROK	\N	\N
3561807	944	1997-05-31	PRIJEM	\N	176	40006	UROK	\N	\N
3561808	944	1997-06-30	PRIJEM	\N	178	38599	UROK	\N	\N
3561809	944	1997-07-31	PRIJEM	\N	157	33667	UROK	\N	\N
3561810	944	1997-08-31	PRIJEM	\N	151	36069	UROK	\N	\N
3561811	944	1997-09-30	PRIJEM	\N	154	36275	UROK	\N	\N
3561812	944	1997-10-31	PRIJEM	\N	161	37347	UROK	\N	\N
3561813	944	1997-11-30	PRIJEM	\N	163	34981	UROK	\N	\N
3561814	944	1997-12-31	PRIJEM	\N	168	41324	UROK	\N	\N
3561815	944	1998-01-31	PRIJEM	\N	154	30970	UROK	\N	\N
3561816	944	1998-02-28	PRIJEM	\N	136	34157	UROK	\N	\N
3561817	944	1998-03-31	PRIJEM	\N	150	36858	UROK	\N	\N
3561818	944	1998-04-30	PRIJEM	\N	154	37463	UROK	\N	\N
3561819	944	1998-05-31	PRIJEM	\N	155	34529	UROK	\N	\N
3561820	944	1998-06-30	PRIJEM	\N	149	37993	UROK	\N	\N
3561821	944	1998-07-31	PRIJEM	\N	159	39503	UROK	\N	\N
3561822	944	1998-08-31	PRIJEM	\N	171	43226	UROK	\N	\N
3561823	944	1998-09-30	PRIJEM	\N	168	41645	UROK	\N	\N
3561824	944	1998-10-31	PRIJEM	\N	150	33407	UROK	\N	\N
3561825	944	1998-11-30	PRIJEM	\N	164	43822	UROK	\N	\N
3561826	944	1998-12-31	PRIJEM	\N	204	52820	UROK	\N	\N
3561827	945	1996-09-30	PRIJEM	\N	40	32325	UROK	\N	\N
3561828	945	1996-10-31	PRIJEM	\N	135	30960	UROK	\N	\N
3561829	945	1996-11-30	PRIJEM	\N	167	46043	UROK	\N	\N
3561830	945	1996-12-31	PRIJEM	\N	215	57727	UROK	\N	\N
3561831	945	1997-01-31	PRIJEM	\N	240	43467	UROK	\N	\N
3561832	945	1997-02-28	PRIJEM	\N	240	34507	UROK	\N	\N
3561833	945	1997-03-31	PRIJEM	\N	240	31347	UROK	\N	\N
3561834	945	1997-04-30	PRIJEM	\N	237	55674	UROK	\N	\N
3561835	945	1997-05-31	PRIJEM	\N	231	42005	UROK	\N	\N
3561836	945	1997-06-30	PRIJEM	\N	231	31836	UROK	\N	\N
3561837	945	1997-07-31	PRIJEM	\N	231	27368	UROK	\N	\N
3561838	945	1997-08-31	PRIJEM	\N	231	27199	UROK	\N	\N
3561839	945	1997-09-30	PRIJEM	\N	231	29831	UROK	\N	\N
3561840	945	1997-10-31	PRIJEM	\N	231	31462	UROK	\N	\N
3561841	945	1997-11-30	PRIJEM	\N	231	36693	UROK	\N	\N
3561842	945	1997-12-31	PRIJEM	\N	231	36825	UROK	\N	\N
3561843	945	1998-01-31	PRIJEM	\N	231	35256	UROK	\N	\N
3561844	945	1998-02-28	PRIJEM	\N	231	32087	UROK	\N	\N
3561845	945	1998-03-31	PRIJEM	\N	190	42084	UROK	\N	\N
3561846	945	1998-04-30	PRIJEM	\N	196	59895	UROK	\N	\N
3561847	945	1998-05-31	PRIJEM	\N	224	64199	UROK	\N	\N
3561848	945	1998-06-30	PRIJEM	\N	209	40058	UROK	\N	\N
3561849	945	1998-07-31	PRIJEM	\N	219	90834	UROK	\N	\N
3561850	945	1998-08-31	PRIJEM	\N	269	58483	UROK	\N	\N
3561851	945	1998-09-30	PRIJEM	\N	207	44660	UROK	\N	\N
3561852	945	1998-10-31	PRIJEM	\N	160	35990	UROK	\N	\N
3561853	945	1998-11-30	PRIJEM	\N	137	31697	UROK	\N	\N
3561854	945	1998-12-31	PRIJEM	\N	117	26984	UROK	\N	\N
3561855	947	1993-06-30	PRIJEM	\N	32	15383	UROK	\N	\N
3561856	947	1993-07-31	PRIJEM	\N	78	21895	UROK	\N	\N
3561857	947	1993-08-31	PRIJEM	\N	97	24426	UROK	\N	\N
3561858	947	1993-09-30	PRIJEM	\N	111	28470	UROK	\N	\N
3561859	947	1993-10-31	PRIJEM	\N	113	26071	UROK	\N	\N
3561860	947	1993-11-30	PRIJEM	\N	115	28317	UROK	\N	\N
3561861	947	1993-12-31	PRIJEM	\N	104	23248	UROK	\N	\N
3561862	947	1994-01-31	PRIJEM	\N	73	16492	UROK	\N	\N
3561863	947	1994-02-28	PRIJEM	\N	85	22308	UROK	\N	\N
3561864	947	1994-03-31	PRIJEM	\N	97	23035	UROK	\N	\N
3561865	947	1994-04-30	PRIJEM	\N	93	21559	UROK	\N	\N
3561866	947	1994-05-31	PRIJEM	\N	91	21579	UROK	\N	\N
3561867	947	1994-06-30	PRIJEM	\N	94	22821	UROK	\N	\N
3561868	947	1994-07-31	PRIJEM	\N	97	23449	UROK	\N	\N
3561869	947	1994-08-31	PRIJEM	\N	82	17181	UROK	\N	\N
3561870	947	1994-09-30	PRIJEM	\N	88	22699	UROK	\N	\N
3561871	947	1994-10-31	PRIJEM	\N	105	26135	UROK	\N	\N
3561872	947	1994-11-30	PRIJEM	\N	103	24368	UROK	\N	\N
3561873	947	1994-12-31	PRIJEM	\N	105	25100	UROK	\N	\N
3561874	947	1995-01-31	PRIJEM	\N	68	13698	UROK	\N	\N
3561875	947	1995-02-28	PRIJEM	\N	69	17398	UROK	\N	\N
3561876	947	1995-03-31	PRIJEM	\N	73	17801	UROK	\N	\N
3561877	947	1995-04-30	PRIJEM	\N	78	19109	UROK	\N	\N
3561878	947	1995-05-31	PRIJEM	\N	74	17713	UROK	\N	\N
3561879	947	1995-06-30	PRIJEM	\N	77	18618	UROK	\N	\N
3561880	947	1995-07-31	PRIJEM	\N	79	19127	UROK	\N	\N
3561881	947	1995-08-31	PRIJEM	\N	70	16828	UROK	\N	\N
3561882	947	1995-09-30	PRIJEM	\N	54	12292	UROK	\N	\N
3561883	947	1995-10-31	PRIJEM	\N	55	13677	UROK	\N	\N
3561884	947	1995-11-30	PRIJEM	\N	55	13663	UROK	\N	\N
3561885	947	1995-12-31	PRIJEM	\N	63	15034	UROK	\N	\N
3561886	947	1996-01-31	PRIJEM	\N	60	13684	UROK	\N	\N
3561887	947	1996-02-29	PRIJEM	\N	60	13294	UROK	\N	\N
3561888	947	1996-03-31	PRIJEM	\N	63	15988	UROK	\N	\N
3561889	947	1996-04-30	PRIJEM	\N	80	20298	UROK	\N	\N
3561890	947	1996-05-31	PRIJEM	\N	80	19408	UROK	\N	\N
3561891	947	1996-06-30	PRIJEM	\N	88	21563	UROK	\N	\N
3561892	947	1996-07-31	PRIJEM	\N	87	23181	UROK	\N	\N
3561893	947	1996-08-31	PRIJEM	\N	101	25512	UROK	\N	\N
3561894	947	1996-09-30	PRIJEM	\N	109	26051	UROK	\N	\N
3561895	947	1996-10-31	PRIJEM	\N	113	29295	UROK	\N	\N
3561896	947	1996-11-30	PRIJEM	\N	125	30150	UROK	\N	\N
3561897	947	1996-12-31	PRIJEM	\N	118	26335	UROK	\N	\N
3561898	947	1997-01-31	PRIJEM	\N	90	22376	UROK	\N	\N
3561899	947	1997-02-28	PRIJEM	\N	100	29906	UROK	\N	\N
3561900	947	1997-03-31	PRIJEM	\N	129	32965	UROK	\N	\N
3561901	947	1997-04-30	PRIJEM	\N	140	34336	UROK	\N	\N
3561902	947	1997-05-31	PRIJEM	\N	146	35913	UROK	\N	\N
3561903	947	1997-06-30	PRIJEM	\N	156	38016	UROK	\N	\N
3561904	947	1997-07-31	PRIJEM	\N	164	42010	UROK	\N	\N
3561905	947	1997-08-31	PRIJEM	\N	183	48023	UROK	\N	\N
3561906	947	1997-09-30	PRIJEM	\N	197	48171	UROK	\N	\N
3561907	947	1997-10-31	PRIJEM	\N	204	50505	UROK	\N	\N
3561908	947	1997-11-30	PRIJEM	\N	218	55774	UROK	\N	\N
3561909	947	1997-12-31	PRIJEM	\N	243	58244	UROK	\N	\N
3561910	947	1998-01-31	PRIJEM	\N	192	48627	UROK	\N	\N
3561911	947	1998-02-28	PRIJEM	\N	212	55269	UROK	\N	\N
3561912	947	1998-03-31	PRIJEM	\N	228	56568	UROK	\N	\N
3561913	947	1998-04-30	PRIJEM	\N	236	56634	UROK	\N	\N
3561914	947	1998-05-31	PRIJEM	\N	241	59905	UROK	\N	\N
3561915	947	1998-06-30	PRIJEM	\N	189	45581	UROK	\N	\N
3561916	947	1998-07-31	PRIJEM	\N	201	52713	UROK	\N	\N
3561917	947	1998-08-31	PRIJEM	\N	220	53563	UROK	\N	\N
3561918	947	1998-09-30	PRIJEM	\N	213	46687	UROK	\N	\N
3561919	947	1998-10-31	PRIJEM	\N	200	49037	UROK	\N	\N
3561920	947	1998-11-30	PRIJEM	\N	212	53980	UROK	\N	\N
3561921	947	1998-12-31	PRIJEM	\N	217	51464	UROK	\N	\N
3561922	950	1993-09-30	PRIJEM	\N	17	20408	UROK	\N	\N
3561923	950	1993-10-31	PRIJEM	\N	97	33596	UROK	\N	\N
3561924	950	1993-11-30	PRIJEM	\N	144	38632	UROK	\N	\N
3561925	950	1993-12-31	PRIJEM	\N	171	48689	UROK	\N	\N
3561926	950	1994-01-31	PRIJEM	\N	199	41859	UROK	\N	\N
3561927	950	1994-02-28	PRIJEM	\N	188	35373	UROK	\N	\N
3561928	950	1994-03-31	PRIJEM	\N	170	36209	UROK	\N	\N
3561929	950	1994-04-30	PRIJEM	\N	171	35947	UROK	\N	\N
3561930	950	1994-05-31	PRIJEM	\N	173	39086	UROK	\N	\N
3561931	950	1994-06-30	PRIJEM	\N	185	39333	UROK	\N	\N
3561932	950	1994-07-31	PRIJEM	\N	178	36478	UROK	\N	\N
3561933	950	1994-08-31	PRIJEM	\N	159	33963	UROK	\N	\N
3561934	950	1994-09-30	PRIJEM	\N	154	28623	UROK	\N	\N
3561935	950	1994-10-31	PRIJEM	\N	148	37038	UROK	\N	\N
3561936	950	1994-11-30	PRIJEM	\N	165	34969	UROK	\N	\N
3561937	950	1994-12-31	PRIJEM	\N	185	43215	UROK	\N	\N
3561938	950	1995-01-31	PRIJEM	\N	152	35113	UROK	\N	\N
3561939	950	1995-02-28	PRIJEM	\N	172	42752	UROK	\N	\N
3561940	950	1995-03-31	PRIJEM	\N	201	47919	UROK	\N	\N
3561941	950	1995-04-30	PRIJEM	\N	212	48598	UROK	\N	\N
3561942	950	1995-05-31	PRIJEM	\N	216	49381	UROK	\N	\N
3561943	950	1995-06-30	PRIJEM	\N	162	40384	UROK	\N	\N
3561944	950	1995-07-31	PRIJEM	\N	198	49548	UROK	\N	\N
3561945	950	1995-08-31	PRIJEM	\N	227	54741	UROK	\N	\N
3561946	950	1995-09-30	PRIJEM	\N	245	58652	UROK	\N	\N
3561947	950	1995-10-31	PRIJEM	\N	259	58678	UROK	\N	\N
3561948	950	1995-11-30	PRIJEM	\N	245	56888	UROK	\N	\N
3561949	950	1995-12-31	PRIJEM	\N	270	65120	UROK	\N	\N
3561950	950	1996-01-31	PRIJEM	\N	274	65060	UROK	\N	\N
3561951	950	1996-02-29	PRIJEM	\N	275	65401	UROK	\N	\N
3561952	950	1996-03-31	PRIJEM	\N	265	63732	UROK	\N	\N
3561953	950	1996-04-30	PRIJEM	\N	280	68479	UROK	\N	\N
3561954	950	1996-05-31	PRIJEM	\N	300	73145	UROK	\N	\N
3561955	950	1996-06-30	PRIJEM	\N	267	45314	UROK	\N	\N
3561956	950	1996-07-31	PRIJEM	\N	235	61516	UROK	\N	\N
3561957	950	1996-08-31	PRIJEM	\N	276	68558	UROK	\N	\N
3561958	950	1996-09-30	PRIJEM	\N	302	74126	UROK	\N	\N
3561959	950	1996-10-31	PRIJEM	\N	309	75001	UROK	\N	\N
3561960	950	1996-11-30	PRIJEM	\N	328	82275	UROK	\N	\N
3561961	950	1996-12-31	PRIJEM	\N	373	88189	UROK	\N	\N
3561962	950	1997-01-31	PRIJEM	\N	342	79338	UROK	\N	\N
3561963	950	1997-02-28	PRIJEM	\N	347	87351	UROK	\N	\N
3561964	950	1997-03-31	PRIJEM	\N	381	94799	UROK	\N	\N
3561965	950	1997-04-30	PRIJEM	\N	409	101974	UROK	\N	\N
3561966	950	1997-05-31	PRIJEM	\N	435	107576	UROK	\N	\N
3561967	950	1997-06-30	PRIJEM	\N	313	51951	UROK	\N	\N
3561968	950	1997-07-31	PRIJEM	\N	312	83229	UROK	\N	\N
3561969	950	1997-08-31	PRIJEM	\N	386	98082	UROK	\N	\N
3561970	950	1997-09-30	PRIJEM	\N	421	103269	UROK	\N	\N
3561971	950	1997-10-31	PRIJEM	\N	419	102654	UROK	\N	\N
3561972	950	1997-11-30	PRIJEM	\N	441	109961	UROK	\N	\N
3561973	950	1997-12-31	PRIJEM	\N	281	52503	UROK	\N	\N
3561974	950	1998-01-31	PRIJEM	\N	312	77562	UROK	\N	\N
3561975	950	1998-02-28	PRIJEM	\N	371	95599	UROK	\N	\N
3561976	950	1998-03-31	PRIJEM	\N	415	97820	UROK	\N	\N
3561977	950	1998-04-30	PRIJEM	\N	417	103903	UROK	\N	\N
3561978	950	1998-05-31	PRIJEM	\N	444	110514	UROK	\N	\N
3561979	950	1998-06-30	PRIJEM	\N	311	60426	UROK	\N	\N
3561980	950	1998-07-31	PRIJEM	\N	340	89332	UROK	\N	\N
3561981	950	1998-08-31	PRIJEM	\N	421	106320	UROK	\N	\N
3561982	950	1998-09-30	PRIJEM	\N	469	114656	UROK	\N	\N
3561983	950	1998-10-31	PRIJEM	\N	338	91860	UROK	\N	\N
3561984	950	1998-11-30	PRIJEM	\N	394	108281	UROK	\N	\N
3561985	950	1998-12-31	PRIJEM	\N	381	85923	UROK	\N	\N
3561986	951	1996-09-30	PRIJEM	\N	62	21186	UROK	\N	\N
3561987	951	1996-10-31	PRIJEM	\N	82	18721	UROK	\N	\N
3561988	951	1996-11-30	PRIJEM	\N	89	20904	UROK	\N	\N
3561989	951	1996-12-31	PRIJEM	\N	92	21789	UROK	\N	\N
3561990	951	1997-01-31	PRIJEM	\N	80	13692	UROK	\N	\N
3561991	951	1997-02-28	PRIJEM	\N	61	12887	UROK	\N	\N
3561992	951	1997-03-31	PRIJEM	\N	59	15040	UROK	\N	\N
3561993	951	1997-04-30	PRIJEM	\N	64	13917	UROK	\N	\N
3561994	951	1997-05-31	PRIJEM	\N	63	14953	UROK	\N	\N
3561995	951	1997-06-30	PRIJEM	\N	63	15359	UROK	\N	\N
3561996	951	1997-07-31	PRIJEM	\N	70	17523	UROK	\N	\N
3561997	951	1997-08-31	PRIJEM	\N	79	19695	UROK	\N	\N
3561998	951	1997-09-30	PRIJEM	\N	85	19713	UROK	\N	\N
3561999	951	1997-10-31	PRIJEM	\N	88	21894	UROK	\N	\N
3562000	951	1997-11-30	PRIJEM	\N	97	24084	UROK	\N	\N
3562001	951	1997-12-31	PRIJEM	\N	106	25833	UROK	\N	\N
3562002	951	1998-01-31	PRIJEM	\N	89	17105	UROK	\N	\N
3562003	951	1998-02-28	PRIJEM	\N	82	19280	UROK	\N	\N
3562004	951	1998-03-31	PRIJEM	\N	92	21466	UROK	\N	\N
3562005	951	1998-04-30	PRIJEM	\N	101	23660	UROK	\N	\N
3562006	951	1998-05-31	PRIJEM	\N	104	25857	UROK	\N	\N
3562007	951	1998-06-30	PRIJEM	\N	102	21612	UROK	\N	\N
3562008	951	1998-07-31	PRIJEM	\N	90	21556	UROK	\N	\N
3562009	951	1998-08-31	PRIJEM	\N	87	16296	UROK	\N	\N
3562010	951	1998-09-30	PRIJEM	\N	73	18462	UROK	\N	\N
3562011	951	1998-10-31	PRIJEM	\N	77	16953	UROK	\N	\N
3562012	951	1998-11-30	PRIJEM	\N	76	19122	UROK	\N	\N
3562013	951	1998-12-31	PRIJEM	\N	83	20298	UROK	\N	\N
3562014	952	1997-12-31	PRIJEM	\N	60	19584	UROK	\N	\N
3562015	952	1998-01-31	PRIJEM	\N	105	26872	UROK	\N	\N
3562016	952	1998-02-28	PRIJEM	\N	137	34692	UROK	\N	\N
3562017	952	1998-03-31	PRIJEM	\N	155	38130	UROK	\N	\N
3562018	952	1998-04-30	PRIJEM	\N	165	40332	UROK	\N	\N
3562019	952	1998-05-31	PRIJEM	\N	167	40121	UROK	\N	\N
3562020	952	1998-06-30	PRIJEM	\N	148	22832	UROK	\N	\N
3562021	952	1998-07-31	PRIJEM	\N	111	23666	UROK	\N	\N
3562022	952	1998-08-31	PRIJEM	\N	110	26799	UROK	\N	\N
3562023	952	1998-09-30	PRIJEM	\N	141	34861	UROK	\N	\N
3562024	952	1998-10-31	PRIJEM	\N	173	40756	UROK	\N	\N
3562025	952	1998-11-30	PRIJEM	\N	192	44671	UROK	\N	\N
3562026	952	1998-12-31	PRIJEM	\N	233	55167	UROK	\N	\N
3562027	953	1995-08-31	PRIJEM	\N	17	11647	UROK	\N	\N
3562028	953	1995-09-30	PRIJEM	\N	62	20239	UROK	\N	\N
3562029	953	1995-10-31	PRIJEM	\N	92	25261	UROK	\N	\N
3562030	953	1995-11-30	PRIJEM	\N	102	23493	UROK	\N	\N
3562031	953	1995-12-31	PRIJEM	\N	104	27127	UROK	\N	\N
3562032	953	1996-01-31	PRIJEM	\N	106	23575	UROK	\N	\N
3562033	953	1996-02-29	PRIJEM	\N	98	24785	UROK	\N	\N
3562034	953	1996-03-31	PRIJEM	\N	101	24148	UROK	\N	\N
3562035	953	1996-04-30	PRIJEM	\N	98	23438	UROK	\N	\N
3562036	953	1996-05-31	PRIJEM	\N	106	28507	UROK	\N	\N
3562037	953	1996-06-30	PRIJEM	\N	114	27184	UROK	\N	\N
3562038	953	1996-07-31	PRIJEM	\N	112	27258	UROK	\N	\N
3562039	953	1996-08-31	PRIJEM	\N	116	29036	UROK	\N	\N
3562040	953	1996-09-30	PRIJEM	\N	120	29959	UROK	\N	\N
3562041	953	1996-10-31	PRIJEM	\N	125	30536	UROK	\N	\N
3562042	953	1996-11-30	PRIJEM	\N	140	36438	UROK	\N	\N
3562043	953	1996-12-31	PRIJEM	\N	145	34636	UROK	\N	\N
3562044	953	1997-01-31	PRIJEM	\N	143	35421	UROK	\N	\N
3562045	953	1997-02-28	PRIJEM	\N	149	36853	UROK	\N	\N
3562046	953	1997-03-31	PRIJEM	\N	158	39573	UROK	\N	\N
3562047	953	1997-04-30	PRIJEM	\N	163	40109	UROK	\N	\N
3562048	953	1997-05-31	PRIJEM	\N	162	39033	UROK	\N	\N
3562049	953	1997-06-30	PRIJEM	\N	162	39747	UROK	\N	\N
3562050	953	1997-07-31	PRIJEM	\N	159	38369	UROK	\N	\N
3562051	953	1997-08-31	PRIJEM	\N	163	40595	UROK	\N	\N
3562052	953	1997-09-30	PRIJEM	\N	153	36200	UROK	\N	\N
3562053	953	1997-10-31	PRIJEM	\N	141	34204	UROK	\N	\N
3562054	953	1997-11-30	PRIJEM	\N	138	33394	UROK	\N	\N
3562055	953	1997-12-31	PRIJEM	\N	149	37305	UROK	\N	\N
3562056	953	1998-01-31	PRIJEM	\N	150	35498	UROK	\N	\N
3562057	953	1998-02-28	PRIJEM	\N	142	35002	UROK	\N	\N
3562058	953	1998-03-31	PRIJEM	\N	135	32900	UROK	\N	\N
3562059	953	1998-04-30	PRIJEM	\N	143	35805	UROK	\N	\N
3562060	953	1998-05-31	PRIJEM	\N	145	35563	UROK	\N	\N
3562061	953	1998-06-30	PRIJEM	\N	145	35200	UROK	\N	\N
3562062	953	1998-07-31	PRIJEM	\N	141	34803	UROK	\N	\N
3562063	953	1998-08-31	PRIJEM	\N	137	33693	UROK	\N	\N
3562064	953	1998-09-30	PRIJEM	\N	131	32086	UROK	\N	\N
3562065	953	1998-10-31	PRIJEM	\N	134	33582	UROK	\N	\N
3562066	953	1998-11-30	PRIJEM	\N	131	32276	UROK	\N	\N
3562067	953	1998-12-31	PRIJEM	\N	110	26298	UROK	\N	\N
3562068	954	1996-01-31	PRIJEM	\N	18	6340	UROK	\N	\N
3562069	954	1996-02-29	PRIJEM	\N	67	21229	UROK	\N	\N
3562070	954	1996-03-31	PRIJEM	\N	108	28359	UROK	\N	\N
3562071	954	1996-04-30	PRIJEM	\N	119	28900	UROK	\N	\N
3562072	954	1996-05-31	PRIJEM	\N	128	31850	UROK	\N	\N
3562073	954	1996-06-30	PRIJEM	\N	136	34050	UROK	\N	\N
3562074	954	1996-07-31	PRIJEM	\N	131	30063	UROK	\N	\N
3562075	954	1996-08-31	PRIJEM	\N	130	29456	UROK	\N	\N
3562076	954	1996-09-30	PRIJEM	\N	128	31787	UROK	\N	\N
3562077	954	1996-10-31	PRIJEM	\N	138	34227	UROK	\N	\N
3562078	954	1996-11-30	PRIJEM	\N	144	35673	UROK	\N	\N
3562079	954	1996-12-31	PRIJEM	\N	141	33998	UROK	\N	\N
3562080	954	1997-01-31	PRIJEM	\N	125	22145	UROK	\N	\N
3562081	954	1997-02-28	PRIJEM	\N	116	29964	UROK	\N	\N
3562082	954	1997-03-31	PRIJEM	\N	135	33901	UROK	\N	\N
3562083	954	1997-04-30	PRIJEM	\N	136	30460	UROK	\N	\N
3562084	954	1997-05-31	PRIJEM	\N	149	37811	UROK	\N	\N
3562085	954	1997-06-30	PRIJEM	\N	169	41564	UROK	\N	\N
3562086	954	1997-07-31	PRIJEM	\N	185	46051	UROK	\N	\N
3562087	954	1997-08-31	PRIJEM	\N	186	42119	UROK	\N	\N
3562088	954	1997-09-30	PRIJEM	\N	167	41249	UROK	\N	\N
3562089	954	1997-10-31	PRIJEM	\N	162	40814	UROK	\N	\N
3562090	954	1997-11-30	PRIJEM	\N	172	40488	UROK	\N	\N
3562091	954	1997-12-31	PRIJEM	\N	176	39327	UROK	\N	\N
3562092	954	1998-01-31	PRIJEM	\N	109	26718	UROK	\N	\N
3562093	954	1998-02-28	PRIJEM	\N	116	32936	UROK	\N	\N
3562094	954	1998-03-31	PRIJEM	\N	140	33178	UROK	\N	\N
3562095	954	1998-04-30	PRIJEM	\N	142	35023	UROK	\N	\N
3562096	954	1998-05-31	PRIJEM	\N	147	34072	UROK	\N	\N
3562097	954	1998-06-30	PRIJEM	\N	151	37986	UROK	\N	\N
3562098	954	1998-07-31	PRIJEM	\N	145	32154	UROK	\N	\N
3562099	954	1998-08-31	PRIJEM	\N	134	30990	UROK	\N	\N
3562100	954	1998-09-30	PRIJEM	\N	124	25716	UROK	\N	\N
3562101	954	1998-10-31	PRIJEM	\N	108	26026	UROK	\N	\N
3562102	954	1998-11-30	PRIJEM	\N	114	30443	UROK	\N	\N
3562103	954	1998-12-31	PRIJEM	\N	125	31032	UROK	\N	\N
3562104	955	1996-08-31	PRIJEM	\N	94	29155	UROK	\N	\N
3562105	955	1996-09-30	PRIJEM	\N	157	40373	UROK	\N	\N
3562106	955	1996-10-31	PRIJEM	\N	187	46320	UROK	\N	\N
3562107	955	1996-11-30	PRIJEM	\N	202	49383	UROK	\N	\N
3562108	955	1996-12-31	PRIJEM	\N	231	56426	UROK	\N	\N
3562109	955	1997-01-31	PRIJEM	\N	169	25071	UROK	\N	\N
3562110	955	1997-02-28	PRIJEM	\N	129	33435	UROK	\N	\N
3562111	955	1997-03-31	PRIJEM	\N	152	38023	UROK	\N	\N
3562112	955	1997-04-30	PRIJEM	\N	159	39018	UROK	\N	\N
3562113	955	1997-05-31	PRIJEM	\N	153	36906	UROK	\N	\N
3562114	955	1997-06-30	PRIJEM	\N	140	34272	UROK	\N	\N
3562115	955	1997-07-31	PRIJEM	\N	122	28989	UROK	\N	\N
3562116	955	1997-08-31	PRIJEM	\N	134	33659	UROK	\N	\N
3562117	955	1997-09-30	PRIJEM	\N	135	32829	UROK	\N	\N
3562118	955	1997-10-31	PRIJEM	\N	132	32096	UROK	\N	\N
3562119	955	1997-11-30	PRIJEM	\N	142	34773	UROK	\N	\N
3562120	955	1997-12-31	PRIJEM	\N	135	27334	UROK	\N	\N
3562121	955	1998-01-31	PRIJEM	\N	78	17887	UROK	\N	\N
3562122	955	1998-02-28	PRIJEM	\N	95	27117	UROK	\N	\N
3562123	955	1998-03-31	PRIJEM	\N	129	33801	UROK	\N	\N
3562124	955	1998-04-30	PRIJEM	\N	159	32095	UROK	\N	\N
3562125	955	1998-05-31	PRIJEM	\N	151	30681	UROK	\N	\N
3562126	955	1998-06-30	PRIJEM	\N	167	37114	UROK	\N	\N
3562127	955	1998-07-31	PRIJEM	\N	165	32574	UROK	\N	\N
3562128	955	1998-08-31	PRIJEM	\N	153	31282	UROK	\N	\N
3562129	955	1998-09-30	PRIJEM	\N	148	34765	UROK	\N	\N
3562130	955	1998-10-31	PRIJEM	\N	161	37262	UROK	\N	\N
3562131	955	1998-11-30	PRIJEM	\N	174	42972	UROK	\N	\N
3562132	955	1998-12-31	PRIJEM	\N	217	55275	UROK	\N	\N
3562133	957	1996-01-31	PRIJEM	\N	21	14110	UROK	\N	\N
3562134	957	1996-02-29	PRIJEM	\N	64	17963	UROK	\N	\N
3562135	957	1996-03-31	PRIJEM	\N	80	21332	UROK	\N	\N
3562136	957	1996-04-30	PRIJEM	\N	92	23512	UROK	\N	\N
3562137	957	1996-05-31	PRIJEM	\N	100	24076	UROK	\N	\N
3562138	957	1996-06-30	PRIJEM	\N	91	12605	UROK	\N	\N
3562139	957	1996-07-31	PRIJEM	\N	60	16113	UROK	\N	\N
3562140	957	1996-08-31	PRIJEM	\N	70	16932	UROK	\N	\N
3562141	957	1996-09-30	PRIJEM	\N	75	18655	UROK	\N	\N
3562142	957	1996-10-31	PRIJEM	\N	78	18101	UROK	\N	\N
3562143	957	1996-11-30	PRIJEM	\N	74	17783	UROK	\N	\N
3562144	957	1996-12-31	PRIJEM	\N	78	18810	UROK	\N	\N
3562145	957	1997-01-31	PRIJEM	\N	75	18043	UROK	\N	\N
3562146	957	1997-02-28	PRIJEM	\N	84	21975	UROK	\N	\N
3562147	957	1997-03-31	PRIJEM	\N	95	23119	UROK	\N	\N
3562148	957	1997-04-30	PRIJEM	\N	99	23865	UROK	\N	\N
3562149	957	1997-05-31	PRIJEM	\N	104	25718	UROK	\N	\N
3562150	957	1997-06-30	PRIJEM	\N	94	15360	UROK	\N	\N
3562151	957	1997-07-31	PRIJEM	\N	77	19885	UROK	\N	\N
3562152	957	1997-08-31	PRIJEM	\N	87	21621	UROK	\N	\N
3562153	957	1997-09-30	PRIJEM	\N	91	22030	UROK	\N	\N
3562154	957	1997-10-31	PRIJEM	\N	88	20497	UROK	\N	\N
3562155	957	1997-11-30	PRIJEM	\N	93	23238	UROK	\N	\N
3562156	957	1997-12-31	PRIJEM	\N	88	19594	UROK	\N	\N
3562157	957	1998-01-31	PRIJEM	\N	63	12706	UROK	\N	\N
3562158	957	1998-02-28	PRIJEM	\N	61	14935	UROK	\N	\N
3562159	957	1998-03-31	PRIJEM	\N	64	15748	UROK	\N	\N
3562160	957	1998-04-30	PRIJEM	\N	70	17216	UROK	\N	\N
3562161	957	1998-05-31	PRIJEM	\N	79	19893	UROK	\N	\N
3562162	957	1998-06-30	PRIJEM	\N	71	14822	UROK	\N	\N
3562163	957	1998-07-31	PRIJEM	\N	64	13435	UROK	\N	\N
3562164	957	1998-08-31	PRIJEM	\N	64	16078	UROK	\N	\N
3562165	957	1998-09-30	PRIJEM	\N	57	13183	UROK	\N	\N
3562166	957	1998-10-31	PRIJEM	\N	47	10679	UROK	\N	\N
3562167	957	1998-11-30	PRIJEM	\N	56	14283	UROK	\N	\N
3562168	957	1998-12-31	PRIJEM	\N	56	13038	UROK	\N	\N
3562169	958	1996-06-30	PRIJEM	\N	20	6711	UROK	\N	\N
3562170	958	1996-07-31	PRIJEM	\N	28	13230	UROK	\N	\N
3562171	958	1996-08-31	PRIJEM	\N	28	19749	UROK	\N	\N
3562172	958	1996-09-30	PRIJEM	\N	28	26268	UROK	\N	\N
3562173	958	1996-10-31	PRIJEM	\N	87	28856	UROK	\N	\N
3562174	958	1996-11-30	PRIJEM	\N	127	31470	UROK	\N	\N
3562175	958	1996-12-31	PRIJEM	\N	138	33143	UROK	\N	\N
3562176	958	1997-01-31	PRIJEM	\N	114	22174	UROK	\N	\N
3562177	958	1997-02-28	PRIJEM	\N	99	24759	UROK	\N	\N
3562178	958	1997-03-31	PRIJEM	\N	110	27355	UROK	\N	\N
3562179	958	1997-04-30	PRIJEM	\N	113	26755	UROK	\N	\N
3562180	958	1997-05-31	PRIJEM	\N	118	29360	UROK	\N	\N
3562181	958	1997-06-30	PRIJEM	\N	110	25056	UROK	\N	\N
3562182	958	1997-07-31	PRIJEM	\N	110	26053	UROK	\N	\N
3562183	958	1997-08-31	PRIJEM	\N	115	28654	UROK	\N	\N
3562184	958	1997-09-30	PRIJEM	\N	126	29966	UROK	\N	\N
3562185	958	1997-10-31	PRIJEM	\N	129	30561	UROK	\N	\N
3562186	958	1997-11-30	PRIJEM	\N	130	31098	UROK	\N	\N
3562187	958	1997-12-31	PRIJEM	\N	137	33071	UROK	\N	\N
3562188	958	1998-01-31	PRIJEM	\N	124	24561	UROK	\N	\N
3562189	958	1998-02-28	PRIJEM	\N	108	27156	UROK	\N	\N
3562190	958	1998-03-31	PRIJEM	\N	119	29261	UROK	\N	\N
3562191	958	1998-04-30	PRIJEM	\N	118	25306	UROK	\N	\N
3562192	958	1998-05-31	PRIJEM	\N	110	25102	UROK	\N	\N
3562193	958	1998-06-30	PRIJEM	\N	105	19593	UROK	\N	\N
3562194	958	1998-07-31	PRIJEM	\N	86	19966	UROK	\N	\N
3562195	958	1998-08-31	PRIJEM	\N	84	17376	UROK	\N	\N
3562196	958	1998-09-30	PRIJEM	\N	73	14636	UROK	\N	\N
3562197	958	1998-10-31	PRIJEM	\N	66	15888	UROK	\N	\N
3562198	958	1998-11-30	PRIJEM	\N	70	17404	UROK	\N	\N
3562199	958	1998-12-31	PRIJEM	\N	73	17383	UROK	\N	\N
3562200	959	1996-06-30	PRIJEM	\N	23	18635	UROK	\N	\N
3562201	959	1996-07-31	PRIJEM	\N	78	23416	UROK	\N	\N
3562202	959	1996-08-31	PRIJEM	\N	100	23845	UROK	\N	\N
3562203	959	1996-09-30	PRIJEM	\N	101	21676	UROK	\N	\N
3562204	959	1996-10-31	PRIJEM	\N	89	20294	UROK	\N	\N
3562205	959	1996-11-30	PRIJEM	\N	86	20910	UROK	\N	\N
3562206	959	1996-12-31	PRIJEM	\N	80	17319	UROK	\N	\N
3562207	959	1997-01-31	PRIJEM	\N	74	18442	UROK	\N	\N
3562208	959	1997-02-28	PRIJEM	\N	80	20452	UROK	\N	\N
3562209	959	1997-03-31	PRIJEM	\N	87	21469	UROK	\N	\N
3562210	959	1997-04-30	PRIJEM	\N	85	18883	UROK	\N	\N
3562211	959	1997-05-31	PRIJEM	\N	74	16487	UROK	\N	\N
3562212	959	1997-06-30	PRIJEM	\N	68	16284	UROK	\N	\N
3562213	959	1997-07-31	PRIJEM	\N	63	14516	UROK	\N	\N
3562214	959	1997-08-31	PRIJEM	\N	58	13503	UROK	\N	\N
3562215	959	1997-09-30	PRIJEM	\N	58	14490	UROK	\N	\N
3562216	959	1997-10-31	PRIJEM	\N	58	13878	UROK	\N	\N
3562217	959	1997-11-30	PRIJEM	\N	56	13363	UROK	\N	\N
3562218	959	1997-12-31	PRIJEM	\N	59	12551	UROK	\N	\N
3562219	959	1998-01-31	PRIJEM	\N	56	14536	UROK	\N	\N
3562220	959	1998-02-28	PRIJEM	\N	64	16530	UROK	\N	\N
3562221	959	1998-03-31	PRIJEM	\N	63	14422	UROK	\N	\N
3562222	959	1998-04-30	PRIJEM	\N	61	15452	UROK	\N	\N
3562223	959	1998-05-31	PRIJEM	\N	68	17449	UROK	\N	\N
3562224	959	1998-06-30	PRIJEM	\N	76	19455	UROK	\N	\N
3562225	959	1998-07-31	PRIJEM	\N	82	18566	UROK	\N	\N
3562226	959	1998-08-31	PRIJEM	\N	79	19975	UROK	\N	\N
3562227	959	1998-09-30	PRIJEM	\N	87	21990	UROK	\N	\N
3562228	959	1998-10-31	PRIJEM	\N	95	24015	UROK	\N	\N
3562229	959	1998-11-30	PRIJEM	\N	103	25247	UROK	\N	\N
3562230	959	1998-12-31	PRIJEM	\N	98	24145	UROK	\N	\N
3562231	960	1994-11-30	PRIJEM	\N	101	40312	UROK	\N	\N
3562232	960	1994-12-31	PRIJEM	\N	298	91525	UROK	\N	\N
3562233	960	1995-01-31	PRIJEM	\N	390	97326	UROK	\N	\N
3562234	960	1995-02-28	PRIJEM	\N	256	101794	UROK	\N	\N
3562235	960	1995-03-31	PRIJEM	\N	305	80769	UROK	\N	\N
3562236	960	1995-04-30	PRIJEM	\N	343	83884	UROK	\N	\N
3562237	960	1995-05-31	PRIJEM	\N	243	69189	UROK	\N	\N
3562238	960	1995-06-30	PRIJEM	\N	291	66185	UROK	\N	\N
3562239	960	1995-07-31	PRIJEM	\N	217	37848	UROK	\N	\N
3562240	960	1995-08-31	PRIJEM	\N	218	40685	UROK	\N	\N
3562241	960	1995-09-30	PRIJEM	\N	248	44952	UROK	\N	\N
3562242	960	1995-10-31	PRIJEM	\N	175	33620	UROK	\N	\N
3562243	960	1995-11-30	PRIJEM	\N	172	34912	UROK	\N	\N
3562244	960	1995-12-31	PRIJEM	\N	179	34159	UROK	\N	\N
3562245	960	1996-01-31	PRIJEM	\N	140	19819	UROK	\N	\N
3562246	960	1996-02-29	PRIJEM	\N	113	26240	UROK	\N	\N
3562247	960	1996-03-31	PRIJEM	\N	182	37342	UROK	\N	\N
3562248	960	1996-04-30	PRIJEM	\N	209	37175	UROK	\N	\N
3562249	960	1996-05-31	PRIJEM	\N	178	36221	UROK	\N	\N
3562250	960	1996-06-30	PRIJEM	\N	247	55993	UROK	\N	\N
3562251	960	1996-07-31	PRIJEM	\N	266	53880	UROK	\N	\N
3562252	960	1996-08-31	PRIJEM	\N	228	43041	UROK	\N	\N
3562253	960	1996-09-30	PRIJEM	\N	222	34738	UROK	\N	\N
3562254	960	1996-10-31	PRIJEM	\N	181	41438	UROK	\N	\N
3562255	960	1996-11-30	PRIJEM	\N	205	38010	UROK	\N	\N
3562256	960	1996-12-31	PRIJEM	\N	243	55078	UROK	\N	\N
3562257	960	1997-01-31	PRIJEM	\N	173	27271	UROK	\N	\N
3562258	960	1997-02-28	PRIJEM	\N	170	44261	UROK	\N	\N
3562259	960	1997-03-31	PRIJEM	\N	232	50913	UROK	\N	\N
3562260	960	1997-04-30	PRIJEM	\N	250	57683	UROK	\N	\N
3562261	960	1997-05-31	PRIJEM	\N	237	52066	UROK	\N	\N
3562262	960	1997-06-30	PRIJEM	\N	266	48157	UROK	\N	\N
3562263	960	1997-07-31	PRIJEM	\N	234	40041	UROK	\N	\N
3562264	960	1997-08-31	PRIJEM	\N	208	33526	UROK	\N	\N
3562265	960	1997-09-30	PRIJEM	\N	191	50532	UROK	\N	\N
3562266	960	1997-10-31	PRIJEM	\N	249	63000	UROK	\N	\N
3562267	960	1997-11-30	PRIJEM	\N	294	72614	UROK	\N	\N
3562268	960	1997-12-31	PRIJEM	\N	290	63040	UROK	\N	\N
3562269	960	1998-01-31	PRIJEM	\N	150	24292	UROK	\N	\N
3562270	960	1998-02-28	PRIJEM	\N	128	25335	UROK	\N	\N
3562271	960	1998-03-31	PRIJEM	\N	194	46760	UROK	\N	\N
3562272	960	1998-04-30	PRIJEM	\N	198	49063	UROK	\N	\N
3562273	960	1998-05-31	PRIJEM	\N	220	57709	UROK	\N	\N
3562274	960	1998-06-30	PRIJEM	\N	236	45546	UROK	\N	\N
3562275	960	1998-07-31	PRIJEM	\N	241	63107	UROK	\N	\N
3562276	960	1998-08-31	PRIJEM	\N	300	76329	UROK	\N	\N
3562277	960	1998-09-30	PRIJEM	\N	285	50619	UROK	\N	\N
3562278	960	1998-10-31	PRIJEM	\N	271	83052	UROK	\N	\N
3562279	960	1998-11-30	PRIJEM	\N	372	88458	UROK	\N	\N
3562280	960	1998-12-31	PRIJEM	\N	367	78486	UROK	\N	\N
3562281	961	1997-11-30	PRIJEM	\N	34	17489	UROK	\N	\N
3562282	961	1997-12-31	PRIJEM	\N	101	31672	UROK	\N	\N
3562283	961	1998-01-31	PRIJEM	\N	132	32059	UROK	\N	\N
3562284	961	1998-02-28	PRIJEM	\N	129	30244	UROK	\N	\N
3562285	961	1998-03-31	PRIJEM	\N	112	21856	UROK	\N	\N
3562286	961	1998-04-30	PRIJEM	\N	81	15923	UROK	\N	\N
3562287	961	1998-05-31	PRIJEM	\N	58	10566	UROK	\N	\N
3562288	961	1998-06-30	PRIJEM	\N	57	14034	UROK	\N	\N
3562289	961	1998-07-31	PRIJEM	\N	59	10619	UROK	\N	\N
3562290	961	1998-08-31	PRIJEM	\N	58	15862	UROK	\N	\N
3562291	961	1998-09-30	PRIJEM	\N	78	19685	UROK	\N	\N
3562292	961	1998-10-31	PRIJEM	\N	66	11976	UROK	\N	\N
3562293	961	1998-11-30	PRIJEM	\N	64	17225	UROK	\N	\N
3562294	961	1998-12-31	PRIJEM	\N	102	25239	UROK	\N	\N
3562295	962	1996-07-31	PRIJEM	\N	23	21297	UROK	\N	\N
3562296	962	1996-08-31	PRIJEM	\N	98	29469	UROK	\N	\N
3562297	962	1996-09-30	PRIJEM	\N	131	36274	UROK	\N	\N
3562298	962	1996-10-31	PRIJEM	\N	150	35498	UROK	\N	\N
3562299	962	1996-11-30	PRIJEM	\N	131	16221	UROK	\N	\N
3562300	962	1996-12-31	PRIJEM	\N	85	26303	UROK	\N	\N
3562301	962	1997-01-31	PRIJEM	\N	85	22347	UROK	\N	\N
3562302	962	1997-02-28	PRIJEM	\N	104	30011	UROK	\N	\N
3562303	962	1997-03-31	PRIJEM	\N	108	25859	UROK	\N	\N
3562304	962	1997-04-30	PRIJEM	\N	111	21916	UROK	\N	\N
3562305	962	1997-05-31	PRIJEM	\N	116	37392	UROK	\N	\N
3562306	962	1997-06-30	PRIJEM	\N	175	39963	UROK	\N	\N
3562307	962	1997-07-31	PRIJEM	\N	167	38889	UROK	\N	\N
3562308	962	1997-08-31	PRIJEM	\N	158	36807	UROK	\N	\N
3562309	962	1997-09-30	PRIJEM	\N	164	40831	UROK	\N	\N
3562310	962	1997-10-31	PRIJEM	\N	153	37365	UROK	\N	\N
3562311	962	1997-11-30	PRIJEM	\N	137	22644	UROK	\N	\N
3562312	962	1997-12-31	PRIJEM	\N	117	31557	UROK	\N	\N
3562313	962	1998-01-31	PRIJEM	\N	97	14013	UROK	\N	\N
3562314	962	1998-02-28	PRIJEM	\N	89	27862	UROK	\N	\N
3562315	962	1998-03-31	PRIJEM	\N	125	32346	UROK	\N	\N
3562316	962	1998-04-30	PRIJEM	\N	136	33242	UROK	\N	\N
3562317	962	1998-05-31	PRIJEM	\N	148	37749	UROK	\N	\N
3562318	962	1998-06-30	PRIJEM	\N	151	28596	UROK	\N	\N
3562319	962	1998-07-31	PRIJEM	\N	128	32784	UROK	\N	\N
3562320	962	1998-08-31	PRIJEM	\N	138	32510	UROK	\N	\N
3562321	962	1998-09-30	PRIJEM	\N	109	14824	UROK	\N	\N
3562322	962	1998-10-31	PRIJEM	\N	43	6026	UROK	\N	\N
3562323	962	1998-11-30	PRIJEM	\N	47	14032	UROK	\N	\N
3562324	962	1998-12-31	PRIJEM	\N	69	15396	UROK	\N	\N
3562325	963	1996-09-30	PRIJEM	\N	81	25387	UROK	\N	\N
3562326	963	1996-10-31	PRIJEM	\N	137	35330	UROK	\N	\N
3562327	963	1996-11-30	PRIJEM	\N	165	40801	UROK	\N	\N
3562328	963	1996-12-31	PRIJEM	\N	198	49358	UROK	\N	\N
3562329	963	1997-01-31	PRIJEM	\N	234	57638	UROK	\N	\N
3562330	963	1997-02-28	PRIJEM	\N	231	55462	UROK	\N	\N
3562331	963	1997-03-31	PRIJEM	\N	277	45932	UROK	\N	\N
3562332	963	1997-04-30	PRIJEM	\N	201	49325	UROK	\N	\N
3562333	963	1997-05-31	PRIJEM	\N	214	52332	UROK	\N	\N
3562334	963	1997-06-30	PRIJEM	\N	244	61121	UROK	\N	\N
3562335	963	1997-07-31	PRIJEM	\N	240	58054	UROK	\N	\N
3562336	963	1997-08-31	PRIJEM	\N	241	58787	UROK	\N	\N
3562337	963	1997-09-30	PRIJEM	\N	247	60427	UROK	\N	\N
3562338	963	1997-10-31	PRIJEM	\N	244	55703	UROK	\N	\N
3562339	963	1997-11-30	PRIJEM	\N	216	54772	UROK	\N	\N
3562340	963	1997-12-31	PRIJEM	\N	261	63538	UROK	\N	\N
3562341	963	1998-01-31	PRIJEM	\N	249	59799	UROK	\N	\N
3562342	963	1998-02-28	PRIJEM	\N	247	61118	UROK	\N	\N
3562343	963	1998-03-31	PRIJEM	\N	282	70192	UROK	\N	\N
3562344	963	1998-04-30	PRIJEM	\N	300	73685	UROK	\N	\N
3562345	963	1998-05-31	PRIJEM	\N	284	68861	UROK	\N	\N
3562346	963	1998-06-30	PRIJEM	\N	293	76300	UROK	\N	\N
3562347	963	1998-07-31	PRIJEM	\N	279	56771	UROK	\N	\N
3562348	963	1998-08-31	PRIJEM	\N	272	53896	UROK	\N	\N
3562349	963	1998-09-30	PRIJEM	\N	263	57231	UROK	\N	\N
3562350	963	1998-10-31	PRIJEM	\N	280	59704	UROK	\N	\N
3562351	963	1998-11-30	PRIJEM	\N	290	63586	UROK	\N	\N
3562352	963	1998-12-31	PRIJEM	\N	333	83225	UROK	\N	\N
3562353	965	1993-09-30	PRIJEM	\N	15	15595	UROK	\N	\N
3562354	965	1993-10-31	PRIJEM	\N	73	23148	UROK	\N	\N
3562355	965	1993-11-30	PRIJEM	\N	101	27329	UROK	\N	\N
3562356	965	1993-12-31	PRIJEM	\N	114	27463	UROK	\N	\N
3562357	965	1994-01-31	PRIJEM	\N	108	19297	UROK	\N	\N
3562358	965	1994-02-28	PRIJEM	\N	88	23797	UROK	\N	\N
3562359	965	1994-03-31	PRIJEM	\N	103	25013	UROK	\N	\N
3562360	965	1994-04-30	PRIJEM	\N	110	27635	UROK	\N	\N
3562361	965	1994-05-31	PRIJEM	\N	118	27965	UROK	\N	\N
3562362	965	1994-06-30	PRIJEM	\N	117	21534	UROK	\N	\N
3562363	965	1994-07-31	PRIJEM	\N	91	21037	UROK	\N	\N
3562364	965	1994-08-31	PRIJEM	\N	88	20638	UROK	\N	\N
3562365	965	1994-09-30	PRIJEM	\N	87	20337	UROK	\N	\N
3562366	965	1994-10-31	PRIJEM	\N	83	20532	UROK	\N	\N
3562367	965	1994-11-30	PRIJEM	\N	84	19128	UROK	\N	\N
3562368	965	1994-12-31	PRIJEM	\N	89	22369	UROK	\N	\N
3562369	965	1995-01-31	PRIJEM	\N	79	16661	UROK	\N	\N
3562370	965	1995-02-28	PRIJEM	\N	73	17846	UROK	\N	\N
3562371	965	1995-03-31	PRIJEM	\N	78	19236	UROK	\N	\N
3562372	965	1995-04-30	PRIJEM	\N	77	19325	UROK	\N	\N
3562373	965	1995-05-31	PRIJEM	\N	80	18718	UROK	\N	\N
3562374	965	1995-06-30	PRIJEM	\N	75	15345	UROK	\N	\N
3562375	965	1995-07-31	PRIJEM	\N	69	16926	UROK	\N	\N
3562376	965	1995-08-31	PRIJEM	\N	81	21519	UROK	\N	\N
3562377	965	1995-09-30	PRIJEM	\N	85	20617	UROK	\N	\N
3562378	965	1995-10-31	PRIJEM	\N	92	23122	UROK	\N	\N
3562379	965	1995-11-30	PRIJEM	\N	94	22128	UROK	\N	\N
3562380	965	1995-12-31	PRIJEM	\N	91	17772	UROK	\N	\N
3562381	965	1996-01-31	PRIJEM	\N	61	13745	UROK	\N	\N
3562382	965	1996-02-29	PRIJEM	\N	70	18728	UROK	\N	\N
3562383	965	1996-03-31	PRIJEM	\N	87	22327	UROK	\N	\N
3562384	965	1996-04-30	PRIJEM	\N	87	20427	UROK	\N	\N
3562385	965	1996-05-31	PRIJEM	\N	89	22028	UROK	\N	\N
3562386	965	1996-06-30	PRIJEM	\N	103	23583	UROK	\N	\N
3562387	965	1996-07-31	PRIJEM	\N	101	23497	UROK	\N	\N
3562388	965	1996-08-31	PRIJEM	\N	82	18592	UROK	\N	\N
3562389	965	1996-09-30	PRIJEM	\N	76	18280	UROK	\N	\N
3562390	965	1996-10-31	PRIJEM	\N	68	15560	UROK	\N	\N
3562391	965	1996-11-30	PRIJEM	\N	66	15639	UROK	\N	\N
3562392	965	1996-12-31	PRIJEM	\N	75	18967	UROK	\N	\N
3562393	965	1997-01-31	PRIJEM	\N	65	13844	UROK	\N	\N
3562394	965	1997-02-28	PRIJEM	\N	76	19933	UROK	\N	\N
3562395	965	1997-03-31	PRIJEM	\N	75	17620	UROK	\N	\N
3562396	965	1997-04-30	PRIJEM	\N	71	17104	UROK	\N	\N
3562397	965	1997-05-31	PRIJEM	\N	62	14578	UROK	\N	\N
3562398	965	1997-06-30	PRIJEM	\N	66	16597	UROK	\N	\N
3562399	965	1997-07-31	PRIJEM	\N	72	17681	UROK	\N	\N
3562400	965	1997-08-31	PRIJEM	\N	78	19472	UROK	\N	\N
3562401	965	1997-09-30	PRIJEM	\N	76	18160	UROK	\N	\N
3562402	965	1997-10-31	PRIJEM	\N	85	21357	UROK	\N	\N
3562403	965	1997-11-30	PRIJEM	\N	79	16249	UROK	\N	\N
3562404	965	1997-12-31	PRIJEM	\N	61	13662	UROK	\N	\N
3562405	965	1998-01-31	PRIJEM	\N	57	13531	UROK	\N	\N
3562406	965	1998-02-28	PRIJEM	\N	51	13294	UROK	\N	\N
3562407	965	1998-03-31	PRIJEM	\N	61	14268	UROK	\N	\N
3562408	965	1998-04-30	PRIJEM	\N	63	15843	UROK	\N	\N
3562409	965	1998-05-31	PRIJEM	\N	75	14930	UROK	\N	\N
3562410	965	1998-06-30	PRIJEM	\N	81	21063	UROK	\N	\N
3562411	965	1998-07-31	PRIJEM	\N	69	13745	UROK	\N	\N
3562412	965	1998-08-31	PRIJEM	\N	59	15216	UROK	\N	\N
3562413	965	1998-09-30	PRIJEM	\N	65	16693	UROK	\N	\N
3562414	965	1998-10-31	PRIJEM	\N	71	18177	UROK	\N	\N
3562415	965	1998-11-30	PRIJEM	\N	75	16064	UROK	\N	\N
3562416	965	1998-12-31	PRIJEM	\N	72	18388	UROK	\N	\N
3562417	966	1998-03-31	PRIJEM	\N	38	14979	UROK	\N	\N
3562418	966	1998-04-30	PRIJEM	\N	65	16095	UROK	\N	\N
3562419	966	1998-05-31	PRIJEM	\N	70	17215	UROK	\N	\N
3562420	966	1998-06-30	PRIJEM	\N	74	17259	UROK	\N	\N
3562421	966	1998-07-31	PRIJEM	\N	75	18384	UROK	\N	\N
3562422	966	1998-08-31	PRIJEM	\N	79	19514	UROK	\N	\N
3562423	966	1998-09-30	PRIJEM	\N	84	20648	UROK	\N	\N
3562424	966	1998-10-31	PRIJEM	\N	89	21787	UROK	\N	\N
3562425	966	1998-11-30	PRIJEM	\N	93	22360	UROK	\N	\N
3562426	966	1998-12-31	PRIJEM	\N	96	22726	UROK	\N	\N
3562427	967	1996-09-30	PRIJEM	\N	69	36217	UROK	\N	\N
3562428	967	1996-10-31	PRIJEM	\N	177	48733	UROK	\N	\N
3562429	967	1996-11-30	PRIJEM	\N	202	40935	UROK	\N	\N
3562430	967	1996-12-31	PRIJEM	\N	222	57323	UROK	\N	\N
3562431	967	1997-01-31	PRIJEM	\N	238	43161	UROK	\N	\N
3562432	967	1997-02-28	PRIJEM	\N	238	36399	UROK	\N	\N
3562433	967	1997-03-31	PRIJEM	\N	238	34137	UROK	\N	\N
3562434	967	1997-04-30	PRIJEM	\N	238	33575	UROK	\N	\N
3562435	967	1997-05-31	PRIJEM	\N	238	32812	UROK	\N	\N
3562436	967	1997-06-30	PRIJEM	\N	238	33350	UROK	\N	\N
3562437	967	1997-07-31	PRIJEM	\N	238	34788	UROK	\N	\N
3562438	967	1997-08-31	PRIJEM	\N	238	29326	UROK	\N	\N
3562439	967	1997-09-30	PRIJEM	\N	238	25464	UROK	\N	\N
3562440	967	1997-10-31	PRIJEM	\N	238	25202	UROK	\N	\N
3562441	967	1997-11-30	PRIJEM	\N	238	29040	UROK	\N	\N
3562442	967	1997-12-31	PRIJEM	\N	238	27978	UROK	\N	\N
3562443	967	1998-01-31	PRIJEM	\N	140	21442	UROK	\N	\N
3562444	967	1998-02-28	PRIJEM	\N	103	23972	UROK	\N	\N
3562445	967	1998-03-31	PRIJEM	\N	93	21326	UROK	\N	\N
3562446	967	1998-04-30	PRIJEM	\N	214	57465	UROK	\N	\N
3562447	967	1998-05-31	PRIJEM	\N	242	58051	UROK	\N	\N
3562448	967	1998-06-30	PRIJEM	\N	152	28497	UROK	\N	\N
3562449	967	1998-07-31	PRIJEM	\N	147	55747	UROK	\N	\N
3562450	967	1998-08-31	PRIJEM	\N	236	80260	UROK	\N	\N
3562451	967	1998-09-30	PRIJEM	\N	330	92961	UROK	\N	\N
3562452	967	1998-10-31	PRIJEM	\N	341	73830	UROK	\N	\N
3562453	967	1998-11-30	PRIJEM	\N	235	50026	UROK	\N	\N
3562454	967	1998-12-31	PRIJEM	\N	181	58576	UROK	\N	\N
3562455	968	1995-12-31	PRIJEM	\N	55	19596	UROK	\N	\N
3562456	968	1996-01-31	PRIJEM	\N	108	28598	UROK	\N	\N
3562457	968	1996-02-29	PRIJEM	\N	136	34328	UROK	\N	\N
3562458	968	1996-03-31	PRIJEM	\N	138	32860	UROK	\N	\N
3562459	968	1996-04-30	PRIJEM	\N	133	26745	UROK	\N	\N
3562460	968	1996-05-31	PRIJEM	\N	104	22967	UROK	\N	\N
3562461	968	1996-06-30	PRIJEM	\N	116	22627	UROK	\N	\N
3562462	968	1996-07-31	PRIJEM	\N	112	26756	UROK	\N	\N
3562463	968	1996-08-31	PRIJEM	\N	122	26476	UROK	\N	\N
3562464	968	1996-09-30	PRIJEM	\N	114	26107	UROK	\N	\N
3562465	968	1996-10-31	PRIJEM	\N	121	22825	UROK	\N	\N
3562466	968	1996-11-30	PRIJEM	\N	109	20992	UROK	\N	\N
3562467	968	1996-12-31	PRIJEM	\N	102	19518	UROK	\N	\N
3562468	968	1997-01-31	PRIJEM	\N	98	23533	UROK	\N	\N
3562469	968	1997-02-28	PRIJEM	\N	121	29772	UROK	\N	\N
3562470	968	1997-03-31	PRIJEM	\N	147	35937	UROK	\N	\N
3562471	968	1997-04-30	PRIJEM	\N	157	36811	UROK	\N	\N
3562472	968	1997-05-31	PRIJEM	\N	143	32871	UROK	\N	\N
3562473	968	1997-06-30	PRIJEM	\N	162	36357	UROK	\N	\N
3562474	968	1997-07-31	PRIJEM	\N	170	40944	UROK	\N	\N
3562475	968	1997-08-31	PRIJEM	\N	183	43644	UROK	\N	\N
3562476	968	1997-09-30	PRIJEM	\N	181	42043	UROK	\N	\N
3562477	968	1997-10-31	PRIJEM	\N	160	35720	UROK	\N	\N
3562478	968	1997-11-30	PRIJEM	\N	150	36587	UROK	\N	\N
3562479	968	1997-12-31	PRIJEM	\N	162	38693	UROK	\N	\N
3562480	968	1998-01-31	PRIJEM	\N	162	33193	UROK	\N	\N
3562481	968	1998-02-28	PRIJEM	\N	146	36956	UROK	\N	\N
3562482	968	1998-03-31	PRIJEM	\N	143	33517	UROK	\N	\N
3562483	968	1998-04-30	PRIJEM	\N	146	33480	UROK	\N	\N
3562484	968	1998-05-31	PRIJEM	\N	145	30842	UROK	\N	\N
3562485	968	1998-06-30	PRIJEM	\N	144	35891	UROK	\N	\N
3562486	968	1998-07-31	PRIJEM	\N	154	34542	UROK	\N	\N
3562487	968	1998-08-31	PRIJEM	\N	143	26722	UROK	\N	\N
3562488	968	1998-09-30	PRIJEM	\N	125	31245	UROK	\N	\N
3562489	968	1998-10-31	PRIJEM	\N	132	28394	UROK	\N	\N
3562490	968	1998-11-30	PRIJEM	\N	119	24931	UROK	\N	\N
3562491	968	1998-12-31	PRIJEM	\N	119	28295	UROK	\N	\N
3562492	970	1997-08-31	PRIJEM	\N	35	20083	UROK	\N	\N
3562493	970	1997-09-30	PRIJEM	\N	103	30934	UROK	\N	\N
3562494	970	1997-10-31	PRIJEM	\N	145	39927	UROK	\N	\N
3562495	970	1997-11-30	PRIJEM	\N	176	45352	UROK	\N	\N
3562496	970	1997-12-31	PRIJEM	\N	210	54884	UROK	\N	\N
3562497	970	1998-01-31	PRIJEM	\N	203	16040	UROK	\N	\N
3562498	970	1998-02-28	PRIJEM	\N	112	33626	UROK	\N	\N
3562499	970	1998-03-31	PRIJEM	\N	172	44071	UROK	\N	\N
3562500	970	1998-04-30	PRIJEM	\N	202	48046	UROK	\N	\N
3562501	970	1998-05-31	PRIJEM	\N	206	46926	UROK	\N	\N
3562502	970	1998-06-30	PRIJEM	\N	208	37461	UROK	\N	\N
3562503	970	1998-07-31	PRIJEM	\N	182	44616	UROK	\N	\N
3562504	970	1998-08-31	PRIJEM	\N	187	43016	UROK	\N	\N
3562505	970	1998-09-30	PRIJEM	\N	206	52096	UROK	\N	\N
3562506	970	1998-10-31	PRIJEM	\N	233	56602	UROK	\N	\N
3562507	970	1998-11-30	PRIJEM	\N	243	57019	UROK	\N	\N
3562508	970	1998-12-31	PRIJEM	\N	293	75959	UROK	\N	\N
3562509	971	1996-08-31	PRIJEM	\N	37	18336	UROK	\N	\N
3562510	971	1996-09-30	PRIJEM	\N	97	28131	UROK	\N	\N
3562511	971	1996-10-31	PRIJEM	\N	124	31555	UROK	\N	\N
3562512	971	1996-11-30	PRIJEM	\N	133	32386	UROK	\N	\N
3562513	971	1996-12-31	PRIJEM	\N	147	36021	UROK	\N	\N
3562514	971	1997-01-31	PRIJEM	\N	125	17671	UROK	\N	\N
3562515	971	1997-02-28	PRIJEM	\N	89	22684	UROK	\N	\N
3562516	971	1997-03-31	PRIJEM	\N	108	27216	UROK	\N	\N
3562517	971	1997-04-30	PRIJEM	\N	126	31666	UROK	\N	\N
3562518	971	1997-05-31	PRIJEM	\N	140	34331	UROK	\N	\N
3562519	971	1997-06-30	PRIJEM	\N	150	36054	UROK	\N	\N
3562520	971	1997-07-31	PRIJEM	\N	149	35228	UROK	\N	\N
3562521	971	1997-08-31	PRIJEM	\N	140	32713	UROK	\N	\N
3562522	971	1997-09-30	PRIJEM	\N	145	35881	UROK	\N	\N
3562523	971	1997-10-31	PRIJEM	\N	152	36958	UROK	\N	\N
3562524	971	1997-11-30	PRIJEM	\N	170	43253	UROK	\N	\N
3562525	971	1997-12-31	PRIJEM	\N	179	44326	UROK	\N	\N
3562526	971	1998-01-31	PRIJEM	\N	146	26276	UROK	\N	\N
3562527	971	1998-02-28	PRIJEM	\N	133	35233	UROK	\N	\N
3562528	971	1998-03-31	PRIJEM	\N	170	43827	UROK	\N	\N
3562529	971	1998-04-30	PRIJEM	\N	173	40984	UROK	\N	\N
3562530	971	1998-05-31	PRIJEM	\N	165	40173	UROK	\N	\N
3562531	971	1998-06-30	PRIJEM	\N	156	39063	UROK	\N	\N
3562532	971	1998-07-31	PRIJEM	\N	142	34029	UROK	\N	\N
3562533	971	1998-08-31	PRIJEM	\N	133	33287	UROK	\N	\N
3562534	971	1998-09-30	PRIJEM	\N	125	31136	UROK	\N	\N
3562535	971	1998-10-31	PRIJEM	\N	97	21978	UROK	\N	\N
3562536	971	1998-11-30	PRIJEM	\N	80	19302	UROK	\N	\N
3562537	971	1998-12-31	PRIJEM	\N	106	28343	UROK	\N	\N
3562538	972	1997-01-31	PRIJEM	\N	8	12340	UROK	\N	\N
3562539	972	1997-02-28	PRIJEM	\N	56	13913	UROK	\N	\N
3562540	972	1997-03-31	PRIJEM	\N	61	14979	UROK	\N	\N
3562541	972	1997-04-30	PRIJEM	\N	65	16049	UROK	\N	\N
3562542	972	1997-05-31	PRIJEM	\N	66	12021	UROK	\N	\N
3562543	972	1997-06-30	PRIJEM	\N	53	13079	UROK	\N	\N
3562544	972	1997-07-31	PRIJEM	\N	57	14142	UROK	\N	\N
3562545	972	1997-08-31	PRIJEM	\N	57	10304	UROK	\N	\N
3562546	972	1997-09-30	PRIJEM	\N	45	10454	UROK	\N	\N
3562547	972	1997-10-31	PRIJEM	\N	46	11506	UROK	\N	\N
3562548	972	1997-11-30	PRIJEM	\N	51	12562	UROK	\N	\N
3562549	972	1997-12-31	PRIJEM	\N	54	12811	UROK	\N	\N
3562550	972	1998-01-31	PRIJEM	\N	56	13872	UROK	\N	\N
3562551	972	1998-02-28	PRIJEM	\N	60	14128	UROK	\N	\N
3562552	972	1998-03-31	PRIJEM	\N	62	15195	UROK	\N	\N
3562553	972	1998-04-30	PRIJEM	\N	66	15876	UROK	\N	\N
3562554	972	1998-05-31	PRIJEM	\N	69	16950	UROK	\N	\N
3562555	972	1998-06-30	PRIJEM	\N	73	18029	UROK	\N	\N
3562556	972	1998-07-31	PRIJEM	\N	76	18630	UROK	\N	\N
3562557	972	1998-08-31	PRIJEM	\N	80	19715	UROK	\N	\N
3562558	972	1998-09-30	PRIJEM	\N	82	19362	UROK	\N	\N
3562559	972	1998-10-31	PRIJEM	\N	80	19518	UROK	\N	\N
3562560	972	1998-11-30	PRIJEM	\N	82	19315	UROK	\N	\N
3562561	972	1998-12-31	PRIJEM	\N	83	19773	UROK	\N	\N
3562562	973	1994-11-30	PRIJEM	\N	15	6375	UROK	\N	\N
3562563	973	1994-12-31	PRIJEM	\N	27	12162	UROK	\N	\N
3562564	973	1995-01-31	PRIJEM	\N	27	17948	UROK	\N	\N
3562565	973	1995-02-28	PRIJEM	\N	27	23735	UROK	\N	\N
3562566	973	1995-03-31	PRIJEM	\N	76	23381	UROK	\N	\N
3562567	973	1995-04-30	PRIJEM	\N	111	26328	UROK	\N	\N
3562568	973	1995-05-31	PRIJEM	\N	123	29288	UROK	\N	\N
3562569	973	1995-06-30	PRIJEM	\N	102	21406	UROK	\N	\N
3562570	973	1995-07-31	PRIJEM	\N	96	24338	UROK	\N	\N
3562571	973	1995-08-31	PRIJEM	\N	108	27283	UROK	\N	\N
3562572	973	1995-09-30	PRIJEM	\N	127	30246	UROK	\N	\N
3562573	973	1995-10-31	PRIJEM	\N	137	32220	UROK	\N	\N
3562574	973	1995-11-30	PRIJEM	\N	147	35204	UROK	\N	\N
3562575	973	1995-12-31	PRIJEM	\N	152	34432	UROK	\N	\N
3562576	973	1996-01-31	PRIJEM	\N	140	31908	UROK	\N	\N
3562577	973	1996-02-29	PRIJEM	\N	139	34884	UROK	\N	\N
3562578	973	1996-03-31	PRIJEM	\N	151	34831	UROK	\N	\N
3562579	973	1996-04-30	PRIJEM	\N	156	34624	UROK	\N	\N
3562580	973	1996-05-31	PRIJEM	\N	149	34530	UROK	\N	\N
3562581	973	1996-06-30	PRIJEM	\N	148	33664	UROK	\N	\N
3562582	973	1996-07-31	PRIJEM	\N	144	34905	UROK	\N	\N
3562583	973	1996-08-31	PRIJEM	\N	157	37018	UROK	\N	\N
3562584	973	1996-09-30	PRIJEM	\N	165	39919	UROK	\N	\N
3562585	973	1996-10-31	PRIJEM	\N	172	37128	UROK	\N	\N
3562586	973	1996-11-30	PRIJEM	\N	158	36922	UROK	\N	\N
3562587	973	1996-12-31	PRIJEM	\N	152	31791	UROK	\N	\N
3562588	973	1997-01-31	PRIJEM	\N	132	29769	UROK	\N	\N
3562589	973	1997-02-28	PRIJEM	\N	129	32335	UROK	\N	\N
3562590	973	1997-03-31	PRIJEM	\N	138	32710	UROK	\N	\N
3562591	973	1997-04-30	PRIJEM	\N	142	34988	UROK	\N	\N
3562592	973	1997-05-31	PRIJEM	\N	159	37983	UROK	\N	\N
3562593	973	1997-06-30	PRIJEM	\N	138	27307	UROK	\N	\N
3562594	973	1997-07-31	PRIJEM	\N	126	30270	UROK	\N	\N
3562595	973	1997-08-31	PRIJEM	\N	138	32844	UROK	\N	\N
3562596	973	1997-09-30	PRIJEM	\N	131	29932	UROK	\N	\N
3562597	973	1997-10-31	PRIJEM	\N	128	29136	UROK	\N	\N
3562598	973	1997-11-30	PRIJEM	\N	117	26970	UROK	\N	\N
3562599	973	1997-12-31	PRIJEM	\N	118	29924	UROK	\N	\N
3562600	973	1998-01-31	PRIJEM	\N	125	29725	UROK	\N	\N
3562601	973	1998-02-28	PRIJEM	\N	135	32697	UROK	\N	\N
3562602	973	1998-03-31	PRIJEM	\N	148	35681	UROK	\N	\N
3562603	973	1998-04-30	PRIJEM	\N	151	37169	UROK	\N	\N
3562604	973	1998-05-31	PRIJEM	\N	149	34355	UROK	\N	\N
3562605	973	1998-06-30	PRIJEM	\N	135	25076	UROK	\N	\N
3562606	973	1998-07-31	PRIJEM	\N	102	22155	UROK	\N	\N
3562607	973	1998-08-31	PRIJEM	\N	93	22584	UROK	\N	\N
3562608	973	1998-09-30	PRIJEM	\N	85	19025	UROK	\N	\N
3562609	973	1998-10-31	PRIJEM	\N	78	18259	UROK	\N	\N
3562610	973	1998-11-30	PRIJEM	\N	81	21176	UROK	\N	\N
3562611	973	1998-12-31	PRIJEM	\N	93	24106	UROK	\N	\N
3562612	975	1997-01-31	PRIJEM	\N	33	16508	UROK	\N	\N
3562613	975	1997-02-28	PRIJEM	\N	69	21902	UROK	\N	\N
3562614	975	1997-03-31	PRIJEM	\N	89	27216	UROK	\N	\N
3562615	975	1997-04-30	PRIJEM	\N	114	26590	UROK	\N	\N
3562616	975	1997-05-31	PRIJEM	\N	104	22155	UROK	\N	\N
3562617	975	1997-06-30	PRIJEM	\N	89	19504	UROK	\N	\N
3562618	975	1997-07-31	PRIJEM	\N	77	14762	UROK	\N	\N
3562619	975	1997-08-31	PRIJEM	\N	67	16189	UROK	\N	\N
3562620	975	1997-09-30	PRIJEM	\N	69	14978	UROK	\N	\N
3562621	975	1997-10-31	PRIJEM	\N	65	15303	UROK	\N	\N
3562622	975	1997-11-30	PRIJEM	\N	63	15126	UROK	\N	\N
3562623	975	1997-12-31	PRIJEM	\N	65	13901	UROK	\N	\N
3562624	975	1998-01-31	PRIJEM	\N	64	15725	UROK	\N	\N
3562625	975	1998-02-28	PRIJEM	\N	69	16515	UROK	\N	\N
3562626	975	1998-03-31	PRIJEM	\N	64	15459	UROK	\N	\N
3562627	975	1998-04-30	PRIJEM	\N	68	16807	UROK	\N	\N
3562628	975	1998-05-31	PRIJEM	\N	76	18644	UROK	\N	\N
3562629	975	1998-06-30	PRIJEM	\N	79	13583	UROK	\N	\N
3562630	975	1998-07-31	PRIJEM	\N	62	15405	UROK	\N	\N
3562631	975	1998-08-31	PRIJEM	\N	70	17236	UROK	\N	\N
3562632	975	1998-09-30	PRIJEM	\N	75	15391	UROK	\N	\N
3562633	975	1998-10-31	PRIJEM	\N	70	17221	UROK	\N	\N
3562634	975	1998-11-30	PRIJEM	\N	77	19059	UROK	\N	\N
3562635	975	1998-12-31	PRIJEM	\N	84	20653	UROK	\N	\N
3562636	976	1996-02-29	PRIJEM	\N	13	22062	UROK	\N	\N
3562637	976	1996-03-31	PRIJEM	\N	98	31109	UROK	\N	\N
3562638	976	1996-04-30	PRIJEM	\N	132	34389	UROK	\N	\N
3562639	976	1996-05-31	PRIJEM	\N	146	38184	UROK	\N	\N
3562640	976	1996-06-30	PRIJEM	\N	195	45382	UROK	\N	\N
3562641	976	1996-07-31	PRIJEM	\N	228	44100	UROK	\N	\N
3562642	976	1996-08-31	PRIJEM	\N	219	42210	UROK	\N	\N
3562643	976	1996-09-30	PRIJEM	\N	213	42213	UROK	\N	\N
3562644	976	1996-10-31	PRIJEM	\N	206	35729	UROK	\N	\N
3562645	976	1996-11-30	PRIJEM	\N	189	36489	UROK	\N	\N
3562646	976	1996-12-31	PRIJEM	\N	213	44086	UROK	\N	\N
3562647	976	1997-01-31	PRIJEM	\N	199	35755	UROK	\N	\N
3562648	976	1997-02-28	PRIJEM	\N	185	38310	UROK	\N	\N
3562649	976	1997-03-31	PRIJEM	\N	192	37793	UROK	\N	\N
3562650	976	1997-04-30	PRIJEM	\N	188	35571	UROK	\N	\N
3562651	976	1997-05-31	PRIJEM	\N	187	37468	UROK	\N	\N
3562652	976	1997-06-30	PRIJEM	\N	193	36946	UROK	\N	\N
3562653	976	1997-07-31	PRIJEM	\N	192	42729	UROK	\N	\N
3562654	976	1997-08-31	PRIJEM	\N	212	46371	UROK	\N	\N
3562655	976	1997-09-30	PRIJEM	\N	220	46981	UROK	\N	\N
3562656	976	1997-10-31	PRIJEM	\N	213	43184	UROK	\N	\N
3562657	976	1997-11-30	PRIJEM	\N	210	46584	UROK	\N	\N
3562658	976	1997-12-31	PRIJEM	\N	252	56661	UROK	\N	\N
3562659	976	1998-01-31	PRIJEM	\N	238	49389	UROK	\N	\N
3562660	976	1998-02-28	PRIJEM	\N	233	53113	UROK	\N	\N
3562661	976	1998-03-31	PRIJEM	\N	245	54149	UROK	\N	\N
3562662	976	1998-04-30	PRIJEM	\N	250	56189	UROK	\N	\N
3562663	976	1998-05-31	PRIJEM	\N	253	55933	UROK	\N	\N
3562664	976	1998-06-30	PRIJEM	\N	208	19386	UROK	\N	\N
3562665	976	1998-07-31	PRIJEM	\N	140	37516	UROK	\N	\N
3562666	976	1998-08-31	PRIJEM	\N	188	44494	UROK	\N	\N
3562667	976	1998-09-30	PRIJEM	\N	214	50498	UROK	\N	\N
3562668	976	1998-10-31	PRIJEM	\N	216	47825	UROK	\N	\N
3562669	976	1998-11-30	PRIJEM	\N	223	52738	UROK	\N	\N
3562670	976	1998-12-31	PRIJEM	\N	243	54666	UROK	\N	\N
3562671	977	1993-05-31	PRIJEM	\N	15	18056	UROK	\N	\N
3562672	977	1993-06-30	PRIJEM	\N	89	34206	UROK	\N	\N
3562673	977	1993-07-31	PRIJEM	\N	142	34289	UROK	\N	\N
3562674	977	1993-08-31	PRIJEM	\N	147	39078	UROK	\N	\N
3562675	977	1993-09-30	PRIJEM	\N	163	39481	UROK	\N	\N
3562676	977	1993-10-31	PRIJEM	\N	169	33631	UROK	\N	\N
3562677	977	1993-11-30	PRIJEM	\N	150	33261	UROK	\N	\N
3562678	977	1993-12-31	PRIJEM	\N	156	34479	UROK	\N	\N
3562679	977	1994-01-31	PRIJEM	\N	117	18616	UROK	\N	\N
3562680	977	1994-02-28	PRIJEM	\N	89	19345	UROK	\N	\N
3562681	977	1994-03-31	PRIJEM	\N	98	24624	UROK	\N	\N
3562682	977	1994-04-30	PRIJEM	\N	108	24272	UROK	\N	\N
3562683	977	1994-05-31	PRIJEM	\N	110	29802	UROK	\N	\N
3562684	977	1994-06-30	PRIJEM	\N	153	36956	UROK	\N	\N
3562685	977	1994-07-31	PRIJEM	\N	157	33694	UROK	\N	\N
3562686	977	1994-08-31	PRIJEM	\N	147	33321	UROK	\N	\N
3562687	977	1994-09-30	PRIJEM	\N	149	35350	UROK	\N	\N
3562688	977	1994-10-31	PRIJEM	\N	151	33982	UROK	\N	\N
3562689	977	1994-11-30	PRIJEM	\N	144	28126	UROK	\N	\N
3562690	977	1994-12-31	PRIJEM	\N	131	35099	UROK	\N	\N
3562691	977	1995-01-31	PRIJEM	\N	118	15537	UROK	\N	\N
3562692	977	1995-02-28	PRIJEM	\N	84	21021	UROK	\N	\N
3562693	977	1995-03-31	PRIJEM	\N	105	27307	UROK	\N	\N
3562694	977	1995-04-30	PRIJEM	\N	124	30151	UROK	\N	\N
3562695	977	1995-05-31	PRIJEM	\N	129	25560	UROK	\N	\N
3562696	977	1995-06-30	PRIJEM	\N	129	32691	UROK	\N	\N
3562697	977	1995-07-31	PRIJEM	\N	147	36018	UROK	\N	\N
3562698	977	1995-08-31	PRIJEM	\N	148	34447	UROK	\N	\N
3562699	977	1995-09-30	PRIJEM	\N	152	37680	UROK	\N	\N
3562700	977	1995-10-31	PRIJEM	\N	156	37016	UROK	\N	\N
3562701	977	1995-11-30	PRIJEM	\N	154	36891	UROK	\N	\N
3562702	977	1995-12-31	PRIJEM	\N	158	37210	UROK	\N	\N
3562703	977	1996-01-31	PRIJEM	\N	108	22498	UROK	\N	\N
3562704	977	1996-02-29	PRIJEM	\N	139	39317	UROK	\N	\N
3562705	977	1996-03-31	PRIJEM	\N	165	42162	UROK	\N	\N
3562706	977	1996-04-30	PRIJEM	\N	191	48734	UROK	\N	\N
3562707	977	1996-05-31	PRIJEM	\N	219	55433	UROK	\N	\N
3562708	977	1996-06-30	PRIJEM	\N	238	55512	UROK	\N	\N
3562709	977	1996-07-31	PRIJEM	\N	243	61336	UROK	\N	\N
3562710	977	1996-08-31	PRIJEM	\N	257	64374	UROK	\N	\N
3562711	977	1996-09-30	PRIJEM	\N	272	67867	UROK	\N	\N
3562712	977	1996-10-31	PRIJEM	\N	273	68020	UROK	\N	\N
3562713	977	1996-11-30	PRIJEM	\N	270	67670	UROK	\N	\N
3562714	977	1996-12-31	PRIJEM	\N	297	74069	UROK	\N	\N
3562715	977	1997-01-31	PRIJEM	\N	254	50364	UROK	\N	\N
3562716	977	1997-02-28	PRIJEM	\N	221	54945	UROK	\N	\N
3562717	977	1997-03-31	PRIJEM	\N	250	64575	UROK	\N	\N
3562718	977	1997-04-30	PRIJEM	\N	262	66217	UROK	\N	\N
3562719	977	1997-05-31	PRIJEM	\N	276	69773	UROK	\N	\N
3562720	977	1997-06-30	PRIJEM	\N	277	33072	UROK	\N	\N
3562721	977	1997-07-31	PRIJEM	\N	213	58265	UROK	\N	\N
3562722	977	1997-08-31	PRIJEM	\N	250	63856	UROK	\N	\N
3562723	977	1997-09-30	PRIJEM	\N	290	74626	UROK	\N	\N
3562724	977	1997-10-31	PRIJEM	\N	321	81528	UROK	\N	\N
3562725	977	1997-11-30	PRIJEM	\N	349	88358	UROK	\N	\N
3562726	977	1997-12-31	PRIJEM	\N	363	91102	UROK	\N	\N
3562727	977	1998-01-31	PRIJEM	\N	307	71669	UROK	\N	\N
3562728	977	1998-02-28	PRIJEM	\N	314	79164	UROK	\N	\N
3562729	977	1998-03-31	PRIJEM	\N	337	85381	UROK	\N	\N
3562730	977	1998-04-30	PRIJEM	\N	373	93635	UROK	\N	\N
3562731	977	1998-05-31	PRIJEM	\N	356	81251	UROK	\N	\N
3562732	977	1998-06-30	PRIJEM	\N	272	66284	UROK	\N	\N
3562733	977	1998-07-31	PRIJEM	\N	293	74657	UROK	\N	\N
3562734	977	1998-08-31	PRIJEM	\N	327	82565	UROK	\N	\N
3562735	977	1998-09-30	PRIJEM	\N	361	93707	UROK	\N	\N
3562736	977	1998-10-31	PRIJEM	\N	403	96690	UROK	\N	\N
3562737	977	1998-11-30	PRIJEM	\N	416	102287	UROK	\N	\N
3562738	977	1998-12-31	PRIJEM	\N	432	99680	UROK	\N	\N
3562739	978	1994-01-31	PRIJEM	\N	64	24994	UROK	\N	\N
3562740	978	1994-02-28	PRIJEM	\N	111	27784	UROK	\N	\N
3562741	978	1994-03-31	PRIJEM	\N	116	28440	UROK	\N	\N
3562742	978	1994-04-30	PRIJEM	\N	122	29742	UROK	\N	\N
3562743	978	1994-05-31	PRIJEM	\N	121	28042	UROK	\N	\N
3562744	978	1994-06-30	PRIJEM	\N	96	20718	UROK	\N	\N
3562745	978	1994-07-31	PRIJEM	\N	94	22571	UROK	\N	\N
3562746	978	1994-08-31	PRIJEM	\N	105	26156	UROK	\N	\N
3562747	978	1994-09-30	PRIJEM	\N	120	30755	UROK	\N	\N
3562748	978	1994-10-31	PRIJEM	\N	132	32767	UROK	\N	\N
3562749	978	1994-11-30	PRIJEM	\N	144	36190	UROK	\N	\N
3562750	978	1994-12-31	PRIJEM	\N	159	39728	UROK	\N	\N
3562751	978	1995-01-31	PRIJEM	\N	158	35265	UROK	\N	\N
3562752	978	1995-02-28	PRIJEM	\N	145	34430	UROK	\N	\N
3562753	978	1995-03-31	PRIJEM	\N	144	35554	UROK	\N	\N
3562754	978	1995-04-30	PRIJEM	\N	145	35578	UROK	\N	\N
3562755	978	1995-05-31	PRIJEM	\N	143	35161	UROK	\N	\N
3562756	978	1995-06-30	PRIJEM	\N	147	33887	UROK	\N	\N
3562757	978	1995-07-31	PRIJEM	\N	148	37634	UROK	\N	\N
3562758	978	1995-08-31	PRIJEM	\N	150	37164	UROK	\N	\N
3562759	978	1995-09-30	PRIJEM	\N	150	37293	UROK	\N	\N
3562760	978	1995-10-31	PRIJEM	\N	152	37824	UROK	\N	\N
3562761	978	1995-11-30	PRIJEM	\N	157	39461	UROK	\N	\N
3562762	978	1995-12-31	PRIJEM	\N	164	40904	UROK	\N	\N
3562763	978	1996-01-31	PRIJEM	\N	157	38640	UROK	\N	\N
3562764	978	1996-02-29	PRIJEM	\N	166	42086	UROK	\N	\N
3562765	978	1996-03-31	PRIJEM	\N	174	42979	UROK	\N	\N
3562766	978	1996-04-30	PRIJEM	\N	178	44836	UROK	\N	\N
3562767	978	1996-05-31	PRIJEM	\N	195	49110	UROK	\N	\N
3562768	978	1996-06-30	PRIJEM	\N	193	48583	UROK	\N	\N
3562769	978	1996-07-31	PRIJEM	\N	199	49361	UROK	\N	\N
3562770	978	1996-08-31	PRIJEM	\N	199	49140	UROK	\N	\N
3562771	978	1996-09-30	PRIJEM	\N	199	49418	UROK	\N	\N
3562772	978	1996-10-31	PRIJEM	\N	204	51002	UROK	\N	\N
3562773	978	1996-11-30	PRIJEM	\N	183	44864	UROK	\N	\N
3562774	978	1996-12-31	PRIJEM	\N	192	44005	UROK	\N	\N
3562775	978	1997-01-31	PRIJEM	\N	181	43826	UROK	\N	\N
3562776	978	1997-02-28	PRIJEM	\N	192	48497	UROK	\N	\N
3562777	978	1997-03-31	PRIJEM	\N	209	51986	UROK	\N	\N
3562778	978	1997-04-30	PRIJEM	\N	225	53290	UROK	\N	\N
3562779	978	1997-05-31	PRIJEM	\N	230	55700	UROK	\N	\N
3562780	978	1997-06-30	PRIJEM	\N	220	46289	UROK	\N	\N
3562781	978	1997-07-31	PRIJEM	\N	202	50971	UROK	\N	\N
3562782	978	1997-08-31	PRIJEM	\N	208	50658	UROK	\N	\N
3562783	978	1997-09-30	PRIJEM	\N	219	53857	UROK	\N	\N
3562784	978	1997-10-31	PRIJEM	\N	232	56268	UROK	\N	\N
3562785	978	1997-11-30	PRIJEM	\N	237	58584	UROK	\N	\N
3562786	978	1997-12-31	PRIJEM	\N	246	59060	UROK	\N	\N
3562787	978	1998-01-31	PRIJEM	\N	229	57189	UROK	\N	\N
3562788	978	1998-02-28	PRIJEM	\N	246	61914	UROK	\N	\N
3562789	978	1998-03-31	PRIJEM	\N	255	62088	UROK	\N	\N
3562790	978	1998-04-30	PRIJEM	\N	267	66834	UROK	\N	\N
3562791	978	1998-05-31	PRIJEM	\N	287	71600	UROK	\N	\N
3562792	978	1998-06-30	PRIJEM	\N	278	68058	UROK	\N	\N
3562793	978	1998-07-31	PRIJEM	\N	292	72829	UROK	\N	\N
3562794	978	1998-08-31	PRIJEM	\N	311	77619	UROK	\N	\N
3562795	978	1998-09-30	PRIJEM	\N	331	82430	UROK	\N	\N
3562796	978	1998-10-31	PRIJEM	\N	351	87260	UROK	\N	\N
3562797	978	1998-11-30	PRIJEM	\N	366	88805	UROK	\N	\N
3562798	978	1998-12-31	PRIJEM	\N	356	82240	UROK	\N	\N
3562799	979	1993-03-31	PRIJEM	\N	38	20152	UROK	\N	\N
3562800	979	1993-04-30	PRIJEM	\N	110	33576	UROK	\N	\N
3562801	979	1993-05-31	PRIJEM	\N	145	36234	UROK	\N	\N
3562802	979	1993-06-30	PRIJEM	\N	163	42469	UROK	\N	\N
3562803	979	1993-07-31	PRIJEM	\N	184	35312	UROK	\N	\N
3562804	979	1993-08-31	PRIJEM	\N	155	32413	UROK	\N	\N
3562805	979	1993-09-30	PRIJEM	\N	163	33822	UROK	\N	\N
3562806	979	1993-10-31	PRIJEM	\N	170	35237	UROK	\N	\N
3562807	979	1993-11-30	PRIJEM	\N	141	32823	UROK	\N	\N
3562808	979	1993-12-31	PRIJEM	\N	143	35168	UROK	\N	\N
3562809	979	1994-01-31	PRIJEM	\N	131	25045	UROK	\N	\N
3562810	979	1994-02-28	PRIJEM	\N	118	29509	UROK	\N	\N
3562811	979	1994-03-31	PRIJEM	\N	122	25876	UROK	\N	\N
3562812	979	1994-04-30	PRIJEM	\N	117	27938	UROK	\N	\N
3562813	979	1994-05-31	PRIJEM	\N	125	31009	UROK	\N	\N
3562814	979	1994-06-30	PRIJEM	\N	161	37972	UROK	\N	\N
3562815	979	1994-07-31	PRIJEM	\N	147	33665	UROK	\N	\N
3562816	979	1994-08-31	PRIJEM	\N	144	33754	UROK	\N	\N
3562817	979	1994-09-30	PRIJEM	\N	133	29133	UROK	\N	\N
3562818	979	1994-10-31	PRIJEM	\N	138	33616	UROK	\N	\N
3562819	979	1994-11-30	PRIJEM	\N	138	31799	UROK	\N	\N
3562820	979	1994-12-31	PRIJEM	\N	148	35649	UROK	\N	\N
3562821	979	1995-01-31	PRIJEM	\N	131	23426	UROK	\N	\N
3562822	979	1995-02-28	PRIJEM	\N	126	30197	UROK	\N	\N
3562823	979	1995-03-31	PRIJEM	\N	128	29971	UROK	\N	\N
3562824	979	1995-04-30	PRIJEM	\N	126	29243	UROK	\N	\N
3562825	979	1995-05-31	PRIJEM	\N	124	27412	UROK	\N	\N
3562826	979	1995-06-30	PRIJEM	\N	142	34257	UROK	\N	\N
3562827	979	1995-07-31	PRIJEM	\N	157	32659	UROK	\N	\N
3562828	979	1995-08-31	PRIJEM	\N	152	36156	UROK	\N	\N
3562829	979	1995-09-30	PRIJEM	\N	171	38873	UROK	\N	\N
3562830	979	1995-10-31	PRIJEM	\N	188	45106	UROK	\N	\N
3562831	979	1995-11-30	PRIJEM	\N	194	45846	UROK	\N	\N
3562832	979	1995-12-31	PRIJEM	\N	227	54776	UROK	\N	\N
3562833	979	1996-01-31	PRIJEM	\N	168	28189	UROK	\N	\N
3562834	979	1996-02-29	PRIJEM	\N	157	38491	UROK	\N	\N
3562835	979	1996-03-31	PRIJEM	\N	175	41611	UROK	\N	\N
3562836	979	1996-04-30	PRIJEM	\N	179	42135	UROK	\N	\N
3562837	979	1996-05-31	PRIJEM	\N	174	41255	UROK	\N	\N
3562838	979	1996-06-30	PRIJEM	\N	158	39815	UROK	\N	\N
3562839	979	1996-07-31	PRIJEM	\N	128	24389	UROK	\N	\N
3562840	979	1996-08-31	PRIJEM	\N	137	23471	UROK	\N	\N
3562841	979	1996-09-30	PRIJEM	\N	118	27134	UROK	\N	\N
3562842	979	1996-10-31	PRIJEM	\N	135	27814	UROK	\N	\N
3562843	979	1996-11-30	PRIJEM	\N	137	30197	UROK	\N	\N
3562844	979	1996-12-31	PRIJEM	\N	165	36264	UROK	\N	\N
3562845	979	1997-01-31	PRIJEM	\N	165	29174	UROK	\N	\N
3562846	979	1997-02-28	PRIJEM	\N	138	29058	UROK	\N	\N
3562847	979	1997-03-31	PRIJEM	\N	140	29443	UROK	\N	\N
3562848	979	1997-04-30	PRIJEM	\N	143	33532	UROK	\N	\N
3562849	979	1997-05-31	PRIJEM	\N	156	32533	UROK	\N	\N
3562850	979	1997-06-30	PRIJEM	\N	172	24808	UROK	\N	\N
3562851	979	1997-07-31	PRIJEM	\N	121	27274	UROK	\N	\N
3562852	979	1997-08-31	PRIJEM	\N	138	24557	UROK	\N	\N
3562853	979	1997-09-30	PRIJEM	\N	119	29022	UROK	\N	\N
3562854	979	1997-10-31	PRIJEM	\N	132	29099	UROK	\N	\N
3562855	979	1997-11-30	PRIJEM	\N	134	31279	UROK	\N	\N
3562856	979	1997-12-31	PRIJEM	\N	154	34535	UROK	\N	\N
3562857	979	1998-01-31	PRIJEM	\N	148	23228	UROK	\N	\N
3562858	979	1998-02-28	PRIJEM	\N	105	24078	UROK	\N	\N
3562859	979	1998-03-31	PRIJEM	\N	111	25535	UROK	\N	\N
3562860	979	1998-04-30	PRIJEM	\N	110	22690	UROK	\N	\N
3562861	979	1998-05-31	PRIJEM	\N	101	21936	UROK	\N	\N
3562862	979	1998-06-30	PRIJEM	\N	97	20935	UROK	\N	\N
3562863	979	1998-07-31	PRIJEM	\N	89	19070	UROK	\N	\N
3562864	979	1998-08-31	PRIJEM	\N	105	31720	UROK	\N	\N
3562865	979	1998-09-30	PRIJEM	\N	124	25889	UROK	\N	\N
3562866	979	1998-10-31	PRIJEM	\N	106	24341	UROK	\N	\N
3562867	979	1998-11-30	PRIJEM	\N	98	22684	UROK	\N	\N
3562868	979	1998-12-31	PRIJEM	\N	141	44327	UROK	\N	\N
3562869	980	1997-01-31	PRIJEM	\N	33	21709	UROK	\N	\N
3562870	980	1997-02-28	PRIJEM	\N	107	32392	UROK	\N	\N
3562871	980	1997-03-31	PRIJEM	\N	140	34208	UROK	\N	\N
3562872	980	1997-04-30	PRIJEM	\N	142	34125	UROK	\N	\N
3562873	980	1997-05-31	PRIJEM	\N	173	29174	UROK	\N	\N
3562874	980	1997-06-30	PRIJEM	\N	152	40254	UROK	\N	\N
3562875	980	1997-07-31	PRIJEM	\N	158	37852	UROK	\N	\N
3562876	980	1997-08-31	PRIJEM	\N	153	36845	UROK	\N	\N
3562877	980	1997-09-30	PRIJEM	\N	144	35230	UROK	\N	\N
3562878	980	1997-10-31	PRIJEM	\N	154	38524	UROK	\N	\N
3562879	980	1997-11-30	PRIJEM	\N	165	41429	UROK	\N	\N
3562880	980	1997-12-31	PRIJEM	\N	194	48152	UROK	\N	\N
3562881	980	1998-01-31	PRIJEM	\N	154	29646	UROK	\N	\N
3562882	980	1998-02-28	PRIJEM	\N	145	37232	UROK	\N	\N
3562883	980	1998-03-31	PRIJEM	\N	183	46256	UROK	\N	\N
3562884	980	1998-04-30	PRIJEM	\N	209	49305	UROK	\N	\N
3562885	980	1998-05-31	PRIJEM	\N	224	56369	UROK	\N	\N
3562886	980	1998-06-30	PRIJEM	\N	251	53248	UROK	\N	\N
3562887	980	1998-07-31	PRIJEM	\N	230	57318	UROK	\N	\N
3562888	980	1998-08-31	PRIJEM	\N	237	58796	UROK	\N	\N
3562889	980	1998-09-30	PRIJEM	\N	237	57774	UROK	\N	\N
3562890	980	1998-10-31	PRIJEM	\N	246	61059	UROK	\N	\N
3562891	980	1998-11-30	PRIJEM	\N	243	60043	UROK	\N	\N
3562892	980	1998-12-31	PRIJEM	\N	238	57309	UROK	\N	\N
3562893	981	1995-04-30	PRIJEM	\N	26	26518	UROK	\N	\N
3562894	981	1995-05-31	PRIJEM	\N	120	35430	UROK	\N	\N
3562895	981	1995-06-30	PRIJEM	\N	159	46327	UROK	\N	\N
3562896	981	1995-07-31	PRIJEM	\N	191	45210	UROK	\N	\N
3562897	981	1995-08-31	PRIJEM	\N	206	43739	UROK	\N	\N
3562898	981	1995-09-30	PRIJEM	\N	211	42689	UROK	\N	\N
3562899	981	1995-10-31	PRIJEM	\N	208	43137	UROK	\N	\N
3562900	981	1995-11-30	PRIJEM	\N	213	46289	UROK	\N	\N
3562901	981	1995-12-31	PRIJEM	\N	236	51110	UROK	\N	\N
3562902	981	1996-01-31	PRIJEM	\N	217	42067	UROK	\N	\N
3562903	981	1996-02-29	PRIJEM	\N	200	43107	UROK	\N	\N
3562904	981	1996-03-31	PRIJEM	\N	201	41146	UROK	\N	\N
3562905	981	1996-04-30	PRIJEM	\N	181	37767	UROK	\N	\N
3562906	981	1996-05-31	PRIJEM	\N	171	34678	UROK	\N	\N
3562907	981	1996-06-30	PRIJEM	\N	185	41148	UROK	\N	\N
3562908	981	1996-07-31	PRIJEM	\N	200	45787	UROK	\N	\N
3562909	981	1996-08-31	PRIJEM	\N	200	39527	UROK	\N	\N
3562910	981	1996-09-30	PRIJEM	\N	188	43754	UROK	\N	\N
3562911	981	1996-10-31	PRIJEM	\N	193	43187	UROK	\N	\N
3562912	981	1996-11-30	PRIJEM	\N	213	49739	UROK	\N	\N
3562913	981	1996-12-31	PRIJEM	\N	292	58017	UROK	\N	\N
3562914	981	1997-01-31	PRIJEM	\N	213	45270	UROK	\N	\N
3562915	981	1997-02-28	PRIJEM	\N	203	46912	UROK	\N	\N
3562916	981	1997-03-31	PRIJEM	\N	220	47772	UROK	\N	\N
3562917	981	1997-04-30	PRIJEM	\N	218	52330	UROK	\N	\N
3562918	981	1997-05-31	PRIJEM	\N	219	48788	UROK	\N	\N
3562919	981	1997-06-30	PRIJEM	\N	238	58811	UROK	\N	\N
3562920	981	1997-07-31	PRIJEM	\N	244	53894	UROK	\N	\N
3562921	981	1997-08-31	PRIJEM	\N	217	50151	UROK	\N	\N
3562922	981	1997-09-30	PRIJEM	\N	220	54210	UROK	\N	\N
3562923	981	1997-10-31	PRIJEM	\N	245	58095	UROK	\N	\N
3562924	981	1997-11-30	PRIJEM	\N	273	69607	UROK	\N	\N
3562925	981	1997-12-31	PRIJEM	\N	338	85931	UROK	\N	\N
3562926	981	1998-01-31	PRIJEM	\N	327	76397	UROK	\N	\N
3562927	981	1998-02-28	PRIJEM	\N	335	84072	UROK	\N	\N
3562928	981	1998-03-31	PRIJEM	\N	356	87467	UROK	\N	\N
3562929	981	1998-04-30	PRIJEM	\N	359	88066	UROK	\N	\N
3562930	981	1998-05-31	PRIJEM	\N	349	84654	UROK	\N	\N
3562931	981	1998-06-30	PRIJEM	\N	388	99127	UROK	\N	\N
3562932	981	1998-07-31	PRIJEM	\N	381	89448	UROK	\N	\N
3562933	981	1998-08-31	PRIJEM	\N	352	84439	UROK	\N	\N
3562934	981	1998-09-30	PRIJEM	\N	353	87331	UROK	\N	\N
3562935	981	1998-10-31	PRIJEM	\N	353	88824	UROK	\N	\N
3562936	981	1998-11-30	PRIJEM	\N	376	93239	UROK	\N	\N
3562937	981	1998-12-31	PRIJEM	\N	411	104435	UROK	\N	\N
3562938	982	1993-02-28	PRIJEM	\N	19	5469	UROK	\N	\N
3562939	982	1993-03-31	PRIJEM	\N	66	18284	UROK	\N	\N
3562940	982	1993-04-30	PRIJEM	\N	92	23326	UROK	\N	\N
3562941	982	1993-05-31	PRIJEM	\N	113	26889	UROK	\N	\N
3562942	982	1993-06-30	PRIJEM	\N	63	11384	UROK	\N	\N
3562943	982	1993-07-31	PRIJEM	\N	69	17055	UROK	\N	\N
3562944	982	1993-08-31	PRIJEM	\N	91	22349	UROK	\N	\N
3562945	982	1993-09-30	PRIJEM	\N	96	22847	UROK	\N	\N
3562946	982	1993-10-31	PRIJEM	\N	106	25656	UROK	\N	\N
3562947	982	1993-11-30	PRIJEM	\N	105	24864	UROK	\N	\N
3562948	982	1993-12-31	PRIJEM	\N	102	24663	UROK	\N	\N
3562949	982	1994-01-31	PRIJEM	\N	72	13738	UROK	\N	\N
3562950	982	1994-02-28	PRIJEM	\N	84	20124	UROK	\N	\N
3562951	982	1994-03-31	PRIJEM	\N	107	26434	UROK	\N	\N
3562952	982	1994-04-30	PRIJEM	\N	109	25845	UROK	\N	\N
3562953	982	1994-05-31	PRIJEM	\N	110	26158	UROK	\N	\N
3562954	982	1994-06-30	PRIJEM	\N	120	28495	UROK	\N	\N
3562955	982	1994-07-31	PRIJEM	\N	116	27493	UROK	\N	\N
3562956	982	1994-08-31	PRIJEM	\N	120	25115	UROK	\N	\N
3562957	982	1994-09-30	PRIJEM	\N	109	22766	UROK	\N	\N
3562958	982	1994-10-31	PRIJEM	\N	101	24070	UROK	\N	\N
3562959	982	1994-11-30	PRIJEM	\N	107	25079	UROK	\N	\N
3562960	982	1994-12-31	PRIJEM	\N	114	24030	UROK	\N	\N
3562961	982	1995-01-31	PRIJEM	\N	81	19272	UROK	\N	\N
3562962	982	1995-02-28	PRIJEM	\N	83	18838	UROK	\N	\N
3562963	982	1995-03-31	PRIJEM	\N	87	22927	UROK	\N	\N
3562964	982	1995-04-30	PRIJEM	\N	100	21830	UROK	\N	\N
3562965	982	1995-05-31	PRIJEM	\N	95	21127	UROK	\N	\N
3562966	982	1995-06-30	PRIJEM	\N	99	22063	UROK	\N	\N
3562967	982	1995-07-31	PRIJEM	\N	99	24665	UROK	\N	\N
3562968	982	1995-08-31	PRIJEM	\N	101	22368	UROK	\N	\N
3562969	982	1995-09-30	PRIJEM	\N	101	25672	UROK	\N	\N
3562970	982	1995-10-31	PRIJEM	\N	108	22882	UROK	\N	\N
3562971	982	1995-11-30	PRIJEM	\N	83	17387	UROK	\N	\N
3562972	982	1995-12-31	PRIJEM	\N	77	13802	UROK	\N	\N
3562973	982	1996-01-31	PRIJEM	\N	61	14825	UROK	\N	\N
3562974	982	1996-02-29	PRIJEM	\N	65	14292	UROK	\N	\N
3562975	982	1996-03-31	PRIJEM	\N	64	15158	UROK	\N	\N
3562976	982	1996-04-30	PRIJEM	\N	71	18332	UROK	\N	\N
3562977	982	1996-05-31	PRIJEM	\N	86	22321	UROK	\N	\N
3562978	982	1996-06-30	PRIJEM	\N	101	22699	UROK	\N	\N
3562979	982	1996-07-31	PRIJEM	\N	102	25203	UROK	\N	\N
3562980	982	1996-08-31	PRIJEM	\N	108	25413	UROK	\N	\N
3562981	982	1996-09-30	PRIJEM	\N	89	18004	UROK	\N	\N
3562982	982	1996-10-31	PRIJEM	\N	79	18685	UROK	\N	\N
3562983	982	1996-11-30	PRIJEM	\N	94	25282	UROK	\N	\N
3562984	982	1996-12-31	PRIJEM	\N	115	28694	UROK	\N	\N
3562985	982	1997-01-31	PRIJEM	\N	93	15770	UROK	\N	\N
3562986	982	1997-02-28	PRIJEM	\N	79	20651	UROK	\N	\N
3562987	982	1997-03-31	PRIJEM	\N	92	22645	UROK	\N	\N
3562988	982	1997-04-30	PRIJEM	\N	100	24347	UROK	\N	\N
3562989	982	1997-05-31	PRIJEM	\N	99	22909	UROK	\N	\N
3562990	982	1997-06-30	PRIJEM	\N	115	25941	UROK	\N	\N
3562991	982	1997-07-31	PRIJEM	\N	110	26374	UROK	\N	\N
3562992	982	1997-08-31	PRIJEM	\N	110	26406	UROK	\N	\N
3562993	982	1997-09-30	PRIJEM	\N	123	31131	UROK	\N	\N
3562994	982	1997-10-31	PRIJEM	\N	128	30462	UROK	\N	\N
3562995	982	1997-11-30	PRIJEM	\N	131	31996	UROK	\N	\N
3562996	982	1997-12-31	PRIJEM	\N	134	32046	UROK	\N	\N
3562997	982	1998-01-31	PRIJEM	\N	117	18206	UROK	\N	\N
3562998	982	1998-02-28	PRIJEM	\N	114	31223	UROK	\N	\N
3562999	982	1998-03-31	PRIJEM	\N	152	39177	UROK	\N	\N
3563000	982	1998-04-30	PRIJEM	\N	172	42351	UROK	\N	\N
3563001	982	1998-05-31	PRIJEM	\N	175	42229	UROK	\N	\N
3563002	982	1998-06-30	PRIJEM	\N	155	34601	UROK	\N	\N
3563003	982	1998-07-31	PRIJEM	\N	160	40164	UROK	\N	\N
3563004	982	1998-08-31	PRIJEM	\N	170	41636	UROK	\N	\N
3563005	982	1998-09-30	PRIJEM	\N	160	38299	UROK	\N	\N
3563006	982	1998-10-31	PRIJEM	\N	142	33543	UROK	\N	\N
3563007	982	1998-11-30	PRIJEM	\N	124	28869	UROK	\N	\N
3563008	982	1998-12-31	PRIJEM	\N	93	21159	UROK	\N	\N
3563009	984	1996-07-31	PRIJEM	\N	31	11359	UROK	\N	\N
3563010	984	1996-08-31	PRIJEM	\N	96	29482	UROK	\N	\N
3563011	984	1996-09-30	PRIJEM	\N	137	34847	UROK	\N	\N
3563012	984	1996-10-31	PRIJEM	\N	150	36925	UROK	\N	\N
3563013	984	1996-11-30	PRIJEM	\N	163	40516	UROK	\N	\N
3563014	984	1996-12-31	PRIJEM	\N	178	46760	UROK	\N	\N
3563015	984	1997-01-31	PRIJEM	\N	162	31924	UROK	\N	\N
3563016	984	1997-02-28	PRIJEM	\N	142	35968	UROK	\N	\N
3563017	984	1997-03-31	PRIJEM	\N	156	40126	UROK	\N	\N
3563018	984	1997-04-30	PRIJEM	\N	164	42092	UROK	\N	\N
3563019	984	1997-05-31	PRIJEM	\N	152	38247	UROK	\N	\N
3563020	984	1997-06-30	PRIJEM	\N	172	44786	UROK	\N	\N
3563021	984	1997-07-31	PRIJEM	\N	180	44568	UROK	\N	\N
3563022	984	1997-08-31	PRIJEM	\N	151	38022	UROK	\N	\N
3563023	984	1997-09-30	PRIJEM	\N	140	36064	UROK	\N	\N
3563024	984	1997-10-31	PRIJEM	\N	114	29880	UROK	\N	\N
3563025	984	1997-11-30	PRIJEM	\N	113	29795	UROK	\N	\N
3563026	984	1997-12-31	PRIJEM	\N	118	29579	UROK	\N	\N
3563027	984	1998-01-31	PRIJEM	\N	94	23675	UROK	\N	\N
3563028	984	1998-02-28	PRIJEM	\N	111	28989	UROK	\N	\N
3563029	984	1998-03-31	PRIJEM	\N	106	27597	UROK	\N	\N
3563030	984	1998-04-30	PRIJEM	\N	108	29007	UROK	\N	\N
3563031	984	1998-05-31	PRIJEM	\N	114	29224	UROK	\N	\N
3563032	984	1998-06-30	PRIJEM	\N	139	36430	UROK	\N	\N
3563033	984	1998-07-31	PRIJEM	\N	146	27678	UROK	\N	\N
3563034	984	1998-08-31	PRIJEM	\N	126	26306	UROK	\N	\N
3563035	984	1998-09-30	PRIJEM	\N	118	21627	UROK	\N	\N
3563036	984	1998-10-31	PRIJEM	\N	100	20129	UROK	\N	\N
3563037	984	1998-11-30	PRIJEM	\N	93	19525	UROK	\N	\N
3563038	984	1998-12-31	PRIJEM	\N	103	26494	UROK	\N	\N
3563039	985	1994-10-31	PRIJEM	\N	43	15421	UROK	\N	\N
3563040	985	1994-11-30	PRIJEM	\N	67	15597	UROK	\N	\N
3563041	985	1994-12-31	PRIJEM	\N	67	15654	UROK	\N	\N
3563042	985	1995-01-31	PRIJEM	\N	64	13457	UROK	\N	\N
3563043	985	1995-02-28	PRIJEM	\N	59	14615	UROK	\N	\N
3563044	985	1995-03-31	PRIJEM	\N	63	15028	UROK	\N	\N
3563045	985	1995-04-30	PRIJEM	\N	66	16193	UROK	\N	\N
3563046	985	1995-05-31	PRIJEM	\N	71	17363	UROK	\N	\N
3563047	985	1995-06-30	PRIJEM	\N	59	12761	UROK	\N	\N
3563048	985	1995-07-31	PRIJEM	\N	56	13917	UROK	\N	\N
3563049	985	1995-08-31	PRIJEM	\N	61	15078	UROK	\N	\N
3563050	985	1995-09-30	PRIJEM	\N	66	16243	UROK	\N	\N
3563051	985	1995-10-31	PRIJEM	\N	71	17413	UROK	\N	\N
3563052	985	1995-11-30	PRIJEM	\N	73	17145	UROK	\N	\N
3563053	985	1995-12-31	PRIJEM	\N	73	17448	UROK	\N	\N
3563054	985	1996-01-31	PRIJEM	\N	70	15827	UROK	\N	\N
3563055	985	1996-02-29	PRIJEM	\N	69	16996	UROK	\N	\N
3563056	985	1996-03-31	PRIJEM	\N	74	18169	UROK	\N	\N
3563057	985	1996-04-30	PRIJEM	\N	79	19347	UROK	\N	\N
3563058	985	1996-05-31	PRIJEM	\N	81	19267	UROK	\N	\N
3563059	985	1996-06-30	PRIJEM	\N	77	14233	UROK	\N	\N
3563060	985	1996-07-31	PRIJEM	\N	62	15395	UROK	\N	\N
3563061	985	1996-08-31	PRIJEM	\N	67	15811	UROK	\N	\N
3563062	985	1996-09-30	PRIJEM	\N	69	16979	UROK	\N	\N
3563063	985	1996-10-31	PRIJEM	\N	71	16829	UROK	\N	\N
3563064	985	1996-11-30	PRIJEM	\N	73	18002	UROK	\N	\N
3563065	985	1996-12-31	PRIJEM	\N	78	18819	UROK	\N	\N
3563066	985	1997-01-31	PRIJEM	\N	78	16576	UROK	\N	\N
3563067	985	1997-02-28	PRIJEM	\N	71	16546	UROK	\N	\N
3563068	985	1997-03-31	PRIJEM	\N	72	17717	UROK	\N	\N
3563069	985	1997-04-30	PRIJEM	\N	75	17781	UROK	\N	\N
3563070	985	1997-05-31	PRIJEM	\N	77	18957	UROK	\N	\N
3563071	985	1997-06-30	PRIJEM	\N	80	19356	UROK	\N	\N
3563072	985	1997-07-31	PRIJEM	\N	80	19336	UROK	\N	\N
3563073	985	1997-08-31	PRIJEM	\N	83	20519	UROK	\N	\N
3563074	985	1997-09-30	PRIJEM	\N	88	21706	UROK	\N	\N
3563075	985	1997-10-31	PRIJEM	\N	93	22898	UROK	\N	\N
3563076	985	1997-11-30	PRIJEM	\N	98	24095	UROK	\N	\N
3563077	985	1997-12-31	PRIJEM	\N	101	24125	UROK	\N	\N
3563078	985	1998-01-31	PRIJEM	\N	98	22262	UROK	\N	\N
3563079	985	1998-02-28	PRIJEM	\N	95	23456	UROK	\N	\N
3563080	985	1998-03-31	PRIJEM	\N	100	24656	UROK	\N	\N
3563081	985	1998-04-30	PRIJEM	\N	105	25860	UROK	\N	\N
3563082	985	1998-05-31	PRIJEM	\N	110	27069	UROK	\N	\N
3563083	985	1998-06-30	PRIJEM	\N	106	19515	UROK	\N	\N
3563084	985	1998-07-31	PRIJEM	\N	83	20697	UROK	\N	\N
3563085	985	1998-08-31	PRIJEM	\N	88	21885	UROK	\N	\N
3563086	985	1998-09-30	PRIJEM	\N	88	20673	UROK	\N	\N
3563087	985	1998-10-31	PRIJEM	\N	83	19125	UROK	\N	\N
3563088	985	1998-11-30	PRIJEM	\N	81	20306	UROK	\N	\N
3563089	985	1998-12-31	PRIJEM	\N	86	20892	UROK	\N	\N
3563090	986	1996-05-31	PRIJEM	\N	24	6681	UROK	\N	\N
3563091	986	1996-06-30	PRIJEM	\N	28	12766	UROK	\N	\N
3563092	986	1996-07-31	PRIJEM	\N	28	18851	UROK	\N	\N
3563093	986	1996-08-31	PRIJEM	\N	32	23440	UROK	\N	\N
3563094	986	1996-09-30	PRIJEM	\N	107	24058	UROK	\N	\N
3563095	986	1996-10-31	PRIJEM	\N	108	22163	UROK	\N	\N
3563096	986	1996-11-30	PRIJEM	\N	101	23260	UROK	\N	\N
3563097	986	1996-12-31	PRIJEM	\N	105	23692	UROK	\N	\N
3563098	986	1997-01-31	PRIJEM	\N	90	16048	UROK	\N	\N
3563099	986	1997-02-28	PRIJEM	\N	74	18658	UROK	\N	\N
3563100	986	1997-03-31	PRIJEM	\N	88	22162	UROK	\N	\N
3563101	986	1997-04-30	PRIJEM	\N	102	24860	UROK	\N	\N
3563102	986	1997-05-31	PRIJEM	\N	114	28871	UROK	\N	\N
3563103	986	1997-06-30	PRIJEM	\N	106	19373	UROK	\N	\N
3563104	986	1997-07-31	PRIJEM	\N	91	23361	UROK	\N	\N
3563105	986	1997-08-31	PRIJEM	\N	102	20299	UROK	\N	\N
3563106	986	1997-09-30	PRIJEM	\N	93	22989	UROK	\N	\N
3563107	986	1997-10-31	PRIJEM	\N	105	25690	UROK	\N	\N
3563108	986	1997-11-30	PRIJEM	\N	114	25900	UROK	\N	\N
3563109	986	1997-12-31	PRIJEM	\N	114	24980	UROK	\N	\N
3563110	986	1998-01-31	PRIJEM	\N	92	18988	UROK	\N	\N
3563111	986	1998-02-28	PRIJEM	\N	89	22973	UROK	\N	\N
3563112	986	1998-03-31	PRIJEM	\N	106	26976	UROK	\N	\N
3563113	986	1998-04-30	PRIJEM	\N	122	29234	UROK	\N	\N
3563114	986	1998-05-31	PRIJEM	\N	131	30781	UROK	\N	\N
3563115	986	1998-06-30	PRIJEM	\N	117	25395	UROK	\N	\N
3563116	986	1998-07-31	PRIJEM	\N	116	29407	UROK	\N	\N
3563117	986	1998-08-31	PRIJEM	\N	126	30469	UROK	\N	\N
3563118	986	1998-09-30	PRIJEM	\N	128	29093	UROK	\N	\N
3563119	986	1998-10-31	PRIJEM	\N	119	26409	UROK	\N	\N
3563120	986	1998-11-30	PRIJEM	\N	106	22711	UROK	\N	\N
3563121	986	1998-12-31	PRIJEM	\N	99	23556	UROK	\N	\N
3563122	987	1996-09-30	PRIJEM	\N	13	18387	UROK	\N	\N
3563123	987	1996-10-31	PRIJEM	\N	85	28445	UROK	\N	\N
3563124	987	1996-11-30	PRIJEM	\N	123	34342	UROK	\N	\N
3563125	987	1996-12-31	PRIJEM	\N	151	43054	UROK	\N	\N
3563126	987	1997-01-31	PRIJEM	\N	154	25234	UROK	\N	\N
3563127	987	1997-02-28	PRIJEM	\N	127	31692	UROK	\N	\N
3563128	987	1997-03-31	PRIJEM	\N	156	39680	UROK	\N	\N
3563129	987	1997-04-30	PRIJEM	\N	184	42895	UROK	\N	\N
3563130	987	1997-05-31	PRIJEM	\N	190	42297	UROK	\N	\N
3563131	987	1997-06-30	PRIJEM	\N	181	25576	UROK	\N	\N
3563132	987	1997-07-31	PRIJEM	\N	134	36542	UROK	\N	\N
3563133	987	1997-08-31	PRIJEM	\N	163	38916	UROK	\N	\N
3563134	987	1997-09-30	PRIJEM	\N	182	44630	UROK	\N	\N
3563135	987	1997-10-31	PRIJEM	\N	199	44061	UROK	\N	\N
3563136	987	1997-11-30	PRIJEM	\N	196	45288	UROK	\N	\N
3563137	987	1997-12-31	PRIJEM	\N	210	44017	UROK	\N	\N
3563138	987	1998-01-31	PRIJEM	\N	184	44872	UROK	\N	\N
3563139	987	1998-02-28	PRIJEM	\N	207	51410	UROK	\N	\N
3563140	987	1998-03-31	PRIJEM	\N	232	55873	UROK	\N	\N
3563141	987	1998-04-30	PRIJEM	\N	242	55847	UROK	\N	\N
3563142	987	1998-05-31	PRIJEM	\N	243	56321	UROK	\N	\N
3563143	987	1998-06-30	PRIJEM	\N	247	41847	UROK	\N	\N
3563144	987	1998-07-31	PRIJEM	\N	189	44807	UROK	\N	\N
3563145	987	1998-08-31	PRIJEM	\N	201	48539	UROK	\N	\N
3563146	987	1998-09-30	PRIJEM	\N	208	49539	UROK	\N	\N
3563147	987	1998-10-31	PRIJEM	\N	205	46355	UROK	\N	\N
3563148	987	1998-11-30	PRIJEM	\N	201	48088	UROK	\N	\N
3563149	987	1998-12-31	PRIJEM	\N	193	48799	UROK	\N	\N
3563150	988	1995-02-28	PRIJEM	\N	37	24865	UROK	\N	\N
3563151	988	1995-03-31	PRIJEM	\N	112	28969	UROK	\N	\N
3563152	988	1995-04-30	PRIJEM	\N	123	28398	UROK	\N	\N
3563153	988	1995-05-31	PRIJEM	\N	118	27421	UROK	\N	\N
3563154	988	1995-06-30	PRIJEM	\N	120	29146	UROK	\N	\N
3563155	988	1995-07-31	PRIJEM	\N	123	28575	UROK	\N	\N
3563156	988	1995-08-31	PRIJEM	\N	126	30906	UROK	\N	\N
3563157	988	1995-09-30	PRIJEM	\N	132	31843	UROK	\N	\N
3563158	988	1995-10-31	PRIJEM	\N	135	32384	UROK	\N	\N
3563159	988	1995-11-30	PRIJEM	\N	133	32042	UROK	\N	\N
3563160	988	1995-12-31	PRIJEM	\N	130	29877	UROK	\N	\N
3563161	988	1996-01-31	PRIJEM	\N	116	26059	UROK	\N	\N
3563162	988	1996-02-29	PRIJEM	\N	118	30482	UROK	\N	\N
3563163	988	1996-03-31	PRIJEM	\N	130	31718	UROK	\N	\N
3563164	988	1996-04-30	PRIJEM	\N	140	35063	UROK	\N	\N
3563165	988	1996-05-31	PRIJEM	\N	132	28380	UROK	\N	\N
3563166	988	1996-06-30	PRIJEM	\N	128	32813	UROK	\N	\N
3563167	988	1996-07-31	PRIJEM	\N	141	33020	UROK	\N	\N
3563168	988	1996-08-31	PRIJEM	\N	142	35367	UROK	\N	\N
3563169	988	1996-09-30	PRIJEM	\N	139	33371	UROK	\N	\N
3563170	988	1996-10-31	PRIJEM	\N	148	37525	UROK	\N	\N
3563171	988	1996-11-30	PRIJEM	\N	148	34978	UROK	\N	\N
3563172	988	1996-12-31	PRIJEM	\N	136	31679	UROK	\N	\N
3563173	988	1997-01-31	PRIJEM	\N	114	21098	UROK	\N	\N
3563174	988	1997-02-28	PRIJEM	\N	91	23575	UROK	\N	\N
3563175	988	1997-03-31	PRIJEM	\N	108	27988	UROK	\N	\N
3563176	988	1997-04-30	PRIJEM	\N	115	28209	UROK	\N	\N
3563177	988	1997-05-31	PRIJEM	\N	125	31939	UROK	\N	\N
3563178	988	1997-06-30	PRIJEM	\N	137	34381	UROK	\N	\N
3563179	988	1997-07-31	PRIJEM	\N	147	36634	UROK	\N	\N
3563180	988	1997-08-31	PRIJEM	\N	150	36309	UROK	\N	\N
3563181	988	1997-09-30	PRIJEM	\N	145	35719	UROK	\N	\N
3563182	988	1997-10-31	PRIJEM	\N	153	37418	UROK	\N	\N
3563183	988	1997-11-30	PRIJEM	\N	165	41888	UROK	\N	\N
3563184	988	1997-12-31	PRIJEM	\N	174	42567	UROK	\N	\N
3563185	988	1998-01-31	PRIJEM	\N	156	34268	UROK	\N	\N
3563186	988	1998-02-28	PRIJEM	\N	151	38725	UROK	\N	\N
3563187	988	1998-03-31	PRIJEM	\N	165	41396	UROK	\N	\N
3563188	988	1998-04-30	PRIJEM	\N	174	41075	UROK	\N	\N
3563189	988	1998-05-31	PRIJEM	\N	180	45560	UROK	\N	\N
3563190	988	1998-06-30	PRIJEM	\N	187	45753	UROK	\N	\N
3563191	988	1998-07-31	PRIJEM	\N	199	50257	UROK	\N	\N
3563192	988	1998-08-31	PRIJEM	\N	201	48264	UROK	\N	\N
3563193	988	1998-09-30	PRIJEM	\N	188	44357	UROK	\N	\N
3563194	988	1998-10-31	PRIJEM	\N	172	40534	UROK	\N	\N
3563195	988	1998-11-30	PRIJEM	\N	159	37439	UROK	\N	\N
3563196	988	1998-12-31	PRIJEM	\N	130	33194	UROK	\N	\N
3563197	989	1994-08-31	PRIJEM	\N	71	22332	UROK	\N	\N
3563198	989	1994-09-30	PRIJEM	\N	99	23721	UROK	\N	\N
3563199	989	1994-10-31	PRIJEM	\N	101	23912	UROK	\N	\N
3563200	989	1994-11-30	PRIJEM	\N	100	23102	UROK	\N	\N
3563201	989	1994-12-31	PRIJEM	\N	96	22389	UROK	\N	\N
3563202	989	1995-01-31	PRIJEM	\N	76	13895	UROK	\N	\N
3563203	989	1995-02-28	PRIJEM	\N	64	14450	UROK	\N	\N
3563204	989	1995-03-31	PRIJEM	\N	62	12442	UROK	\N	\N
3563205	989	1995-04-30	PRIJEM	\N	59	14191	UROK	\N	\N
3563206	989	1995-05-31	PRIJEM	\N	65	15146	UROK	\N	\N
3563207	989	1995-06-30	PRIJEM	\N	69	14585	UROK	\N	\N
3563208	989	1995-07-31	PRIJEM	\N	67	16343	UROK	\N	\N
3563209	989	1995-08-31	PRIJEM	\N	75	18108	UROK	\N	\N
3563210	989	1995-09-30	PRIJEM	\N	80	18979	UROK	\N	\N
3563211	989	1995-10-31	PRIJEM	\N	83	19652	UROK	\N	\N
3563212	989	1995-11-30	PRIJEM	\N	83	19325	UROK	\N	\N
3563213	989	1995-12-31	PRIJEM	\N	79	18154	UROK	\N	\N
3563214	989	1996-01-31	PRIJEM	\N	65	12550	UROK	\N	\N
3563215	989	1996-02-29	PRIJEM	\N	59	14299	UROK	\N	\N
3563216	989	1996-03-31	PRIJEM	\N	60	14050	UROK	\N	\N
3563217	989	1996-04-30	PRIJEM	\N	65	15805	UROK	\N	\N
3563218	989	1996-05-31	PRIJEM	\N	61	13957	UROK	\N	\N
3563219	989	1996-06-30	PRIJEM	\N	60	14007	UROK	\N	\N
3563220	989	1996-07-31	PRIJEM	\N	61	14459	UROK	\N	\N
3563221	989	1996-08-31	PRIJEM	\N	67	16116	UROK	\N	\N
3563222	989	1996-09-30	PRIJEM	\N	72	16418	UROK	\N	\N
3563223	989	1996-10-31	PRIJEM	\N	74	16583	UROK	\N	\N
3563224	989	1996-11-30	PRIJEM	\N	71	16104	UROK	\N	\N
3563225	989	1996-12-31	PRIJEM	\N	71	15865	UROK	\N	\N
3563226	989	1997-01-31	PRIJEM	\N	64	14019	UROK	\N	\N
3563227	989	1997-02-28	PRIJEM	\N	65	15774	UROK	\N	\N
3563228	989	1997-03-31	PRIJEM	\N	63	14087	UROK	\N	\N
3563229	989	1997-04-30	PRIJEM	\N	65	15842	UROK	\N	\N
3563230	989	1997-05-31	PRIJEM	\N	72	17604	UROK	\N	\N
3563231	989	1997-06-30	PRIJEM	\N	69	15614	UROK	\N	\N
3563232	989	1997-07-31	PRIJEM	\N	69	16334	UROK	\N	\N
3563233	989	1997-08-31	PRIJEM	\N	74	18098	UROK	\N	\N
3563234	989	1997-09-30	PRIJEM	\N	81	19870	UROK	\N	\N
3563235	989	1997-10-31	PRIJEM	\N	84	19884	UROK	\N	\N
3563236	989	1997-11-30	PRIJEM	\N	89	21663	UROK	\N	\N
3563237	989	1997-12-31	PRIJEM	\N	96	23049	UROK	\N	\N
3563238	989	1998-01-31	PRIJEM	\N	84	18103	UROK	\N	\N
3563239	989	1998-02-28	PRIJEM	\N	81	19875	UROK	\N	\N
3563240	989	1998-03-31	PRIJEM	\N	85	18650	UROK	\N	\N
3563241	989	1998-04-30	PRIJEM	\N	83	20423	UROK	\N	\N
3563242	989	1998-05-31	PRIJEM	\N	91	22204	UROK	\N	\N
3563243	989	1998-06-30	PRIJEM	\N	95	21990	UROK	\N	\N
3563244	989	1998-07-31	PRIJEM	\N	95	22275	UROK	\N	\N
3563245	989	1998-08-31	PRIJEM	\N	94	20779	UROK	\N	\N
3563246	989	1998-09-30	PRIJEM	\N	85	19274	UROK	\N	\N
3563247	989	1998-10-31	PRIJEM	\N	86	21050	UROK	\N	\N
3563248	989	1998-11-30	PRIJEM	\N	84	19784	UROK	\N	\N
3563249	989	1998-12-31	PRIJEM	\N	76	18141	UROK	\N	\N
3563250	990	1995-10-31	PRIJEM	\N	51	19823	UROK	\N	\N
3563251	990	1995-11-30	PRIJEM	\N	131	39225	UROK	\N	\N
3563252	990	1995-12-31	PRIJEM	\N	223	62656	UROK	\N	\N
3563253	990	1996-01-31	PRIJEM	\N	265	64492	UROK	\N	\N
3563254	990	1996-02-29	PRIJEM	\N	244	53850	UROK	\N	\N
3563255	990	1996-03-31	PRIJEM	\N	222	52892	UROK	\N	\N
3563256	990	1996-04-30	PRIJEM	\N	223	53935	UROK	\N	\N
3563257	990	1996-05-31	PRIJEM	\N	215	50069	UROK	\N	\N
3563258	990	1996-06-30	PRIJEM	\N	242	63166	UROK	\N	\N
3563259	990	1996-07-31	PRIJEM	\N	250	57936	UROK	\N	\N
3563260	990	1996-08-31	PRIJEM	\N	242	57997	UROK	\N	\N
3563261	990	1996-09-30	PRIJEM	\N	249	60765	UROK	\N	\N
3563262	990	1996-10-31	PRIJEM	\N	251	59836	UROK	\N	\N
3563263	990	1996-11-30	PRIJEM	\N	220	55455	UROK	\N	\N
3563264	990	1996-12-31	PRIJEM	\N	244	60074	UROK	\N	\N
3563265	990	1997-01-31	PRIJEM	\N	204	49537	UROK	\N	\N
3563266	990	1997-02-28	PRIJEM	\N	229	59086	UROK	\N	\N
3563267	990	1997-03-31	PRIJEM	\N	250	59156	UROK	\N	\N
3563268	990	1997-04-30	PRIJEM	\N	253	61728	UROK	\N	\N
3563269	990	1997-05-31	PRIJEM	\N	254	60601	UROK	\N	\N
3563270	990	1997-06-30	PRIJEM	\N	219	54795	UROK	\N	\N
3563271	990	1997-07-31	PRIJEM	\N	245	61359	UROK	\N	\N
3563272	990	1997-08-31	PRIJEM	\N	237	58176	UROK	\N	\N
3563273	990	1997-09-30	PRIJEM	\N	223	59019	UROK	\N	\N
3563274	990	1997-10-31	PRIJEM	\N	252	57590	UROK	\N	\N
3563275	990	1997-11-30	PRIJEM	\N	263	60573	UROK	\N	\N
3563276	990	1997-12-31	PRIJEM	\N	296	66124	UROK	\N	\N
3563277	990	1998-01-31	PRIJEM	\N	275	59818	UROK	\N	\N
3563278	990	1998-02-28	PRIJEM	\N	272	65809	UROK	\N	\N
3563279	990	1998-03-31	PRIJEM	\N	295	65124	UROK	\N	\N
3563280	990	1998-04-30	PRIJEM	\N	292	65435	UROK	\N	\N
3563281	990	1998-05-31	PRIJEM	\N	291	64045	UROK	\N	\N
3563282	990	1998-06-30	PRIJEM	\N	287	60707	UROK	\N	\N
3563283	990	1998-07-31	PRIJEM	\N	267	61893	UROK	\N	\N
3563284	990	1998-08-31	PRIJEM	\N	272	60285	UROK	\N	\N
3563285	990	1998-09-30	PRIJEM	\N	271	66575	UROK	\N	\N
3563286	990	1998-10-31	PRIJEM	\N	294	69989	UROK	\N	\N
3563287	990	1998-11-30	PRIJEM	\N	303	68912	UROK	\N	\N
3563288	990	1998-12-31	PRIJEM	\N	330	86497	UROK	\N	\N
3563289	991	1993-06-30	PRIJEM	\N	55	28064	UROK	\N	\N
3563290	991	1993-07-31	PRIJEM	\N	137	38074	UROK	\N	\N
3563291	991	1993-08-31	PRIJEM	\N	169	43015	UROK	\N	\N
3563292	991	1993-09-30	PRIJEM	\N	178	42566	UROK	\N	\N
3563293	991	1993-10-31	PRIJEM	\N	177	38288	UROK	\N	\N
3563294	991	1993-11-30	PRIJEM	\N	143	30001	UROK	\N	\N
3563295	991	1993-12-31	PRIJEM	\N	148	32176	UROK	\N	\N
3563296	991	1994-01-31	PRIJEM	\N	147	29854	UROK	\N	\N
3563297	991	1994-02-28	PRIJEM	\N	138	33902	UROK	\N	\N
3563298	991	1994-03-31	PRIJEM	\N	157	37670	UROK	\N	\N
3563299	991	1994-04-30	PRIJEM	\N	172	41452	UROK	\N	\N
3563300	991	1994-05-31	PRIJEM	\N	175	40237	UROK	\N	\N
3563301	991	1994-06-30	PRIJEM	\N	181	39305	UROK	\N	\N
3563302	991	1994-07-31	PRIJEM	\N	170	40485	UROK	\N	\N
3563303	991	1994-08-31	PRIJEM	\N	169	40064	UROK	\N	\N
3563304	991	1994-09-30	PRIJEM	\N	170	41445	UROK	\N	\N
3563305	991	1994-10-31	PRIJEM	\N	194	42449	UROK	\N	\N
3563306	991	1994-11-30	PRIJEM	\N	180	43540	UROK	\N	\N
3563307	991	1994-12-31	PRIJEM	\N	194	42321	UROK	\N	\N
3563308	991	1995-01-31	PRIJEM	\N	163	32794	UROK	\N	\N
3563309	991	1995-02-28	PRIJEM	\N	143	33267	UROK	\N	\N
3563310	991	1995-03-31	PRIJEM	\N	150	36927	UROK	\N	\N
3563311	991	1995-04-30	PRIJEM	\N	167	40704	UROK	\N	\N
3563312	991	1995-05-31	PRIJEM	\N	167	39381	UROK	\N	\N
3563313	991	1995-06-30	PRIJEM	\N	190	46818	UROK	\N	\N
3563314	991	1995-07-31	PRIJEM	\N	198	47327	UROK	\N	\N
3563315	991	1995-08-31	PRIJEM	\N	196	46333	UROK	\N	\N
3563316	991	1995-09-30	PRIJEM	\N	227	55470	UROK	\N	\N
3563317	991	1995-10-31	PRIJEM	\N	265	64845	UROK	\N	\N
3563318	991	1995-11-30	PRIJEM	\N	275	62490	UROK	\N	\N
3563319	991	1995-12-31	PRIJEM	\N	312	76589	UROK	\N	\N
3563320	991	1996-01-31	PRIJEM	\N	299	63439	UROK	\N	\N
3563321	991	1996-02-29	PRIJEM	\N	291	70841	UROK	\N	\N
3563322	991	1996-03-31	PRIJEM	\N	315	76266	UROK	\N	\N
3563323	991	1996-04-30	PRIJEM	\N	331	79708	UROK	\N	\N
3563324	991	1996-05-31	PRIJEM	\N	339	81357	UROK	\N	\N
3563325	991	1996-06-30	PRIJEM	\N	291	63115	UROK	\N	\N
3563326	991	1996-07-31	PRIJEM	\N	298	73323	UROK	\N	\N
3563327	991	1996-08-31	PRIJEM	\N	302	62095	UROK	\N	\N
3563328	991	1996-09-30	PRIJEM	\N	281	63387	UROK	\N	\N
3563329	991	1996-10-31	PRIJEM	\N	298	65795	UROK	\N	\N
3563330	991	1996-11-30	PRIJEM	\N	308	70014	UROK	\N	\N
3563331	991	1996-12-31	PRIJEM	\N	350	75671	UROK	\N	\N
3563332	991	1997-01-31	PRIJEM	\N	329	69450	UROK	\N	\N
3563333	991	1997-02-28	PRIJEM	\N	318	69799	UROK	\N	\N
3563334	991	1997-03-31	PRIJEM	\N	323	72432	UROK	\N	\N
3563335	991	1997-04-30	PRIJEM	\N	332	73674	UROK	\N	\N
3563336	991	1997-05-31	PRIJEM	\N	335	72919	UROK	\N	\N
3563337	991	1997-06-30	PRIJEM	\N	253	58679	UROK	\N	\N
3563338	991	1997-07-31	PRIJEM	\N	280	70970	UROK	\N	\N
3563339	991	1997-08-31	PRIJEM	\N	321	72401	UROK	\N	\N
3563340	991	1997-09-30	PRIJEM	\N	332	80444	UROK	\N	\N
3563341	991	1997-10-31	PRIJEM	\N	360	83214	UROK	\N	\N
3563342	991	1997-11-30	PRIJEM	\N	362	84547	UROK	\N	\N
3563343	991	1997-12-31	PRIJEM	\N	221	53174	UROK	\N	\N
3563344	991	1998-01-31	PRIJEM	\N	241	59586	UROK	\N	\N
3563345	991	1998-02-28	PRIJEM	\N	287	77684	UROK	\N	\N
3563346	991	1998-03-31	PRIJEM	\N	353	86747	UROK	\N	\N
3563347	991	1998-04-30	PRIJEM	\N	380	87337	UROK	\N	\N
3563348	991	1998-05-31	PRIJEM	\N	384	90251	UROK	\N	\N
3563349	991	1998-06-30	PRIJEM	\N	309	68908	UROK	\N	\N
3563350	991	1998-07-31	PRIJEM	\N	321	82640	UROK	\N	\N
3563351	991	1998-08-31	PRIJEM	\N	363	85773	UROK	\N	\N
3563352	991	1998-09-30	PRIJEM	\N	366	80990	UROK	\N	\N
3563353	991	1998-10-31	PRIJEM	\N	349	82049	UROK	\N	\N
3563354	991	1998-11-30	PRIJEM	\N	360	87819	UROK	\N	\N
3563355	991	1998-12-31	PRIJEM	\N	276	54663	UROK	\N	\N
3563356	992	1995-10-31	PRIJEM	\N	42	15873	UROK	\N	\N
3563357	992	1995-11-30	PRIJEM	\N	68	26571	UROK	\N	\N
3563358	992	1995-12-31	PRIJEM	\N	113	34430	UROK	\N	\N
3563359	992	1996-01-31	PRIJEM	\N	143	33504	UROK	\N	\N
3563360	992	1996-02-29	PRIJEM	\N	154	32402	UROK	\N	\N
3563361	992	1996-03-31	PRIJEM	\N	152	31683	UROK	\N	\N
3563362	992	1996-04-30	PRIJEM	\N	152	26664	UROK	\N	\N
3563363	992	1996-05-31	PRIJEM	\N	127	26021	UROK	\N	\N
3563364	992	1996-06-30	PRIJEM	\N	113	14778	UROK	\N	\N
3563365	992	1996-07-31	PRIJEM	\N	79	21687	UROK	\N	\N
3563366	992	1996-08-31	PRIJEM	\N	106	22922	UROK	\N	\N
3563367	992	1996-09-30	PRIJEM	\N	107	19959	UROK	\N	\N
3563368	992	1996-10-31	PRIJEM	\N	95	19183	UROK	\N	\N
3563369	992	1996-11-30	PRIJEM	\N	79	17891	UROK	\N	\N
3563370	992	1996-12-31	PRIJEM	\N	107	20003	UROK	\N	\N
3563371	992	1997-01-31	PRIJEM	\N	80	14632	UROK	\N	\N
3563372	992	1997-02-28	PRIJEM	\N	75	16237	UROK	\N	\N
3563373	992	1997-03-31	PRIJEM	\N	78	13944	UROK	\N	\N
3563374	992	1997-04-30	PRIJEM	\N	71	15545	UROK	\N	\N
3563375	992	1997-05-31	PRIJEM	\N	76	11150	UROK	\N	\N
3563376	992	1997-06-30	PRIJEM	\N	72	14646	UROK	\N	\N
3563377	992	1997-07-31	PRIJEM	\N	76	18251	UROK	\N	\N
3563378	992	1997-08-31	PRIJEM	\N	87	17268	UROK	\N	\N
3563379	992	1997-09-30	PRIJEM	\N	83	15380	UROK	\N	\N
3563380	992	1997-10-31	PRIJEM	\N	71	14301	UROK	\N	\N
3563381	992	1997-11-30	PRIJEM	\N	68	12298	UROK	\N	\N
3563382	992	1997-12-31	PRIJEM	\N	84	18186	UROK	\N	\N
3563383	992	1998-01-31	PRIJEM	\N	72	11828	UROK	\N	\N
3563384	992	1998-02-28	PRIJEM	\N	66	15123	UROK	\N	\N
3563385	992	1998-03-31	PRIJEM	\N	72	13324	UROK	\N	\N
3563386	992	1998-04-30	PRIJEM	\N	73	16927	UROK	\N	\N
3563387	992	1998-05-31	PRIJEM	\N	87	20543	UROK	\N	\N
3563388	992	1998-06-30	PRIJEM	\N	105	20893	UROK	\N	\N
3563389	992	1998-07-31	PRIJEM	\N	83	14005	UROK	\N	\N
3563390	992	1998-08-31	PRIJEM	\N	66	12900	UROK	\N	\N
3563391	992	1998-09-30	PRIJEM	\N	58	13128	UROK	\N	\N
3563392	992	1998-10-31	PRIJEM	\N	69	15286	UROK	\N	\N
3563393	992	1998-11-30	PRIJEM	\N	78	18893	UROK	\N	\N
3563394	992	1998-12-31	PRIJEM	\N	106	25763	UROK	\N	\N
3563395	993	1996-12-31	PRIJEM	\N	42	35109	UROK	\N	\N
3563396	993	1997-01-31	PRIJEM	\N	146	30456	UROK	\N	\N
3563397	993	1997-02-28	PRIJEM	\N	223	67442	UROK	\N	\N
3563398	993	1997-03-31	PRIJEM	\N	280	47722	UROK	\N	\N
3563399	993	1997-04-30	PRIJEM	\N	280	40302	UROK	\N	\N
3563400	993	1997-05-31	PRIJEM	\N	206	38510	UROK	\N	\N
3563401	993	1997-06-30	PRIJEM	\N	258	52934	UROK	\N	\N
3563402	993	1997-07-31	PRIJEM	\N	315	45249	UROK	\N	\N
3563403	993	1997-08-31	PRIJEM	\N	315	38364	UROK	\N	\N
3563404	993	1997-09-30	PRIJEM	\N	315	33180	UROK	\N	\N
3563405	993	1997-10-31	PRIJEM	\N	315	32295	UROK	\N	\N
3563406	993	1997-11-30	PRIJEM	\N	315	29210	UROK	\N	\N
3563407	993	1997-12-31	PRIJEM	\N	315	30126	UROK	\N	\N
3563408	993	1998-01-31	PRIJEM	\N	315	33241	UROK	\N	\N
3563409	993	1998-02-28	PRIJEM	\N	274	88469	UROK	\N	\N
3563410	993	1998-03-31	PRIJEM	\N	264	55697	UROK	\N	\N
3563411	993	1998-04-30	PRIJEM	\N	193	40876	UROK	\N	\N
3563412	993	1998-05-31	PRIJEM	\N	257	80393	UROK	\N	\N
3563413	993	1998-06-30	PRIJEM	\N	264	41353	UROK	\N	\N
3563414	993	1998-07-31	PRIJEM	\N	140	30766	UROK	\N	\N
3563415	993	1998-08-31	PRIJEM	\N	94	21189	UROK	\N	\N
3563416	993	1998-09-30	PRIJEM	\N	220	84033	UROK	\N	\N
3563417	993	1998-10-31	PRIJEM	\N	273	90240	UROK	\N	\N
3563418	993	1998-11-30	PRIJEM	\N	232	49021	UROK	\N	\N
3563419	993	1998-12-31	PRIJEM	\N	319	104413	UROK	\N	\N
3563420	995	1996-01-31	PRIJEM	\N	27	16272	UROK	\N	\N
3563421	995	1996-02-29	PRIJEM	\N	70	17477	UROK	\N	\N
3563422	995	1996-03-31	PRIJEM	\N	75	18686	UROK	\N	\N
3563423	995	1996-04-30	PRIJEM	\N	80	19901	UROK	\N	\N
3563424	995	1996-05-31	PRIJEM	\N	82	18447	UROK	\N	\N
3563425	995	1996-06-30	PRIJEM	\N	72	15273	UROK	\N	\N
3563426	995	1996-07-31	PRIJEM	\N	66	16474	UROK	\N	\N
3563427	995	1996-08-31	PRIJEM	\N	71	17679	UROK	\N	\N
3563428	995	1996-09-30	PRIJEM	\N	76	18890	UROK	\N	\N
3563429	995	1996-10-31	PRIJEM	\N	81	20105	UROK	\N	\N
3563430	995	1996-11-30	PRIJEM	\N	86	21325	UROK	\N	\N
3563431	995	1996-12-31	PRIJEM	\N	89	21559	UROK	\N	\N
3563432	995	1997-01-31	PRIJEM	\N	83	18366	UROK	\N	\N
3563433	995	1997-02-28	PRIJEM	\N	78	18738	UROK	\N	\N
3563434	995	1997-03-31	PRIJEM	\N	80	19953	UROK	\N	\N
3563435	995	1997-04-30	PRIJEM	\N	85	21173	UROK	\N	\N
3563436	995	1997-05-31	PRIJEM	\N	91	22398	UROK	\N	\N
3563437	995	1997-06-30	PRIJEM	\N	90	18882	UROK	\N	\N
3563438	995	1997-07-31	PRIJEM	\N	76	18622	UROK	\N	\N
3563439	995	1997-08-31	PRIJEM	\N	79	19416	UROK	\N	\N
3563440	995	1997-09-30	PRIJEM	\N	83	20633	UROK	\N	\N
3563441	995	1997-10-31	PRIJEM	\N	88	21856	UROK	\N	\N
3563442	995	1997-11-30	PRIJEM	\N	90	22270	UROK	\N	\N
3563443	995	1997-12-31	PRIJEM	\N	93	22988	UROK	\N	\N
3563444	995	1998-01-31	PRIJEM	\N	93	21275	UROK	\N	\N
3563445	995	1998-02-28	PRIJEM	\N	90	22500	UROK	\N	\N
3563446	995	1998-03-31	PRIJEM	\N	96	22680	UROK	\N	\N
3563447	995	1998-04-30	PRIJEM	\N	94	23068	UROK	\N	\N
3563448	995	1998-05-31	PRIJEM	\N	98	24300	UROK	\N	\N
3563449	995	1998-06-30	PRIJEM	\N	99	24243	UROK	\N	\N
3563450	995	1998-07-31	PRIJEM	\N	103	25481	UROK	\N	\N
3563451	995	1998-08-31	PRIJEM	\N	108	26723	UROK	\N	\N
3563452	995	1998-09-30	PRIJEM	\N	112	26619	UROK	\N	\N
3563453	995	1998-10-31	PRIJEM	\N	113	27866	UROK	\N	\N
3563454	995	1998-11-30	PRIJEM	\N	118	29118	UROK	\N	\N
3563455	995	1998-12-31	PRIJEM	\N	120	28272	UROK	\N	\N
3563456	996	1997-12-31	PRIJEM	\N	51	23967	UROK	\N	\N
3563457	996	1998-01-31	PRIJEM	\N	95	18322	UROK	\N	\N
3563458	996	1998-02-28	PRIJEM	\N	78	18335	UROK	\N	\N
3563459	996	1998-03-31	PRIJEM	\N	84	19074	UROK	\N	\N
3563460	996	1998-04-30	PRIJEM	\N	79	17509	UROK	\N	\N
3563461	996	1998-05-31	PRIJEM	\N	75	17039	UROK	\N	\N
3563462	996	1998-06-30	PRIJEM	\N	72	16366	UROK	\N	\N
3563463	996	1998-07-31	PRIJEM	\N	67	14888	UROK	\N	\N
3563464	996	1998-08-31	PRIJEM	\N	74	18817	UROK	\N	\N
3563465	996	1998-09-30	PRIJEM	\N	84	20657	UROK	\N	\N
3563466	996	1998-10-31	PRIJEM	\N	83	19675	UROK	\N	\N
3563467	996	1998-11-30	PRIJEM	\N	86	21016	UROK	\N	\N
3563468	996	1998-12-31	PRIJEM	\N	92	19563	UROK	\N	\N
3563469	997	1997-06-30	PRIJEM	\N	50	15555	UROK	\N	\N
3563470	997	1997-07-31	PRIJEM	\N	92	24051	UROK	\N	\N
3563471	997	1997-08-31	PRIJEM	\N	102	24859	UROK	\N	\N
3563472	997	1997-09-30	PRIJEM	\N	113	27877	UROK	\N	\N
3563473	997	1997-10-31	PRIJEM	\N	110	25722	UROK	\N	\N
3563474	997	1997-11-30	PRIJEM	\N	111	26553	UROK	\N	\N
3563475	997	1997-12-31	PRIJEM	\N	120	29143	UROK	\N	\N
3563476	997	1998-01-31	PRIJEM	\N	107	23060	UROK	\N	\N
3563477	997	1998-02-28	PRIJEM	\N	101	23292	UROK	\N	\N
3563478	997	1998-03-31	PRIJEM	\N	100	23642	UROK	\N	\N
3563479	997	1998-04-30	PRIJEM	\N	115	27907	UROK	\N	\N
3563480	997	1998-05-31	PRIJEM	\N	116	27544	UROK	\N	\N
3563481	997	1998-06-30	PRIJEM	\N	90	20844	UROK	\N	\N
3563482	997	1998-07-31	PRIJEM	\N	88	21002	UROK	\N	\N
3563483	997	1998-08-31	PRIJEM	\N	95	23217	UROK	\N	\N
3563484	997	1998-09-30	PRIJEM	\N	95	23133	UROK	\N	\N
3563485	997	1998-10-31	PRIJEM	\N	85	21958	UROK	\N	\N
3563486	997	1998-11-30	PRIJEM	\N	96	21973	UROK	\N	\N
3563487	997	1998-12-31	PRIJEM	\N	95	22539	UROK	\N	\N
3563488	998	1993-11-30	PRIJEM	\N	68	24876	UROK	\N	\N
3563489	998	1993-12-31	PRIJEM	\N	151	42040	UROK	\N	\N
3563490	998	1994-01-31	PRIJEM	\N	223	59371	UROK	\N	\N
3563491	998	1994-02-28	PRIJEM	\N	270	68049	UROK	\N	\N
3563492	998	1994-03-31	PRIJEM	\N	252	57109	UROK	\N	\N
3563493	998	1994-04-30	PRIJEM	\N	240	55081	UROK	\N	\N
3563494	998	1994-05-31	PRIJEM	\N	238	59171	UROK	\N	\N
3563495	998	1994-06-30	PRIJEM	\N	262	66270	UROK	\N	\N
3563496	998	1994-07-31	PRIJEM	\N	264	64587	UROK	\N	\N
3563497	998	1994-08-31	PRIJEM	\N	261	65300	UROK	\N	\N
3563498	998	1994-09-30	PRIJEM	\N	253	56286	UROK	\N	\N
3563499	998	1994-10-31	PRIJEM	\N	241	61079	UROK	\N	\N
3563500	998	1994-11-30	PRIJEM	\N	239	60671	UROK	\N	\N
3563501	998	1994-12-31	PRIJEM	\N	267	71774	UROK	\N	\N
3563502	998	1995-01-31	PRIJEM	\N	228	52715	UROK	\N	\N
3563503	998	1995-02-28	PRIJEM	\N	195	49562	UROK	\N	\N
3563504	998	1995-03-31	PRIJEM	\N	210	52005	UROK	\N	\N
3563505	998	1995-04-30	PRIJEM	\N	203	53320	UROK	\N	\N
3563506	998	1995-05-31	PRIJEM	\N	222	57495	UROK	\N	\N
3563507	998	1995-06-30	PRIJEM	\N	258	63089	UROK	\N	\N
3563508	998	1995-07-31	PRIJEM	\N	240	60482	UROK	\N	\N
3563509	998	1995-08-31	PRIJEM	\N	230	58265	UROK	\N	\N
3563510	998	1995-09-30	PRIJEM	\N	222	56339	UROK	\N	\N
3563511	998	1995-10-31	PRIJEM	\N	220	56312	UROK	\N	\N
3563512	998	1995-11-30	PRIJEM	\N	222	56986	UROK	\N	\N
3563513	998	1995-12-31	PRIJEM	\N	250	67233	UROK	\N	\N
3563514	998	1996-01-31	PRIJEM	\N	152	30977	UROK	\N	\N
3563515	998	1996-02-29	PRIJEM	\N	175	48104	UROK	\N	\N
3563516	998	1996-03-31	PRIJEM	\N	190	35527	UROK	\N	\N
3563517	998	1996-04-30	PRIJEM	\N	188	31168	UROK	\N	\N
3563518	998	1996-05-31	PRIJEM	\N	170	31490	UROK	\N	\N
3563519	998	1996-06-30	PRIJEM	\N	174	30040	UROK	\N	\N
3563520	998	1996-07-31	PRIJEM	\N	161	27554	UROK	\N	\N
3563521	998	1996-08-31	PRIJEM	\N	144	26290	UROK	\N	\N
3563522	998	1996-09-30	PRIJEM	\N	145	28887	UROK	\N	\N
3563523	998	1996-10-31	PRIJEM	\N	146	27085	UROK	\N	\N
3563524	998	1996-11-30	PRIJEM	\N	142	24480	UROK	\N	\N
3563525	998	1996-12-31	PRIJEM	\N	155	29831	UROK	\N	\N
3563526	998	1997-01-31	PRIJEM	\N	135	19919	UROK	\N	\N
3563527	998	1997-02-28	PRIJEM	\N	109	17580	UROK	\N	\N
3563528	998	1997-03-31	PRIJEM	\N	105	20438	UROK	\N	\N
3563529	998	1997-04-30	PRIJEM	\N	113	20503	UROK	\N	\N
3563530	998	1997-05-31	PRIJEM	\N	115	23171	UROK	\N	\N
3563531	998	1997-06-30	PRIJEM	\N	145	24572	UROK	\N	\N
3563532	998	1997-07-31	PRIJEM	\N	121	19846	UROK	\N	\N
3563533	998	1997-08-31	PRIJEM	\N	105	20503	UROK	\N	\N
3563534	998	1997-09-30	PRIJEM	\N	125	34381	UROK	\N	\N
3563535	998	1997-10-31	PRIJEM	\N	144	20378	UROK	\N	\N
3563536	998	1997-11-30	PRIJEM	\N	128	37458	UROK	\N	\N
3563537	998	1997-12-31	PRIJEM	\N	163	27178	UROK	\N	\N
3563538	998	1998-01-31	PRIJEM	\N	126	21436	UROK	\N	\N
3563539	998	1998-02-28	PRIJEM	\N	131	38519	UROK	\N	\N
3563540	998	1998-03-31	PRIJEM	\N	142	17414	UROK	\N	\N
3563541	998	1998-04-30	PRIJEM	\N	115	34481	UROK	\N	\N
3563542	998	1998-05-31	PRIJEM	\N	180	48613	UROK	\N	\N
3563543	998	1998-06-30	PRIJEM	\N	277	65987	UROK	\N	\N
3563544	998	1998-07-31	PRIJEM	\N	198	19437	UROK	\N	\N
3563545	998	1998-08-31	PRIJEM	\N	118	33508	UROK	\N	\N
3563546	998	1998-09-30	PRIJEM	\N	181	50641	UROK	\N	\N
3563547	998	1998-10-31	PRIJEM	\N	253	67847	UROK	\N	\N
3563548	998	1998-11-30	PRIJEM	\N	313	80313	UROK	\N	\N
3563549	998	1998-12-31	PRIJEM	\N	212	22381	UROK	\N	\N
3563618	1000	1993-02-28	PRIJEM	\N	22	30070	UROK	\N	\N
3563619	1000	1993-03-31	PRIJEM	\N	135	42554	UROK	\N	\N
3563620	1000	1993-04-30	PRIJEM	\N	182	48383	UROK	\N	\N
3563621	1000	1993-05-31	PRIJEM	\N	206	53337	UROK	\N	\N
3563622	1000	1993-06-30	PRIJEM	\N	312	60564	UROK	\N	\N
3563623	1000	1993-07-31	PRIJEM	\N	258	39916	UROK	\N	\N
3563624	1000	1993-08-31	PRIJEM	\N	174	36340	UROK	\N	\N
3563625	1000	1993-09-30	PRIJEM	\N	188	22369	UROK	\N	\N
3563626	1000	1993-10-31	PRIJEM	\N	146	34742	UROK	\N	\N
3563627	1000	1993-11-30	PRIJEM	\N	198	44167	UROK	\N	\N
3563628	1000	1993-12-31	PRIJEM	\N	241	46836	UROK	\N	\N
3563629	1000	1994-01-31	PRIJEM	\N	160	24302	UROK	\N	\N
3563630	1000	1994-02-28	PRIJEM	\N	134	20564	UROK	\N	\N
3563631	1000	1994-03-31	PRIJEM	\N	144	33735	UROK	\N	\N
3563632	1000	1994-04-30	PRIJEM	\N	189	41951	UROK	\N	\N
3563633	1000	1994-05-31	PRIJEM	\N	197	41676	UROK	\N	\N
3563634	1000	1994-06-30	PRIJEM	\N	251	55628	UROK	\N	\N
3563635	1000	1994-07-31	PRIJEM	\N	236	45009	UROK	\N	\N
3563636	1000	1994-08-31	PRIJEM	\N	212	45718	UROK	\N	\N
3563637	1000	1994-09-30	PRIJEM	\N	192	24245	UROK	\N	\N
3563638	1000	1994-10-31	PRIJEM	\N	156	39028	UROK	\N	\N
3563639	1000	1994-11-30	PRIJEM	\N	191	35065	UROK	\N	\N
3563640	1000	1994-12-31	PRIJEM	\N	206	39682	UROK	\N	\N
3563641	1000	1995-01-31	PRIJEM	\N	177	26686	UROK	\N	\N
3563642	1000	1995-02-28	PRIJEM	\N	124	29515	UROK	\N	\N
3563643	1000	1995-03-31	PRIJEM	\N	144	26997	UROK	\N	\N
3563644	1000	1995-04-30	PRIJEM	\N	156	37780	UROK	\N	\N
3563645	1000	1995-05-31	PRIJEM	\N	131	23530	UROK	\N	\N
3563646	1000	1995-06-30	PRIJEM	\N	131	23502	UROK	\N	\N
3563647	1000	1995-07-31	PRIJEM	\N	154	34257	UROK	\N	\N
3563648	1000	1995-08-31	PRIJEM	\N	178	37705	UROK	\N	\N
3563649	1000	1995-09-30	PRIJEM	\N	195	46537	UROK	\N	\N
3563650	1000	1995-10-31	PRIJEM	\N	194	42559	UROK	\N	\N
3563651	1000	1995-11-30	PRIJEM	\N	184	37531	UROK	\N	\N
3563652	1000	1995-12-31	PRIJEM	\N	201	47233	UROK	\N	\N
3563653	1000	1996-01-31	PRIJEM	\N	206	35366	UROK	\N	\N
3563654	1000	1996-02-29	PRIJEM	\N	175	42876	UROK	\N	\N
3563655	1000	1996-03-31	PRIJEM	\N	190	41223	UROK	\N	\N
3563656	1000	1996-04-30	PRIJEM	\N	200	51251	UROK	\N	\N
3563657	1000	1996-05-31	PRIJEM	\N	211	33558	UROK	\N	\N
3563658	1000	1996-06-30	PRIJEM	\N	209	55568	UROK	\N	\N
3563659	1000	1996-07-31	PRIJEM	\N	232	54989	UROK	\N	\N
3563660	1000	1996-08-31	PRIJEM	\N	232	53949	UROK	\N	\N
3563661	1000	1996-09-30	PRIJEM	\N	268	65244	UROK	\N	\N
3563662	1000	1996-10-31	PRIJEM	\N	306	75677	UROK	\N	\N
3563663	1000	1996-11-30	PRIJEM	\N	264	48721	UROK	\N	\N
3563664	1000	1996-12-31	PRIJEM	\N	316	83238	UROK	\N	\N
3563665	1000	1997-01-31	PRIJEM	\N	274	34668	UROK	\N	\N
3563666	1000	1997-02-28	PRIJEM	\N	231	61627	UROK	\N	\N
3563667	1000	1997-03-31	PRIJEM	\N	286	71041	UROK	\N	\N
3563668	1000	1997-04-30	PRIJEM	\N	294	60099	UROK	\N	\N
3563669	1000	1997-05-31	PRIJEM	\N	276	55792	UROK	\N	\N
3563670	1000	1997-06-30	PRIJEM	\N	285	46690	UROK	\N	\N
3563671	1000	1997-07-31	PRIJEM	\N	234	53755	UROK	\N	\N
3563672	1000	1997-08-31	PRIJEM	\N	263	66146	UROK	\N	\N
3563673	1000	1997-09-30	PRIJEM	\N	307	76480	UROK	\N	\N
3563674	1000	1997-10-31	PRIJEM	\N	331	82239	UROK	\N	\N
3563675	1000	1997-11-30	PRIJEM	\N	297	75624	UROK	\N	\N
3563676	1000	1997-12-31	PRIJEM	\N	293	49214	UROK	\N	\N
3563677	1000	1998-01-31	PRIJEM	\N	194	33035	UROK	\N	\N
3563678	1000	1998-02-28	PRIJEM	\N	187	47914	UROK	\N	\N
3563679	1000	1998-03-31	PRIJEM	\N	249	51456	UROK	\N	\N
3563680	1000	1998-04-30	PRIJEM	\N	269	53744	UROK	\N	\N
3563681	1000	1998-05-31	PRIJEM	\N	270	46654	UROK	\N	\N
3563682	1000	1998-06-30	PRIJEM	\N	276	48271	UROK	\N	\N
3563683	1000	1998-07-31	PRIJEM	\N	237	52235	UROK	\N	\N
3563684	1000	1998-08-31	PRIJEM	\N	225	53031	UROK	\N	\N
3563685	1000	1998-09-30	PRIJEM	\N	241	55714	UROK	\N	\N
3563686	1000	1998-10-31	PRIJEM	\N	235	52076	UROK	\N	\N
3563687	1000	1998-11-30	PRIJEM	\N	242	55389	UROK	\N	\N
3563688	1000	1998-12-31	PRIJEM	\N	339	91329	UROK	\N	\N
3563689	1002	1996-10-31	PRIJEM	\N	27	13410	UROK	\N	\N
3563690	1002	1996-11-30	PRIJEM	\N	71	20864	UROK	\N	\N
3563691	1002	1996-12-31	PRIJEM	\N	96	25284	UROK	\N	\N
3563692	1002	1997-01-31	PRIJEM	\N	105	25473	UROK	\N	\N
3563693	1002	1997-02-28	PRIJEM	\N	102	23958	UROK	\N	\N
3563694	1002	1997-03-31	PRIJEM	\N	79	16850	UROK	\N	\N
3563695	1002	1997-04-30	PRIJEM	\N	78	20942	UROK	\N	\N
3563696	1002	1997-05-31	PRIJEM	\N	69	15224	UROK	\N	\N
3563697	1002	1997-06-30	PRIJEM	\N	65	16244	UROK	\N	\N
3563698	1002	1997-07-31	PRIJEM	\N	62	14519	UROK	\N	\N
3563699	1002	1997-08-31	PRIJEM	\N	58	14191	UROK	\N	\N
3563700	1002	1997-09-30	PRIJEM	\N	53	12357	UROK	\N	\N
3563701	1002	1997-10-31	PRIJEM	\N	54	12624	UROK	\N	\N
3563702	1002	1997-11-30	PRIJEM	\N	55	14092	UROK	\N	\N
3563703	1002	1997-12-31	PRIJEM	\N	58	13804	UROK	\N	\N
3563704	1002	1998-01-31	PRIJEM	\N	60	15278	UROK	\N	\N
3563705	1002	1998-02-28	PRIJEM	\N	66	16757	UROK	\N	\N
3563706	1002	1998-03-31	PRIJEM	\N	58	14328	UROK	\N	\N
3563707	1002	1998-04-30	PRIJEM	\N	62	15803	UROK	\N	\N
3563708	1002	1998-05-31	PRIJEM	\N	68	17285	UROK	\N	\N
3563709	1002	1998-06-30	PRIJEM	\N	80	20919	UROK	\N	\N
3563710	1002	1998-07-31	PRIJEM	\N	89	22422	UROK	\N	\N
3563711	1002	1998-08-31	PRIJEM	\N	96	23931	UROK	\N	\N
3563712	1002	1998-09-30	PRIJEM	\N	101	24945	UROK	\N	\N
3563713	1002	1998-10-31	PRIJEM	\N	106	26464	UROK	\N	\N
3563714	1002	1998-11-30	PRIJEM	\N	107	25684	UROK	\N	\N
3563715	1002	1998-12-31	PRIJEM	\N	102	23340	UROK	\N	\N
3563716	1003	1996-10-31	PRIJEM	\N	54	21275	UROK	\N	\N
3563717	1003	1996-11-30	PRIJEM	\N	136	40533	UROK	\N	\N
3563718	1003	1996-12-31	PRIJEM	\N	225	62990	UROK	\N	\N
3563719	1003	1997-01-31	PRIJEM	\N	261	62672	UROK	\N	\N
3563720	1003	1997-02-28	PRIJEM	\N	262	63655	UROK	\N	\N
3563721	1003	1997-03-31	PRIJEM	\N	253	63453	UROK	\N	\N
3563722	1003	1997-04-30	PRIJEM	\N	245	62344	UROK	\N	\N
3563723	1003	1997-05-31	PRIJEM	\N	233	58522	UROK	\N	\N
3563724	1003	1997-06-30	PRIJEM	\N	206	51384	UROK	\N	\N
3563725	1003	1997-07-31	PRIJEM	\N	196	49626	UROK	\N	\N
3563726	1003	1997-08-31	PRIJEM	\N	195	51766	UROK	\N	\N
3563727	1003	1997-09-30	PRIJEM	\N	208	54119	UROK	\N	\N
3563728	1003	1997-10-31	PRIJEM	\N	206	54570	UROK	\N	\N
3563729	1003	1997-11-30	PRIJEM	\N	192	50608	UROK	\N	\N
3563730	1003	1997-12-31	PRIJEM	\N	223	62387	UROK	\N	\N
3563731	1003	1998-01-31	PRIJEM	\N	210	54242	UROK	\N	\N
3563732	1003	1998-02-28	PRIJEM	\N	220	59107	UROK	\N	\N
3563733	1003	1998-03-31	PRIJEM	\N	216	55168	UROK	\N	\N
3563734	1003	1998-04-30	PRIJEM	\N	226	60340	UROK	\N	\N
3563735	1003	1998-05-31	PRIJEM	\N	241	63526	UROK	\N	\N
3563736	1003	1998-06-30	PRIJEM	\N	260	68543	UROK	\N	\N
3563737	1003	1998-07-31	PRIJEM	\N	250	64739	UROK	\N	\N
3563738	1003	1998-08-31	PRIJEM	\N	252	66436	UROK	\N	\N
3563739	1003	1998-09-30	PRIJEM	\N	255	69236	UROK	\N	\N
3563740	1003	1998-10-31	PRIJEM	\N	239	52320	UROK	\N	\N
3563741	1003	1998-11-30	PRIJEM	\N	245	50611	UROK	\N	\N
3563742	1003	1998-12-31	PRIJEM	\N	264	70431	UROK	\N	\N
3563743	1004	1996-08-31	PRIJEM	\N	136	45253	UROK	\N	\N
3563744	1004	1996-09-30	PRIJEM	\N	144	34797	UROK	\N	\N
3563745	1004	1996-11-30	PRIJEM	\N	144	29941	UROK	\N	\N
3563746	1004	1996-12-31	PRIJEM	\N	259	58254	UROK	\N	\N
3563747	1004	1997-01-31	PRIJEM	\N	272	53846	UROK	\N	\N
3563748	1004	1997-02-28	PRIJEM	\N	385	61117	UROK	\N	\N
3563749	1004	1997-03-31	PRIJEM	\N	291	72735	UROK	\N	\N
3563750	1004	1997-04-30	PRIJEM	\N	292	42593	UROK	\N	\N
3563751	1004	1997-05-31	PRIJEM	\N	172	33250	UROK	\N	\N
3563752	1004	1997-06-30	PRIJEM	\N	142	32577	UROK	\N	\N
3563753	1004	1997-07-31	PRIJEM	\N	216	61308	UROK	\N	\N
3563754	1004	1997-08-31	PRIJEM	\N	322	66934	UROK	\N	\N
3563755	1004	1997-09-30	PRIJEM	\N	305	35649	UROK	\N	\N
3563756	1004	1997-10-31	PRIJEM	\N	150	38592	UROK	\N	\N
3563757	1004	1997-11-30	PRIJEM	\N	290	63813	UROK	\N	\N
3563758	1004	1997-12-31	PRIJEM	\N	328	55434	UROK	\N	\N
3563759	1004	1998-01-31	PRIJEM	\N	163	41717	UROK	\N	\N
3563760	1004	1998-02-28	PRIJEM	\N	253	59095	UROK	\N	\N
3563761	1004	1998-03-31	PRIJEM	\N	202	36992	UROK	\N	\N
3563762	1004	1998-04-30	PRIJEM	\N	99	16407	UROK	\N	\N
3563763	1004	1998-05-31	PRIJEM	\N	186	74564	UROK	\N	\N
3563764	1004	1998-06-30	PRIJEM	\N	198	31716	UROK	\N	\N
3563765	1004	1998-07-31	PRIJEM	\N	231	47813	UROK	\N	\N
3563766	1004	1998-08-31	PRIJEM	\N	209	82598	UROK	\N	\N
3563767	1004	1998-09-30	PRIJEM	\N	301	55587	UROK	\N	\N
3563768	1004	1998-10-31	PRIJEM	\N	232	81844	UROK	\N	\N
3563769	1004	1998-11-30	PRIJEM	\N	372	101027	UROK	\N	\N
3563770	1004	1998-12-31	PRIJEM	\N	355	76546	UROK	\N	\N
3563771	1005	1993-03-31	PRIJEM	\N	28	29411	UROK	\N	\N
3563772	1005	1993-04-30	PRIJEM	\N	138	45331	UROK	\N	\N
3563773	1005	1993-05-31	PRIJEM	\N	193	50008	UROK	\N	\N
3563774	1005	1993-06-30	PRIJEM	\N	195	39027	UROK	\N	\N
3563775	1005	1993-07-31	PRIJEM	\N	201	44114	UROK	\N	\N
3563776	1005	1993-08-31	PRIJEM	\N	217	47288	UROK	\N	\N
3563777	1005	1993-09-30	PRIJEM	\N	226	49371	UROK	\N	\N
3563778	1005	1993-10-31	PRIJEM	\N	227	44855	UROK	\N	\N
3563779	1005	1993-11-30	PRIJEM	\N	195	39211	UROK	\N	\N
3563780	1005	1993-12-31	PRIJEM	\N	213	51222	UROK	\N	\N
3563781	1005	1994-01-31	PRIJEM	\N	221	46799	UROK	\N	\N
3563782	1005	1994-02-28	PRIJEM	\N	198	43254	UROK	\N	\N
3563783	1005	1994-03-31	PRIJEM	\N	210	48521	UROK	\N	\N
3563784	1005	1994-04-30	PRIJEM	\N	240	48503	UROK	\N	\N
3563785	1005	1994-05-31	PRIJEM	\N	206	33789	UROK	\N	\N
3563786	1005	1994-06-30	PRIJEM	\N	198	52085	UROK	\N	\N
3563787	1005	1994-07-31	PRIJEM	\N	235	54077	UROK	\N	\N
3563788	1005	1994-08-31	PRIJEM	\N	216	42550	UROK	\N	\N
3563789	1005	1994-09-30	PRIJEM	\N	201	50608	UROK	\N	\N
3563790	1005	1994-10-31	PRIJEM	\N	222	52787	UROK	\N	\N
3563791	1005	1994-11-30	PRIJEM	\N	225	53568	UROK	\N	\N
3563792	1005	1994-12-31	PRIJEM	\N	274	57440	UROK	\N	\N
3563793	1005	1995-01-31	PRIJEM	\N	246	43679	UROK	\N	\N
3563794	1005	1995-02-28	PRIJEM	\N	186	45221	UROK	\N	\N
3563795	1005	1995-03-31	PRIJEM	\N	161	25531	UROK	\N	\N
3563796	1005	1995-04-30	PRIJEM	\N	146	42834	UROK	\N	\N
3563797	1005	1995-05-31	PRIJEM	\N	196	50687	UROK	\N	\N
3563798	1005	1995-06-30	PRIJEM	\N	241	62525	UROK	\N	\N
3563799	1005	1995-07-31	PRIJEM	\N	198	28887	UROK	\N	\N
3563800	1005	1995-08-31	PRIJEM	\N	164	44808	UROK	\N	\N
3563801	1005	1995-09-30	PRIJEM	\N	174	33783	UROK	\N	\N
3563802	1005	1995-10-31	PRIJEM	\N	158	33786	UROK	\N	\N
3563803	1005	1995-11-30	PRIJEM	\N	152	27727	UROK	\N	\N
3563804	1005	1995-12-31	PRIJEM	\N	156	23965	UROK	\N	\N
3563805	1005	1996-01-31	PRIJEM	\N	167	42889	UROK	\N	\N
3563806	1005	1996-02-29	PRIJEM	\N	225	44471	UROK	\N	\N
3563807	1005	1996-03-31	PRIJEM	\N	218	54146	UROK	\N	\N
3563808	1005	1996-04-30	PRIJEM	\N	290	74293	UROK	\N	\N
3563809	1005	1996-05-31	PRIJEM	\N	359	89609	UROK	\N	\N
3563810	1005	1996-06-30	PRIJEM	\N	268	54275	UROK	\N	\N
3563811	1005	1996-07-31	PRIJEM	\N	294	75227	UROK	\N	\N
3563812	1005	1996-08-31	PRIJEM	\N	325	71653	UROK	\N	\N
3563813	1005	1996-09-30	PRIJEM	\N	366	93076	UROK	\N	\N
3563814	1005	1996-10-31	PRIJEM	\N	337	68570	UROK	\N	\N
3563815	1005	1996-11-30	PRIJEM	\N	347	77846	UROK	\N	\N
3563816	1005	1996-12-31	PRIJEM	\N	378	92421	UROK	\N	\N
3563817	1005	1997-01-31	PRIJEM	\N	370	79149	UROK	\N	\N
3563818	1005	1997-02-28	PRIJEM	\N	391	99096	UROK	\N	\N
3563819	1005	1997-03-31	PRIJEM	\N	246	40511	UROK	\N	\N
3563820	1005	1997-04-30	PRIJEM	\N	283	66551	UROK	\N	\N
3563821	1005	1997-05-31	PRIJEM	\N	356	91964	UROK	\N	\N
3563822	1005	1997-06-30	PRIJEM	\N	274	51536	UROK	\N	\N
3563823	1005	1997-07-31	PRIJEM	\N	332	89325	UROK	\N	\N
3563824	1005	1997-08-31	PRIJEM	\N	395	98277	UROK	\N	\N
3563825	1005	1997-09-30	PRIJEM	\N	407	110641	UROK	\N	\N
3563826	1005	1997-10-31	PRIJEM	\N	304	57039	UROK	\N	\N
3563827	1005	1997-11-30	PRIJEM	\N	293	78589	UROK	\N	\N
3563828	1005	1997-12-31	PRIJEM	\N	387	86063	UROK	\N	\N
3563829	1005	1998-01-31	PRIJEM	\N	367	83086	UROK	\N	\N
3563830	1005	1998-02-28	PRIJEM	\N	270	68513	UROK	\N	\N
3563831	1005	1998-03-31	PRIJEM	\N	339	85910	UROK	\N	\N
3563832	1005	1998-04-30	PRIJEM	\N	383	88649	UROK	\N	\N
3563833	1005	1998-05-31	PRIJEM	\N	409	92616	UROK	\N	\N
3563834	1005	1998-06-30	PRIJEM	\N	462	100475	UROK	\N	\N
3563835	1005	1998-07-31	PRIJEM	\N	429	98261	UROK	\N	\N
3563836	1005	1998-08-31	PRIJEM	\N	372	78806	UROK	\N	\N
3563837	1005	1998-09-30	PRIJEM	\N	331	63655	UROK	\N	\N
3563838	1005	1998-10-31	PRIJEM	\N	331	87290	UROK	\N	\N
3563839	1005	1998-11-30	PRIJEM	\N	416	98764	UROK	\N	\N
3563840	1005	1998-12-31	PRIJEM	\N	461	107122	UROK	\N	\N
3563841	1006	1993-03-31	PRIJEM	\N	47	16084	UROK	\N	\N
3563842	1006	1993-04-30	PRIJEM	\N	85	21906	UROK	\N	\N
3563843	1006	1993-05-31	PRIJEM	\N	95	23138	UROK	\N	\N
3563844	1006	1993-06-30	PRIJEM	\N	101	24676	UROK	\N	\N
3563845	1006	1993-07-31	PRIJEM	\N	109	26520	UROK	\N	\N
3563846	1006	1993-08-31	PRIJEM	\N	114	27566	UROK	\N	\N
3563847	1006	1993-09-30	PRIJEM	\N	109	25226	UROK	\N	\N
3563848	1006	1993-10-31	PRIJEM	\N	115	28193	UROK	\N	\N
3563849	1006	1993-11-30	PRIJEM	\N	113	27037	UROK	\N	\N
3563850	1006	1993-12-31	PRIJEM	\N	116	27864	UROK	\N	\N
3563851	1006	1994-01-31	PRIJEM	\N	102	22357	UROK	\N	\N
3563852	1006	1994-02-28	PRIJEM	\N	93	21872	UROK	\N	\N
3563853	1006	1994-03-31	PRIJEM	\N	102	24815	UROK	\N	\N
3563854	1006	1994-04-30	PRIJEM	\N	116	28463	UROK	\N	\N
3563855	1006	1994-05-31	PRIJEM	\N	125	30519	UROK	\N	\N
3563856	1006	1994-06-30	PRIJEM	\N	109	25969	UROK	\N	\N
3563857	1006	1994-07-31	PRIJEM	\N	114	26725	UROK	\N	\N
3563858	1006	1994-08-31	PRIJEM	\N	110	26567	UROK	\N	\N
3563859	1006	1994-09-30	PRIJEM	\N	115	28013	UROK	\N	\N
3563860	1006	1994-10-31	PRIJEM	\N	130	32075	UROK	\N	\N
3563861	1006	1994-11-30	PRIJEM	\N	125	30231	UROK	\N	\N
3563862	1006	1994-12-31	PRIJEM	\N	128	31090	UROK	\N	\N
3563863	1006	1995-01-31	PRIJEM	\N	125	30326	UROK	\N	\N
3563864	1006	1995-02-28	PRIJEM	\N	129	32067	UROK	\N	\N
3563865	1006	1995-03-31	PRIJEM	\N	138	34736	UROK	\N	\N
3563866	1006	1995-04-30	PRIJEM	\N	144	32252	UROK	\N	\N
3563867	1006	1995-05-31	PRIJEM	\N	136	34009	UROK	\N	\N
3563868	1006	1995-06-30	PRIJEM	\N	124	31474	UROK	\N	\N
3563869	1006	1995-07-31	PRIJEM	\N	135	32841	UROK	\N	\N
3563870	1006	1995-08-31	PRIJEM	\N	141	33913	UROK	\N	\N
3563871	1006	1995-09-30	PRIJEM	\N	139	31413	UROK	\N	\N
3563872	1006	1995-10-31	PRIJEM	\N	135	33379	UROK	\N	\N
3563873	1006	1995-11-30	PRIJEM	\N	141	33052	UROK	\N	\N
3563874	1006	1995-12-31	PRIJEM	\N	139	32892	UROK	\N	\N
3563875	1006	1996-01-31	PRIJEM	\N	131	29345	UROK	\N	\N
3563876	1006	1996-02-29	PRIJEM	\N	125	29501	UROK	\N	\N
3563877	1006	1996-03-31	PRIJEM	\N	126	30458	UROK	\N	\N
3563878	1006	1996-04-30	PRIJEM	\N	129	30518	UROK	\N	\N
3563879	1006	1996-05-31	PRIJEM	\N	129	30979	UROK	\N	\N
3563880	1006	1996-06-30	PRIJEM	\N	128	30588	UROK	\N	\N
3563881	1006	1996-07-31	PRIJEM	\N	130	31349	UROK	\N	\N
3563882	1006	1996-08-31	PRIJEM	\N	129	29810	UROK	\N	\N
3563883	1006	1996-09-30	PRIJEM	\N	128	31969	UROK	\N	\N
3563884	1006	1996-10-31	PRIJEM	\N	137	33938	UROK	\N	\N
3563885	1006	1996-11-30	PRIJEM	\N	142	35202	UROK	\N	\N
3563886	1006	1996-12-31	PRIJEM	\N	144	33317	UROK	\N	\N
3563887	1006	1997-01-31	PRIJEM	\N	127	29626	UROK	\N	\N
3563888	1006	1997-02-28	PRIJEM	\N	130	33187	UROK	\N	\N
3563889	1006	1997-03-31	PRIJEM	\N	143	35861	UROK	\N	\N
3563890	1006	1997-04-30	PRIJEM	\N	152	37445	UROK	\N	\N
3563891	1006	1997-05-31	PRIJEM	\N	150	34627	UROK	\N	\N
3563892	1006	1997-06-30	PRIJEM	\N	148	37066	UROK	\N	\N
3563893	1006	1997-07-31	PRIJEM	\N	156	39004	UROK	\N	\N
3563894	1006	1997-08-31	PRIJEM	\N	164	40099	UROK	\N	\N
3563895	1006	1997-09-30	PRIJEM	\N	156	35587	UROK	\N	\N
3563896	1006	1997-10-31	PRIJEM	\N	148	36166	UROK	\N	\N
3563897	1006	1997-11-30	PRIJEM	\N	156	38974	UROK	\N	\N
3563898	1006	1997-12-31	PRIJEM	\N	158	37303	UROK	\N	\N
3563899	1006	1998-01-31	PRIJEM	\N	161	38275	UROK	\N	\N
3563900	1006	1998-02-28	PRIJEM	\N	169	43076	UROK	\N	\N
3563901	1006	1998-03-31	PRIJEM	\N	185	46393	UROK	\N	\N
3563902	1006	1998-04-30	PRIJEM	\N	198	49042	UROK	\N	\N
3563903	1006	1998-05-31	PRIJEM	\N	207	50790	UROK	\N	\N
3563904	1006	1998-06-30	PRIJEM	\N	216	53758	UROK	\N	\N
3563905	1006	1998-07-31	PRIJEM	\N	228	55707	UROK	\N	\N
3563906	1006	1998-08-31	PRIJEM	\N	232	53471	UROK	\N	\N
3563907	1006	1998-09-30	PRIJEM	\N	215	51478	UROK	\N	\N
3563908	1006	1998-10-31	PRIJEM	\N	200	48009	UROK	\N	\N
3563909	1006	1998-11-30	PRIJEM	\N	194	47324	UROK	\N	\N
3563910	1006	1998-12-31	PRIJEM	\N	202	50207	UROK	\N	\N
3563911	1008	1996-10-31	PRIJEM	\N	16	6618	UROK	\N	\N
3563912	1008	1996-11-30	PRIJEM	\N	28	12548	UROK	\N	\N
3563913	1008	1996-12-31	PRIJEM	\N	28	18477	UROK	\N	\N
3563914	1008	1997-01-31	PRIJEM	\N	28	24407	UROK	\N	\N
3563915	1008	1997-02-28	PRIJEM	\N	74	27692	UROK	\N	\N
3563916	1008	1997-03-31	PRIJEM	\N	123	31011	UROK	\N	\N
3563917	1008	1997-04-30	PRIJEM	\N	137	34345	UROK	\N	\N
3563918	1008	1997-05-31	PRIJEM	\N	150	34590	UROK	\N	\N
3563919	1008	1997-06-30	PRIJEM	\N	112	25699	UROK	\N	\N
3563920	1008	1997-07-31	PRIJEM	\N	112	25487	UROK	\N	\N
3563921	1008	1997-08-31	PRIJEM	\N	120	28804	UROK	\N	\N
3563922	1008	1997-09-30	PRIJEM	\N	127	32127	UROK	\N	\N
3563923	1008	1997-10-31	PRIJEM	\N	136	27360	UROK	\N	\N
3563924	1008	1997-11-30	PRIJEM	\N	121	27777	UROK	\N	\N
3563925	1008	1997-12-31	PRIJEM	\N	119	28462	UROK	\N	\N
3563926	1008	1998-01-31	PRIJEM	\N	117	24536	UROK	\N	\N
3563927	1008	1998-02-28	PRIJEM	\N	108	22240	UROK	\N	\N
3563928	1008	1998-03-31	PRIJEM	\N	104	21540	UROK	\N	\N
3563929	1008	1998-04-30	PRIJEM	\N	100	19237	UROK	\N	\N
3563930	1008	1998-05-31	PRIJEM	\N	88	20501	UROK	\N	\N
3563931	1008	1998-06-30	PRIJEM	\N	97	22694	UROK	\N	\N
3563932	1008	1998-07-31	PRIJEM	\N	103	20494	UROK	\N	\N
3563933	1008	1998-08-31	PRIJEM	\N	86	17136	UROK	\N	\N
3563934	1008	1998-09-30	PRIJEM	\N	73	13805	UROK	\N	\N
3563935	1008	1998-10-31	PRIJEM	\N	71	17072	UROK	\N	\N
3563936	1008	1998-11-30	PRIJEM	\N	78	20347	UROK	\N	\N
3563937	1008	1998-12-31	PRIJEM	\N	86	19409	UROK	\N	\N
3563938	1009	1995-08-31	PRIJEM	\N	125	44814	UROK	\N	\N
3563939	1009	1995-09-30	PRIJEM	\N	144	78347	UROK	\N	\N
3563940	1009	1995-10-31	PRIJEM	\N	223	62958	UROK	\N	\N
3563941	1009	1995-11-30	PRIJEM	\N	263	69910	UROK	\N	\N
3563942	1009	1995-12-31	PRIJEM	\N	316	51460	UROK	\N	\N
3563943	1009	1996-01-31	PRIJEM	\N	178	34080	UROK	\N	\N
3563944	1009	1996-02-29	PRIJEM	\N	233	50051	UROK	\N	\N
3563945	1009	1996-03-31	PRIJEM	\N	232	43736	UROK	\N	\N
3563946	1009	1996-04-30	PRIJEM	\N	258	51932	UROK	\N	\N
3563947	1009	1996-05-31	PRIJEM	\N	296	55066	UROK	\N	\N
3563948	1009	1996-06-30	PRIJEM	\N	200	26344	UROK	\N	\N
3563949	1009	1996-07-31	PRIJEM	\N	180	42963	UROK	\N	\N
3563950	1009	1996-08-31	PRIJEM	\N	246	33532	UROK	\N	\N
3563951	1009	1996-09-30	PRIJEM	\N	197	38147	UROK	\N	\N
3563952	1009	1996-10-31	PRIJEM	\N	237	37717	UROK	\N	\N
3563953	1009	1996-11-30	PRIJEM	\N	236	53691	UROK	\N	\N
3563954	1009	1996-12-31	PRIJEM	\N	314	54588	UROK	\N	\N
3563955	1009	1997-01-31	PRIJEM	\N	237	29263	UROK	\N	\N
3563956	1009	1997-02-28	PRIJEM	\N	166	34630	UROK	\N	\N
3563957	1009	1997-03-31	PRIJEM	\N	191	40005	UROK	\N	\N
3563958	1009	1997-04-30	PRIJEM	\N	243	56887	UROK	\N	\N
3563959	1009	1997-05-31	PRIJEM	\N	261	54386	UROK	\N	\N
3563960	1009	1997-06-30	PRIJEM	\N	291	63854	UROK	\N	\N
3563961	1009	1997-07-31	PRIJEM	\N	321	68013	UROK	\N	\N
3563962	1009	1997-08-31	PRIJEM	\N	327	66877	UROK	\N	\N
3563963	1009	1997-09-30	PRIJEM	\N	316	64131	UROK	\N	\N
3563964	1009	1997-10-31	PRIJEM	\N	290	56810	UROK	\N	\N
3563965	1009	1997-11-30	PRIJEM	\N	252	46395	UROK	\N	\N
3563966	1009	1997-12-31	PRIJEM	\N	298	66976	UROK	\N	\N
3563967	1009	1998-01-31	PRIJEM	\N	261	24675	UROK	\N	\N
3563968	1009	1998-02-28	PRIJEM	\N	157	40649	UROK	\N	\N
3563969	1009	1998-03-31	PRIJEM	\N	233	57020	UROK	\N	\N
3563970	1009	1998-04-30	PRIJEM	\N	279	63437	UROK	\N	\N
3563971	1009	1998-05-31	PRIJEM	\N	288	61362	UROK	\N	\N
3563972	1009	1998-06-30	PRIJEM	\N	254	63500	UROK	\N	\N
3563973	1009	1998-07-31	PRIJEM	\N	290	65028	UROK	\N	\N
3563974	1009	1998-08-31	PRIJEM	\N	294	67760	UROK	\N	\N
3563975	1009	1998-09-30	PRIJEM	\N	236	54757	UROK	\N	\N
3563976	1009	1998-10-31	PRIJEM	\N	205	35172	UROK	\N	\N
3563977	1009	1998-11-30	PRIJEM	\N	159	30569	UROK	\N	\N
3563978	1009	1998-12-31	PRIJEM	\N	291	89743	UROK	\N	\N
3563979	1011	1995-01-31	PRIJEM	\N	49	22952	UROK	\N	\N
3563980	1011	1995-02-28	PRIJEM	\N	115	32470	UROK	\N	\N
3563981	1011	1995-03-31	PRIJEM	\N	145	37719	UROK	\N	\N
3563982	1011	1995-04-30	PRIJEM	\N	166	42188	UROK	\N	\N
3563983	1011	1995-05-31	PRIJEM	\N	178	40883	UROK	\N	\N
3563984	1011	1995-06-30	PRIJEM	\N	186	32634	UROK	\N	\N
3563985	1011	1995-07-31	PRIJEM	\N	157	39795	UROK	\N	\N
3563986	1011	1995-08-31	PRIJEM	\N	173	39972	UROK	\N	\N
3563987	1011	1995-09-30	PRIJEM	\N	156	31003	UROK	\N	\N
3563988	1011	1995-10-31	PRIJEM	\N	121	25959	UROK	\N	\N
3563989	1011	1995-11-30	PRIJEM	\N	126	18988	UROK	\N	\N
3563990	1011	1995-12-31	PRIJEM	\N	121	30014	UROK	\N	\N
3563991	1011	1996-01-31	PRIJEM	\N	117	21734	UROK	\N	\N
3563992	1011	1996-02-29	PRIJEM	\N	132	29169	UROK	\N	\N
3563993	1011	1996-03-31	PRIJEM	\N	118	26091	UROK	\N	\N
3563994	1011	1996-04-30	PRIJEM	\N	148	28241	UROK	\N	\N
3563995	1011	1996-05-31	PRIJEM	\N	166	37810	UROK	\N	\N
3563996	1011	1996-06-30	PRIJEM	\N	241	62855	UROK	\N	\N
3563997	1011	1996-07-31	PRIJEM	\N	265	60212	UROK	\N	\N
3563998	1011	1996-08-31	PRIJEM	\N	267	65182	UROK	\N	\N
3563999	1011	1996-09-30	PRIJEM	\N	247	47744	UROK	\N	\N
3564000	1011	1996-10-31	PRIJEM	\N	226	56573	UROK	\N	\N
3564001	1011	1996-11-30	PRIJEM	\N	223	53699	UROK	\N	\N
3564002	1011	1996-12-31	PRIJEM	\N	274	68876	UROK	\N	\N
3564003	1011	1997-01-31	PRIJEM	\N	222	40401	UROK	\N	\N
3564004	1011	1997-02-28	PRIJEM	\N	208	50312	UROK	\N	\N
3564005	1011	1997-03-31	PRIJEM	\N	267	63782	UROK	\N	\N
3564006	1011	1997-04-30	PRIJEM	\N	275	63960	UROK	\N	\N
3564007	1011	1997-05-31	PRIJEM	\N	295	70558	UROK	\N	\N
3564008	1011	1997-06-30	PRIJEM	\N	320	70982	UROK	\N	\N
3564009	1011	1997-07-31	PRIJEM	\N	301	72585	UROK	\N	\N
3564010	1011	1997-08-31	PRIJEM	\N	319	78207	UROK	\N	\N
3564011	1011	1997-09-30	PRIJEM	\N	352	84161	UROK	\N	\N
3564012	1011	1997-10-31	PRIJEM	\N	353	85117	UROK	\N	\N
3564013	1011	1997-11-30	PRIJEM	\N	373	85393	UROK	\N	\N
3564014	1011	1997-12-31	PRIJEM	\N	327	71924	UROK	\N	\N
3564015	1011	1998-01-31	PRIJEM	\N	236	46863	UROK	\N	\N
3564016	1011	1998-02-28	PRIJEM	\N	234	57000	UROK	\N	\N
3564017	1011	1998-03-31	PRIJEM	\N	259	64962	UROK	\N	\N
3564018	1011	1998-04-30	PRIJEM	\N	270	69535	UROK	\N	\N
3564019	1011	1998-05-31	PRIJEM	\N	316	68454	UROK	\N	\N
3564020	1011	1998-06-30	PRIJEM	\N	317	70275	UROK	\N	\N
3564021	1011	1998-07-31	PRIJEM	\N	329	73707	UROK	\N	\N
3564022	1011	1998-08-31	PRIJEM	\N	258	53174	UROK	\N	\N
3564023	1011	1998-09-30	PRIJEM	\N	257	61234	UROK	\N	\N
3564024	1011	1998-10-31	PRIJEM	\N	265	62309	UROK	\N	\N
3564025	1011	1998-11-30	PRIJEM	\N	268	63580	UROK	\N	\N
3564026	1011	1998-12-31	PRIJEM	\N	256	56594	UROK	\N	\N
3564027	1013	1996-10-31	PRIJEM	\N	38	12607	UROK	\N	\N
3564028	1013	1996-11-30	PRIJEM	\N	56	13688	UROK	\N	\N
3564029	1013	1996-12-31	PRIJEM	\N	59	14324	UROK	\N	\N
3564030	1013	1997-01-31	PRIJEM	\N	57	12498	UROK	\N	\N
3564031	1013	1997-02-28	PRIJEM	\N	55	13579	UROK	\N	\N
3564032	1013	1997-03-31	PRIJEM	\N	60	14665	UROK	\N	\N
3564033	1013	1997-04-30	PRIJEM	\N	64	15756	UROK	\N	\N
3564034	1013	1997-05-31	PRIJEM	\N	69	16851	UROK	\N	\N
3564035	1013	1997-06-30	PRIJEM	\N	63	13110	UROK	\N	\N
3564036	1013	1997-07-31	PRIJEM	\N	58	14194	UROK	\N	\N
3564037	1013	1997-08-31	PRIJEM	\N	56	13026	UROK	\N	\N
3564038	1013	1997-09-30	PRIJEM	\N	57	14110	UROK	\N	\N
3564039	1013	1997-10-31	PRIJEM	\N	62	15198	UROK	\N	\N
3564040	1013	1997-11-30	PRIJEM	\N	62	15327	UROK	\N	\N
3564041	1013	1997-12-31	PRIJEM	\N	65	15158	UROK	\N	\N
3564042	1013	1998-01-31	PRIJEM	\N	60	13125	UROK	\N	\N
3564043	1013	1998-02-28	PRIJEM	\N	58	14209	UROK	\N	\N
3564044	1013	1998-03-31	PRIJEM	\N	62	15297	UROK	\N	\N
3564045	1013	1998-04-30	PRIJEM	\N	67	16390	UROK	\N	\N
3564046	1013	1998-05-31	PRIJEM	\N	71	17488	UROK	\N	\N
3564047	1013	1998-06-30	PRIJEM	\N	76	18590	UROK	\N	\N
3564048	1013	1998-07-31	PRIJEM	\N	80	19696	UROK	\N	\N
3564049	1013	1998-08-31	PRIJEM	\N	85	20808	UROK	\N	\N
3564050	1013	1998-09-30	PRIJEM	\N	88	21502	UROK	\N	\N
3564051	1013	1998-10-31	PRIJEM	\N	92	22621	UROK	\N	\N
3564052	1013	1998-11-30	PRIJEM	\N	97	23745	UROK	\N	\N
3564053	1013	1998-12-31	PRIJEM	\N	99	23280	UROK	\N	\N
3564054	1015	1997-07-31	PRIJEM	\N	46	18834	UROK	\N	\N
3564055	1015	1997-08-31	PRIJEM	\N	98	26519	UROK	\N	\N
3564056	1015	1997-09-30	PRIJEM	\N	119	30027	UROK	\N	\N
3564057	1015	1997-10-31	PRIJEM	\N	121	28535	UROK	\N	\N
3564058	1015	1997-11-30	PRIJEM	\N	123	30121	UROK	\N	\N
3564059	1015	1997-12-31	PRIJEM	\N	112	25026	UROK	\N	\N
3564060	1015	1998-01-31	PRIJEM	\N	67	13041	UROK	\N	\N
3564061	1015	1998-02-28	PRIJEM	\N	57	13647	UROK	\N	\N
3564062	1015	1998-03-31	PRIJEM	\N	57	13852	UROK	\N	\N
3564063	1015	1998-04-30	PRIJEM	\N	61	14862	UROK	\N	\N
3564064	1015	1998-05-31	PRIJEM	\N	79	20389	UROK	\N	\N
3564065	1015	1998-06-30	PRIJEM	\N	91	22072	UROK	\N	\N
3564066	1015	1998-07-31	PRIJEM	\N	83	18803	UROK	\N	\N
3564067	1015	1998-08-31	PRIJEM	\N	55	9806	UROK	\N	\N
3564068	1015	1998-09-30	PRIJEM	\N	46	11801	UROK	\N	\N
3564069	1015	1998-10-31	PRIJEM	\N	55	13204	UROK	\N	\N
3564070	1015	1998-11-30	PRIJEM	\N	65	15917	UROK	\N	\N
3564071	1015	1998-12-31	PRIJEM	\N	75	14184	UROK	\N	\N
3564072	1016	1993-10-31	PRIJEM	\N	9	23340	UROK	\N	\N
3564073	1016	1993-11-30	PRIJEM	\N	102	35774	UROK	\N	\N
3564074	1016	1993-12-31	PRIJEM	\N	154	45874	UROK	\N	\N
3564075	1016	1994-01-31	PRIJEM	\N	192	47697	UROK	\N	\N
3564076	1016	1994-02-28	PRIJEM	\N	197	44724	UROK	\N	\N
3564077	1016	1994-03-31	PRIJEM	\N	209	43375	UROK	\N	\N
3564078	1016	1994-04-30	PRIJEM	\N	209	45127	UROK	\N	\N
3564079	1016	1994-05-31	PRIJEM	\N	215	45684	UROK	\N	\N
3564080	1016	1994-06-30	PRIJEM	\N	171	37712	UROK	\N	\N
3564081	1016	1994-07-31	PRIJEM	\N	174	36229	UROK	\N	\N
3564082	1016	1994-08-31	PRIJEM	\N	175	37846	UROK	\N	\N
3564083	1016	1994-09-30	PRIJEM	\N	180	40069	UROK	\N	\N
3564084	1016	1994-10-31	PRIJEM	\N	180	38991	UROK	\N	\N
3564085	1016	1994-11-30	PRIJEM	\N	184	42418	UROK	\N	\N
3564086	1016	1994-12-31	PRIJEM	\N	213	48788	UROK	\N	\N
3564087	1016	1995-01-31	PRIJEM	\N	191	38522	UROK	\N	\N
3564088	1016	1995-02-28	PRIJEM	\N	183	45347	UROK	\N	\N
3564089	1016	1995-03-31	PRIJEM	\N	208	46597	UROK	\N	\N
3564090	1016	1995-04-30	PRIJEM	\N	208	45948	UROK	\N	\N
3564091	1016	1995-05-31	PRIJEM	\N	202	46292	UROK	\N	\N
3564092	1016	1995-06-30	PRIJEM	\N	182	42032	UROK	\N	\N
3564093	1016	1995-07-31	PRIJEM	\N	195	46669	UROK	\N	\N
3564094	1016	1995-08-31	PRIJEM	\N	208	48819	UROK	\N	\N
3564095	1016	1995-09-30	PRIJEM	\N	209	46270	UROK	\N	\N
3564096	1016	1995-10-31	PRIJEM	\N	209	50822	UROK	\N	\N
3564097	1016	1995-11-30	PRIJEM	\N	217	50180	UROK	\N	\N
3564098	1016	1995-12-31	PRIJEM	\N	219	52457	UROK	\N	\N
3564099	1016	1996-01-31	PRIJEM	\N	204	37803	UROK	\N	\N
3564100	1016	1996-02-29	PRIJEM	\N	170	43415	UROK	\N	\N
3564101	1016	1996-03-31	PRIJEM	\N	192	47149	UROK	\N	\N
3564102	1016	1996-04-30	PRIJEM	\N	205	49597	UROK	\N	\N
3564103	1016	1996-05-31	PRIJEM	\N	221	55960	UROK	\N	\N
3564104	1016	1996-06-30	PRIJEM	\N	210	42827	UROK	\N	\N
3564105	1016	1996-07-31	PRIJEM	\N	199	52468	UROK	\N	\N
3564106	1016	1996-08-31	PRIJEM	\N	253	56864	UROK	\N	\N
3564107	1016	1996-09-30	PRIJEM	\N	276	75082	UROK	\N	\N
3564108	1016	1996-10-31	PRIJEM	\N	327	83351	UROK	\N	\N
3564109	1016	1996-11-30	PRIJEM	\N	343	85337	UROK	\N	\N
3564110	1016	1996-12-31	PRIJEM	\N	387	101681	UROK	\N	\N
3564111	1016	1997-01-31	PRIJEM	\N	383	89907	UROK	\N	\N
3564112	1016	1997-02-28	PRIJEM	\N	360	90709	UROK	\N	\N
3564113	1016	1997-03-31	PRIJEM	\N	374	93626	UROK	\N	\N
3564114	1016	1997-04-30	PRIJEM	\N	376	92544	UROK	\N	\N
3564115	1016	1997-05-31	PRIJEM	\N	375	86461	UROK	\N	\N
3564116	1016	1997-06-30	PRIJEM	\N	343	78461	UROK	\N	\N
3564117	1016	1997-07-31	PRIJEM	\N	331	85135	UROK	\N	\N
3564118	1016	1997-08-31	PRIJEM	\N	354	90631	UROK	\N	\N
3564119	1016	1997-09-30	PRIJEM	\N	363	90635	UROK	\N	\N
3564120	1016	1997-10-31	PRIJEM	\N	381	97759	UROK	\N	\N
3564121	1016	1997-11-30	PRIJEM	\N	395	99896	UROK	\N	\N
3564122	1016	1997-12-31	PRIJEM	\N	426	110580	UROK	\N	\N
3564123	1016	1998-01-31	PRIJEM	\N	383	86605	UROK	\N	\N
3564124	1016	1998-02-28	PRIJEM	\N	367	95514	UROK	\N	\N
3564125	1016	1998-03-31	PRIJEM	\N	378	95235	UROK	\N	\N
3564126	1016	1998-04-30	PRIJEM	\N	389	99266	UROK	\N	\N
3564127	1016	1998-05-31	PRIJEM	\N	396	100105	UROK	\N	\N
3564128	1016	1998-06-30	PRIJEM	\N	410	83672	UROK	\N	\N
3564129	1016	1998-07-31	PRIJEM	\N	362	94676	UROK	\N	\N
3564130	1016	1998-08-31	PRIJEM	\N	386	98705	UROK	\N	\N
3564131	1016	1998-09-30	PRIJEM	\N	399	101546	UROK	\N	\N
3564132	1016	1998-10-31	PRIJEM	\N	418	106807	UROK	\N	\N
3564133	1016	1998-11-30	PRIJEM	\N	422	106472	UROK	\N	\N
3564134	1016	1998-12-31	PRIJEM	\N	456	119385	UROK	\N	\N
3564135	1017	1994-09-30	PRIJEM	\N	67	22925	UROK	\N	\N
3564136	1017	1994-10-31	PRIJEM	\N	122	31904	UROK	\N	\N
3564137	1017	1994-11-30	PRIJEM	\N	197	36560	UROK	\N	\N
3564138	1017	1994-12-31	PRIJEM	\N	268	47965	UROK	\N	\N
3564139	1017	1995-01-31	PRIJEM	\N	212	34843	UROK	\N	\N
3564140	1017	1995-02-28	PRIJEM	\N	160	42178	UROK	\N	\N
3564141	1017	1995-03-31	PRIJEM	\N	170	40422	UROK	\N	\N
3564142	1017	1995-04-30	PRIJEM	\N	188	47485	UROK	\N	\N
3564143	1017	1995-05-31	PRIJEM	\N	211	52270	UROK	\N	\N
3564144	1017	1995-06-30	PRIJEM	\N	194	49917	UROK	\N	\N
3564145	1017	1995-07-31	PRIJEM	\N	216	53707	UROK	\N	\N
3564146	1017	1995-08-31	PRIJEM	\N	215	53296	UROK	\N	\N
3564147	1017	1995-09-30	PRIJEM	\N	221	55591	UROK	\N	\N
3564148	1017	1995-10-31	PRIJEM	\N	231	55097	UROK	\N	\N
3564149	1017	1995-11-30	PRIJEM	\N	224	56295	UROK	\N	\N
3564150	1017	1995-12-31	PRIJEM	\N	250	63198	UROK	\N	\N
3564151	1017	1996-01-31	PRIJEM	\N	201	44674	UROK	\N	\N
3564152	1017	1996-02-29	PRIJEM	\N	194	49642	UROK	\N	\N
3564153	1017	1996-03-31	PRIJEM	\N	216	54332	UROK	\N	\N
3564154	1017	1996-04-30	PRIJEM	\N	220	55527	UROK	\N	\N
3564155	1017	1996-05-31	PRIJEM	\N	214	55115	UROK	\N	\N
3564156	1017	1996-06-30	PRIJEM	\N	257	61325	UROK	\N	\N
3564157	1017	1996-07-31	PRIJEM	\N	240	60640	UROK	\N	\N
3564158	1017	1996-08-31	PRIJEM	\N	220	43334	UROK	\N	\N
3564159	1017	1996-09-30	PRIJEM	\N	225	44434	UROK	\N	\N
3564160	1017	1996-10-31	PRIJEM	\N	226	40934	UROK	\N	\N
3564161	1017	1996-11-30	PRIJEM	\N	213	41721	UROK	\N	\N
3564162	1017	1996-12-31	PRIJEM	\N	237	48211	UROK	\N	\N
3564163	1017	1997-01-31	PRIJEM	\N	213	35199	UROK	\N	\N
3564164	1017	1997-02-28	PRIJEM	\N	188	38461	UROK	\N	\N
3564165	1017	1997-03-31	PRIJEM	\N	198	39234	UROK	\N	\N
3564166	1017	1997-04-30	PRIJEM	\N	203	40111	UROK	\N	\N
3564167	1017	1997-05-31	PRIJEM	\N	204	39290	UROK	\N	\N
3564168	1017	1997-06-30	PRIJEM	\N	210	41453	UROK	\N	\N
3564169	1017	1997-07-31	PRIJEM	\N	207	39834	UROK	\N	\N
3564170	1017	1997-08-31	PRIJEM	\N	201	41709	UROK	\N	\N
3564171	1017	1997-09-30	PRIJEM	\N	206	42290	UROK	\N	\N
3564172	1017	1997-10-31	PRIJEM	\N	208	43272	UROK	\N	\N
3564173	1017	1997-11-30	PRIJEM	\N	209	43055	UROK	\N	\N
3564174	1017	1997-12-31	PRIJEM	\N	234	46743	UROK	\N	\N
3564175	1017	1998-01-31	PRIJEM	\N	204	36121	UROK	\N	\N
3564176	1017	1998-02-28	PRIJEM	\N	179	38275	UROK	\N	\N
3564177	1017	1998-03-31	PRIJEM	\N	189	39438	UROK	\N	\N
3564178	1017	1998-04-30	PRIJEM	\N	190	38702	UROK	\N	\N
3564179	1017	1998-05-31	PRIJEM	\N	185	35061	UROK	\N	\N
3564180	1017	1998-06-30	PRIJEM	\N	196	41510	UROK	\N	\N
3564181	1017	1998-07-31	PRIJEM	\N	181	33666	UROK	\N	\N
3564182	1017	1998-08-31	PRIJEM	\N	152	28792	UROK	\N	\N
3564183	1017	1998-09-30	PRIJEM	\N	139	28905	UROK	\N	\N
3564184	1017	1998-10-31	PRIJEM	\N	132	26512	UROK	\N	\N
3564185	1017	1998-11-30	PRIJEM	\N	120	22806	UROK	\N	\N
3564186	1017	1998-12-31	PRIJEM	\N	164	47124	UROK	\N	\N
3564187	1018	1993-06-30	PRIJEM	\N	17	4580	UROK	\N	\N
3564188	1018	1993-07-31	PRIJEM	\N	72	19214	UROK	\N	\N
3564189	1018	1993-08-31	PRIJEM	\N	112	27989	UROK	\N	\N
3564190	1018	1993-09-30	PRIJEM	\N	133	32685	UROK	\N	\N
3564191	1018	1993-10-31	PRIJEM	\N	132	30818	UROK	\N	\N
3564192	1018	1993-11-30	PRIJEM	\N	123	29947	UROK	\N	\N
3564193	1018	1993-12-31	PRIJEM	\N	121	26485	UROK	\N	\N
3564194	1018	1994-01-31	PRIJEM	\N	109	24910	UROK	\N	\N
3564195	1018	1994-02-28	PRIJEM	\N	107	26324	UROK	\N	\N
3564196	1018	1994-03-31	PRIJEM	\N	106	26146	UROK	\N	\N
3564197	1018	1994-04-30	PRIJEM	\N	111	23203	UROK	\N	\N
3564198	1018	1994-05-31	PRIJEM	\N	99	21709	UROK	\N	\N
3564199	1018	1994-06-30	PRIJEM	\N	88	19793	UROK	\N	\N
3564200	1018	1994-07-31	PRIJEM	\N	84	20233	UROK	\N	\N
3564201	1018	1994-08-31	PRIJEM	\N	88	21627	UROK	\N	\N
3564202	1018	1994-09-30	PRIJEM	\N	95	25029	UROK	\N	\N
3564203	1018	1994-10-31	PRIJEM	\N	105	23341	UROK	\N	\N
3564204	1018	1994-11-30	PRIJEM	\N	99	22746	UROK	\N	\N
3564205	1018	1994-12-31	PRIJEM	\N	97	23340	UROK	\N	\N
3564206	1018	1995-01-31	PRIJEM	\N	96	20152	UROK	\N	\N
3564207	1018	1995-02-28	PRIJEM	\N	85	18643	UROK	\N	\N
3564208	1018	1995-03-31	PRIJEM	\N	78	16627	UROK	\N	\N
3564209	1018	1995-04-30	PRIJEM	\N	74	19498	UROK	\N	\N
3564210	1018	1995-05-31	PRIJEM	\N	87	20241	UROK	\N	\N
3564211	1018	1995-06-30	PRIJEM	\N	67	12764	UROK	\N	\N
3564212	1018	1995-07-31	PRIJEM	\N	56	13526	UROK	\N	\N
3564213	1018	1995-08-31	PRIJEM	\N	60	15293	UROK	\N	\N
3564214	1018	1995-09-30	PRIJEM	\N	61	12160	UROK	\N	\N
3564215	1018	1995-10-31	PRIJEM	\N	55	14151	UROK	\N	\N
3564216	1018	1995-11-30	PRIJEM	\N	60	14018	UROK	\N	\N
3564217	1018	1995-12-31	PRIJEM	\N	58	13382	UROK	\N	\N
3564218	1018	1996-01-31	PRIJEM	\N	53	12432	UROK	\N	\N
3564219	1018	1996-02-29	PRIJEM	\N	52	12090	UROK	\N	\N
3564220	1018	1996-03-31	PRIJEM	\N	52	12648	UROK	\N	\N
3564221	1018	1996-04-30	PRIJEM	\N	52	12107	UROK	\N	\N
3564222	1018	1996-05-31	PRIJEM	\N	53	13466	UROK	\N	\N
3564223	1018	1996-06-30	PRIJEM	\N	48	10830	UROK	\N	\N
3564224	1018	1996-07-31	PRIJEM	\N	48	12185	UROK	\N	\N
3564225	1018	1996-08-31	PRIJEM	\N	54	13545	UROK	\N	\N
3564226	1018	1996-09-30	PRIJEM	\N	58	14639	UROK	\N	\N
3564227	1018	1996-10-31	PRIJEM	\N	64	16009	UROK	\N	\N
3564228	1018	1996-11-30	PRIJEM	\N	69	17385	UROK	\N	\N
3564229	1018	1996-12-31	PRIJEM	\N	74	17896	UROK	\N	\N
3564230	1018	1997-01-31	PRIJEM	\N	70	14982	UROK	\N	\N
3564231	1018	1997-02-28	PRIJEM	\N	58	12545	UROK	\N	\N
3564232	1018	1997-03-31	PRIJEM	\N	55	13906	UROK	\N	\N
3564233	1018	1997-04-30	PRIJEM	\N	60	15273	UROK	\N	\N
3564234	1018	1997-05-31	PRIJEM	\N	66	16645	UROK	\N	\N
3564235	1018	1997-06-30	PRIJEM	\N	58	13209	UROK	\N	\N
3564236	1018	1997-07-31	PRIJEM	\N	57	14573	UROK	\N	\N
3564237	1018	1997-08-31	PRIJEM	\N	54	12633	UROK	\N	\N
3564238	1018	1997-09-30	PRIJEM	\N	55	13994	UROK	\N	\N
3564239	1018	1997-10-31	PRIJEM	\N	46	10447	UROK	\N	\N
3564240	1018	1997-11-30	PRIJEM	\N	45	11799	UROK	\N	\N
3564241	1018	1997-12-31	PRIJEM	\N	51	13156	UROK	\N	\N
3564242	1018	1998-01-31	PRIJEM	\N	54	12806	UROK	\N	\N
3564243	1018	1998-02-28	PRIJEM	\N	55	14168	UROK	\N	\N
3564244	1018	1998-03-31	PRIJEM	\N	48	10921	UROK	\N	\N
3564245	1018	1998-04-30	PRIJEM	\N	45	11173	UROK	\N	\N
3564246	1018	1998-05-31	PRIJEM	\N	48	12527	UROK	\N	\N
3564247	1018	1998-06-30	PRIJEM	\N	49	11783	UROK	\N	\N
3564248	1018	1998-07-31	PRIJEM	\N	61	15550	UROK	\N	\N
3564249	1018	1998-08-31	PRIJEM	\N	71	17187	UROK	\N	\N
3564250	1018	1998-09-30	PRIJEM	\N	78	19871	UROK	\N	\N
3564251	1018	1998-10-31	PRIJEM	\N	68	14955	UROK	\N	\N
3564252	1018	1998-11-30	PRIJEM	\N	79	19741	UROK	\N	\N
3564253	1018	1998-12-31	PRIJEM	\N	91	22388	UROK	\N	\N
3564254	1019	1993-02-28	PRIJEM	\N	33	24979	UROK	\N	\N
3564255	1019	1993-03-31	PRIJEM	\N	118	35243	UROK	\N	\N
3564256	1019	1993-04-30	PRIJEM	\N	156	42345	UROK	\N	\N
3564257	1019	1993-05-31	PRIJEM	\N	175	41566	UROK	\N	\N
3564258	1019	1993-06-30	PRIJEM	\N	206	44256	UROK	\N	\N
3564259	1019	1993-07-31	PRIJEM	\N	197	41720	UROK	\N	\N
3564260	1019	1993-08-31	PRIJEM	\N	178	38745	UROK	\N	\N
3564261	1019	1993-09-30	PRIJEM	\N	174	37787	UROK	\N	\N
3564262	1019	1993-10-31	PRIJEM	\N	159	34573	UROK	\N	\N
3564263	1019	1993-11-30	PRIJEM	\N	150	32170	UROK	\N	\N
3564264	1019	1993-12-31	PRIJEM	\N	150	30980	UROK	\N	\N
3564265	1019	1994-01-31	PRIJEM	\N	99	17846	UROK	\N	\N
3564266	1019	1994-02-28	PRIJEM	\N	100	24394	UROK	\N	\N
3564267	1019	1994-03-31	PRIJEM	\N	114	27515	UROK	\N	\N
3564268	1019	1994-04-30	PRIJEM	\N	139	34022	UROK	\N	\N
3564269	1019	1994-05-31	PRIJEM	\N	146	31495	UROK	\N	\N
3564270	1019	1994-06-30	PRIJEM	\N	151	28527	UROK	\N	\N
3564271	1019	1994-07-31	PRIJEM	\N	130	29324	UROK	\N	\N
3564272	1019	1994-08-31	PRIJEM	\N	134	31126	UROK	\N	\N
3564273	1019	1994-09-30	PRIJEM	\N	130	26843	UROK	\N	\N
3564274	1019	1994-10-31	PRIJEM	\N	124	29335	UROK	\N	\N
3564275	1019	1994-11-30	PRIJEM	\N	131	30733	UROK	\N	\N
3564276	1019	1994-12-31	PRIJEM	\N	154	36808	UROK	\N	\N
3564277	1019	1995-01-31	PRIJEM	\N	123	21138	UROK	\N	\N
3564278	1019	1995-02-28	PRIJEM	\N	109	27215	UROK	\N	\N
3564279	1019	1995-03-31	PRIJEM	\N	123	29205	UROK	\N	\N
3564280	1019	1995-04-30	PRIJEM	\N	125	29158	UROK	\N	\N
3564281	1019	1995-05-31	PRIJEM	\N	132	31957	UROK	\N	\N
3564282	1019	1995-06-30	PRIJEM	\N	156	36554	UROK	\N	\N
3564283	1019	1995-07-31	PRIJEM	\N	143	31884	UROK	\N	\N
3564284	1019	1995-08-31	PRIJEM	\N	123	28674	UROK	\N	\N
3564285	1019	1995-09-30	PRIJEM	\N	144	36846	UROK	\N	\N
3564286	1019	1995-10-31	PRIJEM	\N	185	46997	UROK	\N	\N
3564287	1019	1995-11-30	PRIJEM	\N	204	50169	UROK	\N	\N
3564288	1019	1995-12-31	PRIJEM	\N	222	53451	UROK	\N	\N
3564289	1019	1996-01-31	PRIJEM	\N	181	25719	UROK	\N	\N
3564290	1019	1996-02-29	PRIJEM	\N	149	39736	UROK	\N	\N
3564291	1019	1996-03-31	PRIJEM	\N	163	39207	UROK	\N	\N
3564292	1019	1996-04-30	PRIJEM	\N	163	38937	UROK	\N	\N
3564293	1019	1996-05-31	PRIJEM	\N	180	45084	UROK	\N	\N
3564294	1019	1996-06-30	PRIJEM	\N	198	36662	UROK	\N	\N
3564295	1019	1996-07-31	PRIJEM	\N	173	43602	UROK	\N	\N
3564296	1019	1996-08-31	PRIJEM	\N	171	38360	UROK	\N	\N
3564297	1019	1996-09-30	PRIJEM	\N	180	44168	UROK	\N	\N
3564298	1019	1996-10-31	PRIJEM	\N	198	49333	UROK	\N	\N
3564299	1019	1996-11-30	PRIJEM	\N	209	51309	UROK	\N	\N
3564300	1019	1996-12-31	PRIJEM	\N	228	52657	UROK	\N	\N
3564301	1019	1997-01-31	PRIJEM	\N	177	32101	UROK	\N	\N
3564302	1019	1997-02-28	PRIJEM	\N	163	42632	UROK	\N	\N
3564303	1019	1997-03-31	PRIJEM	\N	200	50799	UROK	\N	\N
3564304	1019	1997-04-30	PRIJEM	\N	220	56487	UROK	\N	\N
3564305	1019	1997-05-31	PRIJEM	\N	205	41959	UROK	\N	\N
3564306	1019	1997-06-30	PRIJEM	\N	224	41163	UROK	\N	\N
3564307	1019	1997-07-31	PRIJEM	\N	194	38645	UROK	\N	\N
3564308	1019	1997-08-31	PRIJEM	\N	187	41599	UROK	\N	\N
3564309	1019	1997-09-30	PRIJEM	\N	194	41760	UROK	\N	\N
3564310	1019	1997-10-31	PRIJEM	\N	194	39222	UROK	\N	\N
3564311	1019	1997-11-30	PRIJEM	\N	181	38110	UROK	\N	\N
3564312	1019	1997-12-31	PRIJEM	\N	197	41167	UROK	\N	\N
3564313	1019	1998-01-31	PRIJEM	\N	142	23436	UROK	\N	\N
3564314	1019	1998-02-28	PRIJEM	\N	119	24422	UROK	\N	\N
3564315	1019	1998-03-31	PRIJEM	\N	121	27751	UROK	\N	\N
3564316	1019	1998-04-30	PRIJEM	\N	136	27854	UROK	\N	\N
3564317	1019	1998-05-31	PRIJEM	\N	132	22433	UROK	\N	\N
3564318	1019	1998-06-30	PRIJEM	\N	140	30613	UROK	\N	\N
3564319	1019	1998-07-31	PRIJEM	\N	151	36331	UROK	\N	\N
3564320	1019	1998-08-31	PRIJEM	\N	173	41372	UROK	\N	\N
3564321	1019	1998-09-30	PRIJEM	\N	183	38022	UROK	\N	\N
3564322	1019	1998-10-31	PRIJEM	\N	172	37861	UROK	\N	\N
3564323	1019	1998-11-30	PRIJEM	\N	172	39001	UROK	\N	\N
3564324	1019	1998-12-31	PRIJEM	\N	216	56757	UROK	\N	\N
3564325	1020	1996-04-30	PRIJEM	\N	12	4096	UROK	\N	\N
3564326	1020	1996-05-31	PRIJEM	\N	47	14127	UROK	\N	\N
3564327	1020	1996-06-30	PRIJEM	\N	79	21190	UROK	\N	\N
3564328	1020	1996-07-31	PRIJEM	\N	106	27280	UROK	\N	\N
3564329	1020	1996-08-31	PRIJEM	\N	118	28776	UROK	\N	\N
3564330	1020	1996-09-30	PRIJEM	\N	120	28677	UROK	\N	\N
3564331	1020	1996-10-31	PRIJEM	\N	113	26870	UROK	\N	\N
3564332	1020	1996-11-30	PRIJEM	\N	123	30473	UROK	\N	\N
3564333	1020	1996-12-31	PRIJEM	\N	117	27390	UROK	\N	\N
3564334	1020	1997-01-31	PRIJEM	\N	95	20855	UROK	\N	\N
3564335	1020	1997-02-28	PRIJEM	\N	85	20521	UROK	\N	\N
3564336	1020	1997-03-31	PRIJEM	\N	77	17978	UROK	\N	\N
3564337	1020	1997-04-30	PRIJEM	\N	79	19537	UROK	\N	\N
3564338	1020	1997-05-31	PRIJEM	\N	80	18638	UROK	\N	\N
3564339	1020	1997-06-30	PRIJEM	\N	75	16734	UROK	\N	\N
3564340	1020	1997-07-31	PRIJEM	\N	67	15981	UROK	\N	\N
3564341	1020	1997-08-31	PRIJEM	\N	65	15646	UROK	\N	\N
3564342	1020	1997-09-30	PRIJEM	\N	63	15310	UROK	\N	\N
3564343	1020	1997-10-31	PRIJEM	\N	60	14650	UROK	\N	\N
3564344	1020	1997-11-30	PRIJEM	\N	49	12280	UROK	\N	\N
3564345	1020	1997-12-31	PRIJEM	\N	50	12511	UROK	\N	\N
3564346	1020	1998-01-31	PRIJEM	\N	54	12855	UROK	\N	\N
3564347	1020	1998-02-28	PRIJEM	\N	56	13891	UROK	\N	\N
3564348	1020	1998-03-31	PRIJEM	\N	60	14931	UROK	\N	\N
3564349	1020	1998-04-30	PRIJEM	\N	62	14563	UROK	\N	\N
3564350	1020	1998-05-31	PRIJEM	\N	62	15336	UROK	\N	\N
3564351	1020	1998-06-30	PRIJEM	\N	66	16382	UROK	\N	\N
3564352	1020	1998-07-31	PRIJEM	\N	71	17433	UROK	\N	\N
3564353	1020	1998-08-31	PRIJEM	\N	75	18488	UROK	\N	\N
3564354	1020	1998-09-30	PRIJEM	\N	79	19548	UROK	\N	\N
3564355	1020	1998-10-31	PRIJEM	\N	77	18325	UROK	\N	\N
3564356	1020	1998-11-30	PRIJEM	\N	77	18692	UROK	\N	\N
3564357	1020	1998-12-31	PRIJEM	\N	80	19422	UROK	\N	\N
3564358	1021	1997-04-30	PRIJEM	\N	52	15738	UROK	\N	\N
3564359	1021	1997-05-31	PRIJEM	\N	69	16923	UROK	\N	\N
3564360	1021	1997-06-30	PRIJEM	\N	64	14112	UROK	\N	\N
3564361	1021	1997-07-31	PRIJEM	\N	63	15290	UROK	\N	\N
3564362	1021	1997-08-31	PRIJEM	\N	67	16473	UROK	\N	\N
3564363	1021	1997-09-30	PRIJEM	\N	68	15526	UROK	\N	\N
3564364	1021	1997-10-31	PRIJEM	\N	68	16710	UROK	\N	\N
3564365	1021	1997-11-30	PRIJEM	\N	71	17116	UROK	\N	\N
3564366	1021	1997-12-31	PRIJEM	\N	72	16374	UROK	\N	\N
3564367	1021	1998-01-31	PRIJEM	\N	63	13022	UROK	\N	\N
3564368	1021	1998-02-28	PRIJEM	\N	58	14196	UROK	\N	\N
3564369	1021	1998-03-31	PRIJEM	\N	63	15374	UROK	\N	\N
3564370	1021	1998-04-30	PRIJEM	\N	68	16557	UROK	\N	\N
3564371	1021	1998-05-31	PRIJEM	\N	73	17745	UROK	\N	\N
3564372	1021	1998-06-30	PRIJEM	\N	77	18517	UROK	\N	\N
3564373	1021	1998-07-31	PRIJEM	\N	81	19713	UROK	\N	\N
3564374	1021	1998-08-31	PRIJEM	\N	85	20434	UROK	\N	\N
3564375	1021	1998-09-30	PRIJEM	\N	89	21638	UROK	\N	\N
3564376	1021	1998-10-31	PRIJEM	\N	94	22847	UROK	\N	\N
3564377	1021	1998-11-30	PRIJEM	\N	99	24061	UROK	\N	\N
3564378	1021	1998-12-31	PRIJEM	\N	103	24410	UROK	\N	\N
3564379	1022	1994-08-31	PRIJEM	\N	2	702	UROK	\N	\N
3564380	1022	1994-09-30	PRIJEM	\N	55	18957	UROK	\N	\N
3564381	1022	1994-10-31	PRIJEM	\N	55	20613	UROK	\N	\N
3564382	1022	1994-11-30	PRIJEM	\N	55	23068	UROK	\N	\N
3564383	1022	1994-12-31	PRIJEM	\N	55	23724	UROK	\N	\N
3564384	1022	1995-01-31	PRIJEM	\N	55	23579	UROK	\N	\N
3564385	1022	1995-02-28	PRIJEM	\N	61	32987	UROK	\N	\N
3564386	1022	1995-03-31	PRIJEM	\N	137	33524	UROK	\N	\N
3564387	1022	1995-04-30	PRIJEM	\N	146	53406	UROK	\N	\N
3564388	1022	1995-05-31	PRIJEM	\N	222	42428	UROK	\N	\N
3564389	1022	1995-06-30	PRIJEM	\N	259	54187	UROK	\N	\N
3564390	1022	1995-07-31	PRIJEM	\N	225	44811	UROK	\N	\N
3564391	1022	1995-08-31	PRIJEM	\N	211	39982	UROK	\N	\N
3564392	1022	1995-09-30	PRIJEM	\N	166	39001	UROK	\N	\N
3564393	1022	1995-10-31	PRIJEM	\N	172	41021	UROK	\N	\N
3564394	1022	1995-11-30	PRIJEM	\N	289	68443	UROK	\N	\N
3564395	1022	1995-12-31	PRIJEM	\N	200	45732	UROK	\N	\N
3564396	1022	1996-01-31	PRIJEM	\N	150	21748	UROK	\N	\N
3564397	1022	1996-02-29	PRIJEM	\N	93	36011	UROK	\N	\N
3564398	1022	1996-03-31	PRIJEM	\N	175	49211	UROK	\N	\N
3564399	1022	1996-04-30	PRIJEM	\N	194	35739	UROK	\N	\N
3564400	1022	1996-05-31	PRIJEM	\N	177	58507	UROK	\N	\N
3564401	1022	1996-06-30	PRIJEM	\N	183	44667	UROK	\N	\N
3564402	1022	1996-07-31	PRIJEM	\N	190	47303	UROK	\N	\N
3564403	1022	1996-08-31	PRIJEM	\N	208	54379	UROK	\N	\N
3564404	1022	1996-09-30	PRIJEM	\N	227	60976	UROK	\N	\N
3564405	1022	1996-10-31	PRIJEM	\N	202	40886	UROK	\N	\N
3564406	1022	1996-11-30	PRIJEM	\N	168	37687	UROK	\N	\N
3564407	1022	1996-12-31	PRIJEM	\N	163	43020	UROK	\N	\N
3564408	1022	1997-01-31	PRIJEM	\N	303	75700	UROK	\N	\N
3564409	1022	1997-02-28	PRIJEM	\N	302	91225	UROK	\N	\N
3564410	1022	1997-03-31	PRIJEM	\N	319	75204	UROK	\N	\N
3564411	1022	1997-04-30	PRIJEM	\N	218	55481	UROK	\N	\N
3564412	1022	1997-05-31	PRIJEM	\N	270	71331	UROK	\N	\N
3564413	1022	1997-06-30	PRIJEM	\N	262	40955	UROK	\N	\N
3564414	1022	1997-07-31	PRIJEM	\N	329	109583	UROK	\N	\N
3564415	1022	1997-08-31	PRIJEM	\N	376	86801	UROK	\N	\N
3564416	1022	1997-09-30	PRIJEM	\N	378	84007	UROK	\N	\N
3564417	1022	1997-10-31	PRIJEM	\N	323	109136	UROK	\N	\N
3564418	1022	1997-11-30	PRIJEM	\N	435	73515	UROK	\N	\N
3564419	1022	1997-12-31	PRIJEM	\N	240	53825	UROK	\N	\N
3564420	1022	1998-01-31	PRIJEM	\N	280	45069	UROK	\N	\N
3564421	1022	1998-02-28	PRIJEM	\N	259	69961	UROK	\N	\N
3564422	1022	1998-03-31	PRIJEM	\N	345	102298	UROK	\N	\N
3564423	1022	1998-04-30	PRIJEM	\N	326	38559	UROK	\N	\N
3564424	1022	1998-05-31	PRIJEM	\N	327	62645	UROK	\N	\N
3564425	1022	1998-06-30	PRIJEM	\N	269	67584	UROK	\N	\N
3564426	1022	1998-07-31	PRIJEM	\N	346	91912	UROK	\N	\N
3564427	1022	1998-08-31	PRIJEM	\N	344	53175	UROK	\N	\N
3564428	1022	1998-09-30	PRIJEM	\N	261	69006	UROK	\N	\N
3564429	1022	1998-10-31	PRIJEM	\N	296	100061	UROK	\N	\N
3564430	1022	1998-11-30	PRIJEM	\N	420	71301	UROK	\N	\N
3564431	1022	1998-12-31	PRIJEM	\N	326	86837	UROK	\N	\N
3564432	1024	1997-05-31	PRIJEM	\N	10	3722	UROK	\N	\N
3564433	1024	1997-06-30	PRIJEM	\N	16	6849	UROK	\N	\N
3564434	1024	1997-07-31	PRIJEM	\N	16	9976	UROK	\N	\N
3564435	1024	1997-08-31	PRIJEM	\N	16	13104	UROK	\N	\N
3564436	1024	1997-09-30	PRIJEM	\N	17	16233	UROK	\N	\N
3564437	1024	1997-10-31	PRIJEM	\N	70	17327	UROK	\N	\N
3564438	1024	1997-11-30	PRIJEM	\N	75	18425	UROK	\N	\N
3564439	1024	1997-12-31	PRIJEM	\N	76	18624	UROK	\N	\N
3564440	1024	1998-01-31	PRIJEM	\N	70	14407	UROK	\N	\N
3564441	1024	1998-02-28	PRIJEM	\N	62	15493	UROK	\N	\N
3564442	1024	1998-03-31	PRIJEM	\N	67	16584	UROK	\N	\N
3564443	1024	1998-04-30	PRIJEM	\N	72	17679	UROK	\N	\N
3564444	1024	1998-05-31	PRIJEM	\N	76	18778	UROK	\N	\N
3564445	1024	1998-06-30	PRIJEM	\N	74	17086	UROK	\N	\N
3564446	1024	1998-07-31	PRIJEM	\N	74	18183	UROK	\N	\N
3564447	1024	1998-08-31	PRIJEM	\N	78	19285	UROK	\N	\N
3564448	1024	1998-09-30	PRIJEM	\N	81	19849	UROK	\N	\N
3564449	1024	1998-10-31	PRIJEM	\N	80	18913	UROK	\N	\N
3564450	1024	1998-11-30	PRIJEM	\N	81	20017	UROK	\N	\N
3564451	1024	1998-12-31	PRIJEM	\N	84	20435	UROK	\N	\N
3564452	1026	1997-09-30	PRIJEM	\N	66	18239	UROK	\N	\N
3564453	1026	1997-10-31	PRIJEM	\N	162	42074	UROK	\N	\N
3564454	1026	1997-11-30	PRIJEM	\N	208	51455	UROK	\N	\N
3564455	1026	1997-12-31	PRIJEM	\N	274	68289	UROK	\N	\N
3564456	1026	1998-01-31	PRIJEM	\N	252	58780	UROK	\N	\N
3564457	1026	1998-02-28	PRIJEM	\N	238	58743	UROK	\N	\N
3564458	1026	1998-03-31	PRIJEM	\N	242	56909	UROK	\N	\N
3564459	1026	1998-04-30	PRIJEM	\N	229	53662	UROK	\N	\N
3564460	1026	1998-05-31	PRIJEM	\N	214	50201	UROK	\N	\N
3564461	1026	1998-06-30	PRIJEM	\N	249	62961	UROK	\N	\N
3564462	1026	1998-07-31	PRIJEM	\N	243	47228	UROK	\N	\N
3564463	1026	1998-08-31	PRIJEM	\N	224	46877	UROK	\N	\N
3564464	1026	1998-09-30	PRIJEM	\N	223	48724	UROK	\N	\N
3564465	1026	1998-10-31	PRIJEM	\N	230	49379	UROK	\N	\N
3564466	1026	1998-11-30	PRIJEM	\N	225	47028	UROK	\N	\N
3564467	1026	1998-12-31	PRIJEM	\N	243	56101	UROK	\N	\N
3564468	1027	1997-08-31	PRIJEM	\N	28	13996	UROK	\N	\N
3564469	1027	1997-09-30	PRIJEM	\N	62	15626	UROK	\N	\N
3564470	1027	1997-10-31	PRIJEM	\N	67	16561	UROK	\N	\N
3564471	1027	1997-11-30	PRIJEM	\N	76	20005	UROK	\N	\N
3564472	1027	1997-12-31	PRIJEM	\N	84	20457	UROK	\N	\N
3564473	1027	1998-01-31	PRIJEM	\N	81	17945	UROK	\N	\N
3564474	1027	1998-02-28	PRIJEM	\N	77	15258	UROK	\N	\N
3564475	1027	1998-03-31	PRIJEM	\N	59	12314	UROK	\N	\N
3564476	1027	1998-04-30	PRIJEM	\N	56	14106	UROK	\N	\N
3564477	1027	1998-05-31	PRIJEM	\N	62	15213	UROK	\N	\N
3564478	1027	1998-06-30	PRIJEM	\N	58	13437	UROK	\N	\N
3564479	1027	1998-07-31	PRIJEM	\N	60	15234	UROK	\N	\N
3564480	1027	1998-08-31	PRIJEM	\N	65	16436	UROK	\N	\N
3564481	1027	1998-09-30	PRIJEM	\N	71	17223	UROK	\N	\N
3564482	1027	1998-10-31	PRIJEM	\N	75	18045	UROK	\N	\N
3564483	1027	1998-11-30	PRIJEM	\N	79	19861	UROK	\N	\N
3564484	1027	1998-12-31	PRIJEM	\N	87	21414	UROK	\N	\N
3564485	1029	1996-07-31	PRIJEM	\N	72	27689	UROK	\N	\N
3564486	1029	1996-08-31	PRIJEM	\N	176	95709	UROK	\N	\N
3564487	1029	1996-09-30	PRIJEM	\N	285	39036	UROK	\N	\N
3564488	1029	1996-10-31	PRIJEM	\N	240	46056	UROK	\N	\N
3564489	1029	1996-11-30	PRIJEM	\N	274	50964	UROK	\N	\N
3564490	1029	1996-12-31	PRIJEM	\N	234	42255	UROK	\N	\N
3564491	1029	1997-01-31	PRIJEM	\N	210	58536	UROK	\N	\N
3564492	1029	1997-02-28	PRIJEM	\N	267	36166	UROK	\N	\N
3564493	1029	1997-03-31	PRIJEM	\N	153	35216	UROK	\N	\N
3564494	1029	1997-04-30	PRIJEM	\N	159	73106	UROK	\N	\N
3564495	1029	1997-05-31	PRIJEM	\N	240	39591	UROK	\N	\N
3564496	1029	1997-06-30	PRIJEM	\N	240	77507	UROK	\N	\N
3564497	1029	1997-07-31	PRIJEM	\N	232	31338	UROK	\N	\N
3564498	1029	1997-08-31	PRIJEM	\N	149	53562	UROK	\N	\N
3564499	1029	1997-09-30	PRIJEM	\N	300	64377	UROK	\N	\N
3564500	1029	1997-10-31	PRIJEM	\N	237	34196	UROK	\N	\N
3564501	1029	1997-11-30	PRIJEM	\N	222	76432	UROK	\N	\N
3564502	1029	1997-12-31	PRIJEM	\N	304	49015	UROK	\N	\N
3564503	1029	1998-01-31	PRIJEM	\N	131	32536	UROK	\N	\N
3564504	1029	1998-02-28	PRIJEM	\N	276	69671	UROK	\N	\N
3564505	1029	1998-03-31	PRIJEM	\N	286	77565	UROK	\N	\N
3564506	1029	1998-04-30	PRIJEM	\N	297	100837	UROK	\N	\N
3564507	1029	1998-05-31	PRIJEM	\N	424	106143	UROK	\N	\N
3564508	1029	1998-06-30	PRIJEM	\N	219	30929	UROK	\N	\N
3564509	1029	1998-07-31	PRIJEM	\N	242	92731	UROK	\N	\N
3564510	1029	1998-08-31	PRIJEM	\N	321	66260	UROK	\N	\N
3564511	1029	1998-09-30	PRIJEM	\N	257	80548	UROK	\N	\N
3564512	1029	1998-10-31	PRIJEM	\N	417	84735	UROK	\N	\N
3564513	1029	1998-11-30	PRIJEM	\N	320	86108	UROK	\N	\N
3564514	1029	1998-12-31	PRIJEM	\N	391	57892	UROK	\N	\N
3564515	1030	1996-03-31	PRIJEM	\N	68	24024	UROK	\N	\N
3564516	1030	1996-04-30	PRIJEM	\N	107	23191	UROK	\N	\N
3564517	1030	1996-05-31	PRIJEM	\N	99	23526	UROK	\N	\N
3564518	1030	1996-06-30	PRIJEM	\N	96	23157	UROK	\N	\N
3564519	1030	1996-07-31	PRIJEM	\N	99	24111	UROK	\N	\N
3564520	1030	1996-08-31	PRIJEM	\N	100	24346	UROK	\N	\N
3564521	1030	1996-09-30	PRIJEM	\N	105	25887	UROK	\N	\N
3564522	1030	1996-10-31	PRIJEM	\N	114	27536	UROK	\N	\N
3564523	1030	1996-11-30	PRIJEM	\N	121	29292	UROK	\N	\N
3564524	1030	1996-12-31	PRIJEM	\N	114	27711	UROK	\N	\N
3564525	1030	1997-01-31	PRIJEM	\N	91	16137	UROK	\N	\N
3564526	1030	1997-02-28	PRIJEM	\N	74	18947	UROK	\N	\N
3564527	1030	1997-03-31	PRIJEM	\N	94	23677	UROK	\N	\N
3564528	1030	1997-04-30	PRIJEM	\N	107	26719	UROK	\N	\N
3564529	1030	1997-05-31	PRIJEM	\N	125	31479	UROK	\N	\N
3564530	1030	1997-06-30	PRIJEM	\N	92	21887	UROK	\N	\N
3564531	1030	1997-07-31	PRIJEM	\N	105	26627	UROK	\N	\N
3564532	1030	1997-08-31	PRIJEM	\N	121	30283	UROK	\N	\N
3564533	1030	1997-09-30	PRIJEM	\N	125	29744	UROK	\N	\N
3564534	1030	1997-10-31	PRIJEM	\N	126	31325	UROK	\N	\N
3564535	1030	1997-11-30	PRIJEM	\N	138	34198	UROK	\N	\N
3564536	1030	1997-12-31	PRIJEM	\N	142	33826	UROK	\N	\N
3564537	1030	1998-01-31	PRIJEM	\N	136	27117	UROK	\N	\N
3564538	1030	1998-02-28	PRIJEM	\N	120	28113	UROK	\N	\N
3564539	1030	1998-03-31	PRIJEM	\N	132	32880	UROK	\N	\N
3564540	1030	1998-04-30	PRIJEM	\N	152	37667	UROK	\N	\N
3564541	1030	1998-05-31	PRIJEM	\N	170	39993	UROK	\N	\N
3564542	1030	1998-06-30	PRIJEM	\N	161	35269	UROK	\N	\N
3564543	1030	1998-07-31	PRIJEM	\N	161	37065	UROK	\N	\N
3564544	1030	1998-08-31	PRIJEM	\N	165	40985	UROK	\N	\N
3564545	1030	1998-09-30	PRIJEM	\N	182	42402	UROK	\N	\N
3564546	1030	1998-10-31	PRIJEM	\N	189	44727	UROK	\N	\N
3564547	1030	1998-11-30	PRIJEM	\N	195	43057	UROK	\N	\N
3564548	1030	1998-12-31	PRIJEM	\N	194	47186	UROK	\N	\N
3564549	1031	1995-07-31	PRIJEM	\N	36	22141	UROK	\N	\N
3564550	1031	1995-08-31	PRIJEM	\N	108	31254	UROK	\N	\N
3564551	1031	1995-09-30	PRIJEM	\N	144	39403	UROK	\N	\N
3564552	1031	1995-10-31	PRIJEM	\N	171	43579	UROK	\N	\N
3564553	1031	1995-11-30	PRIJEM	\N	184	40653	UROK	\N	\N
3564554	1031	1995-12-31	PRIJEM	\N	187	39519	UROK	\N	\N
3564555	1031	1996-01-31	PRIJEM	\N	147	24081	UROK	\N	\N
3564556	1031	1996-02-29	PRIJEM	\N	116	28472	UROK	\N	\N
3564557	1031	1996-03-31	PRIJEM	\N	128	29876	UROK	\N	\N
3564558	1031	1996-04-30	PRIJEM	\N	137	32788	UROK	\N	\N
3564559	1031	1996-05-31	PRIJEM	\N	150	36413	UROK	\N	\N
3564560	1031	1996-06-30	PRIJEM	\N	176	42448	UROK	\N	\N
3564561	1031	1996-07-31	PRIJEM	\N	167	36890	UROK	\N	\N
3564562	1031	1996-08-31	PRIJEM	\N	144	32210	UROK	\N	\N
3564563	1031	1996-09-30	PRIJEM	\N	133	31018	UROK	\N	\N
3564564	1031	1996-10-31	PRIJEM	\N	130	30723	UROK	\N	\N
3564565	1031	1996-11-30	PRIJEM	\N	129	29447	UROK	\N	\N
3564566	1031	1996-12-31	PRIJEM	\N	133	32099	UROK	\N	\N
3564567	1031	1997-01-31	PRIJEM	\N	97	14731	UROK	\N	\N
3564568	1031	1997-02-28	PRIJEM	\N	93	23799	UROK	\N	\N
3564569	1031	1997-03-31	PRIJEM	\N	109	24923	UROK	\N	\N
3564570	1031	1997-04-30	PRIJEM	\N	123	30422	UROK	\N	\N
3564571	1031	1997-05-31	PRIJEM	\N	131	24168	UROK	\N	\N
3564572	1031	1997-06-30	PRIJEM	\N	80	10486	UROK	\N	\N
3564573	1031	1997-07-31	PRIJEM	\N	87	23048	UROK	\N	\N
3564574	1031	1997-08-31	PRIJEM	\N	146	37970	UROK	\N	\N
3564575	1031	1997-09-30	PRIJEM	\N	175	42080	UROK	\N	\N
3564576	1031	1997-10-31	PRIJEM	\N	195	47150	UROK	\N	\N
3564577	1031	1997-11-30	PRIJEM	\N	216	50801	UROK	\N	\N
3564578	1031	1997-12-31	PRIJEM	\N	255	61734	UROK	\N	\N
3564579	1031	1998-01-31	PRIJEM	\N	199	37029	UROK	\N	\N
3564580	1031	1998-02-28	PRIJEM	\N	188	47092	UROK	\N	\N
3564581	1031	1998-03-31	PRIJEM	\N	209	47316	UROK	\N	\N
3564582	1031	1998-04-30	PRIJEM	\N	209	50000	UROK	\N	\N
3564583	1031	1998-05-31	PRIJEM	\N	220	52796	UROK	\N	\N
3564584	1031	1998-06-30	PRIJEM	\N	205	37739	UROK	\N	\N
3564585	1031	1998-07-31	PRIJEM	\N	181	44596	UROK	\N	\N
3564586	1031	1998-08-31	PRIJEM	\N	190	44381	UROK	\N	\N
3564587	1031	1998-09-30	PRIJEM	\N	191	46426	UROK	\N	\N
3564588	1031	1998-10-31	PRIJEM	\N	199	47301	UROK	\N	\N
3564589	1031	1998-11-30	PRIJEM	\N	187	42523	UROK	\N	\N
3564590	1031	1998-12-31	PRIJEM	\N	212	52733	UROK	\N	\N
3564591	1034	1997-04-30	PRIJEM	\N	20	7449	UROK	\N	\N
3564592	1034	1997-05-31	PRIJEM	\N	77	24554	UROK	\N	\N
3564593	1034	1997-06-30	PRIJEM	\N	138	38286	UROK	\N	\N
3564594	1034	1997-07-31	PRIJEM	\N	168	41683	UROK	\N	\N
3564595	1034	1997-08-31	PRIJEM	\N	177	42989	UROK	\N	\N
3564596	1034	1997-09-30	PRIJEM	\N	166	40251	UROK	\N	\N
3564597	1034	1997-10-31	PRIJEM	\N	168	41714	UROK	\N	\N
3564598	1034	1997-11-30	PRIJEM	\N	167	37836	UROK	\N	\N
3564599	1034	1997-12-31	PRIJEM	\N	159	39836	UROK	\N	\N
3564600	1034	1998-01-31	PRIJEM	\N	121	30373	UROK	\N	\N
3564601	1034	1998-02-28	PRIJEM	\N	127	26835	UROK	\N	\N
3564602	1034	1998-03-31	PRIJEM	\N	120	27050	UROK	\N	\N
3564603	1034	1998-04-30	PRIJEM	\N	117	24662	UROK	\N	\N
3564604	1034	1998-05-31	PRIJEM	\N	106	21664	UROK	\N	\N
3564605	1034	1998-06-30	PRIJEM	\N	102	21926	UROK	\N	\N
3564606	1034	1998-07-31	PRIJEM	\N	95	20116	UROK	\N	\N
3564607	1034	1998-08-31	PRIJEM	\N	87	18298	UROK	\N	\N
3564608	1034	1998-09-30	PRIJEM	\N	76	15829	UROK	\N	\N
3564609	1034	1998-10-31	PRIJEM	\N	59	14583	UROK	\N	\N
3564610	1034	1998-11-30	PRIJEM	\N	69	20448	UROK	\N	\N
3564611	1034	1998-12-31	PRIJEM	\N	97	24845	UROK	\N	\N
3564612	1035	1997-05-31	PRIJEM	\N	40	21060	UROK	\N	\N
3564613	1035	1997-06-30	PRIJEM	\N	118	37008	UROK	\N	\N
3564614	1035	1997-07-31	PRIJEM	\N	155	37683	UROK	\N	\N
3564615	1035	1997-08-31	PRIJEM	\N	160	39363	UROK	\N	\N
3564616	1035	1997-09-30	PRIJEM	\N	178	36625	UROK	\N	\N
3564617	1035	1997-10-31	PRIJEM	\N	176	38670	UROK	\N	\N
3564618	1035	1997-11-30	PRIJEM	\N	205	35244	UROK	\N	\N
3564619	1035	1997-12-31	PRIJEM	\N	178	30002	UROK	\N	\N
3564620	1035	1998-01-31	PRIJEM	\N	129	23500	UROK	\N	\N
3564621	1035	1998-02-28	PRIJEM	\N	140	33710	UROK	\N	\N
3564622	1035	1998-03-31	PRIJEM	\N	169	36447	UROK	\N	\N
3564623	1035	1998-04-30	PRIJEM	\N	182	42499	UROK	\N	\N
3564624	1035	1998-05-31	PRIJEM	\N	199	45468	UROK	\N	\N
3564625	1035	1998-06-30	PRIJEM	\N	218	42165	UROK	\N	\N
3564626	1035	1998-07-31	PRIJEM	\N	208	49342	UROK	\N	\N
3564627	1035	1998-08-31	PRIJEM	\N	221	50933	UROK	\N	\N
3564628	1035	1998-09-30	PRIJEM	\N	227	52429	UROK	\N	\N
3564629	1035	1998-10-31	PRIJEM	\N	223	49922	UROK	\N	\N
3564630	1035	1998-11-30	PRIJEM	\N	220	51211	UROK	\N	\N
3564631	1035	1998-12-31	PRIJEM	\N	245	56436	UROK	\N	\N
3564632	1036	1996-02-29	PRIJEM	\N	44	23709	UROK	\N	\N
3564633	1036	1996-03-31	PRIJEM	\N	123	36898	UROK	\N	\N
3564634	1036	1996-04-30	PRIJEM	\N	162	41224	UROK	\N	\N
3564635	1036	1996-05-31	PRIJEM	\N	178	44767	UROK	\N	\N
3564636	1036	1996-06-30	PRIJEM	\N	210	39931	UROK	\N	\N
3564637	1036	1996-07-31	PRIJEM	\N	191	46577	UROK	\N	\N
3564638	1036	1996-08-31	PRIJEM	\N	224	48657	UROK	\N	\N
3564639	1036	1996-09-30	PRIJEM	\N	205	47317	UROK	\N	\N
3564640	1036	1996-10-31	PRIJEM	\N	197	45369	UROK	\N	\N
3564641	1036	1996-11-30	PRIJEM	\N	195	46719	UROK	\N	\N
3564642	1036	1996-12-31	PRIJEM	\N	211	48069	UROK	\N	\N
3564643	1036	1997-01-31	PRIJEM	\N	202	36526	UROK	\N	\N
3564644	1036	1997-02-28	PRIJEM	\N	157	38238	UROK	\N	\N
3564645	1036	1997-03-31	PRIJEM	\N	180	45473	UROK	\N	\N
3564646	1036	1997-04-30	PRIJEM	\N	240	48369	UROK	\N	\N
3564647	1036	1997-05-31	PRIJEM	\N	206	50430	UROK	\N	\N
3564648	1036	1997-06-30	PRIJEM	\N	223	43991	UROK	\N	\N
3564649	1036	1997-07-31	PRIJEM	\N	192	46838	UROK	\N	\N
3564650	1036	1997-08-31	PRIJEM	\N	207	48301	UROK	\N	\N
3564651	1036	1997-09-30	PRIJEM	\N	205	49461	UROK	\N	\N
3564652	1036	1997-10-31	PRIJEM	\N	218	48635	UROK	\N	\N
3564653	1036	1997-11-30	PRIJEM	\N	216	52406	UROK	\N	\N
3564654	1036	1997-12-31	PRIJEM	\N	249	61594	UROK	\N	\N
3564655	1036	1998-01-31	PRIJEM	\N	227	46576	UROK	\N	\N
3564656	1036	1998-02-28	PRIJEM	\N	213	51645	UROK	\N	\N
3564657	1036	1998-03-31	PRIJEM	\N	225	54626	UROK	\N	\N
3564658	1036	1998-04-30	PRIJEM	\N	234	56215	UROK	\N	\N
3564659	1036	1998-05-31	PRIJEM	\N	212	48882	UROK	\N	\N
3564660	1036	1998-06-30	PRIJEM	\N	227	52148	UROK	\N	\N
3564661	1036	1998-07-31	PRIJEM	\N	210	49613	UROK	\N	\N
3564662	1036	1998-08-31	PRIJEM	\N	237	53205	UROK	\N	\N
3564663	1036	1998-09-30	PRIJEM	\N	261	63721	UROK	\N	\N
3564664	1036	1998-10-31	PRIJEM	\N	281	67758	UROK	\N	\N
3564665	1036	1998-11-30	PRIJEM	\N	285	69599	UROK	\N	\N
3564666	1036	1998-12-31	PRIJEM	\N	325	78262	UROK	\N	\N
3564667	1037	1997-03-31	PRIJEM	\N	35	21588	UROK	\N	\N
3564668	1037	1997-04-30	PRIJEM	\N	106	31447	UROK	\N	\N
3564669	1037	1997-05-31	PRIJEM	\N	142	37942	UROK	\N	\N
3564670	1037	1997-06-30	PRIJEM	\N	176	48398	UROK	\N	\N
3564671	1037	1997-07-31	PRIJEM	\N	212	41242	UROK	\N	\N
3564672	1037	1997-08-31	PRIJEM	\N	196	43055	UROK	\N	\N
3564673	1037	1997-09-30	PRIJEM	\N	200	43973	UROK	\N	\N
3564674	1037	1997-10-31	PRIJEM	\N	203	40893	UROK	\N	\N
3564675	1037	1997-11-30	PRIJEM	\N	203	44914	UROK	\N	\N
3564676	1037	1997-12-31	PRIJEM	\N	228	50786	UROK	\N	\N
3564677	1037	1998-01-31	PRIJEM	\N	217	47621	UROK	\N	\N
3564678	1037	1998-02-28	PRIJEM	\N	223	52361	UROK	\N	\N
3564679	1037	1998-03-31	PRIJEM	\N	235	52513	UROK	\N	\N
3564680	1037	1998-04-30	PRIJEM	\N	236	53566	UROK	\N	\N
3564681	1037	1998-05-31	PRIJEM	\N	241	55025	UROK	\N	\N
3564682	1037	1998-06-30	PRIJEM	\N	252	53321	UROK	\N	\N
3564683	1037	1998-07-31	PRIJEM	\N	245	56683	UROK	\N	\N
3564684	1037	1998-08-31	PRIJEM	\N	244	54845	UROK	\N	\N
3564685	1037	1998-09-30	PRIJEM	\N	247	58710	UROK	\N	\N
3564686	1037	1998-10-31	PRIJEM	\N	252	58579	UROK	\N	\N
3564687	1037	1998-11-30	PRIJEM	\N	253	57149	UROK	\N	\N
3564688	1037	1998-12-31	PRIJEM	\N	265	61658	UROK	\N	\N
3564689	1038	1995-09-30	PRIJEM	\N	37	12955	UROK	\N	\N
3564690	1038	1995-10-31	PRIJEM	\N	62	14077	UROK	\N	\N
3564691	1038	1995-11-30	PRIJEM	\N	60	14476	UROK	\N	\N
3564692	1038	1995-12-31	PRIJEM	\N	62	14817	UROK	\N	\N
3564693	1038	1996-01-31	PRIJEM	\N	59	12905	UROK	\N	\N
3564694	1038	1996-02-29	PRIJEM	\N	57	14021	UROK	\N	\N
3564695	1038	1996-03-31	PRIJEM	\N	62	14932	UROK	\N	\N
3564696	1038	1996-04-30	PRIJEM	\N	65	16057	UROK	\N	\N
3564697	1038	1996-05-31	PRIJEM	\N	75	17011	UROK	\N	\N
3564698	1038	1996-06-30	PRIJEM	\N	67	13547	UROK	\N	\N
3564699	1038	1996-07-31	PRIJEM	\N	59	14666	UROK	\N	\N
3564700	1038	1996-08-31	PRIJEM	\N	64	15789	UROK	\N	\N
3564701	1038	1996-09-30	PRIJEM	\N	70	15329	UROK	\N	\N
3564702	1038	1996-10-31	PRIJEM	\N	67	16455	UROK	\N	\N
3564703	1038	1996-11-30	PRIJEM	\N	73	17317	UROK	\N	\N
3564704	1038	1996-12-31	PRIJEM	\N	75	18122	UROK	\N	\N
3564705	1038	1997-01-31	PRIJEM	\N	68	15169	UROK	\N	\N
3564706	1038	1997-02-28	PRIJEM	\N	71	16299	UROK	\N	\N
3564707	1038	1997-03-31	PRIJEM	\N	75	17044	UROK	\N	\N
3564708	1038	1997-04-30	PRIJEM	\N	79	18182	UROK	\N	\N
3564709	1038	1997-05-31	PRIJEM	\N	79	19320	UROK	\N	\N
3564710	1038	1997-06-30	PRIJEM	\N	74	17004	UROK	\N	\N
3564711	1038	1997-07-31	PRIJEM	\N	79	18142	UROK	\N	\N
3564712	1038	1997-08-31	PRIJEM	\N	78	19280	UROK	\N	\N
3564713	1038	1997-09-30	PRIJEM	\N	80	19099	UROK	\N	\N
3564714	1038	1997-10-31	PRIJEM	\N	82	20240	UROK	\N	\N
3564715	1038	1997-11-30	PRIJEM	\N	87	20186	UROK	\N	\N
3564716	1038	1997-12-31	PRIJEM	\N	86	20942	UROK	\N	\N
3564717	1038	1998-01-31	PRIJEM	\N	73	15504	UROK	\N	\N
3564718	1038	1998-02-28	PRIJEM	\N	72	16636	UROK	\N	\N
3564719	1038	1998-03-31	PRIJEM	\N	70	16565	UROK	\N	\N
3564720	1038	1998-04-30	PRIJEM	\N	71	17695	UROK	\N	\N
3564721	1038	1998-05-31	PRIJEM	\N	73	17658	UROK	\N	\N
3564722	1038	1998-06-30	PRIJEM	\N	71	15608	UROK	\N	\N
3564723	1038	1998-07-31	PRIJEM	\N	73	16740	UROK	\N	\N
3564724	1038	1998-08-31	PRIJEM	\N	72	17871	UROK	\N	\N
3564725	1038	1998-09-30	PRIJEM	\N	77	19008	UROK	\N	\N
3564726	1038	1998-10-31	PRIJEM	\N	81	20148	UROK	\N	\N
3564727	1038	1998-11-30	PRIJEM	\N	86	21294	UROK	\N	\N
3564728	1038	1998-12-31	PRIJEM	\N	91	21964	UROK	\N	\N
3564729	1039	1993-05-31	PRIJEM	\N	39	32477	UROK	\N	\N
3564730	1039	1993-06-30	PRIJEM	\N	135	26512	UROK	\N	\N
3564731	1039	1993-07-31	PRIJEM	\N	135	23148	UROK	\N	\N
3564732	1039	1993-08-31	PRIJEM	\N	135	25583	UROK	\N	\N
3564733	1039	1993-09-30	PRIJEM	\N	148	44126	UROK	\N	\N
3564734	1039	1993-10-31	PRIJEM	\N	196	57247	UROK	\N	\N
3564735	1039	1993-11-30	PRIJEM	\N	236	55370	UROK	\N	\N
3564736	1039	1993-12-31	PRIJEM	\N	230	42100	UROK	\N	\N
3564737	1039	1994-01-31	PRIJEM	\N	240	58262	UROK	\N	\N
3564738	1039	1994-02-28	PRIJEM	\N	236	51634	UROK	\N	\N
3564739	1039	1994-03-31	PRIJEM	\N	242	76794	UROK	\N	\N
3564740	1039	1994-04-30	PRIJEM	\N	317	54180	UROK	\N	\N
3564741	1039	1994-05-31	PRIJEM	\N	343	100326	UROK	\N	\N
3564742	1039	1994-06-30	PRIJEM	\N	313	81732	UROK	\N	\N
3564743	1039	1994-07-31	PRIJEM	\N	353	108347	UROK	\N	\N
3564744	1039	1994-08-31	PRIJEM	\N	284	63513	UROK	\N	\N
3564745	1039	1994-09-30	PRIJEM	\N	289	70521	UROK	\N	\N
3564746	1039	1994-10-31	PRIJEM	\N	317	131806	UROK	\N	\N
3564747	1039	1994-11-30	PRIJEM	\N	354	82178	UROK	\N	\N
3564748	1039	1994-12-31	PRIJEM	\N	421	68940	UROK	\N	\N
3564749	1039	1995-01-31	PRIJEM	\N	307	45627	UROK	\N	\N
3564750	1039	1995-02-28	PRIJEM	\N	195	86193	UROK	\N	\N
3564751	1039	1995-03-31	PRIJEM	\N	283	69496	UROK	\N	\N
3564752	1039	1995-04-30	PRIJEM	\N	276	86386	UROK	\N	\N
3564753	1039	1995-05-31	PRIJEM	\N	337	59780	UROK	\N	\N
3564754	1039	1995-06-30	PRIJEM	\N	325	59315	UROK	\N	\N
3564755	1039	1995-07-31	PRIJEM	\N	238	42731	UROK	\N	\N
3564756	1039	1995-08-31	PRIJEM	\N	328	75944	UROK	\N	\N
3564757	1039	1995-09-30	PRIJEM	\N	301	54415	UROK	\N	\N
3564758	1039	1995-10-31	PRIJEM	\N	236	65506	UROK	\N	\N
3564759	1039	1995-11-30	PRIJEM	\N	293	67410	UROK	\N	\N
3564760	1039	1995-12-31	PRIJEM	\N	221	56869	UROK	\N	\N
3564761	1039	1996-01-31	PRIJEM	\N	197	33336	UROK	\N	\N
3564762	1039	1996-02-29	PRIJEM	\N	137	37042	UROK	\N	\N
3564763	1039	1996-03-31	PRIJEM	\N	249	85069	UROK	\N	\N
3564764	1039	1996-04-30	PRIJEM	\N	273	48397	UROK	\N	\N
3564765	1039	1996-05-31	PRIJEM	\N	253	93493	UROK	\N	\N
3564766	1039	1996-06-30	PRIJEM	\N	382	76470	UROK	\N	\N
3564767	1039	1996-07-31	PRIJEM	\N	237	44394	UROK	\N	\N
3564768	1039	1996-08-31	PRIJEM	\N	200	61933	UROK	\N	\N
3564769	1039	1996-09-30	PRIJEM	\N	268	92706	UROK	\N	\N
3564770	1039	1996-10-31	PRIJEM	\N	380	73356	UROK	\N	\N
3564771	1039	1996-11-30	PRIJEM	\N	339	89853	UROK	\N	\N
3564772	1039	1996-12-31	PRIJEM	\N	313	61847	UROK	\N	\N
3564773	1039	1997-01-31	PRIJEM	\N	217	35133	UROK	\N	\N
3564774	1039	1997-02-28	PRIJEM	\N	165	43457	UROK	\N	\N
3564775	1039	1997-03-31	PRIJEM	\N	232	69539	UROK	\N	\N
3564776	1039	1997-04-30	PRIJEM	\N	384	87821	UROK	\N	\N
3564777	1039	1997-05-31	PRIJEM	\N	359	72849	UROK	\N	\N
3564778	1039	1997-06-30	PRIJEM	\N	336	105165	UROK	\N	\N
3564779	1039	1997-07-31	PRIJEM	\N	385	102284	UROK	\N	\N
3564780	1039	1997-08-31	PRIJEM	\N	440	107682	UROK	\N	\N
3564781	1039	1997-09-30	PRIJEM	\N	343	93932	UROK	\N	\N
3564782	1039	1997-10-31	PRIJEM	\N	394	114353	UROK	\N	\N
3564783	1039	1997-11-30	PRIJEM	\N	412	84606	UROK	\N	\N
3564784	1039	1997-12-31	PRIJEM	\N	329	59511	UROK	\N	\N
3564785	1039	1998-01-31	PRIJEM	\N	223	54982	UROK	\N	\N
3564786	1039	1998-02-28	PRIJEM	\N	232	59151	UROK	\N	\N
3564787	1039	1998-03-31	PRIJEM	\N	318	73365	UROK	\N	\N
3564788	1039	1998-04-30	PRIJEM	\N	288	77758	UROK	\N	\N
3564789	1039	1998-05-31	PRIJEM	\N	292	85676	UROK	\N	\N
3564790	1039	1998-06-30	PRIJEM	\N	347	100483	UROK	\N	\N
3564791	1039	1998-07-31	PRIJEM	\N	339	81587	UROK	\N	\N
3564792	1039	1998-08-31	PRIJEM	\N	440	104048	UROK	\N	\N
3564793	1039	1998-09-30	PRIJEM	\N	424	96943	UROK	\N	\N
3564794	1039	1998-10-31	PRIJEM	\N	387	78581	UROK	\N	\N
3564795	1039	1998-11-30	PRIJEM	\N	362	107241	UROK	\N	\N
3564796	1039	1998-12-31	PRIJEM	\N	429	105477	UROK	\N	\N
3564797	1040	1996-08-31	PRIJEM	\N	79	54549	UROK	\N	\N
3564798	1040	1996-09-30	PRIJEM	\N	227	54928	UROK	\N	\N
3564799	1040	1996-10-31	PRIJEM	\N	228	38256	UROK	\N	\N
3564800	1040	1996-11-30	PRIJEM	\N	228	27383	UROK	\N	\N
3564801	1040	1996-12-31	PRIJEM	\N	228	24311	UROK	\N	\N
3564802	1040	1997-01-31	PRIJEM	\N	165	30041	UROK	\N	\N
3564803	1040	1997-02-28	PRIJEM	\N	207	68459	UROK	\N	\N
3564804	1040	1997-03-31	PRIJEM	\N	200	29012	UROK	\N	\N
3564805	1040	1997-04-30	PRIJEM	\N	122	63970	UROK	\N	\N
3564806	1040	1997-05-31	PRIJEM	\N	199	37846	UROK	\N	\N
3564807	1040	1997-06-30	PRIJEM	\N	285	66304	UROK	\N	\N
3564808	1040	1997-07-31	PRIJEM	\N	220	68974	UROK	\N	\N
3564809	1040	1997-08-31	PRIJEM	\N	369	76108	UROK	\N	\N
3564810	1040	1997-09-30	PRIJEM	\N	175	35863	UROK	\N	\N
3564811	1040	1997-10-31	PRIJEM	\N	91	32322	UROK	\N	\N
3564812	1040	1997-11-30	PRIJEM	\N	158	71826	UROK	\N	\N
3564813	1040	1997-12-31	PRIJEM	\N	179	36975	UROK	\N	\N
3564814	1040	1998-01-31	PRIJEM	\N	130	20993	UROK	\N	\N
3564815	1040	1998-02-28	PRIJEM	\N	92	16063	UROK	\N	\N
3564816	1040	1998-03-31	PRIJEM	\N	179	76073	UROK	\N	\N
3564817	1040	1998-04-30	PRIJEM	\N	262	61455	UROK	\N	\N
3564818	1040	1998-05-31	PRIJEM	\N	192	41813	UROK	\N	\N
3564819	1040	1998-06-30	PRIJEM	\N	165	52398	UROK	\N	\N
3564820	1040	1998-07-31	PRIJEM	\N	281	87896	UROK	\N	\N
3564821	1040	1998-08-31	PRIJEM	\N	240	50914	UROK	\N	\N
3564822	1040	1998-09-30	PRIJEM	\N	149	32540	UROK	\N	\N
3564823	1040	1998-10-31	PRIJEM	\N	100	22518	UROK	\N	\N
3564824	1040	1998-11-30	PRIJEM	\N	75	17270	UROK	\N	\N
3564825	1040	1998-12-31	PRIJEM	\N	131	42139	UROK	\N	\N
3564826	1043	1997-09-30	PRIJEM	\N	71	27053	UROK	\N	\N
3564827	1043	1997-10-31	PRIJEM	\N	139	36974	UROK	\N	\N
3564828	1043	1997-11-30	PRIJEM	\N	208	57564	UROK	\N	\N
3564829	1043	1997-12-31	PRIJEM	\N	305	81941	UROK	\N	\N
3564830	1043	1998-01-31	PRIJEM	\N	326	73676	UROK	\N	\N
3564831	1043	1998-02-28	PRIJEM	\N	304	72815	UROK	\N	\N
3564832	1043	1998-03-31	PRIJEM	\N	310	69159	UROK	\N	\N
3564833	1043	1998-04-30	PRIJEM	\N	306	70199	UROK	\N	\N
3564834	1043	1998-05-31	PRIJEM	\N	282	64356	UROK	\N	\N
3564835	1043	1998-06-30	PRIJEM	\N	239	64700	UROK	\N	\N
3564836	1043	1998-07-31	PRIJEM	\N	294	67728	UROK	\N	\N
3564837	1043	1998-08-31	PRIJEM	\N	282	65744	UROK	\N	\N
3564838	1043	1998-09-30	PRIJEM	\N	270	64649	UROK	\N	\N
3564839	1043	1998-10-31	PRIJEM	\N	279	68462	UROK	\N	\N
3564840	1043	1998-11-30	PRIJEM	\N	302	69099	UROK	\N	\N
3564841	1043	1998-12-31	PRIJEM	\N	311	76235	UROK	\N	\N
3564842	1044	1995-12-31	PRIJEM	\N	70	22756	UROK	\N	\N
3564843	1044	1996-01-31	PRIJEM	\N	113	28526	UROK	\N	\N
3564844	1044	1996-02-29	PRIJEM	\N	142	35725	UROK	\N	\N
3564845	1044	1996-03-31	PRIJEM	\N	153	37135	UROK	\N	\N
3564846	1044	1996-04-30	PRIJEM	\N	139	31163	UROK	\N	\N
3564847	1044	1996-05-31	PRIJEM	\N	143	34980	UROK	\N	\N
3564848	1044	1996-06-30	PRIJEM	\N	154	36737	UROK	\N	\N
3564849	1044	1996-07-31	PRIJEM	\N	140	29051	UROK	\N	\N
3564850	1044	1996-08-31	PRIJEM	\N	126	29952	UROK	\N	\N
3564851	1044	1996-09-30	PRIJEM	\N	160	39586	UROK	\N	\N
3564852	1044	1996-10-31	PRIJEM	\N	183	44444	UROK	\N	\N
3564853	1044	1996-11-30	PRIJEM	\N	204	49622	UROK	\N	\N
3564854	1044	1996-12-31	PRIJEM	\N	226	53152	UROK	\N	\N
3564855	1044	1997-01-31	PRIJEM	\N	203	40629	UROK	\N	\N
3564856	1044	1997-02-28	PRIJEM	\N	202	49505	UROK	\N	\N
3564857	1044	1997-03-31	PRIJEM	\N	218	52698	UROK	\N	\N
3564858	1044	1997-04-30	PRIJEM	\N	215	51387	UROK	\N	\N
3564859	1044	1997-05-31	PRIJEM	\N	210	50272	UROK	\N	\N
3564860	1044	1997-06-30	PRIJEM	\N	245	54720	UROK	\N	\N
3564861	1044	1997-07-31	PRIJEM	\N	225	54020	UROK	\N	\N
3564862	1044	1997-08-31	PRIJEM	\N	193	37988	UROK	\N	\N
3564863	1044	1997-09-30	PRIJEM	\N	193	36155	UROK	\N	\N
3564864	1044	1997-10-31	PRIJEM	\N	180	30909	UROK	\N	\N
3564865	1044	1997-11-30	PRIJEM	\N	162	29745	UROK	\N	\N
3564866	1044	1997-12-31	PRIJEM	\N	172	27720	UROK	\N	\N
3564867	1044	1998-01-31	PRIJEM	\N	98	18692	UROK	\N	\N
3564868	1044	1998-02-28	PRIJEM	\N	112	22978	UROK	\N	\N
3564869	1044	1998-03-31	PRIJEM	\N	125	18578	UROK	\N	\N
3564870	1044	1998-04-30	PRIJEM	\N	111	22263	UROK	\N	\N
3564871	1044	1998-05-31	PRIJEM	\N	120	19757	UROK	\N	\N
3564872	1044	1998-06-30	PRIJEM	\N	130	26090	UROK	\N	\N
3564873	1044	1998-07-31	PRIJEM	\N	133	20498	UROK	\N	\N
3564874	1044	1998-08-31	PRIJEM	\N	109	17582	UROK	\N	\N
3564875	1044	1998-09-30	PRIJEM	\N	101	19557	UROK	\N	\N
3564876	1044	1998-10-31	PRIJEM	\N	103	17035	UROK	\N	\N
3564877	1044	1998-11-30	PRIJEM	\N	93	15402	UROK	\N	\N
3564878	1044	1998-12-31	PRIJEM	\N	125	34230	UROK	\N	\N
3564879	1045	1996-05-31	PRIJEM	\N	17	7150	UROK	\N	\N
3564880	1045	1996-06-30	PRIJEM	\N	30	13513	UROK	\N	\N
3564881	1045	1996-07-31	PRIJEM	\N	30	19876	UROK	\N	\N
3564882	1045	1996-08-31	PRIJEM	\N	74	25282	UROK	\N	\N
3564883	1045	1996-09-30	PRIJEM	\N	107	26323	UROK	\N	\N
3564884	1045	1996-10-31	PRIJEM	\N	107	26618	UROK	\N	\N
3564885	1045	1996-11-30	PRIJEM	\N	105	25071	UROK	\N	\N
3564886	1045	1996-12-31	PRIJEM	\N	103	26162	UROK	\N	\N
3564887	1045	1997-01-31	PRIJEM	\N	91	13121	UROK	\N	\N
3564888	1045	1997-02-28	PRIJEM	\N	64	14494	UROK	\N	\N
3564889	1045	1997-03-31	PRIJEM	\N	71	19154	UROK	\N	\N
3564890	1045	1997-04-30	PRIJEM	\N	91	23832	UROK	\N	\N
3564891	1045	1997-05-31	PRIJEM	\N	109	28229	UROK	\N	\N
3564892	1045	1997-06-30	PRIJEM	\N	115	28833	UROK	\N	\N
3564893	1045	1997-07-31	PRIJEM	\N	117	27958	UROK	\N	\N
3564894	1045	1997-08-31	PRIJEM	\N	109	26655	UROK	\N	\N
3564895	1045	1997-09-30	PRIJEM	\N	97	23040	UROK	\N	\N
3564896	1045	1997-10-31	PRIJEM	\N	85	19174	UROK	\N	\N
3564897	1045	1997-11-30	PRIJEM	\N	73	16335	UROK	\N	\N
3564898	1045	1997-12-31	PRIJEM	\N	75	19748	UROK	\N	\N
3564899	1045	1998-01-31	PRIJEM	\N	78	13275	UROK	\N	\N
3564900	1045	1998-02-28	PRIJEM	\N	64	17207	UROK	\N	\N
3564901	1045	1998-03-31	PRIJEM	\N	69	18464	UROK	\N	\N
3564902	1045	1998-04-30	PRIJEM	\N	80	16853	UROK	\N	\N
3564903	1045	1998-05-31	PRIJEM	\N	79	15820	UROK	\N	\N
3564904	1045	1998-06-30	PRIJEM	\N	68	11376	UROK	\N	\N
3564905	1045	1998-07-31	PRIJEM	\N	56	14500	UROK	\N	\N
3564906	1045	1998-08-31	PRIJEM	\N	71	19160	UROK	\N	\N
3564907	1045	1998-09-30	PRIJEM	\N	83	13832	UROK	\N	\N
3564908	1045	1998-10-31	PRIJEM	\N	68	18488	UROK	\N	\N
3564909	1045	1998-11-30	PRIJEM	\N	76	12912	UROK	\N	\N
3564910	1045	1998-12-31	PRIJEM	\N	64	17565	UROK	\N	\N
3564911	1046	1995-05-31	PRIJEM	\N	44	18147	UROK	\N	\N
3564912	1046	1995-06-30	PRIJEM	\N	99	27600	UROK	\N	\N
3564913	1046	1995-07-31	PRIJEM	\N	123	30826	UROK	\N	\N
3564914	1046	1995-08-31	PRIJEM	\N	131	32060	UROK	\N	\N
3564915	1046	1995-09-30	PRIJEM	\N	127	29391	UROK	\N	\N
3564916	1046	1995-10-31	PRIJEM	\N	124	29404	UROK	\N	\N
3564917	1046	1995-11-30	PRIJEM	\N	122	28916	UROK	\N	\N
3564918	1046	1995-12-31	PRIJEM	\N	135	32632	UROK	\N	\N
3564919	1046	1996-01-31	PRIJEM	\N	102	15703	UROK	\N	\N
3564920	1046	1996-02-29	PRIJEM	\N	75	18328	UROK	\N	\N
3564921	1046	1996-03-31	PRIJEM	\N	84	17261	UROK	\N	\N
3564922	1046	1996-04-30	PRIJEM	\N	101	18151	UROK	\N	\N
3564923	1046	1996-05-31	PRIJEM	\N	128	27569	UROK	\N	\N
3564924	1046	1996-06-30	PRIJEM	\N	85	14095	UROK	\N	\N
3564925	1046	1996-07-31	PRIJEM	\N	74	18558	UROK	\N	\N
3564926	1046	1996-08-31	PRIJEM	\N	100	23487	UROK	\N	\N
3564927	1046	1996-09-30	PRIJEM	\N	116	28692	UROK	\N	\N
3564928	1046	1996-10-31	PRIJEM	\N	124	30006	UROK	\N	\N
3564929	1046	1996-11-30	PRIJEM	\N	127	29982	UROK	\N	\N
3564930	1046	1996-12-31	PRIJEM	\N	137	31999	UROK	\N	\N
3564931	1046	1997-01-31	PRIJEM	\N	123	25792	UROK	\N	\N
3564932	1046	1997-02-28	PRIJEM	\N	141	36023	UROK	\N	\N
3564933	1046	1997-03-31	PRIJEM	\N	148	34320	UROK	\N	\N
3564934	1046	1997-04-30	PRIJEM	\N	152	37181	UROK	\N	\N
3564935	1046	1997-05-31	PRIJEM	\N	156	35667	UROK	\N	\N
3564936	1046	1997-06-30	PRIJEM	\N	176	43884	UROK	\N	\N
3564937	1046	1997-07-31	PRIJEM	\N	178	42451	UROK	\N	\N
3564938	1046	1997-08-31	PRIJEM	\N	159	37300	UROK	\N	\N
3564939	1046	1997-09-30	PRIJEM	\N	143	32412	UROK	\N	\N
3564940	1046	1997-10-31	PRIJEM	\N	130	27632	UROK	\N	\N
3564941	1046	1997-11-30	PRIJEM	\N	125	27246	UROK	\N	\N
3564942	1046	1997-12-31	PRIJEM	\N	129	23476	UROK	\N	\N
3564943	1046	1998-01-31	PRIJEM	\N	86	19411	UROK	\N	\N
3564944	1046	1998-02-28	PRIJEM	\N	91	21792	UROK	\N	\N
3564945	1046	1998-03-31	PRIJEM	\N	99	21440	UROK	\N	\N
3564946	1046	1998-04-30	PRIJEM	\N	101	28631	UROK	\N	\N
3564947	1046	1998-05-31	PRIJEM	\N	126	28486	UROK	\N	\N
3564948	1046	1998-06-30	PRIJEM	\N	145	33872	UROK	\N	\N
3564949	1046	1998-07-31	PRIJEM	\N	138	32179	UROK	\N	\N
3564950	1046	1998-08-31	PRIJEM	\N	136	30024	UROK	\N	\N
3564951	1046	1998-09-30	PRIJEM	\N	133	30847	UROK	\N	\N
3564952	1046	1998-10-31	PRIJEM	\N	134	29270	UROK	\N	\N
3564953	1046	1998-11-30	PRIJEM	\N	130	31390	UROK	\N	\N
3564954	1046	1998-12-31	PRIJEM	\N	154	38705	UROK	\N	\N
3564955	1047	1994-06-30	PRIJEM	\N	25	10588	UROK	\N	\N
3564956	1047	1994-07-31	PRIJEM	\N	79	25177	UROK	\N	\N
3564957	1047	1994-08-31	PRIJEM	\N	105	31790	UROK	\N	\N
3564958	1047	1994-09-30	PRIJEM	\N	128	35328	UROK	\N	\N
3564959	1047	1994-10-31	PRIJEM	\N	152	37589	UROK	\N	\N
3564960	1047	1994-11-30	PRIJEM	\N	142	33886	UROK	\N	\N
3564961	1047	1994-12-31	PRIJEM	\N	137	35893	UROK	\N	\N
3564962	1047	1995-01-31	PRIJEM	\N	122	27550	UROK	\N	\N
3564963	1047	1995-02-28	PRIJEM	\N	121	31046	UROK	\N	\N
3564964	1047	1995-03-31	PRIJEM	\N	130	33432	UROK	\N	\N
3564965	1047	1995-04-30	PRIJEM	\N	138	34725	UROK	\N	\N
3564966	1047	1995-05-31	PRIJEM	\N	140	34921	UROK	\N	\N
3564967	1047	1995-06-30	PRIJEM	\N	140	36371	UROK	\N	\N
3564968	1047	1995-07-31	PRIJEM	\N	144	35870	UROK	\N	\N
3564969	1047	1995-08-31	PRIJEM	\N	141	34986	UROK	\N	\N
3564970	1047	1995-09-30	PRIJEM	\N	132	33173	UROK	\N	\N
3564971	1047	1995-10-31	PRIJEM	\N	119	29747	UROK	\N	\N
3564972	1047	1995-11-30	PRIJEM	\N	122	31625	UROK	\N	\N
3564973	1047	1995-12-31	PRIJEM	\N	131	31066	UROK	\N	\N
3564974	1047	1996-01-31	PRIJEM	\N	86	20047	UROK	\N	\N
3564975	1047	1996-02-29	PRIJEM	\N	83	22486	UROK	\N	\N
3564976	1047	1996-03-31	PRIJEM	\N	99	26441	UROK	\N	\N
3564977	1047	1996-04-30	PRIJEM	\N	106	27802	UROK	\N	\N
3564978	1047	1996-05-31	PRIJEM	\N	85	20562	UROK	\N	\N
3564979	1047	1996-06-30	PRIJEM	\N	105	29678	UROK	\N	\N
3564980	1047	1996-07-31	PRIJEM	\N	120	26213	UROK	\N	\N
3564981	1047	1996-08-31	PRIJEM	\N	112	27900	UROK	\N	\N
3564982	1047	1996-09-30	PRIJEM	\N	116	29271	UROK	\N	\N
3564983	1047	1996-10-31	PRIJEM	\N	111	23238	UROK	\N	\N
3564984	1047	1996-11-30	PRIJEM	\N	96	20389	UROK	\N	\N
3564985	1047	1996-12-31	PRIJEM	\N	78	20937	UROK	\N	\N
3564986	1047	1997-01-31	PRIJEM	\N	65	16717	UROK	\N	\N
3564987	1047	1997-02-28	PRIJEM	\N	72	15245	UROK	\N	\N
3564988	1047	1997-03-31	PRIJEM	\N	66	13266	UROK	\N	\N
3564989	1047	1997-04-30	PRIJEM	\N	59	15481	UROK	\N	\N
3564990	1047	1997-05-31	PRIJEM	\N	69	17705	UROK	\N	\N
3564991	1047	1997-06-30	PRIJEM	\N	82	17297	UROK	\N	\N
3564992	1047	1997-07-31	PRIJEM	\N	76	19528	UROK	\N	\N
3564993	1047	1997-08-31	PRIJEM	\N	79	14363	UROK	\N	\N
3564994	1047	1997-09-30	PRIJEM	\N	64	16581	UROK	\N	\N
3564995	1047	1997-10-31	PRIJEM	\N	73	18810	UROK	\N	\N
3564996	1047	1997-11-30	PRIJEM	\N	82	21047	UROK	\N	\N
3564997	1047	1997-12-31	PRIJEM	\N	81	21378	UROK	\N	\N
3564998	1047	1998-01-31	PRIJEM	\N	74	15808	UROK	\N	\N
3564999	1047	1998-02-28	PRIJEM	\N	69	18032	UROK	\N	\N
3565000	1047	1998-03-31	PRIJEM	\N	79	20266	UROK	\N	\N
3565001	1047	1998-04-30	PRIJEM	\N	88	22509	UROK	\N	\N
3565002	1047	1998-05-31	PRIJEM	\N	87	23552	UROK	\N	\N
3565003	1047	1998-06-30	PRIJEM	\N	95	22017	UROK	\N	\N
3565004	1047	1998-07-31	PRIJEM	\N	95	24267	UROK	\N	\N
3565005	1047	1998-08-31	PRIJEM	\N	104	26526	UROK	\N	\N
3565006	1047	1998-09-30	PRIJEM	\N	113	28795	UROK	\N	\N
3565007	1047	1998-10-31	PRIJEM	\N	115	30466	UROK	\N	\N
3565008	1047	1998-11-30	PRIJEM	\N	128	31429	UROK	\N	\N
3565009	1047	1998-12-31	PRIJEM	\N	126	33085	UROK	\N	\N
3565010	1048	1993-05-31	PRIJEM	\N	23	7116	UROK	\N	\N
3565011	1048	1993-06-30	PRIJEM	\N	30	13138	UROK	\N	\N
3565012	1048	1993-07-31	PRIJEM	\N	30	19161	UROK	\N	\N
3565013	1048	1993-08-31	PRIJEM	\N	30	25184	UROK	\N	\N
3565014	1048	1993-09-30	PRIJEM	\N	100	29377	UROK	\N	\N
3565015	1048	1993-10-31	PRIJEM	\N	126	30829	UROK	\N	\N
3565016	1048	1993-11-30	PRIJEM	\N	124	28820	UROK	\N	\N
3565017	1048	1993-12-31	PRIJEM	\N	113	26959	UROK	\N	\N
3565018	1048	1994-01-31	PRIJEM	\N	96	18642	UROK	\N	\N
3565019	1048	1994-02-28	PRIJEM	\N	73	17481	UROK	\N	\N
3565020	1048	1994-03-31	PRIJEM	\N	79	18886	UROK	\N	\N
3565021	1048	1994-04-30	PRIJEM	\N	85	21098	UROK	\N	\N
3565022	1048	1994-05-31	PRIJEM	\N	92	22116	UROK	\N	\N
3565023	1048	1994-06-30	PRIJEM	\N	98	22141	UROK	\N	\N
3565024	1048	1994-07-31	PRIJEM	\N	98	22766	UROK	\N	\N
3565025	1048	1994-08-31	PRIJEM	\N	100	23073	UROK	\N	\N
3565026	1048	1994-09-30	PRIJEM	\N	101	22800	UROK	\N	\N
3565027	1048	1994-10-31	PRIJEM	\N	101	23728	UROK	\N	\N
3565028	1048	1994-11-30	PRIJEM	\N	102	21056	UROK	\N	\N
3565029	1048	1994-12-31	PRIJEM	\N	92	22124	UROK	\N	\N
3565030	1048	1995-01-31	PRIJEM	\N	73	14763	UROK	\N	\N
3565031	1048	1995-02-28	PRIJEM	\N	68	16958	UROK	\N	\N
3565032	1048	1995-03-31	PRIJEM	\N	72	17796	UROK	\N	\N
3565033	1048	1995-04-30	PRIJEM	\N	75	15557	UROK	\N	\N
3565034	1048	1995-05-31	PRIJEM	\N	70	15853	UROK	\N	\N
3565035	1048	1995-06-30	PRIJEM	\N	59	13489	UROK	\N	\N
3565036	1048	1995-07-31	PRIJEM	\N	63	15678	UROK	\N	\N
3565037	1048	1995-08-31	PRIJEM	\N	72	17876	UROK	\N	\N
3565038	1048	1995-09-30	PRIJEM	\N	78	18180	UROK	\N	\N
3565039	1048	1995-10-31	PRIJEM	\N	82	20389	UROK	\N	\N
3565040	1048	1995-11-30	PRIJEM	\N	91	22606	UROK	\N	\N
3565041	1048	1995-12-31	PRIJEM	\N	96	23629	UROK	\N	\N
3565042	1048	1996-01-31	PRIJEM	\N	77	14572	UROK	\N	\N
3565043	1048	1996-02-29	PRIJEM	\N	67	16765	UROK	\N	\N
3565044	1048	1996-03-31	PRIJEM	\N	72	15944	UROK	\N	\N
3565045	1048	1996-04-30	PRIJEM	\N	72	18143	UROK	\N	\N
3565046	1048	1996-05-31	PRIJEM	\N	75	16344	UROK	\N	\N
3565047	1048	1996-06-30	PRIJEM	\N	67	14837	UROK	\N	\N
3565048	1048	1996-07-31	PRIJEM	\N	63	14707	UROK	\N	\N
3565049	1048	1996-08-31	PRIJEM	\N	62	14395	UROK	\N	\N
3565050	1048	1996-09-30	PRIJEM	\N	66	16587	UROK	\N	\N
3565051	1048	1996-10-31	PRIJEM	\N	66	14680	UROK	\N	\N
3565052	1048	1996-11-30	PRIJEM	\N	67	16873	UROK	\N	\N
3565053	1048	1996-12-31	PRIJEM	\N	74	18724	UROK	\N	\N
3565054	1048	1997-01-31	PRIJEM	\N	67	14997	UROK	\N	\N
3565055	1048	1997-02-28	PRIJEM	\N	68	17191	UROK	\N	\N
3565056	1048	1997-03-31	PRIJEM	\N	73	17591	UROK	\N	\N
3565057	1048	1997-04-30	PRIJEM	\N	72	15809	UROK	\N	\N
3565058	1048	1997-05-31	PRIJEM	\N	71	15126	UROK	\N	\N
3565059	1048	1997-06-30	PRIJEM	\N	67	16759	UROK	\N	\N
3565060	1048	1997-07-31	PRIJEM	\N	74	18359	UROK	\N	\N
3565061	1048	1997-08-31	PRIJEM	\N	82	20567	UROK	\N	\N
3565062	1048	1997-09-30	PRIJEM	\N	82	19676	UROK	\N	\N
3565063	1048	1997-10-31	PRIJEM	\N	78	19180	UROK	\N	\N
3565064	1048	1997-11-30	PRIJEM	\N	80	18907	UROK	\N	\N
3565065	1048	1997-12-31	PRIJEM	\N	83	20367	UROK	\N	\N
3565066	1048	1998-01-31	PRIJEM	\N	66	15439	UROK	\N	\N
3565067	1048	1998-02-28	PRIJEM	\N	69	17635	UROK	\N	\N
3565068	1048	1998-03-31	PRIJEM	\N	76	19137	UROK	\N	\N
3565069	1048	1998-04-30	PRIJEM	\N	84	21348	UROK	\N	\N
3565070	1048	1998-05-31	PRIJEM	\N	80	16915	UROK	\N	\N
3565071	1048	1998-06-30	PRIJEM	\N	75	19116	UROK	\N	\N
3565072	1048	1998-07-31	PRIJEM	\N	84	21327	UROK	\N	\N
3565073	1048	1998-08-31	PRIJEM	\N	92	20585	UROK	\N	\N
3565074	1048	1998-09-30	PRIJEM	\N	89	22600	UROK	\N	\N
3565075	1048	1998-10-31	PRIJEM	\N	98	24825	UROK	\N	\N
3565076	1048	1998-11-30	PRIJEM	\N	90	20321	UROK	\N	\N
3565077	1048	1998-12-31	PRIJEM	\N	76	16963	UROK	\N	\N
3565078	1049	1997-12-31	PRIJEM	\N	14	4263	UROK	\N	\N
3565079	1049	1998-01-31	PRIJEM	\N	58	16669	UROK	\N	\N
3565080	1049	1998-02-28	PRIJEM	\N	96	25415	UROK	\N	\N
3565081	1049	1998-03-31	PRIJEM	\N	120	29884	UROK	\N	\N
3565082	1049	1998-04-30	PRIJEM	\N	135	33368	UROK	\N	\N
3565083	1049	1998-05-31	PRIJEM	\N	142	34445	UROK	\N	\N
3565084	1049	1998-06-30	PRIJEM	\N	142	34452	UROK	\N	\N
3565085	1049	1998-07-31	PRIJEM	\N	127	29325	UROK	\N	\N
3565086	1049	1998-08-31	PRIJEM	\N	129	31489	UROK	\N	\N
3565087	1049	1998-09-30	PRIJEM	\N	135	32909	UROK	\N	\N
3565088	1049	1998-10-31	PRIJEM	\N	134	31178	UROK	\N	\N
3565089	1049	1998-11-30	PRIJEM	\N	132	34846	UROK	\N	\N
3565090	1049	1998-12-31	PRIJEM	\N	148	35299	UROK	\N	\N
3565091	1050	1993-03-31	PRIJEM	\N	21	25538	UROK	\N	\N
3565092	1050	1993-04-30	PRIJEM	\N	118	39973	UROK	\N	\N
3565093	1050	1993-05-31	PRIJEM	\N	171	45461	UROK	\N	\N
3565094	1050	1993-06-30	PRIJEM	\N	198	55035	UROK	\N	\N
3565095	1050	1993-07-31	PRIJEM	\N	228	54380	UROK	\N	\N
3565096	1050	1993-08-31	PRIJEM	\N	242	46464	UROK	\N	\N
3565097	1050	1993-09-30	PRIJEM	\N	203	26406	UROK	\N	\N
3565098	1050	1993-10-31	PRIJEM	\N	146	33595	UROK	\N	\N
3565099	1050	1993-11-30	PRIJEM	\N	156	38496	UROK	\N	\N
3565100	1050	1993-12-31	PRIJEM	\N	172	37971	UROK	\N	\N
3565101	1050	1994-01-31	PRIJEM	\N	126	23641	UROK	\N	\N
3565102	1050	1994-02-28	PRIJEM	\N	124	26011	UROK	\N	\N
3565103	1050	1994-03-31	PRIJEM	\N	126	22508	UROK	\N	\N
3565104	1050	1994-04-30	PRIJEM	\N	136	36088	UROK	\N	\N
3565105	1050	1994-05-31	PRIJEM	\N	175	38907	UROK	\N	\N
3565106	1050	1994-06-30	PRIJEM	\N	209	49019	UROK	\N	\N
3565107	1050	1994-07-31	PRIJEM	\N	219	47282	UROK	\N	\N
3565108	1050	1994-08-31	PRIJEM	\N	147	34989	UROK	\N	\N
3565109	1050	1994-09-30	PRIJEM	\N	144	27583	UROK	\N	\N
3565110	1050	1994-10-31	PRIJEM	\N	136	28563	UROK	\N	\N
3565111	1050	1994-11-30	PRIJEM	\N	122	21441	UROK	\N	\N
3565112	1050	1994-12-31	PRIJEM	\N	131	33375	UROK	\N	\N
3565113	1050	1995-01-31	PRIJEM	\N	134	27753	UROK	\N	\N
3565114	1050	1995-02-28	PRIJEM	\N	124	29409	UROK	\N	\N
3565115	1050	1995-03-31	PRIJEM	\N	132	35186	UROK	\N	\N
3565116	1050	1995-04-30	PRIJEM	\N	138	25467	UROK	\N	\N
3565117	1050	1995-05-31	PRIJEM	\N	137	36248	UROK	\N	\N
3565118	1050	1995-06-30	PRIJEM	\N	173	23446	UROK	\N	\N
3565119	1050	1995-07-31	PRIJEM	\N	138	34828	UROK	\N	\N
3565120	1050	1995-08-31	PRIJEM	\N	140	32812	UROK	\N	\N
3565121	1050	1995-09-30	PRIJEM	\N	186	42641	UROK	\N	\N
3565122	1050	1995-10-31	PRIJEM	\N	226	43712	UROK	\N	\N
3565123	1050	1995-11-30	PRIJEM	\N	211	57867	UROK	\N	\N
3565124	1050	1995-12-31	PRIJEM	\N	225	60815	UROK	\N	\N
3565125	1050	1996-01-31	PRIJEM	\N	164	24224	UROK	\N	\N
3565126	1050	1996-02-29	PRIJEM	\N	164	49632	UROK	\N	\N
3565127	1050	1996-03-31	PRIJEM	\N	241	64417	UROK	\N	\N
3565128	1050	1996-04-30	PRIJEM	\N	270	69431	UROK	\N	\N
3565129	1050	1996-05-31	PRIJEM	\N	274	68849	UROK	\N	\N
3565130	1050	1996-06-30	PRIJEM	\N	297	79749	UROK	\N	\N
3565131	1050	1996-07-31	PRIJEM	\N	300	74993	UROK	\N	\N
3565132	1050	1996-08-31	PRIJEM	\N	272	60209	UROK	\N	\N
3565133	1050	1996-09-30	PRIJEM	\N	218	56571	UROK	\N	\N
3565134	1050	1996-10-31	PRIJEM	\N	243	63658	UROK	\N	\N
3565135	1050	1996-11-30	PRIJEM	\N	263	66265	UROK	\N	\N
3565136	1050	1996-12-31	PRIJEM	\N	269	76236	UROK	\N	\N
3565137	1050	1997-01-31	PRIJEM	\N	235	52815	UROK	\N	\N
3565138	1050	1997-02-28	PRIJEM	\N	193	55129	UROK	\N	\N
3565139	1050	1997-03-31	PRIJEM	\N	160	32408	UROK	\N	\N
3565140	1050	1997-04-30	PRIJEM	\N	179	52631	UROK	\N	\N
3565141	1050	1997-05-31	PRIJEM	\N	168	34238	UROK	\N	\N
3565142	1050	1997-06-30	PRIJEM	\N	168	43438	UROK	\N	\N
3565143	1050	1997-07-31	PRIJEM	\N	205	29055	UROK	\N	\N
3565144	1050	1997-08-31	PRIJEM	\N	181	53880	UROK	\N	\N
3565145	1050	1997-09-30	PRIJEM	\N	205	58229	UROK	\N	\N
3565146	1050	1997-10-31	PRIJEM	\N	216	53084	UROK	\N	\N
3565147	1050	1997-11-30	PRIJEM	\N	246	67574	UROK	\N	\N
3565148	1050	1997-12-31	PRIJEM	\N	237	55123	UROK	\N	\N
3565149	1050	1998-01-31	PRIJEM	\N	218	44385	UROK	\N	\N
3565150	1050	1998-02-28	PRIJEM	\N	228	64157	UROK	\N	\N
3565151	1050	1998-03-31	PRIJEM	\N	267	63367	UROK	\N	\N
3565152	1050	1998-04-30	PRIJEM	\N	305	66216	UROK	\N	\N
3565153	1050	1998-05-31	PRIJEM	\N	263	54824	UROK	\N	\N
3565154	1050	1998-06-30	PRIJEM	\N	301	72128	UROK	\N	\N
3565155	1050	1998-07-31	PRIJEM	\N	339	77411	UROK	\N	\N
3565156	1050	1998-08-31	PRIJEM	\N	357	80512	UROK	\N	\N
3565157	1050	1998-09-30	PRIJEM	\N	354	73310	UROK	\N	\N
3565158	1050	1998-10-31	PRIJEM	\N	336	73790	UROK	\N	\N
3565159	1050	1998-11-30	PRIJEM	\N	317	72951	UROK	\N	\N
3565160	1050	1998-12-31	PRIJEM	\N	373	103728	UROK	\N	\N
3565161	1051	1993-11-30	PRIJEM	\N	33	21421	UROK	\N	\N
3565162	1051	1993-12-31	PRIJEM	\N	108	32960	UROK	\N	\N
3565163	1051	1994-01-31	PRIJEM	\N	139	34087	UROK	\N	\N
3565164	1051	1994-02-28	PRIJEM	\N	144	35619	UROK	\N	\N
3565165	1051	1994-03-31	PRIJEM	\N	146	34453	UROK	\N	\N
3565166	1051	1994-04-30	PRIJEM	\N	148	37375	UROK	\N	\N
3565167	1051	1994-05-31	PRIJEM	\N	158	39006	UROK	\N	\N
3565168	1051	1994-06-30	PRIJEM	\N	166	35870	UROK	\N	\N
3565169	1051	1994-07-31	PRIJEM	\N	155	39198	UROK	\N	\N
3565170	1051	1994-08-31	PRIJEM	\N	170	40222	UROK	\N	\N
3565171	1051	1994-09-30	PRIJEM	\N	166	36641	UROK	\N	\N
3565172	1051	1994-10-31	PRIJEM	\N	152	36366	UROK	\N	\N
3565173	1051	1994-11-30	PRIJEM	\N	141	31101	UROK	\N	\N
3565174	1051	1994-12-31	PRIJEM	\N	142	36021	UROK	\N	\N
3565175	1051	1995-01-31	PRIJEM	\N	128	15722	UROK	\N	\N
3565176	1051	1995-02-28	PRIJEM	\N	101	31596	UROK	\N	\N
3565177	1051	1995-03-31	PRIJEM	\N	138	33968	UROK	\N	\N
3565178	1051	1995-04-30	PRIJEM	\N	151	30532	UROK	\N	\N
3565179	1051	1995-05-31	PRIJEM	\N	125	29811	UROK	\N	\N
3565180	1051	1995-06-30	PRIJEM	\N	159	44687	UROK	\N	\N
3565181	1051	1995-07-31	PRIJEM	\N	181	42941	UROK	\N	\N
3565182	1051	1995-08-31	PRIJEM	\N	181	44196	UROK	\N	\N
3565183	1051	1995-09-30	PRIJEM	\N	167	38436	UROK	\N	\N
3565184	1051	1995-10-31	PRIJEM	\N	167	41576	UROK	\N	\N
3565185	1051	1995-11-30	PRIJEM	\N	176	43025	UROK	\N	\N
3565186	1051	1995-12-31	PRIJEM	\N	180	47182	UROK	\N	\N
3565187	1051	1996-01-31	PRIJEM	\N	157	33813	UROK	\N	\N
3565188	1051	1996-02-29	PRIJEM	\N	160	42646	UROK	\N	\N
3565189	1051	1996-03-31	PRIJEM	\N	186	46506	UROK	\N	\N
3565190	1051	1996-04-30	PRIJEM	\N	188	45447	UROK	\N	\N
3565191	1051	1996-05-31	PRIJEM	\N	167	42247	UROK	\N	\N
3565192	1051	1996-06-30	PRIJEM	\N	193	49957	UROK	\N	\N
3565193	1051	1996-07-31	PRIJEM	\N	211	51842	UROK	\N	\N
3565194	1051	1996-08-31	PRIJEM	\N	213	51429	UROK	\N	\N
3565195	1051	1996-09-30	PRIJEM	\N	195	51157	UROK	\N	\N
3565196	1051	1996-10-31	PRIJEM	\N	218	53748	UROK	\N	\N
3565197	1051	1996-11-30	PRIJEM	\N	221	52782	UROK	\N	\N
3565198	1051	1996-12-31	PRIJEM	\N	224	58384	UROK	\N	\N
3565199	1051	1997-01-31	PRIJEM	\N	183	35660	UROK	\N	\N
3565200	1051	1997-02-28	PRIJEM	\N	156	40130	UROK	\N	\N
3565201	1051	1997-03-31	PRIJEM	\N	178	45481	UROK	\N	\N
3565202	1051	1997-04-30	PRIJEM	\N	193	48148	UROK	\N	\N
3565203	1051	1997-05-31	PRIJEM	\N	198	48319	UROK	\N	\N
3565204	1051	1997-06-30	PRIJEM	\N	198	56195	UROK	\N	\N
3565205	1051	1997-07-31	PRIJEM	\N	211	45539	UROK	\N	\N
3565206	1051	1997-08-31	PRIJEM	\N	181	40973	UROK	\N	\N
3565207	1051	1997-09-30	PRIJEM	\N	121	42768	UROK	\N	\N
3565208	1051	1997-10-31	PRIJEM	\N	130	26431	UROK	\N	\N
3565209	1051	1997-11-30	PRIJEM	\N	122	22766	UROK	\N	\N
3565210	1051	1997-12-31	PRIJEM	\N	125	25149	UROK	\N	\N
3565211	1051	1998-01-31	PRIJEM	\N	104	17906	UROK	\N	\N
3565212	1051	1998-02-28	PRIJEM	\N	72	20651	UROK	\N	\N
3565213	1051	1998-03-31	PRIJEM	\N	83	22008	UROK	\N	\N
3565214	1051	1998-04-30	PRIJEM	\N	100	20361	UROK	\N	\N
3565215	1051	1998-05-31	PRIJEM	\N	79	16414	UROK	\N	\N
3565216	1051	1998-06-30	PRIJEM	\N	67	35798	UROK	\N	\N
3565217	1051	1998-07-31	PRIJEM	\N	135	20807	UROK	\N	\N
3565218	1051	1998-08-31	PRIJEM	\N	81	18361	UROK	\N	\N
3565219	1051	1998-09-30	PRIJEM	\N	72	17406	UROK	\N	\N
3565220	1051	1998-10-31	PRIJEM	\N	67	16446	UROK	\N	\N
3565221	1051	1998-11-30	PRIJEM	\N	66	29386	UROK	\N	\N
3565222	1051	1998-12-31	PRIJEM	\N	108	20391	UROK	\N	\N
3565223	1053	1994-06-30	PRIJEM	\N	19	19297	UROK	\N	\N
3565224	1053	1994-07-31	PRIJEM	\N	87	25769	UROK	\N	\N
3565225	1053	1994-08-31	PRIJEM	\N	111	29265	UROK	\N	\N
3565226	1053	1994-09-30	PRIJEM	\N	122	29772	UROK	\N	\N
3565227	1053	1994-10-31	PRIJEM	\N	126	31884	UROK	\N	\N
3565228	1053	1994-11-30	PRIJEM	\N	138	31610	UROK	\N	\N
3565229	1053	1994-12-31	PRIJEM	\N	128	28859	UROK	\N	\N
3565230	1053	1995-01-31	PRIJEM	\N	109	23016	UROK	\N	\N
3565231	1053	1995-02-28	PRIJEM	\N	111	30716	UROK	\N	\N
3565232	1053	1995-03-31	PRIJEM	\N	137	33441	UROK	\N	\N
3565233	1053	1995-04-30	PRIJEM	\N	146	35076	UROK	\N	\N
3565234	1053	1995-05-31	PRIJEM	\N	148	33712	UROK	\N	\N
3565235	1053	1995-06-30	PRIJEM	\N	102	18855	UROK	\N	\N
3565236	1053	1995-07-31	PRIJEM	\N	94	25537	UROK	\N	\N
3565237	1053	1995-08-31	PRIJEM	\N	114	28239	UROK	\N	\N
3565238	1053	1995-09-30	PRIJEM	\N	115	21983	UROK	\N	\N
3565239	1053	1995-10-31	PRIJEM	\N	99	25071	UROK	\N	\N
3565240	1053	1995-11-30	PRIJEM	\N	100	22879	UROK	\N	\N
3565241	1053	1995-12-31	PRIJEM	\N	106	28006	UROK	\N	\N
3565242	1053	1996-01-31	PRIJEM	\N	96	15131	UROK	\N	\N
3565243	1053	1996-02-29	PRIJEM	\N	70	18489	UROK	\N	\N
3565244	1053	1996-03-31	PRIJEM	\N	80	20057	UROK	\N	\N
3565245	1053	1996-04-30	PRIJEM	\N	83	20429	UROK	\N	\N
3565246	1053	1996-05-31	PRIJEM	\N	87	21604	UROK	\N	\N
3565247	1053	1996-06-30	PRIJEM	\N	88	21473	UROK	\N	\N
3565248	1053	1996-07-31	PRIJEM	\N	82	19343	UROK	\N	\N
3565249	1053	1996-08-31	PRIJEM	\N	81	20613	UROK	\N	\N
3565250	1053	1996-09-30	PRIJEM	\N	98	26299	UROK	\N	\N
3565251	1053	1996-10-31	PRIJEM	\N	91	14658	UROK	\N	\N
3565252	1053	1996-11-30	PRIJEM	\N	77	21723	UROK	\N	\N
3565253	1053	1996-12-31	PRIJEM	\N	102	27686	UROK	\N	\N
3565254	1053	1997-01-31	PRIJEM	\N	96	14331	UROK	\N	\N
3565255	1053	1997-02-28	PRIJEM	\N	88	25707	UROK	\N	\N
3565256	1053	1997-03-31	PRIJEM	\N	121	32317	UROK	\N	\N
3565257	1053	1997-04-30	PRIJEM	\N	124	30829	UROK	\N	\N
3565258	1053	1997-05-31	PRIJEM	\N	131	33548	UROK	\N	\N
3565259	1053	1997-06-30	PRIJEM	\N	139	36468	UROK	\N	\N
3565260	1053	1997-07-31	PRIJEM	\N	122	28119	UROK	\N	\N
3565261	1053	1997-08-31	PRIJEM	\N	111	28819	UROK	\N	\N
3565262	1053	1997-09-30	PRIJEM	\N	118	29565	UROK	\N	\N
3565263	1053	1997-10-31	PRIJEM	\N	121	30594	UROK	\N	\N
3565264	1053	1997-11-30	PRIJEM	\N	131	32713	UROK	\N	\N
3565265	1053	1997-12-31	PRIJEM	\N	143	37638	UROK	\N	\N
3565266	1053	1998-01-31	PRIJEM	\N	124	22970	UROK	\N	\N
3565267	1053	1998-02-28	PRIJEM	\N	114	30932	UROK	\N	\N
3565268	1053	1998-03-31	PRIJEM	\N	140	37161	UROK	\N	\N
3565269	1053	1998-04-30	PRIJEM	\N	141	36490	UROK	\N	\N
3565270	1053	1998-05-31	PRIJEM	\N	146	38025	UROK	\N	\N
3565271	1053	1998-06-30	PRIJEM	\N	149	29996	UROK	\N	\N
3565272	1053	1998-07-31	PRIJEM	\N	108	23611	UROK	\N	\N
3565273	1053	1998-08-31	PRIJEM	\N	102	27702	UROK	\N	\N
3565274	1053	1998-09-30	PRIJEM	\N	112	29902	UROK	\N	\N
3565275	1053	1998-10-31	PRIJEM	\N	114	29504	UROK	\N	\N
3565276	1053	1998-11-30	PRIJEM	\N	126	33818	UROK	\N	\N
3565277	1053	1998-12-31	PRIJEM	\N	143	35863	UROK	\N	\N
3565278	1054	1993-03-31	PRIJEM	\N	26	17276	UROK	\N	\N
3565279	1054	1993-04-30	PRIJEM	\N	86	26311	UROK	\N	\N
3565280	1054	1993-05-31	PRIJEM	\N	119	32080	UROK	\N	\N
3565281	1054	1993-06-30	PRIJEM	\N	139	35694	UROK	\N	\N
3565282	1054	1993-07-31	PRIJEM	\N	146	27673	UROK	\N	\N
3565283	1054	1993-08-31	PRIJEM	\N	120	28713	UROK	\N	\N
3565284	1054	1993-09-30	PRIJEM	\N	124	27736	UROK	\N	\N
3565285	1054	1993-10-31	PRIJEM	\N	127	30463	UROK	\N	\N
3565286	1054	1993-11-30	PRIJEM	\N	127	27889	UROK	\N	\N
3565287	1054	1993-12-31	PRIJEM	\N	121	27755	UROK	\N	\N
3565288	1054	1994-01-31	PRIJEM	\N	100	21675	UROK	\N	\N
3565289	1054	1994-02-28	PRIJEM	\N	99	25273	UROK	\N	\N
3565290	1054	1994-03-31	PRIJEM	\N	106	23019	UROK	\N	\N
3565291	1054	1994-04-30	PRIJEM	\N	112	28631	UROK	\N	\N
3565292	1054	1994-05-31	PRIJEM	\N	117	27027	UROK	\N	\N
3565293	1054	1994-06-30	PRIJEM	\N	108	23599	UROK	\N	\N
3565294	1054	1994-07-31	PRIJEM	\N	106	26405	UROK	\N	\N
3565295	1054	1994-08-31	PRIJEM	\N	116	28320	UROK	\N	\N
3565296	1054	1994-09-30	PRIJEM	\N	142	30161	UROK	\N	\N
3565297	1054	1994-10-31	PRIJEM	\N	119	27280	UROK	\N	\N
3565298	1054	1994-11-30	PRIJEM	\N	126	32205	UROK	\N	\N
3565299	1054	1994-12-31	PRIJEM	\N	145	36714	UROK	\N	\N
3565300	1054	1995-01-31	PRIJEM	\N	139	26033	UROK	\N	\N
3565301	1054	1995-02-28	PRIJEM	\N	137	32969	UROK	\N	\N
3565302	1054	1995-03-31	PRIJEM	\N	140	34409	UROK	\N	\N
3565303	1054	1995-04-30	PRIJEM	\N	138	33246	UROK	\N	\N
3565304	1054	1995-05-31	PRIJEM	\N	137	33083	UROK	\N	\N
3565305	1054	1995-06-30	PRIJEM	\N	144	20052	UROK	\N	\N
3565306	1054	1995-07-31	PRIJEM	\N	119	27730	UROK	\N	\N
3565307	1054	1995-08-31	PRIJEM	\N	116	26545	UROK	\N	\N
3565308	1054	1995-09-30	PRIJEM	\N	117	29161	UROK	\N	\N
3565309	1054	1995-10-31	PRIJEM	\N	144	29785	UROK	\N	\N
3565310	1054	1995-11-30	PRIJEM	\N	147	34431	UROK	\N	\N
3565311	1054	1995-12-31	PRIJEM	\N	146	34761	UROK	\N	\N
3565312	1054	1996-01-31	PRIJEM	\N	101	17702	UROK	\N	\N
3565313	1054	1996-02-29	PRIJEM	\N	87	23088	UROK	\N	\N
3565314	1054	1996-03-31	PRIJEM	\N	119	26126	UROK	\N	\N
3565315	1054	1996-04-30	PRIJEM	\N	118	26364	UROK	\N	\N
3565316	1054	1996-05-31	PRIJEM	\N	104	25007	UROK	\N	\N
3565317	1054	1996-06-30	PRIJEM	\N	121	21032	UROK	\N	\N
3565318	1054	1996-07-31	PRIJEM	\N	99	25931	UROK	\N	\N
3565319	1054	1996-08-31	PRIJEM	\N	131	30561	UROK	\N	\N
3565320	1054	1996-09-30	PRIJEM	\N	136	34496	UROK	\N	\N
3565321	1054	1996-10-31	PRIJEM	\N	137	31612	UROK	\N	\N
3565322	1054	1996-11-30	PRIJEM	\N	141	33453	UROK	\N	\N
3565323	1054	1996-12-31	PRIJEM	\N	143	25840	UROK	\N	\N
3565324	1054	1997-01-31	PRIJEM	\N	86	17765	UROK	\N	\N
3565325	1054	1997-02-28	PRIJEM	\N	84	22749	UROK	\N	\N
3565326	1054	1997-03-31	PRIJEM	\N	100	20148	UROK	\N	\N
3565327	1054	1997-04-30	PRIJEM	\N	94	22442	UROK	\N	\N
3565328	1054	1997-05-31	PRIJEM	\N	103	24145	UROK	\N	\N
3565329	1054	1997-06-30	PRIJEM	\N	123	30992	UROK	\N	\N
3565330	1054	1997-07-31	PRIJEM	\N	138	31829	UROK	\N	\N
3565331	1054	1997-08-31	PRIJEM	\N	134	32783	UROK	\N	\N
3565332	1054	1997-09-30	PRIJEM	\N	144	33226	UROK	\N	\N
3565333	1054	1997-10-31	PRIJEM	\N	152	30978	UROK	\N	\N
3565334	1054	1997-11-30	PRIJEM	\N	134	30051	UROK	\N	\N
3565335	1054	1997-12-31	PRIJEM	\N	144	29760	UROK	\N	\N
3565336	1054	1998-01-31	PRIJEM	\N	101	17740	UROK	\N	\N
3565337	1054	1998-02-28	PRIJEM	\N	82	20822	UROK	\N	\N
3565338	1054	1998-03-31	PRIJEM	\N	92	18033	UROK	\N	\N
3565339	1054	1998-04-30	PRIJEM	\N	93	22625	UROK	\N	\N
3565340	1054	1998-05-31	PRIJEM	\N	101	24525	UROK	\N	\N
3565341	1054	1998-06-30	PRIJEM	\N	103	20432	UROK	\N	\N
3565342	1054	1998-07-31	PRIJEM	\N	86	17617	UROK	\N	\N
3565343	1054	1998-08-31	PRIJEM	\N	80	15296	UROK	\N	\N
3565344	1054	1998-09-30	PRIJEM	\N	73	20269	UROK	\N	\N
3565345	1054	1998-10-31	PRIJEM	\N	102	24670	UROK	\N	\N
3565346	1054	1998-11-30	PRIJEM	\N	99	16208	UROK	\N	\N
3565347	1054	1998-12-31	PRIJEM	\N	86	24418	UROK	\N	\N
3565348	1055	1997-05-31	PRIJEM	\N	36	13944	UROK	\N	\N
3565349	1055	1997-06-30	PRIJEM	\N	61	15014	UROK	\N	\N
3565350	1055	1997-07-31	PRIJEM	\N	65	16088	UROK	\N	\N
3565351	1055	1997-08-31	PRIJEM	\N	69	16596	UROK	\N	\N
3565352	1055	1997-09-30	PRIJEM	\N	72	17677	UROK	\N	\N
3565353	1055	1997-10-31	PRIJEM	\N	73	17350	UROK	\N	\N
3565354	1055	1997-11-30	PRIJEM	\N	75	18434	UROK	\N	\N
3565355	1055	1997-12-31	PRIJEM	\N	80	19103	UROK	\N	\N
3565356	1055	1998-01-31	PRIJEM	\N	76	16018	UROK	\N	\N
3565357	1055	1998-02-28	PRIJEM	\N	69	17096	UROK	\N	\N
3565358	1055	1998-03-31	PRIJEM	\N	74	18180	UROK	\N	\N
3565359	1055	1998-04-30	PRIJEM	\N	78	19267	UROK	\N	\N
3565360	1055	1998-05-31	PRIJEM	\N	83	20359	UROK	\N	\N
3565361	1055	1998-06-30	PRIJEM	\N	78	15747	UROK	\N	\N
3565362	1055	1998-07-31	PRIJEM	\N	68	16463	UROK	\N	\N
3565363	1055	1998-08-31	PRIJEM	\N	71	17544	UROK	\N	\N
3565364	1055	1998-09-30	PRIJEM	\N	76	18629	UROK	\N	\N
3565365	1055	1998-10-31	PRIJEM	\N	79	18037	UROK	\N	\N
3565366	1055	1998-11-30	PRIJEM	\N	78	19124	UROK	\N	\N
3565367	1055	1998-12-31	PRIJEM	\N	83	19556	UROK	\N	\N
3565368	1056	1997-02-28	PRIJEM	\N	16	36625	UROK	\N	\N
3565369	1056	1997-03-31	PRIJEM	\N	257	58642	UROK	\N	\N
3565370	1056	1997-04-30	PRIJEM	\N	243	34585	UROK	\N	\N
3565371	1056	1997-05-31	PRIJEM	\N	222	26159	UROK	\N	\N
3565372	1056	1997-06-30	PRIJEM	\N	182	29637	UROK	\N	\N
3565373	1056	1997-07-31	PRIJEM	\N	176	60754	UROK	\N	\N
3565374	1056	1997-08-31	PRIJEM	\N	300	51732	UROK	\N	\N
3565375	1056	1997-09-30	PRIJEM	\N	192	27502	UROK	\N	\N
3565376	1056	1997-10-31	PRIJEM	\N	125	25320	UROK	\N	\N
3565377	1056	1997-11-30	PRIJEM	\N	109	21837	UROK	\N	\N
3565378	1056	1997-12-31	PRIJEM	\N	84	13837	UROK	\N	\N
3565379	1056	1998-01-31	PRIJEM	\N	57	8171	UROK	\N	\N
3565380	1056	1998-02-28	PRIJEM	\N	33	2482	UROK	\N	\N
3565381	1056	1998-04-30	PRIJEM	\N	10	2442	UROK	\N	\N
3565382	1056	1998-04-30	PRIJEM	\N	10	2432	UROK	\N	\N
3565383	1056	1998-06-30	PRIJEM	\N	10	2393	UROK	\N	\N
3565384	1056	1998-06-30	PRIJEM	\N	10	2403	UROK	\N	\N
3565385	1056	1998-07-31	PRIJEM	\N	10	2383	UROK	\N	\N
3565386	1056	1998-09-30	PRIJEM	\N	10	2333	UROK	\N	\N
3565387	1056	1998-09-30	PRIJEM	\N	10	2343	UROK	\N	\N
3565388	1056	1998-11-30	PRIJEM	\N	10	2293	UROK	\N	\N
3565389	1057	1994-01-31	PRIJEM	\N	47	13407	UROK	\N	\N
3565390	1057	1994-02-28	PRIJEM	\N	66	15005	UROK	\N	\N
3565391	1057	1994-03-31	PRIJEM	\N	74	16610	UROK	\N	\N
3565392	1057	1994-04-30	PRIJEM	\N	80	18222	UROK	\N	\N
3565393	1057	1994-05-31	PRIJEM	\N	80	19833	UROK	\N	\N
3565394	1057	1994-06-30	PRIJEM	\N	94	21458	UROK	\N	\N
3565395	1057	1994-07-31	PRIJEM	\N	88	20078	UROK	\N	\N
3565396	1057	1994-08-31	PRIJEM	\N	86	16975	UROK	\N	\N
3565397	1057	1994-09-30	PRIJEM	\N	72	15138	UROK	\N	\N
3565398	1057	1994-10-31	PRIJEM	\N	64	15213	UROK	\N	\N
3565399	1057	1994-11-30	PRIJEM	\N	67	16812	UROK	\N	\N
3565400	1057	1994-12-31	PRIJEM	\N	68	14582	UROK	\N	\N
3565401	1057	1995-01-31	PRIJEM	\N	58	13371	UROK	\N	\N
3565402	1057	1995-02-28	PRIJEM	\N	59	14962	UROK	\N	\N
3565403	1057	1995-03-31	PRIJEM	\N	65	15358	UROK	\N	\N
3565404	1057	1995-04-30	PRIJEM	\N	74	16483	UROK	\N	\N
3565405	1057	1995-05-31	PRIJEM	\N	72	18087	UROK	\N	\N
3565406	1057	1995-06-30	PRIJEM	\N	74	16893	UROK	\N	\N
3565407	1057	1995-07-31	PRIJEM	\N	71	16895	UROK	\N	\N
3565408	1057	1995-08-31	PRIJEM	\N	78	17004	UROK	\N	\N
3565409	1057	1995-09-30	PRIJEM	\N	72	14807	UROK	\N	\N
3565410	1057	1995-10-31	PRIJEM	\N	69	14908	UROK	\N	\N
3565411	1057	1995-11-30	PRIJEM	\N	67	14126	UROK	\N	\N
3565412	1057	1995-12-31	PRIJEM	\N	61	15018	UROK	\N	\N
3565413	1057	1996-01-31	PRIJEM	\N	61	13650	UROK	\N	\N
3565414	1057	1996-02-29	PRIJEM	\N	56	13437	UROK	\N	\N
3565415	1057	1996-03-31	PRIJEM	\N	60	15028	UROK	\N	\N
3565416	1057	1996-04-30	PRIJEM	\N	66	16625	UROK	\N	\N
3565417	1057	1996-05-31	PRIJEM	\N	80	18237	UROK	\N	\N
3565418	1057	1996-06-30	PRIJEM	\N	87	19855	UROK	\N	\N
3565419	1057	1996-07-31	PRIJEM	\N	90	19876	UROK	\N	\N
3565420	1057	1996-08-31	PRIJEM	\N	73	13380	UROK	\N	\N
3565421	1057	1996-09-30	PRIJEM	\N	57	13849	UROK	\N	\N
3565422	1057	1996-10-31	PRIJEM	\N	61	15441	UROK	\N	\N
3565423	1057	1996-11-30	PRIJEM	\N	75	17047	UROK	\N	\N
3565424	1057	1996-12-31	PRIJEM	\N	74	16162	UROK	\N	\N
3565425	1057	1997-01-31	PRIJEM	\N	65	14108	UROK	\N	\N
3565426	1057	1997-02-28	PRIJEM	\N	62	15701	UROK	\N	\N
3565427	1057	1997-03-31	PRIJEM	\N	69	17301	UROK	\N	\N
3565428	1057	1997-04-30	PRIJEM	\N	82	18915	UROK	\N	\N
3565429	1057	1997-05-31	PRIJEM	\N	82	17809	UROK	\N	\N
3565430	1057	1997-06-30	PRIJEM	\N	74	16054	UROK	\N	\N
3565431	1057	1997-07-31	PRIJEM	\N	77	17663	UROK	\N	\N
3565432	1057	1997-08-31	PRIJEM	\N	84	19278	UROK	\N	\N
3565433	1057	1997-09-30	PRIJEM	\N	83	20893	UROK	\N	\N
3565434	1057	1997-10-31	PRIJEM	\N	91	20035	UROK	\N	\N
3565435	1057	1997-11-30	PRIJEM	\N	86	21653	UROK	\N	\N
3565436	1057	1997-12-31	PRIJEM	\N	100	22933	UROK	\N	\N
3565437	1057	1998-01-31	PRIJEM	\N	89	17354	UROK	\N	\N
3565438	1057	1998-02-28	PRIJEM	\N	75	18960	UROK	\N	\N
3565439	1057	1998-03-31	PRIJEM	\N	88	19540	UROK	\N	\N
3565440	1057	1998-04-30	PRIJEM	\N	91	21162	UROK	\N	\N
3565441	1057	1998-05-31	PRIJEM	\N	89	22142	UROK	\N	\N
3565442	1057	1998-06-30	PRIJEM	\N	102	23775	UROK	\N	\N
3565443	1057	1998-07-31	PRIJEM	\N	92	21719	UROK	\N	\N
3565444	1057	1998-08-31	PRIJEM	\N	92	22942	UROK	\N	\N
3565445	1057	1998-09-30	PRIJEM	\N	105	24578	UROK	\N	\N
3565446	1057	1998-10-31	PRIJEM	\N	105	26214	UROK	\N	\N
3565447	1057	1998-11-30	PRIJEM	\N	118	27864	UROK	\N	\N
3565448	1057	1998-12-31	PRIJEM	\N	111	25706	UROK	\N	\N
3565449	1058	1996-07-31	PRIJEM	\N	69	24649	UROK	\N	\N
3565450	1058	1996-08-31	PRIJEM	\N	136	35965	UROK	\N	\N
3565451	1058	1996-09-30	PRIJEM	\N	207	55852	UROK	\N	\N
3565452	1058	1996-10-31	PRIJEM	\N	255	63687	UROK	\N	\N
3565453	1058	1996-11-30	PRIJEM	\N	288	71755	UROK	\N	\N
3565454	1058	1996-12-31	PRIJEM	\N	327	84438	UROK	\N	\N
3565455	1058	1997-01-31	PRIJEM	\N	280	54514	UROK	\N	\N
3565456	1058	1997-02-28	PRIJEM	\N	243	63654	UROK	\N	\N
3565457	1058	1997-03-31	PRIJEM	\N	282	70033	UROK	\N	\N
3565458	1058	1997-04-30	PRIJEM	\N	269	66198	UROK	\N	\N
3565459	1058	1997-05-31	PRIJEM	\N	281	70775	UROK	\N	\N
3565460	1058	1997-06-30	PRIJEM	\N	283	54895	UROK	\N	\N
3565461	1058	1997-07-31	PRIJEM	\N	263	68654	UROK	\N	\N
3565462	1058	1997-08-31	PRIJEM	\N	299	76949	UROK	\N	\N
3565463	1058	1997-09-30	PRIJEM	\N	298	71383	UROK	\N	\N
3565464	1058	1997-10-31	PRIJEM	\N	278	68037	UROK	\N	\N
3565465	1058	1997-11-30	PRIJEM	\N	278	70611	UROK	\N	\N
3565466	1058	1997-12-31	PRIJEM	\N	321	86188	UROK	\N	\N
3565467	1058	1998-01-31	PRIJEM	\N	260	59684	UROK	\N	\N
3565468	1058	1998-02-28	PRIJEM	\N	249	63829	UROK	\N	\N
3565469	1058	1998-03-31	PRIJEM	\N	270	69795	UROK	\N	\N
3565470	1058	1998-04-30	PRIJEM	\N	253	64205	UROK	\N	\N
3565471	1058	1998-05-31	PRIJEM	\N	249	64450	UROK	\N	\N
3565472	1058	1998-06-30	PRIJEM	\N	280	51846	UROK	\N	\N
3565473	1058	1998-07-31	PRIJEM	\N	227	59970	UROK	\N	\N
3565474	1058	1998-08-31	PRIJEM	\N	255	46621	UROK	\N	\N
3565475	1058	1998-09-30	PRIJEM	\N	242	47960	UROK	\N	\N
3565476	1058	1998-10-31	PRIJEM	\N	231	47687	UROK	\N	\N
3565477	1058	1998-11-30	PRIJEM	\N	245	51729	UROK	\N	\N
3565478	1058	1998-12-31	PRIJEM	\N	299	82264	UROK	\N	\N
3565479	1059	1995-10-31	PRIJEM	\N	46	13720	UROK	\N	\N
3565480	1059	1995-11-30	PRIJEM	\N	58	13668	UROK	\N	\N
3565481	1059	1995-12-31	PRIJEM	\N	60	14518	UROK	\N	\N
3565482	1059	1996-01-31	PRIJEM	\N	56	12423	UROK	\N	\N
3565483	1059	1996-02-29	PRIJEM	\N	55	13538	UROK	\N	\N
3565484	1059	1996-03-31	PRIJEM	\N	60	14657	UROK	\N	\N
3565485	1059	1996-04-30	PRIJEM	\N	63	14480	UROK	\N	\N
3565486	1059	1996-05-31	PRIJEM	\N	61	14131	UROK	\N	\N
3565487	1059	1996-06-30	PRIJEM	\N	61	14351	UROK	\N	\N
3565488	1059	1996-07-31	PRIJEM	\N	60	12971	UROK	\N	\N
3565489	1059	1996-08-31	PRIJEM	\N	57	13487	UROK	\N	\N
3565490	1059	1996-09-30	PRIJEM	\N	54	10401	UROK	\N	\N
3565491	1059	1996-10-31	PRIJEM	\N	47	11507	UROK	\N	\N
3565492	1059	1996-11-30	PRIJEM	\N	51	12618	UROK	\N	\N
3565493	1059	1996-12-31	PRIJEM	\N	53	12650	UROK	\N	\N
3565494	1059	1997-01-31	PRIJEM	\N	53	12803	UROK	\N	\N
3565495	1059	1997-02-28	PRIJEM	\N	57	13919	UROK	\N	\N
3565496	1059	1997-03-31	PRIJEM	\N	61	14620	UROK	\N	\N
3565497	1059	1997-04-30	PRIJEM	\N	64	15743	UROK	\N	\N
3565498	1059	1997-05-31	PRIJEM	\N	69	16872	UROK	\N	\N
3565499	1059	1997-06-30	PRIJEM	\N	61	14002	UROK	\N	\N
3565500	1059	1997-07-31	PRIJEM	\N	62	15123	UROK	\N	\N
3565501	1059	1997-08-31	PRIJEM	\N	66	16249	UROK	\N	\N
3565502	1059	1997-09-30	PRIJEM	\N	71	17139	UROK	\N	\N
3565503	1059	1997-10-31	PRIJEM	\N	75	18273	UROK	\N	\N
3565504	1059	1997-11-30	PRIJEM	\N	79	19412	UROK	\N	\N
3565505	1059	1997-12-31	PRIJEM	\N	83	19534	UROK	\N	\N
3565506	1059	1998-01-31	PRIJEM	\N	78	16741	UROK	\N	\N
3565507	1059	1998-02-28	PRIJEM	\N	73	17874	UROK	\N	\N
3565508	1059	1998-03-31	PRIJEM	\N	78	19011	UROK	\N	\N
3565509	1059	1998-04-30	PRIJEM	\N	82	18772	UROK	\N	\N
3565510	1059	1998-05-31	PRIJEM	\N	81	19913	UROK	\N	\N
3565511	1059	1998-06-30	PRIJEM	\N	65	12537	UROK	\N	\N
3565512	1059	1998-07-31	PRIJEM	\N	55	13652	UROK	\N	\N
3565513	1059	1998-08-31	PRIJEM	\N	60	14771	UROK	\N	\N
3565514	1059	1998-09-30	PRIJEM	\N	63	15033	UROK	\N	\N
3565515	1059	1998-10-31	PRIJEM	\N	55	12448	UROK	\N	\N
3565516	1059	1998-11-30	PRIJEM	\N	54	13261	UROK	\N	\N
3565517	1059	1998-12-31	PRIJEM	\N	57	14078	UROK	\N	\N
3565518	1061	1997-11-30	PRIJEM	\N	31	15016	UROK	\N	\N
3565519	1061	1997-12-31	PRIJEM	\N	83	24627	UROK	\N	\N
3565520	1061	1998-01-31	PRIJEM	\N	105	25917	UROK	\N	\N
3565521	1061	1998-02-28	PRIJEM	\N	109	26511	UROK	\N	\N
3565522	1061	1998-03-31	PRIJEM	\N	105	23912	UROK	\N	\N
3565523	1061	1998-04-30	PRIJEM	\N	94	18486	UROK	\N	\N
3565524	1061	1998-05-31	PRIJEM	\N	79	19245	UROK	\N	\N
3565525	1061	1998-06-30	PRIJEM	\N	75	16844	UROK	\N	\N
3565526	1061	1998-07-31	PRIJEM	\N	74	17398	UROK	\N	\N
3565527	1061	1998-08-31	PRIJEM	\N	68	12146	UROK	\N	\N
3565528	1061	1998-09-30	PRIJEM	\N	55	14082	UROK	\N	\N
3565529	1061	1998-10-31	PRIJEM	\N	39	6701	UROK	\N	\N
3565530	1061	1998-11-30	PRIJEM	\N	33	8614	UROK	\N	\N
3565531	1061	1998-12-31	PRIJEM	\N	48	13385	UROK	\N	\N
3565532	1062	1993-08-31	PRIJEM	\N	67	22643	UROK	\N	\N
3565533	1062	1993-09-30	PRIJEM	\N	134	35652	UROK	\N	\N
3565534	1062	1993-10-31	PRIJEM	\N	171	43099	UROK	\N	\N
3565535	1062	1993-11-30	PRIJEM	\N	185	44960	UROK	\N	\N
3565536	1062	1993-12-31	PRIJEM	\N	196	45576	UROK	\N	\N
3565537	1062	1994-01-31	PRIJEM	\N	153	32147	UROK	\N	\N
3565538	1062	1994-02-28	PRIJEM	\N	152	34816	UROK	\N	\N
3565539	1062	1994-03-31	PRIJEM	\N	137	27270	UROK	\N	\N
3565540	1062	1994-04-30	PRIJEM	\N	125	25912	UROK	\N	\N
3565541	1062	1994-05-31	PRIJEM	\N	121	27651	UROK	\N	\N
3565542	1062	1994-06-30	PRIJEM	\N	164	22720	UROK	\N	\N
3565543	1062	1994-07-31	PRIJEM	\N	125	29263	UROK	\N	\N
3565544	1062	1994-08-31	PRIJEM	\N	158	36538	UROK	\N	\N
3565545	1062	1994-09-30	PRIJEM	\N	191	45846	UROK	\N	\N
3565546	1062	1994-10-31	PRIJEM	\N	209	48373	UROK	\N	\N
3565547	1062	1994-11-30	PRIJEM	\N	231	54621	UROK	\N	\N
3565548	1062	1994-12-31	PRIJEM	\N	280	66106	UROK	\N	\N
3565549	1062	1995-01-31	PRIJEM	\N	268	61392	UROK	\N	\N
3565550	1062	1995-02-28	PRIJEM	\N	255	58664	UROK	\N	\N
3565551	1062	1995-03-31	PRIJEM	\N	247	55528	UROK	\N	\N
3565552	1062	1995-04-30	PRIJEM	\N	236	54681	UROK	\N	\N
3565553	1062	1995-05-31	PRIJEM	\N	236	54835	UROK	\N	\N
3565554	1062	1995-06-30	PRIJEM	\N	206	50147	UROK	\N	\N
3565555	1062	1995-07-31	PRIJEM	\N	228	53592	UROK	\N	\N
3565556	1062	1995-08-31	PRIJEM	\N	218	34928	UROK	\N	\N
3565557	1062	1995-09-30	PRIJEM	\N	178	40123	UROK	\N	\N
3565558	1062	1995-10-31	PRIJEM	\N	198	43139	UROK	\N	\N
3565559	1062	1995-11-30	PRIJEM	\N	209	44365	UROK	\N	\N
3565560	1062	1995-12-31	PRIJEM	\N	269	48640	UROK	\N	\N
3565561	1062	1996-01-31	PRIJEM	\N	228	42285	UROK	\N	\N
3565562	1062	1996-02-29	PRIJEM	\N	192	45094	UROK	\N	\N
3565563	1062	1996-03-31	PRIJEM	\N	215	41626	UROK	\N	\N
3565564	1062	1996-04-30	PRIJEM	\N	200	44943	UROK	\N	\N
3565565	1062	1996-05-31	PRIJEM	\N	211	46472	UROK	\N	\N
3565566	1062	1996-06-30	PRIJEM	\N	245	51823	UROK	\N	\N
3565567	1062	1996-07-31	PRIJEM	\N	236	51776	UROK	\N	\N
3565568	1062	1996-08-31	PRIJEM	\N	231	52525	UROK	\N	\N
3565569	1062	1996-09-30	PRIJEM	\N	236	52778	UROK	\N	\N
3565570	1062	1996-10-31	PRIJEM	\N	235	51531	UROK	\N	\N
3565571	1062	1996-11-30	PRIJEM	\N	231	53079	UROK	\N	\N
3565572	1062	1996-12-31	PRIJEM	\N	257	57741	UROK	\N	\N
3565573	1062	1997-01-31	PRIJEM	\N	249	49608	UROK	\N	\N
3565574	1062	1997-02-28	PRIJEM	\N	217	49542	UROK	\N	\N
3565575	1062	1997-03-31	PRIJEM	\N	218	48177	UROK	\N	\N
3565576	1062	1997-04-30	PRIJEM	\N	215	50010	UROK	\N	\N
3565577	1062	1997-05-31	PRIJEM	\N	215	47242	UROK	\N	\N
3565578	1062	1997-06-30	PRIJEM	\N	185	39333	UROK	\N	\N
3565579	1062	1997-07-31	PRIJEM	\N	179	43129	UROK	\N	\N
3565580	1062	1997-08-31	PRIJEM	\N	194	47540	UROK	\N	\N
3565581	1062	1997-09-30	PRIJEM	\N	202	47360	UROK	\N	\N
3565582	1062	1997-10-31	PRIJEM	\N	207	50184	UROK	\N	\N
3565583	1062	1997-11-30	PRIJEM	\N	226	50427	UROK	\N	\N
3565584	1062	1997-12-31	PRIJEM	\N	247	57280	UROK	\N	\N
3565585	1062	1998-01-31	PRIJEM	\N	236	54033	UROK	\N	\N
3565586	1062	1998-02-28	PRIJEM	\N	214	48464	UROK	\N	\N
3565587	1062	1998-03-31	PRIJEM	\N	207	50689	UROK	\N	\N
3565588	1062	1998-04-30	PRIJEM	\N	215	53222	UROK	\N	\N
3565589	1062	1998-05-31	PRIJEM	\N	213	49452	UROK	\N	\N
3565590	1062	1998-06-30	PRIJEM	\N	183	39040	UROK	\N	\N
3565591	1062	1998-07-31	PRIJEM	\N	160	39218	UROK	\N	\N
3565592	1062	1998-08-31	PRIJEM	\N	194	41629	UROK	\N	\N
3565593	1062	1998-09-30	PRIJEM	\N	155	36201	UROK	\N	\N
3565594	1062	1998-10-31	PRIJEM	\N	132	30950	UROK	\N	\N
3565595	1062	1998-11-30	PRIJEM	\N	112	26079	UROK	\N	\N
3565596	1062	1998-12-31	PRIJEM	\N	140	30025	UROK	\N	\N
3565597	1064	1998-01-31	PRIJEM	\N	16	23408	UROK	\N	\N
3565598	1064	1998-02-28	PRIJEM	\N	99	26355	UROK	\N	\N
3565599	1064	1998-03-31	PRIJEM	\N	117	26887	UROK	\N	\N
3565600	1064	1998-04-30	PRIJEM	\N	118	25820	UROK	\N	\N
3565601	1064	1998-05-31	PRIJEM	\N	112	21927	UROK	\N	\N
3565602	1064	1998-06-30	PRIJEM	\N	97	21240	UROK	\N	\N
3565603	1064	1998-07-31	PRIJEM	\N	91	21786	UROK	\N	\N
3565604	1064	1998-08-31	PRIJEM	\N	99	24901	UROK	\N	\N
3565605	1064	1998-09-30	PRIJEM	\N	104	25681	UROK	\N	\N
3565606	1064	1998-10-31	PRIJEM	\N	115	28811	UROK	\N	\N
3565607	1064	1998-11-30	PRIJEM	\N	121	25248	UROK	\N	\N
3565608	1064	1998-12-31	PRIJEM	\N	105	24468	UROK	\N	\N
3565609	1067	1996-09-30	PRIJEM	\N	72	43076	UROK	\N	\N
3565610	1067	1996-10-31	PRIJEM	\N	179	33355	UROK	\N	\N
3565611	1067	1996-11-30	PRIJEM	\N	233	76481	UROK	\N	\N
3565612	1067	1996-12-31	PRIJEM	\N	286	58363	UROK	\N	\N
3565613	1067	1997-01-31	PRIJEM	\N	98	17935	UROK	\N	\N
3565614	1067	1997-02-28	PRIJEM	\N	78	20662	UROK	\N	\N
3565615	1067	1997-03-31	PRIJEM	\N	93	23030	UROK	\N	\N
3565616	1067	1997-04-30	PRIJEM	\N	191	58302	UROK	\N	\N
3565617	1067	1997-05-31	PRIJEM	\N	280	89300	UROK	\N	\N
3565618	1067	1997-06-30	PRIJEM	\N	217	31092	UROK	\N	\N
3565619	1067	1997-07-31	PRIJEM	\N	181	68726	UROK	\N	\N
3565620	1067	1997-08-31	PRIJEM	\N	389	99607	UROK	\N	\N
3565621	1067	1997-09-30	PRIJEM	\N	313	63047	UROK	\N	\N
3565622	1067	1997-10-31	PRIJEM	\N	234	146318	UROK	\N	\N
3565623	1067	1997-11-30	PRIJEM	\N	316	83861	UROK	\N	\N
3565624	1067	1997-12-31	PRIJEM	\N	278	67316	UROK	\N	\N
3565625	1067	1998-01-31	PRIJEM	\N	190	50608	UROK	\N	\N
3565626	1067	1998-02-28	PRIJEM	\N	214	50043	UROK	\N	\N
3565627	1067	1998-03-31	PRIJEM	\N	338	124812	UROK	\N	\N
3565628	1067	1998-04-30	PRIJEM	\N	410	91916	UROK	\N	\N
3565629	1067	1998-05-31	PRIJEM	\N	438	106316	UROK	\N	\N
3565630	1067	1998-06-30	PRIJEM	\N	324	72814	UROK	\N	\N
3565631	1067	1998-07-31	PRIJEM	\N	239	53227	UROK	\N	\N
3565632	1067	1998-08-31	PRIJEM	\N	182	45284	UROK	\N	\N
3565633	1067	1998-09-30	PRIJEM	\N	346	76085	UROK	\N	\N
3565634	1067	1998-10-31	PRIJEM	\N	273	64338	UROK	\N	\N
3565635	1067	1998-11-30	PRIJEM	\N	346	71879	UROK	\N	\N
3565636	1067	1998-12-31	PRIJEM	\N	362	71968	UROK	\N	\N
3565637	1068	1997-03-31	PRIJEM	\N	143	51099	UROK	\N	\N
3565638	1068	1997-04-30	PRIJEM	\N	235	61926	UROK	\N	\N
3565639	1068	1997-05-31	PRIJEM	\N	263	66028	UROK	\N	\N
3565640	1068	1997-06-30	PRIJEM	\N	274	47602	UROK	\N	\N
3565641	1068	1997-07-31	PRIJEM	\N	187	31451	UROK	\N	\N
3565642	1068	1997-08-31	PRIJEM	\N	105	23699	UROK	\N	\N
3565643	1068	1997-09-30	PRIJEM	\N	89	22131	UROK	\N	\N
3565644	1068	1997-10-31	PRIJEM	\N	88	22762	UROK	\N	\N
3565645	1068	1997-11-30	PRIJEM	\N	90	24295	UROK	\N	\N
3565646	1068	1997-12-31	PRIJEM	\N	205	70193	UROK	\N	\N
3565647	1068	1998-01-31	PRIJEM	\N	139	25748	UROK	\N	\N
3565648	1068	1998-02-28	PRIJEM	\N	102	18594	UROK	\N	\N
3565649	1068	1998-03-31	PRIJEM	\N	91	25328	UROK	\N	\N
3565650	1068	1998-04-30	PRIJEM	\N	103	24674	UROK	\N	\N
3565651	1068	1998-05-31	PRIJEM	\N	111	25981	UROK	\N	\N
3565652	1068	1998-06-30	PRIJEM	\N	108	23232	UROK	\N	\N
3565653	1068	1998-07-31	PRIJEM	\N	119	31795	UROK	\N	\N
3565654	1068	1998-08-31	PRIJEM	\N	159	75316	UROK	\N	\N
3565655	1068	1998-09-30	PRIJEM	\N	231	48834	UROK	\N	\N
3565656	1068	1998-10-31	PRIJEM	\N	179	40837	UROK	\N	\N
3565657	1068	1998-11-30	PRIJEM	\N	147	28362	UROK	\N	\N
3565658	1068	1998-12-31	PRIJEM	\N	130	30117	UROK	\N	\N
3565659	1069	1993-12-31	PRIJEM	\N	38	18893	UROK	\N	\N
3565660	1069	1994-01-31	PRIJEM	\N	58	12558	UROK	\N	\N
3565661	1069	1994-02-28	PRIJEM	\N	56	14140	UROK	\N	\N
3565662	1069	1994-03-31	PRIJEM	\N	63	15729	UROK	\N	\N
3565663	1069	1994-04-30	PRIJEM	\N	69	15564	UROK	\N	\N
3565664	1069	1994-05-31	PRIJEM	\N	69	17159	UROK	\N	\N
3565665	1069	1994-06-30	PRIJEM	\N	73	16109	UROK	\N	\N
3565666	1069	1994-07-31	PRIJEM	\N	71	17707	UROK	\N	\N
3565667	1069	1994-08-31	PRIJEM	\N	78	19311	UROK	\N	\N
3565668	1069	1994-09-30	PRIJEM	\N	77	19394	UROK	\N	\N
3565669	1069	1994-10-31	PRIJEM	\N	85	21005	UROK	\N	\N
3565670	1069	1994-11-30	PRIJEM	\N	89	21100	UROK	\N	\N
3565671	1069	1994-12-31	PRIJEM	\N	85	16592	UROK	\N	\N
3565672	1069	1995-01-31	PRIJEM	\N	53	12971	UROK	\N	\N
3565673	1069	1995-02-28	PRIJEM	\N	58	14555	UROK	\N	\N
3565674	1069	1995-03-31	PRIJEM	\N	64	16146	UROK	\N	\N
3565675	1069	1995-04-30	PRIJEM	\N	71	17743	UROK	\N	\N
3565676	1069	1995-05-31	PRIJEM	\N	62	13331	UROK	\N	\N
3565677	1069	1995-06-30	PRIJEM	\N	59	14917	UROK	\N	\N
3565678	1069	1995-07-31	PRIJEM	\N	66	16509	UROK	\N	\N
3565679	1069	1995-08-31	PRIJEM	\N	72	16987	UROK	\N	\N
3565680	1069	1995-09-30	PRIJEM	\N	74	18588	UROK	\N	\N
3565681	1069	1995-10-31	PRIJEM	\N	81	20195	UROK	\N	\N
3565682	1069	1995-11-30	PRIJEM	\N	88	21809	UROK	\N	\N
3565683	1069	1995-12-31	PRIJEM	\N	90	23176	UROK	\N	\N
3565684	1069	1996-01-31	PRIJEM	\N	73	14645	UROK	\N	\N
3565685	1069	1996-02-29	PRIJEM	\N	64	16236	UROK	\N	\N
3565686	1069	1996-03-31	PRIJEM	\N	71	17833	UROK	\N	\N
3565687	1069	1996-04-30	PRIJEM	\N	78	19438	UROK	\N	\N
3565688	1069	1996-05-31	PRIJEM	\N	84	20328	UROK	\N	\N
3565689	1069	1996-06-30	PRIJEM	\N	78	17263	UROK	\N	\N
3565690	1069	1996-07-31	PRIJEM	\N	69	14678	UROK	\N	\N
3565691	1069	1996-08-31	PRIJEM	\N	65	16268	UROK	\N	\N
3565692	1069	1996-09-30	PRIJEM	\N	71	17866	UROK	\N	\N
3565693	1069	1996-10-31	PRIJEM	\N	78	19470	UROK	\N	\N
3565694	1069	1996-11-30	PRIJEM	\N	81	19557	UROK	\N	\N
3565695	1069	1996-12-31	PRIJEM	\N	79	19912	UROK	\N	\N
3565696	1069	1997-01-31	PRIJEM	\N	63	15421	UROK	\N	\N
3565697	1069	1997-02-28	PRIJEM	\N	67	17015	UROK	\N	\N
3565698	1069	1997-03-31	PRIJEM	\N	74	18615	UROK	\N	\N
3565699	1069	1997-04-30	PRIJEM	\N	63	16405	UROK	\N	\N
3565700	1069	1997-05-31	PRIJEM	\N	71	18002	UROK	\N	\N
3565701	1069	1997-06-30	PRIJEM	\N	78	19607	UROK	\N	\N
3565702	1069	1997-07-31	PRIJEM	\N	85	21218	UROK	\N	\N
3565703	1069	1997-08-31	PRIJEM	\N	91	22835	UROK	\N	\N
3565704	1069	1997-09-30	PRIJEM	\N	97	21979	UROK	\N	\N
3565705	1069	1997-10-31	PRIJEM	\N	94	23599	UROK	\N	\N
3565706	1069	1997-11-30	PRIJEM	\N	101	25227	UROK	\N	\N
3565707	1069	1997-12-31	PRIJEM	\N	107	26510	UROK	\N	\N
3565708	1069	1998-01-31	PRIJEM	\N	78	16684	UROK	\N	\N
3565709	1069	1998-02-28	PRIJEM	\N	72	18283	UROK	\N	\N
3565710	1069	1998-03-31	PRIJEM	\N	79	19888	UROK	\N	\N
3565711	1069	1998-04-30	PRIJEM	\N	71	18525	UROK	\N	\N
3565712	1069	1998-05-31	PRIJEM	\N	74	17325	UROK	\N	\N
3565713	1069	1998-06-30	PRIJEM	\N	74	18926	UROK	\N	\N
3565714	1069	1998-07-31	PRIJEM	\N	81	20533	UROK	\N	\N
3565715	1069	1998-08-31	PRIJEM	\N	88	22147	UROK	\N	\N
3565716	1069	1998-09-30	PRIJEM	\N	93	23046	UROK	\N	\N
3565717	1069	1998-10-31	PRIJEM	\N	88	22421	UROK	\N	\N
3565718	1069	1998-11-30	PRIJEM	\N	95	24043	UROK	\N	\N
3565719	1069	1998-12-31	PRIJEM	\N	102	25221	UROK	\N	\N
3565720	1070	1996-05-31	PRIJEM	\N	22	18439	UROK	\N	\N
3565721	1070	1996-06-30	PRIJEM	\N	93	31759	UROK	\N	\N
3565722	1070	1996-07-31	PRIJEM	\N	135	33810	UROK	\N	\N
3565723	1070	1996-08-31	PRIJEM	\N	140	33567	UROK	\N	\N
3565724	1070	1996-09-30	PRIJEM	\N	157	34725	UROK	\N	\N
3565725	1070	1996-10-31	PRIJEM	\N	155	28566	UROK	\N	\N
3565726	1070	1996-11-30	PRIJEM	\N	140	27893	UROK	\N	\N
3565727	1070	1996-12-31	PRIJEM	\N	180	31368	UROK	\N	\N
3565728	1070	1997-01-31	PRIJEM	\N	133	24488	UROK	\N	\N
3565729	1070	1997-02-28	PRIJEM	\N	127	28001	UROK	\N	\N
3565730	1070	1997-03-31	PRIJEM	\N	140	30427	UROK	\N	\N
3565731	1070	1997-04-30	PRIJEM	\N	126	25340	UROK	\N	\N
3565732	1070	1997-05-31	PRIJEM	\N	113	22540	UROK	\N	\N
3565733	1070	1997-06-30	PRIJEM	\N	130	27466	UROK	\N	\N
3565734	1070	1997-07-31	PRIJEM	\N	122	25574	UROK	\N	\N
3565735	1070	1997-08-31	PRIJEM	\N	118	24179	UROK	\N	\N
3565736	1070	1997-09-30	PRIJEM	\N	104	21969	UROK	\N	\N
3565737	1070	1997-10-31	PRIJEM	\N	112	25568	UROK	\N	\N
3565738	1070	1997-11-30	PRIJEM	\N	126	29381	UROK	\N	\N
3565739	1070	1997-12-31	PRIJEM	\N	140	32016	UROK	\N	\N
3565740	1070	1998-01-31	PRIJEM	\N	124	24827	UROK	\N	\N
3565741	1070	1998-02-28	PRIJEM	\N	109	25523	UROK	\N	\N
3565742	1070	1998-03-31	PRIJEM	\N	122	28231	UROK	\N	\N
3565743	1070	1998-04-30	PRIJEM	\N	124	28541	UROK	\N	\N
3565744	1070	1998-05-31	PRIJEM	\N	116	25544	UROK	\N	\N
3565745	1070	1998-06-30	PRIJEM	\N	119	26658	UROK	\N	\N
3565746	1070	1998-07-31	PRIJEM	\N	111	24255	UROK	\N	\N
3565747	1070	1998-08-31	PRIJEM	\N	119	29561	UROK	\N	\N
3565748	1070	1998-09-30	PRIJEM	\N	115	26763	UROK	\N	\N
3565749	1070	1998-10-31	PRIJEM	\N	98	19647	UROK	\N	\N
3565750	1070	1998-11-30	PRIJEM	\N	82	20115	UROK	\N	\N
3565751	1070	1998-12-31	PRIJEM	\N	132	36543	UROK	\N	\N
3565752	1071	1993-05-31	PRIJEM	\N	70	58114	UROK	\N	\N
3565753	1071	1993-06-30	PRIJEM	\N	329	90618	UROK	\N	\N
3565754	1071	1993-07-31	PRIJEM	\N	376	57495	UROK	\N	\N
3565755	1071	1993-08-31	PRIJEM	\N	310	49770	UROK	\N	\N
3565756	1071	1993-09-30	PRIJEM	\N	256	77158	UROK	\N	\N
3565757	1071	1993-10-31	PRIJEM	\N	184	32955	UROK	\N	\N
3565758	1071	1993-11-30	PRIJEM	\N	119	16754	UROK	\N	\N
3565759	1071	1993-12-31	PRIJEM	\N	70	15194	UROK	\N	\N
3565760	1071	1994-01-31	PRIJEM	\N	209	81359	UROK	\N	\N
3565761	1071	1994-02-28	PRIJEM	\N	248	52910	UROK	\N	\N
3565762	1071	1994-03-31	PRIJEM	\N	235	45220	UROK	\N	\N
3565763	1071	1994-04-30	PRIJEM	\N	122	18166	UROK	\N	\N
3565764	1071	1994-05-31	PRIJEM	\N	78	24452	UROK	\N	\N
3565765	1071	1994-06-30	PRIJEM	\N	157	38107	UROK	\N	\N
3565766	1071	1994-07-31	PRIJEM	\N	136	27867	UROK	\N	\N
3565767	1071	1994-08-31	PRIJEM	\N	109	24403	UROK	\N	\N
3565768	1071	1994-09-30	PRIJEM	\N	143	48798	UROK	\N	\N
3565769	1071	1994-10-31	PRIJEM	\N	103	16832	UROK	\N	\N
3565770	1071	1994-11-30	PRIJEM	\N	221	90769	UROK	\N	\N
3565771	1071	1994-12-31	PRIJEM	\N	235	75514	UROK	\N	\N
3565772	1071	1995-01-31	PRIJEM	\N	138	21078	UROK	\N	\N
3565773	1071	1995-02-28	PRIJEM	\N	149	48422	UROK	\N	\N
3565774	1071	1995-03-31	PRIJEM	\N	159	31432	UROK	\N	\N
3565775	1071	1995-04-30	PRIJEM	\N	227	94754	UROK	\N	\N
3565776	1071	1995-05-31	PRIJEM	\N	281	40286	UROK	\N	\N
3565777	1071	1995-06-30	PRIJEM	\N	136	29272	UROK	\N	\N
3565778	1071	1995-07-31	PRIJEM	\N	224	53158	UROK	\N	\N
3565779	1071	1995-08-31	PRIJEM	\N	222	39805	UROK	\N	\N
3565780	1071	1995-09-30	PRIJEM	\N	162	32718	UROK	\N	\N
3565781	1071	1995-10-31	PRIJEM	\N	189	53416	UROK	\N	\N
3565782	1071	1995-11-30	PRIJEM	\N	215	42197	UROK	\N	\N
3565783	1071	1995-12-31	PRIJEM	\N	192	48169	UROK	\N	\N
3565784	1071	1996-01-31	PRIJEM	\N	183	32603	UROK	\N	\N
3565785	1071	1996-02-29	PRIJEM	\N	145	43493	UROK	\N	\N
3565786	1071	1996-03-31	PRIJEM	\N	164	24993	UROK	\N	\N
3565787	1071	1996-04-30	PRIJEM	\N	84	19028	UROK	\N	\N
3565788	1071	1996-05-31	PRIJEM	\N	81	21359	UROK	\N	\N
3565789	1071	1996-06-30	PRIJEM	\N	111	29071	UROK	\N	\N
3565790	1071	1996-07-31	PRIJEM	\N	167	67452	UROK	\N	\N
3565791	1071	1996-08-31	PRIJEM	\N	385	45319	UROK	\N	\N
3565792	1071	1996-09-30	PRIJEM	\N	235	51186	UROK	\N	\N
3565793	1071	1996-10-31	PRIJEM	\N	193	37958	UROK	\N	\N
3565794	1071	1996-11-30	PRIJEM	\N	123	27463	UROK	\N	\N
3565795	1071	1996-12-31	PRIJEM	\N	107	28620	UROK	\N	\N
3565796	1071	1997-01-31	PRIJEM	\N	305	87299	UROK	\N	\N
3565797	1071	1997-02-28	PRIJEM	\N	241	46833	UROK	\N	\N
3565798	1071	1997-03-31	PRIJEM	\N	250	43458	UROK	\N	\N
3565799	1071	1997-04-30	PRIJEM	\N	139	30723	UROK	\N	\N
3565800	1071	1997-05-31	PRIJEM	\N	166	60917	UROK	\N	\N
3565801	1071	1997-06-30	PRIJEM	\N	317	89941	UROK	\N	\N
3565802	1071	1997-07-31	PRIJEM	\N	324	46493	UROK	\N	\N
3565803	1071	1997-08-31	PRIJEM	\N	197	49698	UROK	\N	\N
3565804	1071	1997-09-30	PRIJEM	\N	174	28823	UROK	\N	\N
3565805	1071	1997-10-31	PRIJEM	\N	137	37400	UROK	\N	\N
3565806	1071	1997-11-30	PRIJEM	\N	234	66997	UROK	\N	\N
3565807	1071	1997-12-31	PRIJEM	\N	207	37591	UROK	\N	\N
3565808	1071	1998-01-31	PRIJEM	\N	151	26206	UROK	\N	\N
3565809	1071	1998-02-28	PRIJEM	\N	184	56470	UROK	\N	\N
3565810	1071	1998-03-31	PRIJEM	\N	217	57118	UROK	\N	\N
3565811	1071	1998-04-30	PRIJEM	\N	190	39501	UROK	\N	\N
3565812	1071	1998-05-31	PRIJEM	\N	123	25575	UROK	\N	\N
3565813	1071	1998-06-30	PRIJEM	\N	172	42685	UROK	\N	\N
3565814	1071	1998-07-31	PRIJEM	\N	159	36995	UROK	\N	\N
3565815	1071	1998-08-31	PRIJEM	\N	184	83448	UROK	\N	\N
3565816	1071	1998-09-30	PRIJEM	\N	239	43256	UROK	\N	\N
3565817	1071	1998-10-31	PRIJEM	\N	159	68392	UROK	\N	\N
3565818	1071	1998-11-30	PRIJEM	\N	213	43056	UROK	\N	\N
3565819	1071	1998-12-31	PRIJEM	\N	133	27640	UROK	\N	\N
3565820	1072	1998-01-31	PRIJEM	\N	54	16819	UROK	\N	\N
3565821	1072	1998-02-28	PRIJEM	\N	85	21369	UROK	\N	\N
3565822	1072	1998-03-31	PRIJEM	\N	106	26940	UROK	\N	\N
3565823	1072	1998-04-30	PRIJEM	\N	134	33939	UROK	\N	\N
3565824	1072	1998-05-31	PRIJEM	\N	154	37018	UROK	\N	\N
3565825	1072	1998-06-30	PRIJEM	\N	143	28054	UROK	\N	\N
3565826	1072	1998-07-31	PRIJEM	\N	127	31011	UROK	\N	\N
3565827	1072	1998-08-31	PRIJEM	\N	126	29867	UROK	\N	\N
3565828	1072	1998-09-30	PRIJEM	\N	118	23235	UROK	\N	\N
3565829	1072	1998-10-31	PRIJEM	\N	101	20867	UROK	\N	\N
3565830	1072	1998-11-30	PRIJEM	\N	126	31323	UROK	\N	\N
3565831	1072	1998-12-31	PRIJEM	\N	182	44518	UROK	\N	\N
3565832	1073	1994-03-31	PRIJEM	\N	6	14371	UROK	\N	\N
3565833	1073	1994-04-30	PRIJEM	\N	62	20498	UROK	\N	\N
3565834	1073	1994-05-31	PRIJEM	\N	88	24851	UROK	\N	\N
3565835	1073	1994-06-30	PRIJEM	\N	106	30605	UROK	\N	\N
3565836	1073	1994-07-31	PRIJEM	\N	129	27756	UROK	\N	\N
3565837	1073	1994-08-31	PRIJEM	\N	126	28489	UROK	\N	\N
3565838	1073	1994-09-30	PRIJEM	\N	119	28355	UROK	\N	\N
3565839	1073	1994-10-31	PRIJEM	\N	118	26081	UROK	\N	\N
3565840	1073	1994-11-30	PRIJEM	\N	118	26406	UROK	\N	\N
3565841	1073	1994-12-31	PRIJEM	\N	117	27713	UROK	\N	\N
3565842	1073	1995-01-31	PRIJEM	\N	84	14625	UROK	\N	\N
3565843	1073	1995-02-28	PRIJEM	\N	72	23204	UROK	\N	\N
3565844	1073	1995-03-31	PRIJEM	\N	103	20794	UROK	\N	\N
3565845	1073	1995-04-30	PRIJEM	\N	98	24300	UROK	\N	\N
3565846	1073	1995-05-31	PRIJEM	\N	106	26113	UROK	\N	\N
3565847	1073	1995-06-30	PRIJEM	\N	116	26599	UROK	\N	\N
3565848	1073	1995-07-31	PRIJEM	\N	105	25231	UROK	\N	\N
3565849	1073	1995-08-31	PRIJEM	\N	114	27553	UROK	\N	\N
3565850	1073	1995-09-30	PRIJEM	\N	117	28277	UROK	\N	\N
3565851	1073	1995-10-31	PRIJEM	\N	121	29305	UROK	\N	\N
3565852	1073	1995-11-30	PRIJEM	\N	127	29840	UROK	\N	\N
3565853	1073	1995-12-31	PRIJEM	\N	131	31121	UROK	\N	\N
3565854	1073	1996-01-31	PRIJEM	\N	107	21515	UROK	\N	\N
3565855	1073	1996-02-29	PRIJEM	\N	98	24720	UROK	\N	\N
3565856	1073	1996-03-31	PRIJEM	\N	109	27537	UROK	\N	\N
3565857	1073	1996-04-30	PRIJEM	\N	111	24195	UROK	\N	\N
3565858	1073	1996-05-31	PRIJEM	\N	105	22888	UROK	\N	\N
3565859	1073	1996-06-30	PRIJEM	\N	113	30590	UROK	\N	\N
3565860	1073	1996-07-31	PRIJEM	\N	139	36037	UROK	\N	\N
3565861	1073	1996-08-31	PRIJEM	\N	158	39902	UROK	\N	\N
3565862	1073	1996-09-30	PRIJEM	\N	164	39274	UROK	\N	\N
3565863	1073	1996-10-31	PRIJEM	\N	172	43054	UROK	\N	\N
3565864	1073	1996-11-30	PRIJEM	\N	183	44745	UROK	\N	\N
3565865	1073	1996-12-31	PRIJEM	\N	186	43140	UROK	\N	\N
3565866	1073	1997-01-31	PRIJEM	\N	119	19926	UROK	\N	\N
3565867	1073	1997-02-28	PRIJEM	\N	140	40774	UROK	\N	\N
3565868	1073	1997-03-31	PRIJEM	\N	184	40065	UROK	\N	\N
3565869	1073	1997-04-30	PRIJEM	\N	192	50764	UROK	\N	\N
3565870	1073	1997-05-31	PRIJEM	\N	249	62521	UROK	\N	\N
3565871	1073	1997-06-30	PRIJEM	\N	237	47168	UROK	\N	\N
3565872	1073	1997-07-31	PRIJEM	\N	223	58298	UROK	\N	\N
3565873	1073	1997-08-31	PRIJEM	\N	256	60622	UROK	\N	\N
3565874	1073	1997-09-30	PRIJEM	\N	257	63387	UROK	\N	\N
3565875	1073	1997-10-31	PRIJEM	\N	268	65962	UROK	\N	\N
3565876	1073	1997-11-30	PRIJEM	\N	290	69460	UROK	\N	\N
3565877	1073	1997-12-31	PRIJEM	\N	312	75522	UROK	\N	\N
3565878	1073	1998-01-31	PRIJEM	\N	269	56998	UROK	\N	\N
3565879	1073	1998-02-28	PRIJEM	\N	264	69270	UROK	\N	\N
3565880	1073	1998-03-31	PRIJEM	\N	311	76308	UROK	\N	\N
3565881	1073	1998-04-30	PRIJEM	\N	329	78244	UROK	\N	\N
3565882	1073	1998-05-31	PRIJEM	\N	352	85903	UROK	\N	\N
3565883	1073	1998-06-30	PRIJEM	\N	279	45672	UROK	\N	\N
3565884	1073	1998-07-31	PRIJEM	\N	253	71633	UROK	\N	\N
3565885	1073	1998-08-31	PRIJEM	\N	335	83876	UROK	\N	\N
3565886	1073	1998-09-30	PRIJEM	\N	364	87447	UROK	\N	\N
3565887	1073	1998-10-31	PRIJEM	\N	377	94132	UROK	\N	\N
3565888	1073	1998-11-30	PRIJEM	\N	373	89092	UROK	\N	\N
3565889	1073	1998-12-31	PRIJEM	\N	392	95933	UROK	\N	\N
3565890	1074	1996-06-30	PRIJEM	\N	65	29381	UROK	\N	\N
3565891	1074	1996-07-31	PRIJEM	\N	146	39838	UROK	\N	\N
3565892	1074	1996-08-31	PRIJEM	\N	180	46029	UROK	\N	\N
3565893	1074	1996-09-30	PRIJEM	\N	191	45931	UROK	\N	\N
3565894	1074	1996-10-31	PRIJEM	\N	195	46837	UROK	\N	\N
3565895	1074	1996-11-30	PRIJEM	\N	226	59560	UROK	\N	\N
3565896	1074	1996-12-31	PRIJEM	\N	288	74949	UROK	\N	\N
3565897	1074	1997-01-31	PRIJEM	\N	290	55435	UROK	\N	\N
3565898	1074	1997-02-28	PRIJEM	\N	256	66187	UROK	\N	\N
3565899	1074	1997-03-31	PRIJEM	\N	285	69968	UROK	\N	\N
3565900	1074	1997-04-30	PRIJEM	\N	301	73965	UROK	\N	\N
3565901	1074	1997-05-31	PRIJEM	\N	304	74765	UROK	\N	\N
3565902	1074	1997-06-30	PRIJEM	\N	329	80395	UROK	\N	\N
3565903	1074	1997-07-31	PRIJEM	\N	330	82021	UROK	\N	\N
3565904	1074	1997-08-31	PRIJEM	\N	346	83963	UROK	\N	\N
3565905	1074	1997-09-30	PRIJEM	\N	313	76273	UROK	\N	\N
3565906	1074	1997-10-31	PRIJEM	\N	329	80998	UROK	\N	\N
3565907	1074	1997-11-30	PRIJEM	\N	335	80530	UROK	\N	\N
3565908	1074	1997-12-31	PRIJEM	\N	359	88990	UROK	\N	\N
3565909	1074	1998-01-31	PRIJEM	\N	300	68186	UROK	\N	\N
3565910	1074	1998-02-28	PRIJEM	\N	266	65748	UROK	\N	\N
3565911	1074	1998-03-31	PRIJEM	\N	293	73738	UROK	\N	\N
3565912	1074	1998-04-30	PRIJEM	\N	316	77750	UROK	\N	\N
3565913	1074	1998-05-31	PRIJEM	\N	324	76470	UROK	\N	\N
3565914	1074	1998-06-30	PRIJEM	\N	307	65577	UROK	\N	\N
3565915	1074	1998-07-31	PRIJEM	\N	291	73265	UROK	\N	\N
3565916	1074	1998-08-31	PRIJEM	\N	327	82789	UROK	\N	\N
3565917	1074	1998-09-30	PRIJEM	\N	350	85735	UROK	\N	\N
3565918	1074	1998-10-31	PRIJEM	\N	375	93807	UROK	\N	\N
3565919	1074	1998-11-30	PRIJEM	\N	395	96698	UROK	\N	\N
3565920	1074	1998-12-31	PRIJEM	\N	396	105596	UROK	\N	\N
3565921	1075	1995-08-31	PRIJEM	\N	41	15455	UROK	\N	\N
3565922	1075	1995-09-30	PRIJEM	\N	88	23957	UROK	\N	\N
3565923	1075	1995-10-31	PRIJEM	\N	112	28383	UROK	\N	\N
3565924	1075	1995-11-30	PRIJEM	\N	118	28415	UROK	\N	\N
3565925	1075	1995-12-31	PRIJEM	\N	105	22423	UROK	\N	\N
3565926	1075	1996-01-31	PRIJEM	\N	78	17425	UROK	\N	\N
3565927	1075	1996-02-29	PRIJEM	\N	88	21536	UROK	\N	\N
3565928	1075	1996-03-31	PRIJEM	\N	104	25464	UROK	\N	\N
3565929	1075	1996-04-30	PRIJEM	\N	117	28004	UROK	\N	\N
3565930	1075	1996-05-31	PRIJEM	\N	112	25040	UROK	\N	\N
3565931	1075	1996-06-30	PRIJEM	\N	132	28051	UROK	\N	\N
3565932	1075	1996-07-31	PRIJEM	\N	127	30502	UROK	\N	\N
3565933	1075	1996-08-31	PRIJEM	\N	112	25837	UROK	\N	\N
3565934	1075	1996-09-30	PRIJEM	\N	110	26170	UROK	\N	\N
3565935	1075	1996-10-31	PRIJEM	\N	114	25907	UROK	\N	\N
3565936	1075	1996-11-30	PRIJEM	\N	114	27245	UROK	\N	\N
3565937	1075	1996-12-31	PRIJEM	\N	126	29651	UROK	\N	\N
3565938	1075	1997-01-31	PRIJEM	\N	123	21798	UROK	\N	\N
3565939	1075	1997-02-28	PRIJEM	\N	119	29239	UROK	\N	\N
3565940	1075	1997-03-31	PRIJEM	\N	144	34207	UROK	\N	\N
3565941	1075	1997-04-30	PRIJEM	\N	165	40095	UROK	\N	\N
3565942	1075	1997-05-31	PRIJEM	\N	172	40790	UROK	\N	\N
3565943	1075	1997-06-30	PRIJEM	\N	146	29016	UROK	\N	\N
3565944	1075	1997-07-31	PRIJEM	\N	150	36189	UROK	\N	\N
3565945	1075	1997-08-31	PRIJEM	\N	157	36770	UROK	\N	\N
3565946	1075	1997-09-30	PRIJEM	\N	155	33848	UROK	\N	\N
3565947	1075	1997-10-31	PRIJEM	\N	151	41222	UROK	\N	\N
3565948	1075	1997-11-30	PRIJEM	\N	180	44125	UROK	\N	\N
3565949	1075	1997-12-31	PRIJEM	\N	200	48306	UROK	\N	\N
3565950	1075	1998-01-31	PRIJEM	\N	203	47832	UROK	\N	\N
3565951	1075	1998-02-28	PRIJEM	\N	208	49763	UROK	\N	\N
3565952	1075	1998-03-31	PRIJEM	\N	213	46700	UROK	\N	\N
3565953	1075	1998-04-30	PRIJEM	\N	201	48624	UROK	\N	\N
3565954	1075	1998-05-31	PRIJEM	\N	210	50057	UROK	\N	\N
3565955	1075	1998-06-30	PRIJEM	\N	142	41280	UROK	\N	\N
3565956	1075	1998-07-31	PRIJEM	\N	182	47085	UROK	\N	\N
3565957	1075	1998-08-31	PRIJEM	\N	207	53216	UROK	\N	\N
3565958	1075	1998-09-30	PRIJEM	\N	226	50765	UROK	\N	\N
3565959	1075	1998-10-31	PRIJEM	\N	218	52106	UROK	\N	\N
3565960	1075	1998-11-30	PRIJEM	\N	220	49949	UROK	\N	\N
3565961	1075	1998-12-31	PRIJEM	\N	222	53652	UROK	\N	\N
3565962	1076	1994-11-30	PRIJEM	\N	6	19883	UROK	\N	\N
3565963	1076	1994-12-31	PRIJEM	\N	88	32136	UROK	\N	\N
3565964	1076	1995-01-31	PRIJEM	\N	134	33247	UROK	\N	\N
3565965	1076	1995-02-28	PRIJEM	\N	138	32962	UROK	\N	\N
3565966	1076	1995-03-31	PRIJEM	\N	156	30455	UROK	\N	\N
3565967	1076	1995-04-30	PRIJEM	\N	139	29469	UROK	\N	\N
3565968	1076	1995-05-31	PRIJEM	\N	133	27278	UROK	\N	\N
3565969	1076	1995-06-30	PRIJEM	\N	115	26958	UROK	\N	\N
3565970	1076	1995-07-31	PRIJEM	\N	123	26156	UROK	\N	\N
3565971	1076	1995-08-31	PRIJEM	\N	122	29754	UROK	\N	\N
3565972	1076	1995-09-30	PRIJEM	\N	120	29049	UROK	\N	\N
3565973	1076	1995-10-31	PRIJEM	\N	131	29155	UROK	\N	\N
3565974	1076	1995-11-30	PRIJEM	\N	123	26854	UROK	\N	\N
3565975	1076	1995-12-31	PRIJEM	\N	137	31855	UROK	\N	\N
3565976	1076	1996-01-31	PRIJEM	\N	107	15837	UROK	\N	\N
3565977	1076	1996-02-29	PRIJEM	\N	79	21492	UROK	\N	\N
3565978	1076	1996-03-31	PRIJEM	\N	102	24969	UROK	\N	\N
3565979	1076	1996-04-30	PRIJEM	\N	116	28160	UROK	\N	\N
3565980	1076	1996-05-31	PRIJEM	\N	124	30260	UROK	\N	\N
3565981	1076	1996-06-30	PRIJEM	\N	146	33671	UROK	\N	\N
3565982	1076	1996-07-31	PRIJEM	\N	148	34094	UROK	\N	\N
3565983	1076	1996-08-31	PRIJEM	\N	143	28912	UROK	\N	\N
3565984	1076	1996-09-30	PRIJEM	\N	133	33321	UROK	\N	\N
3565985	1076	1996-10-31	PRIJEM	\N	146	36542	UROK	\N	\N
3565986	1076	1996-11-30	PRIJEM	\N	166	41283	UROK	\N	\N
3565987	1076	1996-12-31	PRIJEM	\N	189	45037	UROK	\N	\N
3565988	1076	1997-01-31	PRIJEM	\N	177	37889	UROK	\N	\N
3565989	1076	1997-02-28	PRIJEM	\N	161	37726	UROK	\N	\N
3565990	1076	1997-03-31	PRIJEM	\N	168	41169	UROK	\N	\N
3565991	1076	1997-04-30	PRIJEM	\N	176	40921	UROK	\N	\N
3565992	1076	1997-05-31	PRIJEM	\N	176	40772	UROK	\N	\N
3565993	1076	1997-06-30	PRIJEM	\N	176	35412	UROK	\N	\N
3565994	1076	1997-07-31	PRIJEM	\N	171	46258	UROK	\N	\N
3565995	1076	1997-08-31	PRIJEM	\N	204	50337	UROK	\N	\N
3565996	1076	1997-09-30	PRIJEM	\N	223	55636	UROK	\N	\N
3565997	1076	1997-10-31	PRIJEM	\N	241	59153	UROK	\N	\N
3565998	1076	1997-11-30	PRIJEM	\N	239	55467	UROK	\N	\N
3565999	1076	1997-12-31	PRIJEM	\N	241	60273	UROK	\N	\N
3566000	1076	1998-01-31	PRIJEM	\N	223	47271	UROK	\N	\N
3566001	1076	1998-02-28	PRIJEM	\N	203	49749	UROK	\N	\N
3566002	1076	1998-03-31	PRIJEM	\N	207	49931	UROK	\N	\N
3566003	1076	1998-04-30	PRIJEM	\N	219	54225	UROK	\N	\N
3566004	1076	1998-05-31	PRIJEM	\N	231	56532	UROK	\N	\N
3566005	1076	1998-06-30	PRIJEM	\N	192	45088	UROK	\N	\N
3566006	1076	1998-07-31	PRIJEM	\N	203	52167	UROK	\N	\N
3566007	1076	1998-08-31	PRIJEM	\N	249	63991	UROK	\N	\N
3566008	1076	1998-09-30	PRIJEM	\N	293	74159	UROK	\N	\N
3566009	1076	1998-10-31	PRIJEM	\N	308	73342	UROK	\N	\N
3566010	1076	1998-11-30	PRIJEM	\N	319	79036	UROK	\N	\N
3566011	1076	1998-12-31	PRIJEM	\N	337	83638	UROK	\N	\N
3566012	1078	1996-07-31	PRIJEM	\N	2	7524	UROK	\N	\N
3566013	1078	1996-08-31	PRIJEM	\N	3	14250	UROK	\N	\N
3566014	1078	1996-09-30	PRIJEM	\N	3	20975	UROK	\N	\N
3566015	1078	1996-10-31	PRIJEM	\N	67	24364	UROK	\N	\N
3566016	1078	1996-11-30	PRIJEM	\N	106	25991	UROK	\N	\N
3566017	1078	1996-12-31	PRIJEM	\N	97	22822	UROK	\N	\N
3566018	1078	1997-01-31	PRIJEM	\N	74	14961	UROK	\N	\N
3566019	1078	1997-02-28	PRIJEM	\N	71	18316	UROK	\N	\N
3566020	1078	1997-03-31	PRIJEM	\N	86	21686	UROK	\N	\N
3566021	1078	1997-04-30	PRIJEM	\N	99	25070	UROK	\N	\N
3566022	1078	1997-05-31	PRIJEM	\N	114	28468	UROK	\N	\N
3566023	1078	1997-06-30	PRIJEM	\N	111	22663	UROK	\N	\N
3566024	1078	1997-07-31	PRIJEM	\N	104	26051	UROK	\N	\N
3566025	1078	1997-08-31	PRIJEM	\N	108	24884	UROK	\N	\N
3566026	1078	1997-09-30	PRIJEM	\N	103	24831	UROK	\N	\N
3566027	1078	1997-10-31	PRIJEM	\N	109	24464	UROK	\N	\N
3566028	1078	1997-11-30	PRIJEM	\N	106	26254	UROK	\N	\N
3566029	1078	1997-12-31	PRIJEM	\N	115	28203	UROK	\N	\N
3566030	1078	1998-01-31	PRIJEM	\N	102	20689	UROK	\N	\N
3566031	1078	1998-02-28	PRIJEM	\N	95	24069	UROK	\N	\N
3566032	1078	1998-03-31	PRIJEM	\N	109	27462	UROK	\N	\N
3566033	1078	1998-04-30	PRIJEM	\N	117	28864	UROK	\N	\N
3566034	1078	1998-05-31	PRIJEM	\N	120	29268	UROK	\N	\N
3566035	1078	1998-06-30	PRIJEM	\N	110	15412	UROK	\N	\N
3566036	1078	1998-07-31	PRIJEM	\N	73	18770	UROK	\N	\N
3566037	1078	1998-08-31	PRIJEM	\N	82	20536	UROK	\N	\N
3566038	1078	1998-09-30	PRIJEM	\N	83	20423	UROK	\N	\N
3566039	1078	1998-10-31	PRIJEM	\N	94	23801	UROK	\N	\N
3566040	1078	1998-11-30	PRIJEM	\N	108	27193	UROK	\N	\N
3566041	1078	1998-12-31	PRIJEM	\N	117	29145	UROK	\N	\N
3566042	1079	1993-10-31	PRIJEM	\N	63	25979	UROK	\N	\N
3566043	1079	1993-11-30	PRIJEM	\N	142	39637	UROK	\N	\N
3566044	1079	1993-12-31	PRIJEM	\N	197	52257	UROK	\N	\N
3566045	1079	1994-01-31	PRIJEM	\N	219	52992	UROK	\N	\N
3566046	1079	1994-02-28	PRIJEM	\N	204	46220	UROK	\N	\N
3566047	1079	1994-03-31	PRIJEM	\N	186	40518	UROK	\N	\N
3566048	1079	1994-04-30	PRIJEM	\N	179	42806	UROK	\N	\N
3566049	1079	1994-05-31	PRIJEM	\N	178	37287	UROK	\N	\N
3566050	1079	1994-06-30	PRIJEM	\N	183	39782	UROK	\N	\N
3566051	1079	1994-07-31	PRIJEM	\N	167	39559	UROK	\N	\N
3566052	1079	1994-08-31	PRIJEM	\N	119	23480	UROK	\N	\N
3566053	1079	1994-09-30	PRIJEM	\N	100	23689	UROK	\N	\N
3566054	1079	1994-10-31	PRIJEM	\N	106	25704	UROK	\N	\N
3566055	1079	1994-11-30	PRIJEM	\N	117	28031	UROK	\N	\N
3566056	1079	1994-12-31	PRIJEM	\N	118	26166	UROK	\N	\N
3566057	1079	1995-01-31	PRIJEM	\N	102	20277	UROK	\N	\N
3566058	1079	1995-02-28	PRIJEM	\N	100	23086	UROK	\N	\N
3566059	1079	1995-03-31	PRIJEM	\N	111	27006	UROK	\N	\N
3566060	1079	1995-04-30	PRIJEM	\N	115	26630	UROK	\N	\N
3566061	1079	1995-05-31	PRIJEM	\N	113	24269	UROK	\N	\N
3566062	1079	1995-06-30	PRIJEM	\N	149	35236	UROK	\N	\N
3566063	1079	1995-07-31	PRIJEM	\N	142	32487	UROK	\N	\N
3566064	1079	1995-08-31	PRIJEM	\N	78	13602	UROK	\N	\N
3566065	1079	1995-09-30	PRIJEM	\N	131	27942	UROK	\N	\N
3566066	1079	1995-10-31	PRIJEM	\N	132	28284	UROK	\N	\N
3566067	1079	1995-11-30	PRIJEM	\N	156	28749	UROK	\N	\N
3566068	1079	1995-12-31	PRIJEM	\N	179	41748	UROK	\N	\N
3566069	1079	1996-01-31	PRIJEM	\N	149	23812	UROK	\N	\N
3566070	1079	1996-02-29	PRIJEM	\N	129	23848	UROK	\N	\N
3566071	1079	1996-03-31	PRIJEM	\N	152	28890	UROK	\N	\N
3566072	1079	1996-04-30	PRIJEM	\N	174	37352	UROK	\N	\N
3566073	1079	1996-05-31	PRIJEM	\N	209	50870	UROK	\N	\N
3566074	1079	1996-06-30	PRIJEM	\N	130	28807	UROK	\N	\N
3566075	1079	1996-07-31	PRIJEM	\N	165	36182	UROK	\N	\N
3566076	1079	1996-08-31	PRIJEM	\N	155	32846	UROK	\N	\N
3566077	1079	1996-09-30	PRIJEM	\N	158	30714	UROK	\N	\N
3566078	1079	1996-10-31	PRIJEM	\N	165	37488	UROK	\N	\N
3566079	1079	1996-11-30	PRIJEM	\N	193	34251	UROK	\N	\N
3566080	1079	1996-12-31	PRIJEM	\N	199	41167	UROK	\N	\N
3566081	1079	1997-01-31	PRIJEM	\N	176	29153	UROK	\N	\N
3566082	1079	1997-02-28	PRIJEM	\N	145	28847	UROK	\N	\N
3566083	1079	1997-03-31	PRIJEM	\N	148	35805	UROK	\N	\N
3566084	1079	1997-04-30	PRIJEM	\N	177	35076	UROK	\N	\N
3566085	1079	1997-05-31	PRIJEM	\N	157	31309	UROK	\N	\N
3566086	1079	1997-06-30	PRIJEM	\N	177	38422	UROK	\N	\N
3566087	1079	1997-07-31	PRIJEM	\N	199	47031	UROK	\N	\N
3566088	1079	1997-08-31	PRIJEM	\N	215	45756	UROK	\N	\N
3566089	1079	1997-09-30	PRIJEM	\N	219	46884	UROK	\N	\N
3566090	1079	1997-10-31	PRIJEM	\N	203	40097	UROK	\N	\N
3566091	1079	1997-11-30	PRIJEM	\N	203	48809	UROK	\N	\N
3566092	1079	1997-12-31	PRIJEM	\N	227	46263	UROK	\N	\N
3566093	1079	1998-01-31	PRIJEM	\N	173	29645	UROK	\N	\N
3566094	1079	1998-02-28	PRIJEM	\N	172	50026	UROK	\N	\N
3566095	1079	1998-03-31	PRIJEM	\N	246	60381	UROK	\N	\N
3566096	1079	1998-04-30	PRIJEM	\N	276	62567	UROK	\N	\N
3566097	1079	1998-05-31	PRIJEM	\N	282	62958	UROK	\N	\N
3566098	1079	1998-06-30	PRIJEM	\N	301	64576	UROK	\N	\N
3566099	1079	1998-07-31	PRIJEM	\N	283	62069	UROK	\N	\N
3566100	1079	1998-08-31	PRIJEM	\N	271	60249	UROK	\N	\N
3566101	1079	1998-09-30	PRIJEM	\N	265	60424	UROK	\N	\N
3566102	1079	1998-10-31	PRIJEM	\N	271	63704	UROK	\N	\N
3566103	1079	1998-11-30	PRIJEM	\N	274	59688	UROK	\N	\N
3566104	1079	1998-12-31	PRIJEM	\N	319	74825	UROK	\N	\N
3566105	1080	1994-01-31	PRIJEM	\N	21	26530	UROK	\N	\N
3566106	1080	1994-02-28	PRIJEM	\N	117	36956	UROK	\N	\N
3566107	1080	1994-03-31	PRIJEM	\N	157	42622	UROK	\N	\N
3566108	1080	1994-04-30	PRIJEM	\N	180	47512	UROK	\N	\N
3566109	1080	1994-05-31	PRIJEM	\N	230	44545	UROK	\N	\N
3566110	1080	1994-06-30	PRIJEM	\N	241	13100	UROK	\N	\N
3566111	1080	1994-07-31	PRIJEM	\N	100	27609	UROK	\N	\N
3566112	1080	1994-08-31	PRIJEM	\N	148	33246	UROK	\N	\N
3566113	1080	1994-09-30	PRIJEM	\N	183	40239	UROK	\N	\N
3566114	1080	1994-10-31	PRIJEM	\N	199	44247	UROK	\N	\N
3566115	1080	1994-11-30	PRIJEM	\N	207	44164	UROK	\N	\N
3566116	1080	1994-12-31	PRIJEM	\N	230	49768	UROK	\N	\N
3566117	1080	1995-01-31	PRIJEM	\N	211	33867	UROK	\N	\N
3566118	1080	1995-02-28	PRIJEM	\N	171	33068	UROK	\N	\N
3566119	1080	1995-03-31	PRIJEM	\N	168	37345	UROK	\N	\N
3566120	1080	1995-04-30	PRIJEM	\N	187	38641	UROK	\N	\N
3566121	1080	1995-05-31	PRIJEM	\N	174	36585	UROK	\N	\N
3566122	1080	1995-06-30	PRIJEM	\N	201	41799	UROK	\N	\N
3566123	1080	1995-07-31	PRIJEM	\N	191	40600	UROK	\N	\N
3566124	1080	1995-08-31	PRIJEM	\N	184	36193	UROK	\N	\N
3566125	1080	1995-09-30	PRIJEM	\N	179	40681	UROK	\N	\N
3566126	1080	1995-10-31	PRIJEM	\N	186	41976	UROK	\N	\N
3566127	1080	1995-11-30	PRIJEM	\N	198	45784	UROK	\N	\N
3566128	1080	1995-12-31	PRIJEM	\N	226	49564	UROK	\N	\N
3566129	1080	1996-01-31	PRIJEM	\N	168	24701	UROK	\N	\N
3566130	1080	1996-02-29	PRIJEM	\N	128	32078	UROK	\N	\N
3566131	1080	1996-03-31	PRIJEM	\N	158	33406	UROK	\N	\N
3566132	1080	1996-04-30	PRIJEM	\N	165	41081	UROK	\N	\N
3566133	1080	1996-05-31	PRIJEM	\N	194	48284	UROK	\N	\N
3566134	1080	1996-06-30	PRIJEM	\N	168	35346	UROK	\N	\N
3566135	1080	1996-07-31	PRIJEM	\N	163	40418	UROK	\N	\N
3566136	1080	1996-08-31	PRIJEM	\N	178	43706	UROK	\N	\N
3566137	1080	1996-09-30	PRIJEM	\N	209	48624	UROK	\N	\N
3566138	1080	1996-10-31	PRIJEM	\N	263	46696	UROK	\N	\N
3566139	1080	1996-11-30	PRIJEM	\N	231	56657	UROK	\N	\N
3566140	1080	1996-12-31	PRIJEM	\N	276	71447	UROK	\N	\N
3566141	1080	1997-01-31	PRIJEM	\N	238	44235	UROK	\N	\N
3566142	1080	1997-02-28	PRIJEM	\N	202	52146	UROK	\N	\N
3566143	1080	1997-03-31	PRIJEM	\N	204	50999	UROK	\N	\N
3566144	1080	1997-04-30	PRIJEM	\N	225	51053	UROK	\N	\N
3566145	1080	1997-05-31	PRIJEM	\N	223	47585	UROK	\N	\N
3566146	1080	1997-06-30	PRIJEM	\N	194	50273	UROK	\N	\N
3566147	1080	1997-07-31	PRIJEM	\N	214	50896	UROK	\N	\N
3566148	1080	1997-08-31	PRIJEM	\N	222	55927	UROK	\N	\N
3566149	1080	1997-09-30	PRIJEM	\N	245	55981	UROK	\N	\N
3566150	1080	1997-10-31	PRIJEM	\N	233	57223	UROK	\N	\N
3566151	1080	1997-11-30	PRIJEM	\N	244	60676	UROK	\N	\N
3566152	1080	1997-12-31	PRIJEM	\N	290	72300	UROK	\N	\N
3566153	1080	1998-01-31	PRIJEM	\N	244	46773	UROK	\N	\N
3566154	1080	1998-02-28	PRIJEM	\N	223	59705	UROK	\N	\N
3566155	1080	1998-03-31	PRIJEM	\N	273	70488	UROK	\N	\N
3566156	1080	1998-04-30	PRIJEM	\N	312	73309	UROK	\N	\N
3566157	1080	1998-05-31	PRIJEM	\N	318	73936	UROK	\N	\N
3566158	1080	1998-06-30	PRIJEM	\N	255	53865	UROK	\N	\N
3566159	1080	1998-07-31	PRIJEM	\N	223	56978	UROK	\N	\N
3566160	1080	1998-08-31	PRIJEM	\N	282	69769	UROK	\N	\N
3566161	1080	1998-09-30	PRIJEM	\N	297	72676	UROK	\N	\N
3566162	1080	1998-10-31	PRIJEM	\N	337	81522	UROK	\N	\N
3566163	1080	1998-11-30	PRIJEM	\N	350	84981	UROK	\N	\N
3566164	1080	1998-12-31	PRIJEM	\N	410	103905	UROK	\N	\N
3566165	1081	1997-05-31	PRIJEM	\N	3	23363	UROK	\N	\N
3566166	1081	1997-06-30	PRIJEM	\N	102	25479	UROK	\N	\N
3566167	1081	1997-07-31	PRIJEM	\N	111	27604	UROK	\N	\N
3566168	1081	1997-08-31	PRIJEM	\N	115	26812	UROK	\N	\N
3566169	1081	1997-09-30	PRIJEM	\N	110	25335	UROK	\N	\N
3566170	1081	1997-10-31	PRIJEM	\N	101	22749	UROK	\N	\N
3566171	1081	1997-11-30	PRIJEM	\N	89	19552	UROK	\N	\N
3566172	1081	1997-12-31	PRIJEM	\N	82	19347	UROK	\N	\N
3566173	1081	1998-01-31	PRIJEM	\N	71	13991	UROK	\N	\N
3566174	1081	1998-02-28	PRIJEM	\N	59	14464	UROK	\N	\N
3566175	1081	1998-03-31	PRIJEM	\N	65	16542	UROK	\N	\N
3566176	1081	1998-04-30	PRIJEM	\N	74	18630	UROK	\N	\N
3566177	1081	1998-05-31	PRIJEM	\N	83	20726	UROK	\N	\N
3566178	1081	1998-06-30	PRIJEM	\N	88	21727	UROK	\N	\N
3566179	1081	1998-07-31	PRIJEM	\N	96	23836	UROK	\N	\N
3566180	1081	1998-08-31	PRIJEM	\N	99	23848	UROK	\N	\N
3566181	1081	1998-09-30	PRIJEM	\N	104	25966	UROK	\N	\N
3566182	1081	1998-10-31	PRIJEM	\N	110	26970	UROK	\N	\N
3566183	1081	1998-11-30	PRIJEM	\N	115	28398	UROK	\N	\N
3566184	1081	1998-12-31	PRIJEM	\N	118	28729	UROK	\N	\N
3566185	1082	1996-10-31	PRIJEM	\N	69	19829	UROK	\N	\N
3566186	1082	1996-11-30	PRIJEM	\N	93	21423	UROK	\N	\N
3566187	1082	1996-12-31	PRIJEM	\N	77	15066	UROK	\N	\N
3566188	1082	1997-01-31	PRIJEM	\N	55	11787	UROK	\N	\N
3566189	1082	1997-02-28	PRIJEM	\N	51	12745	UROK	\N	\N
3566190	1082	1997-03-31	PRIJEM	\N	60	15792	UROK	\N	\N
3566191	1082	1997-04-30	PRIJEM	\N	74	16792	UROK	\N	\N
3566192	1082	1997-05-31	PRIJEM	\N	83	19661	UROK	\N	\N
3566193	1082	1997-06-30	PRIJEM	\N	65	13213	UROK	\N	\N
3566194	1082	1997-07-31	PRIJEM	\N	62	16262	UROK	\N	\N
3566195	1082	1997-08-31	PRIJEM	\N	75	19323	UROK	\N	\N
3566196	1082	1997-09-30	PRIJEM	\N	76	17385	UROK	\N	\N
3566197	1082	1997-10-31	PRIJEM	\N	66	14938	UROK	\N	\N
3566198	1082	1997-11-30	PRIJEM	\N	69	17993	UROK	\N	\N
3566199	1082	1997-12-31	PRIJEM	\N	74	11074	UROK	\N	\N
3566200	1082	1998-01-31	PRIJEM	\N	53	12433	UROK	\N	\N
3566201	1082	1998-02-28	PRIJEM	\N	57	15077	UROK	\N	\N
3566202	1082	1998-03-31	PRIJEM	\N	56	14819	UROK	\N	\N
3566203	1082	1998-04-30	PRIJEM	\N	69	17874	UROK	\N	\N
3566204	1082	1998-05-31	PRIJEM	\N	82	20942	UROK	\N	\N
3566205	1082	1998-06-30	PRIJEM	\N	73	14161	UROK	\N	\N
3566206	1082	1998-07-31	PRIJEM	\N	66	17214	UROK	\N	\N
3566207	1082	1998-08-31	PRIJEM	\N	79	20279	UROK	\N	\N
3566208	1082	1998-09-30	PRIJEM	\N	83	11648	UROK	\N	\N
3566209	1082	1998-10-31	PRIJEM	\N	55	14690	UROK	\N	\N
3566210	1082	1998-11-30	PRIJEM	\N	60	14217	UROK	\N	\N
3566211	1082	1998-12-31	PRIJEM	\N	66	17269	UROK	\N	\N
3566212	1083	1996-12-31	PRIJEM	\N	50	17838	UROK	\N	\N
3566213	1083	1997-01-31	PRIJEM	\N	127	36657	UROK	\N	\N
3566214	1083	1997-02-28	PRIJEM	\N	162	40512	UROK	\N	\N
3566215	1083	1997-03-31	PRIJEM	\N	184	46288	UROK	\N	\N
3566216	1083	1997-04-30	PRIJEM	\N	184	43578	UROK	\N	\N
3566217	1083	1997-05-31	PRIJEM	\N	153	36593	UROK	\N	\N
3566218	1083	1997-06-30	PRIJEM	\N	124	22574	UROK	\N	\N
3566219	1083	1997-07-31	PRIJEM	\N	109	26504	UROK	\N	\N
3566220	1083	1997-08-31	PRIJEM	\N	136	31201	UROK	\N	\N
3566221	1083	1997-09-30	PRIJEM	\N	121	27284	UROK	\N	\N
3566222	1083	1997-10-31	PRIJEM	\N	111	27776	UROK	\N	\N
3566223	1083	1997-11-30	PRIJEM	\N	119	29356	UROK	\N	\N
3566224	1083	1997-12-31	PRIJEM	\N	118	29071	UROK	\N	\N
3566225	1083	1998-01-31	PRIJEM	\N	81	14174	UROK	\N	\N
3566226	1083	1998-02-28	PRIJEM	\N	73	18708	UROK	\N	\N
3566227	1083	1998-03-31	PRIJEM	\N	82	20452	UROK	\N	\N
3566228	1083	1998-04-30	PRIJEM	\N	85	21798	UROK	\N	\N
3566229	1083	1998-05-31	PRIJEM	\N	101	25945	UROK	\N	\N
3566230	1083	1998-06-30	PRIJEM	\N	77	18523	UROK	\N	\N
3566231	1083	1998-07-31	PRIJEM	\N	87	20276	UROK	\N	\N
3566232	1083	1998-08-31	PRIJEM	\N	95	23516	UROK	\N	\N
3566233	1083	1998-09-30	PRIJEM	\N	106	22667	UROK	\N	\N
3566234	1083	1998-10-31	PRIJEM	\N	100	19712	UROK	\N	\N
3566235	1083	1998-11-30	PRIJEM	\N	82	14780	UROK	\N	\N
3566236	1083	1998-12-31	PRIJEM	\N	84	21785	UROK	\N	\N
3566267	1085	1997-09-30	PRIJEM	\N	39	13928	UROK	\N	\N
3566268	1085	1997-10-31	PRIJEM	\N	94	26610	UROK	\N	\N
3566269	1085	1997-11-30	PRIJEM	\N	136	35835	UROK	\N	\N
3566270	1085	1997-12-31	PRIJEM	\N	181	47200	UROK	\N	\N
3566271	1085	1998-01-31	PRIJEM	\N	177	35266	UROK	\N	\N
3566272	1085	1998-02-28	PRIJEM	\N	145	36349	UROK	\N	\N
3566273	1085	1998-03-31	PRIJEM	\N	163	42049	UROK	\N	\N
3566274	1085	1998-04-30	PRIJEM	\N	179	44766	UROK	\N	\N
3566275	1085	1998-05-31	PRIJEM	\N	190	47193	UROK	\N	\N
3566276	1085	1998-06-30	PRIJEM	\N	209	53834	UROK	\N	\N
3566277	1085	1998-07-31	PRIJEM	\N	221	54193	UROK	\N	\N
3566278	1085	1998-08-31	PRIJEM	\N	190	44720	UROK	\N	\N
3566279	1085	1998-09-30	PRIJEM	\N	183	44440	UROK	\N	\N
3566280	1085	1998-10-31	PRIJEM	\N	196	49573	UROK	\N	\N
3566281	1085	1998-11-30	PRIJEM	\N	213	53523	UROK	\N	\N
3566282	1085	1998-12-31	PRIJEM	\N	232	59088	UROK	\N	\N
3566283	1086	1996-11-30	PRIJEM	\N	45	14705	UROK	\N	\N
3566284	1086	1996-12-31	PRIJEM	\N	63	15361	UROK	\N	\N
3566285	1086	1997-01-31	PRIJEM	\N	60	12594	UROK	\N	\N
3566286	1086	1997-02-28	PRIJEM	\N	56	13603	UROK	\N	\N
3566287	1086	1997-03-31	PRIJEM	\N	58	13505	UROK	\N	\N
3566288	1086	1997-04-30	PRIJEM	\N	59	14518	UROK	\N	\N
3566289	1086	1997-05-31	PRIJEM	\N	64	15535	UROK	\N	\N
3566290	1086	1997-06-30	PRIJEM	\N	68	16556	UROK	\N	\N
3566291	1086	1997-07-31	PRIJEM	\N	67	16166	UROK	\N	\N
3566292	1086	1997-08-31	PRIJEM	\N	71	17190	UROK	\N	\N
3566293	1086	1997-09-30	PRIJEM	\N	75	18218	UROK	\N	\N
3566294	1086	1997-10-31	PRIJEM	\N	79	19250	UROK	\N	\N
3566295	1086	1997-11-30	PRIJEM	\N	83	20287	UROK	\N	\N
3566296	1086	1997-12-31	PRIJEM	\N	86	20847	UROK	\N	\N
3566297	1086	1998-01-31	PRIJEM	\N	75	16776	UROK	\N	\N
3566298	1086	1998-02-28	PRIJEM	\N	73	17802	UROK	\N	\N
3566299	1086	1998-03-31	PRIJEM	\N	76	18351	UROK	\N	\N
3566300	1086	1998-04-30	PRIJEM	\N	78	18572	UROK	\N	\N
3566301	1086	1998-05-31	PRIJEM	\N	79	18495	UROK	\N	\N
3566302	1086	1998-06-30	PRIJEM	\N	80	19528	UROK	\N	\N
3566303	1086	1998-07-31	PRIJEM	\N	84	20566	UROK	\N	\N
3566304	1086	1998-08-31	PRIJEM	\N	89	21608	UROK	\N	\N
3566305	1086	1998-09-30	PRIJEM	\N	93	22654	UROK	\N	\N
3566306	1086	1998-10-31	PRIJEM	\N	97	23705	UROK	\N	\N
3566307	1086	1998-11-30	PRIJEM	\N	102	24760	UROK	\N	\N
3566308	1086	1998-12-31	PRIJEM	\N	105	25219	UROK	\N	\N
3566309	1088	1994-05-31	PRIJEM	\N	52	27752	UROK	\N	\N
3566310	1088	1994-06-30	PRIJEM	\N	112	19067	UROK	\N	\N
3566311	1088	1994-07-31	PRIJEM	\N	69	17130	UROK	\N	\N
3566312	1088	1994-08-31	PRIJEM	\N	78	19761	UROK	\N	\N
3566313	1088	1994-09-30	PRIJEM	\N	87	22001	UROK	\N	\N
3566314	1088	1994-10-31	PRIJEM	\N	94	22849	UROK	\N	\N
3566315	1088	1994-11-30	PRIJEM	\N	99	24201	UROK	\N	\N
3566316	1088	1994-12-31	PRIJEM	\N	104	26108	UROK	\N	\N
3566317	1088	1995-01-31	PRIJEM	\N	77	13219	UROK	\N	\N
3566318	1088	1995-02-28	PRIJEM	\N	61	15834	UROK	\N	\N
3566319	1088	1995-03-31	PRIJEM	\N	64	16371	UROK	\N	\N
3566320	1088	1995-04-30	PRIJEM	\N	75	18999	UROK	\N	\N
3566321	1088	1995-05-31	PRIJEM	\N	81	18913	UROK	\N	\N
3566322	1088	1995-06-30	PRIJEM	\N	85	21551	UROK	\N	\N
3566323	1088	1995-07-31	PRIJEM	\N	96	24201	UROK	\N	\N
3566324	1088	1995-08-31	PRIJEM	\N	107	26861	UROK	\N	\N
3566325	1088	1995-09-30	PRIJEM	\N	118	29533	UROK	\N	\N
3566326	1088	1995-10-31	PRIJEM	\N	124	30730	UROK	\N	\N
3566327	1088	1995-11-30	PRIJEM	\N	130	32314	UROK	\N	\N
3566328	1088	1995-12-31	PRIJEM	\N	135	33303	UROK	\N	\N
3566329	1088	1996-01-31	PRIJEM	\N	123	20329	UROK	\N	\N
3566330	1088	1996-02-29	PRIJEM	\N	90	22973	UROK	\N	\N
3566331	1088	1996-03-31	PRIJEM	\N	90	22336	UROK	\N	\N
3566332	1088	1996-04-30	PRIJEM	\N	97	23147	UROK	\N	\N
3566333	1088	1996-05-31	PRIJEM	\N	99	22919	UROK	\N	\N
3566334	1088	1996-06-30	PRIJEM	\N	101	25574	UROK	\N	\N
3566335	1088	1996-07-31	PRIJEM	\N	102	24629	UROK	\N	\N
3566336	1088	1996-08-31	PRIJEM	\N	109	27291	UROK	\N	\N
3566337	1088	1996-09-30	PRIJEM	\N	113	27857	UROK	\N	\N
3566338	1088	1996-10-31	PRIJEM	\N	122	30532	UROK	\N	\N
3566339	1088	1996-11-30	PRIJEM	\N	122	30488	UROK	\N	\N
3566340	1088	1996-12-31	PRIJEM	\N	125	30817	UROK	\N	\N
3566341	1088	1997-01-31	PRIJEM	\N	103	17393	UROK	\N	\N
3566342	1088	1997-02-28	PRIJEM	\N	74	17300	UROK	\N	\N
3566343	1088	1997-03-31	PRIJEM	\N	78	19932	UROK	\N	\N
3566344	1088	1997-04-30	PRIJEM	\N	89	22574	UROK	\N	\N
3566345	1088	1997-05-31	PRIJEM	\N	100	25226	UROK	\N	\N
3566346	1088	1997-06-30	PRIJEM	\N	84	18664	UROK	\N	\N
3566347	1088	1997-07-31	PRIJEM	\N	83	21300	UROK	\N	\N
3566348	1088	1997-08-31	PRIJEM	\N	86	19540	UROK	\N	\N
3566349	1088	1997-09-30	PRIJEM	\N	85	17379	UROK	\N	\N
3566350	1088	1997-10-31	PRIJEM	\N	75	13407	UROK	\N	\N
3566351	1088	1997-11-30	PRIJEM	\N	61	15321	UROK	\N	\N
3566352	1088	1997-12-31	PRIJEM	\N	67	16552	UROK	\N	\N
3566353	1088	1998-01-31	PRIJEM	\N	68	16453	UROK	\N	\N
3566354	1088	1998-02-28	PRIJEM	\N	69	14874	UROK	\N	\N
3566355	1088	1998-03-31	PRIJEM	\N	65	13893	UROK	\N	\N
3566356	1088	1998-04-30	PRIJEM	\N	63	16509	UROK	\N	\N
3566357	1088	1998-05-31	PRIJEM	\N	74	19136	UROK	\N	\N
3566358	1088	1998-06-30	PRIJEM	\N	84	21773	UROK	\N	\N
3566359	1088	1998-07-31	PRIJEM	\N	95	24422	UROK	\N	\N
3566360	1088	1998-08-31	PRIJEM	\N	104	25000	UROK	\N	\N
3566361	1088	1998-09-30	PRIJEM	\N	106	23959	UROK	\N	\N
3566362	1088	1998-10-31	PRIJEM	\N	104	26616	UROK	\N	\N
3566363	1088	1998-11-30	PRIJEM	\N	104	25513	UROK	\N	\N
3566364	1088	1998-12-31	PRIJEM	\N	109	26876	UROK	\N	\N
3566365	1089	1995-11-30	PRIJEM	\N	23	20671	UROK	\N	\N
3566366	1089	1995-12-31	PRIJEM	\N	105	31548	UROK	\N	\N
3566367	1089	1996-01-31	PRIJEM	\N	167	43163	UROK	\N	\N
3566368	1089	1996-02-29	PRIJEM	\N	184	44695	UROK	\N	\N
3566369	1089	1996-03-31	PRIJEM	\N	181	42962	UROK	\N	\N
3566370	1089	1996-04-30	PRIJEM	\N	164	38141	UROK	\N	\N
3566371	1089	1996-05-31	PRIJEM	\N	154	37411	UROK	\N	\N
3566372	1089	1996-06-30	PRIJEM	\N	126	29376	UROK	\N	\N
3566373	1089	1996-07-31	PRIJEM	\N	118	28410	UROK	\N	\N
3566374	1089	1996-08-31	PRIJEM	\N	117	29243	UROK	\N	\N
3566375	1089	1996-09-30	PRIJEM	\N	125	30483	UROK	\N	\N
3566376	1089	1996-10-31	PRIJEM	\N	124	30823	UROK	\N	\N
3566377	1089	1996-11-30	PRIJEM	\N	126	31264	UROK	\N	\N
3566378	1089	1996-12-31	PRIJEM	\N	155	39158	UROK	\N	\N
3566379	1089	1997-01-31	PRIJEM	\N	118	23992	UROK	\N	\N
3566380	1089	1997-02-28	PRIJEM	\N	119	30626	UROK	\N	\N
3566381	1089	1997-03-31	PRIJEM	\N	141	35683	UROK	\N	\N
3566382	1089	1997-04-30	PRIJEM	\N	136	31534	UROK	\N	\N
3566383	1089	1997-05-31	PRIJEM	\N	145	36694	UROK	\N	\N
3566384	1089	1997-06-30	PRIJEM	\N	136	35970	UROK	\N	\N
3566385	1089	1997-07-31	PRIJEM	\N	152	38137	UROK	\N	\N
3566386	1089	1997-08-31	PRIJEM	\N	142	28094	UROK	\N	\N
3566387	1089	1997-09-30	PRIJEM	\N	124	17734	UROK	\N	\N
3566388	1089	1997-10-31	PRIJEM	\N	95	20744	UROK	\N	\N
3566389	1089	1997-11-30	PRIJEM	\N	112	26372	UROK	\N	\N
3566390	1089	1997-12-31	PRIJEM	\N	152	30563	UROK	\N	\N
3566391	1089	1998-01-31	PRIJEM	\N	113	20692	UROK	\N	\N
3566392	1089	1998-02-28	PRIJEM	\N	111	22418	UROK	\N	\N
3566393	1089	1998-03-31	PRIJEM	\N	105	19038	UROK	\N	\N
3566394	1089	1998-04-30	PRIJEM	\N	98	24652	UROK	\N	\N
3566395	1089	1998-05-31	PRIJEM	\N	121	17888	UROK	\N	\N
3566396	1089	1998-06-30	PRIJEM	\N	114	20442	UROK	\N	\N
3566397	1089	1998-07-31	PRIJEM	\N	101	13458	UROK	\N	\N
3566398	1089	1998-08-31	PRIJEM	\N	85	23059	UROK	\N	\N
3566399	1089	1998-09-30	PRIJEM	\N	125	32699	UROK	\N	\N
3566400	1089	1998-10-31	PRIJEM	\N	137	16551	UROK	\N	\N
3566401	1089	1998-11-30	PRIJEM	\N	97	26164	UROK	\N	\N
3566402	1089	1998-12-31	PRIJEM	\N	122	14125	UROK	\N	\N
3566403	1090	1996-11-30	PRIJEM	\N	29	16247	UROK	\N	\N
3566404	1090	1996-12-31	PRIJEM	\N	80	22904	UROK	\N	\N
3566405	1090	1997-01-31	PRIJEM	\N	103	26825	UROK	\N	\N
3566406	1090	1997-02-28	PRIJEM	\N	113	27456	UROK	\N	\N
3566407	1090	1997-03-31	PRIJEM	\N	110	22567	UROK	\N	\N
3566408	1090	1997-04-30	PRIJEM	\N	105	26758	UROK	\N	\N
3566409	1090	1997-05-31	PRIJEM	\N	119	29264	UROK	\N	\N
3566410	1090	1997-06-30	PRIJEM	\N	127	30336	UROK	\N	\N
3566411	1090	1997-07-31	PRIJEM	\N	136	33058	UROK	\N	\N
3566412	1090	1997-08-31	PRIJEM	\N	146	36091	UROK	\N	\N
3566413	1090	1997-09-30	PRIJEM	\N	153	36530	UROK	\N	\N
3566414	1090	1997-10-31	PRIJEM	\N	149	35465	UROK	\N	\N
3566415	1090	1997-11-30	PRIJEM	\N	160	39911	UROK	\N	\N
3566416	1090	1997-12-31	PRIJEM	\N	179	44035	UROK	\N	\N
3566417	1090	1998-01-31	PRIJEM	\N	169	31490	UROK	\N	\N
3566418	1090	1998-02-28	PRIJEM	\N	152	38429	UROK	\N	\N
3566419	1090	1998-03-31	PRIJEM	\N	176	41992	UROK	\N	\N
3566420	1090	1998-04-30	PRIJEM	\N	188	44866	UROK	\N	\N
3566421	1090	1998-05-31	PRIJEM	\N	201	50154	UROK	\N	\N
3566422	1090	1998-06-30	PRIJEM	\N	204	47904	UROK	\N	\N
3566423	1090	1998-07-31	PRIJEM	\N	197	46587	UROK	\N	\N
3566424	1090	1998-08-31	PRIJEM	\N	215	50889	UROK	\N	\N
3566425	1090	1998-09-30	PRIJEM	\N	215	52090	UROK	\N	\N
3566426	1090	1998-10-31	PRIJEM	\N	203	42080	UROK	\N	\N
3566427	1090	1998-11-30	PRIJEM	\N	184	44950	UROK	\N	\N
3566428	1090	1998-12-31	PRIJEM	\N	199	47795	UROK	\N	\N
3566429	1092	1995-07-31	PRIJEM	\N	71	20258	UROK	\N	\N
3566430	1092	1995-08-31	PRIJEM	\N	105	25949	UROK	\N	\N
3566431	1092	1995-09-30	PRIJEM	\N	151	37887	UROK	\N	\N
3566432	1092	1995-10-31	PRIJEM	\N	177	43251	UROK	\N	\N
3566433	1092	1995-11-30	PRIJEM	\N	177	42050	UROK	\N	\N
3566434	1092	1995-12-31	PRIJEM	\N	179	41431	UROK	\N	\N
3566435	1092	1996-01-31	PRIJEM	\N	130	28070	UROK	\N	\N
3566436	1092	1996-02-29	PRIJEM	\N	134	32512	UROK	\N	\N
3566437	1092	1996-03-31	PRIJEM	\N	149	35869	UROK	\N	\N
3566438	1092	1996-04-30	PRIJEM	\N	154	36731	UROK	\N	\N
3566439	1092	1996-05-31	PRIJEM	\N	140	32679	UROK	\N	\N
3566440	1092	1996-06-30	PRIJEM	\N	134	21814	UROK	\N	\N
3566441	1092	1996-07-31	PRIJEM	\N	108	22330	UROK	\N	\N
3566442	1092	1996-08-31	PRIJEM	\N	112	24051	UROK	\N	\N
3566443	1092	1996-09-30	PRIJEM	\N	110	22469	UROK	\N	\N
3566444	1092	1996-10-31	PRIJEM	\N	110	19887	UROK	\N	\N
3566445	1092	1996-11-30	PRIJEM	\N	101	20496	UROK	\N	\N
3566446	1092	1996-12-31	PRIJEM	\N	111	22609	UROK	\N	\N
3566447	1092	1997-01-31	PRIJEM	\N	91	14308	UROK	\N	\N
3566448	1092	1997-02-28	PRIJEM	\N	80	20896	UROK	\N	\N
3566449	1092	1997-03-31	PRIJEM	\N	92	17897	UROK	\N	\N
3566450	1092	1997-04-30	PRIJEM	\N	90	17095	UROK	\N	\N
3566451	1092	1997-05-31	PRIJEM	\N	86	16390	UROK	\N	\N
3566452	1092	1997-06-30	PRIJEM	\N	103	21594	UROK	\N	\N
3566453	1092	1997-07-31	PRIJEM	\N	104	20706	UROK	\N	\N
3566454	1092	1997-08-31	PRIJEM	\N	92	18206	UROK	\N	\N
3566455	1092	1997-09-30	PRIJEM	\N	86	15201	UROK	\N	\N
3566456	1092	1997-10-31	PRIJEM	\N	77	15586	UROK	\N	\N
3566457	1092	1997-11-30	PRIJEM	\N	73	12367	UROK	\N	\N
3566458	1092	1997-12-31	PRIJEM	\N	88	23456	UROK	\N	\N
3566459	1092	1998-01-31	PRIJEM	\N	82	15447	UROK	\N	\N
3566460	1092	1998-02-28	PRIJEM	\N	77	16132	UROK	\N	\N
3566461	1092	1998-03-31	PRIJEM	\N	74	12414	UROK	\N	\N
3566462	1092	1998-04-30	PRIJEM	\N	72	18794	UROK	\N	\N
3566463	1092	1998-05-31	PRIJEM	\N	83	14785	UROK	\N	\N
3566464	1092	1998-06-30	PRIJEM	\N	71	15658	UROK	\N	\N
3566465	1092	1998-07-31	PRIJEM	\N	74	15040	UROK	\N	\N
3566466	1092	1998-08-31	PRIJEM	\N	71	14619	UROK	\N	\N
3566467	1092	1998-09-30	PRIJEM	\N	67	13495	UROK	\N	\N
3566468	1092	1998-10-31	PRIJEM	\N	75	17378	UROK	\N	\N
3566469	1092	1998-11-30	PRIJEM	\N	79	18865	UROK	\N	\N
3566470	1092	1998-12-31	PRIJEM	\N	97	20064	UROK	\N	\N
3566471	1093	1996-02-29	PRIJEM	\N	88	36225	UROK	\N	\N
3566472	1093	1996-03-31	PRIJEM	\N	189	52352	UROK	\N	\N
3566473	1093	1996-04-30	PRIJEM	\N	245	63333	UROK	\N	\N
3566474	1093	1996-05-31	PRIJEM	\N	230	48801	UROK	\N	\N
3566475	1093	1996-06-30	PRIJEM	\N	221	42466	UROK	\N	\N
3566476	1093	1996-07-31	PRIJEM	\N	194	37453	UROK	\N	\N
3566477	1093	1996-08-31	PRIJEM	\N	160	22598	UROK	\N	\N
3566478	1093	1996-09-30	PRIJEM	\N	123	26136	UROK	\N	\N
3566479	1093	1996-10-31	PRIJEM	\N	158	32466	UROK	\N	\N
3566480	1093	1996-11-30	PRIJEM	\N	172	37299	UROK	\N	\N
3566481	1093	1996-12-31	PRIJEM	\N	133	15864	UROK	\N	\N
3566482	1093	1997-01-31	PRIJEM	\N	112	23637	UROK	\N	\N
3566483	1093	1997-02-28	PRIJEM	\N	151	32650	UROK	\N	\N
3566484	1093	1997-03-31	PRIJEM	\N	124	18455	UROK	\N	\N
3566485	1093	1997-04-30	PRIJEM	\N	120	30437	UROK	\N	\N
3566486	1093	1997-05-31	PRIJEM	\N	134	21808	UROK	\N	\N
3566487	1093	1997-06-30	PRIJEM	\N	212	43351	UROK	\N	\N
3566488	1093	1997-07-31	PRIJEM	\N	177	38666	UROK	\N	\N
3566489	1093	1997-08-31	PRIJEM	\N	182	31958	UROK	\N	\N
3566490	1093	1997-09-30	PRIJEM	\N	212	51809	UROK	\N	\N
3566491	1093	1997-10-31	PRIJEM	\N	216	40809	UROK	\N	\N
3566492	1093	1997-11-30	PRIJEM	\N	164	28610	UROK	\N	\N
3566493	1093	1997-12-31	PRIJEM	\N	233	50695	UROK	\N	\N
3566494	1093	1998-01-31	PRIJEM	\N	145	17278	UROK	\N	\N
3566495	1093	1998-02-28	PRIJEM	\N	177	45294	UROK	\N	\N
3566496	1093	1998-03-31	PRIJEM	\N	184	17523	UROK	\N	\N
3566497	1093	1998-04-30	PRIJEM	\N	141	33648	UROK	\N	\N
3566498	1093	1998-05-31	PRIJEM	\N	194	47980	UROK	\N	\N
3566499	1093	1998-06-30	PRIJEM	\N	264	45552	UROK	\N	\N
3566500	1093	1998-07-31	PRIJEM	\N	194	35598	UROK	\N	\N
3566501	1093	1998-08-31	PRIJEM	\N	196	48932	UROK	\N	\N
3566502	1093	1998-09-30	PRIJEM	\N	214	56685	UROK	\N	\N
3566503	1093	1998-10-31	PRIJEM	\N	237	35537	UROK	\N	\N
3566504	1093	1998-11-30	PRIJEM	\N	239	35314	UROK	\N	\N
3566505	1093	1998-12-31	PRIJEM	\N	210	39716	UROK	\N	\N
3566506	1094	1996-11-30	PRIJEM	\N	78	23570	UROK	\N	\N
3566507	1094	1996-12-31	PRIJEM	\N	111	26807	UROK	\N	\N
3566508	1094	1997-01-31	PRIJEM	\N	108	23328	UROK	\N	\N
3566509	1094	1997-02-28	PRIJEM	\N	94	22776	UROK	\N	\N
3566510	1094	1997-03-31	PRIJEM	\N	89	19618	UROK	\N	\N
3566511	1094	1997-04-30	PRIJEM	\N	95	23567	UROK	\N	\N
3566512	1094	1997-05-31	PRIJEM	\N	106	26026	UROK	\N	\N
3566513	1094	1997-06-30	PRIJEM	\N	73	16033	UROK	\N	\N
3566514	1094	1997-07-31	PRIJEM	\N	69	16275	UROK	\N	\N
3566515	1094	1997-08-31	PRIJEM	\N	78	19246	UROK	\N	\N
3566516	1094	1997-09-30	PRIJEM	\N	94	23193	UROK	\N	\N
3566517	1094	1997-10-31	PRIJEM	\N	110	25797	UROK	\N	\N
3566518	1094	1997-11-30	PRIJEM	\N	109	26659	UROK	\N	\N
3566519	1094	1997-12-31	PRIJEM	\N	110	24652	UROK	\N	\N
3566520	1094	1998-01-31	PRIJEM	\N	92	18297	UROK	\N	\N
3566521	1094	1998-02-28	PRIJEM	\N	89	22240	UROK	\N	\N
3566522	1094	1998-03-31	PRIJEM	\N	95	23448	UROK	\N	\N
3566523	1094	1998-04-30	PRIJEM	\N	95	23197	UROK	\N	\N
3566524	1094	1998-05-31	PRIJEM	\N	83	20153	UROK	\N	\N
3566525	1094	1998-06-30	PRIJEM	\N	77	19283	UROK	\N	\N
3566526	1094	1998-07-31	PRIJEM	\N	83	17319	UROK	\N	\N
3566527	1094	1998-08-31	PRIJEM	\N	85	21258	UROK	\N	\N
3566528	1094	1998-09-30	PRIJEM	\N	101	24652	UROK	\N	\N
3566529	1094	1998-10-31	PRIJEM	\N	116	28621	UROK	\N	\N
3566530	1094	1998-11-30	PRIJEM	\N	123	15297	UROK	\N	\N
3566531	1094	1998-12-31	PRIJEM	\N	72	17663	UROK	\N	\N
3566532	1095	1997-07-31	PRIJEM	\N	41	21714	UROK	\N	\N
3566533	1095	1997-08-31	PRIJEM	\N	112	32599	UROK	\N	\N
3566534	1095	1997-09-30	PRIJEM	\N	154	41426	UROK	\N	\N
3566535	1095	1997-10-31	PRIJEM	\N	174	42172	UROK	\N	\N
3566536	1095	1997-11-30	PRIJEM	\N	195	36365	UROK	\N	\N
3566537	1095	1997-12-31	PRIJEM	\N	203	43708	UROK	\N	\N
3566538	1095	1998-01-31	PRIJEM	\N	185	33136	UROK	\N	\N
3566539	1095	1998-02-28	PRIJEM	\N	162	36382	UROK	\N	\N
3566540	1095	1998-03-31	PRIJEM	\N	184	41149	UROK	\N	\N
3566541	1095	1998-04-30	PRIJEM	\N	209	46501	UROK	\N	\N
3566542	1095	1998-05-31	PRIJEM	\N	217	48302	UROK	\N	\N
3566543	1095	1998-06-30	PRIJEM	\N	225	49026	UROK	\N	\N
3566544	1095	1998-07-31	PRIJEM	\N	236	51246	UROK	\N	\N
3566545	1095	1998-08-31	PRIJEM	\N	219	47649	UROK	\N	\N
3566546	1095	1998-09-30	PRIJEM	\N	209	46341	UROK	\N	\N
3566547	1095	1998-10-31	PRIJEM	\N	204	45229	UROK	\N	\N
3566548	1095	1998-11-30	PRIJEM	\N	179	37791	UROK	\N	\N
3566549	1095	1998-12-31	PRIJEM	\N	192	43103	UROK	\N	\N
3566550	1096	1997-03-31	PRIJEM	\N	17	6852	UROK	\N	\N
3566551	1096	1997-04-30	PRIJEM	\N	29	13315	UROK	\N	\N
3566552	1096	1997-05-31	PRIJEM	\N	29	19779	UROK	\N	\N
3566553	1096	1997-06-30	PRIJEM	\N	71	25085	UROK	\N	\N
3566554	1096	1997-07-31	PRIJEM	\N	114	29334	UROK	\N	\N
3566555	1096	1997-08-31	PRIJEM	\N	114	26980	UROK	\N	\N
3566556	1096	1997-09-30	PRIJEM	\N	117	23730	UROK	\N	\N
3566557	1096	1997-10-31	PRIJEM	\N	105	23567	UROK	\N	\N
3566558	1096	1997-11-30	PRIJEM	\N	105	26604	UROK	\N	\N
3566559	1096	1997-12-31	PRIJEM	\N	115	25251	UROK	\N	\N
3566560	1096	1998-01-31	PRIJEM	\N	96	18520	UROK	\N	\N
3566561	1096	1998-02-28	PRIJEM	\N	78	16730	UROK	\N	\N
3566562	1096	1998-03-31	PRIJEM	\N	77	19739	UROK	\N	\N
3566563	1096	1998-04-30	PRIJEM	\N	81	17612	UROK	\N	\N
3566564	1096	1998-05-31	PRIJEM	\N	80	20425	UROK	\N	\N
3566565	1096	1998-06-30	PRIJEM	\N	91	22649	UROK	\N	\N
3566566	1096	1998-07-31	PRIJEM	\N	96	23117	UROK	\N	\N
3566567	1096	1998-08-31	PRIJEM	\N	103	26153	UROK	\N	\N
3566568	1096	1998-09-30	PRIJEM	\N	106	25591	UROK	\N	\N
3566569	1096	1998-10-31	PRIJEM	\N	106	25430	UROK	\N	\N
3566570	1096	1998-11-30	PRIJEM	\N	107	23570	UROK	\N	\N
3566571	1096	1998-12-31	PRIJEM	\N	103	25505	UROK	\N	\N
3566572	1097	1996-07-31	PRIJEM	\N	34	25164	UROK	\N	\N
3566573	1097	1996-08-31	PRIJEM	\N	120	35514	UROK	\N	\N
3566574	1097	1996-09-30	PRIJEM	\N	158	42301	UROK	\N	\N
3566575	1097	1996-10-31	PRIJEM	\N	183	46714	UROK	\N	\N
3566576	1097	1996-11-30	PRIJEM	\N	204	45078	UROK	\N	\N
3566577	1097	1996-12-31	PRIJEM	\N	190	45773	UROK	\N	\N
3566578	1097	1997-01-31	PRIJEM	\N	129	14792	UROK	\N	\N
3566579	1097	1997-02-28	PRIJEM	\N	80	26362	UROK	\N	\N
3566580	1097	1997-03-31	PRIJEM	\N	123	33155	UROK	\N	\N
3566581	1097	1997-04-30	PRIJEM	\N	144	36789	UROK	\N	\N
3566582	1097	1997-05-31	PRIJEM	\N	153	37573	UROK	\N	\N
3566583	1097	1997-06-30	PRIJEM	\N	150	26928	UROK	\N	\N
3566584	1097	1997-07-31	PRIJEM	\N	123	33442	UROK	\N	\N
3566585	1097	1997-08-31	PRIJEM	\N	149	39781	UROK	\N	\N
3566586	1097	1997-09-30	PRIJEM	\N	171	44742	UROK	\N	\N
3566587	1097	1997-10-31	PRIJEM	\N	182	45014	UROK	\N	\N
3566588	1097	1997-11-30	PRIJEM	\N	190	46574	UROK	\N	\N
3566589	1097	1997-12-31	PRIJEM	\N	205	53305	UROK	\N	\N
3566590	1097	1998-01-31	PRIJEM	\N	165	31760	UROK	\N	\N
3566591	1097	1998-02-28	PRIJEM	\N	163	48113	UROK	\N	\N
3566592	1097	1998-03-31	PRIJEM	\N	218	48722	UROK	\N	\N
3566593	1097	1998-04-30	PRIJEM	\N	208	46940	UROK	\N	\N
3566594	1097	1998-05-31	PRIJEM	\N	209	55740	UROK	\N	\N
3566595	1097	1998-06-30	PRIJEM	\N	188	54473	UROK	\N	\N
3566596	1097	1998-07-31	PRIJEM	\N	249	65813	UROK	\N	\N
3566597	1097	1998-08-31	PRIJEM	\N	276	69799	UROK	\N	\N
3566598	1097	1998-09-30	PRIJEM	\N	298	76888	UROK	\N	\N
3566599	1097	1998-10-31	PRIJEM	\N	320	79998	UROK	\N	\N
3566600	1097	1998-11-30	PRIJEM	\N	337	86225	UROK	\N	\N
3566601	1097	1998-12-31	PRIJEM	\N	370	95400	UROK	\N	\N
3566602	1098	1994-04-30	PRIJEM	\N	13	22749	UROK	\N	\N
3566603	1098	1994-05-31	PRIJEM	\N	103	19030	UROK	\N	\N
3566604	1098	1994-06-30	PRIJEM	\N	77	13000	UROK	\N	\N
3566605	1098	1994-07-31	PRIJEM	\N	66	17209	UROK	\N	\N
3566606	1098	1994-08-31	PRIJEM	\N	84	21436	UROK	\N	\N
3566607	1098	1994-09-30	PRIJEM	\N	101	25680	UROK	\N	\N
3566608	1098	1994-10-31	PRIJEM	\N	117	28041	UROK	\N	\N
3566609	1098	1994-11-30	PRIJEM	\N	121	25605	UROK	\N	\N
3566610	1098	1994-12-31	PRIJEM	\N	115	26863	UROK	\N	\N
3566611	1098	1995-01-31	PRIJEM	\N	117	26123	UROK	\N	\N
3566612	1098	1995-02-28	PRIJEM	\N	117	27583	UROK	\N	\N
3566613	1098	1995-03-31	PRIJEM	\N	117	23944	UROK	\N	\N
3566614	1098	1995-04-30	PRIJEM	\N	106	23693	UROK	\N	\N
3566615	1098	1995-05-31	PRIJEM	\N	104	22180	UROK	\N	\N
3566616	1098	1995-06-30	PRIJEM	\N	66	12539	UROK	\N	\N
3566617	1098	1995-07-31	PRIJEM	\N	62	13864	UROK	\N	\N
3566618	1098	1995-08-31	PRIJEM	\N	66	16554	UROK	\N	\N
3566619	1098	1995-09-30	PRIJEM	\N	76	19254	UROK	\N	\N
3566620	1098	1995-10-31	PRIJEM	\N	90	22487	UROK	\N	\N
3566621	1098	1995-11-30	PRIJEM	\N	104	24294	UROK	\N	\N
3566622	1098	1995-12-31	PRIJEM	\N	104	23391	UROK	\N	\N
3566623	1098	1996-01-31	PRIJEM	\N	95	22430	UROK	\N	\N
3566624	1098	1996-02-29	PRIJEM	\N	96	22269	UROK	\N	\N
3566625	1098	1996-03-31	PRIJEM	\N	95	21807	UROK	\N	\N
3566626	1098	1996-04-30	PRIJEM	\N	79	14830	UROK	\N	\N
3566627	1098	1996-05-31	PRIJEM	\N	63	15516	UROK	\N	\N
3566628	1098	1996-06-30	PRIJEM	\N	63	13972	UROK	\N	\N
3566629	1098	1996-07-31	PRIJEM	\N	58	12973	UROK	\N	\N
3566630	1098	1996-08-31	PRIJEM	\N	65	17182	UROK	\N	\N
3566631	1098	1996-09-30	PRIJEM	\N	82	12807	UROK	\N	\N
3566632	1098	1996-10-31	PRIJEM	\N	60	13390	UROK	\N	\N
3566633	1098	1996-11-30	PRIJEM	\N	67	17600	UROK	\N	\N
3566634	1098	1996-12-31	PRIJEM	\N	58	12102	UROK	\N	\N
3566635	1098	1997-01-31	PRIJEM	\N	61	16307	UROK	\N	\N
3566636	1098	1997-02-28	PRIJEM	\N	51	10501	UROK	\N	\N
3566637	1098	1997-03-31	PRIJEM	\N	55	14699	UROK	\N	\N
3566638	1098	1997-04-30	PRIJEM	\N	72	18914	UROK	\N	\N
3566639	1098	1997-05-31	PRIJEM	\N	64	12921	UROK	\N	\N
3566640	1098	1997-06-30	PRIJEM	\N	64	17129	UROK	\N	\N
3566641	1098	1997-07-31	PRIJEM	\N	82	21354	UROK	\N	\N
3566642	1098	1997-08-31	PRIJEM	\N	100	25597	UROK	\N	\N
3566643	1098	1997-09-30	PRIJEM	\N	109	26409	UROK	\N	\N
3566644	1098	1997-10-31	PRIJEM	\N	121	30673	UROK	\N	\N
3566645	1098	1997-11-30	PRIJEM	\N	135	31592	UROK	\N	\N
3566646	1098	1997-12-31	PRIJEM	\N	135	33910	UROK	\N	\N
3566647	1098	1998-01-31	PRIJEM	\N	146	35950	UROK	\N	\N
3566648	1098	1998-02-28	PRIJEM	\N	162	39455	UROK	\N	\N
3566649	1098	1998-03-31	PRIJEM	\N	174	42572	UROK	\N	\N
3566650	1098	1998-04-30	PRIJEM	\N	187	45462	UROK	\N	\N
3566651	1098	1998-05-31	PRIJEM	\N	200	49805	UROK	\N	\N
3566652	1098	1998-06-30	PRIJEM	\N	207	41956	UROK	\N	\N
3566653	1098	1998-07-31	PRIJEM	\N	185	46284	UROK	\N	\N
3566654	1098	1998-08-31	PRIJEM	\N	196	47183	UROK	\N	\N
3566655	1098	1998-09-30	PRIJEM	\N	204	48091	UROK	\N	\N
3566656	1098	1998-10-31	PRIJEM	\N	210	52445	UROK	\N	\N
3566657	1098	1998-11-30	PRIJEM	\N	228	56816	UROK	\N	\N
3566658	1098	1998-12-31	PRIJEM	\N	245	60354	UROK	\N	\N
3566717	1100	1997-02-28	PRIJEM	\N	44	13562	UROK	\N	\N
3566718	1100	1997-03-31	PRIJEM	\N	61	14688	UROK	\N	\N
3566719	1100	1997-04-30	PRIJEM	\N	64	14717	UROK	\N	\N
3566720	1100	1997-05-31	PRIJEM	\N	65	15848	UROK	\N	\N
3566721	1100	1997-06-30	PRIJEM	\N	67	15080	UROK	\N	\N
3566722	1100	1997-07-31	PRIJEM	\N	66	15512	UROK	\N	\N
3566723	1100	1997-08-31	PRIJEM	\N	61	12538	UROK	\N	\N
3566724	1100	1997-09-30	PRIJEM	\N	56	13660	UROK	\N	\N
3566725	1100	1997-10-31	PRIJEM	\N	52	10387	UROK	\N	\N
3566726	1100	1997-11-30	PRIJEM	\N	46	10598	UROK	\N	\N
3566727	1100	1997-12-31	PRIJEM	\N	48	11711	UROK	\N	\N
3566728	1100	1998-01-31	PRIJEM	\N	50	11607	UROK	\N	\N
3566729	1100	1998-02-28	PRIJEM	\N	55	12727	UROK	\N	\N
3566730	1100	1998-03-31	PRIJEM	\N	57	13849	UROK	\N	\N
3566731	1100	1998-04-30	PRIJEM	\N	59	13744	UROK	\N	\N
3566732	1100	1998-05-31	PRIJEM	\N	57	13167	UROK	\N	\N
3566733	1100	1998-06-30	PRIJEM	\N	51	10783	UROK	\N	\N
3566734	1100	1998-07-31	PRIJEM	\N	49	11897	UROK	\N	\N
3566735	1100	1998-08-31	PRIJEM	\N	54	13017	UROK	\N	\N
3566736	1100	1998-09-30	PRIJEM	\N	51	11233	UROK	\N	\N
3566737	1100	1998-10-31	PRIJEM	\N	51	12349	UROK	\N	\N
3566738	1100	1998-11-30	PRIJEM	\N	58	13472	UROK	\N	\N
3566739	1100	1998-12-31	PRIJEM	\N	59	14267	UROK	\N	\N
3566740	1101	1997-10-31	PRIJEM	\N	30	22190	UROK	\N	\N
3566741	1101	1997-11-30	PRIJEM	\N	102	28951	UROK	\N	\N
3566742	1101	1997-12-31	PRIJEM	\N	138	41130	UROK	\N	\N
3566743	1101	1998-01-31	PRIJEM	\N	174	42963	UROK	\N	\N
3566744	1101	1998-02-28	PRIJEM	\N	181	44504	UROK	\N	\N
3566745	1101	1998-03-31	PRIJEM	\N	191	39587	UROK	\N	\N
3566746	1101	1998-04-30	PRIJEM	\N	173	37653	UROK	\N	\N
3566747	1101	1998-05-31	PRIJEM	\N	149	31614	UROK	\N	\N
3566748	1101	1998-06-30	PRIJEM	\N	157	36644	UROK	\N	\N
3566749	1101	1998-07-31	PRIJEM	\N	157	33893	UROK	\N	\N
3566750	1101	1998-08-31	PRIJEM	\N	141	30027	UROK	\N	\N
3566751	1101	1998-09-30	PRIJEM	\N	128	28446	UROK	\N	\N
3566752	1101	1998-10-31	PRIJEM	\N	111	21849	UROK	\N	\N
3566753	1101	1998-11-30	PRIJEM	\N	95	19437	UROK	\N	\N
3566754	1101	1998-12-31	PRIJEM	\N	138	43047	UROK	\N	\N
3566755	1102	1996-03-31	PRIJEM	\N	21	12709	UROK	\N	\N
3566756	1102	1996-04-30	PRIJEM	\N	67	21264	UROK	\N	\N
3566757	1102	1996-05-31	PRIJEM	\N	98	27050	UROK	\N	\N
3566758	1102	1996-06-30	PRIJEM	\N	115	28747	UROK	\N	\N
3566759	1102	1996-07-31	PRIJEM	\N	118	27953	UROK	\N	\N
3566760	1102	1996-08-31	PRIJEM	\N	113	25040	UROK	\N	\N
3566761	1102	1996-09-30	PRIJEM	\N	107	24742	UROK	\N	\N
3566762	1102	1996-10-31	PRIJEM	\N	102	23758	UROK	\N	\N
3566763	1102	1996-11-30	PRIJEM	\N	107	26979	UROK	\N	\N
3566764	1102	1996-12-31	PRIJEM	\N	101	22429	UROK	\N	\N
3566765	1102	1997-01-31	PRIJEM	\N	75	13299	UROK	\N	\N
3566766	1102	1997-02-28	PRIJEM	\N	69	19182	UROK	\N	\N
3566767	1102	1997-03-31	PRIJEM	\N	92	24289	UROK	\N	\N
3566768	1102	1997-04-30	PRIJEM	\N	93	20796	UROK	\N	\N
3566769	1102	1997-05-31	PRIJEM	\N	79	16790	UROK	\N	\N
3566770	1102	1997-06-30	PRIJEM	\N	82	21680	UROK	\N	\N
3566771	1102	1997-07-31	PRIJEM	\N	99	24194	UROK	\N	\N
3566772	1102	1997-08-31	PRIJEM	\N	99	24107	UROK	\N	\N
3566773	1102	1997-09-30	PRIJEM	\N	103	25925	UROK	\N	\N
3566774	1102	1997-10-31	PRIJEM	\N	105	25744	UROK	\N	\N
3566775	1102	1997-11-30	PRIJEM	\N	111	28169	UROK	\N	\N
3566776	1102	1997-12-31	PRIJEM	\N	134	29112	UROK	\N	\N
3566777	1102	1998-01-31	PRIJEM	\N	97	21503	UROK	\N	\N
3566778	1102	1998-02-28	PRIJEM	\N	95	24913	UROK	\N	\N
3566779	1102	1998-03-31	PRIJEM	\N	123	32550	UROK	\N	\N
3566780	1102	1998-04-30	PRIJEM	\N	109	24493	UROK	\N	\N
3566781	1102	1998-05-31	PRIJEM	\N	110	28418	UROK	\N	\N
3566782	1102	1998-06-30	PRIJEM	\N	141	38167	UROK	\N	\N
3566783	1102	1998-07-31	PRIJEM	\N	156	38778	UROK	\N	\N
3566784	1102	1998-08-31	PRIJEM	\N	162	40254	UROK	\N	\N
3566785	1102	1998-09-30	PRIJEM	\N	164	38232	UROK	\N	\N
3566786	1102	1998-10-31	PRIJEM	\N	163	40910	UROK	\N	\N
3566787	1102	1998-11-30	PRIJEM	\N	184	47109	UROK	\N	\N
3566788	1102	1998-12-31	PRIJEM	\N	207	52604	UROK	\N	\N
3566789	1104	1996-01-31	PRIJEM	\N	72	20657	UROK	\N	\N
3566790	1104	1996-02-29	PRIJEM	\N	127	32069	UROK	\N	\N
3566791	1104	1996-03-31	PRIJEM	\N	152	37606	UROK	\N	\N
3566792	1104	1996-04-30	PRIJEM	\N	173	42364	UROK	\N	\N
3566793	1104	1996-05-31	PRIJEM	\N	167	37576	UROK	\N	\N
3566794	1104	1996-06-30	PRIJEM	\N	201	33650	UROK	\N	\N
3566795	1104	1996-07-31	PRIJEM	\N	146	33827	UROK	\N	\N
3566796	1104	1996-08-31	PRIJEM	\N	143	33901	UROK	\N	\N
3566797	1104	1996-09-30	PRIJEM	\N	154	37085	UROK	\N	\N
3566798	1104	1996-10-31	PRIJEM	\N	176	42292	UROK	\N	\N
3566799	1104	1996-11-30	PRIJEM	\N	163	38385	UROK	\N	\N
3566800	1104	1996-12-31	PRIJEM	\N	189	46347	UROK	\N	\N
3566801	1104	1997-01-31	PRIJEM	\N	179	30956	UROK	\N	\N
3566802	1104	1997-02-28	PRIJEM	\N	152	38338	UROK	\N	\N
3566803	1104	1997-03-31	PRIJEM	\N	182	43950	UROK	\N	\N
3566804	1104	1997-04-30	PRIJEM	\N	173	43454	UROK	\N	\N
3566805	1104	1997-05-31	PRIJEM	\N	174	33959	UROK	\N	\N
3566806	1104	1997-06-30	PRIJEM	\N	157	30389	UROK	\N	\N
3566807	1104	1997-07-31	PRIJEM	\N	144	31463	UROK	\N	\N
3566808	1104	1997-08-31	PRIJEM	\N	152	34745	UROK	\N	\N
3566809	1104	1997-09-30	PRIJEM	\N	160	33236	UROK	\N	\N
3566810	1104	1997-10-31	PRIJEM	\N	157	33623	UROK	\N	\N
3566811	1104	1997-11-30	PRIJEM	\N	161	38014	UROK	\N	\N
3566812	1104	1997-12-31	PRIJEM	\N	198	40684	UROK	\N	\N
3566813	1104	1998-01-31	PRIJEM	\N	160	29775	UROK	\N	\N
3566814	1104	1998-02-28	PRIJEM	\N	144	35649	UROK	\N	\N
3566815	1104	1998-03-31	PRIJEM	\N	169	41049	UROK	\N	\N
3566816	1104	1998-04-30	PRIJEM	\N	177	38956	UROK	\N	\N
3566817	1104	1998-05-31	PRIJEM	\N	175	38461	UROK	\N	\N
3566818	1104	1998-06-30	PRIJEM	\N	191	44026	UROK	\N	\N
3566819	1104	1998-07-31	PRIJEM	\N	199	45255	UROK	\N	\N
3566820	1104	1998-08-31	PRIJEM	\N	202	45688	UROK	\N	\N
3566821	1104	1998-09-30	PRIJEM	\N	203	45821	UROK	\N	\N
3566822	1104	1998-10-31	PRIJEM	\N	206	48458	UROK	\N	\N
3566823	1104	1998-11-30	PRIJEM	\N	217	52405	UROK	\N	\N
3566824	1104	1998-12-31	PRIJEM	\N	241	50920	UROK	\N	\N
3566825	1105	1994-09-30	PRIJEM	\N	31	9313	UROK	\N	\N
3566826	1105	1994-10-31	PRIJEM	\N	87	23882	UROK	\N	\N
3566827	1105	1994-11-30	PRIJEM	\N	92	30756	UROK	\N	\N
3566828	1105	1994-12-31	PRIJEM	\N	115	33644	UROK	\N	\N
3566829	1105	1995-01-31	PRIJEM	\N	136	25408	UROK	\N	\N
3566830	1105	1995-02-28	PRIJEM	\N	114	28435	UROK	\N	\N
3566831	1105	1995-03-31	PRIJEM	\N	102	24051	UROK	\N	\N
3566832	1105	1995-04-30	PRIJEM	\N	100	21664	UROK	\N	\N
3566833	1105	1995-05-31	PRIJEM	\N	98	22376	UROK	\N	\N
3566834	1105	1995-06-30	PRIJEM	\N	111	23891	UROK	\N	\N
3566835	1105	1995-07-31	PRIJEM	\N	106	23011	UROK	\N	\N
3566836	1105	1995-08-31	PRIJEM	\N	100	19324	UROK	\N	\N
3566837	1105	1995-09-30	PRIJEM	\N	86	17824	UROK	\N	\N
3566838	1105	1995-10-31	PRIJEM	\N	77	14414	UROK	\N	\N
3566839	1105	1995-11-30	PRIJEM	\N	66	14094	UROK	\N	\N
3566840	1105	1995-12-31	PRIJEM	\N	69	13067	UROK	\N	\N
3566841	1105	1996-01-31	PRIJEM	\N	59	13139	UROK	\N	\N
3566842	1105	1996-02-29	PRIJEM	\N	63	16116	UROK	\N	\N
3566843	1105	1996-03-31	PRIJEM	\N	73	16803	UROK	\N	\N
3566844	1105	1996-04-30	PRIJEM	\N	74	12190	UROK	\N	\N
3566845	1105	1996-05-31	PRIJEM	\N	57	12760	UROK	\N	\N
3566846	1105	1996-06-30	PRIJEM	\N	67	15232	UROK	\N	\N
3566847	1105	1996-07-31	PRIJEM	\N	68	14913	UROK	\N	\N
3566848	1105	1996-08-31	PRIJEM	\N	71	17897	UROK	\N	\N
3566849	1105	1996-09-30	PRIJEM	\N	78	17788	UROK	\N	\N
3566850	1105	1996-10-31	PRIJEM	\N	72	13973	UROK	\N	\N
3566851	1105	1996-11-30	PRIJEM	\N	66	16952	UROK	\N	\N
3566852	1105	1996-12-31	PRIJEM	\N	63	12219	UROK	\N	\N
3566853	1105	1997-01-31	PRIJEM	\N	52	11885	UROK	\N	\N
3566854	1105	1997-02-28	PRIJEM	\N	56	13355	UROK	\N	\N
3566855	1105	1997-03-31	PRIJEM	\N	63	15630	UROK	\N	\N
3566856	1105	1997-04-30	PRIJEM	\N	70	14514	UROK	\N	\N
3566857	1105	1997-05-31	PRIJEM	\N	69	17496	UROK	\N	\N
3566858	1105	1997-06-30	PRIJEM	\N	74	16175	UROK	\N	\N
3566859	1105	1997-07-31	PRIJEM	\N	66	15454	UROK	\N	\N
3566860	1105	1997-08-31	PRIJEM	\N	72	18440	UROK	\N	\N
3566861	1105	1997-09-30	PRIJEM	\N	83	19036	UROK	\N	\N
3566862	1105	1997-10-31	PRIJEM	\N	87	22037	UROK	\N	\N
3566863	1105	1997-11-30	PRIJEM	\N	100	25050	UROK	\N	\N
3566864	1105	1997-12-31	PRIJEM	\N	121	30175	UROK	\N	\N
3566865	1105	1998-01-31	PRIJEM	\N	97	14586	UROK	\N	\N
3566866	1105	1998-02-28	PRIJEM	\N	67	15266	UROK	\N	\N
3566867	1105	1998-03-31	PRIJEM	\N	71	18251	UROK	\N	\N
3566868	1105	1998-04-30	PRIJEM	\N	84	21248	UROK	\N	\N
3566869	1105	1998-05-31	PRIJEM	\N	96	24257	UROK	\N	\N
3566870	1105	1998-06-30	PRIJEM	\N	120	31682	UROK	\N	\N
3566871	1105	1998-07-31	PRIJEM	\N	129	28724	UROK	\N	\N
3566872	1105	1998-08-31	PRIJEM	\N	127	31764	UROK	\N	\N
3566873	1105	1998-09-30	PRIJEM	\N	138	32715	UROK	\N	\N
3566874	1105	1998-10-31	PRIJEM	\N	144	35772	UROK	\N	\N
3566875	1105	1998-11-30	PRIJEM	\N	156	38842	UROK	\N	\N
3566876	1105	1998-12-31	PRIJEM	\N	175	43621	UROK	\N	\N
3566877	1107	1993-09-30	PRIJEM	\N	20	7210	UROK	\N	\N
3566878	1107	1993-10-31	PRIJEM	\N	30	13630	UROK	\N	\N
3566879	1107	1993-11-30	PRIJEM	\N	30	20050	UROK	\N	\N
3566880	1107	1993-12-31	PRIJEM	\N	30	26470	UROK	\N	\N
3566881	1107	1994-01-31	PRIJEM	\N	82	25036	UROK	\N	\N
3566882	1107	1994-02-28	PRIJEM	\N	113	28279	UROK	\N	\N
3566883	1107	1994-03-31	PRIJEM	\N	123	30231	UROK	\N	\N
3566884	1107	1994-04-30	PRIJEM	\N	122	28583	UROK	\N	\N
3566885	1107	1994-05-31	PRIJEM	\N	125	30537	UROK	\N	\N
3566886	1107	1994-06-30	PRIJEM	\N	127	29143	UROK	\N	\N
3566887	1107	1994-07-31	PRIJEM	\N	133	33106	UROK	\N	\N
3566888	1107	1994-08-31	PRIJEM	\N	136	32471	UROK	\N	\N
3566889	1107	1994-09-30	PRIJEM	\N	140	34241	UROK	\N	\N
3566890	1107	1994-10-31	PRIJEM	\N	139	32689	UROK	\N	\N
3566891	1107	1994-11-30	PRIJEM	\N	132	31150	UROK	\N	\N
3566892	1107	1994-12-31	PRIJEM	\N	135	32534	UROK	\N	\N
3566893	1107	1995-01-31	PRIJEM	\N	117	19900	UROK	\N	\N
3566894	1107	1995-02-28	PRIJEM	\N	94	24624	UROK	\N	\N
3566895	1107	1995-03-31	PRIJEM	\N	114	29367	UROK	\N	\N
3566896	1107	1995-04-30	PRIJEM	\N	134	33010	UROK	\N	\N
3566897	1107	1995-05-31	PRIJEM	\N	133	33533	UROK	\N	\N
3566898	1107	1995-06-30	PRIJEM	\N	112	25674	UROK	\N	\N
3566899	1107	1995-07-31	PRIJEM	\N	111	28514	UROK	\N	\N
3566900	1107	1995-08-31	PRIJEM	\N	128	27371	UROK	\N	\N
3566901	1107	1995-09-30	PRIJEM	\N	124	29324	UROK	\N	\N
3566902	1107	1995-10-31	PRIJEM	\N	131	29785	UROK	\N	\N
3566903	1107	1995-11-30	PRIJEM	\N	132	28846	UROK	\N	\N
3566904	1107	1995-12-31	PRIJEM	\N	121	24006	UROK	\N	\N
3566905	1107	1996-01-31	PRIJEM	\N	80	14485	UROK	\N	\N
3566906	1107	1996-02-29	PRIJEM	\N	71	19186	UROK	\N	\N
3566907	1107	1996-03-31	PRIJEM	\N	91	23906	UROK	\N	\N
3566908	1107	1996-04-30	PRIJEM	\N	104	23799	UROK	\N	\N
3566909	1107	1996-05-31	PRIJEM	\N	108	25936	UROK	\N	\N
3566910	1107	1996-06-30	PRIJEM	\N	114	26180	UROK	\N	\N
3566911	1107	1996-07-31	PRIJEM	\N	114	26103	UROK	\N	\N
3566912	1107	1996-08-31	PRIJEM	\N	119	30752	UROK	\N	\N
3566913	1107	1996-09-30	PRIJEM	\N	133	31315	UROK	\N	\N
3566914	1107	1996-10-31	PRIJEM	\N	132	28976	UROK	\N	\N
3566915	1107	1996-11-30	PRIJEM	\N	125	29430	UROK	\N	\N
3566916	1107	1996-12-31	PRIJEM	\N	129	30989	UROK	\N	\N
3566917	1107	1997-01-31	PRIJEM	\N	115	20023	UROK	\N	\N
3566918	1107	1997-02-28	PRIJEM	\N	88	19780	UROK	\N	\N
3566919	1107	1997-03-31	PRIJEM	\N	89	21659	UROK	\N	\N
3566920	1107	1997-04-30	PRIJEM	\N	99	25287	UROK	\N	\N
3566921	1107	1997-05-31	PRIJEM	\N	111	27327	UROK	\N	\N
3566922	1107	1997-06-30	PRIJEM	\N	110	24116	UROK	\N	\N
3566923	1107	1997-07-31	PRIJEM	\N	108	27014	UROK	\N	\N
3566924	1107	1997-08-31	PRIJEM	\N	118	29261	UROK	\N	\N
3566925	1107	1997-09-30	PRIJEM	\N	125	30415	UROK	\N	\N
3566926	1107	1997-10-31	PRIJEM	\N	122	27866	UROK	\N	\N
3566927	1107	1997-11-30	PRIJEM	\N	117	25972	UROK	\N	\N
3566928	1107	1997-12-31	PRIJEM	\N	107	25209	UROK	\N	\N
3566929	1107	1998-01-31	PRIJEM	\N	86	17624	UROK	\N	\N
3566930	1107	1998-02-28	PRIJEM	\N	75	17588	UROK	\N	\N
3566931	1107	1998-03-31	PRIJEM	\N	83	22300	UROK	\N	\N
3566932	1107	1998-04-30	PRIJEM	\N	102	27031	UROK	\N	\N
3566933	1107	1998-05-31	PRIJEM	\N	122	31783	UROK	\N	\N
3566934	1107	1998-06-30	PRIJEM	\N	113	25275	UROK	\N	\N
3566935	1107	1998-07-31	PRIJEM	\N	114	29459	UROK	\N	\N
3566936	1107	1998-08-31	PRIJEM	\N	125	30753	UROK	\N	\N
3566937	1107	1998-09-30	PRIJEM	\N	133	33715	UROK	\N	\N
3566938	1107	1998-10-31	PRIJEM	\N	138	33563	UROK	\N	\N
3566939	1107	1998-11-30	PRIJEM	\N	127	30180	UROK	\N	\N
3566940	1107	1998-12-31	PRIJEM	\N	134	33493	UROK	\N	\N
3566941	1108	1995-08-31	PRIJEM	\N	73	22772	UROK	\N	\N
3566942	1108	1995-09-30	PRIJEM	\N	92	22254	UROK	\N	\N
3566943	1108	1995-10-31	PRIJEM	\N	99	23902	UROK	\N	\N
3566944	1108	1995-11-30	PRIJEM	\N	108	26359	UROK	\N	\N
3566945	1108	1995-12-31	PRIJEM	\N	107	25966	UROK	\N	\N
3566946	1108	1996-01-31	PRIJEM	\N	111	24676	UROK	\N	\N
3566947	1108	1996-02-29	PRIJEM	\N	102	24487	UROK	\N	\N
3566948	1108	1996-03-31	PRIJEM	\N	110	26947	UROK	\N	\N
3566949	1108	1996-04-30	PRIJEM	\N	120	29416	UROK	\N	\N
3566950	1108	1996-05-31	PRIJEM	\N	130	31896	UROK	\N	\N
3566951	1108	1996-06-30	PRIJEM	\N	113	24898	UROK	\N	\N
3566952	1108	1996-07-31	PRIJEM	\N	112	27359	UROK	\N	\N
3566953	1108	1996-08-31	PRIJEM	\N	122	29830	UROK	\N	\N
3566954	1108	1996-09-30	PRIJEM	\N	129	29508	UROK	\N	\N
3566955	1108	1996-10-31	PRIJEM	\N	131	31988	UROK	\N	\N
3566956	1108	1996-11-30	PRIJEM	\N	141	34479	UROK	\N	\N
3566957	1108	1996-12-31	PRIJEM	\N	150	36378	UROK	\N	\N
3566958	1108	1997-01-31	PRIJEM	\N	155	37083	UROK	\N	\N
3566959	1108	1997-02-28	PRIJEM	\N	162	39594	UROK	\N	\N
3566960	1108	1997-03-31	PRIJEM	\N	173	42116	UROK	\N	\N
3566961	1108	1997-04-30	PRIJEM	\N	183	44649	UROK	\N	\N
3566962	1108	1997-05-31	PRIJEM	\N	193	46091	UROK	\N	\N
3566963	1108	1997-06-30	PRIJEM	\N	185	37015	UROK	\N	\N
3566964	1108	1997-07-31	PRIJEM	\N	162	39526	UROK	\N	\N
3566965	1108	1997-08-31	PRIJEM	\N	171	41246	UROK	\N	\N
3566966	1108	1997-09-30	PRIJEM	\N	179	43575	UROK	\N	\N
3566967	1108	1997-10-31	PRIJEM	\N	188	45312	UROK	\N	\N
3566968	1108	1997-11-30	PRIJEM	\N	195	46957	UROK	\N	\N
3566969	1108	1997-12-31	PRIJEM	\N	201	48407	UROK	\N	\N
3566970	1108	1998-01-31	PRIJEM	\N	205	47261	UROK	\N	\N
3566971	1108	1998-02-28	PRIJEM	\N	203	49314	UROK	\N	\N
3566972	1108	1998-03-31	PRIJEM	\N	212	51375	UROK	\N	\N
3566973	1108	1998-04-30	PRIJEM	\N	218	51943	UROK	\N	\N
3566974	1108	1998-05-31	PRIJEM	\N	223	54515	UROK	\N	\N
3566975	1108	1998-06-30	PRIJEM	\N	218	50372	UROK	\N	\N
3566976	1108	1998-07-31	PRIJEM	\N	217	52938	UROK	\N	\N
3566977	1108	1998-08-31	PRIJEM	\N	209	50297	UROK	\N	\N
3566978	1108	1998-09-30	PRIJEM	\N	212	50699	UROK	\N	\N
3566979	1108	1998-10-31	PRIJEM	\N	218	53266	UROK	\N	\N
3566980	1108	1998-11-30	PRIJEM	\N	228	55843	UROK	\N	\N
3566981	1108	1998-12-31	PRIJEM	\N	236	56429	UROK	\N	\N
3566982	1110	1997-08-31	PRIJEM	\N	50	16296	UROK	\N	\N
3566983	1110	1997-09-30	PRIJEM	\N	97	25439	UROK	\N	\N
3566984	1110	1997-10-31	PRIJEM	\N	110	26695	UROK	\N	\N
3566985	1110	1997-11-30	PRIJEM	\N	111	26752	UROK	\N	\N
3566986	1110	1997-12-31	PRIJEM	\N	112	26105	UROK	\N	\N
3566987	1110	1998-01-31	PRIJEM	\N	80	13890	UROK	\N	\N
3566988	1110	1998-02-28	PRIJEM	\N	67	16062	UROK	\N	\N
3566989	1110	1998-03-31	PRIJEM	\N	92	23358	UROK	\N	\N
3566990	1110	1998-04-30	PRIJEM	\N	94	22457	UROK	\N	\N
3566991	1110	1998-05-31	PRIJEM	\N	91	21452	UROK	\N	\N
3566992	1110	1998-06-30	PRIJEM	\N	100	24380	UROK	\N	\N
3566993	1110	1998-07-31	PRIJEM	\N	107	25691	UROK	\N	\N
3566994	1110	1998-08-31	PRIJEM	\N	130	32026	UROK	\N	\N
3566995	1110	1998-09-30	PRIJEM	\N	152	35682	UROK	\N	\N
3566996	1110	1998-10-31	PRIJEM	\N	188	46574	UROK	\N	\N
3566997	1110	1998-11-30	PRIJEM	\N	228	56107	UROK	\N	\N
3566998	1110	1998-12-31	PRIJEM	\N	273	66207	UROK	\N	\N
3566999	1111	1996-03-31	PRIJEM	\N	41	20541	UROK	\N	\N
3567000	1111	1996-04-30	PRIJEM	\N	108	31550	UROK	\N	\N
3567001	1111	1996-05-31	PRIJEM	\N	151	41001	UROK	\N	\N
3567002	1111	1996-06-30	PRIJEM	\N	184	47235	UROK	\N	\N
3567003	1111	1996-07-31	PRIJEM	\N	198	48233	UROK	\N	\N
3567004	1111	1996-08-31	PRIJEM	\N	202	46159	UROK	\N	\N
3567005	1111	1996-09-30	PRIJEM	\N	195	45477	UROK	\N	\N
3567006	1111	1996-10-31	PRIJEM	\N	186	42586	UROK	\N	\N
3567007	1111	1996-11-30	PRIJEM	\N	181	43391	UROK	\N	\N
3567008	1111	1996-12-31	PRIJEM	\N	196	45481	UROK	\N	\N
3567009	1111	1997-01-31	PRIJEM	\N	170	34414	UROK	\N	\N
3567010	1111	1997-02-28	PRIJEM	\N	182	49219	UROK	\N	\N
3567011	1111	1997-03-31	PRIJEM	\N	205	48647	UROK	\N	\N
3567012	1111	1997-04-30	PRIJEM	\N	247	48917	UROK	\N	\N
3567013	1111	1997-05-31	PRIJEM	\N	248	43989	UROK	\N	\N
3567014	1111	1997-06-30	PRIJEM	\N	203	55725	UROK	\N	\N
3567015	1111	1997-07-31	PRIJEM	\N	236	58385	UROK	\N	\N
3567016	1111	1997-08-31	PRIJEM	\N	228	55736	UROK	\N	\N
3567017	1111	1997-09-30	PRIJEM	\N	225	55685	UROK	\N	\N
3567018	1111	1997-10-31	PRIJEM	\N	217	53125	UROK	\N	\N
3567019	1111	1997-11-30	PRIJEM	\N	226	57075	UROK	\N	\N
3567020	1111	1997-12-31	PRIJEM	\N	251	60419	UROK	\N	\N
3567021	1111	1998-01-31	PRIJEM	\N	221	45183	UROK	\N	\N
3567022	1111	1998-02-28	PRIJEM	\N	195	49901	UROK	\N	\N
3567023	1111	1998-03-31	PRIJEM	\N	207	51931	UROK	\N	\N
3567024	1111	1998-04-30	PRIJEM	\N	208	51763	UROK	\N	\N
3567025	1111	1998-05-31	PRIJEM	\N	200	49187	UROK	\N	\N
3567026	1111	1998-06-30	PRIJEM	\N	197	18157	UROK	\N	\N
3567027	1111	1998-07-31	PRIJEM	\N	121	35002	UROK	\N	\N
3567028	1111	1998-08-31	PRIJEM	\N	138	34763	UROK	\N	\N
3567029	1111	1998-09-30	PRIJEM	\N	139	34026	UROK	\N	\N
3567030	1111	1998-10-31	PRIJEM	\N	137	34785	UROK	\N	\N
3567031	1111	1998-11-30	PRIJEM	\N	143	34452	UROK	\N	\N
3567032	1111	1998-12-31	PRIJEM	\N	166	44851	UROK	\N	\N
3567033	1113	1996-10-31	PRIJEM	\N	22	18291	UROK	\N	\N
3567034	1113	1996-11-30	PRIJEM	\N	91	30351	UROK	\N	\N
3567035	1113	1996-12-31	PRIJEM	\N	138	39293	UROK	\N	\N
3567036	1113	1997-01-31	PRIJEM	\N	167	41628	UROK	\N	\N
3567037	1113	1997-02-28	PRIJEM	\N	178	38867	UROK	\N	\N
3567038	1113	1997-03-31	PRIJEM	\N	169	39244	UROK	\N	\N
3567039	1113	1997-04-30	PRIJEM	\N	169	38521	UROK	\N	\N
3567040	1113	1997-05-31	PRIJEM	\N	151	34020	UROK	\N	\N
3567041	1113	1997-06-30	PRIJEM	\N	134	15337	UROK	\N	\N
3567042	1113	1997-07-31	PRIJEM	\N	87	26232	UROK	\N	\N
3567043	1113	1997-08-31	PRIJEM	\N	120	31981	UROK	\N	\N
3567044	1113	1997-09-30	PRIJEM	\N	129	30558	UROK	\N	\N
3567045	1113	1997-10-31	PRIJEM	\N	140	34506	UROK	\N	\N
3567046	1113	1997-11-30	PRIJEM	\N	150	36844	UROK	\N	\N
3567047	1113	1997-12-31	PRIJEM	\N	169	41416	UROK	\N	\N
3567048	1113	1998-01-31	PRIJEM	\N	156	34501	UROK	\N	\N
3567049	1113	1998-02-28	PRIJEM	\N	145	33654	UROK	\N	\N
3567050	1113	1998-03-31	PRIJEM	\N	125	30848	UROK	\N	\N
3567051	1113	1998-04-30	PRIJEM	\N	145	36801	UROK	\N	\N
3567052	1113	1998-05-31	PRIJEM	\N	168	41677	UROK	\N	\N
3567053	1113	1998-06-30	PRIJEM	\N	165	40445	UROK	\N	\N
3567054	1113	1998-07-31	PRIJEM	\N	185	45438	UROK	\N	\N
3567055	1113	1998-08-31	PRIJEM	\N	205	50751	UROK	\N	\N
3567056	1113	1998-09-30	PRIJEM	\N	219	52378	UROK	\N	\N
3567057	1113	1998-10-31	PRIJEM	\N	229	55615	UROK	\N	\N
3567058	1113	1998-11-30	PRIJEM	\N	246	60269	UROK	\N	\N
3567059	1113	1998-12-31	PRIJEM	\N	262	64374	UROK	\N	\N
3567060	1114	1993-11-30	PRIJEM	\N	134	96144	UROK	\N	\N
3567061	1114	1993-12-31	PRIJEM	\N	334	92927	UROK	\N	\N
3567062	1114	1994-01-31	PRIJEM	\N	207	44633	UROK	\N	\N
3567063	1114	1994-02-28	PRIJEM	\N	157	33910	UROK	\N	\N
3567064	1114	1994-03-31	PRIJEM	\N	278	46955	UROK	\N	\N
3567065	1114	1994-04-30	PRIJEM	\N	246	85859	UROK	\N	\N
3567066	1114	1994-05-31	PRIJEM	\N	261	87319	UROK	\N	\N
3567067	1114	1994-06-30	PRIJEM	\N	369	93409	UROK	\N	\N
3567068	1114	1994-07-31	PRIJEM	\N	248	50578	UROK	\N	\N
3567069	1114	1994-08-31	PRIJEM	\N	127	24877	UROK	\N	\N
3567070	1114	1994-09-30	PRIJEM	\N	102	24499	UROK	\N	\N
3567071	1114	1994-10-31	PRIJEM	\N	85	19727	UROK	\N	\N
3567072	1114	1994-11-30	PRIJEM	\N	82	19929	UROK	\N	\N
3567073	1114	1994-12-31	PRIJEM	\N	78	18427	UROK	\N	\N
3567074	1114	1995-01-31	PRIJEM	\N	78	18925	UROK	\N	\N
3567075	1114	1995-02-28	PRIJEM	\N	68	16013	UROK	\N	\N
3567076	1114	1995-03-31	PRIJEM	\N	163	35974	UROK	\N	\N
3567077	1114	1995-04-30	PRIJEM	\N	114	25408	UROK	\N	\N
3567078	1114	1995-05-31	PRIJEM	\N	90	20817	UROK	\N	\N
3567079	1114	1995-06-30	PRIJEM	\N	77	15114	UROK	\N	\N
3567080	1114	1995-07-31	PRIJEM	\N	60	14494	UROK	\N	\N
3567081	1114	1995-08-31	PRIJEM	\N	49	11664	UROK	\N	\N
3567082	1114	1995-09-30	PRIJEM	\N	40	9423	UROK	\N	\N
3567083	1114	1995-10-31	PRIJEM	\N	38	6081	UROK	\N	\N
3567084	1114	1995-11-30	PRIJEM	\N	38	10139	UROK	\N	\N
3567085	1114	1995-12-31	PRIJEM	\N	45	11304	UROK	\N	\N
3567086	1114	1996-01-31	PRIJEM	\N	42	10266	UROK	\N	\N
3567087	1114	1996-02-29	PRIJEM	\N	41	6927	UROK	\N	\N
3567088	1114	1996-03-31	PRIJEM	\N	37	10824	UROK	\N	\N
3567089	1114	1996-04-30	PRIJEM	\N	55	35650	UROK	\N	\N
3567090	1114	1996-05-31	PRIJEM	\N	183	60685	UROK	\N	\N
3567091	1114	1996-06-30	PRIJEM	\N	137	30443	UROK	\N	\N
3567092	1114	1996-07-31	PRIJEM	\N	100	25106	UROK	\N	\N
3567093	1114	1996-08-31	PRIJEM	\N	99	14625	UROK	\N	\N
3567094	1114	1996-09-30	PRIJEM	\N	97	30274	UROK	\N	\N
3567095	1114	1996-10-31	PRIJEM	\N	108	16226	UROK	\N	\N
3567096	1114	1996-11-30	PRIJEM	\N	99	32840	UROK	\N	\N
3567097	1114	1996-12-31	PRIJEM	\N	134	19692	UROK	\N	\N
3567098	1114	1997-01-31	PRIJEM	\N	105	17969	UROK	\N	\N
3567099	1114	1997-02-28	PRIJEM	\N	72	14661	UROK	\N	\N
3567100	1114	1997-03-31	PRIJEM	\N	67	19991	UROK	\N	\N
3567101	1114	1997-04-30	PRIJEM	\N	85	13595	UROK	\N	\N
3567102	1114	1997-05-31	PRIJEM	\N	97	20674	UROK	\N	\N
3567103	1114	1997-06-30	PRIJEM	\N	83	17377	UROK	\N	\N
3567104	1114	1997-07-31	PRIJEM	\N	70	14066	UROK	\N	\N
3567105	1114	1997-08-31	PRIJEM	\N	56	10742	UROK	\N	\N
3567106	1114	1997-09-30	PRIJEM	\N	64	33043	UROK	\N	\N
3567107	1114	1997-10-31	PRIJEM	\N	186	31760	UROK	\N	\N
3567108	1114	1997-11-30	PRIJEM	\N	133	35804	UROK	\N	\N
3567109	1114	1997-12-31	PRIJEM	\N	159	38988	UROK	\N	\N
3567110	1114	1998-01-31	PRIJEM	\N	161	32664	UROK	\N	\N
3567111	1114	1998-02-28	PRIJEM	\N	133	29416	UROK	\N	\N
3567112	1114	1998-03-31	PRIJEM	\N	147	35193	UROK	\N	\N
3567113	1114	1998-04-30	PRIJEM	\N	141	29554	UROK	\N	\N
3567114	1114	1998-05-31	PRIJEM	\N	101	24175	UROK	\N	\N
3567115	1114	1998-06-30	PRIJEM	\N	97	20891	UROK	\N	\N
3567116	1114	1998-07-31	PRIJEM	\N	96	66505	UROK	\N	\N
3567117	1114	1998-08-31	PRIJEM	\N	253	35582	UROK	\N	\N
3567118	1114	1998-09-30	PRIJEM	\N	177	35856	UROK	\N	\N
3567119	1114	1998-10-31	PRIJEM	\N	175	29435	UROK	\N	\N
3567120	1114	1998-11-30	PRIJEM	\N	143	56631	UROK	\N	\N
3567121	1114	1998-12-31	PRIJEM	\N	245	83347	UROK	\N	\N
3567122	1115	1993-08-31	PRIJEM	\N	43	16763	UROK	\N	\N
3567123	1115	1993-09-30	PRIJEM	\N	73	16828	UROK	\N	\N
3567124	1115	1993-10-31	PRIJEM	\N	74	18034	UROK	\N	\N
3567125	1115	1993-11-30	PRIJEM	\N	76	18523	UROK	\N	\N
3567126	1115	1993-12-31	PRIJEM	\N	81	19376	UROK	\N	\N
3567127	1115	1994-01-31	PRIJEM	\N	76	16054	UROK	\N	\N
3567128	1115	1994-02-28	PRIJEM	\N	71	17257	UROK	\N	\N
3567129	1115	1994-03-31	PRIJEM	\N	71	17111	UROK	\N	\N
3567130	1115	1994-04-30	PRIJEM	\N	73	17146	UROK	\N	\N
3567131	1115	1994-05-31	PRIJEM	\N	75	17303	UROK	\N	\N
3567132	1115	1994-06-30	PRIJEM	\N	73	16978	UROK	\N	\N
3567133	1115	1994-07-31	PRIJEM	\N	75	18185	UROK	\N	\N
3567134	1115	1994-08-31	PRIJEM	\N	80	19397	UROK	\N	\N
3567135	1115	1994-09-30	PRIJEM	\N	84	19713	UROK	\N	\N
3567136	1115	1994-10-31	PRIJEM	\N	81	19546	UROK	\N	\N
3567137	1115	1994-11-30	PRIJEM	\N	84	20263	UROK	\N	\N
3567138	1115	1994-12-31	PRIJEM	\N	87	20862	UROK	\N	\N
3567139	1115	1995-01-31	PRIJEM	\N	78	16612	UROK	\N	\N
3567140	1115	1995-02-28	PRIJEM	\N	72	17336	UROK	\N	\N
3567141	1115	1995-03-31	PRIJEM	\N	74	17302	UROK	\N	\N
3567142	1115	1995-04-30	PRIJEM	\N	75	17939	UROK	\N	\N
3567143	1115	1995-05-31	PRIJEM	\N	74	17246	UROK	\N	\N
3567144	1115	1995-06-30	PRIJEM	\N	74	16142	UROK	\N	\N
3567145	1115	1995-07-31	PRIJEM	\N	69	16594	UROK	\N	\N
3567146	1115	1995-08-31	PRIJEM	\N	70	16867	UROK	\N	\N
3567147	1115	1995-09-30	PRIJEM	\N	74	18073	UROK	\N	\N
3567148	1115	1995-10-31	PRIJEM	\N	79	19284	UROK	\N	\N
3567149	1115	1995-11-30	PRIJEM	\N	79	18695	UROK	\N	\N
3567150	1115	1995-12-31	PRIJEM	\N	80	19518	UROK	\N	\N
3567151	1115	1996-01-31	PRIJEM	\N	76	14446	UROK	\N	\N
3567152	1115	1996-02-29	PRIJEM	\N	63	15642	UROK	\N	\N
3567153	1115	1996-03-31	PRIJEM	\N	68	16743	UROK	\N	\N
3567154	1115	1996-04-30	PRIJEM	\N	73	17948	UROK	\N	\N
3567155	1115	1996-05-31	PRIJEM	\N	78	19158	UROK	\N	\N
3567156	1115	1996-06-30	PRIJEM	\N	66	15646	UROK	\N	\N
3567157	1115	1996-07-31	PRIJEM	\N	66	15884	UROK	\N	\N
3567158	1115	1996-08-31	PRIJEM	\N	60	14277	UROK	\N	\N
3567159	1115	1996-09-30	PRIJEM	\N	62	15472	UROK	\N	\N
3567160	1115	1996-10-31	PRIJEM	\N	67	16131	UROK	\N	\N
3567161	1115	1996-11-30	PRIJEM	\N	70	16733	UROK	\N	\N
3567162	1115	1996-12-31	PRIJEM	\N	72	17368	UROK	\N	\N
3567163	1115	1997-01-31	PRIJEM	\N	62	14692	UROK	\N	\N
3567164	1115	1997-02-28	PRIJEM	\N	64	15888	UROK	\N	\N
3567165	1115	1997-03-31	PRIJEM	\N	65	15875	UROK	\N	\N
3567166	1115	1997-04-30	PRIJEM	\N	69	17076	UROK	\N	\N
3567167	1115	1997-05-31	PRIJEM	\N	74	18283	UROK	\N	\N
3567168	1115	1997-06-30	PRIJEM	\N	75	18380	UROK	\N	\N
3567169	1115	1997-07-31	PRIJEM	\N	79	19592	UROK	\N	\N
3567170	1115	1997-08-31	PRIJEM	\N	84	20808	UROK	\N	\N
3567171	1115	1997-09-30	PRIJEM	\N	87	21698	UROK	\N	\N
3567172	1115	1997-10-31	PRIJEM	\N	93	22923	UROK	\N	\N
3567173	1115	1997-11-30	PRIJEM	\N	98	24003	UROK	\N	\N
3567174	1115	1997-12-31	PRIJEM	\N	66	15291	UROK	\N	\N
3567175	1115	1998-01-31	PRIJEM	\N	64	15257	UROK	\N	\N
3567176	1115	1998-02-28	PRIJEM	\N	66	16455	UROK	\N	\N
3567177	1115	1998-03-31	PRIJEM	\N	71	17658	UROK	\N	\N
3567178	1115	1998-04-30	PRIJEM	\N	76	18866	UROK	\N	\N
3567179	1115	1998-05-31	PRIJEM	\N	81	20079	UROK	\N	\N
3567180	1115	1998-06-30	PRIJEM	\N	81	18472	UROK	\N	\N
3567181	1115	1998-07-31	PRIJEM	\N	79	19683	UROK	\N	\N
3567182	1115	1998-08-31	PRIJEM	\N	84	20899	UROK	\N	\N
3567183	1115	1998-09-30	PRIJEM	\N	89	22120	UROK	\N	\N
3567184	1115	1998-10-31	PRIJEM	\N	94	23347	UROK	\N	\N
3567185	1115	1998-11-30	PRIJEM	\N	99	24578	UROK	\N	\N
3567186	1115	1998-12-31	PRIJEM	\N	102	23802	UROK	\N	\N
3567187	1116	1993-08-31	PRIJEM	\N	31	17860	UROK	\N	\N
3567188	1116	1993-09-30	PRIJEM	\N	93	28382	UROK	\N	\N
3567189	1116	1993-10-31	PRIJEM	\N	128	33739	UROK	\N	\N
3567190	1116	1993-11-30	PRIJEM	\N	140	33508	UROK	\N	\N
3567191	1116	1993-12-31	PRIJEM	\N	143	30399	UROK	\N	\N
3567192	1116	1994-01-31	PRIJEM	\N	106	17693	UROK	\N	\N
3567193	1116	1994-02-28	PRIJEM	\N	93	22895	UROK	\N	\N
3567194	1116	1994-03-31	PRIJEM	\N	113	25936	UROK	\N	\N
3567195	1116	1994-04-30	PRIJEM	\N	120	26884	UROK	\N	\N
3567196	1116	1994-05-31	PRIJEM	\N	122	27335	UROK	\N	\N
3567197	1116	1994-06-30	PRIJEM	\N	122	27211	UROK	\N	\N
3567198	1116	1994-07-31	PRIJEM	\N	116	27455	UROK	\N	\N
3567199	1116	1994-08-31	PRIJEM	\N	118	26402	UROK	\N	\N
3567200	1116	1994-09-30	PRIJEM	\N	111	20780	UROK	\N	\N
3567201	1116	1994-10-31	PRIJEM	\N	103	25472	UROK	\N	\N
3567202	1116	1994-11-30	PRIJEM	\N	113	26913	UROK	\N	\N
3567203	1116	1994-12-31	PRIJEM	\N	125	30031	UROK	\N	\N
3567204	1116	1995-01-31	PRIJEM	\N	128	20328	UROK	\N	\N
3567205	1116	1995-02-28	PRIJEM	\N	115	23772	UROK	\N	\N
3567206	1116	1995-03-31	PRIJEM	\N	110	27610	UROK	\N	\N
3567207	1116	1995-04-30	PRIJEM	\N	126	31164	UROK	\N	\N
3567208	1116	1995-05-31	PRIJEM	\N	133	31925	UROK	\N	\N
3567209	1116	1995-06-30	PRIJEM	\N	144	27742	UROK	\N	\N
3567210	1116	1995-07-31	PRIJEM	\N	149	30320	UROK	\N	\N
3567211	1116	1995-08-31	PRIJEM	\N	145	36993	UROK	\N	\N
3567212	1116	1995-09-30	PRIJEM	\N	149	35450	UROK	\N	\N
3567213	1116	1995-10-31	PRIJEM	\N	149	35248	UROK	\N	\N
3567214	1116	1995-11-30	PRIJEM	\N	139	32015	UROK	\N	\N
3567215	1116	1995-12-31	PRIJEM	\N	183	39951	UROK	\N	\N
3567216	1116	1996-01-31	PRIJEM	\N	152	29112	UROK	\N	\N
3567217	1116	1996-02-29	PRIJEM	\N	133	26493	UROK	\N	\N
3567218	1116	1996-03-31	PRIJEM	\N	129	32990	UROK	\N	\N
3567219	1116	1996-04-30	PRIJEM	\N	148	37267	UROK	\N	\N
3567220	1116	1996-05-31	PRIJEM	\N	152	35128	UROK	\N	\N
3567221	1116	1996-06-30	PRIJEM	\N	194	44515	UROK	\N	\N
3567222	1116	1996-07-31	PRIJEM	\N	206	44550	UROK	\N	\N
3567223	1116	1996-08-31	PRIJEM	\N	179	41217	UROK	\N	\N
3567224	1116	1996-09-30	PRIJEM	\N	196	42542	UROK	\N	\N
3567225	1116	1996-10-31	PRIJEM	\N	171	41461	UROK	\N	\N
3567226	1116	1996-11-30	PRIJEM	\N	181	45171	UROK	\N	\N
3567227	1116	1996-12-31	PRIJEM	\N	211	53715	UROK	\N	\N
3567228	1116	1997-01-31	PRIJEM	\N	218	36962	UROK	\N	\N
3567229	1116	1997-02-28	PRIJEM	\N	185	41175	UROK	\N	\N
3567230	1116	1997-03-31	PRIJEM	\N	204	45307	UROK	\N	\N
3567231	1116	1997-04-30	PRIJEM	\N	186	42362	UROK	\N	\N
3567232	1116	1997-05-31	PRIJEM	\N	186	43776	UROK	\N	\N
3567233	1116	1997-06-30	PRIJEM	\N	178	32267	UROK	\N	\N
3567234	1116	1997-07-31	PRIJEM	\N	145	38741	UROK	\N	\N
3567235	1116	1997-08-31	PRIJEM	\N	188	38257	UROK	\N	\N
3567236	1116	1997-09-30	PRIJEM	\N	168	41853	UROK	\N	\N
3567237	1116	1997-10-31	PRIJEM	\N	181	42363	UROK	\N	\N
3567238	1116	1997-11-30	PRIJEM	\N	201	42992	UROK	\N	\N
3567239	1116	1997-12-31	PRIJEM	\N	212	47018	UROK	\N	\N
3567240	1116	1998-01-31	PRIJEM	\N	192	39078	UROK	\N	\N
3567241	1116	1998-02-28	PRIJEM	\N	188	43994	UROK	\N	\N
3567242	1116	1998-03-31	PRIJEM	\N	188	44011	UROK	\N	\N
3567243	1116	1998-04-30	PRIJEM	\N	185	40904	UROK	\N	\N
3567244	1116	1998-05-31	PRIJEM	\N	176	44568	UROK	\N	\N
3567245	1116	1998-06-30	PRIJEM	\N	206	49768	UROK	\N	\N
3567246	1116	1998-07-31	PRIJEM	\N	206	48842	UROK	\N	\N
3567247	1116	1998-08-31	PRIJEM	\N	201	46972	UROK	\N	\N
3567248	1116	1998-09-30	PRIJEM	\N	211	48111	UROK	\N	\N
3567249	1116	1998-10-31	PRIJEM	\N	211	42191	UROK	\N	\N
3567250	1116	1998-11-30	PRIJEM	\N	177	42196	UROK	\N	\N
3567251	1116	1998-12-31	PRIJEM	\N	222	51511	UROK	\N	\N
3567252	1117	1997-01-31	PRIJEM	\N	55	16780	UROK	\N	\N
3567253	1117	1997-02-28	PRIJEM	\N	78	19499	UROK	\N	\N
3567254	1117	1997-03-31	PRIJEM	\N	90	22229	UROK	\N	\N
3567255	1117	1997-04-30	PRIJEM	\N	101	24971	UROK	\N	\N
3567256	1117	1997-05-31	PRIJEM	\N	113	27724	UROK	\N	\N
3567257	1117	1997-06-30	PRIJEM	\N	83	15497	UROK	\N	\N
3567258	1117	1997-07-31	PRIJEM	\N	73	18211	UROK	\N	\N
3567259	1117	1997-08-31	PRIJEM	\N	84	17955	UROK	\N	\N
3567260	1117	1997-09-30	PRIJEM	\N	83	20679	UROK	\N	\N
3567261	1117	1997-10-31	PRIJEM	\N	95	23414	UROK	\N	\N
3567262	1117	1997-11-30	PRIJEM	\N	101	22255	UROK	\N	\N
3567263	1117	1997-12-31	PRIJEM	\N	95	21191	UROK	\N	\N
3567264	1117	1998-01-31	PRIJEM	\N	70	13422	UROK	\N	\N
3567265	1117	1998-02-28	PRIJEM	\N	64	16127	UROK	\N	\N
3567266	1117	1998-03-31	PRIJEM	\N	76	18843	UROK	\N	\N
3567267	1117	1998-04-30	PRIJEM	\N	87	20130	UROK	\N	\N
3567268	1117	1998-05-31	PRIJEM	\N	92	22863	UROK	\N	\N
3567269	1117	1998-06-30	PRIJEM	\N	82	17185	UROK	\N	\N
3567270	1117	1998-07-31	PRIJEM	\N	77	17261	UROK	\N	\N
3567271	1117	1998-08-31	PRIJEM	\N	80	19982	UROK	\N	\N
3567272	1117	1998-09-30	PRIJEM	\N	90	21913	UROK	\N	\N
3567273	1117	1998-10-31	PRIJEM	\N	84	18518	UROK	\N	\N
3567274	1117	1998-11-30	PRIJEM	\N	81	18739	UROK	\N	\N
3567275	1117	1998-12-31	PRIJEM	\N	85	20614	UROK	\N	\N
3567276	1118	1993-07-31	PRIJEM	\N	26	7764	UROK	\N	\N
3567277	1118	1993-08-31	PRIJEM	\N	93	25995	UROK	\N	\N
3567278	1118	1993-09-30	PRIJEM	\N	135	34269	UROK	\N	\N
3567279	1118	1993-10-31	PRIJEM	\N	150	36557	UROK	\N	\N
3567280	1118	1993-11-30	PRIJEM	\N	147	34217	UROK	\N	\N
3567281	1118	1993-12-31	PRIJEM	\N	140	33824	UROK	\N	\N
3567282	1118	1994-01-31	PRIJEM	\N	101	21163	UROK	\N	\N
3567283	1118	1994-02-28	PRIJEM	\N	99	23761	UROK	\N	\N
3567284	1118	1994-03-31	PRIJEM	\N	115	27434	UROK	\N	\N
3567285	1118	1994-04-30	PRIJEM	\N	120	28652	UROK	\N	\N
3567286	1118	1994-05-31	PRIJEM	\N	113	27264	UROK	\N	\N
3567287	1118	1994-06-30	PRIJEM	\N	117	25928	UROK	\N	\N
3567288	1118	1994-07-31	PRIJEM	\N	118	23144	UROK	\N	\N
3567289	1118	1994-08-31	PRIJEM	\N	107	24150	UROK	\N	\N
3567290	1118	1994-09-30	PRIJEM	\N	110	24458	UROK	\N	\N
3567291	1118	1994-10-31	PRIJEM	\N	109	21466	UROK	\N	\N
3567292	1118	1994-11-30	PRIJEM	\N	100	22964	UROK	\N	\N
3567293	1118	1994-12-31	PRIJEM	\N	95	17986	UROK	\N	\N
3567294	1118	1995-01-31	PRIJEM	\N	71	15416	UROK	\N	\N
3567295	1118	1995-02-28	PRIJEM	\N	74	15988	UROK	\N	\N
3567296	1118	1995-03-31	PRIJEM	\N	73	13700	UROK	\N	\N
3567297	1118	1995-04-30	PRIJEM	\N	64	13422	UROK	\N	\N
3567298	1118	1995-05-31	PRIJEM	\N	68	16788	UROK	\N	\N
3567299	1118	1995-06-30	PRIJEM	\N	88	17463	UROK	\N	\N
3567300	1118	1995-07-31	PRIJEM	\N	79	15840	UROK	\N	\N
3567301	1118	1995-08-31	PRIJEM	\N	71	13809	UROK	\N	\N
3567302	1118	1995-09-30	PRIJEM	\N	66	13614	UROK	\N	\N
3567303	1118	1995-10-31	PRIJEM	\N	63	13075	UROK	\N	\N
3567304	1118	1995-11-30	PRIJEM	\N	60	11633	UROK	\N	\N
3567305	1118	1995-12-31	PRIJEM	\N	64	15564	UROK	\N	\N
3567306	1118	1996-01-31	PRIJEM	\N	66	14409	UROK	\N	\N
3567307	1118	1996-02-29	PRIJEM	\N	70	16977	UROK	\N	\N
3567308	1118	1996-03-31	PRIJEM	\N	81	19556	UROK	\N	\N
3567309	1118	1996-04-30	PRIJEM	\N	91	22146	UROK	\N	\N
3567310	1118	1996-05-31	PRIJEM	\N	102	24747	UROK	\N	\N
3567311	1118	1996-06-30	PRIJEM	\N	112	25726	UROK	\N	\N
3567312	1118	1996-07-31	PRIJEM	\N	117	28341	UROK	\N	\N
3567313	1118	1996-08-31	PRIJEM	\N	128	30968	UROK	\N	\N
3567314	1118	1996-09-30	PRIJEM	\N	98	13464	UROK	\N	\N
3567315	1118	1996-10-31	PRIJEM	\N	66	16028	UROK	\N	\N
3567316	1118	1996-11-30	PRIJEM	\N	59	12705	UROK	\N	\N
3567317	1118	1996-12-31	PRIJEM	\N	75	19048	UROK	\N	\N
3567318	1118	1997-01-31	PRIJEM	\N	76	15142	UROK	\N	\N
3567319	1118	1997-02-28	PRIJEM	\N	74	17714	UROK	\N	\N
3567320	1118	1997-03-31	PRIJEM	\N	84	20296	UROK	\N	\N
3567321	1118	1997-04-30	PRIJEM	\N	93	18687	UROK	\N	\N
3567322	1118	1997-05-31	PRIJEM	\N	87	21272	UROK	\N	\N
3567323	1118	1997-06-30	PRIJEM	\N	110	27650	UROK	\N	\N
3567324	1118	1997-07-31	PRIJEM	\N	118	27866	UROK	\N	\N
3567325	1118	1997-08-31	PRIJEM	\N	122	27966	UROK	\N	\N
3567326	1118	1997-09-30	PRIJEM	\N	126	30591	UROK	\N	\N
3567327	1118	1997-10-31	PRIJEM	\N	107	23356	UROK	\N	\N
3567328	1118	1997-11-30	PRIJEM	\N	106	25960	UROK	\N	\N
3567329	1118	1997-12-31	PRIJEM	\N	117	28184	UROK	\N	\N
3567330	1118	1998-01-31	PRIJEM	\N	96	16739	UROK	\N	\N
3567331	1118	1998-02-28	PRIJEM	\N	79	19316	UROK	\N	\N
3567332	1118	1998-03-31	PRIJEM	\N	87	21302	UROK	\N	\N
3567333	1118	1998-04-30	PRIJEM	\N	97	23897	UROK	\N	\N
3567334	1118	1998-05-31	PRIJEM	\N	108	26504	UROK	\N	\N
3567335	1118	1998-06-30	PRIJEM	\N	132	32903	UROK	\N	\N
3567336	1118	1998-07-31	PRIJEM	\N	145	35547	UROK	\N	\N
3567337	1118	1998-08-31	PRIJEM	\N	157	38202	UROK	\N	\N
3567338	1118	1998-09-30	PRIJEM	\N	160	36061	UROK	\N	\N
3567339	1118	1998-10-31	PRIJEM	\N	159	38718	UROK	\N	\N
3567340	1118	1998-11-30	PRIJEM	\N	157	36094	UROK	\N	\N
3567341	1118	1998-12-31	PRIJEM	\N	165	40446	UROK	\N	\N
3567413	1120	1994-03-31	PRIJEM	\N	93	24930	UROK	\N	\N
3567414	1120	1994-04-30	PRIJEM	\N	110	26150	UROK	\N	\N
3567415	1120	1994-05-31	PRIJEM	\N	111	26071	UROK	\N	\N
3567416	1120	1994-06-30	PRIJEM	\N	95	13696	UROK	\N	\N
3567417	1120	1994-07-31	PRIJEM	\N	67	16474	UROK	\N	\N
3567418	1120	1994-08-31	PRIJEM	\N	77	16301	UROK	\N	\N
3567419	1120	1994-09-30	PRIJEM	\N	78	19090	UROK	\N	\N
3567420	1120	1994-10-31	PRIJEM	\N	83	19723	UROK	\N	\N
3567421	1120	1994-11-30	PRIJEM	\N	87	18601	UROK	\N	\N
3567422	1120	1994-12-31	PRIJEM	\N	86	20197	UROK	\N	\N
3567423	1120	1995-01-31	PRIJEM	\N	79	13837	UROK	\N	\N
3567424	1120	1995-02-28	PRIJEM	\N	67	16615	UROK	\N	\N
3567425	1120	1995-03-31	PRIJEM	\N	79	19404	UROK	\N	\N
3567426	1120	1995-04-30	PRIJEM	\N	90	21305	UROK	\N	\N
3567427	1120	1995-05-31	PRIJEM	\N	98	23714	UROK	\N	\N
3567428	1120	1995-06-30	PRIJEM	\N	75	13499	UROK	\N	\N
3567429	1120	1995-07-31	PRIJEM	\N	66	16275	UROK	\N	\N
3567430	1120	1995-08-31	PRIJEM	\N	75	15660	UROK	\N	\N
3567431	1120	1995-09-30	PRIJEM	\N	70	15340	UROK	\N	\N
3567432	1120	1995-10-31	PRIJEM	\N	69	14360	UROK	\N	\N
3567433	1120	1995-11-30	PRIJEM	\N	67	14537	UROK	\N	\N
3567434	1120	1995-12-31	PRIJEM	\N	66	14113	UROK	\N	\N
3567435	1120	1996-01-31	PRIJEM	\N	57	11960	UROK	\N	\N
3567436	1120	1996-02-29	PRIJEM	\N	59	14730	UROK	\N	\N
3567437	1120	1996-03-31	PRIJEM	\N	67	14508	UROK	\N	\N
3567438	1120	1996-04-30	PRIJEM	\N	63	11881	UROK	\N	\N
3567439	1120	1996-05-31	PRIJEM	\N	56	12748	UROK	\N	\N
3567440	1120	1996-06-30	PRIJEM	\N	63	15521	UROK	\N	\N
3567441	1120	1996-07-31	PRIJEM	\N	74	17825	UROK	\N	\N
3567442	1120	1996-08-31	PRIJEM	\N	71	12806	UROK	\N	\N
3567443	1120	1996-09-30	PRIJEM	\N	63	15579	UROK	\N	\N
3567444	1120	1996-10-31	PRIJEM	\N	74	18364	UROK	\N	\N
3567445	1120	1996-11-30	PRIJEM	\N	73	15707	UROK	\N	\N
3567446	1120	1996-12-31	PRIJEM	\N	74	17641	UROK	\N	\N
3567447	1120	1997-01-31	PRIJEM	\N	64	13936	UROK	\N	\N
3567448	1120	1997-02-28	PRIJEM	\N	67	16713	UROK	\N	\N
3567449	1120	1997-03-31	PRIJEM	\N	79	19503	UROK	\N	\N
3567450	1120	1997-04-30	PRIJEM	\N	84	19257	UROK	\N	\N
3567451	1120	1997-05-31	PRIJEM	\N	85	18612	UROK	\N	\N
3567452	1120	1997-06-30	PRIJEM	\N	79	17701	UROK	\N	\N
3567453	1120	1997-07-31	PRIJEM	\N	82	17133	UROK	\N	\N
3567454	1120	1997-08-31	PRIJEM	\N	80	19924	UROK	\N	\N
3567455	1120	1997-09-30	PRIJEM	\N	87	20641	UROK	\N	\N
3567456	1120	1997-10-31	PRIJEM	\N	95	23446	UROK	\N	\N
3567457	1120	1997-11-30	PRIJEM	\N	106	26263	UROK	\N	\N
3567458	1120	1997-12-31	PRIJEM	\N	116	28290	UROK	\N	\N
3567459	1120	1998-01-31	PRIJEM	\N	112	21272	UROK	\N	\N
3567460	1120	1998-02-28	PRIJEM	\N	83	19426	UROK	\N	\N
3567461	1120	1998-03-31	PRIJEM	\N	89	22226	UROK	\N	\N
3567462	1120	1998-04-30	PRIJEM	\N	101	25037	UROK	\N	\N
3567463	1120	1998-05-31	PRIJEM	\N	110	26497	UROK	\N	\N
3567464	1120	1998-06-30	PRIJEM	\N	84	18291	UROK	\N	\N
3567465	1120	1998-07-31	PRIJEM	\N	71	16272	UROK	\N	\N
3567466	1120	1998-08-31	PRIJEM	\N	76	19058	UROK	\N	\N
3567467	1120	1998-09-30	PRIJEM	\N	88	21856	UROK	\N	\N
3567468	1120	1998-10-31	PRIJEM	\N	99	24665	UROK	\N	\N
3567469	1120	1998-11-30	PRIJEM	\N	111	27487	UROK	\N	\N
3567470	1120	1998-12-31	PRIJEM	\N	120	29467	UROK	\N	\N
3567471	1123	1993-11-30	PRIJEM	\N	44	16674	UROK	\N	\N
3567472	1123	1993-12-31	PRIJEM	\N	150	47369	UROK	\N	\N
3567473	1123	1994-01-31	PRIJEM	\N	148	40447	UROK	\N	\N
3567474	1123	1994-02-28	PRIJEM	\N	168	56845	UROK	\N	\N
3567475	1123	1994-03-31	PRIJEM	\N	188	46711	UROK	\N	\N
3567476	1123	1994-04-30	PRIJEM	\N	185	43500	UROK	\N	\N
3567477	1123	1994-05-31	PRIJEM	\N	155	34858	UROK	\N	\N
3567478	1123	1994-06-30	PRIJEM	\N	177	38293	UROK	\N	\N
3567479	1123	1994-07-31	PRIJEM	\N	157	29573	UROK	\N	\N
3567480	1123	1994-08-31	PRIJEM	\N	138	29815	UROK	\N	\N
3567481	1123	1994-09-30	PRIJEM	\N	138	30356	UROK	\N	\N
3567482	1123	1994-10-31	PRIJEM	\N	141	32781	UROK	\N	\N
3567483	1123	1994-11-30	PRIJEM	\N	151	34635	UROK	\N	\N
3567484	1123	1994-12-31	PRIJEM	\N	171	37984	UROK	\N	\N
3567485	1123	1995-01-31	PRIJEM	\N	137	28484	UROK	\N	\N
3567486	1123	1995-02-28	PRIJEM	\N	122	27330	UROK	\N	\N
3567487	1123	1995-03-31	PRIJEM	\N	120	27054	UROK	\N	\N
3567488	1123	1995-04-30	PRIJEM	\N	127	29784	UROK	\N	\N
3567489	1123	1995-05-31	PRIJEM	\N	131	32378	UROK	\N	\N
3567490	1123	1995-06-30	PRIJEM	\N	158	35074	UROK	\N	\N
3567491	1123	1995-07-31	PRIJEM	\N	155	34032	UROK	\N	\N
3567492	1123	1995-08-31	PRIJEM	\N	154	36189	UROK	\N	\N
3567493	1123	1995-09-30	PRIJEM	\N	148	30841	UROK	\N	\N
3567494	1123	1995-10-31	PRIJEM	\N	134	29278	UROK	\N	\N
3567495	1123	1995-11-30	PRIJEM	\N	133	31614	UROK	\N	\N
3567496	1123	1995-12-31	PRIJEM	\N	152	34885	UROK	\N	\N
3567497	1123	1996-01-31	PRIJEM	\N	127	24155	UROK	\N	\N
3567498	1123	1996-02-29	PRIJEM	\N	111	27069	UROK	\N	\N
3567499	1123	1996-03-31	PRIJEM	\N	125	30997	UROK	\N	\N
3567500	1123	1996-04-30	PRIJEM	\N	137	32838	UROK	\N	\N
3567501	1123	1996-05-31	PRIJEM	\N	138	30679	UROK	\N	\N
3567502	1123	1996-06-30	PRIJEM	\N	150	37748	UROK	\N	\N
3567503	1123	1996-07-31	PRIJEM	\N	152	33103	UROK	\N	\N
3567504	1123	1996-08-31	PRIJEM	\N	135	30341	UROK	\N	\N
3567505	1123	1996-09-30	PRIJEM	\N	122	27266	UROK	\N	\N
3567506	1123	1996-10-31	PRIJEM	\N	107	22137	UROK	\N	\N
3567507	1123	1996-11-30	PRIJEM	\N	92	21773	UROK	\N	\N
3567508	1123	1996-12-31	PRIJEM	\N	107	24718	UROK	\N	\N
3567509	1123	1997-01-31	PRIJEM	\N	85	15687	UROK	\N	\N
3567510	1123	1997-02-28	PRIJEM	\N	66	16156	UROK	\N	\N
3567511	1123	1997-03-31	PRIJEM	\N	67	16027	UROK	\N	\N
3567512	1123	1997-04-30	PRIJEM	\N	82	15512	UROK	\N	\N
3567513	1123	1997-05-31	PRIJEM	\N	65	16281	UROK	\N	\N
3567514	1123	1997-06-30	PRIJEM	\N	75	18494	UROK	\N	\N
3567515	1123	1997-07-31	PRIJEM	\N	76	18573	UROK	\N	\N
3567516	1123	1997-08-31	PRIJEM	\N	66	14243	UROK	\N	\N
3567517	1123	1997-09-30	PRIJEM	\N	77	21223	UROK	\N	\N
3567518	1123	1997-10-31	PRIJEM	\N	95	24221	UROK	\N	\N
3567519	1123	1997-11-30	PRIJEM	\N	97	23322	UROK	\N	\N
3567520	1123	1997-12-31	PRIJEM	\N	127	34987	UROK	\N	\N
3567521	1123	1998-01-31	PRIJEM	\N	96	15946	UROK	\N	\N
3567522	1123	1998-02-28	PRIJEM	\N	81	22230	UROK	\N	\N
3567523	1123	1998-03-31	PRIJEM	\N	103	26916	UROK	\N	\N
3567524	1123	1998-04-30	PRIJEM	\N	110	25969	UROK	\N	\N
3567525	1123	1998-05-31	PRIJEM	\N	100	23472	UROK	\N	\N
3567526	1123	1998-06-30	PRIJEM	\N	117	31708	UROK	\N	\N
3567527	1123	1998-07-31	PRIJEM	\N	108	23419	UROK	\N	\N
3567528	1123	1998-08-31	PRIJEM	\N	95	23418	UROK	\N	\N
3567529	1123	1998-09-30	PRIJEM	\N	101	25422	UROK	\N	\N
3567530	1123	1998-10-31	PRIJEM	\N	112	28737	UROK	\N	\N
3567531	1123	1998-11-30	PRIJEM	\N	124	31164	UROK	\N	\N
3567532	1123	1998-12-31	PRIJEM	\N	122	32084	UROK	\N	\N
3567533	1124	1996-07-31	PRIJEM	\N	73	40404	UROK	\N	\N
3567534	1124	1996-08-31	PRIJEM	\N	231	40787	UROK	\N	\N
3567535	1124	1996-09-30	PRIJEM	\N	262	117127	UROK	\N	\N
3567536	1124	1996-10-31	PRIJEM	\N	345	47991	UROK	\N	\N
3567537	1124	1996-11-30	PRIJEM	\N	274	38950	UROK	\N	\N
3567538	1124	1996-12-31	PRIJEM	\N	188	32615	UROK	\N	\N
3567539	1124	1997-01-31	PRIJEM	\N	106	20043	UROK	\N	\N
3567540	1124	1997-02-28	PRIJEM	\N	126	44658	UROK	\N	\N
3567541	1124	1997-03-31	PRIJEM	\N	228	39155	UROK	\N	\N
3567542	1124	1997-04-30	PRIJEM	\N	265	46953	UROK	\N	\N
3567543	1124	1997-05-31	PRIJEM	\N	207	44132	UROK	\N	\N
3567544	1124	1997-06-30	PRIJEM	\N	278	64519	UROK	\N	\N
3567545	1124	1997-07-31	PRIJEM	\N	353	68331	UROK	\N	\N
3567546	1124	1997-08-31	PRIJEM	\N	327	39384	UROK	\N	\N
3567547	1124	1997-09-30	PRIJEM	\N	171	45067	UROK	\N	\N
3567548	1124	1997-10-31	PRIJEM	\N	204	51725	UROK	\N	\N
3567549	1124	1997-11-30	PRIJEM	\N	274	46477	UROK	\N	\N
3567550	1124	1997-12-31	PRIJEM	\N	255	52669	UROK	\N	\N
3567551	1124	1998-01-31	PRIJEM	\N	260	22965	UROK	\N	\N
3567552	1124	1998-02-28	PRIJEM	\N	96	34061	UROK	\N	\N
3567553	1124	1998-03-31	PRIJEM	\N	287	72798	UROK	\N	\N
3567554	1124	1998-04-30	PRIJEM	\N	311	70598	UROK	\N	\N
3567555	1124	1998-05-31	PRIJEM	\N	290	65993	UROK	\N	\N
3567556	1124	1998-06-30	PRIJEM	\N	197	71169	UROK	\N	\N
3567557	1124	1998-07-31	PRIJEM	\N	246	60881	UROK	\N	\N
3567558	1124	1998-08-31	PRIJEM	\N	364	95226	UROK	\N	\N
3567559	1124	1998-09-30	PRIJEM	\N	316	60889	UROK	\N	\N
3567560	1124	1998-10-31	PRIJEM	\N	352	85307	UROK	\N	\N
3567561	1124	1998-11-30	PRIJEM	\N	311	62334	UROK	\N	\N
3567562	1124	1998-12-31	PRIJEM	\N	193	76639	UROK	\N	\N
3567563	1125	1998-01-31	PRIJEM	\N	163	48400	UROK	\N	\N
3567564	1125	1998-02-28	PRIJEM	\N	124	13449	UROK	\N	\N
3567565	1125	1998-03-31	PRIJEM	\N	153	76408	UROK	\N	\N
3567566	1125	1998-04-30	PRIJEM	\N	276	54103	UROK	\N	\N
3567567	1125	1998-05-31	PRIJEM	\N	171	33879	UROK	\N	\N
3567568	1125	1998-06-30	PRIJEM	\N	97	23481	UROK	\N	\N
3567569	1125	1998-07-31	PRIJEM	\N	150	84084	UROK	\N	\N
3567570	1125	1998-08-31	PRIJEM	\N	306	72312	UROK	\N	\N
3567571	1125	1998-09-30	PRIJEM	\N	308	65512	UROK	\N	\N
3567572	1125	1998-10-31	PRIJEM	\N	201	26980	UROK	\N	\N
3567573	1125	1998-11-30	PRIJEM	\N	192	45962	UROK	\N	\N
3567574	1125	1998-12-31	PRIJEM	\N	152	46212	UROK	\N	\N
3567575	1126	1993-04-30	PRIJEM	\N	43	12830	UROK	\N	\N
3567576	1126	1993-05-31	PRIJEM	\N	80	20797	UROK	\N	\N
3567577	1126	1993-06-30	PRIJEM	\N	102	25379	UROK	\N	\N
3567578	1126	1993-07-31	PRIJEM	\N	112	27177	UROK	\N	\N
3567579	1126	1993-08-31	PRIJEM	\N	105	23078	UROK	\N	\N
3567580	1126	1993-09-30	PRIJEM	\N	113	27072	UROK	\N	\N
3567581	1126	1993-10-31	PRIJEM	\N	112	21265	UROK	\N	\N
3567582	1126	1993-11-30	PRIJEM	\N	83	18130	UROK	\N	\N
3567583	1126	1993-12-31	PRIJEM	\N	98	23602	UROK	\N	\N
3567584	1126	1994-01-31	PRIJEM	\N	76	12960	UROK	\N	\N
3567585	1126	1994-02-28	PRIJEM	\N	91	22732	UROK	\N	\N
3567586	1126	1994-03-31	PRIJEM	\N	113	24726	UROK	\N	\N
3567587	1126	1994-04-30	PRIJEM	\N	119	28327	UROK	\N	\N
3567588	1126	1994-05-31	PRIJEM	\N	118	27927	UROK	\N	\N
3567589	1126	1994-06-30	PRIJEM	\N	118	27820	UROK	\N	\N
3567590	1126	1994-07-31	PRIJEM	\N	130	31331	UROK	\N	\N
3567591	1126	1994-08-31	PRIJEM	\N	124	30936	UROK	\N	\N
3567592	1126	1994-09-30	PRIJEM	\N	132	30849	UROK	\N	\N
3567593	1126	1994-10-31	PRIJEM	\N	131	28162	UROK	\N	\N
3567594	1126	1994-11-30	PRIJEM	\N	122	31164	UROK	\N	\N
3567595	1126	1994-12-31	PRIJEM	\N	135	30073	UROK	\N	\N
3567596	1126	1995-01-31	PRIJEM	\N	111	24765	UROK	\N	\N
3567597	1126	1995-02-28	PRIJEM	\N	96	25042	UROK	\N	\N
3567598	1126	1995-03-31	PRIJEM	\N	108	26131	UROK	\N	\N
3567599	1126	1995-04-30	PRIJEM	\N	114	31427	UROK	\N	\N
3567600	1126	1995-05-31	PRIJEM	\N	135	33343	UROK	\N	\N
3567601	1126	1995-06-30	PRIJEM	\N	130	29847	UROK	\N	\N
3567602	1126	1995-07-31	PRIJEM	\N	130	34059	UROK	\N	\N
3567603	1126	1995-08-31	PRIJEM	\N	147	37086	UROK	\N	\N
3567604	1126	1995-09-30	PRIJEM	\N	158	39026	UROK	\N	\N
3567605	1126	1995-10-31	PRIJEM	\N	166	40973	UROK	\N	\N
3567606	1126	1995-11-30	PRIJEM	\N	174	42729	UROK	\N	\N
3567607	1126	1995-12-31	PRIJEM	\N	173	37076	UROK	\N	\N
3567608	1126	1996-01-31	PRIJEM	\N	142	28900	UROK	\N	\N
3567609	1126	1996-02-29	PRIJEM	\N	132	37514	UROK	\N	\N
3567610	1126	1996-03-31	PRIJEM	\N	166	44461	UROK	\N	\N
3567611	1126	1996-04-30	PRIJEM	\N	187	45029	UROK	\N	\N
3567612	1126	1996-05-31	PRIJEM	\N	188	45099	UROK	\N	\N
3567613	1126	1996-06-30	PRIJEM	\N	192	46965	UROK	\N	\N
3567614	1126	1996-07-31	PRIJEM	\N	198	48144	UROK	\N	\N
3567615	1126	1996-08-31	PRIJEM	\N	204	50229	UROK	\N	\N
3567616	1126	1996-09-30	PRIJEM	\N	217	54527	UROK	\N	\N
3567617	1126	1996-10-31	PRIJEM	\N	219	50327	UROK	\N	\N
3567618	1126	1996-11-30	PRIJEM	\N	212	51920	UROK	\N	\N
3567619	1126	1996-12-31	PRIJEM	\N	216	50611	UROK	\N	\N
3567620	1126	1997-01-31	PRIJEM	\N	195	41187	UROK	\N	\N
3567621	1126	1997-02-28	PRIJEM	\N	180	45848	UROK	\N	\N
3567622	1126	1997-03-31	PRIJEM	\N	199	50428	UROK	\N	\N
3567623	1126	1997-04-30	PRIJEM	\N	213	51623	UROK	\N	\N
3567624	1126	1997-05-31	PRIJEM	\N	217	53221	UROK	\N	\N
3567625	1126	1997-06-30	PRIJEM	\N	220	51416	UROK	\N	\N
3567626	1126	1997-07-31	PRIJEM	\N	221	55318	UROK	\N	\N
3567627	1126	1997-08-31	PRIJEM	\N	231	56630	UROK	\N	\N
3567628	1126	1997-09-30	PRIJEM	\N	228	54640	UROK	\N	\N
3567629	1126	1997-10-31	PRIJEM	\N	224	54445	UROK	\N	\N
3567630	1126	1997-11-30	PRIJEM	\N	227	55653	UROK	\N	\N
3567631	1126	1997-12-31	PRIJEM	\N	223	51150	UROK	\N	\N
3567632	1126	1998-01-31	PRIJEM	\N	180	39012	UROK	\N	\N
3567633	1126	1998-02-28	PRIJEM	\N	168	42161	UROK	\N	\N
3567634	1126	1998-03-31	PRIJEM	\N	192	49035	UROK	\N	\N
3567635	1126	1998-04-30	PRIJEM	\N	213	53830	UROK	\N	\N
3567636	1126	1998-05-31	PRIJEM	\N	224	55335	UROK	\N	\N
3567637	1126	1998-06-30	PRIJEM	\N	148	25657	UROK	\N	\N
3567638	1126	1998-07-31	PRIJEM	\N	145	39684	UROK	\N	\N
3567639	1126	1998-08-31	PRIJEM	\N	188	48253	UROK	\N	\N
3567640	1126	1998-09-30	PRIJEM	\N	211	52545	UROK	\N	\N
3567641	1126	1998-10-31	PRIJEM	\N	204	49331	UROK	\N	\N
3567642	1126	1998-11-30	PRIJEM	\N	199	48411	UROK	\N	\N
3567643	1126	1998-12-31	PRIJEM	\N	216	53701	UROK	\N	\N
3567644	1127	1993-02-28	PRIJEM	\N	12	25742	UROK	\N	\N
3567645	1127	1993-03-31	PRIJEM	\N	112	34383	UROK	\N	\N
3567646	1127	1993-04-30	PRIJEM	\N	148	42861	UROK	\N	\N
3567647	1127	1993-05-31	PRIJEM	\N	179	44370	UROK	\N	\N
3567648	1127	1993-06-30	PRIJEM	\N	237	42641	UROK	\N	\N
3567649	1127	1993-07-31	PRIJEM	\N	204	37901	UROK	\N	\N
3567650	1127	1993-08-31	PRIJEM	\N	193	38149	UROK	\N	\N
3567651	1127	1993-09-30	PRIJEM	\N	195	41800	UROK	\N	\N
3567652	1127	1993-10-31	PRIJEM	\N	208	43263	UROK	\N	\N
3567653	1127	1993-11-30	PRIJEM	\N	211	38529	UROK	\N	\N
3567654	1127	1993-12-31	PRIJEM	\N	222	47871	UROK	\N	\N
3567655	1127	1994-01-31	PRIJEM	\N	208	39134	UROK	\N	\N
3567656	1127	1994-02-28	PRIJEM	\N	190	40180	UROK	\N	\N
3567657	1127	1994-03-31	PRIJEM	\N	189	39925	UROK	\N	\N
3567658	1127	1994-04-30	PRIJEM	\N	199	43279	UROK	\N	\N
3567659	1127	1994-05-31	PRIJEM	\N	212	46546	UROK	\N	\N
3567660	1127	1994-06-30	PRIJEM	\N	189	35955	UROK	\N	\N
3567661	1127	1994-07-31	PRIJEM	\N	183	41694	UROK	\N	\N
3567662	1127	1994-08-31	PRIJEM	\N	200	44149	UROK	\N	\N
3567663	1127	1994-09-30	PRIJEM	\N	206	44910	UROK	\N	\N
3567664	1127	1994-10-31	PRIJEM	\N	210	46775	UROK	\N	\N
3567665	1127	1994-11-30	PRIJEM	\N	218	49448	UROK	\N	\N
3567666	1127	1994-12-31	PRIJEM	\N	251	57420	UROK	\N	\N
3567667	1127	1995-01-31	PRIJEM	\N	238	44213	UROK	\N	\N
3567668	1127	1995-02-28	PRIJEM	\N	204	47373	UROK	\N	\N
3567669	1127	1995-03-31	PRIJEM	\N	221	50949	UROK	\N	\N
3567670	1127	1995-04-30	PRIJEM	\N	228	51433	UROK	\N	\N
3567671	1127	1995-05-31	PRIJEM	\N	227	50216	UROK	\N	\N
3567672	1127	1995-06-30	PRIJEM	\N	204	46040	UROK	\N	\N
3567673	1127	1995-07-31	PRIJEM	\N	208	47904	UROK	\N	\N
3567674	1127	1995-08-31	PRIJEM	\N	222	53681	UROK	\N	\N
3567675	1127	1995-09-30	PRIJEM	\N	229	52866	UROK	\N	\N
3567676	1127	1995-10-31	PRIJEM	\N	237	56959	UROK	\N	\N
3567677	1127	1995-11-30	PRIJEM	\N	238	55352	UROK	\N	\N
3567678	1127	1995-12-31	PRIJEM	\N	256	61628	UROK	\N	\N
3567679	1127	1996-01-31	PRIJEM	\N	246	52930	UROK	\N	\N
3567680	1127	1996-02-29	PRIJEM	\N	231	55417	UROK	\N	\N
3567681	1127	1996-03-31	PRIJEM	\N	240	58112	UROK	\N	\N
3567682	1127	1996-04-30	PRIJEM	\N	249	60516	UROK	\N	\N
3567683	1127	1996-05-31	PRIJEM	\N	257	62328	UROK	\N	\N
3567684	1127	1996-06-30	PRIJEM	\N	241	52989	UROK	\N	\N
3567685	1127	1996-07-31	PRIJEM	\N	227	54771	UROK	\N	\N
3567686	1127	1996-08-31	PRIJEM	\N	222	53448	UROK	\N	\N
3567687	1127	1996-09-30	PRIJEM	\N	218	52622	UROK	\N	\N
3567688	1127	1996-10-31	PRIJEM	\N	224	52101	UROK	\N	\N
3567689	1127	1996-11-30	PRIJEM	\N	215	51972	UROK	\N	\N
3567690	1127	1996-12-31	PRIJEM	\N	232	57124	UROK	\N	\N
3567691	1127	1997-01-31	PRIJEM	\N	208	44988	UROK	\N	\N
3567692	1127	1997-02-28	PRIJEM	\N	206	46349	UROK	\N	\N
3567693	1127	1997-03-31	PRIJEM	\N	203	49807	UROK	\N	\N
3567694	1127	1997-04-30	PRIJEM	\N	211	50273	UROK	\N	\N
3567695	1127	1997-05-31	PRIJEM	\N	216	52645	UROK	\N	\N
3567696	1127	1997-06-30	PRIJEM	\N	201	47867	UROK	\N	\N
3567697	1127	1997-07-31	PRIJEM	\N	220	51242	UROK	\N	\N
3567698	1127	1997-08-31	PRIJEM	\N	269	66866	UROK	\N	\N
3567699	1127	1997-09-30	PRIJEM	\N	306	74827	UROK	\N	\N
3567700	1127	1997-10-31	PRIJEM	\N	325	79108	UROK	\N	\N
3567701	1127	1997-11-30	PRIJEM	\N	329	79392	UROK	\N	\N
3567702	1127	1997-12-31	PRIJEM	\N	386	95298	UROK	\N	\N
3567703	1127	1998-01-31	PRIJEM	\N	342	83395	UROK	\N	\N
3567704	1127	1998-02-28	PRIJEM	\N	343	89094	UROK	\N	\N
3567705	1127	1998-03-31	PRIJEM	\N	372	90222	UROK	\N	\N
3567706	1127	1998-04-30	PRIJEM	\N	384	93461	UROK	\N	\N
3567707	1127	1998-05-31	PRIJEM	\N	375	92292	UROK	\N	\N
3567708	1127	1998-06-30	PRIJEM	\N	388	100200	UROK	\N	\N
3567709	1127	1998-07-31	PRIJEM	\N	388	85843	UROK	\N	\N
3567710	1127	1998-08-31	PRIJEM	\N	394	85492	UROK	\N	\N
3567711	1127	1998-09-30	PRIJEM	\N	390	83038	UROK	\N	\N
3567712	1127	1998-10-31	PRIJEM	\N	380	84673	UROK	\N	\N
3567713	1127	1998-11-30	PRIJEM	\N	385	84614	UROK	\N	\N
3567714	1127	1998-12-31	PRIJEM	\N	231	52465	UROK	\N	\N
3567715	1128	1994-04-30	PRIJEM	\N	77	29352	UROK	\N	\N
3567716	1128	1994-05-31	PRIJEM	\N	130	31286	UROK	\N	\N
3567717	1128	1994-06-30	PRIJEM	\N	126	28867	UROK	\N	\N
3567718	1128	1994-07-31	PRIJEM	\N	130	32101	UROK	\N	\N
3567719	1128	1994-08-31	PRIJEM	\N	136	31441	UROK	\N	\N
3567720	1128	1994-09-30	PRIJEM	\N	135	32280	UROK	\N	\N
3567721	1128	1994-10-31	PRIJEM	\N	139	31444	UROK	\N	\N
3567722	1128	1994-11-30	PRIJEM	\N	127	28555	UROK	\N	\N
3567723	1128	1994-12-31	PRIJEM	\N	122	29342	UROK	\N	\N
3567724	1128	1995-01-31	PRIJEM	\N	117	26123	UROK	\N	\N
3567725	1128	1995-02-28	PRIJEM	\N	117	29545	UROK	\N	\N
3567726	1128	1995-03-31	PRIJEM	\N	128	31077	UROK	\N	\N
3567727	1128	1995-04-30	PRIJEM	\N	130	30812	UROK	\N	\N
3567728	1128	1995-05-31	PRIJEM	\N	129	29005	UROK	\N	\N
3567729	1128	1995-06-30	PRIJEM	\N	114	24474	UROK	\N	\N
3567730	1128	1995-07-31	PRIJEM	\N	113	28691	UROK	\N	\N
3567731	1128	1995-08-31	PRIJEM	\N	130	32926	UROK	\N	\N
3567732	1128	1995-09-30	PRIJEM	\N	147	34877	UROK	\N	\N
3567733	1128	1995-10-31	PRIJEM	\N	155	38336	UROK	\N	\N
3567734	1128	1995-11-30	PRIJEM	\N	152	35792	UROK	\N	\N
3567735	1128	1995-12-31	PRIJEM	\N	156	38352	UROK	\N	\N
3567736	1128	1996-01-31	PRIJEM	\N	148	33085	UROK	\N	\N
3567737	1128	1996-02-29	PRIJEM	\N	131	30141	UROK	\N	\N
3567738	1128	1996-03-31	PRIJEM	\N	136	33661	UROK	\N	\N
3567739	1128	1996-04-30	PRIJEM	\N	149	36614	UROK	\N	\N
3567740	1128	1996-05-31	PRIJEM	\N	152	32250	UROK	\N	\N
3567741	1128	1996-06-30	PRIJEM	\N	95	19500	UROK	\N	\N
3567742	1128	1996-07-31	PRIJEM	\N	92	23696	UROK	\N	\N
3567743	1128	1996-08-31	PRIJEM	\N	109	27909	UROK	\N	\N
3567744	1128	1996-09-30	PRIJEM	\N	126	32140	UROK	\N	\N
3567745	1128	1996-10-31	PRIJEM	\N	144	36388	UROK	\N	\N
3567746	1128	1996-11-30	PRIJEM	\N	157	38150	UROK	\N	\N
3567747	1128	1996-12-31	PRIJEM	\N	157	36392	UROK	\N	\N
3567748	1128	1997-01-31	PRIJEM	\N	134	29610	UROK	\N	\N
3567749	1128	1997-02-28	PRIJEM	\N	126	30400	UROK	\N	\N
3567750	1128	1997-03-31	PRIJEM	\N	135	33439	UROK	\N	\N
3567751	1128	1997-04-30	PRIJEM	\N	149	37692	UROK	\N	\N
3567752	1128	1997-05-31	PRIJEM	\N	167	41963	UROK	\N	\N
3567753	1128	1997-06-30	PRIJEM	\N	159	36526	UROK	\N	\N
3567754	1128	1997-07-31	PRIJEM	\N	159	35349	UROK	\N	\N
3567755	1128	1997-08-31	PRIJEM	\N	157	39610	UROK	\N	\N
3567756	1128	1997-09-30	PRIJEM	\N	170	38965	UROK	\N	\N
3567757	1128	1997-10-31	PRIJEM	\N	172	43240	UROK	\N	\N
3567758	1128	1997-11-30	PRIJEM	\N	189	47534	UROK	\N	\N
3567759	1128	1997-12-31	PRIJEM	\N	199	45037	UROK	\N	\N
3567760	1128	1998-01-31	PRIJEM	\N	173	38574	UROK	\N	\N
3567761	1128	1998-02-28	PRIJEM	\N	169	42847	UROK	\N	\N
3567762	1128	1998-03-31	PRIJEM	\N	176	44327	UROK	\N	\N
3567763	1128	1998-04-30	PRIJEM	\N	193	46824	UROK	\N	\N
3567764	1128	1998-05-31	PRIJEM	\N	193	44462	UROK	\N	\N
3567765	1128	1998-06-30	PRIJEM	\N	172	39139	UROK	\N	\N
3567766	1128	1998-07-31	PRIJEM	\N	171	43414	UROK	\N	\N
3567767	1128	1998-08-31	PRIJEM	\N	189	47708	UROK	\N	\N
3567768	1128	1998-09-30	PRIJEM	\N	207	52019	UROK	\N	\N
3567769	1128	1998-10-31	PRIJEM	\N	225	56348	UROK	\N	\N
3567770	1128	1998-11-30	PRIJEM	\N	242	60214	UROK	\N	\N
3567771	1128	1998-12-31	PRIJEM	\N	251	61289	UROK	\N	\N
3567772	1129	1995-03-31	PRIJEM	\N	75	25264	UROK	\N	\N
3567773	1129	1995-04-30	PRIJEM	\N	169	47322	UROK	\N	\N
3567774	1129	1995-05-31	PRIJEM	\N	231	59142	UROK	\N	\N
3567775	1129	1995-06-30	PRIJEM	\N	305	79631	UROK	\N	\N
3567776	1129	1995-07-31	PRIJEM	\N	296	66512	UROK	\N	\N
3567777	1129	1995-08-31	PRIJEM	\N	241	43539	UROK	\N	\N
3567778	1129	1995-09-30	PRIJEM	\N	209	38672	UROK	\N	\N
3567779	1129	1995-10-31	PRIJEM	\N	210	42668	UROK	\N	\N
3567780	1129	1995-11-30	PRIJEM	\N	228	40081	UROK	\N	\N
3567781	1129	1995-12-31	PRIJEM	\N	234	46196	UROK	\N	\N
3567782	1129	1996-01-31	PRIJEM	\N	181	36202	UROK	\N	\N
3567783	1129	1996-02-29	PRIJEM	\N	190	37158	UROK	\N	\N
3567784	1129	1996-03-31	PRIJEM	\N	201	42744	UROK	\N	\N
3567785	1129	1996-04-30	PRIJEM	\N	221	44450	UROK	\N	\N
3567786	1129	1996-05-31	PRIJEM	\N	223	42838	UROK	\N	\N
3567787	1129	1996-06-30	PRIJEM	\N	228	14907	UROK	\N	\N
3567788	1129	1996-07-31	PRIJEM	\N	111	26803	UROK	\N	\N
3567789	1129	1996-08-31	PRIJEM	\N	153	32641	UROK	\N	\N
3567790	1129	1996-09-30	PRIJEM	\N	166	34173	UROK	\N	\N
3567791	1129	1996-10-31	PRIJEM	\N	159	35157	UROK	\N	\N
3567792	1129	1996-11-30	PRIJEM	\N	179	36621	UROK	\N	\N
3567793	1129	1996-12-31	PRIJEM	\N	199	41621	UROK	\N	\N
3567794	1129	1997-01-31	PRIJEM	\N	170	18017	UROK	\N	\N
3567795	1129	1997-02-28	PRIJEM	\N	115	26917	UROK	\N	\N
3567796	1129	1997-03-31	PRIJEM	\N	151	32153	UROK	\N	\N
3567797	1129	1997-04-30	PRIJEM	\N	163	32601	UROK	\N	\N
3567798	1129	1997-05-31	PRIJEM	\N	171	38157	UROK	\N	\N
3567799	1129	1997-06-30	PRIJEM	\N	171	26408	UROK	\N	\N
3567800	1129	1997-07-31	PRIJEM	\N	149	35242	UROK	\N	\N
3567801	1129	1997-08-31	PRIJEM	\N	172	36799	UROK	\N	\N
3567802	1129	1997-09-30	PRIJEM	\N	182	41567	UROK	\N	\N
3567803	1129	1997-10-31	PRIJEM	\N	195	42847	UROK	\N	\N
3567804	1129	1997-11-30	PRIJEM	\N	202	43554	UROK	\N	\N
3567805	1129	1997-12-31	PRIJEM	\N	222	47716	UROK	\N	\N
3567806	1129	1998-01-31	PRIJEM	\N	171	26893	UROK	\N	\N
3567807	1129	1998-02-28	PRIJEM	\N	139	33317	UROK	\N	\N
3567808	1129	1998-03-31	PRIJEM	\N	170	40673	UROK	\N	\N
3567809	1129	1998-04-30	PRIJEM	\N	189	40707	UROK	\N	\N
3567810	1129	1998-05-31	PRIJEM	\N	192	44584	UROK	\N	\N
3567811	1129	1998-06-30	PRIJEM	\N	165	42609	UROK	\N	\N
3567812	1129	1998-07-31	PRIJEM	\N	189	44604	UROK	\N	\N
3567813	1129	1998-08-31	PRIJEM	\N	207	49636	UROK	\N	\N
3567814	1129	1998-09-30	PRIJEM	\N	221	53223	UROK	\N	\N
3567815	1129	1998-10-31	PRIJEM	\N	233	55341	UROK	\N	\N
3567816	1129	1998-11-30	PRIJEM	\N	238	56864	UROK	\N	\N
3567817	1129	1998-12-31	PRIJEM	\N	257	60962	UROK	\N	\N
3567818	1130	1997-10-31	PRIJEM	\N	83	30982	UROK	\N	\N
3567819	1130	1997-11-30	PRIJEM	\N	137	33251	UROK	\N	\N
3567820	1130	1997-12-31	PRIJEM	\N	147	34850	UROK	\N	\N
3567821	1130	1998-01-31	PRIJEM	\N	136	27298	UROK	\N	\N
3567822	1130	1998-02-28	PRIJEM	\N	125	31755	UROK	\N	\N
3567823	1130	1998-03-31	PRIJEM	\N	142	32410	UROK	\N	\N
3567824	1130	1998-04-30	PRIJEM	\N	146	36889	UROK	\N	\N
3567825	1130	1998-05-31	PRIJEM	\N	149	34090	UROK	\N	\N
3567826	1130	1998-06-30	PRIJEM	\N	149	36171	UROK	\N	\N
3567827	1130	1998-07-31	PRIJEM	\N	146	34349	UROK	\N	\N
3567828	1130	1998-08-31	PRIJEM	\N	155	38137	UROK	\N	\N
3567829	1130	1998-09-30	PRIJEM	\N	161	37930	UROK	\N	\N
3567830	1130	1998-10-31	PRIJEM	\N	161	38924	UROK	\N	\N
3567831	1130	1998-11-30	PRIJEM	\N	159	37815	UROK	\N	\N
3567832	1130	1998-12-31	PRIJEM	\N	160	38408	UROK	\N	\N
3567897	1132	1993-02-28	PRIJEM	\N	146	49244	UROK	\N	\N
3567898	1132	1993-03-31	PRIJEM	\N	317	85859	UROK	\N	\N
3567899	1132	1993-04-30	PRIJEM	\N	410	103568	UROK	\N	\N
3567900	1132	1993-05-31	PRIJEM	\N	278	54243	UROK	\N	\N
3567901	1132	1993-06-30	PRIJEM	\N	223	53313	UROK	\N	\N
3567902	1132	1993-07-31	PRIJEM	\N	200	43989	UROK	\N	\N
3567903	1132	1993-08-31	PRIJEM	\N	289	73852	UROK	\N	\N
3567904	1132	1993-09-30	PRIJEM	\N	384	98804	UROK	\N	\N
3567905	1132	1993-10-31	PRIJEM	\N	291	53664	UROK	\N	\N
3567906	1132	1993-11-30	PRIJEM	\N	232	82464	UROK	\N	\N
3567907	1132	1993-12-31	PRIJEM	\N	323	43404	UROK	\N	\N
3567908	1132	1994-01-31	PRIJEM	\N	206	23376	UROK	\N	\N
3567909	1132	1994-02-28	PRIJEM	\N	103	71547	UROK	\N	\N
3567910	1132	1994-03-31	PRIJEM	\N	282	47390	UROK	\N	\N
3567911	1132	1994-04-30	PRIJEM	\N	322	48090	UROK	\N	\N
3567912	1132	1994-05-31	PRIJEM	\N	246	57103	UROK	\N	\N
3567913	1132	1994-06-30	PRIJEM	\N	377	23198	UROK	\N	\N
3567914	1132	1994-07-31	PRIJEM	\N	194	38766	UROK	\N	\N
3567915	1132	1994-08-31	PRIJEM	\N	280	56513	UROK	\N	\N
3567916	1132	1994-09-30	PRIJEM	\N	283	53628	UROK	\N	\N
3567917	1132	1994-10-31	PRIJEM	\N	297	57191	UROK	\N	\N
3567918	1132	1994-11-30	PRIJEM	\N	241	53184	UROK	\N	\N
3567919	1132	1994-12-31	PRIJEM	\N	265	39374	UROK	\N	\N
3567920	1132	1995-01-31	PRIJEM	\N	255	49397	UROK	\N	\N
3567921	1132	1995-02-28	PRIJEM	\N	236	59701	UROK	\N	\N
3567922	1132	1995-03-31	PRIJEM	\N	257	68727	UROK	\N	\N
3567923	1132	1995-04-30	PRIJEM	\N	367	48361	UROK	\N	\N
3567924	1132	1995-05-31	PRIJEM	\N	220	66049	UROK	\N	\N
3567925	1132	1995-06-30	PRIJEM	\N	397	65642	UROK	\N	\N
3567926	1132	1995-07-31	PRIJEM	\N	358	67267	UROK	\N	\N
3567927	1132	1995-08-31	PRIJEM	\N	313	58448	UROK	\N	\N
3567928	1132	1995-09-30	PRIJEM	\N	277	60151	UROK	\N	\N
3567929	1132	1995-10-31	PRIJEM	\N	301	67303	UROK	\N	\N
3567930	1132	1995-11-30	PRIJEM	\N	341	60313	UROK	\N	\N
3567931	1132	1995-12-31	PRIJEM	\N	311	56232	UROK	\N	\N
3567932	1132	1996-01-31	PRIJEM	\N	247	35947	UROK	\N	\N
3567933	1132	1996-02-29	PRIJEM	\N	230	49057	UROK	\N	\N
3567934	1132	1996-03-31	PRIJEM	\N	223	52537	UROK	\N	\N
3567935	1132	1996-04-30	PRIJEM	\N	281	60286	UROK	\N	\N
3567936	1132	1996-05-31	PRIJEM	\N	269	71123	UROK	\N	\N
3567937	1132	1996-06-30	PRIJEM	\N	245	45720	UROK	\N	\N
3567938	1132	1996-07-31	PRIJEM	\N	227	48554	UROK	\N	\N
3567939	1132	1996-08-31	PRIJEM	\N	231	63453	UROK	\N	\N
3567940	1132	1996-09-30	PRIJEM	\N	308	66740	UROK	\N	\N
3567941	1132	1996-10-31	PRIJEM	\N	305	61913	UROK	\N	\N
3567942	1132	1996-11-30	PRIJEM	\N	277	71557	UROK	\N	\N
3567943	1132	1996-12-31	PRIJEM	\N	289	47790	UROK	\N	\N
3567944	1132	1997-01-31	PRIJEM	\N	201	28759	UROK	\N	\N
3567945	1132	1997-02-28	PRIJEM	\N	160	37758	UROK	\N	\N
3567946	1132	1997-03-31	PRIJEM	\N	205	59532	UROK	\N	\N
3567947	1132	1997-04-30	PRIJEM	\N	271	70871	UROK	\N	\N
3567948	1132	1997-05-31	PRIJEM	\N	320	74358	UROK	\N	\N
3567949	1132	1997-06-30	PRIJEM	\N	271	44947	UROK	\N	\N
3567950	1132	1997-07-31	PRIJEM	\N	234	64549	UROK	\N	\N
3567951	1132	1997-08-31	PRIJEM	\N	282	59399	UROK	\N	\N
3567952	1132	1997-09-30	PRIJEM	\N	204	40939	UROK	\N	\N
3567953	1132	1997-10-31	PRIJEM	\N	185	44792	UROK	\N	\N
3567954	1132	1997-11-30	PRIJEM	\N	221	54914	UROK	\N	\N
3567955	1132	1997-12-31	PRIJEM	\N	253	64584	UROK	\N	\N
3567956	1132	1998-01-31	PRIJEM	\N	301	68253	UROK	\N	\N
3567957	1132	1998-02-28	PRIJEM	\N	356	94977	UROK	\N	\N
3567958	1132	1998-03-31	PRIJEM	\N	215	15895	UROK	\N	\N
3567959	1132	1998-04-30	PRIJEM	\N	168	43166	UROK	\N	\N
3567960	1132	1998-05-31	PRIJEM	\N	248	66883	UROK	\N	\N
3567961	1132	1998-06-30	PRIJEM	\N	321	55019	UROK	\N	\N
3567962	1132	1998-07-31	PRIJEM	\N	311	66880	UROK	\N	\N
3567963	1132	1998-08-31	PRIJEM	\N	298	69666	UROK	\N	\N
3567964	1132	1998-09-30	PRIJEM	\N	386	104220	UROK	\N	\N
3567965	1132	1998-10-31	PRIJEM	\N	431	99226	UROK	\N	\N
3567966	1132	1998-11-30	PRIJEM	\N	424	113681	UROK	\N	\N
3567967	1132	1998-12-31	PRIJEM	\N	352	70389	UROK	\N	\N
3567968	1133	1993-11-30	PRIJEM	\N	17	5415	UROK	\N	\N
3567969	1133	1993-12-31	PRIJEM	\N	23	9935	UROK	\N	\N
3567970	1133	1994-01-31	PRIJEM	\N	23	14456	UROK	\N	\N
3567971	1133	1994-02-28	PRIJEM	\N	23	18976	UROK	\N	\N
3567972	1133	1994-03-31	PRIJEM	\N	65	18956	UROK	\N	\N
3567973	1133	1994-04-30	PRIJEM	\N	84	20525	UROK	\N	\N
3567974	1133	1994-05-31	PRIJEM	\N	91	22101	UROK	\N	\N
3567975	1133	1994-06-30	PRIJEM	\N	66	13953	UROK	\N	\N
3567976	1133	1994-07-31	PRIJEM	\N	62	15020	UROK	\N	\N
3567977	1133	1994-08-31	PRIJEM	\N	68	16573	UROK	\N	\N
3567978	1133	1994-09-30	PRIJEM	\N	74	18133	UROK	\N	\N
3567979	1133	1994-10-31	PRIJEM	\N	73	17211	UROK	\N	\N
3567980	1133	1994-11-30	PRIJEM	\N	77	18773	UROK	\N	\N
3567981	1133	1994-12-31	PRIJEM	\N	78	17616	UROK	\N	\N
3567982	1133	1995-01-31	PRIJEM	\N	65	14866	UROK	\N	\N
3567983	1133	1995-02-28	PRIJEM	\N	66	15317	UROK	\N	\N
3567984	1133	1995-03-31	PRIJEM	\N	69	16871	UROK	\N	\N
3567985	1133	1995-04-30	PRIJEM	\N	70	16747	UROK	\N	\N
3567986	1133	1995-05-31	PRIJEM	\N	75	18307	UROK	\N	\N
3567987	1133	1995-06-30	PRIJEM	\N	76	15628	UROK	\N	\N
3567988	1133	1995-07-31	PRIJEM	\N	65	12279	UROK	\N	\N
3567989	1133	1995-08-31	PRIJEM	\N	55	12519	UROK	\N	\N
3567990	1133	1995-09-30	PRIJEM	\N	57	14061	UROK	\N	\N
3567991	1133	1995-10-31	PRIJEM	\N	62	14108	UROK	\N	\N
3567992	1133	1995-11-30	PRIJEM	\N	59	12052	UROK	\N	\N
3567993	1133	1995-12-31	PRIJEM	\N	55	13592	UROK	\N	\N
3567994	1133	1996-01-31	PRIJEM	\N	62	15139	UROK	\N	\N
3567995	1133	1996-02-29	PRIJEM	\N	68	16693	UROK	\N	\N
3567996	1133	1996-03-31	PRIJEM	\N	69	15126	UROK	\N	\N
3567997	1133	1996-04-30	PRIJEM	\N	62	13873	UROK	\N	\N
3567998	1133	1996-05-31	PRIJEM	\N	63	15421	UROK	\N	\N
3567999	1133	1996-06-30	PRIJEM	\N	69	16976	UROK	\N	\N
3568000	1133	1996-07-31	PRIJEM	\N	63	11824	UROK	\N	\N
3568001	1133	1996-08-31	PRIJEM	\N	54	13363	UROK	\N	\N
3568002	1133	1996-09-30	PRIJEM	\N	60	14909	UROK	\N	\N
3568003	1133	1996-10-31	PRIJEM	\N	63	15337	UROK	\N	\N
3568004	1133	1996-11-30	PRIJEM	\N	68	16891	UROK	\N	\N
3568005	1133	1996-12-31	PRIJEM	\N	71	16147	UROK	\N	\N
3568006	1133	1997-01-31	PRIJEM	\N	66	14599	UROK	\N	\N
3568007	1133	1997-02-28	PRIJEM	\N	65	16150	UROK	\N	\N
3568008	1133	1997-03-31	PRIJEM	\N	72	17707	UROK	\N	\N
3568009	1133	1997-04-30	PRIJEM	\N	78	19270	UROK	\N	\N
3568010	1133	1997-05-31	PRIJEM	\N	85	20840	UROK	\N	\N
3568011	1133	1997-06-30	PRIJEM	\N	79	17504	UROK	\N	\N
3568012	1133	1997-07-31	PRIJEM	\N	65	14255	UROK	\N	\N
3568013	1133	1997-08-31	PRIJEM	\N	64	15804	UROK	\N	\N
3568014	1133	1997-09-30	PRIJEM	\N	70	17359	UROK	\N	\N
3568015	1133	1997-10-31	PRIJEM	\N	76	14120	UROK	\N	\N
3568016	1133	1997-11-30	PRIJEM	\N	63	15668	UROK	\N	\N
3568017	1133	1997-12-31	PRIJEM	\N	64	15337	UROK	\N	\N
3568018	1133	1998-01-31	PRIJEM	\N	68	16891	UROK	\N	\N
3568019	1133	1998-02-28	PRIJEM	\N	74	18450	UROK	\N	\N
3568020	1133	1998-03-31	PRIJEM	\N	71	16966	UROK	\N	\N
3568021	1133	1998-04-30	PRIJEM	\N	74	18526	UROK	\N	\N
3568022	1133	1998-05-31	PRIJEM	\N	61	12972	UROK	\N	\N
3568023	1133	1998-06-30	PRIJEM	\N	58	14515	UROK	\N	\N
3568024	1133	1998-07-31	PRIJEM	\N	64	16065	UROK	\N	\N
3568025	1133	1998-08-31	PRIJEM	\N	70	17620	UROK	\N	\N
3568026	1133	1998-09-30	PRIJEM	\N	73	15979	UROK	\N	\N
3568027	1133	1998-10-31	PRIJEM	\N	70	17534	UROK	\N	\N
3568028	1133	1998-11-30	PRIJEM	\N	76	19096	UROK	\N	\N
3568029	1133	1998-12-31	PRIJEM	\N	82	19913	UROK	\N	\N
3568030	1134	1993-03-31	PRIJEM	\N	58	20628	UROK	\N	\N
3568031	1134	1993-04-30	PRIJEM	\N	107	27905	UROK	\N	\N
3568032	1134	1993-05-31	PRIJEM	\N	128	31902	UROK	\N	\N
3568033	1134	1993-06-30	PRIJEM	\N	156	39613	UROK	\N	\N
3568034	1134	1993-07-31	PRIJEM	\N	165	38375	UROK	\N	\N
3568035	1134	1993-08-31	PRIJEM	\N	140	31991	UROK	\N	\N
3568036	1134	1993-09-30	PRIJEM	\N	133	31799	UROK	\N	\N
3568037	1134	1993-10-31	PRIJEM	\N	121	28196	UROK	\N	\N
3568038	1134	1993-11-30	PRIJEM	\N	125	30496	UROK	\N	\N
3568039	1134	1993-12-31	PRIJEM	\N	130	28687	UROK	\N	\N
3568040	1134	1994-01-31	PRIJEM	\N	99	14961	UROK	\N	\N
3568041	1134	1994-02-28	PRIJEM	\N	90	20127	UROK	\N	\N
3568042	1134	1994-03-31	PRIJEM	\N	109	25611	UROK	\N	\N
3568043	1134	1994-04-30	PRIJEM	\N	144	34330	UROK	\N	\N
3568044	1134	1994-05-31	PRIJEM	\N	137	30942	UROK	\N	\N
3568045	1134	1994-06-30	PRIJEM	\N	148	29551	UROK	\N	\N
3568046	1134	1994-07-31	PRIJEM	\N	128	30054	UROK	\N	\N
3568047	1134	1994-08-31	PRIJEM	\N	121	29550	UROK	\N	\N
3568048	1134	1994-09-30	PRIJEM	\N	125	28951	UROK	\N	\N
3568049	1134	1994-10-31	PRIJEM	\N	127	29453	UROK	\N	\N
3568050	1134	1994-11-30	PRIJEM	\N	118	28646	UROK	\N	\N
3568051	1134	1994-12-31	PRIJEM	\N	153	34260	UROK	\N	\N
3568052	1134	1995-01-31	PRIJEM	\N	101	19236	UROK	\N	\N
3568053	1134	1995-02-28	PRIJEM	\N	91	22002	UROK	\N	\N
3568054	1134	1995-03-31	PRIJEM	\N	103	23980	UROK	\N	\N
3568055	1134	1995-04-30	PRIJEM	\N	109	25464	UROK	\N	\N
3568056	1134	1995-05-31	PRIJEM	\N	117	23157	UROK	\N	\N
3568057	1134	1995-06-30	PRIJEM	\N	128	23845	UROK	\N	\N
3568058	1134	1995-07-31	PRIJEM	\N	110	22631	UROK	\N	\N
3568059	1134	1995-08-31	PRIJEM	\N	112	24118	UROK	\N	\N
3568060	1134	1995-09-30	PRIJEM	\N	112	22805	UROK	\N	\N
3568061	1134	1995-10-31	PRIJEM	\N	105	22786	UROK	\N	\N
3568062	1134	1995-11-30	PRIJEM	\N	110	22371	UROK	\N	\N
3568063	1134	1995-12-31	PRIJEM	\N	118	23149	UROK	\N	\N
3568064	1134	1996-01-31	PRIJEM	\N	97	15822	UROK	\N	\N
3568065	1134	1996-02-29	PRIJEM	\N	74	19971	UROK	\N	\N
3568066	1134	1996-03-31	PRIJEM	\N	99	22245	UROK	\N	\N
3568067	1134	1996-04-30	PRIJEM	\N	106	22126	UROK	\N	\N
3568068	1134	1996-05-31	PRIJEM	\N	104	20906	UROK	\N	\N
3568069	1134	1996-06-30	PRIJEM	\N	103	19469	UROK	\N	\N
3568070	1134	1996-07-31	PRIJEM	\N	83	19127	UROK	\N	\N
3568071	1134	1996-08-31	PRIJEM	\N	84	18086	UROK	\N	\N
3568072	1134	1996-09-30	PRIJEM	\N	83	19345	UROK	\N	\N
3568073	1134	1996-10-31	PRIJEM	\N	86	16106	UROK	\N	\N
3568074	1134	1996-11-30	PRIJEM	\N	75	14756	UROK	\N	\N
3568075	1134	1996-12-31	PRIJEM	\N	81	17397	UROK	\N	\N
3568076	1134	1997-01-31	PRIJEM	\N	68	16540	UROK	\N	\N
3568077	1134	1997-02-28	PRIJEM	\N	78	15694	UROK	\N	\N
3568078	1134	1997-03-31	PRIJEM	\N	68	14237	UROK	\N	\N
3568079	1134	1997-04-30	PRIJEM	\N	69	17182	UROK	\N	\N
3568080	1134	1997-05-31	PRIJEM	\N	82	16438	UROK	\N	\N
3568081	1134	1997-06-30	PRIJEM	\N	72	15271	UROK	\N	\N
3568082	1134	1997-07-31	PRIJEM	\N	66	15612	UROK	\N	\N
3568083	1134	1997-08-31	PRIJEM	\N	80	20168	UROK	\N	\N
3568084	1134	1997-09-30	PRIJEM	\N	98	25741	UROK	\N	\N
3568085	1134	1997-10-31	PRIJEM	\N	99	21915	UROK	\N	\N
3568086	1134	1997-11-30	PRIJEM	\N	89	18879	UROK	\N	\N
3568087	1134	1997-12-31	PRIJEM	\N	85	16125	UROK	\N	\N
3568088	1134	1998-01-31	PRIJEM	\N	67	15567	UROK	\N	\N
3568089	1134	1998-02-28	PRIJEM	\N	68	15611	UROK	\N	\N
3568090	1134	1998-03-31	PRIJEM	\N	66	15452	UROK	\N	\N
3568091	1134	1998-04-30	PRIJEM	\N	75	19502	UROK	\N	\N
3568092	1134	1998-05-31	PRIJEM	\N	68	13946	UROK	\N	\N
3568093	1134	1998-06-30	PRIJEM	\N	87	20793	UROK	\N	\N
3568094	1134	1998-07-31	PRIJEM	\N	73	14841	UROK	\N	\N
3568095	1134	1998-08-31	PRIJEM	\N	72	18889	UROK	\N	\N
3568096	1134	1998-09-30	PRIJEM	\N	87	22451	UROK	\N	\N
3568097	1134	1998-10-31	PRIJEM	\N	103	26530	UROK	\N	\N
3568098	1134	1998-11-30	PRIJEM	\N	120	30626	UROK	\N	\N
3568099	1134	1998-12-31	PRIJEM	\N	156	39442	UROK	\N	\N
3568100	1135	1995-12-31	PRIJEM	\N	53	19888	UROK	\N	\N
3568101	1135	1996-01-31	PRIJEM	\N	80	15884	UROK	\N	\N
3568102	1135	1996-02-29	PRIJEM	\N	74	19314	UROK	\N	\N
3568103	1135	1996-03-31	PRIJEM	\N	84	20554	UROK	\N	\N
3568104	1135	1996-04-30	PRIJEM	\N	94	24004	UROK	\N	\N
3568105	1135	1996-05-31	PRIJEM	\N	104	25565	UROK	\N	\N
3568106	1135	1996-06-30	PRIJEM	\N	106	25227	UROK	\N	\N
3568107	1135	1996-07-31	PRIJEM	\N	109	26393	UROK	\N	\N
3568108	1135	1996-08-31	PRIJEM	\N	109	22498	UROK	\N	\N
3568109	1135	1996-09-30	PRIJEM	\N	97	23151	UROK	\N	\N
3568110	1135	1996-10-31	PRIJEM	\N	98	23506	UROK	\N	\N
3568111	1135	1996-11-30	PRIJEM	\N	100	23803	UROK	\N	\N
3568112	1135	1996-12-31	PRIJEM	\N	109	26118	UROK	\N	\N
3568113	1135	1997-01-31	PRIJEM	\N	85	16239	UROK	\N	\N
3568114	1135	1997-02-28	PRIJEM	\N	75	19670	UROK	\N	\N
3568115	1135	1997-03-31	PRIJEM	\N	90	21816	UROK	\N	\N
3568116	1135	1997-04-30	PRIJEM	\N	97	23269	UROK	\N	\N
3568117	1135	1997-05-31	PRIJEM	\N	108	26133	UROK	\N	\N
3568118	1135	1997-06-30	PRIJEM	\N	112	25402	UROK	\N	\N
3568119	1135	1997-07-31	PRIJEM	\N	107	24305	UROK	\N	\N
3568120	1135	1997-08-31	PRIJEM	\N	109	27771	UROK	\N	\N
3568121	1135	1997-09-30	PRIJEM	\N	122	29329	UROK	\N	\N
3568122	1135	1997-10-31	PRIJEM	\N	122	28148	UROK	\N	\N
3568123	1135	1997-11-30	PRIJEM	\N	125	31629	UROK	\N	\N
3568124	1135	1997-12-31	PRIJEM	\N	143	34679	UROK	\N	\N
3568125	1135	1998-01-31	PRIJEM	\N	147	31202	UROK	\N	\N
3568126	1135	1998-02-28	PRIJEM	\N	134	31892	UROK	\N	\N
3568127	1135	1998-03-31	PRIJEM	\N	140	35389	UROK	\N	\N
3568128	1135	1998-04-30	PRIJEM	\N	155	38900	UROK	\N	\N
3568129	1135	1998-05-31	PRIJEM	\N	170	42426	UROK	\N	\N
3568130	1135	1998-06-30	PRIJEM	\N	174	37236	UROK	\N	\N
3568131	1135	1998-07-31	PRIJEM	\N	163	40755	UROK	\N	\N
3568132	1135	1998-08-31	PRIJEM	\N	176	42968	UROK	\N	\N
3568133	1135	1998-09-30	PRIJEM	\N	186	46410	UROK	\N	\N
3568134	1135	1998-10-31	PRIJEM	\N	199	46766	UROK	\N	\N
3568135	1135	1998-11-30	PRIJEM	\N	192	43854	UROK	\N	\N
3568136	1135	1998-12-31	PRIJEM	\N	193	46903	UROK	\N	\N
3568137	1136	1993-08-31	PRIJEM	\N	85	31803	UROK	\N	\N
3568138	1136	1993-09-30	PRIJEM	\N	211	61632	UROK	\N	\N
3568139	1136	1993-10-31	PRIJEM	\N	296	76746	UROK	\N	\N
3568140	1136	1993-11-30	PRIJEM	\N	327	79791	UROK	\N	\N
3568141	1136	1993-12-31	PRIJEM	\N	364	85632	UROK	\N	\N
3568142	1136	1994-01-31	PRIJEM	\N	268	45871	UROK	\N	\N
3568143	1136	1994-02-28	PRIJEM	\N	220	58362	UROK	\N	\N
3568144	1136	1994-03-31	PRIJEM	\N	240	60823	UROK	\N	\N
3568145	1136	1994-04-30	PRIJEM	\N	255	63348	UROK	\N	\N
3568146	1136	1994-05-31	PRIJEM	\N	271	67589	UROK	\N	\N
3568147	1136	1994-06-30	PRIJEM	\N	325	86194	UROK	\N	\N
3568148	1136	1994-07-31	PRIJEM	\N	269	65533	UROK	\N	\N
3568149	1136	1994-08-31	PRIJEM	\N	174	32431	UROK	\N	\N
3568150	1136	1994-09-30	PRIJEM	\N	160	44061	UROK	\N	\N
3568151	1136	1994-10-31	PRIJEM	\N	202	49033	UROK	\N	\N
3568152	1136	1994-11-30	PRIJEM	\N	221	54626	UROK	\N	\N
3568153	1136	1994-12-31	PRIJEM	\N	268	47674	UROK	\N	\N
3568154	1136	1995-01-31	PRIJEM	\N	207	36451	UROK	\N	\N
3568155	1136	1995-02-28	PRIJEM	\N	206	58327	UROK	\N	\N
3568156	1136	1995-03-31	PRIJEM	\N	237	46634	UROK	\N	\N
3568157	1136	1995-04-30	PRIJEM	\N	235	43140	UROK	\N	\N
3568158	1136	1995-05-31	PRIJEM	\N	158	27756	UROK	\N	\N
3568159	1136	1995-06-30	PRIJEM	\N	161	35197	UROK	\N	\N
3568160	1136	1995-07-31	PRIJEM	\N	197	40964	UROK	\N	\N
3568161	1136	1995-08-31	PRIJEM	\N	204	39945	UROK	\N	\N
3568162	1136	1995-09-30	PRIJEM	\N	212	43927	UROK	\N	\N
3568163	1136	1995-10-31	PRIJEM	\N	218	32615	UROK	\N	\N
3568164	1136	1995-11-30	PRIJEM	\N	170	24608	UROK	\N	\N
3568165	1136	1995-12-31	PRIJEM	\N	182	40470	UROK	\N	\N
3568166	1136	1996-01-31	PRIJEM	\N	175	28215	UROK	\N	\N
3568167	1136	1996-02-29	PRIJEM	\N	161	37447	UROK	\N	\N
3568168	1136	1996-03-31	PRIJEM	\N	155	30126	UROK	\N	\N
3568169	1136	1996-04-30	PRIJEM	\N	143	26977	UROK	\N	\N
3568170	1136	1996-05-31	PRIJEM	\N	146	27794	UROK	\N	\N
3568171	1136	1996-06-30	PRIJEM	\N	146	26019	UROK	\N	\N
3568172	1136	1996-07-31	PRIJEM	\N	144	30904	UROK	\N	\N
3568173	1136	1996-08-31	PRIJEM	\N	150	32467	UROK	\N	\N
3568174	1136	1996-09-30	PRIJEM	\N	155	33033	UROK	\N	\N
3568175	1136	1996-10-31	PRIJEM	\N	167	37470	UROK	\N	\N
3568176	1136	1996-11-30	PRIJEM	\N	173	37430	UROK	\N	\N
3568177	1136	1996-12-31	PRIJEM	\N	198	34608	UROK	\N	\N
3568178	1136	1997-01-31	PRIJEM	\N	133	24848	UROK	\N	\N
3568179	1136	1997-02-28	PRIJEM	\N	131	32049	UROK	\N	\N
3568180	1136	1997-03-31	PRIJEM	\N	144	31222	UROK	\N	\N
3568181	1136	1997-04-30	PRIJEM	\N	145	30537	UROK	\N	\N
3568182	1136	1997-05-31	PRIJEM	\N	129	25115	UROK	\N	\N
3568183	1136	1997-06-30	PRIJEM	\N	128	27431	UROK	\N	\N
3568184	1136	1997-07-31	PRIJEM	\N	115	22017	UROK	\N	\N
3568185	1136	1997-08-31	PRIJEM	\N	95	19182	UROK	\N	\N
3568186	1136	1997-09-30	PRIJEM	\N	103	26855	UROK	\N	\N
3568187	1136	1997-10-31	PRIJEM	\N	108	22633	UROK	\N	\N
3568188	1136	1997-11-30	PRIJEM	\N	98	22801	UROK	\N	\N
3568189	1136	1997-12-31	PRIJEM	\N	141	33021	UROK	\N	\N
3568190	1136	1998-01-31	PRIJEM	\N	116	26208	UROK	\N	\N
3568191	1136	1998-02-28	PRIJEM	\N	97	22775	UROK	\N	\N
3568192	1136	1998-03-31	PRIJEM	\N	94	21741	UROK	\N	\N
3568193	1136	1998-04-30	PRIJEM	\N	92	22804	UROK	\N	\N
3568194	1136	1998-05-31	PRIJEM	\N	101	25475	UROK	\N	\N
3568195	1136	1998-06-30	PRIJEM	\N	114	30068	UROK	\N	\N
3568196	1136	1998-07-31	PRIJEM	\N	110	25948	UROK	\N	\N
3568197	1136	1998-08-31	PRIJEM	\N	135	35759	UROK	\N	\N
3568198	1136	1998-09-30	PRIJEM	\N	202	57631	UROK	\N	\N
3568199	1136	1998-10-31	PRIJEM	\N	192	30207	UROK	\N	\N
3568200	1136	1998-11-30	PRIJEM	\N	178	52055	UROK	\N	\N
3568201	1136	1998-12-31	PRIJEM	\N	276	75188	UROK	\N	\N
3568202	1137	1996-05-31	PRIJEM	\N	33	16393	UROK	\N	\N
3568203	1137	1996-06-30	PRIJEM	\N	65	16245	UROK	\N	\N
3568204	1137	1996-07-31	PRIJEM	\N	70	17362	UROK	\N	\N
3568205	1137	1996-08-31	PRIJEM	\N	75	18483	UROK	\N	\N
3568206	1137	1996-09-30	PRIJEM	\N	74	17464	UROK	\N	\N
3568207	1137	1996-10-31	PRIJEM	\N	72	17902	UROK	\N	\N
3568208	1137	1996-11-30	PRIJEM	\N	76	18424	UROK	\N	\N
3568209	1137	1996-12-31	PRIJEM	\N	68	15478	UROK	\N	\N
3568210	1137	1997-01-31	PRIJEM	\N	58	13433	UROK	\N	\N
3568211	1137	1997-02-28	PRIJEM	\N	57	13126	UROK	\N	\N
3568212	1137	1997-03-31	PRIJEM	\N	57	14230	UROK	\N	\N
3568213	1137	1997-04-30	PRIJEM	\N	62	15338	UROK	\N	\N
3568214	1137	1997-05-31	PRIJEM	\N	67	16451	UROK	\N	\N
3568215	1137	1997-06-30	PRIJEM	\N	70	16338	UROK	\N	\N
3568216	1137	1997-07-31	PRIJEM	\N	68	16132	UROK	\N	\N
3568217	1137	1997-08-31	PRIJEM	\N	68	14427	UROK	\N	\N
3568218	1137	1997-09-30	PRIJEM	\N	63	15536	UROK	\N	\N
3568219	1137	1997-10-31	PRIJEM	\N	67	16649	UROK	\N	\N
3568220	1137	1997-11-30	PRIJEM	\N	72	17768	UROK	\N	\N
3568221	1137	1997-12-31	PRIJEM	\N	69	16963	UROK	\N	\N
3568222	1137	1998-01-31	PRIJEM	\N	66	13336	UROK	\N	\N
3568223	1137	1998-02-28	PRIJEM	\N	56	13539	UROK	\N	\N
3568224	1137	1998-03-31	PRIJEM	\N	59	14644	UROK	\N	\N
3568225	1137	1998-04-30	PRIJEM	\N	63	15754	UROK	\N	\N
3568226	1137	1998-05-31	PRIJEM	\N	68	16868	UROK	\N	\N
3568227	1137	1998-06-30	PRIJEM	\N	73	17987	UROK	\N	\N
3568228	1137	1998-07-31	PRIJEM	\N	74	17697	UROK	\N	\N
3568229	1137	1998-08-31	PRIJEM	\N	76	18820	UROK	\N	\N
3568230	1137	1998-09-30	PRIJEM	\N	78	17844	UROK	\N	\N
3568231	1137	1998-10-31	PRIJEM	\N	77	18967	UROK	\N	\N
3568232	1137	1998-11-30	PRIJEM	\N	81	20095	UROK	\N	\N
3568233	1137	1998-12-31	PRIJEM	\N	85	20536	UROK	\N	\N
3568234	1139	1996-09-30	PRIJEM	\N	114	54949	UROK	\N	\N
3568235	1139	1996-10-31	PRIJEM	\N	229	46778	UROK	\N	\N
3568236	1139	1996-11-30	PRIJEM	\N	229	44306	UROK	\N	\N
3568237	1139	1996-12-31	PRIJEM	\N	229	42835	UROK	\N	\N
3568238	1139	1997-01-31	PRIJEM	\N	248	63913	UROK	\N	\N
3568239	1139	1997-02-28	PRIJEM	\N	265	59071	UROK	\N	\N
3568240	1139	1997-03-31	PRIJEM	\N	328	105493	UROK	\N	\N
3568241	1139	1997-04-30	PRIJEM	\N	357	72384	UROK	\N	\N
3568242	1139	1997-05-31	PRIJEM	\N	295	96506	UROK	\N	\N
3568243	1139	1997-06-30	PRIJEM	\N	384	93375	UROK	\N	\N
3568244	1139	1997-07-31	PRIJEM	\N	336	95508	UROK	\N	\N
3568245	1139	1997-08-31	PRIJEM	\N	264	33663	UROK	\N	\N
3568246	1139	1997-09-30	PRIJEM	\N	143	35740	UROK	\N	\N
3568247	1139	1997-10-31	PRIJEM	\N	209	93169	UROK	\N	\N
3568248	1139	1997-11-30	PRIJEM	\N	457	158959	UROK	\N	\N
3568249	1139	1997-12-31	PRIJEM	\N	348	60541	UROK	\N	\N
3568250	1139	1998-01-31	PRIJEM	\N	151	26226	UROK	\N	\N
3568251	1139	1998-02-28	PRIJEM	\N	113	27373	UROK	\N	\N
3568252	1139	1998-03-31	PRIJEM	\N	223	77114	UROK	\N	\N
3568253	1139	1998-04-30	PRIJEM	\N	312	77322	UROK	\N	\N
3568254	1139	1998-05-31	PRIJEM	\N	181	37877	UROK	\N	\N
3568255	1139	1998-06-30	PRIJEM	\N	254	79913	UROK	\N	\N
3568256	1139	1998-07-31	PRIJEM	\N	233	44980	UROK	\N	\N
3568257	1139	1998-08-31	PRIJEM	\N	221	53718	UROK	\N	\N
3568258	1139	1998-09-30	PRIJEM	\N	372	107564	UROK	\N	\N
3568259	1139	1998-10-31	PRIJEM	\N	268	41444	UROK	\N	\N
3568260	1139	1998-11-30	PRIJEM	\N	334	89546	UROK	\N	\N
3568261	1139	1998-12-31	PRIJEM	\N	407	89445	UROK	\N	\N
3568262	1140	1997-11-30	PRIJEM	\N	12	4998	UROK	\N	\N
3568263	1140	1997-12-31	PRIJEM	\N	55	19332	UROK	\N	\N
3568264	1140	1998-01-31	PRIJEM	\N	93	24511	UROK	\N	\N
3568265	1140	1998-02-28	PRIJEM	\N	111	28708	UROK	\N	\N
3568266	1140	1998-03-31	PRIJEM	\N	131	33625	UROK	\N	\N
3568267	1140	1998-04-30	PRIJEM	\N	129	30635	UROK	\N	\N
3568268	1140	1998-05-31	PRIJEM	\N	104	23181	UROK	\N	\N
3568269	1140	1998-06-30	PRIJEM	\N	111	29567	UROK	\N	\N
3568270	1140	1998-07-31	PRIJEM	\N	126	31474	UROK	\N	\N
3568271	1140	1998-08-31	PRIJEM	\N	118	26413	UROK	\N	\N
3568272	1140	1998-09-30	PRIJEM	\N	128	33523	UROK	\N	\N
3568273	1140	1998-10-31	PRIJEM	\N	149	37553	UROK	\N	\N
3568274	1140	1998-11-30	PRIJEM	\N	173	44207	UROK	\N	\N
3568275	1140	1998-12-31	PRIJEM	\N	178	42479	UROK	\N	\N
3568276	1141	1997-03-31	PRIJEM	\N	24	12899	UROK	\N	\N
3568277	1141	1997-04-30	PRIJEM	\N	65	18839	UROK	\N	\N
3568278	1141	1997-05-31	PRIJEM	\N	91	25205	UROK	\N	\N
3568279	1141	1997-06-30	PRIJEM	\N	110	27991	UROK	\N	\N
3568280	1141	1997-07-31	PRIJEM	\N	116	26898	UROK	\N	\N
3568281	1141	1997-08-31	PRIJEM	\N	99	20365	UROK	\N	\N
3568282	1141	1997-09-30	PRIJEM	\N	82	18154	UROK	\N	\N
3568283	1141	1997-10-31	PRIJEM	\N	75	17206	UROK	\N	\N
3568284	1141	1997-11-30	PRIJEM	\N	70	15083	UROK	\N	\N
3568285	1141	1997-12-31	PRIJEM	\N	70	16890	UROK	\N	\N
3568286	1141	1998-01-31	PRIJEM	\N	76	17433	UROK	\N	\N
3568287	1141	1998-02-28	PRIJEM	\N	78	18989	UROK	\N	\N
3568288	1141	1998-03-31	PRIJEM	\N	80	19146	UROK	\N	\N
3568289	1141	1998-04-30	PRIJEM	\N	87	20610	UROK	\N	\N
3568290	1141	1998-05-31	PRIJEM	\N	77	17065	UROK	\N	\N
3568291	1141	1998-06-30	PRIJEM	\N	75	18117	UROK	\N	\N
3568292	1141	1998-07-31	PRIJEM	\N	83	20377	UROK	\N	\N
3568293	1141	1998-08-31	PRIJEM	\N	91	22345	UROK	\N	\N
3568294	1141	1998-09-30	PRIJEM	\N	90	21163	UROK	\N	\N
3568295	1141	1998-10-31	PRIJEM	\N	71	15611	UROK	\N	\N
3568296	1141	1998-11-30	PRIJEM	\N	67	15955	UROK	\N	\N
3568297	1141	1998-12-31	PRIJEM	\N	68	15090	UROK	\N	\N
3568298	1142	1995-11-30	PRIJEM	\N	21	11537	UROK	\N	\N
3568299	1142	1995-12-31	PRIJEM	\N	58	16911	UROK	\N	\N
3568300	1142	1996-01-31	PRIJEM	\N	78	20604	UROK	\N	\N
3568301	1142	1996-02-29	PRIJEM	\N	86	23806	UROK	\N	\N
3568302	1142	1996-03-31	PRIJEM	\N	95	25217	UROK	\N	\N
3568303	1142	1996-04-30	PRIJEM	\N	97	20938	UROK	\N	\N
3568304	1142	1996-05-31	PRIJEM	\N	84	20227	UROK	\N	\N
3568305	1142	1996-06-30	PRIJEM	\N	73	15764	UROK	\N	\N
3568306	1142	1996-07-31	PRIJEM	\N	69	16857	UROK	\N	\N
3568307	1142	1996-08-31	PRIJEM	\N	70	16551	UROK	\N	\N
3568308	1142	1996-09-30	PRIJEM	\N	61	13626	UROK	\N	\N
3568309	1142	1996-10-31	PRIJEM	\N	60	14609	UROK	\N	\N
3568310	1142	1996-11-30	PRIJEM	\N	63	15297	UROK	\N	\N
3568311	1142	1996-12-31	PRIJEM	\N	71	18282	UROK	\N	\N
3568312	1142	1997-01-31	PRIJEM	\N	57	12563	UROK	\N	\N
3568313	1142	1997-02-28	PRIJEM	\N	63	19451	UROK	\N	\N
3568314	1142	1997-03-31	PRIJEM	\N	88	21924	UROK	\N	\N
3568315	1142	1997-04-30	PRIJEM	\N	84	19332	UROK	\N	\N
3568316	1142	1997-05-31	PRIJEM	\N	83	20149	UROK	\N	\N
3568317	1142	1997-06-30	PRIJEM	\N	81	17274	UROK	\N	\N
3568318	1142	1997-07-31	PRIJEM	\N	67	14996	UROK	\N	\N
3568319	1142	1997-08-31	PRIJEM	\N	69	17389	UROK	\N	\N
3568320	1142	1997-09-30	PRIJEM	\N	83	21096	UROK	\N	\N
3568321	1142	1997-10-31	PRIJEM	\N	95	23716	UROK	\N	\N
3568322	1142	1997-11-30	PRIJEM	\N	109	27049	UROK	\N	\N
3568323	1142	1997-12-31	PRIJEM	\N	102	23935	UROK	\N	\N
3568324	1142	1998-01-31	PRIJEM	\N	92	20662	UROK	\N	\N
3568325	1142	1998-02-28	PRIJEM	\N	86	21372	UROK	\N	\N
3568326	1142	1998-03-31	PRIJEM	\N	98	24395	UROK	\N	\N
3568327	1142	1998-04-30	PRIJEM	\N	100	24619	UROK	\N	\N
3568328	1142	1998-05-31	PRIJEM	\N	107	25970	UROK	\N	\N
3568329	1142	1998-06-30	PRIJEM	\N	110	27035	UROK	\N	\N
3568330	1142	1998-07-31	PRIJEM	\N	120	29779	UROK	\N	\N
3568331	1142	1998-08-31	PRIJEM	\N	110	24663	UROK	\N	\N
3568332	1142	1998-09-30	PRIJEM	\N	115	28902	UROK	\N	\N
3568333	1142	1998-10-31	PRIJEM	\N	116	28243	UROK	\N	\N
3568334	1142	1998-11-30	PRIJEM	\N	117	28884	UROK	\N	\N
3568335	1142	1998-12-31	PRIJEM	\N	110	25698	UROK	\N	\N
3568336	1144	1993-06-30	PRIJEM	\N	29	10924	UROK	\N	\N
3568337	1144	1993-07-31	PRIJEM	\N	48	12083	UROK	\N	\N
3568338	1144	1993-08-31	PRIJEM	\N	53	13246	UROK	\N	\N
3568339	1144	1993-09-30	PRIJEM	\N	58	14415	UROK	\N	\N
3568340	1144	1993-10-31	PRIJEM	\N	62	14267	UROK	\N	\N
3568341	1144	1993-11-30	PRIJEM	\N	61	14448	UROK	\N	\N
3568342	1144	1993-12-31	PRIJEM	\N	61	14480	UROK	\N	\N
3568343	1144	1994-01-31	PRIJEM	\N	57	12827	UROK	\N	\N
3568344	1144	1994-02-28	PRIJEM	\N	56	13993	UROK	\N	\N
3568345	1144	1994-03-31	PRIJEM	\N	59	13843	UROK	\N	\N
3568346	1144	1994-04-30	PRIJEM	\N	58	13630	UROK	\N	\N
3568347	1144	1994-05-31	PRIJEM	\N	60	14800	UROK	\N	\N
3568348	1144	1994-06-30	PRIJEM	\N	66	15497	UROK	\N	\N
3568349	1144	1994-07-31	PRIJEM	\N	67	16674	UROK	\N	\N
3568350	1144	1994-08-31	PRIJEM	\N	70	15875	UROK	\N	\N
3568351	1144	1994-09-30	PRIJEM	\N	69	17054	UROK	\N	\N
3568352	1144	1994-10-31	PRIJEM	\N	73	17428	UROK	\N	\N
3568353	1144	1994-11-30	PRIJEM	\N	75	18613	UROK	\N	\N
3568354	1144	1994-12-31	PRIJEM	\N	78	17492	UROK	\N	\N
3568355	1144	1995-01-31	PRIJEM	\N	72	15644	UROK	\N	\N
3568356	1144	1995-02-28	PRIJEM	\N	67	15952	UROK	\N	\N
3568357	1144	1995-03-31	PRIJEM	\N	69	16801	UROK	\N	\N
3568358	1144	1995-04-30	PRIJEM	\N	74	17445	UROK	\N	\N
3568359	1144	1995-05-31	PRIJEM	\N	75	18631	UROK	\N	\N
3568360	1144	1995-06-30	PRIJEM	\N	65	14587	UROK	\N	\N
3568361	1144	1995-07-31	PRIJEM	\N	63	15760	UROK	\N	\N
3568362	1144	1995-08-31	PRIJEM	\N	68	16939	UROK	\N	\N
3568363	1144	1995-09-30	PRIJEM	\N	72	17192	UROK	\N	\N
3568364	1144	1995-10-31	PRIJEM	\N	73	17355	UROK	\N	\N
3568365	1144	1995-11-30	PRIJEM	\N	75	18540	UROK	\N	\N
3568366	1144	1995-12-31	PRIJEM	\N	77	17898	UROK	\N	\N
3568367	1144	1996-01-31	PRIJEM	\N	70	14338	UROK	\N	\N
3568368	1144	1996-02-29	PRIJEM	\N	62	15510	UROK	\N	\N
3568369	1144	1996-03-31	PRIJEM	\N	66	16177	UROK	\N	\N
3568370	1144	1996-04-30	PRIJEM	\N	69	16396	UROK	\N	\N
3568371	1144	1996-05-31	PRIJEM	\N	71	17577	UROK	\N	\N
3568372	1144	1996-06-30	PRIJEM	\N	75	18763	UROK	\N	\N
3568373	1144	1996-07-31	PRIJEM	\N	73	17056	UROK	\N	\N
3568374	1144	1996-08-31	PRIJEM	\N	68	16035	UROK	\N	\N
3568375	1144	1996-09-30	PRIJEM	\N	68	16213	UROK	\N	\N
3568376	1144	1996-10-31	PRIJEM	\N	70	17393	UROK	\N	\N
3568377	1144	1996-11-30	PRIJEM	\N	74	18578	UROK	\N	\N
3568378	1144	1996-12-31	PRIJEM	\N	75	16763	UROK	\N	\N
3568379	1144	1997-01-31	PRIJEM	\N	68	15121	UROK	\N	\N
3568380	1144	1997-02-28	PRIJEM	\N	65	16296	UROK	\N	\N
3568381	1144	1997-03-31	PRIJEM	\N	70	17476	UROK	\N	\N
3568382	1144	1997-04-30	PRIJEM	\N	75	18661	UROK	\N	\N
3568383	1144	1997-05-31	PRIJEM	\N	80	19851	UROK	\N	\N
3568384	1144	1997-06-30	PRIJEM	\N	84	21046	UROK	\N	\N
3568385	1144	1997-07-31	PRIJEM	\N	89	22245	UROK	\N	\N
3568386	1144	1997-08-31	PRIJEM	\N	94	22460	UROK	\N	\N
3568387	1144	1997-09-30	PRIJEM	\N	92	22583	UROK	\N	\N
3568388	1144	1997-10-31	PRIJEM	\N	96	23788	UROK	\N	\N
3568389	1144	1997-11-30	PRIJEM	\N	99	23678	UROK	\N	\N
3568390	1144	1997-12-31	PRIJEM	\N	98	23447	UROK	\N	\N
3568391	1144	1998-01-31	PRIJEM	\N	95	19972	UROK	\N	\N
3568392	1144	1998-02-28	PRIJEM	\N	84	21167	UROK	\N	\N
3568393	1144	1998-03-31	PRIJEM	\N	89	22367	UROK	\N	\N
3568394	1144	1998-04-30	PRIJEM	\N	94	23571	UROK	\N	\N
3568395	1144	1998-05-31	PRIJEM	\N	99	24781	UROK	\N	\N
3568396	1144	1998-06-30	PRIJEM	\N	101	21612	UROK	\N	\N
3568397	1144	1998-07-31	PRIJEM	\N	91	22814	UROK	\N	\N
3568398	1144	1998-08-31	PRIJEM	\N	94	22968	UROK	\N	\N
3568399	1144	1998-09-30	PRIJEM	\N	96	22774	UROK	\N	\N
3568400	1144	1998-10-31	PRIJEM	\N	95	23680	UROK	\N	\N
3568401	1144	1998-11-30	PRIJEM	\N	99	24889	UROK	\N	\N
3568402	1144	1998-12-31	PRIJEM	\N	103	24303	UROK	\N	\N
3568403	1145	1993-07-31	PRIJEM	\N	10	3831	UROK	\N	\N
3568404	1145	1993-08-31	PRIJEM	\N	16	6768	UROK	\N	\N
3568405	1145	1993-09-30	PRIJEM	\N	16	9705	UROK	\N	\N
3568406	1145	1993-10-31	PRIJEM	\N	16	12642	UROK	\N	\N
3568407	1145	1993-11-30	PRIJEM	\N	18	15581	UROK	\N	\N
3568408	1145	1993-12-31	PRIJEM	\N	66	16306	UROK	\N	\N
3568409	1145	1994-01-31	PRIJEM	\N	57	12523	UROK	\N	\N
3568410	1145	1994-02-28	PRIJEM	\N	54	13536	UROK	\N	\N
3568411	1145	1994-03-31	PRIJEM	\N	58	14162	UROK	\N	\N
3568412	1145	1994-04-30	PRIJEM	\N	61	15183	UROK	\N	\N
3568413	1145	1994-05-31	PRIJEM	\N	65	16207	UROK	\N	\N
3568414	1145	1994-06-30	PRIJEM	\N	67	16243	UROK	\N	\N
3568415	1145	1994-07-31	PRIJEM	\N	67	15860	UROK	\N	\N
3568416	1145	1994-08-31	PRIJEM	\N	68	16887	UROK	\N	\N
3568417	1145	1994-09-30	PRIJEM	\N	72	17919	UROK	\N	\N
3568418	1145	1994-10-31	PRIJEM	\N	76	18954	UROK	\N	\N
3568419	1145	1994-11-30	PRIJEM	\N	81	19994	UROK	\N	\N
3568420	1145	1994-12-31	PRIJEM	\N	85	20828	UROK	\N	\N
3568421	1145	1995-01-31	PRIJEM	\N	75	16853	UROK	\N	\N
3568422	1145	1995-02-28	PRIJEM	\N	67	16830	UROK	\N	\N
3568423	1145	1995-03-31	PRIJEM	\N	66	16415	UROK	\N	\N
3568424	1145	1995-04-30	PRIJEM	\N	70	17445	UROK	\N	\N
3568425	1145	1995-05-31	PRIJEM	\N	72	17516	UROK	\N	\N
3568426	1145	1995-06-30	PRIJEM	\N	71	14496	UROK	\N	\N
3568427	1145	1995-07-31	PRIJEM	\N	62	15518	UROK	\N	\N
3568428	1145	1995-08-31	PRIJEM	\N	66	16543	UROK	\N	\N
3568429	1145	1995-09-30	PRIJEM	\N	70	17573	UROK	\N	\N
3568430	1145	1995-10-31	PRIJEM	\N	75	18607	UROK	\N	\N
3568431	1145	1995-11-30	PRIJEM	\N	79	19646	UROK	\N	\N
3568432	1145	1995-12-31	PRIJEM	\N	81	19636	UROK	\N	\N
3568433	1145	1996-01-31	PRIJEM	\N	69	15654	UROK	\N	\N
3568434	1145	1996-02-29	PRIJEM	\N	67	16680	UROK	\N	\N
3568435	1145	1996-03-31	PRIJEM	\N	68	16867	UROK	\N	\N
3568436	1145	1996-04-30	PRIJEM	\N	70	16727	UROK	\N	\N
3568437	1145	1996-05-31	PRIJEM	\N	70	16286	UROK	\N	\N
3568438	1145	1996-06-30	PRIJEM	\N	69	17314	UROK	\N	\N
3568439	1145	1996-07-31	PRIJEM	\N	72	17716	UROK	\N	\N
3568440	1145	1996-08-31	PRIJEM	\N	75	18751	UROK	\N	\N
3568441	1145	1996-09-30	PRIJEM	\N	79	19789	UROK	\N	\N
3568442	1145	1996-10-31	PRIJEM	\N	84	20832	UROK	\N	\N
3568443	1145	1996-11-30	PRIJEM	\N	82	19574	UROK	\N	\N
3568444	1145	1996-12-31	PRIJEM	\N	75	17848	UROK	\N	\N
3568445	1145	1997-01-31	PRIJEM	\N	67	15935	UROK	\N	\N
3568446	1145	1997-02-28	PRIJEM	\N	67	16961	UROK	\N	\N
3568447	1145	1997-03-31	PRIJEM	\N	72	17992	UROK	\N	\N
3568448	1145	1997-04-30	PRIJEM	\N	76	19027	UROK	\N	\N
3568449	1145	1997-05-31	PRIJEM	\N	80	20067	UROK	\N	\N
3568450	1145	1997-06-30	PRIJEM	\N	84	21111	UROK	\N	\N
3568451	1145	1997-07-31	PRIJEM	\N	89	22159	UROK	\N	\N
3568452	1145	1997-08-31	PRIJEM	\N	93	23211	UROK	\N	\N
3568453	1145	1997-09-30	PRIJEM	\N	95	23695	UROK	\N	\N
3568454	1145	1997-10-31	PRIJEM	\N	99	24754	UROK	\N	\N
3568455	1145	1997-11-30	PRIJEM	\N	103	23056	UROK	\N	\N
3568456	1145	1997-12-31	PRIJEM	\N	95	23540	UROK	\N	\N
3568457	1145	1998-01-31	PRIJEM	\N	87	20777	UROK	\N	\N
3568458	1145	1998-02-28	PRIJEM	\N	87	21823	UROK	\N	\N
3568459	1145	1998-03-31	PRIJEM	\N	91	22874	UROK	\N	\N
3568460	1145	1998-04-30	PRIJEM	\N	95	23928	UROK	\N	\N
3568461	1145	1998-05-31	PRIJEM	\N	100	24988	UROK	\N	\N
3568462	1145	1998-06-30	PRIJEM	\N	102	23619	UROK	\N	\N
3568463	1145	1998-07-31	PRIJEM	\N	97	23776	UROK	\N	\N
3568464	1145	1998-08-31	PRIJEM	\N	99	24834	UROK	\N	\N
3568465	1145	1998-09-30	PRIJEM	\N	103	25897	UROK	\N	\N
3568466	1145	1998-10-31	PRIJEM	\N	105	25821	UROK	\N	\N
3568467	1145	1998-11-30	PRIJEM	\N	107	26887	UROK	\N	\N
3568468	1145	1998-12-31	PRIJEM	\N	109	27086	UROK	\N	\N
3568469	1146	1993-10-31	PRIJEM	\N	64	23889	UROK	\N	\N
3568470	1146	1993-11-30	PRIJEM	\N	127	33841	UROK	\N	\N
3568471	1146	1993-12-31	PRIJEM	\N	171	44800	UROK	\N	\N
3568472	1146	1994-01-31	PRIJEM	\N	187	45012	UROK	\N	\N
3568473	1146	1994-02-28	PRIJEM	\N	167	37222	UROK	\N	\N
3568474	1146	1994-03-31	PRIJEM	\N	152	35763	UROK	\N	\N
3568475	1146	1994-04-30	PRIJEM	\N	149	35202	UROK	\N	\N
3568476	1146	1994-05-31	PRIJEM	\N	150	35740	UROK	\N	\N
3568477	1146	1994-06-30	PRIJEM	\N	152	21805	UROK	\N	\N
3568478	1146	1994-07-31	PRIJEM	\N	112	29186	UROK	\N	\N
3568479	1146	1994-08-31	PRIJEM	\N	139	33815	UROK	\N	\N
3568480	1146	1994-09-30	PRIJEM	\N	159	38263	UROK	\N	\N
3568481	1146	1994-10-31	PRIJEM	\N	185	42438	UROK	\N	\N
3568482	1146	1994-11-30	PRIJEM	\N	214	50961	UROK	\N	\N
3568483	1146	1994-12-31	PRIJEM	\N	262	63915	UROK	\N	\N
3568484	1146	1995-01-31	PRIJEM	\N	217	38001	UROK	\N	\N
3568485	1146	1995-02-28	PRIJEM	\N	204	50995	UROK	\N	\N
3568486	1146	1995-03-31	PRIJEM	\N	236	57320	UROK	\N	\N
3568487	1146	1995-04-30	PRIJEM	\N	262	63371	UROK	\N	\N
3568488	1146	1995-05-31	PRIJEM	\N	268	63929	UROK	\N	\N
3568489	1146	1995-06-30	PRIJEM	\N	301	75562	UROK	\N	\N
3568490	1146	1995-07-31	PRIJEM	\N	295	67227	UROK	\N	\N
3568491	1146	1995-08-31	PRIJEM	\N	282	67198	UROK	\N	\N
3568492	1146	1995-09-30	PRIJEM	\N	291	69778	UROK	\N	\N
3568493	1146	1995-10-31	PRIJEM	\N	288	67496	UROK	\N	\N
3568494	1146	1995-11-30	PRIJEM	\N	246	59371	UROK	\N	\N
3568495	1146	1995-12-31	PRIJEM	\N	298	73802	UROK	\N	\N
3568496	1146	1996-01-31	PRIJEM	\N	252	39623	UROK	\N	\N
3568497	1146	1996-02-29	PRIJEM	\N	208	56721	UROK	\N	\N
3568498	1146	1996-03-31	PRIJEM	\N	235	46385	UROK	\N	\N
3568499	1146	1996-04-30	PRIJEM	\N	233	50607	UROK	\N	\N
3568500	1146	1996-05-31	PRIJEM	\N	251	56247	UROK	\N	\N
3568501	1146	1996-06-30	PRIJEM	\N	294	61133	UROK	\N	\N
3568502	1146	1996-07-31	PRIJEM	\N	276	56839	UROK	\N	\N
3568503	1146	1996-08-31	PRIJEM	\N	273	61601	UROK	\N	\N
3568504	1146	1996-09-30	PRIJEM	\N	288	61178	UROK	\N	\N
3568505	1146	1996-10-31	PRIJEM	\N	286	60153	UROK	\N	\N
3568506	1146	1996-11-30	PRIJEM	\N	277	58019	UROK	\N	\N
3568507	1146	1996-12-31	PRIJEM	\N	294	63706	UROK	\N	\N
3568508	1146	1997-01-31	PRIJEM	\N	285	52640	UROK	\N	\N
3568509	1146	1997-02-28	PRIJEM	\N	248	56778	UROK	\N	\N
3568510	1146	1997-03-31	PRIJEM	\N	261	58789	UROK	\N	\N
3568511	1146	1997-04-30	PRIJEM	\N	271	60729	UROK	\N	\N
3568512	1146	1997-05-31	PRIJEM	\N	276	59294	UROK	\N	\N
3568513	1146	1997-06-30	PRIJEM	\N	221	42707	UROK	\N	\N
3568514	1146	1997-07-31	PRIJEM	\N	214	54910	UROK	\N	\N
3568515	1146	1997-08-31	PRIJEM	\N	259	63259	UROK	\N	\N
3568516	1146	1997-09-30	PRIJEM	\N	290	69938	UROK	\N	\N
3568517	1146	1997-10-31	PRIJEM	\N	314	73841	UROK	\N	\N
3568518	1146	1997-11-30	PRIJEM	\N	327	76958	UROK	\N	\N
3568519	1146	1997-12-31	PRIJEM	\N	367	87877	UROK	\N	\N
3568520	1146	1998-01-31	PRIJEM	\N	365	66631	UROK	\N	\N
3568521	1146	1998-02-28	PRIJEM	\N	298	73418	UROK	\N	\N
3568522	1146	1998-03-31	PRIJEM	\N	327	78235	UROK	\N	\N
3568523	1146	1998-04-30	PRIJEM	\N	348	84472	UROK	\N	\N
3568524	1146	1998-05-31	PRIJEM	\N	369	88130	UROK	\N	\N
3568525	1146	1998-06-30	PRIJEM	\N	323	46686	UROK	\N	\N
3568526	1146	1998-07-31	PRIJEM	\N	255	74330	UROK	\N	\N
3568527	1146	1998-08-31	PRIJEM	\N	349	91168	UROK	\N	\N
3568528	1146	1998-09-30	PRIJEM	\N	394	96352	UROK	\N	\N
3568529	1146	1998-10-31	PRIJEM	\N	412	99953	UROK	\N	\N
3568530	1146	1998-11-30	PRIJEM	\N	382	86424	UROK	\N	\N
3568531	1146	1998-12-31	PRIJEM	\N	321	68038	UROK	\N	\N
3568598	1151	1995-07-31	PRIJEM	\N	31	25546	UROK	\N	\N
3568599	1151	1995-08-31	PRIJEM	\N	122	37083	UROK	\N	\N
3568600	1151	1995-09-30	PRIJEM	\N	162	42659	UROK	\N	\N
3568601	1151	1995-10-31	PRIJEM	\N	187	49562	UROK	\N	\N
3568602	1151	1995-11-30	PRIJEM	\N	210	52086	UROK	\N	\N
3568603	1151	1995-12-31	PRIJEM	\N	253	56984	UROK	\N	\N
3568604	1151	1996-01-31	PRIJEM	\N	206	35227	UROK	\N	\N
3568605	1151	1996-02-29	PRIJEM	\N	174	42638	UROK	\N	\N
3568606	1151	1996-03-31	PRIJEM	\N	194	42369	UROK	\N	\N
3568607	1151	1996-04-30	PRIJEM	\N	196	46003	UROK	\N	\N
3568608	1151	1996-05-31	PRIJEM	\N	212	49752	UROK	\N	\N
3568609	1151	1996-06-30	PRIJEM	\N	231	41327	UROK	\N	\N
3568610	1151	1996-07-31	PRIJEM	\N	190	45255	UROK	\N	\N
3568611	1151	1996-08-31	PRIJEM	\N	205	49398	UROK	\N	\N
3568612	1151	1996-09-30	PRIJEM	\N	218	54053	UROK	\N	\N
3568613	1151	1996-10-31	PRIJEM	\N	236	56727	UROK	\N	\N
3568614	1151	1996-11-30	PRIJEM	\N	242	58306	UROK	\N	\N
3568615	1151	1996-12-31	PRIJEM	\N	259	64209	UROK	\N	\N
3568616	1151	1997-01-31	PRIJEM	\N	226	46372	UROK	\N	\N
3568617	1151	1997-02-28	PRIJEM	\N	232	63642	UROK	\N	\N
3568618	1151	1997-03-31	PRIJEM	\N	260	60839	UROK	\N	\N
3568619	1151	1997-04-30	PRIJEM	\N	240	55617	UROK	\N	\N
3568620	1151	1997-05-31	PRIJEM	\N	227	54981	UROK	\N	\N
3568621	1151	1997-06-30	PRIJEM	\N	275	73500	UROK	\N	\N
3568622	1151	1997-07-31	PRIJEM	\N	318	79656	UROK	\N	\N
3568623	1151	1997-08-31	PRIJEM	\N	325	75318	UROK	\N	\N
3568624	1151	1997-09-30	PRIJEM	\N	307	77063	UROK	\N	\N
3568625	1151	1997-10-31	PRIJEM	\N	320	80520	UROK	\N	\N
3568626	1151	1997-11-30	PRIJEM	\N	334	84692	UROK	\N	\N
3568627	1151	1997-12-31	PRIJEM	\N	352	88488	UROK	\N	\N
3568628	1151	1998-01-31	PRIJEM	\N	333	77859	UROK	\N	\N
3568629	1151	1998-02-28	PRIJEM	\N	341	89037	UROK	\N	\N
3568630	1151	1998-03-31	PRIJEM	\N	375	93849	UROK	\N	\N
3568631	1151	1998-04-30	PRIJEM	\N	379	95466	UROK	\N	\N
3568632	1151	1998-05-31	PRIJEM	\N	388	97291	UROK	\N	\N
3568633	1151	1998-06-30	PRIJEM	\N	378	101113	UROK	\N	\N
3568634	1151	1998-07-31	PRIJEM	\N	415	104265	UROK	\N	\N
3568635	1151	1998-08-31	PRIJEM	\N	419	104422	UROK	\N	\N
3568636	1151	1998-09-30	PRIJEM	\N	430	108189	UROK	\N	\N
3568637	1151	1998-10-31	PRIJEM	\N	428	106254	UROK	\N	\N
3568638	1151	1998-11-30	PRIJEM	\N	422	104913	UROK	\N	\N
3568639	1151	1998-12-31	PRIJEM	\N	437	97894	UROK	\N	\N
3568640	1152	1993-09-30	PRIJEM	\N	38	15047	UROK	\N	\N
3568641	1152	1993-10-31	PRIJEM	\N	65	16190	UROK	\N	\N
3568642	1152	1993-11-30	PRIJEM	\N	70	17339	UROK	\N	\N
3568643	1152	1993-12-31	PRIJEM	\N	75	18192	UROK	\N	\N
3568644	1152	1994-01-31	PRIJEM	\N	75	17065	UROK	\N	\N
3568645	1152	1994-02-28	PRIJEM	\N	73	17467	UROK	\N	\N
3568646	1152	1994-03-31	PRIJEM	\N	77	18172	UROK	\N	\N
3568647	1152	1994-04-30	PRIJEM	\N	78	19329	UROK	\N	\N
3568648	1152	1994-05-31	PRIJEM	\N	83	20491	UROK	\N	\N
3568649	1152	1994-06-30	PRIJEM	\N	88	20957	UROK	\N	\N
3568650	1152	1994-07-31	PRIJEM	\N	83	19318	UROK	\N	\N
3568651	1152	1994-08-31	PRIJEM	\N	82	18838	UROK	\N	\N
3568652	1152	1994-09-30	PRIJEM	\N	79	18975	UROK	\N	\N
3568653	1152	1994-10-31	PRIJEM	\N	84	19938	UROK	\N	\N
3568654	1152	1994-11-30	PRIJEM	\N	86	21102	UROK	\N	\N
3568655	1152	1994-12-31	PRIJEM	\N	92	21612	UROK	\N	\N
3568656	1152	1995-01-31	PRIJEM	\N	87	19347	UROK	\N	\N
3568657	1152	1995-02-28	PRIJEM	\N	83	20508	UROK	\N	\N
3568658	1152	1995-03-31	PRIJEM	\N	88	21674	UROK	\N	\N
3568659	1152	1995-04-30	PRIJEM	\N	92	22395	UROK	\N	\N
3568660	1152	1995-05-31	PRIJEM	\N	90	20064	UROK	\N	\N
3568661	1152	1995-06-30	PRIJEM	\N	71	14033	UROK	\N	\N
3568662	1152	1995-07-31	PRIJEM	\N	62	14574	UROK	\N	\N
3568663	1152	1995-08-31	PRIJEM	\N	63	15715	UROK	\N	\N
3568664	1152	1995-09-30	PRIJEM	\N	70	16564	UROK	\N	\N
3568665	1152	1995-10-31	PRIJEM	\N	67	15009	UROK	\N	\N
3568666	1152	1995-11-30	PRIJEM	\N	64	14851	UROK	\N	\N
3568667	1152	1995-12-31	PRIJEM	\N	61	14141	UROK	\N	\N
3568668	1152	1996-01-31	PRIJEM	\N	54	12493	UROK	\N	\N
3568669	1152	1996-02-29	PRIJEM	\N	54	13626	UROK	\N	\N
3568670	1152	1996-03-31	PRIJEM	\N	57	14162	UROK	\N	\N
3568671	1152	1996-04-30	PRIJEM	\N	61	15301	UROK	\N	\N
3568672	1152	1996-05-31	PRIJEM	\N	69	16178	UROK	\N	\N
3568673	1152	1996-06-30	PRIJEM	\N	69	17326	UROK	\N	\N
3568674	1152	1996-07-31	PRIJEM	\N	74	17978	UROK	\N	\N
3568675	1152	1996-08-31	PRIJEM	\N	75	16532	UROK	\N	\N
3568676	1152	1996-09-30	PRIJEM	\N	69	15579	UROK	\N	\N
3568677	1152	1996-10-31	PRIJEM	\N	65	14723	UROK	\N	\N
3568678	1152	1996-11-30	PRIJEM	\N	62	14564	UROK	\N	\N
3568679	1152	1996-12-31	PRIJEM	\N	61	14983	UROK	\N	\N
3568680	1152	1997-01-31	PRIJEM	\N	63	14234	UROK	\N	\N
3568681	1152	1997-02-28	PRIJEM	\N	60	14072	UROK	\N	\N
3568682	1152	1997-03-31	PRIJEM	\N	60	15211	UROK	\N	\N
3568683	1152	1997-04-30	PRIJEM	\N	62	13751	UROK	\N	\N
3568684	1152	1997-05-31	PRIJEM	\N	59	14889	UROK	\N	\N
3568685	1152	1997-06-30	PRIJEM	\N	64	16031	UROK	\N	\N
3568686	1152	1997-07-31	PRIJEM	\N	68	17027	UROK	\N	\N
3568687	1152	1997-08-31	PRIJEM	\N	67	14172	UROK	\N	\N
3568688	1152	1997-09-30	PRIJEM	\N	60	15011	UROK	\N	\N
3568689	1152	1997-10-31	PRIJEM	\N	59	13149	UROK	\N	\N
3568690	1152	1997-11-30	PRIJEM	\N	56	14283	UROK	\N	\N
3568691	1152	1997-12-31	PRIJEM	\N	60	15032	UROK	\N	\N
3568692	1152	1998-01-31	PRIJEM	\N	62	14642	UROK	\N	\N
3568693	1152	1998-02-28	PRIJEM	\N	57	12878	UROK	\N	\N
3568694	1152	1998-03-31	PRIJEM	\N	54	13710	UROK	\N	\N
3568695	1152	1998-04-30	PRIJEM	\N	58	14847	UROK	\N	\N
3568696	1152	1998-05-31	PRIJEM	\N	61	15057	UROK	\N	\N
3568697	1152	1998-06-30	PRIJEM	\N	60	14215	UROK	\N	\N
3568698	1152	1998-07-31	PRIJEM	\N	60	15353	UROK	\N	\N
3568699	1152	1998-08-31	PRIJEM	\N	65	16496	UROK	\N	\N
3568700	1152	1998-09-30	PRIJEM	\N	69	17644	UROK	\N	\N
3568701	1152	1998-10-31	PRIJEM	\N	74	18796	UROK	\N	\N
3568702	1152	1998-11-30	PRIJEM	\N	79	19954	UROK	\N	\N
3568703	1152	1998-12-31	PRIJEM	\N	84	20725	UROK	\N	\N
3568704	1153	1994-01-31	PRIJEM	\N	9	16521	UROK	\N	\N
3568705	1153	1994-02-28	PRIJEM	\N	72	26205	UROK	\N	\N
3568706	1153	1994-03-31	PRIJEM	\N	111	30427	UROK	\N	\N
3568707	1153	1994-04-30	PRIJEM	\N	127	32566	UROK	\N	\N
3568708	1153	1994-05-31	PRIJEM	\N	153	31531	UROK	\N	\N
3568709	1153	1994-06-30	PRIJEM	\N	144	30427	UROK	\N	\N
3568710	1153	1994-07-31	PRIJEM	\N	136	29209	UROK	\N	\N
3568711	1153	1994-08-31	PRIJEM	\N	131	29787	UROK	\N	\N
3568712	1153	1994-09-30	PRIJEM	\N	133	30966	UROK	\N	\N
3568713	1153	1994-10-31	PRIJEM	\N	120	27333	UROK	\N	\N
3568714	1153	1994-11-30	PRIJEM	\N	120	26199	UROK	\N	\N
3568715	1153	1994-12-31	PRIJEM	\N	119	27071	UROK	\N	\N
3568716	1153	1995-01-31	PRIJEM	\N	98	23115	UROK	\N	\N
3568717	1153	1995-02-28	PRIJEM	\N	96	24458	UROK	\N	\N
3568718	1153	1995-03-31	PRIJEM	\N	109	23713	UROK	\N	\N
3568719	1153	1995-04-30	PRIJEM	\N	107	24866	UROK	\N	\N
3568720	1153	1995-05-31	PRIJEM	\N	97	21310	UROK	\N	\N
3568721	1153	1995-06-30	PRIJEM	\N	96	15758	UROK	\N	\N
3568722	1153	1995-07-31	PRIJEM	\N	78	20882	UROK	\N	\N
3568723	1153	1995-08-31	PRIJEM	\N	96	24025	UROK	\N	\N
3568724	1153	1995-09-30	PRIJEM	\N	107	26278	UROK	\N	\N
3568725	1153	1995-10-31	PRIJEM	\N	112	25837	UROK	\N	\N
3568726	1153	1995-11-30	PRIJEM	\N	113	25096	UROK	\N	\N
3568727	1153	1995-12-31	PRIJEM	\N	113	28662	UROK	\N	\N
3568728	1153	1996-01-31	PRIJEM	\N	98	17606	UROK	\N	\N
3568729	1153	1996-02-29	PRIJEM	\N	76	18528	UROK	\N	\N
3568730	1153	1996-03-31	PRIJEM	\N	81	19455	UROK	\N	\N
3568731	1153	1996-04-30	PRIJEM	\N	88	22489	UROK	\N	\N
3568732	1153	1996-05-31	PRIJEM	\N	95	22831	UROK	\N	\N
3568733	1153	1996-06-30	PRIJEM	\N	107	27991	UROK	\N	\N
3568734	1153	1996-07-31	PRIJEM	\N	110	26847	UROK	\N	\N
3568735	1153	1996-08-31	PRIJEM	\N	102	23196	UROK	\N	\N
3568736	1153	1996-09-30	PRIJEM	\N	91	21134	UROK	\N	\N
3568737	1153	1996-10-31	PRIJEM	\N	86	21166	UROK	\N	\N
3568738	1153	1996-11-30	PRIJEM	\N	95	25008	UROK	\N	\N
3568739	1153	1996-12-31	PRIJEM	\N	119	32879	UROK	\N	\N
3568740	1153	1997-01-31	PRIJEM	\N	101	19726	UROK	\N	\N
3568741	1153	1997-02-28	PRIJEM	\N	94	25866	UROK	\N	\N
3568742	1153	1997-03-31	PRIJEM	\N	118	31031	UROK	\N	\N
3568743	1153	1997-04-30	PRIJEM	\N	114	26892	UROK	\N	\N
3568744	1153	1997-05-31	PRIJEM	\N	116	29554	UROK	\N	\N
3568745	1153	1997-06-30	PRIJEM	\N	121	32027	UROK	\N	\N
3568746	1153	1997-07-31	PRIJEM	\N	146	38219	UROK	\N	\N
3568747	1153	1997-08-31	PRIJEM	\N	101	19867	UROK	\N	\N
3568748	1153	1997-09-30	PRIJEM	\N	95	26008	UROK	\N	\N
3568749	1153	1997-10-31	PRIJEM	\N	120	30974	UROK	\N	\N
3568750	1153	1997-11-30	PRIJEM	\N	137	33457	UROK	\N	\N
3568751	1153	1997-12-31	PRIJEM	\N	165	41675	UROK	\N	\N
3568752	1153	1998-01-31	PRIJEM	\N	140	27061	UROK	\N	\N
3568753	1153	1998-02-28	PRIJEM	\N	123	33231	UROK	\N	\N
3568754	1153	1998-03-31	PRIJEM	\N	150	39427	UROK	\N	\N
3568755	1153	1998-04-30	PRIJEM	\N	176	45649	UROK	\N	\N
3568756	1153	1998-05-31	PRIJEM	\N	202	51897	UROK	\N	\N
3568757	1153	1998-06-30	PRIJEM	\N	237	60787	UROK	\N	\N
3568758	1153	1998-07-31	PRIJEM	\N	139	22772	UROK	\N	\N
3568759	1153	1998-08-31	PRIJEM	\N	106	28924	UROK	\N	\N
3568760	1153	1998-09-30	PRIJEM	\N	131	35102	UROK	\N	\N
3568761	1153	1998-10-31	PRIJEM	\N	150	39199	UROK	\N	\N
3568762	1153	1998-11-30	PRIJEM	\N	174	45419	UROK	\N	\N
3568763	1153	1998-12-31	PRIJEM	\N	214	56185	UROK	\N	\N
3568764	1154	1997-09-30	PRIJEM	\N	167	65267	UROK	\N	\N
3568765	1154	1997-10-31	PRIJEM	\N	301	41610	UROK	\N	\N
3568766	1154	1997-11-30	PRIJEM	\N	176	38057	UROK	\N	\N
3568767	1154	1997-12-31	PRIJEM	\N	196	42289	UROK	\N	\N
3568768	1154	1998-01-31	PRIJEM	\N	257	44354	UROK	\N	\N
3568769	1154	1998-02-28	PRIJEM	\N	237	58312	UROK	\N	\N
3568770	1154	1998-03-31	PRIJEM	\N	258	49039	UROK	\N	\N
3568771	1154	1998-04-30	PRIJEM	\N	322	60999	UROK	\N	\N
3568772	1154	1998-05-31	PRIJEM	\N	255	50178	UROK	\N	\N
3568773	1154	1998-06-30	PRIJEM	\N	274	79064	UROK	\N	\N
3568774	1154	1998-07-31	PRIJEM	\N	323	91999	UROK	\N	\N
3568775	1154	1998-08-31	PRIJEM	\N	362	49898	UROK	\N	\N
3568776	1154	1998-09-30	PRIJEM	\N	305	58215	UROK	\N	\N
3568777	1154	1998-10-31	PRIJEM	\N	310	62775	UROK	\N	\N
3568778	1154	1998-11-30	PRIJEM	\N	269	55655	UROK	\N	\N
3568779	1154	1998-12-31	PRIJEM	\N	221	52729	UROK	\N	\N
3568780	1155	1996-10-31	PRIJEM	\N	19	7078	UROK	\N	\N
3568781	1155	1996-11-30	PRIJEM	\N	29	13066	UROK	\N	\N
3568782	1155	1996-12-31	PRIJEM	\N	29	19055	UROK	\N	\N
3568783	1155	1997-01-31	PRIJEM	\N	29	25043	UROK	\N	\N
3568784	1155	1997-02-28	PRIJEM	\N	82	27984	UROK	\N	\N
3568785	1155	1997-03-31	PRIJEM	\N	111	28080	UROK	\N	\N
3568786	1155	1997-04-30	PRIJEM	\N	108	27372	UROK	\N	\N
3568787	1155	1997-05-31	PRIJEM	\N	112	28368	UROK	\N	\N
3568788	1155	1997-06-30	PRIJEM	\N	101	26054	UROK	\N	\N
3568789	1155	1997-07-31	PRIJEM	\N	105	26643	UROK	\N	\N
3568790	1155	1997-08-31	PRIJEM	\N	114	25342	UROK	\N	\N
3568791	1155	1997-09-30	PRIJEM	\N	115	28041	UROK	\N	\N
3568792	1155	1997-10-31	PRIJEM	\N	126	29651	UROK	\N	\N
3568793	1155	1997-11-30	PRIJEM	\N	133	32869	UROK	\N	\N
3568794	1155	1997-12-31	PRIJEM	\N	142	31015	UROK	\N	\N
3568795	1155	1998-01-31	PRIJEM	\N	115	24125	UROK	\N	\N
3568796	1155	1998-02-28	PRIJEM	\N	109	26818	UROK	\N	\N
3568797	1155	1998-03-31	PRIJEM	\N	119	25522	UROK	\N	\N
3568798	1155	1998-04-30	PRIJEM	\N	113	24619	UROK	\N	\N
3568799	1155	1998-05-31	PRIJEM	\N	109	23513	UROK	\N	\N
3568800	1155	1998-06-30	PRIJEM	\N	79	15426	UROK	\N	\N
3568801	1155	1998-07-31	PRIJEM	\N	74	19185	UROK	\N	\N
3568802	1155	1998-08-31	PRIJEM	\N	87	21916	UROK	\N	\N
3568803	1155	1998-09-30	PRIJEM	\N	98	23198	UROK	\N	\N
3568804	1155	1998-10-31	PRIJEM	\N	98	19081	UROK	\N	\N
3568805	1155	1998-11-30	PRIJEM	\N	79	14144	UROK	\N	\N
3568806	1155	1998-12-31	PRIJEM	\N	68	17897	UROK	\N	\N
3568807	1158	1994-04-30	PRIJEM	\N	18	6558	UROK	\N	\N
3568808	1158	1994-05-31	PRIJEM	\N	27	12925	UROK	\N	\N
3568809	1158	1994-06-30	PRIJEM	\N	27	19293	UROK	\N	\N
3568810	1158	1994-07-31	PRIJEM	\N	27	25660	UROK	\N	\N
3568811	1158	1994-08-31	PRIJEM	\N	97	31197	UROK	\N	\N
3568812	1158	1994-09-30	PRIJEM	\N	133	32384	UROK	\N	\N
3568813	1158	1994-10-31	PRIJEM	\N	138	28216	UROK	\N	\N
3568814	1158	1994-11-30	PRIJEM	\N	122	27872	UROK	\N	\N
3568815	1158	1994-12-31	PRIJEM	\N	127	30353	UROK	\N	\N
3568816	1158	1995-01-31	PRIJEM	\N	125	22423	UROK	\N	\N
3568817	1158	1995-02-28	PRIJEM	\N	92	21709	UROK	\N	\N
3568818	1158	1995-03-31	PRIJEM	\N	102	25966	UROK	\N	\N
3568819	1158	1995-04-30	PRIJEM	\N	120	30240	UROK	\N	\N
3568820	1158	1995-05-31	PRIJEM	\N	132	30706	UROK	\N	\N
3568821	1158	1995-06-30	PRIJEM	\N	122	27582	UROK	\N	\N
3568822	1158	1995-07-31	PRIJEM	\N	124	28661	UROK	\N	\N
3568823	1158	1995-08-31	PRIJEM	\N	128	28643	UROK	\N	\N
3568824	1158	1995-09-30	PRIJEM	\N	126	26823	UROK	\N	\N
3568825	1158	1995-10-31	PRIJEM	\N	122	30200	UROK	\N	\N
3568826	1158	1995-11-30	PRIJEM	\N	133	30087	UROK	\N	\N
3568827	1158	1995-12-31	PRIJEM	\N	130	28601	UROK	\N	\N
3568828	1158	1996-01-31	PRIJEM	\N	106	20161	UROK	\N	\N
3568829	1158	1996-02-29	PRIJEM	\N	95	24411	UROK	\N	\N
3568830	1158	1996-03-31	PRIJEM	\N	109	24613	UROK	\N	\N
3568831	1158	1996-04-30	PRIJEM	\N	102	22870	UROK	\N	\N
3568832	1158	1996-05-31	PRIJEM	\N	107	27131	UROK	\N	\N
3568833	1158	1996-06-30	PRIJEM	\N	102	23837	UROK	\N	\N
3568834	1158	1996-07-31	PRIJEM	\N	108	24820	UROK	\N	\N
3568835	1158	1996-08-31	PRIJEM	\N	111	27405	UROK	\N	\N
3568836	1158	1996-09-30	PRIJEM	\N	117	26797	UROK	\N	\N
3568837	1158	1996-10-31	PRIJEM	\N	123	31074	UROK	\N	\N
3568838	1158	1996-11-30	PRIJEM	\N	131	30359	UROK	\N	\N
3568839	1158	1996-12-31	PRIJEM	\N	131	30994	UROK	\N	\N
3568840	1158	1997-01-31	PRIJEM	\N	111	26589	UROK	\N	\N
3568841	1158	1997-02-28	PRIJEM	\N	121	30865	UROK	\N	\N
3568842	1158	1997-03-31	PRIJEM	\N	131	32350	UROK	\N	\N
3568843	1158	1997-04-30	PRIJEM	\N	145	36549	UROK	\N	\N
3568844	1158	1997-05-31	PRIJEM	\N	152	36876	UROK	\N	\N
3568845	1158	1997-06-30	PRIJEM	\N	152	34302	UROK	\N	\N
3568846	1158	1997-07-31	PRIJEM	\N	153	37249	UROK	\N	\N
3568847	1158	1997-08-31	PRIJEM	\N	166	41569	UROK	\N	\N
3568848	1158	1997-09-30	PRIJEM	\N	183	45907	UROK	\N	\N
3568849	1158	1997-10-31	PRIJEM	\N	199	48501	UROK	\N	\N
3568850	1158	1997-11-30	PRIJEM	\N	209	51664	UROK	\N	\N
3568851	1158	1997-12-31	PRIJEM	\N	211	50179	UROK	\N	\N
3568852	1158	1998-01-31	PRIJEM	\N	182	39826	UROK	\N	\N
3568853	1158	1998-02-28	PRIJEM	\N	157	39338	UROK	\N	\N
3568854	1158	1998-03-31	PRIJEM	\N	174	43666	UROK	\N	\N
3568855	1158	1998-04-30	PRIJEM	\N	183	44163	UROK	\N	\N
3568856	1158	1998-05-31	PRIJEM	\N	192	47909	UROK	\N	\N
3568857	1158	1998-06-30	PRIJEM	\N	204	43468	UROK	\N	\N
3568858	1158	1998-07-31	PRIJEM	\N	188	46910	UROK	\N	\N
3568859	1158	1998-08-31	PRIJEM	\N	205	51269	UROK	\N	\N
3568860	1158	1998-09-30	PRIJEM	\N	206	50030	UROK	\N	\N
3568861	1158	1998-10-31	PRIJEM	\N	208	51392	UROK	\N	\N
3568862	1158	1998-11-30	PRIJEM	\N	197	46843	UROK	\N	\N
3568863	1158	1998-12-31	PRIJEM	\N	174	41651	UROK	\N	\N
3568864	1159	1994-03-31	PRIJEM	\N	49	17223	UROK	\N	\N
3568865	1159	1994-04-30	PRIJEM	\N	93	24690	UROK	\N	\N
3568866	1159	1994-05-31	PRIJEM	\N	121	30985	UROK	\N	\N
3568867	1159	1994-06-30	PRIJEM	\N	145	36441	UROK	\N	\N
3568868	1159	1994-07-31	PRIJEM	\N	135	29980	UROK	\N	\N
3568869	1159	1994-08-31	PRIJEM	\N	117	24086	UROK	\N	\N
3568870	1159	1994-09-30	PRIJEM	\N	93	18928	UROK	\N	\N
3568871	1159	1994-10-31	PRIJEM	\N	106	26124	UROK	\N	\N
3568872	1159	1994-11-30	PRIJEM	\N	121	28635	UROK	\N	\N
3568873	1159	1994-12-31	PRIJEM	\N	136	31776	UROK	\N	\N
3568874	1159	1995-01-31	PRIJEM	\N	101	17647	UROK	\N	\N
3568875	1159	1995-02-28	PRIJEM	\N	103	23979	UROK	\N	\N
3568876	1159	1995-03-31	PRIJEM	\N	123	30092	UROK	\N	\N
3568877	1159	1995-04-30	PRIJEM	\N	127	25748	UROK	\N	\N
3568878	1159	1995-05-31	PRIJEM	\N	124	29661	UROK	\N	\N
3568879	1159	1995-06-30	PRIJEM	\N	137	30665	UROK	\N	\N
3568880	1159	1995-07-31	PRIJEM	\N	139	35193	UROK	\N	\N
3568881	1159	1995-08-31	PRIJEM	\N	147	31849	UROK	\N	\N
3568882	1159	1995-09-30	PRIJEM	\N	143	34422	UROK	\N	\N
3568883	1159	1995-10-31	PRIJEM	\N	146	34057	UROK	\N	\N
3568884	1159	1995-11-30	PRIJEM	\N	147	34594	UROK	\N	\N
3568885	1159	1995-12-31	PRIJEM	\N	150	36510	UROK	\N	\N
3568886	1159	1996-01-31	PRIJEM	\N	101	21401	UROK	\N	\N
3568887	1159	1996-02-29	PRIJEM	\N	100	27290	UROK	\N	\N
3568888	1159	1996-03-31	PRIJEM	\N	115	27654	UROK	\N	\N
3568889	1159	1996-04-30	PRIJEM	\N	125	29569	UROK	\N	\N
3568890	1159	1996-05-31	PRIJEM	\N	132	29590	UROK	\N	\N
3568891	1159	1996-06-30	PRIJEM	\N	141	29838	UROK	\N	\N
3568892	1159	1996-07-31	PRIJEM	\N	135	34062	UROK	\N	\N
3568893	1159	1996-08-31	PRIJEM	\N	151	36302	UROK	\N	\N
3568894	1159	1996-09-30	PRIJEM	\N	158	35849	UROK	\N	\N
3568895	1159	1996-10-31	PRIJEM	\N	152	31391	UROK	\N	\N
3568896	1159	1996-11-30	PRIJEM	\N	131	26791	UROK	\N	\N
3568897	1159	1996-12-31	PRIJEM	\N	133	29650	UROK	\N	\N
3568898	1159	1997-01-31	PRIJEM	\N	125	23665	UROK	\N	\N
3568899	1159	1997-02-28	PRIJEM	\N	111	31265	UROK	\N	\N
3568900	1159	1997-03-31	PRIJEM	\N	135	30389	UROK	\N	\N
3568901	1159	1997-04-30	PRIJEM	\N	136	34715	UROK	\N	\N
3568902	1159	1997-05-31	PRIJEM	\N	152	36856	UROK	\N	\N
3568903	1159	1997-06-30	PRIJEM	\N	165	36687	UROK	\N	\N
3568904	1159	1997-07-31	PRIJEM	\N	163	41439	UROK	\N	\N
3568905	1159	1997-08-31	PRIJEM	\N	176	41605	UROK	\N	\N
3568906	1159	1997-09-30	PRIJEM	\N	182	42496	UROK	\N	\N
3568907	1159	1997-10-31	PRIJEM	\N	182	44068	UROK	\N	\N
3568908	1159	1997-11-30	PRIJEM	\N	187	43384	UROK	\N	\N
3568909	1159	1997-12-31	PRIJEM	\N	196	46046	UROK	\N	\N
3568910	1159	1998-01-31	PRIJEM	\N	169	20804	UROK	\N	\N
3568911	1159	1998-02-28	PRIJEM	\N	108	33402	UROK	\N	\N
3568912	1159	1998-03-31	PRIJEM	\N	147	37338	UROK	\N	\N
3568913	1159	1998-04-30	PRIJEM	\N	161	40189	UROK	\N	\N
3568914	1159	1998-05-31	PRIJEM	\N	168	38346	UROK	\N	\N
3568915	1159	1998-06-30	PRIJEM	\N	170	44063	UROK	\N	\N
3568916	1159	1998-07-31	PRIJEM	\N	184	43397	UROK	\N	\N
3568917	1159	1998-08-31	PRIJEM	\N	184	42711	UROK	\N	\N
3568918	1159	1998-09-30	PRIJEM	\N	176	42676	UROK	\N	\N
3568919	1159	1998-10-31	PRIJEM	\N	172	39118	UROK	\N	\N
3568920	1159	1998-11-30	PRIJEM	\N	163	40070	UROK	\N	\N
3568921	1159	1998-12-31	PRIJEM	\N	157	32414	UROK	\N	\N
3568922	1160	1996-08-31	PRIJEM	\N	14	25934	UROK	\N	\N
3568923	1160	1996-09-30	PRIJEM	\N	115	39269	UROK	\N	\N
3568924	1160	1996-10-31	PRIJEM	\N	170	48759	UROK	\N	\N
3568925	1160	1996-11-30	PRIJEM	\N	207	55586	UROK	\N	\N
3568926	1160	1996-12-31	PRIJEM	\N	308	57466	UROK	\N	\N
3568927	1160	1997-01-31	PRIJEM	\N	186	32284	UROK	\N	\N
3568928	1160	1997-02-28	PRIJEM	\N	204	45120	UROK	\N	\N
3568929	1160	1997-03-31	PRIJEM	\N	253	49905	UROK	\N	\N
3568930	1160	1997-04-30	PRIJEM	\N	272	56109	UROK	\N	\N
3568931	1160	1997-05-31	PRIJEM	\N	296	61338	UROK	\N	\N
3568932	1160	1997-06-30	PRIJEM	\N	346	58525	UROK	\N	\N
3568933	1160	1997-07-31	PRIJEM	\N	302	63860	UROK	\N	\N
3568934	1160	1997-08-31	PRIJEM	\N	319	66911	UROK	\N	\N
3568935	1160	1997-09-30	PRIJEM	\N	330	70073	UROK	\N	\N
3568936	1160	1997-10-31	PRIJEM	\N	336	67441	UROK	\N	\N
3568937	1160	1997-11-30	PRIJEM	\N	329	70502	UROK	\N	\N
3568938	1160	1997-12-31	PRIJEM	\N	327	63097	UROK	\N	\N
3568939	1160	1998-01-31	PRIJEM	\N	210	29727	UROK	\N	\N
3568940	1160	1998-02-28	PRIJEM	\N	174	36807	UROK	\N	\N
3568941	1160	1998-03-31	PRIJEM	\N	208	50747	UROK	\N	\N
3568942	1160	1998-04-30	PRIJEM	\N	214	27712	UROK	\N	\N
3568943	1160	1998-05-31	PRIJEM	\N	192	50136	UROK	\N	\N
3568944	1160	1998-06-30	PRIJEM	\N	164	34256	UROK	\N	\N
3568945	1160	1998-07-31	PRIJEM	\N	195	37112	UROK	\N	\N
3568946	1160	1998-08-31	PRIJEM	\N	197	33577	UROK	\N	\N
3568947	1160	1998-09-30	PRIJEM	\N	178	46913	UROK	\N	\N
3568948	1160	1998-10-31	PRIJEM	\N	217	52691	UROK	\N	\N
3568949	1160	1998-11-30	PRIJEM	\N	225	52423	UROK	\N	\N
3568950	1160	1998-12-31	PRIJEM	\N	287	62952	UROK	\N	\N
3568951	1161	1993-05-31	PRIJEM	\N	16	6537	UROK	\N	\N
3568952	1161	1993-06-30	PRIJEM	\N	27	12485	UROK	\N	\N
3568953	1161	1993-07-31	PRIJEM	\N	27	18433	UROK	\N	\N
3568954	1161	1993-08-31	PRIJEM	\N	27	24381	UROK	\N	\N
3568955	1161	1993-09-30	PRIJEM	\N	83	26438	UROK	\N	\N
3568956	1161	1993-10-31	PRIJEM	\N	116	25113	UROK	\N	\N
3568957	1161	1993-11-30	PRIJEM	\N	118	27191	UROK	\N	\N
3568958	1161	1993-12-31	PRIJEM	\N	114	24504	UROK	\N	\N
3568959	1161	1994-01-31	PRIJEM	\N	91	18154	UROK	\N	\N
3568960	1161	1994-02-28	PRIJEM	\N	88	20201	UROK	\N	\N
3568961	1161	1994-03-31	PRIJEM	\N	98	22259	UROK	\N	\N
3568962	1161	1994-04-30	PRIJEM	\N	92	21830	UROK	\N	\N
3568963	1161	1994-05-31	PRIJEM	\N	96	23885	UROK	\N	\N
3568964	1161	1994-06-30	PRIJEM	\N	94	21059	UROK	\N	\N
3568965	1161	1994-07-31	PRIJEM	\N	92	23111	UROK	\N	\N
3568966	1161	1994-08-31	PRIJEM	\N	106	23657	UROK	\N	\N
3568967	1161	1994-09-30	PRIJEM	\N	112	23647	UROK	\N	\N
3568968	1161	1994-10-31	PRIJEM	\N	101	23107	UROK	\N	\N
3568969	1161	1994-11-30	PRIJEM	\N	90	21796	UROK	\N	\N
3568970	1161	1994-12-31	PRIJEM	\N	104	23860	UROK	\N	\N
3568971	1161	1995-01-31	PRIJEM	\N	85	17025	UROK	\N	\N
3568972	1161	1995-02-28	PRIJEM	\N	65	13689	UROK	\N	\N
3568973	1161	1995-03-31	PRIJEM	\N	71	15719	UROK	\N	\N
3568974	1161	1995-04-30	PRIJEM	\N	70	17748	UROK	\N	\N
3568975	1161	1995-05-31	PRIJEM	\N	78	19786	UROK	\N	\N
3568976	1161	1995-06-30	PRIJEM	\N	86	21351	UROK	\N	\N
3568977	1161	1995-07-31	PRIJEM	\N	93	23404	UROK	\N	\N
3568978	1161	1995-08-31	PRIJEM	\N	107	24070	UROK	\N	\N
3568979	1161	1995-09-30	PRIJEM	\N	100	23809	UROK	\N	\N
3568980	1161	1995-10-31	PRIJEM	\N	103	25872	UROK	\N	\N
3568981	1161	1995-11-30	PRIJEM	\N	116	26448	UROK	\N	\N
3568982	1161	1995-12-31	PRIJEM	\N	118	26624	UROK	\N	\N
3568983	1161	1996-01-31	PRIJEM	\N	102	21485	UROK	\N	\N
3568984	1161	1996-02-29	PRIJEM	\N	93	23538	UROK	\N	\N
3568985	1161	1996-03-31	PRIJEM	\N	106	24603	UROK	\N	\N
3568986	1161	1996-04-30	PRIJEM	\N	105	21867	UROK	\N	\N
3568987	1161	1996-05-31	PRIJEM	\N	83	17209	UROK	\N	\N
3568988	1161	1996-06-30	PRIJEM	\N	75	15843	UROK	\N	\N
3568989	1161	1996-07-31	PRIJEM	\N	63	13466	UROK	\N	\N
3568990	1161	1996-08-31	PRIJEM	\N	60	15485	UROK	\N	\N
3568991	1161	1996-09-30	PRIJEM	\N	64	13108	UROK	\N	\N
3568992	1161	1996-10-31	PRIJEM	\N	55	13022	UROK	\N	\N
3568993	1161	1996-11-30	PRIJEM	\N	67	15048	UROK	\N	\N
3568994	1161	1996-12-31	PRIJEM	\N	63	15570	UROK	\N	\N
3568995	1161	1997-01-31	PRIJEM	\N	64	14794	UROK	\N	\N
3568996	1161	1997-02-28	PRIJEM	\N	73	16826	UROK	\N	\N
3568997	1161	1997-03-31	PRIJEM	\N	63	13149	UROK	\N	\N
3568998	1161	1997-04-30	PRIJEM	\N	58	15166	UROK	\N	\N
3568999	1161	1997-05-31	PRIJEM	\N	75	17201	UROK	\N	\N
3569000	1161	1997-06-30	PRIJEM	\N	65	14185	UROK	\N	\N
3569001	1161	1997-07-31	PRIJEM	\N	71	16216	UROK	\N	\N
3569002	1161	1997-08-31	PRIJEM	\N	80	18255	UROK	\N	\N
3569003	1161	1997-09-30	PRIJEM	\N	88	20302	UROK	\N	\N
3569004	1161	1997-10-31	PRIJEM	\N	96	22358	UROK	\N	\N
3569005	1161	1997-11-30	PRIJEM	\N	105	24421	UROK	\N	\N
3569006	1161	1997-12-31	PRIJEM	\N	104	26485	UROK	\N	\N
3569007	1161	1998-01-31	PRIJEM	\N	101	22386	UROK	\N	\N
3569008	1161	1998-02-28	PRIJEM	\N	104	24449	UROK	\N	\N
3569009	1161	1998-03-31	PRIJEM	\N	113	26522	UROK	\N	\N
3569010	1161	1998-04-30	PRIJEM	\N	122	28602	UROK	\N	\N
3569011	1161	1998-05-31	PRIJEM	\N	121	30683	UROK	\N	\N
3569012	1161	1998-06-30	PRIJEM	\N	139	32781	UROK	\N	\N
3569013	1161	1998-07-31	PRIJEM	\N	139	34879	UROK	\N	\N
3569014	1161	1998-08-31	PRIJEM	\N	147	36986	UROK	\N	\N
3569015	1161	1998-09-30	PRIJEM	\N	165	39110	UROK	\N	\N
3569016	1161	1998-10-31	PRIJEM	\N	174	41243	UROK	\N	\N
3569017	1161	1998-11-30	PRIJEM	\N	174	43376	UROK	\N	\N
3569018	1161	1998-12-31	PRIJEM	\N	189	41844	UROK	\N	\N
3569090	1165	1997-04-30	PRIJEM	\N	20	15645	UROK	\N	\N
3569091	1165	1997-05-31	PRIJEM	\N	74	22243	UROK	\N	\N
3569092	1165	1997-06-30	PRIJEM	\N	102	29484	UROK	\N	\N
3569093	1165	1997-07-31	PRIJEM	\N	125	31334	UROK	\N	\N
3569094	1165	1997-08-31	PRIJEM	\N	123	26682	UROK	\N	\N
3569095	1165	1997-09-30	PRIJEM	\N	98	18020	UROK	\N	\N
3569096	1165	1997-10-31	PRIJEM	\N	78	17638	UROK	\N	\N
3569097	1165	1997-11-30	PRIJEM	\N	66	12285	UROK	\N	\N
3569098	1165	1997-12-31	PRIJEM	\N	64	15602	UROK	\N	\N
3569099	1165	1998-01-31	PRIJEM	\N	60	13362	UROK	\N	\N
3569100	1165	1998-02-28	PRIJEM	\N	56	12558	UROK	\N	\N
3569101	1165	1998-03-31	PRIJEM	\N	61	15960	UROK	\N	\N
3569102	1165	1998-04-30	PRIJEM	\N	64	13865	UROK	\N	\N
3569103	1165	1998-05-31	PRIJEM	\N	54	11399	UROK	\N	\N
3569104	1165	1998-06-30	PRIJEM	\N	56	14009	UROK	\N	\N
3569105	1165	1998-07-31	PRIJEM	\N	53	10802	UROK	\N	\N
3569106	1165	1998-08-31	PRIJEM	\N	57	15999	UROK	\N	\N
3569107	1165	1998-09-30	PRIJEM	\N	76	17375	UROK	\N	\N
3569108	1165	1998-10-31	PRIJEM	\N	83	11499	UROK	\N	\N
3569109	1165	1998-11-30	PRIJEM	\N	60	16699	UROK	\N	\N
3569110	1165	1998-12-31	PRIJEM	\N	97	27690	UROK	\N	\N
3569111	1166	1993-05-31	PRIJEM	\N	31	21062	UROK	\N	\N
3569112	1166	1993-06-30	PRIJEM	\N	110	35518	UROK	\N	\N
3569113	1166	1993-07-31	PRIJEM	\N	156	40905	UROK	\N	\N
3569114	1166	1993-08-31	PRIJEM	\N	175	43811	UROK	\N	\N
3569115	1166	1993-09-30	PRIJEM	\N	182	39527	UROK	\N	\N
3569116	1166	1993-10-31	PRIJEM	\N	155	24361	UROK	\N	\N
3569117	1166	1993-11-30	PRIJEM	\N	124	33105	UROK	\N	\N
3569118	1166	1993-12-31	PRIJEM	\N	163	37102	UROK	\N	\N
3569119	1166	1994-01-31	PRIJEM	\N	127	19048	UROK	\N	\N
3569120	1166	1994-02-28	PRIJEM	\N	105	28668	UROK	\N	\N
3569121	1166	1994-03-31	PRIJEM	\N	133	31415	UROK	\N	\N
3569122	1166	1994-04-30	PRIJEM	\N	145	34775	UROK	\N	\N
3569123	1166	1994-05-31	PRIJEM	\N	154	36043	UROK	\N	\N
3569124	1166	1994-06-30	PRIJEM	\N	171	39443	UROK	\N	\N
3569125	1166	1994-07-31	PRIJEM	\N	166	37924	UROK	\N	\N
3569126	1166	1994-08-31	PRIJEM	\N	158	36596	UROK	\N	\N
3569127	1166	1994-09-30	PRIJEM	\N	150	34660	UROK	\N	\N
3569128	1166	1994-10-31	PRIJEM	\N	141	32415	UROK	\N	\N
3569129	1166	1994-11-30	PRIJEM	\N	142	34471	UROK	\N	\N
3569130	1166	1994-12-31	PRIJEM	\N	132	24532	UROK	\N	\N
3569131	1166	1995-01-31	PRIJEM	\N	100	22246	UROK	\N	\N
3569132	1166	1995-02-28	PRIJEM	\N	108	25968	UROK	\N	\N
3569133	1166	1995-03-31	PRIJEM	\N	120	29302	UROK	\N	\N
3569134	1166	1995-04-30	PRIJEM	\N	121	27837	UROK	\N	\N
3569135	1166	1995-05-31	PRIJEM	\N	124	30075	UROK	\N	\N
3569136	1166	1995-06-30	PRIJEM	\N	123	28427	UROK	\N	\N
3569137	1166	1995-07-31	PRIJEM	\N	134	32476	UROK	\N	\N
3569138	1166	1995-08-31	PRIJEM	\N	160	40250	UROK	\N	\N
3569139	1166	1995-09-30	PRIJEM	\N	187	46051	UROK	\N	\N
3569140	1166	1995-10-31	PRIJEM	\N	177	40495	UROK	\N	\N
3569141	1166	1995-11-30	PRIJEM	\N	193	48303	UROK	\N	\N
3569142	1166	1995-12-31	PRIJEM	\N	203	44635	UROK	\N	\N
3569143	1166	1996-01-31	PRIJEM	\N	150	29600	UROK	\N	\N
3569144	1166	1996-02-29	PRIJEM	\N	159	41473	UROK	\N	\N
3569145	1166	1996-03-31	PRIJEM	\N	151	36686	UROK	\N	\N
3569146	1166	1996-04-30	PRIJEM	\N	152	30362	UROK	\N	\N
3569147	1166	1996-05-31	PRIJEM	\N	158	40534	UROK	\N	\N
3569148	1166	1996-06-30	PRIJEM	\N	156	27493	UROK	\N	\N
3569149	1166	1996-07-31	PRIJEM	\N	123	26132	UROK	\N	\N
3569150	1166	1996-08-31	PRIJEM	\N	138	35584	UROK	\N	\N
3569151	1166	1996-09-30	PRIJEM	\N	164	34263	UROK	\N	\N
3569152	1166	1996-10-31	PRIJEM	\N	152	33896	UROK	\N	\N
3569153	1166	1996-11-30	PRIJEM	\N	142	36886	UROK	\N	\N
3569154	1166	1996-12-31	PRIJEM	\N	144	29795	UROK	\N	\N
3569155	1166	1997-01-31	PRIJEM	\N	122	27931	UROK	\N	\N
3569156	1166	1997-02-28	PRIJEM	\N	143	39189	UROK	\N	\N
3569157	1166	1997-03-31	PRIJEM	\N	178	44581	UROK	\N	\N
3569158	1166	1997-04-30	PRIJEM	\N	164	44259	UROK	\N	\N
3569159	1166	1997-05-31	PRIJEM	\N	172	36645	UROK	\N	\N
3569160	1166	1997-06-30	PRIJEM	\N	200	40575	UROK	\N	\N
3569161	1166	1997-07-31	PRIJEM	\N	172	31235	UROK	\N	\N
3569162	1166	1997-08-31	PRIJEM	\N	153	33602	UROK	\N	\N
3569163	1166	1997-09-30	PRIJEM	\N	161	32477	UROK	\N	\N
3569164	1166	1997-10-31	PRIJEM	\N	158	35849	UROK	\N	\N
3569165	1166	1997-11-30	PRIJEM	\N	158	33321	UROK	\N	\N
3569166	1166	1997-12-31	PRIJEM	\N	167	33217	UROK	\N	\N
3569167	1166	1998-01-31	PRIJEM	\N	101	17226	UROK	\N	\N
3569168	1166	1998-02-28	PRIJEM	\N	90	22736	UROK	\N	\N
3569169	1166	1998-03-31	PRIJEM	\N	89	20546	UROK	\N	\N
3569170	1166	1998-04-30	PRIJEM	\N	99	22971	UROK	\N	\N
3569171	1166	1998-05-31	PRIJEM	\N	97	22887	UROK	\N	\N
3569172	1166	1998-06-30	PRIJEM	\N	91	19412	UROK	\N	\N
3569173	1166	1998-07-31	PRIJEM	\N	109	26241	UROK	\N	\N
3569174	1166	1998-08-31	PRIJEM	\N	119	26379	UROK	\N	\N
3569175	1166	1998-09-30	PRIJEM	\N	130	32929	UROK	\N	\N
3569176	1166	1998-10-31	PRIJEM	\N	152	28701	UROK	\N	\N
3569177	1166	1998-11-30	PRIJEM	\N	128	28247	UROK	\N	\N
3569178	1166	1998-12-31	PRIJEM	\N	160	42642	UROK	\N	\N
3569179	1168	1994-11-30	PRIJEM	\N	37	10166	UROK	\N	\N
3569180	1168	1994-12-31	PRIJEM	\N	127	33686	UROK	\N	\N
3569181	1168	1995-01-31	PRIJEM	\N	148	36064	UROK	\N	\N
3569182	1168	1995-02-28	PRIJEM	\N	165	40257	UROK	\N	\N
3569183	1168	1995-03-31	PRIJEM	\N	163	38391	UROK	\N	\N
3569184	1168	1995-04-30	PRIJEM	\N	141	28749	UROK	\N	\N
3569185	1168	1995-05-31	PRIJEM	\N	124	28590	UROK	\N	\N
3569186	1168	1995-06-30	PRIJEM	\N	124	28775	UROK	\N	\N
3569187	1168	1995-07-31	PRIJEM	\N	120	28552	UROK	\N	\N
3569188	1168	1995-08-31	PRIJEM	\N	109	19997	UROK	\N	\N
3569189	1168	1995-09-30	PRIJEM	\N	102	20515	UROK	\N	\N
3569190	1168	1995-10-31	PRIJEM	\N	105	24077	UROK	\N	\N
3569191	1168	1995-11-30	PRIJEM	\N	110	22663	UROK	\N	\N
3569192	1168	1995-12-31	PRIJEM	\N	124	21529	UROK	\N	\N
3569193	1168	1996-01-31	PRIJEM	\N	80	13565	UROK	\N	\N
3569194	1168	1996-02-29	PRIJEM	\N	68	13950	UROK	\N	\N
3569195	1168	1996-03-31	PRIJEM	\N	77	17184	UROK	\N	\N
3569196	1168	1996-04-30	PRIJEM	\N	88	16528	UROK	\N	\N
3569197	1168	1996-05-31	PRIJEM	\N	86	18070	UROK	\N	\N
3569198	1168	1996-06-30	PRIJEM	\N	100	15991	UROK	\N	\N
3569199	1168	1996-07-31	PRIJEM	\N	76	15603	UROK	\N	\N
3569200	1168	1996-08-31	PRIJEM	\N	85	20745	UROK	\N	\N
3569201	1168	1996-09-30	PRIJEM	\N	102	22404	UROK	\N	\N
3569202	1168	1996-10-31	PRIJEM	\N	108	23068	UROK	\N	\N
3569203	1168	1996-11-30	PRIJEM	\N	100	17484	UROK	\N	\N
3569204	1168	1996-12-31	PRIJEM	\N	92	16717	UROK	\N	\N
3569205	1168	1997-01-31	PRIJEM	\N	52	10205	UROK	\N	\N
3569206	1168	1997-02-28	PRIJEM	\N	60	14122	UROK	\N	\N
3569207	1168	1997-03-31	PRIJEM	\N	76	17254	UROK	\N	\N
3569208	1168	1997-04-30	PRIJEM	\N	87	16257	UROK	\N	\N
3569209	1168	1997-05-31	PRIJEM	\N	80	16594	UROK	\N	\N
3569210	1168	1997-06-30	PRIJEM	\N	98	19572	UROK	\N	\N
3569211	1168	1997-07-31	PRIJEM	\N	88	16717	UROK	\N	\N
3569212	1168	1997-08-31	PRIJEM	\N	72	12705	UROK	\N	\N
3569213	1168	1997-09-30	PRIJEM	\N	63	12925	UROK	\N	\N
3569214	1168	1997-10-31	PRIJEM	\N	56	12077	UROK	\N	\N
3569215	1168	1997-11-30	PRIJEM	\N	67	15800	UROK	\N	\N
3569216	1168	1997-12-31	PRIJEM	\N	85	17306	UROK	\N	\N
3569217	1168	1998-01-31	PRIJEM	\N	69	14271	UROK	\N	\N
3569218	1168	1998-02-28	PRIJEM	\N	73	16660	UROK	\N	\N
3569219	1168	1998-03-31	PRIJEM	\N	75	14991	UROK	\N	\N
3569220	1168	1998-04-30	PRIJEM	\N	71	15319	UROK	\N	\N
3569221	1168	1998-05-31	PRIJEM	\N	76	17351	UROK	\N	\N
3569222	1168	1998-06-30	PRIJEM	\N	93	20965	UROK	\N	\N
3569223	1168	1998-07-31	PRIJEM	\N	96	21617	UROK	\N	\N
3569224	1168	1998-08-31	PRIJEM	\N	93	17267	UROK	\N	\N
3569225	1168	1998-09-30	PRIJEM	\N	72	15295	UROK	\N	\N
3569226	1168	1998-10-31	PRIJEM	\N	67	15199	UROK	\N	\N
3569227	1168	1998-11-30	PRIJEM	\N	69	15284	UROK	\N	\N
3569228	1168	1998-12-31	PRIJEM	\N	83	17928	UROK	\N	\N
3569229	1169	1994-05-31	PRIJEM	\N	65	30458	UROK	\N	\N
3569230	1169	1994-06-30	PRIJEM	\N	306	94875	UROK	\N	\N
3569231	1169	1994-07-31	PRIJEM	\N	153	31089	UROK	\N	\N
3569232	1169	1994-08-31	PRIJEM	\N	108	21558	UROK	\N	\N
3569233	1169	1994-09-30	PRIJEM	\N	72	18991	UROK	\N	\N
3569234	1169	1994-10-31	PRIJEM	\N	105	49670	UROK	\N	\N
3569235	1169	1994-11-30	PRIJEM	\N	171	30502	UROK	\N	\N
3569236	1169	1994-12-31	PRIJEM	\N	106	21668	UROK	\N	\N
3569237	1169	1995-01-31	PRIJEM	\N	133	18882	UROK	\N	\N
3569238	1169	1995-02-28	PRIJEM	\N	63	15806	UROK	\N	\N
3569239	1169	1995-03-31	PRIJEM	\N	53	18420	UROK	\N	\N
3569240	1169	1995-04-30	PRIJEM	\N	120	58462	UROK	\N	\N
3569241	1169	1995-05-31	PRIJEM	\N	257	50459	UROK	\N	\N
3569242	1169	1995-06-30	PRIJEM	\N	164	26462	UROK	\N	\N
3569243	1169	1995-07-31	PRIJEM	\N	251	55692	UROK	\N	\N
3569244	1169	1995-08-31	PRIJEM	\N	194	37347	UROK	\N	\N
3569245	1169	1995-09-30	PRIJEM	\N	183	47017	UROK	\N	\N
3569246	1169	1995-10-31	PRIJEM	\N	239	71708	UROK	\N	\N
3569247	1169	1995-11-30	PRIJEM	\N	309	95729	UROK	\N	\N
3569248	1169	1995-12-31	PRIJEM	\N	324	40946	UROK	\N	\N
3569249	1169	1996-01-31	PRIJEM	\N	122	21330	UROK	\N	\N
3569250	1169	1996-02-29	PRIJEM	\N	96	21022	UROK	\N	\N
3569251	1169	1996-03-31	PRIJEM	\N	76	19059	UROK	\N	\N
3569252	1169	1996-04-30	PRIJEM	\N	75	21295	UROK	\N	\N
3569253	1169	1996-05-31	PRIJEM	\N	78	19334	UROK	\N	\N
3569254	1169	1996-06-30	PRIJEM	\N	77	21071	UROK	\N	\N
3569255	1169	1996-07-31	PRIJEM	\N	85	23117	UROK	\N	\N
3569256	1169	1996-08-31	PRIJEM	\N	90	22968	UROK	\N	\N
3569257	1169	1996-09-30	PRIJEM	\N	98	34142	UROK	\N	\N
3569258	1169	1996-10-31	PRIJEM	\N	115	54049	UROK	\N	\N
3569259	1169	1996-11-30	PRIJEM	\N	174	39369	UROK	\N	\N
3569260	1169	1996-12-31	PRIJEM	\N	103	27831	UROK	\N	\N
3569261	1169	1997-01-31	PRIJEM	\N	228	68755	UROK	\N	\N
3569262	1169	1997-02-28	PRIJEM	\N	265	49981	UROK	\N	\N
3569263	1169	1997-03-31	PRIJEM	\N	185	38328	UROK	\N	\N
3569264	1169	1997-04-30	PRIJEM	\N	198	51099	UROK	\N	\N
3569265	1169	1997-05-31	PRIJEM	\N	199	51892	UROK	\N	\N
3569266	1169	1997-06-30	PRIJEM	\N	267	89287	UROK	\N	\N
3569267	1169	1997-07-31	PRIJEM	\N	304	61551	UROK	\N	\N
3569268	1169	1997-08-31	PRIJEM	\N	233	55136	UROK	\N	\N
3569269	1169	1997-09-30	PRIJEM	\N	159	23495	UROK	\N	\N
3569270	1169	1997-10-31	PRIJEM	\N	207	114202	UROK	\N	\N
3569271	1169	1997-11-30	PRIJEM	\N	211	46474	UROK	\N	\N
3569272	1169	1997-12-31	PRIJEM	\N	157	65200	UROK	\N	\N
3569273	1169	1998-01-31	PRIJEM	\N	154	27214	UROK	\N	\N
3569274	1169	1998-02-28	PRIJEM	\N	207	108710	UROK	\N	\N
3569275	1169	1998-03-31	PRIJEM	\N	389	98545	UROK	\N	\N
3569276	1169	1998-04-30	PRIJEM	\N	269	72746	UROK	\N	\N
3569277	1169	1998-05-31	PRIJEM	\N	276	75453	UROK	\N	\N
3569278	1169	1998-06-30	PRIJEM	\N	238	43789	UROK	\N	\N
3569279	1169	1998-07-31	PRIJEM	\N	325	106562	UROK	\N	\N
3569280	1169	1998-08-31	PRIJEM	\N	328	70350	UROK	\N	\N
3569281	1169	1998-09-30	PRIJEM	\N	315	85031	UROK	\N	\N
3569282	1169	1998-10-31	PRIJEM	\N	314	60951	UROK	\N	\N
3569283	1169	1998-11-30	PRIJEM	\N	350	102614	UROK	\N	\N
3569284	1169	1998-12-31	PRIJEM	\N	403	98260	UROK	\N	\N
3569285	1170	1996-04-30	PRIJEM	\N	22	26115	UROK	\N	\N
3569286	1170	1996-05-31	PRIJEM	\N	116	34124	UROK	\N	\N
3569287	1170	1996-06-30	PRIJEM	\N	152	45066	UROK	\N	\N
3569288	1170	1996-07-31	PRIJEM	\N	189	47149	UROK	\N	\N
3569289	1170	1996-08-31	PRIJEM	\N	207	38892	UROK	\N	\N
3569290	1170	1996-09-30	PRIJEM	\N	163	31576	UROK	\N	\N
3569291	1170	1996-10-31	PRIJEM	\N	148	29646	UROK	\N	\N
3569292	1170	1996-11-30	PRIJEM	\N	138	30106	UROK	\N	\N
3569293	1170	1996-12-31	PRIJEM	\N	160	34384	UROK	\N	\N
3569294	1170	1997-01-31	PRIJEM	\N	98	19304	UROK	\N	\N
3569295	1170	1997-02-28	PRIJEM	\N	109	26734	UROK	\N	\N
3569296	1170	1997-03-31	PRIJEM	\N	134	29589	UROK	\N	\N
3569297	1170	1997-04-30	PRIJEM	\N	128	25433	UROK	\N	\N
3569298	1170	1997-05-31	PRIJEM	\N	85	23776	UROK	\N	\N
3569299	1170	1997-06-30	PRIJEM	\N	156	36851	UROK	\N	\N
3569300	1170	1997-07-31	PRIJEM	\N	118	29262	UROK	\N	\N
3569301	1170	1997-08-31	PRIJEM	\N	157	40240	UROK	\N	\N
3569302	1170	1997-09-30	PRIJEM	\N	195	47556	UROK	\N	\N
3569303	1170	1997-10-31	PRIJEM	\N	199	46361	UROK	\N	\N
3569304	1170	1997-11-30	PRIJEM	\N	218	52900	UROK	\N	\N
3569305	1170	1997-12-31	PRIJEM	\N	211	44128	UROK	\N	\N
3569306	1170	1998-01-31	PRIJEM	\N	152	23301	UROK	\N	\N
3569307	1170	1998-02-28	PRIJEM	\N	142	39365	UROK	\N	\N
3569308	1170	1998-03-31	PRIJEM	\N	200	50886	UROK	\N	\N
3569309	1170	1998-04-30	PRIJEM	\N	228	54935	UROK	\N	\N
3569310	1170	1998-05-31	PRIJEM	\N	180	26347	UROK	\N	\N
3569311	1170	1998-06-30	PRIJEM	\N	172	34237	UROK	\N	\N
3569312	1170	1998-07-31	PRIJEM	\N	128	34971	UROK	\N	\N
3569313	1170	1998-08-31	PRIJEM	\N	186	48178	UROK	\N	\N
3569314	1170	1998-09-30	PRIJEM	\N	217	52216	UROK	\N	\N
3569315	1170	1998-10-31	PRIJEM	\N	188	44625	UROK	\N	\N
3569316	1170	1998-11-30	PRIJEM	\N	206	50453	UROK	\N	\N
3569317	1170	1998-12-31	PRIJEM	\N	184	28597	UROK	\N	\N
3569318	1171	1998-01-31	PRIJEM	\N	37	21441	UROK	\N	\N
3569319	1171	1998-02-28	PRIJEM	\N	100	27845	UROK	\N	\N
3569320	1171	1998-03-31	PRIJEM	\N	131	37180	UROK	\N	\N
3569321	1171	1998-04-30	PRIJEM	\N	159	39842	UROK	\N	\N
3569322	1171	1998-05-31	PRIJEM	\N	171	33824	UROK	\N	\N
3569323	1171	1998-06-30	PRIJEM	\N	156	17008	UROK	\N	\N
3569324	1171	1998-07-31	PRIJEM	\N	107	29412	UROK	\N	\N
3569325	1171	1998-08-31	PRIJEM	\N	141	35849	UROK	\N	\N
3569326	1171	1998-09-30	PRIJEM	\N	158	35803	UROK	\N	\N
3569327	1171	1998-10-31	PRIJEM	\N	161	37361	UROK	\N	\N
3569328	1171	1998-11-30	PRIJEM	\N	158	37975	UROK	\N	\N
3569329	1171	1998-12-31	PRIJEM	\N	203	52627	UROK	\N	\N
3569330	1173	1997-02-28	PRIJEM	\N	51	14904	UROK	\N	\N
3569331	1173	1997-03-31	PRIJEM	\N	65	16105	UROK	\N	\N
3569332	1173	1997-04-30	PRIJEM	\N	69	16711	UROK	\N	\N
3569333	1173	1997-05-31	PRIJEM	\N	71	16838	UROK	\N	\N
3569334	1173	1997-06-30	PRIJEM	\N	68	13032	UROK	\N	\N
3569335	1173	1997-07-31	PRIJEM	\N	54	12783	UROK	\N	\N
3569336	1173	1997-08-31	PRIJEM	\N	56	13976	UROK	\N	\N
3569337	1173	1997-09-30	PRIJEM	\N	61	15173	UROK	\N	\N
3569338	1173	1997-10-31	PRIJEM	\N	65	14934	UROK	\N	\N
3569339	1173	1997-11-30	PRIJEM	\N	66	15657	UROK	\N	\N
3569340	1173	1997-12-31	PRIJEM	\N	68	16711	UROK	\N	\N
3569341	1173	1998-01-31	PRIJEM	\N	67	13775	UROK	\N	\N
3569342	1173	1998-02-28	PRIJEM	\N	60	14571	UROK	\N	\N
3569343	1173	1998-03-31	PRIJEM	\N	61	14389	UROK	\N	\N
3569344	1173	1998-04-30	PRIJEM	\N	63	15588	UROK	\N	\N
3569345	1173	1998-05-31	PRIJEM	\N	67	15331	UROK	\N	\N
3569346	1173	1998-06-30	PRIJEM	\N	62	14099	UROK	\N	\N
3569347	1173	1998-07-31	PRIJEM	\N	62	15297	UROK	\N	\N
3569348	1173	1998-08-31	PRIJEM	\N	58	12991	UROK	\N	\N
3569349	1173	1998-09-30	PRIJEM	\N	52	11979	UROK	\N	\N
3569350	1173	1998-10-31	PRIJEM	\N	45	10161	UROK	\N	\N
3569351	1173	1998-11-30	PRIJEM	\N	45	11342	UROK	\N	\N
3569352	1173	1998-12-31	PRIJEM	\N	43	9622	UROK	\N	\N
3569353	1174	1995-04-30	PRIJEM	\N	35	22939	UROK	\N	\N
3569354	1174	1995-05-31	PRIJEM	\N	114	34657	UROK	\N	\N
3569355	1174	1995-06-30	PRIJEM	\N	160	44173	UROK	\N	\N
3569356	1174	1995-07-31	PRIJEM	\N	183	44160	UROK	\N	\N
3569357	1174	1995-08-31	PRIJEM	\N	188	45412	UROK	\N	\N
3569358	1174	1995-09-30	PRIJEM	\N	198	46669	UROK	\N	\N
3569359	1174	1995-10-31	PRIJEM	\N	181	39748	UROK	\N	\N
3569360	1174	1995-11-30	PRIJEM	\N	175	42481	UROK	\N	\N
3569361	1174	1995-12-31	PRIJEM	\N	192	46384	UROK	\N	\N
3569362	1174	1996-01-31	PRIJEM	\N	162	32944	UROK	\N	\N
3569363	1174	1996-02-29	PRIJEM	\N	145	34647	UROK	\N	\N
3569364	1174	1996-03-31	PRIJEM	\N	151	37157	UROK	\N	\N
3569365	1174	1996-04-30	PRIJEM	\N	164	41580	UROK	\N	\N
3569366	1174	1996-05-31	PRIJEM	\N	184	40422	UROK	\N	\N
3569367	1174	1996-06-30	PRIJEM	\N	225	64098	UROK	\N	\N
3569368	1174	1996-07-31	PRIJEM	\N	268	64304	UROK	\N	\N
3569369	1174	1996-08-31	PRIJEM	\N	260	63622	UROK	\N	\N
3569370	1174	1996-09-30	PRIJEM	\N	257	62258	UROK	\N	\N
3569371	1174	1996-10-31	PRIJEM	\N	259	63695	UROK	\N	\N
3569372	1174	1996-11-30	PRIJEM	\N	262	66616	UROK	\N	\N
3569373	1174	1996-12-31	PRIJEM	\N	301	80647	UROK	\N	\N
3569374	1174	1997-01-31	PRIJEM	\N	275	58820	UROK	\N	\N
3569375	1174	1997-02-28	PRIJEM	\N	249	65727	UROK	\N	\N
3569376	1174	1997-03-31	PRIJEM	\N	276	70362	UROK	\N	\N
3569377	1174	1997-04-30	PRIJEM	\N	276	69736	UROK	\N	\N
3569378	1174	1997-05-31	PRIJEM	\N	290	74284	UROK	\N	\N
3569379	1174	1997-06-30	PRIJEM	\N	311	84486	UROK	\N	\N
3569380	1174	1997-07-31	PRIJEM	\N	340	85984	UROK	\N	\N
3569381	1174	1997-08-31	PRIJEM	\N	328	81550	UROK	\N	\N
3569382	1174	1997-09-30	PRIJEM	\N	321	82630	UROK	\N	\N
3569383	1174	1997-10-31	PRIJEM	\N	341	88029	UROK	\N	\N
3569384	1174	1997-11-30	PRIJEM	\N	353	91140	UROK	\N	\N
3569385	1174	1997-12-31	PRIJEM	\N	382	100592	UROK	\N	\N
3569386	1174	1998-01-31	PRIJEM	\N	339	79489	UROK	\N	\N
3569387	1174	1998-02-28	PRIJEM	\N	312	81759	UROK	\N	\N
3569388	1174	1998-03-31	PRIJEM	\N	329	85347	UROK	\N	\N
3569389	1174	1998-04-30	PRIJEM	\N	305	76130	UROK	\N	\N
3569390	1174	1998-05-31	PRIJEM	\N	284	71312	UROK	\N	\N
3569391	1174	1998-06-30	PRIJEM	\N	268	76251	UROK	\N	\N
3569392	1174	1998-07-31	PRIJEM	\N	302	77031	UROK	\N	\N
3569393	1174	1998-08-31	PRIJEM	\N	284	75353	UROK	\N	\N
3569394	1174	1998-09-30	PRIJEM	\N	286	74997	UROK	\N	\N
3569395	1174	1998-10-31	PRIJEM	\N	282	72737	UROK	\N	\N
3569396	1174	1998-11-30	PRIJEM	\N	266	73062	UROK	\N	\N
3569397	1174	1998-12-31	PRIJEM	\N	286	81298	UROK	\N	\N
3569442	1176	1997-03-31	PRIJEM	\N	3	23883	UROK	\N	\N
3569443	1176	1997-04-30	PRIJEM	\N	104	24762	UROK	\N	\N
3569444	1176	1997-05-31	PRIJEM	\N	108	25444	UROK	\N	\N
3569445	1176	1997-06-30	PRIJEM	\N	103	22421	UROK	\N	\N
3569446	1176	1997-07-31	PRIJEM	\N	80	17056	UROK	\N	\N
3569447	1176	1997-08-31	PRIJEM	\N	67	14557	UROK	\N	\N
3569448	1176	1997-09-30	PRIJEM	\N	67	16799	UROK	\N	\N
3569449	1176	1997-10-31	PRIJEM	\N	71	16145	UROK	\N	\N
3569450	1176	1997-11-30	PRIJEM	\N	64	12883	UROK	\N	\N
3569451	1176	1997-12-31	PRIJEM	\N	54	11611	UROK	\N	\N
3569452	1176	1998-01-31	PRIJEM	\N	52	12637	UROK	\N	\N
3569453	1176	1998-02-28	PRIJEM	\N	54	12265	UROK	\N	\N
3569454	1176	1998-03-31	PRIJEM	\N	50	10489	UROK	\N	\N
3569455	1176	1998-04-30	PRIJEM	\N	46	10710	UROK	\N	\N
3569456	1176	1998-05-31	PRIJEM	\N	51	13035	UROK	\N	\N
3569457	1176	1998-06-30	PRIJEM	\N	53	11663	UROK	\N	\N
3569458	1176	1998-07-31	PRIJEM	\N	55	13992	UROK	\N	\N
3569459	1176	1998-08-31	PRIJEM	\N	65	16332	UROK	\N	\N
3569460	1176	1998-09-30	PRIJEM	\N	75	18681	UROK	\N	\N
3569461	1176	1998-10-31	PRIJEM	\N	84	21039	UROK	\N	\N
3569462	1176	1998-11-30	PRIJEM	\N	58	10592	UROK	\N	\N
3569463	1176	1998-12-31	PRIJEM	\N	51	12917	UROK	\N	\N
3569464	1177	1998-01-31	PRIJEM	\N	39	22301	UROK	\N	\N
3569465	1177	1998-02-28	PRIJEM	\N	110	32973	UROK	\N	\N
3569466	1177	1998-03-31	PRIJEM	\N	150	40785	UROK	\N	\N
3569467	1177	1998-04-30	PRIJEM	\N	178	46125	UROK	\N	\N
3569468	1177	1998-05-31	PRIJEM	\N	185	36731	UROK	\N	\N
3569469	1177	1998-06-30	PRIJEM	\N	146	28485	UROK	\N	\N
3569470	1177	1998-07-31	PRIJEM	\N	127	21619	UROK	\N	\N
3569471	1177	1998-08-31	PRIJEM	\N	108	24434	UROK	\N	\N
3569472	1177	1998-09-30	PRIJEM	\N	115	26656	UROK	\N	\N
3569473	1177	1998-10-31	PRIJEM	\N	94	20857	UROK	\N	\N
3569474	1177	1998-11-30	PRIJEM	\N	83	18247	UROK	\N	\N
3569475	1177	1998-12-31	PRIJEM	\N	130	39486	UROK	\N	\N
3569476	1178	1997-05-31	PRIJEM	\N	55	21499	UROK	\N	\N
3569477	1178	1997-06-30	PRIJEM	\N	172	54486	UROK	\N	\N
3569478	1178	1997-07-31	PRIJEM	\N	249	63479	UROK	\N	\N
3569479	1178	1997-08-31	PRIJEM	\N	270	66194	UROK	\N	\N
3569480	1178	1997-09-30	PRIJEM	\N	284	69721	UROK	\N	\N
3569481	1178	1997-10-31	PRIJEM	\N	256	63468	UROK	\N	\N
3569482	1178	1997-11-30	PRIJEM	\N	193	53051	UROK	\N	\N
3569483	1178	1997-12-31	PRIJEM	\N	217	45531	UROK	\N	\N
3569484	1178	1998-01-31	PRIJEM	\N	176	35397	UROK	\N	\N
3569485	1178	1998-02-28	PRIJEM	\N	182	50469	UROK	\N	\N
3569486	1178	1998-03-31	PRIJEM	\N	202	44061	UROK	\N	\N
3569487	1178	1998-04-30	PRIJEM	\N	217	47269	UROK	\N	\N
3569488	1178	1998-05-31	PRIJEM	\N	217	46076	UROK	\N	\N
3569489	1178	1998-06-30	PRIJEM	\N	215	39953	UROK	\N	\N
3569490	1178	1998-07-31	PRIJEM	\N	197	41040	UROK	\N	\N
3569491	1178	1998-08-31	PRIJEM	\N	189	37720	UROK	\N	\N
3569492	1178	1998-09-30	PRIJEM	\N	183	36193	UROK	\N	\N
3569493	1178	1998-10-31	PRIJEM	\N	174	32757	UROK	\N	\N
3569494	1178	1998-11-30	PRIJEM	\N	158	30106	UROK	\N	\N
3569495	1178	1998-12-31	PRIJEM	\N	182	52750	UROK	\N	\N
3569496	1179	1993-06-30	PRIJEM	\N	3	21763	UROK	\N	\N
3569497	1179	1993-07-31	PRIJEM	\N	84	19476	UROK	\N	\N
3569498	1179	1993-08-31	PRIJEM	\N	71	17097	UROK	\N	\N
3569499	1179	1993-09-30	PRIJEM	\N	74	15760	UROK	\N	\N
3569500	1179	1993-10-31	PRIJEM	\N	67	16176	UROK	\N	\N
3569501	1179	1993-11-30	PRIJEM	\N	72	17637	UROK	\N	\N
3569502	1179	1993-12-31	PRIJEM	\N	63	14709	UROK	\N	\N
3569503	1179	1994-01-31	PRIJEM	\N	56	12715	UROK	\N	\N
3569504	1179	1994-02-28	PRIJEM	\N	58	14162	UROK	\N	\N
3569505	1179	1994-03-31	PRIJEM	\N	64	15615	UROK	\N	\N
3569506	1179	1994-04-30	PRIJEM	\N	67	15791	UROK	\N	\N
3569507	1179	1994-05-31	PRIJEM	\N	70	17251	UROK	\N	\N
3569508	1179	1994-06-30	PRIJEM	\N	71	15271	UROK	\N	\N
3569509	1179	1994-07-31	PRIJEM	\N	68	16729	UROK	\N	\N
3569510	1179	1994-08-31	PRIJEM	\N	74	18192	UROK	\N	\N
3569511	1179	1994-09-30	PRIJEM	\N	80	19662	UROK	\N	\N
3569512	1179	1994-10-31	PRIJEM	\N	87	21138	UROK	\N	\N
3569513	1179	1994-11-30	PRIJEM	\N	92	22620	UROK	\N	\N
3569514	1179	1994-12-31	PRIJEM	\N	91	22330	UROK	\N	\N
3569515	1179	1995-01-31	PRIJEM	\N	74	15133	UROK	\N	\N
3569516	1179	1995-02-28	PRIJEM	\N	67	16590	UROK	\N	\N
3569517	1179	1995-03-31	PRIJEM	\N	74	18053	UROK	\N	\N
3569518	1179	1995-04-30	PRIJEM	\N	80	19522	UROK	\N	\N
3569519	1179	1995-05-31	PRIJEM	\N	73	16024	UROK	\N	\N
3569520	1179	1995-06-30	PRIJEM	\N	67	15881	UROK	\N	\N
3569521	1179	1995-07-31	PRIJEM	\N	71	17341	UROK	\N	\N
3569522	1179	1995-08-31	PRIJEM	\N	77	18807	UROK	\N	\N
3569523	1179	1995-09-30	PRIJEM	\N	72	15148	UROK	\N	\N
3569524	1179	1995-10-31	PRIJEM	\N	65	15563	UROK	\N	\N
3569525	1179	1995-11-30	PRIJEM	\N	69	17022	UROK	\N	\N
3569526	1179	1995-12-31	PRIJEM	\N	73	17834	UROK	\N	\N
3569527	1179	1996-01-31	PRIJEM	\N	62	14566	UROK	\N	\N
3569528	1179	1996-02-29	PRIJEM	\N	65	16020	UROK	\N	\N
3569529	1179	1996-03-31	PRIJEM	\N	71	17480	UROK	\N	\N
3569530	1179	1996-04-30	PRIJEM	\N	77	18946	UROK	\N	\N
3569531	1179	1996-05-31	PRIJEM	\N	83	20419	UROK	\N	\N
3569532	1179	1996-06-30	PRIJEM	\N	89	21897	UROK	\N	\N
3569533	1179	1996-07-31	PRIJEM	\N	95	23382	UROK	\N	\N
3569534	1179	1996-08-31	PRIJEM	\N	101	24872	UROK	\N	\N
3569535	1179	1996-09-30	PRIJEM	\N	107	26369	UROK	\N	\N
3569536	1179	1996-10-31	PRIJEM	\N	114	27872	UROK	\N	\N
3569537	1179	1996-11-30	PRIJEM	\N	107	24348	UROK	\N	\N
3569538	1179	1996-12-31	PRIJEM	\N	104	25492	UROK	\N	\N
3569539	1179	1997-01-31	PRIJEM	\N	75	15386	UROK	\N	\N
3569540	1179	1997-02-28	PRIJEM	\N	68	16843	UROK	\N	\N
3569541	1179	1997-03-31	PRIJEM	\N	74	18306	UROK	\N	\N
3569542	1179	1997-04-30	PRIJEM	\N	80	19775	UROK	\N	\N
3569543	1179	1997-05-31	PRIJEM	\N	80	19245	UROK	\N	\N
3569544	1179	1997-06-30	PRIJEM	\N	84	20718	UROK	\N	\N
3569545	1179	1997-07-31	PRIJEM	\N	79	18666	UROK	\N	\N
3569546	1179	1997-08-31	PRIJEM	\N	81	20137	UROK	\N	\N
3569547	1179	1997-09-30	PRIJEM	\N	87	21613	UROK	\N	\N
3569548	1179	1997-10-31	PRIJEM	\N	89	19311	UROK	\N	\N
3569549	1179	1997-11-30	PRIJEM	\N	84	20784	UROK	\N	\N
3569550	1179	1997-12-31	PRIJEM	\N	88	21062	UROK	\N	\N
3569551	1179	1998-01-31	PRIJEM	\N	76	16847	UROK	\N	\N
3569552	1179	1998-02-28	PRIJEM	\N	73	18309	UROK	\N	\N
3569553	1179	1998-03-31	PRIJEM	\N	79	18897	UROK	\N	\N
3569554	1179	1998-04-30	PRIJEM	\N	81	19968	UROK	\N	\N
3569555	1179	1998-05-31	PRIJEM	\N	75	18593	UROK	\N	\N
3569556	1179	1998-06-30	PRIJEM	\N	74	14936	UROK	\N	\N
3569557	1179	1998-07-31	PRIJEM	\N	65	16391	UROK	\N	\N
3569558	1179	1998-08-31	PRIJEM	\N	71	17851	UROK	\N	\N
3569559	1179	1998-09-30	PRIJEM	\N	73	15313	UROK	\N	\N
3569560	1179	1998-10-31	PRIJEM	\N	64	14866	UROK	\N	\N
3569561	1179	1998-11-30	PRIJEM	\N	64	16120	UROK	\N	\N
3569562	1179	1998-12-31	PRIJEM	\N	69	17578	UROK	\N	\N
3569563	1181	1997-09-30	PRIJEM	\N	31	18736	UROK	\N	\N
3569564	1181	1997-10-31	PRIJEM	\N	90	25932	UROK	\N	\N
3569565	1181	1997-11-30	PRIJEM	\N	112	28048	UROK	\N	\N
3569566	1181	1997-12-31	PRIJEM	\N	121	30677	UROK	\N	\N
3569567	1181	1998-01-31	PRIJEM	\N	86	16379	UROK	\N	\N
3569568	1181	1998-02-28	PRIJEM	\N	84	23283	UROK	\N	\N
3569569	1181	1998-03-31	PRIJEM	\N	100	24823	UROK	\N	\N
3569570	1181	1998-04-30	PRIJEM	\N	110	27154	UROK	\N	\N
3569571	1181	1998-05-31	PRIJEM	\N	117	28091	UROK	\N	\N
3569572	1181	1998-06-30	PRIJEM	\N	122	27937	UROK	\N	\N
3569573	1181	1998-07-31	PRIJEM	\N	104	22281	UROK	\N	\N
3569574	1181	1998-08-31	PRIJEM	\N	85	18287	UROK	\N	\N
3569575	1181	1998-09-30	PRIJEM	\N	77	17884	UROK	\N	\N
3569576	1181	1998-10-31	PRIJEM	\N	68	14272	UROK	\N	\N
3569577	1181	1998-11-30	PRIJEM	\N	62	14654	UROK	\N	\N
3569578	1181	1998-12-31	PRIJEM	\N	64	12921	UROK	\N	\N
3569579	1182	1997-03-31	PRIJEM	\N	55	21682	UROK	\N	\N
3569580	1182	1997-04-30	PRIJEM	\N	127	35736	UROK	\N	\N
3569581	1182	1997-05-31	PRIJEM	\N	164	41728	UROK	\N	\N
3569582	1182	1997-06-30	PRIJEM	\N	197	50365	UROK	\N	\N
3569583	1182	1997-07-31	PRIJEM	\N	214	52106	UROK	\N	\N
3569584	1182	1997-08-31	PRIJEM	\N	211	49429	UROK	\N	\N
3569585	1182	1997-09-30	PRIJEM	\N	207	50048	UROK	\N	\N
3569586	1182	1997-10-31	PRIJEM	\N	215	36505	UROK	\N	\N
3569587	1182	1997-11-30	PRIJEM	\N	179	45097	UROK	\N	\N
3569588	1182	1997-12-31	PRIJEM	\N	140	22371	UROK	\N	\N
3569589	1182	1998-01-31	PRIJEM	\N	83	6967	UROK	\N	\N
3569590	1182	1998-02-28	PRIJEM	\N	92	25471	UROK	\N	\N
3569591	1182	1998-03-31	PRIJEM	\N	134	33931	UROK	\N	\N
3569592	1182	1998-04-30	PRIJEM	\N	169	42413	UROK	\N	\N
3569593	1182	1998-05-31	PRIJEM	\N	190	46615	UROK	\N	\N
3569594	1182	1998-06-30	PRIJEM	\N	202	49042	UROK	\N	\N
3569595	1182	1998-07-31	PRIJEM	\N	203	49058	UROK	\N	\N
3569596	1182	1998-08-31	PRIJEM	\N	206	49877	UROK	\N	\N
3569597	1182	1998-09-30	PRIJEM	\N	206	46572	UROK	\N	\N
3569598	1182	1998-10-31	PRIJEM	\N	166	24722	UROK	\N	\N
3569599	1182	1998-11-30	PRIJEM	\N	178	45813	UROK	\N	\N
3569600	1182	1998-12-31	PRIJEM	\N	218	46257	UROK	\N	\N
3569601	1183	1995-06-30	PRIJEM	\N	61	18249	UROK	\N	\N
3569602	1183	1995-07-31	PRIJEM	\N	79	23620	UROK	\N	\N
3569603	1183	1995-08-31	PRIJEM	\N	106	27018	UROK	\N	\N
3569604	1183	1995-09-30	PRIJEM	\N	121	29630	UROK	\N	\N
3569605	1183	1995-10-31	PRIJEM	\N	125	25380	UROK	\N	\N
3569606	1183	1995-11-30	PRIJEM	\N	93	20142	UROK	\N	\N
3569607	1183	1995-12-31	PRIJEM	\N	107	22374	UROK	\N	\N
3569608	1183	1996-01-31	PRIJEM	\N	110	26834	UROK	\N	\N
3569609	1183	1996-02-29	PRIJEM	\N	116	28399	UROK	\N	\N
3569610	1183	1996-03-31	PRIJEM	\N	116	23864	UROK	\N	\N
3569611	1183	1996-04-30	PRIJEM	\N	110	26324	UROK	\N	\N
3569612	1183	1996-05-31	PRIJEM	\N	115	23867	UROK	\N	\N
3569613	1183	1996-06-30	PRIJEM	\N	134	33647	UROK	\N	\N
3569614	1183	1996-07-31	PRIJEM	\N	135	28091	UROK	\N	\N
3569615	1183	1996-08-31	PRIJEM	\N	125	32066	UROK	\N	\N
3569616	1183	1996-09-30	PRIJEM	\N	137	31953	UROK	\N	\N
3569617	1183	1996-10-31	PRIJEM	\N	136	30938	UROK	\N	\N
3569618	1183	1996-11-30	PRIJEM	\N	132	30520	UROK	\N	\N
3569619	1183	1996-12-31	PRIJEM	\N	133	32878	UROK	\N	\N
3569620	1183	1997-01-31	PRIJEM	\N	132	31320	UROK	\N	\N
3569621	1183	1997-02-28	PRIJEM	\N	122	27871	UROK	\N	\N
3569622	1183	1997-03-31	PRIJEM	\N	119	26239	UROK	\N	\N
3569623	1183	1997-04-30	PRIJEM	\N	115	30003	UROK	\N	\N
3569624	1183	1997-05-31	PRIJEM	\N	128	29480	UROK	\N	\N
3569625	1183	1997-06-30	PRIJEM	\N	122	28247	UROK	\N	\N
3569626	1183	1997-07-31	PRIJEM	\N	120	27316	UROK	\N	\N
3569627	1183	1997-08-31	PRIJEM	\N	119	30485	UROK	\N	\N
3569628	1183	1997-09-30	PRIJEM	\N	128	29062	UROK	\N	\N
3569629	1183	1997-10-31	PRIJEM	\N	114	25965	UROK	\N	\N
3569630	1183	1997-11-30	PRIJEM	\N	115	30730	UROK	\N	\N
3569631	1183	1997-12-31	PRIJEM	\N	135	34390	UROK	\N	\N
3569632	1183	1998-01-31	PRIJEM	\N	144	33743	UROK	\N	\N
3569633	1183	1998-02-28	PRIJEM	\N	144	35437	UROK	\N	\N
3569634	1183	1998-03-31	PRIJEM	\N	144	31331	UROK	\N	\N
3569635	1183	1998-04-30	PRIJEM	\N	131	30311	UROK	\N	\N
3569636	1183	1998-05-31	PRIJEM	\N	123	29962	UROK	\N	\N
3569637	1183	1998-06-30	PRIJEM	\N	122	24150	UROK	\N	\N
3569638	1183	1998-07-31	PRIJEM	\N	98	21798	UROK	\N	\N
3569639	1183	1998-08-31	PRIJEM	\N	93	22940	UROK	\N	\N
3569640	1183	1998-09-30	PRIJEM	\N	97	23286	UROK	\N	\N
3569641	1183	1998-10-31	PRIJEM	\N	87	16662	UROK	\N	\N
3569642	1183	1998-11-30	PRIJEM	\N	68	15880	UROK	\N	\N
3569643	1183	1998-12-31	PRIJEM	\N	65	14390	UROK	\N	\N
3569644	1185	1997-11-30	PRIJEM	\N	56	15236	UROK	\N	\N
3569645	1185	1997-12-31	PRIJEM	\N	62	14839	UROK	\N	\N
3569646	1185	1998-01-31	PRIJEM	\N	55	12296	UROK	\N	\N
3569647	1185	1998-02-28	PRIJEM	\N	55	13753	UROK	\N	\N
3569648	1185	1998-03-31	PRIJEM	\N	62	15216	UROK	\N	\N
3569649	1185	1998-04-30	PRIJEM	\N	57	12674	UROK	\N	\N
3569650	1185	1998-05-31	PRIJEM	\N	57	14133	UROK	\N	\N
3569651	1185	1998-06-30	PRIJEM	\N	63	15598	UROK	\N	\N
3569652	1185	1998-07-31	PRIJEM	\N	69	17068	UROK	\N	\N
3569653	1185	1998-08-31	PRIJEM	\N	75	18545	UROK	\N	\N
3569654	1185	1998-09-30	PRIJEM	\N	81	19547	UROK	\N	\N
3569655	1185	1998-10-31	PRIJEM	\N	86	21034	UROK	\N	\N
3569656	1185	1998-11-30	PRIJEM	\N	90	20685	UROK	\N	\N
3569657	1185	1998-12-31	PRIJEM	\N	86	20723	UROK	\N	\N
3569658	1187	1996-12-31	PRIJEM	\N	86	28948	UROK	\N	\N
3569659	1187	1997-01-31	PRIJEM	\N	90	16486	UROK	\N	\N
3569660	1187	1997-02-28	PRIJEM	\N	78	18001	UROK	\N	\N
3569661	1187	1997-03-31	PRIJEM	\N	87	22004	UROK	\N	\N
3569662	1187	1997-04-30	PRIJEM	\N	103	26025	UROK	\N	\N
3569663	1187	1997-05-31	PRIJEM	\N	117	28459	UROK	\N	\N
3569664	1187	1997-06-30	PRIJEM	\N	123	27980	UROK	\N	\N
3569665	1187	1997-07-31	PRIJEM	\N	128	32025	UROK	\N	\N
3569666	1187	1997-08-31	PRIJEM	\N	144	34886	UROK	\N	\N
3569667	1187	1997-09-30	PRIJEM	\N	155	37558	UROK	\N	\N
3569668	1187	1997-10-31	PRIJEM	\N	153	33889	UROK	\N	\N
3569669	1187	1997-11-30	PRIJEM	\N	145	32851	UROK	\N	\N
3569670	1187	1997-12-31	PRIJEM	\N	147	35915	UROK	\N	\N
3569671	1187	1998-01-31	PRIJEM	\N	140	28562	UROK	\N	\N
3569672	1187	1998-02-28	PRIJEM	\N	130	32610	UROK	\N	\N
3569673	1187	1998-03-31	PRIJEM	\N	147	36674	UROK	\N	\N
3569674	1187	1998-04-30	PRIJEM	\N	161	39053	UROK	\N	\N
3569675	1187	1998-05-31	PRIJEM	\N	163	34773	UROK	\N	\N
3569676	1187	1998-06-30	PRIJEM	\N	145	30905	UROK	\N	\N
3569677	1187	1998-07-31	PRIJEM	\N	139	34462	UROK	\N	\N
3569678	1187	1998-08-31	PRIJEM	\N	146	33685	UROK	\N	\N
3569679	1187	1998-09-30	PRIJEM	\N	137	30259	UROK	\N	\N
3569680	1187	1998-10-31	PRIJEM	\N	122	27198	UROK	\N	\N
3569681	1187	1998-11-30	PRIJEM	\N	114	26730	UROK	\N	\N
3569682	1187	1998-12-31	PRIJEM	\N	97	19544	UROK	\N	\N
3569683	1188	1996-08-31	PRIJEM	\N	21	13953	UROK	\N	\N
3569684	1188	1996-09-30	PRIJEM	\N	71	22155	UROK	\N	\N
3569685	1188	1996-10-31	PRIJEM	\N	101	27588	UROK	\N	\N
3569686	1188	1996-11-30	PRIJEM	\N	119	30439	UROK	\N	\N
3569687	1188	1996-12-31	PRIJEM	\N	137	32203	UROK	\N	\N
3569688	1188	1997-01-31	PRIJEM	\N	100	12460	UROK	\N	\N
3569689	1188	1997-02-28	PRIJEM	\N	78	25935	UROK	\N	\N
3569690	1188	1997-03-31	PRIJEM	\N	121	31752	UROK	\N	\N
3569691	1188	1997-04-30	PRIJEM	\N	139	34288	UROK	\N	\N
3569692	1188	1997-05-31	PRIJEM	\N	143	33227	UROK	\N	\N
3569693	1188	1997-06-30	PRIJEM	\N	143	32382	UROK	\N	\N
3569694	1188	1997-07-31	PRIJEM	\N	144	35823	UROK	\N	\N
3569695	1188	1997-08-31	PRIJEM	\N	151	35870	UROK	\N	\N
3569696	1188	1997-09-30	PRIJEM	\N	145	31971	UROK	\N	\N
3569697	1188	1997-10-31	PRIJEM	\N	118	25726	UROK	\N	\N
3569698	1188	1997-11-30	PRIJEM	\N	118	29740	UROK	\N	\N
3569699	1188	1997-12-31	PRIJEM	\N	132	32724	UROK	\N	\N
3569700	1188	1998-01-31	PRIJEM	\N	108	22789	UROK	\N	\N
3569701	1188	1998-02-28	PRIJEM	\N	99	24164	UROK	\N	\N
3569702	1188	1998-03-31	PRIJEM	\N	101	24062	UROK	\N	\N
3569703	1188	1998-04-30	PRIJEM	\N	98	22956	UROK	\N	\N
3569704	1188	1998-05-31	PRIJEM	\N	93	20206	UROK	\N	\N
3569705	1188	1998-06-30	PRIJEM	\N	99	25737	UROK	\N	\N
3569706	1188	1998-07-31	PRIJEM	\N	119	29953	UROK	\N	\N
3569707	1188	1998-08-31	PRIJEM	\N	135	33584	UROK	\N	\N
3569708	1188	1998-09-30	PRIJEM	\N	142	34622	UROK	\N	\N
3569709	1188	1998-10-31	PRIJEM	\N	142	33960	UROK	\N	\N
3569710	1188	1998-11-30	PRIJEM	\N	129	29626	UROK	\N	\N
3569711	1188	1998-12-31	PRIJEM	\N	140	35278	UROK	\N	\N
3569712	1189	1993-08-31	PRIJEM	\N	2	17767	UROK	\N	\N
3569713	1189	1993-09-30	PRIJEM	\N	71	16568	UROK	\N	\N
3569714	1189	1993-10-31	PRIJEM	\N	71	17770	UROK	\N	\N
3569715	1189	1993-11-30	PRIJEM	\N	74	18795	UROK	\N	\N
3569716	1189	1993-12-31	PRIJEM	\N	78	19313	UROK	\N	\N
3569717	1189	1994-01-31	PRIJEM	\N	65	13459	UROK	\N	\N
3569718	1189	1994-02-28	PRIJEM	\N	56	14645	UROK	\N	\N
3569719	1189	1994-03-31	PRIJEM	\N	63	15839	UROK	\N	\N
3569720	1189	1994-04-30	PRIJEM	\N	66	17036	UROK	\N	\N
3569721	1189	1994-05-31	PRIJEM	\N	72	18238	UROK	\N	\N
3569722	1189	1994-06-30	PRIJEM	\N	76	19445	UROK	\N	\N
3569723	1189	1994-07-31	PRIJEM	\N	79	19335	UROK	\N	\N
3569724	1189	1994-08-31	PRIJEM	\N	79	19314	UROK	\N	\N
3569725	1189	1994-09-30	PRIJEM	\N	79	19053	UROK	\N	\N
3569726	1189	1994-10-31	PRIJEM	\N	80	20263	UROK	\N	\N
3569727	1189	1994-11-30	PRIJEM	\N	87	21480	UROK	\N	\N
3569728	1189	1994-12-31	PRIJEM	\N	88	21948	UROK	\N	\N
3569729	1189	1995-01-31	PRIJEM	\N	76	17695	UROK	\N	\N
3569730	1189	1995-02-28	PRIJEM	\N	76	18901	UROK	\N	\N
3569731	1189	1995-03-31	PRIJEM	\N	79	20110	UROK	\N	\N
3569732	1189	1995-04-30	PRIJEM	\N	84	21325	UROK	\N	\N
3569733	1189	1995-05-31	PRIJEM	\N	90	22544	UROK	\N	\N
3569734	1189	1995-06-30	PRIJEM	\N	89	22083	UROK	\N	\N
3569735	1189	1995-07-31	PRIJEM	\N	92	23306	UROK	\N	\N
3569736	1189	1995-08-31	PRIJEM	\N	99	24535	UROK	\N	\N
3569737	1189	1995-09-30	PRIJEM	\N	104	25770	UROK	\N	\N
3569738	1189	1995-10-31	PRIJEM	\N	102	24422	UROK	\N	\N
3569739	1189	1995-11-30	PRIJEM	\N	102	25655	UROK	\N	\N
3569740	1189	1995-12-31	PRIJEM	\N	107	26322	UROK	\N	\N
3569741	1189	1996-01-31	PRIJEM	\N	98	23350	UROK	\N	\N
3569742	1189	1996-02-29	PRIJEM	\N	97	24578	UROK	\N	\N
3569743	1189	1996-03-31	PRIJEM	\N	104	25812	UROK	\N	\N
3569744	1189	1996-04-30	PRIJEM	\N	108	27050	UROK	\N	\N
3569745	1189	1996-05-31	PRIJEM	\N	114	28295	UROK	\N	\N
3569746	1189	1996-06-30	PRIJEM	\N	117	25253	UROK	\N	\N
3569747	1189	1996-07-31	PRIJEM	\N	102	24865	UROK	\N	\N
3569748	1189	1996-08-31	PRIJEM	\N	103	26099	UROK	\N	\N
3569749	1189	1996-09-30	PRIJEM	\N	108	27338	UROK	\N	\N
3569750	1189	1996-10-31	PRIJEM	\N	109	26837	UROK	\N	\N
3569751	1189	1996-11-30	PRIJEM	\N	109	27176	UROK	\N	\N
3569752	1189	1996-12-31	PRIJEM	\N	113	27849	UROK	\N	\N
3569753	1189	1997-01-31	PRIJEM	\N	105	23144	UROK	\N	\N
3569754	1189	1997-02-28	PRIJEM	\N	97	24372	UROK	\N	\N
3569755	1189	1997-03-31	PRIJEM	\N	101	25603	UROK	\N	\N
3569756	1189	1997-04-30	PRIJEM	\N	106	26840	UROK	\N	\N
3569757	1189	1997-05-31	PRIJEM	\N	111	27781	UROK	\N	\N
3569758	1189	1997-06-30	PRIJEM	\N	113	26445	UROK	\N	\N
3569759	1189	1997-07-31	PRIJEM	\N	105	26360	UROK	\N	\N
3569760	1189	1997-08-31	PRIJEM	\N	109	27599	UROK	\N	\N
3569761	1189	1997-09-30	PRIJEM	\N	114	28844	UROK	\N	\N
3569762	1189	1997-10-31	PRIJEM	\N	121	29465	UROK	\N	\N
3569763	1189	1997-11-30	PRIJEM	\N	121	30717	UROK	\N	\N
3569764	1189	1997-12-31	PRIJEM	\N	124	31101	UROK	\N	\N
3569765	1189	1998-01-31	PRIJEM	\N	123	28604	UROK	\N	\N
3569766	1189	1998-02-28	PRIJEM	\N	117	29852	UROK	\N	\N
3569767	1189	1998-03-31	PRIJEM	\N	123	31105	UROK	\N	\N
3569768	1189	1998-04-30	PRIJEM	\N	128	32363	UROK	\N	\N
3569769	1189	1998-05-31	PRIJEM	\N	135	32608	UROK	\N	\N
3569770	1189	1998-06-30	PRIJEM	\N	110	26529	UROK	\N	\N
3569771	1189	1998-07-31	PRIJEM	\N	109	27768	UROK	\N	\N
3569772	1189	1998-08-31	PRIJEM	\N	116	29014	UROK	\N	\N
3569773	1189	1998-09-30	PRIJEM	\N	119	30263	UROK	\N	\N
3569774	1189	1998-10-31	PRIJEM	\N	121	30284	UROK	\N	\N
3569775	1189	1998-11-30	PRIJEM	\N	126	31541	UROK	\N	\N
3569776	1189	1998-12-31	PRIJEM	\N	126	31386	UROK	\N	\N
3569777	1190	1996-10-31	PRIJEM	\N	60	19534	UROK	\N	\N
3569778	1190	1996-11-30	PRIJEM	\N	109	28418	UROK	\N	\N
3569779	1190	1996-12-31	PRIJEM	\N	140	35118	UROK	\N	\N
3569780	1190	1997-01-31	PRIJEM	\N	158	38750	UROK	\N	\N
3569781	1190	1997-02-28	PRIJEM	\N	164	37139	UROK	\N	\N
3569782	1190	1997-03-31	PRIJEM	\N	128	26978	UROK	\N	\N
3569783	1190	1997-04-30	PRIJEM	\N	117	25805	UROK	\N	\N
3569784	1190	1997-05-31	PRIJEM	\N	99	20914	UROK	\N	\N
3569785	1190	1997-06-30	PRIJEM	\N	76	8187	UROK	\N	\N
3569786	1190	1997-07-31	PRIJEM	\N	80	19577	UROK	\N	\N
3569787	1190	1997-08-31	PRIJEM	\N	117	28005	UROK	\N	\N
3569788	1190	1997-09-30	PRIJEM	\N	131	30047	UROK	\N	\N
3569789	1190	1997-10-31	PRIJEM	\N	128	28085	UROK	\N	\N
3569790	1190	1997-11-30	PRIJEM	\N	132	30227	UROK	\N	\N
3569791	1190	1997-12-31	PRIJEM	\N	153	36177	UROK	\N	\N
3569792	1190	1998-01-31	PRIJEM	\N	87	13375	UROK	\N	\N
3569793	1190	1998-02-28	PRIJEM	\N	73	15959	UROK	\N	\N
3569794	1190	1998-03-31	PRIJEM	\N	101	23970	UROK	\N	\N
3569795	1190	1998-04-30	PRIJEM	\N	113	25593	UROK	\N	\N
3569796	1190	1998-05-31	PRIJEM	\N	127	29530	UROK	\N	\N
3569797	1190	1998-06-30	PRIJEM	\N	147	28875	UROK	\N	\N
3569798	1190	1998-07-31	PRIJEM	\N	116	24401	UROK	\N	\N
3569799	1190	1998-08-31	PRIJEM	\N	103	20214	UROK	\N	\N
3569800	1190	1998-09-30	PRIJEM	\N	89	20414	UROK	\N	\N
3569801	1190	1998-10-31	PRIJEM	\N	92	17216	UROK	\N	\N
3569802	1190	1998-11-30	PRIJEM	\N	78	14304	UROK	\N	\N
3569803	1190	1998-12-31	PRIJEM	\N	82	23783	UROK	\N	\N
3569832	1193	1994-01-31	PRIJEM	\N	51	14658	UROK	\N	\N
3569833	1193	1994-02-28	PRIJEM	\N	135	36300	UROK	\N	\N
3569834	1193	1994-03-31	PRIJEM	\N	151	36358	UROK	\N	\N
3569835	1193	1994-04-30	PRIJEM	\N	180	44644	UROK	\N	\N
3569836	1193	1994-05-31	PRIJEM	\N	183	43400	UROK	\N	\N
3569837	1193	1994-06-30	PRIJEM	\N	180	43882	UROK	\N	\N
3569838	1193	1994-07-31	PRIJEM	\N	180	42620	UROK	\N	\N
3569839	1193	1994-08-31	PRIJEM	\N	172	40650	UROK	\N	\N
3569840	1193	1994-09-30	PRIJEM	\N	163	36352	UROK	\N	\N
3569841	1193	1994-10-31	PRIJEM	\N	154	36564	UROK	\N	\N
3569842	1193	1994-11-30	PRIJEM	\N	150	35573	UROK	\N	\N
3569843	1193	1994-12-31	PRIJEM	\N	181	42356	UROK	\N	\N
3569844	1193	1995-01-31	PRIJEM	\N	153	24627	UROK	\N	\N
3569845	1193	1995-02-28	PRIJEM	\N	106	22792	UROK	\N	\N
3569846	1193	1995-03-31	PRIJEM	\N	133	33483	UROK	\N	\N
3569847	1193	1995-04-30	PRIJEM	\N	130	32910	UROK	\N	\N
3569848	1193	1995-05-31	PRIJEM	\N	139	26807	UROK	\N	\N
3569849	1193	1995-06-30	PRIJEM	\N	128	21877	UROK	\N	\N
3569850	1193	1995-07-31	PRIJEM	\N	112	24047	UROK	\N	\N
3569851	1193	1995-08-31	PRIJEM	\N	121	27426	UROK	\N	\N
3569852	1193	1995-09-30	PRIJEM	\N	132	27317	UROK	\N	\N
3569853	1193	1995-10-31	PRIJEM	\N	123	26658	UROK	\N	\N
3569854	1193	1995-11-30	PRIJEM	\N	126	24281	UROK	\N	\N
3569855	1193	1995-12-31	PRIJEM	\N	137	30420	UROK	\N	\N
3569856	1193	1996-01-31	PRIJEM	\N	125	25723	UROK	\N	\N
3569857	1193	1996-02-29	PRIJEM	\N	118	23620	UROK	\N	\N
3569858	1193	1996-03-31	PRIJEM	\N	113	22691	UROK	\N	\N
3569859	1193	1996-04-30	PRIJEM	\N	101	21210	UROK	\N	\N
3569860	1193	1996-05-31	PRIJEM	\N	101	19669	UROK	\N	\N
3569861	1193	1996-06-30	PRIJEM	\N	99	19210	UROK	\N	\N
3569862	1193	1996-07-31	PRIJEM	\N	97	22365	UROK	\N	\N
3569863	1193	1996-08-31	PRIJEM	\N	108	24732	UROK	\N	\N
3569864	1193	1996-09-30	PRIJEM	\N	113	24303	UROK	\N	\N
3569865	1193	1996-10-31	PRIJEM	\N	114	25676	UROK	\N	\N
3569866	1193	1996-11-30	PRIJEM	\N	117	26311	UROK	\N	\N
3569867	1193	1996-12-31	PRIJEM	\N	135	29349	UROK	\N	\N
3569868	1193	1997-01-31	PRIJEM	\N	128	27535	UROK	\N	\N
3569869	1193	1997-02-28	PRIJEM	\N	119	25013	UROK	\N	\N
3569870	1193	1997-03-31	PRIJEM	\N	105	22476	UROK	\N	\N
3569871	1193	1997-04-30	PRIJEM	\N	105	23319	UROK	\N	\N
3569872	1193	1997-05-31	PRIJEM	\N	109	25086	UROK	\N	\N
3569873	1193	1997-06-30	PRIJEM	\N	119	26187	UROK	\N	\N
3569874	1193	1997-07-31	PRIJEM	\N	102	20328	UROK	\N	\N
3569875	1193	1997-08-31	PRIJEM	\N	92	20577	UROK	\N	\N
3569876	1193	1997-09-30	PRIJEM	\N	77	15293	UROK	\N	\N
3569877	1193	1997-10-31	PRIJEM	\N	72	16924	UROK	\N	\N
3569878	1193	1997-11-30	PRIJEM	\N	73	16256	UROK	\N	\N
3569879	1193	1997-12-31	PRIJEM	\N	90	20668	UROK	\N	\N
3569880	1193	1998-01-31	PRIJEM	\N	81	17307	UROK	\N	\N
3569881	1193	1998-02-28	PRIJEM	\N	73	16739	UROK	\N	\N
3569882	1193	1998-03-31	PRIJEM	\N	83	20780	UROK	\N	\N
3569883	1193	1998-04-30	PRIJEM	\N	92	18530	UROK	\N	\N
3569884	1193	1998-05-31	PRIJEM	\N	82	19650	UROK	\N	\N
3569885	1193	1998-06-30	PRIJEM	\N	95	19287	UROK	\N	\N
3569886	1193	1998-07-31	PRIJEM	\N	93	23538	UROK	\N	\N
3569887	1193	1998-08-31	PRIJEM	\N	96	22592	UROK	\N	\N
3569888	1193	1998-09-30	PRIJEM	\N	80	17631	UROK	\N	\N
3569889	1193	1998-10-31	PRIJEM	\N	75	18364	UROK	\N	\N
3569890	1193	1998-11-30	PRIJEM	\N	86	22308	UROK	\N	\N
3569891	1193	1998-12-31	PRIJEM	\N	122	31292	UROK	\N	\N
3569892	1194	1994-05-31	PRIJEM	\N	55	24087	UROK	\N	\N
3569893	1194	1994-06-30	PRIJEM	\N	142	41927	UROK	\N	\N
3569894	1194	1994-07-31	PRIJEM	\N	183	45542	UROK	\N	\N
3569895	1194	1994-08-31	PRIJEM	\N	190	46064	UROK	\N	\N
3569896	1194	1994-09-30	PRIJEM	\N	247	46443	UROK	\N	\N
3569897	1194	1994-10-31	PRIJEM	\N	242	44131	UROK	\N	\N
3569898	1194	1994-11-30	PRIJEM	\N	198	48775	UROK	\N	\N
3569899	1194	1994-12-31	PRIJEM	\N	228	58816	UROK	\N	\N
3569900	1194	1995-01-31	PRIJEM	\N	210	45512	UROK	\N	\N
3569901	1194	1995-02-28	PRIJEM	\N	210	56348	UROK	\N	\N
3569902	1194	1995-03-31	PRIJEM	\N	250	63045	UROK	\N	\N
3569903	1194	1995-04-30	PRIJEM	\N	249	61140	UROK	\N	\N
3569904	1194	1995-05-31	PRIJEM	\N	245	61612	UROK	\N	\N
3569905	1194	1995-06-30	PRIJEM	\N	233	58757	UROK	\N	\N
3569906	1194	1995-07-31	PRIJEM	\N	241	60845	UROK	\N	\N
3569907	1194	1995-08-31	PRIJEM	\N	241	61032	UROK	\N	\N
3569908	1194	1995-09-30	PRIJEM	\N	245	63324	UROK	\N	\N
3569909	1194	1995-10-31	PRIJEM	\N	260	66930	UROK	\N	\N
3569910	1194	1995-11-30	PRIJEM	\N	260	62557	UROK	\N	\N
3569911	1194	1995-12-31	PRIJEM	\N	288	72218	UROK	\N	\N
3569912	1194	1996-01-31	PRIJEM	\N	246	58610	UROK	\N	\N
3569913	1194	1996-02-29	PRIJEM	\N	211	52807	UROK	\N	\N
3569914	1194	1996-03-31	PRIJEM	\N	221	58775	UROK	\N	\N
3569915	1194	1996-04-30	PRIJEM	\N	230	60251	UROK	\N	\N
3569916	1194	1996-05-31	PRIJEM	\N	236	61433	UROK	\N	\N
3569917	1194	1996-06-30	PRIJEM	\N	244	59609	UROK	\N	\N
3569918	1194	1996-07-31	PRIJEM	\N	218	54732	UROK	\N	\N
3569919	1194	1996-08-31	PRIJEM	\N	219	57898	UROK	\N	\N
3569920	1194	1996-09-30	PRIJEM	\N	229	59913	UROK	\N	\N
3569921	1194	1996-10-31	PRIJEM	\N	230	60850	UROK	\N	\N
3569922	1194	1996-11-30	PRIJEM	\N	219	60815	UROK	\N	\N
3569923	1194	1996-12-31	PRIJEM	\N	228	40455	UROK	\N	\N
3569924	1194	1997-01-31	PRIJEM	\N	172	26733	UROK	\N	\N
3569925	1194	1997-02-28	PRIJEM	\N	155	45835	UROK	\N	\N
3569926	1194	1997-03-31	PRIJEM	\N	172	31354	UROK	\N	\N
3569927	1194	1997-04-30	PRIJEM	\N	174	34274	UROK	\N	\N
3569928	1194	1997-05-31	PRIJEM	\N	185	37905	UROK	\N	\N
3569929	1194	1997-06-30	PRIJEM	\N	138	22756	UROK	\N	\N
3569930	1194	1997-07-31	PRIJEM	\N	136	28539	UROK	\N	\N
3569931	1194	1997-08-31	PRIJEM	\N	159	34843	UROK	\N	\N
3569932	1194	1997-09-30	PRIJEM	\N	183	40173	UROK	\N	\N
3569933	1194	1997-10-31	PRIJEM	\N	200	39819	UROK	\N	\N
3569934	1194	1997-11-30	PRIJEM	\N	198	41063	UROK	\N	\N
3569935	1194	1997-12-31	PRIJEM	\N	212	40127	UROK	\N	\N
3569936	1194	1998-01-31	PRIJEM	\N	171	28485	UROK	\N	\N
3569937	1194	1998-02-28	PRIJEM	\N	152	35183	UROK	\N	\N
3569938	1194	1998-03-31	PRIJEM	\N	178	35607	UROK	\N	\N
3569939	1194	1998-04-30	PRIJEM	\N	178	39031	UROK	\N	\N
3569940	1194	1998-05-31	PRIJEM	\N	195	44273	UROK	\N	\N
3569941	1194	1998-06-30	PRIJEM	\N	225	48510	UROK	\N	\N
3569942	1194	1998-07-31	PRIJEM	\N	226	48782	UROK	\N	\N
3569943	1194	1998-08-31	PRIJEM	\N	214	47703	UROK	\N	\N
3569944	1194	1998-09-30	PRIJEM	\N	221	51089	UROK	\N	\N
3569945	1194	1998-10-31	PRIJEM	\N	239	56675	UROK	\N	\N
3569946	1194	1998-11-30	PRIJEM	\N	254	52575	UROK	\N	\N
3569947	1194	1998-12-31	PRIJEM	\N	285	80672	UROK	\N	\N
3569948	1195	1997-05-31	PRIJEM	\N	31	27986	UROK	\N	\N
3569949	1195	1997-06-30	PRIJEM	\N	105	18157	UROK	\N	\N
3569950	1195	1997-07-31	PRIJEM	\N	85	22107	UROK	\N	\N
3569951	1195	1997-08-31	PRIJEM	\N	101	26074	UROK	\N	\N
3569952	1195	1997-09-30	PRIJEM	\N	118	30057	UROK	\N	\N
3569953	1195	1997-10-31	PRIJEM	\N	135	34057	UROK	\N	\N
3569954	1195	1997-11-30	PRIJEM	\N	143	32305	UROK	\N	\N
3569955	1195	1997-12-31	PRIJEM	\N	140	33040	UROK	\N	\N
3569956	1195	1998-01-31	PRIJEM	\N	112	25167	UROK	\N	\N
3569957	1195	1998-02-28	PRIJEM	\N	113	29146	UROK	\N	\N
3569958	1195	1998-03-31	PRIJEM	\N	130	33141	UROK	\N	\N
3569959	1195	1998-04-30	PRIJEM	\N	141	33148	UROK	\N	\N
3569960	1195	1998-05-31	PRIJEM	\N	145	34558	UROK	\N	\N
3569961	1195	1998-06-30	PRIJEM	\N	146	25869	UROK	\N	\N
3569962	1195	1998-07-31	PRIJEM	\N	117	29851	UROK	\N	\N
3569963	1195	1998-08-31	PRIJEM	\N	131	30488	UROK	\N	\N
3569964	1195	1998-09-30	PRIJEM	\N	136	34489	UROK	\N	\N
3569965	1195	1998-10-31	PRIJEM	\N	141	32496	UROK	\N	\N
3569966	1195	1998-11-30	PRIJEM	\N	134	29755	UROK	\N	\N
3569967	1195	1998-12-31	PRIJEM	\N	132	33302	UROK	\N	\N
3569968	1196	1996-02-29	PRIJEM	\N	3	18661	UROK	\N	\N
3569969	1196	1996-03-31	PRIJEM	\N	94	58832	UROK	\N	\N
3569970	1196	1996-04-30	PRIJEM	\N	245	40276	UROK	\N	\N
3569971	1196	1996-05-31	PRIJEM	\N	245	29921	UROK	\N	\N
3569972	1196	1996-06-30	PRIJEM	\N	245	24266	UROK	\N	\N
3569973	1196	1996-07-31	PRIJEM	\N	245	24311	UROK	\N	\N
3569974	1196	1996-08-31	PRIJEM	\N	199	40958	UROK	\N	\N
3569975	1196	1996-09-30	PRIJEM	\N	170	31028	UROK	\N	\N
3569976	1196	1996-10-31	PRIJEM	\N	170	26998	UROK	\N	\N
3569977	1196	1996-11-30	PRIJEM	\N	140	30312	UROK	\N	\N
3569978	1196	1996-12-31	PRIJEM	\N	126	23838	UROK	\N	\N
3569979	1196	1997-01-31	PRIJEM	\N	154	20495	UROK	\N	\N
3569980	1196	1997-02-28	PRIJEM	\N	131	38916	UROK	\N	\N
3569981	1196	1997-03-31	PRIJEM	\N	184	57830	UROK	\N	\N
3569982	1196	1997-04-30	PRIJEM	\N	178	36449	UROK	\N	\N
3569983	1196	1997-05-31	PRIJEM	\N	193	66384	UROK	\N	\N
3569984	1196	1997-06-30	PRIJEM	\N	200	41625	UROK	\N	\N
3569985	1196	1997-07-31	PRIJEM	\N	186	53278	UROK	\N	\N
3569986	1196	1997-08-31	PRIJEM	\N	348	102664	UROK	\N	\N
3569987	1196	1997-09-30	PRIJEM	\N	209	51127	UROK	\N	\N
3569988	1196	1997-10-31	PRIJEM	\N	150	32617	UROK	\N	\N
3569989	1196	1997-11-30	PRIJEM	\N	226	72466	UROK	\N	\N
3569990	1196	1997-12-31	PRIJEM	\N	429	105667	UROK	\N	\N
3569991	1196	1998-01-31	PRIJEM	\N	363	75988	UROK	\N	\N
3569992	1196	1998-02-28	PRIJEM	\N	260	93752	UROK	\N	\N
3569993	1196	1998-03-31	PRIJEM	\N	266	58658	UROK	\N	\N
3569994	1196	1998-04-30	PRIJEM	\N	200	47964	UROK	\N	\N
3569995	1196	1998-05-31	PRIJEM	\N	251	95678	UROK	\N	\N
3569996	1196	1998-06-30	PRIJEM	\N	415	87647	UROK	\N	\N
3569997	1196	1998-07-31	PRIJEM	\N	360	76698	UROK	\N	\N
3569998	1196	1998-08-31	PRIJEM	\N	243	55232	UROK	\N	\N
3569999	1196	1998-09-30	PRIJEM	\N	314	71875	UROK	\N	\N
3570000	1196	1998-10-31	PRIJEM	\N	172	37388	UROK	\N	\N
3570001	1196	1998-11-30	PRIJEM	\N	163	57424	UROK	\N	\N
3570002	1196	1998-12-31	PRIJEM	\N	156	68613	UROK	\N	\N
3570003	1197	1993-09-30	PRIJEM	\N	13	4886	UROK	\N	\N
3570004	1197	1993-10-31	PRIJEM	\N	58	18817	UROK	\N	\N
3570005	1197	1993-11-30	PRIJEM	\N	91	23781	UROK	\N	\N
3570006	1197	1993-12-31	PRIJEM	\N	99	27752	UROK	\N	\N
3570007	1197	1994-01-31	PRIJEM	\N	115	27521	UROK	\N	\N
3570008	1197	1994-02-28	PRIJEM	\N	112	27109	UROK	\N	\N
3570009	1197	1994-03-31	PRIJEM	\N	107	25032	UROK	\N	\N
3570010	1197	1994-04-30	PRIJEM	\N	106	26115	UROK	\N	\N
3570011	1197	1994-05-31	PRIJEM	\N	102	24923	UROK	\N	\N
3570012	1197	1994-06-30	PRIJEM	\N	93	21722	UROK	\N	\N
3570013	1197	1994-07-31	PRIJEM	\N	101	25800	UROK	\N	\N
3570014	1197	1994-08-31	PRIJEM	\N	116	29092	UROK	\N	\N
3570015	1197	1994-09-30	PRIJEM	\N	122	29890	UROK	\N	\N
3570016	1197	1994-10-31	PRIJEM	\N	121	28347	UROK	\N	\N
3570017	1197	1994-11-30	PRIJEM	\N	114	27337	UROK	\N	\N
3570018	1197	1994-12-31	PRIJEM	\N	107	25861	UROK	\N	\N
3570019	1197	1995-01-31	PRIJEM	\N	113	26190	UROK	\N	\N
3570020	1197	1995-02-28	PRIJEM	\N	112	27579	UROK	\N	\N
3570021	1197	1995-03-31	PRIJEM	\N	115	28971	UROK	\N	\N
3570022	1197	1995-04-30	PRIJEM	\N	122	29049	UROK	\N	\N
3570023	1197	1995-05-31	PRIJEM	\N	130	29655	UROK	\N	\N
3570024	1197	1995-06-30	PRIJEM	\N	122	28873	UROK	\N	\N
3570025	1197	1995-07-31	PRIJEM	\N	123	30373	UROK	\N	\N
3570026	1197	1995-08-31	PRIJEM	\N	128	29278	UROK	\N	\N
3570027	1197	1995-09-30	PRIJEM	\N	124	29578	UROK	\N	\N
3570028	1197	1995-10-31	PRIJEM	\N	127	31972	UROK	\N	\N
3570029	1197	1995-11-30	PRIJEM	\N	130	29998	UROK	\N	\N
3570030	1197	1995-12-31	PRIJEM	\N	118	27272	UROK	\N	\N
3570031	1197	1996-01-31	PRIJEM	\N	108	22526	UROK	\N	\N
3570032	1197	1996-02-29	PRIJEM	\N	96	24689	UROK	\N	\N
3570033	1197	1996-03-31	PRIJEM	\N	110	30285	UROK	\N	\N
3570034	1197	1996-04-30	PRIJEM	\N	130	32491	UROK	\N	\N
3570035	1197	1996-05-31	PRIJEM	\N	134	30071	UROK	\N	\N
3570036	1197	1996-06-30	PRIJEM	\N	122	30429	UROK	\N	\N
3570037	1197	1996-07-31	PRIJEM	\N	128	30433	UROK	\N	\N
3570038	1197	1996-08-31	PRIJEM	\N	127	30237	UROK	\N	\N
3570039	1197	1996-09-30	PRIJEM	\N	133	34746	UROK	\N	\N
3570040	1197	1996-10-31	PRIJEM	\N	152	38544	UROK	\N	\N
3570041	1197	1996-11-30	PRIJEM	\N	157	35107	UROK	\N	\N
3570042	1197	1996-12-31	PRIJEM	\N	142	34235	UROK	\N	\N
3570043	1197	1997-01-31	PRIJEM	\N	132	31164	UROK	\N	\N
3570044	1197	1997-02-28	PRIJEM	\N	128	30268	UROK	\N	\N
3570045	1197	1997-03-31	PRIJEM	\N	132	33976	UROK	\N	\N
3570046	1197	1997-04-30	PRIJEM	\N	144	34757	UROK	\N	\N
3570047	1197	1997-05-31	PRIJEM	\N	142	33575	UROK	\N	\N
3570048	1197	1997-06-30	PRIJEM	\N	149	37920	UROK	\N	\N
3570049	1197	1997-07-31	PRIJEM	\N	164	42681	UROK	\N	\N
3570050	1197	1997-08-31	PRIJEM	\N	177	43034	UROK	\N	\N
3570051	1197	1997-09-30	PRIJEM	\N	181	44491	UROK	\N	\N
3570052	1197	1997-10-31	PRIJEM	\N	183	44150	UROK	\N	\N
3570053	1197	1997-11-30	PRIJEM	\N	190	47717	UROK	\N	\N
3570054	1197	1997-12-31	PRIJEM	\N	194	47187	UROK	\N	\N
3570055	1197	1998-01-31	PRIJEM	\N	187	42551	UROK	\N	\N
3570056	1197	1998-02-28	PRIJEM	\N	175	42602	UROK	\N	\N
3570057	1197	1998-03-31	PRIJEM	\N	181	45059	UROK	\N	\N
3570058	1197	1998-04-30	PRIJEM	\N	188	46223	UROK	\N	\N
3570059	1197	1998-05-31	PRIJEM	\N	195	48594	UROK	\N	\N
3570060	1197	1998-06-30	PRIJEM	\N	190	45561	UROK	\N	\N
3570061	1197	1998-07-31	PRIJEM	\N	178	41415	UROK	\N	\N
3570062	1197	1998-08-31	PRIJEM	\N	173	42764	UROK	\N	\N
3570063	1197	1998-09-30	PRIJEM	\N	176	43417	UROK	\N	\N
3570064	1197	1998-10-31	PRIJEM	\N	176	43369	UROK	\N	\N
3570065	1197	1998-11-30	PRIJEM	\N	193	49539	UROK	\N	\N
3570066	1197	1998-12-31	PRIJEM	\N	194	46410	UROK	\N	\N
3570067	1198	1997-05-31	PRIJEM	\N	37	22864	UROK	\N	\N
3570068	1198	1997-06-30	PRIJEM	\N	119	37223	UROK	\N	\N
3570069	1198	1997-07-31	PRIJEM	\N	162	41712	UROK	\N	\N
3570070	1198	1997-08-31	PRIJEM	\N	188	49827	UROK	\N	\N
3570071	1198	1997-09-30	PRIJEM	\N	207	49962	UROK	\N	\N
3570072	1198	1997-10-31	PRIJEM	\N	190	30900	UROK	\N	\N
3570073	1198	1997-11-30	PRIJEM	\N	145	35445	UROK	\N	\N
3570074	1198	1997-12-31	PRIJEM	\N	126	32445	UROK	\N	\N
3570075	1198	1998-01-31	PRIJEM	\N	147	37805	UROK	\N	\N
3570076	1198	1998-02-28	PRIJEM	\N	169	34387	UROK	\N	\N
3570077	1198	1998-03-31	PRIJEM	\N	127	20680	UROK	\N	\N
3570078	1198	1998-04-30	PRIJEM	\N	99	8982	UROK	\N	\N
3570079	1198	1998-05-31	PRIJEM	\N	71	23169	UROK	\N	\N
3570080	1198	1998-06-30	PRIJEM	\N	142	42837	UROK	\N	\N
3570081	1198	1998-07-31	PRIJEM	\N	174	38645	UROK	\N	\N
3570082	1198	1998-08-31	PRIJEM	\N	186	35314	UROK	\N	\N
3570083	1198	1998-09-30	PRIJEM	\N	120	24532	UROK	\N	\N
3570084	1198	1998-10-31	PRIJEM	\N	129	30406	UROK	\N	\N
3570085	1198	1998-11-30	PRIJEM	\N	156	39711	UROK	\N	\N
3570086	1198	1998-12-31	PRIJEM	\N	199	56535	UROK	\N	\N
3570087	1199	1997-04-30	PRIJEM	\N	30	15495	UROK	\N	\N
3570088	1199	1997-05-31	PRIJEM	\N	75	20935	UROK	\N	\N
3570089	1199	1997-06-30	PRIJEM	\N	100	27334	UROK	\N	\N
3570090	1199	1997-07-31	PRIJEM	\N	118	29216	UROK	\N	\N
3570091	1199	1997-08-31	PRIJEM	\N	123	28695	UROK	\N	\N
3570092	1199	1997-09-30	PRIJEM	\N	119	27354	UROK	\N	\N
3570093	1199	1997-10-31	PRIJEM	\N	120	29114	UROK	\N	\N
3570094	1199	1997-11-30	PRIJEM	\N	120	27775	UROK	\N	\N
3570095	1199	1997-12-31	PRIJEM	\N	113	25562	UROK	\N	\N
3570096	1199	1998-01-31	PRIJEM	\N	82	15784	UROK	\N	\N
3570097	1199	1998-02-28	PRIJEM	\N	88	23312	UROK	\N	\N
3570098	1199	1998-03-31	PRIJEM	\N	108	26760	UROK	\N	\N
3570099	1199	1998-04-30	PRIJEM	\N	127	28708	UROK	\N	\N
3570100	1199	1998-05-31	PRIJEM	\N	144	37193	UROK	\N	\N
3570101	1199	1998-06-30	PRIJEM	\N	181	43267	UROK	\N	\N
3570102	1199	1998-07-31	PRIJEM	\N	193	46060	UROK	\N	\N
3570103	1199	1998-08-31	PRIJEM	\N	216	52016	UROK	\N	\N
3570104	1199	1998-09-30	PRIJEM	\N	223	53880	UROK	\N	\N
3570105	1199	1998-10-31	PRIJEM	\N	222	52842	UROK	\N	\N
3570106	1199	1998-11-30	PRIJEM	\N	194	44577	UROK	\N	\N
3570107	1199	1998-12-31	PRIJEM	\N	182	42952	UROK	\N	\N
3570108	1200	1993-05-31	PRIJEM	\N	76	23757	UROK	\N	\N
3570109	1200	1993-06-30	PRIJEM	\N	207	57736	UROK	\N	\N
3570110	1200	1993-07-31	PRIJEM	\N	269	66786	UROK	\N	\N
3570111	1200	1993-08-31	PRIJEM	\N	293	71760	UROK	\N	\N
3570112	1200	1993-09-30	PRIJEM	\N	293	69753	UROK	\N	\N
3570113	1200	1993-10-31	PRIJEM	\N	271	61766	UROK	\N	\N
3570114	1200	1993-11-30	PRIJEM	\N	245	58654	UROK	\N	\N
3570115	1200	1993-12-31	PRIJEM	\N	265	64752	UROK	\N	\N
3570116	1200	1994-01-31	PRIJEM	\N	190	42784	UROK	\N	\N
3570117	1200	1994-02-28	PRIJEM	\N	188	47015	UROK	\N	\N
3570118	1200	1994-03-31	PRIJEM	\N	211	50768	UROK	\N	\N
3570119	1200	1994-04-30	PRIJEM	\N	229	56639	UROK	\N	\N
3570120	1200	1994-05-31	PRIJEM	\N	244	59726	UROK	\N	\N
3570121	1200	1994-06-30	PRIJEM	\N	242	56301	UROK	\N	\N
3570122	1200	1994-07-31	PRIJEM	\N	226	53370	UROK	\N	\N
3570123	1200	1994-08-31	PRIJEM	\N	211	42523	UROK	\N	\N
3570124	1200	1994-09-30	PRIJEM	\N	223	42189	UROK	\N	\N
3570125	1200	1994-10-31	PRIJEM	\N	221	40552	UROK	\N	\N
3570126	1200	1994-11-30	PRIJEM	\N	216	43710	UROK	\N	\N
3570127	1200	1994-12-31	PRIJEM	\N	258	47302	UROK	\N	\N
3570128	1200	1995-01-31	PRIJEM	\N	208	29353	UROK	\N	\N
3570129	1200	1995-02-28	PRIJEM	\N	157	35752	UROK	\N	\N
3570130	1200	1995-03-31	PRIJEM	\N	194	38188	UROK	\N	\N
3570131	1200	1995-04-30	PRIJEM	\N	205	43835	UROK	\N	\N
3570132	1200	1995-05-31	PRIJEM	\N	224	44702	UROK	\N	\N
3570133	1200	1995-06-30	PRIJEM	\N	230	38666	UROK	\N	\N
3570134	1200	1995-07-31	PRIJEM	\N	202	41710	UROK	\N	\N
3570135	1200	1995-08-31	PRIJEM	\N	214	45867	UROK	\N	\N
3570136	1200	1995-09-30	PRIJEM	\N	229	48038	UROK	\N	\N
3570137	1200	1995-10-31	PRIJEM	\N	235	48315	UROK	\N	\N
3570138	1200	1995-11-30	PRIJEM	\N	232	46089	UROK	\N	\N
3570139	1200	1995-12-31	PRIJEM	\N	252	50575	UROK	\N	\N
3570140	1200	1996-01-31	PRIJEM	\N	220	42537	UROK	\N	\N
3570141	1200	1996-02-29	PRIJEM	\N	199	39978	UROK	\N	\N
3570142	1200	1996-03-31	PRIJEM	\N	197	41218	UROK	\N	\N
3570143	1200	1996-04-30	PRIJEM	\N	202	42963	UROK	\N	\N
3570144	1200	1996-05-31	PRIJEM	\N	194	41699	UROK	\N	\N
3570145	1200	1996-06-30	PRIJEM	\N	209	41242	UROK	\N	\N
3570146	1200	1996-07-31	PRIJEM	\N	192	41076	UROK	\N	\N
3570147	1200	1996-08-31	PRIJEM	\N	193	40911	UROK	\N	\N
3570148	1200	1996-09-30	PRIJEM	\N	184	36737	UROK	\N	\N
3570149	1200	1996-10-31	PRIJEM	\N	173	37053	UROK	\N	\N
3570150	1200	1996-11-30	PRIJEM	\N	175	38371	UROK	\N	\N
3570151	1200	1996-12-31	PRIJEM	\N	202	43205	UROK	\N	\N
3570152	1200	1997-01-31	PRIJEM	\N	157	27704	UROK	\N	\N
3570153	1200	1997-02-28	PRIJEM	\N	140	32687	UROK	\N	\N
3570154	1200	1997-03-31	PRIJEM	\N	156	34286	UROK	\N	\N
3570155	1200	1997-04-30	PRIJEM	\N	165	37893	UROK	\N	\N
3570156	1200	1997-05-31	PRIJEM	\N	177	40213	UROK	\N	\N
3570157	1200	1997-06-30	PRIJEM	\N	197	44443	UROK	\N	\N
3570158	1200	1997-07-31	PRIJEM	\N	192	42177	UROK	\N	\N
3570159	1200	1997-08-31	PRIJEM	\N	185	42004	UROK	\N	\N
3570160	1200	1997-09-30	PRIJEM	\N	187	43734	UROK	\N	\N
3570161	1200	1997-10-31	PRIJEM	\N	188	43264	UROK	\N	\N
3570162	1200	1997-11-30	PRIJEM	\N	180	41286	UROK	\N	\N
3570163	1200	1997-12-31	PRIJEM	\N	195	45014	UROK	\N	\N
3570164	1200	1998-01-31	PRIJEM	\N	167	34423	UROK	\N	\N
3570165	1200	1998-02-28	PRIJEM	\N	147	35513	UROK	\N	\N
3570166	1200	1998-03-31	PRIJEM	\N	160	37915	UROK	\N	\N
3570167	1200	1998-04-30	PRIJEM	\N	153	35510	UROK	\N	\N
3570168	1200	1998-05-31	PRIJEM	\N	147	34499	UROK	\N	\N
3570169	1200	1998-06-30	PRIJEM	\N	138	28971	UROK	\N	\N
3570170	1200	1998-07-31	PRIJEM	\N	116	27829	UROK	\N	\N
3570171	1200	1998-08-31	PRIJEM	\N	78	17150	UROK	\N	\N
3570172	1200	1998-09-30	PRIJEM	\N	65	16757	UROK	\N	\N
3570173	1200	1998-10-31	PRIJEM	\N	69	16068	UROK	\N	\N
3570174	1200	1998-11-30	PRIJEM	\N	112	32122	UROK	\N	\N
3570175	1200	1998-12-31	PRIJEM	\N	214	57570	UROK	\N	\N
3570176	1201	1993-08-31	PRIJEM	\N	30	22010	UROK	\N	\N
3570177	1201	1993-09-30	PRIJEM	\N	101	28790	UROK	\N	\N
3570178	1201	1993-10-31	PRIJEM	\N	129	35199	UROK	\N	\N
3570179	1201	1993-11-30	PRIJEM	\N	153	39432	UROK	\N	\N
3570180	1201	1993-12-31	PRIJEM	\N	183	41235	UROK	\N	\N
3570181	1201	1994-01-31	PRIJEM	\N	143	26294	UROK	\N	\N
3570182	1201	1994-02-28	PRIJEM	\N	115	28865	UROK	\N	\N
3570183	1201	1994-03-31	PRIJEM	\N	129	32750	UROK	\N	\N
3570184	1201	1994-04-30	PRIJEM	\N	128	32475	UROK	\N	\N
3570185	1201	1994-05-31	PRIJEM	\N	119	28691	UROK	\N	\N
3570186	1201	1994-06-30	PRIJEM	\N	130	33557	UROK	\N	\N
3570187	1201	1994-07-31	PRIJEM	\N	142	34355	UROK	\N	\N
3570188	1201	1994-08-31	PRIJEM	\N	138	31949	UROK	\N	\N
3570189	1201	1994-09-30	PRIJEM	\N	137	34342	UROK	\N	\N
3570190	1201	1994-10-31	PRIJEM	\N	135	30154	UROK	\N	\N
3570191	1201	1994-11-30	PRIJEM	\N	129	32939	UROK	\N	\N
3570192	1201	1994-12-31	PRIJEM	\N	137	34053	UROK	\N	\N
3570193	1201	1995-01-31	PRIJEM	\N	111	18880	UROK	\N	\N
3570194	1201	1995-02-28	PRIJEM	\N	106	32342	UROK	\N	\N
3570195	1201	1995-03-31	PRIJEM	\N	132	28690	UROK	\N	\N
3570196	1201	1995-04-30	PRIJEM	\N	119	28346	UROK	\N	\N
3570197	1201	1995-05-31	PRIJEM	\N	127	33629	UROK	\N	\N
3570198	1201	1995-06-30	PRIJEM	\N	170	48196	UROK	\N	\N
3570199	1201	1995-07-31	PRIJEM	\N	206	51619	UROK	\N	\N
3570200	1201	1995-08-31	PRIJEM	\N	203	49578	UROK	\N	\N
3570201	1201	1995-09-30	PRIJEM	\N	209	53144	UROK	\N	\N
3570202	1201	1995-10-31	PRIJEM	\N	222	55822	UROK	\N	\N
3570203	1201	1995-11-30	PRIJEM	\N	218	54096	UROK	\N	\N
3570204	1201	1995-12-31	PRIJEM	\N	224	57556	UROK	\N	\N
3570205	1201	1996-01-31	PRIJEM	\N	158	34730	UROK	\N	\N
3570206	1201	1996-02-29	PRIJEM	\N	145	39132	UROK	\N	\N
3570207	1201	1996-03-31	PRIJEM	\N	155	40243	UROK	\N	\N
3570208	1201	1996-04-30	PRIJEM	\N	176	46775	UROK	\N	\N
3570209	1201	1996-05-31	PRIJEM	\N	195	50226	UROK	\N	\N
3570210	1201	1996-06-30	PRIJEM	\N	160	41902	UROK	\N	\N
3570211	1201	1996-07-31	PRIJEM	\N	155	38874	UROK	\N	\N
3570212	1201	1996-08-31	PRIJEM	\N	140	32450	UROK	\N	\N
3570213	1201	1996-09-30	PRIJEM	\N	144	35890	UROK	\N	\N
3570214	1201	1996-10-31	PRIJEM	\N	141	38007	UROK	\N	\N
3570215	1201	1996-11-30	PRIJEM	\N	163	43927	UROK	\N	\N
3570216	1201	1996-12-31	PRIJEM	\N	189	50612	UROK	\N	\N
3570217	1201	1997-01-31	PRIJEM	\N	165	34194	UROK	\N	\N
3570218	1201	1997-02-28	PRIJEM	\N	150	41400	UROK	\N	\N
3570219	1201	1997-03-31	PRIJEM	\N	181	48237	UROK	\N	\N
3570220	1201	1997-04-30	PRIJEM	\N	176	42409	UROK	\N	\N
3570221	1201	1997-05-31	PRIJEM	\N	173	45739	UROK	\N	\N
3570222	1201	1997-06-30	PRIJEM	\N	206	57041	UROK	\N	\N
3570223	1201	1997-07-31	PRIJEM	\N	214	54111	UROK	\N	\N
3570224	1201	1997-08-31	PRIJEM	\N	210	53877	UROK	\N	\N
3570225	1201	1997-09-30	PRIJEM	\N	200	47694	UROK	\N	\N
3570226	1201	1997-10-31	PRIJEM	\N	189	48239	UROK	\N	\N
3570227	1201	1997-11-30	PRIJEM	\N	210	49305	UROK	\N	\N
3570228	1201	1997-12-31	PRIJEM	\N	221	52463	UROK	\N	\N
3570229	1201	1998-01-31	PRIJEM	\N	183	43642	UROK	\N	\N
3570230	1201	1998-02-28	PRIJEM	\N	190	47989	UROK	\N	\N
3570231	1201	1998-03-31	PRIJEM	\N	210	52656	UROK	\N	\N
3570232	1201	1998-04-30	PRIJEM	\N	218	50550	UROK	\N	\N
3570233	1201	1998-05-31	PRIJEM	\N	218	52124	UROK	\N	\N
3570234	1201	1998-06-30	PRIJEM	\N	188	45749	UROK	\N	\N
3570235	1201	1998-07-31	PRIJEM	\N	198	48804	UROK	\N	\N
3570236	1201	1998-08-31	PRIJEM	\N	208	54328	UROK	\N	\N
3570237	1201	1998-09-30	PRIJEM	\N	224	59168	UROK	\N	\N
3570238	1201	1998-10-31	PRIJEM	\N	257	67582	UROK	\N	\N
3570239	1201	1998-11-30	PRIJEM	\N	273	66852	UROK	\N	\N
3570240	1201	1998-12-31	PRIJEM	\N	297	79324	UROK	\N	\N
3570241	1203	1995-08-31	PRIJEM	\N	61	21684	UROK	\N	\N
3570242	1203	1995-09-30	PRIJEM	\N	145	41452	UROK	\N	\N
3570243	1203	1995-10-31	PRIJEM	\N	198	50773	UROK	\N	\N
3570244	1203	1995-11-30	PRIJEM	\N	227	56523	UROK	\N	\N
3570245	1203	1995-12-31	PRIJEM	\N	272	69563	UROK	\N	\N
3570246	1203	1996-01-31	PRIJEM	\N	206	39017	UROK	\N	\N
3570247	1203	1996-02-29	PRIJEM	\N	181	47845	UROK	\N	\N
3570248	1203	1996-03-31	PRIJEM	\N	192	48585	UROK	\N	\N
3570249	1203	1996-04-30	PRIJEM	\N	192	47324	UROK	\N	\N
3570250	1203	1996-05-31	PRIJEM	\N	195	48466	UROK	\N	\N
3570251	1203	1996-06-30	PRIJEM	\N	188	51012	UROK	\N	\N
3570252	1203	1996-07-31	PRIJEM	\N	217	55477	UROK	\N	\N
3570253	1203	1996-08-31	PRIJEM	\N	227	57251	UROK	\N	\N
3570254	1203	1996-09-30	PRIJEM	\N	247	63046	UROK	\N	\N
3570255	1203	1996-10-31	PRIJEM	\N	267	67460	UROK	\N	\N
3570256	1203	1996-11-30	PRIJEM	\N	279	69986	UROK	\N	\N
3570257	1203	1996-12-31	PRIJEM	\N	316	82560	UROK	\N	\N
3570258	1203	1997-01-31	PRIJEM	\N	278	52886	UROK	\N	\N
3570259	1203	1997-02-28	PRIJEM	\N	259	68192	UROK	\N	\N
3570260	1203	1997-03-31	PRIJEM	\N	272	67911	UROK	\N	\N
3570261	1203	1997-04-30	PRIJEM	\N	276	69135	UROK	\N	\N
3570262	1203	1997-05-31	PRIJEM	\N	273	57555	UROK	\N	\N
3570263	1203	1997-06-30	PRIJEM	\N	282	50296	UROK	\N	\N
3570264	1203	1997-07-31	PRIJEM	\N	250	56193	UROK	\N	\N
3570265	1203	1997-08-31	PRIJEM	\N	248	61088	UROK	\N	\N
3570266	1203	1997-09-30	PRIJEM	\N	291	64527	UROK	\N	\N
3570267	1203	1997-10-31	PRIJEM	\N	299	62873	UROK	\N	\N
3570268	1203	1997-11-30	PRIJEM	\N	295	64416	UROK	\N	\N
3570269	1203	1997-12-31	PRIJEM	\N	324	69198	UROK	\N	\N
3570270	1203	1998-01-31	PRIJEM	\N	299	61945	UROK	\N	\N
3570271	1203	1998-02-28	PRIJEM	\N	291	66383	UROK	\N	\N
3570272	1203	1998-03-31	PRIJEM	\N	286	66316	UROK	\N	\N
3570273	1203	1998-04-30	PRIJEM	\N	314	75777	UROK	\N	\N
3570274	1203	1998-05-31	PRIJEM	\N	338	76563	UROK	\N	\N
3570275	1203	1998-06-30	PRIJEM	\N	322	69943	UROK	\N	\N
3570276	1203	1998-07-31	PRIJEM	\N	323	75013	UROK	\N	\N
3570277	1203	1998-08-31	PRIJEM	\N	340	78800	UROK	\N	\N
3570278	1203	1998-09-30	PRIJEM	\N	348	76996	UROK	\N	\N
3570279	1203	1998-10-31	PRIJEM	\N	344	78787	UROK	\N	\N
3570280	1203	1998-11-30	PRIJEM	\N	354	83688	UROK	\N	\N
3570281	1203	1998-12-31	PRIJEM	\N	370	90817	UROK	\N	\N
3570282	1204	1993-12-31	PRIJEM	\N	132	36359	UROK	\N	\N
3570283	1204	1994-01-31	PRIJEM	\N	216	54493	UROK	\N	\N
3570284	1204	1994-02-28	PRIJEM	\N	251	61562	UROK	\N	\N
3570285	1204	1994-03-31	PRIJEM	\N	283	69163	UROK	\N	\N
3570286	1204	1994-04-30	PRIJEM	\N	265	62400	UROK	\N	\N
3570287	1204	1994-05-31	PRIJEM	\N	257	60314	UROK	\N	\N
3570288	1204	1994-06-30	PRIJEM	\N	203	24744	UROK	\N	\N
3570289	1204	1994-07-31	PRIJEM	\N	154	38555	UROK	\N	\N
3570290	1204	1994-08-31	PRIJEM	\N	192	34504	UROK	\N	\N
3570291	1204	1994-09-30	PRIJEM	\N	205	36566	UROK	\N	\N
3570292	1204	1994-10-31	PRIJEM	\N	210	31953	UROK	\N	\N
3570293	1204	1994-11-30	PRIJEM	\N	190	37500	UROK	\N	\N
3570294	1204	1994-12-31	PRIJEM	\N	246	43513	UROK	\N	\N
3570295	1204	1995-01-31	PRIJEM	\N	228	37258	UROK	\N	\N
3570296	1204	1995-02-28	PRIJEM	\N	208	37324	UROK	\N	\N
3570297	1204	1995-03-31	PRIJEM	\N	208	37489	UROK	\N	\N
3570298	1204	1995-04-30	PRIJEM	\N	204	34011	UROK	\N	\N
3570299	1204	1995-05-31	PRIJEM	\N	193	36761	UROK	\N	\N
3570300	1204	1995-06-30	PRIJEM	\N	200	29967	UROK	\N	\N
3570301	1204	1995-07-31	PRIJEM	\N	175	33600	UROK	\N	\N
3570302	1204	1995-08-31	PRIJEM	\N	188	36045	UROK	\N	\N
3570303	1204	1995-09-30	PRIJEM	\N	203	40906	UROK	\N	\N
3570304	1204	1995-10-31	PRIJEM	\N	202	40265	UROK	\N	\N
3570305	1204	1995-11-30	PRIJEM	\N	214	44136	UROK	\N	\N
3570306	1204	1995-12-31	PRIJEM	\N	262	51684	UROK	\N	\N
3570307	1204	1996-01-31	PRIJEM	\N	231	40492	UROK	\N	\N
3570308	1204	1996-02-29	PRIJEM	\N	217	44866	UROK	\N	\N
3570309	1204	1996-03-31	PRIJEM	\N	229	47652	UROK	\N	\N
3570310	1204	1996-04-30	PRIJEM	\N	235	47704	UROK	\N	\N
3570311	1204	1996-05-31	PRIJEM	\N	236	48597	UROK	\N	\N
3570312	1204	1996-06-30	PRIJEM	\N	247	37930	UROK	\N	\N
3570313	1204	1996-07-31	PRIJEM	\N	208	48195	UROK	\N	\N
3570314	1204	1996-08-31	PRIJEM	\N	244	55196	UROK	\N	\N
3570315	1204	1996-09-30	PRIJEM	\N	270	58924	UROK	\N	\N
3570316	1204	1996-10-31	PRIJEM	\N	267	53608	UROK	\N	\N
3570317	1204	1996-11-30	PRIJEM	\N	259	58125	UROK	\N	\N
3570318	1204	1996-12-31	PRIJEM	\N	306	68217	UROK	\N	\N
3570319	1204	1997-01-31	PRIJEM	\N	288	59842	UROK	\N	\N
3570320	1204	1997-02-28	PRIJEM	\N	292	66791	UROK	\N	\N
3570321	1204	1997-03-31	PRIJEM	\N	303	68132	UROK	\N	\N
3570322	1204	1997-04-30	PRIJEM	\N	308	71078	UROK	\N	\N
3570323	1204	1997-05-31	PRIJEM	\N	324	73459	UROK	\N	\N
3570324	1204	1997-06-30	PRIJEM	\N	250	55076	UROK	\N	\N
3570325	1204	1997-07-31	PRIJEM	\N	270	60483	UROK	\N	\N
3570326	1204	1997-08-31	PRIJEM	\N	276	61776	UROK	\N	\N
3570327	1204	1997-09-30	PRIJEM	\N	279	60592	UROK	\N	\N
3570328	1204	1997-10-31	PRIJEM	\N	290	69440	UROK	\N	\N
3570329	1204	1997-11-30	PRIJEM	\N	296	67433	UROK	\N	\N
3570330	1204	1997-12-31	PRIJEM	\N	335	76314	UROK	\N	\N
3570331	1204	1998-01-31	PRIJEM	\N	317	68388	UROK	\N	\N
3570332	1204	1998-02-28	PRIJEM	\N	304	72050	UROK	\N	\N
3570333	1204	1998-03-31	PRIJEM	\N	313	67920	UROK	\N	\N
3570334	1204	1998-04-30	PRIJEM	\N	291	66948	UROK	\N	\N
3570335	1204	1998-05-31	PRIJEM	\N	290	66296	UROK	\N	\N
3570336	1204	1998-06-30	PRIJEM	\N	271	59153	UROK	\N	\N
3570337	1204	1998-07-31	PRIJEM	\N	275	66385	UROK	\N	\N
3570338	1204	1998-08-31	PRIJEM	\N	279	65022	UROK	\N	\N
3570339	1204	1998-09-30	PRIJEM	\N	282	67862	UROK	\N	\N
3570340	1204	1998-10-31	PRIJEM	\N	303	71222	UROK	\N	\N
3570341	1204	1998-11-30	PRIJEM	\N	314	76794	UROK	\N	\N
3570342	1204	1998-12-31	PRIJEM	\N	341	82802	UROK	\N	\N
3570343	1205	1994-10-31	PRIJEM	\N	16	6355	UROK	\N	\N
3570344	1205	1994-11-30	PRIJEM	\N	26	11621	UROK	\N	\N
3570345	1205	1994-12-31	PRIJEM	\N	26	16886	UROK	\N	\N
3570346	1205	1995-01-31	PRIJEM	\N	26	22151	UROK	\N	\N
3570347	1205	1995-02-28	PRIJEM	\N	30	27420	UROK	\N	\N
3570348	1205	1995-03-31	PRIJEM	\N	116	28672	UROK	\N	\N
3570349	1205	1995-04-30	PRIJEM	\N	122	29749	UROK	\N	\N
3570350	1205	1995-05-31	PRIJEM	\N	121	30105	UROK	\N	\N
3570351	1205	1995-06-30	PRIJEM	\N	131	32472	UROK	\N	\N
3570352	1205	1995-07-31	PRIJEM	\N	131	32518	UROK	\N	\N
3570353	1205	1995-08-31	PRIJEM	\N	134	33387	UROK	\N	\N
3570354	1205	1995-09-30	PRIJEM	\N	130	32153	UROK	\N	\N
3570355	1205	1995-10-31	PRIJEM	\N	136	34024	UROK	\N	\N
3570356	1205	1995-11-30	PRIJEM	\N	127	30986	UROK	\N	\N
3570357	1205	1995-12-31	PRIJEM	\N	127	31049	UROK	\N	\N
3570358	1205	1996-01-31	PRIJEM	\N	107	23471	UROK	\N	\N
3570359	1205	1996-02-29	PRIJEM	\N	103	24209	UROK	\N	\N
3570360	1205	1996-03-31	PRIJEM	\N	103	26248	UROK	\N	\N
3570361	1205	1996-04-30	PRIJEM	\N	113	28296	UROK	\N	\N
3570362	1205	1996-05-31	PRIJEM	\N	112	27844	UROK	\N	\N
3570363	1205	1996-06-30	PRIJEM	\N	120	26700	UROK	\N	\N
3570364	1205	1996-07-31	PRIJEM	\N	114	22849	UROK	\N	\N
3570365	1205	1996-08-31	PRIJEM	\N	95	19580	UROK	\N	\N
3570366	1205	1996-09-30	PRIJEM	\N	76	18451	UROK	\N	\N
3570367	1205	1996-10-31	PRIJEM	\N	82	20769	UROK	\N	\N
3570368	1205	1996-11-30	PRIJEM	\N	89	19953	UROK	\N	\N
3570369	1205	1996-12-31	PRIJEM	\N	81	18818	UROK	\N	\N
3570370	1205	1997-01-31	PRIJEM	\N	67	17281	UROK	\N	\N
3570371	1205	1997-02-28	PRIJEM	\N	77	19593	UROK	\N	\N
3570372	1205	1997-03-31	PRIJEM	\N	86	19674	UROK	\N	\N
3570373	1205	1997-04-30	PRIJEM	\N	80	17350	UROK	\N	\N
3570374	1205	1997-05-31	PRIJEM	\N	77	19662	UROK	\N	\N
3570375	1205	1997-06-30	PRIJEM	\N	87	21984	UROK	\N	\N
3570376	1205	1997-07-31	PRIJEM	\N	97	24316	UROK	\N	\N
3570377	1205	1997-08-31	PRIJEM	\N	106	26658	UROK	\N	\N
3570378	1205	1997-09-30	PRIJEM	\N	116	29009	UROK	\N	\N
3570379	1205	1997-10-31	PRIJEM	\N	112	26796	UROK	\N	\N
3570380	1205	1997-11-30	PRIJEM	\N	108	25219	UROK	\N	\N
3570381	1205	1997-12-31	PRIJEM	\N	105	26709	UROK	\N	\N
3570382	1205	1998-01-31	PRIJEM	\N	102	22327	UROK	\N	\N
3570383	1205	1998-02-28	PRIJEM	\N	95	23697	UROK	\N	\N
3570384	1205	1998-03-31	PRIJEM	\N	103	26036	UROK	\N	\N
3570385	1205	1998-04-30	PRIJEM	\N	93	19964	UROK	\N	\N
3570386	1205	1998-05-31	PRIJEM	\N	86	19405	UROK	\N	\N
3570387	1205	1998-06-30	PRIJEM	\N	80	21081	UROK	\N	\N
3570388	1205	1998-07-31	PRIJEM	\N	92	23408	UROK	\N	\N
3570389	1205	1998-08-31	PRIJEM	\N	101	25104	UROK	\N	\N
3570390	1205	1998-09-30	PRIJEM	\N	109	27448	UROK	\N	\N
3570391	1205	1998-10-31	PRIJEM	\N	118	29802	UROK	\N	\N
3570392	1205	1998-11-30	PRIJEM	\N	128	32165	UROK	\N	\N
3570393	1205	1998-12-31	PRIJEM	\N	136	33387	UROK	\N	\N
3570394	1206	1996-02-29	PRIJEM	\N	37	21569	UROK	\N	\N
3570395	1206	1996-03-31	PRIJEM	\N	105	23778	UROK	\N	\N
3570396	1206	1996-04-30	PRIJEM	\N	95	21683	UROK	\N	\N
3570397	1206	1996-05-31	PRIJEM	\N	106	23878	UROK	\N	\N
3570398	1206	1996-06-30	PRIJEM	\N	98	20265	UROK	\N	\N
3570399	1206	1996-07-31	PRIJEM	\N	85	19840	UROK	\N	\N
3570400	1206	1996-08-31	PRIJEM	\N	86	20916	UROK	\N	\N
3570401	1206	1996-09-30	PRIJEM	\N	84	18089	UROK	\N	\N
3570402	1206	1996-10-31	PRIJEM	\N	76	17654	UROK	\N	\N
3570403	1206	1996-11-30	PRIJEM	\N	72	16515	UROK	\N	\N
3570404	1206	1996-12-31	PRIJEM	\N	69	16173	UROK	\N	\N
3570405	1206	1997-01-31	PRIJEM	\N	67	16280	UROK	\N	\N
3570406	1206	1997-02-28	PRIJEM	\N	74	18443	UROK	\N	\N
3570407	1206	1997-03-31	PRIJEM	\N	84	18297	UROK	\N	\N
3570408	1206	1997-04-30	PRIJEM	\N	75	16961	UROK	\N	\N
3570409	1206	1997-05-31	PRIJEM	\N	70	16121	UROK	\N	\N
3570410	1206	1997-06-30	PRIJEM	\N	66	15676	UROK	\N	\N
3570411	1206	1997-07-31	PRIJEM	\N	59	13325	UROK	\N	\N
3570412	1206	1997-08-31	PRIJEM	\N	59	14573	UROK	\N	\N
3570413	1206	1997-09-30	PRIJEM	\N	63	15526	UROK	\N	\N
3570414	1206	1997-10-31	PRIJEM	\N	72	14886	UROK	\N	\N
3570415	1206	1997-11-30	PRIJEM	\N	71	14947	UROK	\N	\N
3570416	1206	1997-12-31	PRIJEM	\N	63	13099	UROK	\N	\N
3570417	1206	1998-01-31	PRIJEM	\N	58	13647	UROK	\N	\N
3570418	1206	1998-02-28	PRIJEM	\N	66	14002	UROK	\N	\N
3570419	1206	1998-03-31	PRIJEM	\N	73	16165	UROK	\N	\N
3570420	1206	1998-04-30	PRIJEM	\N	68	16623	UROK	\N	\N
3570421	1206	1998-05-31	PRIJEM	\N	68	13120	UROK	\N	\N
3570422	1206	1998-06-30	PRIJEM	\N	69	15278	UROK	\N	\N
3570423	1206	1998-07-31	PRIJEM	\N	69	17437	UROK	\N	\N
3570424	1206	1998-08-31	PRIJEM	\N	70	13496	UROK	\N	\N
3570425	1206	1998-09-30	PRIJEM	\N	62	15647	UROK	\N	\N
3570426	1206	1998-10-31	PRIJEM	\N	71	17807	UROK	\N	\N
3570427	1206	1998-11-30	PRIJEM	\N	78	16134	UROK	\N	\N
3570428	1206	1998-12-31	PRIJEM	\N	78	17151	UROK	\N	\N
3570429	1207	1993-06-30	PRIJEM	\N	90	29425	UROK	\N	\N
3570430	1207	1993-07-31	PRIJEM	\N	174	46289	UROK	\N	\N
3570431	1207	1993-08-31	PRIJEM	\N	213	53092	UROK	\N	\N
3570432	1207	1993-09-30	PRIJEM	\N	232	57014	UROK	\N	\N
3570433	1207	1993-10-31	PRIJEM	\N	229	52981	UROK	\N	\N
3570434	1207	1993-11-30	PRIJEM	\N	210	47654	UROK	\N	\N
3570435	1207	1993-12-31	PRIJEM	\N	213	52095	UROK	\N	\N
3570436	1207	1994-01-31	PRIJEM	\N	188	35286	UROK	\N	\N
3570437	1207	1994-02-28	PRIJEM	\N	166	38676	UROK	\N	\N
3570438	1207	1994-03-31	PRIJEM	\N	177	42477	UROK	\N	\N
3570439	1207	1994-04-30	PRIJEM	\N	184	43384	UROK	\N	\N
3570440	1207	1994-05-31	PRIJEM	\N	190	44997	UROK	\N	\N
3570441	1207	1994-06-30	PRIJEM	\N	191	33636	UROK	\N	\N
3570442	1207	1994-07-31	PRIJEM	\N	160	35900	UROK	\N	\N
3570443	1207	1994-08-31	PRIJEM	\N	171	41594	UROK	\N	\N
3570444	1207	1994-09-30	PRIJEM	\N	188	45106	UROK	\N	\N
3570445	1207	1994-10-31	PRIJEM	\N	196	46186	UROK	\N	\N
3570446	1207	1994-11-30	PRIJEM	\N	193	46722	UROK	\N	\N
3570447	1207	1994-12-31	PRIJEM	\N	201	40932	UROK	\N	\N
3570448	1207	1995-01-31	PRIJEM	\N	159	29474	UROK	\N	\N
3570449	1207	1995-02-28	PRIJEM	\N	145	39442	UROK	\N	\N
3570450	1207	1995-03-31	PRIJEM	\N	167	38593	UROK	\N	\N
3570451	1207	1995-04-30	PRIJEM	\N	189	38805	UROK	\N	\N
3570452	1207	1995-05-31	PRIJEM	\N	183	40811	UROK	\N	\N
3570453	1207	1995-06-30	PRIJEM	\N	206	26425	UROK	\N	\N
3570454	1207	1995-07-31	PRIJEM	\N	133	33581	UROK	\N	\N
3570455	1207	1995-08-31	PRIJEM	\N	160	37865	UROK	\N	\N
3570456	1207	1995-09-30	PRIJEM	\N	175	38363	UROK	\N	\N
3570457	1207	1995-10-31	PRIJEM	\N	179	43066	UROK	\N	\N
3570458	1207	1995-11-30	PRIJEM	\N	184	36633	UROK	\N	\N
3570459	1207	1995-12-31	PRIJEM	\N	198	44319	UROK	\N	\N
3570460	1207	1996-01-31	PRIJEM	\N	194	38396	UROK	\N	\N
3570461	1207	1996-02-29	PRIJEM	\N	172	35292	UROK	\N	\N
3570462	1207	1996-03-31	PRIJEM	\N	166	41081	UROK	\N	\N
3570463	1207	1996-04-30	PRIJEM	\N	183	41487	UROK	\N	\N
3570464	1207	1996-05-31	PRIJEM	\N	183	43094	UROK	\N	\N
3570465	1207	1996-06-30	PRIJEM	\N	194	35536	UROK	\N	\N
3570466	1207	1996-07-31	PRIJEM	\N	162	36221	UROK	\N	\N
3570467	1207	1996-08-31	PRIJEM	\N	165	40009	UROK	\N	\N
3570468	1207	1996-09-30	PRIJEM	\N	170	38523	UROK	\N	\N
3570469	1207	1996-10-31	PRIJEM	\N	175	43421	UROK	\N	\N
3570470	1207	1996-11-30	PRIJEM	\N	187	43631	UROK	\N	\N
3570471	1207	1996-12-31	PRIJEM	\N	200	44999	UROK	\N	\N
3570472	1207	1997-01-31	PRIJEM	\N	190	41473	UROK	\N	\N
3570473	1207	1997-02-28	PRIJEM	\N	178	38973	UROK	\N	\N
3570474	1207	1997-03-31	PRIJEM	\N	172	40329	UROK	\N	\N
3570475	1207	1997-04-30	PRIJEM	\N	171	38503	UROK	\N	\N
3570476	1207	1997-05-31	PRIJEM	\N	167	40493	UROK	\N	\N
3570477	1207	1997-06-30	PRIJEM	\N	208	49790	UROK	\N	\N
3570478	1207	1997-07-31	PRIJEM	\N	210	50223	UROK	\N	\N
3570479	1207	1997-08-31	PRIJEM	\N	206	48853	UROK	\N	\N
3570480	1207	1997-09-30	PRIJEM	\N	203	49079	UROK	\N	\N
3570481	1207	1997-10-31	PRIJEM	\N	204	49706	UROK	\N	\N
3570482	1207	1997-11-30	PRIJEM	\N	212	49762	UROK	\N	\N
3570483	1207	1997-12-31	PRIJEM	\N	212	52222	UROK	\N	\N
3570484	1207	1998-01-31	PRIJEM	\N	200	42446	UROK	\N	\N
3570485	1207	1998-02-28	PRIJEM	\N	161	37730	UROK	\N	\N
3570486	1207	1998-03-31	PRIJEM	\N	170	44624	UROK	\N	\N
3570487	1207	1998-04-30	PRIJEM	\N	182	45229	UROK	\N	\N
3570488	1207	1998-05-31	PRIJEM	\N	188	47241	UROK	\N	\N
3570489	1207	1998-06-30	PRIJEM	\N	184	37093	UROK	\N	\N
3570490	1207	1998-07-31	PRIJEM	\N	145	34061	UROK	\N	\N
3570491	1207	1998-08-31	PRIJEM	\N	137	33722	UROK	\N	\N
3570492	1207	1998-09-30	PRIJEM	\N	130	30775	UROK	\N	\N
3570493	1207	1998-10-31	PRIJEM	\N	111	25910	UROK	\N	\N
3570494	1207	1998-11-30	PRIJEM	\N	118	28751	UROK	\N	\N
3570495	1207	1998-12-31	PRIJEM	\N	138	30578	UROK	\N	\N
3570496	1208	1997-11-30	PRIJEM	\N	45	17885	UROK	\N	\N
3570497	1208	1997-12-31	PRIJEM	\N	150	47695	UROK	\N	\N
3570498	1208	1998-01-31	PRIJEM	\N	226	58761	UROK	\N	\N
3570499	1208	1998-02-28	PRIJEM	\N	256	63656	UROK	\N	\N
3570500	1208	1998-03-31	PRIJEM	\N	266	64262	UROK	\N	\N
3570501	1208	1998-04-30	PRIJEM	\N	249	62484	UROK	\N	\N
3570502	1208	1998-05-31	PRIJEM	\N	235	58492	UROK	\N	\N
3570503	1208	1998-06-30	PRIJEM	\N	203	35648	UROK	\N	\N
3570504	1208	1998-07-31	PRIJEM	\N	166	45188	UROK	\N	\N
3570505	1208	1998-08-31	PRIJEM	\N	193	51254	UROK	\N	\N
3570506	1208	1998-09-30	PRIJEM	\N	203	53051	UROK	\N	\N
3570507	1208	1998-10-31	PRIJEM	\N	204	49389	UROK	\N	\N
3570508	1208	1998-11-30	PRIJEM	\N	208	55170	UROK	\N	\N
3570509	1208	1998-12-31	PRIJEM	\N	243	65786	UROK	\N	\N
3570510	1209	1998-01-31	PRIJEM	\N	23	15682	UROK	\N	\N
3570511	1209	1998-02-28	PRIJEM	\N	70	19606	UROK	\N	\N
3570512	1209	1998-03-31	PRIJEM	\N	82	18773	UROK	\N	\N
3570513	1209	1998-04-30	PRIJEM	\N	80	19124	UROK	\N	\N
3570514	1209	1998-05-31	PRIJEM	\N	72	15026	UROK	\N	\N
3570515	1209	1998-06-30	PRIJEM	\N	60	12657	UROK	\N	\N
3570516	1209	1998-07-31	PRIJEM	\N	56	14084	UROK	\N	\N
3570517	1209	1998-08-31	PRIJEM	\N	60	14794	UROK	\N	\N
3570518	1209	1998-09-30	PRIJEM	\N	66	16630	UROK	\N	\N
3570519	1209	1998-10-31	PRIJEM	\N	74	18474	UROK	\N	\N
3570520	1209	1998-11-30	PRIJEM	\N	80	19925	UROK	\N	\N
3570521	1209	1998-12-31	PRIJEM	\N	85	18450	UROK	\N	\N
3570522	1211	1996-08-31	PRIJEM	\N	23	7626	UROK	\N	\N
3570523	1211	1996-09-30	PRIJEM	\N	85	25913	UROK	\N	\N
3570524	1211	1996-10-31	PRIJEM	\N	137	36054	UROK	\N	\N
3570525	1211	1996-11-30	PRIJEM	\N	166	41823	UROK	\N	\N
3570526	1211	1996-12-31	PRIJEM	\N	189	46694	UROK	\N	\N
3570527	1211	1997-01-31	PRIJEM	\N	147	30195	UROK	\N	\N
3570528	1211	1997-02-28	PRIJEM	\N	132	32880	UROK	\N	\N
3570529	1211	1997-03-31	PRIJEM	\N	147	34580	UROK	\N	\N
3570530	1211	1997-04-30	PRIJEM	\N	153	37386	UROK	\N	\N
3570531	1211	1997-05-31	PRIJEM	\N	153	37293	UROK	\N	\N
3570532	1211	1997-06-30	PRIJEM	\N	150	24647	UROK	\N	\N
3570533	1211	1997-07-31	PRIJEM	\N	116	29416	UROK	\N	\N
3570534	1211	1997-08-31	PRIJEM	\N	126	31296	UROK	\N	\N
3570535	1211	1997-09-30	PRIJEM	\N	134	33183	UROK	\N	\N
3570536	1211	1997-10-31	PRIJEM	\N	133	28869	UROK	\N	\N
3570537	1211	1997-11-30	PRIJEM	\N	130	30853	UROK	\N	\N
3570538	1211	1997-12-31	PRIJEM	\N	144	36001	UROK	\N	\N
3570539	1211	1998-01-31	PRIJEM	\N	105	17159	UROK	\N	\N
3570540	1211	1998-02-28	PRIJEM	\N	109	27622	UROK	\N	\N
3570541	1211	1998-03-31	PRIJEM	\N	103	23878	UROK	\N	\N
3570542	1211	1998-04-30	PRIJEM	\N	103	26135	UROK	\N	\N
3570543	1211	1998-05-31	PRIJEM	\N	124	31712	UROK	\N	\N
3570544	1211	1998-06-30	PRIJEM	\N	110	22327	UROK	\N	\N
3570545	1211	1998-07-31	PRIJEM	\N	92	22872	UROK	\N	\N
3570546	1211	1998-08-31	PRIJEM	\N	99	24025	UROK	\N	\N
3570547	1211	1998-09-30	PRIJEM	\N	103	22881	UROK	\N	\N
3570548	1211	1998-10-31	PRIJEM	\N	89	18724	UROK	\N	\N
3570549	1211	1998-11-30	PRIJEM	\N	82	20159	UROK	\N	\N
3570550	1211	1998-12-31	PRIJEM	\N	94	24457	UROK	\N	\N
3570551	1212	1996-05-31	PRIJEM	\N	111	29186	UROK	\N	\N
3570552	1212	1996-06-30	PRIJEM	\N	123	27285	UROK	\N	\N
3570553	1212	1996-07-31	PRIJEM	\N	115	22316	UROK	\N	\N
3570554	1212	1996-08-31	PRIJEM	\N	95	19887	UROK	\N	\N
3570555	1212	1996-09-30	PRIJEM	\N	82	17106	UROK	\N	\N
3570556	1212	1996-10-31	PRIJEM	\N	73	16055	UROK	\N	\N
3570557	1212	1996-11-30	PRIJEM	\N	68	14699	UROK	\N	\N
3570558	1212	1996-12-31	PRIJEM	\N	55	11951	UROK	\N	\N
3570559	1212	1997-01-31	PRIJEM	\N	58	12805	UROK	\N	\N
3570560	1212	1997-02-28	PRIJEM	\N	65	15147	UROK	\N	\N
3570561	1212	1997-03-31	PRIJEM	\N	73	17496	UROK	\N	\N
3570562	1212	1997-04-30	PRIJEM	\N	68	14440	UROK	\N	\N
3570563	1212	1997-05-31	PRIJEM	\N	55	11471	UROK	\N	\N
3570564	1212	1997-06-30	PRIJEM	\N	49	10997	UROK	\N	\N
3570565	1212	1997-07-31	PRIJEM	\N	51	11224	UROK	\N	\N
3570566	1212	1997-08-31	PRIJEM	\N	57	13257	UROK	\N	\N
3570567	1212	1997-09-30	PRIJEM	\N	53	12187	UROK	\N	\N
3570568	1212	1997-10-31	PRIJEM	\N	52	12215	UROK	\N	\N
3570569	1212	1997-11-30	PRIJEM	\N	56	13147	UROK	\N	\N
3570570	1212	1997-12-31	PRIJEM	\N	50	11173	UROK	\N	\N
3570571	1212	1998-01-31	PRIJEM	\N	61	12751	UROK	\N	\N
3570572	1212	1998-02-28	PRIJEM	\N	67	16895	UROK	\N	\N
3570573	1212	1998-03-31	PRIJEM	\N	95	21066	UROK	\N	\N
3570574	1212	1998-04-30	PRIJEM	\N	57	12099	UROK	\N	\N
3570575	1212	1998-05-31	PRIJEM	\N	75	16250	UROK	\N	\N
3570576	1212	1998-06-30	PRIJEM	\N	58	11085	UROK	\N	\N
3570577	1212	1998-07-31	PRIJEM	\N	61	15222	UROK	\N	\N
3570578	1212	1998-08-31	PRIJEM	\N	78	19376	UROK	\N	\N
3570579	1212	1998-09-30	PRIJEM	\N	80	19433	UROK	\N	\N
3570580	1212	1998-10-31	PRIJEM	\N	97	21307	UROK	\N	\N
3570581	1212	1998-11-30	PRIJEM	\N	80	19163	UROK	\N	\N
3570582	1212	1998-12-31	PRIJEM	\N	82	16702	UROK	\N	\N
3570583	1213	1996-05-31	PRIJEM	\N	12	5121	UROK	\N	\N
3570584	1213	1996-06-30	PRIJEM	\N	21	10052	UROK	\N	\N
3570585	1213	1996-07-31	PRIJEM	\N	21	14982	UROK	\N	\N
3570586	1213	1996-08-31	PRIJEM	\N	21	19912	UROK	\N	\N
3570587	1213	1996-09-30	PRIJEM	\N	66	23887	UROK	\N	\N
3570588	1213	1996-10-31	PRIJEM	\N	89	22486	UROK	\N	\N
3570589	1213	1996-11-30	PRIJEM	\N	71	17548	UROK	\N	\N
3570590	1213	1996-12-31	PRIJEM	\N	69	17777	UROK	\N	\N
3570591	1213	1997-01-31	PRIJEM	\N	65	14872	UROK	\N	\N
3570592	1213	1997-02-28	PRIJEM	\N	57	15240	UROK	\N	\N
3570593	1213	1997-03-31	PRIJEM	\N	68	17218	UROK	\N	\N
3570594	1213	1997-04-30	PRIJEM	\N	75	18323	UROK	\N	\N
3570595	1213	1997-05-31	PRIJEM	\N	81	20314	UROK	\N	\N
3570596	1213	1997-06-30	PRIJEM	\N	83	21427	UROK	\N	\N
3570597	1213	1997-07-31	PRIJEM	\N	94	23432	UROK	\N	\N
3570598	1213	1997-08-31	PRIJEM	\N	87	21929	UROK	\N	\N
3570599	1213	1997-09-30	PRIJEM	\N	88	22267	UROK	\N	\N
3570600	1213	1997-10-31	PRIJEM	\N	97	24275	UROK	\N	\N
3570601	1213	1997-11-30	PRIJEM	\N	105	25191	UROK	\N	\N
3570602	1213	1997-12-31	PRIJEM	\N	100	21551	UROK	\N	\N
3570603	1213	1998-01-31	PRIJEM	\N	66	13417	UROK	\N	\N
3570604	1213	1998-02-28	PRIJEM	\N	60	15387	UROK	\N	\N
3570605	1213	1998-03-31	PRIJEM	\N	69	17366	UROK	\N	\N
3570606	1213	1998-04-30	PRIJEM	\N	77	19353	UROK	\N	\N
3570607	1213	1998-05-31	PRIJEM	\N	85	21348	UROK	\N	\N
3570608	1213	1998-06-30	PRIJEM	\N	93	23352	UROK	\N	\N
3570609	1213	1998-07-31	PRIJEM	\N	100	23203	UROK	\N	\N
3570610	1213	1998-08-31	PRIJEM	\N	96	21769	UROK	\N	\N
3570611	1213	1998-09-30	PRIJEM	\N	95	23775	UROK	\N	\N
3570612	1213	1998-10-31	PRIJEM	\N	95	24260	UROK	\N	\N
3570613	1213	1998-11-30	PRIJEM	\N	105	26275	UROK	\N	\N
3570614	1213	1998-12-31	PRIJEM	\N	110	27195	UROK	\N	\N
3570615	1214	1997-02-28	PRIJEM	\N	31	19052	UROK	\N	\N
3570616	1214	1997-03-31	PRIJEM	\N	98	30771	UROK	\N	\N
3570617	1214	1997-04-30	PRIJEM	\N	133	34025	UROK	\N	\N
3570618	1214	1997-05-31	PRIJEM	\N	143	34789	UROK	\N	\N
3570619	1214	1997-06-30	PRIJEM	\N	145	23947	UROK	\N	\N
3570620	1214	1997-07-31	PRIJEM	\N	119	30804	UROK	\N	\N
3570621	1214	1997-08-31	PRIJEM	\N	134	31175	UROK	\N	\N
3570622	1214	1997-09-30	PRIJEM	\N	151	34963	UROK	\N	\N
3570623	1214	1997-10-31	PRIJEM	\N	157	38857	UROK	\N	\N
3570624	1214	1997-11-30	PRIJEM	\N	176	38470	UROK	\N	\N
3570625	1214	1997-12-31	PRIJEM	\N	181	46449	UROK	\N	\N
3570626	1214	1998-01-31	PRIJEM	\N	210	45896	UROK	\N	\N
3570627	1214	1998-02-28	PRIJEM	\N	185	43419	UROK	\N	\N
3570628	1214	1998-03-31	PRIJEM	\N	179	40135	UROK	\N	\N
3570629	1214	1998-04-30	PRIJEM	\N	182	46554	UROK	\N	\N
3570630	1214	1998-05-31	PRIJEM	\N	198	46590	UROK	\N	\N
3570631	1214	1998-06-30	PRIJEM	\N	171	37259	UROK	\N	\N
3570632	1214	1998-07-31	PRIJEM	\N	166	41362	UROK	\N	\N
3570633	1214	1998-08-31	PRIJEM	\N	169	39968	UROK	\N	\N
3570634	1214	1998-09-30	PRIJEM	\N	177	43483	UROK	\N	\N
3570635	1214	1998-10-31	PRIJEM	\N	186	45007	UROK	\N	\N
3570636	1214	1998-11-30	PRIJEM	\N	191	45835	UROK	\N	\N
3570637	1214	1998-12-31	PRIJEM	\N	211	52345	UROK	\N	\N
3570638	1215	1997-03-31	PRIJEM	\N	19	6192	UROK	\N	\N
3570639	1215	1997-04-30	PRIJEM	\N	26	11491	UROK	\N	\N
3570640	1215	1997-05-31	PRIJEM	\N	26	16790	UROK	\N	\N
3570641	1215	1997-06-30	PRIJEM	\N	26	22088	UROK	\N	\N
3570642	1215	1997-07-31	PRIJEM	\N	71	24924	UROK	\N	\N
3570643	1215	1997-08-31	PRIJEM	\N	110	27785	UROK	\N	\N
3570644	1215	1997-09-30	PRIJEM	\N	116	28091	UROK	\N	\N
3570645	1215	1997-10-31	PRIJEM	\N	110	23051	UROK	\N	\N
3570646	1215	1997-11-30	PRIJEM	\N	101	21003	UROK	\N	\N
3570647	1215	1997-12-31	PRIJEM	\N	86	17640	UROK	\N	\N
3570648	1215	1998-01-31	PRIJEM	\N	63	13253	UROK	\N	\N
3570649	1215	1998-02-28	PRIJEM	\N	61	16064	UROK	\N	\N
3570650	1215	1998-03-31	PRIJEM	\N	68	14362	UROK	\N	\N
3570651	1215	1998-04-30	PRIJEM	\N	63	13976	UROK	\N	\N
3570652	1215	1998-05-31	PRIJEM	\N	62	15508	UROK	\N	\N
3570653	1215	1998-06-30	PRIJEM	\N	71	18329	UROK	\N	\N
3570654	1215	1998-07-31	PRIJEM	\N	83	21163	UROK	\N	\N
3570655	1215	1998-08-31	PRIJEM	\N	92	22165	UROK	\N	\N
3570656	1215	1998-09-30	PRIJEM	\N	99	25014	UROK	\N	\N
3570657	1215	1998-10-31	PRIJEM	\N	111	27875	UROK	\N	\N
3570658	1215	1998-11-30	PRIJEM	\N	122	30748	UROK	\N	\N
3570659	1215	1998-12-31	PRIJEM	\N	131	32159	UROK	\N	\N
3570660	1216	1996-03-31	PRIJEM	\N	16	13640	UROK	\N	\N
3570661	1216	1996-04-30	PRIJEM	\N	57	18421	UROK	\N	\N
3570662	1216	1996-05-31	PRIJEM	\N	77	21423	UROK	\N	\N
3570663	1216	1996-06-30	PRIJEM	\N	89	23036	UROK	\N	\N
3570664	1216	1996-07-31	PRIJEM	\N	105	16916	UROK	\N	\N
3570665	1216	1996-08-31	PRIJEM	\N	74	17250	UROK	\N	\N
3570666	1216	1996-09-30	PRIJEM	\N	73	12984	UROK	\N	\N
3570667	1216	1996-10-31	PRIJEM	\N	66	14610	UROK	\N	\N
3570668	1216	1996-11-30	PRIJEM	\N	70	13040	UROK	\N	\N
3570669	1216	1996-12-31	PRIJEM	\N	59	16570	UROK	\N	\N
3570670	1216	1997-01-31	PRIJEM	\N	71	16821	UROK	\N	\N
3570671	1216	1997-02-28	PRIJEM	\N	76	20357	UROK	\N	\N
3570672	1216	1997-03-31	PRIJEM	\N	97	22914	UROK	\N	\N
3570673	1216	1997-04-30	PRIJEM	\N	97	21172	UROK	\N	\N
3570674	1216	1997-05-31	PRIJEM	\N	92	22524	UROK	\N	\N
3570675	1216	1997-06-30	PRIJEM	\N	96	22831	UROK	\N	\N
3570676	1216	1997-07-31	PRIJEM	\N	97	21748	UROK	\N	\N
3570677	1216	1997-08-31	PRIJEM	\N	96	22535	UROK	\N	\N
3570678	1216	1997-09-30	PRIJEM	\N	103	24307	UROK	\N	\N
3570679	1216	1997-10-31	PRIJEM	\N	107	22975	UROK	\N	\N
3570680	1216	1997-11-30	PRIJEM	\N	105	24531	UROK	\N	\N
3570681	1216	1997-12-31	PRIJEM	\N	110	24901	UROK	\N	\N
3570682	1216	1998-01-31	PRIJEM	\N	107	23558	UROK	\N	\N
3570683	1216	1998-02-28	PRIJEM	\N	98	19017	UROK	\N	\N
3570684	1216	1998-03-31	PRIJEM	\N	74	13951	UROK	\N	\N
3570685	1216	1998-04-30	PRIJEM	\N	63	15874	UROK	\N	\N
3570686	1216	1998-05-31	PRIJEM	\N	68	13203	UROK	\N	\N
3570687	1216	1998-06-30	PRIJEM	\N	69	17632	UROK	\N	\N
3570688	1216	1998-07-31	PRIJEM	\N	81	21174	UROK	\N	\N
3570689	1216	1998-08-31	PRIJEM	\N	84	17208	UROK	\N	\N
3570690	1216	1998-09-30	PRIJEM	\N	74	17943	UROK	\N	\N
3570691	1216	1998-10-31	PRIJEM	\N	82	20986	UROK	\N	\N
3570692	1216	1998-11-30	PRIJEM	\N	88	20734	UROK	\N	\N
3570693	1216	1998-12-31	PRIJEM	\N	87	21111	UROK	\N	\N
3570694	1217	1994-03-31	PRIJEM	\N	45	13013	UROK	\N	\N
3570695	1217	1994-04-30	PRIJEM	\N	58	14110	UROK	\N	\N
3570696	1217	1994-05-31	PRIJEM	\N	62	14821	UROK	\N	\N
3570697	1217	1994-06-30	PRIJEM	\N	58	13219	UROK	\N	\N
3570698	1217	1994-07-31	PRIJEM	\N	58	13446	UROK	\N	\N
3570699	1217	1994-08-31	PRIJEM	\N	60	14545	UROK	\N	\N
3570700	1217	1994-09-30	PRIJEM	\N	64	15649	UROK	\N	\N
3570701	1217	1994-10-31	PRIJEM	\N	66	15974	UROK	\N	\N
3570702	1217	1994-11-30	PRIJEM	\N	65	15609	UROK	\N	\N
3570703	1217	1994-12-31	PRIJEM	\N	68	16116	UROK	\N	\N
3570704	1217	1995-01-31	PRIJEM	\N	60	12746	UROK	\N	\N
3570705	1217	1995-02-28	PRIJEM	\N	57	13842	UROK	\N	\N
3570706	1217	1995-03-31	PRIJEM	\N	61	14942	UROK	\N	\N
3570707	1217	1995-04-30	PRIJEM	\N	66	16047	UROK	\N	\N
3570708	1217	1995-05-31	PRIJEM	\N	70	16796	UROK	\N	\N
3570709	1217	1995-06-30	PRIJEM	\N	66	15622	UROK	\N	\N
3570710	1217	1995-07-31	PRIJEM	\N	68	16630	UROK	\N	\N
3570711	1217	1995-08-31	PRIJEM	\N	72	17341	UROK	\N	\N
3570712	1217	1995-09-30	PRIJEM	\N	70	16051	UROK	\N	\N
3570713	1217	1995-10-31	PRIJEM	\N	70	16170	UROK	\N	\N
3570714	1217	1995-11-30	PRIJEM	\N	71	17280	UROK	\N	\N
3570715	1217	1995-12-31	PRIJEM	\N	75	18214	UROK	\N	\N
3570716	1217	1996-01-31	PRIJEM	\N	69	14433	UROK	\N	\N
3570717	1217	1996-02-29	PRIJEM	\N	63	15535	UROK	\N	\N
3570718	1217	1996-03-31	PRIJEM	\N	67	16252	UROK	\N	\N
3570719	1217	1996-04-30	PRIJEM	\N	71	17362	UROK	\N	\N
3570720	1217	1996-05-31	PRIJEM	\N	76	18477	UROK	\N	\N
3570721	1217	1996-06-30	PRIJEM	\N	67	15533	UROK	\N	\N
3570722	1217	1996-07-31	PRIJEM	\N	68	16640	UROK	\N	\N
3570723	1217	1996-08-31	PRIJEM	\N	70	17030	UROK	\N	\N
3570724	1217	1996-09-30	PRIJEM	\N	74	17903	UROK	\N	\N
3570725	1217	1996-10-31	PRIJEM	\N	77	18330	UROK	\N	\N
3570726	1217	1996-11-30	PRIJEM	\N	77	18487	UROK	\N	\N
3570727	1217	1996-12-31	PRIJEM	\N	79	19336	UROK	\N	\N
3570728	1217	1997-01-31	PRIJEM	\N	73	14358	UROK	\N	\N
3570729	1217	1997-02-28	PRIJEM	\N	63	15460	UROK	\N	\N
3570730	1217	1997-03-31	PRIJEM	\N	67	16567	UROK	\N	\N
3570731	1217	1997-04-30	PRIJEM	\N	72	17678	UROK	\N	\N
3570732	1217	1997-05-31	PRIJEM	\N	77	18794	UROK	\N	\N
3570733	1217	1997-06-30	PRIJEM	\N	78	18471	UROK	\N	\N
3570734	1217	1997-07-31	PRIJEM	\N	80	19590	UROK	\N	\N
3570735	1217	1997-08-31	PRIJEM	\N	79	18369	UROK	\N	\N
3570736	1217	1997-09-30	PRIJEM	\N	79	19488	UROK	\N	\N
3570737	1217	1997-10-31	PRIJEM	\N	84	20611	UROK	\N	\N
3570738	1217	1997-11-30	PRIJEM	\N	85	20685	UROK	\N	\N
3570739	1217	1997-12-31	PRIJEM	\N	86	21031	UROK	\N	\N
3570740	1217	1998-01-31	PRIJEM	\N	82	18732	UROK	\N	\N
3570741	1217	1998-02-28	PRIJEM	\N	79	18771	UROK	\N	\N
3570742	1217	1998-03-31	PRIJEM	\N	81	19891	UROK	\N	\N
3570743	1217	1998-04-30	PRIJEM	\N	85	21015	UROK	\N	\N
3570744	1217	1998-05-31	PRIJEM	\N	90	22144	UROK	\N	\N
3570745	1217	1998-06-30	PRIJEM	\N	91	21954	UROK	\N	\N
3570746	1217	1998-07-31	PRIJEM	\N	93	22396	UROK	\N	\N
3570747	1217	1998-08-31	PRIJEM	\N	95	23531	UROK	\N	\N
3570748	1217	1998-09-30	PRIJEM	\N	100	24670	UROK	\N	\N
3570749	1217	1998-10-31	PRIJEM	\N	102	24912	UROK	\N	\N
3570750	1217	1998-11-30	PRIJEM	\N	106	26057	UROK	\N	\N
3570751	1217	1998-12-31	PRIJEM	\N	109	26695	UROK	\N	\N
3570752	1218	1996-12-31	PRIJEM	\N	119	49220	UROK	\N	\N
3570753	1218	1997-01-31	PRIJEM	\N	259	71813	UROK	\N	\N
3570754	1218	1997-02-28	PRIJEM	\N	323	82769	UROK	\N	\N
3570755	1218	1997-03-31	PRIJEM	\N	343	82646	UROK	\N	\N
3570756	1218	1997-04-30	PRIJEM	\N	336	61523	UROK	\N	\N
3570757	1218	1997-05-31	PRIJEM	\N	282	72525	UROK	\N	\N
3570758	1218	1997-06-30	PRIJEM	\N	251	64362	UROK	\N	\N
3570759	1218	1997-07-31	PRIJEM	\N	246	39486	UROK	\N	\N
3570760	1218	1997-08-31	PRIJEM	\N	190	53094	UROK	\N	\N
3570761	1218	1997-09-30	PRIJEM	\N	270	73983	UROK	\N	\N
3570762	1218	1997-10-31	PRIJEM	\N	273	74567	UROK	\N	\N
3570763	1218	1997-11-30	PRIJEM	\N	324	80811	UROK	\N	\N
3570764	1218	1997-12-31	PRIJEM	\N	381	90678	UROK	\N	\N
3570765	1218	1998-01-31	PRIJEM	\N	246	38243	UROK	\N	\N
3570766	1218	1998-02-28	PRIJEM	\N	211	60973	UROK	\N	\N
3570767	1218	1998-03-31	PRIJEM	\N	281	72373	UROK	\N	\N
3570768	1218	1998-04-30	PRIJEM	\N	296	68888	UROK	\N	\N
3570769	1218	1998-05-31	PRIJEM	\N	282	64490	UROK	\N	\N
3570770	1218	1998-06-30	PRIJEM	\N	328	54504	UROK	\N	\N
3570771	1218	1998-07-31	PRIJEM	\N	225	64948	UROK	\N	\N
3570772	1218	1998-08-31	PRIJEM	\N	268	53470	UROK	\N	\N
3570773	1218	1998-09-30	PRIJEM	\N	196	58585	UROK	\N	\N
3570774	1218	1998-10-31	PRIJEM	\N	262	66766	UROK	\N	\N
3570775	1218	1998-11-30	PRIJEM	\N	277	66862	UROK	\N	\N
3570776	1218	1998-12-31	PRIJEM	\N	268	74717	UROK	\N	\N
3570777	1219	1996-07-31	PRIJEM	\N	52	16031	UROK	\N	\N
3570778	1219	1996-08-31	PRIJEM	\N	102	27011	UROK	\N	\N
3570779	1219	1996-09-30	PRIJEM	\N	121	29912	UROK	\N	\N
3570780	1219	1996-10-31	PRIJEM	\N	131	32122	UROK	\N	\N
3570781	1219	1996-11-30	PRIJEM	\N	126	29941	UROK	\N	\N
3570782	1219	1996-12-31	PRIJEM	\N	129	28958	UROK	\N	\N
3570783	1219	1997-01-31	PRIJEM	\N	86	13703	UROK	\N	\N
3570784	1219	1997-02-28	PRIJEM	\N	89	21450	UROK	\N	\N
3570785	1219	1997-03-31	PRIJEM	\N	112	27880	UROK	\N	\N
3570786	1219	1997-04-30	PRIJEM	\N	135	30194	UROK	\N	\N
3570787	1219	1997-05-31	PRIJEM	\N	140	31013	UROK	\N	\N
3570788	1219	1997-06-30	PRIJEM	\N	99	15859	UROK	\N	\N
3570789	1219	1997-07-31	PRIJEM	\N	74	18131	UROK	\N	\N
3570790	1219	1997-08-31	PRIJEM	\N	88	21678	UROK	\N	\N
3570791	1219	1997-09-30	PRIJEM	\N	120	27276	UROK	\N	\N
3570792	1219	1997-10-31	PRIJEM	\N	124	26879	UROK	\N	\N
3570793	1219	1997-11-30	PRIJEM	\N	102	22219	UROK	\N	\N
3570794	1219	1997-12-31	PRIJEM	\N	88	22475	UROK	\N	\N
3570795	1219	1998-01-31	PRIJEM	\N	73	19306	UROK	\N	\N
3570796	1219	1998-02-28	PRIJEM	\N	87	24071	UROK	\N	\N
3570797	1219	1998-03-31	PRIJEM	\N	106	23755	UROK	\N	\N
3570798	1219	1998-04-30	PRIJEM	\N	115	20248	UROK	\N	\N
3570799	1219	1998-05-31	PRIJEM	\N	89	18215	UROK	\N	\N
3570800	1219	1998-06-30	PRIJEM	\N	87	18650	UROK	\N	\N
3570801	1219	1998-07-31	PRIJEM	\N	97	24725	UROK	\N	\N
3570802	1219	1998-08-31	PRIJEM	\N	117	24020	UROK	\N	\N
3570803	1219	1998-09-30	PRIJEM	\N	105	25404	UROK	\N	\N
3570804	1219	1998-10-31	PRIJEM	\N	117	22299	UROK	\N	\N
3570805	1219	1998-11-30	PRIJEM	\N	96	21774	UROK	\N	\N
3570806	1219	1998-12-31	PRIJEM	\N	103	25404	UROK	\N	\N
3570807	1220	1995-12-31	PRIJEM	\N	87	27037	UROK	\N	\N
3570808	1220	1996-01-31	PRIJEM	\N	98	17554	UROK	\N	\N
3570809	1220	1996-02-29	PRIJEM	\N	83	20616	UROK	\N	\N
3570810	1220	1996-03-31	PRIJEM	\N	96	23691	UROK	\N	\N
3570811	1220	1996-04-30	PRIJEM	\N	104	25174	UROK	\N	\N
3570812	1220	1996-05-31	PRIJEM	\N	111	24505	UROK	\N	\N
3570813	1220	1996-06-30	PRIJEM	\N	104	24988	UROK	\N	\N
3570814	1220	1996-07-31	PRIJEM	\N	114	28081	UROK	\N	\N
3570815	1220	1996-08-31	PRIJEM	\N	127	31187	UROK	\N	\N
3570816	1220	1996-09-30	PRIJEM	\N	120	28086	UROK	\N	\N
3570817	1220	1996-10-31	PRIJEM	\N	122	29588	UROK	\N	\N
3570818	1220	1996-11-30	PRIJEM	\N	132	32299	UROK	\N	\N
3570819	1220	1996-12-31	PRIJEM	\N	137	32666	UROK	\N	\N
3570820	1220	1997-01-31	PRIJEM	\N	127	26492	UROK	\N	\N
3570821	1220	1997-02-28	PRIJEM	\N	120	29591	UROK	\N	\N
3570822	1220	1997-03-31	PRIJEM	\N	128	30298	UROK	\N	\N
3570823	1220	1997-04-30	PRIJEM	\N	136	33413	UROK	\N	\N
3570824	1220	1997-05-31	PRIJEM	\N	141	34134	UROK	\N	\N
3570825	1220	1997-06-30	PRIJEM	\N	150	34383	UROK	\N	\N
3570826	1220	1997-07-31	PRIJEM	\N	153	37515	UROK	\N	\N
3570827	1220	1997-08-31	PRIJEM	\N	166	40660	UROK	\N	\N
3570828	1220	1997-09-30	PRIJEM	\N	179	43818	UROK	\N	\N
3570829	1220	1997-10-31	PRIJEM	\N	192	46989	UROK	\N	\N
3570830	1220	1997-11-30	PRIJEM	\N	195	42964	UROK	\N	\N
3570831	1220	1997-12-31	PRIJEM	\N	178	42661	UROK	\N	\N
3570832	1220	1998-01-31	PRIJEM	\N	169	38609	UROK	\N	\N
3570833	1220	1998-02-28	PRIJEM	\N	170	41758	UROK	\N	\N
3570834	1220	1998-03-31	PRIJEM	\N	180	42197	UROK	\N	\N
3570835	1220	1998-04-30	PRIJEM	\N	183	44639	UROK	\N	\N
3570836	1220	1998-05-31	PRIJEM	\N	195	47814	UROK	\N	\N
3570837	1220	1998-06-30	PRIJEM	\N	208	51001	UROK	\N	\N
3570838	1220	1998-07-31	PRIJEM	\N	221	54201	UROK	\N	\N
3570839	1220	1998-08-31	PRIJEM	\N	225	54446	UROK	\N	\N
3570840	1220	1998-09-30	PRIJEM	\N	235	57661	UROK	\N	\N
3570841	1220	1998-10-31	PRIJEM	\N	248	60488	UROK	\N	\N
3570842	1220	1998-11-30	PRIJEM	\N	260	63728	UROK	\N	\N
3570843	1220	1998-12-31	PRIJEM	\N	273	65180	UROK	\N	\N
3570844	1222	1993-06-30	PRIJEM	\N	49	29499	UROK	\N	\N
3570845	1222	1993-07-31	PRIJEM	\N	126	28893	UROK	\N	\N
3570846	1222	1993-08-31	PRIJEM	\N	116	28398	UROK	\N	\N
3570847	1222	1993-09-30	PRIJEM	\N	110	25157	UROK	\N	\N
3570848	1222	1993-10-31	PRIJEM	\N	102	24807	UROK	\N	\N
3570849	1222	1993-11-30	PRIJEM	\N	108	25783	UROK	\N	\N
3570850	1222	1993-12-31	PRIJEM	\N	113	27414	UROK	\N	\N
3570851	1222	1994-01-31	PRIJEM	\N	124	30906	UROK	\N	\N
3570852	1222	1994-02-28	PRIJEM	\N	133	32408	UROK	\N	\N
3570853	1222	1994-03-31	PRIJEM	\N	138	32914	UROK	\N	\N
3570854	1222	1994-04-30	PRIJEM	\N	138	32621	UROK	\N	\N
3570855	1222	1994-05-31	PRIJEM	\N	134	28063	UROK	\N	\N
3570856	1222	1994-06-30	PRIJEM	\N	98	15530	UROK	\N	\N
3570857	1222	1994-07-31	PRIJEM	\N	77	20175	UROK	\N	\N
3570858	1222	1994-08-31	PRIJEM	\N	96	24840	UROK	\N	\N
3570859	1222	1994-09-30	PRIJEM	\N	114	28822	UROK	\N	\N
3570860	1222	1994-10-31	PRIJEM	\N	132	33522	UROK	\N	\N
3570861	1222	1994-11-30	PRIJEM	\N	139	34909	UROK	\N	\N
3570862	1222	1994-12-31	PRIJEM	\N	151	37178	UROK	\N	\N
3570863	1222	1995-01-31	PRIJEM	\N	164	41211	UROK	\N	\N
3570864	1222	1995-02-28	PRIJEM	\N	160	37239	UROK	\N	\N
3570865	1222	1995-03-31	PRIJEM	\N	162	40369	UROK	\N	\N
3570866	1222	1995-04-30	PRIJEM	\N	172	42509	UROK	\N	\N
3570867	1222	1995-05-31	PRIJEM	\N	178	43656	UROK	\N	\N
3570868	1222	1995-06-30	PRIJEM	\N	149	35003	UROK	\N	\N
3570869	1222	1995-07-31	PRIJEM	\N	154	38725	UROK	\N	\N
3570870	1222	1995-08-31	PRIJEM	\N	167	41860	UROK	\N	\N
3570871	1222	1995-09-30	PRIJEM	\N	170	42299	UROK	\N	\N
3570872	1222	1995-10-31	PRIJEM	\N	188	47055	UROK	\N	\N
3570873	1222	1995-11-30	PRIJEM	\N	185	43488	UROK	\N	\N
3570874	1222	1995-12-31	PRIJEM	\N	181	44387	UROK	\N	\N
3570875	1222	1996-01-31	PRIJEM	\N	179	44635	UROK	\N	\N
3570876	1222	1996-02-29	PRIJEM	\N	188	47392	UROK	\N	\N
3570877	1222	1996-03-31	PRIJEM	\N	182	44842	UROK	\N	\N
3570878	1222	1996-04-30	PRIJEM	\N	172	42482	UROK	\N	\N
3570879	1222	1996-05-31	PRIJEM	\N	184	46334	UROK	\N	\N
3570880	1222	1996-06-30	PRIJEM	\N	147	31199	UROK	\N	\N
3570881	1222	1996-07-31	PRIJEM	\N	141	35908	UROK	\N	\N
3570882	1222	1996-08-31	PRIJEM	\N	153	38930	UROK	\N	\N
3570883	1222	1996-09-30	PRIJEM	\N	156	39154	UROK	\N	\N
3570884	1222	1996-10-31	PRIJEM	\N	154	38876	UROK	\N	\N
3570885	1222	1996-11-30	PRIJEM	\N	141	36286	UROK	\N	\N
3570886	1222	1996-12-31	PRIJEM	\N	119	28783	UROK	\N	\N
3570887	1222	1997-01-31	PRIJEM	\N	127	25879	UROK	\N	\N
3570888	1222	1997-02-28	PRIJEM	\N	114	29842	UROK	\N	\N
3570889	1222	1997-03-31	PRIJEM	\N	122	29532	UROK	\N	\N
3570890	1222	1997-04-30	PRIJEM	\N	131	27431	UROK	\N	\N
3570891	1222	1997-05-31	PRIJEM	\N	123	29723	UROK	\N	\N
3570892	1222	1997-06-30	PRIJEM	\N	113	22334	UROK	\N	\N
3570893	1222	1997-07-31	PRIJEM	\N	103	27005	UROK	\N	\N
3570894	1222	1997-08-31	PRIJEM	\N	122	31696	UROK	\N	\N
3570895	1222	1997-09-30	PRIJEM	\N	141	36406	UROK	\N	\N
3570896	1222	1997-10-31	PRIJEM	\N	149	33343	UROK	\N	\N
3570897	1222	1997-11-30	PRIJEM	\N	144	33615	UROK	\N	\N
3570898	1222	1997-12-31	PRIJEM	\N	140	33384	UROK	\N	\N
3570899	1222	1998-01-31	PRIJEM	\N	142	35214	UROK	\N	\N
3570900	1222	1998-02-28	PRIJEM	\N	153	38136	UROK	\N	\N
3570901	1222	1998-03-31	PRIJEM	\N	161	35264	UROK	\N	\N
3570902	1222	1998-04-30	PRIJEM	\N	149	31122	UROK	\N	\N
3570903	1222	1998-05-31	PRIJEM	\N	133	31323	UROK	\N	\N
3570904	1222	1998-06-30	PRIJEM	\N	131	28372	UROK	\N	\N
3570905	1222	1998-07-31	PRIJEM	\N	119	29919	UROK	\N	\N
3570906	1222	1998-08-31	PRIJEM	\N	127	30594	UROK	\N	\N
3570907	1222	1998-09-30	PRIJEM	\N	128	30391	UROK	\N	\N
3570908	1222	1998-10-31	PRIJEM	\N	125	28785	UROK	\N	\N
3570909	1222	1998-11-30	PRIJEM	\N	113	23866	UROK	\N	\N
3570910	1222	1998-12-31	PRIJEM	\N	95	20079	UROK	\N	\N
3570911	1223	1996-08-31	PRIJEM	\N	32	13072	UROK	\N	\N
3570912	1223	1996-09-30	PRIJEM	\N	92	29003	UROK	\N	\N
3570913	1223	1996-10-31	PRIJEM	\N	146	39489	UROK	\N	\N
3570914	1223	1996-11-30	PRIJEM	\N	178	45507	UROK	\N	\N
3570915	1223	1996-12-31	PRIJEM	\N	187	44056	UROK	\N	\N
3570916	1223	1997-01-31	PRIJEM	\N	124	27044	UROK	\N	\N
3570917	1223	1997-02-28	PRIJEM	\N	117	30625	UROK	\N	\N
3570918	1223	1997-03-31	PRIJEM	\N	133	34023	UROK	\N	\N
3570919	1223	1997-04-30	PRIJEM	\N	151	39939	UROK	\N	\N
3570920	1223	1997-05-31	PRIJEM	\N	161	40065	UROK	\N	\N
3570921	1223	1997-06-30	PRIJEM	\N	171	37520	UROK	\N	\N
3570922	1223	1997-07-31	PRIJEM	\N	166	43350	UROK	\N	\N
3570923	1223	1997-08-31	PRIJEM	\N	178	42992	UROK	\N	\N
3570924	1223	1997-09-30	PRIJEM	\N	180	45137	UROK	\N	\N
3570925	1223	1997-10-31	PRIJEM	\N	193	48294	UROK	\N	\N
3570926	1223	1997-11-30	PRIJEM	\N	197	47055	UROK	\N	\N
3570927	1223	1997-12-31	PRIJEM	\N	202	52942	UROK	\N	\N
3570928	1223	1998-01-31	PRIJEM	\N	183	38789	UROK	\N	\N
3570929	1223	1998-02-28	PRIJEM	\N	163	40817	UROK	\N	\N
3570930	1223	1998-03-31	PRIJEM	\N	178	45059	UROK	\N	\N
3570931	1223	1998-04-30	PRIJEM	\N	164	38887	UROK	\N	\N
3570932	1223	1998-05-31	PRIJEM	\N	168	42619	UROK	\N	\N
3570933	1223	1998-06-30	PRIJEM	\N	140	36843	UROK	\N	\N
3570934	1223	1998-07-31	PRIJEM	\N	161	42169	UROK	\N	\N
3570935	1223	1998-08-31	PRIJEM	\N	189	46921	UROK	\N	\N
3570936	1223	1998-09-30	PRIJEM	\N	202	51387	UROK	\N	\N
3570937	1223	1998-10-31	PRIJEM	\N	225	48377	UROK	\N	\N
3570938	1223	1998-11-30	PRIJEM	\N	214	51155	UROK	\N	\N
3570939	1223	1998-12-31	PRIJEM	\N	225	57765	UROK	\N	\N
3570940	1226	1996-11-30	PRIJEM	\N	18	14258	UROK	\N	\N
3570941	1226	1996-12-31	PRIJEM	\N	70	22138	UROK	\N	\N
3570942	1226	1997-01-31	PRIJEM	\N	90	20968	UROK	\N	\N
3570943	1226	1997-02-28	PRIJEM	\N	91	23899	UROK	\N	\N
3570944	1226	1997-03-31	PRIJEM	\N	103	20635	UROK	\N	\N
3570945	1226	1997-04-30	PRIJEM	\N	86	20180	UROK	\N	\N
3570946	1226	1997-05-31	PRIJEM	\N	89	22469	UROK	\N	\N
3570947	1226	1997-06-30	PRIJEM	\N	102	22140	UROK	\N	\N
3570948	1226	1997-07-31	PRIJEM	\N	96	22915	UROK	\N	\N
3570949	1226	1997-08-31	PRIJEM	\N	95	22010	UROK	\N	\N
3570950	1226	1997-09-30	PRIJEM	\N	92	21801	UROK	\N	\N
3570951	1226	1997-10-31	PRIJEM	\N	90	20991	UROK	\N	\N
3570952	1226	1997-11-30	PRIJEM	\N	78	15188	UROK	\N	\N
3570953	1226	1997-12-31	PRIJEM	\N	59	10917	UROK	\N	\N
3570954	1226	1998-01-31	PRIJEM	\N	47	10584	UROK	\N	\N
3570955	1226	1998-02-28	PRIJEM	\N	45	9648	UROK	\N	\N
3570956	1226	1998-03-31	PRIJEM	\N	45	11592	UROK	\N	\N
3570957	1226	1998-04-30	PRIJEM	\N	53	13544	UROK	\N	\N
3570958	1226	1998-05-31	PRIJEM	\N	48	10091	UROK	\N	\N
3570959	1226	1998-06-30	PRIJEM	\N	52	13473	UROK	\N	\N
3570960	1226	1998-07-31	PRIJEM	\N	59	13751	UROK	\N	\N
3570961	1226	1998-08-31	PRIJEM	\N	61	14151	UROK	\N	\N
3570962	1226	1998-09-30	PRIJEM	\N	63	16114	UROK	\N	\N
3570963	1226	1998-10-31	PRIJEM	\N	71	18085	UROK	\N	\N
3570964	1226	1998-11-30	PRIJEM	\N	79	20064	UROK	\N	\N
3570965	1226	1998-12-31	PRIJEM	\N	77	16950	UROK	\N	\N
3570966	1227	1996-02-29	PRIJEM	\N	54	20859	UROK	\N	\N
3570967	1227	1996-03-31	PRIJEM	\N	103	27167	UROK	\N	\N
3570968	1227	1996-04-30	PRIJEM	\N	119	29691	UROK	\N	\N
3570969	1227	1996-05-31	PRIJEM	\N	132	32928	UROK	\N	\N
3570970	1227	1996-06-30	PRIJEM	\N	140	29010	UROK	\N	\N
3570971	1227	1996-07-31	PRIJEM	\N	112	24276	UROK	\N	\N
3570972	1227	1996-08-31	PRIJEM	\N	104	24215	UROK	\N	\N
3570973	1227	1996-09-30	PRIJEM	\N	95	21464	UROK	\N	\N
3570974	1227	1996-10-31	PRIJEM	\N	100	22139	UROK	\N	\N
3570975	1227	1996-11-30	PRIJEM	\N	120	30913	UROK	\N	\N
3570976	1227	1996-12-31	PRIJEM	\N	164	42154	UROK	\N	\N
3570977	1227	1997-01-31	PRIJEM	\N	173	39362	UROK	\N	\N
3570978	1227	1997-02-28	PRIJEM	\N	151	35267	UROK	\N	\N
3570979	1227	1997-03-31	PRIJEM	\N	149	35451	UROK	\N	\N
3570980	1227	1997-04-30	PRIJEM	\N	137	32242	UROK	\N	\N
3570981	1227	1997-05-31	PRIJEM	\N	129	30625	UROK	\N	\N
3570982	1227	1997-06-30	PRIJEM	\N	140	14602	UROK	\N	\N
3570983	1227	1997-07-31	PRIJEM	\N	106	28762	UROK	\N	\N
3570984	1227	1997-08-31	PRIJEM	\N	147	37464	UROK	\N	\N
3570985	1227	1997-09-30	PRIJEM	\N	167	41285	UROK	\N	\N
3570986	1227	1997-10-31	PRIJEM	\N	174	43873	UROK	\N	\N
3570987	1227	1997-11-30	PRIJEM	\N	203	50430	UROK	\N	\N
3570988	1227	1997-12-31	PRIJEM	\N	234	57001	UROK	\N	\N
3570989	1227	1998-01-31	PRIJEM	\N	203	48678	UROK	\N	\N
3570990	1227	1998-02-28	PRIJEM	\N	201	48533	UROK	\N	\N
3570991	1227	1998-03-31	PRIJEM	\N	191	45278	UROK	\N	\N
3570992	1227	1998-04-30	PRIJEM	\N	178	42011	UROK	\N	\N
3570993	1227	1998-05-31	PRIJEM	\N	154	33819	UROK	\N	\N
3570994	1227	1998-06-30	PRIJEM	\N	168	43145	UROK	\N	\N
3570995	1227	1998-07-31	PRIJEM	\N	137	32335	UROK	\N	\N
3570996	1227	1998-08-31	PRIJEM	\N	118	22508	UROK	\N	\N
3570997	1227	1998-09-30	PRIJEM	\N	106	19168	UROK	\N	\N
3570998	1227	1998-10-31	PRIJEM	\N	88	21210	UROK	\N	\N
3570999	1227	1998-11-30	PRIJEM	\N	100	21065	UROK	\N	\N
3571000	1227	1998-12-31	PRIJEM	\N	118	23640	UROK	\N	\N
3571001	1228	1995-04-30	PRIJEM	\N	14	5510	UROK	\N	\N
3571002	1228	1995-05-31	PRIJEM	\N	23	10629	UROK	\N	\N
3571003	1228	1995-06-30	PRIJEM	\N	23	15748	UROK	\N	\N
3571004	1228	1995-07-31	PRIJEM	\N	23	20866	UROK	\N	\N
3571005	1228	1995-08-31	PRIJEM	\N	26	25988	UROK	\N	\N
3571006	1228	1995-09-30	PRIJEM	\N	116	29206	UROK	\N	\N
3571007	1228	1995-10-31	PRIJEM	\N	120	26867	UROK	\N	\N
3571008	1228	1995-11-30	PRIJEM	\N	120	30088	UROK	\N	\N
3571009	1228	1995-12-31	PRIJEM	\N	130	32169	UROK	\N	\N
3571010	1228	1996-01-31	PRIJEM	\N	112	22443	UROK	\N	\N
3571011	1228	1996-02-29	PRIJEM	\N	100	23485	UROK	\N	\N
3571012	1228	1996-03-31	PRIJEM	\N	105	25731	UROK	\N	\N
3571013	1228	1996-04-30	PRIJEM	\N	107	26779	UROK	\N	\N
3571014	1228	1996-05-31	PRIJEM	\N	116	26797	UROK	\N	\N
3571015	1228	1996-06-30	PRIJEM	\N	119	30018	UROK	\N	\N
3571016	1228	1996-07-31	PRIJEM	\N	130	30129	UROK	\N	\N
3571017	1228	1996-08-31	PRIJEM	\N	133	33364	UROK	\N	\N
3571018	1228	1996-09-30	PRIJEM	\N	147	36612	UROK	\N	\N
3571019	1228	1996-10-31	PRIJEM	\N	160	39873	UROK	\N	\N
3571020	1228	1996-11-30	PRIJEM	\N	173	39347	UROK	\N	\N
3571021	1228	1996-12-31	PRIJEM	\N	161	39150	UROK	\N	\N
3571022	1228	1997-01-31	PRIJEM	\N	147	33669	UROK	\N	\N
3571023	1228	1997-02-28	PRIJEM	\N	147	36918	UROK	\N	\N
3571024	1228	1997-03-31	PRIJEM	\N	161	39180	UROK	\N	\N
3571025	1228	1997-04-30	PRIJEM	\N	171	42452	UROK	\N	\N
3571026	1228	1997-05-31	PRIJEM	\N	184	45237	UROK	\N	\N
3571027	1228	1997-06-30	PRIJEM	\N	192	44031	UROK	\N	\N
3571028	1228	1997-07-31	PRIJEM	\N	189	43821	UROK	\N	\N
3571029	1228	1997-08-31	PRIJEM	\N	176	40938	UROK	\N	\N
3571030	1228	1997-09-30	PRIJEM	\N	176	41915	UROK	\N	\N
3571031	1228	1997-10-31	PRIJEM	\N	180	42796	UROK	\N	\N
3571032	1228	1997-11-30	PRIJEM	\N	184	45082	UROK	\N	\N
3571033	1228	1997-12-31	PRIJEM	\N	190	43823	UROK	\N	\N
3571034	1228	1998-01-31	PRIJEM	\N	157	33312	UROK	\N	\N
3571035	1228	1998-02-28	PRIJEM	\N	124	29977	UROK	\N	\N
3571036	1228	1998-03-31	PRIJEM	\N	132	33210	UROK	\N	\N
3571037	1228	1998-04-30	PRIJEM	\N	134	33485	UROK	\N	\N
3571038	1228	1998-05-31	PRIJEM	\N	136	33443	UROK	\N	\N
3571039	1228	1998-06-30	PRIJEM	\N	115	22959	UROK	\N	\N
3571040	1228	1998-07-31	PRIJEM	\N	97	23437	UROK	\N	\N
3571041	1228	1998-08-31	PRIJEM	\N	104	26643	UROK	\N	\N
3571042	1228	1998-09-30	PRIJEM	\N	117	29862	UROK	\N	\N
3571043	1228	1998-10-31	PRIJEM	\N	131	33094	UROK	\N	\N
3571044	1228	1998-11-30	PRIJEM	\N	144	36339	UROK	\N	\N
3571045	1228	1998-12-31	PRIJEM	\N	155	38196	UROK	\N	\N
3571046	1229	1997-12-31	PRIJEM	\N	61	23746	UROK	\N	\N
3571047	1229	1998-01-31	PRIJEM	\N	137	38940	UROK	\N	\N
3571048	1229	1998-02-28	PRIJEM	\N	179	46276	UROK	\N	\N
3571049	1229	1998-03-31	PRIJEM	\N	215	55148	UROK	\N	\N
3571050	1229	1998-04-30	PRIJEM	\N	222	52022	UROK	\N	\N
3571051	1229	1998-05-31	PRIJEM	\N	205	47264	UROK	\N	\N
3571052	1229	1998-06-30	PRIJEM	\N	219	56149	UROK	\N	\N
3571053	1229	1998-07-31	PRIJEM	\N	220	50807	UROK	\N	\N
3571054	1229	1998-08-31	PRIJEM	\N	188	40452	UROK	\N	\N
3571055	1229	1998-09-30	PRIJEM	\N	166	39996	UROK	\N	\N
3571056	1229	1998-10-31	PRIJEM	\N	171	41504	UROK	\N	\N
3571057	1229	1998-11-30	PRIJEM	\N	158	35600	UROK	\N	\N
3571058	1229	1998-12-31	PRIJEM	\N	170	42635	UROK	\N	\N
3571059	1230	1997-06-30	PRIJEM	\N	183	97107	UROK	\N	\N
3571060	1230	1997-07-31	PRIJEM	\N	404	66411	UROK	\N	\N
3571061	1230	1997-08-31	PRIJEM	\N	396	46907	UROK	\N	\N
3571062	1230	1997-09-30	PRIJEM	\N	207	97989	UROK	\N	\N
3571063	1230	1997-10-31	PRIJEM	\N	267	49942	UROK	\N	\N
3571064	1230	1997-11-30	PRIJEM	\N	221	56912	UROK	\N	\N
3571065	1230	1997-12-31	PRIJEM	\N	220	47127	UROK	\N	\N
3571066	1230	1998-01-31	PRIJEM	\N	169	38454	UROK	\N	\N
3571067	1230	1998-02-28	PRIJEM	\N	186	59268	UROK	\N	\N
3571068	1230	1998-03-31	PRIJEM	\N	344	46901	UROK	\N	\N
3571069	1230	1998-04-30	PRIJEM	\N	160	34929	UROK	\N	\N
3571070	1230	1998-05-31	PRIJEM	\N	145	30601	UROK	\N	\N
3571071	1230	1998-06-30	PRIJEM	\N	141	55796	UROK	\N	\N
3571072	1230	1998-07-31	PRIJEM	\N	238	64526	UROK	\N	\N
3571073	1230	1998-08-31	PRIJEM	\N	268	57379	UROK	\N	\N
3571074	1230	1998-09-30	PRIJEM	\N	241	60431	UROK	\N	\N
3571075	1230	1998-10-31	PRIJEM	\N	293	72844	UROK	\N	\N
3571076	1230	1998-11-30	PRIJEM	\N	356	88415	UROK	\N	\N
3571077	1230	1998-12-31	PRIJEM	\N	323	99333	UROK	\N	\N
3571078	1231	1994-02-28	PRIJEM	\N	34	19099	UROK	\N	\N
3571079	1231	1994-03-31	PRIJEM	\N	100	31064	UROK	\N	\N
3571080	1231	1994-04-30	PRIJEM	\N	141	37871	UROK	\N	\N
3571081	1231	1994-05-31	PRIJEM	\N	161	39997	UROK	\N	\N
3571082	1231	1994-06-30	PRIJEM	\N	159	30953	UROK	\N	\N
3571083	1231	1994-07-31	PRIJEM	\N	143	32462	UROK	\N	\N
3571084	1231	1994-08-31	PRIJEM	\N	149	34776	UROK	\N	\N
3571085	1231	1994-09-30	PRIJEM	\N	160	38201	UROK	\N	\N
3571086	1231	1994-10-31	PRIJEM	\N	166	38133	UROK	\N	\N
3571087	1231	1994-11-30	PRIJEM	\N	156	31114	UROK	\N	\N
3571088	1231	1994-12-31	PRIJEM	\N	149	37001	UROK	\N	\N
3571089	1231	1995-01-31	PRIJEM	\N	139	29245	UROK	\N	\N
3571090	1231	1995-02-28	PRIJEM	\N	131	32041	UROK	\N	\N
3571091	1231	1995-03-31	PRIJEM	\N	145	34752	UROK	\N	\N
3571092	1231	1995-04-30	PRIJEM	\N	147	34465	UROK	\N	\N
3571093	1231	1995-05-31	PRIJEM	\N	146	34176	UROK	\N	\N
3571094	1231	1995-06-30	PRIJEM	\N	140	18654	UROK	\N	\N
3571095	1231	1995-07-31	PRIJEM	\N	97	25417	UROK	\N	\N
3571096	1231	1995-08-31	PRIJEM	\N	144	28426	UROK	\N	\N
3571097	1231	1995-09-30	PRIJEM	\N	130	32641	UROK	\N	\N
3571098	1231	1995-10-31	PRIJEM	\N	157	40864	UROK	\N	\N
3571099	1231	1995-11-30	PRIJEM	\N	183	47012	UROK	\N	\N
3571100	1231	1995-12-31	PRIJEM	\N	215	55765	UROK	\N	\N
3571101	1231	1996-01-31	PRIJEM	\N	188	42498	UROK	\N	\N
3571102	1231	1996-02-29	PRIJEM	\N	174	45237	UROK	\N	\N
3571103	1231	1996-03-31	PRIJEM	\N	186	47189	UROK	\N	\N
3571104	1231	1996-04-30	PRIJEM	\N	184	43898	UROK	\N	\N
3571105	1231	1996-05-31	PRIJEM	\N	176	45479	UROK	\N	\N
3571106	1231	1996-06-30	PRIJEM	\N	209	57226	UROK	\N	\N
3571107	1231	1996-07-31	PRIJEM	\N	213	53805	UROK	\N	\N
3571108	1231	1996-08-31	PRIJEM	\N	213	55183	UROK	\N	\N
3571109	1231	1996-09-30	PRIJEM	\N	210	54359	UROK	\N	\N
3571110	1231	1996-10-31	PRIJEM	\N	189	48253	UROK	\N	\N
3571111	1231	1996-11-30	PRIJEM	\N	184	48102	UROK	\N	\N
3571112	1231	1996-12-31	PRIJEM	\N	188	49548	UROK	\N	\N
3571113	1231	1997-01-31	PRIJEM	\N	168	38501	UROK	\N	\N
3571114	1231	1997-02-28	PRIJEM	\N	146	39312	UROK	\N	\N
3571115	1231	1997-03-31	PRIJEM	\N	156	41734	UROK	\N	\N
3571116	1231	1997-04-30	PRIJEM	\N	144	34483	UROK	\N	\N
3571117	1231	1997-05-31	PRIJEM	\N	136	36985	UROK	\N	\N
3571118	1231	1997-06-30	PRIJEM	\N	134	21577	UROK	\N	\N
3571119	1231	1997-07-31	PRIJEM	\N	109	31751	UROK	\N	\N
3571120	1231	1997-08-31	PRIJEM	\N	116	21332	UROK	\N	\N
3571121	1231	1997-09-30	PRIJEM	\N	112	17610	UROK	\N	\N
3571122	1231	1997-10-31	PRIJEM	\N	94	15249	UROK	\N	\N
3571123	1231	1997-11-30	PRIJEM	\N	94	16409	UROK	\N	\N
3571124	1231	1997-12-31	PRIJEM	\N	119	19225	UROK	\N	\N
3571125	1231	1998-01-31	PRIJEM	\N	109	24779	UROK	\N	\N
3571126	1231	1998-02-28	PRIJEM	\N	128	17573	UROK	\N	\N
3571127	1231	1998-03-31	PRIJEM	\N	103	27081	UROK	\N	\N
3571128	1231	1998-04-30	PRIJEM	\N	149	41195	UROK	\N	\N
3571129	1231	1998-05-31	PRIJEM	\N	182	18883	UROK	\N	\N
3571130	1231	1998-06-30	PRIJEM	\N	127	32348	UROK	\N	\N
3571131	1231	1998-07-31	PRIJEM	\N	154	40947	UROK	\N	\N
3571132	1231	1998-08-31	PRIJEM	\N	206	55119	UROK	\N	\N
3571133	1231	1998-09-30	PRIJEM	\N	214	16598	UROK	\N	\N
3571134	1231	1998-10-31	PRIJEM	\N	105	30668	UROK	\N	\N
3571135	1231	1998-11-30	PRIJEM	\N	163	44796	UROK	\N	\N
3571136	1231	1998-12-31	PRIJEM	\N	242	63735	UROK	\N	\N
3571137	1233	1996-02-29	PRIJEM	\N	12	3702	UROK	\N	\N
3571138	1233	1996-03-31	PRIJEM	\N	15	7107	UROK	\N	\N
3571139	1233	1996-04-30	PRIJEM	\N	15	10512	UROK	\N	\N
3571140	1233	1996-05-31	PRIJEM	\N	15	13918	UROK	\N	\N
3571141	1233	1996-06-30	PRIJEM	\N	44	14851	UROK	\N	\N
3571142	1233	1996-07-31	PRIJEM	\N	65	16031	UROK	\N	\N
3571143	1233	1996-08-31	PRIJEM	\N	70	16416	UROK	\N	\N
3571144	1233	1996-09-30	PRIJEM	\N	69	16551	UROK	\N	\N
3571145	1233	1996-10-31	PRIJEM	\N	71	16536	UROK	\N	\N
3571146	1233	1996-11-30	PRIJEM	\N	72	17124	UROK	\N	\N
3571147	1233	1996-12-31	PRIJEM	\N	71	16731	UROK	\N	\N
3571148	1233	1997-01-31	PRIJEM	\N	73	17119	UROK	\N	\N
3571149	1233	1997-02-28	PRIJEM	\N	73	16207	UROK	\N	\N
3571150	1233	1997-03-31	PRIJEM	\N	70	17393	UROK	\N	\N
3571151	1233	1997-04-30	PRIJEM	\N	77	18385	UROK	\N	\N
3571152	1233	1997-05-31	PRIJEM	\N	79	18680	UROK	\N	\N
3571153	1233	1997-06-30	PRIJEM	\N	73	16568	UROK	\N	\N
3571154	1233	1997-07-31	PRIJEM	\N	72	17755	UROK	\N	\N
3571155	1233	1997-08-31	PRIJEM	\N	77	18287	UROK	\N	\N
3571156	1233	1997-09-30	PRIJEM	\N	74	17706	UROK	\N	\N
3571157	1233	1997-10-31	PRIJEM	\N	66	14018	UROK	\N	\N
3571158	1233	1997-11-30	PRIJEM	\N	60	13573	UROK	\N	\N
3571159	1233	1997-12-31	PRIJEM	\N	59	13998	UROK	\N	\N
3571160	1233	1998-01-31	PRIJEM	\N	61	15174	UROK	\N	\N
3571161	1233	1998-02-28	PRIJEM	\N	67	13536	UROK	\N	\N
3571162	1233	1998-03-31	PRIJEM	\N	57	13418	UROK	\N	\N
3571163	1233	1998-04-30	PRIJEM	\N	58	12891	UROK	\N	\N
3571164	1233	1998-05-31	PRIJEM	\N	55	12461	UROK	\N	\N
3571165	1233	1998-06-30	PRIJEM	\N	52	12159	UROK	\N	\N
3571166	1233	1998-07-31	PRIJEM	\N	53	13327	UROK	\N	\N
3571167	1233	1998-08-31	PRIJEM	\N	57	13389	UROK	\N	\N
3571168	1233	1998-09-30	PRIJEM	\N	55	11640	UROK	\N	\N
3571169	1233	1998-10-31	PRIJEM	\N	51	12806	UROK	\N	\N
3571170	1233	1998-11-30	PRIJEM	\N	54	12475	UROK	\N	\N
3571171	1233	1998-12-31	PRIJEM	\N	54	13135	UROK	\N	\N
3571172	1234	1993-09-30	PRIJEM	\N	19	7509	UROK	\N	\N
3571173	1234	1993-10-31	PRIJEM	\N	31	13930	UROK	\N	\N
3571174	1234	1993-11-30	PRIJEM	\N	31	20351	UROK	\N	\N
3571175	1234	1993-12-31	PRIJEM	\N	31	26772	UROK	\N	\N
3571176	1234	1994-01-31	PRIJEM	\N	83	23850	UROK	\N	\N
3571177	1234	1994-02-28	PRIJEM	\N	109	27698	UROK	\N	\N
3571178	1234	1994-03-31	PRIJEM	\N	119	29256	UROK	\N	\N
3571179	1234	1994-04-30	PRIJEM	\N	131	32927	UROK	\N	\N
3571180	1234	1994-05-31	PRIJEM	\N	135	32101	UROK	\N	\N
3571181	1234	1994-06-30	PRIJEM	\N	116	21807	UROK	\N	\N
3571182	1234	1994-07-31	PRIJEM	\N	99	24285	UROK	\N	\N
3571183	1234	1994-08-31	PRIJEM	\N	111	28535	UROK	\N	\N
3571184	1234	1994-09-30	PRIJEM	\N	128	32002	UROK	\N	\N
3571185	1234	1994-10-31	PRIJEM	\N	117	22478	UROK	\N	\N
3571186	1234	1994-11-30	PRIJEM	\N	99	24797	UROK	\N	\N
3571187	1234	1994-12-31	PRIJEM	\N	113	28699	UROK	\N	\N
3571188	1234	1995-01-31	PRIJEM	\N	97	14555	UROK	\N	\N
3571189	1234	1995-02-28	PRIJEM	\N	70	18764	UROK	\N	\N
3571190	1234	1995-03-31	PRIJEM	\N	86	21990	UROK	\N	\N
3571191	1234	1995-04-30	PRIJEM	\N	101	25630	UROK	\N	\N
3571192	1234	1995-05-31	PRIJEM	\N	103	24372	UROK	\N	\N
3571193	1234	1995-06-30	PRIJEM	\N	62	10924	UROK	\N	\N
3571194	1234	1995-07-31	PRIJEM	\N	55	15118	UROK	\N	\N
3571195	1234	1995-08-31	PRIJEM	\N	73	19330	UROK	\N	\N
3571196	1234	1995-09-30	PRIJEM	\N	90	23560	UROK	\N	\N
3571197	1234	1995-10-31	PRIJEM	\N	93	20972	UROK	\N	\N
3571198	1234	1995-11-30	PRIJEM	\N	97	24808	UROK	\N	\N
3571199	1234	1995-12-31	PRIJEM	\N	100	23548	UROK	\N	\N
3571200	1234	1996-01-31	PRIJEM	\N	79	15246	UROK	\N	\N
3571201	1234	1996-02-29	PRIJEM	\N	72	19458	UROK	\N	\N
3571202	1234	1996-03-31	PRIJEM	\N	80	19337	UROK	\N	\N
3571203	1234	1996-04-30	PRIJEM	\N	80	19736	UROK	\N	\N
3571204	1234	1996-05-31	PRIJEM	\N	84	20359	UROK	\N	\N
3571205	1234	1996-06-30	PRIJEM	\N	91	20450	UROK	\N	\N
3571206	1234	1996-07-31	PRIJEM	\N	92	19382	UROK	\N	\N
3571207	1234	1996-08-31	PRIJEM	\N	81	14023	UROK	\N	\N
3571208	1234	1996-09-30	PRIJEM	\N	65	13927	UROK	\N	\N
3571209	1234	1996-10-31	PRIJEM	\N	67	18133	UROK	\N	\N
3571210	1234	1996-11-30	PRIJEM	\N	78	13251	UROK	\N	\N
3571211	1234	1996-12-31	PRIJEM	\N	64	16004	UROK	\N	\N
3571212	1234	1997-01-31	PRIJEM	\N	67	14850	UROK	\N	\N
3571213	1234	1997-02-28	PRIJEM	\N	69	18018	UROK	\N	\N
3571214	1234	1997-03-31	PRIJEM	\N	76	13034	UROK	\N	\N
3571215	1234	1997-04-30	PRIJEM	\N	63	17236	UROK	\N	\N
3571216	1234	1997-05-31	PRIJEM	\N	80	21456	UROK	\N	\N
3571217	1234	1997-06-30	PRIJEM	\N	97	25693	UROK	\N	\N
3571218	1234	1997-07-31	PRIJEM	\N	88	13860	UROK	\N	\N
3571219	1234	1997-08-31	PRIJEM	\N	60	12759	UROK	\N	\N
3571220	1234	1997-09-30	PRIJEM	\N	61	16960	UROK	\N	\N
3571221	1234	1997-10-31	PRIJEM	\N	77	19896	UROK	\N	\N
3571222	1234	1997-11-30	PRIJEM	\N	88	21403	UROK	\N	\N
3571223	1234	1997-12-31	PRIJEM	\N	93	22225	UROK	\N	\N
3571224	1234	1998-01-31	PRIJEM	\N	71	15146	UROK	\N	\N
3571225	1234	1998-02-28	PRIJEM	\N	70	19356	UROK	\N	\N
3571226	1234	1998-03-31	PRIJEM	\N	89	23584	UROK	\N	\N
3571227	1234	1998-04-30	PRIJEM	\N	84	13207	UROK	\N	\N
3571228	1234	1998-05-31	PRIJEM	\N	63	17409	UROK	\N	\N
3571229	1234	1998-06-30	PRIJEM	\N	70	15819	UROK	\N	\N
3571230	1234	1998-07-31	PRIJEM	\N	74	20032	UROK	\N	\N
3571231	1234	1998-08-31	PRIJEM	\N	91	24262	UROK	\N	\N
3571232	1234	1998-09-30	PRIJEM	\N	79	13481	UROK	\N	\N
3571233	1234	1998-10-31	PRIJEM	\N	64	17684	UROK	\N	\N
3571234	1234	1998-11-30	PRIJEM	\N	81	21904	UROK	\N	\N
3571235	1234	1998-12-31	PRIJEM	\N	98	25592	UROK	\N	\N
3571236	1235	1994-04-30	PRIJEM	\N	56	21202	UROK	\N	\N
3571237	1235	1994-05-31	PRIJEM	\N	95	22729	UROK	\N	\N
3571238	1235	1994-06-30	PRIJEM	\N	90	20952	UROK	\N	\N
3571239	1235	1994-07-31	PRIJEM	\N	91	22475	UROK	\N	\N
3571240	1235	1994-08-31	PRIJEM	\N	91	22119	UROK	\N	\N
3571241	1235	1994-09-30	PRIJEM	\N	92	20844	UROK	\N	\N
3571242	1235	1994-10-31	PRIJEM	\N	85	17821	UROK	\N	\N
3571243	1235	1994-11-30	PRIJEM	\N	71	17245	UROK	\N	\N
3571244	1235	1994-12-31	PRIJEM	\N	73	17450	UROK	\N	\N
3571245	1235	1995-01-31	PRIJEM	\N	63	13345	UROK	\N	\N
3571246	1235	1995-02-28	PRIJEM	\N	59	13957	UROK	\N	\N
3571247	1235	1995-03-31	PRIJEM	\N	61	15050	UROK	\N	\N
3571248	1235	1995-04-30	PRIJEM	\N	59	12942	UROK	\N	\N
3571249	1235	1995-05-31	PRIJEM	\N	58	14432	UROK	\N	\N
3571250	1235	1995-06-30	PRIJEM	\N	66	15931	UROK	\N	\N
3571251	1235	1995-07-31	PRIJEM	\N	73	17436	UROK	\N	\N
3571252	1235	1995-08-31	PRIJEM	\N	76	18945	UROK	\N	\N
3571253	1235	1995-09-30	PRIJEM	\N	83	20460	UROK	\N	\N
3571254	1235	1995-10-31	PRIJEM	\N	88	19660	UROK	\N	\N
3571255	1235	1995-11-30	PRIJEM	\N	84	19177	UROK	\N	\N
3571256	1235	1995-12-31	PRIJEM	\N	73	17682	UROK	\N	\N
3571257	1235	1996-01-31	PRIJEM	\N	69	13663	UROK	\N	\N
3571258	1235	1996-02-29	PRIJEM	\N	60	14516	UROK	\N	\N
3571259	1235	1996-03-31	PRIJEM	\N	64	16012	UROK	\N	\N
3571260	1235	1996-04-30	PRIJEM	\N	70	17114	UROK	\N	\N
3571261	1235	1996-05-31	PRIJEM	\N	78	18624	UROK	\N	\N
3571262	1235	1996-06-30	PRIJEM	\N	81	20137	UROK	\N	\N
3571263	1235	1996-07-31	PRIJEM	\N	87	21657	UROK	\N	\N
3571264	1235	1996-08-31	PRIJEM	\N	96	23186	UROK	\N	\N
3571265	1235	1996-09-30	PRIJEM	\N	100	24718	UROK	\N	\N
3571266	1235	1996-10-31	PRIJEM	\N	106	26257	UROK	\N	\N
3571267	1235	1996-11-30	PRIJEM	\N	113	27802	UROK	\N	\N
3571268	1235	1996-12-31	PRIJEM	\N	115	27939	UROK	\N	\N
3571269	1235	1997-01-31	PRIJEM	\N	94	18035	UROK	\N	\N
3571270	1235	1997-02-28	PRIJEM	\N	78	19545	UROK	\N	\N
3571271	1235	1997-03-31	PRIJEM	\N	85	21062	UROK	\N	\N
3571272	1235	1997-04-30	PRIJEM	\N	86	20981	UROK	\N	\N
3571273	1235	1997-05-31	PRIJEM	\N	89	22402	UROK	\N	\N
3571274	1235	1997-06-30	PRIJEM	\N	74	17609	UROK	\N	\N
3571275	1235	1997-07-31	PRIJEM	\N	72	15914	UROK	\N	\N
3571276	1235	1997-08-31	PRIJEM	\N	65	15252	UROK	\N	\N
3571277	1235	1997-09-30	PRIJEM	\N	69	16753	UROK	\N	\N
3571278	1235	1997-10-31	PRIJEM	\N	75	18261	UROK	\N	\N
3571279	1235	1997-11-30	PRIJEM	\N	81	19774	UROK	\N	\N
3571280	1235	1997-12-31	PRIJEM	\N	81	19838	UROK	\N	\N
3571281	1235	1998-01-31	PRIJEM	\N	72	15742	UROK	\N	\N
3571282	1235	1998-02-28	PRIJEM	\N	70	17245	UROK	\N	\N
3571283	1235	1998-03-31	PRIJEM	\N	77	18754	UROK	\N	\N
3571284	1235	1998-04-30	PRIJEM	\N	81	19868	UROK	\N	\N
3571285	1235	1998-05-31	PRIJEM	\N	85	21386	UROK	\N	\N
3571286	1235	1998-06-30	PRIJEM	\N	79	17147	UROK	\N	\N
3571287	1235	1998-07-31	PRIJEM	\N	76	18656	UROK	\N	\N
3571288	1235	1998-08-31	PRIJEM	\N	79	19528	UROK	\N	\N
3571289	1235	1998-09-30	PRIJEM	\N	83	13943	UROK	\N	\N
3571290	1235	1998-10-31	PRIJEM	\N	63	15438	UROK	\N	\N
3571291	1235	1998-11-30	PRIJEM	\N	69	16939	UROK	\N	\N
3571292	1235	1998-12-31	PRIJEM	\N	73	17145	UROK	\N	\N
3571293	1238	1996-03-31	PRIJEM	\N	17	24127	UROK	\N	\N
3571294	1238	1996-04-30	PRIJEM	\N	101	25004	UROK	\N	\N
3571295	1238	1996-05-31	PRIJEM	\N	115	28774	UROK	\N	\N
3571296	1238	1996-06-30	PRIJEM	\N	118	25198	UROK	\N	\N
3571297	1238	1996-07-31	PRIJEM	\N	115	27868	UROK	\N	\N
3571298	1238	1996-08-31	PRIJEM	\N	121	26244	UROK	\N	\N
3571299	1238	1996-09-30	PRIJEM	\N	118	28017	UROK	\N	\N
3571300	1238	1996-10-31	PRIJEM	\N	120	25693	UROK	\N	\N
3571301	1238	1996-11-30	PRIJEM	\N	114	26462	UROK	\N	\N
3571302	1238	1996-12-31	PRIJEM	\N	113	26930	UROK	\N	\N
3571303	1238	1997-01-31	PRIJEM	\N	90	16425	UROK	\N	\N
3571304	1238	1997-02-28	PRIJEM	\N	74	19314	UROK	\N	\N
3571305	1238	1997-03-31	PRIJEM	\N	91	23261	UROK	\N	\N
3571306	1238	1997-04-30	PRIJEM	\N	107	26723	UROK	\N	\N
3571307	1238	1997-05-31	PRIJEM	\N	120	29298	UROK	\N	\N
3571308	1238	1997-06-30	PRIJEM	\N	102	20805	UROK	\N	\N
3571309	1238	1997-07-31	PRIJEM	\N	97	24758	UROK	\N	\N
3571310	1238	1997-08-31	PRIJEM	\N	111	27124	UROK	\N	\N
3571311	1238	1997-09-30	PRIJEM	\N	116	27336	UROK	\N	\N
3571312	1238	1997-10-31	PRIJEM	\N	121	27712	UROK	\N	\N
3571313	1238	1997-11-30	PRIJEM	\N	126	31693	UROK	\N	\N
3571314	1238	1997-12-31	PRIJEM	\N	132	31280	UROK	\N	\N
3571315	1238	1998-01-31	PRIJEM	\N	127	25213	UROK	\N	\N
3571316	1238	1998-02-28	PRIJEM	\N	115	29183	UROK	\N	\N
3571317	1238	1998-03-31	PRIJEM	\N	131	30530	UROK	\N	\N
3571318	1238	1998-04-30	PRIJEM	\N	125	30911	UROK	\N	\N
3571319	1238	1998-05-31	PRIJEM	\N	133	31219	UROK	\N	\N
3571320	1238	1998-06-30	PRIJEM	\N	101	23675	UROK	\N	\N
3571321	1238	1998-07-31	PRIJEM	\N	109	27639	UROK	\N	\N
3571322	1238	1998-08-31	PRIJEM	\N	125	31620	UROK	\N	\N
3571323	1238	1998-09-30	PRIJEM	\N	142	35617	UROK	\N	\N
3571324	1238	1998-10-31	PRIJEM	\N	153	37665	UROK	\N	\N
3571325	1238	1998-11-30	PRIJEM	\N	160	38980	UROK	\N	\N
3571326	1238	1998-12-31	PRIJEM	\N	170	42756	UROK	\N	\N
3571327	1239	1993-07-31	PRIJEM	\N	64	20868	UROK	\N	\N
3571328	1239	1993-08-31	PRIJEM	\N	102	25538	UROK	\N	\N
3571329	1239	1993-09-30	PRIJEM	\N	96	22158	UROK	\N	\N
3571330	1239	1993-10-31	PRIJEM	\N	94	22461	UROK	\N	\N
3571331	1239	1993-11-30	PRIJEM	\N	99	23230	UROK	\N	\N
3571332	1239	1993-12-31	PRIJEM	\N	102	23691	UROK	\N	\N
3571333	1239	1994-01-31	PRIJEM	\N	99	22999	UROK	\N	\N
3571334	1239	1994-02-28	PRIJEM	\N	104	26013	UROK	\N	\N
3571335	1239	1994-03-31	PRIJEM	\N	100	23402	UROK	\N	\N
3571336	1239	1994-04-30	PRIJEM	\N	106	26418	UROK	\N	\N
3571337	1239	1994-05-31	PRIJEM	\N	119	29446	UROK	\N	\N
3571338	1239	1994-06-30	PRIJEM	\N	96	18121	UROK	\N	\N
3571339	1239	1994-07-31	PRIJEM	\N	84	21115	UROK	\N	\N
3571340	1239	1994-08-31	PRIJEM	\N	97	24121	UROK	\N	\N
3571341	1239	1994-09-30	PRIJEM	\N	110	26541	UROK	\N	\N
3571342	1239	1994-10-31	PRIJEM	\N	111	26361	UROK	\N	\N
3571343	1239	1994-11-30	PRIJEM	\N	112	26783	UROK	\N	\N
3571344	1239	1994-12-31	PRIJEM	\N	115	26267	UROK	\N	\N
3571345	1239	1995-01-31	PRIJEM	\N	109	25035	UROK	\N	\N
3571346	1239	1995-02-28	PRIJEM	\N	113	28057	UROK	\N	\N
3571347	1239	1995-03-31	PRIJEM	\N	110	25877	UROK	\N	\N
3571348	1239	1995-04-30	PRIJEM	\N	105	26091	UROK	\N	\N
3571349	1239	1995-05-31	PRIJEM	\N	103	24183	UROK	\N	\N
3571350	1239	1995-06-30	PRIJEM	\N	107	23370	UROK	\N	\N
3571351	1239	1995-07-31	PRIJEM	\N	101	21580	UROK	\N	\N
3571352	1239	1995-08-31	PRIJEM	\N	97	21586	UROK	\N	\N
3571353	1239	1995-09-30	PRIJEM	\N	98	24594	UROK	\N	\N
3571354	1239	1995-10-31	PRIJEM	\N	111	27614	UROK	\N	\N
3571355	1239	1995-11-30	PRIJEM	\N	119	24042	UROK	\N	\N
3571356	1239	1995-12-31	PRIJEM	\N	107	25558	UROK	\N	\N
3571357	1239	1996-01-31	PRIJEM	\N	107	25675	UROK	\N	\N
3571358	1239	1996-02-29	PRIJEM	\N	111	23695	UROK	\N	\N
3571359	1239	1996-03-31	PRIJEM	\N	104	23408	UROK	\N	\N
3571360	1239	1996-04-30	PRIJEM	\N	104	24621	UROK	\N	\N
3571361	1239	1996-05-31	PRIJEM	\N	106	22836	UROK	\N	\N
3571362	1239	1996-06-30	PRIJEM	\N	69	13864	UROK	\N	\N
3571363	1239	1996-07-31	PRIJEM	\N	59	12972	UROK	\N	\N
3571364	1239	1996-08-31	PRIJEM	\N	59	13741	UROK	\N	\N
3571365	1239	1996-09-30	PRIJEM	\N	63	14873	UROK	\N	\N
3571366	1239	1996-10-31	PRIJEM	\N	67	15950	UROK	\N	\N
3571367	1239	1996-11-30	PRIJEM	\N	71	16930	UROK	\N	\N
3571368	1239	1996-12-31	PRIJEM	\N	67	13107	UROK	\N	\N
3571369	1239	1997-01-31	PRIJEM	\N	57	13073	UROK	\N	\N
3571370	1239	1997-02-28	PRIJEM	\N	62	16044	UROK	\N	\N
3571371	1239	1997-03-31	PRIJEM	\N	74	19028	UROK	\N	\N
3571372	1239	1997-04-30	PRIJEM	\N	85	21142	UROK	\N	\N
3571373	1239	1997-05-31	PRIJEM	\N	95	24146	UROK	\N	\N
3571374	1239	1997-06-30	PRIJEM	\N	86	14841	UROK	\N	\N
3571375	1239	1997-07-31	PRIJEM	\N	69	17820	UROK	\N	\N
3571376	1239	1997-08-31	PRIJEM	\N	66	13395	UROK	\N	\N
3571377	1239	1997-09-30	PRIJEM	\N	57	13361	UROK	\N	\N
3571378	1239	1997-10-31	PRIJEM	\N	57	13628	UROK	\N	\N
3571379	1239	1997-11-30	PRIJEM	\N	61	15298	UROK	\N	\N
3571380	1239	1997-12-31	PRIJEM	\N	64	15171	UROK	\N	\N
3571381	1239	1998-01-31	PRIJEM	\N	61	14642	UROK	\N	\N
3571382	1239	1998-02-28	PRIJEM	\N	59	14311	UROK	\N	\N
3571383	1239	1998-03-31	PRIJEM	\N	62	15382	UROK	\N	\N
3571384	1239	1998-04-30	PRIJEM	\N	58	13149	UROK	\N	\N
3571385	1239	1998-05-31	PRIJEM	\N	57	14215	UROK	\N	\N
3571386	1239	1998-06-30	PRIJEM	\N	65	17190	UROK	\N	\N
3571387	1239	1998-07-31	PRIJEM	\N	65	14524	UROK	\N	\N
3571388	1239	1998-08-31	PRIJEM	\N	67	17500	UROK	\N	\N
3571389	1239	1998-09-30	PRIJEM	\N	61	14171	UROK	\N	\N
3571390	1239	1998-10-31	PRIJEM	\N	65	17146	UROK	\N	\N
3571391	1239	1998-11-30	PRIJEM	\N	77	20132	UROK	\N	\N
3571392	1239	1998-12-31	PRIJEM	\N	73	17065	UROK	\N	\N
3571393	1240	1997-10-31	PRIJEM	\N	49	17351	UROK	\N	\N
3571394	1240	1997-11-30	PRIJEM	\N	91	23743	UROK	\N	\N
3571395	1240	1997-12-31	PRIJEM	\N	127	33424	UROK	\N	\N
3571396	1240	1998-01-31	PRIJEM	\N	140	33765	UROK	\N	\N
3571397	1240	1998-02-28	PRIJEM	\N	135	31249	UROK	\N	\N
3571398	1240	1998-03-31	PRIJEM	\N	125	25508	UROK	\N	\N
3571399	1240	1998-04-30	PRIJEM	\N	101	23143	UROK	\N	\N
3571400	1240	1998-05-31	PRIJEM	\N	93	21671	UROK	\N	\N
3571401	1240	1998-06-30	PRIJEM	\N	81	14737	UROK	\N	\N
3571402	1240	1998-07-31	PRIJEM	\N	58	13130	UROK	\N	\N
3571403	1240	1998-08-31	PRIJEM	\N	70	17035	UROK	\N	\N
3571404	1240	1998-09-30	PRIJEM	\N	85	20554	UROK	\N	\N
3571405	1240	1998-10-31	PRIJEM	\N	91	21380	UROK	\N	\N
3571406	1240	1998-11-30	PRIJEM	\N	89	20704	UROK	\N	\N
3571407	1240	1998-12-31	PRIJEM	\N	97	23186	UROK	\N	\N
3571408	1241	1996-07-31	PRIJEM	\N	21	5915	UROK	\N	\N
3571409	1241	1996-08-31	PRIJEM	\N	68	17878	UROK	\N	\N
3571410	1241	1996-09-30	PRIJEM	\N	91	27462	UROK	\N	\N
3571411	1241	1996-10-31	PRIJEM	\N	103	26860	UROK	\N	\N
3571412	1241	1996-11-30	PRIJEM	\N	120	23478	UROK	\N	\N
3571413	1241	1996-12-31	PRIJEM	\N	99	19227	UROK	\N	\N
3571414	1241	1997-01-31	PRIJEM	\N	68	17638	UROK	\N	\N
3571415	1241	1997-02-28	PRIJEM	\N	84	22305	UROK	\N	\N
3571416	1241	1997-03-31	PRIJEM	\N	103	25591	UROK	\N	\N
3571417	1241	1997-04-30	PRIJEM	\N	115	24589	UROK	\N	\N
3571418	1241	1997-05-31	PRIJEM	\N	110	23383	UROK	\N	\N
3571419	1241	1997-06-30	PRIJEM	\N	77	13750	UROK	\N	\N
3571420	1241	1997-07-31	PRIJEM	\N	66	14599	UROK	\N	\N
3571421	1241	1997-08-31	PRIJEM	\N	67	12149	UROK	\N	\N
3571422	1241	1997-09-30	PRIJEM	\N	58	11390	UROK	\N	\N
3571423	1241	1997-10-31	PRIJEM	\N	57	13730	UROK	\N	\N
3571424	1241	1997-11-30	PRIJEM	\N	62	11576	UROK	\N	\N
3571425	1241	1997-12-31	PRIJEM	\N	65	14131	UROK	\N	\N
3571426	1241	1998-01-31	PRIJEM	\N	59	11953	UROK	\N	\N
3571427	1241	1998-02-28	PRIJEM	\N	60	14396	UROK	\N	\N
3571428	1241	1998-03-31	PRIJEM	\N	66	13545	UROK	\N	\N
3571429	1241	1998-04-30	PRIJEM	\N	64	14093	UROK	\N	\N
3571430	1241	1998-05-31	PRIJEM	\N	64	12540	UROK	\N	\N
3571431	1241	1998-06-30	PRIJEM	\N	63	11133	UROK	\N	\N
3571432	1241	1998-07-31	PRIJEM	\N	55	13072	UROK	\N	\N
3571433	1241	1998-08-31	PRIJEM	\N	63	15018	UROK	\N	\N
3571434	1241	1998-09-30	PRIJEM	\N	72	16973	UROK	\N	\N
3571435	1241	1998-10-31	PRIJEM	\N	69	12125	UROK	\N	\N
3571436	1241	1998-11-30	PRIJEM	\N	54	11063	UROK	\N	\N
3571437	1241	1998-12-31	PRIJEM	\N	60	14013	UROK	\N	\N
3571438	1242	1996-11-30	PRIJEM	\N	38	45281	UROK	\N	\N
3571439	1242	1996-12-31	PRIJEM	\N	189	38169	UROK	\N	\N
3571440	1242	1997-01-31	PRIJEM	\N	214	69026	UROK	\N	\N
3571441	1242	1997-02-28	PRIJEM	\N	308	93119	UROK	\N	\N
3571442	1242	1997-03-31	PRIJEM	\N	348	64184	UROK	\N	\N
3571443	1242	1997-04-30	PRIJEM	\N	205	41775	UROK	\N	\N
3571444	1242	1997-05-31	PRIJEM	\N	145	34776	UROK	\N	\N
3571445	1242	1997-06-30	PRIJEM	\N	113	32545	UROK	\N	\N
3571446	1242	1997-07-31	PRIJEM	\N	119	30620	UROK	\N	\N
3571447	1242	1997-08-31	PRIJEM	\N	107	31182	UROK	\N	\N
3571448	1242	1997-09-30	PRIJEM	\N	159	49719	UROK	\N	\N
3571449	1242	1997-10-31	PRIJEM	\N	182	41901	UROK	\N	\N
3571450	1242	1997-11-30	PRIJEM	\N	147	61528	UROK	\N	\N
3571451	1242	1997-12-31	PRIJEM	\N	194	36912	UROK	\N	\N
3571452	1242	1998-01-31	PRIJEM	\N	152	53859	UROK	\N	\N
3571453	1242	1998-02-28	PRIJEM	\N	166	39226	UROK	\N	\N
3571454	1242	1998-03-31	PRIJEM	\N	298	62696	UROK	\N	\N
3571455	1242	1998-04-30	PRIJEM	\N	324	78704	UROK	\N	\N
3571456	1242	1998-05-31	PRIJEM	\N	293	98171	UROK	\N	\N
3571457	1242	1998-06-30	PRIJEM	\N	297	55555	UROK	\N	\N
3571458	1242	1998-07-31	PRIJEM	\N	242	59129	UROK	\N	\N
3571459	1242	1998-08-31	PRIJEM	\N	351	91612	UROK	\N	\N
3571460	1242	1998-09-30	PRIJEM	\N	304	72037	UROK	\N	\N
3571461	1242	1998-10-31	PRIJEM	\N	258	56295	UROK	\N	\N
3571462	1242	1998-11-30	PRIJEM	\N	211	46206	UROK	\N	\N
3571463	1242	1998-12-31	PRIJEM	\N	164	32271	UROK	\N	\N
3571464	1244	1996-06-30	PRIJEM	\N	48	14390	UROK	\N	\N
3571465	1244	1996-07-31	PRIJEM	\N	79	20197	UROK	\N	\N
3571466	1244	1996-08-31	PRIJEM	\N	91	27616	UROK	\N	\N
3571467	1244	1996-09-30	PRIJEM	\N	134	34279	UROK	\N	\N
3571468	1244	1996-10-31	PRIJEM	\N	130	30480	UROK	\N	\N
3571469	1244	1996-11-30	PRIJEM	\N	109	25337	UROK	\N	\N
3571470	1244	1996-12-31	PRIJEM	\N	105	23145	UROK	\N	\N
3571471	1244	1997-01-31	PRIJEM	\N	81	17794	UROK	\N	\N
3571472	1244	1997-02-28	PRIJEM	\N	76	17738	UROK	\N	\N
3571473	1244	1997-03-31	PRIJEM	\N	83	15321	UROK	\N	\N
3571474	1244	1997-04-30	PRIJEM	\N	63	15065	UROK	\N	\N
3571475	1244	1997-05-31	PRIJEM	\N	56	13101	UROK	\N	\N
3571476	1244	1997-06-30	PRIJEM	\N	76	19071	UROK	\N	\N
3571477	1244	1997-07-31	PRIJEM	\N	64	14916	UROK	\N	\N
3571478	1244	1997-08-31	PRIJEM	\N	63	17579	UROK	\N	\N
3571479	1244	1997-09-30	PRIJEM	\N	77	18636	UROK	\N	\N
3571480	1244	1997-10-31	PRIJEM	\N	68	14584	UROK	\N	\N
3571481	1244	1997-11-30	PRIJEM	\N	65	15629	UROK	\N	\N
3571482	1244	1997-12-31	PRIJEM	\N	75	11098	UROK	\N	\N
3571483	1244	1998-01-31	PRIJEM	\N	50	12129	UROK	\N	\N
3571484	1244	1998-02-28	PRIJEM	\N	55	13764	UROK	\N	\N
3571485	1244	1998-03-31	PRIJEM	\N	61	13105	UROK	\N	\N
3571486	1244	1998-04-30	PRIJEM	\N	58	14143	UROK	\N	\N
3571487	1244	1998-05-31	PRIJEM	\N	62	15186	UROK	\N	\N
3571488	1244	1998-06-30	PRIJEM	\N	75	16355	UROK	\N	\N
3571489	1244	1998-07-31	PRIJEM	\N	69	16204	UROK	\N	\N
3571490	1244	1998-08-31	PRIJEM	\N	68	13552	UROK	\N	\N
3571491	1244	1998-09-30	PRIJEM	\N	59	13091	UROK	\N	\N
3571492	1244	1998-10-31	PRIJEM	\N	58	14130	UROK	\N	\N
3571493	1244	1998-11-30	PRIJEM	\N	62	15172	UROK	\N	\N
3571494	1244	1998-12-31	PRIJEM	\N	76	18842	UROK	\N	\N
3571495	1245	1997-12-31	PRIJEM	\N	61	22716	UROK	\N	\N
3571496	1245	1998-01-31	PRIJEM	\N	118	31204	UROK	\N	\N
3571497	1245	1998-02-28	PRIJEM	\N	144	36318	UROK	\N	\N
3571498	1245	1998-03-31	PRIJEM	\N	151	36439	UROK	\N	\N
3571499	1245	1998-04-30	PRIJEM	\N	135	30033	UROK	\N	\N
3571500	1245	1998-05-31	PRIJEM	\N	123	28899	UROK	\N	\N
3571501	1245	1998-06-30	PRIJEM	\N	132	31741	UROK	\N	\N
3571502	1245	1998-07-31	PRIJEM	\N	135	32320	UROK	\N	\N
3571503	1245	1998-08-31	PRIJEM	\N	144	34009	UROK	\N	\N
3571504	1245	1998-09-30	PRIJEM	\N	164	40717	UROK	\N	\N
3571505	1245	1998-10-31	PRIJEM	\N	190	44231	UROK	\N	\N
3571506	1245	1998-11-30	PRIJEM	\N	205	50580	UROK	\N	\N
3571507	1245	1998-12-31	PRIJEM	\N	215	50764	UROK	\N	\N
3571508	1246	1994-12-31	PRIJEM	\N	50	23442	UROK	\N	\N
3571509	1246	1995-01-31	PRIJEM	\N	94	17726	UROK	\N	\N
3571510	1246	1995-02-28	PRIJEM	\N	78	17978	UROK	\N	\N
3571511	1246	1995-03-31	PRIJEM	\N	82	20955	UROK	\N	\N
3571512	1246	1995-04-30	PRIJEM	\N	80	16549	UROK	\N	\N
3571513	1246	1995-05-31	PRIJEM	\N	74	18417	UROK	\N	\N
3571514	1246	1995-06-30	PRIJEM	\N	71	16183	UROK	\N	\N
3571515	1246	1995-07-31	PRIJEM	\N	64	13321	UROK	\N	\N
3571516	1246	1995-08-31	PRIJEM	\N	51	11107	UROK	\N	\N
3571517	1246	1995-09-30	PRIJEM	\N	48	11649	UROK	\N	\N
3571518	1246	1995-10-31	PRIJEM	\N	47	10790	UROK	\N	\N
3571519	1246	1995-11-30	PRIJEM	\N	52	13737	UROK	\N	\N
3571520	1246	1995-12-31	PRIJEM	\N	65	16696	UROK	\N	\N
3571521	1246	1996-01-31	PRIJEM	\N	47	7597	UROK	\N	\N
3571522	1246	1996-02-29	PRIJEM	\N	39	10530	UROK	\N	\N
3571523	1246	1996-03-31	PRIJEM	\N	51	13475	UROK	\N	\N
3571524	1246	1996-04-30	PRIJEM	\N	63	16433	UROK	\N	\N
3571525	1246	1996-05-31	PRIJEM	\N	45	8372	UROK	\N	\N
3571526	1246	1996-06-30	PRIJEM	\N	42	11309	UROK	\N	\N
3571527	1246	1996-07-31	PRIJEM	\N	56	13059	UROK	\N	\N
3571528	1246	1996-08-31	PRIJEM	\N	61	13934	UROK	\N	\N
3571529	1246	1996-09-30	PRIJEM	\N	65	16894	UROK	\N	\N
3571530	1246	1996-10-31	PRIJEM	\N	77	17945	UROK	\N	\N
3571531	1246	1996-11-30	PRIJEM	\N	81	18839	UROK	\N	\N
3571532	1246	1996-12-31	PRIJEM	\N	86	21819	UROK	\N	\N
3571533	1246	1997-01-31	PRIJEM	\N	76	14790	UROK	\N	\N
3571534	1246	1997-02-28	PRIJEM	\N	68	17752	UROK	\N	\N
3571535	1246	1997-03-31	PRIJEM	\N	81	20727	UROK	\N	\N
3571536	1246	1997-04-30	PRIJEM	\N	93	23715	UROK	\N	\N
3571537	1246	1997-05-31	PRIJEM	\N	106	26715	UROK	\N	\N
3571538	1246	1997-06-30	PRIJEM	\N	116	25576	UROK	\N	\N
3571539	1246	1997-07-31	PRIJEM	\N	113	28584	UROK	\N	\N
3571540	1246	1997-08-31	PRIJEM	\N	121	27919	UROK	\N	\N
3571541	1246	1997-09-30	PRIJEM	\N	121	28774	UROK	\N	\N
3571542	1246	1997-10-31	PRIJEM	\N	116	26024	UROK	\N	\N
3571543	1246	1997-11-30	PRIJEM	\N	115	29034	UROK	\N	\N
3571544	1246	1997-12-31	PRIJEM	\N	128	32056	UROK	\N	\N
3571545	1246	1998-01-31	PRIJEM	\N	125	25875	UROK	\N	\N
3571546	1246	1998-02-28	PRIJEM	\N	114	28884	UROK	\N	\N
3571547	1246	1998-03-31	PRIJEM	\N	119	28457	UROK	\N	\N
3571548	1246	1998-04-30	PRIJEM	\N	125	31477	UROK	\N	\N
3571549	1246	1998-05-31	PRIJEM	\N	128	28259	UROK	\N	\N
3571550	1246	1998-06-30	PRIJEM	\N	121	28275	UROK	\N	\N
3571551	1246	1998-07-31	PRIJEM	\N	126	29615	UROK	\N	\N
3571552	1246	1998-08-31	PRIJEM	\N	130	32639	UROK	\N	\N
3571553	1246	1998-09-30	PRIJEM	\N	139	33192	UROK	\N	\N
3571554	1246	1998-10-31	PRIJEM	\N	139	32945	UROK	\N	\N
3571555	1246	1998-11-30	PRIJEM	\N	143	35983	UROK	\N	\N
3571556	1246	1998-12-31	PRIJEM	\N	156	39033	UROK	\N	\N
3571557	1248	1995-09-30	PRIJEM	\N	40	28980	UROK	\N	\N
3571558	1248	1995-10-31	PRIJEM	\N	128	30789	UROK	\N	\N
3571559	1248	1995-11-30	PRIJEM	\N	132	28402	UROK	\N	\N
3571560	1248	1995-12-31	PRIJEM	\N	122	28185	UROK	\N	\N
3571561	1248	1996-01-31	PRIJEM	\N	99	22666	UROK	\N	\N
3571562	1248	1996-02-29	PRIJEM	\N	93	22420	UROK	\N	\N
3571563	1248	1996-03-31	PRIJEM	\N	102	25703	UROK	\N	\N
3571564	1248	1996-04-30	PRIJEM	\N	112	26296	UROK	\N	\N
3571565	1248	1996-05-31	PRIJEM	\N	114	26592	UROK	\N	\N
3571566	1248	1996-06-30	PRIJEM	\N	90	18483	UROK	\N	\N
3571567	1248	1996-07-31	PRIJEM	\N	85	21750	UROK	\N	\N
3571568	1248	1996-08-31	PRIJEM	\N	94	21525	UROK	\N	\N
3571569	1248	1996-09-30	PRIJEM	\N	98	24804	UROK	\N	\N
3571570	1248	1996-10-31	PRIJEM	\N	105	24290	UROK	\N	\N
3571571	1248	1996-11-30	PRIJEM	\N	106	25778	UROK	\N	\N
3571572	1248	1996-12-31	PRIJEM	\N	114	28173	UROK	\N	\N
3571573	1248	1997-01-31	PRIJEM	\N	88	20643	UROK	\N	\N
3571574	1248	1997-02-28	PRIJEM	\N	86	19990	UROK	\N	\N
3571575	1248	1997-03-31	PRIJEM	\N	89	22301	UROK	\N	\N
3571576	1248	1997-04-30	PRIJEM	\N	101	25583	UROK	\N	\N
3571577	1248	1997-05-31	PRIJEM	\N	110	26774	UROK	\N	\N
3571578	1248	1997-06-30	PRIJEM	\N	99	22605	UROK	\N	\N
3571579	1248	1997-07-31	PRIJEM	\N	102	25888	UROK	\N	\N
3571580	1248	1997-08-31	PRIJEM	\N	115	28985	UROK	\N	\N
3571581	1248	1997-09-30	PRIJEM	\N	111	24917	UROK	\N	\N
3571582	1248	1997-10-31	PRIJEM	\N	106	25804	UROK	\N	\N
3571583	1248	1997-11-30	PRIJEM	\N	109	24834	UROK	\N	\N
3571584	1248	1997-12-31	PRIJEM	\N	98	22714	UROK	\N	\N
3571585	1248	1998-01-31	PRIJEM	\N	84	16699	UROK	\N	\N
3571586	1248	1998-02-28	PRIJEM	\N	76	19957	UROK	\N	\N
3571587	1248	1998-03-31	PRIJEM	\N	87	21546	UROK	\N	\N
3571588	1248	1998-04-30	PRIJEM	\N	94	23721	UROK	\N	\N
3571589	1248	1998-05-31	PRIJEM	\N	103	22186	UROK	\N	\N
3571590	1248	1998-06-30	PRIJEM	\N	95	23962	UROK	\N	\N
3571591	1248	1998-07-31	PRIJEM	\N	100	24944	UROK	\N	\N
3571592	1248	1998-08-31	PRIJEM	\N	95	22420	UROK	\N	\N
3571593	1248	1998-09-30	PRIJEM	\N	87	16328	UROK	\N	\N
3571594	1248	1998-10-31	PRIJEM	\N	75	19585	UROK	\N	\N
3571595	1248	1998-11-30	PRIJEM	\N	88	22855	UROK	\N	\N
3571596	1248	1998-12-31	PRIJEM	\N	102	26138	UROK	\N	\N
3571597	1249	1995-04-30	PRIJEM	\N	4	14290	UROK	\N	\N
3571598	1249	1995-05-31	PRIJEM	\N	63	22239	UROK	\N	\N
3571599	1249	1995-06-30	PRIJEM	\N	92	26017	UROK	\N	\N
3571600	1249	1995-07-31	PRIJEM	\N	96	28499	UROK	\N	\N
3571601	1249	1995-08-31	PRIJEM	\N	123	28347	UROK	\N	\N
3571602	1249	1995-09-30	PRIJEM	\N	121	27142	UROK	\N	\N
3571603	1249	1995-10-31	PRIJEM	\N	116	29273	UROK	\N	\N
3571604	1249	1995-11-30	PRIJEM	\N	128	32575	UROK	\N	\N
3571605	1249	1995-12-31	PRIJEM	\N	137	32127	UROK	\N	\N
3571606	1249	1996-01-31	PRIJEM	\N	125	28756	UROK	\N	\N
3571607	1249	1996-02-29	PRIJEM	\N	124	29594	UROK	\N	\N
3571608	1249	1996-03-31	PRIJEM	\N	126	29134	UROK	\N	\N
3571609	1249	1996-04-30	PRIJEM	\N	121	28590	UROK	\N	\N
3571610	1249	1996-05-31	PRIJEM	\N	121	29535	UROK	\N	\N
3571611	1249	1996-06-30	PRIJEM	\N	121	21420	UROK	\N	\N
3571612	1249	1996-07-31	PRIJEM	\N	93	24028	UROK	\N	\N
3571613	1249	1996-08-31	PRIJEM	\N	105	28417	UROK	\N	\N
3571614	1249	1996-09-30	PRIJEM	\N	125	31756	UROK	\N	\N
3571615	1249	1996-10-31	PRIJEM	\N	132	30872	UROK	\N	\N
3571616	1249	1996-11-30	PRIJEM	\N	130	31516	UROK	\N	\N
3571617	1249	1996-12-31	PRIJEM	\N	127	28118	UROK	\N	\N
3571618	1249	1997-01-31	PRIJEM	\N	112	25554	UROK	\N	\N
3571619	1249	1997-02-28	PRIJEM	\N	117	31385	UROK	\N	\N
3571620	1249	1997-03-31	PRIJEM	\N	131	31031	UROK	\N	\N
3571621	1249	1997-04-30	PRIJEM	\N	131	32176	UROK	\N	\N
3571622	1249	1997-05-31	PRIJEM	\N	132	31023	UROK	\N	\N
3571623	1249	1997-06-30	PRIJEM	\N	118	25625	UROK	\N	\N
3571624	1249	1997-07-31	PRIJEM	\N	118	31457	UROK	\N	\N
3571625	1249	1997-08-31	PRIJEM	\N	139	35611	UROK	\N	\N
3571626	1249	1997-09-30	PRIJEM	\N	145	34370	UROK	\N	\N
3571627	1249	1997-10-31	PRIJEM	\N	147	36391	UROK	\N	\N
3571628	1249	1997-11-30	PRIJEM	\N	156	38931	UROK	\N	\N
3571629	1249	1997-12-31	PRIJEM	\N	171	43437	UROK	\N	\N
3571630	1249	1998-01-31	PRIJEM	\N	173	40484	UROK	\N	\N
3571631	1249	1998-02-28	PRIJEM	\N	173	41771	UROK	\N	\N
3571632	1249	1998-03-31	PRIJEM	\N	168	40183	UROK	\N	\N
3571633	1249	1998-04-30	PRIJEM	\N	181	45279	UROK	\N	\N
3571634	1249	1998-05-31	PRIJEM	\N	195	47388	UROK	\N	\N
3571635	1249	1998-06-30	PRIJEM	\N	193	47055	UROK	\N	\N
3571636	1249	1998-07-31	PRIJEM	\N	200	49040	UROK	\N	\N
3571637	1249	1998-08-31	PRIJEM	\N	216	52870	UROK	\N	\N
3571638	1249	1998-09-30	PRIJEM	\N	222	53836	UROK	\N	\N
3571639	1249	1998-10-31	PRIJEM	\N	234	57085	UROK	\N	\N
3571640	1249	1998-11-30	PRIJEM	\N	236	56795	UROK	\N	\N
3571641	1249	1998-12-31	PRIJEM	\N	236	57505	UROK	\N	\N
3571642	1250	1996-04-30	PRIJEM	\N	12	20643	UROK	\N	\N
3571643	1250	1996-05-31	PRIJEM	\N	92	30166	UROK	\N	\N
3571644	1250	1996-06-30	PRIJEM	\N	133	41545	UROK	\N	\N
3571645	1250	1996-07-31	PRIJEM	\N	172	40648	UROK	\N	\N
3571646	1250	1996-08-31	PRIJEM	\N	182	36292	UROK	\N	\N
3571647	1250	1996-09-30	PRIJEM	\N	184	33963	UROK	\N	\N
3571648	1250	1996-10-31	PRIJEM	\N	163	23512	UROK	\N	\N
3571649	1250	1996-11-30	PRIJEM	\N	126	24025	UROK	\N	\N
3571650	1250	1996-12-31	PRIJEM	\N	152	28273	UROK	\N	\N
3571651	1250	1997-01-31	PRIJEM	\N	88	14942	UROK	\N	\N
3571652	1250	1997-02-28	PRIJEM	\N	98	18422	UROK	\N	\N
3571653	1250	1997-03-31	PRIJEM	\N	105	18108	UROK	\N	\N
3571654	1250	1997-04-30	PRIJEM	\N	112	21001	UROK	\N	\N
3571655	1250	1997-05-31	PRIJEM	\N	120	21702	UROK	\N	\N
3571656	1250	1997-06-30	PRIJEM	\N	142	20741	UROK	\N	\N
3571657	1250	1997-07-31	PRIJEM	\N	101	15522	UROK	\N	\N
3571658	1250	1997-08-31	PRIJEM	\N	84	10626	UROK	\N	\N
3571659	1250	1997-09-30	PRIJEM	\N	76	12583	UROK	\N	\N
3571660	1250	1997-10-31	PRIJEM	\N	96	21560	UROK	\N	\N
3571661	1250	1997-11-30	PRIJEM	\N	102	13144	UROK	\N	\N
3571662	1250	1997-12-31	PRIJEM	\N	99	12739	UROK	\N	\N
3571663	1250	1998-01-31	PRIJEM	\N	97	21717	UROK	\N	\N
3571664	1250	1998-02-28	PRIJEM	\N	100	12498	UROK	\N	\N
3571665	1250	1998-03-31	PRIJEM	\N	75	10454	UROK	\N	\N
3571666	1250	1998-04-30	PRIJEM	\N	70	10605	UROK	\N	\N
3571667	1250	1998-05-31	PRIJEM	\N	73	12360	UROK	\N	\N
3571668	1250	1998-06-30	PRIJEM	\N	108	19764	UROK	\N	\N
3571669	1250	1998-07-31	PRIJEM	\N	105	18950	UROK	\N	\N
3571670	1250	1998-08-31	PRIJEM	\N	98	17229	UROK	\N	\N
3571671	1250	1998-09-30	PRIJEM	\N	99	19209	UROK	\N	\N
3571672	1250	1998-10-31	PRIJEM	\N	99	18189	UROK	\N	\N
3571673	1250	1998-11-30	PRIJEM	\N	83	12631	UROK	\N	\N
3571674	1250	1998-12-31	PRIJEM	\N	122	17649	UROK	\N	\N
3571675	1251	1995-08-31	PRIJEM	\N	75	40702	UROK	\N	\N
3571676	1251	1995-09-30	PRIJEM	\N	169	31471	UROK	\N	\N
3571677	1251	1995-10-31	PRIJEM	\N	169	26740	UROK	\N	\N
3571678	1251	1995-11-30	PRIJEM	\N	178	50718	UROK	\N	\N
3571679	1251	1995-12-31	PRIJEM	\N	342	51061	UROK	\N	\N
3571680	1251	1996-01-31	PRIJEM	\N	186	20908	UROK	\N	\N
3571681	1251	1996-02-29	PRIJEM	\N	70	13777	UROK	\N	\N
3571682	1251	1996-03-31	PRIJEM	\N	51	11329	UROK	\N	\N
3571683	1251	1996-04-30	PRIJEM	\N	54	14082	UROK	\N	\N
3571684	1251	1996-05-31	PRIJEM	\N	56	13239	UROK	\N	\N
3571685	1251	1996-06-30	PRIJEM	\N	44	8883	UROK	\N	\N
3571686	1251	1996-07-31	PRIJEM	\N	30	6213	UROK	\N	\N
3571687	1251	1996-08-31	PRIJEM	\N	74	26448	UROK	\N	\N
3571688	1251	1996-09-30	PRIJEM	\N	79	13927	UROK	\N	\N
3571689	1251	1996-10-31	PRIJEM	\N	48	32304	UROK	\N	\N
3571690	1251	1996-11-30	PRIJEM	\N	113	24040	UROK	\N	\N
3571691	1251	1996-12-31	PRIJEM	\N	155	55506	UROK	\N	\N
3571692	1251	1997-01-31	PRIJEM	\N	112	16118	UROK	\N	\N
3571693	1251	1997-02-28	PRIJEM	\N	51	9369	UROK	\N	\N
3571694	1251	1997-03-31	PRIJEM	\N	38	1507	UROK	\N	\N
3571695	1251	1997-04-30	PRIJEM	\N	6	1483	UROK	\N	\N
3571696	1251	1997-06-30	PRIJEM	\N	6	3670	UROK	\N	\N
3571697	1251	1997-06-30	PRIJEM	\N	11	3664	UROK	\N	\N
3571698	1251	1997-07-31	PRIJEM	\N	23	6793	UROK	\N	\N
3571699	1251	1997-08-31	PRIJEM	\N	38	10831	UROK	\N	\N
3571700	1251	1997-09-30	PRIJEM	\N	46	11377	UROK	\N	\N
3571701	1251	1997-10-31	PRIJEM	\N	64	23443	UROK	\N	\N
3571702	1251	1997-11-30	PRIJEM	\N	79	16322	UROK	\N	\N
3571703	1251	1997-12-31	PRIJEM	\N	72	20525	UROK	\N	\N
3571704	1251	1998-01-31	PRIJEM	\N	121	22808	UROK	\N	\N
3571705	1251	1998-02-28	PRIJEM	\N	211	44960	UROK	\N	\N
3571706	1251	1998-03-31	PRIJEM	\N	156	19628	UROK	\N	\N
3571707	1251	1998-04-30	PRIJEM	\N	82	19910	UROK	\N	\N
3571708	1251	1998-05-31	PRIJEM	\N	159	39767	UROK	\N	\N
3571709	1251	1998-06-30	PRIJEM	\N	174	44826	UROK	\N	\N
3571710	1251	1998-07-31	PRIJEM	\N	243	56381	UROK	\N	\N
3571711	1251	1998-08-31	PRIJEM	\N	276	82582	UROK	\N	\N
3571712	1251	1998-09-30	PRIJEM	\N	250	52932	UROK	\N	\N
3571713	1251	1998-10-31	PRIJEM	\N	215	52917	UROK	\N	\N
3571714	1251	1998-11-30	PRIJEM	\N	216	41433	UROK	\N	\N
3571715	1251	1998-12-31	PRIJEM	\N	250	101906	UROK	\N	\N
3571716	1252	1995-08-31	PRIJEM	\N	26	27414	UROK	\N	\N
3571717	1252	1995-09-30	PRIJEM	\N	123	36525	UROK	\N	\N
3571718	1252	1995-10-31	PRIJEM	\N	159	42871	UROK	\N	\N
3571719	1252	1995-11-30	PRIJEM	\N	178	41437	UROK	\N	\N
3571720	1252	1995-12-31	PRIJEM	\N	186	53155	UROK	\N	\N
3571721	1252	1996-01-31	PRIJEM	\N	173	21058	UROK	\N	\N
3571722	1252	1996-02-29	PRIJEM	\N	134	30750	UROK	\N	\N
3571723	1252	1996-03-31	PRIJEM	\N	135	28243	UROK	\N	\N
3571724	1252	1996-04-30	PRIJEM	\N	157	35958	UROK	\N	\N
3571725	1252	1996-05-31	PRIJEM	\N	182	39398	UROK	\N	\N
3571726	1252	1996-06-30	PRIJEM	\N	195	43022	UROK	\N	\N
3571727	1252	1996-07-31	PRIJEM	\N	159	27839	UROK	\N	\N
3571728	1252	1996-08-31	PRIJEM	\N	162	41059	UROK	\N	\N
3571729	1252	1996-09-30	PRIJEM	\N	192	46109	UROK	\N	\N
3571730	1252	1996-10-31	PRIJEM	\N	213	47280	UROK	\N	\N
3571731	1252	1996-11-30	PRIJEM	\N	174	39912	UROK	\N	\N
3571732	1252	1996-12-31	PRIJEM	\N	183	48597	UROK	\N	\N
3571733	1252	1997-01-31	PRIJEM	\N	174	29129	UROK	\N	\N
3571734	1252	1997-02-28	PRIJEM	\N	146	33032	UROK	\N	\N
3571735	1252	1997-03-31	PRIJEM	\N	138	26252	UROK	\N	\N
3571736	1252	1997-04-30	PRIJEM	\N	141	36236	UROK	\N	\N
3571737	1252	1997-05-31	PRIJEM	\N	165	37545	UROK	\N	\N
3571738	1252	1997-06-30	PRIJEM	\N	160	36426	UROK	\N	\N
3571739	1252	1997-07-31	PRIJEM	\N	168	40537	UROK	\N	\N
3571740	1252	1997-08-31	PRIJEM	\N	181	41706	UROK	\N	\N
3571741	1252	1997-09-30	PRIJEM	\N	159	33124	UROK	\N	\N
3571742	1252	1997-10-31	PRIJEM	\N	122	25220	UROK	\N	\N
3571743	1252	1997-11-30	PRIJEM	\N	150	27713	UROK	\N	\N
3571744	1252	1997-12-31	PRIJEM	\N	123	29403	UROK	\N	\N
3571745	1252	1998-01-31	PRIJEM	\N	112	26558	UROK	\N	\N
3571746	1252	1998-02-28	PRIJEM	\N	152	42553	UROK	\N	\N
3571747	1252	1998-03-31	PRIJEM	\N	167	39563	UROK	\N	\N
3571748	1252	1998-04-30	PRIJEM	\N	163	38570	UROK	\N	\N
3571749	1252	1998-05-31	PRIJEM	\N	164	40477	UROK	\N	\N
3571750	1252	1998-06-30	PRIJEM	\N	210	53593	UROK	\N	\N
3571751	1252	1998-07-31	PRIJEM	\N	220	49455	UROK	\N	\N
3571752	1252	1998-08-31	PRIJEM	\N	239	62038	UROK	\N	\N
3571753	1252	1998-09-30	PRIJEM	\N	220	35673	UROK	\N	\N
3571754	1252	1998-10-31	PRIJEM	\N	171	34147	UROK	\N	\N
3571755	1252	1998-11-30	PRIJEM	\N	198	55188	UROK	\N	\N
3571756	1252	1998-12-31	PRIJEM	\N	266	62611	UROK	\N	\N
3571757	1253	1997-05-31	PRIJEM	\N	58	22619	UROK	\N	\N
3571758	1253	1997-06-30	PRIJEM	\N	139	39649	UROK	\N	\N
3571759	1253	1997-07-31	PRIJEM	\N	165	39876	UROK	\N	\N
3571760	1253	1997-08-31	PRIJEM	\N	179	44816	UROK	\N	\N
3571761	1253	1997-09-30	PRIJEM	\N	186	43568	UROK	\N	\N
3571762	1253	1997-10-31	PRIJEM	\N	180	41900	UROK	\N	\N
3571763	1253	1997-11-30	PRIJEM	\N	181	41332	UROK	\N	\N
3571764	1253	1997-12-31	PRIJEM	\N	202	49316	UROK	\N	\N
3571765	1253	1998-01-31	PRIJEM	\N	183	36651	UROK	\N	\N
3571766	1253	1998-02-28	PRIJEM	\N	201	49503	UROK	\N	\N
3571767	1253	1998-03-31	PRIJEM	\N	219	51174	UROK	\N	\N
3571768	1253	1998-04-30	PRIJEM	\N	209	48435	UROK	\N	\N
3571769	1253	1998-05-31	PRIJEM	\N	192	44579	UROK	\N	\N
3571770	1253	1998-06-30	PRIJEM	\N	239	34100	UROK	\N	\N
3571771	1253	1998-07-31	PRIJEM	\N	187	46938	UROK	\N	\N
3571772	1253	1998-08-31	PRIJEM	\N	233	57622	UROK	\N	\N
3571773	1253	1998-09-30	PRIJEM	\N	249	59623	UROK	\N	\N
3571774	1253	1998-10-31	PRIJEM	\N	270	65544	UROK	\N	\N
3571775	1253	1998-11-30	PRIJEM	\N	269	64165	UROK	\N	\N
3571776	1253	1998-12-31	PRIJEM	\N	291	70538	UROK	\N	\N
3571777	1256	1994-05-31	PRIJEM	\N	32	21904	UROK	\N	\N
3571778	1256	1994-06-30	PRIJEM	\N	109	33621	UROK	\N	\N
3571779	1256	1994-07-31	PRIJEM	\N	144	36237	UROK	\N	\N
3571780	1256	1994-08-31	PRIJEM	\N	154	38063	UROK	\N	\N
3571781	1256	1994-09-30	PRIJEM	\N	165	34271	UROK	\N	\N
3571782	1256	1994-10-31	PRIJEM	\N	147	29408	UROK	\N	\N
3571783	1256	1994-11-30	PRIJEM	\N	143	32480	UROK	\N	\N
3571784	1256	1994-12-31	PRIJEM	\N	161	29746	UROK	\N	\N
3571785	1256	1995-01-31	PRIJEM	\N	106	18042	UROK	\N	\N
3571786	1256	1995-02-28	PRIJEM	\N	110	26981	UROK	\N	\N
3571787	1256	1995-03-31	PRIJEM	\N	129	28539	UROK	\N	\N
3571788	1256	1995-04-30	PRIJEM	\N	139	32608	UROK	\N	\N
3571789	1256	1995-05-31	PRIJEM	\N	139	31536	UROK	\N	\N
3571790	1256	1995-06-30	PRIJEM	\N	136	27142	UROK	\N	\N
3571791	1256	1995-07-31	PRIJEM	\N	125	25543	UROK	\N	\N
3571792	1256	1995-08-31	PRIJEM	\N	125	29323	UROK	\N	\N
3571793	1256	1995-09-30	PRIJEM	\N	138	32216	UROK	\N	\N
3571794	1256	1995-10-31	PRIJEM	\N	129	25981	UROK	\N	\N
3571795	1256	1995-11-30	PRIJEM	\N	145	31781	UROK	\N	\N
3571796	1256	1995-12-31	PRIJEM	\N	153	34066	UROK	\N	\N
3571797	1256	1996-01-31	PRIJEM	\N	109	17450	UROK	\N	\N
3571798	1256	1996-02-29	PRIJEM	\N	95	21600	UROK	\N	\N
3571799	1256	1996-03-31	PRIJEM	\N	116	23872	UROK	\N	\N
3571800	1256	1996-04-30	PRIJEM	\N	122	25569	UROK	\N	\N
3571801	1256	1996-05-31	PRIJEM	\N	122	27446	UROK	\N	\N
3571802	1256	1996-06-30	PRIJEM	\N	128	30565	UROK	\N	\N
3571803	1256	1996-07-31	PRIJEM	\N	138	28659	UROK	\N	\N
3571804	1256	1996-08-31	PRIJEM	\N	118	24893	UROK	\N	\N
3571805	1256	1996-09-30	PRIJEM	\N	128	31976	UROK	\N	\N
3571806	1256	1996-10-31	PRIJEM	\N	136	30668	UROK	\N	\N
3571807	1256	1996-11-30	PRIJEM	\N	147	31570	UROK	\N	\N
3571808	1256	1996-12-31	PRIJEM	\N	132	29054	UROK	\N	\N
3571809	1256	1997-01-31	PRIJEM	\N	98	18027	UROK	\N	\N
3571810	1256	1997-02-28	PRIJEM	\N	103	24785	UROK	\N	\N
3571811	1256	1997-03-31	PRIJEM	\N	109	25110	UROK	\N	\N
3571812	1256	1997-04-30	PRIJEM	\N	103	23088	UROK	\N	\N
3571813	1256	1997-05-31	PRIJEM	\N	116	24580	UROK	\N	\N
3571814	1256	1997-06-30	PRIJEM	\N	164	39035	UROK	\N	\N
3571815	1256	1997-07-31	PRIJEM	\N	130	25300	UROK	\N	\N
3571816	1256	1997-08-31	PRIJEM	\N	98	22653	UROK	\N	\N
3571817	1256	1997-09-30	PRIJEM	\N	111	27499	UROK	\N	\N
3571818	1256	1997-10-31	PRIJEM	\N	137	34291	UROK	\N	\N
3571819	1256	1997-11-30	PRIJEM	\N	114	23001	UROK	\N	\N
3571820	1256	1997-12-31	PRIJEM	\N	142	36314	UROK	\N	\N
3571821	1256	1998-01-31	PRIJEM	\N	134	18624	UROK	\N	\N
3571822	1256	1998-02-28	PRIJEM	\N	99	25378	UROK	\N	\N
3571823	1256	1998-03-31	PRIJEM	\N	127	32161	UROK	\N	\N
3571824	1256	1998-04-30	PRIJEM	\N	110	24526	UROK	\N	\N
3571825	1256	1998-05-31	PRIJEM	\N	129	31310	UROK	\N	\N
3571826	1256	1998-06-30	PRIJEM	\N	154	19770	UROK	\N	\N
3571827	1256	1998-07-31	PRIJEM	\N	106	27005	UROK	\N	\N
3571828	1256	1998-08-31	PRIJEM	\N	130	27645	UROK	\N	\N
3571829	1256	1998-09-30	PRIJEM	\N	128	29522	UROK	\N	\N
3571830	1256	1998-10-31	PRIJEM	\N	131	17683	UROK	\N	\N
3571831	1256	1998-11-30	PRIJEM	\N	100	26412	UROK	\N	\N
3571832	1256	1998-12-31	PRIJEM	\N	153	38911	UROK	\N	\N
3571833	1257	1995-11-30	PRIJEM	\N	57	19696	UROK	\N	\N
3571834	1257	1995-12-31	PRIJEM	\N	138	38792	UROK	\N	\N
3571835	1257	1996-01-31	PRIJEM	\N	172	42303	UROK	\N	\N
3571836	1257	1996-02-29	PRIJEM	\N	195	48737	UROK	\N	\N
3571837	1257	1996-03-31	PRIJEM	\N	258	44634	UROK	\N	\N
3571838	1257	1996-04-30	PRIJEM	\N	196	48868	UROK	\N	\N
3571839	1257	1996-05-31	PRIJEM	\N	198	48103	UROK	\N	\N
3571840	1257	1996-06-30	PRIJEM	\N	204	35063	UROK	\N	\N
3571841	1257	1996-07-31	PRIJEM	\N	166	41766	UROK	\N	\N
3571842	1257	1996-08-31	PRIJEM	\N	175	43579	UROK	\N	\N
3571843	1257	1996-09-30	PRIJEM	\N	157	37673	UROK	\N	\N
3571844	1257	1996-10-31	PRIJEM	\N	161	40471	UROK	\N	\N
3571845	1257	1996-11-30	PRIJEM	\N	165	40674	UROK	\N	\N
3571846	1257	1996-12-31	PRIJEM	\N	199	52929	UROK	\N	\N
3571847	1257	1997-01-31	PRIJEM	\N	180	36746	UROK	\N	\N
3571848	1257	1997-02-28	PRIJEM	\N	163	41847	UROK	\N	\N
3571849	1257	1997-03-31	PRIJEM	\N	168	40152	UROK	\N	\N
3571850	1257	1997-04-30	PRIJEM	\N	168	42057	UROK	\N	\N
3571851	1257	1997-05-31	PRIJEM	\N	170	42164	UROK	\N	\N
3571852	1257	1997-06-30	PRIJEM	\N	191	26411	UROK	\N	\N
3571853	1257	1997-07-31	PRIJEM	\N	127	34276	UROK	\N	\N
3571854	1257	1997-08-31	PRIJEM	\N	157	40670	UROK	\N	\N
3571855	1257	1997-09-30	PRIJEM	\N	175	46183	UROK	\N	\N
3571856	1257	1997-10-31	PRIJEM	\N	208	38228	UROK	\N	\N
3571857	1257	1997-11-30	PRIJEM	\N	183	36349	UROK	\N	\N
3571858	1257	1997-12-31	PRIJEM	\N	213	36818	UROK	\N	\N
3571859	1257	1998-01-31	PRIJEM	\N	171	24326	UROK	\N	\N
3571860	1257	1998-02-28	PRIJEM	\N	140	30904	UROK	\N	\N
3571861	1257	1998-03-31	PRIJEM	\N	168	37210	UROK	\N	\N
3571862	1257	1998-04-30	PRIJEM	\N	190	39136	UROK	\N	\N
3571863	1257	1998-05-31	PRIJEM	\N	193	37067	UROK	\N	\N
3571864	1257	1998-06-30	PRIJEM	\N	179	41402	UROK	\N	\N
3571865	1257	1998-07-31	PRIJEM	\N	206	41845	UROK	\N	\N
3571866	1257	1998-08-31	PRIJEM	\N	206	42689	UROK	\N	\N
3571867	1257	1998-09-30	PRIJEM	\N	210	45336	UROK	\N	\N
3571868	1257	1998-10-31	PRIJEM	\N	216	43990	UROK	\N	\N
3571869	1257	1998-11-30	PRIJEM	\N	205	39132	UROK	\N	\N
3571870	1257	1998-12-31	PRIJEM	\N	223	60012	UROK	\N	\N
3571871	1258	1996-09-30	PRIJEM	\N	9	3609	UROK	\N	\N
3571872	1258	1996-10-31	PRIJEM	\N	15	6524	UROK	\N	\N
3571873	1258	1996-11-30	PRIJEM	\N	15	9439	UROK	\N	\N
3571874	1258	1996-12-31	PRIJEM	\N	15	12354	UROK	\N	\N
3571875	1258	1997-01-31	PRIJEM	\N	40	12954	UROK	\N	\N
3571876	1258	1997-02-28	PRIJEM	\N	53	13449	UROK	\N	\N
3571877	1258	1997-03-31	PRIJEM	\N	58	14460	UROK	\N	\N
3571878	1258	1997-04-30	PRIJEM	\N	62	15475	UROK	\N	\N
3571879	1258	1997-05-31	PRIJEM	\N	67	16494	UROK	\N	\N
3571880	1258	1997-06-30	PRIJEM	\N	71	17517	UROK	\N	\N
3571881	1258	1997-07-31	PRIJEM	\N	70	16679	UROK	\N	\N
3571882	1258	1997-08-31	PRIJEM	\N	72	17703	UROK	\N	\N
3571883	1258	1997-09-30	PRIJEM	\N	76	18731	UROK	\N	\N
3571884	1258	1997-10-31	PRIJEM	\N	80	19764	UROK	\N	\N
3571885	1258	1997-11-30	PRIJEM	\N	84	20200	UROK	\N	\N
3571886	1258	1997-12-31	PRIJEM	\N	85	20758	UROK	\N	\N
3571887	1258	1998-01-31	PRIJEM	\N	77	17167	UROK	\N	\N
3571888	1258	1998-02-28	PRIJEM	\N	73	17892	UROK	\N	\N
3571889	1258	1998-03-31	PRIJEM	\N	77	18921	UROK	\N	\N
3571890	1258	1998-04-30	PRIJEM	\N	76	15350	UROK	\N	\N
3571891	1258	1998-05-31	PRIJEM	\N	63	13866	UROK	\N	\N
3571892	1258	1998-06-30	PRIJEM	\N	57	13735	UROK	\N	\N
3571893	1258	1998-07-31	PRIJEM	\N	59	14746	UROK	\N	\N
3571894	1258	1998-08-31	PRIJEM	\N	63	15462	UROK	\N	\N
3571895	1258	1998-09-30	PRIJEM	\N	66	16010	UROK	\N	\N
3571896	1258	1998-10-31	PRIJEM	\N	68	16280	UROK	\N	\N
3571897	1258	1998-11-30	PRIJEM	\N	70	17302	UROK	\N	\N
3571898	1258	1998-12-31	PRIJEM	\N	74	18178	UROK	\N	\N
3571899	1259	1997-04-30	PRIJEM	\N	36	15208	UROK	\N	\N
3571900	1259	1997-05-31	PRIJEM	\N	105	32585	UROK	\N	\N
3571901	1259	1997-06-30	PRIJEM	\N	173	48566	UROK	\N	\N
3571902	1259	1997-07-31	PRIJEM	\N	202	48740	UROK	\N	\N
3571903	1259	1997-08-31	PRIJEM	\N	196	46108	UROK	\N	\N
3571904	1259	1997-09-30	PRIJEM	\N	166	39135	UROK	\N	\N
3571905	1259	1997-10-31	PRIJEM	\N	149	37445	UROK	\N	\N
3571906	1259	1997-11-30	PRIJEM	\N	134	32040	UROK	\N	\N
3571907	1259	1997-12-31	PRIJEM	\N	134	34972	UROK	\N	\N
3571908	1259	1998-01-31	PRIJEM	\N	87	17320	UROK	\N	\N
3571909	1259	1998-02-28	PRIJEM	\N	96	27978	UROK	\N	\N
3571910	1259	1998-03-31	PRIJEM	\N	104	26144	UROK	\N	\N
3571911	1259	1998-04-30	PRIJEM	\N	94	25399	UROK	\N	\N
3571912	1259	1998-05-31	PRIJEM	\N	98	24158	UROK	\N	\N
3571913	1259	1998-06-30	PRIJEM	\N	116	31872	UROK	\N	\N
3571914	1259	1998-07-31	PRIJEM	\N	107	27140	UROK	\N	\N
3571915	1259	1998-08-31	PRIJEM	\N	115	29017	UROK	\N	\N
3571916	1259	1998-09-30	PRIJEM	\N	128	35006	UROK	\N	\N
3571917	1259	1998-10-31	PRIJEM	\N	120	29987	UROK	\N	\N
3571918	1259	1998-11-30	PRIJEM	\N	134	35382	UROK	\N	\N
3571919	1259	1998-12-31	PRIJEM	\N	168	45047	UROK	\N	\N
3571920	1260	1996-12-31	PRIJEM	\N	50	24707	UROK	\N	\N
3571921	1260	1997-01-31	PRIJEM	\N	121	33133	UROK	\N	\N
3571922	1260	1997-02-28	PRIJEM	\N	144	36382	UROK	\N	\N
3571923	1260	1997-03-31	PRIJEM	\N	154	37941	UROK	\N	\N
3571924	1260	1997-04-30	PRIJEM	\N	160	35512	UROK	\N	\N
3571925	1260	1997-05-31	PRIJEM	\N	143	31431	UROK	\N	\N
3571926	1260	1997-06-30	PRIJEM	\N	132	20992	UROK	\N	\N
3571927	1260	1997-07-31	PRIJEM	\N	114	26103	UROK	\N	\N
3571928	1260	1997-08-31	PRIJEM	\N	114	25213	UROK	\N	\N
3571929	1260	1997-09-30	PRIJEM	\N	109	23618	UROK	\N	\N
3571930	1260	1997-10-31	PRIJEM	\N	117	28232	UROK	\N	\N
3571931	1260	1997-11-30	PRIJEM	\N	118	26447	UROK	\N	\N
3571932	1260	1997-12-31	PRIJEM	\N	118	26294	UROK	\N	\N
3571933	1260	1998-01-31	PRIJEM	\N	82	14911	UROK	\N	\N
3571934	1260	1998-02-28	PRIJEM	\N	74	18402	UROK	\N	\N
3571935	1260	1998-03-31	PRIJEM	\N	86	20984	UROK	\N	\N
3571936	1260	1998-04-30	PRIJEM	\N	107	26888	UROK	\N	\N
3571937	1260	1998-05-31	PRIJEM	\N	132	32716	UROK	\N	\N
3571938	1260	1998-06-30	PRIJEM	\N	146	35110	UROK	\N	\N
3571939	1260	1998-07-31	PRIJEM	\N	126	27453	UROK	\N	\N
3571940	1260	1998-08-31	PRIJEM	\N	103	21853	UROK	\N	\N
3571941	1260	1998-09-30	PRIJEM	\N	125	27075	UROK	\N	\N
3571942	1260	1998-10-31	PRIJEM	\N	115	23886	UROK	\N	\N
3571943	1260	1998-11-30	PRIJEM	\N	126	31929	UROK	\N	\N
3571944	1260	1998-12-31	PRIJEM	\N	195	46632	UROK	\N	\N
3571945	1261	1995-04-30	PRIJEM	\N	48	24454	UROK	\N	\N
3571946	1261	1995-05-31	PRIJEM	\N	120	33579	UROK	\N	\N
3571947	1261	1995-06-30	PRIJEM	\N	169	47807	UROK	\N	\N
3571948	1261	1995-07-31	PRIJEM	\N	203	49816	UROK	\N	\N
3571949	1261	1995-08-31	PRIJEM	\N	197	43697	UROK	\N	\N
3571950	1261	1995-09-30	PRIJEM	\N	175	40041	UROK	\N	\N
3571951	1261	1995-10-31	PRIJEM	\N	166	36656	UROK	\N	\N
3571952	1261	1995-11-30	PRIJEM	\N	170	37915	UROK	\N	\N
3571953	1261	1995-12-31	PRIJEM	\N	164	37762	UROK	\N	\N
3571954	1261	1996-01-31	PRIJEM	\N	126	18797	UROK	\N	\N
3571955	1261	1996-02-29	PRIJEM	\N	95	24061	UROK	\N	\N
3571956	1261	1996-03-31	PRIJEM	\N	112	27942	UROK	\N	\N
3571957	1261	1996-04-30	PRIJEM	\N	115	26727	UROK	\N	\N
3571958	1261	1996-05-31	PRIJEM	\N	114	26810	UROK	\N	\N
3571959	1261	1996-06-30	PRIJEM	\N	96	14968	UROK	\N	\N
3571960	1261	1996-07-31	PRIJEM	\N	76	18413	UROK	\N	\N
3571961	1261	1996-08-31	PRIJEM	\N	117	31100	UROK	\N	\N
3571962	1261	1996-09-30	PRIJEM	\N	142	35271	UROK	\N	\N
3571963	1261	1996-10-31	PRIJEM	\N	162	39302	UROK	\N	\N
3571964	1261	1996-11-30	PRIJEM	\N	182	44554	UROK	\N	\N
3571965	1261	1996-12-31	PRIJEM	\N	197	45373	UROK	\N	\N
3571966	1261	1997-01-31	PRIJEM	\N	184	29866	UROK	\N	\N
3571967	1261	1997-02-28	PRIJEM	\N	170	44906	UROK	\N	\N
3571968	1261	1997-03-31	PRIJEM	\N	215	53390	UROK	\N	\N
3571969	1261	1997-04-30	PRIJEM	\N	232	55691	UROK	\N	\N
3571970	1261	1997-05-31	PRIJEM	\N	236	56296	UROK	\N	\N
3571971	1261	1997-06-30	PRIJEM	\N	244	63002	UROK	\N	\N
3571972	1261	1997-07-31	PRIJEM	\N	253	59225	UROK	\N	\N
3571973	1261	1997-08-31	PRIJEM	\N	255	61349	UROK	\N	\N
3571974	1261	1997-09-30	PRIJEM	\N	229	55308	UROK	\N	\N
3571975	1261	1997-10-31	PRIJEM	\N	212	51749	UROK	\N	\N
3571976	1261	1997-11-30	PRIJEM	\N	209	48748	UROK	\N	\N
3571977	1261	1997-12-31	PRIJEM	\N	260	66750	UROK	\N	\N
3571978	1261	1998-01-31	PRIJEM	\N	235	49875	UROK	\N	\N
3571979	1261	1998-02-28	PRIJEM	\N	227	57672	UROK	\N	\N
3571980	1261	1998-03-31	PRIJEM	\N	258	63099	UROK	\N	\N
3571981	1261	1998-04-30	PRIJEM	\N	257	63246	UROK	\N	\N
3571982	1261	1998-05-31	PRIJEM	\N	294	73309	UROK	\N	\N
3571983	1261	1998-06-30	PRIJEM	\N	307	71198	UROK	\N	\N
3571984	1261	1998-07-31	PRIJEM	\N	280	59448	UROK	\N	\N
3571985	1261	1998-08-31	PRIJEM	\N	276	61493	UROK	\N	\N
3571986	1261	1998-09-30	PRIJEM	\N	283	63546	UROK	\N	\N
3571987	1261	1998-10-31	PRIJEM	\N	291	66506	UROK	\N	\N
3571988	1261	1998-11-30	PRIJEM	\N	302	68878	UROK	\N	\N
3571989	1261	1998-12-31	PRIJEM	\N	367	92267	UROK	\N	\N
3571990	1262	1997-06-30	PRIJEM	\N	42	19577	UROK	\N	\N
3571991	1262	1997-07-31	PRIJEM	\N	93	23581	UROK	\N	\N
3571992	1262	1997-08-31	PRIJEM	\N	109	27602	UROK	\N	\N
3571993	1262	1997-09-30	PRIJEM	\N	126	31639	UROK	\N	\N
3571994	1262	1997-10-31	PRIJEM	\N	126	27676	UROK	\N	\N
3571995	1262	1997-11-30	PRIJEM	\N	112	25099	UROK	\N	\N
3571996	1262	1997-12-31	PRIJEM	\N	95	22976	UROK	\N	\N
3571997	1262	1998-01-31	PRIJEM	\N	87	18955	UROK	\N	\N
3571998	1262	1998-02-28	PRIJEM	\N	89	22955	UROK	\N	\N
3571999	1262	1998-03-31	PRIJEM	\N	104	25871	UROK	\N	\N
3572000	1262	1998-04-30	PRIJEM	\N	116	28918	UROK	\N	\N
3572001	1262	1998-05-31	PRIJEM	\N	128	31457	UROK	\N	\N
3572002	1262	1998-06-30	PRIJEM	\N	140	25609	UROK	\N	\N
3572003	1262	1998-07-31	PRIJEM	\N	118	29638	UROK	\N	\N
3572004	1262	1998-08-31	PRIJEM	\N	131	33041	UROK	\N	\N
3572005	1262	1998-09-30	PRIJEM	\N	148	32500	UROK	\N	\N
3572006	1262	1998-10-31	PRIJEM	\N	139	31630	UROK	\N	\N
3572007	1262	1998-11-30	PRIJEM	\N	139	33680	UROK	\N	\N
3572008	1262	1998-12-31	PRIJEM	\N	144	35185	UROK	\N	\N
3572009	1264	1997-03-31	PRIJEM	\N	45	23864	UROK	\N	\N
3572010	1264	1997-04-30	PRIJEM	\N	122	35404	UROK	\N	\N
3572011	1264	1997-05-31	PRIJEM	\N	159	41282	UROK	\N	\N
3572012	1264	1997-06-30	PRIJEM	\N	193	51603	UROK	\N	\N
3572013	1264	1997-07-31	PRIJEM	\N	215	45432	UROK	\N	\N
3572014	1264	1997-08-31	PRIJEM	\N	193	42025	UROK	\N	\N
3572015	1264	1997-09-30	PRIJEM	\N	186	42211	UROK	\N	\N
3572016	1264	1997-10-31	PRIJEM	\N	169	34479	UROK	\N	\N
3572017	1264	1997-11-30	PRIJEM	\N	147	32025	UROK	\N	\N
3572018	1264	1997-12-31	PRIJEM	\N	160	35494	UROK	\N	\N
3572019	1264	1998-01-31	PRIJEM	\N	130	14164	UROK	\N	\N
3572020	1264	1998-02-28	PRIJEM	\N	85	21048	UROK	\N	\N
3572021	1264	1998-03-31	PRIJEM	\N	119	29666	UROK	\N	\N
3572022	1264	1998-04-30	PRIJEM	\N	153	37318	UROK	\N	\N
3572023	1264	1998-05-31	PRIJEM	\N	172	40689	UROK	\N	\N
3572024	1264	1998-06-30	PRIJEM	\N	184	35503	UROK	\N	\N
3572025	1264	1998-07-31	PRIJEM	\N	179	44281	UROK	\N	\N
3572026	1264	1998-08-31	PRIJEM	\N	197	46877	UROK	\N	\N
3572027	1264	1998-09-30	PRIJEM	\N	201	47677	UROK	\N	\N
3572028	1264	1998-10-31	PRIJEM	\N	212	50988	UROK	\N	\N
3572029	1264	1998-11-30	PRIJEM	\N	226	54914	UROK	\N	\N
3572030	1264	1998-12-31	PRIJEM	\N	234	51657	UROK	\N	\N
3572031	1265	1996-06-30	PRIJEM	\N	23	23811	UROK	\N	\N
3572032	1265	1996-07-31	PRIJEM	\N	110	28149	UROK	\N	\N
3572033	1265	1996-08-31	PRIJEM	\N	119	25720	UROK	\N	\N
3572034	1265	1996-09-30	PRIJEM	\N	114	23086	UROK	\N	\N
3572035	1265	1996-10-31	PRIJEM	\N	98	20496	UROK	\N	\N
3572036	1265	1996-11-30	PRIJEM	\N	90	20599	UROK	\N	\N
3572037	1265	1996-12-31	PRIJEM	\N	85	20597	UROK	\N	\N
3572038	1265	1997-01-31	PRIJEM	\N	89	20998	UROK	\N	\N
3572039	1265	1997-02-28	PRIJEM	\N	93	22064	UROK	\N	\N
3572040	1265	1997-03-31	PRIJEM	\N	94	20771	UROK	\N	\N
3572041	1265	1997-04-30	PRIJEM	\N	92	21675	UROK	\N	\N
3572042	1265	1997-05-31	PRIJEM	\N	99	24786	UROK	\N	\N
3572043	1265	1997-06-30	PRIJEM	\N	89	18137	UROK	\N	\N
3572044	1265	1997-07-31	PRIJEM	\N	81	19230	UROK	\N	\N
3572045	1265	1997-08-31	PRIJEM	\N	77	16219	UROK	\N	\N
3572046	1265	1997-09-30	PRIJEM	\N	62	12393	UROK	\N	\N
3572047	1265	1997-10-31	PRIJEM	\N	63	17369	UROK	\N	\N
3572048	1265	1997-11-30	PRIJEM	\N	84	20365	UROK	\N	\N
3572049	1265	1997-12-31	PRIJEM	\N	99	24327	UROK	\N	\N
3572050	1265	1998-01-31	PRIJEM	\N	111	28050	UROK	\N	\N
3572051	1265	1998-02-28	PRIJEM	\N	79	11442	UROK	\N	\N
3572052	1265	1998-03-31	PRIJEM	\N	59	16414	UROK	\N	\N
3572053	1265	1998-04-30	PRIJEM	\N	80	21406	UROK	\N	\N
3572054	1265	1998-05-31	PRIJEM	\N	96	23134	UROK	\N	\N
3572055	1265	1998-06-30	PRIJEM	\N	87	18233	UROK	\N	\N
3572056	1265	1998-07-31	PRIJEM	\N	92	22837	UROK	\N	\N
3572057	1265	1998-08-31	PRIJEM	\N	107	27856	UROK	\N	\N
3572058	1265	1998-09-30	PRIJEM	\N	127	32495	UROK	\N	\N
3572059	1265	1998-10-31	PRIJEM	\N	147	37554	UROK	\N	\N
3572060	1265	1998-11-30	PRIJEM	\N	158	38705	UROK	\N	\N
3572061	1265	1998-12-31	PRIJEM	\N	178	43445	UROK	\N	\N
3572062	1266	1996-07-31	PRIJEM	\N	62	23633	UROK	\N	\N
3572063	1266	1996-08-31	PRIJEM	\N	100	31604	UROK	\N	\N
3572064	1266	1996-09-30	PRIJEM	\N	132	35807	UROK	\N	\N
3572065	1266	1996-10-31	PRIJEM	\N	150	38528	UROK	\N	\N
3572066	1266	1996-11-30	PRIJEM	\N	160	38559	UROK	\N	\N
3572067	1266	1996-12-31	PRIJEM	\N	211	39890	UROK	\N	\N
3572068	1266	1997-01-31	PRIJEM	\N	140	21896	UROK	\N	\N
3572069	1266	1997-02-28	PRIJEM	\N	120	29181	UROK	\N	\N
3572070	1266	1997-03-31	PRIJEM	\N	150	33776	UROK	\N	\N
3572071	1266	1997-04-30	PRIJEM	\N	158	36059	UROK	\N	\N
3572072	1266	1997-05-31	PRIJEM	\N	165	36790	UROK	\N	\N
3572073	1266	1997-06-30	PRIJEM	\N	173	23583	UROK	\N	\N
3572074	1266	1997-07-31	PRIJEM	\N	123	26832	UROK	\N	\N
3572075	1266	1997-08-31	PRIJEM	\N	137	31234	UROK	\N	\N
3572076	1266	1997-09-30	PRIJEM	\N	157	38457	UROK	\N	\N
3572077	1266	1997-10-31	PRIJEM	\N	179	37701	UROK	\N	\N
3572078	1266	1997-11-30	PRIJEM	\N	175	36941	UROK	\N	\N
3572079	1266	1997-12-31	PRIJEM	\N	186	37288	UROK	\N	\N
3572080	1266	1998-01-31	PRIJEM	\N	135	19629	UROK	\N	\N
3572081	1266	1998-02-28	PRIJEM	\N	109	29103	UROK	\N	\N
3572082	1266	1998-03-31	PRIJEM	\N	145	34514	UROK	\N	\N
3572083	1266	1998-04-30	PRIJEM	\N	131	22950	UROK	\N	\N
3572084	1266	1998-05-31	PRIJEM	\N	126	33241	UROK	\N	\N
3572085	1266	1998-06-30	PRIJEM	\N	162	35804	UROK	\N	\N
3572086	1266	1998-07-31	PRIJEM	\N	172	41742	UROK	\N	\N
3572087	1266	1998-08-31	PRIJEM	\N	192	45299	UROK	\N	\N
3572088	1266	1998-09-30	PRIJEM	\N	188	43532	UROK	\N	\N
3572089	1266	1998-10-31	PRIJEM	\N	199	47497	UROK	\N	\N
3572090	1266	1998-11-30	PRIJEM	\N	211	49173	UROK	\N	\N
3572091	1266	1998-12-31	PRIJEM	\N	233	51867	UROK	\N	\N
3572092	1267	1996-08-31	PRIJEM	\N	61	19616	UROK	\N	\N
3572093	1267	1996-09-30	PRIJEM	\N	154	43324	UROK	\N	\N
3572094	1267	1996-10-31	PRIJEM	\N	213	53992	UROK	\N	\N
3572095	1267	1996-11-30	PRIJEM	\N	246	61193	UROK	\N	\N
3572096	1267	1996-12-31	PRIJEM	\N	286	70580	UROK	\N	\N
3572097	1267	1997-01-31	PRIJEM	\N	238	51327	UROK	\N	\N
3572098	1267	1997-02-28	PRIJEM	\N	200	49136	UROK	\N	\N
3572099	1267	1997-03-31	PRIJEM	\N	198	49743	UROK	\N	\N
3572100	1267	1997-04-30	PRIJEM	\N	202	49154	UROK	\N	\N
3572101	1267	1997-05-31	PRIJEM	\N	201	46025	UROK	\N	\N
3572102	1267	1997-06-30	PRIJEM	\N	203	52055	UROK	\N	\N
3572103	1267	1997-07-31	PRIJEM	\N	200	48764	UROK	\N	\N
3572104	1267	1997-08-31	PRIJEM	\N	171	26325	UROK	\N	\N
3572105	1267	1997-09-30	PRIJEM	\N	148	23982	UROK	\N	\N
3572106	1267	1997-10-31	PRIJEM	\N	145	27737	UROK	\N	\N
3572107	1267	1997-11-30	PRIJEM	\N	153	29599	UROK	\N	\N
3572108	1267	1997-12-31	PRIJEM	\N	166	32792	UROK	\N	\N
3572109	1267	1998-01-31	PRIJEM	\N	139	26440	UROK	\N	\N
3572110	1267	1998-02-28	PRIJEM	\N	146	27796	UROK	\N	\N
3572111	1267	1998-03-31	PRIJEM	\N	145	26050	UROK	\N	\N
3572112	1267	1998-04-30	PRIJEM	\N	143	26802	UROK	\N	\N
3572113	1267	1998-05-31	PRIJEM	\N	144	25656	UROK	\N	\N
3572114	1267	1998-06-30	PRIJEM	\N	163	31206	UROK	\N	\N
3572115	1267	1998-07-31	PRIJEM	\N	163	26478	UROK	\N	\N
3572116	1267	1998-08-31	PRIJEM	\N	138	19925	UROK	\N	\N
3572117	1267	1998-09-30	PRIJEM	\N	108	16943	UROK	\N	\N
3572118	1267	1998-10-31	PRIJEM	\N	120	31372	UROK	\N	\N
3572119	1267	1998-11-30	PRIJEM	\N	140	16522	UROK	\N	\N
3572120	1267	1998-12-31	PRIJEM	\N	140	39448	UROK	\N	\N
3572121	1268	1993-08-31	PRIJEM	\N	14	13144	UROK	\N	\N
3572122	1268	1993-09-30	PRIJEM	\N	62	19836	UROK	\N	\N
3572123	1268	1993-10-31	PRIJEM	\N	88	24755	UROK	\N	\N
3572124	1268	1993-11-30	PRIJEM	\N	103	25088	UROK	\N	\N
3572125	1268	1993-12-31	PRIJEM	\N	104	23702	UROK	\N	\N
3572126	1268	1994-01-31	PRIJEM	\N	93	17710	UROK	\N	\N
3572127	1268	1994-02-28	PRIJEM	\N	81	22086	UROK	\N	\N
3572128	1268	1994-03-31	PRIJEM	\N	95	23406	UROK	\N	\N
3572129	1268	1994-04-30	PRIJEM	\N	98	22899	UROK	\N	\N
3572130	1268	1994-05-31	PRIJEM	\N	95	21989	UROK	\N	\N
3572131	1268	1994-06-30	PRIJEM	\N	92	17816	UROK	\N	\N
3572132	1268	1994-07-31	PRIJEM	\N	79	19830	UROK	\N	\N
3572133	1268	1994-08-31	PRIJEM	\N	83	19909	UROK	\N	\N
3572134	1268	1994-09-30	PRIJEM	\N	88	20252	UROK	\N	\N
3572135	1268	1994-10-31	PRIJEM	\N	89	22436	UROK	\N	\N
3572136	1268	1994-11-30	PRIJEM	\N	91	21123	UROK	\N	\N
3572137	1268	1994-12-31	PRIJEM	\N	93	23481	UROK	\N	\N
3572138	1268	1995-01-31	PRIJEM	\N	92	18809	UROK	\N	\N
3572139	1268	1995-02-28	PRIJEM	\N	87	21801	UROK	\N	\N
3572140	1268	1995-03-31	PRIJEM	\N	93	23090	UROK	\N	\N
3572141	1268	1995-04-30	PRIJEM	\N	101	25486	UROK	\N	\N
3572142	1268	1995-05-31	PRIJEM	\N	104	24076	UROK	\N	\N
3572143	1268	1995-06-30	PRIJEM	\N	104	24835	UROK	\N	\N
3572144	1268	1995-07-31	PRIJEM	\N	103	24633	UROK	\N	\N
3572145	1268	1995-08-31	PRIJEM	\N	108	23956	UROK	\N	\N
3572146	1268	1995-09-30	PRIJEM	\N	100	24252	UROK	\N	\N
3572147	1268	1995-10-31	PRIJEM	\N	92	20839	UROK	\N	\N
3572148	1268	1995-11-30	PRIJEM	\N	84	19328	UROK	\N	\N
3572149	1268	1995-12-31	PRIJEM	\N	80	18814	UROK	\N	\N
3572150	1268	1996-01-31	PRIJEM	\N	82	18061	UROK	\N	\N
3572151	1268	1996-02-29	PRIJEM	\N	72	16728	UROK	\N	\N
3572152	1268	1996-03-31	PRIJEM	\N	68	16122	UROK	\N	\N
3572153	1268	1996-04-30	PRIJEM	\N	77	19495	UROK	\N	\N
3572154	1268	1996-05-31	PRIJEM	\N	94	23784	UROK	\N	\N
3572155	1268	1996-06-30	PRIJEM	\N	99	23499	UROK	\N	\N
3572156	1268	1996-07-31	PRIJEM	\N	115	29009	UROK	\N	\N
3572157	1268	1996-08-31	PRIJEM	\N	122	28797	UROK	\N	\N
3572158	1268	1996-09-30	PRIJEM	\N	131	31723	UROK	\N	\N
3572159	1268	1996-10-31	PRIJEM	\N	139	33658	UROK	\N	\N
3572160	1268	1996-11-30	PRIJEM	\N	149	36202	UROK	\N	\N
3572161	1268	1996-12-31	PRIJEM	\N	165	39682	UROK	\N	\N
3572162	1268	1997-01-31	PRIJEM	\N	160	36777	UROK	\N	\N
3572163	1268	1997-02-28	PRIJEM	\N	159	38131	UROK	\N	\N
3572164	1268	1997-03-31	PRIJEM	\N	162	38389	UROK	\N	\N
3572165	1268	1997-04-30	PRIJEM	\N	175	42399	UROK	\N	\N
3572166	1268	1997-05-31	PRIJEM	\N	174	41569	UROK	\N	\N
3572167	1268	1997-06-30	PRIJEM	\N	183	43507	UROK	\N	\N
3572168	1268	1997-07-31	PRIJEM	\N	182	43684	UROK	\N	\N
3572169	1268	1997-08-31	PRIJEM	\N	192	46362	UROK	\N	\N
3572170	1268	1997-09-30	PRIJEM	\N	213	52170	UROK	\N	\N
3572171	1268	1997-10-31	PRIJEM	\N	220	52986	UROK	\N	\N
3572172	1268	1997-11-30	PRIJEM	\N	222	53303	UROK	\N	\N
3572173	1268	1997-12-31	PRIJEM	\N	210	49748	UROK	\N	\N
3572174	1268	1998-01-31	PRIJEM	\N	182	39275	UROK	\N	\N
3572175	1268	1998-02-28	PRIJEM	\N	164	40534	UROK	\N	\N
3572176	1268	1998-03-31	PRIJEM	\N	169	40679	UROK	\N	\N
3572177	1268	1998-04-30	PRIJEM	\N	184	45358	UROK	\N	\N
3572178	1268	1998-05-31	PRIJEM	\N	185	41238	UROK	\N	\N
3572179	1268	1998-06-30	PRIJEM	\N	167	38510	UROK	\N	\N
3572180	1268	1998-07-31	PRIJEM	\N	158	40834	UROK	\N	\N
3572181	1268	1998-08-31	PRIJEM	\N	170	42900	UROK	\N	\N
3572182	1268	1998-09-30	PRIJEM	\N	177	40511	UROK	\N	\N
3572183	1268	1998-10-31	PRIJEM	\N	167	39574	UROK	\N	\N
3572184	1268	1998-11-30	PRIJEM	\N	159	34028	UROK	\N	\N
3572185	1268	1998-12-31	PRIJEM	\N	141	35114	UROK	\N	\N
3572186	1269	1994-04-30	PRIJEM	\N	11	20340	UROK	\N	\N
3572187	1269	1994-05-31	PRIJEM	\N	89	26158	UROK	\N	\N
3572188	1269	1994-06-30	PRIJEM	\N	115	35166	UROK	\N	\N
3572189	1269	1994-07-31	PRIJEM	\N	146	35542	UROK	\N	\N
3572190	1269	1994-08-31	PRIJEM	\N	164	32195	UROK	\N	\N
3572191	1269	1994-09-30	PRIJEM	\N	152	32922	UROK	\N	\N
3572192	1269	1994-10-31	PRIJEM	\N	153	31550	UROK	\N	\N
3572193	1269	1994-11-30	PRIJEM	\N	135	26440	UROK	\N	\N
3572194	1269	1994-12-31	PRIJEM	\N	130	29730	UROK	\N	\N
3572195	1269	1995-01-31	PRIJEM	\N	105	14930	UROK	\N	\N
3572196	1269	1995-02-28	PRIJEM	\N	77	22583	UROK	\N	\N
3572197	1269	1995-03-31	PRIJEM	\N	113	28331	UROK	\N	\N
3572198	1269	1995-04-30	PRIJEM	\N	131	27537	UROK	\N	\N
3572199	1269	1995-05-31	PRIJEM	\N	130	28943	UROK	\N	\N
3572200	1269	1995-06-30	PRIJEM	\N	133	28856	UROK	\N	\N
3572201	1269	1995-07-31	PRIJEM	\N	126	27777	UROK	\N	\N
3572202	1269	1995-08-31	PRIJEM	\N	130	30082	UROK	\N	\N
3572203	1269	1995-09-30	PRIJEM	\N	130	27288	UROK	\N	\N
3572204	1269	1995-10-31	PRIJEM	\N	125	28888	UROK	\N	\N
3572205	1269	1995-11-30	PRIJEM	\N	118	25361	UROK	\N	\N
3572206	1269	1995-12-31	PRIJEM	\N	111	25972	UROK	\N	\N
3572207	1269	1996-01-31	PRIJEM	\N	100	20147	UROK	\N	\N
3572208	1269	1996-02-29	PRIJEM	\N	95	23317	UROK	\N	\N
3572209	1269	1996-03-31	PRIJEM	\N	109	26501	UROK	\N	\N
3572210	1269	1996-04-30	PRIJEM	\N	113	27090	UROK	\N	\N
3572211	1269	1996-05-31	PRIJEM	\N	107	24092	UROK	\N	\N
3572212	1269	1996-06-30	PRIJEM	\N	105	25557	UROK	\N	\N
3572213	1269	1996-07-31	PRIJEM	\N	98	21630	UROK	\N	\N
3572214	1269	1996-08-31	PRIJEM	\N	89	20995	UROK	\N	\N
3572215	1269	1996-09-30	PRIJEM	\N	98	20668	UROK	\N	\N
3572216	1269	1996-10-31	PRIJEM	\N	85	14768	UROK	\N	\N
3572217	1269	1996-11-30	PRIJEM	\N	74	20117	UROK	\N	\N
3572218	1269	1996-12-31	PRIJEM	\N	118	28015	UROK	\N	\N
3572219	1269	1997-01-31	PRIJEM	\N	97	15048	UROK	\N	\N
3572220	1269	1997-02-28	PRIJEM	\N	67	17690	UROK	\N	\N
3572221	1269	1997-03-31	PRIJEM	\N	88	23954	UROK	\N	\N
3572222	1269	1997-04-30	PRIJEM	\N	97	24126	UROK	\N	\N
3572223	1269	1997-05-31	PRIJEM	\N	119	25921	UROK	\N	\N
3572224	1269	1997-06-30	PRIJEM	\N	138	26598	UROK	\N	\N
3572225	1269	1997-07-31	PRIJEM	\N	106	23900	UROK	\N	\N
3572226	1269	1997-08-31	PRIJEM	\N	118	25593	UROK	\N	\N
3572227	1269	1997-09-30	PRIJEM	\N	118	21766	UROK	\N	\N
3572228	1269	1997-10-31	PRIJEM	\N	104	27645	UROK	\N	\N
3572229	1269	1997-11-30	PRIJEM	\N	122	31542	UROK	\N	\N
3572230	1269	1997-12-31	PRIJEM	\N	171	41333	UROK	\N	\N
3572231	1269	1998-01-31	PRIJEM	\N	150	24439	UROK	\N	\N
3572232	1269	1998-02-28	PRIJEM	\N	122	29056	UROK	\N	\N
3572233	1269	1998-03-31	PRIJEM	\N	129	33341	UROK	\N	\N
3572234	1269	1998-04-30	PRIJEM	\N	162	37178	UROK	\N	\N
3572235	1269	1998-05-31	PRIJEM	\N	179	41332	UROK	\N	\N
3572236	1269	1998-06-30	PRIJEM	\N	174	29546	UROK	\N	\N
3572237	1269	1998-07-31	PRIJEM	\N	159	37880	UROK	\N	\N
3572238	1269	1998-08-31	PRIJEM	\N	164	36579	UROK	\N	\N
3572239	1269	1998-09-30	PRIJEM	\N	175	40529	UROK	\N	\N
3572240	1269	1998-10-31	PRIJEM	\N	173	37157	UROK	\N	\N
3572241	1269	1998-11-30	PRIJEM	\N	165	42597	UROK	\N	\N
3572242	1269	1998-12-31	PRIJEM	\N	192	51049	UROK	\N	\N
3572243	1270	1996-06-30	PRIJEM	\N	45	19241	UROK	\N	\N
3572244	1270	1996-07-31	PRIJEM	\N	115	33921	UROK	\N	\N
3572245	1270	1996-08-31	PRIJEM	\N	158	41143	UROK	\N	\N
3572246	1270	1996-09-30	PRIJEM	\N	182	45989	UROK	\N	\N
3572247	1270	1996-10-31	PRIJEM	\N	186	33239	UROK	\N	\N
3572248	1270	1996-11-30	PRIJEM	\N	124	27365	UROK	\N	\N
3572249	1270	1996-12-31	PRIJEM	\N	85	19625	UROK	\N	\N
3572250	1270	1997-01-31	PRIJEM	\N	93	20620	UROK	\N	\N
3572251	1270	1997-02-28	PRIJEM	\N	101	24322	UROK	\N	\N
3572252	1270	1997-03-31	PRIJEM	\N	102	26726	UROK	\N	\N
3572253	1270	1997-04-30	PRIJEM	\N	103	24731	UROK	\N	\N
3572254	1270	1997-05-31	PRIJEM	\N	95	22727	UROK	\N	\N
3572255	1270	1997-06-30	PRIJEM	\N	116	33277	UROK	\N	\N
3572256	1270	1997-07-31	PRIJEM	\N	137	34039	UROK	\N	\N
3572257	1270	1997-08-31	PRIJEM	\N	123	28886	UROK	\N	\N
3572258	1270	1997-09-30	PRIJEM	\N	110	30021	UROK	\N	\N
3572259	1270	1997-10-31	PRIJEM	\N	105	22351	UROK	\N	\N
3572260	1270	1997-11-30	PRIJEM	\N	105	22781	UROK	\N	\N
3572261	1270	1997-12-31	PRIJEM	\N	119	25356	UROK	\N	\N
3572262	1270	1998-01-31	PRIJEM	\N	96	20077	UROK	\N	\N
3572263	1270	1998-02-28	PRIJEM	\N	94	20595	UROK	\N	\N
3572264	1270	1998-03-31	PRIJEM	\N	96	19916	UROK	\N	\N
3572265	1270	1998-04-30	PRIJEM	\N	95	25135	UROK	\N	\N
3572266	1270	1998-05-31	PRIJEM	\N	101	18961	UROK	\N	\N
3572267	1270	1998-06-30	PRIJEM	\N	103	25821	UROK	\N	\N
3572268	1270	1998-07-31	PRIJEM	\N	105	20871	UROK	\N	\N
3572269	1270	1998-08-31	PRIJEM	\N	95	20291	UROK	\N	\N
3572270	1270	1998-09-30	PRIJEM	\N	93	22209	UROK	\N	\N
3572271	1270	1998-10-31	PRIJEM	\N	91	13124	UROK	\N	\N
3572272	1270	1998-11-30	PRIJEM	\N	63	15512	UROK	\N	\N
3572273	1270	1998-12-31	PRIJEM	\N	93	27961	UROK	\N	\N
3572274	1271	1996-07-31	PRIJEM	\N	26	13718	UROK	\N	\N
3572275	1271	1996-08-31	PRIJEM	\N	81	25390	UROK	\N	\N
3572276	1271	1996-09-30	PRIJEM	\N	111	28093	UROK	\N	\N
3572277	1271	1996-10-31	PRIJEM	\N	116	27901	UROK	\N	\N
3572278	1271	1996-11-30	PRIJEM	\N	103	21168	UROK	\N	\N
3572279	1271	1996-12-31	PRIJEM	\N	93	18546	UROK	\N	\N
3572280	1271	1997-01-31	PRIJEM	\N	66	13062	UROK	\N	\N
3572281	1271	1997-02-28	PRIJEM	\N	62	12294	UROK	\N	\N
3572282	1271	1997-03-31	PRIJEM	\N	64	17307	UROK	\N	\N
3572283	1271	1997-04-30	PRIJEM	\N	70	14427	UROK	\N	\N
3572284	1271	1997-05-31	PRIJEM	\N	66	16102	UROK	\N	\N
3572285	1271	1997-06-30	PRIJEM	\N	77	18924	UROK	\N	\N
3572286	1271	1997-07-31	PRIJEM	\N	70	13903	UROK	\N	\N
3572287	1271	1997-08-31	PRIJEM	\N	69	17621	UROK	\N	\N
3572288	1271	1997-09-30	PRIJEM	\N	81	20352	UROK	\N	\N
3572289	1271	1997-10-31	PRIJEM	\N	80	18682	UROK	\N	\N
3572290	1271	1997-11-30	PRIJEM	\N	78	18608	UROK	\N	\N
3572291	1271	1997-12-31	PRIJEM	\N	68	14102	UROK	\N	\N
3572292	1271	1998-01-31	PRIJEM	\N	59	13090	UROK	\N	\N
3572293	1271	1998-02-28	PRIJEM	\N	62	15301	UROK	\N	\N
3572294	1271	1998-03-31	PRIJEM	\N	71	13902	UROK	\N	\N
3572295	1271	1998-04-30	PRIJEM	\N	92	20923	UROK	\N	\N
3572296	1271	1998-05-31	PRIJEM	\N	100	25272	UROK	\N	\N
3572297	1271	1998-06-30	PRIJEM	\N	99	23216	UROK	\N	\N
3572298	1271	1998-07-31	PRIJEM	\N	77	17043	UROK	\N	\N
3572299	1271	1998-08-31	PRIJEM	\N	68	15560	UROK	\N	\N
3572300	1271	1998-09-30	PRIJEM	\N	80	20089	UROK	\N	\N
3572301	1271	1998-10-31	PRIJEM	\N	94	21152	UROK	\N	\N
3572302	1271	1998-11-30	PRIJEM	\N	95	23097	UROK	\N	\N
3572303	1271	1998-12-31	PRIJEM	\N	88	19870	UROK	\N	\N
3572304	1273	1994-04-30	PRIJEM	\N	22	22607	UROK	\N	\N
3572305	1273	1994-05-31	PRIJEM	\N	109	36301	UROK	\N	\N
3572306	1273	1994-06-30	PRIJEM	\N	163	47592	UROK	\N	\N
3572307	1273	1994-07-31	PRIJEM	\N	197	47474	UROK	\N	\N
3572308	1273	1994-08-31	PRIJEM	\N	239	45835	UROK	\N	\N
3572309	1273	1994-09-30	PRIJEM	\N	233	45375	UROK	\N	\N
3572310	1273	1994-10-31	PRIJEM	\N	227	43309	UROK	\N	\N
3572311	1273	1994-11-30	PRIJEM	\N	216	41973	UROK	\N	\N
3572312	1273	1994-12-31	PRIJEM	\N	240	46462	UROK	\N	\N
3572313	1273	1995-01-31	PRIJEM	\N	193	23463	UROK	\N	\N
3572314	1273	1995-02-28	PRIJEM	\N	148	32118	UROK	\N	\N
3572315	1273	1995-03-31	PRIJEM	\N	177	35302	UROK	\N	\N
3572316	1273	1995-04-30	PRIJEM	\N	175	35545	UROK	\N	\N
3572317	1273	1995-05-31	PRIJEM	\N	179	36931	UROK	\N	\N
3572318	1273	1995-06-30	PRIJEM	\N	213	41694	UROK	\N	\N
3572319	1273	1995-07-31	PRIJEM	\N	208	42169	UROK	\N	\N
3572320	1273	1995-08-31	PRIJEM	\N	182	37299	UROK	\N	\N
3572321	1273	1995-09-30	PRIJEM	\N	184	37990	UROK	\N	\N
3572322	1273	1995-10-31	PRIJEM	\N	187	36744	UROK	\N	\N
3572323	1273	1995-11-30	PRIJEM	\N	177	38529	UROK	\N	\N
3572324	1273	1995-12-31	PRIJEM	\N	207	44645	UROK	\N	\N
3572325	1273	1996-01-31	PRIJEM	\N	190	23782	UROK	\N	\N
3572326	1273	1996-02-29	PRIJEM	\N	134	31824	UROK	\N	\N
3572327	1273	1996-03-31	PRIJEM	\N	165	38296	UROK	\N	\N
3572328	1273	1996-04-30	PRIJEM	\N	176	38980	UROK	\N	\N
3572329	1273	1996-05-31	PRIJEM	\N	183	41370	UROK	\N	\N
3572330	1273	1996-06-30	PRIJEM	\N	212	47232	UROK	\N	\N
3572331	1273	1996-07-31	PRIJEM	\N	247	44385	UROK	\N	\N
3572332	1273	1996-08-31	PRIJEM	\N	191	42284	UROK	\N	\N
3572333	1273	1996-09-30	PRIJEM	\N	183	41374	UROK	\N	\N
3572334	1273	1996-10-31	PRIJEM	\N	185	42666	UROK	\N	\N
3572335	1273	1996-11-30	PRIJEM	\N	179	40612	UROK	\N	\N
3572336	1273	1996-12-31	PRIJEM	\N	186	43348	UROK	\N	\N
3572337	1273	1997-01-31	PRIJEM	\N	158	27593	UROK	\N	\N
3572338	1273	1997-02-28	PRIJEM	\N	129	31930	UROK	\N	\N
3572339	1273	1997-03-31	PRIJEM	\N	154	36791	UROK	\N	\N
3572340	1273	1997-04-30	PRIJEM	\N	165	39564	UROK	\N	\N
3572341	1273	1997-05-31	PRIJEM	\N	157	36528	UROK	\N	\N
3572342	1273	1997-06-30	PRIJEM	\N	121	17058	UROK	\N	\N
3572343	1273	1997-07-31	PRIJEM	\N	111	28877	UROK	\N	\N
3572344	1273	1997-08-31	PRIJEM	\N	131	32795	UROK	\N	\N
3572345	1273	1997-09-30	PRIJEM	\N	178	45681	UROK	\N	\N
3572346	1273	1997-10-31	PRIJEM	\N	210	51518	UROK	\N	\N
3572347	1273	1997-11-30	PRIJEM	\N	250	59176	UROK	\N	\N
3572348	1273	1997-12-31	PRIJEM	\N	289	71055	UROK	\N	\N
3572349	1273	1998-01-31	PRIJEM	\N	254	53296	UROK	\N	\N
3572350	1273	1998-02-28	PRIJEM	\N	234	55697	UROK	\N	\N
3572351	1273	1998-03-31	PRIJEM	\N	263	65768	UROK	\N	\N
3572352	1273	1998-04-30	PRIJEM	\N	301	71276	UROK	\N	\N
3572353	1273	1998-05-31	PRIJEM	\N	316	74400	UROK	\N	\N
3572354	1273	1998-06-30	PRIJEM	\N	339	71069	UROK	\N	\N
3572355	1273	1998-07-31	PRIJEM	\N	319	78995	UROK	\N	\N
3572356	1273	1998-08-31	PRIJEM	\N	322	79124	UROK	\N	\N
3572357	1273	1998-09-30	PRIJEM	\N	320	78451	UROK	\N	\N
3572358	1273	1998-10-31	PRIJEM	\N	297	59256	UROK	\N	\N
3572359	1273	1998-11-30	PRIJEM	\N	292	55135	UROK	\N	\N
3572360	1273	1998-12-31	PRIJEM	\N	313	79498	UROK	\N	\N
3572361	1275	1996-10-31	PRIJEM	\N	23	21211	UROK	\N	\N
3572362	1275	1996-11-30	PRIJEM	\N	99	24754	UROK	\N	\N
3572363	1275	1996-12-31	PRIJEM	\N	110	25143	UROK	\N	\N
3572364	1275	1997-01-31	PRIJEM	\N	96	18578	UROK	\N	\N
3572365	1275	1997-02-28	PRIJEM	\N	84	19192	UROK	\N	\N
3572366	1275	1997-03-31	PRIJEM	\N	91	22812	UROK	\N	\N
3572367	1275	1997-04-30	PRIJEM	\N	105	25547	UROK	\N	\N
3572368	1275	1997-05-31	PRIJEM	\N	105	24440	UROK	\N	\N
3572369	1275	1997-06-30	PRIJEM	\N	71	12471	UROK	\N	\N
3572370	1275	1997-07-31	PRIJEM	\N	63	16063	UROK	\N	\N
3572371	1275	1997-08-31	PRIJEM	\N	78	17910	UROK	\N	\N
3572372	1275	1997-09-30	PRIJEM	\N	85	21324	UROK	\N	\N
3572373	1275	1997-10-31	PRIJEM	\N	100	24953	UROK	\N	\N
3572374	1275	1997-11-30	PRIJEM	\N	103	24746	UROK	\N	\N
3572375	1275	1997-12-31	PRIJEM	\N	111	27387	UROK	\N	\N
3572376	1275	1998-01-31	PRIJEM	\N	119	28005	UROK	\N	\N
3572377	1275	1998-02-28	PRIJEM	\N	125	30359	UROK	\N	\N
3572378	1275	1998-03-31	PRIJEM	\N	133	30881	UROK	\N	\N
3572379	1275	1998-04-30	PRIJEM	\N	132	30942	UROK	\N	\N
3572380	1275	1998-05-31	PRIJEM	\N	123	24615	UROK	\N	\N
3572381	1275	1998-06-30	PRIJEM	\N	105	22999	UROK	\N	\N
3572382	1275	1998-07-31	PRIJEM	\N	105	26133	UROK	\N	\N
3572383	1275	1998-08-31	PRIJEM	\N	119	29782	UROK	\N	\N
3572384	1275	1998-09-30	PRIJEM	\N	130	31341	UROK	\N	\N
3572385	1275	1998-10-31	PRIJEM	\N	119	24730	UROK	\N	\N
3572386	1275	1998-11-30	PRIJEM	\N	102	23302	UROK	\N	\N
3572387	1275	1998-12-31	PRIJEM	\N	89	18970	UROK	\N	\N
3572388	1276	1993-01-31	PRIJEM	\N	23	7197	UROK	\N	\N
3572389	1276	1993-02-28	PRIJEM	\N	84	24655	UROK	\N	\N
3572390	1276	1993-03-31	PRIJEM	\N	117	29347	UROK	\N	\N
3572391	1276	1993-04-30	PRIJEM	\N	133	32954	UROK	\N	\N
3572392	1276	1993-05-31	PRIJEM	\N	135	32416	UROK	\N	\N
3572393	1276	1993-06-30	PRIJEM	\N	146	35593	UROK	\N	\N
3572394	1276	1993-07-31	PRIJEM	\N	117	25174	UROK	\N	\N
3572395	1276	1993-08-31	PRIJEM	\N	118	28435	UROK	\N	\N
3572396	1276	1993-09-30	PRIJEM	\N	118	28096	UROK	\N	\N
3572397	1276	1993-10-31	PRIJEM	\N	124	30364	UROK	\N	\N
3572398	1276	1993-11-30	PRIJEM	\N	121	28948	UROK	\N	\N
3572399	1276	1993-12-31	PRIJEM	\N	125	29804	UROK	\N	\N
3572400	1276	1994-01-31	PRIJEM	\N	115	22682	UROK	\N	\N
3572401	1276	1994-02-28	PRIJEM	\N	107	26532	UROK	\N	\N
3572402	1276	1994-03-31	PRIJEM	\N	117	27532	UROK	\N	\N
3572403	1276	1994-04-30	PRIJEM	\N	85	19061	UROK	\N	\N
3572404	1276	1994-05-31	PRIJEM	\N	89	20333	UROK	\N	\N
3572405	1276	1994-06-30	PRIJEM	\N	120	30884	UROK	\N	\N
3572406	1276	1994-07-31	PRIJEM	\N	128	30655	UROK	\N	\N
3572407	1276	1994-08-31	PRIJEM	\N	120	26819	UROK	\N	\N
3572408	1276	1994-09-30	PRIJEM	\N	120	27082	UROK	\N	\N
3572409	1276	1994-10-31	PRIJEM	\N	116	27002	UROK	\N	\N
3572410	1276	1994-11-30	PRIJEM	\N	117	28101	UROK	\N	\N
3572411	1276	1994-12-31	PRIJEM	\N	136	32368	UROK	\N	\N
3572412	1276	1995-01-31	PRIJEM	\N	106	19257	UROK	\N	\N
3572413	1276	1995-02-28	PRIJEM	\N	88	22888	UROK	\N	\N
3572414	1276	1995-03-31	PRIJEM	\N	91	22003	UROK	\N	\N
3572415	1276	1995-04-30	PRIJEM	\N	92	24258	UROK	\N	\N
3572416	1276	1995-05-31	PRIJEM	\N	103	26324	UROK	\N	\N
3572417	1276	1995-06-30	PRIJEM	\N	124	27779	UROK	\N	\N
3572418	1276	1995-07-31	PRIJEM	\N	106	21228	UROK	\N	\N
3572419	1276	1995-08-31	PRIJEM	\N	99	25671	UROK	\N	\N
3572420	1276	1995-09-30	PRIJEM	\N	111	25025	UROK	\N	\N
3572421	1276	1995-10-31	PRIJEM	\N	107	23975	UROK	\N	\N
3572422	1276	1995-11-30	PRIJEM	\N	108	27827	UROK	\N	\N
3572423	1276	1995-12-31	PRIJEM	\N	127	31004	UROK	\N	\N
3572424	1276	1996-01-31	PRIJEM	\N	113	23580	UROK	\N	\N
3572425	1276	1996-02-29	PRIJEM	\N	110	28834	UROK	\N	\N
3572426	1276	1996-03-31	PRIJEM	\N	127	31704	UROK	\N	\N
3572427	1276	1996-04-30	PRIJEM	\N	137	33284	UROK	\N	\N
3572428	1276	1996-05-31	PRIJEM	\N	142	33469	UROK	\N	\N
3572429	1276	1996-06-30	PRIJEM	\N	144	29184	UROK	\N	\N
3572430	1276	1996-07-31	PRIJEM	\N	130	32037	UROK	\N	\N
3572431	1276	1996-08-31	PRIJEM	\N	137	33117	UROK	\N	\N
3572432	1276	1996-09-30	PRIJEM	\N	142	34403	UROK	\N	\N
3572433	1276	1996-10-31	PRIJEM	\N	149	36895	UROK	\N	\N
3572434	1276	1996-11-30	PRIJEM	\N	158	37396	UROK	\N	\N
3572435	1276	1996-12-31	PRIJEM	\N	162	37988	UROK	\N	\N
3572436	1276	1997-01-31	PRIJEM	\N	118	23049	UROK	\N	\N
3572437	1276	1997-02-28	PRIJEM	\N	106	26919	UROK	\N	\N
3572438	1276	1997-03-31	PRIJEM	\N	123	31885	UROK	\N	\N
3572439	1276	1997-04-30	PRIJEM	\N	133	31961	UROK	\N	\N
3572440	1276	1997-05-31	PRIJEM	\N	138	34243	UROK	\N	\N
3572441	1276	1997-06-30	PRIJEM	\N	148	34522	UROK	\N	\N
3572442	1276	1997-07-31	PRIJEM	\N	141	35066	UROK	\N	\N
3572443	1276	1997-08-31	PRIJEM	\N	143	34533	UROK	\N	\N
3572444	1276	1997-09-30	PRIJEM	\N	148	35384	UROK	\N	\N
3572445	1276	1997-10-31	PRIJEM	\N	145	31593	UROK	\N	\N
3572446	1276	1997-11-30	PRIJEM	\N	135	33451	UROK	\N	\N
3572447	1276	1997-12-31	PRIJEM	\N	141	33523	UROK	\N	\N
3572448	1276	1998-01-31	PRIJEM	\N	80	16866	UROK	\N	\N
3572449	1276	1998-02-28	PRIJEM	\N	78	20188	UROK	\N	\N
3572450	1276	1998-03-31	PRIJEM	\N	95	23246	UROK	\N	\N
3572451	1276	1998-04-30	PRIJEM	\N	106	27496	UROK	\N	\N
3572452	1276	1998-05-31	PRIJEM	\N	106	25145	UROK	\N	\N
3572453	1276	1998-06-30	PRIJEM	\N	97	23753	UROK	\N	\N
3572454	1276	1998-07-31	PRIJEM	\N	72	16688	UROK	\N	\N
3572455	1276	1998-08-31	PRIJEM	\N	69	17320	UROK	\N	\N
3572456	1276	1998-09-30	PRIJEM	\N	71	18134	UROK	\N	\N
3572457	1276	1998-10-31	PRIJEM	\N	70	17647	UROK	\N	\N
3572458	1276	1998-11-30	PRIJEM	\N	87	22578	UROK	\N	\N
3572459	1276	1998-12-31	PRIJEM	\N	92	22800	UROK	\N	\N
3572460	1277	1993-09-30	PRIJEM	\N	36	19680	UROK	\N	\N
3572461	1277	1993-10-31	PRIJEM	\N	90	24218	UROK	\N	\N
3572462	1277	1993-11-30	PRIJEM	\N	105	26270	UROK	\N	\N
3572463	1277	1993-12-31	PRIJEM	\N	109	24438	UROK	\N	\N
3572464	1277	1994-01-31	PRIJEM	\N	88	15724	UROK	\N	\N
3572465	1277	1994-02-28	PRIJEM	\N	75	18857	UROK	\N	\N
3572466	1277	1994-03-31	PRIJEM	\N	88	22003	UROK	\N	\N
3572467	1277	1994-04-30	PRIJEM	\N	100	24662	UROK	\N	\N
3572468	1277	1994-05-31	PRIJEM	\N	109	26129	UROK	\N	\N
3572469	1277	1994-06-30	PRIJEM	\N	77	15564	UROK	\N	\N
3572470	1277	1994-07-31	PRIJEM	\N	56	13318	UROK	\N	\N
3572471	1277	1994-08-31	PRIJEM	\N	65	16442	UROK	\N	\N
3572472	1277	1994-09-30	PRIJEM	\N	78	19578	UROK	\N	\N
3572473	1277	1994-10-31	PRIJEM	\N	91	22727	UROK	\N	\N
3572474	1277	1994-11-30	PRIJEM	\N	102	23207	UROK	\N	\N
3572475	1277	1994-12-31	PRIJEM	\N	104	25469	UROK	\N	\N
3572476	1277	1995-01-31	PRIJEM	\N	79	16576	UROK	\N	\N
3572477	1277	1995-02-28	PRIJEM	\N	78	19712	UROK	\N	\N
3572478	1277	1995-03-31	PRIJEM	\N	91	22142	UROK	\N	\N
3572479	1277	1995-04-30	PRIJEM	\N	99	24298	UROK	\N	\N
3572480	1277	1995-05-31	PRIJEM	\N	100	24737	UROK	\N	\N
3572481	1277	1995-06-30	PRIJEM	\N	81	19427	UROK	\N	\N
3572482	1277	1995-07-31	PRIJEM	\N	90	22576	UROK	\N	\N
3572483	1277	1995-08-31	PRIJEM	\N	103	24737	UROK	\N	\N
3572484	1277	1995-09-30	PRIJEM	\N	109	25105	UROK	\N	\N
3572485	1277	1995-10-31	PRIJEM	\N	114	28277	UROK	\N	\N
3572486	1277	1995-11-30	PRIJEM	\N	127	31462	UROK	\N	\N
3572487	1277	1995-12-31	PRIJEM	\N	125	30345	UROK	\N	\N
3572488	1277	1996-01-31	PRIJEM	\N	110	23194	UROK	\N	\N
3572489	1277	1996-02-29	PRIJEM	\N	105	26357	UROK	\N	\N
3572490	1277	1996-03-31	PRIJEM	\N	119	29534	UROK	\N	\N
3572491	1277	1996-04-30	PRIJEM	\N	115	27408	UROK	\N	\N
3572492	1277	1996-05-31	PRIJEM	\N	115	28782	UROK	\N	\N
3572493	1277	1996-06-30	PRIJEM	\N	120	29860	UROK	\N	\N
3572494	1277	1996-07-31	PRIJEM	\N	118	29137	UROK	\N	\N
3572495	1277	1996-08-31	PRIJEM	\N	107	26202	UROK	\N	\N
3572496	1277	1996-09-30	PRIJEM	\N	113	28173	UROK	\N	\N
3572497	1277	1996-10-31	PRIJEM	\N	126	31358	UROK	\N	\N
3572498	1277	1996-11-30	PRIJEM	\N	115	28131	UROK	\N	\N
3572499	1277	1996-12-31	PRIJEM	\N	104	25143	UROK	\N	\N
3572500	1277	1997-01-31	PRIJEM	\N	96	15517	UROK	\N	\N
3572501	1277	1997-02-28	PRIJEM	\N	73	18648	UROK	\N	\N
3572502	1277	1997-03-31	PRIJEM	\N	79	19306	UROK	\N	\N
3572503	1277	1997-04-30	PRIJEM	\N	82	16986	UROK	\N	\N
3572504	1277	1997-05-31	PRIJEM	\N	75	16999	UROK	\N	\N
3572505	1277	1997-06-30	PRIJEM	\N	78	18935	UROK	\N	\N
3572506	1277	1997-07-31	PRIJEM	\N	87	21380	UROK	\N	\N
3572507	1277	1997-08-31	PRIJEM	\N	96	22534	UROK	\N	\N
3572508	1277	1997-09-30	PRIJEM	\N	99	21392	UROK	\N	\N
3572509	1277	1997-10-31	PRIJEM	\N	91	17921	UROK	\N	\N
3572510	1277	1997-11-30	PRIJEM	\N	82	21062	UROK	\N	\N
3572511	1277	1997-12-31	PRIJEM	\N	89	17409	UROK	\N	\N
3572512	1277	1998-01-31	PRIJEM	\N	69	17016	UROK	\N	\N
3572513	1277	1998-02-28	PRIJEM	\N	78	20153	UROK	\N	\N
3572514	1277	1998-03-31	PRIJEM	\N	87	18018	UROK	\N	\N
3572515	1277	1998-04-30	PRIJEM	\N	79	17856	UROK	\N	\N
3572516	1277	1998-05-31	PRIJEM	\N	76	14990	UROK	\N	\N
3572517	1277	1998-06-30	PRIJEM	\N	69	18118	UROK	\N	\N
3572518	1277	1998-07-31	PRIJEM	\N	82	21259	UROK	\N	\N
3572519	1277	1998-08-31	PRIJEM	\N	87	17304	UROK	\N	\N
3572520	1277	1998-09-30	PRIJEM	\N	77	18680	UROK	\N	\N
3572521	1277	1998-10-31	PRIJEM	\N	84	21722	UROK	\N	\N
3572522	1277	1998-11-30	PRIJEM	\N	88	19149	UROK	\N	\N
3572523	1277	1998-12-31	PRIJEM	\N	76	16133	UROK	\N	\N
3572524	1279	1998-01-31	PRIJEM	\N	46	16289	UROK	\N	\N
3572525	1279	1998-02-28	PRIJEM	\N	82	21251	UROK	\N	\N
3572526	1279	1998-03-31	PRIJEM	\N	88	20934	UROK	\N	\N
3572527	1279	1998-04-30	PRIJEM	\N	93	22806	UROK	\N	\N
3572528	1279	1998-05-31	PRIJEM	\N	98	23683	UROK	\N	\N
3572529	1279	1998-06-30	PRIJEM	\N	80	14042	UROK	\N	\N
3572530	1279	1998-07-31	PRIJEM	\N	64	15886	UROK	\N	\N
3572531	1279	1998-08-31	PRIJEM	\N	71	14856	UROK	\N	\N
3572532	1279	1998-09-30	PRIJEM	\N	65	15741	UROK	\N	\N
3572533	1279	1998-10-31	PRIJEM	\N	61	15101	UROK	\N	\N
3572534	1279	1998-11-30	PRIJEM	\N	65	13985	UROK	\N	\N
3572535	1279	1998-12-31	PRIJEM	\N	63	15127	UROK	\N	\N
3572536	1280	1995-05-31	PRIJEM	\N	19	5740	UROK	\N	\N
3572537	1280	1995-06-30	PRIJEM	\N	24	10886	UROK	\N	\N
3572538	1280	1995-07-31	PRIJEM	\N	24	16032	UROK	\N	\N
3572539	1280	1995-08-31	PRIJEM	\N	24	21178	UROK	\N	\N
3572540	1280	1995-09-30	PRIJEM	\N	27	26327	UROK	\N	\N
3572541	1280	1995-10-31	PRIJEM	\N	110	25773	UROK	\N	\N
3572542	1280	1995-11-30	PRIJEM	\N	115	27005	UROK	\N	\N
3572543	1280	1995-12-31	PRIJEM	\N	118	26840	UROK	\N	\N
3572544	1280	1996-01-31	PRIJEM	\N	116	25122	UROK	\N	\N
3572545	1280	1996-02-29	PRIJEM	\N	112	25951	UROK	\N	\N
3572546	1280	1996-03-31	PRIJEM	\N	114	23681	UROK	\N	\N
3572547	1280	1996-04-30	PRIJEM	\N	100	21817	UROK	\N	\N
3572548	1280	1996-05-31	PRIJEM	\N	98	22532	UROK	\N	\N
3572549	1280	1996-06-30	PRIJEM	\N	81	16930	UROK	\N	\N
3572550	1280	1996-07-31	PRIJEM	\N	73	16099	UROK	\N	\N
3572551	1280	1996-08-31	PRIJEM	\N	75	18791	UROK	\N	\N
3572552	1280	1996-09-30	PRIJEM	\N	83	17970	UROK	\N	\N
3572553	1280	1996-10-31	PRIJEM	\N	83	20670	UROK	\N	\N
3572554	1280	1996-11-30	PRIJEM	\N	84	19690	UROK	\N	\N
3572555	1280	1996-12-31	PRIJEM	\N	90	22146	UROK	\N	\N
3572556	1280	1997-01-31	PRIJEM	\N	82	18424	UROK	\N	\N
3572557	1280	1997-02-28	PRIJEM	\N	85	21125	UROK	\N	\N
3572558	1280	1997-03-31	PRIJEM	\N	96	23277	UROK	\N	\N
3572559	1280	1997-04-30	PRIJEM	\N	103	24196	UROK	\N	\N
3572560	1280	1997-05-31	PRIJEM	\N	107	25800	UROK	\N	\N
3572561	1280	1997-06-30	PRIJEM	\N	116	28532	UROK	\N	\N
3572562	1280	1997-07-31	PRIJEM	\N	126	30774	UROK	\N	\N
3572563	1280	1997-08-31	PRIJEM	\N	132	30043	UROK	\N	\N
3572564	1280	1997-09-30	PRIJEM	\N	133	32692	UROK	\N	\N
3572565	1280	1997-10-31	PRIJEM	\N	133	32441	UROK	\N	\N
3572566	1280	1997-11-30	PRIJEM	\N	142	34000	UROK	\N	\N
3572567	1280	1997-12-31	PRIJEM	\N	149	36265	UROK	\N	\N
3572568	1280	1998-01-31	PRIJEM	\N	152	36484	UROK	\N	\N
3572569	1280	1998-02-28	PRIJEM	\N	155	38215	UROK	\N	\N
3572570	1280	1998-03-31	PRIJEM	\N	162	38433	UROK	\N	\N
3572571	1280	1998-04-30	PRIJEM	\N	168	41217	UROK	\N	\N
3572572	1280	1998-05-31	PRIJEM	\N	179	44013	UROK	\N	\N
3572573	1280	1998-06-30	PRIJEM	\N	185	42885	UROK	\N	\N
3572574	1280	1998-07-31	PRIJEM	\N	182	44723	UROK	\N	\N
3572575	1280	1998-08-31	PRIJEM	\N	184	45204	UROK	\N	\N
3572576	1280	1998-09-30	PRIJEM	\N	196	48016	UROK	\N	\N
3572577	1280	1998-10-31	PRIJEM	\N	207	50839	UROK	\N	\N
3572578	1280	1998-11-30	PRIJEM	\N	219	53675	UROK	\N	\N
3572579	1280	1998-12-31	PRIJEM	\N	227	55668	UROK	\N	\N
3572651	1284	1997-11-30	PRIJEM	\N	11	39224	UROK	\N	\N
3572652	1284	1997-12-31	PRIJEM	\N	279	55954	UROK	\N	\N
3572653	1284	1998-01-31	PRIJEM	\N	261	60199	UROK	\N	\N
3572654	1284	1998-02-28	PRIJEM	\N	242	45967	UROK	\N	\N
3572655	1284	1998-03-31	PRIJEM	\N	205	66420	UROK	\N	\N
3572656	1284	1998-04-30	PRIJEM	\N	228	80195	UROK	\N	\N
3572657	1284	1998-05-31	PRIJEM	\N	315	66888	UROK	\N	\N
3572658	1284	1998-06-30	PRIJEM	\N	247	35320	UROK	\N	\N
3572659	1284	1998-07-31	PRIJEM	\N	193	60015	UROK	\N	\N
3572660	1284	1998-08-31	PRIJEM	\N	237	47562	UROK	\N	\N
3572661	1284	1998-09-30	PRIJEM	\N	320	62558	UROK	\N	\N
3572662	1284	1998-10-31	PRIJEM	\N	271	47991	UROK	\N	\N
3572663	1284	1998-11-30	PRIJEM	\N	171	41050	UROK	\N	\N
3572664	1284	1998-12-31	PRIJEM	\N	153	30355	UROK	\N	\N
3572665	1285	1993-06-30	PRIJEM	\N	80	28938	UROK	\N	\N
3572666	1285	1993-07-31	PRIJEM	\N	172	47349	UROK	\N	\N
3572667	1285	1993-08-31	PRIJEM	\N	223	56711	UROK	\N	\N
3572668	1285	1993-09-30	PRIJEM	\N	239	58189	UROK	\N	\N
3572669	1285	1993-10-31	PRIJEM	\N	223	51739	UROK	\N	\N
3572670	1285	1993-11-30	PRIJEM	\N	208	48358	UROK	\N	\N
3572671	1285	1993-12-31	PRIJEM	\N	237	58625	UROK	\N	\N
3572672	1285	1994-01-31	PRIJEM	\N	200	34736	UROK	\N	\N
3572673	1285	1994-02-28	PRIJEM	\N	176	46724	UROK	\N	\N
3572674	1285	1994-03-31	PRIJEM	\N	224	50359	UROK	\N	\N
3572675	1285	1994-04-30	PRIJEM	\N	220	50790	UROK	\N	\N
3572676	1285	1994-05-31	PRIJEM	\N	187	38288	UROK	\N	\N
3572677	1285	1994-06-30	PRIJEM	\N	195	26313	UROK	\N	\N
3572678	1285	1994-07-31	PRIJEM	\N	157	31282	UROK	\N	\N
3572679	1285	1994-08-31	PRIJEM	\N	158	32551	UROK	\N	\N
3572680	1285	1994-09-30	PRIJEM	\N	162	33024	UROK	\N	\N
3572681	1285	1994-10-31	PRIJEM	\N	151	32987	UROK	\N	\N
3572682	1285	1994-11-30	PRIJEM	\N	162	34161	UROK	\N	\N
3572683	1285	1994-12-31	PRIJEM	\N	196	39887	UROK	\N	\N
3572684	1285	1995-01-31	PRIJEM	\N	165	29864	UROK	\N	\N
3572685	1285	1995-02-28	PRIJEM	\N	145	33020	UROK	\N	\N
3572686	1285	1995-03-31	PRIJEM	\N	178	36810	UROK	\N	\N
3572687	1285	1995-04-30	PRIJEM	\N	175	35596	UROK	\N	\N
3572688	1285	1995-05-31	PRIJEM	\N	183	35190	UROK	\N	\N
3572689	1285	1995-06-30	PRIJEM	\N	200	38120	UROK	\N	\N
3572690	1285	1995-07-31	PRIJEM	\N	181	36013	UROK	\N	\N
3572691	1285	1995-08-31	PRIJEM	\N	163	32087	UROK	\N	\N
3572692	1285	1995-09-30	PRIJEM	\N	149	30547	UROK	\N	\N
3572693	1285	1995-10-31	PRIJEM	\N	138	28897	UROK	\N	\N
3572694	1285	1995-11-30	PRIJEM	\N	130	28638	UROK	\N	\N
3572695	1285	1995-12-31	PRIJEM	\N	153	30521	UROK	\N	\N
3572696	1285	1996-01-31	PRIJEM	\N	118	24650	UROK	\N	\N
3572697	1285	1996-02-29	PRIJEM	\N	125	25686	UROK	\N	\N
3572698	1285	1996-03-31	PRIJEM	\N	119	25916	UROK	\N	\N
3572699	1285	1996-04-30	PRIJEM	\N	125	29553	UROK	\N	\N
3572700	1285	1996-05-31	PRIJEM	\N	137	31302	UROK	\N	\N
3572701	1285	1996-06-30	PRIJEM	\N	155	31687	UROK	\N	\N
3572702	1285	1996-07-31	PRIJEM	\N	147	31345	UROK	\N	\N
3572703	1285	1996-08-31	PRIJEM	\N	140	29196	UROK	\N	\N
3572704	1285	1996-09-30	PRIJEM	\N	129	27437	UROK	\N	\N
3572705	1285	1996-10-31	PRIJEM	\N	129	31878	UROK	\N	\N
3572706	1285	1996-11-30	PRIJEM	\N	135	31224	UROK	\N	\N
3572707	1285	1996-12-31	PRIJEM	\N	142	27896	UROK	\N	\N
3572708	1285	1997-01-31	PRIJEM	\N	100	18808	UROK	\N	\N
3572709	1285	1997-02-28	PRIJEM	\N	91	23610	UROK	\N	\N
3572710	1285	1997-03-31	PRIJEM	\N	112	28033	UROK	\N	\N
3572711	1285	1997-04-30	PRIJEM	\N	123	29767	UROK	\N	\N
3572712	1285	1997-05-31	PRIJEM	\N	138	34716	UROK	\N	\N
3572713	1285	1997-06-30	PRIJEM	\N	159	38306	UROK	\N	\N
3572714	1285	1997-07-31	PRIJEM	\N	149	33566	UROK	\N	\N
3572715	1285	1997-08-31	PRIJEM	\N	132	30909	UROK	\N	\N
3572716	1285	1997-09-30	PRIJEM	\N	114	26334	UROK	\N	\N
3572717	1285	1997-10-31	PRIJEM	\N	157	26903	UROK	\N	\N
3572718	1285	1997-11-30	PRIJEM	\N	123	30937	UROK	\N	\N
3572719	1285	1997-12-31	PRIJEM	\N	167	40534	UROK	\N	\N
3572720	1285	1998-01-31	PRIJEM	\N	150	35095	UROK	\N	\N
3572721	1285	1998-02-28	PRIJEM	\N	165	37072	UROK	\N	\N
3572722	1285	1998-03-31	PRIJEM	\N	145	35328	UROK	\N	\N
3572723	1285	1998-04-30	PRIJEM	\N	141	34881	UROK	\N	\N
3572724	1285	1998-05-31	PRIJEM	\N	136	34528	UROK	\N	\N
3572725	1285	1998-06-30	PRIJEM	\N	176	43034	UROK	\N	\N
3572726	1285	1998-07-31	PRIJEM	\N	163	39009	UROK	\N	\N
3572727	1285	1998-08-31	PRIJEM	\N	168	35888	UROK	\N	\N
3572728	1285	1998-09-30	PRIJEM	\N	166	37066	UROK	\N	\N
3572729	1285	1998-10-31	PRIJEM	\N	171	38048	UROK	\N	\N
3572730	1285	1998-11-30	PRIJEM	\N	161	34320	UROK	\N	\N
3572731	1285	1998-12-31	PRIJEM	\N	174	43725	UROK	\N	\N
3572732	1286	1993-11-30	PRIJEM	\N	4	27307	UROK	\N	\N
3572733	1286	1993-12-31	PRIJEM	\N	117	33258	UROK	\N	\N
3572734	1286	1994-01-31	PRIJEM	\N	188	73601	UROK	\N	\N
3572735	1286	1994-02-28	PRIJEM	\N	288	58939	UROK	\N	\N
3572736	1286	1994-03-31	PRIJEM	\N	245	40073	UROK	\N	\N
3572737	1286	1994-04-30	PRIJEM	\N	83	18579	UROK	\N	\N
3572738	1286	1994-05-31	PRIJEM	\N	79	62520	UROK	\N	\N
3572739	1286	1994-06-30	PRIJEM	\N	339	26299	UROK	\N	\N
3572740	1286	1994-07-31	PRIJEM	\N	257	60145	UROK	\N	\N
3572741	1286	1994-08-31	PRIJEM	\N	236	83692	UROK	\N	\N
3572742	1286	1994-09-30	PRIJEM	\N	287	42522	UROK	\N	\N
3572743	1286	1994-10-31	PRIJEM	\N	154	29776	UROK	\N	\N
3572744	1286	1994-11-30	PRIJEM	\N	205	91477	UROK	\N	\N
3572745	1286	1994-12-31	PRIJEM	\N	251	41984	UROK	\N	\N
3572746	1286	1995-01-31	PRIJEM	\N	172	49271	UROK	\N	\N
3572747	1286	1995-02-28	PRIJEM	\N	273	94890	UROK	\N	\N
3572748	1286	1995-03-31	PRIJEM	\N	417	102747	UROK	\N	\N
3572749	1286	1995-04-30	PRIJEM	\N	318	56950	UROK	\N	\N
3572750	1286	1995-05-31	PRIJEM	\N	223	42072	UROK	\N	\N
3572751	1286	1995-06-30	PRIJEM	\N	175	52511	UROK	\N	\N
3572752	1286	1995-07-31	PRIJEM	\N	280	42676	UROK	\N	\N
3572753	1286	1995-08-31	PRIJEM	\N	144	29811	UROK	\N	\N
3572754	1286	1995-09-30	PRIJEM	\N	219	65361	UROK	\N	\N
3572755	1286	1995-10-31	PRIJEM	\N	231	77852	UROK	\N	\N
3572756	1286	1995-11-30	PRIJEM	\N	266	52696	UROK	\N	\N
3572757	1286	1995-12-31	PRIJEM	\N	204	44146	UROK	\N	\N
3572758	1286	1996-01-31	PRIJEM	\N	171	91499	UROK	\N	\N
3572759	1286	1996-02-29	PRIJEM	\N	195	32075	UROK	\N	\N
3572760	1286	1996-03-31	PRIJEM	\N	178	62539	UROK	\N	\N
3572761	1286	1996-04-30	PRIJEM	\N	297	96226	UROK	\N	\N
3572762	1286	1996-05-31	PRIJEM	\N	304	53584	UROK	\N	\N
3572763	1286	1996-06-30	PRIJEM	\N	179	38463	UROK	\N	\N
3572764	1286	1996-07-31	PRIJEM	\N	170	60922	UROK	\N	\N
3572765	1286	1996-08-31	PRIJEM	\N	255	61718	UROK	\N	\N
3572766	1286	1996-09-30	PRIJEM	\N	308	83902	UROK	\N	\N
3572767	1286	1996-10-31	PRIJEM	\N	340	110888	UROK	\N	\N
3572768	1286	1996-11-30	PRIJEM	\N	475	84614	UROK	\N	\N
3572769	1286	1996-12-31	PRIJEM	\N	403	111721	UROK	\N	\N
3572770	1286	1997-01-31	PRIJEM	\N	218	26027	UROK	\N	\N
3572771	1286	1997-02-28	PRIJEM	\N	230	49930	UROK	\N	\N
3572772	1286	1997-03-31	PRIJEM	\N	230	57149	UROK	\N	\N
3572773	1286	1997-04-30	PRIJEM	\N	250	85740	UROK	\N	\N
3572774	1286	1997-05-31	PRIJEM	\N	336	80197	UROK	\N	\N
3572775	1286	1997-06-30	PRIJEM	\N	194	44235	UROK	\N	\N
3572776	1286	1997-07-31	PRIJEM	\N	124	27101	UROK	\N	\N
3572777	1286	1997-08-31	PRIJEM	\N	140	36841	UROK	\N	\N
3572778	1286	1997-09-30	PRIJEM	\N	194	79259	UROK	\N	\N
3572779	1286	1997-10-31	PRIJEM	\N	277	64736	UROK	\N	\N
3572780	1286	1997-11-30	PRIJEM	\N	314	44532	UROK	\N	\N
3572781	1286	1997-12-31	PRIJEM	\N	165	32590	UROK	\N	\N
3572782	1286	1998-01-31	PRIJEM	\N	110	64805	UROK	\N	\N
3572783	1286	1998-02-28	PRIJEM	\N	298	109053	UROK	\N	\N
3572784	1286	1998-03-31	PRIJEM	\N	248	73794	UROK	\N	\N
3572785	1286	1998-04-30	PRIJEM	\N	304	96272	UROK	\N	\N
3572786	1286	1998-05-31	PRIJEM	\N	369	101389	UROK	\N	\N
3572787	1286	1998-06-30	PRIJEM	\N	313	78196	UROK	\N	\N
3572788	1286	1998-07-31	PRIJEM	\N	347	88805	UROK	\N	\N
3572789	1286	1998-08-31	PRIJEM	\N	419	91991	UROK	\N	\N
3572790	1286	1998-09-30	PRIJEM	\N	378	90125	UROK	\N	\N
3572791	1286	1998-10-31	PRIJEM	\N	342	92706	UROK	\N	\N
3572792	1286	1998-11-30	PRIJEM	\N	290	59457	UROK	\N	\N
3572793	1286	1998-12-31	PRIJEM	\N	290	55535	UROK	\N	\N
3572794	1287	1995-03-31	PRIJEM	\N	73	21719	UROK	\N	\N
3572795	1287	1995-04-30	PRIJEM	\N	158	42022	UROK	\N	\N
3572796	1287	1995-05-31	PRIJEM	\N	222	56190	UROK	\N	\N
3572797	1287	1995-06-30	PRIJEM	\N	287	72346	UROK	\N	\N
3572798	1287	1995-07-31	PRIJEM	\N	266	60816	UROK	\N	\N
3572799	1287	1995-08-31	PRIJEM	\N	207	44724	UROK	\N	\N
3572800	1287	1995-09-30	PRIJEM	\N	179	39691	UROK	\N	\N
3572801	1287	1995-10-31	PRIJEM	\N	190	41545	UROK	\N	\N
3572802	1287	1995-11-30	PRIJEM	\N	212	41721	UROK	\N	\N
3572803	1287	1995-12-31	PRIJEM	\N	194	39429	UROK	\N	\N
3572804	1287	1996-01-31	PRIJEM	\N	137	25631	UROK	\N	\N
3572805	1287	1996-02-29	PRIJEM	\N	149	37544	UROK	\N	\N
3572806	1287	1996-03-31	PRIJEM	\N	193	38801	UROK	\N	\N
3572807	1287	1996-04-30	PRIJEM	\N	199	41764	UROK	\N	\N
3572808	1287	1996-05-31	PRIJEM	\N	172	32036	UROK	\N	\N
3572809	1287	1996-06-30	PRIJEM	\N	173	29979	UROK	\N	\N
3572810	1287	1996-07-31	PRIJEM	\N	161	34404	UROK	\N	\N
3572811	1287	1996-08-31	PRIJEM	\N	181	41950	UROK	\N	\N
3572812	1287	1996-09-30	PRIJEM	\N	198	43212	UROK	\N	\N
3572813	1287	1996-10-31	PRIJEM	\N	212	45589	UROK	\N	\N
3572814	1287	1996-11-30	PRIJEM	\N	187	41340	UROK	\N	\N
3572815	1287	1996-12-31	PRIJEM	\N	172	34899	UROK	\N	\N
3572816	1287	1997-01-31	PRIJEM	\N	120	24184	UROK	\N	\N
3572817	1287	1997-02-28	PRIJEM	\N	142	35990	UROK	\N	\N
3572818	1287	1997-03-31	PRIJEM	\N	175	29929	UROK	\N	\N
3572819	1287	1997-04-30	PRIJEM	\N	160	40031	UROK	\N	\N
3572820	1287	1997-05-31	PRIJEM	\N	208	51203	UROK	\N	\N
3572821	1287	1997-06-30	PRIJEM	\N	247	55896	UROK	\N	\N
3572822	1287	1997-07-31	PRIJEM	\N	253	53414	UROK	\N	\N
3572823	1287	1997-08-31	PRIJEM	\N	195	45090	UROK	\N	\N
3572824	1287	1997-09-30	PRIJEM	\N	204	32567	UROK	\N	\N
3572825	1287	1997-10-31	PRIJEM	\N	175	38006	UROK	\N	\N
3572826	1287	1997-11-30	PRIJEM	\N	200	51471	UROK	\N	\N
3572827	1287	1997-12-31	PRIJEM	\N	215	49928	UROK	\N	\N
3572828	1287	1998-01-31	PRIJEM	\N	179	23978	UROK	\N	\N
3572829	1287	1998-02-28	PRIJEM	\N	159	45401	UROK	\N	\N
3572830	1287	1998-03-31	PRIJEM	\N	235	59700	UROK	\N	\N
3572831	1287	1998-04-30	PRIJEM	\N	277	65241	UROK	\N	\N
3572832	1287	1998-05-31	PRIJEM	\N	300	70805	UROK	\N	\N
3572833	1287	1998-06-30	PRIJEM	\N	332	74624	UROK	\N	\N
3572834	1287	1998-07-31	PRIJEM	\N	273	60366	UROK	\N	\N
3572835	1287	1998-08-31	PRIJEM	\N	264	42533	UROK	\N	\N
3572836	1287	1998-09-30	PRIJEM	\N	229	59126	UROK	\N	\N
3572837	1287	1998-10-31	PRIJEM	\N	269	53659	UROK	\N	\N
3572838	1287	1998-11-30	PRIJEM	\N	210	41620	UROK	\N	\N
3572839	1287	1998-12-31	PRIJEM	\N	233	51541	UROK	\N	\N
3572840	1288	1994-03-31	PRIJEM	\N	16	24452	UROK	\N	\N
3572841	1288	1994-04-30	PRIJEM	\N	108	24872	UROK	\N	\N
3572842	1288	1994-05-31	PRIJEM	\N	110	25478	UROK	\N	\N
3572843	1288	1994-06-30	PRIJEM	\N	112	26886	UROK	\N	\N
3572844	1288	1994-07-31	PRIJEM	\N	121	24184	UROK	\N	\N
3572845	1288	1994-08-31	PRIJEM	\N	94	21854	UROK	\N	\N
3572846	1288	1994-09-30	PRIJEM	\N	99	24849	UROK	\N	\N
3572847	1288	1994-10-31	PRIJEM	\N	111	27657	UROK	\N	\N
3572848	1288	1994-11-30	PRIJEM	\N	115	24328	UROK	\N	\N
3572849	1288	1994-12-31	PRIJEM	\N	106	22171	UROK	\N	\N
3572850	1288	1995-01-31	PRIJEM	\N	87	14164	UROK	\N	\N
3572851	1288	1995-02-28	PRIJEM	\N	67	17327	UROK	\N	\N
3572852	1288	1995-03-31	PRIJEM	\N	77	15220	UROK	\N	\N
3572853	1288	1995-04-30	PRIJEM	\N	62	14499	UROK	\N	\N
3572854	1288	1995-05-31	PRIJEM	\N	65	15460	UROK	\N	\N
3572855	1288	1995-06-30	PRIJEM	\N	71	17828	UROK	\N	\N
3572856	1288	1995-07-31	PRIJEM	\N	79	18703	UROK	\N	\N
3572857	1288	1995-08-31	PRIJEM	\N	77	15696	UROK	\N	\N
3572858	1288	1995-09-30	PRIJEM	\N	68	15240	UROK	\N	\N
3572859	1288	1995-10-31	PRIJEM	\N	71	18108	UROK	\N	\N
3572860	1288	1995-11-30	PRIJEM	\N	81	20185	UROK	\N	\N
3572861	1288	1995-12-31	PRIJEM	\N	82	17263	UROK	\N	\N
3572862	1288	1996-01-31	PRIJEM	\N	64	13544	UROK	\N	\N
3572863	1288	1996-02-29	PRIJEM	\N	61	15301	UROK	\N	\N
3572864	1288	1996-03-31	PRIJEM	\N	62	13759	UROK	\N	\N
3572865	1288	1996-04-30	PRIJEM	\N	57	13513	UROK	\N	\N
3572866	1288	1996-05-31	PRIJEM	\N	58	13608	UROK	\N	\N
3572867	1288	1996-06-30	PRIJEM	\N	59	14363	UROK	\N	\N
3572868	1288	1996-07-31	PRIJEM	\N	56	12815	UROK	\N	\N
3572869	1288	1996-08-31	PRIJEM	\N	61	15973	UROK	\N	\N
3572870	1288	1996-09-30	PRIJEM	\N	80	18449	UROK	\N	\N
3572871	1288	1996-10-31	PRIJEM	\N	81	20326	UROK	\N	\N
3572872	1288	1996-11-30	PRIJEM	\N	80	18702	UROK	\N	\N
3572873	1288	1996-12-31	PRIJEM	\N	81	19129	UROK	\N	\N
3572874	1288	1997-01-31	PRIJEM	\N	62	13907	UROK	\N	\N
3572875	1288	1997-02-28	PRIJEM	\N	65	16168	UROK	\N	\N
3572876	1288	1997-03-31	PRIJEM	\N	52	10917	UROK	\N	\N
3572877	1288	1997-04-30	PRIJEM	\N	39	8752	UROK	\N	\N
3572878	1288	1997-05-31	PRIJEM	\N	44	11892	UROK	\N	\N
3572879	1288	1997-06-30	PRIJEM	\N	41	8929	UROK	\N	\N
3572880	1288	1997-07-31	PRIJEM	\N	44	12070	UROK	\N	\N
3572881	1288	1997-08-31	PRIJEM	\N	47	11013	UROK	\N	\N
3572882	1288	1997-09-30	PRIJEM	\N	53	14162	UROK	\N	\N
3572883	1288	1997-10-31	PRIJEM	\N	66	17325	UROK	\N	\N
3572884	1288	1997-11-30	PRIJEM	\N	73	17494	UROK	\N	\N
3572885	1288	1997-12-31	PRIJEM	\N	73	17313	UROK	\N	\N
3572886	1288	1998-01-31	PRIJEM	\N	61	14330	UROK	\N	\N
3572887	1288	1998-02-28	PRIJEM	\N	66	17492	UROK	\N	\N
3572888	1288	1998-03-31	PRIJEM	\N	69	16358	UROK	\N	\N
3572889	1288	1998-04-30	PRIJEM	\N	61	14276	UROK	\N	\N
3572890	1288	1998-05-31	PRIJEM	\N	65	16037	UROK	\N	\N
3572891	1288	1998-06-30	PRIJEM	\N	73	17866	UROK	\N	\N
3572892	1288	1998-07-31	PRIJEM	\N	81	21043	UROK	\N	\N
3572893	1288	1998-08-31	PRIJEM	\N	85	20224	UROK	\N	\N
3572894	1288	1998-09-30	PRIJEM	\N	75	17395	UROK	\N	\N
3572895	1288	1998-10-31	PRIJEM	\N	74	18566	UROK	\N	\N
3572896	1288	1998-11-30	PRIJEM	\N	84	21746	UROK	\N	\N
3572897	1288	1998-12-31	PRIJEM	\N	97	24339	UROK	\N	\N
3572898	1289	1996-07-31	PRIJEM	\N	58	23899	UROK	\N	\N
3572899	1289	1996-08-31	PRIJEM	\N	155	46894	UROK	\N	\N
3572900	1289	1996-09-30	PRIJEM	\N	234	63770	UROK	\N	\N
3572901	1289	1996-10-31	PRIJEM	\N	289	73699	UROK	\N	\N
3572902	1289	1996-11-30	PRIJEM	\N	314	76614	UROK	\N	\N
3572903	1289	1996-12-31	PRIJEM	\N	299	81880	UROK	\N	\N
3572904	1289	1997-01-31	PRIJEM	\N	213	43710	UROK	\N	\N
3572905	1289	1997-02-28	PRIJEM	\N	212	57998	UROK	\N	\N
3572906	1289	1997-03-31	PRIJEM	\N	261	66935	UROK	\N	\N
3572907	1289	1997-04-30	PRIJEM	\N	291	73202	UROK	\N	\N
3572908	1289	1997-05-31	PRIJEM	\N	311	76989	UROK	\N	\N
3572909	1289	1997-06-30	PRIJEM	\N	310	46306	UROK	\N	\N
3572910	1289	1997-07-31	PRIJEM	\N	241	66723	UROK	\N	\N
3572911	1289	1997-08-31	PRIJEM	\N	280	62319	UROK	\N	\N
3572912	1289	1997-09-30	PRIJEM	\N	277	74273	UROK	\N	\N
3572913	1289	1997-10-31	PRIJEM	\N	299	64848	UROK	\N	\N
3572914	1289	1997-11-30	PRIJEM	\N	305	67629	UROK	\N	\N
3572915	1289	1997-12-31	PRIJEM	\N	334	71769	UROK	\N	\N
3572916	1289	1998-01-31	PRIJEM	\N	285	56211	UROK	\N	\N
3572917	1289	1998-02-28	PRIJEM	\N	267	61654	UROK	\N	\N
3572918	1289	1998-03-31	PRIJEM	\N	291	65921	UROK	\N	\N
3572919	1289	1998-04-30	PRIJEM	\N	306	66503	UROK	\N	\N
3572920	1289	1998-05-31	PRIJEM	\N	310	73190	UROK	\N	\N
3572921	1289	1998-06-30	PRIJEM	\N	258	56295	UROK	\N	\N
3572922	1289	1998-07-31	PRIJEM	\N	269	67441	UROK	\N	\N
3572923	1289	1998-08-31	PRIJEM	\N	307	68424	UROK	\N	\N
3572924	1289	1998-09-30	PRIJEM	\N	305	65285	UROK	\N	\N
3572925	1289	1998-10-31	PRIJEM	\N	298	69460	UROK	\N	\N
3572926	1289	1998-11-30	PRIJEM	\N	304	60781	UROK	\N	\N
3572927	1289	1998-12-31	PRIJEM	\N	310	85938	UROK	\N	\N
3572998	1291	1994-07-31	PRIJEM	\N	18	5439	UROK	\N	\N
3572999	1291	1994-08-31	PRIJEM	\N	23	10283	UROK	\N	\N
3573000	1291	1994-09-30	PRIJEM	\N	23	15126	UROK	\N	\N
3573001	1291	1994-10-31	PRIJEM	\N	23	19970	UROK	\N	\N
3573002	1291	1994-11-30	PRIJEM	\N	81	24537	UROK	\N	\N
3573003	1291	1994-12-31	PRIJEM	\N	109	26134	UROK	\N	\N
3573004	1291	1995-01-31	PRIJEM	\N	86	12638	UROK	\N	\N
3573005	1291	1995-02-28	PRIJEM	\N	63	15840	UROK	\N	\N
3573006	1291	1995-03-31	PRIJEM	\N	69	15527	UROK	\N	\N
3573007	1291	1995-04-30	PRIJEM	\N	75	18741	UROK	\N	\N
3573008	1291	1995-05-31	PRIJEM	\N	87	21406	UROK	\N	\N
3573009	1291	1995-06-30	PRIJEM	\N	99	20243	UROK	\N	\N
3573010	1291	1995-07-31	PRIJEM	\N	95	23476	UROK	\N	\N
3573011	1291	1995-08-31	PRIJEM	\N	96	23511	UROK	\N	\N
3573012	1291	1995-09-30	PRIJEM	\N	108	26658	UROK	\N	\N
3573013	1291	1995-10-31	PRIJEM	\N	121	29618	UROK	\N	\N
3573014	1291	1995-11-30	PRIJEM	\N	125	26141	UROK	\N	\N
3573015	1291	1995-12-31	PRIJEM	\N	115	25844	UROK	\N	\N
3573016	1291	1996-01-31	PRIJEM	\N	101	17693	UROK	\N	\N
3573017	1291	1996-02-29	PRIJEM	\N	84	20916	UROK	\N	\N
3573018	1291	1996-03-31	PRIJEM	\N	94	23268	UROK	\N	\N
3573019	1291	1996-04-30	PRIJEM	\N	103	23110	UROK	\N	\N
3573020	1291	1996-05-31	PRIJEM	\N	105	24953	UROK	\N	\N
3573021	1291	1996-06-30	PRIJEM	\N	77	17169	UROK	\N	\N
3573022	1291	1996-07-31	PRIJEM	\N	82	20389	UROK	\N	\N
3573023	1291	1996-08-31	PRIJEM	\N	90	20177	UROK	\N	\N
3573024	1291	1996-09-30	PRIJEM	\N	94	23409	UROK	\N	\N
3573025	1291	1996-10-31	PRIJEM	\N	103	23751	UROK	\N	\N
3573026	1291	1996-11-30	PRIJEM	\N	104	23794	UROK	\N	\N
3573027	1291	1996-12-31	PRIJEM	\N	103	22735	UROK	\N	\N
3573028	1291	1997-01-31	PRIJEM	\N	80	14413	UROK	\N	\N
3573029	1291	1997-02-28	PRIJEM	\N	69	17221	UROK	\N	\N
3573030	1291	1997-03-31	PRIJEM	\N	65	13464	UROK	\N	\N
3573031	1291	1997-04-30	PRIJEM	\N	66	16669	UROK	\N	\N
3573032	1291	1997-05-31	PRIJEM	\N	79	19886	UROK	\N	\N
3573033	1291	1997-06-30	PRIJEM	\N	81	16706	UROK	\N	\N
3573034	1291	1997-07-31	PRIJEM	\N	72	16016	UROK	\N	\N
3573035	1291	1997-08-31	PRIJEM	\N	62	13436	UROK	\N	\N
3573036	1291	1997-09-30	PRIJEM	\N	59	13634	UROK	\N	\N
3573037	1291	1997-10-31	PRIJEM	\N	59	13331	UROK	\N	\N
3573038	1291	1997-11-30	PRIJEM	\N	60	14850	UROK	\N	\N
3573039	1291	1997-12-31	PRIJEM	\N	69	16858	UROK	\N	\N
3573040	1291	1998-01-31	PRIJEM	\N	63	14049	UROK	\N	\N
3573041	1291	1998-02-28	PRIJEM	\N	64	15651	UROK	\N	\N
3573042	1291	1998-03-31	PRIJEM	\N	70	16759	UROK	\N	\N
3573043	1291	1998-04-30	PRIJEM	\N	74	17872	UROK	\N	\N
3573044	1291	1998-05-31	PRIJEM	\N	72	16082	UROK	\N	\N
3573045	1291	1998-06-30	PRIJEM	\N	69	16389	UROK	\N	\N
3573046	1291	1998-07-31	PRIJEM	\N	74	18402	UROK	\N	\N
3573047	1291	1998-08-31	PRIJEM	\N	72	16412	UROK	\N	\N
3573048	1291	1998-09-30	PRIJEM	\N	77	19628	UROK	\N	\N
3573049	1291	1998-10-31	PRIJEM	\N	81	20047	UROK	\N	\N
3573050	1291	1998-11-30	PRIJEM	\N	88	21674	UROK	\N	\N
3573051	1291	1998-12-31	PRIJEM	\N	96	22888	UROK	\N	\N
3573052	1292	1994-09-30	PRIJEM	\N	31	13017	UROK	\N	\N
3573053	1292	1994-10-31	PRIJEM	\N	97	30900	UROK	\N	\N
3573054	1292	1994-11-30	PRIJEM	\N	146	38532	UROK	\N	\N
3573055	1292	1994-12-31	PRIJEM	\N	188	50249	UROK	\N	\N
3573056	1292	1995-01-31	PRIJEM	\N	189	37704	UROK	\N	\N
3573057	1292	1995-02-28	PRIJEM	\N	160	41804	UROK	\N	\N
3573058	1292	1995-03-31	PRIJEM	\N	156	40941	UROK	\N	\N
3573059	1292	1995-04-30	PRIJEM	\N	149	35191	UROK	\N	\N
3573060	1292	1995-05-31	PRIJEM	\N	154	41185	UROK	\N	\N
3573061	1292	1995-06-30	PRIJEM	\N	160	41089	UROK	\N	\N
3573062	1292	1995-07-31	PRIJEM	\N	167	38195	UROK	\N	\N
3573063	1292	1995-08-31	PRIJEM	\N	174	37710	UROK	\N	\N
3573064	1292	1995-09-30	PRIJEM	\N	171	37322	UROK	\N	\N
3573065	1292	1995-10-31	PRIJEM	\N	165	35447	UROK	\N	\N
3573066	1292	1995-11-30	PRIJEM	\N	164	40251	UROK	\N	\N
3573067	1292	1995-12-31	PRIJEM	\N	191	44205	UROK	\N	\N
3573068	1292	1996-01-31	PRIJEM	\N	174	36539	UROK	\N	\N
3573069	1292	1996-02-29	PRIJEM	\N	166	40846	UROK	\N	\N
3573070	1292	1996-03-31	PRIJEM	\N	183	42069	UROK	\N	\N
3573071	1292	1996-04-30	PRIJEM	\N	181	35610	UROK	\N	\N
3573072	1292	1996-05-31	PRIJEM	\N	165	42816	UROK	\N	\N
3573073	1292	1996-06-30	PRIJEM	\N	186	39765	UROK	\N	\N
3573074	1292	1996-07-31	PRIJEM	\N	178	42583	UROK	\N	\N
3573075	1292	1996-08-31	PRIJEM	\N	184	43287	UROK	\N	\N
3573076	1292	1996-09-30	PRIJEM	\N	191	46118	UROK	\N	\N
3573077	1292	1996-10-31	PRIJEM	\N	193	42971	UROK	\N	\N
3573078	1292	1996-11-30	PRIJEM	\N	176	38107	UROK	\N	\N
3573079	1292	1996-12-31	PRIJEM	\N	181	45892	UROK	\N	\N
3573080	1292	1997-01-31	PRIJEM	\N	183	39955	UROK	\N	\N
3573081	1292	1997-02-28	PRIJEM	\N	157	41392	UROK	\N	\N
3573082	1292	1997-03-31	PRIJEM	\N	181	44014	UROK	\N	\N
3573083	1292	1997-04-30	PRIJEM	\N	193	47747	UROK	\N	\N
3573084	1292	1997-05-31	PRIJEM	\N	201	47089	UROK	\N	\N
3573085	1292	1997-06-30	PRIJEM	\N	168	39900	UROK	\N	\N
3573086	1292	1997-07-31	PRIJEM	\N	176	44417	UROK	\N	\N
3573087	1292	1997-08-31	PRIJEM	\N	190	46487	UROK	\N	\N
3573088	1292	1997-09-30	PRIJEM	\N	198	49026	UROK	\N	\N
3573089	1292	1997-10-31	PRIJEM	\N	210	52616	UROK	\N	\N
3573090	1292	1997-11-30	PRIJEM	\N	224	55680	UROK	\N	\N
3573091	1292	1997-12-31	PRIJEM	\N	235	56879	UROK	\N	\N
3573092	1292	1998-01-31	PRIJEM	\N	235	47334	UROK	\N	\N
3573093	1292	1998-02-28	PRIJEM	\N	201	50715	UROK	\N	\N
3573094	1292	1998-03-31	PRIJEM	\N	223	57279	UROK	\N	\N
3573095	1292	1998-04-30	PRIJEM	\N	248	63167	UROK	\N	\N
3573096	1292	1998-05-31	PRIJEM	\N	261	63768	UROK	\N	\N
3573097	1292	1998-06-30	PRIJEM	\N	242	25033	UROK	\N	\N
3573098	1292	1998-07-31	PRIJEM	\N	122	45495	UROK	\N	\N
3573099	1292	1998-08-31	PRIJEM	\N	212	56647	UROK	\N	\N
3573100	1292	1998-09-30	PRIJEM	\N	244	61872	UROK	\N	\N
3573101	1292	1998-10-31	PRIJEM	\N	275	70307	UROK	\N	\N
3573102	1292	1998-11-30	PRIJEM	\N	289	70496	UROK	\N	\N
3573103	1292	1998-12-31	PRIJEM	\N	292	76971	UROK	\N	\N
3573104	1293	1996-09-30	PRIJEM	\N	56	23844	UROK	\N	\N
3573105	1293	1996-10-31	PRIJEM	\N	160	49192	UROK	\N	\N
3573106	1293	1996-11-30	PRIJEM	\N	233	61213	UROK	\N	\N
3573107	1293	1996-12-31	PRIJEM	\N	292	76987	UROK	\N	\N
3573108	1293	1997-01-31	PRIJEM	\N	309	67984	UROK	\N	\N
3573109	1293	1997-02-28	PRIJEM	\N	279	63953	UROK	\N	\N
3573110	1293	1997-03-31	PRIJEM	\N	247	63989	UROK	\N	\N
3573111	1293	1997-04-30	PRIJEM	\N	230	64109	UROK	\N	\N
3573112	1293	1997-05-31	PRIJEM	\N	244	64642	UROK	\N	\N
3573113	1293	1997-06-30	PRIJEM	\N	239	51364	UROK	\N	\N
3573114	1293	1997-07-31	PRIJEM	\N	233	45986	UROK	\N	\N
3573115	1293	1997-08-31	PRIJEM	\N	230	44605	UROK	\N	\N
3573116	1293	1997-09-30	PRIJEM	\N	223	43718	UROK	\N	\N
3573117	1293	1997-10-31	PRIJEM	\N	218	43925	UROK	\N	\N
3573118	1293	1997-11-30	PRIJEM	\N	199	37014	UROK	\N	\N
3573119	1293	1997-12-31	PRIJEM	\N	209	39106	UROK	\N	\N
3573120	1293	1998-01-31	PRIJEM	\N	163	28059	UROK	\N	\N
3573121	1293	1998-02-28	PRIJEM	\N	149	29897	UROK	\N	\N
3573122	1293	1998-03-31	PRIJEM	\N	158	29644	UROK	\N	\N
3573123	1293	1998-04-30	PRIJEM	\N	155	28888	UROK	\N	\N
3573124	1293	1998-05-31	PRIJEM	\N	149	26626	UROK	\N	\N
3573125	1293	1998-06-30	PRIJEM	\N	159	31168	UROK	\N	\N
3573126	1293	1998-07-31	PRIJEM	\N	152	27610	UROK	\N	\N
3573127	1293	1998-08-31	PRIJEM	\N	121	22820	UROK	\N	\N
3573128	1293	1998-09-30	PRIJEM	\N	113	19122	UROK	\N	\N
3573129	1293	1998-10-31	PRIJEM	\N	100	17411	UROK	\N	\N
3573130	1293	1998-11-30	PRIJEM	\N	95	19296	UROK	\N	\N
3573131	1293	1998-12-31	PRIJEM	\N	150	48629	UROK	\N	\N
3573132	1294	1994-12-31	PRIJEM	\N	16	23770	UROK	\N	\N
3573133	1294	1995-01-31	PRIJEM	\N	104	29510	UROK	\N	\N
3573134	1294	1995-02-28	PRIJEM	\N	124	32670	UROK	\N	\N
3573135	1294	1995-03-31	PRIJEM	\N	136	33542	UROK	\N	\N
3573136	1294	1995-04-30	PRIJEM	\N	141	35919	UROK	\N	\N
3573137	1294	1995-05-31	PRIJEM	\N	167	36526	UROK	\N	\N
3573138	1294	1995-06-30	PRIJEM	\N	173	29217	UROK	\N	\N
3573139	1294	1995-07-31	PRIJEM	\N	133	32610	UROK	\N	\N
3573140	1294	1995-08-31	PRIJEM	\N	149	32400	UROK	\N	\N
3573141	1294	1995-09-30	PRIJEM	\N	148	33288	UROK	\N	\N
3573142	1294	1995-10-31	PRIJEM	\N	150	32478	UROK	\N	\N
3573143	1294	1995-11-30	PRIJEM	\N	148	33766	UROK	\N	\N
3573144	1294	1995-12-31	PRIJEM	\N	138	31602	UROK	\N	\N
3573145	1294	1996-01-31	PRIJEM	\N	112	21735	UROK	\N	\N
3573146	1294	1996-02-29	PRIJEM	\N	102	24378	UROK	\N	\N
3573147	1294	1996-03-31	PRIJEM	\N	108	25146	UROK	\N	\N
3573148	1294	1996-04-30	PRIJEM	\N	111	22898	UROK	\N	\N
3573149	1294	1996-05-31	PRIJEM	\N	107	25545	UROK	\N	\N
3573150	1294	1996-06-30	PRIJEM	\N	119	29403	UROK	\N	\N
3573151	1294	1996-07-31	PRIJEM	\N	121	24865	UROK	\N	\N
3573152	1294	1996-08-31	PRIJEM	\N	110	26015	UROK	\N	\N
3573153	1294	1996-09-30	PRIJEM	\N	112	26568	UROK	\N	\N
3573154	1294	1996-10-31	PRIJEM	\N	107	23515	UROK	\N	\N
3573155	1294	1996-11-30	PRIJEM	\N	97	19153	UROK	\N	\N
3573156	1294	1996-12-31	PRIJEM	\N	84	21035	UROK	\N	\N
3573157	1294	1997-01-31	PRIJEM	\N	71	15887	UROK	\N	\N
3573158	1294	1997-02-28	PRIJEM	\N	64	15591	UROK	\N	\N
3573159	1294	1997-03-31	PRIJEM	\N	63	14094	UROK	\N	\N
3573160	1294	1997-04-30	PRIJEM	\N	83	25017	UROK	\N	\N
3573161	1294	1997-05-31	PRIJEM	\N	76	14894	UROK	\N	\N
3573162	1294	1997-06-30	PRIJEM	\N	61	14634	UROK	\N	\N
3573163	1294	1997-07-31	PRIJEM	\N	85	25559	UROK	\N	\N
3573164	1294	1997-08-31	PRIJEM	\N	131	36531	UROK	\N	\N
3573165	1294	1997-09-30	PRIJEM	\N	132	29003	UROK	\N	\N
3573166	1294	1997-10-31	PRIJEM	\N	145	39989	UROK	\N	\N
3573167	1294	1997-11-30	PRIJEM	\N	116	25205	UROK	\N	\N
3573168	1294	1997-12-31	PRIJEM	\N	139	41162	UROK	\N	\N
3573169	1294	1998-01-31	PRIJEM	\N	129	26932	UROK	\N	\N
3573170	1294	1998-02-28	PRIJEM	\N	134	37906	UROK	\N	\N
3573171	1294	1998-03-31	PRIJEM	\N	182	48928	UROK	\N	\N
3573172	1294	1998-04-30	PRIJEM	\N	139	27647	UROK	\N	\N
3573173	1294	1998-05-31	PRIJEM	\N	139	38627	UROK	\N	\N
3573174	1294	1998-06-30	PRIJEM	\N	149	40834	UROK	\N	\N
3573175	1294	1998-07-31	PRIJEM	\N	191	49345	UROK	\N	\N
3573176	1294	1998-08-31	PRIJEM	\N	229	60414	UROK	\N	\N
3573177	1294	1998-09-30	PRIJEM	\N	135	29689	UROK	\N	\N
3573178	1294	1998-10-31	PRIJEM	\N	147	40677	UROK	\N	\N
3573179	1294	1998-11-30	PRIJEM	\N	192	51709	UROK	\N	\N
3573180	1294	1998-12-31	PRIJEM	\N	232	60080	UROK	\N	\N
3573181	1295	1994-11-30	PRIJEM	\N	9	16791	UROK	\N	\N
3573182	1295	1994-12-31	PRIJEM	\N	76	25740	UROK	\N	\N
3573183	1295	1995-01-31	PRIJEM	\N	107	26129	UROK	\N	\N
3573184	1295	1995-02-28	PRIJEM	\N	108	25920	UROK	\N	\N
3573185	1295	1995-03-31	PRIJEM	\N	110	28911	UROK	\N	\N
3573186	1295	1995-04-30	PRIJEM	\N	127	31224	UROK	\N	\N
3573187	1295	1995-05-31	PRIJEM	\N	134	30243	UROK	\N	\N
3573188	1295	1995-06-30	PRIJEM	\N	123	29143	UROK	\N	\N
3573189	1295	1995-07-31	PRIJEM	\N	123	24551	UROK	\N	\N
3573190	1295	1995-08-31	PRIJEM	\N	103	21740	UROK	\N	\N
3573191	1295	1995-09-30	PRIJEM	\N	96	23422	UROK	\N	\N
3573192	1295	1995-10-31	PRIJEM	\N	96	21803	UROK	\N	\N
3573193	1295	1995-11-30	PRIJEM	\N	92	20181	UROK	\N	\N
3573194	1295	1995-12-31	PRIJEM	\N	91	19649	UROK	\N	\N
3573195	1295	1996-01-31	PRIJEM	\N	74	15708	UROK	\N	\N
3573196	1295	1996-02-29	PRIJEM	\N	70	16463	UROK	\N	\N
3573197	1295	1996-03-31	PRIJEM	\N	75	18924	UROK	\N	\N
3573198	1295	1996-04-30	PRIJEM	\N	79	16888	UROK	\N	\N
3573199	1295	1996-05-31	PRIJEM	\N	80	20953	UROK	\N	\N
3573200	1295	1996-06-30	PRIJEM	\N	100	25229	UROK	\N	\N
3573201	1295	1996-07-31	PRIJEM	\N	101	21716	UROK	\N	\N
3573202	1295	1996-08-31	PRIJEM	\N	93	21894	UROK	\N	\N
3573203	1295	1996-09-30	PRIJEM	\N	91	20971	UROK	\N	\N
3573204	1295	1996-10-31	PRIJEM	\N	87	19943	UROK	\N	\N
3573205	1295	1996-11-30	PRIJEM	\N	88	21716	UROK	\N	\N
3573206	1295	1996-12-31	PRIJEM	\N	95	22187	UROK	\N	\N
3573207	1295	1997-01-31	PRIJEM	\N	81	17154	UROK	\N	\N
3573208	1295	1997-02-28	PRIJEM	\N	71	16811	UROK	\N	\N
3573209	1295	1997-03-31	PRIJEM	\N	67	13463	UROK	\N	\N
3573210	1295	1997-04-30	PRIJEM	\N	58	13907	UROK	\N	\N
3573211	1295	1997-05-31	PRIJEM	\N	56	12548	UROK	\N	\N
3573212	1295	1997-06-30	PRIJEM	\N	69	18993	UROK	\N	\N
3573213	1295	1997-07-31	PRIJEM	\N	78	18557	UROK	\N	\N
3573214	1295	1997-08-31	PRIJEM	\N	72	16514	UROK	\N	\N
3573215	1295	1997-09-30	PRIJEM	\N	70	17070	UROK	\N	\N
3573216	1295	1997-10-31	PRIJEM	\N	62	13417	UROK	\N	\N
3573217	1295	1997-11-30	PRIJEM	\N	59	14962	UROK	\N	\N
3573218	1295	1997-12-31	PRIJEM	\N	68	17206	UROK	\N	\N
3573219	1295	1998-01-31	PRIJEM	\N	56	12747	UROK	\N	\N
3573220	1295	1998-02-28	PRIJEM	\N	59	15091	UROK	\N	\N
3573221	1295	1998-03-31	PRIJEM	\N	68	15845	UROK	\N	\N
3573222	1295	1998-04-30	PRIJEM	\N	72	18202	UROK	\N	\N
3573223	1295	1998-05-31	PRIJEM	\N	54	12042	UROK	\N	\N
3573224	1295	1998-06-30	PRIJEM	\N	64	17182	UROK	\N	\N
3573225	1295	1998-07-31	PRIJEM	\N	77	19744	UROK	\N	\N
3573226	1295	1998-08-31	PRIJEM	\N	72	15801	UROK	\N	\N
3573227	1295	1998-09-30	PRIJEM	\N	74	19361	UROK	\N	\N
3573228	1295	1998-10-31	PRIJEM	\N	71	17317	UROK	\N	\N
3573229	1295	1998-11-30	PRIJEM	\N	76	19478	UROK	\N	\N
3573230	1295	1998-12-31	PRIJEM	\N	77	17831	UROK	\N	\N
3573231	1296	1996-12-31	PRIJEM	\N	14	5834	UROK	\N	\N
3573232	1296	1997-01-31	PRIJEM	\N	24	10878	UROK	\N	\N
3573233	1296	1997-02-28	PRIJEM	\N	24	15923	UROK	\N	\N
3573234	1296	1997-03-31	PRIJEM	\N	60	20703	UROK	\N	\N
3573235	1296	1997-04-30	PRIJEM	\N	86	20508	UROK	\N	\N
3573236	1296	1997-05-31	PRIJEM	\N	74	19281	UROK	\N	\N
3573237	1296	1997-06-30	PRIJEM	\N	68	17947	UROK	\N	\N
3573238	1296	1997-07-31	PRIJEM	\N	74	15520	UROK	\N	\N
3573239	1296	1997-08-31	PRIJEM	\N	71	13589	UROK	\N	\N
3573240	1296	1997-09-30	PRIJEM	\N	62	10649	UROK	\N	\N
3573241	1296	1997-10-31	PRIJEM	\N	53	14100	UROK	\N	\N
3573242	1296	1997-11-30	PRIJEM	\N	63	15242	UROK	\N	\N
3573243	1296	1997-12-31	PRIJEM	\N	67	12638	UROK	\N	\N
3573244	1296	1998-01-31	PRIJEM	\N	57	13532	UROK	\N	\N
3573245	1296	1998-02-28	PRIJEM	\N	62	14673	UROK	\N	\N
3573246	1296	1998-03-31	PRIJEM	\N	69	18140	UROK	\N	\N
3573247	1296	1998-04-30	PRIJEM	\N	78	20416	UROK	\N	\N
3573248	1296	1998-05-31	PRIJEM	\N	93	23908	UROK	\N	\N
3573249	1296	1998-06-30	PRIJEM	\N	82	18677	UROK	\N	\N
3573250	1296	1998-07-31	PRIJEM	\N	86	22162	UROK	\N	\N
3573251	1296	1998-08-31	PRIJEM	\N	100	25660	UROK	\N	\N
3573252	1296	1998-09-30	PRIJEM	\N	115	29174	UROK	\N	\N
3573253	1296	1998-10-31	PRIJEM	\N	128	29659	UROK	\N	\N
3573254	1296	1998-11-30	PRIJEM	\N	131	33189	UROK	\N	\N
3573255	1296	1998-12-31	PRIJEM	\N	141	35059	UROK	\N	\N
3573256	1297	1993-08-31	PRIJEM	\N	19	23330	UROK	\N	\N
3573257	1297	1993-09-30	PRIJEM	\N	106	33446	UROK	\N	\N
3573258	1297	1993-10-31	PRIJEM	\N	144	38601	UROK	\N	\N
3573259	1297	1993-11-30	PRIJEM	\N	165	43677	UROK	\N	\N
3573260	1297	1993-12-31	PRIJEM	\N	246	47660	UROK	\N	\N
3573261	1297	1994-01-31	PRIJEM	\N	170	29978	UROK	\N	\N
3573262	1297	1994-02-28	PRIJEM	\N	168	37153	UROK	\N	\N
3573263	1297	1994-03-31	PRIJEM	\N	190	38651	UROK	\N	\N
3573264	1297	1994-04-30	PRIJEM	\N	199	41257	UROK	\N	\N
3573265	1297	1994-05-31	PRIJEM	\N	205	40370	UROK	\N	\N
3573266	1297	1994-06-30	PRIJEM	\N	220	23592	UROK	\N	\N
3573267	1297	1994-07-31	PRIJEM	\N	143	33242	UROK	\N	\N
3573268	1297	1994-08-31	PRIJEM	\N	173	36923	UROK	\N	\N
3573269	1297	1994-09-30	PRIJEM	\N	189	40920	UROK	\N	\N
3573270	1297	1994-10-31	PRIJEM	\N	191	38098	UROK	\N	\N
3573271	1297	1994-11-30	PRIJEM	\N	190	39275	UROK	\N	\N
3573272	1297	1994-12-31	PRIJEM	\N	218	45256	UROK	\N	\N
3573273	1297	1995-01-31	PRIJEM	\N	153	31776	UROK	\N	\N
3573274	1297	1995-02-28	PRIJEM	\N	173	40657	UROK	\N	\N
3573275	1297	1995-03-31	PRIJEM	\N	202	44766	UROK	\N	\N
3573276	1297	1995-04-30	PRIJEM	\N	203	44736	UROK	\N	\N
3573277	1297	1995-05-31	PRIJEM	\N	210	44173	UROK	\N	\N
3573278	1297	1995-06-30	PRIJEM	\N	210	44966	UROK	\N	\N
3573279	1297	1995-07-31	PRIJEM	\N	208	44581	UROK	\N	\N
3573280	1297	1995-08-31	PRIJEM	\N	206	44794	UROK	\N	\N
3573281	1297	1995-09-30	PRIJEM	\N	202	44603	UROK	\N	\N
3573282	1297	1995-10-31	PRIJEM	\N	204	45315	UROK	\N	\N
3573283	1297	1995-11-30	PRIJEM	\N	200	45023	UROK	\N	\N
3573284	1297	1995-12-31	PRIJEM	\N	216	44502	UROK	\N	\N
3573285	1297	1996-01-31	PRIJEM	\N	172	26341	UROK	\N	\N
3573286	1297	1996-02-29	PRIJEM	\N	143	34191	UROK	\N	\N
3573287	1297	1996-03-31	PRIJEM	\N	161	36079	UROK	\N	\N
3573288	1297	1996-04-30	PRIJEM	\N	176	41363	UROK	\N	\N
3573289	1297	1996-05-31	PRIJEM	\N	193	44763	UROK	\N	\N
3573290	1297	1996-06-30	PRIJEM	\N	221	51547	UROK	\N	\N
3573291	1297	1996-07-31	PRIJEM	\N	211	47165	UROK	\N	\N
3573292	1297	1996-08-31	PRIJEM	\N	194	43926	UROK	\N	\N
3573293	1297	1996-09-30	PRIJEM	\N	179	41492	UROK	\N	\N
3573294	1297	1996-10-31	PRIJEM	\N	187	44586	UROK	\N	\N
3573295	1297	1996-11-30	PRIJEM	\N	193	46086	UROK	\N	\N
3573296	1297	1996-12-31	PRIJEM	\N	217	46846	UROK	\N	\N
3573297	1297	1997-01-31	PRIJEM	\N	158	27972	UROK	\N	\N
3573298	1297	1997-02-28	PRIJEM	\N	137	28056	UROK	\N	\N
3573299	1297	1997-03-31	PRIJEM	\N	164	36227	UROK	\N	\N
3573300	1297	1997-04-30	PRIJEM	\N	155	37690	UROK	\N	\N
3573301	1297	1997-05-31	PRIJEM	\N	161	38099	UROK	\N	\N
3573302	1297	1997-06-30	PRIJEM	\N	195	47856	UROK	\N	\N
3573303	1297	1997-07-31	PRIJEM	\N	195	45959	UROK	\N	\N
3573304	1297	1997-08-31	PRIJEM	\N	213	52879	UROK	\N	\N
3573305	1297	1997-09-30	PRIJEM	\N	233	53379	UROK	\N	\N
3573306	1297	1997-10-31	PRIJEM	\N	241	59628	UROK	\N	\N
3573307	1297	1997-11-30	PRIJEM	\N	268	66003	UROK	\N	\N
3573308	1297	1997-12-31	PRIJEM	\N	303	74888	UROK	\N	\N
3573309	1297	1998-01-31	PRIJEM	\N	266	52022	UROK	\N	\N
3573310	1297	1998-02-28	PRIJEM	\N	267	67797	UROK	\N	\N
3573311	1297	1998-03-31	PRIJEM	\N	303	73427	UROK	\N	\N
3573312	1297	1998-04-30	PRIJEM	\N	312	75526	UROK	\N	\N
3573313	1297	1998-05-31	PRIJEM	\N	329	77723	UROK	\N	\N
3573314	1297	1998-06-30	PRIJEM	\N	346	62172	UROK	\N	\N
3573315	1297	1998-07-31	PRIJEM	\N	300	75779	UROK	\N	\N
3573316	1297	1998-08-31	PRIJEM	\N	321	66908	UROK	\N	\N
3573317	1297	1998-09-30	PRIJEM	\N	321	69537	UROK	\N	\N
3573318	1297	1998-10-31	PRIJEM	\N	320	72784	UROK	\N	\N
3573319	1297	1998-11-30	PRIJEM	\N	346	80438	UROK	\N	\N
3573320	1297	1998-12-31	PRIJEM	\N	413	104133	UROK	\N	\N
3573321	1298	1996-02-29	PRIJEM	\N	33	21179	UROK	\N	\N
3573322	1298	1996-03-31	PRIJEM	\N	99	28225	UROK	\N	\N
3573323	1298	1996-04-30	PRIJEM	\N	129	35400	UROK	\N	\N
3573324	1298	1996-05-31	PRIJEM	\N	150	37296	UROK	\N	\N
3573325	1298	1996-06-30	PRIJEM	\N	160	39925	UROK	\N	\N
3573326	1298	1996-07-31	PRIJEM	\N	156	32290	UROK	\N	\N
3573327	1298	1996-08-31	PRIJEM	\N	135	30834	UROK	\N	\N
3573328	1298	1996-09-30	PRIJEM	\N	121	26365	UROK	\N	\N
3573329	1298	1996-10-31	PRIJEM	\N	117	28791	UROK	\N	\N
3573330	1298	1996-11-30	PRIJEM	\N	114	26215	UROK	\N	\N
3573331	1298	1996-12-31	PRIJEM	\N	118	30566	UROK	\N	\N
3573332	1298	1997-01-31	PRIJEM	\N	107	23882	UROK	\N	\N
3573333	1298	1997-02-28	PRIJEM	\N	107	26998	UROK	\N	\N
3573334	1298	1997-03-31	PRIJEM	\N	109	24916	UROK	\N	\N
3573335	1298	1997-04-30	PRIJEM	\N	101	21627	UROK	\N	\N
3573336	1298	1997-05-31	PRIJEM	\N	97	24434	UROK	\N	\N
3573337	1298	1997-06-30	PRIJEM	\N	110	26776	UROK	\N	\N
3573338	1298	1997-07-31	PRIJEM	\N	119	26704	UROK	\N	\N
3573339	1298	1997-08-31	PRIJEM	\N	125	29439	UROK	\N	\N
3573340	1298	1997-09-30	PRIJEM	\N	126	31573	UROK	\N	\N
3573341	1298	1997-10-31	PRIJEM	\N	142	36625	UROK	\N	\N
3573342	1298	1997-11-30	PRIJEM	\N	162	41596	UROK	\N	\N
3573343	1298	1997-12-31	PRIJEM	\N	175	43603	UROK	\N	\N
3573344	1298	1998-01-31	PRIJEM	\N	129	28442	UROK	\N	\N
3573345	1298	1998-02-28	PRIJEM	\N	112	28864	UROK	\N	\N
3573346	1298	1998-03-31	PRIJEM	\N	122	31595	UROK	\N	\N
3573347	1298	1998-04-30	PRIJEM	\N	121	29925	UROK	\N	\N
3573348	1298	1998-05-31	PRIJEM	\N	125	31959	UROK	\N	\N
3573349	1298	1998-06-30	PRIJEM	\N	122	16713	UROK	\N	\N
3573350	1298	1998-07-31	PRIJEM	\N	88	24911	UROK	\N	\N
3573351	1298	1998-08-31	PRIJEM	\N	108	28528	UROK	\N	\N
3573352	1298	1998-09-30	PRIJEM	\N	128	33966	UROK	\N	\N
3573353	1298	1998-10-31	PRIJEM	\N	140	34915	UROK	\N	\N
3573354	1298	1998-11-30	PRIJEM	\N	154	40179	UROK	\N	\N
3573355	1298	1998-12-31	PRIJEM	\N	165	40976	UROK	\N	\N
3573356	1299	1993-07-31	PRIJEM	\N	19	12532	UROK	\N	\N
3573357	1299	1993-08-31	PRIJEM	\N	67	22012	UROK	\N	\N
3573358	1299	1993-09-30	PRIJEM	\N	94	23419	UROK	\N	\N
3573359	1299	1993-10-31	PRIJEM	\N	101	25432	UROK	\N	\N
3573360	1299	1993-11-30	PRIJEM	\N	108	25835	UROK	\N	\N
3573361	1299	1993-12-31	PRIJEM	\N	109	23455	UROK	\N	\N
3573362	1299	1994-01-31	PRIJEM	\N	99	23645	UROK	\N	\N
3573363	1299	1994-02-28	PRIJEM	\N	107	27242	UROK	\N	\N
3573364	1299	1994-03-31	PRIJEM	\N	118	26760	UROK	\N	\N
3573365	1299	1994-04-30	PRIJEM	\N	112	26062	UROK	\N	\N
3573366	1299	1994-05-31	PRIJEM	\N	108	25161	UROK	\N	\N
3573367	1299	1994-06-30	PRIJEM	\N	102	23523	UROK	\N	\N
3573368	1299	1994-07-31	PRIJEM	\N	106	26719	UROK	\N	\N
3573369	1299	1994-08-31	PRIJEM	\N	115	27025	UROK	\N	\N
3573370	1299	1994-09-30	PRIJEM	\N	114	27470	UROK	\N	\N
3573371	1299	1994-10-31	PRIJEM	\N	113	25773	UROK	\N	\N
3573372	1299	1994-11-30	PRIJEM	\N	111	26794	UROK	\N	\N
3573373	1299	1994-12-31	PRIJEM	\N	105	23909	UROK	\N	\N
3573374	1299	1995-01-31	PRIJEM	\N	101	22700	UROK	\N	\N
3573375	1299	1995-02-28	PRIJEM	\N	92	21483	UROK	\N	\N
3573376	1299	1995-03-31	PRIJEM	\N	90	20663	UROK	\N	\N
3573377	1299	1995-04-30	PRIJEM	\N	91	22444	UROK	\N	\N
3573378	1299	1995-05-31	PRIJEM	\N	88	19822	UROK	\N	\N
3573379	1299	1995-06-30	PRIJEM	\N	83	20096	UROK	\N	\N
3573380	1299	1995-07-31	PRIJEM	\N	77	18124	UROK	\N	\N
3573381	1299	1995-08-31	PRIJEM	\N	81	19895	UROK	\N	\N
3573382	1299	1995-09-30	PRIJEM	\N	88	21263	UROK	\N	\N
3573383	1299	1995-10-31	PRIJEM	\N	88	21041	UROK	\N	\N
3573384	1299	1995-11-30	PRIJEM	\N	87	21119	UROK	\N	\N
3573385	1299	1995-12-31	PRIJEM	\N	74	16833	UROK	\N	\N
3573386	1299	1996-01-31	PRIJEM	\N	66	14679	UROK	\N	\N
3573387	1299	1996-02-29	PRIJEM	\N	72	16042	UROK	\N	\N
3573388	1299	1996-03-31	PRIJEM	\N	65	13597	UROK	\N	\N
3573389	1299	1996-04-30	PRIJEM	\N	60	14947	UROK	\N	\N
3573390	1299	1996-05-31	PRIJEM	\N	64	15432	UROK	\N	\N
3573391	1299	1996-06-30	PRIJEM	\N	59	13681	UROK	\N	\N
3573392	1299	1996-07-31	PRIJEM	\N	60	14342	UROK	\N	\N
3573393	1299	1996-08-31	PRIJEM	\N	62	15214	UROK	\N	\N
3573394	1299	1996-09-30	PRIJEM	\N	67	16571	UROK	\N	\N
3573395	1299	1996-10-31	PRIJEM	\N	80	17942	UROK	\N	\N
3573396	1299	1996-11-30	PRIJEM	\N	68	13901	UROK	\N	\N
3573397	1299	1996-12-31	PRIJEM	\N	60	14831	UROK	\N	\N
3573398	1299	1997-01-31	PRIJEM	\N	65	16186	UROK	\N	\N
3573399	1299	1997-02-28	PRIJEM	\N	70	17546	UROK	\N	\N
3573400	1299	1997-03-31	PRIJEM	\N	76	18913	UROK	\N	\N
3573401	1299	1997-04-30	PRIJEM	\N	81	20284	UROK	\N	\N
3573402	1299	1997-05-31	PRIJEM	\N	94	21669	UROK	\N	\N
3573403	1299	1997-06-30	PRIJEM	\N	87	18126	UROK	\N	\N
3573404	1299	1997-07-31	PRIJEM	\N	78	19495	UROK	\N	\N
3573405	1299	1997-08-31	PRIJEM	\N	80	19846	UROK	\N	\N
3573406	1299	1997-09-30	PRIJEM	\N	91	21016	UROK	\N	\N
3573407	1299	1997-10-31	PRIJEM	\N	84	19181	UROK	\N	\N
3573408	1299	1997-11-30	PRIJEM	\N	85	19356	UROK	\N	\N
3573409	1299	1997-12-31	PRIJEM	\N	85	20491	UROK	\N	\N
3573410	1299	1998-01-31	PRIJEM	\N	95	20857	UROK	\N	\N
3573411	1299	1998-02-28	PRIJEM	\N	90	22237	UROK	\N	\N
3573412	1299	1998-03-31	PRIJEM	\N	95	23622	UROK	\N	\N
3573413	1299	1998-04-30	PRIJEM	\N	101	25013	UROK	\N	\N
3573414	1299	1998-05-31	PRIJEM	\N	107	25001	UROK	\N	\N
3573415	1299	1998-06-30	PRIJEM	\N	84	19205	UROK	\N	\N
3573416	1299	1998-07-31	PRIJEM	\N	90	20585	UROK	\N	\N
3573417	1299	1998-08-31	PRIJEM	\N	95	21971	UROK	\N	\N
3573418	1299	1998-09-30	PRIJEM	\N	93	23354	UROK	\N	\N
3573419	1299	1998-10-31	PRIJEM	\N	106	24750	UROK	\N	\N
3573420	1299	1998-11-30	PRIJEM	\N	103	25484	UROK	\N	\N
3573421	1299	1998-12-31	PRIJEM	\N	104	25438	UROK	\N	\N
3573441	1302	1994-04-30	PRIJEM	\N	44	28494	UROK	\N	\N
3573442	1302	1994-05-31	PRIJEM	\N	121	28866	UROK	\N	\N
3573443	1302	1994-06-30	PRIJEM	\N	102	13669	UROK	\N	\N
3573444	1302	1994-07-31	PRIJEM	\N	63	15883	UROK	\N	\N
3573445	1302	1994-08-31	PRIJEM	\N	72	18107	UROK	\N	\N
3573446	1302	1994-09-30	PRIJEM	\N	75	17533	UROK	\N	\N
3573447	1302	1994-10-31	PRIJEM	\N	79	19764	UROK	\N	\N
3573448	1302	1994-11-30	PRIJEM	\N	80	18315	UROK	\N	\N
3573449	1302	1994-12-31	PRIJEM	\N	80	19446	UROK	\N	\N
3573450	1302	1995-01-31	PRIJEM	\N	60	12698	UROK	\N	\N
3573451	1302	1995-02-28	PRIJEM	\N	55	13304	UROK	\N	\N
3573452	1302	1995-03-31	PRIJEM	\N	61	15517	UROK	\N	\N
3573453	1302	1995-04-30	PRIJEM	\N	70	17738	UROK	\N	\N
3573454	1302	1995-05-31	PRIJEM	\N	80	19969	UROK	\N	\N
3573455	1302	1995-06-30	PRIJEM	\N	89	22209	UROK	\N	\N
3573456	1302	1995-07-31	PRIJEM	\N	98	24459	UROK	\N	\N
3573457	1302	1995-08-31	PRIJEM	\N	108	26718	UROK	\N	\N
3573458	1302	1995-09-30	PRIJEM	\N	113	24923	UROK	\N	\N
3573459	1302	1995-10-31	PRIJEM	\N	107	25861	UROK	\N	\N
3573460	1302	1995-11-30	PRIJEM	\N	110	27162	UROK	\N	\N
3573461	1302	1995-12-31	PRIJEM	\N	115	28079	UROK	\N	\N
3573462	1302	1996-01-31	PRIJEM	\N	74	14714	UROK	\N	\N
3573463	1302	1996-02-29	PRIJEM	\N	67	16932	UROK	\N	\N
3573464	1302	1996-03-31	PRIJEM	\N	76	19159	UROK	\N	\N
3573465	1302	1996-04-30	PRIJEM	\N	83	20914	UROK	\N	\N
3573466	1302	1996-05-31	PRIJEM	\N	93	23158	UROK	\N	\N
3573467	1302	1996-06-30	PRIJEM	\N	97	23106	UROK	\N	\N
3573468	1302	1996-07-31	PRIJEM	\N	102	25359	UROK	\N	\N
3573469	1302	1996-08-31	PRIJEM	\N	105	25456	UROK	\N	\N
3573470	1302	1996-09-30	PRIJEM	\N	105	24432	UROK	\N	\N
3573471	1302	1996-10-31	PRIJEM	\N	100	24363	UROK	\N	\N
3573472	1302	1996-11-30	PRIJEM	\N	107	26621	UROK	\N	\N
3573473	1302	1996-12-31	PRIJEM	\N	115	28587	UROK	\N	\N
3573474	1302	1997-01-31	PRIJEM	\N	102	16950	UROK	\N	\N
3573475	1302	1997-02-28	PRIJEM	\N	75	19177	UROK	\N	\N
3573476	1302	1997-03-31	PRIJEM	\N	82	18610	UROK	\N	\N
3573477	1302	1997-04-30	PRIJEM	\N	82	20363	UROK	\N	\N
3573478	1302	1997-05-31	PRIJEM	\N	90	22604	UROK	\N	\N
3573479	1302	1997-06-30	PRIJEM	\N	97	22533	UROK	\N	\N
3573480	1302	1997-07-31	PRIJEM	\N	95	23340	UROK	\N	\N
3573481	1302	1997-08-31	PRIJEM	\N	101	24232	UROK	\N	\N
3573482	1302	1997-09-30	PRIJEM	\N	106	26488	UROK	\N	\N
3573483	1302	1997-10-31	PRIJEM	\N	115	28755	UROK	\N	\N
3573484	1302	1997-11-30	PRIJEM	\N	124	31030	UROK	\N	\N
3573485	1302	1997-12-31	PRIJEM	\N	133	32765	UROK	\N	\N
3573486	1302	1998-01-31	PRIJEM	\N	114	24700	UROK	\N	\N
3573487	1302	1998-02-28	PRIJEM	\N	107	26958	UROK	\N	\N
3573488	1302	1998-03-31	PRIJEM	\N	117	29226	UROK	\N	\N
3573489	1302	1998-04-30	PRIJEM	\N	126	31503	UROK	\N	\N
3573490	1302	1998-05-31	PRIJEM	\N	135	33790	UROK	\N	\N
3573491	1302	1998-06-30	PRIJEM	\N	118	25660	UROK	\N	\N
3573492	1302	1998-07-31	PRIJEM	\N	111	27922	UROK	\N	\N
3573493	1302	1998-08-31	PRIJEM	\N	120	30193	UROK	\N	\N
3573494	1302	1998-09-30	PRIJEM	\N	130	32474	UROK	\N	\N
3573495	1302	1998-10-31	PRIJEM	\N	139	34765	UROK	\N	\N
3573496	1302	1998-11-30	PRIJEM	\N	148	36364	UROK	\N	\N
3573497	1302	1998-12-31	PRIJEM	\N	145	35450	UROK	\N	\N
3573498	1303	1997-10-31	PRIJEM	\N	21	12823	UROK	\N	\N
3573499	1303	1997-11-30	PRIJEM	\N	84	24409	UROK	\N	\N
3573500	1303	1997-12-31	PRIJEM	\N	113	28025	UROK	\N	\N
3573501	1303	1998-01-31	PRIJEM	\N	133	33060	UROK	\N	\N
3573502	1303	1998-02-28	PRIJEM	\N	143	31303	UROK	\N	\N
3573503	1303	1998-03-31	PRIJEM	\N	139	30528	UROK	\N	\N
3573504	1303	1998-04-30	PRIJEM	\N	129	31344	UROK	\N	\N
3573505	1303	1998-05-31	PRIJEM	\N	142	31673	UROK	\N	\N
3573506	1303	1998-06-30	PRIJEM	\N	163	37923	UROK	\N	\N
3573507	1303	1998-07-31	PRIJEM	\N	148	34258	UROK	\N	\N
3573508	1303	1998-08-31	PRIJEM	\N	148	32592	UROK	\N	\N
3573509	1303	1998-09-30	PRIJEM	\N	142	34821	UROK	\N	\N
3573510	1303	1998-10-31	PRIJEM	\N	158	39065	UROK	\N	\N
3573511	1303	1998-11-30	PRIJEM	\N	162	39014	UROK	\N	\N
3573512	1303	1998-12-31	PRIJEM	\N	172	39873	UROK	\N	\N
3573513	1304	1996-05-31	PRIJEM	\N	13	19307	UROK	\N	\N
3573514	1304	1996-06-30	PRIJEM	\N	80	18887	UROK	\N	\N
3573515	1304	1996-07-31	PRIJEM	\N	80	18668	UROK	\N	\N
3573516	1304	1996-08-31	PRIJEM	\N	80	20048	UROK	\N	\N
3573517	1304	1996-09-30	PRIJEM	\N	80	18029	UROK	\N	\N
3573518	1304	1996-10-31	PRIJEM	\N	80	17609	UROK	\N	\N
3573519	1304	1996-11-30	PRIJEM	\N	80	19689	UROK	\N	\N
3573520	1304	1996-12-31	PRIJEM	\N	80	20970	UROK	\N	\N
3573521	1304	1997-01-31	PRIJEM	\N	119	91997	UROK	\N	\N
3573522	1304	1997-02-28	PRIJEM	\N	432	65717	UROK	\N	\N
3573523	1304	1997-03-31	PRIJEM	\N	195	64326	UROK	\N	\N
3573524	1304	1997-04-30	PRIJEM	\N	266	63156	UROK	\N	\N
3573525	1304	1997-05-31	PRIJEM	\N	235	54222	UROK	\N	\N
3573526	1304	1997-06-30	PRIJEM	\N	223	50657	UROK	\N	\N
3573527	1304	1997-07-31	PRIJEM	\N	240	63728	UROK	\N	\N
3573528	1304	1997-08-31	PRIJEM	\N	202	54951	UROK	\N	\N
3573529	1304	1997-09-30	PRIJEM	\N	315	77835	UROK	\N	\N
3573530	1304	1997-10-31	PRIJEM	\N	449	89639	UROK	\N	\N
3573531	1304	1997-11-30	PRIJEM	\N	362	91618	UROK	\N	\N
3573532	1304	1997-12-31	PRIJEM	\N	316	63376	UROK	\N	\N
3573533	1304	1998-01-31	PRIJEM	\N	160	26274	UROK	\N	\N
3573534	1304	1998-02-28	PRIJEM	\N	109	26568	UROK	\N	\N
3573535	1304	1998-03-31	PRIJEM	\N	198	34726	UROK	\N	\N
3573536	1304	1998-04-30	PRIJEM	\N	126	25637	UROK	\N	\N
3573537	1304	1998-05-31	PRIJEM	\N	106	27229	UROK	\N	\N
3573538	1304	1998-06-30	PRIJEM	\N	116	39251	UROK	\N	\N
3573539	1304	1998-07-31	PRIJEM	\N	127	22892	UROK	\N	\N
3573540	1304	1998-08-31	PRIJEM	\N	95	25372	UROK	\N	\N
3573541	1304	1998-09-30	PRIJEM	\N	105	29262	UROK	\N	\N
3573542	1304	1998-10-31	PRIJEM	\N	116	25990	UROK	\N	\N
3573543	1304	1998-11-30	PRIJEM	\N	108	32684	UROK	\N	\N
3573544	1304	1998-12-31	PRIJEM	\N	116	23385	UROK	\N	\N
3573545	1306	1995-04-30	PRIJEM	\N	31	22380	UROK	\N	\N
3573546	1306	1995-05-31	PRIJEM	\N	105	30534	UROK	\N	\N
3573547	1306	1995-06-30	PRIJEM	\N	141	39849	UROK	\N	\N
3573548	1306	1995-07-31	PRIJEM	\N	163	38061	UROK	\N	\N
3573549	1306	1995-08-31	PRIJEM	\N	167	30124	UROK	\N	\N
3573550	1306	1995-09-30	PRIJEM	\N	146	28652	UROK	\N	\N
3573551	1306	1995-10-31	PRIJEM	\N	130	26763	UROK	\N	\N
3573552	1306	1995-11-30	PRIJEM	\N	145	25889	UROK	\N	\N
3573553	1306	1995-12-31	PRIJEM	\N	153	31449	UROK	\N	\N
3573554	1306	1996-01-31	PRIJEM	\N	137	23567	UROK	\N	\N
3573555	1306	1996-02-29	PRIJEM	\N	127	27575	UROK	\N	\N
3573556	1306	1996-03-31	PRIJEM	\N	136	28293	UROK	\N	\N
3573557	1306	1996-04-30	PRIJEM	\N	139	29713	UROK	\N	\N
3573558	1306	1996-05-31	PRIJEM	\N	137	26231	UROK	\N	\N
3573559	1306	1996-06-30	PRIJEM	\N	130	13467	UROK	\N	\N
3573560	1306	1996-07-31	PRIJEM	\N	91	20540	UROK	\N	\N
3573561	1306	1996-08-31	PRIJEM	\N	111	23631	UROK	\N	\N
3573562	1306	1996-09-30	PRIJEM	\N	119	26432	UROK	\N	\N
3573563	1306	1996-10-31	PRIJEM	\N	115	22928	UROK	\N	\N
3573564	1306	1996-11-30	PRIJEM	\N	112	23322	UROK	\N	\N
3573565	1306	1996-12-31	PRIJEM	\N	128	26956	UROK	\N	\N
3573566	1306	1997-01-31	PRIJEM	\N	101	18438	UROK	\N	\N
3573567	1306	1997-02-28	PRIJEM	\N	83	15802	UROK	\N	\N
3573568	1306	1997-03-31	PRIJEM	\N	82	17265	UROK	\N	\N
3573569	1306	1997-04-30	PRIJEM	\N	84	17431	UROK	\N	\N
3573570	1306	1997-05-31	PRIJEM	\N	97	21909	UROK	\N	\N
3573571	1306	1997-06-30	PRIJEM	\N	109	22625	UROK	\N	\N
3573572	1306	1997-07-31	PRIJEM	\N	104	20310	UROK	\N	\N
3573573	1306	1997-08-31	PRIJEM	\N	100	22492	UROK	\N	\N
3573574	1306	1997-09-30	PRIJEM	\N	106	24279	UROK	\N	\N
3573575	1306	1997-10-31	PRIJEM	\N	118	27379	UROK	\N	\N
3573576	1306	1997-11-30	PRIJEM	\N	145	30305	UROK	\N	\N
3573577	1306	1997-12-31	PRIJEM	\N	161	33873	UROK	\N	\N
3573578	1306	1998-01-31	PRIJEM	\N	137	25591	UROK	\N	\N
3573579	1306	1998-02-28	PRIJEM	\N	141	33314	UROK	\N	\N
3573580	1306	1998-03-31	PRIJEM	\N	148	31743	UROK	\N	\N
3573581	1306	1998-04-30	PRIJEM	\N	166	40191	UROK	\N	\N
3573582	1306	1998-05-31	PRIJEM	\N	164	37136	UROK	\N	\N
3573583	1306	1998-06-30	PRIJEM	\N	169	39812	UROK	\N	\N
3573584	1306	1998-07-31	PRIJEM	\N	145	33838	UROK	\N	\N
3573585	1306	1998-08-31	PRIJEM	\N	144	32964	UROK	\N	\N
3573586	1306	1998-09-30	PRIJEM	\N	125	27770	UROK	\N	\N
3573587	1306	1998-10-31	PRIJEM	\N	117	26469	UROK	\N	\N
3573588	1306	1998-11-30	PRIJEM	\N	124	29174	UROK	\N	\N
3573589	1306	1998-12-31	PRIJEM	\N	158	39338	UROK	\N	\N
3573590	1307	1994-12-31	PRIJEM	\N	19	7938	UROK	\N	\N
3573591	1307	1995-01-31	PRIJEM	\N	66	21450	UROK	\N	\N
3573592	1307	1995-02-28	PRIJEM	\N	101	26596	UROK	\N	\N
3573593	1307	1995-03-31	PRIJEM	\N	123	31865	UROK	\N	\N
3573594	1307	1995-04-30	PRIJEM	\N	134	30665	UROK	\N	\N
3573595	1307	1995-05-31	PRIJEM	\N	129	32329	UROK	\N	\N
3573596	1307	1995-06-30	PRIJEM	\N	124	16160	UROK	\N	\N
3573597	1307	1995-07-31	PRIJEM	\N	81	21675	UROK	\N	\N
3573598	1307	1995-08-31	PRIJEM	\N	99	25709	UROK	\N	\N
3573599	1307	1995-09-30	PRIJEM	\N	115	29458	UROK	\N	\N
3573600	1307	1995-10-31	PRIJEM	\N	102	24914	UROK	\N	\N
3573601	1307	1995-11-30	PRIJEM	\N	86	17275	UROK	\N	\N
3573602	1307	1995-12-31	PRIJEM	\N	100	28183	UROK	\N	\N
3573603	1307	1996-01-31	PRIJEM	\N	95	24552	UROK	\N	\N
3573604	1307	1996-02-29	PRIJEM	\N	107	26473	UROK	\N	\N
3573605	1307	1996-03-31	PRIJEM	\N	114	27822	UROK	\N	\N
3573606	1307	1996-04-30	PRIJEM	\N	109	26625	UROK	\N	\N
3573607	1307	1996-05-31	PRIJEM	\N	96	24736	UROK	\N	\N
3573608	1307	1996-06-30	PRIJEM	\N	111	26554	UROK	\N	\N
3573609	1307	1996-07-31	PRIJEM	\N	109	22218	UROK	\N	\N
3573610	1307	1996-08-31	PRIJEM	\N	96	24149	UROK	\N	\N
3573611	1307	1996-09-30	PRIJEM	\N	100	20883	UROK	\N	\N
3573612	1307	1996-10-31	PRIJEM	\N	92	24410	UROK	\N	\N
3573613	1307	1996-11-30	PRIJEM	\N	108	28552	UROK	\N	\N
3573614	1307	1996-12-31	PRIJEM	\N	112	28971	UROK	\N	\N
3573615	1307	1997-01-31	PRIJEM	\N	83	19909	UROK	\N	\N
3573616	1307	1997-02-28	PRIJEM	\N	90	25734	UROK	\N	\N
3573617	1307	1997-03-31	PRIJEM	\N	101	19829	UROK	\N	\N
3573618	1307	1997-04-30	PRIJEM	\N	86	21649	UROK	\N	\N
3573619	1307	1997-05-31	PRIJEM	\N	80	20504	UROK	\N	\N
3573620	1307	1997-06-30	PRIJEM	\N	94	24605	UROK	\N	\N
3573621	1307	1997-07-31	PRIJEM	\N	98	20437	UROK	\N	\N
3573622	1307	1997-08-31	PRIJEM	\N	83	18855	UROK	\N	\N
3573623	1307	1997-09-30	PRIJEM	\N	75	16365	UROK	\N	\N
3573624	1307	1997-10-31	PRIJEM	\N	61	13080	UROK	\N	\N
3573625	1307	1997-11-30	PRIJEM	\N	60	16475	UROK	\N	\N
3573626	1307	1997-12-31	PRIJEM	\N	69	15751	UROK	\N	\N
3573627	1307	1998-01-31	PRIJEM	\N	57	13763	UROK	\N	\N
3573628	1307	1998-02-28	PRIJEM	\N	60	15457	UROK	\N	\N
3573629	1307	1998-03-31	PRIJEM	\N	66	16558	UROK	\N	\N
3573630	1307	1998-04-30	PRIJEM	\N	68	16360	UROK	\N	\N
3573631	1307	1998-05-31	PRIJEM	\N	71	18065	UROK	\N	\N
3573632	1307	1998-06-30	PRIJEM	\N	77	19050	UROK	\N	\N
3573633	1307	1998-07-31	PRIJEM	\N	83	21367	UROK	\N	\N
3573634	1307	1998-08-31	PRIJEM	\N	83	17665	UROK	\N	\N
3573635	1307	1998-09-30	PRIJEM	\N	72	15871	UROK	\N	\N
3573636	1307	1998-10-31	PRIJEM	\N	68	17374	UROK	\N	\N
3573637	1307	1998-11-30	PRIJEM	\N	59	12266	UROK	\N	\N
3573638	1307	1998-12-31	PRIJEM	\N	59	12733	UROK	\N	\N
3573639	1308	1997-02-28	PRIJEM	\N	4	25999	UROK	\N	\N
3573640	1308	1997-03-31	PRIJEM	\N	113	28010	UROK	\N	\N
3573641	1308	1997-04-30	PRIJEM	\N	121	30030	UROK	\N	\N
3573642	1308	1997-05-31	PRIJEM	\N	117	28926	UROK	\N	\N
3573643	1308	1997-06-30	PRIJEM	\N	111	27435	UROK	\N	\N
3573644	1308	1997-07-31	PRIJEM	\N	119	29452	UROK	\N	\N
3573645	1308	1997-08-31	PRIJEM	\N	128	31478	UROK	\N	\N
3573646	1308	1997-09-30	PRIJEM	\N	136	33513	UROK	\N	\N
3573647	1308	1997-10-31	PRIJEM	\N	131	32422	UROK	\N	\N
3573648	1308	1997-11-30	PRIJEM	\N	140	34461	UROK	\N	\N
3573649	1308	1997-12-31	PRIJEM	\N	142	35251	UROK	\N	\N
3573650	1308	1998-01-31	PRIJEM	\N	117	23136	UROK	\N	\N
3573651	1308	1998-02-28	PRIJEM	\N	95	21849	UROK	\N	\N
3573652	1308	1998-03-31	PRIJEM	\N	96	23843	UROK	\N	\N
3573653	1308	1998-04-30	PRIJEM	\N	104	25846	UROK	\N	\N
3573654	1308	1998-05-31	PRIJEM	\N	112	27856	UROK	\N	\N
3573655	1308	1998-06-30	PRIJEM	\N	97	21052	UROK	\N	\N
3573656	1308	1998-07-31	PRIJEM	\N	92	23042	UROK	\N	\N
3573657	1308	1998-08-31	PRIJEM	\N	101	25041	UROK	\N	\N
3573658	1308	1998-09-30	PRIJEM	\N	105	26404	UROK	\N	\N
3573659	1308	1998-10-31	PRIJEM	\N	115	28417	UROK	\N	\N
3573660	1308	1998-11-30	PRIJEM	\N	123	30438	UROK	\N	\N
3573661	1308	1998-12-31	PRIJEM	\N	128	32164	UROK	\N	\N
3573662	1309	1995-05-31	PRIJEM	\N	78	34409	UROK	\N	\N
3573663	1309	1995-06-30	PRIJEM	\N	207	61412	UROK	\N	\N
3573664	1309	1995-07-31	PRIJEM	\N	262	64305	UROK	\N	\N
3573665	1309	1995-08-31	PRIJEM	\N	205	40941	UROK	\N	\N
3573666	1309	1995-09-30	PRIJEM	\N	181	44654	UROK	\N	\N
3573667	1309	1995-10-31	PRIJEM	\N	175	39748	UROK	\N	\N
3573668	1309	1995-11-30	PRIJEM	\N	146	22777	UROK	\N	\N
3573669	1309	1995-12-31	PRIJEM	\N	151	39314	UROK	\N	\N
3573670	1309	1996-01-31	PRIJEM	\N	193	38824	UROK	\N	\N
3573671	1309	1996-02-29	PRIJEM	\N	223	60264	UROK	\N	\N
3573672	1309	1996-03-31	PRIJEM	\N	284	71265	UROK	\N	\N
3573673	1309	1996-04-30	PRIJEM	\N	318	78100	UROK	\N	\N
3573674	1309	1996-05-31	PRIJEM	\N	328	78746	UROK	\N	\N
3573675	1309	1996-06-30	PRIJEM	\N	378	99106	UROK	\N	\N
3573676	1309	1996-07-31	PRIJEM	\N	372	76695	UROK	\N	\N
3573677	1309	1996-08-31	PRIJEM	\N	297	54610	UROK	\N	\N
3573678	1309	1996-09-30	PRIJEM	\N	240	55983	UROK	\N	\N
3573679	1309	1996-10-31	PRIJEM	\N	261	65261	UROK	\N	\N
3573680	1309	1996-11-30	PRIJEM	\N	290	71269	UROK	\N	\N
3573681	1309	1996-12-31	PRIJEM	\N	365	94816	UROK	\N	\N
3573682	1309	1997-01-31	PRIJEM	\N	203	33353	UROK	\N	\N
3573683	1309	1997-02-28	PRIJEM	\N	192	52363	UROK	\N	\N
3573684	1309	1997-03-31	PRIJEM	\N	237	58617	UROK	\N	\N
3573685	1309	1997-04-30	PRIJEM	\N	174	42137	UROK	\N	\N
3573686	1309	1997-05-31	PRIJEM	\N	199	49853	UROK	\N	\N
3573687	1309	1997-06-30	PRIJEM	\N	271	72407	UROK	\N	\N
3573688	1309	1997-07-31	PRIJEM	\N	254	46902	UROK	\N	\N
3573689	1309	1997-08-31	PRIJEM	\N	214	53233	UROK	\N	\N
3573690	1309	1997-09-30	PRIJEM	\N	223	53374	UROK	\N	\N
3573691	1309	1997-10-31	PRIJEM	\N	222	54213	UROK	\N	\N
3573692	1309	1997-11-30	PRIJEM	\N	151	24657	UROK	\N	\N
3573693	1309	1997-12-31	PRIJEM	\N	214	28454	UROK	\N	\N
3573694	1309	1998-01-31	PRIJEM	\N	161	30632	UROK	\N	\N
3573695	1309	1998-02-28	PRIJEM	\N	195	60145	UROK	\N	\N
3573696	1309	1998-03-31	PRIJEM	\N	213	41367	UROK	\N	\N
3573697	1309	1998-04-30	PRIJEM	\N	231	27615	UROK	\N	\N
3573698	1309	1998-05-31	PRIJEM	\N	150	27782	UROK	\N	\N
3573699	1309	1998-06-30	PRIJEM	\N	224	56808	UROK	\N	\N
3573700	1309	1998-07-31	PRIJEM	\N	234	22960	UROK	\N	\N
3573701	1309	1998-08-31	PRIJEM	\N	144	18022	UROK	\N	\N
3573702	1309	1998-09-30	PRIJEM	\N	135	38895	UROK	\N	\N
3573703	1309	1998-10-31	PRIJEM	\N	199	25611	UROK	\N	\N
3573704	1309	1998-11-30	PRIJEM	\N	176	55105	UROK	\N	\N
3573705	1309	1998-12-31	PRIJEM	\N	180	30061	UROK	\N	\N
3573706	1311	1996-01-31	PRIJEM	\N	54	14894	UROK	\N	\N
3573707	1311	1996-02-29	PRIJEM	\N	127	32960	UROK	\N	\N
3573708	1311	1996-03-31	PRIJEM	\N	165	40866	UROK	\N	\N
3573709	1311	1996-04-30	PRIJEM	\N	176	42682	UROK	\N	\N
3573710	1311	1996-05-31	PRIJEM	\N	152	32727	UROK	\N	\N
3573711	1311	1996-06-30	PRIJEM	\N	157	37751	UROK	\N	\N
3573712	1311	1996-07-31	PRIJEM	\N	125	27174	UROK	\N	\N
3573713	1311	1996-08-31	PRIJEM	\N	105	18078	UROK	\N	\N
3573714	1311	1996-09-30	PRIJEM	\N	90	16666	UROK	\N	\N
3573715	1311	1996-10-31	PRIJEM	\N	85	19550	UROK	\N	\N
3573716	1311	1996-11-30	PRIJEM	\N	78	13387	UROK	\N	\N
3573717	1311	1996-12-31	PRIJEM	\N	76	12211	UROK	\N	\N
3573718	1311	1997-01-31	PRIJEM	\N	55	12164	UROK	\N	\N
3573719	1311	1997-02-28	PRIJEM	\N	64	17047	UROK	\N	\N
3573720	1311	1997-03-31	PRIJEM	\N	85	15550	UROK	\N	\N
3573721	1311	1997-04-30	PRIJEM	\N	74	18462	UROK	\N	\N
3573722	1311	1997-05-31	PRIJEM	\N	92	20852	UROK	\N	\N
3573723	1311	1997-06-30	PRIJEM	\N	29	3930	UROK	\N	\N
3573724	1311	1997-07-31	PRIJEM	\N	35	12164	UROK	\N	\N
3573725	1311	1997-08-31	PRIJEM	\N	65	14627	UROK	\N	\N
3573726	1311	1997-09-30	PRIJEM	\N	70	11795	UROK	\N	\N
3573727	1311	1997-10-31	PRIJEM	\N	58	12771	UROK	\N	\N
3573728	1311	1997-11-30	PRIJEM	\N	67	15937	UROK	\N	\N
3573729	1311	1997-12-31	PRIJEM	\N	92	13597	UROK	\N	\N
3573730	1311	1998-01-31	PRIJEM	\N	58	10994	UROK	\N	\N
3573731	1311	1998-02-28	PRIJEM	\N	62	15953	UROK	\N	\N
3573732	1311	1998-03-31	PRIJEM	\N	76	15228	UROK	\N	\N
3573733	1311	1998-04-30	PRIJEM	\N	77	18003	UROK	\N	\N
3573734	1311	1998-05-31	PRIJEM	\N	88	20789	UROK	\N	\N
3573735	1311	1998-06-30	PRIJEM	\N	108	18625	UROK	\N	\N
3573736	1311	1998-07-31	PRIJEM	\N	82	16565	UROK	\N	\N
3573737	1311	1998-08-31	PRIJEM	\N	71	13035	UROK	\N	\N
3573738	1311	1998-09-30	PRIJEM	\N	68	16501	UROK	\N	\N
3573739	1311	1998-10-31	PRIJEM	\N	72	14471	UROK	\N	\N
3573740	1311	1998-11-30	PRIJEM	\N	68	15277	UROK	\N	\N
3573741	1311	1998-12-31	PRIJEM	\N	90	17735	UROK	\N	\N
3573742	1312	1995-03-31	PRIJEM	\N	67	27942	UROK	\N	\N
3573743	1312	1995-04-30	PRIJEM	\N	114	26387	UROK	\N	\N
3573744	1312	1995-05-31	PRIJEM	\N	103	24160	UROK	\N	\N
3573745	1312	1995-06-30	PRIJEM	\N	99	22690	UROK	\N	\N
3573746	1312	1995-07-31	PRIJEM	\N	94	22114	UROK	\N	\N
3573747	1312	1995-08-31	PRIJEM	\N	90	21055	UROK	\N	\N
3573748	1312	1995-09-30	PRIJEM	\N	94	23179	UROK	\N	\N
3573749	1312	1995-10-31	PRIJEM	\N	94	21863	UROK	\N	\N
3573750	1312	1995-11-30	PRIJEM	\N	103	25996	UROK	\N	\N
3573751	1312	1995-12-31	PRIJEM	\N	118	29094	UROK	\N	\N
3573752	1312	1996-01-31	PRIJEM	\N	111	24595	UROK	\N	\N
3573753	1312	1996-02-29	PRIJEM	\N	114	28740	UROK	\N	\N
3573754	1312	1996-03-31	PRIJEM	\N	125	30995	UROK	\N	\N
3573755	1312	1996-04-30	PRIJEM	\N	134	32500	UROK	\N	\N
3573756	1312	1996-05-31	PRIJEM	\N	145	36175	UROK	\N	\N
3573757	1312	1996-06-30	PRIJEM	\N	156	38562	UROK	\N	\N
3573758	1312	1996-07-31	PRIJEM	\N	151	35743	UROK	\N	\N
3573759	1312	1996-08-31	PRIJEM	\N	148	36421	UROK	\N	\N
3573760	1312	1996-09-30	PRIJEM	\N	137	33388	UROK	\N	\N
3573761	1312	1996-10-31	PRIJEM	\N	123	28362	UROK	\N	\N
3573762	1312	1996-11-30	PRIJEM	\N	118	27610	UROK	\N	\N
3573763	1312	1996-12-31	PRIJEM	\N	114	28505	UROK	\N	\N
3573764	1312	1997-01-31	PRIJEM	\N	101	22576	UROK	\N	\N
3573765	1312	1997-02-28	PRIJEM	\N	96	22522	UROK	\N	\N
3573766	1312	1997-03-31	PRIJEM	\N	100	25352	UROK	\N	\N
3573767	1312	1997-04-30	PRIJEM	\N	97	23939	UROK	\N	\N
3573768	1312	1997-05-31	PRIJEM	\N	102	25772	UROK	\N	\N
3573769	1312	1997-06-30	PRIJEM	\N	106	26608	UROK	\N	\N
3573770	1312	1997-07-31	PRIJEM	\N	103	25842	UROK	\N	\N
3573771	1312	1997-08-31	PRIJEM	\N	98	19771	UROK	\N	\N
3573772	1312	1997-09-30	PRIJEM	\N	92	18393	UROK	\N	\N
3573773	1312	1997-10-31	PRIJEM	\N	86	17609	UROK	\N	\N
3573774	1312	1997-11-30	PRIJEM	\N	81	14621	UROK	\N	\N
3573775	1312	1997-12-31	PRIJEM	\N	71	17422	UROK	\N	\N
3573776	1312	1998-01-31	PRIJEM	\N	64	14797	UROK	\N	\N
3573777	1312	1998-02-28	PRIJEM	\N	72	18899	UROK	\N	\N
3573778	1312	1998-03-31	PRIJEM	\N	83	20132	UROK	\N	\N
3573779	1312	1998-04-30	PRIJEM	\N	94	23856	UROK	\N	\N
3573780	1312	1998-05-31	PRIJEM	\N	110	27996	UROK	\N	\N
3573781	1312	1998-06-30	PRIJEM	\N	115	14141	UROK	\N	\N
3573782	1312	1998-07-31	PRIJEM	\N	69	18241	UROK	\N	\N
3573783	1312	1998-08-31	PRIJEM	\N	86	22358	UROK	\N	\N
3573784	1312	1998-09-30	PRIJEM	\N	89	22557	UROK	\N	\N
3573785	1312	1998-10-31	PRIJEM	\N	104	26692	UROK	\N	\N
3573786	1312	1998-11-30	PRIJEM	\N	121	30843	UROK	\N	\N
3573787	1312	1998-12-31	PRIJEM	\N	131	31575	UROK	\N	\N
3573788	1314	1993-12-31	PRIJEM	\N	93	25689	UROK	\N	\N
3573789	1314	1994-01-31	PRIJEM	\N	161	40714	UROK	\N	\N
3573790	1314	1994-02-28	PRIJEM	\N	203	50281	UROK	\N	\N
3573791	1314	1994-03-31	PRIJEM	\N	231	56476	UROK	\N	\N
3573792	1314	1994-04-30	PRIJEM	\N	210	48861	UROK	\N	\N
3573793	1314	1994-05-31	PRIJEM	\N	196	46217	UROK	\N	\N
3573794	1314	1994-06-30	PRIJEM	\N	224	50194	UROK	\N	\N
3573795	1314	1994-07-31	PRIJEM	\N	199	47353	UROK	\N	\N
3573796	1314	1994-08-31	PRIJEM	\N	176	36189	UROK	\N	\N
3573797	1314	1994-09-30	PRIJEM	\N	179	36829	UROK	\N	\N
3573798	1314	1994-10-31	PRIJEM	\N	176	31605	UROK	\N	\N
3573799	1314	1994-11-30	PRIJEM	\N	160	35126	UROK	\N	\N
3573800	1314	1994-12-31	PRIJEM	\N	195	36974	UROK	\N	\N
3573801	1314	1995-01-31	PRIJEM	\N	177	34111	UROK	\N	\N
3573802	1314	1995-02-28	PRIJEM	\N	167	31238	UROK	\N	\N
3573803	1314	1995-03-31	PRIJEM	\N	155	30154	UROK	\N	\N
3573804	1314	1995-04-30	PRIJEM	\N	150	27864	UROK	\N	\N
3573805	1314	1995-05-31	PRIJEM	\N	141	28165	UROK	\N	\N
3573806	1314	1995-06-30	PRIJEM	\N	153	26290	UROK	\N	\N
3573807	1314	1995-07-31	PRIJEM	\N	131	24681	UROK	\N	\N
3573808	1314	1995-08-31	PRIJEM	\N	127	27269	UROK	\N	\N
3573809	1314	1995-09-30	PRIJEM	\N	136	28765	UROK	\N	\N
3573810	1314	1995-10-31	PRIJEM	\N	139	25565	UROK	\N	\N
3573811	1314	1995-11-30	PRIJEM	\N	111	22116	UROK	\N	\N
3573812	1314	1995-12-31	PRIJEM	\N	136	29124	UROK	\N	\N
3573813	1314	1996-01-31	PRIJEM	\N	138	28723	UROK	\N	\N
3573814	1314	1996-02-29	PRIJEM	\N	141	32124	UROK	\N	\N
3573815	1314	1996-03-31	PRIJEM	\N	143	32008	UROK	\N	\N
3573816	1314	1996-04-30	PRIJEM	\N	150	31318	UROK	\N	\N
3573817	1314	1996-05-31	PRIJEM	\N	150	33929	UROK	\N	\N
3573818	1314	1996-06-30	PRIJEM	\N	176	37497	UROK	\N	\N
3573819	1314	1996-07-31	PRIJEM	\N	167	35624	UROK	\N	\N
3573820	1314	1996-08-31	PRIJEM	\N	157	28962	UROK	\N	\N
3573821	1314	1996-09-30	PRIJEM	\N	140	33162	UROK	\N	\N
3573822	1314	1996-10-31	PRIJEM	\N	150	33372	UROK	\N	\N
3573823	1314	1996-11-30	PRIJEM	\N	156	36789	UROK	\N	\N
3573824	1314	1996-12-31	PRIJEM	\N	164	35205	UROK	\N	\N
3573825	1314	1997-01-31	PRIJEM	\N	158	35723	UROK	\N	\N
3573826	1314	1997-02-28	PRIJEM	\N	157	35941	UROK	\N	\N
3573827	1314	1997-03-31	PRIJEM	\N	162	37464	UROK	\N	\N
3573828	1314	1997-04-30	PRIJEM	\N	168	38992	UROK	\N	\N
3573829	1314	1997-05-31	PRIJEM	\N	170	35162	UROK	\N	\N
3573830	1314	1997-06-30	PRIJEM	\N	194	48108	UROK	\N	\N
3573831	1314	1997-07-31	PRIJEM	\N	223	53192	UROK	\N	\N
3573832	1314	1997-08-31	PRIJEM	\N	226	53079	UROK	\N	\N
3573833	1314	1997-09-30	PRIJEM	\N	230	55269	UROK	\N	\N
3573834	1314	1997-10-31	PRIJEM	\N	234	55664	UROK	\N	\N
3573835	1314	1997-11-30	PRIJEM	\N	242	57727	UROK	\N	\N
3573836	1314	1997-12-31	PRIJEM	\N	255	60154	UROK	\N	\N
3573837	1314	1998-01-31	PRIJEM	\N	250	59764	UROK	\N	\N
3573838	1314	1998-02-28	PRIJEM	\N	247	58851	UROK	\N	\N
3573839	1314	1998-03-31	PRIJEM	\N	250	60362	UROK	\N	\N
3573840	1314	1998-04-30	PRIJEM	\N	251	60073	UROK	\N	\N
3573841	1314	1998-05-31	PRIJEM	\N	248	57241	UROK	\N	\N
3573842	1314	1998-06-30	PRIJEM	\N	256	63190	UROK	\N	\N
3573843	1314	1998-07-31	PRIJEM	\N	266	64916	UROK	\N	\N
3573844	1314	1998-08-31	PRIJEM	\N	257	61633	UROK	\N	\N
3573845	1314	1998-09-30	PRIJEM	\N	285	65579	UROK	\N	\N
3573846	1314	1998-10-31	PRIJEM	\N	288	65227	UROK	\N	\N
3573847	1314	1998-11-30	PRIJEM	\N	246	58833	UROK	\N	\N
3573848	1314	1998-12-31	PRIJEM	\N	219	50345	UROK	\N	\N
3573849	1315	1995-05-31	PRIJEM	\N	36	17644	UROK	\N	\N
3573850	1315	1995-06-30	PRIJEM	\N	98	29654	UROK	\N	\N
3573851	1315	1995-07-31	PRIJEM	\N	127	31389	UROK	\N	\N
3573852	1315	1995-08-31	PRIJEM	\N	140	35536	UROK	\N	\N
3573853	1315	1995-09-30	PRIJEM	\N	161	33833	UROK	\N	\N
3573854	1315	1995-10-31	PRIJEM	\N	154	33108	UROK	\N	\N
3573855	1315	1995-11-30	PRIJEM	\N	138	30967	UROK	\N	\N
3573856	1315	1995-12-31	PRIJEM	\N	142	32795	UROK	\N	\N
3573857	1315	1996-01-31	PRIJEM	\N	104	20260	UROK	\N	\N
3573858	1315	1996-02-29	PRIJEM	\N	97	23178	UROK	\N	\N
3573859	1315	1996-03-31	PRIJEM	\N	115	28434	UROK	\N	\N
3573860	1315	1996-04-30	PRIJEM	\N	128	30384	UROK	\N	\N
3573861	1315	1996-05-31	PRIJEM	\N	127	25792	UROK	\N	\N
3573862	1315	1996-06-30	PRIJEM	\N	110	24187	UROK	\N	\N
3573863	1315	1996-07-31	PRIJEM	\N	118	28726	UROK	\N	\N
3573864	1315	1996-08-31	PRIJEM	\N	132	31880	UROK	\N	\N
3573865	1315	1996-09-30	PRIJEM	\N	131	30132	UROK	\N	\N
3573866	1315	1996-10-31	PRIJEM	\N	126	29379	UROK	\N	\N
3573867	1315	1996-11-30	PRIJEM	\N	140	33721	UROK	\N	\N
3573868	1315	1996-12-31	PRIJEM	\N	146	33012	UROK	\N	\N
3573869	1315	1997-01-31	PRIJEM	\N	116	16110	UROK	\N	\N
3573870	1315	1997-02-28	PRIJEM	\N	96	23827	UROK	\N	\N
3573871	1315	1997-03-31	PRIJEM	\N	115	24884	UROK	\N	\N
3573872	1315	1997-04-30	PRIJEM	\N	109	25715	UROK	\N	\N
3573873	1315	1997-05-31	PRIJEM	\N	120	28956	UROK	\N	\N
3573874	1315	1997-06-30	PRIJEM	\N	132	28733	UROK	\N	\N
3573875	1315	1997-07-31	PRIJEM	\N	125	29080	UROK	\N	\N
3573876	1315	1997-08-31	PRIJEM	\N	157	38158	UROK	\N	\N
3573877	1315	1997-09-30	PRIJEM	\N	183	43862	UROK	\N	\N
3573878	1315	1997-10-31	PRIJEM	\N	197	46981	UROK	\N	\N
3573879	1315	1997-11-30	PRIJEM	\N	194	42117	UROK	\N	\N
3573880	1315	1997-12-31	PRIJEM	\N	187	44809	UROK	\N	\N
3573881	1315	1998-01-31	PRIJEM	\N	156	31726	UROK	\N	\N
3573882	1315	1998-02-28	PRIJEM	\N	144	34991	UROK	\N	\N
3573883	1315	1998-03-31	PRIJEM	\N	174	41987	UROK	\N	\N
3573884	1315	1998-04-30	PRIJEM	\N	186	44294	UROK	\N	\N
3573885	1315	1998-05-31	PRIJEM	\N	167	38083	UROK	\N	\N
3573886	1315	1998-06-30	PRIJEM	\N	140	25128	UROK	\N	\N
3573887	1315	1998-07-31	PRIJEM	\N	112	23982	UROK	\N	\N
3573888	1315	1998-08-31	PRIJEM	\N	106	21549	UROK	\N	\N
3573889	1315	1998-09-30	PRIJEM	\N	90	17881	UROK	\N	\N
3573890	1315	1998-10-31	PRIJEM	\N	83	15485	UROK	\N	\N
3573891	1315	1998-11-30	PRIJEM	\N	75	16081	UROK	\N	\N
3573892	1315	1998-12-31	PRIJEM	\N	92	20038	UROK	\N	\N
3573893	1316	1997-05-31	PRIJEM	\N	41	13224	UROK	\N	\N
3573894	1316	1997-06-30	PRIJEM	\N	59	14259	UROK	\N	\N
3573895	1316	1997-07-31	PRIJEM	\N	63	15298	UROK	\N	\N
3573896	1316	1997-08-31	PRIJEM	\N	65	14959	UROK	\N	\N
3573897	1316	1997-09-30	PRIJEM	\N	66	16001	UROK	\N	\N
3573898	1316	1997-10-31	PRIJEM	\N	70	17048	UROK	\N	\N
3573899	1316	1997-11-30	PRIJEM	\N	74	17408	UROK	\N	\N
3573900	1316	1997-12-31	PRIJEM	\N	74	16928	UROK	\N	\N
3573901	1316	1998-01-31	PRIJEM	\N	61	13105	UROK	\N	\N
3573902	1316	1998-02-28	PRIJEM	\N	58	14140	UROK	\N	\N
3573903	1316	1998-03-31	PRIJEM	\N	64	15180	UROK	\N	\N
3573904	1316	1998-04-30	PRIJEM	\N	66	15172	UROK	\N	\N
3573905	1316	1998-05-31	PRIJEM	\N	66	16214	UROK	\N	\N
3573906	1316	1998-06-30	PRIJEM	\N	63	13954	UROK	\N	\N
3573907	1316	1998-07-31	PRIJEM	\N	61	14991	UROK	\N	\N
3573908	1316	1998-08-31	PRIJEM	\N	66	16034	UROK	\N	\N
3573909	1316	1998-09-30	PRIJEM	\N	70	17080	UROK	\N	\N
3573910	1316	1998-10-31	PRIJEM	\N	70	16746	UROK	\N	\N
3573911	1316	1998-11-30	PRIJEM	\N	73	17796	UROK	\N	\N
3573912	1316	1998-12-31	PRIJEM	\N	77	18369	UROK	\N	\N
3573913	1317	1994-06-30	PRIJEM	\N	50	27878	UROK	\N	\N
3573914	1317	1994-07-31	PRIJEM	\N	117	28327	UROK	\N	\N
3573915	1317	1994-08-31	PRIJEM	\N	124	29675	UROK	\N	\N
3573916	1317	1994-09-30	PRIJEM	\N	121	27120	UROK	\N	\N
3573917	1317	1994-10-31	PRIJEM	\N	121	29665	UROK	\N	\N
3573918	1317	1994-11-30	PRIJEM	\N	117	26506	UROK	\N	\N
3573919	1317	1994-12-31	PRIJEM	\N	109	22560	UROK	\N	\N
3573920	1317	1995-01-31	PRIJEM	\N	71	14175	UROK	\N	\N
3573921	1317	1995-02-28	PRIJEM	\N	68	17467	UROK	\N	\N
3573922	1317	1995-03-31	PRIJEM	\N	82	20774	UROK	\N	\N
3573923	1317	1995-04-30	PRIJEM	\N	93	22891	UROK	\N	\N
3573924	1317	1995-05-31	PRIJEM	\N	101	24416	UROK	\N	\N
3573925	1317	1995-06-30	PRIJEM	\N	105	25346	UROK	\N	\N
3573926	1317	1995-07-31	PRIJEM	\N	107	25577	UROK	\N	\N
3573927	1317	1995-08-31	PRIJEM	\N	113	28115	UROK	\N	\N
3573928	1317	1995-09-30	PRIJEM	\N	103	24482	UROK	\N	\N
3573929	1317	1995-10-31	PRIJEM	\N	111	27818	UROK	\N	\N
3573930	1317	1995-11-30	PRIJEM	\N	125	28967	UROK	\N	\N
3573931	1317	1995-12-31	PRIJEM	\N	128	31120	UROK	\N	\N
3573932	1317	1996-01-31	PRIJEM	\N	118	24562	UROK	\N	\N
3573933	1317	1996-02-29	PRIJEM	\N	111	27897	UROK	\N	\N
3573934	1317	1996-03-31	PRIJEM	\N	125	31247	UROK	\N	\N
3573935	1317	1996-04-30	PRIJEM	\N	134	33306	UROK	\N	\N
3573936	1317	1996-05-31	PRIJEM	\N	148	36678	UROK	\N	\N
3573937	1317	1996-06-30	PRIJEM	\N	147	33449	UROK	\N	\N
3573938	1317	1996-07-31	PRIJEM	\N	128	30902	UROK	\N	\N
3573939	1317	1996-08-31	PRIJEM	\N	136	33142	UROK	\N	\N
3573940	1317	1996-09-30	PRIJEM	\N	144	35811	UROK	\N	\N
3573941	1317	1996-10-31	PRIJEM	\N	152	37487	UROK	\N	\N
3573942	1317	1996-11-30	PRIJEM	\N	143	34354	UROK	\N	\N
3573943	1317	1996-12-31	PRIJEM	\N	138	33516	UROK	\N	\N
3573944	1317	1997-01-31	PRIJEM	\N	111	24172	UROK	\N	\N
3573945	1317	1997-02-28	PRIJEM	\N	109	27505	UROK	\N	\N
3573946	1317	1997-03-31	PRIJEM	\N	123	30852	UROK	\N	\N
3573947	1317	1997-04-30	PRIJEM	\N	134	33511	UROK	\N	\N
3573948	1317	1997-05-31	PRIJEM	\N	148	36883	UROK	\N	\N
3573949	1317	1997-06-30	PRIJEM	\N	127	24485	UROK	\N	\N
3573950	1317	1997-07-31	PRIJEM	\N	110	27819	UROK	\N	\N
3573951	1317	1997-08-31	PRIJEM	\N	118	28442	UROK	\N	\N
3573952	1317	1997-09-30	PRIJEM	\N	127	31793	UROK	\N	\N
3573953	1317	1997-10-31	PRIJEM	\N	141	34958	UROK	\N	\N
3573954	1317	1997-11-30	PRIJEM	\N	153	35035	UROK	\N	\N
3573955	1317	1997-12-31	PRIJEM	\N	149	34558	UROK	\N	\N
3573956	1317	1998-01-31	PRIJEM	\N	125	25318	UROK	\N	\N
3573957	1317	1998-02-28	PRIJEM	\N	102	25605	UROK	\N	\N
3573958	1317	1998-03-31	PRIJEM	\N	114	28944	UROK	\N	\N
3573959	1317	1998-04-30	PRIJEM	\N	128	32296	UROK	\N	\N
3573960	1317	1998-05-31	PRIJEM	\N	142	35662	UROK	\N	\N
3573961	1317	1998-06-30	PRIJEM	\N	137	22734	UROK	\N	\N
3573962	1317	1998-07-31	PRIJEM	\N	93	22292	UROK	\N	\N
3573963	1317	1998-08-31	PRIJEM	\N	100	25616	UROK	\N	\N
3573964	1317	1998-09-30	PRIJEM	\N	108	21448	UROK	\N	\N
3573965	1317	1998-10-31	PRIJEM	\N	91	19464	UROK	\N	\N
3573966	1317	1998-11-30	PRIJEM	\N	84	18472	UROK	\N	\N
3573967	1317	1998-12-31	PRIJEM	\N	82	20578	UROK	\N	\N
3573968	1318	1998-03-31	PRIJEM	\N	36	26421	UROK	\N	\N
3573969	1318	1998-04-30	PRIJEM	\N	117	39887	UROK	\N	\N
3573970	1318	1998-05-31	PRIJEM	\N	166	29153	UROK	\N	\N
3573971	1318	1998-06-30	PRIJEM	\N	166	27120	UROK	\N	\N
3573972	1318	1998-07-31	PRIJEM	\N	166	27386	UROK	\N	\N
3573973	1318	1998-08-31	PRIJEM	\N	180	45668	UROK	\N	\N
3573974	1318	1998-09-30	PRIJEM	\N	93	24892	UROK	\N	\N
3573975	1318	1998-10-31	PRIJEM	\N	66	14391	UROK	\N	\N
3573976	1318	1998-11-30	PRIJEM	\N	44	12223	UROK	\N	\N
3573977	1318	1998-12-31	PRIJEM	\N	80	34197	UROK	\N	\N
3573978	1319	1997-11-30	PRIJEM	\N	139	50928	UROK	\N	\N
3573979	1319	1997-12-31	PRIJEM	\N	211	48235	UROK	\N	\N
3573980	1319	1998-01-31	PRIJEM	\N	207	61260	UROK	\N	\N
3573981	1319	1998-02-28	PRIJEM	\N	254	48214	UROK	\N	\N
3573982	1319	1998-03-31	PRIJEM	\N	254	40969	UROK	\N	\N
3573983	1319	1998-04-30	PRIJEM	\N	194	58692	UROK	\N	\N
3573984	1319	1998-05-31	PRIJEM	\N	306	102237	UROK	\N	\N
3573985	1319	1998-06-30	PRIJEM	\N	304	55036	UROK	\N	\N
3573986	1319	1998-07-31	PRIJEM	\N	170	34775	UROK	\N	\N
3573987	1319	1998-08-31	PRIJEM	\N	131	29875	UROK	\N	\N
3573988	1319	1998-09-30	PRIJEM	\N	255	60382	UROK	\N	\N
3573989	1319	1998-10-31	PRIJEM	\N	147	62293	UROK	\N	\N
3573990	1319	1998-11-30	PRIJEM	\N	308	73421	UROK	\N	\N
3573991	1319	1998-12-31	PRIJEM	\N	188	39177	UROK	\N	\N
3573992	1320	1996-12-31	PRIJEM	\N	50	26685	UROK	\N	\N
3573993	1320	1997-01-31	PRIJEM	\N	130	36406	UROK	\N	\N
3573994	1320	1997-02-28	PRIJEM	\N	160	40755	UROK	\N	\N
3573995	1320	1997-03-31	PRIJEM	\N	177	44722	UROK	\N	\N
3573996	1320	1997-04-30	PRIJEM	\N	186	44998	UROK	\N	\N
3573997	1320	1997-05-31	PRIJEM	\N	190	44050	UROK	\N	\N
3573998	1320	1997-06-30	PRIJEM	\N	157	22215	UROK	\N	\N
3573999	1320	1997-07-31	PRIJEM	\N	108	26285	UROK	\N	\N
3574000	1320	1997-08-31	PRIJEM	\N	118	27665	UROK	\N	\N
3574001	1320	1997-09-30	PRIJEM	\N	120	27747	UROK	\N	\N
3574002	1320	1997-10-31	PRIJEM	\N	120	28329	UROK	\N	\N
3574003	1320	1997-11-30	PRIJEM	\N	115	26007	UROK	\N	\N
3574004	1320	1997-12-31	PRIJEM	\N	119	27634	UROK	\N	\N
3574005	1320	1998-01-31	PRIJEM	\N	77	13273	UROK	\N	\N
3574006	1320	1998-02-28	PRIJEM	\N	61	14896	UROK	\N	\N
3574007	1320	1998-03-31	PRIJEM	\N	63	14322	UROK	\N	\N
3574008	1320	1998-04-30	PRIJEM	\N	75	19359	UROK	\N	\N
3574009	1320	1998-05-31	PRIJEM	\N	87	21008	UROK	\N	\N
3574010	1320	1998-06-30	PRIJEM	\N	97	19212	UROK	\N	\N
3574011	1320	1998-07-31	PRIJEM	\N	79	18854	UROK	\N	\N
3574012	1320	1998-08-31	PRIJEM	\N	75	17992	UROK	\N	\N
3574013	1320	1998-09-30	PRIJEM	\N	96	13850	UROK	\N	\N
3574014	1320	1998-10-31	PRIJEM	\N	81	21893	UROK	\N	\N
3574015	1320	1998-11-30	PRIJEM	\N	114	29970	UROK	\N	\N
3574016	1320	1998-12-31	PRIJEM	\N	149	38526	UROK	\N	\N
3574017	1321	1997-04-30	PRIJEM	\N	10	13835	UROK	\N	\N
3574018	1321	1997-05-31	PRIJEM	\N	62	19522	UROK	\N	\N
3574019	1321	1997-06-30	PRIJEM	\N	86	25345	UROK	\N	\N
3574020	1321	1997-07-31	PRIJEM	\N	107	27177	UROK	\N	\N
3574021	1321	1997-08-31	PRIJEM	\N	105	23264	UROK	\N	\N
3574022	1321	1997-09-30	PRIJEM	\N	104	27495	UROK	\N	\N
3574023	1321	1997-10-31	PRIJEM	\N	113	25036	UROK	\N	\N
3574024	1321	1997-11-30	PRIJEM	\N	103	22766	UROK	\N	\N
3574025	1321	1997-12-31	PRIJEM	\N	102	22688	UROK	\N	\N
3574026	1321	1998-01-31	PRIJEM	\N	70	13306	UROK	\N	\N
3574027	1321	1998-02-28	PRIJEM	\N	67	21100	UROK	\N	\N
3574028	1321	1998-03-31	PRIJEM	\N	96	25824	UROK	\N	\N
3574029	1321	1998-04-30	PRIJEM	\N	111	25002	UROK	\N	\N
3574030	1321	1998-05-31	PRIJEM	\N	110	28239	UROK	\N	\N
3574031	1321	1998-06-30	PRIJEM	\N	105	21984	UROK	\N	\N
3574032	1321	1998-07-31	PRIJEM	\N	91	21103	UROK	\N	\N
3574033	1321	1998-08-31	PRIJEM	\N	91	22221	UROK	\N	\N
3574034	1321	1998-09-30	PRIJEM	\N	96	23644	UROK	\N	\N
3574035	1321	1998-10-31	PRIJEM	\N	101	24372	UROK	\N	\N
3574036	1321	1998-11-30	PRIJEM	\N	99	22698	UROK	\N	\N
3574037	1321	1998-12-31	PRIJEM	\N	100	25019	UROK	\N	\N
3574038	1322	1993-07-31	PRIJEM	\N	16	4651	UROK	\N	\N
3574039	1322	1993-08-31	PRIJEM	\N	19	9106	UROK	\N	\N
3574040	1322	1993-09-30	PRIJEM	\N	19	13560	UROK	\N	\N
3574041	1322	1993-10-31	PRIJEM	\N	19	18014	UROK	\N	\N
3574042	1322	1993-11-30	PRIJEM	\N	68	19601	UROK	\N	\N
3574043	1322	1993-12-31	PRIJEM	\N	85	20190	UROK	\N	\N
3574044	1322	1994-01-31	PRIJEM	\N	68	12322	UROK	\N	\N
3574045	1322	1994-02-28	PRIJEM	\N	57	13883	UROK	\N	\N
3574046	1322	1994-03-31	PRIJEM	\N	56	13044	UROK	\N	\N
3574047	1322	1994-04-30	PRIJEM	\N	60	14608	UROK	\N	\N
3574048	1322	1994-05-31	PRIJEM	\N	66	16179	UROK	\N	\N
3574049	1322	1994-06-30	PRIJEM	\N	56	11189	UROK	\N	\N
3574050	1322	1994-07-31	PRIJEM	\N	52	12746	UROK	\N	\N
3574051	1322	1994-08-31	PRIJEM	\N	59	14309	UROK	\N	\N
3574052	1322	1994-09-30	PRIJEM	\N	65	15878	UROK	\N	\N
3574053	1322	1994-10-31	PRIJEM	\N	63	14166	UROK	\N	\N
3574054	1322	1994-11-30	PRIJEM	\N	67	15257	UROK	\N	\N
3574055	1322	1994-12-31	PRIJEM	\N	69	15980	UROK	\N	\N
3574056	1322	1995-01-31	PRIJEM	\N	56	12180	UROK	\N	\N
3574057	1322	1995-02-28	PRIJEM	\N	56	13740	UROK	\N	\N
3574058	1322	1995-03-31	PRIJEM	\N	63	15307	UROK	\N	\N
3574059	1322	1995-04-30	PRIJEM	\N	69	16881	UROK	\N	\N
3574060	1322	1995-05-31	PRIJEM	\N	72	16457	UROK	\N	\N
3574061	1322	1995-06-30	PRIJEM	\N	73	17314	UROK	\N	\N
3574062	1322	1995-07-31	PRIJEM	\N	78	18896	UROK	\N	\N
3574063	1322	1995-08-31	PRIJEM	\N	82	18882	UROK	\N	\N
3574064	1322	1995-09-30	PRIJEM	\N	84	20471	UROK	\N	\N
3574065	1322	1995-10-31	PRIJEM	\N	91	22066	UROK	\N	\N
3574066	1322	1995-11-30	PRIJEM	\N	97	23667	UROK	\N	\N
3574067	1322	1995-12-31	PRIJEM	\N	102	22853	UROK	\N	\N
3574068	1322	1996-01-31	PRIJEM	\N	68	14696	UROK	\N	\N
3574069	1322	1996-02-29	PRIJEM	\N	66	16267	UROK	\N	\N
3574070	1322	1996-03-31	PRIJEM	\N	73	17844	UROK	\N	\N
3574071	1322	1996-04-30	PRIJEM	\N	79	19428	UROK	\N	\N
3574072	1322	1996-05-31	PRIJEM	\N	86	21018	UROK	\N	\N
3574073	1322	1996-06-30	PRIJEM	\N	76	16088	UROK	\N	\N
3574074	1322	1996-07-31	PRIJEM	\N	70	16543	UROK	\N	\N
3574075	1322	1996-08-31	PRIJEM	\N	66	15474	UROK	\N	\N
3574076	1322	1996-09-30	PRIJEM	\N	65	15523	UROK	\N	\N
3574077	1322	1996-10-31	PRIJEM	\N	70	17097	UROK	\N	\N
3574078	1322	1996-11-30	PRIJEM	\N	76	18678	UROK	\N	\N
3574079	1322	1996-12-31	PRIJEM	\N	80	19463	UROK	\N	\N
3574080	1322	1997-01-31	PRIJEM	\N	73	14960	UROK	\N	\N
3574081	1322	1997-02-28	PRIJEM	\N	67	16531	UROK	\N	\N
3574082	1322	1997-03-31	PRIJEM	\N	73	17389	UROK	\N	\N
3574083	1322	1997-04-30	PRIJEM	\N	77	18970	UROK	\N	\N
3574084	1322	1997-05-31	PRIJEM	\N	84	20558	UROK	\N	\N
3574085	1322	1997-06-30	PRIJEM	\N	84	20146	UROK	\N	\N
3574086	1322	1997-07-31	PRIJEM	\N	88	21739	UROK	\N	\N
3574087	1322	1997-08-31	PRIJEM	\N	94	22857	UROK	\N	\N
3574088	1322	1997-09-30	PRIJEM	\N	100	24461	UROK	\N	\N
3574089	1322	1997-10-31	PRIJEM	\N	105	25270	UROK	\N	\N
3574090	1322	1997-11-30	PRIJEM	\N	110	26884	UROK	\N	\N
3574091	1322	1997-12-31	PRIJEM	\N	114	27602	UROK	\N	\N
3574092	1322	1998-01-31	PRIJEM	\N	81	17138	UROK	\N	\N
3574093	1322	1998-02-28	PRIJEM	\N	75	18718	UROK	\N	\N
3574094	1322	1998-03-31	PRIJEM	\N	82	20304	UROK	\N	\N
3574095	1322	1998-04-30	PRIJEM	\N	89	21897	UROK	\N	\N
3574096	1322	1998-05-31	PRIJEM	\N	94	20775	UROK	\N	\N
3574097	1322	1998-06-30	PRIJEM	\N	78	17178	UROK	\N	\N
3574098	1322	1998-07-31	PRIJEM	\N	75	18757	UROK	\N	\N
3574099	1322	1998-08-31	PRIJEM	\N	82	20344	UROK	\N	\N
3574100	1322	1998-09-30	PRIJEM	\N	88	21936	UROK	\N	\N
3574101	1322	1998-10-31	PRIJEM	\N	91	19772	UROK	\N	\N
3574102	1322	1998-11-30	PRIJEM	\N	86	21362	UROK	\N	\N
3574103	1322	1998-12-31	PRIJEM	\N	92	22659	UROK	\N	\N
3574104	1323	1996-06-30	PRIJEM	\N	47	27985	UROK	\N	\N
3574105	1323	1996-07-31	PRIJEM	\N	130	36040	UROK	\N	\N
3574106	1323	1996-08-31	PRIJEM	\N	163	43128	UROK	\N	\N
3574107	1323	1996-09-30	PRIJEM	\N	185	46438	UROK	\N	\N
3574108	1323	1996-10-31	PRIJEM	\N	195	47458	UROK	\N	\N
3574109	1323	1996-11-30	PRIJEM	\N	195	40623	UROK	\N	\N
3574110	1323	1996-12-31	PRIJEM	\N	178	42145	UROK	\N	\N
3574111	1323	1997-01-31	PRIJEM	\N	152	28887	UROK	\N	\N
3574112	1323	1997-02-28	PRIJEM	\N	136	37414	UROK	\N	\N
3574113	1323	1997-03-31	PRIJEM	\N	177	45281	UROK	\N	\N
3574114	1323	1997-04-30	PRIJEM	\N	189	44961	UROK	\N	\N
3574115	1323	1997-05-31	PRIJEM	\N	189	44440	UROK	\N	\N
3574116	1323	1997-06-30	PRIJEM	\N	167	32150	UROK	\N	\N
3574117	1323	1997-07-31	PRIJEM	\N	153	39493	UROK	\N	\N
3574118	1323	1997-08-31	PRIJEM	\N	164	39347	UROK	\N	\N
3574119	1323	1997-09-30	PRIJEM	\N	187	49323	UROK	\N	\N
3574120	1323	1997-10-31	PRIJEM	\N	226	58340	UROK	\N	\N
3574121	1323	1997-11-30	PRIJEM	\N	238	58968	UROK	\N	\N
3574122	1323	1997-12-31	PRIJEM	\N	273	71705	UROK	\N	\N
3574123	1323	1998-01-31	PRIJEM	\N	250	60985	UROK	\N	\N
3574124	1323	1998-02-28	PRIJEM	\N	249	64644	UROK	\N	\N
3574125	1323	1998-03-31	PRIJEM	\N	292	75026	UROK	\N	\N
3574126	1323	1998-04-30	PRIJEM	\N	314	79131	UROK	\N	\N
3574127	1323	1998-05-31	PRIJEM	\N	311	76332	UROK	\N	\N
3574128	1323	1998-06-30	PRIJEM	\N	279	60175	UROK	\N	\N
3574129	1323	1998-07-31	PRIJEM	\N	263	68328	UROK	\N	\N
3574130	1323	1998-08-31	PRIJEM	\N	283	72122	UROK	\N	\N
3574131	1323	1998-09-30	PRIJEM	\N	259	65031	UROK	\N	\N
3574132	1323	1998-10-31	PRIJEM	\N	252	64274	UROK	\N	\N
3574133	1323	1998-11-30	PRIJEM	\N	252	63116	UROK	\N	\N
3574134	1323	1998-12-31	PRIJEM	\N	282	75902	UROK	\N	\N
3574135	1324	1996-11-30	PRIJEM	\N	62	18615	UROK	\N	\N
3574136	1324	1996-12-31	PRIJEM	\N	182	49876	UROK	\N	\N
3574137	1324	1997-01-31	PRIJEM	\N	239	59368	UROK	\N	\N
3574138	1324	1997-02-28	PRIJEM	\N	250	60571	UROK	\N	\N
3574139	1324	1997-03-31	PRIJEM	\N	260	62504	UROK	\N	\N
3574140	1324	1997-04-30	PRIJEM	\N	228	54350	UROK	\N	\N
3574141	1324	1997-05-31	PRIJEM	\N	220	53527	UROK	\N	\N
3574142	1324	1997-06-30	PRIJEM	\N	247	61177	UROK	\N	\N
3574143	1324	1997-07-31	PRIJEM	\N	227	54421	UROK	\N	\N
3574144	1324	1997-08-31	PRIJEM	\N	217	53256	UROK	\N	\N
3574145	1324	1997-09-30	PRIJEM	\N	218	53191	UROK	\N	\N
3574146	1324	1997-10-31	PRIJEM	\N	228	56336	UROK	\N	\N
3574147	1324	1997-11-30	PRIJEM	\N	217	52851	UROK	\N	\N
3574148	1324	1997-12-31	PRIJEM	\N	225	45699	UROK	\N	\N
3574149	1324	1998-01-31	PRIJEM	\N	236	44952	UROK	\N	\N
3574150	1324	1998-02-28	PRIJEM	\N	233	60003	UROK	\N	\N
3574151	1324	1998-03-31	PRIJEM	\N	240	46760	UROK	\N	\N
3574152	1324	1998-04-30	PRIJEM	\N	243	49720	UROK	\N	\N
3574153	1324	1998-05-31	PRIJEM	\N	251	51089	UROK	\N	\N
3574154	1324	1998-06-30	PRIJEM	\N	285	57517	UROK	\N	\N
3574155	1324	1998-07-31	PRIJEM	\N	281	58215	UROK	\N	\N
3574156	1324	1998-08-31	PRIJEM	\N	279	54612	UROK	\N	\N
3574157	1324	1998-09-30	PRIJEM	\N	267	55796	UROK	\N	\N
3574158	1324	1998-10-31	PRIJEM	\N	263	50056	UROK	\N	\N
3574159	1324	1998-11-30	PRIJEM	\N	233	47507	UROK	\N	\N
3574160	1324	1998-12-31	PRIJEM	\N	263	63033	UROK	\N	\N
3574161	1325	1996-08-31	PRIJEM	\N	10	3503	UROK	\N	\N
3574162	1325	1996-09-30	PRIJEM	\N	15	6711	UROK	\N	\N
3574163	1325	1996-10-31	PRIJEM	\N	15	9918	UROK	\N	\N
3574164	1325	1996-11-30	PRIJEM	\N	15	13126	UROK	\N	\N
3574165	1325	1996-12-31	PRIJEM	\N	46	14236	UROK	\N	\N
3574166	1325	1997-01-31	PRIJEM	\N	58	12195	UROK	\N	\N
3574167	1325	1997-02-28	PRIJEM	\N	54	13300	UROK	\N	\N
3574168	1325	1997-03-31	PRIJEM	\N	59	14409	UROK	\N	\N
3574169	1325	1997-04-30	PRIJEM	\N	64	15523	UROK	\N	\N
3574170	1325	1997-05-31	PRIJEM	\N	68	16642	UROK	\N	\N
3574171	1325	1997-06-30	PRIJEM	\N	67	15240	UROK	\N	\N
3574172	1325	1997-07-31	PRIJEM	\N	66	15577	UROK	\N	\N
3574173	1325	1997-08-31	PRIJEM	\N	67	15734	UROK	\N	\N
3574174	1325	1997-09-30	PRIJEM	\N	69	16854	UROK	\N	\N
3574175	1325	1997-10-31	PRIJEM	\N	74	17978	UROK	\N	\N
3574176	1325	1997-11-30	PRIJEM	\N	79	19107	UROK	\N	\N
3574177	1325	1997-12-31	PRIJEM	\N	81	19038	UROK	\N	\N
3574178	1325	1998-01-31	PRIJEM	\N	80	19028	UROK	\N	\N
3574179	1325	1998-02-28	PRIJEM	\N	83	20162	UROK	\N	\N
3574180	1325	1998-03-31	PRIJEM	\N	88	21300	UROK	\N	\N
3574181	1325	1998-04-30	PRIJEM	\N	88	20128	UROK	\N	\N
3574182	1325	1998-05-31	PRIJEM	\N	84	20152	UROK	\N	\N
3574183	1325	1998-06-30	PRIJEM	\N	80	17832	UROK	\N	\N
3574184	1325	1998-07-31	PRIJEM	\N	77	17970	UROK	\N	\N
3574185	1325	1998-08-31	PRIJEM	\N	78	19099	UROK	\N	\N
3574186	1325	1998-09-30	PRIJEM	\N	83	20232	UROK	\N	\N
3574187	1325	1998-10-31	PRIJEM	\N	88	21370	UROK	\N	\N
3574188	1325	1998-11-30	PRIJEM	\N	92	21343	UROK	\N	\N
3574189	1325	1998-12-31	PRIJEM	\N	92	21795	UROK	\N	\N
3574190	1326	1996-12-31	PRIJEM	\N	51	18098	UROK	\N	\N
3574191	1326	1997-01-31	PRIJEM	\N	93	24257	UROK	\N	\N
3574192	1326	1997-02-28	PRIJEM	\N	107	26329	UROK	\N	\N
3574193	1326	1997-03-31	PRIJEM	\N	107	25400	UROK	\N	\N
3574194	1326	1997-04-30	PRIJEM	\N	96	20084	UROK	\N	\N
3574195	1326	1997-05-31	PRIJEM	\N	96	24408	UROK	\N	\N
3574196	1326	1997-06-30	PRIJEM	\N	120	30018	UROK	\N	\N
3574197	1326	1997-07-31	PRIJEM	\N	114	26199	UROK	\N	\N
3574198	1326	1997-08-31	PRIJEM	\N	102	23209	UROK	\N	\N
3574199	1326	1997-09-30	PRIJEM	\N	108	26424	UROK	\N	\N
3574200	1326	1997-10-31	PRIJEM	\N	111	26442	UROK	\N	\N
3574201	1326	1997-11-30	PRIJEM	\N	103	24052	UROK	\N	\N
3574202	1326	1997-12-31	PRIJEM	\N	99	15420	UROK	\N	\N
3574203	1326	1998-01-31	PRIJEM	\N	59	12767	UROK	\N	\N
3574204	1326	1998-02-28	PRIJEM	\N	73	18547	UROK	\N	\N
3574205	1326	1998-03-31	PRIJEM	\N	81	19335	UROK	\N	\N
3574206	1326	1998-04-30	PRIJEM	\N	85	20528	UROK	\N	\N
3574207	1326	1998-05-31	PRIJEM	\N	67	13122	UROK	\N	\N
3574208	1326	1998-06-30	PRIJEM	\N	73	16665	UROK	\N	\N
3574209	1326	1998-07-31	PRIJEM	\N	64	13516	UROK	\N	\N
3574210	1326	1998-08-31	PRIJEM	\N	62	15085	UROK	\N	\N
3574211	1326	1998-09-30	PRIJEM	\N	68	16661	UROK	\N	\N
3574212	1326	1998-10-31	PRIJEM	\N	73	17521	UROK	\N	\N
3574213	1326	1998-11-30	PRIJEM	\N	79	19107	UROK	\N	\N
3574214	1326	1998-12-31	PRIJEM	\N	82	17939	UROK	\N	\N
3574215	1328	1996-05-31	PRIJEM	\N	108	33706	UROK	\N	\N
3574216	1328	1996-06-30	PRIJEM	\N	278	77031	UROK	\N	\N
3574217	1328	1996-07-31	PRIJEM	\N	346	85175	UROK	\N	\N
3574218	1328	1996-08-31	PRIJEM	\N	375	91848	UROK	\N	\N
3574219	1328	1996-09-30	PRIJEM	\N	356	61942	UROK	\N	\N
3574220	1328	1996-10-31	PRIJEM	\N	257	58886	UROK	\N	\N
3574221	1328	1996-11-30	PRIJEM	\N	179	28149	UROK	\N	\N
3574222	1328	1996-12-31	PRIJEM	\N	183	43965	UROK	\N	\N
3574223	1328	1997-01-31	PRIJEM	\N	190	23770	UROK	\N	\N
3574224	1328	1997-02-28	PRIJEM	\N	128	41010	UROK	\N	\N
3574225	1328	1997-03-31	PRIJEM	\N	200	31428	UROK	\N	\N
3574226	1328	1997-04-30	PRIJEM	\N	186	35183	UROK	\N	\N
3574227	1328	1997-05-31	PRIJEM	\N	158	41024	UROK	\N	\N
3574228	1328	1997-06-30	PRIJEM	\N	227	49436	UROK	\N	\N
3574229	1328	1997-07-31	PRIJEM	\N	235	36687	UROK	\N	\N
3574230	1328	1997-08-31	PRIJEM	\N	159	46329	UROK	\N	\N
3574231	1328	1997-09-30	PRIJEM	\N	198	53810	UROK	\N	\N
3574232	1328	1997-10-31	PRIJEM	\N	231	62424	UROK	\N	\N
3574233	1328	1997-11-30	PRIJEM	\N	260	63568	UROK	\N	\N
3574234	1328	1997-12-31	PRIJEM	\N	297	30316	UROK	\N	\N
3574235	1328	1998-01-31	PRIJEM	\N	163	33062	UROK	\N	\N
3574236	1328	1998-02-28	PRIJEM	\N	149	38194	UROK	\N	\N
3574237	1328	1998-03-31	PRIJEM	\N	162	34940	UROK	\N	\N
3574238	1328	1998-04-30	PRIJEM	\N	160	47184	UROK	\N	\N
3574239	1328	1998-05-31	PRIJEM	\N	199	52266	UROK	\N	\N
3574240	1328	1998-06-30	PRIJEM	\N	191	63690	UROK	\N	\N
3574241	1328	1998-07-31	PRIJEM	\N	266	65639	UROK	\N	\N
3574242	1328	1998-08-31	PRIJEM	\N	325	67947	UROK	\N	\N
3574243	1328	1998-09-30	PRIJEM	\N	286	71116	UROK	\N	\N
3574244	1328	1998-10-31	PRIJEM	\N	297	73097	UROK	\N	\N
3574245	1328	1998-11-30	PRIJEM	\N	305	66150	UROK	\N	\N
3574246	1328	1998-12-31	PRIJEM	\N	310	62330	UROK	\N	\N
3574247	1329	1996-10-31	PRIJEM	\N	37	17298	UROK	\N	\N
3574248	1329	1996-11-30	PRIJEM	\N	90	25249	UROK	\N	\N
3574249	1329	1996-12-31	PRIJEM	\N	120	31810	UROK	\N	\N
3574250	1329	1997-01-31	PRIJEM	\N	135	32906	UROK	\N	\N
3574251	1329	1997-02-28	PRIJEM	\N	133	29851	UROK	\N	\N
3574252	1329	1997-03-31	PRIJEM	\N	109	24585	UROK	\N	\N
3574253	1329	1997-04-30	PRIJEM	\N	94	20076	UROK	\N	\N
3574254	1329	1997-05-31	PRIJEM	\N	86	19760	UROK	\N	\N
3574255	1329	1997-06-30	PRIJEM	\N	98	21236	UROK	\N	\N
3574256	1329	1997-07-31	PRIJEM	\N	87	19920	UROK	\N	\N
3574257	1329	1997-08-31	PRIJEM	\N	84	19102	UROK	\N	\N
3574258	1329	1997-09-30	PRIJEM	\N	82	18621	UROK	\N	\N
3574259	1329	1997-10-31	PRIJEM	\N	66	13424	UROK	\N	\N
3574260	1329	1997-11-30	PRIJEM	\N	53	11314	UROK	\N	\N
3574261	1329	1997-12-31	PRIJEM	\N	64	14997	UROK	\N	\N
3574262	1329	1998-01-31	PRIJEM	\N	66	15099	UROK	\N	\N
3574263	1329	1998-02-28	PRIJEM	\N	82	19819	UROK	\N	\N
3574264	1329	1998-03-31	PRIJEM	\N	86	19442	UROK	\N	\N
3574265	1329	1998-04-30	PRIJEM	\N	77	16656	UROK	\N	\N
3574266	1329	1998-05-31	PRIJEM	\N	68	14861	UROK	\N	\N
3574267	1329	1998-06-30	PRIJEM	\N	80	18559	UROK	\N	\N
3574268	1329	1998-07-31	PRIJEM	\N	66	13562	UROK	\N	\N
3574269	1329	1998-08-31	PRIJEM	\N	48	10248	UROK	\N	\N
3574270	1329	1998-09-30	PRIJEM	\N	43	8488	UROK	\N	\N
3574271	1329	1998-10-31	PRIJEM	\N	40	8925	UROK	\N	\N
3574272	1329	1998-11-30	PRIJEM	\N	73	17295	UROK	\N	\N
3574273	1329	1998-12-31	PRIJEM	\N	105	26079	UROK	\N	\N
3574274	1331	1995-01-31	PRIJEM	\N	34	11424	UROK	\N	\N
3574275	1331	1995-02-28	PRIJEM	\N	103	31016	UROK	\N	\N
3574276	1331	1995-03-31	PRIJEM	\N	146	36953	UROK	\N	\N
3574277	1331	1995-04-30	PRIJEM	\N	163	40205	UROK	\N	\N
3574278	1331	1995-05-31	PRIJEM	\N	180	44776	UROK	\N	\N
3574279	1331	1995-06-30	PRIJEM	\N	176	44606	UROK	\N	\N
3574280	1331	1995-07-31	PRIJEM	\N	160	39225	UROK	\N	\N
3574281	1331	1995-08-31	PRIJEM	\N	153	38237	UROK	\N	\N
3574282	1331	1995-09-30	PRIJEM	\N	149	38346	UROK	\N	\N
3574283	1331	1995-10-31	PRIJEM	\N	145	27450	UROK	\N	\N
3574284	1331	1995-11-30	PRIJEM	\N	128	27137	UROK	\N	\N
3574285	1331	1995-12-31	PRIJEM	\N	135	31427	UROK	\N	\N
3574286	1331	1996-01-31	PRIJEM	\N	92	21978	UROK	\N	\N
3574287	1331	1996-02-29	PRIJEM	\N	108	26845	UROK	\N	\N
3574288	1331	1996-03-31	PRIJEM	\N	125	25529	UROK	\N	\N
3574289	1331	1996-04-30	PRIJEM	\N	117	22127	UROK	\N	\N
3574290	1331	1996-05-31	PRIJEM	\N	107	24593	UROK	\N	\N
3574291	1331	1996-06-30	PRIJEM	\N	128	25675	UROK	\N	\N
3574292	1331	1996-07-31	PRIJEM	\N	120	26454	UROK	\N	\N
3574293	1331	1996-08-31	PRIJEM	\N	121	23145	UROK	\N	\N
3574294	1331	1996-09-30	PRIJEM	\N	109	24613	UROK	\N	\N
3574295	1331	1996-10-31	PRIJEM	\N	117	28389	UROK	\N	\N
3574296	1331	1996-11-30	PRIJEM	\N	127	28875	UROK	\N	\N
3574297	1331	1996-12-31	PRIJEM	\N	127	26757	UROK	\N	\N
3574298	1331	1997-01-31	PRIJEM	\N	116	21232	UROK	\N	\N
3574299	1331	1997-02-28	PRIJEM	\N	97	21489	UROK	\N	\N
3574300	1331	1997-03-31	PRIJEM	\N	96	19444	UROK	\N	\N
3574301	1331	1997-04-30	PRIJEM	\N	91	20895	UROK	\N	\N
3574302	1331	1997-05-31	PRIJEM	\N	89	16143	UROK	\N	\N
3574303	1331	1997-06-30	PRIJEM	\N	90	21488	UROK	\N	\N
3574304	1331	1997-07-31	PRIJEM	\N	87	17735	UROK	\N	\N
3574305	1331	1997-08-31	PRIJEM	\N	78	16172	UROK	\N	\N
3574306	1331	1997-09-30	PRIJEM	\N	84	22615	UROK	\N	\N
3574307	1331	1997-10-31	PRIJEM	\N	86	14860	UROK	\N	\N
3574308	1331	1997-11-30	PRIJEM	\N	78	21297	UROK	\N	\N
3574309	1331	1997-12-31	PRIJEM	\N	94	18846	UROK	\N	\N
3574310	1331	1998-01-31	PRIJEM	\N	71	13876	UROK	\N	\N
3574311	1331	1998-02-28	PRIJEM	\N	58	12594	UROK	\N	\N
3574312	1331	1998-03-31	PRIJEM	\N	69	19022	UROK	\N	\N
3574313	1331	1998-04-30	PRIJEM	\N	95	25476	UROK	\N	\N
3574314	1331	1998-05-31	PRIJEM	\N	90	15725	UROK	\N	\N
3574315	1331	1998-06-30	PRIJEM	\N	97	27577	UROK	\N	\N
3574316	1331	1998-07-31	PRIJEM	\N	131	34067	UROK	\N	\N
3574317	1331	1998-08-31	PRIJEM	\N	138	29464	UROK	\N	\N
3574318	1331	1998-09-30	PRIJEM	\N	138	35962	UROK	\N	\N
3574319	1331	1998-10-31	PRIJEM	\N	166	42487	UROK	\N	\N
3574320	1331	1998-11-30	PRIJEM	\N	192	49039	UROK	\N	\N
3574321	1331	1998-12-31	PRIJEM	\N	129	19022	UROK	\N	\N
3574322	1332	1993-04-30	PRIJEM	\N	21	21356	UROK	\N	\N
3574323	1332	1993-05-31	PRIJEM	\N	100	31591	UROK	\N	\N
3574324	1332	1993-06-30	PRIJEM	\N	148	46341	UROK	\N	\N
3574325	1332	1993-07-31	PRIJEM	\N	193	47069	UROK	\N	\N
3574326	1332	1993-08-31	PRIJEM	\N	193	45397	UROK	\N	\N
3574327	1332	1993-09-30	PRIJEM	\N	206	45068	UROK	\N	\N
3574328	1332	1993-10-31	PRIJEM	\N	176	38889	UROK	\N	\N
3574329	1332	1993-11-30	PRIJEM	\N	173	41768	UROK	\N	\N
3574330	1332	1993-12-31	PRIJEM	\N	193	39473	UROK	\N	\N
3574331	1332	1994-01-31	PRIJEM	\N	147	17605	UROK	\N	\N
3574332	1332	1994-02-28	PRIJEM	\N	109	33080	UROK	\N	\N
3574333	1332	1994-03-31	PRIJEM	\N	161	38606	UROK	\N	\N
3574334	1332	1994-04-30	PRIJEM	\N	178	41949	UROK	\N	\N
3574335	1332	1994-05-31	PRIJEM	\N	193	45707	UROK	\N	\N
3574336	1332	1994-06-30	PRIJEM	\N	220	53660	UROK	\N	\N
3574337	1332	1994-07-31	PRIJEM	\N	224	51569	UROK	\N	\N
3574338	1332	1994-08-31	PRIJEM	\N	217	49352	UROK	\N	\N
3574339	1332	1994-09-30	PRIJEM	\N	205	45062	UROK	\N	\N
3574340	1332	1994-10-31	PRIJEM	\N	201	49428	UROK	\N	\N
3574341	1332	1994-11-30	PRIJEM	\N	215	52608	UROK	\N	\N
3574342	1332	1994-12-31	PRIJEM	\N	232	56773	UROK	\N	\N
3574343	1332	1995-01-31	PRIJEM	\N	198	34656	UROK	\N	\N
3574344	1332	1995-02-28	PRIJEM	\N	197	58719	UROK	\N	\N
3574345	1332	1995-03-31	PRIJEM	\N	249	59933	UROK	\N	\N
3574346	1332	1995-04-30	PRIJEM	\N	248	59086	UROK	\N	\N
3574347	1332	1995-05-31	PRIJEM	\N	243	58295	UROK	\N	\N
3574348	1332	1995-06-30	PRIJEM	\N	231	47778	UROK	\N	\N
3574349	1332	1995-07-31	PRIJEM	\N	234	63077	UROK	\N	\N
3574350	1332	1995-08-31	PRIJEM	\N	279	72022	UROK	\N	\N
3574351	1332	1995-09-30	PRIJEM	\N	315	81503	UROK	\N	\N
3574352	1332	1995-10-31	PRIJEM	\N	335	83904	UROK	\N	\N
3574353	1332	1995-11-30	PRIJEM	\N	344	86913	UROK	\N	\N
3574354	1332	1995-12-31	PRIJEM	\N	376	95402	UROK	\N	\N
3574355	1332	1996-01-31	PRIJEM	\N	337	64564	UROK	\N	\N
3574356	1332	1996-02-29	PRIJEM	\N	294	79223	UROK	\N	\N
3574357	1332	1996-03-31	PRIJEM	\N	330	83899	UROK	\N	\N
3574358	1332	1996-04-30	PRIJEM	\N	342	88106	UROK	\N	\N
3574359	1332	1996-05-31	PRIJEM	\N	345	87616	UROK	\N	\N
3574360	1332	1996-06-30	PRIJEM	\N	359	75047	UROK	\N	\N
3574361	1332	1996-07-31	PRIJEM	\N	326	83739	UROK	\N	\N
3574362	1332	1996-08-31	PRIJEM	\N	325	83829	UROK	\N	\N
3574363	1332	1996-09-30	PRIJEM	\N	322	83117	UROK	\N	\N
3574364	1332	1996-10-31	PRIJEM	\N	314	82236	UROK	\N	\N
3574365	1332	1996-11-30	PRIJEM	\N	320	79902	UROK	\N	\N
3574366	1332	1996-12-31	PRIJEM	\N	341	92035	UROK	\N	\N
3574367	1332	1997-01-31	PRIJEM	\N	314	75755	UROK	\N	\N
3574368	1332	1997-02-28	PRIJEM	\N	316	84136	UROK	\N	\N
3574369	1332	1997-03-31	PRIJEM	\N	347	90648	UROK	\N	\N
3574370	1332	1997-04-30	PRIJEM	\N	365	94779	UROK	\N	\N
3574371	1332	1997-05-31	PRIJEM	\N	372	95816	UROK	\N	\N
3574372	1332	1997-06-30	PRIJEM	\N	289	72538	UROK	\N	\N
3574373	1332	1997-07-31	PRIJEM	\N	327	87630	UROK	\N	\N
3574374	1332	1997-08-31	PRIJEM	\N	361	94856	UROK	\N	\N
3574375	1332	1997-09-30	PRIJEM	\N	361	95163	UROK	\N	\N
3574376	1332	1997-10-31	PRIJEM	\N	354	78982	UROK	\N	\N
3574377	1332	1997-11-30	PRIJEM	\N	351	78179	UROK	\N	\N
3574378	1332	1997-12-31	PRIJEM	\N	364	82355	UROK	\N	\N
3574379	1332	1998-01-31	PRIJEM	\N	343	79263	UROK	\N	\N
3574380	1332	1998-02-28	PRIJEM	\N	360	83888	UROK	\N	\N
3574381	1332	1998-03-31	PRIJEM	\N	379	83633	UROK	\N	\N
3574382	1332	1998-04-30	PRIJEM	\N	378	87276	UROK	\N	\N
3574383	1332	1998-05-31	PRIJEM	\N	385	91186	UROK	\N	\N
3574384	1332	1998-06-30	PRIJEM	\N	331	85570	UROK	\N	\N
3574385	1332	1998-07-31	PRIJEM	\N	383	90119	UROK	\N	\N
3574386	1332	1998-08-31	PRIJEM	\N	399	92983	UROK	\N	\N
3574387	1332	1998-09-30	PRIJEM	\N	407	93855	UROK	\N	\N
3574388	1332	1998-10-31	PRIJEM	\N	407	91627	UROK	\N	\N
3574389	1332	1998-11-30	PRIJEM	\N	400	94393	UROK	\N	\N
3574390	1332	1998-12-31	PRIJEM	\N	406	95532	UROK	\N	\N
3574391	1333	1994-10-31	PRIJEM	\N	6	15069	UROK	\N	\N
3574392	1333	1994-11-30	PRIJEM	\N	66	23398	UROK	\N	\N
3574393	1333	1994-12-31	PRIJEM	\N	101	30643	UROK	\N	\N
3574394	1333	1995-01-31	PRIJEM	\N	129	33335	UROK	\N	\N
3574395	1333	1995-02-28	PRIJEM	\N	148	33147	UROK	\N	\N
3574396	1333	1995-03-31	PRIJEM	\N	143	30830	UROK	\N	\N
3574397	1333	1995-04-30	PRIJEM	\N	133	28703	UROK	\N	\N
3574398	1333	1995-05-31	PRIJEM	\N	124	27568	UROK	\N	\N
3574399	1333	1995-06-30	PRIJEM	\N	130	29819	UROK	\N	\N
3574400	1333	1995-07-31	PRIJEM	\N	114	23473	UROK	\N	\N
3574401	1333	1995-08-31	PRIJEM	\N	103	24017	UROK	\N	\N
3574402	1333	1995-09-30	PRIJEM	\N	105	24762	UROK	\N	\N
3574403	1333	1995-10-31	PRIJEM	\N	108	24910	UROK	\N	\N
3574404	1333	1995-11-30	PRIJEM	\N	111	28362	UROK	\N	\N
3574405	1333	1995-12-31	PRIJEM	\N	127	27110	UROK	\N	\N
3574406	1333	1996-01-31	PRIJEM	\N	96	21546	UROK	\N	\N
3574407	1333	1996-02-29	PRIJEM	\N	94	22481	UROK	\N	\N
3574408	1333	1996-03-31	PRIJEM	\N	99	24020	UROK	\N	\N
3574409	1333	1996-04-30	PRIJEM	\N	101	22361	UROK	\N	\N
3574410	1333	1996-05-31	PRIJEM	\N	95	21896	UROK	\N	\N
3574411	1333	1996-06-30	PRIJEM	\N	92	24010	UROK	\N	\N
3574412	1333	1996-07-31	PRIJEM	\N	99	22049	UROK	\N	\N
3574413	1333	1996-08-31	PRIJEM	\N	96	23285	UROK	\N	\N
3574414	1333	1996-09-30	PRIJEM	\N	96	22021	UROK	\N	\N
3574415	1333	1996-10-31	PRIJEM	\N	85	16647	UROK	\N	\N
3574416	1333	1996-11-30	PRIJEM	\N	57	12745	UROK	\N	\N
3574417	1333	1996-12-31	PRIJEM	\N	64	14931	UROK	\N	\N
3574418	1333	1997-01-31	PRIJEM	\N	58	14829	UROK	\N	\N
3574419	1333	1997-02-28	PRIJEM	\N	62	14831	UROK	\N	\N
3574420	1333	1997-03-31	PRIJEM	\N	61	14233	UROK	\N	\N
3574421	1333	1997-04-30	PRIJEM	\N	62	15535	UROK	\N	\N
3574422	1333	1997-05-31	PRIJEM	\N	64	14339	UROK	\N	\N
3574423	1333	1997-06-30	PRIJEM	\N	80	23541	UROK	\N	\N
3574424	1333	1997-07-31	PRIJEM	\N	103	25884	UROK	\N	\N
3574425	1333	1997-08-31	PRIJEM	\N	115	28939	UROK	\N	\N
3574426	1333	1997-09-30	PRIJEM	\N	127	32707	UROK	\N	\N
3574427	1333	1997-10-31	PRIJEM	\N	134	32781	UROK	\N	\N
3574428	1333	1997-11-30	PRIJEM	\N	144	37065	UROK	\N	\N
3574429	1333	1997-12-31	PRIJEM	\N	156	36342	UROK	\N	\N
3574430	1333	1998-01-31	PRIJEM	\N	118	25600	UROK	\N	\N
3574431	1333	1998-02-28	PRIJEM	\N	109	28850	UROK	\N	\N
3574432	1333	1998-03-31	PRIJEM	\N	114	28204	UROK	\N	\N
3574433	1333	1998-04-30	PRIJEM	\N	112	28257	UROK	\N	\N
3574434	1333	1998-05-31	PRIJEM	\N	125	33022	UROK	\N	\N
3574435	1333	1998-06-30	PRIJEM	\N	132	34376	UROK	\N	\N
3574436	1333	1998-07-31	PRIJEM	\N	117	27234	UROK	\N	\N
3574437	1333	1998-08-31	PRIJEM	\N	104	21978	UROK	\N	\N
3574438	1333	1998-09-30	PRIJEM	\N	87	19305	UROK	\N	\N
3574439	1333	1998-10-31	PRIJEM	\N	87	23732	UROK	\N	\N
3574440	1333	1998-11-30	PRIJEM	\N	83	20356	UROK	\N	\N
3574441	1333	1998-12-31	PRIJEM	\N	98	25175	UROK	\N	\N
3574442	1335	1995-10-31	PRIJEM	\N	27	18102	UROK	\N	\N
3574443	1335	1995-11-30	PRIJEM	\N	93	29570	UROK	\N	\N
3574444	1335	1995-12-31	PRIJEM	\N	138	38719	UROK	\N	\N
3574445	1335	1996-01-31	PRIJEM	\N	162	39356	UROK	\N	\N
3574446	1335	1996-02-29	PRIJEM	\N	162	33526	UROK	\N	\N
3574447	1335	1996-03-31	PRIJEM	\N	148	33683	UROK	\N	\N
3574448	1335	1996-04-30	PRIJEM	\N	149	35082	UROK	\N	\N
3574449	1335	1996-05-31	PRIJEM	\N	161	39692	UROK	\N	\N
3574450	1335	1996-06-30	PRIJEM	\N	141	26520	UROK	\N	\N
3574451	1335	1996-07-31	PRIJEM	\N	118	31927	UROK	\N	\N
3574452	1335	1996-08-31	PRIJEM	\N	141	32737	UROK	\N	\N
3574453	1335	1996-09-30	PRIJEM	\N	138	32684	UROK	\N	\N
3574454	1335	1996-10-31	PRIJEM	\N	155	39889	UROK	\N	\N
3574455	1335	1996-11-30	PRIJEM	\N	176	38414	UROK	\N	\N
3574456	1335	1996-12-31	PRIJEM	\N	188	40549	UROK	\N	\N
3574457	1335	1997-01-31	PRIJEM	\N	156	33555	UROK	\N	\N
3574458	1335	1997-02-28	PRIJEM	\N	166	44370	UROK	\N	\N
3574459	1335	1997-03-31	PRIJEM	\N	205	41325	UROK	\N	\N
3574460	1335	1997-04-30	PRIJEM	\N	171	40745	UROK	\N	\N
3574461	1335	1997-05-31	PRIJEM	\N	162	37656	UROK	\N	\N
3574462	1335	1997-06-30	PRIJEM	\N	185	49227	UROK	\N	\N
3574463	1335	1997-07-31	PRIJEM	\N	199	47776	UROK	\N	\N
3574464	1335	1997-08-31	PRIJEM	\N	188	44913	UROK	\N	\N
3574465	1335	1997-09-30	PRIJEM	\N	175	43038	UROK	\N	\N
3574466	1335	1997-10-31	PRIJEM	\N	173	42260	UROK	\N	\N
3574467	1335	1997-11-30	PRIJEM	\N	160	38769	UROK	\N	\N
3574468	1335	1997-12-31	PRIJEM	\N	169	44965	UROK	\N	\N
3574469	1335	1998-01-31	PRIJEM	\N	176	43690	UROK	\N	\N
3574470	1335	1998-02-28	PRIJEM	\N	176	44616	UROK	\N	\N
3574471	1335	1998-03-31	PRIJEM	\N	175	42940	UROK	\N	\N
3574472	1335	1998-04-30	PRIJEM	\N	172	43261	UROK	\N	\N
3574473	1335	1998-05-31	PRIJEM	\N	172	43183	UROK	\N	\N
3574474	1335	1998-06-30	PRIJEM	\N	171	40281	UROK	\N	\N
3574475	1335	1998-07-31	PRIJEM	\N	152	38182	UROK	\N	\N
3574476	1335	1998-08-31	PRIJEM	\N	150	38481	UROK	\N	\N
3574477	1335	1998-09-30	PRIJEM	\N	138	35068	UROK	\N	\N
3574478	1335	1998-10-31	PRIJEM	\N	140	33817	UROK	\N	\N
3574479	1335	1998-11-30	PRIJEM	\N	151	40018	UROK	\N	\N
3574480	1335	1998-12-31	PRIJEM	\N	174	47779	UROK	\N	\N
3574481	1336	1997-03-31	PRIJEM	\N	11	20915	UROK	\N	\N
3574482	1336	1997-04-30	PRIJEM	\N	92	29711	UROK	\N	\N
3574483	1336	1997-05-31	PRIJEM	\N	125	31640	UROK	\N	\N
3574484	1336	1997-06-30	PRIJEM	\N	137	40033	UROK	\N	\N
3574485	1336	1997-07-31	PRIJEM	\N	178	33389	UROK	\N	\N
3574486	1336	1997-08-31	PRIJEM	\N	154	25406	UROK	\N	\N
3574487	1336	1997-09-30	PRIJEM	\N	124	28393	UROK	\N	\N
3574488	1336	1997-10-31	PRIJEM	\N	133	29089	UROK	\N	\N
3574489	1336	1997-11-30	PRIJEM	\N	135	27187	UROK	\N	\N
3574490	1336	1997-12-31	PRIJEM	\N	151	30853	UROK	\N	\N
3574491	1336	1998-01-31	PRIJEM	\N	121	21837	UROK	\N	\N
3574492	1336	1998-02-28	PRIJEM	\N	109	26809	UROK	\N	\N
3574493	1336	1998-03-31	PRIJEM	\N	127	28399	UROK	\N	\N
3574494	1336	1998-04-30	PRIJEM	\N	134	30596	UROK	\N	\N
3574495	1336	1998-05-31	PRIJEM	\N	141	29900	UROK	\N	\N
3574496	1336	1998-06-30	PRIJEM	\N	100	21516	UROK	\N	\N
3574497	1336	1998-07-31	PRIJEM	\N	108	27287	UROK	\N	\N
3574498	1336	1998-08-31	PRIJEM	\N	125	28075	UROK	\N	\N
3574499	1336	1998-09-30	PRIJEM	\N	128	23167	UROK	\N	\N
3574500	1336	1998-10-31	PRIJEM	\N	105	21335	UROK	\N	\N
3574501	1336	1998-11-30	PRIJEM	\N	102	24401	UROK	\N	\N
3574502	1336	1998-12-31	PRIJEM	\N	125	23341	UROK	\N	\N
3574503	1337	1993-09-30	PRIJEM	\N	19	5415	UROK	\N	\N
3574504	1337	1993-10-31	PRIJEM	\N	70	19081	UROK	\N	\N
3574505	1337	1993-11-30	PRIJEM	\N	82	24559	UROK	\N	\N
3574506	1337	1993-12-31	PRIJEM	\N	98	27001	UROK	\N	\N
3574507	1337	1994-01-31	PRIJEM	\N	103	22637	UROK	\N	\N
3574508	1337	1994-02-28	PRIJEM	\N	99	24352	UROK	\N	\N
3574509	1337	1994-03-31	PRIJEM	\N	103	27673	UROK	\N	\N
3574510	1337	1994-04-30	PRIJEM	\N	120	29710	UROK	\N	\N
3574511	1337	1994-05-31	PRIJEM	\N	127	27855	UROK	\N	\N
3574512	1337	1994-06-30	PRIJEM	\N	98	19818	UROK	\N	\N
3574513	1337	1994-07-31	PRIJEM	\N	89	24724	UROK	\N	\N
3574514	1337	1994-08-31	PRIJEM	\N	108	27249	UROK	\N	\N
3574515	1337	1994-09-30	PRIJEM	\N	117	27884	UROK	\N	\N
3574516	1337	1994-10-31	PRIJEM	\N	118	27220	UROK	\N	\N
3574517	1337	1994-11-30	PRIJEM	\N	111	28648	UROK	\N	\N
3574518	1337	1994-12-31	PRIJEM	\N	129	29342	UROK	\N	\N
3574519	1337	1995-01-31	PRIJEM	\N	93	24152	UROK	\N	\N
3574520	1337	1995-02-28	PRIJEM	\N	105	25674	UROK	\N	\N
3574521	1337	1995-03-31	PRIJEM	\N	110	26202	UROK	\N	\N
3574522	1337	1995-04-30	PRIJEM	\N	112	25632	UROK	\N	\N
3574523	1337	1995-05-31	PRIJEM	\N	108	28357	UROK	\N	\N
3574524	1337	1995-06-30	PRIJEM	\N	98	24420	UROK	\N	\N
3574525	1337	1995-07-31	PRIJEM	\N	108	27445	UROK	\N	\N
3574526	1337	1995-08-31	PRIJEM	\N	118	29281	UROK	\N	\N
3574527	1337	1995-09-30	PRIJEM	\N	130	33628	UROK	\N	\N
3574528	1337	1995-10-31	PRIJEM	\N	139	32784	UROK	\N	\N
3574529	1337	1995-11-30	PRIJEM	\N	136	32937	UROK	\N	\N
3574530	1337	1995-12-31	PRIJEM	\N	143	34445	UROK	\N	\N
3574531	1337	1996-01-31	PRIJEM	\N	129	22691	UROK	\N	\N
3574532	1337	1996-02-29	PRIJEM	\N	102	24511	UROK	\N	\N
3574533	1337	1996-03-31	PRIJEM	\N	118	33046	UROK	\N	\N
3574534	1337	1996-04-30	PRIJEM	\N	147	38010	UROK	\N	\N
3574535	1337	1996-05-31	PRIJEM	\N	165	41293	UROK	\N	\N
3574536	1337	1996-06-30	PRIJEM	\N	153	35111	UROK	\N	\N
3574537	1337	1996-07-31	PRIJEM	\N	143	33471	UROK	\N	\N
3574538	1337	1996-08-31	PRIJEM	\N	144	35333	UROK	\N	\N
3574539	1337	1996-09-30	PRIJEM	\N	153	35503	UROK	\N	\N
3574540	1337	1996-10-31	PRIJEM	\N	155	38775	UROK	\N	\N
3574541	1337	1996-11-30	PRIJEM	\N	167	41360	UROK	\N	\N
3574542	1337	1996-12-31	PRIJEM	\N	186	45211	UROK	\N	\N
3574543	1337	1997-01-31	PRIJEM	\N	157	27685	UROK	\N	\N
3574544	1337	1997-02-28	PRIJEM	\N	141	38344	UROK	\N	\N
3574545	1337	1997-03-31	PRIJEM	\N	177	45838	UROK	\N	\N
3574546	1337	1997-04-30	PRIJEM	\N	191	46646	UROK	\N	\N
3574547	1337	1997-05-31	PRIJEM	\N	201	49365	UROK	\N	\N
3574548	1337	1997-06-30	PRIJEM	\N	189	42720	UROK	\N	\N
3574549	1337	1997-07-31	PRIJEM	\N	185	46222	UROK	\N	\N
3574550	1337	1997-08-31	PRIJEM	\N	193	45933	UROK	\N	\N
3574551	1337	1997-09-30	PRIJEM	\N	192	46943	UROK	\N	\N
3574552	1337	1997-10-31	PRIJEM	\N	206	51066	UROK	\N	\N
3574553	1337	1997-11-30	PRIJEM	\N	216	52799	UROK	\N	\N
3574554	1337	1997-12-31	PRIJEM	\N	237	58201	UROK	\N	\N
3574555	1337	1998-01-31	PRIJEM	\N	223	43541	UROK	\N	\N
3574556	1337	1998-02-28	PRIJEM	\N	206	51465	UROK	\N	\N
3574557	1337	1998-03-31	PRIJEM	\N	236	59118	UROK	\N	\N
3574558	1337	1998-04-30	PRIJEM	\N	256	62991	UROK	\N	\N
3574559	1337	1998-05-31	PRIJEM	\N	265	64574	UROK	\N	\N
3574560	1337	1998-06-30	PRIJEM	\N	212	44052	UROK	\N	\N
3574561	1337	1998-07-31	PRIJEM	\N	198	49067	UROK	\N	\N
3574562	1337	1998-08-31	PRIJEM	\N	198	45183	UROK	\N	\N
3574563	1337	1998-09-30	PRIJEM	\N	215	51115	UROK	\N	\N
3574564	1337	1998-10-31	PRIJEM	\N	243	60376	UROK	\N	\N
3574565	1337	1998-11-30	PRIJEM	\N	267	65359	UROK	\N	\N
3574566	1337	1998-12-31	PRIJEM	\N	280	68305	UROK	\N	\N
3574567	1338	1993-01-31	PRIJEM	\N	16	38416	UROK	\N	\N
3574568	1338	1993-02-28	PRIJEM	\N	160	33376	UROK	\N	\N
3574569	1338	1993-03-31	PRIJEM	\N	160	31136	UROK	\N	\N
3574570	1338	1993-04-30	PRIJEM	\N	225	64796	UROK	\N	\N
3574571	1338	1993-05-31	PRIJEM	\N	266	52299	UROK	\N	\N
3574572	1338	1993-06-30	PRIJEM	\N	123	26870	UROK	\N	\N
3574573	1338	1993-07-31	PRIJEM	\N	126	34733	UROK	\N	\N
3574574	1338	1993-08-31	PRIJEM	\N	120	26839	UROK	\N	\N
3574575	1338	1993-09-30	PRIJEM	\N	94	21420	UROK	\N	\N
3574576	1338	1993-10-31	PRIJEM	\N	107	25600	UROK	\N	\N
3574577	1338	1993-11-30	PRIJEM	\N	141	46624	UROK	\N	\N
3574578	1338	1993-12-31	PRIJEM	\N	226	37654	UROK	\N	\N
3574579	1338	1994-01-31	PRIJEM	\N	90	21710	UROK	\N	\N
3574580	1338	1994-02-28	PRIJEM	\N	87	26140	UROK	\N	\N
3574581	1338	1994-03-31	PRIJEM	\N	136	27715	UROK	\N	\N
3574582	1338	1994-04-30	PRIJEM	\N	230	65053	UROK	\N	\N
3574583	1338	1994-05-31	PRIJEM	\N	352	91416	UROK	\N	\N
3574584	1338	1994-06-30	PRIJEM	\N	220	67980	UROK	\N	\N
3574585	1338	1994-07-31	PRIJEM	\N	347	133041	UROK	\N	\N
3574586	1338	1994-08-31	PRIJEM	\N	347	87787	UROK	\N	\N
3574587	1338	1994-09-30	PRIJEM	\N	204	42508	UROK	\N	\N
3574588	1338	1994-10-31	PRIJEM	\N	125	26519	UROK	\N	\N
3574589	1338	1994-11-30	PRIJEM	\N	85	18690	UROK	\N	\N
3574590	1338	1994-12-31	PRIJEM	\N	66	15142	UROK	\N	\N
3574591	1338	1995-01-31	PRIJEM	\N	103	21277	UROK	\N	\N
3574592	1338	1995-02-28	PRIJEM	\N	71	15734	UROK	\N	\N
3574593	1338	1995-03-31	PRIJEM	\N	161	66826	UROK	\N	\N
3574594	1338	1995-04-30	PRIJEM	\N	209	71278	UROK	\N	\N
3574595	1338	1995-05-31	PRIJEM	\N	296	85168	UROK	\N	\N
3574596	1338	1995-06-30	PRIJEM	\N	175	26148	UROK	\N	\N
3574597	1338	1995-07-31	PRIJEM	\N	293	46919	UROK	\N	\N
3574598	1338	1995-08-31	PRIJEM	\N	180	36860	UROK	\N	\N
3574599	1338	1995-09-30	PRIJEM	\N	196	53701	UROK	\N	\N
3574600	1338	1995-10-31	PRIJEM	\N	149	27499	UROK	\N	\N
3574601	1338	1995-11-30	PRIJEM	\N	265	49880	UROK	\N	\N
3574602	1338	1995-12-31	PRIJEM	\N	169	32836	UROK	\N	\N
3574603	1338	1996-01-31	PRIJEM	\N	89	24412	UROK	\N	\N
3574604	1338	1996-02-29	PRIJEM	\N	116	28002	UROK	\N	\N
3574605	1338	1996-03-31	PRIJEM	\N	107	31284	UROK	\N	\N
3574606	1338	1996-04-30	PRIJEM	\N	112	27382	UROK	\N	\N
3574607	1338	1996-05-31	PRIJEM	\N	182	40253	UROK	\N	\N
3574608	1338	1996-06-30	PRIJEM	\N	127	28467	UROK	\N	\N
3574609	1338	1996-07-31	PRIJEM	\N	103	26656	UROK	\N	\N
3574610	1338	1996-08-31	PRIJEM	\N	95	23137	UROK	\N	\N
3574611	1338	1996-09-30	PRIJEM	\N	164	51207	UROK	\N	\N
3574612	1338	1996-10-31	PRIJEM	\N	208	108877	UROK	\N	\N
3574613	1338	1996-11-30	PRIJEM	\N	414	100247	UROK	\N	\N
3574614	1338	1996-12-31	PRIJEM	\N	316	79577	UROK	\N	\N
3574615	1338	1997-01-31	PRIJEM	\N	238	54229	UROK	\N	\N
3574616	1338	1997-02-28	PRIJEM	\N	191	32807	UROK	\N	\N
3574617	1338	1997-03-31	PRIJEM	\N	328	77496	UROK	\N	\N
3574618	1338	1997-04-30	PRIJEM	\N	314	66566	UROK	\N	\N
3574619	1338	1997-05-31	PRIJEM	\N	290	57754	UROK	\N	\N
3574620	1338	1997-06-30	PRIJEM	\N	234	79007	UROK	\N	\N
3574621	1338	1997-07-31	PRIJEM	\N	272	57902	UROK	\N	\N
3574622	1338	1997-08-31	PRIJEM	\N	219	52007	UROK	\N	\N
3574623	1338	1997-09-30	PRIJEM	\N	214	50538	UROK	\N	\N
3574624	1338	1997-10-31	PRIJEM	\N	194	47818	UROK	\N	\N
3574625	1338	1997-11-30	PRIJEM	\N	182	28578	UROK	\N	\N
3574626	1338	1997-12-31	PRIJEM	\N	117	28482	UROK	\N	\N
3574627	1338	1998-01-31	PRIJEM	\N	215	40298	UROK	\N	\N
3574628	1338	1998-02-28	PRIJEM	\N	178	49463	UROK	\N	\N
3574629	1338	1998-03-31	PRIJEM	\N	335	91933	UROK	\N	\N
3574630	1338	1998-04-30	PRIJEM	\N	315	66636	UROK	\N	\N
3574631	1338	1998-05-31	PRIJEM	\N	208	69740	UROK	\N	\N
3574632	1338	1998-06-30	PRIJEM	\N	209	43036	UROK	\N	\N
3574633	1338	1998-07-31	PRIJEM	\N	258	111775	UROK	\N	\N
3574634	1338	1998-08-31	PRIJEM	\N	366	63434	UROK	\N	\N
3574635	1338	1998-09-30	PRIJEM	\N	234	66974	UROK	\N	\N
3574636	1338	1998-10-31	PRIJEM	\N	365	88515	UROK	\N	\N
3574637	1338	1998-11-30	PRIJEM	\N	402	94763	UROK	\N	\N
3574638	1338	1998-12-31	PRIJEM	\N	422	108977	UROK	\N	\N
3574639	1340	1997-11-30	PRIJEM	\N	9	15453	UROK	\N	\N
3574640	1340	1997-12-31	PRIJEM	\N	70	24167	UROK	\N	\N
3574641	1340	1998-01-31	PRIJEM	\N	102	26613	UROK	\N	\N
3574642	1340	1998-02-28	PRIJEM	\N	109	24066	UROK	\N	\N
3574643	1340	1998-03-31	PRIJEM	\N	103	22485	UROK	\N	\N
3574644	1340	1998-04-30	PRIJEM	\N	98	22602	UROK	\N	\N
3574645	1340	1998-05-31	PRIJEM	\N	99	23921	UROK	\N	\N
3574646	1340	1998-06-30	PRIJEM	\N	97	21328	UROK	\N	\N
3574647	1340	1998-07-31	PRIJEM	\N	94	20941	UROK	\N	\N
3574648	1340	1998-08-31	PRIJEM	\N	86	16646	UROK	\N	\N
3574649	1340	1998-09-30	PRIJEM	\N	72	16438	UROK	\N	\N
3574650	1340	1998-10-31	PRIJEM	\N	72	17359	UROK	\N	\N
3574651	1340	1998-11-30	PRIJEM	\N	76	20914	UROK	\N	\N
3574652	1340	1998-12-31	PRIJEM	\N	96	23519	UROK	\N	\N
3574653	1341	1996-04-30	PRIJEM	\N	11	15946	UROK	\N	\N
3574654	1341	1996-05-31	PRIJEM	\N	69	16689	UROK	\N	\N
3574655	1341	1996-06-30	PRIJEM	\N	71	17134	UROK	\N	\N
3574656	1341	1996-07-31	PRIJEM	\N	74	17523	UROK	\N	\N
3574657	1341	1996-08-31	PRIJEM	\N	75	17552	UROK	\N	\N
3574658	1341	1996-09-30	PRIJEM	\N	74	17551	UROK	\N	\N
3574659	1341	1996-10-31	PRIJEM	\N	76	18661	UROK	\N	\N
3574660	1341	1996-11-30	PRIJEM	\N	81	19776	UROK	\N	\N
3574661	1341	1996-12-31	PRIJEM	\N	79	19180	UROK	\N	\N
3574662	1341	1997-01-31	PRIJEM	\N	75	16179	UROK	\N	\N
3574663	1341	1997-02-28	PRIJEM	\N	70	17284	UROK	\N	\N
3574664	1341	1997-03-31	PRIJEM	\N	75	18393	UROK	\N	\N
3574665	1341	1997-04-30	PRIJEM	\N	75	17372	UROK	\N	\N
3574666	1341	1997-05-31	PRIJEM	\N	71	17278	UROK	\N	\N
3574667	1341	1997-06-30	PRIJEM	\N	72	15985	UROK	\N	\N
3574668	1341	1997-07-31	PRIJEM	\N	69	17089	UROK	\N	\N
3574669	1341	1997-08-31	PRIJEM	\N	72	17235	UROK	\N	\N
3574670	1341	1997-09-30	PRIJEM	\N	75	18344	UROK	\N	\N
3574671	1341	1997-10-31	PRIJEM	\N	79	19458	UROK	\N	\N
3574672	1341	1997-11-30	PRIJEM	\N	84	20576	UROK	\N	\N
3574673	1341	1997-12-31	PRIJEM	\N	85	19775	UROK	\N	\N
3574674	1341	1998-01-31	PRIJEM	\N	71	15300	UROK	\N	\N
3574675	1341	1998-02-28	PRIJEM	\N	66	16401	UROK	\N	\N
3574676	1341	1998-03-31	PRIJEM	\N	71	17506	UROK	\N	\N
3574677	1341	1998-04-30	PRIJEM	\N	75	18196	UROK	\N	\N
3574678	1341	1998-05-31	PRIJEM	\N	75	17955	UROK	\N	\N
3574679	1341	1998-06-30	PRIJEM	\N	73	15522	UROK	\N	\N
3574680	1341	1998-07-31	PRIJEM	\N	67	16624	UROK	\N	\N
3574681	1341	1998-08-31	PRIJEM	\N	72	17730	UROK	\N	\N
3574682	1341	1998-09-30	PRIJEM	\N	76	18841	UROK	\N	\N
3574683	1341	1998-10-31	PRIJEM	\N	81	19956	UROK	\N	\N
3574684	1341	1998-11-30	PRIJEM	\N	80	16481	UROK	\N	\N
3574685	1341	1998-12-31	PRIJEM	\N	71	17586	UROK	\N	\N
3574686	1342	1997-10-31	PRIJEM	\N	27	18300	UROK	\N	\N
3574687	1342	1997-11-30	PRIJEM	\N	109	76619	UROK	\N	\N
3574688	1342	1997-12-31	PRIJEM	\N	294	85495	UROK	\N	\N
3574689	1342	1998-01-31	PRIJEM	\N	209	41035	UROK	\N	\N
3574690	1342	1998-02-28	PRIJEM	\N	143	38984	UROK	\N	\N
3574691	1342	1998-03-31	PRIJEM	\N	121	19038	UROK	\N	\N
3574692	1342	1998-04-30	PRIJEM	\N	98	26718	UROK	\N	\N
3574693	1342	1998-05-31	PRIJEM	\N	101	22882	UROK	\N	\N
3574694	1342	1998-06-30	PRIJEM	\N	95	21770	UROK	\N	\N
3574695	1342	1998-07-31	PRIJEM	\N	160	40004	UROK	\N	\N
3574696	1342	1998-08-31	PRIJEM	\N	247	67399	UROK	\N	\N
3574697	1342	1998-09-30	PRIJEM	\N	208	67419	UROK	\N	\N
3574698	1342	1998-10-31	PRIJEM	\N	183	70508	UROK	\N	\N
3574699	1342	1998-11-30	PRIJEM	\N	184	69492	UROK	\N	\N
3574700	1342	1998-12-31	PRIJEM	\N	178	37162	UROK	\N	\N
3574701	1345	1993-11-30	PRIJEM	\N	43	23967	UROK	\N	\N
3574702	1345	1993-12-31	PRIJEM	\N	135	42638	UROK	\N	\N
3574703	1345	1994-01-31	PRIJEM	\N	179	43841	UROK	\N	\N
3574704	1345	1994-02-28	PRIJEM	\N	189	47655	UROK	\N	\N
3574705	1345	1994-03-31	PRIJEM	\N	194	45773	UROK	\N	\N
3574706	1345	1994-04-30	PRIJEM	\N	199	46720	UROK	\N	\N
3574707	1345	1994-05-31	PRIJEM	\N	199	45686	UROK	\N	\N
3574708	1345	1994-06-30	PRIJEM	\N	167	31053	UROK	\N	\N
3574709	1345	1994-07-31	PRIJEM	\N	144	36064	UROK	\N	\N
3574710	1345	1994-08-31	PRIJEM	\N	158	38990	UROK	\N	\N
3574711	1345	1994-09-30	PRIJEM	\N	167	37765	UROK	\N	\N
3574712	1345	1994-10-31	PRIJEM	\N	183	37975	UROK	\N	\N
3574713	1345	1994-11-30	PRIJEM	\N	191	52193	UROK	\N	\N
3574714	1345	1994-12-31	PRIJEM	\N	255	67727	UROK	\N	\N
3574715	1345	1995-01-31	PRIJEM	\N	253	43208	UROK	\N	\N
3574716	1345	1995-02-28	PRIJEM	\N	200	54575	UROK	\N	\N
3574717	1345	1995-03-31	PRIJEM	\N	248	64191	UROK	\N	\N
3574718	1345	1995-04-30	PRIJEM	\N	271	68230	UROK	\N	\N
3574719	1345	1995-05-31	PRIJEM	\N	271	63608	UROK	\N	\N
3574720	1345	1995-06-30	PRIJEM	\N	271	70078	UROK	\N	\N
3574721	1345	1995-07-31	PRIJEM	\N	286	71331	UROK	\N	\N
3574722	1345	1995-08-31	PRIJEM	\N	274	64272	UROK	\N	\N
3574723	1345	1995-09-30	PRIJEM	\N	258	65398	UROK	\N	\N
3574724	1345	1995-10-31	PRIJEM	\N	258	64723	UROK	\N	\N
3574725	1345	1995-11-30	PRIJEM	\N	260	65751	UROK	\N	\N
3574726	1345	1995-12-31	PRIJEM	\N	289	71819	UROK	\N	\N
3574727	1345	1996-01-31	PRIJEM	\N	263	48710	UROK	\N	\N
3574728	1345	1996-02-29	PRIJEM	\N	227	61704	UROK	\N	\N
3574729	1345	1996-03-31	PRIJEM	\N	261	68933	UROK	\N	\N
3574730	1345	1996-04-30	PRIJEM	\N	280	73080	UROK	\N	\N
3574731	1345	1996-05-31	PRIJEM	\N	292	73440	UROK	\N	\N
3574732	1345	1996-06-30	PRIJEM	\N	269	64228	UROK	\N	\N
3574733	1345	1996-07-31	PRIJEM	\N	265	67760	UROK	\N	\N
3574734	1345	1996-08-31	PRIJEM	\N	272	70799	UROK	\N	\N
3574735	1345	1996-09-30	PRIJEM	\N	292	74358	UROK	\N	\N
3574736	1345	1996-10-31	PRIJEM	\N	307	77932	UROK	\N	\N
3574737	1345	1996-11-30	PRIJEM	\N	317	80016	UROK	\N	\N
3574738	1345	1996-12-31	PRIJEM	\N	334	84429	UROK	\N	\N
3574739	1345	1997-01-31	PRIJEM	\N	266	61862	UROK	\N	\N
3574740	1345	1997-02-28	PRIJEM	\N	257	68587	UROK	\N	\N
3574741	1345	1997-03-31	PRIJEM	\N	287	73741	UROK	\N	\N
3574742	1345	1997-04-30	PRIJEM	\N	300	73908	UROK	\N	\N
3574743	1345	1997-05-31	PRIJEM	\N	297	75273	UROK	\N	\N
3574744	1345	1997-06-30	PRIJEM	\N	312	63084	UROK	\N	\N
3574745	1345	1997-07-31	PRIJEM	\N	236	51387	UROK	\N	\N
3574746	1345	1997-08-31	PRIJEM	\N	242	53596	UROK	\N	\N
3574747	1345	1997-09-30	PRIJEM	\N	243	51707	UROK	\N	\N
3574748	1345	1997-10-31	PRIJEM	\N	242	46417	UROK	\N	\N
3574749	1345	1997-11-30	PRIJEM	\N	222	45406	UROK	\N	\N
3574750	1345	1997-12-31	PRIJEM	\N	240	52825	UROK	\N	\N
3574751	1345	1998-01-31	PRIJEM	\N	203	32796	UROK	\N	\N
3574752	1345	1998-02-28	PRIJEM	\N	161	33325	UROK	\N	\N
3574753	1345	1998-03-31	PRIJEM	\N	151	33043	UROK	\N	\N
3574754	1345	1998-04-30	PRIJEM	\N	150	31861	UROK	\N	\N
3574755	1345	1998-05-31	PRIJEM	\N	160	36288	UROK	\N	\N
3574756	1345	1998-06-30	PRIJEM	\N	175	28802	UROK	\N	\N
3574757	1345	1998-07-31	PRIJEM	\N	139	27008	UROK	\N	\N
3574758	1345	1998-08-31	PRIJEM	\N	131	30007	UROK	\N	\N
3574759	1345	1998-09-30	PRIJEM	\N	136	25510	UROK	\N	\N
3574760	1345	1998-10-31	PRIJEM	\N	123	27000	UROK	\N	\N
3574761	1345	1998-11-30	PRIJEM	\N	121	23689	UROK	\N	\N
3574762	1345	1998-12-31	PRIJEM	\N	164	53932	UROK	\N	\N
3574763	1346	1997-07-31	PRIJEM	\N	13	3514	UROK	\N	\N
3574764	1346	1997-08-31	PRIJEM	\N	73	23287	UROK	\N	\N
3574765	1346	1997-09-30	PRIJEM	\N	98	26586	UROK	\N	\N
3574766	1346	1997-10-31	PRIJEM	\N	110	25797	UROK	\N	\N
3574767	1346	1997-11-30	PRIJEM	\N	111	28217	UROK	\N	\N
3574768	1346	1997-12-31	PRIJEM	\N	115	23912	UROK	\N	\N
3574769	1346	1998-01-31	PRIJEM	\N	97	20828	UROK	\N	\N
3574770	1346	1998-02-28	PRIJEM	\N	90	21138	UROK	\N	\N
3574771	1346	1998-03-31	PRIJEM	\N	88	17375	UROK	\N	\N
3574772	1346	1998-04-30	PRIJEM	\N	75	17219	UROK	\N	\N
3574773	1346	1998-05-31	PRIJEM	\N	75	17114	UROK	\N	\N
3574774	1346	1998-06-30	PRIJEM	\N	71	11404	UROK	\N	\N
3574775	1346	1998-07-31	PRIJEM	\N	51	12474	UROK	\N	\N
3574776	1346	1998-08-31	PRIJEM	\N	56	13550	UROK	\N	\N
3574777	1346	1998-09-30	PRIJEM	\N	60	14629	UROK	\N	\N
3574778	1346	1998-10-31	PRIJEM	\N	62	14871	UROK	\N	\N
3574779	1346	1998-11-30	PRIJEM	\N	61	13111	UROK	\N	\N
3574780	1346	1998-12-31	PRIJEM	\N	57	12928	UROK	\N	\N
3574781	1347	1997-03-31	PRIJEM	\N	13	11913	UROK	\N	\N
3574782	1347	1997-04-30	PRIJEM	\N	53	13000	UROK	\N	\N
3574783	1347	1997-05-31	PRIJEM	\N	53	10572	UROK	\N	\N
3574784	1347	1997-06-30	PRIJEM	\N	47	11639	UROK	\N	\N
3574785	1347	1997-07-31	PRIJEM	\N	52	12710	UROK	\N	\N
3574786	1347	1997-08-31	PRIJEM	\N	56	13785	UROK	\N	\N
3574787	1347	1997-09-30	PRIJEM	\N	59	13354	UROK	\N	\N
3574788	1347	1997-10-31	PRIJEM	\N	55	13528	UROK	\N	\N
3574789	1347	1997-11-30	PRIJEM	\N	57	13555	UROK	\N	\N
3574790	1347	1997-12-31	PRIJEM	\N	55	12129	UROK	\N	\N
3574791	1347	1998-01-31	PRIJEM	\N	52	12391	UROK	\N	\N
3574792	1347	1998-02-28	PRIJEM	\N	55	13465	UROK	\N	\N
3574793	1347	1998-03-31	PRIJEM	\N	57	13041	UROK	\N	\N
3574794	1347	1998-04-30	PRIJEM	\N	56	13216	UROK	\N	\N
3574795	1347	1998-05-31	PRIJEM	\N	58	13273	UROK	\N	\N
3574796	1347	1998-06-30	PRIJEM	\N	51	10543	UROK	\N	\N
3574797	1347	1998-07-31	PRIJEM	\N	46	11109	UROK	\N	\N
3574798	1347	1998-08-31	PRIJEM	\N	49	12177	UROK	\N	\N
3574799	1347	1998-09-30	PRIJEM	\N	54	13150	UROK	\N	\N
3574800	1347	1998-10-31	PRIJEM	\N	50	10920	UROK	\N	\N
3574801	1347	1998-11-30	PRIJEM	\N	48	11988	UROK	\N	\N
3574802	1347	1998-12-31	PRIJEM	\N	53	13060	UROK	\N	\N
3574803	1348	1997-12-31	PRIJEM	\N	53	19897	UROK	\N	\N
3574804	1348	1998-01-31	PRIJEM	\N	108	29002	UROK	\N	\N
3574805	1348	1998-02-28	PRIJEM	\N	146	38644	UROK	\N	\N
3574806	1348	1998-03-31	PRIJEM	\N	155	36795	UROK	\N	\N
3574807	1348	1998-04-30	PRIJEM	\N	155	36730	UROK	\N	\N
3574808	1348	1998-05-31	PRIJEM	\N	147	31464	UROK	\N	\N
3574809	1348	1998-06-30	PRIJEM	\N	150	38429	UROK	\N	\N
3574810	1348	1998-07-31	PRIJEM	\N	163	39840	UROK	\N	\N
3574811	1348	1998-08-31	PRIJEM	\N	179	40647	UROK	\N	\N
3574812	1348	1998-09-30	PRIJEM	\N	186	46280	UROK	\N	\N
3574813	1348	1998-10-31	PRIJEM	\N	197	47985	UROK	\N	\N
3574814	1348	1998-11-30	PRIJEM	\N	202	49534	UROK	\N	\N
3574815	1348	1998-12-31	PRIJEM	\N	215	52325	UROK	\N	\N
3574816	1349	1996-03-31	PRIJEM	\N	23	7252	UROK	\N	\N
3574817	1349	1996-04-30	PRIJEM	\N	30	13811	UROK	\N	\N
3574818	1349	1996-05-31	PRIJEM	\N	30	20371	UROK	\N	\N
3574819	1349	1996-06-30	PRIJEM	\N	90	26090	UROK	\N	\N
3574820	1349	1996-07-31	PRIJEM	\N	109	26115	UROK	\N	\N
3574821	1349	1996-08-31	PRIJEM	\N	104	24320	UROK	\N	\N
3574822	1349	1996-09-30	PRIJEM	\N	102	24183	UROK	\N	\N
3574823	1349	1996-10-31	PRIJEM	\N	109	26994	UROK	\N	\N
3574824	1349	1996-11-30	PRIJEM	\N	101	24716	UROK	\N	\N
3574825	1349	1996-12-31	PRIJEM	\N	81	17489	UROK	\N	\N
3574826	1349	1997-01-31	PRIJEM	\N	63	13173	UROK	\N	\N
3574827	1349	1997-02-28	PRIJEM	\N	60	12814	UROK	\N	\N
3574828	1349	1997-03-31	PRIJEM	\N	62	15177	UROK	\N	\N
3574829	1349	1997-04-30	PRIJEM	\N	70	12349	UROK	\N	\N
3574830	1349	1997-05-31	PRIJEM	\N	55	13185	UROK	\N	\N
3574831	1349	1997-06-30	PRIJEM	\N	62	12748	UROK	\N	\N
3574832	1349	1997-07-31	PRIJEM	\N	62	15311	UROK	\N	\N
3574833	1349	1997-08-31	PRIJEM	\N	69	13182	UROK	\N	\N
3574834	1349	1997-09-30	PRIJEM	\N	63	15946	UROK	\N	\N
3574835	1349	1997-10-31	PRIJEM	\N	69	10816	UROK	\N	\N
3574836	1349	1997-11-30	PRIJEM	\N	53	13571	UROK	\N	\N
3574837	1349	1997-12-31	PRIJEM	\N	60	11282	UROK	\N	\N
3574838	1349	1998-01-31	PRIJEM	\N	53	13097	UROK	\N	\N
3574839	1349	1998-02-28	PRIJEM	\N	63	15761	UROK	\N	\N
3574840	1349	1998-03-31	PRIJEM	\N	70	14233	UROK	\N	\N
3574841	1349	1998-04-30	PRIJEM	\N	64	13398	UROK	\N	\N
3574842	1349	1998-05-31	PRIJEM	\N	59	11258	UROK	\N	\N
3574843	1349	1998-06-30	PRIJEM	\N	53	11812	UROK	\N	\N
3574844	1349	1998-07-31	PRIJEM	\N	57	14571	UROK	\N	\N
3574845	1349	1998-08-31	PRIJEM	\N	61	11433	UROK	\N	\N
3574846	1349	1998-09-30	PRIJEM	\N	56	14190	UROK	\N	\N
3574847	1349	1998-10-31	PRIJEM	\N	65	15557	UROK	\N	\N
3574848	1349	1998-11-30	PRIJEM	\N	73	18331	UROK	\N	\N
3574849	1349	1998-12-31	PRIJEM	\N	76	16248	UROK	\N	\N
3574850	1350	1996-09-30	PRIJEM	\N	24	24777	UROK	\N	\N
3574851	1350	1996-10-31	PRIJEM	\N	103	26980	UROK	\N	\N
3574852	1350	1996-11-30	PRIJEM	\N	103	26883	UROK	\N	\N
3574853	1350	1996-12-31	PRIJEM	\N	129	46113	UROK	\N	\N
3574854	1350	1997-01-31	PRIJEM	\N	201	53446	UROK	\N	\N
3574855	1350	1997-02-28	PRIJEM	\N	222	42867	UROK	\N	\N
3574856	1350	1997-03-31	PRIJEM	\N	222	34089	UROK	\N	\N
3574857	1350	1997-04-30	PRIJEM	\N	205	40327	UROK	\N	\N
3574858	1350	1997-05-31	PRIJEM	\N	167	34494	UROK	\N	\N
3574859	1350	1997-06-30	PRIJEM	\N	167	34961	UROK	\N	\N
3574860	1350	1997-07-31	PRIJEM	\N	190	82180	UROK	\N	\N
3574861	1350	1997-08-31	PRIJEM	\N	255	25858	UROK	\N	\N
3574862	1350	1997-09-30	PRIJEM	\N	92	22352	UROK	\N	\N
3574863	1350	1997-10-31	PRIJEM	\N	162	71311	UROK	\N	\N
3574864	1350	1997-11-30	PRIJEM	\N	236	42750	UROK	\N	\N
3574865	1350	1997-12-31	PRIJEM	\N	99	18576	UROK	\N	\N
3574866	1350	1998-01-31	PRIJEM	\N	115	20106	UROK	\N	\N
3574867	1350	1998-02-28	PRIJEM	\N	77	20286	UROK	\N	\N
3574868	1350	1998-03-31	PRIJEM	\N	104	28226	UROK	\N	\N
3574869	1350	1998-04-30	PRIJEM	\N	127	33378	UROK	\N	\N
3574870	1350	1998-05-31	PRIJEM	\N	140	26764	UROK	\N	\N
3574871	1350	1998-06-30	PRIJEM	\N	193	31392	UROK	\N	\N
3574872	1350	1998-07-31	PRIJEM	\N	111	26684	UROK	\N	\N
3574873	1350	1998-08-31	PRIJEM	\N	102	27800	UROK	\N	\N
3574874	1350	1998-09-30	PRIJEM	\N	251	96219	UROK	\N	\N
3574875	1350	1998-10-31	PRIJEM	\N	320	68214	UROK	\N	\N
3574876	1350	1998-11-30	PRIJEM	\N	237	49487	UROK	\N	\N
3574877	1350	1998-12-31	PRIJEM	\N	231	54579	UROK	\N	\N
3574878	1351	1996-08-31	PRIJEM	\N	37	14185	UROK	\N	\N
3574879	1351	1996-09-30	PRIJEM	\N	62	15346	UROK	\N	\N
3574880	1351	1996-10-31	PRIJEM	\N	67	16512	UROK	\N	\N
3574881	1351	1996-11-30	PRIJEM	\N	72	17683	UROK	\N	\N
3574882	1351	1996-12-31	PRIJEM	\N	74	17266	UROK	\N	\N
3574883	1351	1997-01-31	PRIJEM	\N	75	18440	UROK	\N	\N
3574884	1351	1997-02-28	PRIJEM	\N	79	19619	UROK	\N	\N
3574885	1351	1997-03-31	PRIJEM	\N	82	19721	UROK	\N	\N
3574886	1351	1997-04-30	PRIJEM	\N	84	19645	UROK	\N	\N
3574887	1351	1997-05-31	PRIJEM	\N	85	20829	UROK	\N	\N
3574888	1351	1997-06-30	PRIJEM	\N	74	15942	UROK	\N	\N
3574889	1351	1997-07-31	PRIJEM	\N	69	17111	UROK	\N	\N
3574890	1351	1997-08-31	PRIJEM	\N	73	17683	UROK	\N	\N
3574891	1351	1997-09-30	PRIJEM	\N	76	18859	UROK	\N	\N
3574892	1351	1997-10-31	PRIJEM	\N	81	20040	UROK	\N	\N
3574893	1351	1997-11-30	PRIJEM	\N	86	21225	UROK	\N	\N
3574894	1351	1997-12-31	PRIJEM	\N	96	22060	UROK	\N	\N
3574895	1351	1998-01-31	PRIJEM	\N	95	23254	UROK	\N	\N
3574896	1351	1998-02-28	PRIJEM	\N	99	24453	UROK	\N	\N
3574897	1351	1998-03-31	PRIJEM	\N	104	24426	UROK	\N	\N
3574898	1351	1998-04-30	PRIJEM	\N	104	25629	UROK	\N	\N
3574899	1351	1998-05-31	PRIJEM	\N	109	26838	UROK	\N	\N
3574900	1351	1998-06-30	PRIJEM	\N	112	26910	UROK	\N	\N
3574901	1351	1998-07-31	PRIJEM	\N	112	26831	UROK	\N	\N
3574902	1351	1998-08-31	PRIJEM	\N	114	27945	UROK	\N	\N
3574903	1351	1998-09-30	PRIJEM	\N	117	28111	UROK	\N	\N
3574904	1351	1998-10-31	PRIJEM	\N	119	28400	UROK	\N	\N
3574905	1351	1998-11-30	PRIJEM	\N	121	29620	UROK	\N	\N
3574906	1351	1998-12-31	PRIJEM	\N	124	29193	UROK	\N	\N
3574907	1352	1994-10-31	PRIJEM	\N	32	26532	UROK	\N	\N
3574908	1352	1994-11-30	PRIJEM	\N	125	38357	UROK	\N	\N
3574909	1352	1994-12-31	PRIJEM	\N	178	52636	UROK	\N	\N
3574910	1352	1995-01-31	PRIJEM	\N	216	50851	UROK	\N	\N
3574911	1352	1995-02-28	PRIJEM	\N	227	45824	UROK	\N	\N
3574912	1352	1995-03-31	PRIJEM	\N	226	44331	UROK	\N	\N
3574913	1352	1995-04-30	PRIJEM	\N	211	41964	UROK	\N	\N
3574914	1352	1995-05-31	PRIJEM	\N	214	45059	UROK	\N	\N
3574915	1352	1995-06-30	PRIJEM	\N	218	35598	UROK	\N	\N
3574916	1352	1995-07-31	PRIJEM	\N	194	44273	UROK	\N	\N
3574917	1352	1995-08-31	PRIJEM	\N	205	43980	UROK	\N	\N
3574918	1352	1995-09-30	PRIJEM	\N	222	49583	UROK	\N	\N
3574919	1352	1995-10-31	PRIJEM	\N	241	53505	UROK	\N	\N
3574920	1352	1995-11-30	PRIJEM	\N	249	53735	UROK	\N	\N
3574921	1352	1995-12-31	PRIJEM	\N	272	59608	UROK	\N	\N
3574922	1352	1996-01-31	PRIJEM	\N	247	49796	UROK	\N	\N
3574923	1352	1996-02-29	PRIJEM	\N	232	51109	UROK	\N	\N
3574924	1352	1996-03-31	PRIJEM	\N	237	50928	UROK	\N	\N
3574925	1352	1996-04-30	PRIJEM	\N	226	48136	UROK	\N	\N
3574926	1352	1996-05-31	PRIJEM	\N	207	45264	UROK	\N	\N
3574927	1352	1996-06-30	PRIJEM	\N	192	36937	UROK	\N	\N
3574928	1352	1996-07-31	PRIJEM	\N	190	42869	UROK	\N	\N
3574929	1352	1996-08-31	PRIJEM	\N	203	45773	UROK	\N	\N
3574930	1352	1996-09-30	PRIJEM	\N	212	48646	UROK	\N	\N
3574931	1352	1996-10-31	PRIJEM	\N	209	47016	UROK	\N	\N
3574932	1352	1996-11-30	PRIJEM	\N	212	49209	UROK	\N	\N
3574933	1352	1996-12-31	PRIJEM	\N	223	48834	UROK	\N	\N
3574934	1352	1997-01-31	PRIJEM	\N	184	35779	UROK	\N	\N
3574935	1352	1997-02-28	PRIJEM	\N	166	40487	UROK	\N	\N
3574936	1352	1997-03-31	PRIJEM	\N	180	41449	UROK	\N	\N
3574937	1352	1997-04-30	PRIJEM	\N	182	42312	UROK	\N	\N
3574938	1352	1997-05-31	PRIJEM	\N	182	41976	UROK	\N	\N
3574939	1352	1997-06-30	PRIJEM	\N	196	40333	UROK	\N	\N
3574940	1352	1997-07-31	PRIJEM	\N	161	33935	UROK	\N	\N
3574941	1352	1997-08-31	PRIJEM	\N	160	36137	UROK	\N	\N
3574942	1352	1997-09-30	PRIJEM	\N	187	47405	UROK	\N	\N
3574943	1352	1997-10-31	PRIJEM	\N	206	50392	UROK	\N	\N
3574944	1352	1997-11-30	PRIJEM	\N	213	52487	UROK	\N	\N
3574945	1352	1997-12-31	PRIJEM	\N	264	67212	UROK	\N	\N
3574946	1352	1998-01-31	PRIJEM	\N	252	56525	UROK	\N	\N
3574947	1352	1998-02-28	PRIJEM	\N	240	59847	UROK	\N	\N
3574948	1352	1998-03-31	PRIJEM	\N	248	60976	UROK	\N	\N
3574949	1352	1998-04-30	PRIJEM	\N	257	63915	UROK	\N	\N
3574950	1352	1998-05-31	PRIJEM	\N	271	66327	UROK	\N	\N
3574951	1352	1998-06-30	PRIJEM	\N	279	44908	UROK	\N	\N
3574952	1352	1998-07-31	PRIJEM	\N	215	54604	UROK	\N	\N
3574953	1352	1998-08-31	PRIJEM	\N	222	55308	UROK	\N	\N
3574954	1352	1998-09-30	PRIJEM	\N	229	57218	UROK	\N	\N
3574955	1352	1998-10-31	PRIJEM	\N	219	52519	UROK	\N	\N
3574956	1352	1998-11-30	PRIJEM	\N	222	55822	UROK	\N	\N
3574957	1352	1998-12-31	PRIJEM	\N	255	63418	UROK	\N	\N
3574958	1353	1994-05-31	PRIJEM	\N	27	18263	UROK	\N	\N
3574959	1353	1994-06-30	PRIJEM	\N	98	32865	UROK	\N	\N
3574960	1353	1994-07-31	PRIJEM	\N	141	35442	UROK	\N	\N
3574961	1353	1994-08-31	PRIJEM	\N	149	36326	UROK	\N	\N
3574962	1353	1994-09-30	PRIJEM	\N	156	39118	UROK	\N	\N
3574963	1353	1994-10-31	PRIJEM	\N	152	32994	UROK	\N	\N
3574964	1353	1994-11-30	PRIJEM	\N	135	30953	UROK	\N	\N
3574965	1353	1994-12-31	PRIJEM	\N	145	35390	UROK	\N	\N
3574966	1353	1995-01-31	PRIJEM	\N	143	33358	UROK	\N	\N
3574967	1353	1995-02-28	PRIJEM	\N	135	32117	UROK	\N	\N
3574968	1353	1995-03-31	PRIJEM	\N	138	33780	UROK	\N	\N
3574969	1353	1995-04-30	PRIJEM	\N	141	34545	UROK	\N	\N
3574970	1353	1995-05-31	PRIJEM	\N	149	36718	UROK	\N	\N
3574971	1353	1995-06-30	PRIJEM	\N	157	36467	UROK	\N	\N
3574972	1353	1995-07-31	PRIJEM	\N	155	38447	UROK	\N	\N
3574973	1353	1995-08-31	PRIJEM	\N	152	36223	UROK	\N	\N
3574974	1353	1995-09-30	PRIJEM	\N	170	44418	UROK	\N	\N
3574975	1353	1995-10-31	PRIJEM	\N	186	46429	UROK	\N	\N
3574976	1353	1995-11-30	PRIJEM	\N	181	45534	UROK	\N	\N
3574977	1353	1995-12-31	PRIJEM	\N	210	55436	UROK	\N	\N
3574978	1353	1996-01-31	PRIJEM	\N	209	52669	UROK	\N	\N
3574979	1353	1996-02-29	PRIJEM	\N	214	54208	UROK	\N	\N
3574980	1353	1996-03-31	PRIJEM	\N	200	46932	UROK	\N	\N
3574981	1353	1996-04-30	PRIJEM	\N	184	46340	UROK	\N	\N
3574982	1353	1996-05-31	PRIJEM	\N	194	49758	UROK	\N	\N
3574983	1353	1996-06-30	PRIJEM	\N	213	57363	UROK	\N	\N
3574984	1353	1996-07-31	PRIJEM	\N	207	50794	UROK	\N	\N
3574985	1353	1996-08-31	PRIJEM	\N	191	48810	UROK	\N	\N
3574986	1353	1996-09-30	PRIJEM	\N	177	46012	UROK	\N	\N
3574987	1353	1996-10-31	PRIJEM	\N	165	41401	UROK	\N	\N
3574988	1353	1996-11-30	PRIJEM	\N	151	40577	UROK	\N	\N
3574989	1353	1996-12-31	PRIJEM	\N	168	43337	UROK	\N	\N
3574990	1353	1997-01-31	PRIJEM	\N	159	42920	UROK	\N	\N
3574991	1353	1997-02-28	PRIJEM	\N	129	35173	UROK	\N	\N
3574992	1353	1997-03-31	PRIJEM	\N	121	30519	UROK	\N	\N
3574993	1353	1997-04-30	PRIJEM	\N	119	33062	UROK	\N	\N
3574994	1353	1997-05-31	PRIJEM	\N	129	34516	UROK	\N	\N
3574995	1353	1997-06-30	PRIJEM	\N	140	41948	UROK	\N	\N
3574996	1353	1997-07-31	PRIJEM	\N	139	37811	UROK	\N	\N
3574997	1353	1997-08-31	PRIJEM	\N	125	34761	UROK	\N	\N
3574998	1353	1997-09-30	PRIJEM	\N	117	33002	UROK	\N	\N
3574999	1353	1997-10-31	PRIJEM	\N	112	30138	UROK	\N	\N
3575000	1353	1997-11-30	PRIJEM	\N	104	30166	UROK	\N	\N
3575001	1353	1997-12-31	PRIJEM	\N	122	39081	UROK	\N	\N
3575002	1353	1998-01-31	PRIJEM	\N	111	22716	UROK	\N	\N
3575003	1353	1998-02-28	PRIJEM	\N	110	31650	UROK	\N	\N
3575004	1353	1998-03-31	PRIJEM	\N	100	28675	UROK	\N	\N
3575005	1353	1998-04-30	PRIJEM	\N	104	30003	UROK	\N	\N
3575006	1353	1998-05-31	PRIJEM	\N	114	19641	UROK	\N	\N
3575007	1353	1998-06-30	PRIJEM	\N	114	25947	UROK	\N	\N
3575008	1353	1998-07-31	PRIJEM	\N	112	17783	UROK	\N	\N
3575009	1353	1998-08-31	PRIJEM	\N	85	17093	UROK	\N	\N
3575010	1353	1998-09-30	PRIJEM	\N	85	24402	UROK	\N	\N
3575011	1353	1998-10-31	PRIJEM	\N	107	16933	UROK	\N	\N
3575012	1353	1998-11-30	PRIJEM	\N	86	25844	UROK	\N	\N
3575013	1353	1998-12-31	PRIJEM	\N	138	40674	UROK	\N	\N
3575014	1354	1997-10-31	PRIJEM	\N	29	16809	UROK	\N	\N
3575015	1354	1997-11-30	PRIJEM	\N	73	17623	UROK	\N	\N
3575016	1354	1997-12-31	PRIJEM	\N	77	18225	UROK	\N	\N
3575017	1354	1998-01-31	PRIJEM	\N	67	14317	UROK	\N	\N
3575018	1354	1998-02-28	PRIJEM	\N	60	13702	UROK	\N	\N
3575019	1354	1998-03-31	PRIJEM	\N	61	12629	UROK	\N	\N
3575020	1354	1998-04-30	PRIJEM	\N	53	11807	UROK	\N	\N
3575021	1354	1998-05-31	PRIJEM	\N	54	13386	UROK	\N	\N
3575022	1354	1998-06-30	PRIJEM	\N	60	13471	UROK	\N	\N
3575023	1354	1998-07-31	PRIJEM	\N	61	15058	UROK	\N	\N
3575024	1354	1998-08-31	PRIJEM	\N	68	16651	UROK	\N	\N
3575025	1354	1998-09-30	PRIJEM	\N	83	18259	UROK	\N	\N
3575026	1354	1998-10-31	PRIJEM	\N	74	17298	UROK	\N	\N
3575027	1354	1998-11-30	PRIJEM	\N	74	17057	UROK	\N	\N
3575028	1354	1998-12-31	PRIJEM	\N	62	13144	UROK	\N	\N
3575029	1355	1997-09-30	PRIJEM	\N	46	20692	UROK	\N	\N
3575030	1355	1997-10-31	PRIJEM	\N	105	29043	UROK	\N	\N
3575031	1355	1997-11-30	PRIJEM	\N	133	34422	UROK	\N	\N
3575032	1355	1997-12-31	PRIJEM	\N	165	43506	UROK	\N	\N
3575033	1355	1998-01-31	PRIJEM	\N	147	20533	UROK	\N	\N
3575034	1355	1998-02-28	PRIJEM	\N	116	30894	UROK	\N	\N
3575035	1355	1998-03-31	PRIJEM	\N	141	33741	UROK	\N	\N
3575036	1355	1998-04-30	PRIJEM	\N	157	38923	UROK	\N	\N
3575037	1355	1998-05-31	PRIJEM	\N	185	46534	UROK	\N	\N
3575038	1355	1998-06-30	PRIJEM	\N	198	39511	UROK	\N	\N
3575039	1355	1998-07-31	PRIJEM	\N	174	42310	UROK	\N	\N
3575040	1355	1998-08-31	PRIJEM	\N	186	44721	UROK	\N	\N
3575041	1355	1998-09-30	PRIJEM	\N	193	46339	UROK	\N	\N
3575042	1355	1998-10-31	PRIJEM	\N	183	43048	UROK	\N	\N
3575043	1355	1998-11-30	PRIJEM	\N	193	47746	UROK	\N	\N
3575044	1355	1998-12-31	PRIJEM	\N	232	58296	UROK	\N	\N
3575045	1357	1995-12-31	PRIJEM	\N	21	12956	UROK	\N	\N
3575046	1357	1996-01-31	PRIJEM	\N	69	21560	UROK	\N	\N
3575047	1357	1996-02-29	PRIJEM	\N	101	28496	UROK	\N	\N
3575048	1357	1996-03-31	PRIJEM	\N	117	27448	UROK	\N	\N
3575049	1357	1996-04-30	PRIJEM	\N	115	27338	UROK	\N	\N
3575050	1357	1996-05-31	PRIJEM	\N	118	29316	UROK	\N	\N
3575051	1357	1996-06-30	PRIJEM	\N	111	25828	UROK	\N	\N
3575052	1357	1996-07-31	PRIJEM	\N	114	28772	UROK	\N	\N
3575053	1357	1996-08-31	PRIJEM	\N	123	30026	UROK	\N	\N
3575054	1357	1996-09-30	PRIJEM	\N	126	30242	UROK	\N	\N
3575055	1357	1996-10-31	PRIJEM	\N	127	30499	UROK	\N	\N
3575056	1357	1996-11-30	PRIJEM	\N	137	34767	UROK	\N	\N
3575057	1357	1996-12-31	PRIJEM	\N	142	33520	UROK	\N	\N
3575058	1357	1997-01-31	PRIJEM	\N	142	34272	UROK	\N	\N
3575059	1357	1997-02-28	PRIJEM	\N	146	35648	UROK	\N	\N
3575060	1357	1997-03-31	PRIJEM	\N	157	39236	UROK	\N	\N
3575061	1357	1997-04-30	PRIJEM	\N	167	40633	UROK	\N	\N
3575062	1357	1997-05-31	PRIJEM	\N	175	42838	UROK	\N	\N
3575063	1357	1997-06-30	PRIJEM	\N	173	38301	UROK	\N	\N
3575064	1357	1997-07-31	PRIJEM	\N	156	37187	UROK	\N	\N
3575065	1357	1997-08-31	PRIJEM	\N	168	41716	UROK	\N	\N
3575066	1357	1997-09-30	PRIJEM	\N	178	42974	UROK	\N	\N
3575067	1357	1997-10-31	PRIJEM	\N	172	40717	UROK	\N	\N
3575068	1357	1997-11-30	PRIJEM	\N	168	40115	UROK	\N	\N
3575069	1357	1997-12-31	PRIJEM	\N	178	43693	UROK	\N	\N
3575070	1357	1998-01-31	PRIJEM	\N	172	38466	UROK	\N	\N
3575071	1357	1998-02-28	PRIJEM	\N	169	41155	UROK	\N	\N
3575072	1357	1998-03-31	PRIJEM	\N	178	43464	UROK	\N	\N
3575073	1357	1998-04-30	PRIJEM	\N	184	44878	UROK	\N	\N
3575074	1357	1998-05-31	PRIJEM	\N	181	42839	UROK	\N	\N
3575075	1357	1998-06-30	PRIJEM	\N	172	41401	UROK	\N	\N
3575076	1357	1998-07-31	PRIJEM	\N	174	42116	UROK	\N	\N
3575077	1357	1998-08-31	PRIJEM	\N	192	47539	UROK	\N	\N
3575078	1357	1998-09-30	PRIJEM	\N	209	51078	UROK	\N	\N
3575079	1357	1998-10-31	PRIJEM	\N	226	54974	UROK	\N	\N
3575080	1357	1998-11-30	PRIJEM	\N	237	57641	UROK	\N	\N
3575081	1357	1998-12-31	PRIJEM	\N	257	62788	UROK	\N	\N
3575082	1358	1996-05-31	PRIJEM	\N	20	13290	UROK	\N	\N
3575083	1358	1996-06-30	PRIJEM	\N	71	23465	UROK	\N	\N
3575084	1358	1996-07-31	PRIJEM	\N	97	22932	UROK	\N	\N
3575085	1358	1996-08-31	PRIJEM	\N	95	22897	UROK	\N	\N
3575086	1358	1996-09-30	PRIJEM	\N	97	23584	UROK	\N	\N
3575087	1358	1996-10-31	PRIJEM	\N	101	23260	UROK	\N	\N
3575088	1358	1996-11-30	PRIJEM	\N	96	22532	UROK	\N	\N
3575089	1358	1996-12-31	PRIJEM	\N	102	21444	UROK	\N	\N
3575090	1358	1997-01-31	PRIJEM	\N	71	15291	UROK	\N	\N
3575091	1358	1997-02-28	PRIJEM	\N	69	17836	UROK	\N	\N
3575092	1358	1997-03-31	PRIJEM	\N	77	15088	UROK	\N	\N
3575093	1358	1997-04-30	PRIJEM	\N	72	19235	UROK	\N	\N
3575094	1358	1997-05-31	PRIJEM	\N	83	19694	UROK	\N	\N
3575095	1358	1997-06-30	PRIJEM	\N	86	24090	UROK	\N	\N
3575096	1358	1997-07-31	PRIJEM	\N	109	27274	UROK	\N	\N
3575097	1358	1997-08-31	PRIJEM	\N	130	33979	UROK	\N	\N
3575098	1358	1997-09-30	PRIJEM	\N	147	36402	UROK	\N	\N
3575099	1358	1997-10-31	PRIJEM	\N	172	41849	UROK	\N	\N
3575100	1358	1997-11-30	PRIJEM	\N	187	45611	UROK	\N	\N
3575101	1358	1997-12-31	PRIJEM	\N	197	47619	UROK	\N	\N
3575102	1358	1998-01-31	PRIJEM	\N	183	35877	UROK	\N	\N
3575103	1358	1998-02-28	PRIJEM	\N	167	42020	UROK	\N	\N
3575104	1358	1998-03-31	PRIJEM	\N	190	47585	UROK	\N	\N
3575105	1358	1998-04-30	PRIJEM	\N	198	47759	UROK	\N	\N
3575106	1358	1998-05-31	PRIJEM	\N	213	52047	UROK	\N	\N
3575107	1358	1998-06-30	PRIJEM	\N	165	33222	UROK	\N	\N
3575108	1358	1998-07-31	PRIJEM	\N	167	42965	UROK	\N	\N
3575109	1358	1998-08-31	PRIJEM	\N	183	44023	UROK	\N	\N
3575110	1358	1998-09-30	PRIJEM	\N	187	44986	UROK	\N	\N
3575111	1358	1998-10-31	PRIJEM	\N	179	42340	UROK	\N	\N
3575112	1358	1998-11-30	PRIJEM	\N	173	40288	UROK	\N	\N
3575113	1358	1998-12-31	PRIJEM	\N	172	38970	UROK	\N	\N
3575114	1361	1997-01-31	PRIJEM	\N	66	20575	UROK	\N	\N
3575115	1361	1997-02-28	PRIJEM	\N	127	33211	UROK	\N	\N
3575116	1361	1997-03-31	PRIJEM	\N	161	40781	UROK	\N	\N
3575117	1361	1997-04-30	PRIJEM	\N	178	43668	UROK	\N	\N
3575118	1361	1997-05-31	PRIJEM	\N	166	37848	UROK	\N	\N
3575119	1361	1997-06-30	PRIJEM	\N	161	21553	UROK	\N	\N
3575120	1361	1997-07-31	PRIJEM	\N	101	19274	UROK	\N	\N
3575121	1361	1997-08-31	PRIJEM	\N	129	32602	UROK	\N	\N
3575122	1361	1997-09-30	PRIJEM	\N	161	39062	UROK	\N	\N
3575123	1361	1997-10-31	PRIJEM	\N	185	43286	UROK	\N	\N
3575124	1361	1997-11-30	PRIJEM	\N	184	43370	UROK	\N	\N
3575125	1361	1997-12-31	PRIJEM	\N	224	51838	UROK	\N	\N
3575126	1361	1998-01-31	PRIJEM	\N	181	37618	UROK	\N	\N
3575127	1361	1998-02-28	PRIJEM	\N	184	44701	UROK	\N	\N
3575128	1361	1998-03-31	PRIJEM	\N	195	46296	UROK	\N	\N
3575129	1361	1998-04-30	PRIJEM	\N	189	43804	UROK	\N	\N
3575130	1361	1998-05-31	PRIJEM	\N	182	41825	UROK	\N	\N
3575131	1361	1998-06-30	PRIJEM	\N	218	38387	UROK	\N	\N
3575132	1361	1998-07-31	PRIJEM	\N	170	40557	UROK	\N	\N
3575133	1361	1998-08-31	PRIJEM	\N	184	44740	UROK	\N	\N
3575134	1361	1998-09-30	PRIJEM	\N	170	46610	UROK	\N	\N
3575135	1361	1998-10-31	PRIJEM	\N	201	34011	UROK	\N	\N
3575136	1361	1998-11-30	PRIJEM	\N	175	29885	UROK	\N	\N
3575137	1361	1998-12-31	PRIJEM	\N	200	50349	UROK	\N	\N
3575138	1363	1997-04-30	PRIJEM	\N	35	27852	UROK	\N	\N
3575139	1363	1997-05-31	PRIJEM	\N	129	37397	UROK	\N	\N
3575140	1363	1997-06-30	PRIJEM	\N	172	49645	UROK	\N	\N
3575141	1363	1997-07-31	PRIJEM	\N	201	46363	UROK	\N	\N
3575142	1363	1997-08-31	PRIJEM	\N	222	45014	UROK	\N	\N
3575143	1363	1997-09-30	PRIJEM	\N	223	48652	UROK	\N	\N
3575144	1363	1997-10-31	PRIJEM	\N	227	46594	UROK	\N	\N
3575145	1363	1997-11-30	PRIJEM	\N	223	47231	UROK	\N	\N
3575146	1363	1997-12-31	PRIJEM	\N	248	48571	UROK	\N	\N
3575147	1363	1998-01-31	PRIJEM	\N	214	42720	UROK	\N	\N
3575148	1363	1998-02-28	PRIJEM	\N	202	43037	UROK	\N	\N
3575149	1363	1998-03-31	PRIJEM	\N	210	45661	UROK	\N	\N
3575150	1363	1998-04-30	PRIJEM	\N	206	44081	UROK	\N	\N
3575151	1363	1998-05-31	PRIJEM	\N	204	43420	UROK	\N	\N
3575152	1363	1998-06-30	PRIJEM	\N	167	30820	UROK	\N	\N
3575153	1363	1998-07-31	PRIJEM	\N	165	38200	UROK	\N	\N
3575154	1363	1998-08-31	PRIJEM	\N	170	33064	UROK	\N	\N
3575155	1363	1998-09-30	PRIJEM	\N	156	33254	UROK	\N	\N
3575156	1363	1998-10-31	PRIJEM	\N	165	37233	UROK	\N	\N
3575157	1363	1998-11-30	PRIJEM	\N	156	31404	UROK	\N	\N
3575158	1363	1998-12-31	PRIJEM	\N	156	31793	UROK	\N	\N
3575159	1365	1996-04-30	PRIJEM	\N	33	13804	UROK	\N	\N
3575160	1365	1996-05-31	PRIJEM	\N	77	21751	UROK	\N	\N
3575161	1365	1996-06-30	PRIJEM	\N	99	25121	UROK	\N	\N
3575162	1365	1996-07-31	PRIJEM	\N	109	26800	UROK	\N	\N
3575163	1365	1996-08-31	PRIJEM	\N	122	31194	UROK	\N	\N
3575164	1365	1996-09-30	PRIJEM	\N	135	33241	UROK	\N	\N
3575165	1365	1996-10-31	PRIJEM	\N	137	33220	UROK	\N	\N
3575166	1365	1996-11-30	PRIJEM	\N	147	36910	UROK	\N	\N
3575167	1365	1996-12-31	PRIJEM	\N	147	35059	UROK	\N	\N
3575168	1365	1997-01-31	PRIJEM	\N	139	31230	UROK	\N	\N
3575169	1365	1997-02-28	PRIJEM	\N	145	36917	UROK	\N	\N
3575170	1365	1997-03-31	PRIJEM	\N	159	39419	UROK	\N	\N
3575171	1365	1997-04-30	PRIJEM	\N	155	37357	UROK	\N	\N
3575172	1365	1997-05-31	PRIJEM	\N	159	38657	UROK	\N	\N
3575173	1365	1997-06-30	PRIJEM	\N	157	37887	UROK	\N	\N
3575174	1365	1997-07-31	PRIJEM	\N	174	43203	UROK	\N	\N
3575175	1365	1997-08-31	PRIJEM	\N	191	47536	UROK	\N	\N
3575176	1365	1997-09-30	PRIJEM	\N	183	44081	UROK	\N	\N
3575177	1365	1997-10-31	PRIJEM	\N	189	46372	UROK	\N	\N
3575178	1365	1997-11-30	PRIJEM	\N	198	48812	UROK	\N	\N
3575179	1365	1997-12-31	PRIJEM	\N	199	47564	UROK	\N	\N
3575180	1365	1998-01-31	PRIJEM	\N	193	45709	UROK	\N	\N
3575181	1365	1998-02-28	PRIJEM	\N	198	49149	UROK	\N	\N
3575182	1365	1998-03-31	PRIJEM	\N	192	46384	UROK	\N	\N
3575183	1365	1998-04-30	PRIJEM	\N	196	48322	UROK	\N	\N
3575184	1365	1998-05-31	PRIJEM	\N	210	52275	UROK	\N	\N
3575185	1365	1998-06-30	PRIJEM	\N	222	50859	UROK	\N	\N
3575186	1365	1998-07-31	PRIJEM	\N	212	52163	UROK	\N	\N
3575187	1365	1998-08-31	PRIJEM	\N	232	58038	UROK	\N	\N
3575188	1365	1998-09-30	PRIJEM	\N	247	60888	UROK	\N	\N
3575189	1365	1998-10-31	PRIJEM	\N	253	61453	UROK	\N	\N
3575190	1365	1998-11-30	PRIJEM	\N	269	70665	UROK	\N	\N
3575191	1365	1998-12-31	PRIJEM	\N	294	71921	UROK	\N	\N
3575192	1366	1993-03-31	PRIJEM	\N	11	13737	UROK	\N	\N
3575193	1366	1993-04-30	PRIJEM	\N	66	24429	UROK	\N	\N
3575194	1366	1993-05-31	PRIJEM	\N	106	28761	UROK	\N	\N
3575195	1366	1993-06-30	PRIJEM	\N	123	32823	UROK	\N	\N
3575196	1366	1993-07-31	PRIJEM	\N	141	30406	UROK	\N	\N
3575197	1366	1993-08-31	PRIJEM	\N	124	25358	UROK	\N	\N
3575198	1366	1993-09-30	PRIJEM	\N	111	24656	UROK	\N	\N
3575199	1366	1993-10-31	PRIJEM	\N	111	27795	UROK	\N	\N
3575200	1366	1993-11-30	PRIJEM	\N	117	25639	UROK	\N	\N
3575201	1366	1993-12-31	PRIJEM	\N	122	28401	UROK	\N	\N
3575202	1366	1994-01-31	PRIJEM	\N	100	18349	UROK	\N	\N
3575203	1366	1994-02-28	PRIJEM	\N	92	25169	UROK	\N	\N
3575204	1366	1994-03-31	PRIJEM	\N	112	25708	UROK	\N	\N
3575205	1366	1994-04-30	PRIJEM	\N	112	26447	UROK	\N	\N
3575206	1366	1994-05-31	PRIJEM	\N	110	24984	UROK	\N	\N
3575207	1366	1994-06-30	PRIJEM	\N	110	24594	UROK	\N	\N
3575208	1366	1994-07-31	PRIJEM	\N	113	29035	UROK	\N	\N
3575209	1366	1994-08-31	PRIJEM	\N	130	31192	UROK	\N	\N
3575210	1366	1994-09-30	PRIJEM	\N	125	27545	UROK	\N	\N
3575211	1366	1994-10-31	PRIJEM	\N	111	25403	UROK	\N	\N
3575212	1366	1994-11-30	PRIJEM	\N	103	20733	UROK	\N	\N
3575213	1366	1994-12-31	PRIJEM	\N	105	25499	UROK	\N	\N
3575214	1366	1995-01-31	PRIJEM	\N	84	15910	UROK	\N	\N
3575215	1366	1995-02-28	PRIJEM	\N	81	21919	UROK	\N	\N
3575216	1366	1995-03-31	PRIJEM	\N	96	22122	UROK	\N	\N
3575217	1366	1995-04-30	PRIJEM	\N	101	25551	UROK	\N	\N
3575218	1366	1995-05-31	PRIJEM	\N	102	24200	UROK	\N	\N
3575219	1366	1995-06-30	PRIJEM	\N	110	25851	UROK	\N	\N
3575220	1366	1995-07-31	PRIJEM	\N	106	24884	UROK	\N	\N
3575221	1366	1995-08-31	PRIJEM	\N	112	27924	UROK	\N	\N
3575222	1366	1995-09-30	PRIJEM	\N	123	27774	UROK	\N	\N
3575223	1366	1995-10-31	PRIJEM	\N	114	26696	UROK	\N	\N
3575224	1366	1995-11-30	PRIJEM	\N	114	27837	UROK	\N	\N
3575225	1366	1995-12-31	PRIJEM	\N	115	25352	UROK	\N	\N
3575226	1366	1996-01-31	PRIJEM	\N	89	14229	UROK	\N	\N
3575227	1366	1996-02-29	PRIJEM	\N	76	19633	UROK	\N	\N
3575228	1366	1996-03-31	PRIJEM	\N	84	20644	UROK	\N	\N
3575229	1366	1996-04-30	PRIJEM	\N	86	20158	UROK	\N	\N
3575230	1366	1996-05-31	PRIJEM	\N	82	15627	UROK	\N	\N
3575231	1366	1996-06-30	PRIJEM	\N	73	18021	UROK	\N	\N
3575232	1366	1996-07-31	PRIJEM	\N	82	17871	UROK	\N	\N
3575233	1366	1996-08-31	PRIJEM	\N	78	18476	UROK	\N	\N
3575234	1366	1996-09-30	PRIJEM	\N	83	19486	UROK	\N	\N
3575235	1366	1996-10-31	PRIJEM	\N	86	20900	UROK	\N	\N
3575236	1366	1996-11-30	PRIJEM	\N	94	22321	UROK	\N	\N
3575237	1366	1996-12-31	PRIJEM	\N	102	22684	UROK	\N	\N
3575238	1366	1997-01-31	PRIJEM	\N	91	17622	UROK	\N	\N
3575239	1366	1997-02-28	PRIJEM	\N	94	23243	UROK	\N	\N
3575240	1366	1997-03-31	PRIJEM	\N	103	20573	UROK	\N	\N
3575241	1366	1997-04-30	PRIJEM	\N	119	29519	UROK	\N	\N
3575242	1366	1997-05-31	PRIJEM	\N	132	29038	UROK	\N	\N
3575243	1366	1997-06-30	PRIJEM	\N	141	34520	UROK	\N	\N
3575244	1366	1997-07-31	PRIJEM	\N	128	30075	UROK	\N	\N
3575245	1366	1997-08-31	PRIJEM	\N	127	30130	UROK	\N	\N
3575246	1366	1997-09-30	PRIJEM	\N	117	23854	UROK	\N	\N
3575247	1366	1997-10-31	PRIJEM	\N	123	29804	UROK	\N	\N
3575248	1366	1997-11-30	PRIJEM	\N	115	28946	UROK	\N	\N
3575249	1366	1997-12-31	PRIJEM	\N	128	29174	UROK	\N	\N
3575250	1366	1998-01-31	PRIJEM	\N	117	24019	UROK	\N	\N
3575251	1366	1998-02-28	PRIJEM	\N	98	23224	UROK	\N	\N
3575252	1366	1998-03-31	PRIJEM	\N	101	25153	UROK	\N	\N
3575253	1366	1998-04-30	PRIJEM	\N	106	30127	UROK	\N	\N
3575254	1366	1998-05-31	PRIJEM	\N	129	29883	UROK	\N	\N
3575255	1366	1998-06-30	PRIJEM	\N	140	28963	UROK	\N	\N
3575256	1366	1998-07-31	PRIJEM	\N	119	25809	UROK	\N	\N
3575257	1366	1998-08-31	PRIJEM	\N	112	28749	UROK	\N	\N
3575258	1366	1998-09-30	PRIJEM	\N	122	28798	UROK	\N	\N
3575259	1366	1998-10-31	PRIJEM	\N	117	23023	UROK	\N	\N
3575260	1366	1998-11-30	PRIJEM	\N	92	17162	UROK	\N	\N
3575261	1366	1998-12-31	PRIJEM	\N	87	23590	UROK	\N	\N
3575262	1367	1996-09-30	PRIJEM	\N	30	18149	UROK	\N	\N
3575263	1367	1996-10-31	PRIJEM	\N	88	25056	UROK	\N	\N
3575264	1367	1996-11-30	PRIJEM	\N	112	29687	UROK	\N	\N
3575265	1367	1996-12-31	PRIJEM	\N	123	29638	UROK	\N	\N
3575266	1367	1997-01-31	PRIJEM	\N	110	17871	UROK	\N	\N
3575267	1367	1997-02-28	PRIJEM	\N	91	22053	UROK	\N	\N
3575268	1367	1997-03-31	PRIJEM	\N	95	21420	UROK	\N	\N
3575269	1367	1997-04-30	PRIJEM	\N	90	20481	UROK	\N	\N
3575270	1367	1997-05-31	PRIJEM	\N	97	22370	UROK	\N	\N
3575271	1367	1997-06-30	PRIJEM	\N	117	26067	UROK	\N	\N
3575272	1367	1997-07-31	PRIJEM	\N	114	25072	UROK	\N	\N
3575273	1367	1997-08-31	PRIJEM	\N	108	23972	UROK	\N	\N
3575274	1367	1997-09-30	PRIJEM	\N	104	23368	UROK	\N	\N
3575275	1367	1997-10-31	PRIJEM	\N	106	24865	UROK	\N	\N
3575276	1367	1997-11-30	PRIJEM	\N	116	28173	UROK	\N	\N
3575277	1367	1997-12-31	PRIJEM	\N	122	26695	UROK	\N	\N
3575278	1367	1998-01-31	PRIJEM	\N	84	14250	UROK	\N	\N
3575279	1367	1998-02-28	PRIJEM	\N	79	20320	UROK	\N	\N
3575280	1367	1998-03-31	PRIJEM	\N	93	22924	UROK	\N	\N
3575281	1367	1998-04-30	PRIJEM	\N	105	24921	UROK	\N	\N
3575282	1367	1998-05-31	PRIJEM	\N	125	29438	UROK	\N	\N
3575283	1367	1998-06-30	PRIJEM	\N	139	33777	UROK	\N	\N
3575284	1367	1998-07-31	PRIJEM	\N	122	25130	UROK	\N	\N
3575285	1367	1998-08-31	PRIJEM	\N	111	26732	UROK	\N	\N
3575286	1367	1998-09-30	PRIJEM	\N	108	24531	UROK	\N	\N
3575287	1367	1998-10-31	PRIJEM	\N	95	22218	UROK	\N	\N
3575288	1367	1998-11-30	PRIJEM	\N	87	20797	UROK	\N	\N
3575289	1367	1998-12-31	PRIJEM	\N	104	24521	UROK	\N	\N
3575290	1368	1996-12-31	PRIJEM	\N	80	39702	UROK	\N	\N
3575291	1368	1997-01-31	PRIJEM	\N	165	30767	UROK	\N	\N
3575292	1368	1997-02-28	PRIJEM	\N	179	74309	UROK	\N	\N
3575293	1368	1997-03-31	PRIJEM	\N	219	34324	UROK	\N	\N
3575294	1368	1997-04-30	PRIJEM	\N	118	22238	UROK	\N	\N
3575295	1368	1997-05-31	PRIJEM	\N	83	18868	UROK	\N	\N
3575296	1368	1997-06-30	PRIJEM	\N	84	29467	UROK	\N	\N
3575297	1368	1997-07-31	PRIJEM	\N	111	38996	UROK	\N	\N
3575298	1368	1997-08-31	PRIJEM	\N	161	28680	UROK	\N	\N
3575299	1368	1997-09-30	PRIJEM	\N	135	23500	UROK	\N	\N
3575300	1368	1997-10-31	PRIJEM	\N	151	47480	UROK	\N	\N
3575301	1368	1997-11-30	PRIJEM	\N	137	30115	UROK	\N	\N
3575302	1368	1997-12-31	PRIJEM	\N	238	70203	UROK	\N	\N
3575303	1368	1998-01-31	PRIJEM	\N	132	20781	UROK	\N	\N
3575304	1368	1998-02-28	PRIJEM	\N	77	23490	UROK	\N	\N
3575305	1368	1998-03-31	PRIJEM	\N	76	15412	UROK	\N	\N
3575306	1368	1998-04-30	PRIJEM	\N	56	12415	UROK	\N	\N
3575307	1368	1998-05-31	PRIJEM	\N	38	7499	UROK	\N	\N
3575308	1368	1998-06-30	PRIJEM	\N	34	8579	UROK	\N	\N
3575309	1368	1998-07-31	PRIJEM	\N	44	11970	UROK	\N	\N
3575310	1368	1998-08-31	PRIJEM	\N	53	13469	UROK	\N	\N
3575311	1368	1998-09-30	PRIJEM	\N	56	13672	UROK	\N	\N
3575312	1368	1998-10-31	PRIJEM	\N	61	15279	UROK	\N	\N
3575313	1368	1998-11-30	PRIJEM	\N	63	15288	UROK	\N	\N
3575314	1368	1998-12-31	PRIJEM	\N	56	12590	UROK	\N	\N
3575315	1369	1996-04-30	PRIJEM	\N	25	20040	UROK	\N	\N
3575316	1369	1996-05-31	PRIJEM	\N	92	26647	UROK	\N	\N
3575317	1369	1996-06-30	PRIJEM	\N	125	37094	UROK	\N	\N
3575318	1369	1996-07-31	PRIJEM	\N	159	40168	UROK	\N	\N
3575319	1369	1996-08-31	PRIJEM	\N	168	40851	UROK	\N	\N
3575320	1369	1996-09-30	PRIJEM	\N	168	39977	UROK	\N	\N
3575321	1369	1996-10-31	PRIJEM	\N	168	41202	UROK	\N	\N
3575322	1369	1996-11-30	PRIJEM	\N	174	42934	UROK	\N	\N
3575323	1369	1996-12-31	PRIJEM	\N	184	39982	UROK	\N	\N
3575324	1369	1997-01-31	PRIJEM	\N	132	19811	UROK	\N	\N
3575325	1369	1997-02-28	PRIJEM	\N	94	25882	UROK	\N	\N
3575326	1369	1997-03-31	PRIJEM	\N	107	23186	UROK	\N	\N
3575327	1369	1997-04-30	PRIJEM	\N	103	28566	UROK	\N	\N
3575328	1369	1997-05-31	PRIJEM	\N	127	33351	UROK	\N	\N
3575329	1369	1997-06-30	PRIJEM	\N	149	35924	UROK	\N	\N
3575330	1369	1997-07-31	PRIJEM	\N	150	36831	UROK	\N	\N
3575331	1369	1997-08-31	PRIJEM	\N	150	38198	UROK	\N	\N
3575332	1369	1997-09-30	PRIJEM	\N	160	40116	UROK	\N	\N
3575333	1369	1997-10-31	PRIJEM	\N	167	39200	UROK	\N	\N
3575334	1369	1997-11-30	PRIJEM	\N	166	42103	UROK	\N	\N
3575335	1369	1997-12-31	PRIJEM	\N	195	50063	UROK	\N	\N
3575336	1369	1998-01-31	PRIJEM	\N	156	34776	UROK	\N	\N
3575337	1369	1998-02-28	PRIJEM	\N	133	44066	UROK	\N	\N
3575338	1369	1998-03-31	PRIJEM	\N	188	47512	UROK	\N	\N
3575339	1369	1998-04-30	PRIJEM	\N	193	47462	UROK	\N	\N
3575340	1369	1998-05-31	PRIJEM	\N	173	41293	UROK	\N	\N
3575341	1369	1998-06-30	PRIJEM	\N	117	20774	UROK	\N	\N
3575342	1369	1998-07-31	PRIJEM	\N	93	29925	UROK	\N	\N
3575343	1369	1998-08-31	PRIJEM	\N	145	38828	UROK	\N	\N
3575344	1369	1998-09-30	PRIJEM	\N	180	46965	UROK	\N	\N
3575345	1369	1998-10-31	PRIJEM	\N	202	51124	UROK	\N	\N
3575346	1369	1998-11-30	PRIJEM	\N	227	57909	UROK	\N	\N
3575347	1369	1998-12-31	PRIJEM	\N	225	54418	UROK	\N	\N
3575348	1370	1997-02-28	PRIJEM	\N	85	27125	UROK	\N	\N
3575349	1370	1997-03-31	PRIJEM	\N	119	27977	UROK	\N	\N
3575350	1370	1997-04-30	PRIJEM	\N	128	30539	UROK	\N	\N
3575351	1370	1997-05-31	PRIJEM	\N	138	32910	UROK	\N	\N
3575352	1370	1997-06-30	PRIJEM	\N	108	25452	UROK	\N	\N
3575353	1370	1997-07-31	PRIJEM	\N	117	27103	UROK	\N	\N
3575354	1370	1997-08-31	PRIJEM	\N	126	31162	UROK	\N	\N
3575355	1370	1997-09-30	PRIJEM	\N	143	35239	UROK	\N	\N
3575356	1370	1997-10-31	PRIJEM	\N	149	34221	UROK	\N	\N
3575357	1370	1997-11-30	PRIJEM	\N	154	37008	UROK	\N	\N
3575358	1370	1997-12-31	PRIJEM	\N	156	34197	UROK	\N	\N
3575359	1370	1998-01-31	PRIJEM	\N	139	26580	UROK	\N	\N
3575360	1370	1998-02-28	PRIJEM	\N	119	28632	UROK	\N	\N
3575361	1370	1998-03-31	PRIJEM	\N	132	32137	UROK	\N	\N
3575362	1370	1998-04-30	PRIJEM	\N	147	36217	UROK	\N	\N
3575363	1370	1998-05-31	PRIJEM	\N	159	37710	UROK	\N	\N
3575364	1370	1998-06-30	PRIJEM	\N	143	32886	UROK	\N	\N
3575365	1370	1998-07-31	PRIJEM	\N	148	36168	UROK	\N	\N
3575366	1370	1998-08-31	PRIJEM	\N	152	37213	UROK	\N	\N
3575367	1370	1998-09-30	PRIJEM	\N	168	41314	UROK	\N	\N
3575368	1370	1998-10-31	PRIJEM	\N	185	45433	UROK	\N	\N
3575369	1370	1998-11-30	PRIJEM	\N	185	42552	UROK	\N	\N
3575370	1370	1998-12-31	PRIJEM	\N	175	39710	UROK	\N	\N
3575371	1371	1994-09-30	PRIJEM	\N	57	20438	UROK	\N	\N
3575372	1371	1994-10-31	PRIJEM	\N	87	20447	UROK	\N	\N
3575373	1371	1994-11-30	PRIJEM	\N	89	22059	UROK	\N	\N
3575374	1371	1994-12-31	PRIJEM	\N	95	22875	UROK	\N	\N
3575375	1371	1995-01-31	PRIJEM	\N	94	21702	UROK	\N	\N
3575376	1371	1995-02-28	PRIJEM	\N	95	23319	UROK	\N	\N
3575377	1371	1995-03-31	PRIJEM	\N	97	23098	UROK	\N	\N
3575378	1371	1995-04-30	PRIJEM	\N	100	24020	UROK	\N	\N
3575379	1371	1995-05-31	PRIJEM	\N	101	23403	UROK	\N	\N
3575380	1371	1995-06-30	PRIJEM	\N	82	15788	UROK	\N	\N
3575381	1371	1995-07-31	PRIJEM	\N	70	17380	UROK	\N	\N
3575382	1371	1995-08-31	PRIJEM	\N	71	16813	UROK	\N	\N
3575383	1371	1995-09-30	PRIJEM	\N	73	17769	UROK	\N	\N
3575384	1371	1995-10-31	PRIJEM	\N	78	19369	UROK	\N	\N
3575385	1371	1995-11-30	PRIJEM	\N	85	20976	UROK	\N	\N
3575386	1371	1995-12-31	PRIJEM	\N	89	21128	UROK	\N	\N
3575387	1371	1996-01-31	PRIJEM	\N	82	19062	UROK	\N	\N
3575388	1371	1996-02-29	PRIJEM	\N	80	19385	UROK	\N	\N
3575389	1371	1996-03-31	PRIJEM	\N	85	20992	UROK	\N	\N
3575390	1371	1996-04-30	PRIJEM	\N	91	22606	UROK	\N	\N
3575391	1371	1996-05-31	PRIJEM	\N	82	20050	UROK	\N	\N
3575392	1371	1996-06-30	PRIJEM	\N	88	21660	UROK	\N	\N
3575393	1371	1996-07-31	PRIJEM	\N	84	16107	UROK	\N	\N
3575394	1371	1996-08-31	PRIJEM	\N	71	17700	UROK	\N	\N
3575395	1371	1996-09-30	PRIJEM	\N	71	16814	UROK	\N	\N
3575396	1371	1996-10-31	PRIJEM	\N	74	18410	UROK	\N	\N
3575397	1371	1996-11-30	PRIJEM	\N	81	20013	UROK	\N	\N
3575398	1371	1996-12-31	PRIJEM	\N	86	21322	UROK	\N	\N
3575399	1371	1997-01-31	PRIJEM	\N	83	18126	UROK	\N	\N
3575400	1371	1997-02-28	PRIJEM	\N	70	16439	UROK	\N	\N
3575401	1371	1997-03-31	PRIJEM	\N	72	18034	UROK	\N	\N
3575402	1371	1997-04-30	PRIJEM	\N	78	17954	UROK	\N	\N
3575403	1371	1997-05-31	PRIJEM	\N	78	19555	UROK	\N	\N
3575404	1371	1997-06-30	PRIJEM	\N	81	19358	UROK	\N	\N
3575405	1371	1997-07-31	PRIJEM	\N	84	20965	UROK	\N	\N
3575406	1371	1997-08-31	PRIJEM	\N	91	22578	UROK	\N	\N
3575407	1371	1997-09-30	PRIJEM	\N	93	22273	UROK	\N	\N
3575408	1371	1997-10-31	PRIJEM	\N	95	21810	UROK	\N	\N
3575409	1371	1997-11-30	PRIJEM	\N	94	23426	UROK	\N	\N
3575410	1371	1997-12-31	PRIJEM	\N	99	23878	UROK	\N	\N
3575411	1371	1998-01-31	PRIJEM	\N	100	22400	UROK	\N	\N
3575412	1371	1998-02-28	PRIJEM	\N	96	24019	UROK	\N	\N
3575413	1371	1998-03-31	PRIJEM	\N	89	20431	UROK	\N	\N
3575414	1371	1998-04-30	PRIJEM	\N	88	21941	UROK	\N	\N
3575415	1371	1998-05-31	PRIJEM	\N	92	22515	UROK	\N	\N
3575416	1371	1998-06-30	PRIJEM	\N	83	18100	UROK	\N	\N
3575417	1371	1998-07-31	PRIJEM	\N	78	19701	UROK	\N	\N
3575418	1371	1998-08-31	PRIJEM	\N	84	20827	UROK	\N	\N
3575419	1371	1998-09-30	PRIJEM	\N	90	22439	UROK	\N	\N
3575420	1371	1998-10-31	PRIJEM	\N	96	24058	UROK	\N	\N
3575421	1371	1998-11-30	PRIJEM	\N	100	24321	UROK	\N	\N
3575422	1371	1998-12-31	PRIJEM	\N	104	25697	UROK	\N	\N
3575423	1373	1993-11-30	PRIJEM	\N	2	15312	UROK	\N	\N
3575424	1373	1993-12-31	PRIJEM	\N	63	15179	UROK	\N	\N
3575425	1373	1994-01-31	PRIJEM	\N	64	15496	UROK	\N	\N
3575426	1373	1994-02-28	PRIJEM	\N	67	16536	UROK	\N	\N
3575427	1373	1994-03-31	PRIJEM	\N	71	17581	UROK	\N	\N
3575428	1373	1994-04-30	PRIJEM	\N	76	18630	UROK	\N	\N
3575429	1373	1994-05-31	PRIJEM	\N	80	19683	UROK	\N	\N
3575430	1373	1994-06-30	PRIJEM	\N	69	16586	UROK	\N	\N
3575431	1373	1994-07-31	PRIJEM	\N	71	17631	UROK	\N	\N
3575432	1373	1994-08-31	PRIJEM	\N	76	18680	UROK	\N	\N
3575433	1373	1994-09-30	PRIJEM	\N	79	18952	UROK	\N	\N
3575434	1373	1994-10-31	PRIJEM	\N	78	19013	UROK	\N	\N
3575435	1373	1994-11-30	PRIJEM	\N	79	19195	UROK	\N	\N
3575436	1373	1994-12-31	PRIJEM	\N	78	18836	UROK	\N	\N
3575437	1373	1995-01-31	PRIJEM	\N	80	19530	UROK	\N	\N
3575438	1373	1995-02-28	PRIJEM	\N	83	20586	UROK	\N	\N
3575439	1373	1995-03-31	PRIJEM	\N	88	21648	UROK	\N	\N
3575440	1373	1995-04-30	PRIJEM	\N	88	21609	UROK	\N	\N
3575441	1373	1995-05-31	PRIJEM	\N	87	21169	UROK	\N	\N
3575442	1373	1995-06-30	PRIJEM	\N	82	16434	UROK	\N	\N
3575443	1373	1995-07-31	PRIJEM	\N	70	17178	UROK	\N	\N
3575444	1373	1995-08-31	PRIJEM	\N	74	18225	UROK	\N	\N
3575445	1373	1995-09-30	PRIJEM	\N	73	17891	UROK	\N	\N
3575446	1373	1995-10-31	PRIJEM	\N	77	18941	UROK	\N	\N
3575447	1373	1995-11-30	PRIJEM	\N	81	19996	UROK	\N	\N
3575448	1373	1995-12-31	PRIJEM	\N	85	20634	UROK	\N	\N
3575449	1373	1996-01-31	PRIJEM	\N	88	20435	UROK	\N	\N
3575450	1373	1996-02-29	PRIJEM	\N	87	21496	UROK	\N	\N
3575451	1373	1996-03-31	PRIJEM	\N	91	22350	UROK	\N	\N
3575452	1373	1996-04-30	PRIJEM	\N	95	23148	UROK	\N	\N
3575453	1373	1996-05-31	PRIJEM	\N	98	24219	UROK	\N	\N
3575454	1373	1996-06-30	PRIJEM	\N	88	18891	UROK	\N	\N
3575455	1373	1996-07-31	PRIJEM	\N	81	19944	UROK	\N	\N
3575456	1373	1996-08-31	PRIJEM	\N	83	18800	UROK	\N	\N
3575457	1373	1996-09-30	PRIJEM	\N	79	18653	UROK	\N	\N
3575458	1373	1996-10-31	PRIJEM	\N	78	18704	UROK	\N	\N
3575459	1373	1996-11-30	PRIJEM	\N	78	18055	UROK	\N	\N
3575460	1373	1996-12-31	PRIJEM	\N	75	17294	UROK	\N	\N
3575461	1373	1997-01-31	PRIJEM	\N	72	17679	UROK	\N	\N
3575462	1373	1997-02-28	PRIJEM	\N	74	18027	UROK	\N	\N
3575463	1373	1997-03-31	PRIJEM	\N	77	19077	UROK	\N	\N
3575464	1373	1997-04-30	PRIJEM	\N	74	15654	UROK	\N	\N
3575465	1373	1997-05-31	PRIJEM	\N	67	16694	UROK	\N	\N
3575466	1373	1997-06-30	PRIJEM	\N	67	15234	UROK	\N	\N
3575467	1373	1997-07-31	PRIJEM	\N	65	16272	UROK	\N	\N
3575468	1373	1997-08-31	PRIJEM	\N	65	15011	UROK	\N	\N
3575469	1373	1997-09-30	PRIJEM	\N	64	16048	UROK	\N	\N
3575470	1373	1997-10-31	PRIJEM	\N	66	16188	UROK	\N	\N
3575471	1373	1997-11-30	PRIJEM	\N	68	17229	UROK	\N	\N
3575472	1373	1997-12-31	PRIJEM	\N	71	17614	UROK	\N	\N
3575473	1373	1998-01-31	PRIJEM	\N	72	17939	UROK	\N	\N
3575474	1373	1998-02-28	PRIJEM	\N	75	18988	UROK	\N	\N
3575475	1373	1998-03-31	PRIJEM	\N	77	18238	UROK	\N	\N
3575476	1373	1998-04-30	PRIJEM	\N	77	19288	UROK	\N	\N
3575477	1373	1998-05-31	PRIJEM	\N	79	19140	UROK	\N	\N
3575478	1373	1998-06-30	PRIJEM	\N	77	18590	UROK	\N	\N
3575479	1373	1998-07-31	PRIJEM	\N	74	18377	UROK	\N	\N
3575480	1373	1998-08-31	PRIJEM	\N	70	16220	UROK	\N	\N
3575481	1373	1998-09-30	PRIJEM	\N	68	17261	UROK	\N	\N
3575482	1373	1998-10-31	PRIJEM	\N	72	18307	UROK	\N	\N
3575483	1373	1998-11-30	PRIJEM	\N	76	19357	UROK	\N	\N
3575484	1373	1998-12-31	PRIJEM	\N	69	15899	UROK	\N	\N
3575485	1374	1996-10-31	PRIJEM	\N	29	35973	UROK	\N	\N
3575486	1374	1996-11-30	PRIJEM	\N	162	50979	UROK	\N	\N
3575487	1374	1996-12-31	PRIJEM	\N	289	53835	UROK	\N	\N
3575488	1374	1997-01-31	PRIJEM	\N	233	64012	UROK	\N	\N
3575489	1374	1997-02-28	PRIJEM	\N	216	32871	UROK	\N	\N
3575490	1374	1997-03-31	PRIJEM	\N	218	37759	UROK	\N	\N
3575491	1374	1997-04-30	PRIJEM	\N	246	44041	UROK	\N	\N
3575492	1374	1997-05-31	PRIJEM	\N	282	53452	UROK	\N	\N
3575493	1374	1997-06-30	PRIJEM	\N	307	48362	UROK	\N	\N
3575494	1374	1997-07-31	PRIJEM	\N	224	49515	UROK	\N	\N
3575495	1374	1997-08-31	PRIJEM	\N	213	53657	UROK	\N	\N
3575496	1374	1997-09-30	PRIJEM	\N	265	49035	UROK	\N	\N
3575497	1374	1997-10-31	PRIJEM	\N	192	29812	UROK	\N	\N
3575498	1374	1997-11-30	PRIJEM	\N	199	48833	UROK	\N	\N
3575499	1374	1997-12-31	PRIJEM	\N	249	33258	UROK	\N	\N
3575500	1374	1998-01-31	PRIJEM	\N	182	41262	UROK	\N	\N
3575501	1374	1998-02-28	PRIJEM	\N	224	54366	UROK	\N	\N
3575502	1374	1998-03-31	PRIJEM	\N	285	57773	UROK	\N	\N
3575503	1374	1998-04-30	PRIJEM	\N	224	34200	UROK	\N	\N
3575504	1374	1998-05-31	PRIJEM	\N	215	45937	UROK	\N	\N
3575505	1374	1998-06-30	PRIJEM	\N	151	14506	UROK	\N	\N
3575506	1374	1998-07-31	PRIJEM	\N	110	30537	UROK	\N	\N
3575507	1374	1998-08-31	PRIJEM	\N	190	47549	UROK	\N	\N
3575508	1374	1998-09-30	PRIJEM	\N	184	21281	UROK	\N	\N
3575509	1374	1998-10-31	PRIJEM	\N	134	33638	UROK	\N	\N
3575510	1374	1998-11-30	PRIJEM	\N	162	34084	UROK	\N	\N
3575511	1374	1998-12-31	PRIJEM	\N	228	37248	UROK	\N	\N
3575512	1375	1994-05-31	PRIJEM	\N	16	24207	UROK	\N	\N
3575513	1375	1994-06-30	PRIJEM	\N	112	40856	UROK	\N	\N
3575514	1375	1994-07-31	PRIJEM	\N	170	41417	UROK	\N	\N
3575515	1375	1994-08-31	PRIJEM	\N	177	46384	UROK	\N	\N
3575516	1375	1994-09-30	PRIJEM	\N	219	44364	UROK	\N	\N
3575517	1375	1994-10-31	PRIJEM	\N	211	40022	UROK	\N	\N
3575518	1375	1994-11-30	PRIJEM	\N	193	38561	UROK	\N	\N
3575519	1375	1994-12-31	PRIJEM	\N	218	47170	UROK	\N	\N
3575520	1375	1995-01-31	PRIJEM	\N	202	38918	UROK	\N	\N
3575521	1375	1995-02-28	PRIJEM	\N	190	40555	UROK	\N	\N
3575522	1375	1995-03-31	PRIJEM	\N	186	39687	UROK	\N	\N
3575523	1375	1995-04-30	PRIJEM	\N	191	40325	UROK	\N	\N
3575524	1375	1995-05-31	PRIJEM	\N	194	41065	UROK	\N	\N
3575525	1375	1995-06-30	PRIJEM	\N	194	43550	UROK	\N	\N
3575526	1375	1995-07-31	PRIJEM	\N	197	40293	UROK	\N	\N
3575527	1375	1995-08-31	PRIJEM	\N	191	40031	UROK	\N	\N
3575528	1375	1995-09-30	PRIJEM	\N	189	41477	UROK	\N	\N
3575529	1375	1995-10-31	PRIJEM	\N	188	39223	UROK	\N	\N
3575530	1375	1995-11-30	PRIJEM	\N	182	39162	UROK	\N	\N
3575531	1375	1995-12-31	PRIJEM	\N	209	46974	UROK	\N	\N
3575532	1375	1996-01-31	PRIJEM	\N	189	35320	UROK	\N	\N
3575533	1375	1996-02-29	PRIJEM	\N	168	38345	UROK	\N	\N
3575534	1375	1996-03-31	PRIJEM	\N	180	40982	UROK	\N	\N
3575535	1375	1996-04-30	PRIJEM	\N	184	40724	UROK	\N	\N
3575536	1375	1996-05-31	PRIJEM	\N	188	43270	UROK	\N	\N
3575537	1375	1996-06-30	PRIJEM	\N	178	38550	UROK	\N	\N
3575538	1375	1996-07-31	PRIJEM	\N	182	38989	UROK	\N	\N
3575539	1375	1996-08-31	PRIJEM	\N	181	42627	UROK	\N	\N
3575540	1375	1996-09-30	PRIJEM	\N	194	45578	UROK	\N	\N
3575541	1375	1996-10-31	PRIJEM	\N	198	45834	UROK	\N	\N
3575542	1375	1996-11-30	PRIJEM	\N	204	46595	UROK	\N	\N
3575543	1375	1996-12-31	PRIJEM	\N	229	46226	UROK	\N	\N
3575544	1375	1997-01-31	PRIJEM	\N	178	37461	UROK	\N	\N
3575545	1375	1997-02-28	PRIJEM	\N	158	37477	UROK	\N	\N
3575546	1375	1997-03-31	PRIJEM	\N	157	35791	UROK	\N	\N
3575547	1375	1997-04-30	PRIJEM	\N	158	37606	UROK	\N	\N
3575548	1375	1997-05-31	PRIJEM	\N	169	40933	UROK	\N	\N
3575549	1375	1997-06-30	PRIJEM	\N	191	37127	UROK	\N	\N
3575550	1375	1997-07-31	PRIJEM	\N	165	39649	UROK	\N	\N
3575551	1375	1997-08-31	PRIJEM	\N	173	40379	UROK	\N	\N
3575552	1375	1997-09-30	PRIJEM	\N	206	41731	UROK	\N	\N
3575553	1375	1997-10-31	PRIJEM	\N	183	42960	UROK	\N	\N
3575554	1375	1997-11-30	PRIJEM	\N	166	36272	UROK	\N	\N
3575555	1375	1997-12-31	PRIJEM	\N	178	42241	UROK	\N	\N
3575556	1375	1998-01-31	PRIJEM	\N	200	45487	UROK	\N	\N
3575557	1375	1998-02-28	PRIJEM	\N	219	54552	UROK	\N	\N
3575558	1375	1998-03-31	PRIJEM	\N	207	48805	UROK	\N	\N
3575559	1375	1998-04-30	PRIJEM	\N	229	57981	UROK	\N	\N
3575560	1375	1998-05-31	PRIJEM	\N	232	51159	UROK	\N	\N
3575561	1375	1998-06-30	PRIJEM	\N	265	67915	UROK	\N	\N
3575562	1375	1998-07-31	PRIJEM	\N	303	74765	UROK	\N	\N
3575563	1375	1998-08-31	PRIJEM	\N	301	74712	UROK	\N	\N
3575564	1375	1998-09-30	PRIJEM	\N	319	77477	UROK	\N	\N
3575565	1375	1998-10-31	PRIJEM	\N	307	74330	UROK	\N	\N
3575566	1375	1998-11-30	PRIJEM	\N	311	74987	UROK	\N	\N
3575567	1375	1998-12-31	PRIJEM	\N	348	84826	UROK	\N	\N
3575568	1376	1996-02-29	PRIJEM	\N	53	18507	UROK	\N	\N
3575569	1376	1996-03-31	PRIJEM	\N	81	19940	UROK	\N	\N
3575570	1376	1996-04-30	PRIJEM	\N	79	17930	UROK	\N	\N
3575571	1376	1996-05-31	PRIJEM	\N	79	19360	UROK	\N	\N
3575572	1376	1996-06-30	PRIJEM	\N	85	20796	UROK	\N	\N
3575573	1376	1996-07-31	PRIJEM	\N	91	22238	UROK	\N	\N
3575574	1376	1996-08-31	PRIJEM	\N	97	23686	UROK	\N	\N
3575575	1376	1996-09-30	PRIJEM	\N	103	25140	UROK	\N	\N
3575576	1376	1996-10-31	PRIJEM	\N	109	26601	UROK	\N	\N
3575577	1376	1996-11-30	PRIJEM	\N	115	28067	UROK	\N	\N
3575578	1376	1996-12-31	PRIJEM	\N	119	28187	UROK	\N	\N
3575579	1376	1997-01-31	PRIJEM	\N	106	19723	UROK	\N	\N
3575580	1376	1997-02-28	PRIJEM	\N	86	21161	UROK	\N	\N
3575581	1376	1997-03-31	PRIJEM	\N	92	22604	UROK	\N	\N
3575582	1376	1997-04-30	PRIJEM	\N	98	24054	UROK	\N	\N
3575583	1376	1997-05-31	PRIJEM	\N	93	21738	UROK	\N	\N
3575584	1376	1997-06-30	PRIJEM	\N	76	14826	UROK	\N	\N
3575585	1376	1997-07-31	PRIJEM	\N	66	16243	UROK	\N	\N
3575586	1376	1997-08-31	PRIJEM	\N	71	15665	UROK	\N	\N
3575587	1376	1997-09-30	PRIJEM	\N	69	17085	UROK	\N	\N
3575588	1376	1997-10-31	PRIJEM	\N	75	18511	UROK	\N	\N
3575589	1376	1997-11-30	PRIJEM	\N	81	19943	UROK	\N	\N
3575590	1376	1997-12-31	PRIJEM	\N	80	18505	UROK	\N	\N
3575591	1376	1998-01-31	PRIJEM	\N	66	14323	UROK	\N	\N
3575592	1376	1998-02-28	PRIJEM	\N	63	15737	UROK	\N	\N
3575593	1376	1998-03-31	PRIJEM	\N	69	17158	UROK	\N	\N
3575594	1376	1998-04-30	PRIJEM	\N	71	16660	UROK	\N	\N
3575595	1376	1998-05-31	PRIJEM	\N	73	18084	UROK	\N	\N
3575596	1376	1998-06-30	PRIJEM	\N	79	19514	UROK	\N	\N
3575597	1376	1998-07-31	PRIJEM	\N	77	17422	UROK	\N	\N
3575598	1376	1998-08-31	PRIJEM	\N	76	18850	UROK	\N	\N
3575599	1376	1998-09-30	PRIJEM	\N	82	20283	UROK	\N	\N
3575600	1376	1998-10-31	PRIJEM	\N	88	21722	UROK	\N	\N
3575601	1376	1998-11-30	PRIJEM	\N	94	23167	UROK	\N	\N
3575602	1376	1998-12-31	PRIJEM	\N	98	23257	UROK	\N	\N
3575603	1377	1997-02-28	PRIJEM	\N	34	15222	UROK	\N	\N
3575604	1377	1997-03-31	PRIJEM	\N	66	16433	UROK	\N	\N
3575605	1377	1997-04-30	PRIJEM	\N	66	16415	UROK	\N	\N
3575606	1377	1997-05-31	PRIJEM	\N	71	16851	UROK	\N	\N
3575607	1377	1997-06-30	PRIJEM	\N	60	12506	UROK	\N	\N
3575608	1377	1997-07-31	PRIJEM	\N	54	12895	UROK	\N	\N
3575609	1377	1997-08-31	PRIJEM	\N	57	14097	UROK	\N	\N
3575610	1377	1997-09-30	PRIJEM	\N	61	15303	UROK	\N	\N
3575611	1377	1997-10-31	PRIJEM	\N	67	16515	UROK	\N	\N
3575612	1377	1997-11-30	PRIJEM	\N	71	17552	UROK	\N	\N
3575613	1377	1997-12-31	PRIJEM	\N	75	18413	UROK	\N	\N
3575614	1377	1998-01-31	PRIJEM	\N	67	14795	UROK	\N	\N
3575615	1377	1998-02-28	PRIJEM	\N	64	15344	UROK	\N	\N
3575616	1377	1998-03-31	PRIJEM	\N	67	16556	UROK	\N	\N
3575617	1377	1998-04-30	PRIJEM	\N	68	15890	UROK	\N	\N
3575618	1377	1998-05-31	PRIJEM	\N	67	14962	UROK	\N	\N
3575619	1377	1998-06-30	PRIJEM	\N	65	15202	UROK	\N	\N
3575620	1377	1998-07-31	PRIJEM	\N	63	14910	UROK	\N	\N
3575621	1377	1998-08-31	PRIJEM	\N	57	12312	UROK	\N	\N
3575622	1377	1998-09-30	PRIJEM	\N	50	11808	UROK	\N	\N
3575623	1377	1998-10-31	PRIJEM	\N	52	13005	UROK	\N	\N
3575624	1377	1998-11-30	PRIJEM	\N	57	14207	UROK	\N	\N
3575625	1377	1998-12-31	PRIJEM	\N	63	15025	UROK	\N	\N
3575626	1378	1993-03-31	PRIJEM	\N	65	25584	UROK	\N	\N
3575627	1378	1993-04-30	PRIJEM	\N	169	50772	UROK	\N	\N
3575628	1378	1993-05-31	PRIJEM	\N	240	62131	UROK	\N	\N
3575629	1378	1993-06-30	PRIJEM	\N	301	79560	UROK	\N	\N
3575630	1378	1993-07-31	PRIJEM	\N	322	76021	UROK	\N	\N
3575631	1378	1993-08-31	PRIJEM	\N	268	68219	UROK	\N	\N
3575632	1378	1993-09-30	PRIJEM	\N	240	63589	UROK	\N	\N
3575633	1378	1993-10-31	PRIJEM	\N	214	41834	UROK	\N	\N
3575634	1378	1993-11-30	PRIJEM	\N	204	42268	UROK	\N	\N
3575635	1378	1993-12-31	PRIJEM	\N	241	49348	UROK	\N	\N
3575636	1378	1994-01-31	PRIJEM	\N	217	43996	UROK	\N	\N
3575637	1378	1994-02-28	PRIJEM	\N	218	43445	UROK	\N	\N
3575638	1378	1994-03-31	PRIJEM	\N	217	42493	UROK	\N	\N
3575639	1378	1994-04-30	PRIJEM	\N	216	45439	UROK	\N	\N
3575640	1378	1994-05-31	PRIJEM	\N	224	45793	UROK	\N	\N
3575641	1378	1994-06-30	PRIJEM	\N	253	53285	UROK	\N	\N
3575642	1378	1994-07-31	PRIJEM	\N	251	50167	UROK	\N	\N
3575643	1378	1994-08-31	PRIJEM	\N	239	51136	UROK	\N	\N
3575644	1378	1994-09-30	PRIJEM	\N	233	49200	UROK	\N	\N
3575645	1378	1994-10-31	PRIJEM	\N	233	50663	UROK	\N	\N
3575646	1378	1994-11-30	PRIJEM	\N	234	48727	UROK	\N	\N
3575647	1378	1994-12-31	PRIJEM	\N	243	54709	UROK	\N	\N
3575648	1378	1995-01-31	PRIJEM	\N	234	48073	UROK	\N	\N
3575649	1378	1995-02-28	PRIJEM	\N	221	50725	UROK	\N	\N
3575650	1378	1995-03-31	PRIJEM	\N	236	52091	UROK	\N	\N
3575651	1378	1995-04-30	PRIJEM	\N	241	52863	UROK	\N	\N
3575652	1378	1995-05-31	PRIJEM	\N	244	54237	UROK	\N	\N
3575653	1378	1995-06-30	PRIJEM	\N	272	62748	UROK	\N	\N
3575654	1378	1995-07-31	PRIJEM	\N	279	60358	UROK	\N	\N
3575655	1378	1995-08-31	PRIJEM	\N	260	58147	UROK	\N	\N
3575656	1378	1995-09-30	PRIJEM	\N	254	59132	UROK	\N	\N
3575657	1378	1995-10-31	PRIJEM	\N	247	55608	UROK	\N	\N
3575658	1378	1995-11-30	PRIJEM	\N	242	55281	UROK	\N	\N
3575659	1378	1995-12-31	PRIJEM	\N	252	56572	UROK	\N	\N
3575660	1378	1996-01-31	PRIJEM	\N	215	47517	UROK	\N	\N
3575661	1378	1996-02-29	PRIJEM	\N	212	51359	UROK	\N	\N
3575662	1378	1996-03-31	PRIJEM	\N	227	56516	UROK	\N	\N
3575663	1378	1996-04-30	PRIJEM	\N	245	58691	UROK	\N	\N
3575664	1378	1996-05-31	PRIJEM	\N	258	63580	UROK	\N	\N
3575665	1378	1996-06-30	PRIJEM	\N	282	66702	UROK	\N	\N
3575666	1378	1996-07-31	PRIJEM	\N	269	62101	UROK	\N	\N
3575667	1378	1996-08-31	PRIJEM	\N	244	57675	UROK	\N	\N
3575668	1378	1996-09-30	PRIJEM	\N	248	62154	UROK	\N	\N
3575669	1378	1996-10-31	PRIJEM	\N	259	64643	UROK	\N	\N
3575670	1378	1996-11-30	PRIJEM	\N	258	61831	UROK	\N	\N
3575671	1378	1996-12-31	PRIJEM	\N	323	66493	UROK	\N	\N
3575672	1378	1997-01-31	PRIJEM	\N	273	65196	UROK	\N	\N
3575673	1378	1997-02-28	PRIJEM	\N	281	73908	UROK	\N	\N
3575674	1378	1997-03-31	PRIJEM	\N	285	67323	UROK	\N	\N
3575675	1378	1997-04-30	PRIJEM	\N	301	79154	UROK	\N	\N
3575676	1378	1997-05-31	PRIJEM	\N	344	88428	UROK	\N	\N
3575677	1378	1997-06-30	PRIJEM	\N	401	105569	UROK	\N	\N
3575678	1378	1997-07-31	PRIJEM	\N	426	104926	UROK	\N	\N
3575679	1378	1997-08-31	PRIJEM	\N	422	105678	UROK	\N	\N
3575680	1378	1997-09-30	PRIJEM	\N	416	104425	UROK	\N	\N
3575681	1378	1997-10-31	PRIJEM	\N	421	101877	UROK	\N	\N
3575682	1378	1997-11-30	PRIJEM	\N	397	96904	UROK	\N	\N
3575683	1378	1997-12-31	PRIJEM	\N	394	102137	UROK	\N	\N
3575684	1378	1998-01-31	PRIJEM	\N	355	85723	UROK	\N	\N
3575685	1378	1998-02-28	PRIJEM	\N	339	89292	UROK	\N	\N
3575686	1378	1998-03-31	PRIJEM	\N	355	87477	UROK	\N	\N
3575687	1378	1998-04-30	PRIJEM	\N	363	93971	UROK	\N	\N
3575688	1378	1998-05-31	PRIJEM	\N	379	97780	UROK	\N	\N
3575689	1378	1998-06-30	PRIJEM	\N	420	109040	UROK	\N	\N
3575690	1378	1998-07-31	PRIJEM	\N	424	108494	UROK	\N	\N
3575691	1378	1998-08-31	PRIJEM	\N	413	102637	UROK	\N	\N
3575692	1378	1998-09-30	PRIJEM	\N	379	98046	UROK	\N	\N
3575693	1378	1998-10-31	PRIJEM	\N	363	94140	UROK	\N	\N
3575694	1378	1998-11-30	PRIJEM	\N	343	89613	UROK	\N	\N
3575695	1378	1998-12-31	PRIJEM	\N	367	99419	UROK	\N	\N
3575696	1379	1997-10-31	PRIJEM	\N	34	16564	UROK	\N	\N
3575697	1379	1997-11-30	PRIJEM	\N	70	27064	UROK	\N	\N
3575698	1379	1997-12-31	PRIJEM	\N	105	33114	UROK	\N	\N
3575699	1379	1998-01-31	PRIJEM	\N	138	35082	UROK	\N	\N
3575700	1379	1998-02-28	PRIJEM	\N	146	45658	UROK	\N	\N
3575701	1379	1998-03-31	PRIJEM	\N	142	33362	UROK	\N	\N
3575702	1379	1998-04-30	PRIJEM	\N	149	36773	UROK	\N	\N
3575703	1379	1998-05-31	PRIJEM	\N	162	36798	UROK	\N	\N
3575704	1379	1998-06-30	PRIJEM	\N	178	44653	UROK	\N	\N
3575705	1379	1998-07-31	PRIJEM	\N	183	43699	UROK	\N	\N
3575706	1379	1998-08-31	PRIJEM	\N	188	41550	UROK	\N	\N
3575707	1379	1998-09-30	PRIJEM	\N	179	38691	UROK	\N	\N
3575708	1379	1998-10-31	PRIJEM	\N	168	38621	UROK	\N	\N
3575709	1379	1998-11-30	PRIJEM	\N	170	41654	UROK	\N	\N
3575710	1379	1998-12-31	PRIJEM	\N	196	47827	UROK	\N	\N
3575711	1380	1996-03-31	PRIJEM	\N	37	23082	UROK	\N	\N
3575712	1380	1996-04-30	PRIJEM	\N	116	35043	UROK	\N	\N
3575713	1380	1996-05-31	PRIJEM	\N	156	40844	UROK	\N	\N
3575714	1380	1996-06-30	PRIJEM	\N	191	53003	UROK	\N	\N
3575715	1380	1996-07-31	PRIJEM	\N	233	49052	UROK	\N	\N
3575716	1380	1996-08-31	PRIJEM	\N	219	48073	UROK	\N	\N
3575717	1380	1996-09-30	PRIJEM	\N	198	43472	UROK	\N	\N
3575718	1380	1996-10-31	PRIJEM	\N	205	46378	UROK	\N	\N
3575719	1380	1996-11-30	PRIJEM	\N	194	39773	UROK	\N	\N
3575720	1380	1996-12-31	PRIJEM	\N	205	44402	UROK	\N	\N
3575721	1380	1997-01-31	PRIJEM	\N	180	33383	UROK	\N	\N
3575722	1380	1997-02-28	PRIJEM	\N	158	35543	UROK	\N	\N
3575723	1380	1997-03-31	PRIJEM	\N	163	36007	UROK	\N	\N
3575724	1380	1997-04-30	PRIJEM	\N	164	36772	UROK	\N	\N
3575725	1380	1997-05-31	PRIJEM	\N	168	36942	UROK	\N	\N
3575726	1380	1997-06-30	PRIJEM	\N	194	44960	UROK	\N	\N
3575727	1380	1997-07-31	PRIJEM	\N	191	42753	UROK	\N	\N
3575728	1380	1997-08-31	PRIJEM	\N	193	45247	UROK	\N	\N
3575729	1380	1997-09-30	PRIJEM	\N	199	46847	UROK	\N	\N
3575730	1380	1997-10-31	PRIJEM	\N	207	49156	UROK	\N	\N
3575731	1380	1997-11-30	PRIJEM	\N	210	49467	UROK	\N	\N
3575732	1380	1997-12-31	PRIJEM	\N	212	45703	UROK	\N	\N
3575733	1380	1998-01-31	PRIJEM	\N	177	30981	UROK	\N	\N
3575734	1380	1998-02-28	PRIJEM	\N	123	24705	UROK	\N	\N
3575735	1380	1998-03-31	PRIJEM	\N	121	29427	UROK	\N	\N
3575736	1380	1998-04-30	PRIJEM	\N	120	28049	UROK	\N	\N
3575737	1380	1998-05-31	PRIJEM	\N	136	28386	UROK	\N	\N
3575738	1380	1998-06-30	PRIJEM	\N	147	34457	UROK	\N	\N
3575739	1380	1998-07-31	PRIJEM	\N	146	31705	UROK	\N	\N
3575740	1380	1998-08-31	PRIJEM	\N	127	29833	UROK	\N	\N
3575741	1380	1998-09-30	PRIJEM	\N	180	46314	UROK	\N	\N
3575742	1380	1998-10-31	PRIJEM	\N	230	56546	UROK	\N	\N
3575743	1380	1998-11-30	PRIJEM	\N	244	58891	UROK	\N	\N
3575744	1380	1998-12-31	PRIJEM	\N	296	68912	UROK	\N	\N
3575745	1381	1993-11-30	PRIJEM	\N	18	5076	UROK	\N	\N
3575746	1381	1993-12-31	PRIJEM	\N	21	9155	UROK	\N	\N
3575747	1381	1994-01-31	PRIJEM	\N	21	13234	UROK	\N	\N
3575748	1381	1994-02-28	PRIJEM	\N	21	17313	UROK	\N	\N
3575749	1381	1994-03-31	PRIJEM	\N	23	21394	UROK	\N	\N
3575750	1381	1994-04-30	PRIJEM	\N	94	22826	UROK	\N	\N
3575751	1381	1994-05-31	PRIJEM	\N	93	20918	UROK	\N	\N
3575752	1381	1994-06-30	PRIJEM	\N	92	21148	UROK	\N	\N
3575753	1381	1994-07-31	PRIJEM	\N	93	22579	UROK	\N	\N
3575754	1381	1994-08-31	PRIJEM	\N	99	24016	UROK	\N	\N
3575755	1381	1994-09-30	PRIJEM	\N	105	25459	UROK	\N	\N
3575756	1381	1994-10-31	PRIJEM	\N	110	26208	UROK	\N	\N
3575757	1381	1994-11-30	PRIJEM	\N	114	27660	UROK	\N	\N
3575758	1381	1994-12-31	PRIJEM	\N	113	21671	UROK	\N	\N
3575759	1381	1995-01-31	PRIJEM	\N	71	14241	UROK	\N	\N
3575760	1381	1995-02-28	PRIJEM	\N	64	15643	UROK	\N	\N
3575761	1381	1995-03-31	PRIJEM	\N	70	17051	UROK	\N	\N
3575762	1381	1995-04-30	PRIJEM	\N	76	18465	UROK	\N	\N
3575763	1381	1995-05-31	PRIJEM	\N	82	19885	UROK	\N	\N
3575764	1381	1995-06-30	PRIJEM	\N	83	16356	UROK	\N	\N
3575765	1381	1995-07-31	PRIJEM	\N	73	17767	UROK	\N	\N
3575766	1381	1995-08-31	PRIJEM	\N	79	19184	UROK	\N	\N
3575767	1381	1995-09-30	PRIJEM	\N	84	20607	UROK	\N	\N
3575768	1381	1995-10-31	PRIJEM	\N	87	18673	UROK	\N	\N
3575769	1381	1995-11-30	PRIJEM	\N	82	20093	UROK	\N	\N
3575770	1381	1995-12-31	PRIJEM	\N	85	20216	UROK	\N	\N
3575771	1381	1996-01-31	PRIJEM	\N	71	14126	UROK	\N	\N
3575772	1381	1996-02-29	PRIJEM	\N	63	15527	UROK	\N	\N
3575773	1381	1996-03-31	PRIJEM	\N	69	16934	UROK	\N	\N
3575774	1381	1996-04-30	PRIJEM	\N	75	18347	UROK	\N	\N
3575775	1381	1996-05-31	PRIJEM	\N	80	17766	UROK	\N	\N
3575776	1381	1996-06-30	PRIJEM	\N	78	19182	UROK	\N	\N
3575777	1381	1996-07-31	PRIJEM	\N	84	20604	UROK	\N	\N
3575778	1381	1996-08-31	PRIJEM	\N	78	18101	UROK	\N	\N
3575779	1381	1996-09-30	PRIJEM	\N	76	16475	UROK	\N	\N
3575780	1381	1996-10-31	PRIJEM	\N	71	17285	UROK	\N	\N
3575781	1381	1996-11-30	PRIJEM	\N	75	18098	UROK	\N	\N
3575782	1381	1996-12-31	PRIJEM	\N	77	19013	UROK	\N	\N
3575783	1381	1997-01-31	PRIJEM	\N	69	14920	UROK	\N	\N
3575784	1381	1997-02-28	PRIJEM	\N	66	16324	UROK	\N	\N
3575785	1381	1997-03-31	PRIJEM	\N	72	17735	UROK	\N	\N
3575786	1381	1997-04-30	PRIJEM	\N	66	14139	UROK	\N	\N
3575787	1381	1997-05-31	PRIJEM	\N	56	12933	UROK	\N	\N
3575788	1381	1997-06-30	PRIJEM	\N	57	14329	UROK	\N	\N
3575789	1381	1997-07-31	PRIJEM	\N	63	15731	UROK	\N	\N
3575790	1381	1997-08-31	PRIJEM	\N	63	14932	UROK	\N	\N
3575791	1381	1997-09-30	PRIJEM	\N	65	15616	UROK	\N	\N
3575792	1381	1997-10-31	PRIJEM	\N	68	17023	UROK	\N	\N
3575793	1381	1997-11-30	PRIJEM	\N	74	18435	UROK	\N	\N
3575794	1381	1997-12-31	PRIJEM	\N	79	19353	UROK	\N	\N
3575795	1381	1998-01-31	PRIJEM	\N	69	15400	UROK	\N	\N
3575796	1381	1998-02-28	PRIJEM	\N	67	16806	UROK	\N	\N
3575797	1381	1998-03-31	PRIJEM	\N	73	18217	UROK	\N	\N
3575798	1381	1998-04-30	PRIJEM	\N	79	19635	UROK	\N	\N
3575799	1381	1998-05-31	PRIJEM	\N	85	21058	UROK	\N	\N
3575800	1381	1998-06-30	PRIJEM	\N	86	20482	UROK	\N	\N
3575801	1381	1998-07-31	PRIJEM	\N	88	21908	UROK	\N	\N
3575802	1381	1998-08-31	PRIJEM	\N	94	23341	UROK	\N	\N
3575803	1381	1998-09-30	PRIJEM	\N	100	24779	UROK	\N	\N
3575804	1381	1998-10-31	PRIJEM	\N	93	22290	UROK	\N	\N
3575805	1381	1998-11-30	PRIJEM	\N	95	23724	UROK	\N	\N
3575806	1381	1998-12-31	PRIJEM	\N	93	20235	UROK	\N	\N
3575807	1382	1993-08-31	PRIJEM	\N	10	3899	UROK	\N	\N
3575808	1382	1993-09-30	PRIJEM	\N	16	7004	UROK	\N	\N
3575809	1382	1993-10-31	PRIJEM	\N	16	10109	UROK	\N	\N
3575810	1382	1993-11-30	PRIJEM	\N	16	13215	UROK	\N	\N
3575811	1382	1993-12-31	PRIJEM	\N	39	15263	UROK	\N	\N
3575812	1382	1994-01-31	PRIJEM	\N	57	12735	UROK	\N	\N
3575813	1382	1994-02-28	PRIJEM	\N	55	13805	UROK	\N	\N
3575814	1382	1994-03-31	PRIJEM	\N	55	13796	UROK	\N	\N
3575815	1382	1994-04-30	PRIJEM	\N	60	14871	UROK	\N	\N
3575816	1382	1994-05-31	PRIJEM	\N	65	15951	UROK	\N	\N
3575817	1382	1994-06-30	PRIJEM	\N	69	17036	UROK	\N	\N
3575818	1382	1994-07-31	PRIJEM	\N	74	18125	UROK	\N	\N
3575819	1382	1994-08-31	PRIJEM	\N	76	18195	UROK	\N	\N
3575820	1382	1994-09-30	PRIJEM	\N	78	18269	UROK	\N	\N
3575821	1382	1994-10-31	PRIJEM	\N	79	19363	UROK	\N	\N
3575822	1382	1994-11-30	PRIJEM	\N	81	19290	UROK	\N	\N
3575823	1382	1994-12-31	PRIJEM	\N	82	19937	UROK	\N	\N
3575824	1382	1995-01-31	PRIJEM	\N	79	16621	UROK	\N	\N
3575825	1382	1995-02-28	PRIJEM	\N	72	17708	UROK	\N	\N
3575826	1382	1995-03-31	PRIJEM	\N	76	18800	UROK	\N	\N
3575827	1382	1995-04-30	PRIJEM	\N	81	19896	UROK	\N	\N
3575828	1382	1995-05-31	PRIJEM	\N	85	20997	UROK	\N	\N
3575829	1382	1995-06-30	PRIJEM	\N	78	18520	UROK	\N	\N
3575830	1382	1995-07-31	PRIJEM	\N	80	19615	UROK	\N	\N
3575831	1382	1995-08-31	PRIJEM	\N	84	20714	UROK	\N	\N
3575832	1382	1995-09-30	PRIJEM	\N	89	21818	UROK	\N	\N
3575833	1382	1995-10-31	PRIJEM	\N	91	21425	UROK	\N	\N
3575834	1382	1995-11-30	PRIJEM	\N	91	22131	UROK	\N	\N
3575835	1382	1995-12-31	PRIJEM	\N	94	22520	UROK	\N	\N
3575836	1382	1996-01-31	PRIJEM	\N	91	20687	UROK	\N	\N
3575837	1382	1996-02-29	PRIJEM	\N	88	21790	UROK	\N	\N
3575838	1382	1996-03-31	PRIJEM	\N	91	21697	UROK	\N	\N
3575839	1382	1996-04-30	PRIJEM	\N	93	22804	UROK	\N	\N
3575840	1382	1996-05-31	PRIJEM	\N	97	23917	UROK	\N	\N
3575841	1382	1996-06-30	PRIJEM	\N	95	21617	UROK	\N	\N
3575842	1382	1996-07-31	PRIJEM	\N	92	22544	UROK	\N	\N
3575843	1382	1996-08-31	PRIJEM	\N	96	23656	UROK	\N	\N
3575844	1382	1996-09-30	PRIJEM	\N	93	21314	UROK	\N	\N
3575845	1382	1996-10-31	PRIJEM	\N	91	22420	UROK	\N	\N
3575846	1382	1996-11-30	PRIJEM	\N	94	22569	UROK	\N	\N
3575847	1382	1996-12-31	PRIJEM	\N	92	22537	UROK	\N	\N
3575848	1382	1997-01-31	PRIJEM	\N	82	17204	UROK	\N	\N
3575849	1382	1997-02-28	PRIJEM	\N	73	18293	UROK	\N	\N
3575850	1382	1997-03-31	PRIJEM	\N	78	19286	UROK	\N	\N
3575851	1382	1997-04-30	PRIJEM	\N	81	19752	UROK	\N	\N
3575852	1382	1997-05-31	PRIJEM	\N	84	20851	UROK	\N	\N
3575853	1382	1997-06-30	PRIJEM	\N	88	21955	UROK	\N	\N
3575854	1382	1997-07-31	PRIJEM	\N	93	23063	UROK	\N	\N
3575855	1382	1997-08-31	PRIJEM	\N	98	24176	UROK	\N	\N
3575856	1382	1997-09-30	PRIJEM	\N	92	21583	UROK	\N	\N
3575857	1382	1997-10-31	PRIJEM	\N	88	21587	UROK	\N	\N
3575858	1382	1997-11-30	PRIJEM	\N	82	19684	UROK	\N	\N
3575859	1382	1997-12-31	PRIJEM	\N	80	19659	UROK	\N	\N
3575860	1382	1998-01-31	PRIJEM	\N	75	18350	UROK	\N	\N
3575861	1382	1998-02-28	PRIJEM	\N	76	19141	UROK	\N	\N
3575862	1382	1998-03-31	PRIJEM	\N	79	19246	UROK	\N	\N
3575863	1382	1998-04-30	PRIJEM	\N	81	20342	UROK	\N	\N
3575864	1382	1998-05-31	PRIJEM	\N	86	21443	UROK	\N	\N
3575865	1382	1998-06-30	PRIJEM	\N	88	19727	UROK	\N	\N
3575866	1382	1998-07-31	PRIJEM	\N	83	20825	UROK	\N	\N
3575867	1382	1998-08-31	PRIJEM	\N	85	20905	UROK	\N	\N
3575868	1382	1998-09-30	PRIJEM	\N	88	22008	UROK	\N	\N
3575869	1382	1998-10-31	PRIJEM	\N	92	23116	UROK	\N	\N
3575870	1382	1998-11-30	PRIJEM	\N	97	24228	UROK	\N	\N
3575871	1382	1998-12-31	PRIJEM	\N	101	24984	UROK	\N	\N
3575872	1383	1996-08-31	PRIJEM	\N	72	28408	UROK	\N	\N
3575873	1383	1996-09-30	PRIJEM	\N	123	29067	UROK	\N	\N
3575874	1383	1996-10-31	PRIJEM	\N	133	31721	UROK	\N	\N
3575875	1383	1996-11-30	PRIJEM	\N	147	35890	UROK	\N	\N
3575876	1383	1996-12-31	PRIJEM	\N	146	33608	UROK	\N	\N
3575877	1383	1997-01-31	PRIJEM	\N	127	27906	UROK	\N	\N
3575878	1383	1997-02-28	PRIJEM	\N	139	32766	UROK	\N	\N
3575879	1383	1997-03-31	PRIJEM	\N	156	36764	UROK	\N	\N
3575880	1383	1997-04-30	PRIJEM	\N	158	37462	UROK	\N	\N
3575881	1383	1997-05-31	PRIJEM	\N	165	38029	UROK	\N	\N
3575882	1383	1997-06-30	PRIJEM	\N	153	31654	UROK	\N	\N
3575883	1383	1997-07-31	PRIJEM	\N	146	35921	UROK	\N	\N
3575884	1383	1997-08-31	PRIJEM	\N	164	40307	UROK	\N	\N
3575885	1383	1997-09-30	PRIJEM	\N	190	44018	UROK	\N	\N
3575886	1383	1997-10-31	PRIJEM	\N	198	43937	UROK	\N	\N
3575887	1383	1997-11-30	PRIJEM	\N	191	44449	UROK	\N	\N
3575888	1383	1997-12-31	PRIJEM	\N	189	41040	UROK	\N	\N
3575889	1383	1998-01-31	PRIJEM	\N	159	33130	UROK	\N	\N
3575890	1383	1998-02-28	PRIJEM	\N	149	35280	UROK	\N	\N
3575891	1383	1998-03-31	PRIJEM	\N	158	38960	UROK	\N	\N
3575892	1383	1998-04-30	PRIJEM	\N	157	35078	UROK	\N	\N
3575893	1383	1998-05-31	PRIJEM	\N	168	39968	UROK	\N	\N
3575894	1383	1998-06-30	PRIJEM	\N	151	34000	UROK	\N	\N
3575895	1383	1998-07-31	PRIJEM	\N	161	37882	UROK	\N	\N
3575896	1383	1998-08-31	PRIJEM	\N	163	39866	UROK	\N	\N
3575897	1383	1998-09-30	PRIJEM	\N	153	36340	UROK	\N	\N
3575898	1383	1998-10-31	PRIJEM	\N	147	34009	UROK	\N	\N
3575899	1383	1998-11-30	PRIJEM	\N	130	30860	UROK	\N	\N
3575900	1383	1998-12-31	PRIJEM	\N	135	32566	UROK	\N	\N
3575901	1385	1997-05-31	PRIJEM	\N	52	18400	UROK	\N	\N
3575902	1385	1997-06-30	PRIJEM	\N	159	48181	UROK	\N	\N
3575903	1385	1997-07-31	PRIJEM	\N	231	59260	UROK	\N	\N
3575904	1385	1997-08-31	PRIJEM	\N	266	66374	UROK	\N	\N
3575905	1385	1997-09-30	PRIJEM	\N	256	57944	UROK	\N	\N
3575906	1385	1997-10-31	PRIJEM	\N	245	57988	UROK	\N	\N
3575907	1385	1997-11-30	PRIJEM	\N	228	52656	UROK	\N	\N
3575908	1385	1997-12-31	PRIJEM	\N	255	61284	UROK	\N	\N
3575909	1385	1998-01-31	PRIJEM	\N	234	48798	UROK	\N	\N
3575910	1385	1998-02-28	PRIJEM	\N	220	53717	UROK	\N	\N
3575911	1385	1998-03-31	PRIJEM	\N	233	55950	UROK	\N	\N
3575912	1385	1998-04-30	PRIJEM	\N	247	59897	UROK	\N	\N
3575913	1385	1998-05-31	PRIJEM	\N	240	54516	UROK	\N	\N
3575914	1385	1998-06-30	PRIJEM	\N	265	66954	UROK	\N	\N
3575915	1385	1998-07-31	PRIJEM	\N	299	64653	UROK	\N	\N
3575916	1385	1998-08-31	PRIJEM	\N	267	61739	UROK	\N	\N
3575917	1385	1998-09-30	PRIJEM	\N	251	59370	UROK	\N	\N
3575918	1385	1998-10-31	PRIJEM	\N	224	50973	UROK	\N	\N
3575919	1385	1998-11-30	PRIJEM	\N	228	55101	UROK	\N	\N
3575920	1385	1998-12-31	PRIJEM	\N	273	69467	UROK	\N	\N
3575921	1389	1997-08-31	PRIJEM	\N	30	31366	UROK	\N	\N
3575922	1389	1997-09-30	PRIJEM	\N	210	96810	UROK	\N	\N
3575923	1389	1997-10-31	PRIJEM	\N	161	29739	UROK	\N	\N
3575924	1389	1997-11-30	PRIJEM	\N	75	52368	UROK	\N	\N
3575925	1389	1997-12-31	PRIJEM	\N	236	81312	UROK	\N	\N
3575926	1389	1998-01-31	PRIJEM	\N	143	14264	UROK	\N	\N
3575927	1389	1998-02-28	PRIJEM	\N	292	85764	UROK	\N	\N
3575928	1389	1998-03-31	PRIJEM	\N	347	92916	UROK	\N	\N
3575929	1389	1998-04-30	PRIJEM	\N	120	21241	UROK	\N	\N
3575930	1389	1998-05-31	PRIJEM	\N	122	43677	UROK	\N	\N
3575931	1389	1998-06-30	PRIJEM	\N	97	38742	UROK	\N	\N
3575932	1389	1998-07-31	PRIJEM	\N	165	36188	UROK	\N	\N
3575933	1389	1998-08-31	PRIJEM	\N	90	17288	UROK	\N	\N
3575934	1389	1998-09-30	PRIJEM	\N	73	22307	UROK	\N	\N
3575935	1389	1998-10-31	PRIJEM	\N	167	44755	UROK	\N	\N
3575936	1389	1998-11-30	PRIJEM	\N	229	52745	UROK	\N	\N
3575937	1389	1998-12-31	PRIJEM	\N	204	63133	UROK	\N	\N
3575938	1390	1997-01-31	PRIJEM	\N	8	19046	UROK	\N	\N
3575939	1390	1997-02-28	PRIJEM	\N	80	29864	UROK	\N	\N
3575940	1390	1997-03-31	PRIJEM	\N	102	27204	UROK	\N	\N
3575941	1390	1997-04-30	PRIJEM	\N	114	29856	UROK	\N	\N
3575942	1390	1997-05-31	PRIJEM	\N	134	24269	UROK	\N	\N
3575943	1390	1997-06-30	PRIJEM	\N	94	18778	UROK	\N	\N
3575944	1390	1997-07-31	PRIJEM	\N	81	21364	UROK	\N	\N
3575945	1390	1997-08-31	PRIJEM	\N	91	22561	UROK	\N	\N
3575946	1390	1997-09-30	PRIJEM	\N	106	22992	UROK	\N	\N
3575947	1390	1997-10-31	PRIJEM	\N	108	20965	UROK	\N	\N
3575948	1390	1997-11-30	PRIJEM	\N	101	21132	UROK	\N	\N
3575949	1390	1997-12-31	PRIJEM	\N	114	22160	UROK	\N	\N
3575950	1390	1998-01-31	PRIJEM	\N	85	17111	UROK	\N	\N
3575951	1390	1998-02-28	PRIJEM	\N	89	21665	UROK	\N	\N
3575952	1390	1998-03-31	PRIJEM	\N	106	28736	UROK	\N	\N
3575953	1390	1998-04-30	PRIJEM	\N	125	27327	UROK	\N	\N
3575954	1390	1998-05-31	PRIJEM	\N	129	30221	UROK	\N	\N
3575955	1390	1998-06-30	PRIJEM	\N	86	19642	UROK	\N	\N
3575956	1390	1998-07-31	PRIJEM	\N	95	20963	UROK	\N	\N
3575957	1390	1998-08-31	PRIJEM	\N	102	26030	UROK	\N	\N
3575958	1390	1998-09-30	PRIJEM	\N	118	27513	UROK	\N	\N
3575959	1390	1998-10-31	PRIJEM	\N	123	28102	UROK	\N	\N
3575960	1390	1998-11-30	PRIJEM	\N	129	30995	UROK	\N	\N
3575961	1390	1998-12-31	PRIJEM	\N	138	33148	UROK	\N	\N
3575962	1391	1997-01-31	PRIJEM	\N	29	17680	UROK	\N	\N
3575963	1391	1997-02-28	PRIJEM	\N	85	25415	UROK	\N	\N
3575964	1391	1997-03-31	PRIJEM	\N	119	34686	UROK	\N	\N
3575965	1391	1997-04-30	PRIJEM	\N	154	41191	UROK	\N	\N
3575966	1391	1997-05-31	PRIJEM	\N	189	40117	UROK	\N	\N
3575967	1391	1997-06-30	PRIJEM	\N	183	41219	UROK	\N	\N
3575968	1391	1997-07-31	PRIJEM	\N	187	40889	UROK	\N	\N
3575969	1391	1997-08-31	PRIJEM	\N	174	34626	UROK	\N	\N
3575970	1391	1997-09-30	PRIJEM	\N	165	38874	UROK	\N	\N
3575971	1391	1997-10-31	PRIJEM	\N	170	36827	UROK	\N	\N
3575972	1391	1997-11-30	PRIJEM	\N	164	36975	UROK	\N	\N
3575973	1391	1997-12-31	PRIJEM	\N	166	29960	UROK	\N	\N
3575974	1391	1998-01-31	PRIJEM	\N	123	25487	UROK	\N	\N
3575975	1391	1998-02-28	PRIJEM	\N	130	32800	UROK	\N	\N
3575976	1391	1998-03-31	PRIJEM	\N	152	35335	UROK	\N	\N
3575977	1391	1998-04-30	PRIJEM	\N	159	36577	UROK	\N	\N
3575978	1391	1998-05-31	PRIJEM	\N	164	32684	UROK	\N	\N
3575979	1391	1998-06-30	PRIJEM	\N	159	37702	UROK	\N	\N
3575980	1391	1998-07-31	PRIJEM	\N	152	29477	UROK	\N	\N
3575981	1391	1998-08-31	PRIJEM	\N	118	24158	UROK	\N	\N
3575982	1391	1998-09-30	PRIJEM	\N	112	27454	UROK	\N	\N
3575983	1391	1998-10-31	PRIJEM	\N	122	28559	UROK	\N	\N
3575984	1391	1998-11-30	PRIJEM	\N	138	35080	UROK	\N	\N
3575985	1391	1998-12-31	PRIJEM	\N	171	42889	UROK	\N	\N
3575986	1392	1993-05-31	PRIJEM	\N	14	25793	UROK	\N	\N
3575987	1392	1993-06-30	PRIJEM	\N	118	44579	UROK	\N	\N
3575988	1392	1993-07-31	PRIJEM	\N	187	47245	UROK	\N	\N
3575989	1392	1993-08-31	PRIJEM	\N	195	45919	UROK	\N	\N
3575990	1392	1993-09-30	PRIJEM	\N	194	49491	UROK	\N	\N
3575991	1392	1993-10-31	PRIJEM	\N	225	40684	UROK	\N	\N
3575992	1392	1993-11-30	PRIJEM	\N	200	38851	UROK	\N	\N
3575993	1392	1993-12-31	PRIJEM	\N	217	44224	UROK	\N	\N
3575994	1392	1994-01-31	PRIJEM	\N	209	41201	UROK	\N	\N
3575995	1392	1994-02-28	PRIJEM	\N	197	40064	UROK	\N	\N
3575996	1392	1994-03-31	PRIJEM	\N	199	42131	UROK	\N	\N
3575997	1392	1994-04-30	PRIJEM	\N	189	39187	UROK	\N	\N
3575998	1392	1994-05-31	PRIJEM	\N	196	42550	UROK	\N	\N
3575999	1392	1994-06-30	PRIJEM	\N	158	34065	UROK	\N	\N
3576000	1392	1994-07-31	PRIJEM	\N	173	38705	UROK	\N	\N
3576001	1392	1994-08-31	PRIJEM	\N	185	39458	UROK	\N	\N
3576002	1392	1994-09-30	PRIJEM	\N	189	41514	UROK	\N	\N
3576003	1392	1994-10-31	PRIJEM	\N	198	43679	UROK	\N	\N
3576004	1392	1994-11-30	PRIJEM	\N	199	41646	UROK	\N	\N
3576005	1392	1994-12-31	PRIJEM	\N	214	45616	UROK	\N	\N
3576006	1392	1995-01-31	PRIJEM	\N	206	45389	UROK	\N	\N
3576007	1392	1995-02-28	PRIJEM	\N	196	42952	UROK	\N	\N
3576008	1392	1995-03-31	PRIJEM	\N	203	45823	UROK	\N	\N
3576009	1392	1995-04-30	PRIJEM	\N	210	46500	UROK	\N	\N
3576010	1392	1995-05-31	PRIJEM	\N	199	41766	UROK	\N	\N
3576011	1392	1995-06-30	PRIJEM	\N	203	42226	UROK	\N	\N
3576012	1392	1995-07-31	PRIJEM	\N	187	40581	UROK	\N	\N
3576013	1392	1995-08-31	PRIJEM	\N	180	40328	UROK	\N	\N
3576014	1392	1995-09-30	PRIJEM	\N	180	41275	UROK	\N	\N
3576015	1392	1995-10-31	PRIJEM	\N	175	39017	UROK	\N	\N
3576016	1392	1995-11-30	PRIJEM	\N	178	42163	UROK	\N	\N
3576017	1392	1995-12-31	PRIJEM	\N	212	51431	UROK	\N	\N
3576018	1392	1996-01-31	PRIJEM	\N	219	51217	UROK	\N	\N
3576019	1392	1996-02-29	PRIJEM	\N	205	47089	UROK	\N	\N
3576020	1392	1996-03-31	PRIJEM	\N	204	48461	UROK	\N	\N
3576021	1392	1996-04-30	PRIJEM	\N	199	45227	UROK	\N	\N
3576022	1392	1996-05-31	PRIJEM	\N	199	48494	UROK	\N	\N
3576023	1392	1996-06-30	PRIJEM	\N	164	39314	UROK	\N	\N
3576024	1392	1996-07-31	PRIJEM	\N	187	47469	UROK	\N	\N
3576025	1392	1996-08-31	PRIJEM	\N	199	48435	UROK	\N	\N
3576026	1392	1996-09-30	PRIJEM	\N	245	50948	UROK	\N	\N
3576027	1392	1996-10-31	PRIJEM	\N	256	56371	UROK	\N	\N
3576028	1392	1996-11-30	PRIJEM	\N	278	72316	UROK	\N	\N
3576029	1392	1996-12-31	PRIJEM	\N	357	91330	UROK	\N	\N
3576030	1392	1997-01-31	PRIJEM	\N	370	90967	UROK	\N	\N
3576031	1392	1997-02-28	PRIJEM	\N	353	86288	UROK	\N	\N
3576032	1392	1997-03-31	PRIJEM	\N	368	90423	UROK	\N	\N
3576033	1392	1997-04-30	PRIJEM	\N	379	92369	UROK	\N	\N
3576034	1392	1997-05-31	PRIJEM	\N	384	95521	UROK	\N	\N
3576035	1392	1997-06-30	PRIJEM	\N	352	74029	UROK	\N	\N
3576036	1392	1997-07-31	PRIJEM	\N	339	86535	UROK	\N	\N
3576037	1392	1997-08-31	PRIJEM	\N	372	93475	UROK	\N	\N
3576038	1392	1997-09-30	PRIJEM	\N	379	92322	UROK	\N	\N
3576039	1392	1997-10-31	PRIJEM	\N	398	99786	UROK	\N	\N
3576040	1392	1997-11-30	PRIJEM	\N	433	108286	UROK	\N	\N
3576041	1392	1997-12-31	PRIJEM	\N	289	61831	UROK	\N	\N
3576042	1392	1998-01-31	PRIJEM	\N	320	80319	UROK	\N	\N
3576043	1392	1998-02-28	PRIJEM	\N	372	95959	UROK	\N	\N
3576044	1392	1998-03-31	PRIJEM	\N	413	102838	UROK	\N	\N
3576045	1392	1998-04-30	PRIJEM	\N	441	110747	UROK	\N	\N
3576046	1392	1998-05-31	PRIJEM	\N	444	107759	UROK	\N	\N
3576047	1392	1998-06-30	PRIJEM	\N	358	79273	UROK	\N	\N
3576048	1392	1998-07-31	PRIJEM	\N	369	90010	UROK	\N	\N
3576049	1392	1998-08-31	PRIJEM	\N	403	94380	UROK	\N	\N
3576050	1392	1998-09-30	PRIJEM	\N	429	93076	UROK	\N	\N
3576051	1392	1998-10-31	PRIJEM	\N	421	92664	UROK	\N	\N
3576052	1392	1998-11-30	PRIJEM	\N	421	97453	UROK	\N	\N
3576053	1392	1998-12-31	PRIJEM	\N	360	64969	UROK	\N	\N
3576054	1393	1996-12-31	PRIJEM	\N	18	16439	UROK	\N	\N
3576055	1393	1997-01-31	PRIJEM	\N	78	24298	UROK	\N	\N
3576056	1393	1997-02-28	PRIJEM	\N	106	29085	UROK	\N	\N
3576057	1393	1997-03-31	PRIJEM	\N	121	29687	UROK	\N	\N
3576058	1393	1997-04-30	PRIJEM	\N	123	29391	UROK	\N	\N
3576059	1393	1997-05-31	PRIJEM	\N	113	26437	UROK	\N	\N
3576060	1393	1997-06-30	PRIJEM	\N	125	32214	UROK	\N	\N
3576061	1393	1997-07-31	PRIJEM	\N	134	29960	UROK	\N	\N
3576062	1393	1997-08-31	PRIJEM	\N	126	29499	UROK	\N	\N
3576063	1393	1997-09-30	PRIJEM	\N	134	35445	UROK	\N	\N
3576064	1393	1997-10-31	PRIJEM	\N	157	39814	UROK	\N	\N
3576065	1393	1997-11-30	PRIJEM	\N	161	41887	UROK	\N	\N
3576066	1393	1997-12-31	PRIJEM	\N	173	41993	UROK	\N	\N
3576067	1393	1998-01-31	PRIJEM	\N	178	42983	UROK	\N	\N
3576068	1393	1998-02-28	PRIJEM	\N	180	43075	UROK	\N	\N
3576069	1393	1998-03-31	PRIJEM	\N	181	43169	UROK	\N	\N
3576070	1393	1998-04-30	PRIJEM	\N	182	44063	UROK	\N	\N
3576071	1393	1998-05-31	PRIJEM	\N	176	42492	UROK	\N	\N
3576072	1393	1998-06-30	PRIJEM	\N	149	30354	UROK	\N	\N
3576073	1393	1998-07-31	PRIJEM	\N	117	30643	UROK	\N	\N
3576074	1393	1998-08-31	PRIJEM	\N	141	36596	UROK	\N	\N
3576075	1393	1998-09-30	PRIJEM	\N	147	34356	UROK	\N	\N
3576076	1393	1998-10-31	PRIJEM	\N	134	30502	UROK	\N	\N
3576077	1393	1998-11-30	PRIJEM	\N	126	30340	UROK	\N	\N
3576078	1393	1998-12-31	PRIJEM	\N	136	32149	UROK	\N	\N
3576079	1394	1995-05-31	PRIJEM	\N	70	28769	UROK	\N	\N
3576080	1394	1995-06-30	PRIJEM	\N	114	19660	UROK	\N	\N
3576081	1394	1995-07-31	PRIJEM	\N	93	23980	UROK	\N	\N
3576082	1394	1995-08-31	PRIJEM	\N	111	27678	UROK	\N	\N
3576083	1394	1995-09-30	PRIJEM	\N	122	30265	UROK	\N	\N
3576084	1394	1995-10-31	PRIJEM	\N	137	32468	UROK	\N	\N
3576085	1394	1995-11-30	PRIJEM	\N	147	36841	UROK	\N	\N
3576086	1394	1995-12-31	PRIJEM	\N	159	36477	UROK	\N	\N
3576087	1394	1996-01-31	PRIJEM	\N	154	35808	UROK	\N	\N
3576088	1394	1996-02-29	PRIJEM	\N	148	34442	UROK	\N	\N
3576089	1394	1996-03-31	PRIJEM	\N	153	37422	UROK	\N	\N
3576090	1394	1996-04-30	PRIJEM	\N	163	39011	UROK	\N	\N
3576091	1394	1996-05-31	PRIJEM	\N	166	38403	UROK	\N	\N
3576092	1394	1996-06-30	PRIJEM	\N	131	28310	UROK	\N	\N
3576093	1394	1996-07-31	PRIJEM	\N	129	32666	UROK	\N	\N
3576094	1394	1996-08-31	PRIJEM	\N	147	37040	UROK	\N	\N
3576095	1394	1996-09-30	PRIJEM	\N	160	38526	UROK	\N	\N
3576096	1394	1996-10-31	PRIJEM	\N	140	32212	UROK	\N	\N
3576097	1394	1996-11-30	PRIJEM	\N	144	36183	UROK	\N	\N
3576098	1394	1996-12-31	PRIJEM	\N	154	36084	UROK	\N	\N
3576099	1394	1997-01-31	PRIJEM	\N	146	32006	UROK	\N	\N
3576100	1394	1997-02-28	PRIJEM	\N	132	31064	UROK	\N	\N
3576101	1394	1997-03-31	PRIJEM	\N	141	35431	UROK	\N	\N
3576102	1394	1997-04-30	PRIJEM	\N	154	34272	UROK	\N	\N
3576103	1394	1997-05-31	PRIJEM	\N	144	34342	UROK	\N	\N
3576104	1394	1997-06-30	PRIJEM	\N	141	25259	UROK	\N	\N
3576105	1394	1997-07-31	PRIJEM	\N	116	29601	UROK	\N	\N
3576106	1394	1997-08-31	PRIJEM	\N	134	33962	UROK	\N	\N
3576107	1394	1997-09-30	PRIJEM	\N	151	37699	UROK	\N	\N
3576108	1394	1997-10-31	PRIJEM	\N	168	42093	UROK	\N	\N
3576109	1394	1997-11-30	PRIJEM	\N	186	46505	UROK	\N	\N
3576110	1394	1997-12-31	PRIJEM	\N	196	46718	UROK	\N	\N
3576111	1394	1998-01-31	PRIJEM	\N	190	43744	UROK	\N	\N
3576112	1394	1998-02-28	PRIJEM	\N	192	48162	UROK	\N	\N
3576113	1394	1998-03-31	PRIJEM	\N	211	52600	UROK	\N	\N
3576114	1394	1998-04-30	PRIJEM	\N	229	57055	UROK	\N	\N
3576115	1394	1998-05-31	PRIJEM	\N	245	60526	UROK	\N	\N
3576116	1394	1998-06-30	PRIJEM	\N	225	50938	UROK	\N	\N
3576117	1394	1998-07-31	PRIJEM	\N	218	51942	UROK	\N	\N
3576118	1394	1998-08-31	PRIJEM	\N	226	56395	UROK	\N	\N
3576119	1394	1998-09-30	PRIJEM	\N	245	60866	UROK	\N	\N
3576120	1394	1998-10-31	PRIJEM	\N	254	61746	UROK	\N	\N
3576121	1394	1998-11-30	PRIJEM	\N	261	62393	UROK	\N	\N
3576122	1394	1998-12-31	PRIJEM	\N	268	66188	UROK	\N	\N
3576123	1395	1995-12-31	PRIJEM	\N	23	15347	UROK	\N	\N
3576124	1395	1996-01-31	PRIJEM	\N	72	20368	UROK	\N	\N
3576125	1395	1996-02-29	PRIJEM	\N	89	23306	UROK	\N	\N
3576126	1395	1996-03-31	PRIJEM	\N	99	24754	UROK	\N	\N
3576127	1395	1996-04-30	PRIJEM	\N	104	25306	UROK	\N	\N
3576128	1395	1996-05-31	PRIJEM	\N	102	22811	UROK	\N	\N
3576129	1395	1996-06-30	PRIJEM	\N	90	23178	UROK	\N	\N
3576130	1395	1996-07-31	PRIJEM	\N	97	22677	UROK	\N	\N
3576131	1395	1996-08-31	PRIJEM	\N	90	22069	UROK	\N	\N
3576132	1395	1996-09-30	PRIJEM	\N	80	19852	UROK	\N	\N
3576133	1395	1996-10-31	PRIJEM	\N	79	19833	UROK	\N	\N
3576134	1395	1996-11-30	PRIJEM	\N	89	22524	UROK	\N	\N
3576135	1395	1996-12-31	PRIJEM	\N	101	24502	UROK	\N	\N
3576136	1395	1997-01-31	PRIJEM	\N	82	18486	UROK	\N	\N
3576137	1395	1997-02-28	PRIJEM	\N	91	21280	UROK	\N	\N
3576138	1395	1997-03-31	PRIJEM	\N	98	25480	UROK	\N	\N
3576139	1395	1997-04-30	PRIJEM	\N	112	29295	UROK	\N	\N
3576140	1395	1997-05-31	PRIJEM	\N	108	29205	UROK	\N	\N
3576141	1395	1997-06-30	PRIJEM	\N	99	28282	UROK	\N	\N
3576142	1395	1997-07-31	PRIJEM	\N	122	32006	UROK	\N	\N
3576143	1395	1997-08-31	PRIJEM	\N	140	35249	UROK	\N	\N
3576144	1395	1997-09-30	PRIJEM	\N	151	39302	UROK	\N	\N
3576145	1395	1997-10-31	PRIJEM	\N	168	41972	UROK	\N	\N
3576146	1395	1997-11-30	PRIJEM	\N	174	42849	UROK	\N	\N
3576147	1395	1997-12-31	PRIJEM	\N	166	41292	UROK	\N	\N
3576148	1395	1998-01-31	PRIJEM	\N	145	29039	UROK	\N	\N
3576149	1395	1998-02-28	PRIJEM	\N	134	34176	UROK	\N	\N
3576150	1395	1998-03-31	PRIJEM	\N	150	38129	UROK	\N	\N
3576151	1395	1998-04-30	PRIJEM	\N	179	46310	UROK	\N	\N
3576152	1395	1998-05-31	PRIJEM	\N	182	44395	UROK	\N	\N
3576153	1395	1998-06-30	PRIJEM	\N	168	42441	UROK	\N	\N
3576154	1395	1998-07-31	PRIJEM	\N	181	45324	UROK	\N	\N
3576155	1395	1998-08-31	PRIJEM	\N	194	48720	UROK	\N	\N
3576156	1395	1998-09-30	PRIJEM	\N	189	46812	UROK	\N	\N
3576157	1395	1998-10-31	PRIJEM	\N	197	49511	UROK	\N	\N
3576158	1395	1998-11-30	PRIJEM	\N	194	47008	UROK	\N	\N
3576159	1395	1998-12-31	PRIJEM	\N	204	51689	UROK	\N	\N
3576160	1396	1996-08-31	PRIJEM	\N	75	47139	UROK	\N	\N
3576161	1396	1996-09-30	PRIJEM	\N	186	36279	UROK	\N	\N
3576162	1396	1996-10-31	PRIJEM	\N	159	44227	UROK	\N	\N
3576163	1396	1996-11-30	PRIJEM	\N	128	54186	UROK	\N	\N
3576164	1396	1996-12-31	PRIJEM	\N	309	51329	UROK	\N	\N
3576165	1396	1997-01-31	PRIJEM	\N	175	102088	UROK	\N	\N
3576166	1396	1997-02-28	PRIJEM	\N	346	89631	UROK	\N	\N
3576167	1396	1997-03-31	PRIJEM	\N	329	53438	UROK	\N	\N
3576168	1396	1997-04-30	PRIJEM	\N	308	60751	UROK	\N	\N
3576169	1396	1997-05-31	PRIJEM	\N	272	55267	UROK	\N	\N
3576170	1396	1997-06-30	PRIJEM	\N	260	52118	UROK	\N	\N
3576171	1396	1997-07-31	PRIJEM	\N	289	73140	UROK	\N	\N
3576172	1396	1997-08-31	PRIJEM	\N	224	47143	UROK	\N	\N
3576173	1396	1997-09-30	PRIJEM	\N	219	53491	UROK	\N	\N
3576174	1396	1997-10-31	PRIJEM	\N	204	58659	UROK	\N	\N
3576175	1396	1997-11-30	PRIJEM	\N	169	62656	UROK	\N	\N
3576176	1396	1997-12-31	PRIJEM	\N	269	96431	UROK	\N	\N
3576177	1396	1998-01-31	PRIJEM	\N	272	25601	UROK	\N	\N
3576178	1396	1998-02-28	PRIJEM	\N	127	38004	UROK	\N	\N
3576179	1396	1998-03-31	PRIJEM	\N	130	39358	UROK	\N	\N
3576180	1396	1998-04-30	PRIJEM	\N	171	67154	UROK	\N	\N
3576181	1396	1998-05-31	PRIJEM	\N	363	83639	UROK	\N	\N
3576182	1396	1998-06-30	PRIJEM	\N	261	58234	UROK	\N	\N
3576183	1396	1998-07-31	PRIJEM	\N	143	27276	UROK	\N	\N
3576184	1396	1998-08-31	PRIJEM	\N	123	31776	UROK	\N	\N
3576185	1396	1998-09-30	PRIJEM	\N	131	27885	UROK	\N	\N
3576186	1396	1998-10-31	PRIJEM	\N	133	35597	UROK	\N	\N
3576187	1396	1998-11-30	PRIJEM	\N	137	52366	UROK	\N	\N
3576188	1396	1998-12-31	PRIJEM	\N	159	33541	UROK	\N	\N
3576189	1397	1993-04-30	PRIJEM	\N	32	22710	UROK	\N	\N
3576190	1397	1993-05-31	PRIJEM	\N	110	33097	UROK	\N	\N
3576191	1397	1993-06-30	PRIJEM	\N	155	44369	UROK	\N	\N
3576192	1397	1993-07-31	PRIJEM	\N	179	41126	UROK	\N	\N
3576193	1397	1993-08-31	PRIJEM	\N	175	43378	UROK	\N	\N
3576194	1397	1993-09-30	PRIJEM	\N	181	40504	UROK	\N	\N
3576195	1397	1993-10-31	PRIJEM	\N	172	39120	UROK	\N	\N
3576196	1397	1993-11-30	PRIJEM	\N	142	31947	UROK	\N	\N
3576197	1397	1993-12-31	PRIJEM	\N	144	33615	UROK	\N	\N
3576198	1397	1994-01-31	PRIJEM	\N	113	20172	UROK	\N	\N
3576199	1397	1994-02-28	PRIJEM	\N	88	17125	UROK	\N	\N
3576200	1397	1994-03-31	PRIJEM	\N	95	26664	UROK	\N	\N
3576201	1397	1994-04-30	PRIJEM	\N	122	30331	UROK	\N	\N
3576202	1397	1994-05-31	PRIJEM	\N	130	30405	UROK	\N	\N
3576203	1397	1994-06-30	PRIJEM	\N	124	18992	UROK	\N	\N
3576204	1397	1994-07-31	PRIJEM	\N	105	29442	UROK	\N	\N
3576205	1397	1994-08-31	PRIJEM	\N	125	30312	UROK	\N	\N
3576206	1397	1994-09-30	PRIJEM	\N	148	33503	UROK	\N	\N
3576207	1397	1994-10-31	PRIJEM	\N	148	36895	UROK	\N	\N
3576208	1397	1994-11-30	PRIJEM	\N	178	47318	UROK	\N	\N
3576209	1397	1994-12-31	PRIJEM	\N	219	56700	UROK	\N	\N
3576210	1397	1995-01-31	PRIJEM	\N	183	31448	UROK	\N	\N
3576211	1397	1995-02-28	PRIJEM	\N	159	44351	UROK	\N	\N
3576212	1397	1995-03-31	PRIJEM	\N	195	49290	UROK	\N	\N
3576213	1397	1995-04-30	PRIJEM	\N	193	45588	UROK	\N	\N
3576214	1397	1995-05-31	PRIJEM	\N	185	44757	UROK	\N	\N
3576215	1397	1995-06-30	PRIJEM	\N	215	55915	UROK	\N	\N
3576216	1397	1995-07-31	PRIJEM	\N	219	54178	UROK	\N	\N
3576217	1397	1995-08-31	PRIJEM	\N	205	52667	UROK	\N	\N
3576218	1397	1995-09-30	PRIJEM	\N	217	56129	UROK	\N	\N
3576219	1397	1995-10-31	PRIJEM	\N	216	54689	UROK	\N	\N
3576220	1397	1995-11-30	PRIJEM	\N	207	54180	UROK	\N	\N
3576221	1397	1995-12-31	PRIJEM	\N	226	62010	UROK	\N	\N
3576222	1397	1996-01-31	PRIJEM	\N	173	33227	UROK	\N	\N
3576223	1397	1996-02-29	PRIJEM	\N	162	43033	UROK	\N	\N
3576224	1397	1996-03-31	PRIJEM	\N	172	46150	UROK	\N	\N
3576225	1397	1996-04-30	PRIJEM	\N	197	49991	UROK	\N	\N
3576226	1397	1996-05-31	PRIJEM	\N	198	53034	UROK	\N	\N
3576227	1397	1996-06-30	PRIJEM	\N	178	17515	UROK	\N	\N
3576228	1397	1996-07-31	PRIJEM	\N	103	31563	UROK	\N	\N
3576229	1397	1996-08-31	PRIJEM	\N	126	35833	UROK	\N	\N
3576230	1397	1996-09-30	PRIJEM	\N	137	37914	UROK	\N	\N
3576231	1397	1996-10-31	PRIJEM	\N	146	40505	UROK	\N	\N
3576232	1397	1996-11-30	PRIJEM	\N	161	41309	UROK	\N	\N
3576233	1397	1996-12-31	PRIJEM	\N	164	47537	UROK	\N	\N
3576234	1397	1997-01-31	PRIJEM	\N	116	18858	UROK	\N	\N
3576235	1397	1997-02-28	PRIJEM	\N	96	25399	UROK	\N	\N
3576236	1397	1997-03-31	PRIJEM	\N	118	34661	UROK	\N	\N
3576237	1397	1997-04-30	PRIJEM	\N	127	35532	UROK	\N	\N
3576238	1397	1997-05-31	PRIJEM	\N	127	30703	UROK	\N	\N
3576239	1397	1997-06-30	PRIJEM	\N	166	37452	UROK	\N	\N
3576240	1397	1997-07-31	PRIJEM	\N	164	32621	UROK	\N	\N
3576241	1397	1997-08-31	PRIJEM	\N	150	30415	UROK	\N	\N
3576242	1397	1997-09-30	PRIJEM	\N	142	33002	UROK	\N	\N
3576243	1397	1997-10-31	PRIJEM	\N	152	34098	UROK	\N	\N
3576244	1397	1997-11-30	PRIJEM	\N	155	34397	UROK	\N	\N
3576245	1397	1997-12-31	PRIJEM	\N	167	34248	UROK	\N	\N
3576246	1397	1998-01-31	PRIJEM	\N	122	28414	UROK	\N	\N
3576247	1397	1998-02-28	PRIJEM	\N	133	33791	UROK	\N	\N
3576248	1397	1998-03-31	PRIJEM	\N	131	32607	UROK	\N	\N
3576249	1397	1998-04-30	PRIJEM	\N	148	35399	UROK	\N	\N
3576250	1397	1998-05-31	PRIJEM	\N	148	36692	UROK	\N	\N
3576251	1397	1998-06-30	PRIJEM	\N	156	37291	UROK	\N	\N
3576252	1397	1998-07-31	PRIJEM	\N	165	38300	UROK	\N	\N
3576253	1397	1998-08-31	PRIJEM	\N	155	31939	UROK	\N	\N
3576254	1397	1998-09-30	PRIJEM	\N	137	30721	UROK	\N	\N
3576255	1397	1998-10-31	PRIJEM	\N	117	27282	UROK	\N	\N
3576256	1397	1998-11-30	PRIJEM	\N	118	27645	UROK	\N	\N
3576257	1397	1998-12-31	PRIJEM	\N	152	43480	UROK	\N	\N
3576258	1399	1996-06-30	PRIJEM	\N	33	19916	UROK	\N	\N
3576259	1399	1996-07-31	PRIJEM	\N	98	28836	UROK	\N	\N
3576260	1399	1996-08-31	PRIJEM	\N	130	34088	UROK	\N	\N
3576261	1399	1996-09-30	PRIJEM	\N	149	38159	UROK	\N	\N
3576262	1399	1996-10-31	PRIJEM	\N	162	38214	UROK	\N	\N
3576263	1399	1996-11-30	PRIJEM	\N	147	33655	UROK	\N	\N
3576264	1399	1996-12-31	PRIJEM	\N	129	22918	UROK	\N	\N
3576265	1399	1997-01-31	PRIJEM	\N	66	18717	UROK	\N	\N
3576266	1399	1997-02-28	PRIJEM	\N	75	17986	UROK	\N	\N
3576267	1399	1997-03-31	PRIJEM	\N	74	18533	UROK	\N	\N
3576268	1399	1997-04-30	PRIJEM	\N	92	26099	UROK	\N	\N
3576269	1399	1997-05-31	PRIJEM	\N	119	32111	UROK	\N	\N
3576270	1399	1997-06-30	PRIJEM	\N	147	37013	UROK	\N	\N
3576271	1399	1997-07-31	PRIJEM	\N	154	33860	UROK	\N	\N
3576272	1399	1997-08-31	PRIJEM	\N	153	40207	UROK	\N	\N
3576273	1399	1997-09-30	PRIJEM	\N	165	41065	UROK	\N	\N
3576274	1399	1997-10-31	PRIJEM	\N	172	42930	UROK	\N	\N
3576275	1399	1997-11-30	PRIJEM	\N	162	38585	UROK	\N	\N
3576276	1399	1997-12-31	PRIJEM	\N	150	37929	UROK	\N	\N
3576277	1399	1998-01-31	PRIJEM	\N	127	25589	UROK	\N	\N
3576278	1399	1998-02-28	PRIJEM	\N	110	28892	UROK	\N	\N
3576279	1399	1998-03-31	PRIJEM	\N	123	31508	UROK	\N	\N
3576280	1399	1998-04-30	PRIJEM	\N	122	30324	UROK	\N	\N
3576281	1399	1998-05-31	PRIJEM	\N	141	37058	UROK	\N	\N
3576282	1399	1998-06-30	PRIJEM	\N	168	34300	UROK	\N	\N
3576283	1399	1998-07-31	PRIJEM	\N	148	38242	UROK	\N	\N
3576284	1399	1998-08-31	PRIJEM	\N	155	39390	UROK	\N	\N
3576285	1399	1998-09-30	PRIJEM	\N	160	40843	UROK	\N	\N
3576286	1399	1998-10-31	PRIJEM	\N	151	37988	UROK	\N	\N
3576287	1399	1998-11-30	PRIJEM	\N	135	34817	UROK	\N	\N
3576288	1399	1998-12-31	PRIJEM	\N	137	37188	UROK	\N	\N
3576289	1401	1993-11-30	PRIJEM	\N	61	20411	UROK	\N	\N
3576290	1401	1993-12-31	PRIJEM	\N	106	24667	UROK	\N	\N
3576291	1401	1994-01-31	PRIJEM	\N	96	17840	UROK	\N	\N
3576292	1401	1994-02-28	PRIJEM	\N	82	20535	UROK	\N	\N
3576293	1401	1994-03-31	PRIJEM	\N	94	23201	UROK	\N	\N
3576294	1401	1994-04-30	PRIJEM	\N	108	27082	UROK	\N	\N
3576295	1401	1994-05-31	PRIJEM	\N	122	30177	UROK	\N	\N
3576296	1401	1994-06-30	PRIJEM	\N	100	21099	UROK	\N	\N
3576297	1401	1994-07-31	PRIJEM	\N	99	25570	UROK	\N	\N
3576298	1401	1994-08-31	PRIJEM	\N	106	26529	UROK	\N	\N
3576299	1401	1994-09-30	PRIJEM	\N	122	30622	UROK	\N	\N
3576300	1401	1994-10-31	PRIJEM	\N	137	33632	UROK	\N	\N
3576301	1401	1994-11-30	PRIJEM	\N	134	29438	UROK	\N	\N
3576302	1401	1994-12-31	PRIJEM	\N	123	29842	UROK	\N	\N
3576303	1401	1995-01-31	PRIJEM	\N	119	23163	UROK	\N	\N
3576304	1401	1995-02-28	PRIJEM	\N	107	27643	UROK	\N	\N
3576305	1401	1995-03-31	PRIJEM	\N	127	28762	UROK	\N	\N
3576306	1401	1995-04-30	PRIJEM	\N	128	31563	UROK	\N	\N
3576307	1401	1995-05-31	PRIJEM	\N	144	35779	UROK	\N	\N
3576308	1401	1995-06-30	PRIJEM	\N	135	30886	UROK	\N	\N
3576309	1401	1995-07-31	PRIJEM	\N	141	35100	UROK	\N	\N
3576310	1401	1995-08-31	PRIJEM	\N	142	33714	UROK	\N	\N
3576311	1401	1995-09-30	PRIJEM	\N	132	32799	UROK	\N	\N
3576312	1401	1995-10-31	PRIJEM	\N	139	33610	UROK	\N	\N
3576313	1401	1995-11-30	PRIJEM	\N	141	35823	UROK	\N	\N
3576314	1401	1995-12-31	PRIJEM	\N	142	35338	UROK	\N	\N
3576315	1401	1996-01-31	PRIJEM	\N	141	28041	UROK	\N	\N
3576316	1401	1996-02-29	PRIJEM	\N	119	28853	UROK	\N	\N
3576317	1401	1996-03-31	PRIJEM	\N	131	33356	UROK	\N	\N
3576318	1401	1996-04-30	PRIJEM	\N	149	36278	UROK	\N	\N
3576319	1401	1996-05-31	PRIJEM	\N	160	37310	UROK	\N	\N
3576320	1401	1996-06-30	PRIJEM	\N	162	35395	UROK	\N	\N
3576321	1401	1996-07-31	PRIJEM	\N	158	39926	UROK	\N	\N
3576322	1401	1996-08-31	PRIJEM	\N	176	43074	UROK	\N	\N
3576323	1401	1996-09-30	PRIJEM	\N	185	42032	UROK	\N	\N
3576324	1401	1996-10-31	PRIJEM	\N	180	40184	UROK	\N	\N
3576325	1401	1996-11-30	PRIJEM	\N	169	38925	UROK	\N	\N
3576326	1401	1996-12-31	PRIJEM	\N	165	38102	UROK	\N	\N
3576327	1401	1997-01-31	PRIJEM	\N	137	30561	UROK	\N	\N
3576328	1401	1997-02-28	PRIJEM	\N	135	33629	UROK	\N	\N
3576329	1401	1997-03-31	PRIJEM	\N	149	36950	UROK	\N	\N
3576330	1401	1997-04-30	PRIJEM	\N	158	37400	UROK	\N	\N
3576331	1401	1997-05-31	PRIJEM	\N	166	41938	UROK	\N	\N
3576332	1401	1997-06-30	PRIJEM	\N	156	31967	UROK	\N	\N
3576333	1401	1997-07-31	PRIJEM	\N	135	32874	UROK	\N	\N
3576334	1401	1997-08-31	PRIJEM	\N	147	37394	UROK	\N	\N
3576335	1401	1997-09-30	PRIJEM	\N	161	40167	UROK	\N	\N
3576336	1401	1997-10-31	PRIJEM	\N	173	42213	UROK	\N	\N
3576337	1401	1997-11-30	PRIJEM	\N	181	44266	UROK	\N	\N
3576338	1401	1997-12-31	PRIJEM	\N	189	46818	UROK	\N	\N
3576339	1401	1998-01-31	PRIJEM	\N	181	38911	UROK	\N	\N
3576340	1401	1998-02-28	PRIJEM	\N	164	39047	UROK	\N	\N
3576341	1401	1998-03-31	PRIJEM	\N	171	42991	UROK	\N	\N
3576342	1401	1998-04-30	PRIJEM	\N	179	41022	UROK	\N	\N
3576343	1401	1998-05-31	PRIJEM	\N	167	38041	UROK	\N	\N
3576344	1401	1998-06-30	PRIJEM	\N	124	29567	UROK	\N	\N
3576345	1401	1998-07-31	PRIJEM	\N	132	34071	UROK	\N	\N
3576346	1401	1998-08-31	PRIJEM	\N	150	38594	UROK	\N	\N
3576347	1401	1998-09-30	PRIJEM	\N	154	36320	UROK	\N	\N
3576348	1401	1998-10-31	PRIJEM	\N	143	33995	UROK	\N	\N
3576349	1401	1998-11-30	PRIJEM	\N	150	38517	UROK	\N	\N
3576350	1401	1998-12-31	PRIJEM	\N	166	41656	UROK	\N	\N
3576351	1402	1993-04-30	PRIJEM	\N	13	16119	UROK	\N	\N
3576352	1402	1993-05-31	PRIJEM	\N	76	25101	UROK	\N	\N
3576353	1402	1993-06-30	PRIJEM	\N	111	32121	UROK	\N	\N
3576354	1402	1993-07-31	PRIJEM	\N	132	31259	UROK	\N	\N
3576355	1402	1993-08-31	PRIJEM	\N	130	29870	UROK	\N	\N
3576356	1402	1993-09-30	PRIJEM	\N	131	28854	UROK	\N	\N
3576357	1402	1993-10-31	PRIJEM	\N	130	29836	UROK	\N	\N
3576358	1402	1993-11-30	PRIJEM	\N	130	28719	UROK	\N	\N
3576359	1402	1993-12-31	PRIJEM	\N	134	29148	UROK	\N	\N
3576360	1402	1994-01-31	PRIJEM	\N	110	23251	UROK	\N	\N
3576361	1402	1994-02-28	PRIJEM	\N	111	27714	UROK	\N	\N
3576362	1402	1994-03-31	PRIJEM	\N	119	24606	UROK	\N	\N
3576363	1402	1994-04-30	PRIJEM	\N	96	21934	UROK	\N	\N
3576364	1402	1994-05-31	PRIJEM	\N	103	24209	UROK	\N	\N
3576365	1402	1994-06-30	PRIJEM	\N	117	26381	UROK	\N	\N
3576366	1402	1994-07-31	PRIJEM	\N	114	25248	UROK	\N	\N
3576367	1402	1994-08-31	PRIJEM	\N	109	24009	UROK	\N	\N
3576368	1402	1994-09-30	PRIJEM	\N	105	23766	UROK	\N	\N
3576369	1402	1994-10-31	PRIJEM	\N	106	22265	UROK	\N	\N
3576370	1402	1994-11-30	PRIJEM	\N	98	19134	UROK	\N	\N
3576371	1402	1994-12-31	PRIJEM	\N	91	21261	UROK	\N	\N
3576372	1402	1995-01-31	PRIJEM	\N	72	14205	UROK	\N	\N
3576373	1402	1995-02-28	PRIJEM	\N	67	16225	UROK	\N	\N
3576374	1402	1995-03-31	PRIJEM	\N	77	18755	UROK	\N	\N
3576375	1402	1995-04-30	PRIJEM	\N	89	21216	UROK	\N	\N
3576376	1402	1995-05-31	PRIJEM	\N	95	22563	UROK	\N	\N
3576377	1402	1995-06-30	PRIJEM	\N	107	25806	UROK	\N	\N
3576378	1402	1995-07-31	PRIJEM	\N	110	25668	UROK	\N	\N
3576379	1402	1995-08-31	PRIJEM	\N	104	23125	UROK	\N	\N
3576380	1402	1995-09-30	PRIJEM	\N	97	22574	UROK	\N	\N
3576381	1402	1995-10-31	PRIJEM	\N	96	22422	UROK	\N	\N
3576382	1402	1995-11-30	PRIJEM	\N	88	19963	UROK	\N	\N
3576383	1402	1995-12-31	PRIJEM	\N	78	16596	UROK	\N	\N
3576384	1402	1996-01-31	PRIJEM	\N	60	13209	UROK	\N	\N
3576385	1402	1996-02-29	PRIJEM	\N	68	17529	UROK	\N	\N
3576386	1402	1996-03-31	PRIJEM	\N	66	14948	UROK	\N	\N
3576387	1402	1996-04-30	PRIJEM	\N	77	19677	UROK	\N	\N
3576388	1402	1996-05-31	PRIJEM	\N	87	21417	UROK	\N	\N
3576389	1402	1996-06-30	PRIJEM	\N	111	28983	UROK	\N	\N
3576390	1402	1996-07-31	PRIJEM	\N	120	29056	UROK	\N	\N
3576391	1402	1996-08-31	PRIJEM	\N	124	30433	UROK	\N	\N
3576392	1402	1996-09-30	PRIJEM	\N	123	30008	UROK	\N	\N
3576393	1402	1996-10-31	PRIJEM	\N	121	29482	UROK	\N	\N
3576394	1402	1996-11-30	PRIJEM	\N	116	28050	UROK	\N	\N
3576395	1402	1996-12-31	PRIJEM	\N	133	33557	UROK	\N	\N
3576396	1402	1997-01-31	PRIJEM	\N	109	19859	UROK	\N	\N
3576397	1402	1997-02-28	PRIJEM	\N	100	23091	UROK	\N	\N
3576398	1402	1997-03-31	PRIJEM	\N	124	31868	UROK	\N	\N
3576399	1402	1997-04-30	PRIJEM	\N	127	30507	UROK	\N	\N
3576400	1402	1997-05-31	PRIJEM	\N	128	30188	UROK	\N	\N
3576401	1402	1997-06-30	PRIJEM	\N	131	30754	UROK	\N	\N
3576402	1402	1997-07-31	PRIJEM	\N	151	38057	UROK	\N	\N
3576403	1402	1997-08-31	PRIJEM	\N	173	42982	UROK	\N	\N
3576404	1402	1997-09-30	PRIJEM	\N	184	45218	UROK	\N	\N
3576405	1402	1997-10-31	PRIJEM	\N	182	44352	UROK	\N	\N
3576406	1402	1997-11-30	PRIJEM	\N	177	40341	UROK	\N	\N
3576407	1402	1997-12-31	PRIJEM	\N	175	39312	UROK	\N	\N
3576408	1402	1998-01-31	PRIJEM	\N	161	31945	UROK	\N	\N
3576409	1402	1998-02-28	PRIJEM	\N	143	35940	UROK	\N	\N
3576410	1402	1998-03-31	PRIJEM	\N	146	30619	UROK	\N	\N
3576411	1402	1998-04-30	PRIJEM	\N	136	27907	UROK	\N	\N
3576412	1402	1998-05-31	PRIJEM	\N	125	28285	UROK	\N	\N
3576413	1402	1998-06-30	PRIJEM	\N	137	27377	UROK	\N	\N
3576414	1402	1998-07-31	PRIJEM	\N	123	29553	UROK	\N	\N
3576415	1402	1998-08-31	PRIJEM	\N	132	32437	UROK	\N	\N
3576416	1402	1998-09-30	PRIJEM	\N	129	27338	UROK	\N	\N
3576417	1402	1998-10-31	PRIJEM	\N	119	25209	UROK	\N	\N
3576418	1402	1998-11-30	PRIJEM	\N	112	25673	UROK	\N	\N
3576419	1402	1998-12-31	PRIJEM	\N	103	23612	UROK	\N	\N
3576420	1403	1995-11-30	PRIJEM	\N	39	16582	UROK	\N	\N
3576421	1403	1995-12-31	PRIJEM	\N	132	42929	UROK	\N	\N
3576422	1403	1996-01-31	PRIJEM	\N	186	46958	UROK	\N	\N
3576423	1403	1996-02-29	PRIJEM	\N	144	50144	UROK	\N	\N
3576424	1403	1996-03-31	PRIJEM	\N	190	54577	UROK	\N	\N
3576425	1403	1996-04-30	PRIJEM	\N	184	47670	UROK	\N	\N
3576426	1403	1996-05-31	PRIJEM	\N	153	29652	UROK	\N	\N
3576427	1403	1996-06-30	PRIJEM	\N	155	36286	UROK	\N	\N
3576428	1403	1996-07-31	PRIJEM	\N	163	34558	UROK	\N	\N
3576429	1403	1996-08-31	PRIJEM	\N	153	34319	UROK	\N	\N
3576430	1403	1996-09-30	PRIJEM	\N	158	39884	UROK	\N	\N
3576431	1403	1996-10-31	PRIJEM	\N	174	41607	UROK	\N	\N
3576432	1403	1996-11-30	PRIJEM	\N	163	41218	UROK	\N	\N
3576433	1403	1996-12-31	PRIJEM	\N	184	43242	UROK	\N	\N
3576434	1403	1997-01-31	PRIJEM	\N	152	30663	UROK	\N	\N
3576435	1403	1997-02-28	PRIJEM	\N	140	34211	UROK	\N	\N
3576436	1403	1997-03-31	PRIJEM	\N	152	35091	UROK	\N	\N
3576437	1403	1997-04-30	PRIJEM	\N	157	36856	UROK	\N	\N
3576438	1403	1997-05-31	PRIJEM	\N	163	37528	UROK	\N	\N
3576439	1403	1997-06-30	PRIJEM	\N	153	34460	UROK	\N	\N
3576440	1403	1997-07-31	PRIJEM	\N	148	31217	UROK	\N	\N
3576441	1403	1997-08-31	PRIJEM	\N	134	28859	UROK	\N	\N
3576442	1403	1997-09-30	PRIJEM	\N	124	26892	UROK	\N	\N
3576443	1403	1997-10-31	PRIJEM	\N	109	18170	UROK	\N	\N
3576444	1403	1997-11-30	PRIJEM	\N	73	21331	UROK	\N	\N
3576445	1403	1997-12-31	PRIJEM	\N	106	24316	UROK	\N	\N
3576446	1403	1998-01-31	PRIJEM	\N	89	21934	UROK	\N	\N
3576447	1403	1998-02-28	PRIJEM	\N	92	19734	UROK	\N	\N
3576448	1403	1998-03-31	PRIJEM	\N	67	14669	UROK	\N	\N
3576449	1403	1998-04-30	PRIJEM	\N	75	21153	UROK	\N	\N
3576450	1403	1998-05-31	PRIJEM	\N	81	23202	UROK	\N	\N
3576451	1403	1998-06-30	PRIJEM	\N	82	18563	UROK	\N	\N
3576452	1403	1998-07-31	PRIJEM	\N	79	17951	UROK	\N	\N
3576453	1403	1998-08-31	PRIJEM	\N	80	19539	UROK	\N	\N
3576454	1403	1998-09-30	PRIJEM	\N	76	16123	UROK	\N	\N
3576455	1403	1998-10-31	PRIJEM	\N	59	15991	UROK	\N	\N
3576456	1403	1998-11-30	PRIJEM	\N	67	16066	UROK	\N	\N
3576457	1403	1998-12-31	PRIJEM	\N	89	25214	UROK	\N	\N
3576458	1404	1993-10-31	PRIJEM	\N	214	49126	UROK	\N	\N
3576459	1404	1993-11-30	PRIJEM	\N	250	44261	UROK	\N	\N
3576460	1404	1993-12-31	PRIJEM	\N	140	26838	UROK	\N	\N
3576461	1404	1994-01-31	PRIJEM	\N	85	20828	UROK	\N	\N
3576462	1404	1994-02-28	PRIJEM	\N	142	26561	UROK	\N	\N
3576463	1404	1994-03-31	PRIJEM	\N	104	21563	UROK	\N	\N
3576464	1404	1994-04-30	PRIJEM	\N	79	18947	UROK	\N	\N
3576465	1404	1994-05-31	PRIJEM	\N	71	18423	UROK	\N	\N
3576466	1404	1994-06-30	PRIJEM	\N	75	21103	UROK	\N	\N
3576467	1404	1994-07-31	PRIJEM	\N	80	19787	UROK	\N	\N
3576468	1404	1994-08-31	PRIJEM	\N	74	17866	UROK	\N	\N
3576469	1404	1994-09-30	PRIJEM	\N	176	45302	UROK	\N	\N
3576470	1404	1994-10-31	PRIJEM	\N	166	30054	UROK	\N	\N
3576471	1404	1994-11-30	PRIJEM	\N	118	28177	UROK	\N	\N
3576472	1404	1994-12-31	PRIJEM	\N	111	26893	UROK	\N	\N
3576473	1404	1995-01-31	PRIJEM	\N	95	19330	UROK	\N	\N
3576474	1404	1995-02-28	PRIJEM	\N	80	19915	UROK	\N	\N
3576475	1404	1995-03-31	PRIJEM	\N	87	23607	UROK	\N	\N
3576476	1404	1995-04-30	PRIJEM	\N	99	25011	UROK	\N	\N
3576477	1404	1995-05-31	PRIJEM	\N	136	50126	UROK	\N	\N
3576478	1404	1995-06-30	PRIJEM	\N	180	38611	UROK	\N	\N
3576479	1404	1995-07-31	PRIJEM	\N	144	32359	UROK	\N	\N
3576480	1404	1995-08-31	PRIJEM	\N	132	27096	UROK	\N	\N
3576481	1404	1995-09-30	PRIJEM	\N	117	26916	UROK	\N	\N
3576482	1404	1995-10-31	PRIJEM	\N	105	24125	UROK	\N	\N
3576483	1404	1995-11-30	PRIJEM	\N	105	25435	UROK	\N	\N
3576484	1404	1995-12-31	PRIJEM	\N	86	17326	UROK	\N	\N
3576485	1404	1996-01-31	PRIJEM	\N	86	20017	UROK	\N	\N
3576486	1404	1996-02-29	PRIJEM	\N	142	32221	UROK	\N	\N
3576487	1404	1996-03-31	PRIJEM	\N	146	35771	UROK	\N	\N
3576488	1404	1996-04-30	PRIJEM	\N	195	61268	UROK	\N	\N
3576489	1404	1996-05-31	PRIJEM	\N	229	52202	UROK	\N	\N
3576490	1404	1996-06-30	PRIJEM	\N	133	20446	UROK	\N	\N
3576491	1404	1996-07-31	PRIJEM	\N	136	34351	UROK	\N	\N
3576492	1404	1996-08-31	PRIJEM	\N	261	78357	UROK	\N	\N
3576493	1404	1996-09-30	PRIJEM	\N	150	27017	UROK	\N	\N
3576494	1404	1996-10-31	PRIJEM	\N	173	42363	UROK	\N	\N
3576495	1404	1996-11-30	PRIJEM	\N	177	41145	UROK	\N	\N
3576496	1404	1996-12-31	PRIJEM	\N	143	27893	UROK	\N	\N
3576497	1404	1997-01-31	PRIJEM	\N	212	37306	UROK	\N	\N
3576498	1404	1997-02-28	PRIJEM	\N	240	53109	UROK	\N	\N
3576499	1404	1997-03-31	PRIJEM	\N	226	62084	UROK	\N	\N
3576500	1404	1997-04-30	PRIJEM	\N	319	76323	UROK	\N	\N
3576501	1404	1997-05-31	PRIJEM	\N	331	67069	UROK	\N	\N
3576502	1404	1997-06-30	PRIJEM	\N	239	40632	UROK	\N	\N
3576503	1404	1997-07-31	PRIJEM	\N	335	89593	UROK	\N	\N
3576504	1404	1997-08-31	PRIJEM	\N	303	64501	UROK	\N	\N
3576505	1404	1997-09-30	PRIJEM	\N	415	75612	UROK	\N	\N
3576506	1404	1997-10-31	PRIJEM	\N	396	102555	UROK	\N	\N
3576507	1404	1997-11-30	PRIJEM	\N	406	83293	UROK	\N	\N
3576508	1404	1997-12-31	PRIJEM	\N	251	66496	UROK	\N	\N
3576509	1404	1998-01-31	PRIJEM	\N	156	94481	UROK	\N	\N
3576510	1404	1998-02-28	PRIJEM	\N	439	95434	UROK	\N	\N
3576511	1404	1998-03-31	PRIJEM	\N	377	92204	UROK	\N	\N
3576512	1404	1998-04-30	PRIJEM	\N	336	81545	UROK	\N	\N
3576513	1404	1998-05-31	PRIJEM	\N	349	95891	UROK	\N	\N
3576514	1404	1998-06-30	PRIJEM	\N	338	96423	UROK	\N	\N
3576515	1404	1998-07-31	PRIJEM	\N	429	94112	UROK	\N	\N
3576516	1404	1998-08-31	PRIJEM	\N	357	94874	UROK	\N	\N
3576517	1404	1998-09-30	PRIJEM	\N	340	108600	UROK	\N	\N
3576518	1404	1998-10-31	PRIJEM	\N	405	109753	UROK	\N	\N
3576519	1404	1998-11-30	PRIJEM	\N	379	100105	UROK	\N	\N
3576520	1404	1998-12-31	PRIJEM	\N	285	58637	UROK	\N	\N
3576521	1405	1996-06-30	PRIJEM	\N	13	3994	UROK	\N	\N
3576522	1405	1996-07-31	PRIJEM	\N	66	18741	UROK	\N	\N
3576523	1405	1996-08-31	PRIJEM	\N	101	25523	UROK	\N	\N
3576524	1405	1996-09-30	PRIJEM	\N	109	26413	UROK	\N	\N
3576525	1405	1996-10-31	PRIJEM	\N	117	28581	UROK	\N	\N
3576526	1405	1996-11-30	PRIJEM	\N	106	24867	UROK	\N	\N
3576527	1405	1996-12-31	PRIJEM	\N	109	26355	UROK	\N	\N
3576528	1405	1997-01-31	PRIJEM	\N	108	28013	UROK	\N	\N
3576529	1405	1997-02-28	PRIJEM	\N	121	29313	UROK	\N	\N
3576530	1405	1997-03-31	PRIJEM	\N	129	32521	UROK	\N	\N
3576531	1405	1997-04-30	PRIJEM	\N	137	34407	UROK	\N	\N
3576532	1405	1997-05-31	PRIJEM	\N	154	33340	UROK	\N	\N
3576533	1405	1997-06-30	PRIJEM	\N	132	29661	UROK	\N	\N
3576534	1405	1997-07-31	PRIJEM	\N	127	31927	UROK	\N	\N
3576535	1405	1997-08-31	PRIJEM	\N	143	32950	UROK	\N	\N
3576536	1405	1997-09-30	PRIJEM	\N	144	33934	UROK	\N	\N
3576537	1405	1997-10-31	PRIJEM	\N	148	38660	UROK	\N	\N
3576538	1405	1997-11-30	PRIJEM	\N	165	40505	UROK	\N	\N
3576539	1405	1997-12-31	PRIJEM	\N	170	40704	UROK	\N	\N
3576540	1405	1998-01-31	PRIJEM	\N	171	42424	UROK	\N	\N
3576541	1405	1998-02-28	PRIJEM	\N	174	38738	UROK	\N	\N
3576542	1405	1998-03-31	PRIJEM	\N	162	35679	UROK	\N	\N
3576543	1405	1998-04-30	PRIJEM	\N	147	31206	UROK	\N	\N
3576544	1405	1998-05-31	PRIJEM	\N	141	34926	UROK	\N	\N
3576545	1405	1998-06-30	PRIJEM	\N	130	32486	UROK	\N	\N
3576546	1405	1998-07-31	PRIJEM	\N	141	35696	UROK	\N	\N
3576547	1405	1998-08-31	PRIJEM	\N	150	35025	UROK	\N	\N
3576548	1405	1998-09-30	PRIJEM	\N	153	35957	UROK	\N	\N
3576549	1405	1998-10-31	PRIJEM	\N	157	36994	UROK	\N	\N
3576550	1405	1998-11-30	PRIJEM	\N	162	38836	UROK	\N	\N
3576551	1405	1998-12-31	PRIJEM	\N	164	39239	UROK	\N	\N
3576552	1406	1994-03-31	PRIJEM	\N	16	4357	UROK	\N	\N
3576553	1406	1994-04-30	PRIJEM	\N	18	8516	UROK	\N	\N
3576554	1406	1994-05-31	PRIJEM	\N	18	12675	UROK	\N	\N
3576555	1406	1994-06-30	PRIJEM	\N	18	16834	UROK	\N	\N
3576556	1406	1994-07-31	PRIJEM	\N	69	18284	UROK	\N	\N
3576557	1406	1994-08-31	PRIJEM	\N	77	17808	UROK	\N	\N
3576558	1406	1994-09-30	PRIJEM	\N	78	18611	UROK	\N	\N
3576559	1406	1994-10-31	PRIJEM	\N	84	20062	UROK	\N	\N
3576560	1406	1994-11-30	PRIJEM	\N	79	16148	UROK	\N	\N
3576561	1406	1994-12-31	PRIJEM	\N	63	13538	UROK	\N	\N
3576562	1406	1995-01-31	PRIJEM	\N	62	14966	UROK	\N	\N
3576563	1406	1995-02-28	PRIJEM	\N	68	16400	UROK	\N	\N
3576564	1406	1995-03-31	PRIJEM	\N	68	15834	UROK	\N	\N
3576565	1406	1995-04-30	PRIJEM	\N	71	17271	UROK	\N	\N
3576566	1406	1995-05-31	PRIJEM	\N	77	18715	UROK	\N	\N
3576567	1406	1995-06-30	PRIJEM	\N	85	20166	UROK	\N	\N
3576568	1406	1995-07-31	PRIJEM	\N	91	21623	UROK	\N	\N
3576569	1406	1995-08-31	PRIJEM	\N	97	22606	UROK	\N	\N
3576570	1406	1995-09-30	PRIJEM	\N	101	24073	UROK	\N	\N
3576571	1406	1995-10-31	PRIJEM	\N	105	21405	UROK	\N	\N
3576572	1406	1995-11-30	PRIJEM	\N	96	22867	UROK	\N	\N
3576573	1406	1995-12-31	PRIJEM	\N	97	23180	UROK	\N	\N
3576574	1406	1996-01-31	PRIJEM	\N	102	24648	UROK	\N	\N
3576575	1406	1996-02-29	PRIJEM	\N	108	26122	UROK	\N	\N
3576576	1406	1996-03-31	PRIJEM	\N	115	27604	UROK	\N	\N
3576577	1406	1996-04-30	PRIJEM	\N	120	29091	UROK	\N	\N
3576578	1406	1996-05-31	PRIJEM	\N	123	27700	UROK	\N	\N
3576579	1406	1996-06-30	PRIJEM	\N	90	16456	UROK	\N	\N
3576580	1406	1996-07-31	PRIJEM	\N	73	17896	UROK	\N	\N
3576581	1406	1996-08-31	PRIJEM	\N	76	16298	UROK	\N	\N
3576582	1406	1996-09-30	PRIJEM	\N	73	17737	UROK	\N	\N
3576583	1406	1996-10-31	PRIJEM	\N	80	19184	UROK	\N	\N
3576584	1406	1996-11-30	PRIJEM	\N	86	20636	UROK	\N	\N
3576585	1406	1996-12-31	PRIJEM	\N	90	20692	UROK	\N	\N
3576586	1406	1997-01-31	PRIJEM	\N	92	22151	UROK	\N	\N
3576587	1406	1997-02-28	PRIJEM	\N	96	22253	UROK	\N	\N
3576588	1406	1997-03-31	PRIJEM	\N	90	20509	UROK	\N	\N
3576589	1406	1997-04-30	PRIJEM	\N	92	21967	UROK	\N	\N
3576590	1406	1997-05-31	PRIJEM	\N	98	23431	UROK	\N	\N
3576591	1406	1997-06-30	PRIJEM	\N	91	18589	UROK	\N	\N
3576592	1406	1997-07-31	PRIJEM	\N	77	18112	UROK	\N	\N
3576593	1406	1997-08-31	PRIJEM	\N	80	19559	UROK	\N	\N
3576594	1406	1997-09-30	PRIJEM	\N	87	21012	UROK	\N	\N
3576595	1406	1997-10-31	PRIJEM	\N	88	20766	UROK	\N	\N
3576596	1406	1997-11-30	PRIJEM	\N	87	20220	UROK	\N	\N
3576597	1406	1997-12-31	PRIJEM	\N	89	20875	UROK	\N	\N
3576598	1406	1998-01-31	PRIJEM	\N	90	19892	UROK	\N	\N
3576599	1406	1998-02-28	PRIJEM	\N	85	20483	UROK	\N	\N
3576600	1406	1998-03-31	PRIJEM	\N	78	16827	UROK	\N	\N
3576601	1406	1998-04-30	PRIJEM	\N	76	18269	UROK	\N	\N
3576602	1406	1998-05-31	PRIJEM	\N	69	16024	UROK	\N	\N
3576603	1406	1998-06-30	PRIJEM	\N	67	16057	UROK	\N	\N
3576604	1406	1998-07-31	PRIJEM	\N	72	17496	UROK	\N	\N
3576605	1406	1998-08-31	PRIJEM	\N	76	18238	UROK	\N	\N
3576606	1406	1998-09-30	PRIJEM	\N	80	18984	UROK	\N	\N
3576607	1406	1998-10-31	PRIJEM	\N	67	14917	UROK	\N	\N
3576608	1406	1998-11-30	PRIJEM	\N	63	15646	UROK	\N	\N
3576609	1406	1998-12-31	PRIJEM	\N	70	16233	UROK	\N	\N
3576610	1407	1997-04-30	PRIJEM	\N	45	29145	UROK	\N	\N
3576611	1407	1997-05-31	PRIJEM	\N	135	70899	UROK	\N	\N
3576612	1407	1997-06-30	PRIJEM	\N	227	96330	UROK	\N	\N
3576613	1407	1997-07-31	PRIJEM	\N	279	45426	UROK	\N	\N
3576614	1407	1997-08-31	PRIJEM	\N	239	79750	UROK	\N	\N
3576615	1407	1997-09-30	PRIJEM	\N	329	90066	UROK	\N	\N
3576616	1407	1997-10-31	PRIJEM	\N	366	94353	UROK	\N	\N
3576617	1407	1997-11-30	PRIJEM	\N	357	89354	UROK	\N	\N
3576618	1407	1997-12-31	PRIJEM	\N	365	81751	UROK	\N	\N
3576619	1407	1998-01-31	PRIJEM	\N	346	80014	UROK	\N	\N
3576620	1407	1998-02-28	PRIJEM	\N	271	53975	UROK	\N	\N
3576621	1407	1998-03-31	PRIJEM	\N	284	54544	UROK	\N	\N
3576622	1407	1998-04-30	PRIJEM	\N	303	64859	UROK	\N	\N
3576623	1407	1998-05-31	PRIJEM	\N	312	84999	UROK	\N	\N
3576624	1407	1998-06-30	PRIJEM	\N	347	90319	UROK	\N	\N
3576625	1407	1998-07-31	PRIJEM	\N	405	106056	UROK	\N	\N
3576626	1407	1998-08-31	PRIJEM	\N	329	84715	UROK	\N	\N
3576627	1407	1998-09-30	PRIJEM	\N	304	65510	UROK	\N	\N
3576628	1407	1998-10-31	PRIJEM	\N	344	116523	UROK	\N	\N
3576629	1407	1998-11-30	PRIJEM	\N	299	50643	UROK	\N	\N
3576630	1407	1998-12-31	PRIJEM	\N	339	74175	UROK	\N	\N
3576684	1410	1993-09-30	PRIJEM	\N	53	21348	UROK	\N	\N
3576685	1410	1993-10-31	PRIJEM	\N	149	45092	UROK	\N	\N
3576686	1410	1993-11-30	PRIJEM	\N	212	55100	UROK	\N	\N
3576687	1410	1993-12-31	PRIJEM	\N	272	72164	UROK	\N	\N
3576688	1410	1994-01-31	PRIJEM	\N	275	60718	UROK	\N	\N
3576689	1410	1994-02-28	PRIJEM	\N	248	56530	UROK	\N	\N
3576690	1410	1994-03-31	PRIJEM	\N	245	59739	UROK	\N	\N
3576691	1410	1994-04-30	PRIJEM	\N	254	61657	UROK	\N	\N
3576692	1410	1994-05-31	PRIJEM	\N	252	59773	UROK	\N	\N
3576693	1410	1994-06-30	PRIJEM	\N	257	54191	UROK	\N	\N
3576694	1410	1994-07-31	PRIJEM	\N	234	56990	UROK	\N	\N
3576695	1410	1994-08-31	PRIJEM	\N	242	58696	UROK	\N	\N
3576696	1410	1994-09-30	PRIJEM	\N	255	62915	UROK	\N	\N
3576697	1410	1994-10-31	PRIJEM	\N	262	63042	UROK	\N	\N
3576698	1410	1994-11-30	PRIJEM	\N	247	61253	UROK	\N	\N
3576699	1410	1994-12-31	PRIJEM	\N	270	68385	UROK	\N	\N
3576700	1410	1995-01-31	PRIJEM	\N	227	55476	UROK	\N	\N
3576701	1410	1995-02-28	PRIJEM	\N	241	59681	UROK	\N	\N
3576702	1410	1995-03-31	PRIJEM	\N	239	62285	UROK	\N	\N
3576703	1410	1995-04-30	PRIJEM	\N	266	65115	UROK	\N	\N
3576704	1410	1995-05-31	PRIJEM	\N	272	65351	UROK	\N	\N
3576705	1410	1995-06-30	PRIJEM	\N	218	48931	UROK	\N	\N
3576706	1410	1995-07-31	PRIJEM	\N	224	56620	UROK	\N	\N
3576707	1410	1995-08-31	PRIJEM	\N	256	64840	UROK	\N	\N
3576708	1410	1995-09-30	PRIJEM	\N	279	68883	UROK	\N	\N
3576709	1410	1995-10-31	PRIJEM	\N	289	71237	UROK	\N	\N
3576710	1410	1995-11-30	PRIJEM	\N	258	70159	UROK	\N	\N
3576711	1410	1995-12-31	PRIJEM	\N	287	61507	UROK	\N	\N
3576712	1410	1996-01-31	PRIJEM	\N	270	54641	UROK	\N	\N
3576713	1410	1996-02-29	PRIJEM	\N	261	56566	UROK	\N	\N
3576714	1410	1996-03-31	PRIJEM	\N	269	57799	UROK	\N	\N
3576715	1410	1996-04-30	PRIJEM	\N	271	55934	UROK	\N	\N
3576716	1410	1996-05-31	PRIJEM	\N	246	53645	UROK	\N	\N
3576717	1410	1996-06-30	PRIJEM	\N	265	37271	UROK	\N	\N
3576718	1410	1996-07-31	PRIJEM	\N	189	49925	UROK	\N	\N
3576719	1410	1996-08-31	PRIJEM	\N	238	56127	UROK	\N	\N
3576720	1410	1996-09-30	PRIJEM	\N	258	57049	UROK	\N	\N
3576721	1410	1996-10-31	PRIJEM	\N	262	59176	UROK	\N	\N
3576722	1410	1996-11-30	PRIJEM	\N	271	63811	UROK	\N	\N
3576723	1410	1996-12-31	PRIJEM	\N	305	69778	UROK	\N	\N
3576724	1410	1997-01-31	PRIJEM	\N	288	59131	UROK	\N	\N
3576725	1410	1997-02-28	PRIJEM	\N	266	62060	UROK	\N	\N
3576726	1410	1997-03-31	PRIJEM	\N	282	65907	UROK	\N	\N
3576727	1410	1997-04-30	PRIJEM	\N	294	65865	UROK	\N	\N
3576728	1410	1997-05-31	PRIJEM	\N	300	73129	UROK	\N	\N
3576729	1410	1997-06-30	PRIJEM	\N	321	63211	UROK	\N	\N
3576730	1410	1997-07-31	PRIJEM	\N	287	70262	UROK	\N	\N
3576731	1410	1997-08-31	PRIJEM	\N	307	72934	UROK	\N	\N
3576732	1410	1997-09-30	PRIJEM	\N	311	72409	UROK	\N	\N
3576733	1410	1997-10-31	PRIJEM	\N	309	69283	UROK	\N	\N
3576734	1410	1997-11-30	PRIJEM	\N	302	71649	UROK	\N	\N
3576735	1410	1997-12-31	PRIJEM	\N	325	78835	UROK	\N	\N
3576736	1410	1998-01-31	PRIJEM	\N	323	77023	UROK	\N	\N
3576737	1410	1998-02-28	PRIJEM	\N	332	82118	UROK	\N	\N
3576738	1410	1998-03-31	PRIJEM	\N	347	81830	UROK	\N	\N
3576739	1410	1998-04-30	PRIJEM	\N	346	82840	UROK	\N	\N
3576740	1410	1998-05-31	PRIJEM	\N	340	78744	UROK	\N	\N
3576741	1410	1998-06-30	PRIJEM	\N	314	72519	UROK	\N	\N
3576742	1410	1998-07-31	PRIJEM	\N	300	71483	UROK	\N	\N
3576743	1410	1998-08-31	PRIJEM	\N	298	72946	UROK	\N	\N
3576744	1410	1998-09-30	PRIJEM	\N	314	80024	UROK	\N	\N
3576745	1410	1998-10-31	PRIJEM	\N	335	81324	UROK	\N	\N
3576746	1410	1998-11-30	PRIJEM	\N	335	78724	UROK	\N	\N
3576747	1410	1998-12-31	PRIJEM	\N	350	86235	UROK	\N	\N
3576748	1411	1993-08-31	PRIJEM	\N	61	18824	UROK	\N	\N
3576749	1411	1993-09-30	PRIJEM	\N	107	27594	UROK	\N	\N
3576750	1411	1993-10-31	PRIJEM	\N	137	34394	UROK	\N	\N
3576751	1411	1993-11-30	PRIJEM	\N	151	36808	UROK	\N	\N
3576752	1411	1993-12-31	PRIJEM	\N	155	28483	UROK	\N	\N
3576753	1411	1994-01-31	PRIJEM	\N	99	15157	UROK	\N	\N
3576754	1411	1994-02-28	PRIJEM	\N	104	24436	UROK	\N	\N
3576755	1411	1994-03-31	PRIJEM	\N	95	20805	UROK	\N	\N
3576756	1411	1994-04-30	PRIJEM	\N	129	31808	UROK	\N	\N
3576757	1411	1994-05-31	PRIJEM	\N	157	37639	UROK	\N	\N
3576758	1411	1994-06-30	PRIJEM	\N	166	38010	UROK	\N	\N
3576759	1411	1994-07-31	PRIJEM	\N	171	37556	UROK	\N	\N
3576760	1411	1994-08-31	PRIJEM	\N	150	35681	UROK	\N	\N
3576761	1411	1994-09-30	PRIJEM	\N	178	43133	UROK	\N	\N
3576762	1411	1994-10-31	PRIJEM	\N	197	47104	UROK	\N	\N
3576763	1411	1994-11-30	PRIJEM	\N	190	41669	UROK	\N	\N
3576764	1411	1994-12-31	PRIJEM	\N	210	51284	UROK	\N	\N
3576765	1411	1995-01-31	PRIJEM	\N	171	33929	UROK	\N	\N
3576766	1411	1995-02-28	PRIJEM	\N	163	42566	UROK	\N	\N
3576767	1411	1995-03-31	PRIJEM	\N	198	47738	UROK	\N	\N
3576768	1411	1995-04-30	PRIJEM	\N	195	47108	UROK	\N	\N
3576769	1411	1995-05-31	PRIJEM	\N	207	44989	UROK	\N	\N
3576770	1411	1995-06-30	PRIJEM	\N	210	41304	UROK	\N	\N
3576771	1411	1995-07-31	PRIJEM	\N	192	44971	UROK	\N	\N
3576772	1411	1995-08-31	PRIJEM	\N	205	45950	UROK	\N	\N
3576773	1411	1995-09-30	PRIJEM	\N	210	48934	UROK	\N	\N
3576774	1411	1995-10-31	PRIJEM	\N	223	52531	UROK	\N	\N
3576775	1411	1995-11-30	PRIJEM	\N	233	52738	UROK	\N	\N
3576776	1411	1995-12-31	PRIJEM	\N	249	56593	UROK	\N	\N
3576777	1411	1996-01-31	PRIJEM	\N	236	45703	UROK	\N	\N
3576778	1411	1996-02-29	PRIJEM	\N	208	50185	UROK	\N	\N
3576779	1411	1996-03-31	PRIJEM	\N	227	54586	UROK	\N	\N
3576780	1411	1996-04-30	PRIJEM	\N	242	56702	UROK	\N	\N
3576781	1411	1996-05-31	PRIJEM	\N	252	59728	UROK	\N	\N
3576782	1411	1996-06-30	PRIJEM	\N	266	52799	UROK	\N	\N
3576783	1411	1996-07-31	PRIJEM	\N	224	52498	UROK	\N	\N
3576784	1411	1996-08-31	PRIJEM	\N	235	57507	UROK	\N	\N
3576785	1411	1996-09-30	PRIJEM	\N	245	55926	UROK	\N	\N
3576786	1411	1996-10-31	PRIJEM	\N	247	60148	UROK	\N	\N
3576787	1411	1996-11-30	PRIJEM	\N	264	64286	UROK	\N	\N
3576788	1411	1996-12-31	PRIJEM	\N	289	69181	UROK	\N	\N
3576789	1411	1997-01-31	PRIJEM	\N	281	62636	UROK	\N	\N
3576790	1411	1997-02-28	PRIJEM	\N	273	66883	UROK	\N	\N
3576791	1411	1997-03-31	PRIJEM	\N	292	66150	UROK	\N	\N
3576792	1411	1997-04-30	PRIJEM	\N	288	70712	UROK	\N	\N
3576793	1411	1997-05-31	PRIJEM	\N	298	69684	UROK	\N	\N
3576794	1411	1997-06-30	PRIJEM	\N	300	67090	UROK	\N	\N
3576795	1411	1997-07-31	PRIJEM	\N	288	69752	UROK	\N	\N
3576796	1411	1997-08-31	PRIJEM	\N	299	72825	UROK	\N	\N
3576797	1411	1997-09-30	PRIJEM	\N	314	73714	UROK	\N	\N
3576798	1411	1997-10-31	PRIJEM	\N	315	77304	UROK	\N	\N
3576799	1411	1997-11-30	PRIJEM	\N	333	81111	UROK	\N	\N
3576800	1411	1997-12-31	PRIJEM	\N	355	83272	UROK	\N	\N
3576801	1411	1998-01-31	PRIJEM	\N	297	66743	UROK	\N	\N
3576802	1411	1998-02-28	PRIJEM	\N	288	71905	UROK	\N	\N
3576803	1411	1998-03-31	PRIJEM	\N	303	74183	UROK	\N	\N
3576804	1411	1998-04-30	PRIJEM	\N	323	81380	UROK	\N	\N
3576805	1411	1998-05-31	PRIJEM	\N	349	86504	UROK	\N	\N
3576806	1411	1998-06-30	PRIJEM	\N	336	78145	UROK	\N	\N
3576807	1411	1998-07-31	PRIJEM	\N	345	81965	UROK	\N	\N
3576808	1411	1998-08-31	PRIJEM	\N	376	89315	UROK	\N	\N
3576809	1411	1998-09-30	PRIJEM	\N	382	92171	UROK	\N	\N
3576810	1411	1998-10-31	PRIJEM	\N	386	94931	UROK	\N	\N
3576811	1411	1998-11-30	PRIJEM	\N	381	90786	UROK	\N	\N
3576812	1411	1998-12-31	PRIJEM	\N	396	98188	UROK	\N	\N
3576813	1412	1993-06-30	PRIJEM	\N	43	21973	UROK	\N	\N
3576814	1412	1993-07-31	PRIJEM	\N	105	28665	UROK	\N	\N
3576815	1412	1993-08-31	PRIJEM	\N	136	36387	UROK	\N	\N
3576816	1412	1993-09-30	PRIJEM	\N	152	36927	UROK	\N	\N
3576817	1412	1993-10-31	PRIJEM	\N	164	37294	UROK	\N	\N
3576818	1412	1993-11-30	PRIJEM	\N	168	38016	UROK	\N	\N
3576819	1412	1993-12-31	PRIJEM	\N	176	38509	UROK	\N	\N
3576820	1412	1994-01-31	PRIJEM	\N	142	21804	UROK	\N	\N
3576821	1412	1994-02-28	PRIJEM	\N	113	27289	UROK	\N	\N
3576822	1412	1994-03-31	PRIJEM	\N	135	31577	UROK	\N	\N
3576823	1412	1994-04-30	PRIJEM	\N	148	34579	UROK	\N	\N
3576824	1412	1994-05-31	PRIJEM	\N	152	33984	UROK	\N	\N
3576825	1412	1994-06-30	PRIJEM	\N	158	28259	UROK	\N	\N
3576826	1412	1994-07-31	PRIJEM	\N	123	28675	UROK	\N	\N
3576827	1412	1994-08-31	PRIJEM	\N	140	33668	UROK	\N	\N
3576828	1412	1994-09-30	PRIJEM	\N	144	32346	UROK	\N	\N
3576829	1412	1994-10-31	PRIJEM	\N	160	31159	UROK	\N	\N
3576830	1412	1994-11-30	PRIJEM	\N	131	30444	UROK	\N	\N
3576831	1412	1994-12-31	PRIJEM	\N	143	31504	UROK	\N	\N
3576832	1412	1995-01-31	PRIJEM	\N	93	15050	UROK	\N	\N
3576833	1412	1995-02-28	PRIJEM	\N	77	18440	UROK	\N	\N
3576834	1412	1995-03-31	PRIJEM	\N	92	22285	UROK	\N	\N
3576835	1412	1995-04-30	PRIJEM	\N	107	26145	UROK	\N	\N
3576836	1412	1995-05-31	PRIJEM	\N	102	22321	UROK	\N	\N
3576837	1412	1995-06-30	PRIJEM	\N	107	23684	UROK	\N	\N
3576838	1412	1995-07-31	PRIJEM	\N	92	17849	UROK	\N	\N
3576839	1412	1995-08-31	PRIJEM	\N	118	30720	UROK	\N	\N
3576840	1412	1995-09-30	PRIJEM	\N	137	33911	UROK	\N	\N
3576841	1412	1995-10-31	PRIJEM	\N	135	32700	UROK	\N	\N
3576842	1412	1995-11-30	PRIJEM	\N	132	32085	UROK	\N	\N
3576843	1412	1995-12-31	PRIJEM	\N	142	36424	UROK	\N	\N
3576844	1412	1996-01-31	PRIJEM	\N	103	15040	UROK	\N	\N
3576845	1412	1996-02-29	PRIJEM	\N	97	25591	UROK	\N	\N
3576846	1412	1996-03-31	PRIJEM	\N	102	24947	UROK	\N	\N
3576847	1412	1996-04-30	PRIJEM	\N	107	26407	UROK	\N	\N
3576848	1412	1996-05-31	PRIJEM	\N	112	26832	UROK	\N	\N
3576849	1412	1996-06-30	PRIJEM	\N	153	39782	UROK	\N	\N
3576850	1412	1996-07-31	PRIJEM	\N	149	35984	UROK	\N	\N
3576851	1412	1996-08-31	PRIJEM	\N	125	21822	UROK	\N	\N
3576852	1412	1996-09-30	PRIJEM	\N	122	23198	UROK	\N	\N
3576853	1412	1996-10-31	PRIJEM	\N	128	26079	UROK	\N	\N
3576854	1412	1996-11-30	PRIJEM	\N	138	24270	UROK	\N	\N
3576855	1412	1996-12-31	PRIJEM	\N	152	26958	UROK	\N	\N
3576856	1412	1997-01-31	PRIJEM	\N	97	14129	UROK	\N	\N
3576857	1412	1997-02-28	PRIJEM	\N	89	18472	UROK	\N	\N
3576858	1412	1997-03-31	PRIJEM	\N	98	19143	UROK	\N	\N
3576859	1412	1997-04-30	PRIJEM	\N	108	19003	UROK	\N	\N
3576860	1412	1997-05-31	PRIJEM	\N	103	18760	UROK	\N	\N
3576861	1412	1997-06-30	PRIJEM	\N	118	16575	UROK	\N	\N
3576862	1412	1997-07-31	PRIJEM	\N	94	16923	UROK	\N	\N
3576863	1412	1997-08-31	PRIJEM	\N	98	21374	UROK	\N	\N
3576864	1412	1997-09-30	PRIJEM	\N	110	19738	UROK	\N	\N
3576865	1412	1997-10-31	PRIJEM	\N	103	18995	UROK	\N	\N
3576866	1412	1997-11-30	PRIJEM	\N	99	17647	UROK	\N	\N
3576867	1412	1997-12-31	PRIJEM	\N	110	17374	UROK	\N	\N
3576868	1412	1998-01-31	PRIJEM	\N	84	18552	UROK	\N	\N
3576869	1412	1998-02-28	PRIJEM	\N	98	19102	UROK	\N	\N
3576870	1412	1998-03-31	PRIJEM	\N	93	16229	UROK	\N	\N
3576871	1412	1998-04-30	PRIJEM	\N	94	21676	UROK	\N	\N
3576872	1412	1998-05-31	PRIJEM	\N	110	22339	UROK	\N	\N
3576873	1412	1998-06-30	PRIJEM	\N	99	18515	UROK	\N	\N
3576874	1412	1998-07-31	PRIJEM	\N	97	20365	UROK	\N	\N
3576875	1412	1998-08-31	PRIJEM	\N	98	19016	UROK	\N	\N
3576876	1412	1998-09-30	PRIJEM	\N	87	14956	UROK	\N	\N
3576877	1412	1998-10-31	PRIJEM	\N	93	22263	UROK	\N	\N
3576878	1412	1998-11-30	PRIJEM	\N	95	16712	UROK	\N	\N
3576879	1412	1998-12-31	PRIJEM	\N	118	31867	UROK	\N	\N
3576880	1413	1995-07-31	PRIJEM	\N	71	21234	UROK	\N	\N
3576881	1413	1995-08-31	PRIJEM	\N	134	35031	UROK	\N	\N
3576882	1413	1995-09-30	PRIJEM	\N	169	42264	UROK	\N	\N
3576883	1413	1995-10-31	PRIJEM	\N	189	46316	UROK	\N	\N
3576884	1413	1995-11-30	PRIJEM	\N	190	45256	UROK	\N	\N
3576885	1413	1995-12-31	PRIJEM	\N	199	44472	UROK	\N	\N
3576886	1413	1996-01-31	PRIJEM	\N	177	35785	UROK	\N	\N
3576887	1413	1996-02-29	PRIJEM	\N	160	37780	UROK	\N	\N
3576888	1413	1996-03-31	PRIJEM	\N	167	40283	UROK	\N	\N
3576889	1413	1996-04-30	PRIJEM	\N	156	34474	UROK	\N	\N
3576890	1413	1996-05-31	PRIJEM	\N	147	33456	UROK	\N	\N
3576891	1413	1996-06-30	PRIJEM	\N	144	20616	UROK	\N	\N
3576892	1413	1996-07-31	PRIJEM	\N	105	24956	UROK	\N	\N
3576893	1413	1996-08-31	PRIJEM	\N	107	23099	UROK	\N	\N
3576894	1413	1996-09-30	PRIJEM	\N	124	19959	UROK	\N	\N
3576895	1413	1996-10-31	PRIJEM	\N	111	19305	UROK	\N	\N
3576896	1413	1996-11-30	PRIJEM	\N	104	15445	UROK	\N	\N
3576897	1413	1996-12-31	PRIJEM	\N	107	17868	UROK	\N	\N
3576898	1413	1997-01-31	PRIJEM	\N	87	14790	UROK	\N	\N
3576899	1413	1997-02-28	PRIJEM	\N	89	14815	UROK	\N	\N
3576900	1413	1997-03-31	PRIJEM	\N	89	16840	UROK	\N	\N
3576901	1413	1997-04-30	PRIJEM	\N	91	14766	UROK	\N	\N
3576902	1413	1997-05-31	PRIJEM	\N	86	17187	UROK	\N	\N
3576903	1413	1997-06-30	PRIJEM	\N	116	23319	UROK	\N	\N
3576904	1413	1997-07-31	PRIJEM	\N	118	22672	UROK	\N	\N
3576905	1413	1997-08-31	PRIJEM	\N	113	20120	UROK	\N	\N
3576906	1413	1997-09-30	PRIJEM	\N	87	14243	UROK	\N	\N
3576907	1413	1997-10-31	PRIJEM	\N	75	16654	UROK	\N	\N
3576908	1413	1997-11-30	PRIJEM	\N	84	12773	UROK	\N	\N
3576909	1413	1997-12-31	PRIJEM	\N	105	26094	UROK	\N	\N
3576910	1413	1998-01-31	PRIJEM	\N	95	14025	UROK	\N	\N
3576911	1413	1998-02-28	PRIJEM	\N	85	22145	UROK	\N	\N
3576912	1413	1998-03-31	PRIJEM	\N	104	16584	UROK	\N	\N
3576913	1413	1998-04-30	PRIJEM	\N	96	24716	UROK	\N	\N
3576914	1413	1998-05-31	PRIJEM	\N	115	21366	UROK	\N	\N
3576915	1413	1998-06-30	PRIJEM	\N	118	15701	UROK	\N	\N
3576916	1413	1998-07-31	PRIJEM	\N	93	23829	UROK	\N	\N
3576917	1413	1998-08-31	PRIJEM	\N	106	17571	UROK	\N	\N
3576918	1413	1998-09-30	PRIJEM	\N	87	21293	UROK	\N	\N
3576919	1413	1998-10-31	PRIJEM	\N	89	14018	UROK	\N	\N
3576920	1413	1998-11-30	PRIJEM	\N	82	19735	UROK	\N	\N
3576921	1413	1998-12-31	PRIJEM	\N	130	33181	UROK	\N	\N
3576922	1414	1995-02-28	PRIJEM	\N	40	20784	UROK	\N	\N
3576923	1414	1995-03-31	PRIJEM	\N	104	30132	UROK	\N	\N
3576924	1414	1995-04-30	PRIJEM	\N	138	36714	UROK	\N	\N
3576925	1414	1995-05-31	PRIJEM	\N	156	38414	UROK	\N	\N
3576926	1414	1995-06-30	PRIJEM	\N	164	33290	UROK	\N	\N
3576927	1414	1995-07-31	PRIJEM	\N	136	29521	UROK	\N	\N
3576928	1414	1995-08-31	PRIJEM	\N	124	26641	UROK	\N	\N
3576929	1414	1995-09-30	PRIJEM	\N	122	28158	UROK	\N	\N
3576930	1414	1995-10-31	PRIJEM	\N	107	23120	UROK	\N	\N
3576931	1414	1995-11-30	PRIJEM	\N	100	22016	UROK	\N	\N
3576932	1414	1995-12-31	PRIJEM	\N	117	26410	UROK	\N	\N
3576933	1414	1996-01-31	PRIJEM	\N	92	13278	UROK	\N	\N
3576934	1414	1996-02-29	PRIJEM	\N	70	16843	UROK	\N	\N
3576935	1414	1996-03-31	PRIJEM	\N	76	17215	UROK	\N	\N
3576936	1414	1996-04-30	PRIJEM	\N	81	17131	UROK	\N	\N
3576937	1414	1996-05-31	PRIJEM	\N	79	18205	UROK	\N	\N
3576938	1414	1996-06-30	PRIJEM	\N	97	23220	UROK	\N	\N
3576939	1414	1996-07-31	PRIJEM	\N	98	22413	UROK	\N	\N
3576940	1414	1996-08-31	PRIJEM	\N	97	22705	UROK	\N	\N
3576941	1414	1996-09-30	PRIJEM	\N	100	20000	UROK	\N	\N
3576942	1414	1996-10-31	PRIJEM	\N	89	21385	UROK	\N	\N
3576943	1414	1996-11-30	PRIJEM	\N	80	19040	UROK	\N	\N
3576944	1414	1996-12-31	PRIJEM	\N	69	13947	UROK	\N	\N
3576945	1414	1997-01-31	PRIJEM	\N	44	9426	UROK	\N	\N
3576946	1414	1997-02-28	PRIJEM	\N	54	12956	UROK	\N	\N
3576947	1414	1997-03-31	PRIJEM	\N	56	13107	UROK	\N	\N
3576948	1414	1997-04-30	PRIJEM	\N	49	11151	UROK	\N	\N
3576949	1414	1997-05-31	PRIJEM	\N	55	13102	UROK	\N	\N
3576950	1414	1997-06-30	PRIJEM	\N	115	30135	UROK	\N	\N
3576951	1414	1997-07-31	PRIJEM	\N	122	26232	UROK	\N	\N
3576952	1414	1997-08-31	PRIJEM	\N	99	20906	UROK	\N	\N
3576953	1414	1997-09-30	PRIJEM	\N	95	22796	UROK	\N	\N
3576954	1414	1997-10-31	PRIJEM	\N	90	20861	UROK	\N	\N
3576955	1414	1997-11-30	PRIJEM	\N	103	25160	UROK	\N	\N
3576956	1414	1997-12-31	PRIJEM	\N	149	36906	UROK	\N	\N
3576957	1414	1998-01-31	PRIJEM	\N	112	21834	UROK	\N	\N
3576958	1414	1998-02-28	PRIJEM	\N	108	27337	UROK	\N	\N
3576959	1414	1998-03-31	PRIJEM	\N	122	29354	UROK	\N	\N
3576960	1414	1998-04-30	PRIJEM	\N	103	25312	UROK	\N	\N
3576961	1414	1998-05-31	PRIJEM	\N	122	30029	UROK	\N	\N
3576962	1414	1998-06-30	PRIJEM	\N	140	36786	UROK	\N	\N
3576963	1414	1998-07-31	PRIJEM	\N	152	28133	UROK	\N	\N
3576964	1414	1998-08-31	PRIJEM	\N	136	27265	UROK	\N	\N
3576965	1414	1998-09-30	PRIJEM	\N	127	27127	UROK	\N	\N
3576966	1414	1998-10-31	PRIJEM	\N	134	31156	UROK	\N	\N
3576967	1414	1998-11-30	PRIJEM	\N	147	29098	UROK	\N	\N
3576968	1414	1998-12-31	PRIJEM	\N	152	37588	UROK	\N	\N
3576994	1417	1995-01-31	PRIJEM	\N	46	26077	UROK	\N	\N
3576995	1417	1995-02-28	PRIJEM	\N	130	39037	UROK	\N	\N
3576996	1417	1995-03-31	PRIJEM	\N	168	42536	UROK	\N	\N
3576997	1417	1995-04-30	PRIJEM	\N	178	43244	UROK	\N	\N
3576998	1417	1995-05-31	PRIJEM	\N	196	38978	UROK	\N	\N
3576999	1417	1995-06-30	PRIJEM	\N	168	34983	UROK	\N	\N
3577000	1417	1995-07-31	PRIJEM	\N	169	37174	UROK	\N	\N
3577001	1417	1995-08-31	PRIJEM	\N	168	40664	UROK	\N	\N
3577002	1417	1995-09-30	PRIJEM	\N	194	42481	UROK	\N	\N
3577003	1417	1995-10-31	PRIJEM	\N	180	41883	UROK	\N	\N
3577004	1417	1995-11-30	PRIJEM	\N	203	45109	UROK	\N	\N
3577005	1417	1995-12-31	PRIJEM	\N	219	47565	UROK	\N	\N
3577006	1417	1996-01-31	PRIJEM	\N	195	32983	UROK	\N	\N
3577007	1417	1996-02-29	PRIJEM	\N	145	34349	UROK	\N	\N
3577008	1417	1996-03-31	PRIJEM	\N	183	44155	UROK	\N	\N
3577009	1417	1996-04-30	PRIJEM	\N	176	38853	UROK	\N	\N
3577010	1417	1996-05-31	PRIJEM	\N	178	45054	UROK	\N	\N
3577011	1417	1996-06-30	PRIJEM	\N	195	33286	UROK	\N	\N
3577012	1417	1996-07-31	PRIJEM	\N	160	40468	UROK	\N	\N
3577013	1417	1996-08-31	PRIJEM	\N	190	47381	UROK	\N	\N
3577014	1417	1996-09-30	PRIJEM	\N	209	49013	UROK	\N	\N
3577015	1417	1996-10-31	PRIJEM	\N	224	54658	UROK	\N	\N
3577016	1417	1996-11-30	PRIJEM	\N	246	59327	UROK	\N	\N
3577017	1417	1996-12-31	PRIJEM	\N	268	65032	UROK	\N	\N
3577018	1417	1997-01-31	PRIJEM	\N	228	37483	UROK	\N	\N
3577019	1417	1997-02-28	PRIJEM	\N	238	62144	UROK	\N	\N
3577020	1417	1997-03-31	PRIJEM	\N	248	57414	UROK	\N	\N
3577021	1417	1997-04-30	PRIJEM	\N	261	58597	UROK	\N	\N
3577022	1417	1997-05-31	PRIJEM	\N	269	61688	UROK	\N	\N
3577023	1417	1997-06-30	PRIJEM	\N	288	61913	UROK	\N	\N
3577024	1417	1997-07-31	PRIJEM	\N	310	77046	UROK	\N	\N
3577025	1417	1997-08-31	PRIJEM	\N	343	82711	UROK	\N	\N
3577026	1417	1997-09-30	PRIJEM	\N	343	80976	UROK	\N	\N
3577027	1417	1997-10-31	PRIJEM	\N	349	83547	UROK	\N	\N
3577028	1417	1997-11-30	PRIJEM	\N	364	87534	UROK	\N	\N
3577029	1417	1997-12-31	PRIJEM	\N	388	93859	UROK	\N	\N
3577030	1417	1998-01-31	PRIJEM	\N	344	76025	UROK	\N	\N
3577031	1417	1998-02-28	PRIJEM	\N	353	86600	UROK	\N	\N
3577032	1417	1998-03-31	PRIJEM	\N	394	96016	UROK	\N	\N
3577033	1417	1998-04-30	PRIJEM	\N	400	95339	UROK	\N	\N
3577034	1417	1998-05-31	PRIJEM	\N	412	96173	UROK	\N	\N
3577035	1417	1998-06-30	PRIJEM	\N	371	81781	UROK	\N	\N
3577036	1417	1998-07-31	PRIJEM	\N	365	88869	UROK	\N	\N
3577037	1417	1998-08-31	PRIJEM	\N	377	91169	UROK	\N	\N
3577038	1417	1998-09-30	PRIJEM	\N	347	91039	UROK	\N	\N
3577039	1417	1998-10-31	PRIJEM	\N	372	79133	UROK	\N	\N
3577040	1417	1998-11-30	PRIJEM	\N	361	79217	UROK	\N	\N
3577041	1417	1998-12-31	PRIJEM	\N	399	102353	UROK	\N	\N
3577042	1418	1997-02-28	PRIJEM	\N	27	11371	UROK	\N	\N
3577043	1418	1997-03-31	PRIJEM	\N	93	29208	UROK	\N	\N
3577044	1418	1997-04-30	PRIJEM	\N	144	38396	UROK	\N	\N
3577045	1418	1997-05-31	PRIJEM	\N	164	40304	UROK	\N	\N
3577046	1418	1997-06-30	PRIJEM	\N	172	42042	UROK	\N	\N
3577047	1418	1997-07-31	PRIJEM	\N	164	40376	UROK	\N	\N
3577048	1418	1997-08-31	PRIJEM	\N	153	38000	UROK	\N	\N
3577049	1418	1997-09-30	PRIJEM	\N	150	38320	UROK	\N	\N
3577050	1418	1997-10-31	PRIJEM	\N	155	39445	UROK	\N	\N
3577051	1418	1997-11-30	PRIJEM	\N	165	40820	UROK	\N	\N
3577052	1418	1997-12-31	PRIJEM	\N	179	44511	UROK	\N	\N
3577053	1418	1998-01-31	PRIJEM	\N	139	29880	UROK	\N	\N
3577054	1418	1998-02-28	PRIJEM	\N	115	30466	UROK	\N	\N
3577055	1418	1998-03-31	PRIJEM	\N	147	37483	UROK	\N	\N
3577056	1418	1998-04-30	PRIJEM	\N	149	38603	UROK	\N	\N
3577057	1418	1998-05-31	PRIJEM	\N	147	37720	UROK	\N	\N
3577058	1418	1998-06-30	PRIJEM	\N	155	34628	UROK	\N	\N
3577059	1418	1998-07-31	PRIJEM	\N	124	31822	UROK	\N	\N
3577060	1418	1998-08-31	PRIJEM	\N	123	31896	UROK	\N	\N
3577061	1418	1998-09-30	PRIJEM	\N	102	25528	UROK	\N	\N
3577062	1418	1998-10-31	PRIJEM	\N	95	25293	UROK	\N	\N
3577063	1418	1998-11-30	PRIJEM	\N	93	24857	UROK	\N	\N
3577064	1418	1998-12-31	PRIJEM	\N	113	31361	UROK	\N	\N
3577065	1419	1994-04-30	PRIJEM	\N	31	22235	UROK	\N	\N
3577066	1419	1994-05-31	PRIJEM	\N	95	24181	UROK	\N	\N
3577067	1419	1994-06-30	PRIJEM	\N	93	19405	UROK	\N	\N
3577068	1419	1994-07-31	PRIJEM	\N	76	17813	UROK	\N	\N
3577069	1419	1994-08-31	PRIJEM	\N	81	20325	UROK	\N	\N
3577070	1419	1994-09-30	PRIJEM	\N	87	20604	UROK	\N	\N
3577071	1419	1994-10-31	PRIJEM	\N	94	23429	UROK	\N	\N
3577072	1419	1994-11-30	PRIJEM	\N	105	26265	UROK	\N	\N
3577073	1419	1994-12-31	PRIJEM	\N	117	27613	UROK	\N	\N
3577074	1419	1995-01-31	PRIJEM	\N	111	21526	UROK	\N	\N
3577075	1419	1995-02-28	PRIJEM	\N	94	23152	UROK	\N	\N
3577076	1419	1995-03-31	PRIJEM	\N	101	24184	UROK	\N	\N
3577077	1419	1995-04-30	PRIJEM	\N	100	22795	UROK	\N	\N
3577078	1419	1995-05-31	PRIJEM	\N	102	25228	UROK	\N	\N
3577079	1419	1995-06-30	PRIJEM	\N	103	23763	UROK	\N	\N
3577080	1419	1995-07-31	PRIJEM	\N	102	24596	UROK	\N	\N
3577081	1419	1995-08-31	PRIJEM	\N	100	22748	UROK	\N	\N
3577082	1419	1995-09-30	PRIJEM	\N	94	21933	UROK	\N	\N
3577083	1419	1995-10-31	PRIJEM	\N	99	24763	UROK	\N	\N
3577084	1419	1995-11-30	PRIJEM	\N	102	24397	UROK	\N	\N
3577085	1419	1995-12-31	PRIJEM	\N	100	24648	UROK	\N	\N
3577086	1419	1996-01-31	PRIJEM	\N	74	13803	UROK	\N	\N
3577087	1419	1996-02-29	PRIJEM	\N	65	16599	UROK	\N	\N
3577088	1419	1996-03-31	PRIJEM	\N	77	19406	UROK	\N	\N
3577089	1419	1996-04-30	PRIJEM	\N	88	22226	UROK	\N	\N
3577090	1419	1996-05-31	PRIJEM	\N	86	20283	UROK	\N	\N
3577091	1419	1996-06-30	PRIJEM	\N	86	21021	UROK	\N	\N
3577092	1419	1996-07-31	PRIJEM	\N	95	23847	UROK	\N	\N
3577093	1419	1996-08-31	PRIJEM	\N	107	26685	UROK	\N	\N
3577094	1419	1996-09-30	PRIJEM	\N	115	28832	UROK	\N	\N
3577095	1419	1996-10-31	PRIJEM	\N	121	29724	UROK	\N	\N
3577096	1419	1996-11-30	PRIJEM	\N	119	28874	UROK	\N	\N
3577097	1419	1996-12-31	PRIJEM	\N	118	28924	UROK	\N	\N
3577098	1419	1997-01-31	PRIJEM	\N	102	17737	UROK	\N	\N
3577099	1419	1997-02-28	PRIJEM	\N	80	19909	UROK	\N	\N
3577100	1419	1997-03-31	PRIJEM	\N	90	22730	UROK	\N	\N
3577101	1419	1997-04-30	PRIJEM	\N	96	23718	UROK	\N	\N
3577102	1419	1997-05-31	PRIJEM	\N	106	26554	UROK	\N	\N
3577103	1419	1997-06-30	PRIJEM	\N	94	21580	UROK	\N	\N
3577104	1419	1997-07-31	PRIJEM	\N	84	20156	UROK	\N	\N
3577105	1419	1997-08-31	PRIJEM	\N	73	16580	UROK	\N	\N
3577106	1419	1997-09-30	PRIJEM	\N	75	19387	UROK	\N	\N
3577107	1419	1997-10-31	PRIJEM	\N	84	21502	UROK	\N	\N
3577108	1419	1997-11-30	PRIJEM	\N	77	18310	UROK	\N	\N
3577109	1419	1997-12-31	PRIJEM	\N	66	15758	UROK	\N	\N
3577110	1419	1998-01-31	PRIJEM	\N	62	14871	UROK	\N	\N
3577111	1419	1998-02-28	PRIJEM	\N	68	17670	UROK	\N	\N
3577112	1419	1998-03-31	PRIJEM	\N	79	19441	UROK	\N	\N
3577113	1419	1998-04-30	PRIJEM	\N	87	22259	UROK	\N	\N
3577114	1419	1998-05-31	PRIJEM	\N	92	23162	UROK	\N	\N
3577115	1419	1998-06-30	PRIJEM	\N	97	20091	UROK	\N	\N
3577116	1419	1998-07-31	PRIJEM	\N	88	22430	UROK	\N	\N
3577117	1419	1998-08-31	PRIJEM	\N	98	24860	UROK	\N	\N
3577118	1419	1998-09-30	PRIJEM	\N	109	27700	UROK	\N	\N
3577119	1419	1998-10-31	PRIJEM	\N	119	29111	UROK	\N	\N
3577120	1419	1998-11-30	PRIJEM	\N	119	29882	UROK	\N	\N
3577121	1419	1998-12-31	PRIJEM	\N	129	31992	UROK	\N	\N
3577122	1420	1995-06-30	PRIJEM	\N	14	6116	UROK	\N	\N
3577123	1420	1995-07-31	PRIJEM	\N	25	11344	UROK	\N	\N
3577124	1420	1995-08-31	PRIJEM	\N	25	16571	UROK	\N	\N
3577125	1420	1995-09-30	PRIJEM	\N	25	21799	UROK	\N	\N
3577126	1420	1995-10-31	PRIJEM	\N	28	27029	UROK	\N	\N
3577127	1420	1995-11-30	PRIJEM	\N	111	28234	UROK	\N	\N
3577128	1420	1995-12-31	PRIJEM	\N	113	26499	UROK	\N	\N
3577129	1420	1996-01-31	PRIJEM	\N	88	16941	UROK	\N	\N
3577130	1420	1996-02-29	PRIJEM	\N	75	18729	UROK	\N	\N
3577131	1420	1996-03-31	PRIJEM	\N	86	22209	UROK	\N	\N
3577132	1420	1996-04-30	PRIJEM	\N	101	25703	UROK	\N	\N
3577133	1420	1996-05-31	PRIJEM	\N	112	26367	UROK	\N	\N
3577134	1420	1996-06-30	PRIJEM	\N	107	25467	UROK	\N	\N
3577135	1420	1996-07-31	PRIJEM	\N	114	28975	UROK	\N	\N
3577136	1420	1996-08-31	PRIJEM	\N	126	32194	UROK	\N	\N
3577137	1420	1996-09-30	PRIJEM	\N	138	34825	UROK	\N	\N
3577138	1420	1996-10-31	PRIJEM	\N	127	28846	UROK	\N	\N
3577139	1420	1996-11-30	PRIJEM	\N	123	22882	UROK	\N	\N
3577140	1420	1996-12-31	PRIJEM	\N	103	26379	UROK	\N	\N
3577141	1420	1997-01-31	PRIJEM	\N	99	18461	UROK	\N	\N
3577142	1420	1997-02-28	PRIJEM	\N	84	21938	UROK	\N	\N
3577143	1420	1997-03-31	PRIJEM	\N	94	21386	UROK	\N	\N
3577144	1420	1997-04-30	PRIJEM	\N	97	24476	UROK	\N	\N
3577145	1420	1997-05-31	PRIJEM	\N	110	27879	UROK	\N	\N
3577146	1420	1997-06-30	PRIJEM	\N	119	22341	UROK	\N	\N
3577147	1420	1997-07-31	PRIJEM	\N	101	25836	UROK	\N	\N
3577148	1420	1997-08-31	PRIJEM	\N	114	25903	UROK	\N	\N
3577149	1420	1997-09-30	PRIJEM	\N	108	22924	UROK	\N	\N
3577150	1420	1997-10-31	PRIJEM	\N	99	22217	UROK	\N	\N
3577151	1420	1997-11-30	PRIJEM	\N	100	25710	UROK	\N	\N
3577152	1420	1997-12-31	PRIJEM	\N	115	29218	UROK	\N	\N
3577153	1420	1998-01-31	PRIJEM	\N	106	21198	UROK	\N	\N
3577154	1420	1998-02-28	PRIJEM	\N	95	24686	UROK	\N	\N
3577155	1420	1998-03-31	PRIJEM	\N	107	27386	UROK	\N	\N
3577156	1420	1998-04-30	PRIJEM	\N	121	30901	UROK	\N	\N
3577157	1420	1998-05-31	PRIJEM	\N	133	31247	UROK	\N	\N
3577158	1420	1998-06-30	PRIJEM	\N	130	24621	UROK	\N	\N
3577159	1420	1998-07-31	PRIJEM	\N	110	28124	UROK	\N	\N
3577160	1420	1998-08-31	PRIJEM	\N	124	31642	UROK	\N	\N
3577161	1420	1998-09-30	PRIJEM	\N	139	35174	UROK	\N	\N
3577162	1420	1998-10-31	PRIJEM	\N	149	35197	UROK	\N	\N
3577163	1420	1998-11-30	PRIJEM	\N	153	38743	UROK	\N	\N
3577164	1420	1998-12-31	PRIJEM	\N	168	42305	UROK	\N	\N
3577165	1422	1993-09-30	PRIJEM	\N	86	26541	UROK	\N	\N
3577166	1422	1993-10-31	PRIJEM	\N	112	25925	UROK	\N	\N
3577167	1422	1993-11-30	PRIJEM	\N	112	25389	UROK	\N	\N
3577168	1422	1993-12-31	PRIJEM	\N	105	23426	UROK	\N	\N
3577169	1422	1994-01-31	PRIJEM	\N	85	12623	UROK	\N	\N
3577170	1422	1994-02-28	PRIJEM	\N	61	15857	UROK	\N	\N
3577171	1422	1994-03-31	PRIJEM	\N	75	19104	UROK	\N	\N
3577172	1422	1994-04-30	PRIJEM	\N	88	22365	UROK	\N	\N
3577173	1422	1994-05-31	PRIJEM	\N	102	25639	UROK	\N	\N
3577174	1422	1994-06-30	PRIJEM	\N	96	15267	UROK	\N	\N
3577175	1422	1994-07-31	PRIJEM	\N	73	18512	UROK	\N	\N
3577176	1422	1994-08-31	PRIJEM	\N	86	21771	UROK	\N	\N
3577177	1422	1994-09-30	PRIJEM	\N	99	25043	UROK	\N	\N
3577178	1422	1994-10-31	PRIJEM	\N	110	24905	UROK	\N	\N
3577179	1422	1994-11-30	PRIJEM	\N	106	25403	UROK	\N	\N
3577180	1422	1994-12-31	PRIJEM	\N	104	23279	UROK	\N	\N
3577181	1422	1995-01-31	PRIJEM	\N	80	15701	UROK	\N	\N
3577182	1422	1995-02-28	PRIJEM	\N	73	17427	UROK	\N	\N
3577183	1422	1995-03-31	PRIJEM	\N	81	20680	UROK	\N	\N
3577184	1422	1995-04-30	PRIJEM	\N	91	22024	UROK	\N	\N
3577185	1422	1995-05-31	PRIJEM	\N	99	24735	UROK	\N	\N
3577186	1422	1995-06-30	PRIJEM	\N	104	22262	UROK	\N	\N
3577187	1422	1995-07-31	PRIJEM	\N	100	22233	UROK	\N	\N
3577188	1422	1995-08-31	PRIJEM	\N	96	21942	UROK	\N	\N
3577189	1422	1995-09-30	PRIJEM	\N	99	23834	UROK	\N	\N
3577190	1422	1995-10-31	PRIJEM	\N	107	26613	UROK	\N	\N
3577191	1422	1995-11-30	PRIJEM	\N	118	28003	UROK	\N	\N
3577192	1422	1995-12-31	PRIJEM	\N	121	27997	UROK	\N	\N
3577193	1422	1996-01-31	PRIJEM	\N	106	18965	UROK	\N	\N
3577194	1422	1996-02-29	PRIJEM	\N	73	15811	UROK	\N	\N
3577195	1422	1996-03-31	PRIJEM	\N	74	19057	UROK	\N	\N
3577196	1422	1996-04-30	PRIJEM	\N	85	20115	UROK	\N	\N
3577197	1422	1996-05-31	PRIJEM	\N	90	21977	UROK	\N	\N
3577198	1422	1996-06-30	PRIJEM	\N	94	20443	UROK	\N	\N
3577199	1422	1996-07-31	PRIJEM	\N	85	16620	UROK	\N	\N
3577200	1422	1996-08-31	PRIJEM	\N	77	19669	UROK	\N	\N
3577201	1422	1996-09-30	PRIJEM	\N	89	22531	UROK	\N	\N
3577202	1422	1996-10-31	PRIJEM	\N	102	25805	UROK	\N	\N
3577203	1422	1996-11-30	PRIJEM	\N	115	29093	UROK	\N	\N
3577204	1422	1996-12-31	PRIJEM	\N	119	25384	UROK	\N	\N
3577205	1422	1997-01-31	PRIJEM	\N	89	16405	UROK	\N	\N
3577206	1422	1997-02-28	PRIJEM	\N	67	16125	UROK	\N	\N
3577207	1422	1997-03-31	PRIJEM	\N	64	15521	UROK	\N	\N
3577208	1422	1997-04-30	PRIJEM	\N	72	18766	UROK	\N	\N
3577209	1422	1997-05-31	PRIJEM	\N	86	22024	UROK	\N	\N
3577210	1422	1997-06-30	PRIJEM	\N	88	21084	UROK	\N	\N
3577211	1422	1997-07-31	PRIJEM	\N	95	24352	UROK	\N	\N
3577212	1422	1997-08-31	PRIJEM	\N	107	26932	UROK	\N	\N
3577213	1422	1997-09-30	PRIJEM	\N	109	24973	UROK	\N	\N
3577214	1422	1997-10-31	PRIJEM	\N	111	28257	UROK	\N	\N
3577215	1422	1997-11-30	PRIJEM	\N	122	29231	UROK	\N	\N
3577216	1422	1997-12-31	PRIJEM	\N	128	32132	UROK	\N	\N
3577217	1422	1998-01-31	PRIJEM	\N	126	24350	UROK	\N	\N
3577218	1422	1998-02-28	PRIJEM	\N	108	27630	UROK	\N	\N
3577219	1422	1998-03-31	PRIJEM	\N	122	30924	UROK	\N	\N
3577220	1422	1998-04-30	PRIJEM	\N	124	29820	UROK	\N	\N
3577221	1422	1998-05-31	PRIJEM	\N	130	31682	UROK	\N	\N
3577222	1422	1998-06-30	PRIJEM	\N	124	29729	UROK	\N	\N
3577223	1422	1998-07-31	PRIJEM	\N	130	32731	UROK	\N	\N
3577224	1422	1998-08-31	PRIJEM	\N	143	36046	UROK	\N	\N
3577225	1422	1998-09-30	PRIJEM	\N	154	38272	UROK	\N	\N
3577226	1422	1998-10-31	PRIJEM	\N	161	39605	UROK	\N	\N
3577227	1422	1998-11-30	PRIJEM	\N	166	40844	UROK	\N	\N
3577228	1422	1998-12-31	PRIJEM	\N	164	38150	UROK	\N	\N
3577229	1423	1995-10-31	PRIJEM	\N	26	13437	UROK	\N	\N
3577230	1423	1995-11-30	PRIJEM	\N	81	22828	UROK	\N	\N
3577231	1423	1995-12-31	PRIJEM	\N	115	29160	UROK	\N	\N
3577232	1423	1996-01-31	PRIJEM	\N	132	32502	UROK	\N	\N
3577233	1423	1996-02-29	PRIJEM	\N	143	33682	UROK	\N	\N
3577234	1423	1996-03-31	PRIJEM	\N	125	25117	UROK	\N	\N
3577235	1423	1996-04-30	PRIJEM	\N	106	25212	UROK	\N	\N
3577236	1423	1996-05-31	PRIJEM	\N	102	24124	UROK	\N	\N
3577237	1423	1996-06-30	PRIJEM	\N	97	18335	UROK	\N	\N
3577238	1423	1996-07-31	PRIJEM	\N	84	20308	UROK	\N	\N
3577239	1423	1996-08-31	PRIJEM	\N	81	19279	UROK	\N	\N
3577240	1423	1996-09-30	PRIJEM	\N	74	17443	UROK	\N	\N
3577241	1423	1996-10-31	PRIJEM	\N	75	17907	UROK	\N	\N
3577242	1423	1996-11-30	PRIJEM	\N	76	17972	UROK	\N	\N
3577243	1423	1996-12-31	PRIJEM	\N	84	18871	UROK	\N	\N
3577244	1423	1997-01-31	PRIJEM	\N	79	17639	UROK	\N	\N
3577245	1423	1997-02-28	PRIJEM	\N	81	19510	UROK	\N	\N
3577246	1423	1997-03-31	PRIJEM	\N	62	14161	UROK	\N	\N
3577247	1423	1997-04-30	PRIJEM	\N	67	16017	UROK	\N	\N
3577248	1423	1997-05-31	PRIJEM	\N	74	17881	UROK	\N	\N
3577249	1423	1997-06-30	PRIJEM	\N	83	11498	UROK	\N	\N
3577250	1423	1997-07-31	PRIJEM	\N	55	13342	UROK	\N	\N
3577251	1423	1997-08-31	PRIJEM	\N	63	15195	UROK	\N	\N
3577252	1423	1997-09-30	PRIJEM	\N	70	13694	UROK	\N	\N
3577253	1423	1997-10-31	PRIJEM	\N	64	15548	UROK	\N	\N
3577254	1423	1997-11-30	PRIJEM	\N	69	12606	UROK	\N	\N
3577255	1423	1997-12-31	PRIJEM	\N	65	13645	UROK	\N	\N
3577256	1423	1998-01-31	PRIJEM	\N	62	12696	UROK	\N	\N
3577257	1423	1998-02-28	PRIJEM	\N	59	13145	UROK	\N	\N
3577258	1423	1998-03-31	PRIJEM	\N	62	15597	UROK	\N	\N
3577259	1423	1998-04-30	PRIJEM	\N	62	11488	UROK	\N	\N
3577260	1423	1998-05-31	PRIJEM	\N	55	13132	UROK	\N	\N
3577261	1423	1998-06-30	PRIJEM	\N	67	14094	UROK	\N	\N
3577262	1423	1998-07-31	PRIJEM	\N	59	12382	UROK	\N	\N
3577263	1423	1998-08-31	PRIJEM	\N	59	14230	UROK	\N	\N
3577264	1423	1998-09-30	PRIJEM	\N	63	13182	UROK	\N	\N
3577265	1423	1998-10-31	PRIJEM	\N	62	15033	UROK	\N	\N
3577266	1423	1998-11-30	PRIJEM	\N	62	11384	UROK	\N	\N
3577267	1423	1998-12-31	PRIJEM	\N	61	14339	UROK	\N	\N
3577268	1424	1997-06-30	PRIJEM	\N	45	27058	UROK	\N	\N
3577269	1424	1997-07-31	PRIJEM	\N	132	38332	UROK	\N	\N
3577270	1424	1997-08-31	PRIJEM	\N	161	39536	UROK	\N	\N
3577271	1424	1997-09-30	PRIJEM	\N	165	39842	UROK	\N	\N
3577272	1424	1997-10-31	PRIJEM	\N	160	33220	UROK	\N	\N
3577273	1424	1997-11-30	PRIJEM	\N	128	25872	UROK	\N	\N
3577274	1424	1997-12-31	PRIJEM	\N	128	30054	UROK	\N	\N
3577275	1424	1998-01-31	PRIJEM	\N	109	15786	UROK	\N	\N
3577276	1424	1998-02-28	PRIJEM	\N	75	18565	UROK	\N	\N
3577277	1424	1998-03-31	PRIJEM	\N	80	17048	UROK	\N	\N
3577278	1424	1998-04-30	PRIJEM	\N	75	15107	UROK	\N	\N
3577279	1424	1998-05-31	PRIJEM	\N	59	11369	UROK	\N	\N
3577280	1424	1998-06-30	PRIJEM	\N	62	15105	UROK	\N	\N
3577281	1424	1998-07-31	PRIJEM	\N	73	18181	UROK	\N	\N
3577282	1424	1998-08-31	PRIJEM	\N	69	15154	UROK	\N	\N
3577283	1424	1998-09-30	PRIJEM	\N	79	15436	UROK	\N	\N
3577284	1424	1998-10-31	PRIJEM	\N	90	19430	UROK	\N	\N
3577285	1424	1998-11-30	PRIJEM	\N	79	18112	UROK	\N	\N
3577286	1424	1998-12-31	PRIJEM	\N	93	21460	UROK	\N	\N
3577287	1425	1993-07-31	PRIJEM	\N	24	7028	UROK	\N	\N
3577288	1425	1993-08-31	PRIJEM	\N	80	22111	UROK	\N	\N
3577289	1425	1993-09-30	PRIJEM	\N	113	28629	UROK	\N	\N
3577290	1425	1993-10-31	PRIJEM	\N	129	31662	UROK	\N	\N
3577291	1425	1993-11-30	PRIJEM	\N	129	30026	UROK	\N	\N
3577292	1425	1993-12-31	PRIJEM	\N	122	28620	UROK	\N	\N
3577293	1425	1994-01-31	PRIJEM	\N	77	13817	UROK	\N	\N
3577294	1425	1994-02-28	PRIJEM	\N	89	22327	UROK	\N	\N
3577295	1425	1994-03-31	PRIJEM	\N	107	25754	UROK	\N	\N
3577296	1425	1994-04-30	PRIJEM	\N	111	25986	UROK	\N	\N
3577297	1425	1994-05-31	PRIJEM	\N	114	26720	UROK	\N	\N
3577298	1425	1994-06-30	PRIJEM	\N	118	18211	UROK	\N	\N
3577299	1425	1994-07-31	PRIJEM	\N	99	20830	UROK	\N	\N
3577300	1425	1994-08-31	PRIJEM	\N	104	27655	UROK	\N	\N
3577301	1425	1994-09-30	PRIJEM	\N	120	29596	UROK	\N	\N
3577302	1425	1994-10-31	PRIJEM	\N	125	28841	UROK	\N	\N
3577303	1425	1994-11-30	PRIJEM	\N	115	25876	UROK	\N	\N
3577304	1425	1994-12-31	PRIJEM	\N	124	26172	UROK	\N	\N
3577305	1425	1995-01-31	PRIJEM	\N	102	16394	UROK	\N	\N
3577306	1425	1995-02-28	PRIJEM	\N	74	21289	UROK	\N	\N
3577307	1425	1995-03-31	PRIJEM	\N	95	25404	UROK	\N	\N
3577308	1425	1995-04-30	PRIJEM	\N	110	27235	UROK	\N	\N
3577309	1425	1995-05-31	PRIJEM	\N	119	29674	UROK	\N	\N
3577310	1425	1995-06-30	PRIJEM	\N	88	22634	UROK	\N	\N
3577311	1425	1995-07-31	PRIJEM	\N	102	28556	UROK	\N	\N
3577312	1425	1995-08-31	PRIJEM	\N	125	31601	UROK	\N	\N
3577313	1425	1995-09-30	PRIJEM	\N	136	33557	UROK	\N	\N
3577314	1425	1995-10-31	PRIJEM	\N	140	32017	UROK	\N	\N
3577315	1425	1995-11-30	PRIJEM	\N	137	33375	UROK	\N	\N
3577316	1425	1995-12-31	PRIJEM	\N	152	35199	UROK	\N	\N
3577317	1425	1996-01-31	PRIJEM	\N	134	32754	UROK	\N	\N
3577318	1425	1996-02-29	PRIJEM	\N	146	36420	UROK	\N	\N
3577319	1425	1996-03-31	PRIJEM	\N	156	38697	UROK	\N	\N
3577320	1425	1996-04-30	PRIJEM	\N	168	42985	UROK	\N	\N
3577321	1425	1996-05-31	PRIJEM	\N	179	42585	UROK	\N	\N
3577322	1425	1996-06-30	PRIJEM	\N	158	36115	UROK	\N	\N
3577323	1425	1996-07-31	PRIJEM	\N	156	38891	UROK	\N	\N
3577324	1425	1996-08-31	PRIJEM	\N	170	41982	UROK	\N	\N
3577325	1425	1996-09-30	PRIJEM	\N	185	47587	UROK	\N	\N
3577326	1425	1996-10-31	PRIJEM	\N	201	49809	UROK	\N	\N
3577327	1425	1996-11-30	PRIJEM	\N	212	52341	UROK	\N	\N
3577328	1425	1996-12-31	PRIJEM	\N	217	51030	UROK	\N	\N
3577329	1425	1997-01-31	PRIJEM	\N	191	37442	UROK	\N	\N
3577330	1425	1997-02-28	PRIJEM	\N	178	48440	UROK	\N	\N
3577331	1425	1997-03-31	PRIJEM	\N	211	53471	UROK	\N	\N
3577332	1425	1997-04-30	PRIJEM	\N	229	57020	UROK	\N	\N
3577333	1425	1997-05-31	PRIJEM	\N	235	56676	UROK	\N	\N
3577334	1425	1997-06-30	PRIJEM	\N	229	29377	UROK	\N	\N
3577335	1425	1997-07-31	PRIJEM	\N	152	43250	UROK	\N	\N
3577336	1425	1997-08-31	PRIJEM	\N	200	52470	UROK	\N	\N
3577337	1425	1997-09-30	PRIJEM	\N	241	58731	UROK	\N	\N
3577338	1425	1997-10-31	PRIJEM	\N	233	54484	UROK	\N	\N
3577339	1425	1997-11-30	PRIJEM	\N	209	46614	UROK	\N	\N
3577340	1425	1997-12-31	PRIJEM	\N	202	47888	UROK	\N	\N
3577341	1425	1998-01-31	PRIJEM	\N	177	32885	UROK	\N	\N
3577342	1425	1998-02-28	PRIJEM	\N	155	39760	UROK	\N	\N
3577343	1425	1998-03-31	PRIJEM	\N	169	42250	UROK	\N	\N
3577344	1425	1998-04-30	PRIJEM	\N	160	38930	UROK	\N	\N
3577345	1425	1998-05-31	PRIJEM	\N	180	45031	UROK	\N	\N
3577346	1425	1998-06-30	PRIJEM	\N	162	23665	UROK	\N	\N
3577347	1425	1998-07-31	PRIJEM	\N	147	40732	UROK	\N	\N
3577348	1425	1998-08-31	PRIJEM	\N	182	45334	UROK	\N	\N
3577349	1425	1998-09-30	PRIJEM	\N	199	47453	UROK	\N	\N
3577350	1425	1998-10-31	PRIJEM	\N	204	49877	UROK	\N	\N
3577351	1425	1998-11-30	PRIJEM	\N	204	47002	UROK	\N	\N
3577352	1425	1998-12-31	PRIJEM	\N	213	52187	UROK	\N	\N
3577353	1426	1996-03-31	PRIJEM	\N	53	16962	UROK	\N	\N
3577354	1426	1996-04-30	PRIJEM	\N	75	18364	UROK	\N	\N
3577355	1426	1996-05-31	PRIJEM	\N	70	16320	UROK	\N	\N
3577356	1426	1996-06-30	PRIJEM	\N	61	12907	UROK	\N	\N
3577357	1426	1996-07-31	PRIJEM	\N	58	14292	UROK	\N	\N
3577358	1426	1996-08-31	PRIJEM	\N	59	14077	UROK	\N	\N
3577359	1426	1996-09-30	PRIJEM	\N	54	12658	UROK	\N	\N
3577360	1426	1996-10-31	PRIJEM	\N	57	14041	UROK	\N	\N
3577361	1426	1996-11-30	PRIJEM	\N	63	15430	UROK	\N	\N
3577362	1426	1996-12-31	PRIJEM	\N	65	15721	UROK	\N	\N
3577363	1426	1997-01-31	PRIJEM	\N	57	12945	UROK	\N	\N
3577364	1426	1997-02-28	PRIJEM	\N	58	14329	UROK	\N	\N
3577365	1426	1997-03-31	PRIJEM	\N	64	15719	UROK	\N	\N
3577366	1426	1997-04-30	PRIJEM	\N	69	17115	UROK	\N	\N
3577367	1426	1997-05-31	PRIJEM	\N	75	18516	UROK	\N	\N
3577368	1426	1997-06-30	PRIJEM	\N	79	19202	UROK	\N	\N
3577369	1426	1997-07-31	PRIJEM	\N	84	20612	UROK	\N	\N
3577370	1426	1997-08-31	PRIJEM	\N	89	20667	UROK	\N	\N
3577371	1426	1997-09-30	PRIJEM	\N	90	22084	UROK	\N	\N
3577372	1426	1997-10-31	PRIJEM	\N	96	23506	UROK	\N	\N
3577373	1426	1997-11-30	PRIJEM	\N	96	23649	UROK	\N	\N
3577374	1426	1997-12-31	PRIJEM	\N	101	24476	UROK	\N	\N
3577375	1426	1998-01-31	PRIJEM	\N	91	17653	UROK	\N	\N
3577376	1426	1998-02-28	PRIJEM	\N	77	19057	UROK	\N	\N
3577377	1426	1998-03-31	PRIJEM	\N	83	20466	UROK	\N	\N
3577378	1426	1998-04-30	PRIJEM	\N	85	19398	UROK	\N	\N
3577379	1426	1998-05-31	PRIJEM	\N	85	20808	UROK	\N	\N
3577380	1426	1998-06-30	PRIJEM	\N	90	22225	UROK	\N	\N
3577381	1426	1998-07-31	PRIJEM	\N	96	23648	UROK	\N	\N
3577382	1426	1998-08-31	PRIJEM	\N	102	25076	UROK	\N	\N
3577383	1426	1998-09-30	PRIJEM	\N	96	19699	UROK	\N	\N
3577384	1426	1998-10-31	PRIJEM	\N	86	21111	UROK	\N	\N
3577385	1426	1998-11-30	PRIJEM	\N	91	22528	UROK	\N	\N
3577386	1426	1998-12-31	PRIJEM	\N	96	23201	UROK	\N	\N
3577387	1427	1995-11-30	PRIJEM	\N	69	20807	UROK	\N	\N
3577388	1427	1995-12-31	PRIJEM	\N	126	32540	UROK	\N	\N
3577389	1427	1996-01-31	PRIJEM	\N	182	46560	UROK	\N	\N
3577390	1427	1996-02-29	PRIJEM	\N	203	49501	UROK	\N	\N
3577391	1427	1996-03-31	PRIJEM	\N	195	46088	UROK	\N	\N
3577392	1427	1996-04-30	PRIJEM	\N	189	44954	UROK	\N	\N
3577393	1427	1996-05-31	PRIJEM	\N	181	42912	UROK	\N	\N
3577394	1427	1996-06-30	PRIJEM	\N	117	26455	UROK	\N	\N
3577395	1427	1996-07-31	PRIJEM	\N	143	35975	UROK	\N	\N
3577396	1427	1996-08-31	PRIJEM	\N	161	39314	UROK	\N	\N
3577397	1427	1996-09-30	PRIJEM	\N	178	43569	UROK	\N	\N
3577398	1427	1996-10-31	PRIJEM	\N	181	42667	UROK	\N	\N
3577399	1427	1996-11-30	PRIJEM	\N	186	44930	UROK	\N	\N
3577400	1427	1996-12-31	PRIJEM	\N	203	49079	UROK	\N	\N
3577401	1427	1997-01-31	PRIJEM	\N	165	34942	UROK	\N	\N
3577402	1427	1997-02-28	PRIJEM	\N	164	41184	UROK	\N	\N
3577403	1427	1997-03-31	PRIJEM	\N	167	39648	UROK	\N	\N
3577404	1427	1997-04-30	PRIJEM	\N	172	42077	UROK	\N	\N
3577405	1427	1997-05-31	PRIJEM	\N	170	39924	UROK	\N	\N
3577406	1427	1997-06-30	PRIJEM	\N	138	32909	UROK	\N	\N
3577407	1427	1997-07-31	PRIJEM	\N	156	38142	UROK	\N	\N
3577408	1427	1997-08-31	PRIJEM	\N	170	42829	UROK	\N	\N
3577409	1427	1997-09-30	PRIJEM	\N	194	42800	UROK	\N	\N
3577410	1427	1997-10-31	PRIJEM	\N	193	43071	UROK	\N	\N
3577411	1427	1997-11-30	PRIJEM	\N	187	45776	UROK	\N	\N
3577412	1427	1997-12-31	PRIJEM	\N	219	49020	UROK	\N	\N
3577413	1427	1998-01-31	PRIJEM	\N	186	41464	UROK	\N	\N
3577414	1427	1998-02-28	PRIJEM	\N	189	45731	UROK	\N	\N
3577415	1427	1998-03-31	PRIJEM	\N	196	43124	UROK	\N	\N
3577416	1427	1998-04-30	PRIJEM	\N	195	45196	UROK	\N	\N
3577417	1427	1998-05-31	PRIJEM	\N	206	50078	UROK	\N	\N
3577418	1427	1998-06-30	PRIJEM	\N	188	44053	UROK	\N	\N
3577419	1427	1998-07-31	PRIJEM	\N	205	53235	UROK	\N	\N
3577420	1427	1998-08-31	PRIJEM	\N	233	53445	UROK	\N	\N
3577421	1427	1998-09-30	PRIJEM	\N	238	55020	UROK	\N	\N
3577422	1427	1998-10-31	PRIJEM	\N	242	57440	UROK	\N	\N
3577423	1427	1998-11-30	PRIJEM	\N	250	58667	UROK	\N	\N
3577424	1427	1998-12-31	PRIJEM	\N	258	53652	UROK	\N	\N
3577425	1429	1993-12-31	PRIJEM	\N	63	15247	UROK	\N	\N
3577426	1429	1994-01-31	PRIJEM	\N	64	12960	UROK	\N	\N
3577427	1429	1994-02-28	PRIJEM	\N	65	14094	UROK	\N	\N
3577428	1429	1994-03-31	PRIJEM	\N	63	15226	UROK	\N	\N
3577429	1429	1994-04-30	PRIJEM	\N	75	16371	UROK	\N	\N
3577430	1429	1994-05-31	PRIJEM	\N	68	16308	UROK	\N	\N
3577431	1429	1994-06-30	PRIJEM	\N	70	16727	UROK	\N	\N
3577432	1429	1994-07-31	PRIJEM	\N	77	17334	UROK	\N	\N
3577433	1429	1994-08-31	PRIJEM	\N	76	18479	UROK	\N	\N
3577434	1429	1994-09-30	PRIJEM	\N	81	19629	UROK	\N	\N
3577435	1429	1994-10-31	PRIJEM	\N	93	20792	UROK	\N	\N
3577436	1429	1994-11-30	PRIJEM	\N	92	20753	UROK	\N	\N
3577437	1429	1994-12-31	PRIJEM	\N	98	21920	UROK	\N	\N
3577438	1429	1995-01-31	PRIJEM	\N	86	17736	UROK	\N	\N
3577439	1429	1995-02-28	PRIJEM	\N	81	18706	UROK	\N	\N
3577440	1429	1995-03-31	PRIJEM	\N	82	19857	UROK	\N	\N
3577441	1429	1995-04-30	PRIJEM	\N	82	18849	UROK	\N	\N
3577442	1429	1995-05-31	PRIJEM	\N	81	19610	UROK	\N	\N
3577443	1429	1995-06-30	PRIJEM	\N	85	20765	UROK	\N	\N
3577444	1429	1995-07-31	PRIJEM	\N	92	20526	UROK	\N	\N
3577445	1429	1995-08-31	PRIJEM	\N	97	21692	UROK	\N	\N
3577446	1429	1995-09-30	PRIJEM	\N	94	22755	UROK	\N	\N
3577447	1429	1995-10-31	PRIJEM	\N	106	23930	UROK	\N	\N
3577448	1429	1995-11-30	PRIJEM	\N	111	25111	UROK	\N	\N
3577449	1429	1995-12-31	PRIJEM	\N	110	25390	UROK	\N	\N
3577450	1429	1996-01-31	PRIJEM	\N	97	21326	UROK	\N	\N
3577451	1429	1996-02-29	PRIJEM	\N	91	21937	UROK	\N	\N
3577452	1429	1996-03-31	PRIJEM	\N	97	22603	UROK	\N	\N
3577453	1429	1996-04-30	PRIJEM	\N	105	23777	UROK	\N	\N
3577454	1429	1996-05-31	PRIJEM	\N	110	24956	UROK	\N	\N
3577455	1429	1996-06-30	PRIJEM	\N	98	21504	UROK	\N	\N
3577456	1429	1996-07-31	PRIJEM	\N	93	22666	UROK	\N	\N
3577457	1429	1996-08-31	PRIJEM	\N	105	23840	UROK	\N	\N
3577458	1429	1996-09-30	PRIJEM	\N	104	24684	UROK	\N	\N
3577459	1429	1996-10-31	PRIJEM	\N	106	25859	UROK	\N	\N
3577460	1429	1996-11-30	PRIJEM	\N	115	25873	UROK	\N	\N
3577461	1429	1996-12-31	PRIJEM	\N	117	26730	UROK	\N	\N
3577462	1429	1997-01-31	PRIJEM	\N	100	21929	UROK	\N	\N
3577463	1429	1997-02-28	PRIJEM	\N	101	23099	UROK	\N	\N
3577464	1429	1997-03-31	PRIJEM	\N	107	24275	UROK	\N	\N
3577465	1429	1997-04-30	PRIJEM	\N	104	25448	UROK	\N	\N
3577466	1429	1997-05-31	PRIJEM	\N	116	26634	UROK	\N	\N
3577467	1429	1997-06-30	PRIJEM	\N	97	23180	UROK	\N	\N
3577468	1429	1997-07-31	PRIJEM	\N	107	24356	UROK	\N	\N
3577469	1429	1997-08-31	PRIJEM	\N	104	25529	UROK	\N	\N
3577470	1429	1997-09-30	PRIJEM	\N	108	26317	UROK	\N	\N
3577471	1429	1997-10-31	PRIJEM	\N	113	26930	UROK	\N	\N
3577472	1429	1997-11-30	PRIJEM	\N	121	27940	UROK	\N	\N
3577473	1429	1997-12-31	PRIJEM	\N	113	27683	UROK	\N	\N
3577474	1429	1998-01-31	PRIJEM	\N	109	23341	UROK	\N	\N
3577475	1429	1998-02-28	PRIJEM	\N	107	24517	UROK	\N	\N
3577476	1429	1998-03-31	PRIJEM	\N	109	25066	UROK	\N	\N
3577477	1429	1998-04-30	PRIJEM	\N	113	26099	UROK	\N	\N
3577478	1429	1998-05-31	PRIJEM	\N	110	26768	UROK	\N	\N
3577479	1429	1998-06-30	PRIJEM	\N	111	25188	UROK	\N	\N
3577480	1429	1998-07-31	PRIJEM	\N	114	26372	UROK	\N	\N
3577481	1429	1998-08-31	PRIJEM	\N	119	27560	UROK	\N	\N
3577482	1429	1998-09-30	PRIJEM	\N	124	28753	UROK	\N	\N
3577483	1429	1998-10-31	PRIJEM	\N	121	29944	UROK	\N	\N
3577484	1429	1998-11-30	PRIJEM	\N	121	28284	UROK	\N	\N
3577485	1429	1998-12-31	PRIJEM	\N	127	29480	UROK	\N	\N
3577486	1432	1997-08-31	PRIJEM	\N	57	30229	UROK	\N	\N
3577487	1432	1997-09-30	PRIJEM	\N	149	42450	UROK	\N	\N
3577488	1432	1997-10-31	PRIJEM	\N	187	47909	UROK	\N	\N
3577489	1432	1997-11-30	PRIJEM	\N	204	50385	UROK	\N	\N
3577490	1432	1997-12-31	PRIJEM	\N	248	45822	UROK	\N	\N
3577491	1432	1998-01-31	PRIJEM	\N	176	33765	UROK	\N	\N
3577492	1432	1998-02-28	PRIJEM	\N	150	28582	UROK	\N	\N
3577493	1432	1998-03-31	PRIJEM	\N	142	32991	UROK	\N	\N
3577494	1432	1998-04-30	PRIJEM	\N	103	23062	UROK	\N	\N
3577495	1432	1998-05-31	PRIJEM	\N	114	25543	UROK	\N	\N
3577496	1432	1998-06-30	PRIJEM	\N	183	23129	UROK	\N	\N
3577497	1432	1998-07-31	PRIJEM	\N	103	20999	UROK	\N	\N
3577498	1432	1998-08-31	PRIJEM	\N	104	24770	UROK	\N	\N
3577499	1432	1998-09-30	PRIJEM	\N	113	26751	UROK	\N	\N
3577500	1432	1998-10-31	PRIJEM	\N	104	20922	UROK	\N	\N
3577501	1432	1998-11-30	PRIJEM	\N	96	19685	UROK	\N	\N
3577502	1432	1998-12-31	PRIJEM	\N	115	22503	UROK	\N	\N
3577538	1434	1997-08-31	PRIJEM	\N	14	5061	UROK	\N	\N
3577539	1434	1997-09-30	PRIJEM	\N	21	9929	UROK	\N	\N
3577540	1434	1997-10-31	PRIJEM	\N	21	14797	UROK	\N	\N
3577541	1434	1997-11-30	PRIJEM	\N	21	19665	UROK	\N	\N
3577542	1434	1997-12-31	PRIJEM	\N	24	24536	UROK	\N	\N
3577543	1434	1998-01-31	PRIJEM	\N	77	15551	UROK	\N	\N
3577544	1434	1998-02-28	PRIJEM	\N	66	15155	UROK	\N	\N
3577545	1434	1998-03-31	PRIJEM	\N	68	16841	UROK	\N	\N
3577546	1434	1998-04-30	PRIJEM	\N	75	18534	UROK	\N	\N
3577547	1434	1998-05-31	PRIJEM	\N	70	16783	UROK	\N	\N
3577548	1434	1998-06-30	PRIJEM	\N	70	16631	UROK	\N	\N
3577549	1434	1998-07-31	PRIJEM	\N	64	15514	UROK	\N	\N
3577550	1434	1998-08-31	PRIJEM	\N	65	15597	UROK	\N	\N
3577551	1434	1998-09-30	PRIJEM	\N	69	17285	UROK	\N	\N
3577552	1434	1998-10-31	PRIJEM	\N	75	18778	UROK	\N	\N
3577553	1434	1998-11-30	PRIJEM	\N	83	20479	UROK	\N	\N
3577554	1434	1998-12-31	PRIJEM	\N	89	22086	UROK	\N	\N
3577555	1435	1996-12-31	PRIJEM	\N	122	34077	UROK	\N	\N
3577556	1435	1997-01-31	PRIJEM	\N	119	39799	UROK	\N	\N
3577557	1435	1997-02-28	PRIJEM	\N	165	62068	UROK	\N	\N
3577558	1435	1997-03-31	PRIJEM	\N	251	64021	UROK	\N	\N
3577559	1435	1997-04-30	PRIJEM	\N	272	61247	UROK	\N	\N
3577560	1435	1997-05-31	PRIJEM	\N	242	42188	UROK	\N	\N
3577561	1435	1997-06-30	PRIJEM	\N	207	20946	UROK	\N	\N
3577562	1435	1997-07-31	PRIJEM	\N	163	32248	UROK	\N	\N
3577563	1435	1997-08-31	PRIJEM	\N	203	32990	UROK	\N	\N
3577564	1435	1997-09-30	PRIJEM	\N	177	33927	UROK	\N	\N
3577565	1435	1997-10-31	PRIJEM	\N	181	31727	UROK	\N	\N
3577566	1435	1997-11-30	PRIJEM	\N	158	28085	UROK	\N	\N
3577567	1435	1997-12-31	PRIJEM	\N	225	29540	UROK	\N	\N
3577568	1435	1998-01-31	PRIJEM	\N	135	22034	UROK	\N	\N
3577569	1435	1998-02-28	PRIJEM	\N	123	20457	UROK	\N	\N
3577570	1435	1998-03-31	PRIJEM	\N	147	21343	UROK	\N	\N
3577571	1435	1998-04-30	PRIJEM	\N	111	18753	UROK	\N	\N
3577572	1435	1998-05-31	PRIJEM	\N	144	25836	UROK	\N	\N
3577573	1435	1998-06-30	PRIJEM	\N	169	18676	UROK	\N	\N
3577574	1435	1998-07-31	PRIJEM	\N	134	26229	UROK	\N	\N
3577575	1435	1998-08-31	PRIJEM	\N	163	26831	UROK	\N	\N
3577576	1435	1998-09-30	PRIJEM	\N	165	28636	UROK	\N	\N
3577577	1435	1998-10-31	PRIJEM	\N	156	32731	UROK	\N	\N
3577578	1435	1998-11-30	PRIJEM	\N	164	30934	UROK	\N	\N
3577579	1435	1998-12-31	PRIJEM	\N	212	54417	UROK	\N	\N
3577580	1436	1994-12-31	PRIJEM	\N	22	7508	UROK	\N	\N
3577581	1436	1995-01-31	PRIJEM	\N	72	21237	UROK	\N	\N
3577582	1436	1995-02-28	PRIJEM	\N	111	29405	UROK	\N	\N
3577583	1436	1995-03-31	PRIJEM	\N	137	34399	UROK	\N	\N
3577584	1436	1995-04-30	PRIJEM	\N	141	33897	UROK	\N	\N
3577585	1436	1995-05-31	PRIJEM	\N	133	31768	UROK	\N	\N
3577586	1436	1995-06-30	PRIJEM	\N	138	34573	UROK	\N	\N
3577587	1436	1995-07-31	PRIJEM	\N	133	32244	UROK	\N	\N
3577588	1436	1995-08-31	PRIJEM	\N	130	31712	UROK	\N	\N
3577589	1436	1995-09-30	PRIJEM	\N	128	30779	UROK	\N	\N
3577590	1436	1995-10-31	PRIJEM	\N	137	34054	UROK	\N	\N
3577591	1436	1995-11-30	PRIJEM	\N	147	36540	UROK	\N	\N
3577592	1436	1995-12-31	PRIJEM	\N	158	38265	UROK	\N	\N
3577593	1436	1996-01-31	PRIJEM	\N	127	26930	UROK	\N	\N
3577594	1436	1996-02-29	PRIJEM	\N	130	31898	UROK	\N	\N
3577595	1436	1996-03-31	PRIJEM	\N	136	33673	UROK	\N	\N
3577596	1436	1996-04-30	PRIJEM	\N	138	33749	UROK	\N	\N
3577597	1436	1996-05-31	PRIJEM	\N	139	31626	UROK	\N	\N
3577598	1436	1996-06-30	PRIJEM	\N	143	35837	UROK	\N	\N
3577599	1436	1996-07-31	PRIJEM	\N	149	34224	UROK	\N	\N
3577600	1436	1996-08-31	PRIJEM	\N	135	33697	UROK	\N	\N
3577601	1436	1996-09-30	PRIJEM	\N	129	31265	UROK	\N	\N
3577602	1436	1996-10-31	PRIJEM	\N	135	33338	UROK	\N	\N
3577603	1436	1996-11-30	PRIJEM	\N	144	36521	UROK	\N	\N
3577604	1436	1996-12-31	PRIJEM	\N	149	32437	UROK	\N	\N
3577605	1436	1997-01-31	PRIJEM	\N	108	26983	UROK	\N	\N
3577606	1436	1997-02-28	PRIJEM	\N	120	33941	UROK	\N	\N
3577607	1436	1997-03-31	PRIJEM	\N	150	41229	UROK	\N	\N
3577608	1436	1997-04-30	PRIJEM	\N	174	40941	UROK	\N	\N
3577609	1436	1997-05-31	PRIJEM	\N	171	39251	UROK	\N	\N
3577610	1436	1997-06-30	PRIJEM	\N	175	44593	UROK	\N	\N
3577611	1436	1997-07-31	PRIJEM	\N	191	47923	UROK	\N	\N
3577612	1436	1997-08-31	PRIJEM	\N	193	42755	UROK	\N	\N
3577613	1436	1997-09-30	PRIJEM	\N	177	40770	UROK	\N	\N
3577614	1436	1997-10-31	PRIJEM	\N	167	42175	UROK	\N	\N
3577615	1436	1997-11-30	PRIJEM	\N	174	37787	UROK	\N	\N
3577616	1436	1997-12-31	PRIJEM	\N	159	38114	UROK	\N	\N
3577617	1436	1998-01-31	PRIJEM	\N	138	32191	UROK	\N	\N
3577618	1436	1998-02-28	PRIJEM	\N	134	32163	UROK	\N	\N
3577619	1436	1998-03-31	PRIJEM	\N	132	34533	UROK	\N	\N
3577620	1436	1998-04-30	PRIJEM	\N	147	36418	UROK	\N	\N
3577621	1436	1998-05-31	PRIJEM	\N	153	37609	UROK	\N	\N
3577622	1436	1998-06-30	PRIJEM	\N	174	46551	UROK	\N	\N
3577623	1436	1998-07-31	PRIJEM	\N	190	44780	UROK	\N	\N
3577624	1436	1998-08-31	PRIJEM	\N	189	46307	UROK	\N	\N
3577625	1436	1998-09-30	PRIJEM	\N	196	48241	UROK	\N	\N
3577626	1436	1998-10-31	PRIJEM	\N	208	52287	UROK	\N	\N
3577627	1436	1998-11-30	PRIJEM	\N	210	49135	UROK	\N	\N
3577628	1436	1998-12-31	PRIJEM	\N	205	50407	UROK	\N	\N
3577629	1437	1995-02-28	PRIJEM	\N	32	12490	UROK	\N	\N
3577630	1437	1995-03-31	PRIJEM	\N	76	22323	UROK	\N	\N
3577631	1437	1995-04-30	PRIJEM	\N	98	24579	UROK	\N	\N
3577632	1437	1995-05-31	PRIJEM	\N	106	26043	UROK	\N	\N
3577633	1437	1995-06-30	PRIJEM	\N	111	26951	UROK	\N	\N
3577634	1437	1995-07-31	PRIJEM	\N	109	25483	UROK	\N	\N
3577635	1437	1995-08-31	PRIJEM	\N	104	24870	UROK	\N	\N
3577636	1437	1995-09-30	PRIJEM	\N	103	23955	UROK	\N	\N
3577637	1437	1995-10-31	PRIJEM	\N	108	26136	UROK	\N	\N
3577638	1437	1995-11-30	PRIJEM	\N	108	25266	UROK	\N	\N
3577639	1437	1995-12-31	PRIJEM	\N	100	23408	UROK	\N	\N
3577640	1437	1996-01-31	PRIJEM	\N	96	21637	UROK	\N	\N
3577641	1437	1996-02-29	PRIJEM	\N	105	25724	UROK	\N	\N
3577642	1437	1996-03-31	PRIJEM	\N	115	27721	UROK	\N	\N
3577643	1437	1996-04-30	PRIJEM	\N	124	29948	UROK	\N	\N
3577644	1437	1996-05-31	PRIJEM	\N	116	27045	UROK	\N	\N
3577645	1437	1996-06-30	PRIJEM	\N	90	17018	UROK	\N	\N
3577646	1437	1996-07-31	PRIJEM	\N	77	18677	UROK	\N	\N
3577647	1437	1996-08-31	PRIJEM	\N	78	18637	UROK	\N	\N
3577648	1437	1996-09-30	PRIJEM	\N	88	21707	UROK	\N	\N
3577649	1437	1996-10-31	PRIJEM	\N	87	20167	UROK	\N	\N
3577650	1437	1996-11-30	PRIJEM	\N	80	18428	UROK	\N	\N
3577651	1437	1996-12-31	PRIJEM	\N	60	13271	UROK	\N	\N
3577652	1437	1997-01-31	PRIJEM	\N	58	14412	UROK	\N	\N
3577653	1437	1997-02-28	PRIJEM	\N	64	15558	UROK	\N	\N
3577654	1437	1997-03-31	PRIJEM	\N	63	14804	UROK	\N	\N
3577655	1437	1997-04-30	PRIJEM	\N	65	15951	UROK	\N	\N
3577656	1437	1997-05-31	PRIJEM	\N	68	16320	UROK	\N	\N
3577657	1437	1997-06-30	PRIJEM	\N	64	14887	UROK	\N	\N
3577658	1437	1997-07-31	PRIJEM	\N	66	16035	UROK	\N	\N
3577659	1437	1997-08-31	PRIJEM	\N	69	17187	UROK	\N	\N
3577660	1437	1997-09-30	PRIJEM	\N	74	18343	UROK	\N	\N
3577661	1437	1997-10-31	PRIJEM	\N	79	19505	UROK	\N	\N
3577662	1437	1997-11-30	PRIJEM	\N	85	20672	UROK	\N	\N
3577663	1437	1997-12-31	PRIJEM	\N	84	18628	UROK	\N	\N
3577664	1437	1998-01-31	PRIJEM	\N	80	17660	UROK	\N	\N
3577665	1437	1998-02-28	PRIJEM	\N	77	18819	UROK	\N	\N
3577666	1437	1998-03-31	PRIJEM	\N	79	18540	UROK	\N	\N
3577667	1437	1998-04-30	PRIJEM	\N	80	19703	UROK	\N	\N
3577668	1437	1998-05-31	PRIJEM	\N	83	20419	UROK	\N	\N
3577669	1437	1998-06-30	PRIJEM	\N	80	18881	UROK	\N	\N
3577670	1437	1998-07-31	PRIJEM	\N	81	19205	UROK	\N	\N
3577671	1437	1998-08-31	PRIJEM	\N	82	19169	UROK	\N	\N
3577672	1437	1998-09-30	PRIJEM	\N	82	20333	UROK	\N	\N
3577673	1437	1998-10-31	PRIJEM	\N	86	20902	UROK	\N	\N
3577674	1437	1998-11-30	PRIJEM	\N	89	22073	UROK	\N	\N
3577675	1437	1998-12-31	PRIJEM	\N	92	22467	UROK	\N	\N
3577676	1439	1996-06-30	PRIJEM	\N	38	14531	UROK	\N	\N
3577677	1439	1996-07-31	PRIJEM	\N	63	15641	UROK	\N	\N
3577678	1439	1996-08-31	PRIJEM	\N	68	16755	UROK	\N	\N
3577679	1439	1996-09-30	PRIJEM	\N	71	17423	UROK	\N	\N
3577680	1439	1996-10-31	PRIJEM	\N	74	17613	UROK	\N	\N
3577681	1439	1996-11-30	PRIJEM	\N	74	17414	UROK	\N	\N
3577682	1439	1996-12-31	PRIJEM	\N	74	17964	UROK	\N	\N
3577683	1439	1997-01-31	PRIJEM	\N	62	12803	UROK	\N	\N
3577684	1439	1997-02-28	PRIJEM	\N	56	13605	UROK	\N	\N
3577685	1439	1997-03-31	PRIJEM	\N	57	13209	UROK	\N	\N
3577686	1439	1997-04-30	PRIJEM	\N	57	13732	UROK	\N	\N
3577687	1439	1997-05-31	PRIJEM	\N	57	13475	UROK	\N	\N
3577688	1439	1997-06-30	PRIJEM	\N	59	14580	UROK	\N	\N
3577689	1439	1997-07-31	PRIJEM	\N	64	15690	UROK	\N	\N
3577690	1439	1997-08-31	PRIJEM	\N	68	16805	UROK	\N	\N
3577691	1439	1997-09-30	PRIJEM	\N	67	14438	UROK	\N	\N
3577692	1439	1997-10-31	PRIJEM	\N	59	12913	UROK	\N	\N
3577693	1439	1997-11-30	PRIJEM	\N	56	14015	UROK	\N	\N
3577694	1439	1997-12-31	PRIJEM	\N	56	12908	UROK	\N	\N
3577695	1439	1998-01-31	PRIJEM	\N	54	12768	UROK	\N	\N
3577696	1439	1998-02-28	PRIJEM	\N	56	13870	UROK	\N	\N
3577697	1439	1998-03-31	PRIJEM	\N	60	14877	UROK	\N	\N
3577698	1439	1998-04-30	PRIJEM	\N	65	15988	UROK	\N	\N
3577699	1439	1998-05-31	PRIJEM	\N	69	17103	UROK	\N	\N
3577700	1439	1998-06-30	PRIJEM	\N	69	15789	UROK	\N	\N
3577701	1439	1998-07-31	PRIJEM	\N	66	15791	UROK	\N	\N
3577702	1439	1998-08-31	PRIJEM	\N	68	16335	UROK	\N	\N
3577703	1439	1998-09-30	PRIJEM	\N	69	16310	UROK	\N	\N
3577704	1439	1998-10-31	PRIJEM	\N	70	17426	UROK	\N	\N
3577705	1439	1998-11-30	PRIJEM	\N	75	18548	UROK	\N	\N
3577706	1439	1998-12-31	PRIJEM	\N	79	19494	UROK	\N	\N
3577707	1440	1993-10-31	PRIJEM	\N	22	16320	UROK	\N	\N
3577708	1440	1993-11-30	PRIJEM	\N	76	22294	UROK	\N	\N
3577709	1440	1993-12-31	PRIJEM	\N	100	27292	UROK	\N	\N
3577710	1440	1994-01-31	PRIJEM	\N	116	28806	UROK	\N	\N
3577711	1440	1994-02-28	PRIJEM	\N	119	26967	UROK	\N	\N
3577712	1440	1994-03-31	PRIJEM	\N	110	25328	UROK	\N	\N
3577713	1440	1994-04-30	PRIJEM	\N	107	26887	UROK	\N	\N
3577714	1440	1994-05-31	PRIJEM	\N	109	25247	UROK	\N	\N
3577715	1440	1994-06-30	PRIJEM	\N	77	19535	UROK	\N	\N
3577716	1440	1994-07-31	PRIJEM	\N	84	21271	UROK	\N	\N
3577717	1440	1994-08-31	PRIJEM	\N	94	24316	UROK	\N	\N
3577718	1440	1994-09-30	PRIJEM	\N	103	26010	UROK	\N	\N
3577719	1440	1994-10-31	PRIJEM	\N	111	27342	UROK	\N	\N
3577720	1440	1994-11-30	PRIJEM	\N	113	27606	UROK	\N	\N
3577721	1440	1994-12-31	PRIJEM	\N	113	27861	UROK	\N	\N
3577722	1440	1995-01-31	PRIJEM	\N	103	24085	UROK	\N	\N
3577723	1440	1995-02-28	PRIJEM	\N	104	26440	UROK	\N	\N
3577724	1440	1995-03-31	PRIJEM	\N	109	26501	UROK	\N	\N
3577725	1440	1995-04-30	PRIJEM	\N	104	25156	UROK	\N	\N
3577726	1440	1995-05-31	PRIJEM	\N	105	25712	UROK	\N	\N
3577727	1440	1995-06-30	PRIJEM	\N	93	22647	UROK	\N	\N
3577728	1440	1995-07-31	PRIJEM	\N	98	24896	UROK	\N	\N
3577729	1440	1995-08-31	PRIJEM	\N	108	27255	UROK	\N	\N
3577730	1440	1995-09-30	PRIJEM	\N	116	28592	UROK	\N	\N
3577731	1440	1995-10-31	PRIJEM	\N	122	30605	UROK	\N	\N
3577732	1440	1995-11-30	PRIJEM	\N	127	31384	UROK	\N	\N
3577733	1440	1995-12-31	PRIJEM	\N	125	29751	UROK	\N	\N
3577734	1440	1996-01-31	PRIJEM	\N	94	20706	UROK	\N	\N
3577735	1440	1996-02-29	PRIJEM	\N	81	20138	UROK	\N	\N
3577736	1440	1996-03-31	PRIJEM	\N	88	22308	UROK	\N	\N
3577737	1440	1996-04-30	PRIJEM	\N	95	23954	UROK	\N	\N
3577738	1440	1996-05-31	PRIJEM	\N	92	22297	UROK	\N	\N
3577739	1440	1996-06-30	PRIJEM	\N	77	17985	UROK	\N	\N
3577740	1440	1996-07-31	PRIJEM	\N	81	20817	UROK	\N	\N
3577741	1440	1996-08-31	PRIJEM	\N	82	20810	UROK	\N	\N
3577742	1440	1996-09-30	PRIJEM	\N	81	20543	UROK	\N	\N
3577743	1440	1996-10-31	PRIJEM	\N	84	21378	UROK	\N	\N
3577744	1440	1996-11-30	PRIJEM	\N	78	19507	UROK	\N	\N
3577745	1440	1996-12-31	PRIJEM	\N	70	17839	UROK	\N	\N
3577746	1440	1997-01-31	PRIJEM	\N	74	16135	UROK	\N	\N
3577747	1440	1997-02-28	PRIJEM	\N	60	15546	UROK	\N	\N
3577748	1440	1997-03-31	PRIJEM	\N	56	14353	UROK	\N	\N
3577749	1440	1997-04-30	PRIJEM	\N	60	15515	UROK	\N	\N
3577750	1440	1997-05-31	PRIJEM	\N	76	20142	UROK	\N	\N
3577751	1440	1997-06-30	PRIJEM	\N	80	19793	UROK	\N	\N
3577752	1440	1997-07-31	PRIJEM	\N	78	19443	UROK	\N	\N
3577753	1440	1997-08-31	PRIJEM	\N	68	16811	UROK	\N	\N
3577754	1440	1997-09-30	PRIJEM	\N	61	15724	UROK	\N	\N
3577755	1440	1997-10-31	PRIJEM	\N	70	18746	UROK	\N	\N
3577756	1440	1997-11-30	PRIJEM	\N	67	16124	UROK	\N	\N
3577757	1440	1997-12-31	PRIJEM	\N	60	14765	UROK	\N	\N
3577758	1440	1998-01-31	PRIJEM	\N	55	12741	UROK	\N	\N
3577759	1440	1998-02-28	PRIJEM	\N	52	13845	UROK	\N	\N
3577760	1440	1998-03-31	PRIJEM	\N	57	14953	UROK	\N	\N
3577761	1440	1998-04-30	PRIJEM	\N	62	16066	UROK	\N	\N
3577762	1440	1998-05-31	PRIJEM	\N	66	16223	UROK	\N	\N
3577763	1440	1998-06-30	PRIJEM	\N	67	17341	UROK	\N	\N
3577764	1440	1998-07-31	PRIJEM	\N	71	18463	UROK	\N	\N
3577765	1440	1998-08-31	PRIJEM	\N	76	19591	UROK	\N	\N
3577766	1440	1998-09-30	PRIJEM	\N	80	19312	UROK	\N	\N
3577767	1440	1998-10-31	PRIJEM	\N	79	20442	UROK	\N	\N
3577768	1440	1998-11-30	PRIJEM	\N	84	21578	UROK	\N	\N
3577769	1440	1998-12-31	PRIJEM	\N	82	20761	UROK	\N	\N
3577770	1441	1995-02-28	PRIJEM	\N	27	25743	UROK	\N	\N
3577771	1441	1995-03-31	PRIJEM	\N	121	29493	UROK	\N	\N
3577772	1441	1995-04-30	PRIJEM	\N	130	27037	UROK	\N	\N
3577773	1441	1995-05-31	PRIJEM	\N	129	28181	UROK	\N	\N
3577774	1441	1995-06-30	PRIJEM	\N	118	23563	UROK	\N	\N
3577775	1441	1995-07-31	PRIJEM	\N	107	23664	UROK	\N	\N
3577776	1441	1995-08-31	PRIJEM	\N	114	25093	UROK	\N	\N
3577777	1441	1995-09-30	PRIJEM	\N	121	27228	UROK	\N	\N
3577778	1441	1995-10-31	PRIJEM	\N	127	28070	UROK	\N	\N
3577779	1441	1995-11-30	PRIJEM	\N	131	29115	UROK	\N	\N
3577780	1441	1995-12-31	PRIJEM	\N	124	26904	UROK	\N	\N
3577781	1441	1996-01-31	PRIJEM	\N	105	20413	UROK	\N	\N
3577782	1441	1996-02-29	PRIJEM	\N	98	21526	UROK	\N	\N
3577783	1441	1996-03-31	PRIJEM	\N	91	20591	UROK	\N	\N
3577784	1441	1996-04-30	PRIJEM	\N	96	21201	UROK	\N	\N
3577785	1441	1996-05-31	PRIJEM	\N	102	24917	UROK	\N	\N
3577786	1441	1996-06-30	PRIJEM	\N	109	19331	UROK	\N	\N
3577787	1441	1996-07-31	PRIJEM	\N	95	23340	UROK	\N	\N
3577788	1441	1996-08-31	PRIJEM	\N	109	24762	UROK	\N	\N
3577789	1441	1996-09-30	PRIJEM	\N	111	24788	UROK	\N	\N
3577790	1441	1996-10-31	PRIJEM	\N	106	24308	UROK	\N	\N
3577791	1441	1996-11-30	PRIJEM	\N	99	21922	UROK	\N	\N
3577792	1441	1996-12-31	PRIJEM	\N	99	20365	UROK	\N	\N
3577793	1441	1997-01-31	PRIJEM	\N	83	13442	UROK	\N	\N
3577794	1441	1997-02-28	PRIJEM	\N	68	16825	UROK	\N	\N
3577795	1441	1997-03-31	PRIJEM	\N	78	18517	UROK	\N	\N
3577796	1441	1997-04-30	PRIJEM	\N	82	18113	UROK	\N	\N
3577797	1441	1997-05-31	PRIJEM	\N	84	19412	UROK	\N	\N
3577798	1441	1997-06-30	PRIJEM	\N	82	17988	UROK	\N	\N
3577799	1441	1997-07-31	PRIJEM	\N	88	21291	UROK	\N	\N
3577800	1441	1997-08-31	PRIJEM	\N	100	23625	UROK	\N	\N
3577801	1441	1997-09-30	PRIJEM	\N	110	27049	UROK	\N	\N
3577802	1441	1997-10-31	PRIJEM	\N	102	22606	UROK	\N	\N
3577803	1441	1997-11-30	PRIJEM	\N	97	23598	UROK	\N	\N
3577804	1441	1997-12-31	PRIJEM	\N	99	23432	UROK	\N	\N
3577805	1441	1998-01-31	PRIJEM	\N	76	14782	UROK	\N	\N
3577806	1441	1998-02-28	PRIJEM	\N	75	18771	UROK	\N	\N
3577807	1441	1998-03-31	PRIJEM	\N	89	19734	UROK	\N	\N
3577808	1441	1998-04-30	PRIJEM	\N	104	23752	UROK	\N	\N
3577809	1441	1998-05-31	PRIJEM	\N	112	27678	UROK	\N	\N
3577810	1441	1998-06-30	PRIJEM	\N	119	28112	UROK	\N	\N
3577811	1441	1998-07-31	PRIJEM	\N	122	28548	UROK	\N	\N
3577812	1441	1998-08-31	PRIJEM	\N	137	31800	UROK	\N	\N
3577813	1441	1998-09-30	PRIJEM	\N	135	32329	UROK	\N	\N
3577814	1441	1998-10-31	PRIJEM	\N	147	34790	UROK	\N	\N
3577815	1441	1998-11-30	PRIJEM	\N	166	38871	UROK	\N	\N
3577816	1441	1998-12-31	PRIJEM	\N	183	42468	UROK	\N	\N
3577817	1442	1993-06-30	PRIJEM	\N	34	27282	UROK	\N	\N
3577818	1442	1993-07-31	PRIJEM	\N	123	34404	UROK	\N	\N
3577819	1442	1993-08-31	PRIJEM	\N	146	36349	UROK	\N	\N
3577820	1442	1993-09-30	PRIJEM	\N	154	38101	UROK	\N	\N
3577821	1442	1993-10-31	PRIJEM	\N	178	35628	UROK	\N	\N
3577822	1442	1993-11-30	PRIJEM	\N	172	36434	UROK	\N	\N
3577823	1442	1993-12-31	PRIJEM	\N	193	39290	UROK	\N	\N
3577824	1442	1994-01-31	PRIJEM	\N	167	28532	UROK	\N	\N
3577825	1442	1994-02-28	PRIJEM	\N	153	30819	UROK	\N	\N
3577826	1442	1994-03-31	PRIJEM	\N	165	33498	UROK	\N	\N
3577827	1442	1994-04-30	PRIJEM	\N	160	33392	UROK	\N	\N
3577828	1442	1994-05-31	PRIJEM	\N	172	35599	UROK	\N	\N
3577829	1442	1994-06-30	PRIJEM	\N	195	38778	UROK	\N	\N
3577830	1442	1994-07-31	PRIJEM	\N	167	30939	UROK	\N	\N
3577831	1442	1994-08-31	PRIJEM	\N	150	33423	UROK	\N	\N
3577832	1442	1994-09-30	PRIJEM	\N	160	36318	UROK	\N	\N
3577833	1442	1994-10-31	PRIJEM	\N	164	33296	UROK	\N	\N
3577834	1442	1994-11-30	PRIJEM	\N	145	31395	UROK	\N	\N
3577835	1442	1994-12-31	PRIJEM	\N	173	35132	UROK	\N	\N
3577836	1442	1995-01-31	PRIJEM	\N	131	20817	UROK	\N	\N
3577837	1442	1995-02-28	PRIJEM	\N	122	30774	UROK	\N	\N
3577838	1442	1995-03-31	PRIJEM	\N	140	31308	UROK	\N	\N
3577839	1442	1995-04-30	PRIJEM	\N	149	33051	UROK	\N	\N
3577840	1442	1995-05-31	PRIJEM	\N	165	37551	UROK	\N	\N
3577841	1442	1995-06-30	PRIJEM	\N	182	40076	UROK	\N	\N
3577842	1442	1995-07-31	PRIJEM	\N	175	38085	UROK	\N	\N
3577843	1442	1995-08-31	PRIJEM	\N	153	33053	UROK	\N	\N
3577844	1442	1995-09-30	PRIJEM	\N	146	33933	UROK	\N	\N
3577845	1442	1995-10-31	PRIJEM	\N	151	34338	UROK	\N	\N
3577846	1442	1995-11-30	PRIJEM	\N	157	37629	UROK	\N	\N
3577847	1442	1995-12-31	PRIJEM	\N	179	41032	UROK	\N	\N
3577848	1442	1996-01-31	PRIJEM	\N	154	29040	UROK	\N	\N
3577849	1442	1996-02-29	PRIJEM	\N	136	33611	UROK	\N	\N
3577850	1442	1996-03-31	PRIJEM	\N	128	25733	UROK	\N	\N
3577851	1442	1996-04-30	PRIJEM	\N	127	31795	UROK	\N	\N
3577852	1442	1996-05-31	PRIJEM	\N	142	34571	UROK	\N	\N
3577853	1442	1996-06-30	PRIJEM	\N	147	33882	UROK	\N	\N
3577854	1442	1996-07-31	PRIJEM	\N	139	33855	UROK	\N	\N
3577855	1442	1996-08-31	PRIJEM	\N	137	31987	UROK	\N	\N
3577856	1442	1996-09-30	PRIJEM	\N	145	35966	UROK	\N	\N
3577857	1442	1996-10-31	PRIJEM	\N	175	38075	UROK	\N	\N
3577858	1442	1996-11-30	PRIJEM	\N	157	35067	UROK	\N	\N
3577859	1442	1996-12-31	PRIJEM	\N	191	42161	UROK	\N	\N
3577860	1442	1997-01-31	PRIJEM	\N	145	29160	UROK	\N	\N
3577861	1442	1997-02-28	PRIJEM	\N	126	31060	UROK	\N	\N
3577862	1442	1997-03-31	PRIJEM	\N	149	37443	UROK	\N	\N
3577863	1442	1997-04-30	PRIJEM	\N	167	35644	UROK	\N	\N
3577864	1442	1997-05-31	PRIJEM	\N	139	28737	UROK	\N	\N
3577865	1442	1997-06-30	PRIJEM	\N	183	42304	UROK	\N	\N
3577866	1442	1997-07-31	PRIJEM	\N	185	40724	UROK	\N	\N
3577867	1442	1997-08-31	PRIJEM	\N	111	17628	UROK	\N	\N
3577868	1442	1997-09-30	PRIJEM	\N	129	17892	UROK	\N	\N
3577869	1442	1997-10-31	PRIJEM	\N	127	16153	UROK	\N	\N
3577870	1442	1997-11-30	PRIJEM	\N	107	28594	UROK	\N	\N
3577871	1442	1997-12-31	PRIJEM	\N	171	19549	UROK	\N	\N
3577872	1442	1998-01-31	PRIJEM	\N	101	20344	UROK	\N	\N
3577873	1442	1998-02-28	PRIJEM	\N	123	32802	UROK	\N	\N
3577874	1442	1998-03-31	PRIJEM	\N	196	45332	UROK	\N	\N
3577875	1442	1998-04-30	PRIJEM	\N	208	21474	UROK	\N	\N
3577876	1442	1998-05-31	PRIJEM	\N	129	33937	UROK	\N	\N
3577877	1442	1998-06-30	PRIJEM	\N	206	23126	UROK	\N	\N
3577878	1442	1998-07-31	PRIJEM	\N	130	31510	UROK	\N	\N
3577879	1442	1998-08-31	PRIJEM	\N	190	44035	UROK	\N	\N
3577880	1442	1998-09-30	PRIJEM	\N	188	17157	UROK	\N	\N
3577881	1442	1998-10-31	PRIJEM	\N	121	25172	UROK	\N	\N
3577882	1442	1998-11-30	PRIJEM	\N	140	36446	UROK	\N	\N
3577883	1442	1998-12-31	PRIJEM	\N	215	54624	UROK	\N	\N
3577884	1443	1997-10-31	PRIJEM	\N	15	22749	UROK	\N	\N
3577885	1443	1997-11-30	PRIJEM	\N	102	32985	UROK	\N	\N
3577886	1443	1997-12-31	PRIJEM	\N	145	43181	UROK	\N	\N
3577887	1443	1998-01-31	PRIJEM	\N	179	42494	UROK	\N	\N
3577888	1443	1998-02-28	PRIJEM	\N	175	40203	UROK	\N	\N
3577889	1443	1998-03-31	PRIJEM	\N	191	38708	UROK	\N	\N
3577890	1443	1998-04-30	PRIJEM	\N	186	39508	UROK	\N	\N
3577891	1443	1998-05-31	PRIJEM	\N	183	36705	UROK	\N	\N
3577892	1443	1998-06-30	PRIJEM	\N	176	38813	UROK	\N	\N
3577893	1443	1998-07-31	PRIJEM	\N	178	33005	UROK	\N	\N
3577894	1443	1998-08-31	PRIJEM	\N	147	32666	UROK	\N	\N
3577895	1443	1998-09-30	PRIJEM	\N	158	35739	UROK	\N	\N
3577896	1443	1998-10-31	PRIJEM	\N	167	35820	UROK	\N	\N
3577897	1443	1998-11-30	PRIJEM	\N	170	38705	UROK	\N	\N
3577898	1443	1998-12-31	PRIJEM	\N	199	42035	UROK	\N	\N
3577899	1444	1996-07-31	PRIJEM	\N	33	15270	UROK	\N	\N
3577900	1444	1996-08-31	PRIJEM	\N	78	21484	UROK	\N	\N
3577901	1444	1996-09-30	PRIJEM	\N	107	28928	UROK	\N	\N
3577902	1444	1996-10-31	PRIJEM	\N	126	31391	UROK	\N	\N
3577903	1444	1996-11-30	PRIJEM	\N	124	28728	UROK	\N	\N
3577904	1444	1996-12-31	PRIJEM	\N	122	29598	UROK	\N	\N
3577905	1444	1997-01-31	PRIJEM	\N	115	24212	UROK	\N	\N
3577906	1444	1997-02-28	PRIJEM	\N	109	26910	UROK	\N	\N
3577907	1444	1997-03-31	PRIJEM	\N	111	26319	UROK	\N	\N
3577908	1444	1997-04-30	PRIJEM	\N	112	26928	UROK	\N	\N
3577909	1444	1997-05-31	PRIJEM	\N	115	27842	UROK	\N	\N
3577910	1444	1997-06-30	PRIJEM	\N	108	25188	UROK	\N	\N
3577911	1444	1997-07-31	PRIJEM	\N	111	27097	UROK	\N	\N
3577912	1444	1997-08-31	PRIJEM	\N	112	26507	UROK	\N	\N
3577913	1444	1997-09-30	PRIJEM	\N	108	25414	UROK	\N	\N
3577914	1444	1997-10-31	PRIJEM	\N	112	25584	UROK	\N	\N
3577915	1444	1997-11-30	PRIJEM	\N	122	30205	UROK	\N	\N
3577916	1444	1997-12-31	PRIJEM	\N	138	33491	UROK	\N	\N
3577917	1444	1998-01-31	PRIJEM	\N	124	27153	UROK	\N	\N
3577918	1444	1998-02-28	PRIJEM	\N	136	33288	UROK	\N	\N
3577919	1444	1998-03-31	PRIJEM	\N	151	36516	UROK	\N	\N
3577920	1444	1998-04-30	PRIJEM	\N	157	37772	UROK	\N	\N
3577921	1444	1998-05-31	PRIJEM	\N	166	39936	UROK	\N	\N
3577922	1444	1998-06-30	PRIJEM	\N	185	43710	UROK	\N	\N
3577923	1444	1998-07-31	PRIJEM	\N	193	47502	UROK	\N	\N
3577924	1444	1998-08-31	PRIJEM	\N	207	49626	UROK	\N	\N
3577925	1444	1998-09-30	PRIJEM	\N	214	50769	UROK	\N	\N
3577926	1444	1998-10-31	PRIJEM	\N	225	54023	UROK	\N	\N
3577927	1444	1998-11-30	PRIJEM	\N	236	56957	UROK	\N	\N
3577928	1444	1998-12-31	PRIJEM	\N	244	58109	UROK	\N	\N
3577929	1445	1996-04-30	PRIJEM	\N	32	14218	UROK	\N	\N
3577930	1445	1996-05-31	PRIJEM	\N	75	21379	UROK	\N	\N
3577931	1445	1996-06-30	PRIJEM	\N	104	27862	UROK	\N	\N
3577932	1445	1996-07-31	PRIJEM	\N	120	29768	UROK	\N	\N
3577933	1445	1996-08-31	PRIJEM	\N	125	29316	UROK	\N	\N
3577934	1445	1996-09-30	PRIJEM	\N	113	22877	UROK	\N	\N
3577935	1445	1996-10-31	PRIJEM	\N	101	24125	UROK	\N	\N
3577936	1445	1996-11-30	PRIJEM	\N	95	21167	UROK	\N	\N
3577937	1445	1996-12-31	PRIJEM	\N	95	20083	UROK	\N	\N
3577938	1445	1997-01-31	PRIJEM	\N	77	14087	UROK	\N	\N
3577939	1445	1997-02-28	PRIJEM	\N	80	20615	UROK	\N	\N
3577940	1445	1997-03-31	PRIJEM	\N	109	26771	UROK	\N	\N
3577941	1445	1997-04-30	PRIJEM	\N	118	28337	UROK	\N	\N
3577942	1445	1997-05-31	PRIJEM	\N	128	31212	UROK	\N	\N
3577943	1445	1997-06-30	PRIJEM	\N	133	29225	UROK	\N	\N
3577944	1445	1997-07-31	PRIJEM	\N	120	28453	UROK	\N	\N
3577945	1445	1997-08-31	PRIJEM	\N	121	28921	UROK	\N	\N
3577946	1445	1997-09-30	PRIJEM	\N	107	25196	UROK	\N	\N
3577947	1445	1997-10-31	PRIJEM	\N	99	21483	UROK	\N	\N
3577948	1445	1997-11-30	PRIJEM	\N	105	25935	UROK	\N	\N
3577949	1445	1997-12-31	PRIJEM	\N	118	27973	UROK	\N	\N
3577950	1445	1998-01-31	PRIJEM	\N	111	17851	UROK	\N	\N
3577951	1445	1998-02-28	PRIJEM	\N	99	24697	UROK	\N	\N
3577952	1445	1998-03-31	PRIJEM	\N	104	24949	UROK	\N	\N
3577953	1445	1998-04-30	PRIJEM	\N	114	27810	UROK	\N	\N
3577954	1445	1998-05-31	PRIJEM	\N	110	26067	UROK	\N	\N
3577955	1445	1998-06-30	PRIJEM	\N	110	26717	UROK	\N	\N
3577956	1445	1998-07-31	PRIJEM	\N	91	21155	UROK	\N	\N
3577957	1445	1998-08-31	PRIJEM	\N	69	14172	UROK	\N	\N
3577958	1445	1998-09-30	PRIJEM	\N	65	15884	UROK	\N	\N
3577959	1445	1998-10-31	PRIJEM	\N	73	17904	UROK	\N	\N
3577960	1445	1998-11-30	PRIJEM	\N	79	19230	UROK	\N	\N
3577961	1445	1998-12-31	PRIJEM	\N	73	15443	UROK	\N	\N
3577962	1446	1995-02-28	PRIJEM	\N	36	20289	UROK	\N	\N
3577963	1446	1995-03-31	PRIJEM	\N	100	29242	UROK	\N	\N
3577964	1446	1995-04-30	PRIJEM	\N	132	35327	UROK	\N	\N
3577965	1446	1995-05-31	PRIJEM	\N	158	41138	UROK	\N	\N
3577966	1446	1995-06-30	PRIJEM	\N	185	31026	UROK	\N	\N
3577967	1446	1995-07-31	PRIJEM	\N	146	33333	UROK	\N	\N
3577968	1446	1995-08-31	PRIJEM	\N	159	37953	UROK	\N	\N
3577969	1446	1995-09-30	PRIJEM	\N	158	32172	UROK	\N	\N
3577970	1446	1995-10-31	PRIJEM	\N	160	39794	UROK	\N	\N
3577971	1446	1995-11-30	PRIJEM	\N	177	38832	UROK	\N	\N
3577972	1446	1995-12-31	PRIJEM	\N	189	43910	UROK	\N	\N
3577973	1446	1996-01-31	PRIJEM	\N	170	32942	UROK	\N	\N
3577974	1446	1996-02-29	PRIJEM	\N	152	37455	UROK	\N	\N
3577975	1446	1996-03-31	PRIJEM	\N	163	37779	UROK	\N	\N
3577976	1446	1996-04-30	PRIJEM	\N	170	40211	UROK	\N	\N
3577977	1446	1996-05-31	PRIJEM	\N	172	42844	UROK	\N	\N
3577978	1446	1996-06-30	PRIJEM	\N	190	41023	UROK	\N	\N
3577979	1446	1996-07-31	PRIJEM	\N	187	46371	UROK	\N	\N
3577980	1446	1996-08-31	PRIJEM	\N	216	49748	UROK	\N	\N
3577981	1446	1996-09-30	PRIJEM	\N	185	41794	UROK	\N	\N
3577982	1446	1996-10-31	PRIJEM	\N	175	42030	UROK	\N	\N
3577983	1446	1996-11-30	PRIJEM	\N	186	45277	UROK	\N	\N
3577984	1446	1996-12-31	PRIJEM	\N	202	45967	UROK	\N	\N
3577985	1446	1997-01-31	PRIJEM	\N	185	43613	UROK	\N	\N
3577986	1446	1997-02-28	PRIJEM	\N	220	55694	UROK	\N	\N
3577987	1446	1997-03-31	PRIJEM	\N	233	54788	UROK	\N	\N
3577988	1446	1997-04-30	PRIJEM	\N	263	65712	UROK	\N	\N
3577989	1446	1997-05-31	PRIJEM	\N	289	70462	UROK	\N	\N
3577990	1446	1997-06-30	PRIJEM	\N	333	78983	UROK	\N	\N
3577991	1446	1997-07-31	PRIJEM	\N	312	74657	UROK	\N	\N
3577992	1446	1997-08-31	PRIJEM	\N	322	78240	UROK	\N	\N
3577993	1446	1997-09-30	PRIJEM	\N	330	79932	UROK	\N	\N
3577994	1446	1997-10-31	PRIJEM	\N	326	78019	UROK	\N	\N
3577995	1446	1997-11-30	PRIJEM	\N	319	76499	UROK	\N	\N
3577996	1446	1997-12-31	PRIJEM	\N	343	83730	UROK	\N	\N
3577997	1446	1998-01-31	PRIJEM	\N	275	60666	UROK	\N	\N
3577998	1446	1998-02-28	PRIJEM	\N	285	71212	UROK	\N	\N
3577999	1446	1998-03-31	PRIJEM	\N	303	73777	UROK	\N	\N
3578000	1446	1998-04-30	PRIJEM	\N	320	78158	UROK	\N	\N
3578001	1446	1998-05-31	PRIJEM	\N	331	80551	UROK	\N	\N
3578002	1446	1998-06-30	PRIJEM	\N	330	77969	UROK	\N	\N
3578003	1446	1998-07-31	PRIJEM	\N	321	78051	UROK	\N	\N
3578004	1446	1998-08-31	PRIJEM	\N	298	64010	UROK	\N	\N
3578005	1446	1998-09-30	PRIJEM	\N	294	63866	UROK	\N	\N
3578006	1446	1998-10-31	PRIJEM	\N	299	71826	UROK	\N	\N
3578007	1446	1998-11-30	PRIJEM	\N	329	72416	UROK	\N	\N
3578008	1446	1998-12-31	PRIJEM	\N	361	93766	UROK	\N	\N
3578009	1447	1997-03-31	PRIJEM	\N	22	16630	UROK	\N	\N
3578010	1447	1997-04-30	PRIJEM	\N	82	26121	UROK	\N	\N
3578011	1447	1997-05-31	PRIJEM	\N	114	29943	UROK	\N	\N
3578012	1447	1997-06-30	PRIJEM	\N	133	35938	UROK	\N	\N
3578013	1447	1997-07-31	PRIJEM	\N	147	31799	UROK	\N	\N
3578014	1447	1997-08-31	PRIJEM	\N	129	27326	UROK	\N	\N
3578015	1447	1997-09-30	PRIJEM	\N	124	30549	UROK	\N	\N
3578016	1447	1997-10-31	PRIJEM	\N	135	32683	UROK	\N	\N
3578017	1447	1997-11-30	PRIJEM	\N	138	29620	UROK	\N	\N
3578018	1447	1997-12-31	PRIJEM	\N	112	20942	UROK	\N	\N
3578019	1447	1998-01-31	PRIJEM	\N	97	23837	UROK	\N	\N
3578020	1447	1998-02-28	PRIJEM	\N	106	22942	UROK	\N	\N
3578021	1447	1998-03-31	PRIJEM	\N	103	20497	UROK	\N	\N
3578022	1447	1998-04-30	PRIJEM	\N	100	26096	UROK	\N	\N
3578023	1447	1998-05-31	PRIJEM	\N	109	20455	UROK	\N	\N
3578024	1447	1998-06-30	PRIJEM	\N	108	26515	UROK	\N	\N
3578025	1447	1998-07-31	PRIJEM	\N	109	24723	UROK	\N	\N
3578026	1447	1998-08-31	PRIJEM	\N	113	27734	UROK	\N	\N
3578027	1447	1998-09-30	PRIJEM	\N	107	24024	UROK	\N	\N
3578028	1447	1998-10-31	PRIJEM	\N	106	25428	UROK	\N	\N
3578029	1447	1998-11-30	PRIJEM	\N	118	29145	UROK	\N	\N
3578030	1447	1998-12-31	PRIJEM	\N	115	19512	UROK	\N	\N
3578031	1448	1996-10-31	PRIJEM	\N	3	18603	UROK	\N	\N
3578032	1448	1996-11-30	PRIJEM	\N	78	19480	UROK	\N	\N
3578033	1448	1996-12-31	PRIJEM	\N	78	17158	UROK	\N	\N
3578034	1448	1997-02-28	PRIJEM	\N	86	16121	UROK	\N	\N
3578035	1448	1997-02-28	PRIJEM	\N	78	16035	UROK	\N	\N
3578036	1448	1997-03-31	PRIJEM	\N	78	17598	UROK	\N	\N
3578037	1448	1997-04-30	PRIJEM	\N	78	16076	UROK	\N	\N
3578038	1448	1997-05-31	PRIJEM	\N	78	11853	UROK	\N	\N
3578039	1448	1997-06-30	PRIJEM	\N	78	11031	UROK	\N	\N
3578040	1448	1997-08-31	PRIJEM	\N	78	11608	UROK	\N	\N
3578041	1448	1997-09-30	PRIJEM	\N	78	14986	UROK	\N	\N
3578042	1448	1997-10-31	PRIJEM	\N	78	16263	UROK	\N	\N
3578043	1448	1997-11-30	PRIJEM	\N	78	14441	UROK	\N	\N
3578044	1448	1997-12-31	PRIJEM	\N	78	19218	UROK	\N	\N
3578045	1448	1998-01-31	PRIJEM	\N	78	17296	UROK	\N	\N
3578046	1448	1998-02-28	PRIJEM	\N	78	18073	UROK	\N	\N
3578047	1448	1998-03-31	PRIJEM	\N	78	21151	UROK	\N	\N
3578048	1448	1998-04-30	PRIJEM	\N	78	20728	UROK	\N	\N
3578049	1448	1998-05-31	PRIJEM	\N	78	23506	UROK	\N	\N
3578050	1448	1998-06-30	PRIJEM	\N	78	24483	UROK	\N	\N
3578051	1448	1998-07-31	PRIJEM	\N	78	23661	UROK	\N	\N
3578052	1448	1998-08-31	PRIJEM	\N	78	22238	UROK	\N	\N
3578053	1448	1998-09-30	PRIJEM	\N	78	26516	UROK	\N	\N
3578054	1448	1998-10-31	PRIJEM	\N	78	24993	UROK	\N	\N
3578055	1449	1993-09-30	PRIJEM	\N	11	12822	UROK	\N	\N
3578056	1449	1993-10-31	PRIJEM	\N	61	21394	UROK	\N	\N
3578057	1449	1993-11-30	PRIJEM	\N	93	25698	UROK	\N	\N
3578058	1449	1993-12-31	PRIJEM	\N	110	28974	UROK	\N	\N
3578059	1449	1994-01-31	PRIJEM	\N	111	20377	UROK	\N	\N
3578060	1449	1994-02-28	PRIJEM	\N	92	23525	UROK	\N	\N
3578061	1449	1994-03-31	PRIJEM	\N	99	22980	UROK	\N	\N
3578062	1449	1994-04-30	PRIJEM	\N	92	24529	UROK	\N	\N
3578063	1449	1994-05-31	PRIJEM	\N	104	23289	UROK	\N	\N
3578064	1449	1994-06-30	PRIJEM	\N	108	25908	UROK	\N	\N
3578065	1449	1994-07-31	PRIJEM	\N	96	21661	UROK	\N	\N
3578066	1449	1994-08-31	PRIJEM	\N	91	19308	UROK	\N	\N
3578067	1449	1994-09-30	PRIJEM	\N	88	22452	UROK	\N	\N
3578068	1449	1994-10-31	PRIJEM	\N	100	24909	UROK	\N	\N
3578069	1449	1994-11-30	PRIJEM	\N	104	25669	UROK	\N	\N
3578070	1449	1994-12-31	PRIJEM	\N	111	26292	UROK	\N	\N
3578071	1449	1995-01-31	PRIJEM	\N	98	20446	UROK	\N	\N
3578072	1449	1995-02-28	PRIJEM	\N	95	24898	UROK	\N	\N
3578073	1449	1995-03-31	PRIJEM	\N	111	27565	UROK	\N	\N
3578074	1449	1995-04-30	PRIJEM	\N	121	29942	UROK	\N	\N
3578075	1449	1995-05-31	PRIJEM	\N	128	33127	UROK	\N	\N
3578076	1449	1995-06-30	PRIJEM	\N	145	31284	UROK	\N	\N
3578077	1449	1995-07-31	PRIJEM	\N	128	31768	UROK	\N	\N
3578078	1449	1995-08-31	PRIJEM	\N	141	35166	UROK	\N	\N
3578079	1449	1995-09-30	PRIJEM	\N	153	37875	UROK	\N	\N
3578080	1449	1995-10-31	PRIJEM	\N	161	38692	UROK	\N	\N
3578081	1449	1995-11-30	PRIJEM	\N	157	36906	UROK	\N	\N
3578082	1449	1995-12-31	PRIJEM	\N	158	38075	UROK	\N	\N
3578083	1449	1996-01-31	PRIJEM	\N	144	27976	UROK	\N	\N
3578084	1449	1996-02-29	PRIJEM	\N	126	31458	UROK	\N	\N
3578085	1449	1996-03-31	PRIJEM	\N	138	32852	UROK	\N	\N
3578086	1449	1996-04-30	PRIJEM	\N	137	32946	UROK	\N	\N
3578087	1449	1996-05-31	PRIJEM	\N	153	38855	UROK	\N	\N
3578088	1449	1996-06-30	PRIJEM	\N	167	40934	UROK	\N	\N
3578089	1449	1996-07-31	PRIJEM	\N	180	44370	UROK	\N	\N
3578090	1449	1996-08-31	PRIJEM	\N	188	45714	UROK	\N	\N
3578091	1449	1996-09-30	PRIJEM	\N	190	44761	UROK	\N	\N
3578092	1449	1996-10-31	PRIJEM	\N	198	48815	UROK	\N	\N
3578093	1449	1996-11-30	PRIJEM	\N	199	45870	UROK	\N	\N
3578094	1449	1996-12-31	PRIJEM	\N	191	46072	UROK	\N	\N
3578095	1449	1997-01-31	PRIJEM	\N	181	38709	UROK	\N	\N
3578096	1449	1997-02-28	PRIJEM	\N	188	47353	UROK	\N	\N
3578097	1449	1997-03-31	PRIJEM	\N	194	46804	UROK	\N	\N
3578098	1449	1997-04-30	PRIJEM	\N	207	51067	UROK	\N	\N
3578099	1449	1997-05-31	PRIJEM	\N	204	46827	UROK	\N	\N
3578100	1449	1997-06-30	PRIJEM	\N	195	22233	UROK	\N	\N
3578101	1449	1997-07-31	PRIJEM	\N	144	36833	UROK	\N	\N
3578102	1449	1997-08-31	PRIJEM	\N	169	42158	UROK	\N	\N
3578103	1449	1997-09-30	PRIJEM	\N	169	40483	UROK	\N	\N
3578104	1449	1997-10-31	PRIJEM	\N	191	47830	UROK	\N	\N
3578105	1449	1997-11-30	PRIJEM	\N	200	48786	UROK	\N	\N
3578106	1449	1997-12-31	PRIJEM	\N	192	44590	UROK	\N	\N
3578107	1449	1998-01-31	PRIJEM	\N	150	33096	UROK	\N	\N
3578108	1449	1998-02-28	PRIJEM	\N	146	35599	UROK	\N	\N
3578109	1449	1998-03-31	PRIJEM	\N	166	41922	UROK	\N	\N
3578110	1449	1998-04-30	PRIJEM	\N	193	45571	UROK	\N	\N
3578111	1449	1998-05-31	PRIJEM	\N	198	47525	UROK	\N	\N
3578112	1449	1998-06-30	PRIJEM	\N	154	27591	UROK	\N	\N
3578113	1449	1998-07-31	PRIJEM	\N	147	37495	UROK	\N	\N
3578114	1449	1998-08-31	PRIJEM	\N	181	49132	UROK	\N	\N
3578115	1449	1998-09-30	PRIJEM	\N	203	53191	UROK	\N	\N
3578116	1449	1998-10-31	PRIJEM	\N	211	52158	UROK	\N	\N
3578117	1449	1998-11-30	PRIJEM	\N	220	56434	UROK	\N	\N
3578118	1449	1998-12-31	PRIJEM	\N	241	58886	UROK	\N	\N
3578119	1450	1996-04-30	PRIJEM	\N	18	6914	UROK	\N	\N
3578120	1450	1996-05-31	PRIJEM	\N	29	13439	UROK	\N	\N
3578121	1450	1996-06-30	PRIJEM	\N	29	19964	UROK	\N	\N
3578122	1450	1996-07-31	PRIJEM	\N	29	26488	UROK	\N	\N
3578123	1450	1996-08-31	PRIJEM	\N	32	33017	UROK	\N	\N
3578124	1450	1996-09-30	PRIJEM	\N	136	34131	UROK	\N	\N
3578125	1450	1996-10-31	PRIJEM	\N	134	33564	UROK	\N	\N
3578126	1450	1996-11-30	PRIJEM	\N	149	37091	UROK	\N	\N
3578127	1450	1996-12-31	PRIJEM	\N	150	37019	UROK	\N	\N
3578128	1450	1997-01-31	PRIJEM	\N	144	33342	UROK	\N	\N
3578129	1450	1997-02-28	PRIJEM	\N	147	36868	UROK	\N	\N
3578130	1450	1997-03-31	PRIJEM	\N	163	40409	UROK	\N	\N
3578131	1450	1997-04-30	PRIJEM	\N	173	42520	UROK	\N	\N
3578132	1450	1997-05-31	PRIJEM	\N	156	36075	UROK	\N	\N
3578133	1450	1997-06-30	PRIJEM	\N	128	30931	UROK	\N	\N
3578134	1450	1997-07-31	PRIJEM	\N	138	34447	UROK	\N	\N
3578135	1450	1997-08-31	PRIJEM	\N	152	37978	UROK	\N	\N
3578136	1450	1997-09-30	PRIJEM	\N	167	40623	UROK	\N	\N
3578137	1450	1997-10-31	PRIJEM	\N	176	38778	UROK	\N	\N
3578138	1450	1997-11-30	PRIJEM	\N	169	39225	UROK	\N	\N
3578139	1450	1997-12-31	PRIJEM	\N	170	41673	UROK	\N	\N
3578140	1450	1998-01-31	PRIJEM	\N	165	37677	UROK	\N	\N
3578141	1450	1998-02-28	PRIJEM	\N	164	37919	UROK	\N	\N
3578142	1450	1998-03-31	PRIJEM	\N	167	41064	UROK	\N	\N
3578143	1450	1998-04-30	PRIJEM	\N	179	43521	UROK	\N	\N
3578144	1450	1998-05-31	PRIJEM	\N	187	41987	UROK	\N	\N
3578145	1450	1998-06-30	PRIJEM	\N	173	40138	UROK	\N	\N
3578146	1450	1998-07-31	PRIJEM	\N	175	43092	UROK	\N	\N
3578147	1450	1998-08-31	PRIJEM	\N	187	45857	UROK	\N	\N
3578148	1450	1998-09-30	PRIJEM	\N	199	49435	UROK	\N	\N
3578149	1450	1998-10-31	PRIJEM	\N	209	47622	UROK	\N	\N
3578150	1450	1998-11-30	PRIJEM	\N	207	51207	UROK	\N	\N
3578151	1450	1998-12-31	PRIJEM	\N	215	53500	UROK	\N	\N
3578152	1451	1993-10-31	PRIJEM	\N	33	24793	UROK	\N	\N
3578153	1451	1993-11-30	PRIJEM	\N	109	29092	UROK	\N	\N
3578154	1451	1993-12-31	PRIJEM	\N	119	29483	UROK	\N	\N
3578155	1451	1994-01-31	PRIJEM	\N	97	20671	UROK	\N	\N
3578156	1451	1994-02-28	PRIJEM	\N	92	23105	UROK	\N	\N
3578157	1451	1994-03-31	PRIJEM	\N	102	25349	UROK	\N	\N
3578158	1451	1994-04-30	PRIJEM	\N	105	25875	UROK	\N	\N
3578159	1451	1994-05-31	PRIJEM	\N	109	23525	UROK	\N	\N
3578160	1451	1994-06-30	PRIJEM	\N	104	25170	UROK	\N	\N
3578161	1451	1994-07-31	PRIJEM	\N	98	23910	UROK	\N	\N
3578162	1451	1994-08-31	PRIJEM	\N	103	23995	UROK	\N	\N
3578163	1451	1994-09-30	PRIJEM	\N	92	22988	UROK	\N	\N
3578164	1451	1994-10-31	PRIJEM	\N	103	25832	UROK	\N	\N
3578165	1451	1994-11-30	PRIJEM	\N	100	25074	UROK	\N	\N
3578166	1451	1994-12-31	PRIJEM	\N	110	27125	UROK	\N	\N
3578167	1451	1995-01-31	PRIJEM	\N	99	16705	UROK	\N	\N
3578168	1451	1995-02-28	PRIJEM	\N	64	16550	UROK	\N	\N
3578169	1451	1995-03-31	PRIJEM	\N	76	19367	UROK	\N	\N
3578170	1451	1995-04-30	PRIJEM	\N	87	22196	UROK	\N	\N
3578171	1451	1995-05-31	PRIJEM	\N	98	24636	UROK	\N	\N
3578172	1451	1995-06-30	PRIJEM	\N	107	26524	UROK	\N	\N
3578173	1451	1995-07-31	PRIJEM	\N	117	29383	UROK	\N	\N
3578174	1451	1995-08-31	PRIJEM	\N	124	30349	UROK	\N	\N
3578175	1451	1995-09-30	PRIJEM	\N	130	32119	UROK	\N	\N
3578176	1451	1995-10-31	PRIJEM	\N	136	33697	UROK	\N	\N
3578177	1451	1995-11-30	PRIJEM	\N	144	34903	UROK	\N	\N
3578178	1451	1995-12-31	PRIJEM	\N	143	35057	UROK	\N	\N
3578179	1451	1996-01-31	PRIJEM	\N	127	25706	UROK	\N	\N
3578180	1451	1996-02-29	PRIJEM	\N	113	28560	UROK	\N	\N
3578181	1451	1996-03-31	PRIJEM	\N	125	31427	UROK	\N	\N
3578182	1451	1996-04-30	PRIJEM	\N	121	29769	UROK	\N	\N
3578183	1451	1996-05-31	PRIJEM	\N	118	29428	UROK	\N	\N
3578184	1451	1996-06-30	PRIJEM	\N	100	22890	UROK	\N	\N
3578185	1451	1996-07-31	PRIJEM	\N	94	24125	UROK	\N	\N
3578186	1451	1996-08-31	PRIJEM	\N	102	26368	UROK	\N	\N
3578187	1451	1996-09-30	PRIJEM	\N	116	29225	UROK	\N	\N
3578188	1451	1996-10-31	PRIJEM	\N	120	30487	UROK	\N	\N
3578189	1451	1996-11-30	PRIJEM	\N	106	23974	UROK	\N	\N
3578190	1451	1996-12-31	PRIJEM	\N	89	22104	UROK	\N	\N
3578191	1451	1997-01-31	PRIJEM	\N	69	16934	UROK	\N	\N
3578192	1451	1997-02-28	PRIJEM	\N	68	18143	UROK	\N	\N
3578193	1451	1997-03-31	PRIJEM	\N	80	18725	UROK	\N	\N
3578194	1451	1997-04-30	PRIJEM	\N	68	17434	UROK	\N	\N
3578195	1451	1997-05-31	PRIJEM	\N	78	18653	UROK	\N	\N
3578196	1451	1997-06-30	PRIJEM	\N	75	19770	UROK	\N	\N
3578197	1451	1997-07-31	PRIJEM	\N	80	20991	UROK	\N	\N
3578198	1451	1997-08-31	PRIJEM	\N	88	23121	UROK	\N	\N
3578199	1451	1997-09-30	PRIJEM	\N	73	17835	UROK	\N	\N
3578200	1451	1997-10-31	PRIJEM	\N	78	19934	UROK	\N	\N
3578201	1451	1997-11-30	PRIJEM	\N	78	20553	UROK	\N	\N
3578202	1451	1997-12-31	PRIJEM	\N	71	17866	UROK	\N	\N
3578203	1451	1998-01-31	PRIJEM	\N	66	17153	UROK	\N	\N
3578204	1451	1998-02-28	PRIJEM	\N	76	19970	UROK	\N	\N
3578205	1451	1998-03-31	PRIJEM	\N	88	22799	UROK	\N	\N
3578206	1451	1998-04-30	PRIJEM	\N	97	17138	UROK	\N	\N
3578207	1451	1998-05-31	PRIJEM	\N	76	19955	UROK	\N	\N
3578208	1451	1998-06-30	PRIJEM	\N	82	16248	UROK	\N	\N
3578209	1451	1998-07-31	PRIJEM	\N	72	19062	UROK	\N	\N
3578210	1451	1998-08-31	PRIJEM	\N	72	14595	UROK	\N	\N
3578211	1451	1998-09-30	PRIJEM	\N	65	17402	UROK	\N	\N
3578212	1451	1998-10-31	PRIJEM	\N	77	20220	UROK	\N	\N
3578213	1451	1998-11-30	PRIJEM	\N	85	19346	UROK	\N	\N
3578214	1451	1998-12-31	PRIJEM	\N	84	21821	UROK	\N	\N
3578215	1453	1993-10-31	PRIJEM	\N	154	52314	UROK	\N	\N
3578216	1453	1993-11-30	PRIJEM	\N	217	40932	UROK	\N	\N
3578217	1453	1993-12-31	PRIJEM	\N	217	34749	UROK	\N	\N
3578218	1453	1994-01-31	PRIJEM	\N	231	47551	UROK	\N	\N
3578219	1453	1994-02-28	PRIJEM	\N	142	23853	UROK	\N	\N
3578220	1453	1994-03-31	PRIJEM	\N	188	44180	UROK	\N	\N
3578221	1453	1994-04-30	PRIJEM	\N	235	40223	UROK	\N	\N
3578222	1453	1994-05-31	PRIJEM	\N	217	56678	UROK	\N	\N
3578223	1453	1994-06-30	PRIJEM	\N	215	39025	UROK	\N	\N
3578224	1453	1994-07-31	PRIJEM	\N	142	24593	UROK	\N	\N
3578225	1453	1994-08-31	PRIJEM	\N	145	52434	UROK	\N	\N
3578226	1453	1994-09-30	PRIJEM	\N	260	53235	UROK	\N	\N
3578227	1453	1994-10-31	PRIJEM	\N	204	73048	UROK	\N	\N
3578228	1453	1994-11-30	PRIJEM	\N	236	27334	UROK	\N	\N
3578229	1453	1994-12-31	PRIJEM	\N	118	47131	UROK	\N	\N
3578230	1453	1995-01-31	PRIJEM	\N	263	50980	UROK	\N	\N
3578231	1453	1995-02-28	PRIJEM	\N	282	85375	UROK	\N	\N
3578232	1453	1995-03-31	PRIJEM	\N	281	81393	UROK	\N	\N
3578233	1453	1995-04-30	PRIJEM	\N	287	54537	UROK	\N	\N
3578234	1453	1995-05-31	PRIJEM	\N	258	85059	UROK	\N	\N
3578235	1453	1995-06-30	PRIJEM	\N	282	102526	UROK	\N	\N
3578236	1453	1995-07-31	PRIJEM	\N	294	40369	UROK	\N	\N
3578237	1453	1995-08-31	PRIJEM	\N	124	22243	UROK	\N	\N
3578238	1453	1995-09-30	PRIJEM	\N	133	65233	UROK	\N	\N
3578239	1453	1995-10-31	PRIJEM	\N	234	89978	UROK	\N	\N
3578240	1453	1995-11-30	PRIJEM	\N	285	102748	UROK	\N	\N
3578241	1453	1995-12-31	PRIJEM	\N	213	26238	UROK	\N	\N
3578242	1453	1996-01-31	PRIJEM	\N	209	102513	UROK	\N	\N
3578243	1453	1996-02-29	PRIJEM	\N	364	62087	UROK	\N	\N
3578244	1453	1996-03-31	PRIJEM	\N	239	52231	UROK	\N	\N
3578245	1453	1996-04-30	PRIJEM	\N	176	32387	UROK	\N	\N
3578246	1453	1996-05-31	PRIJEM	\N	202	45814	UROK	\N	\N
3578247	1453	1996-06-30	PRIJEM	\N	138	24102	UROK	\N	\N
3578248	1453	1996-07-31	PRIJEM	\N	80	28153	UROK	\N	\N
3578249	1453	1996-08-31	PRIJEM	\N	226	90505	UROK	\N	\N
3578250	1453	1996-09-30	PRIJEM	\N	309	71953	UROK	\N	\N
3578251	1453	1996-10-31	PRIJEM	\N	227	32930	UROK	\N	\N
3578252	1453	1996-11-30	PRIJEM	\N	315	98865	UROK	\N	\N
3578253	1453	1996-12-31	PRIJEM	\N	304	77444	UROK	\N	\N
3578254	1453	1997-01-31	PRIJEM	\N	221	26082	UROK	\N	\N
3578255	1453	1997-02-28	PRIJEM	\N	230	56606	UROK	\N	\N
3578256	1453	1997-03-31	PRIJEM	\N	242	67249	UROK	\N	\N
3578257	1453	1997-04-30	PRIJEM	\N	256	73049	UROK	\N	\N
3578258	1453	1997-05-31	PRIJEM	\N	157	27730	UROK	\N	\N
3578259	1453	1997-06-30	PRIJEM	\N	108	39133	UROK	\N	\N
3578260	1453	1997-07-31	PRIJEM	\N	303	95739	UROK	\N	\N
3578261	1453	1997-08-31	PRIJEM	\N	370	81900	UROK	\N	\N
3578262	1453	1997-09-30	PRIJEM	\N	370	67159	UROK	\N	\N
3578263	1453	1997-10-31	PRIJEM	\N	202	63651	UROK	\N	\N
3578264	1453	1997-11-30	PRIJEM	\N	294	38102	UROK	\N	\N
3578265	1453	1997-12-31	PRIJEM	\N	157	30673	UROK	\N	\N
3578266	1453	1998-01-31	PRIJEM	\N	86	15609	UROK	\N	\N
3578267	1453	1998-02-28	PRIJEM	\N	124	44464	UROK	\N	\N
3578268	1453	1998-03-31	PRIJEM	\N	171	38398	UROK	\N	\N
3578269	1453	1998-04-30	PRIJEM	\N	147	49454	UROK	\N	\N
3578270	1453	1998-05-31	PRIJEM	\N	135	22438	UROK	\N	\N
3578271	1453	1998-06-30	PRIJEM	\N	104	46046	UROK	\N	\N
3578272	1453	1998-07-31	PRIJEM	\N	241	64779	UROK	\N	\N
3578273	1453	1998-08-31	PRIJEM	\N	158	24488	UROK	\N	\N
3578274	1453	1998-09-30	PRIJEM	\N	95	17732	UROK	\N	\N
3578275	1453	1998-10-31	PRIJEM	\N	70	10952	UROK	\N	\N
3578276	1453	1998-11-30	PRIJEM	\N	142	25491	UROK	\N	\N
3578277	1453	1998-12-31	PRIJEM	\N	134	39924	UROK	\N	\N
3578278	1456	1996-04-30	PRIJEM	\N	29	35351	UROK	\N	\N
3578279	1456	1996-05-31	PRIJEM	\N	151	45612	UROK	\N	\N
3578280	1456	1996-06-30	PRIJEM	\N	334	86495	UROK	\N	\N
3578281	1456	1996-07-31	PRIJEM	\N	289	56706	UROK	\N	\N
3578282	1456	1996-08-31	PRIJEM	\N	240	71254	UROK	\N	\N
3578283	1456	1996-09-30	PRIJEM	\N	361	57277	UROK	\N	\N
3578284	1456	1996-10-31	PRIJEM	\N	342	100203	UROK	\N	\N
3578285	1456	1996-11-30	PRIJEM	\N	412	64901	UROK	\N	\N
3578286	1456	1996-12-31	PRIJEM	\N	268	70569	UROK	\N	\N
3578287	1456	1997-01-31	PRIJEM	\N	227	45687	UROK	\N	\N
3578288	1456	1997-02-28	PRIJEM	\N	277	73201	UROK	\N	\N
3578289	1456	1997-03-31	PRIJEM	\N	273	55475	UROK	\N	\N
3578290	1456	1997-04-30	PRIJEM	\N	338	88302	UROK	\N	\N
3578291	1456	1997-05-31	PRIJEM	\N	404	68971	UROK	\N	\N
3578292	1456	1997-06-30	PRIJEM	\N	342	62603	UROK	\N	\N
3578293	1456	1997-07-31	PRIJEM	\N	347	60699	UROK	\N	\N
3578294	1456	1997-08-31	PRIJEM	\N	207	102685	UROK	\N	\N
3578295	1456	1997-09-30	PRIJEM	\N	317	61975	UROK	\N	\N
3578296	1456	1997-10-31	PRIJEM	\N	230	72324	UROK	\N	\N
3578297	1456	1997-11-30	PRIJEM	\N	289	113606	UROK	\N	\N
3578298	1456	1997-12-31	PRIJEM	\N	333	40025	UROK	\N	\N
3578299	1456	1998-01-31	PRIJEM	\N	176	77901	UROK	\N	\N
3578300	1456	1998-02-28	PRIJEM	\N	274	88324	UROK	\N	\N
3578301	1456	1998-03-31	PRIJEM	\N	356	75725	UROK	\N	\N
3578302	1456	1998-04-30	PRIJEM	\N	294	64903	UROK	\N	\N
3578303	1456	1998-05-31	PRIJEM	\N	257	35329	UROK	\N	\N
3578304	1456	1998-06-30	PRIJEM	\N	93	13862	UROK	\N	\N
3578305	1456	1998-07-31	PRIJEM	\N	96	54001	UROK	\N	\N
3578306	1456	1998-08-31	PRIJEM	\N	464	49987	UROK	\N	\N
3578307	1456	1998-09-30	PRIJEM	\N	302	40458	UROK	\N	\N
3578308	1456	1998-10-31	PRIJEM	\N	271	55792	UROK	\N	\N
3578309	1456	1998-11-30	PRIJEM	\N	265	44733	UROK	\N	\N
3578310	1456	1998-12-31	PRIJEM	\N	331	85538	UROK	\N	\N
3578363	1458	1994-01-31	PRIJEM	\N	44	17336	UROK	\N	\N
3578364	1458	1994-02-28	PRIJEM	\N	124	39252	UROK	\N	\N
3578365	1458	1994-03-31	PRIJEM	\N	182	46826	UROK	\N	\N
3578366	1458	1994-04-30	PRIJEM	\N	204	50722	UROK	\N	\N
3578367	1458	1994-05-31	PRIJEM	\N	222	52737	UROK	\N	\N
3578368	1458	1994-06-30	PRIJEM	\N	225	56076	UROK	\N	\N
3578369	1458	1994-07-31	PRIJEM	\N	226	54220	UROK	\N	\N
3578370	1458	1994-08-31	PRIJEM	\N	225	54763	UROK	\N	\N
3578371	1458	1994-09-30	PRIJEM	\N	228	54910	UROK	\N	\N
3578372	1458	1994-10-31	PRIJEM	\N	220	36248	UROK	\N	\N
3578373	1458	1994-11-30	PRIJEM	\N	179	35245	UROK	\N	\N
3578374	1458	1994-12-31	PRIJEM	\N	191	40551	UROK	\N	\N
3578375	1458	1995-01-31	PRIJEM	\N	169	25438	UROK	\N	\N
3578376	1458	1995-02-28	PRIJEM	\N	128	28684	UROK	\N	\N
3578377	1458	1995-03-31	PRIJEM	\N	144	32047	UROK	\N	\N
3578378	1458	1995-04-30	PRIJEM	\N	133	28998	UROK	\N	\N
3578379	1458	1995-05-31	PRIJEM	\N	146	33363	UROK	\N	\N
3578380	1458	1995-06-30	PRIJEM	\N	181	34658	UROK	\N	\N
3578381	1458	1995-07-31	PRIJEM	\N	168	33845	UROK	\N	\N
3578382	1458	1995-08-31	PRIJEM	\N	162	32225	UROK	\N	\N
3578383	1458	1995-09-30	PRIJEM	\N	157	33500	UROK	\N	\N
3578384	1458	1995-10-31	PRIJEM	\N	160	33679	UROK	\N	\N
3578385	1458	1995-11-30	PRIJEM	\N	162	36159	UROK	\N	\N
3578386	1458	1995-12-31	PRIJEM	\N	183	39456	UROK	\N	\N
3578387	1458	1996-01-31	PRIJEM	\N	148	26623	UROK	\N	\N
3578388	1458	1996-02-29	PRIJEM	\N	126	25467	UROK	\N	\N
3578389	1458	1996-03-31	PRIJEM	\N	115	25000	UROK	\N	\N
3578390	1458	1996-04-30	PRIJEM	\N	121	25039	UROK	\N	\N
3578391	1458	1996-05-31	PRIJEM	\N	125	29683	UROK	\N	\N
3578392	1458	1996-06-30	PRIJEM	\N	128	30026	UROK	\N	\N
3578393	1458	1996-07-31	PRIJEM	\N	138	29982	UROK	\N	\N
3578394	1458	1996-08-31	PRIJEM	\N	139	32239	UROK	\N	\N
3578395	1458	1996-09-30	PRIJEM	\N	143	32801	UROK	\N	\N
3578396	1458	1996-10-31	PRIJEM	\N	143	33963	UROK	\N	\N
3578397	1458	1996-11-30	PRIJEM	\N	147	33828	UROK	\N	\N
3578398	1458	1996-12-31	PRIJEM	\N	150	32792	UROK	\N	\N
3578399	1458	1997-01-31	PRIJEM	\N	109	22720	UROK	\N	\N
3578400	1458	1997-02-28	PRIJEM	\N	96	22634	UROK	\N	\N
3578401	1458	1997-03-31	PRIJEM	\N	106	25058	UROK	\N	\N
3578402	1458	1997-04-30	PRIJEM	\N	112	26589	UROK	\N	\N
3578403	1458	1997-05-31	PRIJEM	\N	117	27324	UROK	\N	\N
3578404	1458	1997-06-30	PRIJEM	\N	131	32269	UROK	\N	\N
3578405	1458	1997-07-31	PRIJEM	\N	139	33126	UROK	\N	\N
3578406	1458	1997-08-31	PRIJEM	\N	137	32681	UROK	\N	\N
3578407	1458	1997-09-30	PRIJEM	\N	135	32735	UROK	\N	\N
3578408	1458	1997-10-31	PRIJEM	\N	138	34091	UROK	\N	\N
3578409	1458	1997-11-30	PRIJEM	\N	149	32259	UROK	\N	\N
3578410	1458	1997-12-31	PRIJEM	\N	181	33754	UROK	\N	\N
3578411	1458	1998-01-31	PRIJEM	\N	139	32012	UROK	\N	\N
3578412	1458	1998-02-28	PRIJEM	\N	128	32958	UROK	\N	\N
3578413	1458	1998-03-31	PRIJEM	\N	166	30442	UROK	\N	\N
3578414	1458	1998-04-30	PRIJEM	\N	131	33591	UROK	\N	\N
3578415	1458	1998-05-31	PRIJEM	\N	148	38857	UROK	\N	\N
3578416	1458	1998-06-30	PRIJEM	\N	171	32643	UROK	\N	\N
3578417	1458	1998-07-31	PRIJEM	\N	139	36201	UROK	\N	\N
3578418	1458	1998-08-31	PRIJEM	\N	138	33957	UROK	\N	\N
3578419	1458	1998-09-30	PRIJEM	\N	134	33810	UROK	\N	\N
3578420	1458	1998-10-31	PRIJEM	\N	169	46697	UROK	\N	\N
3578421	1458	1998-11-30	PRIJEM	\N	149	32264	UROK	\N	\N
3578422	1458	1998-12-31	PRIJEM	\N	134	33413	UROK	\N	\N
3578423	1459	1997-08-31	PRIJEM	\N	44	14750	UROK	\N	\N
3578424	1459	1997-09-30	PRIJEM	\N	68	15865	UROK	\N	\N
3578425	1459	1997-10-31	PRIJEM	\N	67	16050	UROK	\N	\N
3578426	1459	1997-11-30	PRIJEM	\N	70	17167	UROK	\N	\N
3578427	1459	1997-12-31	PRIJEM	\N	69	12753	UROK	\N	\N
3578428	1459	1998-01-31	PRIJEM	\N	53	11543	UROK	\N	\N
3578429	1459	1998-02-28	PRIJEM	\N	51	12641	UROK	\N	\N
3578430	1459	1998-03-31	PRIJEM	\N	56	12544	UROK	\N	\N
3578431	1459	1998-04-30	PRIJEM	\N	56	13648	UROK	\N	\N
3578432	1459	1998-05-31	PRIJEM	\N	54	11450	UROK	\N	\N
3578433	1459	1998-06-30	PRIJEM	\N	49	11546	UROK	\N	\N
3578434	1459	1998-07-31	PRIJEM	\N	49	10742	UROK	\N	\N
3578435	1459	1998-08-31	PRIJEM	\N	49	11838	UROK	\N	\N
3578436	1459	1998-09-30	PRIJEM	\N	53	12939	UROK	\N	\N
3578437	1459	1998-10-31	PRIJEM	\N	57	14043	UROK	\N	\N
3578438	1459	1998-11-30	PRIJEM	\N	61	15151	UROK	\N	\N
3578439	1459	1998-12-31	PRIJEM	\N	65	15304	UROK	\N	\N
3578440	1460	1997-04-30	PRIJEM	\N	57	21510	UROK	\N	\N
3578441	1460	1997-05-31	PRIJEM	\N	94	23471	UROK	\N	\N
3578442	1460	1997-06-30	PRIJEM	\N	97	23135	UROK	\N	\N
3578443	1460	1997-07-31	PRIJEM	\N	87	19328	UROK	\N	\N
3578444	1460	1997-08-31	PRIJEM	\N	76	17430	UROK	\N	\N
3578445	1460	1997-09-30	PRIJEM	\N	77	19373	UROK	\N	\N
3578446	1460	1997-10-31	PRIJEM	\N	86	21325	UROK	\N	\N
3578447	1460	1997-11-30	PRIJEM	\N	94	23285	UROK	\N	\N
3578448	1460	1997-12-31	PRIJEM	\N	101	24602	UROK	\N	\N
3578449	1460	1998-01-31	PRIJEM	\N	85	15994	UROK	\N	\N
3578450	1460	1998-02-28	PRIJEM	\N	70	15930	UROK	\N	\N
3578451	1460	1998-03-31	PRIJEM	\N	71	17867	UROK	\N	\N
3578452	1460	1998-04-30	PRIJEM	\N	79	19813	UROK	\N	\N
3578453	1460	1998-05-31	PRIJEM	\N	83	19842	UROK	\N	\N
3578454	1460	1998-06-30	PRIJEM	\N	84	18642	UROK	\N	\N
3578455	1460	1998-07-31	PRIJEM	\N	82	20591	UROK	\N	\N
3578456	1460	1998-08-31	PRIJEM	\N	90	22548	UROK	\N	\N
3578457	1460	1998-09-30	PRIJEM	\N	98	24513	UROK	\N	\N
3578458	1460	1998-10-31	PRIJEM	\N	101	24240	UROK	\N	\N
3578459	1460	1998-11-30	PRIJEM	\N	105	26212	UROK	\N	\N
3578460	1460	1998-12-31	PRIJEM	\N	114	27942	UROK	\N	\N
3578461	1461	1996-04-30	PRIJEM	\N	102	43072	UROK	\N	\N
3578462	1461	1996-05-31	PRIJEM	\N	259	76102	UROK	\N	\N
3578463	1461	1996-06-30	PRIJEM	\N	403	97461	UROK	\N	\N
3578464	1461	1996-07-31	PRIJEM	\N	451	60083	UROK	\N	\N
3578465	1461	1996-08-31	PRIJEM	\N	403	91257	UROK	\N	\N
3578466	1461	1996-09-30	PRIJEM	\N	366	98275	UROK	\N	\N
3578467	1461	1996-10-31	PRIJEM	\N	350	83159	UROK	\N	\N
3578468	1461	1996-11-30	PRIJEM	\N	316	86371	UROK	\N	\N
3578469	1461	1996-12-31	PRIJEM	\N	262	53269	UROK	\N	\N
3578470	1461	1997-01-31	PRIJEM	\N	145	23343	UROK	\N	\N
3578471	1461	1997-02-28	PRIJEM	\N	146	41373	UROK	\N	\N
3578472	1461	1997-03-31	PRIJEM	\N	247	75271	UROK	\N	\N
3578473	1461	1997-04-30	PRIJEM	\N	311	81328	UROK	\N	\N
3578474	1461	1997-05-31	PRIJEM	\N	346	94526	UROK	\N	\N
3578475	1461	1997-06-30	PRIJEM	\N	337	76599	UROK	\N	\N
3578476	1461	1997-07-31	PRIJEM	\N	336	93686	UROK	\N	\N
3578477	1461	1997-08-31	PRIJEM	\N	295	48124	UROK	\N	\N
3578478	1461	1997-09-30	PRIJEM	\N	274	65050	UROK	\N	\N
3578479	1461	1997-10-31	PRIJEM	\N	340	69741	UROK	\N	\N
3578480	1461	1997-11-30	PRIJEM	\N	356	71948	UROK	\N	\N
3578481	1461	1997-12-31	PRIJEM	\N	356	53986	UROK	\N	\N
3578482	1461	1998-01-31	PRIJEM	\N	189	42060	UROK	\N	\N
3578483	1461	1998-02-28	PRIJEM	\N	210	61121	UROK	\N	\N
3578484	1461	1998-03-31	PRIJEM	\N	298	68770	UROK	\N	\N
3578485	1461	1998-04-30	PRIJEM	\N	347	76469	UROK	\N	\N
3578486	1461	1998-05-31	PRIJEM	\N	264	54184	UROK	\N	\N
3578487	1461	1998-06-30	PRIJEM	\N	217	51938	UROK	\N	\N
3578488	1461	1998-07-31	PRIJEM	\N	281	68071	UROK	\N	\N
3578489	1461	1998-08-31	PRIJEM	\N	295	67217	UROK	\N	\N
3578490	1461	1998-09-30	PRIJEM	\N	328	71096	UROK	\N	\N
3578491	1461	1998-10-31	PRIJEM	\N	343	74991	UROK	\N	\N
3578492	1461	1998-11-30	PRIJEM	\N	264	56051	UROK	\N	\N
3578493	1461	1998-12-31	PRIJEM	\N	335	99223	UROK	\N	\N
3578494	1463	1996-10-31	PRIJEM	\N	10	11046	UROK	\N	\N
3578495	1463	1996-11-30	PRIJEM	\N	55	20738	UROK	\N	\N
3578496	1463	1996-12-31	PRIJEM	\N	85	19859	UROK	\N	\N
3578497	1463	1997-01-31	PRIJEM	\N	85	21579	UROK	\N	\N
3578498	1463	1997-02-28	PRIJEM	\N	95	27011	UROK	\N	\N
3578499	1463	1997-03-31	PRIJEM	\N	110	22918	UROK	\N	\N
3578500	1463	1997-04-30	PRIJEM	\N	99	24434	UROK	\N	\N
3578501	1463	1997-05-31	PRIJEM	\N	97	19359	UROK	\N	\N
3578502	1463	1997-06-30	PRIJEM	\N	63	13099	UROK	\N	\N
3578503	1463	1997-07-31	PRIJEM	\N	64	19361	UROK	\N	\N
3578504	1463	1997-08-31	PRIJEM	\N	88	23546	UROK	\N	\N
3578505	1463	1997-09-30	PRIJEM	\N	101	25044	UROK	\N	\N
3578506	1463	1997-10-31	PRIJEM	\N	110	28152	UROK	\N	\N
3578507	1463	1997-11-30	PRIJEM	\N	122	30911	UROK	\N	\N
3578508	1463	1997-12-31	PRIJEM	\N	129	32987	UROK	\N	\N
3578509	1463	1998-01-31	PRIJEM	\N	131	30636	UROK	\N	\N
3578510	1463	1998-02-28	PRIJEM	\N	129	31942	UROK	\N	\N
3578511	1463	1998-03-31	PRIJEM	\N	136	33175	UROK	\N	\N
3578512	1463	1998-04-30	PRIJEM	\N	141	34413	UROK	\N	\N
3578513	1463	1998-05-31	PRIJEM	\N	133	29044	UROK	\N	\N
3578514	1463	1998-06-30	PRIJEM	\N	112	24264	UROK	\N	\N
3578515	1463	1998-07-31	PRIJEM	\N	108	27269	UROK	\N	\N
3578516	1463	1998-08-31	PRIJEM	\N	109	25075	UROK	\N	\N
3578517	1463	1998-09-30	PRIJEM	\N	106	25978	UROK	\N	\N
3578518	1463	1998-10-31	PRIJEM	\N	119	31725	UROK	\N	\N
3578519	1463	1998-11-30	PRIJEM	\N	142	36164	UROK	\N	\N
3578520	1463	1998-12-31	PRIJEM	\N	151	37023	UROK	\N	\N
3578521	1465	1995-06-30	PRIJEM	\N	8	3491	UROK	\N	\N
3578522	1465	1995-07-31	PRIJEM	\N	48	17322	UROK	\N	\N
3578523	1465	1995-08-31	PRIJEM	\N	92	25597	UROK	\N	\N
3578524	1465	1995-09-30	PRIJEM	\N	111	27591	UROK	\N	\N
3578525	1465	1995-10-31	PRIJEM	\N	121	29595	UROK	\N	\N
3578526	1465	1995-11-30	PRIJEM	\N	110	26751	UROK	\N	\N
3578527	1465	1995-12-31	PRIJEM	\N	98	24115	UROK	\N	\N
3578528	1465	1996-01-31	PRIJEM	\N	88	18490	UROK	\N	\N
3578529	1465	1996-02-29	PRIJEM	\N	71	17907	UROK	\N	\N
3578530	1465	1996-03-31	PRIJEM	\N	61	15115	UROK	\N	\N
3578531	1465	1996-04-30	PRIJEM	\N	57	14418	UROK	\N	\N
3578532	1465	1996-05-31	PRIJEM	\N	58	14722	UROK	\N	\N
3578533	1465	1996-06-30	PRIJEM	\N	74	18993	UROK	\N	\N
3578534	1465	1996-07-31	PRIJEM	\N	82	20921	UROK	\N	\N
3578535	1465	1996-08-31	PRIJEM	\N	81	20349	UROK	\N	\N
3578536	1465	1996-09-30	PRIJEM	\N	77	19372	UROK	\N	\N
3578537	1465	1996-10-31	PRIJEM	\N	75	17893	UROK	\N	\N
3578538	1465	1996-11-30	PRIJEM	\N	75	19115	UROK	\N	\N
3578539	1465	1996-12-31	PRIJEM	\N	80	20331	UROK	\N	\N
3578540	1465	1997-01-31	PRIJEM	\N	74	16332	UROK	\N	\N
3578541	1465	1997-02-28	PRIJEM	\N	67	10945	UROK	\N	\N
3578542	1465	1997-03-31	PRIJEM	\N	47	12237	UROK	\N	\N
3578543	1465	1997-04-30	PRIJEM	\N	53	16037	UROK	\N	\N
3578544	1465	1997-05-31	PRIJEM	\N	67	16250	UROK	\N	\N
3578545	1465	1997-06-30	PRIJEM	\N	68	16664	UROK	\N	\N
3578546	1465	1997-07-31	PRIJEM	\N	68	15079	UROK	\N	\N
3578547	1465	1997-08-31	PRIJEM	\N	65	17991	UROK	\N	\N
3578548	1465	1997-09-30	PRIJEM	\N	78	22315	UROK	\N	\N
3578549	1465	1997-10-31	PRIJEM	\N	97	26538	UROK	\N	\N
3578550	1465	1997-11-30	PRIJEM	\N	111	27295	UROK	\N	\N
3578551	1465	1997-12-31	PRIJEM	\N	110	27151	UROK	\N	\N
3578552	1465	1998-01-31	PRIJEM	\N	107	29735	UROK	\N	\N
3578553	1465	1998-02-28	PRIJEM	\N	126	32707	UROK	\N	\N
3578554	1465	1998-03-31	PRIJEM	\N	138	35841	UROK	\N	\N
3578555	1465	1998-04-30	PRIJEM	\N	148	36675	UROK	\N	\N
3578556	1465	1998-05-31	PRIJEM	\N	149	34470	UROK	\N	\N
3578557	1465	1998-06-30	PRIJEM	\N	130	34456	UROK	\N	\N
3578558	1465	1998-07-31	PRIJEM	\N	145	36748	UROK	\N	\N
3578559	1465	1998-08-31	PRIJEM	\N	162	43957	UROK	\N	\N
3578560	1465	1998-09-30	PRIJEM	\N	177	40880	UROK	\N	\N
3578561	1465	1998-10-31	PRIJEM	\N	161	35797	UROK	\N	\N
3578562	1465	1998-11-30	PRIJEM	\N	143	33486	UROK	\N	\N
3578563	1465	1998-12-31	PRIJEM	\N	138	34071	UROK	\N	\N
3578564	1466	1997-06-30	PRIJEM	\N	24	24856	UROK	\N	\N
3578565	1466	1997-07-31	PRIJEM	\N	104	26360	UROK	\N	\N
3578566	1466	1997-08-31	PRIJEM	\N	104	28163	UROK	\N	\N
3578567	1466	1997-09-30	PRIJEM	\N	135	62651	UROK	\N	\N
3578568	1466	1997-10-31	PRIJEM	\N	261	44212	UROK	\N	\N
3578569	1466	1997-11-30	PRIJEM	\N	261	36872	UROK	\N	\N
3578570	1466	1997-12-31	PRIJEM	\N	261	32533	UROK	\N	\N
3578571	1466	1998-01-31	PRIJEM	\N	261	32093	UROK	\N	\N
3578572	1466	1998-02-28	PRIJEM	\N	261	30754	UROK	\N	\N
3578573	1466	1998-03-31	PRIJEM	\N	261	25315	UROK	\N	\N
3578574	1466	1998-04-30	PRIJEM	\N	261	24375	UROK	\N	\N
3578575	1466	1998-05-31	PRIJEM	\N	261	22736	UROK	\N	\N
3578576	1466	1998-06-30	PRIJEM	\N	261	21296	UROK	\N	\N
3578577	1466	1998-07-31	PRIJEM	\N	261	19457	UROK	\N	\N
3578578	1466	1998-08-31	PRIJEM	\N	261	13518	UROK	\N	\N
3578579	1466	1998-09-30	PRIJEM	\N	261	16178	UROK	\N	\N
3578580	1466	1998-10-31	PRIJEM	\N	261	18039	UROK	\N	\N
3578581	1467	1994-05-31	PRIJEM	\N	15	21612	UROK	\N	\N
3578582	1467	1994-06-30	PRIJEM	\N	101	37108	UROK	\N	\N
3578583	1467	1994-07-31	PRIJEM	\N	156	39061	UROK	\N	\N
3578584	1467	1994-08-31	PRIJEM	\N	164	40922	UROK	\N	\N
3578585	1467	1994-09-30	PRIJEM	\N	194	40099	UROK	\N	\N
3578586	1467	1994-10-31	PRIJEM	\N	192	40259	UROK	\N	\N
3578587	1467	1994-11-30	PRIJEM	\N	191	40218	UROK	\N	\N
3578588	1467	1994-12-31	PRIJEM	\N	218	44204	UROK	\N	\N
3578589	1467	1995-01-31	PRIJEM	\N	198	39270	UROK	\N	\N
3578590	1467	1995-02-28	PRIJEM	\N	182	37520	UROK	\N	\N
3578591	1467	1995-03-31	PRIJEM	\N	181	39369	UROK	\N	\N
3578592	1467	1995-04-30	PRIJEM	\N	189	42326	UROK	\N	\N
3578593	1467	1995-05-31	PRIJEM	\N	198	43293	UROK	\N	\N
3578594	1467	1995-06-30	PRIJEM	\N	220	47080	UROK	\N	\N
3578595	1467	1995-07-31	PRIJEM	\N	207	40555	UROK	\N	\N
3578596	1467	1995-08-31	PRIJEM	\N	187	41610	UROK	\N	\N
3578597	1467	1995-09-30	PRIJEM	\N	192	43570	UROK	\N	\N
3578598	1467	1995-10-31	PRIJEM	\N	193	41832	UROK	\N	\N
3578599	1467	1995-11-30	PRIJEM	\N	187	39787	UROK	\N	\N
3578600	1467	1995-12-31	PRIJEM	\N	203	44158	UROK	\N	\N
3578601	1467	1996-01-31	PRIJEM	\N	198	44924	UROK	\N	\N
3578602	1467	1996-02-29	PRIJEM	\N	198	45390	UROK	\N	\N
3578603	1467	1996-03-31	PRIJEM	\N	194	42153	UROK	\N	\N
3578604	1467	1996-04-30	PRIJEM	\N	187	43209	UROK	\N	\N
3578605	1467	1996-05-31	PRIJEM	\N	197	47075	UROK	\N	\N
3578606	1467	1996-06-30	PRIJEM	\N	227	54269	UROK	\N	\N
3578607	1467	1996-07-31	PRIJEM	\N	232	52869	UROK	\N	\N
3578608	1467	1996-08-31	PRIJEM	\N	222	48359	UROK	\N	\N
3578609	1467	1996-09-30	PRIJEM	\N	211	50739	UROK	\N	\N
3578610	1467	1996-10-31	PRIJEM	\N	217	51725	UROK	\N	\N
3578611	1467	1996-11-30	PRIJEM	\N	219	52212	UROK	\N	\N
3578612	1467	1996-12-31	PRIJEM	\N	246	61026	UROK	\N	\N
3578613	1467	1997-01-31	PRIJEM	\N	247	58541	UROK	\N	\N
3578614	1467	1997-02-28	PRIJEM	\N	270	56179	UROK	\N	\N
3578615	1467	1997-03-31	PRIJEM	\N	235	56183	UROK	\N	\N
3578616	1467	1997-04-30	PRIJEM	\N	232	55284	UROK	\N	\N
3578617	1467	1997-05-31	PRIJEM	\N	245	57596	UROK	\N	\N
3578618	1467	1997-06-30	PRIJEM	\N	260	65324	UROK	\N	\N
3578619	1467	1997-07-31	PRIJEM	\N	275	67367	UROK	\N	\N
3578620	1467	1997-08-31	PRIJEM	\N	264	62599	UROK	\N	\N
3578621	1467	1997-09-30	PRIJEM	\N	249	56317	UROK	\N	\N
3578622	1467	1997-10-31	PRIJEM	\N	223	48108	UROK	\N	\N
3578623	1467	1997-11-30	PRIJEM	\N	235	59512	UROK	\N	\N
3578624	1467	1997-12-31	PRIJEM	\N	280	69059	UROK	\N	\N
3578625	1467	1998-01-31	PRIJEM	\N	284	68411	UROK	\N	\N
3578626	1467	1998-02-28	PRIJEM	\N	286	69466	UROK	\N	\N
3578627	1467	1998-03-31	PRIJEM	\N	287	69321	UROK	\N	\N
3578628	1467	1998-04-30	PRIJEM	\N	277	68666	UROK	\N	\N
3578629	1467	1998-05-31	PRIJEM	\N	291	70925	UROK	\N	\N
3578630	1467	1998-06-30	PRIJEM	\N	319	78511	UROK	\N	\N
3578631	1467	1998-07-31	PRIJEM	\N	302	71582	UROK	\N	\N
3578632	1467	1998-08-31	PRIJEM	\N	289	69639	UROK	\N	\N
3578633	1467	1998-09-30	PRIJEM	\N	273	65180	UROK	\N	\N
3578634	1467	1998-10-31	PRIJEM	\N	274	67123	UROK	\N	\N
3578635	1467	1998-11-30	PRIJEM	\N	281	68572	UROK	\N	\N
3578636	1467	1998-12-31	PRIJEM	\N	319	77758	UROK	\N	\N
3578637	1468	1994-03-31	PRIJEM	\N	49	14520	UROK	\N	\N
3578638	1468	1994-04-30	PRIJEM	\N	62	14712	UROK	\N	\N
3578639	1468	1994-05-31	PRIJEM	\N	63	15086	UROK	\N	\N
3578640	1468	1994-06-30	PRIJEM	\N	61	13507	UROK	\N	\N
3578641	1468	1994-07-31	PRIJEM	\N	60	14627	UROK	\N	\N
3578642	1468	1994-08-31	PRIJEM	\N	65	15752	UROK	\N	\N
3578643	1468	1994-09-30	PRIJEM	\N	69	16882	UROK	\N	\N
3578644	1468	1994-10-31	PRIJEM	\N	71	16843	UROK	\N	\N
3578645	1468	1994-11-30	PRIJEM	\N	74	17767	UROK	\N	\N
3578646	1468	1994-12-31	PRIJEM	\N	76	17493	UROK	\N	\N
3578647	1468	1995-01-31	PRIJEM	\N	66	13609	UROK	\N	\N
3578648	1468	1995-02-28	PRIJEM	\N	59	13378	UROK	\N	\N
3578649	1468	1995-03-31	PRIJEM	\N	58	13356	UROK	\N	\N
3578650	1468	1995-04-30	PRIJEM	\N	59	14476	UROK	\N	\N
3578651	1468	1995-05-31	PRIJEM	\N	64	15600	UROK	\N	\N
3578652	1468	1995-06-30	PRIJEM	\N	48	10859	UROK	\N	\N
3578653	1468	1995-07-31	PRIJEM	\N	49	11968	UROK	\N	\N
3578654	1468	1995-08-31	PRIJEM	\N	53	13082	UROK	\N	\N
3578655	1468	1995-09-30	PRIJEM	\N	58	14050	UROK	\N	\N
3578656	1468	1995-10-31	PRIJEM	\N	62	15173	UROK	\N	\N
3578657	1468	1995-11-30	PRIJEM	\N	66	15579	UROK	\N	\N
3578658	1468	1995-12-31	PRIJEM	\N	67	15957	UROK	\N	\N
3578659	1468	1996-01-31	PRIJEM	\N	60	13837	UROK	\N	\N
3578660	1468	1996-02-29	PRIJEM	\N	61	14958	UROK	\N	\N
3578661	1468	1996-03-31	PRIJEM	\N	65	14913	UROK	\N	\N
3578662	1468	1996-04-30	PRIJEM	\N	64	15017	UROK	\N	\N
3578663	1468	1996-05-31	PRIJEM	\N	66	16144	UROK	\N	\N
3578664	1468	1996-06-30	PRIJEM	\N	71	17275	UROK	\N	\N
3578665	1468	1996-07-31	PRIJEM	\N	74	17990	UROK	\N	\N
3578666	1468	1996-08-31	PRIJEM	\N	78	19128	UROK	\N	\N
3578667	1468	1996-09-30	PRIJEM	\N	83	20272	UROK	\N	\N
3578668	1468	1996-10-31	PRIJEM	\N	87	20249	UROK	\N	\N
3578669	1468	1996-11-30	PRIJEM	\N	88	21397	UROK	\N	\N
3578670	1468	1996-12-31	PRIJEM	\N	88	20475	UROK	\N	\N
3578671	1468	1997-01-31	PRIJEM	\N	83	17119	UROK	\N	\N
3578672	1468	1997-02-28	PRIJEM	\N	74	18254	UROK	\N	\N
3578673	1468	1997-03-31	PRIJEM	\N	79	19393	UROK	\N	\N
3578674	1468	1997-04-30	PRIJEM	\N	82	19455	UROK	\N	\N
3578675	1468	1997-05-31	PRIJEM	\N	82	20028	UROK	\N	\N
3578676	1468	1997-06-30	PRIJEM	\N	78	18076	UROK	\N	\N
3578677	1468	1997-07-31	PRIJEM	\N	78	19215	UROK	\N	\N
3578678	1468	1997-08-31	PRIJEM	\N	83	20358	UROK	\N	\N
3578679	1468	1997-09-30	PRIJEM	\N	88	21506	UROK	\N	\N
3578680	1468	1997-10-31	PRIJEM	\N	92	22659	UROK	\N	\N
3578681	1468	1997-11-30	PRIJEM	\N	92	22611	UROK	\N	\N
3578682	1468	1997-12-31	PRIJEM	\N	97	23108	UROK	\N	\N
3578683	1468	1998-01-31	PRIJEM	\N	89	19097	UROK	\N	\N
3578684	1468	1998-02-28	PRIJEM	\N	80	19818	UROK	\N	\N
3578685	1468	1998-03-31	PRIJEM	\N	85	20964	UROK	\N	\N
3578686	1468	1998-04-30	PRIJEM	\N	84	20278	UROK	\N	\N
3578687	1468	1998-05-31	PRIJEM	\N	87	20974	UROK	\N	\N
3578688	1468	1998-06-30	PRIJEM	\N	90	20984	UROK	\N	\N
3578689	1468	1998-07-31	PRIJEM	\N	90	22135	UROK	\N	\N
3578690	1468	1998-08-31	PRIJEM	\N	94	23139	UROK	\N	\N
3578691	1468	1998-09-30	PRIJEM	\N	99	24298	UROK	\N	\N
3578692	1468	1998-10-31	PRIJEM	\N	103	25462	UROK	\N	\N
3578693	1468	1998-11-30	PRIJEM	\N	108	26360	UROK	\N	\N
3578694	1468	1998-12-31	PRIJEM	\N	112	27232	UROK	\N	\N
3578695	1469	1996-04-30	PRIJEM	\N	58	23070	UROK	\N	\N
3578696	1469	1996-05-31	PRIJEM	\N	95	21999	UROK	\N	\N
3578697	1469	1996-06-30	PRIJEM	\N	97	18335	UROK	\N	\N
3578698	1469	1996-07-31	PRIJEM	\N	84	21059	UROK	\N	\N
3578699	1469	1996-08-31	PRIJEM	\N	91	22089	UROK	\N	\N
3578700	1469	1996-09-30	PRIJEM	\N	94	22102	UROK	\N	\N
3578701	1469	1996-10-31	PRIJEM	\N	100	21941	UROK	\N	\N
3578702	1469	1996-11-30	PRIJEM	\N	88	20668	UROK	\N	\N
3578703	1469	1996-12-31	PRIJEM	\N	76	16603	UROK	\N	\N
3578704	1469	1997-01-31	PRIJEM	\N	66	12828	UROK	\N	\N
3578705	1469	1997-02-28	PRIJEM	\N	60	13167	UROK	\N	\N
3578706	1469	1997-03-31	PRIJEM	\N	63	15869	UROK	\N	\N
3578707	1469	1997-04-30	PRIJEM	\N	74	18582	UROK	\N	\N
3578708	1469	1997-05-31	PRIJEM	\N	85	21306	UROK	\N	\N
3578709	1469	1997-06-30	PRIJEM	\N	96	24042	UROK	\N	\N
3578710	1469	1997-07-31	PRIJEM	\N	102	23744	UROK	\N	\N
3578711	1469	1997-08-31	PRIJEM	\N	107	26490	UROK	\N	\N
3578712	1469	1997-09-30	PRIJEM	\N	118	29247	UROK	\N	\N
3578713	1469	1997-10-31	PRIJEM	\N	122	30168	UROK	\N	\N
3578714	1469	1997-11-30	PRIJEM	\N	128	29535	UROK	\N	\N
3578715	1469	1997-12-31	PRIJEM	\N	128	31353	UROK	\N	\N
3578716	1469	1998-01-31	PRIJEM	\N	126	26038	UROK	\N	\N
3578717	1469	1998-02-28	PRIJEM	\N	116	28793	UROK	\N	\N
3578718	1469	1998-03-31	PRIJEM	\N	127	31560	UROK	\N	\N
3578719	1469	1998-04-30	PRIJEM	\N	139	34338	UROK	\N	\N
3578720	1469	1998-05-31	PRIJEM	\N	146	33344	UROK	\N	\N
3578721	1469	1998-06-30	PRIJEM	\N	136	32269	UROK	\N	\N
3578722	1469	1998-07-31	PRIJEM	\N	142	35050	UROK	\N	\N
3578723	1469	1998-08-31	PRIJEM	\N	154	34804	UROK	\N	\N
3578724	1469	1998-09-30	PRIJEM	\N	147	36290	UROK	\N	\N
3578725	1469	1998-10-31	PRIJEM	\N	150	32380	UROK	\N	\N
3578726	1469	1998-11-30	PRIJEM	\N	141	30359	UROK	\N	\N
3578727	1469	1998-12-31	PRIJEM	\N	133	32532	UROK	\N	\N
3578728	1470	1994-03-31	PRIJEM	\N	56	20887	UROK	\N	\N
3578729	1470	1994-04-30	PRIJEM	\N	113	30331	UROK	\N	\N
3578730	1470	1994-05-31	PRIJEM	\N	131	32093	UROK	\N	\N
3578731	1470	1994-06-30	PRIJEM	\N	150	37989	UROK	\N	\N
3578732	1470	1994-07-31	PRIJEM	\N	150	34910	UROK	\N	\N
3578733	1470	1994-08-31	PRIJEM	\N	139	32205	UROK	\N	\N
3578734	1470	1994-09-30	PRIJEM	\N	145	35107	UROK	\N	\N
3578735	1470	1994-10-31	PRIJEM	\N	153	36816	UROK	\N	\N
3578736	1470	1994-11-30	PRIJEM	\N	161	38734	UROK	\N	\N
3578737	1470	1994-12-31	PRIJEM	\N	189	46894	UROK	\N	\N
3578738	1470	1995-01-31	PRIJEM	\N	165	32615	UROK	\N	\N
3578739	1470	1995-02-28	PRIJEM	\N	156	38528	UROK	\N	\N
3578740	1470	1995-03-31	PRIJEM	\N	178	43662	UROK	\N	\N
3578741	1470	1995-04-30	PRIJEM	\N	182	43100	UROK	\N	\N
3578742	1470	1995-05-31	PRIJEM	\N	184	44041	UROK	\N	\N
3578743	1470	1995-06-30	PRIJEM	\N	147	35659	UROK	\N	\N
3578744	1470	1995-07-31	PRIJEM	\N	169	38384	UROK	\N	\N
3578745	1470	1995-08-31	PRIJEM	\N	182	45022	UROK	\N	\N
3578746	1470	1995-09-30	PRIJEM	\N	190	45369	UROK	\N	\N
3578747	1470	1995-10-31	PRIJEM	\N	197	47622	UROK	\N	\N
3578748	1470	1995-11-30	PRIJEM	\N	191	44270	UROK	\N	\N
3578749	1470	1995-12-31	PRIJEM	\N	201	48242	UROK	\N	\N
3578750	1470	1996-01-31	PRIJEM	\N	171	38169	UROK	\N	\N
3578751	1470	1996-02-29	PRIJEM	\N	158	41583	UROK	\N	\N
3578752	1470	1996-03-31	PRIJEM	\N	180	43620	UROK	\N	\N
3578753	1470	1996-04-30	PRIJEM	\N	174	42750	UROK	\N	\N
3578754	1470	1996-05-31	PRIJEM	\N	178	38284	UROK	\N	\N
3578755	1470	1996-06-30	PRIJEM	\N	165	30320	UROK	\N	\N
3578756	1470	1996-07-31	PRIJEM	\N	146	37422	UROK	\N	\N
3578757	1470	1996-08-31	PRIJEM	\N	171	38150	UROK	\N	\N
3578758	1470	1996-09-30	PRIJEM	\N	158	39765	UROK	\N	\N
3578759	1470	1996-10-31	PRIJEM	\N	179	38500	UROK	\N	\N
3578760	1470	1996-11-30	PRIJEM	\N	174	38830	UROK	\N	\N
3578761	1470	1996-12-31	PRIJEM	\N	180	37281	UROK	\N	\N
3578762	1470	1997-01-31	PRIJEM	\N	161	30799	UROK	\N	\N
3578763	1470	1997-02-28	PRIJEM	\N	142	32997	UROK	\N	\N
3578764	1470	1997-03-31	PRIJEM	\N	149	31803	UROK	\N	\N
3578765	1470	1997-04-30	PRIJEM	\N	146	33605	UROK	\N	\N
3578766	1470	1997-05-31	PRIJEM	\N	152	30914	UROK	\N	\N
3578767	1470	1997-06-30	PRIJEM	\N	132	26717	UROK	\N	\N
3578768	1470	1997-07-31	PRIJEM	\N	127	31500	UROK	\N	\N
3578769	1470	1997-08-31	PRIJEM	\N	143	34200	UROK	\N	\N
3578770	1470	1997-09-30	PRIJEM	\N	152	35308	UROK	\N	\N
3578771	1470	1997-10-31	PRIJEM	\N	147	29612	UROK	\N	\N
3578772	1470	1997-11-30	PRIJEM	\N	126	27294	UROK	\N	\N
3578773	1470	1997-12-31	PRIJEM	\N	126	25291	UROK	\N	\N
3578774	1470	1998-01-31	PRIJEM	\N	97	17545	UROK	\N	\N
3578775	1470	1998-02-28	PRIJEM	\N	85	22687	UROK	\N	\N
3578776	1470	1998-03-31	PRIJEM	\N	103	24146	UROK	\N	\N
3578777	1470	1998-04-30	PRIJEM	\N	105	24007	UROK	\N	\N
3578778	1470	1998-05-31	PRIJEM	\N	112	27876	UROK	\N	\N
3578779	1470	1998-06-30	PRIJEM	\N	141	34688	UROK	\N	\N
3578780	1470	1998-07-31	PRIJEM	\N	147	34091	UROK	\N	\N
3578781	1470	1998-08-31	PRIJEM	\N	148	36095	UROK	\N	\N
3578782	1470	1998-09-30	PRIJEM	\N	159	38910	UROK	\N	\N
3578783	1470	1998-10-31	PRIJEM	\N	171	43037	UROK	\N	\N
3578784	1470	1998-11-30	PRIJEM	\N	186	46479	UROK	\N	\N
3578785	1470	1998-12-31	PRIJEM	\N	227	58078	UROK	\N	\N
3578786	1471	1996-08-31	PRIJEM	\N	33	20429	UROK	\N	\N
3578787	1471	1996-09-30	PRIJEM	\N	101	30326	UROK	\N	\N
3578788	1471	1996-10-31	PRIJEM	\N	136	35858	UROK	\N	\N
3578789	1471	1996-11-30	PRIJEM	\N	147	35001	UROK	\N	\N
3578790	1471	1996-12-31	PRIJEM	\N	160	32045	UROK	\N	\N
3578791	1471	1997-01-31	PRIJEM	\N	101	16616	UROK	\N	\N
3578792	1471	1997-02-28	PRIJEM	\N	88	19675	UROK	\N	\N
3578793	1471	1997-03-31	PRIJEM	\N	98	20343	UROK	\N	\N
3578794	1471	1997-04-30	PRIJEM	\N	92	16605	UROK	\N	\N
3578795	1471	1997-05-31	PRIJEM	\N	77	15152	UROK	\N	\N
3578796	1471	1997-06-30	PRIJEM	\N	89	15009	UROK	\N	\N
3578797	1471	1997-07-31	PRIJEM	\N	67	11847	UROK	\N	\N
3578798	1471	1997-08-31	PRIJEM	\N	59	11776	UROK	\N	\N
3578799	1471	1997-09-30	PRIJEM	\N	83	22430	UROK	\N	\N
3578800	1471	1997-10-31	PRIJEM	\N	78	12478	UROK	\N	\N
3578801	1471	1997-11-30	PRIJEM	\N	86	23134	UROK	\N	\N
3578802	1471	1997-12-31	PRIJEM	\N	91	16093	UROK	\N	\N
3578803	1471	1998-01-31	PRIJEM	\N	50	6914	UROK	\N	\N
3578804	1471	1998-02-28	PRIJEM	\N	28	4812	UROK	\N	\N
3578805	1471	1998-03-31	PRIJEM	\N	43	11325	UROK	\N	\N
3578806	1471	1998-04-30	PRIJEM	\N	81	21977	UROK	\N	\N
3578807	1471	1998-05-31	PRIJEM	\N	49	3996	UROK	\N	\N
3578808	1471	1998-06-30	PRIJEM	\N	78	23942	UROK	\N	\N
3578809	1471	1998-07-31	PRIJEM	\N	55	6667	UROK	\N	\N
3578810	1471	1998-08-31	PRIJEM	\N	62	17299	UROK	\N	\N
3578811	1471	1998-09-30	PRIJEM	\N	95	24365	UROK	\N	\N
3578812	1471	1998-10-31	PRIJEM	\N	134	30669	UROK	\N	\N
3578813	1471	1998-11-30	PRIJEM	\N	161	41401	UROK	\N	\N
3578814	1471	1998-12-31	PRIJEM	\N	228	59397	UROK	\N	\N
3578815	1472	1995-08-31	PRIJEM	\N	33	18687	UROK	\N	\N
3578816	1472	1995-09-30	PRIJEM	\N	90	25731	UROK	\N	\N
3578817	1472	1995-10-31	PRIJEM	\N	120	32705	UROK	\N	\N
3578818	1472	1995-11-30	PRIJEM	\N	135	32194	UROK	\N	\N
3578819	1472	1995-12-31	PRIJEM	\N	145	34237	UROK	\N	\N
3578820	1472	1996-01-31	PRIJEM	\N	139	31614	UROK	\N	\N
3578821	1472	1996-02-29	PRIJEM	\N	134	31785	UROK	\N	\N
3578822	1472	1996-03-31	PRIJEM	\N	129	29151	UROK	\N	\N
3578823	1472	1996-04-30	PRIJEM	\N	123	29352	UROK	\N	\N
3578824	1472	1996-05-31	PRIJEM	\N	112	25461	UROK	\N	\N
3578825	1472	1996-06-30	PRIJEM	\N	119	29505	UROK	\N	\N
3578826	1472	1996-07-31	PRIJEM	\N	121	28263	UROK	\N	\N
3578827	1472	1996-08-31	PRIJEM	\N	115	26655	UROK	\N	\N
3578828	1472	1996-09-30	PRIJEM	\N	119	29712	UROK	\N	\N
3578829	1472	1996-10-31	PRIJEM	\N	133	33083	UROK	\N	\N
3578830	1472	1996-11-30	PRIJEM	\N	139	33459	UROK	\N	\N
3578831	1472	1996-12-31	PRIJEM	\N	130	28593	UROK	\N	\N
3578832	1472	1997-01-31	PRIJEM	\N	110	25241	UROK	\N	\N
3578833	1472	1997-02-28	PRIJEM	\N	101	23480	UROK	\N	\N
3578834	1472	1997-03-31	PRIJEM	\N	115	29432	UROK	\N	\N
3578835	1472	1997-04-30	PRIJEM	\N	127	30936	UROK	\N	\N
3578836	1472	1997-05-31	PRIJEM	\N	123	28897	UROK	\N	\N
3578837	1472	1997-06-30	PRIJEM	\N	138	33999	UROK	\N	\N
3578838	1472	1997-07-31	PRIJEM	\N	144	34180	UROK	\N	\N
3578839	1472	1997-08-31	PRIJEM	\N	143	30301	UROK	\N	\N
3578840	1472	1997-09-30	PRIJEM	\N	140	34478	UROK	\N	\N
3578841	1472	1997-10-31	PRIJEM	\N	136	29232	UROK	\N	\N
3578842	1472	1997-11-30	PRIJEM	\N	115	26584	UROK	\N	\N
3578843	1472	1997-12-31	PRIJEM	\N	115	26263	UROK	\N	\N
3578844	1472	1998-01-31	PRIJEM	\N	108	25508	UROK	\N	\N
3578845	1472	1998-02-28	PRIJEM	\N	101	23246	UROK	\N	\N
3578846	1472	1998-03-31	PRIJEM	\N	90	20773	UROK	\N	\N
3578847	1472	1998-04-30	PRIJEM	\N	84	19714	UROK	\N	\N
3578848	1472	1998-05-31	PRIJEM	\N	87	20939	UROK	\N	\N
3578849	1472	1998-06-30	PRIJEM	\N	103	25906	UROK	\N	\N
3578850	1472	1998-07-31	PRIJEM	\N	97	22140	UROK	\N	\N
3578851	1472	1998-08-31	PRIJEM	\N	83	19061	UROK	\N	\N
3578852	1472	1998-09-30	PRIJEM	\N	75	17593	UROK	\N	\N
3578853	1472	1998-10-31	PRIJEM	\N	89	22719	UROK	\N	\N
3578854	1472	1998-11-30	PRIJEM	\N	112	28269	UROK	\N	\N
3578855	1472	1998-12-31	PRIJEM	\N	118	29671	UROK	\N	\N
3578856	1473	1996-09-30	PRIJEM	\N	41	14111	UROK	\N	\N
3578857	1473	1996-10-31	PRIJEM	\N	62	15150	UROK	\N	\N
3578858	1473	1996-11-30	PRIJEM	\N	66	16194	UROK	\N	\N
3578859	1473	1996-12-31	PRIJEM	\N	68	16610	UROK	\N	\N
3578860	1473	1997-01-31	PRIJEM	\N	61	12848	UROK	\N	\N
3578861	1473	1997-02-28	PRIJEM	\N	57	13882	UROK	\N	\N
3578862	1473	1997-03-31	PRIJEM	\N	59	14468	UROK	\N	\N
3578863	1473	1997-04-30	PRIJEM	\N	63	15509	UROK	\N	\N
3578864	1473	1997-05-31	PRIJEM	\N	65	15141	UROK	\N	\N
3578865	1473	1997-06-30	PRIJEM	\N	63	14292	UROK	\N	\N
3578866	1473	1997-07-31	PRIJEM	\N	63	15332	UROK	\N	\N
3578867	1473	1997-08-31	PRIJEM	\N	67	16376	UROK	\N	\N
3578868	1473	1997-09-30	PRIJEM	\N	71	17425	UROK	\N	\N
3578869	1473	1997-10-31	PRIJEM	\N	76	18478	UROK	\N	\N
3578870	1473	1997-11-30	PRIJEM	\N	80	19535	UROK	\N	\N
3578871	1473	1997-12-31	PRIJEM	\N	82	19785	UROK	\N	\N
3578872	1473	1998-01-31	PRIJEM	\N	74	16576	UROK	\N	\N
3578873	1473	1998-02-28	PRIJEM	\N	72	17625	UROK	\N	\N
3578874	1473	1998-03-31	PRIJEM	\N	76	18679	UROK	\N	\N
3578875	1473	1998-04-30	PRIJEM	\N	81	19737	UROK	\N	\N
3578876	1473	1998-05-31	PRIJEM	\N	85	20559	UROK	\N	\N
3578877	1473	1998-06-30	PRIJEM	\N	71	14798	UROK	\N	\N
3578878	1473	1998-07-31	PRIJEM	\N	64	15509	UROK	\N	\N
3578879	1473	1998-08-31	PRIJEM	\N	68	16554	UROK	\N	\N
3578880	1473	1998-09-30	PRIJEM	\N	72	17603	UROK	\N	\N
3578881	1473	1998-10-31	PRIJEM	\N	76	18657	UROK	\N	\N
3578882	1473	1998-11-30	PRIJEM	\N	81	19714	UROK	\N	\N
3578883	1473	1998-12-31	PRIJEM	\N	82	20204	UROK	\N	\N
3578884	1474	1997-02-28	PRIJEM	\N	63	18483	UROK	\N	\N
3578885	1474	1997-03-31	PRIJEM	\N	82	19898	UROK	\N	\N
3578886	1474	1997-04-30	PRIJEM	\N	82	19553	UROK	\N	\N
3578887	1474	1997-05-31	PRIJEM	\N	85	20171	UROK	\N	\N
3578888	1474	1997-06-30	PRIJEM	\N	82	19287	UROK	\N	\N
3578889	1474	1997-07-31	PRIJEM	\N	85	20705	UROK	\N	\N
3578890	1474	1997-08-31	PRIJEM	\N	90	19808	UROK	\N	\N
3578891	1474	1997-09-30	PRIJEM	\N	87	18589	UROK	\N	\N
3578892	1474	1997-10-31	PRIJEM	\N	82	20004	UROK	\N	\N
3578893	1474	1997-11-30	PRIJEM	\N	81	19499	UROK	\N	\N
3578894	1474	1997-12-31	PRIJEM	\N	86	20618	UROK	\N	\N
3578895	1474	1998-01-31	PRIJEM	\N	72	13063	UROK	\N	\N
3578896	1474	1998-02-28	PRIJEM	\N	68	14465	UROK	\N	\N
3578897	1474	1998-03-31	PRIJEM	\N	65	15863	UROK	\N	\N
3578898	1474	1998-04-30	PRIJEM	\N	71	17267	UROK	\N	\N
3578899	1474	1998-05-31	PRIJEM	\N	86	18686	UROK	\N	\N
3578900	1474	1998-06-30	PRIJEM	\N	77	18577	UROK	\N	\N
3578901	1474	1998-07-31	PRIJEM	\N	82	19992	UROK	\N	\N
3578902	1474	1998-08-31	PRIJEM	\N	88	21413	UROK	\N	\N
3578903	1474	1998-09-30	PRIJEM	\N	84	18751	UROK	\N	\N
3578904	1474	1998-10-31	PRIJEM	\N	78	18762	UROK	\N	\N
3578905	1474	1998-11-30	PRIJEM	\N	92	20187	UROK	\N	\N
3578906	1474	1998-12-31	PRIJEM	\N	90	20860	UROK	\N	\N
3578907	1476	1993-08-31	PRIJEM	\N	27	24671	UROK	\N	\N
3578908	1476	1993-09-30	PRIJEM	\N	108	25723	UROK	\N	\N
3578909	1476	1993-10-31	PRIJEM	\N	117	28269	UROK	\N	\N
3578910	1476	1993-11-30	PRIJEM	\N	122	26420	UROK	\N	\N
3578911	1476	1993-12-31	PRIJEM	\N	110	20680	UROK	\N	\N
3578912	1476	1994-01-31	PRIJEM	\N	59	12638	UROK	\N	\N
3578913	1476	1994-02-28	PRIJEM	\N	63	15630	UROK	\N	\N
3578914	1476	1994-03-31	PRIJEM	\N	75	18635	UROK	\N	\N
3578915	1476	1994-04-30	PRIJEM	\N	86	20050	UROK	\N	\N
3578916	1476	1994-05-31	PRIJEM	\N	93	22773	UROK	\N	\N
3578917	1476	1994-06-30	PRIJEM	\N	104	16706	UROK	\N	\N
3578918	1476	1994-07-31	PRIJEM	\N	69	16585	UROK	\N	\N
3578919	1476	1994-08-31	PRIJEM	\N	76	17430	UROK	\N	\N
3578920	1476	1994-09-30	PRIJEM	\N	89	20348	UROK	\N	\N
3578921	1476	1994-10-31	PRIJEM	\N	95	23172	UROK	\N	\N
3578922	1476	1994-11-30	PRIJEM	\N	103	24104	UROK	\N	\N
3578923	1476	1994-12-31	PRIJEM	\N	105	24489	UROK	\N	\N
3578924	1476	1995-01-31	PRIJEM	\N	86	15054	UROK	\N	\N
3578925	1476	1995-02-28	PRIJEM	\N	74	16658	UROK	\N	\N
3578926	1476	1995-03-31	PRIJEM	\N	73	16360	UROK	\N	\N
3578927	1476	1995-04-30	PRIJEM	\N	68	15098	UROK	\N	\N
3578928	1476	1995-05-31	PRIJEM	\N	72	15119	UROK	\N	\N
3578929	1476	1995-06-30	PRIJEM	\N	73	18122	UROK	\N	\N
3578930	1476	1995-07-31	PRIJEM	\N	77	17548	UROK	\N	\N
3578931	1476	1995-08-31	PRIJEM	\N	78	18355	UROK	\N	\N
3578932	1476	1995-09-30	PRIJEM	\N	83	18668	UROK	\N	\N
3578933	1476	1995-10-31	PRIJEM	\N	84	20181	UROK	\N	\N
3578934	1476	1995-11-30	PRIJEM	\N	78	18449	UROK	\N	\N
3578935	1476	1995-12-31	PRIJEM	\N	74	15202	UROK	\N	\N
3578936	1476	1996-01-31	PRIJEM	\N	62	13574	UROK	\N	\N
3578937	1476	1996-02-29	PRIJEM	\N	66	14329	UROK	\N	\N
3578938	1476	1996-03-31	PRIJEM	\N	59	12818	UROK	\N	\N
3578939	1476	1996-04-30	PRIJEM	\N	59	13806	UROK	\N	\N
3578940	1476	1996-05-31	PRIJEM	\N	67	16803	UROK	\N	\N
3578941	1476	1996-06-30	PRIJEM	\N	70	16602	UROK	\N	\N
3578942	1476	1996-07-31	PRIJEM	\N	65	14596	UROK	\N	\N
3578943	1476	1996-08-31	PRIJEM	\N	59	13684	UROK	\N	\N
3578944	1476	1996-09-30	PRIJEM	\N	54	12868	UROK	\N	\N
3578945	1476	1996-10-31	PRIJEM	\N	55	13252	UROK	\N	\N
3578946	1476	1996-11-30	PRIJEM	\N	64	12645	UROK	\N	\N
3578947	1476	1996-12-31	PRIJEM	\N	49	11824	UROK	\N	\N
3578948	1476	1997-01-31	PRIJEM	\N	57	13850	UROK	\N	\N
3578949	1476	1997-02-28	PRIJEM	\N	67	16846	UROK	\N	\N
3578950	1476	1997-03-31	PRIJEM	\N	71	17126	UROK	\N	\N
3578951	1476	1997-04-30	PRIJEM	\N	80	20136	UROK	\N	\N
3578952	1476	1997-05-31	PRIJEM	\N	93	23158	UROK	\N	\N
3578953	1476	1997-06-30	PRIJEM	\N	79	15267	UROK	\N	\N
3578954	1476	1997-07-31	PRIJEM	\N	73	18269	UROK	\N	\N
3578955	1476	1997-08-31	PRIJEM	\N	85	21283	UROK	\N	\N
3578956	1476	1997-09-30	PRIJEM	\N	83	16695	UROK	\N	\N
3578957	1476	1997-10-31	PRIJEM	\N	90	19715	UROK	\N	\N
3578958	1476	1997-11-30	PRIJEM	\N	68	15113	UROK	\N	\N
3578959	1476	1997-12-31	PRIJEM	\N	71	17313	UROK	\N	\N
3578960	1476	1998-01-31	PRIJEM	\N	60	14243	UROK	\N	\N
3578961	1476	1998-02-28	PRIJEM	\N	64	16036	UROK	\N	\N
3578962	1476	1998-03-31	PRIJEM	\N	76	15942	UROK	\N	\N
3578963	1476	1998-04-30	PRIJEM	\N	85	16876	UROK	\N	\N
3578964	1476	1998-05-31	PRIJEM	\N	78	16883	UROK	\N	\N
3578965	1476	1998-06-30	PRIJEM	\N	70	16883	UROK	\N	\N
3578966	1476	1998-07-31	PRIJEM	\N	81	17493	UROK	\N	\N
3578967	1476	1998-08-31	PRIJEM	\N	77	13800	UROK	\N	\N
3578968	1476	1998-09-30	PRIJEM	\N	70	12939	UROK	\N	\N
3578969	1476	1998-10-31	PRIJEM	\N	71	15540	UROK	\N	\N
3578970	1476	1998-11-30	PRIJEM	\N	71	16740	UROK	\N	\N
3578971	1476	1998-12-31	PRIJEM	\N	85	17205	UROK	\N	\N
3578972	1477	1993-02-28	PRIJEM	\N	10	3861	UROK	\N	\N
3578973	1477	1993-03-31	PRIJEM	\N	13	7025	UROK	\N	\N
3578974	1477	1993-04-30	PRIJEM	\N	13	10189	UROK	\N	\N
3578975	1477	1993-05-31	PRIJEM	\N	13	13353	UROK	\N	\N
3578976	1477	1993-06-30	PRIJEM	\N	15	16519	UROK	\N	\N
3578977	1477	1993-07-31	PRIJEM	\N	72	17628	UROK	\N	\N
3578978	1477	1993-08-31	PRIJEM	\N	77	18741	UROK	\N	\N
3578979	1477	1993-09-30	PRIJEM	\N	78	18745	UROK	\N	\N
3578980	1477	1993-10-31	PRIJEM	\N	82	19863	UROK	\N	\N
3578981	1477	1993-11-30	PRIJEM	\N	84	19693	UROK	\N	\N
3578982	1477	1993-12-31	PRIJEM	\N	85	20605	UROK	\N	\N
3578983	1477	1994-01-31	PRIJEM	\N	81	19052	UROK	\N	\N
3578984	1477	1994-02-28	PRIJEM	\N	83	20171	UROK	\N	\N
3578985	1477	1994-03-31	PRIJEM	\N	84	19992	UROK	\N	\N
3578986	1477	1994-04-30	PRIJEM	\N	87	21115	UROK	\N	\N
3578987	1477	1994-05-31	PRIJEM	\N	90	22141	UROK	\N	\N
3578988	1477	1994-06-30	PRIJEM	\N	96	23273	UROK	\N	\N
3578989	1477	1994-07-31	PRIJEM	\N	87	20767	UROK	\N	\N
3578990	1477	1994-08-31	PRIJEM	\N	90	21893	UROK	\N	\N
3578991	1477	1994-09-30	PRIJEM	\N	88	20558	UROK	\N	\N
3578992	1477	1994-10-31	PRIJEM	\N	89	21682	UROK	\N	\N
3578993	1477	1994-11-30	PRIJEM	\N	72	17211	UROK	\N	\N
3578994	1477	1994-12-31	PRIJEM	\N	74	15341	UROK	\N	\N
3578995	1477	1995-01-31	PRIJEM	\N	58	11566	UROK	\N	\N
3578996	1477	1995-02-28	PRIJEM	\N	51	12653	UROK	\N	\N
3578997	1477	1995-03-31	PRIJEM	\N	52	12741	UROK	\N	\N
3578998	1477	1995-04-30	PRIJEM	\N	56	13834	UROK	\N	\N
3578999	1477	1995-05-31	PRIJEM	\N	58	12088	UROK	\N	\N
3579000	1477	1995-06-30	PRIJEM	\N	53	12178	UROK	\N	\N
3579001	1477	1995-07-31	PRIJEM	\N	54	13268	UROK	\N	\N
3579002	1477	1995-08-31	PRIJEM	\N	57	12061	UROK	\N	\N
3579003	1477	1995-09-30	PRIJEM	\N	53	13150	UROK	\N	\N
3579004	1477	1995-10-31	PRIJEM	\N	58	14244	UROK	\N	\N
3579005	1477	1995-11-30	PRIJEM	\N	62	15343	UROK	\N	\N
3579006	1477	1995-12-31	PRIJEM	\N	66	15755	UROK	\N	\N
3579007	1477	1996-01-31	PRIJEM	\N	61	14123	UROK	\N	\N
3579008	1477	1996-02-29	PRIJEM	\N	62	15221	UROK	\N	\N
3579009	1477	1996-03-31	PRIJEM	\N	65	16052	UROK	\N	\N
3579010	1477	1996-04-30	PRIJEM	\N	65	15383	UROK	\N	\N
3579011	1477	1996-05-31	PRIJEM	\N	67	16486	UROK	\N	\N
3579012	1477	1996-06-30	PRIJEM	\N	71	17593	UROK	\N	\N
3579013	1477	1996-07-31	PRIJEM	\N	73	17263	UROK	\N	\N
3579014	1477	1996-08-31	PRIJEM	\N	74	18374	UROK	\N	\N
3579015	1477	1996-09-30	PRIJEM	\N	79	19489	UROK	\N	\N
3579016	1477	1996-10-31	PRIJEM	\N	82	19617	UROK	\N	\N
3579017	1477	1996-11-30	PRIJEM	\N	77	17371	UROK	\N	\N
3579018	1477	1996-12-31	PRIJEM	\N	74	18301	UROK	\N	\N
3579019	1477	1997-01-31	PRIJEM	\N	71	16618	UROK	\N	\N
3579020	1477	1997-02-28	PRIJEM	\N	68	15953	UROK	\N	\N
3579021	1477	1997-03-31	PRIJEM	\N	69	17058	UROK	\N	\N
3579022	1477	1997-04-30	PRIJEM	\N	73	18167	UROK	\N	\N
3579023	1477	1997-05-31	PRIJEM	\N	78	19282	UROK	\N	\N
3579024	1477	1997-06-30	PRIJEM	\N	82	20400	UROK	\N	\N
3579025	1477	1997-07-31	PRIJEM	\N	87	21524	UROK	\N	\N
3579026	1477	1997-08-31	PRIJEM	\N	92	22652	UROK	\N	\N
3579027	1477	1997-09-30	PRIJEM	\N	96	23784	UROK	\N	\N
3579028	1477	1997-10-31	PRIJEM	\N	100	24741	UROK	\N	\N
3579029	1477	1997-11-30	PRIJEM	\N	105	24502	UROK	\N	\N
3579030	1477	1997-12-31	PRIJEM	\N	102	24860	UROK	\N	\N
3579031	1477	1998-01-31	PRIJEM	\N	96	22963	UROK	\N	\N
3579032	1477	1998-02-28	PRIJEM	\N	97	24096	UROK	\N	\N
3579033	1477	1998-03-31	PRIJEM	\N	84	17917	UROK	\N	\N
3579034	1477	1998-04-30	PRIJEM	\N	65	14719	UROK	\N	\N
3579035	1477	1998-05-31	PRIJEM	\N	63	15818	UROK	\N	\N
3579036	1477	1998-06-30	PRIJEM	\N	67	16921	UROK	\N	\N
3579037	1477	1998-07-31	PRIJEM	\N	71	16679	UROK	\N	\N
3579038	1477	1998-08-31	PRIJEM	\N	71	17786	UROK	\N	\N
3579039	1477	1998-09-30	PRIJEM	\N	75	18897	UROK	\N	\N
3579040	1477	1998-10-31	PRIJEM	\N	80	20013	UROK	\N	\N
3579041	1477	1998-11-30	PRIJEM	\N	84	21134	UROK	\N	\N
3579042	1477	1998-12-31	PRIJEM	\N	89	21719	UROK	\N	\N
3579043	1478	1996-11-30	PRIJEM	\N	5	16324	UROK	\N	\N
3579044	1478	1996-12-31	PRIJEM	\N	79	42922	UROK	\N	\N
3579045	1478	1997-01-31	PRIJEM	\N	179	36601	UROK	\N	\N
3579046	1478	1997-02-28	PRIJEM	\N	179	31579	UROK	\N	\N
3579047	1478	1997-03-31	PRIJEM	\N	245	46252	UROK	\N	\N
3579048	1478	1997-04-30	PRIJEM	\N	134	27140	UROK	\N	\N
3579049	1478	1997-05-31	PRIJEM	\N	112	25307	UROK	\N	\N
3579050	1478	1997-06-30	PRIJEM	\N	182	58386	UROK	\N	\N
3579051	1478	1997-07-31	PRIJEM	\N	299	65518	UROK	\N	\N
3579052	1478	1997-08-31	PRIJEM	\N	260	50132	UROK	\N	\N
3579053	1478	1997-09-30	PRIJEM	\N	208	47692	UROK	\N	\N
3579054	1478	1997-10-31	PRIJEM	\N	283	67179	UROK	\N	\N
3579055	1478	1997-11-30	PRIJEM	\N	331	71239	UROK	\N	\N
3579056	1478	1997-12-31	PRIJEM	\N	276	55261	UROK	\N	\N
3579057	1478	1998-01-31	PRIJEM	\N	125	28468	UROK	\N	\N
3579058	1478	1998-02-28	PRIJEM	\N	120	29943	UROK	\N	\N
3579059	1478	1998-03-31	PRIJEM	\N	93	28276	UROK	\N	\N
3579060	1478	1998-04-30	PRIJEM	\N	96	31526	UROK	\N	\N
3579061	1478	1998-05-31	PRIJEM	\N	141	39921	UROK	\N	\N
3579062	1478	1998-06-30	PRIJEM	\N	167	43120	UROK	\N	\N
3579063	1478	1998-07-31	PRIJEM	\N	183	48594	UROK	\N	\N
3579064	1478	1998-08-31	PRIJEM	\N	209	49501	UROK	\N	\N
3579065	1478	1998-09-30	PRIJEM	\N	259	105897	UROK	\N	\N
3579066	1478	1998-10-31	PRIJEM	\N	345	66497	UROK	\N	\N
3579067	1478	1998-11-30	PRIJEM	\N	275	66227	UROK	\N	\N
3579068	1478	1998-12-31	PRIJEM	\N	329	82360	UROK	\N	\N
3579069	1479	1995-04-30	PRIJEM	\N	14	3958	UROK	\N	\N
3579070	1479	1995-05-31	PRIJEM	\N	61	16863	UROK	\N	\N
3579071	1479	1995-06-30	PRIJEM	\N	85	21292	UROK	\N	\N
3579072	1479	1995-07-31	PRIJEM	\N	103	25439	UROK	\N	\N
3579073	1479	1995-08-31	PRIJEM	\N	102	23753	UROK	\N	\N
3579074	1479	1995-09-30	PRIJEM	\N	111	26831	UROK	\N	\N
3579075	1479	1995-10-31	PRIJEM	\N	113	27211	UROK	\N	\N
3579076	1479	1995-11-30	PRIJEM	\N	102	26381	UROK	\N	\N
3579077	1479	1995-12-31	PRIJEM	\N	112	25891	UROK	\N	\N
3579078	1479	1996-01-31	PRIJEM	\N	102	26620	UROK	\N	\N
3579079	1479	1996-02-29	PRIJEM	\N	114	29502	UROK	\N	\N
3579080	1479	1996-03-31	PRIJEM	\N	123	28233	UROK	\N	\N
3579081	1479	1996-04-30	PRIJEM	\N	120	28120	UROK	\N	\N
3579082	1479	1996-05-31	PRIJEM	\N	119	27607	UROK	\N	\N
3579083	1479	1996-06-30	PRIJEM	\N	108	27252	UROK	\N	\N
3579084	1479	1996-07-31	PRIJEM	\N	115	28735	UROK	\N	\N
3579085	1479	1996-08-31	PRIJEM	\N	124	31526	UROK	\N	\N
3579086	1479	1996-09-30	PRIJEM	\N	133	31426	UROK	\N	\N
3579087	1479	1996-10-31	PRIJEM	\N	129	28073	UROK	\N	\N
3579088	1479	1996-11-30	PRIJEM	\N	121	30061	UROK	\N	\N
3579089	1479	1996-12-31	PRIJEM	\N	125	28894	UROK	\N	\N
3579090	1479	1997-01-31	PRIJEM	\N	115	24386	UROK	\N	\N
3579091	1479	1997-02-28	PRIJEM	\N	105	25848	UROK	\N	\N
3579092	1479	1997-03-31	PRIJEM	\N	106	22822	UROK	\N	\N
3579093	1479	1997-04-30	PRIJEM	\N	95	20604	UROK	\N	\N
3579094	1479	1997-05-31	PRIJEM	\N	89	21760	UROK	\N	\N
3579095	1479	1997-06-30	PRIJEM	\N	93	20790	UROK	\N	\N
3579096	1479	1997-07-31	PRIJEM	\N	85	18442	UROK	\N	\N
3579097	1479	1997-08-31	PRIJEM	\N	73	15562	UROK	\N	\N
3579098	1479	1997-09-30	PRIJEM	\N	70	18199	UROK	\N	\N
3579099	1479	1997-10-31	PRIJEM	\N	77	18643	UROK	\N	\N
3579100	1479	1997-11-30	PRIJEM	\N	76	17186	UROK	\N	\N
3579101	1479	1997-12-31	PRIJEM	\N	70	15854	UROK	\N	\N
3579102	1479	1998-01-31	PRIJEM	\N	69	16700	UROK	\N	\N
3579103	1479	1998-02-28	PRIJEM	\N	70	17138	UROK	\N	\N
3579104	1479	1998-03-31	PRIJEM	\N	73	17878	UROK	\N	\N
3579105	1479	1998-04-30	PRIJEM	\N	79	20324	UROK	\N	\N
3579106	1479	1998-05-31	PRIJEM	\N	80	17872	UROK	\N	\N
3579107	1479	1998-06-30	PRIJEM	\N	68	15447	UROK	\N	\N
3579108	1479	1998-07-31	PRIJEM	\N	63	14877	UROK	\N	\N
3579109	1479	1998-08-31	PRIJEM	\N	56	12561	UROK	\N	\N
3579110	1479	1998-09-30	PRIJEM	\N	53	13101	UROK	\N	\N
3579111	1479	1998-10-31	PRIJEM	\N	56	14225	UROK	\N	\N
3579112	1479	1998-11-30	PRIJEM	\N	61	15353	UROK	\N	\N
3579113	1479	1998-12-31	PRIJEM	\N	64	15014	UROK	\N	\N
3579114	1480	1996-10-31	PRIJEM	\N	90	30374	UROK	\N	\N
3579115	1480	1996-12-31	PRIJEM	\N	125	27998	UROK	\N	\N
3579116	1480	1997-01-31	PRIJEM	\N	127	34938	UROK	\N	\N
3579117	1480	1997-02-28	PRIJEM	\N	144	31082	UROK	\N	\N
3579118	1480	1997-03-31	PRIJEM	\N	203	48146	UROK	\N	\N
3579119	1480	1997-04-30	PRIJEM	\N	259	54808	UROK	\N	\N
3579120	1480	1997-05-31	PRIJEM	\N	255	39880	UROK	\N	\N
3579121	1480	1997-06-30	PRIJEM	\N	163	31312	UROK	\N	\N
3579122	1480	1997-07-31	PRIJEM	\N	218	57034	UROK	\N	\N
3579123	1480	1997-08-31	PRIJEM	\N	222	34326	UROK	\N	\N
3579124	1480	1997-09-30	PRIJEM	\N	156	55687	UROK	\N	\N
3579125	1480	1997-10-31	PRIJEM	\N	243	61191	UROK	\N	\N
3579126	1480	1997-11-30	PRIJEM	\N	254	60253	UROK	\N	\N
3579127	1480	1997-12-31	PRIJEM	\N	289	57824	UROK	\N	\N
3579128	1480	1998-01-31	PRIJEM	\N	216	24715	UROK	\N	\N
3579129	1480	1998-02-28	PRIJEM	\N	132	63821	UROK	\N	\N
3579130	1480	1998-03-31	PRIJEM	\N	235	41904	UROK	\N	\N
3579131	1480	1998-04-30	PRIJEM	\N	146	34631	UROK	\N	\N
3579132	1480	1998-05-31	PRIJEM	\N	130	25704	UROK	\N	\N
3579133	1480	1998-06-30	PRIJEM	\N	106	24955	UROK	\N	\N
3579134	1480	1998-07-31	PRIJEM	\N	130	70666	UROK	\N	\N
3579135	1480	1998-08-31	PRIJEM	\N	301	52255	UROK	\N	\N
3579136	1480	1998-09-30	PRIJEM	\N	279	84171	UROK	\N	\N
3579137	1480	1998-10-31	PRIJEM	\N	306	64697	UROK	\N	\N
3579138	1480	1998-11-30	PRIJEM	\N	238	44580	UROK	\N	\N
3579139	1480	1998-12-31	PRIJEM	\N	150	29675	UROK	\N	\N
3579140	1481	1993-06-30	PRIJEM	\N	27	12227	UROK	\N	\N
3579141	1481	1993-07-31	PRIJEM	\N	54	13299	UROK	\N	\N
3579142	1481	1993-08-31	PRIJEM	\N	58	14375	UROK	\N	\N
3579143	1481	1993-09-30	PRIJEM	\N	62	15036	UROK	\N	\N
3579144	1481	1993-10-31	PRIJEM	\N	65	15489	UROK	\N	\N
3579145	1481	1993-11-30	PRIJEM	\N	67	16575	UROK	\N	\N
3579146	1481	1993-12-31	PRIJEM	\N	69	16252	UROK	\N	\N
3579147	1481	1994-01-31	PRIJEM	\N	59	13160	UROK	\N	\N
3579148	1481	1994-02-28	PRIJEM	\N	57	14235	UROK	\N	\N
3579149	1481	1994-03-31	PRIJEM	\N	60	13964	UROK	\N	\N
3579150	1481	1994-04-30	PRIJEM	\N	61	15043	UROK	\N	\N
3579151	1481	1994-05-31	PRIJEM	\N	65	16127	UROK	\N	\N
3579152	1481	1994-06-30	PRIJEM	\N	60	15195	UROK	\N	\N
3579153	1481	1994-07-31	PRIJEM	\N	61	13995	UROK	\N	\N
3579154	1481	1994-08-31	PRIJEM	\N	61	15074	UROK	\N	\N
3579155	1481	1994-09-30	PRIJEM	\N	65	16158	UROK	\N	\N
3579156	1481	1994-10-31	PRIJEM	\N	70	17246	UROK	\N	\N
3579157	1481	1994-11-30	PRIJEM	\N	74	18338	UROK	\N	\N
3579158	1481	1994-12-31	PRIJEM	\N	78	18835	UROK	\N	\N
3579159	1481	1995-01-31	PRIJEM	\N	74	16867	UROK	\N	\N
3579160	1481	1995-02-28	PRIJEM	\N	73	17958	UROK	\N	\N
3579161	1481	1995-03-31	PRIJEM	\N	77	19054	UROK	\N	\N
3579162	1481	1995-04-30	PRIJEM	\N	82	20154	UROK	\N	\N
3579163	1481	1995-05-31	PRIJEM	\N	82	19874	UROK	\N	\N
3579164	1481	1995-06-30	PRIJEM	\N	85	20977	UROK	\N	\N
3579165	1481	1995-07-31	PRIJEM	\N	88	20914	UROK	\N	\N
3579166	1481	1995-08-31	PRIJEM	\N	87	21809	UROK	\N	\N
3579167	1481	1995-09-30	PRIJEM	\N	93	22921	UROK	\N	\N
3579168	1481	1995-10-31	PRIJEM	\N	91	22370	UROK	\N	\N
3579169	1481	1995-11-30	PRIJEM	\N	95	23484	UROK	\N	\N
3579170	1481	1995-12-31	PRIJEM	\N	100	24392	UROK	\N	\N
3579171	1481	1996-01-31	PRIJEM	\N	91	20511	UROK	\N	\N
3579172	1481	1996-02-29	PRIJEM	\N	71	17650	UROK	\N	\N
3579173	1481	1996-03-31	PRIJEM	\N	76	18744	UROK	\N	\N
3579174	1481	1996-04-30	PRIJEM	\N	80	19843	UROK	\N	\N
3579175	1481	1996-05-31	PRIJEM	\N	85	20946	UROK	\N	\N
3579176	1481	1996-06-30	PRIJEM	\N	84	18088	UROK	\N	\N
3579177	1481	1996-07-31	PRIJEM	\N	76	18583	UROK	\N	\N
3579178	1481	1996-08-31	PRIJEM	\N	79	19681	UROK	\N	\N
3579179	1481	1996-09-30	PRIJEM	\N	83	19821	UROK	\N	\N
3579180	1481	1996-10-31	PRIJEM	\N	80	19660	UROK	\N	\N
3579181	1481	1996-11-30	PRIJEM	\N	84	20762	UROK	\N	\N
3579182	1481	1996-12-31	PRIJEM	\N	84	21005	UROK	\N	\N
3579183	1481	1997-01-31	PRIJEM	\N	73	15885	UROK	\N	\N
3579184	1481	1997-02-28	PRIJEM	\N	67	16611	UROK	\N	\N
3579185	1481	1997-03-31	PRIJEM	\N	71	17700	UROK	\N	\N
3579186	1481	1997-04-30	PRIJEM	\N	75	17803	UROK	\N	\N
3579187	1481	1997-05-31	PRIJEM	\N	68	17510	UROK	\N	\N
3579188	1481	1997-06-30	PRIJEM	\N	74	18603	UROK	\N	\N
3579189	1481	1997-07-31	PRIJEM	\N	79	19700	UROK	\N	\N
3579190	1481	1997-08-31	PRIJEM	\N	83	20801	UROK	\N	\N
3579191	1481	1997-09-30	PRIJEM	\N	88	21908	UROK	\N	\N
3579192	1481	1997-10-31	PRIJEM	\N	92	23018	UROK	\N	\N
3579193	1481	1997-11-30	PRIJEM	\N	97	24134	UROK	\N	\N
3579194	1481	1997-12-31	PRIJEM	\N	97	23779	UROK	\N	\N
3579195	1481	1998-01-31	PRIJEM	\N	82	19509	UROK	\N	\N
3579196	1481	1998-02-28	PRIJEM	\N	82	20609	UROK	\N	\N
3579197	1481	1998-03-31	PRIJEM	\N	86	20304	UROK	\N	\N
3579198	1481	1998-04-30	PRIJEM	\N	85	21407	UROK	\N	\N
3579199	1481	1998-05-31	PRIJEM	\N	90	22516	UROK	\N	\N
3579200	1481	1998-06-30	PRIJEM	\N	79	18723	UROK	\N	\N
3579201	1481	1998-07-31	PRIJEM	\N	76	18558	UROK	\N	\N
3579202	1481	1998-08-31	PRIJEM	\N	78	19654	UROK	\N	\N
3579203	1481	1998-09-30	PRIJEM	\N	82	20755	UROK	\N	\N
3579204	1481	1998-10-31	PRIJEM	\N	81	20894	UROK	\N	\N
3579205	1481	1998-11-30	PRIJEM	\N	82	18994	UROK	\N	\N
3579206	1481	1998-12-31	PRIJEM	\N	74	19367	UROK	\N	\N
3579207	1482	1997-01-31	PRIJEM	\N	84	24960	UROK	\N	\N
3579208	1482	1997-02-28	PRIJEM	\N	139	35375	UROK	\N	\N
3579209	1482	1997-03-31	PRIJEM	\N	164	40815	UROK	\N	\N
3579210	1482	1997-04-30	PRIJEM	\N	168	40460	UROK	\N	\N
3579211	1482	1997-05-31	PRIJEM	\N	151	34699	UROK	\N	\N
3579212	1482	1997-06-30	PRIJEM	\N	153	23463	UROK	\N	\N
3579213	1482	1997-07-31	PRIJEM	\N	134	33070	UROK	\N	\N
3579214	1482	1997-08-31	PRIJEM	\N	202	50845	UROK	\N	\N
3579215	1482	1997-09-30	PRIJEM	\N	242	58760	UROK	\N	\N
3579216	1482	1997-10-31	PRIJEM	\N	248	57681	UROK	\N	\N
3579217	1482	1997-11-30	PRIJEM	\N	253	60607	UROK	\N	\N
3579218	1482	1997-12-31	PRIJEM	\N	273	61792	UROK	\N	\N
3579219	1482	1998-01-31	PRIJEM	\N	215	47681	UROK	\N	\N
3579220	1482	1998-02-28	PRIJEM	\N	201	48255	UROK	\N	\N
3579221	1482	1998-03-31	PRIJEM	\N	228	55456	UROK	\N	\N
3579222	1482	1998-04-30	PRIJEM	\N	237	56667	UROK	\N	\N
3579223	1482	1998-05-31	PRIJEM	\N	228	53668	UROK	\N	\N
3579224	1482	1998-06-30	PRIJEM	\N	235	51714	UROK	\N	\N
3579225	1482	1998-07-31	PRIJEM	\N	233	56820	UROK	\N	\N
3579226	1482	1998-08-31	PRIJEM	\N	225	44419	UROK	\N	\N
3579227	1482	1998-09-30	PRIJEM	\N	232	45725	UROK	\N	\N
3579228	1482	1998-10-31	PRIJEM	\N	239	49537	UROK	\N	\N
3579229	1482	1998-11-30	PRIJEM	\N	252	50162	UROK	\N	\N
3579230	1482	1998-12-31	PRIJEM	\N	294	78368	UROK	\N	\N
3579231	1483	1996-01-31	PRIJEM	\N	19	7414	UROK	\N	\N
3579232	1483	1996-02-29	PRIJEM	\N	62	20271	UROK	\N	\N
3579233	1483	1996-03-31	PRIJEM	\N	107	29073	UROK	\N	\N
3579234	1483	1996-04-30	PRIJEM	\N	136	35404	UROK	\N	\N
3579235	1483	1996-05-31	PRIJEM	\N	151	36950	UROK	\N	\N
3579236	1483	1996-06-30	PRIJEM	\N	140	34805	UROK	\N	\N
3579237	1483	1996-07-31	PRIJEM	\N	127	26689	UROK	\N	\N
3579238	1483	1996-08-31	PRIJEM	\N	105	26312	UROK	\N	\N
3579239	1483	1996-09-30	PRIJEM	\N	118	30347	UROK	\N	\N
3579240	1483	1996-10-31	PRIJEM	\N	114	25698	UROK	\N	\N
3579241	1483	1996-11-30	PRIJEM	\N	95	23410	UROK	\N	\N
3579242	1483	1996-12-31	PRIJEM	\N	103	26209	UROK	\N	\N
3579243	1483	1997-01-31	PRIJEM	\N	89	17295	UROK	\N	\N
3579244	1483	1997-02-28	PRIJEM	\N	79	17612	UROK	\N	\N
3579245	1483	1997-03-31	PRIJEM	\N	78	20607	UROK	\N	\N
3579246	1483	1997-04-30	PRIJEM	\N	82	20907	UROK	\N	\N
3579247	1483	1997-05-31	PRIJEM	\N	93	24217	UROK	\N	\N
3579248	1483	1997-06-30	PRIJEM	\N	100	25392	UROK	\N	\N
3579249	1483	1997-07-31	PRIJEM	\N	110	28319	UROK	\N	\N
3579250	1483	1997-08-31	PRIJEM	\N	112	29588	UROK	\N	\N
3579251	1483	1997-09-30	PRIJEM	\N	140	35646	UROK	\N	\N
3579252	1483	1997-10-31	PRIJEM	\N	152	40916	UROK	\N	\N
3579253	1483	1997-11-30	PRIJEM	\N	166	38439	UROK	\N	\N
3579254	1483	1997-12-31	PRIJEM	\N	167	40401	UROK	\N	\N
3579255	1483	1998-01-31	PRIJEM	\N	136	24254	UROK	\N	\N
3579256	1483	1998-02-28	PRIJEM	\N	104	34175	UROK	\N	\N
3579257	1483	1998-03-31	PRIJEM	\N	146	37438	UROK	\N	\N
3579258	1483	1998-04-30	PRIJEM	\N	159	41814	UROK	\N	\N
3579259	1483	1998-05-31	PRIJEM	\N	176	41507	UROK	\N	\N
3579260	1483	1998-06-30	PRIJEM	\N	126	28248	UROK	\N	\N
3579261	1483	1998-07-31	PRIJEM	\N	127	39892	UROK	\N	\N
3579262	1483	1998-08-31	PRIJEM	\N	173	46762	UROK	\N	\N
3579263	1483	1998-09-30	PRIJEM	\N	202	55082	UROK	\N	\N
3579264	1483	1998-10-31	PRIJEM	\N	235	60333	UROK	\N	\N
3579265	1483	1998-11-30	PRIJEM	\N	248	59279	UROK	\N	\N
3579266	1483	1998-12-31	PRIJEM	\N	245	58299	UROK	\N	\N
3579267	1484	1997-02-28	PRIJEM	\N	79	30145	UROK	\N	\N
3579268	1484	1997-03-31	PRIJEM	\N	127	27330	UROK	\N	\N
3579269	1484	1997-04-30	PRIJEM	\N	113	26980	UROK	\N	\N
3579270	1484	1997-05-31	PRIJEM	\N	120	28457	UROK	\N	\N
3579271	1484	1997-06-30	PRIJEM	\N	121	22286	UROK	\N	\N
3579272	1484	1997-07-31	PRIJEM	\N	102	23845	UROK	\N	\N
3579273	1484	1997-08-31	PRIJEM	\N	101	22984	UROK	\N	\N
3579274	1484	1997-09-30	PRIJEM	\N	98	21838	UROK	\N	\N
3579275	1484	1997-10-31	PRIJEM	\N	101	25397	UROK	\N	\N
3579276	1484	1997-11-30	PRIJEM	\N	111	26165	UROK	\N	\N
3579277	1484	1997-12-31	PRIJEM	\N	115	25688	UROK	\N	\N
3579278	1484	1998-01-31	PRIJEM	\N	99	19294	UROK	\N	\N
3579279	1484	1998-02-28	PRIJEM	\N	89	19720	UROK	\N	\N
3579280	1484	1998-03-31	PRIJEM	\N	93	23270	UROK	\N	\N
3579281	1484	1998-04-30	PRIJEM	\N	107	26835	UROK	\N	\N
3579282	1484	1998-05-31	PRIJEM	\N	122	30414	UROK	\N	\N
3579283	1484	1998-06-30	PRIJEM	\N	124	30496	UROK	\N	\N
3579284	1484	1998-07-31	PRIJEM	\N	137	34090	UROK	\N	\N
3579285	1484	1998-08-31	PRIJEM	\N	138	30766	UROK	\N	\N
3579286	1484	1998-09-30	PRIJEM	\N	132	32056	UROK	\N	\N
3579287	1484	1998-10-31	PRIJEM	\N	125	28178	UROK	\N	\N
3579288	1484	1998-11-30	PRIJEM	\N	127	31763	UROK	\N	\N
3579289	1484	1998-12-31	PRIJEM	\N	141	34161	UROK	\N	\N
3579290	1485	1993-10-31	PRIJEM	\N	85	24505	UROK	\N	\N
3579291	1485	1993-11-30	PRIJEM	\N	188	49413	UROK	\N	\N
3579292	1485	1993-12-31	PRIJEM	\N	288	73231	UROK	\N	\N
3579293	1485	1994-01-31	PRIJEM	\N	307	75058	UROK	\N	\N
3579294	1485	1994-02-28	PRIJEM	\N	252	62545	UROK	\N	\N
3579295	1485	1994-03-31	PRIJEM	\N	249	59015	UROK	\N	\N
3579296	1485	1994-04-30	PRIJEM	\N	242	57677	UROK	\N	\N
3579297	1485	1994-05-31	PRIJEM	\N	226	57324	UROK	\N	\N
3579298	1485	1994-06-30	PRIJEM	\N	224	40278	UROK	\N	\N
3579299	1485	1994-07-31	PRIJEM	\N	191	37289	UROK	\N	\N
3579300	1485	1994-08-31	PRIJEM	\N	204	39314	UROK	\N	\N
3579301	1485	1994-09-30	PRIJEM	\N	212	40246	UROK	\N	\N
3579302	1485	1994-10-31	PRIJEM	\N	213	39580	UROK	\N	\N
3579303	1485	1994-11-30	PRIJEM	\N	211	41411	UROK	\N	\N
3579304	1485	1994-12-31	PRIJEM	\N	250	47892	UROK	\N	\N
3579305	1485	1995-01-31	PRIJEM	\N	214	38826	UROK	\N	\N
3579306	1485	1995-02-28	PRIJEM	\N	207	43354	UROK	\N	\N
3579307	1485	1995-03-31	PRIJEM	\N	218	44992	UROK	\N	\N
3579308	1485	1995-04-30	PRIJEM	\N	230	45642	UROK	\N	\N
3579309	1485	1995-05-31	PRIJEM	\N	232	47995	UROK	\N	\N
3579310	1485	1995-06-30	PRIJEM	\N	190	36915	UROK	\N	\N
3579311	1485	1995-07-31	PRIJEM	\N	199	44434	UROK	\N	\N
3579312	1485	1995-08-31	PRIJEM	\N	213	42068	UROK	\N	\N
3579313	1485	1995-09-30	PRIJEM	\N	216	47905	UROK	\N	\N
3579314	1485	1995-10-31	PRIJEM	\N	235	50260	UROK	\N	\N
3579315	1485	1995-11-30	PRIJEM	\N	243	51223	UROK	\N	\N
3579316	1485	1995-12-31	PRIJEM	\N	278	59131	UROK	\N	\N
3579317	1485	1996-01-31	PRIJEM	\N	246	37497	UROK	\N	\N
3579318	1485	1996-02-29	PRIJEM	\N	187	39804	UROK	\N	\N
3579319	1485	1996-03-31	PRIJEM	\N	206	48131	UROK	\N	\N
3579320	1485	1996-04-30	PRIJEM	\N	232	50784	UROK	\N	\N
3579321	1485	1996-05-31	PRIJEM	\N	245	55649	UROK	\N	\N
3579322	1485	1996-06-30	PRIJEM	\N	253	56633	UROK	\N	\N
3579323	1485	1996-07-31	PRIJEM	\N	272	64025	UROK	\N	\N
3579324	1485	1996-08-31	PRIJEM	\N	295	68540	UROK	\N	\N
3579325	1485	1996-09-30	PRIJEM	\N	305	68866	UROK	\N	\N
3579326	1485	1996-10-31	PRIJEM	\N	310	71896	UROK	\N	\N
3579327	1485	1996-11-30	PRIJEM	\N	323	75239	UROK	\N	\N
3579328	1485	1996-12-31	PRIJEM	\N	364	81634	UROK	\N	\N
3579329	1485	1997-01-31	PRIJEM	\N	348	75801	UROK	\N	\N
3579330	1485	1997-02-28	PRIJEM	\N	332	75554	UROK	\N	\N
3579331	1485	1997-03-31	PRIJEM	\N	348	84022	UROK	\N	\N
3579332	1485	1997-04-30	PRIJEM	\N	372	88114	UROK	\N	\N
3579333	1485	1997-05-31	PRIJEM	\N	383	89618	UROK	\N	\N
3579334	1485	1997-06-30	PRIJEM	\N	346	75893	UROK	\N	\N
3579335	1485	1997-07-31	PRIJEM	\N	354	87768	UROK	\N	\N
3579336	1485	1997-08-31	PRIJEM	\N	390	94779	UROK	\N	\N
3579337	1485	1997-09-30	PRIJEM	\N	344	77643	UROK	\N	\N
3579338	1485	1997-10-31	PRIJEM	\N	358	88222	UROK	\N	\N
3579339	1485	1997-11-30	PRIJEM	\N	407	101950	UROK	\N	\N
3579340	1485	1997-12-31	PRIJEM	\N	424	99404	UROK	\N	\N
3579341	1485	1998-01-31	PRIJEM	\N	412	93836	UROK	\N	\N
3579342	1485	1998-02-28	PRIJEM	\N	420	104776	UROK	\N	\N
3579343	1485	1998-03-31	PRIJEM	\N	347	83544	UROK	\N	\N
3579344	1485	1998-04-30	PRIJEM	\N	407	104271	UROK	\N	\N
3579345	1485	1998-05-31	PRIJEM	\N	406	98497	UROK	\N	\N
3579346	1485	1998-06-30	PRIJEM	\N	386	73213	UROK	\N	\N
3579347	1485	1998-07-31	PRIJEM	\N	381	98615	UROK	\N	\N
3579348	1485	1998-08-31	PRIJEM	\N	372	89807	UROK	\N	\N
3579349	1485	1998-09-30	PRIJEM	\N	436	110564	UROK	\N	\N
3579350	1485	1998-10-31	PRIJEM	\N	391	90476	UROK	\N	\N
3579351	1485	1998-11-30	PRIJEM	\N	463	117959	UROK	\N	\N
3579352	1485	1998-12-31	PRIJEM	\N	467	109357	UROK	\N	\N
3579353	1486	1996-02-29	PRIJEM	\N	55	23962	UROK	\N	\N
3579354	1486	1996-03-31	PRIJEM	\N	130	37098	UROK	\N	\N
3579355	1486	1996-04-30	PRIJEM	\N	210	43515	UROK	\N	\N
3579356	1486	1996-05-31	PRIJEM	\N	213	44535	UROK	\N	\N
3579357	1486	1996-06-30	PRIJEM	\N	224	49634	UROK	\N	\N
3579358	1486	1996-07-31	PRIJEM	\N	209	52517	UROK	\N	\N
3579359	1486	1996-08-31	PRIJEM	\N	216	52607	UROK	\N	\N
3579360	1486	1996-09-30	PRIJEM	\N	212	52194	UROK	\N	\N
3579361	1486	1996-10-31	PRIJEM	\N	210	51478	UROK	\N	\N
3579362	1486	1996-11-30	PRIJEM	\N	202	49854	UROK	\N	\N
3579363	1486	1996-12-31	PRIJEM	\N	226	58958	UROK	\N	\N
3579364	1486	1997-01-31	PRIJEM	\N	212	52844	UROK	\N	\N
3579365	1486	1997-02-28	PRIJEM	\N	191	49509	UROK	\N	\N
3579366	1486	1997-03-31	PRIJEM	\N	199	49783	UROK	\N	\N
3579367	1486	1997-04-30	PRIJEM	\N	193	48050	UROK	\N	\N
3579368	1486	1997-05-31	PRIJEM	\N	198	47123	UROK	\N	\N
3579369	1486	1997-06-30	PRIJEM	\N	182	49582	UROK	\N	\N
3579370	1486	1997-07-31	PRIJEM	\N	188	47045	UROK	\N	\N
3579371	1486	1997-08-31	PRIJEM	\N	174	44893	UROK	\N	\N
3579372	1486	1997-09-30	PRIJEM	\N	178	47645	UROK	\N	\N
3579373	1486	1997-10-31	PRIJEM	\N	198	51317	UROK	\N	\N
3579374	1486	1997-11-30	PRIJEM	\N	199	52290	UROK	\N	\N
3579375	1486	1997-12-31	PRIJEM	\N	231	63498	UROK	\N	\N
3579376	1486	1998-01-31	PRIJEM	\N	229	56101	UROK	\N	\N
3579377	1486	1998-02-28	PRIJEM	\N	231	60207	UROK	\N	\N
3579378	1486	1998-03-31	PRIJEM	\N	249	65230	UROK	\N	\N
3579379	1486	1998-04-30	PRIJEM	\N	249	60253	UROK	\N	\N
3579380	1486	1998-05-31	PRIJEM	\N	230	57657	UROK	\N	\N
3579381	1486	1998-06-30	PRIJEM	\N	256	49690	UROK	\N	\N
3579382	1486	1998-07-31	PRIJEM	\N	203	54067	UROK	\N	\N
3579383	1486	1998-08-31	PRIJEM	\N	211	53252	UROK	\N	\N
3579384	1486	1998-09-30	PRIJEM	\N	209	53535	UROK	\N	\N
3579385	1486	1998-10-31	PRIJEM	\N	175	47685	UROK	\N	\N
3579386	1486	1998-11-30	PRIJEM	\N	187	53046	UROK	\N	\N
3579387	1486	1998-12-31	PRIJEM	\N	232	65355	UROK	\N	\N
3579388	1487	1993-09-30	PRIJEM	\N	10	4416	UROK	\N	\N
3579389	1487	1993-10-31	PRIJEM	\N	18	7741	UROK	\N	\N
3579390	1487	1993-11-30	PRIJEM	\N	18	11065	UROK	\N	\N
3579391	1487	1993-12-31	PRIJEM	\N	18	14390	UROK	\N	\N
3579392	1487	1994-01-31	PRIJEM	\N	34	15720	UROK	\N	\N
3579393	1487	1994-02-28	PRIJEM	\N	68	16875	UROK	\N	\N
3579394	1487	1994-03-31	PRIJEM	\N	73	18035	UROK	\N	\N
3579395	1487	1994-04-30	PRIJEM	\N	78	19200	UROK	\N	\N
3579396	1487	1994-05-31	PRIJEM	\N	83	20370	UROK	\N	\N
3579397	1487	1994-06-30	PRIJEM	\N	85	20193	UROK	\N	\N
3579398	1487	1994-07-31	PRIJEM	\N	86	20016	UROK	\N	\N
3579399	1487	1994-08-31	PRIJEM	\N	86	21190	UROK	\N	\N
3579400	1487	1994-09-30	PRIJEM	\N	89	21106	UROK	\N	\N
3579401	1487	1994-10-31	PRIJEM	\N	88	21322	UROK	\N	\N
3579402	1487	1994-11-30	PRIJEM	\N	91	22500	UROK	\N	\N
3579403	1487	1994-12-31	PRIJEM	\N	96	23264	UROK	\N	\N
3579404	1487	1995-01-31	PRIJEM	\N	91	21292	UROK	\N	\N
3579405	1487	1995-02-28	PRIJEM	\N	91	22470	UROK	\N	\N
3579406	1487	1995-03-31	PRIJEM	\N	96	23654	UROK	\N	\N
3579407	1487	1995-04-30	PRIJEM	\N	101	24842	UROK	\N	\N
3579408	1487	1995-05-31	PRIJEM	\N	102	24681	UROK	\N	\N
3579409	1487	1995-06-30	PRIJEM	\N	105	25874	UROK	\N	\N
3579410	1487	1995-07-31	PRIJEM	\N	110	27071	UROK	\N	\N
3579411	1487	1995-08-31	PRIJEM	\N	111	27469	UROK	\N	\N
3579412	1487	1995-09-30	PRIJEM	\N	113	27669	UROK	\N	\N
3579413	1487	1995-10-31	PRIJEM	\N	111	23968	UROK	\N	\N
3579414	1487	1995-11-30	PRIJEM	\N	95	22600	UROK	\N	\N
3579415	1487	1995-12-31	PRIJEM	\N	96	22333	UROK	\N	\N
3579416	1487	1996-01-31	PRIJEM	\N	86	20106	UROK	\N	\N
3579417	1487	1996-02-29	PRIJEM	\N	86	21279	UROK	\N	\N
3579418	1487	1996-03-31	PRIJEM	\N	91	22457	UROK	\N	\N
3579419	1487	1996-04-30	PRIJEM	\N	94	23179	UROK	\N	\N
3579420	1487	1996-05-31	PRIJEM	\N	94	22260	UROK	\N	\N
3579421	1487	1996-06-30	PRIJEM	\N	91	20369	UROK	\N	\N
3579422	1487	1996-07-31	PRIJEM	\N	84	18130	UROK	\N	\N
3579423	1487	1996-08-31	PRIJEM	\N	77	19054	UROK	\N	\N
3579424	1487	1996-09-30	PRIJEM	\N	81	19622	UROK	\N	\N
3579425	1487	1996-10-31	PRIJEM	\N	84	20793	UROK	\N	\N
3579426	1487	1996-11-30	PRIJEM	\N	88	21969	UROK	\N	\N
3579427	1487	1996-12-31	PRIJEM	\N	92	22609	UROK	\N	\N
3579428	1487	1997-01-31	PRIJEM	\N	87	19643	UROK	\N	\N
3579429	1487	1997-02-28	PRIJEM	\N	79	19938	UROK	\N	\N
3579430	1487	1997-03-31	PRIJEM	\N	83	20089	UROK	\N	\N
3579431	1487	1997-04-30	PRIJEM	\N	82	20868	UROK	\N	\N
3579432	1487	1997-05-31	PRIJEM	\N	88	22044	UROK	\N	\N
3579433	1487	1997-06-30	PRIJEM	\N	93	22924	UROK	\N	\N
3579434	1487	1997-07-31	PRIJEM	\N	97	24108	UROK	\N	\N
3579435	1487	1997-08-31	PRIJEM	\N	100	24496	UROK	\N	\N
3579436	1487	1997-09-30	PRIJEM	\N	103	25686	UROK	\N	\N
3579437	1487	1997-10-31	PRIJEM	\N	108	26882	UROK	\N	\N
3579438	1487	1997-11-30	PRIJEM	\N	113	28082	UROK	\N	\N
3579439	1487	1997-12-31	PRIJEM	\N	117	28837	UROK	\N	\N
3579440	1487	1998-01-31	PRIJEM	\N	109	26853	UROK	\N	\N
3579441	1487	1998-02-28	PRIJEM	\N	113	28053	UROK	\N	\N
3579442	1487	1998-03-31	PRIJEM	\N	114	28175	UROK	\N	\N
3579443	1487	1998-04-30	PRIJEM	\N	116	28178	UROK	\N	\N
3579444	1487	1998-05-31	PRIJEM	\N	108	25733	UROK	\N	\N
3579445	1487	1998-06-30	PRIJEM	\N	105	25725	UROK	\N	\N
3579446	1487	1998-07-31	PRIJEM	\N	107	25989	UROK	\N	\N
3579447	1487	1998-08-31	PRIJEM	\N	107	25534	UROK	\N	\N
3579448	1487	1998-09-30	PRIJEM	\N	106	25677	UROK	\N	\N
3579449	1487	1998-10-31	PRIJEM	\N	107	26631	UROK	\N	\N
3579450	1487	1998-11-30	PRIJEM	\N	111	27830	UROK	\N	\N
3579451	1487	1998-12-31	PRIJEM	\N	116	28583	UROK	\N	\N
3579452	1488	1997-05-31	PRIJEM	\N	6	14043	UROK	\N	\N
3579453	1488	1997-06-30	PRIJEM	\N	64	27063	UROK	\N	\N
3579454	1488	1997-07-31	PRIJEM	\N	114	30314	UROK	\N	\N
3579455	1488	1997-08-31	PRIJEM	\N	126	30577	UROK	\N	\N
3579456	1488	1997-09-30	PRIJEM	\N	135	25099	UROK	\N	\N
3579457	1488	1997-10-31	PRIJEM	\N	122	18563	UROK	\N	\N
3579458	1488	1997-11-30	PRIJEM	\N	89	18994	UROK	\N	\N
3579459	1488	1997-12-31	PRIJEM	\N	102	21158	UROK	\N	\N
3579460	1488	1998-01-31	PRIJEM	\N	72	12672	UROK	\N	\N
3579461	1488	1998-02-28	PRIJEM	\N	58	13373	UROK	\N	\N
3579462	1488	1998-03-31	PRIJEM	\N	69	16784	UROK	\N	\N
3579463	1488	1998-04-30	PRIJEM	\N	78	17504	UROK	\N	\N
3579464	1488	1998-05-31	PRIJEM	\N	79	16926	UROK	\N	\N
3579465	1488	1998-06-30	PRIJEM	\N	88	21375	UROK	\N	\N
3579466	1488	1998-07-31	PRIJEM	\N	101	24619	UROK	\N	\N
3579467	1488	1998-08-31	PRIJEM	\N	115	27876	UROK	\N	\N
3579468	1488	1998-09-30	PRIJEM	\N	123	26842	UROK	\N	\N
3579469	1488	1998-10-31	PRIJEM	\N	118	26002	UROK	\N	\N
3579470	1488	1998-11-30	PRIJEM	\N	110	23755	UROK	\N	\N
3579471	1488	1998-12-31	PRIJEM	\N	139	31655	UROK	\N	\N
3579472	1490	1996-07-31	PRIJEM	\N	26	47412	UROK	\N	\N
3579473	1490	1996-08-31	PRIJEM	\N	199	48545	UROK	\N	\N
3579474	1490	1996-09-30	PRIJEM	\N	307	76506	UROK	\N	\N
3579475	1490	1996-10-31	PRIJEM	\N	347	80441	UROK	\N	\N
3579476	1490	1996-11-30	PRIJEM	\N	318	56980	UROK	\N	\N
3579477	1490	1996-12-31	PRIJEM	\N	218	42257	UROK	\N	\N
3579478	1490	1997-01-31	PRIJEM	\N	199	59376	UROK	\N	\N
3579479	1490	1997-02-28	PRIJEM	\N	204	36178	UROK	\N	\N
3579480	1490	1997-03-31	PRIJEM	\N	202	55816	UROK	\N	\N
3579481	1490	1997-04-30	PRIJEM	\N	235	71736	UROK	\N	\N
3579482	1490	1997-05-31	PRIJEM	\N	257	44065	UROK	\N	\N
3579483	1490	1997-06-30	PRIJEM	\N	173	32875	UROK	\N	\N
3579484	1490	1997-07-31	PRIJEM	\N	136	27196	UROK	\N	\N
3579485	1490	1997-08-31	PRIJEM	\N	110	47882	UROK	\N	\N
3579486	1490	1997-09-30	PRIJEM	\N	203	50538	UROK	\N	\N
3579487	1490	1997-10-31	PRIJEM	\N	214	47131	UROK	\N	\N
3579488	1490	1997-11-30	PRIJEM	\N	171	27722	UROK	\N	\N
3579489	1490	1997-12-31	PRIJEM	\N	113	18021	UROK	\N	\N
3579490	1490	1998-01-31	PRIJEM	\N	89	29206	UROK	\N	\N
3579491	1490	1998-02-28	PRIJEM	\N	132	54663	UROK	\N	\N
3579492	1490	1998-03-31	PRIJEM	\N	218	35825	UROK	\N	\N
3579493	1490	1998-04-30	PRIJEM	\N	147	25357	UROK	\N	\N
3579494	1490	1998-05-31	PRIJEM	\N	138	43498	UROK	\N	\N
3579495	1490	1998-06-30	PRIJEM	\N	179	37163	UROK	\N	\N
3579496	1490	1998-07-31	PRIJEM	\N	148	42491	UROK	\N	\N
3579497	1490	1998-08-31	PRIJEM	\N	174	32850	UROK	\N	\N
3579498	1490	1998-09-30	PRIJEM	\N	134	22970	UROK	\N	\N
3579499	1490	1998-10-31	PRIJEM	\N	93	16049	UROK	\N	\N
3579500	1490	1998-11-30	PRIJEM	\N	90	25290	UROK	\N	\N
3579501	1490	1998-12-31	PRIJEM	\N	179	74065	UROK	\N	\N
3579502	1491	1997-06-30	PRIJEM	\N	50	21204	UROK	\N	\N
3579503	1491	1997-07-31	PRIJEM	\N	116	32856	UROK	\N	\N
3579504	1491	1997-08-31	PRIJEM	\N	154	40246	UROK	\N	\N
3579505	1491	1997-09-30	PRIJEM	\N	179	45462	UROK	\N	\N
3579506	1491	1997-10-31	PRIJEM	\N	206	52704	UROK	\N	\N
3579507	1491	1997-11-30	PRIJEM	\N	207	48566	UROK	\N	\N
3579508	1491	1997-12-31	PRIJEM	\N	211	55030	UROK	\N	\N
3579509	1491	1998-01-31	PRIJEM	\N	193	36658	UROK	\N	\N
3579510	1491	1998-02-28	PRIJEM	\N	176	47390	UROK	\N	\N
3579511	1491	1998-03-31	PRIJEM	\N	192	46237	UROK	\N	\N
3579512	1491	1998-04-30	PRIJEM	\N	202	50894	UROK	\N	\N
3579513	1491	1998-05-31	PRIJEM	\N	215	50965	UROK	\N	\N
3579514	1491	1998-06-30	PRIJEM	\N	183	20141	UROK	\N	\N
3579515	1491	1998-07-31	PRIJEM	\N	131	37028	UROK	\N	\N
3579516	1491	1998-08-31	PRIJEM	\N	177	46560	UROK	\N	\N
3579517	1491	1998-09-30	PRIJEM	\N	194	45429	UROK	\N	\N
3579518	1491	1998-10-31	PRIJEM	\N	185	39889	UROK	\N	\N
3579519	1491	1998-11-30	PRIJEM	\N	185	48530	UROK	\N	\N
3579520	1491	1998-12-31	PRIJEM	\N	208	51411	UROK	\N	\N
3579521	1492	1997-03-31	PRIJEM	\N	56	22975	UROK	\N	\N
3579522	1492	1997-04-30	PRIJEM	\N	94	22241	UROK	\N	\N
3579523	1492	1997-05-31	PRIJEM	\N	80	16354	UROK	\N	\N
3579524	1492	1997-06-30	PRIJEM	\N	63	12689	UROK	\N	\N
3579525	1492	1997-07-31	PRIJEM	\N	61	15922	UROK	\N	\N
3579526	1492	1997-08-31	PRIJEM	\N	66	15761	UROK	\N	\N
3579527	1492	1997-09-30	PRIJEM	\N	65	14038	UROK	\N	\N
3579528	1492	1997-10-31	PRIJEM	\N	66	17276	UROK	\N	\N
3579529	1492	1997-11-30	PRIJEM	\N	66	14254	UROK	\N	\N
3579530	1492	1997-12-31	PRIJEM	\N	55	12241	UROK	\N	\N
3579531	1492	1998-01-31	PRIJEM	\N	57	13091	UROK	\N	\N
3579532	1492	1998-02-28	PRIJEM	\N	62	16325	UROK	\N	\N
3579533	1492	1998-03-31	PRIJEM	\N	76	19573	UROK	\N	\N
3579534	1492	1998-04-30	PRIJEM	\N	89	22834	UROK	\N	\N
3579535	1492	1998-05-31	PRIJEM	\N	103	26109	UROK	\N	\N
3579536	1492	1998-06-30	PRIJEM	\N	83	15604	UROK	\N	\N
3579537	1492	1998-07-31	PRIJEM	\N	73	18849	UROK	\N	\N
3579538	1492	1998-08-31	PRIJEM	\N	86	22108	UROK	\N	\N
3579539	1492	1998-09-30	PRIJEM	\N	99	25380	UROK	\N	\N
3579540	1492	1998-10-31	PRIJEM	\N	113	28665	UROK	\N	\N
3579541	1492	1998-11-30	PRIJEM	\N	123	29880	UROK	\N	\N
3579542	1492	1998-12-31	PRIJEM	\N	123	29226	UROK	\N	\N
3579543	1493	1993-01-31	PRIJEM	\N	13	5222	UROK	\N	\N
3579544	1493	1993-02-28	PRIJEM	\N	22	10253	UROK	\N	\N
3579545	1493	1993-03-31	PRIJEM	\N	22	15284	UROK	\N	\N
3579546	1493	1993-04-30	PRIJEM	\N	22	20314	UROK	\N	\N
3579547	1493	1993-05-31	PRIJEM	\N	24	25348	UROK	\N	\N
3579548	1493	1993-06-30	PRIJEM	\N	77	15354	UROK	\N	\N
3579549	1493	1993-07-31	PRIJEM	\N	71	18104	UROK	\N	\N
3579550	1493	1993-08-31	PRIJEM	\N	77	18540	UROK	\N	\N
3579551	1493	1993-09-30	PRIJEM	\N	74	17934	UROK	\N	\N
3579552	1493	1993-10-31	PRIJEM	\N	81	20694	UROK	\N	\N
3579553	1493	1993-11-30	PRIJEM	\N	93	23466	UROK	\N	\N
3579554	1493	1993-12-31	PRIJEM	\N	103	25149	UROK	\N	\N
3579555	1493	1994-01-31	PRIJEM	\N	86	19485	UROK	\N	\N
3579556	1493	1994-02-28	PRIJEM	\N	87	22251	UROK	\N	\N
3579557	1493	1994-03-31	PRIJEM	\N	99	25030	UROK	\N	\N
3579558	1493	1994-04-30	PRIJEM	\N	101	24370	UROK	\N	\N
3579559	1493	1994-05-31	PRIJEM	\N	106	26115	UROK	\N	\N
3579560	1493	1994-06-30	PRIJEM	\N	114	18708	UROK	\N	\N
3579561	1493	1994-07-31	PRIJEM	\N	84	21472	UROK	\N	\N
3579562	1493	1994-08-31	PRIJEM	\N	96	24247	UROK	\N	\N
3579563	1493	1994-09-30	PRIJEM	\N	106	25353	UROK	\N	\N
3579564	1493	1994-10-31	PRIJEM	\N	112	28144	UROK	\N	\N
3579565	1493	1994-11-30	PRIJEM	\N	108	27332	UROK	\N	\N
3579566	1493	1994-12-31	PRIJEM	\N	109	24120	UROK	\N	\N
3579567	1493	1995-01-31	PRIJEM	\N	102	24151	UROK	\N	\N
3579568	1493	1995-02-28	PRIJEM	\N	106	26936	UROK	\N	\N
3579569	1493	1995-03-31	PRIJEM	\N	98	24614	UROK	\N	\N
3579570	1493	1995-04-30	PRIJEM	\N	107	22500	UROK	\N	\N
3579571	1493	1995-05-31	PRIJEM	\N	83	18162	UROK	\N	\N
3579572	1493	1995-06-30	PRIJEM	\N	82	20923	UROK	\N	\N
3579573	1493	1995-07-31	PRIJEM	\N	91	20394	UROK	\N	\N
3579574	1493	1995-08-31	PRIJEM	\N	88	19621	UROK	\N	\N
3579575	1493	1995-09-30	PRIJEM	\N	86	20026	UROK	\N	\N
3579576	1493	1995-10-31	PRIJEM	\N	89	22795	UROK	\N	\N
3579577	1493	1995-11-30	PRIJEM	\N	99	23873	UROK	\N	\N
3579578	1493	1995-12-31	PRIJEM	\N	100	23253	UROK	\N	\N
3579579	1493	1996-01-31	PRIJEM	\N	96	19558	UROK	\N	\N
3579580	1493	1996-02-29	PRIJEM	\N	84	19221	UROK	\N	\N
3579581	1493	1996-03-31	PRIJEM	\N	80	17021	UROK	\N	\N
3579582	1493	1996-04-30	PRIJEM	\N	74	17974	UROK	\N	\N
3579583	1493	1996-05-31	PRIJEM	\N	75	16129	UROK	\N	\N
3579584	1493	1996-06-30	PRIJEM	\N	65	13873	UROK	\N	\N
3579585	1493	1996-07-31	PRIJEM	\N	58	12510	UROK	\N	\N
3579586	1493	1996-08-31	PRIJEM	\N	58	15247	UROK	\N	\N
3579587	1493	1996-09-30	PRIJEM	\N	69	17995	UROK	\N	\N
3579588	1493	1996-10-31	PRIJEM	\N	73	16248	UROK	\N	\N
3579589	1493	1996-11-30	PRIJEM	\N	66	15093	UROK	\N	\N
3579590	1493	1996-12-31	PRIJEM	\N	67	17239	UROK	\N	\N
3579591	1493	1997-01-31	PRIJEM	\N	71	17829	UROK	\N	\N
3579592	1493	1997-02-28	PRIJEM	\N	68	14477	UROK	\N	\N
3579593	1493	1997-03-31	PRIJEM	\N	65	17221	UROK	\N	\N
3579594	1493	1997-04-30	PRIJEM	\N	64	13265	UROK	\N	\N
3579595	1493	1997-05-31	PRIJEM	\N	60	16005	UROK	\N	\N
3579596	1493	1997-06-30	PRIJEM	\N	60	13044	UROK	\N	\N
3579597	1493	1997-07-31	PRIJEM	\N	59	15783	UROK	\N	\N
3579598	1493	1997-08-31	PRIJEM	\N	59	13221	UROK	\N	\N
3579599	1493	1997-09-30	PRIJEM	\N	60	15960	UROK	\N	\N
3579600	1493	1997-10-31	PRIJEM	\N	69	17268	UROK	\N	\N
3579601	1493	1997-11-30	PRIJEM	\N	65	15112	UROK	\N	\N
3579602	1493	1997-12-31	PRIJEM	\N	67	17058	UROK	\N	\N
3579603	1493	1998-01-31	PRIJEM	\N	67	15705	UROK	\N	\N
3579604	1493	1998-02-28	PRIJEM	\N	66	15890	UROK	\N	\N
3579605	1493	1998-03-31	PRIJEM	\N	58	13628	UROK	\N	\N
3579606	1493	1998-04-30	PRIJEM	\N	61	16368	UROK	\N	\N
3579607	1493	1998-05-31	PRIJEM	\N	72	19119	UROK	\N	\N
3579608	1493	1998-06-30	PRIJEM	\N	81	19800	UROK	\N	\N
3579609	1493	1998-07-31	PRIJEM	\N	85	21864	UROK	\N	\N
3579610	1493	1998-08-31	PRIJEM	\N	79	18823	UROK	\N	\N
3579611	1493	1998-09-30	PRIJEM	\N	78	20080	UROK	\N	\N
3579612	1493	1998-10-31	PRIJEM	\N	80	20340	UROK	\N	\N
3579613	1493	1998-11-30	PRIJEM	\N	79	18138	UROK	\N	\N
3579614	1493	1998-12-31	PRIJEM	\N	69	17536	UROK	\N	\N
3579615	1495	1993-11-30	PRIJEM	\N	89	24708	UROK	\N	\N
3579616	1495	1993-12-31	PRIJEM	\N	240	63526	UROK	\N	\N
3579617	1495	1994-01-31	PRIJEM	\N	175	45221	UROK	\N	\N
3579618	1495	1994-02-28	PRIJEM	\N	188	69727	UROK	\N	\N
3579619	1495	1994-03-31	PRIJEM	\N	276	68393	UROK	\N	\N
3579620	1495	1994-04-30	PRIJEM	\N	278	66446	UROK	\N	\N
3579621	1495	1994-05-31	PRIJEM	\N	254	44975	UROK	\N	\N
3579622	1495	1994-06-30	PRIJEM	\N	273	48543	UROK	\N	\N
3579623	1495	1994-07-31	PRIJEM	\N	253	43851	UROK	\N	\N
3579624	1495	1994-08-31	PRIJEM	\N	237	44164	UROK	\N	\N
3579625	1495	1994-09-30	PRIJEM	\N	238	44877	UROK	\N	\N
3579626	1495	1994-10-31	PRIJEM	\N	239	45431	UROK	\N	\N
3579627	1495	1994-11-30	PRIJEM	\N	240	46146	UROK	\N	\N
3579628	1495	1994-12-31	PRIJEM	\N	268	45969	UROK	\N	\N
3579629	1495	1995-01-31	PRIJEM	\N	232	39316	UROK	\N	\N
3579630	1495	1995-02-28	PRIJEM	\N	214	43005	UROK	\N	\N
3579631	1495	1995-03-31	PRIJEM	\N	229	41270	UROK	\N	\N
3579632	1495	1995-04-30	PRIJEM	\N	207	39152	UROK	\N	\N
3579633	1495	1995-05-31	PRIJEM	\N	212	42940	UROK	\N	\N
3579634	1495	1995-06-30	PRIJEM	\N	266	51720	UROK	\N	\N
3579635	1495	1995-07-31	PRIJEM	\N	258	51854	UROK	\N	\N
3579636	1495	1995-08-31	PRIJEM	\N	253	49782	UROK	\N	\N
3579637	1495	1995-09-30	PRIJEM	\N	250	51967	UROK	\N	\N
3579638	1495	1995-10-31	PRIJEM	\N	256	54378	UROK	\N	\N
3579639	1495	1995-11-30	PRIJEM	\N	264	56418	UROK	\N	\N
3579640	1495	1995-12-31	PRIJEM	\N	296	63549	UROK	\N	\N
3579641	1495	1996-01-31	PRIJEM	\N	278	53022	UROK	\N	\N
3579642	1495	1996-02-29	PRIJEM	\N	255	55753	UROK	\N	\N
3579643	1495	1996-03-31	PRIJEM	\N	257	53545	UROK	\N	\N
3579644	1495	1996-04-30	PRIJEM	\N	250	52771	UROK	\N	\N
3579645	1495	1996-05-31	PRIJEM	\N	247	52593	UROK	\N	\N
3579646	1495	1996-06-30	PRIJEM	\N	264	54992	UROK	\N	\N
3579647	1495	1996-07-31	PRIJEM	\N	259	51526	UROK	\N	\N
3579648	1495	1996-08-31	PRIJEM	\N	236	51638	UROK	\N	\N
3579649	1495	1996-09-30	PRIJEM	\N	224	46737	UROK	\N	\N
3579650	1495	1996-10-31	PRIJEM	\N	216	46429	UROK	\N	\N
3579651	1495	1996-11-30	PRIJEM	\N	213	48017	UROK	\N	\N
3579652	1495	1996-12-31	PRIJEM	\N	243	48795	UROK	\N	\N
3579653	1495	1997-01-31	PRIJEM	\N	223	35994	UROK	\N	\N
3579654	1495	1997-02-28	PRIJEM	\N	160	35329	UROK	\N	\N
3579655	1495	1997-03-31	PRIJEM	\N	164	36168	UROK	\N	\N
3579656	1495	1997-04-30	PRIJEM	\N	159	34203	UROK	\N	\N
3579657	1495	1997-05-31	PRIJEM	\N	204	35782	UROK	\N	\N
3579658	1495	1997-06-30	PRIJEM	\N	184	43100	UROK	\N	\N
3579659	1495	1997-07-31	PRIJEM	\N	180	39856	UROK	\N	\N
3579660	1495	1997-08-31	PRIJEM	\N	165	36996	UROK	\N	\N
3579661	1495	1997-09-30	PRIJEM	\N	141	31012	UROK	\N	\N
3579662	1495	1997-10-31	PRIJEM	\N	127	25015	UROK	\N	\N
3579663	1495	1997-11-30	PRIJEM	\N	100	23290	UROK	\N	\N
3579664	1495	1997-12-31	PRIJEM	\N	109	20734	UROK	\N	\N
3579665	1495	1998-01-31	PRIJEM	\N	92	20301	UROK	\N	\N
3579666	1495	1998-02-28	PRIJEM	\N	84	20761	UROK	\N	\N
3579667	1495	1998-03-31	PRIJEM	\N	85	20221	UROK	\N	\N
3579668	1495	1998-04-30	PRIJEM	\N	92	23589	UROK	\N	\N
3579669	1495	1998-05-31	PRIJEM	\N	90	21855	UROK	\N	\N
3579670	1495	1998-06-30	PRIJEM	\N	105	27095	UROK	\N	\N
3579671	1495	1998-07-31	PRIJEM	\N	95	19865	UROK	\N	\N
3579672	1495	1998-08-31	PRIJEM	\N	68	16308	UROK	\N	\N
3579673	1495	1998-09-30	PRIJEM	\N	67	16751	UROK	\N	\N
3579674	1495	1998-10-31	PRIJEM	\N	64	15690	UROK	\N	\N
3579675	1495	1998-11-30	PRIJEM	\N	63	15728	UROK	\N	\N
3579676	1495	1998-12-31	PRIJEM	\N	102	21265	UROK	\N	\N
3579677	1496	1995-02-28	PRIJEM	\N	43	15169	UROK	\N	\N
3579678	1496	1995-03-31	PRIJEM	\N	116	33111	UROK	\N	\N
3579679	1496	1995-04-30	PRIJEM	\N	169	44106	UROK	\N	\N
3579680	1496	1995-05-31	PRIJEM	\N	199	49431	UROK	\N	\N
3579681	1496	1995-06-30	PRIJEM	\N	191	38517	UROK	\N	\N
3579682	1496	1995-07-31	PRIJEM	\N	156	38460	UROK	\N	\N
3579683	1496	1995-08-31	PRIJEM	\N	141	35987	UROK	\N	\N
3579684	1496	1995-09-30	PRIJEM	\N	146	37719	UROK	\N	\N
3579685	1496	1995-10-31	PRIJEM	\N	132	34437	UROK	\N	\N
3579686	1496	1995-11-30	PRIJEM	\N	140	33763	UROK	\N	\N
3579687	1496	1995-12-31	PRIJEM	\N	164	44477	UROK	\N	\N
3579688	1496	1996-01-31	PRIJEM	\N	159	37123	UROK	\N	\N
3579689	1496	1996-02-29	PRIJEM	\N	162	39971	UROK	\N	\N
3579690	1496	1996-03-31	PRIJEM	\N	164	42522	UROK	\N	\N
3579691	1496	1996-04-30	PRIJEM	\N	162	41470	UROK	\N	\N
3579692	1496	1996-05-31	PRIJEM	\N	165	35922	UROK	\N	\N
3579693	1496	1996-06-30	PRIJEM	\N	179	38650	UROK	\N	\N
3579694	1496	1996-07-31	PRIJEM	\N	179	35315	UROK	\N	\N
3579695	1496	1996-08-31	PRIJEM	\N	164	34265	UROK	\N	\N
3579696	1496	1996-09-30	PRIJEM	\N	159	31710	UROK	\N	\N
3579697	1496	1996-10-31	PRIJEM	\N	148	34944	UROK	\N	\N
3579698	1496	1996-11-30	PRIJEM	\N	160	32691	UROK	\N	\N
3579699	1496	1996-12-31	PRIJEM	\N	173	38913	UROK	\N	\N
3579700	1496	1997-01-31	PRIJEM	\N	157	29356	UROK	\N	\N
3579701	1496	1997-02-28	PRIJEM	\N	138	29880	UROK	\N	\N
3579702	1496	1997-03-31	PRIJEM	\N	143	34210	UROK	\N	\N
3579703	1496	1997-04-30	PRIJEM	\N	158	34854	UROK	\N	\N
3579704	1496	1997-05-31	PRIJEM	\N	158	33299	UROK	\N	\N
3579705	1496	1997-06-30	PRIJEM	\N	167	35315	UROK	\N	\N
3579706	1496	1997-07-31	PRIJEM	\N	161	36363	UROK	\N	\N
3579707	1496	1997-08-31	PRIJEM	\N	158	33407	UROK	\N	\N
3579708	1496	1997-09-30	PRIJEM	\N	142	30036	UROK	\N	\N
3579709	1496	1997-10-31	PRIJEM	\N	138	31560	UROK	\N	\N
3579710	1496	1997-11-30	PRIJEM	\N	150	37797	UROK	\N	\N
3579711	1496	1997-12-31	PRIJEM	\N	181	39727	UROK	\N	\N
3579712	1496	1998-01-31	PRIJEM	\N	169	29682	UROK	\N	\N
3579713	1496	1998-02-28	PRIJEM	\N	131	30400	UROK	\N	\N
3579714	1496	1998-03-31	PRIJEM	\N	113	23699	UROK	\N	\N
3579715	1496	1998-04-30	PRIJEM	\N	105	22190	UROK	\N	\N
3579716	1496	1998-05-31	PRIJEM	\N	97	19974	UROK	\N	\N
3579717	1496	1998-06-30	PRIJEM	\N	90	19513	UROK	\N	\N
3579718	1496	1998-07-31	PRIJEM	\N	94	22693	UROK	\N	\N
3579719	1496	1998-08-31	PRIJEM	\N	78	17858	UROK	\N	\N
3579720	1496	1998-09-30	PRIJEM	\N	85	20629	UROK	\N	\N
3579721	1496	1998-10-31	PRIJEM	\N	85	16400	UROK	\N	\N
3579722	1496	1998-11-30	PRIJEM	\N	78	19465	UROK	\N	\N
3579723	1496	1998-12-31	PRIJEM	\N	123	34537	UROK	\N	\N
3579724	1497	1993-08-31	PRIJEM	\N	37	16424	UROK	\N	\N
3579725	1497	1993-09-30	PRIJEM	\N	88	24699	UROK	\N	\N
3579726	1497	1993-10-31	PRIJEM	\N	115	29801	UROK	\N	\N
3579727	1497	1993-11-30	PRIJEM	\N	125	30413	UROK	\N	\N
3579728	1497	1993-12-31	PRIJEM	\N	123	27016	UROK	\N	\N
3579729	1497	1994-01-31	PRIJEM	\N	120	23784	UROK	\N	\N
3579730	1497	1994-02-28	PRIJEM	\N	101	24434	UROK	\N	\N
3579731	1497	1994-03-31	PRIJEM	\N	104	25286	UROK	\N	\N
3579732	1497	1994-04-30	PRIJEM	\N	110	27045	UROK	\N	\N
3579733	1497	1994-05-31	PRIJEM	\N	113	26906	UROK	\N	\N
3579734	1497	1994-06-30	PRIJEM	\N	126	30173	UROK	\N	\N
3579735	1497	1994-07-31	PRIJEM	\N	125	29846	UROK	\N	\N
3579736	1497	1994-08-31	PRIJEM	\N	114	26608	UROK	\N	\N
3579737	1497	1994-09-30	PRIJEM	\N	113	27770	UROK	\N	\N
3579738	1497	1994-10-31	PRIJEM	\N	115	27833	UROK	\N	\N
3579739	1497	1994-11-30	PRIJEM	\N	113	26594	UROK	\N	\N
3579740	1497	1994-12-31	PRIJEM	\N	125	31160	UROK	\N	\N
3579741	1497	1995-01-31	PRIJEM	\N	131	29940	UROK	\N	\N
3579742	1497	1995-02-28	PRIJEM	\N	119	28807	UROK	\N	\N
3579743	1497	1995-03-31	PRIJEM	\N	125	30680	UROK	\N	\N
3579744	1497	1995-04-30	PRIJEM	\N	133	32561	UROK	\N	\N
3579745	1497	1995-05-31	PRIJEM	\N	135	32745	UROK	\N	\N
3579746	1497	1995-06-30	PRIJEM	\N	137	32523	UROK	\N	\N
3579747	1497	1995-07-31	PRIJEM	\N	138	33909	UROK	\N	\N
3579748	1497	1995-08-31	PRIJEM	\N	126	30183	UROK	\N	\N
3579749	1497	1995-09-30	PRIJEM	\N	125	29456	UROK	\N	\N
3579750	1497	1995-10-31	PRIJEM	\N	114	27718	UROK	\N	\N
3579751	1497	1995-11-30	PRIJEM	\N	95	23062	UROK	\N	\N
3579752	1497	1995-12-31	PRIJEM	\N	99	25302	UROK	\N	\N
3579753	1497	1996-01-31	PRIJEM	\N	101	24851	UROK	\N	\N
3579754	1497	1996-02-29	PRIJEM	\N	80	19180	UROK	\N	\N
3579755	1497	1996-03-31	PRIJEM	\N	82	20610	UROK	\N	\N
3579756	1497	1996-04-30	PRIJEM	\N	73	17731	UROK	\N	\N
3579757	1497	1996-05-31	PRIJEM	\N	64	15844	UROK	\N	\N
3579758	1497	1996-06-30	PRIJEM	\N	86	23072	UROK	\N	\N
3579759	1497	1996-07-31	PRIJEM	\N	72	15492	UROK	\N	\N
3579760	1497	1996-08-31	PRIJEM	\N	70	14010	UROK	\N	\N
3579761	1497	1996-09-30	PRIJEM	\N	65	16924	UROK	\N	\N
3579762	1497	1996-10-31	PRIJEM	\N	69	16541	UROK	\N	\N
3579763	1497	1996-11-30	PRIJEM	\N	73	16863	UROK	\N	\N
3579764	1497	1996-12-31	PRIJEM	\N	88	23293	UROK	\N	\N
3579765	1497	1997-01-31	PRIJEM	\N	101	21442	UROK	\N	\N
3579766	1497	1997-02-28	PRIJEM	\N	96	24387	UROK	\N	\N
3579767	1497	1997-03-31	PRIJEM	\N	108	27343	UROK	\N	\N
3579768	1497	1997-04-30	PRIJEM	\N	105	25397	UROK	\N	\N
3579769	1497	1997-05-31	PRIJEM	\N	104	25649	UROK	\N	\N
3579770	1497	1997-06-30	PRIJEM	\N	102	25392	UROK	\N	\N
3579771	1497	1997-07-31	PRIJEM	\N	112	28353	UROK	\N	\N
3579772	1497	1997-08-31	PRIJEM	\N	105	13306	UROK	\N	\N
3579773	1497	1997-09-30	PRIJEM	\N	62	16216	UROK	\N	\N
3579774	1497	1997-10-31	PRIJEM	\N	74	19138	UROK	\N	\N
3579775	1497	1997-11-30	PRIJEM	\N	83	20670	UROK	\N	\N
3579776	1497	1997-12-31	PRIJEM	\N	105	26116	UROK	\N	\N
3579777	1497	1998-01-31	PRIJEM	\N	80	19145	UROK	\N	\N
3579778	1497	1998-02-28	PRIJEM	\N	85	22079	UROK	\N	\N
3579779	1497	1998-03-31	PRIJEM	\N	98	25025	UROK	\N	\N
3579780	1497	1998-04-30	PRIJEM	\N	110	27983	UROK	\N	\N
3579781	1497	1998-05-31	PRIJEM	\N	122	30954	UROK	\N	\N
3579782	1497	1998-06-30	PRIJEM	\N	130	19525	UROK	\N	\N
3579783	1497	1998-07-31	PRIJEM	\N	84	20257	UROK	\N	\N
3579784	1497	1998-08-31	PRIJEM	\N	90	23195	UROK	\N	\N
3579785	1497	1998-09-30	PRIJEM	\N	91	22534	UROK	\N	\N
3579786	1497	1998-10-31	PRIJEM	\N	99	25482	UROK	\N	\N
3579787	1497	1998-11-30	PRIJEM	\N	111	28441	UROK	\N	\N
3579788	1497	1998-12-31	PRIJEM	\N	136	33918	UROK	\N	\N
3579789	1499	1993-12-31	PRIJEM	\N	10	18560	UROK	\N	\N
3579790	1499	1994-01-31	PRIJEM	\N	81	24041	UROK	\N	\N
3579791	1499	1994-02-28	PRIJEM	\N	102	29443	UROK	\N	\N
3579792	1499	1994-03-31	PRIJEM	\N	123	30266	UROK	\N	\N
3579793	1499	1994-04-30	PRIJEM	\N	128	29148	UROK	\N	\N
3579794	1499	1994-05-31	PRIJEM	\N	126	29593	UROK	\N	\N
3579795	1499	1994-06-30	PRIJEM	\N	122	28805	UROK	\N	\N
3579796	1499	1994-07-31	PRIJEM	\N	125	31149	UROK	\N	\N
3579797	1499	1994-08-31	PRIJEM	\N	131	29200	UROK	\N	\N
3579798	1499	1994-09-30	PRIJEM	\N	125	29144	UROK	\N	\N
3579799	1499	1994-10-31	PRIJEM	\N	125	29689	UROK	\N	\N
3579800	1499	1994-11-30	PRIJEM	\N	126	29134	UROK	\N	\N
3579801	1499	1994-12-31	PRIJEM	\N	128	29731	UROK	\N	\N
3579802	1499	1995-01-31	PRIJEM	\N	102	16972	UROK	\N	\N
3579803	1499	1995-02-28	PRIJEM	\N	82	24274	UROK	\N	\N
3579804	1499	1995-03-31	PRIJEM	\N	111	30204	UROK	\N	\N
3579805	1499	1995-04-30	PRIJEM	\N	130	31353	UROK	\N	\N
3579806	1499	1995-05-31	PRIJEM	\N	133	31305	UROK	\N	\N
3579807	1499	1995-06-30	PRIJEM	\N	107	24341	UROK	\N	\N
3579808	1499	1995-07-31	PRIJEM	\N	96	23056	UROK	\N	\N
3579809	1499	1995-08-31	PRIJEM	\N	110	29666	UROK	\N	\N
3579810	1499	1995-09-30	PRIJEM	\N	129	32014	UROK	\N	\N
3579811	1499	1995-10-31	PRIJEM	\N	137	33471	UROK	\N	\N
3579812	1499	1995-11-30	PRIJEM	\N	144	35634	UROK	\N	\N
3579813	1499	1995-12-31	PRIJEM	\N	146	30009	UROK	\N	\N
3579814	1499	1996-01-31	PRIJEM	\N	113	25581	UROK	\N	\N
3579815	1499	1996-02-29	PRIJEM	\N	112	28113	UROK	\N	\N
3579816	1499	1996-03-31	PRIJEM	\N	121	29113	UROK	\N	\N
3579817	1499	1996-04-30	PRIJEM	\N	127	31458	UROK	\N	\N
3579818	1499	1996-05-31	PRIJEM	\N	127	30325	UROK	\N	\N
3579819	1499	1996-06-30	PRIJEM	\N	117	27112	UROK	\N	\N
3579820	1499	1996-07-31	PRIJEM	\N	119	29850	UROK	\N	\N
3579821	1499	1996-08-31	PRIJEM	\N	134	34003	UROK	\N	\N
3579822	1499	1996-09-30	PRIJEM	\N	146	35868	UROK	\N	\N
3579823	1499	1996-10-31	PRIJEM	\N	137	30725	UROK	\N	\N
3579824	1499	1996-11-30	PRIJEM	\N	129	29073	UROK	\N	\N
3579825	1499	1996-12-31	PRIJEM	\N	128	30051	UROK	\N	\N
3579826	1499	1997-01-31	PRIJEM	\N	108	16758	UROK	\N	\N
3579827	1499	1997-02-28	PRIJEM	\N	92	25070	UROK	\N	\N
3579828	1499	1997-03-31	PRIJEM	\N	118	30807	UROK	\N	\N
3579829	1499	1997-04-30	PRIJEM	\N	134	32940	UROK	\N	\N
3579830	1499	1997-05-31	PRIJEM	\N	152	35412	UROK	\N	\N
3579831	1499	1997-06-30	PRIJEM	\N	124	25905	UROK	\N	\N
3579832	1499	1997-07-31	PRIJEM	\N	129	33654	UROK	\N	\N
3579833	1499	1997-08-31	PRIJEM	\N	150	37123	UROK	\N	\N
3579834	1499	1997-09-30	PRIJEM	\N	155	37497	UROK	\N	\N
3579835	1499	1997-10-31	PRIJEM	\N	164	40380	UROK	\N	\N
3579836	1499	1997-11-30	PRIJEM	\N	170	41569	UROK	\N	\N
3579837	1499	1997-12-31	PRIJEM	\N	186	46025	UROK	\N	\N
3579838	1499	1998-01-31	PRIJEM	\N	159	28203	UROK	\N	\N
3579839	1499	1998-02-28	PRIJEM	\N	161	43484	UROK	\N	\N
3579840	1499	1998-03-31	PRIJEM	\N	194	47598	UROK	\N	\N
3579841	1499	1998-04-30	PRIJEM	\N	216	51513	UROK	\N	\N
3579842	1499	1998-05-31	PRIJEM	\N	239	59392	UROK	\N	\N
3579843	1499	1998-06-30	PRIJEM	\N	233	46534	UROK	\N	\N
3579844	1499	1998-07-31	PRIJEM	\N	226	56500	UROK	\N	\N
3579845	1499	1998-08-31	PRIJEM	\N	234	54273	UROK	\N	\N
3579846	1499	1998-09-30	PRIJEM	\N	246	61538	UROK	\N	\N
3579847	1499	1998-10-31	PRIJEM	\N	253	61410	UROK	\N	\N
3579848	1499	1998-11-30	PRIJEM	\N	267	66097	UROK	\N	\N
3579849	1499	1998-12-31	PRIJEM	\N	280	65467	UROK	\N	\N
3579850	1500	1996-10-31	PRIJEM	\N	84	24638	UROK	\N	\N
3579851	1500	1996-11-30	PRIJEM	\N	104	46796	UROK	\N	\N
3579852	1500	1996-12-31	PRIJEM	\N	160	50937	UROK	\N	\N
3579853	1500	1997-01-31	PRIJEM	\N	212	51603	UROK	\N	\N
3579854	1500	1997-02-28	PRIJEM	\N	263	69801	UROK	\N	\N
3579855	1500	1997-03-31	PRIJEM	\N	271	50292	UROK	\N	\N
3579856	1500	1997-04-30	PRIJEM	\N	257	50469	UROK	\N	\N
3579857	1500	1997-05-31	PRIJEM	\N	253	51243	UROK	\N	\N
3579858	1500	1997-06-30	PRIJEM	\N	257	49748	UROK	\N	\N
3579859	1500	1997-07-31	PRIJEM	\N	252	51719	UROK	\N	\N
3579860	1500	1997-08-31	PRIJEM	\N	257	52296	UROK	\N	\N
3579861	1500	1997-09-30	PRIJEM	\N	257	52074	UROK	\N	\N
3579862	1500	1997-10-31	PRIJEM	\N	253	50247	UROK	\N	\N
3579863	1500	1997-11-30	PRIJEM	\N	246	52514	UROK	\N	\N
3579864	1500	1997-12-31	PRIJEM	\N	279	58740	UROK	\N	\N
3579865	1500	1998-01-31	PRIJEM	\N	266	37227	UROK	\N	\N
3579866	1500	1998-02-28	PRIJEM	\N	195	44042	UROK	\N	\N
3579867	1500	1998-03-31	PRIJEM	\N	225	50187	UROK	\N	\N
3579868	1500	1998-04-30	PRIJEM	\N	250	58858	UROK	\N	\N
3579869	1500	1998-05-31	PRIJEM	\N	275	57253	UROK	\N	\N
3579870	1500	1998-06-30	PRIJEM	\N	271	55772	UROK	\N	\N
3579871	1500	1998-07-31	PRIJEM	\N	264	56456	UROK	\N	\N
3579872	1500	1998-08-31	PRIJEM	\N	271	62047	UROK	\N	\N
3579873	1500	1998-09-30	PRIJEM	\N	282	60049	UROK	\N	\N
3579874	1500	1998-10-31	PRIJEM	\N	274	56443	UROK	\N	\N
3579875	1500	1998-11-30	PRIJEM	\N	263	59526	UROK	\N	\N
3579876	1500	1998-12-31	PRIJEM	\N	287	57861	UROK	\N	\N
3579877	1501	1996-11-30	PRIJEM	\N	51	16790	UROK	\N	\N
3579878	1501	1996-12-31	PRIJEM	\N	85	21588	UROK	\N	\N
3579879	1501	1997-01-31	PRIJEM	\N	66	12355	UROK	\N	\N
3579880	1501	1997-02-28	PRIJEM	\N	62	15023	UROK	\N	\N
3579881	1501	1997-03-31	PRIJEM	\N	56	12166	UROK	\N	\N
3579882	1501	1997-04-30	PRIJEM	\N	48	10720	UROK	\N	\N
3579883	1501	1997-05-31	PRIJEM	\N	54	14280	UROK	\N	\N
3579884	1501	1997-06-30	PRIJEM	\N	46	9732	UROK	\N	\N
3579885	1501	1997-07-31	PRIJEM	\N	50	13288	UROK	\N	\N
3579886	1501	1997-08-31	PRIJEM	\N	62	14536	UROK	\N	\N
3579887	1501	1997-09-30	PRIJEM	\N	69	18112	UROK	\N	\N
3579888	1501	1997-10-31	PRIJEM	\N	65	14483	UROK	\N	\N
3579889	1501	1997-11-30	PRIJEM	\N	69	18059	UROK	\N	\N
3579890	1501	1997-12-31	PRIJEM	\N	85	21350	UROK	\N	\N
3579891	1501	1998-01-31	PRIJEM	\N	87	18063	UROK	\N	\N
3579892	1501	1998-02-28	PRIJEM	\N	84	21653	UROK	\N	\N
3579893	1501	1998-03-31	PRIJEM	\N	99	25259	UROK	\N	\N
3579894	1501	1998-04-30	PRIJEM	\N	114	28879	UROK	\N	\N
3579895	1501	1998-05-31	PRIJEM	\N	118	27783	UROK	\N	\N
3579896	1501	1998-06-30	PRIJEM	\N	121	28461	UROK	\N	\N
3579897	1501	1998-07-31	PRIJEM	\N	65	15432	UROK	\N	\N
3579898	1501	1998-08-31	PRIJEM	\N	71	16929	UROK	\N	\N
3579899	1501	1998-09-30	PRIJEM	\N	71	16667	UROK	\N	\N
3579900	1501	1998-10-31	PRIJEM	\N	78	20251	UROK	\N	\N
3579901	1501	1998-11-30	PRIJEM	\N	93	23851	UROK	\N	\N
3579902	1501	1998-12-31	PRIJEM	\N	109	26366	UROK	\N	\N
3579903	1502	1996-10-31	PRIJEM	\N	102	64459	UROK	\N	\N
3579904	1502	1996-11-30	PRIJEM	\N	268	43627	UROK	\N	\N
3579905	1502	1996-12-31	PRIJEM	\N	231	55244	UROK	\N	\N
3579906	1502	1997-02-28	PRIJEM	\N	178	30422	UROK	\N	\N
3579907	1502	1997-03-31	PRIJEM	\N	159	28981	UROK	\N	\N
3579908	1502	1997-04-30	PRIJEM	\N	108	25988	UROK	\N	\N
3579909	1502	1997-06-30	PRIJEM	\N	108	22096	UROK	\N	\N
3579910	1502	1997-07-31	PRIJEM	\N	108	24804	UROK	\N	\N
3579911	1502	1997-08-31	PRIJEM	\N	108	28012	UROK	\N	\N
3579912	1502	1997-09-30	PRIJEM	\N	108	28920	UROK	\N	\N
3579913	1502	1997-10-31	PRIJEM	\N	108	27227	UROK	\N	\N
3579914	1502	1997-11-30	PRIJEM	\N	108	24635	UROK	\N	\N
3579915	1502	1997-12-31	PRIJEM	\N	108	23543	UROK	\N	\N
3579916	1502	1998-01-31	PRIJEM	\N	120	39220	UROK	\N	\N
3579917	1502	1998-02-28	PRIJEM	\N	161	36659	UROK	\N	\N
3579918	1502	1998-03-31	PRIJEM	\N	264	44811	UROK	\N	\N
3579919	1502	1998-04-30	PRIJEM	\N	241	54852	UROK	\N	\N
3579920	1502	1998-05-31	PRIJEM	\N	177	30861	UROK	\N	\N
3579921	1502	1998-06-30	PRIJEM	\N	222	52985	UROK	\N	\N
3579922	1502	1998-07-31	PRIJEM	\N	212	29369	UROK	\N	\N
3579923	1502	1998-08-31	PRIJEM	\N	112	21328	UROK	\N	\N
3579924	1502	1998-09-30	PRIJEM	\N	82	16257	UROK	\N	\N
3579925	1502	1998-10-31	PRIJEM	\N	102	39978	UROK	\N	\N
3579926	1502	1998-11-30	PRIJEM	\N	264	51328	UROK	\N	\N
3579927	1502	1998-12-31	PRIJEM	\N	179	35755	UROK	\N	\N
3579928	1503	1996-09-30	PRIJEM	\N	58	20972	UROK	\N	\N
3579929	1503	1996-10-31	PRIJEM	\N	92	22635	UROK	\N	\N
3579930	1503	1996-11-30	PRIJEM	\N	97	22784	UROK	\N	\N
3579931	1503	1996-12-31	PRIJEM	\N	99	23954	UROK	\N	\N
3579932	1503	1997-01-31	PRIJEM	\N	67	12632	UROK	\N	\N
3579933	1503	1997-02-28	PRIJEM	\N	57	14260	UROK	\N	\N
3579934	1503	1997-03-31	PRIJEM	\N	64	15896	UROK	\N	\N
3579935	1503	1997-04-30	PRIJEM	\N	71	17538	UROK	\N	\N
3579936	1503	1997-05-31	PRIJEM	\N	78	19186	UROK	\N	\N
3579937	1503	1997-06-30	PRIJEM	\N	78	17785	UROK	\N	\N
3579938	1503	1997-07-31	PRIJEM	\N	79	19435	UROK	\N	\N
3579939	1503	1997-08-31	PRIJEM	\N	82	19729	UROK	\N	\N
3579940	1503	1997-09-30	PRIJEM	\N	78	18018	UROK	\N	\N
3579941	1503	1997-10-31	PRIJEM	\N	79	19669	UROK	\N	\N
3579942	1503	1997-11-30	PRIJEM	\N	86	21326	UROK	\N	\N
3579943	1503	1997-12-31	PRIJEM	\N	88	21026	UROK	\N	\N
3579944	1503	1998-01-31	PRIJEM	\N	71	14908	UROK	\N	\N
3579945	1503	1998-02-28	PRIJEM	\N	66	16546	UROK	\N	\N
3579946	1503	1998-03-31	PRIJEM	\N	66	15463	UROK	\N	\N
3579947	1503	1998-04-30	PRIJEM	\N	69	17103	UROK	\N	\N
3579948	1503	1998-05-31	PRIJEM	\N	71	17226	UROK	\N	\N
3579949	1503	1998-06-30	PRIJEM	\N	65	15013	UROK	\N	\N
3579950	1503	1998-07-31	PRIJEM	\N	67	16651	UROK	\N	\N
3579951	1503	1998-08-31	PRIJEM	\N	74	18296	UROK	\N	\N
3579952	1503	1998-09-30	PRIJEM	\N	80	19947	UROK	\N	\N
3579953	1503	1998-10-31	PRIJEM	\N	87	21606	UROK	\N	\N
3579954	1503	1998-11-30	PRIJEM	\N	94	23271	UROK	\N	\N
3579955	1503	1998-12-31	PRIJEM	\N	94	21437	UROK	\N	\N
3579956	1504	1996-09-30	PRIJEM	\N	19	22558	UROK	\N	\N
3579957	1504	1996-10-31	PRIJEM	\N	105	33901	UROK	\N	\N
3579958	1504	1996-11-30	PRIJEM	\N	145	37885	UROK	\N	\N
3579959	1504	1996-12-31	PRIJEM	\N	165	44657	UROK	\N	\N
3579960	1504	1997-01-31	PRIJEM	\N	195	32486	UROK	\N	\N
3579961	1504	1997-02-28	PRIJEM	\N	159	30863	UROK	\N	\N
3579962	1504	1997-03-31	PRIJEM	\N	153	27735	UROK	\N	\N
3579963	1504	1997-04-30	PRIJEM	\N	152	23605	UROK	\N	\N
3579964	1504	1997-05-31	PRIJEM	\N	138	25962	UROK	\N	\N
3579965	1504	1997-06-30	PRIJEM	\N	156	33405	UROK	\N	\N
3579966	1504	1997-07-31	PRIJEM	\N	155	28179	UROK	\N	\N
3579967	1504	1997-08-31	PRIJEM	\N	139	28936	UROK	\N	\N
3579968	1504	1997-09-30	PRIJEM	\N	139	28693	UROK	\N	\N
3579969	1504	1997-10-31	PRIJEM	\N	132	25143	UROK	\N	\N
3579970	1504	1997-11-30	PRIJEM	\N	118	23680	UROK	\N	\N
3579971	1504	1997-12-31	PRIJEM	\N	144	28311	UROK	\N	\N
3579972	1504	1998-01-31	PRIJEM	\N	112	13941	UROK	\N	\N
3579973	1504	1998-02-28	PRIJEM	\N	73	15932	UROK	\N	\N
3579974	1504	1998-03-31	PRIJEM	\N	79	14229	UROK	\N	\N
3579975	1504	1998-04-30	PRIJEM	\N	83	19830	UROK	\N	\N
3579976	1504	1998-05-31	PRIJEM	\N	91	17740	UROK	\N	\N
3579977	1504	1998-06-30	PRIJEM	\N	94	19522	UROK	\N	\N
3579978	1504	1998-07-31	PRIJEM	\N	88	17728	UROK	\N	\N
3579979	1504	1998-08-31	PRIJEM	\N	90	21937	UROK	\N	\N
3579980	1504	1998-09-30	PRIJEM	\N	91	16845	UROK	\N	\N
3579981	1504	1998-10-31	PRIJEM	\N	74	16338	UROK	\N	\N
3579982	1504	1998-11-30	PRIJEM	\N	83	17139	UROK	\N	\N
3579983	1504	1998-12-31	PRIJEM	\N	91	20118	UROK	\N	\N
3579984	1506	1997-11-30	PRIJEM	\N	15	17621	UROK	\N	\N
3579985	1506	1997-12-31	PRIJEM	\N	65	21195	UROK	\N	\N
3579986	1506	1998-01-31	PRIJEM	\N	88	26490	UROK	\N	\N
3579987	1506	1998-02-28	PRIJEM	\N	107	28502	UROK	\N	\N
3579988	1506	1998-03-31	PRIJEM	\N	115	26224	UROK	\N	\N
3579989	1506	1998-04-30	PRIJEM	\N	81	16696	UROK	\N	\N
3579990	1506	1998-05-31	PRIJEM	\N	51	14738	UROK	\N	\N
3579991	1506	1998-06-30	PRIJEM	\N	82	22615	UROK	\N	\N
3579992	1506	1998-07-31	PRIJEM	\N	76	16782	UROK	\N	\N
3579993	1506	1998-08-31	PRIJEM	\N	72	16845	UROK	\N	\N
3579994	1506	1998-09-30	PRIJEM	\N	72	15009	UROK	\N	\N
3579995	1506	1998-10-31	PRIJEM	\N	61	14361	UROK	\N	\N
3579996	1506	1998-11-30	PRIJEM	\N	48	9800	UROK	\N	\N
3579997	1507	1993-08-31	PRIJEM	\N	77	22150	UROK	\N	\N
3579998	1507	1993-09-30	PRIJEM	\N	178	47101	UROK	\N	\N
3579999	1507	1993-10-31	PRIJEM	\N	227	56202	UROK	\N	\N
3580000	1507	1993-11-30	PRIJEM	\N	248	60422	UROK	\N	\N
3580001	1507	1993-12-31	PRIJEM	\N	263	58316	UROK	\N	\N
3580002	1507	1994-01-31	PRIJEM	\N	213	36228	UROK	\N	\N
3580003	1507	1994-02-28	PRIJEM	\N	199	51066	UROK	\N	\N
3580004	1507	1994-03-31	PRIJEM	\N	217	51902	UROK	\N	\N
3580005	1507	1994-04-30	PRIJEM	\N	216	52158	UROK	\N	\N
3580006	1507	1994-05-31	PRIJEM	\N	209	37106	UROK	\N	\N
3580007	1507	1994-06-30	PRIJEM	\N	84	21347	UROK	\N	\N
3580008	1507	1994-07-31	PRIJEM	\N	136	31422	UROK	\N	\N
3580009	1507	1994-08-31	PRIJEM	\N	173	33134	UROK	\N	\N
3580010	1507	1994-09-30	PRIJEM	\N	179	34552	UROK	\N	\N
3580011	1507	1994-10-31	PRIJEM	\N	183	36635	UROK	\N	\N
3580012	1507	1994-11-30	PRIJEM	\N	191	37565	UROK	\N	\N
3580013	1507	1994-12-31	PRIJEM	\N	223	44145	UROK	\N	\N
3580014	1507	1995-01-31	PRIJEM	\N	200	34644	UROK	\N	\N
3580015	1507	1995-02-28	PRIJEM	\N	182	36065	UROK	\N	\N
3580016	1507	1995-03-31	PRIJEM	\N	185	37250	UROK	\N	\N
3580017	1507	1995-04-30	PRIJEM	\N	191	37480	UROK	\N	\N
3580018	1507	1995-05-31	PRIJEM	\N	179	33858	UROK	\N	\N
3580019	1507	1995-06-30	PRIJEM	\N	194	38248	UROK	\N	\N
3580020	1507	1995-07-31	PRIJEM	\N	191	37578	UROK	\N	\N
3580021	1507	1995-08-31	PRIJEM	\N	185	36002	UROK	\N	\N
3580022	1507	1995-09-30	PRIJEM	\N	170	32531	UROK	\N	\N
3580023	1507	1995-10-31	PRIJEM	\N	168	35639	UROK	\N	\N
3580024	1507	1995-11-30	PRIJEM	\N	175	35213	UROK	\N	\N
3580025	1507	1995-12-31	PRIJEM	\N	198	39627	UROK	\N	\N
3580026	1507	1996-01-31	PRIJEM	\N	173	32059	UROK	\N	\N
3580027	1507	1996-02-29	PRIJEM	\N	165	37063	UROK	\N	\N
3580028	1507	1996-03-31	PRIJEM	\N	180	38082	UROK	\N	\N
3580029	1507	1996-04-30	PRIJEM	\N	177	34739	UROK	\N	\N
3580030	1507	1996-05-31	PRIJEM	\N	173	38351	UROK	\N	\N
3580031	1507	1996-06-30	PRIJEM	\N	114	26120	UROK	\N	\N
3580032	1507	1996-07-31	PRIJEM	\N	145	35105	UROK	\N	\N
3580033	1507	1996-08-31	PRIJEM	\N	168	37513	UROK	\N	\N
3580034	1507	1996-09-30	PRIJEM	\N	170	36522	UROK	\N	\N
3580035	1507	1996-10-31	PRIJEM	\N	169	34111	UROK	\N	\N
3580036	1507	1996-11-30	PRIJEM	\N	167	39117	UROK	\N	\N
3580037	1507	1996-12-31	PRIJEM	\N	182	39075	UROK	\N	\N
3580038	1507	1997-01-31	PRIJEM	\N	153	26647	UROK	\N	\N
3580039	1507	1997-02-28	PRIJEM	\N	131	32037	UROK	\N	\N
3580040	1507	1997-03-31	PRIJEM	\N	146	30063	UROK	\N	\N
3580041	1507	1997-04-30	PRIJEM	\N	150	36053	UROK	\N	\N
3580042	1507	1997-05-31	PRIJEM	\N	167	38759	UROK	\N	\N
3580043	1507	1997-06-30	PRIJEM	\N	200	47335	UROK	\N	\N
3580044	1507	1997-07-31	PRIJEM	\N	214	50788	UROK	\N	\N
3580045	1507	1997-08-31	PRIJEM	\N	227	54254	UROK	\N	\N
3580046	1507	1997-09-30	PRIJEM	\N	233	55226	UROK	\N	\N
3580047	1507	1997-10-31	PRIJEM	\N	236	56202	UROK	\N	\N
3580048	1507	1997-11-30	PRIJEM	\N	241	57142	UROK	\N	\N
3580049	1507	1997-12-31	PRIJEM	\N	269	65027	UROK	\N	\N
3580050	1507	1998-01-31	PRIJEM	\N	253	51459	UROK	\N	\N
3580051	1507	1998-02-28	PRIJEM	\N	240	60739	UROK	\N	\N
3580052	1507	1998-03-31	PRIJEM	\N	257	61936	UROK	\N	\N
3580053	1507	1998-04-30	PRIJEM	\N	265	64120	UROK	\N	\N
3580054	1507	1998-05-31	PRIJEM	\N	277	67736	UROK	\N	\N
3580055	1507	1998-06-30	PRIJEM	\N	175	31347	UROK	\N	\N
3580056	1507	1998-07-31	PRIJEM	\N	178	47064	UROK	\N	\N
3580057	1507	1998-08-31	PRIJEM	\N	213	52656	UROK	\N	\N
3580058	1507	1998-09-30	PRIJEM	\N	220	51536	UROK	\N	\N
3580059	1507	1998-10-31	PRIJEM	\N	205	49680	UROK	\N	\N
3580060	1507	1998-11-30	PRIJEM	\N	242	61361	UROK	\N	\N
3580061	1507	1998-12-31	PRIJEM	\N	314	76852	UROK	\N	\N
3580062	1508	1996-09-30	PRIJEM	\N	81	45170	UROK	\N	\N
3580063	1508	1996-10-31	PRIJEM	\N	188	34758	UROK	\N	\N
3580064	1508	1996-11-30	PRIJEM	\N	225	94714	UROK	\N	\N
3580065	1508	1996-12-31	PRIJEM	\N	358	59904	UROK	\N	\N
3580066	1508	1997-01-31	PRIJEM	\N	143	21085	UROK	\N	\N
3580067	1508	1997-02-28	PRIJEM	\N	94	23260	UROK	\N	\N
3580068	1508	1997-03-31	PRIJEM	\N	139	56220	UROK	\N	\N
3580069	1508	1997-04-30	PRIJEM	\N	242	64023	UROK	\N	\N
3580070	1508	1997-05-31	PRIJEM	\N	230	49802	UROK	\N	\N
3580071	1508	1997-06-30	PRIJEM	\N	212	43022	UROK	\N	\N
3580072	1508	1997-07-31	PRIJEM	\N	172	33238	UROK	\N	\N
3580073	1508	1997-08-31	PRIJEM	\N	191	48644	UROK	\N	\N
3580074	1508	1997-09-30	PRIJEM	\N	142	24605	UROK	\N	\N
3580075	1508	1997-10-31	PRIJEM	\N	90	18356	UROK	\N	\N
3580076	1508	1997-11-30	PRIJEM	\N	84	30226	UROK	\N	\N
3580077	1508	1997-12-31	PRIJEM	\N	83	14327	UROK	\N	\N
3580078	1508	1998-01-31	PRIJEM	\N	58	5403	UROK	\N	\N
3580079	1508	1998-02-28	PRIJEM	\N	22	5411	UROK	\N	\N
3580080	1508	1998-04-30	PRIJEM	\N	23	5426	UROK	\N	\N
3580081	1508	1998-04-30	PRIJEM	\N	22	5403	UROK	\N	\N
3580082	1508	1998-05-31	PRIJEM	\N	128	57343	UROK	\N	\N
3580083	1508	1998-06-30	PRIJEM	\N	326	102617	UROK	\N	\N
3580084	1508	1998-07-31	PRIJEM	\N	278	58093	UROK	\N	\N
3580085	1508	1998-08-31	PRIJEM	\N	246	49793	UROK	\N	\N
3580086	1508	1998-09-30	PRIJEM	\N	146	37769	UROK	\N	\N
3580087	1508	1998-10-31	PRIJEM	\N	200	70756	UROK	\N	\N
3580088	1508	1998-11-30	PRIJEM	\N	193	69975	UROK	\N	\N
3580089	1508	1998-12-31	PRIJEM	\N	173	32067	UROK	\N	\N
3580090	1509	1994-06-30	PRIJEM	\N	46	25428	UROK	\N	\N
3580091	1509	1994-07-31	PRIJEM	\N	114	29830	UROK	\N	\N
3580092	1509	1994-08-31	PRIJEM	\N	133	34351	UROK	\N	\N
3580093	1509	1994-09-30	PRIJEM	\N	142	34281	UROK	\N	\N
3580094	1509	1994-10-31	PRIJEM	\N	142	31148	UROK	\N	\N
3580095	1509	1994-11-30	PRIJEM	\N	125	27984	UROK	\N	\N
3580096	1509	1994-12-31	PRIJEM	\N	118	25367	UROK	\N	\N
3580097	1509	1995-01-31	PRIJEM	\N	99	17436	UROK	\N	\N
3580098	1509	1995-02-28	PRIJEM	\N	87	22414	UROK	\N	\N
3580099	1509	1995-03-31	PRIJEM	\N	103	25328	UROK	\N	\N
3580100	1509	1995-04-30	PRIJEM	\N	103	22841	UROK	\N	\N
3580101	1509	1995-05-31	PRIJEM	\N	94	21045	UROK	\N	\N
3580102	1509	1995-06-30	PRIJEM	\N	101	22890	UROK	\N	\N
3580103	1509	1995-07-31	PRIJEM	\N	86	19187	UROK	\N	\N
3580104	1509	1995-08-31	PRIJEM	\N	104	20601	UROK	\N	\N
3580105	1509	1995-09-30	PRIJEM	\N	71	12282	UROK	\N	\N
3580106	1509	1995-10-31	PRIJEM	\N	59	12952	UROK	\N	\N
3580107	1509	1995-11-30	PRIJEM	\N	61	12923	UROK	\N	\N
3580108	1509	1995-12-31	PRIJEM	\N	69	13056	UROK	\N	\N
3580109	1509	1996-01-31	PRIJEM	\N	59	13026	UROK	\N	\N
3580110	1509	1996-02-29	PRIJEM	\N	73	18610	UROK	\N	\N
3580111	1509	1996-03-31	PRIJEM	\N	54	10174	UROK	\N	\N
3580112	1509	1996-04-30	PRIJEM	\N	72	17157	UROK	\N	\N
3580113	1509	1996-05-31	PRIJEM	\N	77	17664	UROK	\N	\N
3580114	1509	1996-06-30	PRIJEM	\N	101	26070	UROK	\N	\N
3580115	1509	1996-07-31	PRIJEM	\N	112	23292	UROK	\N	\N
3580116	1509	1996-08-31	PRIJEM	\N	84	16326	UROK	\N	\N
3580117	1509	1996-09-30	PRIJEM	\N	76	18413	UROK	\N	\N
3580118	1509	1996-10-31	PRIJEM	\N	94	25418	UROK	\N	\N
3580119	1509	1996-11-30	PRIJEM	\N	84	14112	UROK	\N	\N
3580120	1509	1996-12-31	PRIJEM	\N	94	26931	UROK	\N	\N
3580121	1509	1997-01-31	PRIJEM	\N	103	21104	UROK	\N	\N
3580122	1509	1997-02-28	PRIJEM	\N	104	28118	UROK	\N	\N
3580123	1509	1997-03-31	PRIJEM	\N	94	20143	UROK	\N	\N
3580124	1509	1997-04-30	PRIJEM	\N	94	20947	UROK	\N	\N
3580125	1509	1997-05-31	PRIJEM	\N	111	27968	UROK	\N	\N
3580126	1509	1997-06-30	PRIJEM	\N	127	31300	UROK	\N	\N
3580127	1509	1997-07-31	PRIJEM	\N	108	23158	UROK	\N	\N
3580128	1509	1997-08-31	PRIJEM	\N	111	28979	UROK	\N	\N
3580129	1509	1997-09-30	PRIJEM	\N	90	21680	UROK	\N	\N
3580130	1509	1997-10-31	PRIJEM	\N	104	17195	UROK	\N	\N
3580131	1509	1997-11-30	PRIJEM	\N	84	13128	UROK	\N	\N
3580132	1509	1997-12-31	PRIJEM	\N	90	16002	UROK	\N	\N
3580133	1509	1998-01-31	PRIJEM	\N	77	15310	UROK	\N	\N
3580134	1509	1998-02-28	PRIJEM	\N	88	15608	UROK	\N	\N
3580135	1509	1998-03-31	PRIJEM	\N	77	14616	UROK	\N	\N
3580136	1509	1998-04-30	PRIJEM	\N	77	17163	UROK	\N	\N
3580137	1509	1998-05-31	PRIJEM	\N	82	12655	UROK	\N	\N
3580138	1509	1998-06-30	PRIJEM	\N	82	14281	UROK	\N	\N
3580139	1509	1998-07-31	PRIJEM	\N	71	13762	UROK	\N	\N
3580140	1509	1998-08-31	PRIJEM	\N	69	14762	UROK	\N	\N
3580141	1509	1998-09-30	PRIJEM	\N	73	16345	UROK	\N	\N
3580142	1509	1998-10-31	PRIJEM	\N	75	13530	UROK	\N	\N
3580143	1509	1998-11-30	PRIJEM	\N	69	13410	UROK	\N	\N
3580144	1509	1998-12-31	PRIJEM	\N	80	17094	UROK	\N	\N
3580145	1510	1996-03-31	PRIJEM	\N	52	21457	UROK	\N	\N
3580146	1510	1996-04-30	PRIJEM	\N	143	44505	UROK	\N	\N
3580147	1510	1996-05-31	PRIJEM	\N	211	55522	UROK	\N	\N
3580148	1510	1996-06-30	PRIJEM	\N	266	70445	UROK	\N	\N
3580149	1510	1996-07-31	PRIJEM	\N	294	70943	UROK	\N	\N
3580150	1510	1996-08-31	PRIJEM	\N	260	61408	UROK	\N	\N
3580151	1510	1996-09-30	PRIJEM	\N	221	52235	UROK	\N	\N
3580152	1510	1996-10-31	PRIJEM	\N	206	47126	UROK	\N	\N
3580153	1510	1996-11-30	PRIJEM	\N	190	48122	UROK	\N	\N
3580154	1510	1996-12-31	PRIJEM	\N	209	57508	UROK	\N	\N
3580155	1510	1997-01-31	PRIJEM	\N	206	50600	UROK	\N	\N
3580156	1510	1997-02-28	PRIJEM	\N	198	49403	UROK	\N	\N
3580157	1510	1997-03-31	PRIJEM	\N	181	46529	UROK	\N	\N
3580158	1510	1997-04-30	PRIJEM	\N	177	40831	UROK	\N	\N
3580159	1510	1997-05-31	PRIJEM	\N	165	42101	UROK	\N	\N
3580160	1510	1997-06-30	PRIJEM	\N	184	15223	UROK	\N	\N
3580161	1510	1997-07-31	PRIJEM	\N	91	28119	UROK	\N	\N
3580162	1510	1997-08-31	PRIJEM	\N	132	36556	UROK	\N	\N
3580163	1510	1997-09-30	PRIJEM	\N	121	34123	UROK	\N	\N
3580164	1510	1997-10-31	PRIJEM	\N	154	41582	UROK	\N	\N
3580165	1510	1997-11-30	PRIJEM	\N	160	40248	UROK	\N	\N
3580166	1510	1997-12-31	PRIJEM	\N	176	48761	UROK	\N	\N
3580167	1510	1998-01-31	PRIJEM	\N	129	25816	UROK	\N	\N
3580168	1510	1998-02-28	PRIJEM	\N	122	35204	UROK	\N	\N
3580169	1510	1998-03-31	PRIJEM	\N	157	42666	UROK	\N	\N
3580170	1510	1998-04-30	PRIJEM	\N	174	47246	UROK	\N	\N
3580171	1510	1998-05-31	PRIJEM	\N	168	38820	UROK	\N	\N
3580172	1510	1998-06-30	PRIJEM	\N	140	29717	UROK	\N	\N
3580173	1510	1998-07-31	PRIJEM	\N	146	33068	UROK	\N	\N
3580174	1510	1998-08-31	PRIJEM	\N	158	34831	UROK	\N	\N
3580175	1510	1998-09-30	PRIJEM	\N	161	30297	UROK	\N	\N
3580176	1510	1998-10-31	PRIJEM	\N	134	28876	UROK	\N	\N
3580177	1510	1998-11-30	PRIJEM	\N	131	22692	UROK	\N	\N
3580178	1510	1998-12-31	PRIJEM	\N	131	38121	UROK	\N	\N
3580179	1512	1994-02-28	PRIJEM	\N	61	18619	UROK	\N	\N
3580180	1512	1994-03-31	PRIJEM	\N	112	29989	UROK	\N	\N
3580181	1512	1994-04-30	PRIJEM	\N	145	36292	UROK	\N	\N
3580182	1512	1994-05-31	PRIJEM	\N	151	36300	UROK	\N	\N
3580183	1512	1994-06-30	PRIJEM	\N	136	31051	UROK	\N	\N
3580184	1512	1994-07-31	PRIJEM	\N	111	25084	UROK	\N	\N
3580185	1512	1994-08-31	PRIJEM	\N	121	28946	UROK	\N	\N
3580186	1512	1994-09-30	PRIJEM	\N	128	30696	UROK	\N	\N
3580187	1512	1994-10-31	PRIJEM	\N	135	32353	UROK	\N	\N
3580188	1512	1994-11-30	PRIJEM	\N	145	34719	UROK	\N	\N
3580189	1512	1994-12-31	PRIJEM	\N	171	41890	UROK	\N	\N
3580190	1512	1995-01-31	PRIJEM	\N	127	14898	UROK	\N	\N
3580191	1512	1995-02-28	PRIJEM	\N	104	26923	UROK	\N	\N
3580192	1512	1995-03-31	PRIJEM	\N	132	32276	UROK	\N	\N
3580193	1512	1995-04-30	PRIJEM	\N	140	33438	UROK	\N	\N
3580194	1512	1995-05-31	PRIJEM	\N	150	36209	UROK	\N	\N
3580195	1512	1995-06-30	PRIJEM	\N	170	40119	UROK	\N	\N
3580196	1512	1995-07-31	PRIJEM	\N	153	35293	UROK	\N	\N
3580197	1512	1995-08-31	PRIJEM	\N	149	34664	UROK	\N	\N
3580198	1512	1995-09-30	PRIJEM	\N	131	31537	UROK	\N	\N
3580199	1512	1995-10-31	PRIJEM	\N	121	25419	UROK	\N	\N
3580200	1512	1995-11-30	PRIJEM	\N	121	27561	UROK	\N	\N
3580201	1512	1995-12-31	PRIJEM	\N	148	28809	UROK	\N	\N
3580202	1512	1996-01-31	PRIJEM	\N	106	17696	UROK	\N	\N
3580203	1512	1996-02-29	PRIJEM	\N	90	24508	UROK	\N	\N
3580204	1512	1996-03-31	PRIJEM	\N	105	20894	UROK	\N	\N
3580205	1512	1996-04-30	PRIJEM	\N	102	25418	UROK	\N	\N
3580206	1512	1996-05-31	PRIJEM	\N	117	24356	UROK	\N	\N
3580207	1512	1996-06-30	PRIJEM	\N	135	31091	UROK	\N	\N
3580208	1512	1996-07-31	PRIJEM	\N	138	27350	UROK	\N	\N
3580209	1512	1996-08-31	PRIJEM	\N	126	29398	UROK	\N	\N
3580210	1512	1996-09-30	PRIJEM	\N	129	29608	UROK	\N	\N
3580211	1512	1996-10-31	PRIJEM	\N	131	30081	UROK	\N	\N
3580212	1512	1996-11-30	PRIJEM	\N	137	32539	UROK	\N	\N
3580213	1512	1996-12-31	PRIJEM	\N	161	35200	UROK	\N	\N
3580214	1512	1997-01-31	PRIJEM	\N	126	22648	UROK	\N	\N
3580215	1512	1997-02-28	PRIJEM	\N	107	26376	UROK	\N	\N
3580216	1512	1997-03-31	PRIJEM	\N	126	27603	UROK	\N	\N
3580217	1512	1997-04-30	PRIJEM	\N	124	32868	UROK	\N	\N
3580218	1512	1997-05-31	PRIJEM	\N	154	39844	UROK	\N	\N
3580219	1512	1997-06-30	PRIJEM	\N	189	45172	UROK	\N	\N
3580220	1512	1997-07-31	PRIJEM	\N	197	46991	UROK	\N	\N
3580221	1512	1997-08-31	PRIJEM	\N	205	49117	UROK	\N	\N
3580222	1512	1997-09-30	PRIJEM	\N	211	49750	UROK	\N	\N
3580223	1512	1997-10-31	PRIJEM	\N	208	47499	UROK	\N	\N
3580224	1512	1997-11-30	PRIJEM	\N	202	47523	UROK	\N	\N
3580225	1512	1997-12-31	PRIJEM	\N	216	50539	UROK	\N	\N
3580226	1512	1998-01-31	PRIJEM	\N	183	38603	UROK	\N	\N
3580227	1512	1998-02-28	PRIJEM	\N	172	41796	UROK	\N	\N
3580228	1512	1998-03-31	PRIJEM	\N	190	48107	UROK	\N	\N
3580229	1512	1998-04-30	PRIJEM	\N	203	48111	UROK	\N	\N
3580230	1512	1998-05-31	PRIJEM	\N	197	47030	UROK	\N	\N
3580231	1512	1998-06-30	PRIJEM	\N	218	53448	UROK	\N	\N
3580232	1512	1998-07-31	PRIJEM	\N	220	51389	UROK	\N	\N
3580233	1512	1998-08-31	PRIJEM	\N	218	52089	UROK	\N	\N
3580234	1512	1998-09-30	PRIJEM	\N	219	52589	UROK	\N	\N
3580235	1512	1998-10-31	PRIJEM	\N	211	49521	UROK	\N	\N
3580236	1512	1998-11-30	PRIJEM	\N	201	47643	UROK	\N	\N
3580237	1512	1998-12-31	PRIJEM	\N	206	47490	UROK	\N	\N
3580238	1513	1993-09-30	PRIJEM	\N	25	20349	UROK	\N	\N
3580239	1513	1993-10-31	PRIJEM	\N	101	32174	UROK	\N	\N
3580240	1513	1993-11-30	PRIJEM	\N	141	37138	UROK	\N	\N
3580241	1513	1993-12-31	PRIJEM	\N	160	41134	UROK	\N	\N
3580242	1513	1994-01-31	PRIJEM	\N	172	33694	UROK	\N	\N
3580243	1513	1994-02-28	PRIJEM	\N	148	28202	UROK	\N	\N
3580244	1513	1994-03-31	PRIJEM	\N	125	30388	UROK	\N	\N
3580245	1513	1994-04-30	PRIJEM	\N	141	31889	UROK	\N	\N
3580246	1513	1994-05-31	PRIJEM	\N	145	31995	UROK	\N	\N
3580247	1513	1994-06-30	PRIJEM	\N	126	30593	UROK	\N	\N
3580248	1513	1994-07-31	PRIJEM	\N	135	29088	UROK	\N	\N
3580249	1513	1994-08-31	PRIJEM	\N	141	34189	UROK	\N	\N
3580250	1513	1994-09-30	PRIJEM	\N	151	33901	UROK	\N	\N
3580251	1513	1994-10-31	PRIJEM	\N	153	34314	UROK	\N	\N
3580252	1513	1994-11-30	PRIJEM	\N	158	37633	UROK	\N	\N
3580253	1513	1994-12-31	PRIJEM	\N	176	38081	UROK	\N	\N
3580254	1513	1995-01-31	PRIJEM	\N	149	29291	UROK	\N	\N
3580255	1513	1995-02-28	PRIJEM	\N	147	34998	UROK	\N	\N
3580256	1513	1995-03-31	PRIJEM	\N	157	37115	UROK	\N	\N
3580257	1513	1995-04-30	PRIJEM	\N	165	38740	UROK	\N	\N
3580258	1513	1995-05-31	PRIJEM	\N	173	40873	UROK	\N	\N
3580259	1513	1995-06-30	PRIJEM	\N	184	41330	UROK	\N	\N
3580260	1513	1995-07-31	PRIJEM	\N	188	43678	UROK	\N	\N
3580261	1513	1995-08-31	PRIJEM	\N	176	34115	UROK	\N	\N
3580262	1513	1995-09-30	PRIJEM	\N	150	35325	UROK	\N	\N
3580263	1513	1995-10-31	PRIJEM	\N	145	33330	UROK	\N	\N
3580264	1513	1995-11-30	PRIJEM	\N	145	33335	UROK	\N	\N
3580265	1513	1995-12-31	PRIJEM	\N	147	34254	UROK	\N	\N
3580266	1513	1996-01-31	PRIJEM	\N	129	26643	UROK	\N	\N
3580267	1513	1996-02-29	PRIJEM	\N	141	36044	UROK	\N	\N
3580268	1513	1996-03-31	PRIJEM	\N	148	35153	UROK	\N	\N
3580269	1513	1996-04-30	PRIJEM	\N	170	43383	UROK	\N	\N
3580270	1513	1996-05-31	PRIJEM	\N	194	48338	UROK	\N	\N
3580271	1513	1996-06-30	PRIJEM	\N	215	44925	UROK	\N	\N
3580272	1513	1996-07-31	PRIJEM	\N	200	49085	UROK	\N	\N
3580273	1513	1996-08-31	PRIJEM	\N	203	49648	UROK	\N	\N
3580274	1513	1996-09-30	PRIJEM	\N	208	50516	UROK	\N	\N
3580275	1513	1996-10-31	PRIJEM	\N	221	54897	UROK	\N	\N
3580276	1513	1996-11-30	PRIJEM	\N	221	53578	UROK	\N	\N
3580277	1513	1996-12-31	PRIJEM	\N	223	54374	UROK	\N	\N
3580278	1513	1997-01-31	PRIJEM	\N	196	42331	UROK	\N	\N
3580279	1513	1997-02-28	PRIJEM	\N	174	41365	UROK	\N	\N
3580280	1513	1997-03-31	PRIJEM	\N	173	42599	UROK	\N	\N
3580281	1513	1997-04-30	PRIJEM	\N	175	43034	UROK	\N	\N
3580282	1513	1997-05-31	PRIJEM	\N	192	47686	UROK	\N	\N
3580283	1513	1997-06-30	PRIJEM	\N	203	46461	UROK	\N	\N
3580284	1513	1997-07-31	PRIJEM	\N	210	53132	UROK	\N	\N
3580285	1513	1997-08-31	PRIJEM	\N	226	56119	UROK	\N	\N
3580286	1513	1997-09-30	PRIJEM	\N	233	57412	UROK	\N	\N
3580287	1513	1997-10-31	PRIJEM	\N	243	60315	UROK	\N	\N
3580288	1513	1997-11-30	PRIJEM	\N	248	62024	UROK	\N	\N
3580289	1513	1997-12-31	PRIJEM	\N	285	62981	UROK	\N	\N
3580290	1513	1998-01-31	PRIJEM	\N	265	56007	UROK	\N	\N
3580291	1513	1998-02-28	PRIJEM	\N	255	63922	UROK	\N	\N
3580292	1513	1998-03-31	PRIJEM	\N	260	56242	UROK	\N	\N
3580293	1513	1998-04-30	PRIJEM	\N	253	59856	UROK	\N	\N
3580294	1513	1998-05-31	PRIJEM	\N	270	65587	UROK	\N	\N
3580295	1513	1998-06-30	PRIJEM	\N	297	69256	UROK	\N	\N
3580296	1513	1998-07-31	PRIJEM	\N	306	67423	UROK	\N	\N
3580297	1513	1998-08-31	PRIJEM	\N	298	66381	UROK	\N	\N
3580298	1513	1998-09-30	PRIJEM	\N	294	69735	UROK	\N	\N
3580299	1513	1998-10-31	PRIJEM	\N	300	72196	UROK	\N	\N
3580300	1513	1998-11-30	PRIJEM	\N	300	69156	UROK	\N	\N
3580301	1513	1998-12-31	PRIJEM	\N	327	82855	UROK	\N	\N
3580302	1514	1997-07-31	PRIJEM	\N	22	6852	UROK	\N	\N
3580303	1514	1997-08-31	PRIJEM	\N	29	12811	UROK	\N	\N
3580304	1514	1997-09-30	PRIJEM	\N	29	18769	UROK	\N	\N
3580305	1514	1997-10-31	PRIJEM	\N	29	24727	UROK	\N	\N
3580306	1514	1997-11-30	PRIJEM	\N	40	27657	UROK	\N	\N
3580307	1514	1997-12-31	PRIJEM	\N	117	27829	UROK	\N	\N
3580308	1514	1998-01-31	PRIJEM	\N	120	27283	UROK	\N	\N
3580309	1514	1998-02-28	PRIJEM	\N	117	24734	UROK	\N	\N
3580310	1514	1998-03-31	PRIJEM	\N	106	23534	UROK	\N	\N
3580311	1514	1998-04-30	PRIJEM	\N	103	23671	UROK	\N	\N
3580312	1514	1998-05-31	PRIJEM	\N	104	24609	UROK	\N	\N
3580313	1514	1998-06-30	PRIJEM	\N	106	23650	UROK	\N	\N
3580314	1514	1998-07-31	PRIJEM	\N	103	24487	UROK	\N	\N
3580315	1514	1998-08-31	PRIJEM	\N	104	24485	UROK	\N	\N
3580316	1514	1998-09-30	PRIJEM	\N	108	26727	UROK	\N	\N
3580317	1514	1998-10-31	PRIJEM	\N	117	28979	UROK	\N	\N
3580318	1514	1998-11-30	PRIJEM	\N	110	22983	UROK	\N	\N
3580319	1514	1998-12-31	PRIJEM	\N	88	20756	UROK	\N	\N
3580320	1515	1993-07-31	PRIJEM	\N	70	24713	UROK	\N	\N
3580321	1515	1993-08-31	PRIJEM	\N	145	39201	UROK	\N	\N
3580322	1515	1993-09-30	PRIJEM	\N	188	47532	UROK	\N	\N
3580323	1515	1993-10-31	PRIJEM	\N	209	51183	UROK	\N	\N
3580324	1515	1993-11-30	PRIJEM	\N	201	43406	UROK	\N	\N
3580325	1515	1993-12-31	PRIJEM	\N	204	48090	UROK	\N	\N
3580326	1515	1994-01-31	PRIJEM	\N	162	21861	UROK	\N	\N
3580327	1515	1994-02-28	PRIJEM	\N	186	48556	UROK	\N	\N
3580328	1515	1994-03-31	PRIJEM	\N	197	45263	UROK	\N	\N
3580329	1515	1994-04-30	PRIJEM	\N	211	45784	UROK	\N	\N
3580330	1515	1994-05-31	PRIJEM	\N	186	39122	UROK	\N	\N
3580331	1515	1994-06-30	PRIJEM	\N	273	70476	UROK	\N	\N
3580332	1515	1994-07-31	PRIJEM	\N	279	59964	UROK	\N	\N
3580333	1515	1994-08-31	PRIJEM	\N	257	59131	UROK	\N	\N
3580334	1515	1994-09-30	PRIJEM	\N	273	65713	UROK	\N	\N
3580335	1515	1994-10-31	PRIJEM	\N	291	69714	UROK	\N	\N
3580336	1515	1994-11-30	PRIJEM	\N	274	62197	UROK	\N	\N
3580337	1515	1994-12-31	PRIJEM	\N	283	67760	UROK	\N	\N
3580338	1515	1995-01-31	PRIJEM	\N	227	48396	UROK	\N	\N
3580339	1515	1995-02-28	PRIJEM	\N	244	57250	UROK	\N	\N
3580340	1515	1995-03-31	PRIJEM	\N	227	40964	UROK	\N	\N
3580341	1515	1995-04-30	PRIJEM	\N	239	59112	UROK	\N	\N
3580342	1515	1995-05-31	PRIJEM	\N	285	64507	UROK	\N	\N
3580343	1515	1995-06-30	PRIJEM	\N	337	85824	UROK	\N	\N
3580344	1515	1995-07-31	PRIJEM	\N	274	57761	UROK	\N	\N
3580345	1515	1995-08-31	PRIJEM	\N	199	31161	UROK	\N	\N
3580346	1515	1995-09-30	PRIJEM	\N	204	48475	UROK	\N	\N
3580347	1515	1995-10-31	PRIJEM	\N	276	57360	UROK	\N	\N
3580348	1515	1995-11-30	PRIJEM	\N	230	43678	UROK	\N	\N
3580349	1515	1995-12-31	PRIJEM	\N	266	45776	UROK	\N	\N
3580350	1515	1996-01-31	PRIJEM	\N	196	34832	UROK	\N	\N
3580351	1515	1996-02-29	PRIJEM	\N	198	45939	UROK	\N	\N
3580352	1515	1996-03-31	PRIJEM	\N	250	50098	UROK	\N	\N
3580353	1515	1996-04-30	PRIJEM	\N	220	47482	UROK	\N	\N
3580354	1515	1996-05-31	PRIJEM	\N	259	52351	UROK	\N	\N
3580355	1515	1996-06-30	PRIJEM	\N	316	61247	UROK	\N	\N
3580356	1515	1996-07-31	PRIJEM	\N	307	58463	UROK	\N	\N
3580357	1515	1996-08-31	PRIJEM	\N	291	51463	UROK	\N	\N
3580358	1515	1996-09-30	PRIJEM	\N	209	43490	UROK	\N	\N
3580359	1515	1996-10-31	PRIJEM	\N	208	46908	UROK	\N	\N
3580360	1515	1996-11-30	PRIJEM	\N	243	50960	UROK	\N	\N
3580361	1515	1996-12-31	PRIJEM	\N	269	50094	UROK	\N	\N
3580362	1515	1997-01-31	PRIJEM	\N	202	27505	UROK	\N	\N
3580363	1515	1997-02-28	PRIJEM	\N	134	35407	UROK	\N	\N
3580364	1515	1997-03-31	PRIJEM	\N	217	51433	UROK	\N	\N
3580365	1515	1997-04-30	PRIJEM	\N	218	44934	UROK	\N	\N
3580366	1515	1997-05-31	PRIJEM	\N	239	52182	UROK	\N	\N
3580367	1515	1997-06-30	PRIJEM	\N	217	45871	UROK	\N	\N
3580368	1515	1997-07-31	PRIJEM	\N	235	38315	UROK	\N	\N
3580369	1515	1997-08-31	PRIJEM	\N	197	43489	UROK	\N	\N
3580370	1515	1997-09-30	PRIJEM	\N	203	46502	UROK	\N	\N
3580371	1515	1997-10-31	PRIJEM	\N	239	54276	UROK	\N	\N
3580372	1515	1997-11-30	PRIJEM	\N	239	54225	UROK	\N	\N
3580373	1515	1997-12-31	PRIJEM	\N	217	50813	UROK	\N	\N
3580374	1515	1998-01-31	PRIJEM	\N	198	32081	UROK	\N	\N
3580375	1515	1998-02-28	PRIJEM	\N	187	45877	UROK	\N	\N
3580376	1515	1998-03-31	PRIJEM	\N	187	36564	UROK	\N	\N
3580377	1515	1998-04-30	PRIJEM	\N	208	51682	UROK	\N	\N
3580378	1515	1998-05-31	PRIJEM	\N	197	39049	UROK	\N	\N
3580379	1515	1998-06-30	PRIJEM	\N	237	47571	UROK	\N	\N
3580380	1515	1998-07-31	PRIJEM	\N	238	55803	UROK	\N	\N
3580381	1515	1998-08-31	PRIJEM	\N	252	57192	UROK	\N	\N
3580382	1515	1998-09-30	PRIJEM	\N	267	54468	UROK	\N	\N
3580383	1515	1998-10-31	PRIJEM	\N	252	49029	UROK	\N	\N
3580384	1515	1998-11-30	PRIJEM	\N	189	37503	UROK	\N	\N
3580385	1515	1998-12-31	PRIJEM	\N	198	32490	UROK	\N	\N
3580386	1516	1994-03-31	PRIJEM	\N	45	15348	UROK	\N	\N
3580387	1516	1994-04-30	PRIJEM	\N	63	14616	UROK	\N	\N
3580388	1516	1994-05-31	PRIJEM	\N	64	15413	UROK	\N	\N
3580389	1516	1994-06-30	PRIJEM	\N	65	15823	UROK	\N	\N
3580390	1516	1994-07-31	PRIJEM	\N	69	17017	UROK	\N	\N
3580391	1516	1994-08-31	PRIJEM	\N	73	17764	UROK	\N	\N
3580392	1516	1994-09-30	PRIJEM	\N	77	18966	UROK	\N	\N
3580393	1516	1994-10-31	PRIJEM	\N	82	20173	UROK	\N	\N
3580394	1516	1994-11-30	PRIJEM	\N	87	21384	UROK	\N	\N
3580395	1516	1994-12-31	PRIJEM	\N	92	22601	UROK	\N	\N
3580396	1516	1995-01-31	PRIJEM	\N	95	21660	UROK	\N	\N
3580397	1516	1995-02-28	PRIJEM	\N	93	22038	UROK	\N	\N
3580398	1516	1995-03-31	PRIJEM	\N	91	21873	UROK	\N	\N
3580399	1516	1995-04-30	PRIJEM	\N	94	23092	UROK	\N	\N
3580400	1516	1995-05-31	PRIJEM	\N	99	24316	UROK	\N	\N
3580401	1516	1995-06-30	PRIJEM	\N	90	19620	UROK	\N	\N
3580402	1516	1995-07-31	PRIJEM	\N	85	20829	UROK	\N	\N
3580403	1516	1995-08-31	PRIJEM	\N	90	22043	UROK	\N	\N
3580404	1516	1995-09-30	PRIJEM	\N	91	21639	UROK	\N	\N
3580405	1516	1995-10-31	PRIJEM	\N	93	22856	UROK	\N	\N
3580406	1516	1995-11-30	PRIJEM	\N	98	24079	UROK	\N	\N
3580407	1516	1995-12-31	PRIJEM	\N	102	23835	UROK	\N	\N
3580408	1516	1996-01-31	PRIJEM	\N	102	24492	UROK	\N	\N
3580409	1516	1996-02-29	PRIJEM	\N	105	25721	UROK	\N	\N
3580410	1516	1996-03-31	PRIJEM	\N	108	25784	UROK	\N	\N
3580411	1516	1996-04-30	PRIJEM	\N	110	26058	UROK	\N	\N
3580412	1516	1996-05-31	PRIJEM	\N	112	27294	UROK	\N	\N
3580413	1516	1996-06-30	PRIJEM	\N	115	27543	UROK	\N	\N
3580414	1516	1996-07-31	PRIJEM	\N	118	28785	UROK	\N	\N
3580415	1516	1996-08-31	PRIJEM	\N	119	28829	UROK	\N	\N
3580416	1516	1996-09-30	PRIJEM	\N	122	29325	UROK	\N	\N
3580417	1516	1996-10-31	PRIJEM	\N	119	28379	UROK	\N	\N
3580418	1516	1996-11-30	PRIJEM	\N	121	29624	UROK	\N	\N
3580419	1516	1996-12-31	PRIJEM	\N	126	30875	UROK	\N	\N
3580420	1516	1997-01-31	PRIJEM	\N	128	30597	UROK	\N	\N
3580421	1516	1997-02-28	PRIJEM	\N	130	31851	UROK	\N	\N
3580422	1516	1997-03-31	PRIJEM	\N	133	32028	UROK	\N	\N
3580423	1516	1997-04-30	PRIJEM	\N	136	33288	UROK	\N	\N
3580424	1516	1997-05-31	PRIJEM	\N	141	34553	UROK	\N	\N
3580425	1516	1997-06-30	PRIJEM	\N	132	27950	UROK	\N	\N
3580426	1516	1997-07-31	PRIJEM	\N	119	29193	UROK	\N	\N
3580427	1516	1997-08-31	PRIJEM	\N	120	28157	UROK	\N	\N
3580428	1516	1997-09-30	PRIJEM	\N	118	28140	UROK	\N	\N
3580429	1516	1997-10-31	PRIJEM	\N	119	28903	UROK	\N	\N
3580430	1516	1997-11-30	PRIJEM	\N	122	30150	UROK	\N	\N
3580431	1516	1997-12-31	PRIJEM	\N	128	31402	UROK	\N	\N
3580432	1516	1998-01-31	PRIJEM	\N	131	31787	UROK	\N	\N
3580433	1516	1998-02-28	PRIJEM	\N	134	33046	UROK	\N	\N
3580434	1516	1998-03-31	PRIJEM	\N	138	33618	UROK	\N	\N
3580435	1516	1998-04-30	PRIJEM	\N	141	34734	UROK	\N	\N
3580436	1516	1998-05-31	PRIJEM	\N	144	34802	UROK	\N	\N
3580437	1516	1998-06-30	PRIJEM	\N	143	34210	UROK	\N	\N
3580438	1516	1998-07-31	PRIJEM	\N	141	34155	UROK	\N	\N
3580439	1516	1998-08-31	PRIJEM	\N	144	35423	UROK	\N	\N
3580440	1516	1998-09-30	PRIJEM	\N	146	35463	UROK	\N	\N
3580441	1516	1998-10-31	PRIJEM	\N	149	36046	UROK	\N	\N
3580442	1516	1998-11-30	PRIJEM	\N	151	37322	UROK	\N	\N
3580443	1516	1998-12-31	PRIJEM	\N	156	38602	UROK	\N	\N
3580444	1517	1997-01-31	PRIJEM	\N	54	14139	UROK	\N	\N
3580445	1517	1997-02-28	PRIJEM	\N	65	12637	UROK	\N	\N
3580446	1517	1997-03-31	PRIJEM	\N	59	14649	UROK	\N	\N
3580447	1517	1997-04-30	PRIJEM	\N	67	16670	UROK	\N	\N
3580448	1517	1997-05-31	PRIJEM	\N	76	18699	UROK	\N	\N
3580449	1517	1997-06-30	PRIJEM	\N	84	20737	UROK	\N	\N
3580450	1517	1997-07-31	PRIJEM	\N	87	20517	UROK	\N	\N
3580451	1517	1997-08-31	PRIJEM	\N	89	18920	UROK	\N	\N
3580452	1517	1997-09-30	PRIJEM	\N	85	20958	UROK	\N	\N
3580453	1517	1997-10-31	PRIJEM	\N	94	23005	UROK	\N	\N
3580454	1517	1997-11-30	PRIJEM	\N	102	25061	UROK	\N	\N
3580455	1517	1997-12-31	PRIJEM	\N	102	21796	UROK	\N	\N
3580456	1517	1998-01-31	PRIJEM	\N	74	14214	UROK	\N	\N
3580457	1517	1998-02-28	PRIJEM	\N	65	16233	UROK	\N	\N
3580458	1517	1998-03-31	PRIJEM	\N	74	18260	UROK	\N	\N
3580459	1517	1998-04-30	PRIJEM	\N	80	19813	UROK	\N	\N
3580460	1517	1998-05-31	PRIJEM	\N	89	21855	UROK	\N	\N
3580461	1517	1998-06-30	PRIJEM	\N	97	23906	UROK	\N	\N
3580462	1517	1998-07-31	PRIJEM	\N	99	22378	UROK	\N	\N
3580463	1517	1998-08-31	PRIJEM	\N	88	19719	UROK	\N	\N
3580464	1517	1998-09-30	PRIJEM	\N	77	17350	UROK	\N	\N
3580465	1517	1998-10-31	PRIJEM	\N	75	18179	UROK	\N	\N
3580466	1517	1998-11-30	PRIJEM	\N	69	14601	UROK	\N	\N
3580467	1517	1998-12-31	PRIJEM	\N	65	16019	UROK	\N	\N
3580468	1519	1995-07-31	PRIJEM	\N	61	25151	UROK	\N	\N
3580469	1519	1995-08-31	PRIJEM	\N	161	48602	UROK	\N	\N
3580470	1519	1995-09-30	PRIJEM	\N	221	56913	UROK	\N	\N
3580471	1519	1995-10-31	PRIJEM	\N	259	66462	UROK	\N	\N
3580472	1519	1995-11-30	PRIJEM	\N	286	70738	UROK	\N	\N
3580473	1519	1995-12-31	PRIJEM	\N	287	73803	UROK	\N	\N
3580474	1519	1996-01-31	PRIJEM	\N	261	50856	UROK	\N	\N
3580475	1519	1996-02-29	PRIJEM	\N	222	58910	UROK	\N	\N
3580476	1519	1996-03-31	PRIJEM	\N	257	66200	UROK	\N	\N
3580477	1519	1996-04-30	PRIJEM	\N	267	67399	UROK	\N	\N
3580478	1519	1996-05-31	PRIJEM	\N	272	64763	UROK	\N	\N
3580479	1519	1996-06-30	PRIJEM	\N	258	66499	UROK	\N	\N
3580480	1519	1996-07-31	PRIJEM	\N	264	66095	UROK	\N	\N
3580481	1519	1996-08-31	PRIJEM	\N	271	67558	UROK	\N	\N
3580482	1519	1996-09-30	PRIJEM	\N	279	70969	UROK	\N	\N
3580483	1519	1996-10-31	PRIJEM	\N	290	73191	UROK	\N	\N
3580484	1519	1996-11-30	PRIJEM	\N	302	76626	UROK	\N	\N
3580485	1519	1996-12-31	PRIJEM	\N	327	85290	UROK	\N	\N
3580486	1519	1997-01-31	PRIJEM	\N	283	54485	UROK	\N	\N
3580487	1519	1997-02-28	PRIJEM	\N	233	62850	UROK	\N	\N
3580488	1519	1997-03-31	PRIJEM	\N	274	71056	UROK	\N	\N
3580489	1519	1997-04-30	PRIJEM	\N	288	73077	UROK	\N	\N
3580490	1519	1997-05-31	PRIJEM	\N	302	76511	UROK	\N	\N
3580491	1519	1997-06-30	PRIJEM	\N	300	74289	UROK	\N	\N
3580492	1519	1997-07-31	PRIJEM	\N	313	79734	UROK	\N	\N
3580493	1519	1997-08-31	PRIJEM	\N	328	82795	UROK	\N	\N
3580494	1519	1997-09-30	PRIJEM	\N	337	84564	UROK	\N	\N
3580495	1519	1997-10-31	PRIJEM	\N	345	87341	UROK	\N	\N
3580496	1519	1997-11-30	PRIJEM	\N	338	85612	UROK	\N	\N
3580497	1519	1997-12-31	PRIJEM	\N	353	78242	UROK	\N	\N
3580498	1519	1998-01-31	PRIJEM	\N	322	61276	UROK	\N	\N
3580499	1519	1998-02-28	PRIJEM	\N	277	74186	UROK	\N	\N
3580500	1519	1998-03-31	PRIJEM	\N	333	75051	UROK	\N	\N
3580501	1519	1998-04-30	PRIJEM	\N	348	76331	UROK	\N	\N
3580502	1519	1998-05-31	PRIJEM	\N	352	78216	UROK	\N	\N
3580503	1519	1998-06-30	PRIJEM	\N	337	72610	UROK	\N	\N
3580504	1519	1998-07-31	PRIJEM	\N	336	77378	UROK	\N	\N
3580505	1519	1998-08-31	PRIJEM	\N	343	73654	UROK	\N	\N
3580506	1519	1998-09-30	PRIJEM	\N	325	73512	UROK	\N	\N
3580507	1519	1998-10-31	PRIJEM	\N	333	74677	UROK	\N	\N
3580508	1519	1998-11-30	PRIJEM	\N	333	72742	UROK	\N	\N
3580509	1519	1998-12-31	PRIJEM	\N	345	75864	UROK	\N	\N
3580510	1520	1995-12-31	PRIJEM	\N	83	23703	UROK	\N	\N
3580511	1520	1996-01-31	PRIJEM	\N	94	19178	UROK	\N	\N
3580512	1520	1996-02-29	PRIJEM	\N	90	22316	UROK	\N	\N
3580513	1520	1996-03-31	PRIJEM	\N	85	19848	UROK	\N	\N
3580514	1520	1996-04-30	PRIJEM	\N	92	22488	UROK	\N	\N
3580515	1520	1996-05-31	PRIJEM	\N	93	22228	UROK	\N	\N
3580516	1520	1996-06-30	PRIJEM	\N	96	23272	UROK	\N	\N
3580517	1520	1996-07-31	PRIJEM	\N	96	23116	UROK	\N	\N
3580518	1520	1996-08-31	PRIJEM	\N	106	24629	UROK	\N	\N
3580519	1520	1996-09-30	PRIJEM	\N	107	25783	UROK	\N	\N
3580520	1520	1996-10-31	PRIJEM	\N	118	28949	UROK	\N	\N
3580521	1520	1996-11-30	PRIJEM	\N	127	31223	UROK	\N	\N
3580522	1520	1996-12-31	PRIJEM	\N	119	27189	UROK	\N	\N
3580523	1520	1997-01-31	PRIJEM	\N	111	20908	UROK	\N	\N
3580524	1520	1997-02-28	PRIJEM	\N	97	24053	UROK	\N	\N
3580525	1520	1997-03-31	PRIJEM	\N	111	27211	UROK	\N	\N
3580526	1520	1997-04-30	PRIJEM	\N	122	28061	UROK	\N	\N
3580527	1520	1997-05-31	PRIJEM	\N	117	24785	UROK	\N	\N
3580528	1520	1997-06-30	PRIJEM	\N	113	27246	UROK	\N	\N
3580529	1520	1997-07-31	PRIJEM	\N	123	27916	UROK	\N	\N
3580530	1520	1997-08-31	PRIJEM	\N	125	30208	UROK	\N	\N
3580531	1520	1997-09-30	PRIJEM	\N	127	31142	UROK	\N	\N
3580532	1520	1997-10-31	PRIJEM	\N	138	31928	UROK	\N	\N
3580533	1520	1997-11-30	PRIJEM	\N	142	34117	UROK	\N	\N
3580534	1520	1997-12-31	PRIJEM	\N	146	32811	UROK	\N	\N
3580535	1520	1998-01-31	PRIJEM	\N	114	26212	UROK	\N	\N
3580536	1520	1998-02-28	PRIJEM	\N	119	29379	UROK	\N	\N
3580537	1520	1998-03-31	PRIJEM	\N	122	28548	UROK	\N	\N
3580538	1520	1998-04-30	PRIJEM	\N	128	31124	UROK	\N	\N
3580539	1520	1998-05-31	PRIJEM	\N	140	34311	UROK	\N	\N
3580540	1520	1998-06-30	PRIJEM	\N	150	34608	UROK	\N	\N
3580541	1520	1998-07-31	PRIJEM	\N	143	34518	UROK	\N	\N
3580542	1520	1998-08-31	PRIJEM	\N	152	36878	UROK	\N	\N
3580543	1520	1998-09-30	PRIJEM	\N	162	38787	UROK	\N	\N
3580544	1520	1998-10-31	PRIJEM	\N	165	37999	UROK	\N	\N
3580545	1520	1998-11-30	PRIJEM	\N	164	38911	UROK	\N	\N
3580546	1520	1998-12-31	PRIJEM	\N	170	40428	UROK	\N	\N
3580547	1521	1996-04-30	PRIJEM	\N	20	5457	UROK	\N	\N
3580548	1521	1996-05-31	PRIJEM	\N	23	10016	UROK	\N	\N
3580549	1521	1996-06-30	PRIJEM	\N	23	14576	UROK	\N	\N
3580550	1521	1996-07-31	PRIJEM	\N	23	19136	UROK	\N	\N
3580551	1521	1996-08-31	PRIJEM	\N	74	20722	UROK	\N	\N
3580552	1521	1996-09-30	PRIJEM	\N	75	17136	UROK	\N	\N
3580553	1521	1996-10-31	PRIJEM	\N	71	16905	UROK	\N	\N
3580554	1521	1996-11-30	PRIJEM	\N	58	14361	UROK	\N	\N
3580555	1521	1996-12-31	PRIJEM	\N	55	11715	UROK	\N	\N
3580556	1521	1997-01-31	PRIJEM	\N	61	12554	UROK	\N	\N
3580557	1521	1997-02-28	PRIJEM	\N	57	14110	UROK	\N	\N
3580558	1521	1997-03-31	PRIJEM	\N	59	14567	UROK	\N	\N
3580559	1521	1997-04-30	PRIJEM	\N	64	11830	UROK	\N	\N
3580560	1521	1997-05-31	PRIJEM	\N	54	12582	UROK	\N	\N
3580561	1521	1997-06-30	PRIJEM	\N	57	14138	UROK	\N	\N
3580562	1521	1997-07-31	PRIJEM	\N	63	15220	UROK	\N	\N
3580563	1521	1997-08-31	PRIJEM	\N	68	16786	UROK	\N	\N
3580564	1521	1997-09-30	PRIJEM	\N	75	18359	UROK	\N	\N
3580565	1521	1997-10-31	PRIJEM	\N	80	19217	UROK	\N	\N
3580566	1521	1997-11-30	PRIJEM	\N	85	20801	UROK	\N	\N
3580567	1521	1997-12-31	PRIJEM	\N	90	21939	UROK	\N	\N
3580568	1521	1998-01-31	PRIJEM	\N	78	13836	UROK	\N	\N
3580569	1521	1998-02-28	PRIJEM	\N	62	15397	UROK	\N	\N
3580570	1521	1998-03-31	PRIJEM	\N	69	16964	UROK	\N	\N
3580571	1521	1998-04-30	PRIJEM	\N	64	15086	UROK	\N	\N
3580572	1521	1998-05-31	PRIJEM	\N	64	12809	UROK	\N	\N
3580573	1521	1998-06-30	PRIJEM	\N	58	14365	UROK	\N	\N
3580574	1521	1998-07-31	PRIJEM	\N	65	15928	UROK	\N	\N
3580575	1521	1998-08-31	PRIJEM	\N	71	17498	UROK	\N	\N
3580576	1521	1998-09-30	PRIJEM	\N	76	15312	UROK	\N	\N
3580577	1521	1998-10-31	PRIJEM	\N	68	16879	UROK	\N	\N
3580578	1521	1998-11-30	PRIJEM	\N	72	17569	UROK	\N	\N
3580579	1521	1998-12-31	PRIJEM	\N	75	18043	UROK	\N	\N
3580580	1523	1998-01-31	PRIJEM	\N	58	54048	UROK	\N	\N
3580581	1523	1998-02-28	PRIJEM	\N	225	35873	UROK	\N	\N
3580582	1523	1998-03-31	PRIJEM	\N	276	51706	UROK	\N	\N
3580583	1523	1998-04-30	PRIJEM	\N	267	96146	UROK	\N	\N
3580584	1523	1998-05-31	PRIJEM	\N	311	45542	UROK	\N	\N
3580585	1523	1998-06-30	PRIJEM	\N	342	21053	UROK	\N	\N
3580586	1523	1998-07-31	PRIJEM	\N	86	21249	UROK	\N	\N
3580587	1523	1998-08-31	PRIJEM	\N	94	20817	UROK	\N	\N
3580588	1523	1998-09-30	PRIJEM	\N	80	39770	UROK	\N	\N
3580589	1523	1998-10-31	PRIJEM	\N	196	67847	UROK	\N	\N
3580590	1523	1998-11-30	PRIJEM	\N	234	45854	UROK	\N	\N
3580591	1523	1998-12-31	PRIJEM	\N	147	21068	UROK	\N	\N
3580592	1524	1997-06-30	PRIJEM	\N	21	13609	UROK	\N	\N
3580593	1524	1997-07-31	PRIJEM	\N	62	16893	UROK	\N	\N
3580594	1524	1997-08-31	PRIJEM	\N	67	14982	UROK	\N	\N
3580595	1524	1997-09-30	PRIJEM	\N	66	16450	UROK	\N	\N
3580596	1524	1997-10-31	PRIJEM	\N	69	16021	UROK	\N	\N
3580597	1524	1997-11-30	PRIJEM	\N	69	16793	UROK	\N	\N
3580598	1524	1997-12-31	PRIJEM	\N	71	17167	UROK	\N	\N
3580599	1524	1998-01-31	PRIJEM	\N	60	13879	UROK	\N	\N
3580600	1524	1998-02-28	PRIJEM	\N	61	15443	UROK	\N	\N
3580601	1524	1998-03-31	PRIJEM	\N	57	14603	UROK	\N	\N
3580602	1524	1998-04-30	PRIJEM	\N	62	12407	UROK	\N	\N
3580603	1524	1998-05-31	PRIJEM	\N	56	13965	UROK	\N	\N
3580604	1524	1998-06-30	PRIJEM	\N	62	15530	UROK	\N	\N
3580605	1524	1998-07-31	PRIJEM	\N	68	17100	UROK	\N	\N
3580606	1524	1998-08-31	PRIJEM	\N	75	18678	UROK	\N	\N
3580607	1524	1998-09-30	PRIJEM	\N	82	20262	UROK	\N	\N
3580608	1524	1998-10-31	PRIJEM	\N	85	19529	UROK	\N	\N
3580609	1524	1998-11-30	PRIJEM	\N	85	21117	UROK	\N	\N
3580610	1524	1998-12-31	PRIJEM	\N	83	18872	UROK	\N	\N
3580611	1525	1996-09-30	PRIJEM	\N	15	4956	UROK	\N	\N
3580612	1525	1996-10-31	PRIJEM	\N	21	9618	UROK	\N	\N
3580613	1525	1996-11-30	PRIJEM	\N	21	14279	UROK	\N	\N
3580614	1525	1996-12-31	PRIJEM	\N	21	18941	UROK	\N	\N
3580615	1525	1997-01-31	PRIJEM	\N	55	17051	UROK	\N	\N
3580616	1525	1997-02-28	PRIJEM	\N	79	19172	UROK	\N	\N
3580617	1525	1997-03-31	PRIJEM	\N	87	21380	UROK	\N	\N
3580618	1525	1997-04-30	PRIJEM	\N	86	19728	UROK	\N	\N
3580619	1525	1997-05-31	PRIJEM	\N	90	21919	UROK	\N	\N
3580620	1525	1997-06-30	PRIJEM	\N	84	17804	UROK	\N	\N
3580621	1525	1997-07-31	PRIJEM	\N	81	20887	UROK	\N	\N
3580622	1525	1997-08-31	PRIJEM	\N	88	20977	UROK	\N	\N
3580623	1525	1997-09-30	PRIJEM	\N	90	23168	UROK	\N	\N
3580624	1525	1997-10-31	PRIJEM	\N	85	17655	UROK	\N	\N
3580625	1525	1997-11-30	PRIJEM	\N	76	14993	UROK	\N	\N
3580626	1525	1997-12-31	PRIJEM	\N	69	16663	UROK	\N	\N
3580627	1525	1998-01-31	PRIJEM	\N	70	13254	UROK	\N	\N
3580628	1525	1998-02-28	PRIJEM	\N	62	16317	UROK	\N	\N
3580629	1525	1998-03-31	PRIJEM	\N	73	15092	UROK	\N	\N
3580630	1525	1998-04-30	PRIJEM	\N	67	11660	UROK	\N	\N
3580631	1525	1998-05-31	PRIJEM	\N	56	14717	UROK	\N	\N
3580632	1525	1998-06-30	PRIJEM	\N	64	15483	UROK	\N	\N
3580633	1525	1998-07-31	PRIJEM	\N	72	18556	UROK	\N	\N
3580634	1525	1998-08-31	PRIJEM	\N	84	21641	UROK	\N	\N
3580635	1525	1998-09-30	PRIJEM	\N	86	18309	UROK	\N	\N
3580636	1525	1998-10-31	PRIJEM	\N	81	18991	UROK	\N	\N
3580637	1525	1998-11-30	PRIJEM	\N	80	15672	UROK	\N	\N
3580638	1525	1998-12-31	PRIJEM	\N	72	18445	UROK	\N	\N
3580639	1526	1995-02-28	PRIJEM	\N	19	16069	UROK	\N	\N
3580640	1526	1995-03-31	PRIJEM	\N	80	26799	UROK	\N	\N
3580641	1526	1995-04-30	PRIJEM	\N	118	32167	UROK	\N	\N
3580642	1526	1995-05-31	PRIJEM	\N	139	36356	UROK	\N	\N
3580643	1526	1995-06-30	PRIJEM	\N	154	38785	UROK	\N	\N
3580644	1526	1995-07-31	PRIJEM	\N	159	35847	UROK	\N	\N
3580645	1526	1995-08-31	PRIJEM	\N	148	34298	UROK	\N	\N
3580646	1526	1995-09-30	PRIJEM	\N	144	34144	UROK	\N	\N
3580647	1526	1995-10-31	PRIJEM	\N	143	33989	UROK	\N	\N
3580648	1526	1995-11-30	PRIJEM	\N	141	33033	UROK	\N	\N
3580649	1526	1995-12-31	PRIJEM	\N	142	35082	UROK	\N	\N
3580650	1526	1996-01-31	PRIJEM	\N	137	36161	UROK	\N	\N
3580651	1526	1996-02-29	PRIJEM	\N	142	31025	UROK	\N	\N
3580652	1526	1996-03-31	PRIJEM	\N	133	35980	UROK	\N	\N
3580653	1526	1996-04-30	PRIJEM	\N	149	35532	UROK	\N	\N
3580654	1526	1996-05-31	PRIJEM	\N	158	40092	UROK	\N	\N
3580655	1526	1996-06-30	PRIJEM	\N	170	41289	UROK	\N	\N
3580656	1526	1996-07-31	PRIJEM	\N	170	40662	UROK	\N	\N
3580657	1526	1996-08-31	PRIJEM	\N	158	37183	UROK	\N	\N
3580658	1526	1996-09-30	PRIJEM	\N	165	41850	UROK	\N	\N
3580659	1526	1996-10-31	PRIJEM	\N	176	43228	UROK	\N	\N
3580660	1526	1996-11-30	PRIJEM	\N	184	45915	UROK	\N	\N
3580661	1526	1996-12-31	PRIJEM	\N	177	46320	UROK	\N	\N
3580662	1526	1997-01-31	PRIJEM	\N	180	44882	UROK	\N	\N
3580663	1526	1997-02-28	PRIJEM	\N	187	46672	UROK	\N	\N
3580664	1526	1997-03-31	PRIJEM	\N	179	39253	UROK	\N	\N
3580665	1526	1997-04-30	PRIJEM	\N	169	42624	UROK	\N	\N
3580666	1526	1997-05-31	PRIJEM	\N	167	37533	UROK	\N	\N
3580667	1526	1997-06-30	PRIJEM	\N	162	43122	UROK	\N	\N
3580668	1526	1997-07-31	PRIJEM	\N	176	43400	UROK	\N	\N
3580669	1526	1997-08-31	PRIJEM	\N	185	46487	UROK	\N	\N
3580670	1526	1997-09-30	PRIJEM	\N	203	51693	UROK	\N	\N
3580671	1526	1997-10-31	PRIJEM	\N	224	56619	UROK	\N	\N
3580672	1526	1997-11-30	PRIJEM	\N	231	57653	UROK	\N	\N
3580673	1526	1997-12-31	PRIJEM	\N	240	61020	UROK	\N	\N
3580674	1526	1998-01-31	PRIJEM	\N	236	55359	UROK	\N	\N
3580675	1526	1998-02-28	PRIJEM	\N	223	56084	UROK	\N	\N
3580676	1526	1998-03-31	PRIJEM	\N	255	64841	UROK	\N	\N
3580677	1526	1998-04-30	PRIJEM	\N	258	62622	UROK	\N	\N
3580678	1526	1998-05-31	PRIJEM	\N	283	70407	UROK	\N	\N
3580679	1526	1998-06-30	PRIJEM	\N	310	79245	UROK	\N	\N
3580680	1526	1998-07-31	PRIJEM	\N	311	76659	UROK	\N	\N
3580681	1526	1998-08-31	PRIJEM	\N	302	73464	UROK	\N	\N
3580682	1526	1998-09-30	PRIJEM	\N	301	74967	UROK	\N	\N
3580683	1526	1998-10-31	PRIJEM	\N	310	77079	UROK	\N	\N
3580684	1526	1998-11-30	PRIJEM	\N	301	74282	UROK	\N	\N
3580685	1526	1998-12-31	PRIJEM	\N	321	80731	UROK	\N	\N
3580686	1528	1996-06-30	PRIJEM	\N	65	27676	UROK	\N	\N
3580687	1528	1996-07-31	PRIJEM	\N	151	42701	UROK	\N	\N
3580688	1528	1996-08-31	PRIJEM	\N	200	52176	UROK	\N	\N
3580689	1528	1996-09-30	PRIJEM	\N	227	56476	UROK	\N	\N
3580690	1528	1996-10-31	PRIJEM	\N	237	54187	UROK	\N	\N
3580691	1528	1996-11-30	PRIJEM	\N	172	42078	UROK	\N	\N
3580692	1528	1996-12-31	PRIJEM	\N	184	47059	UROK	\N	\N
3580693	1528	1997-01-31	PRIJEM	\N	141	28379	UROK	\N	\N
3580694	1528	1997-02-28	PRIJEM	\N	121	35359	UROK	\N	\N
3580695	1528	1997-03-31	PRIJEM	\N	121	29040	UROK	\N	\N
3580696	1528	1997-04-30	PRIJEM	\N	115	30514	UROK	\N	\N
3580697	1528	1997-05-31	PRIJEM	\N	108	26901	UROK	\N	\N
3580698	1528	1997-06-30	PRIJEM	\N	135	38432	UROK	\N	\N
3580699	1528	1997-07-31	PRIJEM	\N	142	34214	UROK	\N	\N
3580700	1528	1997-08-31	PRIJEM	\N	98	26750	UROK	\N	\N
3580701	1528	1997-09-30	PRIJEM	\N	94	25723	UROK	\N	\N
3580702	1528	1997-10-31	PRIJEM	\N	94	28395	UROK	\N	\N
3580703	1528	1997-11-30	PRIJEM	\N	120	29693	UROK	\N	\N
3580704	1528	1997-12-31	PRIJEM	\N	145	30133	UROK	\N	\N
3580705	1528	1998-01-31	PRIJEM	\N	115	26347	UROK	\N	\N
3580706	1528	1998-02-28	PRIJEM	\N	121	31946	UROK	\N	\N
3580707	1528	1998-03-31	PRIJEM	\N	116	28440	UROK	\N	\N
3580708	1528	1998-04-30	PRIJEM	\N	126	36144	UROK	\N	\N
3580709	1528	1998-05-31	PRIJEM	\N	151	38774	UROK	\N	\N
3580710	1528	1998-06-30	PRIJEM	\N	135	29304	UROK	\N	\N
3580711	1528	1998-07-31	PRIJEM	\N	133	36815	UROK	\N	\N
3580712	1528	1998-08-31	PRIJEM	\N	167	39960	UROK	\N	\N
3580713	1528	1998-09-30	PRIJEM	\N	176	45314	UROK	\N	\N
3580714	1528	1998-10-31	PRIJEM	\N	197	47390	UROK	\N	\N
3580715	1528	1998-11-30	PRIJEM	\N	202	50270	UROK	\N	\N
3580716	1528	1998-12-31	PRIJEM	\N	243	63329	UROK	\N	\N
3580717	1529	1996-05-31	PRIJEM	\N	7	12706	UROK	\N	\N
3580718	1529	1996-06-30	PRIJEM	\N	56	17360	UROK	\N	\N
3580719	1529	1996-07-31	PRIJEM	\N	76	23335	UROK	\N	\N
3580720	1529	1996-08-31	PRIJEM	\N	97	23331	UROK	\N	\N
3580721	1529	1996-09-30	PRIJEM	\N	98	21760	UROK	\N	\N
3580722	1529	1996-10-31	PRIJEM	\N	88	18073	UROK	\N	\N
3580723	1529	1996-11-30	PRIJEM	\N	76	19654	UROK	\N	\N
3580724	1529	1996-12-31	PRIJEM	\N	85	21254	UROK	\N	\N
3580725	1529	1997-01-31	PRIJEM	\N	84	18594	UROK	\N	\N
3580726	1529	1997-02-28	PRIJEM	\N	79	17258	UROK	\N	\N
3580727	1529	1997-03-31	PRIJEM	\N	76	17720	UROK	\N	\N
3580728	1529	1997-04-30	PRIJEM	\N	75	15580	UROK	\N	\N
3580729	1529	1997-05-31	PRIJEM	\N	70	17665	UROK	\N	\N
3580730	1529	1997-06-30	PRIJEM	\N	77	18228	UROK	\N	\N
3580731	1529	1997-07-31	PRIJEM	\N	76	15789	UROK	\N	\N
3580732	1529	1997-08-31	PRIJEM	\N	69	16043	UROK	\N	\N
3580733	1529	1997-09-30	PRIJEM	\N	73	18202	UROK	\N	\N
3580734	1529	1997-10-31	PRIJEM	\N	80	17627	UROK	\N	\N
3580735	1529	1997-11-30	PRIJEM	\N	72	16634	UROK	\N	\N
3580736	1529	1997-12-31	PRIJEM	\N	79	20789	UROK	\N	\N
3580737	1529	1998-01-31	PRIJEM	\N	96	25010	UROK	\N	\N
3580738	1529	1998-02-28	PRIJEM	\N	104	23800	UROK	\N	\N
3580739	1529	1998-03-31	PRIJEM	\N	104	25189	UROK	\N	\N
3580740	1529	1998-04-30	PRIJEM	\N	104	24419	UROK	\N	\N
3580741	1529	1998-05-31	PRIJEM	\N	106	25310	UROK	\N	\N
3580742	1529	1998-06-30	PRIJEM	\N	109	26904	UROK	\N	\N
3580743	1529	1998-07-31	PRIJEM	\N	113	26602	UROK	\N	\N
3580744	1529	1998-08-31	PRIJEM	\N	99	20516	UROK	\N	\N
3580745	1529	1998-09-30	PRIJEM	\N	78	16380	UROK	\N	\N
3580746	1529	1998-10-31	PRIJEM	\N	64	13929	UROK	\N	\N
3580747	1529	1998-11-30	PRIJEM	\N	69	17983	UROK	\N	\N
3580748	1529	1998-12-31	PRIJEM	\N	74	17193	UROK	\N	\N
3580749	1530	1995-10-31	PRIJEM	\N	60	25010	UROK	\N	\N
3580750	1530	1995-11-30	PRIJEM	\N	107	24952	UROK	\N	\N
3580751	1530	1995-12-31	PRIJEM	\N	107	26145	UROK	\N	\N
3580752	1530	1996-01-31	PRIJEM	\N	110	25291	UROK	\N	\N
3580753	1530	1996-02-29	PRIJEM	\N	109	26535	UROK	\N	\N
3580754	1530	1996-03-31	PRIJEM	\N	106	24636	UROK	\N	\N
3580755	1530	1996-04-30	PRIJEM	\N	107	26578	UROK	\N	\N
3580756	1530	1996-05-31	PRIJEM	\N	109	24122	UROK	\N	\N
3580757	1530	1996-06-30	PRIJEM	\N	99	22557	UROK	\N	\N
3580758	1530	1996-07-31	PRIJEM	\N	96	22988	UROK	\N	\N
3580759	1530	1996-08-31	PRIJEM	\N	93	20717	UROK	\N	\N
3580760	1530	1996-09-30	PRIJEM	\N	84	18736	UROK	\N	\N
3580761	1530	1996-10-31	PRIJEM	\N	75	17366	UROK	\N	\N
3580762	1530	1996-11-30	PRIJEM	\N	71	15732	UROK	\N	\N
3580763	1530	1996-12-31	PRIJEM	\N	62	14850	UROK	\N	\N
3580764	1530	1997-01-31	PRIJEM	\N	65	16150	UROK	\N	\N
3580765	1530	1997-02-28	PRIJEM	\N	67	16253	UROK	\N	\N
3580766	1530	1997-03-31	PRIJEM	\N	68	16256	UROK	\N	\N
3580767	1530	1997-04-30	PRIJEM	\N	63	14055	UROK	\N	\N
3580768	1530	1997-05-31	PRIJEM	\N	54	11944	UROK	\N	\N
3580769	1530	1997-06-30	PRIJEM	\N	50	12330	UROK	\N	\N
3580770	1530	1997-07-31	PRIJEM	\N	51	12116	UROK	\N	\N
3580771	1530	1997-08-31	PRIJEM	\N	55	14006	UROK	\N	\N
3580772	1530	1997-09-30	PRIJEM	\N	44	8286	UROK	\N	\N
3580773	1530	1997-10-31	PRIJEM	\N	39	10160	UROK	\N	\N
3580774	1530	1997-11-30	PRIJEM	\N	46	12041	UROK	\N	\N
3580775	1530	1997-12-31	PRIJEM	\N	54	13430	UROK	\N	\N
3580776	1530	1998-01-31	PRIJEM	\N	60	15325	UROK	\N	\N
3580777	1530	1998-02-28	PRIJEM	\N	67	17228	UROK	\N	\N
3580778	1530	1998-03-31	PRIJEM	\N	76	19139	UROK	\N	\N
3580779	1530	1998-04-30	PRIJEM	\N	83	21058	UROK	\N	\N
3580780	1530	1998-05-31	PRIJEM	\N	92	22985	UROK	\N	\N
3580781	1530	1998-06-30	PRIJEM	\N	78	16098	UROK	\N	\N
3580782	1530	1998-07-31	PRIJEM	\N	71	18005	UROK	\N	\N
3580783	1530	1998-08-31	PRIJEM	\N	71	16071	UROK	\N	\N
3580784	1530	1998-09-30	PRIJEM	\N	68	15975	UROK	\N	\N
3580785	1530	1998-10-31	PRIJEM	\N	70	17881	UROK	\N	\N
3580786	1530	1998-11-30	PRIJEM	\N	73	17309	UROK	\N	\N
3580787	1530	1998-12-31	PRIJEM	\N	75	18119	UROK	\N	\N
3580788	1532	1996-10-31	PRIJEM	\N	33	18649	UROK	\N	\N
3580789	1532	1996-11-30	PRIJEM	\N	100	31265	UROK	\N	\N
3580790	1532	1996-12-31	PRIJEM	\N	142	37480	UROK	\N	\N
3580791	1532	1997-01-31	PRIJEM	\N	161	40157	UROK	\N	\N
3580792	1532	1997-02-28	PRIJEM	\N	166	40040	UROK	\N	\N
3580793	1532	1997-03-31	PRIJEM	\N	164	36702	UROK	\N	\N
3580794	1532	1997-04-30	PRIJEM	\N	159	37059	UROK	\N	\N
3580795	1532	1997-05-31	PRIJEM	\N	156	35533	UROK	\N	\N
3580796	1532	1997-06-30	PRIJEM	\N	121	28311	UROK	\N	\N
3580797	1532	1997-07-31	PRIJEM	\N	137	34846	UROK	\N	\N
3580798	1532	1997-08-31	PRIJEM	\N	167	43012	UROK	\N	\N
3580799	1532	1997-09-30	PRIJEM	\N	180	44050	UROK	\N	\N
3580800	1532	1997-10-31	PRIJEM	\N	192	46060	UROK	\N	\N
3580801	1532	1997-11-30	PRIJEM	\N	199	47097	UROK	\N	\N
3580802	1532	1997-12-31	PRIJEM	\N	205	45639	UROK	\N	\N
3580803	1532	1998-01-31	PRIJEM	\N	172	36549	UROK	\N	\N
3580804	1532	1998-02-28	PRIJEM	\N	196	52344	UROK	\N	\N
3580805	1532	1998-03-31	PRIJEM	\N	234	57776	UROK	\N	\N
3580806	1532	1998-04-30	PRIJEM	\N	235	56110	UROK	\N	\N
3580807	1532	1998-05-31	PRIJEM	\N	253	62661	UROK	\N	\N
3580808	1532	1998-06-30	PRIJEM	\N	268	26465	UROK	\N	\N
3580809	1532	1998-07-31	PRIJEM	\N	163	44126	UROK	\N	\N
3580810	1532	1998-08-31	PRIJEM	\N	238	62463	UROK	\N	\N
3580811	1532	1998-09-30	PRIJEM	\N	288	71650	UROK	\N	\N
3580812	1532	1998-10-31	PRIJEM	\N	323	79771	UROK	\N	\N
3580813	1532	1998-11-30	PRIJEM	\N	356	87425	UROK	\N	\N
3580814	1532	1998-12-31	PRIJEM	\N	379	91680	UROK	\N	\N
3580839	1534	1993-06-30	PRIJEM	\N	27	23941	UROK	\N	\N
3580840	1534	1993-07-31	PRIJEM	\N	112	33996	UROK	\N	\N
3580841	1534	1993-08-31	PRIJEM	\N	146	37685	UROK	\N	\N
3580842	1534	1993-09-30	PRIJEM	\N	155	36483	UROK	\N	\N
3580843	1534	1993-10-31	PRIJEM	\N	157	40283	UROK	\N	\N
3580844	1534	1993-11-30	PRIJEM	\N	164	35068	UROK	\N	\N
3580845	1534	1993-12-31	PRIJEM	\N	159	36722	UROK	\N	\N
3580846	1534	1994-01-31	PRIJEM	\N	127	19531	UROK	\N	\N
3580847	1534	1994-02-28	PRIJEM	\N	89	22542	UROK	\N	\N
3580848	1534	1994-03-31	PRIJEM	\N	102	23626	UROK	\N	\N
3580849	1534	1994-04-30	PRIJEM	\N	105	25854	UROK	\N	\N
3580850	1534	1994-05-31	PRIJEM	\N	112	26588	UROK	\N	\N
3580851	1534	1994-06-30	PRIJEM	\N	111	18032	UROK	\N	\N
3580852	1534	1994-07-31	PRIJEM	\N	89	24444	UROK	\N	\N
3580853	1534	1994-08-31	PRIJEM	\N	112	28678	UROK	\N	\N
3580854	1534	1994-09-30	PRIJEM	\N	121	29221	UROK	\N	\N
3580855	1534	1994-10-31	PRIJEM	\N	121	25165	UROK	\N	\N
3580856	1534	1994-11-30	PRIJEM	\N	108	26595	UROK	\N	\N
3580857	1534	1994-12-31	PRIJEM	\N	120	30009	UROK	\N	\N
3580858	1534	1995-01-31	PRIJEM	\N	85	15336	UROK	\N	\N
3580859	1534	1995-02-28	PRIJEM	\N	72	19731	UROK	\N	\N
3580860	1534	1995-03-31	PRIJEM	\N	89	22942	UROK	\N	\N
3580861	1534	1995-04-30	PRIJEM	\N	95	23260	UROK	\N	\N
3580862	1534	1995-05-31	PRIJEM	\N	85	17187	UROK	\N	\N
3580863	1534	1995-06-30	PRIJEM	\N	96	23437	UROK	\N	\N
3580864	1534	1995-07-31	PRIJEM	\N	108	22668	UROK	\N	\N
3580865	1534	1995-08-31	PRIJEM	\N	97	24347	UROK	\N	\N
3580866	1534	1995-09-30	PRIJEM	\N	116	31085	UROK	\N	\N
3580867	1534	1995-10-31	PRIJEM	\N	114	26381	UROK	\N	\N
3580868	1534	1995-11-30	PRIJEM	\N	111	28414	UROK	\N	\N
3580869	1534	1995-12-31	PRIJEM	\N	134	36442	UROK	\N	\N
3580870	1534	1996-01-31	PRIJEM	\N	85	13969	UROK	\N	\N
3580871	1534	1996-02-29	PRIJEM	\N	76	22068	UROK	\N	\N
3580872	1534	1996-03-31	PRIJEM	\N	89	23079	UROK	\N	\N
3580873	1534	1996-04-30	PRIJEM	\N	96	24917	UROK	\N	\N
3580874	1534	1996-05-31	PRIJEM	\N	94	23074	UROK	\N	\N
3580875	1534	1996-06-30	PRIJEM	\N	117	33284	UROK	\N	\N
3580876	1534	1996-07-31	PRIJEM	\N	122	29928	UROK	\N	\N
3580877	1534	1996-08-31	PRIJEM	\N	120	30571	UROK	\N	\N
3580878	1534	1996-09-30	PRIJEM	\N	135	35428	UROK	\N	\N
3580879	1534	1996-10-31	PRIJEM	\N	144	36495	UROK	\N	\N
3580880	1534	1996-11-30	PRIJEM	\N	151	38568	UROK	\N	\N
3580881	1534	1996-12-31	PRIJEM	\N	169	45971	UROK	\N	\N
3580882	1534	1997-01-31	PRIJEM	\N	130	30063	UROK	\N	\N
3580883	1534	1997-02-28	PRIJEM	\N	127	33213	UROK	\N	\N
3580884	1534	1997-03-31	PRIJEM	\N	148	38583	UROK	\N	\N
3580885	1534	1997-04-30	PRIJEM	\N	171	44276	UROK	\N	\N
3580886	1534	1997-05-31	PRIJEM	\N	178	44476	UROK	\N	\N
3580887	1534	1997-06-30	PRIJEM	\N	178	26527	UROK	\N	\N
3580888	1534	1997-07-31	PRIJEM	\N	125	32954	UROK	\N	\N
3580889	1534	1997-08-31	PRIJEM	\N	147	40084	UROK	\N	\N
3580890	1534	1997-09-30	PRIJEM	\N	174	41260	UROK	\N	\N
3580891	1534	1997-10-31	PRIJEM	\N	173	47236	UROK	\N	\N
3580892	1534	1997-11-30	PRIJEM	\N	205	48263	UROK	\N	\N
3580893	1534	1997-12-31	PRIJEM	\N	218	50096	UROK	\N	\N
3580894	1534	1998-01-31	PRIJEM	\N	167	37265	UROK	\N	\N
3580895	1534	1998-02-28	PRIJEM	\N	163	41851	UROK	\N	\N
3580896	1534	1998-03-31	PRIJEM	\N	178	38032	UROK	\N	\N
3580897	1534	1998-04-30	PRIJEM	\N	164	36218	UROK	\N	\N
3580898	1534	1998-05-31	PRIJEM	\N	157	36398	UROK	\N	\N
3580899	1534	1998-06-30	PRIJEM	\N	170	26742	UROK	\N	\N
3580900	1534	1998-07-31	PRIJEM	\N	120	32284	UROK	\N	\N
3580901	1534	1998-08-31	PRIJEM	\N	143	37150	UROK	\N	\N
3580902	1534	1998-09-30	PRIJEM	\N	160	39332	UROK	\N	\N
3580903	1534	1998-10-31	PRIJEM	\N	171	43226	UROK	\N	\N
3580904	1534	1998-11-30	PRIJEM	\N	184	43492	UROK	\N	\N
3580905	1534	1998-12-31	PRIJEM	\N	209	56494	UROK	\N	\N
3580906	1535	1993-04-30	PRIJEM	\N	20	11856	UROK	\N	\N
3580907	1535	1993-05-31	PRIJEM	\N	63	19755	UROK	\N	\N
3580908	1535	1993-06-30	PRIJEM	\N	94	26653	UROK	\N	\N
3580909	1535	1993-07-31	PRIJEM	\N	115	28704	UROK	\N	\N
3580910	1535	1993-08-31	PRIJEM	\N	113	24212	UROK	\N	\N
3580911	1535	1993-09-30	PRIJEM	\N	102	24579	UROK	\N	\N
3580912	1535	1993-10-31	PRIJEM	\N	94	23237	UROK	\N	\N
3580913	1535	1993-11-30	PRIJEM	\N	102	25604	UROK	\N	\N
3580914	1535	1993-12-31	PRIJEM	\N	104	23020	UROK	\N	\N
3580915	1535	1994-01-31	PRIJEM	\N	75	13320	UROK	\N	\N
3580916	1535	1994-02-28	PRIJEM	\N	72	19656	UROK	\N	\N
3580917	1535	1994-03-31	PRIJEM	\N	75	19215	UROK	\N	\N
3580918	1535	1994-04-30	PRIJEM	\N	84	20864	UROK	\N	\N
3580919	1535	1994-05-31	PRIJEM	\N	98	25225	UROK	\N	\N
3580920	1535	1994-06-30	PRIJEM	\N	108	19666	UROK	\N	\N
3580921	1535	1994-07-31	PRIJEM	\N	95	25026	UROK	\N	\N
3580922	1535	1994-08-31	PRIJEM	\N	110	27200	UROK	\N	\N
3580923	1535	1994-09-30	PRIJEM	\N	111	27135	UROK	\N	\N
3580924	1535	1994-10-31	PRIJEM	\N	115	25274	UROK	\N	\N
3580925	1535	1994-11-30	PRIJEM	\N	116	29555	UROK	\N	\N
3580926	1535	1994-12-31	PRIJEM	\N	130	33197	UROK	\N	\N
3580927	1535	1995-01-31	PRIJEM	\N	111	23652	UROK	\N	\N
3580928	1535	1995-02-28	PRIJEM	\N	111	28527	UROK	\N	\N
3580929	1535	1995-03-31	PRIJEM	\N	125	27856	UROK	\N	\N
3580930	1535	1995-04-30	PRIJEM	\N	133	34153	UROK	\N	\N
3580931	1535	1995-05-31	PRIJEM	\N	143	35161	UROK	\N	\N
3580932	1535	1995-06-30	PRIJEM	\N	149	37302	UROK	\N	\N
3580933	1535	1995-07-31	PRIJEM	\N	152	34499	UROK	\N	\N
3580934	1535	1995-08-31	PRIJEM	\N	143	35306	UROK	\N	\N
3580935	1535	1995-09-30	PRIJEM	\N	143	32413	UROK	\N	\N
3580936	1535	1995-10-31	PRIJEM	\N	144	36322	UROK	\N	\N
3580937	1535	1995-11-30	PRIJEM	\N	171	43657	UROK	\N	\N
3580938	1535	1995-12-31	PRIJEM	\N	187	45417	UROK	\N	\N
3580939	1535	1996-01-31	PRIJEM	\N	112	16573	UROK	\N	\N
3580940	1535	1996-02-29	PRIJEM	\N	119	33556	UROK	\N	\N
3580941	1535	1996-03-31	PRIJEM	\N	166	42787	UROK	\N	\N
3580942	1535	1996-04-30	PRIJEM	\N	198	50049	UROK	\N	\N
3580943	1535	1996-05-31	PRIJEM	\N	205	50218	UROK	\N	\N
3580944	1535	1996-06-30	PRIJEM	\N	212	47483	UROK	\N	\N
3580945	1535	1996-07-31	PRIJEM	\N	199	47086	UROK	\N	\N
3580946	1535	1996-08-31	PRIJEM	\N	200	47331	UROK	\N	\N
3580947	1535	1996-09-30	PRIJEM	\N	204	49898	UROK	\N	\N
3580948	1535	1996-10-31	PRIJEM	\N	209	50372	UROK	\N	\N
3580949	1535	1996-11-30	PRIJEM	\N	211	50148	UROK	\N	\N
3580950	1535	1996-12-31	PRIJEM	\N	210	54470	UROK	\N	\N
3580951	1535	1997-01-31	PRIJEM	\N	188	46742	UROK	\N	\N
3580952	1535	1997-02-28	PRIJEM	\N	196	48703	UROK	\N	\N
3580953	1535	1997-03-31	PRIJEM	\N	205	52173	UROK	\N	\N
3580954	1535	1997-04-30	PRIJEM	\N	220	56657	UROK	\N	\N
3580955	1535	1997-05-31	PRIJEM	\N	231	58212	UROK	\N	\N
3580956	1535	1997-06-30	PRIJEM	\N	212	56776	UROK	\N	\N
3580957	1535	1997-07-31	PRIJEM	\N	237	62378	UROK	\N	\N
3580958	1535	1997-08-31	PRIJEM	\N	260	63402	UROK	\N	\N
3580959	1535	1997-09-30	PRIJEM	\N	268	68935	UROK	\N	\N
3580960	1535	1997-10-31	PRIJEM	\N	274	68333	UROK	\N	\N
3580961	1535	1997-11-30	PRIJEM	\N	289	73786	UROK	\N	\N
3580962	1535	1997-12-31	PRIJEM	\N	312	74730	UROK	\N	\N
3580963	1535	1998-01-31	PRIJEM	\N	292	54067	UROK	\N	\N
3580964	1535	1998-02-28	PRIJEM	\N	234	63865	UROK	\N	\N
3580965	1535	1998-03-31	PRIJEM	\N	267	66496	UROK	\N	\N
3580966	1535	1998-04-30	PRIJEM	\N	261	63022	UROK	\N	\N
3580967	1535	1998-05-31	PRIJEM	\N	264	66250	UROK	\N	\N
3580968	1535	1998-06-30	PRIJEM	\N	239	56202	UROK	\N	\N
3580969	1535	1998-07-31	PRIJEM	\N	231	60097	UROK	\N	\N
3580970	1535	1998-08-31	PRIJEM	\N	240	57801	UROK	\N	\N
3580971	1535	1998-09-30	PRIJEM	\N	238	58804	UROK	\N	\N
3580972	1535	1998-10-31	PRIJEM	\N	243	60212	UROK	\N	\N
3580973	1535	1998-11-30	PRIJEM	\N	245	58682	UROK	\N	\N
3580974	1535	1998-12-31	PRIJEM	\N	233	58027	UROK	\N	\N
3580975	1536	1993-02-28	PRIJEM	\N	31	26040	UROK	\N	\N
3580976	1536	1993-03-31	PRIJEM	\N	125	39874	UROK	\N	\N
3580977	1536	1993-04-30	PRIJEM	\N	173	45956	UROK	\N	\N
3580978	1536	1993-05-31	PRIJEM	\N	193	47858	UROK	\N	\N
3580979	1536	1993-06-30	PRIJEM	\N	138	20508	UROK	\N	\N
3580980	1536	1993-07-31	PRIJEM	\N	111	28094	UROK	\N	\N
3580981	1536	1993-08-31	PRIJEM	\N	135	31205	UROK	\N	\N
3580982	1536	1993-09-30	PRIJEM	\N	150	36330	UROK	\N	\N
3580983	1536	1993-10-31	PRIJEM	\N	165	37870	UROK	\N	\N
3580984	1536	1993-11-30	PRIJEM	\N	171	39616	UROK	\N	\N
3580985	1536	1993-12-31	PRIJEM	\N	198	46494	UROK	\N	\N
3580986	1536	1994-01-31	PRIJEM	\N	120	23189	UROK	\N	\N
3580987	1536	1994-02-28	PRIJEM	\N	119	31283	UROK	\N	\N
3580988	1536	1994-03-31	PRIJEM	\N	143	32801	UROK	\N	\N
3580989	1536	1994-04-30	PRIJEM	\N	126	24243	UROK	\N	\N
3580990	1536	1994-05-31	PRIJEM	\N	122	30539	UROK	\N	\N
3580991	1536	1994-06-30	PRIJEM	\N	145	36263	UROK	\N	\N
3580992	1536	1994-07-31	PRIJEM	\N	139	23602	UROK	\N	\N
3580993	1536	1994-08-31	PRIJEM	\N	114	28691	UROK	\N	\N
3580994	1536	1994-09-30	PRIJEM	\N	126	32241	UROK	\N	\N
3580995	1536	1994-10-31	PRIJEM	\N	142	34458	UROK	\N	\N
3580996	1536	1994-11-30	PRIJEM	\N	134	30463	UROK	\N	\N
3580997	1536	1994-12-31	PRIJEM	\N	118	25235	UROK	\N	\N
3580998	1536	1995-01-31	PRIJEM	\N	112	21523	UROK	\N	\N
3580999	1536	1995-02-28	PRIJEM	\N	149	45547	UROK	\N	\N
3581000	1536	1995-03-31	PRIJEM	\N	162	21736	UROK	\N	\N
3581001	1536	1995-04-30	PRIJEM	\N	122	30433	UROK	\N	\N
3581002	1536	1995-05-31	PRIJEM	\N	143	36951	UROK	\N	\N
3581003	1536	1995-06-30	PRIJEM	\N	172	33702	UROK	\N	\N
3581004	1536	1995-07-31	PRIJEM	\N	165	31167	UROK	\N	\N
3581005	1536	1995-08-31	PRIJEM	\N	158	26944	UROK	\N	\N
3581006	1536	1995-09-30	PRIJEM	\N	155	44274	UROK	\N	\N
3581007	1536	1995-10-31	PRIJEM	\N	198	51048	UROK	\N	\N
3581008	1536	1995-11-30	PRIJEM	\N	209	44131	UROK	\N	\N
3581009	1536	1995-12-31	PRIJEM	\N	199	54254	UROK	\N	\N
3581010	1536	1996-01-31	PRIJEM	\N	169	21497	UROK	\N	\N
3581011	1536	1996-02-29	PRIJEM	\N	146	44318	UROK	\N	\N
3581012	1536	1996-03-31	PRIJEM	\N	153	34280	UROK	\N	\N
3581013	1536	1996-04-30	PRIJEM	\N	185	51340	UROK	\N	\N
3581014	1536	1996-05-31	PRIJEM	\N	189	32468	UROK	\N	\N
3581015	1536	1996-06-30	PRIJEM	\N	197	31417	UROK	\N	\N
3581016	1536	1996-07-31	PRIJEM	\N	197	56990	UROK	\N	\N
3581017	1536	1996-08-31	PRIJEM	\N	222	53822	UROK	\N	\N
3581018	1536	1996-09-30	PRIJEM	\N	146	27174	UROK	\N	\N
3581019	1536	1996-10-31	PRIJEM	\N	165	43002	UROK	\N	\N
3581020	1536	1996-11-30	PRIJEM	\N	149	38126	UROK	\N	\N
3581021	1536	1996-12-31	PRIJEM	\N	195	55166	UROK	\N	\N
3581022	1536	1997-01-31	PRIJEM	\N	133	37774	UROK	\N	\N
3581023	1536	1997-02-28	PRIJEM	\N	135	24618	UROK	\N	\N
3581024	1536	1997-03-31	PRIJEM	\N	134	31380	UROK	\N	\N
3581025	1536	1997-04-30	PRIJEM	\N	185	53340	UROK	\N	\N
3581026	1536	1997-05-31	PRIJEM	\N	226	58758	UROK	\N	\N
3581027	1536	1997-06-30	PRIJEM	\N	256	41295	UROK	\N	\N
3581028	1536	1997-07-31	PRIJEM	\N	194	47866	UROK	\N	\N
3581029	1536	1997-08-31	PRIJEM	\N	214	46392	UROK	\N	\N
3581030	1536	1997-09-30	PRIJEM	\N	222	57589	UROK	\N	\N
3581031	1536	1997-10-31	PRIJEM	\N	185	40601	UROK	\N	\N
3581032	1536	1997-11-30	PRIJEM	\N	154	40030	UROK	\N	\N
3581033	1536	1997-12-31	PRIJEM	\N	208	56337	UROK	\N	\N
3581034	1536	1998-01-31	PRIJEM	\N	199	38911	UROK	\N	\N
3581035	1536	1998-02-28	PRIJEM	\N	189	51575	UROK	\N	\N
3581036	1536	1998-03-31	PRIJEM	\N	243	63193	UROK	\N	\N
3581037	1536	1998-04-30	PRIJEM	\N	283	64051	UROK	\N	\N
3581038	1536	1998-05-31	PRIJEM	\N	291	71618	UROK	\N	\N
3581039	1536	1998-06-30	PRIJEM	\N	287	66720	UROK	\N	\N
3581040	1536	1998-07-31	PRIJEM	\N	287	66182	UROK	\N	\N
3581041	1536	1998-08-31	PRIJEM	\N	294	69651	UROK	\N	\N
3581042	1536	1998-09-30	PRIJEM	\N	241	54706	UROK	\N	\N
3581043	1536	1998-10-31	PRIJEM	\N	245	59526	UROK	\N	\N
3581044	1536	1998-11-30	PRIJEM	\N	244	63985	UROK	\N	\N
3581045	1536	1998-12-31	PRIJEM	\N	271	69690	UROK	\N	\N
3581046	1538	1996-09-30	PRIJEM	\N	68	53297	UROK	\N	\N
3581047	1538	1996-10-31	PRIJEM	\N	225	64131	UROK	\N	\N
3581048	1538	1996-11-30	PRIJEM	\N	272	36307	UROK	\N	\N
3581049	1538	1996-12-31	PRIJEM	\N	260	80928	UROK	\N	\N
3581050	1538	1997-01-31	PRIJEM	\N	401	77402	UROK	\N	\N
3581051	1538	1997-02-28	PRIJEM	\N	267	70214	UROK	\N	\N
3581052	1538	1997-03-31	PRIJEM	\N	217	34328	UROK	\N	\N
3581053	1538	1997-04-30	PRIJEM	\N	174	52627	UROK	\N	\N
3581054	1538	1997-05-31	PRIJEM	\N	320	68229	UROK	\N	\N
3581055	1538	1997-06-30	PRIJEM	\N	296	44599	UROK	\N	\N
3581056	1538	1997-07-31	PRIJEM	\N	153	60044	UROK	\N	\N
3581057	1538	1997-08-31	PRIJEM	\N	222	48020	UROK	\N	\N
3581058	1538	1997-09-30	PRIJEM	\N	142	21959	UROK	\N	\N
3581059	1538	1997-10-31	PRIJEM	\N	90	11747	UROK	\N	\N
3581060	1538	1997-11-30	PRIJEM	\N	62	33267	UROK	\N	\N
3581061	1538	1997-12-31	PRIJEM	\N	324	133602	UROK	\N	\N
3581062	1538	1998-01-31	PRIJEM	\N	327	68392	UROK	\N	\N
3581063	1538	1998-02-28	PRIJEM	\N	264	50603	UROK	\N	\N
3581064	1538	1998-03-31	PRIJEM	\N	269	84180	UROK	\N	\N
3581065	1538	1998-04-30	PRIJEM	\N	245	35184	UROK	\N	\N
3581066	1538	1998-05-31	PRIJEM	\N	306	90165	UROK	\N	\N
3581067	1538	1998-06-30	PRIJEM	\N	333	87433	UROK	\N	\N
3581068	1538	1998-07-31	PRIJEM	\N	361	91483	UROK	\N	\N
3581069	1538	1998-08-31	PRIJEM	\N	233	38269	UROK	\N	\N
3581070	1538	1998-09-30	PRIJEM	\N	218	48666	UROK	\N	\N
3581071	1538	1998-10-31	PRIJEM	\N	202	50041	UROK	\N	\N
3581072	1538	1998-11-30	PRIJEM	\N	132	19871	UROK	\N	\N
3581073	1538	1998-12-31	PRIJEM	\N	107	35862	UROK	\N	\N
3581074	1540	1995-04-30	PRIJEM	\N	10	22755	UROK	\N	\N
3581075	1540	1995-05-31	PRIJEM	\N	102	36902	UROK	\N	\N
3581076	1540	1995-06-30	PRIJEM	\N	161	50481	UROK	\N	\N
3581077	1540	1995-07-31	PRIJEM	\N	211	52136	UROK	\N	\N
3581078	1540	1995-08-31	PRIJEM	\N	243	47685	UROK	\N	\N
3581079	1540	1995-09-30	PRIJEM	\N	219	42937	UROK	\N	\N
3581080	1540	1995-10-31	PRIJEM	\N	202	42572	UROK	\N	\N
3581081	1540	1995-11-30	PRIJEM	\N	198	41103	UROK	\N	\N
3581082	1540	1995-12-31	PRIJEM	\N	218	48127	UROK	\N	\N
3581083	1540	1996-01-31	PRIJEM	\N	200	43561	UROK	\N	\N
3581084	1540	1996-02-29	PRIJEM	\N	199	43393	UROK	\N	\N
3581085	1540	1996-03-31	PRIJEM	\N	200	44127	UROK	\N	\N
3581086	1540	1996-04-30	PRIJEM	\N	202	41163	UROK	\N	\N
3581087	1540	1996-05-31	PRIJEM	\N	195	42390	UROK	\N	\N
3581088	1540	1996-06-30	PRIJEM	\N	181	33378	UROK	\N	\N
3581089	1540	1996-07-31	PRIJEM	\N	160	37471	UROK	\N	\N
3581090	1540	1996-08-31	PRIJEM	\N	173	37377	UROK	\N	\N
3581091	1540	1996-09-30	PRIJEM	\N	166	35677	UROK	\N	\N
3581092	1540	1996-10-31	PRIJEM	\N	144	27555	UROK	\N	\N
3581093	1540	1996-11-30	PRIJEM	\N	126	27814	UROK	\N	\N
3581094	1540	1996-12-31	PRIJEM	\N	143	34464	UROK	\N	\N
3581095	1540	1997-01-31	PRIJEM	\N	137	29234	UROK	\N	\N
3581096	1540	1997-02-28	PRIJEM	\N	131	32098	UROK	\N	\N
3581097	1540	1997-03-31	PRIJEM	\N	138	31569	UROK	\N	\N
3581098	1540	1997-04-30	PRIJEM	\N	141	34843	UROK	\N	\N
3581099	1540	1997-05-31	PRIJEM	\N	145	27021	UROK	\N	\N
3581100	1540	1997-06-30	PRIJEM	\N	144	38871	UROK	\N	\N
3581101	1540	1997-07-31	PRIJEM	\N	174	42379	UROK	\N	\N
3581102	1540	1997-08-31	PRIJEM	\N	184	45596	UROK	\N	\N
3581103	1540	1997-09-30	PRIJEM	\N	193	47523	UROK	\N	\N
3581104	1540	1997-10-31	PRIJEM	\N	204	50660	UROK	\N	\N
3581105	1540	1997-11-30	PRIJEM	\N	244	61537	UROK	\N	\N
3581106	1540	1997-12-31	PRIJEM	\N	301	80145	UROK	\N	\N
3581107	1540	1998-01-31	PRIJEM	\N	310	72588	UROK	\N	\N
3581108	1540	1998-02-28	PRIJEM	\N	308	76728	UROK	\N	\N
3581109	1540	1998-03-31	PRIJEM	\N	328	79590	UROK	\N	\N
3581110	1540	1998-04-30	PRIJEM	\N	347	83570	UROK	\N	\N
3581111	1540	1998-05-31	PRIJEM	\N	352	83056	UROK	\N	\N
3581112	1540	1998-06-30	PRIJEM	\N	350	87712	UROK	\N	\N
3581113	1540	1998-07-31	PRIJEM	\N	366	85611	UROK	\N	\N
3581114	1540	1998-08-31	PRIJEM	\N	365	86809	UROK	\N	\N
3581115	1540	1998-09-30	PRIJEM	\N	367	87310	UROK	\N	\N
3581116	1540	1998-10-31	PRIJEM	\N	374	93517	UROK	\N	\N
3581117	1540	1998-11-30	PRIJEM	\N	380	92030	UROK	\N	\N
3581118	1540	1998-12-31	PRIJEM	\N	395	99432	UROK	\N	\N
3581119	1542	1996-07-31	PRIJEM	\N	22	20574	UROK	\N	\N
3581120	1542	1996-08-31	PRIJEM	\N	87	21945	UROK	\N	\N
3581121	1542	1996-09-30	PRIJEM	\N	93	23122	UROK	\N	\N
3581122	1542	1996-10-31	PRIJEM	\N	103	22139	UROK	\N	\N
3581123	1542	1996-11-30	PRIJEM	\N	102	23656	UROK	\N	\N
3581124	1542	1996-12-31	PRIJEM	\N	112	27682	UROK	\N	\N
3581125	1542	1997-01-31	PRIJEM	\N	108	21704	UROK	\N	\N
3581126	1542	1997-02-28	PRIJEM	\N	97	21276	UROK	\N	\N
3581127	1542	1997-03-31	PRIJEM	\N	96	19186	UROK	\N	\N
3581128	1542	1997-04-30	PRIJEM	\N	87	19488	UROK	\N	\N
3581129	1542	1997-05-31	PRIJEM	\N	75	15097	UROK	\N	\N
3581130	1542	1997-06-30	PRIJEM	\N	66	13677	UROK	\N	\N
3581131	1542	1997-07-31	PRIJEM	\N	61	12553	UROK	\N	\N
3581132	1542	1997-08-31	PRIJEM	\N	56	11724	UROK	\N	\N
3581133	1542	1997-09-30	PRIJEM	\N	63	16101	UROK	\N	\N
3581134	1542	1997-10-31	PRIJEM	\N	66	13181	UROK	\N	\N
3581135	1542	1997-11-30	PRIJEM	\N	68	16604	UROK	\N	\N
3581136	1542	1997-12-31	PRIJEM	\N	83	21001	UROK	\N	\N
3581137	1542	1998-01-31	PRIJEM	\N	90	18686	UROK	\N	\N
3581138	1542	1998-02-28	PRIJEM	\N	64	10964	UROK	\N	\N
3581139	1542	1998-03-31	PRIJEM	\N	59	15338	UROK	\N	\N
3581140	1542	1998-04-30	PRIJEM	\N	77	19730	UROK	\N	\N
3581141	1542	1998-05-31	PRIJEM	\N	96	24140	UROK	\N	\N
3581142	1542	1998-06-30	PRIJEM	\N	105	23299	UROK	\N	\N
3581143	1542	1998-07-31	PRIJEM	\N	109	27322	UROK	\N	\N
3581144	1542	1998-08-31	PRIJEM	\N	116	28553	UROK	\N	\N
3581145	1542	1998-09-30	PRIJEM	\N	122	29629	UROK	\N	\N
3581146	1542	1998-10-31	PRIJEM	\N	81	13124	UROK	\N	\N
3581147	1542	1998-11-30	PRIJEM	\N	68	17506	UROK	\N	\N
3581148	1542	1998-12-31	PRIJEM	\N	86	21907	UROK	\N	\N
3581149	1544	1993-08-31	PRIJEM	\N	57	22207	UROK	\N	\N
3581150	1544	1993-09-30	PRIJEM	\N	127	35283	UROK	\N	\N
3581151	1544	1993-10-31	PRIJEM	\N	156	38689	UROK	\N	\N
3581152	1544	1993-11-30	PRIJEM	\N	167	40905	UROK	\N	\N
3581153	1544	1993-12-31	PRIJEM	\N	176	38231	UROK	\N	\N
3581154	1544	1994-01-31	PRIJEM	\N	125	15297	UROK	\N	\N
3581155	1544	1994-02-28	PRIJEM	\N	91	24508	UROK	\N	\N
3581156	1544	1994-03-31	PRIJEM	\N	125	31753	UROK	\N	\N
3581157	1544	1994-04-30	PRIJEM	\N	142	32916	UROK	\N	\N
3581158	1544	1994-05-31	PRIJEM	\N	144	35081	UROK	\N	\N
3581159	1544	1994-06-30	PRIJEM	\N	122	16878	UROK	\N	\N
3581160	1544	1994-07-31	PRIJEM	\N	98	25695	UROK	\N	\N
3581161	1544	1994-08-31	PRIJEM	\N	116	28032	UROK	\N	\N
3581162	1544	1994-09-30	PRIJEM	\N	151	38663	UROK	\N	\N
3581163	1544	1994-10-31	PRIJEM	\N	181	44564	UROK	\N	\N
3581164	1544	1994-11-30	PRIJEM	\N	191	46076	UROK	\N	\N
3581165	1544	1994-12-31	PRIJEM	\N	216	52908	UROK	\N	\N
3581166	1544	1995-01-31	PRIJEM	\N	150	20198	UROK	\N	\N
3581167	1544	1995-02-28	PRIJEM	\N	119	30937	UROK	\N	\N
3581168	1544	1995-03-31	PRIJEM	\N	163	41421	UROK	\N	\N
3581169	1544	1995-04-30	PRIJEM	\N	177	43018	UROK	\N	\N
3581170	1544	1995-05-31	PRIJEM	\N	177	43755	UROK	\N	\N
3581171	1544	1995-06-30	PRIJEM	\N	153	33023	UROK	\N	\N
3581172	1544	1995-07-31	PRIJEM	\N	171	43215	UROK	\N	\N
3581173	1544	1995-08-31	PRIJEM	\N	196	48011	UROK	\N	\N
3581174	1544	1995-09-30	PRIJEM	\N	193	44205	UROK	\N	\N
3581175	1544	1995-10-31	PRIJEM	\N	199	45264	UROK	\N	\N
3581176	1544	1995-11-30	PRIJEM	\N	172	42657	UROK	\N	\N
3581177	1544	1995-12-31	PRIJEM	\N	224	56416	UROK	\N	\N
3581178	1544	1996-01-31	PRIJEM	\N	183	29719	UROK	\N	\N
3581179	1544	1996-02-29	PRIJEM	\N	151	39091	UROK	\N	\N
3581180	1544	1996-03-31	PRIJEM	\N	155	33086	UROK	\N	\N
3581181	1544	1996-04-30	PRIJEM	\N	163	37069	UROK	\N	\N
3581182	1544	1996-05-31	PRIJEM	\N	180	42070	UROK	\N	\N
3581183	1544	1996-06-30	PRIJEM	\N	203	36928	UROK	\N	\N
3581184	1544	1996-07-31	PRIJEM	\N	173	39341	UROK	\N	\N
3581185	1544	1996-08-31	PRIJEM	\N	186	41648	UROK	\N	\N
3581186	1544	1996-09-30	PRIJEM	\N	193	40061	UROK	\N	\N
3581187	1544	1996-10-31	PRIJEM	\N	187	41169	UROK	\N	\N
3581188	1544	1996-11-30	PRIJEM	\N	177	35325	UROK	\N	\N
3581189	1544	1996-12-31	PRIJEM	\N	191	40832	UROK	\N	\N
3581190	1544	1997-01-31	PRIJEM	\N	160	32832	UROK	\N	\N
3581191	1544	1997-02-28	PRIJEM	\N	161	40813	UROK	\N	\N
3581192	1544	1997-03-31	PRIJEM	\N	191	44024	UROK	\N	\N
3581193	1544	1997-04-30	PRIJEM	\N	188	41332	UROK	\N	\N
3581194	1544	1997-05-31	PRIJEM	\N	187	43159	UROK	\N	\N
3581195	1544	1997-06-30	PRIJEM	\N	182	38616	UROK	\N	\N
3581196	1544	1997-07-31	PRIJEM	\N	181	43218	UROK	\N	\N
3581197	1544	1997-08-31	PRIJEM	\N	198	47137	UROK	\N	\N
3581198	1544	1997-09-30	PRIJEM	\N	208	46565	UROK	\N	\N
3581199	1544	1997-10-31	PRIJEM	\N	204	45389	UROK	\N	\N
3581200	1544	1997-11-30	PRIJEM	\N	187	37817	UROK	\N	\N
3581201	1544	1997-12-31	PRIJEM	\N	183	36575	UROK	\N	\N
3581202	1544	1998-01-31	PRIJEM	\N	137	18453	UROK	\N	\N
3581203	1544	1998-02-28	PRIJEM	\N	101	27674	UROK	\N	\N
3581204	1544	1998-03-31	PRIJEM	\N	133	32527	UROK	\N	\N
3581205	1544	1998-04-30	PRIJEM	\N	156	39303	UROK	\N	\N
3581206	1544	1998-05-31	PRIJEM	\N	172	41436	UROK	\N	\N
3581207	1544	1998-06-30	PRIJEM	\N	189	43340	UROK	\N	\N
3581208	1544	1998-07-31	PRIJEM	\N	185	42246	UROK	\N	\N
3581209	1544	1998-08-31	PRIJEM	\N	182	42648	UROK	\N	\N
3581210	1544	1998-09-30	PRIJEM	\N	178	40947	UROK	\N	\N
3581211	1544	1998-10-31	PRIJEM	\N	174	40741	UROK	\N	\N
3581212	1544	1998-11-30	PRIJEM	\N	180	44442	UROK	\N	\N
3581213	1544	1998-12-31	PRIJEM	\N	203	47780	UROK	\N	\N
3581214	1545	1993-05-31	PRIJEM	\N	12	46154	UROK	\N	\N
3581215	1545	1993-06-30	PRIJEM	\N	192	35347	UROK	\N	\N
3581216	1545	1993-07-31	PRIJEM	\N	192	28439	UROK	\N	\N
3581217	1545	1993-08-31	PRIJEM	\N	247	67170	UROK	\N	\N
3581218	1545	1993-09-30	PRIJEM	\N	465	89838	UROK	\N	\N
3581219	1545	1993-10-31	PRIJEM	\N	225	34122	UROK	\N	\N
3581220	1545	1993-11-30	PRIJEM	\N	151	34643	UROK	\N	\N
3581221	1545	1993-12-31	PRIJEM	\N	102	21193	UROK	\N	\N
3581222	1545	1994-01-31	PRIJEM	\N	79	17420	UROK	\N	\N
3581223	1545	1994-02-28	PRIJEM	\N	79	19548	UROK	\N	\N
3581224	1545	1994-03-31	PRIJEM	\N	83	20079	UROK	\N	\N
3581225	1545	1994-04-30	PRIJEM	\N	87	21214	UROK	\N	\N
3581226	1545	1994-05-31	PRIJEM	\N	119	33435	UROK	\N	\N
3581227	1545	1994-06-30	PRIJEM	\N	119	25203	UROK	\N	\N
3581228	1545	1994-07-31	PRIJEM	\N	223	63549	UROK	\N	\N
3581229	1545	1994-08-31	PRIJEM	\N	233	47346	UROK	\N	\N
3581230	1545	1994-09-30	PRIJEM	\N	186	38181	UROK	\N	\N
3581231	1545	1994-10-31	PRIJEM	\N	128	27357	UROK	\N	\N
3581232	1545	1994-11-30	PRIJEM	\N	130	34943	UROK	\N	\N
3581233	1545	1994-12-31	PRIJEM	\N	130	29421	UROK	\N	\N
3581234	1545	1995-01-31	PRIJEM	\N	107	20376	UROK	\N	\N
3581235	1545	1995-02-28	PRIJEM	\N	75	23700	UROK	\N	\N
3581236	1545	1995-03-31	PRIJEM	\N	231	55842	UROK	\N	\N
3581237	1545	1995-04-30	PRIJEM	\N	214	42304	UROK	\N	\N
3581238	1545	1995-05-31	PRIJEM	\N	144	46278	UROK	\N	\N
3581239	1545	1995-06-30	PRIJEM	\N	238	65420	UROK	\N	\N
3581240	1545	1995-07-31	PRIJEM	\N	287	55591	UROK	\N	\N
3581241	1545	1995-08-31	PRIJEM	\N	212	46251	UROK	\N	\N
3581242	1545	1995-09-30	PRIJEM	\N	205	48321	UROK	\N	\N
3581243	1545	1995-10-31	PRIJEM	\N	246	54340	UROK	\N	\N
3581244	1545	1995-11-30	PRIJEM	\N	174	32082	UROK	\N	\N
3581245	1545	1995-12-31	PRIJEM	\N	200	39392	UROK	\N	\N
3581246	1545	1996-01-31	PRIJEM	\N	124	24865	UROK	\N	\N
3581247	1545	1996-02-29	PRIJEM	\N	95	25208	UROK	\N	\N
3581248	1545	1996-03-31	PRIJEM	\N	100	28656	UROK	\N	\N
3581249	1545	1996-04-30	PRIJEM	\N	116	31721	UROK	\N	\N
3581250	1545	1996-05-31	PRIJEM	\N	121	30591	UROK	\N	\N
3581251	1545	1996-06-30	PRIJEM	\N	123	32262	UROK	\N	\N
3581252	1545	1996-07-31	PRIJEM	\N	122	23832	UROK	\N	\N
3581253	1545	1996-08-31	PRIJEM	\N	101	27181	UROK	\N	\N
3581254	1545	1996-09-30	PRIJEM	\N	111	29741	UROK	\N	\N
3581255	1545	1996-10-31	PRIJEM	\N	185	46446	UROK	\N	\N
3581256	1545	1996-11-30	PRIJEM	\N	175	40570	UROK	\N	\N
3581257	1545	1996-12-31	PRIJEM	\N	139	32557	UROK	\N	\N
3581258	1545	1997-01-31	PRIJEM	\N	186	85219	UROK	\N	\N
3581259	1545	1997-02-28	PRIJEM	\N	304	96082	UROK	\N	\N
3581260	1545	1997-03-31	PRIJEM	\N	322	92385	UROK	\N	\N
3581261	1545	1997-04-30	PRIJEM	\N	374	94488	UROK	\N	\N
3581262	1545	1997-05-31	PRIJEM	\N	371	64659	UROK	\N	\N
3581263	1545	1997-06-30	PRIJEM	\N	225	38232	UROK	\N	\N
3581264	1545	1997-07-31	PRIJEM	\N	158	58507	UROK	\N	\N
3581265	1545	1997-08-31	PRIJEM	\N	262	100612	UROK	\N	\N
3581266	1545	1997-09-30	PRIJEM	\N	360	114597	UROK	\N	\N
3581267	1545	1997-10-31	PRIJEM	\N	322	66764	UROK	\N	\N
3581268	1545	1997-11-30	PRIJEM	\N	236	70410	UROK	\N	\N
3581269	1545	1997-12-31	PRIJEM	\N	195	39653	UROK	\N	\N
3581270	1545	1998-01-31	PRIJEM	\N	131	32389	UROK	\N	\N
3581271	1545	1998-02-28	PRIJEM	\N	264	98624	UROK	\N	\N
3581272	1545	1998-03-31	PRIJEM	\N	386	101478	UROK	\N	\N
3581273	1545	1998-04-30	PRIJEM	\N	297	46822	UROK	\N	\N
3581274	1545	1998-05-31	PRIJEM	\N	184	50766	UROK	\N	\N
3581275	1545	1998-06-30	PRIJEM	\N	134	27796	UROK	\N	\N
3581276	1545	1998-07-31	PRIJEM	\N	157	27704	UROK	\N	\N
3581277	1545	1998-08-31	PRIJEM	\N	116	28558	UROK	\N	\N
3581278	1545	1998-09-30	PRIJEM	\N	85	19892	UROK	\N	\N
3581279	1545	1998-10-31	PRIJEM	\N	64	16204	UROK	\N	\N
3581280	1545	1998-11-30	PRIJEM	\N	99	26535	UROK	\N	\N
3581281	1545	1998-12-31	PRIJEM	\N	112	61549	UROK	\N	\N
3581282	1546	1996-12-31	PRIJEM	\N	28	17148	UROK	\N	\N
3581283	1546	1997-01-31	PRIJEM	\N	82	23510	UROK	\N	\N
3581284	1546	1997-02-28	PRIJEM	\N	100	25190	UROK	\N	\N
3581285	1546	1997-03-31	PRIJEM	\N	108	27178	UROK	\N	\N
3581286	1546	1997-04-30	PRIJEM	\N	115	26100	UROK	\N	\N
3581287	1546	1997-05-31	PRIJEM	\N	115	19308	UROK	\N	\N
3581288	1546	1997-06-30	PRIJEM	\N	91	20931	UROK	\N	\N
3581289	1546	1997-07-31	PRIJEM	\N	87	17210	UROK	\N	\N
3581290	1546	1997-08-31	PRIJEM	\N	73	16575	UROK	\N	\N
3581291	1546	1997-09-30	PRIJEM	\N	71	16339	UROK	\N	\N
3581292	1546	1997-10-31	PRIJEM	\N	66	14397	UROK	\N	\N
3581293	1546	1997-11-30	PRIJEM	\N	57	12347	UROK	\N	\N
3581294	1546	1997-12-31	PRIJEM	\N	63	14742	UROK	\N	\N
3581295	1546	1998-01-31	PRIJEM	\N	59	12593	UROK	\N	\N
3581296	1546	1998-02-28	PRIJEM	\N	65	17450	UROK	\N	\N
3581297	1546	1998-03-31	PRIJEM	\N	69	14711	UROK	\N	\N
3581298	1546	1998-04-30	PRIJEM	\N	68	16971	UROK	\N	\N
3581299	1546	1998-05-31	PRIJEM	\N	75	18439	UROK	\N	\N
3581300	1546	1998-06-30	PRIJEM	\N	81	14852	UROK	\N	\N
3581301	1546	1998-07-31	PRIJEM	\N	59	13503	UROK	\N	\N
3581302	1546	1998-08-31	PRIJEM	\N	52	11948	UROK	\N	\N
3581303	1546	1998-09-30	PRIJEM	\N	60	15700	UROK	\N	\N
3581304	1546	1998-10-31	PRIJEM	\N	64	11557	UROK	\N	\N
3581305	1546	1998-11-30	PRIJEM	\N	38	8187	UROK	\N	\N
3581306	1546	1998-12-31	PRIJEM	\N	42	10762	UROK	\N	\N
3581307	1548	1995-06-30	PRIJEM	\N	38	14527	UROK	\N	\N
3581308	1548	1995-07-31	PRIJEM	\N	63	15629	UROK	\N	\N
3581309	1548	1995-08-31	PRIJEM	\N	68	16735	UROK	\N	\N
3581310	1548	1995-09-30	PRIJEM	\N	73	17846	UROK	\N	\N
3581311	1548	1995-10-31	PRIJEM	\N	73	17488	UROK	\N	\N
3581312	1548	1995-11-30	PRIJEM	\N	76	18602	UROK	\N	\N
3581313	1548	1995-12-31	PRIJEM	\N	84	19215	UROK	\N	\N
3581314	1548	1996-01-31	PRIJEM	\N	81	19134	UROK	\N	\N
3581315	1548	1996-02-29	PRIJEM	\N	82	20255	UROK	\N	\N
3581316	1548	1996-03-31	PRIJEM	\N	86	20849	UROK	\N	\N
3581317	1548	1996-04-30	PRIJEM	\N	87	20595	UROK	\N	\N
3581318	1548	1996-05-31	PRIJEM	\N	86	19819	UROK	\N	\N
3581319	1548	1996-06-30	PRIJEM	\N	77	14274	UROK	\N	\N
3581320	1548	1996-07-31	PRIJEM	\N	60	13972	UROK	\N	\N
3581321	1548	1996-08-31	PRIJEM	\N	56	12167	UROK	\N	\N
3581322	1548	1996-09-30	PRIJEM	\N	53	13258	UROK	\N	\N
3581323	1548	1996-10-31	PRIJEM	\N	58	14355	UROK	\N	\N
3581324	1548	1996-11-30	PRIJEM	\N	62	15455	UROK	\N	\N
3581325	1548	1996-12-31	PRIJEM	\N	57	11651	UROK	\N	\N
3581326	1548	1997-01-31	PRIJEM	\N	51	12740	UROK	\N	\N
3581327	1548	1997-02-28	PRIJEM	\N	55	13834	UROK	\N	\N
3581328	1548	1997-03-31	PRIJEM	\N	60	14602	UROK	\N	\N
3581329	1548	1997-04-30	PRIJEM	\N	54	11425	UROK	\N	\N
3581330	1548	1997-05-31	PRIJEM	\N	50	12513	UROK	\N	\N
3581331	1548	1997-06-30	PRIJEM	\N	54	13126	UROK	\N	\N
3581332	1548	1997-07-31	PRIJEM	\N	51	11415	UROK	\N	\N
3581333	1548	1997-08-31	PRIJEM	\N	50	12503	UROK	\N	\N
3581334	1548	1997-09-30	PRIJEM	\N	54	13295	UROK	\N	\N
3581335	1548	1997-10-31	PRIJEM	\N	58	14391	UROK	\N	\N
3581336	1548	1997-11-30	PRIJEM	\N	62	15492	UROK	\N	\N
3581337	1548	1997-12-31	PRIJEM	\N	66	15396	UROK	\N	\N
3581338	1548	1998-01-31	PRIJEM	\N	66	16501	UROK	\N	\N
3581339	1548	1998-02-28	PRIJEM	\N	71	17610	UROK	\N	\N
3581340	1548	1998-03-31	PRIJEM	\N	71	16680	UROK	\N	\N
3581341	1548	1998-04-30	PRIJEM	\N	72	17790	UROK	\N	\N
3581342	1548	1998-05-31	PRIJEM	\N	76	18904	UROK	\N	\N
3581343	1548	1998-06-30	PRIJEM	\N	71	16863	UROK	\N	\N
3581344	1548	1998-07-31	PRIJEM	\N	72	17974	UROK	\N	\N
3581345	1548	1998-08-31	PRIJEM	\N	77	19089	UROK	\N	\N
3581346	1548	1998-09-30	PRIJEM	\N	81	20209	UROK	\N	\N
3581347	1548	1998-10-31	PRIJEM	\N	84	20281	UROK	\N	\N
3581348	1548	1998-11-30	PRIJEM	\N	86	21166	UROK	\N	\N
3581349	1548	1998-12-31	PRIJEM	\N	90	22114	UROK	\N	\N
3581350	1549	1996-12-31	PRIJEM	\N	33	22280	UROK	\N	\N
3581351	1549	1997-01-31	PRIJEM	\N	103	28881	UROK	\N	\N
3581352	1549	1997-02-28	PRIJEM	\N	127	33506	UROK	\N	\N
3581353	1549	1997-03-31	PRIJEM	\N	146	37950	UROK	\N	\N
3581354	1549	1997-04-30	PRIJEM	\N	170	37766	UROK	\N	\N
3581355	1549	1997-05-31	PRIJEM	\N	159	30956	UROK	\N	\N
3581356	1549	1997-06-30	PRIJEM	\N	119	19855	UROK	\N	\N
3581357	1549	1997-07-31	PRIJEM	\N	106	26792	UROK	\N	\N
3581358	1549	1997-08-31	PRIJEM	\N	133	32956	UROK	\N	\N
3581359	1549	1997-09-30	PRIJEM	\N	154	37442	UROK	\N	\N
3581360	1549	1997-10-31	PRIJEM	\N	172	41545	UROK	\N	\N
3581361	1549	1997-11-30	PRIJEM	\N	176	39853	UROK	\N	\N
3581362	1549	1997-12-31	PRIJEM	\N	182	41316	UROK	\N	\N
3581363	1549	1998-01-31	PRIJEM	\N	144	28491	UROK	\N	\N
3581364	1549	1998-02-28	PRIJEM	\N	136	34458	UROK	\N	\N
3581365	1549	1998-03-31	PRIJEM	\N	149	34239	UROK	\N	\N
3581366	1549	1998-04-30	PRIJEM	\N	145	30215	UROK	\N	\N
3581367	1549	1998-05-31	PRIJEM	\N	138	33284	UROK	\N	\N
3581368	1549	1998-06-30	PRIJEM	\N	155	33820	UROK	\N	\N
3581369	1549	1998-07-31	PRIJEM	\N	151	35702	UROK	\N	\N
3581370	1549	1998-08-31	PRIJEM	\N	167	42201	UROK	\N	\N
3581371	1549	1998-09-30	PRIJEM	\N	183	43114	UROK	\N	\N
3581372	1549	1998-10-31	PRIJEM	\N	191	47237	UROK	\N	\N
3581373	1549	1998-11-30	PRIJEM	\N	217	51085	UROK	\N	\N
3581374	1549	1998-12-31	PRIJEM	\N	217	49983	UROK	\N	\N
3581375	1550	1996-05-31	PRIJEM	\N	36	15620	UROK	\N	\N
3581376	1550	1996-06-30	PRIJEM	\N	92	27138	UROK	\N	\N
3581377	1550	1996-07-31	PRIJEM	\N	117	28838	UROK	\N	\N
3581378	1550	1996-08-31	PRIJEM	\N	115	27037	UROK	\N	\N
3581379	1550	1996-09-30	PRIJEM	\N	112	26625	UROK	\N	\N
3581380	1550	1996-10-31	PRIJEM	\N	110	25337	UROK	\N	\N
3581381	1550	1996-11-30	PRIJEM	\N	104	24402	UROK	\N	\N
3581382	1550	1996-12-31	PRIJEM	\N	101	23226	UROK	\N	\N
3581383	1550	1997-01-31	PRIJEM	\N	92	14259	UROK	\N	\N
3581384	1550	1997-02-28	PRIJEM	\N	84	21805	UROK	\N	\N
3581385	1550	1997-03-31	PRIJEM	\N	78	14584	UROK	\N	\N
3581386	1550	1997-04-30	PRIJEM	\N	73	18319	UROK	\N	\N
3581387	1550	1997-05-31	PRIJEM	\N	90	22470	UROK	\N	\N
3581388	1550	1997-06-30	PRIJEM	\N	84	17398	UROK	\N	\N
3581389	1550	1997-07-31	PRIJEM	\N	82	19741	UROK	\N	\N
3581390	1550	1997-08-31	PRIJEM	\N	91	21313	UROK	\N	\N
3581391	1550	1997-09-30	PRIJEM	\N	84	17958	UROK	\N	\N
3581392	1550	1997-10-31	PRIJEM	\N	74	12713	UROK	\N	\N
3581393	1550	1997-11-30	PRIJEM	\N	76	18550	UROK	\N	\N
3581394	1550	1997-12-31	PRIJEM	\N	91	19085	UROK	\N	\N
3581395	1550	1998-01-31	PRIJEM	\N	76	14202	UROK	\N	\N
3581396	1550	1998-02-28	PRIJEM	\N	86	21249	UROK	\N	\N
3581397	1550	1998-03-31	PRIJEM	\N	104	24914	UROK	\N	\N
3581398	1550	1998-04-30	PRIJEM	\N	110	25286	UROK	\N	\N
3581399	1550	1998-05-31	PRIJEM	\N	114	27061	UROK	\N	\N
3581400	1550	1998-06-30	PRIJEM	\N	108	22933	UROK	\N	\N
3581401	1550	1998-07-31	PRIJEM	\N	118	28612	UROK	\N	\N
3581402	1550	1998-08-31	PRIJEM	\N	131	31405	UROK	\N	\N
3581403	1550	1998-09-30	PRIJEM	\N	141	33607	UROK	\N	\N
3581404	1550	1998-10-31	PRIJEM	\N	146	34614	UROK	\N	\N
3581405	1550	1998-11-30	PRIJEM	\N	145	32900	UROK	\N	\N
3581406	1550	1998-12-31	PRIJEM	\N	149	36373	UROK	\N	\N
3581407	1551	1997-11-30	PRIJEM	\N	86	28018	UROK	\N	\N
3581408	1551	1997-12-31	PRIJEM	\N	129	30766	UROK	\N	\N
3581409	1551	1998-01-31	PRIJEM	\N	119	25484	UROK	\N	\N
3581410	1551	1998-02-28	PRIJEM	\N	108	25101	UROK	\N	\N
3581411	1551	1998-03-31	PRIJEM	\N	103	23474	UROK	\N	\N
3581412	1551	1998-04-30	PRIJEM	\N	94	19837	UROK	\N	\N
3581413	1551	1998-05-31	PRIJEM	\N	78	16364	UROK	\N	\N
3581414	1551	1998-06-30	PRIJEM	\N	54	11637	UROK	\N	\N
3581415	1551	1998-07-31	PRIJEM	\N	59	15265	UROK	\N	\N
3581416	1551	1998-08-31	PRIJEM	\N	66	15141	UROK	\N	\N
3581417	1551	1998-09-30	PRIJEM	\N	74	18784	UROK	\N	\N
3581418	1551	1998-10-31	PRIJEM	\N	89	22442	UROK	\N	\N
3581419	1551	1998-11-30	PRIJEM	\N	91	21602	UROK	\N	\N
3581420	1551	1998-12-31	PRIJEM	\N	100	24871	UROK	\N	\N
3581421	1552	1994-01-31	PRIJEM	\N	78	25141	UROK	\N	\N
3581422	1552	1994-02-28	PRIJEM	\N	173	48277	UROK	\N	\N
3581423	1552	1994-03-31	PRIJEM	\N	235	59575	UROK	\N	\N
3581424	1552	1994-04-30	PRIJEM	\N	277	69415	UROK	\N	\N
3581425	1552	1994-05-31	PRIJEM	\N	293	71071	UROK	\N	\N
3581426	1552	1994-06-30	PRIJEM	\N	325	81962	UROK	\N	\N
3581427	1552	1994-07-31	PRIJEM	\N	304	72551	UROK	\N	\N
3581428	1552	1994-08-31	PRIJEM	\N	253	48090	UROK	\N	\N
3581429	1552	1994-09-30	PRIJEM	\N	253	46628	UROK	\N	\N
3581430	1552	1994-10-31	PRIJEM	\N	246	46559	UROK	\N	\N
3581431	1552	1994-11-30	PRIJEM	\N	233	45677	UROK	\N	\N
3581432	1552	1994-12-31	PRIJEM	\N	265	51208	UROK	\N	\N
3581433	1552	1995-01-31	PRIJEM	\N	228	41521	UROK	\N	\N
3581434	1552	1995-02-28	PRIJEM	\N	223	44129	UROK	\N	\N
3581435	1552	1995-03-31	PRIJEM	\N	227	42241	UROK	\N	\N
3581436	1552	1995-04-30	PRIJEM	\N	227	48353	UROK	\N	\N
3581437	1552	1995-05-31	PRIJEM	\N	249	49987	UROK	\N	\N
3581438	1552	1995-06-30	PRIJEM	\N	288	58242	UROK	\N	\N
3581439	1552	1995-07-31	PRIJEM	\N	284	55210	UROK	\N	\N
3581440	1552	1995-08-31	PRIJEM	\N	273	56769	UROK	\N	\N
3581441	1552	1995-09-30	PRIJEM	\N	276	56930	UROK	\N	\N
3581442	1552	1995-10-31	PRIJEM	\N	273	54588	UROK	\N	\N
3581443	1552	1995-11-30	PRIJEM	\N	263	54237	UROK	\N	\N
3581444	1552	1995-12-31	PRIJEM	\N	295	63098	UROK	\N	\N
3581445	1552	1996-01-31	PRIJEM	\N	270	46353	UROK	\N	\N
3581446	1552	1996-02-29	PRIJEM	\N	224	49962	UROK	\N	\N
3581447	1552	1996-03-31	PRIJEM	\N	243	52091	UROK	\N	\N
3581448	1552	1996-04-30	PRIJEM	\N	247	51523	UROK	\N	\N
3581449	1552	1996-05-31	PRIJEM	\N	246	52754	UROK	\N	\N
3581450	1552	1996-06-30	PRIJEM	\N	275	58896	UROK	\N	\N
3581451	1552	1996-07-31	PRIJEM	\N	271	58252	UROK	\N	\N
3581452	1552	1996-08-31	PRIJEM	\N	265	57502	UROK	\N	\N
3581453	1552	1996-09-30	PRIJEM	\N	261	57549	UROK	\N	\N
3581454	1552	1996-10-31	PRIJEM	\N	258	56292	UROK	\N	\N
3581455	1552	1996-11-30	PRIJEM	\N	256	57834	UROK	\N	\N
3581456	1552	1996-12-31	PRIJEM	\N	284	63585	UROK	\N	\N
3581457	1552	1997-01-31	PRIJEM	\N	250	57020	UROK	\N	\N
3581458	1552	1997-02-28	PRIJEM	\N	261	60966	UROK	\N	\N
3581459	1552	1997-03-31	PRIJEM	\N	279	62231	UROK	\N	\N
3581460	1552	1997-04-30	PRIJEM	\N	285	66501	UROK	\N	\N
3581461	1552	1997-05-31	PRIJEM	\N	290	65977	UROK	\N	\N
3581462	1552	1997-06-30	PRIJEM	\N	319	75762	UROK	\N	\N
3581463	1552	1997-07-31	PRIJEM	\N	321	73569	UROK	\N	\N
3581464	1552	1997-08-31	PRIJEM	\N	301	67855	UROK	\N	\N
3581465	1552	1997-09-30	PRIJEM	\N	285	66426	UROK	\N	\N
3581466	1552	1997-10-31	PRIJEM	\N	270	62281	UROK	\N	\N
3581467	1552	1997-11-30	PRIJEM	\N	251	57717	UROK	\N	\N
3581468	1552	1997-12-31	PRIJEM	\N	254	59837	UROK	\N	\N
3581469	1552	1998-01-31	PRIJEM	\N	206	45428	UROK	\N	\N
3581470	1552	1998-02-28	PRIJEM	\N	196	48810	UROK	\N	\N
3581471	1552	1998-03-31	PRIJEM	\N	205	48601	UROK	\N	\N
3581472	1552	1998-04-30	PRIJEM	\N	215	53401	UROK	\N	\N
3581473	1552	1998-05-31	PRIJEM	\N	227	55213	UROK	\N	\N
3581474	1552	1998-06-30	PRIJEM	\N	252	63432	UROK	\N	\N
3581475	1552	1998-07-31	PRIJEM	\N	260	63377	UROK	\N	\N
3581476	1552	1998-08-31	PRIJEM	\N	247	60110	UROK	\N	\N
3581477	1552	1998-09-30	PRIJEM	\N	240	59336	UROK	\N	\N
3581478	1552	1998-10-31	PRIJEM	\N	247	62268	UROK	\N	\N
3581479	1552	1998-11-30	PRIJEM	\N	257	64810	UROK	\N	\N
3581480	1552	1998-12-31	PRIJEM	\N	289	71766	UROK	\N	\N
3581481	1554	1994-12-31	PRIJEM	\N	57	24985	UROK	\N	\N
3581482	1554	1995-01-31	PRIJEM	\N	126	34163	UROK	\N	\N
3581483	1554	1995-02-28	PRIJEM	\N	154	39369	UROK	\N	\N
3581484	1554	1995-03-31	PRIJEM	\N	171	42692	UROK	\N	\N
3581485	1554	1995-04-30	PRIJEM	\N	183	44087	UROK	\N	\N
3581486	1554	1995-05-31	PRIJEM	\N	178	40551	UROK	\N	\N
3581487	1554	1995-06-30	PRIJEM	\N	170	28484	UROK	\N	\N
3581488	1554	1995-07-31	PRIJEM	\N	128	31698	UROK	\N	\N
3581489	1554	1995-08-31	PRIJEM	\N	143	33547	UROK	\N	\N
3581490	1554	1995-09-30	PRIJEM	\N	172	41146	UROK	\N	\N
3581491	1554	1995-10-31	PRIJEM	\N	199	52032	UROK	\N	\N
3581492	1554	1995-11-30	PRIJEM	\N	209	50427	UROK	\N	\N
3581493	1554	1995-12-31	PRIJEM	\N	218	55488	UROK	\N	\N
3581494	1554	1996-01-31	PRIJEM	\N	189	29243	UROK	\N	\N
3581495	1554	1996-02-29	PRIJEM	\N	151	41180	UROK	\N	\N
3581496	1554	1996-03-31	PRIJEM	\N	189	48355	UROK	\N	\N
3581497	1554	1996-04-30	PRIJEM	\N	216	54758	UROK	\N	\N
3581498	1554	1996-05-31	PRIJEM	\N	231	56775	UROK	\N	\N
3581499	1554	1996-06-30	PRIJEM	\N	243	49460	UROK	\N	\N
3581500	1554	1996-07-31	PRIJEM	\N	230	58057	UROK	\N	\N
3581501	1554	1996-08-31	PRIJEM	\N	247	60110	UROK	\N	\N
3581502	1554	1996-09-30	PRIJEM	\N	250	61447	UROK	\N	\N
3581503	1554	1996-10-31	PRIJEM	\N	232	58445	UROK	\N	\N
3581504	1554	1996-11-30	PRIJEM	\N	236	56588	UROK	\N	\N
3581505	1554	1996-12-31	PRIJEM	\N	256	64026	UROK	\N	\N
3581506	1554	1997-01-31	PRIJEM	\N	221	50973	UROK	\N	\N
3581507	1554	1997-02-28	PRIJEM	\N	192	50631	UROK	\N	\N
3581508	1554	1997-03-31	PRIJEM	\N	204	47521	UROK	\N	\N
3581509	1554	1997-04-30	PRIJEM	\N	214	54621	UROK	\N	\N
3581510	1554	1997-05-31	PRIJEM	\N	228	56336	UROK	\N	\N
3581511	1554	1997-06-30	PRIJEM	\N	247	32265	UROK	\N	\N
3581512	1554	1997-07-31	PRIJEM	\N	164	44015	UROK	\N	\N
3581513	1554	1997-08-31	PRIJEM	\N	198	50899	UROK	\N	\N
3581514	1554	1997-09-30	PRIJEM	\N	210	55095	UROK	\N	\N
3581515	1554	1997-10-31	PRIJEM	\N	218	41100	UROK	\N	\N
3581516	1554	1997-11-30	PRIJEM	\N	181	34188	UROK	\N	\N
3581517	1554	1997-12-31	PRIJEM	\N	180	35530	UROK	\N	\N
3581518	1554	1998-01-31	PRIJEM	\N	153	30369	UROK	\N	\N
3581519	1554	1998-02-28	PRIJEM	\N	151	34506	UROK	\N	\N
3581520	1554	1998-03-31	PRIJEM	\N	170	41762	UROK	\N	\N
3581521	1554	1998-04-30	PRIJEM	\N	190	43139	UROK	\N	\N
3581522	1554	1998-05-31	PRIJEM	\N	195	42340	UROK	\N	\N
3581523	1554	1998-06-30	PRIJEM	\N	185	38628	UROK	\N	\N
3581524	1554	1998-07-31	PRIJEM	\N	175	36590	UROK	\N	\N
3581525	1554	1998-08-31	PRIJEM	\N	171	38047	UROK	\N	\N
3581526	1554	1998-09-30	PRIJEM	\N	171	36405	UROK	\N	\N
3581527	1554	1998-10-31	PRIJEM	\N	169	38361	UROK	\N	\N
3581528	1554	1998-11-30	PRIJEM	\N	164	38851	UROK	\N	\N
3581529	1554	1998-12-31	PRIJEM	\N	204	56718	UROK	\N	\N
3581530	1555	1997-04-30	PRIJEM	\N	92	28812	UROK	\N	\N
3581531	1555	1997-05-31	PRIJEM	\N	130	31924	UROK	\N	\N
3581532	1555	1997-06-30	PRIJEM	\N	129	29375	UROK	\N	\N
3581533	1555	1997-07-31	PRIJEM	\N	132	32490	UROK	\N	\N
3581534	1555	1997-08-31	PRIJEM	\N	144	34657	UROK	\N	\N
3581535	1555	1997-09-30	PRIJEM	\N	154	37793	UROK	\N	\N
3581536	1555	1997-10-31	PRIJEM	\N	168	40943	UROK	\N	\N
3581537	1555	1997-11-30	PRIJEM	\N	178	41944	UROK	\N	\N
3581538	1555	1997-12-31	PRIJEM	\N	180	43906	UROK	\N	\N
3581539	1555	1998-01-31	PRIJEM	\N	178	42806	UROK	\N	\N
3581540	1555	1998-02-28	PRIJEM	\N	173	42122	UROK	\N	\N
3581541	1555	1998-03-31	PRIJEM	\N	181	43125	UROK	\N	\N
3581542	1555	1998-04-30	PRIJEM	\N	190	46297	UROK	\N	\N
3581543	1555	1998-05-31	PRIJEM	\N	203	49482	UROK	\N	\N
3581544	1555	1998-06-30	PRIJEM	\N	197	45262	UROK	\N	\N
3581545	1555	1998-07-31	PRIJEM	\N	189	45473	UROK	\N	\N
3581546	1555	1998-08-31	PRIJEM	\N	192	46948	UROK	\N	\N
3581547	1555	1998-09-30	PRIJEM	\N	205	50135	UROK	\N	\N
3581548	1555	1998-10-31	PRIJEM	\N	201	48819	UROK	\N	\N
3581549	1555	1998-11-30	PRIJEM	\N	208	50909	UROK	\N	\N
3581550	1555	1998-12-31	PRIJEM	\N	205	47197	UROK	\N	\N
3581551	1556	1997-02-28	PRIJEM	\N	72	28610	UROK	\N	\N
3581552	1556	1997-03-31	PRIJEM	\N	128	31841	UROK	\N	\N
3581553	1556	1997-04-30	PRIJEM	\N	131	30856	UROK	\N	\N
3581554	1556	1997-05-31	PRIJEM	\N	135	33295	UROK	\N	\N
3581555	1556	1997-06-30	PRIJEM	\N	116	26114	UROK	\N	\N
3581556	1556	1997-07-31	PRIJEM	\N	120	30337	UROK	\N	\N
3581557	1556	1997-08-31	PRIJEM	\N	137	34578	UROK	\N	\N
3581558	1556	1997-09-30	PRIJEM	\N	155	38836	UROK	\N	\N
3581559	1556	1997-10-31	PRIJEM	\N	170	41509	UROK	\N	\N
3581560	1556	1997-11-30	PRIJEM	\N	178	42990	UROK	\N	\N
3581561	1556	1997-12-31	PRIJEM	\N	190	45983	UROK	\N	\N
3581562	1556	1998-01-31	PRIJEM	\N	180	38586	UROK	\N	\N
3581563	1556	1998-02-28	PRIJEM	\N	168	40557	UROK	\N	\N
3581564	1556	1998-03-31	PRIJEM	\N	180	44241	UROK	\N	\N
3581565	1556	1998-04-30	PRIJEM	\N	197	48242	UROK	\N	\N
3581566	1556	1998-05-31	PRIJEM	\N	203	48948	UROK	\N	\N
3581567	1556	1998-06-30	PRIJEM	\N	205	46657	UROK	\N	\N
3581568	1556	1998-07-31	PRIJEM	\N	205	50966	UROK	\N	\N
3581569	1556	1998-08-31	PRIJEM	\N	223	55292	UROK	\N	\N
3581570	1556	1998-09-30	PRIJEM	\N	209	46624	UROK	\N	\N
3581571	1556	1998-10-31	PRIJEM	\N	205	50933	UROK	\N	\N
3581572	1556	1998-11-30	PRIJEM	\N	223	55259	UROK	\N	\N
3581573	1556	1998-12-31	PRIJEM	\N	233	55735	UROK	\N	\N
3581574	1557	1997-04-30	PRIJEM	\N	64	24424	UROK	\N	\N
3581575	1557	1997-05-31	PRIJEM	\N	111	28098	UROK	\N	\N
3581576	1557	1997-06-30	PRIJEM	\N	108	18663	UROK	\N	\N
3581577	1557	1997-07-31	PRIJEM	\N	88	22498	UROK	\N	\N
3581578	1557	1997-08-31	PRIJEM	\N	98	23224	UROK	\N	\N
3581579	1557	1997-09-30	PRIJEM	\N	107	27078	UROK	\N	\N
3581580	1557	1997-10-31	PRIJEM	\N	123	30948	UROK	\N	\N
3581581	1557	1997-11-30	PRIJEM	\N	131	31547	UROK	\N	\N
3581582	1557	1997-12-31	PRIJEM	\N	132	30666	UROK	\N	\N
3581583	1557	1998-01-31	PRIJEM	\N	128	23151	UROK	\N	\N
3581584	1557	1998-02-28	PRIJEM	\N	106	27005	UROK	\N	\N
3581585	1557	1998-03-31	PRIJEM	\N	114	27186	UROK	\N	\N
3581586	1557	1998-04-30	PRIJEM	\N	122	30495	UROK	\N	\N
3581587	1557	1998-05-31	PRIJEM	\N	131	31653	UROK	\N	\N
3581588	1557	1998-06-30	PRIJEM	\N	117	26518	UROK	\N	\N
3581589	1557	1998-07-31	PRIJEM	\N	120	30386	UROK	\N	\N
3581590	1557	1998-08-31	PRIJEM	\N	137	34269	UROK	\N	\N
3581591	1557	1998-09-30	PRIJEM	\N	152	38169	UROK	\N	\N
3581592	1557	1998-10-31	PRIJEM	\N	169	42085	UROK	\N	\N
3581593	1557	1998-11-30	PRIJEM	\N	185	46018	UROK	\N	\N
3581594	1557	1998-12-31	PRIJEM	\N	199	48024	UROK	\N	\N
3581595	1558	1996-11-30	PRIJEM	\N	52	14423	UROK	\N	\N
3581596	1558	1996-12-31	PRIJEM	\N	82	20511	UROK	\N	\N
3581597	1558	1997-01-31	PRIJEM	\N	85	26667	UROK	\N	\N
3581598	1558	1997-02-28	PRIJEM	\N	112	28150	UROK	\N	\N
3581599	1558	1997-03-31	PRIJEM	\N	105	23179	UROK	\N	\N
3581600	1558	1997-04-30	PRIJEM	\N	86	19674	UROK	\N	\N
3581601	1558	1997-05-31	PRIJEM	\N	90	21174	UROK	\N	\N
3581602	1558	1997-06-30	PRIJEM	\N	62	11480	UROK	\N	\N
3581603	1558	1997-07-31	PRIJEM	\N	62	14751	UROK	\N	\N
3581604	1558	1997-08-31	PRIJEM	\N	84	20345	UROK	\N	\N
3581605	1558	1997-09-30	PRIJEM	\N	83	14637	UROK	\N	\N
3581606	1558	1997-10-31	PRIJEM	\N	69	16216	UROK	\N	\N
3581607	1558	1997-11-30	PRIJEM	\N	74	19699	UROK	\N	\N
3581608	1558	1997-12-31	PRIJEM	\N	97	22740	UROK	\N	\N
3581609	1558	1998-01-31	PRIJEM	\N	81	14430	UROK	\N	\N
3581610	1558	1998-02-28	PRIJEM	\N	66	16505	UROK	\N	\N
3581611	1558	1998-03-31	PRIJEM	\N	63	15577	UROK	\N	\N
3581612	1558	1998-04-30	PRIJEM	\N	71	16758	UROK	\N	\N
3581613	1558	1998-05-31	PRIJEM	\N	76	17743	UROK	\N	\N
3581614	1558	1998-06-30	PRIJEM	\N	83	18171	UROK	\N	\N
3581615	1558	1998-07-31	PRIJEM	\N	81	18962	UROK	\N	\N
3581616	1558	1998-08-31	PRIJEM	\N	78	16049	UROK	\N	\N
3581617	1558	1998-09-30	PRIJEM	\N	74	19532	UROK	\N	\N
3581618	1558	1998-10-31	PRIJEM	\N	89	23031	UROK	\N	\N
3581619	1558	1998-11-30	PRIJEM	\N	97	23137	UROK	\N	\N
3581620	1558	1998-12-31	PRIJEM	\N	110	24191	UROK	\N	\N
3581621	1559	1994-10-31	PRIJEM	\N	76	23599	UROK	\N	\N
3581622	1559	1994-11-30	PRIJEM	\N	179	49101	UROK	\N	\N
3581623	1559	1994-12-31	PRIJEM	\N	284	73919	UROK	\N	\N
3581624	1559	1995-01-31	PRIJEM	\N	309	74551	UROK	\N	\N
3581625	1559	1995-02-28	PRIJEM	\N	283	64052	UROK	\N	\N
3581626	1559	1995-03-31	PRIJEM	\N	259	60316	UROK	\N	\N
3581627	1559	1995-04-30	PRIJEM	\N	251	58872	UROK	\N	\N
3581628	1559	1995-05-31	PRIJEM	\N	227	52523	UROK	\N	\N
3581629	1559	1995-06-30	PRIJEM	\N	256	47374	UROK	\N	\N
3581630	1559	1995-07-31	PRIJEM	\N	221	53200	UROK	\N	\N
3581631	1559	1995-08-31	PRIJEM	\N	229	54033	UROK	\N	\N
3581632	1559	1995-09-30	PRIJEM	\N	240	57077	UROK	\N	\N
3581633	1559	1995-10-31	PRIJEM	\N	243	54484	UROK	\N	\N
3581634	1559	1995-11-30	PRIJEM	\N	237	56126	UROK	\N	\N
3581635	1559	1995-12-31	PRIJEM	\N	273	64435	UROK	\N	\N
3581636	1559	1996-01-31	PRIJEM	\N	148	25188	UROK	\N	\N
3581637	1559	1996-02-29	PRIJEM	\N	139	39331	UROK	\N	\N
3581638	1559	1996-03-31	PRIJEM	\N	195	48029	UROK	\N	\N
3581639	1559	1996-04-30	PRIJEM	\N	184	50717	UROK	\N	\N
3581640	1559	1996-05-31	PRIJEM	\N	191	39513	UROK	\N	\N
3581641	1559	1996-06-30	PRIJEM	\N	164	34672	UROK	\N	\N
3581642	1559	1996-07-31	PRIJEM	\N	176	37012	UROK	\N	\N
3581643	1559	1996-08-31	PRIJEM	\N	185	41402	UROK	\N	\N
3581644	1559	1996-09-30	PRIJEM	\N	205	42471	UROK	\N	\N
3581645	1559	1996-10-31	PRIJEM	\N	204	43079	UROK	\N	\N
3581646	1559	1996-11-30	PRIJEM	\N	207	46691	UROK	\N	\N
3581647	1559	1996-12-31	PRIJEM	\N	261	49769	UROK	\N	\N
3581648	1559	1997-01-31	PRIJEM	\N	206	34379	UROK	\N	\N
3581649	1559	1997-02-28	PRIJEM	\N	170	39953	UROK	\N	\N
3581650	1559	1997-03-31	PRIJEM	\N	199	42057	UROK	\N	\N
3581651	1559	1997-04-30	PRIJEM	\N	200	44861	UROK	\N	\N
3581652	1559	1997-05-31	PRIJEM	\N	211	46977	UROK	\N	\N
3581653	1559	1997-06-30	PRIJEM	\N	158	32310	UROK	\N	\N
3581654	1559	1997-07-31	PRIJEM	\N	165	41979	UROK	\N	\N
3581655	1559	1997-08-31	PRIJEM	\N	197	45980	UROK	\N	\N
3581656	1559	1997-09-30	PRIJEM	\N	207	45592	UROK	\N	\N
3581657	1559	1997-10-31	PRIJEM	\N	198	40094	UROK	\N	\N
3581658	1559	1997-11-30	PRIJEM	\N	185	42983	UROK	\N	\N
3581659	1559	1997-12-31	PRIJEM	\N	213	49512	UROK	\N	\N
3581660	1559	1998-01-31	PRIJEM	\N	196	37613	UROK	\N	\N
3581661	1559	1998-02-28	PRIJEM	\N	172	41389	UROK	\N	\N
3581662	1559	1998-03-31	PRIJEM	\N	189	44282	UROK	\N	\N
3581663	1559	1998-04-30	PRIJEM	\N	197	45283	UROK	\N	\N
3581664	1559	1998-05-31	PRIJEM	\N	195	42782	UROK	\N	\N
3581665	1559	1998-06-30	PRIJEM	\N	212	52309	UROK	\N	\N
3581666	1559	1998-07-31	PRIJEM	\N	224	51538	UROK	\N	\N
3581667	1559	1998-08-31	PRIJEM	\N	227	48569	UROK	\N	\N
3581668	1559	1998-09-30	PRIJEM	\N	215	53088	UROK	\N	\N
3581669	1559	1998-10-31	PRIJEM	\N	239	55391	UROK	\N	\N
3581670	1559	1998-11-30	PRIJEM	\N	235	57031	UROK	\N	\N
3581671	1559	1998-12-31	PRIJEM	\N	246	54293	UROK	\N	\N
3581672	1560	1997-05-31	PRIJEM	\N	43	17743	UROK	\N	\N
3581673	1560	1997-06-30	PRIJEM	\N	111	32754	UROK	\N	\N
3581674	1560	1997-07-31	PRIJEM	\N	142	35096	UROK	\N	\N
3581675	1560	1997-08-31	PRIJEM	\N	146	35342	UROK	\N	\N
3581676	1560	1997-09-30	PRIJEM	\N	138	30911	UROK	\N	\N
3581677	1560	1997-10-31	PRIJEM	\N	123	28106	UROK	\N	\N
3581678	1560	1997-11-30	PRIJEM	\N	118	28997	UROK	\N	\N
3581679	1560	1997-12-31	PRIJEM	\N	134	32403	UROK	\N	\N
3581680	1560	1998-01-31	PRIJEM	\N	121	25196	UROK	\N	\N
3581681	1560	1998-02-28	PRIJEM	\N	118	29686	UROK	\N	\N
3581682	1560	1998-03-31	PRIJEM	\N	131	32189	UROK	\N	\N
3581683	1560	1998-04-30	PRIJEM	\N	143	35505	UROK	\N	\N
3581684	1560	1998-05-31	PRIJEM	\N	149	33726	UROK	\N	\N
3581685	1560	1998-06-30	PRIJEM	\N	147	34746	UROK	\N	\N
3581686	1560	1998-07-31	PRIJEM	\N	156	36475	UROK	\N	\N
3581687	1560	1998-08-31	PRIJEM	\N	128	29675	UROK	\N	\N
3581688	1560	1998-09-30	PRIJEM	\N	118	24664	UROK	\N	\N
3581689	1560	1998-10-31	PRIJEM	\N	124	29461	UROK	\N	\N
3581690	1560	1998-11-30	PRIJEM	\N	138	34472	UROK	\N	\N
3581691	1560	1998-12-31	PRIJEM	\N	174	42618	UROK	\N	\N
3581692	1561	1995-04-30	PRIJEM	\N	17	5944	UROK	\N	\N
3581693	1561	1995-05-31	PRIJEM	\N	25	11295	UROK	\N	\N
3581694	1561	1995-06-30	PRIJEM	\N	25	16647	UROK	\N	\N
3581695	1561	1995-07-31	PRIJEM	\N	25	21999	UROK	\N	\N
3581696	1561	1995-08-31	PRIJEM	\N	79	25553	UROK	\N	\N
3581697	1561	1995-09-30	PRIJEM	\N	116	29006	UROK	\N	\N
3581698	1561	1995-10-31	PRIJEM	\N	130	31573	UROK	\N	\N
3581699	1561	1995-11-30	PRIJEM	\N	139	32250	UROK	\N	\N
3581700	1561	1995-12-31	PRIJEM	\N	135	33022	UROK	\N	\N
3581701	1561	1996-01-31	PRIJEM	\N	121	23680	UROK	\N	\N
3581702	1561	1996-02-29	PRIJEM	\N	104	24161	UROK	\N	\N
3581703	1561	1996-03-31	PRIJEM	\N	110	27609	UROK	\N	\N
3581704	1561	1996-04-30	PRIJEM	\N	124	31070	UROK	\N	\N
3581705	1561	1996-05-31	PRIJEM	\N	139	34546	UROK	\N	\N
3581706	1561	1996-06-30	PRIJEM	\N	144	31827	UROK	\N	\N
3581707	1561	1996-07-31	PRIJEM	\N	142	35307	UROK	\N	\N
3581708	1561	1996-08-31	PRIJEM	\N	156	38800	UROK	\N	\N
3581709	1561	1996-09-30	PRIJEM	\N	171	42309	UROK	\N	\N
3581710	1561	1996-10-31	PRIJEM	\N	173	42699	UROK	\N	\N
3581711	1561	1996-11-30	PRIJEM	\N	179	43896	UROK	\N	\N
3581712	1561	1996-12-31	PRIJEM	\N	189	45222	UROK	\N	\N
3581713	1561	1997-01-31	PRIJEM	\N	189	40888	UROK	\N	\N
3581714	1561	1997-02-28	PRIJEM	\N	179	44405	UROK	\N	\N
3581715	1561	1997-03-31	PRIJEM	\N	190	46332	UROK	\N	\N
3581716	1561	1997-04-30	PRIJEM	\N	202	49872	UROK	\N	\N
3581717	1561	1997-05-31	PRIJEM	\N	215	52324	UROK	\N	\N
3581718	1561	1997-06-30	PRIJEM	\N	213	46294	UROK	\N	\N
3581719	1561	1997-07-31	PRIJEM	\N	198	48710	UROK	\N	\N
3581720	1561	1997-08-31	PRIJEM	\N	207	49554	UROK	\N	\N
3581721	1561	1997-09-30	PRIJEM	\N	212	51503	UROK	\N	\N
3581722	1561	1997-10-31	PRIJEM	\N	214	50254	UROK	\N	\N
3581723	1561	1997-11-30	PRIJEM	\N	217	53208	UROK	\N	\N
3581724	1561	1997-12-31	PRIJEM	\N	215	45090	UROK	\N	\N
3581725	1561	1998-01-31	PRIJEM	\N	174	39001	UROK	\N	\N
3581726	1561	1998-02-28	PRIJEM	\N	156	38574	UROK	\N	\N
3581727	1561	1998-03-31	PRIJEM	\N	169	42080	UROK	\N	\N
3581728	1561	1998-04-30	PRIJEM	\N	165	36443	UROK	\N	\N
3581729	1561	1998-05-31	PRIJEM	\N	160	39940	UROK	\N	\N
3581730	1561	1998-06-30	PRIJEM	\N	153	32981	UROK	\N	\N
3581731	1561	1998-07-31	PRIJEM	\N	145	35983	UROK	\N	\N
3581732	1561	1998-08-31	PRIJEM	\N	158	39478	UROK	\N	\N
3581733	1561	1998-09-30	PRIJEM	\N	172	42987	UROK	\N	\N
3581734	1561	1998-10-31	PRIJEM	\N	164	39369	UROK	\N	\N
3581735	1561	1998-11-30	PRIJEM	\N	171	42878	UROK	\N	\N
3581736	1561	1998-12-31	PRIJEM	\N	185	45751	UROK	\N	\N
3581737	1562	1996-01-31	PRIJEM	\N	39	12156	UROK	\N	\N
3581738	1562	1996-02-29	PRIJEM	\N	59	13167	UROK	\N	\N
3581739	1562	1996-03-31	PRIJEM	\N	64	14183	UROK	\N	\N
3581740	1562	1996-04-30	PRIJEM	\N	62	15197	UROK	\N	\N
3581741	1562	1996-05-31	PRIJEM	\N	72	16222	UROK	\N	\N
3581742	1562	1996-06-30	PRIJEM	\N	74	15898	UROK	\N	\N
3581743	1562	1996-07-31	PRIJEM	\N	69	16920	UROK	\N	\N
3581744	1562	1996-08-31	PRIJEM	\N	79	17951	UROK	\N	\N
3581745	1562	1996-09-30	PRIJEM	\N	78	18981	UROK	\N	\N
3581746	1562	1996-10-31	PRIJEM	\N	88	20021	UROK	\N	\N
3581747	1562	1996-11-30	PRIJEM	\N	84	20428	UROK	\N	\N
3581748	1562	1996-12-31	PRIJEM	\N	88	20598	UROK	\N	\N
3581749	1562	1997-01-31	PRIJEM	\N	84	18095	UROK	\N	\N
3581750	1562	1997-02-28	PRIJEM	\N	76	18373	UROK	\N	\N
3581751	1562	1997-03-31	PRIJEM	\N	85	19411	UROK	\N	\N
3581752	1562	1997-04-30	PRIJEM	\N	84	20447	UROK	\N	\N
3581753	1562	1997-05-31	PRIJEM	\N	94	21493	UROK	\N	\N
3581754	1562	1997-06-30	PRIJEM	\N	88	19383	UROK	\N	\N
3581755	1562	1997-07-31	PRIJEM	\N	83	19309	UROK	\N	\N
3581756	1562	1997-08-31	PRIJEM	\N	83	20103	UROK	\N	\N
3581757	1562	1997-09-30	PRIJEM	\N	85	20541	UROK	\N	\N
3581758	1562	1997-10-31	PRIJEM	\N	92	20835	UROK	\N	\N
3581759	1562	1997-11-30	PRIJEM	\N	90	21877	UROK	\N	\N
3581760	1562	1997-12-31	PRIJEM	\N	92	20761	UROK	\N	\N
3581761	1562	1998-01-31	PRIJEM	\N	82	18405	UROK	\N	\N
3581762	1562	1998-02-28	PRIJEM	\N	85	19442	UROK	\N	\N
3581763	1562	1998-03-31	PRIJEM	\N	84	20478	UROK	\N	\N
3581764	1562	1998-04-30	PRIJEM	\N	88	21518	UROK	\N	\N
3581765	1562	1998-05-31	PRIJEM	\N	89	20729	UROK	\N	\N
3581766	1562	1998-06-30	PRIJEM	\N	81	14592	UROK	\N	\N
3581767	1562	1998-07-31	PRIJEM	\N	63	15608	UROK	\N	\N
3581768	1562	1998-08-31	PRIJEM	\N	65	15366	UROK	\N	\N
3581769	1562	1998-09-30	PRIJEM	\N	72	16390	UROK	\N	\N
3581770	1562	1998-10-31	PRIJEM	\N	76	17419	UROK	\N	\N
3581771	1562	1998-11-30	PRIJEM	\N	75	18446	UROK	\N	\N
3581772	1562	1998-12-31	PRIJEM	\N	81	19090	UROK	\N	\N
3581773	1565	1993-11-30	PRIJEM	\N	23	13856	UROK	\N	\N
3581774	1565	1993-12-31	PRIJEM	\N	74	23380	UROK	\N	\N
3581775	1565	1994-01-31	PRIJEM	\N	107	28520	UROK	\N	\N
3581776	1565	1994-02-28	PRIJEM	\N	115	26668	UROK	\N	\N
3581777	1565	1994-03-31	PRIJEM	\N	114	27320	UROK	\N	\N
3581778	1565	1994-04-30	PRIJEM	\N	116	28167	UROK	\N	\N
3581779	1565	1994-05-31	PRIJEM	\N	117	27514	UROK	\N	\N
3581780	1565	1994-06-30	PRIJEM	\N	85	21687	UROK	\N	\N
3581781	1565	1994-07-31	PRIJEM	\N	83	15980	UROK	\N	\N
3581782	1565	1994-08-31	PRIJEM	\N	76	20087	UROK	\N	\N
3581783	1565	1994-09-30	PRIJEM	\N	91	22669	UROK	\N	\N
3581784	1565	1994-10-31	PRIJEM	\N	102	25801	UROK	\N	\N
3581785	1565	1994-11-30	PRIJEM	\N	110	27041	UROK	\N	\N
3581786	1565	1994-12-31	PRIJEM	\N	118	27787	UROK	\N	\N
3581787	1565	1995-01-31	PRIJEM	\N	98	21536	UROK	\N	\N
3581788	1565	1995-02-28	PRIJEM	\N	91	20317	UROK	\N	\N
3581789	1565	1995-03-31	PRIJEM	\N	85	22312	UROK	\N	\N
3581790	1565	1995-04-30	PRIJEM	\N	111	29854	UROK	\N	\N
3581791	1565	1995-05-31	PRIJEM	\N	126	30710	UROK	\N	\N
3581792	1565	1995-06-30	PRIJEM	\N	129	31386	UROK	\N	\N
3581793	1565	1995-07-31	PRIJEM	\N	129	29346	UROK	\N	\N
3581794	1565	1995-08-31	PRIJEM	\N	124	30400	UROK	\N	\N
3581795	1565	1995-09-30	PRIJEM	\N	117	28187	UROK	\N	\N
3581796	1565	1995-10-31	PRIJEM	\N	136	34853	UROK	\N	\N
3581797	1565	1995-11-30	PRIJEM	\N	154	38438	UROK	\N	\N
3581798	1565	1995-12-31	PRIJEM	\N	168	39173	UROK	\N	\N
3581799	1565	1996-01-31	PRIJEM	\N	113	13756	UROK	\N	\N
3581800	1565	1996-02-29	PRIJEM	\N	95	25781	UROK	\N	\N
3581801	1565	1996-03-31	PRIJEM	\N	132	34144	UROK	\N	\N
3581802	1565	1996-04-30	PRIJEM	\N	168	42342	UROK	\N	\N
3581803	1565	1996-05-31	PRIJEM	\N	179	43571	UROK	\N	\N
3581804	1565	1996-06-30	PRIJEM	\N	178	43696	UROK	\N	\N
3581805	1565	1996-07-31	PRIJEM	\N	183	44549	UROK	\N	\N
3581806	1565	1996-08-31	PRIJEM	\N	188	46168	UROK	\N	\N
3581807	1565	1996-09-30	PRIJEM	\N	179	41798	UROK	\N	\N
3581808	1565	1996-10-31	PRIJEM	\N	180	44168	UROK	\N	\N
3581809	1565	1996-11-30	PRIJEM	\N	184	44982	UROK	\N	\N
3581810	1565	1996-12-31	PRIJEM	\N	184	43894	UROK	\N	\N
3581811	1565	1997-01-31	PRIJEM	\N	167	30851	UROK	\N	\N
3581812	1565	1997-02-28	PRIJEM	\N	152	39033	UROK	\N	\N
3581813	1565	1997-03-31	PRIJEM	\N	187	47351	UROK	\N	\N
3581814	1565	1997-04-30	PRIJEM	\N	210	52091	UROK	\N	\N
3581815	1565	1997-05-31	PRIJEM	\N	209	50630	UROK	\N	\N
3581816	1565	1997-06-30	PRIJEM	\N	211	52189	UROK	\N	\N
3581817	1565	1997-07-31	PRIJEM	\N	215	52934	UROK	\N	\N
3581818	1565	1997-08-31	PRIJEM	\N	201	50545	UROK	\N	\N
3581819	1565	1997-09-30	PRIJEM	\N	213	53688	UROK	\N	\N
3581820	1565	1997-10-31	PRIJEM	\N	225	55144	UROK	\N	\N
3581821	1565	1997-11-30	PRIJEM	\N	228	51762	UROK	\N	\N
3581822	1565	1997-12-31	PRIJEM	\N	204	48213	UROK	\N	\N
3581823	1565	1998-01-31	PRIJEM	\N	113	33636	UROK	\N	\N
3581824	1565	1998-02-28	PRIJEM	\N	133	42780	UROK	\N	\N
3581825	1565	1998-03-31	PRIJEM	\N	182	47991	UROK	\N	\N
3581826	1565	1998-04-30	PRIJEM	\N	200	47622	UROK	\N	\N
3581827	1565	1998-05-31	PRIJEM	\N	197	46549	UROK	\N	\N
3581828	1565	1998-06-30	PRIJEM	\N	152	39289	UROK	\N	\N
3581829	1565	1998-07-31	PRIJEM	\N	154	36133	UROK	\N	\N
3581830	1565	1998-08-31	PRIJEM	\N	151	37615	UROK	\N	\N
3581831	1565	1998-09-30	PRIJEM	\N	154	34840	UROK	\N	\N
3581832	1565	1998-10-31	PRIJEM	\N	136	30486	UROK	\N	\N
3581833	1565	1998-11-30	PRIJEM	\N	127	31944	UROK	\N	\N
3581834	1565	1998-12-31	PRIJEM	\N	128	32399	UROK	\N	\N
3581835	1566	1993-07-31	PRIJEM	\N	39	15219	UROK	\N	\N
3581836	1566	1993-08-31	PRIJEM	\N	118	36717	UROK	\N	\N
3581837	1566	1993-09-30	PRIJEM	\N	179	47476	UROK	\N	\N
3581838	1566	1993-10-31	PRIJEM	\N	211	53067	UROK	\N	\N
3581839	1566	1993-11-30	PRIJEM	\N	226	55473	UROK	\N	\N
3581840	1566	1993-12-31	PRIJEM	\N	203	52893	UROK	\N	\N
3581841	1566	1994-01-31	PRIJEM	\N	169	31959	UROK	\N	\N
3581842	1566	1994-02-28	PRIJEM	\N	129	34845	UROK	\N	\N
3581843	1566	1994-03-31	PRIJEM	\N	146	38546	UROK	\N	\N
3581844	1566	1994-04-30	PRIJEM	\N	143	37246	UROK	\N	\N
3581845	1566	1994-05-31	PRIJEM	\N	142	36944	UROK	\N	\N
3581846	1566	1994-06-30	PRIJEM	\N	152	42092	UROK	\N	\N
3581847	1566	1994-07-31	PRIJEM	\N	151	38799	UROK	\N	\N
3581848	1566	1994-08-31	PRIJEM	\N	135	32171	UROK	\N	\N
3581849	1566	1994-09-30	PRIJEM	\N	108	29635	UROK	\N	\N
3581850	1566	1994-10-31	PRIJEM	\N	110	25001	UROK	\N	\N
3581851	1566	1994-11-30	PRIJEM	\N	113	28051	UROK	\N	\N
3581852	1566	1994-12-31	PRIJEM	\N	136	30523	UROK	\N	\N
3581853	1566	1995-01-31	PRIJEM	\N	85	20445	UROK	\N	\N
3581854	1566	1995-02-28	PRIJEM	\N	94	24895	UROK	\N	\N
3581855	1566	1995-03-31	PRIJEM	\N	108	26779	UROK	\N	\N
3581856	1566	1995-04-30	PRIJEM	\N	121	31157	UROK	\N	\N
3581857	1566	1995-05-31	PRIJEM	\N	135	28628	UROK	\N	\N
3581858	1566	1995-06-30	PRIJEM	\N	136	27941	UROK	\N	\N
3581859	1566	1995-07-31	PRIJEM	\N	117	27034	UROK	\N	\N
3581860	1566	1995-08-31	PRIJEM	\N	118	27608	UROK	\N	\N
3581861	1566	1995-09-30	PRIJEM	\N	122	30187	UROK	\N	\N
3581862	1566	1995-10-31	PRIJEM	\N	125	22168	UROK	\N	\N
3581863	1566	1995-11-30	PRIJEM	\N	99	25124	UROK	\N	\N
3581864	1566	1995-12-31	PRIJEM	\N	113	27493	UROK	\N	\N
3581865	1566	1996-01-31	PRIJEM	\N	99	14468	UROK	\N	\N
3581866	1566	1996-02-29	PRIJEM	\N	69	20694	UROK	\N	\N
3581867	1566	1996-03-31	PRIJEM	\N	90	21640	UROK	\N	\N
3581868	1566	1996-04-30	PRIJEM	\N	90	23686	UROK	\N	\N
3581869	1566	1996-05-31	PRIJEM	\N	103	26146	UROK	\N	\N
3581870	1566	1996-06-30	PRIJEM	\N	119	26961	UROK	\N	\N
3581871	1566	1996-07-31	PRIJEM	\N	112	26729	UROK	\N	\N
3581872	1566	1996-08-31	PRIJEM	\N	111	26997	UROK	\N	\N
3581873	1566	1996-09-30	PRIJEM	\N	114	28666	UROK	\N	\N
3581874	1566	1996-10-31	PRIJEM	\N	118	28941	UROK	\N	\N
3581875	1566	1996-11-30	PRIJEM	\N	111	27428	UROK	\N	\N
3581876	1566	1996-12-31	PRIJEM	\N	125	33590	UROK	\N	\N
3581877	1566	1997-01-31	PRIJEM	\N	112	16758	UROK	\N	\N
3581878	1566	1997-02-28	PRIJEM	\N	82	25897	UROK	\N	\N
3581879	1566	1997-03-31	PRIJEM	\N	107	27060	UROK	\N	\N
3581880	1566	1997-04-30	PRIJEM	\N	108	27325	UROK	\N	\N
3581881	1566	1997-05-31	PRIJEM	\N	115	31076	UROK	\N	\N
3581882	1566	1997-06-30	PRIJEM	\N	132	33604	UROK	\N	\N
3581883	1566	1997-07-31	PRIJEM	\N	137	34697	UROK	\N	\N
3581884	1566	1997-08-31	PRIJEM	\N	136	33689	UROK	\N	\N
3581885	1566	1997-09-30	PRIJEM	\N	145	38791	UROK	\N	\N
3581886	1566	1997-10-31	PRIJEM	\N	149	39036	UROK	\N	\N
3581887	1566	1997-11-30	PRIJEM	\N	170	41263	UROK	\N	\N
3581888	1566	1997-12-31	PRIJEM	\N	179	34798	UROK	\N	\N
3581889	1566	1998-01-31	PRIJEM	\N	123	24957	UROK	\N	\N
3581890	1566	1998-02-28	PRIJEM	\N	124	36537	UROK	\N	\N
3581891	1566	1998-03-31	PRIJEM	\N	139	37173	UROK	\N	\N
3581892	1566	1998-04-30	PRIJEM	\N	172	47501	UROK	\N	\N
3581893	1566	1998-05-31	PRIJEM	\N	204	53662	UROK	\N	\N
3581894	1566	1998-06-30	PRIJEM	\N	200	16898	UROK	\N	\N
3581895	1566	1998-07-31	PRIJEM	\N	103	32458	UROK	\N	\N
3581896	1566	1998-08-31	PRIJEM	\N	151	41965	UROK	\N	\N
3581897	1566	1998-09-30	PRIJEM	\N	169	44291	UROK	\N	\N
3581898	1566	1998-10-31	PRIJEM	\N	172	44979	UROK	\N	\N
3581899	1566	1998-11-30	PRIJEM	\N	176	46011	UROK	\N	\N
3581900	1566	1998-12-31	PRIJEM	\N	178	46966	UROK	\N	\N
3581901	1567	1997-09-30	PRIJEM	\N	47	26140	UROK	\N	\N
3581902	1567	1997-10-31	PRIJEM	\N	130	37563	UROK	\N	\N
3581903	1567	1997-11-30	PRIJEM	\N	166	42522	UROK	\N	\N
3581904	1567	1997-12-31	PRIJEM	\N	201	54763	UROK	\N	\N
3581905	1567	1998-01-31	PRIJEM	\N	200	38941	UROK	\N	\N
3581906	1567	1998-02-28	PRIJEM	\N	180	41164	UROK	\N	\N
3581907	1567	1998-03-31	PRIJEM	\N	188	41896	UROK	\N	\N
3581908	1567	1998-04-30	PRIJEM	\N	197	46136	UROK	\N	\N
3581909	1567	1998-05-31	PRIJEM	\N	213	49973	UROK	\N	\N
3581910	1567	1998-06-30	PRIJEM	\N	177	39040	UROK	\N	\N
3581911	1567	1998-07-31	PRIJEM	\N	194	47577	UROK	\N	\N
3581912	1567	1998-08-31	PRIJEM	\N	204	44565	UROK	\N	\N
3581913	1567	1998-09-30	PRIJEM	\N	222	55730	UROK	\N	\N
3581914	1567	1998-10-31	PRIJEM	\N	247	58521	UROK	\N	\N
3581915	1567	1998-11-30	PRIJEM	\N	254	60419	UROK	\N	\N
3581916	1567	1998-12-31	PRIJEM	\N	295	74924	UROK	\N	\N
3581917	1568	1995-08-31	PRIJEM	\N	50	20781	UROK	\N	\N
3581918	1568	1995-09-30	PRIJEM	\N	119	34531	UROK	\N	\N
3581919	1568	1995-10-31	PRIJEM	\N	163	42825	UROK	\N	\N
3581920	1568	1995-11-30	PRIJEM	\N	196	50753	UROK	\N	\N
3581921	1568	1995-12-31	PRIJEM	\N	216	51946	UROK	\N	\N
3581922	1568	1996-01-31	PRIJEM	\N	186	39452	UROK	\N	\N
3581923	1568	1996-02-29	PRIJEM	\N	180	43572	UROK	\N	\N
3581924	1568	1996-03-31	PRIJEM	\N	200	48113	UROK	\N	\N
3581925	1568	1996-04-30	PRIJEM	\N	216	52069	UROK	\N	\N
3581926	1568	1996-05-31	PRIJEM	\N	211	51820	UROK	\N	\N
3581927	1568	1996-06-30	PRIJEM	\N	197	39102	UROK	\N	\N
3581928	1568	1996-07-31	PRIJEM	\N	179	46321	UROK	\N	\N
3581929	1568	1996-08-31	PRIJEM	\N	210	50671	UROK	\N	\N
3581930	1568	1996-09-30	PRIJEM	\N	201	47613	UROK	\N	\N
3581931	1568	1996-10-31	PRIJEM	\N	211	50564	UROK	\N	\N
3581932	1568	1996-11-30	PRIJEM	\N	205	51010	UROK	\N	\N
3581933	1568	1996-12-31	PRIJEM	\N	227	59443	UROK	\N	\N
3581934	1568	1997-01-31	PRIJEM	\N	181	35964	UROK	\N	\N
3581935	1568	1997-02-28	PRIJEM	\N	157	40961	UROK	\N	\N
3581936	1568	1997-03-31	PRIJEM	\N	170	43072	UROK	\N	\N
3581937	1568	1997-04-30	PRIJEM	\N	187	44599	UROK	\N	\N
3581938	1568	1997-05-31	PRIJEM	\N	188	44427	UROK	\N	\N
3581939	1568	1997-06-30	PRIJEM	\N	199	48911	UROK	\N	\N
3581940	1568	1997-07-31	PRIJEM	\N	202	50754	UROK	\N	\N
3581941	1568	1997-08-31	PRIJEM	\N	218	52012	UROK	\N	\N
3581942	1568	1997-09-30	PRIJEM	\N	208	48460	UROK	\N	\N
3581943	1568	1997-10-31	PRIJEM	\N	195	48796	UROK	\N	\N
3581944	1568	1997-11-30	PRIJEM	\N	215	49711	UROK	\N	\N
3581945	1568	1997-12-31	PRIJEM	\N	225	60741	UROK	\N	\N
3581946	1568	1998-01-31	PRIJEM	\N	215	44396	UROK	\N	\N
3581947	1568	1998-02-28	PRIJEM	\N	211	53048	UROK	\N	\N
3581948	1568	1998-03-31	PRIJEM	\N	225	57213	UROK	\N	\N
3581949	1568	1998-04-30	PRIJEM	\N	223	52796	UROK	\N	\N
3581950	1568	1998-05-31	PRIJEM	\N	218	50854	UROK	\N	\N
3581951	1568	1998-06-30	PRIJEM	\N	213	42692	UROK	\N	\N
3581952	1568	1998-07-31	PRIJEM	\N	204	46736	UROK	\N	\N
3581953	1568	1998-08-31	PRIJEM	\N	218	48895	UROK	\N	\N
3581954	1568	1998-09-30	PRIJEM	\N	204	45599	UROK	\N	\N
3581955	1568	1998-10-31	PRIJEM	\N	202	45741	UROK	\N	\N
3581956	1568	1998-11-30	PRIJEM	\N	203	46985	UROK	\N	\N
3581957	1568	1998-12-31	PRIJEM	\N	228	61218	UROK	\N	\N
3581958	1570	1994-08-31	PRIJEM	\N	59	18584	UROK	\N	\N
3581959	1570	1994-09-30	PRIJEM	\N	71	17673	UROK	\N	\N
3581960	1570	1994-10-31	PRIJEM	\N	77	19169	UROK	\N	\N
3581961	1570	1994-11-30	PRIJEM	\N	83	20670	UROK	\N	\N
3581962	1570	1994-12-31	PRIJEM	\N	82	18881	UROK	\N	\N
3581963	1570	1995-01-31	PRIJEM	\N	73	13172	UROK	\N	\N
3581964	1570	1995-02-28	PRIJEM	\N	58	14649	UROK	\N	\N
3581965	1570	1995-03-31	PRIJEM	\N	65	16132	UROK	\N	\N
3581966	1570	1995-04-30	PRIJEM	\N	71	17621	UROK	\N	\N
3581967	1570	1995-05-31	PRIJEM	\N	75	16074	UROK	\N	\N
3581968	1570	1995-06-30	PRIJEM	\N	70	17563	UROK	\N	\N
3581969	1570	1995-07-31	PRIJEM	\N	77	19058	UROK	\N	\N
3581970	1570	1995-08-31	PRIJEM	\N	83	20559	UROK	\N	\N
3581971	1570	1995-09-30	PRIJEM	\N	84	19742	UROK	\N	\N
3581972	1570	1995-10-31	PRIJEM	\N	86	21246	UROK	\N	\N
3581973	1570	1995-11-30	PRIJEM	\N	92	22756	UROK	\N	\N
3581974	1570	1995-12-31	PRIJEM	\N	98	23922	UROK	\N	\N
3581975	1570	1996-01-31	PRIJEM	\N	86	14086	UROK	\N	\N
3581976	1570	1996-02-29	PRIJEM	\N	60	14365	UROK	\N	\N
3581977	1570	1996-03-31	PRIJEM	\N	62	14086	UROK	\N	\N
3581978	1570	1996-04-30	PRIJEM	\N	62	15566	UROK	\N	\N
3581979	1570	1996-05-31	PRIJEM	\N	68	17053	UROK	\N	\N
3581980	1570	1996-06-30	PRIJEM	\N	74	16625	UROK	\N	\N
3581981	1570	1996-07-31	PRIJEM	\N	73	18116	UROK	\N	\N
3581982	1570	1996-08-31	PRIJEM	\N	79	19613	UROK	\N	\N
3581983	1570	1996-09-30	PRIJEM	\N	85	21116	UROK	\N	\N
3581984	1570	1996-10-31	PRIJEM	\N	86	19901	UROK	\N	\N
3581985	1570	1996-11-30	PRIJEM	\N	86	21405	UROK	\N	\N
3581986	1570	1996-12-31	PRIJEM	\N	91	21615	UROK	\N	\N
3581987	1570	1997-01-31	PRIJEM	\N	77	14391	UROK	\N	\N
3581988	1570	1997-02-28	PRIJEM	\N	63	15872	UROK	\N	\N
3581989	1570	1997-03-31	PRIJEM	\N	69	17360	UROK	\N	\N
3581990	1570	1997-04-30	PRIJEM	\N	70	16128	UROK	\N	\N
3581991	1570	1997-05-31	PRIJEM	\N	70	17617	UROK	\N	\N
3581992	1570	1997-06-30	PRIJEM	\N	76	19111	UROK	\N	\N
3581993	1570	1997-07-31	PRIJEM	\N	81	19091	UROK	\N	\N
3581994	1570	1997-08-31	PRIJEM	\N	82	20592	UROK	\N	\N
3581995	1570	1997-09-30	PRIJEM	\N	89	22098	UROK	\N	\N
3581996	1570	1997-10-31	PRIJEM	\N	94	20651	UROK	\N	\N
3581997	1570	1997-11-30	PRIJEM	\N	89	22158	UROK	\N	\N
3581998	1570	1997-12-31	PRIJEM	\N	94	23321	UROK	\N	\N
3581999	1570	1998-01-31	PRIJEM	\N	79	15468	UROK	\N	\N
3582000	1570	1998-02-28	PRIJEM	\N	67	16953	UROK	\N	\N
3582001	1570	1998-03-31	PRIJEM	\N	73	18444	UROK	\N	\N
3582002	1570	1998-04-30	PRIJEM	\N	75	16178	UROK	\N	\N
3582003	1570	1998-05-31	PRIJEM	\N	70	17666	UROK	\N	\N
3582004	1570	1998-06-30	PRIJEM	\N	72	17556	UROK	\N	\N
3582005	1570	1998-07-31	PRIJEM	\N	75	19050	UROK	\N	\N
3582006	1570	1998-08-31	PRIJEM	\N	81	19349	UROK	\N	\N
3582007	1570	1998-09-30	PRIJEM	\N	83	20851	UROK	\N	\N
3582008	1570	1998-10-31	PRIJEM	\N	84	19873	UROK	\N	\N
3582009	1570	1998-11-30	PRIJEM	\N	82	19213	UROK	\N	\N
3582010	1570	1998-12-31	PRIJEM	\N	82	20463	UROK	\N	\N
3582011	1571	1996-08-31	PRIJEM	\N	9	16410	UROK	\N	\N
3582012	1571	1996-09-30	PRIJEM	\N	74	26985	UROK	\N	\N
3582013	1571	1996-10-31	PRIJEM	\N	114	30200	UROK	\N	\N
3582014	1571	1996-11-30	PRIJEM	\N	124	28626	UROK	\N	\N
3582015	1571	1996-12-31	PRIJEM	\N	136	21381	UROK	\N	\N
3582016	1571	1997-01-31	PRIJEM	\N	66	13882	UROK	\N	\N
3582017	1571	1997-02-28	PRIJEM	\N	99	14975	UROK	\N	\N
3582018	1571	1997-03-31	PRIJEM	\N	104	16173	UROK	\N	\N
3582019	1571	1997-04-30	PRIJEM	\N	101	12868	UROK	\N	\N
3582020	1571	1997-05-31	PRIJEM	\N	70	11132	UROK	\N	\N
3582021	1571	1997-06-30	PRIJEM	\N	105	13382	UROK	\N	\N
3582022	1571	1997-07-31	PRIJEM	\N	69	10925	UROK	\N	\N
3582023	1571	1997-08-31	PRIJEM	\N	96	17616	UROK	\N	\N
3582024	1571	1997-09-30	PRIJEM	\N	82	12493	UROK	\N	\N
3582025	1571	1997-10-31	PRIJEM	\N	76	19163	UROK	\N	\N
3582026	1571	1997-11-30	PRIJEM	\N	91	22489	UROK	\N	\N
3582027	1571	1997-12-31	PRIJEM	\N	109	13382	UROK	\N	\N
3582028	1571	1998-01-31	PRIJEM	\N	84	13940	UROK	\N	\N
3582029	1571	1998-02-28	PRIJEM	\N	80	20014	UROK	\N	\N
3582030	1571	1998-03-31	PRIJEM	\N	134	26743	UROK	\N	\N
3582031	1571	1998-04-30	PRIJEM	\N	135	33472	UROK	\N	\N
3582032	1571	1998-05-31	PRIJEM	\N	163	40230	UROK	\N	\N
3582033	1571	1998-06-30	PRIJEM	\N	152	15227	UROK	\N	\N
3582034	1571	1998-07-31	PRIJEM	\N	114	21936	UROK	\N	\N
3582035	1571	1998-08-31	PRIJEM	\N	113	25882	UROK	\N	\N
3582036	1571	1998-09-30	PRIJEM	\N	118	28995	UROK	\N	\N
3582037	1571	1998-10-31	PRIJEM	\N	171	35761	UROK	\N	\N
3582038	1571	1998-11-30	PRIJEM	\N	172	42528	UROK	\N	\N
3582039	1571	1998-12-31	PRIJEM	\N	219	53451	UROK	\N	\N
3582040	1572	1997-11-30	PRIJEM	\N	28	18227	UROK	\N	\N
3582041	1572	1997-12-31	PRIJEM	\N	101	33726	UROK	\N	\N
3582042	1572	1998-01-31	PRIJEM	\N	147	37672	UROK	\N	\N
3582043	1572	1998-02-28	PRIJEM	\N	163	41433	UROK	\N	\N
3582044	1572	1998-03-31	PRIJEM	\N	184	49017	UROK	\N	\N
3582045	1572	1998-04-30	PRIJEM	\N	208	49013	UROK	\N	\N
3582046	1572	1998-05-31	PRIJEM	\N	206	48008	UROK	\N	\N
3582047	1572	1998-06-30	PRIJEM	\N	208	48604	UROK	\N	\N
3582048	1572	1998-07-31	PRIJEM	\N	200	45693	UROK	\N	\N
3582049	1572	1998-08-31	PRIJEM	\N	177	37858	UROK	\N	\N
3582050	1572	1998-09-30	PRIJEM	\N	148	30714	UROK	\N	\N
3582051	1572	1998-10-31	PRIJEM	\N	121	26823	UROK	\N	\N
3582052	1572	1998-11-30	PRIJEM	\N	98	22949	UROK	\N	\N
3582053	1572	1998-12-31	PRIJEM	\N	103	25780	UROK	\N	\N
3582054	1573	1998-03-31	PRIJEM	\N	7	16383	UROK	\N	\N
3582055	1573	1998-04-30	PRIJEM	\N	70	20545	UROK	\N	\N
3582056	1573	1998-05-31	PRIJEM	\N	90	21189	UROK	\N	\N
3582057	1573	1998-06-30	PRIJEM	\N	60	11358	UROK	\N	\N
3582058	1573	1998-07-31	PRIJEM	\N	53	13250	UROK	\N	\N
3582059	1573	1998-08-31	PRIJEM	\N	58	12748	UROK	\N	\N
3582060	1573	1998-09-30	PRIJEM	\N	58	14646	UROK	\N	\N
3582061	1573	1998-10-31	PRIJEM	\N	66	16551	UROK	\N	\N
3582062	1573	1998-11-30	PRIJEM	\N	71	17022	UROK	\N	\N
3582063	1573	1998-12-31	PRIJEM	\N	62	12963	UROK	\N	\N
3582064	1574	1997-10-31	PRIJEM	\N	19	20409	UROK	\N	\N
3582065	1574	1997-11-30	PRIJEM	\N	89	22152	UROK	\N	\N
3582066	1574	1997-12-31	PRIJEM	\N	89	21314	UROK	\N	\N
3582067	1574	1998-01-31	PRIJEM	\N	74	12952	UROK	\N	\N
3582068	1574	1998-02-28	PRIJEM	\N	55	14020	UROK	\N	\N
3582069	1574	1998-03-31	PRIJEM	\N	62	15736	UROK	\N	\N
3582070	1574	1998-04-30	PRIJEM	\N	65	15934	UROK	\N	\N
3582071	1574	1998-05-31	PRIJEM	\N	70	17658	UROK	\N	\N
3582072	1574	1998-06-30	PRIJEM	\N	77	19389	UROK	\N	\N
3582073	1574	1998-07-31	PRIJEM	\N	85	21127	UROK	\N	\N
3582074	1574	1998-08-31	PRIJEM	\N	92	22872	UROK	\N	\N
3582075	1574	1998-09-30	PRIJEM	\N	99	24625	UROK	\N	\N
3582076	1574	1998-10-31	PRIJEM	\N	107	26385	UROK	\N	\N
3582077	1574	1998-11-30	PRIJEM	\N	114	28152	UROK	\N	\N
3582078	1574	1998-12-31	PRIJEM	\N	119	28925	UROK	\N	\N
3582079	1575	1993-07-31	PRIJEM	\N	74	25216	UROK	\N	\N
3582080	1575	1993-08-31	PRIJEM	\N	111	26463	UROK	\N	\N
3582081	1575	1993-09-30	PRIJEM	\N	113	24532	UROK	\N	\N
3582082	1575	1993-10-31	PRIJEM	\N	107	24454	UROK	\N	\N
3582083	1575	1993-11-30	PRIJEM	\N	106	23695	UROK	\N	\N
3582084	1575	1993-12-31	PRIJEM	\N	105	25936	UROK	\N	\N
3582085	1575	1994-01-31	PRIJEM	\N	88	14619	UROK	\N	\N
3582086	1575	1994-02-28	PRIJEM	\N	68	17122	UROK	\N	\N
3582087	1575	1994-03-31	PRIJEM	\N	79	19636	UROK	\N	\N
3582088	1575	1994-04-30	PRIJEM	\N	89	22161	UROK	\N	\N
3582089	1575	1994-05-31	PRIJEM	\N	97	22493	UROK	\N	\N
3582090	1575	1994-06-30	PRIJEM	\N	84	19092	UROK	\N	\N
3582091	1575	1994-07-31	PRIJEM	\N	83	20331	UROK	\N	\N
3582092	1575	1994-08-31	PRIJEM	\N	89	21175	UROK	\N	\N
3582093	1575	1994-09-30	PRIJEM	\N	91	21101	UROK	\N	\N
3582094	1575	1994-10-31	PRIJEM	\N	94	22930	UROK	\N	\N
3582095	1575	1994-11-30	PRIJEM	\N	102	25368	UROK	\N	\N
3582096	1575	1994-12-31	PRIJEM	\N	108	25212	UROK	\N	\N
3582097	1575	1995-01-31	PRIJEM	\N	80	14187	UROK	\N	\N
3582098	1575	1995-02-28	PRIJEM	\N	66	16688	UROK	\N	\N
3582099	1575	1995-03-31	PRIJEM	\N	67	15271	UROK	\N	\N
3582100	1575	1995-04-30	PRIJEM	\N	65	15491	UROK	\N	\N
3582101	1575	1995-05-31	PRIJEM	\N	71	17998	UROK	\N	\N
3582102	1575	1995-06-30	PRIJEM	\N	79	18513	UROK	\N	\N
3582103	1575	1995-07-31	PRIJEM	\N	68	16456	UROK	\N	\N
3582104	1575	1995-08-31	PRIJEM	\N	75	18967	UROK	\N	\N
3582105	1575	1995-09-30	PRIJEM	\N	82	19805	UROK	\N	\N
3582106	1575	1995-10-31	PRIJEM	\N	83	18683	UROK	\N	\N
3582107	1575	1995-11-30	PRIJEM	\N	83	20601	UROK	\N	\N
3582108	1575	1995-12-31	PRIJEM	\N	86	19973	UROK	\N	\N
3582109	1575	1996-01-31	PRIJEM	\N	68	14167	UROK	\N	\N
3582110	1575	1996-02-29	PRIJEM	\N	65	16667	UROK	\N	\N
3582111	1575	1996-03-31	PRIJEM	\N	66	15649	UROK	\N	\N
3582112	1575	1996-04-30	PRIJEM	\N	70	16774	UROK	\N	\N
3582113	1575	1996-05-31	PRIJEM	\N	72	17681	UROK	\N	\N
3582114	1575	1996-06-30	PRIJEM	\N	80	20196	UROK	\N	\N
3582115	1575	1996-07-31	PRIJEM	\N	88	21920	UROK	\N	\N
3582116	1575	1996-08-31	PRIJEM	\N	93	20968	UROK	\N	\N
3582117	1575	1996-09-30	PRIJEM	\N	77	16901	UROK	\N	\N
3582118	1575	1996-10-31	PRIJEM	\N	70	17206	UROK	\N	\N
3582119	1575	1996-11-30	PRIJEM	\N	64	14805	UROK	\N	\N
3582120	1575	1996-12-31	PRIJEM	\N	59	14200	UROK	\N	\N
3582121	1575	1997-01-31	PRIJEM	\N	61	14596	UROK	\N	\N
3582122	1575	1997-02-28	PRIJEM	\N	66	17098	UROK	\N	\N
3582123	1575	1997-03-31	PRIJEM	\N	51	10984	UROK	\N	\N
3582124	1575	1997-04-30	PRIJEM	\N	51	13471	UROK	\N	\N
3582125	1575	1997-05-31	PRIJEM	\N	53	12159	UROK	\N	\N
3582126	1575	1997-06-30	PRIJEM	\N	56	14651	UROK	\N	\N
3582127	1575	1997-07-31	PRIJEM	\N	67	17153	UROK	\N	\N
3582128	1575	1997-08-31	PRIJEM	\N	77	19665	UROK	\N	\N
3582129	1575	1997-09-30	PRIJEM	\N	84	20104	UROK	\N	\N
3582130	1575	1997-10-31	PRIJEM	\N	71	16611	UROK	\N	\N
3582131	1575	1997-11-30	PRIJEM	\N	75	19121	UROK	\N	\N
3582132	1575	1997-12-31	PRIJEM	\N	84	20790	UROK	\N	\N
3582133	1575	1998-01-31	PRIJEM	\N	76	15261	UROK	\N	\N
3582134	1575	1998-02-28	PRIJEM	\N	68	17765	UROK	\N	\N
3582135	1575	1998-03-31	PRIJEM	\N	77	19397	UROK	\N	\N
3582136	1575	1998-04-30	PRIJEM	\N	85	21518	UROK	\N	\N
3582137	1575	1998-05-31	PRIJEM	\N	95	24048	UROK	\N	\N
3582138	1575	1998-06-30	PRIJEM	\N	97	23780	UROK	\N	\N
3582139	1575	1998-07-31	PRIJEM	\N	104	26319	UROK	\N	\N
3582140	1575	1998-08-31	PRIJEM	\N	114	28869	UROK	\N	\N
3582141	1575	1998-09-30	PRIJEM	\N	125	31429	UROK	\N	\N
3582142	1575	1998-10-31	PRIJEM	\N	136	34000	UROK	\N	\N
3582143	1575	1998-11-30	PRIJEM	\N	140	34176	UROK	\N	\N
3582144	1575	1998-12-31	PRIJEM	\N	143	34595	UROK	\N	\N
3582145	1576	1996-09-30	PRIJEM	\N	292	101842	UROK	\N	\N
3582146	1576	1996-10-31	PRIJEM	\N	386	87125	UROK	\N	\N
3582147	1576	1996-11-30	PRIJEM	\N	245	94720	UROK	\N	\N
3582148	1576	1996-12-31	PRIJEM	\N	308	80375	UROK	\N	\N
3582149	1576	1997-01-31	PRIJEM	\N	140	19169	UROK	\N	\N
3582150	1576	1997-02-28	PRIJEM	\N	150	38732	UROK	\N	\N
3582151	1576	1997-03-31	PRIJEM	\N	145	33902	UROK	\N	\N
3582152	1576	1997-04-30	PRIJEM	\N	232	56530	UROK	\N	\N
3582153	1576	1997-05-31	PRIJEM	\N	78	13116	UROK	\N	\N
3582154	1576	1997-06-30	PRIJEM	\N	34	6604	UROK	\N	\N
3582155	1576	1997-07-31	PRIJEM	\N	19	4077	UROK	\N	\N
3582156	1576	1997-08-31	PRIJEM	\N	14	16544	UROK	\N	\N
3582157	1576	1997-09-30	PRIJEM	\N	73	26981	UROK	\N	\N
3582158	1576	1997-10-31	PRIJEM	\N	122	30395	UROK	\N	\N
3582159	1576	1997-11-30	PRIJEM	\N	125	24574	UROK	\N	\N
3582160	1576	1997-12-31	PRIJEM	\N	75	69579	UROK	\N	\N
3582161	1576	1998-01-31	PRIJEM	\N	186	25631	UROK	\N	\N
3582162	1576	1998-02-28	PRIJEM	\N	106	23891	UROK	\N	\N
3582163	1576	1998-03-31	PRIJEM	\N	99	23444	UROK	\N	\N
3582164	1576	1998-04-30	PRIJEM	\N	97	22094	UROK	\N	\N
3582165	1576	1998-05-31	PRIJEM	\N	91	20739	UROK	\N	\N
3582166	1576	1998-06-30	PRIJEM	\N	87	22980	UROK	\N	\N
3582167	1576	1998-07-31	PRIJEM	\N	145	42205	UROK	\N	\N
3582168	1576	1998-08-31	PRIJEM	\N	141	25100	UROK	\N	\N
3582169	1576	1998-09-30	PRIJEM	\N	120	37923	UROK	\N	\N
3582170	1576	1998-10-31	PRIJEM	\N	147	26724	UROK	\N	\N
3582171	1576	1998-11-30	PRIJEM	\N	111	27489	UROK	\N	\N
3582172	1576	1998-12-31	PRIJEM	\N	69	13611	UROK	\N	\N
3582173	1577	1996-11-30	PRIJEM	\N	31	13872	UROK	\N	\N
3582174	1577	1996-12-31	PRIJEM	\N	69	18681	UROK	\N	\N
3582175	1577	1997-01-31	PRIJEM	\N	87	22509	UROK	\N	\N
3582176	1577	1997-02-28	PRIJEM	\N	101	25851	UROK	\N	\N
3582177	1577	1997-03-31	PRIJEM	\N	110	26443	UROK	\N	\N
3582178	1577	1997-04-30	PRIJEM	\N	113	27022	UROK	\N	\N
3582179	1577	1997-05-31	PRIJEM	\N	118	28906	UROK	\N	\N
3582180	1577	1997-06-30	PRIJEM	\N	104	23866	UROK	\N	\N
3582181	1577	1997-07-31	PRIJEM	\N	95	21727	UROK	\N	\N
3582182	1577	1997-08-31	PRIJEM	\N	93	22286	UROK	\N	\N
3582183	1577	1997-09-30	PRIJEM	\N	92	21054	UROK	\N	\N
3582184	1577	1997-10-31	PRIJEM	\N	84	19665	UROK	\N	\N
3582185	1577	1997-11-30	PRIJEM	\N	97	24929	UROK	\N	\N
3582186	1577	1997-12-31	PRIJEM	\N	101	23646	UROK	\N	\N
3582187	1577	1998-01-31	PRIJEM	\N	107	23469	UROK	\N	\N
3582188	1577	1998-02-28	PRIJEM	\N	111	27847	UROK	\N	\N
3582189	1577	1998-03-31	PRIJEM	\N	122	29935	UROK	\N	\N
3582190	1577	1998-04-30	PRIJEM	\N	139	34641	UROK	\N	\N
3582191	1577	1998-05-31	PRIJEM	\N	154	37831	UROK	\N	\N
3582192	1577	1998-06-30	PRIJEM	\N	152	35669	UROK	\N	\N
3582193	1577	1998-07-31	PRIJEM	\N	153	37218	UROK	\N	\N
3582194	1577	1998-08-31	PRIJEM	\N	169	41564	UROK	\N	\N
3582195	1577	1998-09-30	PRIJEM	\N	181	44111	UROK	\N	\N
3582196	1577	1998-10-31	PRIJEM	\N	191	46568	UROK	\N	\N
3582197	1577	1998-11-30	PRIJEM	\N	197	47501	UROK	\N	\N
3582198	1577	1998-12-31	PRIJEM	\N	198	47346	UROK	\N	\N
3582199	1578	1994-12-31	PRIJEM	\N	15	4743	UROK	\N	\N
3582200	1578	1995-01-31	PRIJEM	\N	20	8891	UROK	\N	\N
3582201	1578	1995-02-28	PRIJEM	\N	20	13039	UROK	\N	\N
3582202	1578	1995-03-31	PRIJEM	\N	20	17186	UROK	\N	\N
3582203	1578	1995-04-30	PRIJEM	\N	33	20307	UROK	\N	\N
3582204	1578	1995-05-31	PRIJEM	\N	92	22687	UROK	\N	\N
3582205	1578	1995-06-30	PRIJEM	\N	102	25078	UROK	\N	\N
3582206	1578	1995-07-31	PRIJEM	\N	108	25954	UROK	\N	\N
3582207	1578	1995-08-31	PRIJEM	\N	116	28358	UROK	\N	\N
3582208	1578	1995-09-30	PRIJEM	\N	111	24518	UROK	\N	\N
3582209	1578	1995-10-31	PRIJEM	\N	110	26916	UROK	\N	\N
3582210	1578	1995-11-30	PRIJEM	\N	108	26272	UROK	\N	\N
3582211	1578	1995-12-31	PRIJEM	\N	111	27322	UROK	\N	\N
3582212	1578	1996-01-31	PRIJEM	\N	100	18510	UROK	\N	\N
3582213	1578	1996-02-29	PRIJEM	\N	84	20882	UROK	\N	\N
3582214	1578	1996-03-31	PRIJEM	\N	81	14692	UROK	\N	\N
3582215	1578	1996-04-30	PRIJEM	\N	68	17048	UROK	\N	\N
3582216	1578	1996-05-31	PRIJEM	\N	78	19415	UROK	\N	\N
3582217	1578	1996-06-30	PRIJEM	\N	88	21791	UROK	\N	\N
3582218	1578	1996-07-31	PRIJEM	\N	98	24178	UROK	\N	\N
3582219	1578	1996-08-31	PRIJEM	\N	108	26574	UROK	\N	\N
3582220	1578	1996-09-30	PRIJEM	\N	118	28980	UROK	\N	\N
3582221	1578	1996-10-31	PRIJEM	\N	128	31397	UROK	\N	\N
3582222	1578	1996-11-30	PRIJEM	\N	138	33823	UROK	\N	\N
3582223	1578	1996-12-31	PRIJEM	\N	146	35657	UROK	\N	\N
3582224	1578	1997-01-31	PRIJEM	\N	135	28800	UROK	\N	\N
3582225	1578	1997-02-28	PRIJEM	\N	127	31215	UROK	\N	\N
3582226	1578	1997-03-31	PRIJEM	\N	137	33641	UROK	\N	\N
3582227	1578	1997-04-30	PRIJEM	\N	147	36076	UROK	\N	\N
3582228	1578	1997-05-31	PRIJEM	\N	157	38522	UROK	\N	\N
3582229	1578	1997-06-30	PRIJEM	\N	156	38086	UROK	\N	\N
3582230	1578	1997-07-31	PRIJEM	\N	163	40058	UROK	\N	\N
3582231	1578	1997-08-31	PRIJEM	\N	153	35779	UROK	\N	\N
3582232	1578	1997-09-30	PRIJEM	\N	156	38223	UROK	\N	\N
3582233	1578	1997-10-31	PRIJEM	\N	166	40678	UROK	\N	\N
3582234	1578	1997-11-30	PRIJEM	\N	170	40256	UROK	\N	\N
3582235	1578	1997-12-31	PRIJEM	\N	174	42268	UROK	\N	\N
3582236	1578	1998-01-31	PRIJEM	\N	169	37286	UROK	\N	\N
3582237	1578	1998-02-28	PRIJEM	\N	162	39735	UROK	\N	\N
3582238	1578	1998-03-31	PRIJEM	\N	172	42196	UROK	\N	\N
3582239	1578	1998-04-30	PRIJEM	\N	175	41619	UROK	\N	\N
3582240	1578	1998-05-31	PRIJEM	\N	174	42641	UROK	\N	\N
3582241	1578	1998-06-30	PRIJEM	\N	180	44390	UROK	\N	\N
3582242	1578	1998-07-31	PRIJEM	\N	183	43421	UROK	\N	\N
3582243	1578	1998-08-31	PRIJEM	\N	187	45896	UROK	\N	\N
3582244	1578	1998-09-30	PRIJEM	\N	195	47899	UROK	\N	\N
3582245	1578	1998-10-31	PRIJEM	\N	199	47266	UROK	\N	\N
3582246	1578	1998-11-30	PRIJEM	\N	203	49757	UROK	\N	\N
3582247	1578	1998-12-31	PRIJEM	\N	211	51156	UROK	\N	\N
3582248	1579	1994-08-31	PRIJEM	\N	31	12254	UROK	\N	\N
3582249	1579	1994-09-30	PRIJEM	\N	102	32579	UROK	\N	\N
3582250	1579	1994-10-31	PRIJEM	\N	150	38452	UROK	\N	\N
3582251	1579	1994-11-30	PRIJEM	\N	176	44851	UROK	\N	\N
3582252	1579	1994-12-31	PRIJEM	\N	209	51613	UROK	\N	\N
3582253	1579	1995-01-31	PRIJEM	\N	161	35426	UROK	\N	\N
3582254	1579	1995-02-28	PRIJEM	\N	143	37261	UROK	\N	\N
3582255	1579	1995-03-31	PRIJEM	\N	158	36570	UROK	\N	\N
3582256	1579	1995-04-30	PRIJEM	\N	153	38114	UROK	\N	\N
3582257	1579	1995-05-31	PRIJEM	\N	173	44018	UROK	\N	\N
3582258	1579	1995-06-30	PRIJEM	\N	184	36725	UROK	\N	\N
3582259	1579	1995-07-31	PRIJEM	\N	168	43124	UROK	\N	\N
3582260	1579	1995-08-31	PRIJEM	\N	166	42242	UROK	\N	\N
3582261	1579	1995-09-30	PRIJEM	\N	179	44252	UROK	\N	\N
3582262	1579	1995-10-31	PRIJEM	\N	182	44065	UROK	\N	\N
3582263	1579	1995-11-30	PRIJEM	\N	190	47387	UROK	\N	\N
3582264	1579	1995-12-31	PRIJEM	\N	195	50024	UROK	\N	\N
3582265	1579	1996-01-31	PRIJEM	\N	144	25359	UROK	\N	\N
3582266	1579	1996-02-29	PRIJEM	\N	125	33716	UROK	\N	\N
3582267	1579	1996-03-31	PRIJEM	\N	154	36941	UROK	\N	\N
3582268	1579	1996-04-30	PRIJEM	\N	162	42334	UROK	\N	\N
3582269	1579	1996-05-31	PRIJEM	\N	178	39343	UROK	\N	\N
3582270	1579	1996-06-30	PRIJEM	\N	196	44781	UROK	\N	\N
3582271	1579	1996-07-31	PRIJEM	\N	199	40751	UROK	\N	\N
3582272	1579	1996-08-31	PRIJEM	\N	183	42065	UROK	\N	\N
3582273	1579	1996-09-30	PRIJEM	\N	190	41887	UROK	\N	\N
3582274	1579	1996-10-31	PRIJEM	\N	190	43908	UROK	\N	\N
3582275	1579	1996-11-30	PRIJEM	\N	195	41435	UROK	\N	\N
3582276	1579	1996-12-31	PRIJEM	\N	183	43860	UROK	\N	\N
3582277	1579	1997-01-31	PRIJEM	\N	160	28351	UROK	\N	\N
3582278	1579	1997-02-28	PRIJEM	\N	131	34054	UROK	\N	\N
3582279	1579	1997-03-31	PRIJEM	\N	160	40445	UROK	\N	\N
3582280	1579	1997-04-30	PRIJEM	\N	184	44060	UROK	\N	\N
3582281	1579	1997-05-31	PRIJEM	\N	198	46889	UROK	\N	\N
3582282	1579	1997-06-30	PRIJEM	\N	218	49850	UROK	\N	\N
3582283	1579	1997-07-31	PRIJEM	\N	214	49895	UROK	\N	\N
3582284	1579	1997-08-31	PRIJEM	\N	206	46512	UROK	\N	\N
3582285	1579	1997-09-30	PRIJEM	\N	205	48848	UROK	\N	\N
3582286	1579	1997-10-31	PRIJEM	\N	212	49692	UROK	\N	\N
3582287	1579	1997-11-30	PRIJEM	\N	201	49744	UROK	\N	\N
3582288	1579	1997-12-31	PRIJEM	\N	211	48298	UROK	\N	\N
3582289	1579	1998-01-31	PRIJEM	\N	144	35313	UROK	\N	\N
3582290	1579	1998-02-28	PRIJEM	\N	163	42907	UROK	\N	\N
3582291	1579	1998-03-31	PRIJEM	\N	192	47830	UROK	\N	\N
3582292	1579	1998-04-30	PRIJEM	\N	219	57580	UROK	\N	\N
3582293	1579	1998-05-31	PRIJEM	\N	248	60859	UROK	\N	\N
3582294	1579	1998-06-30	PRIJEM	\N	233	26835	UROK	\N	\N
3582295	1579	1998-07-31	PRIJEM	\N	145	44212	UROK	\N	\N
3582296	1579	1998-08-31	PRIJEM	\N	206	54849	UROK	\N	\N
3582297	1579	1998-09-30	PRIJEM	\N	240	60521	UROK	\N	\N
3582298	1579	1998-10-31	PRIJEM	\N	261	64913	UROK	\N	\N
3582299	1579	1998-11-30	PRIJEM	\N	273	66417	UROK	\N	\N
3582300	1579	1998-12-31	PRIJEM	\N	305	79665	UROK	\N	\N
3582301	1580	1996-02-29	PRIJEM	\N	82	51744	UROK	\N	\N
3582302	1580	1996-03-31	PRIJEM	\N	215	36459	UROK	\N	\N
3582303	1580	1996-04-30	PRIJEM	\N	205	48737	UROK	\N	\N
3582304	1580	1996-05-31	PRIJEM	\N	361	97018	UROK	\N	\N
3582305	1580	1996-06-30	PRIJEM	\N	267	39806	UROK	\N	\N
3582306	1580	1996-07-31	PRIJEM	\N	142	27434	UROK	\N	\N
3582307	1580	1996-08-31	PRIJEM	\N	144	22596	UROK	\N	\N
3582308	1580	1996-09-30	PRIJEM	\N	87	26658	UROK	\N	\N
3582309	1580	1996-10-31	PRIJEM	\N	249	66517	UROK	\N	\N
3582310	1580	1996-11-30	PRIJEM	\N	249	56644	UROK	\N	\N
3582311	1580	1996-12-31	PRIJEM	\N	134	27763	UROK	\N	\N
3582312	1580	1997-01-31	PRIJEM	\N	216	38755	UROK	\N	\N
3582313	1580	1997-02-28	PRIJEM	\N	120	30138	UROK	\N	\N
3582314	1580	1997-03-31	PRIJEM	\N	235	93096	UROK	\N	\N
3582315	1580	1997-04-30	PRIJEM	\N	232	61207	UROK	\N	\N
3582316	1580	1997-05-31	PRIJEM	\N	92	15300	UROK	\N	\N
3582317	1580	1997-06-30	PRIJEM	\N	82	34199	UROK	\N	\N
3582318	1580	1997-07-31	PRIJEM	\N	87	20071	UROK	\N	\N
3582319	1580	1997-08-31	PRIJEM	\N	256	50739	UROK	\N	\N
3582320	1580	1997-09-30	PRIJEM	\N	272	68218	UROK	\N	\N
3582321	1580	1997-10-31	PRIJEM	\N	275	47078	UROK	\N	\N
3582322	1580	1997-11-30	PRIJEM	\N	210	49553	UROK	\N	\N
3582323	1580	1997-12-31	PRIJEM	\N	222	49047	UROK	\N	\N
3582324	1580	1998-01-31	PRIJEM	\N	133	30671	UROK	\N	\N
3582325	1580	1998-02-28	PRIJEM	\N	145	35983	UROK	\N	\N
3582326	1580	1998-03-31	PRIJEM	\N	238	49818	UROK	\N	\N
3582327	1580	1998-04-30	PRIJEM	\N	181	37891	UROK	\N	\N
3582328	1580	1998-05-31	PRIJEM	\N	155	48094	UROK	\N	\N
3582329	1580	1998-06-30	PRIJEM	\N	246	50902	UROK	\N	\N
3582330	1580	1998-07-31	PRIJEM	\N	200	39193	UROK	\N	\N
3582331	1580	1998-08-31	PRIJEM	\N	154	31738	UROK	\N	\N
3582332	1580	1998-09-30	PRIJEM	\N	127	28956	UROK	\N	\N
3582333	1580	1998-10-31	PRIJEM	\N	114	25861	UROK	\N	\N
3582334	1580	1998-11-30	PRIJEM	\N	127	33232	UROK	\N	\N
3582335	1580	1998-12-31	PRIJEM	\N	166	32372	UROK	\N	\N
3582336	1581	1995-10-31	PRIJEM	\N	23	9560	UROK	\N	\N
3582337	1581	1995-11-30	PRIJEM	\N	85	28983	UROK	\N	\N
3582338	1581	1995-12-31	PRIJEM	\N	154	43093	UROK	\N	\N
3582339	1581	1996-01-31	PRIJEM	\N	178	42608	UROK	\N	\N
3582340	1581	1996-02-29	PRIJEM	\N	179	43423	UROK	\N	\N
3582341	1581	1996-03-31	PRIJEM	\N	174	41962	UROK	\N	\N
3582342	1581	1996-04-30	PRIJEM	\N	166	39492	UROK	\N	\N
3582343	1581	1996-05-31	PRIJEM	\N	158	35054	UROK	\N	\N
3582344	1581	1996-06-30	PRIJEM	\N	146	37423	UROK	\N	\N
3582345	1581	1996-07-31	PRIJEM	\N	162	40750	UROK	\N	\N
3582346	1581	1996-08-31	PRIJEM	\N	169	41684	UROK	\N	\N
3582347	1581	1996-09-30	PRIJEM	\N	166	39334	UROK	\N	\N
3582348	1581	1996-10-31	PRIJEM	\N	177	45175	UROK	\N	\N
3582349	1581	1996-11-30	PRIJEM	\N	191	47530	UROK	\N	\N
3582350	1581	1996-12-31	PRIJEM	\N	211	52485	UROK	\N	\N
3582351	1581	1997-01-31	PRIJEM	\N	182	38272	UROK	\N	\N
3582352	1581	1997-02-28	PRIJEM	\N	171	42807	UROK	\N	\N
3582353	1581	1997-03-31	PRIJEM	\N	200	52172	UROK	\N	\N
3582354	1581	1997-04-30	PRIJEM	\N	224	55300	UROK	\N	\N
3582355	1581	1997-05-31	PRIJEM	\N	241	60405	UROK	\N	\N
3582356	1581	1997-06-30	PRIJEM	\N	249	59157	UROK	\N	\N
3582357	1581	1997-07-31	PRIJEM	\N	246	60368	UROK	\N	\N
3582358	1581	1997-08-31	PRIJEM	\N	253	61385	UROK	\N	\N
3582359	1581	1997-09-30	PRIJEM	\N	257	58766	UROK	\N	\N
3582360	1581	1997-10-31	PRIJEM	\N	255	63885	UROK	\N	\N
3582361	1581	1997-11-30	PRIJEM	\N	253	63702	UROK	\N	\N
3582362	1581	1997-12-31	PRIJEM	\N	281	67766	UROK	\N	\N
3582363	1581	1998-01-31	PRIJEM	\N	232	57323	UROK	\N	\N
3582364	1581	1998-02-28	PRIJEM	\N	245	62032	UROK	\N	\N
3582365	1581	1998-03-31	PRIJEM	\N	265	67662	UROK	\N	\N
3582366	1581	1998-04-30	PRIJEM	\N	288	72714	UROK	\N	\N
3582367	1581	1998-05-31	PRIJEM	\N	309	76988	UROK	\N	\N
3582368	1581	1998-06-30	PRIJEM	\N	217	53829	UROK	\N	\N
3582369	1581	1998-07-31	PRIJEM	\N	234	64227	UROK	\N	\N
3582370	1581	1998-08-31	PRIJEM	\N	276	70867	UROK	\N	\N
3582371	1581	1998-09-30	PRIJEM	\N	301	75132	UROK	\N	\N
3582372	1581	1998-10-31	PRIJEM	\N	320	80717	UROK	\N	\N
3582373	1581	1998-11-30	PRIJEM	\N	337	78618	UROK	\N	\N
3582374	1581	1998-12-31	PRIJEM	\N	326	81327	UROK	\N	\N
3582375	1582	1996-05-31	PRIJEM	\N	23	6496	UROK	\N	\N
3582376	1582	1996-06-30	PRIJEM	\N	27	12496	UROK	\N	\N
3582377	1582	1996-07-31	PRIJEM	\N	27	18496	UROK	\N	\N
3582378	1582	1996-08-31	PRIJEM	\N	27	24496	UROK	\N	\N
3582379	1582	1996-09-30	PRIJEM	\N	91	28643	UROK	\N	\N
3582380	1582	1996-10-31	PRIJEM	\N	130	30815	UROK	\N	\N
3582381	1582	1996-11-30	PRIJEM	\N	138	30093	UROK	\N	\N
3582382	1582	1996-12-31	PRIJEM	\N	133	31328	UROK	\N	\N
3582383	1582	1997-01-31	PRIJEM	\N	127	26426	UROK	\N	\N
3582384	1582	1997-02-28	PRIJEM	\N	119	26086	UROK	\N	\N
3582385	1582	1997-03-31	PRIJEM	\N	120	29248	UROK	\N	\N
3582386	1582	1997-04-30	PRIJEM	\N	129	27858	UROK	\N	\N
3582387	1582	1997-05-31	PRIJEM	\N	126	30026	UROK	\N	\N
3582388	1582	1997-06-30	PRIJEM	\N	126	26144	UROK	\N	\N
3582389	1582	1997-07-31	PRIJEM	\N	115	28060	UROK	\N	\N
3582390	1582	1997-08-31	PRIJEM	\N	129	32230	UROK	\N	\N
3582391	1582	1997-09-30	PRIJEM	\N	144	35016	UROK	\N	\N
3582392	1582	1997-10-31	PRIJEM	\N	145	28922	UROK	\N	\N
3582393	1582	1997-11-30	PRIJEM	\N	127	29291	UROK	\N	\N
3582394	1582	1997-12-31	PRIJEM	\N	123	26156	UROK	\N	\N
3582395	1582	1998-01-31	PRIJEM	\N	86	15823	UROK	\N	\N
3582396	1582	1998-02-28	PRIJEM	\N	73	16377	UROK	\N	\N
3582397	1582	1998-03-31	PRIJEM	\N	76	16374	UROK	\N	\N
3582398	1582	1998-04-30	PRIJEM	\N	74	16089	UROK	\N	\N
3582399	1582	1998-05-31	PRIJEM	\N	69	13699	UROK	\N	\N
3582400	1582	1998-06-30	PRIJEM	\N	68	17809	UROK	\N	\N
3582401	1582	1998-07-31	PRIJEM	\N	69	12780	UROK	\N	\N
3582402	1582	1998-08-31	PRIJEM	\N	57	12278	UROK	\N	\N
3582403	1582	1998-09-30	PRIJEM	\N	59	14578	UROK	\N	\N
3582404	1582	1998-10-31	PRIJEM	\N	67	15967	UROK	\N	\N
3582405	1582	1998-11-30	PRIJEM	\N	61	15189	UROK	\N	\N
3582406	1582	1998-12-31	PRIJEM	\N	75	19305	UROK	\N	\N
3582407	1584	1993-10-31	PRIJEM	\N	40	13262	UROK	\N	\N
3582408	1584	1993-11-30	PRIJEM	\N	58	14297	UROK	\N	\N
3582409	1584	1993-12-31	PRIJEM	\N	61	14675	UROK	\N	\N
3582410	1584	1994-01-31	PRIJEM	\N	64	15567	UROK	\N	\N
3582411	1584	1994-02-28	PRIJEM	\N	68	16612	UROK	\N	\N
3582412	1584	1994-03-31	PRIJEM	\N	72	17661	UROK	\N	\N
3582413	1584	1994-04-30	PRIJEM	\N	76	18715	UROK	\N	\N
3582414	1584	1994-05-31	PRIJEM	\N	81	19773	UROK	\N	\N
3582415	1584	1994-06-30	PRIJEM	\N	61	12112	UROK	\N	\N
3582416	1584	1994-07-31	PRIJEM	\N	53	13142	UROK	\N	\N
3582417	1584	1994-08-31	PRIJEM	\N	57	12827	UROK	\N	\N
3582418	1584	1994-09-30	PRIJEM	\N	55	13169	UROK	\N	\N
3582419	1584	1994-10-31	PRIJEM	\N	58	14204	UROK	\N	\N
3582420	1584	1994-11-30	PRIJEM	\N	62	15243	UROK	\N	\N
3582421	1584	1994-12-31	PRIJEM	\N	66	15896	UROK	\N	\N
3582422	1584	1995-01-31	PRIJEM	\N	69	16943	UROK	\N	\N
3582423	1584	1995-02-28	PRIJEM	\N	71	17061	UROK	\N	\N
3582424	1584	1995-03-31	PRIJEM	\N	70	16729	UROK	\N	\N
3582425	1584	1995-04-30	PRIJEM	\N	72	17779	UROK	\N	\N
3582426	1584	1995-05-31	PRIJEM	\N	77	18833	UROK	\N	\N
3582427	1584	1995-06-30	PRIJEM	\N	70	16100	UROK	\N	\N
3582428	1584	1995-07-31	PRIJEM	\N	70	17147	UROK	\N	\N
3582429	1584	1995-08-31	PRIJEM	\N	74	18198	UROK	\N	\N
3582430	1584	1995-09-30	PRIJEM	\N	78	19254	UROK	\N	\N
3582431	1584	1995-10-31	PRIJEM	\N	83	20314	UROK	\N	\N
3582432	1584	1995-11-30	PRIJEM	\N	87	21379	UROK	\N	\N
3582433	1584	1995-12-31	PRIJEM	\N	91	21937	UROK	\N	\N
3582434	1584	1996-01-31	PRIJEM	\N	94	23009	UROK	\N	\N
3582435	1584	1996-02-29	PRIJEM	\N	96	23182	UROK	\N	\N
3582436	1584	1996-03-31	PRIJEM	\N	97	23537	UROK	\N	\N
3582437	1584	1996-04-30	PRIJEM	\N	100	24615	UROK	\N	\N
3582438	1584	1996-05-31	PRIJEM	\N	105	25697	UROK	\N	\N
3582439	1584	1996-06-30	PRIJEM	\N	110	21794	UROK	\N	\N
3582440	1584	1996-07-31	PRIJEM	\N	93	22865	UROK	\N	\N
3582441	1584	1996-08-31	PRIJEM	\N	98	23940	UROK	\N	\N
3582442	1584	1996-09-30	PRIJEM	\N	103	24870	UROK	\N	\N
3582443	1584	1996-10-31	PRIJEM	\N	106	25953	UROK	\N	\N
3582444	1584	1996-11-30	PRIJEM	\N	109	26469	UROK	\N	\N
3582445	1584	1996-12-31	PRIJEM	\N	112	26748	UROK	\N	\N
3582446	1584	1997-01-31	PRIJEM	\N	114	27839	UROK	\N	\N
3582447	1584	1997-02-28	PRIJEM	\N	118	28934	UROK	\N	\N
3582448	1584	1997-03-31	PRIJEM	\N	123	30034	UROK	\N	\N
3582449	1584	1997-04-30	PRIJEM	\N	127	31138	UROK	\N	\N
3582450	1584	1997-05-31	PRIJEM	\N	132	32247	UROK	\N	\N
3582451	1584	1997-06-30	PRIJEM	\N	121	25786	UROK	\N	\N
3582452	1584	1997-07-31	PRIJEM	\N	107	26330	UROK	\N	\N
3582453	1584	1997-08-31	PRIJEM	\N	111	27419	UROK	\N	\N
3582454	1584	1997-09-30	PRIJEM	\N	116	28512	UROK	\N	\N
3582455	1584	1997-10-31	PRIJEM	\N	115	26754	UROK	\N	\N
3582456	1584	1997-11-30	PRIJEM	\N	113	27845	UROK	\N	\N
3582457	1584	1997-12-31	PRIJEM	\N	116	28128	UROK	\N	\N
3582458	1584	1998-01-31	PRIJEM	\N	119	29224	UROK	\N	\N
3582459	1584	1998-02-28	PRIJEM	\N	122	29364	UROK	\N	\N
3582460	1584	1998-03-31	PRIJEM	\N	122	29653	UROK	\N	\N
3582461	1584	1998-04-30	PRIJEM	\N	125	30755	UROK	\N	\N
3582462	1584	1998-05-31	PRIJEM	\N	129	31861	UROK	\N	\N
3582463	1584	1998-06-30	PRIJEM	\N	120	27739	UROK	\N	\N
3582464	1584	1998-07-31	PRIJEM	\N	114	27660	UROK	\N	\N
3582465	1584	1998-08-31	PRIJEM	\N	116	28753	UROK	\N	\N
3582466	1584	1998-09-30	PRIJEM	\N	120	29851	UROK	\N	\N
3582467	1584	1998-10-31	PRIJEM	\N	124	29813	UROK	\N	\N
3582468	1584	1998-11-30	PRIJEM	\N	125	30915	UROK	\N	\N
3582469	1584	1998-12-31	PRIJEM	\N	128	31270	UROK	\N	\N
3582470	1586	1996-10-31	PRIJEM	\N	53	17179	UROK	\N	\N
3582471	1586	1996-11-30	PRIJEM	\N	134	37739	UROK	\N	\N
3582472	1586	1996-12-31	PRIJEM	\N	214	56242	UROK	\N	\N
3582473	1586	1997-01-31	PRIJEM	\N	249	61816	UROK	\N	\N
3582474	1586	1997-02-28	PRIJEM	\N	227	59469	UROK	\N	\N
3582475	1586	1997-03-31	PRIJEM	\N	228	55904	UROK	\N	\N
3582476	1586	1997-04-30	PRIJEM	\N	225	55736	UROK	\N	\N
3582477	1586	1997-05-31	PRIJEM	\N	222	55466	UROK	\N	\N
3582478	1586	1997-06-30	PRIJEM	\N	210	21346	UROK	\N	\N
3582479	1586	1997-07-31	PRIJEM	\N	149	33883	UROK	\N	\N
3582480	1586	1997-08-31	PRIJEM	\N	174	40765	UROK	\N	\N
3582481	1586	1997-09-30	PRIJEM	\N	200	41072	UROK	\N	\N
3582482	1586	1997-10-31	PRIJEM	\N	201	45780	UROK	\N	\N
3582483	1586	1997-11-30	PRIJEM	\N	218	44706	UROK	\N	\N
3582484	1586	1997-12-31	PRIJEM	\N	233	48489	UROK	\N	\N
3582485	1586	1998-01-31	PRIJEM	\N	194	35671	UROK	\N	\N
3582486	1586	1998-02-28	PRIJEM	\N	179	41057	UROK	\N	\N
3582487	1586	1998-03-31	PRIJEM	\N	200	43264	UROK	\N	\N
3582488	1586	1998-04-30	PRIJEM	\N	209	47180	UROK	\N	\N
3582489	1586	1998-05-31	PRIJEM	\N	219	46727	UROK	\N	\N
3582490	1586	1998-06-30	PRIJEM	\N	198	41735	UROK	\N	\N
3582491	1586	1998-07-31	PRIJEM	\N	191	41554	UROK	\N	\N
3582492	1586	1998-08-31	PRIJEM	\N	199	44760	UROK	\N	\N
3582493	1586	1998-09-30	PRIJEM	\N	207	43774	UROK	\N	\N
3582494	1586	1998-10-31	PRIJEM	\N	211	50392	UROK	\N	\N
3582495	1586	1998-11-30	PRIJEM	\N	234	54333	UROK	\N	\N
3582496	1586	1998-12-31	PRIJEM	\N	284	72728	UROK	\N	\N
3582497	1588	1994-01-31	PRIJEM	\N	38	12803	UROK	\N	\N
3582498	1588	1994-02-28	PRIJEM	\N	78	21246	UROK	\N	\N
3582499	1588	1994-03-31	PRIJEM	\N	92	22603	UROK	\N	\N
3582500	1588	1994-04-30	PRIJEM	\N	106	26874	UROK	\N	\N
3582501	1588	1994-05-31	PRIJEM	\N	106	24602	UROK	\N	\N
3582502	1588	1994-06-30	PRIJEM	\N	93	17503	UROK	\N	\N
3582503	1588	1994-07-31	PRIJEM	\N	79	19089	UROK	\N	\N
3582504	1588	1994-08-31	PRIJEM	\N	90	21787	UROK	\N	\N
3582505	1588	1994-09-30	PRIJEM	\N	108	26402	UROK	\N	\N
3582506	1588	1994-10-31	PRIJEM	\N	106	24615	UROK	\N	\N
3582507	1588	1994-11-30	PRIJEM	\N	116	27739	UROK	\N	\N
3582508	1588	1994-12-31	PRIJEM	\N	116	26052	UROK	\N	\N
3582509	1588	1995-01-31	PRIJEM	\N	111	25090	UROK	\N	\N
3582510	1588	1995-02-28	PRIJEM	\N	115	27513	UROK	\N	\N
3582511	1588	1995-03-31	PRIJEM	\N	112	25032	UROK	\N	\N
3582512	1588	1995-04-30	PRIJEM	\N	117	27956	UROK	\N	\N
3582513	1588	1995-05-31	PRIJEM	\N	118	26341	UROK	\N	\N
3582514	1588	1995-06-30	PRIJEM	\N	112	21101	UROK	\N	\N
3582515	1588	1995-07-31	PRIJEM	\N	113	26621	UROK	\N	\N
3582516	1588	1995-08-31	PRIJEM	\N	128	31056	UROK	\N	\N
3582517	1588	1995-09-30	PRIJEM	\N	123	27867	UROK	\N	\N
3582518	1588	1995-10-31	PRIJEM	\N	112	26186	UROK	\N	\N
3582519	1588	1995-11-30	PRIJEM	\N	114	26388	UROK	\N	\N
3582520	1588	1995-12-31	PRIJEM	\N	111	26236	UROK	\N	\N
3582521	1588	1996-01-31	PRIJEM	\N	96	23509	UROK	\N	\N
3582522	1588	1996-02-29	PRIJEM	\N	100	24816	UROK	\N	\N
3582523	1588	1996-03-31	PRIJEM	\N	95	25219	UROK	\N	\N
3582524	1588	1996-04-30	PRIJEM	\N	106	21232	UROK	\N	\N
3582525	1588	1996-05-31	PRIJEM	\N	91	23030	UROK	\N	\N
3582526	1588	1996-06-30	PRIJEM	\N	85	17893	UROK	\N	\N
3582527	1588	1996-07-31	PRIJEM	\N	74	18294	UROK	\N	\N
3582528	1588	1996-08-31	PRIJEM	\N	81	22782	UROK	\N	\N
3582529	1588	1996-09-30	PRIJEM	\N	98	26088	UROK	\N	\N
3582530	1588	1996-10-31	PRIJEM	\N	108	24103	UROK	\N	\N
3582531	1588	1996-11-30	PRIJEM	\N	101	24312	UROK	\N	\N
3582532	1588	1996-12-31	PRIJEM	\N	106	25995	UROK	\N	\N
3582533	1588	1997-01-31	PRIJEM	\N	108	26481	UROK	\N	\N
3582534	1588	1997-02-28	PRIJEM	\N	111	26999	UROK	\N	\N
3582535	1588	1997-03-31	PRIJEM	\N	110	23716	UROK	\N	\N
3582536	1588	1997-04-30	PRIJEM	\N	99	23823	UROK	\N	\N
3582537	1588	1997-05-31	PRIJEM	\N	98	22128	UROK	\N	\N
3582538	1588	1997-06-30	PRIJEM	\N	84	16269	UROK	\N	\N
3582539	1588	1997-07-31	PRIJEM	\N	68	16745	UROK	\N	\N
3582540	1588	1997-08-31	PRIJEM	\N	72	17245	UROK	\N	\N
3582541	1588	1997-09-30	PRIJEM	\N	66	13619	UROK	\N	\N
3582542	1588	1997-10-31	PRIJEM	\N	63	18189	UROK	\N	\N
3582543	1588	1997-11-30	PRIJEM	\N	80	21176	UROK	\N	\N
3582544	1588	1997-12-31	PRIJEM	\N	88	20831	UROK	\N	\N
3582545	1588	1998-01-31	PRIJEM	\N	87	21506	UROK	\N	\N
3582546	1588	1998-02-28	PRIJEM	\N	88	21301	UROK	\N	\N
3582547	1588	1998-03-31	PRIJEM	\N	85	19894	UROK	\N	\N
3582548	1588	1998-04-30	PRIJEM	\N	76	16677	UROK	\N	\N
3582549	1588	1998-05-31	PRIJEM	\N	62	12946	UROK	\N	\N
3582550	1588	1998-06-30	PRIJEM	\N	53	13106	UROK	\N	\N
3582551	1588	1998-07-31	PRIJEM	\N	52	12826	UROK	\N	\N
3582552	1588	1998-08-31	PRIJEM	\N	54	14087	UROK	\N	\N
3582553	1588	1998-09-30	PRIJEM	\N	61	15355	UROK	\N	\N
3582554	1588	1998-10-31	PRIJEM	\N	57	13019	UROK	\N	\N
3582555	1588	1998-11-30	PRIJEM	\N	54	14281	UROK	\N	\N
3582556	1588	1998-12-31	PRIJEM	\N	59	15337	UROK	\N	\N
3582557	1589	1994-10-31	PRIJEM	\N	3	24303	UROK	\N	\N
3582558	1589	1994-11-30	PRIJEM	\N	100	24103	UROK	\N	\N
3582559	1589	1994-12-31	PRIJEM	\N	100	23803	UROK	\N	\N
3582560	1589	1995-02-28	PRIJEM	\N	111	27114	UROK	\N	\N
3582561	1589	1995-02-28	PRIJEM	\N	100	28014	UROK	\N	\N
3582562	1589	1995-03-31	PRIJEM	\N	100	28614	UROK	\N	\N
3582563	1589	1995-04-30	PRIJEM	\N	100	28614	UROK	\N	\N
3582564	1589	1995-05-31	PRIJEM	\N	100	27914	UROK	\N	\N
3582565	1589	1995-06-30	PRIJEM	\N	100	26414	UROK	\N	\N
3582566	1589	1995-07-31	PRIJEM	\N	100	27014	UROK	\N	\N
3582567	1589	1995-08-31	PRIJEM	\N	100	25914	UROK	\N	\N
3582568	1589	1995-09-30	PRIJEM	\N	100	28114	UROK	\N	\N
3582569	1589	1995-10-31	PRIJEM	\N	100	32214	UROK	\N	\N
3582570	1589	1995-11-30	PRIJEM	\N	100	30614	UROK	\N	\N
3582571	1589	1995-12-31	PRIJEM	\N	100	30614	UROK	\N	\N
3582572	1589	1996-01-31	PRIJEM	\N	100	28314	UROK	\N	\N
3582573	1589	1996-02-29	PRIJEM	\N	100	29114	UROK	\N	\N
3582574	1589	1996-03-31	PRIJEM	\N	100	26814	UROK	\N	\N
3582575	1589	1996-04-30	PRIJEM	\N	100	22214	UROK	\N	\N
3582576	1589	1996-05-31	PRIJEM	\N	100	18914	UROK	\N	\N
3582577	1589	1996-06-30	PRIJEM	\N	100	19614	UROK	\N	\N
3582578	1589	1996-07-31	PRIJEM	\N	100	17714	UROK	\N	\N
3582579	1589	1996-08-31	PRIJEM	\N	100	14614	UROK	\N	\N
3582580	1589	1996-09-30	PRIJEM	\N	100	16214	UROK	\N	\N
3582581	1589	1996-10-31	PRIJEM	\N	100	18014	UROK	\N	\N
3582582	1589	1996-12-31	PRIJEM	\N	100	18814	UROK	\N	\N
3582583	1589	1997-01-31	PRIJEM	\N	100	17514	UROK	\N	\N
3582584	1589	1997-02-28	PRIJEM	\N	100	14114	UROK	\N	\N
3582585	1589	1997-03-31	PRIJEM	\N	100	16614	UROK	\N	\N
3582586	1589	1997-04-30	PRIJEM	\N	100	17414	UROK	\N	\N
3582587	1589	1997-05-31	PRIJEM	\N	100	19314	UROK	\N	\N
3582588	1589	1997-06-30	PRIJEM	\N	100	18814	UROK	\N	\N
3582589	1589	1997-07-31	PRIJEM	\N	100	16214	UROK	\N	\N
3582590	1589	1997-08-31	PRIJEM	\N	100	18714	UROK	\N	\N
3582591	1589	1997-09-30	PRIJEM	\N	100	17814	UROK	\N	\N
3582592	1589	1997-12-31	PRIJEM	\N	100	19614	UROK	\N	\N
3582593	1589	1998-01-31	PRIJEM	\N	100	16114	UROK	\N	\N
3582594	1589	1998-02-28	PRIJEM	\N	100	14314	UROK	\N	\N
3582595	1589	1998-03-31	PRIJEM	\N	100	11714	UROK	\N	\N
3582596	1589	1998-08-31	PRIJEM	\N	100	11514	UROK	\N	\N
3582597	1590	1995-04-30	PRIJEM	\N	38	12058	UROK	\N	\N
3582598	1590	1995-05-31	PRIJEM	\N	102	28080	UROK	\N	\N
3582599	1590	1995-06-30	PRIJEM	\N	170	44730	UROK	\N	\N
3582600	1590	1995-07-31	PRIJEM	\N	186	44936	UROK	\N	\N
3582601	1590	1995-08-31	PRIJEM	\N	167	37825	UROK	\N	\N
3582602	1590	1995-09-30	PRIJEM	\N	146	29586	UROK	\N	\N
3582603	1590	1995-10-31	PRIJEM	\N	140	34082	UROK	\N	\N
3582604	1590	1995-11-30	PRIJEM	\N	139	33076	UROK	\N	\N
3582605	1590	1995-12-31	PRIJEM	\N	168	40239	UROK	\N	\N
3582606	1590	1996-01-31	PRIJEM	\N	140	27855	UROK	\N	\N
3582607	1590	1996-02-29	PRIJEM	\N	135	33045	UROK	\N	\N
3582608	1590	1996-03-31	PRIJEM	\N	148	35649	UROK	\N	\N
3582609	1590	1996-04-30	PRIJEM	\N	149	35653	UROK	\N	\N
3582610	1590	1996-05-31	PRIJEM	\N	143	32732	UROK	\N	\N
3582611	1590	1996-06-30	PRIJEM	\N	91	18778	UROK	\N	\N
3582612	1590	1996-07-31	PRIJEM	\N	110	26264	UROK	\N	\N
3582613	1590	1996-08-31	PRIJEM	\N	125	30244	UROK	\N	\N
3582614	1590	1996-09-30	PRIJEM	\N	122	26081	UROK	\N	\N
3582615	1590	1996-10-31	PRIJEM	\N	124	30261	UROK	\N	\N
3582616	1590	1996-11-30	PRIJEM	\N	138	30394	UROK	\N	\N
3582617	1590	1996-12-31	PRIJEM	\N	157	36866	UROK	\N	\N
3582618	1590	1997-01-31	PRIJEM	\N	138	29459	UROK	\N	\N
3582619	1590	1997-02-28	PRIJEM	\N	139	36653	UROK	\N	\N
3582620	1590	1997-03-31	PRIJEM	\N	156	39424	UROK	\N	\N
3582621	1590	1997-04-30	PRIJEM	\N	178	41358	UROK	\N	\N
3582622	1590	1997-05-31	PRIJEM	\N	187	44700	UROK	\N	\N
3582623	1590	1997-06-30	PRIJEM	\N	212	45127	UROK	\N	\N
3582624	1590	1997-07-31	PRIJEM	\N	188	41171	UROK	\N	\N
3582625	1590	1997-08-31	PRIJEM	\N	181	40407	UROK	\N	\N
3582626	1590	1997-09-30	PRIJEM	\N	176	35758	UROK	\N	\N
3582627	1590	1997-10-31	PRIJEM	\N	158	34972	UROK	\N	\N
3582628	1590	1997-11-30	PRIJEM	\N	135	28282	UROK	\N	\N
3582629	1590	1997-12-31	PRIJEM	\N	140	28977	UROK	\N	\N
3582630	1590	1998-01-31	PRIJEM	\N	94	16886	UROK	\N	\N
3582631	1590	1998-02-28	PRIJEM	\N	81	19623	UROK	\N	\N
3582632	1590	1998-03-31	PRIJEM	\N	93	21571	UROK	\N	\N
3582633	1590	1998-04-30	PRIJEM	\N	102	24029	UROK	\N	\N
3582634	1590	1998-05-31	PRIJEM	\N	113	26877	UROK	\N	\N
3582635	1590	1998-06-30	PRIJEM	\N	139	33231	UROK	\N	\N
3582636	1590	1998-07-31	PRIJEM	\N	142	30528	UROK	\N	\N
3582637	1590	1998-08-31	PRIJEM	\N	129	24913	UROK	\N	\N
3582638	1590	1998-09-30	PRIJEM	\N	118	28886	UROK	\N	\N
3582639	1590	1998-10-31	PRIJEM	\N	115	27316	UROK	\N	\N
3582640	1590	1998-11-30	PRIJEM	\N	125	30296	UROK	\N	\N
3582641	1590	1998-12-31	PRIJEM	\N	145	33077	UROK	\N	\N
3582642	1591	1996-12-31	PRIJEM	\N	247	79999	UROK	\N	\N
3582643	1591	1997-01-31	PRIJEM	\N	336	88536	UROK	\N	\N
3582644	1591	1997-02-28	PRIJEM	\N	368	58304	UROK	\N	\N
3582645	1591	1997-03-31	PRIJEM	\N	285	56187	UROK	\N	\N
3582646	1591	1997-04-30	PRIJEM	\N	233	44820	UROK	\N	\N
3582647	1591	1997-05-31	PRIJEM	\N	233	44553	UROK	\N	\N
3582648	1591	1997-06-30	PRIJEM	\N	233	45286	UROK	\N	\N
3582649	1591	1997-07-31	PRIJEM	\N	262	66387	UROK	\N	\N
3582650	1591	1997-08-31	PRIJEM	\N	276	57663	UROK	\N	\N
3582651	1591	1997-09-30	PRIJEM	\N	261	60970	UROK	\N	\N
3582652	1591	1997-10-31	PRIJEM	\N	188	40759	UROK	\N	\N
3582653	1591	1997-11-30	PRIJEM	\N	155	41741	UROK	\N	\N
3582654	1591	1997-12-31	PRIJEM	\N	135	35402	UROK	\N	\N
3582655	1591	1998-01-31	PRIJEM	\N	280	55622	UROK	\N	\N
3582656	1591	1998-02-28	PRIJEM	\N	394	91332	UROK	\N	\N
3582657	1591	1998-03-31	PRIJEM	\N	366	67515	UROK	\N	\N
3582658	1591	1998-04-30	PRIJEM	\N	237	76201	UROK	\N	\N
3582659	1591	1998-05-31	PRIJEM	\N	383	81737	UROK	\N	\N
3582660	1591	1998-06-30	PRIJEM	\N	313	61776	UROK	\N	\N
3582661	1591	1998-07-31	PRIJEM	\N	307	75698	UROK	\N	\N
3582662	1591	1998-08-31	PRIJEM	\N	225	44719	UROK	\N	\N
3582663	1591	1998-09-30	PRIJEM	\N	168	52276	UROK	\N	\N
3582664	1591	1998-10-31	PRIJEM	\N	307	64752	UROK	\N	\N
3582665	1591	1998-11-30	PRIJEM	\N	330	74595	UROK	\N	\N
3582666	1591	1998-12-31	PRIJEM	\N	304	68108	UROK	\N	\N
3582667	1592	1995-01-31	PRIJEM	\N	51	19711	UROK	\N	\N
3582668	1592	1995-02-28	PRIJEM	\N	87	22550	UROK	\N	\N
3582669	1592	1995-03-31	PRIJEM	\N	99	25402	UROK	\N	\N
3582670	1592	1995-04-30	PRIJEM	\N	109	27263	UROK	\N	\N
3582671	1592	1995-05-31	PRIJEM	\N	114	28429	UROK	\N	\N
3582672	1592	1995-06-30	PRIJEM	\N	122	30604	UROK	\N	\N
3582673	1592	1995-07-31	PRIJEM	\N	127	30343	UROK	\N	\N
3582674	1592	1995-08-31	PRIJEM	\N	132	31627	UROK	\N	\N
3582675	1592	1995-09-30	PRIJEM	\N	136	34316	UROK	\N	\N
3582676	1592	1995-10-31	PRIJEM	\N	145	36173	UROK	\N	\N
3582677	1592	1995-11-30	PRIJEM	\N	152	37637	UROK	\N	\N
3582678	1592	1995-12-31	PRIJEM	\N	153	36892	UROK	\N	\N
3582679	1592	1996-01-31	PRIJEM	\N	141	30626	UROK	\N	\N
3582680	1592	1996-02-29	PRIJEM	\N	128	32146	UROK	\N	\N
3582681	1592	1996-03-31	PRIJEM	\N	139	35038	UROK	\N	\N
3582682	1592	1996-04-30	PRIJEM	\N	151	37941	UROK	\N	\N
3582683	1592	1996-05-31	PRIJEM	\N	154	37887	UROK	\N	\N
3582684	1592	1996-06-30	PRIJEM	\N	160	37359	UROK	\N	\N
3582685	1592	1996-07-31	PRIJEM	\N	161	40273	UROK	\N	\N
3582686	1592	1996-08-31	PRIJEM	\N	169	42154	UROK	\N	\N
3582687	1592	1996-09-30	PRIJEM	\N	180	45087	UROK	\N	\N
3582688	1592	1996-10-31	PRIJEM	\N	193	48032	UROK	\N	\N
3582689	1592	1996-11-30	PRIJEM	\N	205	50989	UROK	\N	\N
3582690	1592	1996-12-31	PRIJEM	\N	216	53507	UROK	\N	\N
3582691	1592	1997-01-31	PRIJEM	\N	209	47588	UROK	\N	\N
3582692	1592	1997-02-28	PRIJEM	\N	202	50543	UROK	\N	\N
3582693	1592	1997-03-31	PRIJEM	\N	215	53510	UROK	\N	\N
3582694	1592	1997-04-30	PRIJEM	\N	227	56490	UROK	\N	\N
3582695	1592	1997-05-31	PRIJEM	\N	240	59482	UROK	\N	\N
3582696	1592	1997-06-30	PRIJEM	\N	241	59356	UROK	\N	\N
3582697	1592	1997-07-31	PRIJEM	\N	234	57162	UROK	\N	\N
3582698	1592	1997-08-31	PRIJEM	\N	242	60157	UROK	\N	\N
3582699	1592	1997-09-30	PRIJEM	\N	253	62682	UROK	\N	\N
3582700	1592	1997-10-31	PRIJEM	\N	265	65700	UROK	\N	\N
3582701	1592	1997-11-30	PRIJEM	\N	278	68730	UROK	\N	\N
3582702	1592	1997-12-31	PRIJEM	\N	289	70371	UROK	\N	\N
3582703	1592	1998-01-31	PRIJEM	\N	279	63802	UROK	\N	\N
3582704	1592	1998-02-28	PRIJEM	\N	269	66823	UROK	\N	\N
3582705	1592	1998-03-31	PRIJEM	\N	278	66173	UROK	\N	\N
3582706	1592	1998-04-30	PRIJEM	\N	279	69204	UROK	\N	\N
3582707	1592	1998-05-31	PRIJEM	\N	292	72148	UROK	\N	\N
3582708	1592	1998-06-30	PRIJEM	\N	304	75204	UROK	\N	\N
3582709	1592	1998-07-31	PRIJEM	\N	304	73201	UROK	\N	\N
3582710	1592	1998-08-31	PRIJEM	\N	305	74338	UROK	\N	\N
3582711	1592	1998-09-30	PRIJEM	\N	312	77403	UROK	\N	\N
3582712	1592	1998-10-31	PRIJEM	\N	325	80481	UROK	\N	\N
3582713	1592	1998-11-30	PRIJEM	\N	338	83571	UROK	\N	\N
3582714	1592	1998-12-31	PRIJEM	\N	349	86172	UROK	\N	\N
3582715	1593	1997-01-31	PRIJEM	\N	38	13788	UROK	\N	\N
3582716	1593	1997-02-28	PRIJEM	\N	55	12352	UROK	\N	\N
3582717	1593	1997-03-31	PRIJEM	\N	55	13436	UROK	\N	\N
3582718	1593	1997-04-30	PRIJEM	\N	56	13261	UROK	\N	\N
3582719	1593	1997-05-31	PRIJEM	\N	58	14349	UROK	\N	\N
3582720	1593	1997-06-30	PRIJEM	\N	60	13098	UROK	\N	\N
3582721	1593	1997-07-31	PRIJEM	\N	56	13313	UROK	\N	\N
3582722	1593	1997-08-31	PRIJEM	\N	59	14401	UROK	\N	\N
3582723	1593	1997-09-30	PRIJEM	\N	63	15494	UROK	\N	\N
3582724	1593	1997-10-31	PRIJEM	\N	62	14575	UROK	\N	\N
3582725	1593	1997-11-30	PRIJEM	\N	64	15668	UROK	\N	\N
3582726	1593	1997-12-31	PRIJEM	\N	68	15805	UROK	\N	\N
3582727	1593	1998-01-31	PRIJEM	\N	58	13023	UROK	\N	\N
3582728	1593	1998-02-28	PRIJEM	\N	57	14109	UROK	\N	\N
3582729	1593	1998-03-31	PRIJEM	\N	62	15200	UROK	\N	\N
3582730	1593	1998-04-30	PRIJEM	\N	66	16296	UROK	\N	\N
3582731	1593	1998-05-31	PRIJEM	\N	71	17396	UROK	\N	\N
3582732	1593	1998-06-30	PRIJEM	\N	75	18501	UROK	\N	\N
3582733	1593	1998-07-31	PRIJEM	\N	78	19338	UROK	\N	\N
3582734	1593	1998-08-31	PRIJEM	\N	83	20451	UROK	\N	\N
3582735	1593	1998-09-30	PRIJEM	\N	88	21568	UROK	\N	\N
3582736	1593	1998-10-31	PRIJEM	\N	93	22690	UROK	\N	\N
3582737	1593	1998-11-30	PRIJEM	\N	97	23817	UROK	\N	\N
3582738	1593	1998-12-31	PRIJEM	\N	101	24047	UROK	\N	\N
3582739	1594	1997-04-30	PRIJEM	\N	52	18738	UROK	\N	\N
3582740	1594	1997-05-31	PRIJEM	\N	139	40463	UROK	\N	\N
3582741	1594	1997-06-30	PRIJEM	\N	236	65078	UROK	\N	\N
3582742	1594	1997-07-31	PRIJEM	\N	275	66939	UROK	\N	\N
3582743	1594	1997-08-31	PRIJEM	\N	276	65670	UROK	\N	\N
3582744	1594	1997-09-30	PRIJEM	\N	261	62475	UROK	\N	\N
3582745	1594	1997-10-31	PRIJEM	\N	248	59367	UROK	\N	\N
3582746	1594	1997-11-30	PRIJEM	\N	254	62665	UROK	\N	\N
3582747	1594	1997-12-31	PRIJEM	\N	282	70885	UROK	\N	\N
3582748	1594	1998-01-31	PRIJEM	\N	265	62894	UROK	\N	\N
3582749	1594	1998-02-28	PRIJEM	\N	240	61678	UROK	\N	\N
3582750	1594	1998-03-31	PRIJEM	\N	245	58867	UROK	\N	\N
3582751	1594	1998-04-30	PRIJEM	\N	216	53128	UROK	\N	\N
3582752	1594	1998-05-31	PRIJEM	\N	229	57101	UROK	\N	\N
3582753	1594	1998-06-30	PRIJEM	\N	230	57669	UROK	\N	\N
3582754	1594	1998-07-31	PRIJEM	\N	222	46536	UROK	\N	\N
3582755	1594	1998-08-31	PRIJEM	\N	223	45403	UROK	\N	\N
3582756	1594	1998-09-30	PRIJEM	\N	205	41153	UROK	\N	\N
3582757	1594	1998-10-31	PRIJEM	\N	197	36194	UROK	\N	\N
3582758	1594	1998-11-30	PRIJEM	\N	175	30713	UROK	\N	\N
3582759	1594	1998-12-31	PRIJEM	\N	179	49330	UROK	\N	\N
3582760	1596	1997-10-31	PRIJEM	\N	16	6071	UROK	\N	\N
3582761	1596	1997-11-30	PRIJEM	\N	25	11051	UROK	\N	\N
3582762	1596	1997-12-31	PRIJEM	\N	25	16031	UROK	\N	\N
3582763	1596	1998-01-31	PRIJEM	\N	25	21011	UROK	\N	\N
3582764	1596	1998-02-28	PRIJEM	\N	28	25994	UROK	\N	\N
3582765	1596	1998-03-31	PRIJEM	\N	106	26538	UROK	\N	\N
3582766	1596	1998-04-30	PRIJEM	\N	109	27805	UROK	\N	\N
3582767	1596	1998-05-31	PRIJEM	\N	98	21300	UROK	\N	\N
3582768	1596	1998-06-30	PRIJEM	\N	89	23026	UROK	\N	\N
3582769	1596	1998-07-31	PRIJEM	\N	93	23637	UROK	\N	\N
3582770	1596	1998-08-31	PRIJEM	\N	101	25375	UROK	\N	\N
3582771	1596	1998-09-30	PRIJEM	\N	105	25998	UROK	\N	\N
3582772	1596	1998-10-31	PRIJEM	\N	109	27744	UROK	\N	\N
3582773	1596	1998-11-30	PRIJEM	\N	116	29498	UROK	\N	\N
3582774	1596	1998-12-31	PRIJEM	\N	118	27213	UROK	\N	\N
3582775	1597	1995-07-31	PRIJEM	\N	27	7628	UROK	\N	\N
3582776	1597	1995-08-31	PRIJEM	\N	32	14360	UROK	\N	\N
3582777	1597	1995-09-30	PRIJEM	\N	32	21093	UROK	\N	\N
3582778	1597	1995-10-31	PRIJEM	\N	99	27093	UROK	\N	\N
3582779	1597	1995-11-30	PRIJEM	\N	113	24231	UROK	\N	\N
3582780	1597	1995-12-31	PRIJEM	\N	106	23718	UROK	\N	\N
3582781	1597	1996-01-31	PRIJEM	\N	89	14557	UROK	\N	\N
3582782	1597	1996-02-29	PRIJEM	\N	71	18939	UROK	\N	\N
3582783	1597	1996-03-31	PRIJEM	\N	89	18638	UROK	\N	\N
3582784	1597	1996-04-30	PRIJEM	\N	88	21336	UROK	\N	\N
3582785	1597	1996-05-31	PRIJEM	\N	94	18961	UROK	\N	\N
3582786	1597	1996-06-30	PRIJEM	\N	70	15241	UROK	\N	\N
3582787	1597	1996-07-31	PRIJEM	\N	75	14486	UROK	\N	\N
3582788	1597	1996-08-31	PRIJEM	\N	68	14665	UROK	\N	\N
3582789	1597	1996-09-30	PRIJEM	\N	69	15345	UROK	\N	\N
3582790	1597	1996-10-31	PRIJEM	\N	71	15226	UROK	\N	\N
3582791	1597	1996-11-30	PRIJEM	\N	71	17328	UROK	\N	\N
3582792	1597	1996-12-31	PRIJEM	\N	81	18869	UROK	\N	\N
3582793	1597	1997-01-31	PRIJEM	\N	77	13516	UROK	\N	\N
3582794	1597	1997-02-28	PRIJEM	\N	63	12850	UROK	\N	\N
3582795	1597	1997-03-31	PRIJEM	\N	64	17224	UROK	\N	\N
3582796	1597	1997-04-30	PRIJEM	\N	82	21617	UROK	\N	\N
3582797	1597	1997-05-31	PRIJEM	\N	98	24666	UROK	\N	\N
3582798	1597	1997-06-30	PRIJEM	\N	95	21521	UROK	\N	\N
3582799	1597	1997-07-31	PRIJEM	\N	103	24574	UROK	\N	\N
3582800	1597	1997-08-31	PRIJEM	\N	113	28998	UROK	\N	\N
3582801	1597	1997-09-30	PRIJEM	\N	131	33439	UROK	\N	\N
3582802	1597	1997-10-31	PRIJEM	\N	147	35997	UROK	\N	\N
3582803	1597	1997-11-30	PRIJEM	\N	155	36962	UROK	\N	\N
3582804	1597	1997-12-31	PRIJEM	\N	161	38883	UROK	\N	\N
3582805	1597	1998-01-31	PRIJEM	\N	156	32059	UROK	\N	\N
3582806	1597	1998-02-28	PRIJEM	\N	137	32166	UROK	\N	\N
3582807	1597	1998-03-31	PRIJEM	\N	140	34117	UROK	\N	\N
3582808	1597	1998-04-30	PRIJEM	\N	145	34733	UROK	\N	\N
3582809	1597	1998-05-31	PRIJEM	\N	142	31785	UROK	\N	\N
3582810	1597	1998-06-30	PRIJEM	\N	127	23872	UROK	\N	\N
3582811	1597	1998-07-31	PRIJEM	\N	109	27651	UROK	\N	\N
3582812	1597	1998-08-31	PRIJEM	\N	125	32087	UROK	\N	\N
3582813	1597	1998-09-30	PRIJEM	\N	143	36541	UROK	\N	\N
3582814	1597	1998-10-31	PRIJEM	\N	159	39410	UROK	\N	\N
3582815	1597	1998-11-30	PRIJEM	\N	160	34680	UROK	\N	\N
3582816	1597	1998-12-31	PRIJEM	\N	143	31873	UROK	\N	\N
3582817	1598	1997-04-30	PRIJEM	\N	56	44769	UROK	\N	\N
3582818	1598	1997-05-31	PRIJEM	\N	194	47699	UROK	\N	\N
3582819	1598	1997-06-30	PRIJEM	\N	207	58480	UROK	\N	\N
3582820	1598	1997-07-31	PRIJEM	\N	243	39822	UROK	\N	\N
3582821	1598	1997-08-31	PRIJEM	\N	243	33665	UROK	\N	\N
3582822	1598	1997-09-30	PRIJEM	\N	243	34808	UROK	\N	\N
3582823	1598	1997-10-31	PRIJEM	\N	243	31151	UROK	\N	\N
3582824	1598	1997-11-30	PRIJEM	\N	243	58513	UROK	\N	\N
3582825	1598	1997-12-31	PRIJEM	\N	243	47655	UROK	\N	\N
3582826	1598	1998-01-31	PRIJEM	\N	229	41758	UROK	\N	\N
3582827	1598	1998-02-28	PRIJEM	\N	134	25491	UROK	\N	\N
3582828	1598	1998-03-31	PRIJEM	\N	182	77909	UROK	\N	\N
3582829	1598	1998-04-30	PRIJEM	\N	307	101542	UROK	\N	\N
3582830	1598	1998-05-31	PRIJEM	\N	392	95794	UROK	\N	\N
3582831	1598	1998-06-30	PRIJEM	\N	171	43934	UROK	\N	\N
3582832	1598	1998-07-31	PRIJEM	\N	141	57039	UROK	\N	\N
3582833	1598	1998-08-31	PRIJEM	\N	313	55260	UROK	\N	\N
3582834	1598	1998-09-30	PRIJEM	\N	182	48030	UROK	\N	\N
3582835	1598	1998-10-31	PRIJEM	\N	242	102844	UROK	\N	\N
3582836	1598	1998-11-30	PRIJEM	\N	290	51947	UROK	\N	\N
3582837	1598	1998-12-31	PRIJEM	\N	320	53888	UROK	\N	\N
3582838	1599	1995-12-31	PRIJEM	\N	98	33170	UROK	\N	\N
3582839	1599	1996-01-31	PRIJEM	\N	160	40545	UROK	\N	\N
3582840	1599	1996-02-29	PRIJEM	\N	248	44908	UROK	\N	\N
3582841	1599	1996-03-31	PRIJEM	\N	210	45433	UROK	\N	\N
3582842	1599	1996-04-30	PRIJEM	\N	189	41900	UROK	\N	\N
3582843	1599	1996-05-31	PRIJEM	\N	174	41733	UROK	\N	\N
3582844	1599	1996-06-30	PRIJEM	\N	232	41521	UROK	\N	\N
3582845	1599	1996-07-31	PRIJEM	\N	213	54392	UROK	\N	\N
3582846	1599	1996-08-31	PRIJEM	\N	231	57783	UROK	\N	\N
3582847	1599	1996-09-30	PRIJEM	\N	222	54684	UROK	\N	\N
3582848	1599	1996-10-31	PRIJEM	\N	219	54502	UROK	\N	\N
3582849	1599	1996-11-30	PRIJEM	\N	222	56084	UROK	\N	\N
3582850	1599	1996-12-31	PRIJEM	\N	251	64491	UROK	\N	\N
3582851	1599	1997-01-31	PRIJEM	\N	217	43068	UROK	\N	\N
3582852	1599	1997-02-28	PRIJEM	\N	180	44447	UROK	\N	\N
3582853	1599	1997-03-31	PRIJEM	\N	190	45476	UROK	\N	\N
3582854	1599	1997-04-30	PRIJEM	\N	192	43887	UROK	\N	\N
3582855	1599	1997-05-31	PRIJEM	\N	195	50242	UROK	\N	\N
3582856	1599	1997-06-30	PRIJEM	\N	251	60810	UROK	\N	\N
3582857	1599	1997-07-31	PRIJEM	\N	248	60837	UROK	\N	\N
3582858	1599	1997-08-31	PRIJEM	\N	259	66056	UROK	\N	\N
3582859	1599	1997-09-30	PRIJEM	\N	263	68478	UROK	\N	\N
3582860	1599	1997-10-31	PRIJEM	\N	277	56714	UROK	\N	\N
3582861	1599	1997-11-30	PRIJEM	\N	286	56940	UROK	\N	\N
3582862	1599	1997-12-31	PRIJEM	\N	321	61657	UROK	\N	\N
3582863	1599	1998-01-31	PRIJEM	\N	268	51024	UROK	\N	\N
3582864	1599	1998-02-28	PRIJEM	\N	268	54151	UROK	\N	\N
3582865	1599	1998-03-31	PRIJEM	\N	279	52190	UROK	\N	\N
3582866	1599	1998-04-30	PRIJEM	\N	249	49338	UROK	\N	\N
3582867	1599	1998-05-31	PRIJEM	\N	256	48154	UROK	\N	\N
3582868	1599	1998-06-30	PRIJEM	\N	261	43411	UROK	\N	\N
3582869	1599	1998-07-31	PRIJEM	\N	229	42800	UROK	\N	\N
3582870	1599	1998-08-31	PRIJEM	\N	203	41982	UROK	\N	\N
3582871	1599	1998-09-30	PRIJEM	\N	227	51468	UROK	\N	\N
3582872	1599	1998-10-31	PRIJEM	\N	259	53287	UROK	\N	\N
3582873	1599	1998-11-30	PRIJEM	\N	259	55004	UROK	\N	\N
3582874	1599	1998-12-31	PRIJEM	\N	318	83179	UROK	\N	\N
3582875	1600	1997-01-31	PRIJEM	\N	66	23494	UROK	\N	\N
3582876	1600	1997-02-28	PRIJEM	\N	99	23316	UROK	\N	\N
3582877	1600	1997-03-31	PRIJEM	\N	104	24929	UROK	\N	\N
3582878	1600	1997-04-30	PRIJEM	\N	102	23640	UROK	\N	\N
3582879	1600	1997-05-31	PRIJEM	\N	102	24250	UROK	\N	\N
3582880	1600	1997-06-30	PRIJEM	\N	81	14539	UROK	\N	\N
3582881	1600	1997-07-31	PRIJEM	\N	73	18120	UROK	\N	\N
3582882	1600	1997-08-31	PRIJEM	\N	81	19409	UROK	\N	\N
3582883	1600	1997-09-30	PRIJEM	\N	82	19399	UROK	\N	\N
3582884	1600	1997-10-31	PRIJEM	\N	74	15601	UROK	\N	\N
3582885	1600	1997-11-30	PRIJEM	\N	68	16578	UROK	\N	\N
3582886	1600	1997-12-31	PRIJEM	\N	57	12783	UROK	\N	\N
3582887	1600	1998-01-31	PRIJEM	\N	47	11139	UROK	\N	\N
3582888	1600	1998-02-28	PRIJEM	\N	45	10492	UROK	\N	\N
3582889	1600	1998-03-31	PRIJEM	\N	46	11247	UROK	\N	\N
3582890	1600	1998-04-30	PRIJEM	\N	59	14814	UROK	\N	\N
3582891	1600	1998-05-31	PRIJEM	\N	73	13196	UROK	\N	\N
3582892	1600	1998-06-30	PRIJEM	\N	66	13810	UROK	\N	\N
3582893	1600	1998-07-31	PRIJEM	\N	70	17388	UROK	\N	\N
3582894	1600	1998-08-31	PRIJEM	\N	64	15060	UROK	\N	\N
3582895	1600	1998-09-30	PRIJEM	\N	75	18643	UROK	\N	\N
3582896	1600	1998-10-31	PRIJEM	\N	90	22241	UROK	\N	\N
3582897	1600	1998-11-30	PRIJEM	\N	105	25854	UROK	\N	\N
3582898	1600	1998-12-31	PRIJEM	\N	119	29031	UROK	\N	\N
3582899	1601	1993-07-31	PRIJEM	\N	61	18077	UROK	\N	\N
3582900	1601	1993-08-31	PRIJEM	\N	80	19490	UROK	\N	\N
3582901	1601	1993-09-30	PRIJEM	\N	86	20809	UROK	\N	\N
3582902	1601	1993-10-31	PRIJEM	\N	79	18321	UROK	\N	\N
3582903	1601	1993-11-30	PRIJEM	\N	81	19735	UROK	\N	\N
3582904	1601	1993-12-31	PRIJEM	\N	92	20211	UROK	\N	\N
3582905	1601	1994-01-31	PRIJEM	\N	74	14298	UROK	\N	\N
3582906	1601	1994-02-28	PRIJEM	\N	72	15704	UROK	\N	\N
3582907	1601	1994-03-31	PRIJEM	\N	70	17107	UROK	\N	\N
3582908	1601	1994-04-30	PRIJEM	\N	84	18525	UROK	\N	\N
3582909	1601	1994-05-31	PRIJEM	\N	82	19940	UROK	\N	\N
3582910	1601	1994-06-30	PRIJEM	\N	88	21361	UROK	\N	\N
3582911	1601	1994-07-31	PRIJEM	\N	94	22788	UROK	\N	\N
3582912	1601	1994-08-31	PRIJEM	\N	100	24221	UROK	\N	\N
3582913	1601	1994-09-30	PRIJEM	\N	92	20126	UROK	\N	\N
3582914	1601	1994-10-31	PRIJEM	\N	97	21557	UROK	\N	\N
3582915	1601	1994-11-30	PRIJEM	\N	94	22984	UROK	\N	\N
3582916	1601	1994-12-31	PRIJEM	\N	96	22924	UROK	\N	\N
3582917	1601	1995-01-31	PRIJEM	\N	64	13611	UROK	\N	\N
3582918	1601	1995-02-28	PRIJEM	\N	64	14048	UROK	\N	\N
3582919	1601	1995-03-31	PRIJEM	\N	63	15445	UROK	\N	\N
3582920	1601	1995-04-30	PRIJEM	\N	77	16855	UROK	\N	\N
3582921	1601	1995-05-31	PRIJEM	\N	75	18263	UROK	\N	\N
3582922	1601	1995-06-30	PRIJEM	\N	80	19117	UROK	\N	\N
3582923	1601	1995-07-31	PRIJEM	\N	84	20534	UROK	\N	\N
3582924	1601	1995-08-31	PRIJEM	\N	99	21966	UROK	\N	\N
3582925	1601	1995-09-30	PRIJEM	\N	104	23404	UROK	\N	\N
3582926	1601	1995-10-31	PRIJEM	\N	101	23157	UROK	\N	\N
3582927	1601	1995-11-30	PRIJEM	\N	99	22430	UROK	\N	\N
3582928	1601	1995-12-31	PRIJEM	\N	95	22809	UROK	\N	\N
3582929	1601	1996-01-31	PRIJEM	\N	70	14732	UROK	\N	\N
3582930	1601	1996-02-29	PRIJEM	\N	65	16131	UROK	\N	\N
3582931	1601	1996-03-31	PRIJEM	\N	71	17536	UROK	\N	\N
3582932	1601	1996-04-30	PRIJEM	\N	77	18946	UROK	\N	\N
3582933	1601	1996-05-31	PRIJEM	\N	83	20362	UROK	\N	\N
3582934	1601	1996-06-30	PRIJEM	\N	89	21784	UROK	\N	\N
3582935	1601	1996-07-31	PRIJEM	\N	98	21936	UROK	\N	\N
3582936	1601	1996-08-31	PRIJEM	\N	92	22402	UROK	\N	\N
3582937	1601	1996-09-30	PRIJEM	\N	105	23040	UROK	\N	\N
3582938	1601	1996-10-31	PRIJEM	\N	102	20635	UROK	\N	\N
3582939	1601	1996-11-30	PRIJEM	\N	90	22058	UROK	\N	\N
3582940	1601	1996-12-31	PRIJEM	\N	94	22585	UROK	\N	\N
3582941	1601	1997-01-31	PRIJEM	\N	76	15845	UROK	\N	\N
3582942	1601	1997-02-28	PRIJEM	\N	69	17247	UROK	\N	\N
3582943	1601	1997-03-31	PRIJEM	\N	84	18665	UROK	\N	\N
3582944	1601	1997-04-30	PRIJEM	\N	81	20079	UROK	\N	\N
3582945	1601	1997-05-31	PRIJEM	\N	87	21499	UROK	\N	\N
3582946	1601	1997-06-30	PRIJEM	\N	101	22934	UROK	\N	\N
3582947	1601	1997-07-31	PRIJEM	\N	99	21967	UROK	\N	\N
3582948	1601	1997-08-31	PRIJEM	\N	91	18992	UROK	\N	\N
3582949	1601	1997-09-30	PRIJEM	\N	91	20416	UROK	\N	\N
3582950	1601	1997-10-31	PRIJEM	\N	97	21846	UROK	\N	\N
3582951	1601	1997-11-30	PRIJEM	\N	102	23281	UROK	\N	\N
3582952	1601	1997-12-31	PRIJEM	\N	99	23513	UROK	\N	\N
3582953	1601	1998-01-31	PRIJEM	\N	86	17632	UROK	\N	\N
3582954	1601	1998-02-28	PRIJEM	\N	76	19042	UROK	\N	\N
3582955	1601	1998-03-31	PRIJEM	\N	91	20465	UROK	\N	\N
3582956	1601	1998-04-30	PRIJEM	\N	88	21886	UROK	\N	\N
3582957	1601	1998-05-31	PRIJEM	\N	94	23313	UROK	\N	\N
3582958	1601	1998-06-30	PRIJEM	\N	99	24746	UROK	\N	\N
3582959	1601	1998-07-31	PRIJEM	\N	86	18645	UROK	\N	\N
3582960	1601	1998-08-31	PRIJEM	\N	80	20058	UROK	\N	\N
3582961	1601	1998-09-30	PRIJEM	\N	88	17799	UROK	\N	\N
3582962	1601	1998-10-31	PRIJEM	\N	76	19209	UROK	\N	\N
3582963	1601	1998-11-30	PRIJEM	\N	91	20633	UROK	\N	\N
3582964	1601	1998-12-31	PRIJEM	\N	86	17972	UROK	\N	\N
3582965	1602	1994-02-28	PRIJEM	\N	49	21636	UROK	\N	\N
3582966	1602	1994-03-31	PRIJEM	\N	96	24128	UROK	\N	\N
3582967	1602	1994-04-30	PRIJEM	\N	104	25429	UROK	\N	\N
3582968	1602	1994-05-31	PRIJEM	\N	107	25432	UROK	\N	\N
3582969	1602	1994-06-30	PRIJEM	\N	105	23683	UROK	\N	\N
3582970	1602	1994-07-31	PRIJEM	\N	106	26685	UROK	\N	\N
3582971	1602	1994-08-31	PRIJEM	\N	109	23211	UROK	\N	\N
3582972	1602	1994-09-30	PRIJEM	\N	102	24449	UROK	\N	\N
3582973	1602	1994-10-31	PRIJEM	\N	108	24114	UROK	\N	\N
3582974	1602	1994-11-30	PRIJEM	\N	103	25113	UROK	\N	\N
3582975	1602	1994-12-31	PRIJEM	\N	104	25014	UROK	\N	\N
3582976	1602	1995-01-31	PRIJEM	\N	91	13901	UROK	\N	\N
3582977	1602	1995-02-28	PRIJEM	\N	57	13255	UROK	\N	\N
3582978	1602	1995-03-31	PRIJEM	\N	62	16213	UROK	\N	\N
3582979	1602	1995-04-30	PRIJEM	\N	71	15980	UROK	\N	\N
3582980	1602	1995-05-31	PRIJEM	\N	73	18950	UROK	\N	\N
3582981	1602	1995-06-30	PRIJEM	\N	56	11302	UROK	\N	\N
3582982	1602	1995-07-31	PRIJEM	\N	54	14252	UROK	\N	\N
3582983	1602	1995-08-31	PRIJEM	\N	66	17215	UROK	\N	\N
3582984	1602	1995-09-30	PRIJEM	\N	79	19390	UROK	\N	\N
3582985	1602	1995-10-31	PRIJEM	\N	88	22374	UROK	\N	\N
3582986	1602	1995-11-30	PRIJEM	\N	99	23870	UROK	\N	\N
3582987	1602	1995-12-31	PRIJEM	\N	103	23899	UROK	\N	\N
3582988	1602	1996-01-31	PRIJEM	\N	88	16013	UROK	\N	\N
3582989	1602	1996-02-29	PRIJEM	\N	73	18983	UROK	\N	\N
3582990	1602	1996-03-31	PRIJEM	\N	86	21965	UROK	\N	\N
3582991	1602	1996-04-30	PRIJEM	\N	98	24959	UROK	\N	\N
3582992	1602	1996-05-31	PRIJEM	\N	110	27966	UROK	\N	\N
3582993	1602	1996-06-30	PRIJEM	\N	87	15539	UROK	\N	\N
3582994	1602	1996-07-31	PRIJEM	\N	68	15143	UROK	\N	\N
3582995	1602	1996-08-31	PRIJEM	\N	69	18109	UROK	\N	\N
3582996	1602	1996-09-30	PRIJEM	\N	75	17721	UROK	\N	\N
3582997	1602	1996-10-31	PRIJEM	\N	71	16048	UROK	\N	\N
3582998	1602	1996-11-30	PRIJEM	\N	73	19017	UROK	\N	\N
3582999	1602	1996-12-31	PRIJEM	\N	89	21112	UROK	\N	\N
3583000	1602	1997-01-31	PRIJEM	\N	74	15103	UROK	\N	\N
3583001	1602	1997-02-28	PRIJEM	\N	68	18068	UROK	\N	\N
3583002	1602	1997-03-31	PRIJEM	\N	81	21045	UROK	\N	\N
3583003	1602	1997-04-30	PRIJEM	\N	94	24035	UROK	\N	\N
3583004	1602	1997-05-31	PRIJEM	\N	104	24476	UROK	\N	\N
3583005	1602	1997-06-30	PRIJEM	\N	101	23923	UROK	\N	\N
3583006	1602	1997-07-31	PRIJEM	\N	106	26924	UROK	\N	\N
3583007	1602	1997-08-31	PRIJEM	\N	116	27537	UROK	\N	\N
3583008	1602	1997-09-30	PRIJEM	\N	119	27592	UROK	\N	\N
3583009	1602	1997-10-31	PRIJEM	\N	121	30609	UROK	\N	\N
3583010	1602	1997-11-30	PRIJEM	\N	132	31937	UROK	\N	\N
3583011	1602	1997-12-31	PRIJEM	\N	136	31120	UROK	\N	\N
3583012	1602	1998-01-31	PRIJEM	\N	110	20956	UROK	\N	\N
3583013	1602	1998-02-28	PRIJEM	\N	91	23463	UROK	\N	\N
3583014	1602	1998-03-31	PRIJEM	\N	103	26463	UROK	\N	\N
3583015	1602	1998-04-30	PRIJEM	\N	115	28914	UROK	\N	\N
3583016	1602	1998-05-31	PRIJEM	\N	126	31936	UROK	\N	\N
3583017	1602	1998-06-30	PRIJEM	\N	131	30513	UROK	\N	\N
3583018	1602	1998-07-31	PRIJEM	\N	132	33541	UROK	\N	\N
3583019	1602	1998-08-31	PRIJEM	\N	145	36583	UROK	\N	\N
3583020	1602	1998-09-30	PRIJEM	\N	152	34851	UROK	\N	\N
3583021	1602	1998-10-31	PRIJEM	\N	146	34533	UROK	\N	\N
3583022	1602	1998-11-30	PRIJEM	\N	145	34674	UROK	\N	\N
3583023	1602	1998-12-31	PRIJEM	\N	137	32418	UROK	\N	\N
3583024	1603	1993-05-31	PRIJEM	\N	24	8535	UROK	\N	\N
3583025	1603	1993-06-30	PRIJEM	\N	90	28041	UROK	\N	\N
3583026	1603	1993-07-31	PRIJEM	\N	133	33884	UROK	\N	\N
3583027	1603	1993-08-31	PRIJEM	\N	154	38649	UROK	\N	\N
3583028	1603	1993-09-30	PRIJEM	\N	158	35118	UROK	\N	\N
3583029	1603	1993-10-31	PRIJEM	\N	121	23169	UROK	\N	\N
3583030	1603	1993-11-30	PRIJEM	\N	102	22322	UROK	\N	\N
3583031	1603	1993-12-31	PRIJEM	\N	99	25436	UROK	\N	\N
3583032	1603	1994-01-31	PRIJEM	\N	117	23803	UROK	\N	\N
3583033	1603	1994-02-28	PRIJEM	\N	98	23373	UROK	\N	\N
3583034	1603	1994-03-31	PRIJEM	\N	94	22260	UROK	\N	\N
3583035	1603	1994-04-30	PRIJEM	\N	97	23429	UROK	\N	\N
3583036	1603	1994-05-31	PRIJEM	\N	82	18544	UROK	\N	\N
3583037	1603	1994-06-30	PRIJEM	\N	94	23775	UROK	\N	\N
3583038	1603	1994-07-31	PRIJEM	\N	104	25051	UROK	\N	\N
3583039	1603	1994-08-31	PRIJEM	\N	111	26834	UROK	\N	\N
3583040	1603	1994-09-30	PRIJEM	\N	110	26416	UROK	\N	\N
3583041	1603	1994-10-31	PRIJEM	\N	108	27876	UROK	\N	\N
3583042	1603	1994-11-30	PRIJEM	\N	107	24496	UROK	\N	\N
3583043	1603	1994-12-31	PRIJEM	\N	106	29399	UROK	\N	\N
3583044	1603	1995-01-31	PRIJEM	\N	114	29926	UROK	\N	\N
3583045	1603	1995-02-28	PRIJEM	\N	113	29889	UROK	\N	\N
3583046	1603	1995-03-31	PRIJEM	\N	122	28661	UROK	\N	\N
3583047	1603	1995-04-30	PRIJEM	\N	100	24512	UROK	\N	\N
3583048	1603	1995-05-31	PRIJEM	\N	108	26170	UROK	\N	\N
3583049	1603	1995-06-30	PRIJEM	\N	118	21804	UROK	\N	\N
3583050	1603	1995-07-31	PRIJEM	\N	90	19144	UROK	\N	\N
3583051	1603	1995-08-31	PRIJEM	\N	75	27290	UROK	\N	\N
3583052	1603	1995-09-30	PRIJEM	\N	96	19157	UROK	\N	\N
3583053	1603	1995-10-31	PRIJEM	\N	90	25296	UROK	\N	\N
3583054	1603	1995-11-30	PRIJEM	\N	101	29147	UROK	\N	\N
3583055	1603	1995-12-31	PRIJEM	\N	121	32744	UROK	\N	\N
3583056	1603	1996-01-31	PRIJEM	\N	136	35730	UROK	\N	\N
3583057	1603	1996-02-29	PRIJEM	\N	149	35829	UROK	\N	\N
3583058	1603	1996-03-31	PRIJEM	\N	138	31538	UROK	\N	\N
3583059	1603	1996-04-30	PRIJEM	\N	117	29745	UROK	\N	\N
3583060	1603	1996-05-31	PRIJEM	\N	128	36023	UROK	\N	\N
3583061	1603	1996-06-30	PRIJEM	\N	158	40337	UROK	\N	\N
3583062	1603	1996-07-31	PRIJEM	\N	151	37238	UROK	\N	\N
3583063	1603	1996-08-31	PRIJEM	\N	144	35633	UROK	\N	\N
3583064	1603	1996-09-30	PRIJEM	\N	130	34814	UROK	\N	\N
3583065	1603	1996-10-31	PRIJEM	\N	148	38412	UROK	\N	\N
3583066	1603	1996-11-30	PRIJEM	\N	172	41634	UROK	\N	\N
3583067	1603	1996-12-31	PRIJEM	\N	178	40048	UROK	\N	\N
3583068	1603	1997-01-31	PRIJEM	\N	163	29721	UROK	\N	\N
3583069	1603	1997-02-28	PRIJEM	\N	123	34915	UROK	\N	\N
3583070	1603	1997-03-31	PRIJEM	\N	119	31904	UROK	\N	\N
3583071	1603	1997-04-30	PRIJEM	\N	119	28473	UROK	\N	\N
3583072	1603	1997-05-31	PRIJEM	\N	120	30243	UROK	\N	\N
3583073	1603	1997-06-30	PRIJEM	\N	110	25589	UROK	\N	\N
3583074	1603	1997-07-31	PRIJEM	\N	111	30450	UROK	\N	\N
3583075	1603	1997-08-31	PRIJEM	\N	138	33938	UROK	\N	\N
3583076	1603	1997-09-30	PRIJEM	\N	141	35530	UROK	\N	\N
3583077	1603	1997-10-31	PRIJEM	\N	135	30855	UROK	\N	\N
3583078	1603	1997-11-30	PRIJEM	\N	131	35355	UROK	\N	\N
3583079	1603	1997-12-31	PRIJEM	\N	143	35574	UROK	\N	\N
3583080	1603	1998-01-31	PRIJEM	\N	131	33935	UROK	\N	\N
3583081	1603	1998-02-28	PRIJEM	\N	144	39929	UROK	\N	\N
3583082	1603	1998-03-31	PRIJEM	\N	162	41341	UROK	\N	\N
3583083	1603	1998-04-30	PRIJEM	\N	157	32948	UROK	\N	\N
3583084	1603	1998-05-31	PRIJEM	\N	150	43008	UROK	\N	\N
3583085	1603	1998-06-30	PRIJEM	\N	162	33226	UROK	\N	\N
3583086	1603	1998-07-31	PRIJEM	\N	132	35228	UROK	\N	\N
3583087	1603	1998-08-31	PRIJEM	\N	138	36817	UROK	\N	\N
3583088	1603	1998-09-30	PRIJEM	\N	168	44935	UROK	\N	\N
3583089	1603	1998-10-31	PRIJEM	\N	197	51383	UROK	\N	\N
3583090	1603	1998-11-30	PRIJEM	\N	220	54693	UROK	\N	\N
3583091	1603	1998-12-31	PRIJEM	\N	244	63753	UROK	\N	\N
3583092	1604	1994-01-31	PRIJEM	\N	54	23789	UROK	\N	\N
3583093	1604	1994-02-28	PRIJEM	\N	123	34747	UROK	\N	\N
3583094	1604	1994-03-31	PRIJEM	\N	149	36731	UROK	\N	\N
3583095	1604	1994-04-30	PRIJEM	\N	156	38422	UROK	\N	\N
3583096	1604	1994-05-31	PRIJEM	\N	163	39720	UROK	\N	\N
3583097	1604	1994-06-30	PRIJEM	\N	139	31558	UROK	\N	\N
3583098	1604	1994-07-31	PRIJEM	\N	133	32423	UROK	\N	\N
3583099	1604	1994-08-31	PRIJEM	\N	152	35788	UROK	\N	\N
3583100	1604	1994-09-30	PRIJEM	\N	172	45893	UROK	\N	\N
3583101	1604	1994-10-31	PRIJEM	\N	193	48038	UROK	\N	\N
3583102	1604	1994-11-30	PRIJEM	\N	178	41248	UROK	\N	\N
3583103	1604	1994-12-31	PRIJEM	\N	192	52180	UROK	\N	\N
3583104	1604	1995-01-31	PRIJEM	\N	174	39466	UROK	\N	\N
3583105	1604	1995-02-28	PRIJEM	\N	156	40235	UROK	\N	\N
3583106	1604	1995-03-31	PRIJEM	\N	170	42937	UROK	\N	\N
3583107	1604	1995-04-30	PRIJEM	\N	178	44547	UROK	\N	\N
3583108	1604	1995-05-31	PRIJEM	\N	187	45806	UROK	\N	\N
3583109	1604	1995-06-30	PRIJEM	\N	209	55914	UROK	\N	\N
3583110	1604	1995-07-31	PRIJEM	\N	215	51262	UROK	\N	\N
3583111	1604	1995-08-31	PRIJEM	\N	203	49297	UROK	\N	\N
3583112	1604	1995-09-30	PRIJEM	\N	194	47223	UROK	\N	\N
3583113	1604	1995-10-31	PRIJEM	\N	198	49754	UROK	\N	\N
3583114	1604	1995-11-30	PRIJEM	\N	197	47882	UROK	\N	\N
3583115	1604	1995-12-31	PRIJEM	\N	209	53790	UROK	\N	\N
3583116	1604	1996-01-31	PRIJEM	\N	172	40635	UROK	\N	\N
3583117	1604	1996-02-29	PRIJEM	\N	166	41293	UROK	\N	\N
3583118	1604	1996-03-31	PRIJEM	\N	143	37608	UROK	\N	\N
3583119	1604	1996-04-30	PRIJEM	\N	160	41301	UROK	\N	\N
3583120	1604	1996-05-31	PRIJEM	\N	158	38391	UROK	\N	\N
3583121	1604	1996-06-30	PRIJEM	\N	114	21944	UROK	\N	\N
3583122	1604	1996-07-31	PRIJEM	\N	107	28163	UROK	\N	\N
3583123	1604	1996-08-31	PRIJEM	\N	124	33120	UROK	\N	\N
3583124	1604	1996-09-30	PRIJEM	\N	142	37195	UROK	\N	\N
3583125	1604	1996-10-31	PRIJEM	\N	155	39922	UROK	\N	\N
3583126	1604	1996-11-30	PRIJEM	\N	153	41707	UROK	\N	\N
3583127	1604	1996-12-31	PRIJEM	\N	195	37862	UROK	\N	\N
3583128	1604	1997-01-31	PRIJEM	\N	133	23727	UROK	\N	\N
3583129	1604	1997-02-28	PRIJEM	\N	120	34479	UROK	\N	\N
3583130	1604	1997-03-31	PRIJEM	\N	132	28044	UROK	\N	\N
3583131	1604	1997-04-30	PRIJEM	\N	135	27471	UROK	\N	\N
3583132	1604	1997-05-31	PRIJEM	\N	135	29138	UROK	\N	\N
3583133	1604	1997-06-30	PRIJEM	\N	118	19735	UROK	\N	\N
3583134	1604	1997-07-31	PRIJEM	\N	103	24570	UROK	\N	\N
3583135	1604	1997-08-31	PRIJEM	\N	108	23410	UROK	\N	\N
3583136	1604	1997-09-30	PRIJEM	\N	116	28759	UROK	\N	\N
3583137	1604	1997-10-31	PRIJEM	\N	135	29126	UROK	\N	\N
3583138	1604	1997-11-30	PRIJEM	\N	139	33997	UROK	\N	\N
3583139	1604	1997-12-31	PRIJEM	\N	170	34046	UROK	\N	\N
3583140	1604	1998-01-31	PRIJEM	\N	127	26006	UROK	\N	\N
3583141	1604	1998-02-28	PRIJEM	\N	118	28136	UROK	\N	\N
3583142	1604	1998-03-31	PRIJEM	\N	101	24029	UROK	\N	\N
3583143	1604	1998-04-30	PRIJEM	\N	115	27776	UROK	\N	\N
3583144	1604	1998-05-31	PRIJEM	\N	123	26092	UROK	\N	\N
3583145	1604	1998-06-30	PRIJEM	\N	135	26886	UROK	\N	\N
3583146	1604	1998-07-31	PRIJEM	\N	126	31245	UROK	\N	\N
3583147	1604	1998-08-31	PRIJEM	\N	131	30988	UROK	\N	\N
3583148	1604	1998-09-30	PRIJEM	\N	133	34313	UROK	\N	\N
3583149	1604	1998-10-31	PRIJEM	\N	161	42306	UROK	\N	\N
3583150	1604	1998-11-30	PRIJEM	\N	185	45324	UROK	\N	\N
3583151	1604	1998-12-31	PRIJEM	\N	224	61848	UROK	\N	\N
3583152	1605	1993-12-31	PRIJEM	\N	89	41478	UROK	\N	\N
3583153	1605	1994-01-31	PRIJEM	\N	219	65916	UROK	\N	\N
3583154	1605	1994-02-28	PRIJEM	\N	279	69553	UROK	\N	\N
3583155	1605	1994-03-31	PRIJEM	\N	304	57049	UROK	\N	\N
3583156	1605	1994-04-30	PRIJEM	\N	309	87280	UROK	\N	\N
3583157	1605	1994-05-31	PRIJEM	\N	295	56907	UROK	\N	\N
3583158	1605	1994-06-30	PRIJEM	\N	224	84484	UROK	\N	\N
3583159	1605	1994-07-31	PRIJEM	\N	367	90718	UROK	\N	\N
3583160	1605	1994-08-31	PRIJEM	\N	294	56044	UROK	\N	\N
3583161	1605	1994-09-30	PRIJEM	\N	334	88549	UROK	\N	\N
3583162	1605	1994-10-31	PRIJEM	\N	370	95361	UROK	\N	\N
3583163	1605	1994-11-30	PRIJEM	\N	357	69253	UROK	\N	\N
3583164	1605	1994-12-31	PRIJEM	\N	282	81963	UROK	\N	\N
3583165	1605	1995-01-31	PRIJEM	\N	217	36338	UROK	\N	\N
3583166	1605	1995-02-28	PRIJEM	\N	266	53575	UROK	\N	\N
3583167	1605	1995-03-31	PRIJEM	\N	188	41095	UROK	\N	\N
3583168	1605	1995-04-30	PRIJEM	\N	308	84609	UROK	\N	\N
3583169	1605	1995-05-31	PRIJEM	\N	339	82919	UROK	\N	\N
3583170	1605	1995-06-30	PRIJEM	\N	270	62278	UROK	\N	\N
3583171	1605	1995-07-31	PRIJEM	\N	311	105594	UROK	\N	\N
3583172	1605	1995-08-31	PRIJEM	\N	309	65436	UROK	\N	\N
3583173	1605	1995-09-30	PRIJEM	\N	290	89690	UROK	\N	\N
3583174	1605	1995-10-31	PRIJEM	\N	447	91687	UROK	\N	\N
3583175	1605	1995-11-30	PRIJEM	\N	318	83591	UROK	\N	\N
3583176	1605	1995-12-31	PRIJEM	\N	333	81647	UROK	\N	\N
3583177	1605	1996-01-31	PRIJEM	\N	392	112389	UROK	\N	\N
3583178	1605	1996-02-29	PRIJEM	\N	261	61961	UROK	\N	\N
3583179	1605	1996-03-31	PRIJEM	\N	291	66144	UROK	\N	\N
3583180	1605	1996-04-30	PRIJEM	\N	181	29013	UROK	\N	\N
3583181	1605	1996-05-31	PRIJEM	\N	234	77014	UROK	\N	\N
3583182	1605	1996-06-30	PRIJEM	\N	317	85521	UROK	\N	\N
3583183	1605	1996-07-31	PRIJEM	\N	219	37072	UROK	\N	\N
3583184	1605	1996-08-31	PRIJEM	\N	196	45851	UROK	\N	\N
3583185	1605	1996-09-30	PRIJEM	\N	223	59366	UROK	\N	\N
3583186	1605	1996-10-31	PRIJEM	\N	244	44089	UROK	\N	\N
3583187	1605	1996-11-30	PRIJEM	\N	209	71420	UROK	\N	\N
3583188	1605	1996-12-31	PRIJEM	\N	199	43435	UROK	\N	\N
3583189	1605	1997-01-31	PRIJEM	\N	136	32394	UROK	\N	\N
3583190	1605	1997-02-28	PRIJEM	\N	203	44219	UROK	\N	\N
3583191	1605	1997-03-31	PRIJEM	\N	271	59195	UROK	\N	\N
3583192	1605	1997-04-30	PRIJEM	\N	499	78655	UROK	\N	\N
3583193	1605	1997-05-31	PRIJEM	\N	301	52789	UROK	\N	\N
3583194	1605	1997-06-30	PRIJEM	\N	232	40609	UROK	\N	\N
3583195	1605	1997-07-31	PRIJEM	\N	217	45885	UROK	\N	\N
3583196	1605	1997-08-31	PRIJEM	\N	225	52659	UROK	\N	\N
3583197	1605	1997-09-30	PRIJEM	\N	195	65534	UROK	\N	\N
3583198	1605	1997-10-31	PRIJEM	\N	332	60621	UROK	\N	\N
3583199	1605	1997-11-30	PRIJEM	\N	425	70901	UROK	\N	\N
3583200	1605	1997-12-31	PRIJEM	\N	430	109624	UROK	\N	\N
3583201	1605	1998-01-31	PRIJEM	\N	385	62216	UROK	\N	\N
3583202	1605	1998-02-28	PRIJEM	\N	252	46688	UROK	\N	\N
3583203	1605	1998-03-31	PRIJEM	\N	273	52744	UROK	\N	\N
3583204	1605	1998-04-30	PRIJEM	\N	337	70582	UROK	\N	\N
3583205	1605	1998-05-31	PRIJEM	\N	214	43094	UROK	\N	\N
3583206	1605	1998-06-30	PRIJEM	\N	265	53729	UROK	\N	\N
3583207	1605	1998-07-31	PRIJEM	\N	184	27851	UROK	\N	\N
3583208	1605	1998-08-31	PRIJEM	\N	142	36482	UROK	\N	\N
3583209	1605	1998-09-30	PRIJEM	\N	248	103916	UROK	\N	\N
3583210	1605	1998-10-31	PRIJEM	\N	357	54799	UROK	\N	\N
3583211	1605	1998-11-30	PRIJEM	\N	360	97024	UROK	\N	\N
3583212	1605	1998-12-31	PRIJEM	\N	378	49710	UROK	\N	\N
3583213	1607	1996-05-31	PRIJEM	\N	36	22330	UROK	\N	\N
3583214	1607	1996-06-30	PRIJEM	\N	123	40194	UROK	\N	\N
3583215	1607	1996-07-31	PRIJEM	\N	174	44362	UROK	\N	\N
3583216	1607	1996-08-31	PRIJEM	\N	192	48548	UROK	\N	\N
3583217	1607	1996-09-30	PRIJEM	\N	199	44583	UROK	\N	\N
3583218	1607	1996-10-31	PRIJEM	\N	188	43293	UROK	\N	\N
3583219	1607	1996-11-30	PRIJEM	\N	204	41118	UROK	\N	\N
3583220	1607	1996-12-31	PRIJEM	\N	202	45409	UROK	\N	\N
3583221	1607	1997-01-31	PRIJEM	\N	186	33736	UROK	\N	\N
3583222	1607	1997-02-28	PRIJEM	\N	146	36404	UROK	\N	\N
3583223	1607	1997-03-31	PRIJEM	\N	159	38485	UROK	\N	\N
3583224	1607	1997-04-30	PRIJEM	\N	163	39269	UROK	\N	\N
3583225	1607	1997-05-31	PRIJEM	\N	163	38554	UROK	\N	\N
3583226	1607	1997-06-30	PRIJEM	\N	191	40694	UROK	\N	\N
3583227	1607	1997-07-31	PRIJEM	\N	210	38505	UROK	\N	\N
3583228	1607	1997-08-31	PRIJEM	\N	148	33474	UROK	\N	\N
3583229	1607	1997-09-30	PRIJEM	\N	128	28524	UROK	\N	\N
3583230	1607	1997-10-31	PRIJEM	\N	120	28366	UROK	\N	\N
3583231	1607	1997-11-30	PRIJEM	\N	126	30013	UROK	\N	\N
3583232	1607	1997-12-31	PRIJEM	\N	153	31134	UROK	\N	\N
3583233	1607	1998-01-31	PRIJEM	\N	120	23076	UROK	\N	\N
3583234	1607	1998-02-28	PRIJEM	\N	96	20994	UROK	\N	\N
3583235	1607	1998-03-31	PRIJEM	\N	89	20404	UROK	\N	\N
3583236	1607	1998-04-30	PRIJEM	\N	103	25028	UROK	\N	\N
3583237	1607	1998-05-31	PRIJEM	\N	98	19307	UROK	\N	\N
3583238	1607	1998-06-30	PRIJEM	\N	104	25079	UROK	\N	\N
3583239	1607	1998-07-31	PRIJEM	\N	110	22470	UROK	\N	\N
3583240	1607	1998-08-31	PRIJEM	\N	92	17604	UROK	\N	\N
3583241	1607	1998-09-30	PRIJEM	\N	94	21420	UROK	\N	\N
3583242	1607	1998-10-31	PRIJEM	\N	110	25451	UROK	\N	\N
3583243	1607	1998-11-30	PRIJEM	\N	104	22717	UROK	\N	\N
3583244	1607	1998-12-31	PRIJEM	\N	102	21947	UROK	\N	\N
3583245	1608	1997-10-31	PRIJEM	\N	14	5752	UROK	\N	\N
3583246	1608	1997-11-30	PRIJEM	\N	24	10914	UROK	\N	\N
3583247	1608	1997-12-31	PRIJEM	\N	24	16076	UROK	\N	\N
3583248	1608	1998-01-31	PRIJEM	\N	24	21238	UROK	\N	\N
3583249	1608	1998-02-28	PRIJEM	\N	27	26403	UROK	\N	\N
3583250	1608	1998-03-31	PRIJEM	\N	110	27211	UROK	\N	\N
3583251	1608	1998-04-30	PRIJEM	\N	107	22876	UROK	\N	\N
3583252	1608	1998-05-31	PRIJEM	\N	88	17882	UROK	\N	\N
3583253	1608	1998-06-30	PRIJEM	\N	69	15589	UROK	\N	\N
3583254	1608	1998-07-31	PRIJEM	\N	66	14794	UROK	\N	\N
3583255	1608	1998-08-31	PRIJEM	\N	65	16078	UROK	\N	\N
3583256	1608	1998-09-30	PRIJEM	\N	71	17847	UROK	\N	\N
3583257	1608	1998-10-31	PRIJEM	\N	78	19624	UROK	\N	\N
3583258	1608	1998-11-30	PRIJEM	\N	86	21408	UROK	\N	\N
3583259	1608	1998-12-31	PRIJEM	\N	88	21845	UROK	\N	\N
3583260	1609	1996-07-31	PRIJEM	\N	11	3937	UROK	\N	\N
3583261	1609	1996-08-31	PRIJEM	\N	16	6979	UROK	\N	\N
3583262	1609	1996-09-30	PRIJEM	\N	16	10022	UROK	\N	\N
3583263	1609	1996-10-31	PRIJEM	\N	16	13064	UROK	\N	\N
3583264	1609	1996-11-30	PRIJEM	\N	18	16108	UROK	\N	\N
3583265	1609	1996-12-31	PRIJEM	\N	63	13655	UROK	\N	\N
3583266	1609	1997-01-31	PRIJEM	\N	53	12843	UROK	\N	\N
3583267	1609	1997-02-28	PRIJEM	\N	56	13894	UROK	\N	\N
3583268	1609	1997-03-31	PRIJEM	\N	61	14949	UROK	\N	\N
3583269	1609	1997-04-30	PRIJEM	\N	65	16008	UROK	\N	\N
3583270	1609	1997-05-31	PRIJEM	\N	70	17072	UROK	\N	\N
3583271	1609	1997-06-30	PRIJEM	\N	68	16364	UROK	\N	\N
3583272	1609	1997-07-31	PRIJEM	\N	71	17429	UROK	\N	\N
3583273	1609	1997-08-31	PRIJEM	\N	75	18499	UROK	\N	\N
3583274	1609	1997-09-30	PRIJEM	\N	79	19033	UROK	\N	\N
3583275	1609	1997-10-31	PRIJEM	\N	82	20109	UROK	\N	\N
3583276	1609	1997-11-30	PRIJEM	\N	87	21190	UROK	\N	\N
3583277	1609	1997-12-31	PRIJEM	\N	87	20381	UROK	\N	\N
3583278	1609	1998-01-31	PRIJEM	\N	82	17977	UROK	\N	\N
3583279	1609	1998-02-28	PRIJEM	\N	77	18688	UROK	\N	\N
3583280	1609	1998-03-31	PRIJEM	\N	81	19763	UROK	\N	\N
3583281	1609	1998-04-30	PRIJEM	\N	80	19697	UROK	\N	\N
3583282	1609	1998-05-31	PRIJEM	\N	84	20415	UROK	\N	\N
3583283	1609	1998-06-30	PRIJEM	\N	86	21106	UROK	\N	\N
3583284	1609	1998-07-31	PRIJEM	\N	91	22191	UROK	\N	\N
3583285	1609	1998-08-31	PRIJEM	\N	94	22579	UROK	\N	\N
3583286	1609	1998-09-30	PRIJEM	\N	97	23670	UROK	\N	\N
3583287	1609	1998-10-31	PRIJEM	\N	101	24766	UROK	\N	\N
3583288	1609	1998-11-30	PRIJEM	\N	106	25866	UROK	\N	\N
3583289	1609	1998-12-31	PRIJEM	\N	109	25379	UROK	\N	\N
3583290	1610	1993-06-30	PRIJEM	\N	59	28318	UROK	\N	\N
3583291	1610	1993-07-31	PRIJEM	\N	140	38531	UROK	\N	\N
3583292	1610	1993-08-31	PRIJEM	\N	173	44076	UROK	\N	\N
3583293	1610	1993-09-30	PRIJEM	\N	190	47140	UROK	\N	\N
3583294	1610	1993-10-31	PRIJEM	\N	198	45253	UROK	\N	\N
3583295	1610	1993-11-30	PRIJEM	\N	185	41838	UROK	\N	\N
3583296	1610	1993-12-31	PRIJEM	\N	191	45816	UROK	\N	\N
3583297	1610	1994-01-31	PRIJEM	\N	176	33712	UROK	\N	\N
3583298	1610	1994-02-28	PRIJEM	\N	153	38666	UROK	\N	\N
3583299	1610	1994-03-31	PRIJEM	\N	174	41940	UROK	\N	\N
3583300	1610	1994-04-30	PRIJEM	\N	181	40522	UROK	\N	\N
3583301	1610	1994-05-31	PRIJEM	\N	174	40616	UROK	\N	\N
3583302	1610	1994-06-30	PRIJEM	\N	182	18185	UROK	\N	\N
3583303	1610	1994-07-31	PRIJEM	\N	131	31816	UROK	\N	\N
3583304	1610	1994-08-31	PRIJEM	\N	148	36264	UROK	\N	\N
3583305	1610	1994-09-30	PRIJEM	\N	198	52363	UROK	\N	\N
3583306	1610	1994-10-31	PRIJEM	\N	234	57797	UROK	\N	\N
3583307	1610	1994-11-30	PRIJEM	\N	250	59588	UROK	\N	\N
3583308	1610	1994-12-31	PRIJEM	\N	297	77472	UROK	\N	\N
3583309	1610	1995-01-31	PRIJEM	\N	293	66306	UROK	\N	\N
3583310	1610	1995-02-28	PRIJEM	\N	273	65059	UROK	\N	\N
3583311	1610	1995-03-31	PRIJEM	\N	270	65829	UROK	\N	\N
3583312	1610	1995-04-30	PRIJEM	\N	296	73426	UROK	\N	\N
3583313	1610	1995-05-31	PRIJEM	\N	293	70279	UROK	\N	\N
3583314	1610	1995-06-30	PRIJEM	\N	298	61424	UROK	\N	\N
3583315	1610	1995-07-31	PRIJEM	\N	285	71609	UROK	\N	\N
3583316	1610	1995-08-31	PRIJEM	\N	319	79029	UROK	\N	\N
3583317	1610	1995-09-30	PRIJEM	\N	339	82668	UROK	\N	\N
3583318	1610	1995-10-31	PRIJEM	\N	340	81508	UROK	\N	\N
3583319	1610	1995-11-30	PRIJEM	\N	343	82951	UROK	\N	\N
3583320	1610	1995-12-31	PRIJEM	\N	379	92717	UROK	\N	\N
3583321	1610	1996-01-31	PRIJEM	\N	314	70892	UROK	\N	\N
3583322	1610	1996-02-29	PRIJEM	\N	328	82620	UROK	\N	\N
3583323	1610	1996-03-31	PRIJEM	\N	337	80097	UROK	\N	\N
3583324	1610	1996-04-30	PRIJEM	\N	346	83443	UROK	\N	\N
3583325	1610	1996-05-31	PRIJEM	\N	349	85292	UROK	\N	\N
3583326	1610	1996-06-30	PRIJEM	\N	351	75149	UROK	\N	\N
3583327	1610	1996-07-31	PRIJEM	\N	335	70284	UROK	\N	\N
3583328	1610	1996-08-31	PRIJEM	\N	336	73820	UROK	\N	\N
3583329	1610	1996-09-30	PRIJEM	\N	349	76769	UROK	\N	\N
3583330	1610	1996-10-31	PRIJEM	\N	359	78849	UROK	\N	\N
3583331	1610	1996-11-30	PRIJEM	\N	368	83318	UROK	\N	\N
3583332	1610	1996-12-31	PRIJEM	\N	323	69108	UROK	\N	\N
3583333	1610	1997-01-31	PRIJEM	\N	297	69545	UROK	\N	\N
3583334	1610	1997-02-28	PRIJEM	\N	331	81977	UROK	\N	\N
3583335	1610	1997-03-31	PRIJEM	\N	379	85256	UROK	\N	\N
3583336	1610	1997-04-30	PRIJEM	\N	389	87966	UROK	\N	\N
3583337	1610	1997-05-31	PRIJEM	\N	403	93469	UROK	\N	\N
3583338	1610	1997-06-30	PRIJEM	\N	251	60607	UROK	\N	\N
3583339	1610	1997-07-31	PRIJEM	\N	299	83227	UROK	\N	\N
3583340	1610	1997-08-31	PRIJEM	\N	387	96214	UROK	\N	\N
3583341	1610	1997-09-30	PRIJEM	\N	290	67645	UROK	\N	\N
3583342	1610	1997-10-31	PRIJEM	\N	328	89333	UROK	\N	\N
3583343	1610	1997-11-30	PRIJEM	\N	395	99649	UROK	\N	\N
3583344	1610	1997-12-31	PRIJEM	\N	355	82770	UROK	\N	\N
3583345	1610	1998-01-31	PRIJEM	\N	365	89516	UROK	\N	\N
3583346	1610	1998-02-28	PRIJEM	\N	407	101723	UROK	\N	\N
3583347	1610	1998-03-31	PRIJEM	\N	415	104439	UROK	\N	\N
3583348	1610	1998-04-30	PRIJEM	\N	343	82982	UROK	\N	\N
3583349	1610	1998-05-31	PRIJEM	\N	393	103676	UROK	\N	\N
3583350	1610	1998-06-30	PRIJEM	\N	368	86110	UROK	\N	\N
3583351	1610	1998-07-31	PRIJEM	\N	413	111024	UROK	\N	\N
3583352	1610	1998-08-31	PRIJEM	\N	440	108724	UROK	\N	\N
3583353	1610	1998-09-30	PRIJEM	\N	427	105251	UROK	\N	\N
3583354	1610	1998-10-31	PRIJEM	\N	373	91425	UROK	\N	\N
3583355	1610	1998-11-30	PRIJEM	\N	426	109571	UROK	\N	\N
3583356	1610	1998-12-31	PRIJEM	\N	418	101337	UROK	\N	\N
3583357	1611	1996-03-31	PRIJEM	\N	51	19063	UROK	\N	\N
3583358	1611	1996-04-30	PRIJEM	\N	104	28079	UROK	\N	\N
3583359	1611	1996-05-31	PRIJEM	\N	119	28910	UROK	\N	\N
3583360	1611	1996-06-30	PRIJEM	\N	132	33010	UROK	\N	\N
3583361	1611	1996-07-31	PRIJEM	\N	133	30952	UROK	\N	\N
3583362	1611	1996-08-31	PRIJEM	\N	145	35889	UROK	\N	\N
3583363	1611	1996-09-30	PRIJEM	\N	160	39440	UROK	\N	\N
3583364	1611	1996-10-31	PRIJEM	\N	166	40198	UROK	\N	\N
3583365	1611	1996-11-30	PRIJEM	\N	179	44368	UROK	\N	\N
3583366	1611	1996-12-31	PRIJEM	\N	194	42410	UROK	\N	\N
3583367	1611	1997-01-31	PRIJEM	\N	169	41370	UROK	\N	\N
3583368	1611	1997-02-28	PRIJEM	\N	162	36323	UROK	\N	\N
3583369	1611	1997-03-31	PRIJEM	\N	183	46197	UROK	\N	\N
3583370	1611	1997-04-30	PRIJEM	\N	189	42878	UROK	\N	\N
3583371	1611	1997-05-31	PRIJEM	\N	195	48464	UROK	\N	\N
3583372	1611	1997-06-30	PRIJEM	\N	210	29021	UROK	\N	\N
3583373	1611	1997-07-31	PRIJEM	\N	146	36358	UROK	\N	\N
3583374	1611	1997-08-31	PRIJEM	\N	155	37304	UROK	\N	\N
3583375	1611	1997-09-30	PRIJEM	\N	183	46078	UROK	\N	\N
3583376	1611	1997-10-31	PRIJEM	\N	199	48068	UROK	\N	\N
3583377	1611	1997-11-30	PRIJEM	\N	204	50364	UROK	\N	\N
3583378	1611	1997-12-31	PRIJEM	\N	233	56744	UROK	\N	\N
3583379	1611	1998-01-31	PRIJEM	\N	232	53867	UROK	\N	\N
3583380	1611	1998-02-28	PRIJEM	\N	233	55491	UROK	\N	\N
3583381	1611	1998-03-31	PRIJEM	\N	261	65044	UROK	\N	\N
3583382	1611	1998-04-30	PRIJEM	\N	276	67911	UROK	\N	\N
3583383	1611	1998-05-31	PRIJEM	\N	286	67988	UROK	\N	\N
3583384	1611	1998-06-30	PRIJEM	\N	269	59404	UROK	\N	\N
3583385	1611	1998-07-31	PRIJEM	\N	245	59040	UROK	\N	\N
3583386	1611	1998-08-31	PRIJEM	\N	267	59699	UROK	\N	\N
3583387	1611	1998-09-30	PRIJEM	\N	269	59059	UROK	\N	\N
3583388	1611	1998-10-31	PRIJEM	\N	265	58116	UROK	\N	\N
3583389	1611	1998-11-30	PRIJEM	\N	260	54667	UROK	\N	\N
3583390	1611	1998-12-31	PRIJEM	\N	255	61869	UROK	\N	\N
3583391	1613	1996-01-31	PRIJEM	\N	68	24004	UROK	\N	\N
3583392	1613	1996-02-29	PRIJEM	\N	89	19224	UROK	\N	\N
3583393	1613	1996-03-31	PRIJEM	\N	68	14909	UROK	\N	\N
3583394	1613	1996-04-30	PRIJEM	\N	60	13785	UROK	\N	\N
3583395	1613	1996-05-31	PRIJEM	\N	52	11753	UROK	\N	\N
3583396	1613	1996-06-30	PRIJEM	\N	55	13425	UROK	\N	\N
3583397	1613	1996-07-31	PRIJEM	\N	52	11794	UROK	\N	\N
3583398	1613	1996-08-31	PRIJEM	\N	38	7647	UROK	\N	\N
3583399	1613	1996-09-30	PRIJEM	\N	32	7096	UROK	\N	\N
3583400	1613	1996-10-31	PRIJEM	\N	33	7345	UROK	\N	\N
3583401	1613	1996-11-30	PRIJEM	\N	38	10099	UROK	\N	\N
3583402	1613	1996-12-31	PRIJEM	\N	48	12314	UROK	\N	\N
3583403	1613	1997-01-31	PRIJEM	\N	54	12125	UROK	\N	\N
3583404	1613	1997-02-28	PRIJEM	\N	57	14899	UROK	\N	\N
3583405	1613	1997-03-31	PRIJEM	\N	38	7153	UROK	\N	\N
3583406	1613	1997-04-30	PRIJEM	\N	37	9906	UROK	\N	\N
3583407	1613	1997-05-31	PRIJEM	\N	48	12671	UROK	\N	\N
3583408	1613	1997-06-30	PRIJEM	\N	55	12392	UROK	\N	\N
3583409	1613	1997-07-31	PRIJEM	\N	59	15168	UROK	\N	\N
3583410	1613	1997-08-31	PRIJEM	\N	70	17954	UROK	\N	\N
3583411	1613	1997-09-30	PRIJEM	\N	82	20752	UROK	\N	\N
3583412	1613	1997-10-31	PRIJEM	\N	94	23562	UROK	\N	\N
3583413	1613	1997-11-30	PRIJEM	\N	105	26384	UROK	\N	\N
3583414	1613	1997-12-31	PRIJEM	\N	115	26215	UROK	\N	\N
3583415	1613	1998-01-31	PRIJEM	\N	95	14967	UROK	\N	\N
3583416	1613	1998-02-28	PRIJEM	\N	69	17752	UROK	\N	\N
3583417	1613	1998-03-31	PRIJEM	\N	81	20549	UROK	\N	\N
3583418	1613	1998-04-30	PRIJEM	\N	87	20073	UROK	\N	\N
3583419	1613	1998-05-31	PRIJEM	\N	91	22880	UROK	\N	\N
3583420	1613	1998-06-30	PRIJEM	\N	90	17896	UROK	\N	\N
3583421	1613	1998-07-31	PRIJEM	\N	81	20693	UROK	\N	\N
3583422	1613	1998-08-31	PRIJEM	\N	93	23503	UROK	\N	\N
3583423	1613	1998-09-30	PRIJEM	\N	105	26324	UROK	\N	\N
3583424	1613	1998-10-31	PRIJEM	\N	117	29157	UROK	\N	\N
3583425	1613	1998-11-30	PRIJEM	\N	128	32001	UROK	\N	\N
3583426	1613	1998-12-31	PRIJEM	\N	143	34210	UROK	\N	\N
3583427	1614	1996-05-31	PRIJEM	\N	82	25586	UROK	\N	\N
3583428	1614	1996-06-30	PRIJEM	\N	231	64623	UROK	\N	\N
3583429	1614	1996-07-31	PRIJEM	\N	290	71317	UROK	\N	\N
3583430	1614	1996-08-31	PRIJEM	\N	319	78540	UROK	\N	\N
3583431	1614	1996-09-30	PRIJEM	\N	247	47764	UROK	\N	\N
3583432	1614	1996-10-31	PRIJEM	\N	231	57321	UROK	\N	\N
3583433	1614	1996-11-30	PRIJEM	\N	254	61502	UROK	\N	\N
3583434	1614	1996-12-31	PRIJEM	\N	246	49534	UROK	\N	\N
3583435	1614	1997-01-31	PRIJEM	\N	176	37636	UROK	\N	\N
3583436	1614	1997-02-28	PRIJEM	\N	223	58285	UROK	\N	\N
3583437	1614	1997-03-31	PRIJEM	\N	234	40441	UROK	\N	\N
3583438	1614	1997-04-30	PRIJEM	\N	232	59899	UROK	\N	\N
3583439	1614	1997-05-31	PRIJEM	\N	220	48604	UROK	\N	\N
3583440	1614	1997-06-30	PRIJEM	\N	287	64819	UROK	\N	\N
3583441	1614	1997-07-31	PRIJEM	\N	291	71637	UROK	\N	\N
3583442	1614	1997-08-31	PRIJEM	\N	233	35751	UROK	\N	\N
3583443	1614	1997-09-30	PRIJEM	\N	199	46276	UROK	\N	\N
3583444	1614	1997-10-31	PRIJEM	\N	218	49916	UROK	\N	\N
3583445	1614	1997-11-30	PRIJEM	\N	224	44128	UROK	\N	\N
3583446	1614	1997-12-31	PRIJEM	\N	251	51398	UROK	\N	\N
3583447	1614	1998-01-31	PRIJEM	\N	205	39714	UROK	\N	\N
3583448	1614	1998-02-28	PRIJEM	\N	197	49137	UROK	\N	\N
3583449	1614	1998-03-31	PRIJEM	\N	255	62519	UROK	\N	\N
3583450	1614	1998-04-30	PRIJEM	\N	296	66841	UROK	\N	\N
3583451	1614	1998-05-31	PRIJEM	\N	298	60366	UROK	\N	\N
3583452	1614	1998-06-30	PRIJEM	\N	293	66588	UROK	\N	\N
3583453	1614	1998-07-31	PRIJEM	\N	275	62671	UROK	\N	\N
3583454	1614	1998-08-31	PRIJEM	\N	291	67689	UROK	\N	\N
3583455	1614	1998-09-30	PRIJEM	\N	317	66528	UROK	\N	\N
3583456	1614	1998-10-31	PRIJEM	\N	316	72570	UROK	\N	\N
3583457	1614	1998-11-30	PRIJEM	\N	337	77033	UROK	\N	\N
3583458	1614	1998-12-31	PRIJEM	\N	407	104069	UROK	\N	\N
3583459	1615	1998-02-28	PRIJEM	\N	41	22845	UROK	\N	\N
3583460	1615	1998-03-31	PRIJEM	\N	96	20262	UROK	\N	\N
3583461	1615	1998-04-30	PRIJEM	\N	86	19935	UROK	\N	\N
3583462	1615	1998-05-31	PRIJEM	\N	70	13073	UROK	\N	\N
3583463	1615	1998-06-30	PRIJEM	\N	60	15120	UROK	\N	\N
3583464	1615	1998-07-31	PRIJEM	\N	65	14672	UROK	\N	\N
3583465	1615	1998-08-31	PRIJEM	\N	63	14742	UROK	\N	\N
3583466	1615	1998-09-30	PRIJEM	\N	59	13488	UROK	\N	\N
3583467	1615	1998-10-31	PRIJEM	\N	61	15236	UROK	\N	\N
3583468	1615	1998-11-30	PRIJEM	\N	55	11679	UROK	\N	\N
3583469	1615	1998-12-31	PRIJEM	\N	51	12237	UROK	\N	\N
3583470	1616	1997-02-28	PRIJEM	\N	15	5079	UROK	\N	\N
3583471	1616	1997-03-31	PRIJEM	\N	51	14894	UROK	\N	\N
3583472	1616	1997-04-30	PRIJEM	\N	95	25854	UROK	\N	\N
3583473	1616	1997-05-31	PRIJEM	\N	112	27430	UROK	\N	\N
3583474	1616	1997-06-30	PRIJEM	\N	83	15874	UROK	\N	\N
3583475	1616	1997-07-31	PRIJEM	\N	76	18198	UROK	\N	\N
3583476	1616	1997-08-31	PRIJEM	\N	77	18562	UROK	\N	\N
3583477	1616	1997-09-30	PRIJEM	\N	86	20956	UROK	\N	\N
3583478	1616	1997-10-31	PRIJEM	\N	93	22456	UROK	\N	\N
3583479	1616	1997-11-30	PRIJEM	\N	93	21656	UROK	\N	\N
3583480	1616	1997-12-31	PRIJEM	\N	89	20522	UROK	\N	\N
3583481	1616	1998-01-31	PRIJEM	\N	68	13448	UROK	\N	\N
3583482	1616	1998-02-28	PRIJEM	\N	60	14215	UROK	\N	\N
3583483	1616	1998-03-31	PRIJEM	\N	63	14785	UROK	\N	\N
3583484	1616	1998-04-30	PRIJEM	\N	66	15618	UROK	\N	\N
3583485	1616	1998-05-31	PRIJEM	\N	68	16994	UROK	\N	\N
3583486	1616	1998-06-30	PRIJEM	\N	68	15569	UROK	\N	\N
3583487	1616	1998-07-31	PRIJEM	\N	77	19154	UROK	\N	\N
3583488	1616	1998-08-31	PRIJEM	\N	90	22151	UROK	\N	\N
3583489	1616	1998-09-30	PRIJEM	\N	93	22952	UROK	\N	\N
3583490	1616	1998-10-31	PRIJEM	\N	111	27070	UROK	\N	\N
3583491	1616	1998-11-30	PRIJEM	\N	113	26281	UROK	\N	\N
3583492	1616	1998-12-31	PRIJEM	\N	115	27523	UROK	\N	\N
3583493	1617	1993-06-30	PRIJEM	\N	24	6677	UROK	\N	\N
3583494	1617	1993-07-31	PRIJEM	\N	28	12658	UROK	\N	\N
3583495	1617	1993-08-31	PRIJEM	\N	28	18639	UROK	\N	\N
3583496	1617	1993-09-30	PRIJEM	\N	28	24619	UROK	\N	\N
3583497	1617	1993-10-31	PRIJEM	\N	100	28136	UROK	\N	\N
3583498	1617	1993-11-30	PRIJEM	\N	126	29904	UROK	\N	\N
3583499	1617	1993-12-31	PRIJEM	\N	136	30942	UROK	\N	\N
3583500	1617	1994-01-31	PRIJEM	\N	117	23441	UROK	\N	\N
3583501	1617	1994-02-28	PRIJEM	\N	106	23550	UROK	\N	\N
3583502	1617	1994-03-31	PRIJEM	\N	111	25343	UROK	\N	\N
3583503	1617	1994-04-30	PRIJEM	\N	119	28464	UROK	\N	\N
3583504	1617	1994-05-31	PRIJEM	\N	132	31198	UROK	\N	\N
3583505	1617	1994-06-30	PRIJEM	\N	118	23819	UROK	\N	\N
3583506	1617	1994-07-31	PRIJEM	\N	101	23083	UROK	\N	\N
3583507	1617	1994-08-31	PRIJEM	\N	107	24092	UROK	\N	\N
3583508	1617	1994-09-30	PRIJEM	\N	112	26106	UROK	\N	\N
3583509	1617	1994-10-31	PRIJEM	\N	121	28529	UROK	\N	\N
3583510	1617	1994-11-30	PRIJEM	\N	130	30962	UROK	\N	\N
3583511	1617	1994-12-31	PRIJEM	\N	137	30002	UROK	\N	\N
3583512	1617	1995-01-31	PRIJEM	\N	125	21548	UROK	\N	\N
3583513	1617	1995-02-28	PRIJEM	\N	103	26054	UROK	\N	\N
3583514	1617	1995-03-31	PRIJEM	\N	121	29277	UROK	\N	\N
3583515	1617	1995-04-30	PRIJEM	\N	128	27207	UROK	\N	\N
3583516	1617	1995-05-31	PRIJEM	\N	118	24727	UROK	\N	\N
3583517	1617	1995-06-30	PRIJEM	\N	104	17344	UROK	\N	\N
3583518	1617	1995-07-31	PRIJEM	\N	83	19929	UROK	\N	\N
3583519	1617	1995-08-31	PRIJEM	\N	86	19558	UROK	\N	\N
3583520	1617	1995-09-30	PRIJEM	\N	92	22052	UROK	\N	\N
3583521	1617	1995-10-31	PRIJEM	\N	98	20972	UROK	\N	\N
3583522	1617	1995-11-30	PRIJEM	\N	96	22570	UROK	\N	\N
3583523	1617	1995-12-31	PRIJEM	\N	102	24985	UROK	\N	\N
3583524	1617	1996-01-31	PRIJEM	\N	85	15752	UROK	\N	\N
3583525	1617	1996-02-29	PRIJEM	\N	78	16953	UROK	\N	\N
3583526	1617	1996-03-31	PRIJEM	\N	71	17107	UROK	\N	\N
3583527	1617	1996-04-30	PRIJEM	\N	81	19990	UROK	\N	\N
3583528	1617	1996-05-31	PRIJEM	\N	84	18476	UROK	\N	\N
3583529	1617	1996-06-30	PRIJEM	\N	81	18430	UROK	\N	\N
3583530	1617	1996-07-31	PRIJEM	\N	89	22521	UROK	\N	\N
3583531	1617	1996-08-31	PRIJEM	\N	95	22018	UROK	\N	\N
3583532	1617	1996-09-30	PRIJEM	\N	97	23418	UROK	\N	\N
3583533	1617	1996-10-31	PRIJEM	\N	95	22015	UROK	\N	\N
3583534	1617	1996-11-30	PRIJEM	\N	91	21409	UROK	\N	\N
3583535	1617	1996-12-31	PRIJEM	\N	77	16288	UROK	\N	\N
3583536	1617	1997-01-31	PRIJEM	\N	74	15304	UROK	\N	\N
3583537	1617	1997-02-28	PRIJEM	\N	63	15169	UROK	\N	\N
3583538	1617	1997-03-31	PRIJEM	\N	63	15035	UROK	\N	\N
3583539	1617	1997-04-30	PRIJEM	\N	59	13797	UROK	\N	\N
3583540	1617	1997-05-31	PRIJEM	\N	57	13556	UROK	\N	\N
3583541	1617	1997-06-30	PRIJEM	\N	65	16743	UROK	\N	\N
3583542	1617	1997-07-31	PRIJEM	\N	60	13605	UROK	\N	\N
3583543	1617	1997-08-31	PRIJEM	\N	55	13563	UROK	\N	\N
3583544	1617	1997-09-30	PRIJEM	\N	69	18034	UROK	\N	\N
3583545	1617	1997-10-31	PRIJEM	\N	56	12792	UROK	\N	\N
3583546	1617	1997-11-30	PRIJEM	\N	65	17259	UROK	\N	\N
3583547	1617	1997-12-31	PRIJEM	\N	55	13017	UROK	\N	\N
3583548	1617	1998-01-31	PRIJEM	\N	60	14680	UROK	\N	\N
3583549	1617	1998-02-28	PRIJEM	\N	50	12132	UROK	\N	\N
3583550	1617	1998-03-31	PRIJEM	\N	62	16597	UROK	\N	\N
3583551	1617	1998-04-30	PRIJEM	\N	49	11448	UROK	\N	\N
3583552	1617	1998-05-31	PRIJEM	\N	59	15910	UROK	\N	\N
3583553	1617	1998-06-30	PRIJEM	\N	78	20390	UROK	\N	\N
3583554	1617	1998-07-31	PRIJEM	\N	56	12948	UROK	\N	\N
3583555	1617	1998-08-31	PRIJEM	\N	65	17416	UROK	\N	\N
3583556	1617	1998-09-30	PRIJEM	\N	84	21902	UROK	\N	\N
3583557	1617	1998-10-31	PRIJEM	\N	102	26407	UROK	\N	\N
3583558	1617	1998-11-30	PRIJEM	\N	121	30930	UROK	\N	\N
3583559	1617	1998-12-31	PRIJEM	\N	80	18062	UROK	\N	\N
3583560	1618	1997-01-31	PRIJEM	\N	35	17589	UROK	\N	\N
3583561	1618	1997-02-28	PRIJEM	\N	88	25131	UROK	\N	\N
3583562	1618	1997-03-31	PRIJEM	\N	106	26191	UROK	\N	\N
3583563	1618	1997-04-30	PRIJEM	\N	115	29360	UROK	\N	\N
3583564	1618	1997-05-31	PRIJEM	\N	123	29517	UROK	\N	\N
3583565	1618	1997-06-30	PRIJEM	\N	107	24779	UROK	\N	\N
3583566	1618	1997-07-31	PRIJEM	\N	94	21937	UROK	\N	\N
3583567	1618	1997-08-31	PRIJEM	\N	98	24910	UROK	\N	\N
3583568	1618	1997-09-30	PRIJEM	\N	99	22984	UROK	\N	\N
3583569	1618	1997-10-31	PRIJEM	\N	90	21909	UROK	\N	\N
3583570	1618	1997-11-30	PRIJEM	\N	94	23177	UROK	\N	\N
3583571	1618	1997-12-31	PRIJEM	\N	98	24600	UROK	\N	\N
3583572	1618	1998-01-31	PRIJEM	\N	106	23670	UROK	\N	\N
3583573	1618	1998-02-28	PRIJEM	\N	111	28755	UROK	\N	\N
3583574	1618	1998-03-31	PRIJEM	\N	115	26844	UROK	\N	\N
3583575	1618	1998-04-30	PRIJEM	\N	107	24936	UROK	\N	\N
3583576	1618	1998-05-31	PRIJEM	\N	107	22817	UROK	\N	\N
3583577	1618	1998-06-30	PRIJEM	\N	90	16871	UROK	\N	\N
3583578	1618	1998-07-31	PRIJEM	\N	88	23983	UROK	\N	\N
3583579	1618	1998-08-31	PRIJEM	\N	93	22760	UROK	\N	\N
3583580	1618	1998-09-30	PRIJEM	\N	112	29046	UROK	\N	\N
3583581	1618	1998-10-31	PRIJEM	\N	124	30895	UROK	\N	\N
3583582	1618	1998-11-30	PRIJEM	\N	152	38921	UROK	\N	\N
3583583	1618	1998-12-31	PRIJEM	\N	178	44714	UROK	\N	\N
3583584	1619	1997-03-31	PRIJEM	\N	11	14141	UROK	\N	\N
3583585	1619	1997-04-30	PRIJEM	\N	64	20235	UROK	\N	\N
3583586	1619	1997-05-31	PRIJEM	\N	87	23853	UROK	\N	\N
3583587	1619	1997-06-30	PRIJEM	\N	103	27500	UROK	\N	\N
3583588	1619	1997-07-31	PRIJEM	\N	113	26644	UROK	\N	\N
3583589	1619	1997-08-31	PRIJEM	\N	111	25149	UROK	\N	\N
3583590	1619	1997-09-30	PRIJEM	\N	113	30157	UROK	\N	\N
3583591	1619	1997-10-31	PRIJEM	\N	129	31582	UROK	\N	\N
3583592	1619	1997-11-30	PRIJEM	\N	134	28851	UROK	\N	\N
3583593	1619	1997-12-31	PRIJEM	\N	121	31243	UROK	\N	\N
3583594	1619	1998-01-31	PRIJEM	\N	119	24398	UROK	\N	\N
3583595	1619	1998-02-28	PRIJEM	\N	111	32424	UROK	\N	\N
3583596	1619	1998-03-31	PRIJEM	\N	140	34839	UROK	\N	\N
3583597	1619	1998-04-30	PRIJEM	\N	147	35382	UROK	\N	\N
3583598	1619	1998-05-31	PRIJEM	\N	140	32538	UROK	\N	\N
3583599	1619	1998-06-30	PRIJEM	\N	141	36309	UROK	\N	\N
3583600	1619	1998-07-31	PRIJEM	\N	145	29930	UROK	\N	\N
3583601	1619	1998-08-31	PRIJEM	\N	134	31399	UROK	\N	\N
3583602	1619	1998-09-30	PRIJEM	\N	153	42547	UROK	\N	\N
3583603	1619	1998-10-31	PRIJEM	\N	180	44023	UROK	\N	\N
3583604	1619	1998-11-30	PRIJEM	\N	190	47409	UROK	\N	\N
3583605	1619	1998-12-31	PRIJEM	\N	195	43754	UROK	\N	\N
3583606	1620	1995-11-30	PRIJEM	\N	94	25973	UROK	\N	\N
3583607	1620	1995-12-31	PRIJEM	\N	109	26059	UROK	\N	\N
3583608	1620	1996-01-31	PRIJEM	\N	86	15541	UROK	\N	\N
3583609	1620	1996-02-29	PRIJEM	\N	79	19756	UROK	\N	\N
3583610	1620	1996-03-31	PRIJEM	\N	97	23989	UROK	\N	\N
3583611	1620	1996-04-30	PRIJEM	\N	106	25591	UROK	\N	\N
3583612	1620	1996-05-31	PRIJEM	\N	121	29849	UROK	\N	\N
3583613	1620	1996-06-30	PRIJEM	\N	90	19505	UROK	\N	\N
3583614	1620	1996-07-31	PRIJEM	\N	96	23738	UROK	\N	\N
3583615	1620	1996-08-31	PRIJEM	\N	111	26305	UROK	\N	\N
3583616	1620	1996-09-30	PRIJEM	\N	124	30564	UROK	\N	\N
3583617	1620	1996-10-31	PRIJEM	\N	128	25129	UROK	\N	\N
3583618	1620	1996-11-30	PRIJEM	\N	119	27984	UROK	\N	\N
3583619	1620	1996-12-31	PRIJEM	\N	129	26399	UROK	\N	\N
3583620	1620	1997-01-31	PRIJEM	\N	81	13986	UROK	\N	\N
3583621	1620	1997-02-28	PRIJEM	\N	72	18195	UROK	\N	\N
3583622	1620	1997-03-31	PRIJEM	\N	86	20097	UROK	\N	\N
3583623	1620	1997-04-30	PRIJEM	\N	90	18564	UROK	\N	\N
3583624	1620	1997-05-31	PRIJEM	\N	92	22792	UROK	\N	\N
3583625	1620	1997-06-30	PRIJEM	\N	82	14030	UROK	\N	\N
3583626	1620	1997-07-31	PRIJEM	\N	73	18239	UROK	\N	\N
3583627	1620	1997-08-31	PRIJEM	\N	90	22466	UROK	\N	\N
3583628	1620	1997-09-30	PRIJEM	\N	108	26710	UROK	\N	\N
3583629	1620	1997-10-31	PRIJEM	\N	125	30971	UROK	\N	\N
3583630	1620	1997-11-30	PRIJEM	\N	143	35251	UROK	\N	\N
3583631	1620	1997-12-31	PRIJEM	\N	160	38697	UROK	\N	\N
3583632	1620	1998-01-31	PRIJEM	\N	139	28862	UROK	\N	\N
3583633	1620	1998-02-28	PRIJEM	\N	134	33132	UROK	\N	\N
3583634	1620	1998-03-31	PRIJEM	\N	152	37421	UROK	\N	\N
3583635	1620	1998-04-30	PRIJEM	\N	170	41727	UROK	\N	\N
3583636	1620	1998-05-31	PRIJEM	\N	166	35309	UROK	\N	\N
3583637	1620	1998-06-30	PRIJEM	\N	120	27515	UROK	\N	\N
3583638	1620	1998-07-31	PRIJEM	\N	128	31279	UROK	\N	\N
3583639	1620	1998-08-31	PRIJEM	\N	135	29851	UROK	\N	\N
3583640	1620	1998-09-30	PRIJEM	\N	136	33024	UROK	\N	\N
3583641	1620	1998-10-31	PRIJEM	\N	151	37311	UROK	\N	\N
3583642	1620	1998-11-30	PRIJEM	\N	169	41616	UROK	\N	\N
3583643	1620	1998-12-31	PRIJEM	\N	178	43040	UROK	\N	\N
3583644	1621	1993-12-31	PRIJEM	\N	65	25612	UROK	\N	\N
3583645	1621	1994-01-31	PRIJEM	\N	108	32418	UROK	\N	\N
3583646	1621	1994-02-28	PRIJEM	\N	135	48451	UROK	\N	\N
3583647	1621	1994-03-31	PRIJEM	\N	194	55143	UROK	\N	\N
3583648	1621	1994-04-30	PRIJEM	\N	175	58116	UROK	\N	\N
3583649	1621	1994-05-31	PRIJEM	\N	192	35904	UROK	\N	\N
3583650	1621	1994-06-30	PRIJEM	\N	142	25991	UROK	\N	\N
3583651	1621	1994-07-31	PRIJEM	\N	124	28112	UROK	\N	\N
3583652	1621	1994-08-31	PRIJEM	\N	137	32345	UROK	\N	\N
3583653	1621	1994-09-30	PRIJEM	\N	151	32092	UROK	\N	\N
3583654	1621	1994-10-31	PRIJEM	\N	138	32126	UROK	\N	\N
3583655	1621	1994-11-30	PRIJEM	\N	151	34273	UROK	\N	\N
3583656	1621	1994-12-31	PRIJEM	\N	174	38393	UROK	\N	\N
3583657	1621	1995-01-31	PRIJEM	\N	145	28934	UROK	\N	\N
3583658	1621	1995-02-28	PRIJEM	\N	129	27959	UROK	\N	\N
3583659	1621	1995-03-31	PRIJEM	\N	132	29288	UROK	\N	\N
3583660	1621	1995-04-30	PRIJEM	\N	139	33024	UROK	\N	\N
3583661	1621	1995-05-31	PRIJEM	\N	126	28146	UROK	\N	\N
3583662	1621	1995-06-30	PRIJEM	\N	124	22515	UROK	\N	\N
3583663	1621	1995-07-31	PRIJEM	\N	110	26822	UROK	\N	\N
3583664	1621	1995-08-31	PRIJEM	\N	120	25038	UROK	\N	\N
3583665	1621	1995-09-30	PRIJEM	\N	122	30557	UROK	\N	\N
3583666	1621	1995-10-31	PRIJEM	\N	140	32793	UROK	\N	\N
3583667	1621	1995-11-30	PRIJEM	\N	148	34037	UROK	\N	\N
3583668	1621	1995-12-31	PRIJEM	\N	165	36847	UROK	\N	\N
3583669	1621	1996-01-31	PRIJEM	\N	145	25889	UROK	\N	\N
3583670	1621	1996-02-29	PRIJEM	\N	116	30301	UROK	\N	\N
3583671	1621	1996-03-31	PRIJEM	\N	136	31934	UROK	\N	\N
3583672	1621	1996-04-30	PRIJEM	\N	137	28668	UROK	\N	\N
3583673	1621	1996-05-31	PRIJEM	\N	128	30092	UROK	\N	\N
3583674	1621	1996-06-30	PRIJEM	\N	140	29877	UROK	\N	\N
3583675	1621	1996-07-31	PRIJEM	\N	128	34101	UROK	\N	\N
3583676	1621	1996-08-31	PRIJEM	\N	151	36749	UROK	\N	\N
3583677	1621	1996-09-30	PRIJEM	\N	165	40910	UROK	\N	\N
3583678	1621	1996-10-31	PRIJEM	\N	180	44187	UROK	\N	\N
3583679	1621	1996-11-30	PRIJEM	\N	188	42272	UROK	\N	\N
3583680	1621	1996-12-31	PRIJEM	\N	191	44208	UROK	\N	\N
3583681	1621	1997-01-31	PRIJEM	\N	151	32356	UROK	\N	\N
3583682	1621	1997-02-28	PRIJEM	\N	152	40004	UROK	\N	\N
3583683	1621	1997-03-31	PRIJEM	\N	164	36365	UROK	\N	\N
3583684	1621	1997-04-30	PRIJEM	\N	153	39814	UROK	\N	\N
3583685	1621	1997-05-31	PRIJEM	\N	178	44688	UROK	\N	\N
3583686	1621	1997-06-30	PRIJEM	\N	175	34609	UROK	\N	\N
3583687	1621	1997-07-31	PRIJEM	\N	157	39962	UROK	\N	\N
3583688	1621	1997-08-31	PRIJEM	\N	174	43132	UROK	\N	\N
3583689	1621	1997-09-30	PRIJEM	\N	199	51827	UROK	\N	\N
3583690	1621	1997-10-31	PRIJEM	\N	219	54743	UROK	\N	\N
3583691	1621	1997-11-30	PRIJEM	\N	223	55462	UROK	\N	\N
3583692	1621	1997-12-31	PRIJEM	\N	255	65762	UROK	\N	\N
3583693	1621	1998-01-31	PRIJEM	\N	241	58000	UROK	\N	\N
3583694	1621	1998-02-28	PRIJEM	\N	227	57323	UROK	\N	\N
3583695	1621	1998-03-31	PRIJEM	\N	229	56648	UROK	\N	\N
3583696	1621	1998-04-30	PRIJEM	\N	238	60582	UROK	\N	\N
3583697	1621	1998-05-31	PRIJEM	\N	240	59818	UROK	\N	\N
3583698	1621	1998-06-30	PRIJEM	\N	181	34544	UROK	\N	\N
3583699	1621	1998-07-31	PRIJEM	\N	173	47313	UROK	\N	\N
3583700	1621	1998-08-31	PRIJEM	\N	186	44995	UROK	\N	\N
3583701	1621	1998-09-30	PRIJEM	\N	176	45367	UROK	\N	\N
3583702	1621	1998-10-31	PRIJEM	\N	180	44543	UROK	\N	\N
3583703	1621	1998-11-30	PRIJEM	\N	186	48926	UROK	\N	\N
3583704	1621	1998-12-31	PRIJEM	\N	221	58192	UROK	\N	\N
3583705	1622	1996-05-31	PRIJEM	\N	38	14116	UROK	\N	\N
3583706	1622	1996-06-30	PRIJEM	\N	78	21011	UROK	\N	\N
3583707	1622	1996-07-31	PRIJEM	\N	104	27093	UROK	\N	\N
3583708	1622	1996-08-31	PRIJEM	\N	120	29791	UROK	\N	\N
3583709	1622	1996-09-30	PRIJEM	\N	114	26198	UROK	\N	\N
3583710	1622	1996-10-31	PRIJEM	\N	106	24982	UROK	\N	\N
3583711	1622	1996-11-30	PRIJEM	\N	118	29279	UROK	\N	\N
3583712	1622	1996-12-31	PRIJEM	\N	129	30446	UROK	\N	\N
3583713	1622	1997-01-31	PRIJEM	\N	111	22935	UROK	\N	\N
3583714	1622	1997-02-28	PRIJEM	\N	94	19587	UROK	\N	\N
3583715	1622	1997-03-31	PRIJEM	\N	80	18146	UROK	\N	\N
3583716	1622	1997-04-30	PRIJEM	\N	82	19806	UROK	\N	\N
3583717	1622	1997-05-31	PRIJEM	\N	86	20671	UROK	\N	\N
3583718	1622	1997-06-30	PRIJEM	\N	90	21518	UROK	\N	\N
3583719	1622	1997-07-31	PRIJEM	\N	107	26304	UROK	\N	\N
3583720	1622	1997-08-31	PRIJEM	\N	126	30509	UROK	\N	\N
3583721	1622	1997-09-30	PRIJEM	\N	129	19756	UROK	\N	\N
3583722	1622	1997-10-31	PRIJEM	\N	125	31159	UROK	\N	\N
3583723	1622	1997-11-30	PRIJEM	\N	159	38997	UROK	\N	\N
3583724	1622	1997-12-31	PRIJEM	\N	183	42078	UROK	\N	\N
3583725	1622	1998-01-31	PRIJEM	\N	139	23895	UROK	\N	\N
3583726	1622	1998-02-28	PRIJEM	\N	122	29695	UROK	\N	\N
3583727	1622	1998-03-31	PRIJEM	\N	135	31429	UROK	\N	\N
3583728	1622	1998-04-30	PRIJEM	\N	144	34852	UROK	\N	\N
3583729	1622	1998-05-31	PRIJEM	\N	169	41099	UROK	\N	\N
3583730	1622	1998-06-30	PRIJEM	\N	145	25321	UROK	\N	\N
3583731	1622	1998-07-31	PRIJEM	\N	141	36141	UROK	\N	\N
3583732	1622	1998-08-31	PRIJEM	\N	157	41976	UROK	\N	\N
3583733	1622	1998-09-30	PRIJEM	\N	179	40233	UROK	\N	\N
3583734	1622	1998-10-31	PRIJEM	\N	174	43685	UROK	\N	\N
3583735	1622	1998-11-30	PRIJEM	\N	160	36364	UROK	\N	\N
3583736	1622	1998-12-31	PRIJEM	\N	162	33603	UROK	\N	\N
3583737	1623	1996-02-29	PRIJEM	\N	88	25580	UROK	\N	\N
3583738	1623	1996-03-31	PRIJEM	\N	195	50967	UROK	\N	\N
3583739	1623	1996-04-30	PRIJEM	\N	238	58697	UROK	\N	\N
3583740	1623	1996-05-31	PRIJEM	\N	263	64252	UROK	\N	\N
3583741	1623	1996-06-30	PRIJEM	\N	215	46524	UROK	\N	\N
3583742	1623	1996-07-31	PRIJEM	\N	222	53263	UROK	\N	\N
3583743	1623	1996-08-31	PRIJEM	\N	222	49183	UROK	\N	\N
3583744	1623	1996-09-30	PRIJEM	\N	221	52621	UROK	\N	\N
3583745	1623	1996-10-31	PRIJEM	\N	239	57678	UROK	\N	\N
3583746	1623	1996-11-30	PRIJEM	\N	223	58818	UROK	\N	\N
3583747	1623	1996-12-31	PRIJEM	\N	256	41957	UROK	\N	\N
3583748	1623	1997-01-31	PRIJEM	\N	152	23246	UROK	\N	\N
3583749	1623	1997-02-28	PRIJEM	\N	126	27850	UROK	\N	\N
3583750	1623	1997-03-31	PRIJEM	\N	143	30710	UROK	\N	\N
3583751	1623	1997-04-30	PRIJEM	\N	169	32596	UROK	\N	\N
3583752	1623	1997-05-31	PRIJEM	\N	176	35490	UROK	\N	\N
3583753	1623	1997-06-30	PRIJEM	\N	137	20910	UROK	\N	\N
3583754	1623	1997-07-31	PRIJEM	\N	128	28256	UROK	\N	\N
3583755	1623	1997-08-31	PRIJEM	\N	146	28219	UROK	\N	\N
3583756	1623	1997-09-30	PRIJEM	\N	150	26887	UROK	\N	\N
3583757	1623	1997-10-31	PRIJEM	\N	147	29951	UROK	\N	\N
3583758	1623	1997-11-30	PRIJEM	\N	158	31626	UROK	\N	\N
3583759	1623	1997-12-31	PRIJEM	\N	185	30434	UROK	\N	\N
3583760	1623	1998-01-31	PRIJEM	\N	129	19180	UROK	\N	\N
3583761	1623	1998-02-28	PRIJEM	\N	109	19407	UROK	\N	\N
3583762	1623	1998-03-31	PRIJEM	\N	112	19836	UROK	\N	\N
3583763	1623	1998-04-30	PRIJEM	\N	111	18664	UROK	\N	\N
3583764	1623	1998-05-31	PRIJEM	\N	105	16966	UROK	\N	\N
3583765	1623	1998-06-30	PRIJEM	\N	124	20753	UROK	\N	\N
3583766	1623	1998-07-31	PRIJEM	\N	110	19221	UROK	\N	\N
3583767	1623	1998-08-31	PRIJEM	\N	107	21945	UROK	\N	\N
3583768	1623	1998-09-30	PRIJEM	\N	94	15837	UROK	\N	\N
3583769	1623	1998-10-31	PRIJEM	\N	85	14879	UROK	\N	\N
3583770	1623	1998-11-30	PRIJEM	\N	85	16982	UROK	\N	\N
3583771	1623	1998-12-31	PRIJEM	\N	146	42911	UROK	\N	\N
3583772	1624	1996-08-31	PRIJEM	\N	39	23883	UROK	\N	\N
3583773	1624	1996-09-30	PRIJEM	\N	113	27544	UROK	\N	\N
3583774	1624	1996-10-31	PRIJEM	\N	125	27264	UROK	\N	\N
3583775	1624	1996-11-30	PRIJEM	\N	122	28119	UROK	\N	\N
3583776	1624	1996-12-31	PRIJEM	\N	118	25172	UROK	\N	\N
3583777	1624	1997-01-31	PRIJEM	\N	100	21126	UROK	\N	\N
3583778	1624	1997-02-28	PRIJEM	\N	90	21391	UROK	\N	\N
3583779	1624	1997-03-31	PRIJEM	\N	100	24025	UROK	\N	\N
3583780	1624	1997-04-30	PRIJEM	\N	103	23742	UROK	\N	\N
3583781	1624	1997-05-31	PRIJEM	\N	98	20575	UROK	\N	\N
3583782	1624	1997-06-30	PRIJEM	\N	59	12618	UROK	\N	\N
3583783	1624	1997-07-31	PRIJEM	\N	66	16618	UROK	\N	\N
3583784	1624	1997-08-31	PRIJEM	\N	78	18531	UROK	\N	\N
3583785	1624	1997-09-30	PRIJEM	\N	91	22556	UROK	\N	\N
3583786	1624	1997-10-31	PRIJEM	\N	101	23691	UROK	\N	\N
3583787	1624	1997-11-30	PRIJEM	\N	91	16836	UROK	\N	\N
3583788	1624	1997-12-31	PRIJEM	\N	78	17899	UROK	\N	\N
3583789	1624	1998-01-31	PRIJEM	\N	69	14862	UROK	\N	\N
3583790	1624	1998-02-28	PRIJEM	\N	66	14943	UROK	\N	\N
3583791	1624	1998-03-31	PRIJEM	\N	70	16067	UROK	\N	\N
3583792	1624	1998-04-30	PRIJEM	\N	80	20082	UROK	\N	\N
3583793	1624	1998-05-31	PRIJEM	\N	97	24113	UROK	\N	\N
3583794	1624	1998-06-30	PRIJEM	\N	102	23600	UROK	\N	\N
3583795	1624	1998-07-31	PRIJEM	\N	101	23656	UROK	\N	\N
3583796	1624	1998-08-31	PRIJEM	\N	91	20681	UROK	\N	\N
3583797	1624	1998-09-30	PRIJEM	\N	91	22107	UROK	\N	\N
3583798	1624	1998-10-31	PRIJEM	\N	80	14182	UROK	\N	\N
3583799	1624	1998-11-30	PRIJEM	\N	72	18188	UROK	\N	\N
3583800	1624	1998-12-31	PRIJEM	\N	69	14991	UROK	\N	\N
3583801	1625	1995-02-28	PRIJEM	\N	40	20434	UROK	\N	\N
3583802	1625	1995-03-31	PRIJEM	\N	104	30331	UROK	\N	\N
3583803	1625	1995-04-30	PRIJEM	\N	133	33858	UROK	\N	\N
3583804	1625	1995-05-31	PRIJEM	\N	141	33892	UROK	\N	\N
3583805	1625	1995-06-30	PRIJEM	\N	152	34570	UROK	\N	\N
3583806	1625	1995-07-31	PRIJEM	\N	149	35485	UROK	\N	\N
3583807	1625	1995-08-31	PRIJEM	\N	137	30589	UROK	\N	\N
3583808	1625	1995-09-30	PRIJEM	\N	122	26877	UROK	\N	\N
3583809	1625	1995-10-31	PRIJEM	\N	114	27557	UROK	\N	\N
3583810	1625	1995-11-30	PRIJEM	\N	121	30144	UROK	\N	\N
3583811	1625	1995-12-31	PRIJEM	\N	140	29167	UROK	\N	\N
3583812	1625	1996-01-31	PRIJEM	\N	95	14368	UROK	\N	\N
3583813	1625	1996-02-29	PRIJEM	\N	83	23918	UROK	\N	\N
3583814	1625	1996-03-31	PRIJEM	\N	96	22980	UROK	\N	\N
3583815	1625	1996-04-30	PRIJEM	\N	93	22440	UROK	\N	\N
3583816	1625	1996-05-31	PRIJEM	\N	92	21859	UROK	\N	\N
3583817	1625	1996-06-30	PRIJEM	\N	105	23527	UROK	\N	\N
3583818	1625	1996-07-31	PRIJEM	\N	105	27298	UROK	\N	\N
3583819	1625	1996-08-31	PRIJEM	\N	103	25668	UROK	\N	\N
3583820	1625	1996-09-30	PRIJEM	\N	112	29446	UROK	\N	\N
3583821	1625	1996-10-31	PRIJEM	\N	117	29630	UROK	\N	\N
3583822	1625	1996-11-30	PRIJEM	\N	114	28790	UROK	\N	\N
3583823	1625	1996-12-31	PRIJEM	\N	114	26888	UROK	\N	\N
3583824	1625	1997-01-31	PRIJEM	\N	73	15628	UROK	\N	\N
3583825	1625	1997-02-28	PRIJEM	\N	83	23777	UROK	\N	\N
3583826	1625	1997-03-31	PRIJEM	\N	87	22631	UROK	\N	\N
3583827	1625	1997-04-30	PRIJEM	\N	82	20919	UROK	\N	\N
3583828	1625	1997-05-31	PRIJEM	\N	85	22970	UROK	\N	\N
3583829	1625	1997-06-30	PRIJEM	\N	100	15234	UROK	\N	\N
3583830	1625	1997-07-31	PRIJEM	\N	82	23182	UROK	\N	\N
3583831	1625	1997-08-31	PRIJEM	\N	96	24484	UROK	\N	\N
3583832	1625	1997-09-30	PRIJEM	\N	109	29660	UROK	\N	\N
3583833	1625	1997-10-31	PRIJEM	\N	107	21754	UROK	\N	\N
3583834	1625	1997-11-30	PRIJEM	\N	86	23505	UROK	\N	\N
3583835	1625	1997-12-31	PRIJEM	\N	103	29471	UROK	\N	\N
3583836	1625	1998-01-31	PRIJEM	\N	79	14557	UROK	\N	\N
3583837	1625	1998-02-28	PRIJEM	\N	78	22702	UROK	\N	\N
3583838	1625	1998-03-31	PRIJEM	\N	105	27633	UROK	\N	\N
3583839	1625	1998-04-30	PRIJEM	\N	79	20878	UROK	\N	\N
3583840	1625	1998-05-31	PRIJEM	\N	106	29051	UROK	\N	\N
3583841	1625	1998-06-30	PRIJEM	\N	114	23328	UROK	\N	\N
3583842	1625	1998-07-31	PRIJEM	\N	107	16361	UROK	\N	\N
3583843	1625	1998-08-31	PRIJEM	\N	87	24514	UROK	\N	\N
3583844	1625	1998-09-30	PRIJEM	\N	116	29697	UROK	\N	\N
3583845	1625	1998-10-31	PRIJEM	\N	142	37905	UROK	\N	\N
3583846	1625	1998-11-30	PRIJEM	\N	149	15241	UROK	\N	\N
3583847	1625	1998-12-31	PRIJEM	\N	90	26294	UROK	\N	\N
3583848	1628	1993-01-31	PRIJEM	\N	13	4989	UROK	\N	\N
3583849	1628	1993-02-28	PRIJEM	\N	21	9286	UROK	\N	\N
3583850	1628	1993-03-31	PRIJEM	\N	21	13583	UROK	\N	\N
3583851	1628	1993-04-30	PRIJEM	\N	21	17880	UROK	\N	\N
3583852	1628	1993-05-31	PRIJEM	\N	23	22179	UROK	\N	\N
3583853	1628	1993-06-30	PRIJEM	\N	75	14165	UROK	\N	\N
3583854	1628	1993-07-31	PRIJEM	\N	63	15639	UROK	\N	\N
3583855	1628	1993-08-31	PRIJEM	\N	69	17120	UROK	\N	\N
3583856	1628	1993-09-30	PRIJEM	\N	75	18606	UROK	\N	\N
3583857	1628	1993-10-31	PRIJEM	\N	81	20099	UROK	\N	\N
3583858	1628	1993-11-30	PRIJEM	\N	83	19753	UROK	\N	\N
3583859	1628	1993-12-31	PRIJEM	\N	85	20049	UROK	\N	\N
3583860	1628	1994-01-31	PRIJEM	\N	73	14433	UROK	\N	\N
3583861	1628	1994-02-28	PRIJEM	\N	64	15908	UROK	\N	\N
3583862	1628	1994-03-31	PRIJEM	\N	63	14102	UROK	\N	\N
3583863	1628	1994-04-30	PRIJEM	\N	62	15576	UROK	\N	\N
3583864	1628	1994-05-31	PRIJEM	\N	69	17056	UROK	\N	\N
3583865	1628	1994-06-30	PRIJEM	\N	74	15662	UROK	\N	\N
3583866	1628	1994-07-31	PRIJEM	\N	69	17142	UROK	\N	\N
3583867	1628	1994-08-31	PRIJEM	\N	75	18628	UROK	\N	\N
3583868	1628	1994-09-30	PRIJEM	\N	81	18600	UROK	\N	\N
3583869	1628	1994-10-31	PRIJEM	\N	81	20093	UROK	\N	\N
3583870	1628	1994-11-30	PRIJEM	\N	87	21592	UROK	\N	\N
3583871	1628	1994-12-31	PRIJEM	\N	81	20304	UROK	\N	\N
3583872	1628	1995-01-31	PRIJEM	\N	66	13622	UROK	\N	\N
3583873	1628	1995-02-28	PRIJEM	\N	60	15093	UROK	\N	\N
3583874	1628	1995-03-31	PRIJEM	\N	66	16571	UROK	\N	\N
3583875	1628	1995-04-30	PRIJEM	\N	72	18055	UROK	\N	\N
3583876	1628	1995-05-31	PRIJEM	\N	79	19545	UROK	\N	\N
3583877	1628	1995-06-30	PRIJEM	\N	77	17083	UROK	\N	\N
3583878	1628	1995-07-31	PRIJEM	\N	74	17928	UROK	\N	\N
3583879	1628	1995-08-31	PRIJEM	\N	78	19417	UROK	\N	\N
3583880	1628	1995-09-30	PRIJEM	\N	84	20913	UROK	\N	\N
3583881	1628	1995-10-31	PRIJEM	\N	81	17125	UROK	\N	\N
3583882	1628	1995-11-30	PRIJEM	\N	73	15889	UROK	\N	\N
3583883	1628	1995-12-31	PRIJEM	\N	68	16668	UROK	\N	\N
3583884	1628	1996-01-31	PRIJEM	\N	67	15347	UROK	\N	\N
3583885	1628	1996-02-29	PRIJEM	\N	67	15225	UROK	\N	\N
3583886	1628	1996-03-31	PRIJEM	\N	67	16703	UROK	\N	\N
3583887	1628	1996-04-30	PRIJEM	\N	73	18187	UROK	\N	\N
3583888	1628	1996-05-31	PRIJEM	\N	79	19677	UROK	\N	\N
3583889	1628	1996-06-30	PRIJEM	\N	78	17116	UROK	\N	\N
3583890	1628	1996-07-31	PRIJEM	\N	70	16837	UROK	\N	\N
3583891	1628	1996-08-31	PRIJEM	\N	73	18322	UROK	\N	\N
3583892	1628	1996-09-30	PRIJEM	\N	79	17652	UROK	\N	\N
3583893	1628	1996-10-31	PRIJEM	\N	76	19140	UROK	\N	\N
3583894	1628	1996-11-30	PRIJEM	\N	82	20633	UROK	\N	\N
3583895	1628	1996-12-31	PRIJEM	\N	83	21128	UROK	\N	\N
3583896	1628	1997-01-31	PRIJEM	\N	73	15832	UROK	\N	\N
3583897	1628	1997-02-28	PRIJEM	\N	68	17311	UROK	\N	\N
3583898	1628	1997-03-31	PRIJEM	\N	75	18797	UROK	\N	\N
3583899	1628	1997-04-30	PRIJEM	\N	81	20290	UROK	\N	\N
3583900	1628	1997-05-31	PRIJEM	\N	83	21384	UROK	\N	\N
3583901	1628	1997-06-30	PRIJEM	\N	91	22887	UROK	\N	\N
3583902	1628	1997-07-31	PRIJEM	\N	98	24396	UROK	\N	\N
3583903	1628	1997-08-31	PRIJEM	\N	104	25911	UROK	\N	\N
3583904	1628	1997-09-30	PRIJEM	\N	101	23343	UROK	\N	\N
3583905	1628	1997-10-31	PRIJEM	\N	99	24854	UROK	\N	\N
3583906	1628	1997-11-30	PRIJEM	\N	106	26371	UROK	\N	\N
3583907	1628	1997-12-31	PRIJEM	\N	101	19893	UROK	\N	\N
3583908	1628	1998-01-31	PRIJEM	\N	74	16568	UROK	\N	\N
3583909	1628	1998-02-28	PRIJEM	\N	71	18050	UROK	\N	\N
3583910	1628	1998-03-31	PRIJEM	\N	77	19538	UROK	\N	\N
3583911	1628	1998-04-30	PRIJEM	\N	80	18870	UROK	\N	\N
3583912	1628	1998-05-31	PRIJEM	\N	80	20362	UROK	\N	\N
3583913	1628	1998-06-30	PRIJEM	\N	84	18817	UROK	\N	\N
3583914	1628	1998-07-31	PRIJEM	\N	79	19188	UROK	\N	\N
3583915	1628	1998-08-31	PRIJEM	\N	78	19158	UROK	\N	\N
3583916	1628	1998-09-30	PRIJEM	\N	81	20650	UROK	\N	\N
3583917	1628	1998-10-31	PRIJEM	\N	87	22149	UROK	\N	\N
3583918	1628	1998-11-30	PRIJEM	\N	93	23654	UROK	\N	\N
3583919	1628	1998-12-31	PRIJEM	\N	93	19838	UROK	\N	\N
3583920	1629	1995-11-30	PRIJEM	\N	21	6285	UROK	\N	\N
3583921	1629	1995-12-31	PRIJEM	\N	26	11575	UROK	\N	\N
3583922	1629	1996-01-31	PRIJEM	\N	26	16865	UROK	\N	\N
3583923	1629	1996-02-29	PRIJEM	\N	26	22155	UROK	\N	\N
3583924	1629	1996-03-31	PRIJEM	\N	84	23166	UROK	\N	\N
3583925	1629	1996-04-30	PRIJEM	\N	103	25381	UROK	\N	\N
3583926	1629	1996-05-31	PRIJEM	\N	95	21149	UROK	\N	\N
3583927	1629	1996-06-30	PRIJEM	\N	65	12776	UROK	\N	\N
3583928	1629	1996-07-31	PRIJEM	\N	59	14948	UROK	\N	\N
3583929	1629	1996-08-31	PRIJEM	\N	69	17129	UROK	\N	\N
3583930	1629	1996-09-30	PRIJEM	\N	78	19319	UROK	\N	\N
3583931	1629	1996-10-31	PRIJEM	\N	86	21017	UROK	\N	\N
3583932	1629	1996-11-30	PRIJEM	\N	93	22123	UROK	\N	\N
3583933	1629	1996-12-31	PRIJEM	\N	86	19841	UROK	\N	\N
3583934	1629	1997-01-31	PRIJEM	\N	69	14423	UROK	\N	\N
3583935	1629	1997-02-28	PRIJEM	\N	63	14518	UROK	\N	\N
3583936	1629	1997-03-31	PRIJEM	\N	56	13167	UROK	\N	\N
3583937	1629	1997-04-30	PRIJEM	\N	61	15340	UROK	\N	\N
3583938	1629	1997-05-31	PRIJEM	\N	70	17522	UROK	\N	\N
3583939	1629	1997-06-30	PRIJEM	\N	69	15864	UROK	\N	\N
3583940	1629	1997-07-31	PRIJEM	\N	63	14999	UROK	\N	\N
3583941	1629	1997-08-31	PRIJEM	\N	69	17180	UROK	\N	\N
3583942	1629	1997-09-30	PRIJEM	\N	76	15208	UROK	\N	\N
3583943	1629	1997-10-31	PRIJEM	\N	68	16589	UROK	\N	\N
3583944	1629	1997-11-30	PRIJEM	\N	75	18776	UROK	\N	\N
3583945	1629	1997-12-31	PRIJEM	\N	81	19769	UROK	\N	\N
3583946	1629	1998-01-31	PRIJEM	\N	63	13625	UROK	\N	\N
3583947	1629	1998-02-28	PRIJEM	\N	62	15799	UROK	\N	\N
3583948	1629	1998-03-31	PRIJEM	\N	72	17983	UROK	\N	\N
3583949	1629	1998-04-30	PRIJEM	\N	68	16004	UROK	\N	\N
3583950	1629	1998-05-31	PRIJEM	\N	71	15627	UROK	\N	\N
3583951	1629	1998-06-30	PRIJEM	\N	71	17810	UROK	\N	\N
3583952	1629	1998-07-31	PRIJEM	\N	80	20002	UROK	\N	\N
3583953	1629	1998-08-31	PRIJEM	\N	89	22204	UROK	\N	\N
3583954	1629	1998-09-30	PRIJEM	\N	97	23773	UROK	\N	\N
3583955	1629	1998-10-31	PRIJEM	\N	105	25990	UROK	\N	\N
3583956	1629	1998-11-30	PRIJEM	\N	114	28216	UROK	\N	\N
3583957	1629	1998-12-31	PRIJEM	\N	123	30101	UROK	\N	\N
3583958	1630	1993-11-30	PRIJEM	\N	19	22167	UROK	\N	\N
3583959	1630	1993-12-31	PRIJEM	\N	94	23633	UROK	\N	\N
3583960	1630	1994-01-31	PRIJEM	\N	90	16335	UROK	\N	\N
3583961	1630	1994-02-28	PRIJEM	\N	74	18661	UROK	\N	\N
3583962	1630	1994-03-31	PRIJEM	\N	84	20998	UROK	\N	\N
3583963	1630	1994-04-30	PRIJEM	\N	92	22542	UROK	\N	\N
3583964	1630	1994-05-31	PRIJEM	\N	100	24895	UROK	\N	\N
3583965	1630	1994-06-30	PRIJEM	\N	108	25455	UROK	\N	\N
3583966	1630	1994-07-31	PRIJEM	\N	110	25717	UROK	\N	\N
3583967	1630	1994-08-31	PRIJEM	\N	106	22096	UROK	\N	\N
3583968	1630	1994-09-30	PRIJEM	\N	98	24447	UROK	\N	\N
3583969	1630	1994-10-31	PRIJEM	\N	103	23603	UROK	\N	\N
3583970	1630	1994-11-30	PRIJEM	\N	104	25359	UROK	\N	\N
3583971	1630	1994-12-31	PRIJEM	\N	100	22101	UROK	\N	\N
3583972	1630	1995-01-31	PRIJEM	\N	77	18030	UROK	\N	\N
3583973	1630	1995-02-28	PRIJEM	\N	81	20363	UROK	\N	\N
3583974	1630	1995-03-31	PRIJEM	\N	83	19658	UROK	\N	\N
3583975	1630	1995-04-30	PRIJEM	\N	86	20897	UROK	\N	\N
3583976	1630	1995-05-31	PRIJEM	\N	75	17385	UROK	\N	\N
3583977	1630	1995-06-30	PRIJEM	\N	78	19715	UROK	\N	\N
3583978	1630	1995-07-31	PRIJEM	\N	88	21656	UROK	\N	\N
3583979	1630	1995-08-31	PRIJEM	\N	90	21098	UROK	\N	\N
3583980	1630	1995-09-30	PRIJEM	\N	81	18791	UROK	\N	\N
3583981	1630	1995-10-31	PRIJEM	\N	83	20727	UROK	\N	\N
3583982	1630	1995-11-30	PRIJEM	\N	90	22070	UROK	\N	\N
3583983	1630	1995-12-31	PRIJEM	\N	84	19346	UROK	\N	\N
3583984	1630	1996-01-31	PRIJEM	\N	65	13874	UROK	\N	\N
3583985	1630	1996-02-29	PRIJEM	\N	58	13784	UROK	\N	\N
3583986	1630	1996-03-31	PRIJEM	\N	56	12992	UROK	\N	\N
3583987	1630	1996-04-30	PRIJEM	\N	54	12798	UROK	\N	\N
3583988	1630	1996-05-31	PRIJEM	\N	59	14309	UROK	\N	\N
3583989	1630	1996-06-30	PRIJEM	\N	65	16627	UROK	\N	\N
3583990	1630	1996-07-31	PRIJEM	\N	66	15645	UROK	\N	\N
3583991	1630	1996-08-31	PRIJEM	\N	70	13568	UROK	\N	\N
3583992	1630	1996-09-30	PRIJEM	\N	61	15081	UROK	\N	\N
3583993	1630	1996-10-31	PRIJEM	\N	68	17402	UROK	\N	\N
3583994	1630	1996-11-30	PRIJEM	\N	78	18132	UROK	\N	\N
3583995	1630	1996-12-31	PRIJEM	\N	81	19715	UROK	\N	\N
3583996	1630	1997-01-31	PRIJEM	\N	65	14843	UROK	\N	\N
3583997	1630	1997-02-28	PRIJEM	\N	67	17162	UROK	\N	\N
3583998	1630	1997-03-31	PRIJEM	\N	64	15098	UROK	\N	\N
3583999	1630	1997-04-30	PRIJEM	\N	68	17418	UROK	\N	\N
3584000	1630	1997-05-31	PRIJEM	\N	78	19749	UROK	\N	\N
3584001	1630	1997-06-30	PRIJEM	\N	77	19578	UROK	\N	\N
3584002	1630	1997-07-31	PRIJEM	\N	87	21917	UROK	\N	\N
3584003	1630	1997-08-31	PRIJEM	\N	81	19350	UROK	\N	\N
3584004	1630	1997-09-30	PRIJEM	\N	60	15063	UROK	\N	\N
3584005	1630	1997-10-31	PRIJEM	\N	57	14972	UROK	\N	\N
3584006	1630	1997-11-30	PRIJEM	\N	64	17088	UROK	\N	\N
3584007	1630	1997-12-31	PRIJEM	\N	76	19417	UROK	\N	\N
3584008	1630	1998-01-31	PRIJEM	\N	66	15485	UROK	\N	\N
3584009	1630	1998-02-28	PRIJEM	\N	62	16499	UROK	\N	\N
3584010	1630	1998-03-31	PRIJEM	\N	73	18825	UROK	\N	\N
3584011	1630	1998-04-30	PRIJEM	\N	83	21160	UROK	\N	\N
3584012	1630	1998-05-31	PRIJEM	\N	93	23505	UROK	\N	\N
3584013	1630	1998-06-30	PRIJEM	\N	74	18331	UROK	\N	\N
3584014	1630	1998-07-31	PRIJEM	\N	81	20664	UROK	\N	\N
3584015	1630	1998-08-31	PRIJEM	\N	90	23007	UROK	\N	\N
3584016	1630	1998-09-30	PRIJEM	\N	93	23112	UROK	\N	\N
3584017	1630	1998-10-31	PRIJEM	\N	97	24901	UROK	\N	\N
3584018	1630	1998-11-30	PRIJEM	\N	108	27261	UROK	\N	\N
3584019	1630	1998-12-31	PRIJEM	\N	108	27292	UROK	\N	\N
3584020	1631	1997-02-28	PRIJEM	\N	41	17073	UROK	\N	\N
3584021	1631	1997-03-31	PRIJEM	\N	70	16421	UROK	\N	\N
3584022	1631	1997-04-30	PRIJEM	\N	71	17149	UROK	\N	\N
3584023	1631	1997-05-31	PRIJEM	\N	66	15053	UROK	\N	\N
3584024	1631	1997-06-30	PRIJEM	\N	64	14474	UROK	\N	\N
3584025	1631	1997-07-31	PRIJEM	\N	61	13092	UROK	\N	\N
3584026	1631	1997-08-31	PRIJEM	\N	55	11704	UROK	\N	\N
3584027	1631	1997-09-30	PRIJEM	\N	52	13114	UROK	\N	\N
3584028	1631	1997-10-31	PRIJEM	\N	58	14529	UROK	\N	\N
3584029	1631	1997-11-30	PRIJEM	\N	61	15308	UROK	\N	\N
3584030	1631	1997-12-31	PRIJEM	\N	65	15881	UROK	\N	\N
3584031	1631	1998-01-31	PRIJEM	\N	63	12901	UROK	\N	\N
3584032	1631	1998-02-28	PRIJEM	\N	57	14315	UROK	\N	\N
3584033	1631	1998-03-31	PRIJEM	\N	63	15736	UROK	\N	\N
3584034	1631	1998-04-30	PRIJEM	\N	66	15959	UROK	\N	\N
3584035	1631	1998-05-31	PRIJEM	\N	70	17386	UROK	\N	\N
3584036	1631	1998-06-30	PRIJEM	\N	76	18819	UROK	\N	\N
3584037	1631	1998-07-31	PRIJEM	\N	82	20258	UROK	\N	\N
3584038	1631	1998-08-31	PRIJEM	\N	88	21703	UROK	\N	\N
3584039	1631	1998-09-30	PRIJEM	\N	89	19550	UROK	\N	\N
3584040	1631	1998-10-31	PRIJEM	\N	85	20992	UROK	\N	\N
3584041	1631	1998-11-30	PRIJEM	\N	91	22440	UROK	\N	\N
3584042	1631	1998-12-31	PRIJEM	\N	94	22491	UROK	\N	\N
3584043	1632	1996-01-31	PRIJEM	\N	23	33430	UROK	\N	\N
3584044	1632	1996-02-29	PRIJEM	\N	193	82690	UROK	\N	\N
3584045	1632	1996-03-31	PRIJEM	\N	367	101554	UROK	\N	\N
3584046	1632	1996-04-30	PRIJEM	\N	383	143816	UROK	\N	\N
3584047	1632	1996-05-31	PRIJEM	\N	323	111889	UROK	\N	\N
3584048	1632	1996-06-30	PRIJEM	\N	431	100126	UROK	\N	\N
3584049	1632	1996-07-31	PRIJEM	\N	322	98669	UROK	\N	\N
3584050	1632	1996-08-31	PRIJEM	\N	386	90176	UROK	\N	\N
3584051	1632	1996-09-30	PRIJEM	\N	378	91032	UROK	\N	\N
3584052	1632	1996-10-31	PRIJEM	\N	357	67023	UROK	\N	\N
3584053	1632	1996-11-30	PRIJEM	\N	358	69801	UROK	\N	\N
3584054	1632	1996-12-31	PRIJEM	\N	246	75493	UROK	\N	\N
3584055	1632	1997-01-31	PRIJEM	\N	143	22686	UROK	\N	\N
3584056	1632	1997-02-28	PRIJEM	\N	94	26550	UROK	\N	\N
3584057	1632	1997-03-31	PRIJEM	\N	284	56878	UROK	\N	\N
3584058	1632	1997-04-30	PRIJEM	\N	305	77540	UROK	\N	\N
3584059	1632	1997-05-31	PRIJEM	\N	364	92906	UROK	\N	\N
3584060	1632	1997-06-30	PRIJEM	\N	370	85748	UROK	\N	\N
3584061	1632	1997-07-31	PRIJEM	\N	301	68502	UROK	\N	\N
3584062	1632	1997-08-31	PRIJEM	\N	351	94011	UROK	\N	\N
3584063	1632	1997-09-30	PRIJEM	\N	386	65267	UROK	\N	\N
3584064	1632	1997-10-31	PRIJEM	\N	254	75278	UROK	\N	\N
3584065	1632	1997-11-30	PRIJEM	\N	276	103092	UROK	\N	\N
3584066	1632	1997-12-31	PRIJEM	\N	372	97496	UROK	\N	\N
3584067	1632	1998-01-31	PRIJEM	\N	230	27304	UROK	\N	\N
3584068	1632	1998-02-28	PRIJEM	\N	113	34387	UROK	\N	\N
3584069	1632	1998-03-31	PRIJEM	\N	274	71390	UROK	\N	\N
3584070	1632	1998-04-30	PRIJEM	\N	293	57353	UROK	\N	\N
3584071	1632	1998-05-31	PRIJEM	\N	356	91998	UROK	\N	\N
3584072	1632	1998-06-30	PRIJEM	\N	365	100314	UROK	\N	\N
3584073	1632	1998-07-31	PRIJEM	\N	444	118619	UROK	\N	\N
3584074	1632	1998-08-31	PRIJEM	\N	308	49997	UROK	\N	\N
3584075	1632	1998-09-30	PRIJEM	\N	208	61747	UROK	\N	\N
3584076	1632	1998-10-31	PRIJEM	\N	288	66508	UROK	\N	\N
3584077	1632	1998-11-30	PRIJEM	\N	345	69402	UROK	\N	\N
3584078	1632	1998-12-31	PRIJEM	\N	245	42316	UROK	\N	\N
3584079	1633	1995-07-31	PRIJEM	\N	4	25969	UROK	\N	\N
3584080	1633	1995-08-31	PRIJEM	\N	110	24072	UROK	\N	\N
3584081	1633	1995-09-30	PRIJEM	\N	107	27173	UROK	\N	\N
3584082	1633	1995-10-31	PRIJEM	\N	120	30187	UROK	\N	\N
3584083	1633	1995-11-30	PRIJEM	\N	128	30208	UROK	\N	\N
3584084	1633	1995-12-31	PRIJEM	\N	130	31691	UROK	\N	\N
3584085	1633	1996-01-31	PRIJEM	\N	115	21890	UROK	\N	\N
3584086	1633	1996-02-29	PRIJEM	\N	98	24981	UROK	\N	\N
3584087	1633	1996-03-31	PRIJEM	\N	111	28086	UROK	\N	\N
3584088	1633	1996-04-30	PRIJEM	\N	124	31203	UROK	\N	\N
3584089	1633	1996-05-31	PRIJEM	\N	137	34334	UROK	\N	\N
3584090	1633	1996-06-30	PRIJEM	\N	122	26299	UROK	\N	\N
3584091	1633	1996-07-31	PRIJEM	\N	114	27166	UROK	\N	\N
3584092	1633	1996-08-31	PRIJEM	\N	120	30180	UROK	\N	\N
3584093	1633	1996-09-30	PRIJEM	\N	129	31781	UROK	\N	\N
3584094	1633	1996-10-31	PRIJEM	\N	138	34213	UROK	\N	\N
3584095	1633	1996-11-30	PRIJEM	\N	149	37355	UROK	\N	\N
3584096	1633	1996-12-31	PRIJEM	\N	161	39209	UROK	\N	\N
3584097	1633	1997-01-31	PRIJEM	\N	150	32193	UROK	\N	\N
3584098	1633	1997-02-28	PRIJEM	\N	132	31398	UROK	\N	\N
3584099	1633	1997-03-31	PRIJEM	\N	138	34529	UROK	\N	\N
3584100	1633	1997-04-30	PRIJEM	\N	145	35568	UROK	\N	\N
3584101	1633	1997-05-31	PRIJEM	\N	155	38716	UROK	\N	\N
3584102	1633	1997-06-30	PRIJEM	\N	145	27704	UROK	\N	\N
3584103	1633	1997-07-31	PRIJEM	\N	118	29456	UROK	\N	\N
3584104	1633	1997-08-31	PRIJEM	\N	129	32579	UROK	\N	\N
3584105	1633	1997-09-30	PRIJEM	\N	142	35714	UROK	\N	\N
3584106	1633	1997-10-31	PRIJEM	\N	155	38863	UROK	\N	\N
3584107	1633	1997-11-30	PRIJEM	\N	156	37413	UROK	\N	\N
3584108	1633	1997-12-31	PRIJEM	\N	159	38375	UROK	\N	\N
3584109	1633	1998-01-31	PRIJEM	\N	140	31458	UROK	\N	\N
3584110	1633	1998-02-28	PRIJEM	\N	137	34588	UROK	\N	\N
3584111	1633	1998-03-31	PRIJEM	\N	134	29615	UROK	\N	\N
3584112	1633	1998-04-30	PRIJEM	\N	125	30973	UROK	\N	\N
3584113	1633	1998-05-31	PRIJEM	\N	135	34102	UROK	\N	\N
3584114	1633	1998-06-30	PRIJEM	\N	131	26476	UROK	\N	\N
3584115	1633	1998-07-31	PRIJEM	\N	116	29586	UROK	\N	\N
3584116	1633	1998-08-31	PRIJEM	\N	118	28497	UROK	\N	\N
3584117	1633	1998-09-30	PRIJEM	\N	111	26502	UROK	\N	\N
3584118	1633	1998-10-31	PRIJEM	\N	95	21390	UROK	\N	\N
3584119	1633	1998-11-30	PRIJEM	\N	81	19004	UROK	\N	\N
3584120	1633	1998-12-31	PRIJEM	\N	71	17588	UROK	\N	\N
3584121	1635	1994-01-31	PRIJEM	\N	13	23481	UROK	\N	\N
3584122	1635	1994-02-28	PRIJEM	\N	100	31349	UROK	\N	\N
3584123	1635	1994-03-31	PRIJEM	\N	133	37349	UROK	\N	\N
3584124	1635	1994-04-30	PRIJEM	\N	157	40874	UROK	\N	\N
3584125	1635	1994-05-31	PRIJEM	\N	170	41512	UROK	\N	\N
3584126	1635	1994-06-30	PRIJEM	\N	148	27264	UROK	\N	\N
3584127	1635	1994-07-31	PRIJEM	\N	140	34075	UROK	\N	\N
3584128	1635	1994-08-31	PRIJEM	\N	165	37509	UROK	\N	\N
3584129	1635	1994-09-30	PRIJEM	\N	167	35367	UROK	\N	\N
3584130	1635	1994-10-31	PRIJEM	\N	159	31496	UROK	\N	\N
3584131	1635	1994-11-30	PRIJEM	\N	150	33717	UROK	\N	\N
3584132	1635	1994-12-31	PRIJEM	\N	164	37725	UROK	\N	\N
3584133	1635	1995-01-31	PRIJEM	\N	129	20325	UROK	\N	\N
3584134	1635	1995-02-28	PRIJEM	\N	107	27702	UROK	\N	\N
3584135	1635	1995-03-31	PRIJEM	\N	131	26283	UROK	\N	\N
3584136	1635	1995-04-30	PRIJEM	\N	130	31484	UROK	\N	\N
3584137	1635	1995-05-31	PRIJEM	\N	147	32902	UROK	\N	\N
3584138	1635	1995-06-30	PRIJEM	\N	160	36006	UROK	\N	\N
3584139	1635	1995-07-31	PRIJEM	\N	162	36818	UROK	\N	\N
3584140	1635	1995-08-31	PRIJEM	\N	163	35551	UROK	\N	\N
3584141	1635	1995-09-30	PRIJEM	\N	157	34978	UROK	\N	\N
3584142	1635	1995-10-31	PRIJEM	\N	159	37207	UROK	\N	\N
3584143	1635	1995-11-30	PRIJEM	\N	162	36840	UROK	\N	\N
3584144	1635	1995-12-31	PRIJEM	\N	158	35842	UROK	\N	\N
3584145	1635	1996-01-31	PRIJEM	\N	114	17386	UROK	\N	\N
3584146	1635	1996-02-29	PRIJEM	\N	97	28054	UROK	\N	\N
3584147	1635	1996-03-31	PRIJEM	\N	139	36963	UROK	\N	\N
3584148	1635	1996-04-30	PRIJEM	\N	166	40659	UROK	\N	\N
3584149	1635	1996-05-31	PRIJEM	\N	178	42907	UROK	\N	\N
3584150	1635	1996-06-30	PRIJEM	\N	148	36299	UROK	\N	\N
3584151	1635	1996-07-31	PRIJEM	\N	157	38127	UROK	\N	\N
3584152	1635	1996-08-31	PRIJEM	\N	149	37786	UROK	\N	\N
3584153	1635	1996-09-30	PRIJEM	\N	166	42223	UROK	\N	\N
3584154	1635	1996-10-31	PRIJEM	\N	173	41767	UROK	\N	\N
3584155	1635	1996-11-30	PRIJEM	\N	193	51130	UROK	\N	\N
3584156	1635	1996-12-31	PRIJEM	\N	242	63377	UROK	\N	\N
3584157	1635	1997-01-31	PRIJEM	\N	230	47218	UROK	\N	\N
3584158	1635	1997-02-28	PRIJEM	\N	208	55716	UROK	\N	\N
3584159	1635	1997-03-31	PRIJEM	\N	249	64136	UROK	\N	\N
3584160	1635	1997-04-30	PRIJEM	\N	265	66932	UROK	\N	\N
3584161	1635	1997-05-31	PRIJEM	\N	270	66172	UROK	\N	\N
3584162	1635	1997-06-30	PRIJEM	\N	225	55382	UROK	\N	\N
3584163	1635	1997-07-31	PRIJEM	\N	239	61791	UROK	\N	\N
3584164	1635	1997-08-31	PRIJEM	\N	248	62910	UROK	\N	\N
3584165	1635	1997-09-30	PRIJEM	\N	246	61826	UROK	\N	\N
3584166	1635	1997-10-31	PRIJEM	\N	242	59379	UROK	\N	\N
3584167	1635	1997-11-30	PRIJEM	\N	232	58681	UROK	\N	\N
3584168	1635	1997-12-31	PRIJEM	\N	251	62477	UROK	\N	\N
3584169	1635	1998-01-31	PRIJEM	\N	208	49315	UROK	\N	\N
3584170	1635	1998-02-28	PRIJEM	\N	189	48274	UROK	\N	\N
3584171	1635	1998-03-31	PRIJEM	\N	175	45179	UROK	\N	\N
3584172	1635	1998-04-30	PRIJEM	\N	169	42439	UROK	\N	\N
3584173	1635	1998-05-31	PRIJEM	\N	146	35515	UROK	\N	\N
3584174	1635	1998-06-30	PRIJEM	\N	143	40363	UROK	\N	\N
3584175	1635	1998-07-31	PRIJEM	\N	131	32264	UROK	\N	\N
3584176	1635	1998-08-31	PRIJEM	\N	157	41671	UROK	\N	\N
3584177	1635	1998-09-30	PRIJEM	\N	142	35583	UROK	\N	\N
3584178	1635	1998-10-31	PRIJEM	\N	174	48128	UROK	\N	\N
3584179	1635	1998-11-30	PRIJEM	\N	139	31937	UROK	\N	\N
3584180	1635	1998-12-31	PRIJEM	\N	173	49675	UROK	\N	\N
3584181	1636	1997-05-31	PRIJEM	\N	5	24715	UROK	\N	\N
3584182	1636	1997-06-30	PRIJEM	\N	188	58568	UROK	\N	\N
3584183	1636	1997-07-31	PRIJEM	\N	253	61631	UROK	\N	\N
3584184	1636	1997-08-31	PRIJEM	\N	273	67014	UROK	\N	\N
3584185	1636	1997-09-30	PRIJEM	\N	269	62909	UROK	\N	\N
3584186	1636	1997-10-31	PRIJEM	\N	243	54504	UROK	\N	\N
3584187	1636	1997-11-30	PRIJEM	\N	224	55819	UROK	\N	\N
3584188	1636	1997-12-31	PRIJEM	\N	287	71432	UROK	\N	\N
3584189	1636	1998-01-31	PRIJEM	\N	249	58292	UROK	\N	\N
3584190	1636	1998-02-28	PRIJEM	\N	265	64688	UROK	\N	\N
3584191	1636	1998-03-31	PRIJEM	\N	278	64317	UROK	\N	\N
3584192	1636	1998-04-30	PRIJEM	\N	279	67328	UROK	\N	\N
3584193	1636	1998-05-31	PRIJEM	\N	286	68064	UROK	\N	\N
3584194	1636	1998-06-30	PRIJEM	\N	334	83385	UROK	\N	\N
3584195	1636	1998-07-31	PRIJEM	\N	333	73388	UROK	\N	\N
3584196	1636	1998-08-31	PRIJEM	\N	314	76634	UROK	\N	\N
3584197	1636	1998-09-30	PRIJEM	\N	280	70945	UROK	\N	\N
3584198	1636	1998-10-31	PRIJEM	\N	271	53747	UROK	\N	\N
3584199	1636	1998-11-30	PRIJEM	\N	270	53748	UROK	\N	\N
3584200	1636	1998-12-31	PRIJEM	\N	302	76676	UROK	\N	\N
3584201	1637	1993-01-31	PRIJEM	\N	16	6234	UROK	\N	\N
3584202	1637	1993-02-28	PRIJEM	\N	26	11978	UROK	\N	\N
3584203	1637	1993-03-31	PRIJEM	\N	26	17722	UROK	\N	\N
3584204	1637	1993-04-30	PRIJEM	\N	26	23466	UROK	\N	\N
3584205	1637	1993-05-31	PRIJEM	\N	29	29213	UROK	\N	\N
3584206	1637	1993-06-30	PRIJEM	\N	97	21730	UROK	\N	\N
3584207	1637	1993-07-31	PRIJEM	\N	88	20898	UROK	\N	\N
3584208	1637	1993-08-31	PRIJEM	\N	81	19660	UROK	\N	\N
3584209	1637	1993-09-30	PRIJEM	\N	86	22106	UROK	\N	\N
3584210	1637	1993-10-31	PRIJEM	\N	96	24563	UROK	\N	\N
3584211	1637	1993-11-30	PRIJEM	\N	106	27030	UROK	\N	\N
3584212	1637	1993-12-31	PRIJEM	\N	105	26445	UROK	\N	\N
3584213	1637	1994-01-31	PRIJEM	\N	103	20918	UROK	\N	\N
3584214	1637	1994-02-28	PRIJEM	\N	91	23369	UROK	\N	\N
3584215	1637	1994-03-31	PRIJEM	\N	101	23191	UROK	\N	\N
3584216	1637	1994-04-30	PRIJEM	\N	98	24669	UROK	\N	\N
3584217	1637	1994-05-31	PRIJEM	\N	102	25732	UROK	\N	\N
3584218	1637	1994-06-30	PRIJEM	\N	103	17475	UROK	\N	\N
3584219	1637	1994-07-31	PRIJEM	\N	77	19912	UROK	\N	\N
3584220	1637	1994-08-31	PRIJEM	\N	87	22359	UROK	\N	\N
3584221	1637	1994-09-30	PRIJEM	\N	82	18881	UROK	\N	\N
3584222	1637	1994-10-31	PRIJEM	\N	73	18274	UROK	\N	\N
3584223	1637	1994-11-30	PRIJEM	\N	80	20715	UROK	\N	\N
3584224	1637	1994-12-31	PRIJEM	\N	89	22764	UROK	\N	\N
3584225	1637	1995-01-31	PRIJEM	\N	78	16081	UROK	\N	\N
3584226	1637	1995-02-28	PRIJEM	\N	70	18512	UROK	\N	\N
3584227	1637	1995-03-31	PRIJEM	\N	81	20953	UROK	\N	\N
3584228	1637	1995-04-30	PRIJEM	\N	91	23305	UROK	\N	\N
3584229	1637	1995-05-31	PRIJEM	\N	97	24722	UROK	\N	\N
3584230	1637	1995-06-30	PRIJEM	\N	97	22220	UROK	\N	\N
3584231	1637	1995-07-31	PRIJEM	\N	96	24677	UROK	\N	\N
3584232	1637	1995-08-31	PRIJEM	\N	102	25779	UROK	\N	\N
3584233	1637	1995-09-30	PRIJEM	\N	110	27209	UROK	\N	\N
3584234	1637	1995-10-31	PRIJEM	\N	115	27584	UROK	\N	\N
3584235	1637	1995-11-30	PRIJEM	\N	118	30063	UROK	\N	\N
3584236	1637	1995-12-31	PRIJEM	\N	125	28398	UROK	\N	\N
3584237	1637	1996-01-31	PRIJEM	\N	86	18094	UROK	\N	\N
3584238	1637	1996-02-29	PRIJEM	\N	78	20133	UROK	\N	\N
3584239	1637	1996-03-31	PRIJEM	\N	82	19055	UROK	\N	\N
3584240	1637	1996-04-30	PRIJEM	\N	71	17006	UROK	\N	\N
3584241	1637	1996-05-31	PRIJEM	\N	74	19441	UROK	\N	\N
3584242	1637	1996-06-30	PRIJEM	\N	72	15263	UROK	\N	\N
3584243	1637	1996-07-31	PRIJEM	\N	67	17690	UROK	\N	\N
3584244	1637	1996-08-31	PRIJEM	\N	77	20128	UROK	\N	\N
3584245	1637	1996-09-30	PRIJEM	\N	87	22575	UROK	\N	\N
3584246	1637	1996-10-31	PRIJEM	\N	97	25032	UROK	\N	\N
3584247	1637	1996-11-30	PRIJEM	\N	107	27499	UROK	\N	\N
3584248	1637	1996-12-31	PRIJEM	\N	113	27922	UROK	\N	\N
3584249	1637	1997-01-31	PRIJEM	\N	85	15888	UROK	\N	\N
3584250	1637	1997-02-28	PRIJEM	\N	68	18317	UROK	\N	\N
3584251	1637	1997-03-31	PRIJEM	\N	79	20756	UROK	\N	\N
3584252	1637	1997-04-30	PRIJEM	\N	89	23205	UROK	\N	\N
3584253	1637	1997-05-31	PRIJEM	\N	97	22863	UROK	\N	\N
3584254	1637	1997-06-30	PRIJEM	\N	85	19758	UROK	\N	\N
3584255	1637	1997-07-31	PRIJEM	\N	85	21643	UROK	\N	\N
3584256	1637	1997-08-31	PRIJEM	\N	93	24096	UROK	\N	\N
3584257	1637	1997-09-30	PRIJEM	\N	96	23752	UROK	\N	\N
3584258	1637	1997-10-31	PRIJEM	\N	101	26214	UROK	\N	\N
3584259	1637	1997-11-30	PRIJEM	\N	111	28685	UROK	\N	\N
3584260	1637	1997-12-31	PRIJEM	\N	122	30917	UROK	\N	\N
3584261	1637	1998-01-31	PRIJEM	\N	107	19884	UROK	\N	\N
3584262	1637	1998-02-28	PRIJEM	\N	84	22328	UROK	\N	\N
3584263	1637	1998-03-31	PRIJEM	\N	95	24784	UROK	\N	\N
3584264	1637	1998-04-30	PRIJEM	\N	105	27249	UROK	\N	\N
3584265	1637	1998-05-31	PRIJEM	\N	111	28120	UROK	\N	\N
3584266	1637	1998-06-30	PRIJEM	\N	95	20825	UROK	\N	\N
3584267	1637	1998-07-31	PRIJEM	\N	88	23274	UROK	\N	\N
3584268	1637	1998-08-31	PRIJEM	\N	98	25732	UROK	\N	\N
3584269	1637	1998-09-30	PRIJEM	\N	108	28201	UROK	\N	\N
3584270	1637	1998-10-31	PRIJEM	\N	119	30680	UROK	\N	\N
3584271	1637	1998-11-30	PRIJEM	\N	129	33169	UROK	\N	\N
3584272	1637	1998-12-31	PRIJEM	\N	138	34367	UROK	\N	\N
3584273	1638	1996-11-30	PRIJEM	\N	49	53781	UROK	\N	\N
3584274	1638	1996-12-31	PRIJEM	\N	237	58685	UROK	\N	\N
3584275	1638	1997-01-31	PRIJEM	\N	244	39129	UROK	\N	\N
3584276	1638	1997-02-28	PRIJEM	\N	244	31173	UROK	\N	\N
3584277	1638	1997-03-31	PRIJEM	\N	244	31916	UROK	\N	\N
3584278	1638	1997-04-30	PRIJEM	\N	286	77960	UROK	\N	\N
3584279	1638	1997-05-31	PRIJEM	\N	324	59484	UROK	\N	\N
3584280	1638	1997-06-30	PRIJEM	\N	324	45308	UROK	\N	\N
3584281	1638	1997-07-31	PRIJEM	\N	324	42131	UROK	\N	\N
3584282	1638	1997-08-31	PRIJEM	\N	324	41955	UROK	\N	\N
3584283	1638	1997-09-30	PRIJEM	\N	329	85007	UROK	\N	\N
3584284	1638	1997-10-31	PRIJEM	\N	261	53390	UROK	\N	\N
3584285	1638	1997-11-30	PRIJEM	\N	181	38491	UROK	\N	\N
3584286	1638	1997-12-31	PRIJEM	\N	120	23132	UROK	\N	\N
3584287	1638	1998-01-31	PRIJEM	\N	103	23756	UROK	\N	\N
3584288	1638	1998-02-28	PRIJEM	\N	103	25104	UROK	\N	\N
3584289	1638	1998-03-31	PRIJEM	\N	113	27861	UROK	\N	\N
3584290	1638	1998-04-30	PRIJEM	\N	116	27322	UROK	\N	\N
3584291	1638	1998-05-31	PRIJEM	\N	125	28092	UROK	\N	\N
3584292	1638	1998-06-30	PRIJEM	\N	129	32366	UROK	\N	\N
3584293	1638	1998-07-31	PRIJEM	\N	153	45149	UROK	\N	\N
3584294	1638	1998-08-31	PRIJEM	\N	180	42674	UROK	\N	\N
3584295	1638	1998-09-30	PRIJEM	\N	160	34727	UROK	\N	\N
3584296	1638	1998-10-31	PRIJEM	\N	163	41135	UROK	\N	\N
3584297	1638	1998-11-30	PRIJEM	\N	165	39044	UROK	\N	\N
3584298	1638	1998-12-31	PRIJEM	\N	126	27015	UROK	\N	\N
3584367	1640	1995-09-30	PRIJEM	\N	67	20904	UROK	\N	\N
3584368	1640	1995-10-31	PRIJEM	\N	163	45103	UROK	\N	\N
3584369	1640	1995-11-30	PRIJEM	\N	134	52174	UROK	\N	\N
3584370	1640	1995-12-31	PRIJEM	\N	155	47734	UROK	\N	\N
3584371	1640	1996-01-31	PRIJEM	\N	211	38039	UROK	\N	\N
3584372	1640	1996-02-29	PRIJEM	\N	192	40771	UROK	\N	\N
3584373	1640	1996-03-31	PRIJEM	\N	202	39512	UROK	\N	\N
3584374	1640	1996-04-30	PRIJEM	\N	197	35069	UROK	\N	\N
3584375	1640	1996-05-31	PRIJEM	\N	177	34885	UROK	\N	\N
3584376	1640	1996-06-30	PRIJEM	\N	198	40391	UROK	\N	\N
3584377	1640	1996-07-31	PRIJEM	\N	204	36954	UROK	\N	\N
3584378	1640	1996-08-31	PRIJEM	\N	180	35773	UROK	\N	\N
3584379	1640	1996-09-30	PRIJEM	\N	172	32984	UROK	\N	\N
3584380	1640	1996-10-31	PRIJEM	\N	164	35588	UROK	\N	\N
3584381	1640	1996-11-30	PRIJEM	\N	176	33024	UROK	\N	\N
3584382	1640	1996-12-31	PRIJEM	\N	165	33037	UROK	\N	\N
3584383	1640	1997-01-31	PRIJEM	\N	154	24430	UROK	\N	\N
3584384	1640	1997-02-28	PRIJEM	\N	122	28611	UROK	\N	\N
3584385	1640	1997-03-31	PRIJEM	\N	142	32973	UROK	\N	\N
3584386	1640	1997-04-30	PRIJEM	\N	162	36474	UROK	\N	\N
3584387	1640	1997-05-31	PRIJEM	\N	175	38788	UROK	\N	\N
3584388	1640	1997-06-30	PRIJEM	\N	202	46498	UROK	\N	\N
3584389	1640	1997-07-31	PRIJEM	\N	208	44346	UROK	\N	\N
3584390	1640	1997-08-31	PRIJEM	\N	206	48191	UROK	\N	\N
3584391	1640	1997-09-30	PRIJEM	\N	207	43997	UROK	\N	\N
3584392	1640	1997-10-31	PRIJEM	\N	198	44715	UROK	\N	\N
3584393	1640	1997-11-30	PRIJEM	\N	190	39584	UROK	\N	\N
3584394	1640	1997-12-31	PRIJEM	\N	198	47950	UROK	\N	\N
3584395	1640	1998-01-31	PRIJEM	\N	210	41979	UROK	\N	\N
3584396	1640	1998-02-28	PRIJEM	\N	187	44406	UROK	\N	\N
3584397	1640	1998-03-31	PRIJEM	\N	207	50752	UROK	\N	\N
3584398	1640	1998-04-30	PRIJEM	\N	219	50650	UROK	\N	\N
3584399	1640	1998-05-31	PRIJEM	\N	215	48304	UROK	\N	\N
3584400	1640	1998-06-30	PRIJEM	\N	211	43003	UROK	\N	\N
3584401	1640	1998-07-31	PRIJEM	\N	187	43629	UROK	\N	\N
3584402	1640	1998-08-31	PRIJEM	\N	188	44456	UROK	\N	\N
3584403	1640	1998-09-30	PRIJEM	\N	184	43080	UROK	\N	\N
3584404	1640	1998-10-31	PRIJEM	\N	173	39492	UROK	\N	\N
3584405	1640	1998-11-30	PRIJEM	\N	165	38096	UROK	\N	\N
3584406	1640	1998-12-31	PRIJEM	\N	227	59091	UROK	\N	\N
3584407	1641	1996-04-30	PRIJEM	\N	24	24222	UROK	\N	\N
3584408	1641	1996-05-31	PRIJEM	\N	142	60688	UROK	\N	\N
3584409	1641	1996-06-30	PRIJEM	\N	338	139378	UROK	\N	\N
3584410	1641	1996-07-31	PRIJEM	\N	298	44913	UROK	\N	\N
3584411	1641	1996-08-31	PRIJEM	\N	216	45381	UROK	\N	\N
3584412	1641	1996-09-30	PRIJEM	\N	325	98769	UROK	\N	\N
3584413	1641	1996-10-31	PRIJEM	\N	327	51230	UROK	\N	\N
3584414	1641	1996-11-30	PRIJEM	\N	286	69724	UROK	\N	\N
3584415	1641	1996-12-31	PRIJEM	\N	290	98110	UROK	\N	\N
3584416	1641	1997-01-31	PRIJEM	\N	220	23694	UROK	\N	\N
3584417	1641	1997-02-28	PRIJEM	\N	150	43699	UROK	\N	\N
3584418	1641	1997-03-31	PRIJEM	\N	214	70395	UROK	\N	\N
3584419	1641	1997-04-30	PRIJEM	\N	248	70781	UROK	\N	\N
3584420	1641	1997-05-31	PRIJEM	\N	208	34725	UROK	\N	\N
3584421	1641	1997-06-30	PRIJEM	\N	162	79637	UROK	\N	\N
3584422	1641	1997-07-31	PRIJEM	\N	248	46797	UROK	\N	\N
3584423	1641	1997-08-31	PRIJEM	\N	219	50314	UROK	\N	\N
3584424	1641	1997-09-30	PRIJEM	\N	143	24793	UROK	\N	\N
3584425	1641	1997-10-31	PRIJEM	\N	105	28687	UROK	\N	\N
3584426	1641	1997-11-30	PRIJEM	\N	87	19511	UROK	\N	\N
3584427	1641	1997-12-31	PRIJEM	\N	49	10296	UROK	\N	\N
3584428	1641	1998-01-31	PRIJEM	\N	181	74369	UROK	\N	\N
3584429	1641	1998-02-28	PRIJEM	\N	188	34692	UROK	\N	\N
3584430	1641	1998-03-31	PRIJEM	\N	113	50889	UROK	\N	\N
3584431	1641	1998-04-30	PRIJEM	\N	255	123096	UROK	\N	\N
3584432	1641	1998-05-31	PRIJEM	\N	223	59967	UROK	\N	\N
3584433	1641	1998-06-30	PRIJEM	\N	195	50277	UROK	\N	\N
3584434	1641	1998-07-31	PRIJEM	\N	216	94574	UROK	\N	\N
3584435	1641	1998-08-31	PRIJEM	\N	386	76583	UROK	\N	\N
3584436	1641	1998-09-30	PRIJEM	\N	356	104484	UROK	\N	\N
3584437	1641	1998-10-31	PRIJEM	\N	270	52851	UROK	\N	\N
3584438	1641	1998-11-30	PRIJEM	\N	212	53090	UROK	\N	\N
3584439	1641	1998-12-31	PRIJEM	\N	175	56361	UROK	\N	\N
3584440	1642	1995-08-31	PRIJEM	\N	19	19915	UROK	\N	\N
3584441	1642	1995-09-30	PRIJEM	\N	86	22732	UROK	\N	\N
3584442	1642	1995-10-31	PRIJEM	\N	94	22258	UROK	\N	\N
3584443	1642	1995-11-30	PRIJEM	\N	94	17672	UROK	\N	\N
3584444	1642	1995-12-31	PRIJEM	\N	79	19271	UROK	\N	\N
3584445	1642	1996-01-31	PRIJEM	\N	67	13568	UROK	\N	\N
3584446	1642	1996-02-29	PRIJEM	\N	58	13966	UROK	\N	\N
3584447	1642	1996-03-31	PRIJEM	\N	67	16854	UROK	\N	\N
3584448	1642	1996-04-30	PRIJEM	\N	74	18068	UROK	\N	\N
3584449	1642	1996-05-31	PRIJEM	\N	80	17968	UROK	\N	\N
3584450	1642	1996-06-30	PRIJEM	\N	78	17266	UROK	\N	\N
3584451	1642	1996-07-31	PRIJEM	\N	78	18765	UROK	\N	\N
3584452	1642	1996-08-31	PRIJEM	\N	87	21672	UROK	\N	\N
3584453	1642	1996-09-30	PRIJEM	\N	88	16200	UROK	\N	\N
3584454	1642	1996-10-31	PRIJEM	\N	76	19097	UROK	\N	\N
3584455	1642	1996-11-30	PRIJEM	\N	85	20502	UROK	\N	\N
3584456	1642	1996-12-31	PRIJEM	\N	90	22163	UROK	\N	\N
3584457	1642	1997-01-31	PRIJEM	\N	83	17626	UROK	\N	\N
3584458	1642	1997-02-28	PRIJEM	\N	79	19886	UROK	\N	\N
3584459	1642	1997-03-31	PRIJEM	\N	79	19025	UROK	\N	\N
3584460	1642	1997-04-30	PRIJEM	\N	88	21933	UROK	\N	\N
3584461	1642	1997-05-31	PRIJEM	\N	87	19041	UROK	\N	\N
3584462	1642	1997-06-30	PRIJEM	\N	80	19621	UROK	\N	\N
3584463	1642	1997-07-31	PRIJEM	\N	84	20026	UROK	\N	\N
3584464	1642	1997-08-31	PRIJEM	\N	91	22217	UROK	\N	\N
3584465	1642	1997-09-30	PRIJEM	\N	85	18723	UROK	\N	\N
3584466	1642	1997-10-31	PRIJEM	\N	86	21429	UROK	\N	\N
3584467	1642	1997-11-30	PRIJEM	\N	76	14605	UROK	\N	\N
3584468	1642	1997-12-31	PRIJEM	\N	61	13886	UROK	\N	\N
3584469	1642	1998-01-31	PRIJEM	\N	59	13966	UROK	\N	\N
3584470	1642	1998-02-28	PRIJEM	\N	63	15849	UROK	\N	\N
3584471	1642	1998-03-31	PRIJEM	\N	65	15134	UROK	\N	\N
3584472	1642	1998-04-30	PRIJEM	\N	54	11808	UROK	\N	\N
3584473	1642	1998-05-31	PRIJEM	\N	57	14686	UROK	\N	\N
3584474	1642	1998-06-30	PRIJEM	\N	65	15652	UROK	\N	\N
3584475	1642	1998-07-31	PRIJEM	\N	73	18545	UROK	\N	\N
3584476	1642	1998-08-31	PRIJEM	\N	85	16650	UROK	\N	\N
3584477	1642	1998-09-30	PRIJEM	\N	74	17065	UROK	\N	\N
3584478	1642	1998-10-31	PRIJEM	\N	79	19964	UROK	\N	\N
3584479	1642	1998-11-30	PRIJEM	\N	67	15551	UROK	\N	\N
3584480	1642	1998-12-31	PRIJEM	\N	62	14933	UROK	\N	\N
3584481	1644	1993-06-30	PRIJEM	\N	78	24337	UROK	\N	\N
3584482	1644	1993-07-31	PRIJEM	\N	128	32670	UROK	\N	\N
3584483	1644	1993-08-31	PRIJEM	\N	155	38331	UROK	\N	\N
3584484	1644	1993-09-30	PRIJEM	\N	213	40450	UROK	\N	\N
3584485	1644	1993-10-31	PRIJEM	\N	165	36048	UROK	\N	\N
3584486	1644	1993-11-30	PRIJEM	\N	179	44045	UROK	\N	\N
3584487	1644	1993-12-31	PRIJEM	\N	216	51912	UROK	\N	\N
3584488	1644	1994-01-31	PRIJEM	\N	174	35384	UROK	\N	\N
3584489	1644	1994-02-28	PRIJEM	\N	167	40970	UROK	\N	\N
3584490	1644	1994-03-31	PRIJEM	\N	171	40359	UROK	\N	\N
3584491	1644	1994-04-30	PRIJEM	\N	189	46267	UROK	\N	\N
3584492	1644	1994-05-31	PRIJEM	\N	180	43085	UROK	\N	\N
3584493	1644	1994-06-30	PRIJEM	\N	94	18070	UROK	\N	\N
3584494	1644	1994-07-31	PRIJEM	\N	129	33218	UROK	\N	\N
3584495	1644	1994-08-31	PRIJEM	\N	167	41143	UROK	\N	\N
3584496	1644	1994-09-30	PRIJEM	\N	184	44645	UROK	\N	\N
3584497	1644	1994-10-31	PRIJEM	\N	186	44449	UROK	\N	\N
3584498	1644	1994-11-30	PRIJEM	\N	181	43748	UROK	\N	\N
3584499	1644	1994-12-31	PRIJEM	\N	161	33061	UROK	\N	\N
3584500	1644	1995-01-31	PRIJEM	\N	150	24429	UROK	\N	\N
3584501	1644	1995-02-28	PRIJEM	\N	120	31467	UROK	\N	\N
3584502	1644	1995-03-31	PRIJEM	\N	145	27911	UROK	\N	\N
3584503	1644	1995-04-30	PRIJEM	\N	153	31083	UROK	\N	\N
3584504	1644	1995-05-31	PRIJEM	\N	165	32166	UROK	\N	\N
3584505	1644	1995-06-30	PRIJEM	\N	193	37330	UROK	\N	\N
3584506	1644	1995-07-31	PRIJEM	\N	188	36556	UROK	\N	\N
3584507	1644	1995-08-31	PRIJEM	\N	179	33074	UROK	\N	\N
3584508	1644	1995-09-30	PRIJEM	\N	164	34776	UROK	\N	\N
3584509	1644	1995-10-31	PRIJEM	\N	175	35469	UROK	\N	\N
3584510	1644	1995-11-30	PRIJEM	\N	173	30460	UROK	\N	\N
3584511	1644	1995-12-31	PRIJEM	\N	174	31326	UROK	\N	\N
3584512	1644	1996-01-31	PRIJEM	\N	99	18823	UROK	\N	\N
3584513	1644	1996-02-29	PRIJEM	\N	112	26353	UROK	\N	\N
3584514	1644	1996-03-31	PRIJEM	\N	141	31613	UROK	\N	\N
3584515	1644	1996-04-30	PRIJEM	\N	154	28426	UROK	\N	\N
3584516	1644	1996-05-31	PRIJEM	\N	146	31391	UROK	\N	\N
3584517	1644	1996-06-30	PRIJEM	\N	180	39142	UROK	\N	\N
3584518	1644	1996-07-31	PRIJEM	\N	184	38144	UROK	\N	\N
3584519	1644	1996-08-31	PRIJEM	\N	183	40346	UROK	\N	\N
3584520	1644	1996-09-30	PRIJEM	\N	190	41754	UROK	\N	\N
3584521	1644	1996-10-31	PRIJEM	\N	183	34075	UROK	\N	\N
3584522	1644	1996-11-30	PRIJEM	\N	171	40865	UROK	\N	\N
3584523	1644	1996-12-31	PRIJEM	\N	198	41554	UROK	\N	\N
3584524	1644	1997-01-31	PRIJEM	\N	166	25598	UROK	\N	\N
3584525	1644	1997-02-28	PRIJEM	\N	140	35356	UROK	\N	\N
3584526	1644	1997-03-31	PRIJEM	\N	162	35256	UROK	\N	\N
3584527	1644	1997-04-30	PRIJEM	\N	171	39746	UROK	\N	\N
3584528	1644	1997-05-31	PRIJEM	\N	178	38242	UROK	\N	\N
3584529	1644	1997-06-30	PRIJEM	\N	177	33670	UROK	\N	\N
3584530	1644	1997-07-31	PRIJEM	\N	154	33782	UROK	\N	\N
3584531	1644	1997-08-31	PRIJEM	\N	149	31350	UROK	\N	\N
3584532	1644	1997-09-30	PRIJEM	\N	144	32812	UROK	\N	\N
3584533	1644	1997-10-31	PRIJEM	\N	155	36485	UROK	\N	\N
3584534	1644	1997-11-30	PRIJEM	\N	156	34200	UROK	\N	\N
3584535	1644	1997-12-31	PRIJEM	\N	168	38079	UROK	\N	\N
3584536	1644	1998-01-31	PRIJEM	\N	118	21695	UROK	\N	\N
3584537	1644	1998-02-28	PRIJEM	\N	112	29286	UROK	\N	\N
3584538	1644	1998-03-31	PRIJEM	\N	140	32984	UROK	\N	\N
3584539	1644	1998-04-30	PRIJEM	\N	150	35312	UROK	\N	\N
3584540	1644	1998-05-31	PRIJEM	\N	155	35946	UROK	\N	\N
3584541	1644	1998-06-30	PRIJEM	\N	178	30735	UROK	\N	\N
3584542	1644	1998-07-31	PRIJEM	\N	147	36500	UROK	\N	\N
3584543	1644	1998-08-31	PRIJEM	\N	160	38678	UROK	\N	\N
3584544	1644	1998-09-30	PRIJEM	\N	167	40764	UROK	\N	\N
3584545	1644	1998-10-31	PRIJEM	\N	168	39231	UROK	\N	\N
3584546	1644	1998-11-30	PRIJEM	\N	175	43424	UROK	\N	\N
3584547	1644	1998-12-31	PRIJEM	\N	188	45183	UROK	\N	\N
3584548	1645	1996-11-30	PRIJEM	\N	43	19460	UROK	\N	\N
3584549	1645	1996-12-31	PRIJEM	\N	108	31494	UROK	\N	\N
3584550	1645	1997-01-31	PRIJEM	\N	135	33246	UROK	\N	\N
3584551	1645	1997-02-28	PRIJEM	\N	141	34304	UROK	\N	\N
3584552	1645	1997-03-31	PRIJEM	\N	139	29482	UROK	\N	\N
3584553	1645	1997-04-30	PRIJEM	\N	126	28432	UROK	\N	\N
3584554	1645	1997-05-31	PRIJEM	\N	118	22974	UROK	\N	\N
3584555	1645	1997-06-30	PRIJEM	\N	120	30628	UROK	\N	\N
3584556	1645	1997-07-31	PRIJEM	\N	122	24934	UROK	\N	\N
3584557	1645	1997-08-31	PRIJEM	\N	95	20073	UROK	\N	\N
3584558	1645	1997-09-30	PRIJEM	\N	120	23817	UROK	\N	\N
3584559	1645	1997-10-31	PRIJEM	\N	125	27347	UROK	\N	\N
3584560	1645	1997-11-30	PRIJEM	\N	152	32824	UROK	\N	\N
3584561	1645	1997-12-31	PRIJEM	\N	165	42342	UROK	\N	\N
3584562	1645	1998-01-31	PRIJEM	\N	142	24928	UROK	\N	\N
3584563	1645	1998-02-28	PRIJEM	\N	145	40497	UROK	\N	\N
3584564	1645	1998-03-31	PRIJEM	\N	180	44802	UROK	\N	\N
3584565	1645	1998-04-30	PRIJEM	\N	188	45714	UROK	\N	\N
3584566	1645	1998-05-31	PRIJEM	\N	200	40638	UROK	\N	\N
3584567	1645	1998-06-30	PRIJEM	\N	164	34896	UROK	\N	\N
3584568	1645	1998-07-31	PRIJEM	\N	145	31885	UROK	\N	\N
3584569	1645	1998-08-31	PRIJEM	\N	127	29117	UROK	\N	\N
3584570	1645	1998-09-30	PRIJEM	\N	133	33694	UROK	\N	\N
3584571	1645	1998-10-31	PRIJEM	\N	167	34886	UROK	\N	\N
3584572	1645	1998-11-30	PRIJEM	\N	148	36158	UROK	\N	\N
3584573	1645	1998-12-31	PRIJEM	\N	202	46193	UROK	\N	\N
3584574	1646	1996-06-30	PRIJEM	\N	101	40338	UROK	\N	\N
3584575	1646	1996-07-31	PRIJEM	\N	242	53371	UROK	\N	\N
3584576	1646	1996-08-31	PRIJEM	\N	307	56299	UROK	\N	\N
3584577	1646	1996-09-30	PRIJEM	\N	169	28663	UROK	\N	\N
3584578	1646	1996-10-31	PRIJEM	\N	110	29101	UROK	\N	\N
3584579	1646	1996-11-30	PRIJEM	\N	301	57905	UROK	\N	\N
3584580	1646	1996-12-31	PRIJEM	\N	271	97540	UROK	\N	\N
3584581	1646	1997-01-31	PRIJEM	\N	313	86918	UROK	\N	\N
3584582	1646	1997-02-28	PRIJEM	\N	312	43828	UROK	\N	\N
3584583	1646	1997-03-31	PRIJEM	\N	174	63062	UROK	\N	\N
3584584	1646	1997-04-30	PRIJEM	\N	247	93001	UROK	\N	\N
3584585	1646	1997-05-31	PRIJEM	\N	344	101802	UROK	\N	\N
3584586	1646	1997-06-30	PRIJEM	\N	260	37428	UROK	\N	\N
3584587	1646	1997-07-31	PRIJEM	\N	134	28261	UROK	\N	\N
3584588	1646	1997-08-31	PRIJEM	\N	139	42135	UROK	\N	\N
3584589	1646	1997-09-30	PRIJEM	\N	279	51195	UROK	\N	\N
3584590	1646	1997-10-31	PRIJEM	\N	134	23154	UROK	\N	\N
3584591	1646	1997-11-30	PRIJEM	\N	96	27148	UROK	\N	\N
3584592	1646	1997-12-31	PRIJEM	\N	129	40794	UROK	\N	\N
3584593	1646	1998-01-31	PRIJEM	\N	168	49460	UROK	\N	\N
3584594	1646	1998-02-28	PRIJEM	\N	189	103415	UROK	\N	\N
3584595	1646	1998-03-31	PRIJEM	\N	386	100476	UROK	\N	\N
3584596	1646	1998-04-30	PRIJEM	\N	360	65509	UROK	\N	\N
3584597	1646	1998-05-31	PRIJEM	\N	321	67754	UROK	\N	\N
3584598	1646	1998-06-30	PRIJEM	\N	239	74505	UROK	\N	\N
3584599	1646	1998-07-31	PRIJEM	\N	205	44204	UROK	\N	\N
3584600	1646	1998-08-31	PRIJEM	\N	348	107758	UROK	\N	\N
3584601	1646	1998-09-30	PRIJEM	\N	331	109158	UROK	\N	\N
3584602	1646	1998-10-31	PRIJEM	\N	347	68303	UROK	\N	\N
3584603	1646	1998-11-30	PRIJEM	\N	239	70691	UROK	\N	\N
3584604	1646	1998-12-31	PRIJEM	\N	314	86933	UROK	\N	\N
3584605	1647	1997-08-31	PRIJEM	\N	46	14281	UROK	\N	\N
3584606	1647	1997-09-30	PRIJEM	\N	93	24809	UROK	\N	\N
3584607	1647	1997-10-31	PRIJEM	\N	132	33675	UROK	\N	\N
3584608	1647	1997-11-30	PRIJEM	\N	154	38265	UROK	\N	\N
3584609	1647	1997-12-31	PRIJEM	\N	154	35947	UROK	\N	\N
3584610	1647	1998-01-31	PRIJEM	\N	130	20274	UROK	\N	\N
3584611	1647	1998-02-28	PRIJEM	\N	92	22064	UROK	\N	\N
3584612	1647	1998-03-31	PRIJEM	\N	91	21352	UROK	\N	\N
3584613	1647	1998-04-30	PRIJEM	\N	100	24149	UROK	\N	\N
3584614	1647	1998-05-31	PRIJEM	\N	103	24450	UROK	\N	\N
3584615	1647	1998-06-30	PRIJEM	\N	126	31690	UROK	\N	\N
3584616	1647	1998-07-31	PRIJEM	\N	124	27912	UROK	\N	\N
3584617	1647	1998-08-31	PRIJEM	\N	142	31252	UROK	\N	\N
3584618	1647	1998-09-30	PRIJEM	\N	146	35695	UROK	\N	\N
3584619	1647	1998-10-31	PRIJEM	\N	142	32234	UROK	\N	\N
3584620	1647	1998-11-30	PRIJEM	\N	159	39490	UROK	\N	\N
3584621	1647	1998-12-31	PRIJEM	\N	171	38976	UROK	\N	\N
3584622	1650	1997-12-31	PRIJEM	\N	80	24806	UROK	\N	\N
3584623	1650	1998-01-31	PRIJEM	\N	156	41379	UROK	\N	\N
3584624	1650	1998-02-28	PRIJEM	\N	196	49192	UROK	\N	\N
3584625	1650	1998-03-31	PRIJEM	\N	227	56437	UROK	\N	\N
3584626	1650	1998-04-30	PRIJEM	\N	230	39524	UROK	\N	\N
3584627	1650	1998-05-31	PRIJEM	\N	157	37034	UROK	\N	\N
3584628	1650	1998-06-30	PRIJEM	\N	180	45077	UROK	\N	\N
3584629	1650	1998-07-31	PRIJEM	\N	103	16079	UROK	\N	\N
3584630	1650	1998-08-31	PRIJEM	\N	108	28140	UROK	\N	\N
3584631	1650	1998-09-30	PRIJEM	\N	134	33128	UROK	\N	\N
3584632	1650	1998-10-31	PRIJEM	\N	158	39139	UROK	\N	\N
3584633	1650	1998-11-30	PRIJEM	\N	153	34046	UROK	\N	\N
3584634	1650	1998-12-31	PRIJEM	\N	150	33391	UROK	\N	\N
3584635	1651	1997-01-31	PRIJEM	\N	17	24496	UROK	\N	\N
3584636	1651	1997-02-28	PRIJEM	\N	102	22297	UROK	\N	\N
3584637	1651	1997-03-31	PRIJEM	\N	102	23999	UROK	\N	\N
3584638	1651	1997-04-30	PRIJEM	\N	102	26801	UROK	\N	\N
3584639	1651	1997-05-31	PRIJEM	\N	102	30303	UROK	\N	\N
3584640	1651	1997-06-30	PRIJEM	\N	102	32905	UROK	\N	\N
3584641	1651	1997-07-31	PRIJEM	\N	102	34807	UROK	\N	\N
3584642	1651	1997-08-31	PRIJEM	\N	102	40409	UROK	\N	\N
3584643	1651	1997-09-30	PRIJEM	\N	102	41111	UROK	\N	\N
3584644	1651	1997-10-31	PRIJEM	\N	120	58690	UROK	\N	\N
3584645	1651	1997-11-30	PRIJEM	\N	244	52934	UROK	\N	\N
3584646	1651	1997-12-31	PRIJEM	\N	244	51678	UROK	\N	\N
3584647	1651	1998-01-31	PRIJEM	\N	259	89014	UROK	\N	\N
3584648	1651	1998-02-28	PRIJEM	\N	361	73578	UROK	\N	\N
3584649	1651	1998-03-31	PRIJEM	\N	329	108306	UROK	\N	\N
3584650	1651	1998-04-30	PRIJEM	\N	213	59358	UROK	\N	\N
3584651	1651	1998-05-31	PRIJEM	\N	238	55748	UROK	\N	\N
3584652	1651	1998-06-30	PRIJEM	\N	282	73210	UROK	\N	\N
3584653	1651	1998-07-31	PRIJEM	\N	306	85276	UROK	\N	\N
3584654	1651	1998-08-31	PRIJEM	\N	353	67314	UROK	\N	\N
3584655	1651	1998-09-30	PRIJEM	\N	332	73676	UROK	\N	\N
3584656	1651	1998-10-31	PRIJEM	\N	305	63467	UROK	\N	\N
3584657	1651	1998-11-30	PRIJEM	\N	257	50208	UROK	\N	\N
3584658	1651	1998-12-31	PRIJEM	\N	223	78382	UROK	\N	\N
3584659	1652	1993-10-31	PRIJEM	\N	54	26584	UROK	\N	\N
3584660	1652	1993-11-30	PRIJEM	\N	111	26084	UROK	\N	\N
3584661	1652	1993-12-31	PRIJEM	\N	105	23718	UROK	\N	\N
3584662	1652	1994-01-31	PRIJEM	\N	86	15333	UROK	\N	\N
3584663	1652	1994-02-28	PRIJEM	\N	71	18193	UROK	\N	\N
3584664	1652	1994-03-31	PRIJEM	\N	83	21065	UROK	\N	\N
3584665	1652	1994-04-30	PRIJEM	\N	94	23949	UROK	\N	\N
3584666	1652	1994-05-31	PRIJEM	\N	92	20110	UROK	\N	\N
3584667	1652	1994-06-30	PRIJEM	\N	74	13623	UROK	\N	\N
3584668	1652	1994-07-31	PRIJEM	\N	64	16477	UROK	\N	\N
3584669	1652	1994-08-31	PRIJEM	\N	76	19342	UROK	\N	\N
3584670	1652	1994-09-30	PRIJEM	\N	88	22219	UROK	\N	\N
3584671	1652	1994-10-31	PRIJEM	\N	99	23266	UROK	\N	\N
3584672	1652	1994-11-30	PRIJEM	\N	101	25357	UROK	\N	\N
3584673	1652	1994-12-31	PRIJEM	\N	106	26852	UROK	\N	\N
3584674	1652	1995-01-31	PRIJEM	\N	95	19276	UROK	\N	\N
3584675	1652	1995-02-28	PRIJEM	\N	81	21026	UROK	\N	\N
3584676	1652	1995-03-31	PRIJEM	\N	95	23910	UROK	\N	\N
3584677	1652	1995-04-30	PRIJEM	\N	106	26806	UROK	\N	\N
3584678	1652	1995-05-31	PRIJEM	\N	119	29714	UROK	\N	\N
3584679	1652	1995-06-30	PRIJEM	\N	112	22715	UROK	\N	\N
3584680	1652	1995-07-31	PRIJEM	\N	82	20786	UROK	\N	\N
3584681	1652	1995-08-31	PRIJEM	\N	93	23669	UROK	\N	\N
3584682	1652	1995-09-30	PRIJEM	\N	95	24053	UROK	\N	\N
3584683	1652	1995-10-31	PRIJEM	\N	106	24309	UROK	\N	\N
3584684	1652	1995-11-30	PRIJEM	\N	105	23603	UROK	\N	\N
3584685	1652	1995-12-31	PRIJEM	\N	104	26246	UROK	\N	\N
3584686	1652	1996-01-31	PRIJEM	\N	88	16934	UROK	\N	\N
3584687	1652	1996-02-29	PRIJEM	\N	77	19800	UROK	\N	\N
3584688	1652	1996-03-31	PRIJEM	\N	89	22678	UROK	\N	\N
3584689	1652	1996-04-30	PRIJEM	\N	101	25568	UROK	\N	\N
3584690	1652	1996-05-31	PRIJEM	\N	104	26261	UROK	\N	\N
3584691	1652	1996-06-30	PRIJEM	\N	96	15637	UROK	\N	\N
3584692	1652	1996-07-31	PRIJEM	\N	71	18498	UROK	\N	\N
3584693	1652	1996-08-31	PRIJEM	\N	77	20164	UROK	\N	\N
3584694	1652	1996-09-30	PRIJEM	\N	76	19229	UROK	\N	\N
3584695	1652	1996-10-31	PRIJEM	\N	81	21200	UROK	\N	\N
3584696	1652	1996-11-30	PRIJEM	\N	85	20374	UROK	\N	\N
3584697	1652	1996-12-31	PRIJEM	\N	87	17850	UROK	\N	\N
3584698	1652	1997-01-31	PRIJEM	\N	63	13323	UROK	\N	\N
3584699	1652	1997-02-28	PRIJEM	\N	61	16173	UROK	\N	\N
3584700	1652	1997-03-31	PRIJEM	\N	65	13427	UROK	\N	\N
3584701	1652	1997-04-30	PRIJEM	\N	62	16278	UROK	\N	\N
3584702	1652	1997-05-31	PRIJEM	\N	73	17441	UROK	\N	\N
3584703	1652	1997-06-30	PRIJEM	\N	78	20308	UROK	\N	\N
3584704	1652	1997-07-31	PRIJEM	\N	89	21407	UROK	\N	\N
3584705	1652	1997-08-31	PRIJEM	\N	94	22990	UROK	\N	\N
3584706	1652	1997-09-30	PRIJEM	\N	96	19376	UROK	\N	\N
3584707	1652	1997-10-31	PRIJEM	\N	86	22251	UROK	\N	\N
3584708	1652	1997-11-30	PRIJEM	\N	91	17232	UROK	\N	\N
3584709	1652	1997-12-31	PRIJEM	\N	72	19193	UROK	\N	\N
3584710	1652	1998-01-31	PRIJEM	\N	66	15918	UROK	\N	\N
3584711	1652	1998-02-28	PRIJEM	\N	71	18779	UROK	\N	\N
3584712	1652	1998-03-31	PRIJEM	\N	83	21651	UROK	\N	\N
3584713	1652	1998-04-30	PRIJEM	\N	89	23010	UROK	\N	\N
3584714	1652	1998-05-31	PRIJEM	\N	101	25900	UROK	\N	\N
3584715	1652	1998-06-30	PRIJEM	\N	113	28802	UROK	\N	\N
3584716	1652	1998-07-31	PRIJEM	\N	125	31717	UROK	\N	\N
3584717	1652	1998-08-31	PRIJEM	\N	111	15016	UROK	\N	\N
3584718	1652	1998-09-30	PRIJEM	\N	67	17873	UROK	\N	\N
3584719	1652	1998-10-31	PRIJEM	\N	79	20741	UROK	\N	\N
3584720	1652	1998-11-30	PRIJEM	\N	83	20334	UROK	\N	\N
3584721	1652	1998-12-31	PRIJEM	\N	89	22812	UROK	\N	\N
3584722	1653	1994-10-31	PRIJEM	\N	38	21968	UROK	\N	\N
3584723	1653	1994-11-30	PRIJEM	\N	118	36516	UROK	\N	\N
3584724	1653	1994-12-31	PRIJEM	\N	176	49337	UROK	\N	\N
3584725	1653	1995-01-31	PRIJEM	\N	206	49672	UROK	\N	\N
3584726	1653	1995-02-28	PRIJEM	\N	207	50209	UROK	\N	\N
3584727	1653	1995-03-31	PRIJEM	\N	214	46083	UROK	\N	\N
3584728	1653	1995-04-30	PRIJEM	\N	198	43940	UROK	\N	\N
3584729	1653	1995-05-31	PRIJEM	\N	188	41688	UROK	\N	\N
3584730	1653	1995-06-30	PRIJEM	\N	186	46328	UROK	\N	\N
3584731	1653	1995-07-31	PRIJEM	\N	200	45987	UROK	\N	\N
3584732	1653	1995-08-31	PRIJEM	\N	182	41968	UROK	\N	\N
3584733	1653	1995-09-30	PRIJEM	\N	176	41303	UROK	\N	\N
3584734	1653	1995-10-31	PRIJEM	\N	174	41237	UROK	\N	\N
3584735	1653	1995-11-30	PRIJEM	\N	218	43214	UROK	\N	\N
3584736	1653	1995-12-31	PRIJEM	\N	186	47154	UROK	\N	\N
3584737	1653	1996-01-31	PRIJEM	\N	190	43663	UROK	\N	\N
3584738	1653	1996-02-29	PRIJEM	\N	198	52521	UROK	\N	\N
3584739	1653	1996-03-31	PRIJEM	\N	229	57169	UROK	\N	\N
3584740	1653	1996-04-30	PRIJEM	\N	239	60268	UROK	\N	\N
3584741	1653	1996-05-31	PRIJEM	\N	250	62477	UROK	\N	\N
3584742	1653	1996-06-30	PRIJEM	\N	275	56486	UROK	\N	\N
3584743	1653	1996-07-31	PRIJEM	\N	220	53145	UROK	\N	\N
3584744	1653	1996-08-31	PRIJEM	\N	228	60033	UROK	\N	\N
3584745	1653	1996-09-30	PRIJEM	\N	247	64839	UROK	\N	\N
3584746	1653	1996-10-31	PRIJEM	\N	239	59998	UROK	\N	\N
3584747	1653	1996-11-30	PRIJEM	\N	234	59091	UROK	\N	\N
3584748	1653	1996-12-31	PRIJEM	\N	248	64333	UROK	\N	\N
3584749	1653	1997-01-31	PRIJEM	\N	251	54744	UROK	\N	\N
3584750	1653	1997-02-28	PRIJEM	\N	231	63434	UROK	\N	\N
3584751	1653	1997-03-31	PRIJEM	\N	243	60816	UROK	\N	\N
3584752	1653	1997-04-30	PRIJEM	\N	254	68430	UROK	\N	\N
3584753	1653	1997-05-31	PRIJEM	\N	267	69976	UROK	\N	\N
3584754	1653	1997-06-30	PRIJEM	\N	275	63865	UROK	\N	\N
3584755	1653	1997-07-31	PRIJEM	\N	256	66380	UROK	\N	\N
3584756	1653	1997-08-31	PRIJEM	\N	285	76225	UROK	\N	\N
3584757	1653	1997-09-30	PRIJEM	\N	300	77605	UROK	\N	\N
3584758	1653	1997-10-31	PRIJEM	\N	305	79869	UROK	\N	\N
3584759	1653	1997-11-30	PRIJEM	\N	309	80637	UROK	\N	\N
3584760	1653	1997-12-31	PRIJEM	\N	323	90874	UROK	\N	\N
3584761	1653	1998-01-31	PRIJEM	\N	299	69452	UROK	\N	\N
3584762	1653	1998-02-28	PRIJEM	\N	249	64460	UROK	\N	\N
3584763	1653	1998-03-31	PRIJEM	\N	264	70784	UROK	\N	\N
3584764	1653	1998-04-30	PRIJEM	\N	282	74925	UROK	\N	\N
3584765	1653	1998-05-31	PRIJEM	\N	285	75469	UROK	\N	\N
3584766	1653	1998-06-30	PRIJEM	\N	299	83603	UROK	\N	\N
3584767	1653	1998-07-31	PRIJEM	\N	279	52941	UROK	\N	\N
3584768	1653	1998-08-31	PRIJEM	\N	258	51058	UROK	\N	\N
3584769	1653	1998-09-30	PRIJEM	\N	249	48667	UROK	\N	\N
3584770	1653	1998-10-31	PRIJEM	\N	236	44762	UROK	\N	\N
3584771	1653	1998-11-30	PRIJEM	\N	221	45542	UROK	\N	\N
3584772	1653	1998-12-31	PRIJEM	\N	251	74268	UROK	\N	\N
3584773	1655	1996-05-31	PRIJEM	\N	50	21958	UROK	\N	\N
3584774	1655	1996-06-30	PRIJEM	\N	132	39252	UROK	\N	\N
3584775	1655	1996-07-31	PRIJEM	\N	171	42531	UROK	\N	\N
3584776	1655	1996-08-31	PRIJEM	\N	165	38104	UROK	\N	\N
3584777	1655	1996-09-30	PRIJEM	\N	150	34158	UROK	\N	\N
3584778	1655	1996-10-31	PRIJEM	\N	145	30492	UROK	\N	\N
3584779	1655	1996-11-30	PRIJEM	\N	119	26640	UROK	\N	\N
3584780	1655	1996-12-31	PRIJEM	\N	122	29585	UROK	\N	\N
3584781	1655	1997-01-31	PRIJEM	\N	99	16294	UROK	\N	\N
3584782	1655	1997-02-28	PRIJEM	\N	81	19864	UROK	\N	\N
3584783	1655	1997-03-31	PRIJEM	\N	90	22444	UROK	\N	\N
3584784	1655	1997-04-30	PRIJEM	\N	90	20623	UROK	\N	\N
3584785	1655	1997-05-31	PRIJEM	\N	91	18604	UROK	\N	\N
3584786	1655	1997-06-30	PRIJEM	\N	88	21335	UROK	\N	\N
3584787	1655	1997-07-31	PRIJEM	\N	88	20212	UROK	\N	\N
3584788	1655	1997-08-31	PRIJEM	\N	82	18124	UROK	\N	\N
3584789	1655	1997-09-30	PRIJEM	\N	83	17497	UROK	\N	\N
3584790	1655	1997-10-31	PRIJEM	\N	85	19871	UROK	\N	\N
3584791	1655	1997-11-30	PRIJEM	\N	112	27172	UROK	\N	\N
3584792	1655	1997-12-31	PRIJEM	\N	171	41166	UROK	\N	\N
3584793	1655	1998-01-31	PRIJEM	\N	149	29265	UROK	\N	\N
3584794	1655	1998-02-28	PRIJEM	\N	135	31309	UROK	\N	\N
3584795	1655	1998-03-31	PRIJEM	\N	143	33942	UROK	\N	\N
3584796	1655	1998-04-30	PRIJEM	\N	158	37589	UROK	\N	\N
3584797	1655	1998-05-31	PRIJEM	\N	155	33473	UROK	\N	\N
3584798	1655	1998-06-30	PRIJEM	\N	181	44898	UROK	\N	\N
3584799	1655	1998-07-31	PRIJEM	\N	168	37415	UROK	\N	\N
3584800	1655	1998-08-31	PRIJEM	\N	154	36999	UROK	\N	\N
3584801	1655	1998-09-30	PRIJEM	\N	174	41762	UROK	\N	\N
3584802	1655	1998-10-31	PRIJEM	\N	187	44638	UROK	\N	\N
3584803	1655	1998-11-30	PRIJEM	\N	200	47687	UROK	\N	\N
3584804	1655	1998-12-31	PRIJEM	\N	222	54693	UROK	\N	\N
3584805	1656	1997-02-28	PRIJEM	\N	61	24287	UROK	\N	\N
3584806	1656	1997-03-31	PRIJEM	\N	170	50184	UROK	\N	\N
3584807	1656	1997-04-30	PRIJEM	\N	233	59442	UROK	\N	\N
3584808	1656	1997-05-31	PRIJEM	\N	255	62423	UROK	\N	\N
3584809	1656	1997-06-30	PRIJEM	\N	284	69396	UROK	\N	\N
3584810	1656	1997-07-31	PRIJEM	\N	209	36817	UROK	\N	\N
3584811	1656	1997-08-31	PRIJEM	\N	103	23118	UROK	\N	\N
3584812	1656	1997-09-30	PRIJEM	\N	116	30532	UROK	\N	\N
3584813	1656	1997-10-31	PRIJEM	\N	146	37077	UROK	\N	\N
3584814	1656	1997-11-30	PRIJEM	\N	177	35852	UROK	\N	\N
3584815	1656	1997-12-31	PRIJEM	\N	192	42105	UROK	\N	\N
3584816	1656	1998-01-31	PRIJEM	\N	158	24761	UROK	\N	\N
3584817	1656	1998-02-28	PRIJEM	\N	122	34181	UROK	\N	\N
3584818	1656	1998-03-31	PRIJEM	\N	150	38330	UROK	\N	\N
3584819	1656	1998-04-30	PRIJEM	\N	180	37508	UROK	\N	\N
3584820	1656	1998-05-31	PRIJEM	\N	160	26666	UROK	\N	\N
3584821	1656	1998-06-30	PRIJEM	\N	134	34061	UROK	\N	\N
3584822	1656	1998-07-31	PRIJEM	\N	144	34004	UROK	\N	\N
3584823	1656	1998-08-31	PRIJEM	\N	139	31141	UROK	\N	\N
3584824	1656	1998-09-30	PRIJEM	\N	146	32002	UROK	\N	\N
3584825	1656	1998-10-31	PRIJEM	\N	145	37745	UROK	\N	\N
3584826	1656	1998-11-30	PRIJEM	\N	134	32423	UROK	\N	\N
3584827	1656	1998-12-31	PRIJEM	\N	182	45712	UROK	\N	\N
3584828	1657	1997-11-30	PRIJEM	\N	10	3545	UROK	\N	\N
3584829	1657	1997-12-31	PRIJEM	\N	15	6795	UROK	\N	\N
3584830	1657	1998-01-31	PRIJEM	\N	15	10045	UROK	\N	\N
3584831	1657	1998-02-28	PRIJEM	\N	15	13295	UROK	\N	\N
3584832	1657	1998-03-31	PRIJEM	\N	44	14417	UROK	\N	\N
3584833	1657	1998-04-30	PRIJEM	\N	63	15545	UROK	\N	\N
3584834	1657	1998-05-31	PRIJEM	\N	67	16166	UROK	\N	\N
3584835	1657	1998-06-30	PRIJEM	\N	70	17300	UROK	\N	\N
3584836	1657	1998-07-31	PRIJEM	\N	75	18440	UROK	\N	\N
3584837	1657	1998-08-31	PRIJEM	\N	79	19073	UROK	\N	\N
3584838	1657	1998-09-30	PRIJEM	\N	82	20220	UROK	\N	\N
3584839	1657	1998-10-31	PRIJEM	\N	87	21041	UROK	\N	\N
3584840	1657	1998-11-30	PRIJEM	\N	90	22196	UROK	\N	\N
3584841	1657	1998-12-31	PRIJEM	\N	95	22995	UROK	\N	\N
3584842	1658	1993-10-31	PRIJEM	\N	43	13853	UROK	\N	\N
3584843	1658	1993-11-30	PRIJEM	\N	62	14962	UROK	\N	\N
3584844	1658	1993-12-31	PRIJEM	\N	65	15354	UROK	\N	\N
3584845	1658	1994-01-31	PRIJEM	\N	59	12321	UROK	\N	\N
3584846	1658	1994-02-28	PRIJEM	\N	56	13424	UROK	\N	\N
3584847	1658	1994-03-31	PRIJEM	\N	57	12908	UROK	\N	\N
3584848	1658	1994-04-30	PRIJEM	\N	58	14014	UROK	\N	\N
3584849	1658	1994-05-31	PRIJEM	\N	62	14763	UROK	\N	\N
3584850	1658	1994-06-30	PRIJEM	\N	61	14611	UROK	\N	\N
3584851	1658	1994-07-31	PRIJEM	\N	65	15724	UROK	\N	\N
3584852	1658	1994-08-31	PRIJEM	\N	67	15938	UROK	\N	\N
3584853	1658	1994-09-30	PRIJEM	\N	71	17056	UROK	\N	\N
3584854	1658	1994-10-31	PRIJEM	\N	75	18179	UROK	\N	\N
3584855	1658	1994-11-30	PRIJEM	\N	80	19307	UROK	\N	\N
3584856	1658	1994-12-31	PRIJEM	\N	83	19506	UROK	\N	\N
3584857	1658	1995-01-31	PRIJEM	\N	75	16609	UROK	\N	\N
3584858	1658	1995-02-28	PRIJEM	\N	73	16289	UROK	\N	\N
3584859	1658	1995-03-31	PRIJEM	\N	72	17409	UROK	\N	\N
3584860	1658	1995-04-30	PRIJEM	\N	74	17120	UROK	\N	\N
3584861	1658	1995-05-31	PRIJEM	\N	76	18243	UROK	\N	\N
3584862	1658	1995-06-30	PRIJEM	\N	75	13545	UROK	\N	\N
3584863	1658	1995-07-31	PRIJEM	\N	61	14653	UROK	\N	\N
3584864	1658	1995-08-31	PRIJEM	\N	65	15765	UROK	\N	\N
3584865	1658	1995-09-30	PRIJEM	\N	67	15980	UROK	\N	\N
3584866	1658	1995-10-31	PRIJEM	\N	70	16888	UROK	\N	\N
3584867	1658	1995-11-30	PRIJEM	\N	74	18009	UROK	\N	\N
3584868	1658	1995-12-31	PRIJEM	\N	76	17843	UROK	\N	\N
3584869	1658	1996-01-31	PRIJEM	\N	61	14001	UROK	\N	\N
3584870	1658	1996-02-29	PRIJEM	\N	62	15111	UROK	\N	\N
3584871	1658	1996-03-31	PRIJEM	\N	67	16225	UROK	\N	\N
3584872	1658	1996-04-30	PRIJEM	\N	71	17344	UROK	\N	\N
3584873	1658	1996-05-31	PRIJEM	\N	76	18467	UROK	\N	\N
3584874	1658	1996-06-30	PRIJEM	\N	81	19595	UROK	\N	\N
3584875	1658	1996-07-31	PRIJEM	\N	85	20158	UROK	\N	\N
3584876	1658	1996-08-31	PRIJEM	\N	88	21293	UROK	\N	\N
3584877	1658	1996-09-30	PRIJEM	\N	89	21109	UROK	\N	\N
3584878	1658	1996-10-31	PRIJEM	\N	92	22248	UROK	\N	\N
3584879	1658	1996-11-30	PRIJEM	\N	96	23392	UROK	\N	\N
3584880	1658	1996-12-31	PRIJEM	\N	100	24240	UROK	\N	\N
3584881	1658	1997-01-31	PRIJEM	\N	91	18958	UROK	\N	\N
3584882	1658	1997-02-28	PRIJEM	\N	82	20088	UROK	\N	\N
3584883	1658	1997-03-31	PRIJEM	\N	87	21223	UROK	\N	\N
3584884	1658	1997-04-30	PRIJEM	\N	92	22362	UROK	\N	\N
3584885	1658	1997-05-31	PRIJEM	\N	97	23506	UROK	\N	\N
3584886	1658	1997-06-30	PRIJEM	\N	76	17489	UROK	\N	\N
3584887	1658	1997-07-31	PRIJEM	\N	76	18613	UROK	\N	\N
3584888	1658	1997-08-31	PRIJEM	\N	81	19741	UROK	\N	\N
3584889	1658	1997-09-30	PRIJEM	\N	85	20874	UROK	\N	\N
3584890	1658	1997-10-31	PRIJEM	\N	90	22011	UROK	\N	\N
3584891	1658	1997-11-30	PRIJEM	\N	90	20538	UROK	\N	\N
3584892	1658	1997-12-31	PRIJEM	\N	87	21222	UROK	\N	\N
3584893	1658	1998-01-31	PRIJEM	\N	85	18364	UROK	\N	\N
3584894	1658	1998-02-28	PRIJEM	\N	79	19491	UROK	\N	\N
3584895	1658	1998-03-31	PRIJEM	\N	84	20622	UROK	\N	\N
3584896	1658	1998-04-30	PRIJEM	\N	89	21758	UROK	\N	\N
3584897	1658	1998-05-31	PRIJEM	\N	88	21514	UROK	\N	\N
3584898	1658	1998-06-30	PRIJEM	\N	89	20101	UROK	\N	\N
3584899	1658	1998-07-31	PRIJEM	\N	86	21235	UROK	\N	\N
3584900	1658	1998-08-31	PRIJEM	\N	91	22373	UROK	\N	\N
3584901	1658	1998-09-30	PRIJEM	\N	95	23035	UROK	\N	\N
3584902	1658	1998-10-31	PRIJEM	\N	97	22740	UROK	\N	\N
3584903	1658	1998-11-30	PRIJEM	\N	97	23884	UROK	\N	\N
3584904	1658	1998-12-31	PRIJEM	\N	101	24522	UROK	\N	\N
3584905	1659	1997-05-31	PRIJEM	\N	25	23660	UROK	\N	\N
3584906	1659	1997-06-30	PRIJEM	\N	93	15470	UROK	\N	\N
3584907	1659	1997-07-31	PRIJEM	\N	74	18610	UROK	\N	\N
3584908	1659	1997-08-31	PRIJEM	\N	87	21763	UROK	\N	\N
3584909	1659	1997-09-30	PRIJEM	\N	100	24929	UROK	\N	\N
3584910	1659	1997-10-31	PRIJEM	\N	110	24425	UROK	\N	\N
3584911	1659	1997-11-30	PRIJEM	\N	111	27602	UROK	\N	\N
3584912	1659	1997-12-31	PRIJEM	\N	123	30392	UROK	\N	\N
3584913	1659	1998-01-31	PRIJEM	\N	115	24663	UROK	\N	\N
3584914	1659	1998-02-28	PRIJEM	\N	111	27841	UROK	\N	\N
3584915	1659	1998-03-31	PRIJEM	\N	125	31033	UROK	\N	\N
3584916	1659	1998-04-30	PRIJEM	\N	135	32034	UROK	\N	\N
3584917	1659	1998-05-31	PRIJEM	\N	135	31475	UROK	\N	\N
3584918	1659	1998-06-30	PRIJEM	\N	120	27311	UROK	\N	\N
3584919	1659	1998-07-31	PRIJEM	\N	123	30500	UROK	\N	\N
3584920	1659	1998-08-31	PRIJEM	\N	136	33702	UROK	\N	\N
3584921	1659	1998-09-30	PRIJEM	\N	148	36116	UROK	\N	\N
3584922	1659	1998-10-31	PRIJEM	\N	155	37338	UROK	\N	\N
3584923	1659	1998-11-30	PRIJEM	\N	164	40088	UROK	\N	\N
3584924	1659	1998-12-31	PRIJEM	\N	160	33044	UROK	\N	\N
3584925	1660	1995-09-30	PRIJEM	\N	22	38734	UROK	\N	\N
3584926	1660	1995-10-31	PRIJEM	\N	173	49411	UROK	\N	\N
3584927	1660	1995-11-30	PRIJEM	\N	205	35116	UROK	\N	\N
3584928	1660	1995-12-31	PRIJEM	\N	182	34055	UROK	\N	\N
3584929	1660	1996-01-31	PRIJEM	\N	166	49712	UROK	\N	\N
3584930	1660	1996-02-29	PRIJEM	\N	206	35419	UROK	\N	\N
3584931	1660	1996-03-31	PRIJEM	\N	185	36395	UROK	\N	\N
3584932	1660	1996-04-30	PRIJEM	\N	114	12740	UROK	\N	\N
3584933	1660	1996-05-31	PRIJEM	\N	59	14484	UROK	\N	\N
3584934	1660	1996-06-30	PRIJEM	\N	232	39210	UROK	\N	\N
3584935	1660	1996-07-31	PRIJEM	\N	129	16334	UROK	\N	\N
3584936	1660	1996-08-31	PRIJEM	\N	111	37835	UROK	\N	\N
3584937	1660	1996-09-30	PRIJEM	\N	78	3898	UROK	\N	\N
3584938	1660	1996-10-31	PRIJEM	\N	18	4815	UROK	\N	\N
3584939	1660	1996-11-30	PRIJEM	\N	20	7921	UROK	\N	\N
3584940	1660	1996-12-31	PRIJEM	\N	29	5235	UROK	\N	\N
3584941	1660	1997-01-31	PRIJEM	\N	88	28272	UROK	\N	\N
3584942	1660	1997-02-28	PRIJEM	\N	128	63023	UROK	\N	\N
3584943	1660	1997-03-31	PRIJEM	\N	239	48513	UROK	\N	\N
3584944	1660	1997-04-30	PRIJEM	\N	189	76251	UROK	\N	\N
3584945	1660	1997-05-31	PRIJEM	\N	329	98199	UROK	\N	\N
3584946	1660	1997-06-30	PRIJEM	\N	248	71157	UROK	\N	\N
3584947	1660	1997-07-31	PRIJEM	\N	266	59543	UROK	\N	\N
3584948	1660	1997-08-31	PRIJEM	\N	284	77124	UROK	\N	\N
3584949	1660	1997-09-30	PRIJEM	\N	236	45397	UROK	\N	\N
3584950	1660	1997-10-31	PRIJEM	\N	235	74206	UROK	\N	\N
3584951	1660	1997-11-30	PRIJEM	\N	349	97999	UROK	\N	\N
3584952	1660	1997-12-31	PRIJEM	\N	384	55369	UROK	\N	\N
3584953	1660	1998-01-31	PRIJEM	\N	200	39049	UROK	\N	\N
3584954	1660	1998-02-28	PRIJEM	\N	237	93442	UROK	\N	\N
3584955	1660	1998-03-31	PRIJEM	\N	384	60411	UROK	\N	\N
3584956	1660	1998-04-30	PRIJEM	\N	223	49749	UROK	\N	\N
3584957	1660	1998-05-31	PRIJEM	\N	184	22290	UROK	\N	\N
3584958	1660	1998-06-30	PRIJEM	\N	133	26430	UROK	\N	\N
3584959	1660	1998-07-31	PRIJEM	\N	297	107446	UROK	\N	\N
3584960	1660	1998-08-31	PRIJEM	\N	381	59366	UROK	\N	\N
3584961	1660	1998-09-30	PRIJEM	\N	271	86055	UROK	\N	\N
3584962	1660	1998-10-31	PRIJEM	\N	352	49392	UROK	\N	\N
3584963	1660	1998-11-30	PRIJEM	\N	204	63852	UROK	\N	\N
3584964	1660	1998-12-31	PRIJEM	\N	325	106915	UROK	\N	\N
3584965	1662	1997-08-31	PRIJEM	\N	59	22173	UROK	\N	\N
3584966	1662	1997-09-30	PRIJEM	\N	150	44037	UROK	\N	\N
3584967	1662	1997-10-31	PRIJEM	\N	212	54863	UROK	\N	\N
3584968	1662	1997-11-30	PRIJEM	\N	249	62926	UROK	\N	\N
3584969	1662	1997-12-31	PRIJEM	\N	299	76696	UROK	\N	\N
3584970	1662	1998-01-31	PRIJEM	\N	249	55218	UROK	\N	\N
3584971	1662	1998-02-28	PRIJEM	\N	218	56809	UROK	\N	\N
3584972	1662	1998-03-31	PRIJEM	\N	227	56810	UROK	\N	\N
3584973	1662	1998-04-30	PRIJEM	\N	220	55603	UROK	\N	\N
3584974	1662	1998-05-31	PRIJEM	\N	231	59207	UROK	\N	\N
3584975	1662	1998-06-30	PRIJEM	\N	273	71710	UROK	\N	\N
3584976	1662	1998-07-31	PRIJEM	\N	289	73573	UROK	\N	\N
3584977	1662	1998-08-31	PRIJEM	\N	269	68615	UROK	\N	\N
3584978	1662	1998-09-30	PRIJEM	\N	258	64546	UROK	\N	\N
3584979	1662	1998-10-31	PRIJEM	\N	245	61565	UROK	\N	\N
3584980	1662	1998-11-30	PRIJEM	\N	212	55350	UROK	\N	\N
3584981	1662	1998-12-31	PRIJEM	\N	206	56686	UROK	\N	\N
3584982	1663	1996-11-30	PRIJEM	\N	20	6686	UROK	\N	\N
3584983	1663	1996-12-31	PRIJEM	\N	28	13080	UROK	\N	\N
3584984	1663	1997-01-31	PRIJEM	\N	28	19474	UROK	\N	\N
3584985	1663	1997-02-28	PRIJEM	\N	28	25868	UROK	\N	\N
3584986	1663	1997-03-31	PRIJEM	\N	67	29181	UROK	\N	\N
3584987	1663	1997-04-30	PRIJEM	\N	123	30615	UROK	\N	\N
3584988	1663	1997-05-31	PRIJEM	\N	130	32256	UROK	\N	\N
3584989	1663	1997-06-30	PRIJEM	\N	124	27742	UROK	\N	\N
3584990	1663	1997-07-31	PRIJEM	\N	118	29771	UROK	\N	\N
3584991	1663	1997-08-31	PRIJEM	\N	133	30475	UROK	\N	\N
3584992	1663	1997-09-30	PRIJEM	\N	137	32724	UROK	\N	\N
3584993	1663	1997-10-31	PRIJEM	\N	146	36582	UROK	\N	\N
3584994	1663	1997-11-30	PRIJEM	\N	161	37954	UROK	\N	\N
3584995	1663	1997-12-31	PRIJEM	\N	157	37563	UROK	\N	\N
3584996	1663	1998-01-31	PRIJEM	\N	164	39538	UROK	\N	\N
3584997	1663	1998-02-28	PRIJEM	\N	174	43424	UROK	\N	\N
3584998	1663	1998-03-31	PRIJEM	\N	184	41699	UROK	\N	\N
3584999	1663	1998-04-30	PRIJEM	\N	182	44412	UROK	\N	\N
3585000	1663	1998-05-31	PRIJEM	\N	194	47517	UROK	\N	\N
3585001	1663	1998-06-30	PRIJEM	\N	202	40781	UROK	\N	\N
3585002	1663	1998-07-31	PRIJEM	\N	179	42171	UROK	\N	\N
3585003	1663	1998-08-31	PRIJEM	\N	186	46068	UROK	\N	\N
3585004	1663	1998-09-30	PRIJEM	\N	202	49581	UROK	\N	\N
3585005	1663	1998-10-31	PRIJEM	\N	212	49744	UROK	\N	\N
3585006	1663	1998-11-30	PRIJEM	\N	213	51109	UROK	\N	\N
3585007	1663	1998-12-31	PRIJEM	\N	220	54290	UROK	\N	\N
3585008	1664	1993-12-31	PRIJEM	\N	63	27753	UROK	\N	\N
3585009	1664	1994-01-31	PRIJEM	\N	141	38487	UROK	\N	\N
3585010	1664	1994-02-28	PRIJEM	\N	167	41347	UROK	\N	\N
3585011	1664	1994-03-31	PRIJEM	\N	183	46323	UROK	\N	\N
3585012	1664	1994-04-30	PRIJEM	\N	188	44704	UROK	\N	\N
3585013	1664	1994-05-31	PRIJEM	\N	188	40216	UROK	\N	\N
3585014	1664	1994-06-30	PRIJEM	\N	188	42926	UROK	\N	\N
3585015	1664	1994-07-31	PRIJEM	\N	174	34324	UROK	\N	\N
3585016	1664	1994-08-31	PRIJEM	\N	163	39612	UROK	\N	\N
3585017	1664	1994-09-30	PRIJEM	\N	169	39705	UROK	\N	\N
3585018	1664	1994-10-31	PRIJEM	\N	166	38996	UROK	\N	\N
3585019	1664	1994-11-30	PRIJEM	\N	166	39486	UROK	\N	\N
3585020	1664	1994-12-31	PRIJEM	\N	187	44394	UROK	\N	\N
3585021	1664	1995-01-31	PRIJEM	\N	138	29557	UROK	\N	\N
3585022	1664	1995-02-28	PRIJEM	\N	166	44447	UROK	\N	\N
3585023	1664	1995-03-31	PRIJEM	\N	187	44659	UROK	\N	\N
3585024	1664	1995-04-30	PRIJEM	\N	234	44017	UROK	\N	\N
3585025	1664	1995-05-31	PRIJEM	\N	231	41273	UROK	\N	\N
3585026	1664	1995-06-30	PRIJEM	\N	205	53799	UROK	\N	\N
3585027	1664	1995-07-31	PRIJEM	\N	226	55550	UROK	\N	\N
3585028	1664	1995-08-31	PRIJEM	\N	221	53295	UROK	\N	\N
3585029	1664	1995-09-30	PRIJEM	\N	214	53634	UROK	\N	\N
3585030	1664	1995-10-31	PRIJEM	\N	221	55779	UROK	\N	\N
3585031	1664	1995-11-30	PRIJEM	\N	195	46898	UROK	\N	\N
3585032	1664	1995-12-31	PRIJEM	\N	215	51834	UROK	\N	\N
3585033	1664	1996-01-31	PRIJEM	\N	143	30702	UROK	\N	\N
3585034	1664	1996-02-29	PRIJEM	\N	162	43788	UROK	\N	\N
3585035	1664	1996-03-31	PRIJEM	\N	171	43384	UROK	\N	\N
3585036	1664	1996-04-30	PRIJEM	\N	179	45587	UROK	\N	\N
3585037	1664	1996-05-31	PRIJEM	\N	197	48208	UROK	\N	\N
3585038	1664	1996-06-30	PRIJEM	\N	212	34741	UROK	\N	\N
3585039	1664	1996-07-31	PRIJEM	\N	148	37613	UROK	\N	\N
3585040	1664	1996-08-31	PRIJEM	\N	163	43201	UROK	\N	\N
3585041	1664	1996-09-30	PRIJEM	\N	138	38563	UROK	\N	\N
3585042	1664	1996-10-31	PRIJEM	\N	133	20420	UROK	\N	\N
3585043	1664	1996-11-30	PRIJEM	\N	130	22774	UROK	\N	\N
3585044	1664	1996-12-31	PRIJEM	\N	166	24261	UROK	\N	\N
3585045	1664	1997-01-31	PRIJEM	\N	118	30604	UROK	\N	\N
3585046	1664	1997-02-28	PRIJEM	\N	168	25096	UROK	\N	\N
3585047	1664	1997-03-31	PRIJEM	\N	144	19065	UROK	\N	\N
3585048	1664	1997-04-30	PRIJEM	\N	119	15708	UROK	\N	\N
3585049	1664	1997-05-31	PRIJEM	\N	108	29941	UROK	\N	\N
3585050	1664	1997-06-30	PRIJEM	\N	165	22427	UROK	\N	\N
3585051	1664	1997-07-31	PRIJEM	\N	142	39093	UROK	\N	\N
3585052	1664	1997-08-31	PRIJEM	\N	184	21701	UROK	\N	\N
3585053	1664	1997-09-30	PRIJEM	\N	138	38363	UROK	\N	\N
3585054	1664	1997-10-31	PRIJEM	\N	177	21864	UROK	\N	\N
3585055	1664	1997-11-30	PRIJEM	\N	119	18808	UROK	\N	\N
3585056	1664	1997-12-31	PRIJEM	\N	133	20362	UROK	\N	\N
3585057	1664	1998-01-31	PRIJEM	\N	99	19086	UROK	\N	\N
3585058	1664	1998-02-28	PRIJEM	\N	125	35735	UROK	\N	\N
3585059	1664	1998-03-31	PRIJEM	\N	196	52456	UROK	\N	\N
3585060	1664	1998-04-30	PRIJEM	\N	201	18181	UROK	\N	\N
3585061	1664	1998-05-31	PRIJEM	\N	123	34829	UROK	\N	\N
3585062	1664	1998-06-30	PRIJEM	\N	165	17115	UROK	\N	\N
3585063	1664	1998-07-31	PRIJEM	\N	118	33758	UROK	\N	\N
3585064	1664	1998-08-31	PRIJEM	\N	187	50469	UROK	\N	\N
3585065	1664	1998-09-30	PRIJEM	\N	185	20479	UROK	\N	\N
3585066	1664	1998-10-31	PRIJEM	\N	129	36132	UROK	\N	\N
3585067	1664	1998-11-30	PRIJEM	\N	196	52853	UROK	\N	\N
3585068	1664	1998-12-31	PRIJEM	\N	195	20269	UROK	\N	\N
3585069	1665	1997-08-31	PRIJEM	\N	56	22080	UROK	\N	\N
3585070	1665	1997-09-30	PRIJEM	\N	93	22504	UROK	\N	\N
3585071	1665	1997-10-31	PRIJEM	\N	94	21677	UROK	\N	\N
3585072	1665	1997-11-30	PRIJEM	\N	88	21003	UROK	\N	\N
3585073	1665	1997-12-31	PRIJEM	\N	79	17920	UROK	\N	\N
3585074	1665	1998-01-31	PRIJEM	\N	85	21744	UROK	\N	\N
3585075	1665	1998-02-28	PRIJEM	\N	83	19405	UROK	\N	\N
3585076	1665	1998-03-31	PRIJEM	\N	84	20448	UROK	\N	\N
3585077	1665	1998-04-30	PRIJEM	\N	85	21371	UROK	\N	\N
3585078	1665	1998-05-31	PRIJEM	\N	103	26412	UROK	\N	\N
3585079	1665	1998-06-30	PRIJEM	\N	97	17798	UROK	\N	\N
3585080	1665	1998-07-31	PRIJEM	\N	88	22825	UROK	\N	\N
3585081	1665	1998-08-31	PRIJEM	\N	109	27872	UROK	\N	\N
3585082	1665	1998-09-30	PRIJEM	\N	127	32438	UROK	\N	\N
3585083	1665	1998-10-31	PRIJEM	\N	149	37525	UROK	\N	\N
3585084	1665	1998-11-30	PRIJEM	\N	141	31864	UROK	\N	\N
3585085	1665	1998-12-31	PRIJEM	\N	133	33136	UROK	\N	\N
3585086	1666	1994-02-28	PRIJEM	\N	7	22535	UROK	\N	\N
3585087	1666	1994-03-31	PRIJEM	\N	104	23996	UROK	\N	\N
3585088	1666	1994-04-30	PRIJEM	\N	111	25685	UROK	\N	\N
3585089	1666	1994-05-31	PRIJEM	\N	118	27781	UROK	\N	\N
3585090	1666	1994-06-30	PRIJEM	\N	106	21415	UROK	\N	\N
3585091	1666	1994-07-31	PRIJEM	\N	95	22049	UROK	\N	\N
3585092	1666	1994-08-31	PRIJEM	\N	103	25230	UROK	\N	\N
3585093	1666	1994-09-30	PRIJEM	\N	116	28625	UROK	\N	\N
3585094	1666	1994-10-31	PRIJEM	\N	120	26543	UROK	\N	\N
3585095	1666	1994-11-30	PRIJEM	\N	121	29743	UROK	\N	\N
3585096	1666	1994-12-31	PRIJEM	\N	124	26165	UROK	\N	\N
3585097	1666	1995-01-31	PRIJEM	\N	106	23450	UROK	\N	\N
3585098	1666	1995-02-28	PRIJEM	\N	108	27536	UROK	\N	\N
3585099	1666	1995-03-31	PRIJEM	\N	111	26386	UROK	\N	\N
3585100	1666	1995-04-30	PRIJEM	\N	117	26081	UROK	\N	\N
3585101	1666	1995-05-31	PRIJEM	\N	116	26576	UROK	\N	\N
3585102	1666	1995-06-30	PRIJEM	\N	90	18244	UROK	\N	\N
3585103	1666	1995-07-31	PRIJEM	\N	88	22310	UROK	\N	\N
3585104	1666	1995-08-31	PRIJEM	\N	103	24712	UROK	\N	\N
3585105	1666	1995-09-30	PRIJEM	\N	110	25900	UROK	\N	\N
3585106	1666	1995-10-31	PRIJEM	\N	119	29997	UROK	\N	\N
3585107	1666	1995-11-30	PRIJEM	\N	130	30406	UROK	\N	\N
3585108	1666	1995-12-31	PRIJEM	\N	131	30685	UROK	\N	\N
3585109	1666	1996-01-31	PRIJEM	\N	116	24619	UROK	\N	\N
3585110	1666	1996-02-29	PRIJEM	\N	114	28711	UROK	\N	\N
3585111	1666	1996-03-31	PRIJEM	\N	131	32820	UROK	\N	\N
3585112	1666	1996-04-30	PRIJEM	\N	137	33655	UROK	\N	\N
3585113	1666	1996-05-31	PRIJEM	\N	151	37785	UROK	\N	\N
3585114	1666	1996-06-30	PRIJEM	\N	131	27095	UROK	\N	\N
3585115	1666	1996-07-31	PRIJEM	\N	115	28068	UROK	\N	\N
3585116	1666	1996-08-31	PRIJEM	\N	128	32175	UROK	\N	\N
3585117	1666	1996-09-30	PRIJEM	\N	145	36298	UROK	\N	\N
3585118	1666	1996-10-31	PRIJEM	\N	157	38333	UROK	\N	\N
3585119	1666	1996-11-30	PRIJEM	\N	160	39992	UROK	\N	\N
3585120	1666	1996-12-31	PRIJEM	\N	174	43544	UROK	\N	\N
3585121	1666	1997-01-31	PRIJEM	\N	153	31915	UROK	\N	\N
3585122	1666	1997-02-28	PRIJEM	\N	143	36037	UROK	\N	\N
3585123	1666	1997-03-31	PRIJEM	\N	153	36968	UROK	\N	\N
3585124	1666	1997-04-30	PRIJEM	\N	163	40329	UROK	\N	\N
3585125	1666	1997-05-31	PRIJEM	\N	167	40375	UROK	\N	\N
3585126	1666	1997-06-30	PRIJEM	\N	173	37026	UROK	\N	\N
3585127	1666	1997-07-31	PRIJEM	\N	159	39164	UROK	\N	\N
3585128	1666	1997-08-31	PRIJEM	\N	154	36036	UROK	\N	\N
3585129	1666	1997-09-30	PRIJEM	\N	156	38811	UROK	\N	\N
3585130	1666	1997-10-31	PRIJEM	\N	171	41840	UROK	\N	\N
3585131	1666	1997-11-30	PRIJEM	\N	179	44497	UROK	\N	\N
3585132	1666	1997-12-31	PRIJEM	\N	182	44707	UROK	\N	\N
3585133	1666	1998-01-31	PRIJEM	\N	162	31468	UROK	\N	\N
3585134	1666	1998-02-28	PRIJEM	\N	140	35586	UROK	\N	\N
3585135	1666	1998-03-31	PRIJEM	\N	158	39722	UROK	\N	\N
3585136	1666	1998-04-30	PRIJEM	\N	159	36660	UROK	\N	\N
3585137	1666	1998-05-31	PRIJEM	\N	162	40800	UROK	\N	\N
3585138	1666	1998-06-30	PRIJEM	\N	157	31045	UROK	\N	\N
3585139	1666	1998-07-31	PRIJEM	\N	138	35162	UROK	\N	\N
3585140	1666	1998-08-31	PRIJEM	\N	156	39296	UROK	\N	\N
3585141	1666	1998-09-30	PRIJEM	\N	171	42085	UROK	\N	\N
3585142	1666	1998-10-31	PRIJEM	\N	178	43602	UROK	\N	\N
3585143	1666	1998-11-30	PRIJEM	\N	190	47770	UROK	\N	\N
3585144	1666	1998-12-31	PRIJEM	\N	202	50901	UROK	\N	\N
3585145	1667	1996-09-30	PRIJEM	\N	25	12862	UROK	\N	\N
3585146	1667	1996-10-31	PRIJEM	\N	71	21670	UROK	\N	\N
3585147	1667	1996-11-30	PRIJEM	\N	98	25706	UROK	\N	\N
3585148	1667	1996-12-31	PRIJEM	\N	119	31330	UROK	\N	\N
3585149	1667	1997-01-31	PRIJEM	\N	124	20151	UROK	\N	\N
3585150	1667	1997-02-28	PRIJEM	\N	100	27574	UROK	\N	\N
3585151	1667	1997-03-31	PRIJEM	\N	129	34125	UROK	\N	\N
3585152	1667	1997-04-30	PRIJEM	\N	135	30782	UROK	\N	\N
3585153	1667	1997-05-31	PRIJEM	\N	126	30031	UROK	\N	\N
3585154	1667	1997-06-30	PRIJEM	\N	125	26307	UROK	\N	\N
3585155	1667	1997-07-31	PRIJEM	\N	114	28043	UROK	\N	\N
3585156	1667	1997-08-31	PRIJEM	\N	116	27521	UROK	\N	\N
3585157	1667	1997-09-30	PRIJEM	\N	108	25251	UROK	\N	\N
3585158	1667	1997-10-31	PRIJEM	\N	108	26482	UROK	\N	\N
3585159	1667	1997-11-30	PRIJEM	\N	105	24749	UROK	\N	\N
3585160	1667	1997-12-31	PRIJEM	\N	113	28874	UROK	\N	\N
3585161	1667	1998-01-31	PRIJEM	\N	64	11480	UROK	\N	\N
3585162	1667	1998-02-28	PRIJEM	\N	55	13957	UROK	\N	\N
3585163	1667	1998-03-31	PRIJEM	\N	68	17647	UROK	\N	\N
3585164	1667	1998-04-30	PRIJEM	\N	75	18244	UROK	\N	\N
3585165	1667	1998-05-31	PRIJEM	\N	79	19826	UROK	\N	\N
3585166	1667	1998-06-30	PRIJEM	\N	79	18796	UROK	\N	\N
3585167	1667	1998-07-31	PRIJEM	\N	76	17994	UROK	\N	\N
3585168	1667	1998-08-31	PRIJEM	\N	75	18392	UROK	\N	\N
3585169	1667	1998-09-30	PRIJEM	\N	80	19995	UROK	\N	\N
3585170	1667	1998-10-31	PRIJEM	\N	93	23710	UROK	\N	\N
3585171	1667	1998-11-30	PRIJEM	\N	86	19218	UROK	\N	\N
3585172	1667	1998-12-31	PRIJEM	\N	73	17783	UROK	\N	\N
3585173	1668	1997-03-31	PRIJEM	\N	13	5126	UROK	\N	\N
3585174	1668	1997-04-30	PRIJEM	\N	21	10060	UROK	\N	\N
3585175	1668	1997-05-31	PRIJEM	\N	21	14995	UROK	\N	\N
3585176	1668	1997-06-30	PRIJEM	\N	21	19929	UROK	\N	\N
3585177	1668	1997-07-31	PRIJEM	\N	24	24866	UROK	\N	\N
3585178	1668	1997-08-31	PRIJEM	\N	101	25490	UROK	\N	\N
3585179	1668	1997-09-30	PRIJEM	\N	88	21601	UROK	\N	\N
3585180	1668	1997-10-31	PRIJEM	\N	84	21309	UROK	\N	\N
3585181	1668	1997-11-30	PRIJEM	\N	79	20011	UROK	\N	\N
3585182	1668	1997-12-31	PRIJEM	\N	80	19814	UROK	\N	\N
3585183	1668	1998-01-31	PRIJEM	\N	77	19115	UROK	\N	\N
3585184	1668	1998-02-28	PRIJEM	\N	76	18914	UROK	\N	\N
3585185	1668	1998-03-31	PRIJEM	\N	57	14094	UROK	\N	\N
3585186	1668	1998-04-30	PRIJEM	\N	51	13168	UROK	\N	\N
3585187	1668	1998-05-31	PRIJEM	\N	59	14850	UROK	\N	\N
3585188	1668	1998-06-30	PRIJEM	\N	61	13895	UROK	\N	\N
3585189	1668	1998-07-31	PRIJEM	\N	62	15580	UROK	\N	\N
3585190	1668	1998-08-31	PRIJEM	\N	69	17272	UROK	\N	\N
3585191	1668	1998-09-30	PRIJEM	\N	76	18972	UROK	\N	\N
3585192	1668	1998-10-31	PRIJEM	\N	83	20678	UROK	\N	\N
3585193	1668	1998-11-30	PRIJEM	\N	85	12986	UROK	\N	\N
3585194	1668	1998-12-31	PRIJEM	\N	58	14267	UROK	\N	\N
3585195	1669	1996-10-31	PRIJEM	\N	28	16171	UROK	\N	\N
3585196	1669	1996-11-30	PRIJEM	\N	76	20990	UROK	\N	\N
3585197	1669	1996-12-31	PRIJEM	\N	101	28505	UROK	\N	\N
3585198	1669	1997-01-31	PRIJEM	\N	124	31072	UROK	\N	\N
3585199	1669	1997-02-28	PRIJEM	\N	126	28379	UROK	\N	\N
3585200	1669	1997-03-31	PRIJEM	\N	118	26563	UROK	\N	\N
3585201	1669	1997-04-30	PRIJEM	\N	108	23518	UROK	\N	\N
3585202	1669	1997-05-31	PRIJEM	\N	105	25990	UROK	\N	\N
3585203	1669	1997-06-30	PRIJEM	\N	108	24175	UROK	\N	\N
3585204	1669	1997-07-31	PRIJEM	\N	105	25447	UROK	\N	\N
3585205	1669	1997-08-31	PRIJEM	\N	99	18933	UROK	\N	\N
3585206	1669	1997-09-30	PRIJEM	\N	83	19642	UROK	\N	\N
3585207	1669	1997-10-31	PRIJEM	\N	80	18289	UROK	\N	\N
3585208	1669	1997-11-30	PRIJEM	\N	73	16728	UROK	\N	\N
3585209	1669	1997-12-31	PRIJEM	\N	70	14715	UROK	\N	\N
3585210	1669	1998-01-31	PRIJEM	\N	55	11577	UROK	\N	\N
3585211	1669	1998-02-28	PRIJEM	\N	56	14399	UROK	\N	\N
3585212	1669	1998-03-31	PRIJEM	\N	57	13263	UROK	\N	\N
3585213	1669	1998-04-30	PRIJEM	\N	59	14388	UROK	\N	\N
3585214	1669	1998-05-31	PRIJEM	\N	61	14815	UROK	\N	\N
3585215	1669	1998-06-30	PRIJEM	\N	62	14614	UROK	\N	\N
3585216	1669	1998-07-31	PRIJEM	\N	60	14341	UROK	\N	\N
3585217	1669	1998-08-31	PRIJEM	\N	76	14783	UROK	\N	\N
3585218	1669	1998-09-30	PRIJEM	\N	49	10599	UROK	\N	\N
3585219	1669	1998-10-31	PRIJEM	\N	34	7099	UROK	\N	\N
3585220	1669	1998-11-30	PRIJEM	\N	35	8600	UROK	\N	\N
3585221	1669	1998-12-31	PRIJEM	\N	45	11082	UROK	\N	\N
3585222	1670	1996-01-31	PRIJEM	\N	14	4602	UROK	\N	\N
3585223	1670	1996-02-29	PRIJEM	\N	19	8709	UROK	\N	\N
3585224	1670	1996-03-31	PRIJEM	\N	19	12816	UROK	\N	\N
3585225	1670	1996-04-30	PRIJEM	\N	19	16924	UROK	\N	\N
3585226	1670	1996-05-31	PRIJEM	\N	58	16557	UROK	\N	\N
3585227	1670	1996-06-30	PRIJEM	\N	72	15749	UROK	\N	\N
3585228	1670	1996-07-31	PRIJEM	\N	70	16438	UROK	\N	\N
3585229	1670	1996-08-31	PRIJEM	\N	73	15830	UROK	\N	\N
3585230	1670	1996-09-30	PRIJEM	\N	69	16818	UROK	\N	\N
3585231	1670	1996-10-31	PRIJEM	\N	74	17052	UROK	\N	\N
3585232	1670	1996-11-30	PRIJEM	\N	76	18647	UROK	\N	\N
3585233	1670	1996-12-31	PRIJEM	\N	80	19246	UROK	\N	\N
3585234	1670	1997-01-31	PRIJEM	\N	84	17000	UROK	\N	\N
3585235	1670	1997-02-28	PRIJEM	\N	76	18595	UROK	\N	\N
3585236	1670	1997-03-31	PRIJEM	\N	82	20196	UROK	\N	\N
3585237	1670	1997-04-30	PRIJEM	\N	89	21805	UROK	\N	\N
3585238	1670	1997-05-31	PRIJEM	\N	92	22376	UROK	\N	\N
3585239	1670	1997-06-30	PRIJEM	\N	68	13563	UROK	\N	\N
3585240	1670	1997-07-31	PRIJEM	\N	61	15144	UROK	\N	\N
3585241	1670	1997-08-31	PRIJEM	\N	68	16731	UROK	\N	\N
3585242	1670	1997-09-30	PRIJEM	\N	64	15914	UROK	\N	\N
3585243	1670	1997-10-31	PRIJEM	\N	71	17505	UROK	\N	\N
3585244	1670	1997-11-30	PRIJEM	\N	78	19102	UROK	\N	\N
3585245	1670	1997-12-31	PRIJEM	\N	73	16654	UROK	\N	\N
3585246	1670	1998-01-31	PRIJEM	\N	72	13445	UROK	\N	\N
3585247	1670	1998-02-28	PRIJEM	\N	60	15024	UROK	\N	\N
3585248	1670	1998-03-31	PRIJEM	\N	67	16611	UROK	\N	\N
3585249	1670	1998-04-30	PRIJEM	\N	69	15159	UROK	\N	\N
3585250	1670	1998-05-31	PRIJEM	\N	68	16746	UROK	\N	\N
3585251	1670	1998-06-30	PRIJEM	\N	72	17457	UROK	\N	\N
3585252	1670	1998-07-31	PRIJEM	\N	77	19054	UROK	\N	\N
3585253	1670	1998-08-31	PRIJEM	\N	84	20657	UROK	\N	\N
3585254	1670	1998-09-30	PRIJEM	\N	90	22267	UROK	\N	\N
3585255	1670	1998-10-31	PRIJEM	\N	97	23883	UROK	\N	\N
3585256	1670	1998-11-30	PRIJEM	\N	104	25507	UROK	\N	\N
3585257	1670	1998-12-31	PRIJEM	\N	106	24322	UROK	\N	\N
3585258	1671	1993-05-31	PRIJEM	\N	25	7692	UROK	\N	\N
3585259	1671	1993-06-30	PRIJEM	\N	32	14291	UROK	\N	\N
3585260	1671	1993-07-31	PRIJEM	\N	32	20890	UROK	\N	\N
3585261	1671	1993-08-31	PRIJEM	\N	95	27251	UROK	\N	\N
3585262	1671	1993-09-30	PRIJEM	\N	114	22523	UROK	\N	\N
3585263	1671	1993-10-31	PRIJEM	\N	105	25612	UROK	\N	\N
3585264	1671	1993-11-30	PRIJEM	\N	119	29274	UROK	\N	\N
3585265	1671	1993-12-31	PRIJEM	\N	127	30745	UROK	\N	\N
3585266	1671	1994-01-31	PRIJEM	\N	132	27620	UROK	\N	\N
3585267	1671	1994-02-28	PRIJEM	\N	127	31291	UROK	\N	\N
3585268	1671	1994-03-31	PRIJEM	\N	107	24081	UROK	\N	\N
3585269	1671	1994-04-30	PRIJEM	\N	106	25371	UROK	\N	\N
3585270	1671	1994-05-31	PRIJEM	\N	113	24128	UROK	\N	\N
3585271	1671	1994-06-30	PRIJEM	\N	113	27784	UROK	\N	\N
3585272	1671	1994-07-31	PRIJEM	\N	126	27353	UROK	\N	\N
3585273	1671	1994-08-31	PRIJEM	\N	117	24513	UROK	\N	\N
3585274	1671	1994-09-30	PRIJEM	\N	114	27971	UROK	\N	\N
3585275	1671	1994-10-31	PRIJEM	\N	127	29841	UROK	\N	\N
3585276	1671	1994-11-30	PRIJEM	\N	132	26616	UROK	\N	\N
3585277	1671	1994-12-31	PRIJEM	\N	117	23527	UROK	\N	\N
3585278	1671	1995-01-31	PRIJEM	\N	103	22653	UROK	\N	\N
3585279	1671	1995-02-28	PRIJEM	\N	105	24601	UROK	\N	\N
3585280	1671	1995-03-31	PRIJEM	\N	111	24256	UROK	\N	\N
3585281	1671	1995-04-30	PRIJEM	\N	109	23308	UROK	\N	\N
3585282	1671	1995-05-31	PRIJEM	\N	106	23858	UROK	\N	\N
3585283	1671	1995-06-30	PRIJEM	\N	108	23809	UROK	\N	\N
3585284	1671	1995-07-31	PRIJEM	\N	105	22297	UROK	\N	\N
3585285	1671	1995-08-31	PRIJEM	\N	95	22815	UROK	\N	\N
3585286	1671	1995-09-30	PRIJEM	\N	103	23261	UROK	\N	\N
3585287	1671	1995-10-31	PRIJEM	\N	104	23308	UROK	\N	\N
3585288	1671	1995-11-30	PRIJEM	\N	108	26159	UROK	\N	\N
3585289	1671	1995-12-31	PRIJEM	\N	114	26066	UROK	\N	\N
3585290	1671	1996-01-31	PRIJEM	\N	119	28928	UROK	\N	\N
3585291	1671	1996-02-29	PRIJEM	\N	127	29798	UROK	\N	\N
3585292	1671	1996-03-31	PRIJEM	\N	132	31174	UROK	\N	\N
3585293	1671	1996-04-30	PRIJEM	\N	133	30410	UROK	\N	\N
3585294	1671	1996-05-31	PRIJEM	\N	130	29483	UROK	\N	\N
3585295	1671	1996-06-30	PRIJEM	\N	134	33161	UROK	\N	\N
3585296	1671	1996-07-31	PRIJEM	\N	140	31944	UROK	\N	\N
3585297	1671	1996-08-31	PRIJEM	\N	131	29118	UROK	\N	\N
3585298	1671	1996-09-30	PRIJEM	\N	121	27383	UROK	\N	\N
3585299	1671	1996-10-31	PRIJEM	\N	113	25280	UROK	\N	\N
3585300	1671	1996-11-30	PRIJEM	\N	110	26133	UROK	\N	\N
3585301	1671	1996-12-31	PRIJEM	\N	110	25127	UROK	\N	\N
3585302	1671	1997-01-31	PRIJEM	\N	111	25741	UROK	\N	\N
3585303	1671	1997-02-28	PRIJEM	\N	118	29402	UROK	\N	\N
3585304	1671	1997-03-31	PRIJEM	\N	128	30773	UROK	\N	\N
3585305	1671	1997-04-30	PRIJEM	\N	133	26089	UROK	\N	\N
3585306	1671	1997-05-31	PRIJEM	\N	107	24940	UROK	\N	\N
3585307	1671	1997-06-30	PRIJEM	\N	102	23785	UROK	\N	\N
3585308	1671	1997-07-31	PRIJEM	\N	109	24238	UROK	\N	\N
3585309	1671	1997-08-31	PRIJEM	\N	106	26087	UROK	\N	\N
3585310	1671	1997-09-30	PRIJEM	\N	115	28546	UROK	\N	\N
3585311	1671	1997-10-31	PRIJEM	\N	111	25900	UROK	\N	\N
3585312	1671	1997-11-30	PRIJEM	\N	109	25633	UROK	\N	\N
3585313	1671	1997-12-31	PRIJEM	\N	107	25783	UROK	\N	\N
3585314	1671	1998-01-31	PRIJEM	\N	110	26736	UROK	\N	\N
3585315	1671	1998-02-28	PRIJEM	\N	103	24083	UROK	\N	\N
3585316	1671	1998-03-31	PRIJEM	\N	109	27335	UROK	\N	\N
3585317	1671	1998-04-30	PRIJEM	\N	109	26107	UROK	\N	\N
3585318	1671	1998-05-31	PRIJEM	\N	92	21142	UROK	\N	\N
3585319	1671	1998-06-30	PRIJEM	\N	96	23521	UROK	\N	\N
3585320	1671	1998-07-31	PRIJEM	\N	93	22658	UROK	\N	\N
3585321	1671	1998-08-31	PRIJEM	\N	94	22995	UROK	\N	\N
3585322	1671	1998-09-30	PRIJEM	\N	95	23333	UROK	\N	\N
3585323	1671	1998-10-31	PRIJEM	\N	91	22067	UROK	\N	\N
3585324	1671	1998-11-30	PRIJEM	\N	89	21900	UROK	\N	\N
3585325	1671	1998-12-31	PRIJEM	\N	83	20726	UROK	\N	\N
3585326	1672	1996-05-31	PRIJEM	\N	48	19734	UROK	\N	\N
3585327	1672	1996-06-30	PRIJEM	\N	154	50216	UROK	\N	\N
3585328	1672	1996-07-31	PRIJEM	\N	219	54621	UROK	\N	\N
3585329	1672	1996-08-31	PRIJEM	\N	240	60047	UROK	\N	\N
3585330	1672	1996-09-30	PRIJEM	\N	243	57278	UROK	\N	\N
3585331	1672	1996-10-31	PRIJEM	\N	240	58192	UROK	\N	\N
3585332	1672	1996-11-30	PRIJEM	\N	249	57414	UROK	\N	\N
3585333	1672	1996-12-31	PRIJEM	\N	242	62172	UROK	\N	\N
3585334	1672	1997-01-31	PRIJEM	\N	216	52261	UROK	\N	\N
3585335	1672	1997-02-28	PRIJEM	\N	230	58165	UROK	\N	\N
3585336	1672	1997-03-31	PRIJEM	\N	256	60294	UROK	\N	\N
3585337	1672	1997-04-30	PRIJEM	\N	253	57721	UROK	\N	\N
3585338	1672	1997-05-31	PRIJEM	\N	234	54428	UROK	\N	\N
3585339	1672	1997-06-30	PRIJEM	\N	223	59168	UROK	\N	\N
3585340	1672	1997-07-31	PRIJEM	\N	259	57300	UROK	\N	\N
3585341	1672	1997-08-31	PRIJEM	\N	195	49668	UROK	\N	\N
3585342	1672	1997-09-30	PRIJEM	\N	214	50955	UROK	\N	\N
3585343	1672	1997-10-31	PRIJEM	\N	232	44561	UROK	\N	\N
3585344	1672	1997-11-30	PRIJEM	\N	222	40656	UROK	\N	\N
3585345	1672	1997-12-31	PRIJEM	\N	216	39688	UROK	\N	\N
3585346	1672	1998-01-31	PRIJEM	\N	163	29524	UROK	\N	\N
3585347	1672	1998-02-28	PRIJEM	\N	161	38059	UROK	\N	\N
3585348	1672	1998-03-31	PRIJEM	\N	188	39120	UROK	\N	\N
3585349	1672	1998-04-30	PRIJEM	\N	192	41686	UROK	\N	\N
3585350	1672	1998-05-31	PRIJEM	\N	201	41760	UROK	\N	\N
3585351	1672	1998-06-30	PRIJEM	\N	173	33049	UROK	\N	\N
3585352	1672	1998-07-31	PRIJEM	\N	168	40991	UROK	\N	\N
3585353	1672	1998-08-31	PRIJEM	\N	190	37554	UROK	\N	\N
3585354	1672	1998-09-30	PRIJEM	\N	175	34202	UROK	\N	\N
3585355	1672	1998-10-31	PRIJEM	\N	155	31731	UROK	\N	\N
3585356	1672	1998-11-30	PRIJEM	\N	149	27753	UROK	\N	\N
3585357	1672	1998-12-31	PRIJEM	\N	164	46334	UROK	\N	\N
3585358	1673	1994-05-31	PRIJEM	\N	3	22943	UROK	\N	\N
3585359	1673	1994-06-30	PRIJEM	\N	86	17815	UROK	\N	\N
3585360	1673	1994-07-31	PRIJEM	\N	81	19843	UROK	\N	\N
3585361	1673	1994-08-31	PRIJEM	\N	82	17711	UROK	\N	\N
3585362	1673	1994-09-30	PRIJEM	\N	71	17169	UROK	\N	\N
3585363	1673	1994-10-31	PRIJEM	\N	78	19193	UROK	\N	\N
3585364	1673	1994-11-30	PRIJEM	\N	79	17459	UROK	\N	\N
3585365	1673	1994-12-31	PRIJEM	\N	76	18531	UROK	\N	\N
3585366	1673	1995-01-31	PRIJEM	\N	65	13342	UROK	\N	\N
3585367	1673	1995-02-28	PRIJEM	\N	60	14789	UROK	\N	\N
3585368	1673	1995-03-31	PRIJEM	\N	63	13358	UROK	\N	\N
3585369	1673	1995-04-30	PRIJEM	\N	62	15367	UROK	\N	\N
3585370	1673	1995-05-31	PRIJEM	\N	64	13697	UROK	\N	\N
3585371	1673	1995-06-30	PRIJEM	\N	64	15708	UROK	\N	\N
3585372	1673	1995-07-31	PRIJEM	\N	72	17726	UROK	\N	\N
3585373	1673	1995-08-31	PRIJEM	\N	81	19453	UROK	\N	\N
3585374	1673	1995-09-30	PRIJEM	\N	87	20287	UROK	\N	\N
3585375	1673	1995-10-31	PRIJEM	\N	90	20103	UROK	\N	\N
3585376	1673	1995-11-30	PRIJEM	\N	90	20239	UROK	\N	\N
3585377	1673	1995-12-31	PRIJEM	\N	86	17421	UROK	\N	\N
3585378	1673	1996-01-31	PRIJEM	\N	57	12005	UROK	\N	\N
3585379	1673	1996-02-29	PRIJEM	\N	57	14008	UROK	\N	\N
3585380	1673	1996-03-31	PRIJEM	\N	63	12717	UROK	\N	\N
3585381	1673	1996-04-30	PRIJEM	\N	59	14722	UROK	\N	\N
3585382	1673	1996-05-31	PRIJEM	\N	64	12033	UROK	\N	\N
3585383	1673	1996-06-30	PRIJEM	\N	57	14036	UROK	\N	\N
3585384	1673	1996-07-31	PRIJEM	\N	63	14765	UROK	\N	\N
3585385	1673	1996-08-31	PRIJEM	\N	64	13475	UROK	\N	\N
3585386	1673	1996-09-30	PRIJEM	\N	63	15484	UROK	\N	\N
3585387	1673	1996-10-31	PRIJEM	\N	68	14898	UROK	\N	\N
3585388	1673	1996-11-30	PRIJEM	\N	63	12968	UROK	\N	\N
3585389	1673	1996-12-31	PRIJEM	\N	60	13924	UROK	\N	\N
3585390	1673	1997-01-31	PRIJEM	\N	60	13070	UROK	\N	\N
3585391	1673	1997-02-28	PRIJEM	\N	61	15077	UROK	\N	\N
3585392	1673	1997-03-31	PRIJEM	\N	66	14689	UROK	\N	\N
3585393	1673	1997-04-30	PRIJEM	\N	67	16703	UROK	\N	\N
3585394	1673	1997-05-31	PRIJEM	\N	67	16477	UROK	\N	\N
3585395	1673	1997-06-30	PRIJEM	\N	71	15994	UROK	\N	\N
3585396	1673	1997-07-31	PRIJEM	\N	67	14507	UROK	\N	\N
3585397	1673	1997-08-31	PRIJEM	\N	65	15919	UROK	\N	\N
3585398	1673	1997-09-30	PRIJEM	\N	68	15834	UROK	\N	\N
3585399	1673	1997-10-31	PRIJEM	\N	68	15548	UROK	\N	\N
3585400	1673	1997-11-30	PRIJEM	\N	64	14158	UROK	\N	\N
3585401	1673	1997-12-31	PRIJEM	\N	64	15718	UROK	\N	\N
3585402	1673	1998-01-31	PRIJEM	\N	59	13883	UROK	\N	\N
3585403	1673	1998-02-28	PRIJEM	\N	61	14791	UROK	\N	\N
3585404	1673	1998-03-31	PRIJEM	\N	62	15119	UROK	\N	\N
3585405	1673	1998-04-30	PRIJEM	\N	66	15931	UROK	\N	\N
3585406	1673	1998-05-31	PRIJEM	\N	71	16528	UROK	\N	\N
3585407	1673	1998-06-30	PRIJEM	\N	71	17146	UROK	\N	\N
3585408	1673	1998-07-31	PRIJEM	\N	72	16864	UROK	\N	\N
3585409	1673	1998-08-31	PRIJEM	\N	66	14776	UROK	\N	\N
3585410	1673	1998-09-30	PRIJEM	\N	55	12217	UROK	\N	\N
3585411	1673	1998-10-31	PRIJEM	\N	56	14220	UROK	\N	\N
3585412	1673	1998-11-30	PRIJEM	\N	64	16231	UROK	\N	\N
3585413	1673	1998-12-31	PRIJEM	\N	59	13136	UROK	\N	\N
3585414	1674	1995-10-31	PRIJEM	\N	29	12536	UROK	\N	\N
3585415	1674	1995-11-30	PRIJEM	\N	67	18809	UROK	\N	\N
3585416	1674	1995-12-31	PRIJEM	\N	101	28371	UROK	\N	\N
3585417	1674	1996-01-31	PRIJEM	\N	127	32005	UROK	\N	\N
3585418	1674	1996-02-29	PRIJEM	\N	127	29435	UROK	\N	\N
3585419	1674	1996-03-31	PRIJEM	\N	118	27241	UROK	\N	\N
3585420	1674	1996-04-30	PRIJEM	\N	117	28547	UROK	\N	\N
3585421	1674	1996-05-31	PRIJEM	\N	119	24014	UROK	\N	\N
3585422	1674	1996-06-30	PRIJEM	\N	113	14068	UROK	\N	\N
3585423	1674	1996-07-31	PRIJEM	\N	86	23642	UROK	\N	\N
3585424	1674	1996-08-31	PRIJEM	\N	118	30349	UROK	\N	\N
3585425	1674	1996-09-30	PRIJEM	\N	132	32069	UROK	\N	\N
3585426	1674	1996-10-31	PRIJEM	\N	124	28022	UROK	\N	\N
3585427	1674	1996-11-30	PRIJEM	\N	110	23920	UROK	\N	\N
3585428	1674	1996-12-31	PRIJEM	\N	113	26475	UROK	\N	\N
3585429	1674	1997-01-31	PRIJEM	\N	103	22646	UROK	\N	\N
3585430	1674	1997-02-28	PRIJEM	\N	113	28167	UROK	\N	\N
3585431	1674	1997-03-31	PRIJEM	\N	135	32350	UROK	\N	\N
3585432	1674	1997-04-30	PRIJEM	\N	141	33259	UROK	\N	\N
3585433	1674	1997-05-31	PRIJEM	\N	157	39105	UROK	\N	\N
3585434	1674	1997-06-30	PRIJEM	\N	150	34616	UROK	\N	\N
3585435	1674	1997-07-31	PRIJEM	\N	154	37859	UROK	\N	\N
3585436	1674	1997-08-31	PRIJEM	\N	175	43222	UROK	\N	\N
3585437	1674	1997-09-30	PRIJEM	\N	186	44936	UROK	\N	\N
3585438	1674	1997-10-31	PRIJEM	\N	187	44331	UROK	\N	\N
3585439	1674	1997-11-30	PRIJEM	\N	190	46410	UROK	\N	\N
3585440	1674	1997-12-31	PRIJEM	\N	196	45406	UROK	\N	\N
3585441	1674	1998-01-31	PRIJEM	\N	153	27248	UROK	\N	\N
3585442	1674	1998-02-28	PRIJEM	\N	149	38685	UROK	\N	\N
3585443	1674	1998-03-31	PRIJEM	\N	185	45338	UROK	\N	\N
3585444	1674	1998-04-30	PRIJEM	\N	199	48625	UROK	\N	\N
3585445	1674	1998-05-31	PRIJEM	\N	198	47612	UROK	\N	\N
3585446	1674	1998-06-30	PRIJEM	\N	193	21567	UROK	\N	\N
3585447	1674	1998-07-31	PRIJEM	\N	132	33127	UROK	\N	\N
3585448	1674	1998-08-31	PRIJEM	\N	171	42086	UROK	\N	\N
3585449	1674	1998-09-30	PRIJEM	\N	166	43021	UROK	\N	\N
3585450	1674	1998-10-31	PRIJEM	\N	184	45093	UROK	\N	\N
3585451	1674	1998-11-30	PRIJEM	\N	192	45373	UROK	\N	\N
3585452	1674	1998-12-31	PRIJEM	\N	197	47111	UROK	\N	\N
3585453	1675	1993-02-28	PRIJEM	\N	14	5441	UROK	\N	\N
3585454	1675	1993-03-31	PRIJEM	\N	23	9790	UROK	\N	\N
3585455	1675	1993-04-30	PRIJEM	\N	23	14140	UROK	\N	\N
3585456	1675	1993-05-31	PRIJEM	\N	23	18490	UROK	\N	\N
3585457	1675	1993-06-30	PRIJEM	\N	25	22842	UROK	\N	\N
3585458	1675	1993-07-31	PRIJEM	\N	101	25130	UROK	\N	\N
3585459	1675	1993-08-31	PRIJEM	\N	111	27428	UROK	\N	\N
3585460	1675	1993-09-30	PRIJEM	\N	120	28535	UROK	\N	\N
3585461	1675	1993-10-31	PRIJEM	\N	119	25281	UROK	\N	\N
3585462	1675	1993-11-30	PRIJEM	\N	103	24712	UROK	\N	\N
3585463	1675	1993-12-31	PRIJEM	\N	108	24557	UROK	\N	\N
3585464	1675	1994-01-31	PRIJEM	\N	85	16669	UROK	\N	\N
3585465	1675	1994-02-28	PRIJEM	\N	75	18932	UROK	\N	\N
3585466	1675	1994-03-31	PRIJEM	\N	85	21204	UROK	\N	\N
3585467	1675	1994-04-30	PRIJEM	\N	94	23085	UROK	\N	\N
3585468	1675	1994-05-31	PRIJEM	\N	102	25074	UROK	\N	\N
3585469	1675	1994-06-30	PRIJEM	\N	103	18464	UROK	\N	\N
3585470	1675	1994-07-31	PRIJEM	\N	83	20734	UROK	\N	\N
3585471	1675	1994-08-31	PRIJEM	\N	92	23014	UROK	\N	\N
3585472	1675	1994-09-30	PRIJEM	\N	102	25303	UROK	\N	\N
3585473	1675	1994-10-31	PRIJEM	\N	97	22227	UROK	\N	\N
3585474	1675	1994-11-30	PRIJEM	\N	98	24513	UROK	\N	\N
3585475	1675	1994-12-31	PRIJEM	\N	107	25858	UROK	\N	\N
3585476	1675	1995-01-31	PRIJEM	\N	95	17900	UROK	\N	\N
3585477	1675	1995-02-28	PRIJEM	\N	80	20167	UROK	\N	\N
3585478	1675	1995-03-31	PRIJEM	\N	90	22444	UROK	\N	\N
3585479	1675	1995-04-30	PRIJEM	\N	99	24730	UROK	\N	\N
3585480	1675	1995-05-31	PRIJEM	\N	93	23411	UROK	\N	\N
3585481	1675	1995-06-30	PRIJEM	\N	93	22971	UROK	\N	\N
3585482	1675	1995-07-31	PRIJEM	\N	101	25260	UROK	\N	\N
3585483	1675	1995-08-31	PRIJEM	\N	111	27557	UROK	\N	\N
3585484	1675	1995-09-30	PRIJEM	\N	110	27455	UROK	\N	\N
3585485	1675	1995-10-31	PRIJEM	\N	120	29762	UROK	\N	\N
3585486	1675	1995-11-30	PRIJEM	\N	129	32078	UROK	\N	\N
3585487	1675	1995-12-31	PRIJEM	\N	133	28798	UROK	\N	\N
3585488	1675	1996-01-31	PRIJEM	\N	90	16446	UROK	\N	\N
3585489	1675	1996-02-29	PRIJEM	\N	68	17341	UROK	\N	\N
3585490	1675	1996-03-31	PRIJEM	\N	77	19605	UROK	\N	\N
3585491	1675	1996-04-30	PRIJEM	\N	85	19158	UROK	\N	\N
3585492	1675	1996-05-31	PRIJEM	\N	85	21430	UROK	\N	\N
3585493	1675	1996-06-30	PRIJEM	\N	94	23151	UROK	\N	\N
3585494	1675	1996-07-31	PRIJEM	\N	91	22790	UROK	\N	\N
3585495	1675	1996-08-31	PRIJEM	\N	100	25077	UROK	\N	\N
3585496	1675	1996-09-30	PRIJEM	\N	108	25132	UROK	\N	\N
3585497	1675	1996-10-31	PRIJEM	\N	109	27429	UROK	\N	\N
3585498	1675	1996-11-30	PRIJEM	\N	119	29735	UROK	\N	\N
3585499	1675	1996-12-31	PRIJEM	\N	127	31149	UROK	\N	\N
3585500	1675	1997-01-31	PRIJEM	\N	98	18914	UROK	\N	\N
3585501	1675	1997-02-28	PRIJEM	\N	83	21184	UROK	\N	\N
3585502	1675	1997-03-31	PRIJEM	\N	93	23464	UROK	\N	\N
3585503	1675	1997-04-30	PRIJEM	\N	102	25754	UROK	\N	\N
3585504	1675	1997-05-31	PRIJEM	\N	111	28052	UROK	\N	\N
3585505	1675	1997-06-30	PRIJEM	\N	89	16829	UROK	\N	\N
3585506	1675	1997-07-31	PRIJEM	\N	74	19090	UROK	\N	\N
3585507	1675	1997-08-31	PRIJEM	\N	80	20078	UROK	\N	\N
3585508	1675	1997-09-30	PRIJEM	\N	87	22352	UROK	\N	\N
3585509	1675	1997-10-31	PRIJEM	\N	96	21356	UROK	\N	\N
3585510	1675	1997-11-30	PRIJEM	\N	93	23636	UROK	\N	\N
3585511	1675	1997-12-31	PRIJEM	\N	96	23729	UROK	\N	\N
3585512	1675	1998-01-31	PRIJEM	\N	84	18200	UROK	\N	\N
3585513	1675	1998-02-28	PRIJEM	\N	79	20466	UROK	\N	\N
3585514	1675	1998-03-31	PRIJEM	\N	89	22742	UROK	\N	\N
3585515	1675	1998-04-30	PRIJEM	\N	98	25028	UROK	\N	\N
3585516	1675	1998-05-31	PRIJEM	\N	93	23548	UROK	\N	\N
3585517	1675	1998-06-30	PRIJEM	\N	77	18031	UROK	\N	\N
3585518	1675	1998-07-31	PRIJEM	\N	78	20297	UROK	\N	\N
3585519	1675	1998-08-31	PRIJEM	\N	87	22572	UROK	\N	\N
3585520	1675	1998-09-30	PRIJEM	\N	94	23333	UROK	\N	\N
3585521	1675	1998-10-31	PRIJEM	\N	100	25620	UROK	\N	\N
3585522	1675	1998-11-30	PRIJEM	\N	95	24543	UROK	\N	\N
3585523	1675	1998-12-31	PRIJEM	\N	94	23494	UROK	\N	\N
3585584	1677	1997-01-31	PRIJEM	\N	28	10072	UROK	\N	\N
3585585	1677	1997-02-28	PRIJEM	\N	83	25499	UROK	\N	\N
3585586	1677	1997-03-31	PRIJEM	\N	124	31767	UROK	\N	\N
3585587	1677	1997-04-30	PRIJEM	\N	150	38461	UROK	\N	\N
3585588	1677	1997-05-31	PRIJEM	\N	152	35627	UROK	\N	\N
3585589	1677	1997-06-30	PRIJEM	\N	137	31595	UROK	\N	\N
3585590	1677	1997-07-31	PRIJEM	\N	133	30987	UROK	\N	\N
3585591	1677	1997-08-31	PRIJEM	\N	152	33838	UROK	\N	\N
3585592	1677	1997-09-30	PRIJEM	\N	134	26171	UROK	\N	\N
3585593	1677	1997-10-31	PRIJEM	\N	127	27398	UROK	\N	\N
3585594	1677	1997-11-30	PRIJEM	\N	134	29531	UROK	\N	\N
3585595	1677	1997-12-31	PRIJEM	\N	132	29295	UROK	\N	\N
3585596	1677	1998-01-31	PRIJEM	\N	96	15890	UROK	\N	\N
3585597	1677	1998-02-28	PRIJEM	\N	89	21538	UROK	\N	\N
3585598	1677	1998-03-31	PRIJEM	\N	123	28261	UROK	\N	\N
3585599	1677	1998-04-30	PRIJEM	\N	138	30398	UROK	\N	\N
3585600	1677	1998-05-31	PRIJEM	\N	130	31727	UROK	\N	\N
3585601	1677	1998-06-30	PRIJEM	\N	96	14954	UROK	\N	\N
3585602	1677	1998-07-31	PRIJEM	\N	81	18014	UROK	\N	\N
3585603	1677	1998-08-31	PRIJEM	\N	86	22100	UROK	\N	\N
3585604	1677	1998-09-30	PRIJEM	\N	109	23508	UROK	\N	\N
3585605	1677	1998-10-31	PRIJEM	\N	106	23913	UROK	\N	\N
3585606	1677	1998-11-30	PRIJEM	\N	108	19421	UROK	\N	\N
3585607	1677	1998-12-31	PRIJEM	\N	110	24522	UROK	\N	\N
3585608	1678	1993-03-31	PRIJEM	\N	25	23141	UROK	\N	\N
3585609	1678	1993-04-30	PRIJEM	\N	109	34265	UROK	\N	\N
3585610	1678	1993-05-31	PRIJEM	\N	151	41633	UROK	\N	\N
3585611	1678	1993-06-30	PRIJEM	\N	185	51091	UROK	\N	\N
3585612	1678	1993-07-31	PRIJEM	\N	211	50118	UROK	\N	\N
3585613	1678	1993-08-31	PRIJEM	\N	228	46817	UROK	\N	\N
3585614	1678	1993-09-30	PRIJEM	\N	217	47105	UROK	\N	\N
3585615	1678	1993-10-31	PRIJEM	\N	214	44790	UROK	\N	\N
3585616	1678	1993-11-30	PRIJEM	\N	207	45268	UROK	\N	\N
3585617	1678	1993-12-31	PRIJEM	\N	225	47722	UROK	\N	\N
3585618	1678	1994-01-31	PRIJEM	\N	191	34884	UROK	\N	\N
3585619	1678	1994-02-28	PRIJEM	\N	171	41227	UROK	\N	\N
3585620	1678	1994-03-31	PRIJEM	\N	194	43492	UROK	\N	\N
3585621	1678	1994-04-30	PRIJEM	\N	199	44062	UROK	\N	\N
3585622	1678	1994-05-31	PRIJEM	\N	198	43331	UROK	\N	\N
3585623	1678	1994-06-30	PRIJEM	\N	205	47566	UROK	\N	\N
3585624	1678	1994-07-31	PRIJEM	\N	211	47648	UROK	\N	\N
3585625	1678	1994-08-31	PRIJEM	\N	194	38814	UROK	\N	\N
3585626	1678	1994-09-30	PRIJEM	\N	171	40056	UROK	\N	\N
3585627	1678	1994-10-31	PRIJEM	\N	176	41903	UROK	\N	\N
3585628	1678	1994-11-30	PRIJEM	\N	187	43961	UROK	\N	\N
3585629	1678	1994-12-31	PRIJEM	\N	215	51106	UROK	\N	\N
3585630	1678	1995-01-31	PRIJEM	\N	193	35570	UROK	\N	\N
3585631	1678	1995-02-28	PRIJEM	\N	165	41806	UROK	\N	\N
3585632	1678	1995-03-31	PRIJEM	\N	184	43062	UROK	\N	\N
3585633	1678	1995-04-30	PRIJEM	\N	175	41108	UROK	\N	\N
3585634	1678	1995-05-31	PRIJEM	\N	169	39849	UROK	\N	\N
3585635	1678	1995-06-30	PRIJEM	\N	184	46863	UROK	\N	\N
3585636	1678	1995-07-31	PRIJEM	\N	200	48534	UROK	\N	\N
3585637	1678	1995-08-31	PRIJEM	\N	206	50911	UROK	\N	\N
3585638	1678	1995-09-30	PRIJEM	\N	224	57207	UROK	\N	\N
3585639	1678	1995-10-31	PRIJEM	\N	252	63830	UROK	\N	\N
3585640	1678	1995-11-30	PRIJEM	\N	273	68574	UROK	\N	\N
3585641	1678	1995-12-31	PRIJEM	\N	316	81719	UROK	\N	\N
3585642	1678	1996-01-31	PRIJEM	\N	302	64093	UROK	\N	\N
3585643	1678	1996-02-29	PRIJEM	\N	264	65728	UROK	\N	\N
3585644	1678	1996-03-31	PRIJEM	\N	269	66968	UROK	\N	\N
3585645	1678	1996-04-30	PRIJEM	\N	266	63005	UROK	\N	\N
3585646	1678	1996-05-31	PRIJEM	\N	268	67545	UROK	\N	\N
3585647	1678	1996-06-30	PRIJEM	\N	283	71357	UROK	\N	\N
3585648	1678	1996-07-31	PRIJEM	\N	236	58364	UROK	\N	\N
3585649	1678	1996-08-31	PRIJEM	\N	248	63084	UROK	\N	\N
3585650	1678	1996-09-30	PRIJEM	\N	258	64613	UROK	\N	\N
3585651	1678	1996-10-31	PRIJEM	\N	249	60933	UROK	\N	\N
3585652	1678	1996-11-30	PRIJEM	\N	236	58541	UROK	\N	\N
3585653	1678	1996-12-31	PRIJEM	\N	253	64124	UROK	\N	\N
3585654	1678	1997-01-31	PRIJEM	\N	209	49604	UROK	\N	\N
3585655	1678	1997-02-28	PRIJEM	\N	212	54588	UROK	\N	\N
3585656	1678	1997-03-31	PRIJEM	\N	217	54677	UROK	\N	\N
3585657	1678	1997-04-30	PRIJEM	\N	215	53363	UROK	\N	\N
3585658	1678	1997-05-31	PRIJEM	\N	216	54851	UROK	\N	\N
3585659	1678	1997-06-30	PRIJEM	\N	242	49222	UROK	\N	\N
3585660	1678	1997-07-31	PRIJEM	\N	191	48784	UROK	\N	\N
3585661	1678	1997-08-31	PRIJEM	\N	168	29723	UROK	\N	\N
3585662	1678	1997-09-30	PRIJEM	\N	162	28057	UROK	\N	\N
3585663	1678	1997-10-31	PRIJEM	\N	156	28484	UROK	\N	\N
3585664	1678	1997-11-30	PRIJEM	\N	154	24610	UROK	\N	\N
3585665	1678	1997-12-31	PRIJEM	\N	167	31206	UROK	\N	\N
3585666	1678	1998-01-31	PRIJEM	\N	151	23929	UROK	\N	\N
3585667	1678	1998-02-28	PRIJEM	\N	131	24731	UROK	\N	\N
3585668	1678	1998-03-31	PRIJEM	\N	141	30343	UROK	\N	\N
3585669	1678	1998-04-30	PRIJEM	\N	161	31675	UROK	\N	\N
3585670	1678	1998-05-31	PRIJEM	\N	163	29810	UROK	\N	\N
3585671	1678	1998-06-30	PRIJEM	\N	161	31400	UROK	\N	\N
3585672	1678	1998-07-31	PRIJEM	\N	158	25429	UROK	\N	\N
3585673	1678	1998-08-31	PRIJEM	\N	130	25731	UROK	\N	\N
3585674	1678	1998-09-30	PRIJEM	\N	138	31040	UROK	\N	\N
3585675	1678	1998-10-31	PRIJEM	\N	153	33064	UROK	\N	\N
3585676	1678	1998-11-30	PRIJEM	\N	165	37600	UROK	\N	\N
3585677	1678	1998-12-31	PRIJEM	\N	230	66460	UROK	\N	\N
3585678	1679	1996-09-30	PRIJEM	\N	49	14612	UROK	\N	\N
3585679	1679	1996-10-31	PRIJEM	\N	103	26578	UROK	\N	\N
3585680	1679	1996-11-30	PRIJEM	\N	163	41104	UROK	\N	\N
3585681	1679	1996-12-31	PRIJEM	\N	214	53212	UROK	\N	\N
3585682	1679	1997-01-31	PRIJEM	\N	200	42688	UROK	\N	\N
3585683	1679	1997-02-28	PRIJEM	\N	197	46446	UROK	\N	\N
3585684	1679	1997-03-31	PRIJEM	\N	184	40712	UROK	\N	\N
3585685	1679	1997-04-30	PRIJEM	\N	177	38350	UROK	\N	\N
3585686	1679	1997-05-31	PRIJEM	\N	184	43595	UROK	\N	\N
3585687	1679	1997-06-30	PRIJEM	\N	221	53008	UROK	\N	\N
3585688	1679	1997-07-31	PRIJEM	\N	213	49583	UROK	\N	\N
3585689	1679	1997-08-31	PRIJEM	\N	218	51562	UROK	\N	\N
3585690	1679	1997-09-30	PRIJEM	\N	221	56045	UROK	\N	\N
3585691	1679	1997-10-31	PRIJEM	\N	212	45238	UROK	\N	\N
3585692	1679	1997-11-30	PRIJEM	\N	206	42206	UROK	\N	\N
3585693	1679	1997-12-31	PRIJEM	\N	212	42250	UROK	\N	\N
3585694	1679	1998-01-31	PRIJEM	\N	183	39074	UROK	\N	\N
3585695	1679	1998-02-28	PRIJEM	\N	180	40516	UROK	\N	\N
3585696	1679	1998-03-31	PRIJEM	\N	188	43565	UROK	\N	\N
3585697	1679	1998-04-30	PRIJEM	\N	197	39323	UROK	\N	\N
3585698	1679	1998-05-31	PRIJEM	\N	180	41124	UROK	\N	\N
3585699	1679	1998-06-30	PRIJEM	\N	200	41217	UROK	\N	\N
3585700	1679	1998-07-31	PRIJEM	\N	181	36900	UROK	\N	\N
3585701	1679	1998-08-31	PRIJEM	\N	169	39231	UROK	\N	\N
3585702	1679	1998-09-30	PRIJEM	\N	179	41671	UROK	\N	\N
3585703	1679	1998-10-31	PRIJEM	\N	195	42227	UROK	\N	\N
3585704	1679	1998-11-30	PRIJEM	\N	193	47681	UROK	\N	\N
3585705	1679	1998-12-31	PRIJEM	\N	223	50417	UROK	\N	\N
3585706	1680	1993-12-31	PRIJEM	\N	75	29503	UROK	\N	\N
3585707	1680	1994-01-31	PRIJEM	\N	161	44784	UROK	\N	\N
3585708	1680	1994-02-28	PRIJEM	\N	203	52106	UROK	\N	\N
3585709	1680	1994-03-31	PRIJEM	\N	236	59861	UROK	\N	\N
3585710	1680	1994-04-30	PRIJEM	\N	256	62836	UROK	\N	\N
3585711	1680	1994-05-31	PRIJEM	\N	249	62334	UROK	\N	\N
3585712	1680	1994-06-30	PRIJEM	\N	243	47035	UROK	\N	\N
3585713	1680	1994-07-31	PRIJEM	\N	205	53989	UROK	\N	\N
3585714	1680	1994-08-31	PRIJEM	\N	225	58863	UROK	\N	\N
3585715	1680	1994-09-30	PRIJEM	\N	234	61247	UROK	\N	\N
3585716	1680	1994-10-31	PRIJEM	\N	225	58221	UROK	\N	\N
3585717	1680	1994-11-30	PRIJEM	\N	208	53079	UROK	\N	\N
3585718	1680	1994-12-31	PRIJEM	\N	231	64668	UROK	\N	\N
3585719	1680	1995-01-31	PRIJEM	\N	204	49921	UROK	\N	\N
3585720	1680	1995-02-28	PRIJEM	\N	182	49052	UROK	\N	\N
3585721	1680	1995-03-31	PRIJEM	\N	216	56418	UROK	\N	\N
3585722	1680	1995-04-30	PRIJEM	\N	200	52867	UROK	\N	\N
3585723	1680	1995-05-31	PRIJEM	\N	197	52513	UROK	\N	\N
3585724	1680	1995-06-30	PRIJEM	\N	204	56675	UROK	\N	\N
3585725	1680	1995-07-31	PRIJEM	\N	208	55133	UROK	\N	\N
3585726	1680	1995-08-31	PRIJEM	\N	201	53283	UROK	\N	\N
3585727	1680	1995-09-30	PRIJEM	\N	181	46413	UROK	\N	\N
3585728	1680	1995-10-31	PRIJEM	\N	175	48038	UROK	\N	\N
3585729	1680	1995-11-30	PRIJEM	\N	171	45658	UROK	\N	\N
3585730	1680	1995-12-31	PRIJEM	\N	194	40411	UROK	\N	\N
3585731	1680	1996-01-31	PRIJEM	\N	155	31015	UROK	\N	\N
3585732	1680	1996-02-29	PRIJEM	\N	159	38024	UROK	\N	\N
3585733	1680	1996-03-31	PRIJEM	\N	184	39557	UROK	\N	\N
3585734	1680	1996-04-30	PRIJEM	\N	192	39798	UROK	\N	\N
3585735	1680	1996-05-31	PRIJEM	\N	191	39538	UROK	\N	\N
3585736	1680	1996-06-30	PRIJEM	\N	192	37589	UROK	\N	\N
3585737	1680	1996-07-31	PRIJEM	\N	181	38219	UROK	\N	\N
3585738	1680	1996-08-31	PRIJEM	\N	184	41752	UROK	\N	\N
3585739	1680	1996-09-30	PRIJEM	\N	195	41896	UROK	\N	\N
3585740	1680	1996-10-31	PRIJEM	\N	196	43941	UROK	\N	\N
3585741	1680	1996-11-30	PRIJEM	\N	205	47095	UROK	\N	\N
3585742	1680	1996-12-31	PRIJEM	\N	226	53180	UROK	\N	\N
3585743	1680	1997-01-31	PRIJEM	\N	203	37632	UROK	\N	\N
3585744	1680	1997-02-28	PRIJEM	\N	175	40356	UROK	\N	\N
3585745	1680	1997-03-31	PRIJEM	\N	191	45597	UROK	\N	\N
3585746	1680	1997-04-30	PRIJEM	\N	207	46553	UROK	\N	\N
3585747	1680	1997-05-31	PRIJEM	\N	208	45310	UROK	\N	\N
3585748	1680	1997-06-30	PRIJEM	\N	194	36862	UROK	\N	\N
3585749	1680	1997-07-31	PRIJEM	\N	171	40583	UROK	\N	\N
3585750	1680	1997-08-31	PRIJEM	\N	190	47022	UROK	\N	\N
3585751	1680	1997-09-30	PRIJEM	\N	205	45376	UROK	\N	\N
3585752	1680	1997-10-31	PRIJEM	\N	199	46925	UROK	\N	\N
3585753	1680	1997-11-30	PRIJEM	\N	202	47876	UROK	\N	\N
3585754	1680	1997-12-31	PRIJEM	\N	217	50252	UROK	\N	\N
3585755	1680	1998-01-31	PRIJEM	\N	196	44297	UROK	\N	\N
3585756	1680	1998-02-28	PRIJEM	\N	198	49844	UROK	\N	\N
3585757	1680	1998-03-31	PRIJEM	\N	219	52813	UROK	\N	\N
3585758	1680	1998-04-30	PRIJEM	\N	224	52587	UROK	\N	\N
3585759	1680	1998-05-31	PRIJEM	\N	220	50656	UROK	\N	\N
3585760	1680	1998-06-30	PRIJEM	\N	196	49310	UROK	\N	\N
3585761	1680	1998-07-31	PRIJEM	\N	200	44759	UROK	\N	\N
3585762	1680	1998-08-31	PRIJEM	\N	187	45196	UROK	\N	\N
3585763	1680	1998-09-30	PRIJEM	\N	187	49132	UROK	\N	\N
3585764	1680	1998-10-31	PRIJEM	\N	203	49285	UROK	\N	\N
3585765	1680	1998-11-30	PRIJEM	\N	217	55851	UROK	\N	\N
3585766	1680	1998-12-31	PRIJEM	\N	260	72268	UROK	\N	\N
3585767	1681	1997-07-31	PRIJEM	\N	64	23784	UROK	\N	\N
3585768	1681	1997-08-31	PRIJEM	\N	164	48068	UROK	\N	\N
3585769	1681	1997-09-30	PRIJEM	\N	226	58013	UROK	\N	\N
3585770	1681	1997-10-31	PRIJEM	\N	251	61784	UROK	\N	\N
3585771	1681	1997-11-30	PRIJEM	\N	248	57696	UROK	\N	\N
3585772	1681	1997-12-31	PRIJEM	\N	256	65479	UROK	\N	\N
3585773	1681	1998-01-31	PRIJEM	\N	221	47917	UROK	\N	\N
3585774	1681	1998-02-28	PRIJEM	\N	179	43314	UROK	\N	\N
3585775	1681	1998-03-31	PRIJEM	\N	175	43306	UROK	\N	\N
3585776	1681	1998-04-30	PRIJEM	\N	172	42695	UROK	\N	\N
3585777	1681	1998-05-31	PRIJEM	\N	166	41579	UROK	\N	\N
3585778	1681	1998-06-30	PRIJEM	\N	199	53706	UROK	\N	\N
3585779	1681	1998-07-31	PRIJEM	\N	193	45916	UROK	\N	\N
3585780	1681	1998-08-31	PRIJEM	\N	187	46320	UROK	\N	\N
3585781	1681	1998-09-30	PRIJEM	\N	184	45622	UROK	\N	\N
3585782	1681	1998-10-31	PRIJEM	\N	192	48131	UROK	\N	\N
3585783	1681	1998-11-30	PRIJEM	\N	184	45332	UROK	\N	\N
3585784	1681	1998-12-31	PRIJEM	\N	216	55476	UROK	\N	\N
3585785	1683	1996-11-30	PRIJEM	\N	35	11069	UROK	\N	\N
3585786	1683	1996-12-31	PRIJEM	\N	117	33187	UROK	\N	\N
3585787	1683	1997-01-31	PRIJEM	\N	133	34155	UROK	\N	\N
3585788	1683	1997-02-28	PRIJEM	\N	142	44430	UROK	\N	\N
3585789	1683	1997-03-31	PRIJEM	\N	170	42947	UROK	\N	\N
3585790	1683	1997-04-30	PRIJEM	\N	161	39501	UROK	\N	\N
3585791	1683	1997-05-31	PRIJEM	\N	166	34200	UROK	\N	\N
3585792	1683	1997-06-30	PRIJEM	\N	94	20714	UROK	\N	\N
3585793	1683	1997-07-31	PRIJEM	\N	104	27912	UROK	\N	\N
3585794	1683	1997-08-31	PRIJEM	\N	132	30237	UROK	\N	\N
3585795	1683	1997-09-30	PRIJEM	\N	128	30619	UROK	\N	\N
3585796	1683	1997-10-31	PRIJEM	\N	142	31454	UROK	\N	\N
3585797	1683	1997-11-30	PRIJEM	\N	147	31094	UROK	\N	\N
3585798	1683	1997-12-31	PRIJEM	\N	153	32368	UROK	\N	\N
3585799	1683	1998-01-31	PRIJEM	\N	96	16617	UROK	\N	\N
3585800	1683	1998-02-28	PRIJEM	\N	87	23497	UROK	\N	\N
3585801	1683	1998-03-31	PRIJEM	\N	113	21623	UROK	\N	\N
3585802	1683	1998-04-30	PRIJEM	\N	99	20855	UROK	\N	\N
3585803	1683	1998-05-31	PRIJEM	\N	102	21751	UROK	\N	\N
3585804	1683	1998-06-30	PRIJEM	\N	78	16410	UROK	\N	\N
3585805	1683	1998-07-31	PRIJEM	\N	73	18476	UROK	\N	\N
3585806	1683	1998-08-31	PRIJEM	\N	88	23357	UROK	\N	\N
3585807	1683	1998-09-30	PRIJEM	\N	119	31070	UROK	\N	\N
3585808	1683	1998-10-31	PRIJEM	\N	137	29100	UROK	\N	\N
3585809	1683	1998-11-30	PRIJEM	\N	135	32429	UROK	\N	\N
3585810	1683	1998-12-31	PRIJEM	\N	154	38523	UROK	\N	\N
3585811	1684	1993-11-30	PRIJEM	\N	154	49985	UROK	\N	\N
3585812	1684	1993-12-31	PRIJEM	\N	228	61529	UROK	\N	\N
3585813	1684	1994-01-31	PRIJEM	\N	255	44584	UROK	\N	\N
3585814	1684	1994-02-28	PRIJEM	\N	305	79494	UROK	\N	\N
3585815	1684	1994-03-31	PRIJEM	\N	219	54377	UROK	\N	\N
3585816	1684	1994-04-30	PRIJEM	\N	225	41672	UROK	\N	\N
3585817	1684	1994-05-31	PRIJEM	\N	133	30035	UROK	\N	\N
3585818	1684	1994-06-30	PRIJEM	\N	336	91974	UROK	\N	\N
3585819	1684	1994-07-31	PRIJEM	\N	348	75728	UROK	\N	\N
3585820	1684	1994-08-31	PRIJEM	\N	365	81699	UROK	\N	\N
3585821	1684	1994-09-30	PRIJEM	\N	389	90904	UROK	\N	\N
3585822	1684	1994-10-31	PRIJEM	\N	339	82404	UROK	\N	\N
3585823	1684	1994-11-30	PRIJEM	\N	354	94099	UROK	\N	\N
3585824	1684	1994-12-31	PRIJEM	\N	341	93889	UROK	\N	\N
3585825	1684	1995-01-31	PRIJEM	\N	181	31840	UROK	\N	\N
3585826	1684	1995-02-28	PRIJEM	\N	129	31139	UROK	\N	\N
3585827	1684	1995-03-31	PRIJEM	\N	129	31038	UROK	\N	\N
3585828	1684	1995-04-30	PRIJEM	\N	129	32437	UROK	\N	\N
3585829	1684	1995-05-31	PRIJEM	\N	134	31941	UROK	\N	\N
3585830	1684	1995-06-30	PRIJEM	\N	128	49151	UROK	\N	\N
3585831	1684	1995-07-31	PRIJEM	\N	170	32891	UROK	\N	\N
3585832	1684	1995-08-31	PRIJEM	\N	283	75588	UROK	\N	\N
3585833	1684	1995-09-30	PRIJEM	\N	310	56268	UROK	\N	\N
3585834	1684	1995-10-31	PRIJEM	\N	223	36560	UROK	\N	\N
3585835	1684	1995-11-30	PRIJEM	\N	186	53916	UROK	\N	\N
3585836	1684	1995-12-31	PRIJEM	\N	188	33461	UROK	\N	\N
3585837	1684	1996-01-31	PRIJEM	\N	174	34949	UROK	\N	\N
3585838	1684	1996-02-29	PRIJEM	\N	166	47883	UROK	\N	\N
3585839	1684	1996-03-31	PRIJEM	\N	209	62131	UROK	\N	\N
3585840	1684	1996-04-30	PRIJEM	\N	255	48156	UROK	\N	\N
3585841	1684	1996-05-31	PRIJEM	\N	139	36665	UROK	\N	\N
3585842	1684	1996-06-30	PRIJEM	\N	151	36986	UROK	\N	\N
3585843	1684	1996-07-31	PRIJEM	\N	221	56094	UROK	\N	\N
3585844	1684	1996-08-31	PRIJEM	\N	230	41494	UROK	\N	\N
3585845	1684	1996-09-30	PRIJEM	\N	172	38780	UROK	\N	\N
3585846	1684	1996-10-31	PRIJEM	\N	302	52194	UROK	\N	\N
3585847	1684	1996-11-30	PRIJEM	\N	333	69970	UROK	\N	\N
3585848	1684	1996-12-31	PRIJEM	\N	346	50748	UROK	\N	\N
3585849	1684	1997-01-31	PRIJEM	\N	154	29472	UROK	\N	\N
3585850	1684	1997-02-28	PRIJEM	\N	121	36763	UROK	\N	\N
3585851	1684	1997-03-31	PRIJEM	\N	178	55959	UROK	\N	\N
3585852	1684	1997-04-30	PRIJEM	\N	229	47758	UROK	\N	\N
3585853	1684	1997-05-31	PRIJEM	\N	195	44123	UROK	\N	\N
3585854	1684	1997-06-30	PRIJEM	\N	180	45273	UROK	\N	\N
3585855	1684	1997-07-31	PRIJEM	\N	180	42823	UROK	\N	\N
3585856	1684	1997-08-31	PRIJEM	\N	175	46868	UROK	\N	\N
3585857	1684	1997-09-30	PRIJEM	\N	213	58349	UROK	\N	\N
3585858	1684	1997-10-31	PRIJEM	\N	238	54557	UROK	\N	\N
3585859	1684	1997-11-30	PRIJEM	\N	222	50949	UROK	\N	\N
3585860	1684	1997-12-31	PRIJEM	\N	191	40410	UROK	\N	\N
3585861	1684	1998-01-31	PRIJEM	\N	244	71641	UROK	\N	\N
3585862	1684	1998-02-28	PRIJEM	\N	246	45615	UROK	\N	\N
3585863	1684	1998-03-31	PRIJEM	\N	167	37384	UROK	\N	\N
3585864	1684	1998-04-30	PRIJEM	\N	138	29492	UROK	\N	\N
3585865	1684	1998-05-31	PRIJEM	\N	260	74246	UROK	\N	\N
3585866	1684	1998-06-30	PRIJEM	\N	231	33906	UROK	\N	\N
3585867	1684	1998-07-31	PRIJEM	\N	263	86154	UROK	\N	\N
3585868	1684	1998-08-31	PRIJEM	\N	350	61074	UROK	\N	\N
3585869	1684	1998-09-30	PRIJEM	\N	314	139315	UROK	\N	\N
3585870	1684	1998-10-31	PRIJEM	\N	347	95645	UROK	\N	\N
3585871	1684	1998-11-30	PRIJEM	\N	446	41386	UROK	\N	\N
3585872	1684	1998-12-31	PRIJEM	\N	186	39223	UROK	\N	\N
3585873	1685	1995-12-31	PRIJEM	\N	31	25458	UROK	\N	\N
3585874	1685	1996-01-31	PRIJEM	\N	121	54186	UROK	\N	\N
3585875	1685	1996-02-29	PRIJEM	\N	225	37811	UROK	\N	\N
3585876	1685	1996-03-31	PRIJEM	\N	237	70681	UROK	\N	\N
3585877	1685	1996-04-30	PRIJEM	\N	314	48654	UROK	\N	\N
3585878	1685	1996-05-31	PRIJEM	\N	314	31568	UROK	\N	\N
3585879	1685	1996-06-30	PRIJEM	\N	314	24182	UROK	\N	\N
3585880	1685	1996-07-31	PRIJEM	\N	314	17396	UROK	\N	\N
3585881	1685	1996-08-31	PRIJEM	\N	314	17510	UROK	\N	\N
3585882	1685	1996-09-30	PRIJEM	\N	170	35253	UROK	\N	\N
3585883	1685	1996-10-31	PRIJEM	\N	193	34548	UROK	\N	\N
3585884	1685	1996-11-30	PRIJEM	\N	117	55409	UROK	\N	\N
3585885	1685	1996-12-31	PRIJEM	\N	138	22265	UROK	\N	\N
3585886	1685	1997-01-31	PRIJEM	\N	66	17438	UROK	\N	\N
3585887	1685	1997-02-28	PRIJEM	\N	84	34864	UROK	\N	\N
3585888	1685	1997-03-31	PRIJEM	\N	91	16473	UROK	\N	\N
3585889	1685	1997-04-30	PRIJEM	\N	100	49976	UROK	\N	\N
3585890	1685	1997-05-31	PRIJEM	\N	136	47269	UROK	\N	\N
3585891	1685	1997-06-30	PRIJEM	\N	115	19501	UROK	\N	\N
3585892	1685	1997-07-31	PRIJEM	\N	40	5058	UROK	\N	\N
3585893	1685	1997-08-31	PRIJEM	\N	83	22405	UROK	\N	\N
3585894	1685	1997-09-30	PRIJEM	\N	55	9078	UROK	\N	\N
3585895	1685	1997-10-31	PRIJEM	\N	148	47058	UROK	\N	\N
3585896	1685	1997-11-30	PRIJEM	\N	137	37988	UROK	\N	\N
3585897	1685	1997-12-31	PRIJEM	\N	76	10582	UROK	\N	\N
3585898	1685	1998-01-31	PRIJEM	\N	46	2645	UROK	\N	\N
3585899	1685	1998-02-28	PRIJEM	\N	14	2643	UROK	\N	\N
3585900	1685	1998-04-30	PRIJEM	\N	14	2642	UROK	\N	\N
3585901	1685	1998-04-30	PRIJEM	\N	14	2628	UROK	\N	\N
3585902	1685	1998-06-30	PRIJEM	\N	14	28374	UROK	\N	\N
3585903	1685	1998-06-30	PRIJEM	\N	161	28361	UROK	\N	\N
3585904	1685	1998-07-31	PRIJEM	\N	149	26666	UROK	\N	\N
3585905	1685	1998-08-31	PRIJEM	\N	127	31772	UROK	\N	\N
3585906	1685	1998-09-30	PRIJEM	\N	128	17518	UROK	\N	\N
3585907	1685	1998-10-31	PRIJEM	\N	74	9609	UROK	\N	\N
3585908	1685	1998-11-30	PRIJEM	\N	48	13944	UROK	\N	\N
3585909	1686	1993-12-31	PRIJEM	\N	27	14531	UROK	\N	\N
3585910	1686	1994-01-31	PRIJEM	\N	78	23345	UROK	\N	\N
3585911	1686	1994-02-28	PRIJEM	\N	104	26785	UROK	\N	\N
3585912	1686	1994-03-31	PRIJEM	\N	112	27033	UROK	\N	\N
3585913	1686	1994-04-30	PRIJEM	\N	114	26550	UROK	\N	\N
3585914	1686	1994-05-31	PRIJEM	\N	105	20479	UROK	\N	\N
3585915	1686	1994-06-30	PRIJEM	\N	99	25711	UROK	\N	\N
3585916	1686	1994-07-31	PRIJEM	\N	115	28990	UROK	\N	\N
3585917	1686	1994-08-31	PRIJEM	\N	109	26123	UROK	\N	\N
3585918	1686	1994-09-30	PRIJEM	\N	115	28302	UROK	\N	\N
3585919	1686	1994-10-31	PRIJEM	\N	120	29087	UROK	\N	\N
3585920	1686	1994-11-30	PRIJEM	\N	111	25523	UROK	\N	\N
3585921	1686	1994-12-31	PRIJEM	\N	109	26644	UROK	\N	\N
3585922	1686	1995-01-31	PRIJEM	\N	96	16385	UROK	\N	\N
3585923	1686	1995-02-28	PRIJEM	\N	86	22835	UROK	\N	\N
3585924	1686	1995-03-31	PRIJEM	\N	103	25702	UROK	\N	\N
3585925	1686	1995-04-30	PRIJEM	\N	116	29082	UROK	\N	\N
3585926	1686	1995-05-31	PRIJEM	\N	121	28148	UROK	\N	\N
3585927	1686	1995-06-30	PRIJEM	\N	124	16824	UROK	\N	\N
3585928	1686	1995-07-31	PRIJEM	\N	83	20971	UROK	\N	\N
3585929	1686	1995-08-31	PRIJEM	\N	94	23229	UROK	\N	\N
3585930	1686	1995-09-30	PRIJEM	\N	108	27202	UROK	\N	\N
3585931	1686	1995-10-31	PRIJEM	\N	126	31592	UROK	\N	\N
3585932	1686	1995-11-30	PRIJEM	\N	147	36604	UROK	\N	\N
3585933	1686	1995-12-31	PRIJEM	\N	152	35708	UROK	\N	\N
3585934	1686	1996-01-31	PRIJEM	\N	124	18616	UROK	\N	\N
3585935	1686	1996-02-29	PRIJEM	\N	101	26381	UROK	\N	\N
3585936	1686	1996-03-31	PRIJEM	\N	125	31370	UROK	\N	\N
3585937	1686	1996-04-30	PRIJEM	\N	144	36079	UROK	\N	\N
3585938	1686	1996-05-31	PRIJEM	\N	157	38500	UROK	\N	\N
3585939	1686	1996-06-30	PRIJEM	\N	159	38892	UROK	\N	\N
3585940	1686	1996-07-31	PRIJEM	\N	161	39217	UROK	\N	\N
3585941	1686	1996-08-31	PRIJEM	\N	163	38425	UROK	\N	\N
3585942	1686	1996-09-30	PRIJEM	\N	165	39674	UROK	\N	\N
3585943	1686	1996-10-31	PRIJEM	\N	165	39983	UROK	\N	\N
3585944	1686	1996-11-30	PRIJEM	\N	165	40113	UROK	\N	\N
3585945	1686	1996-12-31	PRIJEM	\N	158	37003	UROK	\N	\N
3585946	1686	1997-01-31	PRIJEM	\N	122	29129	UROK	\N	\N
3585947	1686	1997-02-28	PRIJEM	\N	124	30617	UROK	\N	\N
3585948	1686	1997-03-31	PRIJEM	\N	154	39436	UROK	\N	\N
3585949	1686	1997-04-30	PRIJEM	\N	182	45581	UROK	\N	\N
3585950	1686	1997-05-31	PRIJEM	\N	202	49847	UROK	\N	\N
3585951	1686	1997-06-30	PRIJEM	\N	169	42449	UROK	\N	\N
3585952	1686	1997-07-31	PRIJEM	\N	180	45493	UROK	\N	\N
3585953	1686	1997-08-31	PRIJEM	\N	190	43568	UROK	\N	\N
3585954	1686	1997-09-30	PRIJEM	\N	185	48518	UROK	\N	\N
3585955	1686	1997-10-31	PRIJEM	\N	203	50644	UROK	\N	\N
3585956	1686	1997-11-30	PRIJEM	\N	211	47619	UROK	\N	\N
3585957	1686	1997-12-31	PRIJEM	\N	194	45786	UROK	\N	\N
3585958	1686	1998-01-31	PRIJEM	\N	155	36065	UROK	\N	\N
3585959	1686	1998-02-28	PRIJEM	\N	147	40456	UROK	\N	\N
3585960	1686	1998-03-31	PRIJEM	\N	170	41991	UROK	\N	\N
3585961	1686	1998-04-30	PRIJEM	\N	176	43232	UROK	\N	\N
3585962	1686	1998-05-31	PRIJEM	\N	180	42376	UROK	\N	\N
3585963	1686	1998-06-30	PRIJEM	\N	152	37360	UROK	\N	\N
3585964	1686	1998-07-31	PRIJEM	\N	158	40183	UROK	\N	\N
3585965	1686	1998-08-31	PRIJEM	\N	162	41729	UROK	\N	\N
3585966	1686	1998-09-30	PRIJEM	\N	170	40344	UROK	\N	\N
3585967	1686	1998-10-31	PRIJEM	\N	169	40237	UROK	\N	\N
3585968	1686	1998-11-30	PRIJEM	\N	173	45274	UROK	\N	\N
3585969	1686	1998-12-31	PRIJEM	\N	191	46977	UROK	\N	\N
3585970	1688	1993-07-31	PRIJEM	\N	21	25336	UROK	\N	\N
3585971	1688	1993-08-31	PRIJEM	\N	114	26525	UROK	\N	\N
3585972	1688	1993-09-30	PRIJEM	\N	111	26431	UROK	\N	\N
3585973	1688	1993-10-31	PRIJEM	\N	112	27239	UROK	\N	\N
3585974	1688	1993-11-30	PRIJEM	\N	119	26534	UROK	\N	\N
3585975	1688	1993-12-31	PRIJEM	\N	119	28228	UROK	\N	\N
3585976	1688	1994-01-31	PRIJEM	\N	121	25785	UROK	\N	\N
3585977	1688	1994-02-28	PRIJEM	\N	114	26474	UROK	\N	\N
3585978	1688	1994-03-31	PRIJEM	\N	114	24884	UROK	\N	\N
3585979	1688	1994-04-30	PRIJEM	\N	110	25069	UROK	\N	\N
3585980	1688	1994-05-31	PRIJEM	\N	110	24755	UROK	\N	\N
3585981	1688	1994-06-30	PRIJEM	\N	98	20117	UROK	\N	\N
3585982	1688	1994-07-31	PRIJEM	\N	91	21384	UROK	\N	\N
3585983	1688	1994-08-31	PRIJEM	\N	99	24558	UROK	\N	\N
3585984	1688	1994-09-30	PRIJEM	\N	104	22637	UROK	\N	\N
3585985	1688	1994-10-31	PRIJEM	\N	95	20348	UROK	\N	\N
3585986	1688	1994-11-30	PRIJEM	\N	88	19331	UROK	\N	\N
3585987	1688	1994-12-31	PRIJEM	\N	83	19009	UROK	\N	\N
3585988	1688	1995-01-31	PRIJEM	\N	88	21672	UROK	\N	\N
3585989	1688	1995-02-28	PRIJEM	\N	93	21240	UROK	\N	\N
3585990	1688	1995-03-31	PRIJEM	\N	95	23011	UROK	\N	\N
3585991	1688	1995-04-30	PRIJEM	\N	96	18262	UROK	\N	\N
3585992	1688	1995-05-31	PRIJEM	\N	86	21523	UROK	\N	\N
3585993	1688	1995-06-30	PRIJEM	\N	91	20489	UROK	\N	\N
3585994	1688	1995-07-31	PRIJEM	\N	82	19807	UROK	\N	\N
3585995	1688	1995-08-31	PRIJEM	\N	83	19365	UROK	\N	\N
3585996	1688	1995-09-30	PRIJEM	\N	89	22230	UROK	\N	\N
3585997	1688	1995-10-31	PRIJEM	\N	93	20918	UROK	\N	\N
3585998	1688	1995-11-30	PRIJEM	\N	89	20982	UROK	\N	\N
3585999	1688	1995-12-31	PRIJEM	\N	93	22751	UROK	\N	\N
3586000	1688	1996-01-31	PRIJEM	\N	94	21580	UROK	\N	\N
3586001	1688	1996-02-29	PRIJEM	\N	98	24553	UROK	\N	\N
3586002	1688	1996-03-31	PRIJEM	\N	102	24231	UROK	\N	\N
3586003	1688	1996-04-30	PRIJEM	\N	94	21500	UROK	\N	\N
3586004	1688	1996-05-31	PRIJEM	\N	88	20763	UROK	\N	\N
3586005	1688	1996-06-30	PRIJEM	\N	70	16058	UROK	\N	\N
3586006	1688	1996-07-31	PRIJEM	\N	65	16019	UROK	\N	\N
3586007	1688	1996-08-31	PRIJEM	\N	76	19270	UROK	\N	\N
3586008	1688	1996-09-30	PRIJEM	\N	81	20206	UROK	\N	\N
3586009	1688	1996-10-31	PRIJEM	\N	91	21232	UROK	\N	\N
3586010	1688	1996-11-30	PRIJEM	\N	91	22598	UROK	\N	\N
3586011	1688	1996-12-31	PRIJEM	\N	96	23769	UROK	\N	\N
3586012	1688	1997-01-31	PRIJEM	\N	79	15564	UROK	\N	\N
3586013	1688	1997-02-28	PRIJEM	\N	73	18812	UROK	\N	\N
3586014	1688	1997-03-31	PRIJEM	\N	75	14942	UROK	\N	\N
3586015	1688	1997-04-30	PRIJEM	\N	69	14507	UROK	\N	\N
3586016	1688	1997-05-31	PRIJEM	\N	69	17751	UROK	\N	\N
3586017	1688	1997-06-30	PRIJEM	\N	80	20406	UROK	\N	\N
3586018	1688	1997-07-31	PRIJEM	\N	89	22571	UROK	\N	\N
3586019	1688	1997-08-31	PRIJEM	\N	99	24965	UROK	\N	\N
3586020	1688	1997-09-30	PRIJEM	\N	104	25744	UROK	\N	\N
3586021	1688	1997-10-31	PRIJEM	\N	105	26024	UROK	\N	\N
3586022	1688	1997-11-30	PRIJEM	\N	93	22293	UROK	\N	\N
3586023	1688	1997-12-31	PRIJEM	\N	81	19350	UROK	\N	\N
3586024	1688	1998-01-31	PRIJEM	\N	69	16454	UROK	\N	\N
3586025	1688	1998-02-28	PRIJEM	\N	64	16193	UROK	\N	\N
3586026	1688	1998-03-31	PRIJEM	\N	75	19444	UROK	\N	\N
3586027	1688	1998-04-30	PRIJEM	\N	88	22707	UROK	\N	\N
3586028	1688	1998-05-31	PRIJEM	\N	101	25683	UROK	\N	\N
3586029	1688	1998-06-30	PRIJEM	\N	100	22678	UROK	\N	\N
3586030	1688	1998-07-31	PRIJEM	\N	97	24651	UROK	\N	\N
3586031	1688	1998-08-31	PRIJEM	\N	107	26773	UROK	\N	\N
3586032	1688	1998-09-30	PRIJEM	\N	113	27821	UROK	\N	\N
3586033	1688	1998-10-31	PRIJEM	\N	123	31119	UROK	\N	\N
3586034	1688	1998-11-30	PRIJEM	\N	133	33068	UROK	\N	\N
3586035	1688	1998-12-31	PRIJEM	\N	143	34187	UROK	\N	\N
3586036	1689	1994-02-28	PRIJEM	\N	68	23930	UROK	\N	\N
3586037	1689	1994-03-31	PRIJEM	\N	103	23728	UROK	\N	\N
3586038	1689	1994-04-30	PRIJEM	\N	107	26751	UROK	\N	\N
3586039	1689	1994-05-31	PRIJEM	\N	118	28484	UROK	\N	\N
3586040	1689	1994-06-30	PRIJEM	\N	125	24575	UROK	\N	\N
3586041	1689	1994-07-31	PRIJEM	\N	106	22976	UROK	\N	\N
3586042	1689	1994-08-31	PRIJEM	\N	97	22708	UROK	\N	\N
3586043	1689	1994-09-30	PRIJEM	\N	99	21902	UROK	\N	\N
3586044	1689	1994-10-31	PRIJEM	\N	100	24218	UROK	\N	\N
3586045	1689	1994-11-30	PRIJEM	\N	107	25640	UROK	\N	\N
3586046	1689	1994-12-31	PRIJEM	\N	104	23859	UROK	\N	\N
3586047	1689	1995-01-31	PRIJEM	\N	66	13681	UROK	\N	\N
3586048	1689	1995-02-28	PRIJEM	\N	65	16661	UROK	\N	\N
3586049	1689	1995-03-31	PRIJEM	\N	75	18292	UROK	\N	\N
3586050	1689	1995-04-30	PRIJEM	\N	84	20471	UROK	\N	\N
3586051	1689	1995-05-31	PRIJEM	\N	93	22080	UROK	\N	\N
3586052	1689	1995-06-30	PRIJEM	\N	87	17882	UROK	\N	\N
3586053	1689	1995-07-31	PRIJEM	\N	83	20881	UROK	\N	\N
3586054	1689	1995-08-31	PRIJEM	\N	90	17706	UROK	\N	\N
3586055	1689	1995-09-30	PRIJEM	\N	80	17301	UROK	\N	\N
3586056	1689	1995-10-31	PRIJEM	\N	77	15794	UROK	\N	\N
3586057	1689	1995-11-30	PRIJEM	\N	73	17583	UROK	\N	\N
3586058	1689	1995-12-31	PRIJEM	\N	78	16706	UROK	\N	\N
3586059	1689	1996-01-31	PRIJEM	\N	64	11925	UROK	\N	\N
3586060	1689	1996-02-29	PRIJEM	\N	58	14898	UROK	\N	\N
3586061	1689	1996-03-31	PRIJEM	\N	66	12879	UROK	\N	\N
3586062	1689	1996-04-30	PRIJEM	\N	59	13454	UROK	\N	\N
3586063	1689	1996-05-31	PRIJEM	\N	59	11628	UROK	\N	\N
3586064	1689	1996-06-30	PRIJEM	\N	55	13298	UROK	\N	\N
3586065	1689	1996-07-31	PRIJEM	\N	60	13873	UROK	\N	\N
3586066	1689	1996-08-31	PRIJEM	\N	66	16854	UROK	\N	\N
3586067	1689	1996-09-30	PRIJEM	\N	74	17244	UROK	\N	\N
3586068	1689	1996-10-31	PRIJEM	\N	68	14008	UROK	\N	\N
3586069	1689	1996-11-30	PRIJEM	\N	64	15287	UROK	\N	\N
3586070	1689	1996-12-31	PRIJEM	\N	63	13815	UROK	\N	\N
3586071	1689	1997-01-31	PRIJEM	\N	54	11684	UROK	\N	\N
3586072	1689	1997-02-28	PRIJEM	\N	56	14655	UROK	\N	\N
3586073	1689	1997-03-31	PRIJEM	\N	69	17639	UROK	\N	\N
3586074	1689	1997-04-30	PRIJEM	\N	77	18312	UROK	\N	\N
3586075	1689	1997-05-31	PRIJEM	\N	81	19629	UROK	\N	\N
3586076	1689	1997-06-30	PRIJEM	\N	81	19175	UROK	\N	\N
3586077	1689	1997-07-31	PRIJEM	\N	70	12760	UROK	\N	\N
3586078	1689	1997-08-31	PRIJEM	\N	61	15736	UROK	\N	\N
3586079	1689	1997-09-30	PRIJEM	\N	61	12812	UROK	\N	\N
3586080	1689	1997-10-31	PRIJEM	\N	61	15788	UROK	\N	\N
3586081	1689	1997-11-30	PRIJEM	\N	70	17573	UROK	\N	\N
3586082	1689	1997-12-31	PRIJEM	\N	73	17281	UROK	\N	\N
3586083	1689	1998-01-31	PRIJEM	\N	67	15613	UROK	\N	\N
3586084	1689	1998-02-28	PRIJEM	\N	58	12686	UROK	\N	\N
3586085	1689	1998-03-31	PRIJEM	\N	60	15662	UROK	\N	\N
3586086	1689	1998-04-30	PRIJEM	\N	66	16163	UROK	\N	\N
3586087	1689	1998-05-31	PRIJEM	\N	74	19153	UROK	\N	\N
3586088	1689	1998-06-30	PRIJEM	\N	82	19399	UROK	\N	\N
3586089	1689	1998-07-31	PRIJEM	\N	73	16487	UROK	\N	\N
3586090	1689	1998-08-31	PRIJEM	\N	66	15969	UROK	\N	\N
3586091	1689	1998-09-30	PRIJEM	\N	57	13041	UROK	\N	\N
3586092	1689	1998-10-31	PRIJEM	\N	60	15616	UROK	\N	\N
3586093	1689	1998-11-30	PRIJEM	\N	65	14397	UROK	\N	\N
3586094	1689	1998-12-31	PRIJEM	\N	55	13367	UROK	\N	\N
3586095	1690	1995-10-31	PRIJEM	\N	24	7260	UROK	\N	\N
3586096	1690	1995-11-30	PRIJEM	\N	30	14027	UROK	\N	\N
3586097	1690	1995-12-31	PRIJEM	\N	30	20793	UROK	\N	\N
3586098	1690	1996-01-31	PRIJEM	\N	30	27559	UROK	\N	\N
3586099	1690	1996-02-29	PRIJEM	\N	100	26884	UROK	\N	\N
3586100	1690	1996-03-31	PRIJEM	\N	121	29016	UROK	\N	\N
3586101	1690	1996-04-30	PRIJEM	\N	131	31257	UROK	\N	\N
3586102	1690	1996-05-31	PRIJEM	\N	140	33608	UROK	\N	\N
3586103	1690	1996-06-30	PRIJEM	\N	109	20077	UROK	\N	\N
3586104	1690	1996-07-31	PRIJEM	\N	93	22780	UROK	\N	\N
3586105	1690	1996-08-31	PRIJEM	\N	104	26294	UROK	\N	\N
3586106	1690	1996-09-30	PRIJEM	\N	118	29823	UROK	\N	\N
3586107	1690	1996-10-31	PRIJEM	\N	127	29960	UROK	\N	\N
3586108	1690	1996-11-30	PRIJEM	\N	133	33503	UROK	\N	\N
3586109	1690	1996-12-31	PRIJEM	\N	134	27078	UROK	\N	\N
3586110	1690	1997-01-31	PRIJEM	\N	95	16213	UROK	\N	\N
3586111	1690	1997-02-28	PRIJEM	\N	76	19699	UROK	\N	\N
3586112	1690	1997-03-31	PRIJEM	\N	90	23100	UROK	\N	\N
3586113	1690	1997-04-30	PRIJEM	\N	97	21207	UROK	\N	\N
3586114	1690	1997-05-31	PRIJEM	\N	95	19812	UROK	\N	\N
3586115	1690	1997-06-30	PRIJEM	\N	83	16106	UROK	\N	\N
3586116	1690	1997-07-31	PRIJEM	\N	74	17191	UROK	\N	\N
3586117	1690	1997-08-31	PRIJEM	\N	81	19482	UROK	\N	\N
3586118	1690	1997-09-30	PRIJEM	\N	88	19541	UROK	\N	\N
3586119	1690	1997-10-31	PRIJEM	\N	88	20639	UROK	\N	\N
3586120	1690	1997-11-30	PRIJEM	\N	91	19840	UROK	\N	\N
3586121	1690	1997-12-31	PRIJEM	\N	86	17986	UROK	\N	\N
3586122	1690	1998-01-31	PRIJEM	\N	66	14182	UROK	\N	\N
3586123	1690	1998-02-28	PRIJEM	\N	67	17659	UROK	\N	\N
3586124	1690	1998-03-31	PRIJEM	\N	82	21151	UROK	\N	\N
3586125	1690	1998-04-30	PRIJEM	\N	96	24657	UROK	\N	\N
3586126	1690	1998-05-31	PRIJEM	\N	111	28179	UROK	\N	\N
3586127	1690	1998-06-30	PRIJEM	\N	91	19030	UROK	\N	\N
3586128	1690	1998-07-31	PRIJEM	\N	87	22528	UROK	\N	\N
3586129	1690	1998-08-31	PRIJEM	\N	96	23234	UROK	\N	\N
3586130	1690	1998-09-30	PRIJEM	\N	102	24346	UROK	\N	\N
3586131	1690	1998-10-31	PRIJEM	\N	109	27866	UROK	\N	\N
3586132	1690	1998-11-30	PRIJEM	\N	122	29318	UROK	\N	\N
3586133	1690	1998-12-31	PRIJEM	\N	129	32157	UROK	\N	\N
3586134	1691	1995-11-30	PRIJEM	\N	9	3310	UROK	\N	\N
3586135	1691	1995-12-31	PRIJEM	\N	14	6225	UROK	\N	\N
3586136	1691	1996-01-31	PRIJEM	\N	14	9140	UROK	\N	\N
3586137	1691	1996-02-29	PRIJEM	\N	14	12054	UROK	\N	\N
3586138	1691	1996-03-31	PRIJEM	\N	15	14971	UROK	\N	\N
3586139	1691	1996-04-30	PRIJEM	\N	65	15988	UROK	\N	\N
3586140	1691	1996-05-31	PRIJEM	\N	68	16468	UROK	\N	\N
3586141	1691	1996-06-30	PRIJEM	\N	68	16528	UROK	\N	\N
3586142	1691	1996-07-31	PRIJEM	\N	71	16651	UROK	\N	\N
3586143	1691	1996-08-31	PRIJEM	\N	70	16474	UROK	\N	\N
3586144	1691	1996-09-30	PRIJEM	\N	71	17497	UROK	\N	\N
3586145	1691	1996-10-31	PRIJEM	\N	75	18524	UROK	\N	\N
3586146	1691	1996-11-30	PRIJEM	\N	79	19556	UROK	\N	\N
3586147	1691	1996-12-31	PRIJEM	\N	83	19871	UROK	\N	\N
3586148	1691	1997-01-31	PRIJEM	\N	69	14683	UROK	\N	\N
3586149	1691	1997-02-28	PRIJEM	\N	63	15698	UROK	\N	\N
3586150	1691	1997-03-31	PRIJEM	\N	67	15757	UROK	\N	\N
3586151	1691	1997-04-30	PRIJEM	\N	67	15066	UROK	\N	\N
3586152	1691	1997-05-31	PRIJEM	\N	65	16083	UROK	\N	\N
3586153	1691	1997-06-30	PRIJEM	\N	67	16563	UROK	\N	\N
3586154	1691	1997-07-31	PRIJEM	\N	71	17586	UROK	\N	\N
3586155	1691	1997-08-31	PRIJEM	\N	75	18614	UROK	\N	\N
3586156	1691	1997-09-30	PRIJEM	\N	80	19646	UROK	\N	\N
3586157	1691	1997-10-31	PRIJEM	\N	84	20682	UROK	\N	\N
3586158	1691	1997-11-30	PRIJEM	\N	88	21722	UROK	\N	\N
3586159	1691	1997-12-31	PRIJEM	\N	92	21897	UROK	\N	\N
3586160	1691	1998-01-31	PRIJEM	\N	80	17200	UROK	\N	\N
3586161	1691	1998-02-28	PRIJEM	\N	73	18225	UROK	\N	\N
3586162	1691	1998-03-31	PRIJEM	\N	73	18171	UROK	\N	\N
3586163	1691	1998-04-30	PRIJEM	\N	73	18236	UROK	\N	\N
3586164	1691	1998-05-31	PRIJEM	\N	78	18546	UROK	\N	\N
3586165	1691	1998-06-30	PRIJEM	\N	76	18975	UROK	\N	\N
3586166	1691	1998-07-31	PRIJEM	\N	81	20008	UROK	\N	\N
3586167	1691	1998-08-31	PRIJEM	\N	85	21046	UROK	\N	\N
3586168	1691	1998-09-30	PRIJEM	\N	89	22087	UROK	\N	\N
3586169	1691	1998-10-31	PRIJEM	\N	94	23133	UROK	\N	\N
3586170	1691	1998-11-30	PRIJEM	\N	94	23219	UROK	\N	\N
3586171	1691	1998-12-31	PRIJEM	\N	98	24090	UROK	\N	\N
3586172	1693	1997-06-30	PRIJEM	\N	16	37763	UROK	\N	\N
3586173	1693	1997-07-31	PRIJEM	\N	157	29320	UROK	\N	\N
3586174	1693	1997-08-31	PRIJEM	\N	157	24677	UROK	\N	\N
3586175	1693	1997-09-30	PRIJEM	\N	276	51244	UROK	\N	\N
3586176	1693	1997-10-31	PRIJEM	\N	214	53393	UROK	\N	\N
3586177	1693	1997-11-30	PRIJEM	\N	275	46920	UROK	\N	\N
3586178	1693	1997-12-31	PRIJEM	\N	146	34252	UROK	\N	\N
3586179	1693	1998-01-31	PRIJEM	\N	77	14080	UROK	\N	\N
3586180	1693	1998-02-28	PRIJEM	\N	57	2760	UROK	\N	\N
3586181	1693	1998-03-31	PRIJEM	\N	64	79744	UROK	\N	\N
3586182	1693	1998-04-30	PRIJEM	\N	263	58238	UROK	\N	\N
3586183	1693	1998-05-31	PRIJEM	\N	219	36381	UROK	\N	\N
3586184	1693	1998-06-30	PRIJEM	\N	188	31438	UROK	\N	\N
3586185	1693	1998-07-31	PRIJEM	\N	189	34766	UROK	\N	\N
3586186	1693	1998-08-31	PRIJEM	\N	123	19113	UROK	\N	\N
3586187	1693	1998-09-30	PRIJEM	\N	115	29677	UROK	\N	\N
3586188	1693	1998-10-31	PRIJEM	\N	97	35238	UROK	\N	\N
3586189	1693	1998-11-30	PRIJEM	\N	188	65685	UROK	\N	\N
3586190	1693	1998-12-31	PRIJEM	\N	265	43422	UROK	\N	\N
3586191	1695	1993-01-31	PRIJEM	\N	39	12071	UROK	\N	\N
3586192	1695	1993-02-28	PRIJEM	\N	50	19621	UROK	\N	\N
3586193	1695	1993-03-31	PRIJEM	\N	50	24871	UROK	\N	\N
3586194	1695	1993-04-30	PRIJEM	\N	50	25421	UROK	\N	\N
3586195	1695	1993-05-31	PRIJEM	\N	50	26371	UROK	\N	\N
3586196	1695	1993-06-30	PRIJEM	\N	50	25322	UROK	\N	\N
3586197	1695	1993-07-31	PRIJEM	\N	50	24972	UROK	\N	\N
3586198	1695	1993-08-31	PRIJEM	\N	52	25324	UROK	\N	\N
3586199	1695	1993-09-30	PRIJEM	\N	105	25329	UROK	\N	\N
3586200	1695	1993-10-31	PRIJEM	\N	105	23634	UROK	\N	\N
3586201	1695	1993-11-30	PRIJEM	\N	105	24339	UROK	\N	\N
3586202	1695	1993-12-31	PRIJEM	\N	105	23844	UROK	\N	\N
3586203	1695	1994-01-31	PRIJEM	\N	262	47502	UROK	\N	\N
3586204	1695	1994-02-28	PRIJEM	\N	246	43761	UROK	\N	\N
3586205	1695	1994-03-31	PRIJEM	\N	238	47444	UROK	\N	\N
3586206	1695	1994-04-30	PRIJEM	\N	194	69225	UROK	\N	\N
3586207	1695	1994-05-31	PRIJEM	\N	319	57656	UROK	\N	\N
3586208	1695	1994-06-30	PRIJEM	\N	219	93917	UROK	\N	\N
3586209	1695	1994-07-31	PRIJEM	\N	335	42569	UROK	\N	\N
3586210	1695	1994-08-31	PRIJEM	\N	151	84553	UROK	\N	\N
3586211	1695	1994-09-30	PRIJEM	\N	327	55381	UROK	\N	\N
3586212	1695	1994-10-31	PRIJEM	\N	222	53579	UROK	\N	\N
3586213	1695	1994-11-30	PRIJEM	\N	224	35418	UROK	\N	\N
3586214	1695	1994-12-31	PRIJEM	\N	203	62618	UROK	\N	\N
3586215	1695	1995-01-31	PRIJEM	\N	171	51749	UROK	\N	\N
3586216	1695	1995-02-28	PRIJEM	\N	201	37777	UROK	\N	\N
3586217	1695	1995-03-31	PRIJEM	\N	167	91914	UROK	\N	\N
3586218	1695	1995-04-30	PRIJEM	\N	275	32964	UROK	\N	\N
3586219	1695	1995-05-31	PRIJEM	\N	176	58941	UROK	\N	\N
3586220	1695	1995-06-30	PRIJEM	\N	229	46598	UROK	\N	\N
3586221	1695	1995-07-31	PRIJEM	\N	181	37406	UROK	\N	\N
3586222	1695	1995-08-31	PRIJEM	\N	152	35785	UROK	\N	\N
3586223	1695	1995-09-30	PRIJEM	\N	256	46250	UROK	\N	\N
3586224	1695	1995-10-31	PRIJEM	\N	223	53437	UROK	\N	\N
3586225	1695	1995-11-30	PRIJEM	\N	190	40005	UROK	\N	\N
3586226	1695	1995-12-31	PRIJEM	\N	174	60312	UROK	\N	\N
3586227	1695	1996-01-31	PRIJEM	\N	209	32853	UROK	\N	\N
3586228	1695	1996-02-29	PRIJEM	\N	176	70664	UROK	\N	\N
3586229	1695	1996-03-31	PRIJEM	\N	314	82342	UROK	\N	\N
3586230	1695	1996-04-30	PRIJEM	\N	322	67053	UROK	\N	\N
3586231	1695	1996-05-31	PRIJEM	\N	201	39156	UROK	\N	\N
3586232	1695	1996-06-30	PRIJEM	\N	163	41047	UROK	\N	\N
3586233	1695	1996-07-31	PRIJEM	\N	204	65875	UROK	\N	\N
3586234	1695	1996-08-31	PRIJEM	\N	237	34762	UROK	\N	\N
3586235	1695	1996-09-30	PRIJEM	\N	129	27452	UROK	\N	\N
3586236	1695	1996-10-31	PRIJEM	\N	148	46833	UROK	\N	\N
3586237	1695	1996-11-30	PRIJEM	\N	194	47655	UROK	\N	\N
3586238	1695	1996-12-31	PRIJEM	\N	274	89646	UROK	\N	\N
3586239	1695	1997-01-31	PRIJEM	\N	260	44833	UROK	\N	\N
3586240	1695	1997-02-28	PRIJEM	\N	162	31186	UROK	\N	\N
3586241	1695	1997-03-31	PRIJEM	\N	300	70345	UROK	\N	\N
3586242	1695	1997-04-30	PRIJEM	\N	312	75550	UROK	\N	\N
3586243	1695	1997-05-31	PRIJEM	\N	326	88049	UROK	\N	\N
3586244	1695	1997-06-30	PRIJEM	\N	250	60327	UROK	\N	\N
3586245	1695	1997-07-31	PRIJEM	\N	270	89022	UROK	\N	\N
3586246	1695	1997-08-31	PRIJEM	\N	343	79183	UROK	\N	\N
3586247	1695	1997-09-30	PRIJEM	\N	366	81948	UROK	\N	\N
3586248	1695	1997-10-31	PRIJEM	\N	409	55868	UROK	\N	\N
3586249	1695	1997-11-30	PRIJEM	\N	252	62701	UROK	\N	\N
3586250	1695	1997-12-31	PRIJEM	\N	378	101776	UROK	\N	\N
3586251	1695	1998-01-31	PRIJEM	\N	335	68238	UROK	\N	\N
3586252	1695	1998-02-28	PRIJEM	\N	375	105272	UROK	\N	\N
3586253	1695	1998-03-31	PRIJEM	\N	406	97341	UROK	\N	\N
3586254	1695	1998-04-30	PRIJEM	\N	448	98690	UROK	\N	\N
3586255	1695	1998-05-31	PRIJEM	\N	468	80321	UROK	\N	\N
3586256	1695	1998-06-30	PRIJEM	\N	513	85131	UROK	\N	\N
3586257	1695	1998-07-31	PRIJEM	\N	491	124588	UROK	\N	\N
3586258	1695	1998-08-31	PRIJEM	\N	447	101780	UROK	\N	\N
3586259	1695	1998-09-30	PRIJEM	\N	428	105134	UROK	\N	\N
3586260	1695	1998-10-31	PRIJEM	\N	418	120557	UROK	\N	\N
3586261	1695	1998-11-30	PRIJEM	\N	437	108022	UROK	\N	\N
3586262	1695	1998-12-31	PRIJEM	\N	448	106897	UROK	\N	\N
3586263	1696	1995-06-30	PRIJEM	\N	10	3849	UROK	\N	\N
3586264	1696	1995-07-31	PRIJEM	\N	16	7104	UROK	\N	\N
3586265	1696	1995-08-31	PRIJEM	\N	16	10359	UROK	\N	\N
3586266	1696	1995-09-30	PRIJEM	\N	16	13614	UROK	\N	\N
3586267	1696	1995-10-31	PRIJEM	\N	33	16195	UROK	\N	\N
3586268	1696	1995-11-30	PRIJEM	\N	70	17000	UROK	\N	\N
3586269	1696	1995-12-31	PRIJEM	\N	71	17896	UROK	\N	\N
3586270	1696	1996-01-31	PRIJEM	\N	65	13507	UROK	\N	\N
3586271	1696	1996-02-29	PRIJEM	\N	59	14631	UROK	\N	\N
3586272	1696	1996-03-31	PRIJEM	\N	59	14955	UROK	\N	\N
3586273	1696	1996-04-30	PRIJEM	\N	65	16086	UROK	\N	\N
3586274	1696	1996-05-31	PRIJEM	\N	69	16620	UROK	\N	\N
3586275	1696	1996-06-30	PRIJEM	\N	69	13795	UROK	\N	\N
3586276	1696	1996-07-31	PRIJEM	\N	60	14920	UROK	\N	\N
3586277	1696	1996-08-31	PRIJEM	\N	62	14758	UROK	\N	\N
3586278	1696	1996-09-30	PRIJEM	\N	64	15887	UROK	\N	\N
3586279	1696	1996-10-31	PRIJEM	\N	68	16211	UROK	\N	\N
3586280	1696	1996-11-30	PRIJEM	\N	70	17346	UROK	\N	\N
3586281	1696	1996-12-31	PRIJEM	\N	74	17856	UROK	\N	\N
3586282	1696	1997-01-31	PRIJEM	\N	64	13825	UROK	\N	\N
3586283	1696	1997-02-28	PRIJEM	\N	60	14950	UROK	\N	\N
3586284	1696	1997-03-31	PRIJEM	\N	65	15780	UROK	\N	\N
3586285	1696	1997-04-30	PRIJEM	\N	68	16914	UROK	\N	\N
3586286	1696	1997-05-31	PRIJEM	\N	72	17722	UROK	\N	\N
3586287	1696	1997-06-30	PRIJEM	\N	76	18863	UROK	\N	\N
3586288	1696	1997-07-31	PRIJEM	\N	80	19079	UROK	\N	\N
3586289	1696	1997-08-31	PRIJEM	\N	82	20226	UROK	\N	\N
3586290	1696	1997-09-30	PRIJEM	\N	87	21378	UROK	\N	\N
3586291	1696	1997-10-31	PRIJEM	\N	91	22234	UROK	\N	\N
3586292	1696	1997-11-30	PRIJEM	\N	94	22044	UROK	\N	\N
3586293	1696	1997-12-31	PRIJEM	\N	94	22483	UROK	\N	\N
3586294	1696	1998-01-31	PRIJEM	\N	76	16815	UROK	\N	\N
3586295	1696	1998-02-28	PRIJEM	\N	72	17952	UROK	\N	\N
3586296	1696	1998-03-31	PRIJEM	\N	77	19095	UROK	\N	\N
3586297	1696	1998-04-30	PRIJEM	\N	82	20242	UROK	\N	\N
3586298	1696	1998-05-31	PRIJEM	\N	84	20041	UROK	\N	\N
3586299	1696	1998-06-30	PRIJEM	\N	86	21192	UROK	\N	\N
3586300	1696	1998-07-31	PRIJEM	\N	84	20121	UROK	\N	\N
3586301	1696	1998-08-31	PRIJEM	\N	86	21273	UROK	\N	\N
3586302	1696	1998-09-30	PRIJEM	\N	91	22429	UROK	\N	\N
3586303	1696	1998-10-31	PRIJEM	\N	92	22835	UROK	\N	\N
3586304	1696	1998-11-30	PRIJEM	\N	92	23123	UROK	\N	\N
3586305	1696	1998-12-31	PRIJEM	\N	95	23803	UROK	\N	\N
3586306	1697	1997-10-31	PRIJEM	\N	2	17462	UROK	\N	\N
3586307	1697	1997-11-30	PRIJEM	\N	75	18634	UROK	\N	\N
3586308	1697	1997-12-31	PRIJEM	\N	78	19058	UROK	\N	\N
3586309	1697	1998-01-31	PRIJEM	\N	71	15605	UROK	\N	\N
3586310	1697	1998-02-28	PRIJEM	\N	67	16769	UROK	\N	\N
3586311	1697	1998-03-31	PRIJEM	\N	72	17938	UROK	\N	\N
3586312	1697	1998-04-30	PRIJEM	\N	77	18871	UROK	\N	\N
3586313	1697	1998-05-31	PRIJEM	\N	81	20048	UROK	\N	\N
3586314	1697	1998-06-30	PRIJEM	\N	80	17425	UROK	\N	\N
3586315	1697	1998-07-31	PRIJEM	\N	75	18596	UROK	\N	\N
3586316	1697	1998-08-31	PRIJEM	\N	73	17566	UROK	\N	\N
3586317	1697	1998-09-30	PRIJEM	\N	76	18738	UROK	\N	\N
3586318	1697	1998-10-31	PRIJEM	\N	81	19915	UROK	\N	\N
3586319	1697	1998-11-30	PRIJEM	\N	85	21097	UROK	\N	\N
3586320	1697	1998-12-31	PRIJEM	\N	73	16946	UROK	\N	\N
3586321	1698	1996-04-30	PRIJEM	\N	50	19877	UROK	\N	\N
3586322	1698	1996-05-31	PRIJEM	\N	120	34423	UROK	\N	\N
3586323	1698	1996-06-30	PRIJEM	\N	177	47240	UROK	\N	\N
3586324	1698	1996-07-31	PRIJEM	\N	203	49669	UROK	\N	\N
3586325	1698	1996-08-31	PRIJEM	\N	191	39502	UROK	\N	\N
3586326	1698	1996-09-30	PRIJEM	\N	145	30355	UROK	\N	\N
3586327	1698	1996-10-31	PRIJEM	\N	146	34828	UROK	\N	\N
3586328	1698	1996-11-30	PRIJEM	\N	154	31169	UROK	\N	\N
3586329	1698	1996-12-31	PRIJEM	\N	176	41566	UROK	\N	\N
3586330	1698	1997-01-31	PRIJEM	\N	156	29469	UROK	\N	\N
3586331	1698	1997-02-28	PRIJEM	\N	146	35242	UROK	\N	\N
3586332	1698	1997-03-31	PRIJEM	\N	160	38030	UROK	\N	\N
3586333	1698	1997-04-30	PRIJEM	\N	176	41233	UROK	\N	\N
3586334	1698	1997-05-31	PRIJEM	\N	184	42844	UROK	\N	\N
3586335	1698	1997-06-30	PRIJEM	\N	191	43716	UROK	\N	\N
3586336	1698	1997-07-31	PRIJEM	\N	180	41823	UROK	\N	\N
3586337	1698	1997-08-31	PRIJEM	\N	182	37312	UROK	\N	\N
3586338	1698	1997-09-30	PRIJEM	\N	172	41512	UROK	\N	\N
3586339	1698	1997-10-31	PRIJEM	\N	199	46239	UROK	\N	\N
3586340	1698	1997-11-30	PRIJEM	\N	176	37762	UROK	\N	\N
3586341	1698	1997-12-31	PRIJEM	\N	195	46498	UROK	\N	\N
3586342	1698	1998-01-31	PRIJEM	\N	184	35929	UROK	\N	\N
3586343	1698	1998-02-28	PRIJEM	\N	195	46052	UROK	\N	\N
3586344	1698	1998-03-31	PRIJEM	\N	196	46675	UROK	\N	\N
3586345	1698	1998-04-30	PRIJEM	\N	230	53932	UROK	\N	\N
3586346	1698	1998-05-31	PRIJEM	\N	234	54113	UROK	\N	\N
3586347	1698	1998-06-30	PRIJEM	\N	264	63257	UROK	\N	\N
3586348	1698	1998-07-31	PRIJEM	\N	250	56775	UROK	\N	\N
3586349	1698	1998-08-31	PRIJEM	\N	219	51321	UROK	\N	\N
3586350	1698	1998-09-30	PRIJEM	\N	214	48663	UROK	\N	\N
3586351	1698	1998-10-31	PRIJEM	\N	200	41650	UROK	\N	\N
3586352	1698	1998-11-30	PRIJEM	\N	193	41771	UROK	\N	\N
3586353	1698	1998-12-31	PRIJEM	\N	223	54674	UROK	\N	\N
3586354	1699	1993-06-30	PRIJEM	\N	85	22003	UROK	\N	\N
3586355	1699	1993-07-31	PRIJEM	\N	101	23831	UROK	\N	\N
3586356	1699	1993-08-31	PRIJEM	\N	108	25667	UROK	\N	\N
3586357	1699	1993-09-30	PRIJEM	\N	101	19735	UROK	\N	\N
3586358	1699	1993-10-31	PRIJEM	\N	95	20557	UROK	\N	\N
3586359	1699	1993-11-30	PRIJEM	\N	93	21878	UROK	\N	\N
3586360	1699	1993-12-31	PRIJEM	\N	98	21803	UROK	\N	\N
3586361	1699	1994-01-31	PRIJEM	\N	67	12867	UROK	\N	\N
3586362	1699	1994-02-28	PRIJEM	\N	63	14657	UROK	\N	\N
3586363	1699	1994-03-31	PRIJEM	\N	70	16455	UROK	\N	\N
3586364	1699	1994-04-30	PRIJEM	\N	73	16575	UROK	\N	\N
3586365	1699	1994-05-31	PRIJEM	\N	78	18381	UROK	\N	\N
3586366	1699	1994-06-30	PRIJEM	\N	76	17284	UROK	\N	\N
3586367	1699	1994-07-31	PRIJEM	\N	76	17588	UROK	\N	\N
3586368	1699	1994-08-31	PRIJEM	\N	71	16266	UROK	\N	\N
3586369	1699	1994-09-30	PRIJEM	\N	67	15341	UROK	\N	\N
3586370	1699	1994-10-31	PRIJEM	\N	73	17141	UROK	\N	\N
3586371	1699	1994-11-30	PRIJEM	\N	79	18447	UROK	\N	\N
3586372	1699	1994-12-31	PRIJEM	\N	68	14342	UROK	\N	\N
3586373	1699	1995-01-31	PRIJEM	\N	61	13731	UROK	\N	\N
3586374	1699	1995-02-28	PRIJEM	\N	66	15525	UROK	\N	\N
3586375	1699	1995-03-31	PRIJEM	\N	73	17326	UROK	\N	\N
3586376	1699	1995-04-30	PRIJEM	\N	80	18933	UROK	\N	\N
3586377	1699	1995-05-31	PRIJEM	\N	88	20748	UROK	\N	\N
3586378	1699	1995-06-30	PRIJEM	\N	89	20965	UROK	\N	\N
3586379	1699	1995-07-31	PRIJEM	\N	88	20681	UROK	\N	\N
3586380	1699	1995-08-31	PRIJEM	\N	75	16483	UROK	\N	\N
3586381	1699	1995-09-30	PRIJEM	\N	72	16443	UROK	\N	\N
3586382	1699	1995-10-31	PRIJEM	\N	66	15337	UROK	\N	\N
3586383	1699	1995-11-30	PRIJEM	\N	68	15932	UROK	\N	\N
3586384	1699	1995-12-31	PRIJEM	\N	71	16380	UROK	\N	\N
3586385	1699	1996-01-31	PRIJEM	\N	63	14210	UROK	\N	\N
3586386	1699	1996-02-29	PRIJEM	\N	67	12204	UROK	\N	\N
3586387	1699	1996-03-31	PRIJEM	\N	59	12590	UROK	\N	\N
3586388	1699	1996-04-30	PRIJEM	\N	60	12778	UROK	\N	\N
3586389	1699	1996-05-31	PRIJEM	\N	62	14567	UROK	\N	\N
3586390	1699	1996-06-30	PRIJEM	\N	50	10795	UROK	\N	\N
3586391	1699	1996-07-31	PRIJEM	\N	53	12575	UROK	\N	\N
3586392	1699	1996-08-31	PRIJEM	\N	61	14363	UROK	\N	\N
3586393	1699	1996-09-30	PRIJEM	\N	60	13831	UROK	\N	\N
3586394	1699	1996-10-31	PRIJEM	\N	66	15624	UROK	\N	\N
3586395	1699	1996-11-30	PRIJEM	\N	73	17424	UROK	\N	\N
3586396	1699	1996-12-31	PRIJEM	\N	75	14737	UROK	\N	\N
3586397	1699	1997-01-31	PRIJEM	\N	65	14689	UROK	\N	\N
3586398	1699	1997-02-28	PRIJEM	\N	68	15605	UROK	\N	\N
3586399	1699	1997-03-31	PRIJEM	\N	73	17405	UROK	\N	\N
3586400	1699	1997-04-30	PRIJEM	\N	75	15687	UROK	\N	\N
3586401	1699	1997-05-31	PRIJEM	\N	73	17488	UROK	\N	\N
3586402	1699	1997-06-30	PRIJEM	\N	75	17850	UROK	\N	\N
3586403	1699	1997-07-31	PRIJEM	\N	82	19659	UROK	\N	\N
3586404	1699	1997-08-31	PRIJEM	\N	82	19468	UROK	\N	\N
3586405	1699	1997-09-30	PRIJEM	\N	88	20884	UROK	\N	\N
3586406	1699	1997-10-31	PRIJEM	\N	94	22706	UROK	\N	\N
3586407	1699	1997-11-30	PRIJEM	\N	100	23253	UROK	\N	\N
3586408	1699	1997-12-31	PRIJEM	\N	102	24333	UROK	\N	\N
3586409	1699	1998-01-31	PRIJEM	\N	76	14706	UROK	\N	\N
3586410	1699	1998-02-28	PRIJEM	\N	69	16502	UROK	\N	\N
3586411	1699	1998-03-31	PRIJEM	\N	76	18305	UROK	\N	\N
3586412	1699	1998-04-30	PRIJEM	\N	83	20116	UROK	\N	\N
3586413	1699	1998-05-31	PRIJEM	\N	91	21934	UROK	\N	\N
3586414	1699	1998-06-30	PRIJEM	\N	89	19201	UROK	\N	\N
3586415	1699	1998-07-31	PRIJEM	\N	87	21015	UROK	\N	\N
3586416	1699	1998-08-31	PRIJEM	\N	92	22195	UROK	\N	\N
3586417	1699	1998-09-30	PRIJEM	\N	99	24021	UROK	\N	\N
3586418	1699	1998-10-31	PRIJEM	\N	105	24654	UROK	\N	\N
3586419	1699	1998-11-30	PRIJEM	\N	106	25447	UROK	\N	\N
3586420	1699	1998-12-31	PRIJEM	\N	112	26286	UROK	\N	\N
3586421	1700	1995-12-31	PRIJEM	\N	52	27571	UROK	\N	\N
3586422	1700	1996-01-31	PRIJEM	\N	125	32942	UROK	\N	\N
3586423	1700	1996-02-29	PRIJEM	\N	151	40240	UROK	\N	\N
3586424	1700	1996-03-31	PRIJEM	\N	175	43960	UROK	\N	\N
3586425	1700	1996-04-30	PRIJEM	\N	204	44950	UROK	\N	\N
3586426	1700	1996-05-31	PRIJEM	\N	204	46620	UROK	\N	\N
3586427	1700	1996-06-30	PRIJEM	\N	186	27965	UROK	\N	\N
3586428	1700	1996-07-31	PRIJEM	\N	149	37681	UROK	\N	\N
3586429	1700	1996-08-31	PRIJEM	\N	175	41222	UROK	\N	\N
3586430	1700	1996-09-30	PRIJEM	\N	192	46240	UROK	\N	\N
3586431	1700	1996-10-31	PRIJEM	\N	202	49248	UROK	\N	\N
3586432	1700	1996-11-30	PRIJEM	\N	204	47318	UROK	\N	\N
3586433	1700	1996-12-31	PRIJEM	\N	230	56887	UROK	\N	\N
3586434	1700	1997-01-31	PRIJEM	\N	207	45640	UROK	\N	\N
3586435	1700	1997-02-28	PRIJEM	\N	188	45295	UROK	\N	\N
3586436	1700	1997-03-31	PRIJEM	\N	197	47159	UROK	\N	\N
3586437	1700	1997-04-30	PRIJEM	\N	196	46522	UROK	\N	\N
3586438	1700	1997-05-31	PRIJEM	\N	192	45480	UROK	\N	\N
3586439	1700	1997-06-30	PRIJEM	\N	197	48417	UROK	\N	\N
3586440	1700	1997-07-31	PRIJEM	\N	229	43173	UROK	\N	\N
3586441	1700	1997-08-31	PRIJEM	\N	205	52644	UROK	\N	\N
3586442	1700	1997-09-30	PRIJEM	\N	227	57437	UROK	\N	\N
3586443	1700	1997-10-31	PRIJEM	\N	217	51940	UROK	\N	\N
3586444	1700	1997-11-30	PRIJEM	\N	231	59738	UROK	\N	\N
3586445	1700	1997-12-31	PRIJEM	\N	272	71350	UROK	\N	\N
3586446	1700	1998-01-31	PRIJEM	\N	246	54902	UROK	\N	\N
3586447	1700	1998-02-28	PRIJEM	\N	217	54885	UROK	\N	\N
3586448	1700	1998-03-31	PRIJEM	\N	242	61993	UROK	\N	\N
3586449	1700	1998-04-30	PRIJEM	\N	259	65518	UROK	\N	\N
3586450	1700	1998-05-31	PRIJEM	\N	278	70362	UROK	\N	\N
3586451	1700	1998-06-30	PRIJEM	\N	302	66084	UROK	\N	\N
3586452	1700	1998-07-31	PRIJEM	\N	276	69726	UROK	\N	\N
3586453	1700	1998-08-31	PRIJEM	\N	289	71181	UROK	\N	\N
3586454	1700	1998-09-30	PRIJEM	\N	298	75446	UROK	\N	\N
3586455	1700	1998-10-31	PRIJEM	\N	295	73307	UROK	\N	\N
3586456	1700	1998-11-30	PRIJEM	\N	314	79788	UROK	\N	\N
3586457	1700	1998-12-31	PRIJEM	\N	363	93990	UROK	\N	\N
3586458	1701	1993-08-31	PRIJEM	\N	27	28240	UROK	\N	\N
3586459	1701	1993-09-30	PRIJEM	\N	148	84926	UROK	\N	\N
3586460	1701	1993-10-31	PRIJEM	\N	325	59674	UROK	\N	\N
3586461	1701	1993-11-30	PRIJEM	\N	165	22277	UROK	\N	\N
3586462	1701	1993-12-31	PRIJEM	\N	76	16367	UROK	\N	\N
3586463	1701	1994-01-31	PRIJEM	\N	84	71123	UROK	\N	\N
3586464	1701	1994-02-28	PRIJEM	\N	245	64498	UROK	\N	\N
3586465	1701	1994-03-31	PRIJEM	\N	273	64126	UROK	\N	\N
3586466	1701	1994-04-30	PRIJEM	\N	206	65904	UROK	\N	\N
3586467	1701	1994-05-31	PRIJEM	\N	228	51017	UROK	\N	\N
3586468	1701	1994-06-30	PRIJEM	\N	162	74978	UROK	\N	\N
3586469	1701	1994-07-31	PRIJEM	\N	236	68329	UROK	\N	\N
3586470	1701	1994-08-31	PRIJEM	\N	217	59464	UROK	\N	\N
3586471	1701	1994-09-30	PRIJEM	\N	208	43672	UROK	\N	\N
3586472	1701	1994-10-31	PRIJEM	\N	246	77028	UROK	\N	\N
3586473	1701	1994-11-30	PRIJEM	\N	175	61912	UROK	\N	\N
3586474	1701	1994-12-31	PRIJEM	\N	342	69038	UROK	\N	\N
3586475	1701	1995-01-31	PRIJEM	\N	128	24993	UROK	\N	\N
3586476	1701	1995-02-28	PRIJEM	\N	76	14883	UROK	\N	\N
3586477	1701	1995-03-31	PRIJEM	\N	41	7939	UROK	\N	\N
3586478	1701	1995-04-30	PRIJEM	\N	140	42588	UROK	\N	\N
3586479	1701	1995-05-31	PRIJEM	\N	188	55168	UROK	\N	\N
3586480	1701	1995-06-30	PRIJEM	\N	185	69828	UROK	\N	\N
3586481	1701	1995-07-31	PRIJEM	\N	230	51755	UROK	\N	\N
3586482	1701	1995-08-31	PRIJEM	\N	140	20109	UROK	\N	\N
3586483	1701	1995-09-30	PRIJEM	\N	81	13504	UROK	\N	\N
3586484	1701	1995-10-31	PRIJEM	\N	54	5973	UROK	\N	\N
3586485	1701	1995-11-30	PRIJEM	\N	25	13283	UROK	\N	\N
3586486	1701	1995-12-31	PRIJEM	\N	53	5751	UROK	\N	\N
3586487	1701	1996-01-31	PRIJEM	\N	108	37144	UROK	\N	\N
3586488	1701	1996-02-29	PRIJEM	\N	202	36977	UROK	\N	\N
3586489	1701	1996-03-31	PRIJEM	\N	268	55061	UROK	\N	\N
3586490	1701	1996-04-30	PRIJEM	\N	249	47453	UROK	\N	\N
3586491	1701	1996-05-31	PRIJEM	\N	201	35181	UROK	\N	\N
3586492	1701	1996-06-30	PRIJEM	\N	121	19116	UROK	\N	\N
3586493	1701	1996-07-31	PRIJEM	\N	73	14203	UROK	\N	\N
3586494	1701	1996-08-31	PRIJEM	\N	123	28826	UROK	\N	\N
3586495	1701	1996-09-30	PRIJEM	\N	151	47455	UROK	\N	\N
3586496	1701	1996-10-31	PRIJEM	\N	187	38061	UROK	\N	\N
3586497	1701	1996-11-30	PRIJEM	\N	147	30322	UROK	\N	\N
3586498	1701	1996-12-31	PRIJEM	\N	100	24037	UROK	\N	\N
3586499	1701	1997-01-31	PRIJEM	\N	191	44311	UROK	\N	\N
3586500	1701	1997-02-28	PRIJEM	\N	225	47766	UROK	\N	\N
3586501	1701	1997-03-31	PRIJEM	\N	254	87013	UROK	\N	\N
3586502	1701	1997-04-30	PRIJEM	\N	288	61894	UROK	\N	\N
3586503	1701	1997-05-31	PRIJEM	\N	175	57004	UROK	\N	\N
3586504	1701	1997-06-30	PRIJEM	\N	209	40900	UROK	\N	\N
3586505	1701	1997-07-31	PRIJEM	\N	236	76513	UROK	\N	\N
3586506	1701	1997-08-31	PRIJEM	\N	270	43142	UROK	\N	\N
3586507	1701	1997-09-30	PRIJEM	\N	225	95633	UROK	\N	\N
3586508	1701	1997-10-31	PRIJEM	\N	321	68136	UROK	\N	\N
3586509	1701	1997-11-30	PRIJEM	\N	246	36168	UROK	\N	\N
3586510	1701	1997-12-31	PRIJEM	\N	209	36593	UROK	\N	\N
3586511	1701	1998-01-31	PRIJEM	\N	96	18604	UROK	\N	\N
3586512	1701	1998-02-28	PRIJEM	\N	73	11091	UROK	\N	\N
3586513	1701	1998-03-31	PRIJEM	\N	41	3546	UROK	\N	\N
3586514	1701	1998-04-30	PRIJEM	\N	62	28404	UROK	\N	\N
3586515	1701	1998-05-31	PRIJEM	\N	105	24524	UROK	\N	\N
3586516	1701	1998-06-30	PRIJEM	\N	100	24992	UROK	\N	\N
3586517	1701	1998-07-31	PRIJEM	\N	123	34108	UROK	\N	\N
3586518	1701	1998-08-31	PRIJEM	\N	124	26446	UROK	\N	\N
3586519	1701	1998-09-30	PRIJEM	\N	104	26065	UROK	\N	\N
3586520	1701	1998-10-31	PRIJEM	\N	105	26584	UROK	\N	\N
3586521	1701	1998-11-30	PRIJEM	\N	103	25901	UROK	\N	\N
3586522	1702	1995-03-31	PRIJEM	\N	6	14740	UROK	\N	\N
3586523	1702	1995-04-30	PRIJEM	\N	66	26340	UROK	\N	\N
3586524	1702	1995-05-31	PRIJEM	\N	111	28885	UROK	\N	\N
3586525	1702	1995-06-30	PRIJEM	\N	123	34309	UROK	\N	\N
3586526	1702	1995-07-31	PRIJEM	\N	143	34886	UROK	\N	\N
3586527	1702	1995-08-31	PRIJEM	\N	136	29552	UROK	\N	\N
3586528	1702	1995-09-30	PRIJEM	\N	124	26006	UROK	\N	\N
3586529	1702	1995-10-31	PRIJEM	\N	116	27653	UROK	\N	\N
3586530	1702	1995-11-30	PRIJEM	\N	107	23090	UROK	\N	\N
3586531	1702	1995-12-31	PRIJEM	\N	112	24700	UROK	\N	\N
3586532	1702	1996-01-31	PRIJEM	\N	89	14519	UROK	\N	\N
3586533	1702	1996-02-29	PRIJEM	\N	70	18320	UROK	\N	\N
3586534	1702	1996-03-31	PRIJEM	\N	87	22937	UROK	\N	\N
3586535	1702	1996-04-30	PRIJEM	\N	85	19053	UROK	\N	\N
3586536	1702	1996-05-31	PRIJEM	\N	90	23474	UROK	\N	\N
3586537	1702	1996-06-30	PRIJEM	\N	110	25281	UROK	\N	\N
3586538	1702	1996-07-31	PRIJEM	\N	115	28827	UROK	\N	\N
3586539	1702	1996-08-31	PRIJEM	\N	123	28280	UROK	\N	\N
3586540	1702	1996-09-30	PRIJEM	\N	120	27730	UROK	\N	\N
3586541	1702	1996-10-31	PRIJEM	\N	121	29082	UROK	\N	\N
3586542	1702	1996-11-30	PRIJEM	\N	123	29135	UROK	\N	\N
3586543	1702	1996-12-31	PRIJEM	\N	128	27060	UROK	\N	\N
3586544	1702	1997-01-31	PRIJEM	\N	101	24992	UROK	\N	\N
3586545	1702	1997-02-28	PRIJEM	\N	107	28929	UROK	\N	\N
3586546	1702	1997-03-31	PRIJEM	\N	114	22474	UROK	\N	\N
3586547	1702	1997-04-30	PRIJEM	\N	100	24604	UROK	\N	\N
3586548	1702	1997-05-31	PRIJEM	\N	108	26242	UROK	\N	\N
3586549	1702	1997-06-30	PRIJEM	\N	111	22050	UROK	\N	\N
3586550	1702	1997-07-31	PRIJEM	\N	102	26183	UROK	\N	\N
3586551	1702	1997-08-31	PRIJEM	\N	112	26824	UROK	\N	\N
3586552	1702	1997-09-30	PRIJEM	\N	106	23061	UROK	\N	\N
3586553	1702	1997-10-31	PRIJEM	\N	114	30305	UROK	\N	\N
3586554	1702	1997-11-30	PRIJEM	\N	125	29760	UROK	\N	\N
3586555	1702	1997-12-31	PRIJEM	\N	136	33594	UROK	\N	\N
3586556	1702	1998-01-31	PRIJEM	\N	120	27444	UROK	\N	\N
3586557	1702	1998-02-28	PRIJEM	\N	123	33798	UROK	\N	\N
3586558	1702	1998-03-31	PRIJEM	\N	134	31862	UROK	\N	\N
3586559	1702	1998-04-30	PRIJEM	\N	117	27709	UROK	\N	\N
3586560	1702	1998-05-31	PRIJEM	\N	123	30862	UROK	\N	\N
3586561	1702	1998-06-30	PRIJEM	\N	135	18794	UROK	\N	\N
3586562	1702	1998-07-31	PRIJEM	\N	86	20311	UROK	\N	\N
3586563	1702	1998-08-31	PRIJEM	\N	103	24644	UROK	\N	\N
3586564	1702	1998-09-30	PRIJEM	\N	112	28986	UROK	\N	\N
3586565	1702	1998-10-31	PRIJEM	\N	107	26024	UROK	\N	\N
3586566	1702	1998-11-30	PRIJEM	\N	95	22449	UROK	\N	\N
3586567	1702	1998-12-31	PRIJEM	\N	106	27452	UROK	\N	\N
3586568	1703	1997-11-30	PRIJEM	\N	21	6362	UROK	\N	\N
3586569	1703	1997-12-31	PRIJEM	\N	26	12030	UROK	\N	\N
3586570	1703	1998-01-31	PRIJEM	\N	26	17697	UROK	\N	\N
3586571	1703	1998-02-28	PRIJEM	\N	26	23364	UROK	\N	\N
3586572	1703	1998-03-31	PRIJEM	\N	30	29035	UROK	\N	\N
3586573	1703	1998-04-30	PRIJEM	\N	114	26201	UROK	\N	\N
3586574	1703	1998-05-31	PRIJEM	\N	116	28389	UROK	\N	\N
3586575	1703	1998-06-30	PRIJEM	\N	93	20804	UROK	\N	\N
3586576	1703	1998-07-31	PRIJEM	\N	94	22970	UROK	\N	\N
3586577	1703	1998-08-31	PRIJEM	\N	102	24545	UROK	\N	\N
3586578	1703	1998-09-30	PRIJEM	\N	109	25326	UROK	\N	\N
3586579	1703	1998-10-31	PRIJEM	\N	106	23904	UROK	\N	\N
3586580	1703	1998-11-30	PRIJEM	\N	106	25883	UROK	\N	\N
3586581	1703	1998-12-31	PRIJEM	\N	105	23791	UROK	\N	\N
3586582	1704	1995-12-31	PRIJEM	\N	28	18897	UROK	\N	\N
3586583	1704	1996-01-31	PRIJEM	\N	82	21002	UROK	\N	\N
3586584	1704	1996-02-29	PRIJEM	\N	97	23837	UROK	\N	\N
3586585	1704	1996-03-31	PRIJEM	\N	97	20757	UROK	\N	\N
3586586	1704	1996-04-30	PRIJEM	\N	88	17549	UROK	\N	\N
3586587	1704	1996-05-31	PRIJEM	\N	79	18452	UROK	\N	\N
3586588	1704	1996-06-30	PRIJEM	\N	73	14448	UROK	\N	\N
3586589	1704	1996-07-31	PRIJEM	\N	67	15738	UROK	\N	\N
3586590	1704	1996-08-31	PRIJEM	\N	67	14328	UROK	\N	\N
3586591	1704	1996-09-30	PRIJEM	\N	64	14615	UROK	\N	\N
3586592	1704	1996-10-31	PRIJEM	\N	72	18311	UROK	\N	\N
3586593	1704	1996-11-30	PRIJEM	\N	77	16891	UROK	\N	\N
3586594	1704	1996-12-31	PRIJEM	\N	78	18262	UROK	\N	\N
3586595	1704	1997-01-31	PRIJEM	\N	83	20018	UROK	\N	\N
3586596	1704	1997-02-28	PRIJEM	\N	89	21530	UROK	\N	\N
3586597	1704	1997-03-31	PRIJEM	\N	87	19141	UROK	\N	\N
3586598	1704	1997-04-30	PRIJEM	\N	88	21852	UROK	\N	\N
3586599	1704	1997-05-31	PRIJEM	\N	92	21368	UROK	\N	\N
3586600	1704	1997-06-30	PRIJEM	\N	83	16364	UROK	\N	\N
3586601	1704	1997-07-31	PRIJEM	\N	73	15440	UROK	\N	\N
3586602	1704	1997-08-31	PRIJEM	\N	68	15491	UROK	\N	\N
3586603	1704	1997-09-30	PRIJEM	\N	69	16743	UROK	\N	\N
3586604	1704	1997-10-31	PRIJEM	\N	65	14731	UROK	\N	\N
3586605	1704	1997-11-30	PRIJEM	\N	65	15919	UROK	\N	\N
3586606	1704	1997-12-31	PRIJEM	\N	74	18567	UROK	\N	\N
3586607	1704	1998-01-31	PRIJEM	\N	82	20323	UROK	\N	\N
3586608	1704	1998-02-28	PRIJEM	\N	78	18224	UROK	\N	\N
3586609	1704	1998-03-31	PRIJEM	\N	87	21934	UROK	\N	\N
3586610	1704	1998-04-30	PRIJEM	\N	100	23698	UROK	\N	\N
3586611	1704	1998-05-31	PRIJEM	\N	94	22415	UROK	\N	\N
3586612	1704	1998-06-30	PRIJEM	\N	73	14081	UROK	\N	\N
3586613	1704	1998-07-31	PRIJEM	\N	62	15166	UROK	\N	\N
3586614	1704	1998-08-31	PRIJEM	\N	54	12544	UROK	\N	\N
3586615	1704	1998-09-30	PRIJEM	\N	63	16230	UROK	\N	\N
3586616	1704	1998-10-31	PRIJEM	\N	71	16624	UROK	\N	\N
3586617	1704	1998-11-30	PRIJEM	\N	74	17821	UROK	\N	\N
3586618	1704	1998-12-31	PRIJEM	\N	79	18973	UROK	\N	\N
3586619	1705	1993-10-31	PRIJEM	\N	47	20584	UROK	\N	\N
3586620	1705	1993-11-30	PRIJEM	\N	108	30229	UROK	\N	\N
3586621	1705	1993-12-31	PRIJEM	\N	143	37427	UROK	\N	\N
3586622	1705	1994-01-31	PRIJEM	\N	153	36417	UROK	\N	\N
3586623	1705	1994-02-28	PRIJEM	\N	144	33696	UROK	\N	\N
3586624	1705	1994-03-31	PRIJEM	\N	145	32522	UROK	\N	\N
3586625	1705	1994-04-30	PRIJEM	\N	145	35887	UROK	\N	\N
3586626	1705	1994-05-31	PRIJEM	\N	153	34820	UROK	\N	\N
3586627	1705	1994-06-30	PRIJEM	\N	97	18796	UROK	\N	\N
3586628	1705	1994-07-31	PRIJEM	\N	104	28420	UROK	\N	\N
3586629	1705	1994-08-31	PRIJEM	\N	120	28961	UROK	\N	\N
3586630	1705	1994-09-30	PRIJEM	\N	120	28501	UROK	\N	\N
3586631	1705	1994-10-31	PRIJEM	\N	127	30848	UROK	\N	\N
3586632	1705	1994-11-30	PRIJEM	\N	121	27890	UROK	\N	\N
3586633	1705	1994-12-31	PRIJEM	\N	129	30478	UROK	\N	\N
3586634	1705	1995-01-31	PRIJEM	\N	120	27458	UROK	\N	\N
3586635	1705	1995-02-28	PRIJEM	\N	146	36724	UROK	\N	\N
3586636	1705	1995-03-31	PRIJEM	\N	146	33790	UROK	\N	\N
3586637	1705	1995-04-30	PRIJEM	\N	132	27543	UROK	\N	\N
3586638	1705	1995-05-31	PRIJEM	\N	109	21532	UROK	\N	\N
3586639	1705	1995-06-30	PRIJEM	\N	144	37815	UROK	\N	\N
3586640	1705	1995-07-31	PRIJEM	\N	151	33226	UROK	\N	\N
3586641	1705	1995-08-31	PRIJEM	\N	156	37902	UROK	\N	\N
3586642	1705	1995-09-30	PRIJEM	\N	157	37080	UROK	\N	\N
3586643	1705	1995-10-31	PRIJEM	\N	156	37056	UROK	\N	\N
3586644	1705	1995-11-30	PRIJEM	\N	157	37234	UROK	\N	\N
3586645	1705	1995-12-31	PRIJEM	\N	187	45400	UROK	\N	\N
3586646	1705	1996-01-31	PRIJEM	\N	180	40541	UROK	\N	\N
3586647	1705	1996-02-29	PRIJEM	\N	164	38526	UROK	\N	\N
3586648	1705	1996-03-31	PRIJEM	\N	152	35498	UROK	\N	\N
3586649	1705	1996-04-30	PRIJEM	\N	143	33261	UROK	\N	\N
3586650	1705	1996-05-31	PRIJEM	\N	137	32419	UROK	\N	\N
3586651	1705	1996-06-30	PRIJEM	\N	166	41524	UROK	\N	\N
3586652	1705	1996-07-31	PRIJEM	\N	149	34233	UROK	\N	\N
3586653	1705	1996-08-31	PRIJEM	\N	134	22186	UROK	\N	\N
3586654	1705	1996-09-30	PRIJEM	\N	115	25521	UROK	\N	\N
3586655	1705	1996-10-31	PRIJEM	\N	127	26469	UROK	\N	\N
3586656	1705	1996-11-30	PRIJEM	\N	130	26819	UROK	\N	\N
3586657	1705	1996-12-31	PRIJEM	\N	146	25204	UROK	\N	\N
3586658	1705	1997-01-31	PRIJEM	\N	123	25948	UROK	\N	\N
3586659	1705	1997-02-28	PRIJEM	\N	125	24394	UROK	\N	\N
3586660	1705	1997-03-31	PRIJEM	\N	113	20647	UROK	\N	\N
3586661	1705	1997-04-30	PRIJEM	\N	105	22012	UROK	\N	\N
3586662	1705	1997-05-31	PRIJEM	\N	109	22142	UROK	\N	\N
3586663	1705	1997-06-30	PRIJEM	\N	122	19802	UROK	\N	\N
3586664	1705	1997-07-31	PRIJEM	\N	94	16477	UROK	\N	\N
3586665	1705	1997-08-31	PRIJEM	\N	84	17181	UROK	\N	\N
3586666	1705	1997-09-30	PRIJEM	\N	82	14183	UROK	\N	\N
3586667	1705	1997-10-31	PRIJEM	\N	75	20059	UROK	\N	\N
3586668	1705	1997-11-30	PRIJEM	\N	106	29685	UROK	\N	\N
3586669	1705	1997-12-31	PRIJEM	\N	126	17230	UROK	\N	\N
3586670	1705	1998-01-31	PRIJEM	\N	95	26845	UROK	\N	\N
3586671	1705	1998-02-28	PRIJEM	\N	133	36499	UROK	\N	\N
3586672	1705	1998-03-31	PRIJEM	\N	175	46194	UROK	\N	\N
3586673	1705	1998-04-30	PRIJEM	\N	171	21085	UROK	\N	\N
3586674	1705	1998-05-31	PRIJEM	\N	110	30716	UROK	\N	\N
3586675	1705	1998-06-30	PRIJEM	\N	161	40556	UROK	\N	\N
3586676	1705	1998-07-31	PRIJEM	\N	191	50268	UROK	\N	\N
3586677	1705	1998-08-31	PRIJEM	\N	210	48118	UROK	\N	\N
3586678	1705	1998-09-30	PRIJEM	\N	164	22802	UROK	\N	\N
3586679	1705	1998-10-31	PRIJEM	\N	115	31357	UROK	\N	\N
3586680	1705	1998-11-30	PRIJEM	\N	156	39593	UROK	\N	\N
3586681	1705	1998-12-31	PRIJEM	\N	210	54122	UROK	\N	\N
3586682	1706	1995-01-31	PRIJEM	\N	10	3797	UROK	\N	\N
3586683	1706	1995-02-28	PRIJEM	\N	50	17434	UROK	\N	\N
3586684	1706	1995-03-31	PRIJEM	\N	84	21805	UROK	\N	\N
3586685	1706	1995-04-30	PRIJEM	\N	106	27799	UROK	\N	\N
3586686	1706	1995-05-31	PRIJEM	\N	122	29778	UROK	\N	\N
3586687	1706	1995-06-30	PRIJEM	\N	98	21311	UROK	\N	\N
3586688	1706	1995-07-31	PRIJEM	\N	101	25826	UROK	\N	\N
3586689	1706	1995-08-31	PRIJEM	\N	103	24644	UROK	\N	\N
3586690	1706	1995-09-30	PRIJEM	\N	106	26164	UROK	\N	\N
3586691	1706	1995-10-31	PRIJEM	\N	117	29295	UROK	\N	\N
3586692	1706	1995-11-30	PRIJEM	\N	125	30735	UROK	\N	\N
3586693	1706	1995-12-31	PRIJEM	\N	121	31790	UROK	\N	\N
3586694	1706	1996-01-31	PRIJEM	\N	129	34414	UROK	\N	\N
3586695	1706	1996-02-29	PRIJEM	\N	146	35574	UROK	\N	\N
3586696	1706	1996-03-31	PRIJEM	\N	146	34375	UROK	\N	\N
3586697	1706	1996-04-30	PRIJEM	\N	146	36435	UROK	\N	\N
3586698	1706	1996-05-31	PRIJEM	\N	151	33871	UROK	\N	\N
3586699	1706	1996-06-30	PRIJEM	\N	141	32097	UROK	\N	\N
3586700	1706	1996-07-31	PRIJEM	\N	136	33647	UROK	\N	\N
3586701	1706	1996-08-31	PRIJEM	\N	144	36505	UROK	\N	\N
3586702	1706	1996-09-30	PRIJEM	\N	153	38953	UROK	\N	\N
3586703	1706	1996-10-31	PRIJEM	\N	166	41934	UROK	\N	\N
3586704	1706	1996-11-30	PRIJEM	\N	177	42524	UROK	\N	\N
3586705	1706	1996-12-31	PRIJEM	\N	181	47170	UROK	\N	\N
3586706	1706	1997-01-31	PRIJEM	\N	188	46022	UROK	\N	\N
3586707	1706	1997-02-28	PRIJEM	\N	189	45026	UROK	\N	\N
3586708	1706	1997-03-31	PRIJEM	\N	193	50133	UROK	\N	\N
3586709	1706	1997-04-30	PRIJEM	\N	212	52460	UROK	\N	\N
3586710	1706	1997-05-31	PRIJEM	\N	217	49991	UROK	\N	\N
3586711	1706	1997-06-30	PRIJEM	\N	198	47383	UROK	\N	\N
3586712	1706	1997-07-31	PRIJEM	\N	201	51189	UROK	\N	\N
3586713	1706	1997-08-31	PRIJEM	\N	216	53049	UROK	\N	\N
3586714	1706	1997-09-30	PRIJEM	\N	225	55888	UROK	\N	\N
3586715	1706	1997-10-31	PRIJEM	\N	237	58400	UROK	\N	\N
3586716	1706	1997-11-30	PRIJEM	\N	249	62063	UROK	\N	\N
3586717	1706	1997-12-31	PRIJEM	\N	259	63386	UROK	\N	\N
3586718	1706	1998-01-31	PRIJEM	\N	248	55928	UROK	\N	\N
3586719	1706	1998-02-28	PRIJEM	\N	236	58178	UROK	\N	\N
3586720	1706	1998-03-31	PRIJEM	\N	241	58754	UROK	\N	\N
3586721	1706	1998-04-30	PRIJEM	\N	248	61316	UROK	\N	\N
3586722	1706	1998-05-31	PRIJEM	\N	253	60483	UROK	\N	\N
3586723	1706	1998-06-30	PRIJEM	\N	243	53191	UROK	\N	\N
3586724	1706	1998-07-31	PRIJEM	\N	223	54628	UROK	\N	\N
3586725	1706	1998-08-31	PRIJEM	\N	222	52865	UROK	\N	\N
3586726	1706	1998-09-30	PRIJEM	\N	215	51194	UROK	\N	\N
3586727	1706	1998-10-31	PRIJEM	\N	214	52522	UROK	\N	\N
3586728	1706	1998-11-30	PRIJEM	\N	217	52934	UROK	\N	\N
3586729	1706	1998-12-31	PRIJEM	\N	220	53928	UROK	\N	\N
3586730	1707	1997-02-28	PRIJEM	\N	47	18616	UROK	\N	\N
3586731	1707	1997-03-31	PRIJEM	\N	98	27283	UROK	\N	\N
3586732	1707	1997-04-30	PRIJEM	\N	123	31275	UROK	\N	\N
3586733	1707	1997-05-31	PRIJEM	\N	130	31374	UROK	\N	\N
3586734	1707	1997-06-30	PRIJEM	\N	83	13781	UROK	\N	\N
3586735	1707	1997-07-31	PRIJEM	\N	59	13765	UROK	\N	\N
3586736	1707	1997-08-31	PRIJEM	\N	56	12345	UROK	\N	\N
3586737	1707	1997-09-30	PRIJEM	\N	49	10019	UROK	\N	\N
3586738	1707	1997-10-31	PRIJEM	\N	48	10590	UROK	\N	\N
3586739	1707	1997-11-30	PRIJEM	\N	41	7856	UROK	\N	\N
3586740	1707	1997-12-31	PRIJEM	\N	39	8304	UROK	\N	\N
3586741	1707	1998-01-31	PRIJEM	\N	43	8871	UROK	\N	\N
3586742	1707	1998-02-28	PRIJEM	\N	45	7141	UROK	\N	\N
3586743	1707	1998-03-31	PRIJEM	\N	37	7802	UROK	\N	\N
3586744	1707	1998-04-30	PRIJEM	\N	34	6160	UROK	\N	\N
3586745	1707	1998-05-31	PRIJEM	\N	25	4009	UROK	\N	\N
3586746	1707	1998-06-30	PRIJEM	\N	40	14159	UROK	\N	\N
3586747	1707	1998-07-31	PRIJEM	\N	49	5432	UROK	\N	\N
3586748	1707	1998-08-31	PRIJEM	\N	32	9589	UROK	\N	\N
3586749	1707	1998-09-30	PRIJEM	\N	49	13763	UROK	\N	\N
3586750	1707	1998-10-31	PRIJEM	\N	67	17954	UROK	\N	\N
3586751	1707	1998-11-30	PRIJEM	\N	84	22163	UROK	\N	\N
3586752	1707	1998-12-31	PRIJEM	\N	102	23074	UROK	\N	\N
3586753	1708	1994-12-31	PRIJEM	\N	33	22566	UROK	\N	\N
3586754	1708	1995-01-31	PRIJEM	\N	107	30795	UROK	\N	\N
3586755	1708	1995-02-28	PRIJEM	\N	131	32748	UROK	\N	\N
3586756	1708	1995-03-31	PRIJEM	\N	139	34809	UROK	\N	\N
3586757	1708	1995-04-30	PRIJEM	\N	148	29421	UROK	\N	\N
3586758	1708	1995-05-31	PRIJEM	\N	132	27002	UROK	\N	\N
3586759	1708	1995-06-30	PRIJEM	\N	133	29895	UROK	\N	\N
3586760	1708	1995-07-31	PRIJEM	\N	134	29679	UROK	\N	\N
3586761	1708	1995-08-31	PRIJEM	\N	130	28359	UROK	\N	\N
3586762	1708	1995-09-30	PRIJEM	\N	129	28737	UROK	\N	\N
3586763	1708	1995-10-31	PRIJEM	\N	121	25007	UROK	\N	\N
3586764	1708	1995-11-30	PRIJEM	\N	120	28077	UROK	\N	\N
3586765	1708	1995-12-31	PRIJEM	\N	129	28366	UROK	\N	\N
3586766	1708	1996-01-31	PRIJEM	\N	107	14223	UROK	\N	\N
3586767	1708	1996-02-29	PRIJEM	\N	81	18453	UROK	\N	\N
3586768	1708	1996-03-31	PRIJEM	\N	91	20994	UROK	\N	\N
3586769	1708	1996-04-30	PRIJEM	\N	110	23653	UROK	\N	\N
3586770	1708	1996-05-31	PRIJEM	\N	121	26123	UROK	\N	\N
3586771	1708	1996-06-30	PRIJEM	\N	116	26000	UROK	\N	\N
3586772	1708	1996-07-31	PRIJEM	\N	98	19747	UROK	\N	\N
3586773	1708	1996-08-31	PRIJEM	\N	90	20987	UROK	\N	\N
3586774	1708	1996-09-30	PRIJEM	\N	88	20224	UROK	\N	\N
3586775	1708	1996-10-31	PRIJEM	\N	78	17052	UROK	\N	\N
3586776	1708	1996-11-30	PRIJEM	\N	74	15175	UROK	\N	\N
3586777	1708	1996-12-31	PRIJEM	\N	69	13604	UROK	\N	\N
3586778	1708	1997-01-31	PRIJEM	\N	70	14623	UROK	\N	\N
3586779	1708	1997-02-28	PRIJEM	\N	75	16447	UROK	\N	\N
3586780	1708	1997-03-31	PRIJEM	\N	54	7650	UROK	\N	\N
3586781	1708	1997-04-30	PRIJEM	\N	55	14254	UROK	\N	\N
3586782	1708	1997-05-31	PRIJEM	\N	71	16874	UROK	\N	\N
3586783	1708	1997-06-30	PRIJEM	\N	102	26037	UROK	\N	\N
3586784	1708	1997-07-31	PRIJEM	\N	129	32715	UROK	\N	\N
3586785	1708	1997-08-31	PRIJEM	\N	157	39422	UROK	\N	\N
3586786	1708	1997-09-30	PRIJEM	\N	120	23992	UROK	\N	\N
3586787	1708	1997-10-31	PRIJEM	\N	123	30664	UROK	\N	\N
3586788	1708	1997-11-30	PRIJEM	\N	102	21415	UROK	\N	\N
3586789	1708	1997-12-31	PRIJEM	\N	126	33401	UROK	\N	\N
3586790	1708	1998-01-31	PRIJEM	\N	79	16029	UROK	\N	\N
3586791	1708	1998-02-28	PRIJEM	\N	87	22665	UROK	\N	\N
3586792	1708	1998-03-31	PRIJEM	\N	103	25418	UROK	\N	\N
3586793	1708	1998-04-30	PRIJEM	\N	118	29286	UROK	\N	\N
3586794	1708	1998-05-31	PRIJEM	\N	94	19629	UROK	\N	\N
3586795	1708	1998-06-30	PRIJEM	\N	125	33514	UROK	\N	\N
3586796	1708	1998-07-31	PRIJEM	\N	160	40224	UROK	\N	\N
3586797	1708	1998-08-31	PRIJEM	\N	119	22892	UROK	\N	\N
3586798	1708	1998-09-30	PRIJEM	\N	114	28255	UROK	\N	\N
3586799	1708	1998-10-31	PRIJEM	\N	138	34942	UROK	\N	\N
3586800	1708	1998-11-30	PRIJEM	\N	162	41653	UROK	\N	\N
3586801	1708	1998-12-31	PRIJEM	\N	110	29824	UROK	\N	\N
3586802	1709	1996-05-31	PRIJEM	\N	27	22596	UROK	\N	\N
3586803	1709	1996-06-30	PRIJEM	\N	114	38514	UROK	\N	\N
3586804	1709	1996-07-31	PRIJEM	\N	166	42849	UROK	\N	\N
3586805	1709	1996-08-31	PRIJEM	\N	178	42595	UROK	\N	\N
3586806	1709	1996-09-30	PRIJEM	\N	179	43843	UROK	\N	\N
3586807	1709	1996-10-31	PRIJEM	\N	195	44466	UROK	\N	\N
3586808	1709	1996-11-30	PRIJEM	\N	195	44188	UROK	\N	\N
3586809	1709	1996-12-31	PRIJEM	\N	207	50197	UROK	\N	\N
3586810	1709	1997-01-31	PRIJEM	\N	177	34961	UROK	\N	\N
3586811	1709	1997-02-28	PRIJEM	\N	166	43055	UROK	\N	\N
3586812	1709	1997-03-31	PRIJEM	\N	200	49182	UROK	\N	\N
3586813	1709	1997-04-30	PRIJEM	\N	221	53530	UROK	\N	\N
3586814	1709	1997-05-31	PRIJEM	\N	232	54590	UROK	\N	\N
3586815	1709	1997-06-30	PRIJEM	\N	209	40281	UROK	\N	\N
3586816	1709	1997-07-31	PRIJEM	\N	184	46792	UROK	\N	\N
3586817	1709	1997-08-31	PRIJEM	\N	204	47823	UROK	\N	\N
3586818	1709	1997-09-30	PRIJEM	\N	217	54067	UROK	\N	\N
3586819	1709	1997-10-31	PRIJEM	\N	221	50916	UROK	\N	\N
3586820	1709	1997-11-30	PRIJEM	\N	223	54766	UROK	\N	\N
3586821	1709	1997-12-31	PRIJEM	\N	272	57901	UROK	\N	\N
3586822	1709	1998-01-31	PRIJEM	\N	230	50178	UROK	\N	\N
3586823	1709	1998-02-28	PRIJEM	\N	232	62137	UROK	\N	\N
3586824	1709	1998-03-31	PRIJEM	\N	256	61721	UROK	\N	\N
3586825	1709	1998-04-30	PRIJEM	\N	269	69018	UROK	\N	\N
3586826	1709	1998-05-31	PRIJEM	\N	286	69431	UROK	\N	\N
3586827	1709	1998-06-30	PRIJEM	\N	229	40262	UROK	\N	\N
3586828	1709	1998-07-31	PRIJEM	\N	202	55592	UROK	\N	\N
3586829	1709	1998-08-31	PRIJEM	\N	250	64969	UROK	\N	\N
3586830	1709	1998-09-30	PRIJEM	\N	268	67064	UROK	\N	\N
3586831	1709	1998-10-31	PRIJEM	\N	272	67863	UROK	\N	\N
3586832	1709	1998-11-30	PRIJEM	\N	280	70370	UROK	\N	\N
3586833	1709	1998-12-31	PRIJEM	\N	304	75477	UROK	\N	\N
3586834	1710	1997-09-30	PRIJEM	\N	34	27374	UROK	\N	\N
3586835	1710	1997-10-31	PRIJEM	\N	116	29175	UROK	\N	\N
3586836	1710	1997-11-30	PRIJEM	\N	136	34110	UROK	\N	\N
3586837	1710	1997-12-31	PRIJEM	\N	148	33508	UROK	\N	\N
3586838	1710	1998-01-31	PRIJEM	\N	138	28545	UROK	\N	\N
3586839	1710	1998-02-28	PRIJEM	\N	129	31552	UROK	\N	\N
3586840	1710	1998-03-31	PRIJEM	\N	146	36498	UROK	\N	\N
3586841	1710	1998-04-30	PRIJEM	\N	160	37156	UROK	\N	\N
3586842	1710	1998-05-31	PRIJEM	\N	162	37717	UROK	\N	\N
3586843	1710	1998-06-30	PRIJEM	\N	143	28440	UROK	\N	\N
3586844	1710	1998-07-31	PRIJEM	\N	131	32671	UROK	\N	\N
3586845	1710	1998-08-31	PRIJEM	\N	148	36418	UROK	\N	\N
3586846	1710	1998-09-30	PRIJEM	\N	165	41183	UROK	\N	\N
3586847	1710	1998-10-31	PRIJEM	\N	185	46068	UROK	\N	\N
3586848	1710	1998-11-30	PRIJEM	\N	197	45444	UROK	\N	\N
3586849	1710	1998-12-31	PRIJEM	\N	202	49946	UROK	\N	\N
3586850	1711	1996-01-31	PRIJEM	\N	13	4008	UROK	\N	\N
3586851	1711	1996-02-29	PRIJEM	\N	53	15656	UROK	\N	\N
3586852	1711	1996-03-31	PRIJEM	\N	82	20933	UROK	\N	\N
3586853	1711	1996-04-30	PRIJEM	\N	104	26332	UROK	\N	\N
3586854	1711	1996-05-31	PRIJEM	\N	110	26396	UROK	\N	\N
3586855	1711	1996-06-30	PRIJEM	\N	100	23218	UROK	\N	\N
3586856	1711	1996-07-31	PRIJEM	\N	91	21560	UROK	\N	\N
3586857	1711	1996-08-31	PRIJEM	\N	100	24411	UROK	\N	\N
3586858	1711	1996-09-30	PRIJEM	\N	103	24665	UROK	\N	\N
3586859	1711	1996-10-31	PRIJEM	\N	109	26525	UROK	\N	\N
3586860	1711	1996-11-30	PRIJEM	\N	102	24779	UROK	\N	\N
3586861	1711	1996-12-31	PRIJEM	\N	93	21383	UROK	\N	\N
3586862	1711	1997-01-31	PRIJEM	\N	94	24558	UROK	\N	\N
3586863	1711	1997-02-28	PRIJEM	\N	107	25916	UROK	\N	\N
3586864	1711	1997-03-31	PRIJEM	\N	103	22691	UROK	\N	\N
3586865	1711	1997-04-30	PRIJEM	\N	98	20290	UROK	\N	\N
3586866	1711	1997-05-31	PRIJEM	\N	89	20530	UROK	\N	\N
3586867	1711	1997-06-30	PRIJEM	\N	76	16747	UROK	\N	\N
3586868	1711	1997-07-31	PRIJEM	\N	73	16551	UROK	\N	\N
3586869	1711	1997-08-31	PRIJEM	\N	74	18076	UROK	\N	\N
3586870	1711	1997-09-30	PRIJEM	\N	79	17806	UROK	\N	\N
3586871	1711	1997-10-31	PRIJEM	\N	80	21667	UROK	\N	\N
3586872	1711	1997-11-30	PRIJEM	\N	93	21412	UROK	\N	\N
3586873	1711	1997-12-31	PRIJEM	\N	92	21976	UROK	\N	\N
3586874	1711	1998-01-31	PRIJEM	\N	95	24412	UROK	\N	\N
3586875	1711	1998-02-28	PRIJEM	\N	100	21734	UROK	\N	\N
3586876	1711	1998-03-31	PRIJEM	\N	96	23981	UROK	\N	\N
3586877	1711	1998-04-30	PRIJEM	\N	106	27438	UROK	\N	\N
3586878	1711	1998-05-31	PRIJEM	\N	116	28296	UROK	\N	\N
3586879	1711	1998-06-30	PRIJEM	\N	113	25301	UROK	\N	\N
3586880	1711	1998-07-31	PRIJEM	\N	113	29164	UROK	\N	\N
3586881	1711	1998-08-31	PRIJEM	\N	124	29240	UROK	\N	\N
3586882	1711	1998-09-30	PRIJEM	\N	123	28314	UROK	\N	\N
3586883	1711	1998-10-31	PRIJEM	\N	113	23778	UROK	\N	\N
3586884	1711	1998-11-30	PRIJEM	\N	104	25633	UROK	\N	\N
3586885	1711	1998-12-31	PRIJEM	\N	107	25732	UROK	\N	\N
3586886	1712	1997-04-30	PRIJEM	\N	94	25888	UROK	\N	\N
3586887	1712	1997-05-31	PRIJEM	\N	119	26470	UROK	\N	\N
3586888	1712	1997-06-30	PRIJEM	\N	101	17044	UROK	\N	\N
3586889	1712	1997-07-31	PRIJEM	\N	81	18149	UROK	\N	\N
3586890	1712	1997-08-31	PRIJEM	\N	91	22703	UROK	\N	\N
3586891	1712	1997-09-30	PRIJEM	\N	108	25894	UROK	\N	\N
3586892	1712	1997-10-31	PRIJEM	\N	119	28077	UROK	\N	\N
3586893	1712	1997-11-30	PRIJEM	\N	128	30168	UROK	\N	\N
3586894	1712	1997-12-31	PRIJEM	\N	140	34372	UROK	\N	\N
3586895	1712	1998-01-31	PRIJEM	\N	135	20040	UROK	\N	\N
3586896	1712	1998-02-28	PRIJEM	\N	98	24602	UROK	\N	\N
3586897	1712	1998-03-31	PRIJEM	\N	117	29182	UROK	\N	\N
3586898	1712	1998-04-30	PRIJEM	\N	132	30818	UROK	\N	\N
3586899	1712	1998-05-31	PRIJEM	\N	143	35424	UROK	\N	\N
3586900	1712	1998-06-30	PRIJEM	\N	100	20107	UROK	\N	\N
3586901	1712	1998-07-31	PRIJEM	\N	99	24669	UROK	\N	\N
3586902	1712	1998-08-31	PRIJEM	\N	118	29250	UROK	\N	\N
3586903	1712	1998-09-30	PRIJEM	\N	137	33850	UROK	\N	\N
3586904	1712	1998-10-31	PRIJEM	\N	153	37066	UROK	\N	\N
3586905	1712	1998-11-30	PRIJEM	\N	162	39131	UROK	\N	\N
3586906	1712	1998-12-31	PRIJEM	\N	169	40003	UROK	\N	\N
3586907	1714	1995-02-28	PRIJEM	\N	78	22205	UROK	\N	\N
3586908	1714	1995-03-31	PRIJEM	\N	99	23711	UROK	\N	\N
3586909	1714	1995-04-30	PRIJEM	\N	98	23218	UROK	\N	\N
3586910	1714	1995-05-31	PRIJEM	\N	94	21320	UROK	\N	\N
3586911	1714	1995-06-30	PRIJEM	\N	79	17988	UROK	\N	\N
3586912	1714	1995-07-31	PRIJEM	\N	77	17893	UROK	\N	\N
3586913	1714	1995-08-31	PRIJEM	\N	81	19402	UROK	\N	\N
3586914	1714	1995-09-30	PRIJEM	\N	80	18671	UROK	\N	\N
3586915	1714	1995-10-31	PRIJEM	\N	83	19662	UROK	\N	\N
3586916	1714	1995-11-30	PRIJEM	\N	86	20656	UROK	\N	\N
3586917	1714	1995-12-31	PRIJEM	\N	77	18281	UROK	\N	\N
3586918	1714	1996-01-31	PRIJEM	\N	68	14017	UROK	\N	\N
3586919	1714	1996-02-29	PRIJEM	\N	64	15989	UROK	\N	\N
3586920	1714	1996-03-31	PRIJEM	\N	71	16689	UROK	\N	\N
3586921	1714	1996-04-30	PRIJEM	\N	75	18673	UROK	\N	\N
3586922	1714	1996-05-31	PRIJEM	\N	81	19622	UROK	\N	\N
3586923	1714	1996-06-30	PRIJEM	\N	83	19613	UROK	\N	\N
3586924	1714	1996-07-31	PRIJEM	\N	87	21609	UROK	\N	\N
3586925	1714	1996-08-31	PRIJEM	\N	92	21369	UROK	\N	\N
3586926	1714	1996-09-30	PRIJEM	\N	89	20326	UROK	\N	\N
3586927	1714	1996-10-31	PRIJEM	\N	85	20239	UROK	\N	\N
3586928	1714	1996-11-30	PRIJEM	\N	89	21537	UROK	\N	\N
3586929	1714	1996-12-31	PRIJEM	\N	87	20332	UROK	\N	\N
3586930	1714	1997-01-31	PRIJEM	\N	73	15833	UROK	\N	\N
3586931	1714	1997-02-28	PRIJEM	\N	71	17813	UROK	\N	\N
3586932	1714	1997-03-31	PRIJEM	\N	79	19500	UROK	\N	\N
3586933	1714	1997-04-30	PRIJEM	\N	86	21495	UROK	\N	\N
3586934	1714	1997-05-31	PRIJEM	\N	90	20054	UROK	\N	\N
3586935	1714	1997-06-30	PRIJEM	\N	89	22051	UROK	\N	\N
3586936	1714	1997-07-31	PRIJEM	\N	97	23096	UROK	\N	\N
3586937	1714	1997-08-31	PRIJEM	\N	92	21736	UROK	\N	\N
3586938	1714	1997-09-30	PRIJEM	\N	96	23740	UROK	\N	\N
3586939	1714	1997-10-31	PRIJEM	\N	104	25753	UROK	\N	\N
3586940	1714	1997-11-30	PRIJEM	\N	112	27473	UROK	\N	\N
3586941	1714	1997-12-31	PRIJEM	\N	116	24867	UROK	\N	\N
3586942	1714	1998-01-31	PRIJEM	\N	94	16390	UROK	\N	\N
3586943	1714	1998-02-28	PRIJEM	\N	73	18371	UROK	\N	\N
3586944	1714	1998-03-31	PRIJEM	\N	81	20360	UROK	\N	\N
3586945	1714	1998-04-30	PRIJEM	\N	88	21077	UROK	\N	\N
3586946	1714	1998-05-31	PRIJEM	\N	92	23078	UROK	\N	\N
3586947	1714	1998-06-30	PRIJEM	\N	101	25087	UROK	\N	\N
3586948	1714	1998-07-31	PRIJEM	\N	104	23419	UROK	\N	\N
3586949	1714	1998-08-31	PRIJEM	\N	102	25430	UROK	\N	\N
3586950	1714	1998-09-30	PRIJEM	\N	110	27448	UROK	\N	\N
3586951	1714	1998-10-31	PRIJEM	\N	119	29475	UROK	\N	\N
3586952	1714	1998-11-30	PRIJEM	\N	127	31511	UROK	\N	\N
3586953	1714	1998-12-31	PRIJEM	\N	127	30506	UROK	\N	\N
3586954	1716	1996-05-31	PRIJEM	\N	49	15877	UROK	\N	\N
3586955	1716	1996-06-30	PRIJEM	\N	148	42717	UROK	\N	\N
3586956	1716	1996-07-31	PRIJEM	\N	195	49040	UROK	\N	\N
3586957	1716	1996-08-31	PRIJEM	\N	153	35921	UROK	\N	\N
3586958	1716	1996-09-30	PRIJEM	\N	174	35531	UROK	\N	\N
3586959	1716	1996-10-31	PRIJEM	\N	163	32239	UROK	\N	\N
3586960	1716	1996-11-30	PRIJEM	\N	161	31307	UROK	\N	\N
3586961	1716	1996-12-31	PRIJEM	\N	159	30136	UROK	\N	\N
3586962	1716	1997-01-31	PRIJEM	\N	123	14725	UROK	\N	\N
3586963	1716	1997-02-28	PRIJEM	\N	87	14819	UROK	\N	\N
3586964	1716	1997-03-31	PRIJEM	\N	88	15514	UROK	\N	\N
3586965	1716	1997-04-30	PRIJEM	\N	92	17712	UROK	\N	\N
3586966	1716	1997-05-31	PRIJEM	\N	97	15515	UROK	\N	\N
3586967	1716	1997-06-30	PRIJEM	\N	112	24098	UROK	\N	\N
3586968	1716	1997-07-31	PRIJEM	\N	116	18781	UROK	\N	\N
3586969	1716	1997-08-31	PRIJEM	\N	99	17286	UROK	\N	\N
3586970	1716	1997-09-30	PRIJEM	\N	92	15884	UROK	\N	\N
3586971	1716	1997-10-31	PRIJEM	\N	86	15577	UROK	\N	\N
3586972	1716	1997-11-30	PRIJEM	\N	86	16970	UROK	\N	\N
3586973	1716	1997-12-31	PRIJEM	\N	113	25453	UROK	\N	\N
3586974	1716	1998-01-31	PRIJEM	\N	122	17961	UROK	\N	\N
3586975	1716	1998-02-28	PRIJEM	\N	95	19963	UROK	\N	\N
3586976	1716	1998-03-31	PRIJEM	\N	101	18970	UROK	\N	\N
3586977	1716	1998-04-30	PRIJEM	\N	93	15570	UROK	\N	\N
3586978	1716	1998-05-31	PRIJEM	\N	84	21800	UROK	\N	\N
3586979	1716	1998-06-30	PRIJEM	\N	109	17519	UROK	\N	\N
3586980	1716	1998-07-31	PRIJEM	\N	104	27730	UROK	\N	\N
3586981	1716	1998-08-31	PRIJEM	\N	110	15346	UROK	\N	\N
3586982	1716	1998-09-30	PRIJEM	\N	91	24344	UROK	\N	\N
3586983	1716	1998-10-31	PRIJEM	\N	123	31573	UROK	\N	\N
3586984	1716	1998-11-30	PRIJEM	\N	113	14793	UROK	\N	\N
3586985	1716	1998-12-31	PRIJEM	\N	115	32379	UROK	\N	\N
3586986	1717	1997-12-31	PRIJEM	\N	19	7477	UROK	\N	\N
3586987	1717	1998-01-31	PRIJEM	\N	31	14066	UROK	\N	\N
3586988	1717	1998-02-28	PRIJEM	\N	31	20655	UROK	\N	\N
3586989	1717	1998-03-31	PRIJEM	\N	31	27244	UROK	\N	\N
3586990	1717	1998-04-30	PRIJEM	\N	88	30290	UROK	\N	\N
3586991	1717	1998-05-31	PRIJEM	\N	89	21062	UROK	\N	\N
3586992	1717	1998-06-30	PRIJEM	\N	82	13287	UROK	\N	\N
3586993	1717	1998-07-31	PRIJEM	\N	64	15555	UROK	\N	\N
3586994	1717	1998-08-31	PRIJEM	\N	75	19673	UROK	\N	\N
3586995	1717	1998-09-30	PRIJEM	\N	87	12104	UROK	\N	\N
3586996	1717	1998-10-31	PRIJEM	\N	61	16208	UROK	\N	\N
3586997	1717	1998-11-30	PRIJEM	\N	78	20329	UROK	\N	\N
3586998	1717	1998-12-31	PRIJEM	\N	94	23916	UROK	\N	\N
3586999	1718	1997-10-31	PRIJEM	\N	45	37573	UROK	\N	\N
3587000	1718	1997-11-30	PRIJEM	\N	185	60586	UROK	\N	\N
3587001	1718	1997-12-31	PRIJEM	\N	275	58253	UROK	\N	\N
3587002	1718	1998-01-31	PRIJEM	\N	260	70841	UROK	\N	\N
3587003	1718	1998-02-28	PRIJEM	\N	246	47816	UROK	\N	\N
3587004	1718	1998-03-31	PRIJEM	\N	226	55099	UROK	\N	\N
3587005	1718	1998-04-30	PRIJEM	\N	258	59114	UROK	\N	\N
3587006	1718	1998-05-31	PRIJEM	\N	287	62958	UROK	\N	\N
3587007	1718	1998-06-30	PRIJEM	\N	295	62574	UROK	\N	\N
3587008	1718	1998-07-31	PRIJEM	\N	276	66207	UROK	\N	\N
3587009	1718	1998-08-31	PRIJEM	\N	301	72865	UROK	\N	\N
3587010	1718	1998-09-30	PRIJEM	\N	299	71743	UROK	\N	\N
3587011	1718	1998-10-31	PRIJEM	\N	280	67302	UROK	\N	\N
3587012	1718	1998-11-30	PRIJEM	\N	292	69874	UROK	\N	\N
3587013	1718	1998-12-31	PRIJEM	\N	392	112410	UROK	\N	\N
3587014	1719	1993-09-30	PRIJEM	\N	16	4768	UROK	\N	\N
3587015	1719	1993-10-31	PRIJEM	\N	20	8940	UROK	\N	\N
3587016	1719	1993-11-30	PRIJEM	\N	20	13111	UROK	\N	\N
3587017	1719	1993-12-31	PRIJEM	\N	20	17283	UROK	\N	\N
3587018	1719	1994-01-31	PRIJEM	\N	51	15769	UROK	\N	\N
3587019	1719	1994-02-28	PRIJEM	\N	69	17207	UROK	\N	\N
3587020	1719	1994-03-31	PRIJEM	\N	75	18652	UROK	\N	\N
3587021	1719	1994-04-30	PRIJEM	\N	81	20103	UROK	\N	\N
3587022	1719	1994-05-31	PRIJEM	\N	87	21559	UROK	\N	\N
3587023	1719	1994-06-30	PRIJEM	\N	81	16409	UROK	\N	\N
3587024	1719	1994-07-31	PRIJEM	\N	72	17851	UROK	\N	\N
3587025	1719	1994-08-31	PRIJEM	\N	73	15373	UROK	\N	\N
3587026	1719	1994-09-30	PRIJEM	\N	67	15690	UROK	\N	\N
3587027	1719	1994-10-31	PRIJEM	\N	62	14241	UROK	\N	\N
3587028	1719	1994-11-30	PRIJEM	\N	56	12866	UROK	\N	\N
3587029	1719	1994-12-31	PRIJEM	\N	57	14293	UROK	\N	\N
3587030	1719	1995-01-31	PRIJEM	\N	60	14072	UROK	\N	\N
3587031	1719	1995-02-28	PRIJEM	\N	61	15023	UROK	\N	\N
3587032	1719	1995-03-31	PRIJEM	\N	66	16458	UROK	\N	\N
3587033	1719	1995-04-30	PRIJEM	\N	72	17900	UROK	\N	\N
3587034	1719	1995-05-31	PRIJEM	\N	78	19347	UROK	\N	\N
3587035	1719	1995-06-30	PRIJEM	\N	84	20800	UROK	\N	\N
3587036	1719	1995-07-31	PRIJEM	\N	90	22260	UROK	\N	\N
3587037	1719	1995-08-31	PRIJEM	\N	95	22284	UROK	\N	\N
3587038	1719	1995-09-30	PRIJEM	\N	84	18778	UROK	\N	\N
3587039	1719	1995-10-31	PRIJEM	\N	82	20229	UROK	\N	\N
3587040	1719	1995-11-30	PRIJEM	\N	78	17916	UROK	\N	\N
3587041	1719	1995-12-31	PRIJEM	\N	78	19363	UROK	\N	\N
3587042	1719	1996-01-31	PRIJEM	\N	82	19815	UROK	\N	\N
3587043	1719	1996-02-29	PRIJEM	\N	86	21270	UROK	\N	\N
3587044	1719	1996-03-31	PRIJEM	\N	92	22731	UROK	\N	\N
3587045	1719	1996-04-30	PRIJEM	\N	98	24198	UROK	\N	\N
3587046	1719	1996-05-31	PRIJEM	\N	104	25672	UROK	\N	\N
3587047	1719	1996-06-30	PRIJEM	\N	94	20805	UROK	\N	\N
3587048	1719	1996-07-31	PRIJEM	\N	88	20663	UROK	\N	\N
3587049	1719	1996-08-31	PRIJEM	\N	89	22122	UROK	\N	\N
3587050	1719	1996-09-30	PRIJEM	\N	95	23026	UROK	\N	\N
3587051	1719	1996-10-31	PRIJEM	\N	99	24494	UROK	\N	\N
3587052	1719	1996-11-30	PRIJEM	\N	105	25969	UROK	\N	\N
3587053	1719	1996-12-31	PRIJEM	\N	111	27449	UROK	\N	\N
3587054	1719	1997-01-31	PRIJEM	\N	116	27314	UROK	\N	\N
3587055	1719	1997-02-28	PRIJEM	\N	116	28800	UROK	\N	\N
3587056	1719	1997-03-31	PRIJEM	\N	114	26124	UROK	\N	\N
3587057	1719	1997-04-30	PRIJEM	\N	112	27605	UROK	\N	\N
3587058	1719	1997-05-31	PRIJEM	\N	115	26929	UROK	\N	\N
3587059	1719	1997-06-30	PRIJEM	\N	108	24857	UROK	\N	\N
3587060	1719	1997-07-31	PRIJEM	\N	101	22727	UROK	\N	\N
3587061	1719	1997-08-31	PRIJEM	\N	97	24194	UROK	\N	\N
3587062	1719	1997-09-30	PRIJEM	\N	95	22378	UROK	\N	\N
3587063	1719	1997-10-31	PRIJEM	\N	96	23843	UROK	\N	\N
3587064	1719	1997-11-30	PRIJEM	\N	102	25314	UROK	\N	\N
3587065	1719	1997-12-31	PRIJEM	\N	107	25590	UROK	\N	\N
3587066	1719	1998-01-31	PRIJEM	\N	95	20294	UROK	\N	\N
3587067	1719	1998-02-28	PRIJEM	\N	86	21750	UROK	\N	\N
3587068	1719	1998-03-31	PRIJEM	\N	93	23212	UROK	\N	\N
3587069	1719	1998-04-30	PRIJEM	\N	99	24680	UROK	\N	\N
3587070	1719	1998-05-31	PRIJEM	\N	105	26154	UROK	\N	\N
3587071	1719	1998-06-30	PRIJEM	\N	104	19778	UROK	\N	\N
3587072	1719	1998-07-31	PRIJEM	\N	81	19788	UROK	\N	\N
3587073	1719	1998-08-31	PRIJEM	\N	78	18916	UROK	\N	\N
3587074	1719	1998-09-30	PRIJEM	\N	79	19805	UROK	\N	\N
3587075	1719	1998-10-31	PRIJEM	\N	84	21258	UROK	\N	\N
3587076	1719	1998-11-30	PRIJEM	\N	90	22717	UROK	\N	\N
3587077	1719	1998-12-31	PRIJEM	\N	96	24183	UROK	\N	\N
3587078	1722	1996-03-31	PRIJEM	\N	59	21911	UROK	\N	\N
3587079	1722	1996-04-30	PRIJEM	\N	153	45516	UROK	\N	\N
3587080	1722	1996-05-31	PRIJEM	\N	223	58091	UROK	\N	\N
3587081	1722	1996-06-30	PRIJEM	\N	288	75856	UROK	\N	\N
3587082	1722	1996-07-31	PRIJEM	\N	304	71812	UROK	\N	\N
3587083	1722	1996-08-31	PRIJEM	\N	269	65947	UROK	\N	\N
3587084	1722	1996-09-30	PRIJEM	\N	259	62771	UROK	\N	\N
3587085	1722	1996-10-31	PRIJEM	\N	242	58479	UROK	\N	\N
3587086	1722	1996-11-30	PRIJEM	\N	235	57880	UROK	\N	\N
3587087	1722	1996-12-31	PRIJEM	\N	255	63246	UROK	\N	\N
3587088	1722	1997-01-31	PRIJEM	\N	220	38892	UROK	\N	\N
3587089	1722	1997-02-28	PRIJEM	\N	178	45875	UROK	\N	\N
3587090	1722	1997-03-31	PRIJEM	\N	196	49736	UROK	\N	\N
3587091	1722	1997-04-30	PRIJEM	\N	199	45801	UROK	\N	\N
3587092	1722	1997-05-31	PRIJEM	\N	200	51267	UROK	\N	\N
3587093	1722	1997-06-30	PRIJEM	\N	204	57322	UROK	\N	\N
3587094	1722	1997-07-31	PRIJEM	\N	228	53415	UROK	\N	\N
3587095	1722	1997-08-31	PRIJEM	\N	225	56606	UROK	\N	\N
3587096	1722	1997-09-30	PRIJEM	\N	242	61013	UROK	\N	\N
3587097	1722	1997-10-31	PRIJEM	\N	247	61026	UROK	\N	\N
3587098	1722	1997-11-30	PRIJEM	\N	248	60499	UROK	\N	\N
3587099	1722	1997-12-31	PRIJEM	\N	239	66529	UROK	\N	\N
3587100	1722	1998-01-31	PRIJEM	\N	167	27961	UROK	\N	\N
3587101	1722	1998-02-28	PRIJEM	\N	154	43960	UROK	\N	\N
3587102	1722	1998-03-31	PRIJEM	\N	200	54266	UROK	\N	\N
3587103	1722	1998-04-30	PRIJEM	\N	209	56940	UROK	\N	\N
3587104	1722	1998-05-31	PRIJEM	\N	233	47838	UROK	\N	\N
3587105	1722	1998-06-30	PRIJEM	\N	190	33359	UROK	\N	\N
3587106	1722	1998-07-31	PRIJEM	\N	178	38502	UROK	\N	\N
3587107	1722	1998-08-31	PRIJEM	\N	197	43465	UROK	\N	\N
3587108	1722	1998-09-30	PRIJEM	\N	216	46446	UROK	\N	\N
3587109	1722	1998-10-31	PRIJEM	\N	213	44884	UROK	\N	\N
3587110	1722	1998-11-30	PRIJEM	\N	215	42904	UROK	\N	\N
3587111	1722	1998-12-31	PRIJEM	\N	236	65592	UROK	\N	\N
3587112	1723	1997-11-30	PRIJEM	\N	84	23234	UROK	\N	\N
3587113	1723	1997-12-31	PRIJEM	\N	211	54869	UROK	\N	\N
3587114	1723	1998-01-31	PRIJEM	\N	249	60768	UROK	\N	\N
3587115	1723	1998-02-28	PRIJEM	\N	261	63179	UROK	\N	\N
3587116	1723	1998-03-31	PRIJEM	\N	253	59302	UROK	\N	\N
3587117	1723	1998-04-30	PRIJEM	\N	237	55395	UROK	\N	\N
3587118	1723	1998-05-31	PRIJEM	\N	229	52079	UROK	\N	\N
3587119	1723	1998-06-30	PRIJEM	\N	229	52858	UROK	\N	\N
3587120	1723	1998-07-31	PRIJEM	\N	238	56551	UROK	\N	\N
3587121	1723	1998-08-31	PRIJEM	\N	251	59758	UROK	\N	\N
3587122	1723	1998-09-30	PRIJEM	\N	256	61069	UROK	\N	\N
3587123	1723	1998-10-31	PRIJEM	\N	251	45175	UROK	\N	\N
3587124	1723	1998-11-30	PRIJEM	\N	236	45967	UROK	\N	\N
3587125	1723	1998-12-31	PRIJEM	\N	275	66693	UROK	\N	\N
3587126	1724	1997-06-30	PRIJEM	\N	18	7710	UROK	\N	\N
3587127	1724	1997-07-31	PRIJEM	\N	32	14334	UROK	\N	\N
3587128	1724	1997-08-31	PRIJEM	\N	32	20958	UROK	\N	\N
3587129	1724	1997-09-30	PRIJEM	\N	70	23720	UROK	\N	\N
3587130	1724	1997-10-31	PRIJEM	\N	108	27620	UROK	\N	\N
3587131	1724	1997-11-30	PRIJEM	\N	121	31315	UROK	\N	\N
3587132	1724	1997-12-31	PRIJEM	\N	120	30058	UROK	\N	\N
3587133	1724	1998-01-31	PRIJEM	\N	118	27200	UROK	\N	\N
3587134	1724	1998-02-28	PRIJEM	\N	119	30892	UROK	\N	\N
3587135	1724	1998-03-31	PRIJEM	\N	123	29588	UROK	\N	\N
3587136	1724	1998-04-30	PRIJEM	\N	127	32489	UROK	\N	\N
3587137	1724	1998-05-31	PRIJEM	\N	133	32575	UROK	\N	\N
3587138	1724	1998-06-30	PRIJEM	\N	110	17458	UROK	\N	\N
3587139	1724	1998-07-31	PRIJEM	\N	85	22516	UROK	\N	\N
3587140	1724	1998-08-31	PRIJEM	\N	94	24284	UROK	\N	\N
3587141	1724	1998-09-30	PRIJEM	\N	106	25923	UROK	\N	\N
3587142	1724	1998-10-31	PRIJEM	\N	94	15790	UROK	\N	\N
3587143	1724	1998-11-30	PRIJEM	\N	76	16240	UROK	\N	\N
3587144	1724	1998-12-31	PRIJEM	\N	79	20192	UROK	\N	\N
3587145	1726	1993-01-31	PRIJEM	\N	38	15005	UROK	\N	\N
3587146	1726	1993-02-28	PRIJEM	\N	110	35082	UROK	\N	\N
3587147	1726	1993-03-31	PRIJEM	\N	174	46023	UROK	\N	\N
3587148	1726	1993-04-30	PRIJEM	\N	197	48587	UROK	\N	\N
3587149	1726	1993-05-31	PRIJEM	\N	210	51964	UROK	\N	\N
3587150	1726	1993-06-30	PRIJEM	\N	147	14498	UROK	\N	\N
3587151	1726	1993-07-31	PRIJEM	\N	103	29044	UROK	\N	\N
3587152	1726	1993-08-31	PRIJEM	\N	125	33313	UROK	\N	\N
3587153	1726	1993-09-30	PRIJEM	\N	131	32287	UROK	\N	\N
3587154	1726	1993-10-31	PRIJEM	\N	141	29191	UROK	\N	\N
3587155	1726	1993-11-30	PRIJEM	\N	136	32870	UROK	\N	\N
3587156	1726	1993-12-31	PRIJEM	\N	163	36599	UROK	\N	\N
3587157	1726	1994-01-31	PRIJEM	\N	128	19350	UROK	\N	\N
3587158	1726	1994-02-28	PRIJEM	\N	95	26689	UROK	\N	\N
3587159	1726	1994-03-31	PRIJEM	\N	125	28657	UROK	\N	\N
3587160	1726	1994-04-30	PRIJEM	\N	133	31433	UROK	\N	\N
3587161	1726	1994-05-31	PRIJEM	\N	142	29218	UROK	\N	\N
3587162	1726	1994-06-30	PRIJEM	\N	107	22312	UROK	\N	\N
3587163	1726	1994-07-31	PRIJEM	\N	105	25580	UROK	\N	\N
3587164	1726	1994-08-31	PRIJEM	\N	107	26410	UROK	\N	\N
3587165	1726	1994-09-30	PRIJEM	\N	122	30376	UROK	\N	\N
3587166	1726	1994-10-31	PRIJEM	\N	136	31455	UROK	\N	\N
3587167	1726	1994-11-30	PRIJEM	\N	136	28735	UROK	\N	\N
3587168	1726	1994-12-31	PRIJEM	\N	139	32961	UROK	\N	\N
3587169	1726	1995-01-31	PRIJEM	\N	99	21964	UROK	\N	\N
3587170	1726	1995-02-28	PRIJEM	\N	99	23506	UROK	\N	\N
3587171	1726	1995-03-31	PRIJEM	\N	111	28761	UROK	\N	\N
3587172	1726	1995-04-30	PRIJEM	\N	124	24529	UROK	\N	\N
3587173	1726	1995-05-31	PRIJEM	\N	110	25482	UROK	\N	\N
3587174	1726	1995-06-30	PRIJEM	\N	128	31436	UROK	\N	\N
3587175	1726	1995-07-31	PRIJEM	\N	131	28210	UROK	\N	\N
3587176	1726	1995-08-31	PRIJEM	\N	103	25236	UROK	\N	\N
3587177	1726	1995-09-30	PRIJEM	\N	112	27291	UROK	\N	\N
3587178	1726	1995-10-31	PRIJEM	\N	118	28153	UROK	\N	\N
3587179	1726	1995-11-30	PRIJEM	\N	122	29518	UROK	\N	\N
3587180	1726	1995-12-31	PRIJEM	\N	132	29916	UROK	\N	\N
3587181	1726	1996-01-31	PRIJEM	\N	82	15402	UROK	\N	\N
3587182	1726	1996-02-29	PRIJEM	\N	73	20018	UROK	\N	\N
3587183	1726	1996-03-31	PRIJEM	\N	78	16459	UROK	\N	\N
3587184	1726	1996-04-30	PRIJEM	\N	79	21781	UROK	\N	\N
3587185	1726	1996-05-31	PRIJEM	\N	83	21267	UROK	\N	\N
3587186	1726	1996-06-30	PRIJEM	\N	94	21268	UROK	\N	\N
3587187	1726	1996-07-31	PRIJEM	\N	88	22059	UROK	\N	\N
3587188	1726	1996-08-31	PRIJEM	\N	91	26014	UROK	\N	\N
3587189	1726	1996-09-30	PRIJEM	\N	106	26363	UROK	\N	\N
3587190	1726	1996-10-31	PRIJEM	\N	113	29420	UROK	\N	\N
3587191	1726	1996-11-30	PRIJEM	\N	118	29381	UROK	\N	\N
3587192	1726	1996-12-31	PRIJEM	\N	139	29266	UROK	\N	\N
3587193	1726	1997-01-31	PRIJEM	\N	113	17662	UROK	\N	\N
3587194	1726	1997-02-28	PRIJEM	\N	97	29203	UROK	\N	\N
3587195	1726	1997-03-31	PRIJEM	\N	135	31781	UROK	\N	\N
3587196	1726	1997-04-30	PRIJEM	\N	145	38869	UROK	\N	\N
3587197	1726	1997-05-31	PRIJEM	\N	168	43280	UROK	\N	\N
3587198	1726	1997-06-30	PRIJEM	\N	183	43789	UROK	\N	\N
3587199	1726	1997-07-31	PRIJEM	\N	164	39896	UROK	\N	\N
3587200	1726	1997-08-31	PRIJEM	\N	147	36486	UROK	\N	\N
3587201	1726	1997-09-30	PRIJEM	\N	132	33362	UROK	\N	\N
3587202	1726	1997-10-31	PRIJEM	\N	134	34839	UROK	\N	\N
3587203	1726	1997-11-30	PRIJEM	\N	126	31088	UROK	\N	\N
3587204	1726	1997-12-31	PRIJEM	\N	128	34823	UROK	\N	\N
3587205	1726	1998-01-31	PRIJEM	\N	88	17394	UROK	\N	\N
3587206	1726	1998-02-28	PRIJEM	\N	83	24720	UROK	\N	\N
3587207	1726	1998-03-31	PRIJEM	\N	110	28714	UROK	\N	\N
3587208	1726	1998-04-30	PRIJEM	\N	131	36089	UROK	\N	\N
3587209	1726	1998-05-31	PRIJEM	\N	112	28344	UROK	\N	\N
3587210	1726	1998-06-30	PRIJEM	\N	104	30374	UROK	\N	\N
3587211	1726	1998-07-31	PRIJEM	\N	131	33789	UROK	\N	\N
3587212	1726	1998-08-31	PRIJEM	\N	152	41185	UROK	\N	\N
3587213	1726	1998-09-30	PRIJEM	\N	109	28238	UROK	\N	\N
3587214	1726	1998-10-31	PRIJEM	\N	129	35610	UROK	\N	\N
3587215	1726	1998-11-30	PRIJEM	\N	92	19906	UROK	\N	\N
3587216	1726	1998-12-31	PRIJEM	\N	112	34244	UROK	\N	\N
3587217	1727	1997-12-31	PRIJEM	\N	174	61634	UROK	\N	\N
3587218	1727	1998-01-31	PRIJEM	\N	265	64983	UROK	\N	\N
3587219	1727	1998-02-28	PRIJEM	\N	263	62329	UROK	\N	\N
3587220	1727	1998-03-31	PRIJEM	\N	235	52058	UROK	\N	\N
3587221	1727	1998-04-30	PRIJEM	\N	212	49730	UROK	\N	\N
3587222	1727	1998-05-31	PRIJEM	\N	207	49096	UROK	\N	\N
3587223	1727	1998-06-30	PRIJEM	\N	224	55672	UROK	\N	\N
3587224	1727	1998-07-31	PRIJEM	\N	206	46037	UROK	\N	\N
3587225	1727	1998-08-31	PRIJEM	\N	178	40675	UROK	\N	\N
3587226	1727	1998-09-30	PRIJEM	\N	161	36735	UROK	\N	\N
3587227	1727	1998-10-31	PRIJEM	\N	151	35346	UROK	\N	\N
3587228	1727	1998-11-30	PRIJEM	\N	143	33148	UROK	\N	\N
3587229	1727	1998-12-31	PRIJEM	\N	167	42026	UROK	\N	\N
3587230	1728	1995-07-31	PRIJEM	\N	22	17983	UROK	\N	\N
3587231	1728	1995-08-31	PRIJEM	\N	83	24127	UROK	\N	\N
3587232	1728	1995-09-30	PRIJEM	\N	103	26091	UROK	\N	\N
3587233	1728	1995-10-31	PRIJEM	\N	109	26861	UROK	\N	\N
3587234	1728	1995-11-30	PRIJEM	\N	115	26783	UROK	\N	\N
3587235	1728	1995-12-31	PRIJEM	\N	130	30337	UROK	\N	\N
3587236	1728	1996-01-31	PRIJEM	\N	101	15990	UROK	\N	\N
3587237	1728	1996-02-29	PRIJEM	\N	72	15574	UROK	\N	\N
3587238	1728	1996-03-31	PRIJEM	\N	75	19641	UROK	\N	\N
3587239	1728	1996-04-30	PRIJEM	\N	86	20920	UROK	\N	\N
3587240	1728	1996-05-31	PRIJEM	\N	89	18381	UROK	\N	\N
3587241	1728	1996-06-30	PRIJEM	\N	69	16073	UROK	\N	\N
3587242	1728	1996-07-31	PRIJEM	\N	73	18439	UROK	\N	\N
3587243	1728	1996-08-31	PRIJEM	\N	72	14464	UROK	\N	\N
3587244	1728	1996-09-30	PRIJEM	\N	61	12737	UROK	\N	\N
3587245	1728	1996-10-31	PRIJEM	\N	52	11681	UROK	\N	\N
3587246	1728	1996-11-30	PRIJEM	\N	47	10921	UROK	\N	\N
3587247	1728	1996-12-31	PRIJEM	\N	49	12093	UROK	\N	\N
3587248	1728	1997-01-31	PRIJEM	\N	54	11080	UROK	\N	\N
3587249	1728	1997-02-28	PRIJEM	\N	54	14626	UROK	\N	\N
3587250	1728	1997-03-31	PRIJEM	\N	68	15187	UROK	\N	\N
3587251	1728	1997-04-30	PRIJEM	\N	72	16592	UROK	\N	\N
3587252	1728	1997-05-31	PRIJEM	\N	78	20162	UROK	\N	\N
3587253	1728	1997-06-30	PRIJEM	\N	58	10344	UROK	\N	\N
3587254	1728	1997-07-31	PRIJEM	\N	52	13888	UROK	\N	\N
3587255	1728	1997-08-31	PRIJEM	\N	39	7019	UROK	\N	\N
3587256	1728	1997-09-30	PRIJEM	\N	38	10549	UROK	\N	\N
3587257	1728	1997-10-31	PRIJEM	\N	33	6375	UROK	\N	\N
3587258	1728	1997-11-30	PRIJEM	\N	35	9902	UROK	\N	\N
3587259	1728	1997-12-31	PRIJEM	\N	41	9267	UROK	\N	\N
3587260	1728	1998-01-31	PRIJEM	\N	36	7595	UROK	\N	\N
3587261	1728	1998-02-28	PRIJEM	\N	48	11536	UROK	\N	\N
3587262	1728	1998-03-31	PRIJEM	\N	49	11076	UROK	\N	\N
3587263	1728	1998-04-30	PRIJEM	\N	39	8008	UROK	\N	\N
3587264	1728	1998-05-31	PRIJEM	\N	49	11669	UROK	\N	\N
3587265	1728	1998-06-30	PRIJEM	\N	63	14955	UROK	\N	\N
3587266	1728	1998-07-31	PRIJEM	\N	68	15715	UROK	\N	\N
3587267	1728	1998-08-31	PRIJEM	\N	89	21296	UROK	\N	\N
3587268	1728	1998-09-30	PRIJEM	\N	119	28907	UROK	\N	\N
3587269	1728	1998-10-31	PRIJEM	\N	143	34543	UROK	\N	\N
3587270	1728	1998-11-30	PRIJEM	\N	175	42611	UROK	\N	\N
3587271	1728	1998-12-31	PRIJEM	\N	187	43941	UROK	\N	\N
3587272	1729	1997-09-30	PRIJEM	\N	33	10765	UROK	\N	\N
3587273	1729	1997-10-31	PRIJEM	\N	93	26289	UROK	\N	\N
3587274	1729	1997-11-30	PRIJEM	\N	148	38969	UROK	\N	\N
3587275	1729	1997-12-31	PRIJEM	\N	179	44496	UROK	\N	\N
3587276	1729	1998-01-31	PRIJEM	\N	170	37038	UROK	\N	\N
3587277	1729	1998-02-28	PRIJEM	\N	151	37752	UROK	\N	\N
3587278	1729	1998-03-31	PRIJEM	\N	156	38171	UROK	\N	\N
3587279	1729	1998-04-30	PRIJEM	\N	148	36382	UROK	\N	\N
3587280	1729	1998-05-31	PRIJEM	\N	150	37196	UROK	\N	\N
3587281	1729	1998-06-30	PRIJEM	\N	155	31550	UROK	\N	\N
3587282	1729	1998-07-31	PRIJEM	\N	157	40270	UROK	\N	\N
3587283	1729	1998-08-31	PRIJEM	\N	161	39995	UROK	\N	\N
3587284	1729	1998-09-30	PRIJEM	\N	153	37811	UROK	\N	\N
3587285	1729	1998-10-31	PRIJEM	\N	153	38227	UROK	\N	\N
3587286	1729	1998-11-30	PRIJEM	\N	145	35835	UROK	\N	\N
3587287	1729	1998-12-31	PRIJEM	\N	170	40584	UROK	\N	\N
3587288	1730	1993-04-30	PRIJEM	\N	63	20630	UROK	\N	\N
3587289	1730	1993-05-31	PRIJEM	\N	106	27225	UROK	\N	\N
3587290	1730	1993-06-30	PRIJEM	\N	94	18430	UROK	\N	\N
3587291	1730	1993-07-31	PRIJEM	\N	90	23216	UROK	\N	\N
3587292	1730	1993-08-31	PRIJEM	\N	101	24213	UROK	\N	\N
3587293	1730	1993-09-30	PRIJEM	\N	100	22930	UROK	\N	\N
3587294	1730	1993-10-31	PRIJEM	\N	112	27237	UROK	\N	\N
3587295	1730	1993-11-30	PRIJEM	\N	120	27393	UROK	\N	\N
3587296	1730	1993-12-31	PRIJEM	\N	119	28459	UROK	\N	\N
3587297	1730	1994-01-31	PRIJEM	\N	122	27928	UROK	\N	\N
3587298	1730	1994-02-28	PRIJEM	\N	120	27344	UROK	\N	\N
3587299	1730	1994-03-31	PRIJEM	\N	123	29663	UROK	\N	\N
3587300	1730	1994-04-30	PRIJEM	\N	128	30127	UROK	\N	\N
3587301	1730	1994-05-31	PRIJEM	\N	124	27088	UROK	\N	\N
3587302	1730	1994-06-30	PRIJEM	\N	118	20452	UROK	\N	\N
3587303	1730	1994-07-31	PRIJEM	\N	90	16998	UROK	\N	\N
3587304	1730	1994-08-31	PRIJEM	\N	84	21779	UROK	\N	\N
3587305	1730	1994-09-30	PRIJEM	\N	104	26579	UROK	\N	\N
3587306	1730	1994-10-31	PRIJEM	\N	124	31399	UROK	\N	\N
3587307	1730	1994-11-30	PRIJEM	\N	130	31225	UROK	\N	\N
3587308	1730	1994-12-31	PRIJEM	\N	142	29763	UROK	\N	\N
3587309	1730	1995-01-31	PRIJEM	\N	133	27292	UROK	\N	\N
3587310	1730	1995-02-28	PRIJEM	\N	120	28908	UROK	\N	\N
3587311	1730	1995-03-31	PRIJEM	\N	130	28134	UROK	\N	\N
3587312	1730	1995-04-30	PRIJEM	\N	131	30501	UROK	\N	\N
3587313	1730	1995-05-31	PRIJEM	\N	139	33837	UROK	\N	\N
3587314	1730	1995-06-30	PRIJEM	\N	139	27122	UROK	\N	\N
3587315	1730	1995-07-31	PRIJEM	\N	124	29142	UROK	\N	\N
3587316	1730	1995-08-31	PRIJEM	\N	131	30170	UROK	\N	\N
3587317	1730	1995-09-30	PRIJEM	\N	137	33704	UROK	\N	\N
3587318	1730	1995-10-31	PRIJEM	\N	141	32921	UROK	\N	\N
3587319	1730	1995-11-30	PRIJEM	\N	148	33925	UROK	\N	\N
3587320	1730	1995-12-31	PRIJEM	\N	150	35372	UROK	\N	\N
3587321	1730	1996-01-31	PRIJEM	\N	147	32176	UROK	\N	\N
3587322	1730	1996-02-29	PRIJEM	\N	144	35016	UROK	\N	\N
3587323	1730	1996-03-31	PRIJEM	\N	158	39870	UROK	\N	\N
3587324	1730	1996-04-30	PRIJEM	\N	169	39896	UROK	\N	\N
3587325	1730	1996-05-31	PRIJEM	\N	175	42267	UROK	\N	\N
3587326	1730	1996-06-30	PRIJEM	\N	164	36528	UROK	\N	\N
3587327	1730	1996-07-31	PRIJEM	\N	164	41388	UROK	\N	\N
3587328	1730	1996-08-31	PRIJEM	\N	184	46269	UROK	\N	\N
3587329	1730	1996-09-30	PRIJEM	\N	196	44541	UROK	\N	\N
3587330	1730	1996-10-31	PRIJEM	\N	197	49434	UROK	\N	\N
3587331	1730	1996-11-30	PRIJEM	\N	208	49079	UROK	\N	\N
3587332	1730	1996-12-31	PRIJEM	\N	202	46628	UROK	\N	\N
3587333	1730	1997-01-31	PRIJEM	\N	199	47923	UROK	\N	\N
3587334	1730	1997-02-28	PRIJEM	\N	197	44896	UROK	\N	\N
3587335	1730	1997-03-31	PRIJEM	\N	191	45863	UROK	\N	\N
3587336	1730	1997-04-30	PRIJEM	\N	193	45652	UROK	\N	\N
3587337	1730	1997-05-31	PRIJEM	\N	197	48345	UROK	\N	\N
3587338	1730	1997-06-30	PRIJEM	\N	177	34668	UROK	\N	\N
3587339	1730	1997-07-31	PRIJEM	\N	153	36397	UROK	\N	\N
3587340	1730	1997-08-31	PRIJEM	\N	159	38293	UROK	\N	\N
3587341	1730	1997-09-30	PRIJEM	\N	170	43159	UROK	\N	\N
3587342	1730	1997-10-31	PRIJEM	\N	190	48046	UROK	\N	\N
3587343	1730	1997-11-30	PRIJEM	\N	205	50847	UROK	\N	\N
3587344	1730	1997-12-31	PRIJEM	\N	212	51456	UROK	\N	\N
3587345	1730	1998-01-31	PRIJEM	\N	224	55526	UROK	\N	\N
3587346	1730	1998-02-28	PRIJEM	\N	230	54032	UROK	\N	\N
3587347	1730	1998-03-31	PRIJEM	\N	233	58322	UROK	\N	\N
3587348	1730	1998-04-30	PRIJEM	\N	252	63270	UROK	\N	\N
3587349	1730	1998-05-31	PRIJEM	\N	273	68240	UROK	\N	\N
3587350	1730	1998-06-30	PRIJEM	\N	248	58334	UROK	\N	\N
3587351	1730	1998-07-31	PRIJEM	\N	242	59572	UROK	\N	\N
3587352	1730	1998-08-31	PRIJEM	\N	251	62219	UROK	\N	\N
3587353	1730	1998-09-30	PRIJEM	\N	263	63558	UROK	\N	\N
3587354	1730	1998-10-31	PRIJEM	\N	262	64277	UROK	\N	\N
3587355	1730	1998-11-30	PRIJEM	\N	268	65942	UROK	\N	\N
3587356	1730	1998-12-31	PRIJEM	\N	275	67163	UROK	\N	\N
3587357	1731	1993-06-30	PRIJEM	\N	37	12526	UROK	\N	\N
3587358	1731	1993-07-31	PRIJEM	\N	57	14695	UROK	\N	\N
3587359	1731	1993-08-31	PRIJEM	\N	64	16231	UROK	\N	\N
3587360	1731	1993-09-30	PRIJEM	\N	73	17616	UROK	\N	\N
3587361	1731	1993-10-31	PRIJEM	\N	79	19007	UROK	\N	\N
3587362	1731	1993-11-30	PRIJEM	\N	68	14948	UROK	\N	\N
3587363	1731	1993-12-31	PRIJEM	\N	65	16125	UROK	\N	\N
3587364	1731	1994-01-31	PRIJEM	\N	62	12440	UROK	\N	\N
3587365	1731	1994-02-28	PRIJEM	\N	55	12847	UROK	\N	\N
3587366	1731	1994-03-31	PRIJEM	\N	59	15018	UROK	\N	\N
3587367	1731	1994-04-30	PRIJEM	\N	68	17198	UROK	\N	\N
3587368	1731	1994-05-31	PRIJEM	\N	75	16745	UROK	\N	\N
3587369	1731	1994-06-30	PRIJEM	\N	75	18932	UROK	\N	\N
3587370	1731	1994-07-31	PRIJEM	\N	84	21128	UROK	\N	\N
3587371	1731	1994-08-31	PRIJEM	\N	83	19324	UROK	\N	\N
3587372	1731	1994-09-30	PRIJEM	\N	85	21522	UROK	\N	\N
3587373	1731	1994-10-31	PRIJEM	\N	95	23729	UROK	\N	\N
3587374	1731	1994-11-30	PRIJEM	\N	104	25945	UROK	\N	\N
3587375	1731	1994-12-31	PRIJEM	\N	112	27069	UROK	\N	\N
3587376	1731	1995-01-31	PRIJEM	\N	96	17637	UROK	\N	\N
3587377	1731	1995-02-28	PRIJEM	\N	78	19827	UROK	\N	\N
3587378	1731	1995-03-31	PRIJEM	\N	88	22027	UROK	\N	\N
3587379	1731	1995-04-30	PRIJEM	\N	89	20708	UROK	\N	\N
3587380	1731	1995-05-31	PRIJEM	\N	91	22912	UROK	\N	\N
3587381	1731	1995-06-30	PRIJEM	\N	78	16452	UROK	\N	\N
3587382	1731	1995-07-31	PRIJEM	\N	73	18638	UROK	\N	\N
3587383	1731	1995-08-31	PRIJEM	\N	82	20833	UROK	\N	\N
3587384	1731	1995-09-30	PRIJEM	\N	91	23036	UROK	\N	\N
3587385	1731	1995-10-31	PRIJEM	\N	98	23007	UROK	\N	\N
3587386	1731	1995-11-30	PRIJEM	\N	100	25220	UROK	\N	\N
3587387	1731	1995-12-31	PRIJEM	\N	107	26089	UROK	\N	\N
3587388	1731	1996-01-31	PRIJEM	\N	81	14662	UROK	\N	\N
3587389	1731	1996-02-29	PRIJEM	\N	65	16840	UROK	\N	\N
3587390	1731	1996-03-31	PRIJEM	\N	75	19027	UROK	\N	\N
3587391	1731	1996-04-30	PRIJEM	\N	81	18020	UROK	\N	\N
3587392	1731	1996-05-31	PRIJEM	\N	79	20212	UROK	\N	\N
3587393	1731	1996-06-30	PRIJEM	\N	82	19126	UROK	\N	\N
3587394	1731	1996-07-31	PRIJEM	\N	84	21322	UROK	\N	\N
3587395	1731	1996-08-31	PRIJEM	\N	90	21045	UROK	\N	\N
3587396	1731	1996-09-30	PRIJEM	\N	88	21165	UROK	\N	\N
3587397	1731	1996-10-31	PRIJEM	\N	92	23370	UROK	\N	\N
3587398	1731	1996-11-30	PRIJEM	\N	101	25583	UROK	\N	\N
3587399	1731	1996-12-31	PRIJEM	\N	109	26505	UROK	\N	\N
3587400	1731	1997-01-31	PRIJEM	\N	95	15912	UROK	\N	\N
3587401	1731	1997-02-28	PRIJEM	\N	66	15770	UROK	\N	\N
3587402	1731	1997-03-31	PRIJEM	\N	69	16512	UROK	\N	\N
3587403	1731	1997-04-30	PRIJEM	\N	71	17975	UROK	\N	\N
3587404	1731	1997-05-31	PRIJEM	\N	79	19767	UROK	\N	\N
3587405	1731	1997-06-30	PRIJEM	\N	86	21965	UROK	\N	\N
3587406	1731	1997-07-31	PRIJEM	\N	95	24173	UROK	\N	\N
3587407	1731	1997-08-31	PRIJEM	\N	104	26389	UROK	\N	\N
3587408	1731	1997-09-30	PRIJEM	\N	113	28615	UROK	\N	\N
3587409	1731	1997-10-31	PRIJEM	\N	123	30850	UROK	\N	\N
3587410	1731	1997-11-30	PRIJEM	\N	132	33094	UROK	\N	\N
3587411	1731	1997-12-31	PRIJEM	\N	130	27047	UROK	\N	\N
3587412	1731	1998-01-31	PRIJEM	\N	89	18088	UROK	\N	\N
3587413	1731	1998-02-28	PRIJEM	\N	78	20278	UROK	\N	\N
3587414	1731	1998-03-31	PRIJEM	\N	88	22478	UROK	\N	\N
3587415	1731	1998-04-30	PRIJEM	\N	96	23807	UROK	\N	\N
3587416	1731	1998-05-31	PRIJEM	\N	102	26021	UROK	\N	\N
3587417	1731	1998-06-30	PRIJEM	\N	99	22532	UROK	\N	\N
3587418	1731	1998-07-31	PRIJEM	\N	93	20817	UROK	\N	\N
3587419	1731	1998-08-31	PRIJEM	\N	86	21175	UROK	\N	\N
3587420	1731	1998-09-30	PRIJEM	\N	91	23379	UROK	\N	\N
3587421	1731	1998-10-31	PRIJEM	\N	100	25591	UROK	\N	\N
3587422	1731	1998-11-30	PRIJEM	\N	108	27411	UROK	\N	\N
3587423	1731	1998-12-31	PRIJEM	\N	118	29391	UROK	\N	\N
3587424	1732	1996-03-31	PRIJEM	\N	35	23789	UROK	\N	\N
3587425	1732	1996-04-30	PRIJEM	\N	120	37663	UROK	\N	\N
3587426	1732	1996-05-31	PRIJEM	\N	162	41179	UROK	\N	\N
3587427	1732	1996-06-30	PRIJEM	\N	189	51899	UROK	\N	\N
3587428	1732	1996-07-31	PRIJEM	\N	218	53271	UROK	\N	\N
3587429	1732	1996-08-31	PRIJEM	\N	224	45684	UROK	\N	\N
3587430	1732	1996-09-30	PRIJEM	\N	205	45479	UROK	\N	\N
3587431	1732	1996-10-31	PRIJEM	\N	191	38759	UROK	\N	\N
3587432	1732	1996-11-30	PRIJEM	\N	173	38122	UROK	\N	\N
3587433	1732	1996-12-31	PRIJEM	\N	193	43281	UROK	\N	\N
3587434	1732	1997-01-31	PRIJEM	\N	182	39053	UROK	\N	\N
3587435	1732	1997-02-28	PRIJEM	\N	166	35808	UROK	\N	\N
3587436	1732	1997-03-31	PRIJEM	\N	165	37862	UROK	\N	\N
3587437	1732	1997-04-30	PRIJEM	\N	175	40727	UROK	\N	\N
3587438	1732	1997-05-31	PRIJEM	\N	180	40496	UROK	\N	\N
3587439	1732	1997-06-30	PRIJEM	\N	179	31642	UROK	\N	\N
3587440	1732	1997-07-31	PRIJEM	\N	153	36885	UROK	\N	\N
3587441	1732	1997-08-31	PRIJEM	\N	176	42750	UROK	\N	\N
3587442	1732	1997-09-30	PRIJEM	\N	203	49442	UROK	\N	\N
3587443	1732	1997-10-31	PRIJEM	\N	219	52651	UROK	\N	\N
3587444	1732	1997-11-30	PRIJEM	\N	215	50155	UROK	\N	\N
3587445	1732	1997-12-31	PRIJEM	\N	243	59765	UROK	\N	\N
3587446	1732	1998-01-31	PRIJEM	\N	234	56287	UROK	\N	\N
3587447	1732	1998-02-28	PRIJEM	\N	274	58751	UROK	\N	\N
3587448	1732	1998-03-31	PRIJEM	\N	257	62197	UROK	\N	\N
3587449	1732	1998-04-30	PRIJEM	\N	256	61143	UROK	\N	\N
3587450	1732	1998-05-31	PRIJEM	\N	256	60788	UROK	\N	\N
3587451	1732	1998-06-30	PRIJEM	\N	276	58831	UROK	\N	\N
3587452	1732	1998-07-31	PRIJEM	\N	287	67307	UROK	\N	\N
3587453	1732	1998-08-31	PRIJEM	\N	323	82119	UROK	\N	\N
3587454	1732	1998-09-30	PRIJEM	\N	363	90871	UROK	\N	\N
3587455	1732	1998-10-31	PRIJEM	\N	392	97352	UROK	\N	\N
3587456	1732	1998-11-30	PRIJEM	\N	420	104061	UROK	\N	\N
3587457	1732	1998-12-31	PRIJEM	\N	311	64838	UROK	\N	\N
3587458	1733	1996-06-30	PRIJEM	\N	90	64791	UROK	\N	\N
3587459	1733	1996-07-31	PRIJEM	\N	270	46860	UROK	\N	\N
3587460	1733	1996-08-31	PRIJEM	\N	270	32630	UROK	\N	\N
3587461	1733	1996-09-30	PRIJEM	\N	270	24100	UROK	\N	\N
3587462	1733	1996-10-31	PRIJEM	\N	270	18169	UROK	\N	\N
3587463	1733	1996-11-30	PRIJEM	\N	270	12939	UROK	\N	\N
3587464	1733	1996-12-31	PRIJEM	\N	270	11808	UROK	\N	\N
3587465	1733	1997-01-31	PRIJEM	\N	258	55470	UROK	\N	\N
3587466	1733	1997-02-28	PRIJEM	\N	230	35000	UROK	\N	\N
3587467	1733	1997-03-31	PRIJEM	\N	261	71633	UROK	\N	\N
3587468	1733	1997-04-30	PRIJEM	\N	233	42444	UROK	\N	\N
3587469	1733	1997-05-31	PRIJEM	\N	326	127117	UROK	\N	\N
3587470	1733	1997-06-30	PRIJEM	\N	206	16335	UROK	\N	\N
3587471	1733	1997-07-31	PRIJEM	\N	157	54583	UROK	\N	\N
3587472	1733	1997-08-31	PRIJEM	\N	222	50631	UROK	\N	\N
3587473	1733	1997-09-30	PRIJEM	\N	195	73054	UROK	\N	\N
3587474	1733	1997-10-31	PRIJEM	\N	213	25779	UROK	\N	\N
3587475	1733	1997-11-30	PRIJEM	\N	169	77026	UROK	\N	\N
3587476	1733	1997-12-31	PRIJEM	\N	245	72075	UROK	\N	\N
3587477	1733	1998-01-31	PRIJEM	\N	167	65367	UROK	\N	\N
3587478	1733	1998-02-28	PRIJEM	\N	210	59321	UROK	\N	\N
3587479	1733	1998-03-31	PRIJEM	\N	184	37583	UROK	\N	\N
3587480	1733	1998-04-30	PRIJEM	\N	187	40428	UROK	\N	\N
3587481	1733	1998-05-31	PRIJEM	\N	200	84641	UROK	\N	\N
3587482	1733	1998-06-30	PRIJEM	\N	219	31242	UROK	\N	\N
3587483	1733	1998-07-31	PRIJEM	\N	129	27953	UROK	\N	\N
3587484	1733	1998-08-31	PRIJEM	\N	87	22529	UROK	\N	\N
3587485	1733	1998-09-30	PRIJEM	\N	184	43990	UROK	\N	\N
3587486	1733	1998-10-31	PRIJEM	\N	123	24090	UROK	\N	\N
3587487	1733	1998-11-30	PRIJEM	\N	58	10126	UROK	\N	\N
3587488	1733	1998-12-31	PRIJEM	\N	74	21434	UROK	\N	\N
3587489	1734	1997-04-30	PRIJEM	\N	65	24780	UROK	\N	\N
3587490	1734	1997-05-31	PRIJEM	\N	172	50668	UROK	\N	\N
3587491	1734	1997-06-30	PRIJEM	\N	273	74513	UROK	\N	\N
3587492	1734	1997-07-31	PRIJEM	\N	316	76943	UROK	\N	\N
3587493	1734	1997-08-31	PRIJEM	\N	282	59390	UROK	\N	\N
3587494	1734	1997-09-30	PRIJEM	\N	250	55969	UROK	\N	\N
3587495	1734	1997-10-31	PRIJEM	\N	215	53314	UROK	\N	\N
3587496	1734	1997-11-30	PRIJEM	\N	230	55913	UROK	\N	\N
3587497	1734	1997-12-31	PRIJEM	\N	258	63097	UROK	\N	\N
3587498	1734	1998-01-31	PRIJEM	\N	163	35590	UROK	\N	\N
3587499	1734	1998-02-28	PRIJEM	\N	171	45630	UROK	\N	\N
3587500	1734	1998-03-31	PRIJEM	\N	219	56318	UROK	\N	\N
3587501	1734	1998-04-30	PRIJEM	\N	249	60737	UROK	\N	\N
3587502	1734	1998-05-31	PRIJEM	\N	253	58460	UROK	\N	\N
3587503	1734	1998-06-30	PRIJEM	\N	277	61923	UROK	\N	\N
3587504	1734	1998-07-31	PRIJEM	\N	261	63154	UROK	\N	\N
3587505	1734	1998-08-31	PRIJEM	\N	266	64289	UROK	\N	\N
3587506	1734	1998-09-30	PRIJEM	\N	270	65229	UROK	\N	\N
3587507	1734	1998-10-31	PRIJEM	\N	268	63966	UROK	\N	\N
3587508	1734	1998-11-30	PRIJEM	\N	266	63902	UROK	\N	\N
3587509	1734	1998-12-31	PRIJEM	\N	272	71700	UROK	\N	\N
3587510	1736	1997-07-31	PRIJEM	\N	101	24510	UROK	\N	\N
3587511	1736	1997-08-31	PRIJEM	\N	123	27027	UROK	\N	\N
3587512	1736	1997-09-30	PRIJEM	\N	133	29555	UROK	\N	\N
3587513	1736	1997-10-31	PRIJEM	\N	131	32081	UROK	\N	\N
3587514	1736	1997-11-30	PRIJEM	\N	154	34629	UROK	\N	\N
3587515	1736	1997-12-31	PRIJEM	\N	159	35172	UROK	\N	\N
3587516	1736	1998-01-31	PRIJEM	\N	137	24904	UROK	\N	\N
3587517	1736	1998-02-28	PRIJEM	\N	124	27422	UROK	\N	\N
3587518	1736	1998-03-31	PRIJEM	\N	135	29951	UROK	\N	\N
3587519	1736	1998-04-30	PRIJEM	\N	133	32478	UROK	\N	\N
3587520	1736	1998-05-31	PRIJEM	\N	156	35028	UROK	\N	\N
3587521	1736	1998-06-30	PRIJEM	\N	107	23680	UROK	\N	\N
3587522	1736	1998-07-31	PRIJEM	\N	119	26194	UROK	\N	\N
3587523	1736	1998-08-31	PRIJEM	\N	109	24857	UROK	\N	\N
3587524	1736	1998-09-30	PRIJEM	\N	108	24640	UROK	\N	\N
3587525	1736	1998-10-31	PRIJEM	\N	102	24496	UROK	\N	\N
3587526	1736	1998-11-30	PRIJEM	\N	102	21152	UROK	\N	\N
3587527	1736	1998-12-31	PRIJEM	\N	95	23341	UROK	\N	\N
3587528	1737	1996-03-31	PRIJEM	\N	41	17093	UROK	\N	\N
3587529	1737	1996-04-30	PRIJEM	\N	102	26047	UROK	\N	\N
3587530	1737	1996-05-31	PRIJEM	\N	118	27917	UROK	\N	\N
3587531	1737	1996-06-30	PRIJEM	\N	154	43249	UROK	\N	\N
3587532	1737	1996-07-31	PRIJEM	\N	180	42762	UROK	\N	\N
3587533	1737	1996-08-31	PRIJEM	\N	163	40550	UROK	\N	\N
3587534	1737	1996-09-30	PRIJEM	\N	158	40094	UROK	\N	\N
3587535	1737	1996-10-31	PRIJEM	\N	168	42868	UROK	\N	\N
3587536	1737	1996-11-30	PRIJEM	\N	171	43145	UROK	\N	\N
3587537	1737	1996-12-31	PRIJEM	\N	185	48321	UROK	\N	\N
3587538	1737	1997-01-31	PRIJEM	\N	186	46212	UROK	\N	\N
3587539	1737	1997-02-28	PRIJEM	\N	175	44092	UROK	\N	\N
3587540	1737	1997-03-31	PRIJEM	\N	185	47183	UROK	\N	\N
3587541	1737	1997-04-30	PRIJEM	\N	189	47778	UROK	\N	\N
3587542	1737	1997-05-31	PRIJEM	\N	196	49479	UROK	\N	\N
3587543	1737	1997-06-30	PRIJEM	\N	211	46381	UROK	\N	\N
3587544	1737	1997-07-31	PRIJEM	\N	190	43416	UROK	\N	\N
3587545	1737	1997-08-31	PRIJEM	\N	161	37542	UROK	\N	\N
3587546	1737	1997-09-30	PRIJEM	\N	145	37293	UROK	\N	\N
3587547	1737	1997-10-31	PRIJEM	\N	147	37945	UROK	\N	\N
3587548	1737	1997-11-30	PRIJEM	\N	144	36794	UROK	\N	\N
3587549	1737	1997-12-31	PRIJEM	\N	161	42546	UROK	\N	\N
3587550	1737	1998-01-31	PRIJEM	\N	162	41214	UROK	\N	\N
3587551	1737	1998-02-28	PRIJEM	\N	159	40778	UROK	\N	\N
3587552	1737	1998-03-31	PRIJEM	\N	163	41846	UROK	\N	\N
3587553	1737	1998-04-30	PRIJEM	\N	153	38805	UROK	\N	\N
3587554	1737	1998-05-31	PRIJEM	\N	155	39865	UROK	\N	\N
3587555	1737	1998-06-30	PRIJEM	\N	109	20586	UROK	\N	\N
3587556	1737	1998-07-31	PRIJEM	\N	116	32908	UROK	\N	\N
3587557	1737	1998-08-31	PRIJEM	\N	133	35046	UROK	\N	\N
3587558	1737	1998-09-30	PRIJEM	\N	132	35783	UROK	\N	\N
3587559	1737	1998-10-31	PRIJEM	\N	142	32950	UROK	\N	\N
3587560	1737	1998-11-30	PRIJEM	\N	146	34141	UROK	\N	\N
3587561	1737	1998-12-31	PRIJEM	\N	166	44519	UROK	\N	\N
3587562	1738	1996-08-31	PRIJEM	\N	1	3398	UROK	\N	\N
3587563	1738	1996-09-30	PRIJEM	\N	2	6397	UROK	\N	\N
3587564	1738	1996-10-31	PRIJEM	\N	2	9396	UROK	\N	\N
3587565	1738	1996-11-30	PRIJEM	\N	2	12394	UROK	\N	\N
3587566	1738	1996-12-31	PRIJEM	\N	36	13099	UROK	\N	\N
3587567	1738	1997-01-31	PRIJEM	\N	54	12278	UROK	\N	\N
3587568	1738	1997-02-28	PRIJEM	\N	54	13316	UROK	\N	\N
3587569	1738	1997-03-31	PRIJEM	\N	58	14359	UROK	\N	\N
3587570	1738	1997-04-30	PRIJEM	\N	63	15406	UROK	\N	\N
3587571	1738	1997-05-31	PRIJEM	\N	57	12947	UROK	\N	\N
3587572	1738	1997-06-30	PRIJEM	\N	51	11683	UROK	\N	\N
3587573	1738	1997-07-31	PRIJEM	\N	50	11367	UROK	\N	\N
3587574	1738	1997-08-31	PRIJEM	\N	50	12402	UROK	\N	\N
3587575	1738	1997-09-30	PRIJEM	\N	54	13441	UROK	\N	\N
3587576	1738	1997-10-31	PRIJEM	\N	57	13553	UROK	\N	\N
3587577	1738	1997-11-30	PRIJEM	\N	59	14096	UROK	\N	\N
3587578	1738	1997-12-31	PRIJEM	\N	59	14360	UROK	\N	\N
3587579	1738	1998-01-31	PRIJEM	\N	58	12882	UROK	\N	\N
3587580	1738	1998-02-28	PRIJEM	\N	56	13122	UROK	\N	\N
3587581	1738	1998-03-31	PRIJEM	\N	56	11363	UROK	\N	\N
3587582	1738	1998-04-30	PRIJEM	\N	50	12397	UROK	\N	\N
3587583	1738	1998-05-31	PRIJEM	\N	54	12636	UROK	\N	\N
3587584	1738	1998-06-30	PRIJEM	\N	55	13675	UROK	\N	\N
3587585	1738	1998-07-31	PRIJEM	\N	60	14719	UROK	\N	\N
3587586	1738	1998-08-31	PRIJEM	\N	64	15768	UROK	\N	\N
3587587	1738	1998-09-30	PRIJEM	\N	64	11016	UROK	\N	\N
3587588	1738	1998-10-31	PRIJEM	\N	49	12049	UROK	\N	\N
3587589	1738	1998-11-30	PRIJEM	\N	52	12085	UROK	\N	\N
3587590	1738	1998-12-31	PRIJEM	\N	53	13122	UROK	\N	\N
3587591	1739	1996-07-31	PRIJEM	\N	65	22101	UROK	\N	\N
3587592	1739	1996-08-31	PRIJEM	\N	162	45799	UROK	\N	\N
3587593	1739	1996-09-30	PRIJEM	\N	225	57860	UROK	\N	\N
3587594	1739	1996-10-31	PRIJEM	\N	253	62349	UROK	\N	\N
3587595	1739	1996-11-30	PRIJEM	\N	261	62946	UROK	\N	\N
3587596	1739	1996-12-31	PRIJEM	\N	269	67625	UROK	\N	\N
3587597	1739	1997-01-31	PRIJEM	\N	207	51775	UROK	\N	\N
3587598	1739	1997-02-28	PRIJEM	\N	184	47401	UROK	\N	\N
3587599	1739	1997-03-31	PRIJEM	\N	197	51541	UROK	\N	\N
3587600	1739	1997-04-30	PRIJEM	\N	169	43052	UROK	\N	\N
3587601	1739	1997-05-31	PRIJEM	\N	150	39644	UROK	\N	\N
3587602	1739	1997-06-30	PRIJEM	\N	169	38424	UROK	\N	\N
3587603	1739	1997-07-31	PRIJEM	\N	156	39922	UROK	\N	\N
3587604	1739	1997-08-31	PRIJEM	\N	154	40618	UROK	\N	\N
3587605	1739	1997-09-30	PRIJEM	\N	158	41718	UROK	\N	\N
3587606	1739	1997-10-31	PRIJEM	\N	162	40422	UROK	\N	\N
3587607	1739	1997-11-30	PRIJEM	\N	169	41334	UROK	\N	\N
3587608	1739	1997-12-31	PRIJEM	\N	193	36237	UROK	\N	\N
3587609	1739	1998-01-31	PRIJEM	\N	162	28442	UROK	\N	\N
3587610	1739	1998-02-28	PRIJEM	\N	148	39932	UROK	\N	\N
3587611	1739	1998-03-31	PRIJEM	\N	142	24117	UROK	\N	\N
3587612	1739	1998-04-30	PRIJEM	\N	127	21986	UROK	\N	\N
3587613	1739	1998-05-31	PRIJEM	\N	121	25650	UROK	\N	\N
3587614	1739	1998-06-30	PRIJEM	\N	163	31524	UROK	\N	\N
3587615	1739	1998-07-31	PRIJEM	\N	158	32725	UROK	\N	\N
3587616	1739	1998-08-31	PRIJEM	\N	156	28823	UROK	\N	\N
3587617	1739	1998-09-30	PRIJEM	\N	141	24906	UROK	\N	\N
3587618	1739	1998-10-31	PRIJEM	\N	116	26664	UROK	\N	\N
3587619	1739	1998-11-30	PRIJEM	\N	134	26940	UROK	\N	\N
3587620	1739	1998-12-31	PRIJEM	\N	171	46322	UROK	\N	\N
3587621	1740	1997-08-31	PRIJEM	\N	49	14779	UROK	\N	\N
3587622	1740	1997-09-30	PRIJEM	\N	63	12505	UROK	\N	\N
3587623	1740	1997-10-31	PRIJEM	\N	56	13904	UROK	\N	\N
3587624	1740	1997-11-30	PRIJEM	\N	62	15308	UROK	\N	\N
3587625	1740	1997-12-31	PRIJEM	\N	67	15868	UROK	\N	\N
3587626	1740	1998-01-31	PRIJEM	\N	55	12665	UROK	\N	\N
3587627	1740	1998-02-28	PRIJEM	\N	57	14064	UROK	\N	\N
3587628	1740	1998-03-31	PRIJEM	\N	63	15469	UROK	\N	\N
3587629	1740	1998-04-30	PRIJEM	\N	68	16880	UROK	\N	\N
3587630	1740	1998-05-31	PRIJEM	\N	60	13202	UROK	\N	\N
3587631	1740	1998-06-30	PRIJEM	\N	59	14603	UROK	\N	\N
3587632	1740	1998-07-31	PRIJEM	\N	65	16011	UROK	\N	\N
3587633	1740	1998-08-31	PRIJEM	\N	65	15738	UROK	\N	\N
3587634	1740	1998-09-30	PRIJEM	\N	69	17150	UROK	\N	\N
3587635	1740	1998-10-31	PRIJEM	\N	71	17564	UROK	\N	\N
3587636	1740	1998-11-30	PRIJEM	\N	69	14415	UROK	\N	\N
3587637	1740	1998-12-31	PRIJEM	\N	60	14667	UROK	\N	\N
3587638	1741	1995-10-31	PRIJEM	\N	70	22729	UROK	\N	\N
3587639	1741	1995-11-30	PRIJEM	\N	97	23431	UROK	\N	\N
3587640	1741	1995-12-31	PRIJEM	\N	98	23423	UROK	\N	\N
3587641	1741	1996-01-31	PRIJEM	\N	78	13695	UROK	\N	\N
3587642	1741	1996-02-29	PRIJEM	\N	64	16164	UROK	\N	\N
3587643	1741	1996-03-31	PRIJEM	\N	75	18643	UROK	\N	\N
3587644	1741	1996-04-30	PRIJEM	\N	75	17682	UROK	\N	\N
3587645	1741	1996-05-31	PRIJEM	\N	81	20168	UROK	\N	\N
3587646	1741	1996-06-30	PRIJEM	\N	64	13386	UROK	\N	\N
3587647	1741	1996-07-31	PRIJEM	\N	63	15854	UROK	\N	\N
3587648	1741	1996-08-31	PRIJEM	\N	73	18332	UROK	\N	\N
3587649	1741	1996-09-30	PRIJEM	\N	84	20820	UROK	\N	\N
3587650	1741	1996-10-31	PRIJEM	\N	94	23318	UROK	\N	\N
3587651	1741	1996-11-30	PRIJEM	\N	101	24303	UROK	\N	\N
3587652	1741	1996-12-31	PRIJEM	\N	108	26465	UROK	\N	\N
3587653	1741	1997-01-31	PRIJEM	\N	101	20071	UROK	\N	\N
3587654	1741	1997-02-28	PRIJEM	\N	91	22566	UROK	\N	\N
3587655	1741	1997-03-31	PRIJEM	\N	100	24431	UROK	\N	\N
3587656	1741	1997-04-30	PRIJEM	\N	109	26944	UROK	\N	\N
3587657	1741	1997-05-31	PRIJEM	\N	120	29468	UROK	\N	\N
3587658	1741	1997-06-30	PRIJEM	\N	109	19582	UROK	\N	\N
3587659	1741	1997-07-31	PRIJEM	\N	82	19668	UROK	\N	\N
3587660	1741	1997-08-31	PRIJEM	\N	89	22161	UROK	\N	\N
3587661	1741	1997-09-30	PRIJEM	\N	99	24665	UROK	\N	\N
3587662	1741	1997-10-31	PRIJEM	\N	100	23809	UROK	\N	\N
3587663	1741	1997-11-30	PRIJEM	\N	106	26320	UROK	\N	\N
3587664	1741	1997-12-31	PRIJEM	\N	114	27688	UROK	\N	\N
3587665	1741	1998-01-31	PRIJEM	\N	91	18083	UROK	\N	\N
3587666	1741	1998-02-28	PRIJEM	\N	82	20569	UROK	\N	\N
3587667	1741	1998-03-31	PRIJEM	\N	82	19375	UROK	\N	\N
3587668	1741	1998-04-30	PRIJEM	\N	79	18818	UROK	\N	\N
3587669	1741	1998-05-31	PRIJEM	\N	85	21308	UROK	\N	\N
3587670	1741	1998-06-30	PRIJEM	\N	95	23807	UROK	\N	\N
3587671	1741	1998-07-31	PRIJEM	\N	100	24952	UROK	\N	\N
3587672	1741	1998-08-31	PRIJEM	\N	111	27467	UROK	\N	\N
3587673	1741	1998-09-30	PRIJEM	\N	121	29992	UROK	\N	\N
3587674	1741	1998-10-31	PRIJEM	\N	132	32528	UROK	\N	\N
3587675	1741	1998-11-30	PRIJEM	\N	142	35074	UROK	\N	\N
3587676	1741	1998-12-31	PRIJEM	\N	145	33604	UROK	\N	\N
3587677	1742	1995-11-30	PRIJEM	\N	82	24600	UROK	\N	\N
3587678	1742	1995-12-31	PRIJEM	\N	160	41786	UROK	\N	\N
3587679	1742	1996-01-31	PRIJEM	\N	179	43383	UROK	\N	\N
3587680	1742	1996-02-29	PRIJEM	\N	220	55022	UROK	\N	\N
3587681	1742	1996-03-31	PRIJEM	\N	169	32862	UROK	\N	\N
3587682	1742	1996-04-30	PRIJEM	\N	172	42130	UROK	\N	\N
3587683	1742	1996-05-31	PRIJEM	\N	233	55039	UROK	\N	\N
3587684	1742	1996-06-30	PRIJEM	\N	175	25320	UROK	\N	\N
3587685	1742	1996-07-31	PRIJEM	\N	167	43123	UROK	\N	\N
3587686	1742	1996-08-31	PRIJEM	\N	230	57529	UROK	\N	\N
3587687	1742	1996-09-30	PRIJEM	\N	266	61471	UROK	\N	\N
3587688	1742	1996-10-31	PRIJEM	\N	265	64212	UROK	\N	\N
3587689	1742	1996-11-30	PRIJEM	\N	273	66062	UROK	\N	\N
3587690	1742	1996-12-31	PRIJEM	\N	308	75475	UROK	\N	\N
3587691	1742	1997-01-31	PRIJEM	\N	236	39208	UROK	\N	\N
3587692	1742	1997-02-28	PRIJEM	\N	230	59015	UROK	\N	\N
3587693	1742	1997-03-31	PRIJEM	\N	255	57726	UROK	\N	\N
3587694	1742	1997-04-30	PRIJEM	\N	227	54010	UROK	\N	\N
3587695	1742	1997-05-31	PRIJEM	\N	237	43522	UROK	\N	\N
3587696	1742	1997-06-30	PRIJEM	\N	271	47959	UROK	\N	\N
3587697	1742	1997-07-31	PRIJEM	\N	260	47495	UROK	\N	\N
3587698	1742	1997-08-31	PRIJEM	\N	253	43025	UROK	\N	\N
3587699	1742	1997-09-30	PRIJEM	\N	235	40836	UROK	\N	\N
3587700	1742	1997-10-31	PRIJEM	\N	223	35855	UROK	\N	\N
3587701	1742	1997-11-30	PRIJEM	\N	205	38837	UROK	\N	\N
3587702	1742	1997-12-31	PRIJEM	\N	247	40069	UROK	\N	\N
3587703	1742	1998-01-31	PRIJEM	\N	199	19404	UROK	\N	\N
3587704	1742	1998-02-28	PRIJEM	\N	139	27920	UROK	\N	\N
3587705	1742	1998-03-31	PRIJEM	\N	176	25172	UROK	\N	\N
3587706	1742	1998-04-30	PRIJEM	\N	158	28106	UROK	\N	\N
3587707	1742	1998-05-31	PRIJEM	\N	153	22016	UROK	\N	\N
3587708	1742	1998-06-30	PRIJEM	\N	184	22725	UROK	\N	\N
3587709	1742	1998-07-31	PRIJEM	\N	154	26555	UROK	\N	\N
3587710	1742	1998-08-31	PRIJEM	\N	153	25885	UROK	\N	\N
3587711	1742	1998-09-30	PRIJEM	\N	144	22865	UROK	\N	\N
3587712	1742	1998-10-31	PRIJEM	\N	146	24187	UROK	\N	\N
3587713	1742	1998-11-30	PRIJEM	\N	149	24912	UROK	\N	\N
3587714	1742	1998-12-31	PRIJEM	\N	169	30486	UROK	\N	\N
3587715	1743	1993-06-30	PRIJEM	\N	13	5073	UROK	\N	\N
3587716	1743	1993-07-31	PRIJEM	\N	21	9354	UROK	\N	\N
3587717	1743	1993-08-31	PRIJEM	\N	21	13635	UROK	\N	\N
3587718	1743	1993-09-30	PRIJEM	\N	21	17916	UROK	\N	\N
3587719	1743	1993-10-31	PRIJEM	\N	42	19258	UROK	\N	\N
3587720	1743	1993-11-30	PRIJEM	\N	85	21309	UROK	\N	\N
3587721	1743	1993-12-31	PRIJEM	\N	90	22166	UROK	\N	\N
3587722	1743	1994-01-31	PRIJEM	\N	97	22329	UROK	\N	\N
3587723	1743	1994-02-28	PRIJEM	\N	90	21906	UROK	\N	\N
3587724	1743	1994-03-31	PRIJEM	\N	96	23968	UROK	\N	\N
3587725	1743	1994-04-30	PRIJEM	\N	105	26039	UROK	\N	\N
3587726	1743	1994-05-31	PRIJEM	\N	103	24589	UROK	\N	\N
3587727	1743	1994-06-30	PRIJEM	\N	98	23374	UROK	\N	\N
3587728	1743	1994-07-31	PRIJEM	\N	102	25442	UROK	\N	\N
3587729	1743	1994-08-31	PRIJEM	\N	109	26958	UROK	\N	\N
3587730	1743	1994-09-30	PRIJEM	\N	117	28541	UROK	\N	\N
3587731	1743	1994-10-31	PRIJEM	\N	124	30131	UROK	\N	\N
3587732	1743	1994-11-30	PRIJEM	\N	129	29826	UROK	\N	\N
3587733	1743	1994-12-31	PRIJEM	\N	125	29368	UROK	\N	\N
3587734	1743	1995-01-31	PRIJEM	\N	121	27995	UROK	\N	\N
3587735	1743	1995-02-28	PRIJEM	\N	120	29361	UROK	\N	\N
3587736	1743	1995-03-31	PRIJEM	\N	124	28092	UROK	\N	\N
3587737	1743	1995-04-30	PRIJEM	\N	113	26191	UROK	\N	\N
3587738	1743	1995-05-31	PRIJEM	\N	112	26570	UROK	\N	\N
3587739	1743	1995-06-30	PRIJEM	\N	113	25689	UROK	\N	\N
3587740	1743	1995-07-31	PRIJEM	\N	110	25686	UROK	\N	\N
3587741	1743	1995-08-31	PRIJEM	\N	112	27764	UROK	\N	\N
3587742	1743	1995-09-30	PRIJEM	\N	117	27347	UROK	\N	\N
3587743	1743	1995-10-31	PRIJEM	\N	119	29432	UROK	\N	\N
3587744	1743	1995-11-30	PRIJEM	\N	126	31025	UROK	\N	\N
3587745	1743	1995-12-31	PRIJEM	\N	130	30921	UROK	\N	\N
3587746	1743	1996-01-31	PRIJEM	\N	128	29815	UROK	\N	\N
3587747	1743	1996-02-29	PRIJEM	\N	128	31910	UROK	\N	\N
3587748	1743	1996-03-31	PRIJEM	\N	134	33130	UROK	\N	\N
3587749	1743	1996-04-30	PRIJEM	\N	142	35039	UROK	\N	\N
3587750	1743	1996-05-31	PRIJEM	\N	145	34910	UROK	\N	\N
3587751	1743	1996-06-30	PRIJEM	\N	147	36224	UROK	\N	\N
3587752	1743	1996-07-31	PRIJEM	\N	145	32935	UROK	\N	\N
3587753	1743	1996-08-31	PRIJEM	\N	132	30773	UROK	\N	\N
3587754	1743	1996-09-30	PRIJEM	\N	126	29865	UROK	\N	\N
3587755	1743	1996-10-31	PRIJEM	\N	121	28753	UROK	\N	\N
3587756	1743	1996-11-30	PRIJEM	\N	119	28738	UROK	\N	\N
3587757	1743	1996-12-31	PRIJEM	\N	122	29727	UROK	\N	\N
3587758	1743	1997-01-31	PRIJEM	\N	126	30619	UROK	\N	\N
3587759	1743	1997-02-28	PRIJEM	\N	131	32716	UROK	\N	\N
3587760	1743	1997-03-31	PRIJEM	\N	140	34823	UROK	\N	\N
3587761	1743	1997-04-30	PRIJEM	\N	148	36937	UROK	\N	\N
3587762	1743	1997-05-31	PRIJEM	\N	155	37618	UROK	\N	\N
3587763	1743	1997-06-30	PRIJEM	\N	148	35092	UROK	\N	\N
3587764	1743	1997-07-31	PRIJEM	\N	149	37208	UROK	\N	\N
3587765	1743	1997-08-31	PRIJEM	\N	158	39333	UROK	\N	\N
3587766	1743	1997-09-30	PRIJEM	\N	167	41466	UROK	\N	\N
3587767	1743	1997-10-31	PRIJEM	\N	170	41762	UROK	\N	\N
3587768	1743	1997-11-30	PRIJEM	\N	162	38891	UROK	\N	\N
3587769	1743	1997-12-31	PRIJEM	\N	157	38264	UROK	\N	\N
3587770	1743	1998-01-31	PRIJEM	\N	152	37183	UROK	\N	\N
3587771	1743	1998-02-28	PRIJEM	\N	157	39306	UROK	\N	\N
3587772	1743	1998-03-31	PRIJEM	\N	160	39113	UROK	\N	\N
3587773	1743	1998-04-30	PRIJEM	\N	165	41244	UROK	\N	\N
3587774	1743	1998-05-31	PRIJEM	\N	174	43385	UROK	\N	\N
3587775	1743	1998-06-30	PRIJEM	\N	175	42086	UROK	\N	\N
3587776	1743	1998-07-31	PRIJEM	\N	177	44230	UROK	\N	\N
3587777	1743	1998-08-31	PRIJEM	\N	186	46383	UROK	\N	\N
3587778	1743	1998-09-30	PRIJEM	\N	195	47824	UROK	\N	\N
3587779	1743	1998-10-31	PRIJEM	\N	199	48549	UROK	\N	\N
3587780	1743	1998-11-30	PRIJEM	\N	204	50719	UROK	\N	\N
3587781	1743	1998-12-31	PRIJEM	\N	208	49213	UROK	\N	\N
3587782	1744	1996-02-29	PRIJEM	\N	19	6267	UROK	\N	\N
3587783	1744	1996-03-31	PRIJEM	\N	26	11941	UROK	\N	\N
3587784	1744	1996-04-30	PRIJEM	\N	26	17615	UROK	\N	\N
3587785	1744	1996-05-31	PRIJEM	\N	26	23289	UROK	\N	\N
3587786	1744	1996-06-30	PRIJEM	\N	74	13311	UROK	\N	\N
3587787	1744	1996-07-31	PRIJEM	\N	63	15690	UROK	\N	\N
3587788	1744	1996-08-31	PRIJEM	\N	73	18079	UROK	\N	\N
3587789	1744	1996-09-30	PRIJEM	\N	82	19357	UROK	\N	\N
3587790	1744	1996-10-31	PRIJEM	\N	88	21761	UROK	\N	\N
3587791	1744	1996-11-30	PRIJEM	\N	93	20251	UROK	\N	\N
3587792	1744	1996-12-31	PRIJEM	\N	91	22208	UROK	\N	\N
3587793	1744	1997-01-31	PRIJEM	\N	63	13587	UROK	\N	\N
3587794	1744	1997-02-28	PRIJEM	\N	63	15967	UROK	\N	\N
3587795	1744	1997-03-31	PRIJEM	\N	74	18357	UROK	\N	\N
3587796	1744	1997-04-30	PRIJEM	\N	84	20757	UROK	\N	\N
3587797	1744	1997-05-31	PRIJEM	\N	92	22045	UROK	\N	\N
3587798	1744	1997-06-30	PRIJEM	\N	90	22051	UROK	\N	\N
3587799	1744	1997-07-31	PRIJEM	\N	99	24467	UROK	\N	\N
3587800	1744	1997-08-31	PRIJEM	\N	96	23919	UROK	\N	\N
3587801	1744	1997-09-30	PRIJEM	\N	103	25459	UROK	\N	\N
3587802	1744	1997-10-31	PRIJEM	\N	113	27888	UROK	\N	\N
3587803	1744	1997-11-30	PRIJEM	\N	123	30328	UROK	\N	\N
3587804	1744	1997-12-31	PRIJEM	\N	124	29228	UROK	\N	\N
3587805	1744	1998-01-31	PRIJEM	\N	101	17396	UROK	\N	\N
3587806	1744	1998-02-28	PRIJEM	\N	79	19791	UROK	\N	\N
3587807	1744	1998-03-31	PRIJEM	\N	87	20755	UROK	\N	\N
3587808	1744	1998-04-30	PRIJEM	\N	93	23164	UROK	\N	\N
3587809	1744	1998-05-31	PRIJEM	\N	103	25584	UROK	\N	\N
3587810	1744	1998-06-30	PRIJEM	\N	92	17692	UROK	\N	\N
3587811	1744	1998-07-31	PRIJEM	\N	80	20089	UROK	\N	\N
3587812	1744	1998-08-31	PRIJEM	\N	82	19367	UROK	\N	\N
3587813	1744	1998-09-30	PRIJEM	\N	87	21771	UROK	\N	\N
3587814	1744	1998-10-31	PRIJEM	\N	97	24184	UROK	\N	\N
3587815	1744	1998-11-30	PRIJEM	\N	105	25806	UROK	\N	\N
3587816	1744	1998-12-31	PRIJEM	\N	102	24165	UROK	\N	\N
3587817	1747	1998-01-31	PRIJEM	\N	37	12697	UROK	\N	\N
3587818	1747	1998-02-28	PRIJEM	\N	55	13733	UROK	\N	\N
3587819	1747	1998-03-31	PRIJEM	\N	56	13869	UROK	\N	\N
3587820	1747	1998-04-30	PRIJEM	\N	57	13977	UROK	\N	\N
3587821	1747	1998-05-31	PRIJEM	\N	60	15017	UROK	\N	\N
3587822	1747	1998-06-30	PRIJEM	\N	62	15159	UROK	\N	\N
3587823	1747	1998-07-31	PRIJEM	\N	65	16203	UROK	\N	\N
3587824	1747	1998-08-31	PRIJEM	\N	70	17253	UROK	\N	\N
3587825	1747	1998-09-30	PRIJEM	\N	74	18308	UROK	\N	\N
3587826	1747	1998-10-31	PRIJEM	\N	78	19035	UROK	\N	\N
3587827	1747	1998-11-30	PRIJEM	\N	81	20096	UROK	\N	\N
3587828	1747	1998-12-31	PRIJEM	\N	85	21162	UROK	\N	\N
3587891	1749	1995-11-30	PRIJEM	\N	87	34695	UROK	\N	\N
3587892	1749	1995-12-31	PRIJEM	\N	221	64827	UROK	\N	\N
3587893	1749	1996-01-31	PRIJEM	\N	202	41537	UROK	\N	\N
3587894	1749	1996-02-29	PRIJEM	\N	214	56859	UROK	\N	\N
3587895	1749	1996-03-31	PRIJEM	\N	265	62054	UROK	\N	\N
3587896	1749	1996-04-30	PRIJEM	\N	218	38426	UROK	\N	\N
3587897	1749	1996-05-31	PRIJEM	\N	204	49354	UROK	\N	\N
3587898	1749	1996-06-30	PRIJEM	\N	239	50113	UROK	\N	\N
3587899	1749	1996-07-31	PRIJEM	\N	225	54053	UROK	\N	\N
3587900	1749	1996-08-31	PRIJEM	\N	224	51692	UROK	\N	\N
3587901	1749	1996-09-30	PRIJEM	\N	224	54131	UROK	\N	\N
3587902	1749	1996-10-31	PRIJEM	\N	168	33080	UROK	\N	\N
3587903	1749	1996-11-30	PRIJEM	\N	173	42968	UROK	\N	\N
3587904	1749	1996-12-31	PRIJEM	\N	139	28926	UROK	\N	\N
3587905	1749	1997-01-31	PRIJEM	\N	140	22881	UROK	\N	\N
3587906	1749	1997-02-28	PRIJEM	\N	211	39476	UROK	\N	\N
3587907	1749	1997-03-31	PRIJEM	\N	184	44775	UROK	\N	\N
3587908	1749	1997-04-30	PRIJEM	\N	187	43073	UROK	\N	\N
3587909	1749	1997-05-31	PRIJEM	\N	209	46998	UROK	\N	\N
3587910	1749	1997-06-30	PRIJEM	\N	357	86274	UROK	\N	\N
3587911	1749	1997-07-31	PRIJEM	\N	386	93175	UROK	\N	\N
3587912	1749	1997-08-31	PRIJEM	\N	214	39105	UROK	\N	\N
3587913	1749	1997-09-30	PRIJEM	\N	252	63972	UROK	\N	\N
3587914	1749	1997-10-31	PRIJEM	\N	331	79918	UROK	\N	\N
3587915	1749	1997-11-30	PRIJEM	\N	384	94017	UROK	\N	\N
3587916	1749	1997-12-31	PRIJEM	\N	310	70047	UROK	\N	\N
3587917	1749	1998-01-31	PRIJEM	\N	266	55128	UROK	\N	\N
3587918	1749	1998-02-28	PRIJEM	\N	292	73365	UROK	\N	\N
3587919	1749	1998-03-31	PRIJEM	\N	287	68476	UROK	\N	\N
3587920	1749	1998-04-30	PRIJEM	\N	322	69355	UROK	\N	\N
3587921	1749	1998-05-31	PRIJEM	\N	364	88434	UROK	\N	\N
3587922	1749	1998-06-30	PRIJEM	\N	399	93953	UROK	\N	\N
3587923	1749	1998-07-31	PRIJEM	\N	236	44272	UROK	\N	\N
3587924	1749	1998-08-31	PRIJEM	\N	266	54871	UROK	\N	\N
3587925	1749	1998-09-30	PRIJEM	\N	320	64853	UROK	\N	\N
3587926	1749	1998-10-31	PRIJEM	\N	327	65506	UROK	\N	\N
3587927	1749	1998-11-30	PRIJEM	\N	283	61804	UROK	\N	\N
3587928	1749	1998-12-31	PRIJEM	\N	336	70720	UROK	\N	\N
3587929	1750	1993-02-28	PRIJEM	\N	14	23477	UROK	\N	\N
3587930	1750	1993-03-31	PRIJEM	\N	108	38348	UROK	\N	\N
3587931	1750	1993-04-30	PRIJEM	\N	165	45975	UROK	\N	\N
3587932	1750	1993-05-31	PRIJEM	\N	193	48131	UROK	\N	\N
3587933	1750	1993-06-30	PRIJEM	\N	252	49449	UROK	\N	\N
3587934	1750	1993-07-31	PRIJEM	\N	232	46185	UROK	\N	\N
3587935	1750	1993-08-31	PRIJEM	\N	215	41803	UROK	\N	\N
3587936	1750	1993-09-30	PRIJEM	\N	199	40705	UROK	\N	\N
3587937	1750	1993-10-31	PRIJEM	\N	192	38700	UROK	\N	\N
3587938	1750	1993-11-30	PRIJEM	\N	187	40691	UROK	\N	\N
3587939	1750	1993-12-31	PRIJEM	\N	216	44841	UROK	\N	\N
3587940	1750	1994-01-31	PRIJEM	\N	166	27311	UROK	\N	\N
3587941	1750	1994-02-28	PRIJEM	\N	145	35260	UROK	\N	\N
3587942	1750	1994-03-31	PRIJEM	\N	177	40540	UROK	\N	\N
3587943	1750	1994-04-30	PRIJEM	\N	185	41328	UROK	\N	\N
3587944	1750	1994-05-31	PRIJEM	\N	197	43928	UROK	\N	\N
3587945	1750	1994-06-30	PRIJEM	\N	222	46784	UROK	\N	\N
3587946	1750	1994-07-31	PRIJEM	\N	210	40598	UROK	\N	\N
3587947	1750	1994-08-31	PRIJEM	\N	186	40887	UROK	\N	\N
3587948	1750	1994-09-30	PRIJEM	\N	190	43680	UROK	\N	\N
3587949	1750	1994-10-31	PRIJEM	\N	198	44882	UROK	\N	\N
3587950	1750	1994-11-30	PRIJEM	\N	185	34470	UROK	\N	\N
3587951	1750	1994-12-31	PRIJEM	\N	179	41183	UROK	\N	\N
3587952	1750	1995-01-31	PRIJEM	\N	152	30138	UROK	\N	\N
3587953	1750	1995-02-28	PRIJEM	\N	141	31983	UROK	\N	\N
3587954	1750	1995-03-31	PRIJEM	\N	156	37442	UROK	\N	\N
3587955	1750	1995-04-30	PRIJEM	\N	169	39115	UROK	\N	\N
3587956	1750	1995-05-31	PRIJEM	\N	177	39396	UROK	\N	\N
3587957	1750	1995-06-30	PRIJEM	\N	157	38287	UROK	\N	\N
3587958	1750	1995-07-31	PRIJEM	\N	177	42867	UROK	\N	\N
3587959	1750	1995-08-31	PRIJEM	\N	189	45260	UROK	\N	\N
3587960	1750	1995-09-30	PRIJEM	\N	187	42151	UROK	\N	\N
3587961	1750	1995-10-31	PRIJEM	\N	187	45641	UROK	\N	\N
3587962	1750	1995-11-30	PRIJEM	\N	194	46738	UROK	\N	\N
3587963	1750	1995-12-31	PRIJEM	\N	217	53189	UROK	\N	\N
3587964	1750	1996-01-31	PRIJEM	\N	188	40581	UROK	\N	\N
3587965	1750	1996-02-29	PRIJEM	\N	215	58099	UROK	\N	\N
3587966	1750	1996-03-31	PRIJEM	\N	224	51626	UROK	\N	\N
3587967	1750	1996-04-30	PRIJEM	\N	238	60568	UROK	\N	\N
3587968	1750	1996-05-31	PRIJEM	\N	278	71050	UROK	\N	\N
3587969	1750	1996-06-30	PRIJEM	\N	328	72212	UROK	\N	\N
3587970	1750	1996-07-31	PRIJEM	\N	304	74719	UROK	\N	\N
3587971	1750	1996-08-31	PRIJEM	\N	301	74123	UROK	\N	\N
3587972	1750	1996-09-30	PRIJEM	\N	313	78239	UROK	\N	\N
3587973	1750	1996-10-31	PRIJEM	\N	325	80768	UROK	\N	\N
3587974	1750	1996-11-30	PRIJEM	\N	326	79097	UROK	\N	\N
3587975	1750	1996-12-31	PRIJEM	\N	355	89587	UROK	\N	\N
3587976	1750	1997-01-31	PRIJEM	\N	320	74411	UROK	\N	\N
3587977	1750	1997-02-28	PRIJEM	\N	318	80532	UROK	\N	\N
3587978	1750	1997-03-31	PRIJEM	\N	330	83465	UROK	\N	\N
3587979	1750	1997-04-30	PRIJEM	\N	355	89023	UROK	\N	\N
3587980	1750	1997-05-31	PRIJEM	\N	371	92398	UROK	\N	\N
3587981	1750	1997-06-30	PRIJEM	\N	363	89396	UROK	\N	\N
3587982	1750	1997-07-31	PRIJEM	\N	378	94577	UROK	\N	\N
3587983	1750	1997-08-31	PRIJEM	\N	380	92560	UROK	\N	\N
3587984	1750	1997-09-30	PRIJEM	\N	396	99559	UROK	\N	\N
3587985	1750	1997-10-31	PRIJEM	\N	410	101673	UROK	\N	\N
3587986	1750	1997-11-30	PRIJEM	\N	407	102184	UROK	\N	\N
3587987	1750	1997-12-31	PRIJEM	\N	263	49781	UROK	\N	\N
3587988	1750	1998-01-31	PRIJEM	\N	243	63027	UROK	\N	\N
3587989	1750	1998-02-28	PRIJEM	\N	298	78629	UROK	\N	\N
3587990	1750	1998-03-31	PRIJEM	\N	352	90785	UROK	\N	\N
3587991	1750	1998-04-30	PRIJEM	\N	389	100577	UROK	\N	\N
3587992	1750	1998-05-31	PRIJEM	\N	403	91384	UROK	\N	\N
3587993	1750	1998-06-30	PRIJEM	\N	333	72651	UROK	\N	\N
3587994	1750	1998-07-31	PRIJEM	\N	340	88994	UROK	\N	\N
3587995	1750	1998-08-31	PRIJEM	\N	396	98094	UROK	\N	\N
3587996	1750	1998-09-30	PRIJEM	\N	278	74475	UROK	\N	\N
3587997	1750	1998-10-31	PRIJEM	\N	347	91026	UROK	\N	\N
3587998	1750	1998-11-30	PRIJEM	\N	411	101540	UROK	\N	\N
3587999	1750	1998-12-31	PRIJEM	\N	374	88149	UROK	\N	\N
3588000	1756	1995-11-30	PRIJEM	\N	20	23911	UROK	\N	\N
3588001	1756	1995-12-31	PRIJEM	\N	113	38510	UROK	\N	\N
3588002	1756	1996-01-31	PRIJEM	\N	163	41064	UROK	\N	\N
3588003	1756	1996-02-29	PRIJEM	\N	170	40525	UROK	\N	\N
3588004	1756	1996-03-31	PRIJEM	\N	170	42586	UROK	\N	\N
3588005	1756	1996-04-30	PRIJEM	\N	196	42751	UROK	\N	\N
3588006	1756	1996-05-31	PRIJEM	\N	185	44205	UROK	\N	\N
3588007	1756	1996-06-30	PRIJEM	\N	195	38365	UROK	\N	\N
3588008	1756	1996-07-31	PRIJEM	\N	185	43919	UROK	\N	\N
3588009	1756	1996-08-31	PRIJEM	\N	203	46691	UROK	\N	\N
3588010	1756	1996-09-30	PRIJEM	\N	217	51978	UROK	\N	\N
3588011	1756	1996-10-31	PRIJEM	\N	232	52479	UROK	\N	\N
3588012	1756	1996-11-30	PRIJEM	\N	229	51178	UROK	\N	\N
3588013	1756	1996-12-31	PRIJEM	\N	232	52274	UROK	\N	\N
3588014	1756	1997-01-31	PRIJEM	\N	223	46466	UROK	\N	\N
3588015	1756	1997-02-28	PRIJEM	\N	209	49245	UROK	\N	\N
3588016	1756	1997-03-31	PRIJEM	\N	223	53837	UROK	\N	\N
3588017	1756	1997-04-30	PRIJEM	\N	247	60454	UROK	\N	\N
3588018	1756	1997-05-31	PRIJEM	\N	259	58782	UROK	\N	\N
3588019	1756	1997-06-30	PRIJEM	\N	268	57014	UROK	\N	\N
3588020	1756	1997-07-31	PRIJEM	\N	245	56529	UROK	\N	\N
3588021	1756	1997-08-31	PRIJEM	\N	241	55739	UROK	\N	\N
3588022	1756	1997-09-30	PRIJEM	\N	237	55245	UROK	\N	\N
3588023	1756	1997-10-31	PRIJEM	\N	224	47838	UROK	\N	\N
3588024	1756	1997-11-30	PRIJEM	\N	197	45104	UROK	\N	\N
3588025	1756	1997-12-31	PRIJEM	\N	207	49476	UROK	\N	\N
3588026	1756	1998-01-31	PRIJEM	\N	201	47946	UROK	\N	\N
3588027	1756	1998-02-28	PRIJEM	\N	207	52423	UROK	\N	\N
3588028	1756	1998-03-31	PRIJEM	\N	228	54920	UROK	\N	\N
3588029	1756	1998-04-30	PRIJEM	\N	225	54114	UROK	\N	\N
3588030	1756	1998-05-31	PRIJEM	\N	239	59023	UROK	\N	\N
3588031	1756	1998-06-30	PRIJEM	\N	248	57835	UROK	\N	\N
3588032	1756	1998-07-31	PRIJEM	\N	248	60552	UROK	\N	\N
3588033	1756	1998-08-31	PRIJEM	\N	283	58405	UROK	\N	\N
3588034	1756	1998-09-30	PRIJEM	\N	269	69043	UROK	\N	\N
3588035	1756	1998-10-31	PRIJEM	\N	292	72405	UROK	\N	\N
3588036	1756	1998-11-30	PRIJEM	\N	293	72667	UROK	\N	\N
3588037	1756	1998-12-31	PRIJEM	\N	319	79550	UROK	\N	\N
3588038	1758	1996-08-31	PRIJEM	\N	91	27049	UROK	\N	\N
3588039	1758	1996-09-30	PRIJEM	\N	175	45781	UROK	\N	\N
3588040	1758	1996-10-31	PRIJEM	\N	233	58572	UROK	\N	\N
3588041	1758	1996-11-30	PRIJEM	\N	264	64894	UROK	\N	\N
3588042	1758	1996-12-31	PRIJEM	\N	286	68333	UROK	\N	\N
3588043	1758	1997-01-31	PRIJEM	\N	112	16933	UROK	\N	\N
3588044	1758	1997-02-28	PRIJEM	\N	152	39288	UROK	\N	\N
3588045	1758	1997-03-31	PRIJEM	\N	179	43277	UROK	\N	\N
3588046	1758	1997-04-30	PRIJEM	\N	193	45907	UROK	\N	\N
3588047	1758	1997-05-31	PRIJEM	\N	200	45248	UROK	\N	\N
3588048	1758	1997-06-30	PRIJEM	\N	197	46728	UROK	\N	\N
3588049	1758	1997-07-31	PRIJEM	\N	198	46231	UROK	\N	\N
3588050	1758	1997-08-31	PRIJEM	\N	211	51346	UROK	\N	\N
3588051	1758	1997-09-30	PRIJEM	\N	253	62003	UROK	\N	\N
3588052	1758	1997-10-31	PRIJEM	\N	269	62719	UROK	\N	\N
3588053	1758	1997-11-30	PRIJEM	\N	285	70207	UROK	\N	\N
3588054	1758	1997-12-31	PRIJEM	\N	332	63855	UROK	\N	\N
3588055	1758	1998-01-31	PRIJEM	\N	181	46641	UROK	\N	\N
3588056	1758	1998-02-28	PRIJEM	\N	142	43700	UROK	\N	\N
3588057	1758	1998-03-31	PRIJEM	\N	231	62335	UROK	\N	\N
3588058	1758	1998-04-30	PRIJEM	\N	307	76846	UROK	\N	\N
3588059	1758	1998-05-31	PRIJEM	\N	337	76249	UROK	\N	\N
3588060	1758	1998-06-30	PRIJEM	\N	180	26815	UROK	\N	\N
3588061	1758	1998-07-31	PRIJEM	\N	162	50071	UROK	\N	\N
3588062	1758	1998-08-31	PRIJEM	\N	223	57498	UROK	\N	\N
3588063	1758	1998-09-30	PRIJEM	\N	268	62970	UROK	\N	\N
3588064	1758	1998-10-31	PRIJEM	\N	260	62075	UROK	\N	\N
3588065	1758	1998-11-30	PRIJEM	\N	292	67271	UROK	\N	\N
3588066	1758	1998-12-31	PRIJEM	\N	351	83306	UROK	\N	\N
3588067	1759	1996-02-29	PRIJEM	\N	13	15001	UROK	\N	\N
3588068	1759	1996-03-31	PRIJEM	\N	71	23860	UROK	\N	\N
3588069	1759	1996-04-30	PRIJEM	\N	101	25649	UROK	\N	\N
3588070	1759	1996-05-31	PRIJEM	\N	105	24241	UROK	\N	\N
3588071	1759	1996-06-30	PRIJEM	\N	103	24566	UROK	\N	\N
3588072	1759	1996-07-31	PRIJEM	\N	104	19561	UROK	\N	\N
3588073	1759	1996-08-31	PRIJEM	\N	90	20643	UROK	\N	\N
3588074	1759	1996-09-30	PRIJEM	\N	87	15882	UROK	\N	\N
3588075	1759	1996-10-31	PRIJEM	\N	73	12766	UROK	\N	\N
3588076	1759	1996-11-30	PRIJEM	\N	63	14580	UROK	\N	\N
3588077	1759	1996-12-31	PRIJEM	\N	83	20208	UROK	\N	\N
3588078	1759	1997-01-31	PRIJEM	\N	70	12610	UROK	\N	\N
3588079	1759	1997-02-28	PRIJEM	\N	65	16727	UROK	\N	\N
3588080	1759	1997-03-31	PRIJEM	\N	72	13350	UROK	\N	\N
3588081	1759	1997-04-30	PRIJEM	\N	60	12261	UROK	\N	\N
3588082	1759	1997-05-31	PRIJEM	\N	58	12871	UROK	\N	\N
3588083	1759	1997-06-30	PRIJEM	\N	58	11074	UROK	\N	\N
3588084	1759	1997-07-31	PRIJEM	\N	63	17388	UROK	\N	\N
3588085	1759	1997-08-31	PRIJEM	\N	66	13006	UROK	\N	\N
3588086	1759	1997-09-30	PRIJEM	\N	54	11311	UROK	\N	\N
3588087	1759	1997-10-31	PRIJEM	\N	64	17626	UROK	\N	\N
3588088	1759	1997-11-30	PRIJEM	\N	90	23968	UROK	\N	\N
3588089	1759	1997-12-31	PRIJEM	\N	86	15599	UROK	\N	\N
3588090	1759	1998-01-31	PRIJEM	\N	64	14475	UROK	\N	\N
3588091	1759	1998-02-28	PRIJEM	\N	76	20802	UROK	\N	\N
3588092	1759	1998-03-31	PRIJEM	\N	103	27157	UROK	\N	\N
3588093	1759	1998-04-30	PRIJEM	\N	81	12689	UROK	\N	\N
3588094	1759	1998-05-31	PRIJEM	\N	67	17568	UROK	\N	\N
3588095	1759	1998-06-30	PRIJEM	\N	92	23265	UROK	\N	\N
3588096	1759	1998-07-31	PRIJEM	\N	105	27341	UROK	\N	\N
3588097	1759	1998-08-31	PRIJEM	\N	131	33723	UROK	\N	\N
3588098	1759	1998-09-30	PRIJEM	\N	157	40131	UROK	\N	\N
3588099	1759	1998-10-31	PRIJEM	\N	183	44765	UROK	\N	\N
3588100	1759	1998-11-30	PRIJEM	\N	203	51219	UROK	\N	\N
3588101	1759	1998-12-31	PRIJEM	\N	244	62709	UROK	\N	\N
3588102	1760	1996-04-30	PRIJEM	\N	79	23325	UROK	\N	\N
3588103	1760	1996-05-31	PRIJEM	\N	108	26180	UROK	\N	\N
3588104	1760	1996-06-30	PRIJEM	\N	95	20633	UROK	\N	\N
3588105	1760	1996-07-31	PRIJEM	\N	96	23237	UROK	\N	\N
3588106	1760	1996-08-31	PRIJEM	\N	109	26493	UROK	\N	\N
3588107	1760	1996-09-30	PRIJEM	\N	122	29762	UROK	\N	\N
3588108	1760	1996-10-31	PRIJEM	\N	135	32164	UROK	\N	\N
3588109	1760	1996-11-30	PRIJEM	\N	142	32494	UROK	\N	\N
3588110	1760	1996-12-31	PRIJEM	\N	147	35538	UROK	\N	\N
3588111	1760	1997-01-31	PRIJEM	\N	139	28955	UROK	\N	\N
3588112	1760	1997-02-28	PRIJEM	\N	132	32234	UROK	\N	\N
3588113	1760	1997-03-31	PRIJEM	\N	139	32721	UROK	\N	\N
3588114	1760	1997-04-30	PRIJEM	\N	145	34813	UROK	\N	\N
3588115	1760	1997-05-31	PRIJEM	\N	157	38117	UROK	\N	\N
3588116	1760	1997-06-30	PRIJEM	\N	170	39835	UROK	\N	\N
3588117	1760	1997-07-31	PRIJEM	\N	178	43160	UROK	\N	\N
3588118	1760	1997-08-31	PRIJEM	\N	174	41441	UROK	\N	\N
3588119	1760	1997-09-30	PRIJEM	\N	179	40927	UROK	\N	\N
3588120	1760	1997-10-31	PRIJEM	\N	182	44257	UROK	\N	\N
3588121	1760	1997-11-30	PRIJEM	\N	196	47600	UROK	\N	\N
3588122	1760	1997-12-31	PRIJEM	\N	208	50355	UROK	\N	\N
3588123	1760	1998-01-31	PRIJEM	\N	192	40815	UROK	\N	\N
3588124	1760	1998-02-28	PRIJEM	\N	181	44143	UROK	\N	\N
3588125	1760	1998-03-31	PRIJEM	\N	188	45399	UROK	\N	\N
3588126	1760	1998-04-30	PRIJEM	\N	195	46941	UROK	\N	\N
3588127	1760	1998-05-31	PRIJEM	\N	207	50295	UROK	\N	\N
3588128	1760	1998-06-30	PRIJEM	\N	215	40358	UROK	\N	\N
3588129	1760	1998-07-31	PRIJEM	\N	179	43684	UROK	\N	\N
3588130	1760	1998-08-31	PRIJEM	\N	181	43212	UROK	\N	\N
3588131	1760	1998-09-30	PRIJEM	\N	190	46550	UROK	\N	\N
3588132	1760	1998-10-31	PRIJEM	\N	197	46694	UROK	\N	\N
3588133	1760	1998-11-30	PRIJEM	\N	205	50046	UROK	\N	\N
3588134	1760	1998-12-31	PRIJEM	\N	216	51810	UROK	\N	\N
3588135	1761	1993-09-30	PRIJEM	\N	18	16442	UROK	\N	\N
3588136	1761	1993-10-31	PRIJEM	\N	77	23343	UROK	\N	\N
3588137	1761	1993-11-30	PRIJEM	\N	104	29271	UROK	\N	\N
3588138	1761	1993-12-31	PRIJEM	\N	130	35788	UROK	\N	\N
3588139	1761	1994-01-31	PRIJEM	\N	117	18760	UROK	\N	\N
3588140	1761	1994-02-28	PRIJEM	\N	81	18801	UROK	\N	\N
3588141	1761	1994-03-31	PRIJEM	\N	89	20299	UROK	\N	\N
3588142	1761	1994-04-30	PRIJEM	\N	95	22554	UROK	\N	\N
3588143	1761	1994-05-31	PRIJEM	\N	103	23917	UROK	\N	\N
3588144	1761	1994-06-30	PRIJEM	\N	87	21920	UROK	\N	\N
3588145	1761	1994-07-31	PRIJEM	\N	104	25784	UROK	\N	\N
3588146	1761	1994-08-31	PRIJEM	\N	112	25357	UROK	\N	\N
3588147	1761	1994-09-30	PRIJEM	\N	100	22051	UROK	\N	\N
3588148	1761	1994-10-31	PRIJEM	\N	102	24913	UROK	\N	\N
3588149	1761	1994-11-30	PRIJEM	\N	112	26586	UROK	\N	\N
3588150	1761	1994-12-31	PRIJEM	\N	115	23123	UROK	\N	\N
3588151	1761	1995-01-31	PRIJEM	\N	93	19476	UROK	\N	\N
3588152	1761	1995-02-28	PRIJEM	\N	92	22929	UROK	\N	\N
3588153	1761	1995-03-31	PRIJEM	\N	100	22789	UROK	\N	\N
3588154	1761	1995-04-30	PRIJEM	\N	109	27559	UROK	\N	\N
3588155	1761	1995-05-31	PRIJEM	\N	116	26235	UROK	\N	\N
3588156	1761	1995-06-30	PRIJEM	\N	125	29882	UROK	\N	\N
3588157	1761	1995-07-31	PRIJEM	\N	127	29570	UROK	\N	\N
3588158	1761	1995-08-31	PRIJEM	\N	128	30458	UROK	\N	\N
3588159	1761	1995-09-30	PRIJEM	\N	121	21540	UROK	\N	\N
3588160	1761	1995-10-31	PRIJEM	\N	118	28618	UROK	\N	\N
3588161	1761	1995-11-30	PRIJEM	\N	118	29096	UROK	\N	\N
3588162	1761	1995-12-31	PRIJEM	\N	140	34959	UROK	\N	\N
3588163	1761	1996-01-31	PRIJEM	\N	83	17022	UROK	\N	\N
3588164	1761	1996-02-29	PRIJEM	\N	83	20865	UROK	\N	\N
3588165	1761	1996-03-31	PRIJEM	\N	100	25126	UROK	\N	\N
3588166	1761	1996-04-30	PRIJEM	\N	107	25493	UROK	\N	\N
3588167	1761	1996-05-31	PRIJEM	\N	117	27369	UROK	\N	\N
3588168	1761	1996-06-30	PRIJEM	\N	123	26176	UROK	\N	\N
3588169	1761	1996-07-31	PRIJEM	\N	128	31965	UROK	\N	\N
3588170	1761	1996-08-31	PRIJEM	\N	141	33766	UROK	\N	\N
3588171	1761	1996-09-30	PRIJEM	\N	144	33670	UROK	\N	\N
3588172	1761	1996-10-31	PRIJEM	\N	132	29962	UROK	\N	\N
3588173	1761	1996-11-30	PRIJEM	\N	111	24133	UROK	\N	\N
3588174	1761	1996-12-31	PRIJEM	\N	122	27499	UROK	\N	\N
3588175	1761	1997-01-31	PRIJEM	\N	83	16543	UROK	\N	\N
3588176	1761	1997-02-28	PRIJEM	\N	128	32631	UROK	\N	\N
3588177	1761	1997-03-31	PRIJEM	\N	123	21548	UROK	\N	\N
3588178	1761	1997-04-30	PRIJEM	\N	138	34246	UROK	\N	\N
3588179	1761	1997-05-31	PRIJEM	\N	165	39571	UROK	\N	\N
3588180	1761	1997-06-30	PRIJEM	\N	129	20123	UROK	\N	\N
3588181	1761	1997-07-31	PRIJEM	\N	123	21606	UROK	\N	\N
3588182	1761	1997-08-31	PRIJEM	\N	128	31595	UROK	\N	\N
3588183	1761	1997-09-30	PRIJEM	\N	125	23280	UROK	\N	\N
3588184	1761	1997-10-31	PRIJEM	\N	101	21923	UROK	\N	\N
3588185	1761	1997-11-30	PRIJEM	\N	132	32816	UROK	\N	\N
3588186	1761	1997-12-31	PRIJEM	\N	155	24760	UROK	\N	\N
3588187	1761	1998-01-31	PRIJEM	\N	114	28934	UROK	\N	\N
3588188	1761	1998-02-28	PRIJEM	\N	84	16810	UROK	\N	\N
3588189	1761	1998-03-31	PRIJEM	\N	115	31185	UROK	\N	\N
3588190	1761	1998-04-30	PRIJEM	\N	109	33246	UROK	\N	\N
3588191	1761	1998-05-31	PRIJEM	\N	137	35944	UROK	\N	\N
3588192	1761	1998-06-30	PRIJEM	\N	166	38332	UROK	\N	\N
3588193	1761	1998-07-31	PRIJEM	\N	166	34258	UROK	\N	\N
3588194	1761	1998-08-31	PRIJEM	\N	101	25896	UROK	\N	\N
3588195	1761	1998-09-30	PRIJEM	\N	112	22933	UROK	\N	\N
3588196	1761	1998-10-31	PRIJEM	\N	109	34303	UROK	\N	\N
3588197	1761	1998-11-30	PRIJEM	\N	119	27633	UROK	\N	\N
3588198	1761	1998-12-31	PRIJEM	\N	138	36194	UROK	\N	\N
3588199	1762	1994-01-31	PRIJEM	\N	87	30795	UROK	\N	\N
3588200	1762	1994-02-28	PRIJEM	\N	175	48578	UROK	\N	\N
3588201	1762	1994-03-31	PRIJEM	\N	189	44075	UROK	\N	\N
3588202	1762	1994-04-30	PRIJEM	\N	212	54695	UROK	\N	\N
3588203	1762	1994-05-31	PRIJEM	\N	231	51035	UROK	\N	\N
3588204	1762	1994-06-30	PRIJEM	\N	204	28149	UROK	\N	\N
3588205	1762	1994-07-31	PRIJEM	\N	135	33620	UROK	\N	\N
3588206	1762	1994-08-31	PRIJEM	\N	165	40142	UROK	\N	\N
3588207	1762	1994-09-30	PRIJEM	\N	163	42721	UROK	\N	\N
3588208	1762	1994-10-31	PRIJEM	\N	175	44312	UROK	\N	\N
3588209	1762	1994-11-30	PRIJEM	\N	187	45075	UROK	\N	\N
3588210	1762	1994-12-31	PRIJEM	\N	199	50885	UROK	\N	\N
3588211	1762	1995-01-31	PRIJEM	\N	134	16755	UROK	\N	\N
3588212	1762	1995-02-28	PRIJEM	\N	116	34288	UROK	\N	\N
3588213	1762	1995-03-31	PRIJEM	\N	148	37152	UROK	\N	\N
3588214	1762	1995-04-30	PRIJEM	\N	165	41273	UROK	\N	\N
3588215	1762	1995-05-31	PRIJEM	\N	158	38274	UROK	\N	\N
3588216	1762	1995-06-30	PRIJEM	\N	100	17192	UROK	\N	\N
3588217	1762	1995-07-31	PRIJEM	\N	119	32835	UROK	\N	\N
3588218	1762	1995-08-31	PRIJEM	\N	158	41316	UROK	\N	\N
3588219	1762	1995-09-30	PRIJEM	\N	167	37707	UROK	\N	\N
3588220	1762	1995-10-31	PRIJEM	\N	146	37576	UROK	\N	\N
3588221	1762	1995-11-30	PRIJEM	\N	153	39453	UROK	\N	\N
3588222	1762	1995-12-31	PRIJEM	\N	182	49692	UROK	\N	\N
3588223	1762	1996-01-31	PRIJEM	\N	153	30269	UROK	\N	\N
3588224	1762	1996-02-29	PRIJEM	\N	121	30454	UROK	\N	\N
3588225	1762	1996-03-31	PRIJEM	\N	114	25591	UROK	\N	\N
3588226	1762	1996-04-30	PRIJEM	\N	100	21995	UROK	\N	\N
3588227	1762	1996-05-31	PRIJEM	\N	98	22476	UROK	\N	\N
3588228	1762	1996-06-30	PRIJEM	\N	127	29180	UROK	\N	\N
3588229	1762	1996-07-31	PRIJEM	\N	127	24030	UROK	\N	\N
3588230	1762	1996-08-31	PRIJEM	\N	106	23560	UROK	\N	\N
3588231	1762	1996-09-30	PRIJEM	\N	104	23287	UROK	\N	\N
3588232	1762	1996-10-31	PRIJEM	\N	101	21111	UROK	\N	\N
3588233	1762	1996-11-30	PRIJEM	\N	92	20227	UROK	\N	\N
3588234	1762	1996-12-31	PRIJEM	\N	106	19810	UROK	\N	\N
3588235	1762	1997-01-31	PRIJEM	\N	85	22719	UROK	\N	\N
3588236	1762	1997-02-28	PRIJEM	\N	98	23140	UROK	\N	\N
3588237	1762	1997-03-31	PRIJEM	\N	102	24665	UROK	\N	\N
3588238	1762	1997-04-30	PRIJEM	\N	100	22309	UROK	\N	\N
3588239	1762	1997-05-31	PRIJEM	\N	98	24830	UROK	\N	\N
3588240	1762	1997-06-30	PRIJEM	\N	127	30535	UROK	\N	\N
3588241	1762	1997-07-31	PRIJEM	\N	130	31488	UROK	\N	\N
3588242	1762	1997-08-31	PRIJEM	\N	119	26871	UROK	\N	\N
3588243	1762	1997-09-30	PRIJEM	\N	105	22199	UROK	\N	\N
3588244	1762	1997-10-31	PRIJEM	\N	101	28123	UROK	\N	\N
3588245	1762	1997-11-30	PRIJEM	\N	105	20951	UROK	\N	\N
3588246	1762	1997-12-31	PRIJEM	\N	98	21627	UROK	\N	\N
3588247	1762	1998-01-31	PRIJEM	\N	91	23341	UROK	\N	\N
3588248	1762	1998-02-28	PRIJEM	\N	104	29268	UROK	\N	\N
3588249	1762	1998-03-31	PRIJEM	\N	108	23139	UROK	\N	\N
3588250	1762	1998-04-30	PRIJEM	\N	93	23256	UROK	\N	\N
3588251	1762	1998-05-31	PRIJEM	\N	88	20561	UROK	\N	\N
3588252	1762	1998-06-30	PRIJEM	\N	97	25428	UROK	\N	\N
3588253	1762	1998-07-31	PRIJEM	\N	114	31018	UROK	\N	\N
3588254	1762	1998-08-31	PRIJEM	\N	110	21145	UROK	\N	\N
3588255	1762	1998-09-30	PRIJEM	\N	112	33973	UROK	\N	\N
3588256	1762	1998-10-31	PRIJEM	\N	138	37727	UROK	\N	\N
3588257	1762	1998-11-30	PRIJEM	\N	170	44313	UROK	\N	\N
3588258	1762	1998-12-31	PRIJEM	\N	149	29333	UROK	\N	\N
3588259	1763	1996-03-31	PRIJEM	\N	72	23454	UROK	\N	\N
3588260	1763	1996-04-30	PRIJEM	\N	176	49312	UROK	\N	\N
3588261	1763	1996-05-31	PRIJEM	\N	232	58227	UROK	\N	\N
3588262	1763	1996-06-30	PRIJEM	\N	295	75594	UROK	\N	\N
3588263	1763	1996-07-31	PRIJEM	\N	308	72284	UROK	\N	\N
3588264	1763	1996-08-31	PRIJEM	\N	269	64435	UROK	\N	\N
3588265	1763	1996-09-30	PRIJEM	\N	253	58231	UROK	\N	\N
3588266	1763	1996-10-31	PRIJEM	\N	240	59354	UROK	\N	\N
3588267	1763	1996-11-30	PRIJEM	\N	226	58022	UROK	\N	\N
3588268	1763	1996-12-31	PRIJEM	\N	269	67784	UROK	\N	\N
3588269	1763	1997-01-31	PRIJEM	\N	198	40765	UROK	\N	\N
3588270	1763	1997-02-28	PRIJEM	\N	215	52862	UROK	\N	\N
3588271	1763	1997-03-31	PRIJEM	\N	237	59882	UROK	\N	\N
3588272	1763	1997-04-30	PRIJEM	\N	247	59891	UROK	\N	\N
3588273	1763	1997-05-31	PRIJEM	\N	217	43191	UROK	\N	\N
3588274	1763	1997-06-30	PRIJEM	\N	190	33055	UROK	\N	\N
3588275	1763	1997-07-31	PRIJEM	\N	181	36618	UROK	\N	\N
3588276	1763	1997-08-31	PRIJEM	\N	193	37793	UROK	\N	\N
3588277	1763	1997-09-30	PRIJEM	\N	194	34970	UROK	\N	\N
3588278	1763	1997-10-31	PRIJEM	\N	181	30693	UROK	\N	\N
3588279	1763	1997-11-30	PRIJEM	\N	166	33241	UROK	\N	\N
3588280	1763	1997-12-31	PRIJEM	\N	200	41915	UROK	\N	\N
3588281	1763	1998-01-31	PRIJEM	\N	172	26190	UROK	\N	\N
3588282	1763	1998-02-28	PRIJEM	\N	141	33073	UROK	\N	\N
3588283	1763	1998-03-31	PRIJEM	\N	174	37429	UROK	\N	\N
3588284	1763	1998-04-30	PRIJEM	\N	192	40804	UROK	\N	\N
3588285	1763	1998-05-31	PRIJEM	\N	202	40288	UROK	\N	\N
3588286	1763	1998-06-30	PRIJEM	\N	230	47991	UROK	\N	\N
3588287	1763	1998-07-31	PRIJEM	\N	221	42555	UROK	\N	\N
3588288	1763	1998-08-31	PRIJEM	\N	200	40678	UROK	\N	\N
3588289	1763	1998-09-30	PRIJEM	\N	180	37099	UROK	\N	\N
3588290	1763	1998-10-31	PRIJEM	\N	179	36160	UROK	\N	\N
3588291	1763	1998-11-30	PRIJEM	\N	178	38520	UROK	\N	\N
3588292	1763	1998-12-31	PRIJEM	\N	238	63632	UROK	\N	\N
3588293	1764	1997-09-30	PRIJEM	\N	40	12488	UROK	\N	\N
3588294	1764	1997-10-31	PRIJEM	\N	117	32652	UROK	\N	\N
3588295	1764	1997-11-30	PRIJEM	\N	154	38454	UROK	\N	\N
3588296	1764	1997-12-31	PRIJEM	\N	194	49170	UROK	\N	\N
3588297	1764	1998-01-31	PRIJEM	\N	156	25004	UROK	\N	\N
3588298	1764	1998-02-28	PRIJEM	\N	113	27481	UROK	\N	\N
3588299	1764	1998-03-31	PRIJEM	\N	135	33979	UROK	\N	\N
3588300	1764	1998-04-30	PRIJEM	\N	176	39919	UROK	\N	\N
3588301	1764	1998-05-31	PRIJEM	\N	198	44880	UROK	\N	\N
3588302	1764	1998-06-30	PRIJEM	\N	181	43299	UROK	\N	\N
3588303	1764	1998-07-31	PRIJEM	\N	178	41740	UROK	\N	\N
3588304	1764	1998-08-31	PRIJEM	\N	209	47713	UROK	\N	\N
3588305	1764	1998-09-30	PRIJEM	\N	217	46293	UROK	\N	\N
3588306	1764	1998-10-31	PRIJEM	\N	211	48467	UROK	\N	\N
3588307	1764	1998-11-30	PRIJEM	\N	219	48750	UROK	\N	\N
3588308	1764	1998-12-31	PRIJEM	\N	239	59926	UROK	\N	\N
3588309	1765	1996-11-30	PRIJEM	\N	37	20505	UROK	\N	\N
3588310	1765	1996-12-31	PRIJEM	\N	87	19723	UROK	\N	\N
3588311	1765	1997-01-31	PRIJEM	\N	61	12200	UROK	\N	\N
3588312	1765	1997-02-28	PRIJEM	\N	59	15476	UROK	\N	\N
3588313	1765	1997-03-31	PRIJEM	\N	74	18766	UROK	\N	\N
3588314	1765	1997-04-30	PRIJEM	\N	79	17861	UROK	\N	\N
3588315	1765	1997-05-31	PRIJEM	\N	72	15570	UROK	\N	\N
3588316	1765	1997-06-30	PRIJEM	\N	62	13248	UROK	\N	\N
3588317	1765	1997-07-31	PRIJEM	\N	64	16529	UROK	\N	\N
3588318	1765	1997-08-31	PRIJEM	\N	73	17618	UROK	\N	\N
3588319	1765	1997-09-30	PRIJEM	\N	76	18211	UROK	\N	\N
3588320	1765	1997-10-31	PRIJEM	\N	72	16199	UROK	\N	\N
3588321	1765	1997-11-30	PRIJEM	\N	63	13839	UROK	\N	\N
3588322	1765	1997-12-31	PRIJEM	\N	54	11609	UROK	\N	\N
3588323	1765	1998-01-31	PRIJEM	\N	50	11835	UROK	\N	\N
3588324	1765	1998-02-28	PRIJEM	\N	53	13104	UROK	\N	\N
3588325	1765	1998-03-31	PRIJEM	\N	64	16384	UROK	\N	\N
3588326	1765	1998-04-30	PRIJEM	\N	77	19677	UROK	\N	\N
3588327	1765	1998-05-31	PRIJEM	\N	71	16165	UROK	\N	\N
3588328	1765	1998-06-30	PRIJEM	\N	69	14150	UROK	\N	\N
3588329	1765	1998-07-31	PRIJEM	\N	68	17434	UROK	\N	\N
3588330	1765	1998-08-31	PRIJEM	\N	80	20031	UROK	\N	\N
3588331	1765	1998-09-30	PRIJEM	\N	74	16321	UROK	\N	\N
3588332	1765	1998-10-31	PRIJEM	\N	74	17672	UROK	\N	\N
3588333	1765	1998-11-30	PRIJEM	\N	73	17521	UROK	\N	\N
3588334	1765	1998-12-31	PRIJEM	\N	81	19968	UROK	\N	\N
3588335	1766	1994-09-30	PRIJEM	\N	50	20158	UROK	\N	\N
3588336	1766	1994-10-31	PRIJEM	\N	138	41304	UROK	\N	\N
3588337	1766	1994-11-30	PRIJEM	\N	199	52211	UROK	\N	\N
3588338	1766	1994-12-31	PRIJEM	\N	260	69383	UROK	\N	\N
3588339	1766	1995-01-31	PRIJEM	\N	258	50569	UROK	\N	\N
3588340	1766	1995-02-28	PRIJEM	\N	185	51312	UROK	\N	\N
3588341	1766	1995-03-31	PRIJEM	\N	188	47659	UROK	\N	\N
3588342	1766	1995-04-30	PRIJEM	\N	187	49424	UROK	\N	\N
3588343	1766	1995-05-31	PRIJEM	\N	188	49771	UROK	\N	\N
3588344	1766	1995-06-30	PRIJEM	\N	213	55727	UROK	\N	\N
3588345	1766	1995-07-31	PRIJEM	\N	202	40187	UROK	\N	\N
3588346	1766	1995-08-31	PRIJEM	\N	189	39034	UROK	\N	\N
3588347	1766	1995-09-30	PRIJEM	\N	176	37568	UROK	\N	\N
3588348	1766	1995-10-31	PRIJEM	\N	174	38721	UROK	\N	\N
3588349	1766	1995-11-30	PRIJEM	\N	181	39760	UROK	\N	\N
3588350	1766	1995-12-31	PRIJEM	\N	193	40675	UROK	\N	\N
3588351	1766	1996-01-31	PRIJEM	\N	124	25077	UROK	\N	\N
3588352	1766	1996-02-29	PRIJEM	\N	124	30160	UROK	\N	\N
3588353	1766	1996-03-31	PRIJEM	\N	142	29760	UROK	\N	\N
3588354	1766	1996-04-30	PRIJEM	\N	141	32560	UROK	\N	\N
3588355	1766	1996-05-31	PRIJEM	\N	143	29261	UROK	\N	\N
3588356	1766	1996-06-30	PRIJEM	\N	146	33169	UROK	\N	\N
3588357	1766	1996-07-31	PRIJEM	\N	144	23331	UROK	\N	\N
3588358	1766	1996-08-31	PRIJEM	\N	111	25799	UROK	\N	\N
3588359	1766	1996-09-30	PRIJEM	\N	117	26073	UROK	\N	\N
3588360	1766	1996-10-31	PRIJEM	\N	112	18103	UROK	\N	\N
3588361	1766	1996-11-30	PRIJEM	\N	87	21247	UROK	\N	\N
3588362	1766	1996-12-31	PRIJEM	\N	113	27122	UROK	\N	\N
3588363	1766	1997-01-31	PRIJEM	\N	96	19275	UROK	\N	\N
3588364	1766	1997-02-28	PRIJEM	\N	90	23722	UROK	\N	\N
3588365	1766	1997-03-31	PRIJEM	\N	101	21581	UROK	\N	\N
3588366	1766	1997-04-30	PRIJEM	\N	95	22333	UROK	\N	\N
3588367	1766	1997-05-31	PRIJEM	\N	101	24691	UROK	\N	\N
3588368	1766	1997-06-30	PRIJEM	\N	94	22027	UROK	\N	\N
3588369	1766	1997-07-31	PRIJEM	\N	97	23881	UROK	\N	\N
3588370	1766	1997-08-31	PRIJEM	\N	88	16906	UROK	\N	\N
3588371	1766	1997-09-30	PRIJEM	\N	81	23345	UROK	\N	\N
3588372	1766	1997-10-31	PRIJEM	\N	103	27306	UROK	\N	\N
3588373	1766	1997-11-30	PRIJEM	\N	114	29377	UROK	\N	\N
3588374	1766	1997-12-31	PRIJEM	\N	120	29358	UROK	\N	\N
3588375	1766	1998-01-31	PRIJEM	\N	94	17830	UROK	\N	\N
3588376	1766	1998-02-28	PRIJEM	\N	85	25472	UROK	\N	\N
3588377	1766	1998-03-31	PRIJEM	\N	103	25432	UROK	\N	\N
3588378	1766	1998-04-30	PRIJEM	\N	96	22985	UROK	\N	\N
3588379	1766	1998-05-31	PRIJEM	\N	90	22532	UROK	\N	\N
3588380	1766	1998-06-30	PRIJEM	\N	82	22355	UROK	\N	\N
3588381	1766	1998-07-31	PRIJEM	\N	87	22799	UROK	\N	\N
3588382	1766	1998-08-31	PRIJEM	\N	93	21010	UROK	\N	\N
3588383	1766	1998-09-30	PRIJEM	\N	116	35683	UROK	\N	\N
3588384	1766	1998-10-31	PRIJEM	\N	137	35797	UROK	\N	\N
3588385	1766	1998-11-30	PRIJEM	\N	145	39000	UROK	\N	\N
3588386	1766	1998-12-31	PRIJEM	\N	170	45731	UROK	\N	\N
3588387	1767	1993-11-30	PRIJEM	\N	37	22122	UROK	\N	\N
3588388	1767	1993-12-31	PRIJEM	\N	118	37068	UROK	\N	\N
3588389	1767	1994-01-31	PRIJEM	\N	157	38810	UROK	\N	\N
3588390	1767	1994-02-28	PRIJEM	\N	164	40359	UROK	\N	\N
3588391	1767	1994-03-31	PRIJEM	\N	184	37699	UROK	\N	\N
3588392	1767	1994-04-30	PRIJEM	\N	175	36916	UROK	\N	\N
3588393	1767	1994-05-31	PRIJEM	\N	179	40337	UROK	\N	\N
3588394	1767	1994-06-30	PRIJEM	\N	189	20250	UROK	\N	\N
3588395	1767	1994-07-31	PRIJEM	\N	118	28409	UROK	\N	\N
3588396	1767	1994-08-31	PRIJEM	\N	148	34898	UROK	\N	\N
3588397	1767	1994-09-30	PRIJEM	\N	162	36402	UROK	\N	\N
3588398	1767	1994-10-31	PRIJEM	\N	169	38312	UROK	\N	\N
3588399	1767	1994-11-30	PRIJEM	\N	170	36064	UROK	\N	\N
3588400	1767	1994-12-31	PRIJEM	\N	180	38608	UROK	\N	\N
3588401	1767	1995-01-31	PRIJEM	\N	149	31977	UROK	\N	\N
3588402	1767	1995-02-28	PRIJEM	\N	150	35269	UROK	\N	\N
3588403	1767	1995-03-31	PRIJEM	\N	165	35875	UROK	\N	\N
3588404	1767	1995-04-30	PRIJEM	\N	169	39885	UROK	\N	\N
3588405	1767	1995-05-31	PRIJEM	\N	175	39901	UROK	\N	\N
3588406	1767	1995-06-30	PRIJEM	\N	199	46385	UROK	\N	\N
3588407	1767	1995-07-31	PRIJEM	\N	192	41619	UROK	\N	\N
3588408	1767	1995-08-31	PRIJEM	\N	171	39232	UROK	\N	\N
3588409	1767	1995-09-30	PRIJEM	\N	148	31721	UROK	\N	\N
3588410	1767	1995-10-31	PRIJEM	\N	144	34806	UROK	\N	\N
3588411	1767	1995-11-30	PRIJEM	\N	137	27645	UROK	\N	\N
3588412	1767	1995-12-31	PRIJEM	\N	159	37249	UROK	\N	\N
3588413	1767	1996-01-31	PRIJEM	\N	156	35786	UROK	\N	\N
3588414	1767	1996-02-29	PRIJEM	\N	151	35779	UROK	\N	\N
3588415	1767	1996-03-31	PRIJEM	\N	152	36473	UROK	\N	\N
3588416	1767	1996-04-30	PRIJEM	\N	150	35364	UROK	\N	\N
3588417	1767	1996-05-31	PRIJEM	\N	142	33348	UROK	\N	\N
3588418	1767	1996-06-30	PRIJEM	\N	174	40806	UROK	\N	\N
3588419	1767	1996-07-31	PRIJEM	\N	152	33100	UROK	\N	\N
3588420	1767	1996-08-31	PRIJEM	\N	185	46026	UROK	\N	\N
3588421	1767	1996-09-30	PRIJEM	\N	226	55393	UROK	\N	\N
3588422	1767	1996-10-31	PRIJEM	\N	258	62793	UROK	\N	\N
3588423	1767	1996-11-30	PRIJEM	\N	283	68517	UROK	\N	\N
3588424	1767	1996-12-31	PRIJEM	\N	329	79670	UROK	\N	\N
3588425	1767	1997-01-31	PRIJEM	\N	287	68579	UROK	\N	\N
3588426	1767	1997-02-28	PRIJEM	\N	294	70514	UROK	\N	\N
3588427	1767	1997-03-31	PRIJEM	\N	295	70650	UROK	\N	\N
3588428	1767	1997-04-30	PRIJEM	\N	289	68781	UROK	\N	\N
3588429	1767	1997-05-31	PRIJEM	\N	267	62989	UROK	\N	\N
3588430	1767	1997-06-30	PRIJEM	\N	142	26215	UROK	\N	\N
3588431	1767	1997-07-31	PRIJEM	\N	166	42523	UROK	\N	\N
3588432	1767	1997-08-31	PRIJEM	\N	177	35101	UROK	\N	\N
3588433	1767	1997-09-30	PRIJEM	\N	186	38129	UROK	\N	\N
3588434	1767	1997-10-31	PRIJEM	\N	197	40827	UROK	\N	\N
3588435	1767	1997-11-30	PRIJEM	\N	209	46078	UROK	\N	\N
3588436	1767	1997-12-31	PRIJEM	\N	259	49041	UROK	\N	\N
3588437	1767	1998-01-31	PRIJEM	\N	234	43576	UROK	\N	\N
3588438	1767	1998-02-28	PRIJEM	\N	214	42671	UROK	\N	\N
3588439	1767	1998-03-31	PRIJEM	\N	207	39959	UROK	\N	\N
3588440	1767	1998-04-30	PRIJEM	\N	202	42303	UROK	\N	\N
3588441	1767	1998-05-31	PRIJEM	\N	209	41753	UROK	\N	\N
3588442	1767	1998-06-30	PRIJEM	\N	139	25936	UROK	\N	\N
3588443	1767	1998-07-31	PRIJEM	\N	147	36024	UROK	\N	\N
3588444	1767	1998-08-31	PRIJEM	\N	183	40648	UROK	\N	\N
3588445	1767	1998-09-30	PRIJEM	\N	196	41285	UROK	\N	\N
3588446	1767	1998-10-31	PRIJEM	\N	205	48032	UROK	\N	\N
3588447	1767	1998-11-30	PRIJEM	\N	227	49700	UROK	\N	\N
3588448	1767	1998-12-31	PRIJEM	\N	249	48113	UROK	\N	\N
3588449	1770	1994-02-28	PRIJEM	\N	62	22079	UROK	\N	\N
3588450	1770	1994-03-31	PRIJEM	\N	128	34525	UROK	\N	\N
3588451	1770	1994-04-30	PRIJEM	\N	189	50331	UROK	\N	\N
3588452	1770	1994-05-31	PRIJEM	\N	230	57378	UROK	\N	\N
3588453	1770	1994-06-30	PRIJEM	\N	268	67072	UROK	\N	\N
3588454	1770	1994-07-31	PRIJEM	\N	253	60976	UROK	\N	\N
3588455	1770	1994-08-31	PRIJEM	\N	251	62879	UROK	\N	\N
3588456	1770	1994-09-30	PRIJEM	\N	235	57965	UROK	\N	\N
3588457	1770	1994-10-31	PRIJEM	\N	243	61759	UROK	\N	\N
3588458	1770	1994-11-30	PRIJEM	\N	243	61952	UROK	\N	\N
3588459	1770	1994-12-31	PRIJEM	\N	278	71291	UROK	\N	\N
3588460	1770	1995-01-31	PRIJEM	\N	220	44762	UROK	\N	\N
3588461	1770	1995-02-28	PRIJEM	\N	194	51407	UROK	\N	\N
3588462	1770	1995-03-31	PRIJEM	\N	225	56483	UROK	\N	\N
3588463	1770	1995-04-30	PRIJEM	\N	234	60468	UROK	\N	\N
3588464	1770	1995-05-31	PRIJEM	\N	238	60757	UROK	\N	\N
3588465	1770	1995-06-30	PRIJEM	\N	228	50446	UROK	\N	\N
3588466	1770	1995-07-31	PRIJEM	\N	219	57117	UROK	\N	\N
3588467	1770	1995-08-31	PRIJEM	\N	238	61306	UROK	\N	\N
3588468	1770	1995-09-30	PRIJEM	\N	244	58101	UROK	\N	\N
3588469	1770	1995-10-31	PRIJEM	\N	234	60086	UROK	\N	\N
3588470	1770	1995-11-30	PRIJEM	\N	255	62793	UROK	\N	\N
3588471	1770	1995-12-31	PRIJEM	\N	279	58333	UROK	\N	\N
3588472	1770	1996-01-31	PRIJEM	\N	248	46532	UROK	\N	\N
3588473	1770	1996-02-29	PRIJEM	\N	216	49199	UROK	\N	\N
3588474	1770	1996-03-31	PRIJEM	\N	237	52688	UROK	\N	\N
3588475	1770	1996-04-30	PRIJEM	\N	250	52989	UROK	\N	\N
3588476	1770	1996-05-31	PRIJEM	\N	253	58794	UROK	\N	\N
3588477	1770	1996-06-30	PRIJEM	\N	283	51637	UROK	\N	\N
3588478	1770	1996-07-31	PRIJEM	\N	233	53822	UROK	\N	\N
3588479	1770	1996-08-31	PRIJEM	\N	240	60813	UROK	\N	\N
3588480	1770	1996-09-30	PRIJEM	\N	279	62143	UROK	\N	\N
3588481	1770	1996-10-31	PRIJEM	\N	274	64369	UROK	\N	\N
3588482	1770	1996-11-30	PRIJEM	\N	291	64711	UROK	\N	\N
3588483	1770	1996-12-31	PRIJEM	\N	306	68178	UROK	\N	\N
3588484	1770	1997-01-31	PRIJEM	\N	279	57708	UROK	\N	\N
3588485	1770	1997-02-28	PRIJEM	\N	265	62025	UROK	\N	\N
3588486	1770	1997-03-31	PRIJEM	\N	285	67361	UROK	\N	\N
3588487	1770	1997-04-30	PRIJEM	\N	297	64209	UROK	\N	\N
3588488	1770	1997-05-31	PRIJEM	\N	277	58538	UROK	\N	\N
3588489	1770	1997-06-30	PRIJEM	\N	222	58920	UROK	\N	\N
3588490	1770	1997-07-31	PRIJEM	\N	270	64241	UROK	\N	\N
3588491	1770	1997-08-31	PRIJEM	\N	282	63674	UROK	\N	\N
3588492	1770	1997-09-30	PRIJEM	\N	278	62003	UROK	\N	\N
3588493	1770	1997-10-31	PRIJEM	\N	275	64430	UROK	\N	\N
3588494	1770	1997-11-30	PRIJEM	\N	281	64962	UROK	\N	\N
3588495	1770	1997-12-31	PRIJEM	\N	302	70125	UROK	\N	\N
3588496	1770	1998-01-31	PRIJEM	\N	275	57850	UROK	\N	\N
3588497	1770	1998-02-28	PRIJEM	\N	251	58753	UROK	\N	\N
3588498	1770	1998-03-31	PRIJEM	\N	244	51748	UROK	\N	\N
3588499	1770	1998-04-30	PRIJEM	\N	221	49720	UROK	\N	\N
3588500	1770	1998-05-31	PRIJEM	\N	217	50288	UROK	\N	\N
3588501	1770	1998-06-30	PRIJEM	\N	210	44058	UROK	\N	\N
3588502	1770	1998-07-31	PRIJEM	\N	182	40191	UROK	\N	\N
3588503	1770	1998-08-31	PRIJEM	\N	163	32306	UROK	\N	\N
3588504	1770	1998-09-30	PRIJEM	\N	148	37105	UROK	\N	\N
3588505	1770	1998-10-31	PRIJEM	\N	164	40220	UROK	\N	\N
3588506	1770	1998-11-30	PRIJEM	\N	168	44840	UROK	\N	\N
3588507	1770	1998-12-31	PRIJEM	\N	201	50401	UROK	\N	\N
3588508	1771	1993-04-30	PRIJEM	\N	8	14487	UROK	\N	\N
3588509	1771	1993-05-31	PRIJEM	\N	65	21831	UROK	\N	\N
3588510	1771	1993-06-30	PRIJEM	\N	93	25593	UROK	\N	\N
3588511	1771	1993-07-31	PRIJEM	\N	108	28180	UROK	\N	\N
3588512	1771	1993-08-31	PRIJEM	\N	109	18016	UROK	\N	\N
3588513	1771	1993-09-30	PRIJEM	\N	63	17692	UROK	\N	\N
3588514	1771	1993-10-31	PRIJEM	\N	87	22291	UROK	\N	\N
3588515	1771	1993-11-30	PRIJEM	\N	95	21998	UROK	\N	\N
3588516	1771	1993-12-31	PRIJEM	\N	101	23800	UROK	\N	\N
3588517	1771	1994-01-31	PRIJEM	\N	90	17203	UROK	\N	\N
3588518	1771	1994-02-28	PRIJEM	\N	80	22095	UROK	\N	\N
3588519	1771	1994-03-31	PRIJEM	\N	100	20807	UROK	\N	\N
3588520	1771	1994-04-30	PRIJEM	\N	93	24012	UROK	\N	\N
3588521	1771	1994-05-31	PRIJEM	\N	106	23330	UROK	\N	\N
3588522	1771	1994-06-30	PRIJEM	\N	109	23840	UROK	\N	\N
3588523	1771	1994-07-31	PRIJEM	\N	105	26357	UROK	\N	\N
3588524	1771	1994-08-31	PRIJEM	\N	113	27883	UROK	\N	\N
3588525	1771	1994-09-30	PRIJEM	\N	115	25010	UROK	\N	\N
3588526	1771	1994-10-31	PRIJEM	\N	110	25732	UROK	\N	\N
3588527	1771	1994-11-30	PRIJEM	\N	111	25856	UROK	\N	\N
3588528	1771	1994-12-31	PRIJEM	\N	118	30175	UROK	\N	\N
3588529	1771	1995-01-31	PRIJEM	\N	106	12894	UROK	\N	\N
3588530	1771	1995-02-28	PRIJEM	\N	71	17377	UROK	\N	\N
3588531	1771	1995-03-31	PRIJEM	\N	80	21170	UROK	\N	\N
3588532	1771	1995-04-30	PRIJEM	\N	99	25282	UROK	\N	\N
3588533	1771	1995-05-31	PRIJEM	\N	108	26702	UROK	\N	\N
3588534	1771	1995-06-30	PRIJEM	\N	104	15308	UROK	\N	\N
3588535	1771	1995-07-31	PRIJEM	\N	89	25909	UROK	\N	\N
3588536	1771	1995-08-31	PRIJEM	\N	119	30540	UROK	\N	\N
3588537	1771	1995-09-30	PRIJEM	\N	132	32484	UROK	\N	\N
3588538	1771	1995-10-31	PRIJEM	\N	143	35340	UROK	\N	\N
3588539	1771	1995-11-30	PRIJEM	\N	142	33194	UROK	\N	\N
3588540	1771	1995-12-31	PRIJEM	\N	133	29328	UROK	\N	\N
3588541	1771	1996-01-31	PRIJEM	\N	94	16235	UROK	\N	\N
3588542	1771	1996-02-29	PRIJEM	\N	79	22226	UROK	\N	\N
3588543	1771	1996-03-31	PRIJEM	\N	93	22332	UROK	\N	\N
3588544	1771	1996-04-30	PRIJEM	\N	98	25842	UROK	\N	\N
3588545	1771	1996-05-31	PRIJEM	\N	119	26173	UROK	\N	\N
3588546	1771	1996-06-30	PRIJEM	\N	115	28290	UROK	\N	\N
3588547	1771	1996-07-31	PRIJEM	\N	108	24810	UROK	\N	\N
3588548	1771	1996-08-31	PRIJEM	\N	109	24532	UROK	\N	\N
3588549	1771	1996-09-30	PRIJEM	\N	119	28363	UROK	\N	\N
3588550	1771	1996-10-31	PRIJEM	\N	134	31810	UROK	\N	\N
3588551	1771	1996-11-30	PRIJEM	\N	136	33558	UROK	\N	\N
3588552	1771	1996-12-31	PRIJEM	\N	150	37910	UROK	\N	\N
3588553	1771	1997-01-31	PRIJEM	\N	127	26549	UROK	\N	\N
3588554	1771	1997-02-28	PRIJEM	\N	132	31694	UROK	\N	\N
3588555	1771	1997-03-31	PRIJEM	\N	154	37159	UROK	\N	\N
3588556	1771	1997-04-30	PRIJEM	\N	151	36922	UROK	\N	\N
3588557	1771	1997-05-31	PRIJEM	\N	165	38699	UROK	\N	\N
3588558	1771	1997-06-30	PRIJEM	\N	157	26557	UROK	\N	\N
3588559	1771	1997-07-31	PRIJEM	\N	106	24275	UROK	\N	\N
3588560	1771	1997-08-31	PRIJEM	\N	117	28905	UROK	\N	\N
3588561	1771	1997-09-30	PRIJEM	\N	127	29144	UROK	\N	\N
3588562	1771	1997-10-31	PRIJEM	\N	111	26567	UROK	\N	\N
3588563	1771	1997-11-30	PRIJEM	\N	109	24089	UROK	\N	\N
3588564	1771	1997-12-31	PRIJEM	\N	92	20682	UROK	\N	\N
3588565	1771	1998-01-31	PRIJEM	\N	90	16285	UROK	\N	\N
3588566	1771	1998-02-28	PRIJEM	\N	87	19284	UROK	\N	\N
3588567	1771	1998-03-31	PRIJEM	\N	93	22090	UROK	\N	\N
3588568	1771	1998-04-30	PRIJEM	\N	106	28308	UROK	\N	\N
3588569	1771	1998-05-31	PRIJEM	\N	138	33558	UROK	\N	\N
3588570	1771	1998-06-30	PRIJEM	\N	118	27178	UROK	\N	\N
3588571	1771	1998-07-31	PRIJEM	\N	110	29500	UROK	\N	\N
3588572	1771	1998-08-31	PRIJEM	\N	125	32837	UROK	\N	\N
3588573	1771	1998-09-30	PRIJEM	\N	144	33194	UROK	\N	\N
3588574	1771	1998-10-31	PRIJEM	\N	133	29339	UROK	\N	\N
3588575	1771	1998-11-30	PRIJEM	\N	119	24371	UROK	\N	\N
3588576	1771	1998-12-31	PRIJEM	\N	99	22171	UROK	\N	\N
3588577	1772	1995-03-31	PRIJEM	\N	51	38250	UROK	\N	\N
3588578	1772	1995-04-30	PRIJEM	\N	184	56333	UROK	\N	\N
3588579	1772	1995-05-31	PRIJEM	\N	251	67583	UROK	\N	\N
3588580	1772	1995-06-30	PRIJEM	\N	313	55294	UROK	\N	\N
3588581	1772	1995-07-31	PRIJEM	\N	238	42118	UROK	\N	\N
3588582	1772	1995-08-31	PRIJEM	\N	212	39996	UROK	\N	\N
3588583	1772	1995-09-30	PRIJEM	\N	206	41147	UROK	\N	\N
3588584	1772	1995-10-31	PRIJEM	\N	208	44629	UROK	\N	\N
3588585	1772	1995-11-30	PRIJEM	\N	246	51403	UROK	\N	\N
3588586	1772	1995-12-31	PRIJEM	\N	201	29037	UROK	\N	\N
3588587	1772	1996-01-31	PRIJEM	\N	184	31082	UROK	\N	\N
3588588	1772	1996-02-29	PRIJEM	\N	212	51449	UROK	\N	\N
3588589	1772	1996-03-31	PRIJEM	\N	278	64202	UROK	\N	\N
3588590	1772	1996-04-30	PRIJEM	\N	253	61623	UROK	\N	\N
3588591	1772	1996-05-31	PRIJEM	\N	230	24107	UROK	\N	\N
3588592	1772	1996-06-30	PRIJEM	\N	174	34411	UROK	\N	\N
3588593	1772	1996-07-31	PRIJEM	\N	157	28483	UROK	\N	\N
3588594	1772	1996-08-31	PRIJEM	\N	143	29798	UROK	\N	\N
3588595	1772	1996-09-30	PRIJEM	\N	186	47826	UROK	\N	\N
3588596	1772	1996-10-31	PRIJEM	\N	286	55453	UROK	\N	\N
3588597	1772	1996-11-30	PRIJEM	\N	228	46624	UROK	\N	\N
3588598	1772	1996-12-31	PRIJEM	\N	161	31797	UROK	\N	\N
3588599	1772	1997-01-31	PRIJEM	\N	195	45733	UROK	\N	\N
3588600	1772	1997-02-28	PRIJEM	\N	224	54999	UROK	\N	\N
3588601	1772	1997-03-31	PRIJEM	\N	275	60315	UROK	\N	\N
3588602	1772	1997-04-30	PRIJEM	\N	280	64637	UROK	\N	\N
3588603	1772	1997-05-31	PRIJEM	\N	270	62449	UROK	\N	\N
3588604	1772	1997-06-30	PRIJEM	\N	236	48326	UROK	\N	\N
3588605	1772	1997-07-31	PRIJEM	\N	229	54176	UROK	\N	\N
3588606	1772	1997-08-31	PRIJEM	\N	246	42063	UROK	\N	\N
3588607	1772	1997-09-30	PRIJEM	\N	306	81111	UROK	\N	\N
3588608	1772	1997-10-31	PRIJEM	\N	279	58432	UROK	\N	\N
3588609	1772	1997-11-30	PRIJEM	\N	368	91242	UROK	\N	\N
3588610	1772	1997-12-31	PRIJEM	\N	450	104833	UROK	\N	\N
3588611	1772	1998-01-31	PRIJEM	\N	302	47176	UROK	\N	\N
3588612	1772	1998-02-28	PRIJEM	\N	352	86071	UROK	\N	\N
3588613	1772	1998-03-31	PRIJEM	\N	385	78797	UROK	\N	\N
3588614	1772	1998-04-30	PRIJEM	\N	327	73466	UROK	\N	\N
3588615	1772	1998-05-31	PRIJEM	\N	353	72299	UROK	\N	\N
3588616	1772	1998-06-30	PRIJEM	\N	374	88814	UROK	\N	\N
3588617	1772	1998-07-31	PRIJEM	\N	367	83324	UROK	\N	\N
3588618	1772	1998-08-31	PRIJEM	\N	311	63576	UROK	\N	\N
3588619	1772	1998-09-30	PRIJEM	\N	261	63092	UROK	\N	\N
3588620	1772	1998-10-31	PRIJEM	\N	278	66185	UROK	\N	\N
3588621	1772	1998-11-30	PRIJEM	\N	359	89109	UROK	\N	\N
3588622	1772	1998-12-31	PRIJEM	\N	396	76546	UROK	\N	\N
3588623	1773	1993-09-30	PRIJEM	\N	3	21883	UROK	\N	\N
3588624	1773	1993-10-31	PRIJEM	\N	95	23402	UROK	\N	\N
3588625	1773	1993-11-30	PRIJEM	\N	101	24927	UROK	\N	\N
3588626	1773	1993-12-31	PRIJEM	\N	101	24292	UROK	\N	\N
3588627	1773	1994-01-31	PRIJEM	\N	77	15504	UROK	\N	\N
3588628	1773	1994-02-28	PRIJEM	\N	65	16193	UROK	\N	\N
3588629	1773	1994-03-31	PRIJEM	\N	71	17688	UROK	\N	\N
3588630	1773	1994-04-30	PRIJEM	\N	67	15820	UROK	\N	\N
3588631	1773	1994-05-31	PRIJEM	\N	69	17314	UROK	\N	\N
3588632	1773	1994-06-30	PRIJEM	\N	64	13842	UROK	\N	\N
3588633	1773	1994-07-31	PRIJEM	\N	61	15327	UROK	\N	\N
3588634	1773	1994-08-31	PRIJEM	\N	67	16819	UROK	\N	\N
3588635	1773	1994-09-30	PRIJEM	\N	73	18316	UROK	\N	\N
3588636	1773	1994-10-31	PRIJEM	\N	78	18778	UROK	\N	\N
3588637	1773	1994-11-30	PRIJEM	\N	82	20284	UROK	\N	\N
3588638	1773	1994-12-31	PRIJEM	\N	88	21796	UROK	\N	\N
3588639	1773	1995-01-31	PRIJEM	\N	68	13399	UROK	\N	\N
3588640	1773	1995-02-28	PRIJEM	\N	59	14882	UROK	\N	\N
3588641	1773	1995-03-31	PRIJEM	\N	65	16372	UROK	\N	\N
3588642	1773	1995-04-30	PRIJEM	\N	71	17867	UROK	\N	\N
3588643	1773	1995-05-31	PRIJEM	\N	76	18967	UROK	\N	\N
3588644	1773	1995-06-30	PRIJEM	\N	82	20474	UROK	\N	\N
3588645	1773	1995-07-31	PRIJEM	\N	89	21987	UROK	\N	\N
3588646	1773	1995-08-31	PRIJEM	\N	87	20998	UROK	\N	\N
3588647	1773	1995-09-30	PRIJEM	\N	82	15705	UROK	\N	\N
3588648	1773	1995-10-31	PRIJEM	\N	59	14089	UROK	\N	\N
3588649	1773	1995-11-30	PRIJEM	\N	58	14471	UROK	\N	\N
3588650	1773	1995-12-31	PRIJEM	\N	59	14655	UROK	\N	\N
3588651	1773	1996-01-31	PRIJEM	\N	58	13897	UROK	\N	\N
3588652	1773	1996-02-29	PRIJEM	\N	59	14980	UROK	\N	\N
3588653	1773	1996-03-31	PRIJEM	\N	58	14063	UROK	\N	\N
3588654	1773	1996-04-30	PRIJEM	\N	61	15548	UROK	\N	\N
3588655	1773	1996-05-31	PRIJEM	\N	57	13330	UROK	\N	\N
3588656	1773	1996-06-30	PRIJEM	\N	55	14009	UROK	\N	\N
3588657	1773	1996-07-31	PRIJEM	\N	61	15495	UROK	\N	\N
3588658	1773	1996-08-31	PRIJEM	\N	58	13677	UROK	\N	\N
3588659	1773	1996-09-30	PRIJEM	\N	59	15161	UROK	\N	\N
3588660	1773	1996-10-31	PRIJEM	\N	62	15747	UROK	\N	\N
3588661	1773	1996-11-30	PRIJEM	\N	68	17240	UROK	\N	\N
3588662	1773	1996-12-31	PRIJEM	\N	73	16497	UROK	\N	\N
3588663	1773	1997-01-31	PRIJEM	\N	63	14404	UROK	\N	\N
3588664	1773	1997-02-28	PRIJEM	\N	61	13090	UROK	\N	\N
3588665	1773	1997-03-31	PRIJEM	\N	57	14571	UROK	\N	\N
3588666	1773	1997-04-30	PRIJEM	\N	63	16059	UROK	\N	\N
3588667	1773	1997-05-31	PRIJEM	\N	69	17552	UROK	\N	\N
3588668	1773	1997-06-30	PRIJEM	\N	73	15450	UROK	\N	\N
3588669	1773	1997-07-31	PRIJEM	\N	65	14139	UROK	\N	\N
3588670	1773	1997-08-31	PRIJEM	\N	61	15625	UROK	\N	\N
3588671	1773	1997-09-30	PRIJEM	\N	65	14814	UROK	\N	\N
3588672	1773	1997-10-31	PRIJEM	\N	61	13800	UROK	\N	\N
3588673	1773	1997-11-30	PRIJEM	\N	59	15284	UROK	\N	\N
3588674	1773	1997-12-31	PRIJEM	\N	66	16774	UROK	\N	\N
3588675	1773	1998-01-31	PRIJEM	\N	65	15624	UROK	\N	\N
3588676	1773	1998-02-28	PRIJEM	\N	67	17115	UROK	\N	\N
3588677	1773	1998-03-31	PRIJEM	\N	68	13907	UROK	\N	\N
3588678	1773	1998-04-30	PRIJEM	\N	60	15391	UROK	\N	\N
3588679	1773	1998-05-31	PRIJEM	\N	66	16881	UROK	\N	\N
3588680	1773	1998-06-30	PRIJEM	\N	71	17977	UROK	\N	\N
3588681	1773	1998-07-31	PRIJEM	\N	74	17675	UROK	\N	\N
3588682	1773	1998-08-31	PRIJEM	\N	72	15411	UROK	\N	\N
3588683	1773	1998-09-30	PRIJEM	\N	66	16901	UROK	\N	\N
3588684	1773	1998-10-31	PRIJEM	\N	71	18097	UROK	\N	\N
3588685	1773	1998-11-30	PRIJEM	\N	70	15792	UROK	\N	\N
3588686	1773	1998-12-31	PRIJEM	\N	67	17283	UROK	\N	\N
3588687	1774	1996-09-30	PRIJEM	\N	9	3564	UROK	\N	\N
3588688	1774	1996-10-31	PRIJEM	\N	15	6834	UROK	\N	\N
3588689	1774	1996-11-30	PRIJEM	\N	15	10104	UROK	\N	\N
3588690	1774	1996-12-31	PRIJEM	\N	15	13374	UROK	\N	\N
3588691	1774	1997-01-31	PRIJEM	\N	45	13913	UROK	\N	\N
3588692	1774	1997-02-28	PRIJEM	\N	60	14084	UROK	\N	\N
3588693	1774	1997-03-31	PRIJEM	\N	59	14614	UROK	\N	\N
3588694	1774	1997-04-30	PRIJEM	\N	59	15023	UROK	\N	\N
3588695	1774	1997-05-31	PRIJEM	\N	65	16159	UROK	\N	\N
3588696	1774	1997-06-30	PRIJEM	\N	70	17299	UROK	\N	\N
3588697	1774	1997-07-31	PRIJEM	\N	71	17781	UROK	\N	\N
3588698	1774	1997-08-31	PRIJEM	\N	77	18928	UROK	\N	\N
3588699	1774	1997-09-30	PRIJEM	\N	82	20080	UROK	\N	\N
3588700	1774	1997-10-31	PRIJEM	\N	76	17926	UROK	\N	\N
3588701	1774	1997-11-30	PRIJEM	\N	77	19074	UROK	\N	\N
3588702	1774	1997-12-31	PRIJEM	\N	80	19314	UROK	\N	\N
3588703	1774	1998-01-31	PRIJEM	\N	70	14214	UROK	\N	\N
3588704	1774	1998-02-28	PRIJEM	\N	62	15346	UROK	\N	\N
3588705	1774	1998-03-31	PRIJEM	\N	59	14976	UROK	\N	\N
3588706	1774	1998-04-30	PRIJEM	\N	65	16111	UROK	\N	\N
3588707	1774	1998-05-31	PRIJEM	\N	64	16166	UROK	\N	\N
3588708	1774	1998-06-30	PRIJEM	\N	67	17093	UROK	\N	\N
3588709	1774	1998-07-31	PRIJEM	\N	70	16794	UROK	\N	\N
3588710	1774	1998-08-31	PRIJEM	\N	69	17243	UROK	\N	\N
3588711	1774	1998-09-30	PRIJEM	\N	67	16580	UROK	\N	\N
3588712	1774	1998-10-31	PRIJEM	\N	70	17421	UROK	\N	\N
3588713	1774	1998-11-30	PRIJEM	\N	75	18566	UROK	\N	\N
3588714	1774	1998-12-31	PRIJEM	\N	74	18001	UROK	\N	\N
3588715	1775	1993-06-30	PRIJEM	\N	15	26443	UROK	\N	\N
3588716	1775	1993-07-31	PRIJEM	\N	111	27485	UROK	\N	\N
3588717	1775	1993-08-31	PRIJEM	\N	121	27661	UROK	\N	\N
3588718	1775	1993-09-30	PRIJEM	\N	128	29763	UROK	\N	\N
3588719	1775	1993-10-31	PRIJEM	\N	133	27370	UROK	\N	\N
3588720	1775	1993-11-30	PRIJEM	\N	118	24563	UROK	\N	\N
3588721	1775	1993-12-31	PRIJEM	\N	114	25801	UROK	\N	\N
3588722	1775	1994-01-31	PRIJEM	\N	104	21279	UROK	\N	\N
3588723	1775	1994-02-28	PRIJEM	\N	97	22571	UROK	\N	\N
3588724	1775	1994-03-31	PRIJEM	\N	108	25653	UROK	\N	\N
3588725	1775	1994-04-30	PRIJEM	\N	119	27307	UROK	\N	\N
3588726	1775	1994-05-31	PRIJEM	\N	123	26704	UROK	\N	\N
3588727	1775	1994-06-30	PRIJEM	\N	121	27099	UROK	\N	\N
3588728	1775	1994-07-31	PRIJEM	\N	123	28197	UROK	\N	\N
3588729	1775	1994-08-31	PRIJEM	\N	121	26052	UROK	\N	\N
3588730	1775	1994-09-30	PRIJEM	\N	119	27545	UROK	\N	\N
3588731	1775	1994-10-31	PRIJEM	\N	127	30347	UROK	\N	\N
3588732	1775	1994-11-30	PRIJEM	\N	128	27049	UROK	\N	\N
3588733	1775	1994-12-31	PRIJEM	\N	121	27044	UROK	\N	\N
3588734	1775	1995-01-31	PRIJEM	\N	105	16803	UROK	\N	\N
3588735	1775	1995-02-28	PRIJEM	\N	85	21462	UROK	\N	\N
3588736	1775	1995-03-31	PRIJEM	\N	104	26141	UROK	\N	\N
3588737	1775	1995-04-30	PRIJEM	\N	121	29437	UROK	\N	\N
3588738	1775	1995-05-31	PRIJEM	\N	132	31243	UROK	\N	\N
3588739	1775	1995-06-30	PRIJEM	\N	134	30352	UROK	\N	\N
3588740	1775	1995-07-31	PRIJEM	\N	125	26851	UROK	\N	\N
3588741	1775	1995-08-31	PRIJEM	\N	116	28241	UROK	\N	\N
3588742	1775	1995-09-30	PRIJEM	\N	124	29079	UROK	\N	\N
3588743	1775	1995-10-31	PRIJEM	\N	108	20962	UROK	\N	\N
3588744	1775	1995-11-30	PRIJEM	\N	97	23533	UROK	\N	\N
3588745	1775	1995-12-31	PRIJEM	\N	112	24569	UROK	\N	\N
3588746	1775	1996-01-31	PRIJEM	\N	85	19068	UROK	\N	\N
3588747	1775	1996-02-29	PRIJEM	\N	73	14956	UROK	\N	\N
3588748	1775	1996-03-31	PRIJEM	\N	62	14152	UROK	\N	\N
3588749	1775	1996-04-30	PRIJEM	\N	73	18799	UROK	\N	\N
3588750	1775	1996-05-31	PRIJEM	\N	80	16854	UROK	\N	\N
3588751	1775	1996-06-30	PRIJEM	\N	74	17903	UROK	\N	\N
3588752	1775	1996-07-31	PRIJEM	\N	78	18855	UROK	\N	\N
3588753	1775	1996-08-31	PRIJEM	\N	76	17805	UROK	\N	\N
3588754	1775	1996-09-30	PRIJEM	\N	67	15547	UROK	\N	\N
3588755	1775	1996-10-31	PRIJEM	\N	58	13579	UROK	\N	\N
3588756	1775	1996-11-30	PRIJEM	\N	63	15536	UROK	\N	\N
3588757	1775	1996-12-31	PRIJEM	\N	68	15959	UROK	\N	\N
3588758	1775	1997-01-31	PRIJEM	\N	66	14839	UROK	\N	\N
3588759	1775	1997-02-28	PRIJEM	\N	75	19489	UROK	\N	\N
3588760	1775	1997-03-31	PRIJEM	\N	74	17357	UROK	\N	\N
3588761	1775	1997-04-30	PRIJEM	\N	63	15374	UROK	\N	\N
3588762	1775	1997-05-31	PRIJEM	\N	59	14408	UROK	\N	\N
3588763	1775	1997-06-30	PRIJEM	\N	73	19055	UROK	\N	\N
3588764	1775	1997-07-31	PRIJEM	\N	93	23722	UROK	\N	\N
3588765	1775	1997-08-31	PRIJEM	\N	90	21987	UROK	\N	\N
3588766	1775	1997-09-30	PRIJEM	\N	82	20143	UROK	\N	\N
3588767	1775	1997-10-31	PRIJEM	\N	86	21804	UROK	\N	\N
3588768	1775	1997-11-30	PRIJEM	\N	96	24274	UROK	\N	\N
3588769	1775	1997-12-31	PRIJEM	\N	98	23546	UROK	\N	\N
3588770	1775	1998-01-31	PRIJEM	\N	75	15355	UROK	\N	\N
3588771	1775	1998-02-28	PRIJEM	\N	63	15232	UROK	\N	\N
3588772	1775	1998-03-31	PRIJEM	\N	69	17976	UROK	\N	\N
3588773	1775	1998-04-30	PRIJEM	\N	87	22637	UROK	\N	\N
3588774	1775	1998-05-31	PRIJEM	\N	103	26275	UROK	\N	\N
3588775	1775	1998-06-30	PRIJEM	\N	89	21438	UROK	\N	\N
3588776	1775	1998-07-31	PRIJEM	\N	102	26114	UROK	\N	\N
3588777	1775	1998-08-31	PRIJEM	\N	121	30810	UROK	\N	\N
3588778	1775	1998-09-30	PRIJEM	\N	135	15619	UROK	\N	\N
3588779	1775	1998-10-31	PRIJEM	\N	72	17465	UROK	\N	\N
3588780	1775	1998-11-30	PRIJEM	\N	82	21002	UROK	\N	\N
3588781	1775	1998-12-31	PRIJEM	\N	87	22044	UROK	\N	\N
3588782	1776	1997-08-31	PRIJEM	\N	15	18784	UROK	\N	\N
3588783	1776	1997-09-30	PRIJEM	\N	85	27238	UROK	\N	\N
3588784	1776	1997-10-31	PRIJEM	\N	123	37630	UROK	\N	\N
3588785	1776	1997-11-30	PRIJEM	\N	160	41759	UROK	\N	\N
3588786	1776	1997-12-31	PRIJEM	\N	212	42476	UROK	\N	\N
3588787	1776	1998-01-31	PRIJEM	\N	158	29478	UROK	\N	\N
3588788	1776	1998-02-28	PRIJEM	\N	143	32065	UROK	\N	\N
3588789	1776	1998-03-31	PRIJEM	\N	156	35965	UROK	\N	\N
3588790	1776	1998-04-30	PRIJEM	\N	165	36275	UROK	\N	\N
3588791	1776	1998-05-31	PRIJEM	\N	167	37786	UROK	\N	\N
3588792	1776	1998-06-30	PRIJEM	\N	192	42658	UROK	\N	\N
3588793	1776	1998-07-31	PRIJEM	\N	191	42793	UROK	\N	\N
3588794	1776	1998-08-31	PRIJEM	\N	188	40925	UROK	\N	\N
3588795	1776	1998-09-30	PRIJEM	\N	183	41553	UROK	\N	\N
3588796	1776	1998-10-31	PRIJEM	\N	179	40076	UROK	\N	\N
3588797	1776	1998-11-30	PRIJEM	\N	179	40999	UROK	\N	\N
3588798	1776	1998-12-31	PRIJEM	\N	189	39768	UROK	\N	\N
3588799	1777	1996-11-30	PRIJEM	\N	79	25803	UROK	\N	\N
3588800	1777	1996-12-31	PRIJEM	\N	168	45406	UROK	\N	\N
3588801	1777	1997-01-31	PRIJEM	\N	196	47626	UROK	\N	\N
3588802	1777	1997-02-28	PRIJEM	\N	202	49052	UROK	\N	\N
3588803	1777	1997-03-31	PRIJEM	\N	204	46965	UROK	\N	\N
3588804	1777	1997-04-30	PRIJEM	\N	198	46458	UROK	\N	\N
3588805	1777	1997-05-31	PRIJEM	\N	189	41641	UROK	\N	\N
3588806	1777	1997-06-30	PRIJEM	\N	139	28187	UROK	\N	\N
3588807	1777	1997-07-31	PRIJEM	\N	159	40140	UROK	\N	\N
3588808	1777	1997-08-31	PRIJEM	\N	223	56358	UROK	\N	\N
3588809	1777	1997-09-30	PRIJEM	\N	267	66119	UROK	\N	\N
3588810	1777	1997-10-31	PRIJEM	\N	290	68403	UROK	\N	\N
3588811	1777	1997-11-30	PRIJEM	\N	306	74304	UROK	\N	\N
3588812	1777	1997-12-31	PRIJEM	\N	338	77848	UROK	\N	\N
3588813	1777	1998-01-31	PRIJEM	\N	315	61757	UROK	\N	\N
3588814	1777	1998-02-28	PRIJEM	\N	288	70940	UROK	\N	\N
3588815	1777	1998-03-31	PRIJEM	\N	294	70229	UROK	\N	\N
3588816	1777	1998-04-30	PRIJEM	\N	290	69013	UROK	\N	\N
3588817	1777	1998-05-31	PRIJEM	\N	266	62474	UROK	\N	\N
3588818	1777	1998-06-30	PRIJEM	\N	268	53348	UROK	\N	\N
3588819	1777	1998-07-31	PRIJEM	\N	208	47550	UROK	\N	\N
3588820	1777	1998-08-31	PRIJEM	\N	211	51555	UROK	\N	\N
3588821	1777	1998-09-30	PRIJEM	\N	208	52258	UROK	\N	\N
3588822	1777	1998-10-31	PRIJEM	\N	225	45777	UROK	\N	\N
3588823	1777	1998-11-30	PRIJEM	\N	246	48717	UROK	\N	\N
3588824	1777	1998-12-31	PRIJEM	\N	300	77023	UROK	\N	\N
3588825	1778	1995-03-31	PRIJEM	\N	13	19155	UROK	\N	\N
3588826	1778	1995-04-30	PRIJEM	\N	88	30384	UROK	\N	\N
3588827	1778	1995-05-31	PRIJEM	\N	128	33055	UROK	\N	\N
3588828	1778	1995-06-30	PRIJEM	\N	144	41662	UROK	\N	\N
3588829	1778	1995-07-31	PRIJEM	\N	171	39675	UROK	\N	\N
3588830	1778	1995-08-31	PRIJEM	\N	174	36325	UROK	\N	\N
3588831	1778	1995-09-30	PRIJEM	\N	168	37328	UROK	\N	\N
3588832	1778	1995-10-31	PRIJEM	\N	179	39402	UROK	\N	\N
3588833	1778	1995-11-30	PRIJEM	\N	173	35910	UROK	\N	\N
3588834	1778	1995-12-31	PRIJEM	\N	186	39212	UROK	\N	\N
3588835	1778	1996-01-31	PRIJEM	\N	157	30125	UROK	\N	\N
3588836	1778	1996-02-29	PRIJEM	\N	150	35070	UROK	\N	\N
3588837	1778	1996-03-31	PRIJEM	\N	150	32756	UROK	\N	\N
3588838	1778	1996-04-30	PRIJEM	\N	159	36810	UROK	\N	\N
3588839	1778	1996-05-31	PRIJEM	\N	166	34972	UROK	\N	\N
3588840	1778	1996-06-30	PRIJEM	\N	152	34420	UROK	\N	\N
3588841	1778	1996-07-31	PRIJEM	\N	161	36477	UROK	\N	\N
3588842	1778	1996-08-31	PRIJEM	\N	166	36838	UROK	\N	\N
3588843	1778	1996-09-30	PRIJEM	\N	167	38200	UROK	\N	\N
3588844	1778	1996-10-31	PRIJEM	\N	174	40269	UROK	\N	\N
3588845	1778	1996-11-30	PRIJEM	\N	178	40643	UROK	\N	\N
3588846	1778	1996-12-31	PRIJEM	\N	195	44774	UROK	\N	\N
3588847	1778	1997-01-31	PRIJEM	\N	178	33167	UROK	\N	\N
3588848	1778	1997-02-28	PRIJEM	\N	165	41787	UROK	\N	\N
3588849	1778	1997-03-31	PRIJEM	\N	178	41760	UROK	\N	\N
3588850	1778	1997-04-30	PRIJEM	\N	191	45946	UROK	\N	\N
3588851	1778	1997-05-31	PRIJEM	\N	200	46541	UROK	\N	\N
3588852	1778	1997-06-30	PRIJEM	\N	183	42941	UROK	\N	\N
3588853	1778	1997-07-31	PRIJEM	\N	185	42961	UROK	\N	\N
3588854	1778	1997-08-31	PRIJEM	\N	196	47652	UROK	\N	\N
3588855	1778	1997-09-30	PRIJEM	\N	197	46445	UROK	\N	\N
3588856	1778	1997-10-31	PRIJEM	\N	187	44547	UROK	\N	\N
3588857	1778	1997-11-30	PRIJEM	\N	191	46433	UROK	\N	\N
3588858	1778	1997-12-31	PRIJEM	\N	215	52685	UROK	\N	\N
3588859	1778	1998-01-31	PRIJEM	\N	169	29349	UROK	\N	\N
3588860	1778	1998-02-28	PRIJEM	\N	189	53233	UROK	\N	\N
3588861	1778	1998-03-31	PRIJEM	\N	219	50907	UROK	\N	\N
3588862	1778	1998-04-30	PRIJEM	\N	245	55248	UROK	\N	\N
3588863	1778	1998-05-31	PRIJEM	\N	235	57878	UROK	\N	\N
3588864	1778	1998-06-30	PRIJEM	\N	206	47281	UROK	\N	\N
3588865	1778	1998-07-31	PRIJEM	\N	217	55193	UROK	\N	\N
3588866	1778	1998-08-31	PRIJEM	\N	231	54819	UROK	\N	\N
3588867	1778	1998-09-30	PRIJEM	\N	234	58848	UROK	\N	\N
3588868	1778	1998-10-31	PRIJEM	\N	242	56585	UROK	\N	\N
3588869	1778	1998-11-30	PRIJEM	\N	262	67142	UROK	\N	\N
3588870	1778	1998-12-31	PRIJEM	\N	291	74649	UROK	\N	\N
3588871	1779	1993-09-30	PRIJEM	\N	57	24382	UROK	\N	\N
3588872	1779	1993-10-31	PRIJEM	\N	130	36237	UROK	\N	\N
3588873	1779	1993-11-30	PRIJEM	\N	168	43330	UROK	\N	\N
3588874	1779	1993-12-31	PRIJEM	\N	207	53875	UROK	\N	\N
3588875	1779	1994-01-31	PRIJEM	\N	185	32101	UROK	\N	\N
3588876	1779	1994-02-28	PRIJEM	\N	152	36649	UROK	\N	\N
3588877	1779	1994-03-31	PRIJEM	\N	163	39508	UROK	\N	\N
3588878	1779	1994-04-30	PRIJEM	\N	182	43886	UROK	\N	\N
3588879	1779	1994-05-31	PRIJEM	\N	208	41091	UROK	\N	\N
3588880	1779	1994-06-30	PRIJEM	\N	185	29786	UROK	\N	\N
3588881	1779	1994-07-31	PRIJEM	\N	153	38335	UROK	\N	\N
3588882	1779	1994-08-31	PRIJEM	\N	171	41502	UROK	\N	\N
3588883	1779	1994-09-30	PRIJEM	\N	196	49495	UROK	\N	\N
3588884	1779	1994-10-31	PRIJEM	\N	227	57219	UROK	\N	\N
3588885	1779	1994-11-30	PRIJEM	\N	258	65273	UROK	\N	\N
3588886	1779	1994-12-31	PRIJEM	\N	313	79696	UROK	\N	\N
3588887	1779	1995-01-31	PRIJEM	\N	275	57067	UROK	\N	\N
3588888	1779	1995-02-28	PRIJEM	\N	235	56998	UROK	\N	\N
3588889	1779	1995-03-31	PRIJEM	\N	256	64651	UROK	\N	\N
3588890	1779	1995-04-30	PRIJEM	\N	285	72032	UROK	\N	\N
3588891	1779	1995-05-31	PRIJEM	\N	299	74427	UROK	\N	\N
3588892	1779	1995-06-30	PRIJEM	\N	310	74046	UROK	\N	\N
3588893	1779	1995-07-31	PRIJEM	\N	304	76147	UROK	\N	\N
3588894	1779	1995-08-31	PRIJEM	\N	319	80162	UROK	\N	\N
3588895	1779	1995-09-30	PRIJEM	\N	321	76879	UROK	\N	\N
3588896	1779	1995-10-31	PRIJEM	\N	328	82603	UROK	\N	\N
3588897	1779	1995-11-30	PRIJEM	\N	321	79921	UROK	\N	\N
3588898	1779	1995-12-31	PRIJEM	\N	346	90276	UROK	\N	\N
3588899	1779	1996-01-31	PRIJEM	\N	326	71298	UROK	\N	\N
3588900	1779	1996-02-29	PRIJEM	\N	305	77399	UROK	\N	\N
3588901	1779	1996-03-31	PRIJEM	\N	299	75995	UROK	\N	\N
3588902	1779	1996-04-30	PRIJEM	\N	305	76496	UROK	\N	\N
3588903	1779	1996-05-31	PRIJEM	\N	320	80612	UROK	\N	\N
3588904	1779	1996-06-30	PRIJEM	\N	367	83589	UROK	\N	\N
3588905	1779	1996-07-31	PRIJEM	\N	302	63587	UROK	\N	\N
3588906	1779	1996-08-31	PRIJEM	\N	313	64996	UROK	\N	\N
3588907	1779	1996-09-30	PRIJEM	\N	318	64410	UROK	\N	\N
3588908	1779	1996-10-31	PRIJEM	\N	316	69223	UROK	\N	\N
3588909	1779	1996-11-30	PRIJEM	\N	330	69750	UROK	\N	\N
3588910	1779	1996-12-31	PRIJEM	\N	359	77918	UROK	\N	\N
3588911	1779	1997-01-31	PRIJEM	\N	336	68850	UROK	\N	\N
3588912	1779	1997-02-28	PRIJEM	\N	329	71275	UROK	\N	\N
3588913	1779	1997-03-31	PRIJEM	\N	330	71402	UROK	\N	\N
3588914	1779	1997-04-30	PRIJEM	\N	340	73938	UROK	\N	\N
3588915	1779	1997-05-31	PRIJEM	\N	347	73981	UROK	\N	\N
3588916	1779	1997-06-30	PRIJEM	\N	336	66226	UROK	\N	\N
3588917	1779	1997-07-31	PRIJEM	\N	318	73241	UROK	\N	\N
3588918	1779	1997-08-31	PRIJEM	\N	328	71565	UROK	\N	\N
3588919	1779	1997-09-30	PRIJEM	\N	335	76797	UROK	\N	\N
3588920	1779	1997-10-31	PRIJEM	\N	355	81048	UROK	\N	\N
3588921	1779	1997-11-30	PRIJEM	\N	372	85816	UROK	\N	\N
3588922	1779	1997-12-31	PRIJEM	\N	378	87003	UROK	\N	\N
3588923	1779	1998-01-31	PRIJEM	\N	366	83865	UROK	\N	\N
3588924	1779	1998-02-28	PRIJEM	\N	383	90445	UROK	\N	\N
3588925	1779	1998-03-31	PRIJEM	\N	272	66813	UROK	\N	\N
3588926	1779	1998-04-30	PRIJEM	\N	326	83936	UROK	\N	\N
3588927	1779	1998-05-31	PRIJEM	\N	391	96223	UROK	\N	\N
3588928	1779	1998-06-30	PRIJEM	\N	395	90227	UROK	\N	\N
3588929	1779	1998-07-31	PRIJEM	\N	400	95123	UROK	\N	\N
3588930	1779	1998-08-31	PRIJEM	\N	419	98739	UROK	\N	\N
3588931	1779	1998-09-30	PRIJEM	\N	397	94732	UROK	\N	\N
3588932	1779	1998-10-31	PRIJEM	\N	346	82375	UROK	\N	\N
3588933	1779	1998-11-30	PRIJEM	\N	372	90444	UROK	\N	\N
3588934	1779	1998-12-31	PRIJEM	\N	333	78686	UROK	\N	\N
3588935	1780	1993-04-30	PRIJEM	\N	94	25993	UROK	\N	\N
3588936	1780	1993-05-31	PRIJEM	\N	198	50990	UROK	\N	\N
3588937	1780	1993-06-30	PRIJEM	\N	297	74685	UROK	\N	\N
3588938	1780	1993-07-31	PRIJEM	\N	315	76999	UROK	\N	\N
3588939	1780	1993-08-31	PRIJEM	\N	275	49643	UROK	\N	\N
3588940	1780	1993-09-30	PRIJEM	\N	265	45564	UROK	\N	\N
3588941	1780	1993-10-31	PRIJEM	\N	247	44666	UROK	\N	\N
3588942	1780	1993-11-30	PRIJEM	\N	243	45365	UROK	\N	\N
3588943	1780	1993-12-31	PRIJEM	\N	281	49880	UROK	\N	\N
3588944	1780	1994-01-31	PRIJEM	\N	231	39547	UROK	\N	\N
3588945	1780	1994-02-28	PRIJEM	\N	222	45424	UROK	\N	\N
3588946	1780	1994-03-31	PRIJEM	\N	244	45224	UROK	\N	\N
3588947	1780	1994-04-30	PRIJEM	\N	243	46923	UROK	\N	\N
3588948	1780	1994-05-31	PRIJEM	\N	247	46525	UROK	\N	\N
3588949	1780	1994-06-30	PRIJEM	\N	249	43809	UROK	\N	\N
3588950	1780	1994-07-31	PRIJEM	\N	234	46198	UROK	\N	\N
3588951	1780	1994-08-31	PRIJEM	\N	237	48990	UROK	\N	\N
3588952	1780	1994-09-30	PRIJEM	\N	252	51597	UROK	\N	\N
3588953	1780	1994-10-31	PRIJEM	\N	260	52713	UROK	\N	\N
3588954	1780	1994-11-30	PRIJEM	\N	263	52931	UROK	\N	\N
3588955	1780	1994-12-31	PRIJEM	\N	289	57234	UROK	\N	\N
3588956	1780	1995-01-31	PRIJEM	\N	226	35855	UROK	\N	\N
3588957	1780	1995-02-28	PRIJEM	\N	196	42726	UROK	\N	\N
3588958	1780	1995-03-31	PRIJEM	\N	230	51811	UROK	\N	\N
3588959	1780	1995-04-30	PRIJEM	\N	251	49957	UROK	\N	\N
3588960	1780	1995-05-31	PRIJEM	\N	246	50659	UROK	\N	\N
3588961	1780	1995-06-30	PRIJEM	\N	192	42545	UROK	\N	\N
3588962	1780	1995-07-31	PRIJEM	\N	223	49423	UROK	\N	\N
3588963	1780	1995-08-31	PRIJEM	\N	248	55426	UROK	\N	\N
3588964	1780	1995-09-30	PRIJEM	\N	267	58448	UROK	\N	\N
3588965	1780	1995-10-31	PRIJEM	\N	266	53929	UROK	\N	\N
3588966	1780	1995-11-30	PRIJEM	\N	259	55424	UROK	\N	\N
3588967	1780	1995-12-31	PRIJEM	\N	290	63368	UROK	\N	\N
3588968	1780	1996-01-31	PRIJEM	\N	256	52319	UROK	\N	\N
3588969	1780	1996-02-29	PRIJEM	\N	252	57826	UROK	\N	\N
3588970	1780	1996-03-31	PRIJEM	\N	277	64159	UROK	\N	\N
3588971	1780	1996-04-30	PRIJEM	\N	291	63905	UROK	\N	\N
3588972	1780	1996-05-31	PRIJEM	\N	296	68257	UROK	\N	\N
3588973	1780	1996-06-30	PRIJEM	\N	288	43079	UROK	\N	\N
3588974	1780	1996-07-31	PRIJEM	\N	232	58466	UROK	\N	\N
3588975	1780	1996-08-31	PRIJEM	\N	274	64695	UROK	\N	\N
3588976	1780	1996-09-30	PRIJEM	\N	285	65676	UROK	\N	\N
3588977	1780	1996-10-31	PRIJEM	\N	302	72233	UROK	\N	\N
3588978	1780	1996-11-30	PRIJEM	\N	312	73001	UROK	\N	\N
3588979	1780	1996-12-31	PRIJEM	\N	355	79810	UROK	\N	\N
3588980	1780	1997-01-31	PRIJEM	\N	305	59590	UROK	\N	\N
3588981	1780	1997-02-28	PRIJEM	\N	292	73537	UROK	\N	\N
3588982	1780	1997-03-31	PRIJEM	\N	323	77015	UROK	\N	\N
3588983	1780	1997-04-30	PRIJEM	\N	331	76261	UROK	\N	\N
3588984	1780	1997-05-31	PRIJEM	\N	338	81554	UROK	\N	\N
3588985	1780	1997-06-30	PRIJEM	\N	237	50525	UROK	\N	\N
3588986	1780	1997-07-31	PRIJEM	\N	272	70952	UROK	\N	\N
3588987	1780	1997-08-31	PRIJEM	\N	333	83240	UROK	\N	\N
3588988	1780	1997-09-30	PRIJEM	\N	364	88060	UROK	\N	\N
3588989	1780	1997-10-31	PRIJEM	\N	387	93502	UROK	\N	\N
3588990	1780	1997-11-30	PRIJEM	\N	394	96952	UROK	\N	\N
3588991	1780	1997-12-31	PRIJEM	\N	365	78411	UROK	\N	\N
3588992	1780	1998-01-31	PRIJEM	\N	300	67967	UROK	\N	\N
3588993	1780	1998-02-28	PRIJEM	\N	317	78639	UROK	\N	\N
3588994	1780	1998-03-31	PRIJEM	\N	350	84645	UROK	\N	\N
3588995	1780	1998-04-30	PRIJEM	\N	379	94479	UROK	\N	\N
3588996	1780	1998-05-31	PRIJEM	\N	391	95926	UROK	\N	\N
3588997	1780	1998-06-30	PRIJEM	\N	340	75500	UROK	\N	\N
3588998	1780	1998-07-31	PRIJEM	\N	356	88411	UROK	\N	\N
3588999	1780	1998-08-31	PRIJEM	\N	434	106200	UROK	\N	\N
3589000	1780	1998-09-30	PRIJEM	\N	380	88836	UROK	\N	\N
3589001	1780	1998-10-31	PRIJEM	\N	450	112941	UROK	\N	\N
3589002	1780	1998-11-30	PRIJEM	\N	336	78032	UROK	\N	\N
3589003	1780	1998-12-31	PRIJEM	\N	393	96580	UROK	\N	\N
3589004	1782	1993-10-31	PRIJEM	\N	88	29767	UROK	\N	\N
3589005	1782	1993-11-30	PRIJEM	\N	120	28663	UROK	\N	\N
3589006	1782	1993-12-31	PRIJEM	\N	114	27374	UROK	\N	\N
3589007	1782	1994-01-31	PRIJEM	\N	100	21451	UROK	\N	\N
3589008	1782	1994-02-28	PRIJEM	\N	98	24845	UROK	\N	\N
3589009	1782	1994-03-31	PRIJEM	\N	103	23365	UROK	\N	\N
3589010	1782	1994-04-30	PRIJEM	\N	107	26768	UROK	\N	\N
3589011	1782	1994-05-31	PRIJEM	\N	117	28521	UROK	\N	\N
3589012	1782	1994-06-30	PRIJEM	\N	118	20435	UROK	\N	\N
3589013	1782	1994-07-31	PRIJEM	\N	94	23826	UROK	\N	\N
3589014	1782	1994-08-31	PRIJEM	\N	109	27230	UROK	\N	\N
3589015	1782	1994-09-30	PRIJEM	\N	116	28043	UROK	\N	\N
3589016	1782	1994-10-31	PRIJEM	\N	121	29560	UROK	\N	\N
3589017	1782	1994-11-30	PRIJEM	\N	123	29580	UROK	\N	\N
3589018	1782	1994-12-31	PRIJEM	\N	107	24443	UROK	\N	\N
3589019	1782	1995-01-31	PRIJEM	\N	89	18229	UROK	\N	\N
3589020	1782	1995-02-28	PRIJEM	\N	74	17679	UROK	\N	\N
3589021	1782	1995-03-31	PRIJEM	\N	83	21058	UROK	\N	\N
3589022	1782	1995-04-30	PRIJEM	\N	97	24451	UROK	\N	\N
3589023	1782	1995-05-31	PRIJEM	\N	109	26737	UROK	\N	\N
3589024	1782	1995-06-30	PRIJEM	\N	116	28450	UROK	\N	\N
3589025	1782	1995-07-31	PRIJEM	\N	118	28184	UROK	\N	\N
3589026	1782	1995-08-31	PRIJEM	\N	126	31107	UROK	\N	\N
3589027	1782	1995-09-30	PRIJEM	\N	138	34541	UROK	\N	\N
3589028	1782	1995-10-31	PRIJEM	\N	147	33265	UROK	\N	\N
3589029	1782	1995-11-30	PRIJEM	\N	147	36708	UROK	\N	\N
3589030	1782	1995-12-31	PRIJEM	\N	148	34662	UROK	\N	\N
3589031	1782	1996-01-31	PRIJEM	\N	134	28573	UROK	\N	\N
3589032	1782	1996-02-29	PRIJEM	\N	127	31996	UROK	\N	\N
3589033	1782	1996-03-31	PRIJEM	\N	142	35435	UROK	\N	\N
3589034	1782	1996-04-30	PRIJEM	\N	155	36606	UROK	\N	\N
3589035	1782	1996-05-31	PRIJEM	\N	157	38299	UROK	\N	\N
3589036	1782	1996-06-30	PRIJEM	\N	162	36007	UROK	\N	\N
3589037	1782	1996-07-31	PRIJEM	\N	156	38340	UROK	\N	\N
3589038	1782	1996-08-31	PRIJEM	\N	168	41804	UROK	\N	\N
3589039	1782	1996-09-30	PRIJEM	\N	179	43520	UROK	\N	\N
3589040	1782	1996-10-31	PRIJEM	\N	190	47006	UROK	\N	\N
3589041	1782	1996-11-30	PRIJEM	\N	186	44408	UROK	\N	\N
3589042	1782	1996-12-31	PRIJEM	\N	177	43602	UROK	\N	\N
3589043	1782	1997-01-31	PRIJEM	\N	179	39637	UROK	\N	\N
3589044	1782	1997-02-28	PRIJEM	\N	169	41342	UROK	\N	\N
3589045	1782	1997-03-31	PRIJEM	\N	172	41770	UROK	\N	\N
3589046	1782	1997-04-30	PRIJEM	\N	180	42607	UROK	\N	\N
3589047	1782	1997-05-31	PRIJEM	\N	185	46089	UROK	\N	\N
3589048	1782	1997-06-30	PRIJEM	\N	189	45825	UROK	\N	\N
3589049	1782	1997-07-31	PRIJEM	\N	193	46593	UROK	\N	\N
3589050	1782	1997-08-31	PRIJEM	\N	201	50091	UROK	\N	\N
3589051	1782	1997-09-30	PRIJEM	\N	216	53603	UROK	\N	\N
3589052	1782	1997-10-31	PRIJEM	\N	230	57130	UROK	\N	\N
3589053	1782	1997-11-30	PRIJEM	\N	245	60671	UROK	\N	\N
3589054	1782	1997-12-31	PRIJEM	\N	259	63776	UROK	\N	\N
3589055	1782	1998-01-31	PRIJEM	\N	262	61975	UROK	\N	\N
3589056	1782	1998-02-28	PRIJEM	\N	264	65535	UROK	\N	\N
3589057	1782	1998-03-31	PRIJEM	\N	280	69111	UROK	\N	\N
3589058	1782	1998-04-30	PRIJEM	\N	284	68932	UROK	\N	\N
3589059	1782	1998-05-31	PRIJEM	\N	293	71401	UROK	\N	\N
3589060	1782	1998-06-30	PRIJEM	\N	288	67145	UROK	\N	\N
3589061	1782	1998-07-31	PRIJEM	\N	286	70727	UROK	\N	\N
3589062	1782	1998-08-31	PRIJEM	\N	296	73119	UROK	\N	\N
3589063	1782	1998-09-30	PRIJEM	\N	310	76726	UROK	\N	\N
3589064	1782	1998-10-31	PRIJEM	\N	325	80348	UROK	\N	\N
3589065	1782	1998-11-30	PRIJEM	\N	335	82179	UROK	\N	\N
3589066	1782	1998-12-31	PRIJEM	\N	333	81239	UROK	\N	\N
3589067	1783	1997-10-31	PRIJEM	\N	42	14747	UROK	\N	\N
3589068	1783	1997-11-30	PRIJEM	\N	91	25143	UROK	\N	\N
3589069	1783	1997-12-31	PRIJEM	\N	123	31373	UROK	\N	\N
3589070	1783	1998-01-31	PRIJEM	\N	125	29603	UROK	\N	\N
3589071	1783	1998-02-28	PRIJEM	\N	106	22471	UROK	\N	\N
3589072	1783	1998-03-31	PRIJEM	\N	79	17237	UROK	\N	\N
3589073	1783	1998-04-30	PRIJEM	\N	81	18965	UROK	\N	\N
3589074	1783	1998-05-31	PRIJEM	\N	88	20261	UROK	\N	\N
3589075	1783	1998-06-30	PRIJEM	\N	89	19959	UROK	\N	\N
3589076	1783	1998-07-31	PRIJEM	\N	93	22339	UROK	\N	\N
3589077	1783	1998-08-31	PRIJEM	\N	97	22523	UROK	\N	\N
3589078	1783	1998-09-30	PRIJEM	\N	102	23212	UROK	\N	\N
3589079	1783	1998-10-31	PRIJEM	\N	106	24406	UROK	\N	\N
3589080	1783	1998-11-30	PRIJEM	\N	124	28877	UROK	\N	\N
3589081	1783	1998-12-31	PRIJEM	\N	168	40295	UROK	\N	\N
3589082	1784	1993-05-31	PRIJEM	\N	17	7103	UROK	\N	\N
3589083	1784	1993-06-30	PRIJEM	\N	30	13819	UROK	\N	\N
3589084	1784	1993-07-31	PRIJEM	\N	30	20534	UROK	\N	\N
3589085	1784	1993-08-31	PRIJEM	\N	76	26497	UROK	\N	\N
3589086	1784	1993-09-30	PRIJEM	\N	124	31046	UROK	\N	\N
3589087	1784	1993-10-31	PRIJEM	\N	127	30760	UROK	\N	\N
3589088	1784	1993-11-30	PRIJEM	\N	132	32778	UROK	\N	\N
3589089	1784	1993-12-31	PRIJEM	\N	134	32399	UROK	\N	\N
3589090	1784	1994-01-31	PRIJEM	\N	83	15068	UROK	\N	\N
3589091	1784	1994-02-28	PRIJEM	\N	73	18507	UROK	\N	\N
3589092	1784	1994-03-31	PRIJEM	\N	89	23482	UROK	\N	\N
3589093	1784	1994-04-30	PRIJEM	\N	109	28478	UROK	\N	\N
3589094	1784	1994-05-31	PRIJEM	\N	124	31088	UROK	\N	\N
3589095	1784	1994-06-30	PRIJEM	\N	107	21562	UROK	\N	\N
3589096	1784	1994-07-31	PRIJEM	\N	102	26550	UROK	\N	\N
3589097	1784	1994-08-31	PRIJEM	\N	120	31056	UROK	\N	\N
3589098	1784	1994-09-30	PRIJEM	\N	129	33171	UROK	\N	\N
3589099	1784	1994-10-31	PRIJEM	\N	138	28896	UROK	\N	\N
3589100	1784	1994-11-30	PRIJEM	\N	131	29613	UROK	\N	\N
3589101	1784	1994-12-31	PRIJEM	\N	133	31492	UROK	\N	\N
3589102	1784	1995-01-31	PRIJEM	\N	96	21464	UROK	\N	\N
3589103	1784	1995-02-28	PRIJEM	\N	100	26451	UROK	\N	\N
3589104	1784	1995-03-31	PRIJEM	\N	113	27530	UROK	\N	\N
3589105	1784	1995-04-30	PRIJEM	\N	125	31142	UROK	\N	\N
3589106	1784	1995-05-31	PRIJEM	\N	138	29866	UROK	\N	\N
3589107	1784	1995-06-30	PRIJEM	\N	119	28422	UROK	\N	\N
3589108	1784	1995-07-31	PRIJEM	\N	129	32437	UROK	\N	\N
3589109	1784	1995-08-31	PRIJEM	\N	141	31065	UROK	\N	\N
3589110	1784	1995-09-30	PRIJEM	\N	134	28285	UROK	\N	\N
3589111	1784	1995-10-31	PRIJEM	\N	124	27495	UROK	\N	\N
3589112	1784	1995-11-30	PRIJEM	\N	122	29303	UROK	\N	\N
3589113	1784	1995-12-31	PRIJEM	\N	129	30519	UROK	\N	\N
3589114	1784	1996-01-31	PRIJEM	\N	110	18405	UROK	\N	\N
3589115	1784	1996-02-29	PRIJEM	\N	87	23378	UROK	\N	\N
3589116	1784	1996-03-31	PRIJEM	\N	104	26769	UROK	\N	\N
3589117	1784	1996-04-30	PRIJEM	\N	114	24969	UROK	\N	\N
3589118	1784	1996-05-31	PRIJEM	\N	107	24362	UROK	\N	\N
3589119	1784	1996-06-30	PRIJEM	\N	98	22547	UROK	\N	\N
3589120	1784	1996-07-31	PRIJEM	\N	94	19767	UROK	\N	\N
3589121	1784	1996-08-31	PRIJEM	\N	88	21741	UROK	\N	\N
3589122	1784	1996-09-30	PRIJEM	\N	86	17754	UROK	\N	\N
3589123	1784	1996-10-31	PRIJEM	\N	78	17597	UROK	\N	\N
3589124	1784	1996-11-30	PRIJEM	\N	68	14252	UROK	\N	\N
3589125	1784	1996-12-31	PRIJEM	\N	69	17128	UROK	\N	\N
3589126	1784	1997-01-31	PRIJEM	\N	61	13195	UROK	\N	\N
3589127	1784	1997-02-28	PRIJEM	\N	57	14339	UROK	\N	\N
3589128	1784	1997-03-31	PRIJEM	\N	70	19295	UROK	\N	\N
3589129	1784	1997-04-30	PRIJEM	\N	82	20983	UROK	\N	\N
3589130	1784	1997-05-31	PRIJEM	\N	76	15345	UROK	\N	\N
3589131	1784	1997-06-30	PRIJEM	\N	73	20305	UROK	\N	\N
3589132	1784	1997-07-31	PRIJEM	\N	75	16467	UROK	\N	\N
3589133	1784	1997-08-31	PRIJEM	\N	78	21431	UROK	\N	\N
3589134	1784	1997-09-30	PRIJEM	\N	74	15892	UROK	\N	\N
3589135	1784	1997-10-31	PRIJEM	\N	76	20854	UROK	\N	\N
3589136	1784	1997-11-30	PRIJEM	\N	96	25836	UROK	\N	\N
3589137	1784	1997-12-31	PRIJEM	\N	110	28112	UROK	\N	\N
3589138	1784	1998-01-31	PRIJEM	\N	105	22424	UROK	\N	\N
3589139	1784	1998-02-28	PRIJEM	\N	102	27412	UROK	\N	\N
3589140	1784	1998-03-31	PRIJEM	\N	123	32422	UROK	\N	\N
3589141	1784	1998-04-30	PRIJEM	\N	143	36331	UROK	\N	\N
3589142	1784	1998-05-31	PRIJEM	\N	160	41378	UROK	\N	\N
3589143	1784	1998-06-30	PRIJEM	\N	149	36103	UROK	\N	\N
3589144	1784	1998-07-31	PRIJEM	\N	151	38101	UROK	\N	\N
3589145	1784	1998-08-31	PRIJEM	\N	167	43155	UROK	\N	\N
3589146	1784	1998-09-30	PRIJEM	\N	118	20159	UROK	\N	\N
3589147	1784	1998-10-31	PRIJEM	\N	92	25138	UROK	\N	\N
3589148	1784	1998-11-30	PRIJEM	\N	113	30137	UROK	\N	\N
3589149	1784	1998-12-31	PRIJEM	\N	133	32036	UROK	\N	\N
3589150	1785	1997-02-28	PRIJEM	\N	21	20389	UROK	\N	\N
3589151	1785	1997-03-31	PRIJEM	\N	88	23269	UROK	\N	\N
3589152	1785	1997-04-30	PRIJEM	\N	104	25828	UROK	\N	\N
3589153	1785	1997-05-31	PRIJEM	\N	110	24994	UROK	\N	\N
3589154	1785	1997-06-30	PRIJEM	\N	88	18937	UROK	\N	\N
3589155	1785	1997-07-31	PRIJEM	\N	84	20576	UROK	\N	\N
3589156	1785	1997-08-31	PRIJEM	\N	91	22523	UROK	\N	\N
3589157	1785	1997-09-30	PRIJEM	\N	96	22375	UROK	\N	\N
3589158	1785	1997-10-31	PRIJEM	\N	96	24346	UROK	\N	\N
3589159	1785	1997-11-30	PRIJEM	\N	105	25106	UROK	\N	\N
3589160	1785	1997-12-31	PRIJEM	\N	107	26419	UROK	\N	\N
3589161	1785	1998-01-31	PRIJEM	\N	87	16512	UROK	\N	\N
3589162	1785	1998-02-28	PRIJEM	\N	76	19743	UROK	\N	\N
3589163	1785	1998-03-31	PRIJEM	\N	90	22988	UROK	\N	\N
3589164	1785	1998-04-30	PRIJEM	\N	99	23942	UROK	\N	\N
3589165	1785	1998-05-31	PRIJEM	\N	95	23513	UROK	\N	\N
3589166	1785	1998-06-30	PRIJEM	\N	98	21966	UROK	\N	\N
3589167	1785	1998-07-31	PRIJEM	\N	99	25221	UROK	\N	\N
3589168	1785	1998-08-31	PRIJEM	\N	106	25762	UROK	\N	\N
3589169	1785	1998-09-30	PRIJEM	\N	115	29032	UROK	\N	\N
3589170	1785	1998-10-31	PRIJEM	\N	128	32316	UROK	\N	\N
3589171	1785	1998-11-30	PRIJEM	\N	142	35613	UROK	\N	\N
3589172	1785	1998-12-31	PRIJEM	\N	153	38171	UROK	\N	\N
3589173	1786	1993-06-30	PRIJEM	\N	23	24134	UROK	\N	\N
3589174	1786	1993-07-31	PRIJEM	\N	113	35521	UROK	\N	\N
3589175	1786	1993-08-31	PRIJEM	\N	152	38947	UROK	\N	\N
3589176	1786	1993-09-30	PRIJEM	\N	161	38582	UROK	\N	\N
3589177	1786	1993-10-31	PRIJEM	\N	165	42421	UROK	\N	\N
3589178	1786	1993-11-30	PRIJEM	\N	183	37245	UROK	\N	\N
3589179	1786	1993-12-31	PRIJEM	\N	169	37373	UROK	\N	\N
3589180	1786	1994-01-31	PRIJEM	\N	144	27098	UROK	\N	\N
3589181	1786	1994-02-28	PRIJEM	\N	129	28968	UROK	\N	\N
3589182	1786	1994-03-31	PRIJEM	\N	137	30447	UROK	\N	\N
3589183	1786	1994-04-30	PRIJEM	\N	139	27347	UROK	\N	\N
3589184	1786	1994-05-31	PRIJEM	\N	133	31222	UROK	\N	\N
3589185	1786	1994-06-30	PRIJEM	\N	168	39369	UROK	\N	\N
3589186	1786	1994-07-31	PRIJEM	\N	170	36180	UROK	\N	\N
3589187	1786	1994-08-31	PRIJEM	\N	159	34880	UROK	\N	\N
3589188	1786	1994-09-30	PRIJEM	\N	154	34576	UROK	\N	\N
3589189	1786	1994-10-31	PRIJEM	\N	153	34671	UROK	\N	\N
3589190	1786	1994-11-30	PRIJEM	\N	152	30764	UROK	\N	\N
3589191	1786	1994-12-31	PRIJEM	\N	161	39903	UROK	\N	\N
3589192	1786	1995-01-31	PRIJEM	\N	127	16331	UROK	\N	\N
3589193	1786	1995-02-28	PRIJEM	\N	95	25768	UROK	\N	\N
3589194	1786	1995-03-31	PRIJEM	\N	130	32839	UROK	\N	\N
3589195	1786	1995-04-30	PRIJEM	\N	154	37735	UROK	\N	\N
3589196	1786	1995-05-31	PRIJEM	\N	165	38542	UROK	\N	\N
3589197	1786	1995-06-30	PRIJEM	\N	176	39177	UROK	\N	\N
3589198	1786	1995-07-31	PRIJEM	\N	175	41893	UROK	\N	\N
3589199	1786	1995-08-31	PRIJEM	\N	171	38685	UROK	\N	\N
3589200	1786	1995-09-30	PRIJEM	\N	174	42701	UROK	\N	\N
3589201	1786	1995-10-31	PRIJEM	\N	190	46332	UROK	\N	\N
3589202	1786	1995-11-30	PRIJEM	\N	197	47810	UROK	\N	\N
3589203	1786	1995-12-31	PRIJEM	\N	216	50485	UROK	\N	\N
3589204	1786	1996-01-31	PRIJEM	\N	197	42943	UROK	\N	\N
3589205	1786	1996-02-29	PRIJEM	\N	192	47976	UROK	\N	\N
3589206	1786	1996-03-31	PRIJEM	\N	211	51828	UROK	\N	\N
3589207	1786	1996-04-30	PRIJEM	\N	234	50983	UROK	\N	\N
3589208	1786	1996-05-31	PRIJEM	\N	208	50233	UROK	\N	\N
3589209	1786	1996-06-30	PRIJEM	\N	262	60073	UROK	\N	\N
3589210	1786	1996-07-31	PRIJEM	\N	265	63520	UROK	\N	\N
3589211	1786	1996-08-31	PRIJEM	\N	255	62016	UROK	\N	\N
3589212	1786	1996-09-30	PRIJEM	\N	258	63615	UROK	\N	\N
3589213	1786	1996-10-31	PRIJEM	\N	243	59000	UROK	\N	\N
3589214	1786	1996-11-30	PRIJEM	\N	254	63195	UROK	\N	\N
3589215	1786	1996-12-31	PRIJEM	\N	297	73850	UROK	\N	\N
3589216	1786	1997-01-31	PRIJEM	\N	249	45120	UROK	\N	\N
3589217	1786	1997-02-28	PRIJEM	\N	227	59489	UROK	\N	\N
3589218	1786	1997-03-31	PRIJEM	\N	260	65090	UROK	\N	\N
3589219	1786	1997-04-30	PRIJEM	\N	284	71016	UROK	\N	\N
3589220	1786	1997-05-31	PRIJEM	\N	307	76464	UROK	\N	\N
3589221	1786	1997-06-30	PRIJEM	\N	330	40452	UROK	\N	\N
3589222	1786	1997-07-31	PRIJEM	\N	219	58013	UROK	\N	\N
3589223	1786	1997-08-31	PRIJEM	\N	276	70630	UROK	\N	\N
3589224	1786	1997-09-30	PRIJEM	\N	312	78384	UROK	\N	\N
3589225	1786	1997-10-31	PRIJEM	\N	337	84062	UROK	\N	\N
3589226	1786	1997-11-30	PRIJEM	\N	340	85543	UROK	\N	\N
3589227	1786	1997-12-31	PRIJEM	\N	355	77476	UROK	\N	\N
3589228	1786	1998-01-31	PRIJEM	\N	305	61742	UROK	\N	\N
3589229	1786	1998-02-28	PRIJEM	\N	279	71063	UROK	\N	\N
3589230	1786	1998-03-31	PRIJEM	\N	301	69205	UROK	\N	\N
3589231	1786	1998-04-30	PRIJEM	\N	308	66354	UROK	\N	\N
3589232	1786	1998-05-31	PRIJEM	\N	296	67391	UROK	\N	\N
3589233	1786	1998-06-30	PRIJEM	\N	243	56532	UROK	\N	\N
3589234	1786	1998-07-31	PRIJEM	\N	237	62271	UROK	\N	\N
3589235	1786	1998-08-31	PRIJEM	\N	283	73095	UROK	\N	\N
3589236	1786	1998-09-30	PRIJEM	\N	320	73957	UROK	\N	\N
3589237	1786	1998-10-31	PRIJEM	\N	316	69114	UROK	\N	\N
3589238	1786	1998-11-30	PRIJEM	\N	302	70158	UROK	\N	\N
3589239	1786	1998-12-31	PRIJEM	\N	315	79751	UROK	\N	\N
3589240	1789	1997-12-31	PRIJEM	\N	10	72010	UROK	\N	\N
3589241	1789	1998-02-28	PRIJEM	\N	328	68038	UROK	\N	\N
3589242	1789	1998-03-31	PRIJEM	\N	295	65633	UROK	\N	\N
3589243	1789	1998-04-30	PRIJEM	\N	264	63597	UROK	\N	\N
3589244	1789	1998-05-31	PRIJEM	\N	264	57661	UROK	\N	\N
3589245	1789	1998-06-30	PRIJEM	\N	264	58225	UROK	\N	\N
3589246	1789	1998-07-31	PRIJEM	\N	264	59588	UROK	\N	\N
3589247	1789	1998-08-31	PRIJEM	\N	264	56352	UROK	\N	\N
3589248	1789	1998-09-30	PRIJEM	\N	264	57116	UROK	\N	\N
3589249	1789	1998-10-31	PRIJEM	\N	264	58480	UROK	\N	\N
3589250	1789	1998-11-30	PRIJEM	\N	264	53644	UROK	\N	\N
3589251	1790	1997-09-30	PRIJEM	\N	37	12032	UROK	\N	\N
3589252	1790	1997-10-31	PRIJEM	\N	108	30734	UROK	\N	\N
3589253	1790	1997-11-30	PRIJEM	\N	164	42693	UROK	\N	\N
3589254	1790	1997-12-31	PRIJEM	\N	212	53998	UROK	\N	\N
3589255	1790	1998-01-31	PRIJEM	\N	200	41161	UROK	\N	\N
3589256	1790	1998-02-28	PRIJEM	\N	180	43590	UROK	\N	\N
3589257	1790	1998-03-31	PRIJEM	\N	186	44625	UROK	\N	\N
3589258	1790	1998-04-30	PRIJEM	\N	180	41455	UROK	\N	\N
3589259	1790	1998-05-31	PRIJEM	\N	164	38268	UROK	\N	\N
3589260	1790	1998-06-30	PRIJEM	\N	182	43116	UROK	\N	\N
3589261	1790	1998-07-31	PRIJEM	\N	177	40922	UROK	\N	\N
3589262	1790	1998-08-31	PRIJEM	\N	156	38248	UROK	\N	\N
3589263	1790	1998-09-30	PRIJEM	\N	170	41467	UROK	\N	\N
3589264	1790	1998-10-31	PRIJEM	\N	189	46505	UROK	\N	\N
3589265	1790	1998-11-30	PRIJEM	\N	199	48054	UROK	\N	\N
3589266	1790	1998-12-31	PRIJEM	\N	204	51365	UROK	\N	\N
3589267	1791	1996-02-29	PRIJEM	\N	44	13393	UROK	\N	\N
3589268	1791	1996-03-31	PRIJEM	\N	120	32662	UROK	\N	\N
3589269	1791	1996-04-30	PRIJEM	\N	161	40172	UROK	\N	\N
3589270	1791	1996-05-31	PRIJEM	\N	185	45505	UROK	\N	\N
3589271	1791	1996-06-30	PRIJEM	\N	196	45719	UROK	\N	\N
3589272	1791	1996-07-31	PRIJEM	\N	149	33527	UROK	\N	\N
3589273	1791	1996-08-31	PRIJEM	\N	157	37062	UROK	\N	\N
3589274	1791	1996-09-30	PRIJEM	\N	155	40196	UROK	\N	\N
3589275	1791	1996-10-31	PRIJEM	\N	157	37431	UROK	\N	\N
3589276	1791	1996-11-30	PRIJEM	\N	169	40378	UROK	\N	\N
3589277	1791	1996-12-31	PRIJEM	\N	182	39623	UROK	\N	\N
3589278	1791	1997-01-31	PRIJEM	\N	160	33001	UROK	\N	\N
3589279	1791	1997-02-28	PRIJEM	\N	151	38631	UROK	\N	\N
3589280	1791	1997-03-31	PRIJEM	\N	174	41583	UROK	\N	\N
3589281	1791	1997-04-30	PRIJEM	\N	185	42247	UROK	\N	\N
3589282	1791	1997-05-31	PRIJEM	\N	184	38769	UROK	\N	\N
3589283	1791	1997-06-30	PRIJEM	\N	175	40407	UROK	\N	\N
3589284	1791	1997-07-31	PRIJEM	\N	180	42705	UROK	\N	\N
3589285	1791	1997-08-31	PRIJEM	\N	186	40869	UROK	\N	\N
3589286	1791	1997-09-30	PRIJEM	\N	178	40026	UROK	\N	\N
3589287	1791	1997-10-31	PRIJEM	\N	179	43683	UROK	\N	\N
3589288	1791	1997-11-30	PRIJEM	\N	190	43951	UROK	\N	\N
3589289	1791	1997-12-31	PRIJEM	\N	206	49040	UROK	\N	\N
3589290	1791	1998-01-31	PRIJEM	\N	203	34181	UROK	\N	\N
3589291	1791	1998-02-28	PRIJEM	\N	156	41515	UROK	\N	\N
3589292	1791	1998-03-31	PRIJEM	\N	175	39229	UROK	\N	\N
3589293	1791	1998-04-30	PRIJEM	\N	171	36779	UROK	\N	\N
3589294	1791	1998-05-31	PRIJEM	\N	159	36015	UROK	\N	\N
3589295	1791	1998-06-30	PRIJEM	\N	169	40687	UROK	\N	\N
3589296	1791	1998-07-31	PRIJEM	\N	169	34374	UROK	\N	\N
3589297	1791	1998-08-31	PRIJEM	\N	149	35602	UROK	\N	\N
3589298	1791	1998-09-30	PRIJEM	\N	154	32534	UROK	\N	\N
3589299	1791	1998-10-31	PRIJEM	\N	127	25440	UROK	\N	\N
3589300	1791	1998-11-30	PRIJEM	\N	104	22723	UROK	\N	\N
3589301	1791	1998-12-31	PRIJEM	\N	109	24275	UROK	\N	\N
3589302	1792	1994-04-30	PRIJEM	\N	51	22955	UROK	\N	\N
3589303	1792	1994-05-31	PRIJEM	\N	106	26299	UROK	\N	\N
3589304	1792	1994-06-30	PRIJEM	\N	97	13571	UROK	\N	\N
3589305	1792	1994-07-31	PRIJEM	\N	68	18064	UROK	\N	\N
3589306	1792	1994-08-31	PRIJEM	\N	92	22579	UROK	\N	\N
3589307	1792	1994-09-30	PRIJEM	\N	107	26231	UROK	\N	\N
3589308	1792	1994-10-31	PRIJEM	\N	114	27969	UROK	\N	\N
3589309	1792	1994-11-30	PRIJEM	\N	117	28110	UROK	\N	\N
3589310	1792	1994-12-31	PRIJEM	\N	119	29183	UROK	\N	\N
3589311	1792	1995-01-31	PRIJEM	\N	105	19993	UROK	\N	\N
3589312	1792	1995-02-28	PRIJEM	\N	96	23513	UROK	\N	\N
3589313	1792	1995-03-31	PRIJEM	\N	108	27445	UROK	\N	\N
3589314	1792	1995-04-30	PRIJEM	\N	99	23909	UROK	\N	\N
3589315	1792	1995-05-31	PRIJEM	\N	111	28445	UROK	\N	\N
3589316	1792	1995-06-30	PRIJEM	\N	92	13711	UROK	\N	\N
3589317	1792	1995-07-31	PRIJEM	\N	69	18204	UROK	\N	\N
3589318	1792	1995-08-31	PRIJEM	\N	86	22114	UROK	\N	\N
3589319	1792	1995-09-30	PRIJEM	\N	101	23939	UROK	\N	\N
3589320	1792	1995-10-31	PRIJEM	\N	104	25388	UROK	\N	\N
3589321	1792	1995-11-30	PRIJEM	\N	109	26922	UROK	\N	\N
3589322	1792	1995-12-31	PRIJEM	\N	106	23902	UROK	\N	\N
3589323	1792	1996-01-31	PRIJEM	\N	79	14066	UROK	\N	\N
3589324	1792	1996-02-29	PRIJEM	\N	70	18560	UROK	\N	\N
3589325	1792	1996-03-31	PRIJEM	\N	84	21369	UROK	\N	\N
3589326	1792	1996-04-30	PRIJEM	\N	100	25693	UROK	\N	\N
3589327	1792	1996-05-31	PRIJEM	\N	107	24325	UROK	\N	\N
3589328	1792	1996-06-30	PRIJEM	\N	76	15115	UROK	\N	\N
3589329	1792	1996-07-31	PRIJEM	\N	79	19618	UROK	\N	\N
3589330	1792	1996-08-31	PRIJEM	\N	83	20125	UROK	\N	\N
3589331	1792	1996-09-30	PRIJEM	\N	80	17229	UROK	\N	\N
3589332	1792	1996-10-31	PRIJEM	\N	68	13961	UROK	\N	\N
3589333	1792	1996-11-30	PRIJEM	\N	63	16468	UROK	\N	\N
3589334	1792	1996-12-31	PRIJEM	\N	64	17056	UROK	\N	\N
3589335	1792	1997-01-31	PRIJEM	\N	70	14321	UROK	\N	\N
3589336	1792	1997-02-28	PRIJEM	\N	74	18820	UROK	\N	\N
3589337	1792	1997-03-31	PRIJEM	\N	87	14931	UROK	\N	\N
3589338	1792	1997-04-30	PRIJEM	\N	77	19433	UROK	\N	\N
3589339	1792	1997-05-31	PRIJEM	\N	87	22265	UROK	\N	\N
3589340	1792	1997-06-30	PRIJEM	\N	85	18094	UROK	\N	\N
3589341	1792	1997-07-31	PRIJEM	\N	85	13003	UROK	\N	\N
3589342	1792	1997-08-31	PRIJEM	\N	65	17492	UROK	\N	\N
3589343	1792	1997-09-30	PRIJEM	\N	80	16896	UROK	\N	\N
3589344	1792	1997-10-31	PRIJEM	\N	72	17632	UROK	\N	\N
3589345	1792	1997-11-30	PRIJEM	\N	87	21664	UROK	\N	\N
3589346	1792	1997-12-31	PRIJEM	\N	89	15527	UROK	\N	\N
3589347	1792	1998-01-31	PRIJEM	\N	71	15063	UROK	\N	\N
3589348	1792	1998-02-28	PRIJEM	\N	76	19563	UROK	\N	\N
3589349	1792	1998-03-31	PRIJEM	\N	81	12848	UROK	\N	\N
3589350	1792	1998-04-30	PRIJEM	\N	68	17341	UROK	\N	\N
3589351	1792	1998-05-31	PRIJEM	\N	87	21852	UROK	\N	\N
3589352	1792	1998-06-30	PRIJEM	\N	87	13763	UROK	\N	\N
3589353	1792	1998-07-31	PRIJEM	\N	72	18259	UROK	\N	\N
3589354	1792	1998-08-31	PRIJEM	\N	83	20287	UROK	\N	\N
3589355	1792	1998-09-30	PRIJEM	\N	99	24810	UROK	\N	\N
3589356	1792	1998-10-31	PRIJEM	\N	107	27021	UROK	\N	\N
3589357	1792	1998-11-30	PRIJEM	\N	126	31572	UROK	\N	\N
3589358	1792	1998-12-31	PRIJEM	\N	128	32354	UROK	\N	\N
3589359	1793	1995-06-30	PRIJEM	\N	47	18899	UROK	\N	\N
3589360	1793	1995-07-31	PRIJEM	\N	116	33550	UROK	\N	\N
3589361	1793	1995-08-31	PRIJEM	\N	162	42547	UROK	\N	\N
3589362	1793	1995-09-30	PRIJEM	\N	189	47371	UROK	\N	\N
3589363	1793	1995-10-31	PRIJEM	\N	197	47603	UROK	\N	\N
3589364	1793	1995-11-30	PRIJEM	\N	163	39704	UROK	\N	\N
3589365	1793	1995-12-31	PRIJEM	\N	172	44231	UROK	\N	\N
3589366	1793	1996-01-31	PRIJEM	\N	143	30312	UROK	\N	\N
3589367	1793	1996-02-29	PRIJEM	\N	120	31770	UROK	\N	\N
3589368	1793	1996-03-31	PRIJEM	\N	116	29225	UROK	\N	\N
3589369	1793	1996-04-30	PRIJEM	\N	127	33190	UROK	\N	\N
3589370	1793	1996-05-31	PRIJEM	\N	137	35165	UROK	\N	\N
3589371	1793	1996-06-30	PRIJEM	\N	112	21232	UROK	\N	\N
3589372	1793	1996-07-31	PRIJEM	\N	94	25264	UROK	\N	\N
3589373	1793	1996-08-31	PRIJEM	\N	107	28110	UROK	\N	\N
3589374	1793	1996-09-30	PRIJEM	\N	114	29662	UROK	\N	\N
3589375	1793	1996-10-31	PRIJEM	\N	125	32526	UROK	\N	\N
3589376	1793	1996-11-30	PRIJEM	\N	127	32191	UROK	\N	\N
3589377	1793	1996-12-31	PRIJEM	\N	136	32383	UROK	\N	\N
3589378	1793	1997-01-31	PRIJEM	\N	100	20421	UROK	\N	\N
3589379	1793	1997-02-28	PRIJEM	\N	102	27761	UROK	\N	\N
3589380	1793	1997-03-31	PRIJEM	\N	110	26309	UROK	\N	\N
3589381	1793	1997-04-30	PRIJEM	\N	124	32972	UROK	\N	\N
3589382	1793	1997-05-31	PRIJEM	\N	143	31453	UROK	\N	\N
3589383	1793	1997-06-30	PRIJEM	\N	140	28148	UROK	\N	\N
3589384	1793	1997-07-31	PRIJEM	\N	134	33421	UROK	\N	\N
3589385	1793	1997-08-31	PRIJEM	\N	155	37615	UROK	\N	\N
3589386	1793	1997-09-30	PRIJEM	\N	171	39624	UROK	\N	\N
3589387	1793	1997-10-31	PRIJEM	\N	178	39340	UROK	\N	\N
3589388	1793	1997-11-30	PRIJEM	\N	176	39654	UROK	\N	\N
3589389	1793	1997-12-31	PRIJEM	\N	173	43183	UROK	\N	\N
3589390	1793	1998-01-31	PRIJEM	\N	166	39088	UROK	\N	\N
3589391	1793	1998-02-28	PRIJEM	\N	178	44904	UROK	\N	\N
3589392	1793	1998-03-31	PRIJEM	\N	186	41928	UROK	\N	\N
3589393	1793	1998-04-30	PRIJEM	\N	190	48057	UROK	\N	\N
3589394	1793	1998-05-31	PRIJEM	\N	211	48307	UROK	\N	\N
3589395	1793	1998-06-30	PRIJEM	\N	180	43243	UROK	\N	\N
3589396	1793	1998-07-31	PRIJEM	\N	178	44159	UROK	\N	\N
3589397	1793	1998-08-31	PRIJEM	\N	172	36869	UROK	\N	\N
3589398	1793	1998-09-30	PRIJEM	\N	153	36860	UROK	\N	\N
3589399	1793	1998-10-31	PRIJEM	\N	164	39462	UROK	\N	\N
3589400	1793	1998-11-30	PRIJEM	\N	166	37566	UROK	\N	\N
3589401	1793	1998-12-31	PRIJEM	\N	187	50709	UROK	\N	\N
3589402	1794	1997-08-31	PRIJEM	\N	23	16827	UROK	\N	\N
3589403	1794	1997-09-30	PRIJEM	\N	78	22609	UROK	\N	\N
3589404	1794	1997-10-31	PRIJEM	\N	100	27013	UROK	\N	\N
3589405	1794	1997-11-30	PRIJEM	\N	114	28031	UROK	\N	\N
3589406	1794	1997-12-31	PRIJEM	\N	131	29246	UROK	\N	\N
3589407	1794	1998-01-31	PRIJEM	\N	78	14351	UROK	\N	\N
3589408	1794	1998-02-28	PRIJEM	\N	64	15842	UROK	\N	\N
3589409	1794	1998-03-31	PRIJEM	\N	69	14699	UROK	\N	\N
3589410	1794	1998-04-30	PRIJEM	\N	68	15854	UROK	\N	\N
3589411	1794	1998-05-31	PRIJEM	\N	65	12606	UROK	\N	\N
3589412	1794	1998-06-30	PRIJEM	\N	73	18919	UROK	\N	\N
3589413	1794	1998-07-31	PRIJEM	\N	77	15683	UROK	\N	\N
3589414	1794	1998-08-31	PRIJEM	\N	59	10529	UROK	\N	\N
3589415	1794	1998-09-30	PRIJEM	\N	53	13069	UROK	\N	\N
3589416	1794	1998-10-31	PRIJEM	\N	57	12973	UROK	\N	\N
3589417	1794	1998-11-30	PRIJEM	\N	63	15523	UROK	\N	\N
3589418	1794	1998-12-31	PRIJEM	\N	82	20565	UROK	\N	\N
3589419	1795	1997-09-30	PRIJEM	\N	36	23406	UROK	\N	\N
3589420	1795	1997-10-31	PRIJEM	\N	113	33389	UROK	\N	\N
3589421	1795	1997-11-30	PRIJEM	\N	149	39508	UROK	\N	\N
3589422	1795	1997-12-31	PRIJEM	\N	175	45638	UROK	\N	\N
3589423	1795	1998-01-31	PRIJEM	\N	196	39113	UROK	\N	\N
3589424	1795	1998-02-28	PRIJEM	\N	173	38092	UROK	\N	\N
3589425	1795	1998-03-31	PRIJEM	\N	177	39375	UROK	\N	\N
3589426	1795	1998-04-30	PRIJEM	\N	172	32472	UROK	\N	\N
3589427	1795	1998-05-31	PRIJEM	\N	151	33428	UROK	\N	\N
3589428	1795	1998-06-30	PRIJEM	\N	179	42997	UROK	\N	\N
3589429	1795	1998-07-31	PRIJEM	\N	195	44437	UROK	\N	\N
3589430	1795	1998-08-31	PRIJEM	\N	198	44481	UROK	\N	\N
3589431	1795	1998-09-30	PRIJEM	\N	197	46083	UROK	\N	\N
3589432	1795	1998-10-31	PRIJEM	\N	206	48254	UROK	\N	\N
3589433	1795	1998-11-30	PRIJEM	\N	213	48272	UROK	\N	\N
3589434	1795	1998-12-31	PRIJEM	\N	240	57383	UROK	\N	\N
3589435	1796	1995-11-30	PRIJEM	\N	51	19661	UROK	\N	\N
3589436	1796	1995-12-31	PRIJEM	\N	160	35636	UROK	\N	\N
3589437	1796	1996-01-31	PRIJEM	\N	203	48249	UROK	\N	\N
3589438	1796	1996-02-29	PRIJEM	\N	220	56378	UROK	\N	\N
3589439	1796	1996-03-31	PRIJEM	\N	232	55583	UROK	\N	\N
3589440	1796	1996-04-30	PRIJEM	\N	227	51709	UROK	\N	\N
3589441	1796	1996-05-31	PRIJEM	\N	222	54590	UROK	\N	\N
3589442	1796	1996-06-30	PRIJEM	\N	257	51310	UROK	\N	\N
3589443	1796	1996-07-31	PRIJEM	\N	215	52043	UROK	\N	\N
3589444	1796	1996-08-31	PRIJEM	\N	222	52384	UROK	\N	\N
3589445	1796	1996-09-30	PRIJEM	\N	225	55267	UROK	\N	\N
3589446	1796	1996-10-31	PRIJEM	\N	238	58564	UROK	\N	\N
3589447	1796	1996-11-30	PRIJEM	\N	212	53194	UROK	\N	\N
3589448	1796	1996-12-31	PRIJEM	\N	221	55398	UROK	\N	\N
3589449	1796	1997-01-31	PRIJEM	\N	194	44609	UROK	\N	\N
3589450	1796	1997-02-28	PRIJEM	\N	200	51068	UROK	\N	\N
3589451	1796	1997-03-31	PRIJEM	\N	211	52977	UROK	\N	\N
3589452	1796	1997-04-30	PRIJEM	\N	191	47706	UROK	\N	\N
3589453	1796	1997-05-31	PRIJEM	\N	208	48532	UROK	\N	\N
3589454	1796	1997-06-30	PRIJEM	\N	215	49070	UROK	\N	\N
3589455	1796	1997-07-31	PRIJEM	\N	209	49958	UROK	\N	\N
3589456	1796	1997-08-31	PRIJEM	\N	218	54234	UROK	\N	\N
3589457	1796	1997-09-30	PRIJEM	\N	220	54153	UROK	\N	\N
3589458	1796	1997-10-31	PRIJEM	\N	229	56140	UROK	\N	\N
3589459	1796	1997-11-30	PRIJEM	\N	232	55930	UROK	\N	\N
3589460	1796	1997-12-31	PRIJEM	\N	242	64156	UROK	\N	\N
3589461	1796	1998-01-31	PRIJEM	\N	146	30100	UROK	\N	\N
3589462	1796	1998-02-28	PRIJEM	\N	142	37781	UROK	\N	\N
3589463	1796	1998-03-31	PRIJEM	\N	175	45214	UROK	\N	\N
3589464	1796	1998-04-30	PRIJEM	\N	199	50071	UROK	\N	\N
3589465	1796	1998-05-31	PRIJEM	\N	210	52440	UROK	\N	\N
3589466	1796	1998-06-30	PRIJEM	\N	204	44027	UROK	\N	\N
3589467	1796	1998-07-31	PRIJEM	\N	142	22727	UROK	\N	\N
3589468	1796	1998-08-31	PRIJEM	\N	129	22715	UROK	\N	\N
3589469	1796	1998-09-30	PRIJEM	\N	129	24602	UROK	\N	\N
3589470	1796	1998-10-31	PRIJEM	\N	129	28829	UROK	\N	\N
3589471	1796	1998-11-30	PRIJEM	\N	151	29938	UROK	\N	\N
3589472	1796	1998-12-31	PRIJEM	\N	182	53564	UROK	\N	\N
3589473	1797	1994-08-31	PRIJEM	\N	55	15690	UROK	\N	\N
3589474	1797	1994-09-30	PRIJEM	\N	88	36214	UROK	\N	\N
3589475	1797	1994-10-31	PRIJEM	\N	117	32266	UROK	\N	\N
3589476	1797	1994-11-30	PRIJEM	\N	135	35536	UROK	\N	\N
3589477	1797	1994-12-31	PRIJEM	\N	189	34558	UROK	\N	\N
3589478	1797	1995-01-31	PRIJEM	\N	147	27195	UROK	\N	\N
3589479	1797	1995-02-28	PRIJEM	\N	143	29508	UROK	\N	\N
3589480	1797	1995-03-31	PRIJEM	\N	150	33528	UROK	\N	\N
3589481	1797	1995-04-30	PRIJEM	\N	167	32565	UROK	\N	\N
3589482	1797	1995-05-31	PRIJEM	\N	158	34813	UROK	\N	\N
3589483	1797	1995-06-30	PRIJEM	\N	62	15913	UROK	\N	\N
3589484	1797	1995-07-31	PRIJEM	\N	95	24078	UROK	\N	\N
3589485	1797	1995-08-31	PRIJEM	\N	131	31379	UROK	\N	\N
3589486	1797	1995-09-30	PRIJEM	\N	161	38511	UROK	\N	\N
3589487	1797	1995-10-31	PRIJEM	\N	183	38104	UROK	\N	\N
3589488	1797	1995-11-30	PRIJEM	\N	184	39758	UROK	\N	\N
3589489	1797	1995-12-31	PRIJEM	\N	207	42163	UROK	\N	\N
3589490	1797	1996-01-31	PRIJEM	\N	170	38603	UROK	\N	\N
3589491	1797	1996-02-29	PRIJEM	\N	187	44860	UROK	\N	\N
3589492	1797	1996-03-31	PRIJEM	\N	209	47539	UROK	\N	\N
3589493	1797	1996-04-30	PRIJEM	\N	219	49629	UROK	\N	\N
3589494	1797	1996-05-31	PRIJEM	\N	223	48402	UROK	\N	\N
3589495	1797	1996-06-30	PRIJEM	\N	242	51481	UROK	\N	\N
3589496	1797	1996-07-31	PRIJEM	\N	220	43312	UROK	\N	\N
3589497	1797	1996-08-31	PRIJEM	\N	206	47688	UROK	\N	\N
3589498	1797	1996-09-30	PRIJEM	\N	216	43634	UROK	\N	\N
3589499	1797	1996-10-31	PRIJEM	\N	202	45606	UROK	\N	\N
3589500	1797	1996-11-30	PRIJEM	\N	207	44423	UROK	\N	\N
3589501	1797	1996-12-31	PRIJEM	\N	217	47818	UROK	\N	\N
3589502	1797	1997-01-31	PRIJEM	\N	193	42642	UROK	\N	\N
3589503	1797	1997-02-28	PRIJEM	\N	201	48413	UROK	\N	\N
3589504	1797	1997-03-31	PRIJEM	\N	223	51406	UROK	\N	\N
3589505	1797	1997-04-30	PRIJEM	\N	233	54910	UROK	\N	\N
3589506	1797	1997-05-31	PRIJEM	\N	245	57225	UROK	\N	\N
3589507	1797	1997-06-30	PRIJEM	\N	205	18908	UROK	\N	\N
3589508	1797	1997-07-31	PRIJEM	\N	131	36809	UROK	\N	\N
3589509	1797	1997-08-31	PRIJEM	\N	186	46764	UROK	\N	\N
3589510	1797	1997-09-30	PRIJEM	\N	225	54760	UROK	\N	\N
3589511	1797	1997-10-31	PRIJEM	\N	247	58177	UROK	\N	\N
3589512	1797	1997-11-30	PRIJEM	\N	261	62608	UROK	\N	\N
3589513	1797	1997-12-31	PRIJEM	\N	274	56081	UROK	\N	\N
3589514	1797	1998-01-31	PRIJEM	\N	238	48189	UROK	\N	\N
3589515	1797	1998-02-28	PRIJEM	\N	233	53392	UROK	\N	\N
3589516	1797	1998-03-31	PRIJEM	\N	247	59309	UROK	\N	\N
3589517	1797	1998-04-30	PRIJEM	\N	250	58970	UROK	\N	\N
3589518	1797	1998-05-31	PRIJEM	\N	250	58690	UROK	\N	\N
3589519	1797	1998-06-30	PRIJEM	\N	297	58625	UROK	\N	\N
3589520	1797	1998-07-31	PRIJEM	\N	271	59766	UROK	\N	\N
3589521	1797	1998-08-31	PRIJEM	\N	237	54274	UROK	\N	\N
3589522	1797	1998-09-30	PRIJEM	\N	226	53070	UROK	\N	\N
3589523	1797	1998-10-31	PRIJEM	\N	214	50954	UROK	\N	\N
3589524	1797	1998-11-30	PRIJEM	\N	222	54047	UROK	\N	\N
3589525	1797	1998-12-31	PRIJEM	\N	245	58130	UROK	\N	\N
3589526	1798	1997-12-31	PRIJEM	\N	15	28747	UROK	\N	\N
3589527	1798	1998-01-31	PRIJEM	\N	125	36527	UROK	\N	\N
3589528	1798	1998-02-28	PRIJEM	\N	155	43237	UROK	\N	\N
3589529	1798	1998-03-31	PRIJEM	\N	182	47674	UROK	\N	\N
3589530	1798	1998-04-30	PRIJEM	\N	200	51129	UROK	\N	\N
3589531	1798	1998-05-31	PRIJEM	\N	232	49596	UROK	\N	\N
3589532	1798	1998-06-30	PRIJEM	\N	228	18156	UROK	\N	\N
3589533	1798	1998-07-31	PRIJEM	\N	110	38002	UROK	\N	\N
3589534	1798	1998-08-31	PRIJEM	\N	184	47421	UROK	\N	\N
3589535	1798	1998-09-30	PRIJEM	\N	219	53276	UROK	\N	\N
3589536	1798	1998-10-31	PRIJEM	\N	238	54049	UROK	\N	\N
3589537	1798	1998-11-30	PRIJEM	\N	239	56824	UROK	\N	\N
3589538	1798	1998-12-31	PRIJEM	\N	269	60665	UROK	\N	\N
3589539	1799	1996-09-30	PRIJEM	\N	2	5703	UROK	\N	\N
3589540	1799	1996-10-31	PRIJEM	\N	3	10806	UROK	\N	\N
3589541	1799	1996-11-30	PRIJEM	\N	3	15910	UROK	\N	\N
3589542	1799	1996-12-31	PRIJEM	\N	3	21013	UROK	\N	\N
3589543	1799	1997-01-31	PRIJEM	\N	50	13074	UROK	\N	\N
3589544	1799	1997-02-28	PRIJEM	\N	61	15707	UROK	\N	\N
3589545	1799	1997-03-31	PRIJEM	\N	72	17312	UROK	\N	\N
3589546	1799	1997-04-30	PRIJEM	\N	79	19963	UROK	\N	\N
3589547	1799	1997-05-31	PRIJEM	\N	87	21582	UROK	\N	\N
3589548	1799	1997-06-30	PRIJEM	\N	85	15990	UROK	\N	\N
3589549	1799	1997-07-31	PRIJEM	\N	74	18636	UROK	\N	\N
3589550	1799	1997-08-31	PRIJEM	\N	84	17532	UROK	\N	\N
3589551	1799	1997-09-30	PRIJEM	\N	80	20184	UROK	\N	\N
3589552	1799	1997-10-31	PRIJEM	\N	91	22847	UROK	\N	\N
3589553	1799	1997-11-30	PRIJEM	\N	102	25522	UROK	\N	\N
3589554	1799	1997-12-31	PRIJEM	\N	105	23769	UROK	\N	\N
3589555	1799	1998-01-31	PRIJEM	\N	81	15643	UROK	\N	\N
3589556	1799	1998-02-28	PRIJEM	\N	72	18287	UROK	\N	\N
3589557	1799	1998-03-31	PRIJEM	\N	83	20942	UROK	\N	\N
3589558	1799	1998-04-30	PRIJEM	\N	94	23609	UROK	\N	\N
3589559	1799	1998-05-31	PRIJEM	\N	105	26286	UROK	\N	\N
3589560	1799	1998-06-30	PRIJEM	\N	106	18114	UROK	\N	\N
3589561	1799	1998-07-31	PRIJEM	\N	82	20769	UROK	\N	\N
3589562	1799	1998-08-31	PRIJEM	\N	85	21426	UROK	\N	\N
3589563	1799	1998-09-30	PRIJEM	\N	96	24094	UROK	\N	\N
3589564	1799	1998-10-31	PRIJEM	\N	99	23646	UROK	\N	\N
3589565	1799	1998-11-30	PRIJEM	\N	105	26323	UROK	\N	\N
3589566	1799	1998-12-31	PRIJEM	\N	110	25475	UROK	\N	\N
3589567	1800	1996-04-30	PRIJEM	\N	50	20223	UROK	\N	\N
3589568	1800	1996-05-31	PRIJEM	\N	109	30005	UROK	\N	\N
3589569	1800	1996-06-30	PRIJEM	\N	154	41119	UROK	\N	\N
3589570	1800	1996-07-31	PRIJEM	\N	165	38856	UROK	\N	\N
3589571	1800	1996-08-31	PRIJEM	\N	161	37445	UROK	\N	\N
3589572	1800	1996-09-30	PRIJEM	\N	155	36512	UROK	\N	\N
3589573	1800	1996-10-31	PRIJEM	\N	148	32032	UROK	\N	\N
3589574	1800	1996-11-30	PRIJEM	\N	122	25607	UROK	\N	\N
3589575	1800	1996-12-31	PRIJEM	\N	126	30711	UROK	\N	\N
3589576	1800	1997-01-31	PRIJEM	\N	100	18363	UROK	\N	\N
3589577	1800	1997-02-28	PRIJEM	\N	90	20665	UROK	\N	\N
3589578	1800	1997-03-31	PRIJEM	\N	91	22068	UROK	\N	\N
3589579	1800	1997-04-30	PRIJEM	\N	103	25184	UROK	\N	\N
3589580	1800	1997-05-31	PRIJEM	\N	111	26807	UROK	\N	\N
3589581	1800	1997-06-30	PRIJEM	\N	147	35553	UROK	\N	\N
3589582	1800	1997-07-31	PRIJEM	\N	154	35619	UROK	\N	\N
3589583	1800	1997-08-31	PRIJEM	\N	159	38391	UROK	\N	\N
3589584	1800	1997-09-30	PRIJEM	\N	161	38064	UROK	\N	\N
3589585	1800	1997-10-31	PRIJEM	\N	166	39641	UROK	\N	\N
3589586	1800	1997-11-30	PRIJEM	\N	163	38417	UROK	\N	\N
3589587	1800	1997-12-31	PRIJEM	\N	190	43825	UROK	\N	\N
3589588	1800	1998-01-31	PRIJEM	\N	157	29694	UROK	\N	\N
3589589	1800	1998-02-28	PRIJEM	\N	130	31137	UROK	\N	\N
3589590	1800	1998-03-31	PRIJEM	\N	129	30378	UROK	\N	\N
3589591	1800	1998-04-30	PRIJEM	\N	147	36138	UROK	\N	\N
3589592	1800	1998-05-31	PRIJEM	\N	162	39212	UROK	\N	\N
3589593	1800	1998-06-30	PRIJEM	\N	206	51617	UROK	\N	\N
3589594	1800	1998-07-31	PRIJEM	\N	203	47732	UROK	\N	\N
3589595	1800	1998-08-31	PRIJEM	\N	192	43577	UROK	\N	\N
3589596	1800	1998-09-30	PRIJEM	\N	182	47471	UROK	\N	\N
3589597	1800	1998-10-31	PRIJEM	\N	183	36246	UROK	\N	\N
3589598	1800	1998-11-30	PRIJEM	\N	187	39145	UROK	\N	\N
3589599	1800	1998-12-31	PRIJEM	\N	237	60881	UROK	\N	\N
3589600	1801	1993-02-28	PRIJEM	\N	3	703	UROK	\N	\N
3589601	1801	1993-03-31	PRIJEM	\N	167	68484	UROK	\N	\N
3589602	1801	1993-04-30	PRIJEM	\N	242	77380	UROK	\N	\N
3589603	1801	1993-05-31	PRIJEM	\N	303	56365	UROK	\N	\N
3589604	1801	1993-06-30	PRIJEM	\N	128	27428	UROK	\N	\N
3589605	1801	1993-07-31	PRIJEM	\N	217	58602	UROK	\N	\N
3589606	1801	1993-08-31	PRIJEM	\N	272	72914	UROK	\N	\N
3589607	1801	1993-09-30	PRIJEM	\N	246	46727	UROK	\N	\N
3589608	1801	1993-10-31	PRIJEM	\N	137	22497	UROK	\N	\N
3589609	1801	1993-11-30	PRIJEM	\N	186	62902	UROK	\N	\N
3589610	1801	1993-12-31	PRIJEM	\N	177	42217	UROK	\N	\N
3589611	1801	1994-01-31	PRIJEM	\N	124	31807	UROK	\N	\N
3589612	1801	1994-02-28	PRIJEM	\N	64	9805	UROK	\N	\N
3589613	1801	1994-03-31	PRIJEM	\N	160	77871	UROK	\N	\N
3589614	1801	1994-04-30	PRIJEM	\N	214	32618	UROK	\N	\N
3589615	1801	1994-05-31	PRIJEM	\N	182	38926	UROK	\N	\N
3589616	1801	1994-06-30	PRIJEM	\N	118	26729	UROK	\N	\N
3589617	1801	1994-07-31	PRIJEM	\N	80	15342	UROK	\N	\N
3589618	1801	1994-08-31	PRIJEM	\N	90	31437	UROK	\N	\N
3589619	1801	1994-09-30	PRIJEM	\N	69	38712	UROK	\N	\N
3589620	1801	1994-10-31	PRIJEM	\N	115	77823	UROK	\N	\N
3589621	1801	1994-11-30	PRIJEM	\N	228	43615	UROK	\N	\N
3589622	1801	1994-12-31	PRIJEM	\N	126	26048	UROK	\N	\N
3589623	1801	1995-01-31	PRIJEM	\N	125	23127	UROK	\N	\N
3589624	1801	1995-02-28	PRIJEM	\N	89	15250	UROK	\N	\N
3589625	1801	1995-03-31	PRIJEM	\N	126	38911	UROK	\N	\N
3589626	1801	1995-04-30	PRIJEM	\N	124	19948	UROK	\N	\N
3589627	1801	1995-05-31	PRIJEM	\N	253	100667	UROK	\N	\N
3589628	1801	1995-06-30	PRIJEM	\N	232	68544	UROK	\N	\N
3589629	1801	1995-07-31	PRIJEM	\N	203	34180	UROK	\N	\N
3589630	1801	1995-08-31	PRIJEM	\N	155	33560	UROK	\N	\N
3589631	1801	1995-09-30	PRIJEM	\N	210	51781	UROK	\N	\N
3589632	1801	1995-10-31	PRIJEM	\N	151	31265	UROK	\N	\N
3589633	1801	1995-11-30	PRIJEM	\N	158	36036	UROK	\N	\N
3589634	1801	1995-12-31	PRIJEM	\N	69	25738	UROK	\N	\N
3589635	1801	1996-01-31	PRIJEM	\N	63	22135	UROK	\N	\N
3589636	1801	1996-02-29	PRIJEM	\N	69	21838	UROK	\N	\N
3589637	1801	1996-03-31	PRIJEM	\N	82	34976	UROK	\N	\N
3589638	1801	1996-04-30	PRIJEM	\N	111	26720	UROK	\N	\N
3589639	1801	1996-05-31	PRIJEM	\N	80	25633	UROK	\N	\N
3589640	1801	1996-06-30	PRIJEM	\N	139	31433	UROK	\N	\N
3589641	1801	1996-07-31	PRIJEM	\N	77	24354	UROK	\N	\N
3589642	1801	1996-08-31	PRIJEM	\N	85	26182	UROK	\N	\N
3589643	1801	1996-09-30	PRIJEM	\N	110	28513	UROK	\N	\N
3589644	1801	1996-10-31	PRIJEM	\N	178	49818	UROK	\N	\N
3589645	1801	1996-11-30	PRIJEM	\N	174	34936	UROK	\N	\N
3589646	1801	1996-12-31	PRIJEM	\N	141	52084	UROK	\N	\N
3589647	1801	1997-01-31	PRIJEM	\N	145	21173	UROK	\N	\N
3589648	1801	1997-02-28	PRIJEM	\N	61	21777	UROK	\N	\N
3589649	1801	1997-03-31	PRIJEM	\N	65	19785	UROK	\N	\N
3589650	1801	1997-04-30	PRIJEM	\N	59	20688	UROK	\N	\N
3589651	1801	1997-05-31	PRIJEM	\N	57	17888	UROK	\N	\N
3589652	1801	1997-06-30	PRIJEM	\N	59	20490	UROK	\N	\N
3589653	1801	1997-07-31	PRIJEM	\N	71	26205	UROK	\N	\N
3589654	1801	1997-08-31	PRIJEM	\N	84	24813	UROK	\N	\N
3589655	1801	1997-09-30	PRIJEM	\N	95	31251	UROK	\N	\N
3589656	1801	1997-10-31	PRIJEM	\N	110	27089	UROK	\N	\N
3589657	1801	1997-11-30	PRIJEM	\N	101	28843	UROK	\N	\N
3589658	1801	1997-12-31	PRIJEM	\N	109	27196	UROK	\N	\N
3589659	1801	1998-01-31	PRIJEM	\N	113	32652	UROK	\N	\N
3589660	1801	1998-02-28	PRIJEM	\N	182	44197	UROK	\N	\N
3589661	1801	1998-03-31	PRIJEM	\N	163	42803	UROK	\N	\N
3589662	1801	1998-04-30	PRIJEM	\N	229	63176	UROK	\N	\N
3589663	1801	1998-05-31	PRIJEM	\N	339	106568	UROK	\N	\N
3589664	1801	1998-06-30	PRIJEM	\N	375	93645	UROK	\N	\N
3589665	1801	1998-07-31	PRIJEM	\N	316	66100	UROK	\N	\N
3589666	1801	1998-08-31	PRIJEM	\N	276	89909	UROK	\N	\N
3589667	1801	1998-09-30	PRIJEM	\N	359	88321	UROK	\N	\N
3589668	1801	1998-10-31	PRIJEM	\N	315	94027	UROK	\N	\N
3589669	1801	1998-11-30	PRIJEM	\N	373	94490	UROK	\N	\N
3589670	1801	1998-12-31	PRIJEM	\N	384	93629	UROK	\N	\N
3589671	1802	1995-03-31	PRIJEM	\N	14	5641	UROK	\N	\N
3589672	1802	1995-04-30	PRIJEM	\N	23	10492	UROK	\N	\N
3589673	1802	1995-05-31	PRIJEM	\N	23	15342	UROK	\N	\N
3589674	1802	1995-06-30	PRIJEM	\N	23	20193	UROK	\N	\N
3589675	1802	1995-07-31	PRIJEM	\N	26	25046	UROK	\N	\N
3589676	1802	1995-08-31	PRIJEM	\N	109	27459	UROK	\N	\N
3589677	1802	1995-09-30	PRIJEM	\N	119	29882	UROK	\N	\N
3589678	1802	1995-10-31	PRIJEM	\N	121	29348	UROK	\N	\N
3589679	1802	1995-11-30	PRIJEM	\N	119	29451	UROK	\N	\N
3589680	1802	1995-12-31	PRIJEM	\N	125	29800	UROK	\N	\N
3589681	1802	1996-01-31	PRIJEM	\N	114	28439	UROK	\N	\N
3589682	1802	1996-02-29	PRIJEM	\N	123	30866	UROK	\N	\N
3589683	1802	1996-03-31	PRIJEM	\N	132	31622	UROK	\N	\N
3589684	1802	1996-04-30	PRIJEM	\N	136	34062	UROK	\N	\N
3589685	1802	1996-05-31	PRIJEM	\N	142	35108	UROK	\N	\N
3589686	1802	1996-06-30	PRIJEM	\N	140	33803	UROK	\N	\N
3589687	1802	1996-07-31	PRIJEM	\N	138	33945	UROK	\N	\N
3589688	1802	1996-08-31	PRIJEM	\N	137	33586	UROK	\N	\N
3589689	1802	1996-09-30	PRIJEM	\N	144	35934	UROK	\N	\N
3589690	1802	1996-10-31	PRIJEM	\N	146	33984	UROK	\N	\N
3589691	1802	1996-11-30	PRIJEM	\N	145	33733	UROK	\N	\N
3589692	1802	1996-12-31	PRIJEM	\N	134	30722	UROK	\N	\N
3589693	1802	1997-01-31	PRIJEM	\N	122	27708	UROK	\N	\N
3589694	1802	1997-02-28	PRIJEM	\N	119	30132	UROK	\N	\N
3589695	1802	1997-03-31	PRIJEM	\N	127	31763	UROK	\N	\N
3589696	1802	1997-04-30	PRIJEM	\N	136	34004	UROK	\N	\N
3589697	1802	1997-05-31	PRIJEM	\N	145	34753	UROK	\N	\N
3589698	1802	1997-06-30	PRIJEM	\N	138	31045	UROK	\N	\N
3589699	1802	1997-07-31	PRIJEM	\N	129	27978	UROK	\N	\N
3589700	1802	1997-08-31	PRIJEM	\N	119	28601	UROK	\N	\N
3589701	1802	1997-09-30	PRIJEM	\N	121	28826	UROK	\N	\N
3589702	1802	1997-10-31	PRIJEM	\N	124	31155	UROK	\N	\N
3589703	1802	1997-11-30	PRIJEM	\N	124	30623	UROK	\N	\N
3589704	1802	1997-12-31	PRIJEM	\N	130	31557	UROK	\N	\N
3589705	1802	1998-01-31	PRIJEM	\N	114	26035	UROK	\N	\N
3589706	1802	1998-02-28	PRIJEM	\N	107	24407	UROK	\N	\N
3589707	1802	1998-03-31	PRIJEM	\N	104	25515	UROK	\N	\N
3589708	1802	1998-04-30	PRIJEM	\N	105	23925	UROK	\N	\N
3589709	1802	1998-05-31	PRIJEM	\N	103	26332	UROK	\N	\N
3589710	1802	1998-06-30	PRIJEM	\N	108	24744	UROK	\N	\N
3589711	1802	1998-07-31	PRIJEM	\N	98	24346	UROK	\N	\N
3589712	1802	1998-08-31	PRIJEM	\N	105	26755	UROK	\N	\N
3589713	1802	1998-09-30	PRIJEM	\N	107	24467	UROK	\N	\N
3589714	1802	1998-10-31	PRIJEM	\N	96	20307	UROK	\N	\N
3589715	1802	1998-11-30	PRIJEM	\N	85	21497	UROK	\N	\N
3589716	1802	1998-12-31	PRIJEM	\N	77	15278	UROK	\N	\N
3589717	1803	1995-08-31	PRIJEM	\N	7	12462	UROK	\N	\N
3589718	1803	1995-09-30	PRIJEM	\N	57	22274	UROK	\N	\N
3589719	1803	1995-10-31	PRIJEM	\N	95	25324	UROK	\N	\N
3589720	1803	1995-11-30	PRIJEM	\N	107	28686	UROK	\N	\N
3589721	1803	1995-12-31	PRIJEM	\N	122	30150	UROK	\N	\N
3589722	1803	1996-01-31	PRIJEM	\N	122	30420	UROK	\N	\N
3589723	1803	1996-02-29	PRIJEM	\N	127	30254	UROK	\N	\N
3589724	1803	1996-03-31	PRIJEM	\N	137	37528	UROK	\N	\N
3589725	1803	1996-04-30	PRIJEM	\N	163	42428	UROK	\N	\N
3589726	1803	1996-05-31	PRIJEM	\N	180	44446	UROK	\N	\N
3589727	1803	1996-06-30	PRIJEM	\N	172	40455	UROK	\N	\N
3589728	1803	1996-07-31	PRIJEM	\N	172	41264	UROK	\N	\N
3589729	1803	1996-08-31	PRIJEM	\N	177	43478	UROK	\N	\N
3589730	1803	1996-09-30	PRIJEM	\N	187	47203	UROK	\N	\N
3589731	1803	1996-10-31	PRIJEM	\N	202	50363	UROK	\N	\N
3589732	1803	1996-11-30	PRIJEM	\N	215	53515	UROK	\N	\N
3589733	1803	1996-12-31	PRIJEM	\N	225	54788	UROK	\N	\N
3589734	1803	1997-01-31	PRIJEM	\N	219	51734	UROK	\N	\N
3589735	1803	1997-02-28	PRIJEM	\N	217	51888	UROK	\N	\N
3589736	1803	1997-03-31	PRIJEM	\N	210	47436	UROK	\N	\N
3589737	1803	1997-04-30	PRIJEM	\N	204	50477	UROK	\N	\N
3589738	1803	1997-05-31	PRIJEM	\N	208	48522	UROK	\N	\N
3589739	1803	1997-06-30	PRIJEM	\N	190	44019	UROK	\N	\N
3589740	1803	1997-07-31	PRIJEM	\N	181	43038	UROK	\N	\N
3589741	1803	1997-08-31	PRIJEM	\N	188	47263	UROK	\N	\N
3589742	1803	1997-09-30	PRIJEM	\N	202	47902	UROK	\N	\N
3589743	1803	1997-10-31	PRIJEM	\N	202	49342	UROK	\N	\N
3589744	1803	1997-11-30	PRIJEM	\N	205	49485	UROK	\N	\N
3589745	1803	1997-12-31	PRIJEM	\N	213	52935	UROK	\N	\N
3589746	1803	1998-01-31	PRIJEM	\N	215	50488	UROK	\N	\N
3589747	1803	1998-02-28	PRIJEM	\N	220	54745	UROK	\N	\N
3589748	1803	1998-03-31	PRIJEM	\N	239	59721	UROK	\N	\N
3589749	1803	1998-04-30	PRIJEM	\N	248	60006	UROK	\N	\N
3589750	1803	1998-05-31	PRIJEM	\N	246	57890	UROK	\N	\N
3589751	1803	1998-06-30	PRIJEM	\N	235	55082	UROK	\N	\N
3589752	1803	1998-07-31	PRIJEM	\N	252	63671	UROK	\N	\N
3589753	1803	1998-08-31	PRIJEM	\N	266	63075	UROK	\N	\N
3589754	1803	1998-09-30	PRIJEM	\N	276	67188	UROK	\N	\N
3589755	1803	1998-10-31	PRIJEM	\N	300	74825	UROK	\N	\N
3589756	1803	1998-11-30	PRIJEM	\N	314	75576	UROK	\N	\N
3589757	1803	1998-12-31	PRIJEM	\N	315	74829	UROK	\N	\N
3589758	1805	1993-08-31	PRIJEM	\N	32	50145	UROK	\N	\N
3589759	1805	1993-09-30	PRIJEM	\N	146	35191	UROK	\N	\N
3589760	1805	1993-10-31	PRIJEM	\N	146	30037	UROK	\N	\N
3589761	1805	1993-11-30	PRIJEM	\N	145	32901	UROK	\N	\N
3589762	1805	1993-12-31	PRIJEM	\N	137	26538	UROK	\N	\N
3589763	1805	1994-01-31	PRIJEM	\N	137	28074	UROK	\N	\N
3589764	1805	1994-02-28	PRIJEM	\N	137	28011	UROK	\N	\N
3589765	1805	1994-03-31	PRIJEM	\N	138	37066	UROK	\N	\N
3589766	1805	1994-04-30	PRIJEM	\N	154	30420	UROK	\N	\N
3589767	1805	1994-05-31	PRIJEM	\N	150	29107	UROK	\N	\N
3589768	1805	1994-06-30	PRIJEM	\N	121	28228	UROK	\N	\N
3589769	1805	1994-07-31	PRIJEM	\N	121	27948	UROK	\N	\N
3589770	1805	1994-09-30	PRIJEM	\N	187	55287	UROK	\N	\N
3589771	1805	1994-10-31	PRIJEM	\N	232	54110	UROK	\N	\N
3589772	1805	1994-11-30	PRIJEM	\N	211	39797	UROK	\N	\N
3589773	1805	1994-12-31	PRIJEM	\N	151	28924	UROK	\N	\N
3589774	1805	1995-01-31	PRIJEM	\N	96	25395	UROK	\N	\N
3589775	1805	1995-02-28	PRIJEM	\N	110	29680	UROK	\N	\N
3589776	1805	1995-03-31	PRIJEM	\N	123	29479	UROK	\N	\N
3589777	1805	1995-04-30	PRIJEM	\N	147	37713	UROK	\N	\N
3589778	1805	1995-05-31	PRIJEM	\N	197	39520	UROK	\N	\N
3589779	1805	1995-06-30	PRIJEM	\N	188	40269	UROK	\N	\N
3589780	1805	1995-07-31	PRIJEM	\N	300	56127	UROK	\N	\N
3589781	1805	1995-08-31	PRIJEM	\N	228	45813	UROK	\N	\N
3589782	1805	1995-09-30	PRIJEM	\N	195	44862	UROK	\N	\N
3589783	1805	1995-10-31	PRIJEM	\N	135	20381	UROK	\N	\N
3589784	1805	1995-11-30	PRIJEM	\N	298	80080	UROK	\N	\N
3589785	1805	1995-12-31	PRIJEM	\N	312	78277	UROK	\N	\N
3589786	1805	1996-01-31	PRIJEM	\N	237	52859	UROK	\N	\N
3589787	1805	1996-02-29	PRIJEM	\N	257	30301	UROK	\N	\N
3589788	1805	1996-03-31	PRIJEM	\N	181	82395	UROK	\N	\N
3589789	1805	1996-04-30	PRIJEM	\N	317	67340	UROK	\N	\N
3589790	1805	1996-05-31	PRIJEM	\N	258	56973	UROK	\N	\N
3589791	1805	1996-06-30	PRIJEM	\N	155	27021	UROK	\N	\N
3589792	1805	1996-07-31	PRIJEM	\N	251	88571	UROK	\N	\N
3589793	1805	1996-08-31	PRIJEM	\N	317	68363	UROK	\N	\N
3589794	1805	1996-09-30	PRIJEM	\N	289	69692	UROK	\N	\N
3589795	1805	1996-10-31	PRIJEM	\N	328	88849	UROK	\N	\N
3589796	1805	1996-11-30	PRIJEM	\N	358	89555	UROK	\N	\N
3589797	1805	1996-12-31	PRIJEM	\N	309	84815	UROK	\N	\N
3589798	1805	1997-01-31	PRIJEM	\N	244	62224	UROK	\N	\N
3589799	1805	1997-02-28	PRIJEM	\N	251	57671	UROK	\N	\N
3589800	1805	1997-03-31	PRIJEM	\N	317	90324	UROK	\N	\N
3589801	1805	1997-04-30	PRIJEM	\N	423	121947	UROK	\N	\N
3589802	1805	1997-05-31	PRIJEM	\N	243	36933	UROK	\N	\N
3589803	1805	1997-06-30	PRIJEM	\N	184	53895	UROK	\N	\N
3589804	1805	1997-07-31	PRIJEM	\N	243	61614	UROK	\N	\N
3589805	1805	1997-08-31	PRIJEM	\N	351	99161	UROK	\N	\N
3589806	1805	1997-09-30	PRIJEM	\N	431	79008	UROK	\N	\N
3589807	1805	1997-10-31	PRIJEM	\N	370	100450	UROK	\N	\N
3589808	1805	1997-11-30	PRIJEM	\N	403	106110	UROK	\N	\N
3589809	1805	1997-12-31	PRIJEM	\N	350	93304	UROK	\N	\N
3589810	1805	1998-01-31	PRIJEM	\N	267	34846	UROK	\N	\N
3589811	1805	1998-02-28	PRIJEM	\N	166	35108	UROK	\N	\N
3589812	1805	1998-03-31	PRIJEM	\N	307	72157	UROK	\N	\N
3589813	1805	1998-04-30	PRIJEM	\N	299	56162	UROK	\N	\N
3589814	1805	1998-05-31	PRIJEM	\N	330	95934	UROK	\N	\N
3589815	1805	1998-06-30	PRIJEM	\N	336	80399	UROK	\N	\N
3589816	1805	1998-07-31	PRIJEM	\N	420	109514	UROK	\N	\N
3589817	1805	1998-08-31	PRIJEM	\N	410	97299	UROK	\N	\N
3589818	1805	1998-09-30	PRIJEM	\N	354	80829	UROK	\N	\N
3589819	1805	1998-10-31	PRIJEM	\N	417	107539	UROK	\N	\N
3589820	1805	1998-11-30	PRIJEM	\N	395	93409	UROK	\N	\N
3589821	1805	1998-12-31	PRIJEM	\N	356	85140	UROK	\N	\N
3589822	1806	1993-06-30	PRIJEM	\N	60	19753	UROK	\N	\N
3589823	1806	1993-07-31	PRIJEM	\N	88	20704	UROK	\N	\N
3589824	1806	1993-08-31	PRIJEM	\N	93	23259	UROK	\N	\N
3589825	1806	1993-09-30	PRIJEM	\N	102	25324	UROK	\N	\N
3589826	1806	1993-10-31	PRIJEM	\N	106	24992	UROK	\N	\N
3589827	1806	1993-11-30	PRIJEM	\N	108	26363	UROK	\N	\N
3589828	1806	1993-12-31	PRIJEM	\N	115	26600	UROK	\N	\N
3589829	1806	1994-01-31	PRIJEM	\N	88	13611	UROK	\N	\N
3589830	1806	1994-02-28	PRIJEM	\N	63	16136	UROK	\N	\N
3589831	1806	1994-03-31	PRIJEM	\N	74	18672	UROK	\N	\N
3589832	1806	1994-04-30	PRIJEM	\N	84	21219	UROK	\N	\N
3589833	1806	1994-05-31	PRIJEM	\N	95	23776	UROK	\N	\N
3589834	1806	1994-06-30	PRIJEM	\N	87	19825	UROK	\N	\N
3589835	1806	1994-07-31	PRIJEM	\N	89	22377	UROK	\N	\N
3589836	1806	1994-08-31	PRIJEM	\N	93	22132	UROK	\N	\N
3589837	1806	1994-09-30	PRIJEM	\N	90	20844	UROK	\N	\N
3589838	1806	1994-10-31	PRIJEM	\N	89	20115	UROK	\N	\N
3589839	1806	1994-11-30	PRIJEM	\N	90	22668	UROK	\N	\N
3589840	1806	1994-12-31	PRIJEM	\N	99	23379	UROK	\N	\N
3589841	1806	1995-01-31	PRIJEM	\N	75	14867	UROK	\N	\N
3589842	1806	1995-02-28	PRIJEM	\N	68	17397	UROK	\N	\N
3589843	1806	1995-03-31	PRIJEM	\N	79	19938	UROK	\N	\N
3589844	1806	1995-04-30	PRIJEM	\N	84	18564	UROK	\N	\N
3589845	1806	1995-05-31	PRIJEM	\N	84	21110	UROK	\N	\N
3589846	1806	1995-06-30	PRIJEM	\N	82	19104	UROK	\N	\N
3589847	1806	1995-07-31	PRIJEM	\N	79	18606	UROK	\N	\N
3589848	1806	1995-08-31	PRIJEM	\N	80	17308	UROK	\N	\N
3589849	1806	1995-09-30	PRIJEM	\N	78	19848	UROK	\N	\N
3589850	1806	1995-10-31	PRIJEM	\N	89	22400	UROK	\N	\N
3589851	1806	1995-11-30	PRIJEM	\N	95	21356	UROK	\N	\N
3589852	1806	1995-12-31	PRIJEM	\N	94	23563	UROK	\N	\N
3589853	1806	1996-01-31	PRIJEM	\N	78	16104	UROK	\N	\N
3589854	1806	1996-02-29	PRIJEM	\N	69	14715	UROK	\N	\N
3589855	1806	1996-03-31	PRIJEM	\N	67	17244	UROK	\N	\N
3589856	1806	1996-04-30	PRIJEM	\N	74	17860	UROK	\N	\N
3589857	1806	1996-05-31	PRIJEM	\N	80	20403	UROK	\N	\N
3589858	1806	1996-06-30	PRIJEM	\N	90	21035	UROK	\N	\N
3589859	1806	1996-07-31	PRIJEM	\N	93	23591	UROK	\N	\N
3589860	1806	1996-08-31	PRIJEM	\N	98	23592	UROK	\N	\N
3589861	1806	1996-09-30	PRIJEM	\N	100	23915	UROK	\N	\N
3589862	1806	1996-10-31	PRIJEM	\N	105	26482	UROK	\N	\N
3589863	1806	1996-11-30	PRIJEM	\N	116	29060	UROK	\N	\N
3589864	1806	1996-12-31	PRIJEM	\N	127	30549	UROK	\N	\N
3589865	1806	1997-01-31	PRIJEM	\N	117	20249	UROK	\N	\N
3589866	1806	1997-02-28	PRIJEM	\N	89	22800	UROK	\N	\N
3589867	1806	1997-03-31	PRIJEM	\N	97	23680	UROK	\N	\N
3589868	1806	1997-04-30	PRIJEM	\N	104	26246	UROK	\N	\N
3589869	1806	1997-05-31	PRIJEM	\N	114	28823	UROK	\N	\N
3589870	1806	1997-06-30	PRIJEM	\N	114	17669	UROK	\N	\N
3589871	1806	1997-07-31	PRIJEM	\N	79	20210	UROK	\N	\N
3589872	1806	1997-08-31	PRIJEM	\N	89	22761	UROK	\N	\N
3589873	1806	1997-09-30	PRIJEM	\N	99	25323	UROK	\N	\N
3589874	1806	1997-10-31	PRIJEM	\N	96	21882	UROK	\N	\N
3589875	1806	1997-11-30	PRIJEM	\N	96	24440	UROK	\N	\N
3589876	1806	1997-12-31	PRIJEM	\N	107	25809	UROK	\N	\N
3589877	1806	1998-01-31	PRIJEM	\N	86	17157	UROK	\N	\N
3589878	1806	1998-02-28	PRIJEM	\N	75	19695	UROK	\N	\N
3589879	1806	1998-03-31	PRIJEM	\N	86	22243	UROK	\N	\N
3589880	1806	1998-04-30	PRIJEM	\N	97	24803	UROK	\N	\N
3589881	1806	1998-05-31	PRIJEM	\N	107	27372	UROK	\N	\N
3589882	1806	1998-06-30	PRIJEM	\N	105	20490	UROK	\N	\N
3589883	1806	1998-07-31	PRIJEM	\N	88	21680	UROK	\N	\N
3589884	1806	1998-08-31	PRIJEM	\N	94	24236	UROK	\N	\N
3589885	1806	1998-09-30	PRIJEM	\N	103	25922	UROK	\N	\N
3589886	1806	1998-10-31	PRIJEM	\N	98	25102	UROK	\N	\N
3589887	1806	1998-11-30	PRIJEM	\N	97	20121	UROK	\N	\N
3589888	1806	1998-12-31	PRIJEM	\N	78	17462	UROK	\N	\N
3589889	1807	1997-11-30	PRIJEM	\N	50	21100	UROK	\N	\N
3589890	1807	1997-12-31	PRIJEM	\N	122	35196	UROK	\N	\N
3589891	1807	1998-01-31	PRIJEM	\N	171	45618	UROK	\N	\N
3589892	1807	1998-02-28	PRIJEM	\N	208	53675	UROK	\N	\N
3589893	1807	1998-03-31	PRIJEM	\N	201	44326	UROK	\N	\N
3589894	1807	1998-04-30	PRIJEM	\N	195	49525	UROK	\N	\N
3589895	1807	1998-05-31	PRIJEM	\N	208	51037	UROK	\N	\N
3589896	1807	1998-06-30	PRIJEM	\N	157	26703	UROK	\N	\N
3589897	1807	1998-07-31	PRIJEM	\N	138	38746	UROK	\N	\N
3589898	1807	1998-08-31	PRIJEM	\N	181	48531	UROK	\N	\N
3589899	1807	1998-09-30	PRIJEM	\N	191	48727	UROK	\N	\N
3589900	1807	1998-10-31	PRIJEM	\N	203	52435	UROK	\N	\N
3589901	1807	1998-11-30	PRIJEM	\N	202	51841	UROK	\N	\N
3589902	1807	1998-12-31	PRIJEM	\N	233	58504	UROK	\N	\N
3589903	1808	1997-09-30	PRIJEM	\N	120	48200	UROK	\N	\N
3589904	1808	1997-10-31	PRIJEM	\N	200	46901	UROK	\N	\N
3589905	1808	1997-11-30	PRIJEM	\N	208	62759	UROK	\N	\N
3589906	1808	1997-12-31	PRIJEM	\N	261	58420	UROK	\N	\N
3589907	1808	1998-01-31	PRIJEM	\N	311	77915	UROK	\N	\N
3589908	1808	1998-02-28	PRIJEM	\N	263	54922	UROK	\N	\N
3589909	1808	1998-03-31	PRIJEM	\N	210	48117	UROK	\N	\N
3589910	1808	1998-04-30	PRIJEM	\N	285	79652	UROK	\N	\N
3589911	1808	1998-05-31	PRIJEM	\N	305	75795	UROK	\N	\N
3589912	1808	1998-06-30	PRIJEM	\N	336	94528	UROK	\N	\N
3589913	1808	1998-07-31	PRIJEM	\N	333	89356	UROK	\N	\N
3589914	1808	1998-08-31	PRIJEM	\N	360	53867	UROK	\N	\N
3589915	1808	1998-09-30	PRIJEM	\N	158	18267	UROK	\N	\N
3589916	1808	1998-10-31	PRIJEM	\N	305	72444	UROK	\N	\N
3589917	1808	1998-11-30	PRIJEM	\N	281	65077	UROK	\N	\N
3589918	1808	1998-12-31	PRIJEM	\N	238	47886	UROK	\N	\N
3589919	1809	1993-12-31	PRIJEM	\N	78	29160	UROK	\N	\N
3589920	1809	1994-01-31	PRIJEM	\N	146	38162	UROK	\N	\N
3589921	1809	1994-02-28	PRIJEM	\N	173	43189	UROK	\N	\N
3589922	1809	1994-03-31	PRIJEM	\N	177	42221	UROK	\N	\N
3589923	1809	1994-04-30	PRIJEM	\N	152	27128	UROK	\N	\N
3589924	1809	1994-05-31	PRIJEM	\N	116	23456	UROK	\N	\N
3589925	1809	1994-06-30	PRIJEM	\N	136	30332	UROK	\N	\N
3589926	1809	1994-07-31	PRIJEM	\N	132	28277	UROK	\N	\N
3589927	1809	1994-08-31	PRIJEM	\N	102	19192	UROK	\N	\N
3589928	1809	1994-09-30	PRIJEM	\N	77	14882	UROK	\N	\N
3589929	1809	1994-10-31	PRIJEM	\N	68	13563	UROK	\N	\N
3589930	1809	1994-11-30	PRIJEM	\N	69	14344	UROK	\N	\N
3589931	1809	1994-12-31	PRIJEM	\N	86	18870	UROK	\N	\N
3589932	1809	1995-01-31	PRIJEM	\N	72	13955	UROK	\N	\N
3589933	1809	1995-02-28	PRIJEM	\N	100	23467	UROK	\N	\N
3589934	1809	1995-03-31	PRIJEM	\N	90	18471	UROK	\N	\N
3589935	1809	1995-04-30	PRIJEM	\N	77	15960	UROK	\N	\N
3589936	1809	1995-05-31	PRIJEM	\N	71	13744	UROK	\N	\N
3589937	1809	1995-06-30	PRIJEM	\N	130	31114	UROK	\N	\N
3589938	1809	1995-07-31	PRIJEM	\N	123	19198	UROK	\N	\N
3589939	1809	1995-08-31	PRIJEM	\N	108	24919	UROK	\N	\N
3589940	1809	1995-09-30	PRIJEM	\N	135	31466	UROK	\N	\N
3589941	1809	1995-10-31	PRIJEM	\N	127	26341	UROK	\N	\N
3589942	1809	1995-11-30	PRIJEM	\N	107	23060	UROK	\N	\N
3589943	1809	1995-12-31	PRIJEM	\N	149	32949	UROK	\N	\N
3589944	1809	1996-01-31	PRIJEM	\N	122	20057	UROK	\N	\N
3589945	1809	1996-02-29	PRIJEM	\N	73	12047	UROK	\N	\N
3589946	1809	1996-03-31	PRIJEM	\N	115	28174	UROK	\N	\N
3589947	1809	1996-04-30	PRIJEM	\N	159	37546	UROK	\N	\N
3589948	1809	1996-05-31	PRIJEM	\N	130	30818	UROK	\N	\N
3589949	1809	1996-06-30	PRIJEM	\N	138	27296	UROK	\N	\N
3589950	1809	1996-07-31	PRIJEM	\N	145	33054	UROK	\N	\N
3589951	1809	1996-08-31	PRIJEM	\N	97	22667	UROK	\N	\N
3589952	1809	1996-09-30	PRIJEM	\N	127	31907	UROK	\N	\N
3589953	1809	1996-10-31	PRIJEM	\N	124	28858	UROK	\N	\N
3589954	1809	1996-11-30	PRIJEM	\N	150	33621	UROK	\N	\N
3589955	1809	1996-12-31	PRIJEM	\N	169	31230	UROK	\N	\N
3589956	1809	1997-01-31	PRIJEM	\N	115	29259	UROK	\N	\N
3589957	1809	1997-02-28	PRIJEM	\N	132	21466	UROK	\N	\N
3589958	1809	1997-03-31	PRIJEM	\N	102	21723	UROK	\N	\N
3589959	1809	1997-04-30	PRIJEM	\N	119	25855	UROK	\N	\N
3589960	1809	1997-05-31	PRIJEM	\N	138	32006	UROK	\N	\N
3589961	1809	1997-06-30	PRIJEM	\N	183	28529	UROK	\N	\N
3589962	1809	1997-07-31	PRIJEM	\N	130	21983	UROK	\N	\N
3589963	1809	1997-08-31	PRIJEM	\N	127	32823	UROK	\N	\N
3589964	1809	1997-09-30	PRIJEM	\N	171	42707	UROK	\N	\N
3589965	1809	1997-10-31	PRIJEM	\N	140	36658	UROK	\N	\N
3589966	1809	1997-11-30	PRIJEM	\N	159	31925	UROK	\N	\N
3589967	1809	1997-12-31	PRIJEM	\N	168	36567	UROK	\N	\N
3589968	1809	1998-01-31	PRIJEM	\N	159	22138	UROK	\N	\N
3589969	1809	1998-02-28	PRIJEM	\N	133	36285	UROK	\N	\N
3589970	1809	1998-03-31	PRIJEM	\N	181	43479	UROK	\N	\N
3589971	1809	1998-04-30	PRIJEM	\N	208	48500	UROK	\N	\N
3589972	1809	1998-05-31	PRIJEM	\N	192	39105	UROK	\N	\N
3589973	1809	1998-06-30	PRIJEM	\N	205	44102	UROK	\N	\N
3589974	1809	1998-07-31	PRIJEM	\N	204	41431	UROK	\N	\N
3589975	1809	1998-08-31	PRIJEM	\N	216	55660	UROK	\N	\N
3589976	1809	1998-09-30	PRIJEM	\N	271	63594	UROK	\N	\N
3589977	1809	1998-10-31	PRIJEM	\N	287	67194	UROK	\N	\N
3589978	1809	1998-11-30	PRIJEM	\N	298	68705	UROK	\N	\N
3589979	1809	1998-12-31	PRIJEM	\N	281	62926	UROK	\N	\N
3589980	1810	1995-09-30	PRIJEM	\N	44	18545	UROK	\N	\N
3589981	1810	1995-10-31	PRIJEM	\N	130	40476	UROK	\N	\N
3589982	1810	1995-11-30	PRIJEM	\N	192	50669	UROK	\N	\N
3589983	1810	1995-12-31	PRIJEM	\N	234	60655	UROK	\N	\N
3589984	1810	1996-01-31	PRIJEM	\N	203	33934	UROK	\N	\N
3589985	1810	1996-02-29	PRIJEM	\N	150	41445	UROK	\N	\N
3589986	1810	1996-03-31	PRIJEM	\N	174	42681	UROK	\N	\N
3589987	1810	1996-04-30	PRIJEM	\N	159	43801	UROK	\N	\N
3589988	1810	1996-05-31	PRIJEM	\N	169	27432	UROK	\N	\N
3589989	1810	1996-06-30	PRIJEM	\N	152	26496	UROK	\N	\N
3589990	1810	1996-07-31	PRIJEM	\N	135	29393	UROK	\N	\N
3589991	1810	1996-08-31	PRIJEM	\N	152	28406	UROK	\N	\N
3589992	1810	1996-09-30	PRIJEM	\N	140	29408	UROK	\N	\N
3589993	1810	1996-10-31	PRIJEM	\N	142	27911	UROK	\N	\N
3589994	1810	1996-11-30	PRIJEM	\N	150	33923	UROK	\N	\N
3589995	1810	1996-12-31	PRIJEM	\N	174	39109	UROK	\N	\N
3589996	1810	1997-01-31	PRIJEM	\N	154	26024	UROK	\N	\N
3589997	1810	1997-02-28	PRIJEM	\N	130	32515	UROK	\N	\N
3589998	1810	1997-03-31	PRIJEM	\N	156	34633	UROK	\N	\N
3589999	1810	1997-04-30	PRIJEM	\N	172	35266	UROK	\N	\N
3590000	1810	1997-05-31	PRIJEM	\N	174	36301	UROK	\N	\N
3590001	1810	1997-06-30	PRIJEM	\N	133	27446	UROK	\N	\N
3590002	1810	1997-07-31	PRIJEM	\N	134	31541	UROK	\N	\N
3590003	1810	1997-08-31	PRIJEM	\N	143	29945	UROK	\N	\N
3590004	1810	1997-09-30	PRIJEM	\N	140	32346	UROK	\N	\N
3590005	1810	1997-10-31	PRIJEM	\N	151	36959	UROK	\N	\N
3590006	1810	1997-11-30	PRIJEM	\N	171	37391	UROK	\N	\N
3590007	1810	1997-12-31	PRIJEM	\N	191	46694	UROK	\N	\N
3590008	1810	1998-01-31	PRIJEM	\N	183	39338	UROK	\N	\N
3590009	1810	1998-02-28	PRIJEM	\N	179	41679	UROK	\N	\N
3590010	1810	1998-03-31	PRIJEM	\N	190	42130	UROK	\N	\N
3590011	1810	1998-04-30	PRIJEM	\N	186	43377	UROK	\N	\N
3590012	1810	1998-05-31	PRIJEM	\N	192	43231	UROK	\N	\N
3590013	1810	1998-06-30	PRIJEM	\N	163	33206	UROK	\N	\N
3590014	1810	1998-07-31	PRIJEM	\N	154	36021	UROK	\N	\N
3590015	1810	1998-08-31	PRIJEM	\N	155	34738	UROK	\N	\N
3590016	1810	1998-09-30	PRIJEM	\N	140	28439	UROK	\N	\N
3590017	1810	1998-10-31	PRIJEM	\N	118	26818	UROK	\N	\N
3590018	1810	1998-11-30	PRIJEM	\N	103	21882	UROK	\N	\N
3590019	1810	1998-12-31	PRIJEM	\N	105	24099	UROK	\N	\N
3590020	1811	1993-10-31	PRIJEM	\N	30	22675	UROK	\N	\N
3590021	1811	1993-11-30	PRIJEM	\N	110	33830	UROK	\N	\N
3590022	1811	1993-12-31	PRIJEM	\N	164	49512	UROK	\N	\N
3590023	1811	1994-01-31	PRIJEM	\N	207	50464	UROK	\N	\N
3590024	1811	1994-02-28	PRIJEM	\N	211	51520	UROK	\N	\N
3590025	1811	1994-03-31	PRIJEM	\N	217	45816	UROK	\N	\N
3590026	1811	1994-04-30	PRIJEM	\N	166	28881	UROK	\N	\N
3590027	1811	1994-05-31	PRIJEM	\N	128	23888	UROK	\N	\N
3590028	1811	1994-06-30	PRIJEM	\N	134	36375	UROK	\N	\N
3590029	1811	1994-07-31	PRIJEM	\N	137	32501	UROK	\N	\N
3590030	1811	1994-08-31	PRIJEM	\N	141	34630	UROK	\N	\N
3590031	1811	1994-09-30	PRIJEM	\N	151	38170	UROK	\N	\N
3590032	1811	1994-10-31	PRIJEM	\N	154	35712	UROK	\N	\N
3590033	1811	1994-11-30	PRIJEM	\N	149	34813	UROK	\N	\N
3590034	1811	1994-12-31	PRIJEM	\N	152	38826	UROK	\N	\N
3590035	1811	1995-01-31	PRIJEM	\N	118	25214	UROK	\N	\N
3590036	1811	1995-02-28	PRIJEM	\N	121	32024	UROK	\N	\N
3590037	1811	1995-03-31	PRIJEM	\N	116	21628	UROK	\N	\N
3590038	1811	1995-04-30	PRIJEM	\N	106	30022	UROK	\N	\N
3590039	1811	1995-05-31	PRIJEM	\N	126	31536	UROK	\N	\N
3590040	1811	1995-06-30	PRIJEM	\N	118	22462	UROK	\N	\N
3590041	1811	1995-07-31	PRIJEM	\N	111	26562	UROK	\N	\N
3590042	1811	1995-08-31	PRIJEM	\N	118	29481	UROK	\N	\N
3590043	1811	1995-09-30	PRIJEM	\N	145	40714	UROK	\N	\N
3590044	1811	1995-10-31	PRIJEM	\N	118	23250	UROK	\N	\N
3590045	1811	1995-11-30	PRIJEM	\N	112	31951	UROK	\N	\N
3590046	1811	1995-12-31	PRIJEM	\N	169	45482	UROK	\N	\N
3590047	1811	1996-01-31	PRIJEM	\N	172	42542	UROK	\N	\N
3590048	1811	1996-02-29	PRIJEM	\N	150	37464	UROK	\N	\N
3590049	1811	1996-03-31	PRIJEM	\N	153	39706	UROK	\N	\N
3590050	1811	1996-04-30	PRIJEM	\N	161	41355	UROK	\N	\N
3590051	1811	1996-05-31	PRIJEM	\N	140	33755	UROK	\N	\N
3590052	1811	1996-06-30	PRIJEM	\N	177	51893	UROK	\N	\N
3590053	1811	1996-07-31	PRIJEM	\N	142	31649	UROK	\N	\N
3590054	1811	1996-08-31	PRIJEM	\N	151	41689	UROK	\N	\N
3590055	1811	1996-09-30	PRIJEM	\N	139	34817	UROK	\N	\N
3590056	1811	1996-10-31	PRIJEM	\N	144	36450	UROK	\N	\N
3590057	1811	1996-11-30	PRIJEM	\N	158	38497	UROK	\N	\N
3590058	1811	1996-12-31	PRIJEM	\N	145	25639	UROK	\N	\N
3590059	1811	1997-01-31	PRIJEM	\N	133	38461	UROK	\N	\N
3590060	1811	1997-02-28	PRIJEM	\N	143	38166	UROK	\N	\N
3590061	1811	1997-03-31	PRIJEM	\N	140	35697	UROK	\N	\N
3590062	1811	1997-04-30	PRIJEM	\N	163	44548	UROK	\N	\N
3590063	1811	1997-05-31	PRIJEM	\N	130	27663	UROK	\N	\N
3590064	1811	1997-06-30	PRIJEM	\N	145	39413	UROK	\N	\N
3590065	1811	1997-07-31	PRIJEM	\N	187	51088	UROK	\N	\N
3590066	1811	1997-08-31	PRIJEM	\N	214	45690	UROK	\N	\N
3590067	1811	1997-09-30	PRIJEM	\N	206	55485	UROK	\N	\N
3590068	1811	1997-10-31	PRIJEM	\N	139	40998	UROK	\N	\N
3590069	1811	1997-11-30	PRIJEM	\N	149	35416	UROK	\N	\N
3590070	1811	1997-12-31	PRIJEM	\N	157	37587	UROK	\N	\N
3590071	1811	1998-01-31	PRIJEM	\N	172	48548	UROK	\N	\N
3590072	1811	1998-02-28	PRIJEM	\N	215	57752	UROK	\N	\N
3590073	1811	1998-03-31	PRIJEM	\N	188	49537	UROK	\N	\N
3590074	1811	1998-04-30	PRIJEM	\N	209	53551	UROK	\N	\N
3590075	1811	1998-05-31	PRIJEM	\N	236	59476	UROK	\N	\N
3590076	1811	1998-06-30	PRIJEM	\N	281	66319	UROK	\N	\N
3590077	1811	1998-07-31	PRIJEM	\N	284	62991	UROK	\N	\N
3590078	1811	1998-08-31	PRIJEM	\N	269	60448	UROK	\N	\N
3590079	1811	1998-09-30	PRIJEM	\N	235	44272	UROK	\N	\N
3590080	1811	1998-10-31	PRIJEM	\N	193	46753	UROK	\N	\N
3590081	1811	1998-11-30	PRIJEM	\N	190	51632	UROK	\N	\N
3590082	1811	1998-12-31	PRIJEM	\N	246	59939	UROK	\N	\N
3590083	1812	1997-03-31	PRIJEM	\N	53	14321	UROK	\N	\N
3590084	1812	1997-04-30	PRIJEM	\N	62	14351	UROK	\N	\N
3590085	1812	1997-05-31	PRIJEM	\N	61	13839	UROK	\N	\N
3590086	1812	1997-06-30	PRIJEM	\N	63	14828	UROK	\N	\N
3590087	1812	1997-07-31	PRIJEM	\N	69	15235	UROK	\N	\N
3590088	1812	1997-08-31	PRIJEM	\N	70	15213	UROK	\N	\N
3590089	1812	1997-09-30	PRIJEM	\N	69	16419	UROK	\N	\N
3590090	1812	1997-10-31	PRIJEM	\N	71	17627	UROK	\N	\N
3590091	1812	1997-11-30	PRIJEM	\N	79	18843	UROK	\N	\N
3590092	1812	1997-12-31	PRIJEM	\N	82	18862	UROK	\N	\N
3590093	1812	1998-01-31	PRIJEM	\N	69	13878	UROK	\N	\N
3590094	1812	1998-02-28	PRIJEM	\N	60	15076	UROK	\N	\N
3590095	1812	1998-03-31	PRIJEM	\N	68	16281	UROK	\N	\N
3590096	1812	1998-04-30	PRIJEM	\N	71	17309	UROK	\N	\N
3590097	1812	1998-05-31	PRIJEM	\N	75	18521	UROK	\N	\N
3590098	1812	1998-06-30	PRIJEM	\N	74	13582	UROK	\N	\N
3590099	1812	1998-07-31	PRIJEM	\N	59	13579	UROK	\N	\N
3590100	1812	1998-08-31	PRIJEM	\N	62	14778	UROK	\N	\N
3590101	1812	1998-09-30	PRIJEM	\N	64	15979	UROK	\N	\N
3590102	1812	1998-10-31	PRIJEM	\N	69	15925	UROK	\N	\N
3590103	1812	1998-11-30	PRIJEM	\N	71	17134	UROK	\N	\N
3590104	1812	1998-12-31	PRIJEM	\N	68	15460	UROK	\N	\N
3590105	1813	1994-02-28	PRIJEM	\N	36	14296	UROK	\N	\N
3590106	1813	1994-03-31	PRIJEM	\N	181	45589	UROK	\N	\N
3590107	1813	1994-04-30	PRIJEM	\N	220	82940	UROK	\N	\N
3590108	1813	1994-05-31	PRIJEM	\N	382	107321	UROK	\N	\N
3590109	1813	1994-06-30	PRIJEM	\N	257	59741	UROK	\N	\N
3590110	1813	1994-07-31	PRIJEM	\N	299	70703	UROK	\N	\N
3590111	1813	1994-08-31	PRIJEM	\N	214	46548	UROK	\N	\N
3590112	1813	1994-09-30	PRIJEM	\N	209	41161	UROK	\N	\N
3590113	1813	1994-10-31	PRIJEM	\N	256	94560	UROK	\N	\N
3590114	1813	1994-11-30	PRIJEM	\N	338	68302	UROK	\N	\N
3590115	1813	1994-12-31	PRIJEM	\N	175	46626	UROK	\N	\N
3590116	1813	1995-01-31	PRIJEM	\N	252	88988	UROK	\N	\N
3590117	1813	1995-02-28	PRIJEM	\N	336	93966	UROK	\N	\N
3590118	1813	1995-03-31	PRIJEM	\N	380	109020	UROK	\N	\N
3590119	1813	1995-04-30	PRIJEM	\N	411	56851	UROK	\N	\N
3590120	1813	1995-05-31	PRIJEM	\N	230	61133	UROK	\N	\N
3590121	1813	1995-06-30	PRIJEM	\N	248	61979	UROK	\N	\N
3590122	1813	1995-07-31	PRIJEM	\N	279	89145	UROK	\N	\N
3590123	1813	1995-08-31	PRIJEM	\N	334	112935	UROK	\N	\N
3590124	1813	1995-09-30	PRIJEM	\N	180	40539	UROK	\N	\N
3590125	1813	1995-10-31	PRIJEM	\N	180	53935	UROK	\N	\N
3590126	1813	1995-11-30	PRIJEM	\N	302	78420	UROK	\N	\N
3590127	1813	1995-12-31	PRIJEM	\N	229	42818	UROK	\N	\N
3590128	1813	1996-01-31	PRIJEM	\N	270	106899	UROK	\N	\N
3590129	1813	1996-02-29	PRIJEM	\N	306	63428	UROK	\N	\N
3590130	1813	1996-03-31	PRIJEM	\N	390	95710	UROK	\N	\N
3590131	1813	1996-04-30	PRIJEM	\N	355	84933	UROK	\N	\N
3590132	1813	1996-05-31	PRIJEM	\N	338	83832	UROK	\N	\N
3590133	1813	1996-06-30	PRIJEM	\N	224	53279	UROK	\N	\N
3590134	1813	1996-07-31	PRIJEM	\N	156	31559	UROK	\N	\N
3590135	1813	1996-08-31	PRIJEM	\N	236	57987	UROK	\N	\N
3590136	1813	1996-09-30	PRIJEM	\N	228	62348	UROK	\N	\N
3590137	1813	1996-10-31	PRIJEM	\N	233	49175	UROK	\N	\N
3590138	1813	1996-11-30	PRIJEM	\N	273	61560	UROK	\N	\N
3590139	1813	1996-12-31	PRIJEM	\N	338	59472	UROK	\N	\N
3590140	1813	1997-01-31	PRIJEM	\N	228	53124	UROK	\N	\N
3590141	1813	1997-02-28	PRIJEM	\N	260	75489	UROK	\N	\N
3590142	1813	1997-03-31	PRIJEM	\N	357	67793	UROK	\N	\N
3590143	1813	1997-04-30	PRIJEM	\N	327	99724	UROK	\N	\N
3590144	1813	1997-05-31	PRIJEM	\N	359	68868	UROK	\N	\N
3590145	1813	1997-06-30	PRIJEM	\N	406	88647	UROK	\N	\N
3590146	1813	1997-07-31	PRIJEM	\N	372	64895	UROK	\N	\N
3590147	1813	1997-08-31	PRIJEM	\N	230	69377	UROK	\N	\N
3590148	1813	1997-09-30	PRIJEM	\N	231	52220	UROK	\N	\N
3590149	1813	1997-10-31	PRIJEM	\N	199	51842	UROK	\N	\N
3590150	1813	1997-11-30	PRIJEM	\N	260	70497	UROK	\N	\N
3590151	1813	1997-12-31	PRIJEM	\N	356	85749	UROK	\N	\N
3590152	1813	1998-01-31	PRIJEM	\N	356	77759	UROK	\N	\N
3590153	1813	1998-02-28	PRIJEM	\N	369	93129	UROK	\N	\N
3590154	1813	1998-03-31	PRIJEM	\N	354	78206	UROK	\N	\N
3590155	1813	1998-04-30	PRIJEM	\N	353	105233	UROK	\N	\N
3590156	1813	1998-05-31	PRIJEM	\N	393	91291	UROK	\N	\N
3590157	1813	1998-06-30	PRIJEM	\N	326	56612	UROK	\N	\N
3590158	1813	1998-07-31	PRIJEM	\N	299	112380	UROK	\N	\N
3590159	1813	1998-08-31	PRIJEM	\N	424	89016	UROK	\N	\N
3590160	1813	1998-09-30	PRIJEM	\N	409	101943	UROK	\N	\N
3590161	1813	1998-10-31	PRIJEM	\N	442	112195	UROK	\N	\N
3590162	1813	1998-11-30	PRIJEM	\N	422	95541	UROK	\N	\N
3590163	1813	1998-12-31	PRIJEM	\N	404	91008	UROK	\N	\N
3590164	1814	1997-12-31	PRIJEM	\N	24	17787	UROK	\N	\N
3590165	1814	1998-01-31	PRIJEM	\N	82	23290	UROK	\N	\N
3590166	1814	1998-02-28	PRIJEM	\N	105	26281	UROK	\N	\N
3590167	1814	1998-03-31	PRIJEM	\N	112	26744	UROK	\N	\N
3590168	1814	1998-04-30	PRIJEM	\N	114	26789	UROK	\N	\N
3590169	1814	1998-05-31	PRIJEM	\N	120	29780	UROK	\N	\N
3590170	1814	1998-06-30	PRIJEM	\N	112	25814	UROK	\N	\N
3590171	1814	1998-07-31	PRIJEM	\N	113	27198	UROK	\N	\N
3590172	1814	1998-08-31	PRIJEM	\N	116	27286	UROK	\N	\N
3590173	1814	1998-09-30	PRIJEM	\N	122	30279	UROK	\N	\N
3590174	1814	1998-10-31	PRIJEM	\N	134	33285	UROK	\N	\N
3590175	1814	1998-11-30	PRIJEM	\N	145	35261	UROK	\N	\N
3590176	1814	1998-12-31	PRIJEM	\N	154	37486	UROK	\N	\N
3590177	1815	1993-05-31	PRIJEM	\N	48	23952	UROK	\N	\N
3590178	1815	1993-06-30	PRIJEM	\N	129	38037	UROK	\N	\N
3590179	1815	1993-07-31	PRIJEM	\N	162	39903	UROK	\N	\N
3590180	1815	1993-08-31	PRIJEM	\N	168	40875	UROK	\N	\N
3590181	1815	1993-09-30	PRIJEM	\N	170	37753	UROK	\N	\N
3590182	1815	1993-10-31	PRIJEM	\N	167	38113	UROK	\N	\N
3590183	1815	1993-11-30	PRIJEM	\N	153	33760	UROK	\N	\N
3590184	1815	1993-12-31	PRIJEM	\N	170	40376	UROK	\N	\N
3590185	1815	1994-01-31	PRIJEM	\N	157	31626	UROK	\N	\N
3590186	1815	1994-02-28	PRIJEM	\N	128	27447	UROK	\N	\N
3590187	1815	1994-03-31	PRIJEM	\N	112	22953	UROK	\N	\N
3590188	1815	1994-04-30	PRIJEM	\N	110	25656	UROK	\N	\N
3590189	1815	1994-05-31	PRIJEM	\N	116	27066	UROK	\N	\N
3590190	1815	1994-06-30	PRIJEM	\N	119	27430	UROK	\N	\N
3590191	1815	1994-07-31	PRIJEM	\N	113	25336	UROK	\N	\N
3590192	1815	1994-08-31	PRIJEM	\N	108	25238	UROK	\N	\N
3590193	1815	1994-09-30	PRIJEM	\N	94	19625	UROK	\N	\N
3590194	1815	1994-10-31	PRIJEM	\N	95	22214	UROK	\N	\N
3590195	1815	1994-11-30	PRIJEM	\N	127	32434	UROK	\N	\N
3590196	1815	1994-12-31	PRIJEM	\N	153	32332	UROK	\N	\N
3590197	1815	1995-01-31	PRIJEM	\N	108	19533	UROK	\N	\N
3590198	1815	1995-02-28	PRIJEM	\N	111	28338	UROK	\N	\N
3590199	1815	1995-03-31	PRIJEM	\N	138	33169	UROK	\N	\N
3590200	1815	1995-04-30	PRIJEM	\N	147	34910	UROK	\N	\N
3590201	1815	1995-05-31	PRIJEM	\N	154	36556	UROK	\N	\N
3590202	1815	1995-06-30	PRIJEM	\N	175	20477	UROK	\N	\N
3590203	1815	1995-07-31	PRIJEM	\N	110	27380	UROK	\N	\N
3590204	1815	1995-08-31	PRIJEM	\N	129	31403	UROK	\N	\N
3590205	1815	1995-09-30	PRIJEM	\N	140	33436	UROK	\N	\N
3590206	1815	1995-10-31	PRIJEM	\N	146	35175	UROK	\N	\N
3590207	1815	1995-11-30	PRIJEM	\N	141	25910	UROK	\N	\N
3590208	1815	1995-12-31	PRIJEM	\N	148	38503	UROK	\N	\N
3590209	1815	1996-01-31	PRIJEM	\N	115	20311	UROK	\N	\N
3590210	1815	1996-02-29	PRIJEM	\N	109	27414	UROK	\N	\N
3590211	1815	1996-03-31	PRIJEM	\N	119	26626	UROK	\N	\N
3590212	1815	1996-04-30	PRIJEM	\N	114	26633	UROK	\N	\N
3590213	1815	1996-05-31	PRIJEM	\N	126	31052	UROK	\N	\N
3590214	1815	1996-06-30	PRIJEM	\N	163	43161	UROK	\N	\N
3590215	1815	1996-07-31	PRIJEM	\N	159	29714	UROK	\N	\N
3590216	1815	1996-08-31	PRIJEM	\N	147	31054	UROK	\N	\N
3590217	1815	1996-09-30	PRIJEM	\N	154	33101	UROK	\N	\N
3590218	1815	1996-10-31	PRIJEM	\N	159	33653	UROK	\N	\N
3590219	1815	1996-11-30	PRIJEM	\N	160	29107	UROK	\N	\N
3590220	1815	1996-12-31	PRIJEM	\N	165	30117	UROK	\N	\N
3590221	1815	1997-01-31	PRIJEM	\N	120	17130	UROK	\N	\N
3590222	1815	1997-02-28	PRIJEM	\N	92	16316	UROK	\N	\N
3590223	1815	1997-03-31	PRIJEM	\N	90	19398	UROK	\N	\N
3590224	1815	1997-04-30	PRIJEM	\N	104	23296	UROK	\N	\N
3590225	1815	1997-05-31	PRIJEM	\N	115	23105	UROK	\N	\N
3590226	1815	1997-06-30	PRIJEM	\N	119	20369	UROK	\N	\N
3590227	1815	1997-07-31	PRIJEM	\N	104	22666	UROK	\N	\N
3590228	1815	1997-08-31	PRIJEM	\N	111	23771	UROK	\N	\N
3590229	1815	1997-09-30	PRIJEM	\N	117	25881	UROK	\N	\N
3590230	1815	1997-10-31	PRIJEM	\N	122	26496	UROK	\N	\N
3590231	1815	1997-11-30	PRIJEM	\N	119	24308	UROK	\N	\N
3590232	1815	1997-12-31	PRIJEM	\N	143	34297	UROK	\N	\N
3590233	1815	1998-01-31	PRIJEM	\N	108	18498	UROK	\N	\N
3590234	1815	1998-02-28	PRIJEM	\N	94	21886	UROK	\N	\N
3590235	1815	1998-03-31	PRIJEM	\N	93	18672	UROK	\N	\N
3590236	1815	1998-04-30	PRIJEM	\N	96	21962	UROK	\N	\N
3590237	1815	1998-05-31	PRIJEM	\N	108	24163	UROK	\N	\N
3590238	1815	1998-06-30	PRIJEM	\N	131	29239	UROK	\N	\N
3590239	1815	1998-07-31	PRIJEM	\N	140	33172	UROK	\N	\N
3590240	1815	1998-08-31	PRIJEM	\N	147	33213	UROK	\N	\N
3590241	1815	1998-09-30	PRIJEM	\N	143	31049	UROK	\N	\N
3590242	1815	1998-10-31	PRIJEM	\N	132	26373	UROK	\N	\N
3590243	1815	1998-11-30	PRIJEM	\N	121	27688	UROK	\N	\N
3590244	1815	1998-12-31	PRIJEM	\N	159	42692	UROK	\N	\N
3590245	1816	1993-10-31	PRIJEM	\N	14	5250	UROK	\N	\N
3590246	1816	1993-11-30	PRIJEM	\N	22	9508	UROK	\N	\N
3590247	1816	1993-12-31	PRIJEM	\N	22	13766	UROK	\N	\N
3590248	1816	1994-01-31	PRIJEM	\N	22	18024	UROK	\N	\N
3590249	1816	1994-02-28	PRIJEM	\N	24	22284	UROK	\N	\N
3590250	1816	1994-03-31	PRIJEM	\N	95	21777	UROK	\N	\N
3590251	1816	1994-04-30	PRIJEM	\N	94	23268	UROK	\N	\N
3590252	1816	1994-05-31	PRIJEM	\N	101	24766	UROK	\N	\N
3590253	1816	1994-06-30	PRIJEM	\N	101	24965	UROK	\N	\N
3590254	1816	1994-07-31	PRIJEM	\N	99	22982	UROK	\N	\N
3590255	1816	1994-08-31	PRIJEM	\N	100	24478	UROK	\N	\N
3590256	1816	1994-09-30	PRIJEM	\N	98	24054	UROK	\N	\N
3590257	1816	1994-10-31	PRIJEM	\N	104	25555	UROK	\N	\N
3590258	1816	1994-11-30	PRIJEM	\N	110	27063	UROK	\N	\N
3590259	1816	1994-12-31	PRIJEM	\N	110	24390	UROK	\N	\N
3590260	1816	1995-01-31	PRIJEM	\N	81	13218	UROK	\N	\N
3590261	1816	1995-02-28	PRIJEM	\N	59	14674	UROK	\N	\N
3590262	1816	1995-03-31	PRIJEM	\N	63	13334	UROK	\N	\N
3590263	1816	1995-04-30	PRIJEM	\N	59	14791	UROK	\N	\N
3590264	1816	1995-05-31	PRIJEM	\N	65	16253	UROK	\N	\N
3590265	1816	1995-06-30	PRIJEM	\N	65	13956	UROK	\N	\N
3590266	1816	1995-07-31	PRIJEM	\N	62	15415	UROK	\N	\N
3590267	1816	1995-08-31	PRIJEM	\N	68	16880	UROK	\N	\N
3590268	1816	1995-09-30	PRIJEM	\N	74	18351	UROK	\N	\N
3590269	1816	1995-10-31	PRIJEM	\N	79	17987	UROK	\N	\N
3590270	1816	1995-11-30	PRIJEM	\N	78	19463	UROK	\N	\N
3590271	1816	1995-12-31	PRIJEM	\N	75	18105	UROK	\N	\N
3590272	1816	1996-01-31	PRIJEM	\N	69	14511	UROK	\N	\N
3590273	1816	1996-02-29	PRIJEM	\N	64	15972	UROK	\N	\N
3590274	1816	1996-03-31	PRIJEM	\N	66	16555	UROK	\N	\N
3590275	1816	1996-04-30	PRIJEM	\N	72	18025	UROK	\N	\N
3590276	1816	1996-05-31	PRIJEM	\N	68	16610	UROK	\N	\N
3590277	1816	1996-06-30	PRIJEM	\N	72	18079	UROK	\N	\N
3590278	1816	1996-07-31	PRIJEM	\N	71	15948	UROK	\N	\N
3590279	1816	1996-08-31	PRIJEM	\N	70	17415	UROK	\N	\N
3590280	1816	1996-09-30	PRIJEM	\N	76	18888	UROK	\N	\N
3590281	1816	1996-10-31	PRIJEM	\N	82	20367	UROK	\N	\N
3590282	1816	1996-11-30	PRIJEM	\N	79	16323	UROK	\N	\N
3590283	1816	1996-12-31	PRIJEM	\N	70	17391	UROK	\N	\N
3590284	1816	1997-01-31	PRIJEM	\N	65	15033	UROK	\N	\N
3590285	1816	1997-02-28	PRIJEM	\N	65	16496	UROK	\N	\N
3590286	1816	1997-03-31	PRIJEM	\N	72	17965	UROK	\N	\N
3590287	1816	1997-04-30	PRIJEM	\N	78	19440	UROK	\N	\N
3590288	1816	1997-05-31	PRIJEM	\N	75	17232	UROK	\N	\N
3590289	1816	1997-06-30	PRIJEM	\N	74	18703	UROK	\N	\N
3590290	1816	1997-07-31	PRIJEM	\N	80	17941	UROK	\N	\N
3590291	1816	1997-08-31	PRIJEM	\N	77	19415	UROK	\N	\N
3590292	1816	1997-09-30	PRIJEM	\N	83	20896	UROK	\N	\N
3590293	1816	1997-10-31	PRIJEM	\N	90	22383	UROK	\N	\N
3590294	1816	1997-11-30	PRIJEM	\N	90	21910	UROK	\N	\N
3590295	1816	1997-12-31	PRIJEM	\N	87	21644	UROK	\N	\N
3590296	1816	1998-01-31	PRIJEM	\N	73	16025	UROK	\N	\N
3590297	1816	1998-02-28	PRIJEM	\N	69	17491	UROK	\N	\N
3590298	1816	1998-03-31	PRIJEM	\N	75	18964	UROK	\N	\N
3590299	1816	1998-04-30	PRIJEM	\N	73	17054	UROK	\N	\N
3590300	1816	1998-05-31	PRIJEM	\N	68	16219	UROK	\N	\N
3590301	1816	1998-06-30	PRIJEM	\N	67	16683	UROK	\N	\N
3590302	1816	1998-07-31	PRIJEM	\N	71	18152	UROK	\N	\N
3590303	1816	1998-08-31	PRIJEM	\N	69	16218	UROK	\N	\N
3590304	1816	1998-09-30	PRIJEM	\N	69	17685	UROK	\N	\N
3590305	1816	1998-10-31	PRIJEM	\N	72	18434	UROK	\N	\N
3590306	1816	1998-11-30	PRIJEM	\N	74	18065	UROK	\N	\N
3590307	1816	1998-12-31	PRIJEM	\N	76	19189	UROK	\N	\N
3590308	1817	1997-01-31	PRIJEM	\N	48	21215	UROK	\N	\N
3590309	1817	1997-02-28	PRIJEM	\N	110	30992	UROK	\N	\N
3590310	1817	1997-03-31	PRIJEM	\N	150	40809	UROK	\N	\N
3590311	1817	1997-04-30	PRIJEM	\N	173	42649	UROK	\N	\N
3590312	1817	1997-05-31	PRIJEM	\N	167	37653	UROK	\N	\N
3590313	1817	1997-06-30	PRIJEM	\N	179	36836	UROK	\N	\N
3590314	1817	1997-07-31	PRIJEM	\N	164	41321	UROK	\N	\N
3590315	1817	1997-08-31	PRIJEM	\N	159	34801	UROK	\N	\N
3590316	1817	1997-09-30	PRIJEM	\N	162	41485	UROK	\N	\N
3590317	1817	1997-10-31	PRIJEM	\N	179	41585	UROK	\N	\N
3590318	1817	1997-11-30	PRIJEM	\N	183	45189	UROK	\N	\N
3590319	1817	1997-12-31	PRIJEM	\N	216	54909	UROK	\N	\N
3590320	1817	1998-01-31	PRIJEM	\N	198	43928	UROK	\N	\N
3590321	1817	1998-02-28	PRIJEM	\N	183	43733	UROK	\N	\N
3590322	1817	1998-03-31	PRIJEM	\N	189	46043	UROK	\N	\N
3590323	1817	1998-04-30	PRIJEM	\N	197	46961	UROK	\N	\N
3590324	1817	1998-05-31	PRIJEM	\N	190	43972	UROK	\N	\N
3590325	1817	1998-06-30	PRIJEM	\N	162	38239	UROK	\N	\N
3590326	1817	1998-07-31	PRIJEM	\N	170	42130	UROK	\N	\N
3590327	1817	1998-08-31	PRIJEM	\N	185	43436	UROK	\N	\N
3590328	1817	1998-09-30	PRIJEM	\N	205	52761	UROK	\N	\N
3590329	1817	1998-10-31	PRIJEM	\N	229	56412	UROK	\N	\N
3590330	1817	1998-11-30	PRIJEM	\N	227	57261	UROK	\N	\N
3590331	1817	1998-12-31	PRIJEM	\N	258	60023	UROK	\N	\N
3590332	1819	1996-11-30	PRIJEM	\N	53	34671	UROK	\N	\N
3590333	1819	1996-12-31	PRIJEM	\N	189	69900	UROK	\N	\N
3590334	1819	1997-01-31	PRIJEM	\N	291	43090	UROK	\N	\N
3590335	1819	1997-02-28	PRIJEM	\N	280	52043	UROK	\N	\N
3590336	1819	1997-03-31	PRIJEM	\N	216	38959	UROK	\N	\N
3590337	1819	1997-04-30	PRIJEM	\N	216	35575	UROK	\N	\N
3590338	1819	1997-05-31	PRIJEM	\N	216	31090	UROK	\N	\N
3590339	1819	1997-06-30	PRIJEM	\N	163	32067	UROK	\N	\N
3590340	1819	1997-07-31	PRIJEM	\N	134	52317	UROK	\N	\N
3590341	1819	1997-08-31	PRIJEM	\N	167	27324	UROK	\N	\N
3590342	1819	1997-09-30	PRIJEM	\N	84	19223	UROK	\N	\N
3590343	1819	1997-10-31	PRIJEM	\N	67	18905	UROK	\N	\N
3590344	1819	1997-11-30	PRIJEM	\N	70	20190	UROK	\N	\N
3590345	1819	1997-12-31	PRIJEM	\N	65	18170	UROK	\N	\N
3590346	1819	1998-01-31	PRIJEM	\N	134	49213	UROK	\N	\N
3590347	1819	1998-02-28	PRIJEM	\N	293	73080	UROK	\N	\N
3590348	1819	1998-03-31	PRIJEM	\N	324	87474	UROK	\N	\N
3590349	1819	1998-04-30	PRIJEM	\N	372	95115	UROK	\N	\N
3590350	1819	1998-05-31	PRIJEM	\N	255	41594	UROK	\N	\N
3590351	1819	1998-06-30	PRIJEM	\N	191	78185	UROK	\N	\N
3590352	1819	1998-07-31	PRIJEM	\N	289	66869	UROK	\N	\N
3590353	1819	1998-08-31	PRIJEM	\N	251	52645	UROK	\N	\N
3590354	1819	1998-09-30	PRIJEM	\N	131	23200	UROK	\N	\N
3590355	1819	1998-10-31	PRIJEM	\N	258	82992	UROK	\N	\N
3590356	1819	1998-11-30	PRIJEM	\N	294	84847	UROK	\N	\N
3590357	1819	1998-12-31	PRIJEM	\N	322	105344	UROK	\N	\N
3590358	1820	1994-05-31	PRIJEM	\N	25	18496	UROK	\N	\N
3590359	1820	1994-06-30	PRIJEM	\N	97	32849	UROK	\N	\N
3590360	1820	1994-07-31	PRIJEM	\N	145	38865	UROK	\N	\N
3590361	1820	1994-08-31	PRIJEM	\N	162	39298	UROK	\N	\N
3590362	1820	1994-09-30	PRIJEM	\N	161	38231	UROK	\N	\N
3590363	1820	1994-10-31	PRIJEM	\N	166	35059	UROK	\N	\N
3590364	1820	1994-11-30	PRIJEM	\N	156	33217	UROK	\N	\N
3590365	1820	1994-12-31	PRIJEM	\N	161	33766	UROK	\N	\N
3590366	1820	1995-01-31	PRIJEM	\N	131	29179	UROK	\N	\N
3590367	1820	1995-02-28	PRIJEM	\N	142	34983	UROK	\N	\N
3590368	1820	1995-03-31	PRIJEM	\N	149	29795	UROK	\N	\N
3590369	1820	1995-04-30	PRIJEM	\N	143	34400	UROK	\N	\N
3590370	1820	1995-05-31	PRIJEM	\N	147	32729	UROK	\N	\N
3590371	1820	1995-06-30	PRIJEM	\N	161	36738	UROK	\N	\N
3590372	1820	1995-07-31	PRIJEM	\N	165	38365	UROK	\N	\N
3590373	1820	1995-08-31	PRIJEM	\N	163	36891	UROK	\N	\N
3590374	1820	1995-09-30	PRIJEM	\N	156	34549	UROK	\N	\N
3590375	1820	1995-10-31	PRIJEM	\N	153	36064	UROK	\N	\N
3590376	1820	1995-11-30	PRIJEM	\N	159	37986	UROK	\N	\N
3590377	1820	1995-12-31	PRIJEM	\N	164	33878	UROK	\N	\N
3590378	1820	1996-01-31	PRIJEM	\N	111	16572	UROK	\N	\N
3590379	1820	1996-02-29	PRIJEM	\N	94	24928	UROK	\N	\N
3590380	1820	1996-03-31	PRIJEM	\N	118	29309	UROK	\N	\N
3590381	1820	1996-04-30	PRIJEM	\N	125	29796	UROK	\N	\N
3590382	1820	1996-05-31	PRIJEM	\N	133	32071	UROK	\N	\N
3590383	1820	1996-06-30	PRIJEM	\N	147	33666	UROK	\N	\N
3590384	1820	1996-07-31	PRIJEM	\N	122	27570	UROK	\N	\N
3590385	1820	1996-08-31	PRIJEM	\N	112	27145	UROK	\N	\N
3590386	1820	1996-09-30	PRIJEM	\N	149	39356	UROK	\N	\N
3590387	1820	1996-10-31	PRIJEM	\N	175	43793	UROK	\N	\N
3590388	1820	1996-11-30	PRIJEM	\N	176	43732	UROK	\N	\N
3590389	1820	1996-12-31	PRIJEM	\N	197	49076	UROK	\N	\N
3590390	1820	1997-01-31	PRIJEM	\N	184	45583	UROK	\N	\N
3590391	1820	1997-02-28	PRIJEM	\N	167	41512	UROK	\N	\N
3590392	1820	1997-03-31	PRIJEM	\N	173	43247	UROK	\N	\N
3590393	1820	1997-04-30	PRIJEM	\N	165	40614	UROK	\N	\N
3590394	1820	1997-05-31	PRIJEM	\N	165	41741	UROK	\N	\N
3590395	1820	1997-06-30	PRIJEM	\N	183	47972	UROK	\N	\N
3590396	1820	1997-07-31	PRIJEM	\N	188	47123	UROK	\N	\N
3590397	1820	1997-08-31	PRIJEM	\N	175	43660	UROK	\N	\N
3590398	1820	1997-09-30	PRIJEM	\N	167	42090	UROK	\N	\N
3590399	1820	1997-10-31	PRIJEM	\N	151	33863	UROK	\N	\N
3590400	1820	1997-11-30	PRIJEM	\N	133	33518	UROK	\N	\N
3590401	1820	1997-12-31	PRIJEM	\N	153	40559	UROK	\N	\N
3590402	1820	1998-01-31	PRIJEM	\N	132	29594	UROK	\N	\N
3590403	1820	1998-02-28	PRIJEM	\N	114	27370	UROK	\N	\N
3590404	1820	1998-03-31	PRIJEM	\N	105	27437	UROK	\N	\N
3590405	1820	1998-04-30	PRIJEM	\N	104	27404	UROK	\N	\N
3590406	1820	1998-05-31	PRIJEM	\N	93	23959	UROK	\N	\N
3590407	1820	1998-06-30	PRIJEM	\N	139	37846	UROK	\N	\N
3590408	1820	1998-07-31	PRIJEM	\N	127	19295	UROK	\N	\N
3590409	1820	1998-08-31	PRIJEM	\N	101	18959	UROK	\N	\N
3590410	1820	1998-09-30	PRIJEM	\N	100	20441	UROK	\N	\N
3590411	1820	1998-10-31	PRIJEM	\N	103	16206	UROK	\N	\N
3590412	1820	1998-11-30	PRIJEM	\N	81	15909	UROK	\N	\N
3590413	1820	1998-12-31	PRIJEM	\N	110	29686	UROK	\N	\N
3590414	1821	1995-04-30	PRIJEM	\N	61	20942	UROK	\N	\N
3590415	1821	1995-05-31	PRIJEM	\N	146	40869	UROK	\N	\N
3590416	1821	1995-06-30	PRIJEM	\N	230	61670	UROK	\N	\N
3590417	1821	1995-07-31	PRIJEM	\N	258	62409	UROK	\N	\N
3590418	1821	1995-08-31	PRIJEM	\N	242	54947	UROK	\N	\N
3590419	1821	1995-09-30	PRIJEM	\N	195	47023	UROK	\N	\N
3590420	1821	1995-10-31	PRIJEM	\N	177	38142	UROK	\N	\N
3590421	1821	1995-11-30	PRIJEM	\N	164	38287	UROK	\N	\N
3590422	1821	1995-12-31	PRIJEM	\N	184	44563	UROK	\N	\N
3590423	1821	1996-01-31	PRIJEM	\N	175	39139	UROK	\N	\N
3590424	1821	1996-02-29	PRIJEM	\N	165	38286	UROK	\N	\N
3590425	1821	1996-03-31	PRIJEM	\N	169	40137	UROK	\N	\N
3590426	1821	1996-04-30	PRIJEM	\N	168	38886	UROK	\N	\N
3590427	1821	1996-05-31	PRIJEM	\N	174	42242	UROK	\N	\N
3590428	1821	1996-06-30	PRIJEM	\N	165	48979	UROK	\N	\N
3590429	1821	1996-07-31	PRIJEM	\N	164	25185	UROK	\N	\N
3590430	1821	1996-08-31	PRIJEM	\N	125	22291	UROK	\N	\N
3590431	1821	1996-09-30	PRIJEM	\N	113	20646	UROK	\N	\N
3590432	1821	1996-10-31	PRIJEM	\N	106	21234	UROK	\N	\N
3590433	1821	1996-11-30	PRIJEM	\N	109	23224	UROK	\N	\N
3590434	1821	1996-12-31	PRIJEM	\N	137	30532	UROK	\N	\N
3590435	1821	1997-01-31	PRIJEM	\N	138	26951	UROK	\N	\N
3590436	1821	1997-02-28	PRIJEM	\N	126	26379	UROK	\N	\N
3590437	1821	1997-03-31	PRIJEM	\N	129	28290	UROK	\N	\N
3590438	1821	1997-04-30	PRIJEM	\N	135	28606	UROK	\N	\N
3590439	1821	1997-05-31	PRIJEM	\N	136	28824	UROK	\N	\N
3590440	1821	1997-06-30	PRIJEM	\N	123	23739	UROK	\N	\N
3590441	1821	1997-07-31	PRIJEM	\N	117	26537	UROK	\N	\N
3590442	1821	1997-08-31	PRIJEM	\N	126	28344	UROK	\N	\N
3590443	1821	1997-09-30	PRIJEM	\N	129	27534	UROK	\N	\N
3590444	1821	1997-10-31	PRIJEM	\N	129	25264	UROK	\N	\N
3590445	1821	1997-11-30	PRIJEM	\N	100	25986	UROK	\N	\N
3590446	1821	1997-12-31	PRIJEM	\N	135	21112	UROK	\N	\N
3590447	1821	1998-01-31	PRIJEM	\N	83	14917	UROK	\N	\N
3590448	1821	1998-02-28	PRIJEM	\N	79	20458	UROK	\N	\N
3590449	1821	1998-03-31	PRIJEM	\N	89	15828	UROK	\N	\N
3590450	1821	1998-04-30	PRIJEM	\N	73	14482	UROK	\N	\N
3590451	1821	1998-05-31	PRIJEM	\N	85	25549	UROK	\N	\N
3590452	1821	1998-06-30	PRIJEM	\N	120	24040	UROK	\N	\N
3590453	1821	1998-07-31	PRIJEM	\N	95	17037	UROK	\N	\N
3590454	1821	1998-08-31	PRIJEM	\N	75	16193	UROK	\N	\N
3590455	1821	1998-09-30	PRIJEM	\N	69	15143	UROK	\N	\N
3590456	1821	1998-10-31	PRIJEM	\N	68	15692	UROK	\N	\N
3590457	1821	1998-11-30	PRIJEM	\N	64	14038	UROK	\N	\N
3590458	1821	1998-12-31	PRIJEM	\N	106	30636	UROK	\N	\N
3590459	1822	1993-05-31	PRIJEM	\N	18	6128	UROK	\N	\N
3590460	1822	1993-06-30	PRIJEM	\N	26	11364	UROK	\N	\N
3590461	1822	1993-07-31	PRIJEM	\N	26	16599	UROK	\N	\N
3590462	1822	1993-08-31	PRIJEM	\N	26	21834	UROK	\N	\N
3590463	1822	1993-09-30	PRIJEM	\N	75	25124	UROK	\N	\N
3590464	1822	1993-10-31	PRIJEM	\N	101	23945	UROK	\N	\N
3590465	1822	1993-11-30	PRIJEM	\N	108	27252	UROK	\N	\N
3590466	1822	1993-12-31	PRIJEM	\N	121	29672	UROK	\N	\N
3590467	1822	1994-01-31	PRIJEM	\N	104	23976	UROK	\N	\N
3590468	1822	1994-02-28	PRIJEM	\N	100	23996	UROK	\N	\N
3590469	1822	1994-03-31	PRIJEM	\N	109	27303	UROK	\N	\N
3590470	1822	1994-04-30	PRIJEM	\N	122	30625	UROK	\N	\N
3590471	1822	1994-05-31	PRIJEM	\N	120	27544	UROK	\N	\N
3590472	1822	1994-06-30	PRIJEM	\N	105	17169	UROK	\N	\N
3590473	1822	1994-07-31	PRIJEM	\N	80	20448	UROK	\N	\N
3590474	1822	1994-08-31	PRIJEM	\N	94	23741	UROK	\N	\N
3590475	1822	1994-09-30	PRIJEM	\N	106	25447	UROK	\N	\N
3590476	1822	1994-10-31	PRIJEM	\N	114	27660	UROK	\N	\N
3590477	1822	1994-11-30	PRIJEM	\N	121	26680	UROK	\N	\N
3590478	1822	1994-12-31	PRIJEM	\N	117	27247	UROK	\N	\N
3590479	1822	1995-01-31	PRIJEM	\N	111	23397	UROK	\N	\N
3590480	1822	1995-02-28	PRIJEM	\N	103	23299	UROK	\N	\N
3590481	1822	1995-03-31	PRIJEM	\N	95	20274	UROK	\N	\N
3590482	1822	1995-04-30	PRIJEM	\N	93	23566	UROK	\N	\N
3590483	1822	1995-05-31	PRIJEM	\N	105	25771	UROK	\N	\N
3590484	1822	1995-06-30	PRIJEM	\N	82	16622	UROK	\N	\N
3590485	1822	1995-07-31	PRIJEM	\N	74	17975	UROK	\N	\N
3590486	1822	1995-08-31	PRIJEM	\N	83	21257	UROK	\N	\N
3590487	1822	1995-09-30	PRIJEM	\N	97	24553	UROK	\N	\N
3590488	1822	1995-10-31	PRIJEM	\N	104	21876	UROK	\N	\N
3590489	1822	1995-11-30	PRIJEM	\N	99	25175	UROK	\N	\N
3590490	1822	1995-12-31	PRIJEM	\N	107	24431	UROK	\N	\N
3590491	1822	1996-01-31	PRIJEM	\N	93	19483	UROK	\N	\N
3590492	1822	1996-02-29	PRIJEM	\N	79	19002	UROK	\N	\N
3590493	1822	1996-03-31	PRIJEM	\N	87	22288	UROK	\N	\N
3590494	1822	1996-04-30	PRIJEM	\N	95	22383	UROK	\N	\N
3590495	1822	1996-05-31	PRIJEM	\N	99	24381	UROK	\N	\N
3590496	1822	1996-06-30	PRIJEM	\N	90	20070	UROK	\N	\N
3590497	1822	1996-07-31	PRIJEM	\N	91	23361	UROK	\N	\N
3590498	1822	1996-08-31	PRIJEM	\N	98	24099	UROK	\N	\N
3590499	1822	1996-09-30	PRIJEM	\N	106	26445	UROK	\N	\N
3590500	1822	1996-10-31	PRIJEM	\N	109	24633	UROK	\N	\N
3590501	1822	1996-11-30	PRIJEM	\N	110	27382	UROK	\N	\N
3590502	1822	1996-12-31	PRIJEM	\N	120	29701	UROK	\N	\N
3590503	1822	1997-01-31	PRIJEM	\N	99	22119	UROK	\N	\N
3590504	1822	1997-02-28	PRIJEM	\N	98	24376	UROK	\N	\N
3590505	1822	1997-03-31	PRIJEM	\N	109	27684	UROK	\N	\N
3590506	1822	1997-04-30	PRIJEM	\N	122	31006	UROK	\N	\N
3590507	1822	1997-05-31	PRIJEM	\N	136	34341	UROK	\N	\N
3590508	1822	1997-06-30	PRIJEM	\N	126	28817	UROK	\N	\N
3590509	1822	1997-07-31	PRIJEM	\N	127	32143	UROK	\N	\N
3590510	1822	1997-08-31	PRIJEM	\N	141	35483	UROK	\N	\N
3590511	1822	1997-09-30	PRIJEM	\N	154	38837	UROK	\N	\N
3590512	1822	1997-10-31	PRIJEM	\N	168	42205	UROK	\N	\N
3590513	1822	1997-11-30	PRIJEM	\N	179	42543	UROK	\N	\N
3590514	1822	1997-12-31	PRIJEM	\N	181	43764	UROK	\N	\N
3590515	1822	1998-01-31	PRIJEM	\N	167	37610	UROK	\N	\N
3590516	1822	1998-02-28	PRIJEM	\N	162	40972	UROK	\N	\N
3590517	1822	1998-03-31	PRIJEM	\N	166	38817	UROK	\N	\N
3590518	1822	1998-04-30	PRIJEM	\N	163	40020	UROK	\N	\N
3590519	1822	1998-05-31	PRIJEM	\N	173	43392	UROK	\N	\N
3590520	1822	1998-06-30	PRIJEM	\N	172	31384	UROK	\N	\N
3590521	1822	1998-07-31	PRIJEM	\N	137	34720	UROK	\N	\N
3590522	1822	1998-08-31	PRIJEM	\N	145	35104	UROK	\N	\N
3590523	1822	1998-09-30	PRIJEM	\N	152	38455	UROK	\N	\N
3590524	1822	1998-10-31	PRIJEM	\N	156	35810	UROK	\N	\N
3590525	1822	1998-11-30	PRIJEM	\N	154	39164	UROK	\N	\N
3590526	1822	1998-12-31	PRIJEM	\N	168	41981	UROK	\N	\N
3590527	1823	1997-02-28	PRIJEM	\N	83	22541	UROK	\N	\N
3590528	1823	1997-03-31	PRIJEM	\N	102	22722	UROK	\N	\N
3590529	1823	1997-04-30	PRIJEM	\N	96	19717	UROK	\N	\N
3590530	1823	1997-05-31	PRIJEM	\N	89	18585	UROK	\N	\N
3590531	1823	1997-06-30	PRIJEM	\N	82	15747	UROK	\N	\N
3590532	1823	1997-07-31	PRIJEM	\N	74	17200	UROK	\N	\N
3590533	1823	1997-08-31	PRIJEM	\N	76	14855	UROK	\N	\N
3590534	1823	1997-09-30	PRIJEM	\N	71	15186	UROK	\N	\N
3590535	1823	1997-10-31	PRIJEM	\N	72	12637	UROK	\N	\N
3590536	1823	1997-11-30	PRIJEM	\N	65	13281	UROK	\N	\N
3590537	1823	1997-12-31	PRIJEM	\N	65	13826	UROK	\N	\N
3590538	1823	1998-01-31	PRIJEM	\N	62	12867	UROK	\N	\N
3590539	1823	1998-02-28	PRIJEM	\N	56	10482	UROK	\N	\N
3590540	1823	1998-03-31	PRIJEM	\N	53	13115	UROK	\N	\N
3590541	1823	1998-04-30	PRIJEM	\N	64	15758	UROK	\N	\N
3590542	1823	1998-05-31	PRIJEM	\N	79	17377	UROK	\N	\N
3590543	1823	1998-06-30	PRIJEM	\N	90	20046	UROK	\N	\N
3590544	1823	1998-07-31	PRIJEM	\N	76	12402	UROK	\N	\N
3590545	1823	1998-08-31	PRIJEM	\N	69	15050	UROK	\N	\N
3590546	1823	1998-09-30	PRIJEM	\N	65	14574	UROK	\N	\N
3590547	1823	1998-10-31	PRIJEM	\N	70	17224	UROK	\N	\N
3590548	1823	1998-11-30	PRIJEM	\N	77	18360	UROK	\N	\N
3590549	1823	1998-12-31	PRIJEM	\N	91	20180	UROK	\N	\N
3590550	1824	1994-02-28	PRIJEM	\N	43	22111	UROK	\N	\N
3590551	1824	1994-03-31	PRIJEM	\N	115	34193	UROK	\N	\N
3590552	1824	1994-04-30	PRIJEM	\N	153	40015	UROK	\N	\N
3590553	1824	1994-05-31	PRIJEM	\N	180	46963	UROK	\N	\N
3590554	1824	1994-06-30	PRIJEM	\N	238	50624	UROK	\N	\N
3590555	1824	1994-07-31	PRIJEM	\N	208	43151	UROK	\N	\N
3590556	1824	1994-08-31	PRIJEM	\N	183	38634	UROK	\N	\N
3590557	1824	1994-09-30	PRIJEM	\N	172	39125	UROK	\N	\N
3590558	1824	1994-10-31	PRIJEM	\N	167	33411	UROK	\N	\N
3590559	1824	1994-11-30	PRIJEM	\N	149	33179	UROK	\N	\N
3590560	1824	1994-12-31	PRIJEM	\N	158	38210	UROK	\N	\N
3590561	1824	1995-01-31	PRIJEM	\N	135	25445	UROK	\N	\N
3590562	1824	1995-02-28	PRIJEM	\N	125	30510	UROK	\N	\N
3590563	1824	1995-03-31	PRIJEM	\N	143	33771	UROK	\N	\N
3590564	1824	1995-04-30	PRIJEM	\N	150	35241	UROK	\N	\N
3590565	1824	1995-05-31	PRIJEM	\N	148	34248	UROK	\N	\N
3590566	1824	1995-06-30	PRIJEM	\N	172	42273	UROK	\N	\N
3590567	1824	1995-07-31	PRIJEM	\N	154	35866	UROK	\N	\N
3590568	1824	1995-08-31	PRIJEM	\N	146	34032	UROK	\N	\N
3590569	1824	1995-09-30	PRIJEM	\N	144	36955	UROK	\N	\N
3590570	1824	1995-10-31	PRIJEM	\N	161	39535	UROK	\N	\N
3590571	1824	1995-11-30	PRIJEM	\N	197	51152	UROK	\N	\N
3590572	1824	1995-12-31	PRIJEM	\N	252	64898	UROK	\N	\N
3590573	1824	1996-01-31	PRIJEM	\N	220	50416	UROK	\N	\N
3590574	1824	1996-02-29	PRIJEM	\N	215	52431	UROK	\N	\N
3590575	1824	1996-03-31	PRIJEM	\N	216	53866	UROK	\N	\N
3590576	1824	1996-04-30	PRIJEM	\N	229	57034	UROK	\N	\N
3590577	1824	1996-05-31	PRIJEM	\N	229	57682	UROK	\N	\N
3590578	1824	1996-06-30	PRIJEM	\N	276	73511	UROK	\N	\N
3590579	1824	1996-07-31	PRIJEM	\N	274	63784	UROK	\N	\N
3590580	1824	1996-08-31	PRIJEM	\N	226	56729	UROK	\N	\N
3590581	1824	1996-09-30	PRIJEM	\N	200	50068	UROK	\N	\N
3590582	1824	1996-10-31	PRIJEM	\N	204	52791	UROK	\N	\N
3590583	1824	1996-11-30	PRIJEM	\N	195	49466	UROK	\N	\N
3590584	1824	1996-12-31	PRIJEM	\N	240	61739	UROK	\N	\N
3590585	1824	1997-01-31	PRIJEM	\N	163	40381	UROK	\N	\N
3590586	1824	1997-02-28	PRIJEM	\N	198	52199	UROK	\N	\N
3590587	1824	1997-03-31	PRIJEM	\N	222	57640	UROK	\N	\N
3590588	1824	1997-04-30	PRIJEM	\N	235	60494	UROK	\N	\N
3590589	1824	1997-05-31	PRIJEM	\N	245	60178	UROK	\N	\N
3590590	1824	1997-06-30	PRIJEM	\N	289	74721	UROK	\N	\N
3590591	1824	1997-07-31	PRIJEM	\N	247	47187	UROK	\N	\N
3590592	1824	1997-08-31	PRIJEM	\N	233	48139	UROK	\N	\N
3590593	1824	1997-09-30	PRIJEM	\N	236	49795	UROK	\N	\N
3590594	1824	1997-10-31	PRIJEM	\N	243	53557	UROK	\N	\N
3590595	1824	1997-11-30	PRIJEM	\N	253	49809	UROK	\N	\N
3590596	1824	1997-12-31	PRIJEM	\N	263	54885	UROK	\N	\N
3590597	1824	1998-01-31	PRIJEM	\N	237	47422	UROK	\N	\N
3590598	1824	1998-02-28	PRIJEM	\N	220	46161	UROK	\N	\N
3590599	1824	1998-03-31	PRIJEM	\N	221	46842	UROK	\N	\N
3590600	1824	1998-04-30	PRIJEM	\N	228	51189	UROK	\N	\N
3590601	1824	1998-05-31	PRIJEM	\N	246	56054	UROK	\N	\N
3590602	1824	1998-06-30	PRIJEM	\N	294	63602	UROK	\N	\N
3590603	1824	1998-07-31	PRIJEM	\N	280	59101	UROK	\N	\N
3590604	1824	1998-08-31	PRIJEM	\N	271	59692	UROK	\N	\N
3590605	1824	1998-09-30	PRIJEM	\N	267	60538	UROK	\N	\N
3590606	1824	1998-10-31	PRIJEM	\N	278	63635	UROK	\N	\N
3590607	1824	1998-11-30	PRIJEM	\N	289	66344	UROK	\N	\N
3590608	1824	1998-12-31	PRIJEM	\N	322	72080	UROK	\N	\N
3590609	1825	1995-12-31	PRIJEM	\N	45	13353	UROK	\N	\N
3590610	1825	1996-01-31	PRIJEM	\N	99	26391	UROK	\N	\N
3590611	1825	1996-02-29	PRIJEM	\N	128	31958	UROK	\N	\N
3590612	1825	1996-03-31	PRIJEM	\N	141	34438	UROK	\N	\N
3590613	1825	1996-04-30	PRIJEM	\N	138	32302	UROK	\N	\N
3590614	1825	1996-05-31	PRIJEM	\N	135	31848	UROK	\N	\N
3590615	1825	1996-06-30	PRIJEM	\N	137	28065	UROK	\N	\N
3590616	1825	1996-07-31	PRIJEM	\N	125	30002	UROK	\N	\N
3590617	1825	1996-08-31	PRIJEM	\N	138	32951	UROK	\N	\N
3590618	1825	1996-09-30	PRIJEM	\N	146	32808	UROK	\N	\N
3590619	1825	1996-10-31	PRIJEM	\N	154	33174	UROK	\N	\N
3590620	1825	1996-11-30	PRIJEM	\N	154	33239	UROK	\N	\N
3590621	1825	1996-12-31	PRIJEM	\N	163	35282	UROK	\N	\N
3590622	1825	1997-01-31	PRIJEM	\N	145	29338	UROK	\N	\N
3590623	1825	1997-02-28	PRIJEM	\N	138	31187	UROK	\N	\N
3590624	1825	1997-03-31	PRIJEM	\N	147	36346	UROK	\N	\N
3590625	1825	1997-04-30	PRIJEM	\N	154	37211	UROK	\N	\N
3590626	1825	1997-05-31	PRIJEM	\N	165	35988	UROK	\N	\N
3590627	1825	1997-06-30	PRIJEM	\N	118	24686	UROK	\N	\N
3590628	1825	1997-07-31	PRIJEM	\N	121	29619	UROK	\N	\N
3590629	1825	1997-08-31	PRIJEM	\N	141	33771	UROK	\N	\N
3590630	1825	1997-09-30	PRIJEM	\N	149	35032	UROK	\N	\N
3590631	1825	1997-10-31	PRIJEM	\N	161	37504	UROK	\N	\N
3590632	1825	1997-11-30	PRIJEM	\N	161	36976	UROK	\N	\N
3590633	1825	1997-12-31	PRIJEM	\N	178	43034	UROK	\N	\N
3590634	1825	1998-01-31	PRIJEM	\N	169	33915	UROK	\N	\N
3590635	1825	1998-02-28	PRIJEM	\N	164	43690	UROK	\N	\N
3590636	1825	1998-03-31	PRIJEM	\N	193	42295	UROK	\N	\N
3590637	1825	1998-04-30	PRIJEM	\N	186	45592	UROK	\N	\N
3590638	1825	1998-05-31	PRIJEM	\N	203	47906	UROK	\N	\N
3590639	1825	1998-06-30	PRIJEM	\N	221	47907	UROK	\N	\N
3590640	1825	1998-07-31	PRIJEM	\N	211	45730	UROK	\N	\N
3590641	1825	1998-08-31	PRIJEM	\N	205	49546	UROK	\N	\N
3590642	1825	1998-09-30	PRIJEM	\N	219	50376	UROK	\N	\N
3590643	1825	1998-10-31	PRIJEM	\N	222	52609	UROK	\N	\N
3590644	1825	1998-11-30	PRIJEM	\N	221	51242	UROK	\N	\N
3590645	1825	1998-12-31	PRIJEM	\N	237	58259	UROK	\N	\N
3590646	1826	1994-06-30	PRIJEM	\N	36	25670	UROK	\N	\N
3590647	1826	1994-07-31	PRIJEM	\N	119	33744	UROK	\N	\N
3590648	1826	1994-08-31	PRIJEM	\N	153	41753	UROK	\N	\N
3590649	1826	1994-09-30	PRIJEM	\N	180	45990	UROK	\N	\N
3590650	1826	1994-10-31	PRIJEM	\N	193	39918	UROK	\N	\N
3590651	1826	1994-11-30	PRIJEM	\N	175	36094	UROK	\N	\N
3590652	1826	1994-12-31	PRIJEM	\N	185	38037	UROK	\N	\N
3590653	1826	1995-01-31	PRIJEM	\N	148	23186	UROK	\N	\N
3590654	1826	1995-02-28	PRIJEM	\N	114	28420	UROK	\N	\N
3590655	1826	1995-03-31	PRIJEM	\N	139	34679	UROK	\N	\N
3590656	1826	1995-04-30	PRIJEM	\N	150	33850	UROK	\N	\N
3590657	1826	1995-05-31	PRIJEM	\N	156	37826	UROK	\N	\N
3590658	1826	1995-06-30	PRIJEM	\N	176	36060	UROK	\N	\N
3590659	1826	1995-07-31	PRIJEM	\N	156	36236	UROK	\N	\N
3590660	1826	1995-08-31	PRIJEM	\N	151	33488	UROK	\N	\N
3590661	1826	1995-09-30	PRIJEM	\N	154	38362	UROK	\N	\N
3590662	1826	1995-10-31	PRIJEM	\N	164	38647	UROK	\N	\N
3590663	1826	1995-11-30	PRIJEM	\N	161	37928	UROK	\N	\N
3590664	1826	1995-12-31	PRIJEM	\N	177	42523	UROK	\N	\N
3590665	1826	1996-01-31	PRIJEM	\N	156	25219	UROK	\N	\N
3590666	1826	1996-02-29	PRIJEM	\N	126	33166	UROK	\N	\N
3590667	1826	1996-03-31	PRIJEM	\N	153	38639	UROK	\N	\N
3590668	1826	1996-04-30	PRIJEM	\N	171	38410	UROK	\N	\N
3590669	1826	1996-05-31	PRIJEM	\N	168	38058	UROK	\N	\N
3590670	1826	1996-06-30	PRIJEM	\N	118	18374	UROK	\N	\N
3590671	1826	1996-07-31	PRIJEM	\N	96	24891	UROK	\N	\N
3590672	1826	1996-08-31	PRIJEM	\N	118	28929	UROK	\N	\N
3590673	1826	1996-09-30	PRIJEM	\N	129	27458	UROK	\N	\N
3590674	1826	1996-10-31	PRIJEM	\N	129	31108	UROK	\N	\N
3590675	1826	1996-11-30	PRIJEM	\N	139	30387	UROK	\N	\N
3590676	1826	1996-12-31	PRIJEM	\N	170	39176	UROK	\N	\N
3590677	1826	1997-01-31	PRIJEM	\N	182	36838	UROK	\N	\N
3590678	1826	1997-02-28	PRIJEM	\N	217	54875	UROK	\N	\N
3590679	1826	1997-03-31	PRIJEM	\N	230	52225	UROK	\N	\N
3590680	1826	1997-04-30	PRIJEM	\N	246	59691	UROK	\N	\N
3590681	1826	1997-05-31	PRIJEM	\N	252	59663	UROK	\N	\N
3590682	1826	1997-06-30	PRIJEM	\N	211	28453	UROK	\N	\N
3590683	1826	1997-07-31	PRIJEM	\N	174	44047	UROK	\N	\N
3590684	1826	1997-08-31	PRIJEM	\N	208	50375	UROK	\N	\N
3590685	1826	1997-09-30	PRIJEM	\N	215	50710	UROK	\N	\N
3590686	1826	1997-10-31	PRIJEM	\N	204	46635	UROK	\N	\N
3590687	1826	1997-11-30	PRIJEM	\N	195	45950	UROK	\N	\N
3590688	1826	1997-12-31	PRIJEM	\N	215	52763	UROK	\N	\N
3590689	1826	1998-01-31	PRIJEM	\N	197	35420	UROK	\N	\N
3590690	1826	1998-02-28	PRIJEM	\N	158	40799	UROK	\N	\N
3590691	1826	1998-03-31	PRIJEM	\N	192	46611	UROK	\N	\N
3590692	1826	1998-04-30	PRIJEM	\N	187	43218	UROK	\N	\N
3590693	1826	1998-05-31	PRIJEM	\N	169	39807	UROK	\N	\N
3590694	1826	1998-06-30	PRIJEM	\N	140	35805	UROK	\N	\N
3590695	1826	1998-07-31	PRIJEM	\N	132	31058	UROK	\N	\N
3590696	1826	1998-08-31	PRIJEM	\N	148	28126	UROK	\N	\N
3590697	1826	1998-09-30	PRIJEM	\N	136	28182	UROK	\N	\N
3590698	1826	1998-10-31	PRIJEM	\N	143	30846	UROK	\N	\N
3590699	1826	1998-11-30	PRIJEM	\N	145	31112	UROK	\N	\N
3590700	1826	1998-12-31	PRIJEM	\N	180	45910	UROK	\N	\N
3590701	1827	1993-09-30	PRIJEM	\N	13	5166	UROK	\N	\N
3590702	1827	1993-10-31	PRIJEM	\N	22	9940	UROK	\N	\N
3590703	1827	1993-11-30	PRIJEM	\N	22	14715	UROK	\N	\N
3590704	1827	1993-12-31	PRIJEM	\N	22	19489	UROK	\N	\N
3590705	1827	1994-01-31	PRIJEM	\N	56	17448	UROK	\N	\N
3590706	1827	1994-02-28	PRIJEM	\N	78	19698	UROK	\N	\N
3590707	1827	1994-03-31	PRIJEM	\N	88	21957	UROK	\N	\N
3590708	1827	1994-04-30	PRIJEM	\N	97	24225	UROK	\N	\N
3590709	1827	1994-05-31	PRIJEM	\N	107	26503	UROK	\N	\N
3590710	1827	1994-06-30	PRIJEM	\N	111	25335	UROK	\N	\N
3590711	1827	1994-07-31	PRIJEM	\N	111	26577	UROK	\N	\N
3590712	1827	1994-08-31	PRIJEM	\N	113	27661	UROK	\N	\N
3590713	1827	1994-09-30	PRIJEM	\N	121	29953	UROK	\N	\N
3590714	1827	1994-10-31	PRIJEM	\N	109	27154	UROK	\N	\N
3590715	1827	1994-11-30	PRIJEM	\N	113	27038	UROK	\N	\N
3590716	1827	1994-12-31	PRIJEM	\N	115	27425	UROK	\N	\N
3590717	1827	1995-01-31	PRIJEM	\N	99	15826	UROK	\N	\N
3590718	1827	1995-02-28	PRIJEM	\N	71	18068	UROK	\N	\N
3590719	1827	1995-03-31	PRIJEM	\N	81	20320	UROK	\N	\N
3590720	1827	1995-04-30	PRIJEM	\N	90	22581	UROK	\N	\N
3590721	1827	1995-05-31	PRIJEM	\N	98	24370	UROK	\N	\N
3590722	1827	1995-06-30	PRIJEM	\N	97	22439	UROK	\N	\N
3590723	1827	1995-07-31	PRIJEM	\N	99	24709	UROK	\N	\N
3590724	1827	1995-08-31	PRIJEM	\N	96	20016	UROK	\N	\N
3590725	1827	1995-09-30	PRIJEM	\N	89	22276	UROK	\N	\N
3590726	1827	1995-10-31	PRIJEM	\N	98	24545	UROK	\N	\N
3590727	1827	1995-11-30	PRIJEM	\N	107	26824	UROK	\N	\N
3590728	1827	1995-12-31	PRIJEM	\N	115	28360	UROK	\N	\N
3590729	1827	1996-01-31	PRIJEM	\N	80	17032	UROK	\N	\N
3590730	1827	1996-02-29	PRIJEM	\N	76	19279	UROK	\N	\N
3590731	1827	1996-03-31	PRIJEM	\N	75	17685	UROK	\N	\N
3590732	1827	1996-04-30	PRIJEM	\N	79	19935	UROK	\N	\N
3590733	1827	1996-05-31	PRIJEM	\N	88	22194	UROK	\N	\N
3590734	1827	1996-06-30	PRIJEM	\N	97	24463	UROK	\N	\N
3590735	1827	1996-07-31	PRIJEM	\N	97	22171	UROK	\N	\N
3590736	1827	1996-08-31	PRIJEM	\N	97	24440	UROK	\N	\N
3590737	1827	1996-09-30	PRIJEM	\N	105	23197	UROK	\N	\N
3590738	1827	1996-10-31	PRIJEM	\N	101	25469	UROK	\N	\N
3590739	1827	1996-11-30	PRIJEM	\N	111	27751	UROK	\N	\N
3590740	1827	1996-12-31	PRIJEM	\N	120	29693	UROK	\N	\N
3590741	1827	1997-01-31	PRIJEM	\N	110	21944	UROK	\N	\N
3590742	1827	1997-02-28	PRIJEM	\N	96	24211	UROK	\N	\N
3590743	1827	1997-03-31	PRIJEM	\N	100	24803	UROK	\N	\N
3590744	1827	1997-04-30	PRIJEM	\N	108	27081	UROK	\N	\N
3590745	1827	1997-05-31	PRIJEM	\N	117	29370	UROK	\N	\N
3590746	1827	1997-06-30	PRIJEM	\N	97	20638	UROK	\N	\N
3590747	1827	1997-07-31	PRIJEM	\N	82	19851	UROK	\N	\N
3590748	1827	1997-08-31	PRIJEM	\N	87	22110	UROK	\N	\N
3590749	1827	1997-09-30	PRIJEM	\N	96	24377	UROK	\N	\N
3590750	1827	1997-10-31	PRIJEM	\N	99	24167	UROK	\N	\N
3590751	1827	1997-11-30	PRIJEM	\N	104	26443	UROK	\N	\N
3590752	1827	1997-12-31	PRIJEM	\N	93	22037	UROK	\N	\N
3590753	1827	1998-01-31	PRIJEM	\N	79	18047	UROK	\N	\N
3590754	1827	1998-02-28	PRIJEM	\N	78	20297	UROK	\N	\N
3590755	1827	1998-03-31	PRIJEM	\N	87	20396	UROK	\N	\N
3590756	1827	1998-04-30	PRIJEM	\N	84	20971	UROK	\N	\N
3590757	1827	1998-05-31	PRIJEM	\N	89	20991	UROK	\N	\N
3590758	1827	1998-06-30	PRIJEM	\N	91	23253	UROK	\N	\N
3590759	1827	1998-07-31	PRIJEM	\N	100	25524	UROK	\N	\N
3590760	1827	1998-08-31	PRIJEM	\N	107	25723	UROK	\N	\N
3590761	1827	1998-09-30	PRIJEM	\N	110	28004	UROK	\N	\N
3590762	1827	1998-10-31	PRIJEM	\N	120	30295	UROK	\N	\N
3590763	1827	1998-11-30	PRIJEM	\N	122	30109	UROK	\N	\N
3590764	1827	1998-12-31	PRIJEM	\N	127	31957	UROK	\N	\N
3590765	1828	1994-11-30	PRIJEM	\N	84	42136	UROK	\N	\N
3590766	1828	1994-12-31	PRIJEM	\N	175	33411	UROK	\N	\N
3590767	1828	1995-01-31	PRIJEM	\N	165	29770	UROK	\N	\N
3590768	1828	1995-02-28	PRIJEM	\N	123	24193	UROK	\N	\N
3590769	1828	1995-03-31	PRIJEM	\N	228	64568	UROK	\N	\N
3590770	1828	1995-04-30	PRIJEM	\N	318	41905	UROK	\N	\N
3590771	1828	1995-05-31	PRIJEM	\N	231	54537	UROK	\N	\N
3590772	1828	1995-06-30	PRIJEM	\N	341	54542	UROK	\N	\N
3590773	1828	1995-07-31	PRIJEM	\N	213	38732	UROK	\N	\N
3590774	1828	1995-08-31	PRIJEM	\N	185	52269	UROK	\N	\N
3590775	1828	1995-09-30	PRIJEM	\N	217	52077	UROK	\N	\N
3590776	1828	1995-10-31	PRIJEM	\N	213	60309	UROK	\N	\N
3590777	1828	1995-11-30	PRIJEM	\N	396	75778	UROK	\N	\N
3590778	1828	1995-12-31	PRIJEM	\N	379	57956	UROK	\N	\N
3590779	1828	1996-01-31	PRIJEM	\N	225	73913	UROK	\N	\N
3590780	1828	1996-02-29	PRIJEM	\N	259	48458	UROK	\N	\N
3590781	1828	1996-03-31	PRIJEM	\N	165	34651	UROK	\N	\N
3590782	1828	1996-04-30	PRIJEM	\N	207	50400	UROK	\N	\N
3590783	1828	1996-05-31	PRIJEM	\N	168	29053	UROK	\N	\N
3590784	1828	1996-06-30	PRIJEM	\N	91	22429	UROK	\N	\N
3590785	1828	1996-07-31	PRIJEM	\N	188	62637	UROK	\N	\N
3590786	1828	1996-08-31	PRIJEM	\N	255	26973	UROK	\N	\N
3590787	1828	1996-09-30	PRIJEM	\N	109	46281	UROK	\N	\N
3590788	1828	1996-10-31	PRIJEM	\N	199	70169	UROK	\N	\N
3590789	1828	1996-11-30	PRIJEM	\N	244	60410	UROK	\N	\N
3590790	1828	1996-12-31	PRIJEM	\N	156	30034	UROK	\N	\N
3590791	1828	1997-01-31	PRIJEM	\N	274	78163	UROK	\N	\N
3590792	1828	1997-02-28	PRIJEM	\N	367	101786	UROK	\N	\N
3590793	1828	1997-03-31	PRIJEM	\N	331	62603	UROK	\N	\N
3590794	1828	1997-04-30	PRIJEM	\N	271	76341	UROK	\N	\N
3590795	1828	1997-05-31	PRIJEM	\N	317	84787	UROK	\N	\N
3590796	1828	1997-06-30	PRIJEM	\N	269	57061	UROK	\N	\N
3590797	1828	1997-07-31	PRIJEM	\N	200	24815	UROK	\N	\N
3590798	1828	1997-08-31	PRIJEM	\N	188	88445	UROK	\N	\N
3590799	1828	1997-09-30	PRIJEM	\N	271	53501	UROK	\N	\N
3590800	1828	1997-10-31	PRIJEM	\N	163	33249	UROK	\N	\N
3590801	1828	1997-11-30	PRIJEM	\N	155	31697	UROK	\N	\N
3590802	1828	1997-12-31	PRIJEM	\N	136	33941	UROK	\N	\N
3590803	1828	1998-01-31	PRIJEM	\N	271	102017	UROK	\N	\N
3590804	1828	1998-02-28	PRIJEM	\N	255	46672	UROK	\N	\N
3590805	1828	1998-03-31	PRIJEM	\N	219	39263	UROK	\N	\N
3590806	1828	1998-04-30	PRIJEM	\N	200	80303	UROK	\N	\N
3590807	1828	1998-05-31	PRIJEM	\N	219	42007	UROK	\N	\N
3590808	1828	1998-06-30	PRIJEM	\N	208	86826	UROK	\N	\N
3590809	1828	1998-07-31	PRIJEM	\N	253	49073	UROK	\N	\N
3590810	1828	1998-08-31	PRIJEM	\N	211	67169	UROK	\N	\N
3590811	1828	1998-09-30	PRIJEM	\N	249	86059	UROK	\N	\N
3590812	1828	1998-10-31	PRIJEM	\N	201	40046	UROK	\N	\N
3590813	1828	1998-11-30	PRIJEM	\N	91	24621	UROK	\N	\N
3590814	1828	1998-12-31	PRIJEM	\N	145	64384	UROK	\N	\N
3590815	1829	1993-03-31	PRIJEM	\N	6	15035	UROK	\N	\N
3590816	1829	1993-04-30	PRIJEM	\N	67	24631	UROK	\N	\N
3590817	1829	1993-05-31	PRIJEM	\N	104	28564	UROK	\N	\N
3590818	1829	1993-06-30	PRIJEM	\N	119	29727	UROK	\N	\N
3590819	1829	1993-07-31	PRIJEM	\N	131	26763	UROK	\N	\N
3590820	1829	1993-08-31	PRIJEM	\N	128	30122	UROK	\N	\N
3590821	1829	1993-09-30	PRIJEM	\N	131	29183	UROK	\N	\N
3590822	1829	1993-10-31	PRIJEM	\N	116	20489	UROK	\N	\N
3590823	1829	1993-11-30	PRIJEM	\N	87	22807	UROK	\N	\N
3590824	1829	1993-12-31	PRIJEM	\N	117	26690	UROK	\N	\N
3590825	1829	1994-01-31	PRIJEM	\N	97	18537	UROK	\N	\N
3590826	1829	1994-02-28	PRIJEM	\N	91	21559	UROK	\N	\N
3590827	1829	1994-03-31	PRIJEM	\N	101	26390	UROK	\N	\N
3590828	1829	1994-04-30	PRIJEM	\N	119	22539	UROK	\N	\N
3590829	1829	1994-05-31	PRIJEM	\N	99	25589	UROK	\N	\N
3590830	1829	1994-06-30	PRIJEM	\N	117	26052	UROK	\N	\N
3590831	1829	1994-07-31	PRIJEM	\N	116	25238	UROK	\N	\N
3590832	1829	1994-08-31	PRIJEM	\N	113	27481	UROK	\N	\N
3590833	1829	1994-09-30	PRIJEM	\N	119	25431	UROK	\N	\N
3590834	1829	1994-10-31	PRIJEM	\N	112	26672	UROK	\N	\N
3590835	1829	1994-11-30	PRIJEM	\N	113	23916	UROK	\N	\N
3590836	1829	1994-12-31	PRIJEM	\N	104	20225	UROK	\N	\N
3590837	1829	1995-01-31	PRIJEM	\N	71	14906	UROK	\N	\N
3590838	1829	1995-02-28	PRIJEM	\N	70	18107	UROK	\N	\N
3590839	1829	1995-03-31	PRIJEM	\N	82	20019	UROK	\N	\N
3590840	1829	1995-04-30	PRIJEM	\N	84	18733	UROK	\N	\N
3590841	1829	1995-05-31	PRIJEM	\N	74	14337	UROK	\N	\N
3590842	1829	1995-06-30	PRIJEM	\N	65	14948	UROK	\N	\N
3590843	1829	1995-07-31	PRIJEM	\N	60	11738	UROK	\N	\N
3590844	1829	1995-08-31	PRIJEM	\N	52	11520	UROK	\N	\N
3590845	1829	1995-09-30	PRIJEM	\N	58	13749	UROK	\N	\N
3590846	1829	1995-10-31	PRIJEM	\N	67	17546	UROK	\N	\N
3590847	1829	1995-11-30	PRIJEM	\N	69	15745	UROK	\N	\N
3590848	1829	1995-12-31	PRIJEM	\N	61	13591	UROK	\N	\N
3590849	1829	1996-01-31	PRIJEM	\N	58	13660	UROK	\N	\N
3590850	1829	1996-02-29	PRIJEM	\N	66	17456	UROK	\N	\N
3590851	1829	1996-03-31	PRIJEM	\N	58	11544	UROK	\N	\N
3590852	1829	1996-04-30	PRIJEM	\N	66	15340	UROK	\N	\N
3590853	1829	1996-05-31	PRIJEM	\N	73	19144	UROK	\N	\N
3590854	1829	1996-06-30	PRIJEM	\N	98	26687	UROK	\N	\N
3590855	1829	1996-07-31	PRIJEM	\N	130	30547	UROK	\N	\N
3590856	1829	1996-08-31	PRIJEM	\N	124	27921	UROK	\N	\N
3590857	1829	1996-09-30	PRIJEM	\N	134	31786	UROK	\N	\N
3590858	1829	1996-10-31	PRIJEM	\N	141	35657	UROK	\N	\N
3590859	1829	1996-11-30	PRIJEM	\N	153	37261	UROK	\N	\N
3590860	1829	1996-12-31	PRIJEM	\N	178	42965	UROK	\N	\N
3590861	1829	1997-01-31	PRIJEM	\N	82	15477	UROK	\N	\N
3590862	1829	1997-02-28	PRIJEM	\N	72	19280	UROK	\N	\N
3590863	1829	1997-03-31	PRIJEM	\N	79	19610	UROK	\N	\N
3590864	1829	1997-04-30	PRIJEM	\N	78	18738	UROK	\N	\N
3590865	1829	1997-05-31	PRIJEM	\N	85	18833	UROK	\N	\N
3590866	1829	1997-06-30	PRIJEM	\N	95	24933	UROK	\N	\N
3590867	1829	1997-07-31	PRIJEM	\N	106	23010	UROK	\N	\N
3590868	1829	1997-08-31	PRIJEM	\N	98	22758	UROK	\N	\N
3590869	1829	1997-09-30	PRIJEM	\N	80	18069	UROK	\N	\N
3590870	1829	1997-10-31	PRIJEM	\N	93	21892	UROK	\N	\N
3590871	1829	1997-11-30	PRIJEM	\N	90	18712	UROK	\N	\N
3590872	1829	1997-12-31	PRIJEM	\N	90	24167	UROK	\N	\N
3590873	1829	1998-01-31	PRIJEM	\N	86	17384	UROK	\N	\N
3590874	1829	1998-02-28	PRIJEM	\N	79	20593	UROK	\N	\N
3590875	1829	1998-03-31	PRIJEM	\N	85	19248	UROK	\N	\N
3590876	1829	1998-04-30	PRIJEM	\N	84	20183	UROK	\N	\N
3590877	1829	1998-05-31	PRIJEM	\N	101	24014	UROK	\N	\N
3590878	1829	1998-06-30	PRIJEM	\N	94	22854	UROK	\N	\N
3590879	1829	1998-07-31	PRIJEM	\N	112	26696	UROK	\N	\N
3590880	1829	1998-08-31	PRIJEM	\N	128	30554	UROK	\N	\N
3590881	1829	1998-09-30	PRIJEM	\N	143	34428	UROK	\N	\N
3590882	1829	1998-10-31	PRIJEM	\N	151	34229	UROK	\N	\N
3590883	1829	1998-11-30	PRIJEM	\N	142	19701	UROK	\N	\N
3590884	1829	1998-12-31	PRIJEM	\N	107	26453	UROK	\N	\N
3590885	1830	1993-03-31	PRIJEM	\N	60	20298	UROK	\N	\N
3590886	1830	1993-04-30	PRIJEM	\N	109	28345	UROK	\N	\N
3590887	1830	1993-05-31	PRIJEM	\N	129	32112	UROK	\N	\N
3590888	1830	1993-06-30	PRIJEM	\N	150	37269	UROK	\N	\N
3590889	1830	1993-07-31	PRIJEM	\N	139	27873	UROK	\N	\N
3590890	1830	1993-08-31	PRIJEM	\N	115	27720	UROK	\N	\N
3590891	1830	1993-09-30	PRIJEM	\N	93	20585	UROK	\N	\N
3590892	1830	1993-10-31	PRIJEM	\N	70	12866	UROK	\N	\N
3590893	1830	1993-11-30	PRIJEM	\N	75	18272	UROK	\N	\N
3590894	1830	1993-12-31	PRIJEM	\N	91	20223	UROK	\N	\N
3590895	1830	1994-01-31	PRIJEM	\N	80	13955	UROK	\N	\N
3590896	1830	1994-02-28	PRIJEM	\N	94	23480	UROK	\N	\N
3590897	1830	1994-03-31	PRIJEM	\N	89	20500	UROK	\N	\N
3590898	1830	1994-04-30	PRIJEM	\N	108	26340	UROK	\N	\N
3590899	1830	1994-05-31	PRIJEM	\N	117	27988	UROK	\N	\N
3590900	1830	1994-06-30	PRIJEM	\N	121	24250	UROK	\N	\N
3590901	1830	1994-07-31	PRIJEM	\N	108	25790	UROK	\N	\N
3590902	1830	1994-08-31	PRIJEM	\N	109	25830	UROK	\N	\N
3590903	1830	1994-09-30	PRIJEM	\N	110	24651	UROK	\N	\N
3590904	1830	1994-10-31	PRIJEM	\N	115	27898	UROK	\N	\N
3590905	1830	1994-11-30	PRIJEM	\N	105	26134	UROK	\N	\N
3590906	1830	1994-12-31	PRIJEM	\N	128	27043	UROK	\N	\N
3590907	1830	1995-01-31	PRIJEM	\N	86	19560	UROK	\N	\N
3590908	1830	1995-02-28	PRIJEM	\N	94	23485	UROK	\N	\N
3590909	1830	1995-03-31	PRIJEM	\N	99	20616	UROK	\N	\N
3590910	1830	1995-04-30	PRIJEM	\N	97	19144	UROK	\N	\N
3590911	1830	1995-05-31	PRIJEM	\N	89	16084	UROK	\N	\N
3590912	1830	1995-06-30	PRIJEM	\N	88	20352	UROK	\N	\N
3590913	1830	1995-07-31	PRIJEM	\N	94	19178	UROK	\N	\N
3590914	1830	1995-08-31	PRIJEM	\N	89	18798	UROK	\N	\N
3590915	1830	1995-09-30	PRIJEM	\N	85	15015	UROK	\N	\N
3590916	1830	1995-10-31	PRIJEM	\N	75	18921	UROK	\N	\N
3590917	1830	1995-11-30	PRIJEM	\N	77	17069	UROK	\N	\N
3590918	1830	1995-12-31	PRIJEM	\N	90	13460	UROK	\N	\N
3590919	1830	1996-01-31	PRIJEM	\N	58	13869	UROK	\N	\N
3590920	1830	1996-02-29	PRIJEM	\N	69	17770	UROK	\N	\N
3590921	1830	1996-03-31	PRIJEM	\N	86	21687	UROK	\N	\N
3590922	1830	1996-04-30	PRIJEM	\N	89	14208	UROK	\N	\N
3590923	1830	1996-05-31	PRIJEM	\N	71	18110	UROK	\N	\N
3590924	1830	1996-06-30	PRIJEM	\N	106	27817	UROK	\N	\N
3590925	1830	1996-07-31	PRIJEM	\N	120	27929	UROK	\N	\N
3590926	1830	1996-08-31	PRIJEM	\N	128	31888	UROK	\N	\N
3590927	1830	1996-09-30	PRIJEM	\N	144	35864	UROK	\N	\N
3590928	1830	1996-10-31	PRIJEM	\N	119	13613	UROK	\N	\N
3590929	1830	1996-11-30	PRIJEM	\N	68	17513	UROK	\N	\N
3590930	1830	1996-12-31	PRIJEM	\N	88	22561	UROK	\N	\N
3590931	1830	1997-01-31	PRIJEM	\N	87	15560	UROK	\N	\N
3590932	1830	1997-02-28	PRIJEM	\N	76	19467	UROK	\N	\N
3590933	1830	1997-03-31	PRIJEM	\N	92	23390	UROK	\N	\N
3590934	1830	1997-04-30	PRIJEM	\N	108	27330	UROK	\N	\N
3590935	1830	1997-05-31	PRIJEM	\N	125	31286	UROK	\N	\N
3590936	1830	1997-06-30	PRIJEM	\N	160	41047	UROK	\N	\N
3590937	1830	1997-07-31	PRIJEM	\N	171	41689	UROK	\N	\N
3590938	1830	1997-08-31	PRIJEM	\N	123	17344	UROK	\N	\N
3590939	1830	1997-09-30	PRIJEM	\N	68	16563	UROK	\N	\N
3590940	1830	1997-10-31	PRIJEM	\N	79	20474	UROK	\N	\N
3590941	1830	1997-11-30	PRIJEM	\N	93	20318	UROK	\N	\N
3590942	1830	1997-12-31	PRIJEM	\N	110	26029	UROK	\N	\N
3590943	1830	1998-01-31	PRIJEM	\N	90	16030	UROK	\N	\N
3590944	1830	1998-02-28	PRIJEM	\N	77	19938	UROK	\N	\N
3590945	1830	1998-03-31	PRIJEM	\N	90	18099	UROK	\N	\N
3590946	1830	1998-04-30	PRIJEM	\N	85	22016	UROK	\N	\N
3590947	1830	1998-05-31	PRIJEM	\N	102	25949	UROK	\N	\N
3590948	1830	1998-06-30	PRIJEM	\N	133	31122	UROK	\N	\N
3590949	1830	1998-07-31	PRIJEM	\N	137	25610	UROK	\N	\N
3590950	1830	1998-08-31	PRIJEM	\N	104	25706	UROK	\N	\N
3590951	1830	1998-09-30	PRIJEM	\N	102	24839	UROK	\N	\N
3590952	1830	1998-10-31	PRIJEM	\N	113	28784	UROK	\N	\N
3590953	1830	1998-11-30	PRIJEM	\N	129	32744	UROK	\N	\N
3590954	1830	1998-12-31	PRIJEM	\N	163	39947	UROK	\N	\N
3590955	1831	1994-02-28	PRIJEM	\N	67	27120	UROK	\N	\N
3590956	1831	1994-03-31	PRIJEM	\N	117	24596	UROK	\N	\N
3590957	1831	1994-04-30	PRIJEM	\N	111	27726	UROK	\N	\N
3590958	1831	1994-05-31	PRIJEM	\N	115	24119	UROK	\N	\N
3590959	1831	1994-06-30	PRIJEM	\N	97	16834	UROK	\N	\N
3590960	1831	1994-07-31	PRIJEM	\N	77	18930	UROK	\N	\N
3590961	1831	1994-08-31	PRIJEM	\N	78	18226	UROK	\N	\N
3590962	1831	1994-09-30	PRIJEM	\N	87	22731	UROK	\N	\N
3590963	1831	1994-10-31	PRIJEM	\N	103	25953	UROK	\N	\N
3590964	1831	1994-11-30	PRIJEM	\N	116	28987	UROK	\N	\N
3590965	1831	1994-12-31	PRIJEM	\N	123	29478	UROK	\N	\N
3590966	1831	1995-01-31	PRIJEM	\N	112	23108	UROK	\N	\N
3590967	1831	1995-02-28	PRIJEM	\N	104	24150	UROK	\N	\N
3590968	1831	1995-03-31	PRIJEM	\N	108	27176	UROK	\N	\N
3590969	1831	1995-04-30	PRIJEM	\N	117	28511	UROK	\N	\N
3590970	1831	1995-05-31	PRIJEM	\N	118	28047	UROK	\N	\N
3590971	1831	1995-06-30	PRIJEM	\N	106	22422	UROK	\N	\N
3590972	1831	1995-07-31	PRIJEM	\N	104	25984	UROK	\N	\N
3590973	1831	1995-08-31	PRIJEM	\N	106	24888	UROK	\N	\N
3590974	1831	1995-09-30	PRIJEM	\N	109	26815	UROK	\N	\N
3590975	1831	1995-10-31	PRIJEM	\N	117	28250	UROK	\N	\N
3590976	1831	1995-11-30	PRIJEM	\N	126	31094	UROK	\N	\N
3590977	1831	1995-12-31	PRIJEM	\N	129	31092	UROK	\N	\N
3590978	1831	1996-01-31	PRIJEM	\N	116	24557	UROK	\N	\N
3590979	1831	1996-02-29	PRIJEM	\N	113	29088	UROK	\N	\N
3590980	1831	1996-03-31	PRIJEM	\N	131	32737	UROK	\N	\N
3590981	1831	1996-04-30	PRIJEM	\N	139	33895	UROK	\N	\N
3590982	1831	1996-05-31	PRIJEM	\N	140	33754	UROK	\N	\N
3590983	1831	1996-06-30	PRIJEM	\N	130	18122	UROK	\N	\N
3590984	1831	1996-07-31	PRIJEM	\N	80	18220	UROK	\N	\N
3590985	1831	1996-08-31	PRIJEM	\N	86	22725	UROK	\N	\N
3590986	1831	1996-09-30	PRIJEM	\N	105	26749	UROK	\N	\N
3590987	1831	1996-10-31	PRIJEM	\N	115	28081	UROK	\N	\N
3590988	1831	1996-11-30	PRIJEM	\N	111	25491	UROK	\N	\N
3590989	1831	1996-12-31	PRIJEM	\N	105	25464	UROK	\N	\N
3590990	1831	1997-01-31	PRIJEM	\N	84	18306	UROK	\N	\N
3590991	1831	1997-02-28	PRIJEM	\N	86	22810	UROK	\N	\N
3590992	1831	1997-03-31	PRIJEM	\N	105	27334	UROK	\N	\N
3590993	1831	1997-04-30	PRIJEM	\N	125	31778	UROK	\N	\N
3590994	1831	1997-05-31	PRIJEM	\N	112	26868	UROK	\N	\N
3590995	1831	1997-06-30	PRIJEM	\N	106	15892	UROK	\N	\N
3590996	1831	1997-07-31	PRIJEM	\N	74	18884	UROK	\N	\N
3590997	1831	1997-08-31	PRIJEM	\N	83	20685	UROK	\N	\N
3590998	1831	1997-09-30	PRIJEM	\N	95	25199	UROK	\N	\N
3590999	1831	1997-10-31	PRIJEM	\N	103	22721	UROK	\N	\N
3591000	1831	1997-11-30	PRIJEM	\N	103	24542	UROK	\N	\N
3591001	1831	1997-12-31	PRIJEM	\N	104	23774	UROK	\N	\N
3591002	1831	1998-01-31	PRIJEM	\N	95	20438	UROK	\N	\N
3591003	1831	1998-02-28	PRIJEM	\N	93	22049	UROK	\N	\N
3591004	1831	1998-03-31	PRIJEM	\N	99	22467	UROK	\N	\N
3591005	1831	1998-04-30	PRIJEM	\N	95	18600	UROK	\N	\N
3591006	1831	1998-05-31	PRIJEM	\N	85	20904	UROK	\N	\N
3591007	1831	1998-06-30	PRIJEM	\N	93	20315	UROK	\N	\N
3591008	1831	1998-07-31	PRIJEM	\N	91	21725	UROK	\N	\N
3591009	1831	1998-08-31	PRIJEM	\N	95	21238	UROK	\N	\N
3591010	1831	1998-09-30	PRIJEM	\N	94	21951	UROK	\N	\N
3591011	1831	1998-10-31	PRIJEM	\N	97	23166	UROK	\N	\N
3591012	1831	1998-11-30	PRIJEM	\N	101	24086	UROK	\N	\N
3591013	1831	1998-12-31	PRIJEM	\N	103	24387	UROK	\N	\N
3591014	1832	1996-04-30	PRIJEM	\N	55	21876	UROK	\N	\N
3591015	1832	1996-05-31	PRIJEM	\N	154	47050	UROK	\N	\N
3591016	1832	1996-06-30	PRIJEM	\N	157	68389	UROK	\N	\N
3591017	1832	1996-07-31	PRIJEM	\N	209	50919	UROK	\N	\N
3591018	1832	1996-08-31	PRIJEM	\N	210	48250	UROK	\N	\N
3591019	1832	1996-09-30	PRIJEM	\N	216	44444	UROK	\N	\N
3591020	1832	1996-10-31	PRIJEM	\N	187	38793	UROK	\N	\N
3591021	1832	1996-11-30	PRIJEM	\N	152	31823	UROK	\N	\N
3591022	1832	1996-12-31	PRIJEM	\N	168	37030	UROK	\N	\N
3591023	1832	1997-01-31	PRIJEM	\N	100	23362	UROK	\N	\N
3591024	1832	1997-02-28	PRIJEM	\N	114	30355	UROK	\N	\N
3591025	1832	1997-03-31	PRIJEM	\N	130	22533	UROK	\N	\N
3591026	1832	1997-04-30	PRIJEM	\N	112	29723	UROK	\N	\N
3591027	1832	1997-05-31	PRIJEM	\N	111	30595	UROK	\N	\N
3591028	1832	1997-06-30	PRIJEM	\N	163	38598	UROK	\N	\N
3591029	1832	1997-07-31	PRIJEM	\N	157	33224	UROK	\N	\N
3591030	1832	1997-08-31	PRIJEM	\N	114	26960	UROK	\N	\N
3591031	1832	1997-09-30	PRIJEM	\N	129	34668	UROK	\N	\N
3591032	1832	1997-10-31	PRIJEM	\N	162	42108	UROK	\N	\N
3591033	1832	1997-11-30	PRIJEM	\N	185	43971	UROK	\N	\N
3591034	1832	1997-12-31	PRIJEM	\N	167	43227	UROK	\N	\N
3591035	1832	1998-01-31	PRIJEM	\N	110	24655	UROK	\N	\N
3591036	1832	1998-02-28	PRIJEM	\N	111	31644	UROK	\N	\N
3591037	1832	1998-03-31	PRIJEM	\N	102	29866	UROK	\N	\N
3591038	1832	1998-04-30	PRIJEM	\N	141	36243	UROK	\N	\N
3591039	1832	1998-05-31	PRIJEM	\N	142	35664	UROK	\N	\N
3591040	1832	1998-06-30	PRIJEM	\N	137	34240	UROK	\N	\N
3591041	1832	1998-07-31	PRIJEM	\N	153	38671	UROK	\N	\N
3591042	1832	1998-08-31	PRIJEM	\N	130	22077	UROK	\N	\N
3591043	1832	1998-09-30	PRIJEM	\N	106	29862	UROK	\N	\N
3591044	1832	1998-10-31	PRIJEM	\N	129	32880	UROK	\N	\N
3591045	1832	1998-11-30	PRIJEM	\N	132	30782	UROK	\N	\N
3591046	1832	1998-12-31	PRIJEM	\N	175	52097	UROK	\N	\N
3591047	1833	1998-03-31	PRIJEM	\N	61	26545	UROK	\N	\N
3591048	1833	1998-04-30	PRIJEM	\N	123	31639	UROK	\N	\N
3591049	1833	1998-05-31	PRIJEM	\N	145	36741	UROK	\N	\N
3591050	1833	1998-06-30	PRIJEM	\N	154	36953	UROK	\N	\N
3591051	1833	1998-07-31	PRIJEM	\N	165	40375	UROK	\N	\N
3591052	1833	1998-08-31	PRIJEM	\N	153	34886	UROK	\N	\N
3591053	1833	1998-09-30	PRIJEM	\N	155	38298	UROK	\N	\N
3591054	1833	1998-10-31	PRIJEM	\N	143	32078	UROK	\N	\N
3591055	1833	1998-11-30	PRIJEM	\N	141	34376	UROK	\N	\N
3591056	1833	1998-12-31	PRIJEM	\N	148	35981	UROK	\N	\N
3591057	1834	1993-08-31	PRIJEM	\N	59	18979	UROK	\N	\N
3591058	1834	1993-09-30	PRIJEM	\N	137	38035	UROK	\N	\N
3591059	1834	1993-10-31	PRIJEM	\N	193	49448	UROK	\N	\N
3591060	1834	1993-11-30	PRIJEM	\N	223	55191	UROK	\N	\N
3591061	1834	1993-12-31	PRIJEM	\N	262	66063	UROK	\N	\N
3591062	1834	1994-01-31	PRIJEM	\N	163	25967	UROK	\N	\N
3591063	1834	1994-02-28	PRIJEM	\N	134	33822	UROK	\N	\N
3591064	1834	1994-03-31	PRIJEM	\N	135	33139	UROK	\N	\N
3591065	1834	1994-04-30	PRIJEM	\N	162	41522	UROK	\N	\N
3591066	1834	1994-05-31	PRIJEM	\N	143	33246	UROK	\N	\N
3591067	1834	1994-06-30	PRIJEM	\N	157	32014	UROK	\N	\N
3591068	1834	1994-07-31	PRIJEM	\N	161	33196	UROK	\N	\N
3591069	1834	1994-08-31	PRIJEM	\N	165	35983	UROK	\N	\N
3591070	1834	1994-09-30	PRIJEM	\N	165	33490	UROK	\N	\N
3591071	1834	1994-10-31	PRIJEM	\N	158	36789	UROK	\N	\N
3591072	1834	1994-11-30	PRIJEM	\N	179	39589	UROK	\N	\N
3591073	1834	1994-12-31	PRIJEM	\N	210	40971	UROK	\N	\N
3591074	1834	1995-01-31	PRIJEM	\N	130	26882	UROK	\N	\N
3591075	1834	1995-02-28	PRIJEM	\N	140	35444	UROK	\N	\N
3591076	1834	1995-03-31	PRIJEM	\N	172	37738	UROK	\N	\N
3591077	1834	1995-04-30	PRIJEM	\N	179	37238	UROK	\N	\N
3591078	1834	1995-05-31	PRIJEM	\N	178	40957	UROK	\N	\N
3591079	1834	1995-06-30	PRIJEM	\N	191	36319	UROK	\N	\N
3591080	1834	1995-07-31	PRIJEM	\N	173	38214	UROK	\N	\N
3591081	1834	1995-08-31	PRIJEM	\N	171	38706	UROK	\N	\N
3591082	1834	1995-09-30	PRIJEM	\N	182	41610	UROK	\N	\N
3591083	1834	1995-10-31	PRIJEM	\N	165	38596	UROK	\N	\N
3591084	1834	1995-11-30	PRIJEM	\N	183	43000	UROK	\N	\N
3591085	1834	1995-12-31	PRIJEM	\N	204	46155	UROK	\N	\N
3591086	1834	1996-01-31	PRIJEM	\N	177	37814	UROK	\N	\N
3591087	1834	1996-02-29	PRIJEM	\N	181	44116	UROK	\N	\N
3591088	1834	1996-03-31	PRIJEM	\N	194	42331	UROK	\N	\N
3591089	1834	1996-04-30	PRIJEM	\N	195	46348	UROK	\N	\N
3591090	1834	1996-05-31	PRIJEM	\N	203	44013	UROK	\N	\N
3591091	1834	1996-06-30	PRIJEM	\N	174	35878	UROK	\N	\N
3591092	1834	1996-07-31	PRIJEM	\N	168	40468	UROK	\N	\N
3591093	1834	1996-08-31	PRIJEM	\N	180	40029	UROK	\N	\N
3591094	1834	1996-09-30	PRIJEM	\N	180	42730	UROK	\N	\N
3591095	1834	1996-10-31	PRIJEM	\N	198	48449	UROK	\N	\N
3591096	1834	1996-11-30	PRIJEM	\N	214	51084	UROK	\N	\N
3591097	1834	1996-12-31	PRIJEM	\N	224	52879	UROK	\N	\N
3591098	1834	1997-01-31	PRIJEM	\N	211	43431	UROK	\N	\N
3591099	1834	1997-02-28	PRIJEM	\N	185	44777	UROK	\N	\N
3591100	1834	1997-03-31	PRIJEM	\N	214	54513	UROK	\N	\N
3591101	1834	1997-04-30	PRIJEM	\N	240	58035	UROK	\N	\N
3591102	1834	1997-05-31	PRIJEM	\N	252	60808	UROK	\N	\N
3591103	1834	1997-06-30	PRIJEM	\N	209	32388	UROK	\N	\N
3591104	1834	1997-07-31	PRIJEM	\N	177	47986	UROK	\N	\N
3591105	1834	1997-08-31	PRIJEM	\N	231	59339	UROK	\N	\N
3591106	1834	1997-09-30	PRIJEM	\N	247	56627	UROK	\N	\N
3591107	1834	1997-10-31	PRIJEM	\N	248	61497	UROK	\N	\N
3591108	1834	1997-11-30	PRIJEM	\N	260	63878	UROK	\N	\N
3591109	1834	1997-12-31	PRIJEM	\N	273	67743	UROK	\N	\N
3591110	1834	1998-01-31	PRIJEM	\N	231	50255	UROK	\N	\N
3591111	1834	1998-02-28	PRIJEM	\N	248	64924	UROK	\N	\N
3591112	1834	1998-03-31	PRIJEM	\N	242	55047	UROK	\N	\N
3591113	1834	1998-04-30	PRIJEM	\N	255	59824	UROK	\N	\N
3591114	1834	1998-05-31	PRIJEM	\N	238	55403	UROK	\N	\N
3591115	1834	1998-06-30	PRIJEM	\N	259	49274	UROK	\N	\N
3591116	1834	1998-07-31	PRIJEM	\N	236	61331	UROK	\N	\N
3591117	1834	1998-08-31	PRIJEM	\N	272	68724	UROK	\N	\N
3591118	1834	1998-09-30	PRIJEM	\N	280	70025	UROK	\N	\N
3591119	1834	1998-10-31	PRIJEM	\N	296	74542	UROK	\N	\N
3591120	1834	1998-11-30	PRIJEM	\N	295	74339	UROK	\N	\N
3591121	1834	1998-12-31	PRIJEM	\N	323	80274	UROK	\N	\N
3591122	1835	1995-01-31	PRIJEM	\N	24	20081	UROK	\N	\N
3591123	1835	1995-02-28	PRIJEM	\N	96	31834	UROK	\N	\N
3591124	1835	1995-03-31	PRIJEM	\N	138	37529	UROK	\N	\N
3591125	1835	1995-04-30	PRIJEM	\N	157	38643	UROK	\N	\N
3591126	1835	1995-05-31	PRIJEM	\N	176	36707	UROK	\N	\N
3591127	1835	1995-06-30	PRIJEM	\N	157	34917	UROK	\N	\N
3591128	1835	1995-07-31	PRIJEM	\N	160	35750	UROK	\N	\N
3591129	1835	1995-08-31	PRIJEM	\N	162	36185	UROK	\N	\N
3591130	1835	1995-09-30	PRIJEM	\N	167	37326	UROK	\N	\N
3591131	1835	1995-10-31	PRIJEM	\N	171	38070	UROK	\N	\N
3591132	1835	1995-11-30	PRIJEM	\N	178	41821	UROK	\N	\N
3591133	1835	1995-12-31	PRIJEM	\N	202	44076	UROK	\N	\N
3591134	1835	1996-01-31	PRIJEM	\N	168	33817	UROK	\N	\N
3591135	1835	1996-02-29	PRIJEM	\N	160	38251	UROK	\N	\N
3591136	1835	1996-03-31	PRIJEM	\N	179	42403	UROK	\N	\N
3591137	1835	1996-04-30	PRIJEM	\N	187	42363	UROK	\N	\N
3591138	1835	1996-05-31	PRIJEM	\N	191	44327	UROK	\N	\N
3591139	1835	1996-06-30	PRIJEM	\N	203	21983	UROK	\N	\N
3591140	1835	1996-07-31	PRIJEM	\N	127	34083	UROK	\N	\N
3591141	1835	1996-08-31	PRIJEM	\N	166	41223	UROK	\N	\N
3591142	1835	1996-09-30	PRIJEM	\N	190	46286	UROK	\N	\N
3591143	1835	1996-10-31	PRIJEM	\N	203	47963	UROK	\N	\N
3591144	1835	1996-11-30	PRIJEM	\N	215	52051	UROK	\N	\N
3591145	1835	1996-12-31	PRIJEM	\N	226	54530	UROK	\N	\N
3591146	1835	1997-01-31	PRIJEM	\N	213	46416	UROK	\N	\N
3591147	1835	1997-02-28	PRIJEM	\N	201	47990	UROK	\N	\N
3591148	1835	1997-03-31	PRIJEM	\N	204	47768	UROK	\N	\N
3591149	1835	1997-04-30	PRIJEM	\N	208	49749	UROK	\N	\N
3591150	1835	1997-05-31	PRIJEM	\N	217	52040	UROK	\N	\N
3591151	1835	1997-06-30	PRIJEM	\N	248	44440	UROK	\N	\N
3591152	1835	1997-07-31	PRIJEM	\N	205	50819	UROK	\N	\N
3591153	1835	1997-08-31	PRIJEM	\N	218	52509	UROK	\N	\N
3591154	1835	1997-09-30	PRIJEM	\N	227	54510	UROK	\N	\N
3591155	1835	1997-10-31	PRIJEM	\N	215	50598	UROK	\N	\N
3591156	1835	1997-11-30	PRIJEM	\N	214	50985	UROK	\N	\N
3591157	1835	1997-12-31	PRIJEM	\N	218	50155	UROK	\N	\N
3591158	1835	1998-01-31	PRIJEM	\N	233	56061	UROK	\N	\N
3591159	1835	1998-02-28	PRIJEM	\N	259	63993	UROK	\N	\N
3591160	1835	1998-03-31	PRIJEM	\N	257	60523	UROK	\N	\N
3591161	1835	1998-04-30	PRIJEM	\N	281	69778	UROK	\N	\N
3591162	1835	1998-05-31	PRIJEM	\N	316	77968	UROK	\N	\N
3591163	1835	1998-06-30	PRIJEM	\N	340	62260	UROK	\N	\N
3591164	1835	1998-07-31	PRIJEM	\N	292	72625	UROK	\N	\N
3591165	1835	1998-08-31	PRIJEM	\N	315	73613	UROK	\N	\N
3591166	1835	1998-09-30	PRIJEM	\N	321	78307	UROK	\N	\N
3591167	1835	1998-10-31	PRIJEM	\N	343	83924	UROK	\N	\N
3591168	1835	1998-11-30	PRIJEM	\N	354	85551	UROK	\N	\N
3591169	1835	1998-12-31	PRIJEM	\N	375	91379	UROK	\N	\N
3591170	1836	1996-03-31	PRIJEM	\N	40	18784	UROK	\N	\N
3591171	1836	1996-04-30	PRIJEM	\N	110	33138	UROK	\N	\N
3591172	1836	1996-05-31	PRIJEM	\N	149	38332	UROK	\N	\N
3591173	1836	1996-06-30	PRIJEM	\N	177	45975	UROK	\N	\N
3591174	1836	1996-07-31	PRIJEM	\N	183	40551	UROK	\N	\N
3591175	1836	1996-08-31	PRIJEM	\N	152	33781	UROK	\N	\N
3591176	1836	1996-09-30	PRIJEM	\N	119	24378	UROK	\N	\N
3591177	1836	1996-10-31	PRIJEM	\N	107	26064	UROK	\N	\N
3591178	1836	1996-11-30	PRIJEM	\N	104	23546	UROK	\N	\N
3591179	1836	1996-12-31	PRIJEM	\N	121	30068	UROK	\N	\N
3591180	1836	1997-01-31	PRIJEM	\N	120	21366	UROK	\N	\N
3591181	1836	1997-02-28	PRIJEM	\N	126	34471	UROK	\N	\N
3591182	1836	1997-03-31	PRIJEM	\N	145	34295	UROK	\N	\N
3591183	1836	1997-04-30	PRIJEM	\N	166	41839	UROK	\N	\N
3591184	1836	1997-05-31	PRIJEM	\N	180	40897	UROK	\N	\N
3591185	1836	1997-06-30	PRIJEM	\N	164	21762	UROK	\N	\N
3591186	1836	1997-07-31	PRIJEM	\N	126	31867	UROK	\N	\N
3591187	1836	1997-08-31	PRIJEM	\N	136	32981	UROK	\N	\N
3591188	1836	1997-09-30	PRIJEM	\N	143	34402	UROK	\N	\N
3591189	1836	1997-10-31	PRIJEM	\N	148	34029	UROK	\N	\N
3591190	1836	1997-11-30	PRIJEM	\N	132	32639	UROK	\N	\N
3591191	1836	1997-12-31	PRIJEM	\N	151	35790	UROK	\N	\N
3591192	1836	1998-01-31	PRIJEM	\N	91	14960	UROK	\N	\N
3591193	1836	1998-02-28	PRIJEM	\N	90	24729	UROK	\N	\N
3591194	1836	1998-03-31	PRIJEM	\N	129	33235	UROK	\N	\N
3591195	1836	1998-04-30	PRIJEM	\N	131	27645	UROK	\N	\N
3591196	1836	1998-05-31	PRIJEM	\N	134	33757	UROK	\N	\N
3591197	1836	1998-06-30	PRIJEM	\N	152	41210	UROK	\N	\N
3591198	1836	1998-07-31	PRIJEM	\N	178	41866	UROK	\N	\N
3591199	1836	1998-08-31	PRIJEM	\N	169	40013	UROK	\N	\N
3591200	1836	1998-09-30	PRIJEM	\N	175	42466	UROK	\N	\N
3591201	1836	1998-10-31	PRIJEM	\N	182	41826	UROK	\N	\N
3591202	1836	1998-11-30	PRIJEM	\N	177	43881	UROK	\N	\N
3591203	1836	1998-12-31	PRIJEM	\N	188	50070	UROK	\N	\N
3591204	1837	1993-07-31	PRIJEM	\N	23	21359	UROK	\N	\N
3591205	1837	1993-08-31	PRIJEM	\N	105	34700	UROK	\N	\N
3591206	1837	1993-09-30	PRIJEM	\N	153	42089	UROK	\N	\N
3591207	1837	1993-10-31	PRIJEM	\N	178	44303	UROK	\N	\N
3591208	1837	1993-11-30	PRIJEM	\N	201	43853	UROK	\N	\N
3591209	1837	1993-12-31	PRIJEM	\N	217	47462	UROK	\N	\N
3591210	1837	1994-01-31	PRIJEM	\N	196	33012	UROK	\N	\N
3591211	1837	1994-02-28	PRIJEM	\N	155	35602	UROK	\N	\N
3591212	1837	1994-03-31	PRIJEM	\N	171	39708	UROK	\N	\N
3591213	1837	1994-04-30	PRIJEM	\N	180	36762	UROK	\N	\N
3591214	1837	1994-05-31	PRIJEM	\N	175	41372	UROK	\N	\N
3591215	1837	1994-06-30	PRIJEM	\N	194	43358	UROK	\N	\N
3591216	1837	1994-07-31	PRIJEM	\N	191	42983	UROK	\N	\N
3591217	1837	1994-08-31	PRIJEM	\N	182	37980	UROK	\N	\N
3591218	1837	1994-09-30	PRIJEM	\N	176	42990	UROK	\N	\N
3591219	1837	1994-10-31	PRIJEM	\N	189	43813	UROK	\N	\N
3591220	1837	1994-11-30	PRIJEM	\N	187	42835	UROK	\N	\N
3591221	1837	1994-12-31	PRIJEM	\N	205	50152	UROK	\N	\N
3591222	1837	1995-01-31	PRIJEM	\N	199	35945	UROK	\N	\N
3591223	1837	1995-02-28	PRIJEM	\N	168	43548	UROK	\N	\N
3591224	1837	1995-03-31	PRIJEM	\N	194	46876	UROK	\N	\N
3591225	1837	1995-04-30	PRIJEM	\N	180	41311	UROK	\N	\N
3591226	1837	1995-05-31	PRIJEM	\N	187	46432	UROK	\N	\N
3591227	1837	1995-06-30	PRIJEM	\N	202	40627	UROK	\N	\N
3591228	1837	1995-07-31	PRIJEM	\N	179	41880	UROK	\N	\N
3591229	1837	1995-08-31	PRIJEM	\N	213	48227	UROK	\N	\N
3591230	1837	1995-09-30	PRIJEM	\N	206	50368	UROK	\N	\N
3591231	1837	1995-10-31	PRIJEM	\N	206	48107	UROK	\N	\N
3591232	1837	1995-11-30	PRIJEM	\N	225	57667	UROK	\N	\N
3591233	1837	1995-12-31	PRIJEM	\N	287	71666	UROK	\N	\N
3591234	1837	1996-01-31	PRIJEM	\N	289	62929	UROK	\N	\N
3591235	1837	1996-02-29	PRIJEM	\N	266	64589	UROK	\N	\N
3591236	1837	1996-03-31	PRIJEM	\N	270	64354	UROK	\N	\N
3591237	1837	1996-04-30	PRIJEM	\N	275	67563	UROK	\N	\N
3591238	1837	1996-05-31	PRIJEM	\N	283	68781	UROK	\N	\N
3591239	1837	1996-06-30	PRIJEM	\N	246	55699	UROK	\N	\N
3591240	1837	1996-07-31	PRIJEM	\N	259	66392	UROK	\N	\N
3591241	1837	1996-08-31	PRIJEM	\N	277	60084	UROK	\N	\N
3591242	1837	1996-09-30	PRIJEM	\N	259	64278	UROK	\N	\N
3591243	1837	1996-10-31	PRIJEM	\N	280	69692	UROK	\N	\N
3591244	1837	1996-11-30	PRIJEM	\N	292	71319	UROK	\N	\N
3591245	1837	1996-12-31	PRIJEM	\N	308	82240	UROK	\N	\N
3591246	1837	1997-01-31	PRIJEM	\N	295	61129	UROK	\N	\N
3591247	1837	1997-02-28	PRIJEM	\N	256	62620	UROK	\N	\N
3591248	1837	1997-03-31	PRIJEM	\N	272	67926	UROK	\N	\N
3591249	1837	1997-04-30	PRIJEM	\N	265	68645	UROK	\N	\N
3591250	1837	1997-05-31	PRIJEM	\N	296	73576	UROK	\N	\N
3591251	1837	1997-06-30	PRIJEM	\N	295	73843	UROK	\N	\N
3591252	1837	1997-07-31	PRIJEM	\N	312	76789	UROK	\N	\N
3591253	1837	1997-08-31	PRIJEM	\N	310	73994	UROK	\N	\N
3591254	1837	1997-09-30	PRIJEM	\N	307	74835	UROK	\N	\N
3591255	1837	1997-10-31	PRIJEM	\N	308	74877	UROK	\N	\N
3591256	1837	1997-11-30	PRIJEM	\N	296	70388	UROK	\N	\N
3591257	1837	1997-12-31	PRIJEM	\N	316	69616	UROK	\N	\N
3591258	1837	1998-01-31	PRIJEM	\N	285	55336	UROK	\N	\N
3591259	1837	1998-02-28	PRIJEM	\N	261	67671	UROK	\N	\N
3591260	1837	1998-03-31	PRIJEM	\N	290	65095	UROK	\N	\N
3591261	1837	1998-04-30	PRIJEM	\N	287	64197	UROK	\N	\N
3591262	1837	1998-05-31	PRIJEM	\N	296	64228	UROK	\N	\N
3591263	1837	1998-06-30	PRIJEM	\N	279	64719	UROK	\N	\N
3591264	1837	1998-07-31	PRIJEM	\N	299	70953	UROK	\N	\N
3591265	1837	1998-08-31	PRIJEM	\N	319	72826	UROK	\N	\N
3591266	1837	1998-09-30	PRIJEM	\N	329	77089	UROK	\N	\N
3591267	1837	1998-10-31	PRIJEM	\N	333	73837	UROK	\N	\N
3591268	1837	1998-11-30	PRIJEM	\N	331	78002	UROK	\N	\N
3591269	1837	1998-12-31	PRIJEM	\N	362	78057	UROK	\N	\N
3591270	1838	1995-04-30	PRIJEM	\N	55	39537	UROK	\N	\N
3591271	1838	1995-05-31	PRIJEM	\N	184	59916	UROK	\N	\N
3591272	1838	1995-06-30	PRIJEM	\N	249	47165	UROK	\N	\N
3591273	1838	1995-07-31	PRIJEM	\N	248	59560	UROK	\N	\N
3591274	1838	1995-08-31	PRIJEM	\N	247	46307	UROK	\N	\N
3591275	1838	1995-09-30	PRIJEM	\N	271	86374	UROK	\N	\N
3591276	1838	1995-10-31	PRIJEM	\N	260	49631	UROK	\N	\N
3591277	1838	1995-11-30	PRIJEM	\N	193	42370	UROK	\N	\N
3591278	1838	1995-12-31	PRIJEM	\N	271	64249	UROK	\N	\N
3591279	1838	1996-01-31	PRIJEM	\N	230	46625	UROK	\N	\N
3591280	1838	1996-02-29	PRIJEM	\N	179	39249	UROK	\N	\N
3591281	1838	1996-03-31	PRIJEM	\N	153	27693	UROK	\N	\N
3591282	1838	1996-04-30	PRIJEM	\N	109	28048	UROK	\N	\N
3591283	1838	1996-05-31	PRIJEM	\N	111	30604	UROK	\N	\N
3591284	1838	1996-06-30	PRIJEM	\N	89	23237	UROK	\N	\N
3591285	1838	1996-07-31	PRIJEM	\N	89	24871	UROK	\N	\N
3591286	1838	1996-08-31	PRIJEM	\N	113	28530	UROK	\N	\N
3591287	1838	1996-09-30	PRIJEM	\N	261	89408	UROK	\N	\N
3591288	1838	1996-10-31	PRIJEM	\N	295	60649	UROK	\N	\N
3591289	1838	1996-11-30	PRIJEM	\N	254	46356	UROK	\N	\N
3591290	1838	1996-12-31	PRIJEM	\N	186	42488	UROK	\N	\N
3591291	1838	1997-01-31	PRIJEM	\N	168	39601	UROK	\N	\N
3591292	1838	1997-02-28	PRIJEM	\N	144	31682	UROK	\N	\N
3591293	1838	1997-03-31	PRIJEM	\N	121	29949	UROK	\N	\N
3591294	1838	1997-04-30	PRIJEM	\N	204	49845	UROK	\N	\N
3591295	1838	1997-05-31	PRIJEM	\N	272	87782	UROK	\N	\N
3591296	1838	1997-06-30	PRIJEM	\N	280	63920	UROK	\N	\N
3591297	1838	1997-07-31	PRIJEM	\N	230	78432	UROK	\N	\N
3591298	1838	1997-08-31	PRIJEM	\N	266	59943	UROK	\N	\N
3591299	1838	1997-09-30	PRIJEM	\N	191	41880	UROK	\N	\N
3591300	1838	1997-10-31	PRIJEM	\N	150	34375	UROK	\N	\N
3591301	1838	1997-11-30	PRIJEM	\N	136	34099	UROK	\N	\N
3591302	1838	1997-12-31	PRIJEM	\N	71	18150	UROK	\N	\N
3591303	1838	1998-01-31	PRIJEM	\N	218	66527	UROK	\N	\N
3591304	1838	1998-02-28	PRIJEM	\N	159	33785	UROK	\N	\N
3591305	1838	1998-03-31	PRIJEM	\N	125	44873	UROK	\N	\N
3591306	1838	1998-04-30	PRIJEM	\N	130	27448	UROK	\N	\N
3591307	1838	1998-05-31	PRIJEM	\N	130	61355	UROK	\N	\N
3591308	1838	1998-06-30	PRIJEM	\N	191	56843	UROK	\N	\N
3591309	1838	1998-07-31	PRIJEM	\N	205	70730	UROK	\N	\N
3591310	1838	1998-08-31	PRIJEM	\N	262	60075	UROK	\N	\N
3591311	1838	1998-09-30	PRIJEM	\N	99	21526	UROK	\N	\N
3591312	1838	1998-10-31	PRIJEM	\N	238	94523	UROK	\N	\N
3591313	1838	1998-11-30	PRIJEM	\N	320	79716	UROK	\N	\N
3591314	1838	1998-12-31	PRIJEM	\N	263	58446	UROK	\N	\N
3591315	1839	1997-07-31	PRIJEM	\N	23	16861	UROK	\N	\N
3591316	1839	1997-08-31	PRIJEM	\N	87	28586	UROK	\N	\N
3591317	1839	1997-09-30	PRIJEM	\N	121	29945	UROK	\N	\N
3591318	1839	1997-10-31	PRIJEM	\N	128	32111	UROK	\N	\N
3591319	1839	1997-11-30	PRIJEM	\N	142	37090	UROK	\N	\N
3591320	1839	1997-12-31	PRIJEM	\N	162	37051	UROK	\N	\N
3591321	1839	1998-01-31	PRIJEM	\N	160	38841	UROK	\N	\N
3591322	1839	1998-02-28	PRIJEM	\N	186	41158	UROK	\N	\N
3591323	1839	1998-03-31	PRIJEM	\N	182	40470	UROK	\N	\N
3591324	1839	1998-04-30	PRIJEM	\N	180	41180	UROK	\N	\N
3591325	1839	1998-05-31	PRIJEM	\N	180	39591	UROK	\N	\N
3591326	1839	1998-06-30	PRIJEM	\N	182	36172	UROK	\N	\N
3591327	1839	1998-07-31	PRIJEM	\N	166	39969	UROK	\N	\N
3591328	1839	1998-08-31	PRIJEM	\N	177	41876	UROK	\N	\N
3591329	1839	1998-09-30	PRIJEM	\N	193	47900	UROK	\N	\N
3591330	1839	1998-10-31	PRIJEM	\N	212	51242	UROK	\N	\N
3591331	1839	1998-11-30	PRIJEM	\N	228	55900	UROK	\N	\N
3591332	1839	1998-12-31	PRIJEM	\N	278	72378	UROK	\N	\N
3591333	1841	1997-07-31	PRIJEM	\N	49	18198	UROK	\N	\N
3591334	1841	1997-08-31	PRIJEM	\N	89	23036	UROK	\N	\N
3591335	1841	1997-09-30	PRIJEM	\N	118	31203	UROK	\N	\N
3591336	1841	1997-10-31	PRIJEM	\N	145	36697	UROK	\N	\N
3591337	1841	1997-11-30	PRIJEM	\N	150	35896	UROK	\N	\N
3591338	1841	1997-12-31	PRIJEM	\N	154	37631	UROK	\N	\N
3591339	1841	1998-01-31	PRIJEM	\N	140	34426	UROK	\N	\N
3591340	1841	1998-02-28	PRIJEM	\N	145	36006	UROK	\N	\N
3591341	1841	1998-03-31	PRIJEM	\N	152	37594	UROK	\N	\N
3591342	1841	1998-04-30	PRIJEM	\N	176	44606	UROK	\N	\N
3591343	1841	1998-05-31	PRIJEM	\N	196	48536	UROK	\N	\N
3591344	1841	1998-06-30	PRIJEM	\N	212	52708	UROK	\N	\N
3591345	1841	1998-07-31	PRIJEM	\N	212	51355	UROK	\N	\N
3591346	1841	1998-08-31	PRIJEM	\N	191	42102	UROK	\N	\N
3591347	1841	1998-09-30	PRIJEM	\N	168	40905	UROK	\N	\N
3591348	1841	1998-10-31	PRIJEM	\N	175	42156	UROK	\N	\N
3591349	1841	1998-11-30	PRIJEM	\N	178	43969	UROK	\N	\N
3591350	1841	1998-12-31	PRIJEM	\N	191	45660	UROK	\N	\N
3591351	1843	1993-03-31	PRIJEM	\N	134	40298	UROK	\N	\N
3591352	1843	1993-04-30	PRIJEM	\N	133	49463	UROK	\N	\N
3591353	1843	1993-05-31	PRIJEM	\N	156	39451	UROK	\N	\N
3591354	1843	1993-06-30	PRIJEM	\N	201	39306	UROK	\N	\N
3591355	1843	1993-07-31	PRIJEM	\N	178	34307	UROK	\N	\N
3591356	1843	1993-08-31	PRIJEM	\N	118	19917	UROK	\N	\N
3591357	1843	1993-09-30	PRIJEM	\N	104	27706	UROK	\N	\N
3591358	1843	1993-10-31	PRIJEM	\N	135	32025	UROK	\N	\N
3591359	1843	1993-11-30	PRIJEM	\N	126	22602	UROK	\N	\N
3591360	1843	1993-12-31	PRIJEM	\N	108	23111	UROK	\N	\N
3591361	1843	1994-01-31	PRIJEM	\N	101	20696	UROK	\N	\N
3591362	1843	1994-02-28	PRIJEM	\N	106	27487	UROK	\N	\N
3591363	1843	1994-03-31	PRIJEM	\N	108	22580	UROK	\N	\N
3591364	1843	1994-04-30	PRIJEM	\N	83	22347	UROK	\N	\N
3591365	1843	1994-05-31	PRIJEM	\N	105	24637	UROK	\N	\N
3591366	1843	1994-06-30	PRIJEM	\N	121	29233	UROK	\N	\N
3591367	1843	1994-07-31	PRIJEM	\N	107	22753	UROK	\N	\N
3591368	1843	1994-08-31	PRIJEM	\N	112	26949	UROK	\N	\N
3591369	1843	1994-09-30	PRIJEM	\N	129	31564	UROK	\N	\N
3591370	1843	1994-10-31	PRIJEM	\N	137	21249	UROK	\N	\N
3591371	1843	1994-11-30	PRIJEM	\N	109	28243	UROK	\N	\N
3591372	1843	1994-12-31	PRIJEM	\N	131	26528	UROK	\N	\N
3591373	1843	1995-01-31	PRIJEM	\N	106	20918	UROK	\N	\N
3591374	1843	1995-02-28	PRIJEM	\N	99	21703	UROK	\N	\N
3591375	1843	1995-03-31	PRIJEM	\N	109	27696	UROK	\N	\N
3591376	1843	1995-04-30	PRIJEM	\N	129	30910	UROK	\N	\N
3591377	1843	1995-05-31	PRIJEM	\N	125	22821	UROK	\N	\N
3591378	1843	1995-06-30	PRIJEM	\N	105	25326	UROK	\N	\N
3591379	1843	1995-07-31	PRIJEM	\N	116	26726	UROK	\N	\N
3591380	1843	1995-08-31	PRIJEM	\N	120	27731	UROK	\N	\N
3591381	1843	1995-09-30	PRIJEM	\N	123	28438	UROK	\N	\N
3591382	1843	1995-10-31	PRIJEM	\N	132	32254	UROK	\N	\N
3591383	1843	1995-11-30	PRIJEM	\N	140	32779	UROK	\N	\N
3591384	1843	1995-12-31	PRIJEM	\N	163	37042	UROK	\N	\N
3591385	1843	1996-01-31	PRIJEM	\N	105	19932	UROK	\N	\N
3591386	1843	1996-02-29	PRIJEM	\N	102	27018	UROK	\N	\N
3591387	1843	1996-03-31	PRIJEM	\N	126	31629	UROK	\N	\N
3591388	1843	1996-04-30	PRIJEM	\N	139	33652	UROK	\N	\N
3591389	1843	1996-05-31	PRIJEM	\N	140	32877	UROK	\N	\N
3591390	1843	1996-06-30	PRIJEM	\N	179	35257	UROK	\N	\N
3591391	1843	1996-07-31	PRIJEM	\N	130	27233	UROK	\N	\N
3591392	1843	1996-08-31	PRIJEM	\N	93	16929	UROK	\N	\N
3591393	1843	1996-09-30	PRIJEM	\N	82	16335	UROK	\N	\N
3591394	1843	1996-10-31	PRIJEM	\N	78	18136	UROK	\N	\N
3591395	1843	1996-11-30	PRIJEM	\N	74	16633	UROK	\N	\N
3591396	1843	1996-12-31	PRIJEM	\N	97	24470	UROK	\N	\N
3591397	1843	1997-01-31	PRIJEM	\N	76	11569	UROK	\N	\N
3591398	1843	1997-02-28	PRIJEM	\N	68	16861	UROK	\N	\N
3591399	1843	1997-03-31	PRIJEM	\N	87	20471	UROK	\N	\N
3591400	1843	1997-04-30	PRIJEM	\N	107	26302	UROK	\N	\N
3591401	1843	1997-05-31	PRIJEM	\N	125	29051	UROK	\N	\N
3591402	1843	1997-06-30	PRIJEM	\N	151	35341	UROK	\N	\N
3591403	1843	1997-07-31	PRIJEM	\N	148	34012	UROK	\N	\N
3591404	1843	1997-08-31	PRIJEM	\N	149	35384	UROK	\N	\N
3591405	1843	1997-09-30	PRIJEM	\N	195	46903	UROK	\N	\N
3591406	1843	1997-10-31	PRIJEM	\N	235	52061	UROK	\N	\N
3591407	1843	1997-11-30	PRIJEM	\N	220	52304	UROK	\N	\N
3591408	1843	1997-12-31	PRIJEM	\N	234	51578	UROK	\N	\N
3591409	1843	1998-01-31	PRIJEM	\N	121	20622	UROK	\N	\N
3591410	1843	1998-02-28	PRIJEM	\N	130	31875	UROK	\N	\N
3591411	1843	1998-03-31	PRIJEM	\N	172	42571	UROK	\N	\N
3591412	1843	1998-04-30	PRIJEM	\N	191	45586	UROK	\N	\N
3591413	1843	1998-05-31	PRIJEM	\N	215	52324	UROK	\N	\N
3591414	1843	1998-06-30	PRIJEM	\N	250	62414	UROK	\N	\N
3591415	1843	1998-07-31	PRIJEM	\N	213	50906	UROK	\N	\N
3591416	1843	1998-08-31	PRIJEM	\N	219	51848	UROK	\N	\N
3591417	1843	1998-09-30	PRIJEM	\N	212	51778	UROK	\N	\N
3591418	1843	1998-10-31	PRIJEM	\N	184	39585	UROK	\N	\N
3591419	1843	1998-11-30	PRIJEM	\N	154	34208	UROK	\N	\N
3591420	1843	1998-12-31	PRIJEM	\N	135	31577	UROK	\N	\N
3591421	1844	1993-01-31	PRIJEM	\N	13	3755	UROK	\N	\N
3591422	1844	1993-02-28	PRIJEM	\N	16	7012	UROK	\N	\N
3591423	1844	1993-03-31	PRIJEM	\N	16	10270	UROK	\N	\N
3591424	1844	1993-04-30	PRIJEM	\N	16	13527	UROK	\N	\N
3591425	1844	1993-05-31	PRIJEM	\N	49	14657	UROK	\N	\N
3591426	1844	1993-06-30	PRIJEM	\N	58	14222	UROK	\N	\N
3591427	1844	1993-07-31	PRIJEM	\N	61	14299	UROK	\N	\N
3591428	1844	1993-08-31	PRIJEM	\N	63	15428	UROK	\N	\N
3591429	1844	1993-09-30	PRIJEM	\N	67	15991	UROK	\N	\N
3591430	1844	1993-10-31	PRIJEM	\N	70	17127	UROK	\N	\N
3591431	1844	1993-11-30	PRIJEM	\N	73	17847	UROK	\N	\N
3591432	1844	1993-12-31	PRIJEM	\N	78	18631	UROK	\N	\N
3591433	1844	1994-01-31	PRIJEM	\N	79	18516	UROK	\N	\N
3591434	1844	1994-02-28	PRIJEM	\N	80	19663	UROK	\N	\N
3591435	1844	1994-03-31	PRIJEM	\N	85	20814	UROK	\N	\N
3591436	1844	1994-04-30	PRIJEM	\N	90	21971	UROK	\N	\N
3591437	1844	1994-05-31	PRIJEM	\N	91	21748	UROK	\N	\N
3591438	1844	1994-06-30	PRIJEM	\N	92	19276	UROK	\N	\N
3591439	1844	1994-07-31	PRIJEM	\N	84	20426	UROK	\N	\N
3591440	1844	1994-08-31	PRIJEM	\N	88	21581	UROK	\N	\N
3591441	1844	1994-09-30	PRIJEM	\N	92	22349	UROK	\N	\N
3591442	1844	1994-10-31	PRIJEM	\N	96	23512	UROK	\N	\N
3591443	1844	1994-11-30	PRIJEM	\N	101	24679	UROK	\N	\N
3591444	1844	1994-12-31	PRIJEM	\N	104	24920	UROK	\N	\N
3591445	1844	1995-01-31	PRIJEM	\N	106	24712	UROK	\N	\N
3591446	1844	1995-02-28	PRIJEM	\N	106	25885	UROK	\N	\N
3591447	1844	1995-03-31	PRIJEM	\N	111	27062	UROK	\N	\N
3591448	1844	1995-04-30	PRIJEM	\N	116	28244	UROK	\N	\N
3591449	1844	1995-05-31	PRIJEM	\N	121	29431	UROK	\N	\N
3591450	1844	1995-06-30	PRIJEM	\N	118	27255	UROK	\N	\N
3591451	1844	1995-07-31	PRIJEM	\N	116	28438	UROK	\N	\N
3591452	1844	1995-08-31	PRIJEM	\N	121	29265	UROK	\N	\N
3591453	1844	1995-09-30	PRIJEM	\N	125	30456	UROK	\N	\N
3591454	1844	1995-10-31	PRIJEM	\N	130	31652	UROK	\N	\N
3591455	1844	1995-11-30	PRIJEM	\N	135	32853	UROK	\N	\N
3591456	1844	1995-12-31	PRIJEM	\N	136	32225	UROK	\N	\N
3591457	1844	1996-01-31	PRIJEM	\N	132	31264	UROK	\N	\N
3591458	1844	1996-02-29	PRIJEM	\N	129	31109	UROK	\N	\N
3591459	1844	1996-03-31	PRIJEM	\N	132	32308	UROK	\N	\N
3591460	1844	1996-04-30	PRIJEM	\N	137	33511	UROK	\N	\N
3591461	1844	1996-05-31	PRIJEM	\N	142	34720	UROK	\N	\N
3591462	1844	1996-06-30	PRIJEM	\N	145	29091	UROK	\N	\N
3591463	1844	1996-07-31	PRIJEM	\N	124	30281	UROK	\N	\N
3591464	1844	1996-08-31	PRIJEM	\N	128	31476	UROK	\N	\N
3591465	1844	1996-09-30	PRIJEM	\N	133	32675	UROK	\N	\N
3591466	1844	1996-10-31	PRIJEM	\N	138	33880	UROK	\N	\N
3591467	1844	1996-11-30	PRIJEM	\N	141	34128	UROK	\N	\N
3591468	1844	1996-12-31	PRIJEM	\N	141	33505	UROK	\N	\N
3591469	1844	1997-01-31	PRIJEM	\N	141	33722	UROK	\N	\N
3591470	1844	1997-02-28	PRIJEM	\N	142	34691	UROK	\N	\N
3591471	1844	1997-03-31	PRIJEM	\N	146	35903	UROK	\N	\N
3591472	1844	1997-04-30	PRIJEM	\N	151	37121	UROK	\N	\N
3591473	1844	1997-05-31	PRIJEM	\N	156	38343	UROK	\N	\N
3591474	1844	1997-06-30	PRIJEM	\N	141	33611	UROK	\N	\N
3591475	1844	1997-07-31	PRIJEM	\N	141	34819	UROK	\N	\N
3591476	1844	1997-08-31	PRIJEM	\N	146	36031	UROK	\N	\N
3591477	1844	1997-09-30	PRIJEM	\N	151	37249	UROK	\N	\N
3591478	1844	1997-10-31	PRIJEM	\N	156	37481	UROK	\N	\N
3591479	1844	1997-11-30	PRIJEM	\N	157	38705	UROK	\N	\N
3591480	1844	1997-12-31	PRIJEM	\N	160	39271	UROK	\N	\N
3591481	1844	1998-01-31	PRIJEM	\N	164	39242	UROK	\N	\N
3591482	1844	1998-02-28	PRIJEM	\N	164	40472	UROK	\N	\N
3591483	1844	1998-03-31	PRIJEM	\N	169	41708	UROK	\N	\N
3591484	1844	1998-04-30	PRIJEM	\N	174	42948	UROK	\N	\N
3591485	1844	1998-05-31	PRIJEM	\N	177	43351	UROK	\N	\N
3591486	1844	1998-06-30	PRIJEM	\N	168	38705	UROK	\N	\N
3591487	1844	1998-07-31	PRIJEM	\N	161	39933	UROK	\N	\N
3591488	1844	1998-08-31	PRIJEM	\N	166	40895	UROK	\N	\N
3591489	1844	1998-09-30	PRIJEM	\N	170	42132	UROK	\N	\N
3591490	1844	1998-10-31	PRIJEM	\N	174	42863	UROK	\N	\N
3591491	1844	1998-11-30	PRIJEM	\N	178	44107	UROK	\N	\N
3591492	1844	1998-12-31	PRIJEM	\N	181	43525	UROK	\N	\N
3591493	1845	1997-09-30	PRIJEM	\N	49	29335	UROK	\N	\N
3591494	1845	1997-10-31	PRIJEM	\N	173	67322	UROK	\N	\N
3591495	1845	1997-11-30	PRIJEM	\N	283	75599	UROK	\N	\N
3591496	1845	1997-12-31	PRIJEM	\N	314	54813	UROK	\N	\N
3591497	1845	1998-01-31	PRIJEM	\N	314	46027	UROK	\N	\N
3591498	1845	1998-02-28	PRIJEM	\N	267	51421	UROK	\N	\N
3591499	1845	1998-03-31	PRIJEM	\N	167	66365	UROK	\N	\N
3591500	1845	1998-04-30	PRIJEM	\N	218	41431	UROK	\N	\N
3591501	1845	1998-05-31	PRIJEM	\N	269	87596	UROK	\N	\N
3591502	1845	1998-06-30	PRIJEM	\N	198	31937	UROK	\N	\N
3591503	1845	1998-07-31	PRIJEM	\N	117	22001	UROK	\N	\N
3591504	1845	1998-08-31	PRIJEM	\N	157	68624	UROK	\N	\N
3591505	1845	1998-09-30	PRIJEM	\N	270	98064	UROK	\N	\N
3591506	1845	1998-10-31	PRIJEM	\N	351	59235	UROK	\N	\N
3591507	1845	1998-11-30	PRIJEM	\N	203	52783	UROK	\N	\N
3591508	1845	1998-12-31	PRIJEM	\N	157	26694	UROK	\N	\N
3591509	1846	1995-11-30	PRIJEM	\N	42	14445	UROK	\N	\N
3591510	1846	1995-12-31	PRIJEM	\N	55	12127	UROK	\N	\N
3591511	1846	1996-01-31	PRIJEM	\N	53	12506	UROK	\N	\N
3591512	1846	1996-02-29	PRIJEM	\N	55	13398	UROK	\N	\N
3591513	1846	1996-03-31	PRIJEM	\N	59	14473	UROK	\N	\N
3591514	1846	1996-04-30	PRIJEM	\N	63	14622	UROK	\N	\N
3591515	1846	1996-05-31	PRIJEM	\N	64	15703	UROK	\N	\N
3591516	1846	1996-06-30	PRIJEM	\N	64	14683	UROK	\N	\N
3591517	1846	1996-07-31	PRIJEM	\N	63	14772	UROK	\N	\N
3591518	1846	1996-08-31	PRIJEM	\N	65	15853	UROK	\N	\N
3591519	1846	1996-09-30	PRIJEM	\N	69	16758	UROK	\N	\N
3591520	1846	1996-10-31	PRIJEM	\N	73	17847	UROK	\N	\N
3591521	1846	1996-11-30	PRIJEM	\N	77	18941	UROK	\N	\N
3591522	1846	1996-12-31	PRIJEM	\N	81	19678	UROK	\N	\N
3591523	1846	1997-01-31	PRIJEM	\N	83	19967	UROK	\N	\N
3591524	1846	1997-02-28	PRIJEM	\N	85	19629	UROK	\N	\N
3591525	1846	1997-03-31	PRIJEM	\N	84	20519	UROK	\N	\N
3591526	1846	1997-04-30	PRIJEM	\N	88	21624	UROK	\N	\N
3591527	1846	1997-05-31	PRIJEM	\N	93	22733	UROK	\N	\N
3591528	1846	1997-06-30	PRIJEM	\N	90	14810	UROK	\N	\N
3591529	1846	1997-07-31	PRIJEM	\N	65	15891	UROK	\N	\N
3591530	1846	1997-08-31	PRIJEM	\N	67	16255	UROK	\N	\N
3591531	1846	1997-09-30	PRIJEM	\N	70	17341	UROK	\N	\N
3591532	1846	1997-10-31	PRIJEM	\N	75	18433	UROK	\N	\N
3591533	1846	1997-11-30	PRIJEM	\N	80	19529	UROK	\N	\N
3591534	1846	1997-12-31	PRIJEM	\N	80	18525	UROK	\N	\N
3591535	1846	1998-01-31	PRIJEM	\N	73	15474	UROK	\N	\N
3591536	1846	1998-02-28	PRIJEM	\N	67	16558	UROK	\N	\N
3591537	1846	1998-03-31	PRIJEM	\N	72	17646	UROK	\N	\N
3591538	1846	1998-04-30	PRIJEM	\N	76	18738	UROK	\N	\N
3591539	1846	1998-05-31	PRIJEM	\N	81	19835	UROK	\N	\N
3591540	1846	1998-06-30	PRIJEM	\N	85	20936	UROK	\N	\N
3591541	1846	1998-07-31	PRIJEM	\N	90	22043	UROK	\N	\N
3591542	1846	1998-08-31	PRIJEM	\N	94	23153	UROK	\N	\N
3591543	1846	1998-09-30	PRIJEM	\N	99	24268	UROK	\N	\N
3591544	1846	1998-10-31	PRIJEM	\N	100	24125	UROK	\N	\N
3591545	1846	1998-11-30	PRIJEM	\N	103	25244	UROK	\N	\N
3591546	1846	1998-12-31	PRIJEM	\N	106	25586	UROK	\N	\N
3591547	1847	1996-04-30	PRIJEM	\N	20	6799	UROK	\N	\N
3591548	1847	1996-05-31	PRIJEM	\N	28	12506	UROK	\N	\N
3591549	1847	1996-06-30	PRIJEM	\N	28	18213	UROK	\N	\N
3591550	1847	1996-07-31	PRIJEM	\N	28	23921	UROK	\N	\N
3591551	1847	1996-08-31	PRIJEM	\N	90	27274	UROK	\N	\N
3591552	1847	1996-09-30	PRIJEM	\N	121	29324	UROK	\N	\N
3591553	1847	1996-10-31	PRIJEM	\N	130	30444	UROK	\N	\N
3591554	1847	1996-11-30	PRIJEM	\N	131	30025	UROK	\N	\N
3591555	1847	1996-12-31	PRIJEM	\N	135	33039	UROK	\N	\N
3591556	1847	1997-01-31	PRIJEM	\N	121	25249	UROK	\N	\N
3591557	1847	1997-02-28	PRIJEM	\N	114	29213	UROK	\N	\N
3591558	1847	1997-03-31	PRIJEM	\N	131	33193	UROK	\N	\N
3591559	1847	1997-04-30	PRIJEM	\N	147	37190	UROK	\N	\N
3591560	1847	1997-05-31	PRIJEM	\N	164	41203	UROK	\N	\N
3591561	1847	1997-06-30	PRIJEM	\N	139	29351	UROK	\N	\N
3591562	1847	1997-07-31	PRIJEM	\N	130	32210	UROK	\N	\N
3591563	1847	1997-08-31	PRIJEM	\N	143	36203	UROK	\N	\N
3591564	1847	1997-09-30	PRIJEM	\N	152	36524	UROK	\N	\N
3591565	1847	1997-10-31	PRIJEM	\N	161	40535	UROK	\N	\N
3591566	1847	1997-11-30	PRIJEM	\N	178	44562	UROK	\N	\N
3591567	1847	1997-12-31	PRIJEM	\N	194	47355	UROK	\N	\N
3591568	1847	1998-01-31	PRIJEM	\N	179	39583	UROK	\N	\N
3591569	1847	1998-02-28	PRIJEM	\N	173	43606	UROK	\N	\N
3591570	1847	1998-03-31	PRIJEM	\N	191	47646	UROK	\N	\N
3591571	1847	1998-04-30	PRIJEM	\N	207	51702	UROK	\N	\N
3591572	1847	1998-05-31	PRIJEM	\N	224	55776	UROK	\N	\N
3591573	1847	1998-06-30	PRIJEM	\N	226	53001	UROK	\N	\N
3591574	1847	1998-07-31	PRIJEM	\N	231	56521	UROK	\N	\N
3591575	1847	1998-08-31	PRIJEM	\N	240	57311	UROK	\N	\N
3591576	1847	1998-09-30	PRIJEM	\N	242	57342	UROK	\N	\N
3591577	1847	1998-10-31	PRIJEM	\N	234	54506	UROK	\N	\N
3591578	1847	1998-11-30	PRIJEM	\N	231	53286	UROK	\N	\N
3591579	1847	1998-12-31	PRIJEM	\N	222	53077	UROK	\N	\N
3591580	1848	1994-08-31	PRIJEM	\N	22	6232	UROK	\N	\N
3591581	1848	1994-09-30	PRIJEM	\N	72	19514	UROK	\N	\N
3591582	1848	1994-10-31	PRIJEM	\N	108	27231	UROK	\N	\N
3591583	1848	1994-11-30	PRIJEM	\N	125	30566	UROK	\N	\N
3591584	1848	1994-12-31	PRIJEM	\N	132	27760	UROK	\N	\N
3591585	1848	1995-01-31	PRIJEM	\N	104	17687	UROK	\N	\N
3591586	1848	1995-02-28	PRIJEM	\N	84	20893	UROK	\N	\N
3591587	1848	1995-03-31	PRIJEM	\N	96	22190	UROK	\N	\N
3591588	1848	1995-04-30	PRIJEM	\N	83	18996	UROK	\N	\N
3591589	1848	1995-05-31	PRIJEM	\N	88	20706	UROK	\N	\N
3591590	1848	1995-06-30	PRIJEM	\N	89	22223	UROK	\N	\N
3591591	1848	1995-07-31	PRIJEM	\N	86	16431	UROK	\N	\N
3591592	1848	1995-08-31	PRIJEM	\N	66	14160	UROK	\N	\N
3591593	1848	1995-09-30	PRIJEM	\N	63	13265	UROK	\N	\N
3591594	1848	1995-10-31	PRIJEM	\N	59	13446	UROK	\N	\N
3591595	1848	1995-11-30	PRIJEM	\N	61	16129	UROK	\N	\N
3591596	1848	1995-12-31	PRIJEM	\N	74	19310	UROK	\N	\N
3591597	1848	1996-01-31	PRIJEM	\N	71	13644	UROK	\N	\N
3591598	1848	1996-02-29	PRIJEM	\N	61	15767	UROK	\N	\N
3591599	1848	1996-03-31	PRIJEM	\N	67	14557	UROK	\N	\N
3591600	1848	1996-04-30	PRIJEM	\N	67	18846	UROK	\N	\N
3591601	1848	1996-05-31	PRIJEM	\N	79	17248	UROK	\N	\N
3591602	1848	1996-06-30	PRIJEM	\N	80	19355	UROK	\N	\N
3591603	1848	1996-07-31	PRIJEM	\N	80	16858	UROK	\N	\N
3591604	1848	1996-08-31	PRIJEM	\N	71	16051	UROK	\N	\N
3591605	1848	1996-09-30	PRIJEM	\N	66	14140	UROK	\N	\N
3591606	1848	1996-10-31	PRIJEM	\N	57	11219	UROK	\N	\N
3591607	1848	1996-11-30	PRIJEM	\N	51	12992	UROK	\N	\N
3591608	1848	1996-12-31	PRIJEM	\N	57	13756	UROK	\N	\N
3591609	1848	1997-01-31	PRIJEM	\N	48	10367	UROK	\N	\N
3591610	1848	1997-02-28	PRIJEM	\N	47	12136	UROK	\N	\N
3591611	1848	1997-03-31	PRIJEM	\N	54	13912	UROK	\N	\N
3591612	1848	1997-04-30	PRIJEM	\N	62	15696	UROK	\N	\N
3591613	1848	1997-05-31	PRIJEM	\N	69	17488	UROK	\N	\N
3591614	1848	1997-06-30	PRIJEM	\N	73	17928	UROK	\N	\N
3591615	1848	1997-07-31	PRIJEM	\N	68	15278	UROK	\N	\N
3591616	1848	1997-08-31	PRIJEM	\N	67	17068	UROK	\N	\N
3591617	1848	1997-09-30	PRIJEM	\N	75	18865	UROK	\N	\N
3591618	1848	1997-10-31	PRIJEM	\N	69	13956	UROK	\N	\N
3591619	1848	1997-11-30	PRIJEM	\N	62	15740	UROK	\N	\N
3591620	1848	1997-12-31	PRIJEM	\N	70	16617	UROK	\N	\N
3591621	1848	1998-01-31	PRIJEM	\N	65	14444	UROK	\N	\N
3591622	1848	1998-02-28	PRIJEM	\N	63	16230	UROK	\N	\N
3591623	1848	1998-03-31	PRIJEM	\N	71	18023	UROK	\N	\N
3591624	1848	1998-04-30	PRIJEM	\N	71	15856	UROK	\N	\N
3591625	1848	1998-05-31	PRIJEM	\N	69	17648	UROK	\N	\N
3591626	1848	1998-06-30	PRIJEM	\N	83	22058	UROK	\N	\N
3591627	1848	1998-07-31	PRIJEM	\N	95	23875	UROK	\N	\N
3591628	1848	1998-08-31	PRIJEM	\N	102	25700	UROK	\N	\N
3591629	1848	1998-09-30	PRIJEM	\N	104	24407	UROK	\N	\N
3591630	1848	1998-10-31	PRIJEM	\N	105	26234	UROK	\N	\N
3591631	1848	1998-11-30	PRIJEM	\N	112	28068	UROK	\N	\N
3591632	1848	1998-12-31	PRIJEM	\N	124	28200	UROK	\N	\N
3591649	1851	1993-06-30	PRIJEM	\N	22	17876	UROK	\N	\N
3591650	1851	1993-07-31	PRIJEM	\N	84	24896	UROK	\N	\N
3591651	1851	1993-08-31	PRIJEM	\N	106	26738	UROK	\N	\N
3591652	1851	1993-09-30	PRIJEM	\N	112	27186	UROK	\N	\N
3591653	1851	1993-10-31	PRIJEM	\N	120	29642	UROK	\N	\N
3591654	1851	1993-11-30	PRIJEM	\N	115	25029	UROK	\N	\N
3591655	1851	1993-12-31	PRIJEM	\N	106	20825	UROK	\N	\N
3591656	1851	1994-01-31	PRIJEM	\N	73	12470	UROK	\N	\N
3591657	1851	1994-02-28	PRIJEM	\N	64	17807	UROK	\N	\N
3591658	1851	1994-03-31	PRIJEM	\N	88	24167	UROK	\N	\N
3591659	1851	1994-04-30	PRIJEM	\N	105	24945	UROK	\N	\N
3591660	1851	1994-05-31	PRIJEM	\N	108	25925	UROK	\N	\N
3591661	1851	1994-06-30	PRIJEM	\N	106	14321	UROK	\N	\N
3591662	1851	1994-07-31	PRIJEM	\N	76	21470	UROK	\N	\N
3591663	1851	1994-08-31	PRIJEM	\N	90	22632	UROK	\N	\N
3591664	1851	1994-09-30	PRIJEM	\N	99	24204	UROK	\N	\N
3591665	1851	1994-10-31	PRIJEM	\N	95	23371	UROK	\N	\N
3591666	1851	1994-11-30	PRIJEM	\N	94	21238	UROK	\N	\N
3591667	1851	1994-12-31	PRIJEM	\N	110	29437	UROK	\N	\N
3591668	1851	1995-01-31	PRIJEM	\N	106	19916	UROK	\N	\N
3591669	1851	1995-02-28	PRIJEM	\N	94	25082	UROK	\N	\N
3591670	1851	1995-03-31	PRIJEM	\N	108	26263	UROK	\N	\N
3591671	1851	1995-04-30	PRIJEM	\N	116	28651	UROK	\N	\N
3591672	1851	1995-05-31	PRIJEM	\N	121	29645	UROK	\N	\N
3591673	1851	1995-06-30	PRIJEM	\N	83	21818	UROK	\N	\N
3591674	1851	1995-07-31	PRIJEM	\N	95	23385	UROK	\N	\N
3591675	1851	1995-08-31	PRIJEM	\N	108	27265	UROK	\N	\N
3591676	1851	1995-09-30	PRIJEM	\N	120	26858	UROK	\N	\N
3591677	1851	1995-10-31	PRIJEM	\N	104	22934	UROK	\N	\N
3591678	1851	1995-11-30	PRIJEM	\N	118	30925	UROK	\N	\N
3591679	1851	1995-12-31	PRIJEM	\N	134	32149	UROK	\N	\N
3591680	1851	1996-01-31	PRIJEM	\N	97	17019	UROK	\N	\N
3591681	1851	1996-02-29	PRIJEM	\N	85	22477	UROK	\N	\N
3591682	1851	1996-03-31	PRIJEM	\N	107	27456	UROK	\N	\N
3591683	1851	1996-04-30	PRIJEM	\N	107	25636	UROK	\N	\N
3591684	1851	1996-05-31	PRIJEM	\N	110	27218	UROK	\N	\N
3591685	1851	1996-06-30	PRIJEM	\N	116	29025	UROK	\N	\N
3591686	1851	1996-07-31	PRIJEM	\N	126	31223	UROK	\N	\N
3591687	1851	1996-08-31	PRIJEM	\N	120	26315	UROK	\N	\N
3591688	1851	1996-09-30	PRIJEM	\N	115	28903	UROK	\N	\N
3591689	1851	1996-10-31	PRIJEM	\N	110	26385	UROK	\N	\N
3591690	1851	1996-11-30	PRIJEM	\N	117	29574	UROK	\N	\N
3591691	1851	1996-12-31	PRIJEM	\N	142	36306	UROK	\N	\N
3591692	1851	1997-01-31	PRIJEM	\N	118	21997	UROK	\N	\N
3591693	1851	1997-02-28	PRIJEM	\N	106	24574	UROK	\N	\N
3591694	1851	1997-03-31	PRIJEM	\N	133	35280	UROK	\N	\N
3591695	1851	1997-04-30	PRIJEM	\N	153	38005	UROK	\N	\N
3591696	1851	1997-05-31	PRIJEM	\N	168	42045	UROK	\N	\N
3591697	1851	1997-06-30	PRIJEM	\N	154	34390	UROK	\N	\N
3591698	1851	1997-07-31	PRIJEM	\N	160	38821	UROK	\N	\N
3591699	1851	1997-08-31	PRIJEM	\N	164	38558	UROK	\N	\N
3591700	1851	1997-09-30	PRIJEM	\N	150	37080	UROK	\N	\N
3591701	1851	1997-10-31	PRIJEM	\N	161	43014	UROK	\N	\N
3591702	1851	1997-11-30	PRIJEM	\N	185	47271	UROK	\N	\N
3591703	1851	1997-12-31	PRIJEM	\N	208	53470	UROK	\N	\N
3591704	1851	1998-01-31	PRIJEM	\N	197	49739	UROK	\N	\N
3591705	1851	1998-02-28	PRIJEM	\N	213	54624	UROK	\N	\N
3591706	1851	1998-03-31	PRIJEM	\N	234	59430	UROK	\N	\N
3591707	1851	1998-04-30	PRIJEM	\N	251	60254	UROK	\N	\N
3591708	1851	1998-05-31	PRIJEM	\N	256	63082	UROK	\N	\N
3591709	1851	1998-06-30	PRIJEM	\N	209	50482	UROK	\N	\N
3591710	1851	1998-07-31	PRIJEM	\N	210	53565	UROK	\N	\N
3591711	1851	1998-08-31	PRIJEM	\N	226	54363	UROK	\N	\N
3591712	1851	1998-09-30	PRIJEM	\N	228	55463	UROK	\N	\N
3591713	1851	1998-10-31	PRIJEM	\N	234	56769	UROK	\N	\N
3591714	1851	1998-11-30	PRIJEM	\N	235	54577	UROK	\N	\N
3591715	1851	1998-12-31	PRIJEM	\N	220	46087	UROK	\N	\N
3591716	1852	1993-07-31	PRIJEM	\N	10	3709	UROK	\N	\N
3591717	1852	1993-08-31	PRIJEM	\N	56	18064	UROK	\N	\N
3591718	1852	1993-09-30	PRIJEM	\N	90	23353	UROK	\N	\N
3591719	1852	1993-10-31	PRIJEM	\N	103	25655	UROK	\N	\N
3591720	1852	1993-11-30	PRIJEM	\N	106	25441	UROK	\N	\N
3591721	1852	1993-12-31	PRIJEM	\N	107	25792	UROK	\N	\N
3591722	1852	1994-01-31	PRIJEM	\N	108	25096	UROK	\N	\N
3591723	1852	1994-02-28	PRIJEM	\N	107	26189	UROK	\N	\N
3591724	1852	1994-03-31	PRIJEM	\N	107	25781	UROK	\N	\N
3591725	1852	1994-04-30	PRIJEM	\N	100	24216	UROK	\N	\N
3591726	1852	1994-05-31	PRIJEM	\N	103	24924	UROK	\N	\N
3591727	1852	1994-06-30	PRIJEM	\N	102	24662	UROK	\N	\N
3591728	1852	1994-07-31	PRIJEM	\N	103	23250	UROK	\N	\N
3591729	1852	1994-08-31	PRIJEM	\N	100	25836	UROK	\N	\N
3591730	1852	1994-09-30	PRIJEM	\N	109	24131	UROK	\N	\N
3591731	1852	1994-10-31	PRIJEM	\N	103	23619	UROK	\N	\N
3591732	1852	1994-11-30	PRIJEM	\N	102	26106	UROK	\N	\N
3591733	1852	1994-12-31	PRIJEM	\N	109	24350	UROK	\N	\N
3591734	1852	1995-01-31	PRIJEM	\N	94	21990	UROK	\N	\N
3591735	1852	1995-02-28	PRIJEM	\N	92	18967	UROK	\N	\N
3591736	1852	1995-03-31	PRIJEM	\N	80	17532	UROK	\N	\N
3591737	1852	1995-04-30	PRIJEM	\N	74	16492	UROK	\N	\N
3591738	1852	1995-05-31	PRIJEM	\N	70	18067	UROK	\N	\N
3591739	1852	1995-06-30	PRIJEM	\N	79	21292	UROK	\N	\N
3591740	1852	1995-07-31	PRIJEM	\N	89	20066	UROK	\N	\N
3591741	1852	1995-08-31	PRIJEM	\N	79	18541	UROK	\N	\N
3591742	1852	1995-09-30	PRIJEM	\N	72	14118	UROK	\N	\N
3591743	1852	1995-10-31	PRIJEM	\N	59	13462	UROK	\N	\N
3591744	1852	1995-11-30	PRIJEM	\N	58	14306	UROK	\N	\N
3591745	1852	1995-12-31	PRIJEM	\N	59	13330	UROK	\N	\N
3591746	1852	1996-01-31	PRIJEM	\N	54	11669	UROK	\N	\N
3591747	1852	1996-02-29	PRIJEM	\N	49	11203	UROK	\N	\N
3591748	1852	1996-03-31	PRIJEM	\N	48	11737	UROK	\N	\N
3591749	1852	1996-04-30	PRIJEM	\N	51	12873	UROK	\N	\N
3591750	1852	1996-05-31	PRIJEM	\N	56	14014	UROK	\N	\N
3591751	1852	1996-06-30	PRIJEM	\N	61	15160	UROK	\N	\N
3591752	1852	1996-07-31	PRIJEM	\N	65	16311	UROK	\N	\N
3591753	1852	1996-08-31	PRIJEM	\N	60	12866	UROK	\N	\N
3591754	1852	1996-09-30	PRIJEM	\N	51	11703	UROK	\N	\N
3591755	1852	1996-10-31	PRIJEM	\N	51	12839	UROK	\N	\N
3591756	1852	1996-11-30	PRIJEM	\N	55	13979	UROK	\N	\N
3591757	1852	1996-12-31	PRIJEM	\N	59	14823	UROK	\N	\N
3591758	1852	1997-01-31	PRIJEM	\N	60	13898	UROK	\N	\N
3591759	1852	1997-02-28	PRIJEM	\N	59	14563	UROK	\N	\N
3591760	1852	1997-03-31	PRIJEM	\N	62	15710	UROK	\N	\N
3591761	1852	1997-04-30	PRIJEM	\N	67	16863	UROK	\N	\N
3591762	1852	1997-05-31	PRIJEM	\N	72	17630	UROK	\N	\N
3591763	1852	1997-06-30	PRIJEM	\N	75	18790	UROK	\N	\N
3591764	1852	1997-07-31	PRIJEM	\N	80	19595	UROK	\N	\N
3591765	1852	1997-08-31	PRIJEM	\N	83	20764	UROK	\N	\N
3591766	1852	1997-09-30	PRIJEM	\N	88	21937	UROK	\N	\N
3591767	1852	1997-10-31	PRIJEM	\N	90	22002	UROK	\N	\N
3591768	1852	1997-11-30	PRIJEM	\N	93	23180	UROK	\N	\N
3591769	1852	1997-12-31	PRIJEM	\N	97	23822	UROK	\N	\N
3591770	1852	1998-01-31	PRIJEM	\N	89	20797	UROK	\N	\N
3591771	1852	1998-02-28	PRIJEM	\N	88	21970	UROK	\N	\N
3591772	1852	1998-03-31	PRIJEM	\N	93	23148	UROK	\N	\N
3591773	1852	1998-04-30	PRIJEM	\N	97	24330	UROK	\N	\N
3591774	1852	1998-05-31	PRIJEM	\N	102	25518	UROK	\N	\N
3591775	1852	1998-06-30	PRIJEM	\N	105	25868	UROK	\N	\N
3591776	1852	1998-07-31	PRIJEM	\N	107	26311	UROK	\N	\N
3591777	1852	1998-08-31	PRIJEM	\N	110	27506	UROK	\N	\N
3591778	1852	1998-09-30	PRIJEM	\N	115	28707	UROK	\N	\N
3591779	1852	1998-10-31	PRIJEM	\N	120	29913	UROK	\N	\N
3591780	1852	1998-11-30	PRIJEM	\N	125	31123	UROK	\N	\N
3591781	1852	1998-12-31	PRIJEM	\N	128	31856	UROK	\N	\N
3591782	1854	1997-02-28	PRIJEM	\N	59	18098	UROK	\N	\N
3591783	1854	1997-03-31	PRIJEM	\N	148	39885	UROK	\N	\N
3591784	1854	1997-04-30	PRIJEM	\N	204	51328	UROK	\N	\N
3591785	1854	1997-05-31	PRIJEM	\N	241	59708	UROK	\N	\N
3591786	1854	1997-06-30	PRIJEM	\N	233	39051	UROK	\N	\N
3591787	1854	1997-07-31	PRIJEM	\N	191	46918	UROK	\N	\N
3591788	1854	1997-08-31	PRIJEM	\N	206	49100	UROK	\N	\N
3591789	1854	1997-09-30	PRIJEM	\N	184	46061	UROK	\N	\N
3591790	1854	1997-10-31	PRIJEM	\N	198	38535	UROK	\N	\N
3591791	1854	1997-11-30	PRIJEM	\N	194	37105	UROK	\N	\N
3591792	1854	1997-12-31	PRIJEM	\N	213	45613	UROK	\N	\N
3591793	1854	1998-01-31	PRIJEM	\N	199	36589	UROK	\N	\N
3591794	1854	1998-02-28	PRIJEM	\N	187	42752	UROK	\N	\N
3591795	1854	1998-03-31	PRIJEM	\N	209	40538	UROK	\N	\N
3591796	1854	1998-04-30	PRIJEM	\N	203	43516	UROK	\N	\N
3591797	1854	1998-05-31	PRIJEM	\N	215	47608	UROK	\N	\N
3591798	1854	1998-06-30	PRIJEM	\N	231	41033	UROK	\N	\N
3591799	1854	1998-07-31	PRIJEM	\N	204	46013	UROK	\N	\N
3591800	1854	1998-08-31	PRIJEM	\N	197	39487	UROK	\N	\N
3591801	1854	1998-09-30	PRIJEM	\N	195	44759	UROK	\N	\N
3591802	1854	1998-10-31	PRIJEM	\N	213	45648	UROK	\N	\N
3591803	1854	1998-11-30	PRIJEM	\N	213	44537	UROK	\N	\N
3591804	1854	1998-12-31	PRIJEM	\N	221	41053	UROK	\N	\N
3591805	1855	1997-03-31	PRIJEM	\N	19	23679	UROK	\N	\N
3591806	1855	1997-04-30	PRIJEM	\N	104	26044	UROK	\N	\N
3591807	1855	1997-05-31	PRIJEM	\N	113	27217	UROK	\N	\N
3591808	1855	1997-06-30	PRIJEM	\N	96	23173	UROK	\N	\N
3591809	1855	1997-07-31	PRIJEM	\N	101	24835	UROK	\N	\N
3591810	1855	1997-08-31	PRIJEM	\N	108	26203	UROK	\N	\N
3591811	1855	1997-09-30	PRIJEM	\N	107	27370	UROK	\N	\N
3591812	1855	1997-10-31	PRIJEM	\N	109	27739	UROK	\N	\N
3591813	1855	1997-11-30	PRIJEM	\N	116	28355	UROK	\N	\N
3591814	1855	1997-12-31	PRIJEM	\N	116	29682	UROK	\N	\N
3591815	1855	1998-01-31	PRIJEM	\N	106	21729	UROK	\N	\N
3591816	1855	1998-02-28	PRIJEM	\N	96	24084	UROK	\N	\N
3591817	1855	1998-03-31	PRIJEM	\N	106	26451	UROK	\N	\N
3591818	1855	1998-04-30	PRIJEM	\N	114	27625	UROK	\N	\N
3591819	1855	1998-05-31	PRIJEM	\N	120	30005	UROK	\N	\N
3591820	1855	1998-06-30	PRIJEM	\N	123	18639	UROK	\N	\N
3591821	1855	1998-07-31	PRIJEM	\N	83	20982	UROK	\N	\N
3591822	1855	1998-08-31	PRIJEM	\N	93	23335	UROK	\N	\N
3591823	1855	1998-09-30	PRIJEM	\N	102	25698	UROK	\N	\N
3591824	1855	1998-10-31	PRIJEM	\N	107	25026	UROK	\N	\N
3591825	1855	1998-11-30	PRIJEM	\N	106	25872	UROK	\N	\N
3591826	1855	1998-12-31	PRIJEM	\N	113	27195	UROK	\N	\N
3591827	1856	1994-11-30	PRIJEM	\N	39	15695	UROK	\N	\N
3591828	1856	1994-12-31	PRIJEM	\N	68	15576	UROK	\N	\N
3591829	1856	1995-01-31	PRIJEM	\N	66	15334	UROK	\N	\N
3591830	1856	1995-02-28	PRIJEM	\N	68	16475	UROK	\N	\N
3591831	1856	1995-03-31	PRIJEM	\N	73	17620	UROK	\N	\N
3591832	1856	1995-04-30	PRIJEM	\N	76	17058	UROK	\N	\N
3591833	1856	1995-05-31	PRIJEM	\N	76	18206	UROK	\N	\N
3591834	1856	1995-06-30	PRIJEM	\N	77	18005	UROK	\N	\N
3591835	1856	1995-07-31	PRIJEM	\N	75	17143	UROK	\N	\N
3591836	1856	1995-08-31	PRIJEM	\N	76	18291	UROK	\N	\N
3591837	1856	1995-09-30	PRIJEM	\N	81	19444	UROK	\N	\N
3591838	1856	1995-10-31	PRIJEM	\N	85	20602	UROK	\N	\N
3591839	1856	1995-11-30	PRIJEM	\N	90	21765	UROK	\N	\N
3591840	1856	1995-12-31	PRIJEM	\N	93	22420	UROK	\N	\N
3591841	1856	1996-01-31	PRIJEM	\N	98	21790	UROK	\N	\N
3591842	1856	1996-02-29	PRIJEM	\N	95	22957	UROK	\N	\N
3591843	1856	1996-03-31	PRIJEM	\N	100	24130	UROK	\N	\N
3591844	1856	1996-04-30	PRIJEM	\N	105	25307	UROK	\N	\N
3591845	1856	1996-05-31	PRIJEM	\N	110	26489	UROK	\N	\N
3591846	1856	1996-06-30	PRIJEM	\N	96	21058	UROK	\N	\N
3591847	1856	1996-07-31	PRIJEM	\N	91	20961	UROK	\N	\N
3591848	1856	1996-08-31	PRIJEM	\N	92	22125	UROK	\N	\N
3591849	1856	1996-09-30	PRIJEM	\N	96	23294	UROK	\N	\N
3591850	1856	1996-10-31	PRIJEM	\N	101	24467	UROK	\N	\N
3591851	1856	1996-11-30	PRIJEM	\N	106	25646	UROK	\N	\N
3591852	1856	1996-12-31	PRIJEM	\N	105	24813	UROK	\N	\N
3591853	1856	1997-01-31	PRIJEM	\N	101	23976	UROK	\N	\N
3591854	1856	1997-02-28	PRIJEM	\N	104	25152	UROK	\N	\N
3591855	1856	1997-03-31	PRIJEM	\N	109	26333	UROK	\N	\N
3591856	1856	1997-04-30	PRIJEM	\N	113	26708	UROK	\N	\N
3591857	1856	1997-05-31	PRIJEM	\N	110	26421	UROK	\N	\N
3591858	1856	1997-06-30	PRIJEM	\N	102	23905	UROK	\N	\N
3591859	1856	1997-07-31	PRIJEM	\N	103	25081	UROK	\N	\N
3591860	1856	1997-08-31	PRIJEM	\N	108	26261	UROK	\N	\N
3591861	1856	1997-09-30	PRIJEM	\N	113	27447	UROK	\N	\N
3591862	1856	1997-10-31	PRIJEM	\N	116	28005	UROK	\N	\N
3591863	1856	1997-11-30	PRIJEM	\N	118	27755	UROK	\N	\N
3591864	1856	1997-12-31	PRIJEM	\N	118	28465	UROK	\N	\N
3591865	1856	1998-01-31	PRIJEM	\N	121	27019	UROK	\N	\N
3591866	1856	1998-02-28	PRIJEM	\N	116	28207	UROK	\N	\N
3591867	1856	1998-03-31	PRIJEM	\N	119	28289	UROK	\N	\N
3591868	1856	1998-04-30	PRIJEM	\N	121	29482	UROK	\N	\N
3591869	1856	1998-05-31	PRIJEM	\N	126	30680	UROK	\N	\N
3591870	1856	1998-06-30	PRIJEM	\N	120	25482	UROK	\N	\N
3591871	1856	1998-07-31	PRIJEM	\N	109	26484	UROK	\N	\N
3591872	1856	1998-08-31	PRIJEM	\N	110	26406	UROK	\N	\N
3591873	1856	1998-09-30	PRIJEM	\N	113	27591	UROK	\N	\N
3591874	1856	1998-10-31	PRIJEM	\N	118	28781	UROK	\N	\N
3591875	1856	1998-11-30	PRIJEM	\N	123	29977	UROK	\N	\N
3591876	1856	1998-12-31	PRIJEM	\N	127	30876	UROK	\N	\N
3591877	1857	1997-09-30	PRIJEM	\N	32	16394	UROK	\N	\N
3591878	1857	1997-10-31	PRIJEM	\N	79	21635	UROK	\N	\N
3591879	1857	1997-11-30	PRIJEM	\N	100	26496	UROK	\N	\N
3591880	1857	1997-12-31	PRIJEM	\N	115	28804	UROK	\N	\N
3591881	1857	1998-01-31	PRIJEM	\N	119	25932	UROK	\N	\N
3591882	1857	1998-02-28	PRIJEM	\N	123	31528	UROK	\N	\N
3591883	1857	1998-03-31	PRIJEM	\N	129	31650	UROK	\N	\N
3591884	1857	1998-04-30	PRIJEM	\N	136	34840	UROK	\N	\N
3591885	1857	1998-05-31	PRIJEM	\N	159	39772	UROK	\N	\N
3591886	1857	1998-06-30	PRIJEM	\N	177	42554	UROK	\N	\N
3591887	1857	1998-07-31	PRIJEM	\N	169	38496	UROK	\N	\N
3591888	1857	1998-08-31	PRIJEM	\N	175	43845	UROK	\N	\N
3591889	1857	1998-09-30	PRIJEM	\N	191	46409	UROK	\N	\N
3591890	1857	1998-10-31	PRIJEM	\N	208	51390	UROK	\N	\N
3591891	1857	1998-11-30	PRIJEM	\N	217	52381	UROK	\N	\N
3591892	1857	1998-12-31	PRIJEM	\N	237	57522	UROK	\N	\N
3591893	1858	1995-06-30	PRIJEM	\N	49	27341	UROK	\N	\N
3591894	1858	1995-07-31	PRIJEM	\N	120	29246	UROK	\N	\N
3591895	1858	1995-08-31	PRIJEM	\N	121	27736	UROK	\N	\N
3591896	1858	1995-09-30	PRIJEM	\N	99	20785	UROK	\N	\N
3591897	1858	1995-10-31	PRIJEM	\N	94	23248	UROK	\N	\N
3591898	1858	1995-11-30	PRIJEM	\N	93	20710	UROK	\N	\N
3591899	1858	1995-12-31	PRIJEM	\N	90	21319	UROK	\N	\N
3591900	1858	1996-01-31	PRIJEM	\N	77	13575	UROK	\N	\N
3591901	1858	1996-02-29	PRIJEM	\N	64	15949	UROK	\N	\N
3591902	1858	1996-03-31	PRIJEM	\N	75	18893	UROK	\N	\N
3591903	1858	1996-04-30	PRIJEM	\N	87	21849	UROK	\N	\N
3591904	1858	1996-05-31	PRIJEM	\N	99	24818	UROK	\N	\N
3591905	1858	1996-06-30	PRIJEM	\N	101	22808	UROK	\N	\N
3591906	1858	1996-07-31	PRIJEM	\N	103	25781	UROK	\N	\N
3591907	1858	1996-08-31	PRIJEM	\N	116	28766	UROK	\N	\N
3591908	1858	1996-09-30	PRIJEM	\N	124	28480	UROK	\N	\N
3591909	1858	1996-10-31	PRIJEM	\N	126	29795	UROK	\N	\N
3591910	1858	1996-11-30	PRIJEM	\N	119	28184	UROK	\N	\N
3591911	1858	1996-12-31	PRIJEM	\N	114	27067	UROK	\N	\N
3591912	1858	1997-01-31	PRIJEM	\N	90	19136	UROK	\N	\N
3591913	1858	1997-02-28	PRIJEM	\N	84	20650	UROK	\N	\N
3591914	1858	1997-03-31	PRIJEM	\N	94	23613	UROK	\N	\N
3591915	1858	1997-04-30	PRIJEM	\N	106	26589	UROK	\N	\N
3591916	1858	1997-05-31	PRIJEM	\N	119	29378	UROK	\N	\N
3591917	1858	1997-06-30	PRIJEM	\N	88	18085	UROK	\N	\N
3591918	1858	1997-07-31	PRIJEM	\N	83	21037	UROK	\N	\N
3591919	1858	1997-08-31	PRIJEM	\N	90	21597	UROK	\N	\N
3591920	1858	1997-09-30	PRIJEM	\N	82	19909	UROK	\N	\N
3591921	1858	1997-10-31	PRIJEM	\N	91	22869	UROK	\N	\N
3591922	1858	1997-11-30	PRIJEM	\N	100	22558	UROK	\N	\N
3591923	1858	1997-12-31	PRIJEM	\N	99	24377	UROK	\N	\N
3591924	1858	1998-01-31	PRIJEM	\N	98	19684	UROK	\N	\N
3591925	1858	1998-02-28	PRIJEM	\N	89	22643	UROK	\N	\N
3591926	1858	1998-03-31	PRIJEM	\N	102	25614	UROK	\N	\N
3591927	1858	1998-04-30	PRIJEM	\N	114	28597	UROK	\N	\N
3591928	1858	1998-05-31	PRIJEM	\N	112	27978	UROK	\N	\N
3591929	1858	1998-06-30	PRIJEM	\N	96	21493	UROK	\N	\N
3591930	1858	1998-07-31	PRIJEM	\N	96	22379	UROK	\N	\N
3591931	1858	1998-08-31	PRIJEM	\N	89	21718	UROK	\N	\N
3591932	1858	1998-09-30	PRIJEM	\N	87	20114	UROK	\N	\N
3591933	1858	1998-10-31	PRIJEM	\N	91	22975	UROK	\N	\N
3591934	1858	1998-11-30	PRIJEM	\N	103	25047	UROK	\N	\N
3591935	1858	1998-12-31	PRIJEM	\N	104	24690	UROK	\N	\N
3591936	1859	1996-02-29	PRIJEM	\N	23	7971	UROK	\N	\N
3591937	1859	1996-03-31	PRIJEM	\N	33	14852	UROK	\N	\N
3591938	1859	1996-04-30	PRIJEM	\N	33	21733	UROK	\N	\N
3591939	1859	1996-05-31	PRIJEM	\N	92	27873	UROK	\N	\N
3591940	1859	1996-06-30	PRIJEM	\N	104	17074	UROK	\N	\N
3591941	1859	1996-07-31	PRIJEM	\N	83	21165	UROK	\N	\N
3591942	1859	1996-08-31	PRIJEM	\N	92	18564	UROK	\N	\N
3591943	1859	1996-09-30	PRIJEM	\N	89	21160	UROK	\N	\N
3591944	1859	1996-10-31	PRIJEM	\N	99	22066	UROK	\N	\N
3591945	1859	1996-11-30	PRIJEM	\N	93	19407	UROK	\N	\N
3591946	1859	1996-12-31	PRIJEM	\N	89	18953	UROK	\N	\N
3591947	1859	1997-01-31	PRIJEM	\N	74	13275	UROK	\N	\N
3591948	1859	1997-02-28	PRIJEM	\N	67	17349	UROK	\N	\N
3591949	1859	1997-03-31	PRIJEM	\N	82	17338	UROK	\N	\N
3591950	1859	1997-04-30	PRIJEM	\N	83	20029	UROK	\N	\N
3591951	1859	1997-05-31	PRIJEM	\N	95	23831	UROK	\N	\N
3591952	1859	1997-06-30	PRIJEM	\N	90	16968	UROK	\N	\N
3591953	1859	1997-07-31	PRIJEM	\N	68	14724	UROK	\N	\N
3591954	1859	1997-08-31	PRIJEM	\N	73	17764	UROK	\N	\N
3591955	1859	1997-09-30	PRIJEM	\N	84	20456	UROK	\N	\N
3591956	1859	1997-10-31	PRIJEM	\N	95	22958	UROK	\N	\N
3591957	1859	1997-11-30	PRIJEM	\N	90	18875	UROK	\N	\N
3591958	1859	1997-12-31	PRIJEM	\N	85	19418	UROK	\N	\N
3591959	1859	1998-01-31	PRIJEM	\N	72	13557	UROK	\N	\N
3591960	1859	1998-02-28	PRIJEM	\N	67	17231	UROK	\N	\N
3591961	1859	1998-03-31	PRIJEM	\N	78	16616	UROK	\N	\N
3591962	1859	1998-04-30	PRIJEM	\N	75	15998	UROK	\N	\N
3591963	1859	1998-05-31	PRIJEM	\N	69	13375	UROK	\N	\N
3591964	1859	1998-06-30	PRIJEM	\N	62	14144	UROK	\N	\N
3591965	1859	1998-07-31	PRIJEM	\N	65	15977	UROK	\N	\N
3591966	1859	1998-08-31	PRIJEM	\N	65	12629	UROK	\N	\N
3591967	1859	1998-09-30	PRIJEM	\N	62	15498	UROK	\N	\N
3591968	1859	1998-10-31	PRIJEM	\N	63	14949	UROK	\N	\N
3591969	1859	1998-11-30	PRIJEM	\N	68	16063	UROK	\N	\N
3591970	1859	1998-12-31	PRIJEM	\N	78	20149	UROK	\N	\N
3591971	1860	1997-01-31	PRIJEM	\N	9	3864	UROK	\N	\N
3591972	1860	1997-02-28	PRIJEM	\N	16	7135	UROK	\N	\N
3591973	1860	1997-03-31	PRIJEM	\N	16	10406	UROK	\N	\N
3591974	1860	1997-04-30	PRIJEM	\N	16	13678	UROK	\N	\N
3591975	1860	1997-05-31	PRIJEM	\N	29	15611	UROK	\N	\N
3591976	1860	1997-06-30	PRIJEM	\N	68	16749	UROK	\N	\N
3591977	1860	1997-07-31	PRIJEM	\N	72	17892	UROK	\N	\N
3591978	1860	1997-08-31	PRIJEM	\N	77	19039	UROK	\N	\N
3591979	1860	1997-09-30	PRIJEM	\N	82	20192	UROK	\N	\N
3591980	1860	1997-10-31	PRIJEM	\N	81	20383	UROK	\N	\N
3591981	1860	1997-11-30	PRIJEM	\N	87	21540	UROK	\N	\N
3591982	1860	1997-12-31	PRIJEM	\N	91	21411	UROK	\N	\N
3591983	1860	1998-01-31	PRIJEM	\N	73	16555	UROK	\N	\N
3591984	1860	1998-02-28	PRIJEM	\N	70	16255	UROK	\N	\N
3591985	1860	1998-03-31	PRIJEM	\N	70	17396	UROK	\N	\N
3591986	1860	1998-04-30	PRIJEM	\N	75	18541	UROK	\N	\N
3591987	1860	1998-05-31	PRIJEM	\N	80	19691	UROK	\N	\N
3591988	1860	1998-06-30	PRIJEM	\N	79	15561	UROK	\N	\N
3591989	1860	1998-07-31	PRIJEM	\N	67	16488	UROK	\N	\N
3591990	1860	1998-08-31	PRIJEM	\N	71	17630	UROK	\N	\N
3591991	1860	1998-09-30	PRIJEM	\N	76	18776	UROK	\N	\N
3591992	1860	1998-10-31	PRIJEM	\N	79	18695	UROK	\N	\N
3591993	1860	1998-11-30	PRIJEM	\N	80	19846	UROK	\N	\N
3591994	1860	1998-12-31	PRIJEM	\N	84	20550	UROK	\N	\N
3591995	1861	1993-07-31	PRIJEM	\N	55	15863	UROK	\N	\N
3591996	1861	1993-08-31	PRIJEM	\N	137	36609	UROK	\N	\N
3591997	1861	1993-09-30	PRIJEM	\N	126	45543	UROK	\N	\N
3591998	1861	1993-10-31	PRIJEM	\N	147	37897	UROK	\N	\N
3591999	1861	1993-11-30	PRIJEM	\N	198	38811	UROK	\N	\N
3592000	1861	1993-12-31	PRIJEM	\N	213	38658	UROK	\N	\N
3592001	1861	1994-01-31	PRIJEM	\N	178	32996	UROK	\N	\N
3592002	1861	1994-02-28	PRIJEM	\N	178	37674	UROK	\N	\N
3592003	1861	1994-03-31	PRIJEM	\N	196	38571	UROK	\N	\N
3592004	1861	1994-04-30	PRIJEM	\N	198	37769	UROK	\N	\N
3592005	1861	1994-05-31	PRIJEM	\N	194	36764	UROK	\N	\N
3592006	1861	1994-06-30	PRIJEM	\N	213	39531	UROK	\N	\N
3592007	1861	1994-07-31	PRIJEM	\N	201	40032	UROK	\N	\N
3592008	1861	1994-08-31	PRIJEM	\N	200	39032	UROK	\N	\N
3592009	1861	1994-09-30	PRIJEM	\N	197	40530	UROK	\N	\N
3592010	1861	1994-10-31	PRIJEM	\N	199	40049	UROK	\N	\N
3592011	1861	1994-11-30	PRIJEM	\N	199	41148	UROK	\N	\N
3592012	1861	1994-12-31	PRIJEM	\N	205	41307	UROK	\N	\N
3592013	1861	1995-01-31	PRIJEM	\N	200	41008	UROK	\N	\N
3592014	1861	1995-02-28	PRIJEM	\N	202	42711	UROK	\N	\N
3592015	1861	1995-03-31	PRIJEM	\N	212	46663	UROK	\N	\N
3592016	1861	1995-04-30	PRIJEM	\N	223	46286	UROK	\N	\N
3592017	1861	1995-05-31	PRIJEM	\N	222	47509	UROK	\N	\N
3592018	1861	1995-06-30	PRIJEM	\N	247	51010	UROK	\N	\N
3592019	1861	1995-07-31	PRIJEM	\N	242	53852	UROK	\N	\N
3592020	1861	1995-08-31	PRIJEM	\N	249	53742	UROK	\N	\N
3592021	1861	1995-09-30	PRIJEM	\N	249	54991	UROK	\N	\N
3592022	1861	1995-10-31	PRIJEM	\N	242	51633	UROK	\N	\N
3592023	1861	1995-11-30	PRIJEM	\N	230	51644	UROK	\N	\N
3592024	1861	1995-12-31	PRIJEM	\N	261	57959	UROK	\N	\N
3592025	1861	1996-01-31	PRIJEM	\N	232	52171	UROK	\N	\N
3592026	1861	1996-02-29	PRIJEM	\N	242	55714	UROK	\N	\N
3592027	1861	1996-03-31	PRIJEM	\N	255	58169	UROK	\N	\N
3592028	1861	1996-04-30	PRIJEM	\N	259	57729	UROK	\N	\N
3592029	1861	1996-05-31	PRIJEM	\N	248	53798	UROK	\N	\N
3592030	1861	1996-06-30	PRIJEM	\N	197	24790	UROK	\N	\N
3592031	1861	1996-07-31	PRIJEM	\N	136	32085	UROK	\N	\N
3592032	1861	1996-08-31	PRIJEM	\N	168	41254	UROK	\N	\N
3592033	1861	1996-09-30	PRIJEM	\N	192	44546	UROK	\N	\N
3592034	1861	1996-10-31	PRIJEM	\N	205	47551	UROK	\N	\N
3592035	1861	1996-11-30	PRIJEM	\N	217	51069	UROK	\N	\N
3592036	1861	1996-12-31	PRIJEM	\N	235	49859	UROK	\N	\N
3592037	1861	1997-01-31	PRIJEM	\N	213	48332	UROK	\N	\N
3592038	1861	1997-02-28	PRIJEM	\N	224	54456	UROK	\N	\N
3592039	1861	1997-03-31	PRIJEM	\N	238	53674	UROK	\N	\N
3592040	1861	1997-04-30	PRIJEM	\N	241	57616	UROK	\N	\N
3592041	1861	1997-05-31	PRIJEM	\N	236	53752	UROK	\N	\N
3592042	1861	1997-06-30	PRIJEM	\N	243	52669	UROK	\N	\N
3592043	1861	1997-07-31	PRIJEM	\N	231	55101	UROK	\N	\N
3592044	1861	1997-08-31	PRIJEM	\N	247	59748	UROK	\N	\N
3592045	1861	1997-09-30	PRIJEM	\N	236	54524	UROK	\N	\N
3592046	1861	1997-10-31	PRIJEM	\N	236	56281	UROK	\N	\N
3592047	1861	1997-11-30	PRIJEM	\N	258	63940	UROK	\N	\N
3592048	1861	1997-12-31	PRIJEM	\N	283	65577	UROK	\N	\N
3592049	1861	1998-01-31	PRIJEM	\N	258	62515	UROK	\N	\N
3592050	1861	1998-02-28	PRIJEM	\N	279	64255	UROK	\N	\N
3592051	1861	1998-03-31	PRIJEM	\N	287	70742	UROK	\N	\N
3592052	1861	1998-04-30	PRIJEM	\N	292	67674	UROK	\N	\N
3592053	1861	1998-05-31	PRIJEM	\N	302	74876	UROK	\N	\N
3592054	1861	1998-06-30	PRIJEM	\N	219	45870	UROK	\N	\N
3592055	1861	1998-07-31	PRIJEM	\N	236	60707	UROK	\N	\N
3592056	1861	1998-08-31	PRIJEM	\N	295	73762	UROK	\N	\N
3592057	1861	1998-09-30	PRIJEM	\N	318	78501	UROK	\N	\N
3592058	1861	1998-10-31	PRIJEM	\N	347	86148	UROK	\N	\N
3592059	1861	1998-11-30	PRIJEM	\N	361	89249	UROK	\N	\N
3592060	1861	1998-12-31	PRIJEM	\N	374	89777	UROK	\N	\N
3592061	1862	1995-05-31	PRIJEM	\N	79	34689	UROK	\N	\N
3592062	1862	1995-06-30	PRIJEM	\N	203	59807	UROK	\N	\N
3592063	1862	1995-07-31	PRIJEM	\N	255	62673	UROK	\N	\N
3592064	1862	1995-08-31	PRIJEM	\N	267	65249	UROK	\N	\N
3592065	1862	1995-09-30	PRIJEM	\N	272	62131	UROK	\N	\N
3592066	1862	1995-10-31	PRIJEM	\N	234	50008	UROK	\N	\N
3592067	1862	1995-11-30	PRIJEM	\N	206	38794	UROK	\N	\N
3592068	1862	1995-12-31	PRIJEM	\N	223	55602	UROK	\N	\N
3592069	1862	1996-01-31	PRIJEM	\N	201	26278	UROK	\N	\N
3592070	1862	1996-02-29	PRIJEM	\N	172	46929	UROK	\N	\N
3592071	1862	1996-03-31	PRIJEM	\N	239	58348	UROK	\N	\N
3592072	1862	1996-04-30	PRIJEM	\N	228	46556	UROK	\N	\N
3592073	1862	1996-05-31	PRIJEM	\N	181	35273	UROK	\N	\N
3592074	1862	1996-06-30	PRIJEM	\N	214	56772	UROK	\N	\N
3592075	1862	1996-07-31	PRIJEM	\N	232	46226	UROK	\N	\N
3592076	1862	1996-08-31	PRIJEM	\N	261	58767	UROK	\N	\N
3592077	1862	1996-09-30	PRIJEM	\N	304	74445	UROK	\N	\N
3592078	1862	1996-10-31	PRIJEM	\N	338	83948	UROK	\N	\N
3592079	1862	1996-11-30	PRIJEM	\N	325	50660	UROK	\N	\N
3592080	1862	1996-12-31	PRIJEM	\N	251	60594	UROK	\N	\N
3592081	1862	1997-01-31	PRIJEM	\N	244	34286	UROK	\N	\N
3592082	1862	1997-02-28	PRIJEM	\N	182	29011	UROK	\N	\N
3592083	1862	1997-03-31	PRIJEM	\N	235	64024	UROK	\N	\N
3592084	1862	1997-04-30	PRIJEM	\N	246	18139	UROK	\N	\N
3592085	1862	1997-05-31	PRIJEM	\N	187	48904	UROK	\N	\N
3592086	1862	1997-06-30	PRIJEM	\N	200	39228	UROK	\N	\N
3592087	1862	1997-07-31	PRIJEM	\N	248	55854	UROK	\N	\N
3592088	1862	1997-08-31	PRIJEM	\N	290	54697	UROK	\N	\N
3592089	1862	1997-09-30	PRIJEM	\N	266	46006	UROK	\N	\N
3592090	1862	1997-10-31	PRIJEM	\N	247	60850	UROK	\N	\N
3592091	1862	1997-11-30	PRIJEM	\N	284	70612	UROK	\N	\N
3592092	1862	1997-12-31	PRIJEM	\N	225	50221	UROK	\N	\N
3592093	1862	1998-01-31	PRIJEM	\N	221	51120	UROK	\N	\N
3592094	1862	1998-02-28	PRIJEM	\N	230	54889	UROK	\N	\N
3592095	1862	1998-03-31	PRIJEM	\N	276	50263	UROK	\N	\N
3592096	1862	1998-04-30	PRIJEM	\N	273	58314	UROK	\N	\N
3592097	1862	1998-05-31	PRIJEM	\N	298	61487	UROK	\N	\N
3592098	1862	1998-06-30	PRIJEM	\N	249	41520	UROK	\N	\N
3592099	1862	1998-07-31	PRIJEM	\N	246	54844	UROK	\N	\N
3592100	1862	1998-08-31	PRIJEM	\N	257	57935	UROK	\N	\N
3592101	1862	1998-09-30	PRIJEM	\N	300	50536	UROK	\N	\N
3592102	1862	1998-10-31	PRIJEM	\N	272	57386	UROK	\N	\N
3592103	1862	1998-11-30	PRIJEM	\N	291	52630	UROK	\N	\N
3592104	1862	1998-12-31	PRIJEM	\N	322	75553	UROK	\N	\N
3592105	1863	1997-04-30	PRIJEM	\N	26	8129	UROK	\N	\N
3592106	1863	1997-05-31	PRIJEM	\N	78	22710	UROK	\N	\N
3592107	1863	1997-06-30	PRIJEM	\N	96	33310	UROK	\N	\N
3592108	1863	1997-07-31	PRIJEM	\N	140	36853	UROK	\N	\N
3592109	1863	1997-08-31	PRIJEM	\N	171	37930	UROK	\N	\N
3592110	1863	1997-09-30	PRIJEM	\N	157	31787	UROK	\N	\N
3592111	1863	1997-10-31	PRIJEM	\N	136	30024	UROK	\N	\N
3592112	1863	1997-11-30	PRIJEM	\N	131	31675	UROK	\N	\N
3592113	1863	1997-12-31	PRIJEM	\N	147	33143	UROK	\N	\N
3592114	1863	1998-01-31	PRIJEM	\N	85	22088	UROK	\N	\N
3592115	1863	1998-02-28	PRIJEM	\N	102	30911	UROK	\N	\N
3592116	1863	1998-03-31	PRIJEM	\N	125	36236	UROK	\N	\N
3592117	1863	1998-04-30	PRIJEM	\N	161	39717	UROK	\N	\N
3592118	1863	1998-05-31	PRIJEM	\N	177	45115	UROK	\N	\N
3592119	1863	1998-06-30	PRIJEM	\N	161	41537	UROK	\N	\N
3592120	1863	1998-07-31	PRIJEM	\N	164	41922	UROK	\N	\N
3592121	1863	1998-08-31	PRIJEM	\N	188	48630	UROK	\N	\N
3592122	1863	1998-09-30	PRIJEM	\N	217	56267	UROK	\N	\N
3592123	1863	1998-10-31	PRIJEM	\N	233	51800	UROK	\N	\N
3592124	1863	1998-11-30	PRIJEM	\N	216	51277	UROK	\N	\N
3592125	1863	1998-12-31	PRIJEM	\N	230	56048	UROK	\N	\N
3592126	1865	1994-05-31	PRIJEM	\N	26	7082	UROK	\N	\N
3592127	1865	1994-06-30	PRIJEM	\N	29	13367	UROK	\N	\N
3592128	1865	1994-07-31	PRIJEM	\N	29	19652	UROK	\N	\N
3592129	1865	1994-08-31	PRIJEM	\N	29	25938	UROK	\N	\N
3592130	1865	1994-09-30	PRIJEM	\N	93	22531	UROK	\N	\N
3592131	1865	1994-10-31	PRIJEM	\N	110	26967	UROK	\N	\N
3592132	1865	1994-11-30	PRIJEM	\N	113	27427	UROK	\N	\N
3592133	1865	1994-12-31	PRIJEM	\N	115	25668	UROK	\N	\N
3592134	1865	1995-01-31	PRIJEM	\N	91	19425	UROK	\N	\N
3592135	1865	1995-02-28	PRIJEM	\N	103	23855	UROK	\N	\N
3592136	1865	1995-03-31	PRIJEM	\N	113	27794	UROK	\N	\N
3592137	1865	1995-04-30	PRIJEM	\N	128	28328	UROK	\N	\N
3592138	1865	1995-05-31	PRIJEM	\N	134	32688	UROK	\N	\N
3592139	1865	1995-06-30	PRIJEM	\N	141	30516	UROK	\N	\N
3592140	1865	1995-07-31	PRIJEM	\N	142	32684	UROK	\N	\N
3592141	1865	1995-08-31	PRIJEM	\N	148	31158	UROK	\N	\N
3592142	1865	1995-09-30	PRIJEM	\N	144	33628	UROK	\N	\N
3592143	1865	1995-10-31	PRIJEM	\N	151	31905	UROK	\N	\N
3592144	1865	1995-11-30	PRIJEM	\N	152	33883	UROK	\N	\N
3592145	1865	1995-12-31	PRIJEM	\N	152	32311	UROK	\N	\N
3592146	1865	1996-01-31	PRIJEM	\N	115	21513	UROK	\N	\N
3592147	1865	1996-02-29	PRIJEM	\N	99	22899	UROK	\N	\N
3592148	1865	1996-03-31	PRIJEM	\N	114	25639	UROK	\N	\N
3592149	1865	1996-04-30	PRIJEM	\N	124	27389	UROK	\N	\N
3592150	1865	1996-05-31	PRIJEM	\N	128	26743	UROK	\N	\N
3592151	1865	1996-06-30	PRIJEM	\N	87	20257	UROK	\N	\N
3592152	1865	1996-07-31	PRIJEM	\N	106	24690	UROK	\N	\N
3592153	1865	1996-08-31	PRIJEM	\N	106	20463	UROK	\N	\N
3592154	1865	1996-09-30	PRIJEM	\N	103	23692	UROK	\N	\N
3592155	1865	1996-10-31	PRIJEM	\N	109	23727	UROK	\N	\N
3592156	1865	1996-11-30	PRIJEM	\N	116	26968	UROK	\N	\N
3592157	1865	1996-12-31	PRIJEM	\N	124	29968	UROK	\N	\N
3592158	1865	1997-01-31	PRIJEM	\N	129	25794	UROK	\N	\N
3592159	1865	1997-02-28	PRIJEM	\N	122	30243	UROK	\N	\N
3592160	1865	1997-03-31	PRIJEM	\N	136	32105	UROK	\N	\N
3592161	1865	1997-04-30	PRIJEM	\N	143	33475	UROK	\N	\N
3592162	1865	1997-05-31	PRIJEM	\N	145	32845	UROK	\N	\N
3592163	1865	1997-06-30	PRIJEM	\N	131	30053	UROK	\N	\N
3592164	1865	1997-07-31	PRIJEM	\N	140	34519	UROK	\N	\N
3592165	1865	1997-08-31	PRIJEM	\N	133	32498	UROK	\N	\N
3592166	1865	1997-09-30	PRIJEM	\N	144	32269	UROK	\N	\N
3592167	1865	1997-10-31	PRIJEM	\N	149	35444	UROK	\N	\N
3592168	1865	1997-11-30	PRIJEM	\N	168	36578	UROK	\N	\N
3592169	1865	1997-12-31	PRIJEM	\N	160	37264	UROK	\N	\N
3592170	1865	1998-01-31	PRIJEM	\N	128	27259	UROK	\N	\N
3592171	1865	1998-02-28	PRIJEM	\N	125	30330	UROK	\N	\N
3592172	1865	1998-03-31	PRIJEM	\N	133	30589	UROK	\N	\N
3592173	1865	1998-04-30	PRIJEM	\N	130	29645	UROK	\N	\N
3592174	1865	1998-05-31	PRIJEM	\N	118	23970	UROK	\N	\N
3592175	1865	1998-06-30	PRIJEM	\N	101	20947	UROK	\N	\N
3592176	1865	1998-07-31	PRIJEM	\N	89	20962	UROK	\N	\N
3592177	1865	1998-08-31	PRIJEM	\N	94	22282	UROK	\N	\N
3592178	1865	1998-09-30	PRIJEM	\N	83	18191	UROK	\N	\N
3592179	1865	1998-10-31	PRIJEM	\N	89	22607	UROK	\N	\N
3592180	1865	1998-11-30	PRIJEM	\N	82	18816	UROK	\N	\N
3592181	1865	1998-12-31	PRIJEM	\N	92	21833	UROK	\N	\N
3592182	1866	1997-12-31	PRIJEM	\N	47	23355	UROK	\N	\N
3592183	1866	1998-01-31	PRIJEM	\N	111	29705	UROK	\N	\N
3592184	1866	1998-02-28	PRIJEM	\N	137	36080	UROK	\N	\N
3592185	1866	1998-03-31	PRIJEM	\N	147	34866	UROK	\N	\N
3592186	1866	1998-04-30	PRIJEM	\N	142	32508	UROK	\N	\N
3592187	1866	1998-05-31	PRIJEM	\N	128	25289	UROK	\N	\N
3592188	1866	1998-06-30	PRIJEM	\N	129	18620	UROK	\N	\N
3592189	1866	1998-07-31	PRIJEM	\N	107	29101	UROK	\N	\N
3592190	1866	1998-08-31	PRIJEM	\N	143	36217	UROK	\N	\N
3592191	1866	1998-09-30	PRIJEM	\N	154	39804	UROK	\N	\N
3592192	1866	1998-10-31	PRIJEM	\N	164	39602	UROK	\N	\N
3592193	1866	1998-11-30	PRIJEM	\N	180	42975	UROK	\N	\N
3592194	1866	1998-12-31	PRIJEM	\N	197	47114	UROK	\N	\N
3592195	1868	1998-02-28	PRIJEM	\N	10	34969	UROK	\N	\N
3592196	1868	1998-03-31	PRIJEM	\N	146	29615	UROK	\N	\N
3592197	1868	1998-04-30	PRIJEM	\N	146	28861	UROK	\N	\N
3592198	1868	1998-05-31	PRIJEM	\N	146	27306	UROK	\N	\N
3592199	1868	1998-06-30	PRIJEM	\N	146	28152	UROK	\N	\N
3592200	1868	1998-07-31	PRIJEM	\N	151	42860	UROK	\N	\N
3592201	1868	1998-08-31	PRIJEM	\N	178	33538	UROK	\N	\N
3592202	1868	1998-09-30	PRIJEM	\N	178	29416	UROK	\N	\N
3592203	1868	1998-10-31	PRIJEM	\N	178	29194	UROK	\N	\N
3592204	1869	1996-07-31	PRIJEM	\N	59	24623	UROK	\N	\N
3592205	1869	1996-08-31	PRIJEM	\N	135	37322	UROK	\N	\N
3592206	1869	1996-09-30	PRIJEM	\N	180	46866	UROK	\N	\N
3592207	1869	1996-10-31	PRIJEM	\N	200	48730	UROK	\N	\N
3592208	1869	1996-11-30	PRIJEM	\N	198	45692	UROK	\N	\N
3592209	1869	1996-12-31	PRIJEM	\N	197	46770	UROK	\N	\N
3592210	1869	1997-01-31	PRIJEM	\N	201	44420	UROK	\N	\N
3592211	1869	1997-02-28	PRIJEM	\N	219	56889	UROK	\N	\N
3592212	1869	1997-03-31	PRIJEM	\N	221	51459	UROK	\N	\N
3592213	1869	1997-04-30	PRIJEM	\N	248	63856	UROK	\N	\N
3592214	1869	1997-05-31	PRIJEM	\N	284	69889	UROK	\N	\N
3592215	1869	1997-06-30	PRIJEM	\N	289	58559	UROK	\N	\N
3592216	1869	1997-07-31	PRIJEM	\N	269	69278	UROK	\N	\N
3592217	1869	1997-08-31	PRIJEM	\N	309	78936	UROK	\N	\N
3592218	1869	1997-09-30	PRIJEM	\N	322	75807	UROK	\N	\N
3592219	1869	1997-10-31	PRIJEM	\N	340	83997	UROK	\N	\N
3592220	1869	1997-11-30	PRIJEM	\N	347	84793	UROK	\N	\N
3592221	1869	1997-12-31	PRIJEM	\N	391	96766	UROK	\N	\N
3592222	1869	1998-01-31	PRIJEM	\N	320	73235	UROK	\N	\N
3592223	1869	1998-02-28	PRIJEM	\N	314	76944	UROK	\N	\N
3592224	1869	1998-03-31	PRIJEM	\N	321	75660	UROK	\N	\N
3592225	1869	1998-04-30	PRIJEM	\N	328	80583	UROK	\N	\N
3592226	1869	1998-05-31	PRIJEM	\N	347	85125	UROK	\N	\N
3592227	1869	1998-06-30	PRIJEM	\N	367	82120	UROK	\N	\N
3592228	1869	1998-07-31	PRIJEM	\N	343	83258	UROK	\N	\N
3592229	1869	1998-08-31	PRIJEM	\N	349	84702	UROK	\N	\N
3592230	1869	1998-09-30	PRIJEM	\N	363	89361	UROK	\N	\N
3592231	1869	1998-10-31	PRIJEM	\N	363	87020	UROK	\N	\N
3592232	1869	1998-11-30	PRIJEM	\N	366	88081	UROK	\N	\N
3592233	1869	1998-12-31	PRIJEM	\N	359	93167	UROK	\N	\N
3592234	1872	1997-10-31	PRIJEM	\N	43	21224	UROK	\N	\N
3592235	1872	1997-11-30	PRIJEM	\N	106	29911	UROK	\N	\N
3592236	1872	1997-12-31	PRIJEM	\N	143	38726	UROK	\N	\N
3592237	1872	1998-01-31	PRIJEM	\N	159	38066	UROK	\N	\N
3592238	1872	1998-02-28	PRIJEM	\N	146	27186	UROK	\N	\N
3592239	1872	1998-03-31	PRIJEM	\N	102	20892	UROK	\N	\N
3592240	1872	1998-04-30	PRIJEM	\N	109	28344	UROK	\N	\N
3592241	1872	1998-05-31	PRIJEM	\N	136	34124	UROK	\N	\N
3592242	1872	1998-06-30	PRIJEM	\N	170	44628	UROK	\N	\N
3592243	1872	1998-07-31	PRIJEM	\N	190	44221	UROK	\N	\N
3592244	1872	1998-08-31	PRIJEM	\N	201	50565	UROK	\N	\N
3592245	1872	1998-09-30	PRIJEM	\N	202	47310	UROK	\N	\N
3592246	1872	1998-10-31	PRIJEM	\N	194	46427	UROK	\N	\N
3592247	1872	1998-11-30	PRIJEM	\N	191	45181	UROK	\N	\N
3592248	1872	1998-12-31	PRIJEM	\N	231	61166	UROK	\N	\N
3592316	1874	1993-08-31	PRIJEM	\N	2	16157	UROK	\N	\N
3592317	1874	1993-09-30	PRIJEM	\N	70	17264	UROK	\N	\N
3592318	1874	1993-10-31	PRIJEM	\N	75	18165	UROK	\N	\N
3592319	1874	1993-11-30	PRIJEM	\N	79	19280	UROK	\N	\N
3592320	1874	1993-12-31	PRIJEM	\N	83	19549	UROK	\N	\N
3592321	1874	1994-01-31	PRIJEM	\N	76	17211	UROK	\N	\N
3592322	1874	1994-02-28	PRIJEM	\N	74	17961	UROK	\N	\N
3592323	1874	1994-03-31	PRIJEM	\N	78	19075	UROK	\N	\N
3592324	1874	1994-04-30	PRIJEM	\N	82	20194	UROK	\N	\N
3592325	1874	1994-05-31	PRIJEM	\N	87	21317	UROK	\N	\N
3592326	1874	1994-06-30	PRIJEM	\N	89	21152	UROK	\N	\N
3592327	1874	1994-07-31	PRIJEM	\N	87	20925	UROK	\N	\N
3592328	1874	1994-08-31	PRIJEM	\N	90	22052	UROK	\N	\N
3592329	1874	1994-09-30	PRIJEM	\N	95	23183	UROK	\N	\N
3592330	1874	1994-10-31	PRIJEM	\N	99	24319	UROK	\N	\N
3592331	1874	1994-11-30	PRIJEM	\N	104	25459	UROK	\N	\N
3592332	1874	1994-12-31	PRIJEM	\N	108	26274	UROK	\N	\N
3592333	1874	1995-01-31	PRIJEM	\N	100	22940	UROK	\N	\N
3592334	1874	1995-02-28	PRIJEM	\N	98	24075	UROK	\N	\N
3592335	1874	1995-03-31	PRIJEM	\N	103	25214	UROK	\N	\N
3592336	1874	1995-04-30	PRIJEM	\N	108	26358	UROK	\N	\N
3592337	1874	1995-05-31	PRIJEM	\N	113	27507	UROK	\N	\N
3592338	1874	1995-06-30	PRIJEM	\N	117	28661	UROK	\N	\N
3592339	1874	1995-07-31	PRIJEM	\N	122	29819	UROK	\N	\N
3592340	1874	1995-08-31	PRIJEM	\N	122	30048	UROK	\N	\N
3592341	1874	1995-09-30	PRIJEM	\N	125	30520	UROK	\N	\N
3592342	1874	1995-10-31	PRIJEM	\N	127	30583	UROK	\N	\N
3592343	1874	1995-11-30	PRIJEM	\N	128	31047	UROK	\N	\N
3592344	1874	1995-12-31	PRIJEM	\N	130	31223	UROK	\N	\N
3592345	1874	1996-01-31	PRIJEM	\N	129	29299	UROK	\N	\N
3592346	1874	1996-02-29	PRIJEM	\N	124	30459	UROK	\N	\N
3592347	1874	1996-03-31	PRIJEM	\N	124	30030	UROK	\N	\N
3592348	1874	1996-04-30	PRIJEM	\N	127	31193	UROK	\N	\N
3592349	1874	1996-05-31	PRIJEM	\N	132	32362	UROK	\N	\N
3592350	1874	1996-06-30	PRIJEM	\N	128	31486	UROK	\N	\N
3592351	1874	1996-07-31	PRIJEM	\N	133	32655	UROK	\N	\N
3592352	1874	1996-08-31	PRIJEM	\N	138	33830	UROK	\N	\N
3592353	1874	1996-09-30	PRIJEM	\N	139	34105	UROK	\N	\N
3592354	1874	1996-10-31	PRIJEM	\N	141	34882	UROK	\N	\N
3592355	1874	1996-11-30	PRIJEM	\N	141	34890	UROK	\N	\N
3592356	1874	1996-12-31	PRIJEM	\N	147	35473	UROK	\N	\N
3592357	1874	1997-01-31	PRIJEM	\N	137	32346	UROK	\N	\N
3592358	1874	1997-02-28	PRIJEM	\N	130	32413	UROK	\N	\N
3592359	1874	1997-03-31	PRIJEM	\N	134	32533	UROK	\N	\N
3592360	1874	1997-04-30	PRIJEM	\N	134	33403	UROK	\N	\N
3592361	1874	1997-05-31	PRIJEM	\N	138	33258	UROK	\N	\N
3592362	1874	1997-06-30	PRIJEM	\N	140	34434	UROK	\N	\N
3592363	1874	1997-07-31	PRIJEM	\N	145	35615	UROK	\N	\N
3592364	1874	1997-08-31	PRIJEM	\N	150	36801	UROK	\N	\N
3592365	1874	1997-09-30	PRIJEM	\N	147	36284	UROK	\N	\N
3592366	1874	1997-10-31	PRIJEM	\N	140	34460	UROK	\N	\N
3592367	1874	1997-11-30	PRIJEM	\N	139	34635	UROK	\N	\N
3592368	1874	1997-12-31	PRIJEM	\N	138	34069	UROK	\N	\N
3592369	1874	1998-01-31	PRIJEM	\N	129	30044	UROK	\N	\N
3592370	1874	1998-02-28	PRIJEM	\N	117	29608	UROK	\N	\N
3592371	1874	1998-03-31	PRIJEM	\N	115	28759	UROK	\N	\N
3592372	1874	1998-04-30	PRIJEM	\N	119	29615	UROK	\N	\N
3592373	1874	1998-05-31	PRIJEM	\N	123	30325	UROK	\N	\N
3592374	1874	1998-06-30	PRIJEM	\N	126	29387	UROK	\N	\N
3592375	1874	1998-07-31	PRIJEM	\N	114	27717	UROK	\N	\N
3592376	1874	1998-08-31	PRIJEM	\N	116	28869	UROK	\N	\N
3592377	1874	1998-09-30	PRIJEM	\N	119	27024	UROK	\N	\N
3592378	1874	1998-10-31	PRIJEM	\N	112	27373	UROK	\N	\N
3592379	1874	1998-11-30	PRIJEM	\N	114	28523	UROK	\N	\N
3592380	1874	1998-12-31	PRIJEM	\N	118	28897	UROK	\N	\N
3592381	1875	1994-01-31	PRIJEM	\N	57	15942	UROK	\N	\N
3592382	1875	1994-02-28	PRIJEM	\N	71	17545	UROK	\N	\N
3592383	1875	1994-03-31	PRIJEM	\N	76	15633	UROK	\N	\N
3592384	1875	1994-04-30	PRIJEM	\N	70	17235	UROK	\N	\N
3592385	1875	1994-05-31	PRIJEM	\N	76	18844	UROK	\N	\N
3592386	1875	1994-06-30	PRIJEM	\N	83	17059	UROK	\N	\N
3592387	1875	1994-07-31	PRIJEM	\N	70	16501	UROK	\N	\N
3592388	1875	1994-08-31	PRIJEM	\N	73	18107	UROK	\N	\N
3592389	1875	1994-09-30	PRIJEM	\N	80	19719	UROK	\N	\N
3592390	1875	1994-10-31	PRIJEM	\N	72	15644	UROK	\N	\N
3592391	1875	1994-11-30	PRIJEM	\N	70	17246	UROK	\N	\N
3592392	1875	1994-12-31	PRIJEM	\N	75	17604	UROK	\N	\N
3592393	1875	1995-01-31	PRIJEM	\N	60	13756	UROK	\N	\N
3592394	1875	1995-02-28	PRIJEM	\N	62	15349	UROK	\N	\N
3592395	1875	1995-03-31	PRIJEM	\N	68	16950	UROK	\N	\N
3592396	1875	1995-04-30	PRIJEM	\N	75	18557	UROK	\N	\N
3592397	1875	1995-05-31	PRIJEM	\N	75	17525	UROK	\N	\N
3592398	1875	1995-06-30	PRIJEM	\N	77	19135	UROK	\N	\N
3592399	1875	1995-07-31	PRIJEM	\N	84	20751	UROK	\N	\N
3592400	1875	1995-08-31	PRIJEM	\N	87	21171	UROK	\N	\N
3592401	1875	1995-09-30	PRIJEM	\N	86	21450	UROK	\N	\N
3592402	1875	1995-10-31	PRIJEM	\N	94	23076	UROK	\N	\N
3592403	1875	1995-11-30	PRIJEM	\N	99	24307	UROK	\N	\N
3592404	1875	1995-12-31	PRIJEM	\N	105	25344	UROK	\N	\N
3592405	1875	1996-01-31	PRIJEM	\N	90	17027	UROK	\N	\N
3592406	1875	1996-02-29	PRIJEM	\N	75	18634	UROK	\N	\N
3592407	1875	1996-03-31	PRIJEM	\N	82	20248	UROK	\N	\N
3592408	1875	1996-04-30	PRIJEM	\N	72	16652	UROK	\N	\N
3592409	1875	1996-05-31	PRIJEM	\N	73	18258	UROK	\N	\N
3592410	1875	1996-06-30	PRIJEM	\N	66	14707	UROK	\N	\N
3592411	1875	1996-07-31	PRIJEM	\N	65	16304	UROK	\N	\N
3592412	1875	1996-08-31	PRIJEM	\N	72	17909	UROK	\N	\N
3592413	1875	1996-09-30	PRIJEM	\N	78	19519	UROK	\N	\N
3592414	1875	1996-10-31	PRIJEM	\N	81	20332	UROK	\N	\N
3592415	1875	1996-11-30	PRIJEM	\N	77	19142	UROK	\N	\N
3592416	1875	1996-12-31	PRIJEM	\N	66	15100	UROK	\N	\N
3592417	1875	1997-01-31	PRIJEM	\N	62	14934	UROK	\N	\N
3592418	1875	1997-02-28	PRIJEM	\N	66	16532	UROK	\N	\N
3592419	1875	1997-03-31	PRIJEM	\N	73	18137	UROK	\N	\N
3592420	1875	1997-04-30	PRIJEM	\N	64	15833	UROK	\N	\N
3592421	1875	1997-05-31	PRIJEM	\N	62	15727	UROK	\N	\N
3592422	1875	1997-06-30	PRIJEM	\N	69	17329	UROK	\N	\N
3592423	1875	1997-07-31	PRIJEM	\N	58	14319	UROK	\N	\N
3592424	1875	1997-08-31	PRIJEM	\N	63	14314	UROK	\N	\N
3592425	1875	1997-09-30	PRIJEM	\N	63	15909	UROK	\N	\N
3592426	1875	1997-10-31	PRIJEM	\N	68	16789	UROK	\N	\N
3592427	1875	1997-11-30	PRIJEM	\N	73	18395	UROK	\N	\N
3592428	1875	1997-12-31	PRIJEM	\N	70	15677	UROK	\N	\N
3592429	1875	1998-01-31	PRIJEM	\N	65	15434	UROK	\N	\N
3592430	1875	1998-02-28	PRIJEM	\N	67	17034	UROK	\N	\N
3592431	1875	1998-03-31	PRIJEM	\N	74	18640	UROK	\N	\N
3592432	1875	1998-04-30	PRIJEM	\N	81	20253	UROK	\N	\N
3592433	1875	1998-05-31	PRIJEM	\N	82	19707	UROK	\N	\N
3592434	1875	1998-06-30	PRIJEM	\N	81	19880	UROK	\N	\N
3592435	1875	1998-07-31	PRIJEM	\N	75	18848	UROK	\N	\N
3592436	1875	1998-08-31	PRIJEM	\N	81	20461	UROK	\N	\N
3592437	1875	1998-09-30	PRIJEM	\N	88	22081	UROK	\N	\N
3592438	1875	1998-10-31	PRIJEM	\N	95	23708	UROK	\N	\N
3592439	1875	1998-11-30	PRIJEM	\N	98	22339	UROK	\N	\N
3592440	1875	1998-12-31	PRIJEM	\N	95	23616	UROK	\N	\N
3592441	1876	1997-10-31	PRIJEM	\N	41	25635	UROK	\N	\N
3592442	1876	1997-11-30	PRIJEM	\N	127	37856	UROK	\N	\N
3592443	1876	1997-12-31	PRIJEM	\N	180	50827	UROK	\N	\N
3592444	1876	1998-01-31	PRIJEM	\N	222	56643	UROK	\N	\N
3592445	1876	1998-02-28	PRIJEM	\N	241	52949	UROK	\N	\N
3592446	1876	1998-03-31	PRIJEM	\N	235	47851	UROK	\N	\N
3592447	1876	1998-04-30	PRIJEM	\N	205	46283	UROK	\N	\N
3592448	1876	1998-05-31	PRIJEM	\N	213	48023	UROK	\N	\N
3592449	1876	1998-06-30	PRIJEM	\N	141	23789	UROK	\N	\N
3592450	1876	1998-07-31	PRIJEM	\N	129	31545	UROK	\N	\N
3592451	1876	1998-08-31	PRIJEM	\N	176	40248	UROK	\N	\N
3592452	1876	1998-09-30	PRIJEM	\N	185	42450	UROK	\N	\N
3592453	1876	1998-10-31	PRIJEM	\N	189	42656	UROK	\N	\N
3592454	1876	1998-11-30	PRIJEM	\N	190	42963	UROK	\N	\N
3592455	1876	1998-12-31	PRIJEM	\N	225	48903	UROK	\N	\N
3592456	1877	1994-04-30	PRIJEM	\N	62	23402	UROK	\N	\N
3592457	1877	1994-05-31	PRIJEM	\N	107	26995	UROK	\N	\N
3592458	1877	1994-06-30	PRIJEM	\N	106	25345	UROK	\N	\N
3592459	1877	1994-07-31	PRIJEM	\N	112	26540	UROK	\N	\N
3592460	1877	1994-08-31	PRIJEM	\N	105	25009	UROK	\N	\N
3592461	1877	1994-09-30	PRIJEM	\N	111	24643	UROK	\N	\N
3592462	1877	1994-10-31	PRIJEM	\N	116	29102	UROK	\N	\N
3592463	1877	1994-11-30	PRIJEM	\N	133	33378	UROK	\N	\N
3592464	1877	1994-12-31	PRIJEM	\N	134	31865	UROK	\N	\N
3592465	1877	1995-01-31	PRIJEM	\N	122	22840	UROK	\N	\N
3592466	1877	1995-02-28	PRIJEM	\N	109	27592	UROK	\N	\N
3592467	1877	1995-03-31	PRIJEM	\N	129	32365	UROK	\N	\N
3592468	1877	1995-04-30	PRIJEM	\N	140	34448	UROK	\N	\N
3592469	1877	1995-05-31	PRIJEM	\N	153	38045	UROK	\N	\N
3592470	1877	1995-06-30	PRIJEM	\N	150	31058	UROK	\N	\N
3592471	1877	1995-07-31	PRIJEM	\N	141	34862	UROK	\N	\N
3592472	1877	1995-08-31	PRIJEM	\N	148	36254	UROK	\N	\N
3592473	1877	1995-09-30	PRIJEM	\N	158	39195	UROK	\N	\N
3592474	1877	1995-10-31	PRIJEM	\N	164	40002	UROK	\N	\N
3592475	1877	1995-11-30	PRIJEM	\N	170	41615	UROK	\N	\N
3592476	1877	1995-12-31	PRIJEM	\N	164	40022	UROK	\N	\N
3592477	1877	1996-01-31	PRIJEM	\N	145	27880	UROK	\N	\N
3592478	1877	1996-02-29	PRIJEM	\N	125	31349	UROK	\N	\N
3592479	1877	1996-03-31	PRIJEM	\N	137	33889	UROK	\N	\N
3592480	1877	1996-04-30	PRIJEM	\N	146	36078	UROK	\N	\N
3592481	1877	1996-05-31	PRIJEM	\N	151	37173	UROK	\N	\N
3592482	1877	1996-06-30	PRIJEM	\N	152	30468	UROK	\N	\N
3592483	1877	1996-07-31	PRIJEM	\N	140	35252	UROK	\N	\N
3592484	1877	1996-08-31	PRIJEM	\N	147	35082	UROK	\N	\N
3592485	1877	1996-09-30	PRIJEM	\N	157	35383	UROK	\N	\N
3592486	1877	1996-10-31	PRIJEM	\N	158	34884	UROK	\N	\N
3592487	1877	1996-11-30	PRIJEM	\N	155	32982	UROK	\N	\N
3592488	1877	1996-12-31	PRIJEM	\N	149	35574	UROK	\N	\N
3592489	1877	1997-01-31	PRIJEM	\N	134	28002	UROK	\N	\N
3592490	1877	1997-02-28	PRIJEM	\N	128	31774	UROK	\N	\N
3592491	1877	1997-03-31	PRIJEM	\N	141	29158	UROK	\N	\N
3592492	1877	1997-04-30	PRIJEM	\N	132	31534	UROK	\N	\N
3592493	1877	1997-05-31	PRIJEM	\N	144	35720	UROK	\N	\N
3592494	1877	1997-06-30	PRIJEM	\N	149	26083	UROK	\N	\N
3592495	1877	1997-07-31	PRIJEM	\N	121	30647	UROK	\N	\N
3592496	1877	1997-08-31	PRIJEM	\N	135	30726	UROK	\N	\N
3592497	1877	1997-09-30	PRIJEM	\N	135	31004	UROK	\N	\N
3592498	1877	1997-10-31	PRIJEM	\N	137	31984	UROK	\N	\N
3592499	1877	1997-11-30	PRIJEM	\N	140	33348	UROK	\N	\N
3592500	1877	1997-12-31	PRIJEM	\N	147	35788	UROK	\N	\N
3592501	1877	1998-01-31	PRIJEM	\N	141	29623	UROK	\N	\N
3592502	1877	1998-02-28	PRIJEM	\N	131	32297	UROK	\N	\N
3592503	1877	1998-03-31	PRIJEM	\N	141	33182	UROK	\N	\N
3592504	1877	1998-04-30	PRIJEM	\N	138	34283	UROK	\N	\N
3592505	1877	1998-05-31	PRIJEM	\N	151	36877	UROK	\N	\N
3592506	1877	1998-06-30	PRIJEM	\N	160	30481	UROK	\N	\N
3592507	1877	1998-07-31	PRIJEM	\N	136	34061	UROK	\N	\N
3592508	1877	1998-08-31	PRIJEM	\N	149	36613	UROK	\N	\N
3592509	1877	1998-09-30	PRIJEM	\N	164	41420	UROK	\N	\N
3592510	1877	1998-10-31	PRIJEM	\N	176	42139	UROK	\N	\N
3592511	1877	1998-11-30	PRIJEM	\N	185	46468	UROK	\N	\N
3592512	1877	1998-12-31	PRIJEM	\N	200	48562	UROK	\N	\N
3592513	1879	1994-05-31	PRIJEM	\N	10	4049	UROK	\N	\N
3592514	1879	1994-06-30	PRIJEM	\N	17	7105	UROK	\N	\N
3592515	1879	1994-07-31	PRIJEM	\N	17	10160	UROK	\N	\N
3592516	1879	1994-08-31	PRIJEM	\N	17	13216	UROK	\N	\N
3592517	1879	1994-09-30	PRIJEM	\N	19	16274	UROK	\N	\N
3592518	1879	1994-10-31	PRIJEM	\N	70	17342	UROK	\N	\N
3592519	1879	1994-11-30	PRIJEM	\N	73	17184	UROK	\N	\N
3592520	1879	1994-12-31	PRIJEM	\N	74	17776	UROK	\N	\N
3592521	1879	1995-01-31	PRIJEM	\N	68	12572	UROK	\N	\N
3592522	1879	1995-02-28	PRIJEM	\N	54	13624	UROK	\N	\N
3592523	1879	1995-03-31	PRIJEM	\N	59	14682	UROK	\N	\N
3592524	1879	1995-04-30	PRIJEM	\N	62	15052	UROK	\N	\N
3592525	1879	1995-05-31	PRIJEM	\N	65	16115	UROK	\N	\N
3592526	1879	1995-06-30	PRIJEM	\N	68	16702	UROK	\N	\N
3592527	1879	1995-07-31	PRIJEM	\N	67	15716	UROK	\N	\N
3592528	1879	1995-08-31	PRIJEM	\N	62	14577	UROK	\N	\N
3592529	1879	1995-09-30	PRIJEM	\N	56	13031	UROK	\N	\N
3592530	1879	1995-10-31	PRIJEM	\N	57	14086	UROK	\N	\N
3592531	1879	1995-11-30	PRIJEM	\N	58	14143	UROK	\N	\N
3592532	1879	1995-12-31	PRIJEM	\N	57	13668	UROK	\N	\N
3592533	1879	1996-01-31	PRIJEM	\N	55	12871	UROK	\N	\N
3592534	1879	1996-02-29	PRIJEM	\N	56	13925	UROK	\N	\N
3592535	1879	1996-03-31	PRIJEM	\N	60	14984	UROK	\N	\N
3592536	1879	1996-04-30	PRIJEM	\N	62	15244	UROK	\N	\N
3592537	1879	1996-05-31	PRIJEM	\N	65	16308	UROK	\N	\N
3592538	1879	1996-06-30	PRIJEM	\N	62	13539	UROK	\N	\N
3592539	1879	1996-07-31	PRIJEM	\N	57	14094	UROK	\N	\N
3592540	1879	1996-08-31	PRIJEM	\N	55	12647	UROK	\N	\N
3592541	1879	1996-09-30	PRIJEM	\N	54	13000	UROK	\N	\N
3592542	1879	1996-10-31	PRIJEM	\N	56	13554	UROK	\N	\N
3592543	1879	1996-11-30	PRIJEM	\N	58	14610	UROK	\N	\N
3592544	1879	1996-12-31	PRIJEM	\N	60	13509	UROK	\N	\N
3592545	1879	1997-01-31	PRIJEM	\N	57	13274	UROK	\N	\N
3592546	1879	1997-02-28	PRIJEM	\N	57	14329	UROK	\N	\N
3592547	1879	1997-03-31	PRIJEM	\N	59	13497	UROK	\N	\N
3592548	1879	1997-04-30	PRIJEM	\N	58	14553	UROK	\N	\N
3592549	1879	1997-05-31	PRIJEM	\N	62	15614	UROK	\N	\N
3592550	1879	1997-06-30	PRIJEM	\N	67	16679	UROK	\N	\N
3592551	1879	1997-07-31	PRIJEM	\N	69	15496	UROK	\N	\N
3592552	1879	1997-08-31	PRIJEM	\N	65	15680	UROK	\N	\N
3592553	1879	1997-09-30	PRIJEM	\N	67	16745	UROK	\N	\N
3592554	1879	1997-10-31	PRIJEM	\N	71	17815	UROK	\N	\N
3592555	1879	1997-11-30	PRIJEM	\N	68	13071	UROK	\N	\N
3592556	1879	1997-12-31	PRIJEM	\N	56	14125	UROK	\N	\N
3592557	1879	1998-01-31	PRIJEM	\N	58	13832	UROK	\N	\N
3592558	1879	1998-02-28	PRIJEM	\N	59	14889	UROK	\N	\N
3592559	1879	1998-03-31	PRIJEM	\N	63	15951	UROK	\N	\N
3592560	1879	1998-04-30	PRIJEM	\N	68	17017	UROK	\N	\N
3592561	1879	1998-05-31	PRIJEM	\N	67	14112	UROK	\N	\N
3592562	1879	1998-06-30	PRIJEM	\N	58	13468	UROK	\N	\N
3592563	1879	1998-07-31	PRIJEM	\N	57	14524	UROK	\N	\N
3592564	1879	1998-08-31	PRIJEM	\N	62	15584	UROK	\N	\N
3592565	1879	1998-09-30	PRIJEM	\N	64	15546	UROK	\N	\N
3592566	1879	1998-10-31	PRIJEM	\N	65	15950	UROK	\N	\N
3592567	1879	1998-11-30	PRIJEM	\N	67	17015	UROK	\N	\N
3592568	1879	1998-12-31	PRIJEM	\N	69	16733	UROK	\N	\N
3592569	1881	1997-09-30	PRIJEM	\N	30	14460	UROK	\N	\N
3592570	1881	1997-10-31	PRIJEM	\N	74	20764	UROK	\N	\N
3592571	1881	1997-11-30	PRIJEM	\N	99	26493	UROK	\N	\N
3592572	1881	1997-12-31	PRIJEM	\N	112	27199	UROK	\N	\N
3592573	1881	1998-01-31	PRIJEM	\N	99	18608	UROK	\N	\N
3592574	1881	1998-02-28	PRIJEM	\N	79	19616	UROK	\N	\N
3592575	1881	1998-03-31	PRIJEM	\N	67	13612	UROK	\N	\N
3592576	1881	1998-04-30	PRIJEM	\N	53	12595	UROK	\N	\N
3592577	1881	1998-05-31	PRIJEM	\N	49	11574	UROK	\N	\N
3592578	1881	1998-06-30	PRIJEM	\N	64	18732	UROK	\N	\N
3592579	1881	1998-07-31	PRIJEM	\N	81	20443	UROK	\N	\N
3592580	1881	1998-08-31	PRIJEM	\N	84	20856	UROK	\N	\N
3592581	1881	1998-09-30	PRIJEM	\N	83	20149	UROK	\N	\N
3592582	1881	1998-10-31	PRIJEM	\N	79	19357	UROK	\N	\N
3592583	1881	1998-11-30	PRIJEM	\N	80	20466	UROK	\N	\N
3592584	1881	1998-12-31	PRIJEM	\N	99	26760	UROK	\N	\N
3592585	1882	1994-01-31	PRIJEM	\N	22	13577	UROK	\N	\N
3592586	1882	1994-02-28	PRIJEM	\N	70	22702	UROK	\N	\N
3592587	1882	1994-03-31	PRIJEM	\N	102	28159	UROK	\N	\N
3592588	1882	1994-04-30	PRIJEM	\N	116	27630	UROK	\N	\N
3592589	1882	1994-05-31	PRIJEM	\N	118	29503	UROK	\N	\N
3592590	1882	1994-06-30	PRIJEM	\N	105	23672	UROK	\N	\N
3592591	1882	1994-07-31	PRIJEM	\N	101	24410	UROK	\N	\N
3592592	1882	1994-08-31	PRIJEM	\N	95	22343	UROK	\N	\N
3592593	1882	1994-09-30	PRIJEM	\N	94	20174	UROK	\N	\N
3592594	1882	1994-10-31	PRIJEM	\N	88	21999	UROK	\N	\N
3592595	1882	1994-11-30	PRIJEM	\N	90	21126	UROK	\N	\N
3592596	1882	1994-12-31	PRIJEM	\N	98	25688	UROK	\N	\N
3592597	1882	1995-01-31	PRIJEM	\N	102	23528	UROK	\N	\N
3592598	1882	1995-02-28	PRIJEM	\N	95	21560	UROK	\N	\N
3592599	1882	1995-03-31	PRIJEM	\N	88	20785	UROK	\N	\N
3592600	1882	1995-04-30	PRIJEM	\N	84	19206	UROK	\N	\N
3592601	1882	1995-05-31	PRIJEM	\N	83	20627	UROK	\N	\N
3592602	1882	1995-06-30	PRIJEM	\N	71	14862	UROK	\N	\N
3592603	1882	1995-07-31	PRIJEM	\N	62	13462	UROK	\N	\N
3592604	1882	1995-08-31	PRIJEM	\N	61	15660	UROK	\N	\N
3592605	1882	1995-09-30	PRIJEM	\N	70	17967	UROK	\N	\N
3592606	1882	1995-10-31	PRIJEM	\N	72	17477	UROK	\N	\N
3592607	1882	1995-11-30	PRIJEM	\N	70	16884	UROK	\N	\N
3592608	1882	1995-12-31	PRIJEM	\N	71	15519	UROK	\N	\N
3592609	1882	1996-01-31	PRIJEM	\N	80	19836	UROK	\N	\N
3592610	1882	1996-02-29	PRIJEM	\N	82	20456	UROK	\N	\N
3592611	1882	1996-03-31	PRIJEM	\N	77	18370	UROK	\N	\N
3592612	1882	1996-04-30	PRIJEM	\N	76	18883	UROK	\N	\N
3592613	1882	1996-05-31	PRIJEM	\N	77	18897	UROK	\N	\N
3592614	1882	1996-06-30	PRIJEM	\N	91	23852	UROK	\N	\N
3592615	1882	1996-07-31	PRIJEM	\N	83	19773	UROK	\N	\N
3592616	1882	1996-08-31	PRIJEM	\N	76	18586	UROK	\N	\N
3592617	1882	1996-09-30	PRIJEM	\N	62	15386	UROK	\N	\N
3592618	1882	1996-10-31	PRIJEM	\N	68	17391	UROK	\N	\N
3592619	1882	1996-11-30	PRIJEM	\N	76	19604	UROK	\N	\N
3592620	1882	1996-12-31	PRIJEM	\N	83	22052	UROK	\N	\N
3592621	1882	1997-01-31	PRIJEM	\N	63	14352	UROK	\N	\N
3592622	1882	1997-02-28	PRIJEM	\N	55	14344	UROK	\N	\N
3592623	1882	1997-03-31	PRIJEM	\N	63	16345	UROK	\N	\N
3592624	1882	1997-04-30	PRIJEM	\N	71	18353	UROK	\N	\N
3592625	1882	1997-05-31	PRIJEM	\N	80	20370	UROK	\N	\N
3592626	1882	1997-06-30	PRIJEM	\N	74	15909	UROK	\N	\N
3592627	1882	1997-07-31	PRIJEM	\N	65	16011	UROK	\N	\N
3592628	1882	1997-08-31	PRIJEM	\N	70	18019	UROK	\N	\N
3592629	1882	1997-09-30	PRIJEM	\N	64	16320	UROK	\N	\N
3592630	1882	1997-10-31	PRIJEM	\N	71	18328	UROK	\N	\N
3592631	1882	1997-11-30	PRIJEM	\N	78	20344	UROK	\N	\N
3592632	1882	1997-12-31	PRIJEM	\N	64	14172	UROK	\N	\N
3592633	1882	1998-01-31	PRIJEM	\N	62	15071	UROK	\N	\N
3592634	1882	1998-02-28	PRIJEM	\N	65	17073	UROK	\N	\N
3592635	1882	1998-03-31	PRIJEM	\N	61	16272	UROK	\N	\N
3592636	1882	1998-04-30	PRIJEM	\N	70	18279	UROK	\N	\N
3592637	1882	1998-05-31	PRIJEM	\N	79	20296	UROK	\N	\N
3592638	1882	1998-06-30	PRIJEM	\N	91	16251	UROK	\N	\N
3592639	1882	1998-07-31	PRIJEM	\N	68	13356	UROK	\N	\N
3592640	1882	1998-08-31	PRIJEM	\N	58	15352	UROK	\N	\N
3592641	1882	1998-09-30	PRIJEM	\N	64	14353	UROK	\N	\N
3592642	1882	1998-10-31	PRIJEM	\N	62	16353	UROK	\N	\N
3592643	1882	1998-11-30	PRIJEM	\N	70	18360	UROK	\N	\N
3592644	1882	1998-12-31	PRIJEM	\N	79	14504	UROK	\N	\N
3592645	1886	1996-03-31	PRIJEM	\N	71	27847	UROK	\N	\N
3592646	1886	1996-04-30	PRIJEM	\N	181	54004	UROK	\N	\N
3592647	1886	1996-05-31	PRIJEM	\N	252	65032	UROK	\N	\N
3592648	1886	1996-06-30	PRIJEM	\N	317	83863	UROK	\N	\N
3592649	1886	1996-07-31	PRIJEM	\N	326	74965	UROK	\N	\N
3592650	1886	1996-08-31	PRIJEM	\N	210	26236	UROK	\N	\N
3592651	1886	1996-09-30	PRIJEM	\N	121	32807	UROK	\N	\N
3592652	1886	1996-10-31	PRIJEM	\N	153	43611	UROK	\N	\N
3592653	1886	1996-11-30	PRIJEM	\N	162	46624	UROK	\N	\N
3592654	1886	1996-12-31	PRIJEM	\N	152	22251	UROK	\N	\N
3592655	1886	1997-01-31	PRIJEM	\N	133	28736	UROK	\N	\N
3592656	1886	1997-02-28	PRIJEM	\N	160	47246	UROK	\N	\N
3592657	1886	1997-03-31	PRIJEM	\N	141	25087	UROK	\N	\N
3592658	1886	1997-04-30	PRIJEM	\N	144	26882	UROK	\N	\N
3592659	1886	1997-05-31	PRIJEM	\N	144	28076	UROK	\N	\N
3592660	1886	1997-06-30	PRIJEM	\N	163	28528	UROK	\N	\N
3592661	1886	1997-07-31	PRIJEM	\N	154	27733	UROK	\N	\N
3592662	1886	1997-08-31	PRIJEM	\N	146	23929	UROK	\N	\N
3592663	1886	1997-09-30	PRIJEM	\N	119	21099	UROK	\N	\N
3592664	1886	1997-10-31	PRIJEM	\N	120	23770	UROK	\N	\N
3592665	1886	1997-11-30	PRIJEM	\N	122	26343	UROK	\N	\N
3592666	1886	1997-12-31	PRIJEM	\N	172	36304	UROK	\N	\N
3592667	1886	1998-01-31	PRIJEM	\N	107	20576	UROK	\N	\N
3592668	1886	1998-02-28	PRIJEM	\N	108	22197	UROK	\N	\N
3592669	1886	1998-03-31	PRIJEM	\N	127	29274	UROK	\N	\N
3592670	1886	1998-04-30	PRIJEM	\N	148	29373	UROK	\N	\N
3592671	1886	1998-05-31	PRIJEM	\N	141	25996	UROK	\N	\N
3592672	1886	1998-06-30	PRIJEM	\N	157	32242	UROK	\N	\N
3592673	1886	1998-07-31	PRIJEM	\N	110	24628	UROK	\N	\N
3592674	1886	1998-08-31	PRIJEM	\N	119	22198	UROK	\N	\N
3592675	1886	1998-09-30	PRIJEM	\N	111	22759	UROK	\N	\N
3592676	1886	1998-10-31	PRIJEM	\N	105	18416	UROK	\N	\N
3592677	1886	1998-11-30	PRIJEM	\N	120	36886	UROK	\N	\N
3592678	1886	1998-12-31	PRIJEM	\N	192	49270	UROK	\N	\N
3592679	1887	1993-05-31	PRIJEM	\N	26	9338	UROK	\N	\N
3592680	1887	1993-06-30	PRIJEM	\N	90	27646	UROK	\N	\N
3592681	1887	1993-07-31	PRIJEM	\N	138	35896	UROK	\N	\N
3592682	1887	1993-08-31	PRIJEM	\N	162	40470	UROK	\N	\N
3592683	1887	1993-09-30	PRIJEM	\N	154	35228	UROK	\N	\N
3592684	1887	1993-10-31	PRIJEM	\N	145	34462	UROK	\N	\N
3592685	1887	1993-11-30	PRIJEM	\N	141	33292	UROK	\N	\N
3592686	1887	1993-12-31	PRIJEM	\N	143	33930	UROK	\N	\N
3592687	1887	1994-01-31	PRIJEM	\N	110	22229	UROK	\N	\N
3592688	1887	1994-02-28	PRIJEM	\N	104	26423	UROK	\N	\N
3592689	1887	1994-03-31	PRIJEM	\N	121	30234	UROK	\N	\N
3592690	1887	1994-04-30	PRIJEM	\N	123	29146	UROK	\N	\N
3592691	1887	1994-05-31	PRIJEM	\N	127	28562	UROK	\N	\N
3592692	1887	1994-06-30	PRIJEM	\N	136	34493	UROK	\N	\N
3592693	1887	1994-07-31	PRIJEM	\N	144	34426	UROK	\N	\N
3592694	1887	1994-08-31	PRIJEM	\N	144	34660	UROK	\N	\N
3592695	1887	1994-09-30	PRIJEM	\N	147	35697	UROK	\N	\N
3592696	1887	1994-10-31	PRIJEM	\N	137	31623	UROK	\N	\N
3592697	1887	1994-11-30	PRIJEM	\N	133	32946	UROK	\N	\N
3592698	1887	1994-12-31	PRIJEM	\N	124	27665	UROK	\N	\N
3592699	1887	1995-01-31	PRIJEM	\N	99	22754	UROK	\N	\N
3592700	1887	1995-02-28	PRIJEM	\N	100	21043	UROK	\N	\N
3592701	1887	1995-03-31	PRIJEM	\N	107	25340	UROK	\N	\N
3592702	1887	1995-04-30	PRIJEM	\N	112	27641	UROK	\N	\N
3592703	1887	1995-05-31	PRIJEM	\N	121	28452	UROK	\N	\N
3592704	1887	1995-06-30	PRIJEM	\N	135	31182	UROK	\N	\N
3592705	1887	1995-07-31	PRIJEM	\N	135	30706	UROK	\N	\N
3592706	1887	1995-08-31	PRIJEM	\N	125	29021	UROK	\N	\N
3592707	1887	1995-09-30	PRIJEM	\N	127	31838	UROK	\N	\N
3592708	1887	1995-10-31	PRIJEM	\N	138	33665	UROK	\N	\N
3592709	1887	1995-11-30	PRIJEM	\N	145	34300	UROK	\N	\N
3592710	1887	1995-12-31	PRIJEM	\N	152	35347	UROK	\N	\N
3592711	1887	1996-01-31	PRIJEM	\N	126	20162	UROK	\N	\N
3592712	1887	1996-02-29	PRIJEM	\N	94	26846	UROK	\N	\N
3592713	1887	1996-03-31	PRIJEM	\N	118	29954	UROK	\N	\N
3592714	1887	1996-04-30	PRIJEM	\N	133	34776	UROK	\N	\N
3592715	1887	1996-05-31	PRIJEM	\N	146	33411	UROK	\N	\N
3592716	1887	1996-06-30	PRIJEM	\N	148	34255	UROK	\N	\N
3592717	1887	1996-07-31	PRIJEM	\N	142	32287	UROK	\N	\N
3592718	1887	1996-08-31	PRIJEM	\N	133	27809	UROK	\N	\N
3592719	1887	1996-09-30	PRIJEM	\N	111	22509	UROK	\N	\N
3592720	1887	1996-10-31	PRIJEM	\N	94	22193	UROK	\N	\N
3592721	1887	1996-11-30	PRIJEM	\N	94	22877	UROK	\N	\N
3592722	1887	1996-12-31	PRIJEM	\N	109	25881	UROK	\N	\N
3592723	1887	1997-01-31	PRIJEM	\N	95	21765	UROK	\N	\N
3592724	1887	1997-02-28	PRIJEM	\N	86	20941	UROK	\N	\N
3592725	1887	1997-03-31	PRIJEM	\N	92	23623	UROK	\N	\N
3592726	1887	1997-04-30	PRIJEM	\N	106	27418	UROK	\N	\N
3592727	1887	1997-05-31	PRIJEM	\N	119	29826	UROK	\N	\N
3592728	1887	1997-06-30	PRIJEM	\N	128	30449	UROK	\N	\N
3592729	1887	1997-07-31	PRIJEM	\N	125	29963	UROK	\N	\N
3592730	1887	1997-08-31	PRIJEM	\N	133	34285	UROK	\N	\N
3592731	1887	1997-09-30	PRIJEM	\N	150	38525	UROK	\N	\N
3592732	1887	1997-10-31	PRIJEM	\N	151	35266	UROK	\N	\N
3592733	1887	1997-11-30	PRIJEM	\N	142	34297	UROK	\N	\N
3592734	1887	1997-12-31	PRIJEM	\N	142	33134	UROK	\N	\N
3592735	1887	1998-01-31	PRIJEM	\N	117	20841	UROK	\N	\N
3592736	1887	1998-02-28	PRIJEM	\N	82	20312	UROK	\N	\N
3592737	1887	1998-03-31	PRIJEM	\N	76	17677	UROK	\N	\N
3592738	1887	1998-04-30	PRIJEM	\N	78	20544	UROK	\N	\N
3592739	1887	1998-05-31	PRIJEM	\N	71	16205	UROK	\N	\N
3592740	1887	1998-06-30	PRIJEM	\N	82	23283	UROK	\N	\N
3592741	1887	1998-07-31	PRIJEM	\N	79	17951	UROK	\N	\N
3592742	1887	1998-08-31	PRIJEM	\N	63	14603	UROK	\N	\N
3592743	1887	1998-09-30	PRIJEM	\N	64	17457	UROK	\N	\N
3592744	1887	1998-10-31	PRIJEM	\N	76	20322	UROK	\N	\N
3592745	1887	1998-11-30	PRIJEM	\N	88	23199	UROK	\N	\N
3592746	1887	1998-12-31	PRIJEM	\N	96	24791	UROK	\N	\N
3592747	1888	1996-11-30	PRIJEM	\N	39	25679	UROK	\N	\N
3592748	1888	1996-12-31	PRIJEM	\N	137	44552	UROK	\N	\N
3592749	1888	1997-01-31	PRIJEM	\N	184	44476	UROK	\N	\N
3592750	1888	1997-02-28	PRIJEM	\N	192	49693	UROK	\N	\N
3592751	1888	1997-03-31	PRIJEM	\N	223	39213	UROK	\N	\N
3592752	1888	1997-04-30	PRIJEM	\N	201	33487	UROK	\N	\N
3592753	1888	1997-05-31	PRIJEM	\N	160	7896	UROK	\N	\N
3592754	1888	1997-06-30	PRIJEM	\N	108	13763	UROK	\N	\N
3592755	1888	1997-07-31	PRIJEM	\N	55	11445	UROK	\N	\N
3592756	1888	1997-08-31	PRIJEM	\N	75	15091	UROK	\N	\N
3592757	1888	1997-09-30	PRIJEM	\N	102	21842	UROK	\N	\N
3592758	1888	1997-10-31	PRIJEM	\N	121	25080	UROK	\N	\N
3592759	1888	1997-11-30	PRIJEM	\N	129	26431	UROK	\N	\N
3592760	1888	1997-12-31	PRIJEM	\N	156	28700	UROK	\N	\N
3592761	1888	1998-01-31	PRIJEM	\N	83	-2386	UROK	\N	\N
3592762	1888	1998-01-31	VYDAJ	VYBER	11	-2398	SANKC. UROK	\N	\N
3592763	1888	1998-02-28	PRIJEM	\N	36	10120	UROK	\N	\N
3592764	1888	1998-02-28	VYDAJ	VYBER	8	10133	SANKC. UROK	\N	\N
3592765	1888	1998-03-31	PRIJEM	\N	70	13981	UROK	\N	\N
3592766	1888	1998-04-30	PRIJEM	\N	84	17359	UROK	\N	\N
3592767	1888	1998-05-31	PRIJEM	\N	91	18228	UROK	\N	\N
3592768	1888	1998-06-30	PRIJEM	\N	121	4337	UROK	\N	\N
3592769	1888	1998-07-31	PRIJEM	\N	74	11718	UROK	\N	\N
3592770	1888	1998-08-31	PRIJEM	\N	70	13880	UROK	\N	\N
3592771	1888	1998-09-30	PRIJEM	\N	65	13718	UROK	\N	\N
3592772	1888	1998-10-31	PRIJEM	\N	24	5561	UROK	\N	\N
3592773	1888	1998-11-30	PRIJEM	\N	3	72	UROK	\N	\N
3592774	1888	1998-11-30	VYDAJ	VYBER	18	22	SANKC. UROK	\N	\N
3592775	1888	1998-12-31	PRIJEM	\N	28	-3342	UROK	\N	\N
3592776	1888	1998-12-31	VYDAJ	VYBER	36	-3351	SANKC. UROK	\N	\N
3592777	1889	1995-07-31	PRIJEM	\N	92	23119	UROK	\N	\N
3592778	1889	1995-08-31	PRIJEM	\N	107	25155	UROK	\N	\N
3592779	1889	1995-09-30	PRIJEM	\N	111	27794	UROK	\N	\N
3592780	1889	1995-10-31	PRIJEM	\N	126	29749	UROK	\N	\N
3592781	1889	1995-11-30	PRIJEM	\N	119	27136	UROK	\N	\N
3592782	1889	1995-12-31	PRIJEM	\N	117	26732	UROK	\N	\N
3592783	1889	1996-01-31	PRIJEM	\N	94	17474	UROK	\N	\N
3592784	1889	1996-02-29	PRIJEM	\N	79	20080	UROK	\N	\N
3592785	1889	1996-03-31	PRIJEM	\N	90	22699	UROK	\N	\N
3592786	1889	1996-04-30	PRIJEM	\N	100	23567	UROK	\N	\N
3592787	1889	1996-05-31	PRIJEM	\N	104	26200	UROK	\N	\N
3592788	1889	1996-06-30	PRIJEM	\N	89	19367	UROK	\N	\N
3592789	1889	1996-07-31	PRIJEM	\N	87	21982	UROK	\N	\N
3592790	1889	1996-08-31	PRIJEM	\N	94	22525	UROK	\N	\N
3592791	1889	1996-09-30	PRIJEM	\N	101	24354	UROK	\N	\N
3592792	1889	1996-10-31	PRIJEM	\N	107	26990	UROK	\N	\N
3592793	1889	1996-11-30	PRIJEM	\N	118	29636	UROK	\N	\N
3592794	1889	1996-12-31	PRIJEM	\N	128	30543	UROK	\N	\N
3592795	1889	1997-01-31	PRIJEM	\N	126	25307	UROK	\N	\N
3592796	1889	1997-02-28	PRIJEM	\N	109	26984	UROK	\N	\N
3592797	1889	1997-03-31	PRIJEM	\N	118	29631	UROK	\N	\N
3592798	1889	1997-04-30	PRIJEM	\N	127	30366	UROK	\N	\N
3592799	1889	1997-05-31	PRIJEM	\N	132	33027	UROK	\N	\N
3592800	1889	1997-06-30	PRIJEM	\N	135	31340	UROK	\N	\N
3592801	1889	1997-07-31	PRIJEM	\N	130	30478	UROK	\N	\N
3592802	1889	1997-08-31	PRIJEM	\N	129	32335	UROK	\N	\N
3592803	1889	1997-09-30	PRIJEM	\N	140	35004	UROK	\N	\N
3592804	1889	1997-10-31	PRIJEM	\N	147	34079	UROK	\N	\N
3592805	1889	1997-11-30	PRIJEM	\N	145	35153	UROK	\N	\N
3592806	1889	1997-12-31	PRIJEM	\N	145	34206	UROK	\N	\N
3592807	1889	1998-01-31	PRIJEM	\N	132	26826	UROK	\N	\N
3592808	1889	1998-02-28	PRIJEM	\N	117	29471	UROK	\N	\N
3592809	1889	1998-03-31	PRIJEM	\N	128	32127	UROK	\N	\N
3592810	1889	1998-04-30	PRIJEM	\N	139	34795	UROK	\N	\N
3592811	1889	1998-05-31	PRIJEM	\N	150	37473	UROK	\N	\N
3592812	1889	1998-06-30	PRIJEM	\N	140	31811	UROK	\N	\N
3592813	1889	1998-07-31	PRIJEM	\N	137	33996	UROK	\N	\N
3592814	1889	1998-08-31	PRIJEM	\N	143	33947	UROK	\N	\N
3592815	1889	1998-09-30	PRIJEM	\N	146	36621	UROK	\N	\N
3592816	1889	1998-10-31	PRIJEM	\N	153	36743	UROK	\N	\N
3592817	1889	1998-11-30	PRIJEM	\N	158	39429	UROK	\N	\N
3592818	1889	1998-12-31	PRIJEM	\N	168	41575	UROK	\N	\N
3592819	1891	1993-05-31	PRIJEM	\N	49	16505	UROK	\N	\N
3592820	1891	1993-06-30	PRIJEM	\N	91	24151	UROK	\N	\N
3592821	1891	1993-07-31	PRIJEM	\N	117	29824	UROK	\N	\N
3592822	1891	1993-08-31	PRIJEM	\N	127	30807	UROK	\N	\N
3592823	1891	1993-09-30	PRIJEM	\N	129	31053	UROK	\N	\N
3592824	1891	1993-10-31	PRIJEM	\N	120	27841	UROK	\N	\N
3592825	1891	1993-11-30	PRIJEM	\N	113	27092	UROK	\N	\N
3592826	1891	1993-12-31	PRIJEM	\N	116	28115	UROK	\N	\N
3592827	1891	1994-01-31	PRIJEM	\N	106	23189	UROK	\N	\N
3592828	1891	1994-02-28	PRIJEM	\N	99	23675	UROK	\N	\N
3592829	1891	1994-03-31	PRIJEM	\N	99	23911	UROK	\N	\N
3592830	1891	1994-04-30	PRIJEM	\N	103	24721	UROK	\N	\N
3592831	1891	1994-05-31	PRIJEM	\N	110	26118	UROK	\N	\N
3592832	1891	1994-06-30	PRIJEM	\N	114	25590	UROK	\N	\N
3592833	1891	1994-07-31	PRIJEM	\N	102	24529	UROK	\N	\N
3592834	1891	1994-08-31	PRIJEM	\N	102	24569	UROK	\N	\N
3592835	1891	1994-09-30	PRIJEM	\N	114	28221	UROK	\N	\N
3592836	1891	1994-10-31	PRIJEM	\N	112	26840	UROK	\N	\N
3592837	1891	1994-11-30	PRIJEM	\N	123	30400	UROK	\N	\N
3592838	1891	1994-12-31	PRIJEM	\N	121	27819	UROK	\N	\N
3592839	1891	1995-01-31	PRIJEM	\N	101	23528	UROK	\N	\N
3592840	1891	1995-02-28	PRIJEM	\N	101	24536	UROK	\N	\N
3592841	1891	1995-03-31	PRIJEM	\N	117	29020	UROK	\N	\N
3592842	1891	1995-04-30	PRIJEM	\N	122	32479	UROK	\N	\N
3592843	1891	1995-05-31	PRIJEM	\N	139	31455	UROK	\N	\N
3592844	1891	1995-06-30	PRIJEM	\N	121	31083	UROK	\N	\N
3592845	1891	1995-07-31	PRIJEM	\N	133	30753	UROK	\N	\N
3592846	1891	1995-08-31	PRIJEM	\N	131	34642	UROK	\N	\N
3592847	1891	1995-09-30	PRIJEM	\N	149	38428	UROK	\N	\N
3592848	1891	1995-10-31	PRIJEM	\N	165	41030	UROK	\N	\N
3592849	1891	1995-11-30	PRIJEM	\N	175	43743	UROK	\N	\N
3592850	1891	1995-12-31	PRIJEM	\N	181	41331	UROK	\N	\N
3592851	1891	1996-01-31	PRIJEM	\N	169	41037	UROK	\N	\N
3592852	1891	1996-02-29	PRIJEM	\N	176	44050	UROK	\N	\N
3592853	1891	1996-03-31	PRIJEM	\N	184	45721	UROK	\N	\N
3592854	1891	1996-04-30	PRIJEM	\N	197	50456	UROK	\N	\N
3592855	1891	1996-05-31	PRIJEM	\N	211	49303	UROK	\N	\N
3592856	1891	1996-06-30	PRIJEM	\N	206	51017	UROK	\N	\N
3592857	1891	1996-07-31	PRIJEM	\N	214	51269	UROK	\N	\N
3592858	1891	1996-08-31	PRIJEM	\N	212	51478	UROK	\N	\N
3592859	1891	1996-09-30	PRIJEM	\N	219	54034	UROK	\N	\N
3592860	1891	1996-10-31	PRIJEM	\N	232	58304	UROK	\N	\N
3592861	1891	1996-11-30	PRIJEM	\N	248	61389	UROK	\N	\N
3592862	1891	1996-12-31	PRIJEM	\N	254	60550	UROK	\N	\N
3592863	1891	1997-01-31	PRIJEM	\N	246	58613	UROK	\N	\N
3592864	1891	1997-02-28	PRIJEM	\N	247	60698	UROK	\N	\N
3592865	1891	1997-03-31	PRIJEM	\N	260	64895	UROK	\N	\N
3592866	1891	1997-04-30	PRIJEM	\N	278	69810	UROK	\N	\N
3592867	1891	1997-05-31	PRIJEM	\N	295	72442	UROK	\N	\N
3592868	1891	1997-06-30	PRIJEM	\N	287	68387	UROK	\N	\N
3592869	1891	1997-07-31	PRIJEM	\N	285	68909	UROK	\N	\N
3592870	1891	1997-08-31	PRIJEM	\N	294	73100	UROK	\N	\N
3592871	1891	1997-09-30	PRIJEM	\N	307	75145	UROK	\N	\N
3592872	1891	1997-10-31	PRIJEM	\N	311	75183	UROK	\N	\N
3592873	1891	1997-11-30	PRIJEM	\N	312	75532	UROK	\N	\N
3592874	1891	1997-12-31	PRIJEM	\N	305	71425	UROK	\N	\N
3592875	1891	1998-01-31	PRIJEM	\N	280	64452	UROK	\N	\N
3592876	1891	1998-02-28	PRIJEM	\N	277	69837	UROK	\N	\N
3592877	1891	1998-03-31	PRIJEM	\N	295	72849	UROK	\N	\N
3592878	1891	1998-04-30	PRIJEM	\N	314	78701	UROK	\N	\N
3592879	1891	1998-05-31	PRIJEM	\N	319	76558	UROK	\N	\N
3592880	1891	1998-06-30	PRIJEM	\N	318	78533	UROK	\N	\N
3592881	1891	1998-07-31	PRIJEM	\N	323	77723	UROK	\N	\N
3592882	1891	1998-08-31	PRIJEM	\N	323	78983	UROK	\N	\N
3592883	1891	1998-09-30	PRIJEM	\N	333	82054	UROK	\N	\N
3592884	1891	1998-10-31	PRIJEM	\N	344	84535	UROK	\N	\N
3592885	1891	1998-11-30	PRIJEM	\N	355	88027	UROK	\N	\N
3592886	1891	1998-12-31	PRIJEM	\N	366	89511	UROK	\N	\N
3592887	1892	1993-12-31	PRIJEM	\N	58	19420	UROK	\N	\N
3592888	1892	1994-01-31	PRIJEM	\N	60	12149	UROK	\N	\N
3592889	1892	1994-02-28	PRIJEM	\N	57	14415	UROK	\N	\N
3592890	1892	1994-03-31	PRIJEM	\N	66	16691	UROK	\N	\N
3592891	1892	1994-04-30	PRIJEM	\N	76	18976	UROK	\N	\N
3592892	1892	1994-05-31	PRIJEM	\N	79	16384	UROK	\N	\N
3592893	1892	1994-06-30	PRIJEM	\N	67	16021	UROK	\N	\N
3592894	1892	1994-07-31	PRIJEM	\N	73	18303	UROK	\N	\N
3592895	1892	1994-08-31	PRIJEM	\N	83	20595	UROK	\N	\N
3592896	1892	1994-09-30	PRIJEM	\N	92	22416	UROK	\N	\N
3592897	1892	1994-10-31	PRIJEM	\N	100	24725	UROK	\N	\N
3592898	1892	1994-11-30	PRIJEM	\N	109	26403	UROK	\N	\N
3592899	1892	1994-12-31	PRIJEM	\N	115	28127	UROK	\N	\N
3592900	1892	1995-01-31	PRIJEM	\N	95	19382	UROK	\N	\N
3592901	1892	1995-02-28	PRIJEM	\N	87	21678	UROK	\N	\N
3592902	1892	1995-03-31	PRIJEM	\N	96	23983	UROK	\N	\N
3592903	1892	1995-04-30	PRIJEM	\N	106	26299	UROK	\N	\N
3592904	1892	1995-05-31	PRIJEM	\N	116	28624	UROK	\N	\N
3592905	1892	1995-06-30	PRIJEM	\N	108	15101	UROK	\N	\N
3592906	1892	1995-07-31	PRIJEM	\N	69	17380	UROK	\N	\N
3592907	1892	1995-08-31	PRIJEM	\N	72	16380	UROK	\N	\N
3592908	1892	1995-09-30	PRIJEM	\N	74	18664	UROK	\N	\N
3592909	1892	1995-10-31	PRIJEM	\N	84	20957	UROK	\N	\N
3592910	1892	1995-11-30	PRIJEM	\N	93	23259	UROK	\N	\N
3592911	1892	1995-12-31	PRIJEM	\N	95	23063	UROK	\N	\N
3592912	1892	1996-01-31	PRIJEM	\N	91	14334	UROK	\N	\N
3592913	1892	1996-02-29	PRIJEM	\N	65	16608	UROK	\N	\N
3592914	1892	1996-03-31	PRIJEM	\N	75	18192	UROK	\N	\N
3592915	1892	1996-04-30	PRIJEM	\N	80	15881	UROK	\N	\N
3592916	1892	1996-05-31	PRIJEM	\N	66	14796	UROK	\N	\N
3592917	1892	1996-06-30	PRIJEM	\N	64	15470	UROK	\N	\N
3592918	1892	1996-07-31	PRIJEM	\N	68	15047	UROK	\N	\N
3592919	1892	1996-08-31	PRIJEM	\N	66	14823	UROK	\N	\N
3592920	1892	1996-09-30	PRIJEM	\N	67	17100	UROK	\N	\N
3592921	1892	1996-10-31	PRIJEM	\N	77	19386	UROK	\N	\N
3592922	1892	1996-11-30	PRIJEM	\N	85	20580	UROK	\N	\N
3592923	1892	1996-12-31	PRIJEM	\N	82	18951	UROK	\N	\N
3592924	1892	1997-01-31	PRIJEM	\N	68	15449	UROK	\N	\N
3592925	1892	1997-02-28	PRIJEM	\N	67	15425	UROK	\N	\N
3592926	1892	1997-03-31	PRIJEM	\N	68	16102	UROK	\N	\N
3592927	1892	1997-04-30	PRIJEM	\N	68	15500	UROK	\N	\N
3592928	1892	1997-05-31	PRIJEM	\N	68	16277	UROK	\N	\N
3592929	1892	1997-06-30	PRIJEM	\N	69	15856	UROK	\N	\N
3592930	1892	1997-07-31	PRIJEM	\N	67	15772	UROK	\N	\N
3592931	1892	1997-08-31	PRIJEM	\N	70	17251	UROK	\N	\N
3592932	1892	1997-09-30	PRIJEM	\N	72	16632	UROK	\N	\N
3592933	1892	1997-10-31	PRIJEM	\N	66	14108	UROK	\N	\N
3592934	1892	1997-11-30	PRIJEM	\N	64	16381	UROK	\N	\N
3592935	1892	1997-12-31	PRIJEM	\N	68	15209	UROK	\N	\N
3592936	1892	1998-01-31	PRIJEM	\N	64	15562	UROK	\N	\N
3592937	1892	1998-02-28	PRIJEM	\N	69	17840	UROK	\N	\N
3592938	1892	1998-03-31	PRIJEM	\N	79	20128	UROK	\N	\N
3592939	1892	1998-04-30	PRIJEM	\N	86	21064	UROK	\N	\N
3592940	1892	1998-05-31	PRIJEM	\N	92	23366	UROK	\N	\N
3592941	1892	1998-06-30	PRIJEM	\N	84	19190	UROK	\N	\N
3592942	1892	1998-07-31	PRIJEM	\N	84	21483	UROK	\N	\N
3592943	1892	1998-08-31	PRIJEM	\N	85	17537	UROK	\N	\N
3592944	1892	1998-09-30	PRIJEM	\N	77	19824	UROK	\N	\N
3592945	1892	1998-10-31	PRIJEM	\N	87	22120	UROK	\N	\N
3592946	1892	1998-11-30	PRIJEM	\N	96	24426	UROK	\N	\N
3592947	1892	1998-12-31	PRIJEM	\N	97	23682	UROK	\N	\N
3592948	1893	1996-08-31	PRIJEM	\N	45	55920	UROK	\N	\N
3592949	1893	1996-09-30	PRIJEM	\N	212	44788	UROK	\N	\N
3592950	1893	1996-10-31	PRIJEM	\N	271	88962	UROK	\N	\N
3592951	1893	1996-11-30	PRIJEM	\N	356	78958	UROK	\N	\N
3592952	1893	1996-12-31	PRIJEM	\N	236	42691	UROK	\N	\N
3592953	1893	1997-01-31	PRIJEM	\N	132	21519	UROK	\N	\N
3592954	1893	1997-02-28	PRIJEM	\N	234	70478	UROK	\N	\N
3592955	1893	1997-03-31	PRIJEM	\N	299	86507	UROK	\N	\N
3592956	1893	1997-04-30	PRIJEM	\N	287	57486	UROK	\N	\N
3592957	1893	1997-05-31	PRIJEM	\N	258	42467	UROK	\N	\N
3592958	1893	1997-06-30	PRIJEM	\N	124	58085	UROK	\N	\N
3592959	1893	1997-07-31	PRIJEM	\N	228	58090	UROK	\N	\N
3592960	1893	1997-08-31	PRIJEM	\N	157	27743	UROK	\N	\N
3592961	1893	1997-09-30	PRIJEM	\N	114	32939	UROK	\N	\N
3592962	1893	1997-10-31	PRIJEM	\N	162	82225	UROK	\N	\N
3592963	1893	1997-11-30	PRIJEM	\N	334	95622	UROK	\N	\N
3592964	1893	1997-12-31	PRIJEM	\N	387	90780	UROK	\N	\N
3592965	1893	1998-01-31	PRIJEM	\N	253	29901	UROK	\N	\N
3592966	1893	1998-02-28	PRIJEM	\N	124	23721	UROK	\N	\N
3592967	1893	1998-03-31	PRIJEM	\N	155	73788	UROK	\N	\N
3592968	1893	1998-04-30	PRIJEM	\N	199	34884	UROK	\N	\N
3592969	1893	1998-05-31	PRIJEM	\N	145	28725	UROK	\N	\N
3592970	1893	1998-06-30	PRIJEM	\N	183	63687	UROK	\N	\N
3592971	1893	1998-07-31	PRIJEM	\N	175	32798	UROK	\N	\N
3592972	1893	1998-08-31	PRIJEM	\N	134	43708	UROK	\N	\N
3592973	1893	1998-09-30	PRIJEM	\N	104	22654	UROK	\N	\N
3592974	1893	1998-10-31	PRIJEM	\N	93	16444	UROK	\N	\N
3592975	1893	1998-11-30	PRIJEM	\N	162	89838	UROK	\N	\N
3592976	1893	1998-12-31	PRIJEM	\N	201	36435	UROK	\N	\N
3592977	1895	1996-07-31	PRIJEM	\N	50	18565	UROK	\N	\N
3592978	1895	1996-08-31	PRIJEM	\N	127	37207	UROK	\N	\N
3592979	1895	1996-09-30	PRIJEM	\N	179	46501	UROK	\N	\N
3592980	1895	1996-10-31	PRIJEM	\N	213	54029	UROK	\N	\N
3592981	1895	1996-11-30	PRIJEM	\N	162	29015	UROK	\N	\N
3592982	1895	1996-12-31	PRIJEM	\N	171	44234	UROK	\N	\N
3592983	1895	1997-01-31	PRIJEM	\N	147	24112	UROK	\N	\N
3592984	1895	1997-02-28	PRIJEM	\N	122	32925	UROK	\N	\N
3592985	1895	1997-03-31	PRIJEM	\N	136	28544	UROK	\N	\N
3592986	1895	1997-04-30	PRIJEM	\N	140	31074	UROK	\N	\N
3592987	1895	1997-05-31	PRIJEM	\N	146	32011	UROK	\N	\N
3592988	1895	1997-06-30	PRIJEM	\N	175	42433	UROK	\N	\N
3592989	1895	1997-07-31	PRIJEM	\N	125	21026	UROK	\N	\N
3592990	1895	1997-08-31	PRIJEM	\N	111	24328	UROK	\N	\N
3592991	1895	1997-09-30	PRIJEM	\N	119	25937	UROK	\N	\N
3592992	1895	1997-10-31	PRIJEM	\N	132	29560	UROK	\N	\N
3592993	1895	1997-11-30	PRIJEM	\N	131	23081	UROK	\N	\N
3592994	1895	1997-12-31	PRIJEM	\N	114	20134	UROK	\N	\N
3592995	1895	1998-01-31	PRIJEM	\N	85	19810	UROK	\N	\N
3592996	1895	1998-02-28	PRIJEM	\N	98	26398	UROK	\N	\N
3592997	1895	1998-03-31	PRIJEM	\N	133	29721	UROK	\N	\N
3592998	1895	1998-04-30	PRIJEM	\N	118	26375	UROK	\N	\N
3592999	1895	1998-05-31	PRIJEM	\N	119	29983	UROK	\N	\N
3593000	1895	1998-06-30	PRIJEM	\N	169	41600	UROK	\N	\N
3593001	1895	1998-07-31	PRIJEM	\N	142	37132	UROK	\N	\N
3593002	1895	1998-08-31	PRIJEM	\N	174	39696	UROK	\N	\N
3593003	1895	1998-09-30	PRIJEM	\N	151	41338	UROK	\N	\N
3593004	1895	1998-10-31	PRIJEM	\N	182	37510	UROK	\N	\N
3593005	1895	1998-11-30	PRIJEM	\N	181	37082	UROK	\N	\N
3593006	1895	1998-12-31	PRIJEM	\N	190	50219	UROK	\N	\N
3593007	1896	1993-11-30	PRIJEM	\N	100	26733	UROK	\N	\N
3593008	1896	1993-12-31	PRIJEM	\N	259	77617	UROK	\N	\N
3593009	1896	1994-01-31	PRIJEM	\N	303	59769	UROK	\N	\N
3593010	1896	1994-02-28	PRIJEM	\N	163	30954	UROK	\N	\N
3593011	1896	1994-03-31	PRIJEM	\N	94	19570	UROK	\N	\N
3593012	1896	1994-04-30	PRIJEM	\N	55	10948	UROK	\N	\N
3593013	1896	1994-05-31	PRIJEM	\N	39	8708	UROK	\N	\N
3593014	1896	1994-06-30	PRIJEM	\N	27	5557	UROK	\N	\N
3593015	1896	1994-07-31	PRIJEM	\N	22	5302	UROK	\N	\N
3593016	1896	1994-08-31	PRIJEM	\N	29	17853	UROK	\N	\N
3593017	1896	1994-09-30	PRIJEM	\N	74	15850	UROK	\N	\N
3593018	1896	1994-10-31	PRIJEM	\N	95	34440	UROK	\N	\N
3593019	1896	1994-11-30	PRIJEM	\N	109	25972	UROK	\N	\N
3593020	1896	1994-12-31	PRIJEM	\N	107	23201	UROK	\N	\N
3593021	1896	1995-01-31	PRIJEM	\N	93	22743	UROK	\N	\N
3593022	1896	1995-02-28	PRIJEM	\N	174	50586	UROK	\N	\N
3593023	1896	1995-03-31	PRIJEM	\N	256	56051	UROK	\N	\N
3593024	1896	1995-04-30	PRIJEM	\N	273	51104	UROK	\N	\N
3593025	1896	1995-05-31	PRIJEM	\N	204	34530	UROK	\N	\N
3593026	1896	1995-06-30	PRIJEM	\N	111	27943	UROK	\N	\N
3593027	1896	1995-07-31	PRIJEM	\N	260	43261	UROK	\N	\N
3593028	1896	1995-08-31	PRIJEM	\N	242	51984	UROK	\N	\N
3593029	1896	1995-09-30	PRIJEM	\N	162	32469	UROK	\N	\N
3593030	1896	1995-10-31	PRIJEM	\N	131	28322	UROK	\N	\N
3593031	1896	1995-11-30	PRIJEM	\N	114	25058	UROK	\N	\N
3593032	1896	1995-12-31	PRIJEM	\N	222	47900	UROK	\N	\N
3593033	1896	1996-01-31	PRIJEM	\N	166	23638	UROK	\N	\N
3593034	1896	1996-02-29	PRIJEM	\N	115	31302	UROK	\N	\N
3593035	1896	1996-03-31	PRIJEM	\N	293	55643	UROK	\N	\N
3593036	1896	1996-04-30	PRIJEM	\N	195	39670	UROK	\N	\N
3593037	1896	1996-05-31	PRIJEM	\N	194	39226	UROK	\N	\N
3593038	1896	1996-06-30	PRIJEM	\N	226	81790	UROK	\N	\N
3593039	1896	1996-07-31	PRIJEM	\N	309	66919	UROK	\N	\N
3593040	1896	1996-08-31	PRIJEM	\N	313	97387	UROK	\N	\N
3593041	1896	1996-09-30	PRIJEM	\N	356	110236	UROK	\N	\N
3593042	1896	1996-10-31	PRIJEM	\N	355	69785	UROK	\N	\N
3593043	1896	1996-11-30	PRIJEM	\N	211	72153	UROK	\N	\N
3593044	1896	1996-12-31	PRIJEM	\N	267	24408	UROK	\N	\N
3593045	1896	1997-01-31	PRIJEM	\N	77	18912	UROK	\N	\N
3593046	1896	1997-02-28	PRIJEM	\N	101	59958	UROK	\N	\N
3593047	1896	1997-03-31	PRIJEM	\N	241	52102	UROK	\N	\N
3593048	1896	1997-04-30	PRIJEM	\N	183	35807	UROK	\N	\N
3593049	1896	1997-05-31	PRIJEM	\N	186	79474	UROK	\N	\N
3593050	1896	1997-06-30	PRIJEM	\N	308	77905	UROK	\N	\N
3593051	1896	1997-07-31	PRIJEM	\N	337	87754	UROK	\N	\N
3593052	1896	1997-08-31	PRIJEM	\N	290	62734	UROK	\N	\N
3593053	1896	1997-09-30	PRIJEM	\N	201	37157	UROK	\N	\N
3593054	1896	1997-10-31	PRIJEM	\N	259	59886	UROK	\N	\N
3593055	1896	1997-11-30	PRIJEM	\N	224	69749	UROK	\N	\N
3593056	1896	1997-12-31	PRIJEM	\N	309	67609	UROK	\N	\N
3593057	1896	1998-01-31	PRIJEM	\N	138	25271	UROK	\N	\N
3593058	1896	1998-02-28	PRIJEM	\N	112	29106	UROK	\N	\N
3593059	1896	1998-03-31	PRIJEM	\N	124	26552	UROK	\N	\N
3593060	1896	1998-04-30	PRIJEM	\N	116	29991	UROK	\N	\N
3593061	1896	1998-05-31	PRIJEM	\N	124	29437	UROK	\N	\N
3593062	1896	1998-06-30	PRIJEM	\N	112	26829	UROK	\N	\N
3593063	1896	1998-07-31	PRIJEM	\N	126	37481	UROK	\N	\N
3593064	1896	1998-08-31	PRIJEM	\N	158	39762	UROK	\N	\N
3593065	1896	1998-09-30	PRIJEM	\N	150	36134	UROK	\N	\N
3593066	1896	1998-10-31	PRIJEM	\N	146	36203	UROK	\N	\N
3593067	1896	1998-11-30	PRIJEM	\N	136	32861	UROK	\N	\N
3593068	1896	1998-12-31	PRIJEM	\N	109	25392	UROK	\N	\N
3593069	1897	1996-03-31	PRIJEM	\N	43	31862	UROK	\N	\N
3593070	1897	1996-04-30	PRIJEM	\N	176	78870	UROK	\N	\N
3593071	1897	1996-05-31	PRIJEM	\N	328	48897	UROK	\N	\N
3593072	1897	1996-06-30	PRIJEM	\N	379	107546	UROK	\N	\N
3593073	1897	1996-07-31	PRIJEM	\N	290	56112	UROK	\N	\N
3593074	1897	1996-08-31	PRIJEM	\N	203	92727	UROK	\N	\N
3593075	1897	1996-09-30	PRIJEM	\N	395	94472	UROK	\N	\N
3593076	1897	1996-10-31	PRIJEM	\N	285	73559	UROK	\N	\N
3593077	1897	1996-11-30	PRIJEM	\N	261	86541	UROK	\N	\N
3593078	1897	1996-12-31	PRIJEM	\N	275	43293	UROK	\N	\N
3593079	1897	1997-01-31	PRIJEM	\N	328	46851	UROK	\N	\N
3593080	1897	1997-02-28	PRIJEM	\N	203	76377	UROK	\N	\N
3593081	1897	1997-03-31	PRIJEM	\N	229	25451	UROK	\N	\N
3593082	1897	1997-04-30	PRIJEM	\N	173	39812	UROK	\N	\N
3593083	1897	1997-05-31	PRIJEM	\N	188	37974	UROK	\N	\N
3593084	1897	1997-06-30	PRIJEM	\N	118	22689	UROK	\N	\N
3593085	1897	1997-07-31	PRIJEM	\N	196	54277	UROK	\N	\N
3593086	1897	1997-08-31	PRIJEM	\N	220	54933	UROK	\N	\N
3593087	1897	1997-09-30	PRIJEM	\N	176	29485	UROK	\N	\N
3593088	1897	1997-10-31	PRIJEM	\N	132	41944	UROK	\N	\N
3593089	1897	1997-11-30	PRIJEM	\N	291	89057	UROK	\N	\N
3593090	1897	1997-12-31	PRIJEM	\N	290	38575	UROK	\N	\N
3593091	1897	1998-01-31	PRIJEM	\N	176	54882	UROK	\N	\N
3593092	1897	1998-02-28	PRIJEM	\N	195	26962	UROK	\N	\N
3593093	1897	1998-03-31	PRIJEM	\N	86	33003	UROK	\N	\N
3593094	1897	1998-04-30	PRIJEM	\N	182	53522	UROK	\N	\N
3593095	1897	1998-05-31	PRIJEM	\N	277	55091	UROK	\N	\N
3593096	1897	1998-06-30	PRIJEM	\N	162	54386	UROK	\N	\N
3593097	1897	1998-07-31	PRIJEM	\N	145	27059	UROK	\N	\N
3593098	1897	1998-08-31	PRIJEM	\N	80	16215	UROK	\N	\N
3593099	1897	1998-09-30	PRIJEM	\N	241	82575	UROK	\N	\N
3593100	1897	1998-10-31	PRIJEM	\N	248	51317	UROK	\N	\N
3593101	1897	1998-11-30	PRIJEM	\N	202	40187	UROK	\N	\N
3593102	1897	1998-12-31	PRIJEM	\N	124	24587	UROK	\N	\N
3593103	1898	1993-04-30	PRIJEM	\N	38	11304	UROK	\N	\N
3593104	1898	1993-05-31	PRIJEM	\N	105	28674	UROK	\N	\N
3593105	1898	1993-06-30	PRIJEM	\N	108	41282	UROK	\N	\N
3593106	1898	1993-07-31	PRIJEM	\N	135	35482	UROK	\N	\N
3593107	1898	1993-08-31	PRIJEM	\N	147	34195	UROK	\N	\N
3593108	1898	1993-09-30	PRIJEM	\N	143	35789	UROK	\N	\N
3593109	1898	1993-10-31	PRIJEM	\N	156	34896	UROK	\N	\N
3593110	1898	1993-11-30	PRIJEM	\N	145	33792	UROK	\N	\N
3593111	1898	1993-12-31	PRIJEM	\N	154	37831	UROK	\N	\N
3593112	1898	1994-01-31	PRIJEM	\N	122	25403	UROK	\N	\N
3593113	1898	1994-02-28	PRIJEM	\N	91	20959	UROK	\N	\N
3593114	1898	1994-03-31	PRIJEM	\N	93	29103	UROK	\N	\N
3593115	1898	1994-04-30	PRIJEM	\N	123	31177	UROK	\N	\N
3593116	1898	1994-05-31	PRIJEM	\N	133	35161	UROK	\N	\N
3593117	1898	1994-06-30	PRIJEM	\N	150	40096	UROK	\N	\N
3593118	1898	1994-07-31	PRIJEM	\N	163	36110	UROK	\N	\N
3593119	1898	1994-08-31	PRIJEM	\N	138	25176	UROK	\N	\N
3593120	1898	1994-09-30	PRIJEM	\N	104	23782	UROK	\N	\N
3593121	1898	1994-10-31	PRIJEM	\N	105	29339	UROK	\N	\N
3593122	1898	1994-11-30	PRIJEM	\N	102	21529	UROK	\N	\N
3593123	1898	1994-12-31	PRIJEM	\N	100	24914	UROK	\N	\N
3593124	1898	1995-01-31	PRIJEM	\N	99	21564	UROK	\N	\N
3593125	1898	1995-02-28	PRIJEM	\N	99	28715	UROK	\N	\N
3593126	1898	1995-03-31	PRIJEM	\N	121	30487	UROK	\N	\N
3593127	1898	1995-04-30	PRIJEM	\N	126	27582	UROK	\N	\N
3593128	1898	1995-05-31	PRIJEM	\N	122	26726	UROK	\N	\N
3593129	1898	1995-06-30	PRIJEM	\N	114	27370	UROK	\N	\N
3593130	1898	1995-07-31	PRIJEM	\N	113	20334	UROK	\N	\N
3593131	1898	1995-08-31	PRIJEM	\N	94	23480	UROK	\N	\N
3593132	1898	1995-09-30	PRIJEM	\N	110	30641	UROK	\N	\N
3593133	1898	1995-10-31	PRIJEM	\N	136	30419	UROK	\N	\N
3593134	1898	1995-11-30	PRIJEM	\N	130	29809	UROK	\N	\N
3593135	1898	1995-12-31	PRIJEM	\N	128	32422	UROK	\N	\N
3593136	1898	1996-01-31	PRIJEM	\N	114	23687	UROK	\N	\N
3593137	1898	1996-02-29	PRIJEM	\N	112	30350	UROK	\N	\N
3593138	1898	1996-03-31	PRIJEM	\N	122	28923	UROK	\N	\N
3593139	1898	1996-04-30	PRIJEM	\N	102	21825	UROK	\N	\N
3593140	1898	1996-05-31	PRIJEM	\N	86	20262	UROK	\N	\N
3593141	1898	1996-06-30	PRIJEM	\N	84	20630	UROK	\N	\N
3593142	1898	1996-07-31	PRIJEM	\N	80	18955	UROK	\N	\N
3593143	1898	1996-08-31	PRIJEM	\N	80	19886	UROK	\N	\N
3593144	1898	1996-09-30	PRIJEM	\N	77	18214	UROK	\N	\N
3593145	1898	1996-10-31	PRIJEM	\N	70	16635	UROK	\N	\N
3593146	1898	1996-11-30	PRIJEM	\N	69	17256	UROK	\N	\N
3593147	1898	1996-12-31	PRIJEM	\N	76	19416	UROK	\N	\N
3593148	1898	1997-01-31	PRIJEM	\N	82	20050	UROK	\N	\N
3593149	1898	1997-02-28	PRIJEM	\N	84	20784	UROK	\N	\N
3593150	1898	1997-03-31	PRIJEM	\N	80	19216	UROK	\N	\N
3593151	1898	1997-04-30	PRIJEM	\N	71	16938	UROK	\N	\N
3593152	1898	1997-05-31	PRIJEM	\N	71	17860	UROK	\N	\N
3593153	1898	1997-06-30	PRIJEM	\N	85	22029	UROK	\N	\N
3593154	1898	1997-07-31	PRIJEM	\N	96	24277	UROK	\N	\N
3593155	1898	1997-08-31	PRIJEM	\N	93	22721	UROK	\N	\N
3593156	1898	1997-09-30	PRIJEM	\N	124	18497	UROK	\N	\N
3593157	1898	1997-10-31	PRIJEM	\N	108	19656	UROK	\N	\N
3593158	1898	1997-11-30	PRIJEM	\N	95	24402	UROK	\N	\N
3593159	1898	1997-12-31	PRIJEM	\N	128	29415	UROK	\N	\N
3593160	1898	1998-01-31	PRIJEM	\N	97	22263	UROK	\N	\N
3593161	1898	1998-02-28	PRIJEM	\N	98	24913	UROK	\N	\N
3593162	1898	1998-03-31	PRIJEM	\N	102	25265	UROK	\N	\N
3593163	1898	1998-04-30	PRIJEM	\N	109	27325	UROK	\N	\N
3593164	1898	1998-05-31	PRIJEM	\N	123	32900	UROK	\N	\N
3593165	1898	1998-06-30	PRIJEM	\N	155	39439	UROK	\N	\N
3593166	1898	1998-07-31	PRIJEM	\N	128	23018	UROK	\N	\N
3593167	1898	1998-08-31	PRIJEM	\N	94	33363	UROK	\N	\N
3593168	1898	1998-09-30	PRIJEM	\N	120	28834	UROK	\N	\N
3593169	1898	1998-10-31	PRIJEM	\N	112	25397	UROK	\N	\N
3593170	1898	1998-11-30	PRIJEM	\N	106	26755	UROK	\N	\N
3593171	1898	1998-12-31	PRIJEM	\N	100	23388	UROK	\N	\N
3593172	1899	1996-11-30	PRIJEM	\N	18	5440	UROK	\N	\N
3593173	1899	1996-12-31	PRIJEM	\N	23	10085	UROK	\N	\N
3593174	1899	1997-01-31	PRIJEM	\N	23	14729	UROK	\N	\N
3593175	1899	1997-02-28	PRIJEM	\N	23	19374	UROK	\N	\N
3593176	1899	1997-03-31	PRIJEM	\N	68	17463	UROK	\N	\N
3593177	1899	1997-04-30	PRIJEM	\N	78	19067	UROK	\N	\N
3593178	1899	1997-05-31	PRIJEM	\N	77	17711	UROK	\N	\N
3593179	1899	1997-06-30	PRIJEM	\N	79	19316	UROK	\N	\N
3593180	1899	1997-07-31	PRIJEM	\N	81	18683	UROK	\N	\N
3593181	1899	1997-08-31	PRIJEM	\N	80	17729	UROK	\N	\N
3593182	1899	1997-09-30	PRIJEM	\N	79	19335	UROK	\N	\N
3593183	1899	1997-10-31	PRIJEM	\N	85	20946	UROK	\N	\N
3593184	1899	1997-11-30	PRIJEM	\N	92	22565	UROK	\N	\N
3593185	1899	1997-12-31	PRIJEM	\N	97	23288	UROK	\N	\N
3593186	1899	1998-01-31	PRIJEM	\N	89	17623	UROK	\N	\N
3593187	1899	1998-02-28	PRIJEM	\N	78	19228	UROK	\N	\N
3593188	1899	1998-03-31	PRIJEM	\N	85	20839	UROK	\N	\N
3593189	1899	1998-04-30	PRIJEM	\N	92	22457	UROK	\N	\N
3593190	1899	1998-05-31	PRIJEM	\N	81	14864	UROK	\N	\N
3593191	1899	1998-06-30	PRIJEM	\N	64	14755	UROK	\N	\N
3593192	1899	1998-07-31	PRIJEM	\N	59	14020	UROK	\N	\N
3593193	1899	1998-08-31	PRIJEM	\N	61	13527	UROK	\N	\N
3593194	1899	1998-09-30	PRIJEM	\N	61	15115	UROK	\N	\N
3593195	1899	1998-10-31	PRIJEM	\N	68	16709	UROK	\N	\N
3593196	1899	1998-11-30	PRIJEM	\N	74	18309	UROK	\N	\N
3593197	1899	1998-12-31	PRIJEM	\N	80	18666	UROK	\N	\N
3593198	1900	1996-08-31	PRIJEM	\N	18	22750	UROK	\N	\N
3593199	1900	1996-09-30	PRIJEM	\N	105	34887	UROK	\N	\N
3593200	1900	1996-10-31	PRIJEM	\N	152	42872	UROK	\N	\N
3593201	1900	1996-11-30	PRIJEM	\N	180	45384	UROK	\N	\N
3593202	1900	1996-12-31	PRIJEM	\N	235	47803	UROK	\N	\N
3593203	1900	1997-01-31	PRIJEM	\N	224	39350	UROK	\N	\N
3593204	1900	1997-02-28	PRIJEM	\N	191	43044	UROK	\N	\N
3593205	1900	1997-03-31	PRIJEM	\N	206	44654	UROK	\N	\N
3593206	1900	1997-04-30	PRIJEM	\N	207	42164	UROK	\N	\N
3593207	1900	1997-05-31	PRIJEM	\N	194	38361	UROK	\N	\N
3593208	1900	1997-06-30	PRIJEM	\N	206	44877	UROK	\N	\N
3593209	1900	1997-07-31	PRIJEM	\N	203	41083	UROK	\N	\N
3593210	1900	1997-08-31	PRIJEM	\N	193	42279	UROK	\N	\N
3593211	1900	1997-09-30	PRIJEM	\N	196	44879	UROK	\N	\N
3593212	1900	1997-10-31	PRIJEM	\N	205	46488	UROK	\N	\N
3593213	1900	1997-11-30	PRIJEM	\N	222	46393	UROK	\N	\N
3593214	1900	1997-12-31	PRIJEM	\N	232	55094	UROK	\N	\N
3593215	1900	1998-01-31	PRIJEM	\N	236	49834	UROK	\N	\N
3593216	1900	1998-02-28	PRIJEM	\N	227	55164	UROK	\N	\N
3593217	1900	1998-03-31	PRIJEM	\N	252	52919	UROK	\N	\N
3593218	1900	1998-04-30	PRIJEM	\N	227	50149	UROK	\N	\N
3593219	1900	1998-05-31	PRIJEM	\N	218	49170	UROK	\N	\N
3593220	1900	1998-06-30	PRIJEM	\N	231	54570	UROK	\N	\N
3593221	1900	1998-07-31	PRIJEM	\N	230	51803	UROK	\N	\N
3593222	1900	1998-08-31	PRIJEM	\N	217	48544	UROK	\N	\N
3593223	1900	1998-09-30	PRIJEM	\N	204	46351	UROK	\N	\N
3593224	1900	1998-10-31	PRIJEM	\N	205	43060	UROK	\N	\N
3593225	1900	1998-11-30	PRIJEM	\N	184	44547	UROK	\N	\N
3593226	1900	1998-12-31	PRIJEM	\N	217	48733	UROK	\N	\N
3593227	1901	1995-12-31	PRIJEM	\N	95	28281	UROK	\N	\N
3593228	1901	1996-01-31	PRIJEM	\N	119	34257	UROK	\N	\N
3593229	1901	1996-02-29	PRIJEM	\N	143	52456	UROK	\N	\N
3593230	1901	1996-03-31	PRIJEM	\N	155	38469	UROK	\N	\N
3593231	1901	1996-04-30	PRIJEM	\N	215	36485	UROK	\N	\N
3593232	1901	1996-05-31	PRIJEM	\N	186	35659	UROK	\N	\N
3593233	1901	1996-06-30	PRIJEM	\N	218	32193	UROK	\N	\N
3593234	1901	1996-07-31	PRIJEM	\N	167	32547	UROK	\N	\N
3593235	1901	1996-08-31	PRIJEM	\N	166	31601	UROK	\N	\N
3593236	1901	1996-09-30	PRIJEM	\N	163	32852	UROK	\N	\N
3593237	1901	1996-10-31	PRIJEM	\N	168	28487	UROK	\N	\N
3593238	1901	1996-11-30	PRIJEM	\N	143	17217	UROK	\N	\N
3593239	1901	1996-12-31	PRIJEM	\N	142	21356	UROK	\N	\N
3593240	1901	1997-01-31	PRIJEM	\N	99	14742	UROK	\N	\N
3593241	1901	1997-02-28	PRIJEM	\N	107	18337	UROK	\N	\N
3593242	1901	1997-03-31	PRIJEM	\N	122	20947	UROK	\N	\N
3593243	1901	1997-04-30	PRIJEM	\N	131	22165	UROK	\N	\N
3593244	1901	1997-05-31	PRIJEM	\N	114	19827	UROK	\N	\N
3593245	1901	1997-06-30	PRIJEM	\N	123	22406	UROK	\N	\N
3593246	1901	1997-07-31	PRIJEM	\N	120	24214	UROK	\N	\N
3593247	1901	1997-08-31	PRIJEM	\N	128	27329	UROK	\N	\N
3593248	1901	1997-09-30	PRIJEM	\N	136	27653	UROK	\N	\N
3593249	1901	1997-10-31	PRIJEM	\N	143	24084	UROK	\N	\N
3593250	1901	1997-11-30	PRIJEM	\N	128	24259	UROK	\N	\N
3593251	1901	1997-12-31	PRIJEM	\N	123	23178	UROK	\N	\N
3593252	1901	1998-01-31	PRIJEM	\N	93	16959	UROK	\N	\N
3593253	1901	1998-02-28	PRIJEM	\N	102	18549	UROK	\N	\N
3593254	1901	1998-03-31	PRIJEM	\N	107	17843	UROK	\N	\N
3593255	1901	1998-04-30	PRIJEM	\N	105	18635	UROK	\N	\N
3593256	1901	1998-05-31	PRIJEM	\N	85	14567	UROK	\N	\N
3593257	1901	1998-06-30	PRIJEM	\N	121	20945	UROK	\N	\N
3593258	1901	1998-07-31	PRIJEM	\N	100	20032	UROK	\N	\N
3593259	1901	1998-08-31	PRIJEM	\N	99	20418	UROK	\N	\N
3593260	1901	1998-09-30	PRIJEM	\N	99	20425	UROK	\N	\N
3593261	1901	1998-10-31	PRIJEM	\N	116	25428	UROK	\N	\N
3593262	1901	1998-11-30	PRIJEM	\N	116	24832	UROK	\N	\N
3593263	1901	1998-12-31	PRIJEM	\N	114	20682	UROK	\N	\N
3593264	1902	1993-08-31	PRIJEM	\N	39	18376	UROK	\N	\N
3593265	1902	1993-09-30	PRIJEM	\N	92	25606	UROK	\N	\N
3593266	1902	1993-10-31	PRIJEM	\N	119	31162	UROK	\N	\N
3593267	1902	1993-11-30	PRIJEM	\N	135	33534	UROK	\N	\N
3593268	1902	1993-12-31	PRIJEM	\N	137	28427	UROK	\N	\N
3593269	1902	1994-01-31	PRIJEM	\N	107	20984	UROK	\N	\N
3593270	1902	1994-02-28	PRIJEM	\N	111	29377	UROK	\N	\N
3593271	1902	1994-03-31	PRIJEM	\N	131	33115	UROK	\N	\N
3593272	1902	1994-04-30	PRIJEM	\N	137	32859	UROK	\N	\N
3593273	1902	1994-05-31	PRIJEM	\N	164	32730	UROK	\N	\N
3593274	1902	1994-06-30	PRIJEM	\N	166	44822	UROK	\N	\N
3593275	1902	1994-07-31	PRIJEM	\N	152	25864	UROK	\N	\N
3593276	1902	1994-08-31	PRIJEM	\N	123	21913	UROK	\N	\N
3593277	1902	1994-09-30	PRIJEM	\N	120	33739	UROK	\N	\N
3593278	1902	1994-10-31	PRIJEM	\N	132	35078	UROK	\N	\N
3593279	1902	1994-11-30	PRIJEM	\N	157	38455	UROK	\N	\N
3593280	1902	1994-12-31	PRIJEM	\N	167	39647	UROK	\N	\N
3593281	1902	1995-01-31	PRIJEM	\N	122	21576	UROK	\N	\N
3593282	1902	1995-02-28	PRIJEM	\N	118	33801	UROK	\N	\N
3593283	1902	1995-03-31	PRIJEM	\N	156	34964	UROK	\N	\N
3593284	1902	1995-04-30	PRIJEM	\N	157	39628	UROK	\N	\N
3593285	1902	1995-05-31	PRIJEM	\N	157	38591	UROK	\N	\N
3593286	1902	1995-06-30	PRIJEM	\N	184	47101	UROK	\N	\N
3593287	1902	1995-07-31	PRIJEM	\N	184	41592	UROK	\N	\N
3593288	1902	1995-08-31	PRIJEM	\N	180	44779	UROK	\N	\N
3593289	1902	1995-09-30	PRIJEM	\N	147	36134	UROK	\N	\N
3593290	1902	1995-10-31	PRIJEM	\N	160	40401	UROK	\N	\N
3593291	1902	1995-11-30	PRIJEM	\N	174	36989	UROK	\N	\N
3593292	1902	1995-12-31	PRIJEM	\N	173	41388	UROK	\N	\N
3593293	1902	1996-01-31	PRIJEM	\N	127	25122	UROK	\N	\N
3593294	1902	1996-02-29	PRIJEM	\N	121	30550	UROK	\N	\N
3593295	1902	1996-03-31	PRIJEM	\N	142	36799	UROK	\N	\N
3593296	1902	1996-04-30	PRIJEM	\N	154	25460	UROK	\N	\N
3593297	1902	1996-05-31	PRIJEM	\N	118	30785	UROK	\N	\N
3593298	1902	1996-06-30	PRIJEM	\N	144	37856	UROK	\N	\N
3593299	1902	1996-07-31	PRIJEM	\N	160	39423	UROK	\N	\N
3593300	1902	1996-08-31	PRIJEM	\N	139	22811	UROK	\N	\N
3593301	1902	1996-09-30	PRIJEM	\N	94	26512	UROK	\N	\N
3593302	1902	1996-10-31	PRIJEM	\N	107	22927	UROK	\N	\N
3593303	1902	1996-11-30	PRIJEM	\N	94	22927	UROK	\N	\N
3593304	1902	1996-12-31	PRIJEM	\N	94	23247	UROK	\N	\N
3593305	1902	1997-01-31	PRIJEM	\N	105	16059	UROK	\N	\N
3593306	1902	1997-02-28	PRIJEM	\N	65	16731	UROK	\N	\N
3593307	1902	1997-03-31	PRIJEM	\N	69	28007	UROK	\N	\N
3593308	1902	1997-04-30	PRIJEM	\N	114	20628	UROK	\N	\N
3593309	1902	1997-05-31	PRIJEM	\N	85	22820	UROK	\N	\N
3593310	1902	1997-06-30	PRIJEM	\N	92	22239	UROK	\N	\N
3593311	1902	1997-07-31	PRIJEM	\N	93	15339	UROK	\N	\N
3593312	1902	1997-08-31	PRIJEM	\N	63	26608	UROK	\N	\N
3593313	1902	1997-09-30	PRIJEM	\N	134	23849	UROK	\N	\N
3593314	1902	1997-10-31	PRIJEM	\N	94	22251	UROK	\N	\N
3593315	1902	1997-11-30	PRIJEM	\N	91	33549	UROK	\N	\N
3593316	1902	1997-12-31	PRIJEM	\N	135	19609	UROK	\N	\N
3593317	1902	1998-01-31	PRIJEM	\N	89	22805	UROK	\N	\N
3593318	1902	1998-02-28	PRIJEM	\N	98	26010	UROK	\N	\N
3593319	1902	1998-03-31	PRIJEM	\N	106	37323	UROK	\N	\N
3593320	1902	1998-04-30	PRIJEM	\N	153	38784	UROK	\N	\N
3593321	1902	1998-05-31	PRIJEM	\N	158	37548	UROK	\N	\N
3593322	1902	1998-06-30	PRIJEM	\N	121	15196	UROK	\N	\N
3593323	1902	1998-07-31	PRIJEM	\N	61	26464	UROK	\N	\N
3593324	1902	1998-08-31	PRIJEM	\N	108	37778	UROK	\N	\N
3593325	1902	1998-09-30	PRIJEM	\N	153	37742	UROK	\N	\N
3593326	1902	1998-10-31	PRIJEM	\N	155	49104	UROK	\N	\N
3593327	1902	1998-11-30	PRIJEM	\N	222	57832	UROK	\N	\N
3593328	1902	1998-12-31	PRIJEM	\N	258	66516	UROK	\N	\N
3593329	1903	1996-07-31	PRIJEM	\N	16	5109	UROK	\N	\N
3593330	1903	1996-08-31	PRIJEM	\N	67	20069	UROK	\N	\N
3593331	1903	1996-09-30	PRIJEM	\N	107	27869	UROK	\N	\N
3593332	1903	1996-10-31	PRIJEM	\N	130	32492	UROK	\N	\N
3593333	1903	1996-11-30	PRIJEM	\N	142	34667	UROK	\N	\N
3593334	1903	1996-12-31	PRIJEM	\N	134	31731	UROK	\N	\N
3593335	1903	1997-01-31	PRIJEM	\N	118	26989	UROK	\N	\N
3593336	1903	1997-02-28	PRIJEM	\N	127	31056	UROK	\N	\N
3593337	1903	1997-03-31	PRIJEM	\N	127	30354	UROK	\N	\N
3593338	1903	1997-04-30	PRIJEM	\N	136	33530	UROK	\N	\N
3593339	1903	1997-05-31	PRIJEM	\N	153	37923	UROK	\N	\N
3593340	1903	1997-06-30	PRIJEM	\N	137	32290	UROK	\N	\N
3593341	1903	1997-07-31	PRIJEM	\N	140	34371	UROK	\N	\N
3593342	1903	1997-08-31	PRIJEM	\N	149	36460	UROK	\N	\N
3593343	1903	1997-09-30	PRIJEM	\N	157	36767	UROK	\N	\N
3593344	1903	1997-10-31	PRIJEM	\N	157	35665	UROK	\N	\N
3593345	1903	1997-11-30	PRIJEM	\N	154	37559	UROK	\N	\N
3593346	1903	1997-12-31	PRIJEM	\N	164	42694	UROK	\N	\N
3593347	1903	1998-01-31	PRIJEM	\N	169	38403	UROK	\N	\N
3593348	1903	1998-02-28	PRIJEM	\N	166	40809	UROK	\N	\N
3593349	1903	1998-03-31	PRIJEM	\N	170	42999	UROK	\N	\N
3593350	1903	1998-04-30	PRIJEM	\N	184	43723	UROK	\N	\N
3593351	1903	1998-05-31	PRIJEM	\N	186	43850	UROK	\N	\N
3593352	1903	1998-06-30	PRIJEM	\N	178	43068	UROK	\N	\N
3593353	1903	1998-07-31	PRIJEM	\N	185	45294	UROK	\N	\N
3593354	1903	1998-08-31	PRIJEM	\N	196	49530	UROK	\N	\N
3593355	1903	1998-09-30	PRIJEM	\N	213	54744	UROK	\N	\N
3593356	1903	1998-10-31	PRIJEM	\N	232	55716	UROK	\N	\N
3593357	1903	1998-11-30	PRIJEM	\N	241	61198	UROK	\N	\N
3593358	1903	1998-12-31	PRIJEM	\N	257	62096	UROK	\N	\N
3593359	1904	1996-06-30	PRIJEM	\N	37	19267	UROK	\N	\N
3593360	1904	1996-07-31	PRIJEM	\N	94	26415	UROK	\N	\N
3593361	1904	1996-08-31	PRIJEM	\N	111	26979	UROK	\N	\N
3593362	1904	1996-09-30	PRIJEM	\N	123	31754	UROK	\N	\N
3593363	1904	1996-10-31	PRIJEM	\N	128	29115	UROK	\N	\N
3593364	1904	1996-11-30	PRIJEM	\N	110	24029	UROK	\N	\N
3593365	1904	1996-12-31	PRIJEM	\N	110	26719	UROK	\N	\N
3593366	1904	1997-01-31	PRIJEM	\N	106	23608	UROK	\N	\N
3593367	1904	1997-02-28	PRIJEM	\N	91	21203	UROK	\N	\N
3593368	1904	1997-03-31	PRIJEM	\N	79	14745	UROK	\N	\N
3593369	1904	1997-04-30	PRIJEM	\N	81	22629	UROK	\N	\N
3593370	1904	1997-05-31	PRIJEM	\N	101	24554	UROK	\N	\N
3593371	1904	1997-06-30	PRIJEM	\N	108	26442	UROK	\N	\N
3593372	1904	1997-07-31	PRIJEM	\N	111	26956	UROK	\N	\N
3593373	1904	1997-08-31	PRIJEM	\N	120	30280	UROK	\N	\N
3593374	1904	1997-09-30	PRIJEM	\N	126	31009	UROK	\N	\N
3593375	1904	1997-10-31	PRIJEM	\N	124	29617	UROK	\N	\N
3593376	1904	1997-11-30	PRIJEM	\N	133	33453	UROK	\N	\N
3593377	1904	1997-12-31	PRIJEM	\N	160	40393	UROK	\N	\N
3593378	1904	1998-01-31	PRIJEM	\N	172	30968	UROK	\N	\N
3593379	1904	1998-02-28	PRIJEM	\N	151	36343	UROK	\N	\N
3593380	1904	1998-03-31	PRIJEM	\N	158	38804	UROK	\N	\N
3593381	1904	1998-04-30	PRIJEM	\N	168	41876	UROK	\N	\N
3593382	1904	1998-05-31	PRIJEM	\N	179	44158	UROK	\N	\N
3593383	1904	1998-06-30	PRIJEM	\N	166	39624	UROK	\N	\N
3593384	1904	1998-07-31	PRIJEM	\N	159	38066	UROK	\N	\N
3593385	1904	1998-08-31	PRIJEM	\N	160	36710	UROK	\N	\N
3593386	1904	1998-09-30	PRIJEM	\N	158	39371	UROK	\N	\N
3593387	1904	1998-10-31	PRIJEM	\N	165	41039	UROK	\N	\N
3593388	1904	1998-11-30	PRIJEM	\N	148	32991	UROK	\N	\N
3593389	1904	1998-12-31	PRIJEM	\N	161	41633	UROK	\N	\N
3593390	1905	1996-06-30	PRIJEM	\N	24	25006	UROK	\N	\N
3593391	1905	1996-07-31	PRIJEM	\N	112	32539	UROK	\N	\N
3593392	1905	1996-08-31	PRIJEM	\N	145	40505	UROK	\N	\N
3593393	1905	1996-09-30	PRIJEM	\N	173	44298	UROK	\N	\N
3593394	1905	1996-10-31	PRIJEM	\N	193	45013	UROK	\N	\N
3593395	1905	1996-11-30	PRIJEM	\N	195	41811	UROK	\N	\N
3593396	1905	1996-12-31	PRIJEM	\N	196	40511	UROK	\N	\N
3593397	1905	1997-01-31	PRIJEM	\N	142	25896	UROK	\N	\N
3593398	1905	1997-02-28	PRIJEM	\N	125	29864	UROK	\N	\N
3593399	1905	1997-03-31	PRIJEM	\N	139	32307	UROK	\N	\N
3593400	1905	1997-04-30	PRIJEM	\N	153	37564	UROK	\N	\N
3593401	1905	1997-05-31	PRIJEM	\N	164	41751	UROK	\N	\N
3593402	1905	1997-06-30	PRIJEM	\N	199	45114	UROK	\N	\N
3593403	1905	1997-07-31	PRIJEM	\N	197	45115	UROK	\N	\N
3593404	1905	1997-08-31	PRIJEM	\N	192	42909	UROK	\N	\N
3593405	1905	1997-09-30	PRIJEM	\N	181	40694	UROK	\N	\N
3593406	1905	1997-10-31	PRIJEM	\N	164	34101	UROK	\N	\N
3593407	1905	1997-11-30	PRIJEM	\N	146	29391	UROK	\N	\N
3593408	1905	1997-12-31	PRIJEM	\N	137	30252	UROK	\N	\N
3593409	1905	1998-01-31	PRIJEM	\N	107	17202	UROK	\N	\N
3593410	1905	1998-02-28	PRIJEM	\N	89	23595	UROK	\N	\N
3593411	1905	1998-03-31	PRIJEM	\N	107	21225	UROK	\N	\N
3593412	1905	1998-04-30	PRIJEM	\N	99	24228	UROK	\N	\N
3593413	1905	1998-05-31	PRIJEM	\N	108	25439	UROK	\N	\N
3593414	1905	1998-06-30	PRIJEM	\N	127	31030	UROK	\N	\N
3593415	1905	1998-07-31	PRIJEM	\N	119	22532	UROK	\N	\N
3593416	1905	1998-08-31	PRIJEM	\N	99	23935	UROK	\N	\N
3593417	1905	1998-09-30	PRIJEM	\N	92	20931	UROK	\N	\N
3593418	1905	1998-10-31	PRIJEM	\N	93	18967	UROK	\N	\N
3593419	1905	1998-11-30	PRIJEM	\N	77	18547	UROK	\N	\N
3593420	1905	1998-12-31	PRIJEM	\N	85	20336	UROK	\N	\N
3593421	1906	1996-08-31	PRIJEM	\N	201	66430	UROK	\N	\N
3593422	1906	1996-09-30	PRIJEM	\N	187	67857	UROK	\N	\N
3593423	1906	1996-10-31	PRIJEM	\N	193	37850	UROK	\N	\N
3593424	1906	1996-11-30	PRIJEM	\N	193	31943	UROK	\N	\N
3593425	1906	1996-12-31	PRIJEM	\N	197	55724	UROK	\N	\N
3593426	1906	1997-01-31	PRIJEM	\N	212	25593	UROK	\N	\N
3593427	1906	1997-02-28	PRIJEM	\N	90	22455	UROK	\N	\N
3593428	1906	1997-03-31	PRIJEM	\N	72	22599	UROK	\N	\N
3593429	1906	1997-04-30	PRIJEM	\N	211	66121	UROK	\N	\N
3593430	1906	1997-05-31	PRIJEM	\N	292	61009	UROK	\N	\N
3593431	1906	1997-06-30	PRIJEM	\N	195	34598	UROK	\N	\N
3593432	1906	1997-07-31	PRIJEM	\N	148	65262	UROK	\N	\N
3593433	1906	1997-08-31	PRIJEM	\N	288	63513	UROK	\N	\N
3593434	1906	1997-09-30	PRIJEM	\N	252	51733	UROK	\N	\N
3593435	1906	1997-10-31	PRIJEM	\N	250	67746	UROK	\N	\N
3593436	1906	1997-11-30	PRIJEM	\N	350	69889	UROK	\N	\N
3593437	1906	1997-12-31	PRIJEM	\N	235	46096	UROK	\N	\N
3593438	1906	1998-01-31	PRIJEM	\N	139	22334	UROK	\N	\N
3593439	1906	1998-02-28	PRIJEM	\N	87	30620	UROK	\N	\N
3593440	1906	1998-03-31	PRIJEM	\N	149	42105	UROK	\N	\N
3593441	1906	1998-04-30	PRIJEM	\N	182	79185	UROK	\N	\N
3593442	1906	1998-05-31	PRIJEM	\N	216	43014	UROK	\N	\N
3593443	1906	1998-06-30	PRIJEM	\N	138	38452	UROK	\N	\N
3593444	1906	1998-07-31	PRIJEM	\N	150	54686	UROK	\N	\N
3593445	1906	1998-08-31	PRIJEM	\N	253	59908	UROK	\N	\N
3593446	1906	1998-09-30	PRIJEM	\N	267	52660	UROK	\N	\N
3593447	1906	1998-10-31	PRIJEM	\N	158	38448	UROK	\N	\N
3593448	1906	1998-11-30	PRIJEM	\N	162	43819	UROK	\N	\N
3593449	1906	1998-12-31	PRIJEM	\N	163	38787	UROK	\N	\N
3593450	1907	1997-04-30	PRIJEM	\N	22	22587	UROK	\N	\N
3593451	1907	1997-05-31	PRIJEM	\N	103	30755	UROK	\N	\N
3593452	1907	1997-06-30	PRIJEM	\N	139	40491	UROK	\N	\N
3593453	1907	1997-07-31	PRIJEM	\N	170	41926	UROK	\N	\N
3593454	1907	1997-08-31	PRIJEM	\N	203	43700	UROK	\N	\N
3593455	1907	1997-09-30	PRIJEM	\N	194	44069	UROK	\N	\N
3593456	1907	1997-10-31	PRIJEM	\N	180	40965	UROK	\N	\N
3593457	1907	1997-11-30	PRIJEM	\N	180	40220	UROK	\N	\N
3593458	1907	1997-12-31	PRIJEM	\N	188	38856	UROK	\N	\N
3593459	1907	1998-01-31	PRIJEM	\N	134	34445	UROK	\N	\N
3593460	1907	1998-02-28	PRIJEM	\N	165	42385	UROK	\N	\N
3593461	1907	1998-03-31	PRIJEM	\N	190	41291	UROK	\N	\N
3593462	1907	1998-04-30	PRIJEM	\N	188	46674	UROK	\N	\N
3593463	1907	1998-05-31	PRIJEM	\N	212	51242	UROK	\N	\N
3593464	1907	1998-06-30	PRIJEM	\N	241	58391	UROK	\N	\N
3593465	1907	1998-07-31	PRIJEM	\N	246	56012	UROK	\N	\N
3593466	1907	1998-08-31	PRIJEM	\N	237	55125	UROK	\N	\N
3593467	1907	1998-09-30	PRIJEM	\N	223	49523	UROK	\N	\N
3593468	1907	1998-10-31	PRIJEM	\N	209	48507	UROK	\N	\N
3593469	1907	1998-11-30	PRIJEM	\N	212	51374	UROK	\N	\N
3593470	1907	1998-12-31	PRIJEM	\N	247	67349	UROK	\N	\N
3593471	1908	1994-09-30	PRIJEM	\N	17	7099	UROK	\N	\N
3593472	1908	1994-10-31	PRIJEM	\N	30	13510	UROK	\N	\N
3593473	1908	1994-11-30	PRIJEM	\N	30	19922	UROK	\N	\N
3593474	1908	1994-12-31	PRIJEM	\N	30	26333	UROK	\N	\N
3593475	1908	1995-01-31	PRIJEM	\N	76	27192	UROK	\N	\N
3593476	1908	1995-02-28	PRIJEM	\N	111	27876	UROK	\N	\N
3593477	1908	1995-03-31	PRIJEM	\N	122	30292	UROK	\N	\N
3593478	1908	1995-04-30	PRIJEM	\N	125	30790	UROK	\N	\N
3593479	1908	1995-05-31	PRIJEM	\N	131	32894	UROK	\N	\N
3593480	1908	1995-06-30	PRIJEM	\N	118	29636	UROK	\N	\N
3593481	1908	1995-07-31	PRIJEM	\N	120	29629	UROK	\N	\N
3593482	1908	1995-08-31	PRIJEM	\N	123	29265	UROK	\N	\N
3593483	1908	1995-09-30	PRIJEM	\N	112	27370	UROK	\N	\N
3593484	1908	1995-10-31	PRIJEM	\N	121	30264	UROK	\N	\N
3593485	1908	1995-11-30	PRIJEM	\N	133	33170	UROK	\N	\N
3593486	1908	1995-12-31	PRIJEM	\N	132	32525	UROK	\N	\N
3593487	1908	1996-01-31	PRIJEM	\N	109	22027	UROK	\N	\N
3593488	1908	1996-02-29	PRIJEM	\N	87	22888	UROK	\N	\N
3593489	1908	1996-03-31	PRIJEM	\N	102	25763	UROK	\N	\N
3593490	1908	1996-04-30	PRIJEM	\N	107	27843	UROK	\N	\N
3593491	1908	1996-05-31	PRIJEM	\N	111	28888	UROK	\N	\N
3593492	1908	1996-06-30	PRIJEM	\N	103	24364	UROK	\N	\N
3593493	1908	1996-07-31	PRIJEM	\N	108	27245	UROK	\N	\N
3593494	1908	1996-08-31	PRIJEM	\N	101	25719	UROK	\N	\N
3593495	1908	1996-09-30	PRIJEM	\N	99	25592	UROK	\N	\N
3593496	1908	1996-10-31	PRIJEM	\N	102	26367	UROK	\N	\N
3593497	1908	1996-11-30	PRIJEM	\N	103	25023	UROK	\N	\N
3593498	1908	1996-12-31	PRIJEM	\N	97	24153	UROK	\N	\N
3593499	1908	1997-01-31	PRIJEM	\N	89	18775	UROK	\N	\N
3593500	1908	1997-02-28	PRIJEM	\N	84	21632	UROK	\N	\N
3593501	1908	1997-03-31	PRIJEM	\N	88	23193	UROK	\N	\N
3593502	1908	1997-04-30	PRIJEM	\N	101	25868	UROK	\N	\N
3593503	1908	1997-05-31	PRIJEM	\N	88	19430	UROK	\N	\N
3593504	1908	1997-06-30	PRIJEM	\N	86	19589	UROK	\N	\N
3593505	1908	1997-07-31	PRIJEM	\N	86	19248	UROK	\N	\N
3593506	1908	1997-08-31	PRIJEM	\N	86	22108	UROK	\N	\N
3593507	1908	1997-09-30	PRIJEM	\N	96	21817	UROK	\N	\N
3593508	1908	1997-10-31	PRIJEM	\N	96	23066	UROK	\N	\N
3593509	1908	1997-11-30	PRIJEM	\N	97	20037	UROK	\N	\N
3593510	1908	1997-12-31	PRIJEM	\N	76	15036	UROK	\N	\N
3593511	1908	1998-01-31	PRIJEM	\N	63	14913	UROK	\N	\N
3593512	1908	1998-02-28	PRIJEM	\N	66	16552	UROK	\N	\N
3593513	1908	1998-03-31	PRIJEM	\N	74	19400	UROK	\N	\N
3593514	1908	1998-04-30	PRIJEM	\N	86	22259	UROK	\N	\N
3593515	1908	1998-05-31	PRIJEM	\N	87	13660	UROK	\N	\N
3593516	1908	1998-06-30	PRIJEM	\N	62	16495	UROK	\N	\N
3593517	1908	1998-07-31	PRIJEM	\N	74	19342	UROK	\N	\N
3593518	1908	1998-08-31	PRIJEM	\N	86	22201	UROK	\N	\N
3593519	1908	1998-09-30	PRIJEM	\N	90	23784	UROK	\N	\N
3593520	1908	1998-10-31	PRIJEM	\N	85	14103	UROK	\N	\N
3593521	1908	1998-11-30	PRIJEM	\N	63	16940	UROK	\N	\N
3593522	1908	1998-12-31	PRIJEM	\N	69	19183	UROK	\N	\N
3593523	1909	1993-06-30	PRIJEM	\N	39	13677	UROK	\N	\N
3593524	1909	1993-07-31	PRIJEM	\N	63	14790	UROK	\N	\N
3593525	1909	1993-08-31	PRIJEM	\N	68	15517	UROK	\N	\N
3593526	1909	1993-09-30	PRIJEM	\N	71	16637	UROK	\N	\N
3593527	1909	1993-10-31	PRIJEM	\N	75	17762	UROK	\N	\N
3593528	1909	1993-11-30	PRIJEM	\N	80	18891	UROK	\N	\N
3593529	1909	1993-12-31	PRIJEM	\N	85	19365	UROK	\N	\N
3593530	1909	1994-01-31	PRIJEM	\N	81	16745	UROK	\N	\N
3593531	1909	1994-02-28	PRIJEM	\N	75	17870	UROK	\N	\N
3593532	1909	1994-03-31	PRIJEM	\N	77	18576	UROK	\N	\N
3593533	1909	1994-04-30	PRIJEM	\N	77	16883	UROK	\N	\N
3593534	1909	1994-05-31	PRIJEM	\N	77	18009	UROK	\N	\N
3593535	1909	1994-06-30	PRIJEM	\N	81	19139	UROK	\N	\N
3593536	1909	1994-07-31	PRIJEM	\N	86	20275	UROK	\N	\N
3593537	1909	1994-08-31	PRIJEM	\N	88	21412	UROK	\N	\N
3593538	1909	1994-09-30	PRIJEM	\N	95	22556	UROK	\N	\N
3593539	1909	1994-10-31	PRIJEM	\N	101	23227	UROK	\N	\N
3593540	1909	1994-11-30	PRIJEM	\N	103	24379	UROK	\N	\N
3593541	1909	1994-12-31	PRIJEM	\N	98	22476	UROK	\N	\N
3593542	1909	1995-01-31	PRIJEM	\N	94	20889	UROK	\N	\N
3593543	1909	1995-02-28	PRIJEM	\N	90	22029	UROK	\N	\N
3593544	1909	1995-03-31	PRIJEM	\N	100	22978	UROK	\N	\N
3593545	1909	1995-04-30	PRIJEM	\N	96	22524	UROK	\N	\N
3593546	1909	1995-05-31	PRIJEM	\N	99	22562	UROK	\N	\N
3593547	1909	1995-06-30	PRIJEM	\N	85	17026	UROK	\N	\N
3593548	1909	1995-07-31	PRIJEM	\N	76	18152	UROK	\N	\N
3593549	1909	1995-08-31	PRIJEM	\N	81	19282	UROK	\N	\N
3593550	1909	1995-09-30	PRIJEM	\N	86	20417	UROK	\N	\N
3593551	1909	1995-10-31	PRIJEM	\N	87	19254	UROK	\N	\N
3593552	1909	1995-11-30	PRIJEM	\N	83	19997	UROK	\N	\N
3593553	1909	1995-12-31	PRIJEM	\N	89	20655	UROK	\N	\N
3593554	1909	1996-01-31	PRIJEM	\N	80	17034	UROK	\N	\N
3593555	1909	1996-02-29	PRIJEM	\N	73	17157	UROK	\N	\N
3593556	1909	1996-03-31	PRIJEM	\N	76	17582	UROK	\N	\N
3593557	1909	1996-04-30	PRIJEM	\N	76	17807	UROK	\N	\N
3593558	1909	1996-05-31	PRIJEM	\N	77	15483	UROK	\N	\N
3593559	1909	1996-06-30	PRIJEM	\N	66	15608	UROK	\N	\N
3593560	1909	1996-07-31	PRIJEM	\N	68	16726	UROK	\N	\N
3593561	1909	1996-08-31	PRIJEM	\N	72	17037	UROK	\N	\N
3593562	1909	1996-09-30	PRIJEM	\N	74	18160	UROK	\N	\N
3593563	1909	1996-10-31	PRIJEM	\N	76	17686	UROK	\N	\N
3593564	1909	1996-11-30	PRIJEM	\N	75	17910	UROK	\N	\N
3593565	1909	1996-12-31	PRIJEM	\N	78	18297	UROK	\N	\N
3593566	1909	1997-01-31	PRIJEM	\N	71	15008	UROK	\N	\N
3593567	1909	1997-02-28	PRIJEM	\N	61	13418	UROK	\N	\N
3593568	1909	1997-03-31	PRIJEM	\N	57	13725	UROK	\N	\N
3593569	1909	1997-04-30	PRIJEM	\N	62	14836	UROK	\N	\N
3593570	1909	1997-05-31	PRIJEM	\N	64	15950	UROK	\N	\N
3593571	1909	1997-06-30	PRIJEM	\N	63	13462	UROK	\N	\N
3593572	1909	1997-07-31	PRIJEM	\N	58	13869	UROK	\N	\N
3593573	1909	1997-08-31	PRIJEM	\N	60	14978	UROK	\N	\N
3593574	1909	1997-09-30	PRIJEM	\N	64	16092	UROK	\N	\N
3593575	1909	1997-10-31	PRIJEM	\N	69	17210	UROK	\N	\N
3593576	1909	1997-11-30	PRIJEM	\N	74	16473	UROK	\N	\N
3593577	1909	1997-12-31	PRIJEM	\N	69	16862	UROK	\N	\N
3593578	1909	1998-01-31	PRIJEM	\N	69	15440	UROK	\N	\N
3593579	1909	1998-02-28	PRIJEM	\N	66	16555	UROK	\N	\N
3593580	1909	1998-03-31	PRIJEM	\N	65	14870	UROK	\N	\N
3593581	1909	1998-04-30	PRIJEM	\N	65	15594	UROK	\N	\N
3593582	1909	1998-05-31	PRIJEM	\N	61	13904	UROK	\N	\N
3593583	1909	1998-06-30	PRIJEM	\N	59	15013	UROK	\N	\N
3593584	1909	1998-07-31	PRIJEM	\N	64	16126	UROK	\N	\N
3593585	1909	1998-08-31	PRIJEM	\N	68	16244	UROK	\N	\N
3593586	1909	1998-09-30	PRIJEM	\N	58	11651	UROK	\N	\N
3593587	1909	1998-10-31	PRIJEM	\N	52	12752	UROK	\N	\N
3593588	1909	1998-11-30	PRIJEM	\N	56	13858	UROK	\N	\N
3593589	1909	1998-12-31	PRIJEM	\N	61	14968	UROK	\N	\N
3593590	1910	1996-10-31	PRIJEM	\N	84	24053	UROK	\N	\N
3593591	1910	1996-11-30	PRIJEM	\N	166	43087	UROK	\N	\N
3593592	1910	1996-12-31	PRIJEM	\N	261	66652	UROK	\N	\N
3593593	1910	1997-01-31	PRIJEM	\N	294	71515	UROK	\N	\N
3593594	1910	1997-02-28	PRIJEM	\N	283	67279	UROK	\N	\N
3593595	1910	1997-03-31	PRIJEM	\N	277	66424	UROK	\N	\N
3593596	1910	1997-04-30	PRIJEM	\N	270	59641	UROK	\N	\N
3593597	1910	1997-05-31	PRIJEM	\N	276	67784	UROK	\N	\N
3593598	1910	1997-06-30	PRIJEM	\N	255	50022	UROK	\N	\N
3593599	1910	1997-07-31	PRIJEM	\N	266	66435	UROK	\N	\N
3593600	1910	1997-08-31	PRIJEM	\N	294	72077	UROK	\N	\N
3593601	1910	1997-09-30	PRIJEM	\N	334	82078	UROK	\N	\N
3593602	1910	1997-10-31	PRIJEM	\N	363	88308	UROK	\N	\N
3593603	1910	1997-11-30	PRIJEM	\N	369	87145	UROK	\N	\N
3593604	1910	1997-12-31	PRIJEM	\N	382	75449	UROK	\N	\N
3593605	1910	1998-01-31	PRIJEM	\N	333	65409	UROK	\N	\N
3593606	1910	1998-02-28	PRIJEM	\N	327	82403	UROK	\N	\N
3593607	1910	1998-03-31	PRIJEM	\N	327	67297	UROK	\N	\N
3593608	1910	1998-04-30	PRIJEM	\N	335	72199	UROK	\N	\N
3593609	1910	1998-05-31	PRIJEM	\N	354	78121	UROK	\N	\N
3593610	1910	1998-06-30	PRIJEM	\N	209	49473	UROK	\N	\N
3593611	1910	1998-07-31	PRIJEM	\N	263	65003	UROK	\N	\N
3593612	1910	1998-08-31	PRIJEM	\N	324	74894	UROK	\N	\N
3593613	1910	1998-09-30	PRIJEM	\N	359	77521	UROK	\N	\N
3593614	1910	1998-10-31	PRIJEM	\N	358	73146	UROK	\N	\N
3593615	1910	1998-11-30	PRIJEM	\N	342	77055	UROK	\N	\N
3593616	1910	1998-12-31	PRIJEM	\N	393	96251	UROK	\N	\N
3593617	1912	1994-01-31	PRIJEM	\N	44	13132	UROK	\N	\N
3593618	1912	1994-02-28	PRIJEM	\N	60	15003	UROK	\N	\N
3593619	1912	1994-03-31	PRIJEM	\N	65	14240	UROK	\N	\N
3593620	1912	1994-04-30	PRIJEM	\N	68	17399	UROK	\N	\N
3593621	1912	1994-05-31	PRIJEM	\N	81	20572	UROK	\N	\N
3593622	1912	1994-06-30	PRIJEM	\N	90	13093	UROK	\N	\N
3593623	1912	1994-07-31	PRIJEM	\N	63	16248	UROK	\N	\N
3593624	1912	1994-08-31	PRIJEM	\N	76	19415	UROK	\N	\N
3593625	1912	1994-09-30	PRIJEM	\N	89	21996	UROK	\N	\N
3593626	1912	1994-10-31	PRIJEM	\N	100	25188	UROK	\N	\N
3593627	1912	1994-11-30	PRIJEM	\N	99	23078	UROK	\N	\N
3593628	1912	1994-12-31	PRIJEM	\N	100	23099	UROK	\N	\N
3593629	1912	1995-01-31	PRIJEM	\N	81	13071	UROK	\N	\N
3593630	1912	1995-02-28	PRIJEM	\N	62	16225	UROK	\N	\N
3593631	1912	1995-03-31	PRIJEM	\N	68	17465	UROK	\N	\N
3593632	1912	1995-04-30	PRIJEM	\N	73	16789	UROK	\N	\N
3593633	1912	1995-05-31	PRIJEM	\N	79	19959	UROK	\N	\N
3593634	1912	1995-06-30	PRIJEM	\N	88	20988	UROK	\N	\N
3593635	1912	1995-07-31	PRIJEM	\N	87	20807	UROK	\N	\N
3593636	1912	1995-08-31	PRIJEM	\N	95	23993	UROK	\N	\N
3593637	1912	1995-09-30	PRIJEM	\N	104	24309	UROK	\N	\N
3593638	1912	1995-10-31	PRIJEM	\N	95	22775	UROK	\N	\N
3593639	1912	1995-11-30	PRIJEM	\N	103	23030	UROK	\N	\N
3593640	1912	1995-12-31	PRIJEM	\N	103	24574	UROK	\N	\N
3593641	1912	1996-01-31	PRIJEM	\N	97	17302	UROK	\N	\N
3593642	1912	1996-02-29	PRIJEM	\N	75	17829	UROK	\N	\N
3593643	1912	1996-03-31	PRIJEM	\N	83	21003	UROK	\N	\N
3593644	1912	1996-04-30	PRIJEM	\N	93	22027	UROK	\N	\N
3593645	1912	1996-05-31	PRIJEM	\N	100	25218	UROK	\N	\N
3593646	1912	1996-06-30	PRIJEM	\N	112	26821	UROK	\N	\N
3593647	1912	1996-07-31	PRIJEM	\N	118	26190	UROK	\N	\N
3593648	1912	1996-08-31	PRIJEM	\N	116	26997	UROK	\N	\N
3593649	1912	1996-09-30	PRIJEM	\N	109	22678	UROK	\N	\N
3593650	1912	1996-10-31	PRIJEM	\N	102	25872	UROK	\N	\N
3593651	1912	1996-11-30	PRIJEM	\N	111	26594	UROK	\N	\N
3593652	1912	1996-12-31	PRIJEM	\N	117	29052	UROK	\N	\N
3593653	1912	1997-01-31	PRIJEM	\N	88	16132	UROK	\N	\N
3593654	1912	1997-02-28	PRIJEM	\N	75	19298	UROK	\N	\N
3593655	1912	1997-03-31	PRIJEM	\N	88	22477	UROK	\N	\N
3593656	1912	1997-04-30	PRIJEM	\N	93	22782	UROK	\N	\N
3593657	1912	1997-05-31	PRIJEM	\N	101	24694	UROK	\N	\N
3593658	1912	1997-06-30	PRIJEM	\N	103	18588	UROK	\N	\N
3593659	1912	1997-07-31	PRIJEM	\N	85	21764	UROK	\N	\N
3593660	1912	1997-08-31	PRIJEM	\N	98	24954	UROK	\N	\N
3593661	1912	1997-09-30	PRIJEM	\N	109	27274	UROK	\N	\N
3593662	1912	1997-10-31	PRIJEM	\N	120	28086	UROK	\N	\N
3593663	1912	1997-11-30	PRIJEM	\N	124	31301	UROK	\N	\N
3593664	1912	1997-12-31	PRIJEM	\N	120	25303	UROK	\N	\N
3593665	1912	1998-01-31	PRIJEM	\N	86	16820	UROK	\N	\N
3593666	1912	1998-02-28	PRIJEM	\N	77	19988	UROK	\N	\N
3593667	1912	1998-03-31	PRIJEM	\N	90	23170	UROK	\N	\N
3593668	1912	1998-04-30	PRIJEM	\N	103	25884	UROK	\N	\N
3593669	1912	1998-05-31	PRIJEM	\N	115	29090	UROK	\N	\N
3593670	1912	1998-06-30	PRIJEM	\N	124	26735	UROK	\N	\N
3593671	1912	1998-07-31	PRIJEM	\N	118	29945	UROK	\N	\N
3593672	1912	1998-08-31	PRIJEM	\N	131	33168	UROK	\N	\N
3593673	1912	1998-09-30	PRIJEM	\N	141	32800	UROK	\N	\N
3593674	1912	1998-10-31	PRIJEM	\N	143	36035	UROK	\N	\N
3593675	1912	1998-11-30	PRIJEM	\N	156	39282	UROK	\N	\N
3593676	1912	1998-12-31	PRIJEM	\N	168	41512	UROK	\N	\N
3593677	1913	1996-06-30	PRIJEM	\N	13	4233	UROK	\N	\N
3593678	1913	1996-07-31	PRIJEM	\N	56	16609	UROK	\N	\N
3593679	1913	1996-08-31	PRIJEM	\N	91	23820	UROK	\N	\N
3593680	1913	1996-09-30	PRIJEM	\N	116	29355	UROK	\N	\N
3593681	1913	1996-10-31	PRIJEM	\N	145	36921	UROK	\N	\N
3593682	1913	1996-11-30	PRIJEM	\N	153	36866	UROK	\N	\N
3593683	1913	1996-12-31	PRIJEM	\N	156	37414	UROK	\N	\N
3593684	1913	1997-01-31	PRIJEM	\N	153	37089	UROK	\N	\N
3593685	1913	1997-02-28	PRIJEM	\N	151	36333	UROK	\N	\N
3593686	1913	1997-03-31	PRIJEM	\N	158	38683	UROK	\N	\N
3593687	1913	1997-04-30	PRIJEM	\N	156	37331	UROK	\N	\N
3593688	1913	1997-05-31	PRIJEM	\N	149	35942	UROK	\N	\N
3593689	1913	1997-06-30	PRIJEM	\N	144	31699	UROK	\N	\N
3593690	1913	1997-07-31	PRIJEM	\N	149	38961	UROK	\N	\N
3593691	1913	1997-08-31	PRIJEM	\N	164	39157	UROK	\N	\N
3593692	1913	1997-09-30	PRIJEM	\N	167	40317	UROK	\N	\N
3593693	1913	1997-10-31	PRIJEM	\N	172	42581	UROK	\N	\N
3593694	1913	1997-11-30	PRIJEM	\N	178	44572	UROK	\N	\N
3593695	1913	1997-12-31	PRIJEM	\N	191	49455	UROK	\N	\N
3593696	1913	1998-01-31	PRIJEM	\N	209	52027	UROK	\N	\N
3593697	1913	1998-02-28	PRIJEM	\N	223	59742	UROK	\N	\N
3593698	1913	1998-03-31	PRIJEM	\N	255	65589	UROK	\N	\N
3593699	1913	1998-04-30	PRIJEM	\N	274	64985	UROK	\N	\N
3593700	1913	1998-05-31	PRIJEM	\N	272	63250	UROK	\N	\N
3593701	1913	1998-06-30	PRIJEM	\N	244	57257	UROK	\N	\N
3593702	1913	1998-07-31	PRIJEM	\N	240	56089	UROK	\N	\N
3593703	1913	1998-08-31	PRIJEM	\N	238	58219	UROK	\N	\N
3593704	1913	1998-09-30	PRIJEM	\N	244	58055	UROK	\N	\N
3593705	1913	1998-10-31	PRIJEM	\N	251	65399	UROK	\N	\N
3593706	1913	1998-11-30	PRIJEM	\N	275	68206	UROK	\N	\N
3593707	1913	1998-12-31	PRIJEM	\N	286	69125	UROK	\N	\N
3593708	1914	1995-02-28	PRIJEM	\N	13	14616	UROK	\N	\N
3593709	1914	1995-03-31	PRIJEM	\N	69	22988	UROK	\N	\N
3593710	1914	1995-04-30	PRIJEM	\N	97	24688	UROK	\N	\N
3593711	1914	1995-05-31	PRIJEM	\N	104	26295	UROK	\N	\N
3593712	1914	1995-06-30	PRIJEM	\N	113	29913	UROK	\N	\N
3593713	1914	1995-07-31	PRIJEM	\N	121	26787	UROK	\N	\N
3593714	1914	1995-08-31	PRIJEM	\N	105	25906	UROK	\N	\N
3593715	1914	1995-09-30	PRIJEM	\N	111	28070	UROK	\N	\N
3593716	1914	1995-10-31	PRIJEM	\N	114	26038	UROK	\N	\N
3593717	1914	1995-11-30	PRIJEM	\N	102	25513	UROK	\N	\N
3593718	1914	1995-12-31	PRIJEM	\N	114	29242	UROK	\N	\N
3593719	1914	1996-01-31	PRIJEM	\N	87	14482	UROK	\N	\N
3593720	1914	1996-02-29	PRIJEM	\N	73	22309	UROK	\N	\N
3593721	1914	1996-03-31	PRIJEM	\N	99	25961	UROK	\N	\N
3593722	1914	1996-04-30	PRIJEM	\N	112	28326	UROK	\N	\N
3593723	1914	1996-05-31	PRIJEM	\N	118	28417	UROK	\N	\N
3593724	1914	1996-06-30	PRIJEM	\N	124	31096	UROK	\N	\N
3593725	1914	1996-07-31	PRIJEM	\N	124	28534	UROK	\N	\N
3593726	1914	1996-08-31	PRIJEM	\N	119	31606	UROK	\N	\N
3593727	1914	1996-09-30	PRIJEM	\N	129	32908	UROK	\N	\N
3593728	1914	1996-10-31	PRIJEM	\N	144	36745	UROK	\N	\N
3593729	1914	1996-11-30	PRIJEM	\N	162	39661	UROK	\N	\N
3593730	1914	1996-12-31	PRIJEM	\N	167	39983	UROK	\N	\N
3593731	1914	1997-01-31	PRIJEM	\N	142	29978	UROK	\N	\N
3593732	1914	1997-02-28	PRIJEM	\N	129	32960	UROK	\N	\N
3593733	1914	1997-03-31	PRIJEM	\N	140	35054	UROK	\N	\N
3593734	1914	1997-04-30	PRIJEM	\N	149	37556	UROK	\N	\N
3593735	1914	1997-05-31	PRIJEM	\N	162	40771	UROK	\N	\N
3593736	1914	1997-06-30	PRIJEM	\N	170	39757	UROK	\N	\N
3593737	1914	1997-07-31	PRIJEM	\N	191	50401	UROK	\N	\N
3593738	1914	1997-08-31	PRIJEM	\N	228	57982	UROK	\N	\N
3593739	1914	1997-09-30	PRIJEM	\N	252	63087	UROK	\N	\N
3593740	1914	1997-10-31	PRIJEM	\N	275	68616	UROK	\N	\N
3593741	1914	1997-11-30	PRIJEM	\N	267	60776	UROK	\N	\N
3593742	1914	1997-12-31	PRIJEM	\N	246	62697	UROK	\N	\N
3593743	1914	1998-01-31	PRIJEM	\N	216	37306	UROK	\N	\N
3593744	1914	1998-02-28	PRIJEM	\N	199	52359	UROK	\N	\N
3593745	1914	1998-03-31	PRIJEM	\N	230	57842	UROK	\N	\N
3593746	1914	1998-04-30	PRIJEM	\N	258	64754	UROK	\N	\N
3593747	1914	1998-05-31	PRIJEM	\N	293	73400	UROK	\N	\N
3593748	1914	1998-06-30	PRIJEM	\N	293	47028	UROK	\N	\N
3593749	1914	1998-07-31	PRIJEM	\N	242	62124	UROK	\N	\N
3593750	1914	1998-08-31	PRIJEM	\N	300	75377	UROK	\N	\N
3593751	1914	1998-09-30	PRIJEM	\N	309	71200	UROK	\N	\N
3593752	1914	1998-10-31	PRIJEM	\N	312	76665	UROK	\N	\N
3593753	1914	1998-11-30	PRIJEM	\N	322	79440	UROK	\N	\N
3593754	1914	1998-12-31	PRIJEM	\N	324	79418	UROK	\N	\N
3593755	1915	1997-05-31	PRIJEM	\N	44	18035	UROK	\N	\N
3593756	1915	1997-06-30	PRIJEM	\N	85	22056	UROK	\N	\N
3593757	1915	1997-07-31	PRIJEM	\N	99	24846	UROK	\N	\N
3593758	1915	1997-08-31	PRIJEM	\N	102	24238	UROK	\N	\N
3593759	1915	1997-09-30	PRIJEM	\N	91	20568	UROK	\N	\N
3593760	1915	1997-10-31	PRIJEM	\N	76	12986	UROK	\N	\N
3593761	1915	1997-11-30	PRIJEM	\N	56	12824	UROK	\N	\N
3593762	1915	1997-12-31	PRIJEM	\N	68	17420	UROK	\N	\N
3593763	1915	1998-01-31	PRIJEM	\N	70	13452	UROK	\N	\N
3593764	1915	1998-02-28	PRIJEM	\N	66	16000	UROK	\N	\N
3593765	1915	1998-03-31	PRIJEM	\N	46	7628	UROK	\N	\N
3593766	1915	1998-04-30	PRIJEM	\N	42	10752	UROK	\N	\N
3593767	1915	1998-05-31	PRIJEM	\N	70	19005	UROK	\N	\N
3593768	1915	1998-06-30	PRIJEM	\N	87	16060	UROK	\N	\N
3593769	1915	1998-07-31	PRIJEM	\N	66	16109	UROK	\N	\N
3593770	1915	1998-08-31	PRIJEM	\N	77	19668	UROK	\N	\N
3593771	1915	1998-09-30	PRIJEM	\N	83	20633	UROK	\N	\N
3593772	1915	1998-10-31	PRIJEM	\N	96	23812	UROK	\N	\N
3593773	1915	1998-11-30	PRIJEM	\N	81	19616	UROK	\N	\N
3593774	1915	1998-12-31	PRIJEM	\N	90	23233	UROK	\N	\N
3593775	1916	1996-03-31	PRIJEM	\N	34	16838	UROK	\N	\N
3593776	1916	1996-04-30	PRIJEM	\N	88	25630	UROK	\N	\N
3593777	1916	1996-05-31	PRIJEM	\N	116	30250	UROK	\N	\N
3593778	1916	1996-06-30	PRIJEM	\N	130	32186	UROK	\N	\N
3593779	1916	1996-07-31	PRIJEM	\N	135	32825	UROK	\N	\N
3593780	1916	1996-08-31	PRIJEM	\N	138	33283	UROK	\N	\N
3593781	1916	1996-09-30	PRIJEM	\N	130	30434	UROK	\N	\N
3593782	1916	1996-10-31	PRIJEM	\N	118	25672	UROK	\N	\N
3593783	1916	1996-11-30	PRIJEM	\N	113	28906	UROK	\N	\N
3593784	1916	1996-12-31	PRIJEM	\N	122	30051	UROK	\N	\N
3593785	1916	1997-01-31	PRIJEM	\N	115	27886	UROK	\N	\N
3593786	1916	1997-02-28	PRIJEM	\N	114	27920	UROK	\N	\N
3593787	1916	1997-03-31	PRIJEM	\N	113	27553	UROK	\N	\N
3593788	1916	1997-04-30	PRIJEM	\N	102	23976	UROK	\N	\N
3593789	1916	1997-05-31	PRIJEM	\N	105	26401	UROK	\N	\N
3593790	1916	1997-06-30	PRIJEM	\N	91	19014	UROK	\N	\N
3593791	1916	1997-07-31	PRIJEM	\N	80	16614	UROK	\N	\N
3593792	1916	1997-08-31	PRIJEM	\N	81	21815	UROK	\N	\N
3593793	1916	1997-09-30	PRIJEM	\N	77	18712	UROK	\N	\N
3593794	1916	1997-10-31	PRIJEM	\N	78	19210	UROK	\N	\N
3593795	1916	1997-11-30	PRIJEM	\N	92	24723	UROK	\N	\N
3593796	1916	1997-12-31	PRIJEM	\N	115	29660	UROK	\N	\N
3593797	1916	1998-01-31	PRIJEM	\N	117	29297	UROK	\N	\N
3593798	1916	1998-02-28	PRIJEM	\N	133	34651	UROK	\N	\N
3593799	1916	1998-03-31	PRIJEM	\N	138	34310	UROK	\N	\N
3593800	1916	1998-04-30	PRIJEM	\N	151	38781	UROK	\N	\N
3593801	1916	1998-05-31	PRIJEM	\N	173	43974	UROK	\N	\N
3593802	1916	1998-06-30	PRIJEM	\N	176	43272	UROK	\N	\N
3593803	1916	1998-07-31	PRIJEM	\N	188	47180	UROK	\N	\N
3593804	1916	1998-08-31	PRIJEM	\N	200	50101	UROK	\N	\N
3593805	1916	1998-09-30	PRIJEM	\N	214	53735	UROK	\N	\N
3593806	1916	1998-10-31	PRIJEM	\N	220	54275	UROK	\N	\N
3593807	1916	1998-11-30	PRIJEM	\N	228	56823	UROK	\N	\N
3593808	1916	1998-12-31	PRIJEM	\N	250	63096	UROK	\N	\N
3593809	1917	1996-05-31	PRIJEM	\N	54	20186	UROK	\N	\N
3593810	1917	1996-06-30	PRIJEM	\N	80	17324	UROK	\N	\N
3593811	1917	1996-07-31	PRIJEM	\N	72	16853	UROK	\N	\N
3593812	1917	1996-08-31	PRIJEM	\N	74	18384	UROK	\N	\N
3593813	1917	1996-09-30	PRIJEM	\N	79	18921	UROK	\N	\N
3593814	1917	1996-10-31	PRIJEM	\N	83	20461	UROK	\N	\N
3593815	1917	1996-11-30	PRIJEM	\N	83	20041	UROK	\N	\N
3593816	1917	1996-12-31	PRIJEM	\N	82	19581	UROK	\N	\N
3593817	1917	1997-01-31	PRIJEM	\N	60	12838	UROK	\N	\N
3593818	1917	1997-02-28	PRIJEM	\N	56	13552	UROK	\N	\N
3593819	1917	1997-03-31	PRIJEM	\N	60	15070	UROK	\N	\N
3593820	1917	1997-04-30	PRIJEM	\N	62	14489	UROK	\N	\N
3593821	1917	1997-05-31	PRIJEM	\N	61	14507	UROK	\N	\N
3593822	1917	1997-06-30	PRIJEM	\N	60	14225	UROK	\N	\N
3593823	1917	1997-07-31	PRIJEM	\N	63	15745	UROK	\N	\N
3593824	1917	1997-08-31	PRIJEM	\N	64	15167	UROK	\N	\N
3593825	1917	1997-09-30	PRIJEM	\N	61	13085	UROK	\N	\N
3593826	1917	1997-10-31	PRIJEM	\N	56	13298	UROK	\N	\N
3593827	1917	1997-11-30	PRIJEM	\N	59	14814	UROK	\N	\N
3593828	1917	1997-12-31	PRIJEM	\N	63	15085	UROK	\N	\N
3593829	1917	1998-01-31	PRIJEM	\N	62	14364	UROK	\N	\N
3593830	1917	1998-02-28	PRIJEM	\N	63	15885	UROK	\N	\N
3593831	1917	1998-03-31	PRIJEM	\N	61	14043	UROK	\N	\N
3593832	1917	1998-04-30	PRIJEM	\N	62	15563	UROK	\N	\N
3593833	1917	1998-05-31	PRIJEM	\N	68	17089	UROK	\N	\N
3593834	1917	1998-06-30	PRIJEM	\N	70	15916	UROK	\N	\N
3593835	1917	1998-07-31	PRIJEM	\N	70	17443	UROK	\N	\N
3593836	1917	1998-08-31	PRIJEM	\N	76	18977	UROK	\N	\N
3593837	1917	1998-09-30	PRIJEM	\N	83	20517	UROK	\N	\N
3593838	1917	1998-10-31	PRIJEM	\N	89	22063	UROK	\N	\N
3593839	1917	1998-11-30	PRIJEM	\N	94	20714	UROK	\N	\N
3593840	1917	1998-12-31	PRIJEM	\N	89	21511	UROK	\N	\N
3593841	1918	1994-04-30	PRIJEM	\N	17	7164	UROK	\N	\N
3593842	1918	1994-05-31	PRIJEM	\N	66	22077	UROK	\N	\N
3593843	1918	1994-06-30	PRIJEM	\N	120	34217	UROK	\N	\N
3593844	1918	1994-07-31	PRIJEM	\N	147	36110	UROK	\N	\N
3593845	1918	1994-08-31	PRIJEM	\N	150	32076	UROK	\N	\N
3593846	1918	1994-09-30	PRIJEM	\N	139	31476	UROK	\N	\N
3593847	1918	1994-10-31	PRIJEM	\N	123	28401	UROK	\N	\N
3593848	1918	1994-11-30	PRIJEM	\N	132	30535	UROK	\N	\N
3593849	1918	1994-12-31	PRIJEM	\N	141	33490	UROK	\N	\N
3593850	1918	1995-01-31	PRIJEM	\N	100	13151	UROK	\N	\N
3593851	1918	1995-02-28	PRIJEM	\N	84	22236	UROK	\N	\N
3593852	1918	1995-03-31	PRIJEM	\N	102	18800	UROK	\N	\N
3593853	1918	1995-04-30	PRIJEM	\N	89	23390	UROK	\N	\N
3593854	1918	1995-05-31	PRIJEM	\N	93	21465	UROK	\N	\N
3593855	1918	1995-06-30	PRIJEM	\N	92	19392	UROK	\N	\N
3593856	1918	1995-07-31	PRIJEM	\N	85	19118	UROK	\N	\N
3593857	1918	1995-08-31	PRIJEM	\N	89	23308	UROK	\N	\N
3593858	1918	1995-09-30	PRIJEM	\N	106	23416	UROK	\N	\N
3593859	1918	1995-10-31	PRIJEM	\N	105	22722	UROK	\N	\N
3593860	1918	1995-11-30	PRIJEM	\N	96	23520	UROK	\N	\N
3593861	1918	1995-12-31	PRIJEM	\N	103	25297	UROK	\N	\N
3593862	1918	1996-01-31	PRIJEM	\N	68	12346	UROK	\N	\N
3593863	1918	1996-02-29	PRIJEM	\N	65	14512	UROK	\N	\N
3593864	1918	1996-03-31	PRIJEM	\N	52	11365	UROK	\N	\N
3593865	1918	1996-04-30	PRIJEM	\N	52	13518	UROK	\N	\N
3593866	1918	1996-05-31	PRIJEM	\N	69	13888	UROK	\N	\N
3593867	1918	1996-06-30	PRIJEM	\N	77	17040	UROK	\N	\N
3593868	1918	1996-07-31	PRIJEM	\N	82	16223	UROK	\N	\N
3593869	1918	1996-08-31	PRIJEM	\N	74	13839	UROK	\N	\N
3593870	1918	1996-09-30	PRIJEM	\N	68	15008	UROK	\N	\N
3593871	1918	1996-10-31	PRIJEM	\N	64	13673	UROK	\N	\N
3593872	1918	1996-11-30	PRIJEM	\N	65	12840	UROK	\N	\N
3593873	1918	1996-12-31	PRIJEM	\N	55	11669	UROK	\N	\N
3593874	1918	1997-01-31	PRIJEM	\N	51	12121	UROK	\N	\N
3593875	1918	1997-02-28	PRIJEM	\N	53	12475	UROK	\N	\N
3593876	1918	1997-03-31	PRIJEM	\N	55	13931	UROK	\N	\N
3593877	1918	1997-04-30	PRIJEM	\N	69	15981	UROK	\N	\N
3593878	1918	1997-05-31	PRIJEM	\N	75	15118	UROK	\N	\N
3593879	1918	1997-06-30	PRIJEM	\N	69	16062	UROK	\N	\N
3593880	1918	1997-07-31	PRIJEM	\N	70	13233	UROK	\N	\N
3593881	1918	1997-08-31	PRIJEM	\N	55	12489	UROK	\N	\N
3593882	1918	1997-09-30	PRIJEM	\N	52	12343	UROK	\N	\N
3593883	1918	1997-10-31	PRIJEM	\N	65	14509	UROK	\N	\N
3593884	1918	1997-11-30	PRIJEM	\N	73	16684	UROK	\N	\N
3593885	1918	1997-12-31	PRIJEM	\N	78	16397	UROK	\N	\N
3593886	1918	1998-01-31	PRIJEM	\N	63	12821	UROK	\N	\N
3593887	1918	1998-02-28	PRIJEM	\N	56	14978	UROK	\N	\N
3593888	1918	1998-03-31	PRIJEM	\N	58	12638	UROK	\N	\N
3593889	1918	1998-04-30	PRIJEM	\N	65	14805	UROK	\N	\N
3593890	1918	1998-05-31	PRIJEM	\N	60	12266	UROK	\N	\N
3593891	1918	1998-06-30	PRIJEM	\N	62	17602	UROK	\N	\N
3593892	1918	1998-07-31	PRIJEM	\N	76	19779	UROK	\N	\N
3593893	1918	1998-08-31	PRIJEM	\N	69	13850	UROK	\N	\N
3593894	1918	1998-09-30	PRIJEM	\N	61	16012	UROK	\N	\N
3593895	1918	1998-10-31	PRIJEM	\N	79	18192	UROK	\N	\N
3593896	1918	1998-11-30	PRIJEM	\N	69	16523	UROK	\N	\N
3593897	1918	1998-12-31	PRIJEM	\N	85	20922	UROK	\N	\N
3593898	1919	1994-12-31	PRIJEM	\N	128	36837	UROK	\N	\N
3593899	1919	1995-01-31	PRIJEM	\N	219	55795	UROK	\N	\N
3593900	1919	1995-02-28	PRIJEM	\N	274	68208	UROK	\N	\N
3593901	1919	1995-03-31	PRIJEM	\N	289	70036	UROK	\N	\N
3593902	1919	1995-04-30	PRIJEM	\N	292	69865	UROK	\N	\N
3593903	1919	1995-05-31	PRIJEM	\N	284	68986	UROK	\N	\N
3593904	1919	1995-06-30	PRIJEM	\N	315	43028	UROK	\N	\N
3593905	1919	1995-07-31	PRIJEM	\N	218	54683	UROK	\N	\N
3593906	1919	1995-08-31	PRIJEM	\N	260	65180	UROK	\N	\N
3593907	1919	1995-09-30	PRIJEM	\N	270	68687	UROK	\N	\N
3593908	1919	1995-10-31	PRIJEM	\N	281	55205	UROK	\N	\N
3593909	1919	1995-11-30	PRIJEM	\N	290	53233	UROK	\N	\N
3593910	1919	1995-12-31	PRIJEM	\N	308	57568	UROK	\N	\N
3593911	1919	1996-01-31	PRIJEM	\N	222	39647	UROK	\N	\N
3593912	1919	1996-02-29	PRIJEM	\N	226	51731	UROK	\N	\N
3593913	1919	1996-03-31	PRIJEM	\N	276	60644	UROK	\N	\N
3593914	1919	1996-04-30	PRIJEM	\N	309	62790	UROK	\N	\N
3593915	1919	1996-05-31	PRIJEM	\N	317	66945	UROK	\N	\N
3593916	1919	1996-06-30	PRIJEM	\N	361	65693	UROK	\N	\N
3593917	1919	1996-07-31	PRIJEM	\N	323	64153	UROK	\N	\N
3593918	1919	1996-08-31	PRIJEM	\N	318	67909	UROK	\N	\N
3593919	1919	1996-09-30	PRIJEM	\N	333	71379	UROK	\N	\N
3593920	1919	1996-10-31	PRIJEM	\N	344	72860	UROK	\N	\N
3593921	1919	1996-11-30	PRIJEM	\N	345	70943	UROK	\N	\N
3593922	1919	1996-12-31	PRIJEM	\N	396	78645	UROK	\N	\N
3593923	1919	1997-01-31	PRIJEM	\N	333	64435	UROK	\N	\N
3593924	1919	1997-02-28	PRIJEM	\N	318	72191	UROK	\N	\N
3593925	1919	1997-03-31	PRIJEM	\N	347	76175	UROK	\N	\N
3593926	1919	1997-04-30	PRIJEM	\N	360	78473	UROK	\N	\N
3593927	1919	1997-05-31	PRIJEM	\N	372	83082	UROK	\N	\N
3593928	1919	1997-06-30	PRIJEM	\N	407	62996	UROK	\N	\N
3593929	1919	1997-07-31	PRIJEM	\N	323	80057	UROK	\N	\N
3593930	1919	1997-08-31	PRIJEM	\N	376	86470	UROK	\N	\N
3593931	1919	1997-09-30	PRIJEM	\N	397	89704	UROK	\N	\N
3593932	1919	1997-10-31	PRIJEM	\N	399	89821	UROK	\N	\N
3593933	1919	1997-11-30	PRIJEM	\N	400	93258	UROK	\N	\N
3593934	1919	1997-12-31	PRIJEM	\N	346	82311	UROK	\N	\N
3593935	1919	1998-01-31	PRIJEM	\N	361	84609	UROK	\N	\N
3593936	1919	1998-02-28	PRIJEM	\N	399	95245	UROK	\N	\N
3593937	1919	1998-03-31	PRIJEM	\N	440	102662	UROK	\N	\N
3593938	1919	1998-04-30	PRIJEM	\N	398	97798	UROK	\N	\N
3593939	1919	1998-05-31	PRIJEM	\N	408	99243	UROK	\N	\N
3593940	1919	1998-06-30	PRIJEM	\N	333	80903	UROK	\N	\N
3593941	1919	1998-07-31	PRIJEM	\N	411	105952	UROK	\N	\N
3593942	1919	1998-08-31	PRIJEM	\N	334	83624	UROK	\N	\N
3593943	1919	1998-09-30	PRIJEM	\N	410	103271	UROK	\N	\N
3593944	1919	1998-10-31	PRIJEM	\N	426	101734	UROK	\N	\N
3593945	1919	1998-11-30	PRIJEM	\N	424	102396	UROK	\N	\N
3593946	1919	1998-12-31	PRIJEM	\N	449	107652	UROK	\N	\N
3593947	1920	1996-04-30	PRIJEM	\N	16	6072	UROK	\N	\N
3593948	1920	1996-05-31	PRIJEM	\N	72	23600	UROK	\N	\N
3593949	1920	1996-06-30	PRIJEM	\N	130	35564	UROK	\N	\N
3593950	1920	1996-07-31	PRIJEM	\N	158	39277	UROK	\N	\N
3593951	1920	1996-08-31	PRIJEM	\N	170	41703	UROK	\N	\N
3593952	1920	1996-09-30	PRIJEM	\N	159	37333	UROK	\N	\N
3593953	1920	1996-10-31	PRIJEM	\N	162	40167	UROK	\N	\N
3593954	1920	1996-11-30	PRIJEM	\N	161	38498	UROK	\N	\N
3593955	1920	1996-12-31	PRIJEM	\N	162	38069	UROK	\N	\N
3593956	1920	1997-01-31	PRIJEM	\N	135	29676	UROK	\N	\N
3593957	1920	1997-02-28	PRIJEM	\N	147	38594	UROK	\N	\N
3593958	1920	1997-03-31	PRIJEM	\N	170	42436	UROK	\N	\N
3593959	1920	1997-04-30	PRIJEM	\N	174	41001	UROK	\N	\N
3593960	1920	1997-05-31	PRIJEM	\N	173	42345	UROK	\N	\N
3593961	1920	1997-06-30	PRIJEM	\N	147	31662	UROK	\N	\N
3593962	1920	1997-07-31	PRIJEM	\N	143	36277	UROK	\N	\N
3593963	1920	1997-08-31	PRIJEM	\N	161	40209	UROK	\N	\N
3593964	1920	1997-09-30	PRIJEM	\N	175	39776	UROK	\N	\N
3593965	1920	1997-10-31	PRIJEM	\N	157	41804	UROK	\N	\N
3593966	1920	1997-11-30	PRIJEM	\N	177	43333	UROK	\N	\N
3593967	1920	1997-12-31	PRIJEM	\N	185	47687	UROK	\N	\N
3593968	1920	1998-01-31	PRIJEM	\N	186	40284	UROK	\N	\N
3593969	1920	1998-02-28	PRIJEM	\N	171	39526	UROK	\N	\N
3593970	1920	1998-03-31	PRIJEM	\N	153	34871	UROK	\N	\N
3593971	1920	1998-04-30	PRIJEM	\N	150	38992	UROK	\N	\N
3593972	1920	1998-05-31	PRIJEM	\N	161	43684	UROK	\N	\N
3593973	1920	1998-06-30	PRIJEM	\N	169	34603	UROK	\N	\N
3593974	1920	1998-07-31	PRIJEM	\N	154	46028	UROK	\N	\N
3593975	1920	1998-08-31	PRIJEM	\N	197	52017	UROK	\N	\N
3593976	1920	1998-09-30	PRIJEM	\N	214	51082	UROK	\N	\N
3593977	1920	1998-10-31	PRIJEM	\N	218	54672	UROK	\N	\N
3593978	1920	1998-11-30	PRIJEM	\N	234	59277	UROK	\N	\N
3593979	1920	1998-12-31	PRIJEM	\N	260	65526	UROK	\N	\N
3593980	1921	1997-07-31	PRIJEM	\N	8	11258	UROK	\N	\N
3593981	1921	1997-08-31	PRIJEM	\N	51	16058	UROK	\N	\N
3593982	1921	1997-09-30	PRIJEM	\N	69	18277	UROK	\N	\N
3593983	1921	1997-10-31	PRIJEM	\N	77	19304	UROK	\N	\N
3593984	1921	1997-11-30	PRIJEM	\N	82	18002	UROK	\N	\N
3593985	1921	1997-12-31	PRIJEM	\N	80	20175	UROK	\N	\N
3593986	1921	1998-01-31	PRIJEM	\N	81	16398	UROK	\N	\N
3593987	1921	1998-02-28	PRIJEM	\N	73	14374	UROK	\N	\N
3593988	1921	1998-03-31	PRIJEM	\N	64	15640	UROK	\N	\N
3593989	1921	1998-04-30	PRIJEM	\N	65	12907	UROK	\N	\N
3593990	1921	1998-05-31	PRIJEM	\N	55	12664	UROK	\N	\N
3593991	1921	1998-06-30	PRIJEM	\N	57	13923	UROK	\N	\N
3593992	1921	1998-07-31	PRIJEM	\N	62	15187	UROK	\N	\N
3593993	1921	1998-08-31	PRIJEM	\N	67	16457	UROK	\N	\N
3593994	1921	1998-09-30	PRIJEM	\N	73	17732	UROK	\N	\N
3593995	1921	1998-10-31	PRIJEM	\N	75	17869	UROK	\N	\N
3593996	1921	1998-11-30	PRIJEM	\N	78	19150	UROK	\N	\N
3593997	1921	1998-12-31	PRIJEM	\N	82	18274	UROK	\N	\N
3593998	1922	1996-03-31	PRIJEM	\N	66	22342	UROK	\N	\N
3593999	1922	1996-04-30	PRIJEM	\N	122	31940	UROK	\N	\N
3594000	1922	1996-05-31	PRIJEM	\N	148	37064	UROK	\N	\N
3594001	1922	1996-06-30	PRIJEM	\N	186	47064	UROK	\N	\N
3594002	1922	1996-07-31	PRIJEM	\N	190	45530	UROK	\N	\N
3594003	1922	1996-08-31	PRIJEM	\N	207	50899	UROK	\N	\N
3594004	1922	1996-09-30	PRIJEM	\N	245	61105	UROK	\N	\N
3594005	1922	1996-10-31	PRIJEM	\N	281	69248	UROK	\N	\N
3594006	1922	1996-11-30	PRIJEM	\N	292	71821	UROK	\N	\N
3594007	1922	1996-12-31	PRIJEM	\N	333	79114	UROK	\N	\N
3594008	1922	1997-01-31	PRIJEM	\N	301	63616	UROK	\N	\N
3594009	1922	1997-02-28	PRIJEM	\N	289	71166	UROK	\N	\N
3594010	1922	1997-03-31	PRIJEM	\N	317	77544	UROK	\N	\N
3594011	1922	1997-04-30	PRIJEM	\N	334	81340	UROK	\N	\N
3594012	1922	1997-05-31	PRIJEM	\N	346	83747	UROK	\N	\N
3594013	1922	1997-06-30	PRIJEM	\N	268	54215	UROK	\N	\N
3594014	1922	1997-07-31	PRIJEM	\N	286	72462	UROK	\N	\N
3594015	1922	1997-08-31	PRIJEM	\N	344	84847	UROK	\N	\N
3594016	1922	1997-09-30	PRIJEM	\N	377	92385	UROK	\N	\N
3594017	1922	1997-10-31	PRIJEM	\N	416	102762	UROK	\N	\N
3594018	1922	1997-11-30	PRIJEM	\N	213	41237	UROK	\N	\N
3594019	1922	1997-12-31	PRIJEM	\N	318	83654	UROK	\N	\N
3594020	1922	1998-01-31	PRIJEM	\N	359	78755	UROK	\N	\N
3594021	1922	1998-02-28	PRIJEM	\N	331	95746	UROK	\N	\N
3594022	1922	1998-03-31	PRIJEM	\N	250	66678	UROK	\N	\N
3594023	1922	1998-04-30	PRIJEM	\N	282	84221	UROK	\N	\N
3594024	1922	1998-05-31	PRIJEM	\N	385	90428	UROK	\N	\N
3594025	1922	1998-06-30	PRIJEM	\N	312	73940	UROK	\N	\N
3594026	1922	1998-07-31	PRIJEM	\N	314	85415	UROK	\N	\N
3594027	1922	1998-08-31	PRIJEM	\N	357	88434	UROK	\N	\N
3594028	1922	1998-09-30	PRIJEM	\N	375	93070	UROK	\N	\N
3594029	1922	1998-10-31	PRIJEM	\N	388	94820	UROK	\N	\N
3594030	1922	1998-11-30	PRIJEM	\N	392	90173	UROK	\N	\N
3594031	1922	1998-12-31	PRIJEM	\N	330	53903	UROK	\N	\N
3594032	1924	1996-10-31	PRIJEM	\N	20	24250	UROK	\N	\N
3594033	1924	1996-11-30	PRIJEM	\N	109	27648	UROK	\N	\N
3594034	1924	1996-12-31	PRIJEM	\N	121	29758	UROK	\N	\N
3594035	1924	1997-01-31	PRIJEM	\N	130	30927	UROK	\N	\N
3594036	1924	1997-02-28	PRIJEM	\N	136	34352	UROK	\N	\N
3594037	1924	1997-03-31	PRIJEM	\N	151	37793	UROK	\N	\N
3594038	1924	1997-04-30	PRIJEM	\N	156	38038	UROK	\N	\N
3594039	1924	1997-05-31	PRIJEM	\N	161	39249	UROK	\N	\N
3594040	1924	1997-06-30	PRIJEM	\N	163	29052	UROK	\N	\N
3594041	1924	1997-07-31	PRIJEM	\N	116	28617	UROK	\N	\N
3594042	1924	1997-08-31	PRIJEM	\N	127	32033	UROK	\N	\N
3594043	1924	1997-09-30	PRIJEM	\N	138	34821	UROK	\N	\N
3594044	1924	1997-10-31	PRIJEM	\N	151	37701	UROK	\N	\N
3594045	1924	1997-11-30	PRIJEM	\N	165	41155	UROK	\N	\N
3594046	1924	1997-12-31	PRIJEM	\N	178	43723	UROK	\N	\N
3594047	1924	1998-01-31	PRIJEM	\N	186	42597	UROK	\N	\N
3594048	1924	1998-02-28	PRIJEM	\N	185	46071	UROK	\N	\N
3594049	1924	1998-03-31	PRIJEM	\N	200	49560	UROK	\N	\N
3594050	1924	1998-04-30	PRIJEM	\N	202	49211	UROK	\N	\N
3594051	1924	1998-05-31	PRIJEM	\N	213	52713	UROK	\N	\N
3594052	1924	1998-06-30	PRIJEM	\N	209	49662	UROK	\N	\N
3594053	1924	1998-07-31	PRIJEM	\N	214	53165	UROK	\N	\N
3594054	1924	1998-08-31	PRIJEM	\N	227	56202	UROK	\N	\N
3594055	1924	1998-09-30	PRIJEM	\N	241	59732	UROK	\N	\N
3594056	1924	1998-10-31	PRIJEM	\N	254	63076	UROK	\N	\N
3594057	1924	1998-11-30	PRIJEM	\N	270	66635	UROK	\N	\N
3594058	1924	1998-12-31	PRIJEM	\N	282	69907	UROK	\N	\N
3594059	1925	1993-08-31	PRIJEM	\N	23	6462	UROK	\N	\N
3594060	1925	1993-09-30	PRIJEM	\N	27	12327	UROK	\N	\N
3594061	1925	1993-10-31	PRIJEM	\N	27	18193	UROK	\N	\N
3594062	1925	1993-11-30	PRIJEM	\N	27	24059	UROK	\N	\N
3594063	1925	1993-12-31	PRIJEM	\N	90	23648	UROK	\N	\N
3594064	1925	1994-01-31	PRIJEM	\N	94	21756	UROK	\N	\N
3594065	1925	1994-02-28	PRIJEM	\N	95	23816	UROK	\N	\N
3594066	1925	1994-03-31	PRIJEM	\N	104	25885	UROK	\N	\N
3594067	1925	1994-04-30	PRIJEM	\N	108	26857	UROK	\N	\N
3594068	1925	1994-05-31	PRIJEM	\N	110	24132	UROK	\N	\N
3594069	1925	1994-06-30	PRIJEM	\N	79	15525	UROK	\N	\N
3594070	1925	1994-07-31	PRIJEM	\N	70	17559	UROK	\N	\N
3594071	1925	1994-08-31	PRIJEM	\N	78	19601	UROK	\N	\N
3594072	1925	1994-09-30	PRIJEM	\N	80	18045	UROK	\N	\N
3594073	1925	1994-10-31	PRIJEM	\N	77	17607	UROK	\N	\N
3594074	1925	1994-11-30	PRIJEM	\N	78	19649	UROK	\N	\N
3594075	1925	1994-12-31	PRIJEM	\N	72	15975	UROK	\N	\N
3594076	1925	1995-01-31	PRIJEM	\N	63	14052	UROK	\N	\N
3594077	1925	1995-02-28	PRIJEM	\N	63	16080	UROK	\N	\N
3594078	1925	1995-03-31	PRIJEM	\N	72	18116	UROK	\N	\N
3594079	1925	1995-04-30	PRIJEM	\N	79	19519	UROK	\N	\N
3594080	1925	1995-05-31	PRIJEM	\N	81	18764	UROK	\N	\N
3594081	1925	1995-06-30	PRIJEM	\N	83	20812	UROK	\N	\N
3594082	1925	1995-07-31	PRIJEM	\N	91	22867	UROK	\N	\N
3594083	1925	1995-08-31	PRIJEM	\N	100	24932	UROK	\N	\N
3594084	1925	1995-09-30	PRIJEM	\N	110	26526	UROK	\N	\N
3594085	1925	1995-10-31	PRIJEM	\N	114	28005	UROK	\N	\N
3594086	1925	1995-11-30	PRIJEM	\N	121	30091	UROK	\N	\N
3594087	1925	1995-12-31	PRIJEM	\N	118	26903	UROK	\N	\N
3594088	1925	1996-01-31	PRIJEM	\N	108	23335	UROK	\N	\N
3594089	1925	1996-02-29	PRIJEM	\N	102	25401	UROK	\N	\N
3594090	1925	1996-03-31	PRIJEM	\N	110	26915	UROK	\N	\N
3594091	1925	1996-04-30	PRIJEM	\N	116	28996	UROK	\N	\N
3594092	1925	1996-05-31	PRIJEM	\N	125	30986	UROK	\N	\N
3594093	1925	1996-06-30	PRIJEM	\N	123	28323	UROK	\N	\N
3594094	1925	1996-07-31	PRIJEM	\N	117	27684	UROK	\N	\N
3594095	1925	1996-08-31	PRIJEM	\N	120	29768	UROK	\N	\N
3594096	1925	1996-09-30	PRIJEM	\N	127	29059	UROK	\N	\N
3594097	1925	1996-10-31	PRIJEM	\N	123	28747	UROK	\N	\N
3594098	1925	1996-11-30	PRIJEM	\N	124	30835	UROK	\N	\N
3594099	1925	1996-12-31	PRIJEM	\N	131	32030	UROK	\N	\N
3594100	1925	1997-01-31	PRIJEM	\N	129	30224	UROK	\N	\N
3594101	1925	1997-02-28	PRIJEM	\N	130	32318	UROK	\N	\N
3594102	1925	1997-03-31	PRIJEM	\N	139	34420	UROK	\N	\N
3594103	1925	1997-04-30	PRIJEM	\N	147	36532	UROK	\N	\N
3594104	1925	1997-05-31	PRIJEM	\N	157	37373	UROK	\N	\N
3594105	1925	1997-06-30	PRIJEM	\N	144	28181	UROK	\N	\N
3594106	1925	1997-07-31	PRIJEM	\N	121	30266	UROK	\N	\N
3594107	1925	1997-08-31	PRIJEM	\N	118	26029	UROK	\N	\N
3594108	1925	1997-09-30	PRIJEM	\N	109	24662	UROK	\N	\N
3594109	1925	1997-10-31	PRIJEM	\N	100	24006	UROK	\N	\N
3594110	1925	1997-11-30	PRIJEM	\N	103	26073	UROK	\N	\N
3594111	1925	1997-12-31	PRIJEM	\N	111	27649	UROK	\N	\N
3594112	1925	1998-01-31	PRIJEM	\N	111	26424	UROK	\N	\N
3594113	1925	1998-02-28	PRIJEM	\N	106	23695	UROK	\N	\N
3594114	1925	1998-03-31	PRIJEM	\N	104	24964	UROK	\N	\N
3594115	1925	1998-04-30	PRIJEM	\N	107	27035	UROK	\N	\N
3594116	1925	1998-05-31	PRIJEM	\N	115	29114	UROK	\N	\N
3594117	1925	1998-06-30	PRIJEM	\N	114	25742	UROK	\N	\N
3594118	1925	1998-07-31	PRIJEM	\N	110	27817	UROK	\N	\N
3594119	1925	1998-08-31	PRIJEM	\N	119	26440	UROK	\N	\N
3594120	1925	1998-09-30	PRIJEM	\N	112	28516	UROK	\N	\N
3594121	1925	1998-10-31	PRIJEM	\N	115	27556	UROK	\N	\N
3594122	1925	1998-11-30	PRIJEM	\N	117	29157	UROK	\N	\N
3594123	1925	1998-12-31	PRIJEM	\N	123	29994	UROK	\N	\N
3594124	1926	1993-01-31	PRIJEM	\N	14	5221	UROK	\N	\N
3594125	1926	1993-02-28	PRIJEM	\N	55	18283	UROK	\N	\N
3594126	1926	1993-03-31	PRIJEM	\N	99	26788	UROK	\N	\N
3594127	1926	1993-04-30	PRIJEM	\N	122	31018	UROK	\N	\N
3594128	1926	1993-05-31	PRIJEM	\N	129	30953	UROK	\N	\N
3594129	1926	1993-06-30	PRIJEM	\N	129	32624	UROK	\N	\N
3594130	1926	1993-07-31	PRIJEM	\N	115	26287	UROK	\N	\N
3594131	1926	1993-08-31	PRIJEM	\N	98	23973	UROK	\N	\N
3594132	1926	1993-09-30	PRIJEM	\N	105	26666	UROK	\N	\N
3594133	1926	1993-10-31	PRIJEM	\N	100	23835	UROK	\N	\N
3594134	1926	1993-11-30	PRIJEM	\N	97	24420	UROK	\N	\N
3594135	1926	1993-12-31	PRIJEM	\N	103	25905	UROK	\N	\N
3594136	1926	1994-01-31	PRIJEM	\N	59	12773	UROK	\N	\N
3594137	1926	1994-02-28	PRIJEM	\N	73	18734	UROK	\N	\N
3594138	1926	1994-03-31	PRIJEM	\N	87	22309	UROK	\N	\N
3594139	1926	1994-04-30	PRIJEM	\N	102	26200	UROK	\N	\N
3594140	1926	1994-05-31	PRIJEM	\N	105	26193	UROK	\N	\N
3594141	1926	1994-06-30	PRIJEM	\N	114	29348	UROK	\N	\N
3594142	1926	1994-07-31	PRIJEM	\N	103	24219	UROK	\N	\N
3594143	1926	1994-08-31	PRIJEM	\N	102	23309	UROK	\N	\N
3594144	1926	1994-09-30	PRIJEM	\N	99	26397	UROK	\N	\N
3594145	1926	1994-10-31	PRIJEM	\N	109	23294	UROK	\N	\N
3594146	1926	1994-11-30	PRIJEM	\N	99	24881	UROK	\N	\N
3594147	1926	1994-12-31	PRIJEM	\N	100	24203	UROK	\N	\N
3594148	1926	1995-01-31	PRIJEM	\N	80	18072	UROK	\N	\N
3594149	1926	1995-02-28	PRIJEM	\N	67	20287	UROK	\N	\N
3594150	1926	1995-03-31	PRIJEM	\N	86	21261	UROK	\N	\N
3594151	1926	1995-04-30	PRIJEM	\N	75	20084	UROK	\N	\N
3594152	1926	1995-05-31	PRIJEM	\N	84	20757	UROK	\N	\N
3594153	1926	1995-06-30	PRIJEM	\N	87	21026	UROK	\N	\N
3594154	1926	1995-07-31	PRIJEM	\N	88	21402	UROK	\N	\N
3594155	1926	1995-08-31	PRIJEM	\N	81	18371	UROK	\N	\N
3594156	1926	1995-09-30	PRIJEM	\N	82	23541	UROK	\N	\N
3594157	1926	1995-10-31	PRIJEM	\N	97	23627	UROK	\N	\N
3594158	1926	1995-11-30	PRIJEM	\N	101	26517	UROK	\N	\N
3594159	1926	1995-12-31	PRIJEM	\N	111	27109	UROK	\N	\N
3594160	1926	1996-01-31	PRIJEM	\N	89	17427	UROK	\N	\N
3594161	1926	1996-02-29	PRIJEM	\N	74	19790	UROK	\N	\N
3594162	1926	1996-03-31	PRIJEM	\N	87	23565	UROK	\N	\N
3594163	1926	1996-04-30	PRIJEM	\N	84	18716	UROK	\N	\N
3594164	1926	1996-05-31	PRIJEM	\N	69	18113	UROK	\N	\N
3594165	1926	1996-06-30	PRIJEM	\N	80	20735	UROK	\N	\N
3594166	1926	1996-07-31	PRIJEM	\N	85	21909	UROK	\N	\N
3594167	1926	1996-08-31	PRIJEM	\N	84	20021	UROK	\N	\N
3594168	1926	1996-09-30	PRIJEM	\N	89	24398	UROK	\N	\N
3594169	1926	1996-10-31	PRIJEM	\N	91	21578	UROK	\N	\N
3594170	1926	1996-11-30	PRIJEM	\N	83	19969	UROK	\N	\N
3594171	1926	1996-12-31	PRIJEM	\N	80	16231	UROK	\N	\N
3594172	1926	1997-01-31	PRIJEM	\N	63	14183	UROK	\N	\N
3594173	1926	1997-02-28	PRIJEM	\N	60	16231	UROK	\N	\N
3594174	1926	1997-03-31	PRIJEM	\N	65	16685	UROK	\N	\N
3594175	1926	1997-04-30	PRIJEM	\N	68	17641	UROK	\N	\N
3594176	1926	1997-05-31	PRIJEM	\N	64	14893	UROK	\N	\N
3594177	1926	1997-06-30	PRIJEM	\N	70	19705	UROK	\N	\N
3594178	1926	1997-07-31	PRIJEM	\N	78	19672	UROK	\N	\N
3594179	1926	1997-08-31	PRIJEM	\N	71	16931	UROK	\N	\N
3594180	1926	1997-09-30	PRIJEM	\N	69	13789	UROK	\N	\N
3594181	1926	1997-10-31	PRIJEM	\N	57	13334	UROK	\N	\N
3594182	1926	1997-11-30	PRIJEM	\N	55	14877	UROK	\N	\N
3594183	1926	1997-12-31	PRIJEM	\N	68	18687	UROK	\N	\N
3594184	1926	1998-01-31	PRIJEM	\N	59	14114	UROK	\N	\N
3594185	1926	1998-02-28	PRIJEM	\N	58	15660	UROK	\N	\N
3594186	1926	1998-03-31	PRIJEM	\N	65	17213	UROK	\N	\N
3594187	1926	1998-04-30	PRIJEM	\N	71	18772	UROK	\N	\N
3594188	1926	1998-05-31	PRIJEM	\N	77	20338	UROK	\N	\N
3594189	1926	1998-06-30	PRIJEM	\N	90	24169	UROK	\N	\N
3594190	1926	1998-07-31	PRIJEM	\N	91	17228	UROK	\N	\N
3594191	1926	1998-08-31	PRIJEM	\N	71	18787	UROK	\N	\N
3594192	1926	1998-09-30	PRIJEM	\N	77	20353	UROK	\N	\N
3594193	1926	1998-10-31	PRIJEM	\N	82	19523	UROK	\N	\N
3594194	1926	1998-11-30	PRIJEM	\N	80	21091	UROK	\N	\N
3594195	1926	1998-12-31	PRIJEM	\N	85	22198	UROK	\N	\N
3594196	1927	1995-08-31	PRIJEM	\N	10	4035	UROK	\N	\N
3594197	1927	1995-09-30	PRIJEM	\N	17	7477	UROK	\N	\N
3594198	1927	1995-10-31	PRIJEM	\N	17	10919	UROK	\N	\N
3594199	1927	1995-11-30	PRIJEM	\N	17	14361	UROK	\N	\N
3594200	1927	1995-12-31	PRIJEM	\N	47	17142	UROK	\N	\N
3594201	1927	1996-01-31	PRIJEM	\N	66	14405	UROK	\N	\N
3594202	1927	1996-02-29	PRIJEM	\N	63	15595	UROK	\N	\N
3594203	1927	1996-03-31	PRIJEM	\N	67	16490	UROK	\N	\N
3594204	1927	1996-04-30	PRIJEM	\N	72	17689	UROK	\N	\N
3594205	1927	1996-05-31	PRIJEM	\N	71	17657	UROK	\N	\N
3594206	1927	1996-06-30	PRIJEM	\N	73	16637	UROK	\N	\N
3594207	1927	1996-07-31	PRIJEM	\N	72	17836	UROK	\N	\N
3594208	1927	1996-08-31	PRIJEM	\N	77	19041	UROK	\N	\N
3594209	1927	1996-09-30	PRIJEM	\N	82	20250	UROK	\N	\N
3594210	1927	1996-10-31	PRIJEM	\N	83	20111	UROK	\N	\N
3594211	1927	1996-11-30	PRIJEM	\N	87	21325	UROK	\N	\N
3594212	1927	1996-12-31	PRIJEM	\N	91	22333	UROK	\N	\N
3594213	1927	1997-01-31	PRIJEM	\N	84	19645	UROK	\N	\N
3594214	1927	1997-02-28	PRIJEM	\N	84	20857	UROK	\N	\N
3594215	1927	1997-03-31	PRIJEM	\N	90	22074	UROK	\N	\N
3594216	1927	1997-04-30	PRIJEM	\N	95	23296	UROK	\N	\N
3594217	1927	1997-05-31	PRIJEM	\N	100	24523	UROK	\N	\N
3594218	1927	1997-06-30	PRIJEM	\N	104	24014	UROK	\N	\N
3594219	1927	1997-07-31	PRIJEM	\N	103	25245	UROK	\N	\N
3594220	1927	1997-08-31	PRIJEM	\N	108	26480	UROK	\N	\N
3594221	1927	1997-09-30	PRIJEM	\N	109	27416	UROK	\N	\N
3594222	1927	1997-10-31	PRIJEM	\N	117	28661	UROK	\N	\N
3594223	1927	1997-11-30	PRIJEM	\N	116	27263	UROK	\N	\N
3594224	1927	1997-12-31	PRIJEM	\N	115	27726	UROK	\N	\N
3594225	1927	1998-01-31	PRIJEM	\N	106	23020	UROK	\N	\N
3594226	1927	1998-02-28	PRIJEM	\N	98	24245	UROK	\N	\N
3594227	1927	1998-03-31	PRIJEM	\N	103	25476	UROK	\N	\N
3594228	1927	1998-04-30	PRIJEM	\N	108	26712	UROK	\N	\N
3594229	1927	1998-05-31	PRIJEM	\N	113	27323	UROK	\N	\N
3594230	1927	1998-06-30	PRIJEM	\N	103	18743	UROK	\N	\N
3594231	1927	1998-07-31	PRIJEM	\N	77	18537	UROK	\N	\N
3594232	1927	1998-08-31	PRIJEM	\N	79	19744	UROK	\N	\N
3594233	1927	1998-09-30	PRIJEM	\N	84	20956	UROK	\N	\N
3594234	1927	1998-10-31	PRIJEM	\N	89	22173	UROK	\N	\N
3594235	1927	1998-11-30	PRIJEM	\N	94	23394	UROK	\N	\N
3594236	1927	1998-12-31	PRIJEM	\N	98	23960	UROK	\N	\N
3594237	1928	1997-03-31	PRIJEM	\N	37	14442	UROK	\N	\N
3594238	1928	1997-04-30	PRIJEM	\N	98	29645	UROK	\N	\N
3594239	1928	1997-05-31	PRIJEM	\N	155	42905	UROK	\N	\N
3594240	1928	1997-06-30	PRIJEM	\N	133	52896	UROK	\N	\N
3594241	1928	1997-07-31	PRIJEM	\N	136	32537	UROK	\N	\N
3594242	1928	1997-08-31	PRIJEM	\N	160	32687	UROK	\N	\N
3594243	1928	1997-09-30	PRIJEM	\N	161	33738	UROK	\N	\N
3594244	1928	1997-10-31	PRIJEM	\N	164	30792	UROK	\N	\N
3594245	1928	1997-11-30	PRIJEM	\N	139	28864	UROK	\N	\N
3594246	1928	1997-12-31	PRIJEM	\N	126	19095	UROK	\N	\N
3594247	1928	1998-01-31	PRIJEM	\N	54	13939	UROK	\N	\N
3594248	1928	1998-02-28	PRIJEM	\N	70	19200	UROK	\N	\N
3594249	1928	1998-03-31	PRIJEM	\N	76	20683	UROK	\N	\N
3594250	1928	1998-04-30	PRIJEM	\N	102	30273	UROK	\N	\N
3594251	1928	1998-05-31	PRIJEM	\N	42	24183	UROK	\N	\N
3594252	1928	1998-06-30	PRIJEM	\N	127	33353	UROK	\N	\N
3594253	1928	1998-07-31	PRIJEM	\N	144	36587	UROK	\N	\N
3594254	1928	1998-08-31	PRIJEM	\N	146	32407	UROK	\N	\N
3594255	1928	1998-09-30	PRIJEM	\N	151	37548	UROK	\N	\N
3594256	1928	1998-10-31	PRIJEM	\N	168	36506	UROK	\N	\N
3594257	1928	1998-11-30	PRIJEM	\N	167	38464	UROK	\N	\N
3594258	1928	1998-12-31	PRIJEM	\N	176	33866	UROK	\N	\N
3594259	1929	1997-07-31	PRIJEM	\N	13	4473	UROK	\N	\N
3594260	1929	1997-08-31	PRIJEM	\N	66	21399	UROK	\N	\N
3594261	1929	1997-09-30	PRIJEM	\N	116	31074	UROK	\N	\N
3594262	1929	1997-10-31	PRIJEM	\N	147	37381	UROK	\N	\N
3594263	1929	1997-11-30	PRIJEM	\N	171	42912	UROK	\N	\N
3594264	1929	1997-12-31	PRIJEM	\N	182	44252	UROK	\N	\N
3594265	1929	1998-01-31	PRIJEM	\N	179	39390	UROK	\N	\N
3594266	1929	1998-02-28	PRIJEM	\N	181	45589	UROK	\N	\N
3594267	1929	1998-03-31	PRIJEM	\N	210	51888	UROK	\N	\N
3594268	1929	1998-04-30	PRIJEM	\N	232	56858	UROK	\N	\N
3594269	1929	1998-05-31	PRIJEM	\N	237	57513	UROK	\N	\N
3594270	1929	1998-06-30	PRIJEM	\N	223	50884	UROK	\N	\N
3594271	1929	1998-07-31	PRIJEM	\N	217	53120	UROK	\N	\N
3594272	1929	1998-08-31	PRIJEM	\N	216	49354	UROK	\N	\N
3594273	1929	1998-09-30	PRIJEM	\N	210	51283	UROK	\N	\N
3594274	1929	1998-10-31	PRIJEM	\N	217	49518	UROK	\N	\N
3594275	1929	1998-11-30	PRIJEM	\N	211	51348	UROK	\N	\N
3594276	1929	1998-12-31	PRIJEM	\N	219	54985	UROK	\N	\N
3594277	1930	1993-10-31	PRIJEM	\N	22	23802	UROK	\N	\N
3594278	1930	1993-11-30	PRIJEM	\N	105	29827	UROK	\N	\N
3594279	1930	1993-12-31	PRIJEM	\N	120	25420	UROK	\N	\N
3594280	1930	1994-01-31	PRIJEM	\N	92	18355	UROK	\N	\N
3594281	1930	1994-02-28	PRIJEM	\N	86	21723	UROK	\N	\N
3594282	1930	1994-03-31	PRIJEM	\N	93	21178	UROK	\N	\N
3594283	1930	1994-04-30	PRIJEM	\N	98	24258	UROK	\N	\N
3594284	1930	1994-05-31	PRIJEM	\N	109	26369	UROK	\N	\N
3594285	1930	1994-06-30	PRIJEM	\N	113	23664	UROK	\N	\N
3594286	1930	1994-07-31	PRIJEM	\N	106	24152	UROK	\N	\N
3594287	1930	1994-08-31	PRIJEM	\N	110	27544	UROK	\N	\N
3594288	1930	1994-09-30	PRIJEM	\N	116	25343	UROK	\N	\N
3594289	1930	1994-10-31	PRIJEM	\N	110	25735	UROK	\N	\N
3594290	1930	1994-11-30	PRIJEM	\N	112	26029	UROK	\N	\N
3594291	1930	1994-12-31	PRIJEM	\N	111	24522	UROK	\N	\N
3594292	1930	1995-01-31	PRIJEM	\N	79	14133	UROK	\N	\N
3594293	1930	1995-02-28	PRIJEM	\N	68	17483	UROK	\N	\N
3594294	1930	1995-03-31	PRIJEM	\N	82	20848	UROK	\N	\N
3594295	1930	1995-04-30	PRIJEM	\N	89	21439	UROK	\N	\N
3594296	1930	1995-05-31	PRIJEM	\N	99	24820	UROK	\N	\N
3594297	1930	1995-06-30	PRIJEM	\N	98	22500	UROK	\N	\N
3594298	1930	1995-07-31	PRIJEM	\N	103	25886	UROK	\N	\N
3594299	1930	1995-08-31	PRIJEM	\N	100	18968	UROK	\N	\N
3594300	1930	1995-09-30	PRIJEM	\N	80	18410	UROK	\N	\N
3594301	1930	1995-10-31	PRIJEM	\N	86	21778	UROK	\N	\N
3594302	1930	1995-11-30	PRIJEM	\N	98	24359	UROK	\N	\N
3594303	1930	1995-12-31	PRIJEM	\N	105	24816	UROK	\N	\N
3594304	1930	1996-01-31	PRIJEM	\N	89	18868	UROK	\N	\N
3594305	1930	1996-02-29	PRIJEM	\N	84	21273	UROK	\N	\N
3594306	1930	1996-03-31	PRIJEM	\N	96	22891	UROK	\N	\N
3594307	1930	1996-04-30	PRIJEM	\N	99	24993	UROK	\N	\N
3594308	1930	1996-05-31	PRIJEM	\N	108	26584	UROK	\N	\N
3594309	1930	1996-06-30	PRIJEM	\N	91	18987	UROK	\N	\N
3594310	1930	1996-07-31	PRIJEM	\N	83	20513	UROK	\N	\N
3594311	1930	1996-08-31	PRIJEM	\N	91	18466	UROK	\N	\N
3594312	1930	1996-09-30	PRIJEM	\N	86	21834	UROK	\N	\N
3594313	1930	1996-10-31	PRIJEM	\N	93	21689	UROK	\N	\N
3594314	1930	1996-11-30	PRIJEM	\N	89	21960	UROK	\N	\N
3594315	1930	1996-12-31	PRIJEM	\N	96	24339	UROK	\N	\N
3594316	1930	1997-01-31	PRIJEM	\N	75	15436	UROK	\N	\N
3594317	1930	1997-02-28	PRIJEM	\N	65	16644	UROK	\N	\N
3594318	1930	1997-03-31	PRIJEM	\N	78	20004	UROK	\N	\N
3594319	1930	1997-04-30	PRIJEM	\N	80	19866	UROK	\N	\N
3594320	1930	1997-05-31	PRIJEM	\N	80	20028	UROK	\N	\N
3594321	1930	1997-06-30	PRIJEM	\N	83	18384	UROK	\N	\N
3594322	1930	1997-07-31	PRIJEM	\N	84	21650	UROK	\N	\N
3594323	1930	1997-08-31	PRIJEM	\N	95	24227	UROK	\N	\N
3594324	1930	1997-09-30	PRIJEM	\N	99	24808	UROK	\N	\N
3594325	1930	1997-10-31	PRIJEM	\N	91	22081	UROK	\N	\N
3594326	1930	1997-11-30	PRIJEM	\N	87	21751	UROK	\N	\N
3594327	1930	1997-12-31	PRIJEM	\N	94	23927	UROK	\N	\N
3594328	1930	1998-01-31	PRIJEM	\N	76	15905	UROK	\N	\N
3594329	1930	1998-02-28	PRIJEM	\N	74	19261	UROK	\N	\N
3594330	1930	1998-03-31	PRIJEM	\N	84	19507	UROK	\N	\N
3594331	1930	1998-04-30	PRIJEM	\N	84	21754	UROK	\N	\N
3594332	1930	1998-05-31	PRIJEM	\N	98	25134	UROK	\N	\N
3594333	1930	1998-06-30	PRIJEM	\N	100	23137	UROK	\N	\N
3594334	1930	1998-07-31	PRIJEM	\N	104	26523	UROK	\N	\N
3594335	1930	1998-08-31	PRIJEM	\N	110	26235	UROK	\N	\N
3594336	1930	1998-09-30	PRIJEM	\N	115	26433	UROK	\N	\N
3594337	1930	1998-10-31	PRIJEM	\N	117	29833	UROK	\N	\N
3594338	1930	1998-11-30	PRIJEM	\N	131	33246	UROK	\N	\N
3594339	1930	1998-12-31	PRIJEM	\N	144	35223	UROK	\N	\N
3594340	1931	1993-12-31	PRIJEM	\N	22	18024	UROK	\N	\N
3594341	1931	1994-01-31	PRIJEM	\N	86	26145	UROK	\N	\N
3594342	1931	1994-02-28	PRIJEM	\N	111	28191	UROK	\N	\N
3594343	1931	1994-03-31	PRIJEM	\N	118	28644	UROK	\N	\N
3594344	1931	1994-04-30	PRIJEM	\N	131	29586	UROK	\N	\N
3594345	1931	1994-05-31	PRIJEM	\N	123	26507	UROK	\N	\N
3594346	1931	1994-06-30	PRIJEM	\N	125	28996	UROK	\N	\N
3594347	1931	1994-07-31	PRIJEM	\N	122	27316	UROK	\N	\N
3594348	1931	1994-08-31	PRIJEM	\N	117	27530	UROK	\N	\N
3594349	1931	1994-09-30	PRIJEM	\N	116	26343	UROK	\N	\N
3594350	1931	1994-10-31	PRIJEM	\N	117	29158	UROK	\N	\N
3594351	1931	1994-11-30	PRIJEM	\N	120	27075	UROK	\N	\N
3594352	1931	1994-12-31	PRIJEM	\N	125	29085	UROK	\N	\N
3594353	1931	1995-01-31	PRIJEM	\N	90	17872	UROK	\N	\N
3594354	1931	1995-02-28	PRIJEM	\N	83	21232	UROK	\N	\N
3594355	1931	1995-03-31	PRIJEM	\N	96	24126	UROK	\N	\N
3594356	1931	1995-04-30	PRIJEM	\N	98	22721	UROK	\N	\N
3594357	1931	1995-05-31	PRIJEM	\N	108	25866	UROK	\N	\N
3594358	1931	1995-06-30	PRIJEM	\N	115	13306	UROK	\N	\N
3594359	1931	1995-07-31	PRIJEM	\N	71	19874	UROK	\N	\N
3594360	1931	1995-08-31	PRIJEM	\N	94	24666	UROK	\N	\N
3594361	1931	1995-09-30	PRIJEM	\N	96	21760	UROK	\N	\N
3594362	1931	1995-10-31	PRIJEM	\N	96	23953	UROK	\N	\N
3594363	1931	1995-11-30	PRIJEM	\N	82	19712	UROK	\N	\N
3594364	1931	1995-12-31	PRIJEM	\N	82	20859	UROK	\N	\N
3594365	1931	1996-01-31	PRIJEM	\N	78	13954	UROK	\N	\N
3594366	1931	1996-02-29	PRIJEM	\N	66	17217	UROK	\N	\N
3594367	1931	1996-03-31	PRIJEM	\N	74	18288	UROK	\N	\N
3594368	1931	1996-04-30	PRIJEM	\N	70	14576	UROK	\N	\N
3594369	1931	1996-05-31	PRIJEM	\N	64	13677	UROK	\N	\N
3594370	1931	1996-06-30	PRIJEM	\N	85	23827	UROK	\N	\N
3594371	1931	1996-07-31	PRIJEM	\N	108	29032	UROK	\N	\N
3594372	1931	1996-08-31	PRIJEM	\N	122	30051	UROK	\N	\N
3594373	1931	1996-09-30	PRIJEM	\N	129	32277	UROK	\N	\N
3594374	1931	1996-10-31	PRIJEM	\N	126	29360	UROK	\N	\N
3594375	1931	1996-11-30	PRIJEM	\N	119	29116	UROK	\N	\N
3594376	1931	1996-12-31	PRIJEM	\N	146	36667	UROK	\N	\N
3594377	1931	1997-01-31	PRIJEM	\N	124	26989	UROK	\N	\N
3594378	1931	1997-02-28	PRIJEM	\N	130	34016	UROK	\N	\N
3594379	1931	1997-03-31	PRIJEM	\N	158	40271	UROK	\N	\N
3594380	1931	1997-04-30	PRIJEM	\N	169	42438	UROK	\N	\N
3594381	1931	1997-05-31	PRIJEM	\N	171	42607	UROK	\N	\N
3594382	1931	1997-06-30	PRIJEM	\N	124	30455	UROK	\N	\N
3594383	1931	1997-07-31	PRIJEM	\N	118	29770	UROK	\N	\N
3594384	1931	1997-08-31	PRIJEM	\N	90	20658	UROK	\N	\N
3594385	1931	1997-09-30	PRIJEM	\N	83	21538	UROK	\N	\N
3594386	1931	1997-10-31	PRIJEM	\N	78	19913	UROK	\N	\N
3594387	1931	1997-11-30	PRIJEM	\N	81	21191	UROK	\N	\N
3594388	1931	1997-12-31	PRIJEM	\N	77	19513	UROK	\N	\N
3594389	1931	1998-01-31	PRIJEM	\N	68	16318	UROK	\N	\N
3594390	1931	1998-02-28	PRIJEM	\N	74	19489	UROK	\N	\N
3594391	1931	1998-03-31	PRIJEM	\N	64	16450	UROK	\N	\N
3594392	1931	1998-04-30	PRIJEM	\N	76	20724	UROK	\N	\N
3594393	1931	1998-05-31	PRIJEM	\N	82	21703	UROK	\N	\N
3594394	1931	1998-06-30	PRIJEM	\N	78	20346	UROK	\N	\N
3594395	1931	1998-07-31	PRIJEM	\N	88	13831	UROK	\N	\N
3594396	1931	1998-08-31	PRIJEM	\N	63	16792	UROK	\N	\N
3594397	1931	1998-09-30	PRIJEM	\N	71	17421	UROK	\N	\N
3594398	1931	1998-10-31	PRIJEM	\N	72	15670	UROK	\N	\N
3594399	1931	1998-11-30	PRIJEM	\N	68	13636	UROK	\N	\N
3594400	1931	1998-12-31	PRIJEM	\N	71	17511	UROK	\N	\N
3594401	1933	1997-04-30	PRIJEM	\N	17	6823	UROK	\N	\N
3594402	1933	1997-05-31	PRIJEM	\N	28	12557	UROK	\N	\N
3594403	1933	1997-06-30	PRIJEM	\N	28	18292	UROK	\N	\N
3594404	1933	1997-07-31	PRIJEM	\N	28	24026	UROK	\N	\N
3594405	1933	1997-08-31	PRIJEM	\N	83	22051	UROK	\N	\N
3594406	1933	1997-09-30	PRIJEM	\N	98	21157	UROK	\N	\N
3594407	1933	1997-10-31	PRIJEM	\N	102	23147	UROK	\N	\N
3594408	1933	1997-11-30	PRIJEM	\N	101	25135	UROK	\N	\N
3594409	1933	1997-12-31	PRIJEM	\N	116	26139	UROK	\N	\N
3594410	1933	1998-01-31	PRIJEM	\N	84	14741	UROK	\N	\N
3594411	1933	1998-02-28	PRIJEM	\N	74	16702	UROK	\N	\N
3594412	1933	1998-03-31	PRIJEM	\N	74	18664	UROK	\N	\N
3594413	1933	1998-04-30	PRIJEM	\N	82	20634	UROK	\N	\N
3594414	1933	1998-05-31	PRIJEM	\N	91	19092	UROK	\N	\N
3594415	1933	1998-06-30	PRIJEM	\N	93	21072	UROK	\N	\N
3594416	1933	1998-07-31	PRIJEM	\N	85	18725	UROK	\N	\N
3594417	1933	1998-08-31	PRIJEM	\N	83	20695	UROK	\N	\N
3594418	1933	1998-09-30	PRIJEM	\N	88	21631	UROK	\N	\N
3594419	1933	1998-10-31	PRIJEM	\N	85	17043	UROK	\N	\N
3594420	1933	1998-11-30	PRIJEM	\N	73	17883	UROK	\N	\N
3594421	1933	1998-12-31	PRIJEM	\N	77	15677	UROK	\N	\N
3594422	1934	1994-10-31	PRIJEM	\N	33	11316	UROK	\N	\N
3594423	1934	1994-11-30	PRIJEM	\N	95	27895	UROK	\N	\N
3594424	1934	1994-12-31	PRIJEM	\N	153	40622	UROK	\N	\N
3594425	1934	1995-01-31	PRIJEM	\N	177	43382	UROK	\N	\N
3594426	1934	1995-02-28	PRIJEM	\N	166	37508	UROK	\N	\N
3594427	1934	1995-03-31	PRIJEM	\N	144	29718	UROK	\N	\N
3594428	1934	1995-04-30	PRIJEM	\N	108	25913	UROK	\N	\N
3594429	1934	1995-05-31	PRIJEM	\N	114	27613	UROK	\N	\N
3594430	1934	1995-06-30	PRIJEM	\N	116	29186	UROK	\N	\N
3594431	1934	1995-07-31	PRIJEM	\N	127	28680	UROK	\N	\N
3594432	1934	1995-08-31	PRIJEM	\N	124	28011	UROK	\N	\N
3594433	1934	1995-09-30	PRIJEM	\N	128	31785	UROK	\N	\N
3594434	1934	1995-10-31	PRIJEM	\N	133	29765	UROK	\N	\N
3594435	1934	1995-11-30	PRIJEM	\N	135	32046	UROK	\N	\N
3594436	1934	1995-12-31	PRIJEM	\N	148	31291	UROK	\N	\N
3594437	1934	1996-01-31	PRIJEM	\N	115	23173	UROK	\N	\N
3594438	1934	1996-02-29	PRIJEM	\N	99	25879	UROK	\N	\N
3594439	1934	1996-03-31	PRIJEM	\N	112	28857	UROK	\N	\N
3594440	1934	1996-04-30	PRIJEM	\N	125	32748	UROK	\N	\N
3594441	1934	1996-05-31	PRIJEM	\N	143	32677	UROK	\N	\N
3594442	1934	1996-06-30	PRIJEM	\N	153	25528	UROK	\N	\N
3594443	1934	1996-07-31	PRIJEM	\N	121	32995	UROK	\N	\N
3594444	1934	1996-08-31	PRIJEM	\N	152	40493	UROK	\N	\N
3594445	1934	1996-09-30	PRIJEM	\N	181	44920	UROK	\N	\N
3594446	1934	1996-10-31	PRIJEM	\N	192	42958	UROK	\N	\N
3594447	1934	1996-11-30	PRIJEM	\N	189	45593	UROK	\N	\N
3594448	1934	1996-12-31	PRIJEM	\N	213	50844	UROK	\N	\N
3594449	1934	1997-01-31	PRIJEM	\N	194	34744	UROK	\N	\N
3594450	1934	1997-02-28	PRIJEM	\N	168	48758	UROK	\N	\N
3594451	1934	1997-03-31	PRIJEM	\N	214	51638	UROK	\N	\N
3594452	1934	1997-04-30	PRIJEM	\N	230	58414	UROK	\N	\N
3594453	1934	1997-05-31	PRIJEM	\N	244	59245	UROK	\N	\N
3594454	1934	1997-06-30	PRIJEM	\N	204	46426	UROK	\N	\N
3594455	1934	1997-07-31	PRIJEM	\N	221	61593	UROK	\N	\N
3594456	1934	1997-08-31	PRIJEM	\N	266	65005	UROK	\N	\N
3594457	1934	1997-09-30	PRIJEM	\N	280	68332	UROK	\N	\N
3594458	1934	1997-10-31	PRIJEM	\N	287	68445	UROK	\N	\N
3594459	1934	1997-11-30	PRIJEM	\N	295	72186	UROK	\N	\N
3594460	1934	1997-12-31	PRIJEM	\N	317	76201	UROK	\N	\N
3594461	1934	1998-01-31	PRIJEM	\N	308	66815	UROK	\N	\N
3594462	1934	1998-02-28	PRIJEM	\N	299	76660	UROK	\N	\N
3594463	1934	1998-03-31	PRIJEM	\N	332	82038	UROK	\N	\N
3594464	1934	1998-04-30	PRIJEM	\N	333	75158	UROK	\N	\N
3594465	1934	1998-05-31	PRIJEM	\N	317	76602	UROK	\N	\N
3594466	1934	1998-06-30	PRIJEM	\N	295	61674	UROK	\N	\N
3594467	1934	1998-07-31	PRIJEM	\N	283	72903	UROK	\N	\N
3594468	1934	1998-08-31	PRIJEM	\N	329	84079	UROK	\N	\N
3594469	1934	1998-09-30	PRIJEM	\N	360	88585	UROK	\N	\N
3594470	1934	1998-10-31	PRIJEM	\N	374	91006	UROK	\N	\N
3594471	1934	1998-11-30	PRIJEM	\N	400	96252	UROK	\N	\N
3594472	1934	1998-12-31	PRIJEM	\N	357	75526	UROK	\N	\N
3594473	1936	1995-12-31	PRIJEM	\N	43	14462	UROK	\N	\N
3594474	1936	1996-01-31	PRIJEM	\N	55	12273	UROK	\N	\N
3594475	1936	1996-02-29	PRIJEM	\N	54	13384	UROK	\N	\N
3594476	1936	1996-03-31	PRIJEM	\N	59	14499	UROK	\N	\N
3594477	1936	1996-04-30	PRIJEM	\N	64	15619	UROK	\N	\N
3594478	1936	1996-05-31	PRIJEM	\N	67	15123	UROK	\N	\N
3594479	1936	1996-06-30	PRIJEM	\N	64	14863	UROK	\N	\N
3594480	1936	1996-07-31	PRIJEM	\N	65	15985	UROK	\N	\N
3594481	1936	1996-08-31	PRIJEM	\N	70	17111	UROK	\N	\N
3594482	1936	1996-09-30	PRIJEM	\N	74	18241	UROK	\N	\N
3594483	1936	1996-10-31	PRIJEM	\N	79	19377	UROK	\N	\N
3594484	1936	1996-11-30	PRIJEM	\N	83	20117	UROK	\N	\N
3594485	1936	1996-12-31	PRIJEM	\N	84	20227	UROK	\N	\N
3594486	1936	1997-01-31	PRIJEM	\N	69	15503	UROK	\N	\N
3594487	1936	1997-02-28	PRIJEM	\N	68	16627	UROK	\N	\N
3594488	1936	1997-03-31	PRIJEM	\N	72	17755	UROK	\N	\N
3594489	1936	1997-04-30	PRIJEM	\N	76	18588	UROK	\N	\N
3594490	1936	1997-05-31	PRIJEM	\N	80	19725	UROK	\N	\N
3594491	1936	1997-06-30	PRIJEM	\N	72	16443	UROK	\N	\N
3594492	1936	1997-07-31	PRIJEM	\N	71	17571	UROK	\N	\N
3594493	1936	1997-08-31	PRIJEM	\N	76	18043	UROK	\N	\N
3594494	1936	1997-09-30	PRIJEM	\N	78	19178	UROK	\N	\N
3594495	1936	1997-10-31	PRIJEM	\N	79	17853	UROK	\N	\N
3594496	1936	1997-11-30	PRIJEM	\N	77	18986	UROK	\N	\N
3594497	1936	1997-12-31	PRIJEM	\N	82	19705	UROK	\N	\N
3594498	1936	1998-01-31	PRIJEM	\N	80	16221	UROK	\N	\N
3594499	1936	1998-02-28	PRIJEM	\N	70	17348	UROK	\N	\N
3594500	1936	1998-03-31	PRIJEM	\N	72	17246	UROK	\N	\N
3594501	1936	1998-04-30	PRIJEM	\N	75	18377	UROK	\N	\N
3594502	1936	1998-05-31	PRIJEM	\N	78	18942	UROK	\N	\N
3594503	1936	1998-06-30	PRIJEM	\N	80	18878	UROK	\N	\N
3594504	1936	1998-07-31	PRIJEM	\N	81	20015	UROK	\N	\N
3594505	1936	1998-08-31	PRIJEM	\N	86	21158	UROK	\N	\N
3594506	1936	1998-09-30	PRIJEM	\N	88	21252	UROK	\N	\N
3594507	1936	1998-10-31	PRIJEM	\N	90	21919	UROK	\N	\N
3594508	1936	1998-11-30	PRIJEM	\N	94	23069	UROK	\N	\N
3594509	1936	1998-12-31	PRIJEM	\N	98	23953	UROK	\N	\N
3594510	1937	1993-10-31	PRIJEM	\N	52	21299	UROK	\N	\N
3594511	1937	1993-11-30	PRIJEM	\N	93	23340	UROK	\N	\N
3594512	1937	1993-12-31	PRIJEM	\N	102	25041	UROK	\N	\N
3594513	1937	1994-01-31	PRIJEM	\N	91	16191	UROK	\N	\N
3594514	1937	1994-02-28	PRIJEM	\N	71	17731	UROK	\N	\N
3594515	1937	1994-03-31	PRIJEM	\N	72	16871	UROK	\N	\N
3594516	1937	1994-04-30	PRIJEM	\N	75	18894	UROK	\N	\N
3594517	1937	1994-05-31	PRIJEM	\N	82	19884	UROK	\N	\N
3594518	1937	1994-06-30	PRIJEM	\N	74	15547	UROK	\N	\N
3594519	1937	1994-07-31	PRIJEM	\N	70	17366	UROK	\N	\N
3594520	1937	1994-08-31	PRIJEM	\N	77	19391	UROK	\N	\N
3594521	1937	1994-09-30	PRIJEM	\N	86	21326	UROK	\N	\N
3594522	1937	1994-10-31	PRIJEM	\N	88	20322	UROK	\N	\N
3594523	1937	1994-11-30	PRIJEM	\N	89	22360	UROK	\N	\N
3594524	1937	1994-12-31	PRIJEM	\N	96	23304	UROK	\N	\N
3594525	1937	1995-01-31	PRIJEM	\N	82	14364	UROK	\N	\N
3594526	1937	1995-02-28	PRIJEM	\N	64	16377	UROK	\N	\N
3594527	1937	1995-03-31	PRIJEM	\N	68	15433	UROK	\N	\N
3594528	1937	1995-04-30	PRIJEM	\N	69	17450	UROK	\N	\N
3594529	1937	1995-05-31	PRIJEM	\N	75	18334	UROK	\N	\N
3594530	1937	1995-06-30	PRIJEM	\N	80	19562	UROK	\N	\N
3594531	1937	1995-07-31	PRIJEM	\N	86	21596	UROK	\N	\N
3594532	1937	1995-08-31	PRIJEM	\N	94	23639	UROK	\N	\N
3594533	1937	1995-09-30	PRIJEM	\N	96	22684	UROK	\N	\N
3594534	1937	1995-10-31	PRIJEM	\N	92	21524	UROK	\N	\N
3594535	1937	1995-11-30	PRIJEM	\N	85	17237	UROK	\N	\N
3594536	1937	1995-12-31	PRIJEM	\N	71	15986	UROK	\N	\N
3594537	1937	1996-01-31	PRIJEM	\N	64	15199	UROK	\N	\N
3594538	1937	1996-02-29	PRIJEM	\N	67	17214	UROK	\N	\N
3594539	1937	1996-03-31	PRIJEM	\N	76	19238	UROK	\N	\N
3594540	1937	1996-04-30	PRIJEM	\N	83	20390	UROK	\N	\N
3594541	1937	1996-05-31	PRIJEM	\N	82	20281	UROK	\N	\N
3594542	1937	1996-06-30	PRIJEM	\N	86	18515	UROK	\N	\N
3594543	1937	1996-07-31	PRIJEM	\N	81	20544	UROK	\N	\N
3594544	1937	1996-08-31	PRIJEM	\N	87	21859	UROK	\N	\N
3594545	1937	1996-09-30	PRIJEM	\N	95	23902	UROK	\N	\N
3594546	1937	1996-10-31	PRIJEM	\N	103	25454	UROK	\N	\N
3594547	1937	1996-11-30	PRIJEM	\N	104	23826	UROK	\N	\N
3594548	1937	1996-12-31	PRIJEM	\N	101	21895	UROK	\N	\N
3594549	1937	1997-01-31	PRIJEM	\N	70	14504	UROK	\N	\N
3594550	1937	1997-02-28	PRIJEM	\N	64	16516	UROK	\N	\N
3594551	1937	1997-03-31	PRIJEM	\N	72	18536	UROK	\N	\N
3594552	1937	1997-04-30	PRIJEM	\N	78	19043	UROK	\N	\N
3594553	1937	1997-05-31	PRIJEM	\N	83	21074	UROK	\N	\N
3594554	1937	1997-06-30	PRIJEM	\N	76	14768	UROK	\N	\N
3594555	1937	1997-07-31	PRIJEM	\N	65	16781	UROK	\N	\N
3594556	1937	1997-08-31	PRIJEM	\N	73	18803	UROK	\N	\N
3594557	1937	1997-09-30	PRIJEM	\N	80	19951	UROK	\N	\N
3594558	1937	1997-10-31	PRIJEM	\N	86	21986	UROK	\N	\N
3594559	1937	1997-11-30	PRIJEM	\N	94	21708	UROK	\N	\N
3594560	1937	1997-12-31	PRIJEM	\N	92	22349	UROK	\N	\N
3594561	1937	1998-01-31	PRIJEM	\N	81	15498	UROK	\N	\N
3594562	1937	1998-02-28	PRIJEM	\N	67	17514	UROK	\N	\N
3594563	1937	1998-03-31	PRIJEM	\N	72	16334	UROK	\N	\N
3594564	1937	1998-04-30	PRIJEM	\N	67	15049	UROK	\N	\N
3594565	1937	1998-05-31	PRIJEM	\N	63	15260	UROK	\N	\N
3594566	1937	1998-06-30	PRIJEM	\N	65	16774	UROK	\N	\N
3594567	1937	1998-07-31	PRIJEM	\N	71	17594	UROK	\N	\N
3594568	1937	1998-08-31	PRIJEM	\N	69	15311	UROK	\N	\N
3594569	1937	1998-09-30	PRIJEM	\N	62	14922	UROK	\N	\N
3594570	1937	1998-10-31	PRIJEM	\N	64	15974	UROK	\N	\N
3594571	1937	1998-11-30	PRIJEM	\N	69	17991	UROK	\N	\N
3594572	1937	1998-12-31	PRIJEM	\N	72	17111	UROK	\N	\N
3594573	1938	1994-07-31	PRIJEM	\N	21	22271	UROK	\N	\N
3594574	1938	1994-08-31	PRIJEM	\N	107	36028	UROK	\N	\N
3594575	1938	1994-09-30	PRIJEM	\N	157	42635	UROK	\N	\N
3594576	1938	1994-10-31	PRIJEM	\N	179	44665	UROK	\N	\N
3594577	1938	1994-11-30	PRIJEM	\N	206	43575	UROK	\N	\N
3594578	1938	1994-12-31	PRIJEM	\N	226	46525	UROK	\N	\N
3594579	1938	1995-01-31	PRIJEM	\N	207	33422	UROK	\N	\N
3594580	1938	1995-02-28	PRIJEM	\N	164	36575	UROK	\N	\N
3594581	1938	1995-03-31	PRIJEM	\N	177	39141	UROK	\N	\N
3594582	1938	1995-04-30	PRIJEM	\N	187	40517	UROK	\N	\N
3594583	1938	1995-05-31	PRIJEM	\N	187	40494	UROK	\N	\N
3594584	1938	1995-06-30	PRIJEM	\N	188	42486	UROK	\N	\N
3594585	1938	1995-07-31	PRIJEM	\N	198	45774	UROK	\N	\N
3594586	1938	1995-08-31	PRIJEM	\N	200	45023	UROK	\N	\N
3594587	1938	1995-09-30	PRIJEM	\N	200	45713	UROK	\N	\N
3594588	1938	1995-10-31	PRIJEM	\N	198	44001	UROK	\N	\N
3594589	1938	1995-11-30	PRIJEM	\N	198	47188	UROK	\N	\N
3594590	1938	1995-12-31	PRIJEM	\N	217	48590	UROK	\N	\N
3594591	1938	1996-01-31	PRIJEM	\N	210	34029	UROK	\N	\N
3594592	1938	1996-02-29	PRIJEM	\N	162	41280	UROK	\N	\N
3594593	1938	1996-03-31	PRIJEM	\N	172	38721	UROK	\N	\N
3594594	1938	1996-04-30	PRIJEM	\N	175	42885	UROK	\N	\N
3594595	1938	1996-05-31	PRIJEM	\N	188	45162	UROK	\N	\N
3594596	1938	1996-06-30	PRIJEM	\N	160	24286	UROK	\N	\N
3594597	1938	1996-07-31	PRIJEM	\N	131	36007	UROK	\N	\N
3594598	1938	1996-08-31	PRIJEM	\N	166	42662	UROK	\N	\N
3594599	1938	1996-09-30	PRIJEM	\N	165	37916	UROK	\N	\N
3594600	1938	1996-10-31	PRIJEM	\N	164	40470	UROK	\N	\N
3594601	1938	1996-11-30	PRIJEM	\N	171	36670	UROK	\N	\N
3594602	1938	1996-12-31	PRIJEM	\N	198	43573	UROK	\N	\N
3594603	1938	1997-01-31	PRIJEM	\N	170	33992	UROK	\N	\N
3594604	1938	1997-02-28	PRIJEM	\N	149	35731	UROK	\N	\N
3594605	1938	1997-03-31	PRIJEM	\N	161	34681	UROK	\N	\N
3594606	1938	1997-04-30	PRIJEM	\N	136	32245	UROK	\N	\N
3594607	1938	1997-05-31	PRIJEM	\N	153	38488	UROK	\N	\N
3594608	1938	1997-06-30	PRIJEM	\N	157	34570	UROK	\N	\N
3594609	1938	1997-07-31	PRIJEM	\N	154	33493	UROK	\N	\N
3594610	1938	1997-08-31	PRIJEM	\N	150	36033	UROK	\N	\N
3594611	1938	1997-09-30	PRIJEM	\N	169	40891	UROK	\N	\N
3594612	1938	1997-10-31	PRIJEM	\N	174	41155	UROK	\N	\N
3594613	1938	1997-11-30	PRIJEM	\N	169	34073	UROK	\N	\N
3594614	1938	1997-12-31	PRIJEM	\N	174	41832	UROK	\N	\N
3594615	1938	1998-01-31	PRIJEM	\N	159	26980	UROK	\N	\N
3594616	1938	1998-02-28	PRIJEM	\N	176	40725	UROK	\N	\N
3594617	1938	1998-03-31	PRIJEM	\N	164	38379	UROK	\N	\N
3594618	1938	1998-04-30	PRIJEM	\N	155	34324	UROK	\N	\N
3594619	1938	1998-05-31	PRIJEM	\N	149	35062	UROK	\N	\N
3594620	1938	1998-06-30	PRIJEM	\N	133	26540	UROK	\N	\N
3594621	1938	1998-07-31	PRIJEM	\N	184	45813	UROK	\N	\N
3594622	1938	1998-08-31	PRIJEM	\N	225	54328	UROK	\N	\N
3594623	1938	1998-09-30	PRIJEM	\N	209	48466	UROK	\N	\N
3594624	1938	1998-10-31	PRIJEM	\N	226	54181	UROK	\N	\N
3594625	1938	1998-11-30	PRIJEM	\N	249	59719	UROK	\N	\N
3594626	1938	1998-12-31	PRIJEM	\N	288	67292	UROK	\N	\N
3594627	1939	1996-05-31	PRIJEM	\N	62	35448	UROK	\N	\N
3594628	1939	1996-06-30	PRIJEM	\N	173	39450	UROK	\N	\N
3594629	1939	1996-07-31	PRIJEM	\N	197	57434	UROK	\N	\N
3594630	1939	1996-08-31	PRIJEM	\N	251	63771	UROK	\N	\N
3594631	1939	1996-09-30	PRIJEM	\N	270	49727	UROK	\N	\N
3594632	1939	1996-10-31	PRIJEM	\N	229	50412	UROK	\N	\N
3594633	1939	1996-11-30	PRIJEM	\N	246	56531	UROK	\N	\N
3594634	1939	1996-12-31	PRIJEM	\N	237	43283	UROK	\N	\N
3594635	1939	1997-01-31	PRIJEM	\N	154	20111	UROK	\N	\N
3594636	1939	1997-02-28	PRIJEM	\N	125	27836	UROK	\N	\N
3594637	1939	1997-03-31	PRIJEM	\N	176	44885	UROK	\N	\N
3594638	1939	1997-04-30	PRIJEM	\N	200	42355	UROK	\N	\N
3594639	1939	1997-05-31	PRIJEM	\N	188	33616	UROK	\N	\N
3594640	1939	1997-06-30	PRIJEM	\N	171	28118	UROK	\N	\N
3594641	1939	1997-07-31	PRIJEM	\N	156	40047	UROK	\N	\N
3594642	1939	1997-08-31	PRIJEM	\N	186	40742	UROK	\N	\N
3594643	1939	1997-09-30	PRIJEM	\N	166	43981	UROK	\N	\N
3594644	1939	1997-10-31	PRIJEM	\N	283	24480	UROK	\N	\N
3594645	1939	1997-11-30	PRIJEM	\N	164	39934	UROK	\N	\N
3594646	1939	1997-12-31	PRIJEM	\N	318	97068	UROK	\N	\N
3594647	1939	1998-01-31	PRIJEM	\N	305	66246	UROK	\N	\N
3594648	1939	1998-02-28	PRIJEM	\N	298	66491	UROK	\N	\N
3594649	1939	1998-03-31	PRIJEM	\N	329	87793	UROK	\N	\N
3594650	1939	1998-04-30	PRIJEM	\N	353	67463	UROK	\N	\N
3594651	1939	1998-05-31	PRIJEM	\N	322	85686	UROK	\N	\N
3594652	1939	1998-06-30	PRIJEM	\N	362	82864	UROK	\N	\N
3594653	1939	1998-07-31	PRIJEM	\N	359	95596	UROK	\N	\N
3594654	1939	1998-08-31	PRIJEM	\N	372	88536	UROK	\N	\N
3594655	1939	1998-09-30	PRIJEM	\N	356	93453	UROK	\N	\N
3594656	1939	1998-10-31	PRIJEM	\N	391	101034	UROK	\N	\N
3594657	1939	1998-11-30	PRIJEM	\N	405	108212	UROK	\N	\N
3594658	1939	1998-12-31	PRIJEM	\N	373	83417	UROK	\N	\N
3594659	1940	1994-05-31	PRIJEM	\N	70	20964	UROK	\N	\N
3594660	1940	1994-06-30	PRIJEM	\N	75	15078	UROK	\N	\N
3594661	1940	1994-07-31	PRIJEM	\N	64	14922	UROK	\N	\N
3594662	1940	1994-08-31	PRIJEM	\N	67	16529	UROK	\N	\N
3594663	1940	1994-09-30	PRIJEM	\N	74	18142	UROK	\N	\N
3594664	1940	1994-10-31	PRIJEM	\N	80	19202	UROK	\N	\N
3594665	1940	1994-11-30	PRIJEM	\N	83	19624	UROK	\N	\N
3594666	1940	1994-12-31	PRIJEM	\N	84	20098	UROK	\N	\N
3594667	1940	1995-01-31	PRIJEM	\N	62	12679	UROK	\N	\N
3594668	1940	1995-02-28	PRIJEM	\N	58	14276	UROK	\N	\N
3594669	1940	1995-03-31	PRIJEM	\N	65	15880	UROK	\N	\N
3594670	1940	1995-04-30	PRIJEM	\N	69	16368	UROK	\N	\N
3594671	1940	1995-05-31	PRIJEM	\N	73	17981	UROK	\N	\N
3594672	1940	1995-06-30	PRIJEM	\N	72	15892	UROK	\N	\N
3594673	1940	1995-07-31	PRIJEM	\N	67	15398	UROK	\N	\N
3594674	1940	1995-08-31	PRIJEM	\N	62	13999	UROK	\N	\N
3594675	1940	1995-09-30	PRIJEM	\N	57	13196	UROK	\N	\N
3594676	1940	1995-10-31	PRIJEM	\N	60	14795	UROK	\N	\N
3594677	1940	1995-11-30	PRIJEM	\N	57	12892	UROK	\N	\N
3594678	1940	1995-12-31	PRIJEM	\N	52	11984	UROK	\N	\N
3594679	1940	1996-01-31	PRIJEM	\N	51	12274	UROK	\N	\N
3594680	1940	1996-02-29	PRIJEM	\N	56	13869	UROK	\N	\N
3594681	1940	1996-03-31	PRIJEM	\N	56	13165	UROK	\N	\N
3594682	1940	1996-04-30	PRIJEM	\N	52	12056	UROK	\N	\N
3594683	1940	1996-05-31	PRIJEM	\N	55	13651	UROK	\N	\N
3594684	1940	1996-06-30	PRIJEM	\N	52	11942	UROK	\N	\N
3594685	1940	1996-07-31	PRIJEM	\N	55	13536	UROK	\N	\N
3594686	1940	1996-08-31	PRIJEM	\N	61	15136	UROK	\N	\N
3594687	1940	1996-09-30	PRIJEM	\N	68	16743	UROK	\N	\N
3594688	1940	1996-10-31	PRIJEM	\N	62	14505	UROK	\N	\N
3594689	1940	1996-11-30	PRIJEM	\N	65	16109	UROK	\N	\N
3594690	1940	1996-12-31	PRIJEM	\N	70	16918	UROK	\N	\N
3594691	1940	1997-01-31	PRIJEM	\N	63	14041	UROK	\N	\N
3594692	1940	1997-02-28	PRIJEM	\N	63	15643	UROK	\N	\N
3594693	1940	1997-03-31	PRIJEM	\N	70	17252	UROK	\N	\N
3594694	1940	1997-04-30	PRIJEM	\N	73	17345	UROK	\N	\N
3594695	1940	1997-05-31	PRIJEM	\N	77	18961	UROK	\N	\N
3594696	1940	1997-06-30	PRIJEM	\N	82	16982	UROK	\N	\N
3594697	1940	1997-07-31	PRIJEM	\N	71	14992	UROK	\N	\N
3594698	1940	1997-08-31	PRIJEM	\N	67	16599	UROK	\N	\N
3594699	1940	1997-09-30	PRIJEM	\N	67	15965	UROK	\N	\N
3594700	1940	1997-10-31	PRIJEM	\N	71	17575	UROK	\N	\N
3594701	1940	1997-11-30	PRIJEM	\N	77	19192	UROK	\N	\N
3594702	1940	1997-12-31	PRIJEM	\N	90	19031	UROK	\N	\N
3594703	1940	1998-01-31	PRIJEM	\N	59	13109	UROK	\N	\N
3594704	1940	1998-02-28	PRIJEM	\N	59	14707	UROK	\N	\N
3594705	1940	1998-03-31	PRIJEM	\N	65	16312	UROK	\N	\N
3594706	1940	1998-04-30	PRIJEM	\N	72	17923	UROK	\N	\N
3594707	1940	1998-05-31	PRIJEM	\N	79	19541	UROK	\N	\N
3594708	1940	1998-06-30	PRIJEM	\N	78	15559	UROK	\N	\N
3594709	1940	1998-07-31	PRIJEM	\N	69	17167	UROK	\N	\N
3594710	1940	1998-08-31	PRIJEM	\N	75	18782	UROK	\N	\N
3594711	1940	1998-09-30	PRIJEM	\N	81	19762	UROK	\N	\N
3594712	1940	1998-10-31	PRIJEM	\N	83	19784	UROK	\N	\N
3594713	1940	1998-11-30	PRIJEM	\N	86	21409	UROK	\N	\N
3594714	1940	1998-12-31	PRIJEM	\N	87	18516	UROK	\N	\N
3594715	1941	1993-12-31	PRIJEM	\N	51	22530	UROK	\N	\N
3594716	1941	1994-01-31	PRIJEM	\N	120	33569	UROK	\N	\N
3594717	1941	1994-02-28	PRIJEM	\N	143	35031	UROK	\N	\N
3594718	1941	1994-03-31	PRIJEM	\N	158	40307	UROK	\N	\N
3594719	1941	1994-04-30	PRIJEM	\N	171	41797	UROK	\N	\N
3594720	1941	1994-05-31	PRIJEM	\N	177	43179	UROK	\N	\N
3594721	1941	1994-06-30	PRIJEM	\N	184	40047	UROK	\N	\N
3594722	1941	1994-07-31	PRIJEM	\N	165	32356	UROK	\N	\N
3594723	1941	1994-08-31	PRIJEM	\N	164	41325	UROK	\N	\N
3594724	1941	1994-09-30	PRIJEM	\N	191	48820	UROK	\N	\N
3594725	1941	1994-10-31	PRIJEM	\N	213	52737	UROK	\N	\N
3594726	1941	1994-11-30	PRIJEM	\N	213	50154	UROK	\N	\N
3594727	1941	1994-12-31	PRIJEM	\N	230	58648	UROK	\N	\N
3594728	1941	1995-01-31	PRIJEM	\N	231	53483	UROK	\N	\N
3594729	1941	1995-02-28	PRIJEM	\N	204	51632	UROK	\N	\N
3594730	1941	1995-03-31	PRIJEM	\N	200	48456	UROK	\N	\N
3594731	1941	1995-04-30	PRIJEM	\N	200	47760	UROK	\N	\N
3594732	1941	1995-05-31	PRIJEM	\N	194	49279	UROK	\N	\N
3594733	1941	1995-06-30	PRIJEM	\N	220	55362	UROK	\N	\N
3594734	1941	1995-07-31	PRIJEM	\N	219	51286	UROK	\N	\N
3594735	1941	1995-08-31	PRIJEM	\N	209	49699	UROK	\N	\N
3594736	1941	1995-09-30	PRIJEM	\N	204	48707	UROK	\N	\N
3594737	1941	1995-10-31	PRIJEM	\N	202	48814	UROK	\N	\N
3594738	1941	1995-11-30	PRIJEM	\N	194	45312	UROK	\N	\N
3594739	1941	1995-12-31	PRIJEM	\N	209	53585	UROK	\N	\N
3594740	1941	1996-01-31	PRIJEM	\N	184	44013	UROK	\N	\N
3594741	1941	1996-02-29	PRIJEM	\N	187	45804	UROK	\N	\N
3594742	1941	1996-03-31	PRIJEM	\N	158	42645	UROK	\N	\N
3594743	1941	1996-04-30	PRIJEM	\N	159	38928	UROK	\N	\N
3594744	1941	1996-05-31	PRIJEM	\N	159	38091	UROK	\N	\N
3594745	1941	1996-06-30	PRIJEM	\N	151	23006	UROK	\N	\N
3594746	1941	1996-07-31	PRIJEM	\N	97	39607	UROK	\N	\N
3594747	1941	1996-08-31	PRIJEM	\N	150	35161	UROK	\N	\N
3594748	1941	1996-09-30	PRIJEM	\N	109	30634	UROK	\N	\N
3594749	1941	1996-10-31	PRIJEM	\N	124	21562	UROK	\N	\N
3594750	1941	1996-11-30	PRIJEM	\N	129	33996	UROK	\N	\N
3594751	1941	1996-12-31	PRIJEM	\N	186	25745	UROK	\N	\N
3594752	1941	1997-01-31	PRIJEM	\N	108	42357	UROK	\N	\N
3594753	1941	1997-02-28	PRIJEM	\N	169	24431	UROK	\N	\N
3594754	1941	1997-03-31	PRIJEM	\N	96	16232	UROK	\N	\N
3594755	1941	1997-04-30	PRIJEM	\N	68	32804	UROK	\N	\N
3594756	1941	1997-05-31	PRIJEM	\N	127	18335	UROK	\N	\N
3594757	1941	1997-06-30	PRIJEM	\N	77	43176	UROK	\N	\N
3594758	1941	1997-07-31	PRIJEM	\N	161	18641	UROK	\N	\N
3594759	1941	1997-08-31	PRIJEM	\N	77	35223	UROK	\N	\N
3594760	1941	1997-09-30	PRIJEM	\N	128	15955	UROK	\N	\N
3594761	1941	1997-10-31	PRIJEM	\N	90	30989	UROK	\N	\N
3594762	1941	1997-11-30	PRIJEM	\N	162	43335	UROK	\N	\N
3594763	1941	1997-12-31	PRIJEM	\N	156	23655	UROK	\N	\N
3594764	1941	1998-01-31	PRIJEM	\N	133	38493	UROK	\N	\N
3594765	1941	1998-02-28	PRIJEM	\N	134	16831	UROK	\N	\N
3594766	1941	1998-03-31	PRIJEM	\N	69	33405	UROK	\N	\N
3594767	1941	1998-04-30	PRIJEM	\N	138	50047	UROK	\N	\N
3594768	1941	1998-05-31	PRIJEM	\N	186	19637	UROK	\N	\N
3594769	1941	1998-06-30	PRIJEM	\N	121	40442	UROK	\N	\N
3594770	1941	1998-07-31	PRIJEM	\N	135	18682	UROK	\N	\N
3594771	1941	1998-08-31	PRIJEM	\N	76	35262	UROK	\N	\N
3594772	1941	1998-09-30	PRIJEM	\N	148	46994	UROK	\N	\N
3594773	1941	1998-10-31	PRIJEM	\N	214	58192	UROK	\N	\N
3594774	1941	1998-11-30	PRIJEM	\N	184	20281	UROK	\N	\N
3594775	1943	1997-01-31	PRIJEM	\N	37	39357	UROK	\N	\N
3594776	1943	1997-02-28	PRIJEM	\N	168	44913	UROK	\N	\N
3594777	1943	1997-03-31	PRIJEM	\N	190	49291	UROK	\N	\N
3594778	1943	1997-04-30	PRIJEM	\N	222	40463	UROK	\N	\N
3594779	1943	1997-05-31	PRIJEM	\N	190	40870	UROK	\N	\N
3594780	1943	1997-06-30	PRIJEM	\N	212	41542	UROK	\N	\N
3594781	1943	1997-07-31	PRIJEM	\N	189	37888	UROK	\N	\N
3594782	1943	1997-08-31	PRIJEM	\N	172	33376	UROK	\N	\N
3594783	1943	1997-09-30	PRIJEM	\N	157	34649	UROK	\N	\N
3594784	1943	1997-10-31	PRIJEM	\N	171	41137	UROK	\N	\N
3594785	1943	1997-11-30	PRIJEM	\N	184	37297	UROK	\N	\N
3594786	1943	1997-12-31	PRIJEM	\N	190	37428	UROK	\N	\N
3594787	1943	1998-01-31	PRIJEM	\N	149	31153	UROK	\N	\N
3594788	1943	1998-02-28	PRIJEM	\N	138	33247	UROK	\N	\N
3594789	1943	1998-03-31	PRIJEM	\N	158	35122	UROK	\N	\N
3594790	1943	1998-04-30	PRIJEM	\N	161	34479	UROK	\N	\N
3594791	1943	1998-05-31	PRIJEM	\N	164	37160	UROK	\N	\N
3594792	1943	1998-06-30	PRIJEM	\N	202	48022	UROK	\N	\N
3594793	1943	1998-07-31	PRIJEM	\N	220	50959	UROK	\N	\N
3594794	1943	1998-08-31	PRIJEM	\N	230	53305	UROK	\N	\N
3594795	1943	1998-09-30	PRIJEM	\N	235	53057	UROK	\N	\N
3594796	1943	1998-10-31	PRIJEM	\N	224	48097	UROK	\N	\N
3594797	1943	1998-11-30	PRIJEM	\N	210	46823	UROK	\N	\N
3594798	1943	1998-12-31	PRIJEM	\N	212	45295	UROK	\N	\N
3594799	1944	1993-03-31	PRIJEM	\N	53	21733	UROK	\N	\N
3594800	1944	1993-04-30	PRIJEM	\N	118	33031	UROK	\N	\N
3594801	1944	1993-05-31	PRIJEM	\N	153	39264	UROK	\N	\N
3594802	1944	1993-06-30	PRIJEM	\N	186	47819	UROK	\N	\N
3594803	1944	1993-07-31	PRIJEM	\N	188	39227	UROK	\N	\N
3594804	1944	1993-08-31	PRIJEM	\N	158	36909	UROK	\N	\N
3594805	1944	1993-09-30	PRIJEM	\N	185	35219	UROK	\N	\N
3594806	1944	1993-10-31	PRIJEM	\N	175	35357	UROK	\N	\N
3594807	1944	1993-11-30	PRIJEM	\N	167	42949	UROK	\N	\N
3594808	1944	1993-12-31	PRIJEM	\N	201	49644	UROK	\N	\N
3594809	1944	1994-01-31	PRIJEM	\N	163	28952	UROK	\N	\N
3594810	1944	1994-02-28	PRIJEM	\N	165	44241	UROK	\N	\N
3594811	1944	1994-03-31	PRIJEM	\N	191	47457	UROK	\N	\N
3594812	1944	1994-04-30	PRIJEM	\N	207	52088	UROK	\N	\N
3594813	1944	1994-05-31	PRIJEM	\N	202	48634	UROK	\N	\N
3594814	1944	1994-06-30	PRIJEM	\N	162	36930	UROK	\N	\N
3594815	1944	1994-07-31	PRIJEM	\N	171	44526	UROK	\N	\N
3594816	1944	1994-08-31	PRIJEM	\N	180	45230	UROK	\N	\N
3594817	1944	1994-09-30	PRIJEM	\N	168	42182	UROK	\N	\N
3594818	1944	1994-10-31	PRIJEM	\N	169	40476	UROK	\N	\N
3594819	1944	1994-11-30	PRIJEM	\N	177	45677	UROK	\N	\N
3594820	1944	1994-12-31	PRIJEM	\N	189	49481	UROK	\N	\N
3594821	1944	1995-01-31	PRIJEM	\N	168	22213	UROK	\N	\N
3594822	1944	1995-02-28	PRIJEM	\N	121	34059	UROK	\N	\N
3594823	1944	1995-03-31	PRIJEM	\N	142	36825	UROK	\N	\N
3594824	1944	1995-04-30	PRIJEM	\N	147	37796	UROK	\N	\N
3594825	1944	1995-05-31	PRIJEM	\N	159	41080	UROK	\N	\N
3594826	1944	1995-06-30	PRIJEM	\N	197	52891	UROK	\N	\N
3594827	1944	1995-07-31	PRIJEM	\N	202	50217	UROK	\N	\N
3594828	1944	1995-08-31	PRIJEM	\N	181	45122	UROK	\N	\N
3594829	1944	1995-09-30	PRIJEM	\N	164	43710	UROK	\N	\N
3594830	1944	1995-10-31	PRIJEM	\N	165	34100	UROK	\N	\N
3594831	1944	1995-11-30	PRIJEM	\N	169	32893	UROK	\N	\N
3594832	1944	1995-12-31	PRIJEM	\N	183	35491	UROK	\N	\N
3594833	1944	1996-01-31	PRIJEM	\N	126	19001	UROK	\N	\N
3594834	1944	1996-02-29	PRIJEM	\N	106	25032	UROK	\N	\N
3594835	1944	1996-03-31	PRIJEM	\N	132	30688	UROK	\N	\N
3594836	1944	1996-04-30	PRIJEM	\N	153	32865	UROK	\N	\N
3594837	1944	1996-05-31	PRIJEM	\N	159	32549	UROK	\N	\N
3594838	1944	1996-06-30	PRIJEM	\N	137	34180	UROK	\N	\N
3594839	1944	1996-07-31	PRIJEM	\N	166	37371	UROK	\N	\N
3594840	1944	1996-08-31	PRIJEM	\N	173	35568	UROK	\N	\N
3594841	1944	1996-09-30	PRIJEM	\N	162	34055	UROK	\N	\N
3594842	1944	1996-10-31	PRIJEM	\N	140	27319	UROK	\N	\N
3594843	1944	1996-11-30	PRIJEM	\N	129	29572	UROK	\N	\N
3594844	1944	1996-12-31	PRIJEM	\N	157	36543	UROK	\N	\N
3594845	1944	1997-01-31	PRIJEM	\N	116	24803	UROK	\N	\N
3594846	1944	1997-02-28	PRIJEM	\N	127	27255	UROK	\N	\N
3594847	1944	1997-03-31	PRIJEM	\N	139	35018	UROK	\N	\N
3594848	1944	1997-04-30	PRIJEM	\N	162	36304	UROK	\N	\N
3594849	1944	1997-05-31	PRIJEM	\N	170	39899	UROK	\N	\N
3594850	1944	1997-06-30	PRIJEM	\N	148	34201	UROK	\N	\N
3594851	1944	1997-07-31	PRIJEM	\N	157	35983	UROK	\N	\N
3594852	1944	1997-08-31	PRIJEM	\N	165	39372	UROK	\N	\N
3594853	1944	1997-09-30	PRIJEM	\N	179	42676	UROK	\N	\N
3594854	1944	1997-10-31	PRIJEM	\N	191	45091	UROK	\N	\N
3594855	1944	1997-11-30	PRIJEM	\N	184	37779	UROK	\N	\N
3594856	1944	1997-12-31	PRIJEM	\N	185	41638	UROK	\N	\N
3594857	1944	1998-01-31	PRIJEM	\N	157	27279	UROK	\N	\N
3594858	1944	1998-02-28	PRIJEM	\N	132	34536	UROK	\N	\N
3594859	1944	1998-03-31	PRIJEM	\N	162	40522	UROK	\N	\N
3594860	1944	1998-04-30	PRIJEM	\N	180	44526	UROK	\N	\N
3594861	1944	1998-05-31	PRIJEM	\N	199	48749	UROK	\N	\N
3594862	1944	1998-06-30	PRIJEM	\N	208	43812	UROK	\N	\N
3594863	1944	1998-07-31	PRIJEM	\N	196	48532	UROK	\N	\N
3594864	1944	1998-08-31	PRIJEM	\N	208	47524	UROK	\N	\N
3594865	1944	1998-09-30	PRIJEM	\N	202	49350	UROK	\N	\N
3594866	1944	1998-10-31	PRIJEM	\N	202	43436	UROK	\N	\N
3594867	1944	1998-11-30	PRIJEM	\N	192	47652	UROK	\N	\N
3594868	1944	1998-12-31	PRIJEM	\N	223	55690	UROK	\N	\N
3594869	1946	1997-10-31	PRIJEM	\N	50	23148	UROK	\N	\N
3594870	1946	1997-11-30	PRIJEM	\N	110	29155	UROK	\N	\N
3594871	1946	1997-12-31	PRIJEM	\N	149	41201	UROK	\N	\N
3594872	1946	1998-01-31	PRIJEM	\N	174	42573	UROK	\N	\N
3594873	1946	1998-02-28	PRIJEM	\N	180	36758	UROK	\N	\N
3594874	1946	1998-03-31	PRIJEM	\N	146	32254	UROK	\N	\N
3594875	1946	1998-04-30	PRIJEM	\N	139	32364	UROK	\N	\N
3594876	1946	1998-05-31	PRIJEM	\N	138	33393	UROK	\N	\N
3594877	1946	1998-06-30	PRIJEM	\N	188	40170	UROK	\N	\N
3594878	1946	1998-07-31	PRIJEM	\N	193	34254	UROK	\N	\N
3594879	1946	1998-08-31	PRIJEM	\N	121	25225	UROK	\N	\N
3594880	1946	1998-09-30	PRIJEM	\N	114	27130	UROK	\N	\N
3594881	1946	1998-10-31	PRIJEM	\N	93	17913	UROK	\N	\N
3594882	1946	1998-11-30	PRIJEM	\N	116	32319	UROK	\N	\N
3594883	1946	1998-12-31	PRIJEM	\N	174	44802	UROK	\N	\N
3594884	1947	1994-03-31	PRIJEM	\N	74	27514	UROK	\N	\N
3594885	1947	1994-04-30	PRIJEM	\N	115	27641	UROK	\N	\N
3594886	1947	1994-05-31	PRIJEM	\N	109	24868	UROK	\N	\N
3594887	1947	1994-06-30	PRIJEM	\N	98	22763	UROK	\N	\N
3594888	1947	1994-07-31	PRIJEM	\N	96	22957	UROK	\N	\N
3594889	1947	1994-08-31	PRIJEM	\N	102	23796	UROK	\N	\N
3594890	1947	1994-09-30	PRIJEM	\N	109	25362	UROK	\N	\N
3594891	1947	1994-10-31	PRIJEM	\N	107	25266	UROK	\N	\N
3594892	1947	1994-11-30	PRIJEM	\N	102	23565	UROK	\N	\N
3594893	1947	1994-12-31	PRIJEM	\N	100	22812	UROK	\N	\N
3594894	1947	1995-01-31	PRIJEM	\N	83	14022	UROK	\N	\N
3594895	1947	1995-02-28	PRIJEM	\N	67	17487	UROK	\N	\N
3594896	1947	1995-03-31	PRIJEM	\N	82	20966	UROK	\N	\N
3594897	1947	1995-04-30	PRIJEM	\N	92	21655	UROK	\N	\N
3594898	1947	1995-05-31	PRIJEM	\N	94	22186	UROK	\N	\N
3594899	1947	1995-06-30	PRIJEM	\N	101	25685	UROK	\N	\N
3594900	1947	1995-07-31	PRIJEM	\N	116	29198	UROK	\N	\N
3594901	1947	1995-08-31	PRIJEM	\N	131	32726	UROK	\N	\N
3594902	1947	1995-09-30	PRIJEM	\N	144	34567	UROK	\N	\N
3594903	1947	1995-10-31	PRIJEM	\N	153	38118	UROK	\N	\N
3594904	1947	1995-11-30	PRIJEM	\N	161	38376	UROK	\N	\N
3594905	1947	1995-12-31	PRIJEM	\N	162	38096	UROK	\N	\N
3594906	1947	1996-01-31	PRIJEM	\N	152	30595	UROK	\N	\N
3594907	1947	1996-02-29	PRIJEM	\N	136	34128	UROK	\N	\N
3594908	1947	1996-03-31	PRIJEM	\N	148	34713	UROK	\N	\N
3594909	1947	1996-04-30	PRIJEM	\N	153	38264	UROK	\N	\N
3594910	1947	1996-05-31	PRIJEM	\N	166	40068	UROK	\N	\N
3594911	1947	1996-06-30	PRIJEM	\N	161	29446	UROK	\N	\N
3594912	1947	1996-07-31	PRIJEM	\N	131	32975	UROK	\N	\N
3594913	1947	1996-08-31	PRIJEM	\N	146	36518	UROK	\N	\N
3594914	1947	1996-09-30	PRIJEM	\N	160	40076	UROK	\N	\N
3594915	1947	1996-10-31	PRIJEM	\N	161	33555	UROK	\N	\N
3594916	1947	1996-11-30	PRIJEM	\N	145	35338	UROK	\N	\N
3594917	1947	1996-12-31	PRIJEM	\N	154	37439	UROK	\N	\N
3594918	1947	1997-01-31	PRIJEM	\N	146	29202	UROK	\N	\N
3594919	1947	1997-02-28	PRIJEM	\N	129	32729	UROK	\N	\N
3594920	1947	1997-03-31	PRIJEM	\N	144	36271	UROK	\N	\N
3594921	1947	1997-04-30	PRIJEM	\N	157	38625	UROK	\N	\N
3594922	1947	1997-05-31	PRIJEM	\N	169	42192	UROK	\N	\N
3594923	1947	1997-06-30	PRIJEM	\N	148	25457	UROK	\N	\N
3594924	1947	1997-07-31	PRIJEM	\N	112	26406	UROK	\N	\N
3594925	1947	1997-08-31	PRIJEM	\N	118	29921	UROK	\N	\N
3594926	1947	1997-09-30	PRIJEM	\N	132	33450	UROK	\N	\N
3594927	1947	1997-10-31	PRIJEM	\N	147	36995	UROK	\N	\N
3594928	1947	1997-11-30	PRIJEM	\N	159	39151	UROK	\N	\N
3594929	1947	1997-12-31	PRIJEM	\N	172	41520	UROK	\N	\N
3594930	1947	1998-01-31	PRIJEM	\N	167	31855	UROK	\N	\N
3594931	1947	1998-02-28	PRIJEM	\N	139	35392	UROK	\N	\N
3594932	1947	1998-03-31	PRIJEM	\N	152	34941	UROK	\N	\N
3594933	1947	1998-04-30	PRIJEM	\N	152	38490	UROK	\N	\N
3594934	1947	1998-05-31	PRIJEM	\N	167	42055	UROK	\N	\N
3594935	1947	1998-06-30	PRIJEM	\N	178	43780	UROK	\N	\N
3594936	1947	1998-07-31	PRIJEM	\N	189	47367	UROK	\N	\N
3594937	1947	1998-08-31	PRIJEM	\N	204	50968	UROK	\N	\N
3594938	1947	1998-09-30	PRIJEM	\N	213	51619	UROK	\N	\N
3594939	1947	1998-10-31	PRIJEM	\N	223	54279	UROK	\N	\N
3594940	1947	1998-11-30	PRIJEM	\N	232	57908	UROK	\N	\N
3594941	1947	1998-12-31	PRIJEM	\N	242	59247	UROK	\N	\N
3594942	1948	1996-04-30	PRIJEM	\N	23	35031	UROK	\N	\N
3594943	1948	1996-05-31	PRIJEM	\N	295	49094	UROK	\N	\N
3594944	1948	1996-06-30	PRIJEM	\N	131	24010	UROK	\N	\N
3594945	1948	1996-07-31	PRIJEM	\N	91	20314	UROK	\N	\N
3594946	1948	1996-08-31	PRIJEM	\N	123	31883	UROK	\N	\N
3594947	1948	1996-09-30	PRIJEM	\N	204	49936	UROK	\N	\N
3594948	1948	1996-10-31	PRIJEM	\N	347	70637	UROK	\N	\N
3594949	1948	1996-11-30	PRIJEM	\N	150	31826	UROK	\N	\N
3594950	1948	1996-12-31	PRIJEM	\N	97	20108	UROK	\N	\N
3594951	1948	1997-01-31	PRIJEM	\N	65	13159	UROK	\N	\N
3594952	1948	1997-02-28	PRIJEM	\N	104	37455	UROK	\N	\N
3594953	1948	1997-03-31	PRIJEM	\N	117	23357	UROK	\N	\N
3594954	1948	1997-04-30	PRIJEM	\N	214	67017	UROK	\N	\N
3594955	1948	1997-05-31	PRIJEM	\N	161	39561	UROK	\N	\N
3594956	1948	1997-06-30	PRIJEM	\N	159	41778	UROK	\N	\N
3594957	1948	1997-07-31	PRIJEM	\N	377	102529	UROK	\N	\N
3594958	1948	1997-08-31	PRIJEM	\N	393	92683	UROK	\N	\N
3594959	1948	1997-09-30	PRIJEM	\N	215	35236	UROK	\N	\N
3594960	1948	1997-10-31	PRIJEM	\N	206	38423	UROK	\N	\N
3594961	1948	1997-11-30	PRIJEM	\N	136	37392	UROK	\N	\N
3594962	1948	1997-12-31	PRIJEM	\N	165	39706	UROK	\N	\N
3594963	1948	1998-01-31	PRIJEM	\N	117	30708	UROK	\N	\N
3594964	1948	1998-02-28	PRIJEM	\N	113	44054	UROK	\N	\N
3594965	1948	1998-03-31	PRIJEM	\N	226	59337	UROK	\N	\N
3594966	1948	1998-04-30	PRIJEM	\N	260	77718	UROK	\N	\N
3594967	1948	1998-05-31	PRIJEM	\N	282	76405	UROK	\N	\N
3594968	1948	1998-06-30	PRIJEM	\N	225	38115	UROK	\N	\N
3594969	1948	1998-07-31	PRIJEM	\N	152	56204	UROK	\N	\N
3594970	1948	1998-08-31	PRIJEM	\N	306	136407	UROK	\N	\N
3594971	1948	1998-09-30	PRIJEM	\N	337	111852	UROK	\N	\N
3594972	1948	1998-10-31	PRIJEM	\N	255	54706	UROK	\N	\N
3594973	1948	1998-11-30	PRIJEM	\N	420	110126	UROK	\N	\N
3594974	1948	1998-12-31	PRIJEM	\N	280	76499	UROK	\N	\N
3594975	1949	1994-05-31	PRIJEM	\N	35	12380	UROK	\N	\N
3594976	1949	1994-06-30	PRIJEM	\N	119	36867	UROK	\N	\N
3594977	1949	1994-07-31	PRIJEM	\N	168	42079	UROK	\N	\N
3594978	1949	1994-08-31	PRIJEM	\N	187	46411	UROK	\N	\N
3594979	1949	1994-09-30	PRIJEM	\N	169	37950	UROK	\N	\N
3594980	1949	1994-10-31	PRIJEM	\N	143	32699	UROK	\N	\N
3594981	1949	1994-11-30	PRIJEM	\N	138	33742	UROK	\N	\N
3594982	1949	1994-12-31	PRIJEM	\N	173	35203	UROK	\N	\N
3594983	1949	1995-01-31	PRIJEM	\N	112	18840	UROK	\N	\N
3594984	1949	1995-02-28	PRIJEM	\N	89	21075	UROK	\N	\N
3594985	1949	1995-03-31	PRIJEM	\N	105	25845	UROK	\N	\N
3594986	1949	1995-04-30	PRIJEM	\N	108	25659	UROK	\N	\N
3594987	1949	1995-05-31	PRIJEM	\N	108	23632	UROK	\N	\N
3594988	1949	1995-06-30	PRIJEM	\N	142	31602	UROK	\N	\N
3594989	1949	1995-07-31	PRIJEM	\N	142	32049	UROK	\N	\N
3594990	1949	1995-08-31	PRIJEM	\N	157	30711	UROK	\N	\N
3594991	1949	1995-09-30	PRIJEM	\N	137	29653	UROK	\N	\N
3594992	1949	1995-10-31	PRIJEM	\N	148	30907	UROK	\N	\N
3594993	1949	1995-11-30	PRIJEM	\N	145	31057	UROK	\N	\N
3594994	1949	1995-12-31	PRIJEM	\N	141	34325	UROK	\N	\N
3594995	1949	1996-01-31	PRIJEM	\N	122	27273	UROK	\N	\N
3594996	1949	1996-02-29	PRIJEM	\N	134	28912	UROK	\N	\N
3594997	1949	1996-03-31	PRIJEM	\N	125	22522	UROK	\N	\N
3594998	1949	1996-04-30	PRIJEM	\N	98	21226	UROK	\N	\N
3594999	1949	1996-05-31	PRIJEM	\N	101	26332	UROK	\N	\N
3595000	1949	1996-06-30	PRIJEM	\N	145	33905	UROK	\N	\N
3595001	1949	1996-07-31	PRIJEM	\N	160	35870	UROK	\N	\N
3595002	1949	1996-08-31	PRIJEM	\N	163	35238	UROK	\N	\N
3595003	1949	1996-09-30	PRIJEM	\N	152	33476	UROK	\N	\N
3595004	1949	1996-10-31	PRIJEM	\N	145	34226	UROK	\N	\N
3595005	1949	1996-11-30	PRIJEM	\N	138	29650	UROK	\N	\N
3595006	1949	1996-12-31	PRIJEM	\N	130	29507	UROK	\N	\N
3595007	1949	1997-01-31	PRIJEM	\N	101	21093	UROK	\N	\N
3595008	1949	1997-02-28	PRIJEM	\N	105	29204	UROK	\N	\N
3595009	1949	1997-03-31	PRIJEM	\N	124	28613	UROK	\N	\N
3595010	1949	1997-04-30	PRIJEM	\N	129	33387	UROK	\N	\N
3595011	1949	1997-05-31	PRIJEM	\N	145	35037	UROK	\N	\N
3595012	1949	1997-06-30	PRIJEM	\N	134	26599	UROK	\N	\N
3595013	1949	1997-07-31	PRIJEM	\N	130	32034	UROK	\N	\N
3595014	1949	1997-08-31	PRIJEM	\N	146	35186	UROK	\N	\N
3595015	1949	1997-09-30	PRIJEM	\N	144	31795	UROK	\N	\N
3595016	1949	1997-10-31	PRIJEM	\N	138	34138	UROK	\N	\N
3595017	1949	1997-11-30	PRIJEM	\N	145	35188	UROK	\N	\N
3595018	1949	1997-12-31	PRIJEM	\N	159	38095	UROK	\N	\N
3595019	1949	1998-01-31	PRIJEM	\N	137	24837	UROK	\N	\N
3595020	1949	1998-02-28	PRIJEM	\N	123	32866	UROK	\N	\N
3595021	1949	1998-03-31	PRIJEM	\N	128	31659	UROK	\N	\N
3595022	1949	1998-04-30	PRIJEM	\N	143	32967	UROK	\N	\N
3595023	1949	1998-05-31	PRIJEM	\N	143	35816	UROK	\N	\N
3595024	1949	1998-06-30	PRIJEM	\N	149	37113	UROK	\N	\N
3595025	1949	1998-07-31	PRIJEM	\N	154	37672	UROK	\N	\N
3595026	1949	1998-08-31	PRIJEM	\N	154	37832	UROK	\N	\N
3595027	1949	1998-09-30	PRIJEM	\N	184	41921	UROK	\N	\N
3595028	1949	1998-10-31	PRIJEM	\N	201	45727	UROK	\N	\N
3595029	1949	1998-11-30	PRIJEM	\N	168	39801	UROK	\N	\N
3595030	1949	1998-12-31	PRIJEM	\N	171	39859	UROK	\N	\N
3595031	1950	1997-08-31	PRIJEM	\N	37	13494	UROK	\N	\N
3595032	1950	1997-09-30	PRIJEM	\N	74	30425	UROK	\N	\N
3595033	1950	1997-10-31	PRIJEM	\N	96	24278	UROK	\N	\N
3595034	1950	1997-11-30	PRIJEM	\N	101	24435	UROK	\N	\N
3595035	1950	1997-12-31	PRIJEM	\N	128	26196	UROK	\N	\N
3595036	1950	1998-01-31	PRIJEM	\N	97	17172	UROK	\N	\N
3595037	1950	1998-02-28	PRIJEM	\N	77	15729	UROK	\N	\N
3595038	1950	1998-03-31	PRIJEM	\N	80	18808	UROK	\N	\N
3595039	1950	1998-04-30	PRIJEM	\N	92	20600	UROK	\N	\N
3595040	1950	1998-05-31	PRIJEM	\N	115	23414	UROK	\N	\N
3595041	1950	1998-06-30	PRIJEM	\N	123	20174	UROK	\N	\N
3595042	1950	1998-07-31	PRIJEM	\N	98	23372	UROK	\N	\N
3595043	1950	1998-08-31	PRIJEM	\N	125	27996	UROK	\N	\N
3595044	1950	1998-09-30	PRIJEM	\N	137	23893	UROK	\N	\N
3595045	1950	1998-10-31	PRIJEM	\N	110	24602	UROK	\N	\N
3595046	1950	1998-11-30	PRIJEM	\N	112	24914	UROK	\N	\N
3595047	1950	1998-12-31	PRIJEM	\N	126	33218	UROK	\N	\N
3595048	1951	1997-08-31	PRIJEM	\N	60	21368	UROK	\N	\N
3595049	1951	1997-09-30	PRIJEM	\N	162	47738	UROK	\N	\N
3595050	1951	1997-10-31	PRIJEM	\N	244	64090	UROK	\N	\N
3595051	1951	1997-11-30	PRIJEM	\N	290	72788	UROK	\N	\N
3595052	1951	1997-12-31	PRIJEM	\N	322	78041	UROK	\N	\N
3595053	1951	1998-01-31	PRIJEM	\N	265	50142	UROK	\N	\N
3595054	1951	1998-02-28	PRIJEM	\N	234	61352	UROK	\N	\N
3595055	1951	1998-03-31	PRIJEM	\N	256	64783	UROK	\N	\N
3595056	1951	1998-04-30	PRIJEM	\N	254	63612	UROK	\N	\N
3595057	1951	1998-05-31	PRIJEM	\N	260	65547	UROK	\N	\N
3595058	1951	1998-06-30	PRIJEM	\N	252	55419	UROK	\N	\N
3595059	1951	1998-07-31	PRIJEM	\N	234	59568	UROK	\N	\N
3595060	1951	1998-08-31	PRIJEM	\N	245	62088	UROK	\N	\N
3595061	1951	1998-09-30	PRIJEM	\N	252	65036	UROK	\N	\N
3595062	1951	1998-10-31	PRIJEM	\N	260	66731	UROK	\N	\N
3595063	1951	1998-11-30	PRIJEM	\N	247	65273	UROK	\N	\N
3595064	1951	1998-12-31	PRIJEM	\N	259	70371	UROK	\N	\N
3595065	1954	1996-06-30	PRIJEM	\N	12	4223	UROK	\N	\N
3595066	1954	1996-07-31	PRIJEM	\N	18	7452	UROK	\N	\N
3595067	1954	1996-08-31	PRIJEM	\N	18	10680	UROK	\N	\N
3595068	1954	1996-09-30	PRIJEM	\N	18	13909	UROK	\N	\N
3595069	1954	1996-10-31	PRIJEM	\N	19	17139	UROK	\N	\N
3595070	1954	1996-11-30	PRIJEM	\N	75	18270	UROK	\N	\N
3595071	1954	1996-12-31	PRIJEM	\N	74	17450	UROK	\N	\N
3595072	1954	1997-01-31	PRIJEM	\N	70	15396	UROK	\N	\N
3595073	1954	1997-02-28	PRIJEM	\N	61	15013	UROK	\N	\N
3595074	1954	1997-03-31	PRIJEM	\N	64	15633	UROK	\N	\N
3595075	1954	1997-04-30	PRIJEM	\N	63	15153	UROK	\N	\N
3595076	1954	1997-05-31	PRIJEM	\N	66	16275	UROK	\N	\N
3595077	1954	1997-06-30	PRIJEM	\N	69	16410	UROK	\N	\N
3595078	1954	1997-07-31	PRIJEM	\N	56	13243	UROK	\N	\N
3595079	1954	1997-08-31	PRIJEM	\N	58	14158	UROK	\N	\N
3595080	1954	1997-09-30	PRIJEM	\N	62	15076	UROK	\N	\N
3595081	1954	1997-10-31	PRIJEM	\N	64	14797	UROK	\N	\N
3595082	1954	1997-11-30	PRIJEM	\N	65	15918	UROK	\N	\N
3595083	1954	1997-12-31	PRIJEM	\N	68	16742	UROK	\N	\N
3595084	1954	1998-01-31	PRIJEM	\N	63	12972	UROK	\N	\N
3595085	1954	1998-02-28	PRIJEM	\N	56	13634	UROK	\N	\N
3595086	1954	1998-03-31	PRIJEM	\N	60	14750	UROK	\N	\N
3595087	1954	1998-04-30	PRIJEM	\N	64	15871	UROK	\N	\N
3595088	1954	1998-05-31	PRIJEM	\N	69	16996	UROK	\N	\N
3595089	1954	1998-06-30	PRIJEM	\N	61	13703	UROK	\N	\N
3595090	1954	1998-07-31	PRIJEM	\N	60	14820	UROK	\N	\N
3595091	1954	1998-08-31	PRIJEM	\N	65	15941	UROK	\N	\N
3595092	1954	1998-09-30	PRIJEM	\N	69	17067	UROK	\N	\N
3595093	1954	1998-10-31	PRIJEM	\N	74	18197	UROK	\N	\N
3595094	1954	1998-11-30	PRIJEM	\N	78	19182	UROK	\N	\N
3595095	1954	1998-12-31	PRIJEM	\N	81	19779	UROK	\N	\N
3595096	1955	1995-06-30	PRIJEM	\N	44	12330	UROK	\N	\N
3595097	1955	1995-07-31	PRIJEM	\N	53	12420	UROK	\N	\N
3595098	1955	1995-08-31	PRIJEM	\N	55	13203	UROK	\N	\N
3595099	1955	1995-09-30	PRIJEM	\N	55	12755	UROK	\N	\N
3595100	1955	1995-10-31	PRIJEM	\N	57	13779	UROK	\N	\N
3595101	1955	1995-11-30	PRIJEM	\N	61	14807	UROK	\N	\N
3595102	1955	1995-12-31	PRIJEM	\N	65	15119	UROK	\N	\N
3595103	1955	1996-01-31	PRIJEM	\N	60	12606	UROK	\N	\N
3595104	1955	1996-02-29	PRIJEM	\N	56	13629	UROK	\N	\N
3595105	1955	1996-03-31	PRIJEM	\N	58	13965	UROK	\N	\N
3595106	1955	1996-04-30	PRIJEM	\N	59	13161	UROK	\N	\N
3595107	1955	1996-05-31	PRIJEM	\N	56	13384	UROK	\N	\N
3595108	1955	1996-06-30	PRIJEM	\N	54	12755	UROK	\N	\N
3595109	1955	1996-07-31	PRIJEM	\N	56	13779	UROK	\N	\N
3595110	1955	1996-08-31	PRIJEM	\N	61	14807	UROK	\N	\N
3595111	1955	1996-09-30	PRIJEM	\N	65	15839	UROK	\N	\N
3595112	1955	1996-10-31	PRIJEM	\N	69	16876	UROK	\N	\N
3595113	1955	1996-11-30	PRIJEM	\N	73	17517	UROK	\N	\N
3595114	1955	1996-12-31	PRIJEM	\N	75	17009	UROK	\N	\N
3595115	1955	1997-01-31	PRIJEM	\N	62	11328	UROK	\N	\N
3595116	1955	1997-02-28	PRIJEM	\N	50	11545	UROK	\N	\N
3595117	1955	1997-03-31	PRIJEM	\N	51	12564	UROK	\N	\N
3595118	1955	1997-04-30	PRIJEM	\N	55	13287	UROK	\N	\N
3595119	1955	1997-05-31	PRIJEM	\N	59	14313	UROK	\N	\N
3595120	1955	1997-06-30	PRIJEM	\N	56	13206	UROK	\N	\N
3595121	1955	1997-07-31	PRIJEM	\N	58	14232	UROK	\N	\N
3595122	1955	1997-08-31	PRIJEM	\N	58	11557	UROK	\N	\N
3595123	1955	1997-09-30	PRIJEM	\N	51	12576	UROK	\N	\N
3595124	1955	1997-10-31	PRIJEM	\N	53	11897	UROK	\N	\N
3595125	1955	1997-11-30	PRIJEM	\N	53	12917	UROK	\N	\N
3595126	1955	1997-12-31	PRIJEM	\N	57	13941	UROK	\N	\N
3595127	1955	1998-01-31	PRIJEM	\N	57	13495	UROK	\N	\N
3595128	1955	1998-02-28	PRIJEM	\N	59	14522	UROK	\N	\N
3595129	1955	1998-03-31	PRIJEM	\N	63	15552	UROK	\N	\N
3595130	1955	1998-04-30	PRIJEM	\N	68	16587	UROK	\N	\N
3595131	1955	1998-05-31	PRIJEM	\N	72	17627	UROK	\N	\N
3595132	1955	1998-06-30	PRIJEM	\N	67	13801	UROK	\N	\N
3595133	1955	1998-07-31	PRIJEM	\N	60	14828	UROK	\N	\N
3595134	1955	1998-08-31	PRIJEM	\N	65	15860	UROK	\N	\N
3595135	1955	1998-09-30	PRIJEM	\N	69	16896	UROK	\N	\N
3595136	1955	1998-10-31	PRIJEM	\N	73	17937	UROK	\N	\N
3595137	1955	1998-11-30	PRIJEM	\N	77	18982	UROK	\N	\N
3595138	1955	1998-12-31	PRIJEM	\N	79	18288	UROK	\N	\N
3595139	1956	1997-06-30	PRIJEM	\N	26	20444	UROK	\N	\N
3595140	1956	1997-07-31	PRIJEM	\N	100	31956	UROK	\N	\N
3595141	1956	1997-08-31	PRIJEM	\N	140	36908	UROK	\N	\N
3595142	1956	1997-09-30	PRIJEM	\N	158	39778	UROK	\N	\N
3595143	1956	1997-10-31	PRIJEM	\N	170	40485	UROK	\N	\N
3595144	1956	1997-11-30	PRIJEM	\N	175	42583	UROK	\N	\N
3595145	1956	1997-12-31	PRIJEM	\N	181	42014	UROK	\N	\N
3595146	1956	1998-01-31	PRIJEM	\N	152	26349	UROK	\N	\N
3595147	1956	1998-02-28	PRIJEM	\N	135	38268	UROK	\N	\N
3595148	1956	1998-03-31	PRIJEM	\N	171	43902	UROK	\N	\N
3595149	1956	1998-04-30	PRIJEM	\N	187	44812	UROK	\N	\N
3595150	1956	1998-05-31	PRIJEM	\N	195	48030	UROK	\N	\N
3595151	1956	1998-06-30	PRIJEM	\N	184	44144	UROK	\N	\N
3595152	1956	1998-07-31	PRIJEM	\N	192	46419	UROK	\N	\N
3595153	1956	1998-08-31	PRIJEM	\N	203	50145	UROK	\N	\N
3595154	1956	1998-09-30	PRIJEM	\N	204	46972	UROK	\N	\N
3595155	1956	1998-10-31	PRIJEM	\N	199	45795	UROK	\N	\N
3595156	1956	1998-11-30	PRIJEM	\N	195	47413	UROK	\N	\N
3595157	1956	1998-12-31	PRIJEM	\N	198	45760	UROK	\N	\N
3595158	1957	1996-10-31	PRIJEM	\N	30	15761	UROK	\N	\N
3595159	1957	1996-11-30	PRIJEM	\N	75	20566	UROK	\N	\N
3595160	1957	1996-12-31	PRIJEM	\N	95	25192	UROK	\N	\N
3595161	1957	1997-01-31	PRIJEM	\N	110	27833	UROK	\N	\N
3595162	1957	1997-02-28	PRIJEM	\N	120	29097	UROK	\N	\N
3595163	1957	1997-03-31	PRIJEM	\N	125	30151	UROK	\N	\N
3595164	1957	1997-04-30	PRIJEM	\N	122	27393	UROK	\N	\N
3595165	1957	1997-05-31	PRIJEM	\N	120	29742	UROK	\N	\N
3595166	1957	1997-06-30	PRIJEM	\N	120	21081	UROK	\N	\N
3595167	1957	1997-07-31	PRIJEM	\N	96	24407	UROK	\N	\N
3595168	1957	1997-08-31	PRIJEM	\N	103	23749	UROK	\N	\N
3595169	1957	1997-09-30	PRIJEM	\N	107	26785	UROK	\N	\N
3595170	1957	1997-10-31	PRIJEM	\N	115	26759	UROK	\N	\N
3595171	1957	1997-11-30	PRIJEM	\N	122	29910	UROK	\N	\N
3595172	1957	1997-12-31	PRIJEM	\N	136	32005	UROK	\N	\N
3595173	1957	1998-01-31	PRIJEM	\N	139	32063	UROK	\N	\N
3595174	1957	1998-02-28	PRIJEM	\N	143	34136	UROK	\N	\N
3595175	1957	1998-03-31	PRIJEM	\N	151	36116	UROK	\N	\N
3595176	1957	1998-04-30	PRIJEM	\N	149	35795	UROK	\N	\N
3595177	1957	1998-05-31	PRIJEM	\N	161	39355	UROK	\N	\N
3595178	1957	1998-06-30	PRIJEM	\N	160	36794	UROK	\N	\N
3595179	1957	1998-07-31	PRIJEM	\N	155	36478	UROK	\N	\N
3595180	1957	1998-08-31	PRIJEM	\N	143	32851	UROK	\N	\N
3595181	1957	1998-09-30	PRIJEM	\N	122	27913	UROK	\N	\N
3595182	1957	1998-10-31	PRIJEM	\N	122	28163	UROK	\N	\N
3595183	1957	1998-11-30	PRIJEM	\N	120	27773	UROK	\N	\N
3595184	1957	1998-12-31	PRIJEM	\N	110	26013	UROK	\N	\N
3595185	1958	1995-03-31	PRIJEM	\N	32	26122	UROK	\N	\N
3595186	1958	1995-04-30	PRIJEM	\N	116	28627	UROK	\N	\N
3595187	1958	1995-05-31	PRIJEM	\N	123	28439	UROK	\N	\N
3595188	1958	1995-06-30	PRIJEM	\N	90	20668	UROK	\N	\N
3595189	1958	1995-07-31	PRIJEM	\N	93	23151	UROK	\N	\N
3595190	1958	1995-08-31	PRIJEM	\N	104	25644	UROK	\N	\N
3595191	1958	1995-09-30	PRIJEM	\N	114	28047	UROK	\N	\N
3595192	1958	1995-10-31	PRIJEM	\N	124	30560	UROK	\N	\N
3595193	1958	1995-11-30	PRIJEM	\N	134	32683	UROK	\N	\N
3595194	1958	1995-12-31	PRIJEM	\N	138	32111	UROK	\N	\N
3595195	1958	1996-01-31	PRIJEM	\N	133	30232	UROK	\N	\N
3595196	1958	1996-02-29	PRIJEM	\N	131	31633	UROK	\N	\N
3595197	1958	1996-03-31	PRIJEM	\N	139	34161	UROK	\N	\N
3595198	1958	1996-04-30	PRIJEM	\N	144	33814	UROK	\N	\N
3595199	1958	1996-05-31	PRIJEM	\N	148	36351	UROK	\N	\N
3595200	1958	1996-06-30	PRIJEM	\N	140	22000	UROK	\N	\N
3595201	1958	1996-07-31	PRIJEM	\N	99	24488	UROK	\N	\N
3595202	1958	1996-08-31	PRIJEM	\N	109	26986	UROK	\N	\N
3595203	1958	1996-09-30	PRIJEM	\N	118	28374	UROK	\N	\N
3595204	1958	1996-10-31	PRIJEM	\N	125	30889	UROK	\N	\N
3595205	1958	1996-11-30	PRIJEM	\N	135	33413	UROK	\N	\N
3595206	1958	1996-12-31	PRIJEM	\N	140	32192	UROK	\N	\N
3595207	1958	1997-01-31	PRIJEM	\N	130	31761	UROK	\N	\N
3595208	1958	1997-02-28	PRIJEM	\N	134	30924	UROK	\N	\N
3595209	1958	1997-03-31	PRIJEM	\N	135	33449	UROK	\N	\N
3595210	1958	1997-04-30	PRIJEM	\N	146	35984	UROK	\N	\N
3595211	1958	1997-05-31	PRIJEM	\N	156	38530	UROK	\N	\N
3595212	1958	1997-06-30	PRIJEM	\N	132	29001	UROK	\N	\N
3595213	1958	1997-07-31	PRIJEM	\N	124	29834	UROK	\N	\N
3595214	1958	1997-08-31	PRIJEM	\N	131	32354	UROK	\N	\N
3595215	1958	1997-09-30	PRIJEM	\N	134	31517	UROK	\N	\N
3595216	1958	1997-10-31	PRIJEM	\N	138	34044	UROK	\N	\N
3595217	1958	1997-11-30	PRIJEM	\N	148	36581	UROK	\N	\N
3595218	1958	1997-12-31	PRIJEM	\N	151	35012	UROK	\N	\N
3595219	1958	1998-01-31	PRIJEM	\N	141	34152	UROK	\N	\N
3595220	1958	1998-02-28	PRIJEM	\N	148	36689	UROK	\N	\N
3595221	1958	1998-03-31	PRIJEM	\N	157	37956	UROK	\N	\N
3595222	1958	1998-04-30	PRIJEM	\N	164	40509	UROK	\N	\N
3595223	1958	1998-05-31	PRIJEM	\N	175	43073	UROK	\N	\N
3595224	1958	1998-06-30	PRIJEM	\N	168	35761	UROK	\N	\N
3595225	1958	1998-07-31	PRIJEM	\N	147	36137	UROK	\N	\N
3595226	1958	1998-08-31	PRIJEM	\N	156	38683	UROK	\N	\N
3595227	1958	1998-09-30	PRIJEM	\N	166	40038	UROK	\N	\N
3595228	1958	1998-10-31	PRIJEM	\N	172	42599	UROK	\N	\N
3595229	1958	1998-11-30	PRIJEM	\N	183	45171	UROK	\N	\N
3595230	1958	1998-12-31	PRIJEM	\N	188	45959	UROK	\N	\N
3595231	1959	1994-04-30	PRIJEM	\N	30	26650	UROK	\N	\N
3595232	1959	1994-05-31	PRIJEM	\N	122	26019	UROK	\N	\N
3595233	1959	1994-06-30	PRIJEM	\N	85	18678	UROK	\N	\N
3595234	1959	1994-07-31	PRIJEM	\N	93	21544	UROK	\N	\N
3595235	1959	1994-08-31	PRIJEM	\N	105	24422	UROK	\N	\N
3595236	1959	1994-09-30	PRIJEM	\N	111	23506	UROK	\N	\N
3595237	1959	1994-10-31	PRIJEM	\N	105	21985	UROK	\N	\N
3595238	1959	1994-11-30	PRIJEM	\N	106	24664	UROK	\N	\N
3595239	1959	1994-12-31	PRIJEM	\N	106	20694	UROK	\N	\N
3595240	1959	1995-01-31	PRIJEM	\N	79	13396	UROK	\N	\N
3595241	1959	1995-02-28	PRIJEM	\N	68	15038	UROK	\N	\N
3595242	1959	1995-03-31	PRIJEM	\N	76	17427	UROK	\N	\N
3595243	1959	1995-04-30	PRIJEM	\N	84	18884	UROK	\N	\N
3595244	1959	1995-05-31	PRIJEM	\N	80	16298	UROK	\N	\N
3595245	1959	1995-06-30	PRIJEM	\N	80	18052	UROK	\N	\N
3595246	1959	1995-07-31	PRIJEM	\N	83	17608	UROK	\N	\N
3595247	1959	1995-08-31	PRIJEM	\N	81	17562	UROK	\N	\N
3595248	1959	1995-09-30	PRIJEM	\N	72	15027	UROK	\N	\N
3595249	1959	1995-10-31	PRIJEM	\N	73	16574	UROK	\N	\N
3595250	1959	1995-11-30	PRIJEM	\N	85	17932	UROK	\N	\N
3595251	1959	1995-12-31	PRIJEM	\N	74	13380	UROK	\N	\N
3595252	1959	1996-01-31	PRIJEM	\N	48	9271	UROK	\N	\N
3595253	1959	1996-02-29	PRIJEM	\N	54	12999	UROK	\N	\N
3595254	1959	1996-03-31	PRIJEM	\N	66	15339	UROK	\N	\N
3595255	1959	1996-04-30	PRIJEM	\N	66	13558	UROK	\N	\N
3595256	1959	1996-05-31	PRIJEM	\N	69	16100	UROK	\N	\N
3595257	1959	1996-06-30	PRIJEM	\N	63	12737	UROK	\N	\N
3595258	1959	1996-07-31	PRIJEM	\N	63	14373	UROK	\N	\N
3595259	1959	1996-08-31	PRIJEM	\N	68	15514	UROK	\N	\N
3595260	1959	1996-09-30	PRIJEM	\N	67	14294	UROK	\N	\N
3595261	1959	1996-10-31	PRIJEM	\N	59	12826	UROK	\N	\N
3595262	1959	1996-11-30	PRIJEM	\N	60	13759	UROK	\N	\N
3595263	1959	1996-12-31	PRIJEM	\N	59	13191	UROK	\N	\N
3595264	1959	1997-01-31	PRIJEM	\N	55	12059	UROK	\N	\N
3595265	1959	1997-02-28	PRIJEM	\N	66	15798	UROK	\N	\N
3595266	1959	1997-03-31	PRIJEM	\N	81	19553	UROK	\N	\N
3595267	1959	1997-04-30	PRIJEM	\N	85	19611	UROK	\N	\N
3595268	1959	1997-05-31	PRIJEM	\N	94	22478	UROK	\N	\N
3595269	1959	1997-06-30	PRIJEM	\N	85	19186	UROK	\N	\N
3595270	1959	1997-07-31	PRIJEM	\N	91	21451	UROK	\N	\N
3595271	1959	1997-08-31	PRIJEM	\N	104	25229	UROK	\N	\N
3595272	1959	1997-09-30	PRIJEM	\N	120	29022	UROK	\N	\N
3595273	1959	1997-10-31	PRIJEM	\N	136	32831	UROK	\N	\N
3595274	1959	1997-11-30	PRIJEM	\N	152	36656	UROK	\N	\N
3595275	1959	1997-12-31	PRIJEM	\N	164	38904	UROK	\N	\N
3595276	1959	1998-01-31	PRIJEM	\N	162	32059	UROK	\N	\N
3595277	1959	1998-02-28	PRIJEM	\N	148	35881	UROK	\N	\N
3595278	1959	1998-03-31	PRIJEM	\N	164	39718	UROK	\N	\N
3595279	1959	1998-04-30	PRIJEM	\N	180	43572	UROK	\N	\N
3595280	1959	1998-05-31	PRIJEM	\N	195	46960	UROK	\N	\N
3595281	1959	1998-06-30	PRIJEM	\N	157	37491	UROK	\N	\N
3595282	1959	1998-07-31	PRIJEM	\N	155	36919	UROK	\N	\N
3595283	1959	1998-08-31	PRIJEM	\N	166	34798	UROK	\N	\N
3595284	1959	1998-09-30	PRIJEM	\N	155	31306	UROK	\N	\N
3595285	1959	1998-10-31	PRIJEM	\N	143	32083	UROK	\N	\N
3595286	1959	1998-11-30	PRIJEM	\N	139	28456	UROK	\N	\N
3595287	1959	1998-12-31	PRIJEM	\N	131	31360	UROK	\N	\N
3595288	1960	1997-12-31	PRIJEM	\N	12	3937	UROK	\N	\N
3595289	1960	1998-01-31	PRIJEM	\N	16	7179	UROK	\N	\N
3595290	1960	1998-02-28	PRIJEM	\N	16	10420	UROK	\N	\N
3595291	1960	1998-03-31	PRIJEM	\N	16	13661	UROK	\N	\N
3595292	1960	1998-04-30	PRIJEM	\N	18	16904	UROK	\N	\N
3595293	1960	1998-05-31	PRIJEM	\N	73	17828	UROK	\N	\N
3595294	1960	1998-06-30	PRIJEM	\N	65	14183	UROK	\N	\N
3595295	1960	1998-07-31	PRIJEM	\N	62	15306	UROK	\N	\N
3595296	1960	1998-08-31	PRIJEM	\N	67	16433	UROK	\N	\N
3595297	1960	1998-09-30	PRIJEM	\N	70	17174	UROK	\N	\N
3595298	1960	1998-10-31	PRIJEM	\N	75	18309	UROK	\N	\N
3595299	1960	1998-11-30	PRIJEM	\N	79	19448	UROK	\N	\N
3595300	1960	1998-12-31	PRIJEM	\N	83	19961	UROK	\N	\N
3595301	1961	1995-12-31	PRIJEM	\N	12	21968	UROK	\N	\N
3595302	1961	1996-01-31	PRIJEM	\N	96	22608	UROK	\N	\N
3595303	1961	1996-02-29	PRIJEM	\N	101	23665	UROK	\N	\N
3595304	1961	1996-03-31	PRIJEM	\N	106	25327	UROK	\N	\N
3595305	1961	1996-04-30	PRIJEM	\N	111	24594	UROK	\N	\N
3595306	1961	1996-05-31	PRIJEM	\N	105	20375	UROK	\N	\N
3595307	1961	1996-06-30	PRIJEM	\N	90	20222	UROK	\N	\N
3595308	1961	1996-07-31	PRIJEM	\N	89	19087	UROK	\N	\N
3595309	1961	1996-08-31	PRIJEM	\N	85	19528	UROK	\N	\N
3595310	1961	1996-09-30	PRIJEM	\N	82	17286	UROK	\N	\N
3595311	1961	1996-10-31	PRIJEM	\N	80	20623	UROK	\N	\N
3595312	1961	1996-11-30	PRIJEM	\N	90	21209	UROK	\N	\N
3595313	1961	1996-12-31	PRIJEM	\N	90	19535	UROK	\N	\N
3595314	1961	1997-01-31	PRIJEM	\N	62	12813	UROK	\N	\N
3595315	1961	1997-02-28	PRIJEM	\N	58	13727	UROK	\N	\N
3595316	1961	1997-03-31	PRIJEM	\N	65	16648	UROK	\N	\N
3595317	1961	1997-04-30	PRIJEM	\N	74	17298	UROK	\N	\N
3595318	1961	1997-05-31	PRIJEM	\N	77	18331	UROK	\N	\N
3595319	1961	1997-06-30	PRIJEM	\N	84	21872	UROK	\N	\N
3595320	1961	1997-07-31	PRIJEM	\N	95	24223	UROK	\N	\N
3595321	1961	1997-08-31	PRIJEM	\N	109	27788	UROK	\N	\N
3595322	1961	1997-09-30	PRIJEM	\N	120	29465	UROK	\N	\N
3595323	1961	1997-10-31	PRIJEM	\N	122	28243	UROK	\N	\N
3595324	1961	1997-11-30	PRIJEM	\N	124	31124	UROK	\N	\N
3595325	1961	1997-12-31	PRIJEM	\N	133	33013	UROK	\N	\N
3595326	1961	1998-01-31	PRIJEM	\N	107	24416	UROK	\N	\N
3595327	1961	1998-02-28	PRIJEM	\N	95	21067	UROK	\N	\N
3595328	1961	1998-03-31	PRIJEM	\N	83	18407	UROK	\N	\N
3595329	1961	1998-04-30	PRIJEM	\N	73	16637	UROK	\N	\N
3595330	1961	1998-05-31	PRIJEM	\N	59	12972	UROK	\N	\N
3595331	1961	1998-06-30	PRIJEM	\N	57	14285	UROK	\N	\N
3595332	1961	1998-07-31	PRIJEM	\N	67	17809	UROK	\N	\N
3595333	1961	1998-08-31	PRIJEM	\N	81	12646	UROK	\N	\N
3595334	1961	1998-09-30	PRIJEM	\N	55	13997	UROK	\N	\N
3595335	1961	1998-10-31	PRIJEM	\N	66	17520	UROK	\N	\N
3595336	1961	1998-11-30	PRIJEM	\N	80	21056	UROK	\N	\N
3595337	1961	1998-12-31	PRIJEM	\N	90	23053	UROK	\N	\N
3595338	1962	1996-03-31	PRIJEM	\N	32	34305	UROK	\N	\N
3595339	1962	1996-04-30	PRIJEM	\N	162	54641	UROK	\N	\N
3595340	1962	1996-05-31	PRIJEM	\N	237	64351	UROK	\N	\N
3595341	1962	1996-06-30	PRIJEM	\N	338	71199	UROK	\N	\N
3595342	1962	1996-07-31	PRIJEM	\N	333	50606	UROK	\N	\N
3595343	1962	1996-08-31	PRIJEM	\N	278	63709	UROK	\N	\N
3595344	1962	1996-09-30	PRIJEM	\N	304	43883	UROK	\N	\N
3595345	1962	1996-10-31	PRIJEM	\N	222	50006	UROK	\N	\N
3595346	1962	1996-11-30	PRIJEM	\N	263	60395	UROK	\N	\N
3595347	1962	1996-12-31	PRIJEM	\N	218	41975	UROK	\N	\N
3595348	1962	1997-01-31	PRIJEM	\N	174	23175	UROK	\N	\N
3595349	1962	1997-02-28	PRIJEM	\N	160	43860	UROK	\N	\N
3595350	1962	1997-03-31	PRIJEM	\N	238	54523	UROK	\N	\N
3595351	1962	1997-04-30	PRIJEM	\N	231	50344	UROK	\N	\N
3595352	1962	1997-05-31	PRIJEM	\N	230	53231	UROK	\N	\N
3595353	1962	1997-06-30	PRIJEM	\N	258	60918	UROK	\N	\N
3595354	1962	1997-07-31	PRIJEM	\N	255	29730	UROK	\N	\N
3595355	1962	1997-08-31	PRIJEM	\N	163	22707	UROK	\N	\N
3595356	1962	1997-09-30	PRIJEM	\N	150	42183	UROK	\N	\N
3595357	1962	1997-10-31	PRIJEM	\N	190	39698	UROK	\N	\N
3595358	1962	1997-11-30	PRIJEM	\N	160	41459	UROK	\N	\N
3595359	1962	1997-12-31	PRIJEM	\N	213	50681	UROK	\N	\N
3595360	1962	1998-01-31	PRIJEM	\N	155	22861	UROK	\N	\N
3595361	1962	1998-02-28	PRIJEM	\N	131	39218	UROK	\N	\N
3595362	1962	1998-03-31	PRIJEM	\N	190	47133	UROK	\N	\N
3595363	1962	1998-04-30	PRIJEM	\N	214	53472	UROK	\N	\N
3595364	1962	1998-05-31	PRIJEM	\N	231	55828	UROK	\N	\N
3595365	1962	1998-06-30	PRIJEM	\N	309	58499	UROK	\N	\N
3595366	1962	1998-07-31	PRIJEM	\N	256	47510	UROK	\N	\N
3595367	1962	1998-08-31	PRIJEM	\N	256	72692	UROK	\N	\N
3595368	1962	1998-09-30	PRIJEM	\N	315	82932	UROK	\N	\N
3595369	1962	1998-10-31	PRIJEM	\N	333	85350	UROK	\N	\N
3595370	1962	1998-11-30	PRIJEM	\N	364	96040	UROK	\N	\N
3595371	1962	1998-12-31	PRIJEM	\N	441	104343	UROK	\N	\N
3595372	1963	1996-02-29	PRIJEM	\N	60	23428	UROK	\N	\N
3595373	1963	1996-03-31	PRIJEM	\N	166	49062	UROK	\N	\N
3595374	1963	1996-04-30	PRIJEM	\N	241	63372	UROK	\N	\N
3595375	1963	1996-05-31	PRIJEM	\N	281	70121	UROK	\N	\N
3595376	1963	1996-06-30	PRIJEM	\N	242	32300	UROK	\N	\N
3595377	1963	1996-07-31	PRIJEM	\N	184	50702	UROK	\N	\N
3595378	1963	1996-08-31	PRIJEM	\N	243	60623	UROK	\N	\N
3595379	1963	1996-09-30	PRIJEM	\N	235	59276	UROK	\N	\N
3595380	1963	1996-10-31	PRIJEM	\N	256	45110	UROK	\N	\N
3595381	1963	1996-11-30	PRIJEM	\N	226	46734	UROK	\N	\N
3595382	1963	1996-12-31	PRIJEM	\N	269	51586	UROK	\N	\N
3595383	1963	1997-01-31	PRIJEM	\N	224	47348	UROK	\N	\N
3595384	1963	1997-02-28	PRIJEM	\N	227	44654	UROK	\N	\N
3595385	1963	1997-03-31	PRIJEM	\N	233	50466	UROK	\N	\N
3595386	1963	1997-04-30	PRIJEM	\N	252	50836	UROK	\N	\N
3595387	1963	1997-05-31	PRIJEM	\N	263	55178	UROK	\N	\N
3595388	1963	1997-06-30	PRIJEM	\N	287	60767	UROK	\N	\N
3595389	1963	1997-07-31	PRIJEM	\N	286	57631	UROK	\N	\N
3595390	1963	1997-08-31	PRIJEM	\N	279	60289	UROK	\N	\N
3595391	1963	1997-09-30	PRIJEM	\N	290	65157	UROK	\N	\N
3595392	1963	1997-10-31	PRIJEM	\N	314	69050	UROK	\N	\N
3595393	1963	1997-11-30	PRIJEM	\N	322	71350	UROK	\N	\N
3595394	1963	1997-12-31	PRIJEM	\N	355	80847	UROK	\N	\N
3595395	1963	1998-01-31	PRIJEM	\N	299	64164	UROK	\N	\N
3595396	1963	1998-02-28	PRIJEM	\N	303	72026	UROK	\N	\N
3595397	1963	1998-03-31	PRIJEM	\N	310	72274	UROK	\N	\N
3595398	1963	1998-04-30	PRIJEM	\N	335	77087	UROK	\N	\N
3595399	1963	1998-05-31	PRIJEM	\N	351	78736	UROK	\N	\N
3595400	1963	1998-06-30	PRIJEM	\N	350	70608	UROK	\N	\N
3595401	1963	1998-07-31	PRIJEM	\N	328	75335	UROK	\N	\N
3595402	1963	1998-08-31	PRIJEM	\N	351	83264	UROK	\N	\N
3595403	1963	1998-09-30	PRIJEM	\N	369	82512	UROK	\N	\N
3595404	1963	1998-10-31	PRIJEM	\N	366	82256	UROK	\N	\N
3595405	1963	1998-11-30	PRIJEM	\N	356	80190	UROK	\N	\N
3595406	1963	1998-12-31	PRIJEM	\N	363	81415	UROK	\N	\N
3595407	1964	1996-06-30	PRIJEM	\N	65	23353	UROK	\N	\N
3595408	1964	1996-07-31	PRIJEM	\N	92	20512	UROK	\N	\N
3595409	1964	1996-08-31	PRIJEM	\N	83	19949	UROK	\N	\N
3595410	1964	1996-09-30	PRIJEM	\N	89	21832	UROK	\N	\N
3595411	1964	1996-10-31	PRIJEM	\N	103	21329	UROK	\N	\N
3595412	1964	1996-11-30	PRIJEM	\N	93	22916	UROK	\N	\N
3595413	1964	1996-12-31	PRIJEM	\N	101	23262	UROK	\N	\N
3595414	1964	1997-01-31	PRIJEM	\N	88	15564	UROK	\N	\N
3595415	1964	1997-02-28	PRIJEM	\N	77	19736	UROK	\N	\N
3595416	1964	1997-03-31	PRIJEM	\N	94	22164	UROK	\N	\N
3595417	1964	1997-04-30	PRIJEM	\N	99	24118	UROK	\N	\N
3595418	1964	1997-05-31	PRIJEM	\N	106	26218	UROK	\N	\N
3595419	1964	1997-06-30	PRIJEM	\N	111	26374	UROK	\N	\N
3595420	1964	1997-07-31	PRIJEM	\N	111	27179	UROK	\N	\N
3595421	1964	1997-08-31	PRIJEM	\N	113	27386	UROK	\N	\N
3595422	1964	1997-09-30	PRIJEM	\N	93	21073	UROK	\N	\N
3595423	1964	1997-10-31	PRIJEM	\N	89	21756	UROK	\N	\N
3595424	1964	1997-11-30	PRIJEM	\N	81	19031	UROK	\N	\N
3595425	1964	1997-12-31	PRIJEM	\N	84	20759	UROK	\N	\N
3595426	1964	1998-01-31	PRIJEM	\N	85	16079	UROK	\N	\N
3595427	1964	1998-02-28	PRIJEM	\N	72	17765	UROK	\N	\N
3595428	1964	1998-03-31	PRIJEM	\N	69	13469	UROK	\N	\N
3595429	1964	1998-04-30	PRIJEM	\N	68	17632	UROK	\N	\N
3595430	1964	1998-05-31	PRIJEM	\N	73	18039	UROK	\N	\N
3595431	1964	1998-06-30	PRIJEM	\N	82	20515	UROK	\N	\N
3595432	1964	1998-07-31	PRIJEM	\N	83	20192	UROK	\N	\N
3595433	1964	1998-08-31	PRIJEM	\N	78	12565	UROK	\N	\N
3595434	1964	1998-09-30	PRIJEM	\N	64	16724	UROK	\N	\N
3595435	1964	1998-10-31	PRIJEM	\N	79	13897	UROK	\N	\N
3595436	1964	1998-11-30	PRIJEM	\N	67	11559	UROK	\N	\N
3595437	1964	1998-12-31	PRIJEM	\N	60	15713	UROK	\N	\N
3595438	1965	1993-04-30	PRIJEM	\N	67	21430	UROK	\N	\N
3595439	1965	1993-05-31	PRIJEM	\N	273	76670	UROK	\N	\N
3595440	1965	1993-06-30	PRIJEM	\N	151	41516	UROK	\N	\N
3595441	1965	1993-07-31	PRIJEM	\N	126	27001	UROK	\N	\N
3595442	1965	1993-08-31	PRIJEM	\N	134	61642	UROK	\N	\N
3595443	1965	1993-09-30	PRIJEM	\N	224	48511	UROK	\N	\N
3595444	1965	1993-10-31	PRIJEM	\N	197	74497	UROK	\N	\N
3595445	1965	1993-11-30	PRIJEM	\N	240	72465	UROK	\N	\N
3595446	1965	1993-12-31	PRIJEM	\N	213	64281	UROK	\N	\N
3595447	1965	1994-01-31	PRIJEM	\N	211	28910	UROK	\N	\N
3595448	1965	1994-02-28	PRIJEM	\N	251	64957	UROK	\N	\N
3595449	1965	1994-03-31	PRIJEM	\N	232	56038	UROK	\N	\N
3595450	1965	1994-04-30	PRIJEM	\N	148	32745	UROK	\N	\N
3595451	1965	1994-05-31	PRIJEM	\N	81	17785	UROK	\N	\N
3595452	1965	1994-06-30	PRIJEM	\N	151	36375	UROK	\N	\N
3595453	1965	1994-07-31	PRIJEM	\N	103	22737	UROK	\N	\N
3595454	1965	1994-08-31	PRIJEM	\N	159	53240	UROK	\N	\N
3595455	1965	1994-09-30	PRIJEM	\N	113	23191	UROK	\N	\N
3595456	1965	1994-10-31	PRIJEM	\N	118	29240	UROK	\N	\N
3595457	1965	1994-11-30	PRIJEM	\N	172	80843	UROK	\N	\N
3595458	1965	1994-12-31	PRIJEM	\N	170	28760	UROK	\N	\N
3595459	1965	1995-01-31	PRIJEM	\N	125	32785	UROK	\N	\N
3595460	1965	1995-02-28	PRIJEM	\N	255	81401	UROK	\N	\N
3595461	1965	1995-03-31	PRIJEM	\N	293	58463	UROK	\N	\N
3595462	1965	1995-04-30	PRIJEM	\N	243	39967	UROK	\N	\N
3595463	1965	1995-05-31	PRIJEM	\N	243	51112	UROK	\N	\N
3595464	1965	1995-06-30	PRIJEM	\N	138	28281	UROK	\N	\N
3595465	1965	1995-07-31	PRIJEM	\N	113	21553	UROK	\N	\N
3595466	1965	1995-08-31	PRIJEM	\N	92	21663	UROK	\N	\N
3595467	1965	1995-09-30	PRIJEM	\N	86	18709	UROK	\N	\N
3595468	1965	1995-10-31	PRIJEM	\N	73	14540	UROK	\N	\N
3595469	1965	1995-11-30	PRIJEM	\N	128	28245	UROK	\N	\N
3595470	1965	1995-12-31	PRIJEM	\N	106	17710	UROK	\N	\N
3595471	1965	1996-01-31	PRIJEM	\N	68	14637	UROK	\N	\N
3595472	1965	1996-02-29	PRIJEM	\N	57	5054	UROK	\N	\N
3595473	1965	1996-03-31	PRIJEM	\N	30	15772	UROK	\N	\N
3595474	1965	1996-04-30	PRIJEM	\N	64	16595	UROK	\N	\N
3595475	1965	1996-05-31	PRIJEM	\N	65	15620	UROK	\N	\N
3595476	1965	1996-06-30	PRIJEM	\N	104	24808	UROK	\N	\N
3595477	1965	1996-07-31	PRIJEM	\N	96	21497	UROK	\N	\N
3595478	1965	1996-08-31	PRIJEM	\N	147	24701	UROK	\N	\N
3595479	1965	1996-09-30	PRIJEM	\N	167	37978	UROK	\N	\N
3595480	1965	1996-10-31	PRIJEM	\N	213	40733	UROK	\N	\N
3595481	1965	1996-11-30	PRIJEM	\N	185	46109	UROK	\N	\N
3595482	1965	1996-12-31	PRIJEM	\N	159	28359	UROK	\N	\N
3595483	1965	1997-01-31	PRIJEM	\N	141	39855	UROK	\N	\N
3595484	1965	1997-02-28	PRIJEM	\N	185	61337	UROK	\N	\N
3595485	1965	1997-03-31	PRIJEM	\N	182	66719	UROK	\N	\N
3595486	1965	1997-04-30	PRIJEM	\N	208	30257	UROK	\N	\N
3595487	1965	1997-05-31	PRIJEM	\N	140	39322	UROK	\N	\N
3595488	1965	1997-06-30	PRIJEM	\N	212	50873	UROK	\N	\N
3595489	1965	1997-07-31	PRIJEM	\N	166	23664	UROK	\N	\N
3595490	1965	1997-08-31	PRIJEM	\N	238	94388	UROK	\N	\N
3595491	1965	1997-09-30	PRIJEM	\N	364	63760	UROK	\N	\N
3595492	1965	1997-10-31	PRIJEM	\N	242	44442	UROK	\N	\N
3595493	1965	1997-11-30	PRIJEM	\N	148	30548	UROK	\N	\N
3595494	1965	1997-12-31	PRIJEM	\N	217	50547	UROK	\N	\N
3595495	1965	1998-01-31	PRIJEM	\N	298	70713	UROK	\N	\N
3595496	1965	1998-02-28	PRIJEM	\N	311	67956	UROK	\N	\N
3595497	1965	1998-03-31	PRIJEM	\N	293	111107	UROK	\N	\N
3595498	1965	1998-04-30	PRIJEM	\N	228	49307	UROK	\N	\N
3595499	1965	1998-05-31	PRIJEM	\N	292	124947	UROK	\N	\N
3595500	1965	1998-06-30	PRIJEM	\N	369	96874	UROK	\N	\N
3595501	1965	1998-07-31	PRIJEM	\N	362	79788	UROK	\N	\N
3595502	1965	1998-08-31	PRIJEM	\N	327	91695	UROK	\N	\N
3595503	1965	1998-09-30	PRIJEM	\N	364	113243	UROK	\N	\N
3595504	1965	1998-10-31	PRIJEM	\N	176	27235	UROK	\N	\N
3595505	1965	1998-11-30	PRIJEM	\N	292	84488	UROK	\N	\N
3595506	1965	1998-12-31	PRIJEM	\N	230	51866	UROK	\N	\N
3595507	1966	1993-02-28	PRIJEM	\N	48	21515	UROK	\N	\N
3595508	1966	1993-03-31	PRIJEM	\N	121	34703	UROK	\N	\N
3595509	1966	1993-04-30	PRIJEM	\N	180	49750	UROK	\N	\N
3595510	1966	1993-05-31	PRIJEM	\N	230	59246	UROK	\N	\N
3595511	1966	1993-06-30	PRIJEM	\N	259	55796	UROK	\N	\N
3595512	1966	1993-07-31	PRIJEM	\N	238	59916	UROK	\N	\N
3595513	1966	1993-08-31	PRIJEM	\N	247	62047	UROK	\N	\N
3595514	1966	1993-09-30	PRIJEM	\N	242	59432	UROK	\N	\N
3595515	1966	1993-10-31	PRIJEM	\N	237	59352	UROK	\N	\N
3595516	1966	1993-11-30	PRIJEM	\N	239	61574	UROK	\N	\N
3595517	1966	1993-12-31	PRIJEM	\N	266	65767	UROK	\N	\N
3595518	1966	1994-01-31	PRIJEM	\N	203	47073	UROK	\N	\N
3595519	1966	1994-02-28	PRIJEM	\N	190	52507	UROK	\N	\N
3595520	1966	1994-03-31	PRIJEM	\N	217	56808	UROK	\N	\N
3595521	1966	1994-04-30	PRIJEM	\N	225	58816	UROK	\N	\N
3595522	1966	1994-05-31	PRIJEM	\N	232	60232	UROK	\N	\N
3595523	1966	1994-06-30	PRIJEM	\N	176	25534	UROK	\N	\N
3595524	1966	1994-07-31	PRIJEM	\N	149	44267	UROK	\N	\N
3595525	1966	1994-08-31	PRIJEM	\N	198	53148	UROK	\N	\N
3595526	1966	1994-09-30	PRIJEM	\N	193	51925	UROK	\N	\N
3595527	1966	1994-10-31	PRIJEM	\N	201	54109	UROK	\N	\N
3595528	1966	1994-11-30	PRIJEM	\N	203	54595	UROK	\N	\N
3595529	1966	1994-12-31	PRIJEM	\N	220	61002	UROK	\N	\N
3595530	1966	1995-01-31	PRIJEM	\N	165	33171	UROK	\N	\N
3595531	1966	1995-02-28	PRIJEM	\N	144	42498	UROK	\N	\N
3595532	1966	1995-03-31	PRIJEM	\N	163	44965	UROK	\N	\N
3595533	1966	1995-04-30	PRIJEM	\N	186	51534	UROK	\N	\N
3595534	1966	1995-05-31	PRIJEM	\N	184	50161	UROK	\N	\N
3595535	1966	1995-06-30	PRIJEM	\N	132	27619	UROK	\N	\N
3595536	1966	1995-07-31	PRIJEM	\N	126	37529	UROK	\N	\N
3595537	1966	1995-08-31	PRIJEM	\N	147	42779	UROK	\N	\N
3595538	1966	1995-09-30	PRIJEM	\N	146	40408	UROK	\N	\N
3595539	1966	1995-10-31	PRIJEM	\N	172	32064	UROK	\N	\N
3595540	1966	1995-11-30	PRIJEM	\N	164	33311	UROK	\N	\N
3595541	1966	1995-12-31	PRIJEM	\N	178	34475	UROK	\N	\N
3595542	1966	1996-01-31	PRIJEM	\N	138	26296	UROK	\N	\N
3595543	1966	1996-02-29	PRIJEM	\N	138	31718	UROK	\N	\N
3595544	1966	1996-03-31	PRIJEM	\N	160	34161	UROK	\N	\N
3595545	1966	1996-04-30	PRIJEM	\N	163	30847	UROK	\N	\N
3595546	1966	1996-05-31	PRIJEM	\N	138	28648	UROK	\N	\N
3595547	1966	1996-06-30	PRIJEM	\N	150	31065	UROK	\N	\N
3595548	1966	1996-07-31	PRIJEM	\N	152	32000	UROK	\N	\N
3595549	1966	1996-08-31	PRIJEM	\N	149	27532	UROK	\N	\N
3595550	1966	1996-09-30	PRIJEM	\N	129	27284	UROK	\N	\N
3595551	1966	1996-10-31	PRIJEM	\N	126	29134	UROK	\N	\N
3595552	1966	1996-11-30	PRIJEM	\N	130	24087	UROK	\N	\N
3595553	1966	1996-12-31	PRIJEM	\N	137	33751	UROK	\N	\N
3595554	1966	1997-01-31	PRIJEM	\N	137	21711	UROK	\N	\N
3595555	1966	1997-02-28	PRIJEM	\N	110	27824	UROK	\N	\N
3595556	1966	1997-03-31	PRIJEM	\N	139	34446	UROK	\N	\N
3595557	1966	1997-04-30	PRIJEM	\N	165	41394	UROK	\N	\N
3595558	1966	1997-05-31	PRIJEM	\N	185	41663	UROK	\N	\N
3595559	1966	1997-06-30	PRIJEM	\N	205	49374	UROK	\N	\N
3595560	1966	1997-07-31	PRIJEM	\N	190	42347	UROK	\N	\N
3595561	1966	1997-08-31	PRIJEM	\N	184	42315	UROK	\N	\N
3595562	1966	1997-09-30	PRIJEM	\N	186	44684	UROK	\N	\N
3595563	1966	1997-10-31	PRIJEM	\N	195	46763	UROK	\N	\N
3595564	1966	1997-11-30	PRIJEM	\N	195	45541	UROK	\N	\N
3595565	1966	1997-12-31	PRIJEM	\N	208	51155	UROK	\N	\N
3595566	1966	1998-01-31	PRIJEM	\N	172	41991	UROK	\N	\N
3595567	1966	1998-02-28	PRIJEM	\N	175	42349	UROK	\N	\N
3595568	1966	1998-03-31	PRIJEM	\N	175	40107	UROK	\N	\N
3595569	1966	1998-04-30	PRIJEM	\N	159	32489	UROK	\N	\N
3595570	1966	1998-05-31	PRIJEM	\N	136	32268	UROK	\N	\N
3595571	1966	1998-06-30	PRIJEM	\N	152	40187	UROK	\N	\N
3595572	1966	1998-07-31	PRIJEM	\N	158	36628	UROK	\N	\N
3595573	1966	1998-08-31	PRIJEM	\N	145	35296	UROK	\N	\N
3595574	1966	1998-09-30	PRIJEM	\N	139	34618	UROK	\N	\N
3595575	1966	1998-10-31	PRIJEM	\N	147	35209	UROK	\N	\N
3595576	1966	1998-11-30	PRIJEM	\N	176	50367	UROK	\N	\N
3595577	1966	1998-12-31	PRIJEM	\N	232	62865	UROK	\N	\N
3595578	1967	1995-03-31	PRIJEM	\N	46	21281	UROK	\N	\N
3595579	1967	1995-04-30	PRIJEM	\N	144	44785	UROK	\N	\N
3595580	1967	1995-05-31	PRIJEM	\N	202	55660	UROK	\N	\N
3595581	1967	1995-06-30	PRIJEM	\N	231	42392	UROK	\N	\N
3595582	1967	1995-07-31	PRIJEM	\N	276	78147	UROK	\N	\N
3595583	1967	1995-08-31	PRIJEM	\N	325	54871	UROK	\N	\N
3595584	1967	1995-09-30	PRIJEM	\N	314	41485	UROK	\N	\N
3595585	1967	1995-10-31	PRIJEM	\N	247	69812	UROK	\N	\N
3595586	1967	1995-11-30	PRIJEM	\N	140	21458	UROK	\N	\N
3595587	1967	1995-12-31	PRIJEM	\N	59	7722	UROK	\N	\N
3595588	1967	1996-01-31	PRIJEM	\N	46	17428	UROK	\N	\N
3595589	1967	1996-02-29	PRIJEM	\N	46	5880	UROK	\N	\N
3595590	1967	1996-03-31	PRIJEM	\N	50	26758	UROK	\N	\N
3595591	1967	1996-04-30	PRIJEM	\N	214	99184	UROK	\N	\N
3595592	1967	1996-05-31	PRIJEM	\N	243	56787	UROK	\N	\N
3595593	1967	1996-06-30	PRIJEM	\N	229	33220	UROK	\N	\N
3595594	1967	1996-07-31	PRIJEM	\N	120	31320	UROK	\N	\N
3595595	1967	1996-08-31	PRIJEM	\N	88	24131	UROK	\N	\N
3595596	1967	1996-09-30	PRIJEM	\N	126	65557	UROK	\N	\N
3595597	1967	1996-10-31	PRIJEM	\N	111	16923	UROK	\N	\N
3595598	1967	1996-11-30	PRIJEM	\N	40	4376	UROK	\N	\N
3595599	1967	1996-12-31	PRIJEM	\N	175	103861	UROK	\N	\N
3595600	1967	1997-01-31	PRIJEM	\N	167	21640	UROK	\N	\N
3595601	1967	1997-02-28	PRIJEM	\N	51	5104	UROK	\N	\N
3595602	1967	1997-03-31	PRIJEM	\N	116	28563	UROK	\N	\N
3595603	1967	1997-04-30	PRIJEM	\N	70	8945	UROK	\N	\N
3595604	1967	1997-05-31	PRIJEM	\N	86	58354	UROK	\N	\N
3595605	1967	1997-06-30	PRIJEM	\N	296	85297	UROK	\N	\N
3595606	1967	1997-07-31	PRIJEM	\N	231	38440	UROK	\N	\N
3595607	1967	1997-08-31	PRIJEM	\N	127	24993	UROK	\N	\N
3595608	1967	1997-09-30	PRIJEM	\N	56	18551	UROK	\N	\N
3595609	1967	1997-10-31	PRIJEM	\N	91	24296	UROK	\N	\N
3595610	1967	1997-11-30	PRIJEM	\N	198	42692	UROK	\N	\N
3595611	1967	1997-12-31	PRIJEM	\N	267	67128	UROK	\N	\N
3595612	1967	1998-01-31	PRIJEM	\N	371	92698	UROK	\N	\N
3595613	1967	1998-02-28	PRIJEM	\N	259	35537	UROK	\N	\N
3595614	1967	1998-03-31	PRIJEM	\N	99	16248	UROK	\N	\N
3595615	1967	1998-04-30	PRIJEM	\N	94	34364	UROK	\N	\N
3595616	1967	1998-05-31	PRIJEM	\N	274	46420	UROK	\N	\N
3595617	1967	1998-06-30	PRIJEM	\N	110	15955	UROK	\N	\N
3595618	1967	1998-07-31	PRIJEM	\N	101	63369	UROK	\N	\N
3595619	1967	1998-08-31	PRIJEM	\N	254	20746	UROK	\N	\N
3595620	1967	1998-09-30	PRIJEM	\N	143	29330	UROK	\N	\N
3595621	1967	1998-10-31	PRIJEM	\N	191	61968	UROK	\N	\N
3595622	1967	1998-11-30	PRIJEM	\N	195	17576	UROK	\N	\N
3595623	1967	1998-12-31	PRIJEM	\N	97	27814	UROK	\N	\N
3595624	1969	1994-04-30	PRIJEM	\N	27	11429	UROK	\N	\N
3595625	1969	1994-05-31	PRIJEM	\N	93	30324	UROK	\N	\N
3595626	1969	1994-06-30	PRIJEM	\N	159	44186	UROK	\N	\N
3595627	1969	1994-07-31	PRIJEM	\N	183	44771	UROK	\N	\N
3595628	1969	1994-08-31	PRIJEM	\N	138	33511	UROK	\N	\N
3595629	1969	1994-09-30	PRIJEM	\N	150	32245	UROK	\N	\N
3595630	1969	1994-10-31	PRIJEM	\N	144	29774	UROK	\N	\N
3595631	1969	1994-11-30	PRIJEM	\N	133	26991	UROK	\N	\N
3595632	1969	1994-12-31	PRIJEM	\N	127	28684	UROK	\N	\N
3595633	1969	1995-01-31	PRIJEM	\N	90	16998	UROK	\N	\N
3595634	1969	1995-02-28	PRIJEM	\N	81	18463	UROK	\N	\N
3595635	1969	1995-03-31	PRIJEM	\N	89	23436	UROK	\N	\N
3595636	1969	1995-04-30	PRIJEM	\N	108	25829	UROK	\N	\N
3595637	1969	1995-05-31	PRIJEM	\N	115	23028	UROK	\N	\N
3595638	1969	1995-06-30	PRIJEM	\N	112	23526	UROK	\N	\N
3595639	1969	1995-07-31	PRIJEM	\N	96	23126	UROK	\N	\N
3595640	1969	1995-08-31	PRIJEM	\N	100	20970	UROK	\N	\N
3595641	1969	1995-09-30	PRIJEM	\N	98	24352	UROK	\N	\N
3595642	1969	1995-10-31	PRIJEM	\N	106	22342	UROK	\N	\N
3595643	1969	1995-11-30	PRIJEM	\N	99	22626	UROK	\N	\N
3595644	1969	1995-12-31	PRIJEM	\N	101	23892	UROK	\N	\N
3595645	1969	1996-01-31	PRIJEM	\N	88	13964	UROK	\N	\N
3595646	1969	1996-02-29	PRIJEM	\N	65	15714	UROK	\N	\N
3595647	1969	1996-03-31	PRIJEM	\N	71	16369	UROK	\N	\N
3595648	1969	1996-04-30	PRIJEM	\N	79	20732	UROK	\N	\N
3595649	1969	1996-05-31	PRIJEM	\N	94	22710	UROK	\N	\N
3595650	1969	1996-06-30	PRIJEM	\N	101	21396	UROK	\N	\N
3595651	1969	1996-07-31	PRIJEM	\N	91	20671	UROK	\N	\N
3595652	1969	1996-08-31	PRIJEM	\N	86	19342	UROK	\N	\N
3595653	1969	1996-09-30	PRIJEM	\N	80	17907	UROK	\N	\N
3595654	1969	1996-10-31	PRIJEM	\N	74	16465	UROK	\N	\N
3595655	1969	1996-11-30	PRIJEM	\N	68	14817	UROK	\N	\N
3595656	1969	1996-12-31	PRIJEM	\N	66	15469	UROK	\N	\N
3595657	1969	1997-01-31	PRIJEM	\N	62	14215	UROK	\N	\N
3595658	1969	1997-02-28	PRIJEM	\N	54	12054	UROK	\N	\N
3595659	1969	1997-03-31	PRIJEM	\N	56	14294	UROK	\N	\N
3595660	1969	1997-04-30	PRIJEM	\N	55	11933	UROK	\N	\N
3595661	1969	1997-05-31	PRIJEM	\N	61	17179	UROK	\N	\N
3595662	1969	1997-06-30	PRIJEM	\N	71	14895	UROK	\N	\N
3595663	1969	1997-07-31	PRIJEM	\N	73	20153	UROK	\N	\N
3595664	1969	1997-08-31	PRIJEM	\N	85	14202	UROK	\N	\N
3595665	1969	1997-09-30	PRIJEM	\N	70	19456	UROK	\N	\N
3595666	1969	1997-10-31	PRIJEM	\N	92	24732	UROK	\N	\N
3595667	1969	1997-11-30	PRIJEM	\N	107	26423	UROK	\N	\N
3595668	1969	1997-12-31	PRIJEM	\N	114	33503	UROK	\N	\N
3595669	1969	1998-01-31	PRIJEM	\N	96	20103	UROK	\N	\N
3595670	1969	1998-02-28	PRIJEM	\N	94	25381	UROK	\N	\N
3595671	1969	1998-03-31	PRIJEM	\N	110	26355	UROK	\N	\N
3595672	1969	1998-04-30	PRIJEM	\N	101	25440	UROK	\N	\N
3595673	1969	1998-05-31	PRIJEM	\N	117	30741	UROK	\N	\N
3595674	1969	1998-06-30	PRIJEM	\N	132	19858	UROK	\N	\N
3595675	1969	1998-07-31	PRIJEM	\N	101	28743	UROK	\N	\N
3595676	1969	1998-08-31	PRIJEM	\N	110	28838	UROK	\N	\N
3595677	1969	1998-09-30	PRIJEM	\N	108	28511	UROK	\N	\N
3595678	1969	1998-10-31	PRIJEM	\N	102	26897	UROK	\N	\N
3595679	1969	1998-11-30	PRIJEM	\N	122	32204	UROK	\N	\N
3595680	1969	1998-12-31	PRIJEM	\N	121	33610	UROK	\N	\N
3595681	1970	1993-12-31	PRIJEM	\N	84	34642	UROK	\N	\N
3595682	1970	1994-01-31	PRIJEM	\N	188	52969	UROK	\N	\N
3595683	1970	1994-02-28	PRIJEM	\N	239	61748	UROK	\N	\N
3595684	1970	1994-03-31	PRIJEM	\N	272	68259	UROK	\N	\N
3595685	1970	1994-04-30	PRIJEM	\N	288	70185	UROK	\N	\N
3595686	1970	1994-05-31	PRIJEM	\N	278	67198	UROK	\N	\N
3595687	1970	1994-06-30	PRIJEM	\N	223	59155	UROK	\N	\N
3595688	1970	1994-07-31	PRIJEM	\N	249	62438	UROK	\N	\N
3595689	1970	1994-08-31	PRIJEM	\N	254	62827	UROK	\N	\N
3595690	1970	1994-09-30	PRIJEM	\N	260	64721	UROK	\N	\N
3595691	1970	1994-10-31	PRIJEM	\N	253	60148	UROK	\N	\N
3595692	1970	1994-11-30	PRIJEM	\N	244	60427	UROK	\N	\N
3595693	1970	1994-12-31	PRIJEM	\N	281	73402	UROK	\N	\N
3595694	1970	1995-01-31	PRIJEM	\N	221	54617	UROK	\N	\N
3595695	1970	1995-02-28	PRIJEM	\N	239	62091	UROK	\N	\N
3595696	1970	1995-03-31	PRIJEM	\N	259	63184	UROK	\N	\N
3595697	1970	1995-04-30	PRIJEM	\N	259	63977	UROK	\N	\N
3595698	1970	1995-05-31	PRIJEM	\N	262	64874	UROK	\N	\N
3595699	1970	1995-06-30	PRIJEM	\N	225	54813	UROK	\N	\N
3595700	1970	1995-07-31	PRIJEM	\N	238	61185	UROK	\N	\N
3595701	1970	1995-08-31	PRIJEM	\N	246	43866	UROK	\N	\N
3595702	1970	1995-09-30	PRIJEM	\N	216	42556	UROK	\N	\N
3595703	1970	1995-10-31	PRIJEM	\N	210	44080	UROK	\N	\N
3595704	1970	1995-11-30	PRIJEM	\N	220	48734	UROK	\N	\N
3595705	1970	1995-12-31	PRIJEM	\N	259	53887	UROK	\N	\N
3595706	1970	1996-01-31	PRIJEM	\N	205	43946	UROK	\N	\N
3595707	1970	1996-02-29	PRIJEM	\N	215	47096	UROK	\N	\N
3595708	1970	1996-03-31	PRIJEM	\N	226	49396	UROK	\N	\N
3595709	1970	1996-04-30	PRIJEM	\N	236	52567	UROK	\N	\N
3595710	1970	1996-05-31	PRIJEM	\N	244	48845	UROK	\N	\N
3595711	1970	1996-06-30	PRIJEM	\N	246	56465	UROK	\N	\N
3595712	1970	1996-07-31	PRIJEM	\N	260	55959	UROK	\N	\N
3595713	1970	1996-08-31	PRIJEM	\N	257	57250	UROK	\N	\N
3595714	1970	1996-09-30	PRIJEM	\N	262	60047	UROK	\N	\N
3595715	1970	1996-10-31	PRIJEM	\N	271	61353	UROK	\N	\N
3595716	1970	1996-11-30	PRIJEM	\N	273	60859	UROK	\N	\N
3595717	1970	1996-12-31	PRIJEM	\N	285	64599	UROK	\N	\N
3595718	1970	1997-01-31	PRIJEM	\N	257	51990	UROK	\N	\N
3595719	1970	1997-02-28	PRIJEM	\N	239	58663	UROK	\N	\N
3595720	1970	1997-03-31	PRIJEM	\N	252	51869	UROK	\N	\N
3595721	1970	1997-04-30	PRIJEM	\N	231	51634	UROK	\N	\N
3595722	1970	1997-05-31	PRIJEM	\N	236	56905	UROK	\N	\N
3595723	1970	1997-06-30	PRIJEM	\N	248	55967	UROK	\N	\N
3595724	1970	1997-07-31	PRIJEM	\N	239	55581	UROK	\N	\N
3595725	1970	1997-08-31	PRIJEM	\N	243	57458	UROK	\N	\N
3595726	1970	1997-09-30	PRIJEM	\N	247	58640	UROK	\N	\N
3595727	1970	1997-10-31	PRIJEM	\N	253	59427	UROK	\N	\N
3595728	1970	1997-11-30	PRIJEM	\N	252	60214	UROK	\N	\N
3595729	1970	1997-12-31	PRIJEM	\N	267	63234	UROK	\N	\N
3595730	1970	1998-01-31	PRIJEM	\N	241	57710	UROK	\N	\N
3595731	1970	1998-02-28	PRIJEM	\N	249	63293	UROK	\N	\N
3595732	1970	1998-03-31	PRIJEM	\N	278	69706	UROK	\N	\N
3595733	1970	1998-04-30	PRIJEM	\N	290	69930	UROK	\N	\N
3595734	1970	1998-05-31	PRIJEM	\N	285	66950	UROK	\N	\N
3595735	1970	1998-06-30	PRIJEM	\N	230	53933	UROK	\N	\N
3595736	1970	1998-07-31	PRIJEM	\N	242	63510	UROK	\N	\N
3595737	1970	1998-08-31	PRIJEM	\N	264	59008	UROK	\N	\N
3595738	1970	1998-09-30	PRIJEM	\N	269	71051	UROK	\N	\N
3595739	1970	1998-10-31	PRIJEM	\N	320	84706	UROK	\N	\N
3595740	1970	1998-11-30	PRIJEM	\N	341	85881	UROK	\N	\N
3595741	1970	1998-12-31	PRIJEM	\N	371	96246	UROK	\N	\N
3595742	1971	1995-08-31	PRIJEM	\N	36	10773	UROK	\N	\N
3595743	1971	1995-09-30	PRIJEM	\N	110	30520	UROK	\N	\N
3595744	1971	1995-10-31	PRIJEM	\N	154	38611	UROK	\N	\N
3595745	1971	1995-11-30	PRIJEM	\N	171	41719	UROK	\N	\N
3595746	1971	1995-12-31	PRIJEM	\N	198	48122	UROK	\N	\N
3595747	1971	1996-01-31	PRIJEM	\N	139	30759	UROK	\N	\N
3595748	1971	1996-02-29	PRIJEM	\N	133	28991	UROK	\N	\N
3595749	1971	1996-03-31	PRIJEM	\N	135	33524	UROK	\N	\N
3595750	1971	1996-04-30	PRIJEM	\N	152	37174	UROK	\N	\N
3595751	1971	1996-05-31	PRIJEM	\N	164	36936	UROK	\N	\N
3595752	1971	1996-06-30	PRIJEM	\N	136	34040	UROK	\N	\N
3595753	1971	1996-07-31	PRIJEM	\N	152	36190	UROK	\N	\N
3595754	1971	1996-08-31	PRIJEM	\N	157	37945	UROK	\N	\N
3595755	1971	1996-09-30	PRIJEM	\N	169	40812	UROK	\N	\N
3595756	1971	1996-10-31	PRIJEM	\N	173	44084	UROK	\N	\N
3595757	1971	1996-11-30	PRIJEM	\N	179	43061	UROK	\N	\N
3595758	1971	1996-12-31	PRIJEM	\N	197	45026	UROK	\N	\N
3595759	1971	1997-01-31	PRIJEM	\N	183	38007	UROK	\N	\N
3595760	1971	1997-02-28	PRIJEM	\N	168	40573	UROK	\N	\N
3595761	1971	1997-03-31	PRIJEM	\N	180	43851	UROK	\N	\N
3595762	1971	1997-04-30	PRIJEM	\N	192	46642	UROK	\N	\N
3595763	1971	1997-05-31	PRIJEM	\N	208	53348	UROK	\N	\N
3595764	1971	1997-06-30	PRIJEM	\N	232	48047	UROK	\N	\N
3595765	1971	1997-07-31	PRIJEM	\N	202	47748	UROK	\N	\N
3595766	1971	1997-08-31	PRIJEM	\N	217	54563	UROK	\N	\N
3595767	1971	1997-09-30	PRIJEM	\N	235	56897	UROK	\N	\N
3595768	1971	1997-10-31	PRIJEM	\N	225	54020	UROK	\N	\N
3595769	1971	1997-11-30	PRIJEM	\N	228	52547	UROK	\N	\N
3595770	1971	1997-12-31	PRIJEM	\N	235	56750	UROK	\N	\N
3595771	1971	1998-01-31	PRIJEM	\N	225	51873	UROK	\N	\N
3595772	1971	1998-02-28	PRIJEM	\N	230	58202	UROK	\N	\N
3595773	1971	1998-03-31	PRIJEM	\N	244	56044	UROK	\N	\N
3595774	1971	1998-04-30	PRIJEM	\N	239	56781	UROK	\N	\N
3595775	1971	1998-05-31	PRIJEM	\N	239	56519	UROK	\N	\N
3595776	1971	1998-06-30	PRIJEM	\N	236	46222	UROK	\N	\N
3595777	1971	1998-07-31	PRIJEM	\N	188	46109	UROK	\N	\N
3595778	1971	1998-08-31	PRIJEM	\N	199	49006	UROK	\N	\N
3595779	1971	1998-09-30	PRIJEM	\N	206	48911	UROK	\N	\N
3595780	1971	1998-10-31	PRIJEM	\N	209	50618	UROK	\N	\N
3595781	1971	1998-11-30	PRIJEM	\N	214	51530	UROK	\N	\N
3595782	1971	1998-12-31	PRIJEM	\N	219	50817	UROK	\N	\N
3595783	1972	1993-01-31	PRIJEM	\N	19	5717	UROK	\N	\N
3595784	1972	1993-02-28	PRIJEM	\N	24	11039	UROK	\N	\N
3595785	1972	1993-03-31	PRIJEM	\N	24	16361	UROK	\N	\N
3595786	1972	1993-04-30	PRIJEM	\N	24	21682	UROK	\N	\N
3595787	1972	1993-05-31	PRIJEM	\N	81	24325	UROK	\N	\N
3595788	1972	1993-06-30	PRIJEM	\N	91	21014	UROK	\N	\N
3595789	1972	1993-07-31	PRIJEM	\N	95	20836	UROK	\N	\N
3595790	1972	1993-08-31	PRIJEM	\N	95	23478	UROK	\N	\N
3595791	1972	1993-09-30	PRIJEM	\N	106	26131	UROK	\N	\N
3595792	1972	1993-10-31	PRIJEM	\N	116	26594	UROK	\N	\N
3595793	1972	1993-11-30	PRIJEM	\N	118	27860	UROK	\N	\N
3595794	1972	1993-12-31	PRIJEM	\N	122	29629	UROK	\N	\N
3595795	1972	1994-01-31	PRIJEM	\N	114	20420	UROK	\N	\N
3595796	1972	1994-02-28	PRIJEM	\N	90	21457	UROK	\N	\N
3595797	1972	1994-03-31	PRIJEM	\N	97	24102	UROK	\N	\N
3595798	1972	1994-04-30	PRIJEM	\N	107	24756	UROK	\N	\N
3595799	1972	1994-05-31	PRIJEM	\N	108	23572	UROK	\N	\N
3595800	1972	1994-06-30	PRIJEM	\N	84	18593	UROK	\N	\N
3595801	1972	1994-07-31	PRIJEM	\N	85	21226	UROK	\N	\N
3595802	1972	1994-08-31	PRIJEM	\N	92	22105	UROK	\N	\N
3595803	1972	1994-09-30	PRIJEM	\N	99	23651	UROK	\N	\N
3595804	1972	1994-10-31	PRIJEM	\N	106	26304	UROK	\N	\N
3595805	1972	1994-11-30	PRIJEM	\N	110	26321	UROK	\N	\N
3595806	1972	1994-12-31	PRIJEM	\N	112	25320	UROK	\N	\N
3595807	1972	1995-01-31	PRIJEM	\N	76	15204	UROK	\N	\N
3595808	1972	1995-02-28	PRIJEM	\N	71	17822	UROK	\N	\N
3595809	1972	1995-03-31	PRIJEM	\N	80	17409	UROK	\N	\N
3595810	1972	1995-04-30	PRIJEM	\N	78	17795	UROK	\N	\N
3595811	1972	1995-05-31	PRIJEM	\N	75	17297	UROK	\N	\N
3595812	1972	1995-06-30	PRIJEM	\N	70	15174	UROK	\N	\N
3595813	1972	1995-07-31	PRIJEM	\N	71	17792	UROK	\N	\N
3595814	1972	1995-08-31	PRIJEM	\N	81	19780	UROK	\N	\N
3595815	1972	1995-09-30	PRIJEM	\N	90	22417	UROK	\N	\N
3595816	1972	1995-10-31	PRIJEM	\N	96	22561	UROK	\N	\N
3595817	1972	1995-11-30	PRIJEM	\N	101	25209	UROK	\N	\N
3595818	1972	1995-12-31	PRIJEM	\N	106	23212	UROK	\N	\N
3595819	1972	1996-01-31	PRIJEM	\N	75	15415	UROK	\N	\N
3595820	1972	1996-02-29	PRIJEM	\N	71	18033	UROK	\N	\N
3595821	1972	1996-03-31	PRIJEM	\N	74	17775	UROK	\N	\N
3595822	1972	1996-04-30	PRIJEM	\N	81	20403	UROK	\N	\N
3595823	1972	1996-05-31	PRIJEM	\N	89	20759	UROK	\N	\N
3595824	1972	1996-06-30	PRIJEM	\N	82	17418	UROK	\N	\N
3595825	1972	1996-07-31	PRIJEM	\N	79	20045	UROK	\N	\N
3595826	1972	1996-08-31	PRIJEM	\N	87	18919	UROK	\N	\N
3595827	1972	1996-09-30	PRIJEM	\N	80	19546	UROK	\N	\N
3595828	1972	1996-10-31	PRIJEM	\N	88	22182	UROK	\N	\N
3595829	1972	1996-11-30	PRIJEM	\N	99	24828	UROK	\N	\N
3595830	1972	1996-12-31	PRIJEM	\N	110	26885	UROK	\N	\N
3595831	1972	1997-01-31	PRIJEM	\N	94	17516	UROK	\N	\N
3595832	1972	1997-02-28	PRIJEM	\N	79	20142	UROK	\N	\N
3595833	1972	1997-03-31	PRIJEM	\N	86	20776	UROK	\N	\N
3595834	1972	1997-04-30	PRIJEM	\N	93	23416	UROK	\N	\N
3595835	1972	1997-05-31	PRIJEM	\N	100	24763	UROK	\N	\N
3595836	1972	1997-06-30	PRIJEM	\N	99	23959	UROK	\N	\N
3595837	1972	1997-07-31	PRIJEM	\N	106	26612	UROK	\N	\N
3595838	1972	1997-08-31	PRIJEM	\N	100	21360	UROK	\N	\N
3595839	1972	1997-09-30	PRIJEM	\N	84	20471	UROK	\N	\N
3595840	1972	1997-10-31	PRIJEM	\N	89	21108	UROK	\N	\N
3595841	1972	1997-11-30	PRIJEM	\N	93	23749	UROK	\N	\N
3595842	1972	1997-12-31	PRIJEM	\N	93	22239	UROK	\N	\N
3595843	1972	1998-01-31	PRIJEM	\N	79	17175	UROK	\N	\N
3595844	1972	1998-02-28	PRIJEM	\N	68	16991	UROK	\N	\N
3595845	1972	1998-03-31	PRIJEM	\N	76	19614	UROK	\N	\N
3595846	1972	1998-04-30	PRIJEM	\N	84	20885	UROK	\N	\N
3595847	1972	1998-05-31	PRIJEM	\N	81	18713	UROK	\N	\N
3595848	1972	1998-06-30	PRIJEM	\N	80	18740	UROK	\N	\N
3595849	1972	1998-07-31	PRIJEM	\N	83	21371	UROK	\N	\N
3595850	1972	1998-08-31	PRIJEM	\N	94	24012	UROK	\N	\N
3595851	1972	1998-09-30	PRIJEM	\N	105	26664	UROK	\N	\N
3595852	1972	1998-10-31	PRIJEM	\N	106	25917	UROK	\N	\N
3595853	1972	1998-11-30	PRIJEM	\N	100	24364	UROK	\N	\N
3595854	1972	1998-12-31	PRIJEM	\N	98	23740	UROK	\N	\N
3595855	1973	1996-06-30	PRIJEM	\N	11	3607	UROK	\N	\N
3595856	1973	1996-07-31	PRIJEM	\N	15	6618	UROK	\N	\N
3595857	1973	1996-08-31	PRIJEM	\N	15	9628	UROK	\N	\N
3595858	1973	1996-09-30	PRIJEM	\N	15	12639	UROK	\N	\N
3595859	1973	1996-10-31	PRIJEM	\N	41	13679	UROK	\N	\N
3595860	1973	1996-11-30	PRIJEM	\N	60	14723	UROK	\N	\N
3595861	1973	1996-12-31	PRIJEM	\N	63	14930	UROK	\N	\N
3595862	1973	1997-01-31	PRIJEM	\N	59	12794	UROK	\N	\N
3595863	1973	1997-02-28	PRIJEM	\N	55	13653	UROK	\N	\N
3595864	1973	1997-03-31	PRIJEM	\N	58	13766	UROK	\N	\N
3595865	1973	1997-04-30	PRIJEM	\N	60	14811	UROK	\N	\N
3595866	1973	1997-05-31	PRIJEM	\N	64	15859	UROK	\N	\N
3595867	1973	1997-06-30	PRIJEM	\N	68	16492	UROK	\N	\N
3595868	1973	1997-07-31	PRIJEM	\N	71	17548	UROK	\N	\N
3595869	1973	1997-08-31	PRIJEM	\N	76	18608	UROK	\N	\N
3595870	1973	1997-09-30	PRIJEM	\N	80	19672	UROK	\N	\N
3595871	1973	1997-10-31	PRIJEM	\N	85	20741	UROK	\N	\N
3595872	1973	1997-11-30	PRIJEM	\N	89	21424	UROK	\N	\N
3595873	1973	1997-12-31	PRIJEM	\N	86	20694	UROK	\N	\N
3595874	1973	1998-01-31	PRIJEM	\N	86	18254	UROK	\N	\N
3595875	1973	1998-02-28	PRIJEM	\N	78	19317	UROK	\N	\N
3595876	1973	1998-03-31	PRIJEM	\N	83	20024	UROK	\N	\N
3595877	1973	1998-04-30	PRIJEM	\N	85	20554	UROK	\N	\N
3595878	1973	1998-05-31	PRIJEM	\N	88	21626	UROK	\N	\N
3595879	1973	1998-06-30	PRIJEM	\N	85	19185	UROK	\N	\N
3595880	1973	1998-07-31	PRIJEM	\N	79	19529	UROK	\N	\N
3595881	1973	1998-08-31	PRIJEM	\N	82	19665	UROK	\N	\N
3595882	1973	1998-09-30	PRIJEM	\N	84	20734	UROK	\N	\N
3595883	1973	1998-10-31	PRIJEM	\N	89	21807	UROK	\N	\N
3595884	1973	1998-11-30	PRIJEM	\N	93	22884	UROK	\N	\N
3595885	1973	1998-12-31	PRIJEM	\N	97	23666	UROK	\N	\N
3595886	1975	1994-09-30	PRIJEM	\N	38	14450	UROK	\N	\N
3595887	1975	1994-10-31	PRIJEM	\N	106	31568	UROK	\N	\N
3595888	1975	1994-11-30	PRIJEM	\N	159	42239	UROK	\N	\N
3595889	1975	1994-12-31	PRIJEM	\N	212	55869	UROK	\N	\N
3595890	1975	1995-01-31	PRIJEM	\N	188	36364	UROK	\N	\N
3595891	1975	1995-02-28	PRIJEM	\N	145	36525	UROK	\N	\N
3595892	1975	1995-03-31	PRIJEM	\N	142	35684	UROK	\N	\N
3595893	1975	1995-04-30	PRIJEM	\N	137	32937	UROK	\N	\N
3595894	1975	1995-05-31	PRIJEM	\N	143	36296	UROK	\N	\N
3595895	1975	1995-06-30	PRIJEM	\N	155	36173	UROK	\N	\N
3595896	1975	1995-07-31	PRIJEM	\N	151	37341	UROK	\N	\N
3595897	1975	1995-08-31	PRIJEM	\N	152	38309	UROK	\N	\N
3595898	1975	1995-09-30	PRIJEM	\N	151	37676	UROK	\N	\N
3595899	1975	1995-10-31	PRIJEM	\N	142	35334	UROK	\N	\N
3595900	1975	1995-11-30	PRIJEM	\N	135	31786	UROK	\N	\N
3595901	1975	1995-12-31	PRIJEM	\N	141	38349	UROK	\N	\N
3595902	1975	1996-01-31	PRIJEM	\N	125	24891	UROK	\N	\N
3595903	1975	1996-02-29	PRIJEM	\N	120	28127	UROK	\N	\N
3595904	1975	1996-03-31	PRIJEM	\N	130	30574	UROK	\N	\N
3595905	1975	1996-04-30	PRIJEM	\N	146	32036	UROK	\N	\N
3595906	1975	1996-05-31	PRIJEM	\N	150	29602	UROK	\N	\N
3595907	1975	1996-06-30	PRIJEM	\N	156	31780	UROK	\N	\N
3595908	1975	1996-07-31	PRIJEM	\N	149	33946	UROK	\N	\N
3595909	1975	1996-08-31	PRIJEM	\N	152	34615	UROK	\N	\N
3595910	1975	1996-09-30	PRIJEM	\N	152	31283	UROK	\N	\N
3595911	1975	1996-10-31	PRIJEM	\N	142	29541	UROK	\N	\N
3595912	1975	1996-11-30	PRIJEM	\N	139	32396	UROK	\N	\N
3595913	1975	1996-12-31	PRIJEM	\N	162	32980	UROK	\N	\N
3595914	1975	1997-01-31	PRIJEM	\N	131	29628	UROK	\N	\N
3595915	1975	1997-02-28	PRIJEM	\N	134	28779	UROK	\N	\N
3595916	1975	1997-03-31	PRIJEM	\N	130	29625	UROK	\N	\N
3595917	1975	1997-04-30	PRIJEM	\N	139	33280	UROK	\N	\N
3595918	1975	1997-05-31	PRIJEM	\N	154	37250	UROK	\N	\N
3595919	1975	1997-06-30	PRIJEM	\N	122	26895	UROK	\N	\N
3595920	1975	1997-07-31	PRIJEM	\N	130	33641	UROK	\N	\N
3595921	1975	1997-08-31	PRIJEM	\N	147	34105	UROK	\N	\N
3595922	1975	1997-09-30	PRIJEM	\N	145	36266	UROK	\N	\N
3595923	1975	1997-10-31	PRIJEM	\N	149	35031	UROK	\N	\N
3595924	1975	1997-11-30	PRIJEM	\N	141	31888	UROK	\N	\N
3595925	1975	1997-12-31	PRIJEM	\N	145	33155	UROK	\N	\N
3595926	1975	1998-01-31	PRIJEM	\N	121	22793	UROK	\N	\N
3595927	1975	1998-02-28	PRIJEM	\N	107	27916	UROK	\N	\N
3595928	1975	1998-03-31	PRIJEM	\N	126	30359	UROK	\N	\N
3595929	1975	1998-04-30	PRIJEM	\N	131	30106	UROK	\N	\N
3595930	1975	1998-05-31	PRIJEM	\N	125	27148	UROK	\N	\N
3595931	1975	1998-06-30	PRIJEM	\N	128	29798	UROK	\N	\N
3595932	1975	1998-07-31	PRIJEM	\N	125	27739	UROK	\N	\N
3595933	1975	1998-08-31	PRIJEM	\N	119	28575	UROK	\N	\N
3595934	1975	1998-09-30	PRIJEM	\N	129	32820	UROK	\N	\N
3595935	1975	1998-10-31	PRIJEM	\N	130	27367	UROK	\N	\N
3595936	1975	1998-11-30	PRIJEM	\N	113	26596	UROK	\N	\N
3595937	1975	1998-12-31	PRIJEM	\N	112	24930	UROK	\N	\N
3595938	1976	1997-04-30	PRIJEM	\N	21	21410	UROK	\N	\N
3595939	1976	1997-05-31	PRIJEM	\N	97	28996	UROK	\N	\N
3595940	1976	1997-06-30	PRIJEM	\N	132	39562	UROK	\N	\N
3595941	1976	1997-07-31	PRIJEM	\N	168	42519	UROK	\N	\N
3595942	1976	1997-08-31	PRIJEM	\N	179	42787	UROK	\N	\N
3595943	1976	1997-09-30	PRIJEM	\N	185	36982	UROK	\N	\N
3595944	1976	1997-10-31	PRIJEM	\N	169	37360	UROK	\N	\N
3595945	1976	1997-11-30	PRIJEM	\N	167	35737	UROK	\N	\N
3595946	1976	1997-12-31	PRIJEM	\N	167	34658	UROK	\N	\N
3595947	1976	1998-01-31	PRIJEM	\N	137	20705	UROK	\N	\N
3595948	1976	1998-02-28	PRIJEM	\N	114	30028	UROK	\N	\N
3595949	1976	1998-03-31	PRIJEM	\N	147	35184	UROK	\N	\N
3595950	1976	1998-04-30	PRIJEM	\N	155	33849	UROK	\N	\N
3595951	1976	1998-05-31	PRIJEM	\N	161	38119	UROK	\N	\N
3595952	1976	1998-06-30	PRIJEM	\N	165	30138	UROK	\N	\N
3595953	1976	1998-07-31	PRIJEM	\N	148	36195	UROK	\N	\N
3595954	1976	1998-08-31	PRIJEM	\N	162	37466	UROK	\N	\N
3595955	1976	1998-09-30	PRIJEM	\N	163	39439	UROK	\N	\N
3595956	1976	1998-10-31	PRIJEM	\N	171	38920	UROK	\N	\N
3595957	1976	1998-11-30	PRIJEM	\N	163	35992	UROK	\N	\N
3595958	1976	1998-12-31	PRIJEM	\N	191	49638	UROK	\N	\N
3595959	1978	1993-07-31	PRIJEM	\N	82	29284	UROK	\N	\N
3595960	1978	1993-08-31	PRIJEM	\N	163	43450	UROK	\N	\N
3595961	1978	1993-09-30	PRIJEM	\N	285	52937	UROK	\N	\N
3595962	1978	1993-10-31	PRIJEM	\N	353	56292	UROK	\N	\N
3595963	1978	1993-11-30	PRIJEM	\N	264	40818	UROK	\N	\N
3595964	1978	1993-12-31	PRIJEM	\N	231	54365	UROK	\N	\N
3595965	1978	1994-01-31	PRIJEM	\N	150	21287	UROK	\N	\N
3595966	1978	1994-02-28	PRIJEM	\N	164	45265	UROK	\N	\N
3595967	1978	1994-03-31	PRIJEM	\N	231	55811	UROK	\N	\N
3595968	1978	1994-04-30	PRIJEM	\N	251	59676	UROK	\N	\N
3595969	1978	1994-05-31	PRIJEM	\N	264	53756	UROK	\N	\N
3595970	1978	1994-06-30	PRIJEM	\N	296	75668	UROK	\N	\N
3595971	1978	1994-07-31	PRIJEM	\N	290	61873	UROK	\N	\N
3595972	1978	1994-08-31	PRIJEM	\N	270	63558	UROK	\N	\N
3595973	1978	1994-09-30	PRIJEM	\N	270	64343	UROK	\N	\N
3595974	1978	1994-10-31	PRIJEM	\N	261	65219	UROK	\N	\N
3595975	1978	1994-11-30	PRIJEM	\N	282	67016	UROK	\N	\N
3595976	1978	1994-12-31	PRIJEM	\N	322	69254	UROK	\N	\N
3595977	1978	1995-01-31	PRIJEM	\N	194	34062	UROK	\N	\N
3595978	1978	1995-02-28	PRIJEM	\N	199	52076	UROK	\N	\N
3595979	1978	1995-03-31	PRIJEM	\N	176	36160	UROK	\N	\N
3595980	1978	1995-04-30	PRIJEM	\N	183	36258	UROK	\N	\N
3595981	1978	1995-05-31	PRIJEM	\N	191	47763	UROK	\N	\N
3595982	1978	1995-06-30	PRIJEM	\N	248	35967	UROK	\N	\N
3595983	1978	1995-07-31	PRIJEM	\N	187	47268	UROK	\N	\N
3595984	1978	1995-08-31	PRIJEM	\N	199	38457	UROK	\N	\N
3595985	1978	1995-09-30	PRIJEM	\N	202	40674	UROK	\N	\N
3595986	1978	1995-10-31	PRIJEM	\N	207	42195	UROK	\N	\N
3595987	1978	1995-11-30	PRIJEM	\N	214	42124	UROK	\N	\N
3595988	1978	1995-12-31	PRIJEM	\N	240	38280	UROK	\N	\N
3595989	1978	1996-01-31	PRIJEM	\N	176	35270	UROK	\N	\N
3595990	1978	1996-02-29	PRIJEM	\N	177	35062	UROK	\N	\N
3595991	1978	1996-03-31	PRIJEM	\N	179	35855	UROK	\N	\N
3595992	1978	1996-04-30	PRIJEM	\N	182	34852	UROK	\N	\N
3595993	1978	1996-05-31	PRIJEM	\N	158	30224	UROK	\N	\N
3595994	1978	1996-06-30	PRIJEM	\N	168	32908	UROK	\N	\N
3595995	1978	1996-07-31	PRIJEM	\N	159	31582	UROK	\N	\N
3595996	1978	1996-08-31	PRIJEM	\N	165	38362	UROK	\N	\N
3595997	1978	1996-09-30	PRIJEM	\N	183	38060	UROK	\N	\N
3595998	1978	1996-10-31	PRIJEM	\N	183	40257	UROK	\N	\N
3595999	1978	1996-11-30	PRIJEM	\N	190	41962	UROK	\N	\N
3596000	1978	1996-12-31	PRIJEM	\N	231	45909	UROK	\N	\N
3596001	1978	1997-01-31	PRIJEM	\N	163	32987	UROK	\N	\N
3596002	1978	1997-02-28	PRIJEM	\N	114	24830	UROK	\N	\N
3596003	1978	1997-03-31	PRIJEM	\N	139	37483	UROK	\N	\N
3596004	1978	1997-04-30	PRIJEM	\N	174	39871	UROK	\N	\N
3596005	1978	1997-05-31	PRIJEM	\N	181	39767	UROK	\N	\N
3596006	1978	1997-06-30	PRIJEM	\N	213	45155	UROK	\N	\N
3596007	1978	1997-07-31	PRIJEM	\N	203	46725	UROK	\N	\N
3596008	1978	1997-08-31	PRIJEM	\N	204	46244	UROK	\N	\N
3596009	1978	1997-09-30	PRIJEM	\N	190	38435	UROK	\N	\N
3596010	1978	1997-10-31	PRIJEM	\N	180	44130	UROK	\N	\N
3596011	1978	1997-11-30	PRIJEM	\N	196	46140	UROK	\N	\N
3596012	1978	1997-12-31	PRIJEM	\N	225	51581	UROK	\N	\N
3596013	1978	1998-01-31	PRIJEM	\N	198	43794	UROK	\N	\N
3596014	1978	1998-02-28	PRIJEM	\N	185	44594	UROK	\N	\N
3596015	1978	1998-03-31	PRIJEM	\N	192	45601	UROK	\N	\N
3596016	1978	1998-04-30	PRIJEM	\N	197	44313	UROK	\N	\N
3596017	1978	1998-05-31	PRIJEM	\N	193	46322	UROK	\N	\N
3596018	1978	1998-06-30	PRIJEM	\N	200	45837	UROK	\N	\N
3596019	1978	1998-07-31	PRIJEM	\N	202	50554	UROK	\N	\N
3596020	1978	1998-08-31	PRIJEM	\N	207	54076	UROK	\N	\N
3596021	1978	1998-09-30	PRIJEM	\N	213	55141	UROK	\N	\N
3596022	1978	1998-10-31	PRIJEM	\N	243	58899	UROK	\N	\N
3596023	1978	1998-11-30	PRIJEM	\N	239	53753	UROK	\N	\N
3596024	1978	1998-12-31	PRIJEM	\N	268	68037	UROK	\N	\N
3596025	1979	1993-06-30	PRIJEM	\N	2	16007	UROK	\N	\N
3596026	1979	1993-07-31	PRIJEM	\N	69	16409	UROK	\N	\N
3596027	1979	1993-08-31	PRIJEM	\N	70	16632	UROK	\N	\N
3596028	1979	1993-09-30	PRIJEM	\N	72	17696	UROK	\N	\N
3596029	1979	1993-10-31	PRIJEM	\N	77	18765	UROK	\N	\N
3596030	1979	1993-11-30	PRIJEM	\N	81	19839	UROK	\N	\N
3596031	1979	1993-12-31	PRIJEM	\N	85	19416	UROK	\N	\N
3596032	1979	1994-01-31	PRIJEM	\N	79	16917	UROK	\N	\N
3596033	1979	1994-02-28	PRIJEM	\N	73	17983	UROK	\N	\N
3596034	1979	1994-03-31	PRIJEM	\N	77	18633	UROK	\N	\N
3596035	1979	1994-04-30	PRIJEM	\N	81	19706	UROK	\N	\N
3596036	1979	1994-05-31	PRIJEM	\N	85	20783	UROK	\N	\N
3596037	1979	1994-06-30	PRIJEM	\N	87	21012	UROK	\N	\N
3596038	1979	1994-07-31	PRIJEM	\N	91	22095	UROK	\N	\N
3596039	1979	1994-08-31	PRIJEM	\N	92	20810	UROK	\N	\N
3596040	1979	1994-09-30	PRIJEM	\N	87	20989	UROK	\N	\N
3596041	1979	1994-10-31	PRIJEM	\N	90	22071	UROK	\N	\N
3596042	1979	1994-11-30	PRIJEM	\N	95	23159	UROK	\N	\N
3596043	1979	1994-12-31	PRIJEM	\N	93	21304	UROK	\N	\N
3596044	1979	1995-01-31	PRIJEM	\N	83	19020	UROK	\N	\N
3596045	1979	1995-02-28	PRIJEM	\N	82	19884	UROK	\N	\N
3596046	1979	1995-03-31	PRIJEM	\N	86	20962	UROK	\N	\N
3596047	1979	1995-04-30	PRIJEM	\N	90	22045	UROK	\N	\N
3596048	1979	1995-05-31	PRIJEM	\N	95	23132	UROK	\N	\N
3596049	1979	1995-06-30	PRIJEM	\N	99	24223	UROK	\N	\N
3596050	1979	1995-07-31	PRIJEM	\N	102	24717	UROK	\N	\N
3596051	1979	1995-08-31	PRIJEM	\N	105	24515	UROK	\N	\N
3596052	1979	1995-09-30	PRIJEM	\N	105	25312	UROK	\N	\N
3596053	1979	1995-10-31	PRIJEM	\N	106	23411	UROK	\N	\N
3596054	1979	1995-11-30	PRIJEM	\N	100	24503	UROK	\N	\N
3596055	1979	1995-12-31	PRIJEM	\N	98	22344	UROK	\N	\N
3596056	1979	1996-01-31	PRIJEM	\N	88	19614	UROK	\N	\N
3596057	1979	1996-02-29	PRIJEM	\N	84	20690	UROK	\N	\N
3596058	1979	1996-03-31	PRIJEM	\N	89	21771	UROK	\N	\N
3596059	1979	1996-04-30	PRIJEM	\N	92	21566	UROK	\N	\N
3596060	1979	1996-05-31	PRIJEM	\N	92	22650	UROK	\N	\N
3596061	1979	1996-06-30	PRIJEM	\N	97	23739	UROK	\N	\N
3596062	1979	1996-07-31	PRIJEM	\N	101	24732	UROK	\N	\N
3596063	1979	1996-08-31	PRIJEM	\N	105	25730	UROK	\N	\N
3596064	1979	1996-09-30	PRIJEM	\N	105	23077	UROK	\N	\N
3596065	1979	1996-10-31	PRIJEM	\N	97	23567	UROK	\N	\N
3596066	1979	1996-11-30	PRIJEM	\N	100	24209	UROK	\N	\N
3596067	1979	1996-12-31	PRIJEM	\N	100	23011	UROK	\N	\N
3596068	1979	1997-01-31	PRIJEM	\N	93	21247	UROK	\N	\N
3596069	1979	1997-02-28	PRIJEM	\N	89	21829	UROK	\N	\N
3596070	1979	1997-03-31	PRIJEM	\N	88	19069	UROK	\N	\N
3596071	1979	1997-04-30	PRIJEM	\N	81	20142	UROK	\N	\N
3596072	1979	1997-05-31	PRIJEM	\N	82	19587	UROK	\N	\N
3596073	1979	1997-06-30	PRIJEM	\N	76	16365	UROK	\N	\N
3596074	1979	1997-07-31	PRIJEM	\N	64	14661	UROK	\N	\N
3596075	1979	1997-08-31	PRIJEM	\N	62	15215	UROK	\N	\N
3596076	1979	1997-09-30	PRIJEM	\N	65	16272	UROK	\N	\N
3596077	1979	1997-10-31	PRIJEM	\N	69	17334	UROK	\N	\N
3596078	1979	1997-11-30	PRIJEM	\N	73	18399	UROK	\N	\N
3596079	1979	1997-12-31	PRIJEM	\N	77	19019	UROK	\N	\N
3596080	1979	1998-01-31	PRIJEM	\N	73	16484	UROK	\N	\N
3596081	1979	1998-02-28	PRIJEM	\N	68	16644	UROK	\N	\N
3596082	1979	1998-03-31	PRIJEM	\N	68	16514	UROK	\N	\N
3596083	1979	1998-04-30	PRIJEM	\N	70	17576	UROK	\N	\N
3596084	1979	1998-05-31	PRIJEM	\N	72	17941	UROK	\N	\N
3596085	1979	1998-06-30	PRIJEM	\N	75	19009	UROK	\N	\N
3596086	1979	1998-07-31	PRIJEM	\N	80	20081	UROK	\N	\N
3596087	1979	1998-08-31	PRIJEM	\N	81	19835	UROK	\N	\N
3596088	1979	1998-09-30	PRIJEM	\N	80	19807	UROK	\N	\N
3596089	1979	1998-10-31	PRIJEM	\N	75	17974	UROK	\N	\N
3596090	1979	1998-11-30	PRIJEM	\N	75	19042	UROK	\N	\N
3596091	1979	1998-12-31	PRIJEM	\N	79	19783	UROK	\N	\N
3596092	1980	1996-04-30	PRIJEM	\N	40	17959	UROK	\N	\N
3596093	1980	1996-05-31	PRIJEM	\N	92	25470	UROK	\N	\N
3596094	1980	1996-06-30	PRIJEM	\N	123	32771	UROK	\N	\N
3596095	1980	1996-07-31	PRIJEM	\N	136	32926	UROK	\N	\N
3596096	1980	1996-08-31	PRIJEM	\N	136	32003	UROK	\N	\N
3596097	1980	1996-09-30	PRIJEM	\N	125	28553	UROK	\N	\N
3596098	1980	1996-10-31	PRIJEM	\N	115	26694	UROK	\N	\N
3596099	1980	1996-11-30	PRIJEM	\N	104	23963	UROK	\N	\N
3596100	1980	1996-12-31	PRIJEM	\N	114	27622	UROK	\N	\N
3596101	1980	1997-01-31	PRIJEM	\N	109	17397	UROK	\N	\N
3596102	1980	1997-02-28	PRIJEM	\N	107	22429	UROK	\N	\N
3596103	1980	1997-03-31	PRIJEM	\N	102	25156	UROK	\N	\N
3596104	1980	1997-04-30	PRIJEM	\N	104	24685	UROK	\N	\N
3596105	1980	1997-05-31	PRIJEM	\N	105	23155	UROK	\N	\N
3596106	1980	1997-06-30	PRIJEM	\N	104	25744	UROK	\N	\N
3596107	1980	1997-07-31	PRIJEM	\N	105	22734	UROK	\N	\N
3596108	1980	1997-08-31	PRIJEM	\N	87	20246	UROK	\N	\N
3596109	1980	1997-09-30	PRIJEM	\N	85	19856	UROK	\N	\N
3596110	1980	1997-10-31	PRIJEM	\N	93	22475	UROK	\N	\N
3596111	1980	1997-11-30	PRIJEM	\N	105	25005	UROK	\N	\N
3596112	1980	1997-12-31	PRIJEM	\N	105	23075	UROK	\N	\N
3596113	1980	1998-01-31	PRIJEM	\N	77	13977	UROK	\N	\N
3596114	1980	1998-02-28	PRIJEM	\N	74	13837	UROK	\N	\N
3596115	1980	1998-03-31	PRIJEM	\N	76	18438	UROK	\N	\N
3596116	1980	1998-04-30	PRIJEM	\N	84	18588	UROK	\N	\N
3596117	1980	1998-05-31	PRIJEM	\N	68	13741	UROK	\N	\N
3596118	1980	1998-06-30	PRIJEM	\N	92	17198	UROK	\N	\N
3596119	1980	1998-07-31	PRIJEM	\N	109	26733	UROK	\N	\N
3596120	1980	1998-08-31	PRIJEM	\N	128	27566	UROK	\N	\N
3596121	1980	1998-09-30	PRIJEM	\N	128	30319	UROK	\N	\N
3596122	1980	1998-10-31	PRIJEM	\N	139	31223	UROK	\N	\N
3596123	1980	1998-11-30	PRIJEM	\N	162	39411	UROK	\N	\N
3596124	1980	1998-12-31	PRIJEM	\N	182	43478	UROK	\N	\N
3596125	1981	1994-03-31	PRIJEM	\N	39	14307	UROK	\N	\N
3596126	1981	1994-04-30	PRIJEM	\N	63	15089	UROK	\N	\N
3596127	1981	1994-05-31	PRIJEM	\N	67	16235	UROK	\N	\N
3596128	1981	1994-06-30	PRIJEM	\N	72	17385	UROK	\N	\N
3596129	1981	1994-07-31	PRIJEM	\N	77	18540	UROK	\N	\N
3596130	1981	1994-08-31	PRIJEM	\N	82	19700	UROK	\N	\N
3596131	1981	1994-09-30	PRIJEM	\N	86	20865	UROK	\N	\N
3596132	1981	1994-10-31	PRIJEM	\N	91	22035	UROK	\N	\N
3596133	1981	1994-11-30	PRIJEM	\N	96	23209	UROK	\N	\N
3596134	1981	1994-12-31	PRIJEM	\N	101	24389	UROK	\N	\N
3596135	1981	1995-01-31	PRIJEM	\N	93	20840	UROK	\N	\N
3596136	1981	1995-02-28	PRIJEM	\N	89	20688	UROK	\N	\N
3596137	1981	1995-03-31	PRIJEM	\N	91	21857	UROK	\N	\N
3596138	1981	1995-04-30	PRIJEM	\N	95	23030	UROK	\N	\N
3596139	1981	1995-05-31	PRIJEM	\N	96	23215	UROK	\N	\N
3596140	1981	1995-06-30	PRIJEM	\N	87	19251	UROK	\N	\N
3596141	1981	1995-07-31	PRIJEM	\N	84	20414	UROK	\N	\N
3596142	1981	1995-08-31	PRIJEM	\N	89	21581	UROK	\N	\N
3596143	1981	1995-09-30	PRIJEM	\N	94	22754	UROK	\N	\N
3596144	1981	1995-10-31	PRIJEM	\N	99	23931	UROK	\N	\N
3596145	1981	1995-11-30	PRIJEM	\N	104	25113	UROK	\N	\N
3596146	1981	1995-12-31	PRIJEM	\N	109	26300	UROK	\N	\N
3596147	1981	1996-01-31	PRIJEM	\N	103	21092	UROK	\N	\N
3596148	1981	1996-02-29	PRIJEM	\N	92	22262	UROK	\N	\N
3596149	1981	1996-03-31	PRIJEM	\N	97	23437	UROK	\N	\N
3596150	1981	1996-04-30	PRIJEM	\N	102	24617	UROK	\N	\N
3596151	1981	1996-05-31	PRIJEM	\N	105	24591	UROK	\N	\N
3596152	1981	1996-06-30	PRIJEM	\N	85	15944	UROK	\N	\N
3596153	1981	1996-07-31	PRIJEM	\N	70	17093	UROK	\N	\N
3596154	1981	1996-08-31	PRIJEM	\N	75	18246	UROK	\N	\N
3596155	1981	1996-09-30	PRIJEM	\N	78	19043	UROK	\N	\N
3596156	1981	1996-10-31	PRIJEM	\N	83	20204	UROK	\N	\N
3596157	1981	1996-11-30	PRIJEM	\N	84	20317	UROK	\N	\N
3596158	1981	1996-12-31	PRIJEM	\N	88	21483	UROK	\N	\N
3596159	1981	1997-01-31	PRIJEM	\N	83	17665	UROK	\N	\N
3596160	1981	1997-02-28	PRIJEM	\N	77	18820	UROK	\N	\N
3596161	1981	1997-03-31	PRIJEM	\N	82	19981	UROK	\N	\N
3596162	1981	1997-04-30	PRIJEM	\N	87	21146	UROK	\N	\N
3596163	1981	1997-05-31	PRIJEM	\N	89	21533	UROK	\N	\N
3596164	1981	1997-06-30	PRIJEM	\N	93	22705	UROK	\N	\N
3596165	1981	1997-07-31	PRIJEM	\N	98	23881	UROK	\N	\N
3596166	1981	1997-08-31	PRIJEM	\N	102	24701	UROK	\N	\N
3596167	1981	1997-09-30	PRIJEM	\N	106	25886	UROK	\N	\N
3596168	1981	1997-10-31	PRIJEM	\N	111	27075	UROK	\N	\N
3596169	1981	1997-11-30	PRIJEM	\N	116	28269	UROK	\N	\N
3596170	1981	1997-12-31	PRIJEM	\N	117	27425	UROK	\N	\N
3596171	1981	1998-01-31	PRIJEM	\N	110	22613	UROK	\N	\N
3596172	1981	1998-02-28	PRIJEM	\N	96	23397	UROK	\N	\N
3596173	1981	1998-03-31	PRIJEM	\N	98	23344	UROK	\N	\N
3596174	1981	1998-04-30	PRIJEM	\N	100	24522	UROK	\N	\N
3596175	1981	1998-05-31	PRIJEM	\N	105	25705	UROK	\N	\N
3596176	1981	1998-06-30	PRIJEM	\N	107	25091	UROK	\N	\N
3596177	1981	1998-07-31	PRIJEM	\N	107	26276	UROK	\N	\N
3596178	1981	1998-08-31	PRIJEM	\N	112	27467	UROK	\N	\N
3596179	1981	1998-09-30	PRIJEM	\N	117	28662	UROK	\N	\N
3596180	1981	1998-10-31	PRIJEM	\N	122	29652	UROK	\N	\N
3596181	1981	1998-11-30	PRIJEM	\N	126	30856	UROK	\N	\N
3596182	1981	1998-12-31	PRIJEM	\N	128	31162	UROK	\N	\N
3596183	1982	1997-06-30	PRIJEM	\N	91	27271	UROK	\N	\N
3596184	1982	1997-07-31	PRIJEM	\N	137	34395	UROK	\N	\N
3596185	1982	1997-08-31	PRIJEM	\N	174	43756	UROK	\N	\N
3596186	1982	1997-09-30	PRIJEM	\N	189	45832	UROK	\N	\N
3596187	1982	1997-10-31	PRIJEM	\N	203	49722	UROK	\N	\N
3596188	1982	1997-11-30	PRIJEM	\N	167	38290	UROK	\N	\N
3596189	1982	1997-12-31	PRIJEM	\N	195	46918	UROK	\N	\N
3596190	1982	1998-01-31	PRIJEM	\N	151	20909	UROK	\N	\N
3596191	1982	1998-02-28	PRIJEM	\N	123	32272	UROK	\N	\N
3596192	1982	1998-03-31	PRIJEM	\N	158	39510	UROK	\N	\N
3596193	1982	1998-04-30	PRIJEM	\N	168	41718	UROK	\N	\N
3596194	1982	1998-05-31	PRIJEM	\N	187	46646	UROK	\N	\N
3596195	1982	1998-06-30	PRIJEM	\N	191	18331	UROK	\N	\N
3596196	1982	1998-07-31	PRIJEM	\N	138	36609	UROK	\N	\N
3596197	1982	1998-08-31	PRIJEM	\N	173	39102	UROK	\N	\N
3596198	1982	1998-09-30	PRIJEM	\N	187	46390	UROK	\N	\N
3596199	1982	1998-10-31	PRIJEM	\N	190	40860	UROK	\N	\N
3596200	1982	1998-11-30	PRIJEM	\N	193	46914	UROK	\N	\N
3596201	1982	1998-12-31	PRIJEM	\N	233	58380	UROK	\N	\N
3596202	1984	1993-11-30	PRIJEM	\N	39	13905	UROK	\N	\N
3596203	1984	1993-12-31	PRIJEM	\N	133	40637	UROK	\N	\N
3596204	1984	1994-01-31	PRIJEM	\N	178	44081	UROK	\N	\N
3596205	1984	1994-02-28	PRIJEM	\N	191	46937	UROK	\N	\N
3596206	1984	1994-03-31	PRIJEM	\N	199	48402	UROK	\N	\N
3596207	1984	1994-04-30	PRIJEM	\N	206	50260	UROK	\N	\N
3596208	1984	1994-05-31	PRIJEM	\N	210	50822	UROK	\N	\N
3596209	1984	1994-06-30	PRIJEM	\N	163	36809	UROK	\N	\N
3596210	1984	1994-07-31	PRIJEM	\N	173	43934	UROK	\N	\N
3596211	1984	1994-08-31	PRIJEM	\N	192	47377	UROK	\N	\N
3596212	1984	1994-09-30	PRIJEM	\N	182	47230	UROK	\N	\N
3596213	1984	1994-10-31	PRIJEM	\N	206	50888	UROK	\N	\N
3596214	1984	1994-11-30	PRIJEM	\N	222	54661	UROK	\N	\N
3596215	1984	1994-12-31	PRIJEM	\N	235	57340	UROK	\N	\N
3596216	1984	1995-01-31	PRIJEM	\N	173	35204	UROK	\N	\N
3596217	1984	1995-02-28	PRIJEM	\N	141	46696	UROK	\N	\N
3596218	1984	1995-03-31	PRIJEM	\N	207	51555	UROK	\N	\N
3596219	1984	1995-04-30	PRIJEM	\N	219	53225	UROK	\N	\N
3596220	1984	1995-05-31	PRIJEM	\N	229	56705	UROK	\N	\N
3596221	1984	1995-06-30	PRIJEM	\N	227	60936	UROK	\N	\N
3596222	1984	1995-07-31	PRIJEM	\N	195	46322	UROK	\N	\N
3596223	1984	1995-08-31	PRIJEM	\N	192	45765	UROK	\N	\N
3596224	1984	1995-09-30	PRIJEM	\N	190	45907	UROK	\N	\N
3596225	1984	1995-10-31	PRIJEM	\N	202	43160	UROK	\N	\N
3596226	1984	1995-11-30	PRIJEM	\N	180	45692	UROK	\N	\N
3596227	1984	1995-12-31	PRIJEM	\N	224	48620	UROK	\N	\N
3596228	1984	1996-01-31	PRIJEM	\N	195	35287	UROK	\N	\N
3596229	1984	1996-02-29	PRIJEM	\N	149	39587	UROK	\N	\N
3596230	1984	1996-03-31	PRIJEM	\N	164	40302	UROK	\N	\N
3596231	1984	1996-04-30	PRIJEM	\N	188	43582	UROK	\N	\N
3596232	1984	1996-05-31	PRIJEM	\N	189	47382	UROK	\N	\N
3596233	1984	1996-06-30	PRIJEM	\N	196	42383	UROK	\N	\N
3596234	1984	1996-07-31	PRIJEM	\N	182	48616	UROK	\N	\N
3596235	1984	1996-08-31	PRIJEM	\N	205	51771	UROK	\N	\N
3596236	1984	1996-09-30	PRIJEM	\N	217	50359	UROK	\N	\N
3596237	1984	1996-10-31	PRIJEM	\N	207	50018	UROK	\N	\N
3596238	1984	1996-11-30	PRIJEM	\N	203	47772	UROK	\N	\N
3596239	1984	1996-12-31	PRIJEM	\N	207	49883	UROK	\N	\N
3596240	1984	1997-01-31	PRIJEM	\N	168	31403	UROK	\N	\N
3596241	1984	1997-02-28	PRIJEM	\N	139	34333	UROK	\N	\N
3596242	1984	1997-03-31	PRIJEM	\N	150	40634	UROK	\N	\N
3596243	1984	1997-04-30	PRIJEM	\N	167	40752	UROK	\N	\N
3596244	1984	1997-05-31	PRIJEM	\N	175	45478	UROK	\N	\N
3596245	1984	1997-06-30	PRIJEM	\N	170	33172	UROK	\N	\N
3596246	1984	1997-07-31	PRIJEM	\N	149	36692	UROK	\N	\N
3596247	1984	1997-08-31	PRIJEM	\N	166	45309	UROK	\N	\N
3596248	1984	1997-09-30	PRIJEM	\N	195	50155	UROK	\N	\N
3596249	1984	1997-10-31	PRIJEM	\N	222	54409	UROK	\N	\N
3596250	1984	1997-11-30	PRIJEM	\N	218	49858	UROK	\N	\N
3596251	1984	1997-12-31	PRIJEM	\N	220	54202	UROK	\N	\N
3596252	1984	1998-01-31	PRIJEM	\N	187	29741	UROK	\N	\N
3596253	1984	1998-02-28	PRIJEM	\N	147	41839	UROK	\N	\N
3596254	1984	1998-03-31	PRIJEM	\N	190	51080	UROK	\N	\N
3596255	1984	1998-04-30	PRIJEM	\N	216	52188	UROK	\N	\N
3596256	1984	1998-05-31	PRIJEM	\N	220	55460	UROK	\N	\N
3596257	1984	1998-06-30	PRIJEM	\N	183	24767	UROK	\N	\N
3596258	1984	1998-07-31	PRIJEM	\N	153	47472	UROK	\N	\N
3596259	1984	1998-08-31	PRIJEM	\N	205	51269	UROK	\N	\N
3596260	1984	1998-09-30	PRIJEM	\N	235	57835	UROK	\N	\N
3596261	1984	1998-10-31	PRIJEM	\N	246	59172	UROK	\N	\N
3596262	1984	1998-11-30	PRIJEM	\N	260	66183	UROK	\N	\N
3596263	1984	1998-12-31	PRIJEM	\N	290	72457	UROK	\N	\N
3596264	1986	1995-04-30	PRIJEM	\N	34	13470	UROK	\N	\N
3596265	1986	1995-05-31	PRIJEM	\N	94	28400	UROK	\N	\N
3596266	1986	1995-06-30	PRIJEM	\N	156	43860	UROK	\N	\N
3596267	1986	1995-07-31	PRIJEM	\N	194	48390	UROK	\N	\N
3596268	1986	1995-08-31	PRIJEM	\N	205	50131	UROK	\N	\N
3596269	1986	1995-09-30	PRIJEM	\N	174	41276	UROK	\N	\N
3596270	1986	1995-10-31	PRIJEM	\N	159	38145	UROK	\N	\N
3596271	1986	1995-11-30	PRIJEM	\N	142	37057	UROK	\N	\N
3596272	1986	1995-12-31	PRIJEM	\N	155	30930	UROK	\N	\N
3596273	1986	1996-01-31	PRIJEM	\N	118	18939	UROK	\N	\N
3596274	1986	1996-02-29	PRIJEM	\N	95	23304	UROK	\N	\N
3596275	1986	1996-03-31	PRIJEM	\N	107	24422	UROK	\N	\N
3596276	1986	1996-04-30	PRIJEM	\N	116	24108	UROK	\N	\N
3596277	1986	1996-05-31	PRIJEM	\N	113	22592	UROK	\N	\N
3596278	1986	1996-06-30	PRIJEM	\N	123	29053	UROK	\N	\N
3596279	1986	1996-07-31	PRIJEM	\N	126	23749	UROK	\N	\N
3596280	1986	1996-08-31	PRIJEM	\N	111	24530	UROK	\N	\N
3596281	1986	1996-09-30	PRIJEM	\N	107	25648	UROK	\N	\N
3596282	1986	1996-10-31	PRIJEM	\N	100	22958	UROK	\N	\N
3596283	1986	1996-11-30	PRIJEM	\N	100	22469	UROK	\N	\N
3596284	1986	1996-12-31	PRIJEM	\N	106	24533	UROK	\N	\N
3596285	1986	1997-01-31	PRIJEM	\N	88	19851	UROK	\N	\N
3596286	1986	1997-02-28	PRIJEM	\N	92	17394	UROK	\N	\N
3596287	1986	1997-03-31	PRIJEM	\N	71	16255	UROK	\N	\N
3596288	1986	1997-04-30	PRIJEM	\N	80	18905	UROK	\N	\N
3596289	1986	1997-05-31	PRIJEM	\N	89	20264	UROK	\N	\N
3596290	1986	1997-06-30	PRIJEM	\N	102	21704	UROK	\N	\N
3596291	1986	1997-07-31	PRIJEM	\N	83	16338	UROK	\N	\N
3596292	1986	1997-08-31	PRIJEM	\N	75	16583	UROK	\N	\N
3596293	1986	1997-09-30	PRIJEM	\N	69	13223	UROK	\N	\N
3596294	1986	1997-10-31	PRIJEM	\N	59	12352	UROK	\N	\N
3596295	1986	1997-11-30	PRIJEM	\N	62	15584	UROK	\N	\N
3596296	1986	1997-12-31	PRIJEM	\N	82	17944	UROK	\N	\N
3596297	1986	1998-01-31	PRIJEM	\N	66	14060	UROK	\N	\N
3596298	1986	1998-02-28	PRIJEM	\N	61	13692	UROK	\N	\N
3596299	1986	1998-03-31	PRIJEM	\N	65	15727	UROK	\N	\N
3596300	1986	1998-04-30	PRIJEM	\N	81	22679	UROK	\N	\N
3596301	1986	1998-05-31	PRIJEM	\N	104	25853	UROK	\N	\N
3596302	1986	1998-06-30	PRIJEM	\N	134	36425	UROK	\N	\N
3596303	1986	1998-07-31	PRIJEM	\N	151	35247	UROK	\N	\N
3596304	1986	1998-08-31	PRIJEM	\N	142	30239	UROK	\N	\N
3596305	1986	1998-09-30	PRIJEM	\N	131	32600	UROK	\N	\N
3596306	1986	1998-10-31	PRIJEM	\N	139	36210	UROK	\N	\N
3596307	1986	1998-11-30	PRIJEM	\N	158	36899	UROK	\N	\N
3596308	1986	1998-12-31	PRIJEM	\N	172	46609	UROK	\N	\N
3596309	1987	1994-04-30	PRIJEM	\N	43	20895	UROK	\N	\N
3596310	1987	1994-05-31	PRIJEM	\N	107	30455	UROK	\N	\N
3596311	1987	1994-06-30	PRIJEM	\N	155	43388	UROK	\N	\N
3596312	1987	1994-07-31	PRIJEM	\N	185	45324	UROK	\N	\N
3596313	1987	1994-08-31	PRIJEM	\N	185	43861	UROK	\N	\N
3596314	1987	1994-09-30	PRIJEM	\N	182	43680	UROK	\N	\N
3596315	1987	1994-10-31	PRIJEM	\N	181	43298	UROK	\N	\N
3596316	1987	1994-11-30	PRIJEM	\N	172	40408	UROK	\N	\N
3596317	1987	1994-12-31	PRIJEM	\N	210	38381	UROK	\N	\N
3596318	1987	1995-01-31	PRIJEM	\N	133	30331	UROK	\N	\N
3596319	1987	1995-02-28	PRIJEM	\N	161	42629	UROK	\N	\N
3596320	1987	1995-03-31	PRIJEM	\N	226	39092	UROK	\N	\N
3596321	1987	1995-04-30	PRIJEM	\N	186	47915	UROK	\N	\N
3596322	1987	1995-05-31	PRIJEM	\N	205	50057	UROK	\N	\N
3596323	1987	1995-06-30	PRIJEM	\N	209	49009	UROK	\N	\N
3596324	1987	1995-07-31	PRIJEM	\N	211	51758	UROK	\N	\N
3596325	1987	1995-08-31	PRIJEM	\N	198	47333	UROK	\N	\N
3596326	1987	1995-09-30	PRIJEM	\N	196	45187	UROK	\N	\N
3596327	1987	1995-10-31	PRIJEM	\N	198	49122	UROK	\N	\N
3596328	1987	1995-11-30	PRIJEM	\N	212	52031	UROK	\N	\N
3596329	1987	1995-12-31	PRIJEM	\N	214	57189	UROK	\N	\N
3596330	1987	1996-01-31	PRIJEM	\N	172	41439	UROK	\N	\N
3596331	1987	1996-02-29	PRIJEM	\N	180	44556	UROK	\N	\N
3596332	1987	1996-03-31	PRIJEM	\N	159	39572	UROK	\N	\N
3596333	1987	1996-04-30	PRIJEM	\N	181	46291	UROK	\N	\N
3596334	1987	1996-05-31	PRIJEM	\N	198	48826	UROK	\N	\N
3596335	1987	1996-06-30	PRIJEM	\N	146	42316	UROK	\N	\N
3596336	1987	1996-07-31	PRIJEM	\N	173	41426	UROK	\N	\N
3596337	1987	1996-08-31	PRIJEM	\N	181	44944	UROK	\N	\N
3596338	1987	1996-09-30	PRIJEM	\N	189	46371	UROK	\N	\N
3596339	1987	1996-10-31	PRIJEM	\N	196	48204	UROK	\N	\N
3596340	1987	1996-11-30	PRIJEM	\N	194	46135	UROK	\N	\N
3596341	1987	1996-12-31	PRIJEM	\N	184	52563	UROK	\N	\N
3596342	1987	1997-01-31	PRIJEM	\N	153	24953	UROK	\N	\N
3596343	1987	1997-02-28	PRIJEM	\N	105	44095	UROK	\N	\N
3596344	1987	1997-03-31	PRIJEM	\N	191	47624	UROK	\N	\N
3596345	1987	1997-04-30	PRIJEM	\N	177	39598	UROK	\N	\N
3596346	1987	1997-05-31	PRIJEM	\N	159	25694	UROK	\N	\N
3596347	1987	1997-06-30	PRIJEM	\N	91	18628	UROK	\N	\N
3596348	1987	1997-07-31	PRIJEM	\N	76	21442	UROK	\N	\N
3596349	1987	1997-08-31	PRIJEM	\N	94	20953	UROK	\N	\N
3596350	1987	1997-09-30	PRIJEM	\N	84	20174	UROK	\N	\N
3596351	1987	1997-10-31	PRIJEM	\N	118	25430	UROK	\N	\N
3596352	1987	1997-11-30	PRIJEM	\N	104	26471	UROK	\N	\N
3596353	1987	1997-12-31	PRIJEM	\N	133	28367	UROK	\N	\N
3596354	1987	1998-01-31	PRIJEM	\N	123	26528	UROK	\N	\N
3596355	1987	1998-02-28	PRIJEM	\N	109	24994	UROK	\N	\N
3596356	1987	1998-03-31	PRIJEM	\N	122	19594	UROK	\N	\N
3596357	1987	1998-04-30	PRIJEM	\N	81	22612	UROK	\N	\N
3596358	1987	1998-05-31	PRIJEM	\N	88	20137	UROK	\N	\N
3596359	1987	1998-06-30	PRIJEM	\N	87	26887	UROK	\N	\N
3596360	1987	1998-07-31	PRIJEM	\N	104	22928	UROK	\N	\N
3596361	1987	1998-08-31	PRIJEM	\N	94	24859	UROK	\N	\N
3596362	1987	1998-09-30	PRIJEM	\N	99	24996	UROK	\N	\N
3596363	1987	1998-10-31	PRIJEM	\N	101	26135	UROK	\N	\N
3596364	1987	1998-11-30	PRIJEM	\N	115	20547	UROK	\N	\N
3596365	1987	1998-12-31	PRIJEM	\N	143	43453	UROK	\N	\N
3596366	1988	1997-01-31	PRIJEM	\N	5	13112	UROK	\N	\N
3596367	1988	1997-02-28	PRIJEM	\N	55	18375	UROK	\N	\N
3596368	1988	1997-03-31	PRIJEM	\N	77	22159	UROK	\N	\N
3596369	1988	1997-04-30	PRIJEM	\N	94	29360	UROK	\N	\N
3596370	1988	1997-05-31	PRIJEM	\N	131	30127	UROK	\N	\N
3596371	1988	1997-06-30	PRIJEM	\N	134	18946	UROK	\N	\N
3596372	1988	1997-07-31	PRIJEM	\N	78	21225	UROK	\N	\N
3596373	1988	1997-08-31	PRIJEM	\N	95	26941	UROK	\N	\N
3596374	1988	1997-09-30	PRIJEM	\N	104	22466	UROK	\N	\N
3596375	1988	1997-10-31	PRIJEM	\N	101	23588	UROK	\N	\N
3596376	1988	1997-11-30	PRIJEM	\N	102	25711	UROK	\N	\N
3596377	1988	1997-12-31	PRIJEM	\N	115	27171	UROK	\N	\N
3596378	1988	1998-01-31	PRIJEM	\N	99	23632	UROK	\N	\N
3596379	1988	1998-02-28	PRIJEM	\N	100	23453	UROK	\N	\N
3596380	1988	1998-03-31	PRIJEM	\N	101	25275	UROK	\N	\N
3596381	1988	1998-04-30	PRIJEM	\N	90	20746	UROK	\N	\N
3596382	1988	1998-05-31	PRIJEM	\N	90	17178	UROK	\N	\N
3596383	1988	1998-06-30	PRIJEM	\N	82	20485	UROK	\N	\N
3596384	1988	1998-07-31	PRIJEM	\N	93	22899	UROK	\N	\N
3596385	1988	1998-08-31	PRIJEM	\N	101	26322	UROK	\N	\N
3596386	1988	1998-09-30	PRIJEM	\N	120	29703	UROK	\N	\N
3596387	1988	1998-10-31	PRIJEM	\N	127	31552	UROK	\N	\N
3596388	1988	1998-11-30	PRIJEM	\N	126	27799	UROK	\N	\N
3596389	1988	1998-12-31	PRIJEM	\N	123	27767	UROK	\N	\N
3596390	1989	1995-02-28	PRIJEM	\N	46	19364	UROK	\N	\N
3596391	1989	1995-03-31	PRIJEM	\N	86	21674	UROK	\N	\N
3596392	1989	1995-04-30	PRIJEM	\N	91	19988	UROK	\N	\N
3596393	1989	1995-05-31	PRIJEM	\N	88	21899	UROK	\N	\N
3596394	1989	1995-06-30	PRIJEM	\N	72	15545	UROK	\N	\N
3596395	1989	1995-07-31	PRIJEM	\N	70	17839	UROK	\N	\N
3596396	1989	1995-08-31	PRIJEM	\N	80	20142	UROK	\N	\N
3596397	1989	1995-09-30	PRIJEM	\N	89	22455	UROK	\N	\N
3596398	1989	1995-10-31	PRIJEM	\N	99	24677	UROK	\N	\N
3596399	1989	1995-11-30	PRIJEM	\N	103	23784	UROK	\N	\N
3596400	1989	1995-12-31	PRIJEM	\N	104	24862	UROK	\N	\N
3596401	1989	1996-01-31	PRIJEM	\N	89	13954	UROK	\N	\N
3596402	1989	1996-02-29	PRIJEM	\N	64	16241	UROK	\N	\N
3596403	1989	1996-03-31	PRIJEM	\N	73	18537	UROK	\N	\N
3596404	1989	1996-04-30	PRIJEM	\N	83	20843	UROK	\N	\N
3596405	1989	1996-05-31	PRIJEM	\N	87	19634	UROK	\N	\N
3596406	1989	1996-06-30	PRIJEM	\N	65	11672	UROK	\N	\N
3596407	1989	1996-07-31	PRIJEM	\N	54	13949	UROK	\N	\N
3596408	1989	1996-08-31	PRIJEM	\N	64	16236	UROK	\N	\N
3596409	1989	1996-09-30	PRIJEM	\N	66	13806	UROK	\N	\N
3596410	1989	1996-10-31	PRIJEM	\N	63	16092	UROK	\N	\N
3596411	1989	1996-11-30	PRIJEM	\N	72	18388	UROK	\N	\N
3596412	1989	1996-12-31	PRIJEM	\N	81	16652	UROK	\N	\N
3596413	1989	1997-01-31	PRIJEM	\N	63	14298	UROK	\N	\N
3596414	1989	1997-02-28	PRIJEM	\N	65	16586	UROK	\N	\N
3596415	1989	1997-03-31	PRIJEM	\N	74	18884	UROK	\N	\N
3596416	1989	1997-04-30	PRIJEM	\N	77	18224	UROK	\N	\N
3596417	1989	1997-05-31	PRIJEM	\N	81	20529	UROK	\N	\N
3596418	1989	1997-06-30	PRIJEM	\N	86	20599	UROK	\N	\N
3596419	1989	1997-07-31	PRIJEM	\N	91	22913	UROK	\N	\N
3596420	1989	1997-08-31	PRIJEM	\N	101	25237	UROK	\N	\N
3596421	1989	1997-09-30	PRIJEM	\N	110	27570	UROK	\N	\N
3596422	1989	1997-10-31	PRIJEM	\N	110	26064	UROK	\N	\N
3596423	1989	1997-11-30	PRIJEM	\N	113	28401	UROK	\N	\N
3596424	1989	1997-12-31	PRIJEM	\N	122	29946	UROK	\N	\N
3596425	1989	1998-01-31	PRIJEM	\N	94	16353	UROK	\N	\N
3596426	1989	1998-02-28	PRIJEM	\N	73	18649	UROK	\N	\N
3596427	1989	1998-03-31	PRIJEM	\N	83	20955	UROK	\N	\N
3596428	1989	1998-04-30	PRIJEM	\N	92	23271	UROK	\N	\N
3596429	1989	1998-05-31	PRIJEM	\N	94	22148	UROK	\N	\N
3596430	1989	1998-06-30	PRIJEM	\N	95	20566	UROK	\N	\N
3596431	1989	1998-07-31	PRIJEM	\N	90	22880	UROK	\N	\N
3596432	1989	1998-08-31	PRIJEM	\N	99	24242	UROK	\N	\N
3596433	1989	1998-09-30	PRIJEM	\N	103	25368	UROK	\N	\N
3596434	1989	1998-10-31	PRIJEM	\N	110	27062	UROK	\N	\N
3596435	1989	1998-11-30	PRIJEM	\N	115	27800	UROK	\N	\N
3596436	1989	1998-12-31	PRIJEM	\N	117	28740	UROK	\N	\N
3596437	1990	1993-06-30	PRIJEM	\N	9	3862	UROK	\N	\N
3596438	1990	1993-07-31	PRIJEM	\N	16	7131	UROK	\N	\N
3596439	1990	1993-08-31	PRIJEM	\N	16	10400	UROK	\N	\N
3596440	1990	1993-09-30	PRIJEM	\N	16	13669	UROK	\N	\N
3596441	1990	1993-10-31	PRIJEM	\N	18	16940	UROK	\N	\N
3596442	1990	1993-11-30	PRIJEM	\N	73	18084	UROK	\N	\N
3596443	1990	1993-12-31	PRIJEM	\N	78	18992	UROK	\N	\N
3596444	1990	1994-01-31	PRIJEM	\N	73	16865	UROK	\N	\N
3596445	1990	1994-02-28	PRIJEM	\N	73	18008	UROK	\N	\N
3596446	1990	1994-03-31	PRIJEM	\N	78	19156	UROK	\N	\N
3596447	1990	1994-04-30	PRIJEM	\N	82	20309	UROK	\N	\N
3596448	1990	1994-05-31	PRIJEM	\N	87	21467	UROK	\N	\N
3596449	1990	1994-06-30	PRIJEM	\N	92	22629	UROK	\N	\N
3596450	1990	1994-07-31	PRIJEM	\N	97	23796	UROK	\N	\N
3596451	1990	1994-08-31	PRIJEM	\N	102	24968	UROK	\N	\N
3596452	1990	1994-09-30	PRIJEM	\N	100	24339	UROK	\N	\N
3596453	1990	1994-10-31	PRIJEM	\N	101	24970	UROK	\N	\N
3596454	1990	1994-11-30	PRIJEM	\N	106	26147	UROK	\N	\N
3596455	1990	1994-12-31	PRIJEM	\N	109	26806	UROK	\N	\N
3596456	1990	1995-01-31	PRIJEM	\N	102	24439	UROK	\N	\N
3596457	1990	1995-02-28	PRIJEM	\N	104	25613	UROK	\N	\N
3596458	1990	1995-03-31	PRIJEM	\N	99	24482	UROK	\N	\N
3596459	1990	1995-04-30	PRIJEM	\N	99	23832	UROK	\N	\N
3596460	1990	1995-05-31	PRIJEM	\N	99	23771	UROK	\N	\N
3596461	1990	1995-06-30	PRIJEM	\N	101	23532	UROK	\N	\N
3596462	1990	1995-07-31	PRIJEM	\N	100	24703	UROK	\N	\N
3596463	1990	1995-08-31	PRIJEM	\N	104	23897	UROK	\N	\N
3596464	1990	1995-09-30	PRIJEM	\N	100	22168	UROK	\N	\N
3596465	1990	1995-10-31	PRIJEM	\N	95	23333	UROK	\N	\N
3596466	1990	1995-11-30	PRIJEM	\N	99	24503	UROK	\N	\N
3596467	1990	1995-12-31	PRIJEM	\N	103	25106	UROK	\N	\N
3596468	1990	1996-01-31	PRIJEM	\N	99	23156	UROK	\N	\N
3596469	1990	1996-02-29	PRIJEM	\N	98	24324	UROK	\N	\N
3596470	1990	1996-03-31	PRIJEM	\N	103	25498	UROK	\N	\N
3596471	1990	1996-04-30	PRIJEM	\N	108	26676	UROK	\N	\N
3596472	1990	1996-05-31	PRIJEM	\N	108	26535	UROK	\N	\N
3596473	1990	1996-06-30	PRIJEM	\N	110	26395	UROK	\N	\N
3596474	1990	1996-07-31	PRIJEM	\N	110	24465	UROK	\N	\N
3596475	1990	1996-08-31	PRIJEM	\N	104	25639	UROK	\N	\N
3596476	1990	1996-09-30	PRIJEM	\N	102	22282	UROK	\N	\N
3596477	1990	1996-10-31	PRIJEM	\N	94	23447	UROK	\N	\N
3596478	1990	1996-11-30	PRIJEM	\N	99	24616	UROK	\N	\N
3596479	1990	1996-12-31	PRIJEM	\N	97	22544	UROK	\N	\N
3596480	1990	1997-01-31	PRIJEM	\N	86	20550	UROK	\N	\N
3596481	1990	1997-02-28	PRIJEM	\N	85	21345	UROK	\N	\N
3596482	1990	1997-03-31	PRIJEM	\N	90	22506	UROK	\N	\N
3596483	1990	1997-04-30	PRIJEM	\N	92	21968	UROK	\N	\N
3596484	1990	1997-05-31	PRIJEM	\N	90	21268	UROK	\N	\N
3596485	1990	1997-06-30	PRIJEM	\N	90	22428	UROK	\N	\N
3596486	1990	1997-07-31	PRIJEM	\N	93	22812	UROK	\N	\N
3596487	1990	1997-08-31	PRIJEM	\N	96	23618	UROK	\N	\N
3596488	1990	1997-09-30	PRIJEM	\N	99	24787	UROK	\N	\N
3596489	1990	1997-10-31	PRIJEM	\N	104	25962	UROK	\N	\N
3596490	1990	1997-11-30	PRIJEM	\N	107	26389	UROK	\N	\N
3596491	1990	1997-12-31	PRIJEM	\N	110	27300	UROK	\N	\N
3596492	1990	1998-01-31	PRIJEM	\N	108	25598	UROK	\N	\N
3596493	1990	1998-02-28	PRIJEM	\N	107	26505	UROK	\N	\N
3596494	1990	1998-03-31	PRIJEM	\N	111	27686	UROK	\N	\N
3596495	1990	1998-04-30	PRIJEM	\N	116	28873	UROK	\N	\N
3596496	1990	1998-05-31	PRIJEM	\N	119	29012	UROK	\N	\N
3596497	1990	1998-06-30	PRIJEM	\N	121	30203	UROK	\N	\N
3596498	1990	1998-07-31	PRIJEM	\N	121	30075	UROK	\N	\N
3596499	1990	1998-08-31	PRIJEM	\N	125	31270	UROK	\N	\N
3596500	1990	1998-09-30	PRIJEM	\N	124	30245	UROK	\N	\N
3596501	1990	1998-10-31	PRIJEM	\N	126	31441	UROK	\N	\N
3596502	1990	1998-11-30	PRIJEM	\N	131	32643	UROK	\N	\N
3596503	1990	1998-12-31	PRIJEM	\N	133	33166	UROK	\N	\N
3596504	1991	1996-12-31	PRIJEM	\N	60	27923	UROK	\N	\N
3596505	1991	1997-01-31	PRIJEM	\N	139	38104	UROK	\N	\N
3596506	1991	1997-02-28	PRIJEM	\N	166	41512	UROK	\N	\N
3596507	1991	1997-03-31	PRIJEM	\N	171	41025	UROK	\N	\N
3596508	1991	1997-04-30	PRIJEM	\N	172	38641	UROK	\N	\N
3596509	1991	1997-05-31	PRIJEM	\N	171	36530	UROK	\N	\N
3596510	1991	1997-06-30	PRIJEM	\N	186	38754	UROK	\N	\N
3596511	1991	1997-07-31	PRIJEM	\N	178	40150	UROK	\N	\N
3596512	1991	1997-08-31	PRIJEM	\N	179	38346	UROK	\N	\N
3596513	1991	1997-09-30	PRIJEM	\N	167	37230	UROK	\N	\N
3596514	1991	1997-10-31	PRIJEM	\N	164	35712	UROK	\N	\N
3596515	1991	1997-11-30	PRIJEM	\N	143	29573	UROK	\N	\N
3596516	1991	1997-12-31	PRIJEM	\N	147	32358	UROK	\N	\N
3596517	1991	1998-01-31	PRIJEM	\N	101	17576	UROK	\N	\N
3596518	1991	1998-02-28	PRIJEM	\N	94	23287	UROK	\N	\N
3596519	1991	1998-03-31	PRIJEM	\N	111	25816	UROK	\N	\N
3596520	1991	1998-04-30	PRIJEM	\N	115	26548	UROK	\N	\N
3596521	1991	1998-05-31	PRIJEM	\N	132	32097	UROK	\N	\N
3596522	1991	1998-06-30	PRIJEM	\N	154	31489	UROK	\N	\N
3596523	1991	1998-07-31	PRIJEM	\N	149	36055	UROK	\N	\N
3596524	1991	1998-08-31	PRIJEM	\N	164	36836	UROK	\N	\N
3596525	1991	1998-09-30	PRIJEM	\N	219	57073	UROK	\N	\N
3596526	1991	1998-10-31	PRIJEM	\N	274	68464	UROK	\N	\N
3596527	1991	1998-11-30	PRIJEM	\N	304	75386	UROK	\N	\N
3596528	1991	1998-12-31	PRIJEM	\N	357	87581	UROK	\N	\N
3596529	1992	1997-10-31	PRIJEM	\N	13	18623	UROK	\N	\N
3596530	1992	1997-11-30	PRIJEM	\N	82	24614	UROK	\N	\N
3596531	1992	1997-12-31	PRIJEM	\N	105	27534	UROK	\N	\N
3596532	1992	1998-01-31	PRIJEM	\N	115	28159	UROK	\N	\N
3596533	1992	1998-02-28	PRIJEM	\N	114	24183	UROK	\N	\N
3596534	1992	1998-03-31	PRIJEM	\N	94	17152	UROK	\N	\N
3596535	1992	1998-04-30	PRIJEM	\N	72	17439	UROK	\N	\N
3596536	1992	1998-05-31	PRIJEM	\N	77	18772	UROK	\N	\N
3596537	1992	1998-06-30	PRIJEM	\N	89	21322	UROK	\N	\N
3596538	1992	1998-07-31	PRIJEM	\N	92	20869	UROK	\N	\N
3596539	1992	1998-08-31	PRIJEM	\N	95	24819	UROK	\N	\N
3596540	1992	1998-09-30	PRIJEM	\N	104	22878	UROK	\N	\N
3596541	1992	1998-10-31	PRIJEM	\N	94	20127	UROK	\N	\N
3596542	1992	1998-11-30	PRIJEM	\N	85	16908	UROK	\N	\N
3596543	1992	1998-12-31	PRIJEM	\N	82	20550	UROK	\N	\N
3596544	1994	1995-09-30	PRIJEM	\N	144	81237	UROK	\N	\N
3596545	1994	1995-10-31	PRIJEM	\N	332	82676	UROK	\N	\N
3596546	1994	1995-11-30	PRIJEM	\N	247	33571	UROK	\N	\N
3596547	1994	1995-12-31	PRIJEM	\N	193	46168	UROK	\N	\N
3596548	1994	1996-01-31	PRIJEM	\N	131	36097	UROK	\N	\N
3596549	1994	1996-02-29	PRIJEM	\N	171	50527	UROK	\N	\N
3596550	1994	1996-03-31	PRIJEM	\N	290	82525	UROK	\N	\N
3596551	1994	1996-04-30	PRIJEM	\N	272	49667	UROK	\N	\N
3596552	1994	1996-05-31	PRIJEM	\N	172	37764	UROK	\N	\N
3596553	1994	1996-06-30	PRIJEM	\N	117	20438	UROK	\N	\N
3596554	1994	1996-07-31	PRIJEM	\N	210	42230	UROK	\N	\N
3596555	1994	1996-08-31	PRIJEM	\N	195	53717	UROK	\N	\N
3596556	1994	1996-09-30	PRIJEM	\N	213	56945	UROK	\N	\N
3596557	1994	1996-10-31	PRIJEM	\N	208	62958	UROK	\N	\N
3596558	1994	1996-11-30	PRIJEM	\N	239	78282	UROK	\N	\N
3596559	1994	1996-12-31	PRIJEM	\N	274	51393	UROK	\N	\N
3596560	1994	1997-01-31	PRIJEM	\N	143	37556	UROK	\N	\N
3596561	1994	1997-02-28	PRIJEM	\N	101	19014	UROK	\N	\N
3596562	1994	1997-03-31	PRIJEM	\N	66	14336	UROK	\N	\N
3596563	1994	1997-04-30	PRIJEM	\N	125	25461	UROK	\N	\N
3596564	1994	1997-05-31	PRIJEM	\N	155	26157	UROK	\N	\N
3596565	1994	1997-06-30	PRIJEM	\N	120	26395	UROK	\N	\N
3596566	1994	1997-07-31	PRIJEM	\N	173	44595	UROK	\N	\N
3596567	1994	1997-08-31	PRIJEM	\N	140	59292	UROK	\N	\N
3596568	1994	1997-09-30	PRIJEM	\N	143	28122	UROK	\N	\N
3596569	1994	1997-10-31	PRIJEM	\N	85	17947	UROK	\N	\N
3596570	1994	1997-11-30	PRIJEM	\N	69	26066	UROK	\N	\N
3596571	1994	1997-12-31	PRIJEM	\N	95	21418	UROK	\N	\N
3596572	1994	1998-01-31	PRIJEM	\N	137	42214	UROK	\N	\N
3596573	1994	1998-02-28	PRIJEM	\N	71	10742	UROK	\N	\N
3596574	1994	1998-03-31	PRIJEM	\N	31	6029	UROK	\N	\N
3596575	1994	1998-04-30	PRIJEM	\N	259	57002	UROK	\N	\N
3596576	1994	1998-05-31	PRIJEM	\N	245	51262	UROK	\N	\N
3596577	1994	1998-06-30	PRIJEM	\N	116	22434	UROK	\N	\N
3596578	1994	1998-07-31	PRIJEM	\N	263	55143	UROK	\N	\N
3596579	1994	1998-08-31	PRIJEM	\N	113	21212	UROK	\N	\N
3596580	1994	1998-09-30	PRIJEM	\N	163	50339	UROK	\N	\N
3596581	1994	1998-10-31	PRIJEM	\N	113	22008	UROK	\N	\N
3596582	1994	1998-11-30	PRIJEM	\N	204	55442	UROK	\N	\N
3596583	1994	1998-12-31	PRIJEM	\N	124	31338	UROK	\N	\N
3596584	1995	1997-12-31	PRIJEM	\N	70	24616	UROK	\N	\N
3596585	1995	1998-01-31	PRIJEM	\N	85	13040	UROK	\N	\N
3596586	1995	1998-02-28	PRIJEM	\N	61	14450	UROK	\N	\N
3596587	1995	1998-03-31	PRIJEM	\N	63	15382	UROK	\N	\N
3596588	1995	1998-04-30	PRIJEM	\N	66	15757	UROK	\N	\N
3596589	1995	1998-05-31	PRIJEM	\N	73	17820	UROK	\N	\N
3596590	1995	1998-06-30	PRIJEM	\N	69	15939	UROK	\N	\N
3596591	1995	1998-07-31	PRIJEM	\N	74	18562	UROK	\N	\N
3596592	1995	1998-08-31	PRIJEM	\N	78	17829	UROK	\N	\N
3596593	1995	1998-09-30	PRIJEM	\N	81	20459	UROK	\N	\N
3596594	1995	1998-10-31	PRIJEM	\N	92	23101	UROK	\N	\N
3596595	1995	1998-11-30	PRIJEM	\N	103	25754	UROK	\N	\N
3596596	1995	1998-12-31	PRIJEM	\N	107	23810	UROK	\N	\N
3596597	1996	1996-05-31	PRIJEM	\N	77	25033	UROK	\N	\N
3596598	1996	1996-06-30	PRIJEM	\N	222	63889	UROK	\N	\N
3596599	1996	1996-07-31	PRIJEM	\N	282	69227	UROK	\N	\N
3596600	1996	1996-08-31	PRIJEM	\N	307	75590	UROK	\N	\N
3596601	1996	1996-09-30	PRIJEM	\N	309	68654	UROK	\N	\N
3596602	1996	1996-10-31	PRIJEM	\N	299	55857	UROK	\N	\N
3596603	1996	1996-11-30	PRIJEM	\N	238	52614	UROK	\N	\N
3596604	1996	1996-12-31	PRIJEM	\N	293	63317	UROK	\N	\N
3596605	1996	1997-01-31	PRIJEM	\N	181	25223	UROK	\N	\N
3596606	1996	1997-02-28	PRIJEM	\N	179	50228	UROK	\N	\N
3596607	1996	1997-03-31	PRIJEM	\N	229	53283	UROK	\N	\N
3596608	1996	1997-04-30	PRIJEM	\N	248	58857	UROK	\N	\N
3596609	1996	1997-05-31	PRIJEM	\N	243	57226	UROK	\N	\N
3596610	1996	1997-06-30	PRIJEM	\N	302	78432	UROK	\N	\N
3596611	1996	1997-07-31	PRIJEM	\N	308	65297	UROK	\N	\N
3596612	1996	1997-08-31	PRIJEM	\N	268	55311	UROK	\N	\N
3596613	1996	1997-09-30	PRIJEM	\N	185	62458	UROK	\N	\N
3596614	1996	1997-10-31	PRIJEM	\N	208	33189	UROK	\N	\N
3596615	1996	1997-11-30	PRIJEM	\N	140	20497	UROK	\N	\N
3596616	1996	1997-12-31	PRIJEM	\N	121	32022	UROK	\N	\N
3596617	1996	1998-01-31	PRIJEM	\N	141	27589	UROK	\N	\N
3596618	1996	1998-02-28	PRIJEM	\N	122	30806	UROK	\N	\N
3596619	1996	1998-03-31	PRIJEM	\N	154	27986	UROK	\N	\N
3596620	1996	1998-04-30	PRIJEM	\N	117	31729	UROK	\N	\N
3596621	1996	1998-05-31	PRIJEM	\N	158	33013	UROK	\N	\N
3596622	1996	1998-06-30	PRIJEM	\N	139	40356	UROK	\N	\N
3596623	1996	1998-07-31	PRIJEM	\N	147	29129	UROK	\N	\N
3596624	1996	1998-08-31	PRIJEM	\N	114	21610	UROK	\N	\N
3596625	1996	1998-09-30	PRIJEM	\N	95	29031	UROK	\N	\N
3596626	1996	1998-10-31	PRIJEM	\N	120	30377	UROK	\N	\N
3596627	1996	1998-11-30	PRIJEM	\N	126	32030	UROK	\N	\N
3596628	1996	1998-12-31	PRIJEM	\N	139	26885	UROK	\N	\N
3596629	1997	1996-09-30	PRIJEM	\N	19	7584	UROK	\N	\N
3596630	1997	1996-10-31	PRIJEM	\N	32	14580	UROK	\N	\N
3596631	1997	1996-11-30	PRIJEM	\N	32	21577	UROK	\N	\N
3596632	1997	1996-12-31	PRIJEM	\N	82	27224	UROK	\N	\N
3596633	1997	1997-01-31	PRIJEM	\N	98	19475	UROK	\N	\N
3596634	1997	1997-02-28	PRIJEM	\N	93	24577	UROK	\N	\N
3596635	1997	1997-03-31	PRIJEM	\N	108	27194	UROK	\N	\N
3596636	1997	1997-04-30	PRIJEM	\N	120	30162	UROK	\N	\N
3596637	1997	1997-05-31	PRIJEM	\N	122	29292	UROK	\N	\N
3596638	1997	1997-06-30	PRIJEM	\N	127	29577	UROK	\N	\N
3596639	1997	1997-07-31	PRIJEM	\N	116	27701	UROK	\N	\N
3596640	1997	1997-08-31	PRIJEM	\N	122	30631	UROK	\N	\N
3596641	1997	1997-09-30	PRIJEM	\N	140	35780	UROK	\N	\N
3596642	1997	1997-10-31	PRIJEM	\N	139	29327	UROK	\N	\N
3596643	1997	1997-11-30	PRIJEM	\N	135	34471	UROK	\N	\N
3596644	1997	1997-12-31	PRIJEM	\N	154	34733	UROK	\N	\N
3596645	1997	1998-01-31	PRIJEM	\N	151	31132	UROK	\N	\N
3596646	1997	1998-02-28	PRIJEM	\N	134	32195	UROK	\N	\N
3596647	1997	1998-03-31	PRIJEM	\N	145	32848	UROK	\N	\N
3596648	1997	1998-04-30	PRIJEM	\N	147	31704	UROK	\N	\N
3596649	1997	1998-05-31	PRIJEM	\N	141	30453	UROK	\N	\N
3596650	1997	1998-06-30	PRIJEM	\N	130	28192	UROK	\N	\N
3596651	1997	1998-07-31	PRIJEM	\N	127	28527	UROK	\N	\N
3596652	1997	1998-08-31	PRIJEM	\N	126	26862	UROK	\N	\N
3596653	1997	1998-09-30	PRIJEM	\N	119	26189	UROK	\N	\N
3596654	1997	1998-10-31	PRIJEM	\N	115	25033	UROK	\N	\N
3596655	1997	1998-11-30	PRIJEM	\N	107	19468	UROK	\N	\N
3596656	1997	1998-12-31	PRIJEM	\N	93	24169	UROK	\N	\N
3596657	1999	1993-07-31	PRIJEM	\N	83	23911	UROK	\N	\N
3596658	1999	1993-08-31	PRIJEM	\N	188	49427	UROK	\N	\N
3596659	1999	1993-09-30	PRIJEM	\N	249	62205	UROK	\N	\N
3596660	1999	1993-10-31	PRIJEM	\N	268	65001	UROK	\N	\N
3596661	1999	1993-11-30	PRIJEM	\N	276	66328	UROK	\N	\N
3596662	1999	1993-12-31	PRIJEM	\N	296	69708	UROK	\N	\N
3596663	1999	1994-01-31	PRIJEM	\N	228	52095	UROK	\N	\N
3596664	1999	1994-02-28	PRIJEM	\N	230	56105	UROK	\N	\N
3596665	1999	1994-03-31	PRIJEM	\N	242	58407	UROK	\N	\N
3596666	1999	1994-04-30	PRIJEM	\N	243	59009	UROK	\N	\N
3596667	1999	1994-05-31	PRIJEM	\N	253	61621	UROK	\N	\N
3596668	1999	1994-06-30	PRIJEM	\N	211	41335	UROK	\N	\N
3596669	1999	1994-07-31	PRIJEM	\N	204	51299	UROK	\N	\N
3596670	1999	1994-08-31	PRIJEM	\N	216	39474	UROK	\N	\N
3596671	1999	1994-09-30	PRIJEM	\N	222	44255	UROK	\N	\N
3596672	1999	1994-10-31	PRIJEM	\N	234	39869	UROK	\N	\N
3596673	1999	1994-11-30	PRIJEM	\N	221	43749	UROK	\N	\N
3596674	1999	1994-12-31	PRIJEM	\N	265	46838	UROK	\N	\N
3596675	1999	1995-01-31	PRIJEM	\N	214	35311	UROK	\N	\N
3596676	1999	1995-02-28	PRIJEM	\N	201	39271	UROK	\N	\N
3596677	1999	1995-03-31	PRIJEM	\N	207	36038	UROK	\N	\N
3596678	1999	1995-04-30	PRIJEM	\N	201	35598	UROK	\N	\N
3596679	1999	1995-05-31	PRIJEM	\N	198	36655	UROK	\N	\N
3596680	1999	1995-06-30	PRIJEM	\N	159	23237	UROK	\N	\N
3596681	1999	1995-07-31	PRIJEM	\N	144	30940	UROK	\N	\N
3596682	1999	1995-08-31	PRIJEM	\N	177	34876	UROK	\N	\N
3596683	1999	1995-09-30	PRIJEM	\N	189	35624	UROK	\N	\N
3596684	1999	1995-10-31	PRIJEM	\N	190	36074	UROK	\N	\N
3596685	1999	1995-11-30	PRIJEM	\N	187	34620	UROK	\N	\N
3596686	1999	1995-12-31	PRIJEM	\N	210	33453	UROK	\N	\N
3596687	1999	1996-01-31	PRIJEM	\N	169	23302	UROK	\N	\N
3596688	1999	1996-02-29	PRIJEM	\N	137	26198	UROK	\N	\N
3596689	1999	1996-03-31	PRIJEM	\N	135	26033	UROK	\N	\N
3596690	1999	1996-04-30	PRIJEM	\N	148	29340	UROK	\N	\N
3596691	1999	1996-05-31	PRIJEM	\N	156	29656	UROK	\N	\N
3596692	1999	1996-06-30	PRIJEM	\N	174	32313	UROK	\N	\N
3596693	1999	1996-07-31	PRIJEM	\N	166	33538	UROK	\N	\N
3596694	1999	1996-08-31	PRIJEM	\N	170	33967	UROK	\N	\N
3596695	1999	1996-09-30	PRIJEM	\N	165	31891	UROK	\N	\N
3596696	1999	1996-10-31	PRIJEM	\N	150	25660	UROK	\N	\N
3596697	1999	1996-11-30	PRIJEM	\N	143	31963	UROK	\N	\N
3596698	1999	1996-12-31	PRIJEM	\N	185	38771	UROK	\N	\N
3596699	1999	1997-01-31	PRIJEM	\N	157	24588	UROK	\N	\N
3596700	1999	1997-02-28	PRIJEM	\N	139	32086	UROK	\N	\N
3596701	1999	1997-03-31	PRIJEM	\N	170	39016	UROK	\N	\N
3596702	1999	1997-04-30	PRIJEM	\N	187	42161	UROK	\N	\N
3596703	1999	1997-05-31	PRIJEM	\N	203	45824	UROK	\N	\N
3596704	1999	1997-06-30	PRIJEM	\N	226	51934	UROK	\N	\N
3596705	1999	1997-07-31	PRIJEM	\N	226	48719	UROK	\N	\N
3596706	1999	1997-08-31	PRIJEM	\N	218	48796	UROK	\N	\N
3596707	1999	1997-09-30	PRIJEM	\N	218	49574	UROK	\N	\N
3596708	1999	1997-10-31	PRIJEM	\N	217	48650	UROK	\N	\N
3596709	1999	1997-11-30	PRIJEM	\N	182	37672	UROK	\N	\N
3596710	1999	1997-12-31	PRIJEM	\N	209	49005	UROK	\N	\N
3596711	1999	1998-01-31	PRIJEM	\N	190	41754	UROK	\N	\N
3596712	1999	1998-02-28	PRIJEM	\N	227	48541	UROK	\N	\N
3596713	1999	1998-03-31	PRIJEM	\N	220	52120	UROK	\N	\N
3596714	1999	1998-04-30	PRIJEM	\N	231	54911	UROK	\N	\N
3596715	1999	1998-05-31	PRIJEM	\N	230	53300	UROK	\N	\N
3596716	1999	1998-06-30	PRIJEM	\N	242	56665	UROK	\N	\N
3596717	1999	1998-07-31	PRIJEM	\N	251	58076	UROK	\N	\N
3596718	1999	1998-08-31	PRIJEM	\N	227	53162	UROK	\N	\N
3596719	1999	1998-09-30	PRIJEM	\N	195	44236	UROK	\N	\N
3596720	1999	1998-10-31	PRIJEM	\N	172	40067	UROK	\N	\N
3596721	1999	1998-11-30	PRIJEM	\N	156	37982	UROK	\N	\N
3596722	1999	1998-12-31	PRIJEM	\N	177	41083	UROK	\N	\N
3596723	2000	1997-08-31	PRIJEM	\N	68	20195	UROK	\N	\N
3596724	2000	1997-09-30	PRIJEM	\N	157	42279	UROK	\N	\N
3596725	2000	1997-10-31	PRIJEM	\N	192	47097	UROK	\N	\N
3596726	2000	1997-11-30	PRIJEM	\N	214	52638	UROK	\N	\N
3596727	2000	1997-12-31	PRIJEM	\N	232	57925	UROK	\N	\N
3596728	2000	1998-01-31	PRIJEM	\N	197	37174	UROK	\N	\N
3596729	2000	1998-02-28	PRIJEM	\N	180	42826	UROK	\N	\N
3596730	2000	1998-03-31	PRIJEM	\N	194	47652	UROK	\N	\N
3596731	2000	1998-04-30	PRIJEM	\N	206	46650	UROK	\N	\N
3596732	2000	1998-05-31	PRIJEM	\N	211	50994	UROK	\N	\N
3596733	2000	1998-06-30	PRIJEM	\N	178	39857	UROK	\N	\N
3596734	2000	1998-07-31	PRIJEM	\N	197	47086	UROK	\N	\N
3596735	2000	1998-08-31	PRIJEM	\N	219	53390	UROK	\N	\N
3596736	2000	1998-09-30	PRIJEM	\N	240	59515	UROK	\N	\N
3596737	2000	1998-10-31	PRIJEM	\N	240	48981	UROK	\N	\N
3596738	2000	1998-11-30	PRIJEM	\N	242	51608	UROK	\N	\N
3596739	2000	1998-12-31	PRIJEM	\N	273	68320	UROK	\N	\N
3596740	2001	1994-06-30	PRIJEM	\N	78	43231	UROK	\N	\N
3596741	2001	1994-07-31	PRIJEM	\N	197	52530	UROK	\N	\N
3596742	2001	1994-08-31	PRIJEM	\N	234	60566	UROK	\N	\N
3596743	2001	1994-09-30	PRIJEM	\N	255	62223	UROK	\N	\N
3596744	2001	1994-10-31	PRIJEM	\N	276	43294	UROK	\N	\N
3596745	2001	1994-11-30	PRIJEM	\N	238	38412	UROK	\N	\N
3596746	2001	1994-12-31	PRIJEM	\N	243	52969	UROK	\N	\N
3596747	2001	1995-01-31	PRIJEM	\N	232	30665	UROK	\N	\N
3596748	2001	1995-02-28	PRIJEM	\N	182	41910	UROK	\N	\N
3596749	2001	1995-03-31	PRIJEM	\N	222	48995	UROK	\N	\N
3596750	2001	1995-04-30	PRIJEM	\N	244	53903	UROK	\N	\N
3596751	2001	1995-05-31	PRIJEM	\N	246	51212	UROK	\N	\N
3596752	2001	1995-06-30	PRIJEM	\N	213	45240	UROK	\N	\N
3596753	2001	1995-07-31	PRIJEM	\N	221	48424	UROK	\N	\N
3596754	2001	1995-08-31	PRIJEM	\N	224	40412	UROK	\N	\N
3596755	2001	1995-09-30	PRIJEM	\N	190	31265	UROK	\N	\N
3596756	2001	1995-10-31	PRIJEM	\N	186	41914	UROK	\N	\N
3596757	2001	1995-11-30	PRIJEM	\N	199	45577	UROK	\N	\N
3596758	2001	1995-12-31	PRIJEM	\N	227	37618	UROK	\N	\N
3596759	2001	1996-01-31	PRIJEM	\N	152	25134	UROK	\N	\N
3596760	2001	1996-02-29	PRIJEM	\N	143	29158	UROK	\N	\N
3596761	2001	1996-03-31	PRIJEM	\N	163	39384	UROK	\N	\N
3596762	2001	1996-04-30	PRIJEM	\N	179	33054	UROK	\N	\N
3596763	2001	1996-05-31	PRIJEM	\N	149	30666	UROK	\N	\N
3596764	2001	1996-06-30	PRIJEM	\N	190	41670	UROK	\N	\N
3596765	2001	1996-07-31	PRIJEM	\N	191	45824	UROK	\N	\N
3596766	2001	1996-08-31	PRIJEM	\N	182	38146	UROK	\N	\N
3596767	2001	1996-09-30	PRIJEM	\N	217	50526	UROK	\N	\N
3596768	2001	1996-10-31	PRIJEM	\N	234	56623	UROK	\N	\N
3596769	2001	1996-11-30	PRIJEM	\N	264	60981	UROK	\N	\N
3596770	2001	1996-12-31	PRIJEM	\N	363	69045	UROK	\N	\N
3596771	2001	1997-01-31	PRIJEM	\N	219	46627	UROK	\N	\N
3596772	2001	1997-02-28	PRIJEM	\N	231	60284	UROK	\N	\N
3596773	2001	1997-03-31	PRIJEM	\N	268	67256	UROK	\N	\N
3596774	2001	1997-04-30	PRIJEM	\N	320	67545	UROK	\N	\N
3596775	2001	1997-05-31	PRIJEM	\N	296	67514	UROK	\N	\N
3596776	2001	1997-06-30	PRIJEM	\N	342	86970	UROK	\N	\N
3596777	2001	1997-07-31	PRIJEM	\N	302	68936	UROK	\N	\N
3596778	2001	1997-08-31	PRIJEM	\N	258	48230	UROK	\N	\N
3596779	2001	1997-09-30	PRIJEM	\N	281	61475	UROK	\N	\N
3596780	2001	1997-10-31	PRIJEM	\N	268	48972	UROK	\N	\N
3596781	2001	1997-11-30	PRIJEM	\N	196	47375	UROK	\N	\N
3596782	2001	1997-12-31	PRIJEM	\N	322	68011	UROK	\N	\N
3596783	2001	1998-01-31	PRIJEM	\N	300	41275	UROK	\N	\N
3596784	2001	1998-02-28	PRIJEM	\N	257	59995	UROK	\N	\N
3596785	2001	1998-03-31	PRIJEM	\N	373	72631	UROK	\N	\N
3596786	2001	1998-04-30	PRIJEM	\N	382	76376	UROK	\N	\N
3596787	2001	1998-05-31	PRIJEM	\N	419	56959	UROK	\N	\N
3596788	2001	1998-06-30	PRIJEM	\N	311	62184	UROK	\N	\N
3596789	2001	1998-07-31	PRIJEM	\N	323	64871	UROK	\N	\N
3596790	2001	1998-08-31	PRIJEM	\N	319	66053	UROK	\N	\N
3596791	2001	1998-09-30	PRIJEM	\N	346	73662	UROK	\N	\N
3596792	2001	1998-10-31	PRIJEM	\N	214	47940	UROK	\N	\N
3596793	2001	1998-11-30	PRIJEM	\N	287	48750	UROK	\N	\N
3596794	2001	1998-12-31	PRIJEM	\N	331	86495	UROK	\N	\N
3596795	2002	1993-08-31	PRIJEM	\N	83	23723	UROK	\N	\N
3596796	2002	1993-09-30	PRIJEM	\N	106	26201	UROK	\N	\N
3596797	2002	1993-10-31	PRIJEM	\N	109	25907	UROK	\N	\N
3596798	2002	1993-11-30	PRIJEM	\N	111	26575	UROK	\N	\N
3596799	2002	1993-12-31	PRIJEM	\N	118	28451	UROK	\N	\N
3596800	2002	1994-01-31	PRIJEM	\N	90	17378	UROK	\N	\N
3596801	2002	1994-02-28	PRIJEM	\N	75	16051	UROK	\N	\N
3596802	2002	1994-03-31	PRIJEM	\N	74	18483	UROK	\N	\N
3596803	2002	1994-04-30	PRIJEM	\N	85	20925	UROK	\N	\N
3596804	2002	1994-05-31	PRIJEM	\N	90	20812	UROK	\N	\N
3596805	2002	1994-06-30	PRIJEM	\N	94	23264	UROK	\N	\N
3596806	2002	1994-07-31	PRIJEM	\N	103	21724	UROK	\N	\N
3596807	2002	1994-08-31	PRIJEM	\N	98	24179	UROK	\N	\N
3596808	2002	1994-09-30	PRIJEM	\N	106	25943	UROK	\N	\N
3596809	2002	1994-10-31	PRIJEM	\N	109	26510	UROK	\N	\N
3596810	2002	1994-11-30	PRIJEM	\N	118	28985	UROK	\N	\N
3596811	2002	1994-12-31	PRIJEM	\N	118	26860	UROK	\N	\N
3596812	2002	1995-01-31	PRIJEM	\N	105	17483	UROK	\N	\N
3596813	2002	1995-02-28	PRIJEM	\N	80	19920	UROK	\N	\N
3596814	2002	1995-03-31	PRIJEM	\N	90	22368	UROK	\N	\N
3596815	2002	1995-04-30	PRIJEM	\N	100	24825	UROK	\N	\N
3596816	2002	1995-05-31	PRIJEM	\N	111	27294	UROK	\N	\N
3596817	2002	1995-06-30	PRIJEM	\N	110	16200	UROK	\N	\N
3596818	2002	1995-07-31	PRIJEM	\N	69	15187	UROK	\N	\N
3596819	2002	1995-08-31	PRIJEM	\N	70	17615	UROK	\N	\N
3596820	2002	1995-09-30	PRIJEM	\N	80	20053	UROK	\N	\N
3596821	2002	1995-10-31	PRIJEM	\N	87	19297	UROK	\N	\N
3596822	2002	1995-11-30	PRIJEM	\N	82	18216	UROK	\N	\N
3596823	2002	1995-12-31	PRIJEM	\N	83	20656	UROK	\N	\N
3596824	2002	1996-01-31	PRIJEM	\N	75	15138	UROK	\N	\N
3596825	2002	1996-02-29	PRIJEM	\N	70	17565	UROK	\N	\N
3596826	2002	1996-03-31	PRIJEM	\N	80	20003	UROK	\N	\N
3596827	2002	1996-04-30	PRIJEM	\N	85	20045	UROK	\N	\N
3596828	2002	1996-05-31	PRIJEM	\N	85	19688	UROK	\N	\N
3596829	2002	1996-06-30	PRIJEM	\N	89	22134	UROK	\N	\N
3596830	2002	1996-07-31	PRIJEM	\N	99	24110	UROK	\N	\N
3596831	2002	1996-08-31	PRIJEM	\N	107	26574	UROK	\N	\N
3596832	2002	1996-09-30	PRIJEM	\N	117	29049	UROK	\N	\N
3596833	2002	1996-10-31	PRIJEM	\N	128	31534	UROK	\N	\N
3596834	2002	1996-11-30	PRIJEM	\N	138	34029	UROK	\N	\N
3596835	2002	1996-12-31	PRIJEM	\N	148	36534	UROK	\N	\N
3596836	2002	1997-01-31	PRIJEM	\N	137	30169	UROK	\N	\N
3596837	2002	1997-02-28	PRIJEM	\N	130	29297	UROK	\N	\N
3596838	2002	1997-03-31	PRIJEM	\N	128	31782	UROK	\N	\N
3596839	2002	1997-04-30	PRIJEM	\N	135	32515	UROK	\N	\N
3596840	2002	1997-05-31	PRIJEM	\N	132	31804	UROK	\N	\N
3596841	2002	1997-06-30	PRIJEM	\N	121	21883	UROK	\N	\N
3596842	2002	1997-07-31	PRIJEM	\N	97	24337	UROK	\N	\N
3596843	2002	1997-08-31	PRIJEM	\N	107	26802	UROK	\N	\N
3596844	2002	1997-09-30	PRIJEM	\N	117	29276	UROK	\N	\N
3596845	2002	1997-10-31	PRIJEM	\N	128	31761	UROK	\N	\N
3596846	2002	1997-11-30	PRIJEM	\N	134	30332	UROK	\N	\N
3596847	2002	1997-12-31	PRIJEM	\N	132	32821	UROK	\N	\N
3596848	2002	1998-01-31	PRIJEM	\N	115	17454	UROK	\N	\N
3596849	2002	1998-02-28	PRIJEM	\N	78	19889	UROK	\N	\N
3596850	2002	1998-03-31	PRIJEM	\N	88	22335	UROK	\N	\N
3596851	2002	1998-04-30	PRIJEM	\N	98	24790	UROK	\N	\N
3596852	2002	1998-05-31	PRIJEM	\N	108	26775	UROK	\N	\N
3596853	2002	1998-06-30	PRIJEM	\N	112	27594	UROK	\N	\N
3596854	2002	1998-07-31	PRIJEM	\N	120	30071	UROK	\N	\N
3596855	2002	1998-08-31	PRIJEM	\N	130	32559	UROK	\N	\N
3596856	2002	1998-09-30	PRIJEM	\N	133	31609	UROK	\N	\N
3596857	2002	1998-10-31	PRIJEM	\N	136	34103	UROK	\N	\N
3596858	2002	1998-11-30	PRIJEM	\N	147	36607	UROK	\N	\N
3596859	2002	1998-12-31	PRIJEM	\N	157	39121	UROK	\N	\N
3596860	2003	1995-12-31	PRIJEM	\N	32	47482	UROK	\N	\N
3596861	2003	1996-01-31	PRIJEM	\N	205	56954	UROK	\N	\N
3596862	2003	1996-02-29	PRIJEM	\N	243	66564	UROK	\N	\N
3596863	2003	1996-03-31	PRIJEM	\N	372	50903	UROK	\N	\N
3596864	2003	1996-04-30	PRIJEM	\N	224	67194	UROK	\N	\N
3596865	2003	1996-05-31	PRIJEM	\N	321	58990	UROK	\N	\N
3596866	2003	1996-06-30	PRIJEM	\N	395	55520	UROK	\N	\N
3596867	2003	1996-07-31	PRIJEM	\N	245	69218	UROK	\N	\N
3596868	2003	1996-08-31	PRIJEM	\N	201	35671	UROK	\N	\N
3596869	2003	1996-09-30	PRIJEM	\N	190	50105	UROK	\N	\N
3596870	2003	1996-10-31	PRIJEM	\N	279	57636	UROK	\N	\N
3596871	2003	1996-11-30	PRIJEM	\N	251	65739	UROK	\N	\N
3596872	2003	1996-12-31	PRIJEM	\N	390	71464	UROK	\N	\N
3596873	2003	1997-01-31	PRIJEM	\N	256	38470	UROK	\N	\N
3596874	2003	1997-02-28	PRIJEM	\N	166	48122	UROK	\N	\N
3596875	2003	1997-03-31	PRIJEM	\N	254	51146	UROK	\N	\N
3596876	2003	1997-04-30	PRIJEM	\N	248	58070	UROK	\N	\N
3596877	2003	1997-05-31	PRIJEM	\N	254	61718	UROK	\N	\N
3596878	2003	1997-06-30	PRIJEM	\N	280	61333	UROK	\N	\N
3596879	2003	1997-07-31	PRIJEM	\N	264	54355	UROK	\N	\N
3596880	2003	1997-08-31	PRIJEM	\N	262	70696	UROK	\N	\N
3596881	2003	1997-09-30	PRIJEM	\N	322	70834	UROK	\N	\N
3596882	2003	1997-10-31	PRIJEM	\N	250	53851	UROK	\N	\N
3596883	2003	1997-11-30	PRIJEM	\N	270	59449	UROK	\N	\N
3596884	2003	1997-12-31	PRIJEM	\N	322	63906	UROK	\N	\N
3596885	2003	1998-01-31	PRIJEM	\N	303	47061	UROK	\N	\N
3596886	2003	1998-02-28	PRIJEM	\N	249	61767	UROK	\N	\N
3596887	2003	1998-03-31	PRIJEM	\N	290	78110	UROK	\N	\N
3596888	2003	1998-04-30	PRIJEM	\N	257	50619	UROK	\N	\N
3596889	2003	1998-05-31	PRIJEM	\N	239	64211	UROK	\N	\N
3596890	2003	1998-06-30	PRIJEM	\N	268	58214	UROK	\N	\N
3596891	2003	1998-07-31	PRIJEM	\N	267	68011	UROK	\N	\N
3596892	2003	1998-08-31	PRIJEM	\N	193	34218	UROK	\N	\N
3596893	2003	1998-09-30	PRIJEM	\N	191	49861	UROK	\N	\N
3596894	2003	1998-10-31	PRIJEM	\N	242	61355	UROK	\N	\N
3596895	2003	1998-11-30	PRIJEM	\N	286	64894	UROK	\N	\N
3596896	2003	1998-12-31	PRIJEM	\N	304	68334	UROK	\N	\N
3596897	2004	1996-08-31	PRIJEM	\N	88	25197	UROK	\N	\N
3596898	2004	1996-09-30	PRIJEM	\N	191	50097	UROK	\N	\N
3596899	2004	1996-10-31	PRIJEM	\N	262	65668	UROK	\N	\N
3596900	2004	1996-11-30	PRIJEM	\N	285	69362	UROK	\N	\N
3596901	2004	1996-12-31	PRIJEM	\N	339	75823	UROK	\N	\N
3596902	2004	1997-01-31	PRIJEM	\N	235	47600	UROK	\N	\N
3596903	2004	1997-02-28	PRIJEM	\N	234	55456	UROK	\N	\N
3596904	2004	1997-03-31	PRIJEM	\N	270	61648	UROK	\N	\N
3596905	2004	1997-04-30	PRIJEM	\N	263	63834	UROK	\N	\N
3596906	2004	1997-05-31	PRIJEM	\N	264	60020	UROK	\N	\N
3596907	2004	1997-06-30	PRIJEM	\N	219	46166	UROK	\N	\N
3596908	2004	1997-07-31	PRIJEM	\N	220	44088	UROK	\N	\N
3596909	2004	1997-08-31	PRIJEM	\N	236	45327	UROK	\N	\N
3596910	2004	1997-09-30	PRIJEM	\N	249	51298	UROK	\N	\N
3596911	2004	1997-10-31	PRIJEM	\N	288	56708	UROK	\N	\N
3596912	2004	1997-11-30	PRIJEM	\N	289	58100	UROK	\N	\N
3596913	2004	1997-12-31	PRIJEM	\N	327	60174	UROK	\N	\N
3596914	2004	1998-01-31	PRIJEM	\N	263	46839	UROK	\N	\N
3596915	2004	1998-02-28	PRIJEM	\N	247	45808	UROK	\N	\N
3596916	2004	1998-03-31	PRIJEM	\N	239	43170	UROK	\N	\N
3596917	2004	1998-04-30	PRIJEM	\N	232	43824	UROK	\N	\N
3596918	2004	1998-05-31	PRIJEM	\N	243	43389	UROK	\N	\N
3596919	2004	1998-06-30	PRIJEM	\N	226	46142	UROK	\N	\N
3596920	2004	1998-07-31	PRIJEM	\N	258	50422	UROK	\N	\N
3596921	2004	1998-08-31	PRIJEM	\N	262	57507	UROK	\N	\N
3596922	2004	1998-09-30	PRIJEM	\N	303	63432	UROK	\N	\N
3596923	2004	1998-10-31	PRIJEM	\N	325	68379	UROK	\N	\N
3596924	2004	1998-11-30	PRIJEM	\N	328	70329	UROK	\N	\N
3596925	2004	1998-12-31	PRIJEM	\N	401	96456	UROK	\N	\N
3596926	2005	1997-06-30	PRIJEM	\N	37	12549	UROK	\N	\N
3596927	2005	1997-07-31	PRIJEM	\N	68	17828	UROK	\N	\N
3596928	2005	1997-08-31	PRIJEM	\N	82	20522	UROK	\N	\N
3596929	2005	1997-09-30	PRIJEM	\N	101	25636	UROK	\N	\N
3596930	2005	1997-10-31	PRIJEM	\N	119	29193	UROK	\N	\N
3596931	2005	1997-11-30	PRIJEM	\N	122	26739	UROK	\N	\N
3596932	2005	1997-12-31	PRIJEM	\N	120	27562	UROK	\N	\N
3596933	2005	1998-01-31	PRIJEM	\N	113	24239	UROK	\N	\N
3596934	2005	1998-02-28	PRIJEM	\N	130	31393	UROK	\N	\N
3596935	2005	1998-03-31	PRIJEM	\N	127	29743	UROK	\N	\N
3596936	2005	1998-04-30	PRIJEM	\N	144	35150	UROK	\N	\N
3596937	2005	1998-05-31	PRIJEM	\N	151	35155	UROK	\N	\N
3596938	2005	1998-06-30	PRIJEM	\N	113	24391	UROK	\N	\N
3596939	2005	1998-07-31	PRIJEM	\N	105	25020	UROK	\N	\N
3596940	2005	1998-08-31	PRIJEM	\N	116	27899	UROK	\N	\N
3596941	2005	1998-09-30	PRIJEM	\N	121	29044	UROK	\N	\N
3596942	2005	1998-10-31	PRIJEM	\N	115	26983	UROK	\N	\N
3596943	2005	1998-11-30	PRIJEM	\N	105	24311	UROK	\N	\N
3596944	2005	1998-12-31	PRIJEM	\N	94	21688	UROK	\N	\N
3596945	2006	1997-11-30	PRIJEM	\N	4	27009	UROK	\N	\N
3596946	2006	1997-12-31	PRIJEM	\N	115	28535	UROK	\N	\N
3596947	2006	1998-01-31	PRIJEM	\N	97	15233	UROK	\N	\N
3596948	2006	1998-02-28	PRIJEM	\N	65	14449	UROK	\N	\N
3596949	2006	1998-03-31	PRIJEM	\N	56	14697	UROK	\N	\N
3596950	2006	1998-04-30	PRIJEM	\N	64	13192	UROK	\N	\N
3596951	2006	1998-05-31	PRIJEM	\N	59	15363	UROK	\N	\N
3596952	2006	1998-06-30	PRIJEM	\N	67	15492	UROK	\N	\N
3596953	2006	1998-07-31	PRIJEM	\N	69	17672	UROK	\N	\N
3596954	2006	1998-08-31	PRIJEM	\N	78	19861	UROK	\N	\N
3596955	2006	1998-09-30	PRIJEM	\N	87	22059	UROK	\N	\N
3596956	2006	1998-10-31	PRIJEM	\N	96	24266	UROK	\N	\N
3596957	2006	1998-11-30	PRIJEM	\N	104	23761	UROK	\N	\N
3596958	2006	1998-12-31	PRIJEM	\N	100	24672	UROK	\N	\N
3596959	2008	1993-05-31	PRIJEM	\N	37	17177	UROK	\N	\N
3596960	2008	1993-06-30	PRIJEM	\N	105	32442	UROK	\N	\N
3596961	2008	1993-07-31	PRIJEM	\N	140	34622	UROK	\N	\N
3596962	2008	1993-08-31	PRIJEM	\N	143	34305	UROK	\N	\N
3596963	2008	1993-09-30	PRIJEM	\N	148	33809	UROK	\N	\N
3596964	2008	1993-10-31	PRIJEM	\N	139	33115	UROK	\N	\N
3596965	2008	1993-11-30	PRIJEM	\N	139	32181	UROK	\N	\N
3596966	2008	1993-12-31	PRIJEM	\N	140	29509	UROK	\N	\N
3596967	2008	1994-01-31	PRIJEM	\N	108	18344	UROK	\N	\N
3596968	2008	1994-02-28	PRIJEM	\N	99	26070	UROK	\N	\N
3596969	2008	1994-03-31	PRIJEM	\N	119	28616	UROK	\N	\N
3596970	2008	1994-04-30	PRIJEM	\N	125	30069	UROK	\N	\N
3596971	2008	1994-05-31	PRIJEM	\N	122	27758	UROK	\N	\N
3596972	2008	1994-06-30	PRIJEM	\N	116	29622	UROK	\N	\N
3596973	2008	1994-07-31	PRIJEM	\N	138	34287	UROK	\N	\N
3596974	2008	1994-08-31	PRIJEM	\N	148	36263	UROK	\N	\N
3596975	2008	1994-09-30	PRIJEM	\N	160	38910	UROK	\N	\N
3596976	2008	1994-10-31	PRIJEM	\N	175	43612	UROK	\N	\N
3596977	2008	1994-11-30	PRIJEM	\N	189	46928	UROK	\N	\N
3596978	2008	1994-12-31	PRIJEM	\N	206	52022	UROK	\N	\N
3596979	2008	1995-01-31	PRIJEM	\N	173	23902	UROK	\N	\N
3596980	2008	1995-02-28	PRIJEM	\N	127	33656	UROK	\N	\N
3596981	2008	1995-03-31	PRIJEM	\N	161	41045	UROK	\N	\N
3596982	2008	1995-04-30	PRIJEM	\N	197	49869	UROK	\N	\N
3596983	2008	1995-05-31	PRIJEM	\N	206	46702	UROK	\N	\N
3596984	2008	1995-06-30	PRIJEM	\N	224	57573	UROK	\N	\N
3596985	2008	1995-07-31	PRIJEM	\N	223	54523	UROK	\N	\N
3596986	2008	1995-08-31	PRIJEM	\N	226	55876	UROK	\N	\N
3596987	2008	1995-09-30	PRIJEM	\N	222	54726	UROK	\N	\N
3596988	2008	1995-10-31	PRIJEM	\N	219	49292	UROK	\N	\N
3596989	2008	1995-11-30	PRIJEM	\N	210	50230	UROK	\N	\N
3596990	2008	1995-12-31	PRIJEM	\N	229	54666	UROK	\N	\N
3596991	2008	1996-01-31	PRIJEM	\N	176	39430	UROK	\N	\N
3596992	2008	1996-02-29	PRIJEM	\N	187	47244	UROK	\N	\N
3596993	2008	1996-03-31	PRIJEM	\N	210	53441	UROK	\N	\N
3596994	2008	1996-04-30	PRIJEM	\N	240	59709	UROK	\N	\N
3596995	2008	1996-05-31	PRIJEM	\N	258	57014	UROK	\N	\N
3596996	2008	1996-06-30	PRIJEM	\N	201	50062	UROK	\N	\N
3596997	2008	1996-07-31	PRIJEM	\N	231	57700	UROK	\N	\N
3596998	2008	1996-08-31	PRIJEM	\N	258	62246	UROK	\N	\N
3596999	2008	1996-09-30	PRIJEM	\N	280	65953	UROK	\N	\N
3597000	2008	1996-10-31	PRIJEM	\N	287	65147	UROK	\N	\N
3597001	2008	1996-11-30	PRIJEM	\N	288	64463	UROK	\N	\N
3597002	2008	1996-12-31	PRIJEM	\N	294	62605	UROK	\N	\N
3597003	2008	1997-01-31	PRIJEM	\N	239	54711	UROK	\N	\N
3597004	2008	1997-02-28	PRIJEM	\N	248	59886	UROK	\N	\N
3597005	2008	1997-03-31	PRIJEM	\N	272	67886	UROK	\N	\N
3597006	2008	1997-04-30	PRIJEM	\N	302	72815	UROK	\N	\N
3597007	2008	1997-05-31	PRIJEM	\N	318	72961	UROK	\N	\N
3597008	2008	1997-06-30	PRIJEM	\N	290	59498	UROK	\N	\N
3597009	2008	1997-07-31	PRIJEM	\N	270	67295	UROK	\N	\N
3597010	2008	1997-08-31	PRIJEM	\N	287	68629	UROK	\N	\N
3597011	2008	1997-09-30	PRIJEM	\N	306	75562	UROK	\N	\N
3597012	2008	1997-10-31	PRIJEM	\N	332	80722	UROK	\N	\N
3597013	2008	1997-11-30	PRIJEM	\N	344	79493	UROK	\N	\N
3597014	2008	1997-12-31	PRIJEM	\N	361	87901	UROK	\N	\N
3597015	2008	1998-01-31	PRIJEM	\N	338	78847	UROK	\N	\N
3597016	2008	1998-02-28	PRIJEM	\N	348	86622	UROK	\N	\N
3597017	2008	1998-03-31	PRIJEM	\N	376	90925	UROK	\N	\N
3597018	2008	1998-04-30	PRIJEM	\N	385	90337	UROK	\N	\N
3597019	2008	1998-05-31	PRIJEM	\N	378	87042	UROK	\N	\N
3597020	2008	1998-06-30	PRIJEM	\N	371	83881	UROK	\N	\N
3597021	2008	1998-07-31	PRIJEM	\N	357	85265	UROK	\N	\N
3597022	2008	1998-08-31	PRIJEM	\N	357	87149	UROK	\N	\N
3597023	2008	1998-09-30	PRIJEM	\N	369	88946	UROK	\N	\N
3597024	2008	1998-10-31	PRIJEM	\N	380	92453	UROK	\N	\N
3597025	2008	1998-11-30	PRIJEM	\N	374	86655	UROK	\N	\N
3597026	2008	1998-12-31	PRIJEM	\N	378	90720	UROK	\N	\N
3597027	2009	1994-05-31	PRIJEM	\N	56	23299	UROK	\N	\N
3597028	2009	1994-06-30	PRIJEM	\N	139	40152	UROK	\N	\N
3597029	2009	1994-07-31	PRIJEM	\N	173	42668	UROK	\N	\N
3597030	2009	1994-08-31	PRIJEM	\N	240	47351	UROK	\N	\N
3597031	2009	1994-09-30	PRIJEM	\N	254	58548	UROK	\N	\N
3597032	2009	1994-10-31	PRIJEM	\N	239	57133	UROK	\N	\N
3597033	2009	1994-11-30	PRIJEM	\N	249	62987	UROK	\N	\N
3597034	2009	1994-12-31	PRIJEM	\N	279	70382	UROK	\N	\N
3597035	2009	1995-01-31	PRIJEM	\N	253	55620	UROK	\N	\N
3597036	2009	1995-02-28	PRIJEM	\N	240	62626	UROK	\N	\N
3597037	2009	1995-03-31	PRIJEM	\N	270	67982	UROK	\N	\N
3597038	2009	1995-04-30	PRIJEM	\N	279	70126	UROK	\N	\N
3597039	2009	1995-05-31	PRIJEM	\N	282	69613	UROK	\N	\N
3597040	2009	1995-06-30	PRIJEM	\N	278	40108	UROK	\N	\N
3597041	2009	1995-07-31	PRIJEM	\N	210	57283	UROK	\N	\N
3597042	2009	1995-08-31	PRIJEM	\N	248	64497	UROK	\N	\N
3597043	2009	1995-09-30	PRIJEM	\N	258	62721	UROK	\N	\N
3597044	2009	1995-10-31	PRIJEM	\N	266	68452	UROK	\N	\N
3597045	2009	1995-11-30	PRIJEM	\N	265	66583	UROK	\N	\N
3597046	2009	1995-12-31	PRIJEM	\N	292	73091	UROK	\N	\N
3597047	2009	1996-01-31	PRIJEM	\N	248	63344	UROK	\N	\N
3597048	2009	1996-02-29	PRIJEM	\N	255	63885	UROK	\N	\N
3597049	2009	1996-03-31	PRIJEM	\N	265	67355	UROK	\N	\N
3597050	2009	1996-04-30	PRIJEM	\N	277	70697	UROK	\N	\N
3597051	2009	1996-05-31	PRIJEM	\N	286	72448	UROK	\N	\N
3597052	2009	1996-06-30	PRIJEM	\N	271	52975	UROK	\N	\N
3597053	2009	1996-07-31	PRIJEM	\N	239	63180	UROK	\N	\N
3597054	2009	1996-08-31	PRIJEM	\N	259	67205	UROK	\N	\N
3597055	2009	1996-09-30	PRIJEM	\N	250	67420	UROK	\N	\N
3597056	2009	1996-10-31	PRIJEM	\N	246	49592	UROK	\N	\N
3597057	2009	1996-11-30	PRIJEM	\N	248	50405	UROK	\N	\N
3597058	2009	1996-12-31	PRIJEM	\N	268	56409	UROK	\N	\N
3597059	2009	1997-01-31	PRIJEM	\N	235	47669	UROK	\N	\N
3597060	2009	1997-02-28	PRIJEM	\N	238	49472	UROK	\N	\N
3597061	2009	1997-03-31	PRIJEM	\N	245	48583	UROK	\N	\N
3597062	2009	1997-04-30	PRIJEM	\N	235	48284	UROK	\N	\N
3597063	2009	1997-05-31	PRIJEM	\N	225	45974	UROK	\N	\N
3597064	2009	1997-06-30	PRIJEM	\N	221	39891	UROK	\N	\N
3597065	2009	1997-07-31	PRIJEM	\N	204	46161	UROK	\N	\N
3597066	2009	1997-08-31	PRIJEM	\N	227	50953	UROK	\N	\N
3597067	2009	1997-09-30	PRIJEM	\N	252	52050	UROK	\N	\N
3597068	2009	1997-10-31	PRIJEM	\N	244	49919	UROK	\N	\N
3597069	2009	1997-11-30	PRIJEM	\N	239	54523	UROK	\N	\N
3597070	2009	1997-12-31	PRIJEM	\N	270	58329	UROK	\N	\N
3597071	2009	1998-01-31	PRIJEM	\N	252	40907	UROK	\N	\N
3597072	2009	1998-02-28	PRIJEM	\N	201	48873	UROK	\N	\N
3597073	2009	1998-03-31	PRIJEM	\N	232	52871	UROK	\N	\N
3597074	2009	1998-04-30	PRIJEM	\N	239	54275	UROK	\N	\N
3597075	2009	1998-05-31	PRIJEM	\N	239	51280	UROK	\N	\N
3597076	2009	1998-06-30	PRIJEM	\N	259	59376	UROK	\N	\N
3597077	2009	1998-07-31	PRIJEM	\N	262	56703	UROK	\N	\N
3597078	2009	1998-08-31	PRIJEM	\N	260	62128	UROK	\N	\N
3597079	2009	1998-09-30	PRIJEM	\N	277	65371	UROK	\N	\N
3597080	2009	1998-10-31	PRIJEM	\N	281	62717	UROK	\N	\N
3597081	2009	1998-11-30	PRIJEM	\N	262	56344	UROK	\N	\N
3597082	2009	1998-12-31	PRIJEM	\N	257	58897	UROK	\N	\N
3597083	2010	1994-05-31	PRIJEM	\N	62	28157	UROK	\N	\N
3597084	2010	1994-06-30	PRIJEM	\N	112	22914	UROK	\N	\N
3597085	2010	1994-07-31	PRIJEM	\N	101	24940	UROK	\N	\N
3597086	2010	1994-08-31	PRIJEM	\N	109	26093	UROK	\N	\N
3597087	2010	1994-09-30	PRIJEM	\N	115	28132	UROK	\N	\N
3597088	2010	1994-10-31	PRIJEM	\N	121	28398	UROK	\N	\N
3597089	2010	1994-11-30	PRIJEM	\N	124	30446	UROK	\N	\N
3597090	2010	1994-12-31	PRIJEM	\N	128	30798	UROK	\N	\N
3597091	2010	1995-01-31	PRIJEM	\N	121	20314	UROK	\N	\N
3597092	2010	1995-02-28	PRIJEM	\N	89	21767	UROK	\N	\N
3597093	2010	1995-03-31	PRIJEM	\N	97	23788	UROK	\N	\N
3597094	2010	1995-04-30	PRIJEM	\N	105	25817	UROK	\N	\N
3597095	2010	1995-05-31	PRIJEM	\N	113	27855	UROK	\N	\N
3597096	2010	1995-06-30	PRIJEM	\N	90	14270	UROK	\N	\N
3597097	2010	1995-07-31	PRIJEM	\N	65	16259	UROK	\N	\N
3597098	2010	1995-08-31	PRIJEM	\N	67	15370	UROK	\N	\N
3597099	2010	1995-09-30	PRIJEM	\N	70	17364	UROK	\N	\N
3597100	2010	1995-10-31	PRIJEM	\N	78	19367	UROK	\N	\N
3597101	2010	1995-11-30	PRIJEM	\N	85	20736	UROK	\N	\N
3597102	2010	1995-12-31	PRIJEM	\N	82	19673	UROK	\N	\N
3597103	2010	1996-01-31	PRIJEM	\N	69	14257	UROK	\N	\N
3597104	2010	1996-02-29	PRIJEM	\N	65	16246	UROK	\N	\N
3597105	2010	1996-03-31	PRIJEM	\N	73	18243	UROK	\N	\N
3597106	2010	1996-04-30	PRIJEM	\N	77	19205	UROK	\N	\N
3597107	2010	1996-05-31	PRIJEM	\N	76	17285	UROK	\N	\N
3597108	2010	1996-06-30	PRIJEM	\N	77	19287	UROK	\N	\N
3597109	2010	1996-07-31	PRIJEM	\N	86	21297	UROK	\N	\N
3597110	2010	1996-08-31	PRIJEM	\N	94	23315	UROK	\N	\N
3597111	2010	1996-09-30	PRIJEM	\N	102	25342	UROK	\N	\N
3597112	2010	1996-10-31	PRIJEM	\N	98	23444	UROK	\N	\N
3597113	2010	1996-11-30	PRIJEM	\N	100	21949	UROK	\N	\N
3597114	2010	1996-12-31	PRIJEM	\N	89	21342	UROK	\N	\N
3597115	2010	1997-01-31	PRIJEM	\N	68	14774	UROK	\N	\N
3597116	2010	1997-02-28	PRIJEM	\N	66	16765	UROK	\N	\N
3597117	2010	1997-03-31	PRIJEM	\N	75	18764	UROK	\N	\N
3597118	2010	1997-04-30	PRIJEM	\N	83	20371	UROK	\N	\N
3597119	2010	1997-05-31	PRIJEM	\N	90	22385	UROK	\N	\N
3597120	2010	1997-06-30	PRIJEM	\N	90	16300	UROK	\N	\N
3597121	2010	1997-07-31	PRIJEM	\N	73	18297	UROK	\N	\N
3597122	2010	1997-08-31	PRIJEM	\N	79	18700	UROK	\N	\N
3597123	2010	1997-09-30	PRIJEM	\N	80	19025	UROK	\N	\N
3597124	2010	1997-10-31	PRIJEM	\N	84	21033	UROK	\N	\N
3597125	2010	1997-11-30	PRIJEM	\N	92	22169	UROK	\N	\N
3597126	2010	1997-12-31	PRIJEM	\N	94	21078	UROK	\N	\N
3597127	2010	1998-01-31	PRIJEM	\N	70	15792	UROK	\N	\N
3597128	2010	1998-02-28	PRIJEM	\N	70	17787	UROK	\N	\N
3597129	2010	1998-03-31	PRIJEM	\N	79	19789	UROK	\N	\N
3597130	2010	1998-04-30	PRIJEM	\N	87	20440	UROK	\N	\N
3597131	2010	1998-05-31	PRIJEM	\N	89	22454	UROK	\N	\N
3597132	2010	1998-06-30	PRIJEM	\N	81	17900	UROK	\N	\N
3597133	2010	1998-07-31	PRIJEM	\N	79	19903	UROK	\N	\N
3597134	2010	1998-08-31	PRIJEM	\N	87	21914	UROK	\N	\N
3597135	2010	1998-09-30	PRIJEM	\N	95	23934	UROK	\N	\N
3597136	2010	1998-10-31	PRIJEM	\N	101	22599	UROK	\N	\N
3597137	2010	1998-11-30	PRIJEM	\N	98	24621	UROK	\N	\N
3597138	2010	1998-12-31	PRIJEM	\N	106	26151	UROK	\N	\N
3597139	2011	1993-08-31	PRIJEM	\N	51	13721	UROK	\N	\N
3597140	2011	1993-09-30	PRIJEM	\N	62	14775	UROK	\N	\N
3597141	2011	1993-10-31	PRIJEM	\N	66	15832	UROK	\N	\N
3597142	2011	1993-11-30	PRIJEM	\N	70	15843	UROK	\N	\N
3597143	2011	1993-12-31	PRIJEM	\N	66	15250	UROK	\N	\N
3597144	2011	1994-01-31	PRIJEM	\N	56	12458	UROK	\N	\N
3597145	2011	1994-02-28	PRIJEM	\N	57	13506	UROK	\N	\N
3597146	2011	1994-03-31	PRIJEM	\N	60	14408	UROK	\N	\N
3597147	2011	1994-04-30	PRIJEM	\N	65	15464	UROK	\N	\N
3597148	2011	1994-05-31	PRIJEM	\N	69	16524	UROK	\N	\N
3597149	2011	1994-06-30	PRIJEM	\N	59	13284	UROK	\N	\N
3597150	2011	1994-07-31	PRIJEM	\N	60	14335	UROK	\N	\N
3597151	2011	1994-08-31	PRIJEM	\N	64	15391	UROK	\N	\N
3597152	2011	1994-09-30	PRIJEM	\N	69	16451	UROK	\N	\N
3597153	2011	1994-10-31	PRIJEM	\N	71	16313	UROK	\N	\N
3597154	2011	1994-11-30	PRIJEM	\N	72	16746	UROK	\N	\N
3597155	2011	1994-12-31	PRIJEM	\N	66	14824	UROK	\N	\N
3597156	2011	1995-01-31	PRIJEM	\N	61	13086	UROK	\N	\N
3597157	2011	1995-02-28	PRIJEM	\N	59	14137	UROK	\N	\N
3597158	2011	1995-03-31	PRIJEM	\N	63	15191	UROK	\N	\N
3597159	2011	1995-04-30	PRIJEM	\N	66	15048	UROK	\N	\N
3597160	2011	1995-05-31	PRIJEM	\N	67	16107	UROK	\N	\N
3597161	2011	1995-06-30	PRIJEM	\N	72	17170	UROK	\N	\N
3597162	2011	1995-07-31	PRIJEM	\N	69	15430	UROK	\N	\N
3597163	2011	1995-08-31	PRIJEM	\N	64	14805	UROK	\N	\N
3597164	2011	1995-09-30	PRIJEM	\N	62	14459	UROK	\N	\N
3597165	2011	1995-10-31	PRIJEM	\N	63	14813	UROK	\N	\N
3597166	2011	1995-11-30	PRIJEM	\N	62	14566	UROK	\N	\N
3597167	2011	1995-12-31	PRIJEM	\N	62	14720	UROK	\N	\N
3597168	2011	1996-01-31	PRIJEM	\N	52	11613	UROK	\N	\N
3597169	2011	1996-02-29	PRIJEM	\N	53	12657	UROK	\N	\N
3597170	2011	1996-03-31	PRIJEM	\N	56	13505	UROK	\N	\N
3597171	2011	1996-04-30	PRIJEM	\N	51	11648	UROK	\N	\N
3597172	2011	1996-05-31	PRIJEM	\N	53	12692	UROK	\N	\N
3597173	2011	1996-06-30	PRIJEM	\N	46	10298	UROK	\N	\N
3597174	2011	1996-07-31	PRIJEM	\N	47	11337	UROK	\N	\N
3597175	2011	1996-08-31	PRIJEM	\N	43	9871	UROK	\N	\N
3597176	2011	1996-09-30	PRIJEM	\N	45	10907	UROK	\N	\N
3597177	2011	1996-10-31	PRIJEM	\N	49	11948	UROK	\N	\N
3597178	2011	1996-11-30	PRIJEM	\N	54	12993	UROK	\N	\N
3597179	2011	1996-12-31	PRIJEM	\N	58	14042	UROK	\N	\N
3597180	2011	1997-01-31	PRIJEM	\N	58	13832	UROK	\N	\N
3597181	2011	1997-02-28	PRIJEM	\N	61	14885	UROK	\N	\N
3597182	2011	1997-03-31	PRIJEM	\N	66	15942	UROK	\N	\N
3597183	2011	1997-04-30	PRIJEM	\N	69	15742	UROK	\N	\N
3597184	2011	1997-05-31	PRIJEM	\N	69	16803	UROK	\N	\N
3597185	2011	1997-06-30	PRIJEM	\N	74	17868	UROK	\N	\N
3597186	2011	1997-07-31	PRIJEM	\N	76	17555	UROK	\N	\N
3597187	2011	1997-08-31	PRIJEM	\N	77	18623	UROK	\N	\N
3597188	2011	1997-09-30	PRIJEM	\N	81	19695	UROK	\N	\N
3597189	2011	1997-10-31	PRIJEM	\N	86	20772	UROK	\N	\N
3597190	2011	1997-11-30	PRIJEM	\N	90	21853	UROK	\N	\N
3597191	2011	1997-12-31	PRIJEM	\N	94	22639	UROK	\N	\N
3597192	2011	1998-01-31	PRIJEM	\N	85	18285	UROK	\N	\N
3597193	2011	1998-02-28	PRIJEM	\N	78	18784	UROK	\N	\N
3597194	2011	1998-03-31	PRIJEM	\N	80	19195	UROK	\N	\N
3597195	2011	1998-04-30	PRIJEM	\N	83	20270	UROK	\N	\N
3597196	2011	1998-05-31	PRIJEM	\N	88	21349	UROK	\N	\N
3597197	2011	1998-06-30	PRIJEM	\N	84	18944	UROK	\N	\N
3597198	2011	1998-07-31	PRIJEM	\N	82	20018	UROK	\N	\N
3597199	2011	1998-08-31	PRIJEM	\N	85	19684	UROK	\N	\N
3597200	2011	1998-09-30	PRIJEM	\N	85	20760	UROK	\N	\N
3597201	2011	1998-10-31	PRIJEM	\N	89	21420	UROK	\N	\N
3597202	2011	1998-11-30	PRIJEM	\N	92	22503	UROK	\N	\N
3597203	2011	1998-12-31	PRIJEM	\N	96	23230	UROK	\N	\N
3597204	2012	1996-09-30	PRIJEM	\N	90	31051	UROK	\N	\N
3597205	2012	1996-10-31	PRIJEM	\N	138	34092	UROK	\N	\N
3597206	2012	1996-11-30	PRIJEM	\N	139	32413	UROK	\N	\N
3597207	2012	1996-12-31	PRIJEM	\N	141	34156	UROK	\N	\N
3597208	2012	1997-01-31	PRIJEM	\N	135	26283	UROK	\N	\N
3597209	2012	1997-02-28	PRIJEM	\N	118	29303	UROK	\N	\N
3597210	2012	1997-03-31	PRIJEM	\N	132	31838	UROK	\N	\N
3597211	2012	1997-04-30	PRIJEM	\N	138	33838	UROK	\N	\N
3597212	2012	1997-05-31	PRIJEM	\N	146	35126	UROK	\N	\N
3597213	2012	1997-06-30	PRIJEM	\N	137	31966	UROK	\N	\N
3597214	2012	1997-07-31	PRIJEM	\N	142	35010	UROK	\N	\N
3597215	2012	1997-08-31	PRIJEM	\N	149	35581	UROK	\N	\N
3597216	2012	1997-09-30	PRIJEM	\N	157	38640	UROK	\N	\N
3597217	2012	1997-10-31	PRIJEM	\N	154	36916	UROK	\N	\N
3597218	2012	1997-11-30	PRIJEM	\N	161	36280	UROK	\N	\N
3597219	2012	1997-12-31	PRIJEM	\N	159	37591	UROK	\N	\N
3597220	2012	1998-01-31	PRIJEM	\N	147	31710	UROK	\N	\N
3597221	2012	1998-02-28	PRIJEM	\N	137	29029	UROK	\N	\N
3597222	2012	1998-03-31	PRIJEM	\N	128	28659	UROK	\N	\N
3597223	2012	1998-04-30	PRIJEM	\N	124	24386	UROK	\N	\N
3597224	2012	1998-05-31	PRIJEM	\N	110	25618	UROK	\N	\N
3597225	2012	1998-06-30	PRIJEM	\N	93	16494	UROK	\N	\N
3597226	2012	1998-07-31	PRIJEM	\N	73	14170	UROK	\N	\N
3597227	2012	1998-08-31	PRIJEM	\N	64	13536	UROK	\N	\N
3597228	2012	1998-09-30	PRIJEM	\N	64	16503	UROK	\N	\N
3597229	2012	1998-10-31	PRIJEM	\N	73	15979	UROK	\N	\N
3597230	2012	1998-11-30	PRIJEM	\N	74	18955	UROK	\N	\N
3597231	2012	1998-12-31	PRIJEM	\N	85	19992	UROK	\N	\N
3597232	2015	1995-12-31	PRIJEM	\N	16	16920	UROK	\N	\N
3597233	2015	1996-01-31	PRIJEM	\N	78	23901	UROK	\N	\N
3597234	2015	1996-02-29	PRIJEM	\N	105	29809	UROK	\N	\N
3597235	2015	1996-03-31	PRIJEM	\N	127	32338	UROK	\N	\N
3597236	2015	1996-04-30	PRIJEM	\N	136	30942	UROK	\N	\N
3597237	2015	1996-05-31	PRIJEM	\N	128	28023	UROK	\N	\N
3597238	2015	1996-06-30	PRIJEM	\N	124	29682	UROK	\N	\N
3597239	2015	1996-07-31	PRIJEM	\N	123	27358	UROK	\N	\N
3597240	2015	1996-08-31	PRIJEM	\N	112	24523	UROK	\N	\N
3597241	2015	1996-09-30	PRIJEM	\N	103	23879	UROK	\N	\N
3597242	2015	1996-10-31	PRIJEM	\N	100	23233	UROK	\N	\N
3597243	2015	1996-11-30	PRIJEM	\N	91	18878	UROK	\N	\N
3597244	2015	1996-12-31	PRIJEM	\N	88	19800	UROK	\N	\N
3597245	2015	1997-01-31	PRIJEM	\N	81	16875	UROK	\N	\N
3597246	2015	1997-02-28	PRIJEM	\N	78	20906	UROK	\N	\N
3597247	2015	1997-03-31	PRIJEM	\N	95	24654	UROK	\N	\N
3597248	2015	1997-04-30	PRIJEM	\N	101	23008	UROK	\N	\N
3597249	2015	1997-05-31	PRIJEM	\N	103	26945	UROK	\N	\N
3597250	2015	1997-06-30	PRIJEM	\N	112	19892	UROK	\N	\N
3597251	2015	1997-07-31	PRIJEM	\N	100	26225	UROK	\N	\N
3597252	2015	1997-08-31	PRIJEM	\N	114	28392	UROK	\N	\N
3597253	2015	1997-09-30	PRIJEM	\N	118	28163	UROK	\N	\N
3597254	2015	1997-10-31	PRIJEM	\N	121	29938	UROK	\N	\N
3597255	2015	1997-11-30	PRIJEM	\N	147	35438	UROK	\N	\N
3597256	2015	1997-12-31	PRIJEM	\N	153	34826	UROK	\N	\N
3597257	2015	1998-01-31	PRIJEM	\N	105	16624	UROK	\N	\N
3597258	2015	1998-02-28	PRIJEM	\N	81	20658	UROK	\N	\N
3597259	2015	1998-03-31	PRIJEM	\N	100	26912	UROK	\N	\N
3597260	2015	1998-04-30	PRIJEM	\N	108	25314	UROK	\N	\N
3597261	2015	1998-05-31	PRIJEM	\N	115	28782	UROK	\N	\N
3597262	2015	1998-06-30	PRIJEM	\N	126	30563	UROK	\N	\N
3597263	2015	1998-07-31	PRIJEM	\N	140	35156	UROK	\N	\N
3597264	2015	1998-08-31	PRIJEM	\N	143	33652	UROK	\N	\N
3597265	2015	1998-09-30	PRIJEM	\N	132	30538	UROK	\N	\N
3597266	2015	1998-10-31	PRIJEM	\N	128	30319	UROK	\N	\N
3597267	2015	1998-11-30	PRIJEM	\N	125	25517	UROK	\N	\N
3597268	2015	1998-12-31	PRIJEM	\N	116	24967	UROK	\N	\N
3597269	2016	1997-03-31	PRIJEM	\N	12	12763	UROK	\N	\N
3597270	2016	1997-04-30	PRIJEM	\N	59	18373	UROK	\N	\N
3597271	2016	1997-05-31	PRIJEM	\N	79	20802	UROK	\N	\N
3597272	2016	1997-06-30	PRIJEM	\N	92	25445	UROK	\N	\N
3597273	2016	1997-07-31	PRIJEM	\N	103	21832	UROK	\N	\N
3597274	2016	1997-08-31	PRIJEM	\N	91	21342	UROK	\N	\N
3597275	2016	1997-09-30	PRIJEM	\N	88	20070	UROK	\N	\N
3597276	2016	1997-10-31	PRIJEM	\N	85	19564	UROK	\N	\N
3597277	2016	1997-11-30	PRIJEM	\N	79	17403	UROK	\N	\N
3597278	2016	1997-12-31	PRIJEM	\N	78	19410	UROK	\N	\N
3597279	2016	1998-01-31	PRIJEM	\N	77	17006	UROK	\N	\N
3597280	2016	1998-02-28	PRIJEM	\N	81	22256	UROK	\N	\N
3597281	2016	1998-03-31	PRIJEM	\N	99	25425	UROK	\N	\N
3597282	2016	1998-04-30	PRIJEM	\N	108	25702	UROK	\N	\N
3597283	2016	1998-05-31	PRIJEM	\N	107	25838	UROK	\N	\N
3597284	2016	1998-06-30	PRIJEM	\N	99	19097	UROK	\N	\N
3597285	2016	1998-07-31	PRIJEM	\N	72	14438	UROK	\N	\N
3597286	2016	1998-08-31	PRIJEM	\N	58	13166	UROK	\N	\N
3597287	2016	1998-09-30	PRIJEM	\N	60	15165	UROK	\N	\N
3597288	2016	1998-10-31	PRIJEM	\N	67	16702	UROK	\N	\N
3597289	2016	1998-11-30	PRIJEM	\N	74	18445	UROK	\N	\N
3597290	2016	1998-12-31	PRIJEM	\N	75	17750	UROK	\N	\N
3597291	2017	1996-03-31	PRIJEM	\N	19	13826	UROK	\N	\N
3597292	2017	1996-04-30	PRIJEM	\N	64	18497	UROK	\N	\N
3597293	2017	1996-05-31	PRIJEM	\N	79	19782	UROK	\N	\N
3597294	2017	1996-06-30	PRIJEM	\N	88	23881	UROK	\N	\N
3597295	2017	1996-07-31	PRIJEM	\N	99	23486	UROK	\N	\N
3597296	2017	1996-08-31	PRIJEM	\N	97	23005	UROK	\N	\N
3597297	2017	1996-09-30	PRIJEM	\N	99	24925	UROK	\N	\N
3597298	2017	1996-10-31	PRIJEM	\N	103	24650	UROK	\N	\N
3597299	2017	1996-11-30	PRIJEM	\N	108	27279	UROK	\N	\N
3597300	2017	1996-12-31	PRIJEM	\N	123	29826	UROK	\N	\N
3597301	2017	1997-01-31	PRIJEM	\N	102	17149	UROK	\N	\N
3597302	2017	1997-02-28	PRIJEM	\N	83	22853	UROK	\N	\N
3597303	2017	1997-03-31	PRIJEM	\N	93	21667	UROK	\N	\N
3597304	2017	1997-04-30	PRIJEM	\N	94	23883	UROK	\N	\N
3597305	2017	1997-05-31	PRIJEM	\N	107	27711	UROK	\N	\N
3597306	2017	1997-06-30	PRIJEM	\N	112	26348	UROK	\N	\N
3597307	2017	1997-07-31	PRIJEM	\N	116	29586	UROK	\N	\N
3597308	2017	1997-08-31	PRIJEM	\N	108	23315	UROK	\N	\N
3597309	2017	1997-09-30	PRIJEM	\N	91	21127	UROK	\N	\N
3597310	2017	1997-10-31	PRIJEM	\N	93	22941	UROK	\N	\N
3597311	2017	1997-11-30	PRIJEM	\N	105	27168	UROK	\N	\N
3597312	2017	1997-12-31	PRIJEM	\N	113	28105	UROK	\N	\N
3597313	2017	1998-01-31	PRIJEM	\N	89	14715	UROK	\N	\N
3597314	2017	1998-02-28	PRIJEM	\N	74	20010	UROK	\N	\N
3597315	2017	1998-03-31	PRIJEM	\N	95	24626	UROK	\N	\N
3597316	2017	1998-04-30	PRIJEM	\N	104	25752	UROK	\N	\N
3597317	2017	1998-05-31	PRIJEM	\N	106	26379	UROK	\N	\N
3597318	2017	1998-06-30	PRIJEM	\N	95	19298	UROK	\N	\N
3597319	2017	1998-07-31	PRIJEM	\N	84	19103	UROK	\N	\N
3597320	2017	1998-08-31	PRIJEM	\N	85	21710	UROK	\N	\N
3597321	2017	1998-09-30	PRIJEM	\N	82	19713	UROK	\N	\N
3597322	2017	1998-10-31	PRIJEM	\N	80	16314	UROK	\N	\N
3597323	2017	1998-11-30	PRIJEM	\N	57	13592	UROK	\N	\N
3597324	2017	1998-12-31	PRIJEM	\N	57	13974	UROK	\N	\N
3597325	2018	1995-06-30	PRIJEM	\N	20	7930	UROK	\N	\N
3597326	2018	1995-07-31	PRIJEM	\N	67	21470	UROK	\N	\N
3597327	2018	1995-08-31	PRIJEM	\N	102	26345	UROK	\N	\N
3597328	2018	1995-09-30	PRIJEM	\N	111	27129	UROK	\N	\N
3597329	2018	1995-10-31	PRIJEM	\N	116	28303	UROK	\N	\N
3597330	2018	1995-11-30	PRIJEM	\N	90	20936	UROK	\N	\N
3597331	2018	1995-12-31	PRIJEM	\N	84	19360	UROK	\N	\N
3597332	2018	1996-01-31	PRIJEM	\N	57	16661	UROK	\N	\N
3597333	2018	1996-02-29	PRIJEM	\N	73	19577	UROK	\N	\N
3597334	2018	1996-03-31	PRIJEM	\N	67	19987	UROK	\N	\N
3597335	2018	1996-04-30	PRIJEM	\N	82	19013	UROK	\N	\N
3597336	2018	1996-05-31	PRIJEM	\N	73	17749	UROK	\N	\N
3597337	2018	1996-06-30	PRIJEM	\N	78	22908	UROK	\N	\N
3597338	2018	1996-07-31	PRIJEM	\N	93	20644	UROK	\N	\N
3597339	2018	1996-08-31	PRIJEM	\N	86	23974	UROK	\N	\N
3597340	2018	1996-09-30	PRIJEM	\N	98	24916	UROK	\N	\N
3597341	2018	1996-10-31	PRIJEM	\N	103	24162	UROK	\N	\N
3597342	2018	1996-11-30	PRIJEM	\N	92	19097	UROK	\N	\N
3597343	2018	1996-12-31	PRIJEM	\N	74	21011	UROK	\N	\N
3597344	2018	1997-01-31	PRIJEM	\N	80	18574	UROK	\N	\N
3597345	2018	1997-02-28	PRIJEM	\N	75	18682	UROK	\N	\N
3597346	2018	1997-03-31	PRIJEM	\N	72	16288	UROK	\N	\N
3597347	2018	1997-04-30	PRIJEM	\N	63	14884	UROK	\N	\N
3597348	2018	1997-05-31	PRIJEM	\N	59	15277	UROK	\N	\N
3597349	2018	1997-06-30	PRIJEM	\N	65	16513	UROK	\N	\N
3597350	2018	1997-07-31	PRIJEM	\N	65	15711	UROK	\N	\N
3597351	2018	1997-08-31	PRIJEM	\N	60	14104	UROK	\N	\N
3597352	2018	1997-09-30	PRIJEM	\N	54	12491	UROK	\N	\N
3597353	2018	1997-10-31	PRIJEM	\N	47	10871	UROK	\N	\N
3597354	2018	1997-11-30	PRIJEM	\N	40	9245	UROK	\N	\N
3597355	2018	1997-12-31	PRIJEM	\N	39	9954	UROK	\N	\N
3597356	2018	1998-01-31	PRIJEM	\N	36	8323	UROK	\N	\N
3597357	2018	1998-02-28	PRIJEM	\N	36	9903	UROK	\N	\N
3597358	2018	1998-03-31	PRIJEM	\N	51	17397	UROK	\N	\N
3597359	2018	1998-04-30	PRIJEM	\N	72	19213	UROK	\N	\N
3597360	2018	1998-05-31	PRIJEM	\N	77	18933	UROK	\N	\N
3597361	2018	1998-06-30	PRIJEM	\N	76	18490	UROK	\N	\N
3597362	2018	1998-07-31	PRIJEM	\N	73	18206	UROK	\N	\N
3597363	2018	1998-08-31	PRIJEM	\N	68	15917	UROK	\N	\N
3597364	2018	1998-09-30	PRIJEM	\N	62	13822	UROK	\N	\N
3597365	2018	1998-10-31	PRIJEM	\N	63	16229	UROK	\N	\N
3597366	2018	1998-11-30	PRIJEM	\N	71	18943	UROK	\N	\N
3597367	2018	1998-12-31	PRIJEM	\N	77	18121	UROK	\N	\N
3597368	2019	1997-06-30	PRIJEM	\N	10	3863	UROK	\N	\N
3597369	2019	1997-07-31	PRIJEM	\N	16	7032	UROK	\N	\N
3597370	2019	1997-08-31	PRIJEM	\N	16	10201	UROK	\N	\N
3597371	2019	1997-09-30	PRIJEM	\N	16	13370	UROK	\N	\N
3597372	2019	1997-10-31	PRIJEM	\N	44	14730	UROK	\N	\N
3597373	2019	1997-11-30	PRIJEM	\N	64	15831	UROK	\N	\N
3597374	2019	1997-12-31	PRIJEM	\N	68	16365	UROK	\N	\N
3597375	2019	1998-01-31	PRIJEM	\N	63	14554	UROK	\N	\N
3597376	2019	1998-02-28	PRIJEM	\N	64	15654	UROK	\N	\N
3597377	2019	1998-03-31	PRIJEM	\N	68	16759	UROK	\N	\N
3597378	2019	1998-04-30	PRIJEM	\N	73	17868	UROK	\N	\N
3597379	2019	1998-05-31	PRIJEM	\N	78	18982	UROK	\N	\N
3597380	2019	1998-06-30	PRIJEM	\N	70	12738	UROK	\N	\N
3597381	2019	1998-07-31	PRIJEM	\N	56	13831	UROK	\N	\N
3597382	2019	1998-08-31	PRIJEM	\N	61	14928	UROK	\N	\N
3597383	2019	1998-09-30	PRIJEM	\N	62	15036	UROK	\N	\N
3597384	2019	1998-10-31	PRIJEM	\N	66	16138	UROK	\N	\N
3597385	2019	1998-11-30	PRIJEM	\N	70	17245	UROK	\N	\N
3597386	2019	1998-12-31	PRIJEM	\N	72	17754	UROK	\N	\N
3597387	2020	1993-09-30	PRIJEM	\N	22	6402	UROK	\N	\N
3597388	2020	1993-10-31	PRIJEM	\N	27	11709	UROK	\N	\N
3597389	2020	1993-11-30	PRIJEM	\N	27	17015	UROK	\N	\N
3597390	2020	1993-12-31	PRIJEM	\N	27	22322	UROK	\N	\N
3597391	2020	1994-01-31	PRIJEM	\N	78	18980	UROK	\N	\N
3597392	2020	1994-02-28	PRIJEM	\N	78	18395	UROK	\N	\N
3597393	2020	1994-03-31	PRIJEM	\N	85	21416	UROK	\N	\N
3597394	2020	1994-04-30	PRIJEM	\N	100	24152	UROK	\N	\N
3597395	2020	1994-05-31	PRIJEM	\N	109	27198	UROK	\N	\N
3597396	2020	1994-06-30	PRIJEM	\N	109	17793	UROK	\N	\N
3597397	2020	1994-07-31	PRIJEM	\N	82	20812	UROK	\N	\N
3597398	2020	1994-08-31	PRIJEM	\N	94	21423	UROK	\N	\N
3597399	2020	1994-09-30	PRIJEM	\N	97	23456	UROK	\N	\N
3597400	2020	1994-10-31	PRIJEM	\N	105	24498	UROK	\N	\N
3597401	2020	1994-11-30	PRIJEM	\N	108	22542	UROK	\N	\N
3597402	2020	1994-12-31	PRIJEM	\N	99	23278	UROK	\N	\N
3597403	2020	1995-01-31	PRIJEM	\N	94	18679	UROK	\N	\N
3597404	2020	1995-02-28	PRIJEM	\N	82	18097	UROK	\N	\N
3597405	2020	1995-03-31	PRIJEM	\N	82	17615	UROK	\N	\N
3597406	2020	1995-04-30	PRIJEM	\N	81	20533	UROK	\N	\N
3597407	2020	1995-05-31	PRIJEM	\N	83	17811	UROK	\N	\N
3597408	2020	1995-06-30	PRIJEM	\N	81	19029	UROK	\N	\N
3597409	2020	1995-07-31	PRIJEM	\N	85	19650	UROK	\N	\N
3597410	2020	1995-08-31	PRIJEM	\N	90	22477	UROK	\N	\N
3597411	2020	1995-09-30	PRIJEM	\N	95	20688	UROK	\N	\N
3597412	2020	1995-10-31	PRIJEM	\N	89	18713	UROK	\N	\N
3597413	2020	1995-11-30	PRIJEM	\N	80	16630	UROK	\N	\N
3597414	2020	1995-12-31	PRIJEM	\N	68	12034	UROK	\N	\N
3597415	2020	1996-01-31	PRIJEM	\N	53	11624	UROK	\N	\N
3597416	2020	1996-02-29	PRIJEM	\N	53	12213	UROK	\N	\N
3597417	2020	1996-03-31	PRIJEM	\N	59	15208	UROK	\N	\N
3597418	2020	1996-04-30	PRIJEM	\N	66	14930	UROK	\N	\N
3597419	2020	1996-05-31	PRIJEM	\N	70	17936	UROK	\N	\N
3597420	2020	1996-06-30	PRIJEM	\N	81	20073	UROK	\N	\N
3597421	2020	1996-07-31	PRIJEM	\N	88	18537	UROK	\N	\N
3597422	2020	1996-08-31	PRIJEM	\N	83	20037	UROK	\N	\N
3597423	2020	1996-09-30	PRIJEM	\N	87	20740	UROK	\N	\N
3597424	2020	1996-10-31	PRIJEM	\N	94	23770	UROK	\N	\N
3597425	2020	1996-11-30	PRIJEM	\N	106	26813	UROK	\N	\N
3597426	2020	1996-12-31	PRIJEM	\N	116	28625	UROK	\N	\N
3597427	2020	1997-01-31	PRIJEM	\N	126	30387	UROK	\N	\N
3597428	2020	1997-02-28	PRIJEM	\N	126	30409	UROK	\N	\N
3597429	2020	1997-03-31	PRIJEM	\N	132	32357	UROK	\N	\N
3597430	2020	1997-04-30	PRIJEM	\N	141	32235	UROK	\N	\N
3597431	2020	1997-05-31	PRIJEM	\N	130	28741	UROK	\N	\N
3597432	2020	1997-06-30	PRIJEM	\N	98	20375	UROK	\N	\N
3597433	2020	1997-07-31	PRIJEM	\N	92	23403	UROK	\N	\N
3597434	2020	1997-08-31	PRIJEM	\N	104	26444	UROK	\N	\N
3597435	2020	1997-09-30	PRIJEM	\N	117	29498	UROK	\N	\N
3597436	2020	1997-10-31	PRIJEM	\N	130	32564	UROK	\N	\N
3597437	2020	1997-11-30	PRIJEM	\N	142	35642	UROK	\N	\N
3597438	2020	1997-12-31	PRIJEM	\N	155	37284	UROK	\N	\N
3597439	2020	1998-01-31	PRIJEM	\N	152	36622	UROK	\N	\N
3597440	2020	1998-02-28	PRIJEM	\N	159	39717	UROK	\N	\N
3597441	2020	1998-03-31	PRIJEM	\N	172	42826	UROK	\N	\N
3597442	2020	1998-04-30	PRIJEM	\N	182	44024	UROK	\N	\N
3597443	2020	1998-05-31	PRIJEM	\N	190	47150	UROK	\N	\N
3597444	2020	1998-06-30	PRIJEM	\N	94	12780	UROK	\N	\N
3597445	2020	1998-07-31	PRIJEM	\N	59	15776	UROK	\N	\N
3597446	2020	1998-08-31	PRIJEM	\N	72	18784	UROK	\N	\N
3597447	2020	1998-09-30	PRIJEM	\N	84	21805	UROK	\N	\N
3597448	2020	1998-10-31	PRIJEM	\N	97	24838	UROK	\N	\N
3597449	2020	1998-11-30	PRIJEM	\N	98	21152	UROK	\N	\N
3597450	2020	1998-12-31	PRIJEM	\N	92	23431	UROK	\N	\N
3597451	2022	1993-06-30	PRIJEM	\N	13	5365	UROK	\N	\N
3597452	2022	1993-07-31	PRIJEM	\N	22	10039	UROK	\N	\N
3597453	2022	1993-08-31	PRIJEM	\N	22	14713	UROK	\N	\N
3597454	2022	1993-09-30	PRIJEM	\N	22	19388	UROK	\N	\N
3597455	2022	1993-10-31	PRIJEM	\N	51	21530	UROK	\N	\N
3597456	2022	1993-11-30	PRIJEM	\N	93	23418	UROK	\N	\N
3597457	2022	1993-12-31	PRIJEM	\N	100	24762	UROK	\N	\N
3597458	2022	1994-01-31	PRIJEM	\N	84	15961	UROK	\N	\N
3597459	2022	1994-02-28	PRIJEM	\N	73	18728	UROK	\N	\N
3597460	2022	1994-03-31	PRIJEM	\N	85	21507	UROK	\N	\N
3597461	2022	1994-04-30	PRIJEM	\N	96	24297	UROK	\N	\N
3597462	2022	1994-05-31	PRIJEM	\N	106	26697	UROK	\N	\N
3597463	2022	1994-06-30	PRIJEM	\N	112	25603	UROK	\N	\N
3597464	2022	1994-07-31	PRIJEM	\N	107	23324	UROK	\N	\N
3597465	2022	1994-08-31	PRIJEM	\N	104	26122	UROK	\N	\N
3597466	2022	1994-09-30	PRIJEM	\N	115	28932	UROK	\N	\N
3597467	2022	1994-10-31	PRIJEM	\N	118	28644	UROK	\N	\N
3597468	2022	1994-11-30	PRIJEM	\N	110	27429	UROK	\N	\N
3597469	2022	1994-12-31	PRIJEM	\N	120	29793	UROK	\N	\N
3597470	2022	1995-01-31	PRIJEM	\N	102	17199	UROK	\N	\N
3597471	2022	1995-02-28	PRIJEM	\N	77	19971	UROK	\N	\N
3597472	2022	1995-03-31	PRIJEM	\N	90	22755	UROK	\N	\N
3597473	2022	1995-04-30	PRIJEM	\N	98	24507	UROK	\N	\N
3597474	2022	1995-05-31	PRIJEM	\N	102	25144	UROK	\N	\N
3597475	2022	1995-06-30	PRIJEM	\N	98	20706	UROK	\N	\N
3597476	2022	1995-07-31	PRIJEM	\N	86	20606	UROK	\N	\N
3597477	2022	1995-08-31	PRIJEM	\N	92	23392	UROK	\N	\N
3597478	2022	1995-09-30	PRIJEM	\N	101	25628	UROK	\N	\N
3597479	2022	1995-10-31	PRIJEM	\N	106	26189	UROK	\N	\N
3597480	2022	1995-11-30	PRIJEM	\N	115	28998	UROK	\N	\N
3597481	2022	1995-12-31	PRIJEM	\N	127	31469	UROK	\N	\N
3597482	2022	1996-01-31	PRIJEM	\N	121	24514	UROK	\N	\N
3597483	2022	1996-02-29	PRIJEM	\N	108	27316	UROK	\N	\N
3597484	2022	1996-03-31	PRIJEM	\N	120	30130	UROK	\N	\N
3597485	2022	1996-04-30	PRIJEM	\N	129	31834	UROK	\N	\N
3597486	2022	1996-05-31	PRIJEM	\N	138	34667	UROK	\N	\N
3597487	2022	1996-06-30	PRIJEM	\N	132	24193	UROK	\N	\N
3597488	2022	1996-07-31	PRIJEM	\N	106	26994	UROK	\N	\N
3597489	2022	1996-08-31	PRIJEM	\N	104	22752	UROK	\N	\N
3597490	2022	1996-09-30	PRIJEM	\N	98	22024	UROK	\N	\N
3597491	2022	1996-10-31	PRIJEM	\N	97	24815	UROK	\N	\N
3597492	2022	1996-11-30	PRIJEM	\N	109	27618	UROK	\N	\N
3597493	2022	1996-12-31	PRIJEM	\N	119	29882	UROK	\N	\N
3597494	2022	1997-01-31	PRIJEM	\N	109	22156	UROK	\N	\N
3597495	2022	1997-02-28	PRIJEM	\N	97	24947	UROK	\N	\N
3597496	2022	1997-03-31	PRIJEM	\N	109	27751	UROK	\N	\N
3597497	2022	1997-04-30	PRIJEM	\N	120	30165	UROK	\N	\N
3597498	2022	1997-05-31	PRIJEM	\N	131	32990	UROK	\N	\N
3597499	2022	1997-06-30	PRIJEM	\N	126	31081	UROK	\N	\N
3597500	2022	1997-07-31	PRIJEM	\N	134	33909	UROK	\N	\N
3597501	2022	1997-08-31	PRIJEM	\N	137	33380	UROK	\N	\N
3597502	2022	1997-09-30	PRIJEM	\N	144	36218	UROK	\N	\N
3597503	2022	1997-10-31	PRIJEM	\N	156	39068	UROK	\N	\N
3597504	2022	1997-11-30	PRIJEM	\N	160	38242	UROK	\N	\N
3597505	2022	1997-12-31	PRIJEM	\N	155	37621	UROK	\N	\N
3597506	2022	1998-01-31	PRIJEM	\N	130	27705	UROK	\N	\N
3597507	2022	1998-02-28	PRIJEM	\N	119	30519	UROK	\N	\N
3597508	2022	1998-03-31	PRIJEM	\N	125	31098	UROK	\N	\N
3597509	2022	1998-04-30	PRIJEM	\N	134	33926	UROK	\N	\N
3597510	2022	1998-05-31	PRIJEM	\N	145	36766	UROK	\N	\N
3597511	2022	1998-06-30	PRIJEM	\N	154	29614	UROK	\N	\N
3597512	2022	1998-07-31	PRIJEM	\N	127	32436	UROK	\N	\N
3597513	2022	1998-08-31	PRIJEM	\N	139	35269	UROK	\N	\N
3597514	2022	1998-09-30	PRIJEM	\N	150	38114	UROK	\N	\N
3597515	2022	1998-10-31	PRIJEM	\N	162	40970	UROK	\N	\N
3597516	2022	1998-11-30	PRIJEM	\N	174	43839	UROK	\N	\N
3597517	2022	1998-12-31	PRIJEM	\N	185	46468	UROK	\N	\N
3597518	2023	1993-02-28	PRIJEM	\N	16	26440	UROK	\N	\N
3597519	2023	1993-03-31	PRIJEM	\N	118	37881	UROK	\N	\N
3597520	2023	1993-04-30	PRIJEM	\N	162	44367	UROK	\N	\N
3597521	2023	1993-05-31	PRIJEM	\N	186	46577	UROK	\N	\N
3597522	2023	1993-06-30	PRIJEM	\N	241	36433	UROK	\N	\N
3597523	2023	1993-07-31	PRIJEM	\N	186	39697	UROK	\N	\N
3597524	2023	1993-08-31	PRIJEM	\N	195	40470	UROK	\N	\N
3597525	2023	1993-09-30	PRIJEM	\N	195	39043	UROK	\N	\N
3597526	2023	1993-10-31	PRIJEM	\N	189	38911	UROK	\N	\N
3597527	2023	1993-11-30	PRIJEM	\N	175	36064	UROK	\N	\N
3597528	2023	1993-12-31	PRIJEM	\N	198	42303	UROK	\N	\N
3597529	2023	1994-01-31	PRIJEM	\N	172	34793	UROK	\N	\N
3597530	2023	1994-02-28	PRIJEM	\N	170	36841	UROK	\N	\N
3597531	2023	1994-03-31	PRIJEM	\N	179	37599	UROK	\N	\N
3597532	2023	1994-04-30	PRIJEM	\N	185	41062	UROK	\N	\N
3597533	2023	1994-05-31	PRIJEM	\N	189	37649	UROK	\N	\N
3597534	2023	1994-06-30	PRIJEM	\N	186	41256	UROK	\N	\N
3597535	2023	1994-07-31	PRIJEM	\N	193	42028	UROK	\N	\N
3597536	2023	1994-08-31	PRIJEM	\N	196	43602	UROK	\N	\N
3597537	2023	1994-09-30	PRIJEM	\N	192	40172	UROK	\N	\N
3597538	2023	1994-10-31	PRIJEM	\N	185	40936	UROK	\N	\N
3597539	2023	1994-11-30	PRIJEM	\N	180	38194	UROK	\N	\N
3597540	2023	1994-12-31	PRIJEM	\N	192	42506	UROK	\N	\N
3597541	2023	1995-01-31	PRIJEM	\N	173	33518	UROK	\N	\N
3597542	2023	1995-02-28	PRIJEM	\N	160	38156	UROK	\N	\N
3597543	2023	1995-03-31	PRIJEM	\N	181	42516	UROK	\N	\N
3597544	2023	1995-04-30	PRIJEM	\N	194	44788	UROK	\N	\N
3597545	2023	1995-05-31	PRIJEM	\N	191	40578	UROK	\N	\N
3597546	2023	1995-06-30	PRIJEM	\N	191	45569	UROK	\N	\N
3597547	2023	1995-07-31	PRIJEM	\N	197	44645	UROK	\N	\N
3597548	2023	1995-08-31	PRIJEM	\N	184	40707	UROK	\N	\N
3597549	2023	1995-09-30	PRIJEM	\N	179	42465	UROK	\N	\N
3597550	2023	1995-10-31	PRIJEM	\N	172	35455	UROK	\N	\N
3597551	2023	1995-11-30	PRIJEM	\N	137	31870	UROK	\N	\N
3597552	2023	1995-12-31	PRIJEM	\N	159	38309	UROK	\N	\N
3597553	2023	1996-01-31	PRIJEM	\N	133	26320	UROK	\N	\N
3597554	2023	1996-02-29	PRIJEM	\N	130	32529	UROK	\N	\N
3597555	2023	1996-03-31	PRIJEM	\N	131	31658	UROK	\N	\N
3597556	2023	1996-04-30	PRIJEM	\N	144	34360	UROK	\N	\N
3597557	2023	1996-05-31	PRIJEM	\N	164	40903	UROK	\N	\N
3597558	2023	1996-06-30	PRIJEM	\N	200	49043	UROK	\N	\N
3597559	2023	1996-07-31	PRIJEM	\N	229	58151	UROK	\N	\N
3597560	2023	1996-08-31	PRIJEM	\N	260	65889	UROK	\N	\N
3597561	2023	1996-09-30	PRIJEM	\N	268	66136	UROK	\N	\N
3597562	2023	1996-10-31	PRIJEM	\N	270	66684	UROK	\N	\N
3597563	2023	1996-11-30	PRIJEM	\N	272	67235	UROK	\N	\N
3597564	2023	1996-12-31	PRIJEM	\N	289	73184	UROK	\N	\N
3597565	2023	1997-01-31	PRIJEM	\N	272	65134	UROK	\N	\N
3597566	2023	1997-02-28	PRIJEM	\N	269	66881	UROK	\N	\N
3597567	2023	1997-03-31	PRIJEM	\N	278	69138	UROK	\N	\N
3597568	2023	1997-04-30	PRIJEM	\N	262	58278	UROK	\N	\N
3597569	2023	1997-05-31	PRIJEM	\N	256	64912	UROK	\N	\N
3597570	2023	1997-06-30	PRIJEM	\N	279	65591	UROK	\N	\N
3597571	2023	1997-07-31	PRIJEM	\N	275	68845	UROK	\N	\N
3597572	2023	1997-08-31	PRIJEM	\N	288	71811	UROK	\N	\N
3597573	2023	1997-09-30	PRIJEM	\N	289	71579	UROK	\N	\N
3597574	2023	1997-10-31	PRIJEM	\N	292	72349	UROK	\N	\N
3597575	2023	1997-11-30	PRIJEM	\N	291	72018	UROK	\N	\N
3597576	2023	1997-12-31	PRIJEM	\N	321	84319	UROK	\N	\N
3597577	2023	1998-01-31	PRIJEM	\N	276	59494	UROK	\N	\N
3597578	2023	1998-02-28	PRIJEM	\N	286	74658	UROK	\N	\N
3597579	2023	1998-03-31	PRIJEM	\N	326	83063	UROK	\N	\N
3597580	2023	1998-04-30	PRIJEM	\N	334	86475	UROK	\N	\N
3597581	2023	1998-05-31	PRIJEM	\N	350	76603	UROK	\N	\N
3597582	2023	1998-06-30	PRIJEM	\N	249	60653	UROK	\N	\N
3597583	2023	1998-07-31	PRIJEM	\N	288	68379	UROK	\N	\N
3597584	2023	1998-08-31	PRIJEM	\N	317	72075	UROK	\N	\N
3597585	2023	1998-09-30	PRIJEM	\N	331	75584	UROK	\N	\N
3597586	2023	1998-10-31	PRIJEM	\N	342	74004	UROK	\N	\N
3597587	2023	1998-11-30	PRIJEM	\N	329	71752	UROK	\N	\N
3597588	2023	1998-12-31	PRIJEM	\N	365	95838	UROK	\N	\N
3597589	2024	1997-03-31	PRIJEM	\N	33	11069	UROK	\N	\N
3597590	2024	1997-04-30	PRIJEM	\N	91	26696	UROK	\N	\N
3597591	2024	1997-05-31	PRIJEM	\N	132	34264	UROK	\N	\N
3597592	2024	1997-06-30	PRIJEM	\N	110	42078	UROK	\N	\N
3597593	2024	1997-07-31	PRIJEM	\N	123	21613	UROK	\N	\N
3597594	2024	1997-08-31	PRIJEM	\N	116	19526	UROK	\N	\N
3597595	2024	1997-09-30	PRIJEM	\N	108	20931	UROK	\N	\N
3597596	2024	1997-10-31	PRIJEM	\N	94	18123	UROK	\N	\N
3597597	2024	1997-11-30	PRIJEM	\N	100	18421	UROK	\N	\N
3597598	2024	1997-12-31	PRIJEM	\N	98	18484	UROK	\N	\N
3597599	2024	1998-01-31	PRIJEM	\N	83	14665	UROK	\N	\N
3597600	2024	1998-02-28	PRIJEM	\N	88	20751	UROK	\N	\N
3597601	2024	1998-03-31	PRIJEM	\N	91	20939	UROK	\N	\N
3597602	2024	1998-04-30	PRIJEM	\N	96	22132	UROK	\N	\N
3597603	2024	1998-05-31	PRIJEM	\N	98	21227	UROK	\N	\N
3597604	2024	1998-06-30	PRIJEM	\N	108	22500	UROK	\N	\N
3597605	2024	1998-07-31	PRIJEM	\N	108	15705	UROK	\N	\N
3597606	2024	1998-08-31	PRIJEM	\N	83	14386	UROK	\N	\N
3597607	2024	1998-09-30	PRIJEM	\N	78	13561	UROK	\N	\N
3597608	2024	1998-10-31	PRIJEM	\N	73	12732	UROK	\N	\N
3597609	2024	1998-11-30	PRIJEM	\N	63	16292	UROK	\N	\N
3597610	2024	1998-12-31	PRIJEM	\N	88	23145	UROK	\N	\N
3597611	2025	1994-10-31	PRIJEM	\N	39	15978	UROK	\N	\N
3597612	2025	1994-11-30	PRIJEM	\N	108	33725	UROK	\N	\N
3597613	2025	1994-12-31	PRIJEM	\N	176	49309	UROK	\N	\N
3597614	2025	1995-01-31	PRIJEM	\N	145	38993	UROK	\N	\N
3597615	2025	1995-02-28	PRIJEM	\N	177	51789	UROK	\N	\N
3597616	2025	1995-03-31	PRIJEM	\N	194	45004	UROK	\N	\N
3597617	2025	1995-04-30	PRIJEM	\N	150	40174	UROK	\N	\N
3597618	2025	1995-05-31	PRIJEM	\N	144	28139	UROK	\N	\N
3597619	2025	1995-06-30	PRIJEM	\N	153	35882	UROK	\N	\N
3597620	2025	1995-07-31	PRIJEM	\N	160	32382	UROK	\N	\N
3597621	2025	1995-08-31	PRIJEM	\N	151	32653	UROK	\N	\N
3597622	2025	1995-09-30	PRIJEM	\N	150	31224	UROK	\N	\N
3597623	2025	1995-10-31	PRIJEM	\N	147	35091	UROK	\N	\N
3597624	2025	1995-11-30	PRIJEM	\N	145	31877	UROK	\N	\N
3597625	2025	1995-12-31	PRIJEM	\N	160	31867	UROK	\N	\N
3597626	2025	1996-01-31	PRIJEM	\N	122	25909	UROK	\N	\N
3597627	2025	1996-02-29	PRIJEM	\N	120	25949	UROK	\N	\N
3597628	2025	1996-03-31	PRIJEM	\N	120	28609	UROK	\N	\N
3597629	2025	1996-04-30	PRIJEM	\N	131	29461	UROK	\N	\N
3597630	2025	1996-05-31	PRIJEM	\N	130	26612	UROK	\N	\N
3597631	2025	1996-06-30	PRIJEM	\N	135	31037	UROK	\N	\N
3597632	2025	1996-07-31	PRIJEM	\N	129	28446	UROK	\N	\N
3597633	2025	1996-08-31	PRIJEM	\N	123	26149	UROK	\N	\N
3597634	2025	1996-09-30	PRIJEM	\N	109	24379	UROK	\N	\N
3597635	2025	1996-10-31	PRIJEM	\N	116	29415	UROK	\N	\N
3597636	2025	1996-11-30	PRIJEM	\N	133	32469	UROK	\N	\N
3597637	2025	1996-12-31	PRIJEM	\N	150	31169	UROK	\N	\N
3597638	2025	1997-01-31	PRIJEM	\N	102	19271	UROK	\N	\N
3597639	2025	1997-02-28	PRIJEM	\N	91	23682	UROK	\N	\N
3597640	2025	1997-03-31	PRIJEM	\N	102	23745	UROK	\N	\N
3597641	2025	1997-04-30	PRIJEM	\N	94	20199	UROK	\N	\N
3597642	2025	1997-05-31	PRIJEM	\N	97	24816	UROK	\N	\N
3597643	2025	1997-06-30	PRIJEM	\N	120	29926	UROK	\N	\N
3597644	2025	1997-07-31	PRIJEM	\N	126	28772	UROK	\N	\N
3597645	2025	1997-08-31	PRIJEM	\N	117	26209	UROK	\N	\N
3597646	2025	1997-09-30	PRIJEM	\N	101	21830	UROK	\N	\N
3597647	2025	1997-10-31	PRIJEM	\N	91	21442	UROK	\N	\N
3597648	2025	1997-11-30	PRIJEM	\N	91	22553	UROK	\N	\N
3597649	2025	1997-12-31	PRIJEM	\N	83	17186	UROK	\N	\N
3597650	2025	1998-01-31	PRIJEM	\N	65	15171	UROK	\N	\N
3597651	2025	1998-02-28	PRIJEM	\N	80	23672	UROK	\N	\N
3597652	2025	1998-03-31	PRIJEM	\N	80	15972	UROK	\N	\N
3597653	2025	1998-04-30	PRIJEM	\N	85	24477	UROK	\N	\N
3597654	2025	1998-05-31	PRIJEM	\N	118	14916	UROK	\N	\N
3597655	2025	1998-06-30	PRIJEM	\N	98	31003	UROK	\N	\N
3597656	2025	1998-07-31	PRIJEM	\N	147	39571	UROK	\N	\N
3597657	2025	1998-08-31	PRIJEM	\N	123	25114	UROK	\N	\N
3597658	2025	1998-09-30	PRIJEM	\N	122	33657	UROK	\N	\N
3597659	2025	1998-10-31	PRIJEM	\N	102	22699	UROK	\N	\N
3597660	2025	1998-11-30	PRIJEM	\N	112	31231	UROK	\N	\N
3597661	2025	1998-12-31	PRIJEM	\N	157	44339	UROK	\N	\N
3597662	2026	1996-10-31	PRIJEM	\N	45	18541	UROK	\N	\N
3597663	2026	1996-11-30	PRIJEM	\N	98	26935	UROK	\N	\N
3597664	2026	1996-12-31	PRIJEM	\N	139	37417	UROK	\N	\N
3597665	2026	1997-01-31	PRIJEM	\N	168	42381	UROK	\N	\N
3597666	2026	1997-02-28	PRIJEM	\N	183	43860	UROK	\N	\N
3597667	2026	1997-03-31	PRIJEM	\N	161	31972	UROK	\N	\N
3597668	2026	1997-04-30	PRIJEM	\N	154	40878	UROK	\N	\N
3597669	2026	1997-05-31	PRIJEM	\N	169	40398	UROK	\N	\N
3597670	2026	1997-06-30	PRIJEM	\N	175	46672	UROK	\N	\N
3597671	2026	1997-07-31	PRIJEM	\N	189	45113	UROK	\N	\N
3597672	2026	1997-08-31	PRIJEM	\N	167	39731	UROK	\N	\N
3597673	2026	1997-09-30	PRIJEM	\N	160	40242	UROK	\N	\N
3597674	2026	1997-10-31	PRIJEM	\N	158	36851	UROK	\N	\N
3597675	2026	1997-11-30	PRIJEM	\N	162	42365	UROK	\N	\N
3597676	2026	1997-12-31	PRIJEM	\N	185	48649	UROK	\N	\N
3597677	2026	1998-01-31	PRIJEM	\N	166	39867	UROK	\N	\N
3597678	2026	1998-02-28	PRIJEM	\N	184	48702	UROK	\N	\N
3597679	2026	1998-03-31	PRIJEM	\N	215	55369	UROK	\N	\N
3597680	2026	1998-04-30	PRIJEM	\N	222	55142	UROK	\N	\N
3597681	2026	1998-05-31	PRIJEM	\N	217	54111	UROK	\N	\N
3597682	2026	1998-06-30	PRIJEM	\N	202	52713	UROK	\N	\N
3597683	2026	1998-07-31	PRIJEM	\N	239	61703	UROK	\N	\N
3597684	2026	1998-08-31	PRIJEM	\N	263	66418	UROK	\N	\N
3597685	2026	1998-09-30	PRIJEM	\N	269	67038	UROK	\N	\N
3597686	2026	1998-10-31	PRIJEM	\N	255	64044	UROK	\N	\N
3597687	2026	1998-11-30	PRIJEM	\N	253	62848	UROK	\N	\N
3597688	2026	1998-12-31	PRIJEM	\N	278	71526	UROK	\N	\N
3597689	2027	1995-03-31	PRIJEM	\N	11	21067	UROK	\N	\N
3597690	2027	1995-04-30	PRIJEM	\N	90	25271	UROK	\N	\N
3597691	2027	1995-05-31	PRIJEM	\N	109	26504	UROK	\N	\N
3597692	2027	1995-06-30	PRIJEM	\N	101	23948	UROK	\N	\N
3597693	2027	1995-07-31	PRIJEM	\N	105	25776	UROK	\N	\N
3597694	2027	1995-08-31	PRIJEM	\N	112	27612	UROK	\N	\N
3597695	2027	1995-09-30	PRIJEM	\N	119	29055	UROK	\N	\N
3597696	2027	1995-10-31	PRIJEM	\N	125	29623	UROK	\N	\N
3597697	2027	1995-11-30	PRIJEM	\N	125	28771	UROK	\N	\N
3597698	2027	1995-12-31	PRIJEM	\N	111	25865	UROK	\N	\N
3597699	2027	1996-01-31	PRIJEM	\N	88	16867	UROK	\N	\N
3597700	2027	1996-02-29	PRIJEM	\N	75	18665	UROK	\N	\N
3597701	2027	1996-03-31	PRIJEM	\N	83	20471	UROK	\N	\N
3597702	2027	1996-04-30	PRIJEM	\N	90	22284	UROK	\N	\N
3597703	2027	1996-05-31	PRIJEM	\N	98	24105	UROK	\N	\N
3597704	2027	1996-06-30	PRIJEM	\N	77	14006	UROK	\N	\N
3597705	2027	1996-07-31	PRIJEM	\N	63	15792	UROK	\N	\N
3597706	2027	1996-08-31	PRIJEM	\N	70	17586	UROK	\N	\N
3597707	2027	1996-09-30	PRIJEM	\N	66	16015	UROK	\N	\N
3597708	2027	1996-10-31	PRIJEM	\N	71	17810	UROK	\N	\N
3597709	2027	1996-11-30	PRIJEM	\N	79	19612	UROK	\N	\N
3597710	2027	1996-12-31	PRIJEM	\N	77	17573	UROK	\N	\N
3597711	2027	1997-01-31	PRIJEM	\N	66	13922	UROK	\N	\N
3597712	2027	1997-02-28	PRIJEM	\N	62	15708	UROK	\N	\N
3597713	2027	1997-03-31	PRIJEM	\N	70	17501	UROK	\N	\N
3597714	2027	1997-04-30	PRIJEM	\N	77	19302	UROK	\N	\N
3597715	2027	1997-05-31	PRIJEM	\N	83	19108	UROK	\N	\N
3597716	2027	1997-06-30	PRIJEM	\N	84	20915	UROK	\N	\N
3597717	2027	1997-07-31	PRIJEM	\N	91	22730	UROK	\N	\N
3597718	2027	1997-08-31	PRIJEM	\N	99	24553	UROK	\N	\N
3597719	2027	1997-09-30	PRIJEM	\N	106	26382	UROK	\N	\N
3597720	2027	1997-10-31	PRIJEM	\N	114	28220	UROK	\N	\N
3597721	2027	1997-11-30	PRIJEM	\N	122	30065	UROK	\N	\N
3597722	2027	1997-12-31	PRIJEM	\N	126	30265	UROK	\N	\N
3597723	2027	1998-01-31	PRIJEM	\N	104	19852	UROK	\N	\N
3597724	2027	1998-02-28	PRIJEM	\N	86	21662	UROK	\N	\N
3597725	2027	1998-03-31	PRIJEM	\N	94	23479	UROK	\N	\N
3597726	2027	1998-04-30	PRIJEM	\N	95	21298	UROK	\N	\N
3597727	2027	1998-05-31	PRIJEM	\N	93	23114	UROK	\N	\N
3597728	2027	1998-06-30	PRIJEM	\N	100	24937	UROK	\N	\N
3597729	2027	1998-07-31	PRIJEM	\N	108	26768	UROK	\N	\N
3597730	2027	1998-08-31	PRIJEM	\N	115	28607	UROK	\N	\N
3597731	2027	1998-09-30	PRIJEM	\N	123	30453	UROK	\N	\N
3597732	2027	1998-10-31	PRIJEM	\N	125	30381	UROK	\N	\N
3597733	2027	1998-11-30	PRIJEM	\N	130	32235	UROK	\N	\N
3597734	2027	1998-12-31	PRIJEM	\N	135	32793	UROK	\N	\N
3597735	2030	1994-10-31	PRIJEM	\N	63	24607	UROK	\N	\N
3597736	2030	1994-11-30	PRIJEM	\N	136	37487	UROK	\N	\N
3597737	2030	1994-12-31	PRIJEM	\N	181	46984	UROK	\N	\N
3597738	2030	1995-01-31	PRIJEM	\N	195	46923	UROK	\N	\N
3597739	2030	1995-02-28	PRIJEM	\N	181	41222	UROK	\N	\N
3597740	2030	1995-03-31	PRIJEM	\N	172	41299	UROK	\N	\N
3597741	2030	1995-04-30	PRIJEM	\N	185	40388	UROK	\N	\N
3597742	2030	1995-05-31	PRIJEM	\N	161	34453	UROK	\N	\N
3597743	2030	1995-06-30	PRIJEM	\N	173	40102	UROK	\N	\N
3597744	2030	1995-07-31	PRIJEM	\N	182	40789	UROK	\N	\N
3597745	2030	1995-08-31	PRIJEM	\N	178	42972	UROK	\N	\N
3597746	2030	1995-09-30	PRIJEM	\N	187	44763	UROK	\N	\N
3597747	2030	1995-10-31	PRIJEM	\N	195	45263	UROK	\N	\N
3597748	2030	1995-11-30	PRIJEM	\N	191	39358	UROK	\N	\N
3597749	2030	1995-12-31	PRIJEM	\N	216	51651	UROK	\N	\N
3597750	2030	1996-01-31	PRIJEM	\N	223	52978	UROK	\N	\N
3597751	2030	1996-02-29	PRIJEM	\N	247	53530	UROK	\N	\N
3597752	2030	1996-03-31	PRIJEM	\N	227	53761	UROK	\N	\N
3597753	2030	1996-04-30	PRIJEM	\N	245	58710	UROK	\N	\N
3597754	2030	1996-05-31	PRIJEM	\N	276	62091	UROK	\N	\N
3597755	2030	1996-06-30	PRIJEM	\N	273	58640	UROK	\N	\N
3597756	2030	1996-07-31	PRIJEM	\N	289	70133	UROK	\N	\N
3597757	2030	1996-08-31	PRIJEM	\N	315	72753	UROK	\N	\N
3597758	2030	1996-09-30	PRIJEM	\N	316	75373	UROK	\N	\N
3597759	2030	1996-10-31	PRIJEM	\N	339	81516	UROK	\N	\N
3597760	2030	1996-11-30	PRIJEM	\N	348	83168	UROK	\N	\N
3597761	2030	1996-12-31	PRIJEM	\N	386	94131	UROK	\N	\N
3597762	2030	1997-01-31	PRIJEM	\N	380	68715	UROK	\N	\N
3597763	2030	1997-02-28	PRIJEM	\N	328	85447	UROK	\N	\N
3597764	2030	1997-03-31	PRIJEM	\N	342	81093	UROK	\N	\N
3597765	2030	1997-04-30	PRIJEM	\N	340	84038	UROK	\N	\N
3597766	2030	1997-05-31	PRIJEM	\N	338	63981	UROK	\N	\N
3597767	2030	1997-06-30	PRIJEM	\N	299	63456	UROK	\N	\N
3597768	2030	1997-07-31	PRIJEM	\N	301	63061	UROK	\N	\N
3597769	2030	1997-08-31	PRIJEM	\N	291	56857	UROK	\N	\N
3597770	2030	1997-09-30	PRIJEM	\N	270	56431	UROK	\N	\N
3597771	2030	1997-10-31	PRIJEM	\N	267	56702	UROK	\N	\N
3597772	2030	1997-11-30	PRIJEM	\N	261	53567	UROK	\N	\N
3597773	2030	1997-12-31	PRIJEM	\N	301	57444	UROK	\N	\N
3597774	2030	1998-01-31	PRIJEM	\N	278	53227	UROK	\N	\N
3597775	2030	1998-02-28	PRIJEM	\N	248	52779	UROK	\N	\N
3597776	2030	1998-03-31	PRIJEM	\N	245	49129	UROK	\N	\N
3597777	2030	1998-04-30	PRIJEM	\N	232	49565	UROK	\N	\N
3597778	2030	1998-05-31	PRIJEM	\N	231	48700	UROK	\N	\N
3597779	2030	1998-06-30	PRIJEM	\N	237	51813	UROK	\N	\N
3597780	2030	1998-07-31	PRIJEM	\N	239	51856	UROK	\N	\N
3597781	2030	1998-08-31	PRIJEM	\N	236	51997	UROK	\N	\N
3597782	2030	1998-09-30	PRIJEM	\N	248	46450	UROK	\N	\N
3597783	2030	1998-10-31	PRIJEM	\N	211	47865	UROK	\N	\N
3597784	2030	1998-11-30	PRIJEM	\N	212	49381	UROK	\N	\N
3597785	2030	1998-12-31	PRIJEM	\N	271	76928	UROK	\N	\N
3597853	2032	1996-12-31	PRIJEM	\N	45	18711	UROK	\N	\N
3597854	2032	1997-01-31	PRIJEM	\N	86	22041	UROK	\N	\N
3597855	2032	1997-02-28	PRIJEM	\N	89	20874	UROK	\N	\N
3597856	2032	1997-03-31	PRIJEM	\N	80	18198	UROK	\N	\N
3597857	2032	1997-04-30	PRIJEM	\N	93	17804	UROK	\N	\N
3597858	2032	1997-05-31	PRIJEM	\N	81	10986	UROK	\N	\N
3597859	2032	1997-06-30	PRIJEM	\N	47	9955	UROK	\N	\N
3597860	2032	1997-07-31	PRIJEM	\N	50	12605	UROK	\N	\N
3597861	2032	1997-08-31	PRIJEM	\N	61	15267	UROK	\N	\N
3597862	2032	1997-09-30	PRIJEM	\N	46	9013	UROK	\N	\N
3597863	2032	1997-10-31	PRIJEM	\N	46	11659	UROK	\N	\N
3597864	2032	1997-11-30	PRIJEM	\N	57	14317	UROK	\N	\N
3597865	2032	1997-12-31	PRIJEM	\N	63	15022	UROK	\N	\N
3597866	2032	1998-01-31	PRIJEM	\N	45	9267	UROK	\N	\N
3597867	2032	1998-02-28	PRIJEM	\N	47	11914	UROK	\N	\N
3597868	2032	1998-03-31	PRIJEM	\N	50	11864	UROK	\N	\N
3597869	2032	1998-04-30	PRIJEM	\N	42	9506	UROK	\N	\N
3597870	2032	1998-05-31	PRIJEM	\N	48	12154	UROK	\N	\N
3597871	2032	1998-06-30	PRIJEM	\N	71	18748	UROK	\N	\N
3597872	2032	1998-07-31	PRIJEM	\N	84	19393	UROK	\N	\N
3597873	2032	1998-08-31	PRIJEM	\N	89	22082	UROK	\N	\N
3597874	2032	1998-09-30	PRIJEM	\N	100	24783	UROK	\N	\N
3597875	2032	1998-10-31	PRIJEM	\N	110	22453	UROK	\N	\N
3597876	2032	1998-11-30	PRIJEM	\N	95	18188	UROK	\N	\N
3597877	2032	1998-12-31	PRIJEM	\N	77	15027	UROK	\N	\N
3597878	2033	1996-04-30	PRIJEM	\N	28	16557	UROK	\N	\N
3597879	2033	1996-05-31	PRIJEM	\N	80	23166	UROK	\N	\N
3597880	2033	1996-06-30	PRIJEM	\N	105	27965	UROK	\N	\N
3597881	2033	1996-07-31	PRIJEM	\N	124	32017	UROK	\N	\N
3597882	2033	1996-08-31	PRIJEM	\N	137	29849	UROK	\N	\N
3597883	2033	1996-09-30	PRIJEM	\N	126	27615	UROK	\N	\N
3597884	2033	1996-10-31	PRIJEM	\N	125	29280	UROK	\N	\N
3597885	2033	1996-11-30	PRIJEM	\N	129	29949	UROK	\N	\N
3597886	2033	1996-12-31	PRIJEM	\N	134	30149	UROK	\N	\N
3597887	2033	1997-01-31	PRIJEM	\N	98	13487	UROK	\N	\N
3597888	2033	1997-02-28	PRIJEM	\N	84	23411	UROK	\N	\N
3597889	2033	1997-03-31	PRIJEM	\N	105	24657	UROK	\N	\N
3597890	2033	1997-04-30	PRIJEM	\N	115	28213	UROK	\N	\N
3597891	2033	1997-05-31	PRIJEM	\N	122	28576	UROK	\N	\N
3597892	2033	1997-06-30	PRIJEM	\N	98	14699	UROK	\N	\N
3597893	2033	1997-07-31	PRIJEM	\N	96	22415	UROK	\N	\N
3597894	2033	1997-08-31	PRIJEM	\N	100	22076	UROK	\N	\N
3597895	2033	1997-09-30	PRIJEM	\N	111	28327	UROK	\N	\N
3597896	2033	1997-10-31	PRIJEM	\N	134	33601	UROK	\N	\N
3597897	2033	1997-11-30	PRIJEM	\N	140	31401	UROK	\N	\N
3597898	2033	1997-12-31	PRIJEM	\N	136	31302	UROK	\N	\N
3597899	2033	1998-01-31	PRIJEM	\N	98	20540	UROK	\N	\N
3597900	2033	1998-02-28	PRIJEM	\N	90	18911	UROK	\N	\N
3597901	2033	1998-03-31	PRIJEM	\N	109	29060	UROK	\N	\N
3597902	2033	1998-04-30	PRIJEM	\N	125	30525	UROK	\N	\N
3597903	2033	1998-05-31	PRIJEM	\N	141	31287	UROK	\N	\N
3597904	2033	1998-06-30	PRIJEM	\N	122	28574	UROK	\N	\N
3597905	2033	1998-07-31	PRIJEM	\N	108	26362	UROK	\N	\N
3597906	2033	1998-08-31	PRIJEM	\N	123	30226	UROK	\N	\N
3597907	2033	1998-09-30	PRIJEM	\N	150	36916	UROK	\N	\N
3597908	2033	1998-10-31	PRIJEM	\N	159	38416	UROK	\N	\N
3597909	2033	1998-11-30	PRIJEM	\N	173	42029	UROK	\N	\N
3597910	2033	1998-12-31	PRIJEM	\N	211	49625	UROK	\N	\N
3597911	2034	1996-09-30	PRIJEM	\N	39	25767	UROK	\N	\N
3597912	2034	1996-10-31	PRIJEM	\N	123	35919	UROK	\N	\N
3597913	2034	1996-11-30	PRIJEM	\N	159	42106	UROK	\N	\N
3597914	2034	1996-12-31	PRIJEM	\N	192	51740	UROK	\N	\N
3597915	2034	1997-01-31	PRIJEM	\N	202	25366	UROK	\N	\N
3597916	2034	1997-02-28	PRIJEM	\N	138	32053	UROK	\N	\N
3597917	2034	1997-03-31	PRIJEM	\N	156	37478	UROK	\N	\N
3597918	2034	1997-04-30	PRIJEM	\N	172	39919	UROK	\N	\N
3597919	2034	1997-05-31	PRIJEM	\N	186	44574	UROK	\N	\N
3597920	2034	1997-06-30	PRIJEM	\N	213	45810	UROK	\N	\N
3597921	2034	1997-07-31	PRIJEM	\N	208	49988	UROK	\N	\N
3597922	2034	1997-08-31	PRIJEM	\N	225	50382	UROK	\N	\N
3597923	2034	1997-09-30	PRIJEM	\N	223	54075	UROK	\N	\N
3597924	2034	1997-10-31	PRIJEM	\N	234	55878	UROK	\N	\N
3597925	2034	1997-11-30	PRIJEM	\N	249	61597	UROK	\N	\N
3597926	2034	1997-12-31	PRIJEM	\N	278	67058	UROK	\N	\N
3597927	2034	1998-01-31	PRIJEM	\N	233	39161	UROK	\N	\N
3597928	2034	1998-02-28	PRIJEM	\N	190	44121	UROK	\N	\N
3597929	2034	1998-03-31	PRIJEM	\N	210	54100	UROK	\N	\N
3597930	2034	1998-04-30	PRIJEM	\N	239	59409	UROK	\N	\N
3597931	2034	1998-05-31	PRIJEM	\N	257	62935	UROK	\N	\N
3597932	2034	1998-06-30	PRIJEM	\N	183	29161	UROK	\N	\N
3597933	2034	1998-07-31	PRIJEM	\N	172	44703	UROK	\N	\N
3597934	2034	1998-08-31	PRIJEM	\N	207	52079	UROK	\N	\N
3597935	2034	1998-09-30	PRIJEM	\N	232	56980	UROK	\N	\N
3597936	2034	1998-10-31	PRIJEM	\N	258	63707	UROK	\N	\N
3597937	2034	1998-11-30	PRIJEM	\N	275	65852	UROK	\N	\N
3597938	2034	1998-12-31	PRIJEM	\N	276	60611	UROK	\N	\N
3597939	2035	1996-06-30	PRIJEM	\N	115	37799	UROK	\N	\N
3597940	2035	1996-07-31	PRIJEM	\N	182	45770	UROK	\N	\N
3597941	2035	1996-08-31	PRIJEM	\N	212	52470	UROK	\N	\N
3597942	2035	1996-09-30	PRIJEM	\N	228	55587	UROK	\N	\N
3597943	2035	1996-10-31	PRIJEM	\N	151	24635	UROK	\N	\N
3597944	2035	1996-11-30	PRIJEM	\N	83	14136	UROK	\N	\N
3597945	2035	1996-12-31	PRIJEM	\N	111	24548	UROK	\N	\N
3597946	2035	1997-01-31	PRIJEM	\N	121	22709	UROK	\N	\N
3597947	2035	1997-02-28	PRIJEM	\N	166	34113	UROK	\N	\N
3597948	2035	1997-03-31	PRIJEM	\N	153	32906	UROK	\N	\N
3597949	2035	1997-04-30	PRIJEM	\N	155	34700	UROK	\N	\N
3597950	2035	1997-05-31	PRIJEM	\N	142	31781	UROK	\N	\N
3597951	2035	1997-06-30	PRIJEM	\N	201	39717	UROK	\N	\N
3597952	2035	1997-07-31	PRIJEM	\N	196	46552	UROK	\N	\N
3597953	2035	1997-08-31	PRIJEM	\N	224	53516	UROK	\N	\N
3597954	2035	1997-09-30	PRIJEM	\N	234	54489	UROK	\N	\N
3597955	2035	1997-10-31	PRIJEM	\N	249	58877	UROK	\N	\N
3597956	2035	1997-11-30	PRIJEM	\N	246	56862	UROK	\N	\N
3597957	2035	1997-12-31	PRIJEM	\N	287	66184	UROK	\N	\N
3597958	2035	1998-01-31	PRIJEM	\N	181	37504	UROK	\N	\N
3597959	2035	1998-02-28	PRIJEM	\N	182	34327	UROK	\N	\N
3597960	2035	1998-03-31	PRIJEM	\N	213	51781	UROK	\N	\N
3597961	2035	1998-04-30	PRIJEM	\N	223	48764	UROK	\N	\N
3597962	2035	1998-05-31	PRIJEM	\N	199	38430	UROK	\N	\N
3597963	2035	1998-06-30	PRIJEM	\N	230	42896	UROK	\N	\N
3597964	2035	1998-07-31	PRIJEM	\N	190	35327	UROK	\N	\N
3597965	2035	1998-08-31	PRIJEM	\N	191	40359	UROK	\N	\N
3597966	2035	1998-09-30	PRIJEM	\N	202	41303	UROK	\N	\N
3597967	2035	1998-10-31	PRIJEM	\N	156	36027	UROK	\N	\N
3597968	2035	1998-11-30	PRIJEM	\N	197	48465	UROK	\N	\N
3597969	2035	1998-12-31	PRIJEM	\N	291	75392	UROK	\N	\N
3597970	2037	1993-05-31	PRIJEM	\N	52	17528	UROK	\N	\N
3597971	2037	1993-06-30	PRIJEM	\N	156	46248	UROK	\N	\N
3597972	2037	1993-07-31	PRIJEM	\N	208	51732	UROK	\N	\N
3597973	2037	1993-08-31	PRIJEM	\N	219	53027	UROK	\N	\N
3597974	2037	1993-09-30	PRIJEM	\N	225	54766	UROK	\N	\N
3597975	2037	1993-10-31	PRIJEM	\N	188	45538	UROK	\N	\N
3597976	2037	1993-11-30	PRIJEM	\N	161	40123	UROK	\N	\N
3597977	2037	1993-12-31	PRIJEM	\N	167	38743	UROK	\N	\N
3597978	2037	1994-01-31	PRIJEM	\N	152	34820	UROK	\N	\N
3597979	2037	1994-02-28	PRIJEM	\N	149	38233	UROK	\N	\N
3597980	2037	1994-03-31	PRIJEM	\N	151	38948	UROK	\N	\N
3597981	2037	1994-04-30	PRIJEM	\N	146	35859	UROK	\N	\N
3597982	2037	1994-05-31	PRIJEM	\N	146	38449	UROK	\N	\N
3597983	2037	1994-06-30	PRIJEM	\N	117	31938	UROK	\N	\N
3597984	2037	1994-07-31	PRIJEM	\N	135	28597	UROK	\N	\N
3597985	2037	1994-08-31	PRIJEM	\N	127	30728	UROK	\N	\N
3597986	2037	1994-09-30	PRIJEM	\N	147	32139	UROK	\N	\N
3597987	2037	1994-10-31	PRIJEM	\N	153	34656	UROK	\N	\N
3597988	2037	1994-11-30	PRIJEM	\N	162	36583	UROK	\N	\N
3597989	2037	1994-12-31	PRIJEM	\N	178	35093	UROK	\N	\N
3597990	2037	1995-01-31	PRIJEM	\N	123	30721	UROK	\N	\N
3597991	2037	1995-02-28	PRIJEM	\N	129	29154	UROK	\N	\N
3597992	2037	1995-03-31	PRIJEM	\N	141	34459	UROK	\N	\N
3597993	2037	1995-04-30	PRIJEM	\N	149	33993	UROK	\N	\N
3597994	2037	1995-05-31	PRIJEM	\N	154	35491	UROK	\N	\N
3597995	2037	1995-06-30	PRIJEM	\N	185	41728	UROK	\N	\N
3597996	2037	1995-07-31	PRIJEM	\N	183	37076	UROK	\N	\N
3597997	2037	1995-08-31	PRIJEM	\N	153	31253	UROK	\N	\N
3597998	2037	1995-09-30	PRIJEM	\N	146	33423	UROK	\N	\N
3597999	2037	1995-10-31	PRIJEM	\N	158	38845	UROK	\N	\N
3598000	2037	1995-11-30	PRIJEM	\N	172	37781	UROK	\N	\N
3598001	2037	1995-12-31	PRIJEM	\N	175	39968	UROK	\N	\N
3598002	2037	1996-01-31	PRIJEM	\N	174	39307	UROK	\N	\N
3598003	2037	1996-02-29	PRIJEM	\N	169	36540	UROK	\N	\N
3598004	2037	1996-03-31	PRIJEM	\N	160	35564	UROK	\N	\N
3598005	2037	1996-04-30	PRIJEM	\N	159	36787	UROK	\N	\N
3598006	2037	1996-05-31	PRIJEM	\N	167	40419	UROK	\N	\N
3598007	2037	1996-06-30	PRIJEM	\N	163	33654	UROK	\N	\N
3598008	2037	1996-07-31	PRIJEM	\N	154	36652	UROK	\N	\N
3598009	2037	1996-08-31	PRIJEM	\N	166	40002	UROK	\N	\N
3598010	2037	1996-09-30	PRIJEM	\N	169	38435	UROK	\N	\N
3598011	2037	1996-10-31	PRIJEM	\N	168	39387	UROK	\N	\N
3598012	2037	1996-11-30	PRIJEM	\N	164	37315	UROK	\N	\N
3598013	2037	1996-12-31	PRIJEM	\N	172	39160	UROK	\N	\N
3598014	2037	1997-01-31	PRIJEM	\N	147	31271	UROK	\N	\N
3598015	2037	1997-02-28	PRIJEM	\N	141	35716	UROK	\N	\N
3598016	2037	1997-03-31	PRIJEM	\N	158	38639	UROK	\N	\N
3598017	2037	1997-04-30	PRIJEM	\N	175	35218	UROK	\N	\N
3598018	2037	1997-05-31	PRIJEM	\N	158	39541	UROK	\N	\N
3598019	2037	1997-06-30	PRIJEM	\N	180	43673	UROK	\N	\N
3598020	2037	1997-07-31	PRIJEM	\N	171	37369	UROK	\N	\N
3598021	2037	1997-08-31	PRIJEM	\N	145	36338	UROK	\N	\N
3598022	2037	1997-09-30	PRIJEM	\N	148	35550	UROK	\N	\N
3598023	2037	1997-10-31	PRIJEM	\N	165	35180	UROK	\N	\N
3598024	2037	1997-11-30	PRIJEM	\N	133	31377	UROK	\N	\N
3598025	2037	1997-12-31	PRIJEM	\N	138	34488	UROK	\N	\N
3598026	2037	1998-01-31	PRIJEM	\N	128	30680	UROK	\N	\N
3598027	2037	1998-02-28	PRIJEM	\N	148	39793	UROK	\N	\N
3598028	2037	1998-03-31	PRIJEM	\N	152	36209	UROK	\N	\N
3598029	2037	1998-04-30	PRIJEM	\N	146	35779	UROK	\N	\N
3598030	2037	1998-05-31	PRIJEM	\N	141	30544	UROK	\N	\N
3598031	2037	1998-06-30	PRIJEM	\N	138	39475	UROK	\N	\N
3598032	2037	1998-07-31	PRIJEM	\N	166	39365	UROK	\N	\N
3598033	2037	1998-08-31	PRIJEM	\N	154	36764	UROK	\N	\N
3598034	2037	1998-09-30	PRIJEM	\N	177	47605	UROK	\N	\N
3598035	2037	1998-10-31	PRIJEM	\N	201	52071	UROK	\N	\N
3598036	2037	1998-11-30	PRIJEM	\N	210	54345	UROK	\N	\N
3598037	2037	1998-12-31	PRIJEM	\N	248	65986	UROK	\N	\N
3598038	2038	1993-09-30	PRIJEM	\N	31	13994	UROK	\N	\N
3598039	2038	1993-10-31	PRIJEM	\N	73	24229	UROK	\N	\N
3598040	2038	1993-11-30	PRIJEM	\N	111	28003	UROK	\N	\N
3598041	2038	1993-12-31	PRIJEM	\N	143	35240	UROK	\N	\N
3598042	2038	1994-01-31	PRIJEM	\N	136	30657	UROK	\N	\N
3598043	2038	1994-02-28	PRIJEM	\N	127	29891	UROK	\N	\N
3598044	2038	1994-03-31	PRIJEM	\N	119	28016	UROK	\N	\N
3598045	2038	1994-04-30	PRIJEM	\N	116	26639	UROK	\N	\N
3598046	2038	1994-05-31	PRIJEM	\N	125	29471	UROK	\N	\N
3598047	2038	1994-06-30	PRIJEM	\N	141	27009	UROK	\N	\N
3598048	2038	1994-07-31	PRIJEM	\N	118	27333	UROK	\N	\N
3598049	2038	1994-08-31	PRIJEM	\N	122	27761	UROK	\N	\N
3598050	2038	1994-09-30	PRIJEM	\N	121	28189	UROK	\N	\N
3598051	2038	1994-10-31	PRIJEM	\N	126	25721	UROK	\N	\N
3598052	2038	1994-11-30	PRIJEM	\N	118	27846	UROK	\N	\N
3598053	2038	1994-12-31	PRIJEM	\N	115	24858	UROK	\N	\N
3598054	2038	1995-01-31	PRIJEM	\N	115	28480	UROK	\N	\N
3598055	2038	1995-02-28	PRIJEM	\N	127	29813	UROK	\N	\N
3598056	2038	1995-03-31	PRIJEM	\N	126	25546	UROK	\N	\N
3598057	2038	1995-04-30	PRIJEM	\N	114	26367	UROK	\N	\N
3598058	2038	1995-05-31	PRIJEM	\N	118	23331	UROK	\N	\N
3598059	2038	1995-06-30	PRIJEM	\N	114	24982	UROK	\N	\N
3598060	2038	1995-07-31	PRIJEM	\N	112	26301	UROK	\N	\N
3598061	2038	1995-08-31	PRIJEM	\N	115	26802	UROK	\N	\N
3598062	2038	1995-09-30	PRIJEM	\N	117	25826	UROK	\N	\N
3598063	2038	1995-10-31	PRIJEM	\N	112	27164	UROK	\N	\N
3598064	2038	1995-11-30	PRIJEM	\N	122	29592	UROK	\N	\N
3598065	2038	1995-12-31	PRIJEM	\N	133	28302	UROK	\N	\N
3598066	2038	1996-01-31	PRIJEM	\N	102	25971	UROK	\N	\N
3598067	2038	1996-02-29	PRIJEM	\N	111	28468	UROK	\N	\N
3598068	2038	1996-03-31	PRIJEM	\N	105	24599	UROK	\N	\N
3598069	2038	1996-04-30	PRIJEM	\N	111	25117	UROK	\N	\N
3598070	2038	1996-05-31	PRIJEM	\N	114	28538	UROK	\N	\N
3598071	2038	1996-06-30	PRIJEM	\N	135	30410	UROK	\N	\N
3598072	2038	1996-07-31	PRIJEM	\N	128	27044	UROK	\N	\N
3598073	2038	1996-08-31	PRIJEM	\N	118	27528	UROK	\N	\N
3598074	2038	1996-09-30	PRIJEM	\N	122	27556	UROK	\N	\N
3598075	2038	1996-10-31	PRIJEM	\N	119	28442	UROK	\N	\N
3598076	2038	1996-11-30	PRIJEM	\N	131	29639	UROK	\N	\N
3598077	2038	1996-12-31	PRIJEM	\N	143	35219	UROK	\N	\N
3598078	2038	1997-01-31	PRIJEM	\N	136	26722	UROK	\N	\N
3598079	2038	1997-02-28	PRIJEM	\N	122	29150	UROK	\N	\N
3598080	2038	1997-03-31	PRIJEM	\N	125	29842	UROK	\N	\N
3598081	2038	1997-04-30	PRIJEM	\N	133	32781	UROK	\N	\N
3598082	2038	1997-05-31	PRIJEM	\N	143	34531	UROK	\N	\N
3598083	2038	1997-06-30	PRIJEM	\N	130	30438	UROK	\N	\N
3598084	2038	1997-07-31	PRIJEM	\N	142	35386	UROK	\N	\N
3598085	2038	1997-08-31	PRIJEM	\N	146	32219	UROK	\N	\N
3598086	2038	1997-09-30	PRIJEM	\N	151	34596	UROK	\N	\N
3598087	2038	1997-10-31	PRIJEM	\N	154	36356	UROK	\N	\N
3598088	2038	1997-11-30	PRIJEM	\N	149	34832	UROK	\N	\N
3598089	2038	1997-12-31	PRIJEM	\N	149	33978	UROK	\N	\N
3598090	2038	1998-01-31	PRIJEM	\N	146	29410	UROK	\N	\N
3598091	2038	1998-02-28	PRIJEM	\N	139	29395	UROK	\N	\N
3598092	2038	1998-03-31	PRIJEM	\N	126	28987	UROK	\N	\N
3598093	2038	1998-04-30	PRIJEM	\N	133	32627	UROK	\N	\N
3598094	2038	1998-05-31	PRIJEM	\N	143	34176	UROK	\N	\N
3598095	2038	1998-06-30	PRIJEM	\N	152	36265	UROK	\N	\N
3598096	2038	1998-07-31	PRIJEM	\N	143	31955	UROK	\N	\N
3598097	2038	1998-08-31	PRIJEM	\N	139	34101	UROK	\N	\N
3598098	2038	1998-09-30	PRIJEM	\N	153	36820	UROK	\N	\N
3598099	2038	1998-10-31	PRIJEM	\N	170	42496	UROK	\N	\N
3598100	2038	1998-11-30	PRIJEM	\N	154	31537	UROK	\N	\N
3598101	2038	1998-12-31	PRIJEM	\N	160	41074	UROK	\N	\N
3598102	2040	1996-07-31	PRIJEM	\N	17	18110	UROK	\N	\N
3598103	2040	1996-08-31	PRIJEM	\N	85	26888	UROK	\N	\N
3598104	2040	1996-09-30	PRIJEM	\N	116	31197	UROK	\N	\N
3598105	2040	1996-10-31	PRIJEM	\N	130	31820	UROK	\N	\N
3598106	2040	1996-11-30	PRIJEM	\N	136	35250	UROK	\N	\N
3598107	2040	1996-12-31	PRIJEM	\N	135	33228	UROK	\N	\N
3598108	2040	1997-01-31	PRIJEM	\N	139	31483	UROK	\N	\N
3598109	2040	1997-02-28	PRIJEM	\N	133	30912	UROK	\N	\N
3598110	2040	1997-03-31	PRIJEM	\N	127	27556	UROK	\N	\N
3598111	2040	1997-04-30	PRIJEM	\N	114	25186	UROK	\N	\N
3598112	2040	1997-05-31	PRIJEM	\N	106	25888	UROK	\N	\N
3598113	2040	1997-06-30	PRIJEM	\N	117	27968	UROK	\N	\N
3598114	2040	1997-07-31	PRIJEM	\N	114	24999	UROK	\N	\N
3598115	2040	1997-08-31	PRIJEM	\N	94	25889	UROK	\N	\N
3598116	2040	1997-09-30	PRIJEM	\N	114	28520	UROK	\N	\N
3598117	2040	1997-10-31	PRIJEM	\N	127	32163	UROK	\N	\N
3598118	2040	1997-11-30	PRIJEM	\N	133	31173	UROK	\N	\N
3598119	2040	1997-12-31	PRIJEM	\N	138	33774	UROK	\N	\N
3598120	2040	1998-01-31	PRIJEM	\N	150	37640	UROK	\N	\N
3598121	2040	1998-02-28	PRIJEM	\N	152	35308	UROK	\N	\N
3598122	2040	1998-03-31	PRIJEM	\N	154	38479	UROK	\N	\N
3598123	2040	1998-04-30	PRIJEM	\N	169	42564	UROK	\N	\N
3598124	2040	1998-05-31	PRIJEM	\N	188	47268	UROK	\N	\N
3598125	2040	1998-06-30	PRIJEM	\N	138	36969	UROK	\N	\N
3598126	2040	1998-07-31	PRIJEM	\N	176	46862	UROK	\N	\N
3598127	2040	1998-08-31	PRIJEM	\N	195	44493	UROK	\N	\N
3598128	2040	1998-09-30	PRIJEM	\N	169	48678	UROK	\N	\N
3598129	2040	1998-10-31	PRIJEM	\N	210	57904	UROK	\N	\N
3598130	2040	1998-11-30	PRIJEM	\N	252	62772	UROK	\N	\N
3598131	2040	1998-12-31	PRIJEM	\N	274	67309	UROK	\N	\N
3598132	2042	1997-07-31	PRIJEM	\N	45	15019	UROK	\N	\N
3598133	2042	1997-08-31	PRIJEM	\N	63	15102	UROK	\N	\N
3598134	2042	1997-09-30	PRIJEM	\N	66	15317	UROK	\N	\N
3598135	2042	1997-10-31	PRIJEM	\N	68	16504	UROK	\N	\N
3598136	2042	1997-11-30	PRIJEM	\N	71	16825	UROK	\N	\N
3598137	2042	1997-12-31	PRIJEM	\N	63	13727	UROK	\N	\N
3598138	2042	1998-01-31	PRIJEM	\N	47	10143	UROK	\N	\N
3598139	2042	1998-02-28	PRIJEM	\N	42	9604	UROK	\N	\N
3598140	2042	1998-03-31	PRIJEM	\N	44	10767	UROK	\N	\N
3598141	2042	1998-04-30	PRIJEM	\N	49	11935	UROK	\N	\N
3598142	2042	1998-05-31	PRIJEM	\N	53	13108	UROK	\N	\N
3598143	2042	1998-06-30	PRIJEM	\N	55	12993	UROK	\N	\N
3598144	2042	1998-07-31	PRIJEM	\N	58	14170	UROK	\N	\N
3598145	2042	1998-08-31	PRIJEM	\N	63	15352	UROK	\N	\N
3598146	2042	1998-09-30	PRIJEM	\N	68	16539	UROK	\N	\N
3598147	2042	1998-10-31	PRIJEM	\N	73	16921	UROK	\N	\N
3598148	2042	1998-11-30	PRIJEM	\N	74	18115	UROK	\N	\N
3598149	2042	1998-12-31	PRIJEM	\N	77	18381	UROK	\N	\N
3598150	2043	1995-12-31	PRIJEM	\N	13	19538	UROK	\N	\N
3598151	2043	1996-01-31	PRIJEM	\N	85	24574	UROK	\N	\N
3598152	2043	1996-02-29	PRIJEM	\N	104	27127	UROK	\N	\N
3598153	2043	1996-03-31	PRIJEM	\N	113	27290	UROK	\N	\N
3598154	2043	1996-04-30	PRIJEM	\N	114	23688	UROK	\N	\N
3598155	2043	1996-05-31	PRIJEM	\N	100	21377	UROK	\N	\N
3598156	2043	1996-06-30	PRIJEM	\N	109	25311	UROK	\N	\N
3598157	2043	1996-07-31	PRIJEM	\N	103	22403	UROK	\N	\N
3598158	2043	1996-08-31	PRIJEM	\N	93	20166	UROK	\N	\N
3598159	2043	1996-09-30	PRIJEM	\N	85	19020	UROK	\N	\N
3598160	2043	1996-10-31	PRIJEM	\N	86	22275	UROK	\N	\N
3598161	2043	1996-11-30	PRIJEM	\N	95	22500	UROK	\N	\N
3598162	2043	1996-12-31	PRIJEM	\N	103	26328	UROK	\N	\N
3598163	2043	1997-01-31	PRIJEM	\N	91	16108	UROK	\N	\N
3598164	2043	1997-02-28	PRIJEM	\N	76	21053	UROK	\N	\N
3598165	2043	1997-03-31	PRIJEM	\N	93	23516	UROK	\N	\N
3598166	2043	1997-04-30	PRIJEM	\N	97	22083	UROK	\N	\N
3598167	2043	1997-05-31	PRIJEM	\N	93	21845	UROK	\N	\N
3598168	2043	1997-06-30	PRIJEM	\N	103	27193	UROK	\N	\N
3598169	2043	1997-07-31	PRIJEM	\N	115	26297	UROK	\N	\N
3598170	2043	1997-08-31	PRIJEM	\N	104	24590	UROK	\N	\N
3598171	2043	1997-09-30	PRIJEM	\N	98	20177	UROK	\N	\N
3598172	2043	1997-10-31	PRIJEM	\N	75	13421	UROK	\N	\N
3598173	2043	1997-11-30	PRIJEM	\N	66	18056	UROK	\N	\N
3598174	2043	1997-12-31	PRIJEM	\N	80	19401	UROK	\N	\N
3598175	2043	1998-01-31	PRIJEM	\N	66	13536	UROK	\N	\N
3598176	2043	1998-02-28	PRIJEM	\N	57	14062	UROK	\N	\N
3598177	2043	1998-03-31	PRIJEM	\N	61	14992	UROK	\N	\N
3598178	2043	1998-04-30	PRIJEM	\N	76	21137	UROK	\N	\N
3598179	2043	1998-05-31	PRIJEM	\N	88	20874	UROK	\N	\N
3598180	2043	1998-06-30	PRIJEM	\N	90	22609	UROK	\N	\N
3598181	2043	1998-07-31	PRIJEM	\N	85	19163	UROK	\N	\N
3598182	2043	1998-08-31	PRIJEM	\N	74	16806	UROK	\N	\N
3598183	2043	1998-09-30	PRIJEM	\N	70	16645	UROK	\N	\N
3598184	2043	1998-10-31	PRIJEM	\N	68	14683	UROK	\N	\N
3598185	2043	1998-11-30	PRIJEM	\N	58	12069	UROK	\N	\N
3598186	2043	1998-12-31	PRIJEM	\N	61	15775	UROK	\N	\N
3598187	2044	1994-12-31	PRIJEM	\N	33	27190	UROK	\N	\N
3598188	2044	1995-01-31	PRIJEM	\N	122	34150	UROK	\N	\N
3598189	2044	1995-02-28	PRIJEM	\N	147	38635	UROK	\N	\N
3598190	2044	1995-03-31	PRIJEM	\N	164	41838	UROK	\N	\N
3598191	2044	1995-04-30	PRIJEM	\N	177	44753	UROK	\N	\N
3598192	2044	1995-05-31	PRIJEM	\N	178	36937	UROK	\N	\N
3598193	2044	1995-06-30	PRIJEM	\N	178	35441	UROK	\N	\N
3598194	2044	1995-07-31	PRIJEM	\N	161	35308	UROK	\N	\N
3598195	2044	1995-08-31	PRIJEM	\N	160	36075	UROK	\N	\N
3598196	2044	1995-09-30	PRIJEM	\N	156	32937	UROK	\N	\N
3598197	2044	1995-10-31	PRIJEM	\N	146	31689	UROK	\N	\N
3598198	2044	1995-11-30	PRIJEM	\N	146	34241	UROK	\N	\N
3598199	2044	1995-12-31	PRIJEM	\N	150	33317	UROK	\N	\N
3598200	2044	1996-01-31	PRIJEM	\N	145	32668	UROK	\N	\N
3598201	2044	1996-02-29	PRIJEM	\N	149	35624	UROK	\N	\N
3598202	2044	1996-03-31	PRIJEM	\N	155	36085	UROK	\N	\N
3598203	2044	1996-04-30	PRIJEM	\N	146	28538	UROK	\N	\N
3598204	2044	1996-05-31	PRIJEM	\N	130	30974	UROK	\N	\N
3598205	2044	1996-06-30	PRIJEM	\N	139	31139	UROK	\N	\N
3598206	2044	1996-07-31	PRIJEM	\N	140	33686	UROK	\N	\N
3598207	2044	1996-08-31	PRIJEM	\N	142	30133	UROK	\N	\N
3598208	2044	1996-09-30	PRIJEM	\N	144	36884	UROK	\N	\N
3598209	2044	1996-10-31	PRIJEM	\N	163	39954	UROK	\N	\N
3598210	2044	1996-11-30	PRIJEM	\N	172	42033	UROK	\N	\N
3598211	2044	1996-12-31	PRIJEM	\N	176	44234	UROK	\N	\N
3598212	2044	1997-01-31	PRIJEM	\N	201	46041	UROK	\N	\N
3598213	2044	1997-02-28	PRIJEM	\N	213	54860	UROK	\N	\N
3598214	2044	1997-03-31	PRIJEM	\N	211	46677	UROK	\N	\N
3598215	2044	1997-04-30	PRIJEM	\N	194	46877	UROK	\N	\N
3598216	2044	1997-05-31	PRIJEM	\N	222	48805	UROK	\N	\N
3598217	2044	1997-06-30	PRIJEM	\N	182	39812	UROK	\N	\N
3598218	2044	1997-07-31	PRIJEM	\N	205	54324	UROK	\N	\N
3598219	2044	1997-08-31	PRIJEM	\N	242	61472	UROK	\N	\N
3598220	2044	1997-09-30	PRIJEM	\N	260	65738	UROK	\N	\N
3598221	2044	1997-10-31	PRIJEM	\N	281	71426	UROK	\N	\N
3598222	2044	1997-11-30	PRIJEM	\N	294	74126	UROK	\N	\N
3598223	2044	1997-12-31	PRIJEM	\N	330	85481	UROK	\N	\N
3598224	2044	1998-01-31	PRIJEM	\N	307	71895	UROK	\N	\N
3598225	2044	1998-02-28	PRIJEM	\N	272	67673	UROK	\N	\N
3598226	2044	1998-03-31	PRIJEM	\N	278	70157	UROK	\N	\N
3598227	2044	1998-04-30	PRIJEM	\N	259	63222	UROK	\N	\N
3598228	2044	1998-05-31	PRIJEM	\N	243	61072	UROK	\N	\N
3598229	2044	1998-06-30	PRIJEM	\N	214	56412	UROK	\N	\N
3598230	2044	1998-07-31	PRIJEM	\N	246	63464	UROK	\N	\N
3598231	2044	1998-08-31	PRIJEM	\N	253	63923	UROK	\N	\N
3598232	2044	1998-09-30	PRIJEM	\N	255	63684	UROK	\N	\N
3598233	2044	1998-10-31	PRIJEM	\N	250	59340	UROK	\N	\N
3598234	2044	1998-11-30	PRIJEM	\N	243	62190	UROK	\N	\N
3598235	2044	1998-12-31	PRIJEM	\N	254	68369	UROK	\N	\N
3598236	2045	1997-02-28	PRIJEM	\N	74	31188	UROK	\N	\N
3598237	2045	1997-03-31	PRIJEM	\N	122	26570	UROK	\N	\N
3598238	2045	1997-04-30	PRIJEM	\N	114	27583	UROK	\N	\N
3598239	2045	1997-05-31	PRIJEM	\N	128	31570	UROK	\N	\N
3598240	2045	1997-06-30	PRIJEM	\N	111	19551	UROK	\N	\N
3598241	2045	1997-07-31	PRIJEM	\N	94	24404	UROK	\N	\N
3598242	2045	1997-08-31	PRIJEM	\N	114	29277	UROK	\N	\N
3598243	2045	1997-09-30	PRIJEM	\N	125	28421	UROK	\N	\N
3598244	2045	1997-10-31	PRIJEM	\N	127	31008	UROK	\N	\N
3598245	2045	1997-11-30	PRIJEM	\N	125	29593	UROK	\N	\N
3598246	2045	1997-12-31	PRIJEM	\N	124	29476	UROK	\N	\N
3598247	2045	1998-01-31	PRIJEM	\N	86	15052	UROK	\N	\N
3598248	2045	1998-02-28	PRIJEM	\N	71	17242	UROK	\N	\N
3598249	2045	1998-03-31	PRIJEM	\N	80	19581	UROK	\N	\N
3598250	2045	1998-04-30	PRIJEM	\N	86	20626	UROK	\N	\N
3598251	2045	1998-05-31	PRIJEM	\N	77	17663	UROK	\N	\N
3598252	2045	1998-06-30	PRIJEM	\N	72	14754	UROK	\N	\N
3598253	2045	1998-07-31	PRIJEM	\N	73	19587	UROK	\N	\N
3598254	2045	1998-08-31	PRIJEM	\N	81	17028	UROK	\N	\N
3598255	2045	1998-09-30	PRIJEM	\N	80	12867	UROK	\N	\N
3598256	2045	1998-10-31	PRIJEM	\N	63	14249	UROK	\N	\N
3598257	2045	1998-11-30	PRIJEM	\N	68	12977	UROK	\N	\N
3598258	2045	1998-12-31	PRIJEM	\N	68	16904	UROK	\N	\N
3598259	2046	1996-11-30	PRIJEM	\N	29	13739	UROK	\N	\N
3598260	2046	1996-12-31	PRIJEM	\N	74	21623	UROK	\N	\N
3598261	2046	1997-01-31	PRIJEM	\N	95	23727	UROK	\N	\N
3598262	2046	1997-02-28	PRIJEM	\N	101	25038	UROK	\N	\N
3598263	2046	1997-03-31	PRIJEM	\N	104	25153	UROK	\N	\N
3598264	2046	1997-04-30	PRIJEM	\N	96	21681	UROK	\N	\N
3598265	2046	1997-05-31	PRIJEM	\N	81	18485	UROK	\N	\N
3598266	2046	1997-06-30	PRIJEM	\N	76	18683	UROK	\N	\N
3598267	2046	1997-07-31	PRIJEM	\N	74	17980	UROK	\N	\N
3598268	2046	1997-08-31	PRIJEM	\N	76	18578	UROK	\N	\N
3598269	2046	1997-09-30	PRIJEM	\N	90	24291	UROK	\N	\N
3598270	2046	1997-10-31	PRIJEM	\N	102	25315	UROK	\N	\N
3598271	2046	1997-11-30	PRIJEM	\N	110	27948	UROK	\N	\N
3598272	2046	1997-12-31	PRIJEM	\N	117	28607	UROK	\N	\N
3598273	2046	1998-01-31	PRIJEM	\N	96	20836	UROK	\N	\N
3598274	2046	1998-02-28	PRIJEM	\N	83	20641	UROK	\N	\N
3598275	2046	1998-03-31	PRIJEM	\N	80	19243	UROK	\N	\N
3598276	2046	1998-04-30	PRIJEM	\N	74	18040	UROK	\N	\N
3598277	2046	1998-05-31	PRIJEM	\N	76	19078	UROK	\N	\N
3598278	2046	1998-06-30	PRIJEM	\N	68	13248	UROK	\N	\N
3598279	2046	1998-07-31	PRIJEM	\N	67	18038	UROK	\N	\N
3598280	2046	1998-08-31	PRIJEM	\N	83	21424	UROK	\N	\N
3598281	2046	1998-09-30	PRIJEM	\N	99	25345	UROK	\N	\N
3598282	2046	1998-10-31	PRIJEM	\N	112	27740	UROK	\N	\N
3598283	2046	1998-11-30	PRIJEM	\N	123	30985	UROK	\N	\N
3598284	2046	1998-12-31	PRIJEM	\N	128	31555	UROK	\N	\N
3598285	2047	1995-07-31	PRIJEM	\N	70	21635	UROK	\N	\N
3598286	2047	1995-08-31	PRIJEM	\N	105	23782	UROK	\N	\N
3598287	2047	1995-09-30	PRIJEM	\N	102	23366	UROK	\N	\N
3598288	2047	1995-10-31	PRIJEM	\N	112	25521	UROK	\N	\N
3598289	2047	1995-11-30	PRIJEM	\N	113	27576	UROK	\N	\N
3598290	2047	1995-12-31	PRIJEM	\N	120	26459	UROK	\N	\N
3598291	2047	1996-01-31	PRIJEM	\N	124	27726	UROK	\N	\N
3598292	2047	1996-02-29	PRIJEM	\N	120	28788	UROK	\N	\N
3598293	2047	1996-03-31	PRIJEM	\N	127	30957	UROK	\N	\N
3598294	2047	1996-04-30	PRIJEM	\N	132	31632	UROK	\N	\N
3598295	2047	1996-05-31	PRIJEM	\N	138	33412	UROK	\N	\N
3598296	2047	1996-06-30	PRIJEM	\N	140	28944	UROK	\N	\N
3598297	2047	1996-07-31	PRIJEM	\N	131	27198	UROK	\N	\N
3598298	2047	1996-08-31	PRIJEM	\N	120	29360	UROK	\N	\N
3598299	2047	1996-09-30	PRIJEM	\N	129	31531	UROK	\N	\N
3598300	2047	1996-10-31	PRIJEM	\N	140	31714	UROK	\N	\N
3598301	2047	1996-11-30	PRIJEM	\N	139	33894	UROK	\N	\N
3598302	2047	1996-12-31	PRIJEM	\N	154	34751	UROK	\N	\N
3598303	2047	1997-01-31	PRIJEM	\N	145	33888	UROK	\N	\N
3598304	2047	1997-02-28	PRIJEM	\N	147	36078	UROK	\N	\N
3598305	2047	1997-03-31	PRIJEM	\N	154	36435	UROK	\N	\N
3598306	2047	1997-04-30	PRIJEM	\N	156	37193	UROK	\N	\N
3598307	2047	1997-05-31	PRIJEM	\N	163	37879	UROK	\N	\N
3598308	2047	1997-06-30	PRIJEM	\N	159	38430	UROK	\N	\N
3598309	2047	1997-07-31	PRIJEM	\N	166	40638	UROK	\N	\N
3598310	2047	1997-08-31	PRIJEM	\N	169	39410	UROK	\N	\N
3598311	2047	1997-09-30	PRIJEM	\N	165	39297	UROK	\N	\N
3598312	2047	1997-10-31	PRIJEM	\N	163	39302	UROK	\N	\N
3598313	2047	1997-11-30	PRIJEM	\N	170	41515	UROK	\N	\N
3598314	2047	1997-12-31	PRIJEM	\N	176	42333	UROK	\N	\N
3598315	2047	1998-01-31	PRIJEM	\N	158	34223	UROK	\N	\N
3598316	2047	1998-02-28	PRIJEM	\N	152	35117	UROK	\N	\N
3598317	2047	1998-03-31	PRIJEM	\N	160	37320	UROK	\N	\N
3598318	2047	1998-04-30	PRIJEM	\N	169	39532	UROK	\N	\N
3598319	2047	1998-05-31	PRIJEM	\N	170	40144	UROK	\N	\N
3598320	2047	1998-06-30	PRIJEM	\N	163	39400	UROK	\N	\N
3598321	2047	1998-07-31	PRIJEM	\N	158	35200	UROK	\N	\N
3598322	2047	1998-08-31	PRIJEM	\N	152	37394	UROK	\N	\N
3598323	2047	1998-09-30	PRIJEM	\N	161	37678	UROK	\N	\N
3598324	2047	1998-10-31	PRIJEM	\N	162	39883	UROK	\N	\N
3598325	2047	1998-11-30	PRIJEM	\N	180	42105	UROK	\N	\N
3598326	2047	1998-12-31	PRIJEM	\N	177	43324	UROK	\N	\N
3598327	2048	1997-04-30	PRIJEM	\N	5	19237	UROK	\N	\N
3598328	2048	1997-05-31	PRIJEM	\N	84	29854	UROK	\N	\N
3598329	2048	1997-06-30	PRIJEM	\N	126	33677	UROK	\N	\N
3598330	2048	1997-07-31	PRIJEM	\N	138	30047	UROK	\N	\N
3598331	2048	1997-08-31	PRIJEM	\N	141	27750	UROK	\N	\N
3598332	2048	1997-09-30	PRIJEM	\N	139	30415	UROK	\N	\N
3598333	2048	1997-10-31	PRIJEM	\N	142	32263	UROK	\N	\N
3598334	2048	1997-11-30	PRIJEM	\N	156	34166	UROK	\N	\N
3598335	2048	1997-12-31	PRIJEM	\N	181	37979	UROK	\N	\N
3598336	2048	1998-01-31	PRIJEM	\N	142	24508	UROK	\N	\N
3598337	2048	1998-02-28	PRIJEM	\N	122	29957	UROK	\N	\N
3598338	2048	1998-03-31	PRIJEM	\N	147	36250	UROK	\N	\N
3598339	2048	1998-04-30	PRIJEM	\N	170	39747	UROK	\N	\N
3598340	2048	1998-05-31	PRIJEM	\N	187	46980	UROK	\N	\N
3598341	2048	1998-06-30	PRIJEM	\N	206	44558	UROK	\N	\N
3598342	2048	1998-07-31	PRIJEM	\N	197	39902	UROK	\N	\N
3598343	2048	1998-08-31	PRIJEM	\N	183	41211	UROK	\N	\N
3598344	2048	1998-09-30	PRIJEM	\N	183	41120	UROK	\N	\N
3598345	2048	1998-10-31	PRIJEM	\N	181	39628	UROK	\N	\N
3598346	2048	1998-11-30	PRIJEM	\N	164	33219	UROK	\N	\N
3598347	2048	1998-12-31	PRIJEM	\N	175	47587	UROK	\N	\N
3598348	2049	1998-01-31	PRIJEM	\N	32	17169	UROK	\N	\N
3598349	2049	1998-02-28	PRIJEM	\N	78	20684	UROK	\N	\N
3598350	2049	1998-03-31	PRIJEM	\N	97	26817	UROK	\N	\N
3598351	2049	1998-04-30	PRIJEM	\N	115	28970	UROK	\N	\N
3598352	2049	1998-05-31	PRIJEM	\N	126	32033	UROK	\N	\N
3598353	2049	1998-06-30	PRIJEM	\N	136	30679	UROK	\N	\N
3598354	2049	1998-07-31	PRIJEM	\N	135	33545	UROK	\N	\N
3598355	2049	1998-08-31	PRIJEM	\N	130	27206	UROK	\N	\N
3598356	2049	1998-09-30	PRIJEM	\N	91	20369	UROK	\N	\N
3598357	2049	1998-10-31	PRIJEM	\N	90	22190	UROK	\N	\N
3598358	2049	1998-11-30	PRIJEM	\N	90	21831	UROK	\N	\N
3598359	2049	1998-12-31	PRIJEM	\N	102	22004	UROK	\N	\N
3598360	2050	1993-11-30	PRIJEM	\N	29	21140	UROK	\N	\N
3598361	2050	1993-12-31	PRIJEM	\N	107	33963	UROK	\N	\N
3598362	2050	1994-01-31	PRIJEM	\N	150	39424	UROK	\N	\N
3598363	2050	1994-02-28	PRIJEM	\N	163	38798	UROK	\N	\N
3598364	2050	1994-03-31	PRIJEM	\N	178	37783	UROK	\N	\N
3598365	2050	1994-04-30	PRIJEM	\N	173	36748	UROK	\N	\N
3598366	2050	1994-05-31	PRIJEM	\N	168	35509	UROK	\N	\N
3598367	2050	1994-06-30	PRIJEM	\N	133	27338	UROK	\N	\N
3598368	2050	1994-07-31	PRIJEM	\N	126	25957	UROK	\N	\N
3598369	2050	1994-08-31	PRIJEM	\N	131	30181	UROK	\N	\N
3598370	2050	1994-09-30	PRIJEM	\N	144	32117	UROK	\N	\N
3598371	2050	1994-10-31	PRIJEM	\N	152	34161	UROK	\N	\N
3598372	2050	1994-11-30	PRIJEM	\N	151	31204	UROK	\N	\N
3598373	2050	1994-12-31	PRIJEM	\N	163	36265	UROK	\N	\N
3598374	2050	1995-01-31	PRIJEM	\N	129	21086	UROK	\N	\N
3598375	2050	1995-02-28	PRIJEM	\N	110	24188	UROK	\N	\N
3598376	2050	1995-03-31	PRIJEM	\N	123	28704	UROK	\N	\N
3598377	2050	1995-04-30	PRIJEM	\N	119	22815	UROK	\N	\N
3598378	2050	1995-05-31	PRIJEM	\N	110	23418	UROK	\N	\N
3598379	2050	1995-06-30	PRIJEM	\N	132	29248	UROK	\N	\N
3598380	2050	1995-07-31	PRIJEM	\N	134	29574	UROK	\N	\N
3598381	2050	1995-08-31	PRIJEM	\N	134	29800	UROK	\N	\N
3598382	2050	1995-09-30	PRIJEM	\N	125	26818	UROK	\N	\N
3598383	2050	1995-10-31	PRIJEM	\N	120	26430	UROK	\N	\N
3598384	2050	1995-11-30	PRIJEM	\N	119	25841	UROK	\N	\N
3598385	2050	1995-12-31	PRIJEM	\N	137	30075	UROK	\N	\N
3598386	2050	1996-01-31	PRIJEM	\N	108	15476	UROK	\N	\N
3598387	2050	1996-02-29	PRIJEM	\N	78	17647	UROK	\N	\N
3598388	2050	1996-03-31	PRIJEM	\N	105	25944	UROK	\N	\N
3598389	2050	1996-04-30	PRIJEM	\N	122	28559	UROK	\N	\N
3598390	2050	1996-05-31	PRIJEM	\N	126	28777	UROK	\N	\N
3598391	2050	1996-06-30	PRIJEM	\N	122	21696	UROK	\N	\N
3598392	2050	1996-07-31	PRIJEM	\N	115	27803	UROK	\N	\N
3598393	2050	1996-08-31	PRIJEM	\N	133	24128	UROK	\N	\N
3598394	2050	1996-09-30	PRIJEM	\N	114	26934	UROK	\N	\N
3598395	2050	1996-10-31	PRIJEM	\N	127	30254	UROK	\N	\N
3598396	2050	1996-11-30	PRIJEM	\N	146	35193	UROK	\N	\N
3598397	2050	1996-12-31	PRIJEM	\N	193	46283	UROK	\N	\N
3598398	2050	1997-01-31	PRIJEM	\N	174	37449	UROK	\N	\N
3598399	2050	1997-02-28	PRIJEM	\N	168	40210	UROK	\N	\N
3598400	2050	1997-03-31	PRIJEM	\N	170	35472	UROK	\N	\N
3598401	2050	1997-04-30	PRIJEM	\N	157	37422	UROK	\N	\N
3598402	2050	1997-05-31	PRIJEM	\N	149	32363	UROK	\N	\N
3598403	2050	1997-06-30	PRIJEM	\N	166	40727	UROK	\N	\N
3598404	2050	1997-07-31	PRIJEM	\N	150	34469	UROK	\N	\N
3598405	2050	1997-08-31	PRIJEM	\N	146	34708	UROK	\N	\N
3598406	2050	1997-09-30	PRIJEM	\N	150	35550	UROK	\N	\N
3598407	2050	1997-10-31	PRIJEM	\N	160	38702	UROK	\N	\N
3598408	2050	1997-11-30	PRIJEM	\N	157	41652	UROK	\N	\N
3598409	2050	1997-12-31	PRIJEM	\N	209	46459	UROK	\N	\N
3598410	2050	1998-01-31	PRIJEM	\N	176	39227	UROK	\N	\N
3598411	2050	1998-02-28	PRIJEM	\N	189	46108	UROK	\N	\N
3598412	2050	1998-03-31	PRIJEM	\N	225	53826	UROK	\N	\N
3598413	2050	1998-04-30	PRIJEM	\N	248	55466	UROK	\N	\N
3598414	2050	1998-05-31	PRIJEM	\N	254	58313	UROK	\N	\N
3598415	2050	1998-06-30	PRIJEM	\N	235	52245	UROK	\N	\N
3598416	2050	1998-07-31	PRIJEM	\N	241	56479	UROK	\N	\N
3598417	2050	1998-08-31	PRIJEM	\N	256	58328	UROK	\N	\N
3598418	2050	1998-09-30	PRIJEM	\N	254	55574	UROK	\N	\N
3598419	2050	1998-10-31	PRIJEM	\N	250	55716	UROK	\N	\N
3598420	2050	1998-11-30	PRIJEM	\N	248	52156	UROK	\N	\N
3598421	2050	1998-12-31	PRIJEM	\N	266	65320	UROK	\N	\N
3598422	2052	1993-11-30	PRIJEM	\N	30	18215	UROK	\N	\N
3598423	2052	1993-12-31	PRIJEM	\N	98	31041	UROK	\N	\N
3598424	2052	1994-01-31	PRIJEM	\N	132	32658	UROK	\N	\N
3598425	2052	1994-02-28	PRIJEM	\N	139	34682	UROK	\N	\N
3598426	2052	1994-03-31	PRIJEM	\N	152	33357	UROK	\N	\N
3598427	2052	1994-04-30	PRIJEM	\N	143	29857	UROK	\N	\N
3598428	2052	1994-05-31	PRIJEM	\N	133	32447	UROK	\N	\N
3598429	2052	1994-06-30	PRIJEM	\N	144	33092	UROK	\N	\N
3598430	2052	1994-07-31	PRIJEM	\N	144	34793	UROK	\N	\N
3598431	2052	1994-08-31	PRIJEM	\N	147	34898	UROK	\N	\N
3598432	2052	1994-09-30	PRIJEM	\N	148	35203	UROK	\N	\N
3598433	2052	1994-10-31	PRIJEM	\N	148	35208	UROK	\N	\N
3598434	2052	1994-11-30	PRIJEM	\N	150	36516	UROK	\N	\N
3598435	2052	1994-12-31	PRIJEM	\N	150	33167	UROK	\N	\N
3598436	2052	1995-01-31	PRIJEM	\N	123	27847	UROK	\N	\N
3598437	2052	1995-02-28	PRIJEM	\N	134	35339	UROK	\N	\N
3598438	2052	1995-03-31	PRIJEM	\N	155	38351	UROK	\N	\N
3598439	2052	1995-04-30	PRIJEM	\N	167	41976	UROK	\N	\N
3598440	2052	1995-05-31	PRIJEM	\N	173	40106	UROK	\N	\N
3598441	2052	1995-06-30	PRIJEM	\N	179	43886	UROK	\N	\N
3598442	2052	1995-07-31	PRIJEM	\N	181	43624	UROK	\N	\N
3598443	2052	1995-08-31	PRIJEM	\N	195	42376	UROK	\N	\N
3598444	2052	1995-09-30	PRIJEM	\N	187	47021	UROK	\N	\N
3598445	2052	1995-10-31	PRIJEM	\N	201	49679	UROK	\N	\N
3598446	2052	1995-11-30	PRIJEM	\N	213	52549	UROK	\N	\N
3598447	2052	1995-12-31	PRIJEM	\N	232	57081	UROK	\N	\N
3598448	2052	1996-01-31	PRIJEM	\N	202	46141	UROK	\N	\N
3598449	2052	1996-02-29	PRIJEM	\N	209	53108	UROK	\N	\N
3598450	2052	1996-03-31	PRIJEM	\N	214	52279	UROK	\N	\N
3598451	2052	1996-04-30	PRIJEM	\N	220	51357	UROK	\N	\N
3598452	2052	1996-05-31	PRIJEM	\N	201	49116	UROK	\N	\N
3598453	2052	1996-06-30	PRIJEM	\N	190	48306	UROK	\N	\N
3598454	2052	1996-07-31	PRIJEM	\N	201	50265	UROK	\N	\N
3598455	2052	1996-08-31	PRIJEM	\N	214	53336	UROK	\N	\N
3598456	2052	1996-09-30	PRIJEM	\N	204	50097	UROK	\N	\N
3598457	2052	1996-10-31	PRIJEM	\N	216	54170	UROK	\N	\N
3598458	2052	1996-11-30	PRIJEM	\N	212	52540	UROK	\N	\N
3598459	2052	1996-12-31	PRIJEM	\N	205	50645	UROK	\N	\N
3598460	2052	1997-01-31	PRIJEM	\N	173	39475	UROK	\N	\N
3598461	2052	1997-02-28	PRIJEM	\N	169	43001	UROK	\N	\N
3598462	2052	1997-03-31	PRIJEM	\N	180	45439	UROK	\N	\N
3598463	2052	1997-04-30	PRIJEM	\N	194	49191	UROK	\N	\N
3598464	2052	1997-05-31	PRIJEM	\N	205	51253	UROK	\N	\N
3598465	2052	1997-06-30	PRIJEM	\N	199	32552	UROK	\N	\N
3598466	2052	1997-07-31	PRIJEM	\N	161	41871	UROK	\N	\N
3598467	2052	1997-08-31	PRIJEM	\N	164	37692	UROK	\N	\N
3598468	2052	1997-09-30	PRIJEM	\N	167	37916	UROK	\N	\N
3598469	2052	1997-10-31	PRIJEM	\N	151	36624	UROK	\N	\N
3598470	2052	1997-11-30	PRIJEM	\N	163	42045	UROK	\N	\N
3598471	2052	1997-12-31	PRIJEM	\N	193	42938	UROK	\N	\N
3598472	2052	1998-01-31	PRIJEM	\N	153	39248	UROK	\N	\N
3598473	2052	1998-02-28	PRIJEM	\N	170	38676	UROK	\N	\N
3598474	2052	1998-03-31	PRIJEM	\N	170	41004	UROK	\N	\N
3598475	2052	1998-04-30	PRIJEM	\N	178	40739	UROK	\N	\N
3598476	2052	1998-05-31	PRIJEM	\N	172	35568	UROK	\N	\N
3598477	2052	1998-06-30	PRIJEM	\N	161	31929	UROK	\N	\N
3598478	2052	1998-07-31	PRIJEM	\N	136	29523	UROK	\N	\N
3598479	2052	1998-08-31	PRIJEM	\N	130	31910	UROK	\N	\N
3598480	2052	1998-09-30	PRIJEM	\N	144	38411	UROK	\N	\N
3598481	2052	1998-10-31	PRIJEM	\N	165	39633	UROK	\N	\N
3598482	2052	1998-11-30	PRIJEM	\N	172	42762	UROK	\N	\N
3598483	2052	1998-12-31	PRIJEM	\N	199	51661	UROK	\N	\N
3598484	2053	1997-11-30	PRIJEM	\N	38	17052	UROK	\N	\N
3598485	2053	1997-12-31	PRIJEM	\N	93	26565	UROK	\N	\N
3598486	2053	1998-01-31	PRIJEM	\N	124	32203	UROK	\N	\N
3598487	2053	1998-02-28	PRIJEM	\N	140	35258	UROK	\N	\N
3598488	2053	1998-03-31	PRIJEM	\N	137	31109	UROK	\N	\N
3598489	2053	1998-04-30	PRIJEM	\N	120	26839	UROK	\N	\N
3598490	2053	1998-05-31	PRIJEM	\N	116	20445	UROK	\N	\N
3598491	2053	1998-06-30	PRIJEM	\N	106	29449	UROK	\N	\N
3598492	2053	1998-07-31	PRIJEM	\N	110	25109	UROK	\N	\N
3598493	2053	1998-08-31	PRIJEM	\N	111	27710	UROK	\N	\N
3598494	2053	1998-09-30	PRIJEM	\N	105	24905	UROK	\N	\N
3598495	2053	1998-10-31	PRIJEM	\N	98	23133	UROK	\N	\N
3598496	2053	1998-11-30	PRIJEM	\N	93	22817	UROK	\N	\N
3598497	2053	1998-12-31	PRIJEM	\N	91	22765	UROK	\N	\N
3598498	2054	1995-02-28	PRIJEM	\N	21	23623	UROK	\N	\N
3598499	2054	1995-03-31	PRIJEM	\N	105	30830	UROK	\N	\N
3598500	2054	1995-04-30	PRIJEM	\N	134	36866	UROK	\N	\N
3598501	2054	1995-05-31	PRIJEM	\N	155	38923	UROK	\N	\N
3598502	2054	1995-06-30	PRIJEM	\N	210	44696	UROK	\N	\N
3598503	2054	1995-07-31	PRIJEM	\N	198	37744	UROK	\N	\N
3598504	2054	1995-08-31	PRIJEM	\N	165	33458	UROK	\N	\N
3598505	2054	1995-09-30	PRIJEM	\N	147	31454	UROK	\N	\N
3598506	2054	1995-10-31	PRIJEM	\N	144	31247	UROK	\N	\N
3598507	2054	1995-11-30	PRIJEM	\N	140	30937	UROK	\N	\N
3598508	2054	1995-12-31	PRIJEM	\N	157	36394	UROK	\N	\N
3598509	2054	1996-01-31	PRIJEM	\N	158	33101	UROK	\N	\N
3598510	2054	1996-02-29	PRIJEM	\N	144	30495	UROK	\N	\N
3598511	2054	1996-03-31	PRIJEM	\N	137	29381	UROK	\N	\N
3598512	2054	1996-04-30	PRIJEM	\N	132	30462	UROK	\N	\N
3598513	2054	1996-05-31	PRIJEM	\N	134	29146	UROK	\N	\N
3598514	2054	1996-06-30	PRIJEM	\N	139	32685	UROK	\N	\N
3598515	2054	1996-07-31	PRIJEM	\N	141	31176	UROK	\N	\N
3598516	2054	1996-08-31	PRIJEM	\N	127	28852	UROK	\N	\N
3598517	2054	1996-09-30	PRIJEM	\N	117	27118	UROK	\N	\N
3598518	2054	1996-10-31	PRIJEM	\N	117	27984	UROK	\N	\N
3598519	2054	1996-11-30	PRIJEM	\N	111	28344	UROK	\N	\N
3598520	2054	1996-12-31	PRIJEM	\N	125	33070	UROK	\N	\N
3598521	2054	1997-01-31	PRIJEM	\N	128	31448	UROK	\N	\N
3598522	2054	1997-02-28	PRIJEM	\N	154	42051	UROK	\N	\N
3598523	2054	1997-03-31	PRIJEM	\N	169	39169	UROK	\N	\N
3598524	2054	1997-04-30	PRIJEM	\N	168	41687	UROK	\N	\N
3598525	2054	1997-05-31	PRIJEM	\N	176	41813	UROK	\N	\N
3598526	2054	1997-06-30	PRIJEM	\N	176	45789	UROK	\N	\N
3598527	2054	1997-07-31	PRIJEM	\N	207	53146	UROK	\N	\N
3598528	2054	1997-08-31	PRIJEM	\N	227	53522	UROK	\N	\N
3598529	2054	1997-09-30	PRIJEM	\N	228	57999	UROK	\N	\N
3598530	2054	1997-10-31	PRIJEM	\N	228	55677	UROK	\N	\N
3598531	2054	1997-11-30	PRIJEM	\N	239	58065	UROK	\N	\N
3598532	2054	1997-12-31	PRIJEM	\N	270	69335	UROK	\N	\N
3598533	2054	1998-01-31	PRIJEM	\N	254	62539	UROK	\N	\N
3598534	2054	1998-02-28	PRIJEM	\N	248	62636	UROK	\N	\N
3598535	2054	1998-03-31	PRIJEM	\N	241	58627	UROK	\N	\N
3598536	2054	1998-04-30	PRIJEM	\N	243	59019	UROK	\N	\N
3598537	2054	1998-05-31	PRIJEM	\N	234	56003	UROK	\N	\N
3598538	2054	1998-06-30	PRIJEM	\N	232	45335	UROK	\N	\N
3598539	2054	1998-07-31	PRIJEM	\N	205	52790	UROK	\N	\N
3598540	2054	1998-08-31	PRIJEM	\N	228	59067	UROK	\N	\N
3598541	2054	1998-09-30	PRIJEM	\N	213	53830	UROK	\N	\N
3598542	2054	1998-10-31	PRIJEM	\N	192	48271	UROK	\N	\N
3598543	2054	1998-11-30	PRIJEM	\N	173	43894	UROK	\N	\N
3598544	2054	1998-12-31	PRIJEM	\N	201	53695	UROK	\N	\N
3598545	2055	1997-05-31	PRIJEM	\N	36	18103	UROK	\N	\N
3598546	2055	1997-06-30	PRIJEM	\N	93	26496	UROK	\N	\N
3598547	2055	1997-07-31	PRIJEM	\N	109	26072	UROK	\N	\N
3598548	2055	1997-08-31	PRIJEM	\N	104	24243	UROK	\N	\N
3598549	2055	1997-09-30	PRIJEM	\N	91	19501	UROK	\N	\N
3598550	2055	1997-10-31	PRIJEM	\N	68	14977	UROK	\N	\N
3598551	2055	1997-11-30	PRIJEM	\N	56	12341	UROK	\N	\N
3598552	2055	1997-12-31	PRIJEM	\N	57	11560	UROK	\N	\N
3598553	2055	1998-01-31	PRIJEM	\N	55	13124	UROK	\N	\N
3598554	2055	1998-02-28	PRIJEM	\N	56	11788	UROK	\N	\N
3598555	2055	1998-03-31	PRIJEM	\N	51	12547	UROK	\N	\N
3598556	2055	1998-04-30	PRIJEM	\N	60	10216	UROK	\N	\N
3598557	2055	1998-05-31	PRIJEM	\N	45	9670	UROK	\N	\N
3598558	2055	1998-06-30	PRIJEM	\N	65	12477	UROK	\N	\N
3598559	2055	1998-07-31	PRIJEM	\N	49	11634	UROK	\N	\N
3598560	2055	1998-08-31	PRIJEM	\N	48	10569	UROK	\N	\N
3598561	2055	1998-09-30	PRIJEM	\N	43	9500	UROK	\N	\N
3598562	2055	1998-10-31	PRIJEM	\N	39	8426	UROK	\N	\N
3598563	2055	1998-11-30	PRIJEM	\N	34	7347	UROK	\N	\N
3598564	2055	1998-12-31	PRIJEM	\N	47	11414	UROK	\N	\N
3598565	2057	1997-07-31	PRIJEM	\N	37	22880	UROK	\N	\N
3598566	2057	1997-08-31	PRIJEM	\N	120	37043	UROK	\N	\N
3598567	2057	1997-09-30	PRIJEM	\N	166	44052	UROK	\N	\N
3598568	2057	1997-10-31	PRIJEM	\N	182	43677	UROK	\N	\N
3598569	2057	1997-11-30	PRIJEM	\N	204	46280	UROK	\N	\N
3598570	2057	1997-12-31	PRIJEM	\N	237	50552	UROK	\N	\N
3598571	2057	1998-01-31	PRIJEM	\N	220	45987	UROK	\N	\N
3598572	2057	1998-02-28	PRIJEM	\N	209	45110	UROK	\N	\N
3598573	2057	1998-03-31	PRIJEM	\N	208	44932	UROK	\N	\N
3598574	2057	1998-04-30	PRIJEM	\N	220	51066	UROK	\N	\N
3598575	2057	1998-05-31	PRIJEM	\N	231	50511	UROK	\N	\N
3598576	2057	1998-06-30	PRIJEM	\N	254	57500	UROK	\N	\N
3598577	2057	1998-07-31	PRIJEM	\N	235	49549	UROK	\N	\N
3598578	2057	1998-08-31	PRIJEM	\N	249	46813	UROK	\N	\N
3598579	2057	1998-09-30	PRIJEM	\N	199	41726	UROK	\N	\N
3598580	2057	1998-10-31	PRIJEM	\N	225	45365	UROK	\N	\N
3598581	2057	1998-11-30	PRIJEM	\N	203	46783	UROK	\N	\N
3598582	2057	1998-12-31	PRIJEM	\N	224	52243	UROK	\N	\N
3598583	2058	1996-09-30	PRIJEM	\N	11	4264	UROK	\N	\N
3598584	2058	1996-10-31	PRIJEM	\N	52	16869	UROK	\N	\N
3598585	2058	1996-11-30	PRIJEM	\N	86	23108	UROK	\N	\N
3598586	2058	1996-12-31	PRIJEM	\N	107	27295	UROK	\N	\N
3598587	2058	1997-01-31	PRIJEM	\N	101	18969	UROK	\N	\N
3598588	2058	1997-02-28	PRIJEM	\N	91	20017	UROK	\N	\N
3598589	2058	1997-03-31	PRIJEM	\N	96	24750	UROK	\N	\N
3598590	2058	1997-04-30	PRIJEM	\N	99	24086	UROK	\N	\N
3598591	2058	1997-05-31	PRIJEM	\N	107	26629	UROK	\N	\N
3598592	2058	1997-06-30	PRIJEM	\N	106	25797	UROK	\N	\N
3598593	2058	1997-07-31	PRIJEM	\N	108	24802	UROK	\N	\N
3598594	2058	1997-08-31	PRIJEM	\N	99	19737	UROK	\N	\N
3598595	2058	1997-09-30	PRIJEM	\N	95	24468	UROK	\N	\N
3598596	2058	1997-10-31	PRIJEM	\N	93	22098	UROK	\N	\N
3598597	2058	1997-11-30	PRIJEM	\N	78	18312	UROK	\N	\N
3598598	2058	1997-12-31	PRIJEM	\N	82	19477	UROK	\N	\N
3598599	2058	1998-01-31	PRIJEM	\N	65	14078	UROK	\N	\N
3598600	2058	1998-02-28	PRIJEM	\N	84	23098	UROK	\N	\N
3598601	2058	1998-03-31	PRIJEM	\N	103	25737	UROK	\N	\N
3598602	2058	1998-04-30	PRIJEM	\N	88	19961	UROK	\N	\N
3598603	2058	1998-05-31	PRIJEM	\N	78	18876	UROK	\N	\N
3598604	2058	1998-06-30	PRIJEM	\N	75	16494	UROK	\N	\N
3598605	2058	1998-07-31	PRIJEM	\N	64	13714	UROK	\N	\N
3598606	2058	1998-08-31	PRIJEM	\N	57	13267	UROK	\N	\N
3598607	2058	1998-09-30	PRIJEM	\N	58	14161	UROK	\N	\N
3598608	2058	1998-10-31	PRIJEM	\N	61	13458	UROK	\N	\N
3598609	2058	1998-11-30	PRIJEM	\N	57	12152	UROK	\N	\N
3598610	2058	1998-12-31	PRIJEM	\N	56	13651	UROK	\N	\N
3598611	2060	1996-12-31	PRIJEM	\N	65	23050	UROK	\N	\N
3598612	2060	1997-01-31	PRIJEM	\N	146	40986	UROK	\N	\N
3598613	2060	1997-02-28	PRIJEM	\N	197	50873	UROK	\N	\N
3598614	2060	1997-03-31	PRIJEM	\N	226	55988	UROK	\N	\N
3598615	2060	1997-04-30	PRIJEM	\N	247	61225	UROK	\N	\N
3598616	2060	1997-05-31	PRIJEM	\N	208	50785	UROK	\N	\N
3598617	2060	1997-06-30	PRIJEM	\N	208	20681	UROK	\N	\N
3598618	2060	1997-07-31	PRIJEM	\N	107	29840	UROK	\N	\N
3598619	2060	1997-08-31	PRIJEM	\N	137	36529	UROK	\N	\N
3598620	2060	1997-09-30	PRIJEM	\N	146	37927	UROK	\N	\N
3598621	2060	1997-10-31	PRIJEM	\N	164	43043	UROK	\N	\N
3598622	2060	1997-11-30	PRIJEM	\N	154	39590	UROK	\N	\N
3598623	2060	1997-12-31	PRIJEM	\N	181	37697	UROK	\N	\N
3598624	2060	1998-01-31	PRIJEM	\N	132	28602	UROK	\N	\N
3598625	2060	1998-02-28	PRIJEM	\N	138	36392	UROK	\N	\N
3598626	2060	1998-03-31	PRIJEM	\N	132	24697	UROK	\N	\N
3598627	2060	1998-04-30	PRIJEM	\N	122	26671	UROK	\N	\N
3598628	2060	1998-05-31	PRIJEM	\N	129	26652	UROK	\N	\N
3598629	2060	1998-06-30	PRIJEM	\N	148	32048	UROK	\N	\N
3598630	2060	1998-07-31	PRIJEM	\N	141	27421	UROK	\N	\N
3598631	2060	1998-08-31	PRIJEM	\N	130	27103	UROK	\N	\N
3598632	2060	1998-09-30	PRIJEM	\N	129	28884	UROK	\N	\N
3598633	2060	1998-10-31	PRIJEM	\N	131	24268	UROK	\N	\N
3598634	2060	1998-11-30	PRIJEM	\N	108	19008	UROK	\N	\N
3598635	2060	1998-12-31	PRIJEM	\N	121	34377	UROK	\N	\N
3598636	2061	1993-06-30	PRIJEM	\N	50	17856	UROK	\N	\N
3598637	2061	1993-07-31	PRIJEM	\N	87	22346	UROK	\N	\N
3598638	2061	1993-08-31	PRIJEM	\N	103	26053	UROK	\N	\N
3598639	2061	1993-09-30	PRIJEM	\N	120	30378	UROK	\N	\N
3598640	2061	1993-10-31	PRIJEM	\N	135	33516	UROK	\N	\N
3598641	2061	1993-11-30	PRIJEM	\N	133	31870	UROK	\N	\N
3598642	2061	1993-12-31	PRIJEM	\N	125	26817	UROK	\N	\N
3598643	2061	1994-01-31	PRIJEM	\N	106	19723	UROK	\N	\N
3598644	2061	1994-02-28	PRIJEM	\N	86	21330	UROK	\N	\N
3598645	2061	1994-03-31	PRIJEM	\N	89	18919	UROK	\N	\N
3598646	2061	1994-04-30	PRIJEM	\N	87	22127	UROK	\N	\N
3598647	2061	1994-05-31	PRIJEM	\N	104	26552	UROK	\N	\N
3598648	2061	1994-06-30	PRIJEM	\N	119	29893	UROK	\N	\N
3598649	2061	1994-07-31	PRIJEM	\N	107	24581	UROK	\N	\N
3598650	2061	1994-08-31	PRIJEM	\N	99	24001	UROK	\N	\N
3598651	2061	1994-09-30	PRIJEM	\N	102	24923	UROK	\N	\N
3598652	2061	1994-10-31	PRIJEM	\N	98	23341	UROK	\N	\N
3598653	2061	1994-11-30	PRIJEM	\N	89	16290	UROK	\N	\N
3598654	2061	1994-12-31	PRIJEM	\N	77	19809	UROK	\N	\N
3598655	2061	1995-01-31	PRIJEM	\N	80	19510	UROK	\N	\N
3598656	2061	1995-02-28	PRIJEM	\N	86	21516	UROK	\N	\N
3598657	2061	1995-03-31	PRIJEM	\N	85	20421	UROK	\N	\N
3598658	2061	1995-04-30	PRIJEM	\N	85	18747	UROK	\N	\N
3598659	2061	1995-05-31	PRIJEM	\N	83	20950	UROK	\N	\N
3598660	2061	1995-06-30	PRIJEM	\N	98	23171	UROK	\N	\N
3598661	2061	1995-07-31	PRIJEM	\N	103	26694	UROK	\N	\N
3598662	2061	1995-08-31	PRIJEM	\N	113	27128	UROK	\N	\N
3598663	2061	1995-09-30	PRIJEM	\N	105	25014	UROK	\N	\N
3598664	2061	1995-10-31	PRIJEM	\N	107	26641	UROK	\N	\N
3598665	2061	1995-11-30	PRIJEM	\N	111	23552	UROK	\N	\N
3598666	2061	1995-12-31	PRIJEM	\N	99	25933	UROK	\N	\N
3598667	2061	1996-01-31	PRIJEM	\N	103	18397	UROK	\N	\N
3598668	2061	1996-02-29	PRIJEM	\N	69	17326	UROK	\N	\N
3598669	2061	1996-03-31	PRIJEM	\N	76	19822	UROK	\N	\N
3598670	2061	1996-04-30	PRIJEM	\N	85	22228	UROK	\N	\N
3598671	2061	1996-05-31	PRIJEM	\N	95	23843	UROK	\N	\N
3598672	2061	1996-06-30	PRIJEM	\N	105	25171	UROK	\N	\N
3598673	2061	1996-07-31	PRIJEM	\N	106	25297	UROK	\N	\N
3598674	2061	1996-08-31	PRIJEM	\N	107	26424	UROK	\N	\N
3598675	2061	1996-09-30	PRIJEM	\N	112	28457	UROK	\N	\N
3598676	2061	1996-10-31	PRIJEM	\N	117	26294	UROK	\N	\N
3598677	2061	1996-11-30	PRIJEM	\N	110	26024	UROK	\N	\N
3598678	2061	1996-12-31	PRIJEM	\N	90	15876	UROK	\N	\N
3598679	2061	1997-01-31	PRIJEM	\N	67	16664	UROK	\N	\N
3598680	2061	1997-02-28	PRIJEM	\N	67	14952	UROK	\N	\N
3598681	2061	1997-03-31	PRIJEM	\N	65	16536	UROK	\N	\N
3598682	2061	1997-04-30	PRIJEM	\N	64	15121	UROK	\N	\N
3598683	2061	1997-05-31	PRIJEM	\N	64	16505	UROK	\N	\N
3598684	2061	1997-06-30	PRIJEM	\N	69	15997	UROK	\N	\N
3598685	2061	1997-07-31	PRIJEM	\N	61	12779	UROK	\N	\N
3598686	2061	1997-08-31	PRIJEM	\N	58	16057	UROK	\N	\N
3598687	2061	1997-09-30	PRIJEM	\N	72	19349	UROK	\N	\N
3598688	2061	1997-10-31	PRIJEM	\N	83	21653	UROK	\N	\N
3598689	2061	1997-11-30	PRIJEM	\N	87	20860	UROK	\N	\N
3598690	2061	1997-12-31	PRIJEM	\N	86	20168	UROK	\N	\N
3598691	2061	1998-01-31	PRIJEM	\N	84	17312	UROK	\N	\N
3598692	2061	1998-02-28	PRIJEM	\N	76	20108	UROK	\N	\N
3598693	2061	1998-03-31	PRIJEM	\N	81	19710	UROK	\N	\N
3598694	2061	1998-04-30	PRIJEM	\N	73	16203	UROK	\N	\N
3598695	2061	1998-05-31	PRIJEM	\N	70	18793	UROK	\N	\N
3598696	2061	1998-06-30	PRIJEM	\N	80	20296	UROK	\N	\N
3598697	2061	1998-07-31	PRIJEM	\N	74	16890	UROK	\N	\N
3598698	2061	1998-08-31	PRIJEM	\N	69	17559	UROK	\N	\N
3598699	2061	1998-09-30	PRIJEM	\N	70	17850	UROK	\N	\N
3598700	2061	1998-10-31	PRIJEM	\N	70	16980	UROK	\N	\N
3598701	2061	1998-11-30	PRIJEM	\N	73	19273	UROK	\N	\N
3598702	2061	1998-12-31	PRIJEM	\N	85	21281	UROK	\N	\N
3598703	2062	1996-03-31	PRIJEM	\N	105	43500	UROK	\N	\N
3598704	2062	1996-04-30	PRIJEM	\N	255	75150	UROK	\N	\N
3598705	2062	1996-05-31	PRIJEM	\N	359	94604	UROK	\N	\N
3598706	2062	1996-06-30	PRIJEM	\N	354	78000	UROK	\N	\N
3598707	2062	1996-07-31	PRIJEM	\N	374	98768	UROK	\N	\N
3598708	2062	1996-08-31	PRIJEM	\N	310	49358	UROK	\N	\N
3598709	2062	1996-09-30	PRIJEM	\N	214	58009	UROK	\N	\N
3598710	2062	1996-10-31	PRIJEM	\N	207	39868	UROK	\N	\N
3598711	2062	1996-11-30	PRIJEM	\N	207	64255	UROK	\N	\N
3598712	2062	1996-12-31	PRIJEM	\N	229	72485	UROK	\N	\N
3598713	2062	1997-01-31	PRIJEM	\N	172	27472	UROK	\N	\N
3598714	2062	1997-02-28	PRIJEM	\N	181	43868	UROK	\N	\N
3598715	2062	1997-03-31	PRIJEM	\N	210	62781	UROK	\N	\N
3598716	2062	1997-04-30	PRIJEM	\N	273	75709	UROK	\N	\N
3598717	2062	1997-05-31	PRIJEM	\N	220	33258	UROK	\N	\N
3598718	2062	1997-06-30	PRIJEM	\N	169	29529	UROK	\N	\N
3598719	2062	1997-07-31	PRIJEM	\N	190	44074	UROK	\N	\N
3598720	2062	1997-08-31	PRIJEM	\N	245	52174	UROK	\N	\N
3598721	2062	1997-09-30	PRIJEM	\N	266	56095	UROK	\N	\N
3598722	2062	1997-10-31	PRIJEM	\N	193	47686	UROK	\N	\N
3598723	2062	1997-11-30	PRIJEM	\N	250	55773	UROK	\N	\N
3598724	2062	1997-12-31	PRIJEM	\N	230	37187	UROK	\N	\N
3598725	2062	1998-01-31	PRIJEM	\N	119	26044	UROK	\N	\N
3598726	2062	1998-02-28	PRIJEM	\N	174	47456	UROK	\N	\N
3598727	2062	1998-03-31	PRIJEM	\N	129	25362	UROK	\N	\N
3598728	2062	1998-04-30	PRIJEM	\N	173	44272	UROK	\N	\N
3598729	2062	1998-05-31	PRIJEM	\N	251	51561	UROK	\N	\N
3598730	2062	1998-06-30	PRIJEM	\N	287	51133	UROK	\N	\N
3598731	2062	1998-07-31	PRIJEM	\N	191	34276	UROK	\N	\N
3598732	2062	1998-08-31	PRIJEM	\N	178	43520	UROK	\N	\N
3598733	2062	1998-09-30	PRIJEM	\N	224	45281	UROK	\N	\N
3598734	2062	1998-10-31	PRIJEM	\N	218	46106	UROK	\N	\N
3598735	2062	1998-11-30	PRIJEM	\N	225	49968	UROK	\N	\N
3598736	2062	1998-12-31	PRIJEM	\N	233	35805	UROK	\N	\N
3598737	2063	1993-12-31	PRIJEM	\N	20	6605	UROK	\N	\N
3598738	2063	1994-01-31	PRIJEM	\N	27	12518	UROK	\N	\N
3598739	2063	1994-02-28	PRIJEM	\N	27	18430	UROK	\N	\N
3598740	2063	1994-03-31	PRIJEM	\N	27	24343	UROK	\N	\N
3598741	2063	1994-04-30	PRIJEM	\N	95	28580	UROK	\N	\N
3598742	2063	1994-05-31	PRIJEM	\N	130	32239	UROK	\N	\N
3598743	2063	1994-06-30	PRIJEM	\N	119	29536	UROK	\N	\N
3598744	2063	1994-07-31	PRIJEM	\N	135	33399	UROK	\N	\N
3598745	2063	1994-08-31	PRIJEM	\N	140	33868	UROK	\N	\N
3598746	2063	1994-09-30	PRIJEM	\N	130	30326	UROK	\N	\N
3598747	2063	1994-10-31	PRIJEM	\N	132	28987	UROK	\N	\N
3598748	2063	1994-11-30	PRIJEM	\N	129	26544	UROK	\N	\N
3598749	2063	1994-12-31	PRIJEM	\N	112	23354	UROK	\N	\N
3598750	2063	1995-01-31	PRIJEM	\N	103	23586	UROK	\N	\N
3598751	2063	1995-02-28	PRIJEM	\N	109	22623	UROK	\N	\N
3598752	2063	1995-03-31	PRIJEM	\N	105	22856	UROK	\N	\N
3598753	2063	1995-04-30	PRIJEM	\N	107	25292	UROK	\N	\N
3598754	2063	1995-05-31	PRIJEM	\N	115	24835	UROK	\N	\N
3598755	2063	1995-06-30	PRIJEM	\N	100	20874	UROK	\N	\N
3598756	2063	1995-07-31	PRIJEM	\N	97	19759	UROK	\N	\N
3598757	2063	1995-08-31	PRIJEM	\N	84	18892	UROK	\N	\N
3598758	2063	1995-09-30	PRIJEM	\N	89	20309	UROK	\N	\N
3598759	2063	1995-10-31	PRIJEM	\N	97	24734	UROK	\N	\N
3598760	2063	1995-11-30	PRIJEM	\N	115	28477	UROK	\N	\N
3598761	2063	1995-12-31	PRIJEM	\N	123	24778	UROK	\N	\N
3598762	2063	1996-01-31	PRIJEM	\N	109	25316	UROK	\N	\N
3598763	2063	1996-02-29	PRIJEM	\N	116	28760	UROK	\N	\N
3598764	2063	1996-03-31	PRIJEM	\N	126	28535	UROK	\N	\N
3598765	2063	1996-04-30	PRIJEM	\N	114	25377	UROK	\N	\N
3598766	2063	1996-05-31	PRIJEM	\N	115	28021	UROK	\N	\N
3598767	2063	1996-06-30	PRIJEM	\N	122	28721	UROK	\N	\N
3598768	2063	1996-07-31	PRIJEM	\N	125	29175	UROK	\N	\N
3598769	2063	1996-08-31	PRIJEM	\N	128	30331	UROK	\N	\N
3598770	2063	1996-09-30	PRIJEM	\N	128	28368	UROK	\N	\N
3598771	2063	1996-10-31	PRIJEM	\N	123	28819	UROK	\N	\N
3598772	2063	1996-11-30	PRIJEM	\N	130	32077	UROK	\N	\N
3598773	2063	1996-12-31	PRIJEM	\N	138	33044	UROK	\N	\N
3598774	2063	1997-01-31	PRIJEM	\N	133	30805	UROK	\N	\N
3598775	2063	1997-02-28	PRIJEM	\N	139	34973	UROK	\N	\N
3598776	2063	1997-03-31	PRIJEM	\N	139	30100	UROK	\N	\N
3598777	2063	1997-04-30	PRIJEM	\N	137	34565	UROK	\N	\N
3598778	2063	1997-05-31	PRIJEM	\N	149	35843	UROK	\N	\N
3598779	2063	1997-06-30	PRIJEM	\N	147	33918	UROK	\N	\N
3598780	2063	1997-07-31	PRIJEM	\N	152	38099	UROK	\N	\N
3598781	2063	1997-08-31	PRIJEM	\N	164	40192	UROK	\N	\N
3598782	2063	1997-09-30	PRIJEM	\N	172	41852	UROK	\N	\N
3598783	2063	1997-10-31	PRIJEM	\N	174	41755	UROK	\N	\N
3598784	2063	1997-11-30	PRIJEM	\N	176	40339	UROK	\N	\N
3598785	2063	1997-12-31	PRIJEM	\N	177	44145	UROK	\N	\N
3598786	2063	1998-01-31	PRIJEM	\N	176	42050	UROK	\N	\N
3598787	2063	1998-02-28	PRIJEM	\N	176	42854	UROK	\N	\N
3598788	2063	1998-03-31	PRIJEM	\N	181	43962	UROK	\N	\N
3598789	2063	1998-04-30	PRIJEM	\N	192	47983	UROK	\N	\N
3598790	2063	1998-05-31	PRIJEM	\N	198	45889	UROK	\N	\N
3598791	2063	1998-06-30	PRIJEM	\N	196	48014	UROK	\N	\N
3598792	2063	1998-07-31	PRIJEM	\N	190	45232	UROK	\N	\N
3598793	2063	1998-08-31	PRIJEM	\N	185	44746	UROK	\N	\N
3598794	2063	1998-09-30	PRIJEM	\N	183	44357	UROK	\N	\N
3598795	2063	1998-10-31	PRIJEM	\N	171	37456	UROK	\N	\N
3598796	2063	1998-11-30	PRIJEM	\N	156	38541	UROK	\N	\N
3598797	2063	1998-12-31	PRIJEM	\N	169	40139	UROK	\N	\N
3598798	2064	1997-01-31	PRIJEM	\N	8	20444	UROK	\N	\N
3598799	2064	1997-02-28	PRIJEM	\N	86	34467	UROK	\N	\N
3598800	2064	1997-03-31	PRIJEM	\N	119	32522	UROK	\N	\N
3598801	2064	1997-04-30	PRIJEM	\N	135	31193	UROK	\N	\N
3598802	2064	1997-05-31	PRIJEM	\N	163	32992	UROK	\N	\N
3598803	2064	1997-06-30	PRIJEM	\N	152	20981	UROK	\N	\N
3598804	2064	1997-07-31	PRIJEM	\N	91	26993	UROK	\N	\N
3598805	2064	1997-08-31	PRIJEM	\N	119	22533	UROK	\N	\N
3598806	2064	1997-09-30	PRIJEM	\N	118	24550	UROK	\N	\N
3598807	2064	1997-10-31	PRIJEM	\N	97	20813	UROK	\N	\N
3598808	2064	1997-11-30	PRIJEM	\N	74	13770	UROK	\N	\N
3598809	2064	1997-12-31	PRIJEM	\N	97	23133	UROK	\N	\N
3598810	2064	1998-01-31	PRIJEM	\N	90	12822	UROK	\N	\N
3598811	2064	1998-02-28	PRIJEM	\N	68	12526	UROK	\N	\N
3598812	2064	1998-03-31	PRIJEM	\N	80	21005	UROK	\N	\N
3598813	2064	1998-04-30	PRIJEM	\N	109	23713	UROK	\N	\N
3598814	2064	1998-05-31	PRIJEM	\N	114	19328	UROK	\N	\N
3598815	2064	1998-06-30	PRIJEM	\N	114	24109	UROK	\N	\N
3598816	2064	1998-07-31	PRIJEM	\N	114	21321	UROK	\N	\N
3598817	2064	1998-08-31	PRIJEM	\N	99	19062	UROK	\N	\N
3598818	2064	1998-09-30	PRIJEM	\N	95	19855	UROK	\N	\N
3598819	2064	1998-10-31	PRIJEM	\N	101	22854	UROK	\N	\N
3598820	2064	1998-11-30	PRIJEM	\N	112	25752	UROK	\N	\N
3598821	2064	1998-12-31	PRIJEM	\N	154	40944	UROK	\N	\N
3598822	2065	1996-09-30	PRIJEM	\N	13	23361	UROK	\N	\N
3598823	2065	1996-10-31	PRIJEM	\N	103	32512	UROK	\N	\N
3598824	2065	1996-11-30	PRIJEM	\N	140	39800	UROK	\N	\N
3598825	2065	1996-12-31	PRIJEM	\N	173	49345	UROK	\N	\N
3598826	2065	1997-01-31	PRIJEM	\N	210	40263	UROK	\N	\N
3598827	2065	1997-02-28	PRIJEM	\N	196	41618	UROK	\N	\N
3598828	2065	1997-03-31	PRIJEM	\N	187	32744	UROK	\N	\N
3598829	2065	1997-04-30	PRIJEM	\N	168	36770	UROK	\N	\N
3598830	2065	1997-05-31	PRIJEM	\N	180	38809	UROK	\N	\N
3598831	2065	1997-06-30	PRIJEM	\N	196	37927	UROK	\N	\N
3598832	2065	1997-07-31	PRIJEM	\N	181	36467	UROK	\N	\N
3598833	2065	1997-08-31	PRIJEM	\N	172	33997	UROK	\N	\N
3598834	2065	1997-09-30	PRIJEM	\N	160	32016	UROK	\N	\N
3598835	2065	1997-10-31	PRIJEM	\N	150	29425	UROK	\N	\N
3598836	2065	1997-11-30	PRIJEM	\N	146	32829	UROK	\N	\N
3598837	2065	1997-12-31	PRIJEM	\N	171	36863	UROK	\N	\N
3598838	2065	1998-01-31	PRIJEM	\N	144	24245	UROK	\N	\N
3598839	2065	1998-02-28	PRIJEM	\N	121	27124	UROK	\N	\N
3598840	2065	1998-03-31	PRIJEM	\N	131	26853	UROK	\N	\N
3598841	2065	1998-04-30	PRIJEM	\N	125	24336	UROK	\N	\N
3598842	2065	1998-05-31	PRIJEM	\N	119	25113	UROK	\N	\N
3598843	2065	1998-06-30	PRIJEM	\N	132	27528	UROK	\N	\N
3598844	2065	1998-07-31	PRIJEM	\N	122	23708	UROK	\N	\N
3598845	2065	1998-08-31	PRIJEM	\N	111	23777	UROK	\N	\N
3598846	2065	1998-09-30	PRIJEM	\N	99	18735	UROK	\N	\N
3598847	2065	1998-10-31	PRIJEM	\N	85	16358	UROK	\N	\N
3598848	2065	1998-11-30	PRIJEM	\N	80	18397	UROK	\N	\N
3598849	2065	1998-12-31	PRIJEM	\N	93	16432	UROK	\N	\N
3598850	2066	1996-08-31	PRIJEM	\N	12	4170	UROK	\N	\N
3598851	2066	1996-09-30	PRIJEM	\N	53	17181	UROK	\N	\N
3598852	2066	1996-10-31	PRIJEM	\N	101	27640	UROK	\N	\N
3598853	2066	1996-11-30	PRIJEM	\N	129	32626	UROK	\N	\N
3598854	2066	1996-12-31	PRIJEM	\N	139	33823	UROK	\N	\N
3598855	2066	1997-01-31	PRIJEM	\N	131	31119	UROK	\N	\N
3598856	2066	1997-02-28	PRIJEM	\N	139	34582	UROK	\N	\N
3598857	2066	1997-03-31	PRIJEM	\N	137	33133	UROK	\N	\N
3598858	2066	1997-04-30	PRIJEM	\N	131	31089	UROK	\N	\N
3598859	2066	1997-05-31	PRIJEM	\N	124	30017	UROK	\N	\N
3598860	2066	1997-06-30	PRIJEM	\N	122	25964	UROK	\N	\N
3598861	2066	1997-07-31	PRIJEM	\N	115	28603	UROK	\N	\N
3598862	2066	1997-08-31	PRIJEM	\N	116	27054	UROK	\N	\N
3598863	2066	1997-09-30	PRIJEM	\N	102	23681	UROK	\N	\N
3598864	2066	1997-10-31	PRIJEM	\N	94	22599	UROK	\N	\N
3598865	2066	1997-11-30	PRIJEM	\N	90	22314	UROK	\N	\N
3598866	2066	1997-12-31	PRIJEM	\N	86	22384	UROK	\N	\N
3598867	2066	1998-01-31	PRIJEM	\N	95	22083	UROK	\N	\N
3598868	2066	1998-02-28	PRIJEM	\N	95	23603	UROK	\N	\N
3598869	2066	1998-03-31	PRIJEM	\N	86	17323	UROK	\N	\N
3598870	2066	1998-04-30	PRIJEM	\N	75	15723	UROK	\N	\N
3598871	2066	1998-05-31	PRIJEM	\N	68	13615	UROK	\N	\N
3598872	2066	1998-06-30	PRIJEM	\N	60	13599	UROK	\N	\N
3598873	2066	1998-07-31	PRIJEM	\N	59	12382	UROK	\N	\N
3598874	2066	1998-08-31	PRIJEM	\N	54	11960	UROK	\N	\N
3598875	2066	1998-09-30	PRIJEM	\N	53	13438	UROK	\N	\N
3598876	2066	1998-10-31	PRIJEM	\N	59	14922	UROK	\N	\N
3598877	2066	1998-11-30	PRIJEM	\N	66	16412	UROK	\N	\N
3598878	2066	1998-12-31	PRIJEM	\N	69	14255	UROK	\N	\N
3598879	2068	1993-06-30	PRIJEM	\N	15	5052	UROK	\N	\N
3598880	2068	1993-07-31	PRIJEM	\N	66	19655	UROK	\N	\N
3598881	2068	1993-08-31	PRIJEM	\N	96	24489	UROK	\N	\N
3598882	2068	1993-09-30	PRIJEM	\N	95	26720	UROK	\N	\N
3598883	2068	1993-10-31	PRIJEM	\N	107	27440	UROK	\N	\N
3598884	2068	1993-11-30	PRIJEM	\N	114	23803	UROK	\N	\N
3598885	2068	1993-12-31	PRIJEM	\N	103	26435	UROK	\N	\N
3598886	2068	1994-01-31	PRIJEM	\N	110	25563	UROK	\N	\N
3598887	2068	1994-02-28	PRIJEM	\N	110	23871	UROK	\N	\N
3598888	2068	1994-03-31	PRIJEM	\N	104	24173	UROK	\N	\N
3598889	2068	1994-04-30	PRIJEM	\N	105	25577	UROK	\N	\N
3598890	2068	1994-05-31	PRIJEM	\N	112	28688	UROK	\N	\N
3598891	2068	1994-06-30	PRIJEM	\N	116	27751	UROK	\N	\N
3598892	2068	1994-07-31	PRIJEM	\N	114	24814	UROK	\N	\N
3598893	2068	1994-08-31	PRIJEM	\N	107	24719	UROK	\N	\N
3598894	2068	1994-09-30	PRIJEM	\N	107	26014	UROK	\N	\N
3598895	2068	1994-10-31	PRIJEM	\N	111	25724	UROK	\N	\N
3598896	2068	1994-11-30	PRIJEM	\N	111	26533	UROK	\N	\N
3598897	2068	1994-12-31	PRIJEM	\N	111	24393	UROK	\N	\N
3598898	2068	1995-01-31	PRIJEM	\N	104	21475	UROK	\N	\N
3598899	2068	1995-02-28	PRIJEM	\N	93	21566	UROK	\N	\N
3598900	2068	1995-03-31	PRIJEM	\N	92	21206	UROK	\N	\N
3598901	2068	1995-04-30	PRIJEM	\N	91	20995	UROK	\N	\N
3598902	2068	1995-05-31	PRIJEM	\N	92	22886	UROK	\N	\N
3598903	2068	1995-06-30	PRIJEM	\N	85	21429	UROK	\N	\N
3598904	2068	1995-07-31	PRIJEM	\N	89	20197	UROK	\N	\N
3598905	2068	1995-08-31	PRIJEM	\N	85	19581	UROK	\N	\N
3598906	2068	1995-09-30	PRIJEM	\N	79	15938	UROK	\N	\N
3598907	2068	1995-10-31	PRIJEM	\N	71	16467	UROK	\N	\N
3598908	2068	1995-11-30	PRIJEM	\N	67	15262	UROK	\N	\N
3598909	2068	1995-12-31	PRIJEM	\N	70	17721	UROK	\N	\N
3598910	2068	1996-01-31	PRIJEM	\N	77	18626	UROK	\N	\N
3598911	2068	1996-02-29	PRIJEM	\N	77	16852	UROK	\N	\N
3598912	2068	1996-03-31	PRIJEM	\N	71	16421	UROK	\N	\N
3598913	2068	1996-04-30	PRIJEM	\N	70	16409	UROK	\N	\N
3598914	2068	1996-05-31	PRIJEM	\N	64	13371	UROK	\N	\N
3598915	2068	1996-06-30	PRIJEM	\N	61	15630	UROK	\N	\N
3598916	2068	1996-07-31	PRIJEM	\N	58	11987	UROK	\N	\N
3598917	2068	1996-08-31	PRIJEM	\N	55	13940	UROK	\N	\N
3598918	2068	1996-09-30	PRIJEM	\N	61	13599	UROK	\N	\N
3598919	2068	1996-10-31	PRIJEM	\N	60	14658	UROK	\N	\N
3598920	2068	1996-11-30	PRIJEM	\N	54	11610	UROK	\N	\N
3598921	2068	1996-12-31	PRIJEM	\N	52	12960	UROK	\N	\N
3598922	2068	1997-01-31	PRIJEM	\N	48	10736	UROK	\N	\N
3598923	2068	1997-02-28	PRIJEM	\N	48	12082	UROK	\N	\N
3598924	2068	1997-03-31	PRIJEM	\N	56	14427	UROK	\N	\N
3598925	2068	1997-04-30	PRIJEM	\N	57	13282	UROK	\N	\N
3598926	2068	1997-05-31	PRIJEM	\N	53	12633	UROK	\N	\N
3598927	2068	1997-06-30	PRIJEM	\N	57	14188	UROK	\N	\N
3598928	2068	1997-07-31	PRIJEM	\N	54	12540	UROK	\N	\N
3598929	2068	1997-08-31	PRIJEM	\N	53	12991	UROK	\N	\N
3598930	2068	1997-09-30	PRIJEM	\N	47	11037	UROK	\N	\N
3598931	2068	1997-10-31	PRIJEM	\N	49	12384	UROK	\N	\N
3598932	2068	1997-11-30	PRIJEM	\N	54	13737	UROK	\N	\N
3598933	2068	1997-12-31	PRIJEM	\N	58	14394	UROK	\N	\N
3598934	2068	1998-01-31	PRIJEM	\N	60	14792	UROK	\N	\N
3598935	2068	1998-02-28	PRIJEM	\N	58	13748	UROK	\N	\N
3598936	2068	1998-03-31	PRIJEM	\N	66	16192	UROK	\N	\N
3598937	2068	1998-04-30	PRIJEM	\N	61	14552	UROK	\N	\N
3598938	2068	1998-05-31	PRIJEM	\N	58	14008	UROK	\N	\N
3598939	2068	1998-06-30	PRIJEM	\N	61	15367	UROK	\N	\N
3598940	2068	1998-07-31	PRIJEM	\N	59	14224	UROK	\N	\N
3598941	2068	1998-08-31	PRIJEM	\N	61	15584	UROK	\N	\N
3598942	2068	1998-09-30	PRIJEM	\N	67	16679	UROK	\N	\N
3598943	2068	1998-10-31	PRIJEM	\N	69	16266	UROK	\N	\N
3598944	2068	1998-11-30	PRIJEM	\N	62	14776	UROK	\N	\N
3598945	2068	1998-12-31	PRIJEM	\N	58	14333	UROK	\N	\N
3598946	2069	1997-10-31	PRIJEM	\N	41	16252	UROK	\N	\N
3598947	2069	1997-11-30	PRIJEM	\N	122	37985	UROK	\N	\N
3598948	2069	1997-12-31	PRIJEM	\N	203	55654	UROK	\N	\N
3598949	2069	1998-01-31	PRIJEM	\N	239	58904	UROK	\N	\N
3598950	2069	1998-02-28	PRIJEM	\N	241	57372	UROK	\N	\N
3598951	2069	1998-03-31	PRIJEM	\N	213	53208	UROK	\N	\N
3598952	2069	1998-04-30	PRIJEM	\N	215	54687	UROK	\N	\N
3598953	2069	1998-05-31	PRIJEM	\N	219	55169	UROK	\N	\N
3598954	2069	1998-06-30	PRIJEM	\N	170	16397	UROK	\N	\N
3598955	2069	1998-07-31	PRIJEM	\N	137	38898	UROK	\N	\N
3598956	2069	1998-08-31	PRIJEM	\N	189	49950	UROK	\N	\N
3598957	2069	1998-09-30	PRIJEM	\N	182	45376	UROK	\N	\N
3598958	2069	1998-10-31	PRIJEM	\N	184	46924	UROK	\N	\N
3598959	2069	1998-11-30	PRIJEM	\N	195	50081	UROK	\N	\N
3598960	2069	1998-12-31	PRIJEM	\N	197	52097	UROK	\N	\N
3598961	2070	1993-02-28	PRIJEM	\N	3	20141	UROK	\N	\N
3598962	2070	1993-03-31	PRIJEM	\N	86	28665	UROK	\N	\N
3598963	2070	1993-04-30	PRIJEM	\N	120	30423	UROK	\N	\N
3598964	2070	1993-05-31	PRIJEM	\N	127	31888	UROK	\N	\N
3598965	2070	1993-06-30	PRIJEM	\N	130	29364	UROK	\N	\N
3598966	2070	1993-07-31	PRIJEM	\N	130	29426	UROK	\N	\N
3598967	2070	1993-08-31	PRIJEM	\N	130	29587	UROK	\N	\N
3598968	2070	1993-09-30	PRIJEM	\N	129	27647	UROK	\N	\N
3598969	2070	1993-10-31	PRIJEM	\N	122	28701	UROK	\N	\N
3598970	2070	1993-11-30	PRIJEM	\N	127	30859	UROK	\N	\N
3598971	2070	1993-12-31	PRIJEM	\N	123	28182	UROK	\N	\N
3598972	2070	1994-01-31	PRIJEM	\N	89	21283	UROK	\N	\N
3598973	2070	1994-02-28	PRIJEM	\N	97	25691	UROK	\N	\N
3598974	2070	1994-03-31	PRIJEM	\N	114	27236	UROK	\N	\N
3598975	2070	1994-04-30	PRIJEM	\N	122	30990	UROK	\N	\N
3598976	2070	1994-05-31	PRIJEM	\N	137	33158	UROK	\N	\N
3598977	2070	1994-06-30	PRIJEM	\N	152	34610	UROK	\N	\N
3598978	2070	1994-07-31	PRIJEM	\N	147	32888	UROK	\N	\N
3598979	2070	1994-08-31	PRIJEM	\N	142	33762	UROK	\N	\N
3598980	2070	1994-09-30	PRIJEM	\N	147	35640	UROK	\N	\N
3598981	2070	1994-10-31	PRIJEM	\N	148	33019	UROK	\N	\N
3598982	2070	1994-11-30	PRIJEM	\N	142	34092	UROK	\N	\N
3598983	2070	1994-12-31	PRIJEM	\N	155	34607	UROK	\N	\N
3598984	2070	1995-01-31	PRIJEM	\N	125	26123	UROK	\N	\N
3598985	2070	1995-02-28	PRIJEM	\N	115	28870	UROK	\N	\N
3598986	2070	1995-03-31	PRIJEM	\N	116	24518	UROK	\N	\N
3598987	2070	1995-04-30	PRIJEM	\N	113	29762	UROK	\N	\N
3598988	2070	1995-05-31	PRIJEM	\N	132	33425	UROK	\N	\N
3598989	2070	1995-06-30	PRIJEM	\N	148	35774	UROK	\N	\N
3598990	2070	1995-07-31	PRIJEM	\N	140	28905	UROK	\N	\N
3598991	2070	1995-08-31	PRIJEM	\N	124	33220	UROK	\N	\N
3598992	2070	1995-09-30	PRIJEM	\N	132	33164	UROK	\N	\N
3598993	2070	1995-10-31	PRIJEM	\N	126	30741	UROK	\N	\N
3598994	2070	1995-11-30	PRIJEM	\N	131	32103	UROK	\N	\N
3598995	2070	1995-12-31	PRIJEM	\N	143	35007	UROK	\N	\N
3598996	2070	1996-01-31	PRIJEM	\N	133	33311	UROK	\N	\N
3598997	2070	1996-02-29	PRIJEM	\N	146	37208	UROK	\N	\N
3598998	2070	1996-03-31	PRIJEM	\N	164	41503	UROK	\N	\N
3598999	2070	1996-04-30	PRIJEM	\N	184	47418	UROK	\N	\N
3599000	2070	1996-05-31	PRIJEM	\N	194	46424	UROK	\N	\N
3599001	2070	1996-06-30	PRIJEM	\N	182	46346	UROK	\N	\N
3599002	2070	1996-07-31	PRIJEM	\N	196	49253	UROK	\N	\N
3599003	2070	1996-08-31	PRIJEM	\N	205	51290	UROK	\N	\N
3599004	2070	1996-09-30	PRIJEM	\N	202	49723	UROK	\N	\N
3599005	2070	1996-10-31	PRIJEM	\N	193	47448	UROK	\N	\N
3599006	2070	1996-11-30	PRIJEM	\N	194	48973	UROK	\N	\N
3599007	2070	1996-12-31	PRIJEM	\N	202	50456	UROK	\N	\N
3599008	2070	1997-01-31	PRIJEM	\N	181	37669	UROK	\N	\N
3599009	2070	1997-02-28	PRIJEM	\N	170	45570	UROK	\N	\N
3599010	2070	1997-03-31	PRIJEM	\N	193	49494	UROK	\N	\N
3599011	2070	1997-04-30	PRIJEM	\N	195	48421	UROK	\N	\N
3599012	2070	1997-05-31	PRIJEM	\N	196	49248	UROK	\N	\N
3599013	2070	1997-06-30	PRIJEM	\N	203	50811	UROK	\N	\N
3599014	2070	1997-07-31	PRIJEM	\N	213	54256	UROK	\N	\N
3599015	2070	1997-08-31	PRIJEM	\N	214	52901	UROK	\N	\N
3599016	2070	1997-09-30	PRIJEM	\N	215	54248	UROK	\N	\N
3599017	2070	1997-10-31	PRIJEM	\N	191	47510	UROK	\N	\N
3599018	2070	1997-11-30	PRIJEM	\N	177	45459	UROK	\N	\N
3599019	2070	1997-12-31	PRIJEM	\N	191	49830	UROK	\N	\N
3599020	2070	1998-01-31	PRIJEM	\N	171	36992	UROK	\N	\N
3599021	2070	1998-02-28	PRIJEM	\N	173	47496	UROK	\N	\N
3599022	2070	1998-03-31	PRIJEM	\N	206	53633	UROK	\N	\N
3599023	2070	1998-04-30	PRIJEM	\N	229	57894	UROK	\N	\N
3599024	2070	1998-05-31	PRIJEM	\N	246	61711	UROK	\N	\N
3599025	2070	1998-06-30	PRIJEM	\N	266	61657	UROK	\N	\N
3599026	2070	1998-07-31	PRIJEM	\N	242	60751	UROK	\N	\N
3599027	2070	1998-08-31	PRIJEM	\N	253	64335	UROK	\N	\N
3599028	2070	1998-09-30	PRIJEM	\N	257	61924	UROK	\N	\N
3599029	2070	1998-10-31	PRIJEM	\N	246	58641	UROK	\N	\N
3599030	2070	1998-11-30	PRIJEM	\N	247	61459	UROK	\N	\N
3599031	2070	1998-12-31	PRIJEM	\N	266	69585	UROK	\N	\N
3599032	2071	1997-05-31	PRIJEM	\N	46	16453	UROK	\N	\N
3599033	2071	1997-06-30	PRIJEM	\N	144	43707	UROK	\N	\N
3599034	2071	1997-07-31	PRIJEM	\N	192	47607	UROK	\N	\N
3599035	2071	1997-08-31	PRIJEM	\N	207	50820	UROK	\N	\N
3599036	2071	1997-09-30	PRIJEM	\N	211	50738	UROK	\N	\N
3599037	2071	1997-10-31	PRIJEM	\N	184	46496	UROK	\N	\N
3599038	2071	1997-11-30	PRIJEM	\N	174	44344	UROK	\N	\N
3599039	2071	1997-12-31	PRIJEM	\N	170	44412	UROK	\N	\N
3599040	2071	1998-01-31	PRIJEM	\N	94	14381	UROK	\N	\N
3599041	2071	1998-02-28	PRIJEM	\N	91	26646	UROK	\N	\N
3599042	2071	1998-03-31	PRIJEM	\N	107	28828	UROK	\N	\N
3599043	2071	1998-04-30	PRIJEM	\N	108	28050	UROK	\N	\N
3599044	2071	1998-05-31	PRIJEM	\N	98	25922	UROK	\N	\N
3599045	2071	1998-06-30	PRIJEM	\N	120	17879	UROK	\N	\N
3599046	2071	1998-07-31	PRIJEM	\N	104	29077	UROK	\N	\N
3599047	2071	1998-08-31	PRIJEM	\N	99	26150	UROK	\N	\N
3599048	2071	1998-09-30	PRIJEM	\N	138	38462	UROK	\N	\N
3599049	2071	1998-10-31	PRIJEM	\N	82	24179	UROK	\N	\N
3599050	2071	1998-11-30	PRIJEM	\N	132	33485	UROK	\N	\N
3599051	2071	1998-12-31	PRIJEM	\N	190	50833	UROK	\N	\N
3599052	2072	1993-11-30	PRIJEM	\N	55	26580	UROK	\N	\N
3599053	2072	1993-12-31	PRIJEM	\N	145	42562	UROK	\N	\N
3599054	2072	1994-01-31	PRIJEM	\N	180	44068	UROK	\N	\N
3599055	2072	1994-02-28	PRIJEM	\N	193	48385	UROK	\N	\N
3599056	2072	1994-03-31	PRIJEM	\N	215	46325	UROK	\N	\N
3599057	2072	1994-04-30	PRIJEM	\N	206	44595	UROK	\N	\N
3599058	2072	1994-05-31	PRIJEM	\N	203	45062	UROK	\N	\N
3599059	2072	1994-06-30	PRIJEM	\N	176	28655	UROK	\N	\N
3599060	2072	1994-07-31	PRIJEM	\N	156	38276	UROK	\N	\N
3599061	2072	1994-08-31	PRIJEM	\N	180	41820	UROK	\N	\N
3599062	2072	1994-09-30	PRIJEM	\N	189	44073	UROK	\N	\N
3599063	2072	1994-10-31	PRIJEM	\N	192	44030	UROK	\N	\N
3599064	2072	1994-11-30	PRIJEM	\N	193	44987	UROK	\N	\N
3599065	2072	1994-12-31	PRIJEM	\N	202	43346	UROK	\N	\N
3599066	2072	1995-01-31	PRIJEM	\N	162	37853	UROK	\N	\N
3599067	2072	1995-02-28	PRIJEM	\N	178	43995	UROK	\N	\N
3599068	2072	1995-03-31	PRIJEM	\N	193	45052	UROK	\N	\N
3599069	2072	1995-04-30	PRIJEM	\N	205	49621	UROK	\N	\N
3599070	2072	1995-05-31	PRIJEM	\N	202	43768	UROK	\N	\N
3599071	2072	1995-06-30	PRIJEM	\N	213	52758	UROK	\N	\N
3599072	2072	1995-07-31	PRIJEM	\N	222	52943	UROK	\N	\N
3599073	2072	1995-08-31	PRIJEM	\N	274	55982	UROK	\N	\N
3599074	2072	1995-09-30	PRIJEM	\N	271	68918	UROK	\N	\N
3599075	2072	1995-10-31	PRIJEM	\N	310	76993	UROK	\N	\N
3599076	2072	1995-11-30	PRIJEM	\N	329	81186	UROK	\N	\N
3599077	2072	1995-12-31	PRIJEM	\N	364	90127	UROK	\N	\N
3599078	2072	1996-01-31	PRIJEM	\N	340	79932	UROK	\N	\N
3599079	2072	1996-02-29	PRIJEM	\N	327	79323	UROK	\N	\N
3599080	2072	1996-03-31	PRIJEM	\N	338	83326	UROK	\N	\N
3599081	2072	1996-04-30	PRIJEM	\N	341	82831	UROK	\N	\N
3599082	2072	1996-05-31	PRIJEM	\N	329	81964	UROK	\N	\N
3599083	2072	1996-06-30	PRIJEM	\N	336	86918	UROK	\N	\N
3599084	2072	1996-07-31	PRIJEM	\N	366	89848	UROK	\N	\N
3599085	2072	1996-08-31	PRIJEM	\N	381	93593	UROK	\N	\N
3599086	2072	1996-09-30	PRIJEM	\N	385	93842	UROK	\N	\N
3599087	2072	1996-10-31	PRIJEM	\N	384	93590	UROK	\N	\N
3599088	2072	1996-11-30	PRIJEM	\N	366	92120	UROK	\N	\N
3599089	2072	1996-12-31	PRIJEM	\N	403	75800	UROK	\N	\N
3599090	2072	1997-01-31	PRIJEM	\N	357	67362	UROK	\N	\N
3599091	2072	1997-02-28	PRIJEM	\N	330	85156	UROK	\N	\N
3599092	2072	1997-03-31	PRIJEM	\N	350	79170	UROK	\N	\N
3599093	2072	1997-04-30	PRIJEM	\N	379	83613	UROK	\N	\N
3599094	2072	1997-05-31	PRIJEM	\N	397	90675	UROK	\N	\N
3599095	2072	1997-06-30	PRIJEM	\N	425	59476	UROK	\N	\N
3599096	2072	1997-07-31	PRIJEM	\N	299	75139	UROK	\N	\N
3599097	2072	1997-08-31	PRIJEM	\N	357	84060	UROK	\N	\N
3599098	2072	1997-09-30	PRIJEM	\N	394	90819	UROK	\N	\N
3599099	2072	1997-10-31	PRIJEM	\N	413	89996	UROK	\N	\N
3599100	2072	1997-11-30	PRIJEM	\N	414	94074	UROK	\N	\N
3599101	2072	1997-12-31	PRIJEM	\N	410	88881	UROK	\N	\N
3599102	2072	1998-01-31	PRIJEM	\N	395	91200	UROK	\N	\N
3599103	2072	1998-02-28	PRIJEM	\N	412	95676	UROK	\N	\N
3599104	2072	1998-03-31	PRIJEM	\N	436	98777	UROK	\N	\N
3599105	2072	1998-04-30	PRIJEM	\N	445	99586	UROK	\N	\N
3599106	2072	1998-05-31	PRIJEM	\N	444	97294	UROK	\N	\N
3599107	2072	1998-06-30	PRIJEM	\N	275	66546	UROK	\N	\N
3599108	2072	1998-07-31	PRIJEM	\N	321	78431	UROK	\N	\N
3599109	2072	1998-08-31	PRIJEM	\N	362	84557	UROK	\N	\N
3599110	2072	1998-09-30	PRIJEM	\N	382	87604	UROK	\N	\N
3599111	2072	1998-10-31	PRIJEM	\N	390	85598	UROK	\N	\N
3599112	2072	1998-11-30	PRIJEM	\N	378	87820	UROK	\N	\N
3599113	2072	1998-12-31	PRIJEM	\N	449	114647	UROK	\N	\N
3599114	2073	1997-09-30	PRIJEM	\N	48	19223	UROK	\N	\N
3599115	2073	1997-10-31	PRIJEM	\N	109	30507	UROK	\N	\N
3599116	2073	1997-11-30	PRIJEM	\N	150	39532	UROK	\N	\N
3599117	2073	1997-12-31	PRIJEM	\N	184	47129	UROK	\N	\N
3599118	2073	1998-01-31	PRIJEM	\N	180	33804	UROK	\N	\N
3599119	2073	1998-02-28	PRIJEM	\N	173	41137	UROK	\N	\N
3599120	2073	1998-03-31	PRIJEM	\N	205	48403	UROK	\N	\N
3599121	2073	1998-04-30	PRIJEM	\N	204	46487	UROK	\N	\N
3599122	2073	1998-05-31	PRIJEM	\N	205	50652	UROK	\N	\N
3599123	2073	1998-06-30	PRIJEM	\N	146	30997	UROK	\N	\N
3599124	2073	1998-07-31	PRIJEM	\N	148	35725	UROK	\N	\N
3599125	2073	1998-08-31	PRIJEM	\N	156	36541	UROK	\N	\N
3599126	2073	1998-09-30	PRIJEM	\N	160	39261	UROK	\N	\N
3599127	2073	1998-10-31	PRIJEM	\N	137	30819	UROK	\N	\N
3599128	2073	1998-11-30	PRIJEM	\N	138	33658	UROK	\N	\N
3599129	2073	1998-12-31	PRIJEM	\N	156	36892	UROK	\N	\N
3599130	2074	1996-03-31	PRIJEM	\N	42	24113	UROK	\N	\N
3599131	2074	1996-04-30	PRIJEM	\N	121	35505	UROK	\N	\N
3599132	2074	1996-05-31	PRIJEM	\N	159	41535	UROK	\N	\N
3599133	2074	1996-06-30	PRIJEM	\N	193	52234	UROK	\N	\N
3599134	2074	1996-07-31	PRIJEM	\N	239	47522	UROK	\N	\N
3599135	2074	1996-08-31	PRIJEM	\N	206	33802	UROK	\N	\N
3599136	2074	1996-09-30	PRIJEM	\N	184	40320	UROK	\N	\N
3599137	2074	1996-10-31	PRIJEM	\N	202	43357	UROK	\N	\N
3599138	2074	1996-11-30	PRIJEM	\N	208	44499	UROK	\N	\N
3599139	2074	1996-12-31	PRIJEM	\N	225	43854	UROK	\N	\N
3599140	2074	1997-01-31	PRIJEM	\N	165	23034	UROK	\N	\N
3599141	2074	1997-02-28	PRIJEM	\N	123	25391	UROK	\N	\N
3599142	2074	1997-03-31	PRIJEM	\N	125	17929	UROK	\N	\N
3599143	2074	1997-04-30	PRIJEM	\N	106	21170	UROK	\N	\N
3599144	2074	1997-05-31	PRIJEM	\N	111	21416	UROK	\N	\N
3599145	2074	1997-06-30	PRIJEM	\N	134	25319	UROK	\N	\N
3599146	2074	1997-07-31	PRIJEM	\N	121	24174	UROK	\N	\N
3599147	2074	1997-08-31	PRIJEM	\N	113	22321	UROK	\N	\N
3599148	2074	1997-09-30	PRIJEM	\N	158	21814	UROK	\N	\N
3599149	2074	1997-10-31	PRIJEM	\N	97	16445	UROK	\N	\N
3599150	2074	1997-11-30	PRIJEM	\N	80	16660	UROK	\N	\N
3599151	2074	1997-12-31	PRIJEM	\N	91	18041	UROK	\N	\N
3599152	2074	1998-01-31	PRIJEM	\N	108	21363	UROK	\N	\N
3599153	2074	1998-02-28	PRIJEM	\N	67	12665	UROK	\N	\N
3599154	2074	1998-03-31	PRIJEM	\N	64	12963	UROK	\N	\N
3599155	2074	1998-04-30	PRIJEM	\N	121	31419	UROK	\N	\N
3599156	2074	1998-05-31	PRIJEM	\N	97	18350	UROK	\N	\N
3599157	2074	1998-06-30	PRIJEM	\N	79	16499	UROK	\N	\N
3599158	2074	1998-07-31	PRIJEM	\N	53	10287	UROK	\N	\N
3599159	2074	1998-08-31	PRIJEM	\N	112	28733	UROK	\N	\N
3599160	2074	1998-09-30	PRIJEM	\N	170	41838	UROK	\N	\N
3599161	2074	1998-10-31	PRIJEM	\N	121	18893	UROK	\N	\N
3599162	2074	1998-11-30	PRIJEM	\N	145	36532	UROK	\N	\N
3599163	2074	1998-12-31	PRIJEM	\N	258	64200	UROK	\N	\N
3599164	2075	1996-01-31	PRIJEM	\N	14	4114	UROK	\N	\N
3599165	2075	1996-02-29	PRIJEM	\N	17	7431	UROK	\N	\N
3599166	2075	1996-03-31	PRIJEM	\N	17	10749	UROK	\N	\N
3599167	2075	1996-04-30	PRIJEM	\N	17	14066	UROK	\N	\N
3599168	2075	1996-05-31	PRIJEM	\N	51	15216	UROK	\N	\N
3599169	2075	1996-06-30	PRIJEM	\N	67	16369	UROK	\N	\N
3599170	2075	1996-07-31	PRIJEM	\N	72	17526	UROK	\N	\N
3599171	2075	1996-08-31	PRIJEM	\N	77	18689	UROK	\N	\N
3599172	2075	1996-09-30	PRIJEM	\N	81	17965	UROK	\N	\N
3599173	2075	1996-10-31	PRIJEM	\N	79	19129	UROK	\N	\N
3599174	2075	1996-11-30	PRIJEM	\N	84	20298	UROK	\N	\N
3599175	2075	1996-12-31	PRIJEM	\N	86	18559	UROK	\N	\N
3599176	2075	1997-01-31	PRIJEM	\N	75	15190	UROK	\N	\N
3599177	2075	1997-02-28	PRIJEM	\N	67	16342	UROK	\N	\N
3599178	2075	1997-03-31	PRIJEM	\N	72	17499	UROK	\N	\N
3599179	2075	1997-04-30	PRIJEM	\N	74	17819	UROK	\N	\N
3599180	2075	1997-05-31	PRIJEM	\N	78	18983	UROK	\N	\N
3599181	2075	1997-06-30	PRIJEM	\N	72	14619	UROK	\N	\N
3599182	2075	1997-07-31	PRIJEM	\N	64	14929	UROK	\N	\N
3599183	2075	1997-08-31	PRIJEM	\N	66	15880	UROK	\N	\N
3599184	2075	1997-09-30	PRIJEM	\N	70	17035	UROK	\N	\N
3599185	2075	1997-10-31	PRIJEM	\N	75	18195	UROK	\N	\N
3599186	2075	1997-11-30	PRIJEM	\N	79	18960	UROK	\N	\N
3599187	2075	1997-12-31	PRIJEM	\N	82	19257	UROK	\N	\N
3599188	2075	1998-01-31	PRIJEM	\N	77	16009	UROK	\N	\N
3599189	2075	1998-02-28	PRIJEM	\N	70	17165	UROK	\N	\N
3599190	2075	1998-03-31	PRIJEM	\N	75	18325	UROK	\N	\N
3599191	2075	1998-04-30	PRIJEM	\N	80	19491	UROK	\N	\N
3599192	2075	1998-05-31	PRIJEM	\N	85	20661	UROK	\N	\N
3599193	2075	1998-06-30	PRIJEM	\N	78	15704	UROK	\N	\N
3599194	2075	1998-07-31	PRIJEM	\N	67	16317	UROK	\N	\N
3599195	2075	1998-08-31	PRIJEM	\N	71	17473	UROK	\N	\N
3599196	2075	1998-09-30	PRIJEM	\N	76	18365	UROK	\N	\N
3599197	2075	1998-10-31	PRIJEM	\N	79	18959	UROK	\N	\N
3599198	2075	1998-11-30	PRIJEM	\N	82	20126	UROK	\N	\N
3599199	2075	1998-12-31	PRIJEM	\N	84	19826	UROK	\N	\N
3599200	2076	1997-01-31	PRIJEM	\N	55	24071	UROK	\N	\N
3599201	2076	1997-02-28	PRIJEM	\N	103	24870	UROK	\N	\N
3599202	2076	1997-03-31	PRIJEM	\N	114	28496	UROK	\N	\N
3599203	2076	1997-04-30	PRIJEM	\N	107	24576	UROK	\N	\N
3599204	2076	1997-05-31	PRIJEM	\N	100	22988	UROK	\N	\N
3599205	2076	1997-06-30	PRIJEM	\N	85	14786	UROK	\N	\N
3599206	2076	1997-07-31	PRIJEM	\N	66	15764	UROK	\N	\N
3599207	2076	1997-08-31	PRIJEM	\N	63	14339	UROK	\N	\N
3599208	2076	1997-09-30	PRIJEM	\N	67	16918	UROK	\N	\N
3599209	2076	1997-10-31	PRIJEM	\N	71	15242	UROK	\N	\N
3599210	2076	1997-11-30	PRIJEM	\N	74	19429	UROK	\N	\N
3599211	2076	1997-12-31	PRIJEM	\N	91	22582	UROK	\N	\N
3599212	2076	1998-01-31	PRIJEM	\N	75	15469	UROK	\N	\N
3599213	2076	1998-02-28	PRIJEM	\N	68	17889	UROK	\N	\N
3599214	2076	1998-03-31	PRIJEM	\N	85	21987	UROK	\N	\N
3599215	2076	1998-04-30	PRIJEM	\N	98	24797	UROK	\N	\N
3599216	2076	1998-05-31	PRIJEM	\N	94	22404	UROK	\N	\N
3599217	2076	1998-06-30	PRIJEM	\N	86	21402	UROK	\N	\N
3599218	2076	1998-07-31	PRIJEM	\N	86	21841	UROK	\N	\N
3599219	2076	1998-08-31	PRIJEM	\N	95	24148	UROK	\N	\N
3599220	2076	1998-09-30	PRIJEM	\N	101	24321	UROK	\N	\N
3599221	2076	1998-10-31	PRIJEM	\N	94	23428	UROK	\N	\N
3599222	2076	1998-11-30	PRIJEM	\N	78	18918	UROK	\N	\N
3599223	2076	1998-12-31	PRIJEM	\N	67	15747	UROK	\N	\N
3599224	2078	1993-08-31	PRIJEM	\N	85	26318	UROK	\N	\N
3599225	2078	1993-09-30	PRIJEM	\N	157	41308	UROK	\N	\N
3599226	2078	1993-10-31	PRIJEM	\N	199	49839	UROK	\N	\N
3599227	2078	1993-11-30	PRIJEM	\N	207	49779	UROK	\N	\N
3599228	2078	1993-12-31	PRIJEM	\N	238	58866	UROK	\N	\N
3599229	2078	1994-01-31	PRIJEM	\N	160	31246	UROK	\N	\N
3599230	2078	1994-02-28	PRIJEM	\N	157	40224	UROK	\N	\N
3599231	2078	1994-03-31	PRIJEM	\N	182	45326	UROK	\N	\N
3599232	2078	1994-04-30	PRIJEM	\N	191	46637	UROK	\N	\N
3599233	2078	1994-05-31	PRIJEM	\N	187	45345	UROK	\N	\N
3599234	2078	1994-06-30	PRIJEM	\N	208	39770	UROK	\N	\N
3599235	2078	1994-07-31	PRIJEM	\N	180	44770	UROK	\N	\N
3599236	2078	1994-08-31	PRIJEM	\N	197	48788	UROK	\N	\N
3599237	2078	1994-09-30	PRIJEM	\N	205	50313	UROK	\N	\N
3599238	2078	1994-10-31	PRIJEM	\N	208	50642	UROK	\N	\N
3599239	2078	1994-11-30	PRIJEM	\N	213	51575	UROK	\N	\N
3599240	2078	1994-12-31	PRIJEM	\N	215	37747	UROK	\N	\N
3599241	2078	1995-01-31	PRIJEM	\N	143	28010	UROK	\N	\N
3599242	2078	1995-02-28	PRIJEM	\N	150	39180	UROK	\N	\N
3599243	2078	1995-03-31	PRIJEM	\N	163	33683	UROK	\N	\N
3599244	2078	1995-04-30	PRIJEM	\N	172	36076	UROK	\N	\N
3599245	2078	1995-05-31	PRIJEM	\N	181	38178	UROK	\N	\N
3599246	2078	1995-06-30	PRIJEM	\N	125	24699	UROK	\N	\N
3599247	2078	1995-07-31	PRIJEM	\N	136	32655	UROK	\N	\N
3599248	2078	1995-08-31	PRIJEM	\N	164	34640	UROK	\N	\N
3599249	2078	1995-09-30	PRIJEM	\N	167	35367	UROK	\N	\N
3599250	2078	1995-10-31	PRIJEM	\N	173	39401	UROK	\N	\N
3599251	2078	1995-11-30	PRIJEM	\N	187	37608	UROK	\N	\N
3599252	2078	1995-12-31	PRIJEM	\N	201	43886	UROK	\N	\N
3599253	2078	1996-01-31	PRIJEM	\N	183	34270	UROK	\N	\N
3599254	2078	1996-02-29	PRIJEM	\N	167	36257	UROK	\N	\N
3599255	2078	1996-03-31	PRIJEM	\N	154	32431	UROK	\N	\N
3599256	2078	1996-04-30	PRIJEM	\N	158	33189	UROK	\N	\N
3599257	2078	1996-05-31	PRIJEM	\N	159	33469	UROK	\N	\N
3599258	2078	1996-06-30	PRIJEM	\N	167	28773	UROK	\N	\N
3599259	2078	1996-07-31	PRIJEM	\N	144	32537	UROK	\N	\N
3599260	2078	1996-08-31	PRIJEM	\N	155	34112	UROK	\N	\N
3599261	2078	1996-09-30	PRIJEM	\N	166	39298	UROK	\N	\N
3599262	2078	1996-10-31	PRIJEM	\N	179	39398	UROK	\N	\N
3599263	2078	1996-11-30	PRIJEM	\N	172	35590	UROK	\N	\N
3599264	2078	1996-12-31	PRIJEM	\N	171	37318	UROK	\N	\N
3599265	2078	1997-01-31	PRIJEM	\N	123	19162	UROK	\N	\N
3599266	2078	1997-02-28	PRIJEM	\N	102	22584	UROK	\N	\N
3599267	2078	1997-03-31	PRIJEM	\N	118	28522	UROK	\N	\N
3599268	2078	1997-04-30	PRIJEM	\N	136	31278	UROK	\N	\N
3599269	2078	1997-05-31	PRIJEM	\N	134	27032	UROK	\N	\N
3599270	2078	1997-06-30	PRIJEM	\N	141	31311	UROK	\N	\N
3599271	2078	1997-07-31	PRIJEM	\N	138	30069	UROK	\N	\N
3599272	2078	1997-08-31	PRIJEM	\N	134	30383	UROK	\N	\N
3599273	2078	1997-09-30	PRIJEM	\N	140	33444	UROK	\N	\N
3599274	2078	1997-10-31	PRIJEM	\N	137	32461	UROK	\N	\N
3599275	2078	1997-11-30	PRIJEM	\N	145	34226	UROK	\N	\N
3599276	2078	1997-12-31	PRIJEM	\N	165	38748	UROK	\N	\N
3599277	2078	1998-01-31	PRIJEM	\N	138	29787	UROK	\N	\N
3599278	2078	1998-02-28	PRIJEM	\N	140	35247	UROK	\N	\N
3599279	2078	1998-03-31	PRIJEM	\N	155	36923	UROK	\N	\N
3599280	2078	1998-04-30	PRIJEM	\N	168	41511	UROK	\N	\N
3599281	2078	1998-05-31	PRIJEM	\N	184	44815	UROK	\N	\N
3599282	2078	1998-06-30	PRIJEM	\N	201	48453	UROK	\N	\N
3599283	2078	1998-07-31	PRIJEM	\N	194	40348	UROK	\N	\N
3599284	2078	1998-08-31	PRIJEM	\N	165	38073	UROK	\N	\N
3599285	2078	1998-09-30	PRIJEM	\N	172	43365	UROK	\N	\N
3599286	2078	1998-10-31	PRIJEM	\N	184	45470	UROK	\N	\N
3599287	2078	1998-11-30	PRIJEM	\N	195	48785	UROK	\N	\N
3599288	2078	1998-12-31	PRIJEM	\N	192	44614	UROK	\N	\N
3599289	2080	1997-05-31	PRIJEM	\N	26	38439	UROK	\N	\N
3599290	2080	1997-06-30	PRIJEM	\N	370	59278	UROK	\N	\N
3599291	2080	1997-07-31	PRIJEM	\N	309	57900	UROK	\N	\N
3599292	2080	1997-08-31	PRIJEM	\N	188	37201	UROK	\N	\N
3599293	2080	1997-09-30	PRIJEM	\N	213	46238	UROK	\N	\N
3599294	2080	1997-10-31	PRIJEM	\N	247	52495	UROK	\N	\N
3599295	2080	1997-11-30	PRIJEM	\N	287	56105	UROK	\N	\N
3599296	2080	1997-12-31	PRIJEM	\N	334	54905	UROK	\N	\N
3599297	2080	1998-01-31	PRIJEM	\N	278	43092	UROK	\N	\N
3599298	2080	1998-02-28	PRIJEM	\N	223	44910	UROK	\N	\N
3599299	2080	1998-03-31	PRIJEM	\N	246	49965	UROK	\N	\N
3599300	2080	1998-04-30	PRIJEM	\N	262	53636	UROK	\N	\N
3599301	2080	1998-05-31	PRIJEM	\N	252	42786	UROK	\N	\N
3599302	2080	1998-06-30	PRIJEM	\N	249	44302	UROK	\N	\N
3599303	2080	1998-07-31	PRIJEM	\N	212	22919	UROK	\N	\N
3599304	2080	1998-08-31	PRIJEM	\N	173	42601	UROK	\N	\N
3599305	2080	1998-09-30	PRIJEM	\N	224	44041	UROK	\N	\N
3599306	2080	1998-10-31	PRIJEM	\N	204	44078	UROK	\N	\N
3599307	2080	1998-11-30	PRIJEM	\N	204	32027	UROK	\N	\N
3599308	2080	1998-12-31	PRIJEM	\N	295	86688	UROK	\N	\N
3599309	2081	1997-07-31	PRIJEM	\N	10	3652	UROK	\N	\N
3599310	2081	1997-08-31	PRIJEM	\N	53	19448	UROK	\N	\N
3599311	2081	1997-09-30	PRIJEM	\N	81	22671	UROK	\N	\N
3599312	2081	1997-10-31	PRIJEM	\N	95	26808	UROK	\N	\N
3599313	2081	1997-11-30	PRIJEM	\N	113	32263	UROK	\N	\N
3599314	2081	1997-12-31	PRIJEM	\N	136	31448	UROK	\N	\N
3599315	2081	1998-01-31	PRIJEM	\N	124	28742	UROK	\N	\N
3599316	2081	1998-02-28	PRIJEM	\N	123	30964	UROK	\N	\N
3599317	2081	1998-03-31	PRIJEM	\N	130	26793	UROK	\N	\N
3599318	2081	1998-04-30	PRIJEM	\N	113	25005	UROK	\N	\N
3599319	2081	1998-05-31	PRIJEM	\N	106	23731	UROK	\N	\N
3599320	2081	1998-06-30	PRIJEM	\N	88	21108	UROK	\N	\N
3599321	2081	1998-07-31	PRIJEM	\N	88	23856	UROK	\N	\N
3599322	2081	1998-08-31	PRIJEM	\N	101	23456	UROK	\N	\N
3599323	2081	1998-09-30	PRIJEM	\N	99	23255	UROK	\N	\N
3599324	2081	1998-10-31	PRIJEM	\N	94	18749	UROK	\N	\N
3599325	2081	1998-11-30	PRIJEM	\N	77	15825	UROK	\N	\N
3599326	2081	1998-12-31	PRIJEM	\N	65	16019	UROK	\N	\N
3599327	2082	1993-09-30	PRIJEM	\N	28	9549	UROK	\N	\N
3599328	2082	1993-10-31	PRIJEM	\N	40	15288	UROK	\N	\N
3599329	2082	1993-11-30	PRIJEM	\N	40	22028	UROK	\N	\N
3599330	2082	1993-12-31	PRIJEM	\N	191	72273	UROK	\N	\N
3599331	2082	1994-01-31	PRIJEM	\N	296	49469	UROK	\N	\N
3599332	2082	1994-03-31	PRIJEM	\N	169	60286	UROK	\N	\N
3599333	2082	1994-04-30	PRIJEM	\N	341	91540	UROK	\N	\N
3599334	2082	1994-05-31	PRIJEM	\N	223	49450	UROK	\N	\N
3599335	2082	1994-06-30	PRIJEM	\N	195	69788	UROK	\N	\N
3599336	2082	1994-07-31	PRIJEM	\N	237	24910	UROK	\N	\N
3599337	2082	1994-08-31	PRIJEM	\N	315	58513	UROK	\N	\N
3599338	2082	1994-09-30	PRIJEM	\N	276	65868	UROK	\N	\N
3599339	2082	1994-10-31	PRIJEM	\N	250	54180	UROK	\N	\N
3599340	2082	1994-11-30	PRIJEM	\N	332	59388	UROK	\N	\N
3599341	2082	1994-12-31	PRIJEM	\N	163	25369	UROK	\N	\N
3599342	2082	1995-01-31	PRIJEM	\N	112	27920	UROK	\N	\N
3599343	2082	1995-02-28	PRIJEM	\N	134	58080	UROK	\N	\N
3599344	2082	1995-03-31	PRIJEM	\N	332	54501	UROK	\N	\N
3599345	2082	1995-04-30	PRIJEM	\N	248	52457	UROK	\N	\N
3599346	2082	1995-05-31	PRIJEM	\N	175	23782	UROK	\N	\N
3599347	2082	1995-06-30	PRIJEM	\N	109	25060	UROK	\N	\N
3599348	2082	1995-07-31	PRIJEM	\N	157	32847	UROK	\N	\N
3599349	2082	1995-08-31	PRIJEM	\N	265	60568	UROK	\N	\N
3599350	2082	1995-09-30	PRIJEM	\N	283	55138	UROK	\N	\N
3599351	2082	1995-10-31	PRIJEM	\N	185	27955	UROK	\N	\N
3599352	2082	1995-11-30	PRIJEM	\N	109	25496	UROK	\N	\N
3599353	2082	1995-12-31	PRIJEM	\N	181	43888	UROK	\N	\N
3599354	2082	1996-01-31	PRIJEM	\N	159	34741	UROK	\N	\N
3599355	2082	1996-02-29	PRIJEM	\N	152	31850	UROK	\N	\N
3599356	2082	1996-03-31	PRIJEM	\N	123	53884	UROK	\N	\N
3599357	2082	1996-04-30	PRIJEM	\N	193	48982	UROK	\N	\N
3599358	2082	1996-05-31	PRIJEM	\N	88	23853	UROK	\N	\N
3599359	2082	1996-06-30	PRIJEM	\N	92	25140	UROK	\N	\N
3599360	2082	1996-07-31	PRIJEM	\N	93	23427	UROK	\N	\N
3599361	2082	1996-08-31	PRIJEM	\N	97	46814	UROK	\N	\N
3599362	2082	1996-09-30	PRIJEM	\N	148	28356	UROK	\N	\N
3599363	2082	1996-10-31	PRIJEM	\N	107	23752	UROK	\N	\N
3599364	2082	1996-11-30	PRIJEM	\N	87	21334	UROK	\N	\N
3599365	2082	1996-12-31	PRIJEM	\N	78	19407	UROK	\N	\N
3599366	2082	1997-01-31	PRIJEM	\N	100	28330	UROK	\N	\N
3599367	2082	1997-02-28	PRIJEM	\N	106	24930	UROK	\N	\N
3599368	2082	1997-03-31	PRIJEM	\N	155	35600	UROK	\N	\N
3599369	2082	1997-04-30	PRIJEM	\N	119	25214	UROK	\N	\N
3599370	2082	1997-05-31	PRIJEM	\N	100	30057	UROK	\N	\N
3599371	2082	1997-06-30	PRIJEM	\N	193	74702	UROK	\N	\N
3599372	2082	1997-07-31	PRIJEM	\N	210	34506	UROK	\N	\N
3599373	2082	1997-08-31	PRIJEM	\N	109	22409	UROK	\N	\N
3599374	2082	1997-09-30	PRIJEM	\N	76	17180	UROK	\N	\N
3599375	2082	1997-10-31	PRIJEM	\N	156	51876	UROK	\N	\N
3599376	2082	1997-11-30	PRIJEM	\N	159	32630	UROK	\N	\N
3599377	2082	1997-12-31	PRIJEM	\N	94	18818	UROK	\N	\N
3599378	2082	1998-01-31	PRIJEM	\N	54	11066	UROK	\N	\N
3599379	2082	1998-02-28	PRIJEM	\N	23	3283	UROK	\N	\N
3599380	2082	1998-03-31	PRIJEM	\N	63	21985	UROK	\N	\N
3599381	2082	1998-04-30	PRIJEM	\N	67	14246	UROK	\N	\N
3599382	2082	1998-05-31	PRIJEM	\N	34	6474	UROK	\N	\N
3599383	2082	1998-06-30	PRIJEM	\N	16	3872	UROK	\N	\N
3599384	2082	1998-07-31	PRIJEM	\N	123	42191	UROK	\N	\N
3599385	2082	1998-08-31	PRIJEM	\N	112	27930	UROK	\N	\N
3599386	2082	1998-09-30	PRIJEM	\N	91	20215	UROK	\N	\N
3599387	2082	1998-10-31	PRIJEM	\N	58	12468	UROK	\N	\N
3599388	2082	1998-11-30	PRIJEM	\N	68	48227	UROK	\N	\N
3599389	2082	1998-12-31	PRIJEM	\N	101	19540	UROK	\N	\N
3599390	2083	1996-10-31	PRIJEM	\N	13	23794	UROK	\N	\N
3599391	2083	1996-11-30	PRIJEM	\N	106	35881	UROK	\N	\N
3599392	2083	1996-12-31	PRIJEM	\N	158	49710	UROK	\N	\N
3599393	2083	1997-01-31	PRIJEM	\N	206	48597	UROK	\N	\N
3599394	2083	1997-02-28	PRIJEM	\N	200	45278	UROK	\N	\N
3599395	2083	1997-03-31	PRIJEM	\N	212	36974	UROK	\N	\N
3599396	2083	1997-04-30	PRIJEM	\N	179	32838	UROK	\N	\N
3599397	2083	1997-05-31	PRIJEM	\N	162	29684	UROK	\N	\N
3599398	2083	1997-06-30	PRIJEM	\N	160	17498	UROK	\N	\N
3599399	2083	1997-07-31	PRIJEM	\N	106	25688	UROK	\N	\N
3599400	2083	1997-08-31	PRIJEM	\N	102	22415	UROK	\N	\N
3599401	2083	1997-09-30	PRIJEM	\N	118	25117	UROK	\N	\N
3599402	2083	1997-10-31	PRIJEM	\N	112	19873	UROK	\N	\N
3599403	2083	1997-11-30	PRIJEM	\N	103	16600	UROK	\N	\N
3599404	2083	1997-12-31	PRIJEM	\N	109	24124	UROK	\N	\N
3599405	2083	1998-01-31	PRIJEM	\N	119	25427	UROK	\N	\N
3599406	2083	1998-02-28	PRIJEM	\N	126	28437	UROK	\N	\N
3599407	2083	1998-03-31	PRIJEM	\N	138	29560	UROK	\N	\N
3599408	2083	1998-04-30	PRIJEM	\N	131	22556	UROK	\N	\N
3599409	2083	1998-05-31	PRIJEM	\N	108	21148	UROK	\N	\N
3599410	2083	1998-06-30	PRIJEM	\N	126	28849	UROK	\N	\N
3599411	2083	1998-07-31	PRIJEM	\N	128	24961	UROK	\N	\N
3599412	2083	1998-08-31	PRIJEM	\N	111	22356	UROK	\N	\N
3599413	2083	1998-09-30	PRIJEM	\N	99	22439	UROK	\N	\N
3599414	2083	1998-10-31	PRIJEM	\N	100	21024	UROK	\N	\N
3599415	2083	1998-11-30	PRIJEM	\N	94	20302	UROK	\N	\N
3599416	2083	1998-12-31	PRIJEM	\N	98	17915	UROK	\N	\N
3599417	2084	1996-09-30	PRIJEM	\N	53	21243	UROK	\N	\N
3599418	2084	1996-10-31	PRIJEM	\N	145	43378	UROK	\N	\N
3599419	2084	1996-11-30	PRIJEM	\N	205	53373	UROK	\N	\N
3599420	2084	1996-12-31	PRIJEM	\N	270	72277	UROK	\N	\N
3599421	2084	1997-01-31	PRIJEM	\N	298	67145	UROK	\N	\N
3599422	2084	1997-02-28	PRIJEM	\N	264	64930	UROK	\N	\N
3599423	2084	1997-03-31	PRIJEM	\N	264	61096	UROK	\N	\N
3599424	2084	1997-04-30	PRIJEM	\N	256	64673	UROK	\N	\N
3599425	2084	1997-05-31	PRIJEM	\N	253	62147	UROK	\N	\N
3599426	2084	1997-06-30	PRIJEM	\N	176	47889	UROK	\N	\N
3599427	2084	1997-07-31	PRIJEM	\N	217	56828	UROK	\N	\N
3599428	2084	1997-08-31	PRIJEM	\N	235	59484	UROK	\N	\N
3599429	2084	1997-09-30	PRIJEM	\N	245	60451	UROK	\N	\N
3599430	2084	1997-10-31	PRIJEM	\N	231	61304	UROK	\N	\N
3599431	2084	1997-11-30	PRIJEM	\N	255	63580	UROK	\N	\N
3599432	2084	1997-12-31	PRIJEM	\N	281	72928	UROK	\N	\N
3599433	2084	1998-01-31	PRIJEM	\N	284	57793	UROK	\N	\N
3599434	2084	1998-02-28	PRIJEM	\N	239	55874	UROK	\N	\N
3599435	2084	1998-03-31	PRIJEM	\N	241	61936	UROK	\N	\N
3599436	2084	1998-04-30	PRIJEM	\N	269	68927	UROK	\N	\N
3599437	2084	1998-05-31	PRIJEM	\N	277	61044	UROK	\N	\N
3599438	2084	1998-06-30	PRIJEM	\N	225	56516	UROK	\N	\N
3599439	2084	1998-07-31	PRIJEM	\N	220	48237	UROK	\N	\N
3599440	2084	1998-08-31	PRIJEM	\N	236	53994	UROK	\N	\N
3599441	2084	1998-09-30	PRIJEM	\N	258	58074	UROK	\N	\N
3599442	2084	1998-10-31	PRIJEM	\N	274	60669	UROK	\N	\N
3599443	2084	1998-11-30	PRIJEM	\N	285	65475	UROK	\N	\N
3599444	2084	1998-12-31	PRIJEM	\N	316	84957	UROK	\N	\N
3599445	2085	1997-03-31	PRIJEM	\N	39	16951	UROK	\N	\N
3599446	2085	1997-04-30	PRIJEM	\N	85	22947	UROK	\N	\N
3599447	2085	1997-05-31	PRIJEM	\N	109	28768	UROK	\N	\N
3599448	2085	1997-06-30	PRIJEM	\N	131	33367	UROK	\N	\N
3599449	2085	1997-07-31	PRIJEM	\N	146	36020	UROK	\N	\N
3599450	2085	1997-08-31	PRIJEM	\N	154	36798	UROK	\N	\N
3599451	2085	1997-09-30	PRIJEM	\N	152	35572	UROK	\N	\N
3599452	2085	1997-10-31	PRIJEM	\N	158	38654	UROK	\N	\N
3599453	2085	1997-11-30	PRIJEM	\N	161	38338	UROK	\N	\N
3599454	2085	1997-12-31	PRIJEM	\N	153	33970	UROK	\N	\N
3599455	2085	1998-01-31	PRIJEM	\N	118	21911	UROK	\N	\N
3599456	2085	1998-02-28	PRIJEM	\N	98	22932	UROK	\N	\N
3599457	2085	1998-03-31	PRIJEM	\N	104	25459	UROK	\N	\N
3599458	2085	1998-04-30	PRIJEM	\N	116	28699	UROK	\N	\N
3599459	2085	1998-05-31	PRIJEM	\N	109	25030	UROK	\N	\N
3599460	2085	1998-06-30	PRIJEM	\N	114	27724	UROK	\N	\N
3599461	2085	1998-07-31	PRIJEM	\N	109	25556	UROK	\N	\N
3599462	2085	1998-08-31	PRIJEM	\N	99	23378	UROK	\N	\N
3599463	2085	1998-09-30	PRIJEM	\N	77	15378	UROK	\N	\N
3599464	2085	1998-10-31	PRIJEM	\N	67	15368	UROK	\N	\N
3599465	2085	1998-11-30	PRIJEM	\N	83	18074	UROK	\N	\N
3599466	2085	1998-12-31	PRIJEM	\N	101	23655	UROK	\N	\N
3599467	2087	1993-01-31	PRIJEM	\N	7	17590	UROK	\N	\N
3599468	2087	1993-02-28	PRIJEM	\N	117	34129	UROK	\N	\N
3599469	2087	1993-03-31	PRIJEM	\N	142	27771	UROK	\N	\N
3599470	2087	1993-04-30	PRIJEM	\N	142	25613	UROK	\N	\N
3599471	2087	1993-05-31	PRIJEM	\N	288	97022	UROK	\N	\N
3599472	2087	1993-06-30	PRIJEM	\N	349	85248	UROK	\N	\N
3599473	2087	1993-07-31	PRIJEM	\N	333	72617	UROK	\N	\N
3599474	2087	1993-08-31	PRIJEM	\N	275	62064	UROK	\N	\N
3599475	2087	1993-09-30	PRIJEM	\N	318	86507	UROK	\N	\N
3599476	2087	1993-10-31	PRIJEM	\N	300	130209	UROK	\N	\N
3599477	2087	1993-11-30	PRIJEM	\N	234	66647	UROK	\N	\N
3599478	2087	1993-12-31	PRIJEM	\N	307	75668	UROK	\N	\N
3599479	2087	1994-01-31	PRIJEM	\N	215	31211	UROK	\N	\N
3599480	2087	1994-02-28	PRIJEM	\N	145	36379	UROK	\N	\N
3599481	2087	1994-03-31	PRIJEM	\N	151	32600	UROK	\N	\N
3599482	2087	1994-04-30	PRIJEM	\N	196	52110	UROK	\N	\N
3599483	2087	1994-05-31	PRIJEM	\N	164	36224	UROK	\N	\N
3599484	2087	1994-06-30	PRIJEM	\N	158	38471	UROK	\N	\N
3599485	2087	1994-07-31	PRIJEM	\N	138	35866	UROK	\N	\N
3599486	2087	1994-08-31	PRIJEM	\N	151	48679	UROK	\N	\N
3599487	2087	1994-09-30	PRIJEM	\N	170	67055	UROK	\N	\N
3599488	2087	1994-10-31	PRIJEM	\N	201	46349	UROK	\N	\N
3599489	2087	1994-11-30	PRIJEM	\N	192	43628	UROK	\N	\N
3599490	2087	1994-12-31	PRIJEM	\N	345	36359	UROK	\N	\N
3599491	2087	1995-01-31	PRIJEM	\N	158	42770	UROK	\N	\N
3599492	2087	1995-02-28	PRIJEM	\N	178	47480	UROK	\N	\N
3599493	2087	1995-03-31	PRIJEM	\N	189	29439	UROK	\N	\N
3599494	2087	1995-04-30	PRIJEM	\N	123	32492	UROK	\N	\N
3599495	2087	1995-05-31	PRIJEM	\N	152	77310	UROK	\N	\N
3599496	2087	1995-06-30	PRIJEM	\N	317	54198	UROK	\N	\N
3599497	2087	1995-07-31	PRIJEM	\N	223	52681	UROK	\N	\N
3599498	2087	1995-08-31	PRIJEM	\N	216	40267	UROK	\N	\N
3599499	2087	1995-09-30	PRIJEM	\N	163	32800	UROK	\N	\N
3599500	2087	1995-10-31	PRIJEM	\N	107	64577	UROK	\N	\N
3599501	2087	1995-11-30	PRIJEM	\N	243	40390	UROK	\N	\N
3599502	2087	1995-12-31	PRIJEM	\N	155	30415	UROK	\N	\N
3599503	2087	1996-01-31	PRIJEM	\N	178	30726	UROK	\N	\N
3599504	2087	1996-02-29	PRIJEM	\N	116	22412	UROK	\N	\N
3599505	2087	1996-03-31	PRIJEM	\N	91	25973	UROK	\N	\N
3599506	2087	1996-04-30	PRIJEM	\N	132	43283	UROK	\N	\N
3599507	2087	1996-05-31	PRIJEM	\N	176	32829	UROK	\N	\N
3599508	2087	1996-06-30	PRIJEM	\N	148	37754	UROK	\N	\N
3599509	2087	1996-07-31	PRIJEM	\N	172	39758	UROK	\N	\N
3599510	2087	1996-08-31	PRIJEM	\N	162	41111	UROK	\N	\N
3599511	2087	1996-09-30	PRIJEM	\N	198	48979	UROK	\N	\N
3599512	2087	1996-10-31	PRIJEM	\N	228	47063	UROK	\N	\N
3599513	2087	1996-11-30	PRIJEM	\N	192	42825	UROK	\N	\N
3599514	2087	1996-12-31	PRIJEM	\N	148	31742	UROK	\N	\N
3599515	2087	1997-01-31	PRIJEM	\N	71	10483	UROK	\N	\N
3599516	2087	1997-02-28	PRIJEM	\N	42	25095	UROK	\N	\N
3599517	2087	1997-03-31	PRIJEM	\N	97	20694	UROK	\N	\N
3599518	2087	1997-04-30	PRIJEM	\N	91	25588	UROK	\N	\N
3599519	2087	1997-05-31	PRIJEM	\N	100	25048	UROK	\N	\N
3599520	2087	1997-06-30	PRIJEM	\N	82	27768	UROK	\N	\N
3599521	2087	1997-07-31	PRIJEM	\N	56	5695	UROK	\N	\N
3599522	2087	1997-08-31	PRIJEM	\N	16	3506	UROK	\N	\N
3599523	2087	1997-09-30	PRIJEM	\N	11	16387	UROK	\N	\N
3599524	2087	1997-10-31	PRIJEM	\N	64	24521	UROK	\N	\N
3599525	2087	1997-11-30	PRIJEM	\N	97	28388	UROK	\N	\N
3599526	2087	1997-12-31	PRIJEM	\N	106	25664	UROK	\N	\N
3599527	2087	1998-01-31	PRIJEM	\N	254	70700	UROK	\N	\N
3599528	2087	1998-02-28	PRIJEM	\N	351	98866	UROK	\N	\N
3599529	2087	1998-03-31	PRIJEM	\N	353	90005	UROK	\N	\N
3599530	2087	1998-04-30	PRIJEM	\N	372	107795	UROK	\N	\N
3599531	2087	1998-05-31	PRIJEM	\N	364	76328	UROK	\N	\N
3599532	2087	1998-06-30	PRIJEM	\N	327	81339	UROK	\N	\N
3599533	2087	1998-07-31	PRIJEM	\N	348	92739	UROK	\N	\N
3599534	2087	1998-08-31	PRIJEM	\N	376	71785	UROK	\N	\N
3599535	2087	1998-09-30	PRIJEM	\N	254	72586	UROK	\N	\N
3599536	2087	1998-10-31	PRIJEM	\N	355	119620	UROK	\N	\N
3599537	2087	1998-11-30	PRIJEM	\N	326	92422	UROK	\N	\N
3599538	2087	1998-12-31	PRIJEM	\N	288	61955	UROK	\N	\N
3599539	2088	1993-08-31	PRIJEM	\N	9	12670	UROK	\N	\N
3599540	2088	1993-09-30	PRIJEM	\N	59	22290	UROK	\N	\N
3599541	2088	1993-10-31	PRIJEM	\N	95	25646	UROK	\N	\N
3599542	2088	1993-11-30	PRIJEM	\N	110	29317	UROK	\N	\N
3599543	2088	1993-12-31	PRIJEM	\N	119	26608	UROK	\N	\N
3599544	2088	1994-01-31	PRIJEM	\N	76	19951	UROK	\N	\N
3599545	2088	1994-02-28	PRIJEM	\N	91	24047	UROK	\N	\N
3599546	2088	1994-03-31	PRIJEM	\N	106	26660	UROK	\N	\N
3599547	2088	1994-04-30	PRIJEM	\N	124	27990	UROK	\N	\N
3599548	2088	1994-05-31	PRIJEM	\N	117	25214	UROK	\N	\N
3599549	2088	1994-06-30	PRIJEM	\N	126	29277	UROK	\N	\N
3599550	2088	1994-07-31	PRIJEM	\N	133	30016	UROK	\N	\N
3599551	2088	1994-08-31	PRIJEM	\N	118	28181	UROK	\N	\N
3599552	2088	1994-09-30	PRIJEM	\N	125	26712	UROK	\N	\N
3599553	2088	1994-10-31	PRIJEM	\N	105	23243	UROK	\N	\N
3599554	2088	1994-11-30	PRIJEM	\N	101	24351	UROK	\N	\N
3599555	2088	1994-12-31	PRIJEM	\N	102	20470	UROK	\N	\N
3599556	2088	1995-01-31	PRIJEM	\N	80	15976	UROK	\N	\N
3599557	2088	1995-02-28	PRIJEM	\N	82	18584	UROK	\N	\N
3599558	2088	1995-03-31	PRIJEM	\N	87	23278	UROK	\N	\N
3599559	2088	1995-04-30	PRIJEM	\N	101	24486	UROK	\N	\N
3599560	2088	1995-05-31	PRIJEM	\N	109	24201	UROK	\N	\N
3599561	2088	1995-06-30	PRIJEM	\N	117	22556	UROK	\N	\N
3599562	2088	1995-07-31	PRIJEM	\N	107	26069	UROK	\N	\N
3599563	2088	1995-08-31	PRIJEM	\N	111	26587	UROK	\N	\N
3599564	2088	1995-09-30	PRIJEM	\N	125	30618	UROK	\N	\N
3599565	2088	1995-10-31	PRIJEM	\N	134	31058	UROK	\N	\N
3599566	2088	1995-11-30	PRIJEM	\N	123	25266	UROK	\N	\N
3599567	2088	1995-12-31	PRIJEM	\N	118	28162	UROK	\N	\N
3599568	2088	1996-01-31	PRIJEM	\N	99	19866	UROK	\N	\N
3599569	2088	1996-02-29	PRIJEM	\N	93	22766	UROK	\N	\N
3599570	2088	1996-03-31	PRIJEM	\N	105	25277	UROK	\N	\N
3599571	2088	1996-04-30	PRIJEM	\N	108	25292	UROK	\N	\N
3599572	2088	1996-05-31	PRIJEM	\N	112	26910	UROK	\N	\N
3599573	2088	1996-06-30	PRIJEM	\N	121	28869	UROK	\N	\N
3599574	2088	1996-07-31	PRIJEM	\N	116	26391	UROK	\N	\N
3599575	2088	1996-08-31	PRIJEM	\N	101	23498	UROK	\N	\N
3599576	2088	1996-09-30	PRIJEM	\N	88	20293	UROK	\N	\N
3599577	2088	1996-10-31	PRIJEM	\N	91	22190	UROK	\N	\N
3599578	2088	1996-11-30	PRIJEM	\N	84	19680	UROK	\N	\N
3599579	2088	1996-12-31	PRIJEM	\N	74	17451	UROK	\N	\N
3599580	2088	1997-01-31	PRIJEM	\N	65	15243	UROK	\N	\N
3599581	2088	1997-02-28	PRIJEM	\N	78	17527	UROK	\N	\N
3599582	2088	1997-03-31	PRIJEM	\N	84	21117	UROK	\N	\N
3599583	2088	1997-04-30	PRIJEM	\N	94	23217	UROK	\N	\N
3599584	2088	1997-05-31	PRIJEM	\N	100	24723	UROK	\N	\N
3599585	2088	1997-06-30	PRIJEM	\N	81	15161	UROK	\N	\N
3599586	2088	1997-07-31	PRIJEM	\N	77	18044	UROK	\N	\N
3599587	2088	1997-08-31	PRIJEM	\N	69	16420	UROK	\N	\N
3599588	2088	1997-09-30	PRIJEM	\N	67	16593	UROK	\N	\N
3599589	2088	1997-10-31	PRIJEM	\N	83	18283	UROK	\N	\N
3599590	2088	1997-11-30	PRIJEM	\N	79	19968	UROK	\N	\N
3599591	2088	1997-12-31	PRIJEM	\N	76	19182	UROK	\N	\N
3599592	2088	1998-01-31	PRIJEM	\N	75	15263	UROK	\N	\N
3599593	2088	1998-02-28	PRIJEM	\N	66	16635	UROK	\N	\N
3599594	2088	1998-03-31	PRIJEM	\N	83	18324	UROK	\N	\N
3599595	2088	1998-04-30	PRIJEM	\N	79	20010	UROK	\N	\N
3599596	2088	1998-05-31	PRIJEM	\N	70	16786	UROK	\N	\N
3599597	2088	1998-06-30	PRIJEM	\N	81	20904	UROK	\N	\N
3599598	2088	1998-07-31	PRIJEM	\N	90	22600	UROK	\N	\N
3599599	2088	1998-08-31	PRIJEM	\N	93	16019	UROK	\N	\N
3599600	2088	1998-09-30	PRIJEM	\N	69	17695	UROK	\N	\N
3599601	2088	1998-10-31	PRIJEM	\N	78	15899	UROK	\N	\N
3599602	2088	1998-11-30	PRIJEM	\N	69	17574	UROK	\N	\N
3599603	2088	1998-12-31	PRIJEM	\N	79	20250	UROK	\N	\N
3599604	2090	1997-04-30	PRIJEM	\N	61	22424	UROK	\N	\N
3599605	2090	1997-05-31	PRIJEM	\N	98	24275	UROK	\N	\N
3599606	2090	1997-06-30	PRIJEM	\N	100	22727	UROK	\N	\N
3599607	2090	1997-07-31	PRIJEM	\N	98	23458	UROK	\N	\N
3599608	2090	1997-08-31	PRIJEM	\N	102	25312	UROK	\N	\N
3599609	2090	1997-09-30	PRIJEM	\N	110	27175	UROK	\N	\N
3599610	2090	1997-10-31	PRIJEM	\N	118	29045	UROK	\N	\N
3599611	2090	1997-11-30	PRIJEM	\N	126	30923	UROK	\N	\N
3599612	2090	1997-12-31	PRIJEM	\N	133	32258	UROK	\N	\N
3599613	2090	1998-01-31	PRIJEM	\N	117	24848	UROK	\N	\N
3599614	2090	1998-02-28	PRIJEM	\N	108	26708	UROK	\N	\N
3599615	2090	1998-03-31	PRIJEM	\N	116	28576	UROK	\N	\N
3599616	2090	1998-04-30	PRIJEM	\N	124	30452	UROK	\N	\N
3599617	2090	1998-05-31	PRIJEM	\N	128	30652	UROK	\N	\N
3599618	2090	1998-06-30	PRIJEM	\N	100	20804	UROK	\N	\N
3599619	2090	1998-07-31	PRIJEM	\N	96	21133	UROK	\N	\N
3599620	2090	1998-08-31	PRIJEM	\N	93	22978	UROK	\N	\N
3599621	2090	1998-09-30	PRIJEM	\N	100	24830	UROK	\N	\N
3599622	2090	1998-10-31	PRIJEM	\N	108	26690	UROK	\N	\N
3599623	2090	1998-11-30	PRIJEM	\N	116	28558	UROK	\N	\N
3599624	2090	1998-12-31	PRIJEM	\N	122	29383	UROK	\N	\N
3599625	2092	1994-05-31	PRIJEM	\N	6	15282	UROK	\N	\N
3599626	2092	1994-06-30	PRIJEM	\N	72	36052	UROK	\N	\N
3599627	2092	1994-07-31	PRIJEM	\N	154	44984	UROK	\N	\N
3599628	2092	1994-08-31	PRIJEM	\N	191	50728	UROK	\N	\N
3599629	2092	1994-09-30	PRIJEM	\N	214	54989	UROK	\N	\N
3599630	2092	1994-10-31	PRIJEM	\N	214	36491	UROK	\N	\N
3599631	2092	1994-11-30	PRIJEM	\N	235	47783	UROK	\N	\N
3599632	2092	1994-12-31	PRIJEM	\N	164	34351	UROK	\N	\N
3599633	2092	1995-01-31	PRIJEM	\N	115	26092	UROK	\N	\N
3599634	2092	1995-02-28	PRIJEM	\N	106	38570	UROK	\N	\N
3599635	2092	1995-03-31	PRIJEM	\N	209	43178	UROK	\N	\N
3599636	2092	1995-04-30	PRIJEM	\N	166	27031	UROK	\N	\N
3599637	2092	1995-05-31	PRIJEM	\N	280	84041	UROK	\N	\N
3599638	2092	1995-06-30	PRIJEM	\N	293	44576	UROK	\N	\N
3599639	2092	1995-07-31	PRIJEM	\N	238	54598	UROK	\N	\N
3599640	2092	1995-08-31	PRIJEM	\N	216	41669	UROK	\N	\N
3599641	2092	1995-09-30	PRIJEM	\N	219	55274	UROK	\N	\N
3599642	2092	1995-10-31	PRIJEM	\N	214	45666	UROK	\N	\N
3599643	2092	1995-11-30	PRIJEM	\N	283	45983	UROK	\N	\N
3599644	2092	1995-12-31	PRIJEM	\N	141	42864	UROK	\N	\N
3599645	2092	1996-01-31	PRIJEM	\N	150	23602	UROK	\N	\N
3599646	2092	1996-02-29	PRIJEM	\N	90	18979	UROK	\N	\N
3599647	2092	1996-03-31	PRIJEM	\N	80	19646	UROK	\N	\N
3599648	2092	1996-04-30	PRIJEM	\N	80	19113	UROK	\N	\N
3599649	2092	1996-05-31	PRIJEM	\N	132	39190	UROK	\N	\N
3599650	2092	1996-06-30	PRIJEM	\N	141	28319	UROK	\N	\N
3599651	2092	1996-07-31	PRIJEM	\N	116	27722	UROK	\N	\N
3599652	2092	1996-08-31	PRIJEM	\N	109	25319	UROK	\N	\N
3599653	2092	1996-09-30	PRIJEM	\N	157	32938	UROK	\N	\N
3599654	2092	1996-10-31	PRIJEM	\N	117	24742	UROK	\N	\N
3599655	2092	1996-11-30	PRIJEM	\N	89	19419	UROK	\N	\N
3599656	2092	1996-12-31	PRIJEM	\N	68	14574	UROK	\N	\N
3599657	2092	1997-01-31	PRIJEM	\N	58	13919	UROK	\N	\N
3599658	2092	1997-02-28	PRIJEM	\N	57	14264	UROK	\N	\N
3599659	2092	1997-03-31	PRIJEM	\N	59	15595	UROK	\N	\N
3599660	2092	1997-04-30	PRIJEM	\N	94	24599	UROK	\N	\N
3599661	2092	1997-05-31	PRIJEM	\N	75	14662	UROK	\N	\N
3599662	2092	1997-06-30	PRIJEM	\N	58	7107	UROK	\N	\N
3599663	2092	1997-07-31	PRIJEM	\N	28	7120	UROK	\N	\N
3599664	2092	1997-09-30	PRIJEM	\N	29	39220	UROK	\N	\N
3599665	2092	1997-09-30	PRIJEM	\N	31	39191	UROK	\N	\N
3599666	2092	1997-10-31	PRIJEM	\N	197	57017	UROK	\N	\N
3599667	2092	1997-11-30	PRIJEM	\N	209	23913	UROK	\N	\N
3599668	2092	1997-12-31	PRIJEM	\N	76	17180	UROK	\N	\N
3599669	2092	1998-01-31	PRIJEM	\N	279	88859	UROK	\N	\N
3599670	2092	1998-02-28	PRIJEM	\N	212	73488	UROK	\N	\N
3599671	2092	1998-03-31	PRIJEM	\N	296	76977	UROK	\N	\N
3599672	2092	1998-04-30	PRIJEM	\N	194	27434	UROK	\N	\N
3599673	2092	1998-05-31	PRIJEM	\N	196	36029	UROK	\N	\N
3599674	2092	1998-06-30	PRIJEM	\N	108	20071	UROK	\N	\N
3599675	2092	1998-07-31	PRIJEM	\N	79	12537	UROK	\N	\N
3599676	2092	1998-08-31	PRIJEM	\N	148	53058	UROK	\N	\N
3599677	2092	1998-09-30	PRIJEM	\N	120	25096	UROK	\N	\N
3599678	2092	1998-10-31	PRIJEM	\N	174	49861	UROK	\N	\N
3599679	2092	1998-11-30	PRIJEM	\N	323	84111	UROK	\N	\N
3599680	2092	1998-12-31	PRIJEM	\N	243	107414	UROK	\N	\N
3599681	2094	1997-01-31	PRIJEM	\N	34	15479	UROK	\N	\N
3599682	2094	1997-02-28	PRIJEM	\N	66	16496	UROK	\N	\N
3599683	2094	1997-03-31	PRIJEM	\N	70	16916	UROK	\N	\N
3599684	2094	1997-04-30	PRIJEM	\N	72	17879	UROK	\N	\N
3599685	2094	1997-05-31	PRIJEM	\N	77	19087	UROK	\N	\N
3599686	2094	1997-06-30	PRIJEM	\N	78	18465	UROK	\N	\N
3599687	2094	1997-07-31	PRIJEM	\N	80	19676	UROK	\N	\N
3599688	2094	1997-08-31	PRIJEM	\N	83	19599	UROK	\N	\N
3599689	2094	1997-09-30	PRIJEM	\N	84	20813	UROK	\N	\N
3599690	2094	1997-10-31	PRIJEM	\N	90	22033	UROK	\N	\N
3599691	2094	1997-11-30	PRIJEM	\N	85	20939	UROK	\N	\N
3599692	2094	1997-12-31	PRIJEM	\N	89	21318	UROK	\N	\N
3599693	2094	1998-01-31	PRIJEM	\N	75	16343	UROK	\N	\N
3599694	2094	1998-02-28	PRIJEM	\N	71	17544	UROK	\N	\N
3599695	2094	1998-03-31	PRIJEM	\N	71	16256	UROK	\N	\N
3599696	2094	1998-04-30	PRIJEM	\N	70	17457	UROK	\N	\N
3599697	2094	1998-05-31	PRIJEM	\N	76	18663	UROK	\N	\N
3599698	2094	1998-06-30	PRIJEM	\N	67	14970	UROK	\N	\N
3599699	2094	1998-07-31	PRIJEM	\N	65	16166	UROK	\N	\N
3599700	2094	1998-08-31	PRIJEM	\N	68	16674	UROK	\N	\N
3599701	2094	1998-09-30	PRIJEM	\N	72	17876	UROK	\N	\N
3599702	2094	1998-10-31	PRIJEM	\N	77	17733	UROK	\N	\N
3599703	2094	1998-11-30	PRIJEM	\N	76	18940	UROK	\N	\N
3599704	2094	1998-12-31	PRIJEM	\N	76	18166	UROK	\N	\N
3599705	2096	1995-07-31	PRIJEM	\N	40	19929	UROK	\N	\N
3599706	2096	1995-08-31	PRIJEM	\N	98	27016	UROK	\N	\N
3599707	2096	1995-09-30	PRIJEM	\N	126	33331	UROK	\N	\N
3599708	2096	1995-10-31	PRIJEM	\N	148	37668	UROK	\N	\N
3599709	2096	1995-11-30	PRIJEM	\N	156	36182	UROK	\N	\N
3599710	2096	1995-12-31	PRIJEM	\N	156	34406	UROK	\N	\N
3599711	2096	1996-01-31	PRIJEM	\N	103	14410	UROK	\N	\N
3599712	2096	1996-02-29	PRIJEM	\N	92	22305	UROK	\N	\N
3599713	2096	1996-03-31	PRIJEM	\N	110	27617	UROK	\N	\N
3599714	2096	1996-04-30	PRIJEM	\N	125	30645	UROK	\N	\N
3599715	2096	1996-05-31	PRIJEM	\N	126	25793	UROK	\N	\N
3599716	2096	1996-06-30	PRIJEM	\N	122	28122	UROK	\N	\N
3599717	2096	1996-07-31	PRIJEM	\N	130	29734	UROK	\N	\N
3599718	2096	1996-08-31	PRIJEM	\N	135	33271	UROK	\N	\N
3599719	2096	1996-09-30	PRIJEM	\N	160	40533	UROK	\N	\N
3599720	2096	1996-10-31	PRIJEM	\N	186	46321	UROK	\N	\N
3599721	2096	1996-11-30	PRIJEM	\N	189	45912	UROK	\N	\N
3599722	2096	1996-12-31	PRIJEM	\N	216	54674	UROK	\N	\N
3599723	2096	1997-01-31	PRIJEM	\N	178	34614	UROK	\N	\N
3599724	2096	1997-02-28	PRIJEM	\N	154	39471	UROK	\N	\N
3599725	2096	1997-03-31	PRIJEM	\N	175	43649	UROK	\N	\N
3599726	2096	1997-04-30	PRIJEM	\N	173	42524	UROK	\N	\N
3599727	2096	1997-05-31	PRIJEM	\N	175	40101	UROK	\N	\N
3599728	2096	1997-06-30	PRIJEM	\N	201	52049	UROK	\N	\N
3599729	2096	1997-07-31	PRIJEM	\N	210	51061	UROK	\N	\N
3599730	2096	1997-08-31	PRIJEM	\N	205	49509	UROK	\N	\N
3599731	2096	1997-09-30	PRIJEM	\N	202	50314	UROK	\N	\N
3599732	2096	1997-10-31	PRIJEM	\N	211	52728	UROK	\N	\N
3599733	2096	1997-11-30	PRIJEM	\N	208	48938	UROK	\N	\N
3599734	2096	1997-12-31	PRIJEM	\N	214	54078	UROK	\N	\N
3599735	2096	1998-01-31	PRIJEM	\N	168	34049	UROK	\N	\N
3599736	2096	1998-02-28	PRIJEM	\N	156	40207	UROK	\N	\N
3599737	2096	1998-03-31	PRIJEM	\N	158	39367	UROK	\N	\N
3599738	2096	1998-04-30	PRIJEM	\N	142	35911	UROK	\N	\N
3599739	2096	1998-05-31	PRIJEM	\N	160	40974	UROK	\N	\N
3599740	2096	1998-06-30	PRIJEM	\N	186	32027	UROK	\N	\N
3599741	2096	1998-07-31	PRIJEM	\N	142	36672	UROK	\N	\N
3599742	2096	1998-08-31	PRIJEM	\N	162	37536	UROK	\N	\N
3599743	2096	1998-09-30	PRIJEM	\N	172	40410	UROK	\N	\N
3599744	2096	1998-10-31	PRIJEM	\N	182	40095	UROK	\N	\N
3599745	2096	1998-11-30	PRIJEM	\N	178	36935	UROK	\N	\N
3599746	2096	1998-12-31	PRIJEM	\N	189	48171	UROK	\N	\N
3599804	2101	1996-08-31	PRIJEM	\N	10	4074	UROK	\N	\N
3599805	2101	1996-09-30	PRIJEM	\N	47	15985	UROK	\N	\N
3599806	2101	1996-10-31	PRIJEM	\N	90	25139	UROK	\N	\N
3599807	2101	1996-11-30	PRIJEM	\N	112	28014	UROK	\N	\N
3599808	2101	1996-12-31	PRIJEM	\N	115	26733	UROK	\N	\N
3599809	2101	1997-01-31	PRIJEM	\N	114	28237	UROK	\N	\N
3599810	2101	1997-02-28	PRIJEM	\N	107	26585	UROK	\N	\N
3599811	2101	1997-03-31	PRIJEM	\N	119	29644	UROK	\N	\N
3599812	2101	1997-04-30	PRIJEM	\N	129	31913	UROK	\N	\N
3599813	2101	1997-05-31	PRIJEM	\N	135	33388	UROK	\N	\N
3599814	2101	1997-06-30	PRIJEM	\N	121	26439	UROK	\N	\N
3599815	2101	1997-07-31	PRIJEM	\N	120	27019	UROK	\N	\N
3599816	2101	1997-08-31	PRIJEM	\N	114	28573	UROK	\N	\N
3599817	2101	1997-09-30	PRIJEM	\N	115	26249	UROK	\N	\N
3599818	2101	1997-10-31	PRIJEM	\N	109	25168	UROK	\N	\N
3599819	2101	1997-11-30	PRIJEM	\N	104	25192	UROK	\N	\N
3599820	2101	1997-12-31	PRIJEM	\N	107	27710	UROK	\N	\N
3599821	2101	1998-01-31	PRIJEM	\N	113	28733	UROK	\N	\N
3599822	2101	1998-02-28	PRIJEM	\N	119	25792	UROK	\N	\N
3599823	2101	1998-03-31	PRIJEM	\N	109	27041	UROK	\N	\N
3599824	2101	1998-04-30	PRIJEM	\N	112	26294	UROK	\N	\N
3599825	2101	1998-05-31	PRIJEM	\N	111	27245	UROK	\N	\N
3599826	2101	1998-06-30	PRIJEM	\N	90	22705	UROK	\N	\N
3599827	2101	1998-07-31	PRIJEM	\N	99	26794	UROK	\N	\N
3599828	2101	1998-08-31	PRIJEM	\N	112	27247	UROK	\N	\N
3599829	2101	1998-09-30	PRIJEM	\N	110	25547	UROK	\N	\N
3599830	2101	1998-10-31	PRIJEM	\N	104	23892	UROK	\N	\N
3599831	2101	1998-11-30	PRIJEM	\N	100	25962	UROK	\N	\N
3599832	2101	1998-12-31	PRIJEM	\N	111	27623	UROK	\N	\N
3599833	2102	1996-08-31	PRIJEM	\N	36	12028	UROK	\N	\N
3599834	2102	1996-09-30	PRIJEM	\N	97	28217	UROK	\N	\N
3599835	2102	1996-10-31	PRIJEM	\N	140	36049	UROK	\N	\N
3599836	2102	1996-11-30	PRIJEM	\N	167	42008	UROK	\N	\N
3599837	2102	1996-12-31	PRIJEM	\N	185	45369	UROK	\N	\N
3599838	2102	1997-01-31	PRIJEM	\N	136	17345	UROK	\N	\N
3599839	2102	1997-02-28	PRIJEM	\N	99	26324	UROK	\N	\N
3599840	2102	1997-03-31	PRIJEM	\N	127	31931	UROK	\N	\N
3599841	2102	1997-04-30	PRIJEM	\N	128	30639	UROK	\N	\N
3599842	2102	1997-05-31	PRIJEM	\N	135	33255	UROK	\N	\N
3599843	2102	1997-06-30	PRIJEM	\N	153	38634	UROK	\N	\N
3599844	2102	1997-07-31	PRIJEM	\N	141	28575	UROK	\N	\N
3599845	2102	1997-08-31	PRIJEM	\N	99	17655	UROK	\N	\N
3599846	2102	1997-09-30	PRIJEM	\N	84	16020	UROK	\N	\N
3599847	2102	1997-10-31	PRIJEM	\N	76	15936	UROK	\N	\N
3599848	2102	1997-11-30	PRIJEM	\N	77	15593	UROK	\N	\N
3599849	2102	1997-12-31	PRIJEM	\N	88	17008	UROK	\N	\N
3599850	2102	1998-01-31	PRIJEM	\N	66	14214	UROK	\N	\N
3599851	2102	1998-02-28	PRIJEM	\N	70	16064	UROK	\N	\N
3599852	2102	1998-03-31	PRIJEM	\N	77	16922	UROK	\N	\N
3599853	2102	1998-04-30	PRIJEM	\N	81	18784	UROK	\N	\N
3599854	2102	1998-05-31	PRIJEM	\N	84	18188	UROK	\N	\N
3599855	2102	1998-06-30	PRIJEM	\N	94	22869	UROK	\N	\N
3599856	2102	1998-07-31	PRIJEM	\N	96	19925	UROK	\N	\N
3599857	2102	1998-08-31	PRIJEM	\N	95	23500	UROK	\N	\N
3599858	2102	1998-09-30	PRIJEM	\N	111	28591	UROK	\N	\N
3599859	2102	1998-10-31	PRIJEM	\N	129	30400	UROK	\N	\N
3599860	2102	1998-11-30	PRIJEM	\N	133	29313	UROK	\N	\N
3599861	2102	1998-12-31	PRIJEM	\N	145	37425	UROK	\N	\N
3599862	2103	1997-02-28	PRIJEM	\N	19	6659	UROK	\N	\N
3599863	2103	1997-03-31	PRIJEM	\N	68	20166	UROK	\N	\N
3599864	2103	1997-04-30	PRIJEM	\N	97	24803	UROK	\N	\N
3599865	2103	1997-05-31	PRIJEM	\N	113	28357	UROK	\N	\N
3599866	2103	1997-06-30	PRIJEM	\N	116	24700	UROK	\N	\N
3599867	2103	1997-07-31	PRIJEM	\N	84	19017	UROK	\N	\N
3599868	2103	1997-08-31	PRIJEM	\N	85	20034	UROK	\N	\N
3599869	2103	1997-09-30	PRIJEM	\N	90	23756	UROK	\N	\N
3599870	2103	1997-10-31	PRIJEM	\N	102	19191	UROK	\N	\N
3599871	2103	1997-11-30	PRIJEM	\N	83	15107	UROK	\N	\N
3599872	2103	1997-12-31	PRIJEM	\N	66	12435	UROK	\N	\N
3599873	2103	1998-01-31	PRIJEM	\N	57	13124	UROK	\N	\N
3599874	2103	1998-02-28	PRIJEM	\N	59	11615	UROK	\N	\N
3599875	2103	1998-03-31	PRIJEM	\N	54	12062	UROK	\N	\N
3599876	2103	1998-04-30	PRIJEM	\N	55	11249	UROK	\N	\N
3599877	2103	1998-05-31	PRIJEM	\N	53	13134	UROK	\N	\N
3599878	2103	1998-06-30	PRIJEM	\N	58	12994	UROK	\N	\N
3599879	2103	1998-07-31	PRIJEM	\N	60	14887	UROK	\N	\N
3599880	2103	1998-08-31	PRIJEM	\N	65	14184	UROK	\N	\N
3599881	2103	1998-09-30	PRIJEM	\N	64	15281	UROK	\N	\N
3599882	2103	1998-10-31	PRIJEM	\N	68	15981	UROK	\N	\N
3599883	2103	1998-11-30	PRIJEM	\N	71	16885	UROK	\N	\N
3599884	2103	1998-12-31	PRIJEM	\N	82	20290	UROK	\N	\N
3599885	2104	1996-07-31	PRIJEM	\N	55	20425	UROK	\N	\N
3599886	2104	1996-08-31	PRIJEM	\N	111	29806	UROK	\N	\N
3599887	2104	1996-09-30	PRIJEM	\N	142	36118	UROK	\N	\N
3599888	2104	1996-10-31	PRIJEM	\N	160	39448	UROK	\N	\N
3599889	2104	1996-11-30	PRIJEM	\N	161	38179	UROK	\N	\N
3599890	2104	1996-12-31	PRIJEM	\N	160	37152	UROK	\N	\N
3599891	2104	1997-01-31	PRIJEM	\N	128	23408	UROK	\N	\N
3599892	2104	1997-02-28	PRIJEM	\N	123	31960	UROK	\N	\N
3599893	2104	1997-03-31	PRIJEM	\N	126	27514	UROK	\N	\N
3599894	2104	1997-04-30	PRIJEM	\N	117	28359	UROK	\N	\N
3599895	2104	1997-05-31	PRIJEM	\N	127	27415	UROK	\N	\N
3599896	2104	1997-06-30	PRIJEM	\N	133	31861	UROK	\N	\N
3599897	2104	1997-07-31	PRIJEM	\N	156	39445	UROK	\N	\N
3599898	2104	1997-08-31	PRIJEM	\N	161	39635	UROK	\N	\N
3599899	2104	1997-09-30	PRIJEM	\N	178	44941	UROK	\N	\N
3599900	2104	1997-10-31	PRIJEM	\N	196	48865	UROK	\N	\N
3599901	2104	1997-11-30	PRIJEM	\N	186	45780	UROK	\N	\N
3599902	2104	1997-12-31	PRIJEM	\N	191	47585	UROK	\N	\N
3599903	2104	1998-01-31	PRIJEM	\N	163	36276	UROK	\N	\N
3599904	2104	1998-02-28	PRIJEM	\N	167	42471	UROK	\N	\N
3599905	2104	1998-03-31	PRIJEM	\N	177	44277	UROK	\N	\N
3599906	2104	1998-04-30	PRIJEM	\N	193	48499	UROK	\N	\N
3599907	2104	1998-05-31	PRIJEM	\N	201	49928	UROK	\N	\N
3599908	2104	1998-06-30	PRIJEM	\N	223	56665	UROK	\N	\N
3599909	2104	1998-07-31	PRIJEM	\N	227	51520	UROK	\N	\N
3599910	2104	1998-08-31	PRIJEM	\N	199	49047	UROK	\N	\N
3599911	2104	1998-09-30	PRIJEM	\N	198	49473	UROK	\N	\N
3599912	2104	1998-10-31	PRIJEM	\N	192	43293	UROK	\N	\N
3599913	2104	1998-11-30	PRIJEM	\N	196	45017	UROK	\N	\N
3599914	2104	1998-12-31	PRIJEM	\N	213	54044	UROK	\N	\N
3599915	2105	1996-03-31	PRIJEM	\N	16	5234	UROK	\N	\N
3599916	2105	1996-04-30	PRIJEM	\N	22	9974	UROK	\N	\N
3599917	2105	1996-05-31	PRIJEM	\N	22	14714	UROK	\N	\N
3599918	2105	1996-06-30	PRIJEM	\N	22	19453	UROK	\N	\N
3599919	2105	1996-07-31	PRIJEM	\N	55	21426	UROK	\N	\N
3599920	2105	1996-08-31	PRIJEM	\N	96	21800	UROK	\N	\N
3599921	2105	1996-09-30	PRIJEM	\N	101	25058	UROK	\N	\N
3599922	2105	1996-10-31	PRIJEM	\N	100	24615	UROK	\N	\N
3599923	2105	1996-11-30	PRIJEM	\N	103	25676	UROK	\N	\N
3599924	2105	1996-12-31	PRIJEM	\N	108	26341	UROK	\N	\N
3599925	2105	1997-01-31	PRIJEM	\N	118	26167	UROK	\N	\N
3599926	2105	1997-02-28	PRIJEM	\N	115	27639	UROK	\N	\N
3599927	2105	1997-03-31	PRIJEM	\N	121	30017	UROK	\N	\N
3599928	2105	1997-04-30	PRIJEM	\N	109	26483	UROK	\N	\N
3599929	2105	1997-05-31	PRIJEM	\N	96	18457	UROK	\N	\N
3599930	2105	1997-06-30	PRIJEM	\N	81	19695	UROK	\N	\N
3599931	2105	1997-07-31	PRIJEM	\N	74	18327	UROK	\N	\N
3599932	2105	1997-08-31	PRIJEM	\N	78	19762	UROK	\N	\N
3599933	2105	1997-09-30	PRIJEM	\N	79	19898	UROK	\N	\N
3599934	2105	1997-10-31	PRIJEM	\N	81	19937	UROK	\N	\N
3599935	2105	1997-11-30	PRIJEM	\N	92	21586	UROK	\N	\N
3599936	2105	1997-12-31	PRIJEM	\N	97	19590	UROK	\N	\N
3599937	2105	1998-01-31	PRIJEM	\N	85	15663	UROK	\N	\N
3599938	2105	1998-02-28	PRIJEM	\N	74	18894	UROK	\N	\N
3599939	2105	1998-03-31	PRIJEM	\N	87	19939	UROK	\N	\N
3599940	2105	1998-04-30	PRIJEM	\N	87	20544	UROK	\N	\N
3599941	2105	1998-05-31	PRIJEM	\N	95	23796	UROK	\N	\N
3599942	2105	1998-06-30	PRIJEM	\N	107	23061	UROK	\N	\N
3599943	2105	1998-07-31	PRIJEM	\N	104	24422	UROK	\N	\N
3599944	2105	1998-08-31	PRIJEM	\N	106	24186	UROK	\N	\N
3599945	2105	1998-09-30	PRIJEM	\N	103	21426	UROK	\N	\N
3599946	2105	1998-10-31	PRIJEM	\N	92	20976	UROK	\N	\N
3599947	2105	1998-11-30	PRIJEM	\N	86	13619	UROK	\N	\N
3599948	2105	1998-12-31	PRIJEM	\N	65	16292	UROK	\N	\N
3599949	2106	1996-02-29	PRIJEM	\N	33	12775	UROK	\N	\N
3599950	2106	1996-03-31	PRIJEM	\N	98	29415	UROK	\N	\N
3599951	2106	1996-04-30	PRIJEM	\N	142	37099	UROK	\N	\N
3599952	2106	1996-05-31	PRIJEM	\N	165	41506	UROK	\N	\N
3599953	2106	1996-06-30	PRIJEM	\N	154	39064	UROK	\N	\N
3599954	2106	1996-07-31	PRIJEM	\N	123	21946	UROK	\N	\N
3599955	2106	1996-08-31	PRIJEM	\N	92	18798	UROK	\N	\N
3599956	2106	1996-09-30	PRIJEM	\N	78	16735	UROK	\N	\N
3599957	2106	1996-10-31	PRIJEM	\N	72	13807	UROK	\N	\N
3599958	2106	1996-11-30	PRIJEM	\N	62	13768	UROK	\N	\N
3599959	2106	1996-12-31	PRIJEM	\N	66	13684	UROK	\N	\N
3599960	2106	1997-01-31	PRIJEM	\N	59	13842	UROK	\N	\N
3599961	2106	1997-02-28	PRIJEM	\N	59	13300	UROK	\N	\N
3599962	2106	1997-03-31	PRIJEM	\N	60	13759	UROK	\N	\N
3599963	2106	1997-04-30	PRIJEM	\N	59	14217	UROK	\N	\N
3599964	2106	1997-05-31	PRIJEM	\N	61	14678	UROK	\N	\N
3599965	2106	1997-06-30	PRIJEM	\N	69	15796	UROK	\N	\N
3599966	2106	1997-07-31	PRIJEM	\N	70	16266	UROK	\N	\N
3599967	2106	1997-08-31	PRIJEM	\N	72	16737	UROK	\N	\N
3599968	2106	1997-09-30	PRIJEM	\N	71	17207	UROK	\N	\N
3599969	2106	1997-10-31	PRIJEM	\N	92	17258	UROK	\N	\N
3599970	2106	1997-11-30	PRIJEM	\N	81	20499	UROK	\N	\N
3599971	2106	1997-12-31	PRIJEM	\N	102	23331	UROK	\N	\N
3599972	2106	1998-01-31	PRIJEM	\N	101	19892	UROK	\N	\N
3599973	2106	1998-02-28	PRIJEM	\N	102	28853	UROK	\N	\N
3599974	2106	1998-03-31	PRIJEM	\N	119	28932	UROK	\N	\N
3599975	2106	1998-04-30	PRIJEM	\N	120	27091	UROK	\N	\N
3599976	2106	1998-05-31	PRIJEM	\N	114	25544	UROK	\N	\N
3599977	2106	1998-06-30	PRIJEM	\N	93	18528	UROK	\N	\N
3599978	2106	1998-07-31	PRIJEM	\N	75	18462	UROK	\N	\N
3599979	2106	1998-08-31	PRIJEM	\N	87	16209	UROK	\N	\N
3599980	2106	1998-09-30	PRIJEM	\N	64	19832	UROK	\N	\N
3599981	2106	1998-10-31	PRIJEM	\N	79	19171	UROK	\N	\N
3599982	2106	1998-11-30	PRIJEM	\N	79	19409	UROK	\N	\N
3599983	2106	1998-12-31	PRIJEM	\N	100	26880	UROK	\N	\N
3599984	2107	1996-12-31	PRIJEM	\N	59	19041	UROK	\N	\N
3599985	2107	1997-01-31	PRIJEM	\N	93	23322	UROK	\N	\N
3599986	2107	1997-02-28	PRIJEM	\N	132	34541	UROK	\N	\N
3599987	2107	1997-03-31	PRIJEM	\N	143	34573	UROK	\N	\N
3599988	2107	1997-04-30	PRIJEM	\N	156	30522	UROK	\N	\N
3599989	2107	1997-05-31	PRIJEM	\N	106	22744	UROK	\N	\N
3599990	2107	1997-06-30	PRIJEM	\N	122	20194	UROK	\N	\N
3599991	2107	1997-07-31	PRIJEM	\N	82	19511	UROK	\N	\N
3599992	2107	1997-08-31	PRIJEM	\N	91	22718	UROK	\N	\N
3599993	2107	1997-09-30	PRIJEM	\N	116	23650	UROK	\N	\N
3599994	2107	1997-10-31	PRIJEM	\N	119	24184	UROK	\N	\N
3599995	2107	1997-11-30	PRIJEM	\N	121	24720	UROK	\N	\N
3599996	2107	1997-12-31	PRIJEM	\N	116	28106	UROK	\N	\N
3599997	2107	1998-01-31	PRIJEM	\N	81	13522	UROK	\N	\N
3599998	2107	1998-02-28	PRIJEM	\N	94	25431	UROK	\N	\N
3599999	2107	1998-03-31	PRIJEM	\N	133	33980	UROK	\N	\N
3600000	2107	1998-04-30	PRIJEM	\N	170	37065	UROK	\N	\N
3600001	2107	1998-05-31	PRIJEM	\N	165	34746	UROK	\N	\N
3600002	2107	1998-06-30	PRIJEM	\N	161	35315	UROK	\N	\N
3600003	2107	1998-07-31	PRIJEM	\N	133	31564	UROK	\N	\N
3600004	2107	1998-08-31	PRIJEM	\N	135	35015	UROK	\N	\N
3600005	2107	1998-09-30	PRIJEM	\N	176	38706	UROK	\N	\N
3600006	2107	1998-10-31	PRIJEM	\N	155	35077	UROK	\N	\N
3600007	2107	1998-11-30	PRIJEM	\N	154	38426	UROK	\N	\N
3600008	2107	1998-12-31	PRIJEM	\N	204	45519	UROK	\N	\N
3600009	2108	1996-07-31	PRIJEM	\N	45	15106	UROK	\N	\N
3600010	2108	1996-08-31	PRIJEM	\N	116	33283	UROK	\N	\N
3600011	2108	1996-09-30	PRIJEM	\N	176	46119	UROK	\N	\N
3600012	2108	1996-10-31	PRIJEM	\N	201	49281	UROK	\N	\N
3600013	2108	1996-11-30	PRIJEM	\N	216	47484	UROK	\N	\N
3600014	2108	1996-12-31	PRIJEM	\N	202	47929	UROK	\N	\N
3600015	2108	1997-01-31	PRIJEM	\N	147	21068	UROK	\N	\N
3600016	2108	1997-02-28	PRIJEM	\N	103	21383	UROK	\N	\N
3600017	2108	1997-03-31	PRIJEM	\N	137	31993	UROK	\N	\N
3600018	2108	1997-04-30	PRIJEM	\N	148	31513	UROK	\N	\N
3600019	2108	1997-05-31	PRIJEM	\N	135	32820	UROK	\N	\N
3600020	2108	1997-06-30	PRIJEM	\N	116	16079	UROK	\N	\N
3600021	2108	1997-07-31	PRIJEM	\N	84	22135	UROK	\N	\N
3600022	2108	1997-08-31	PRIJEM	\N	109	17516	UROK	\N	\N
3600023	2108	1997-09-30	PRIJEM	\N	110	17198	UROK	\N	\N
3600024	2108	1997-10-31	PRIJEM	\N	103	12793	UROK	\N	\N
3600025	2108	1997-11-30	PRIJEM	\N	76	20942	UROK	\N	\N
3600026	2108	1997-12-31	PRIJEM	\N	120	25165	UROK	\N	\N
3600027	2108	1998-01-31	PRIJEM	\N	117	13554	UROK	\N	\N
3600028	2108	1998-02-28	PRIJEM	\N	95	21721	UROK	\N	\N
3600029	2108	1998-03-31	PRIJEM	\N	108	27262	UROK	\N	\N
3600030	2108	1998-04-30	PRIJEM	\N	136	35470	UROK	\N	\N
3600031	2108	1998-05-31	PRIJEM	\N	151	12314	UROK	\N	\N
3600032	2108	1998-06-30	PRIJEM	\N	67	16605	UROK	\N	\N
3600033	2108	1998-07-31	PRIJEM	\N	92	24769	UROK	\N	\N
3600034	2108	1998-08-31	PRIJEM	\N	107	22629	UROK	\N	\N
3600035	2108	1998-09-30	PRIJEM	\N	117	30818	UROK	\N	\N
3600036	2108	1998-10-31	PRIJEM	\N	151	39042	UROK	\N	\N
3600037	2108	1998-11-30	PRIJEM	\N	176	43930	UROK	\N	\N
3600038	2108	1998-12-31	PRIJEM	\N	178	16151	UROK	\N	\N
3600039	2110	1993-07-31	PRIJEM	\N	34	13964	UROK	\N	\N
3600040	2110	1993-08-31	PRIJEM	\N	61	15036	UROK	\N	\N
3600041	2110	1993-09-30	PRIJEM	\N	65	16112	UROK	\N	\N
3600042	2110	1993-10-31	PRIJEM	\N	70	17193	UROK	\N	\N
3600043	2110	1993-11-30	PRIJEM	\N	71	17016	UROK	\N	\N
3600044	2110	1993-12-31	PRIJEM	\N	73	17620	UROK	\N	\N
3600045	2110	1994-01-31	PRIJEM	\N	76	18707	UROK	\N	\N
3600046	2110	1994-02-28	PRIJEM	\N	80	19619	UROK	\N	\N
3600047	2110	1994-03-31	PRIJEM	\N	82	19692	UROK	\N	\N
3600048	2110	1994-04-30	PRIJEM	\N	84	20397	UROK	\N	\N
3600049	2110	1994-05-31	PRIJEM	\N	86	20685	UROK	\N	\N
3600050	2110	1994-06-30	PRIJEM	\N	89	21785	UROK	\N	\N
3600051	2110	1994-07-31	PRIJEM	\N	93	22889	UROK	\N	\N
3600052	2110	1994-08-31	PRIJEM	\N	98	23998	UROK	\N	\N
3600053	2110	1994-09-30	PRIJEM	\N	102	25112	UROK	\N	\N
3600054	2110	1994-10-31	PRIJEM	\N	107	26230	UROK	\N	\N
3600055	2110	1994-11-30	PRIJEM	\N	110	26482	UROK	\N	\N
3600056	2110	1994-12-31	PRIJEM	\N	110	26252	UROK	\N	\N
3600057	2110	1995-01-31	PRIJEM	\N	112	27376	UROK	\N	\N
3600058	2110	1995-02-28	PRIJEM	\N	109	24506	UROK	\N	\N
3600059	2110	1995-03-31	PRIJEM	\N	104	25621	UROK	\N	\N
3600060	2110	1995-04-30	PRIJEM	\N	109	26742	UROK	\N	\N
3600061	2110	1995-05-31	PRIJEM	\N	114	27867	UROK	\N	\N
3600062	2110	1995-06-30	PRIJEM	\N	118	28996	UROK	\N	\N
3600063	2110	1995-07-31	PRIJEM	\N	118	28026	UROK	\N	\N
3600064	2110	1995-08-31	PRIJEM	\N	118	28755	UROK	\N	\N
3600065	2110	1995-09-30	PRIJEM	\N	112	25779	UROK	\N	\N
3600066	2110	1995-10-31	PRIJEM	\N	102	23692	UROK	\N	\N
3600067	2110	1995-11-30	PRIJEM	\N	100	24303	UROK	\N	\N
3600068	2110	1995-12-31	PRIJEM	\N	100	23645	UROK	\N	\N
3600069	2110	1996-01-31	PRIJEM	\N	97	23573	UROK	\N	\N
3600070	2110	1996-02-29	PRIJEM	\N	99	24184	UROK	\N	\N
3600071	2110	1996-03-31	PRIJEM	\N	98	23293	UROK	\N	\N
3600072	2110	1996-04-30	PRIJEM	\N	90	21524	UROK	\N	\N
3600073	2110	1996-05-31	PRIJEM	\N	88	20963	UROK	\N	\N
3600074	2110	1996-06-30	PRIJEM	\N	89	21493	UROK	\N	\N
3600075	2110	1996-07-31	PRIJEM	\N	88	21393	UROK	\N	\N
3600076	2110	1996-08-31	PRIJEM	\N	90	21954	UROK	\N	\N
3600077	2110	1996-09-30	PRIJEM	\N	92	22457	UROK	\N	\N
3600078	2110	1996-10-31	PRIJEM	\N	92	22160	UROK	\N	\N
3600079	2110	1996-11-30	PRIJEM	\N	94	23265	UROK	\N	\N
3600080	2110	1996-12-31	PRIJEM	\N	98	24135	UROK	\N	\N
3600081	2110	1997-01-31	PRIJEM	\N	92	21138	UROK	\N	\N
3600082	2110	1997-02-28	PRIJEM	\N	84	19733	UROK	\N	\N
3600083	2110	1997-03-31	PRIJEM	\N	83	20627	UROK	\N	\N
3600084	2110	1997-04-30	PRIJEM	\N	87	21626	UROK	\N	\N
3600085	2110	1997-05-31	PRIJEM	\N	80	18317	UROK	\N	\N
3600086	2110	1997-06-30	PRIJEM	\N	71	16129	UROK	\N	\N
3600087	2110	1997-07-31	PRIJEM	\N	64	15415	UROK	\N	\N
3600088	2110	1997-08-31	PRIJEM	\N	65	16491	UROK	\N	\N
3600089	2110	1997-09-30	PRIJEM	\N	69	17572	UROK	\N	\N
3600090	2110	1997-10-31	PRIJEM	\N	74	18657	UROK	\N	\N
3600091	2110	1997-11-30	PRIJEM	\N	78	19747	UROK	\N	\N
3600092	2110	1997-12-31	PRIJEM	\N	83	20571	UROK	\N	\N
3600093	2110	1998-01-31	PRIJEM	\N	86	21668	UROK	\N	\N
3600094	2110	1998-02-28	PRIJEM	\N	90	22770	UROK	\N	\N
3600095	2110	1998-03-31	PRIJEM	\N	95	23876	UROK	\N	\N
3600096	2110	1998-04-30	PRIJEM	\N	99	23987	UROK	\N	\N
3600097	2110	1998-05-31	PRIJEM	\N	99	24098	UROK	\N	\N
3600098	2110	1998-06-30	PRIJEM	\N	99	22208	UROK	\N	\N
3600099	2110	1998-07-31	PRIJEM	\N	91	21810	UROK	\N	\N
3600100	2110	1998-08-31	PRIJEM	\N	87	18409	UROK	\N	\N
3600101	2110	1998-09-30	PRIJEM	\N	76	18826	UROK	\N	\N
3600102	2110	1998-10-31	PRIJEM	\N	78	19915	UROK	\N	\N
3600103	2110	1998-11-30	PRIJEM	\N	81	19207	UROK	\N	\N
3600104	2110	1998-12-31	PRIJEM	\N	76	19215	UROK	\N	\N
3600105	2111	1995-03-31	PRIJEM	\N	136	53095	UROK	\N	\N
3600106	2111	1995-04-30	PRIJEM	\N	232	69349	UROK	\N	\N
3600107	2111	1995-05-31	PRIJEM	\N	309	47635	UROK	\N	\N
3600108	2111	1995-06-30	PRIJEM	\N	170	67998	UROK	\N	\N
3600109	2111	1995-07-31	PRIJEM	\N	244	37478	UROK	\N	\N
3600110	2111	1995-08-31	PRIJEM	\N	254	64704	UROK	\N	\N
3600111	2111	1995-09-30	PRIJEM	\N	247	37543	UROK	\N	\N
3600112	2111	1995-10-31	PRIJEM	\N	156	33369	UROK	\N	\N
3600113	2111	1995-11-30	PRIJEM	\N	158	48556	UROK	\N	\N
3600114	2111	1995-12-31	PRIJEM	\N	216	59527	UROK	\N	\N
3600115	2111	1996-01-31	PRIJEM	\N	185	25550	UROK	\N	\N
3600116	2111	1996-02-29	PRIJEM	\N	108	26428	UROK	\N	\N
3600117	2111	1996-03-31	PRIJEM	\N	284	111498	UROK	\N	\N
3600118	2111	1996-04-30	PRIJEM	\N	350	59518	UROK	\N	\N
3600119	2111	1996-05-31	PRIJEM	\N	267	56981	UROK	\N	\N
3600120	2111	1996-06-30	PRIJEM	\N	257	71090	UROK	\N	\N
3600121	2111	1996-07-31	PRIJEM	\N	285	61334	UROK	\N	\N
3600122	2111	1996-08-31	PRIJEM	\N	253	59308	UROK	\N	\N
3600123	2111	1996-09-30	PRIJEM	\N	273	95036	UROK	\N	\N
3600124	2111	1996-10-31	PRIJEM	\N	346	51111	UROK	\N	\N
3600125	2111	1996-11-30	PRIJEM	\N	298	60408	UROK	\N	\N
3600126	2111	1996-12-31	PRIJEM	\N	281	99281	UROK	\N	\N
3600127	2111	1997-01-31	PRIJEM	\N	211	30363	UROK	\N	\N
3600128	2111	1997-02-28	PRIJEM	\N	246	61332	UROK	\N	\N
3600129	2111	1997-03-31	PRIJEM	\N	337	106440	UROK	\N	\N
3600130	2111	1997-04-30	PRIJEM	\N	367	76036	UROK	\N	\N
3600131	2111	1997-05-31	PRIJEM	\N	282	55387	UROK	\N	\N
3600132	2111	1997-06-30	PRIJEM	\N	208	47065	UROK	\N	\N
3600133	2111	1997-07-31	PRIJEM	\N	196	54931	UROK	\N	\N
3600134	2111	1997-09-30	PRIJEM	\N	235	47315	UROK	\N	\N
3600135	2111	1997-09-30	PRIJEM	\N	209	47080	UROK	\N	\N
3600136	2111	1997-10-31	PRIJEM	\N	269	100306	UROK	\N	\N
3600137	2111	1997-11-30	PRIJEM	\N	424	115201	UROK	\N	\N
3600138	2111	1997-12-31	PRIJEM	\N	326	55644	UROK	\N	\N
3600139	2111	1998-01-31	PRIJEM	\N	206	43849	UROK	\N	\N
3600140	2111	1998-02-28	PRIJEM	\N	243	85517	UROK	\N	\N
3600141	2111	1998-03-31	PRIJEM	\N	372	94015	UROK	\N	\N
3600142	2111	1998-04-30	PRIJEM	\N	414	72739	UROK	\N	\N
3600143	2111	1998-05-31	PRIJEM	\N	289	69703	UROK	\N	\N
3600144	2111	1998-06-30	PRIJEM	\N	288	91117	UROK	\N	\N
3600145	2111	1998-07-31	PRIJEM	\N	302	66648	UROK	\N	\N
3600146	2111	1998-08-31	PRIJEM	\N	388	88731	UROK	\N	\N
3600147	2111	1998-09-30	PRIJEM	\N	333	72534	UROK	\N	\N
3600148	2111	1998-10-31	PRIJEM	\N	388	93577	UROK	\N	\N
3600149	2111	1998-11-30	PRIJEM	\N	303	70613	UROK	\N	\N
3600150	2111	1998-12-31	PRIJEM	\N	289	107270	UROK	\N	\N
3600151	2112	1996-08-31	PRIJEM	\N	44	15444	UROK	\N	\N
3600152	2112	1996-09-30	PRIJEM	\N	94	23337	UROK	\N	\N
3600153	2112	1996-10-31	PRIJEM	\N	107	25844	UROK	\N	\N
3600154	2112	1996-11-30	PRIJEM	\N	127	32471	UROK	\N	\N
3600155	2112	1996-12-31	PRIJEM	\N	138	31371	UROK	\N	\N
3600156	2112	1997-01-31	PRIJEM	\N	106	17595	UROK	\N	\N
3600157	2112	1997-02-28	PRIJEM	\N	74	12926	UROK	\N	\N
3600158	2112	1997-03-31	PRIJEM	\N	73	18396	UROK	\N	\N
3600159	2112	1997-04-30	PRIJEM	\N	74	17267	UROK	\N	\N
3600160	2112	1997-05-31	PRIJEM	\N	83	19248	UROK	\N	\N
3600161	2112	1997-06-30	PRIJEM	\N	103	26098	UROK	\N	\N
3600162	2112	1997-07-31	PRIJEM	\N	121	29316	UROK	\N	\N
3600163	2112	1997-08-31	PRIJEM	\N	133	31787	UROK	\N	\N
3600164	2112	1997-09-30	PRIJEM	\N	143	34527	UROK	\N	\N
3600165	2112	1997-10-31	PRIJEM	\N	152	36576	UROK	\N	\N
3600166	2112	1997-11-30	PRIJEM	\N	161	38634	UROK	\N	\N
3600167	2112	1997-12-31	PRIJEM	\N	169	41610	UROK	\N	\N
3600168	2112	1998-01-31	PRIJEM	\N	121	15408	UROK	\N	\N
3600169	2112	1998-02-28	PRIJEM	\N	107	29813	UROK	\N	\N
3600170	2112	1998-03-31	PRIJEM	\N	141	31572	UROK	\N	\N
3600171	2112	1998-04-30	PRIJEM	\N	145	35774	UROK	\N	\N
3600172	2112	1998-05-31	PRIJEM	\N	163	39834	UROK	\N	\N
3600173	2112	1998-06-30	PRIJEM	\N	143	15105	UROK	\N	\N
3600174	2112	1998-07-31	PRIJEM	\N	104	28406	UROK	\N	\N
3600175	2112	1998-08-31	PRIJEM	\N	147	37350	UROK	\N	\N
3600176	2112	1998-09-30	PRIJEM	\N	166	41713	UROK	\N	\N
3600177	2112	1998-10-31	PRIJEM	\N	186	42256	UROK	\N	\N
3600178	2112	1998-11-30	PRIJEM	\N	179	44572	UROK	\N	\N
3600179	2112	1998-12-31	PRIJEM	\N	210	52249	UROK	\N	\N
3600180	2114	1996-08-31	PRIJEM	\N	30	11062	UROK	\N	\N
3600181	2114	1996-09-30	PRIJEM	\N	86	26280	UROK	\N	\N
3600182	2114	1996-10-31	PRIJEM	\N	140	37651	UROK	\N	\N
3600183	2114	1996-11-30	PRIJEM	\N	165	41048	UROK	\N	\N
3600184	2114	1996-12-31	PRIJEM	\N	185	44881	UROK	\N	\N
3600185	2114	1997-01-31	PRIJEM	\N	146	31801	UROK	\N	\N
3600186	2114	1997-02-28	PRIJEM	\N	119	29993	UROK	\N	\N
3600187	2114	1997-03-31	PRIJEM	\N	122	30688	UROK	\N	\N
3600188	2114	1997-04-30	PRIJEM	\N	139	35700	UROK	\N	\N
3600189	2114	1997-05-31	PRIJEM	\N	147	36020	UROK	\N	\N
3600190	2114	1997-06-30	PRIJEM	\N	119	31128	UROK	\N	\N
3600191	2114	1997-07-31	PRIJEM	\N	124	31626	UROK	\N	\N
3600192	2114	1997-08-31	PRIJEM	\N	127	32626	UROK	\N	\N
3600193	2114	1997-09-30	PRIJEM	\N	114	28814	UROK	\N	\N
3600194	2114	1997-10-31	PRIJEM	\N	99	25586	UROK	\N	\N
3600195	2114	1997-11-30	PRIJEM	\N	84	22143	UROK	\N	\N
3600196	2114	1997-12-31	PRIJEM	\N	84	22816	UROK	\N	\N
3600197	2114	1998-01-31	PRIJEM	\N	54	13443	UROK	\N	\N
3600198	2114	1998-02-28	PRIJEM	\N	59	14775	UROK	\N	\N
3600199	2114	1998-03-31	PRIJEM	\N	55	13604	UROK	\N	\N
3600200	2114	1998-04-30	PRIJEM	\N	62	17239	UROK	\N	\N
3600201	2114	1998-05-31	PRIJEM	\N	66	18379	UROK	\N	\N
3600202	2114	1998-06-30	PRIJEM	\N	74	19742	UROK	\N	\N
3600203	2114	1998-07-31	PRIJEM	\N	71	19387	UROK	\N	\N
3600204	2114	1998-08-31	PRIJEM	\N	81	22341	UROK	\N	\N
3600205	2114	1998-09-30	PRIJEM	\N	84	22699	UROK	\N	\N
3600206	2114	1998-10-31	PRIJEM	\N	80	13253	UROK	\N	\N
3600207	2114	1998-11-30	PRIJEM	\N	60	16886	UROK	\N	\N
3600208	2114	1998-12-31	PRIJEM	\N	85	13460	UROK	\N	\N
3600209	2115	1996-12-31	PRIJEM	\N	10	3520	UROK	\N	\N
3600210	2115	1997-01-31	PRIJEM	\N	15	6445	UROK	\N	\N
3600211	2115	1997-02-28	PRIJEM	\N	15	9369	UROK	\N	\N
3600212	2115	1997-03-31	PRIJEM	\N	15	12294	UROK	\N	\N
3600213	2115	1997-04-30	PRIJEM	\N	40	13304	UROK	\N	\N
3600214	2115	1997-05-31	PRIJEM	\N	58	14318	UROK	\N	\N
3600215	2115	1997-06-30	PRIJEM	\N	62	15335	UROK	\N	\N
3600216	2115	1997-07-31	PRIJEM	\N	61	14352	UROK	\N	\N
3600217	2115	1997-08-31	PRIJEM	\N	59	13896	UROK	\N	\N
3600218	2115	1997-09-30	PRIJEM	\N	52	11603	UROK	\N	\N
3600219	2115	1997-10-31	PRIJEM	\N	48	11607	UROK	\N	\N
3600220	2115	1997-11-30	PRIJEM	\N	51	12613	UROK	\N	\N
3600221	2115	1997-12-31	PRIJEM	\N	53	12651	UROK	\N	\N
3600222	2115	1998-01-31	PRIJEM	\N	53	12520	UROK	\N	\N
3600223	2115	1998-02-28	PRIJEM	\N	53	12748	UROK	\N	\N
3600224	2115	1998-03-31	PRIJEM	\N	55	12459	UROK	\N	\N
3600225	2115	1998-04-30	PRIJEM	\N	51	12115	UROK	\N	\N
3600226	2115	1998-05-31	PRIJEM	\N	53	13124	UROK	\N	\N
3600227	2115	1998-06-30	PRIJEM	\N	55	13204	UROK	\N	\N
3600228	2115	1998-07-31	PRIJEM	\N	58	14217	UROK	\N	\N
3600229	2115	1998-08-31	PRIJEM	\N	62	15234	UROK	\N	\N
3600230	2115	1998-09-30	PRIJEM	\N	66	16255	UROK	\N	\N
3600231	2115	1998-10-31	PRIJEM	\N	65	11246	UROK	\N	\N
3600232	2115	1998-11-30	PRIJEM	\N	49	12251	UROK	\N	\N
3600233	2115	1998-12-31	PRIJEM	\N	53	13259	UROK	\N	\N
3600234	2116	1996-05-31	PRIJEM	\N	58	32985	UROK	\N	\N
3600235	2116	1996-06-30	PRIJEM	\N	137	30122	UROK	\N	\N
3600236	2116	1996-07-31	PRIJEM	\N	146	36126	UROK	\N	\N
3600237	2116	1996-08-31	PRIJEM	\N	384	68748	UROK	\N	\N
3600238	2116	1996-09-30	PRIJEM	\N	228	27376	UROK	\N	\N
3600239	2116	1996-10-31	PRIJEM	\N	177	44762	UROK	\N	\N
3600240	2116	1996-11-30	PRIJEM	\N	204	46780	UROK	\N	\N
3600241	2116	1996-12-31	PRIJEM	\N	161	27391	UROK	\N	\N
3600242	2116	1997-01-31	PRIJEM	\N	140	59361	UROK	\N	\N
3600243	2116	1997-02-28	PRIJEM	\N	269	46282	UROK	\N	\N
3600244	2116	1997-03-31	PRIJEM	\N	156	36010	UROK	\N	\N
3600245	2116	1997-04-30	PRIJEM	\N	118	29899	UROK	\N	\N
3600246	2116	1997-05-31	PRIJEM	\N	101	32471	UROK	\N	\N
3600247	2116	1997-06-30	PRIJEM	\N	111	28254	UROK	\N	\N
3600248	2116	1997-07-31	PRIJEM	\N	144	46504	UROK	\N	\N
3600249	2116	1997-08-31	PRIJEM	\N	198	80905	UROK	\N	\N
3600250	2116	1997-09-30	PRIJEM	\N	288	52564	UROK	\N	\N
3600251	2116	1997-10-31	PRIJEM	\N	188	42923	UROK	\N	\N
3600252	2116	1997-11-30	PRIJEM	\N	253	55228	UROK	\N	\N
3600253	2116	1997-12-31	PRIJEM	\N	181	38880	UROK	\N	\N
3600254	2116	1998-01-31	PRIJEM	\N	134	31086	UROK	\N	\N
3600255	2116	1998-02-28	PRIJEM	\N	107	27364	UROK	\N	\N
3600256	2116	1998-03-31	PRIJEM	\N	155	45719	UROK	\N	\N
3600257	2116	1998-04-30	PRIJEM	\N	159	35049	UROK	\N	\N
3600258	2116	1998-05-31	PRIJEM	\N	118	27539	UROK	\N	\N
3600259	2116	1998-06-30	PRIJEM	\N	172	41267	UROK	\N	\N
3600260	2116	1998-07-31	PRIJEM	\N	163	49556	UROK	\N	\N
3600261	2116	1998-08-31	PRIJEM	\N	184	38511	UROK	\N	\N
3600262	2116	1998-09-30	PRIJEM	\N	142	33225	UROK	\N	\N
3600263	2116	1998-10-31	PRIJEM	\N	183	43677	UROK	\N	\N
3600264	2116	1998-11-30	PRIJEM	\N	163	25312	UROK	\N	\N
3600265	2116	1998-12-31	PRIJEM	\N	116	29808	UROK	\N	\N
3600266	2117	1996-08-31	PRIJEM	\N	36	12615	UROK	\N	\N
3600267	2117	1996-09-30	PRIJEM	\N	104	31398	UROK	\N	\N
3600268	2117	1996-10-31	PRIJEM	\N	151	38828	UROK	\N	\N
3600269	2117	1996-11-30	PRIJEM	\N	180	45687	UROK	\N	\N
3600270	2117	1996-12-31	PRIJEM	\N	214	52719	UROK	\N	\N
3600271	2117	1997-01-31	PRIJEM	\N	151	20248	UROK	\N	\N
3600272	2117	1997-02-28	PRIJEM	\N	100	23526	UROK	\N	\N
3600273	2117	1997-03-31	PRIJEM	\N	114	29718	UROK	\N	\N
3600274	2117	1997-04-30	PRIJEM	\N	129	32626	UROK	\N	\N
3600275	2117	1997-05-31	PRIJEM	\N	120	28624	UROK	\N	\N
3600276	2117	1997-06-30	PRIJEM	\N	120	30662	UROK	\N	\N
3600277	2117	1997-07-31	PRIJEM	\N	118	28758	UROK	\N	\N
3600278	2117	1997-08-31	PRIJEM	\N	118	29254	UROK	\N	\N
3600279	2117	1997-09-30	PRIJEM	\N	101	22533	UROK	\N	\N
3600280	2117	1997-10-31	PRIJEM	\N	95	24407	UROK	\N	\N
3600281	2117	1997-11-30	PRIJEM	\N	86	22272	UROK	\N	\N
3600282	2117	1997-12-31	PRIJEM	\N	102	21192	UROK	\N	\N
3600283	2117	1998-01-31	PRIJEM	\N	61	11231	UROK	\N	\N
3600284	2117	1998-02-28	PRIJEM	\N	57	15166	UROK	\N	\N
3600285	2117	1998-03-31	PRIJEM	\N	69	14413	UROK	\N	\N
3600286	2117	1998-04-30	PRIJEM	\N	69	14861	UROK	\N	\N
3600287	2117	1998-05-31	PRIJEM	\N	72	17011	UROK	\N	\N
3600288	2117	1998-06-30	PRIJEM	\N	94	18122	UROK	\N	\N
3600289	2117	1998-07-31	PRIJEM	\N	82	15483	UROK	\N	\N
3600290	2117	1998-08-31	PRIJEM	\N	72	15834	UROK	\N	\N
3600291	2117	1998-09-30	PRIJEM	\N	76	19188	UROK	\N	\N
3600292	2117	1998-10-31	PRIJEM	\N	82	17649	UROK	\N	\N
3600293	2117	1998-11-30	PRIJEM	\N	79	14806	UROK	\N	\N
3600294	2117	1998-12-31	PRIJEM	\N	85	24108	UROK	\N	\N
3600295	2118	1997-05-31	PRIJEM	\N	60	22208	UROK	\N	\N
3600296	2118	1997-06-30	PRIJEM	\N	176	53855	UROK	\N	\N
3600297	2118	1997-07-31	PRIJEM	\N	229	55832	UROK	\N	\N
3600298	2118	1997-08-31	PRIJEM	\N	242	59822	UROK	\N	\N
3600299	2118	1997-09-30	PRIJEM	\N	231	52630	UROK	\N	\N
3600300	2118	1997-10-31	PRIJEM	\N	200	44393	UROK	\N	\N
3600301	2118	1997-11-30	PRIJEM	\N	197	48752	UROK	\N	\N
3600302	2118	1997-12-31	PRIJEM	\N	212	55730	UROK	\N	\N
3600303	2118	1998-01-31	PRIJEM	\N	172	39304	UROK	\N	\N
3600304	2118	1998-02-28	PRIJEM	\N	174	45181	UROK	\N	\N
3600305	2118	1998-03-31	PRIJEM	\N	194	46937	UROK	\N	\N
3600306	2118	1998-04-30	PRIJEM	\N	203	49402	UROK	\N	\N
3600307	2118	1998-05-31	PRIJEM	\N	220	54384	UROK	\N	\N
3600308	2118	1998-06-30	PRIJEM	\N	240	32930	UROK	\N	\N
3600309	2118	1998-07-31	PRIJEM	\N	162	40034	UROK	\N	\N
3600310	2118	1998-08-31	PRIJEM	\N	187	47484	UROK	\N	\N
3600311	2118	1998-09-30	PRIJEM	\N	204	49651	UROK	\N	\N
3600312	2118	1998-10-31	PRIJEM	\N	204	48417	UROK	\N	\N
3600313	2118	1998-11-30	PRIJEM	\N	194	45373	UROK	\N	\N
3600314	2118	1998-12-31	PRIJEM	\N	191	49950	UROK	\N	\N
3600315	2119	1995-10-31	PRIJEM	\N	25	16958	UROK	\N	\N
3600316	2119	1995-11-30	PRIJEM	\N	86	27177	UROK	\N	\N
3600317	2119	1995-12-31	PRIJEM	\N	120	31697	UROK	\N	\N
3600318	2119	1996-01-31	PRIJEM	\N	130	30860	UROK	\N	\N
3600319	2119	1996-02-29	PRIJEM	\N	131	30937	UROK	\N	\N
3600320	2119	1996-03-31	PRIJEM	\N	117	20984	UROK	\N	\N
3600321	2119	1996-04-30	PRIJEM	\N	90	21104	UROK	\N	\N
3600322	2119	1996-05-31	PRIJEM	\N	85	18399	UROK	\N	\N
3600323	2119	1996-06-30	PRIJEM	\N	87	18043	UROK	\N	\N
3600324	2119	1996-07-31	PRIJEM	\N	85	21859	UROK	\N	\N
3600325	2119	1996-08-31	PRIJEM	\N	99	24788	UROK	\N	\N
3600326	2119	1996-09-30	PRIJEM	\N	104	24522	UROK	\N	\N
3600327	2119	1996-10-31	PRIJEM	\N	103	24155	UROK	\N	\N
3600328	2119	1996-11-30	PRIJEM	\N	103	24688	UROK	\N	\N
3600329	2119	1996-12-31	PRIJEM	\N	105	20411	UROK	\N	\N
3600330	2119	1997-01-31	PRIJEM	\N	76	13097	UROK	\N	\N
3600331	2119	1997-02-28	PRIJEM	\N	78	22205	UROK	\N	\N
3600332	2119	1997-03-31	PRIJEM	\N	103	26439	UROK	\N	\N
3600333	2119	1997-04-30	PRIJEM	\N	116	28685	UROK	\N	\N
3600334	2119	1997-05-31	PRIJEM	\N	111	25126	UROK	\N	\N
3600335	2119	1997-06-30	PRIJEM	\N	89	16753	UROK	\N	\N
3600336	2119	1997-07-31	PRIJEM	\N	83	18366	UROK	\N	\N
3600337	2119	1997-08-31	PRIJEM	\N	93	24289	UROK	\N	\N
3600338	2119	1997-09-30	PRIJEM	\N	99	22579	UROK	\N	\N
3600339	2119	1997-10-31	PRIJEM	\N	96	23305	UROK	\N	\N
3600340	2119	1997-11-30	PRIJEM	\N	116	29151	UROK	\N	\N
3600341	2119	1997-12-31	PRIJEM	\N	132	27241	UROK	\N	\N
3600342	2119	1998-01-31	PRIJEM	\N	85	13897	UROK	\N	\N
3600343	2119	1998-02-28	PRIJEM	\N	79	19706	UROK	\N	\N
3600344	2119	1998-03-31	PRIJEM	\N	92	20529	UROK	\N	\N
3600345	2119	1998-04-30	PRIJEM	\N	105	26365	UROK	\N	\N
3600346	2119	1998-05-31	PRIJEM	\N	117	29312	UROK	\N	\N
3600347	2119	1998-06-30	PRIJEM	\N	135	32545	UROK	\N	\N
3600348	2119	1998-07-31	PRIJEM	\N	142	29977	UROK	\N	\N
3600349	2119	1998-08-31	PRIJEM	\N	144	34732	UROK	\N	\N
3600350	2119	1998-09-30	PRIJEM	\N	150	34612	UROK	\N	\N
3600351	2119	1998-10-31	PRIJEM	\N	137	30180	UROK	\N	\N
3600352	2119	1998-11-30	PRIJEM	\N	174	42785	UROK	\N	\N
3600353	2119	1998-12-31	PRIJEM	\N	228	53490	UROK	\N	\N
3600354	2121	1994-12-31	PRIJEM	\N	110	34292	UROK	\N	\N
3600355	2121	1995-01-31	PRIJEM	\N	204	53417	UROK	\N	\N
3600356	2121	1995-02-28	PRIJEM	\N	238	58776	UROK	\N	\N
3600357	2121	1995-03-31	PRIJEM	\N	270	66867	UROK	\N	\N
3600358	2121	1995-04-30	PRIJEM	\N	275	65481	UROK	\N	\N
3600359	2121	1995-05-31	PRIJEM	\N	254	61334	UROK	\N	\N
3600360	2121	1995-06-30	PRIJEM	\N	279	67173	UROK	\N	\N
3600361	2121	1995-07-31	PRIJEM	\N	264	60296	UROK	\N	\N
3600362	2121	1995-08-31	PRIJEM	\N	233	55468	UROK	\N	\N
3600363	2121	1995-09-30	PRIJEM	\N	238	58806	UROK	\N	\N
3600364	2121	1995-10-31	PRIJEM	\N	248	61554	UROK	\N	\N
3600365	2121	1995-11-30	PRIJEM	\N	240	61294	UROK	\N	\N
3600366	2121	1995-12-31	PRIJEM	\N	293	54446	UROK	\N	\N
3600367	2121	1996-01-31	PRIJEM	\N	269	45715	UROK	\N	\N
3600368	2121	1996-02-29	PRIJEM	\N	238	45953	UROK	\N	\N
3600369	2121	1996-03-31	PRIJEM	\N	238	46490	UROK	\N	\N
3600370	2121	1996-04-30	PRIJEM	\N	241	50531	UROK	\N	\N
3600371	2121	1996-05-31	PRIJEM	\N	254	49285	UROK	\N	\N
3600372	2121	1996-06-30	PRIJEM	\N	247	31572	UROK	\N	\N
3600373	2121	1996-07-31	PRIJEM	\N	178	38149	UROK	\N	\N
3600374	2121	1996-08-31	PRIJEM	\N	201	40850	UROK	\N	\N
3600375	2121	1996-09-30	PRIJEM	\N	210	39218	UROK	\N	\N
3600376	2121	1996-10-31	PRIJEM	\N	200	39018	UROK	\N	\N
3600377	2121	1996-11-30	PRIJEM	\N	187	39085	UROK	\N	\N
3600378	2121	1996-12-31	PRIJEM	\N	227	45632	UROK	\N	\N
3600379	2121	1997-01-31	PRIJEM	\N	190	36201	UROK	\N	\N
3600380	2121	1997-02-28	PRIJEM	\N	181	37542	UROK	\N	\N
3600381	2121	1997-03-31	PRIJEM	\N	188	31109	UROK	\N	\N
3600382	2121	1997-04-30	PRIJEM	\N	165	33014	UROK	\N	\N
3600383	2121	1997-05-31	PRIJEM	\N	157	30151	UROK	\N	\N
3600384	2121	1997-06-30	PRIJEM	\N	187	38097	UROK	\N	\N
3600385	2121	1997-07-31	PRIJEM	\N	190	38686	UROK	\N	\N
3600386	2121	1997-08-31	PRIJEM	\N	188	38374	UROK	\N	\N
3600387	2121	1997-09-30	PRIJEM	\N	174	34868	UROK	\N	\N
3600388	2121	1997-10-31	PRIJEM	\N	171	35138	UROK	\N	\N
3600389	2121	1997-11-30	PRIJEM	\N	178	39715	UROK	\N	\N
3600390	2121	1997-12-31	PRIJEM	\N	202	40037	UROK	\N	\N
3600391	2121	1998-01-31	PRIJEM	\N	177	24794	UROK	\N	\N
3600392	2121	1998-02-28	PRIJEM	\N	146	37240	UROK	\N	\N
3600393	2121	1998-03-31	PRIJEM	\N	175	36954	UROK	\N	\N
3600394	2121	1998-04-30	PRIJEM	\N	172	35226	UROK	\N	\N
3600395	2121	1998-05-31	PRIJEM	\N	169	36394	UROK	\N	\N
3600396	2121	1998-06-30	PRIJEM	\N	188	38241	UROK	\N	\N
3600397	2121	1998-07-31	PRIJEM	\N	167	33987	UROK	\N	\N
3600398	2121	1998-08-31	PRIJEM	\N	149	30436	UROK	\N	\N
3600399	2121	1998-09-30	PRIJEM	\N	142	31278	UROK	\N	\N
3600400	2121	1998-10-31	PRIJEM	\N	123	20460	UROK	\N	\N
3600401	2121	1998-11-30	PRIJEM	\N	97	20857	UROK	\N	\N
3600402	2121	1998-12-31	PRIJEM	\N	116	24373	UROK	\N	\N
3600403	2122	1993-01-31	PRIJEM	\N	107	46959	UROK	\N	\N
3600404	2122	1993-02-28	PRIJEM	\N	199	72343	UROK	\N	\N
3600405	2122	1993-03-31	PRIJEM	\N	279	74404	UROK	\N	\N
3600406	2122	1993-04-30	PRIJEM	\N	272	57722	UROK	\N	\N
3600407	2122	1993-05-31	PRIJEM	\N	208	41527	UROK	\N	\N
3600408	2122	1993-06-30	PRIJEM	\N	161	48910	UROK	\N	\N
3600409	2122	1993-07-31	PRIJEM	\N	239	79899	UROK	\N	\N
3600410	2122	1993-08-31	PRIJEM	\N	326	101295	UROK	\N	\N
3600411	2122	1993-09-30	PRIJEM	\N	353	92804	UROK	\N	\N
3600412	2122	1993-10-31	PRIJEM	\N	308	85811	UROK	\N	\N
3600413	2122	1993-11-30	PRIJEM	\N	259	57745	UROK	\N	\N
3600414	2122	1993-12-31	PRIJEM	\N	266	83224	UROK	\N	\N
3600415	2122	1994-01-31	PRIJEM	\N	149	21960	UROK	\N	\N
3600416	2122	1994-02-28	PRIJEM	\N	231	38035	UROK	\N	\N
3600417	2122	1994-03-31	PRIJEM	\N	255	44259	UROK	\N	\N
3600418	2122	1994-04-30	PRIJEM	\N	233	76802	UROK	\N	\N
3600419	2122	1994-05-31	PRIJEM	\N	292	84972	UROK	\N	\N
3600420	2122	1994-06-30	PRIJEM	\N	382	62182	UROK	\N	\N
3600421	2122	1994-07-31	PRIJEM	\N	239	46748	UROK	\N	\N
3600422	2122	1994-08-31	PRIJEM	\N	349	89315	UROK	\N	\N
3600423	2122	1994-09-30	PRIJEM	\N	216	47953	UROK	\N	\N
3600424	2122	1994-10-31	PRIJEM	\N	389	63350	UROK	\N	\N
3600425	2122	1994-11-30	PRIJEM	\N	281	52388	UROK	\N	\N
3600426	2122	1994-12-31	PRIJEM	\N	221	63438	UROK	\N	\N
3600427	2122	1995-01-31	PRIJEM	\N	247	39629	UROK	\N	\N
3600428	2122	1995-02-28	PRIJEM	\N	162	35114	UROK	\N	\N
3600429	2122	1995-03-31	PRIJEM	\N	96	26732	UROK	\N	\N
3600430	2122	1995-04-30	PRIJEM	\N	110	28064	UROK	\N	\N
3600431	2122	1995-05-31	PRIJEM	\N	116	30403	UROK	\N	\N
3600432	2122	1995-06-30	PRIJEM	\N	174	60460	UROK	\N	\N
3600433	2122	1995-07-31	PRIJEM	\N	163	35080	UROK	\N	\N
3600434	2122	1995-08-31	PRIJEM	\N	157	82273	UROK	\N	\N
3600435	2122	1995-09-30	PRIJEM	\N	318	54313	UROK	\N	\N
3600436	2122	1995-10-31	PRIJEM	\N	176	36381	UROK	\N	\N
3600437	2122	1995-11-30	PRIJEM	\N	147	34250	UROK	\N	\N
3600438	2122	1995-12-31	PRIJEM	\N	192	27493	UROK	\N	\N
3600439	2122	1996-01-31	PRIJEM	\N	112	26227	UROK	\N	\N
3600440	2122	1996-02-29	PRIJEM	\N	110	29859	UROK	\N	\N
3600441	2122	1996-03-31	PRIJEM	\N	120	28702	UROK	\N	\N
3600442	2122	1996-04-30	PRIJEM	\N	121	32545	UROK	\N	\N
3600443	2122	1996-05-31	PRIJEM	\N	136	35203	UROK	\N	\N
3600444	2122	1996-06-30	PRIJEM	\N	169	47584	UROK	\N	\N
3600445	2122	1996-07-31	PRIJEM	\N	188	43094	UROK	\N	\N
3600446	2122	1996-08-31	PRIJEM	\N	137	35666	UROK	\N	\N
3600447	2122	1996-09-30	PRIJEM	\N	140	26529	UROK	\N	\N
3600448	2122	1996-10-31	PRIJEM	\N	116	32067	UROK	\N	\N
3600449	2122	1996-11-30	PRIJEM	\N	137	36426	UROK	\N	\N
3600450	2122	1996-12-31	PRIJEM	\N	137	26949	UROK	\N	\N
3600451	2122	1997-01-31	PRIJEM	\N	126	29448	UROK	\N	\N
3600452	2122	1997-02-28	PRIJEM	\N	168	53443	UROK	\N	\N
3600453	2122	1997-03-31	PRIJEM	\N	220	58798	UROK	\N	\N
3600454	2122	1997-04-30	PRIJEM	\N	291	81332	UROK	\N	\N
3600455	2122	1997-05-31	PRIJEM	\N	344	88163	UROK	\N	\N
3600456	2122	1997-06-30	PRIJEM	\N	340	103792	UROK	\N	\N
3600457	2122	1997-07-31	PRIJEM	\N	331	104494	UROK	\N	\N
3600458	2122	1997-08-31	PRIJEM	\N	391	71761	UROK	\N	\N
3600459	2122	1997-09-30	PRIJEM	\N	318	73697	UROK	\N	\N
3600460	2122	1997-10-31	PRIJEM	\N	325	84403	UROK	\N	\N
3600461	2122	1997-11-30	PRIJEM	\N	322	67366	UROK	\N	\N
3600462	2122	1997-12-31	PRIJEM	\N	282	91946	UROK	\N	\N
3600463	2122	1998-01-31	PRIJEM	\N	229	28097	UROK	\N	\N
3600464	2122	1998-02-28	PRIJEM	\N	133	29553	UROK	\N	\N
3600465	2122	1998-03-31	PRIJEM	\N	128	34303	UROK	\N	\N
3600466	2122	1998-04-30	PRIJEM	\N	150	39975	UROK	\N	\N
3600467	2122	1998-05-31	PRIJEM	\N	152	38350	UROK	\N	\N
3600468	2122	1998-06-30	PRIJEM	\N	169	44541	UROK	\N	\N
3600469	2122	1998-07-31	PRIJEM	\N	290	105238	UROK	\N	\N
3600470	2122	1998-08-31	PRIJEM	\N	404	107071	UROK	\N	\N
3600471	2122	1998-09-30	PRIJEM	\N	387	102463	UROK	\N	\N
3600472	2122	1998-10-31	PRIJEM	\N	391	98391	UROK	\N	\N
3600473	2122	1998-11-30	PRIJEM	\N	337	86637	UROK	\N	\N
3600474	2122	1998-12-31	PRIJEM	\N	285	41804	UROK	\N	\N
3600475	2123	1993-12-31	PRIJEM	\N	43	16583	UROK	\N	\N
3600476	2123	1994-01-31	PRIJEM	\N	63	14913	UROK	\N	\N
3600477	2123	1994-02-28	PRIJEM	\N	65	16034	UROK	\N	\N
3600478	2123	1994-03-31	PRIJEM	\N	69	16740	UROK	\N	\N
3600479	2123	1994-04-30	PRIJEM	\N	71	16966	UROK	\N	\N
3600480	2123	1994-05-31	PRIJEM	\N	71	16774	UROK	\N	\N
3600481	2123	1994-06-30	PRIJEM	\N	72	16253	UROK	\N	\N
3600482	2123	1994-07-31	PRIJEM	\N	70	17379	UROK	\N	\N
3600483	2123	1994-08-31	PRIJEM	\N	73	18119	UROK	\N	\N
3600484	2123	1994-09-30	PRIJEM	\N	78	19254	UROK	\N	\N
3600485	2123	1994-10-31	PRIJEM	\N	79	19069	UROK	\N	\N
3600486	2123	1994-11-30	PRIJEM	\N	82	19757	UROK	\N	\N
3600487	2123	1994-12-31	PRIJEM	\N	84	20478	UROK	\N	\N
3600488	2123	1995-01-31	PRIJEM	\N	80	18735	UROK	\N	\N
3600489	2123	1995-02-28	PRIJEM	\N	80	19771	UROK	\N	\N
3600490	2123	1995-03-31	PRIJEM	\N	82	20040	UROK	\N	\N
3600491	2123	1995-04-30	PRIJEM	\N	82	19738	UROK	\N	\N
3600492	2123	1995-05-31	PRIJEM	\N	82	19577	UROK	\N	\N
3600493	2123	1995-06-30	PRIJEM	\N	64	14307	UROK	\N	\N
3600494	2123	1995-07-31	PRIJEM	\N	62	15426	UROK	\N	\N
3600495	2123	1995-08-31	PRIJEM	\N	67	16549	UROK	\N	\N
3600496	2123	1995-09-30	PRIJEM	\N	70	16415	UROK	\N	\N
3600497	2123	1995-10-31	PRIJEM	\N	67	16139	UROK	\N	\N
3600498	2123	1995-11-30	PRIJEM	\N	67	16392	UROK	\N	\N
3600499	2123	1995-12-31	PRIJEM	\N	70	17008	UROK	\N	\N
3600500	2123	1996-01-31	PRIJEM	\N	70	15315	UROK	\N	\N
3600501	2123	1996-02-29	PRIJEM	\N	66	16437	UROK	\N	\N
3600502	2123	1996-03-31	PRIJEM	\N	65	15458	UROK	\N	\N
3600503	2123	1996-04-30	PRIJEM	\N	62	15177	UROK	\N	\N
3600504	2123	1996-05-31	PRIJEM	\N	63	15546	UROK	\N	\N
3600505	2123	1996-06-30	PRIJEM	\N	62	14964	UROK	\N	\N
3600506	2123	1996-07-31	PRIJEM	\N	57	13577	UROK	\N	\N
3600507	2123	1996-08-31	PRIJEM	\N	59	14692	UROK	\N	\N
3600508	2123	1996-09-30	PRIJEM	\N	58	14106	UROK	\N	\N
3600509	2123	1996-10-31	PRIJEM	\N	56	13819	UROK	\N	\N
3600510	2123	1996-11-30	PRIJEM	\N	60	14935	UROK	\N	\N
3600511	2123	1996-12-31	PRIJEM	\N	60	14581	UROK	\N	\N
3600512	2123	1997-01-31	PRIJEM	\N	56	13594	UROK	\N	\N
3600513	2123	1997-02-28	PRIJEM	\N	58	14709	UROK	\N	\N
3600514	2123	1997-03-31	PRIJEM	\N	63	15828	UROK	\N	\N
3600515	2123	1997-04-30	PRIJEM	\N	68	16952	UROK	\N	\N
3600516	2123	1997-05-31	PRIJEM	\N	71	17270	UROK	\N	\N
3600517	2123	1997-06-30	PRIJEM	\N	74	18400	UROK	\N	\N
3600518	2123	1997-07-31	PRIJEM	\N	78	19535	UROK	\N	\N
3600519	2123	1997-08-31	PRIJEM	\N	83	20674	UROK	\N	\N
3600520	2123	1997-09-30	PRIJEM	\N	67	14397	UROK	\N	\N
3600521	2123	1997-10-31	PRIJEM	\N	59	14712	UROK	\N	\N
3600522	2123	1997-11-30	PRIJEM	\N	60	15229	UROK	\N	\N
3600523	2123	1997-12-31	PRIJEM	\N	62	15177	UROK	\N	\N
3600524	2123	1998-01-31	PRIJEM	\N	60	14693	UROK	\N	\N
3600525	2123	1998-02-28	PRIJEM	\N	62	15812	UROK	\N	\N
3600526	2123	1998-03-31	PRIJEM	\N	67	16935	UROK	\N	\N
3600527	2123	1998-04-30	PRIJEM	\N	72	18063	UROK	\N	\N
3600528	2123	1998-05-31	PRIJEM	\N	72	17892	UROK	\N	\N
3600529	2123	1998-06-30	PRIJEM	\N	74	18622	UROK	\N	\N
3600530	2123	1998-07-31	PRIJEM	\N	66	14945	UROK	\N	\N
3600531	2123	1998-08-31	PRIJEM	\N	63	15914	UROK	\N	\N
3600532	2123	1998-09-30	PRIJEM	\N	67	17038	UROK	\N	\N
3600533	2123	1998-10-31	PRIJEM	\N	72	18166	UROK	\N	\N
3600534	2123	1998-11-30	PRIJEM	\N	73	13415	UROK	\N	\N
3600535	2123	1998-12-31	PRIJEM	\N	57	14528	UROK	\N	\N
3600536	2124	1993-03-31	PRIJEM	\N	32	24063	UROK	\N	\N
3600537	2124	1993-04-30	PRIJEM	\N	113	33307	UROK	\N	\N
3600538	2124	1993-05-31	PRIJEM	\N	146	38584	UROK	\N	\N
3600539	2124	1993-06-30	PRIJEM	\N	178	50409	UROK	\N	\N
3600540	2124	1993-07-31	PRIJEM	\N	215	45648	UROK	\N	\N
3600541	2124	1993-08-31	PRIJEM	\N	199	43269	UROK	\N	\N
3600542	2124	1993-09-30	PRIJEM	\N	187	40478	UROK	\N	\N
3600543	2124	1993-10-31	PRIJEM	\N	181	40201	UROK	\N	\N
3600544	2124	1993-11-30	PRIJEM	\N	181	42305	UROK	\N	\N
3600545	2124	1993-12-31	PRIJEM	\N	172	38155	UROK	\N	\N
3600546	2124	1994-01-31	PRIJEM	\N	146	23643	UROK	\N	\N
3600547	2124	1994-02-28	PRIJEM	\N	124	33189	UROK	\N	\N
3600548	2124	1994-03-31	PRIJEM	\N	159	38869	UROK	\N	\N
3600549	2124	1994-04-30	PRIJEM	\N	176	42268	UROK	\N	\N
3600550	2124	1994-05-31	PRIJEM	\N	177	39667	UROK	\N	\N
3600551	2124	1994-06-30	PRIJEM	\N	186	45791	UROK	\N	\N
3600552	2124	1994-07-31	PRIJEM	\N	184	37018	UROK	\N	\N
3600553	2124	1994-08-31	PRIJEM	\N	153	35794	UROK	\N	\N
3600554	2124	1994-09-30	PRIJEM	\N	147	34863	UROK	\N	\N
3600555	2124	1994-10-31	PRIJEM	\N	149	35434	UROK	\N	\N
3600556	2124	1994-11-30	PRIJEM	\N	158	40994	UROK	\N	\N
3600557	2124	1994-12-31	PRIJEM	\N	196	48887	UROK	\N	\N
3600558	2124	1995-01-31	PRIJEM	\N	144	32113	UROK	\N	\N
3600559	2124	1995-02-28	PRIJEM	\N	158	43193	UROK	\N	\N
3600560	2124	1995-03-31	PRIJEM	\N	188	47003	UROK	\N	\N
3600561	2124	1995-04-30	PRIJEM	\N	203	51529	UROK	\N	\N
3600562	2124	1995-05-31	PRIJEM	\N	205	49756	UROK	\N	\N
3600563	2124	1995-06-30	PRIJEM	\N	181	49575	UROK	\N	\N
3600564	2124	1995-07-31	PRIJEM	\N	203	50900	UROK	\N	\N
3600565	2124	1995-08-31	PRIJEM	\N	200	46702	UROK	\N	\N
3600566	2124	1995-09-30	PRIJEM	\N	188	44972	UROK	\N	\N
3600567	2124	1995-10-31	PRIJEM	\N	189	49184	UROK	\N	\N
3600568	2124	1995-11-30	PRIJEM	\N	191	49677	UROK	\N	\N
3600569	2124	1995-12-31	PRIJEM	\N	217	58332	UROK	\N	\N
3600570	2124	1996-01-31	PRIJEM	\N	198	43253	UROK	\N	\N
3600571	2124	1996-02-29	PRIJEM	\N	185	47460	UROK	\N	\N
3600572	2124	1996-03-31	PRIJEM	\N	184	48367	UROK	\N	\N
3600573	2124	1996-04-30	PRIJEM	\N	197	52186	UROK	\N	\N
3600574	2124	1996-05-31	PRIJEM	\N	206	52814	UROK	\N	\N
3600575	2124	1996-06-30	PRIJEM	\N	226	54698	UROK	\N	\N
3600576	2124	1996-07-31	PRIJEM	\N	225	58946	UROK	\N	\N
3600577	2124	1996-08-31	PRIJEM	\N	220	56688	UROK	\N	\N
3600578	2124	1996-09-30	PRIJEM	\N	212	54622	UROK	\N	\N
3600579	2124	1996-10-31	PRIJEM	\N	219	57163	UROK	\N	\N
3600580	2124	1996-11-30	PRIJEM	\N	211	54596	UROK	\N	\N
3600581	2124	1996-12-31	PRIJEM	\N	236	65370	UROK	\N	\N
3600582	2124	1997-01-31	PRIJEM	\N	192	36744	UROK	\N	\N
3600583	2124	1997-02-28	PRIJEM	\N	189	52855	UROK	\N	\N
3600584	2124	1997-03-31	PRIJEM	\N	226	59703	UROK	\N	\N
3600585	2124	1997-04-30	PRIJEM	\N	245	64170	UROK	\N	\N
3600586	2124	1997-05-31	PRIJEM	\N	276	56669	UROK	\N	\N
3600587	2124	1997-06-30	PRIJEM	\N	220	39827	UROK	\N	\N
3600588	2124	1997-07-31	PRIJEM	\N	200	47049	UROK	\N	\N
3600589	2124	1997-08-31	PRIJEM	\N	212	47483	UROK	\N	\N
3600590	2124	1997-09-30	PRIJEM	\N	227	50032	UROK	\N	\N
3600591	2124	1997-10-31	PRIJEM	\N	235	54389	UROK	\N	\N
3600592	2124	1997-11-30	PRIJEM	\N	251	50923	UROK	\N	\N
3600593	2124	1997-12-31	PRIJEM	\N	257	59618	UROK	\N	\N
3600594	2124	1998-01-31	PRIJEM	\N	241	49001	UROK	\N	\N
3600595	2124	1998-02-28	PRIJEM	\N	232	56956	UROK	\N	\N
3600596	2124	1998-03-31	PRIJEM	\N	263	59241	UROK	\N	\N
3600597	2124	1998-04-30	PRIJEM	\N	272	63436	UROK	\N	\N
3600598	2124	1998-05-31	PRIJEM	\N	285	62643	UROK	\N	\N
3600599	2124	1998-06-30	PRIJEM	\N	283	52244	UROK	\N	\N
3600600	2124	1998-07-31	PRIJEM	\N	248	63414	UROK	\N	\N
3600601	2124	1998-08-31	PRIJEM	\N	292	72828	UROK	\N	\N
3600602	2124	1998-09-30	PRIJEM	\N	325	78676	UROK	\N	\N
3600603	2124	1998-10-31	PRIJEM	\N	334	76352	UROK	\N	\N
3600604	2124	1998-11-30	PRIJEM	\N	330	76405	UROK	\N	\N
3600605	2124	1998-12-31	PRIJEM	\N	348	80991	UROK	\N	\N
3600606	2125	1997-11-30	PRIJEM	\N	13	46641	UROK	\N	\N
3600607	2125	1997-12-31	PRIJEM	\N	233	79991	UROK	\N	\N
3600608	2125	1998-01-31	PRIJEM	\N	374	62630	UROK	\N	\N
3600609	2125	1998-02-28	PRIJEM	\N	259	61053	UROK	\N	\N
3600610	2125	1998-03-31	PRIJEM	\N	389	52516	UROK	\N	\N
3600611	2125	1998-04-30	PRIJEM	\N	200	63518	UROK	\N	\N
3600612	2125	1998-05-31	PRIJEM	\N	223	39686	UROK	\N	\N
3600613	2125	1998-06-30	PRIJEM	\N	150	31180	UROK	\N	\N
3600614	2125	1998-07-31	PRIJEM	\N	128	30253	UROK	\N	\N
3600615	2125	1998-08-31	PRIJEM	\N	120	27318	UROK	\N	\N
3600616	2125	1998-09-30	PRIJEM	\N	175	54215	UROK	\N	\N
3600617	2125	1998-10-31	PRIJEM	\N	242	52409	UROK	\N	\N
3600618	2125	1998-11-30	PRIJEM	\N	262	79702	UROK	\N	\N
3600619	2125	1998-12-31	PRIJEM	\N	285	58302	UROK	\N	\N
3600620	2127	1997-06-30	PRIJEM	\N	41	12934	UROK	\N	\N
3600621	2127	1997-07-31	PRIJEM	\N	82	21609	UROK	\N	\N
3600622	2127	1997-08-31	PRIJEM	\N	98	24100	UROK	\N	\N
3600623	2127	1997-09-30	PRIJEM	\N	108	26300	UROK	\N	\N
3600624	2127	1997-10-31	PRIJEM	\N	113	26111	UROK	\N	\N
3600625	2127	1997-11-30	PRIJEM	\N	103	24498	UROK	\N	\N
3600626	2127	1997-12-31	PRIJEM	\N	99	23530	UROK	\N	\N
3600627	2127	1998-01-31	PRIJEM	\N	89	17253	UROK	\N	\N
3600628	2127	1998-02-28	PRIJEM	\N	87	21163	UROK	\N	\N
3600629	2127	1998-03-31	PRIJEM	\N	82	19228	UROK	\N	\N
3600630	2127	1998-04-30	PRIJEM	\N	81	19492	UROK	\N	\N
3600631	2127	1998-05-31	PRIJEM	\N	74	17449	UROK	\N	\N
3600632	2127	1998-06-30	PRIJEM	\N	62	13564	UROK	\N	\N
3600633	2127	1998-07-31	PRIJEM	\N	62	15210	UROK	\N	\N
3600634	2127	1998-08-31	PRIJEM	\N	55	12949	UROK	\N	\N
3600635	2127	1998-09-30	PRIJEM	\N	57	13989	UROK	\N	\N
3600636	2127	1998-10-31	PRIJEM	\N	65	15837	UROK	\N	\N
3600637	2127	1998-11-30	PRIJEM	\N	65	15605	UROK	\N	\N
3600638	2127	1998-12-31	PRIJEM	\N	63	15081	UROK	\N	\N
3600639	2128	1993-12-31	PRIJEM	\N	16	5940	UROK	\N	\N
3600640	2128	1994-01-31	PRIJEM	\N	23	11387	UROK	\N	\N
3600641	2128	1994-02-28	PRIJEM	\N	23	16833	UROK	\N	\N
3600642	2128	1994-03-31	PRIJEM	\N	72	21830	UROK	\N	\N
3600643	2128	1994-04-30	PRIJEM	\N	94	27347	UROK	\N	\N
3600644	2128	1994-05-31	PRIJEM	\N	115	27870	UROK	\N	\N
3600645	2128	1994-06-30	PRIJEM	\N	94	15602	UROK	\N	\N
3600646	2128	1994-07-31	PRIJEM	\N	69	14279	UROK	\N	\N
3600647	2128	1994-08-31	PRIJEM	\N	65	16153	UROK	\N	\N
3600648	2128	1994-09-30	PRIJEM	\N	73	18034	UROK	\N	\N
3600649	2128	1994-10-31	PRIJEM	\N	81	19922	UROK	\N	\N
3600650	2128	1994-11-30	PRIJEM	\N	76	18207	UROK	\N	\N
3600651	2128	1994-12-31	PRIJEM	\N	80	19495	UROK	\N	\N
3600652	2128	1995-01-31	PRIJEM	\N	64	13348	UROK	\N	\N
3600653	2128	1995-02-28	PRIJEM	\N	61	15217	UROK	\N	\N
3600654	2128	1995-03-31	PRIJEM	\N	61	15006	UROK	\N	\N
3600655	2128	1995-04-30	PRIJEM	\N	68	16882	UROK	\N	\N
3600656	2128	1995-05-31	PRIJEM	\N	74	17325	UROK	\N	\N
3600657	2128	1995-06-30	PRIJEM	\N	70	14513	UROK	\N	\N
3600658	2128	1995-07-31	PRIJEM	\N	66	16387	UROK	\N	\N
3600659	2128	1995-08-31	PRIJEM	\N	73	18269	UROK	\N	\N
3600660	2128	1995-09-30	PRIJEM	\N	81	20158	UROK	\N	\N
3600661	2128	1995-10-31	PRIJEM	\N	81	17328	UROK	\N	\N
3600662	2128	1995-11-30	PRIJEM	\N	77	19213	UROK	\N	\N
3600663	2128	1995-12-31	PRIJEM	\N	84	19236	UROK	\N	\N
3600664	2128	1996-01-31	PRIJEM	\N	67	13761	UROK	\N	\N
3600665	2128	1996-02-29	PRIJEM	\N	62	14351	UROK	\N	\N
3600666	2128	1996-03-31	PRIJEM	\N	65	16224	UROK	\N	\N
3600667	2128	1996-04-30	PRIJEM	\N	67	15540	UROK	\N	\N
3600668	2128	1996-05-31	PRIJEM	\N	70	17418	UROK	\N	\N
3600669	2128	1996-06-30	PRIJEM	\N	70	17136	UROK	\N	\N
3600670	2128	1996-07-31	PRIJEM	\N	76	19021	UROK	\N	\N
3600671	2128	1996-08-31	PRIJEM	\N	74	17942	UROK	\N	\N
3600672	2128	1996-09-30	PRIJEM	\N	80	19830	UROK	\N	\N
3600673	2128	1996-10-31	PRIJEM	\N	87	21726	UROK	\N	\N
3600674	2128	1996-11-30	PRIJEM	\N	95	23630	UROK	\N	\N
3600675	2128	1996-12-31	PRIJEM	\N	100	24738	UROK	\N	\N
3600676	2128	1997-01-31	PRIJEM	\N	87	17683	UROK	\N	\N
3600677	2128	1997-02-28	PRIJEM	\N	77	18208	UROK	\N	\N
3600678	2128	1997-03-31	PRIJEM	\N	80	20097	UROK	\N	\N
3600679	2128	1997-04-30	PRIJEM	\N	88	21993	UROK	\N	\N
3600680	2128	1997-05-31	PRIJEM	\N	96	22938	UROK	\N	\N
3600681	2128	1997-06-30	PRIJEM	\N	100	24846	UROK	\N	\N
3600682	2128	1997-07-31	PRIJEM	\N	104	22519	UROK	\N	\N
3600683	2128	1997-08-31	PRIJEM	\N	93	21120	UROK	\N	\N
3600684	2128	1997-09-30	PRIJEM	\N	92	23021	UROK	\N	\N
3600685	2128	1997-10-31	PRIJEM	\N	99	24228	UROK	\N	\N
3600686	2128	1997-11-30	PRIJEM	\N	99	22636	UROK	\N	\N
3600687	2128	1997-12-31	PRIJEM	\N	93	21137	UROK	\N	\N
3600688	2128	1998-01-31	PRIJEM	\N	69	15654	UROK	\N	\N
3600689	2128	1998-02-28	PRIJEM	\N	69	17531	UROK	\N	\N
3600690	2128	1998-03-31	PRIJEM	\N	76	18295	UROK	\N	\N
3600691	2128	1998-04-30	PRIJEM	\N	80	20184	UROK	\N	\N
3600692	2128	1998-05-31	PRIJEM	\N	85	20577	UROK	\N	\N
3600693	2128	1998-06-30	PRIJEM	\N	83	19268	UROK	\N	\N
3600694	2128	1998-07-31	PRIJEM	\N	79	19376	UROK	\N	\N
3600695	2128	1998-08-31	PRIJEM	\N	72	15657	UROK	\N	\N
3600696	2128	1998-09-30	PRIJEM	\N	69	17534	UROK	\N	\N
3600697	2128	1998-10-31	PRIJEM	\N	75	18457	UROK	\N	\N
3600698	2128	1998-11-30	PRIJEM	\N	71	17536	UROK	\N	\N
3600699	2128	1998-12-31	PRIJEM	\N	74	18519	UROK	\N	\N
3600700	2131	1996-07-31	PRIJEM	\N	18	7005	UROK	\N	\N
3600701	2131	1996-08-31	PRIJEM	\N	29	13121	UROK	\N	\N
3600702	2131	1996-09-30	PRIJEM	\N	29	19237	UROK	\N	\N
3600703	2131	1996-10-31	PRIJEM	\N	29	25353	UROK	\N	\N
3600704	2131	1996-11-30	PRIJEM	\N	57	29417	UROK	\N	\N
3600705	2131	1996-12-31	PRIJEM	\N	126	31349	UROK	\N	\N
3600706	2131	1997-01-31	PRIJEM	\N	107	21721	UROK	\N	\N
3600707	2131	1997-02-28	PRIJEM	\N	95	24371	UROK	\N	\N
3600708	2131	1997-03-31	PRIJEM	\N	106	27033	UROK	\N	\N
3600709	2131	1997-04-30	PRIJEM	\N	117	29705	UROK	\N	\N
3600710	2131	1997-05-31	PRIJEM	\N	128	32389	UROK	\N	\N
3600711	2131	1997-06-30	PRIJEM	\N	128	30072	UROK	\N	\N
3600712	2131	1997-07-31	PRIJEM	\N	130	32757	UROK	\N	\N
3600713	2131	1997-08-31	PRIJEM	\N	141	35454	UROK	\N	\N
3600714	2131	1997-09-30	PRIJEM	\N	152	37201	UROK	\N	\N
3600715	2131	1997-10-31	PRIJEM	\N	160	39916	UROK	\N	\N
3600716	2131	1997-11-30	PRIJEM	\N	171	42642	UROK	\N	\N
3600717	2131	1997-12-31	PRIJEM	\N	178	42295	UROK	\N	\N
3600718	2131	1998-01-31	PRIJEM	\N	134	27684	UROK	\N	\N
3600719	2131	1998-02-28	PRIJEM	\N	119	30359	UROK	\N	\N
3600720	2131	1998-03-31	PRIJEM	\N	131	33045	UROK	\N	\N
3600721	2131	1998-04-30	PRIJEM	\N	142	35742	UROK	\N	\N
3600722	2131	1998-05-31	PRIJEM	\N	153	38451	UROK	\N	\N
3600723	2131	1998-06-30	PRIJEM	\N	147	33623	UROK	\N	\N
3600724	2131	1998-07-31	PRIJEM	\N	144	36323	UROK	\N	\N
3600725	2131	1998-08-31	PRIJEM	\N	156	39034	UROK	\N	\N
3600726	2131	1998-09-30	PRIJEM	\N	167	41756	UROK	\N	\N
3600727	2131	1998-10-31	PRIJEM	\N	178	44489	UROK	\N	\N
3600728	2131	1998-11-30	PRIJEM	\N	189	47234	UROK	\N	\N
3600729	2131	1998-12-31	PRIJEM	\N	200	49339	UROK	\N	\N
3600730	2133	1997-10-31	PRIJEM	\N	12	4809	UROK	\N	\N
3600731	2133	1997-11-30	PRIJEM	\N	20	9126	UROK	\N	\N
3600732	2133	1997-12-31	PRIJEM	\N	20	13443	UROK	\N	\N
3600733	2133	1998-01-31	PRIJEM	\N	20	17760	UROK	\N	\N
3600734	2133	1998-02-28	PRIJEM	\N	54	16128	UROK	\N	\N
3600735	2133	1998-03-31	PRIJEM	\N	77	18344	UROK	\N	\N
3600736	2133	1998-04-30	PRIJEM	\N	75	15658	UROK	\N	\N
3600737	2133	1998-05-31	PRIJEM	\N	68	13286	UROK	\N	\N
3600738	2133	1998-06-30	PRIJEM	\N	59	14984	UROK	\N	\N
3600739	2133	1998-07-31	PRIJEM	\N	73	17196	UROK	\N	\N
3600740	2133	1998-08-31	PRIJEM	\N	82	19417	UROK	\N	\N
3600741	2133	1998-09-30	PRIJEM	\N	86	21642	UROK	\N	\N
3600742	2133	1998-10-31	PRIJEM	\N	81	17383	UROK	\N	\N
3600743	2133	1998-11-30	PRIJEM	\N	71	15833	UROK	\N	\N
3600744	2133	1998-12-31	PRIJEM	\N	69	17242	UROK	\N	\N
3600745	2134	1996-08-31	PRIJEM	\N	40	12993	UROK	\N	\N
3600746	2134	1996-09-30	PRIJEM	\N	112	32158	UROK	\N	\N
3600747	2134	1996-10-31	PRIJEM	\N	168	43379	UROK	\N	\N
3600748	2134	1996-11-30	PRIJEM	\N	196	48628	UROK	\N	\N
3600749	2134	1996-12-31	PRIJEM	\N	214	50763	UROK	\N	\N
3600750	2134	1997-01-31	PRIJEM	\N	191	43333	UROK	\N	\N
3600751	2134	1997-02-28	PRIJEM	\N	198	47511	UROK	\N	\N
3600752	2134	1997-03-31	PRIJEM	\N	202	44992	UROK	\N	\N
3600753	2134	1997-04-30	PRIJEM	\N	173	41708	UROK	\N	\N
3600754	2134	1997-05-31	PRIJEM	\N	162	39813	UROK	\N	\N
3600755	2134	1997-06-30	PRIJEM	\N	133	32515	UROK	\N	\N
3600756	2134	1997-07-31	PRIJEM	\N	145	35602	UROK	\N	\N
3600757	2134	1997-08-31	PRIJEM	\N	148	35492	UROK	\N	\N
3600758	2134	1997-09-30	PRIJEM	\N	146	36881	UROK	\N	\N
3600759	2134	1997-10-31	PRIJEM	\N	154	30777	UROK	\N	\N
3600760	2134	1997-11-30	PRIJEM	\N	145	32065	UROK	\N	\N
3600761	2134	1997-12-31	PRIJEM	\N	171	33205	UROK	\N	\N
3600762	2134	1998-01-31	PRIJEM	\N	154	28302	UROK	\N	\N
3600763	2134	1998-02-28	PRIJEM	\N	131	29175	UROK	\N	\N
3600764	2134	1998-03-31	PRIJEM	\N	141	29359	UROK	\N	\N
3600765	2134	1998-04-30	PRIJEM	\N	146	31248	UROK	\N	\N
3600766	2134	1998-05-31	PRIJEM	\N	153	35543	UROK	\N	\N
3600767	2134	1998-06-30	PRIJEM	\N	147	30659	UROK	\N	\N
3600768	2134	1998-07-31	PRIJEM	\N	152	35954	UROK	\N	\N
3600769	2134	1998-08-31	PRIJEM	\N	172	40768	UROK	\N	\N
3600770	2134	1998-09-30	PRIJEM	\N	191	42801	UROK	\N	\N
3600771	2134	1998-10-31	PRIJEM	\N	198	45842	UROK	\N	\N
3600772	2134	1998-11-30	PRIJEM	\N	208	44792	UROK	\N	\N
3600773	2134	1998-12-31	PRIJEM	\N	228	57788	UROK	\N	\N
3600774	2135	1997-07-31	PRIJEM	\N	35	17397	UROK	\N	\N
3600775	2135	1997-08-31	PRIJEM	\N	92	26551	UROK	\N	\N
3600776	2135	1997-09-30	PRIJEM	\N	116	29129	UROK	\N	\N
3600777	2135	1997-10-31	PRIJEM	\N	123	30014	UROK	\N	\N
3600778	2135	1997-11-30	PRIJEM	\N	120	28095	UROK	\N	\N
3600779	2135	1997-12-31	PRIJEM	\N	131	27703	UROK	\N	\N
3600780	2135	1998-01-31	PRIJEM	\N	93	21062	UROK	\N	\N
3600781	2135	1998-02-28	PRIJEM	\N	109	26777	UROK	\N	\N
3600782	2135	1998-03-31	PRIJEM	\N	129	26612	UROK	\N	\N
3600783	2135	1998-04-30	PRIJEM	\N	119	30137	UROK	\N	\N
3600784	2135	1998-05-31	PRIJEM	\N	119	28063	UROK	\N	\N
3600785	2135	1998-06-30	PRIJEM	\N	100	13880	UROK	\N	\N
3600786	2135	1998-07-31	PRIJEM	\N	75	21061	UROK	\N	\N
3600787	2135	1998-08-31	PRIJEM	\N	93	23281	UROK	\N	\N
3600788	2135	1998-09-30	PRIJEM	\N	96	21083	UROK	\N	\N
3600789	2135	1998-10-31	PRIJEM	\N	81	18530	UROK	\N	\N
3600790	2135	1998-11-30	PRIJEM	\N	83	20699	UROK	\N	\N
3600791	2135	1998-12-31	PRIJEM	\N	98	27515	UROK	\N	\N
3600792	2137	1993-09-30	PRIJEM	\N	42	20129	UROK	\N	\N
3600793	2137	1993-10-31	PRIJEM	\N	110	32426	UROK	\N	\N
3600794	2137	1993-11-30	PRIJEM	\N	147	38060	UROK	\N	\N
3600795	2137	1993-12-31	PRIJEM	\N	177	46417	UROK	\N	\N
3600796	2137	1994-01-31	PRIJEM	\N	160	22564	UROK	\N	\N
3600797	2137	1994-02-28	PRIJEM	\N	123	34874	UROK	\N	\N
3600798	2137	1994-03-31	PRIJEM	\N	153	36437	UROK	\N	\N
3600799	2137	1994-04-30	PRIJEM	\N	156	36580	UROK	\N	\N
3600800	2137	1994-05-31	PRIJEM	\N	161	40528	UROK	\N	\N
3600801	2137	1994-06-30	PRIJEM	\N	174	41782	UROK	\N	\N
3600802	2137	1994-07-31	PRIJEM	\N	180	44349	UROK	\N	\N
3600803	2137	1994-08-31	PRIJEM	\N	229	33265	UROK	\N	\N
3600804	2137	1994-09-30	PRIJEM	\N	185	51036	UROK	\N	\N
3600805	2137	1994-10-31	PRIJEM	\N	220	52943	UROK	\N	\N
3600806	2137	1994-11-30	PRIJEM	\N	183	35626	UROK	\N	\N
3600807	2137	1994-12-31	PRIJEM	\N	176	40054	UROK	\N	\N
3600808	2137	1995-01-31	PRIJEM	\N	146	27387	UROK	\N	\N
3600809	2137	1995-02-28	PRIJEM	\N	150	35673	UROK	\N	\N
3600810	2137	1995-03-31	PRIJEM	\N	191	51952	UROK	\N	\N
3600811	2137	1995-04-30	PRIJEM	\N	236	59875	UROK	\N	\N
3600812	2137	1995-05-31	PRIJEM	\N	263	65425	UROK	\N	\N
3600813	2137	1995-06-30	PRIJEM	\N	192	49356	UROK	\N	\N
3600814	2137	1995-07-31	PRIJEM	\N	180	34150	UROK	\N	\N
3600815	2137	1995-08-31	PRIJEM	\N	189	52126	UROK	\N	\N
3600816	2137	1995-09-30	PRIJEM	\N	202	43315	UROK	\N	\N
3600817	2137	1995-10-31	PRIJEM	\N	62	12558	UROK	\N	\N
3600818	2137	1995-11-30	PRIJEM	\N	112	32681	UROK	\N	\N
3600819	2137	1995-12-31	PRIJEM	\N	197	52358	UROK	\N	\N
3600820	2137	1996-01-31	PRIJEM	\N	103	4248	UROK	\N	\N
3600821	2137	1996-02-29	PRIJEM	\N	82	29818	UROK	\N	\N
3600822	2137	1996-03-31	PRIJEM	\N	112	20457	UROK	\N	\N
3600823	2137	1996-04-30	PRIJEM	\N	129	37773	UROK	\N	\N
3600824	2137	1996-05-31	PRIJEM	\N	166	38328	UROK	\N	\N
3600825	2137	1996-06-30	PRIJEM	\N	108	5716	UROK	\N	\N
3600826	2137	1996-07-31	PRIJEM	\N	58	10897	UROK	\N	\N
3600827	2137	1996-08-31	PRIJEM	\N	79	19898	UROK	\N	\N
3600828	2137	1996-09-30	PRIJEM	\N	115	38300	UROK	\N	\N
3600829	2137	1996-10-31	PRIJEM	\N	121	34308	UROK	\N	\N
3600830	2137	1996-11-30	PRIJEM	\N	133	22659	UROK	\N	\N
3600831	2137	1996-12-31	PRIJEM	\N	153	33092	UROK	\N	\N
3600832	2137	1997-01-31	PRIJEM	\N	95	2373	UROK	\N	\N
3600833	2137	1997-02-28	PRIJEM	\N	12	18372	UROK	\N	\N
3600834	2137	1997-03-31	PRIJEM	\N	75	28134	UROK	\N	\N
3600835	2137	1997-04-30	PRIJEM	\N	51	20379	UROK	\N	\N
3600836	2137	1997-05-31	PRIJEM	\N	88	31754	UROK	\N	\N
3600837	2137	1997-06-30	PRIJEM	\N	132	30466	UROK	\N	\N
3600838	2137	1997-07-31	PRIJEM	\N	124	30677	UROK	\N	\N
3600839	2137	1997-08-31	PRIJEM	\N	164	33428	UROK	\N	\N
3600840	2137	1997-09-30	PRIJEM	\N	142	41257	UROK	\N	\N
3600841	2137	1997-10-31	PRIJEM	\N	168	34112	UROK	\N	\N
3600842	2137	1997-11-30	PRIJEM	\N	149	44348	UROK	\N	\N
3600843	2137	1997-12-31	PRIJEM	\N	216	48144	UROK	\N	\N
3600844	2137	1998-01-31	PRIJEM	\N	101	16232	UROK	\N	\N
3600845	2137	1998-02-28	PRIJEM	\N	81	32499	UROK	\N	\N
3600846	2137	1998-03-31	PRIJEM	\N	141	41427	UROK	\N	\N
3600847	2137	1998-04-30	PRIJEM	\N	169	41583	UROK	\N	\N
3600848	2137	1998-05-31	PRIJEM	\N	168	34237	UROK	\N	\N
3600849	2137	1998-06-30	PRIJEM	\N	152	45069	UROK	\N	\N
3600850	2137	1998-07-31	PRIJEM	\N	170	30626	UROK	\N	\N
3600851	2137	1998-08-31	PRIJEM	\N	128	33840	UROK	\N	\N
3600852	2137	1998-09-30	PRIJEM	\N	143	38571	UROK	\N	\N
3600853	2137	1998-10-31	PRIJEM	\N	157	39114	UROK	\N	\N
3600854	2137	1998-11-30	PRIJEM	\N	161	41062	UROK	\N	\N
3600855	2137	1998-12-31	PRIJEM	\N	240	68782	UROK	\N	\N
3600856	2138	1997-08-31	PRIJEM	\N	60	25015	UROK	\N	\N
3600857	2138	1997-09-30	PRIJEM	\N	160	49031	UROK	\N	\N
3600858	2138	1997-10-31	PRIJEM	\N	225	58011	UROK	\N	\N
3600859	2138	1997-11-30	PRIJEM	\N	253	63119	UROK	\N	\N
3600860	2138	1997-12-31	PRIJEM	\N	303	80054	UROK	\N	\N
3600861	2138	1998-01-31	PRIJEM	\N	230	45036	UROK	\N	\N
3600862	2138	1998-02-28	PRIJEM	\N	170	45959	UROK	\N	\N
3600863	2138	1998-03-31	PRIJEM	\N	179	45290	UROK	\N	\N
3600864	2138	1998-04-30	PRIJEM	\N	174	43116	UROK	\N	\N
3600865	2138	1998-05-31	PRIJEM	\N	169	43138	UROK	\N	\N
3600866	2138	1998-06-30	PRIJEM	\N	203	54370	UROK	\N	\N
3600867	2138	1998-07-31	PRIJEM	\N	195	46318	UROK	\N	\N
3600868	2138	1998-08-31	PRIJEM	\N	188	48258	UROK	\N	\N
3600869	2138	1998-09-30	PRIJEM	\N	199	51509	UROK	\N	\N
3600870	2138	1998-10-31	PRIJEM	\N	195	52357	UROK	\N	\N
3600871	2138	1998-11-30	PRIJEM	\N	206	48115	UROK	\N	\N
3600872	2138	1998-12-31	PRIJEM	\N	218	58963	UROK	\N	\N
3600873	2139	1995-06-30	PRIJEM	\N	127	43521	UROK	\N	\N
3600874	2139	1995-07-31	PRIJEM	\N	244	65094	UROK	\N	\N
3600875	2139	1995-08-31	PRIJEM	\N	294	73317	UROK	\N	\N
3600876	2139	1995-09-30	PRIJEM	\N	315	76961	UROK	\N	\N
3600877	2139	1995-10-31	PRIJEM	\N	329	79219	UROK	\N	\N
3600878	2139	1995-11-30	PRIJEM	\N	288	70056	UROK	\N	\N
3600879	2139	1995-12-31	PRIJEM	\N	307	77776	UROK	\N	\N
3600880	2139	1996-01-31	PRIJEM	\N	178	23903	UROK	\N	\N
3600881	2139	1996-02-29	PRIJEM	\N	110	26873	UROK	\N	\N
3600882	2139	1996-03-31	PRIJEM	\N	152	40673	UROK	\N	\N
3600883	2139	1996-04-30	PRIJEM	\N	172	46194	UROK	\N	\N
3600884	2139	1996-05-31	PRIJEM	\N	161	24331	UROK	\N	\N
3600885	2139	1996-06-30	PRIJEM	\N	190	56235	UROK	\N	\N
3600886	2139	1996-07-31	PRIJEM	\N	239	61122	UROK	\N	\N
3600887	2139	1996-08-31	PRIJEM	\N	174	44246	UROK	\N	\N
3600888	2139	1996-09-30	PRIJEM	\N	172	41366	UROK	\N	\N
3600889	2139	1996-10-31	PRIJEM	\N	128	30434	UROK	\N	\N
3600890	2139	1996-11-30	PRIJEM	\N	167	45749	UROK	\N	\N
3600891	2139	1996-12-31	PRIJEM	\N	215	35012	UROK	\N	\N
3600892	2139	1997-01-31	PRIJEM	\N	114	19374	UROK	\N	\N
3600893	2139	1997-02-28	PRIJEM	\N	116	31299	UROK	\N	\N
3600894	2139	1997-03-31	PRIJEM	\N	146	30393	UROK	\N	\N
3600895	2139	1997-04-30	PRIJEM	\N	163	33604	UROK	\N	\N
3600896	2139	1997-05-31	PRIJEM	\N	175	38728	UROK	\N	\N
3600897	2139	1997-06-30	PRIJEM	\N	131	26254	UROK	\N	\N
3600898	2139	1997-07-31	PRIJEM	\N	118	26221	UROK	\N	\N
3600899	2139	1997-08-31	PRIJEM	\N	135	27304	UROK	\N	\N
3600900	2139	1997-09-30	PRIJEM	\N	148	35000	UROK	\N	\N
3600901	2139	1997-10-31	PRIJEM	\N	170	33918	UROK	\N	\N
3600902	2139	1997-11-30	PRIJEM	\N	150	29340	UROK	\N	\N
3600903	2139	1997-12-31	PRIJEM	\N	160	37034	UROK	\N	\N
3600904	2139	1998-01-31	PRIJEM	\N	131	27713	UROK	\N	\N
3600905	2139	1998-02-28	PRIJEM	\N	143	23358	UROK	\N	\N
3600906	2139	1998-03-31	PRIJEM	\N	128	33732	UROK	\N	\N
3600907	2139	1998-04-30	PRIJEM	\N	168	35348	UROK	\N	\N
3600908	2139	1998-05-31	PRIJEM	\N	160	36586	UROK	\N	\N
3600909	2139	1998-06-30	PRIJEM	\N	191	44714	UROK	\N	\N
3600910	2139	1998-07-31	PRIJEM	\N	209	46872	UROK	\N	\N
3600911	2139	1998-08-31	PRIJEM	\N	201	39721	UROK	\N	\N
3600912	2139	1998-09-30	PRIJEM	\N	175	40567	UROK	\N	\N
3600913	2139	1998-10-31	PRIJEM	\N	172	28756	UROK	\N	\N
3600914	2139	1998-11-30	PRIJEM	\N	157	43361	UROK	\N	\N
3600915	2139	1998-12-31	PRIJEM	\N	220	43241	UROK	\N	\N
3600916	2140	1993-11-30	PRIJEM	\N	18	11996	UROK	\N	\N
3600917	2140	1993-12-31	PRIJEM	\N	64	20738	UROK	\N	\N
3600918	2140	1994-01-31	PRIJEM	\N	89	22105	UROK	\N	\N
3600919	2140	1994-02-28	PRIJEM	\N	95	24278	UROK	\N	\N
3600920	2140	1994-03-31	PRIJEM	\N	105	26861	UROK	\N	\N
3600921	2140	1994-04-30	PRIJEM	\N	116	28522	UROK	\N	\N
3600922	2140	1994-05-31	PRIJEM	\N	120	27437	UROK	\N	\N
3600923	2140	1994-06-30	PRIJEM	\N	90	21652	UROK	\N	\N
3600924	2140	1994-07-31	PRIJEM	\N	96	23833	UROK	\N	\N
3600925	2140	1994-08-31	PRIJEM	\N	105	26073	UROK	\N	\N
3600926	2140	1994-09-30	PRIJEM	\N	112	27331	UROK	\N	\N
3600927	2140	1994-10-31	PRIJEM	\N	117	28193	UROK	\N	\N
3600928	2140	1994-11-30	PRIJEM	\N	119	28758	UROK	\N	\N
3600929	2140	1994-12-31	PRIJEM	\N	113	25225	UROK	\N	\N
3600930	2140	1995-01-31	PRIJEM	\N	91	20312	UROK	\N	\N
3600931	2140	1995-02-28	PRIJEM	\N	88	21445	UROK	\N	\N
3600932	2140	1995-03-31	PRIJEM	\N	96	23986	UROK	\N	\N
3600933	2140	1995-04-30	PRIJEM	\N	107	26939	UROK	\N	\N
3600934	2140	1995-05-31	PRIJEM	\N	107	24591	UROK	\N	\N
3600935	2140	1995-06-30	PRIJEM	\N	98	22624	UROK	\N	\N
3600936	2140	1995-07-31	PRIJEM	\N	101	25370	UROK	\N	\N
3600937	2140	1995-08-31	PRIJEM	\N	106	25452	UROK	\N	\N
3600938	2140	1995-09-30	PRIJEM	\N	107	25804	UROK	\N	\N
3600939	2140	1995-10-31	PRIJEM	\N	104	25294	UROK	\N	\N
3600940	2140	1995-11-30	PRIJEM	\N	111	27451	UROK	\N	\N
3600941	2140	1995-12-31	PRIJEM	\N	118	28874	UROK	\N	\N
3600942	2140	1996-01-31	PRIJEM	\N	103	23733	UROK	\N	\N
3600943	2140	1996-02-29	PRIJEM	\N	93	21551	UROK	\N	\N
3600944	2140	1996-03-31	PRIJEM	\N	87	24083	UROK	\N	\N
3600945	2140	1996-04-30	PRIJEM	\N	109	27437	UROK	\N	\N
3600946	2140	1996-05-31	PRIJEM	\N	119	28331	UROK	\N	\N
3600947	2140	1996-06-30	PRIJEM	\N	109	25516	UROK	\N	\N
3600948	2140	1996-07-31	PRIJEM	\N	113	28074	UROK	\N	\N
3600949	2140	1996-08-31	PRIJEM	\N	120	29339	UROK	\N	\N
3600950	2140	1996-09-30	PRIJEM	\N	112	27096	UROK	\N	\N
3600951	2140	1996-10-31	PRIJEM	\N	110	27052	UROK	\N	\N
3600952	2140	1996-11-30	PRIJEM	\N	94	22491	UROK	\N	\N
3600953	2140	1996-12-31	PRIJEM	\N	87	19983	UROK	\N	\N
3600954	2140	1997-01-31	PRIJEM	\N	69	13868	UROK	\N	\N
3600955	2140	1997-02-28	PRIJEM	\N	78	20692	UROK	\N	\N
3600956	2140	1997-03-31	PRIJEM	\N	85	21021	UROK	\N	\N
3600957	2140	1997-04-30	PRIJEM	\N	76	17772	UROK	\N	\N
3600958	2140	1997-05-31	PRIJEM	\N	69	17147	UROK	\N	\N
3600959	2140	1997-06-30	PRIJEM	\N	73	18566	UROK	\N	\N
3600960	2140	1997-07-31	PRIJEM	\N	76	17807	UROK	\N	\N
3600961	2140	1997-08-31	PRIJEM	\N	77	19329	UROK	\N	\N
3600962	2140	1997-09-30	PRIJEM	\N	91	22436	UROK	\N	\N
3600963	2140	1997-10-31	PRIJEM	\N	99	22581	UROK	\N	\N
3600964	2140	1997-11-30	PRIJEM	\N	95	21221	UROK	\N	\N
3600965	2140	1997-12-31	PRIJEM	\N	90	23527	UROK	\N	\N
3600966	2140	1998-01-31	PRIJEM	\N	91	24793	UROK	\N	\N
3600967	2140	1998-02-28	PRIJEM	\N	105	29803	UROK	\N	\N
3600968	2140	1998-03-31	PRIJEM	\N	125	32042	UROK	\N	\N
3600969	2140	1998-04-30	PRIJEM	\N	136	36724	UROK	\N	\N
3600970	2140	1998-05-31	PRIJEM	\N	155	39825	UROK	\N	\N
3600971	2140	1998-06-30	PRIJEM	\N	161	42211	UROK	\N	\N
3600972	2140	1998-07-31	PRIJEM	\N	177	42633	UROK	\N	\N
3600973	2140	1998-08-31	PRIJEM	\N	175	40643	UROK	\N	\N
3600974	2140	1998-09-30	PRIJEM	\N	172	43960	UROK	\N	\N
3600975	2140	1998-10-31	PRIJEM	\N	179	45655	UROK	\N	\N
3600976	2140	1998-11-30	PRIJEM	\N	188	44289	UROK	\N	\N
3600977	2140	1998-12-31	PRIJEM	\N	185	45439	UROK	\N	\N
3600978	2141	1997-05-31	PRIJEM	\N	60	24836	UROK	\N	\N
3600979	2141	1997-06-30	PRIJEM	\N	189	61339	UROK	\N	\N
3600980	2141	1997-07-31	PRIJEM	\N	271	68186	UROK	\N	\N
3600981	2141	1997-08-31	PRIJEM	\N	291	71654	UROK	\N	\N
3600982	2141	1997-09-30	PRIJEM	\N	300	72930	UROK	\N	\N
3600983	2141	1997-10-31	PRIJEM	\N	274	68669	UROK	\N	\N
3600984	2141	1997-11-30	PRIJEM	\N	254	63889	UROK	\N	\N
3600985	2141	1997-12-31	PRIJEM	\N	264	69696	UROK	\N	\N
3600986	2141	1998-01-31	PRIJEM	\N	231	45692	UROK	\N	\N
3600987	2141	1998-02-28	PRIJEM	\N	195	53092	UROK	\N	\N
3600988	2141	1998-03-31	PRIJEM	\N	209	50966	UROK	\N	\N
3600989	2141	1998-04-30	PRIJEM	\N	210	53922	UROK	\N	\N
3600990	2141	1998-05-31	PRIJEM	\N	216	54603	UROK	\N	\N
3600991	2141	1998-06-30	PRIJEM	\N	248	59334	UROK	\N	\N
3600992	2141	1998-07-31	PRIJEM	\N	239	62238	UROK	\N	\N
3600993	2141	1998-08-31	PRIJEM	\N	241	61945	UROK	\N	\N
3600994	2141	1998-09-30	PRIJEM	\N	246	63856	UROK	\N	\N
3600995	2141	1998-10-31	PRIJEM	\N	256	66178	UROK	\N	\N
3600996	2141	1998-11-30	PRIJEM	\N	283	70926	UROK	\N	\N
3600997	2141	1998-12-31	PRIJEM	\N	293	82163	UROK	\N	\N
3600998	2142	1997-09-30	PRIJEM	\N	61	19251	UROK	\N	\N
3600999	2142	1997-10-31	PRIJEM	\N	142	38883	UROK	\N	\N
3601000	2142	1997-11-30	PRIJEM	\N	133	49906	UROK	\N	\N
3601001	2142	1997-12-31	PRIJEM	\N	170	49961	UROK	\N	\N
3601002	2142	1998-01-31	PRIJEM	\N	206	39097	UROK	\N	\N
3601003	2142	1998-02-28	PRIJEM	\N	186	40091	UROK	\N	\N
3601004	2142	1998-03-31	PRIJEM	\N	180	39034	UROK	\N	\N
3601005	2142	1998-04-30	PRIJEM	\N	175	41192	UROK	\N	\N
3601006	2142	1998-05-31	PRIJEM	\N	190	43046	UROK	\N	\N
3601007	2142	1998-06-30	PRIJEM	\N	106	23750	UROK	\N	\N
3601008	2142	1998-07-31	PRIJEM	\N	123	35137	UROK	\N	\N
3601009	2142	1998-08-31	PRIJEM	\N	166	38766	UROK	\N	\N
3601010	2142	1998-09-30	PRIJEM	\N	175	38125	UROK	\N	\N
3601011	2142	1998-10-31	PRIJEM	\N	166	33874	UROK	\N	\N
3601012	2142	1998-11-30	PRIJEM	\N	155	30792	UROK	\N	\N
3601013	2142	1998-12-31	PRIJEM	\N	167	31578	UROK	\N	\N
3601014	2143	1996-02-29	PRIJEM	\N	84	34530	UROK	\N	\N
3601015	2143	1996-03-31	PRIJEM	\N	201	41177	UROK	\N	\N
3601016	2143	1996-04-30	PRIJEM	\N	225	52449	UROK	\N	\N
3601017	2143	1996-05-31	PRIJEM	\N	240	61134	UROK	\N	\N
3601018	2143	1996-06-30	PRIJEM	\N	288	67327	UROK	\N	\N
3601019	2143	1996-07-31	PRIJEM	\N	269	56163	UROK	\N	\N
3601020	2143	1996-08-31	PRIJEM	\N	233	49664	UROK	\N	\N
3601021	2143	1996-09-30	PRIJEM	\N	204	49750	UROK	\N	\N
3601022	2143	1996-10-31	PRIJEM	\N	209	51341	UROK	\N	\N
3601023	2143	1996-11-30	PRIJEM	\N	179	38482	UROK	\N	\N
3601024	2143	1996-12-31	PRIJEM	\N	172	40080	UROK	\N	\N
3601025	2143	1997-01-31	PRIJEM	\N	126	23748	UROK	\N	\N
3601026	2143	1997-02-28	PRIJEM	\N	115	28226	UROK	\N	\N
3601027	2143	1997-03-31	PRIJEM	\N	127	32635	UROK	\N	\N
3601028	2143	1997-04-30	PRIJEM	\N	138	34455	UROK	\N	\N
3601029	2143	1997-05-31	PRIJEM	\N	148	37085	UROK	\N	\N
3601030	2143	1997-06-30	PRIJEM	\N	171	49021	UROK	\N	\N
3601031	2143	1997-07-31	PRIJEM	\N	194	39798	UROK	\N	\N
3601032	2143	1997-08-31	PRIJEM	\N	144	31044	UROK	\N	\N
3601033	2143	1997-09-30	PRIJEM	\N	122	29348	UROK	\N	\N
3601034	2143	1997-10-31	PRIJEM	\N	117	28448	UROK	\N	\N
3601035	2143	1997-11-30	PRIJEM	\N	134	29065	UROK	\N	\N
3601036	2143	1997-12-31	PRIJEM	\N	144	38614	UROK	\N	\N
3601037	2143	1998-01-31	PRIJEM	\N	116	18772	UROK	\N	\N
3601038	2143	1998-02-28	PRIJEM	\N	94	26449	UROK	\N	\N
3601039	2143	1998-03-31	PRIJEM	\N	125	34157	UROK	\N	\N
3601040	2143	1998-04-30	PRIJEM	\N	139	29478	UROK	\N	\N
3601041	2143	1998-05-31	PRIJEM	\N	107	27888	UROK	\N	\N
3601042	2143	1998-06-30	PRIJEM	\N	173	44866	UROK	\N	\N
3601043	2143	1998-07-31	PRIJEM	\N	187	40236	UROK	\N	\N
3601044	2143	1998-08-31	PRIJEM	\N	157	26175	UROK	\N	\N
3601045	2143	1998-09-30	PRIJEM	\N	136	21093	UROK	\N	\N
3601046	2143	1998-10-31	PRIJEM	\N	129	18005	UROK	\N	\N
3601047	2143	1998-11-30	PRIJEM	\N	101	17788	UROK	\N	\N
3601048	2143	1998-12-31	PRIJEM	\N	117	29591	UROK	\N	\N
3601114	2146	1993-06-30	PRIJEM	\N	75	30014	UROK	\N	\N
3601115	2146	1993-07-31	PRIJEM	\N	175	49815	UROK	\N	\N
3601116	2146	1993-08-31	PRIJEM	\N	231	59472	UROK	\N	\N
3601117	2146	1993-09-30	PRIJEM	\N	250	60548	UROK	\N	\N
3601118	2146	1993-10-31	PRIJEM	\N	234	53177	UROK	\N	\N
3601119	2146	1993-11-30	PRIJEM	\N	217	51376	UROK	\N	\N
3601120	2146	1993-12-31	PRIJEM	\N	230	57300	UROK	\N	\N
3601121	2146	1994-01-31	PRIJEM	\N	221	46002	UROK	\N	\N
3601122	2146	1994-02-28	PRIJEM	\N	203	50887	UROK	\N	\N
3601123	2146	1994-03-31	PRIJEM	\N	217	52785	UROK	\N	\N
3601124	2146	1994-04-30	PRIJEM	\N	194	48861	UROK	\N	\N
3601125	2146	1994-05-31	PRIJEM	\N	207	50949	UROK	\N	\N
3601126	2146	1994-06-30	PRIJEM	\N	183	39127	UROK	\N	\N
3601127	2146	1994-07-31	PRIJEM	\N	163	34471	UROK	\N	\N
3601128	2146	1994-08-31	PRIJEM	\N	174	37026	UROK	\N	\N
3601129	2146	1994-09-30	PRIJEM	\N	186	40593	UROK	\N	\N
3601130	2146	1994-10-31	PRIJEM	\N	198	40072	UROK	\N	\N
3601131	2146	1994-11-30	PRIJEM	\N	195	40649	UROK	\N	\N
3601132	2146	1994-12-31	PRIJEM	\N	215	42958	UROK	\N	\N
3601133	2146	1995-01-31	PRIJEM	\N	195	39234	UROK	\N	\N
3601134	2146	1995-02-28	PRIJEM	\N	189	39305	UROK	\N	\N
3601135	2146	1995-03-31	PRIJEM	\N	188	37075	UROK	\N	\N
3601136	2146	1995-04-30	PRIJEM	\N	179	36235	UROK	\N	\N
3601137	2146	1995-05-31	PRIJEM	\N	177	38593	UROK	\N	\N
3601138	2146	1995-06-30	PRIJEM	\N	187	16675	UROK	\N	\N
3601139	2146	1995-07-31	PRIJEM	\N	102	28458	UROK	\N	\N
3601140	2146	1995-08-31	PRIJEM	\N	138	31378	UROK	\N	\N
3601141	2146	1995-09-30	PRIJEM	\N	151	32310	UROK	\N	\N
3601142	2146	1995-10-31	PRIJEM	\N	152	31143	UROK	\N	\N
3601143	2146	1995-11-30	PRIJEM	\N	147	31471	UROK	\N	\N
3601144	2146	1995-12-31	PRIJEM	\N	160	33926	UROK	\N	\N
3601145	2146	1996-01-31	PRIJEM	\N	151	30758	UROK	\N	\N
3601146	2146	1996-02-29	PRIJEM	\N	141	30480	UROK	\N	\N
3601147	2146	1996-03-31	PRIJEM	\N	143	31705	UROK	\N	\N
3601148	2146	1996-04-30	PRIJEM	\N	142	30828	UROK	\N	\N
3601149	2146	1996-05-31	PRIJEM	\N	140	30449	UROK	\N	\N
3601150	2146	1996-06-30	PRIJEM	\N	141	26285	UROK	\N	\N
3601151	2146	1996-07-31	PRIJEM	\N	118	26384	UROK	\N	\N
3601152	2146	1996-08-31	PRIJEM	\N	119	26984	UROK	\N	\N
3601153	2146	1996-09-30	PRIJEM	\N	128	31894	UROK	\N	\N
3601154	2146	1996-10-31	PRIJEM	\N	136	31511	UROK	\N	\N
3601155	2146	1996-11-30	PRIJEM	\N	138	32630	UROK	\N	\N
3601156	2146	1996-12-31	PRIJEM	\N	151	36275	UROK	\N	\N
3601157	2146	1997-01-31	PRIJEM	\N	150	35606	UROK	\N	\N
3601158	2146	1997-02-28	PRIJEM	\N	152	35039	UROK	\N	\N
3601159	2146	1997-03-31	PRIJEM	\N	148	34369	UROK	\N	\N
3601160	2146	1997-04-30	PRIJEM	\N	141	32891	UROK	\N	\N
3601161	2146	1997-05-31	PRIJEM	\N	134	30606	UROK	\N	\N
3601162	2146	1997-06-30	PRIJEM	\N	159	37559	UROK	\N	\N
3601163	2146	1997-07-31	PRIJEM	\N	162	38403	UROK	\N	\N
3601164	2146	1997-08-31	PRIJEM	\N	144	32428	UROK	\N	\N
3601165	2146	1997-09-30	PRIJEM	\N	146	36555	UROK	\N	\N
3601166	2146	1997-10-31	PRIJEM	\N	154	38590	UROK	\N	\N
3601167	2146	1997-11-30	PRIJEM	\N	166	42237	UROK	\N	\N
3601168	2146	1997-12-31	PRIJEM	\N	212	57343	UROK	\N	\N
3601169	2146	1998-01-31	PRIJEM	\N	216	53040	UROK	\N	\N
3601170	2146	1998-02-28	PRIJEM	\N	224	56145	UROK	\N	\N
3601171	2146	1998-03-31	PRIJEM	\N	223	53850	UROK	\N	\N
3601172	2146	1998-04-30	PRIJEM	\N	221	54252	UROK	\N	\N
3601173	2146	1998-05-31	PRIJEM	\N	228	57062	UROK	\N	\N
3601174	2146	1998-06-30	PRIJEM	\N	240	45396	UROK	\N	\N
3601175	2146	1998-07-31	PRIJEM	\N	200	52177	UROK	\N	\N
3601176	2146	1998-08-31	PRIJEM	\N	213	52471	UROK	\N	\N
3601177	2146	1998-09-30	PRIJEM	\N	220	54972	UROK	\N	\N
3601178	2146	1998-10-31	PRIJEM	\N	199	50553	UROK	\N	\N
3601179	2146	1998-11-30	PRIJEM	\N	201	49035	UROK	\N	\N
3601180	2146	1998-12-31	PRIJEM	\N	193	52922	UROK	\N	\N
3601181	2147	1996-08-31	PRIJEM	\N	35	11183	UROK	\N	\N
3601182	2147	1996-09-30	PRIJEM	\N	74	19804	UROK	\N	\N
3601183	2147	1996-10-31	PRIJEM	\N	89	21941	UROK	\N	\N
3601184	2147	1996-11-30	PRIJEM	\N	104	25894	UROK	\N	\N
3601185	2147	1996-12-31	PRIJEM	\N	113	26994	UROK	\N	\N
3601186	2147	1997-01-31	PRIJEM	\N	101	21163	UROK	\N	\N
3601187	2147	1997-02-28	PRIJEM	\N	92	16584	UROK	\N	\N
3601188	2147	1997-03-31	PRIJEM	\N	69	16081	UROK	\N	\N
3601189	2147	1997-04-30	PRIJEM	\N	72	17621	UROK	\N	\N
3601190	2147	1997-05-31	PRIJEM	\N	64	14854	UROK	\N	\N
3601191	2147	1997-06-30	PRIJEM	\N	60	13406	UROK	\N	\N
3601192	2147	1997-07-31	PRIJEM	\N	54	12528	UROK	\N	\N
3601193	2147	1997-08-31	PRIJEM	\N	57	14053	UROK	\N	\N
3601194	2147	1997-09-30	PRIJEM	\N	63	15585	UROK	\N	\N
3601195	2147	1997-10-31	PRIJEM	\N	53	12006	UROK	\N	\N
3601196	2147	1997-11-30	PRIJEM	\N	55	13529	UROK	\N	\N
3601197	2147	1997-12-31	PRIJEM	\N	58	13119	UROK	\N	\N
3601198	2147	1998-01-31	PRIJEM	\N	59	14646	UROK	\N	\N
3601199	2147	1998-02-28	PRIJEM	\N	60	14874	UROK	\N	\N
3601200	2147	1998-03-31	PRIJEM	\N	55	12677	UROK	\N	\N
3601201	2147	1998-04-30	PRIJEM	\N	57	14203	UROK	\N	\N
3601202	2147	1998-05-31	PRIJEM	\N	64	15735	UROK	\N	\N
3601203	2147	1998-06-30	PRIJEM	\N	77	19504	UROK	\N	\N
3601204	2147	1998-07-31	PRIJEM	\N	79	18772	UROK	\N	\N
3601205	2147	1998-08-31	PRIJEM	\N	83	20323	UROK	\N	\N
3601206	2147	1998-09-30	PRIJEM	\N	89	21880	UROK	\N	\N
3601207	2147	1998-10-31	PRIJEM	\N	96	23444	UROK	\N	\N
3601208	2147	1998-11-30	PRIJEM	\N	98	23570	UROK	\N	\N
3601209	2147	1998-12-31	PRIJEM	\N	102	22884	UROK	\N	\N
3601210	2148	1995-10-31	PRIJEM	\N	21	15277	UROK	\N	\N
3601211	2148	1995-11-30	PRIJEM	\N	71	20904	UROK	\N	\N
3601212	2148	1995-12-31	PRIJEM	\N	89	22649	UROK	\N	\N
3601213	2148	1996-01-31	PRIJEM	\N	94	22399	UROK	\N	\N
3601214	2148	1996-02-29	PRIJEM	\N	94	22949	UROK	\N	\N
3601215	2148	1996-03-31	PRIJEM	\N	95	22015	UROK	\N	\N
3601216	2148	1996-04-30	PRIJEM	\N	93	22179	UROK	\N	\N
3601217	2148	1996-05-31	PRIJEM	\N	91	20941	UROK	\N	\N
3601218	2148	1996-06-30	PRIJEM	\N	86	20198	UROK	\N	\N
3601219	2148	1996-07-31	PRIJEM	\N	84	19753	UROK	\N	\N
3601220	2148	1996-08-31	PRIJEM	\N	85	20909	UROK	\N	\N
3601221	2148	1996-09-30	PRIJEM	\N	78	16559	UROK	\N	\N
3601222	2148	1996-10-31	PRIJEM	\N	64	14294	UROK	\N	\N
3601223	2148	1996-11-30	PRIJEM	\N	58	13783	UROK	\N	\N
3601224	2148	1996-12-31	PRIJEM	\N	60	14745	UROK	\N	\N
3601225	2148	1997-01-31	PRIJEM	\N	52	11128	UROK	\N	\N
3601226	2148	1997-02-28	PRIJEM	\N	47	11445	UROK	\N	\N
3601227	2148	1997-03-31	PRIJEM	\N	50	12667	UROK	\N	\N
3601228	2148	1997-04-30	PRIJEM	\N	55	13894	UROK	\N	\N
3601229	2148	1997-05-31	PRIJEM	\N	54	12519	UROK	\N	\N
3601230	2148	1997-06-30	PRIJEM	\N	52	12542	UROK	\N	\N
3601231	2148	1997-07-31	PRIJEM	\N	56	14269	UROK	\N	\N
3601232	2148	1997-08-31	PRIJEM	\N	49	10690	UROK	\N	\N
3601233	2148	1997-09-30	PRIJEM	\N	47	11908	UROK	\N	\N
3601234	2148	1997-10-31	PRIJEM	\N	46	10925	UROK	\N	\N
3601235	2148	1997-11-30	PRIJEM	\N	53	13399	UROK	\N	\N
3601236	2148	1997-12-31	PRIJEM	\N	58	14478	UROK	\N	\N
3601237	2148	1998-01-31	PRIJEM	\N	60	12689	UROK	\N	\N
3601238	2148	1998-02-28	PRIJEM	\N	55	13915	UROK	\N	\N
3601239	2148	1998-03-31	PRIJEM	\N	60	15147	UROK	\N	\N
3601240	2148	1998-04-30	PRIJEM	\N	65	16383	UROK	\N	\N
3601241	2148	1998-05-31	PRIJEM	\N	70	17264	UROK	\N	\N
3601242	2148	1998-06-30	PRIJEM	\N	74	18510	UROK	\N	\N
3601243	2148	1998-07-31	PRIJEM	\N	79	19760	UROK	\N	\N
3601244	2148	1998-08-31	PRIJEM	\N	82	20474	UROK	\N	\N
3601245	2148	1998-09-30	PRIJEM	\N	87	21732	UROK	\N	\N
3601246	2148	1998-10-31	PRIJEM	\N	90	22274	UROK	\N	\N
3601247	2148	1998-11-30	PRIJEM	\N	95	23540	UROK	\N	\N
3601248	2148	1998-12-31	PRIJEM	\N	96	22557	UROK	\N	\N
3601249	2149	1996-12-31	PRIJEM	\N	64	21656	UROK	\N	\N
3601250	2149	1997-01-31	PRIJEM	\N	91	21734	UROK	\N	\N
3601251	2149	1997-02-28	PRIJEM	\N	79	17306	UROK	\N	\N
3601252	2149	1997-03-31	PRIJEM	\N	76	17214	UROK	\N	\N
3601253	2149	1997-04-30	PRIJEM	\N	79	20266	UROK	\N	\N
3601254	2149	1997-05-31	PRIJEM	\N	87	20725	UROK	\N	\N
3601255	2149	1997-06-30	PRIJEM	\N	78	16955	UROK	\N	\N
3601256	2149	1997-07-31	PRIJEM	\N	70	16598	UROK	\N	\N
3601257	2149	1997-08-31	PRIJEM	\N	77	19647	UROK	\N	\N
3601258	2149	1997-09-30	PRIJEM	\N	84	20143	UROK	\N	\N
3601259	2149	1997-10-31	PRIJEM	\N	81	18896	UROK	\N	\N
3601260	2149	1997-11-30	PRIJEM	\N	78	18426	UROK	\N	\N
3601261	2149	1997-12-31	PRIJEM	\N	85	20884	UROK	\N	\N
3601262	2149	1998-01-31	PRIJEM	\N	81	17407	UROK	\N	\N
3601263	2149	1998-02-28	PRIJEM	\N	69	13568	UROK	\N	\N
3601264	2149	1998-03-31	PRIJEM	\N	64	16605	UROK	\N	\N
3601265	2149	1998-04-30	PRIJEM	\N	76	19653	UROK	\N	\N
3601266	2149	1998-05-31	PRIJEM	\N	89	22715	UROK	\N	\N
3601267	2149	1998-06-30	PRIJEM	\N	102	25789	UROK	\N	\N
3601268	2149	1998-07-31	PRIJEM	\N	114	27675	UROK	\N	\N
3601269	2149	1998-08-31	PRIJEM	\N	112	26259	UROK	\N	\N
3601270	2149	1998-09-30	PRIJEM	\N	99	22431	UROK	\N	\N
3601271	2149	1998-10-31	PRIJEM	\N	96	18999	UROK	\N	\N
3601272	2149	1998-11-30	PRIJEM	\N	79	18131	UROK	\N	\N
3601273	2149	1998-12-31	PRIJEM	\N	78	17642	UROK	\N	\N
3601274	2150	1993-09-30	PRIJEM	\N	11	4292	UROK	\N	\N
3601275	2150	1993-10-31	PRIJEM	\N	18	7691	UROK	\N	\N
3601276	2150	1993-11-30	PRIJEM	\N	18	11089	UROK	\N	\N
3601277	2150	1993-12-31	PRIJEM	\N	18	14488	UROK	\N	\N
3601278	2150	1994-01-31	PRIJEM	\N	36	15715	UROK	\N	\N
3601279	2150	1994-02-28	PRIJEM	\N	69	17131	UROK	\N	\N
3601280	2150	1994-03-31	PRIJEM	\N	75	18553	UROK	\N	\N
3601281	2150	1994-04-30	PRIJEM	\N	81	19981	UROK	\N	\N
3601282	2150	1994-05-31	PRIJEM	\N	84	20332	UROK	\N	\N
3601283	2150	1994-06-30	PRIJEM	\N	66	13105	UROK	\N	\N
3601284	2150	1994-07-31	PRIJEM	\N	58	14360	UROK	\N	\N
3601285	2150	1994-08-31	PRIJEM	\N	63	14481	UROK	\N	\N
3601286	2150	1994-09-30	PRIJEM	\N	61	14989	UROK	\N	\N
3601287	2150	1994-10-31	PRIJEM	\N	66	16402	UROK	\N	\N
3601288	2150	1994-11-30	PRIJEM	\N	72	17821	UROK	\N	\N
3601289	2150	1994-12-31	PRIJEM	\N	77	17896	UROK	\N	\N
3601290	2150	1995-01-31	PRIJEM	\N	71	14035	UROK	\N	\N
3601291	2150	1995-02-28	PRIJEM	\N	60	14962	UROK	\N	\N
3601292	2150	1995-03-31	PRIJEM	\N	66	16375	UROK	\N	\N
3601293	2150	1995-04-30	PRIJEM	\N	69	16831	UROK	\N	\N
3601294	2150	1995-05-31	PRIJEM	\N	74	18252	UROK	\N	\N
3601295	2150	1995-06-30	PRIJEM	\N	69	14028	UROK	\N	\N
3601296	2150	1995-07-31	PRIJEM	\N	62	15438	UROK	\N	\N
3601297	2150	1995-08-31	PRIJEM	\N	68	16853	UROK	\N	\N
3601298	2150	1995-09-30	PRIJEM	\N	73	18273	UROK	\N	\N
3601299	2150	1995-10-31	PRIJEM	\N	77	18628	UROK	\N	\N
3601300	2150	1995-11-30	PRIJEM	\N	81	20056	UROK	\N	\N
3601301	2150	1995-12-31	PRIJEM	\N	82	20375	UROK	\N	\N
3601302	2150	1996-01-31	PRIJEM	\N	74	16936	UROK	\N	\N
3601303	2150	1996-02-29	PRIJEM	\N	74	18357	UROK	\N	\N
3601304	2150	1996-03-31	PRIJEM	\N	80	19784	UROK	\N	\N
3601305	2150	1996-04-30	PRIJEM	\N	85	19816	UROK	\N	\N
3601306	2150	1996-05-31	PRIJEM	\N	84	18348	UROK	\N	\N
3601307	2150	1996-06-30	PRIJEM	\N	78	17074	UROK	\N	\N
3601308	2150	1996-07-31	PRIJEM	\N	73	16494	UROK	\N	\N
3601309	2150	1996-08-31	PRIJEM	\N	69	14641	UROK	\N	\N
3601310	2150	1996-09-30	PRIJEM	\N	64	16052	UROK	\N	\N
3601311	2150	1996-10-31	PRIJEM	\N	67	14717	UROK	\N	\N
3601312	2150	1996-11-30	PRIJEM	\N	64	15658	UROK	\N	\N
3601313	2150	1996-12-31	PRIJEM	\N	64	13799	UROK	\N	\N
3601314	2150	1997-01-31	PRIJEM	\N	58	14335	UROK	\N	\N
3601315	2150	1997-02-28	PRIJEM	\N	61	14843	UROK	\N	\N
3601316	2150	1997-03-31	PRIJEM	\N	62	13753	UROK	\N	\N
3601317	2150	1997-04-30	PRIJEM	\N	58	13358	UROK	\N	\N
3601318	2150	1997-05-31	PRIJEM	\N	58	14764	UROK	\N	\N
3601319	2150	1997-06-30	PRIJEM	\N	64	16175	UROK	\N	\N
3601320	2150	1997-07-31	PRIJEM	\N	70	17593	UROK	\N	\N
3601321	2150	1997-08-31	PRIJEM	\N	70	14510	UROK	\N	\N
3601322	2150	1997-09-30	PRIJEM	\N	62	15219	UROK	\N	\N
3601323	2150	1997-10-31	PRIJEM	\N	63	15249	UROK	\N	\N
3601324	2150	1997-11-30	PRIJEM	\N	60	13377	UROK	\N	\N
3601325	2150	1997-12-31	PRIJEM	\N	58	14782	UROK	\N	\N
3601326	2150	1998-01-31	PRIJEM	\N	63	15113	UROK	\N	\N
3601327	2150	1998-02-28	PRIJEM	\N	59	12819	UROK	\N	\N
3601328	2150	1998-03-31	PRIJEM	\N	56	14222	UROK	\N	\N
3601329	2150	1998-04-30	PRIJEM	\N	61	15630	UROK	\N	\N
3601330	2150	1998-05-31	PRIJEM	\N	67	17045	UROK	\N	\N
3601331	2150	1998-06-30	PRIJEM	\N	72	18044	UROK	\N	\N
3601332	2150	1998-07-31	PRIJEM	\N	75	17636	UROK	\N	\N
3601333	2150	1998-08-31	PRIJEM	\N	75	19058	UROK	\N	\N
3601334	2150	1998-09-30	PRIJEM	\N	66	13872	UROK	\N	\N
3601335	2150	1998-10-31	PRIJEM	\N	60	15279	UROK	\N	\N
3601336	2150	1998-11-30	PRIJEM	\N	65	16692	UROK	\N	\N
3601337	2150	1998-12-31	PRIJEM	\N	71	18110	UROK	\N	\N
3601338	2151	1995-02-28	PRIJEM	\N	27	10531	UROK	\N	\N
3601339	2151	1995-03-31	PRIJEM	\N	83	25218	UROK	\N	\N
3601340	2151	1995-04-30	PRIJEM	\N	128	34050	UROK	\N	\N
3601341	2151	1995-05-31	PRIJEM	\N	154	38908	UROK	\N	\N
3601342	2151	1995-06-30	PRIJEM	\N	167	40544	UROK	\N	\N
3601343	2151	1995-07-31	PRIJEM	\N	156	37254	UROK	\N	\N
3601344	2151	1995-08-31	PRIJEM	\N	146	34053	UROK	\N	\N
3601345	2151	1995-09-30	PRIJEM	\N	119	28126	UROK	\N	\N
3601346	2151	1995-10-31	PRIJEM	\N	97	23175	UROK	\N	\N
3601347	2151	1995-11-30	PRIJEM	\N	96	23724	UROK	\N	\N
3601348	2151	1995-12-31	PRIJEM	\N	107	27037	UROK	\N	\N
3601349	2151	1996-01-31	PRIJEM	\N	88	17678	UROK	\N	\N
3601350	2151	1996-02-29	PRIJEM	\N	83	21314	UROK	\N	\N
3601351	2151	1996-03-31	PRIJEM	\N	85	19353	UROK	\N	\N
3601352	2151	1996-04-30	PRIJEM	\N	79	19785	UROK	\N	\N
3601353	2151	1996-05-31	PRIJEM	\N	73	17312	UROK	\N	\N
3601354	2151	1996-06-30	PRIJEM	\N	85	23602	UROK	\N	\N
3601355	2151	1996-07-31	PRIJEM	\N	93	22949	UROK	\N	\N
3601356	2151	1996-08-31	PRIJEM	\N	80	19383	UROK	\N	\N
3601357	2151	1996-09-30	PRIJEM	\N	79	20515	UROK	\N	\N
3601358	2151	1996-10-31	PRIJEM	\N	70	17838	UROK	\N	\N
3601359	2151	1996-11-30	PRIJEM	\N	79	11770	UROK	\N	\N
3601360	2151	1996-12-31	PRIJEM	\N	68	11844	UROK	\N	\N
3601361	2151	1997-01-31	PRIJEM	\N	56	13054	UROK	\N	\N
3601362	2151	1997-02-28	PRIJEM	\N	62	16469	UROK	\N	\N
3601363	2151	1997-03-31	PRIJEM	\N	75	13897	UROK	\N	\N
3601364	2151	1997-04-30	PRIJEM	\N	64	15115	UROK	\N	\N
3601365	2151	1997-05-31	PRIJEM	\N	64	13233	UROK	\N	\N
3601366	2151	1997-06-30	PRIJEM	\N	74	17012	UROK	\N	\N
3601367	2151	1997-07-31	PRIJEM	\N	78	20543	UROK	\N	\N
3601368	2151	1997-08-31	PRIJEM	\N	91	17487	UROK	\N	\N
3601369	2151	1997-09-30	PRIJEM	\N	83	23323	UROK	\N	\N
3601370	2151	1997-10-31	PRIJEM	\N	98	22575	UROK	\N	\N
3601371	2151	1997-11-30	PRIJEM	\N	98	21926	UROK	\N	\N
3601372	2151	1997-12-31	PRIJEM	\N	106	24138	UROK	\N	\N
3601373	2151	1998-01-31	PRIJEM	\N	86	21977	UROK	\N	\N
3601374	2151	1998-02-28	PRIJEM	\N	86	21516	UROK	\N	\N
3601375	2151	1998-03-31	PRIJEM	\N	91	15161	UROK	\N	\N
3601376	2151	1998-04-30	PRIJEM	\N	73	20087	UROK	\N	\N
3601377	2151	1998-05-31	PRIJEM	\N	89	22030	UROK	\N	\N
3601378	2151	1998-06-30	PRIJEM	\N	100	20235	UROK	\N	\N
3601379	2151	1998-07-31	PRIJEM	\N	78	18566	UROK	\N	\N
3601380	2151	1998-08-31	PRIJEM	\N	85	21704	UROK	\N	\N
3601381	2151	1998-09-30	PRIJEM	\N	100	26658	UROK	\N	\N
3601382	2151	1998-10-31	PRIJEM	\N	114	31525	UROK	\N	\N
3601383	2151	1998-11-30	PRIJEM	\N	135	30813	UROK	\N	\N
3601384	2151	1998-12-31	PRIJEM	\N	147	37965	UROK	\N	\N
3601385	2152	1998-03-31	PRIJEM	\N	3	25503	UROK	\N	\N
3601386	2152	1998-04-30	PRIJEM	\N	112	27290	UROK	\N	\N
3601387	2152	1998-05-31	PRIJEM	\N	112	25077	UROK	\N	\N
3601388	2152	1998-06-30	PRIJEM	\N	98	21589	UROK	\N	\N
3601389	2152	1998-07-31	PRIJEM	\N	88	20231	UROK	\N	\N
3601390	2152	1998-08-31	PRIJEM	\N	90	21996	UROK	\N	\N
3601391	2152	1998-09-30	PRIJEM	\N	97	23768	UROK	\N	\N
3601392	2152	1998-10-31	PRIJEM	\N	90	21612	UROK	\N	\N
3601393	2152	1998-11-30	PRIJEM	\N	96	23382	UROK	\N	\N
3601394	2152	1998-12-31	PRIJEM	\N	103	23960	UROK	\N	\N
3601395	2153	1996-01-31	PRIJEM	\N	96	31073	UROK	\N	\N
3601396	2153	1996-02-29	PRIJEM	\N	209	57759	UROK	\N	\N
3601397	2153	1996-03-31	PRIJEM	\N	272	68308	UROK	\N	\N
3601398	2153	1996-04-30	PRIJEM	\N	298	72983	UROK	\N	\N
3601399	2153	1996-05-31	PRIJEM	\N	194	32318	UROK	\N	\N
3601400	2153	1996-06-30	PRIJEM	\N	134	25881	UROK	\N	\N
3601401	2153	1996-07-31	PRIJEM	\N	126	25253	UROK	\N	\N
3601402	2153	1996-08-31	PRIJEM	\N	114	28751	UROK	\N	\N
3601403	2153	1996-09-30	PRIJEM	\N	117	24352	UROK	\N	\N
3601404	2153	1996-10-31	PRIJEM	\N	79	10467	UROK	\N	\N
3601405	2153	1996-11-30	PRIJEM	\N	79	20130	UROK	\N	\N
3601406	2153	1996-12-31	PRIJEM	\N	119	26948	UROK	\N	\N
3601407	2153	1997-01-31	PRIJEM	\N	91	19394	UROK	\N	\N
3601408	2153	1997-02-28	PRIJEM	\N	107	26755	UROK	\N	\N
3601409	2153	1997-03-31	PRIJEM	\N	103	23213	UROK	\N	\N
3601410	2153	1997-04-30	PRIJEM	\N	109	26376	UROK	\N	\N
3601411	2153	1997-05-31	PRIJEM	\N	98	22828	UROK	\N	\N
3601412	2153	1997-06-30	PRIJEM	\N	138	35309	UROK	\N	\N
3601413	2153	1997-07-31	PRIJEM	\N	97	24260	UROK	\N	\N
3601414	2153	1997-08-31	PRIJEM	\N	135	13050	UROK	\N	\N
3601415	2153	1997-09-30	PRIJEM	\N	91	9396	UROK	\N	\N
3601416	2153	1997-10-31	PRIJEM	\N	82	20833	UROK	\N	\N
3601417	2153	1997-11-30	PRIJEM	\N	119	12006	UROK	\N	\N
3601418	2153	1997-12-31	PRIJEM	\N	130	18309	UROK	\N	\N
3601419	2153	1998-01-31	PRIJEM	\N	98	20590	UROK	\N	\N
3601420	2153	1998-02-28	PRIJEM	\N	112	25786	UROK	\N	\N
3601421	2153	1998-03-31	PRIJEM	\N	132	15902	UROK	\N	\N
3601422	2153	1998-04-30	PRIJEM	\N	106	28091	UROK	\N	\N
3601423	2153	1998-05-31	PRIJEM	\N	144	31319	UROK	\N	\N
3601424	2153	1998-06-30	PRIJEM	\N	190	32582	UROK	\N	\N
3601425	2153	1998-07-31	PRIJEM	\N	205	44672	UROK	\N	\N
3601426	2153	1998-08-31	PRIJEM	\N	218	47074	UROK	\N	\N
3601427	2153	1998-09-30	PRIJEM	\N	200	16658	UROK	\N	\N
3601428	2153	1998-10-31	PRIJEM	\N	120	29461	UROK	\N	\N
3601429	2153	1998-11-30	PRIJEM	\N	166	41612	UROK	\N	\N
3601430	2153	1998-12-31	PRIJEM	\N	247	64031	UROK	\N	\N
3601431	2154	1994-09-30	PRIJEM	\N	2	16147	UROK	\N	\N
3601432	2154	1994-10-31	PRIJEM	\N	70	17266	UROK	\N	\N
3601433	2154	1994-11-30	PRIJEM	\N	75	18389	UROK	\N	\N
3601434	2154	1994-12-31	PRIJEM	\N	79	18797	UROK	\N	\N
3601435	2154	1995-01-31	PRIJEM	\N	73	16078	UROK	\N	\N
3601436	2154	1995-02-28	PRIJEM	\N	70	17196	UROK	\N	\N
3601437	2154	1995-03-31	PRIJEM	\N	75	18319	UROK	\N	\N
3601438	2154	1995-04-30	PRIJEM	\N	77	17974	UROK	\N	\N
3601439	2154	1995-05-31	PRIJEM	\N	78	19100	UROK	\N	\N
3601440	2154	1995-06-30	PRIJEM	\N	82	20231	UROK	\N	\N
3601441	2154	1995-07-31	PRIJEM	\N	85	20975	UROK	\N	\N
3601442	2154	1995-08-31	PRIJEM	\N	90	22113	UROK	\N	\N
3601443	2154	1995-09-30	PRIJEM	\N	91	21003	UROK	\N	\N
3601444	2154	1995-10-31	PRIJEM	\N	90	22142	UROK	\N	\N
3601445	2154	1995-11-30	PRIJEM	\N	93	21873	UROK	\N	\N
3601446	2154	1995-12-31	PRIJEM	\N	88	21259	UROK	\N	\N
3601447	2154	1996-01-31	PRIJEM	\N	84	19152	UROK	\N	\N
3601448	2154	1996-02-29	PRIJEM	\N	81	18871	UROK	\N	\N
3601449	2154	1996-03-31	PRIJEM	\N	77	18796	UROK	\N	\N
3601450	2154	1996-04-30	PRIJEM	\N	81	19926	UROK	\N	\N
3601451	2154	1996-05-31	PRIJEM	\N	83	20358	UROK	\N	\N
3601452	2154	1996-06-30	PRIJEM	\N	81	19487	UROK	\N	\N
3601453	2154	1996-07-31	PRIJEM	\N	79	19114	UROK	\N	\N
3601454	2154	1996-08-31	PRIJEM	\N	74	17556	UROK	\N	\N
3601455	2154	1996-09-30	PRIJEM	\N	66	14620	UROK	\N	\N
3601456	2154	1996-10-31	PRIJEM	\N	64	15732	UROK	\N	\N
3601457	2154	1996-11-30	PRIJEM	\N	68	16849	UROK	\N	\N
3601458	2154	1996-12-31	PRIJEM	\N	72	17099	UROK	\N	\N
3601459	2154	1997-01-31	PRIJEM	\N	64	14462	UROK	\N	\N
3601460	2154	1997-02-28	PRIJEM	\N	63	15573	UROK	\N	\N
3601461	2154	1997-03-31	PRIJEM	\N	67	16688	UROK	\N	\N
3601462	2154	1997-04-30	PRIJEM	\N	70	17507	UROK	\N	\N
3601463	2154	1997-05-31	PRIJEM	\N	75	18630	UROK	\N	\N
3601464	2154	1997-06-30	PRIJEM	\N	80	19759	UROK	\N	\N
3601465	2154	1997-07-31	PRIJEM	\N	85	20892	UROK	\N	\N
3601466	2154	1997-08-31	PRIJEM	\N	88	20648	UROK	\N	\N
3601467	2154	1997-09-30	PRIJEM	\N	83	20520	UROK	\N	\N
3601468	2154	1997-10-31	PRIJEM	\N	88	21656	UROK	\N	\N
3601469	2154	1997-11-30	PRIJEM	\N	92	22796	UROK	\N	\N
3601470	2154	1997-12-31	PRIJEM	\N	91	22586	UROK	\N	\N
3601471	2154	1998-01-31	PRIJEM	\N	89	13453	UROK	\N	\N
3601472	2154	1998-02-28	PRIJEM	\N	58	14559	UROK	\N	\N
3601473	2154	1998-03-31	PRIJEM	\N	63	15670	UROK	\N	\N
3601474	2154	1998-04-30	PRIJEM	\N	67	16786	UROK	\N	\N
3601475	2154	1998-05-31	PRIJEM	\N	62	14596	UROK	\N	\N
3601476	2154	1998-06-30	PRIJEM	\N	62	15257	UROK	\N	\N
3601477	2154	1998-07-31	PRIJEM	\N	64	15229	UROK	\N	\N
3601478	2154	1998-08-31	PRIJEM	\N	65	16342	UROK	\N	\N
3601479	2154	1998-09-30	PRIJEM	\N	68	16859	UROK	\N	\N
3601480	2154	1998-10-31	PRIJEM	\N	69	14177	UROK	\N	\N
3601481	2154	1998-11-30	PRIJEM	\N	60	15285	UROK	\N	\N
3601482	2154	1998-12-31	PRIJEM	\N	65	15919	UROK	\N	\N
3601483	2155	1994-06-30	PRIJEM	\N	11	4015	UROK	\N	\N
3601484	2155	1994-07-31	PRIJEM	\N	50	15669	UROK	\N	\N
3601485	2155	1994-08-31	PRIJEM	\N	91	24864	UROK	\N	\N
3601486	2155	1994-09-30	PRIJEM	\N	114	28681	UROK	\N	\N
3601487	2155	1994-10-31	PRIJEM	\N	124	30375	UROK	\N	\N
3601488	2155	1994-11-30	PRIJEM	\N	118	27514	UROK	\N	\N
3601489	2155	1994-12-31	PRIJEM	\N	111	26775	UROK	\N	\N
3601490	2155	1995-01-31	PRIJEM	\N	115	27110	UROK	\N	\N
3601491	2155	1995-02-28	PRIJEM	\N	108	26038	UROK	\N	\N
3601492	2155	1995-03-31	PRIJEM	\N	112	27270	UROK	\N	\N
3601493	2155	1995-04-30	PRIJEM	\N	110	26600	UROK	\N	\N
3601494	2155	1995-05-31	PRIJEM	\N	100	24081	UROK	\N	\N
3601495	2155	1995-06-30	PRIJEM	\N	93	21645	UROK	\N	\N
3601496	2155	1995-07-31	PRIJEM	\N	88	21453	UROK	\N	\N
3601497	2155	1995-08-31	PRIJEM	\N	82	19816	UROK	\N	\N
3601498	2155	1995-09-30	PRIJEM	\N	77	18713	UROK	\N	\N
3601499	2155	1995-10-31	PRIJEM	\N	76	18610	UROK	\N	\N
3601500	2155	1995-11-30	PRIJEM	\N	87	20897	UROK	\N	\N
3601501	2155	1995-12-31	PRIJEM	\N	72	19369	UROK	\N	\N
3601502	2155	1996-01-31	PRIJEM	\N	76	16416	UROK	\N	\N
3601503	2155	1996-02-29	PRIJEM	\N	72	19108	UROK	\N	\N
3601504	2155	1996-03-31	PRIJEM	\N	82	17710	UROK	\N	\N
3601505	2155	1996-04-30	PRIJEM	\N	78	21109	UROK	\N	\N
3601506	2155	1996-05-31	PRIJEM	\N	90	22629	UROK	\N	\N
3601507	2155	1996-06-30	PRIJEM	\N	90	20750	UROK	\N	\N
3601508	2155	1996-07-31	PRIJEM	\N	89	21069	UROK	\N	\N
3601509	2155	1996-08-31	PRIJEM	\N	90	20779	UROK	\N	\N
3601510	2155	1996-09-30	PRIJEM	\N	84	16763	UROK	\N	\N
3601511	2155	1996-10-31	PRIJEM	\N	71	15754	UROK	\N	\N
3601512	2155	1996-11-30	PRIJEM	\N	68	16343	UROK	\N	\N
3601513	2155	1996-12-31	PRIJEM	\N	68	16362	UROK	\N	\N
3601514	2155	1997-01-31	PRIJEM	\N	62	13264	UROK	\N	\N
3601515	2155	1997-02-28	PRIJEM	\N	58	14042	UROK	\N	\N
3601516	2155	1997-03-31	PRIJEM	\N	58	11820	UROK	\N	\N
3601517	2155	1997-04-30	PRIJEM	\N	51	12391	UROK	\N	\N
3601518	2155	1997-05-31	PRIJEM	\N	58	16470	UROK	\N	\N
3601519	2155	1997-06-30	PRIJEM	\N	69	15859	UROK	\N	\N
3601520	2155	1997-07-31	PRIJEM	\N	68	16447	UROK	\N	\N
3601521	2155	1997-08-31	PRIJEM	\N	72	18139	UROK	\N	\N
3601522	2155	1997-09-30	PRIJEM	\N	81	19790	UROK	\N	\N
3601523	2155	1997-10-31	PRIJEM	\N	82	19293	UROK	\N	\N
3601524	2155	1997-11-30	PRIJEM	\N	80	19094	UROK	\N	\N
3601525	2155	1997-12-31	PRIJEM	\N	80	19344	UROK	\N	\N
3601526	2155	1998-01-31	PRIJEM	\N	75	17599	UROK	\N	\N
3601527	2155	1998-02-28	PRIJEM	\N	69	15319	UROK	\N	\N
3601528	2155	1998-03-31	PRIJEM	\N	61	13700	UROK	\N	\N
3601529	2155	1998-04-30	PRIJEM	\N	59	14880	UROK	\N	\N
3601530	2155	1998-05-31	PRIJEM	\N	63	15614	UROK	\N	\N
3601531	2155	1998-06-30	PRIJEM	\N	67	16801	UROK	\N	\N
3601532	2155	1998-07-31	PRIJEM	\N	72	17723	UROK	\N	\N
3601533	2155	1998-08-31	PRIJEM	\N	76	18919	UROK	\N	\N
3601534	2155	1998-09-30	PRIJEM	\N	81	20120	UROK	\N	\N
3601535	2155	1998-10-31	PRIJEM	\N	85	20066	UROK	\N	\N
3601536	2155	1998-11-30	PRIJEM	\N	70	14656	UROK	\N	\N
3601537	2155	1998-12-31	PRIJEM	\N	60	15356	UROK	\N	\N
3601538	2156	1996-10-31	PRIJEM	\N	62	22095	UROK	\N	\N
3601539	2156	1996-11-30	PRIJEM	\N	129	34957	UROK	\N	\N
3601540	2156	1996-12-31	PRIJEM	\N	182	47589	UROK	\N	\N
3601541	2156	1997-01-31	PRIJEM	\N	195	46817	UROK	\N	\N
3601542	2156	1997-02-28	PRIJEM	\N	181	39610	UROK	\N	\N
3601543	2156	1997-03-31	PRIJEM	\N	154	33021	UROK	\N	\N
3601544	2156	1997-04-30	PRIJEM	\N	140	31558	UROK	\N	\N
3601545	2156	1997-05-31	PRIJEM	\N	128	28283	UROK	\N	\N
3601546	2156	1997-06-30	PRIJEM	\N	142	32880	UROK	\N	\N
3601547	2156	1997-07-31	PRIJEM	\N	145	33022	UROK	\N	\N
3601548	2156	1997-08-31	PRIJEM	\N	139	30858	UROK	\N	\N
3601549	2156	1997-09-30	PRIJEM	\N	128	27444	UROK	\N	\N
3601550	2156	1997-10-31	PRIJEM	\N	132	29114	UROK	\N	\N
3601551	2156	1997-11-30	PRIJEM	\N	177	39128	UROK	\N	\N
3601552	2156	1997-12-31	PRIJEM	\N	241	57663	UROK	\N	\N
3601553	2156	1998-01-31	PRIJEM	\N	204	38204	UROK	\N	\N
3601554	2156	1998-02-28	PRIJEM	\N	184	42285	UROK	\N	\N
3601555	2156	1998-03-31	PRIJEM	\N	208	48070	UROK	\N	\N
3601556	2156	1998-04-30	PRIJEM	\N	219	50587	UROK	\N	\N
3601557	2156	1998-05-31	PRIJEM	\N	212	48196	UROK	\N	\N
3601558	2156	1998-06-30	PRIJEM	\N	248	59058	UROK	\N	\N
3601559	2156	1998-07-31	PRIJEM	\N	241	54796	UROK	\N	\N
3601560	2156	1998-08-31	PRIJEM	\N	227	52521	UROK	\N	\N
3601561	2156	1998-09-30	PRIJEM	\N	228	52346	UROK	\N	\N
3601562	2156	1998-10-31	PRIJEM	\N	196	42720	UROK	\N	\N
3601563	2156	1998-11-30	PRIJEM	\N	139	40456	UROK	\N	\N
3601564	2156	1998-12-31	PRIJEM	\N	201	49571	UROK	\N	\N
3601565	2157	1995-11-30	PRIJEM	\N	42	14283	UROK	\N	\N
3601566	2157	1995-12-31	PRIJEM	\N	142	42487	UROK	\N	\N
3601567	2157	1996-01-31	PRIJEM	\N	199	50227	UROK	\N	\N
3601568	2157	1996-02-29	PRIJEM	\N	212	51480	UROK	\N	\N
3601569	2157	1996-03-31	PRIJEM	\N	207	49128	UROK	\N	\N
3601570	2157	1996-04-30	PRIJEM	\N	163	38423	UROK	\N	\N
3601571	2157	1996-05-31	PRIJEM	\N	147	36403	UROK	\N	\N
3601572	2157	1996-06-30	PRIJEM	\N	156	40292	UROK	\N	\N
3601573	2157	1996-07-31	PRIJEM	\N	134	31818	UROK	\N	\N
3601574	2157	1996-08-31	PRIJEM	\N	128	32179	UROK	\N	\N
3601575	2157	1996-09-30	PRIJEM	\N	120	29731	UROK	\N	\N
3601576	2157	1996-10-31	PRIJEM	\N	105	25868	UROK	\N	\N
3601577	2157	1996-11-30	PRIJEM	\N	99	25200	UROK	\N	\N
3601578	2157	1996-12-31	PRIJEM	\N	124	33477	UROK	\N	\N
3601579	2157	1997-01-31	PRIJEM	\N	99	19908	UROK	\N	\N
3601580	2157	1997-02-28	PRIJEM	\N	89	20650	UROK	\N	\N
3601581	2157	1997-03-31	PRIJEM	\N	82	18264	UROK	\N	\N
3601582	2157	1997-04-30	PRIJEM	\N	76	19972	UROK	\N	\N
3601583	2157	1997-05-31	PRIJEM	\N	75	19780	UROK	\N	\N
3601584	2157	1997-06-30	PRIJEM	\N	74	17887	UROK	\N	\N
3601585	2157	1997-07-31	PRIJEM	\N	76	17556	UROK	\N	\N
3601586	2157	1997-08-31	PRIJEM	\N	85	18773	UROK	\N	\N
3601587	2157	1997-09-30	PRIJEM	\N	90	20595	UROK	\N	\N
3601588	2157	1997-10-31	PRIJEM	\N	95	19022	UROK	\N	\N
3601589	2157	1997-11-30	PRIJEM	\N	80	18535	UROK	\N	\N
3601590	2157	1997-12-31	PRIJEM	\N	108	26296	UROK	\N	\N
3601591	2157	1998-01-31	PRIJEM	\N	73	12842	UROK	\N	\N
3601592	2157	1998-02-28	PRIJEM	\N	66	17740	UROK	\N	\N
3601593	2157	1998-03-31	PRIJEM	\N	85	19557	UROK	\N	\N
3601594	2157	1998-04-30	PRIJEM	\N	65	12974	UROK	\N	\N
3601595	2157	1998-05-31	PRIJEM	\N	63	12569	UROK	\N	\N
3601596	2157	1998-06-30	PRIJEM	\N	82	20404	UROK	\N	\N
3601597	2157	1998-07-31	PRIJEM	\N	92	18928	UROK	\N	\N
3601598	2157	1998-08-31	PRIJEM	\N	79	11739	UROK	\N	\N
3601599	2157	1998-09-30	PRIJEM	\N	61	16332	UROK	\N	\N
3601600	2157	1998-10-31	PRIJEM	\N	73	15338	UROK	\N	\N
3601601	2157	1998-11-30	PRIJEM	\N	66	11936	UROK	\N	\N
3601602	2157	1998-12-31	PRIJEM	\N	82	23372	UROK	\N	\N
3601603	2159	1996-01-31	PRIJEM	\N	79	23522	UROK	\N	\N
3601604	2159	1996-02-29	PRIJEM	\N	93	45258	UROK	\N	\N
3601605	2159	1996-03-31	PRIJEM	\N	213	58613	UROK	\N	\N
3601606	2159	1996-04-30	PRIJEM	\N	188	68144	UROK	\N	\N
3601607	2159	1996-05-31	PRIJEM	\N	241	45909	UROK	\N	\N
3601608	2159	1996-06-30	PRIJEM	\N	216	21656	UROK	\N	\N
3601609	2159	1996-07-31	PRIJEM	\N	134	29599	UROK	\N	\N
3601610	2159	1996-08-31	PRIJEM	\N	165	35273	UROK	\N	\N
3601611	2159	1996-09-30	PRIJEM	\N	177	35459	UROK	\N	\N
3601612	2159	1996-10-31	PRIJEM	\N	178	37027	UROK	\N	\N
3601613	2159	1996-11-30	PRIJEM	\N	189	36525	UROK	\N	\N
3601614	2159	1996-12-31	PRIJEM	\N	212	39787	UROK	\N	\N
3601615	2159	1997-01-31	PRIJEM	\N	172	23388	UROK	\N	\N
3601616	2159	1997-02-28	PRIJEM	\N	134	27132	UROK	\N	\N
3601617	2159	1997-03-31	PRIJEM	\N	149	29690	UROK	\N	\N
3601618	2159	1997-04-30	PRIJEM	\N	154	24893	UROK	\N	\N
3601619	2159	1997-05-31	PRIJEM	\N	137	25940	UROK	\N	\N
3601620	2159	1997-06-30	PRIJEM	\N	161	27431	UROK	\N	\N
3601621	2159	1997-07-31	PRIJEM	\N	145	24426	UROK	\N	\N
3601622	2159	1997-08-31	PRIJEM	\N	129	24064	UROK	\N	\N
3601623	2159	1997-09-30	PRIJEM	\N	123	19277	UROK	\N	\N
3601624	2159	1997-10-31	PRIJEM	\N	111	22897	UROK	\N	\N
3601625	2159	1997-11-30	PRIJEM	\N	104	21790	UROK	\N	\N
3601626	2159	1997-12-31	PRIJEM	\N	145	32865	UROK	\N	\N
3601627	2159	1998-01-31	PRIJEM	\N	131	16906	UROK	\N	\N
3601628	2159	1998-02-28	PRIJEM	\N	105	25020	UROK	\N	\N
3601629	2159	1998-03-31	PRIJEM	\N	121	20971	UROK	\N	\N
3601630	2159	1998-04-30	PRIJEM	\N	113	23194	UROK	\N	\N
3601631	2159	1998-05-31	PRIJEM	\N	126	28129	UROK	\N	\N
3601632	2159	1998-06-30	PRIJEM	\N	164	35123	UROK	\N	\N
3601633	2159	1998-07-31	PRIJEM	\N	164	34197	UROK	\N	\N
3601634	2159	1998-08-31	PRIJEM	\N	168	38074	UROK	\N	\N
3601635	2159	1998-09-30	PRIJEM	\N	184	42008	UROK	\N	\N
3601636	2159	1998-10-31	PRIJEM	\N	197	45214	UROK	\N	\N
3601637	2159	1998-11-30	PRIJEM	\N	209	48132	UROK	\N	\N
3601638	2159	1998-12-31	PRIJEM	\N	240	54622	UROK	\N	\N
3601639	2160	1996-12-31	PRIJEM	\N	47	15936	UROK	\N	\N
3601640	2160	1997-01-31	PRIJEM	\N	97	25859	UROK	\N	\N
3601641	2160	1997-02-28	PRIJEM	\N	114	27898	UROK	\N	\N
3601642	2160	1997-03-31	PRIJEM	\N	122	29846	UROK	\N	\N
3601643	2160	1997-04-30	PRIJEM	\N	116	25304	UROK	\N	\N
3601644	2160	1997-05-31	PRIJEM	\N	89	18521	UROK	\N	\N
3601645	2160	1997-06-30	PRIJEM	\N	94	22205	UROK	\N	\N
3601646	2160	1997-07-31	PRIJEM	\N	90	18021	UROK	\N	\N
3601647	2160	1997-08-31	PRIJEM	\N	104	25553	UROK	\N	\N
3601648	2160	1997-09-30	PRIJEM	\N	122	28602	UROK	\N	\N
3601649	2160	1997-10-31	PRIJEM	\N	137	32766	UROK	\N	\N
3601650	2160	1997-11-30	PRIJEM	\N	136	31230	UROK	\N	\N
3601651	2160	1997-12-31	PRIJEM	\N	151	36371	UROK	\N	\N
3601652	2160	1998-01-31	PRIJEM	\N	118	20717	UROK	\N	\N
3601653	2160	1998-02-28	PRIJEM	\N	115	28259	UROK	\N	\N
3601654	2160	1998-03-31	PRIJEM	\N	131	31017	UROK	\N	\N
3601655	2160	1998-04-30	PRIJEM	\N	132	30376	UROK	\N	\N
3601656	2160	1998-05-31	PRIJEM	\N	132	31136	UROK	\N	\N
3601657	2160	1998-06-30	PRIJEM	\N	114	18240	UROK	\N	\N
3601658	2160	1998-07-31	PRIJEM	\N	111	27678	UROK	\N	\N
3601659	2160	1998-08-31	PRIJEM	\N	129	30634	UROK	\N	\N
3601660	2160	1998-09-30	PRIJEM	\N	152	32314	UROK	\N	\N
3601661	2160	1998-10-31	PRIJEM	\N	140	31981	UROK	\N	\N
3601662	2160	1998-11-30	PRIJEM	\N	122	30730	UROK	\N	\N
3601663	2160	1998-12-31	PRIJEM	\N	150	38470	UROK	\N	\N
3601664	2161	1994-01-31	PRIJEM	\N	7	16606	UROK	\N	\N
3601665	2161	1994-02-28	PRIJEM	\N	69	18375	UROK	\N	\N
3601666	2161	1994-03-31	PRIJEM	\N	69	19944	UROK	\N	\N
3601667	2161	1994-04-30	PRIJEM	\N	98	32055	UROK	\N	\N
3601668	2161	1994-05-31	PRIJEM	\N	133	30488	UROK	\N	\N
3601669	2161	1994-06-30	PRIJEM	\N	139	45894	UROK	\N	\N
3601670	2161	1994-07-31	PRIJEM	\N	191	37784	UROK	\N	\N
3601671	2161	1994-08-31	PRIJEM	\N	191	30475	UROK	\N	\N
3601672	2161	1994-09-30	PRIJEM	\N	143	24242	UROK	\N	\N
3601673	2161	1994-10-31	PRIJEM	\N	100	24941	UROK	\N	\N
3601674	2161	1994-11-30	PRIJEM	\N	95	22868	UROK	\N	\N
3601675	2161	1994-12-31	PRIJEM	\N	88	20888	UROK	\N	\N
3601676	2161	1995-01-31	PRIJEM	\N	82	35025	UROK	\N	\N
3601677	2161	1995-02-28	PRIJEM	\N	201	52889	UROK	\N	\N
3601678	2161	1995-03-31	PRIJEM	\N	187	58434	UROK	\N	\N
3601679	2161	1995-04-30	PRIJEM	\N	177	28049	UROK	\N	\N
3601680	2161	1995-05-31	PRIJEM	\N	95	22587	UROK	\N	\N
3601681	2161	1995-06-30	PRIJEM	\N	150	37630	UROK	\N	\N
3601682	2161	1995-07-31	PRIJEM	\N	128	33939	UROK	\N	\N
3601683	2161	1995-08-31	PRIJEM	\N	126	25797	UROK	\N	\N
3601684	2161	1995-09-30	PRIJEM	\N	97	22226	UROK	\N	\N
3601685	2161	1995-10-31	PRIJEM	\N	85	20643	UROK	\N	\N
3601686	2161	1995-11-30	PRIJEM	\N	80	20055	UROK	\N	\N
3601687	2161	1995-12-31	PRIJEM	\N	170	67928	UROK	\N	\N
3601688	2161	1996-01-31	PRIJEM	\N	112	20908	UROK	\N	\N
3601689	2161	1996-02-29	PRIJEM	\N	96	23385	UROK	\N	\N
3601690	2161	1996-03-31	PRIJEM	\N	189	70042	UROK	\N	\N
3601691	2161	1996-04-30	PRIJEM	\N	204	20670	UROK	\N	\N
3601692	2161	1996-05-31	PRIJEM	\N	75	16877	UROK	\N	\N
3601693	2161	1996-06-30	PRIJEM	\N	58	12367	UROK	\N	\N
3601694	2161	1996-07-31	PRIJEM	\N	57	20115	UROK	\N	\N
3601695	2161	1996-08-31	PRIJEM	\N	75	16322	UROK	\N	\N
3601696	2161	1996-09-30	PRIJEM	\N	59	12514	UROK	\N	\N
3601697	2161	1996-10-31	PRIJEM	\N	41	8686	UROK	\N	\N
3601698	2161	1996-11-30	PRIJEM	\N	90	67126	UROK	\N	\N
3601699	2161	1996-12-31	PRIJEM	\N	190	29348	UROK	\N	\N
3601700	2161	1997-01-31	PRIJEM	\N	143	45889	UROK	\N	\N
3601701	2161	1997-02-28	PRIJEM	\N	135	24456	UROK	\N	\N
3601702	2161	1997-03-31	PRIJEM	\N	147	29943	UROK	\N	\N
3601703	2161	1997-04-30	PRIJEM	\N	150	46152	UROK	\N	\N
3601704	2161	1997-05-31	PRIJEM	\N	163	42512	UROK	\N	\N
3601705	2161	1997-06-30	PRIJEM	\N	211	71108	UROK	\N	\N
3601706	2161	1997-07-31	PRIJEM	\N	224	22963	UROK	\N	\N
3601707	2161	1997-08-31	PRIJEM	\N	91	21766	UROK	\N	\N
3601708	2161	1997-09-30	PRIJEM	\N	130	34762	UROK	\N	\N
3601709	2161	1997-10-31	PRIJEM	\N	103	18897	UROK	\N	\N
3601710	2161	1997-11-30	PRIJEM	\N	57	11686	UROK	\N	\N
3601711	2161	1997-12-31	PRIJEM	\N	113	39131	UROK	\N	\N
3601712	2161	1998-01-31	PRIJEM	\N	91	17454	UROK	\N	\N
3601713	2161	1998-02-28	PRIJEM	\N	64	15050	UROK	\N	\N
3601714	2161	1998-03-31	PRIJEM	\N	62	12943	UROK	\N	\N
3601715	2161	1998-04-30	PRIJEM	\N	79	18810	UROK	\N	\N
3601716	2161	1998-05-31	PRIJEM	\N	68	14910	UROK	\N	\N
3601717	2161	1998-06-30	PRIJEM	\N	82	27271	UROK	\N	\N
3601718	2161	1998-07-31	PRIJEM	\N	86	18430	UROK	\N	\N
3601719	2161	1998-08-31	PRIJEM	\N	72	16935	UROK	\N	\N
3601720	2161	1998-09-30	PRIJEM	\N	104	28901	UROK	\N	\N
3601721	2161	1998-10-31	PRIJEM	\N	92	19425	UROK	\N	\N
3601722	2161	1998-11-30	PRIJEM	\N	63	11119	UROK	\N	\N
3601723	2161	1998-12-31	PRIJEM	\N	40	7291	UROK	\N	\N
3601724	2162	1997-11-30	PRIJEM	\N	38	27529	UROK	\N	\N
3601725	2162	1997-12-31	PRIJEM	\N	207	56934	UROK	\N	\N
3601726	2162	1998-01-31	PRIJEM	\N	203	33163	UROK	\N	\N
3601727	2162	1998-02-28	PRIJEM	\N	156	68467	UROK	\N	\N
3601728	2162	1998-03-31	PRIJEM	\N	304	64683	UROK	\N	\N
3601729	2162	1998-04-30	PRIJEM	\N	236	42936	UROK	\N	\N
3601730	2162	1998-05-31	PRIJEM	\N	145	25899	UROK	\N	\N
3601731	2162	1998-06-30	PRIJEM	\N	219	60982	UROK	\N	\N
3601732	2162	1998-07-31	PRIJEM	\N	247	59551	UROK	\N	\N
3601733	2162	1998-08-31	PRIJEM	\N	186	54421	UROK	\N	\N
3601734	2162	1998-09-30	PRIJEM	\N	197	62323	UROK	\N	\N
3601735	2162	1998-10-31	PRIJEM	\N	196	21892	UROK	\N	\N
3601736	2162	1998-11-30	PRIJEM	\N	192	101470	UROK	\N	\N
3601737	2162	1998-12-31	PRIJEM	\N	324	50811	UROK	\N	\N
3601738	2163	1995-01-31	PRIJEM	\N	54	20002	UROK	\N	\N
3601739	2163	1995-02-28	PRIJEM	\N	133	39783	UROK	\N	\N
3601740	2163	1995-03-31	PRIJEM	\N	195	51026	UROK	\N	\N
3601741	2163	1995-04-30	PRIJEM	\N	225	56099	UROK	\N	\N
3601742	2163	1995-05-31	PRIJEM	\N	232	54756	UROK	\N	\N
3601743	2163	1995-06-30	PRIJEM	\N	211	42180	UROK	\N	\N
3601744	2163	1995-07-31	PRIJEM	\N	187	48006	UROK	\N	\N
3601745	2163	1995-08-31	PRIJEM	\N	186	45491	UROK	\N	\N
3601746	2163	1995-09-30	PRIJEM	\N	189	47419	UROK	\N	\N
3601747	2163	1995-10-31	PRIJEM	\N	187	44026	UROK	\N	\N
3601748	2163	1995-11-30	PRIJEM	\N	155	38740	UROK	\N	\N
3601749	2163	1995-12-31	PRIJEM	\N	188	51341	UROK	\N	\N
3601750	2163	1996-01-31	PRIJEM	\N	155	29195	UROK	\N	\N
3601751	2163	1996-02-29	PRIJEM	\N	157	43091	UROK	\N	\N
3601752	2163	1996-03-31	PRIJEM	\N	167	34737	UROK	\N	\N
3601753	2163	1996-04-30	PRIJEM	\N	178	37455	UROK	\N	\N
3601754	2163	1996-05-31	PRIJEM	\N	189	40483	UROK	\N	\N
3601755	2163	1996-06-30	PRIJEM	\N	220	43536	UROK	\N	\N
3601756	2163	1996-07-31	PRIJEM	\N	201	38296	UROK	\N	\N
3601757	2163	1996-08-31	PRIJEM	\N	177	35412	UROK	\N	\N
3601758	2163	1996-09-30	PRIJEM	\N	178	40129	UROK	\N	\N
3601759	2163	1996-10-31	PRIJEM	\N	193	40462	UROK	\N	\N
3601760	2163	1996-11-30	PRIJEM	\N	191	38293	UROK	\N	\N
3601761	2163	1996-12-31	PRIJEM	\N	206	45012	UROK	\N	\N
3601762	2163	1997-01-31	PRIJEM	\N	182	37453	UROK	\N	\N
3601763	2163	1997-02-28	PRIJEM	\N	180	39772	UROK	\N	\N
3601764	2163	1997-03-31	PRIJEM	\N	159	32491	UROK	\N	\N
3601765	2163	1997-04-30	PRIJEM	\N	158	32988	UROK	\N	\N
3601766	2163	1997-05-31	PRIJEM	\N	162	35990	UROK	\N	\N
3601767	2163	1997-06-30	PRIJEM	\N	171	38734	UROK	\N	\N
3601768	2163	1997-07-31	PRIJEM	\N	182	39855	UROK	\N	\N
3601769	2163	1997-08-31	PRIJEM	\N	175	39549	UROK	\N	\N
3601770	2163	1997-09-30	PRIJEM	\N	184	41773	UROK	\N	\N
3601771	2163	1997-10-31	PRIJEM	\N	190	44502	UROK	\N	\N
3601772	2163	1997-11-30	PRIJEM	\N	190	41911	UROK	\N	\N
3601773	2163	1997-12-31	PRIJEM	\N	209	48814	UROK	\N	\N
3601774	2163	1998-01-31	PRIJEM	\N	201	37114	UROK	\N	\N
3601775	2163	1998-02-28	PRIJEM	\N	167	37820	UROK	\N	\N
3601776	2163	1998-03-31	PRIJEM	\N	170	37630	UROK	\N	\N
3601777	2163	1998-04-30	PRIJEM	\N	158	32007	UROK	\N	\N
3601778	2163	1998-05-31	PRIJEM	\N	151	35817	UROK	\N	\N
3601779	2163	1998-06-30	PRIJEM	\N	164	36255	UROK	\N	\N
3601780	2163	1998-07-31	PRIJEM	\N	150	30324	UROK	\N	\N
3601781	2163	1998-08-31	PRIJEM	\N	129	27992	UROK	\N	\N
3601782	2163	1998-09-30	PRIJEM	\N	129	30060	UROK	\N	\N
3601783	2163	1998-10-31	PRIJEM	\N	131	30430	UROK	\N	\N
3601784	2163	1998-11-30	PRIJEM	\N	131	30900	UROK	\N	\N
3601785	2163	1998-12-31	PRIJEM	\N	189	54302	UROK	\N	\N
3601786	2164	1996-10-31	PRIJEM	\N	59	22092	UROK	\N	\N
3601787	2164	1996-11-30	PRIJEM	\N	132	36657	UROK	\N	\N
3601788	2164	1996-12-31	PRIJEM	\N	181	46888	UROK	\N	\N
3601789	2164	1997-01-31	PRIJEM	\N	183	43104	UROK	\N	\N
3601790	2164	1997-02-28	PRIJEM	\N	160	36045	UROK	\N	\N
3601791	2164	1997-03-31	PRIJEM	\N	141	32953	UROK	\N	\N
3601792	2164	1997-04-30	PRIJEM	\N	131	30650	UROK	\N	\N
3601793	2164	1997-05-31	PRIJEM	\N	117	24194	UROK	\N	\N
3601794	2164	1997-06-30	PRIJEM	\N	136	35313	UROK	\N	\N
3601795	2164	1997-07-31	PRIJEM	\N	144	32703	UROK	\N	\N
3601796	2164	1997-08-31	PRIJEM	\N	146	33216	UROK	\N	\N
3601797	2164	1997-09-30	PRIJEM	\N	168	41950	UROK	\N	\N
3601798	2164	1997-10-31	PRIJEM	\N	195	47612	UROK	\N	\N
3601799	2164	1997-11-30	PRIJEM	\N	209	50087	UROK	\N	\N
3601800	2164	1997-12-31	PRIJEM	\N	253	62522	UROK	\N	\N
3601801	2164	1998-01-31	PRIJEM	\N	246	50974	UROK	\N	\N
3601802	2164	1998-02-28	PRIJEM	\N	214	50855	UROK	\N	\N
3601803	2164	1998-03-31	PRIJEM	\N	209	47451	UROK	\N	\N
3601804	2164	1998-04-30	PRIJEM	\N	214	52031	UROK	\N	\N
3601805	2164	1998-05-31	PRIJEM	\N	215	47952	UROK	\N	\N
3601806	2164	1998-06-30	PRIJEM	\N	244	63079	UROK	\N	\N
3601807	2164	1998-07-31	PRIJEM	\N	256	61721	UROK	\N	\N
3601808	2164	1998-08-31	PRIJEM	\N	256	60943	UROK	\N	\N
3601809	2164	1998-09-30	PRIJEM	\N	266	64175	UROK	\N	\N
3601810	2164	1998-10-31	PRIJEM	\N	270	64712	UROK	\N	\N
3601811	2164	1998-11-30	PRIJEM	\N	278	67057	UROK	\N	\N
3601812	2164	1998-12-31	PRIJEM	\N	319	78159	UROK	\N	\N
3601813	2165	1997-04-30	PRIJEM	\N	51	20500	UROK	\N	\N
3601814	2165	1997-05-31	PRIJEM	\N	139	41588	UROK	\N	\N
3601815	2165	1997-06-30	PRIJEM	\N	228	63890	UROK	\N	\N
3601816	2165	1997-07-31	PRIJEM	\N	271	66010	UROK	\N	\N
3601817	2165	1997-08-31	PRIJEM	\N	277	67336	UROK	\N	\N
3601818	2165	1997-09-30	PRIJEM	\N	206	28043	UROK	\N	\N
3601819	2165	1997-10-31	PRIJEM	\N	108	24618	UROK	\N	\N
3601820	2165	1997-11-30	PRIJEM	\N	112	31796	UROK	\N	\N
3601821	2165	1997-12-31	PRIJEM	\N	163	46651	UROK	\N	\N
3601822	2165	1998-01-31	PRIJEM	\N	134	25051	UROK	\N	\N
3601823	2165	1998-02-28	PRIJEM	\N	99	21093	UROK	\N	\N
3601824	2165	1998-03-31	PRIJEM	\N	103	29863	UROK	\N	\N
3601825	2165	1998-04-30	PRIJEM	\N	113	30742	UROK	\N	\N
3601826	2165	1998-05-31	PRIJEM	\N	119	32127	UROK	\N	\N
3601827	2165	1998-06-30	PRIJEM	\N	134	34852	UROK	\N	\N
3601828	2165	1998-07-31	PRIJEM	\N	123	26363	UROK	\N	\N
3601829	2165	1998-08-31	PRIJEM	\N	115	32044	UROK	\N	\N
3601830	2165	1998-09-30	PRIJEM	\N	116	23163	UROK	\N	\N
3601831	2165	1998-10-31	PRIJEM	\N	129	33358	UROK	\N	\N
3601832	2165	1998-11-30	PRIJEM	\N	144	28768	UROK	\N	\N
3601833	2165	1998-12-31	PRIJEM	\N	143	38703	UROK	\N	\N
3601834	2166	1997-05-31	PRIJEM	\N	50	18764	UROK	\N	\N
3601835	2166	1997-06-30	PRIJEM	\N	113	31248	UROK	\N	\N
3601836	2166	1997-07-31	PRIJEM	\N	138	34300	UROK	\N	\N
3601837	2166	1997-08-31	PRIJEM	\N	180	32994	UROK	\N	\N
3601838	2166	1997-09-30	PRIJEM	\N	157	33102	UROK	\N	\N
3601839	2166	1997-10-31	PRIJEM	\N	135	31920	UROK	\N	\N
3601840	2166	1997-11-30	PRIJEM	\N	121	28224	UROK	\N	\N
3601841	2166	1997-12-31	PRIJEM	\N	127	27810	UROK	\N	\N
3601842	2166	1998-01-31	PRIJEM	\N	89	15463	UROK	\N	\N
3601843	2166	1998-02-28	PRIJEM	\N	83	21529	UROK	\N	\N
3601844	2166	1998-03-31	PRIJEM	\N	109	27622	UROK	\N	\N
3601845	2166	1998-04-30	PRIJEM	\N	90	20495	UROK	\N	\N
3601846	2166	1998-05-31	PRIJEM	\N	104	26583	UROK	\N	\N
3601847	2166	1998-06-30	PRIJEM	\N	122	31445	UROK	\N	\N
3601848	2166	1998-07-31	PRIJEM	\N	108	25637	UROK	\N	\N
3601849	2166	1998-08-31	PRIJEM	\N	96	23616	UROK	\N	\N
3601850	2166	1998-09-30	PRIJEM	\N	98	24297	UROK	\N	\N
3601851	2166	1998-10-31	PRIJEM	\N	95	23375	UROK	\N	\N
3601852	2166	1998-11-30	PRIJEM	\N	87	17146	UROK	\N	\N
3601853	2166	1998-12-31	PRIJEM	\N	108	26954	UROK	\N	\N
3601854	2167	1993-09-30	PRIJEM	\N	84	25252	UROK	\N	\N
3601855	2167	1993-10-31	PRIJEM	\N	153	39573	UROK	\N	\N
3601856	2167	1993-11-30	PRIJEM	\N	177	43318	UROK	\N	\N
3601857	2167	1993-12-31	PRIJEM	\N	206	50776	UROK	\N	\N
3601858	2167	1994-01-31	PRIJEM	\N	179	28260	UROK	\N	\N
3601859	2167	1994-02-28	PRIJEM	\N	170	40262	UROK	\N	\N
3601860	2167	1994-03-31	PRIJEM	\N	154	29647	UROK	\N	\N
3601861	2167	1994-04-30	PRIJEM	\N	145	24903	UROK	\N	\N
3601862	2167	1994-05-31	PRIJEM	\N	110	19865	UROK	\N	\N
3601863	2167	1994-06-30	PRIJEM	\N	197	45878	UROK	\N	\N
3601864	2167	1994-07-31	PRIJEM	\N	206	46815	UROK	\N	\N
3601865	2167	1994-08-31	PRIJEM	\N	206	33372	UROK	\N	\N
3601866	2167	1994-09-30	PRIJEM	\N	189	40091	UROK	\N	\N
3601867	2167	1994-10-31	PRIJEM	\N	195	43498	UROK	\N	\N
3601868	2167	1994-11-30	PRIJEM	\N	225	47560	UROK	\N	\N
3601869	2167	1994-12-31	PRIJEM	\N	244	53465	UROK	\N	\N
3601870	2167	1995-01-31	PRIJEM	\N	219	40782	UROK	\N	\N
3601871	2167	1995-02-28	PRIJEM	\N	212	52331	UROK	\N	\N
3601872	2167	1995-03-31	PRIJEM	\N	237	52205	UROK	\N	\N
3601873	2167	1995-04-30	PRIJEM	\N	191	50934	UROK	\N	\N
3601874	2167	1995-05-31	PRIJEM	\N	180	35171	UROK	\N	\N
3601875	2167	1995-06-30	PRIJEM	\N	160	32113	UROK	\N	\N
3601876	2167	1995-07-31	PRIJEM	\N	174	33724	UROK	\N	\N
3601877	2167	1995-08-31	PRIJEM	\N	165	36826	UROK	\N	\N
3601878	2167	1995-09-30	PRIJEM	\N	171	34815	UROK	\N	\N
3601879	2167	1995-10-31	PRIJEM	\N	168	37220	UROK	\N	\N
3601880	2167	1995-11-30	PRIJEM	\N	189	39946	UROK	\N	\N
3601881	2167	1995-12-31	PRIJEM	\N	221	39188	UROK	\N	\N
3601882	2167	1996-01-31	PRIJEM	\N	165	28290	UROK	\N	\N
3601883	2167	1996-02-29	PRIJEM	\N	150	33778	UROK	\N	\N
3601884	2167	1996-03-31	PRIJEM	\N	159	35074	UROK	\N	\N
3601885	2167	1996-04-30	PRIJEM	\N	162	34173	UROK	\N	\N
3601886	2167	1996-05-31	PRIJEM	\N	169	35580	UROK	\N	\N
3601887	2167	1996-06-30	PRIJEM	\N	185	37286	UROK	\N	\N
3601888	2167	1996-07-31	PRIJEM	\N	154	31518	UROK	\N	\N
3601889	2167	1996-08-31	PRIJEM	\N	148	35303	UROK	\N	\N
3601890	2167	1996-09-30	PRIJEM	\N	163	39304	UROK	\N	\N
3601891	2167	1996-10-31	PRIJEM	\N	187	42128	UROK	\N	\N
3601892	2167	1996-11-30	PRIJEM	\N	187	42947	UROK	\N	\N
3601893	2167	1996-12-31	PRIJEM	\N	245	49607	UROK	\N	\N
3601894	2167	1997-01-31	PRIJEM	\N	206	44084	UROK	\N	\N
3601895	2167	1997-02-28	PRIJEM	\N	197	42573	UROK	\N	\N
3601896	2167	1997-03-31	PRIJEM	\N	194	39578	UROK	\N	\N
3601897	2167	1997-04-30	PRIJEM	\N	189	44898	UROK	\N	\N
3601898	2167	1997-05-31	PRIJEM	\N	193	46122	UROK	\N	\N
3601899	2167	1997-06-30	PRIJEM	\N	240	56678	UROK	\N	\N
3601900	2167	1997-07-31	PRIJEM	\N	263	59873	UROK	\N	\N
3601901	2167	1997-08-31	PRIJEM	\N	267	63571	UROK	\N	\N
3601902	2167	1997-09-30	PRIJEM	\N	287	65889	UROK	\N	\N
3601903	2167	1997-10-31	PRIJEM	\N	282	65903	UROK	\N	\N
3601904	2167	1997-11-30	PRIJEM	\N	288	66022	UROK	\N	\N
3601905	2167	1997-12-31	PRIJEM	\N	323	68861	UROK	\N	\N
3601906	2167	1998-01-31	PRIJEM	\N	306	71439	UROK	\N	\N
3601907	2167	1998-02-28	PRIJEM	\N	314	73084	UROK	\N	\N
3601908	2167	1998-03-31	PRIJEM	\N	321	75536	UROK	\N	\N
3601909	2167	1998-04-30	PRIJEM	\N	335	82203	UROK	\N	\N
3601910	2167	1998-05-31	PRIJEM	\N	347	80581	UROK	\N	\N
3601911	2167	1998-06-30	PRIJEM	\N	329	66225	UROK	\N	\N
3601912	2167	1998-07-31	PRIJEM	\N	309	81165	UROK	\N	\N
3601913	2167	1998-08-31	PRIJEM	\N	348	85144	UROK	\N	\N
3601914	2167	1998-09-30	PRIJEM	\N	336	80511	UROK	\N	\N
3601915	2167	1998-10-31	PRIJEM	\N	327	78370	UROK	\N	\N
3601916	2167	1998-11-30	PRIJEM	\N	309	75510	UROK	\N	\N
3601917	2167	1998-12-31	PRIJEM	\N	339	72725	UROK	\N	\N
3601918	2169	1997-07-31	PRIJEM	\N	73	23720	UROK	\N	\N
3601919	2169	1997-08-31	PRIJEM	\N	180	50047	UROK	\N	\N
3601920	2169	1997-09-30	PRIJEM	\N	245	62239	UROK	\N	\N
3601921	2169	1997-10-31	PRIJEM	\N	268	65353	UROK	\N	\N
3601922	2169	1997-11-30	PRIJEM	\N	257	59548	UROK	\N	\N
3601923	2169	1997-12-31	PRIJEM	\N	258	60751	UROK	\N	\N
3601924	2169	1998-01-31	PRIJEM	\N	193	36366	UROK	\N	\N
3601925	2169	1998-02-28	PRIJEM	\N	178	39266	UROK	\N	\N
3601926	2169	1998-03-31	PRIJEM	\N	163	37951	UROK	\N	\N
3601927	2169	1998-04-30	PRIJEM	\N	164	38138	UROK	\N	\N
3601928	2169	1998-05-31	PRIJEM	\N	167	39827	UROK	\N	\N
3601929	2169	1998-06-30	PRIJEM	\N	132	27205	UROK	\N	\N
3601930	2169	1998-07-31	PRIJEM	\N	128	31056	UROK	\N	\N
3601931	2169	1998-08-31	PRIJEM	\N	160	35338	UROK	\N	\N
3601932	2169	1998-09-30	PRIJEM	\N	161	38922	UROK	\N	\N
3601933	2169	1998-10-31	PRIJEM	\N	178	42523	UROK	\N	\N
3601934	2169	1998-11-30	PRIJEM	\N	189	42034	UROK	\N	\N
3601935	2169	1998-12-31	PRIJEM	\N	213	52792	UROK	\N	\N
3601936	2170	1994-06-30	PRIJEM	\N	90	49960	UROK	\N	\N
3601937	2170	1994-07-31	PRIJEM	\N	230	61937	UROK	\N	\N
3601938	2170	1994-08-31	PRIJEM	\N	299	46183	UROK	\N	\N
3601939	2170	1994-09-30	PRIJEM	\N	223	61554	UROK	\N	\N
3601940	2170	1994-10-31	PRIJEM	\N	235	45719	UROK	\N	\N
3601941	2170	1994-11-30	PRIJEM	\N	263	53412	UROK	\N	\N
3601942	2170	1994-12-31	PRIJEM	\N	270	51535	UROK	\N	\N
3601943	2170	1995-01-31	PRIJEM	\N	239	29404	UROK	\N	\N
3601944	2170	1995-02-28	PRIJEM	\N	209	45143	UROK	\N	\N
3601945	2170	1995-03-31	PRIJEM	\N	244	44616	UROK	\N	\N
3601946	2170	1995-04-30	PRIJEM	\N	231	42977	UROK	\N	\N
3601947	2170	1995-05-31	PRIJEM	\N	249	53156	UROK	\N	\N
3601948	2170	1995-06-30	PRIJEM	\N	115	19624	UROK	\N	\N
3601949	2170	1995-07-31	PRIJEM	\N	177	40931	UROK	\N	\N
3601950	2170	1995-08-31	PRIJEM	\N	217	43878	UROK	\N	\N
3601951	2170	1995-09-30	PRIJEM	\N	237	52145	UROK	\N	\N
3601952	2170	1995-10-31	PRIJEM	\N	264	48139	UROK	\N	\N
3601953	2170	1995-11-30	PRIJEM	\N	223	39050	UROK	\N	\N
3601954	2170	1995-12-31	PRIJEM	\N	210	29118	UROK	\N	\N
3601955	2170	1996-01-31	PRIJEM	\N	158	34305	UROK	\N	\N
3601956	2170	1996-02-29	PRIJEM	\N	193	29900	UROK	\N	\N
3601957	2170	1996-03-31	PRIJEM	\N	182	37012	UROK	\N	\N
3601958	2170	1996-04-30	PRIJEM	\N	191	42233	UROK	\N	\N
3601959	2170	1996-05-31	PRIJEM	\N	244	58307	UROK	\N	\N
3601960	2170	1996-06-30	PRIJEM	\N	172	27159	UROK	\N	\N
3601961	2170	1996-07-31	PRIJEM	\N	157	30219	UROK	\N	\N
3601962	2170	1996-08-31	PRIJEM	\N	223	53571	UROK	\N	\N
3601963	2170	1996-09-30	PRIJEM	\N	331	81732	UROK	\N	\N
3601964	2170	1996-10-31	PRIJEM	\N	338	55676	UROK	\N	\N
3601965	2170	1996-11-30	PRIJEM	\N	359	90365	UROK	\N	\N
3601966	2170	1996-12-31	PRIJEM	\N	293	61511	UROK	\N	\N
3601967	2170	1997-01-31	PRIJEM	\N	265	36791	UROK	\N	\N
3601968	2170	1997-02-28	PRIJEM	\N	298	78019	UROK	\N	\N
3601969	2170	1997-03-31	PRIJEM	\N	373	76167	UROK	\N	\N
3601970	2170	1997-04-30	PRIJEM	\N	291	59688	UROK	\N	\N
3601971	2170	1997-05-31	PRIJEM	\N	371	93089	UROK	\N	\N
3601972	2170	1997-06-30	PRIJEM	\N	206	37849	UROK	\N	\N
3601973	2170	1997-07-31	PRIJEM	\N	320	82699	UROK	\N	\N
3601974	2170	1997-08-31	PRIJEM	\N	372	82001	UROK	\N	\N
3601975	2170	1997-09-30	PRIJEM	\N	227	46044	UROK	\N	\N
3601976	2170	1997-10-31	PRIJEM	\N	279	61953	UROK	\N	\N
3601977	2170	1997-11-30	PRIJEM	\N	389	81173	UROK	\N	\N
3601978	2170	1997-12-31	PRIJEM	\N	297	58533	UROK	\N	\N
3601979	2170	1998-01-31	PRIJEM	\N	336	69699	UROK	\N	\N
3601980	2170	1998-02-28	PRIJEM	\N	314	70843	UROK	\N	\N
3601981	2170	1998-03-31	PRIJEM	\N	269	60142	UROK	\N	\N
3601982	2170	1998-04-30	PRIJEM	\N	357	77531	UROK	\N	\N
3601983	2170	1998-05-31	PRIJEM	\N	399	86561	UROK	\N	\N
3601984	2170	1998-06-30	PRIJEM	\N	355	64668	UROK	\N	\N
3601985	2170	1998-07-31	PRIJEM	\N	301	74399	UROK	\N	\N
3601986	2170	1998-08-31	PRIJEM	\N	306	73634	UROK	\N	\N
3601987	2170	1998-09-30	PRIJEM	\N	306	74251	UROK	\N	\N
3601988	2170	1998-10-31	PRIJEM	\N	384	82264	UROK	\N	\N
3601989	2170	1998-11-30	PRIJEM	\N	292	81789	UROK	\N	\N
3601990	2170	1998-12-31	PRIJEM	\N	305	78047	UROK	\N	\N
3602016	2172	1997-09-30	PRIJEM	\N	15	6235	UROK	\N	\N
3602017	2172	1997-10-31	PRIJEM	\N	26	11381	UROK	\N	\N
3602018	2172	1997-11-30	PRIJEM	\N	26	16527	UROK	\N	\N
3602019	2172	1997-12-31	PRIJEM	\N	26	21672	UROK	\N	\N
3602020	2172	1998-01-31	PRIJEM	\N	63	19805	UROK	\N	\N
3602021	2172	1998-02-28	PRIJEM	\N	86	21584	UROK	\N	\N
3602022	2172	1998-03-31	PRIJEM	\N	94	23370	UROK	\N	\N
3602023	2172	1998-04-30	PRIJEM	\N	89	19232	UROK	\N	\N
3602024	2172	1998-05-31	PRIJEM	\N	82	20126	UROK	\N	\N
3602025	2172	1998-06-30	PRIJEM	\N	76	18534	UROK	\N	\N
3602026	2172	1998-07-31	PRIJEM	\N	81	20308	UROK	\N	\N
3602027	2172	1998-08-31	PRIJEM	\N	89	22089	UROK	\N	\N
3602028	2172	1998-09-30	PRIJEM	\N	96	23877	UROK	\N	\N
3602029	2172	1998-10-31	PRIJEM	\N	104	25673	UROK	\N	\N
3602030	2172	1998-11-30	PRIJEM	\N	111	27476	UROK	\N	\N
3602031	2172	1998-12-31	PRIJEM	\N	115	28784	UROK	\N	\N
3602032	2173	1997-05-31	PRIJEM	\N	17	6833	UROK	\N	\N
3602033	2173	1997-06-30	PRIJEM	\N	28	12778	UROK	\N	\N
3602034	2173	1997-07-31	PRIJEM	\N	28	18722	UROK	\N	\N
3602035	2173	1997-08-31	PRIJEM	\N	28	24667	UROK	\N	\N
3602036	2173	1997-09-30	PRIJEM	\N	35	29717	UROK	\N	\N
3602037	2173	1997-10-31	PRIJEM	\N	132	30100	UROK	\N	\N
3602038	2173	1997-11-30	PRIJEM	\N	121	29692	UROK	\N	\N
3602039	2173	1997-12-31	PRIJEM	\N	130	28423	UROK	\N	\N
3602040	2173	1998-01-31	PRIJEM	\N	105	20777	UROK	\N	\N
3602041	2173	1998-02-28	PRIJEM	\N	95	21822	UROK	\N	\N
3602042	2173	1998-03-31	PRIJEM	\N	97	22910	UROK	\N	\N
3602043	2173	1998-04-30	PRIJEM	\N	103	23443	UROK	\N	\N
3602044	2173	1998-05-31	PRIJEM	\N	106	24199	UROK	\N	\N
3602045	2173	1998-06-30	PRIJEM	\N	108	23957	UROK	\N	\N
3602046	2173	1998-07-31	PRIJEM	\N	109	26716	UROK	\N	\N
3602047	2173	1998-08-31	PRIJEM	\N	118	27084	UROK	\N	\N
3602048	2173	1998-09-30	PRIJEM	\N	120	27954	UROK	\N	\N
3602049	2173	1998-10-31	PRIJEM	\N	125	30329	UROK	\N	\N
3602050	2173	1998-11-30	PRIJEM	\N	132	30491	UROK	\N	\N
3602051	2173	1998-12-31	PRIJEM	\N	136	33367	UROK	\N	\N
3602052	2174	1998-01-31	PRIJEM	\N	46	33966	UROK	\N	\N
3602053	2174	1998-02-28	PRIJEM	\N	141	30307	UROK	\N	\N
3602054	2174	1998-03-31	PRIJEM	\N	141	30248	UROK	\N	\N
3602055	2174	1998-04-30	PRIJEM	\N	141	26890	UROK	\N	\N
3602056	2174	1998-05-31	PRIJEM	\N	210	54050	UROK	\N	\N
3602057	2174	1998-06-30	PRIJEM	\N	237	74736	UROK	\N	\N
3602058	2174	1998-07-31	PRIJEM	\N	262	50316	UROK	\N	\N
3602059	2174	1998-08-31	PRIJEM	\N	190	38024	UROK	\N	\N
3602060	2174	1998-09-30	PRIJEM	\N	133	24675	UROK	\N	\N
3602061	2174	1998-10-31	PRIJEM	\N	161	65519	UROK	\N	\N
3602062	2174	1998-11-30	PRIJEM	\N	238	46476	UROK	\N	\N
3602063	2174	1998-12-31	PRIJEM	\N	155	26849	UROK	\N	\N
3602064	2176	1993-06-30	PRIJEM	\N	46	36613	UROK	\N	\N
3602065	2176	1993-07-31	PRIJEM	\N	300	96973	UROK	\N	\N
3602066	2176	1993-08-31	PRIJEM	\N	356	92749	UROK	\N	\N
3602067	2176	1993-09-30	PRIJEM	\N	209	31262	UROK	\N	\N
3602068	2176	1993-10-31	PRIJEM	\N	164	26680	UROK	\N	\N
3602069	2176	1993-11-30	PRIJEM	\N	159	37425	UROK	\N	\N
3602070	2176	1993-12-31	PRIJEM	\N	125	27129	UROK	\N	\N
3602071	2176	1994-01-31	PRIJEM	\N	95	21542	UROK	\N	\N
3602072	2176	1994-02-28	PRIJEM	\N	180	55715	UROK	\N	\N
3602073	2176	1994-03-31	PRIJEM	\N	215	92225	UROK	\N	\N
3602074	2176	1994-04-30	PRIJEM	\N	320	94206	UROK	\N	\N
3602075	2176	1994-05-31	PRIJEM	\N	176	22114	UROK	\N	\N
3602076	2176	1994-06-30	PRIJEM	\N	117	7885	UROK	\N	\N
3602077	2176	1994-07-31	PRIJEM	\N	45	19493	UROK	\N	\N
3602078	2176	1994-08-31	PRIJEM	\N	114	33903	UROK	\N	\N
3602079	2176	1994-09-30	PRIJEM	\N	254	32587	UROK	\N	\N
3602080	2176	1994-10-31	PRIJEM	\N	214	29898	UROK	\N	\N
3602081	2176	1994-11-30	PRIJEM	\N	259	46517	UROK	\N	\N
3602082	2176	1994-12-31	PRIJEM	\N	233	48152	UROK	\N	\N
3602083	2176	1995-01-31	PRIJEM	\N	113	21022	UROK	\N	\N
3602084	2176	1995-02-28	PRIJEM	\N	171	31481	UROK	\N	\N
3602085	2176	1995-03-31	PRIJEM	\N	102	20344	UROK	\N	\N
3602086	2176	1995-04-30	PRIJEM	\N	49	12750	UROK	\N	\N
3602087	2176	1995-05-31	PRIJEM	\N	197	41987	UROK	\N	\N
3602088	2176	1995-06-30	PRIJEM	\N	133	23978	UROK	\N	\N
3602089	2176	1995-07-31	PRIJEM	\N	70	48710	UROK	\N	\N
3602090	2176	1995-08-31	PRIJEM	\N	143	21710	UROK	\N	\N
3602091	2176	1995-09-30	PRIJEM	\N	90	16139	UROK	\N	\N
3602092	2176	1995-10-31	PRIJEM	\N	70	15813	UROK	\N	\N
3602093	2176	1995-11-30	PRIJEM	\N	49	10535	UROK	\N	\N
3602094	2176	1995-12-31	PRIJEM	\N	26	4327	UROK	\N	\N
3602095	2176	1996-01-31	PRIJEM	\N	6	-1902	UROK	\N	\N
3602096	2176	1996-01-31	VYDAJ	VYBER	12	-1929	SANKC. UROK	\N	\N
3602097	2176	1996-02-29	PRIJEM	\N	86	14414	UROK	\N	\N
3602098	2176	1996-02-29	VYDAJ	VYBER	2	14412	SANKC. UROK	\N	\N
3602099	2176	1996-03-31	PRIJEM	\N	220	47786	UROK	\N	\N
3602100	2176	1996-04-30	PRIJEM	\N	172	26625	UROK	\N	\N
3602101	2176	1996-05-31	PRIJEM	\N	173	33105	UROK	\N	\N
3602102	2176	1996-06-30	PRIJEM	\N	144	23926	UROK	\N	\N
3602103	2176	1996-07-31	PRIJEM	\N	239	63957	UROK	\N	\N
3602104	2176	1996-08-31	PRIJEM	\N	173	21788	UROK	\N	\N
3602105	2176	1996-09-30	PRIJEM	\N	64	12156	UROK	\N	\N
3602106	2176	1996-10-31	PRIJEM	\N	53	15654	UROK	\N	\N
3602107	2176	1996-11-30	PRIJEM	\N	174	54146	UROK	\N	\N
3602108	2176	1996-12-31	PRIJEM	\N	131	21167	UROK	\N	\N
3602109	2176	1997-01-31	PRIJEM	\N	114	17735	UROK	\N	\N
3602110	2176	1997-02-28	PRIJEM	\N	68	13548	UROK	\N	\N
3602111	2176	1997-03-31	PRIJEM	\N	39	7352	UROK	\N	\N
3602112	2176	1997-04-30	PRIJEM	\N	13	1131	UROK	\N	\N
3602113	2176	1997-05-31	PRIJEM	\N	5	36	UROK	\N	\N
3602114	2176	1997-06-30	PRIJEM	\N	1	-1063	UROK	\N	\N
3602115	2176	1997-06-30	VYDAJ	VYBER	0	-1078	SANKC. UROK	\N	\N
3602116	2176	1997-07-31	VYDAJ	VYBER	10	-2187	SANKC. UROK	\N	\N
3602117	2176	1997-08-31	VYDAJ	VYBER	21	-3307	SANKC. UROK	\N	\N
3602118	2176	1997-09-30	PRIJEM	\N	37	11987	UROK	\N	\N
3602119	2176	1997-09-30	VYDAJ	VYBER	13	11960	SANKC. UROK	\N	\N
3602120	2176	1997-10-31	PRIJEM	\N	46	11486	UROK	\N	\N
3602121	2176	1997-11-30	PRIJEM	\N	30	5281	UROK	\N	\N
3602122	2176	1997-12-31	PRIJEM	\N	123	45767	UROK	\N	\N
3602123	2176	1997-12-31	VYDAJ	VYBER	1	45751	SANKC. UROK	\N	\N
3602124	2176	1998-01-31	PRIJEM	\N	39	2371	UROK	\N	\N
3602125	2176	1998-02-28	PRIJEM	\N	3	-3861	UROK	\N	\N
3602126	2176	1998-02-28	VYDAJ	VYBER	26	-3886	SANKC. UROK	\N	\N
3602127	2176	1998-03-31	PRIJEM	\N	24	6295	UROK	\N	\N
3602128	2176	1998-03-31	VYDAJ	VYBER	9	6286	SANKC. UROK	\N	\N
3602129	2176	1998-04-30	PRIJEM	\N	8	60	UROK	\N	\N
3602130	2176	1998-05-31	PRIJEM	\N	30	37018	UROK	\N	\N
3602131	2176	1998-06-30	PRIJEM	\N	63	9145	UROK	\N	\N
3602132	2176	1998-07-31	PRIJEM	\N	20	2931	UROK	\N	\N
3602133	2176	1998-08-31	PRIJEM	\N	12	1843	UROK	\N	\N
3602134	2176	1998-09-30	PRIJEM	\N	61	33932	UROK	\N	\N
3602135	2176	1998-10-31	PRIJEM	\N	54	5751	UROK	\N	\N
3602136	2176	1998-11-30	PRIJEM	\N	7	-476	UROK	\N	\N
3602137	2176	1998-11-30	VYDAJ	VYBER	4	-480	SANKC. UROK	\N	\N
3602138	2177	1993-01-31	PRIJEM	\N	22	5945	UROK	\N	\N
3602139	2177	1993-02-28	PRIJEM	\N	25	11092	UROK	\N	\N
3602140	2177	1993-03-31	PRIJEM	\N	25	16240	UROK	\N	\N
3602141	2177	1993-04-30	PRIJEM	\N	25	21388	UROK	\N	\N
3602142	2177	1993-05-31	PRIJEM	\N	86	23428	UROK	\N	\N
3602143	2177	1993-06-30	PRIJEM	\N	98	23317	UROK	\N	\N
3602144	2177	1993-07-31	PRIJEM	\N	99	22156	UROK	\N	\N
3602145	2177	1993-08-31	PRIJEM	\N	99	24196	UROK	\N	\N
3602146	2177	1993-09-30	PRIJEM	\N	108	26244	UROK	\N	\N
3602147	2177	1993-10-31	PRIJEM	\N	107	23491	UROK	\N	\N
3602148	2177	1993-11-30	PRIJEM	\N	104	24415	UROK	\N	\N
3602149	2177	1993-12-31	PRIJEM	\N	107	25962	UROK	\N	\N
3602150	2177	1994-01-31	PRIJEM	\N	94	16767	UROK	\N	\N
3602151	2177	1994-02-28	PRIJEM	\N	76	18784	UROK	\N	\N
3602152	2177	1994-03-31	PRIJEM	\N	85	20809	UROK	\N	\N
3602153	2177	1994-04-30	PRIJEM	\N	91	21420	UROK	\N	\N
3602154	2177	1994-05-31	PRIJEM	\N	96	22856	UROK	\N	\N
3602155	2177	1994-06-30	PRIJEM	\N	87	17734	UROK	\N	\N
3602156	2177	1994-07-31	PRIJEM	\N	75	18069	UROK	\N	\N
3602157	2177	1994-08-31	PRIJEM	\N	82	20091	UROK	\N	\N
3602158	2177	1994-09-30	PRIJEM	\N	90	21622	UROK	\N	\N
3602159	2177	1994-10-31	PRIJEM	\N	96	22458	UROK	\N	\N
3602160	2177	1994-11-30	PRIJEM	\N	100	24498	UROK	\N	\N
3602161	2177	1994-12-31	PRIJEM	\N	102	21041	UROK	\N	\N
3602162	2177	1995-01-31	PRIJEM	\N	72	15133	UROK	\N	\N
3602163	2177	1995-02-28	PRIJEM	\N	69	17143	UROK	\N	\N
3602164	2177	1995-03-31	PRIJEM	\N	78	19161	UROK	\N	\N
3602165	2177	1995-04-30	PRIJEM	\N	84	19086	UROK	\N	\N
3602166	2177	1995-05-31	PRIJEM	\N	81	18387	UROK	\N	\N
3602167	2177	1995-06-30	PRIJEM	\N	83	20411	UROK	\N	\N
3602168	2177	1995-07-31	PRIJEM	\N	89	21960	UROK	\N	\N
3602169	2177	1995-08-31	PRIJEM	\N	98	23998	UROK	\N	\N
3602170	2177	1995-09-30	PRIJEM	\N	94	22593	UROK	\N	\N
3602171	2177	1995-10-31	PRIJEM	\N	96	21909	UROK	\N	\N
3602172	2177	1995-11-30	PRIJEM	\N	97	23947	UROK	\N	\N
3602173	2177	1995-12-31	PRIJEM	\N	104	24991	UROK	\N	\N
3602174	2177	1996-01-31	PRIJEM	\N	86	15007	UROK	\N	\N
3602175	2177	1996-02-29	PRIJEM	\N	68	17016	UROK	\N	\N
3602176	2177	1996-03-31	PRIJEM	\N	77	19033	UROK	\N	\N
3602177	2177	1996-04-30	PRIJEM	\N	83	20416	UROK	\N	\N
3602178	2177	1996-05-31	PRIJEM	\N	91	22448	UROK	\N	\N
3602179	2177	1996-06-30	PRIJEM	\N	97	23185	UROK	\N	\N
3602180	2177	1996-07-31	PRIJEM	\N	100	24125	UROK	\N	\N
3602181	2177	1996-08-31	PRIJEM	\N	99	22764	UROK	\N	\N
3602182	2177	1996-09-30	PRIJEM	\N	94	22099	UROK	\N	\N
3602183	2177	1996-10-31	PRIJEM	\N	98	24137	UROK	\N	\N
3602184	2177	1996-11-30	PRIJEM	\N	93	20470	UROK	\N	\N
3602185	2177	1996-12-31	PRIJEM	\N	78	15808	UROK	\N	\N
3602186	2177	1997-01-31	PRIJEM	\N	66	15655	UROK	\N	\N
3602187	2177	1997-02-28	PRIJEM	\N	63	14557	UROK	\N	\N
3602188	2177	1997-03-31	PRIJEM	\N	63	15681	UROK	\N	\N
3602189	2177	1997-04-30	PRIJEM	\N	70	17692	UROK	\N	\N
3602190	2177	1997-05-31	PRIJEM	\N	79	19711	UROK	\N	\N
3602191	2177	1997-06-30	PRIJEM	\N	86	20057	UROK	\N	\N
3602192	2177	1997-07-31	PRIJEM	\N	72	15769	UROK	\N	\N
3602193	2177	1997-08-31	PRIJEM	\N	71	17780	UROK	\N	\N
3602194	2177	1997-09-30	PRIJEM	\N	79	19799	UROK	\N	\N
3602195	2177	1997-10-31	PRIJEM	\N	64	14104	UROK	\N	\N
3602196	2177	1997-11-30	PRIJEM	\N	63	16108	UROK	\N	\N
3602197	2177	1997-12-31	PRIJEM	\N	70	17417	UROK	\N	\N
3602198	2177	1998-01-31	PRIJEM	\N	68	16205	UROK	\N	\N
3602199	2177	1998-02-28	PRIJEM	\N	72	18218	UROK	\N	\N
3602200	2177	1998-03-31	PRIJEM	\N	80	20238	UROK	\N	\N
3602201	2177	1998-04-30	PRIJEM	\N	85	20663	UROK	\N	\N
3602202	2177	1998-05-31	PRIJEM	\N	90	22694	UROK	\N	\N
3602203	2177	1998-06-30	PRIJEM	\N	99	24733	UROK	\N	\N
3602204	2177	1998-07-31	PRIJEM	\N	107	26780	UROK	\N	\N
3602205	2177	1998-08-31	PRIJEM	\N	116	28836	UROK	\N	\N
3602206	2177	1998-09-30	PRIJEM	\N	124	30901	UROK	\N	\N
3602207	2177	1998-10-31	PRIJEM	\N	133	32973	UROK	\N	\N
3602208	2177	1998-11-30	PRIJEM	\N	141	35055	UROK	\N	\N
3602209	2177	1998-12-31	PRIJEM	\N	143	32458	UROK	\N	\N
3602210	2178	1995-06-30	PRIJEM	\N	66	27999	UROK	\N	\N
3602211	2178	1995-07-31	PRIJEM	\N	141	38194	UROK	\N	\N
3602212	2178	1995-08-31	PRIJEM	\N	172	43321	UROK	\N	\N
3602213	2178	1995-09-30	PRIJEM	\N	194	48670	UROK	\N	\N
3602214	2178	1995-10-31	PRIJEM	\N	217	46582	UROK	\N	\N
3602215	2178	1995-11-30	PRIJEM	\N	183	39787	UROK	\N	\N
3602216	2178	1995-12-31	PRIJEM	\N	192	42838	UROK	\N	\N
3602217	2178	1996-01-31	PRIJEM	\N	156	27316	UROK	\N	\N
3602218	2178	1996-02-29	PRIJEM	\N	128	30925	UROK	\N	\N
3602219	2178	1996-03-31	PRIJEM	\N	133	31739	UROK	\N	\N
3602220	2178	1996-04-30	PRIJEM	\N	137	29557	UROK	\N	\N
3602221	2178	1996-05-31	PRIJEM	\N	137	32356	UROK	\N	\N
3602222	2178	1996-06-30	PRIJEM	\N	127	18581	UROK	\N	\N
3602223	2178	1996-07-31	PRIJEM	\N	111	25914	UROK	\N	\N
3602224	2178	1996-08-31	PRIJEM	\N	130	29325	UROK	\N	\N
3602225	2178	1996-09-30	PRIJEM	\N	142	32028	UROK	\N	\N
3602226	2178	1996-10-31	PRIJEM	\N	163	38772	UROK	\N	\N
3602227	2178	1996-11-30	PRIJEM	\N	206	47640	UROK	\N	\N
3602228	2178	1996-12-31	PRIJEM	\N	262	64620	UROK	\N	\N
3602229	2178	1997-01-31	PRIJEM	\N	229	47211	UROK	\N	\N
3602230	2178	1997-02-28	PRIJEM	\N	238	56271	UROK	\N	\N
3602231	2178	1997-03-31	PRIJEM	\N	256	57688	UROK	\N	\N
3602232	2178	1997-04-30	PRIJEM	\N	270	64639	UROK	\N	\N
3602233	2178	1997-05-31	PRIJEM	\N	265	62086	UROK	\N	\N
3602234	2178	1997-06-30	PRIJEM	\N	289	55474	UROK	\N	\N
3602235	2178	1997-07-31	PRIJEM	\N	244	57459	UROK	\N	\N
3602236	2178	1997-08-31	PRIJEM	\N	256	60997	UROK	\N	\N
3602237	2178	1997-09-30	PRIJEM	\N	273	65052	UROK	\N	\N
3602238	2178	1997-10-31	PRIJEM	\N	280	67013	UROK	\N	\N
3602239	2178	1997-11-30	PRIJEM	\N	256	67811	UROK	\N	\N
3602240	2178	1997-12-31	PRIJEM	\N	288	61358	UROK	\N	\N
3602241	2178	1998-01-31	PRIJEM	\N	276	48955	UROK	\N	\N
3602242	2178	1998-02-28	PRIJEM	\N	238	63973	UROK	\N	\N
3602243	2178	1998-03-31	PRIJEM	\N	233	47208	UROK	\N	\N
3602244	2178	1998-04-30	PRIJEM	\N	229	45519	UROK	\N	\N
3602245	2178	1998-05-31	PRIJEM	\N	221	41920	UROK	\N	\N
3602246	2178	1998-06-30	PRIJEM	\N	230	43950	UROK	\N	\N
3602247	2178	1998-07-31	PRIJEM	\N	206	45517	UROK	\N	\N
3602248	2178	1998-08-31	PRIJEM	\N	218	45915	UROK	\N	\N
3602249	2178	1998-09-30	PRIJEM	\N	218	46715	UROK	\N	\N
3602250	2178	1998-10-31	PRIJEM	\N	216	41853	UROK	\N	\N
3602251	2178	1998-11-30	PRIJEM	\N	197	39631	UROK	\N	\N
3602252	2178	1998-12-31	PRIJEM	\N	221	59211	UROK	\N	\N
3602253	2179	1995-01-31	PRIJEM	\N	137	72768	UROK	\N	\N
3602254	2179	1995-02-28	PRIJEM	\N	303	49470	UROK	\N	\N
3602255	2179	1995-03-31	PRIJEM	\N	303	37873	UROK	\N	\N
3602256	2179	1995-04-30	PRIJEM	\N	289	66401	UROK	\N	\N
3602257	2179	1995-05-31	PRIJEM	\N	276	46876	UROK	\N	\N
3602258	2179	1995-06-30	PRIJEM	\N	318	80211	UROK	\N	\N
3602259	2179	1995-07-31	PRIJEM	\N	333	56444	UROK	\N	\N
3602260	2179	1995-08-31	PRIJEM	\N	333	42277	UROK	\N	\N
3602261	2179	1995-09-30	PRIJEM	\N	273	51621	UROK	\N	\N
3602262	2179	1995-10-31	PRIJEM	\N	245	59776	UROK	\N	\N
3602263	2179	1995-11-30	PRIJEM	\N	208	42734	UROK	\N	\N
3602264	2179	1995-12-31	PRIJEM	\N	248	69139	UROK	\N	\N
3602265	2179	1996-01-31	PRIJEM	\N	295	62395	UROK	\N	\N
3602266	2179	1996-02-29	PRIJEM	\N	242	79047	UROK	\N	\N
3602267	2179	1996-03-31	PRIJEM	\N	229	48092	UROK	\N	\N
3602268	2179	1996-04-30	PRIJEM	\N	228	63595	UROK	\N	\N
3602269	2179	1996-05-31	PRIJEM	\N	257	73212	UROK	\N	\N
3602270	2179	1996-06-30	PRIJEM	\N	211	57351	UROK	\N	\N
3602271	2179	1996-07-31	PRIJEM	\N	128	28584	UROK	\N	\N
3602272	2179	1996-08-31	PRIJEM	\N	215	58898	UROK	\N	\N
3602273	2179	1996-09-30	PRIJEM	\N	260	83693	UROK	\N	\N
3602274	2179	1996-10-31	PRIJEM	\N	272	63300	UROK	\N	\N
3602275	2179	1996-11-30	PRIJEM	\N	242	53958	UROK	\N	\N
3602276	2179	1996-12-31	PRIJEM	\N	207	54872	UROK	\N	\N
3602277	2179	1997-01-31	PRIJEM	\N	159	40647	UROK	\N	\N
3602278	2179	1997-02-28	PRIJEM	\N	130	37314	UROK	\N	\N
3602279	2179	1997-03-31	PRIJEM	\N	113	39941	UROK	\N	\N
3602280	2179	1997-04-30	PRIJEM	\N	149	43907	UROK	\N	\N
3602281	2179	1997-05-31	PRIJEM	\N	107	36146	UROK	\N	\N
3602282	2179	1997-06-30	PRIJEM	\N	127	36889	UROK	\N	\N
3602283	2179	1997-07-31	PRIJEM	\N	139	40843	UROK	\N	\N
3602284	2179	1997-08-31	PRIJEM	\N	155	42014	UROK	\N	\N
3602285	2179	1997-09-30	PRIJEM	\N	148	40827	UROK	\N	\N
3602286	2179	1997-10-31	PRIJEM	\N	115	36657	UROK	\N	\N
3602287	2179	1997-11-30	PRIJEM	\N	147	45819	UROK	\N	\N
3602288	2179	1997-12-31	PRIJEM	\N	173	46209	UROK	\N	\N
3602289	2179	1998-01-31	PRIJEM	\N	257	56651	UROK	\N	\N
3602290	2179	1998-02-28	PRIJEM	\N	265	70791	UROK	\N	\N
3602291	2179	1998-03-31	PRIJEM	\N	344	85345	UROK	\N	\N
3602292	2179	1998-04-30	PRIJEM	\N	386	84023	UROK	\N	\N
3602293	2179	1998-05-31	PRIJEM	\N	366	83856	UROK	\N	\N
3602294	2179	1998-06-30	PRIJEM	\N	364	83310	UROK	\N	\N
3602295	2179	1998-07-31	PRIJEM	\N	372	72226	UROK	\N	\N
3602296	2179	1998-08-31	PRIJEM	\N	371	108250	UROK	\N	\N
3602297	2179	1998-09-30	PRIJEM	\N	370	83184	UROK	\N	\N
3602298	2179	1998-10-31	PRIJEM	\N	316	73116	UROK	\N	\N
3602299	2179	1998-11-30	PRIJEM	\N	291	73123	UROK	\N	\N
3602300	2179	1998-12-31	PRIJEM	\N	261	61130	UROK	\N	\N
3602301	2182	1997-08-31	PRIJEM	\N	50	17644	UROK	\N	\N
3602302	2182	1997-09-30	PRIJEM	\N	88	22826	UROK	\N	\N
3602303	2182	1997-10-31	PRIJEM	\N	113	29133	UROK	\N	\N
3602304	2182	1997-11-30	PRIJEM	\N	130	31957	UROK	\N	\N
3602305	2182	1997-12-31	PRIJEM	\N	145	31081	UROK	\N	\N
3602306	2182	1998-01-31	PRIJEM	\N	98	19137	UROK	\N	\N
3602307	2182	1998-02-28	PRIJEM	\N	109	27764	UROK	\N	\N
3602308	2182	1998-03-31	PRIJEM	\N	127	31188	UROK	\N	\N
3602309	2182	1998-04-30	PRIJEM	\N	132	31837	UROK	\N	\N
3602310	2182	1998-05-31	PRIJEM	\N	152	37907	UROK	\N	\N
3602311	2182	1998-06-30	PRIJEM	\N	166	13317	UROK	\N	\N
3602312	2182	1998-07-31	PRIJEM	\N	95	24729	UROK	\N	\N
3602313	2182	1998-08-31	PRIJEM	\N	119	27526	UROK	\N	\N
3602314	2182	1998-09-30	PRIJEM	\N	148	36591	UROK	\N	\N
3602315	2182	1998-10-31	PRIJEM	\N	148	34377	UROK	\N	\N
3602316	2182	1998-11-30	PRIJEM	\N	167	40661	UROK	\N	\N
3602317	2182	1998-12-31	PRIJEM	\N	191	45276	UROK	\N	\N
3602318	2184	1997-05-31	PRIJEM	\N	81	25239	UROK	\N	\N
3602319	2184	1997-06-30	PRIJEM	\N	223	62249	UROK	\N	\N
3602320	2184	1997-07-31	PRIJEM	\N	271	66077	UROK	\N	\N
3602321	2184	1997-08-31	PRIJEM	\N	269	64605	UROK	\N	\N
3602322	2184	1997-09-30	PRIJEM	\N	269	64731	UROK	\N	\N
3602323	2184	1997-10-31	PRIJEM	\N	249	59658	UROK	\N	\N
3602324	2184	1997-11-30	PRIJEM	\N	232	56069	UROK	\N	\N
3602325	2184	1997-12-31	PRIJEM	\N	248	59524	UROK	\N	\N
3602326	2184	1998-01-31	PRIJEM	\N	196	33219	UROK	\N	\N
3602327	2184	1998-02-28	PRIJEM	\N	171	41468	UROK	\N	\N
3602328	2184	1998-03-31	PRIJEM	\N	195	49141	UROK	\N	\N
3602329	2184	1998-04-30	PRIJEM	\N	202	49261	UROK	\N	\N
3602330	2184	1998-05-31	PRIJEM	\N	192	46492	UROK	\N	\N
3602331	2184	1998-06-30	PRIJEM	\N	225	21684	UROK	\N	\N
3602332	2184	1998-07-31	PRIJEM	\N	131	35794	UROK	\N	\N
3602333	2184	1998-08-31	PRIJEM	\N	138	23310	UROK	\N	\N
3602334	2184	1998-09-30	PRIJEM	\N	158	22147	UROK	\N	\N
3602335	2184	1998-10-31	PRIJEM	\N	151	19776	UROK	\N	\N
3602336	2184	1998-11-30	PRIJEM	\N	132	17046	UROK	\N	\N
3602337	2184	1998-12-31	PRIJEM	\N	167	46721	UROK	\N	\N
3602338	2185	1995-06-30	PRIJEM	\N	19	18999	UROK	\N	\N
3602339	2185	1995-07-31	PRIJEM	\N	86	22032	UROK	\N	\N
3602340	2185	1995-08-31	PRIJEM	\N	100	25379	UROK	\N	\N
3602341	2185	1995-09-30	PRIJEM	\N	110	27137	UROK	\N	\N
3602342	2185	1995-10-31	PRIJEM	\N	116	28739	UROK	\N	\N
3602343	2185	1995-11-30	PRIJEM	\N	123	29250	UROK	\N	\N
3602344	2185	1995-12-31	PRIJEM	\N	128	29275	UROK	\N	\N
3602345	2185	1996-01-31	PRIJEM	\N	99	18511	UROK	\N	\N
3602346	2185	1996-02-29	PRIJEM	\N	78	18156	UROK	\N	\N
3602347	2185	1996-03-31	PRIJEM	\N	81	20764	UROK	\N	\N
3602348	2185	1996-04-30	PRIJEM	\N	94	24106	UROK	\N	\N
3602349	2185	1996-05-31	PRIJEM	\N	100	24893	UROK	\N	\N
3602350	2185	1996-06-30	PRIJEM	\N	103	20644	UROK	\N	\N
3602351	2185	1996-07-31	PRIJEM	\N	94	23985	UROK	\N	\N
3602352	2185	1996-08-31	PRIJEM	\N	108	27340	UROK	\N	\N
3602353	2185	1996-09-30	PRIJEM	\N	121	30709	UROK	\N	\N
3602354	2185	1996-10-31	PRIJEM	\N	136	34091	UROK	\N	\N
3602355	2185	1996-11-30	PRIJEM	\N	150	37488	UROK	\N	\N
3602356	2185	1996-12-31	PRIJEM	\N	148	32774	UROK	\N	\N
3602357	2185	1997-01-31	PRIJEM	\N	114	22145	UROK	\N	\N
3602358	2185	1997-02-28	PRIJEM	\N	96	21569	UROK	\N	\N
3602359	2185	1997-03-31	PRIJEM	\N	97	24914	UROK	\N	\N
3602360	2185	1997-04-30	PRIJEM	\N	106	25707	UROK	\N	\N
3602361	2185	1997-05-31	PRIJEM	\N	105	23659	UROK	\N	\N
3602362	2185	1997-06-30	PRIJEM	\N	105	23612	UROK	\N	\N
3602363	2185	1997-07-31	PRIJEM	\N	106	26965	UROK	\N	\N
3602364	2185	1997-08-31	PRIJEM	\N	120	30332	UROK	\N	\N
3602365	2185	1997-09-30	PRIJEM	\N	133	33713	UROK	\N	\N
3602366	2185	1997-10-31	PRIJEM	\N	138	34178	UROK	\N	\N
3602367	2185	1997-11-30	PRIJEM	\N	148	37373	UROK	\N	\N
3602368	2185	1997-12-31	PRIJEM	\N	161	39932	UROK	\N	\N
3602369	2185	1998-01-31	PRIJEM	\N	143	30922	UROK	\N	\N
3602370	2185	1998-02-28	PRIJEM	\N	135	34304	UROK	\N	\N
3602371	2185	1998-03-31	PRIJEM	\N	149	37701	UROK	\N	\N
3602372	2185	1998-04-30	PRIJEM	\N	150	37818	UROK	\N	\N
3602373	2185	1998-05-31	PRIJEM	\N	154	34840	UROK	\N	\N
3602374	2185	1998-06-30	PRIJEM	\N	125	23313	UROK	\N	\N
3602375	2185	1998-07-31	PRIJEM	\N	104	26664	UROK	\N	\N
3602376	2185	1998-08-31	PRIJEM	\N	108	26099	UROK	\N	\N
3602377	2185	1998-09-30	PRIJEM	\N	114	27461	UROK	\N	\N
3602378	2185	1998-10-31	PRIJEM	\N	121	30329	UROK	\N	\N
3602379	2185	1998-11-30	PRIJEM	\N	130	28006	UROK	\N	\N
3602380	2185	1998-12-31	PRIJEM	\N	119	30223	UROK	\N	\N
3602381	2186	1993-07-31	PRIJEM	\N	18	6510	UROK	\N	\N
3602382	2186	1993-08-31	PRIJEM	\N	27	12029	UROK	\N	\N
3602383	2186	1993-09-30	PRIJEM	\N	27	17548	UROK	\N	\N
3602384	2186	1993-10-31	PRIJEM	\N	27	23068	UROK	\N	\N
3602385	2186	1993-11-30	PRIJEM	\N	74	26350	UROK	\N	\N
3602386	2186	1993-12-31	PRIJEM	\N	117	27762	UROK	\N	\N
3602387	2186	1994-01-31	PRIJEM	\N	90	17786	UROK	\N	\N
3602388	2186	1994-02-28	PRIJEM	\N	81	21062	UROK	\N	\N
3602389	2186	1994-03-31	PRIJEM	\N	90	21466	UROK	\N	\N
3602390	2186	1994-04-30	PRIJEM	\N	93	22353	UROK	\N	\N
3602391	2186	1994-05-31	PRIJEM	\N	101	25648	UROK	\N	\N
3602392	2186	1994-06-30	PRIJEM	\N	83	13776	UROK	\N	\N
3602393	2186	1994-07-31	PRIJEM	\N	65	17035	UROK	\N	\N
3602394	2186	1994-08-31	PRIJEM	\N	77	18867	UROK	\N	\N
3602395	2186	1994-09-30	PRIJEM	\N	87	21588	UROK	\N	\N
3602396	2186	1994-10-31	PRIJEM	\N	98	24880	UROK	\N	\N
3602397	2186	1994-11-30	PRIJEM	\N	110	24384	UROK	\N	\N
3602398	2186	1994-12-31	PRIJEM	\N	107	24486	UROK	\N	\N
3602399	2186	1995-01-31	PRIJEM	\N	99	21019	UROK	\N	\N
3602400	2186	1995-02-28	PRIJEM	\N	95	24308	UROK	\N	\N
3602401	2186	1995-03-31	PRIJEM	\N	107	25330	UROK	\N	\N
3602402	2186	1995-04-30	PRIJEM	\N	112	25936	UROK	\N	\N
3602403	2186	1995-05-31	PRIJEM	\N	114	25544	UROK	\N	\N
3602404	2186	1995-06-30	PRIJEM	\N	82	14660	UROK	\N	\N
3602405	2186	1995-07-31	PRIJEM	\N	68	17923	UROK	\N	\N
3602406	2186	1995-08-31	PRIJEM	\N	81	17778	UROK	\N	\N
3602407	2186	1995-09-30	PRIJEM	\N	81	21053	UROK	\N	\N
3602408	2186	1995-10-31	PRIJEM	\N	91	22099	UROK	\N	\N
3602409	2186	1995-11-30	PRIJEM	\N	99	25392	UROK	\N	\N
3602410	2186	1995-12-31	PRIJEM	\N	112	27348	UROK	\N	\N
3602411	2186	1996-01-31	PRIJEM	\N	88	16851	UROK	\N	\N
3602412	2186	1996-02-29	PRIJEM	\N	77	20122	UROK	\N	\N
3602413	2186	1996-03-31	PRIJEM	\N	89	22206	UROK	\N	\N
3602414	2186	1996-04-30	PRIJEM	\N	99	25499	UROK	\N	\N
3602415	2186	1996-05-31	PRIJEM	\N	106	25520	UROK	\N	\N
3602416	2186	1996-06-30	PRIJEM	\N	93	17787	UROK	\N	\N
3602417	2186	1996-07-31	PRIJEM	\N	80	20262	UROK	\N	\N
3602418	2186	1996-08-31	PRIJEM	\N	91	23548	UROK	\N	\N
3602419	2186	1996-09-30	PRIJEM	\N	99	23641	UROK	\N	\N
3602420	2186	1996-10-31	PRIJEM	\N	105	26941	UROK	\N	\N
3602421	2186	1996-11-30	PRIJEM	\N	112	26347	UROK	\N	\N
3602422	2186	1996-12-31	PRIJEM	\N	115	28456	UROK	\N	\N
3602423	2186	1997-01-31	PRIJEM	\N	106	19616	UROK	\N	\N
3602424	2186	1997-02-28	PRIJEM	\N	79	18970	UROK	\N	\N
3602425	2186	1997-03-31	PRIJEM	\N	86	22250	UROK	\N	\N
3602426	2186	1997-04-30	PRIJEM	\N	99	25543	UROK	\N	\N
3602427	2186	1997-05-31	PRIJEM	\N	112	28650	UROK	\N	\N
3602428	2186	1997-06-30	PRIJEM	\N	114	26559	UROK	\N	\N
3602429	2186	1997-07-31	PRIJEM	\N	115	28868	UROK	\N	\N
3602430	2186	1997-08-31	PRIJEM	\N	119	28961	UROK	\N	\N
3602431	2186	1997-09-30	PRIJEM	\N	110	25366	UROK	\N	\N
3602432	2186	1997-10-31	PRIJEM	\N	111	22971	UROK	\N	\N
3602433	2186	1997-11-30	PRIJEM	\N	84	19150	UROK	\N	\N
3602434	2186	1997-12-31	PRIJEM	\N	71	15765	UROK	\N	\N
3602435	2186	1998-01-31	PRIJEM	\N	66	15986	UROK	\N	\N
3602436	2186	1998-02-28	PRIJEM	\N	65	15245	UROK	\N	\N
3602437	2186	1998-03-31	PRIJEM	\N	69	18509	UROK	\N	\N
3602438	2186	1998-04-30	PRIJEM	\N	82	21785	UROK	\N	\N
3602439	2186	1998-05-31	PRIJEM	\N	84	17784	UROK	\N	\N
3602440	2186	1998-06-30	PRIJEM	\N	75	18293	UROK	\N	\N
3602441	2186	1998-07-31	PRIJEM	\N	81	21569	UROK	\N	\N
3602442	2186	1998-08-31	PRIJEM	\N	95	24859	UROK	\N	\N
3602443	2186	1998-09-30	PRIJEM	\N	105	25917	UROK	\N	\N
3602444	2186	1998-10-31	PRIJEM	\N	100	23532	UROK	\N	\N
3602445	2186	1998-11-30	PRIJEM	\N	103	26829	UROK	\N	\N
3602446	2186	1998-12-31	PRIJEM	\N	116	29290	UROK	\N	\N
3602447	2187	1996-03-31	PRIJEM	\N	23	33990	UROK	\N	\N
3602448	2187	1996-04-30	PRIJEM	\N	156	78893	UROK	\N	\N
3602449	2187	1996-05-31	PRIJEM	\N	465	58705	UROK	\N	\N
3602450	2187	1996-06-30	PRIJEM	\N	235	39427	UROK	\N	\N
3602451	2187	1996-07-31	PRIJEM	\N	263	47068	UROK	\N	\N
3602452	2187	1996-08-31	PRIJEM	\N	265	62716	UROK	\N	\N
3602453	2187	1996-09-30	PRIJEM	\N	239	43425	UROK	\N	\N
3602454	2187	1996-10-31	PRIJEM	\N	138	42870	UROK	\N	\N
3602455	2187	1996-11-30	PRIJEM	\N	224	84156	UROK	\N	\N
3602456	2187	1996-12-31	PRIJEM	\N	322	47295	UROK	\N	\N
3602457	2187	1997-01-31	PRIJEM	\N	259	76294	UROK	\N	\N
3602458	2187	1997-02-28	PRIJEM	\N	280	49344	UROK	\N	\N
3602459	2187	1997-03-31	PRIJEM	\N	179	25593	UROK	\N	\N
3602460	2187	1997-04-30	PRIJEM	\N	129	32157	UROK	\N	\N
3602461	2187	1997-05-31	PRIJEM	\N	176	78855	UROK	\N	\N
3602462	2187	1997-06-30	PRIJEM	\N	291	54322	UROK	\N	\N
3602463	2187	1997-07-31	PRIJEM	\N	320	38722	UROK	\N	\N
3602464	2187	1997-08-31	PRIJEM	\N	236	38480	UROK	\N	\N
3602465	2187	1997-09-30	PRIJEM	\N	262	108678	UROK	\N	\N
3602466	2187	1997-10-31	PRIJEM	\N	366	64314	UROK	\N	\N
3602467	2187	1997-11-30	PRIJEM	\N	230	46035	UROK	\N	\N
3602468	2187	1997-12-31	PRIJEM	\N	274	73164	UROK	\N	\N
3602469	2187	1998-01-31	PRIJEM	\N	277	68099	UROK	\N	\N
3602470	2187	1998-02-28	PRIJEM	\N	235	46448	UROK	\N	\N
3602471	2187	1998-03-31	PRIJEM	\N	177	43074	UROK	\N	\N
3602472	2187	1998-04-30	PRIJEM	\N	153	33841	UROK	\N	\N
3602473	2187	1998-05-31	PRIJEM	\N	133	31788	UROK	\N	\N
3602474	2187	1998-06-30	PRIJEM	\N	186	50683	UROK	\N	\N
3602475	2187	1998-07-31	PRIJEM	\N	233	72217	UROK	\N	\N
3602476	2187	1998-08-31	PRIJEM	\N	354	110311	UROK	\N	\N
3602477	2187	1998-09-30	PRIJEM	\N	443	116322	UROK	\N	\N
3602478	2187	1998-10-31	PRIJEM	\N	308	70581	UROK	\N	\N
3602479	2187	1998-11-30	PRIJEM	\N	298	96312	UROK	\N	\N
3602480	2187	1998-12-31	PRIJEM	\N	379	108556	UROK	\N	\N
3602481	2189	1993-05-31	PRIJEM	\N	32	23614	UROK	\N	\N
3602482	2189	1993-06-30	PRIJEM	\N	122	40408	UROK	\N	\N
3602483	2189	1993-07-31	PRIJEM	\N	172	43162	UROK	\N	\N
3602484	2189	1993-08-31	PRIJEM	\N	178	42622	UROK	\N	\N
3602485	2189	1993-09-30	PRIJEM	\N	193	43593	UROK	\N	\N
3602486	2189	1993-10-31	PRIJEM	\N	192	43496	UROK	\N	\N
3602487	2189	1993-11-30	PRIJEM	\N	185	40793	UROK	\N	\N
3602488	2189	1993-12-31	PRIJEM	\N	194	43590	UROK	\N	\N
3602489	2189	1994-01-31	PRIJEM	\N	183	41184	UROK	\N	\N
3602490	2189	1994-02-28	PRIJEM	\N	177	41473	UROK	\N	\N
3602491	2189	1994-03-31	PRIJEM	\N	180	40965	UROK	\N	\N
3602492	2189	1994-04-30	PRIJEM	\N	171	36707	UROK	\N	\N
3602493	2189	1994-05-31	PRIJEM	\N	166	39784	UROK	\N	\N
3602494	2189	1994-06-30	PRIJEM	\N	181	43428	UROK	\N	\N
3602495	2189	1994-07-31	PRIJEM	\N	178	40117	UROK	\N	\N
3602496	2189	1994-08-31	PRIJEM	\N	168	39797	UROK	\N	\N
3602497	2189	1994-09-30	PRIJEM	\N	152	36059	UROK	\N	\N
3602498	2189	1994-10-31	PRIJEM	\N	153	35703	UROK	\N	\N
3602499	2189	1994-11-30	PRIJEM	\N	141	34056	UROK	\N	\N
3602500	2189	1994-12-31	PRIJEM	\N	148	38346	UROK	\N	\N
3602501	2189	1995-01-31	PRIJEM	\N	185	49643	UROK	\N	\N
3602502	2189	1995-02-28	PRIJEM	\N	216	55110	UROK	\N	\N
3602503	2189	1995-03-31	PRIJEM	\N	217	49938	UROK	\N	\N
3602504	2189	1995-04-30	PRIJEM	\N	206	49676	UROK	\N	\N
3602505	2189	1995-05-31	PRIJEM	\N	224	57911	UROK	\N	\N
3602506	2189	1995-06-30	PRIJEM	\N	267	71081	UROK	\N	\N
3602507	2189	1995-07-31	PRIJEM	\N	269	63961	UROK	\N	\N
3602508	2189	1995-08-31	PRIJEM	\N	263	66035	UROK	\N	\N
3602509	2189	1995-09-30	PRIJEM	\N	263	60050	UROK	\N	\N
3602510	2189	1995-10-31	PRIJEM	\N	247	62208	UROK	\N	\N
3602511	2189	1995-11-30	PRIJEM	\N	241	60360	UROK	\N	\N
3602512	2189	1995-12-31	PRIJEM	\N	270	70533	UROK	\N	\N
3602513	2189	1996-01-31	PRIJEM	\N	262	64206	UROK	\N	\N
3602514	2189	1996-02-29	PRIJEM	\N	262	66679	UROK	\N	\N
3602515	2189	1996-03-31	PRIJEM	\N	263	66054	UROK	\N	\N
3602516	2189	1996-04-30	PRIJEM	\N	255	63821	UROK	\N	\N
3602517	2189	1996-05-31	PRIJEM	\N	259	65891	UROK	\N	\N
3602518	2189	1996-06-30	PRIJEM	\N	259	65753	UROK	\N	\N
3602519	2189	1996-07-31	PRIJEM	\N	246	62510	UROK	\N	\N
3602520	2189	1996-08-31	PRIJEM	\N	254	64876	UROK	\N	\N
3602521	2189	1996-09-30	PRIJEM	\N	250	62637	UROK	\N	\N
3602522	2189	1996-10-31	PRIJEM	\N	242	60990	UROK	\N	\N
3602523	2189	1996-11-30	PRIJEM	\N	246	63048	UROK	\N	\N
3602524	2189	1996-12-31	PRIJEM	\N	284	75035	UROK	\N	\N
3602525	2189	1997-01-31	PRIJEM	\N	284	71330	UROK	\N	\N
3602526	2189	1997-02-28	PRIJEM	\N	246	67388	UROK	\N	\N
3602527	2189	1997-03-31	PRIJEM	\N	276	70676	UROK	\N	\N
3602528	2189	1997-04-30	PRIJEM	\N	271	64058	UROK	\N	\N
3602529	2189	1997-05-31	PRIJEM	\N	257	66226	UROK	\N	\N
3602530	2189	1997-06-30	PRIJEM	\N	213	44022	UROK	\N	\N
3602531	2189	1997-07-31	PRIJEM	\N	199	44032	UROK	\N	\N
3602532	2189	1997-08-31	PRIJEM	\N	214	49057	UROK	\N	\N
3602533	2189	1997-09-30	PRIJEM	\N	231	48699	UROK	\N	\N
3602534	2189	1997-10-31	PRIJEM	\N	228	48739	UROK	\N	\N
3602535	2189	1997-11-30	PRIJEM	\N	226	45876	UROK	\N	\N
3602536	2189	1997-12-31	PRIJEM	\N	223	48141	UROK	\N	\N
3602537	2189	1998-01-31	PRIJEM	\N	221	47773	UROK	\N	\N
3602538	2189	1998-02-28	PRIJEM	\N	220	48205	UROK	\N	\N
3602539	2189	1998-03-31	PRIJEM	\N	210	43707	UROK	\N	\N
3602540	2189	1998-04-30	PRIJEM	\N	207	49725	UROK	\N	\N
3602541	2189	1998-05-31	PRIJEM	\N	230	53067	UROK	\N	\N
3602542	2189	1998-06-30	PRIJEM	\N	204	52253	UROK	\N	\N
3602543	2189	1998-07-31	PRIJEM	\N	236	53800	UROK	\N	\N
3602544	2189	1998-08-31	PRIJEM	\N	244	58255	UROK	\N	\N
3602545	2189	1998-09-30	PRIJEM	\N	261	62427	UROK	\N	\N
3602546	2189	1998-10-31	PRIJEM	\N	271	60809	UROK	\N	\N
3602547	2189	1998-11-30	PRIJEM	\N	261	58281	UROK	\N	\N
3602548	2189	1998-12-31	PRIJEM	\N	271	61875	UROK	\N	\N
3602549	2190	1996-07-31	PRIJEM	\N	108	28454	UROK	\N	\N
3602550	2190	1996-08-31	PRIJEM	\N	172	33021	UROK	\N	\N
3602551	2190	1996-09-30	PRIJEM	\N	172	28693	UROK	\N	\N
3602552	2190	1996-10-31	PRIJEM	\N	172	24965	UROK	\N	\N
3602553	2190	1996-11-30	PRIJEM	\N	192	47641	UROK	\N	\N
3602554	2190	1996-12-31	PRIJEM	\N	191	45943	UROK	\N	\N
3602555	2190	1997-01-31	PRIJEM	\N	143	74619	UROK	\N	\N
3602556	2190	1997-02-28	PRIJEM	\N	365	105616	UROK	\N	\N
3602557	2190	1997-03-31	PRIJEM	\N	236	46301	UROK	\N	\N
3602558	2190	1997-04-30	PRIJEM	\N	123	23073	UROK	\N	\N
3602559	2190	1997-05-31	PRIJEM	\N	72	17694	UROK	\N	\N
3602560	2190	1997-06-30	PRIJEM	\N	70	43032	UROK	\N	\N
3602561	2190	1997-07-31	PRIJEM	\N	263	45384	UROK	\N	\N
3602562	2190	1997-08-31	PRIJEM	\N	295	59899	UROK	\N	\N
3602563	2190	1997-09-30	PRIJEM	\N	299	49633	UROK	\N	\N
3602564	2190	1997-10-31	PRIJEM	\N	190	30014	UROK	\N	\N
3602565	2190	1997-11-30	PRIJEM	\N	127	25297	UROK	\N	\N
3602566	2190	1997-12-31	PRIJEM	\N	85	26324	UROK	\N	\N
3602567	2190	1998-01-31	PRIJEM	\N	238	38787	UROK	\N	\N
3602568	2190	1998-02-28	PRIJEM	\N	200	59877	UROK	\N	\N
3602569	2190	1998-03-31	PRIJEM	\N	142	49124	UROK	\N	\N
3602570	2190	1998-04-30	PRIJEM	\N	316	63306	UROK	\N	\N
3602571	2190	1998-05-31	PRIJEM	\N	229	43683	UROK	\N	\N
3602572	2190	1998-06-30	PRIJEM	\N	218	82570	UROK	\N	\N
3602573	2190	1998-07-31	PRIJEM	\N	354	55758	UROK	\N	\N
3602574	2190	1998-08-31	PRIJEM	\N	210	45338	UROK	\N	\N
3602575	2190	1998-09-30	PRIJEM	\N	155	29442	UROK	\N	\N
3602576	2190	1998-10-31	PRIJEM	\N	202	43655	UROK	\N	\N
3602577	2190	1998-11-30	PRIJEM	\N	288	77604	UROK	\N	\N
3602578	2190	1998-12-31	PRIJEM	\N	335	86918	UROK	\N	\N
3602579	2191	1996-08-31	PRIJEM	\N	42	13973	UROK	\N	\N
3602580	2191	1996-09-30	PRIJEM	\N	113	31317	UROK	\N	\N
3602581	2191	1996-10-31	PRIJEM	\N	161	40808	UROK	\N	\N
3602582	2191	1996-11-30	PRIJEM	\N	181	44521	UROK	\N	\N
3602583	2191	1996-12-31	PRIJEM	\N	178	41832	UROK	\N	\N
3602584	2191	1997-01-31	PRIJEM	\N	153	20219	UROK	\N	\N
3602585	2191	1997-02-28	PRIJEM	\N	90	21664	UROK	\N	\N
3602586	2191	1997-03-31	PRIJEM	\N	82	15761	UROK	\N	\N
3602587	2191	1997-04-30	PRIJEM	\N	76	18311	UROK	\N	\N
3602588	2191	1997-05-31	PRIJEM	\N	83	19608	UROK	\N	\N
3602589	2191	1997-06-30	PRIJEM	\N	116	30044	UROK	\N	\N
3602590	2191	1997-07-31	PRIJEM	\N	107	24106	UROK	\N	\N
3602591	2191	1997-08-31	PRIJEM	\N	96	22256	UROK	\N	\N
3602592	2191	1997-09-30	PRIJEM	\N	92	21602	UROK	\N	\N
3602593	2191	1997-10-31	PRIJEM	\N	92	21949	UROK	\N	\N
3602594	2191	1997-11-30	PRIJEM	\N	82	18586	UROK	\N	\N
3602595	2191	1997-12-31	PRIJEM	\N	110	28715	UROK	\N	\N
3602596	2191	1998-01-31	PRIJEM	\N	77	12167	UROK	\N	\N
3602597	2191	1998-02-28	PRIJEM	\N	68	18589	UROK	\N	\N
3602598	2191	1998-03-31	PRIJEM	\N	79	18383	UROK	\N	\N
3602599	2191	1998-04-30	PRIJEM	\N	74	18011	UROK	\N	\N
3602600	2191	1998-05-31	PRIJEM	\N	73	16639	UROK	\N	\N
3602601	2191	1998-06-30	PRIJEM	\N	104	21363	UROK	\N	\N
3602602	2191	1998-07-31	PRIJEM	\N	93	16930	UROK	\N	\N
3602603	2191	1998-08-31	PRIJEM	\N	81	17865	UROK	\N	\N
3602604	2191	1998-09-30	PRIJEM	\N	81	11380	UROK	\N	\N
3602605	2191	1998-10-31	PRIJEM	\N	64	15799	UROK	\N	\N
3602606	2191	1998-11-30	PRIJEM	\N	73	13806	UROK	\N	\N
3602607	2191	1998-12-31	PRIJEM	\N	86	22971	UROK	\N	\N
3602608	2192	1996-04-30	PRIJEM	\N	36	25604	UROK	\N	\N
3602609	2192	1996-05-31	PRIJEM	\N	122	36394	UROK	\N	\N
3602610	2192	1996-06-30	PRIJEM	\N	163	44009	UROK	\N	\N
3602611	2192	1996-07-31	PRIJEM	\N	182	43559	UROK	\N	\N
3602612	2192	1996-08-31	PRIJEM	\N	179	42606	UROK	\N	\N
3602613	2192	1996-09-30	PRIJEM	\N	172	37353	UROK	\N	\N
3602614	2192	1996-10-31	PRIJEM	\N	143	30651	UROK	\N	\N
3602615	2192	1996-11-30	PRIJEM	\N	125	28251	UROK	\N	\N
3602616	2192	1996-12-31	PRIJEM	\N	119	26650	UROK	\N	\N
3602617	2192	1997-01-31	PRIJEM	\N	90	15735	UROK	\N	\N
3602618	2192	1997-02-28	PRIJEM	\N	64	16215	UROK	\N	\N
3602619	2192	1997-03-31	PRIJEM	\N	71	14181	UROK	\N	\N
3602620	2192	1997-04-30	PRIJEM	\N	62	15619	UROK	\N	\N
3602621	2192	1997-05-31	PRIJEM	\N	71	18265	UROK	\N	\N
3602622	2192	1997-06-30	PRIJEM	\N	86	23310	UROK	\N	\N
3602623	2192	1997-07-31	PRIJEM	\N	89	20674	UROK	\N	\N
3602624	2192	1997-08-31	PRIJEM	\N	73	16722	UROK	\N	\N
3602625	2192	1997-09-30	PRIJEM	\N	100	31197	UROK	\N	\N
3602626	2192	1997-10-31	PRIJEM	\N	133	34605	UROK	\N	\N
3602627	2192	1997-11-30	PRIJEM	\N	131	32711	UROK	\N	\N
3602628	2192	1997-12-31	PRIJEM	\N	184	55175	UROK	\N	\N
3602629	2192	1998-01-31	PRIJEM	\N	160	23810	UROK	\N	\N
3602630	2192	1998-02-28	PRIJEM	\N	124	35189	UROK	\N	\N
3602631	2192	1998-03-31	PRIJEM	\N	148	38913	UROK	\N	\N
3602632	2192	1998-04-30	PRIJEM	\N	143	33391	UROK	\N	\N
3602633	2192	1998-05-31	PRIJEM	\N	130	33696	UROK	\N	\N
3602634	2192	1998-06-30	PRIJEM	\N	161	47217	UROK	\N	\N
3602635	2192	1998-07-31	PRIJEM	\N	170	42462	UROK	\N	\N
3602636	2192	1998-08-31	PRIJEM	\N	143	36081	UROK	\N	\N
3602637	2192	1998-09-30	PRIJEM	\N	122	32578	UROK	\N	\N
3602638	2192	1998-10-31	PRIJEM	\N	117	31871	UROK	\N	\N
3602639	2192	1998-11-30	PRIJEM	\N	113	30959	UROK	\N	\N
3602640	2192	1998-12-31	PRIJEM	\N	184	52783	UROK	\N	\N
3602641	2193	1996-11-30	PRIJEM	\N	14	5935	UROK	\N	\N
3602642	2193	1996-12-31	PRIJEM	\N	70	24587	UROK	\N	\N
3602643	2193	1997-01-31	PRIJEM	\N	118	31326	UROK	\N	\N
3602644	2193	1997-02-28	PRIJEM	\N	136	34083	UROK	\N	\N
3602645	2193	1997-03-31	PRIJEM	\N	138	32442	UROK	\N	\N
3602646	2193	1997-04-30	PRIJEM	\N	105	26029	UROK	\N	\N
3602647	2193	1997-05-31	PRIJEM	\N	93	23804	UROK	\N	\N
3602648	2193	1997-06-30	PRIJEM	\N	84	22631	UROK	\N	\N
3602649	2193	1997-07-31	PRIJEM	\N	89	23303	UROK	\N	\N
3602650	2193	1997-08-31	PRIJEM	\N	69	15994	UROK	\N	\N
3602651	2193	1997-09-30	PRIJEM	\N	72	18749	UROK	\N	\N
3602652	2193	1997-10-31	PRIJEM	\N	84	21815	UROK	\N	\N
3602653	2193	1997-11-30	PRIJEM	\N	88	15746	UROK	\N	\N
3602654	2193	1997-12-31	PRIJEM	\N	75	16365	UROK	\N	\N
3602655	2193	1998-01-31	PRIJEM	\N	60	15427	UROK	\N	\N
3602656	2193	1998-02-28	PRIJEM	\N	69	17779	UROK	\N	\N
3602657	2193	1998-03-31	PRIJEM	\N	81	22542	UROK	\N	\N
3602658	2193	1998-04-30	PRIJEM	\N	94	18259	UROK	\N	\N
3602659	2193	1998-05-31	PRIJEM	\N	79	16720	UROK	\N	\N
3602660	2193	1998-06-30	PRIJEM	\N	79	18042	UROK	\N	\N
3602661	2193	1998-07-31	PRIJEM	\N	73	11497	UROK	\N	\N
3602662	2193	1998-08-31	PRIJEM	\N	53	14033	UROK	\N	\N
3602663	2193	1998-09-30	PRIJEM	\N	64	17180	UROK	\N	\N
3602664	2193	1998-10-31	PRIJEM	\N	75	17837	UROK	\N	\N
3602665	2193	1998-11-30	PRIJEM	\N	75	18374	UROK	\N	\N
3602666	2193	1998-12-31	PRIJEM	\N	89	23606	UROK	\N	\N
3602667	2194	1997-03-31	PRIJEM	\N	17	25703	UROK	\N	\N
3602668	2194	1997-04-30	PRIJEM	\N	115	37605	UROK	\N	\N
3602669	2194	1997-05-31	PRIJEM	\N	160	42651	UROK	\N	\N
3602670	2194	1997-06-30	PRIJEM	\N	182	48812	UROK	\N	\N
3602671	2194	1997-07-31	PRIJEM	\N	220	48432	UROK	\N	\N
3602672	2194	1997-08-31	PRIJEM	\N	210	45247	UROK	\N	\N
3602673	2194	1997-09-30	PRIJEM	\N	196	38409	UROK	\N	\N
3602674	2194	1997-10-31	PRIJEM	\N	176	39971	UROK	\N	\N
3602675	2194	1997-11-30	PRIJEM	\N	172	33188	UROK	\N	\N
3602676	2194	1997-12-31	PRIJEM	\N	163	32109	UROK	\N	\N
3602677	2194	1998-01-31	PRIJEM	\N	94	15188	UROK	\N	\N
3602678	2194	1998-02-28	PRIJEM	\N	86	23159	UROK	\N	\N
3602679	2194	1998-03-31	PRIJEM	\N	113	25558	UROK	\N	\N
3602680	2194	1998-04-30	PRIJEM	\N	121	26764	UROK	\N	\N
3602681	2194	1998-05-31	PRIJEM	\N	132	32381	UROK	\N	\N
3602682	2194	1998-06-30	PRIJEM	\N	169	37587	UROK	\N	\N
3602683	2194	1998-07-31	PRIJEM	\N	166	36838	UROK	\N	\N
3602684	2194	1998-08-31	PRIJEM	\N	162	36485	UROK	\N	\N
3602685	2194	1998-09-30	PRIJEM	\N	157	35228	UROK	\N	\N
3602686	2194	1998-10-31	PRIJEM	\N	146	30040	UROK	\N	\N
3602687	2194	1998-11-30	PRIJEM	\N	130	29555	UROK	\N	\N
3602688	2194	1998-12-31	PRIJEM	\N	160	42794	UROK	\N	\N
3602689	2196	1997-12-31	PRIJEM	\N	4	28129	UROK	\N	\N
3602690	2196	1998-01-31	PRIJEM	\N	109	20948	UROK	\N	\N
3602691	2196	1998-02-28	PRIJEM	\N	95	24393	UROK	\N	\N
3602692	2196	1998-03-31	PRIJEM	\N	109	26752	UROK	\N	\N
3602693	2196	1998-04-30	PRIJEM	\N	110	23512	UROK	\N	\N
3602694	2196	1998-05-31	PRIJEM	\N	106	26769	UROK	\N	\N
3602695	2196	1998-06-30	PRIJEM	\N	116	21435	UROK	\N	\N
3602696	2196	1998-07-31	PRIJEM	\N	92	21377	UROK	\N	\N
3602697	2196	1998-08-31	PRIJEM	\N	93	22300	UROK	\N	\N
3602698	2196	1998-09-30	PRIJEM	\N	95	22445	UROK	\N	\N
3602699	2196	1998-10-31	PRIJEM	\N	91	20587	UROK	\N	\N
3602700	2196	1998-11-30	PRIJEM	\N	84	20281	UROK	\N	\N
3602701	2196	1998-12-31	PRIJEM	\N	76	15707	UROK	\N	\N
3602702	2197	1997-08-31	PRIJEM	\N	21	22207	UROK	\N	\N
3602703	2197	1997-09-30	PRIJEM	\N	104	33696	UROK	\N	\N
3602704	2197	1997-10-31	PRIJEM	\N	147	40129	UROK	\N	\N
3602705	2197	1997-11-30	PRIJEM	\N	170	43385	UROK	\N	\N
3602706	2197	1997-12-31	PRIJEM	\N	195	43935	UROK	\N	\N
3602707	2197	1998-01-31	PRIJEM	\N	169	30852	UROK	\N	\N
3602708	2197	1998-02-28	PRIJEM	\N	136	31535	UROK	\N	\N
3602709	2197	1998-03-31	PRIJEM	\N	143	36425	UROK	\N	\N
3602710	2197	1998-04-30	PRIJEM	\N	159	37532	UROK	\N	\N
3602711	2197	1998-05-31	PRIJEM	\N	168	42547	UROK	\N	\N
3602712	2197	1998-06-30	PRIJEM	\N	186	40774	UROK	\N	\N
3602713	2197	1998-07-31	PRIJEM	\N	182	45903	UROK	\N	\N
3602714	2197	1998-08-31	PRIJEM	\N	206	53056	UROK	\N	\N
3602715	2197	1998-09-30	PRIJEM	\N	227	55131	UROK	\N	\N
3602716	2197	1998-10-31	PRIJEM	\N	229	53007	UROK	\N	\N
3602717	2197	1998-11-30	PRIJEM	\N	217	50071	UROK	\N	\N
3602718	2197	1998-12-31	PRIJEM	\N	236	59147	UROK	\N	\N
3602719	2199	1993-08-31	PRIJEM	\N	13	4860	UROK	\N	\N
3602720	2199	1993-09-30	PRIJEM	\N	53	17160	UROK	\N	\N
3602721	2199	1993-10-31	PRIJEM	\N	97	26904	UROK	\N	\N
3602722	2199	1993-11-30	PRIJEM	\N	113	27264	UROK	\N	\N
3602723	2199	1993-12-31	PRIJEM	\N	119	28829	UROK	\N	\N
3602724	2199	1994-01-31	PRIJEM	\N	94	21267	UROK	\N	\N
3602725	2199	1994-02-28	PRIJEM	\N	106	26117	UROK	\N	\N
3602726	2199	1994-03-31	PRIJEM	\N	115	28467	UROK	\N	\N
3602727	2199	1994-04-30	PRIJEM	\N	119	29321	UROK	\N	\N
3602728	2199	1994-05-31	PRIJEM	\N	118	28673	UROK	\N	\N
3602729	2199	1994-06-30	PRIJEM	\N	101	20618	UROK	\N	\N
3602730	2199	1994-07-31	PRIJEM	\N	89	24142	UROK	\N	\N
3602731	2199	1994-08-31	PRIJEM	\N	104	25980	UROK	\N	\N
3602732	2199	1994-09-30	PRIJEM	\N	109	26123	UROK	\N	\N
3602733	2199	1994-10-31	PRIJEM	\N	112	27969	UROK	\N	\N
3602734	2199	1994-11-30	PRIJEM	\N	119	28623	UROK	\N	\N
3602735	2199	1994-12-31	PRIJEM	\N	122	30069	UROK	\N	\N
3602736	2199	1995-01-31	PRIJEM	\N	110	24804	UROK	\N	\N
3602737	2199	1995-02-28	PRIJEM	\N	105	24233	UROK	\N	\N
3602738	2199	1995-03-31	PRIJEM	\N	103	26911	UROK	\N	\N
3602739	2199	1995-04-30	PRIJEM	\N	114	26559	UROK	\N	\N
3602740	2199	1995-05-31	PRIJEM	\N	114	28207	UROK	\N	\N
3602741	2199	1995-06-30	PRIJEM	\N	105	28896	UROK	\N	\N
3602742	2199	1995-07-31	PRIJEM	\N	122	29353	UROK	\N	\N
3602743	2199	1995-08-31	PRIJEM	\N	122	28419	UROK	\N	\N
3602744	2199	1995-09-30	PRIJEM	\N	121	30664	UROK	\N	\N
3602745	2199	1995-10-31	PRIJEM	\N	131	31479	UROK	\N	\N
3602746	2199	1995-11-30	PRIJEM	\N	132	31376	UROK	\N	\N
3602747	2199	1995-12-31	PRIJEM	\N	130	30280	UROK	\N	\N
3602748	2199	1996-01-31	PRIJEM	\N	117	27441	UROK	\N	\N
3602749	2199	1996-02-29	PRIJEM	\N	115	28320	UROK	\N	\N
3602750	2199	1996-03-31	PRIJEM	\N	120	29274	UROK	\N	\N
3602751	2199	1996-04-30	PRIJEM	\N	121	28730	UROK	\N	\N
3602752	2199	1996-05-31	PRIJEM	\N	120	28684	UROK	\N	\N
3602753	2199	1996-06-30	PRIJEM	\N	104	23532	UROK	\N	\N
3602754	2199	1996-07-31	PRIJEM	\N	99	24316	UROK	\N	\N
3602755	2199	1996-08-31	PRIJEM	\N	106	27357	UROK	\N	\N
3602756	2199	1996-09-30	PRIJEM	\N	114	28006	UROK	\N	\N
3602757	2199	1996-10-31	PRIJEM	\N	118	28958	UROK	\N	\N
3602758	2199	1996-11-30	PRIJEM	\N	114	27346	UROK	\N	\N
3602759	2199	1996-12-31	PRIJEM	\N	109	25949	UROK	\N	\N
3602760	2199	1997-01-31	PRIJEM	\N	93	20016	UROK	\N	\N
3602761	2199	1997-02-28	PRIJEM	\N	75	17505	UROK	\N	\N
3602762	2199	1997-03-31	PRIJEM	\N	77	20217	UROK	\N	\N
3602763	2199	1997-04-30	PRIJEM	\N	82	19833	UROK	\N	\N
3602764	2199	1997-05-31	PRIJEM	\N	75	17042	UROK	\N	\N
3602765	2199	1997-06-30	PRIJEM	\N	71	17387	UROK	\N	\N
3602766	2199	1997-07-31	PRIJEM	\N	62	14084	UROK	\N	\N
3602767	2199	1997-08-31	PRIJEM	\N	53	12771	UROK	\N	\N
3602768	2199	1997-09-30	PRIJEM	\N	54	14060	UROK	\N	\N
3602769	2199	1997-10-31	PRIJEM	\N	59	15123	UROK	\N	\N
3602770	2199	1997-11-30	PRIJEM	\N	66	17023	UROK	\N	\N
3602771	2199	1997-12-31	PRIJEM	\N	76	20124	UROK	\N	\N
3602772	2199	1998-01-31	PRIJEM	\N	76	18374	UROK	\N	\N
3602773	2199	1998-02-28	PRIJEM	\N	84	22093	UROK	\N	\N
3602774	2199	1998-03-31	PRIJEM	\N	104	27531	UROK	\N	\N
3602775	2199	1998-04-30	PRIJEM	\N	123	31789	UROK	\N	\N
3602776	2199	1998-05-31	PRIJEM	\N	113	26646	UROK	\N	\N
3602777	2199	1998-06-30	PRIJEM	\N	92	17473	UROK	\N	\N
3602778	2199	1998-07-31	PRIJEM	\N	73	18880	UROK	\N	\N
3602779	2199	1998-08-31	PRIJEM	\N	77	19401	UROK	\N	\N
3602780	2199	1998-09-30	PRIJEM	\N	62	14888	UROK	\N	\N
3602781	2199	1998-10-31	PRIJEM	\N	62	16184	UROK	\N	\N
3602782	2199	1998-11-30	PRIJEM	\N	67	16496	UROK	\N	\N
3602783	2199	1998-12-31	PRIJEM	\N	64	16554	UROK	\N	\N
3602784	2200	1997-07-31	PRIJEM	\N	14	17313	UROK	\N	\N
3602785	2200	1997-08-31	PRIJEM	\N	82	27794	UROK	\N	\N
3602786	2200	1997-09-30	PRIJEM	\N	116	28409	UROK	\N	\N
3602787	2200	1997-10-31	PRIJEM	\N	119	29727	UROK	\N	\N
3602788	2200	1997-11-30	PRIJEM	\N	126	32252	UROK	\N	\N
3602789	2200	1997-12-31	PRIJEM	\N	152	32538	UROK	\N	\N
3602790	2200	1998-01-31	PRIJEM	\N	135	32157	UROK	\N	\N
3602791	2200	1998-02-28	PRIJEM	\N	144	33886	UROK	\N	\N
3602792	2200	1998-03-31	PRIJEM	\N	146	38316	UROK	\N	\N
3602793	2200	1998-04-30	PRIJEM	\N	162	40563	UROK	\N	\N
3602794	2200	1998-05-31	PRIJEM	\N	173	43820	UROK	\N	\N
3602795	2200	1998-06-30	PRIJEM	\N	174	33728	UROK	\N	\N
3602796	2200	1998-07-31	PRIJEM	\N	147	33659	UROK	\N	\N
3602797	2200	1998-08-31	PRIJEM	\N	145	36889	UROK	\N	\N
3602798	2200	1998-09-30	PRIJEM	\N	152	35925	UROK	\N	\N
3602799	2200	1998-10-31	PRIJEM	\N	157	38666	UROK	\N	\N
3602800	2200	1998-11-30	PRIJEM	\N	159	38010	UROK	\N	\N
3602801	2200	1998-12-31	PRIJEM	\N	192	52835	UROK	\N	\N
3602802	2201	1993-10-31	PRIJEM	\N	8	3452	UROK	\N	\N
3602803	2201	1993-11-30	PRIJEM	\N	14	6611	UROK	\N	\N
3602804	2201	1993-12-31	PRIJEM	\N	14	9769	UROK	\N	\N
3602805	2201	1994-01-31	PRIJEM	\N	14	12927	UROK	\N	\N
3602806	2201	1994-02-28	PRIJEM	\N	42	15765	UROK	\N	\N
3602807	2201	1994-03-31	PRIJEM	\N	67	16865	UROK	\N	\N
3602808	2201	1994-04-30	PRIJEM	\N	72	17971	UROK	\N	\N
3602809	2201	1994-05-31	PRIJEM	\N	76	19080	UROK	\N	\N
3602810	2201	1994-06-30	PRIJEM	\N	62	13726	UROK	\N	\N
3602811	2201	1994-07-31	PRIJEM	\N	59	14819	UROK	\N	\N
3602812	2201	1994-08-31	PRIJEM	\N	64	15916	UROK	\N	\N
3602813	2201	1994-09-30	PRIJEM	\N	67	16686	UROK	\N	\N
3602814	2201	1994-10-31	PRIJEM	\N	71	17580	UROK	\N	\N
3602815	2201	1994-11-30	PRIJEM	\N	75	18689	UROK	\N	\N
3602816	2201	1994-12-31	PRIJEM	\N	77	19290	UROK	\N	\N
3602817	2201	1995-01-31	PRIJEM	\N	72	16945	UROK	\N	\N
3602818	2201	1995-02-28	PRIJEM	\N	68	16996	UROK	\N	\N
3602819	2201	1995-03-31	PRIJEM	\N	72	17892	UROK	\N	\N
3602820	2201	1995-04-30	PRIJEM	\N	77	19001	UROK	\N	\N
3602821	2201	1995-05-31	PRIJEM	\N	80	20115	UROK	\N	\N
3602822	2201	1995-06-30	PRIJEM	\N	81	17750	UROK	\N	\N
3602823	2201	1995-07-31	PRIJEM	\N	71	17504	UROK	\N	\N
3602824	2201	1995-08-31	PRIJEM	\N	73	17591	UROK	\N	\N
3602825	2201	1995-09-30	PRIJEM	\N	75	18700	UROK	\N	\N
3602826	2201	1995-10-31	PRIJEM	\N	80	19813	UROK	\N	\N
3602827	2201	1995-11-30	PRIJEM	\N	83	20929	UROK	\N	\N
3602828	2201	1995-12-31	PRIJEM	\N	86	21358	UROK	\N	\N
3602829	2201	1996-01-31	PRIJEM	\N	75	17127	UROK	\N	\N
3602830	2201	1996-02-29	PRIJEM	\N	74	18234	UROK	\N	\N
3602831	2201	1996-03-31	PRIJEM	\N	78	19345	UROK	\N	\N
3602832	2201	1996-04-30	PRIJEM	\N	79	19317	UROK	\N	\N
3602833	2201	1996-05-31	PRIJEM	\N	79	18990	UROK	\N	\N
3602834	2201	1996-06-30	PRIJEM	\N	79	19082	UROK	\N	\N
3602835	2201	1996-07-31	PRIJEM	\N	78	19024	UROK	\N	\N
3602836	2201	1996-08-31	PRIJEM	\N	81	20138	UROK	\N	\N
3602837	2201	1996-09-30	PRIJEM	\N	84	21255	UROK	\N	\N
3602838	2201	1996-10-31	PRIJEM	\N	90	22139	UROK	\N	\N
3602839	2201	1996-11-30	PRIJEM	\N	88	19760	UROK	\N	\N
3602840	2201	1996-12-31	PRIJEM	\N	82	19706	UROK	\N	\N
3602841	2201	1997-01-31	PRIJEM	\N	70	14539	UROK	\N	\N
3602842	2201	1997-02-28	PRIJEM	\N	57	13329	UROK	\N	\N
3602843	2201	1997-03-31	PRIJEM	\N	55	13917	UROK	\N	\N
3602844	2201	1997-04-30	PRIJEM	\N	58	15009	UROK	\N	\N
3602845	2201	1997-05-31	PRIJEM	\N	60	14813	UROK	\N	\N
3602846	2201	1997-06-30	PRIJEM	\N	63	15909	UROK	\N	\N
3602847	2201	1997-07-31	PRIJEM	\N	67	17009	UROK	\N	\N
3602848	2201	1997-08-31	PRIJEM	\N	71	18014	UROK	\N	\N
3602849	2201	1997-09-30	PRIJEM	\N	66	15413	UROK	\N	\N
3602850	2201	1997-10-31	PRIJEM	\N	65	13911	UROK	\N	\N
3602851	2201	1997-11-30	PRIJEM	\N	59	15003	UROK	\N	\N
3602852	2201	1997-12-31	PRIJEM	\N	64	16101	UROK	\N	\N
3602853	2201	1998-01-31	PRIJEM	\N	65	15279	UROK	\N	\N
3602854	2201	1998-02-28	PRIJEM	\N	64	16376	UROK	\N	\N
3602855	2201	1998-03-31	PRIJEM	\N	64	15364	UROK	\N	\N
3602856	2201	1998-04-30	PRIJEM	\N	64	16461	UROK	\N	\N
3602857	2201	1998-05-31	PRIJEM	\N	66	16600	UROK	\N	\N
3602858	2201	1998-06-30	PRIJEM	\N	67	16200	UROK	\N	\N
3602859	2201	1998-07-31	PRIJEM	\N	68	17302	UROK	\N	\N
3602860	2201	1998-08-31	PRIJEM	\N	68	17083	UROK	\N	\N
3602861	2201	1998-09-30	PRIJEM	\N	71	18188	UROK	\N	\N
3602862	2201	1998-10-31	PRIJEM	\N	72	18094	UROK	\N	\N
3602863	2201	1998-11-30	PRIJEM	\N	66	16392	UROK	\N	\N
3602864	2201	1998-12-31	PRIJEM	\N	68	16953	UROK	\N	\N
3602865	2203	1995-04-30	PRIJEM	\N	25	7511	UROK	\N	\N
3602866	2203	1995-05-31	PRIJEM	\N	31	14228	UROK	\N	\N
3602867	2203	1995-06-30	PRIJEM	\N	31	20945	UROK	\N	\N
3602868	2203	1995-07-31	PRIJEM	\N	31	27663	UROK	\N	\N
3602869	2203	1995-08-31	PRIJEM	\N	109	29958	UROK	\N	\N
3602870	2203	1995-09-30	PRIJEM	\N	126	30135	UROK	\N	\N
3602871	2203	1995-10-31	PRIJEM	\N	118	27804	UROK	\N	\N
3602872	2203	1995-11-30	PRIJEM	\N	115	28971	UROK	\N	\N
3602873	2203	1995-12-31	PRIJEM	\N	119	22691	UROK	\N	\N
3602874	2203	1996-01-31	PRIJEM	\N	81	16513	UROK	\N	\N
3602875	2203	1996-02-29	PRIJEM	\N	81	20046	UROK	\N	\N
3602876	2203	1996-03-31	PRIJEM	\N	96	21272	UROK	\N	\N
3602877	2203	1996-04-30	PRIJEM	\N	101	23924	UROK	\N	\N
3602878	2203	1996-05-31	PRIJEM	\N	111	26187	UROK	\N	\N
3602879	2203	1996-06-30	PRIJEM	\N	114	22662	UROK	\N	\N
3602880	2203	1996-07-31	PRIJEM	\N	105	23719	UROK	\N	\N
3602881	2203	1996-08-31	PRIJEM	\N	104	21094	UROK	\N	\N
3602882	2203	1996-09-30	PRIJEM	\N	87	18012	UROK	\N	\N
3602883	2203	1996-10-31	PRIJEM	\N	84	19408	UROK	\N	\N
3602884	2203	1996-11-30	PRIJEM	\N	88	20628	UROK	\N	\N
3602885	2203	1996-12-31	PRIJEM	\N	92	18621	UROK	\N	\N
3602886	2203	1997-01-31	PRIJEM	\N	74	14226	UROK	\N	\N
3602887	2203	1997-02-28	PRIJEM	\N	67	14744	UROK	\N	\N
3602888	2203	1997-03-31	PRIJEM	\N	71	15966	UROK	\N	\N
3602889	2203	1997-04-30	PRIJEM	\N	77	18595	UROK	\N	\N
3602890	2203	1997-05-31	PRIJEM	\N	89	21935	UROK	\N	\N
3602891	2203	1997-06-30	PRIJEM	\N	90	21026	UROK	\N	\N
3602892	2203	1997-07-31	PRIJEM	\N	95	22073	UROK	\N	\N
3602893	2203	1997-08-31	PRIJEM	\N	102	25227	UROK	\N	\N
3602894	2203	1997-09-30	PRIJEM	\N	111	25389	UROK	\N	\N
3602895	2203	1997-10-31	PRIJEM	\N	116	28356	UROK	\N	\N
3602896	2203	1997-11-30	PRIJEM	\N	127	30834	UROK	\N	\N
3602897	2203	1997-12-31	PRIJEM	\N	120	24855	UROK	\N	\N
3602898	2203	1998-01-31	PRIJEM	\N	104	19990	UROK	\N	\N
3602899	2203	1998-02-28	PRIJEM	\N	91	22432	UROK	\N	\N
3602900	2203	1998-03-31	PRIJEM	\N	106	26889	UROK	\N	\N
3602901	2203	1998-04-30	PRIJEM	\N	116	26856	UROK	\N	\N
3602902	2203	1998-05-31	PRIJEM	\N	115	26823	UROK	\N	\N
3602903	2203	1998-06-30	PRIJEM	\N	82	15487	UROK	\N	\N
3602904	2203	1998-07-31	PRIJEM	\N	71	16949	UROK	\N	\N
3602905	2203	1998-08-31	PRIJEM	\N	75	17856	UROK	\N	\N
3602906	2203	1998-09-30	PRIJEM	\N	83	20890	UROK	\N	\N
3602907	2203	1998-10-31	PRIJEM	\N	90	19291	UROK	\N	\N
3602908	2203	1998-11-30	PRIJEM	\N	83	19825	UROK	\N	\N
3602909	2203	1998-12-31	PRIJEM	\N	83	19610	UROK	\N	\N
3602910	2204	1997-08-31	PRIJEM	\N	28	15959	UROK	\N	\N
3602911	2204	1997-09-30	PRIJEM	\N	81	23971	UROK	\N	\N
3602912	2204	1997-10-31	PRIJEM	\N	104	26205	UROK	\N	\N
3602913	2204	1997-11-30	PRIJEM	\N	113	28550	UROK	\N	\N
3602914	2204	1997-12-31	PRIJEM	\N	115	23346	UROK	\N	\N
3602915	2204	1998-01-31	PRIJEM	\N	87	13696	UROK	\N	\N
3602916	2204	1998-02-28	PRIJEM	\N	76	21934	UROK	\N	\N
3602917	2204	1998-03-31	PRIJEM	\N	91	23187	UROK	\N	\N
3602918	2204	1998-04-30	PRIJEM	\N	95	21225	UROK	\N	\N
3602919	2204	1998-05-31	PRIJEM	\N	98	24885	UROK	\N	\N
3602920	2204	1998-06-30	PRIJEM	\N	94	16686	UROK	\N	\N
3602921	2204	1998-07-31	PRIJEM	\N	82	21431	UROK	\N	\N
3602922	2204	1998-08-31	PRIJEM	\N	94	22687	UROK	\N	\N
3602923	2204	1998-09-30	PRIJEM	\N	106	26855	UROK	\N	\N
3602924	2204	1998-10-31	PRIJEM	\N	116	28133	UROK	\N	\N
3602925	2204	1998-11-30	PRIJEM	\N	112	25068	UROK	\N	\N
3602926	2204	1998-12-31	PRIJEM	\N	126	29641	UROK	\N	\N
3602927	2205	1996-09-30	PRIJEM	\N	4	29434	UROK	\N	\N
3602928	2205	1996-10-31	PRIJEM	\N	121	29665	UROK	\N	\N
3602929	2205	1996-11-30	PRIJEM	\N	116	27990	UROK	\N	\N
3602930	2205	1996-12-31	PRIJEM	\N	120	29469	UROK	\N	\N
3602931	2205	1997-01-31	PRIJEM	\N	120	29298	UROK	\N	\N
3602932	2205	1997-02-28	PRIJEM	\N	113	27120	UROK	\N	\N
3602933	2205	1997-03-31	PRIJEM	\N	117	28847	UROK	\N	\N
3602934	2205	1997-04-30	PRIJEM	\N	119	29535	UROK	\N	\N
3602935	2205	1997-05-31	PRIJEM	\N	105	25909	UROK	\N	\N
3602936	2205	1997-06-30	PRIJEM	\N	91	21109	UROK	\N	\N
3602937	2205	1997-07-31	PRIJEM	\N	81	17400	UROK	\N	\N
3602938	2205	1997-08-31	PRIJEM	\N	68	16777	UROK	\N	\N
3602939	2205	1997-09-30	PRIJEM	\N	59	14045	UROK	\N	\N
3602940	2205	1997-10-31	PRIJEM	\N	65	16720	UROK	\N	\N
3602941	2205	1997-11-30	PRIJEM	\N	59	13648	UROK	\N	\N
3602942	2205	1997-12-31	PRIJEM	\N	64	16021	UROK	\N	\N
3602943	2205	1998-01-31	PRIJEM	\N	74	18704	UROK	\N	\N
3602944	2205	1998-02-28	PRIJEM	\N	68	16281	UROK	\N	\N
3602945	2205	1998-03-31	PRIJEM	\N	75	18965	UROK	\N	\N
3602946	2205	1998-04-30	PRIJEM	\N	61	13835	UROK	\N	\N
3602947	2205	1998-05-31	PRIJEM	\N	64	16509	UROK	\N	\N
3602948	2205	1998-06-30	PRIJEM	\N	75	19194	UROK	\N	\N
3602949	2205	1998-07-31	PRIJEM	\N	66	15949	UROK	\N	\N
3602950	2205	1998-08-31	PRIJEM	\N	73	18631	UROK	\N	\N
3602951	2205	1998-09-30	PRIJEM	\N	84	21324	UROK	\N	\N
3602952	2205	1998-10-31	PRIJEM	\N	95	23469	UROK	\N	\N
3602953	2205	1998-11-30	PRIJEM	\N	104	26182	UROK	\N	\N
3602954	2205	1998-12-31	PRIJEM	\N	114	27806	UROK	\N	\N
3602955	2206	1995-08-31	PRIJEM	\N	19	6915	UROK	\N	\N
3602956	2206	1995-09-30	PRIJEM	\N	63	19974	UROK	\N	\N
3602957	2206	1995-10-31	PRIJEM	\N	106	28576	UROK	\N	\N
3602958	2206	1995-11-30	PRIJEM	\N	134	34305	UROK	\N	\N
3602959	2206	1995-12-31	PRIJEM	\N	149	35558	UROK	\N	\N
3602960	2206	1996-01-31	PRIJEM	\N	118	27567	UROK	\N	\N
3602961	2206	1996-02-29	PRIJEM	\N	118	29616	UROK	\N	\N
3602962	2206	1996-03-31	PRIJEM	\N	127	31774	UROK	\N	\N
3602963	2206	1996-04-30	PRIJEM	\N	134	33360	UROK	\N	\N
3602964	2206	1996-05-31	PRIJEM	\N	127	29778	UROK	\N	\N
3602965	2206	1996-06-30	PRIJEM	\N	113	27950	UROK	\N	\N
3602966	2206	1996-07-31	PRIJEM	\N	135	34937	UROK	\N	\N
3602967	2206	1996-08-31	PRIJEM	\N	145	34473	UROK	\N	\N
3602968	2206	1996-09-30	PRIJEM	\N	142	34646	UROK	\N	\N
3602969	2206	1996-10-31	PRIJEM	\N	144	35502	UROK	\N	\N
3602970	2206	1996-11-30	PRIJEM	\N	138	33692	UROK	\N	\N
3602971	2206	1996-12-31	PRIJEM	\N	133	29003	UROK	\N	\N
3602972	2206	1997-01-31	PRIJEM	\N	128	30143	UROK	\N	\N
3602973	2206	1997-02-28	PRIJEM	\N	149	36844	UROK	\N	\N
3602974	2206	1997-03-31	PRIJEM	\N	161	40356	UROK	\N	\N
3602975	2206	1997-04-30	PRIJEM	\N	173	43180	UROK	\N	\N
3602976	2206	1997-05-31	PRIJEM	\N	188	46919	UROK	\N	\N
3602977	2206	1997-06-30	PRIJEM	\N	146	27404	UROK	\N	\N
3602978	2206	1997-07-31	PRIJEM	\N	162	43618	UROK	\N	\N
3602979	2206	1997-08-31	PRIJEM	\N	171	43680	UROK	\N	\N
3602980	2206	1997-09-30	PRIJEM	\N	168	41940	UROK	\N	\N
3602981	2206	1997-10-31	PRIJEM	\N	177	42428	UROK	\N	\N
3602982	2206	1997-11-30	PRIJEM	\N	179	40659	UROK	\N	\N
3602983	2206	1997-12-31	PRIJEM	\N	165	41343	UROK	\N	\N
3602984	2206	1998-01-31	PRIJEM	\N	131	31566	UROK	\N	\N
3602985	2206	1998-02-28	PRIJEM	\N	129	37386	UROK	\N	\N
3602986	2206	1998-03-31	PRIJEM	\N	163	43700	UROK	\N	\N
3602987	2206	1998-04-30	PRIJEM	\N	190	51942	UROK	\N	\N
3602988	2206	1998-05-31	PRIJEM	\N	217	49410	UROK	\N	\N
3602989	2206	1998-06-30	PRIJEM	\N	165	40254	UROK	\N	\N
3602990	2206	1998-07-31	PRIJEM	\N	159	44724	UROK	\N	\N
3602991	2206	1998-08-31	PRIJEM	\N	188	44964	UROK	\N	\N
3602992	2206	1998-09-30	PRIJEM	\N	188	43884	UROK	\N	\N
3602993	2206	1998-10-31	PRIJEM	\N	185	44820	UROK	\N	\N
3602994	2206	1998-11-30	PRIJEM	\N	195	50967	UROK	\N	\N
3602995	2206	1998-12-31	PRIJEM	\N	225	56831	UROK	\N	\N
3602996	2208	1997-07-31	PRIJEM	\N	15	4304	UROK	\N	\N
3602997	2208	1997-08-31	PRIJEM	\N	18	7511	UROK	\N	\N
3602998	2208	1997-09-30	PRIJEM	\N	18	10718	UROK	\N	\N
3602999	2208	1997-10-31	PRIJEM	\N	18	13925	UROK	\N	\N
3603000	2208	1997-11-30	PRIJEM	\N	20	17133	UROK	\N	\N
3603001	2208	1997-12-31	PRIJEM	\N	72	17383	UROK	\N	\N
3603002	2208	1998-01-31	PRIJEM	\N	60	12852	UROK	\N	\N
3603003	2208	1998-02-28	PRIJEM	\N	57	13957	UROK	\N	\N
3603004	2208	1998-03-31	PRIJEM	\N	61	14857	UROK	\N	\N
3603005	2208	1998-04-30	PRIJEM	\N	66	15971	UROK	\N	\N
3603006	2208	1998-05-31	PRIJEM	\N	70	17089	UROK	\N	\N
3603007	2208	1998-06-30	PRIJEM	\N	58	13606	UROK	\N	\N
3603008	2208	1998-07-31	PRIJEM	\N	60	14294	UROK	\N	\N
3603009	2208	1998-08-31	PRIJEM	\N	60	14352	UROK	\N	\N
3603010	2208	1998-09-30	PRIJEM	\N	63	15464	UROK	\N	\N
3603011	2208	1998-10-31	PRIJEM	\N	67	16039	UROK	\N	\N
3603012	2208	1998-11-30	PRIJEM	\N	70	17158	UROK	\N	\N
3603013	2208	1998-12-31	PRIJEM	\N	74	17800	UROK	\N	\N
3603014	2209	1996-09-30	PRIJEM	\N	105	71098	UROK	\N	\N
3603015	2209	1996-10-31	PRIJEM	\N	283	86399	UROK	\N	\N
3603016	2209	1996-11-30	PRIJEM	\N	344	96224	UROK	\N	\N
3603017	2209	1996-12-31	PRIJEM	\N	360	92111	UROK	\N	\N
3603018	2209	1997-01-31	PRIJEM	\N	226	33117	UROK	\N	\N
3603019	2209	1997-02-28	PRIJEM	\N	271	123063	UROK	\N	\N
3603020	2209	1997-03-31	PRIJEM	\N	216	22422	UROK	\N	\N
3603021	2209	1997-04-30	PRIJEM	\N	90	22192	UROK	\N	\N
3603022	2209	1997-05-31	PRIJEM	\N	243	101258	UROK	\N	\N
3603023	2209	1997-06-30	PRIJEM	\N	135	24712	UROK	\N	\N
3603024	2209	1997-07-31	PRIJEM	\N	345	90188	UROK	\N	\N
3603025	2209	1997-08-31	PRIJEM	\N	276	55544	UROK	\N	\N
3603026	2209	1997-09-30	PRIJEM	\N	216	62580	UROK	\N	\N
3603027	2209	1997-10-31	PRIJEM	\N	236	50384	UROK	\N	\N
3603028	2209	1997-11-30	PRIJEM	\N	222	68909	UROK	\N	\N
3603029	2209	1997-12-31	PRIJEM	\N	241	50646	UROK	\N	\N
3603030	2209	1998-01-31	PRIJEM	\N	206	62997	UROK	\N	\N
3603031	2209	1998-02-28	PRIJEM	\N	155	25033	UROK	\N	\N
3603032	2209	1998-03-31	PRIJEM	\N	192	80409	UROK	\N	\N
3603033	2209	1998-04-30	PRIJEM	\N	313	87622	UROK	\N	\N
3603034	2209	1998-05-31	PRIJEM	\N	368	121345	UROK	\N	\N
3603035	2209	1998-06-30	PRIJEM	\N	240	59784	UROK	\N	\N
3603036	2209	1998-07-31	PRIJEM	\N	217	62086	UROK	\N	\N
3603037	2209	1998-08-31	PRIJEM	\N	169	70589	UROK	\N	\N
3603038	2209	1998-09-30	PRIJEM	\N	165	54610	UROK	\N	\N
3603039	2209	1998-10-31	PRIJEM	\N	276	83260	UROK	\N	\N
3603040	2209	1998-11-30	PRIJEM	\N	219	51260	UROK	\N	\N
3603041	2209	1998-12-31	PRIJEM	\N	123	25664	UROK	\N	\N
3603042	2210	1996-08-31	PRIJEM	\N	15	5992	UROK	\N	\N
3603043	2210	1996-09-30	PRIJEM	\N	24	11793	UROK	\N	\N
3603044	2210	1996-10-31	PRIJEM	\N	24	17594	UROK	\N	\N
3603045	2210	1996-11-30	PRIJEM	\N	24	23395	UROK	\N	\N
3603046	2210	1996-12-31	PRIJEM	\N	27	29199	UROK	\N	\N
3603047	2210	1997-01-31	PRIJEM	\N	122	30291	UROK	\N	\N
3603048	2210	1997-02-28	PRIJEM	\N	119	28359	UROK	\N	\N
3603049	2210	1997-03-31	PRIJEM	\N	121	29989	UROK	\N	\N
3603050	2210	1997-04-30	PRIJEM	\N	131	32730	UROK	\N	\N
3603051	2210	1997-05-31	PRIJEM	\N	142	35381	UROK	\N	\N
3603052	2210	1997-06-30	PRIJEM	\N	152	36583	UROK	\N	\N
3603053	2210	1997-07-31	PRIJEM	\N	152	36283	UROK	\N	\N
3603054	2210	1997-08-31	PRIJEM	\N	139	32652	UROK	\N	\N
3603055	2210	1997-09-30	PRIJEM	\N	137	33999	UROK	\N	\N
3603056	2210	1997-10-31	PRIJEM	\N	144	35852	UROK	\N	\N
3603057	2210	1997-11-30	PRIJEM	\N	156	35378	UROK	\N	\N
3603058	2210	1997-12-31	PRIJEM	\N	150	37407	UROK	\N	\N
3603059	2210	1998-01-31	PRIJEM	\N	164	40780	UROK	\N	\N
3603060	2210	1998-02-28	PRIJEM	\N	177	44167	UROK	\N	\N
3603061	2210	1998-03-31	PRIJEM	\N	188	43645	UROK	\N	\N
3603062	2210	1998-04-30	PRIJEM	\N	168	39182	UROK	\N	\N
3603063	2210	1998-05-31	PRIJEM	\N	167	41358	UROK	\N	\N
3603064	2210	1998-06-30	PRIJEM	\N	164	39531	UROK	\N	\N
3603065	2210	1998-07-31	PRIJEM	\N	159	38579	UROK	\N	\N
3603066	2210	1998-08-31	PRIJEM	\N	169	41957	UROK	\N	\N
3603067	2210	1998-09-30	PRIJEM	\N	180	44147	UROK	\N	\N
3603068	2210	1998-10-31	PRIJEM	\N	192	47548	UROK	\N	\N
3603069	2210	1998-11-30	PRIJEM	\N	206	50963	UROK	\N	\N
3603070	2210	1998-12-31	PRIJEM	\N	208	50680	UROK	\N	\N
3603071	2211	1997-12-31	PRIJEM	\N	140	47415	UROK	\N	\N
3603072	2211	1998-01-31	PRIJEM	\N	242	62007	UROK	\N	\N
3603073	2211	1998-02-28	PRIJEM	\N	181	39038	UROK	\N	\N
3603074	2211	1998-03-31	PRIJEM	\N	210	55197	UROK	\N	\N
3603075	2211	1998-04-30	PRIJEM	\N	240	56924	UROK	\N	\N
3603076	2211	1998-05-31	PRIJEM	\N	242	57053	UROK	\N	\N
3603077	2211	1998-06-30	PRIJEM	\N	277	52642	UROK	\N	\N
3603078	2211	1998-07-31	PRIJEM	\N	253	55982	UROK	\N	\N
3603079	2211	1998-08-31	PRIJEM	\N	213	46583	UROK	\N	\N
3603080	2211	1998-09-30	PRIJEM	\N	180	42250	UROK	\N	\N
3603081	2211	1998-10-31	PRIJEM	\N	170	39506	UROK	\N	\N
3603082	2211	1998-11-30	PRIJEM	\N	156	34749	UROK	\N	\N
3603083	2211	1998-12-31	PRIJEM	\N	77	15438	UROK	\N	\N
3603084	2212	1996-02-29	PRIJEM	\N	15	6085	UROK	\N	\N
3603085	2212	1996-03-31	PRIJEM	\N	25	11380	UROK	\N	\N
3603086	2212	1996-04-30	PRIJEM	\N	25	16675	UROK	\N	\N
3603087	2212	1996-05-31	PRIJEM	\N	25	21971	UROK	\N	\N
3603088	2212	1996-06-30	PRIJEM	\N	64	15449	UROK	\N	\N
3603089	2212	1996-07-31	PRIJEM	\N	76	17175	UROK	\N	\N
3603090	2212	1996-08-31	PRIJEM	\N	85	19308	UROK	\N	\N
3603091	2212	1996-09-30	PRIJEM	\N	93	21451	UROK	\N	\N
3603092	2212	1996-10-31	PRIJEM	\N	91	21991	UROK	\N	\N
3603093	2212	1996-11-30	PRIJEM	\N	86	20887	UROK	\N	\N
3603094	2212	1996-12-31	PRIJEM	\N	89	19955	UROK	\N	\N
3603095	2212	1997-01-31	PRIJEM	\N	74	13929	UROK	\N	\N
3603096	2212	1997-02-28	PRIJEM	\N	70	16048	UROK	\N	\N
3603097	2212	1997-03-31	PRIJEM	\N	80	18177	UROK	\N	\N
3603098	2212	1997-04-30	PRIJEM	\N	81	20308	UROK	\N	\N
3603099	2212	1997-05-31	PRIJEM	\N	89	19166	UROK	\N	\N
3603100	2212	1997-06-30	PRIJEM	\N	77	15372	UROK	\N	\N
3603101	2212	1997-07-31	PRIJEM	\N	69	17491	UROK	\N	\N
3603102	2212	1997-08-31	PRIJEM	\N	78	19618	UROK	\N	\N
3603103	2212	1997-09-30	PRIJEM	\N	94	21762	UROK	\N	\N
3603104	2212	1997-10-31	PRIJEM	\N	103	23914	UROK	\N	\N
3603105	2212	1997-11-30	PRIJEM	\N	105	26068	UROK	\N	\N
3603106	2212	1997-12-31	PRIJEM	\N	112	27079	UROK	\N	\N
3603107	2212	1998-01-31	PRIJEM	\N	102	22881	UROK	\N	\N
3603108	2212	1998-02-28	PRIJEM	\N	107	25037	UROK	\N	\N
3603109	2212	1998-03-31	PRIJEM	\N	104	24791	UROK	\N	\N
3603110	2212	1998-04-30	PRIJEM	\N	105	24305	UROK	\N	\N
3603111	2212	1998-05-31	PRIJEM	\N	106	26460	UROK	\N	\N
3603112	2212	1998-06-30	PRIJEM	\N	107	24916	UROK	\N	\N
3603113	2212	1998-07-31	PRIJEM	\N	106	23472	UROK	\N	\N
3603114	2212	1998-08-31	PRIJEM	\N	110	23872	UROK	\N	\N
3603115	2212	1998-09-30	PRIJEM	\N	104	26025	UROK	\N	\N
3603116	2212	1998-10-31	PRIJEM	\N	109	25943	UROK	\N	\N
3603117	2212	1998-11-30	PRIJEM	\N	111	27624	UROK	\N	\N
3603118	2212	1998-12-31	PRIJEM	\N	120	28743	UROK	\N	\N
3603119	2213	1993-08-31	PRIJEM	\N	54	18164	UROK	\N	\N
3603120	2213	1993-09-30	PRIJEM	\N	100	26374	UROK	\N	\N
3603121	2213	1993-10-31	PRIJEM	\N	115	27998	UROK	\N	\N
3603122	2213	1993-11-30	PRIJEM	\N	122	29830	UROK	\N	\N
3603123	2213	1993-12-31	PRIJEM	\N	107	20960	UROK	\N	\N
3603124	2213	1994-01-31	PRIJEM	\N	76	13819	UROK	\N	\N
3603125	2213	1994-02-28	PRIJEM	\N	82	21123	UROK	\N	\N
3603126	2213	1994-03-31	PRIJEM	\N	102	25247	UROK	\N	\N
3603127	2213	1994-04-30	PRIJEM	\N	118	28987	UROK	\N	\N
3603128	2213	1994-05-31	PRIJEM	\N	120	28830	UROK	\N	\N
3603129	2213	1994-06-30	PRIJEM	\N	148	31106	UROK	\N	\N
3603130	2213	1994-07-31	PRIJEM	\N	131	31659	UROK	\N	\N
3603131	2213	1994-08-31	PRIJEM	\N	104	23986	UROK	\N	\N
3603132	2213	1994-09-30	PRIJEM	\N	105	25213	UROK	\N	\N
3603133	2213	1994-10-31	PRIJEM	\N	105	25160	UROK	\N	\N
3603134	2213	1994-11-30	PRIJEM	\N	115	27797	UROK	\N	\N
3603135	2213	1994-12-31	PRIJEM	\N	112	22576	UROK	\N	\N
3603136	2213	1995-01-31	PRIJEM	\N	79	14257	UROK	\N	\N
3603137	2213	1995-02-28	PRIJEM	\N	89	22469	UROK	\N	\N
3603138	2213	1995-03-31	PRIJEM	\N	100	24291	UROK	\N	\N
3603139	2213	1995-04-30	PRIJEM	\N	107	25821	UROK	\N	\N
3603140	2213	1995-05-31	PRIJEM	\N	123	29966	UROK	\N	\N
3603141	2213	1995-06-30	PRIJEM	\N	140	17493	UROK	\N	\N
3603142	2213	1995-07-31	PRIJEM	\N	88	17124	UROK	\N	\N
3603143	2213	1995-08-31	PRIJEM	\N	103	29549	UROK	\N	\N
3603144	2213	1995-09-30	PRIJEM	\N	123	25715	UROK	\N	\N
3603145	2213	1995-10-31	PRIJEM	\N	117	27154	UROK	\N	\N
3603146	2213	1995-11-30	PRIJEM	\N	114	29230	UROK	\N	\N
3603147	2213	1995-12-31	PRIJEM	\N	141	30398	UROK	\N	\N
3603148	2213	1996-01-31	PRIJEM	\N	110	24090	UROK	\N	\N
3603149	2213	1996-02-29	PRIJEM	\N	107	25820	UROK	\N	\N
3603150	2213	1996-03-31	PRIJEM	\N	116	26858	UROK	\N	\N
3603151	2213	1996-04-30	PRIJEM	\N	116	25236	UROK	\N	\N
3603152	2213	1996-05-31	PRIJEM	\N	113	26072	UROK	\N	\N
3603153	2213	1996-06-30	PRIJEM	\N	130	27929	UROK	\N	\N
3603154	2213	1996-07-31	PRIJEM	\N	120	25072	UROK	\N	\N
3603155	2213	1996-08-31	PRIJEM	\N	108	22882	UROK	\N	\N
3603156	2213	1996-09-30	PRIJEM	\N	100	21504	UROK	\N	\N
3603157	2213	1996-10-31	PRIJEM	\N	100	25627	UROK	\N	\N
3603158	2213	1996-11-30	PRIJEM	\N	111	24260	UROK	\N	\N
3603159	2213	1996-12-31	PRIJEM	\N	103	20950	UROK	\N	\N
3603160	2213	1997-01-31	PRIJEM	\N	84	14477	UROK	\N	\N
3603161	2213	1997-02-28	PRIJEM	\N	74	20973	UROK	\N	\N
3603162	2213	1997-03-31	PRIJEM	\N	88	19324	UROK	\N	\N
3603163	2213	1997-04-30	PRIJEM	\N	85	19231	UROK	\N	\N
3603164	2213	1997-05-31	PRIJEM	\N	88	21441	UROK	\N	\N
3603165	2213	1997-06-30	PRIJEM	\N	108	22256	UROK	\N	\N
3603166	2213	1997-07-31	PRIJEM	\N	100	24479	UROK	\N	\N
3603167	2213	1997-08-31	PRIJEM	\N	115	29916	UROK	\N	\N
3603168	2213	1997-09-30	PRIJEM	\N	125	28763	UROK	\N	\N
3603169	2213	1997-10-31	PRIJEM	\N	101	23086	UROK	\N	\N
3603170	2213	1997-11-30	PRIJEM	\N	98	27007	UROK	\N	\N
3603171	2213	1997-12-31	PRIJEM	\N	127	33181	UROK	\N	\N
3603172	2213	1998-01-31	PRIJEM	\N	116	15840	UROK	\N	\N
3603173	2213	1998-02-28	PRIJEM	\N	90	26652	UROK	\N	\N
3603174	2213	1998-03-31	PRIJEM	\N	112	30387	UROK	\N	\N
3603175	2213	1998-04-30	PRIJEM	\N	138	35347	UROK	\N	\N
3603176	2213	1998-05-31	PRIJEM	\N	144	35153	UROK	\N	\N
3603177	2213	1998-06-30	PRIJEM	\N	139	31460	UROK	\N	\N
3603178	2213	1998-07-31	PRIJEM	\N	133	32015	UROK	\N	\N
3603179	2213	1998-08-31	PRIJEM	\N	113	24850	UROK	\N	\N
3603180	2213	1998-09-30	PRIJEM	\N	105	25678	UROK	\N	\N
3603181	2213	1998-10-31	PRIJEM	\N	120	30920	UROK	\N	\N
3603182	2213	1998-11-30	PRIJEM	\N	125	30068	UROK	\N	\N
3603183	2213	1998-12-31	PRIJEM	\N	148	30943	UROK	\N	\N
3603184	2214	1996-02-29	PRIJEM	\N	12	21619	UROK	\N	\N
3603185	2214	1996-03-31	PRIJEM	\N	98	33524	UROK	\N	\N
3603186	2214	1996-04-30	PRIJEM	\N	143	39475	UROK	\N	\N
3603187	2214	1996-05-31	PRIJEM	\N	165	41047	UROK	\N	\N
3603188	2214	1996-06-30	PRIJEM	\N	191	36989	UROK	\N	\N
3603189	2214	1996-07-31	PRIJEM	\N	172	35613	UROK	\N	\N
3603190	2214	1996-08-31	PRIJEM	\N	149	36655	UROK	\N	\N
3603191	2214	1996-09-30	PRIJEM	\N	153	37501	UROK	\N	\N
3603192	2214	1996-10-31	PRIJEM	\N	177	40050	UROK	\N	\N
3603193	2214	1996-11-30	PRIJEM	\N	170	42812	UROK	\N	\N
3603194	2214	1996-12-31	PRIJEM	\N	199	41547	UROK	\N	\N
3603195	2214	1997-01-31	PRIJEM	\N	143	28682	UROK	\N	\N
3603196	2214	1997-02-28	PRIJEM	\N	128	35503	UROK	\N	\N
3603197	2214	1997-03-31	PRIJEM	\N	158	36373	UROK	\N	\N
3603198	2214	1997-04-30	PRIJEM	\N	153	37819	UROK	\N	\N
3603199	2214	1997-05-31	PRIJEM	\N	157	37968	UROK	\N	\N
3603200	2214	1997-06-30	PRIJEM	\N	154	22958	UROK	\N	\N
3603201	2214	1997-07-31	PRIJEM	\N	114	27184	UROK	\N	\N
3603202	2214	1997-08-31	PRIJEM	\N	120	31497	UROK	\N	\N
3603203	2214	1997-09-30	PRIJEM	\N	137	34406	UROK	\N	\N
3603204	2214	1997-10-31	PRIJEM	\N	151	30770	UROK	\N	\N
3603205	2214	1997-11-30	PRIJEM	\N	124	29186	UROK	\N	\N
3603206	2214	1997-12-31	PRIJEM	\N	125	30187	UROK	\N	\N
3603207	2214	1998-01-31	PRIJEM	\N	90	8149	UROK	\N	\N
3603208	2214	1998-02-28	PRIJEM	\N	65	23607	UROK	\N	\N
3603209	2214	1998-03-31	PRIJEM	\N	114	29073	UROK	\N	\N
3603210	2214	1998-04-30	PRIJEM	\N	123	30489	UROK	\N	\N
3603211	2214	1998-05-31	PRIJEM	\N	153	34554	UROK	\N	\N
3603212	2214	1998-06-30	PRIJEM	\N	147	23697	UROK	\N	\N
3603213	2214	1998-07-31	PRIJEM	\N	108	23977	UROK	\N	\N
3603214	2214	1998-08-31	PRIJEM	\N	113	29162	UROK	\N	\N
3603215	2214	1998-09-30	PRIJEM	\N	130	33084	UROK	\N	\N
3603216	2214	1998-10-31	PRIJEM	\N	152	39128	UROK	\N	\N
3603217	2214	1998-11-30	PRIJEM	\N	159	34080	UROK	\N	\N
3603218	2214	1998-12-31	PRIJEM	\N	169	43944	UROK	\N	\N
3603219	2215	1998-01-31	PRIJEM	\N	39	16909	UROK	\N	\N
3603220	2215	1998-02-28	PRIJEM	\N	75	19174	UROK	\N	\N
3603221	2215	1998-03-31	PRIJEM	\N	83	20947	UROK	\N	\N
3603222	2215	1998-04-30	PRIJEM	\N	92	21367	UROK	\N	\N
3603223	2215	1998-05-31	PRIJEM	\N	89	18303	UROK	\N	\N
3603224	2215	1998-06-30	PRIJEM	\N	86	19416	UROK	\N	\N
3603225	2215	1998-07-31	PRIJEM	\N	95	23738	UROK	\N	\N
3603226	2215	1998-08-31	PRIJEM	\N	113	28178	UROK	\N	\N
3603227	2215	1998-09-30	PRIJEM	\N	130	31396	UROK	\N	\N
3603228	2215	1998-10-31	PRIJEM	\N	145	35868	UROK	\N	\N
3603229	2215	1998-11-30	PRIJEM	\N	154	37150	UROK	\N	\N
3603230	2215	1998-12-31	PRIJEM	\N	169	41646	UROK	\N	\N
3603231	2216	1993-04-30	PRIJEM	\N	16	8844	UROK	\N	\N
3603232	2216	1993-05-31	PRIJEM	\N	66	52253	UROK	\N	\N
3603233	2216	1993-06-30	PRIJEM	\N	265	93285	UROK	\N	\N
3603234	2216	1993-07-31	PRIJEM	\N	388	61273	UROK	\N	\N
3603235	2216	1993-08-31	PRIJEM	\N	359	72688	UROK	\N	\N
3603236	2216	1993-09-30	PRIJEM	\N	305	58447	UROK	\N	\N
3603237	2216	1993-10-31	PRIJEM	\N	186	26097	UROK	\N	\N
3603238	2216	1993-11-30	PRIJEM	\N	104	32749	UROK	\N	\N
3603239	2216	1993-12-31	PRIJEM	\N	178	73117	UROK	\N	\N
3603240	2216	1994-01-31	PRIJEM	\N	171	22593	UROK	\N	\N
3603241	2216	1994-02-28	PRIJEM	\N	105	21167	UROK	\N	\N
3603242	2216	1994-03-31	PRIJEM	\N	149	24188	UROK	\N	\N
3603243	2216	1994-04-30	PRIJEM	\N	90	19780	UROK	\N	\N
3603244	2216	1994-05-31	PRIJEM	\N	204	53590	UROK	\N	\N
3603245	2216	1994-06-30	PRIJEM	\N	183	43471	UROK	\N	\N
3603246	2216	1994-07-31	PRIJEM	\N	191	93653	UROK	\N	\N
3603247	2216	1994-08-31	PRIJEM	\N	385	77989	UROK	\N	\N
3603248	2216	1994-09-30	PRIJEM	\N	222	59857	UROK	\N	\N
3603249	2216	1994-10-31	PRIJEM	\N	159	29525	UROK	\N	\N
3603250	2216	1994-11-30	PRIJEM	\N	150	76405	UROK	\N	\N
3603251	2216	1994-12-31	PRIJEM	\N	299	105685	UROK	\N	\N
3603252	2216	1995-01-31	PRIJEM	\N	127	24290	UROK	\N	\N
3603253	2216	1995-02-28	PRIJEM	\N	190	67509	UROK	\N	\N
3603254	2216	1995-03-31	PRIJEM	\N	285	88175	UROK	\N	\N
3603255	2216	1995-04-30	PRIJEM	\N	286	54362	UROK	\N	\N
3603256	2216	1995-05-31	PRIJEM	\N	266	63338	UROK	\N	\N
3603257	2216	1995-06-30	PRIJEM	\N	301	89981	UROK	\N	\N
3603258	2216	1995-07-31	PRIJEM	\N	299	90947	UROK	\N	\N
3603259	2216	1995-08-31	PRIJEM	\N	368	95047	UROK	\N	\N
3603260	2216	1995-09-30	PRIJEM	\N	321	63970	UROK	\N	\N
3603261	2216	1995-10-31	PRIJEM	\N	322	77482	UROK	\N	\N
3603262	2216	1995-11-30	PRIJEM	\N	325	95606	UROK	\N	\N
3603263	2216	1995-12-31	PRIJEM	\N	388	75773	UROK	\N	\N
3603264	2216	1996-01-31	PRIJEM	\N	201	29970	UROK	\N	\N
3603265	2216	1996-02-29	PRIJEM	\N	263	61584	UROK	\N	\N
3603266	2216	1996-03-31	PRIJEM	\N	219	70522	UROK	\N	\N
3603267	2216	1996-04-30	PRIJEM	\N	222	38579	UROK	\N	\N
3603268	2216	1996-05-31	PRIJEM	\N	230	76006	UROK	\N	\N
3603269	2216	1996-06-30	PRIJEM	\N	229	35892	UROK	\N	\N
3603270	2216	1996-07-31	PRIJEM	\N	159	38275	UROK	\N	\N
3603271	2216	1996-08-31	PRIJEM	\N	158	35694	UROK	\N	\N
3603272	2216	1996-09-30	PRIJEM	\N	268	83676	UROK	\N	\N
3603273	2216	1996-10-31	PRIJEM	\N	332	57109	UROK	\N	\N
3603274	2216	1996-11-30	PRIJEM	\N	218	36479	UROK	\N	\N
3603275	2216	1996-12-31	PRIJEM	\N	144	35324	UROK	\N	\N
3603276	2216	1997-01-31	PRIJEM	\N	115	26840	UROK	\N	\N
3603277	2216	1997-02-28	PRIJEM	\N	138	38083	UROK	\N	\N
3603278	2216	1997-03-31	PRIJEM	\N	169	72573	UROK	\N	\N
3603279	2216	1997-04-30	PRIJEM	\N	286	54360	UROK	\N	\N
3603280	2216	1997-05-31	PRIJEM	\N	141	34786	UROK	\N	\N
3603281	2216	1997-06-30	PRIJEM	\N	140	33228	UROK	\N	\N
3603282	2216	1997-07-31	PRIJEM	\N	139	70065	UROK	\N	\N
3603283	2216	1997-08-31	PRIJEM	\N	263	56800	UROK	\N	\N
3603284	2216	1997-09-30	PRIJEM	\N	218	41219	UROK	\N	\N
3603285	2216	1997-10-31	PRIJEM	\N	161	35582	UROK	\N	\N
3603286	2216	1997-11-30	PRIJEM	\N	138	31021	UROK	\N	\N
3603287	2216	1997-12-31	PRIJEM	\N	206	53356	UROK	\N	\N
3603288	2216	1998-01-31	PRIJEM	\N	255	76125	UROK	\N	\N
3603289	2216	1998-02-28	PRIJEM	\N	330	69521	UROK	\N	\N
3603290	2216	1998-03-31	PRIJEM	\N	293	61873	UROK	\N	\N
3603291	2216	1998-04-30	PRIJEM	\N	341	60740	UROK	\N	\N
3603292	2216	1998-05-31	PRIJEM	\N	204	37946	UROK	\N	\N
3603293	2216	1998-06-30	PRIJEM	\N	140	29987	UROK	\N	\N
3603294	2216	1998-07-31	PRIJEM	\N	111	25700	UROK	\N	\N
3603295	2216	1998-08-31	PRIJEM	\N	100	20601	UROK	\N	\N
3603296	2216	1998-09-30	PRIJEM	\N	123	67414	UROK	\N	\N
3603297	2216	1998-10-31	PRIJEM	\N	193	41959	UROK	\N	\N
3603298	2216	1998-11-30	PRIJEM	\N	223	101075	UROK	\N	\N
3603299	2216	1998-12-31	PRIJEM	\N	334	60017	UROK	\N	\N
3603300	2218	1994-12-31	PRIJEM	\N	67	45524	UROK	\N	\N
3603301	2218	1995-01-31	PRIJEM	\N	202	53164	UROK	\N	\N
3603302	2218	1995-02-28	PRIJEM	\N	233	61535	UROK	\N	\N
3603303	2218	1995-03-31	PRIJEM	\N	261	62933	UROK	\N	\N
3603304	2218	1995-04-30	PRIJEM	\N	269	68241	UROK	\N	\N
3603305	2218	1995-05-31	PRIJEM	\N	221	37685	UROK	\N	\N
3603306	2218	1995-06-30	PRIJEM	\N	251	51611	UROK	\N	\N
3603307	2218	1995-07-31	PRIJEM	\N	292	56827	UROK	\N	\N
3603308	2218	1995-08-31	PRIJEM	\N	305	61474	UROK	\N	\N
3603309	2218	1995-09-30	PRIJEM	\N	321	64919	UROK	\N	\N
3603310	2218	1995-10-31	PRIJEM	\N	282	69424	UROK	\N	\N
3603311	2218	1995-11-30	PRIJEM	\N	206	38953	UROK	\N	\N
3603312	2218	1995-12-31	PRIJEM	\N	231	49793	UROK	\N	\N
3603313	2218	1996-01-31	PRIJEM	\N	237	33394	UROK	\N	\N
3603314	2218	1996-02-29	PRIJEM	\N	193	52176	UROK	\N	\N
3603315	2218	1996-03-31	PRIJEM	\N	249	59514	UROK	\N	\N
3603316	2218	1996-04-30	PRIJEM	\N	249	51795	UROK	\N	\N
3603317	2218	1996-05-31	PRIJEM	\N	248	61132	UROK	\N	\N
3603318	2218	1996-06-30	PRIJEM	\N	261	49601	UROK	\N	\N
3603319	2218	1996-07-31	PRIJEM	\N	233	49923	UROK	\N	\N
3603320	2218	1996-08-31	PRIJEM	\N	218	47950	UROK	\N	\N
3603321	2218	1996-09-30	PRIJEM	\N	230	59170	UROK	\N	\N
3603322	2218	1996-10-31	PRIJEM	\N	259	63718	UROK	\N	\N
3603323	2218	1996-11-30	PRIJEM	\N	283	69990	UROK	\N	\N
3603324	2218	1996-12-31	PRIJEM	\N	227	40525	UROK	\N	\N
3603325	2218	1997-01-31	PRIJEM	\N	154	26600	UROK	\N	\N
3603326	2218	1997-02-28	PRIJEM	\N	193	52582	UROK	\N	\N
3603327	2218	1997-03-31	PRIJEM	\N	240	45269	UROK	\N	\N
3603328	2218	1997-04-30	PRIJEM	\N	218	51504	UROK	\N	\N
3603329	2218	1997-05-31	PRIJEM	\N	243	57537	UROK	\N	\N
3603330	2218	1997-06-30	PRIJEM	\N	254	54200	UROK	\N	\N
3603331	2218	1997-07-31	PRIJEM	\N	222	32030	UROK	\N	\N
3603332	2218	1997-08-31	PRIJEM	\N	201	44982	UROK	\N	\N
3603333	2218	1997-09-30	PRIJEM	\N	254	64226	UROK	\N	\N
3603334	2218	1997-10-31	PRIJEM	\N	297	73412	UROK	\N	\N
3603335	2218	1997-11-30	PRIJEM	\N	281	45082	UROK	\N	\N
3603336	2218	1997-12-31	PRIJEM	\N	255	58333	UROK	\N	\N
3603337	2218	1998-01-31	PRIJEM	\N	284	28109	UROK	\N	\N
3603338	2218	1998-02-28	PRIJEM	\N	300	79499	UROK	\N	\N
3603339	2218	1998-03-31	PRIJEM	\N	324	63813	UROK	\N	\N
3603340	2218	1998-04-30	PRIJEM	\N	341	85649	UROK	\N	\N
3603341	2218	1998-05-31	PRIJEM	\N	321	62860	UROK	\N	\N
3603342	2218	1998-06-30	PRIJEM	\N	437	107305	UROK	\N	\N
3603343	2218	1998-07-31	PRIJEM	\N	480	112675	UROK	\N	\N
3603344	2218	1998-08-31	PRIJEM	\N	425	86769	UROK	\N	\N
3603345	2218	1998-09-30	PRIJEM	\N	367	79025	UROK	\N	\N
3603346	2218	1998-10-31	PRIJEM	\N	440	103314	UROK	\N	\N
3603347	2218	1998-11-30	PRIJEM	\N	309	65113	UROK	\N	\N
3603348	2218	1998-12-31	PRIJEM	\N	337	81659	UROK	\N	\N
3603349	2219	1993-05-31	PRIJEM	\N	137	104806	UROK	\N	\N
3603350	2219	1993-06-30	PRIJEM	\N	436	35742	UROK	\N	\N
3603351	2219	1993-07-31	PRIJEM	\N	292	83405	UROK	\N	\N
3603352	2219	1993-08-31	PRIJEM	\N	478	80691	UROK	\N	\N
3603353	2219	1993-09-30	PRIJEM	\N	238	80361	UROK	\N	\N
3603354	2219	1993-10-31	PRIJEM	\N	500	71566	UROK	\N	\N
3603355	2219	1993-11-30	PRIJEM	\N	185	13013	UROK	\N	\N
3603356	2219	1993-12-31	PRIJEM	\N	166	38949	UROK	\N	\N
3603357	2219	1994-01-31	PRIJEM	\N	86	8168	UROK	\N	\N
3603358	2219	1994-02-28	PRIJEM	\N	51	18632	UROK	\N	\N
3603359	2219	1994-03-31	PRIJEM	\N	75	15992	UROK	\N	\N
3603360	2219	1994-04-30	PRIJEM	\N	209	88099	UROK	\N	\N
3603361	2219	1994-05-31	PRIJEM	\N	247	78234	UROK	\N	\N
3603362	2219	1994-06-30	PRIJEM	\N	163	33182	UROK	\N	\N
3603363	2219	1994-07-31	PRIJEM	\N	151	30328	UROK	\N	\N
3603364	2219	1994-08-31	PRIJEM	\N	223	43282	UROK	\N	\N
3603365	2219	1994-09-30	PRIJEM	\N	206	69412	UROK	\N	\N
3603366	2219	1994-10-31	PRIJEM	\N	334	107003	UROK	\N	\N
3603367	2219	1994-11-30	PRIJEM	\N	235	70487	UROK	\N	\N
3603368	2219	1994-12-31	PRIJEM	\N	307	65689	UROK	\N	\N
3603369	2219	1995-01-31	PRIJEM	\N	94	15974	UROK	\N	\N
3603370	2219	1995-02-28	PRIJEM	\N	199	38154	UROK	\N	\N
3603371	2219	1995-03-31	PRIJEM	\N	225	63597	UROK	\N	\N
3603372	2219	1995-04-30	PRIJEM	\N	282	77368	UROK	\N	\N
3603373	2219	1995-05-31	PRIJEM	\N	305	61475	UROK	\N	\N
3603374	2219	1995-06-30	PRIJEM	\N	251	67515	UROK	\N	\N
3603375	2219	1995-07-31	PRIJEM	\N	253	65392	UROK	\N	\N
3603376	2219	1995-08-31	PRIJEM	\N	374	66224	UROK	\N	\N
3603377	2219	1995-09-30	PRIJEM	\N	283	57722	UROK	\N	\N
3603378	2219	1995-10-31	PRIJEM	\N	274	64621	UROK	\N	\N
3603379	2219	1995-11-30	PRIJEM	\N	332	111311	UROK	\N	\N
3603380	2219	1995-12-31	PRIJEM	\N	304	59281	UROK	\N	\N
3603381	2219	1996-01-31	PRIJEM	\N	117	17899	UROK	\N	\N
3603382	2219	1996-02-29	PRIJEM	\N	281	66981	UROK	\N	\N
3603383	2219	1996-03-31	PRIJEM	\N	383	97982	UROK	\N	\N
3603384	2219	1996-04-30	PRIJEM	\N	390	68660	UROK	\N	\N
3603385	2219	1996-05-31	PRIJEM	\N	373	97874	UROK	\N	\N
3603386	2219	1996-06-30	PRIJEM	\N	337	96805	UROK	\N	\N
3603387	2219	1996-07-31	PRIJEM	\N	362	65952	UROK	\N	\N
3603388	2219	1996-08-31	PRIJEM	\N	266	55504	UROK	\N	\N
3603389	2219	1996-09-30	PRIJEM	\N	227	54217	UROK	\N	\N
3603390	2219	1996-10-31	PRIJEM	\N	214	50137	UROK	\N	\N
3603391	2219	1996-11-30	PRIJEM	\N	257	108967	UROK	\N	\N
3603392	2219	1996-12-31	PRIJEM	\N	373	93621	UROK	\N	\N
3603393	2219	1997-01-31	PRIJEM	\N	348	62953	UROK	\N	\N
3603394	2219	1997-02-28	PRIJEM	\N	365	89541	UROK	\N	\N
3603395	2219	1997-03-31	PRIJEM	\N	370	100393	UROK	\N	\N
3603396	2219	1997-04-30	PRIJEM	\N	406	84985	UROK	\N	\N
3603397	2219	1997-05-31	PRIJEM	\N	277	31700	UROK	\N	\N
3603398	2219	1997-06-30	PRIJEM	\N	159	57061	UROK	\N	\N
3603399	2219	1997-07-31	PRIJEM	\N	292	102805	UROK	\N	\N
3603400	2219	1997-08-31	PRIJEM	\N	412	104424	UROK	\N	\N
3603401	2219	1997-09-30	PRIJEM	\N	390	65813	UROK	\N	\N
3603402	2219	1997-10-31	PRIJEM	\N	220	77757	UROK	\N	\N
3603403	2219	1997-11-30	PRIJEM	\N	247	60455	UROK	\N	\N
3603404	2219	1997-12-31	PRIJEM	\N	242	55232	UROK	\N	\N
3603405	2219	1998-01-31	PRIJEM	\N	175	43716	UROK	\N	\N
3603406	2219	1998-02-28	PRIJEM	\N	192	56649	UROK	\N	\N
3603407	2219	1998-03-31	PRIJEM	\N	253	96805	UROK	\N	\N
3603408	2219	1998-04-30	PRIJEM	\N	332	69285	UROK	\N	\N
3603409	2219	1998-05-31	PRIJEM	\N	228	60079	UROK	\N	\N
3603410	2219	1998-06-30	PRIJEM	\N	384	85773	UROK	\N	\N
3603411	2219	1998-07-31	PRIJEM	\N	411	147200	UROK	\N	\N
3603412	2219	1998-08-31	PRIJEM	\N	546	99003	UROK	\N	\N
3603413	2219	1998-09-30	PRIJEM	\N	424	98898	UROK	\N	\N
3603414	2219	1998-10-31	PRIJEM	\N	411	84206	UROK	\N	\N
3603415	2219	1998-11-30	PRIJEM	\N	340	74323	UROK	\N	\N
3603416	2219	1998-12-31	PRIJEM	\N	233	44178	UROK	\N	\N
3603417	2220	1993-07-31	PRIJEM	\N	76	25158	UROK	\N	\N
3603418	2220	1993-08-31	PRIJEM	\N	102	23715	UROK	\N	\N
3603419	2220	1993-09-30	PRIJEM	\N	104	24674	UROK	\N	\N
3603420	2220	1993-10-31	PRIJEM	\N	105	22275	UROK	\N	\N
3603421	2220	1993-11-30	PRIJEM	\N	103	24133	UROK	\N	\N
3603422	2220	1993-12-31	PRIJEM	\N	105	23443	UROK	\N	\N
3603423	2220	1994-01-31	PRIJEM	\N	92	16970	UROK	\N	\N
3603424	2220	1994-02-28	PRIJEM	\N	78	20404	UROK	\N	\N
3603425	2220	1994-03-31	PRIJEM	\N	88	20268	UROK	\N	\N
3603426	2220	1994-04-30	PRIJEM	\N	91	19874	UROK	\N	\N
3603427	2220	1994-05-31	PRIJEM	\N	91	23320	UROK	\N	\N
3603428	2220	1994-06-30	PRIJEM	\N	92	18077	UROK	\N	\N
3603429	2220	1994-07-31	PRIJEM	\N	79	18791	UROK	\N	\N
3603430	2220	1994-08-31	PRIJEM	\N	86	22233	UROK	\N	\N
3603431	2220	1994-09-30	PRIJEM	\N	100	25689	UROK	\N	\N
3603432	2220	1994-10-31	PRIJEM	\N	115	29159	UROK	\N	\N
3603433	2220	1994-11-30	PRIJEM	\N	129	32644	UROK	\N	\N
3603434	2220	1994-12-31	PRIJEM	\N	134	32183	UROK	\N	\N
3603435	2220	1995-01-31	PRIJEM	\N	108	21726	UROK	\N	\N
3603436	2220	1995-02-28	PRIJEM	\N	93	22615	UROK	\N	\N
3603437	2220	1995-03-31	PRIJEM	\N	102	26072	UROK	\N	\N
3603438	2220	1995-04-30	PRIJEM	\N	106	25094	UROK	\N	\N
3603439	2220	1995-05-31	PRIJEM	\N	112	28561	UROK	\N	\N
3603440	2220	1995-06-30	PRIJEM	\N	115	26081	UROK	\N	\N
3603441	2220	1995-07-31	PRIJEM	\N	111	26548	UROK	\N	\N
3603442	2220	1995-08-31	PRIJEM	\N	118	28521	UROK	\N	\N
3603443	2220	1995-09-30	PRIJEM	\N	128	25825	UROK	\N	\N
3603444	2220	1995-10-31	PRIJEM	\N	114	26894	UROK	\N	\N
3603445	2220	1995-11-30	PRIJEM	\N	114	25483	UROK	\N	\N
3603446	2220	1995-12-31	PRIJEM	\N	110	23699	UROK	\N	\N
3603447	2220	1996-01-31	PRIJEM	\N	100	18835	UROK	\N	\N
3603448	2220	1996-02-29	PRIJEM	\N	82	20352	UROK	\N	\N
3603449	2220	1996-03-31	PRIJEM	\N	90	21097	UROK	\N	\N
3603450	2220	1996-04-30	PRIJEM	\N	90	20062	UROK	\N	\N
3603451	2220	1996-05-31	PRIJEM	\N	90	23108	UROK	\N	\N
3603452	2220	1996-06-30	PRIJEM	\N	77	15120	UROK	\N	\N
3603453	2220	1996-07-31	PRIJEM	\N	68	17044	UROK	\N	\N
3603454	2220	1996-08-31	PRIJEM	\N	69	12968	UROK	\N	\N
3603455	2220	1996-09-30	PRIJEM	\N	61	16384	UROK	\N	\N
3603456	2220	1996-10-31	PRIJEM	\N	74	19214	UROK	\N	\N
3603457	2220	1996-11-30	PRIJEM	\N	80	17850	UROK	\N	\N
3603458	2220	1996-12-31	PRIJEM	\N	73	16078	UROK	\N	\N
3603459	2220	1997-01-31	PRIJEM	\N	69	14781	UROK	\N	\N
3603460	2220	1997-02-28	PRIJEM	\N	62	14599	UROK	\N	\N
3603461	2220	1997-03-31	PRIJEM	\N	61	15135	UROK	\N	\N
3603462	2220	1997-04-30	PRIJEM	\N	67	17258	UROK	\N	\N
3603463	2220	1997-05-31	PRIJEM	\N	69	14582	UROK	\N	\N
3603464	2220	1997-06-30	PRIJEM	\N	59	14097	UROK	\N	\N
3603465	2220	1997-07-31	PRIJEM	\N	64	17016	UROK	\N	\N
3603466	2220	1997-08-31	PRIJEM	\N	67	14838	UROK	\N	\N
3603467	2220	1997-09-30	PRIJEM	\N	68	18261	UROK	\N	\N
3603468	2220	1997-10-31	PRIJEM	\N	72	15189	UROK	\N	\N
3603469	2220	1997-11-30	PRIJEM	\N	63	15607	UROK	\N	\N
3603470	2220	1997-12-31	PRIJEM	\N	64	15427	UROK	\N	\N
3603471	2220	1998-01-31	PRIJEM	\N	61	14743	UROK	\N	\N
3603472	2220	1998-02-28	PRIJEM	\N	61	15860	UROK	\N	\N
3603473	2220	1998-03-31	PRIJEM	\N	72	19287	UROK	\N	\N
3603474	2220	1998-04-30	PRIJEM	\N	67	14109	UROK	\N	\N
3603475	2220	1998-05-31	PRIJEM	\N	64	17529	UROK	\N	\N
3603476	2220	1998-06-30	PRIJEM	\N	78	20962	UROK	\N	\N
3603477	2220	1998-07-31	PRIJEM	\N	93	24410	UROK	\N	\N
3603478	2220	1998-08-31	PRIJEM	\N	66	11231	UROK	\N	\N
3603479	2220	1998-09-30	PRIJEM	\N	52	14639	UROK	\N	\N
3603480	2220	1998-10-31	PRIJEM	\N	59	14213	UROK	\N	\N
3603481	2220	1998-11-30	PRIJEM	\N	64	17632	UROK	\N	\N
3603482	2220	1998-12-31	PRIJEM	\N	69	16337	UROK	\N	\N
3603483	2221	1998-04-30	PRIJEM	\N	40	15095	UROK	\N	\N
3603484	2221	1998-05-31	PRIJEM	\N	67	16235	UROK	\N	\N
3603485	2221	1998-06-30	PRIJEM	\N	58	13736	UROK	\N	\N
3603486	2221	1998-07-31	PRIJEM	\N	60	13910	UROK	\N	\N
3603487	2221	1998-08-31	PRIJEM	\N	62	14715	UROK	\N	\N
3603488	2221	1998-09-30	PRIJEM	\N	65	15613	UROK	\N	\N
3603489	2221	1998-10-31	PRIJEM	\N	68	15735	UROK	\N	\N
3603490	2221	1998-11-30	PRIJEM	\N	69	15527	UROK	\N	\N
3603491	2221	1998-12-31	PRIJEM	\N	68	16129	UROK	\N	\N
3603492	2222	1993-05-31	PRIJEM	\N	11	17335	UROK	\N	\N
3603493	2222	1993-06-30	PRIJEM	\N	75	42343	UROK	\N	\N
3603494	2222	1993-07-31	PRIJEM	\N	150	29593	UROK	\N	\N
3603495	2222	1993-08-31	PRIJEM	\N	150	28742	UROK	\N	\N
3603496	2222	1993-09-30	PRIJEM	\N	150	27792	UROK	\N	\N
3603497	2222	1993-10-31	PRIJEM	\N	208	62741	UROK	\N	\N
3603498	2222	1993-11-30	PRIJEM	\N	276	71010	UROK	\N	\N
3603499	2222	1993-12-31	PRIJEM	\N	289	44584	UROK	\N	\N
3603500	2222	1994-01-31	PRIJEM	\N	142	32595	UROK	\N	\N
3603501	2222	1994-02-28	PRIJEM	\N	135	29216	UROK	\N	\N
3603502	2222	1994-03-31	PRIJEM	\N	129	40846	UROK	\N	\N
3603503	2222	1994-04-30	PRIJEM	\N	162	29593	UROK	\N	\N
3603504	2222	1994-05-31	PRIJEM	\N	123	31102	UROK	\N	\N
3603505	2222	1994-06-30	PRIJEM	\N	126	26713	UROK	\N	\N
3603506	2222	1994-07-31	PRIJEM	\N	111	28810	UROK	\N	\N
3603507	2222	1994-08-31	PRIJEM	\N	165	47403	UROK	\N	\N
3603508	2222	1994-09-30	PRIJEM	\N	187	37974	UROK	\N	\N
3603509	2222	1994-10-31	PRIJEM	\N	157	34417	UROK	\N	\N
3603510	2222	1994-11-30	PRIJEM	\N	214	55606	UROK	\N	\N
3603511	2222	1994-12-31	PRIJEM	\N	218	46110	UROK	\N	\N
3603512	2222	1995-01-31	PRIJEM	\N	133	22829	UROK	\N	\N
3603513	2222	1995-02-28	PRIJEM	\N	96	32510	UROK	\N	\N
3603514	2222	1995-03-31	PRIJEM	\N	189	80223	UROK	\N	\N
3603515	2222	1995-04-30	PRIJEM	\N	354	67045	UROK	\N	\N
3603516	2222	1995-05-31	PRIJEM	\N	283	60572	UROK	\N	\N
3603517	2222	1995-06-30	PRIJEM	\N	213	69571	UROK	\N	\N
3603518	2222	1995-07-31	PRIJEM	\N	212	49538	UROK	\N	\N
3603519	2222	1995-08-31	PRIJEM	\N	225	99430	UROK	\N	\N
3603520	2222	1995-09-30	PRIJEM	\N	341	57777	UROK	\N	\N
3603521	2222	1995-10-31	PRIJEM	\N	236	58468	UROK	\N	\N
3603522	2222	1995-11-30	PRIJEM	\N	213	43265	UROK	\N	\N
3603523	2222	1995-12-31	PRIJEM	\N	215	50565	UROK	\N	\N
3603524	2222	1996-01-31	PRIJEM	\N	169	35490	UROK	\N	\N
3603525	2222	1996-02-29	PRIJEM	\N	147	37223	UROK	\N	\N
3603526	2222	1996-03-31	PRIJEM	\N	154	37461	UROK	\N	\N
3603527	2222	1996-04-30	PRIJEM	\N	140	30987	UROK	\N	\N
3603528	2222	1996-05-31	PRIJEM	\N	167	48215	UROK	\N	\N
3603529	2222	1996-06-30	PRIJEM	\N	198	39899	UROK	\N	\N
3603530	2222	1996-07-31	PRIJEM	\N	164	35948	UROK	\N	\N
3603531	2222	1996-08-31	PRIJEM	\N	123	25756	UROK	\N	\N
3603532	2222	1996-09-30	PRIJEM	\N	106	29947	UROK	\N	\N
3603533	2222	1996-10-31	PRIJEM	\N	194	74537	UROK	\N	\N
3603534	2222	1996-11-30	PRIJEM	\N	230	30243	UROK	\N	\N
3603535	2222	1996-12-31	PRIJEM	\N	120	28648	UROK	\N	\N
3603536	2222	1997-01-31	PRIJEM	\N	185	67267	UROK	\N	\N
3603537	2222	1997-02-28	PRIJEM	\N	217	39318	UROK	\N	\N
3603538	2222	1997-03-31	PRIJEM	\N	174	74981	UROK	\N	\N
3603539	2222	1997-04-30	PRIJEM	\N	349	97435	UROK	\N	\N
3603540	2222	1997-05-31	PRIJEM	\N	344	75861	UROK	\N	\N
3603541	2222	1997-06-30	PRIJEM	\N	245	43662	UROK	\N	\N
3603542	2222	1997-07-31	PRIJEM	\N	139	30487	UROK	\N	\N
3603543	2222	1997-08-31	PRIJEM	\N	124	32396	UROK	\N	\N
3603544	2222	1997-09-30	PRIJEM	\N	131	32412	UROK	\N	\N
3603545	2222	1997-10-31	PRIJEM	\N	131	30329	UROK	\N	\N
3603546	2222	1997-11-30	PRIJEM	\N	122	28236	UROK	\N	\N
3603547	2222	1997-12-31	PRIJEM	\N	140	61596	UROK	\N	\N
3603548	2222	1998-01-31	PRIJEM	\N	256	61779	UROK	\N	\N
3603549	2222	1998-02-28	PRIJEM	\N	250	42114	UROK	\N	\N
3603550	2222	1998-03-31	PRIJEM	\N	207	75997	UROK	\N	\N
3603551	2222	1998-04-30	PRIJEM	\N	388	98268	UROK	\N	\N
3603552	2222	1998-05-31	PRIJEM	\N	425	113960	UROK	\N	\N
3603553	2222	1998-06-30	PRIJEM	\N	415	110295	UROK	\N	\N
3603554	2222	1998-07-31	PRIJEM	\N	426	118315	UROK	\N	\N
3603555	2222	1998-08-31	PRIJEM	\N	290	86253	UROK	\N	\N
3603556	2222	1998-09-30	PRIJEM	\N	349	52087	UROK	\N	\N
3603557	2222	1998-10-31	PRIJEM	\N	237	66464	UROK	\N	\N
3603558	2222	1998-11-30	PRIJEM	\N	346	92547	UROK	\N	\N
3603559	2222	1998-12-31	PRIJEM	\N	311	100251	UROK	\N	\N
3603560	2223	1996-01-31	PRIJEM	\N	16	5112	UROK	\N	\N
3603561	2223	1996-02-29	PRIJEM	\N	21	9529	UROK	\N	\N
3603562	2223	1996-03-31	PRIJEM	\N	21	13946	UROK	\N	\N
3603563	2223	1996-04-30	PRIJEM	\N	21	18363	UROK	\N	\N
3603564	2223	1996-05-31	PRIJEM	\N	59	19888	UROK	\N	\N
3603565	2223	1996-06-30	PRIJEM	\N	85	19244	UROK	\N	\N
3603566	2223	1996-07-31	PRIJEM	\N	73	16129	UROK	\N	\N
3603567	2223	1996-08-31	PRIJEM	\N	71	17651	UROK	\N	\N
3603568	2223	1996-09-30	PRIJEM	\N	79	19082	UROK	\N	\N
3603569	2223	1996-10-31	PRIJEM	\N	74	14587	UROK	\N	\N
3603570	2223	1996-11-30	PRIJEM	\N	56	13994	UROK	\N	\N
3603571	2223	1996-12-31	PRIJEM	\N	55	13300	UROK	\N	\N
3603572	2223	1997-01-31	PRIJEM	\N	59	14810	UROK	\N	\N
3603573	2223	1997-02-28	PRIJEM	\N	65	16327	UROK	\N	\N
3603574	2223	1997-03-31	PRIJEM	\N	69	14447	UROK	\N	\N
3603575	2223	1997-04-30	PRIJEM	\N	64	15962	UROK	\N	\N
3603576	2223	1997-05-31	PRIJEM	\N	70	17483	UROK	\N	\N
3603577	2223	1997-06-30	PRIJEM	\N	75	15310	UROK	\N	\N
3603578	2223	1997-07-31	PRIJEM	\N	64	14105	UROK	\N	\N
3603579	2223	1997-08-31	PRIJEM	\N	60	12216	UROK	\N	\N
3603580	2223	1997-09-30	PRIJEM	\N	54	13722	UROK	\N	\N
3603581	2223	1997-10-31	PRIJEM	\N	53	12187	UROK	\N	\N
3603582	2223	1997-11-30	PRIJEM	\N	55	13213	UROK	\N	\N
3603583	2223	1997-12-31	PRIJEM	\N	58	13773	UROK	\N	\N
3603584	2223	1998-01-31	PRIJEM	\N	61	15285	UROK	\N	\N
3603585	2223	1998-02-28	PRIJEM	\N	67	16803	UROK	\N	\N
3603586	2223	1998-03-31	PRIJEM	\N	73	16967	UROK	\N	\N
3603587	2223	1998-04-30	PRIJEM	\N	74	18492	UROK	\N	\N
3603588	2223	1998-05-31	PRIJEM	\N	74	17218	UROK	\N	\N
3603589	2223	1998-06-30	PRIJEM	\N	72	15021	UROK	\N	\N
3603590	2223	1998-07-31	PRIJEM	\N	64	15136	UROK	\N	\N
3603591	2223	1998-08-31	PRIJEM	\N	64	15052	UROK	\N	\N
3603592	2223	1998-09-30	PRIJEM	\N	64	15167	UROK	\N	\N
3603593	2223	1998-10-31	PRIJEM	\N	64	14062	UROK	\N	\N
3603594	2223	1998-11-30	PRIJEM	\N	62	15575	UROK	\N	\N
3603595	2223	1998-12-31	PRIJEM	\N	63	13790	UROK	\N	\N
3603596	2224	1997-04-30	PRIJEM	\N	78	23420	UROK	\N	\N
3603597	2224	1997-05-31	PRIJEM	\N	142	36904	UROK	\N	\N
3603598	2224	1997-06-30	PRIJEM	\N	182	45350	UROK	\N	\N
3603599	2224	1997-07-31	PRIJEM	\N	183	43774	UROK	\N	\N
3603600	2224	1997-08-31	PRIJEM	\N	247	19012	UROK	\N	\N
3603601	2224	1997-09-30	PRIJEM	\N	165	42819	UROK	\N	\N
3603602	2224	1997-10-31	PRIJEM	\N	197	46458	UROK	\N	\N
3603603	2224	1997-11-30	PRIJEM	\N	200	42565	UROK	\N	\N
3603604	2224	1997-12-31	PRIJEM	\N	248	51776	UROK	\N	\N
3603605	2224	1998-01-31	PRIJEM	\N	150	18313	UROK	\N	\N
3603606	2224	1998-02-28	PRIJEM	\N	174	42429	UROK	\N	\N
3603607	2224	1998-03-31	PRIJEM	\N	250	63021	UROK	\N	\N
3603608	2224	1998-04-30	PRIJEM	\N	260	59623	UROK	\N	\N
3603609	2224	1998-05-31	PRIJEM	\N	282	69348	UROK	\N	\N
3603610	2224	1998-06-30	PRIJEM	\N	256	48866	UROK	\N	\N
3603611	2224	1998-07-31	PRIJEM	\N	257	64365	UROK	\N	\N
3603612	2224	1998-08-31	PRIJEM	\N	205	55012	UROK	\N	\N
3603613	2224	1998-09-30	PRIJEM	\N	229	55583	UROK	\N	\N
3603614	2224	1998-10-31	PRIJEM	\N	232	57756	UROK	\N	\N
3603615	2224	1998-11-30	PRIJEM	\N	242	62440	UROK	\N	\N
3603616	2224	1998-12-31	PRIJEM	\N	355	89158	UROK	\N	\N
3603617	2225	1996-06-30	PRIJEM	\N	59	19459	UROK	\N	\N
3603618	2225	1996-07-31	PRIJEM	\N	89	21859	UROK	\N	\N
3603619	2225	1996-08-31	PRIJEM	\N	99	24269	UROK	\N	\N
3603620	2225	1996-09-30	PRIJEM	\N	102	23482	UROK	\N	\N
3603621	2225	1996-10-31	PRIJEM	\N	101	21175	UROK	\N	\N
3603622	2225	1996-11-30	PRIJEM	\N	91	21977	UROK	\N	\N
3603623	2225	1996-12-31	PRIJEM	\N	96	22534	UROK	\N	\N
3603624	2225	1997-01-31	PRIJEM	\N	58	12724	UROK	\N	\N
3603625	2225	1997-02-28	PRIJEM	\N	59	14375	UROK	\N	\N
3603626	2225	1997-03-31	PRIJEM	\N	67	16753	UROK	\N	\N
3603627	2225	1997-04-30	PRIJEM	\N	77	19142	UROK	\N	\N
3603628	2225	1997-05-31	PRIJEM	\N	85	20538	UROK	\N	\N
3603629	2225	1997-06-30	PRIJEM	\N	77	17786	UROK	\N	\N
3603630	2225	1997-07-31	PRIJEM	\N	75	17533	UROK	\N	\N
3603631	2225	1997-08-31	PRIJEM	\N	79	19424	UROK	\N	\N
3603632	2225	1997-09-30	PRIJEM	\N	75	15691	UROK	\N	\N
3603633	2225	1997-10-31	PRIJEM	\N	61	14263	UROK	\N	\N
3603634	2225	1997-11-30	PRIJEM	\N	64	15338	UROK	\N	\N
3603635	2225	1997-12-31	PRIJEM	\N	58	12627	UROK	\N	\N
3603636	2225	1998-01-31	PRIJEM	\N	54	13153	UROK	\N	\N
3603637	2225	1998-02-28	PRIJEM	\N	62	15526	UROK	\N	\N
3603638	2225	1998-03-31	PRIJEM	\N	66	16383	UROK	\N	\N
3603639	2225	1998-04-30	PRIJEM	\N	75	18770	UROK	\N	\N
3603640	2225	1998-05-31	PRIJEM	\N	77	18118	UROK	\N	\N
3603641	2225	1998-06-30	PRIJEM	\N	82	18262	UROK	\N	\N
3603642	2225	1998-07-31	PRIJEM	\N	83	20656	UROK	\N	\N
3603643	2225	1998-08-31	PRIJEM	\N	63	12431	UROK	\N	\N
3603644	2225	1998-09-30	PRIJEM	\N	58	14240	UROK	\N	\N
3603645	2225	1998-10-31	PRIJEM	\N	64	14055	UROK	\N	\N
3603646	2225	1998-11-30	PRIJEM	\N	65	16432	UROK	\N	\N
3603647	2225	1998-12-31	PRIJEM	\N	72	17416	UROK	\N	\N
3603648	2226	1996-03-31	PRIJEM	\N	42	22130	UROK	\N	\N
3603649	2226	1996-04-30	PRIJEM	\N	110	31528	UROK	\N	\N
3603650	2226	1996-05-31	PRIJEM	\N	137	34653	UROK	\N	\N
3603651	2226	1996-06-30	PRIJEM	\N	166	45451	UROK	\N	\N
3603652	2226	1996-07-31	PRIJEM	\N	187	44526	UROK	\N	\N
3603653	2226	1996-08-31	PRIJEM	\N	185	40502	UROK	\N	\N
3603654	2226	1996-09-30	PRIJEM	\N	173	39466	UROK	\N	\N
3603655	2226	1996-10-31	PRIJEM	\N	166	39724	UROK	\N	\N
3603656	2226	1996-11-30	PRIJEM	\N	175	41590	UROK	\N	\N
3603657	2226	1996-12-31	PRIJEM	\N	188	42093	UROK	\N	\N
3603658	2226	1997-01-31	PRIJEM	\N	135	25880	UROK	\N	\N
3603659	2226	1997-02-28	PRIJEM	\N	120	29011	UROK	\N	\N
3603660	2226	1997-03-31	PRIJEM	\N	137	33339	UROK	\N	\N
3603661	2226	1997-04-30	PRIJEM	\N	155	38186	UROK	\N	\N
3603662	2226	1997-05-31	PRIJEM	\N	162	38039	UROK	\N	\N
3603663	2226	1997-06-30	PRIJEM	\N	165	39439	UROK	\N	\N
3603664	2226	1997-07-31	PRIJEM	\N	150	31381	UROK	\N	\N
3603665	2226	1997-08-31	PRIJEM	\N	139	33411	UROK	\N	\N
3603666	2226	1997-09-30	PRIJEM	\N	150	37553	UROK	\N	\N
3603667	2226	1997-10-31	PRIJEM	\N	147	35391	UROK	\N	\N
3603668	2226	1997-11-30	PRIJEM	\N	180	35962	UROK	\N	\N
3603669	2226	1997-12-31	PRIJEM	\N	188	36845	UROK	\N	\N
3603670	2226	1998-01-31	PRIJEM	\N	166	38763	UROK	\N	\N
3603671	2226	1998-02-28	PRIJEM	\N	181	46016	UROK	\N	\N
3603672	2226	1998-03-31	PRIJEM	\N	158	33725	UROK	\N	\N
3603673	2226	1998-04-30	PRIJEM	\N	186	46222	UROK	\N	\N
3603674	2226	1998-05-31	PRIJEM	\N	216	54429	UROK	\N	\N
3603675	2226	1998-06-30	PRIJEM	\N	234	55119	UROK	\N	\N
3603676	2226	1998-07-31	PRIJEM	\N	199	46129	UROK	\N	\N
3603677	2226	1998-08-31	PRIJEM	\N	169	36969	UROK	\N	\N
3603678	2226	1998-09-30	PRIJEM	\N	135	33076	UROK	\N	\N
3603679	2226	1998-10-31	PRIJEM	\N	132	32899	UROK	\N	\N
3603680	2226	1998-11-30	PRIJEM	\N	130	33021	UROK	\N	\N
3603681	2226	1998-12-31	PRIJEM	\N	142	38898	UROK	\N	\N
3603682	2227	1994-08-31	PRIJEM	\N	66	44780	UROK	\N	\N
3603683	2227	1994-09-30	PRIJEM	\N	186	35966	UROK	\N	\N
3603684	2227	1994-10-31	PRIJEM	\N	186	30053	UROK	\N	\N
3603685	2227	1994-11-30	PRIJEM	\N	195	49789	UROK	\N	\N
3603686	2227	1994-12-31	PRIJEM	\N	193	42726	UROK	\N	\N
3603687	2227	1995-01-31	PRIJEM	\N	144	21004	UROK	\N	\N
3603688	2227	1995-02-28	PRIJEM	\N	203	41586	UROK	\N	\N
3603689	2227	1995-03-31	PRIJEM	\N	210	43697	UROK	\N	\N
3603690	2227	1995-04-30	PRIJEM	\N	87	23573	UROK	\N	\N
3603691	2227	1995-05-31	PRIJEM	\N	98	18800	UROK	\N	\N
3603692	2227	1995-06-30	PRIJEM	\N	201	43183	UROK	\N	\N
3603693	2227	1995-07-31	PRIJEM	\N	203	47606	UROK	\N	\N
3603694	2227	1995-08-31	PRIJEM	\N	187	69040	UROK	\N	\N
3603695	2227	1995-09-30	PRIJEM	\N	337	122342	UROK	\N	\N
3603696	2227	1995-10-31	PRIJEM	\N	371	88785	UROK	\N	\N
3603697	2227	1995-11-30	PRIJEM	\N	220	34948	UROK	\N	\N
3603698	2227	1995-12-31	PRIJEM	\N	139	40901	UROK	\N	\N
3603699	2227	1996-01-31	PRIJEM	\N	133	21904	UROK	\N	\N
3603700	2227	1996-02-29	PRIJEM	\N	125	34649	UROK	\N	\N
3603701	2227	1996-03-31	PRIJEM	\N	129	25488	UROK	\N	\N
3603702	2227	1996-04-30	PRIJEM	\N	91	20089	UROK	\N	\N
3603703	2227	1996-05-31	PRIJEM	\N	139	40034	UROK	\N	\N
3603704	2227	1996-06-30	PRIJEM	\N	160	79176	UROK	\N	\N
3603705	2227	1996-07-31	PRIJEM	\N	150	13693	UROK	\N	\N
3603706	2227	1996-08-31	PRIJEM	\N	191	64171	UROK	\N	\N
3603707	2227	1996-09-30	PRIJEM	\N	122	15279	UROK	\N	\N
3603708	2227	1996-10-31	PRIJEM	\N	45	7916	UROK	\N	\N
3603709	2227	1996-11-30	PRIJEM	\N	71	44735	UROK	\N	\N
3603710	2227	1996-12-31	PRIJEM	\N	145	58775	UROK	\N	\N
3603711	2227	1997-01-31	PRIJEM	\N	237	45167	UROK	\N	\N
3603712	2227	1997-02-28	PRIJEM	\N	112	19673	UROK	\N	\N
3603713	2227	1997-03-31	PRIJEM	\N	119	22759	UROK	\N	\N
3603714	2227	1997-04-30	PRIJEM	\N	238	107273	UROK	\N	\N
3603715	2227	1997-05-31	PRIJEM	\N	221	38156	UROK	\N	\N
3603716	2227	1997-06-30	PRIJEM	\N	206	85829	UROK	\N	\N
3603717	2227	1997-07-31	PRIJEM	\N	363	80861	UROK	\N	\N
3603718	2227	1997-08-31	PRIJEM	\N	379	92453	UROK	\N	\N
3603719	2227	1997-09-30	PRIJEM	\N	255	77378	UROK	\N	\N
3603720	2227	1997-10-31	PRIJEM	\N	363	86250	UROK	\N	\N
3603721	2227	1997-11-30	PRIJEM	\N	396	104307	UROK	\N	\N
3603722	2227	1997-12-31	PRIJEM	\N	298	65008	UROK	\N	\N
3603723	2227	1998-01-31	PRIJEM	\N	376	93611	UROK	\N	\N
3603724	2227	1998-02-28	PRIJEM	\N	434	119039	UROK	\N	\N
3603725	2227	1998-03-31	PRIJEM	\N	280	81272	UROK	\N	\N
3603726	2227	1998-04-30	PRIJEM	\N	282	43955	UROK	\N	\N
3603727	2227	1998-05-31	PRIJEM	\N	296	100206	UROK	\N	\N
3603728	2227	1998-06-30	PRIJEM	\N	390	104116	UROK	\N	\N
3603729	2227	1998-07-31	PRIJEM	\N	365	99141	UROK	\N	\N
3603730	2227	1998-08-31	PRIJEM	\N	339	80964	UROK	\N	\N
3603731	2227	1998-09-30	PRIJEM	\N	356	75470	UROK	\N	\N
3603732	2227	1998-10-31	PRIJEM	\N	358	89748	UROK	\N	\N
3603733	2227	1998-11-30	PRIJEM	\N	372	75937	UROK	\N	\N
3603734	2227	1998-12-31	PRIJEM	\N	251	54973	UROK	\N	\N
3603735	2228	1994-05-31	PRIJEM	\N	69	39377	UROK	\N	\N
3603736	2228	1994-06-30	PRIJEM	\N	164	34141	UROK	\N	\N
3603737	2228	1994-07-31	PRIJEM	\N	180	70386	UROK	\N	\N
3603738	2228	1994-08-31	PRIJEM	\N	293	49678	UROK	\N	\N
3603739	2228	1994-09-30	PRIJEM	\N	293	38071	UROK	\N	\N
3603740	2228	1994-10-31	PRIJEM	\N	293	33763	UROK	\N	\N
3603741	2228	1994-11-30	PRIJEM	\N	293	32256	UROK	\N	\N
3603742	2228	1994-12-31	PRIJEM	\N	209	35956	UROK	\N	\N
3603743	2228	1995-01-31	PRIJEM	\N	149	30805	UROK	\N	\N
3603744	2228	1995-02-28	PRIJEM	\N	193	58856	UROK	\N	\N
3603745	2228	1995-03-31	PRIJEM	\N	275	82660	UROK	\N	\N
3603746	2228	1995-04-30	PRIJEM	\N	379	97516	UROK	\N	\N
3603747	2228	1995-05-31	PRIJEM	\N	231	25172	UROK	\N	\N
3603748	2228	1995-06-30	PRIJEM	\N	87	18447	UROK	\N	\N
3603749	2228	1995-07-31	PRIJEM	\N	100	66917	UROK	\N	\N
3603750	2228	1995-08-31	PRIJEM	\N	195	40219	UROK	\N	\N
3603751	2228	1995-09-30	PRIJEM	\N	197	58976	UROK	\N	\N
3603752	2228	1995-10-31	PRIJEM	\N	184	34947	UROK	\N	\N
3603753	2228	1995-11-30	PRIJEM	\N	257	75746	UROK	\N	\N
3603754	2228	1995-12-31	PRIJEM	\N	255	74752	UROK	\N	\N
3603755	2228	1996-01-31	PRIJEM	\N	256	44258	UROK	\N	\N
3603756	2228	1996-02-29	PRIJEM	\N	163	66000	UROK	\N	\N
3603757	2228	1996-03-31	PRIJEM	\N	219	38366	UROK	\N	\N
3603758	2228	1996-04-30	PRIJEM	\N	199	67291	UROK	\N	\N
3603759	2228	1996-05-31	PRIJEM	\N	208	40786	UROK	\N	\N
3603760	2228	1996-06-30	PRIJEM	\N	133	23012	UROK	\N	\N
3603761	2228	1996-07-31	PRIJEM	\N	372	85478	UROK	\N	\N
3603762	2228	1996-08-31	PRIJEM	\N	301	65564	UROK	\N	\N
3603763	2228	1996-09-30	PRIJEM	\N	235	48459	UROK	\N	\N
3603764	2228	1996-10-31	PRIJEM	\N	258	64298	UROK	\N	\N
3603765	2228	1996-11-30	PRIJEM	\N	260	63944	UROK	\N	\N
3603766	2228	1996-12-31	PRIJEM	\N	220	79014	UROK	\N	\N
3603767	2228	1997-01-31	PRIJEM	\N	163	23963	UROK	\N	\N
3603768	2228	1997-02-28	PRIJEM	\N	85	18435	UROK	\N	\N
3603769	2228	1997-03-31	PRIJEM	\N	67	15289	UROK	\N	\N
3603770	2228	1997-04-30	PRIJEM	\N	62	15238	UROK	\N	\N
3603771	2228	1997-05-31	PRIJEM	\N	65	16289	UROK	\N	\N
3603772	2228	1997-06-30	PRIJEM	\N	74	19150	UROK	\N	\N
3603773	2228	1997-07-31	PRIJEM	\N	80	28116	UROK	\N	\N
3603774	2228	1997-08-31	PRIJEM	\N	94	24497	UROK	\N	\N
3603775	2228	1997-09-30	PRIJEM	\N	81	23665	UROK	\N	\N
3603776	2228	1997-10-31	PRIJEM	\N	77	22129	UROK	\N	\N
3603777	2228	1997-11-30	PRIJEM	\N	72	23088	UROK	\N	\N
3603778	2228	1997-12-31	PRIJEM	\N	73	17748	UROK	\N	\N
3603779	2228	1998-01-31	PRIJEM	\N	143	25409	UROK	\N	\N
3603780	2228	1998-02-28	PRIJEM	\N	237	29521	UROK	\N	\N
3603781	2228	1998-03-31	PRIJEM	\N	196	41051	UROK	\N	\N
3603782	2228	1998-04-30	PRIJEM	\N	161	39627	UROK	\N	\N
3603783	2228	1998-05-31	PRIJEM	\N	128	22232	UROK	\N	\N
3603784	2228	1998-06-30	PRIJEM	\N	112	42447	UROK	\N	\N
3603785	2228	1998-07-31	PRIJEM	\N	148	29382	UROK	\N	\N
3603786	2228	1998-08-31	PRIJEM	\N	101	21669	UROK	\N	\N
3603787	2228	1998-09-30	PRIJEM	\N	259	62405	UROK	\N	\N
3603788	2228	1998-10-31	PRIJEM	\N	147	21676	UROK	\N	\N
3603789	2228	1998-11-30	PRIJEM	\N	132	28761	UROK	\N	\N
3603790	2228	1998-12-31	PRIJEM	\N	94	20342	UROK	\N	\N
3603791	2229	1997-02-28	PRIJEM	\N	8	18758	UROK	\N	\N
3603792	2229	1997-03-31	PRIJEM	\N	85	31493	UROK	\N	\N
3603793	2229	1997-04-30	PRIJEM	\N	132	33575	UROK	\N	\N
3603794	2229	1997-05-31	PRIJEM	\N	141	36567	UROK	\N	\N
3603795	2229	1997-06-30	PRIJEM	\N	163	20899	UROK	\N	\N
3603796	2229	1997-07-31	PRIJEM	\N	94	25124	UROK	\N	\N
3603797	2229	1997-08-31	PRIJEM	\N	119	30273	UROK	\N	\N
3603798	2229	1997-09-30	PRIJEM	\N	137	32240	UROK	\N	\N
3603799	2229	1997-10-31	PRIJEM	\N	141	31112	UROK	\N	\N
3603800	2229	1997-11-30	PRIJEM	\N	136	29078	UROK	\N	\N
3603801	2229	1997-12-31	PRIJEM	\N	146	35479	UROK	\N	\N
3603802	2229	1998-01-31	PRIJEM	\N	137	28147	UROK	\N	\N
3603803	2229	1998-02-28	PRIJEM	\N	124	27701	UROK	\N	\N
3603804	2229	1998-03-31	PRIJEM	\N	120	24851	UROK	\N	\N
3603805	2229	1998-04-30	PRIJEM	\N	96	18478	UROK	\N	\N
3603806	2229	1998-05-31	PRIJEM	\N	83	17591	UROK	\N	\N
3603807	2229	1998-06-30	PRIJEM	\N	96	22342	UROK	\N	\N
3603808	2229	1998-07-31	PRIJEM	\N	86	14959	UROK	\N	\N
3603809	2229	1998-08-31	PRIJEM	\N	64	14454	UROK	\N	\N
3603810	2229	1998-09-30	PRIJEM	\N	74	19058	UROK	\N	\N
3603811	2229	1998-10-31	PRIJEM	\N	92	23881	UROK	\N	\N
3603812	2229	1998-11-30	PRIJEM	\N	103	21414	UROK	\N	\N
3603813	2229	1998-12-31	PRIJEM	\N	112	26782	UROK	\N	\N
3603814	2230	1996-07-31	PRIJEM	\N	68	22516	UROK	\N	\N
3603815	2230	1996-08-31	PRIJEM	\N	100	24401	UROK	\N	\N
3603816	2230	1996-09-30	PRIJEM	\N	108	27175	UROK	\N	\N
3603817	2230	1996-10-31	PRIJEM	\N	120	29960	UROK	\N	\N
3603818	2230	1996-11-30	PRIJEM	\N	125	29550	UROK	\N	\N
3603819	2230	1996-12-31	PRIJEM	\N	126	29941	UROK	\N	\N
3603820	2230	1997-01-31	PRIJEM	\N	102	20259	UROK	\N	\N
3603821	2230	1997-02-28	PRIJEM	\N	87	19891	UROK	\N	\N
3603822	2230	1997-03-31	PRIJEM	\N	83	19999	UROK	\N	\N
3603823	2230	1997-04-30	PRIJEM	\N	90	22754	UROK	\N	\N
3603824	2230	1997-05-31	PRIJEM	\N	102	24402	UROK	\N	\N
3603825	2230	1997-06-30	PRIJEM	\N	81	16928	UROK	\N	\N
3603826	2230	1997-07-31	PRIJEM	\N	77	19670	UROK	\N	\N
3603827	2230	1997-08-31	PRIJEM	\N	88	22424	UROK	\N	\N
3603828	2230	1997-09-30	PRIJEM	\N	100	25189	UROK	\N	\N
3603829	2230	1997-10-31	PRIJEM	\N	111	27965	UROK	\N	\N
3603830	2230	1997-11-30	PRIJEM	\N	123	30753	UROK	\N	\N
3603831	2230	1997-12-31	PRIJEM	\N	132	32301	UROK	\N	\N
3603832	2230	1998-01-31	PRIJEM	\N	127	26053	UROK	\N	\N
3603833	2230	1998-02-28	PRIJEM	\N	115	28353	UROK	\N	\N
3603834	2230	1998-03-31	PRIJEM	\N	124	31143	UROK	\N	\N
3603835	2230	1998-04-30	PRIJEM	\N	136	33944	UROK	\N	\N
3603836	2230	1998-05-31	PRIJEM	\N	148	36756	UROK	\N	\N
3603837	2230	1998-06-30	PRIJEM	\N	144	22466	UROK	\N	\N
3603838	2230	1998-07-31	PRIJEM	\N	100	25231	UROK	\N	\N
3603839	2230	1998-08-31	PRIJEM	\N	111	28008	UROK	\N	\N
3603840	2230	1998-09-30	PRIJEM	\N	116	27669	UROK	\N	\N
3603841	2230	1998-10-31	PRIJEM	\N	119	28434	UROK	\N	\N
3603842	2230	1998-11-30	PRIJEM	\N	122	29461	UROK	\N	\N
3603843	2230	1998-12-31	PRIJEM	\N	130	31806	UROK	\N	\N
3603844	2231	1997-11-30	PRIJEM	\N	32	12850	UROK	\N	\N
3603845	2231	1997-12-31	PRIJEM	\N	78	22555	UROK	\N	\N
3603846	2231	1998-01-31	PRIJEM	\N	88	20561	UROK	\N	\N
3603847	2231	1998-02-28	PRIJEM	\N	75	16755	UROK	\N	\N
3603848	2231	1998-03-31	PRIJEM	\N	74	18547	UROK	\N	\N
3603849	2231	1998-04-30	PRIJEM	\N	75	17713	UROK	\N	\N
3603850	2231	1998-05-31	PRIJEM	\N	72	17076	UROK	\N	\N
3603851	2231	1998-06-30	PRIJEM	\N	68	12645	UROK	\N	\N
3603852	2231	1998-07-31	PRIJEM	\N	57	13493	UROK	\N	\N
3603853	2231	1998-08-31	PRIJEM	\N	74	19859	UROK	\N	\N
3603854	2231	1998-09-30	PRIJEM	\N	74	17724	UROK	\N	\N
3603855	2231	1998-10-31	PRIJEM	\N	92	23907	UROK	\N	\N
3603856	2231	1998-11-30	PRIJEM	\N	100	24699	UROK	\N	\N
3603857	2231	1998-12-31	PRIJEM	\N	98	22597	UROK	\N	\N
3603858	2232	1996-05-31	PRIJEM	\N	26	8300	UROK	\N	\N
3603859	2232	1996-06-30	PRIJEM	\N	88	25949	UROK	\N	\N
3603860	2232	1996-07-31	PRIJEM	\N	127	32049	UROK	\N	\N
3603861	2232	1996-08-31	PRIJEM	\N	142	34865	UROK	\N	\N
3603862	2232	1996-09-30	PRIJEM	\N	140	32463	UROK	\N	\N
3603863	2232	1996-10-31	PRIJEM	\N	130	30036	UROK	\N	\N
3603864	2232	1996-11-30	PRIJEM	\N	121	27800	UROK	\N	\N
3603865	2232	1996-12-31	PRIJEM	\N	104	20455	UROK	\N	\N
3603866	2232	1997-01-31	PRIJEM	\N	70	12868	UROK	\N	\N
3603867	2232	1997-02-28	PRIJEM	\N	61	13252	UROK	\N	\N
3603868	2232	1997-03-31	PRIJEM	\N	85	21980	UROK	\N	\N
3603869	2232	1997-04-30	PRIJEM	\N	94	21397	UROK	\N	\N
3603870	2232	1997-05-31	PRIJEM	\N	96	22996	UROK	\N	\N
3603871	2232	1997-06-30	PRIJEM	\N	131	33858	UROK	\N	\N
3603872	2232	1997-07-31	PRIJEM	\N	122	27804	UROK	\N	\N
3603873	2232	1997-08-31	PRIJEM	\N	129	29996	UROK	\N	\N
3603874	2232	1997-09-30	PRIJEM	\N	131	32170	UROK	\N	\N
3603875	2232	1997-10-31	PRIJEM	\N	131	31904	UROK	\N	\N
3603876	2232	1997-11-30	PRIJEM	\N	141	39088	UROK	\N	\N
3603877	2232	1997-12-31	PRIJEM	\N	179	42658	UROK	\N	\N
3603878	2232	1998-01-31	PRIJEM	\N	140	34081	UROK	\N	\N
3603879	2232	1998-02-28	PRIJEM	\N	144	38908	UROK	\N	\N
3603880	2232	1998-03-31	PRIJEM	\N	160	42871	UROK	\N	\N
3603881	2232	1998-04-30	PRIJEM	\N	188	51202	UROK	\N	\N
3603882	2232	1998-05-31	PRIJEM	\N	213	50119	UROK	\N	\N
3603883	2232	1998-06-30	PRIJEM	\N	187	36376	UROK	\N	\N
3603884	2232	1998-07-31	PRIJEM	\N	165	51404	UROK	\N	\N
3603885	2232	1998-08-31	PRIJEM	\N	222	56369	UROK	\N	\N
3603886	2232	1998-09-30	PRIJEM	\N	239	57952	UROK	\N	\N
3603887	2232	1998-10-31	PRIJEM	\N	240	54236	UROK	\N	\N
3603888	2232	1998-11-30	PRIJEM	\N	232	57711	UROK	\N	\N
3603889	2232	1998-12-31	PRIJEM	\N	250	59172	UROK	\N	\N
3603890	2233	1996-01-31	PRIJEM	\N	15	6308	UROK	\N	\N
3603891	2233	1996-02-29	PRIJEM	\N	26	12227	UROK	\N	\N
3603892	2233	1996-03-31	PRIJEM	\N	26	18147	UROK	\N	\N
3603893	2233	1996-04-30	PRIJEM	\N	26	24066	UROK	\N	\N
3603894	2233	1996-05-31	PRIJEM	\N	29	29988	UROK	\N	\N
3603895	2233	1996-06-30	PRIJEM	\N	85	21623	UROK	\N	\N
3603896	2233	1996-07-31	PRIJEM	\N	88	20841	UROK	\N	\N
3603897	2233	1996-08-31	PRIJEM	\N	89	20881	UROK	\N	\N
3603898	2233	1996-09-30	PRIJEM	\N	87	21138	UROK	\N	\N
3603899	2233	1996-10-31	PRIJEM	\N	97	25086	UROK	\N	\N
3603900	2233	1996-11-30	PRIJEM	\N	112	24148	UROK	\N	\N
3603901	2233	1996-12-31	PRIJEM	\N	103	23002	UROK	\N	\N
3603902	2233	1997-01-31	PRIJEM	\N	98	20700	UROK	\N	\N
3603903	2233	1997-02-28	PRIJEM	\N	87	20638	UROK	\N	\N
3603904	2233	1997-03-31	PRIJEM	\N	84	21532	UROK	\N	\N
3603905	2233	1997-04-30	PRIJEM	\N	99	25481	UROK	\N	\N
3603906	2233	1997-05-31	PRIJEM	\N	115	29046	UROK	\N	\N
3603907	2233	1997-06-30	PRIJEM	\N	96	20203	UROK	\N	\N
3603908	2233	1997-07-31	PRIJEM	\N	92	21845	UROK	\N	\N
3603909	2233	1997-08-31	PRIJEM	\N	95	19730	UROK	\N	\N
3603910	2233	1997-09-30	PRIJEM	\N	84	16164	UROK	\N	\N
3603911	2233	1997-10-31	PRIJEM	\N	74	18189	UROK	\N	\N
3603912	2233	1997-11-30	PRIJEM	\N	80	17519	UROK	\N	\N
3603913	2233	1997-12-31	PRIJEM	\N	77	18105	UROK	\N	\N
3603914	2233	1998-01-31	PRIJEM	\N	76	15632	UROK	\N	\N
3603915	2233	1998-02-28	PRIJEM	\N	70	19072	UROK	\N	\N
3603916	2233	1998-03-31	PRIJEM	\N	85	22448	UROK	\N	\N
3603917	2233	1998-04-30	PRIJEM	\N	102	26400	UROK	\N	\N
3603918	2233	1998-05-31	PRIJEM	\N	119	28129	UROK	\N	\N
3603919	2233	1998-06-30	PRIJEM	\N	108	20638	UROK	\N	\N
3603920	2233	1998-07-31	PRIJEM	\N	95	24583	UROK	\N	\N
3603921	2233	1998-08-31	PRIJEM	\N	111	28545	UROK	\N	\N
3603922	2233	1998-09-30	PRIJEM	\N	127	32522	UROK	\N	\N
3603923	2233	1998-10-31	PRIJEM	\N	144	36517	UROK	\N	\N
3603924	2233	1998-11-30	PRIJEM	\N	161	40528	UROK	\N	\N
3603925	2233	1998-12-31	PRIJEM	\N	176	44105	UROK	\N	\N
3603926	2234	1997-04-30	PRIJEM	\N	41	13444	UROK	\N	\N
3603927	2234	1997-05-31	PRIJEM	\N	59	14548	UROK	\N	\N
3603928	2234	1997-06-30	PRIJEM	\N	63	15025	UROK	\N	\N
3603929	2234	1997-07-31	PRIJEM	\N	66	16136	UROK	\N	\N
3603930	2234	1997-08-31	PRIJEM	\N	70	16230	UROK	\N	\N
3603931	2234	1997-09-30	PRIJEM	\N	68	15722	UROK	\N	\N
3603932	2234	1997-10-31	PRIJEM	\N	69	16836	UROK	\N	\N
3603933	2234	1997-11-30	PRIJEM	\N	73	17773	UROK	\N	\N
3603934	2234	1997-12-31	PRIJEM	\N	78	18625	UROK	\N	\N
3603935	2234	1998-01-31	PRIJEM	\N	81	19750	UROK	\N	\N
3603936	2234	1998-02-28	PRIJEM	\N	86	20880	UROK	\N	\N
3603937	2234	1998-03-31	PRIJEM	\N	89	21143	UROK	\N	\N
3603938	2234	1998-04-30	PRIJEM	\N	91	22279	UROK	\N	\N
3603939	2234	1998-05-31	PRIJEM	\N	96	23419	UROK	\N	\N
3603940	2234	1998-06-30	PRIJEM	\N	101	24564	UROK	\N	\N
3603941	2234	1998-07-31	PRIJEM	\N	106	25715	UROK	\N	\N
3603942	2234	1998-08-31	PRIJEM	\N	110	26869	UROK	\N	\N
3603943	2234	1998-09-30	PRIJEM	\N	115	28029	UROK	\N	\N
3603944	2234	1998-10-31	PRIJEM	\N	120	29193	UROK	\N	\N
3603945	2234	1998-11-30	PRIJEM	\N	125	30363	UROK	\N	\N
3603946	2234	1998-12-31	PRIJEM	\N	127	30424	UROK	\N	\N
3603947	2235	1995-11-30	PRIJEM	\N	22	15998	UROK	\N	\N
3603948	2235	1995-12-31	PRIJEM	\N	83	27145	UROK	\N	\N
3603949	2235	1996-01-31	PRIJEM	\N	119	31240	UROK	\N	\N
3603950	2235	1996-02-29	PRIJEM	\N	127	29343	UROK	\N	\N
3603951	2235	1996-03-31	PRIJEM	\N	128	28617	UROK	\N	\N
3603952	2235	1996-04-30	PRIJEM	\N	122	25870	UROK	\N	\N
3603953	2235	1996-05-31	PRIJEM	\N	119	28220	UROK	\N	\N
3603954	2235	1996-06-30	PRIJEM	\N	133	30472	UROK	\N	\N
3603955	2235	1996-07-31	PRIJEM	\N	130	28934	UROK	\N	\N
3603956	2235	1996-08-31	PRIJEM	\N	116	23981	UROK	\N	\N
3603957	2235	1996-09-30	PRIJEM	\N	91	18543	UROK	\N	\N
3603958	2235	1996-10-31	PRIJEM	\N	78	17052	UROK	\N	\N
3603959	2235	1996-11-30	PRIJEM	\N	81	19744	UROK	\N	\N
3603960	2235	1996-12-31	PRIJEM	\N	92	17736	UROK	\N	\N
3603961	2235	1997-01-31	PRIJEM	\N	70	14937	UROK	\N	\N
3603962	2235	1997-02-28	PRIJEM	\N	61	13250	UROK	\N	\N
3603963	2235	1997-03-31	PRIJEM	\N	57	12538	UROK	\N	\N
3603964	2235	1997-04-30	PRIJEM	\N	66	17236	UROK	\N	\N
3603965	2235	1997-05-31	PRIJEM	\N	68	14535	UROK	\N	\N
3603966	2235	1997-06-30	PRIJEM	\N	61	13015	UROK	\N	\N
3603967	2235	1997-07-31	PRIJEM	\N	71	18717	UROK	\N	\N
3603968	2235	1997-08-31	PRIJEM	\N	69	15017	UROK	\N	\N
3603969	2235	1997-09-30	PRIJEM	\N	79	20727	UROK	\N	\N
3603970	2235	1997-10-31	PRIJEM	\N	70	14829	UROK	\N	\N
3603971	2235	1997-11-30	PRIJEM	\N	77	12237	UROK	\N	\N
3603972	2235	1997-12-31	PRIJEM	\N	80	19916	UROK	\N	\N
3603973	2235	1998-01-31	PRIJEM	\N	99	25646	UROK	\N	\N
3603974	2235	1998-02-28	PRIJEM	\N	78	14856	UROK	\N	\N
3603975	2235	1998-03-31	PRIJEM	\N	78	20565	UROK	\N	\N
3603976	2235	1998-04-30	PRIJEM	\N	47	8144	UROK	\N	\N
3603977	2235	1998-05-31	PRIJEM	\N	50	13825	UROK	\N	\N
3603978	2235	1998-06-30	PRIJEM	\N	87	24231	UROK	\N	\N
3603979	2235	1998-07-31	PRIJEM	\N	117	29980	UROK	\N	\N
3603980	2235	1998-08-31	PRIJEM	\N	139	34190	UROK	\N	\N
3603981	2235	1998-09-30	PRIJEM	\N	158	39979	UROK	\N	\N
3603982	2235	1998-10-31	PRIJEM	\N	176	43026	UROK	\N	\N
3603983	2235	1998-11-30	PRIJEM	\N	190	44407	UROK	\N	\N
3603984	2235	1998-12-31	PRIJEM	\N	213	50619	UROK	\N	\N
3603985	2237	1996-01-31	PRIJEM	\N	61	22593	UROK	\N	\N
3603986	2237	1996-02-29	PRIJEM	\N	126	34350	UROK	\N	\N
3603987	2237	1996-03-31	PRIJEM	\N	150	37132	UROK	\N	\N
3603988	2237	1996-04-30	PRIJEM	\N	154	37219	UROK	\N	\N
3603989	2237	1996-05-31	PRIJEM	\N	141	31604	UROK	\N	\N
3603990	2237	1996-06-30	PRIJEM	\N	145	35515	UROK	\N	\N
3603991	2237	1996-07-31	PRIJEM	\N	148	34594	UROK	\N	\N
3603992	2237	1996-08-31	PRIJEM	\N	136	29760	UROK	\N	\N
3603993	2237	1996-09-30	PRIJEM	\N	155	38545	UROK	\N	\N
3603994	2237	1996-10-31	PRIJEM	\N	166	39041	UROK	\N	\N
3603995	2237	1996-11-30	PRIJEM	\N	156	36747	UROK	\N	\N
3603996	2237	1996-12-31	PRIJEM	\N	197	49810	UROK	\N	\N
3603997	2237	1997-01-31	PRIJEM	\N	184	40505	UROK	\N	\N
3603998	2237	1997-02-28	PRIJEM	\N	178	42413	UROK	\N	\N
3603999	2237	1997-03-31	PRIJEM	\N	181	42624	UROK	\N	\N
3604000	2237	1997-04-30	PRIJEM	\N	185	43839	UROK	\N	\N
3604001	2237	1997-05-31	PRIJEM	\N	193	46163	UROK	\N	\N
3604002	2237	1997-06-30	PRIJEM	\N	164	33673	UROK	\N	\N
3604003	2237	1997-07-31	PRIJEM	\N	163	39967	UROK	\N	\N
3604004	2237	1997-08-31	PRIJEM	\N	158	37235	UROK	\N	\N
3604005	2237	1997-09-30	PRIJEM	\N	188	46954	UROK	\N	\N
3604006	2237	1997-10-31	PRIJEM	\N	213	51497	UROK	\N	\N
3604007	2237	1997-11-30	PRIJEM	\N	238	58265	UROK	\N	\N
3604008	2237	1997-12-31	PRIJEM	\N	258	64629	UROK	\N	\N
3604009	2237	1998-01-31	PRIJEM	\N	257	49677	UROK	\N	\N
3604010	2237	1998-02-28	PRIJEM	\N	219	56426	UROK	\N	\N
3604011	2237	1998-03-31	PRIJEM	\N	258	60575	UROK	\N	\N
3604012	2237	1998-04-30	PRIJEM	\N	254	58279	UROK	\N	\N
3604013	2237	1998-05-31	PRIJEM	\N	239	56849	UROK	\N	\N
3604014	2237	1998-06-30	PRIJEM	\N	201	28977	UROK	\N	\N
3604015	2237	1998-07-31	PRIJEM	\N	152	38360	UROK	\N	\N
3604016	2237	1998-08-31	PRIJEM	\N	189	41079	UROK	\N	\N
3604017	2237	1998-09-30	PRIJEM	\N	194	43643	UROK	\N	\N
3604018	2237	1998-10-31	PRIJEM	\N	209	45182	UROK	\N	\N
3604019	2237	1998-11-30	PRIJEM	\N	214	45126	UROK	\N	\N
3604020	2237	1998-12-31	PRIJEM	\N	242	61914	UROK	\N	\N
3604048	2239	1995-01-31	PRIJEM	\N	44	15734	UROK	\N	\N
3604049	2239	1995-02-28	PRIJEM	\N	116	34841	UROK	\N	\N
3604050	2239	1995-03-31	PRIJEM	\N	177	46207	UROK	\N	\N
3604051	2239	1995-04-30	PRIJEM	\N	206	51303	UROK	\N	\N
3604052	2239	1995-05-31	PRIJEM	\N	194	41527	UROK	\N	\N
3604053	2239	1995-06-30	PRIJEM	\N	165	15802	UROK	\N	\N
3604054	2239	1995-07-31	PRIJEM	\N	93	24710	UROK	\N	\N
3604055	2239	1995-08-31	PRIJEM	\N	145	32670	UROK	\N	\N
3604056	2239	1995-09-30	PRIJEM	\N	156	35242	UROK	\N	\N
3604057	2239	1995-10-31	PRIJEM	\N	166	35424	UROK	\N	\N
3604058	2239	1995-11-30	PRIJEM	\N	151	36691	UROK	\N	\N
3604059	2239	1995-12-31	PRIJEM	\N	172	39372	UROK	\N	\N
3604060	2239	1996-01-31	PRIJEM	\N	139	20526	UROK	\N	\N
3604061	2239	1996-02-29	PRIJEM	\N	103	27644	UROK	\N	\N
3604062	2239	1996-03-31	PRIJEM	\N	119	26579	UROK	\N	\N
3604063	2239	1996-04-30	PRIJEM	\N	128	27022	UROK	\N	\N
3604064	2239	1996-05-31	PRIJEM	\N	128	26465	UROK	\N	\N
3604065	2239	1996-06-30	PRIJEM	\N	126	19002	UROK	\N	\N
3604066	2239	1996-07-31	PRIJEM	\N	94	20511	UROK	\N	\N
3604067	2239	1996-08-31	PRIJEM	\N	98	19324	UROK	\N	\N
3604068	2239	1996-09-30	PRIJEM	\N	94	19134	UROK	\N	\N
3604069	2239	1996-10-31	PRIJEM	\N	96	23845	UROK	\N	\N
3604070	2239	1996-11-30	PRIJEM	\N	112	23972	UROK	\N	\N
3604071	2239	1996-12-31	PRIJEM	\N	132	30014	UROK	\N	\N
3604072	2239	1997-01-31	PRIJEM	\N	94	19923	UROK	\N	\N
3604073	2239	1997-02-28	PRIJEM	\N	111	26450	UROK	\N	\N
3604074	2239	1997-03-31	PRIJEM	\N	124	28890	UROK	\N	\N
3604075	2239	1997-04-30	PRIJEM	\N	130	26934	UROK	\N	\N
3604076	2239	1997-05-31	PRIJEM	\N	122	27372	UROK	\N	\N
3604077	2239	1997-06-30	PRIJEM	\N	147	17729	UROK	\N	\N
3604078	2239	1997-07-31	PRIJEM	\N	93	26137	UROK	\N	\N
3604079	2239	1997-08-31	PRIJEM	\N	117	23670	UROK	\N	\N
3604080	2239	1997-09-30	PRIJEM	\N	121	34106	UROK	\N	\N
3604081	2239	1997-10-31	PRIJEM	\N	157	38978	UROK	\N	\N
3604082	2239	1997-11-30	PRIJEM	\N	169	38562	UROK	\N	\N
3604083	2239	1997-12-31	PRIJEM	\N	183	43055	UROK	\N	\N
3604084	2239	1998-01-31	PRIJEM	\N	176	36746	UROK	\N	\N
3604085	2239	1998-02-28	PRIJEM	\N	164	39926	UROK	\N	\N
3604086	2239	1998-03-31	PRIJEM	\N	190	46531	UROK	\N	\N
3604087	2239	1998-04-30	PRIJEM	\N	202	48448	UROK	\N	\N
3604088	2239	1998-05-31	PRIJEM	\N	214	52777	UROK	\N	\N
3604089	2239	1998-06-30	PRIJEM	\N	208	33696	UROK	\N	\N
3604090	2239	1998-07-31	PRIJEM	\N	167	46378	UROK	\N	\N
3604091	2239	1998-08-31	PRIJEM	\N	209	53303	UROK	\N	\N
3604092	2239	1998-09-30	PRIJEM	\N	229	54147	UROK	\N	\N
3604093	2239	1998-10-31	PRIJEM	\N	234	57897	UROK	\N	\N
3604094	2239	1998-11-30	PRIJEM	\N	246	60258	UROK	\N	\N
3604095	2239	1998-12-31	PRIJEM	\N	263	61731	UROK	\N	\N
3604096	2240	1996-10-31	PRIJEM	\N	57	68525	UROK	\N	\N
3604097	2240	1996-11-30	PRIJEM	\N	349	69524	UROK	\N	\N
3604098	2240	1996-12-31	PRIJEM	\N	224	49391	UROK	\N	\N
3604099	2240	1997-01-31	PRIJEM	\N	318	72830	UROK	\N	\N
3604100	2240	1997-02-28	PRIJEM	\N	283	70426	UROK	\N	\N
3604101	2240	1997-03-31	PRIJEM	\N	221	57868	UROK	\N	\N
3604102	2240	1997-04-30	PRIJEM	\N	240	57161	UROK	\N	\N
3604103	2240	1997-05-31	PRIJEM	\N	255	49005	UROK	\N	\N
3604104	2240	1997-06-30	PRIJEM	\N	318	70671	UROK	\N	\N
3604105	2240	1997-07-31	PRIJEM	\N	235	38449	UROK	\N	\N
3604106	2240	1997-08-31	PRIJEM	\N	196	39456	UROK	\N	\N
3604107	2240	1997-09-30	PRIJEM	\N	374	103756	UROK	\N	\N
3604108	2240	1997-10-31	PRIJEM	\N	317	100755	UROK	\N	\N
3604109	2240	1997-11-30	PRIJEM	\N	358	79502	UROK	\N	\N
3604110	2240	1997-12-31	PRIJEM	\N	255	97563	UROK	\N	\N
3604111	2240	1998-01-31	PRIJEM	\N	243	39481	UROK	\N	\N
3604112	2240	1998-02-28	PRIJEM	\N	162	29559	UROK	\N	\N
3604113	2240	1998-03-31	PRIJEM	\N	114	24558	UROK	\N	\N
3604114	2240	1998-04-30	PRIJEM	\N	101	24644	UROK	\N	\N
3604115	2240	1998-05-31	PRIJEM	\N	101	24231	UROK	\N	\N
3604116	2240	1998-06-30	PRIJEM	\N	100	23416	UROK	\N	\N
3604117	2240	1998-07-31	PRIJEM	\N	104	42904	UROK	\N	\N
3604118	2240	1998-08-31	PRIJEM	\N	187	38497	UROK	\N	\N
3604119	2240	1998-09-30	PRIJEM	\N	167	52602	UROK	\N	\N
3604120	2240	1998-10-31	PRIJEM	\N	202	28265	UROK	\N	\N
3604121	2240	1998-11-30	PRIJEM	\N	126	21127	UROK	\N	\N
3604122	2240	1998-12-31	PRIJEM	\N	144	40527	UROK	\N	\N
3604123	2241	1993-03-31	PRIJEM	\N	61	20545	UROK	\N	\N
3604124	2241	1993-04-30	PRIJEM	\N	107	27736	UROK	\N	\N
3604125	2241	1993-05-31	PRIJEM	\N	132	33051	UROK	\N	\N
3604126	2241	1993-06-30	PRIJEM	\N	145	35372	UROK	\N	\N
3604127	2241	1993-07-31	PRIJEM	\N	127	28883	UROK	\N	\N
3604128	2241	1993-08-31	PRIJEM	\N	114	25950	UROK	\N	\N
3604129	2241	1993-09-30	PRIJEM	\N	122	29366	UROK	\N	\N
3604130	2241	1993-10-31	PRIJEM	\N	115	27054	UROK	\N	\N
3604131	2241	1993-11-30	PRIJEM	\N	130	31838	UROK	\N	\N
3604132	2241	1993-12-31	PRIJEM	\N	140	31603	UROK	\N	\N
3604133	2241	1994-01-31	PRIJEM	\N	112	17068	UROK	\N	\N
3604134	2241	1994-02-28	PRIJEM	\N	93	23035	UROK	\N	\N
3604135	2241	1994-03-31	PRIJEM	\N	120	29708	UROK	\N	\N
3604136	2241	1994-04-30	PRIJEM	\N	135	32697	UROK	\N	\N
3604137	2241	1994-05-31	PRIJEM	\N	149	36199	UROK	\N	\N
3604138	2241	1994-06-30	PRIJEM	\N	160	25705	UROK	\N	\N
3604139	2241	1994-07-31	PRIJEM	\N	118	28676	UROK	\N	\N
3604140	2241	1994-08-31	PRIJEM	\N	120	26910	UROK	\N	\N
3604141	2241	1994-09-30	PRIJEM	\N	135	33298	UROK	\N	\N
3604142	2241	1994-10-31	PRIJEM	\N	145	34017	UROK	\N	\N
3604143	2241	1994-11-30	PRIJEM	\N	139	33109	UROK	\N	\N
3604144	2241	1994-12-31	PRIJEM	\N	137	27691	UROK	\N	\N
3604145	2241	1995-01-31	PRIJEM	\N	99	15703	UROK	\N	\N
3604146	2241	1995-02-28	PRIJEM	\N	82	22539	UROK	\N	\N
3604147	2241	1995-03-31	PRIJEM	\N	111	27703	UROK	\N	\N
3604148	2241	1995-04-30	PRIJEM	\N	132	31488	UROK	\N	\N
3604149	2241	1995-05-31	PRIJEM	\N	145	30287	UROK	\N	\N
3604150	2241	1995-06-30	PRIJEM	\N	100	23552	UROK	\N	\N
3604151	2241	1995-07-31	PRIJEM	\N	113	24618	UROK	\N	\N
3604152	2241	1995-08-31	PRIJEM	\N	117	26189	UROK	\N	\N
3604153	2241	1995-09-30	PRIJEM	\N	126	31768	UROK	\N	\N
3604154	2241	1995-10-31	PRIJEM	\N	145	31566	UROK	\N	\N
3604155	2241	1995-11-30	PRIJEM	\N	146	34265	UROK	\N	\N
3604156	2241	1995-12-31	PRIJEM	\N	173	39524	UROK	\N	\N
3604157	2241	1996-01-31	PRIJEM	\N	132	22549	UROK	\N	\N
3604158	2241	1996-02-29	PRIJEM	\N	110	27313	UROK	\N	\N
3604159	2241	1996-03-31	PRIJEM	\N	130	31796	UROK	\N	\N
3604160	2241	1996-04-30	PRIJEM	\N	146	34095	UROK	\N	\N
3604161	2241	1996-05-31	PRIJEM	\N	157	38405	UROK	\N	\N
3604162	2241	1996-06-30	PRIJEM	\N	176	40646	UROK	\N	\N
3604163	2241	1996-07-31	PRIJEM	\N	182	39722	UROK	\N	\N
3604164	2241	1996-08-31	PRIJEM	\N	177	41552	UROK	\N	\N
3604165	2241	1996-09-30	PRIJEM	\N	174	43039	UROK	\N	\N
3604166	2241	1996-10-31	PRIJEM	\N	192	46285	UROK	\N	\N
3604167	2241	1996-11-30	PRIJEM	\N	199	45437	UROK	\N	\N
3604168	2241	1996-12-31	PRIJEM	\N	217	50240	UROK	\N	\N
3604169	2241	1997-01-31	PRIJEM	\N	202	45655	UROK	\N	\N
3604170	2241	1997-02-28	PRIJEM	\N	206	50714	UROK	\N	\N
3604171	2241	1997-03-31	PRIJEM	\N	210	50538	UROK	\N	\N
3604172	2241	1997-04-30	PRIJEM	\N	219	51710	UROK	\N	\N
3604173	2241	1997-05-31	PRIJEM	\N	227	54590	UROK	\N	\N
3604174	2241	1997-06-30	PRIJEM	\N	224	49099	UROK	\N	\N
3604175	2241	1997-07-31	PRIJEM	\N	218	53571	UROK	\N	\N
3604176	2241	1997-08-31	PRIJEM	\N	217	49482	UROK	\N	\N
3604177	2241	1997-09-30	PRIJEM	\N	213	50748	UROK	\N	\N
3604178	2241	1997-10-31	PRIJEM	\N	216	51517	UROK	\N	\N
3604179	2241	1997-11-30	PRIJEM	\N	227	55698	UROK	\N	\N
3604180	2241	1997-12-31	PRIJEM	\N	244	57587	UROK	\N	\N
3604181	2241	1998-01-31	PRIJEM	\N	222	47782	UROK	\N	\N
3604182	2241	1998-02-28	PRIJEM	\N	218	54754	UROK	\N	\N
3604183	2241	1998-03-31	PRIJEM	\N	250	62857	UROK	\N	\N
3604184	2241	1998-04-30	PRIJEM	\N	233	55263	UROK	\N	\N
3604185	2241	1998-05-31	PRIJEM	\N	247	61564	UROK	\N	\N
3604186	2241	1998-06-30	PRIJEM	\N	244	54154	UROK	\N	\N
3604187	2241	1998-07-31	PRIJEM	\N	243	61630	UROK	\N	\N
3604188	2241	1998-08-31	PRIJEM	\N	258	64082	UROK	\N	\N
3604189	2241	1998-09-30	PRIJEM	\N	267	61182	UROK	\N	\N
3604190	2241	1998-10-31	PRIJEM	\N	244	57479	UROK	\N	\N
3604191	2241	1998-11-30	PRIJEM	\N	249	61482	UROK	\N	\N
3604192	2241	1998-12-31	PRIJEM	\N	263	63990	UROK	\N	\N
3604193	2242	1993-03-31	PRIJEM	\N	24	36217	UROK	\N	\N
3604194	2242	1993-04-30	PRIJEM	\N	162	52873	UROK	\N	\N
3604195	2242	1993-05-31	PRIJEM	\N	227	61592	UROK	\N	\N
3604196	2242	1993-06-30	PRIJEM	\N	323	58955	UROK	\N	\N
3604197	2242	1993-07-31	PRIJEM	\N	285	58133	UROK	\N	\N
3604198	2242	1993-08-31	PRIJEM	\N	335	58993	UROK	\N	\N
3604199	2242	1993-09-30	PRIJEM	\N	336	59654	UROK	\N	\N
3604200	2242	1993-10-31	PRIJEM	\N	327	60705	UROK	\N	\N
3604201	2242	1993-11-30	PRIJEM	\N	273	52369	UROK	\N	\N
3604202	2242	1993-12-31	PRIJEM	\N	257	46298	UROK	\N	\N
3604203	2242	1994-01-31	PRIJEM	\N	228	31151	UROK	\N	\N
3604204	2242	1994-02-28	PRIJEM	\N	182	36061	UROK	\N	\N
3604205	2242	1994-03-31	PRIJEM	\N	231	41618	UROK	\N	\N
3604206	2242	1994-04-30	PRIJEM	\N	264	47006	UROK	\N	\N
3604207	2242	1994-05-31	PRIJEM	\N	281	53513	UROK	\N	\N
3604208	2242	1994-06-30	PRIJEM	\N	171	26952	UROK	\N	\N
3604209	2242	1994-07-31	PRIJEM	\N	213	45190	UROK	\N	\N
3604210	2242	1994-08-31	PRIJEM	\N	271	54886	UROK	\N	\N
3604211	2242	1994-09-30	PRIJEM	\N	271	53681	UROK	\N	\N
3604212	2242	1994-10-31	PRIJEM	\N	258	47184	UROK	\N	\N
3604213	2242	1994-11-30	PRIJEM	\N	228	40925	UROK	\N	\N
3604214	2242	1994-12-31	PRIJEM	\N	225	34469	UROK	\N	\N
3604215	2242	1995-01-31	PRIJEM	\N	147	25741	UROK	\N	\N
3604216	2242	1995-02-28	PRIJEM	\N	186	39652	UROK	\N	\N
3604217	2242	1995-03-31	PRIJEM	\N	236	47413	UROK	\N	\N
3604218	2242	1995-04-30	PRIJEM	\N	243	49533	UROK	\N	\N
3604219	2242	1995-05-31	PRIJEM	\N	250	50961	UROK	\N	\N
3604220	2242	1995-06-30	PRIJEM	\N	221	35396	UROK	\N	\N
3604221	2242	1995-07-31	PRIJEM	\N	176	35731	UROK	\N	\N
3604222	2242	1995-08-31	PRIJEM	\N	221	49677	UROK	\N	\N
3604223	2242	1995-09-30	PRIJEM	\N	250	44419	UROK	\N	\N
3604224	2242	1995-10-31	PRIJEM	\N	204	26531	UROK	\N	\N
3604225	2242	1995-11-30	PRIJEM	\N	143	25658	UROK	\N	\N
3604226	2242	1995-12-31	PRIJEM	\N	221	35784	UROK	\N	\N
3604227	2242	1996-01-31	PRIJEM	\N	179	26888	UROK	\N	\N
3604228	2242	1996-02-29	PRIJEM	\N	152	28545	UROK	\N	\N
3604229	2242	1996-03-31	PRIJEM	\N	165	38207	UROK	\N	\N
3604230	2242	1996-04-30	PRIJEM	\N	216	51549	UROK	\N	\N
3604231	2242	1996-05-31	PRIJEM	\N	250	53423	UROK	\N	\N
3604232	2242	1996-06-30	PRIJEM	\N	149	27169	UROK	\N	\N
3604233	2242	1996-07-31	PRIJEM	\N	149	34986	UROK	\N	\N
3604234	2242	1996-08-31	PRIJEM	\N	161	29772	UROK	\N	\N
3604235	2242	1996-09-30	PRIJEM	\N	169	42866	UROK	\N	\N
3604236	2242	1996-10-31	PRIJEM	\N	165	35056	UROK	\N	\N
3604237	2242	1996-11-30	PRIJEM	\N	180	46062	UROK	\N	\N
3604238	2242	1996-12-31	PRIJEM	\N	238	53272	UROK	\N	\N
3604239	2242	1997-01-31	PRIJEM	\N	231	31528	UROK	\N	\N
3604240	2242	1997-02-28	PRIJEM	\N	240	64893	UROK	\N	\N
3604241	2242	1997-03-31	PRIJEM	\N	394	58011	UROK	\N	\N
3604242	2242	1997-04-30	PRIJEM	\N	313	80649	UROK	\N	\N
3604243	2242	1997-05-31	PRIJEM	\N	355	88829	UROK	\N	\N
3604244	2242	1997-06-30	PRIJEM	\N	417	102618	UROK	\N	\N
3604245	2242	1997-07-31	PRIJEM	\N	395	96839	UROK	\N	\N
3604246	2242	1997-08-31	PRIJEM	\N	382	93945	UROK	\N	\N
3604247	2242	1997-09-30	PRIJEM	\N	370	91140	UROK	\N	\N
3604248	2242	1997-10-31	PRIJEM	\N	380	94345	UROK	\N	\N
3604249	2242	1997-11-30	PRIJEM	\N	389	96859	UROK	\N	\N
3604250	2242	1997-12-31	PRIJEM	\N	396	100627	UROK	\N	\N
3604251	2242	1998-01-31	PRIJEM	\N	284	34735	UROK	\N	\N
3604252	2242	1998-02-28	PRIJEM	\N	234	56920	UROK	\N	\N
3604253	2242	1998-03-31	PRIJEM	\N	256	67340	UROK	\N	\N
3604254	2242	1998-04-30	PRIJEM	\N	281	76746	UROK	\N	\N
3604255	2242	1998-05-31	PRIJEM	\N	286	46357	UROK	\N	\N
3604256	2242	1998-06-30	PRIJEM	\N	203	27132	UROK	\N	\N
3604257	2242	1998-07-31	PRIJEM	\N	195	26386	UROK	\N	\N
3604258	2242	1998-08-31	PRIJEM	\N	209	29820	UROK	\N	\N
3604259	2242	1998-09-30	PRIJEM	\N	227	33551	UROK	\N	\N
3604260	2242	1998-10-31	PRIJEM	\N	244	41121	UROK	\N	\N
3604261	2242	1998-11-30	PRIJEM	\N	271	44017	UROK	\N	\N
3604262	2242	1998-12-31	PRIJEM	\N	384	100173	UROK	\N	\N
3604263	2243	1996-02-29	PRIJEM	\N	23	23176	UROK	\N	\N
3604264	2243	1996-03-31	PRIJEM	\N	108	33837	UROK	\N	\N
3604265	2243	1996-04-30	PRIJEM	\N	143	35633	UROK	\N	\N
3604266	2243	1996-05-31	PRIJEM	\N	153	39839	UROK	\N	\N
3604267	2243	1996-06-30	PRIJEM	\N	203	43792	UROK	\N	\N
3604268	2243	1996-07-31	PRIJEM	\N	203	44096	UROK	\N	\N
3604269	2243	1996-08-31	PRIJEM	\N	193	41231	UROK	\N	\N
3604270	2243	1996-09-30	PRIJEM	\N	190	40822	UROK	\N	\N
3604271	2243	1996-10-31	PRIJEM	\N	187	39850	UROK	\N	\N
3604272	2243	1996-11-30	PRIJEM	\N	171	32362	UROK	\N	\N
3604273	2243	1996-12-31	PRIJEM	\N	168	38279	UROK	\N	\N
3604274	2243	1997-01-31	PRIJEM	\N	142	13342	UROK	\N	\N
3604275	2243	1997-02-28	PRIJEM	\N	87	23551	UROK	\N	\N
3604276	2243	1997-03-31	PRIJEM	\N	120	23372	UROK	\N	\N
3604277	2243	1997-04-30	PRIJEM	\N	124	29598	UROK	\N	\N
3604278	2243	1997-05-31	PRIJEM	\N	136	28235	UROK	\N	\N
3604279	2243	1997-06-30	PRIJEM	\N	104	23228	UROK	\N	\N
3604280	2243	1997-07-31	PRIJEM	\N	112	23721	UROK	\N	\N
3604281	2243	1997-08-31	PRIJEM	\N	131	32953	UROK	\N	\N
3604282	2243	1997-09-30	PRIJEM	\N	163	39518	UROK	\N	\N
3604283	2243	1997-10-31	PRIJEM	\N	172	40511	UROK	\N	\N
3604284	2243	1997-11-30	PRIJEM	\N	178	40391	UROK	\N	\N
3604285	2243	1997-12-31	PRIJEM	\N	197	46276	UROK	\N	\N
3604286	2243	1998-01-31	PRIJEM	\N	187	41585	UROK	\N	\N
3604287	2243	1998-02-28	PRIJEM	\N	193	46580	UROK	\N	\N
3604288	2243	1998-03-31	PRIJEM	\N	193	41474	UROK	\N	\N
3604289	2243	1998-04-30	PRIJEM	\N	184	42660	UROK	\N	\N
3604290	2243	1998-05-31	PRIJEM	\N	177	39338	UROK	\N	\N
3604291	2243	1998-06-30	PRIJEM	\N	173	33279	UROK	\N	\N
3604292	2243	1998-07-31	PRIJEM	\N	144	33025	UROK	\N	\N
3604293	2243	1998-08-31	PRIJEM	\N	132	29159	UROK	\N	\N
3604294	2243	1998-09-30	PRIJEM	\N	124	28884	UROK	\N	\N
3604295	2243	1998-10-31	PRIJEM	\N	134	30519	UROK	\N	\N
3604296	2243	1998-11-30	PRIJEM	\N	126	29447	UROK	\N	\N
3604297	2243	1998-12-31	PRIJEM	\N	142	32457	UROK	\N	\N
3604298	2244	1995-11-30	PRIJEM	\N	50	24202	UROK	\N	\N
3604299	2244	1995-12-31	PRIJEM	\N	118	29518	UROK	\N	\N
3604300	2244	1996-01-31	PRIJEM	\N	111	19772	UROK	\N	\N
3604301	2244	1996-02-29	PRIJEM	\N	99	25055	UROK	\N	\N
3604302	2244	1996-03-31	PRIJEM	\N	115	27653	UROK	\N	\N
3604303	2244	1996-04-30	PRIJEM	\N	130	32066	UROK	\N	\N
3604304	2244	1996-05-31	PRIJEM	\N	138	32087	UROK	\N	\N
3604305	2244	1996-06-30	PRIJEM	\N	126	24827	UROK	\N	\N
3604306	2244	1996-07-31	PRIJEM	\N	116	28426	UROK	\N	\N
3604307	2244	1996-08-31	PRIJEM	\N	133	32342	UROK	\N	\N
3604308	2244	1996-09-30	PRIJEM	\N	140	33766	UROK	\N	\N
3604309	2244	1996-10-31	PRIJEM	\N	141	33190	UROK	\N	\N
3604310	2244	1996-11-30	PRIJEM	\N	151	37325	UROK	\N	\N
3604311	2244	1996-12-31	PRIJEM	\N	159	37617	UROK	\N	\N
3604312	2244	1997-01-31	PRIJEM	\N	139	27019	UROK	\N	\N
3604313	2244	1997-02-28	PRIJEM	\N	127	31570	UROK	\N	\N
3604314	2244	1997-03-31	PRIJEM	\N	148	36901	UROK	\N	\N
3604315	2244	1997-04-30	PRIJEM	\N	149	35233	UROK	\N	\N
3604316	2244	1997-05-31	PRIJEM	\N	147	35263	UROK	\N	\N
3604317	2244	1997-06-30	PRIJEM	\N	119	19765	UROK	\N	\N
3604318	2244	1997-07-31	PRIJEM	\N	99	25048	UROK	\N	\N
3604319	2244	1997-08-31	PRIJEM	\N	115	28245	UROK	\N	\N
3604320	2244	1997-09-30	PRIJEM	\N	121	29250	UROK	\N	\N
3604321	2244	1997-10-31	PRIJEM	\N	112	26545	UROK	\N	\N
3604322	2244	1997-11-30	PRIJEM	\N	109	26137	UROK	\N	\N
3604323	2244	1997-12-31	PRIJEM	\N	102	24373	UROK	\N	\N
3604324	2244	1998-01-31	PRIJEM	\N	80	14126	UROK	\N	\N
3604325	2244	1998-02-28	PRIJEM	\N	74	19384	UROK	\N	\N
3604326	2244	1998-03-31	PRIJEM	\N	82	19350	UROK	\N	\N
3604327	2244	1998-04-30	PRIJEM	\N	96	24630	UROK	\N	\N
3604328	2244	1998-05-31	PRIJEM	\N	113	27526	UROK	\N	\N
3604329	2244	1998-06-30	PRIJEM	\N	114	25473	UROK	\N	\N
3604330	2244	1998-07-31	PRIJEM	\N	111	26967	UROK	\N	\N
3604331	2244	1998-08-31	PRIJEM	\N	118	28668	UROK	\N	\N
3604332	2244	1998-09-30	PRIJEM	\N	112	26623	UROK	\N	\N
3604333	2244	1998-10-31	PRIJEM	\N	110	26716	UROK	\N	\N
3604334	2244	1998-11-30	PRIJEM	\N	97	24077	UROK	\N	\N
3604335	2244	1998-12-31	PRIJEM	\N	87	21397	UROK	\N	\N
3604336	2245	1993-06-30	PRIJEM	\N	111	48461	UROK	\N	\N
3604337	2245	1993-07-31	PRIJEM	\N	200	45603	UROK	\N	\N
3604338	2245	1993-08-31	PRIJEM	\N	189	35492	UROK	\N	\N
3604339	2245	1993-09-30	PRIJEM	\N	187	42876	UROK	\N	\N
3604340	2245	1993-10-31	PRIJEM	\N	178	33854	UROK	\N	\N
3604341	2245	1993-11-30	PRIJEM	\N	265	54157	UROK	\N	\N
3604342	2245	1993-12-31	PRIJEM	\N	203	38168	UROK	\N	\N
3604343	2245	1994-01-31	PRIJEM	\N	145	24075	UROK	\N	\N
3604344	2245	1994-02-28	PRIJEM	\N	140	39406	UROK	\N	\N
3604345	2245	1994-03-31	PRIJEM	\N	174	56458	UROK	\N	\N
3604346	2245	1994-04-30	PRIJEM	\N	144	27005	UROK	\N	\N
3604347	2245	1994-05-31	PRIJEM	\N	205	76644	UROK	\N	\N
3604348	2245	1994-06-30	PRIJEM	\N	274	45403	UROK	\N	\N
3604349	2245	1994-07-31	PRIJEM	\N	235	115044	UROK	\N	\N
3604350	2245	1994-08-31	PRIJEM	\N	413	90682	UROK	\N	\N
3604351	2245	1994-09-30	PRIJEM	\N	322	44590	UROK	\N	\N
3604352	2245	1994-10-31	PRIJEM	\N	250	87545	UROK	\N	\N
3604353	2245	1994-11-30	PRIJEM	\N	307	45370	UROK	\N	\N
3604354	2245	1994-12-31	PRIJEM	\N	229	70861	UROK	\N	\N
3604355	2245	1995-01-31	PRIJEM	\N	239	46086	UROK	\N	\N
3604356	2245	1995-02-28	PRIJEM	\N	218	80120	UROK	\N	\N
3604357	2245	1995-03-31	PRIJEM	\N	288	77149	UROK	\N	\N
3604358	2245	1995-04-30	PRIJEM	\N	274	50259	UROK	\N	\N
3604359	2245	1995-05-31	PRIJEM	\N	183	38579	UROK	\N	\N
3604360	2245	1995-06-30	PRIJEM	\N	203	63824	UROK	\N	\N
3604361	2245	1995-07-31	PRIJEM	\N	218	44679	UROK	\N	\N
3604362	2245	1995-08-31	PRIJEM	\N	230	48407	UROK	\N	\N
3604363	2245	1995-09-30	PRIJEM	\N	245	58792	UROK	\N	\N
3604364	2245	1995-10-31	PRIJEM	\N	282	70947	UROK	\N	\N
3604365	2245	1995-11-30	PRIJEM	\N	241	41324	UROK	\N	\N
3604366	2245	1995-12-31	PRIJEM	\N	239	67253	UROK	\N	\N
3604367	2245	1996-01-31	PRIJEM	\N	198	32488	UROK	\N	\N
3604368	2245	1996-02-29	PRIJEM	\N	228	103404	UROK	\N	\N
3604369	2245	1996-03-31	PRIJEM	\N	396	93680	UROK	\N	\N
3604370	2245	1996-04-30	PRIJEM	\N	342	61095	UROK	\N	\N
3604371	2245	1996-05-31	PRIJEM	\N	203	41634	UROK	\N	\N
3604372	2245	1996-06-30	PRIJEM	\N	184	38655	UROK	\N	\N
3604373	2245	1996-07-31	PRIJEM	\N	169	44278	UROK	\N	\N
3604374	2245	1996-08-31	PRIJEM	\N	193	85414	UROK	\N	\N
3604375	2245	1996-09-30	PRIJEM	\N	312	92661	UROK	\N	\N
3604376	2245	1996-10-31	PRIJEM	\N	301	77876	UROK	\N	\N
3604377	2245	1996-11-30	PRIJEM	\N	262	88449	UROK	\N	\N
3604378	2245	1996-12-31	PRIJEM	\N	392	88952	UROK	\N	\N
3604379	2245	1997-01-31	PRIJEM	\N	226	41315	UROK	\N	\N
3604380	2245	1997-02-28	PRIJEM	\N	159	38710	UROK	\N	\N
3604381	2245	1997-03-31	PRIJEM	\N	166	41470	UROK	\N	\N
3604382	2245	1997-04-30	PRIJEM	\N	139	31934	UROK	\N	\N
3604383	2245	1997-05-31	PRIJEM	\N	130	33600	UROK	\N	\N
3604384	2245	1997-06-30	PRIJEM	\N	136	34972	UROK	\N	\N
3604385	2245	1997-07-31	PRIJEM	\N	138	35347	UROK	\N	\N
3604386	2245	1997-08-31	PRIJEM	\N	132	32916	UROK	\N	\N
3604387	2245	1997-09-30	PRIJEM	\N	130	33583	UROK	\N	\N
3604388	2245	1997-10-31	PRIJEM	\N	130	33350	UROK	\N	\N
3604389	2245	1997-11-30	PRIJEM	\N	133	34019	UROK	\N	\N
3604390	2245	1997-12-31	PRIJEM	\N	137	35792	UROK	\N	\N
3604391	2245	1998-01-31	PRIJEM	\N	300	99928	UROK	\N	\N
3604392	2245	1998-02-28	PRIJEM	\N	429	103617	UROK	\N	\N
3604393	2245	1998-03-31	PRIJEM	\N	357	110583	UROK	\N	\N
3604394	2245	1998-04-30	PRIJEM	\N	421	100705	UROK	\N	\N
3604395	2245	1998-05-31	PRIJEM	\N	467	94588	UROK	\N	\N
3604396	2245	1998-06-30	PRIJEM	\N	318	46118	UROK	\N	\N
3604397	2245	1998-07-31	PRIJEM	\N	334	97474	UROK	\N	\N
3604398	2245	1998-08-31	PRIJEM	\N	362	112955	UROK	\N	\N
3604399	2245	1998-09-30	PRIJEM	\N	409	94039	UROK	\N	\N
3604400	2245	1998-10-31	PRIJEM	\N	360	84991	UROK	\N	\N
3604401	2245	1998-11-30	PRIJEM	\N	386	87851	UROK	\N	\N
3604402	2245	1998-12-31	PRIJEM	\N	427	125280	UROK	\N	\N
3604403	2246	1996-06-30	PRIJEM	\N	25	59916	UROK	\N	\N
3604404	2246	1996-07-31	PRIJEM	\N	258	80082	UROK	\N	\N
3604405	2246	1996-08-31	PRIJEM	\N	333	53715	UROK	\N	\N
3604406	2246	1996-09-30	PRIJEM	\N	328	42034	UROK	\N	\N
3604407	2246	1996-10-31	PRIJEM	\N	154	26273	UROK	\N	\N
3604408	2246	1996-11-30	PRIJEM	\N	154	33450	UROK	\N	\N
3604409	2246	1996-12-31	PRIJEM	\N	114	15050	UROK	\N	\N
3604410	2246	1997-01-31	PRIJEM	\N	60	13495	UROK	\N	\N
3604411	2246	1997-02-28	PRIJEM	\N	91	23609	UROK	\N	\N
3604412	2246	1997-03-31	PRIJEM	\N	182	15546	UROK	\N	\N
3604413	2246	1997-04-30	PRIJEM	\N	56	9457	UROK	\N	\N
3604414	2246	1997-05-31	PRIJEM	\N	40	9552	UROK	\N	\N
3604415	2246	1997-06-30	PRIJEM	\N	129	62394	UROK	\N	\N
3604416	2246	1997-07-31	PRIJEM	\N	218	37795	UROK	\N	\N
3604417	2246	1997-08-31	PRIJEM	\N	105	25376	UROK	\N	\N
3604418	2246	1997-09-30	PRIJEM	\N	129	26002	UROK	\N	\N
3604419	2246	1997-10-31	PRIJEM	\N	249	71446	UROK	\N	\N
3604420	2246	1997-11-30	PRIJEM	\N	222	34923	UROK	\N	\N
3604421	2246	1997-12-31	PRIJEM	\N	259	63475	UROK	\N	\N
3604422	2246	1998-01-31	PRIJEM	\N	136	18567	UROK	\N	\N
3604423	2246	1998-02-28	PRIJEM	\N	52	7174	UROK	\N	\N
3604424	2246	1998-03-31	PRIJEM	\N	73	65408	UROK	\N	\N
3604425	2246	1998-04-30	PRIJEM	\N	237	90520	UROK	\N	\N
3604426	2246	1998-05-31	PRIJEM	\N	300	46009	UROK	\N	\N
3604427	2246	1998-06-30	PRIJEM	\N	120	15284	UROK	\N	\N
3604428	2246	1998-07-31	PRIJEM	\N	95	18678	UROK	\N	\N
3604429	2246	1998-08-31	PRIJEM	\N	101	29785	UROK	\N	\N
3604430	2246	1998-09-30	PRIJEM	\N	147	19823	UROK	\N	\N
3604431	2246	1998-10-31	PRIJEM	\N	172	78373	UROK	\N	\N
3604432	2246	1998-11-30	PRIJEM	\N	313	94504	UROK	\N	\N
3604433	2246	1998-12-31	PRIJEM	\N	270	74849	UROK	\N	\N
3604434	2247	1996-04-30	PRIJEM	\N	28	40839	UROK	\N	\N
3604435	2247	1996-05-31	PRIJEM	\N	239	119759	UROK	\N	\N
3604436	2247	1996-06-30	PRIJEM	\N	223	73587	UROK	\N	\N
3604437	2247	1996-07-31	PRIJEM	\N	191	35362	UROK	\N	\N
3604438	2247	1996-08-31	PRIJEM	\N	145	34084	UROK	\N	\N
3604439	2247	1996-09-30	PRIJEM	\N	115	24339	UROK	\N	\N
3604440	2247	1996-10-31	PRIJEM	\N	151	34479	UROK	\N	\N
3604441	2247	1996-11-30	PRIJEM	\N	149	54593	UROK	\N	\N
3604442	2247	1996-12-31	PRIJEM	\N	157	27235	UROK	\N	\N
3604443	2247	1997-01-31	PRIJEM	\N	91	20565	UROK	\N	\N
3604444	2247	1997-02-28	PRIJEM	\N	75	17179	UROK	\N	\N
3604445	2247	1997-03-31	PRIJEM	\N	69	16067	UROK	\N	\N
3604446	2247	1997-04-30	PRIJEM	\N	66	14851	UROK	\N	\N
3604447	2247	1997-05-31	PRIJEM	\N	70	16839	UROK	\N	\N
3604448	2247	1997-06-30	PRIJEM	\N	68	15626	UROK	\N	\N
3604449	2247	1997-07-31	PRIJEM	\N	71	16815	UROK	\N	\N
3604450	2247	1997-08-31	PRIJEM	\N	59	12993	UROK	\N	\N
3604451	2247	1997-09-30	PRIJEM	\N	66	15678	UROK	\N	\N
3604452	2247	1997-10-31	PRIJEM	\N	194	56468	UROK	\N	\N
3604453	2247	1997-11-30	PRIJEM	\N	168	34455	UROK	\N	\N
3604454	2247	1997-12-31	PRIJEM	\N	136	42256	UROK	\N	\N
3604455	2247	1998-01-31	PRIJEM	\N	141	33111	UROK	\N	\N
3604456	2247	1998-02-28	PRIJEM	\N	179	67761	UROK	\N	\N
3604457	2247	1998-03-31	PRIJEM	\N	193	41873	UROK	\N	\N
3604458	2247	1998-04-30	PRIJEM	\N	145	41355	UROK	\N	\N
3604459	2247	1998-05-31	PRIJEM	\N	161	74963	UROK	\N	\N
3604460	2247	1998-06-30	PRIJEM	\N	288	79812	UROK	\N	\N
3604461	2247	1998-07-31	PRIJEM	\N	206	37936	UROK	\N	\N
3604462	2247	1998-08-31	PRIJEM	\N	251	73425	UROK	\N	\N
3604463	2247	1998-09-30	PRIJEM	\N	173	44640	UROK	\N	\N
3604464	2247	1998-10-31	PRIJEM	\N	200	53070	UROK	\N	\N
3604465	2247	1998-11-30	PRIJEM	\N	352	55139	UROK	\N	\N
3604466	2247	1998-12-31	PRIJEM	\N	164	28438	UROK	\N	\N
3604533	2250	1993-11-30	PRIJEM	\N	65	22488	UROK	\N	\N
3604534	2250	1993-12-31	PRIJEM	\N	196	57419	UROK	\N	\N
3604535	2250	1994-01-31	PRIJEM	\N	251	62593	UROK	\N	\N
3604536	2250	1994-02-28	PRIJEM	\N	175	63791	UROK	\N	\N
3604537	2250	1994-03-31	PRIJEM	\N	244	65558	UROK	\N	\N
3604538	2250	1994-04-30	PRIJEM	\N	248	59832	UROK	\N	\N
3604539	2250	1994-05-31	PRIJEM	\N	233	59291	UROK	\N	\N
3604540	2250	1994-06-30	PRIJEM	\N	149	24618	UROK	\N	\N
3604541	2250	1994-07-31	PRIJEM	\N	155	31600	UROK	\N	\N
3604542	2250	1994-08-31	PRIJEM	\N	166	37092	UROK	\N	\N
3604543	2250	1994-09-30	PRIJEM	\N	198	38017	UROK	\N	\N
3604544	2250	1994-10-31	PRIJEM	\N	201	39044	UROK	\N	\N
3604545	2250	1994-11-30	PRIJEM	\N	204	39975	UROK	\N	\N
3604546	2250	1994-12-31	PRIJEM	\N	232	45824	UROK	\N	\N
3604547	2250	1995-01-31	PRIJEM	\N	188	33239	UROK	\N	\N
3604548	2250	1995-02-28	PRIJEM	\N	180	37545	UROK	\N	\N
3604549	2250	1995-03-31	PRIJEM	\N	185	36496	UROK	\N	\N
3604550	2250	1995-04-30	PRIJEM	\N	176	34158	UROK	\N	\N
3604551	2250	1995-05-31	PRIJEM	\N	183	38968	UROK	\N	\N
3604552	2250	1995-06-30	PRIJEM	\N	226	46652	UROK	\N	\N
3604553	2250	1995-07-31	PRIJEM	\N	228	46007	UROK	\N	\N
3604554	2250	1995-08-31	PRIJEM	\N	221	43053	UROK	\N	\N
3604555	2250	1995-09-30	PRIJEM	\N	199	39299	UROK	\N	\N
3604556	2250	1995-10-31	PRIJEM	\N	206	38311	UROK	\N	\N
3604557	2250	1995-11-30	PRIJEM	\N	192	41930	UROK	\N	\N
3604558	2250	1995-12-31	PRIJEM	\N	214	45741	UROK	\N	\N
3604559	2250	1996-01-31	PRIJEM	\N	201	35669	UROK	\N	\N
3604560	2250	1996-02-29	PRIJEM	\N	183	42878	UROK	\N	\N
3604561	2250	1996-03-31	PRIJEM	\N	207	45912	UROK	\N	\N
3604562	2250	1996-04-30	PRIJEM	\N	210	42068	UROK	\N	\N
3604563	2250	1996-05-31	PRIJEM	\N	193	39487	UROK	\N	\N
3604564	2250	1996-06-30	PRIJEM	\N	209	46234	UROK	\N	\N
3604565	2250	1996-07-31	PRIJEM	\N	207	43668	UROK	\N	\N
3604566	2250	1996-08-31	PRIJEM	\N	199	43893	UROK	\N	\N
3604567	2250	1996-09-30	PRIJEM	\N	199	44519	UROK	\N	\N
3604568	2250	1996-10-31	PRIJEM	\N	199	44044	UROK	\N	\N
3604569	2250	1996-11-30	PRIJEM	\N	202	47072	UROK	\N	\N
3604570	2250	1996-12-31	PRIJEM	\N	210	45559	UROK	\N	\N
3604571	2250	1997-01-31	PRIJEM	\N	176	32861	UROK	\N	\N
3604572	2250	1997-02-28	PRIJEM	\N	165	41953	UROK	\N	\N
3604573	2250	1997-03-31	PRIJEM	\N	186	42165	UROK	\N	\N
3604574	2250	1997-04-30	PRIJEM	\N	185	42076	UROK	\N	\N
3604575	2250	1997-05-31	PRIJEM	\N	188	40090	UROK	\N	\N
3604576	2250	1997-06-30	PRIJEM	\N	187	38395	UROK	\N	\N
3604577	2250	1997-07-31	PRIJEM	\N	174	41896	UROK	\N	\N
3604578	2250	1997-08-31	PRIJEM	\N	179	40401	UROK	\N	\N
3604579	2250	1997-09-30	PRIJEM	\N	176	43004	UROK	\N	\N
3604580	2250	1997-10-31	PRIJEM	\N	196	49126	UROK	\N	\N
3604581	2250	1997-11-30	PRIJEM	\N	207	50560	UROK	\N	\N
3604582	2250	1997-12-31	PRIJEM	\N	225	55723	UROK	\N	\N
3604583	2250	1998-01-31	PRIJEM	\N	210	48259	UROK	\N	\N
3604584	2250	1998-02-28	PRIJEM	\N	231	60116	UROK	\N	\N
3604585	2250	1998-03-31	PRIJEM	\N	246	59288	UROK	\N	\N
3604586	2250	1998-04-30	PRIJEM	\N	291	60206	UROK	\N	\N
3604587	2250	1998-05-31	PRIJEM	\N	296	60928	UROK	\N	\N
3604588	2250	1998-06-30	PRIJEM	\N	304	65090	UROK	\N	\N
3604589	2250	1998-07-31	PRIJEM	\N	304	78520	UROK	\N	\N
3604590	2250	1998-08-31	PRIJEM	\N	326	82273	UROK	\N	\N
3604591	2250	1998-09-30	PRIJEM	\N	333	83832	UROK	\N	\N
3604592	2250	1998-10-31	PRIJEM	\N	325	80983	UROK	\N	\N
3604593	2250	1998-11-30	PRIJEM	\N	331	81841	UROK	\N	\N
3604594	2250	1998-12-31	PRIJEM	\N	352	92031	UROK	\N	\N
3604595	2252	1996-10-31	PRIJEM	\N	13	3968	UROK	\N	\N
3604596	2252	1996-11-30	PRIJEM	\N	17	7239	UROK	\N	\N
3604597	2252	1996-12-31	PRIJEM	\N	17	10511	UROK	\N	\N
3604598	2252	1997-01-31	PRIJEM	\N	17	13782	UROK	\N	\N
3604599	2252	1997-02-28	PRIJEM	\N	52	14983	UROK	\N	\N
3604600	2252	1997-03-31	PRIJEM	\N	66	15374	UROK	\N	\N
3604601	2252	1997-04-30	PRIJEM	\N	69	16576	UROK	\N	\N
3604602	2252	1997-05-31	PRIJEM	\N	74	17785	UROK	\N	\N
3604603	2252	1997-06-30	PRIJEM	\N	73	14762	UROK	\N	\N
3604604	2252	1997-07-31	PRIJEM	\N	66	15963	UROK	\N	\N
3604605	2252	1997-08-31	PRIJEM	\N	70	16837	UROK	\N	\N
3604606	2252	1997-09-30	PRIJEM	\N	76	17118	UROK	\N	\N
3604607	2252	1997-10-31	PRIJEM	\N	75	17786	UROK	\N	\N
3604608	2252	1997-11-30	PRIJEM	\N	76	18217	UROK	\N	\N
3604609	2252	1997-12-31	PRIJEM	\N	80	19132	UROK	\N	\N
3604610	2252	1998-01-31	PRIJEM	\N	77	17973	UROK	\N	\N
3604611	2252	1998-02-28	PRIJEM	\N	79	19186	UROK	\N	\N
3604612	2252	1998-03-31	PRIJEM	\N	85	20406	UROK	\N	\N
3604613	2252	1998-04-30	PRIJEM	\N	87	20726	UROK	\N	\N
3604614	2252	1998-05-31	PRIJEM	\N	91	21951	UROK	\N	\N
3604615	2252	1998-06-30	PRIJEM	\N	85	18911	UROK	\N	\N
3604616	2252	1998-07-31	PRIJEM	\N	83	19918	UROK	\N	\N
3604617	2252	1998-08-31	PRIJEM	\N	87	21139	UROK	\N	\N
3604618	2252	1998-09-30	PRIJEM	\N	90	20804	UROK	\N	\N
3604619	2252	1998-10-31	PRIJEM	\N	91	22029	UROK	\N	\N
3604620	2252	1998-11-30	PRIJEM	\N	96	23260	UROK	\N	\N
3604621	2252	1998-12-31	PRIJEM	\N	98	23112	UROK	\N	\N
3604622	2253	1993-12-31	PRIJEM	\N	70	27266	UROK	\N	\N
3604623	2253	1994-01-31	PRIJEM	\N	88	17773	UROK	\N	\N
3604624	2253	1994-02-28	PRIJEM	\N	88	18050	UROK	\N	\N
3604625	2253	1994-03-31	PRIJEM	\N	90	21210	UROK	\N	\N
3604626	2253	1994-04-30	PRIJEM	\N	94	22873	UROK	\N	\N
3604627	2253	1994-05-31	PRIJEM	\N	105	25447	UROK	\N	\N
3604628	2253	1994-06-30	PRIJEM	\N	106	21332	UROK	\N	\N
3604629	2253	1994-07-31	PRIJEM	\N	98	24099	UROK	\N	\N
3604630	2253	1994-08-31	PRIJEM	\N	105	24794	UROK	\N	\N
3604631	2253	1994-09-30	PRIJEM	\N	107	25551	UROK	\N	\N
3604632	2253	1994-10-31	PRIJEM	\N	106	25306	UROK	\N	\N
3604633	2253	1994-11-30	PRIJEM	\N	120	28495	UROK	\N	\N
3604634	2253	1994-12-31	PRIJEM	\N	123	29537	UROK	\N	\N
3604635	2253	1995-01-31	PRIJEM	\N	105	17661	UROK	\N	\N
3604636	2253	1995-02-28	PRIJEM	\N	87	20818	UROK	\N	\N
3604637	2253	1995-03-31	PRIJEM	\N	95	21342	UROK	\N	\N
3604638	2253	1995-04-30	PRIJEM	\N	96	24508	UROK	\N	\N
3604639	2253	1995-05-31	PRIJEM	\N	110	27687	UROK	\N	\N
3604640	2253	1995-06-30	PRIJEM	\N	111	24307	UROK	\N	\N
3604641	2253	1995-07-31	PRIJEM	\N	116	27492	UROK	\N	\N
3604642	2253	1995-08-31	PRIJEM	\N	126	29387	UROK	\N	\N
3604643	2253	1995-09-30	PRIJEM	\N	134	31390	UROK	\N	\N
3604644	2253	1995-10-31	PRIJEM	\N	135	32834	UROK	\N	\N
3604645	2253	1995-11-30	PRIJEM	\N	140	33484	UROK	\N	\N
3604646	2253	1995-12-31	PRIJEM	\N	144	35297	UROK	\N	\N
3604647	2253	1996-01-31	PRIJEM	\N	137	30704	UROK	\N	\N
3604648	2253	1996-02-29	PRIJEM	\N	135	33908	UROK	\N	\N
3604649	2253	1996-03-31	PRIJEM	\N	144	35522	UROK	\N	\N
3604650	2253	1996-04-30	PRIJEM	\N	145	34937	UROK	\N	\N
3604651	2253	1996-05-31	PRIJEM	\N	153	38159	UROK	\N	\N
3604652	2253	1996-06-30	PRIJEM	\N	145	30123	UROK	\N	\N
3604653	2253	1996-07-31	PRIJEM	\N	136	31928	UROK	\N	\N
3604654	2253	1996-08-31	PRIJEM	\N	143	31300	UROK	\N	\N
3604655	2253	1996-09-30	PRIJEM	\N	137	34506	UROK	\N	\N
3604656	2253	1996-10-31	PRIJEM	\N	146	35922	UROK	\N	\N
3604657	2253	1996-11-30	PRIJEM	\N	163	39154	UROK	\N	\N
3604658	2253	1996-12-31	PRIJEM	\N	162	38516	UROK	\N	\N
3604659	2253	1997-01-31	PRIJEM	\N	131	27516	UROK	\N	\N
3604660	2253	1997-02-28	PRIJEM	\N	127	30713	UROK	\N	\N
3604661	2253	1997-03-31	PRIJEM	\N	134	31676	UROK	\N	\N
3604662	2253	1997-04-30	PRIJEM	\N	145	34890	UROK	\N	\N
3604663	2253	1997-05-31	PRIJEM	\N	153	35913	UROK	\N	\N
3604664	2253	1997-06-30	PRIJEM	\N	133	27965	UROK	\N	\N
3604665	2253	1997-07-31	PRIJEM	\N	93	22288	UROK	\N	\N
3604666	2253	1997-08-31	PRIJEM	\N	104	24661	UROK	\N	\N
3604667	2253	1997-09-30	PRIJEM	\N	116	27846	UROK	\N	\N
3604668	2253	1997-10-31	PRIJEM	\N	112	27187	UROK	\N	\N
3604669	2253	1997-11-30	PRIJEM	\N	117	29674	UROK	\N	\N
3604670	2253	1997-12-31	PRIJEM	\N	124	30067	UROK	\N	\N
3604671	2253	1998-01-31	PRIJEM	\N	104	20300	UROK	\N	\N
3604672	2253	1998-02-28	PRIJEM	\N	94	22664	UROK	\N	\N
3604673	2253	1998-03-31	PRIJEM	\N	107	25840	UROK	\N	\N
3604674	2253	1998-04-30	PRIJEM	\N	111	24121	UROK	\N	\N
3604675	2253	1998-05-31	PRIJEM	\N	95	19406	UROK	\N	\N
3604676	2253	1998-06-30	PRIJEM	\N	92	22167	UROK	\N	\N
3604677	2253	1998-07-31	PRIJEM	\N	103	24940	UROK	\N	\N
3604678	2253	1998-08-31	PRIJEM	\N	111	23020	UROK	\N	\N
3604679	2253	1998-09-30	PRIJEM	\N	104	22793	UROK	\N	\N
3604680	2253	1998-10-31	PRIJEM	\N	99	19262	UROK	\N	\N
3604681	2253	1998-11-30	PRIJEM	\N	90	21941	UROK	\N	\N
3604682	2253	1998-12-31	PRIJEM	\N	100	23711	UROK	\N	\N
3604683	2254	1996-05-31	PRIJEM	\N	124	99471	UROK	\N	\N
3604684	2254	1996-06-30	PRIJEM	\N	314	46414	UROK	\N	\N
3604685	2254	1996-07-31	PRIJEM	\N	173	31976	UROK	\N	\N
3604686	2254	1996-08-31	PRIJEM	\N	174	43051	UROK	\N	\N
3604687	2254	1996-09-30	PRIJEM	\N	185	88752	UROK	\N	\N
3604688	2254	1996-10-31	PRIJEM	\N	313	75523	UROK	\N	\N
3604689	2254	1996-11-30	PRIJEM	\N	246	48687	UROK	\N	\N
3604690	2254	1996-12-31	PRIJEM	\N	274	76195	UROK	\N	\N
3604691	2254	1997-01-31	PRIJEM	\N	148	21062	UROK	\N	\N
3604692	2254	1997-02-28	PRIJEM	\N	94	23174	UROK	\N	\N
3604693	2254	1997-03-31	PRIJEM	\N	104	26596	UROK	\N	\N
3604694	2254	1997-04-30	PRIJEM	\N	220	62859	UROK	\N	\N
3604695	2254	1997-05-31	PRIJEM	\N	213	43290	UROK	\N	\N
3604696	2254	1997-06-30	PRIJEM	\N	255	64104	UROK	\N	\N
3604697	2254	1997-07-31	PRIJEM	\N	139	26547	UROK	\N	\N
3604698	2254	1997-08-31	PRIJEM	\N	83	16748	UROK	\N	\N
3604699	2254	1997-09-30	PRIJEM	\N	71	17037	UROK	\N	\N
3604700	2254	1997-10-31	PRIJEM	\N	101	43809	UROK	\N	\N
3604701	2254	1997-11-30	PRIJEM	\N	223	65629	UROK	\N	\N
3604702	2254	1997-12-31	PRIJEM	\N	136	25152	UROK	\N	\N
3604703	2254	1998-01-31	PRIJEM	\N	87	18157	UROK	\N	\N
3604704	2254	1998-02-28	PRIJEM	\N	94	30867	UROK	\N	\N
3604705	2254	1998-03-31	PRIJEM	\N	230	91179	UROK	\N	\N
3604706	2254	1998-04-30	PRIJEM	\N	325	70591	UROK	\N	\N
3604707	2254	1998-05-31	PRIJEM	\N	387	86214	UROK	\N	\N
3604708	2254	1998-06-30	PRIJEM	\N	394	24550	UROK	\N	\N
3604709	2254	1998-07-31	PRIJEM	\N	139	37918	UROK	\N	\N
3604710	2254	1998-08-31	PRIJEM	\N	169	98644	UROK	\N	\N
3604711	2254	1998-09-30	PRIJEM	\N	216	23542	UROK	\N	\N
3604712	2254	1998-10-31	PRIJEM	\N	156	51954	UROK	\N	\N
3604713	2254	1998-11-30	PRIJEM	\N	177	59780	UROK	\N	\N
3604714	2254	1998-12-31	PRIJEM	\N	279	90765	UROK	\N	\N
3604715	2255	1996-03-31	PRIJEM	\N	2	16732	UROK	\N	\N
3604716	2255	1996-04-30	PRIJEM	\N	73	17833	UROK	\N	\N
3604717	2255	1996-05-31	PRIJEM	\N	72	17132	UROK	\N	\N
3604718	2255	1996-06-30	PRIJEM	\N	69	12379	UROK	\N	\N
3604719	2255	1996-07-31	PRIJEM	\N	53	12379	UROK	\N	\N
3604720	2255	1996-08-31	PRIJEM	\N	55	13461	UROK	\N	\N
3604721	2255	1996-09-30	PRIJEM	\N	59	14548	UROK	\N	\N
3604722	2255	1996-10-31	PRIJEM	\N	62	14198	UROK	\N	\N
3604723	2255	1996-11-30	PRIJEM	\N	62	15287	UROK	\N	\N
3604724	2255	1996-12-31	PRIJEM	\N	67	16231	UROK	\N	\N
3604725	2255	1997-01-31	PRIJEM	\N	62	13061	UROK	\N	\N
3604726	2255	1997-02-28	PRIJEM	\N	57	14145	UROK	\N	\N
3604727	2255	1997-03-31	PRIJEM	\N	62	15235	UROK	\N	\N
3604728	2255	1997-04-30	PRIJEM	\N	67	16329	UROK	\N	\N
3604729	2255	1997-05-31	PRIJEM	\N	71	17427	UROK	\N	\N
3604730	2255	1997-06-30	PRIJEM	\N	73	17808	UROK	\N	\N
3604731	2255	1997-07-31	PRIJEM	\N	77	18372	UROK	\N	\N
3604732	2255	1997-08-31	PRIJEM	\N	78	19028	UROK	\N	\N
3604733	2255	1997-09-30	PRIJEM	\N	82	19747	UROK	\N	\N
3604734	2255	1997-10-31	PRIJEM	\N	82	19926	UROK	\N	\N
3604735	2255	1997-11-30	PRIJEM	\N	86	21040	UROK	\N	\N
3604736	2255	1997-12-31	PRIJEM	\N	90	21887	UROK	\N	\N
3604737	2255	1998-01-31	PRIJEM	\N	78	16662	UROK	\N	\N
3604738	2255	1998-02-28	PRIJEM	\N	72	17762	UROK	\N	\N
3604739	2255	1998-03-31	PRIJEM	\N	77	18866	UROK	\N	\N
3604740	2255	1998-04-30	PRIJEM	\N	81	19105	UROK	\N	\N
3604741	2255	1998-05-31	PRIJEM	\N	82	19494	UROK	\N	\N
3604742	2255	1998-06-30	PRIJEM	\N	75	17446	UROK	\N	\N
3604743	2255	1998-07-31	PRIJEM	\N	76	18549	UROK	\N	\N
3604744	2255	1998-08-31	PRIJEM	\N	80	19657	UROK	\N	\N
3604745	2255	1998-09-30	PRIJEM	\N	84	20378	UROK	\N	\N
3604746	2255	1998-10-31	PRIJEM	\N	88	21493	UROK	\N	\N
3604747	2255	1998-11-30	PRIJEM	\N	92	22613	UROK	\N	\N
3604748	2255	1998-12-31	PRIJEM	\N	92	22652	UROK	\N	\N
3604749	2256	1993-02-28	PRIJEM	\N	13	5442	UROK	\N	\N
3604750	2256	1993-03-31	PRIJEM	\N	23	10194	UROK	\N	\N
3604751	2256	1993-04-30	PRIJEM	\N	23	14945	UROK	\N	\N
3604752	2256	1993-05-31	PRIJEM	\N	23	19697	UROK	\N	\N
3604753	2256	1993-06-30	PRIJEM	\N	70	22735	UROK	\N	\N
3604754	2256	1993-07-31	PRIJEM	\N	92	22710	UROK	\N	\N
3604755	2256	1993-08-31	PRIJEM	\N	99	24371	UROK	\N	\N
3604756	2256	1993-09-30	PRIJEM	\N	105	26038	UROK	\N	\N
3604757	2256	1993-10-31	PRIJEM	\N	98	21798	UROK	\N	\N
3604758	2256	1993-11-30	PRIJEM	\N	95	23455	UROK	\N	\N
3604759	2256	1993-12-31	PRIJEM	\N	100	20027	UROK	\N	\N
3604760	2256	1994-01-31	PRIJEM	\N	64	13414	UROK	\N	\N
3604761	2256	1994-02-28	PRIJEM	\N	60	15036	UROK	\N	\N
3604762	2256	1994-03-31	PRIJEM	\N	65	14743	UROK	\N	\N
3604763	2256	1994-04-30	PRIJEM	\N	65	16371	UROK	\N	\N
3604764	2256	1994-05-31	PRIJEM	\N	72	18005	UROK	\N	\N
3604765	2256	1994-06-30	PRIJEM	\N	79	19647	UROK	\N	\N
3604766	2256	1994-07-31	PRIJEM	\N	86	21295	UROK	\N	\N
3604767	2256	1994-08-31	PRIJEM	\N	93	22950	UROK	\N	\N
3604768	2256	1994-09-30	PRIJEM	\N	99	22011	UROK	\N	\N
3604769	2256	1994-10-31	PRIJEM	\N	94	19967	UROK	\N	\N
3604770	2256	1994-11-30	PRIJEM	\N	86	19816	UROK	\N	\N
3604771	2256	1994-12-31	PRIJEM	\N	82	20360	UROK	\N	\N
3604772	2256	1995-01-31	PRIJEM	\N	61	14223	UROK	\N	\N
3604773	2256	1995-02-28	PRIJEM	\N	63	15848	UROK	\N	\N
3604774	2256	1995-03-31	PRIJEM	\N	69	16980	UROK	\N	\N
3604775	2256	1995-04-30	PRIJEM	\N	73	17255	UROK	\N	\N
3604776	2256	1995-05-31	PRIJEM	\N	75	16252	UROK	\N	\N
3604777	2256	1995-06-30	PRIJEM	\N	71	17886	UROK	\N	\N
3604778	2256	1995-07-31	PRIJEM	\N	78	19526	UROK	\N	\N
3604779	2256	1995-08-31	PRIJEM	\N	83	19491	UROK	\N	\N
3604780	2256	1995-09-30	PRIJEM	\N	81	17134	UROK	\N	\N
3604781	2256	1995-10-31	PRIJEM	\N	75	18772	UROK	\N	\N
3604782	2256	1995-11-30	PRIJEM	\N	82	20416	UROK	\N	\N
3604783	2256	1995-12-31	PRIJEM	\N	74	17332	UROK	\N	\N
3604784	2256	1996-01-31	PRIJEM	\N	61	14635	UROK	\N	\N
3604785	2256	1996-02-29	PRIJEM	\N	64	16262	UROK	\N	\N
3604786	2256	1996-03-31	PRIJEM	\N	71	17895	UROK	\N	\N
3604787	2256	1996-04-30	PRIJEM	\N	77	19234	UROK	\N	\N
3604788	2256	1996-05-31	PRIJEM	\N	82	19679	UROK	\N	\N
3604789	2256	1996-06-30	PRIJEM	\N	85	21327	UROK	\N	\N
3604790	2256	1996-07-31	PRIJEM	\N	90	22079	UROK	\N	\N
3604791	2256	1996-08-31	PRIJEM	\N	95	23737	UROK	\N	\N
3604792	2256	1996-09-30	PRIJEM	\N	101	25100	UROK	\N	\N
3604793	2256	1996-10-31	PRIJEM	\N	101	23564	UROK	\N	\N
3604794	2256	1996-11-30	PRIJEM	\N	97	23324	UROK	\N	\N
3604795	2256	1996-12-31	PRIJEM	\N	98	23584	UROK	\N	\N
3604796	2256	1997-01-31	PRIJEM	\N	78	17784	UROK	\N	\N
3604797	2256	1997-02-28	PRIJEM	\N	77	19423	UROK	\N	\N
3604798	2256	1997-03-31	PRIJEM	\N	81	18266	UROK	\N	\N
3604799	2256	1997-04-30	PRIJEM	\N	79	19907	UROK	\N	\N
3604800	2256	1997-05-31	PRIJEM	\N	83	20352	UROK	\N	\N
3604801	2256	1997-06-30	PRIJEM	\N	81	19546	UROK	\N	\N
3604802	2256	1997-07-31	PRIJEM	\N	77	17626	UROK	\N	\N
3604803	2256	1997-08-31	PRIJEM	\N	67	15555	UROK	\N	\N
3604804	2256	1997-09-30	PRIJEM	\N	67	17184	UROK	\N	\N
3604805	2256	1997-10-31	PRIJEM	\N	74	18820	UROK	\N	\N
3604806	2256	1997-11-30	PRIJEM	\N	80	20463	UROK	\N	\N
3604807	2256	1997-12-31	PRIJEM	\N	84	21609	UROK	\N	\N
3604808	2256	1998-01-31	PRIJEM	\N	71	17012	UROK	\N	\N
3604809	2256	1998-02-28	PRIJEM	\N	73	18647	UROK	\N	\N
3604810	2256	1998-03-31	PRIJEM	\N	80	20289	UROK	\N	\N
3604811	2256	1998-04-30	PRIJEM	\N	83	20654	UROK	\N	\N
3604812	2256	1998-05-31	PRIJEM	\N	82	20378	UROK	\N	\N
3604813	2256	1998-06-30	PRIJEM	\N	86	22027	UROK	\N	\N
3604814	2256	1998-07-31	PRIJEM	\N	93	23683	UROK	\N	\N
3604815	2256	1998-08-31	PRIJEM	\N	100	25345	UROK	\N	\N
3604816	2256	1998-09-30	PRIJEM	\N	96	24204	UROK	\N	\N
3604817	2256	1998-10-31	PRIJEM	\N	102	25868	UROK	\N	\N
3604818	2256	1998-11-30	PRIJEM	\N	109	27539	UROK	\N	\N
3604819	2256	1998-12-31	PRIJEM	\N	73	16675	UROK	\N	\N
3604820	2257	1994-05-31	PRIJEM	\N	43	15408	UROK	\N	\N
3604821	2257	1994-06-30	PRIJEM	\N	68	16831	UROK	\N	\N
3604822	2257	1994-07-31	PRIJEM	\N	79	18265	UROK	\N	\N
3604823	2257	1994-08-31	PRIJEM	\N	83	18412	UROK	\N	\N
3604824	2257	1994-09-30	PRIJEM	\N	86	19852	UROK	\N	\N
3604825	2257	1994-10-31	PRIJEM	\N	81	18408	UROK	\N	\N
3604826	2257	1994-11-30	PRIJEM	\N	82	18645	UROK	\N	\N
3604827	2257	1994-12-31	PRIJEM	\N	81	19780	UROK	\N	\N
3604828	2257	1995-01-31	PRIJEM	\N	71	16646	UROK	\N	\N
3604829	2257	1995-02-28	PRIJEM	\N	73	18073	UROK	\N	\N
3604830	2257	1995-03-31	PRIJEM	\N	79	19507	UROK	\N	\N
3604831	2257	1995-04-30	PRIJEM	\N	85	20446	UROK	\N	\N
3604832	2257	1995-05-31	PRIJEM	\N	84	19364	UROK	\N	\N
3604833	2257	1995-06-30	PRIJEM	\N	77	16925	UROK	\N	\N
3604834	2257	1995-07-31	PRIJEM	\N	69	16178	UROK	\N	\N
3604835	2257	1995-08-31	PRIJEM	\N	65	14088	UROK	\N	\N
3604836	2257	1995-09-30	PRIJEM	\N	54	12497	UROK	\N	\N
3604837	2257	1995-10-31	PRIJEM	\N	56	13907	UROK	\N	\N
3604838	2257	1995-11-30	PRIJEM	\N	61	12723	UROK	\N	\N
3604839	2257	1995-12-31	PRIJEM	\N	56	13413	UROK	\N	\N
3604840	2257	1996-01-31	PRIJEM	\N	59	13477	UROK	\N	\N
3604841	2257	1996-02-29	PRIJEM	\N	65	14896	UROK	\N	\N
3604842	2257	1996-03-31	PRIJEM	\N	59	13809	UROK	\N	\N
3604843	2257	1996-04-30	PRIJEM	\N	63	14446	UROK	\N	\N
3604844	2257	1996-05-31	PRIJEM	\N	64	15864	UROK	\N	\N
3604845	2257	1996-06-30	PRIJEM	\N	61	14100	UROK	\N	\N
3604846	2257	1996-07-31	PRIJEM	\N	62	15516	UROK	\N	\N
3604847	2257	1996-08-31	PRIJEM	\N	67	16578	UROK	\N	\N
3604848	2257	1996-09-30	PRIJEM	\N	78	18010	UROK	\N	\N
3604849	2257	1996-10-31	PRIJEM	\N	79	19233	UROK	\N	\N
3604850	2257	1996-11-30	PRIJEM	\N	89	20677	UROK	\N	\N
3604851	2257	1996-12-31	PRIJEM	\N	93	20924	UROK	\N	\N
3604852	2257	1997-01-31	PRIJEM	\N	83	18581	UROK	\N	\N
3604853	2257	1997-02-28	PRIJEM	\N	81	20016	UROK	\N	\N
3604854	2257	1997-03-31	PRIJEM	\N	87	21457	UROK	\N	\N
3604855	2257	1997-04-30	PRIJEM	\N	92	21704	UROK	\N	\N
3604856	2257	1997-05-31	PRIJEM	\N	99	23157	UROK	\N	\N
3604857	2257	1997-06-30	PRIJEM	\N	86	18688	UROK	\N	\N
3604858	2257	1997-07-31	PRIJEM	\N	86	20129	UROK	\N	\N
3604859	2257	1997-08-31	PRIJEM	\N	92	21576	UROK	\N	\N
3604860	2257	1997-09-30	PRIJEM	\N	98	23028	UROK	\N	\N
3604861	2257	1997-10-31	PRIJEM	\N	103	23645	UROK	\N	\N
3604862	2257	1997-11-30	PRIJEM	\N	100	24469	UROK	\N	\N
3604863	2257	1997-12-31	PRIJEM	\N	104	25628	UROK	\N	\N
3604864	2257	1998-01-31	PRIJEM	\N	100	21862	UROK	\N	\N
3604865	2257	1998-02-28	PRIJEM	\N	99	23316	UROK	\N	\N
3604866	2257	1998-03-31	PRIJEM	\N	105	24775	UROK	\N	\N
3604867	2257	1998-04-30	PRIJEM	\N	111	26241	UROK	\N	\N
3604868	2257	1998-05-31	PRIJEM	\N	108	26323	UROK	\N	\N
3604869	2257	1998-06-30	PRIJEM	\N	91	20028	UROK	\N	\N
3604870	2257	1998-07-31	PRIJEM	\N	88	20271	UROK	\N	\N
3604871	2257	1998-08-31	PRIJEM	\N	92	21717	UROK	\N	\N
3604872	2257	1998-09-30	PRIJEM	\N	93	23164	UROK	\N	\N
3604873	2257	1998-10-31	PRIJEM	\N	90	14009	UROK	\N	\N
3604874	2257	1998-11-30	PRIJEM	\N	61	15424	UROK	\N	\N
3604875	2257	1998-12-31	PRIJEM	\N	66	16845	UROK	\N	\N
3604876	2258	1997-03-31	PRIJEM	\N	70	26194	UROK	\N	\N
3604877	2258	1997-04-30	PRIJEM	\N	121	30769	UROK	\N	\N
3604878	2258	1997-05-31	PRIJEM	\N	133	28681	UROK	\N	\N
3604879	2258	1997-06-30	PRIJEM	\N	127	31628	UROK	\N	\N
3604880	2258	1997-07-31	PRIJEM	\N	125	28433	UROK	\N	\N
3604881	2258	1997-08-31	PRIJEM	\N	127	31559	UROK	\N	\N
3604882	2258	1997-09-30	PRIJEM	\N	137	33136	UROK	\N	\N
3604883	2258	1997-10-31	PRIJEM	\N	140	33496	UROK	\N	\N
3604884	2258	1997-11-30	PRIJEM	\N	151	38086	UROK	\N	\N
3604885	2258	1997-12-31	PRIJEM	\N	161	38386	UROK	\N	\N
3604886	2258	1998-01-31	PRIJEM	\N	172	40957	UROK	\N	\N
3604887	2258	1998-02-28	PRIJEM	\N	181	43778	UROK	\N	\N
3604888	2258	1998-03-31	PRIJEM	\N	179	40996	UROK	\N	\N
3604889	2258	1998-04-30	PRIJEM	\N	153	34828	UROK	\N	\N
3604890	2258	1998-05-31	PRIJEM	\N	138	31325	UROK	\N	\N
3604891	2258	1998-06-30	PRIJEM	\N	139	33503	UROK	\N	\N
3604892	2258	1998-07-31	PRIJEM	\N	129	30071	UROK	\N	\N
3604893	2258	1998-08-31	PRIJEM	\N	128	29919	UROK	\N	\N
3604894	2258	1998-09-30	PRIJEM	\N	130	31368	UROK	\N	\N
3604895	2258	1998-10-31	PRIJEM	\N	137	32944	UROK	\N	\N
3604896	2258	1998-11-30	PRIJEM	\N	149	37532	UROK	\N	\N
3604897	2258	1998-12-31	PRIJEM	\N	171	41192	UROK	\N	\N
3604898	2259	1994-10-31	PRIJEM	\N	63	20353	UROK	\N	\N
3604899	2259	1994-11-30	PRIJEM	\N	90	22251	UROK	\N	\N
3604900	2259	1994-12-31	PRIJEM	\N	98	23856	UROK	\N	\N
3604901	2259	1995-01-31	PRIJEM	\N	86	14579	UROK	\N	\N
3604902	2259	1995-02-28	PRIJEM	\N	66	15992	UROK	\N	\N
3604903	2259	1995-03-31	PRIJEM	\N	71	17491	UROK	\N	\N
3604904	2259	1995-04-30	PRIJEM	\N	79	19477	UROK	\N	\N
3604905	2259	1995-05-31	PRIJEM	\N	87	21472	UROK	\N	\N
3604906	2259	1995-06-30	PRIJEM	\N	82	18911	UROK	\N	\N
3604907	2259	1995-07-31	PRIJEM	\N	70	16088	UROK	\N	\N
3604908	2259	1995-08-31	PRIJEM	\N	66	15762	UROK	\N	\N
3604909	2259	1995-09-30	PRIJEM	\N	57	12926	UROK	\N	\N
3604910	2259	1995-10-31	PRIJEM	\N	60	14594	UROK	\N	\N
3604911	2259	1995-11-30	PRIJEM	\N	62	14163	UROK	\N	\N
3604912	2259	1995-12-31	PRIJEM	\N	55	12525	UROK	\N	\N
3604913	2259	1996-01-31	PRIJEM	\N	49	11161	UROK	\N	\N
3604914	2259	1996-02-29	PRIJEM	\N	52	13121	UROK	\N	\N
3604915	2259	1996-03-31	PRIJEM	\N	59	14207	UROK	\N	\N
3604916	2259	1996-04-30	PRIJEM	\N	65	16180	UROK	\N	\N
3604917	2259	1996-05-31	PRIJEM	\N	60	13847	UROK	\N	\N
3604918	2259	1996-06-30	PRIJEM	\N	59	13913	UROK	\N	\N
3604919	2259	1996-07-31	PRIJEM	\N	64	15884	UROK	\N	\N
3604920	2259	1996-08-31	PRIJEM	\N	65	15256	UROK	\N	\N
3604921	2259	1996-09-30	PRIJEM	\N	66	16529	UROK	\N	\N
3604922	2259	1996-10-31	PRIJEM	\N	54	13590	UROK	\N	\N
3604923	2259	1996-11-30	PRIJEM	\N	62	15560	UROK	\N	\N
3604924	2259	1996-12-31	PRIJEM	\N	69	13486	UROK	\N	\N
3604925	2259	1997-01-31	PRIJEM	\N	55	12108	UROK	\N	\N
3604926	2259	1997-02-28	PRIJEM	\N	56	14072	UROK	\N	\N
3604927	2259	1997-03-31	PRIJEM	\N	64	16043	UROK	\N	\N
3604928	2259	1997-04-30	PRIJEM	\N	71	16022	UROK	\N	\N
3604929	2259	1997-05-31	PRIJEM	\N	69	15498	UROK	\N	\N
3604930	2259	1997-06-30	PRIJEM	\N	70	17475	UROK	\N	\N
3604931	2259	1997-07-31	PRIJEM	\N	77	18979	UROK	\N	\N
3604932	2259	1997-08-31	PRIJEM	\N	69	15596	UROK	\N	\N
3604933	2259	1997-09-30	PRIJEM	\N	70	17574	UROK	\N	\N
3604934	2259	1997-10-31	PRIJEM	\N	78	18659	UROK	\N	\N
3604935	2259	1997-11-30	PRIJEM	\N	83	20649	UROK	\N	\N
3604936	2259	1997-12-31	PRIJEM	\N	91	22347	UROK	\N	\N
3604937	2259	1998-01-31	PRIJEM	\N	78	14543	UROK	\N	\N
3604938	2259	1998-02-28	PRIJEM	\N	62	14592	UROK	\N	\N
3604939	2259	1998-03-31	PRIJEM	\N	66	16565	UROK	\N	\N
3604940	2259	1998-04-30	PRIJEM	\N	71	17263	UROK	\N	\N
3604941	2259	1998-05-31	PRIJEM	\N	70	15641	UROK	\N	\N
3604942	2259	1998-06-30	PRIJEM	\N	70	17618	UROK	\N	\N
3604943	2259	1998-07-31	PRIJEM	\N	78	19604	UROK	\N	\N
3604944	2259	1998-08-31	PRIJEM	\N	86	21597	UROK	\N	\N
3604945	2259	1998-09-30	PRIJEM	\N	94	23599	UROK	\N	\N
3604946	2259	1998-10-31	PRIJEM	\N	89	21456	UROK	\N	\N
3604947	2259	1998-11-30	PRIJEM	\N	87	19250	UROK	\N	\N
3604948	2259	1998-12-31	PRIJEM	\N	71	16748	UROK	\N	\N
3604949	2262	1997-02-28	PRIJEM	\N	5	18172	UROK	\N	\N
3604950	2262	1997-03-31	PRIJEM	\N	116	35826	UROK	\N	\N
3604951	2262	1997-04-30	PRIJEM	\N	251	106760	UROK	\N	\N
3604952	2262	1997-05-31	PRIJEM	\N	202	24148	UROK	\N	\N
3604953	2262	1997-06-30	PRIJEM	\N	162	74811	UROK	\N	\N
3604954	2262	1997-07-31	PRIJEM	\N	220	53613	UROK	\N	\N
3604955	2262	1997-08-31	PRIJEM	\N	153	30951	UROK	\N	\N
3604956	2262	1997-09-30	PRIJEM	\N	259	66274	UROK	\N	\N
3604957	2262	1997-10-31	PRIJEM	\N	234	45905	UROK	\N	\N
3604958	2262	1997-11-30	PRIJEM	\N	191	62501	UROK	\N	\N
3604959	2262	1997-12-31	PRIJEM	\N	313	83060	UROK	\N	\N
3604960	2262	1998-01-31	PRIJEM	\N	223	65620	UROK	\N	\N
3604961	2262	1998-02-28	PRIJEM	\N	284	96311	UROK	\N	\N
3604962	2262	1998-03-31	PRIJEM	\N	239	97112	UROK	\N	\N
3604963	2262	1998-04-30	PRIJEM	\N	332	110387	UROK	\N	\N
3604964	2262	1998-05-31	PRIJEM	\N	296	62950	UROK	\N	\N
3604965	2262	1998-06-30	PRIJEM	\N	121	23357	UROK	\N	\N
3604966	2262	1998-07-31	PRIJEM	\N	216	67933	UROK	\N	\N
3604967	2262	1998-08-31	PRIJEM	\N	405	68421	UROK	\N	\N
3604968	2262	1998-09-30	PRIJEM	\N	302	72102	UROK	\N	\N
3604969	2262	1998-10-31	PRIJEM	\N	393	114826	UROK	\N	\N
3604970	2262	1998-11-30	PRIJEM	\N	275	94172	UROK	\N	\N
3604971	2262	1998-12-31	PRIJEM	\N	307	111214	UROK	\N	\N
3604972	2263	1996-04-30	PRIJEM	\N	65	23402	UROK	\N	\N
3604973	2263	1996-05-31	PRIJEM	\N	122	32060	UROK	\N	\N
3604974	2263	1996-06-30	PRIJEM	\N	171	44987	UROK	\N	\N
3604975	2263	1996-07-31	PRIJEM	\N	239	44063	UROK	\N	\N
3604976	2263	1996-08-31	PRIJEM	\N	218	45638	UROK	\N	\N
3604977	2263	1996-09-30	PRIJEM	\N	189	45943	UROK	\N	\N
3604978	2263	1996-10-31	PRIJEM	\N	188	46526	UROK	\N	\N
3604979	2263	1996-11-30	PRIJEM	\N	190	47811	UROK	\N	\N
3604980	2263	1996-12-31	PRIJEM	\N	215	54180	UROK	\N	\N
3604981	2263	1997-01-31	PRIJEM	\N	186	27561	UROK	\N	\N
3604982	2263	1997-02-28	PRIJEM	\N	135	36792	UROK	\N	\N
3604983	2263	1997-03-31	PRIJEM	\N	170	44257	UROK	\N	\N
3604984	2263	1997-04-30	PRIJEM	\N	197	51070	UROK	\N	\N
3604985	2263	1997-05-31	PRIJEM	\N	223	57088	UROK	\N	\N
3604986	2263	1997-06-30	PRIJEM	\N	242	47984	UROK	\N	\N
3604987	2263	1997-07-31	PRIJEM	\N	208	53388	UROK	\N	\N
3604988	2263	1997-08-31	PRIJEM	\N	207	50930	UROK	\N	\N
3604989	2263	1997-09-30	PRIJEM	\N	218	55943	UROK	\N	\N
3604990	2263	1997-10-31	PRIJEM	\N	241	61380	UROK	\N	\N
3604991	2263	1997-11-30	PRIJEM	\N	249	62825	UROK	\N	\N
3604992	2263	1997-12-31	PRIJEM	\N	261	63280	UROK	\N	\N
3604993	2263	1998-01-31	PRIJEM	\N	207	42062	UROK	\N	\N
3604994	2263	1998-02-28	PRIJEM	\N	201	51959	UROK	\N	\N
3604995	2263	1998-03-31	PRIJEM	\N	220	56514	UROK	\N	\N
3604996	2263	1998-04-30	PRIJEM	\N	225	57234	UROK	\N	\N
3604997	2263	1998-05-31	PRIJEM	\N	251	64381	UROK	\N	\N
3604998	2263	1998-06-30	PRIJEM	\N	228	45143	UROK	\N	\N
3604999	2263	1998-07-31	PRIJEM	\N	234	60972	UROK	\N	\N
3605000	2263	1998-08-31	PRIJEM	\N	280	68048	UROK	\N	\N
3605001	2263	1998-09-30	PRIJEM	\N	307	71351	UROK	\N	\N
3605002	2263	1998-10-31	PRIJEM	\N	322	76167	UROK	\N	\N
3605003	2263	1998-11-30	PRIJEM	\N	338	78501	UROK	\N	\N
3605004	2263	1998-12-31	PRIJEM	\N	369	90924	UROK	\N	\N
3605005	2264	1997-04-30	PRIJEM	\N	37	22552	UROK	\N	\N
3605006	2264	1997-05-31	PRIJEM	\N	101	25595	UROK	\N	\N
3605007	2264	1997-06-30	PRIJEM	\N	102	24890	UROK	\N	\N
3605008	2264	1997-07-31	PRIJEM	\N	111	27943	UROK	\N	\N
3605009	2264	1997-08-31	PRIJEM	\N	124	31009	UROK	\N	\N
3605010	2264	1997-09-30	PRIJEM	\N	131	31082	UROK	\N	\N
3605011	2264	1997-10-31	PRIJEM	\N	131	31355	UROK	\N	\N
3605012	2264	1997-11-30	PRIJEM	\N	138	34435	UROK	\N	\N
3605013	2264	1997-12-31	PRIJEM	\N	131	29169	UROK	\N	\N
3605014	2264	1998-01-31	PRIJEM	\N	92	16633	UROK	\N	\N
3605015	2264	1998-02-28	PRIJEM	\N	73	18768	UROK	\N	\N
3605016	2264	1998-03-31	PRIJEM	\N	77	18267	UROK	\N	\N
3605017	2264	1998-04-30	PRIJEM	\N	71	17361	UROK	\N	\N
3605018	2264	1998-05-31	PRIJEM	\N	73	18456	UROK	\N	\N
3605019	2264	1998-06-30	PRIJEM	\N	84	21482	UROK	\N	\N
3605020	2264	1998-07-31	PRIJEM	\N	93	22038	UROK	\N	\N
3605021	2264	1998-08-31	PRIJEM	\N	97	24477	UROK	\N	\N
3605022	2264	1998-09-30	PRIJEM	\N	109	27528	UROK	\N	\N
3605023	2264	1998-10-31	PRIJEM	\N	122	30592	UROK	\N	\N
3605024	2264	1998-11-30	PRIJEM	\N	134	33669	UROK	\N	\N
3605025	2264	1998-12-31	PRIJEM	\N	144	36055	UROK	\N	\N
3605026	2266	1996-08-31	PRIJEM	\N	40	21116	UROK	\N	\N
3605027	2266	1996-09-30	PRIJEM	\N	111	33203	UROK	\N	\N
3605028	2266	1996-10-31	PRIJEM	\N	149	38728	UROK	\N	\N
3605029	2266	1996-11-30	PRIJEM	\N	172	44176	UROK	\N	\N
3605030	2266	1996-12-31	PRIJEM	\N	201	52341	UROK	\N	\N
3605031	2266	1997-01-31	PRIJEM	\N	216	51618	UROK	\N	\N
3605032	2266	1997-02-28	PRIJEM	\N	210	49589	UROK	\N	\N
3605033	2266	1997-03-31	PRIJEM	\N	200	46751	UROK	\N	\N
3605034	2266	1997-04-30	PRIJEM	\N	185	38697	UROK	\N	\N
3605035	2266	1997-05-31	PRIJEM	\N	154	34633	UROK	\N	\N
3605036	2266	1997-06-30	PRIJEM	\N	160	41342	UROK	\N	\N
3605037	2266	1997-07-31	PRIJEM	\N	171	41074	UROK	\N	\N
3605038	2266	1997-08-31	PRIJEM	\N	167	39602	UROK	\N	\N
3605039	2266	1997-09-30	PRIJEM	\N	176	44140	UROK	\N	\N
3605040	2266	1997-10-31	PRIJEM	\N	182	34083	UROK	\N	\N
3605041	2266	1997-11-30	PRIJEM	\N	161	41306	UROK	\N	\N
3605042	2266	1997-12-31	PRIJEM	\N	204	49039	UROK	\N	\N
3605043	2266	1998-01-31	PRIJEM	\N	199	41420	UROK	\N	\N
3605044	2266	1998-02-28	PRIJEM	\N	193	47134	UROK	\N	\N
3605045	2266	1998-03-31	PRIJEM	\N	198	48194	UROK	\N	\N
3605046	2266	1998-04-30	PRIJEM	\N	202	48857	UROK	\N	\N
3605047	2266	1998-05-31	PRIJEM	\N	192	45210	UROK	\N	\N
3605048	2266	1998-06-30	PRIJEM	\N	209	52368	UROK	\N	\N
3605049	2266	1998-07-31	PRIJEM	\N	205	46395	UROK	\N	\N
3605050	2266	1998-08-31	PRIJEM	\N	213	52869	UROK	\N	\N
3605051	2266	1998-09-30	PRIJEM	\N	214	51444	UROK	\N	\N
3605052	2266	1998-10-31	PRIJEM	\N	209	48675	UROK	\N	\N
3605053	2266	1998-11-30	PRIJEM	\N	238	59774	UROK	\N	\N
3605054	2266	1998-12-31	PRIJEM	\N	288	70792	UROK	\N	\N
3605055	2267	1995-03-31	PRIJEM	\N	129	95768	UROK	\N	\N
3605056	2267	1995-04-30	PRIJEM	\N	407	65860	UROK	\N	\N
3605057	2267	1995-05-31	PRIJEM	\N	450	46809	UROK	\N	\N
3605058	2267	1995-06-30	PRIJEM	\N	450	40359	UROK	\N	\N
3605059	2267	1995-07-31	PRIJEM	\N	450	35409	UROK	\N	\N
3605060	2267	1995-08-31	PRIJEM	\N	438	80631	UROK	\N	\N
3605061	2267	1995-09-30	PRIJEM	\N	234	24860	UROK	\N	\N
3605062	2267	1995-10-31	PRIJEM	\N	105	26691	UROK	\N	\N
3605063	2267	1995-11-30	PRIJEM	\N	162	53653	UROK	\N	\N
3605064	2267	1995-12-31	PRIJEM	\N	152	61545	UROK	\N	\N
3605065	2267	1996-01-31	PRIJEM	\N	157	23128	UROK	\N	\N
3605066	2267	1996-02-29	PRIJEM	\N	156	54063	UROK	\N	\N
3605067	2267	1996-03-31	PRIJEM	\N	191	33260	UROK	\N	\N
3605068	2267	1996-04-30	PRIJEM	\N	120	22474	UROK	\N	\N
3605069	2267	1996-05-31	PRIJEM	\N	111	37445	UROK	\N	\N
3605070	2267	1996-06-30	PRIJEM	\N	135	28044	UROK	\N	\N
3605071	2267	1996-07-31	PRIJEM	\N	137	30545	UROK	\N	\N
3605072	2267	1996-08-31	PRIJEM	\N	106	24367	UROK	\N	\N
3605073	2267	1996-09-30	PRIJEM	\N	116	58880	UROK	\N	\N
3605074	2267	1996-10-31	PRIJEM	\N	334	83368	UROK	\N	\N
3605075	2267	1996-11-30	PRIJEM	\N	269	56564	UROK	\N	\N
3605076	2267	1996-12-31	PRIJEM	\N	142	26971	UROK	\N	\N
3605077	2267	1997-01-31	PRIJEM	\N	176	31811	UROK	\N	\N
3605078	2267	1997-02-28	PRIJEM	\N	132	72279	UROK	\N	\N
3605079	2267	1997-03-31	PRIJEM	\N	330	90496	UROK	\N	\N
3605080	2267	1997-04-30	PRIJEM	\N	276	47472	UROK	\N	\N
3605081	2267	1997-05-31	PRIJEM	\N	260	78483	UROK	\N	\N
3605082	2267	1997-06-30	PRIJEM	\N	209	35233	UROK	\N	\N
3605083	2267	1997-07-31	PRIJEM	\N	219	72984	UROK	\N	\N
3605084	2267	1997-08-31	PRIJEM	\N	198	25609	UROK	\N	\N
3605085	2267	1997-09-30	PRIJEM	\N	196	66048	UROK	\N	\N
3605086	2267	1997-10-31	PRIJEM	\N	197	41980	UROK	\N	\N
3605087	2267	1997-11-30	PRIJEM	\N	147	33654	UROK	\N	\N
3605088	2267	1997-12-31	PRIJEM	\N	221	74110	UROK	\N	\N
3605089	2267	1998-01-31	PRIJEM	\N	165	74671	UROK	\N	\N
3605090	2267	1998-02-28	PRIJEM	\N	221	42319	UROK	\N	\N
3605091	2267	1998-03-31	PRIJEM	\N	140	31186	UROK	\N	\N
3605092	2267	1998-04-30	PRIJEM	\N	179	55410	UROK	\N	\N
3605093	2267	1998-05-31	PRIJEM	\N	212	57978	UROK	\N	\N
3605094	2267	1998-06-30	PRIJEM	\N	175	31380	UROK	\N	\N
3605095	2267	1998-07-31	PRIJEM	\N	102	23409	UROK	\N	\N
3605096	2267	1998-08-31	PRIJEM	\N	80	20116	UROK	\N	\N
3605097	2267	1998-09-30	PRIJEM	\N	130	29668	UROK	\N	\N
3605098	2267	1998-10-31	PRIJEM	\N	145	74656	UROK	\N	\N
3605099	2267	1998-11-30	PRIJEM	\N	293	49976	UROK	\N	\N
3605100	2267	1998-12-31	PRIJEM	\N	241	62074	UROK	\N	\N
3605101	2268	1995-03-31	PRIJEM	\N	58	22704	UROK	\N	\N
3605102	2268	1995-04-30	PRIJEM	\N	128	35678	UROK	\N	\N
3605103	2268	1995-05-31	PRIJEM	\N	158	39182	UROK	\N	\N
3605104	2268	1995-06-30	PRIJEM	\N	194	50344	UROK	\N	\N
3605105	2268	1995-07-31	PRIJEM	\N	192	43140	UROK	\N	\N
3605106	2268	1995-08-31	PRIJEM	\N	177	35406	UROK	\N	\N
3605107	2268	1995-09-30	PRIJEM	\N	160	35356	UROK	\N	\N
3605108	2268	1995-10-31	PRIJEM	\N	158	33203	UROK	\N	\N
3605109	2268	1995-11-30	PRIJEM	\N	180	45772	UROK	\N	\N
3605110	2268	1995-12-31	PRIJEM	\N	257	65842	UROK	\N	\N
3605111	2268	1996-01-31	PRIJEM	\N	276	65508	UROK	\N	\N
3605112	2268	1996-02-29	PRIJEM	\N	269	62365	UROK	\N	\N
3605113	2268	1996-03-31	PRIJEM	\N	255	61810	UROK	\N	\N
3605114	2268	1996-04-30	PRIJEM	\N	256	63056	UROK	\N	\N
3605115	2268	1996-05-31	PRIJEM	\N	259	61004	UROK	\N	\N
3605116	2268	1996-06-30	PRIJEM	\N	278	66795	UROK	\N	\N
3605117	2268	1996-07-31	PRIJEM	\N	278	65962	UROK	\N	\N
3605118	2268	1996-08-31	PRIJEM	\N	271	64162	UROK	\N	\N
3605119	2268	1996-09-30	PRIJEM	\N	267	64057	UROK	\N	\N
3605120	2268	1996-10-31	PRIJEM	\N	261	61546	UROK	\N	\N
3605121	2268	1996-11-30	PRIJEM	\N	261	62335	UROK	\N	\N
3605122	2268	1996-12-31	PRIJEM	\N	284	71370	UROK	\N	\N
3605123	2268	1997-01-31	PRIJEM	\N	292	70191	UROK	\N	\N
3605124	2268	1997-02-28	PRIJEM	\N	251	67270	UROK	\N	\N
3605125	2268	1997-03-31	PRIJEM	\N	268	61666	UROK	\N	\N
3605126	2268	1997-04-30	PRIJEM	\N	266	64160	UROK	\N	\N
3605127	2268	1997-05-31	PRIJEM	\N	270	65559	UROK	\N	\N
3605128	2268	1997-06-30	PRIJEM	\N	278	70689	UROK	\N	\N
3605129	2268	1997-07-31	PRIJEM	\N	281	46898	UROK	\N	\N
3605130	2268	1997-08-31	PRIJEM	\N	232	43159	UROK	\N	\N
3605131	2268	1997-09-30	PRIJEM	\N	215	37202	UROK	\N	\N
3605132	2268	1997-10-31	PRIJEM	\N	188	34517	UROK	\N	\N
3605133	2268	1997-11-30	PRIJEM	\N	178	33824	UROK	\N	\N
3605134	2268	1997-12-31	PRIJEM	\N	213	39888	UROK	\N	\N
3605135	2268	1998-01-31	PRIJEM	\N	197	39713	UROK	\N	\N
3605136	2268	1998-02-28	PRIJEM	\N	196	38438	UROK	\N	\N
3605137	2268	1998-03-31	PRIJEM	\N	199	41966	UROK	\N	\N
3605138	2268	1998-04-30	PRIJEM	\N	210	38204	UROK	\N	\N
3605139	2268	1998-05-31	PRIJEM	\N	191	40324	UROK	\N	\N
3605140	2268	1998-06-30	PRIJEM	\N	220	39794	UROK	\N	\N
3605141	2268	1998-07-31	PRIJEM	\N	191	38614	UROK	\N	\N
3605142	2268	1998-08-31	PRIJEM	\N	181	36723	UROK	\N	\N
3605143	2268	1998-09-30	PRIJEM	\N	186	40138	UROK	\N	\N
3605144	2268	1998-10-31	PRIJEM	\N	196	45662	UROK	\N	\N
3605145	2268	1998-11-30	PRIJEM	\N	214	46804	UROK	\N	\N
3605146	2268	1998-12-31	PRIJEM	\N	279	74334	UROK	\N	\N
3605147	2269	1993-11-30	PRIJEM	\N	26	10851	UROK	\N	\N
3605148	2269	1993-12-31	PRIJEM	\N	100	33538	UROK	\N	\N
3605149	2269	1994-01-31	PRIJEM	\N	150	38114	UROK	\N	\N
3605150	2269	1994-02-28	PRIJEM	\N	169	42908	UROK	\N	\N
3605151	2269	1994-03-31	PRIJEM	\N	182	39754	UROK	\N	\N
3605152	2269	1994-04-30	PRIJEM	\N	155	36838	UROK	\N	\N
3605153	2269	1994-05-31	PRIJEM	\N	143	34211	UROK	\N	\N
3605154	2269	1994-06-30	PRIJEM	\N	154	40157	UROK	\N	\N
3605155	2269	1994-07-31	PRIJEM	\N	152	33398	UROK	\N	\N
3605156	2269	1994-08-31	PRIJEM	\N	140	35268	UROK	\N	\N
3605157	2269	1994-09-30	PRIJEM	\N	128	33125	UROK	\N	\N
3605158	2269	1994-10-31	PRIJEM	\N	142	28816	UROK	\N	\N
3605159	2269	1994-11-30	PRIJEM	\N	131	30677	UROK	\N	\N
3605160	2269	1994-12-31	PRIJEM	\N	136	29685	UROK	\N	\N
3605161	2269	1995-01-31	PRIJEM	\N	85	18000	UROK	\N	\N
3605162	2269	1995-02-28	PRIJEM	\N	87	25616	UROK	\N	\N
3605163	2269	1995-03-31	PRIJEM	\N	118	27683	UROK	\N	\N
3605164	2269	1995-04-30	PRIJEM	\N	126	29238	UROK	\N	\N
3605165	2269	1995-05-31	PRIJEM	\N	132	30199	UROK	\N	\N
3605166	2269	1995-06-30	PRIJEM	\N	111	18703	UROK	\N	\N
3605167	2269	1995-07-31	PRIJEM	\N	89	22721	UROK	\N	\N
3605168	2269	1995-08-31	PRIJEM	\N	105	26356	UROK	\N	\N
3605169	2269	1995-09-30	PRIJEM	\N	106	27232	UROK	\N	\N
3605170	2269	1995-10-31	PRIJEM	\N	120	27181	UROK	\N	\N
3605171	2269	1995-11-30	PRIJEM	\N	120	27631	UROK	\N	\N
3605172	2269	1995-12-31	PRIJEM	\N	133	33956	UROK	\N	\N
3605173	2269	1996-01-31	PRIJEM	\N	124	24070	UROK	\N	\N
3605174	2269	1996-02-29	PRIJEM	\N	109	27508	UROK	\N	\N
3605175	2269	1996-03-31	PRIJEM	\N	124	30861	UROK	\N	\N
3605176	2269	1996-04-30	PRIJEM	\N	138	34629	UROK	\N	\N
3605177	2269	1996-05-31	PRIJEM	\N	145	36523	UROK	\N	\N
3605178	2269	1996-06-30	PRIJEM	\N	138	20514	UROK	\N	\N
3605179	2269	1996-07-31	PRIJEM	\N	91	28694	UROK	\N	\N
3605180	2269	1996-08-31	PRIJEM	\N	127	31751	UROK	\N	\N
3605181	2269	1996-09-30	PRIJEM	\N	137	33518	UROK	\N	\N
3605182	2269	1996-10-31	PRIJEM	\N	146	36293	UROK	\N	\N
3605183	2269	1996-11-30	PRIJEM	\N	155	37578	UROK	\N	\N
3605184	2269	1996-12-31	PRIJEM	\N	157	36807	UROK	\N	\N
3605185	2269	1997-01-31	PRIJEM	\N	104	23401	UROK	\N	\N
3605186	2269	1997-02-28	PRIJEM	\N	106	28036	UROK	\N	\N
3605187	2269	1997-03-31	PRIJEM	\N	130	34295	UROK	\N	\N
3605188	2269	1997-04-30	PRIJEM	\N	144	34568	UROK	\N	\N
3605189	2269	1997-05-31	PRIJEM	\N	135	26832	UROK	\N	\N
3605190	2269	1997-06-30	PRIJEM	\N	120	22964	UROK	\N	\N
3605191	2269	1997-07-31	PRIJEM	\N	106	28099	UROK	\N	\N
3605192	2269	1997-08-31	PRIJEM	\N	121	30750	UROK	\N	\N
3605193	2269	1997-09-30	PRIJEM	\N	137	31017	UROK	\N	\N
3605194	2269	1997-10-31	PRIJEM	\N	138	28585	UROK	\N	\N
3605195	2269	1997-11-30	PRIJEM	\N	120	30454	UROK	\N	\N
3605196	2269	1997-12-31	PRIJEM	\N	125	31651	UROK	\N	\N
3605197	2269	1998-01-31	PRIJEM	\N	116	21156	UROK	\N	\N
3605198	2269	1998-02-28	PRIJEM	\N	87	23052	UROK	\N	\N
3605199	2269	1998-03-31	PRIJEM	\N	103	25505	UROK	\N	\N
3605200	2269	1998-04-30	PRIJEM	\N	100	24834	UROK	\N	\N
3605201	2269	1998-05-31	PRIJEM	\N	92	21996	UROK	\N	\N
3605202	2269	1998-06-30	PRIJEM	\N	98	24526	UROK	\N	\N
3605203	2269	1998-07-31	PRIJEM	\N	90	23985	UROK	\N	\N
3605204	2269	1998-08-31	PRIJEM	\N	93	23808	UROK	\N	\N
3605205	2269	1998-09-30	PRIJEM	\N	93	23930	UROK	\N	\N
3605206	2269	1998-10-31	PRIJEM	\N	101	26661	UROK	\N	\N
3605207	2269	1998-11-30	PRIJEM	\N	106	27096	UROK	\N	\N
3605208	2269	1998-12-31	PRIJEM	\N	99	26526	UROK	\N	\N
3605209	2270	1997-07-31	PRIJEM	\N	74	21102	UROK	\N	\N
3605210	2270	1997-08-31	PRIJEM	\N	77	17981	UROK	\N	\N
3605211	2270	1997-09-30	PRIJEM	\N	81	19851	UROK	\N	\N
3605212	2270	1997-10-31	PRIJEM	\N	89	21728	UROK	\N	\N
3605213	2270	1997-11-30	PRIJEM	\N	97	23613	UROK	\N	\N
3605214	2270	1997-12-31	PRIJEM	\N	103	24455	UROK	\N	\N
3605215	2270	1998-01-31	PRIJEM	\N	101	22874	UROK	\N	\N
3605216	2270	1998-02-28	PRIJEM	\N	101	24764	UROK	\N	\N
3605217	2270	1998-03-31	PRIJEM	\N	107	25940	UROK	\N	\N
3605218	2270	1998-04-30	PRIJEM	\N	111	26719	UROK	\N	\N
3605219	2270	1998-05-31	PRIJEM	\N	108	25095	UROK	\N	\N
3605220	2270	1998-06-30	PRIJEM	\N	93	19816	UROK	\N	\N
3605221	2270	1998-07-31	PRIJEM	\N	89	21693	UROK	\N	\N
3605222	2270	1998-08-31	PRIJEM	\N	97	23578	UROK	\N	\N
3605223	2270	1998-09-30	PRIJEM	\N	98	23705	UROK	\N	\N
3605224	2270	1998-10-31	PRIJEM	\N	105	25598	UROK	\N	\N
3605225	2270	1998-11-30	PRIJEM	\N	113	27499	UROK	\N	\N
3605226	2270	1998-12-31	PRIJEM	\N	115	21283	UROK	\N	\N
3605227	2271	1994-04-30	PRIJEM	\N	2	15842	UROK	\N	\N
3605228	2271	1994-05-31	PRIJEM	\N	69	16913	UROK	\N	\N
3605229	2271	1994-06-30	PRIJEM	\N	72	16846	UROK	\N	\N
3605230	2271	1994-07-31	PRIJEM	\N	71	16778	UROK	\N	\N
3605231	2271	1994-08-31	PRIJEM	\N	72	17582	UROK	\N	\N
3605232	2271	1994-09-30	PRIJEM	\N	76	18660	UROK	\N	\N
3605233	2271	1994-10-31	PRIJEM	\N	81	19742	UROK	\N	\N
3605234	2271	1994-11-30	PRIJEM	\N	85	20498	UROK	\N	\N
3605235	2271	1994-12-31	PRIJEM	\N	83	19722	UROK	\N	\N
3605236	2271	1995-01-31	PRIJEM	\N	71	15424	UROK	\N	\N
3605237	2271	1995-02-28	PRIJEM	\N	67	16493	UROK	\N	\N
3605238	2271	1995-03-31	PRIJEM	\N	72	17566	UROK	\N	\N
3605239	2271	1995-04-30	PRIJEM	\N	76	18643	UROK	\N	\N
3605240	2271	1995-05-31	PRIJEM	\N	81	19725	UROK	\N	\N
3605241	2271	1995-06-30	PRIJEM	\N	79	18646	UROK	\N	\N
3605242	2271	1995-07-31	PRIJEM	\N	77	16964	UROK	\N	\N
3605243	2271	1995-08-31	PRIJEM	\N	74	18039	UROK	\N	\N
3605244	2271	1995-09-30	PRIJEM	\N	78	19118	UROK	\N	\N
3605245	2271	1995-10-31	PRIJEM	\N	77	18847	UROK	\N	\N
3605246	2271	1995-11-30	PRIJEM	\N	81	19929	UROK	\N	\N
3605247	2271	1995-12-31	PRIJEM	\N	85	20146	UROK	\N	\N
3605248	2271	1996-01-31	PRIJEM	\N	73	16000	UROK	\N	\N
3605249	2271	1996-02-29	PRIJEM	\N	69	17071	UROK	\N	\N
3605250	2271	1996-03-31	PRIJEM	\N	74	18146	UROK	\N	\N
3605251	2271	1996-04-30	PRIJEM	\N	73	18140	UROK	\N	\N
3605252	2271	1996-05-31	PRIJEM	\N	78	19220	UROK	\N	\N
3605253	2271	1996-06-30	PRIJEM	\N	83	20304	UROK	\N	\N
3605254	2271	1996-07-31	PRIJEM	\N	87	21392	UROK	\N	\N
3605255	2271	1996-08-31	PRIJEM	\N	92	21885	UROK	\N	\N
3605256	2271	1996-09-30	PRIJEM	\N	94	22440	UROK	\N	\N
3605257	2271	1996-10-31	PRIJEM	\N	96	23538	UROK	\N	\N
3605258	2271	1996-11-30	PRIJEM	\N	100	24640	UROK	\N	\N
3605259	2271	1996-12-31	PRIJEM	\N	104	24515	UROK	\N	\N
3605260	2271	1997-01-31	PRIJEM	\N	80	18096	UROK	\N	\N
3605261	2271	1997-02-28	PRIJEM	\N	78	19175	UROK	\N	\N
3605262	2271	1997-03-31	PRIJEM	\N	80	19806	UROK	\N	\N
3605263	2271	1997-04-30	PRIJEM	\N	85	20892	UROK	\N	\N
3605264	2271	1997-05-31	PRIJEM	\N	89	21983	UROK	\N	\N
3605265	2271	1997-06-30	PRIJEM	\N	79	17064	UROK	\N	\N
3605266	2271	1997-07-31	PRIJEM	\N	73	18138	UROK	\N	\N
3605267	2271	1997-08-31	PRIJEM	\N	78	19217	UROK	\N	\N
3605268	2271	1997-09-30	PRIJEM	\N	82	19460	UROK	\N	\N
3605269	2271	1997-10-31	PRIJEM	\N	83	20545	UROK	\N	\N
3605270	2271	1997-11-30	PRIJEM	\N	87	21633	UROK	\N	\N
3605271	2271	1997-12-31	PRIJEM	\N	92	22096	UROK	\N	\N
3605272	2271	1998-01-31	PRIJEM	\N	84	18291	UROK	\N	\N
3605273	2271	1998-02-28	PRIJEM	\N	78	19370	UROK	\N	\N
3605274	2271	1998-03-31	PRIJEM	\N	81	20033	UROK	\N	\N
3605275	2271	1998-04-30	PRIJEM	\N	85	20248	UROK	\N	\N
3605276	2271	1998-05-31	PRIJEM	\N	86	21336	UROK	\N	\N
3605277	2271	1998-06-30	PRIJEM	\N	90	22427	UROK	\N	\N
3605278	2271	1998-07-31	PRIJEM	\N	95	22173	UROK	\N	\N
3605279	2271	1998-08-31	PRIJEM	\N	93	22878	UROK	\N	\N
3605280	2271	1998-09-30	PRIJEM	\N	93	23283	UROK	\N	\N
3605281	2271	1998-10-31	PRIJEM	\N	98	24382	UROK	\N	\N
3605282	2271	1998-11-30	PRIJEM	\N	103	25486	UROK	\N	\N
3605283	2271	1998-12-31	PRIJEM	\N	105	26293	UROK	\N	\N
3605284	2272	1997-11-30	PRIJEM	\N	45	13425	UROK	\N	\N
3605285	2272	1997-12-31	PRIJEM	\N	96	25491	UROK	\N	\N
3605286	2272	1998-01-31	PRIJEM	\N	127	29398	UROK	\N	\N
3605287	2272	1998-02-28	PRIJEM	\N	128	30606	UROK	\N	\N
3605288	2272	1998-03-31	PRIJEM	\N	110	24610	UROK	\N	\N
3605289	2272	1998-04-30	PRIJEM	\N	93	20382	UROK	\N	\N
3605290	2272	1998-05-31	PRIJEM	\N	72	13794	UROK	\N	\N
3605291	2272	1998-06-30	PRIJEM	\N	95	23558	UROK	\N	\N
3605292	2272	1998-07-31	PRIJEM	\N	99	22837	UROK	\N	\N
3605293	2272	1998-08-31	PRIJEM	\N	105	24621	UROK	\N	\N
3605294	2272	1998-09-30	PRIJEM	\N	100	22800	UROK	\N	\N
3605295	2272	1998-10-31	PRIJEM	\N	81	17961	UROK	\N	\N
3605296	2272	1998-11-30	PRIJEM	\N	78	17717	UROK	\N	\N
3605297	2272	1998-12-31	PRIJEM	\N	71	15778	UROK	\N	\N
3605298	2275	1996-10-31	PRIJEM	\N	42	19382	UROK	\N	\N
3605299	2275	1996-11-30	PRIJEM	\N	97	26718	UROK	\N	\N
3605300	2275	1996-12-31	PRIJEM	\N	131	35359	UROK	\N	\N
3605301	2275	1997-01-31	PRIJEM	\N	147	35346	UROK	\N	\N
3605302	2275	1997-02-28	PRIJEM	\N	145	33599	UROK	\N	\N
3605303	2275	1997-03-31	PRIJEM	\N	154	30448	UROK	\N	\N
3605304	2275	1997-04-30	PRIJEM	\N	114	24157	UROK	\N	\N
3605305	2275	1997-05-31	PRIJEM	\N	98	22249	UROK	\N	\N
3605306	2275	1997-06-30	PRIJEM	\N	104	25418	UROK	\N	\N
3605307	2275	1997-07-31	PRIJEM	\N	96	21108	UROK	\N	\N
3605308	2275	1997-08-31	PRIJEM	\N	87	20589	UROK	\N	\N
3605309	2275	1997-09-30	PRIJEM	\N	70	13454	UROK	\N	\N
3605310	2275	1997-10-31	PRIJEM	\N	73	11522	UROK	\N	\N
3605311	2275	1997-11-30	PRIJEM	\N	32	5748	UROK	\N	\N
3605312	2275	1997-12-31	PRIJEM	\N	57	17270	UROK	\N	\N
3605313	2275	1998-01-31	PRIJEM	\N	43	7106	UROK	\N	\N
3605314	2275	1998-02-28	PRIJEM	\N	47	13748	UROK	\N	\N
3605315	2275	1998-03-31	PRIJEM	\N	39	7381	UROK	\N	\N
3605316	2275	1998-04-30	PRIJEM	\N	44	10520	UROK	\N	\N
3605317	2275	1998-05-31	PRIJEM	\N	36	7650	UROK	\N	\N
3605318	2275	1998-06-30	PRIJEM	\N	38	7052	UROK	\N	\N
3605319	2275	1998-07-31	PRIJEM	\N	48	13694	UROK	\N	\N
3605320	2275	1998-08-31	PRIJEM	\N	69	18057	UROK	\N	\N
3605321	2275	1998-09-30	PRIJEM	\N	93	24745	UROK	\N	\N
3605322	2275	1998-10-31	PRIJEM	\N	121	31460	UROK	\N	\N
3605323	2275	1998-11-30	PRIJEM	\N	148	36003	UROK	\N	\N
3605324	2275	1998-12-31	PRIJEM	\N	188	44354	UROK	\N	\N
3605325	2276	1994-03-31	PRIJEM	\N	49	19604	UROK	\N	\N
3605326	2276	1994-04-30	PRIJEM	\N	88	19256	UROK	\N	\N
3605327	2276	1994-05-31	PRIJEM	\N	85	20245	UROK	\N	\N
3605328	2276	1994-06-30	PRIJEM	\N	89	21498	UROK	\N	\N
3605329	2276	1994-07-31	PRIJEM	\N	97	24760	UROK	\N	\N
3605330	2276	1994-08-31	PRIJEM	\N	105	24829	UROK	\N	\N
3605331	2276	1994-09-30	PRIJEM	\N	105	25199	UROK	\N	\N
3605332	2276	1994-10-31	PRIJEM	\N	112	28175	UROK	\N	\N
3605333	2276	1994-11-30	PRIJEM	\N	118	28057	UROK	\N	\N
3605334	2276	1994-12-31	PRIJEM	\N	119	28490	UROK	\N	\N
3605335	2276	1995-01-31	PRIJEM	\N	97	17421	UROK	\N	\N
3605336	2276	1995-02-28	PRIJEM	\N	80	20665	UROK	\N	\N
3605337	2276	1995-03-31	PRIJEM	\N	93	20963	UROK	\N	\N
3605338	2276	1995-04-30	PRIJEM	\N	88	20695	UROK	\N	\N
3605339	2276	1995-05-31	PRIJEM	\N	93	23313	UROK	\N	\N
3605340	2276	1995-06-30	PRIJEM	\N	104	26582	UROK	\N	\N
3605341	2276	1995-07-31	PRIJEM	\N	119	28565	UROK	\N	\N
3605342	2276	1995-08-31	PRIJEM	\N	123	30152	UROK	\N	\N
3605343	2276	1995-09-30	PRIJEM	\N	128	30845	UROK	\N	\N
3605344	2276	1995-10-31	PRIJEM	\N	128	30697	UROK	\N	\N
3605345	2276	1995-11-30	PRIJEM	\N	135	33996	UROK	\N	\N
3605346	2276	1995-12-31	PRIJEM	\N	147	35957	UROK	\N	\N
3605347	2276	1996-01-31	PRIJEM	\N	133	25015	UROK	\N	\N
3605348	2276	1996-02-29	PRIJEM	\N	108	26527	UROK	\N	\N
3605349	2276	1996-03-31	PRIJEM	\N	118	29809	UROK	\N	\N
3605350	2276	1996-04-30	PRIJEM	\N	131	33105	UROK	\N	\N
3605351	2276	1996-05-31	PRIJEM	\N	145	36414	UROK	\N	\N
3605352	2276	1996-06-30	PRIJEM	\N	151	36330	UROK	\N	\N
3605353	2276	1996-07-31	PRIJEM	\N	158	39152	UROK	\N	\N
3605354	2276	1996-08-31	PRIJEM	\N	168	41385	UROK	\N	\N
3605355	2276	1996-09-30	PRIJEM	\N	170	37759	UROK	\N	\N
3605356	2276	1996-10-31	PRIJEM	\N	164	41088	UROK	\N	\N
3605357	2276	1996-11-30	PRIJEM	\N	165	38697	UROK	\N	\N
3605358	2276	1996-12-31	PRIJEM	\N	167	41078	UROK	\N	\N
3605359	2276	1997-01-31	PRIJEM	\N	152	32664	UROK	\N	\N
3605360	2276	1997-02-28	PRIJEM	\N	140	34689	UROK	\N	\N
3605361	2276	1997-03-31	PRIJEM	\N	152	37705	UROK	\N	\N
3605362	2276	1997-04-30	PRIJEM	\N	162	39991	UROK	\N	\N
3605363	2276	1997-05-31	PRIJEM	\N	158	38613	UROK	\N	\N
3605364	2276	1997-06-30	PRIJEM	\N	151	28589	UROK	\N	\N
3605365	2276	1997-07-31	PRIJEM	\N	125	31879	UROK	\N	\N
3605366	2276	1997-08-31	PRIJEM	\N	139	35182	UROK	\N	\N
3605367	2276	1997-09-30	PRIJEM	\N	153	38499	UROK	\N	\N
3605368	2276	1997-10-31	PRIJEM	\N	164	40547	UROK	\N	\N
3605369	2276	1997-11-30	PRIJEM	\N	175	43886	UROK	\N	\N
3605370	2276	1997-12-31	PRIJEM	\N	188	46789	UROK	\N	\N
3605371	2276	1998-01-31	PRIJEM	\N	176	33269	UROK	\N	\N
3605372	2276	1998-02-28	PRIJEM	\N	144	36577	UROK	\N	\N
3605373	2276	1998-03-31	PRIJEM	\N	158	39900	UROK	\N	\N
3605374	2276	1998-04-30	PRIJEM	\N	172	43236	UROK	\N	\N
3605375	2276	1998-05-31	PRIJEM	\N	185	46585	UROK	\N	\N
3605376	2276	1998-06-30	PRIJEM	\N	154	32143	UROK	\N	\N
3605377	2276	1998-07-31	PRIJEM	\N	139	35447	UROK	\N	\N
3605378	2276	1998-08-31	PRIJEM	\N	153	38764	UROK	\N	\N
3605379	2276	1998-09-30	PRIJEM	\N	166	42094	UROK	\N	\N
3605380	2276	1998-10-31	PRIJEM	\N	180	45439	UROK	\N	\N
3605381	2276	1998-11-30	PRIJEM	\N	194	48797	UROK	\N	\N
3605382	2276	1998-12-31	PRIJEM	\N	207	50769	UROK	\N	\N
3605383	2278	1996-08-31	PRIJEM	\N	52	14960	UROK	\N	\N
3605384	2278	1996-09-30	PRIJEM	\N	136	36404	UROK	\N	\N
3605385	2278	1996-10-31	PRIJEM	\N	183	45696	UROK	\N	\N
3605386	2278	1996-11-30	PRIJEM	\N	205	50109	UROK	\N	\N
3605387	2278	1996-12-31	PRIJEM	\N	213	50712	UROK	\N	\N
3605388	2278	1997-01-31	PRIJEM	\N	150	22633	UROK	\N	\N
3605389	2278	1997-02-28	PRIJEM	\N	117	28621	UROK	\N	\N
3605390	2278	1997-03-31	PRIJEM	\N	138	33831	UROK	\N	\N
3605391	2278	1997-04-30	PRIJEM	\N	144	35346	UROK	\N	\N
3605392	2278	1997-05-31	PRIJEM	\N	133	25651	UROK	\N	\N
3605393	2278	1997-06-30	PRIJEM	\N	105	19131	UROK	\N	\N
3605394	2278	1997-07-31	PRIJEM	\N	102	25004	UROK	\N	\N
3605395	2278	1997-08-31	PRIJEM	\N	126	29501	UROK	\N	\N
3605396	2278	1997-09-30	PRIJEM	\N	144	33417	UROK	\N	\N
3605397	2278	1997-10-31	PRIJEM	\N	158	34246	UROK	\N	\N
3605398	2278	1997-11-30	PRIJEM	\N	160	32577	UROK	\N	\N
3605399	2278	1997-12-31	PRIJEM	\N	153	30606	UROK	\N	\N
3605400	2278	1998-01-31	PRIJEM	\N	121	22298	UROK	\N	\N
3605401	2278	1998-02-28	PRIJEM	\N	113	25483	UROK	\N	\N
3605402	2278	1998-03-31	PRIJEM	\N	123	24277	UROK	\N	\N
3605403	2278	1998-04-30	PRIJEM	\N	114	23562	UROK	\N	\N
3605404	2278	1998-05-31	PRIJEM	\N	113	22746	UROK	\N	\N
3605405	2278	1998-06-30	PRIJEM	\N	131	20553	UROK	\N	\N
3605406	2278	1998-07-31	PRIJEM	\N	110	28534	UROK	\N	\N
3605407	2278	1998-08-31	PRIJEM	\N	137	31443	UROK	\N	\N
3605408	2278	1998-09-30	PRIJEM	\N	149	34764	UROK	\N	\N
3605409	2278	1998-10-31	PRIJEM	\N	162	37497	UROK	\N	\N
3605410	2278	1998-11-30	PRIJEM	\N	173	40142	UROK	\N	\N
3605411	2278	1998-12-31	PRIJEM	\N	208	47526	UROK	\N	\N
3605412	2279	1996-11-30	PRIJEM	\N	8	29746	UROK	\N	\N
3605413	2279	1996-12-31	PRIJEM	\N	134	54387	UROK	\N	\N
3605414	2279	1997-01-31	PRIJEM	\N	229	60354	UROK	\N	\N
3605415	2279	1997-02-28	PRIJEM	\N	251	60243	UROK	\N	\N
3605416	2279	1997-03-31	PRIJEM	\N	321	55490	UROK	\N	\N
3605417	2279	1997-04-30	PRIJEM	\N	211	18687	UROK	\N	\N
3605418	2279	1997-05-31	PRIJEM	\N	157	35532	UROK	\N	\N
3605419	2279	1997-06-30	PRIJEM	\N	232	44080	UROK	\N	\N
3605420	2279	1997-07-31	PRIJEM	\N	266	47854	UROK	\N	\N
3605421	2279	1997-08-31	PRIJEM	\N	234	38171	UROK	\N	\N
3605422	2279	1997-09-30	PRIJEM	\N	191	28973	UROK	\N	\N
3605423	2279	1997-10-31	PRIJEM	\N	193	22361	UROK	\N	\N
3605424	2279	1997-11-30	PRIJEM	\N	129	41098	UROK	\N	\N
3605425	2279	1997-12-31	PRIJEM	\N	299	58873	UROK	\N	\N
3605426	2279	1998-01-31	PRIJEM	\N	258	59039	UROK	\N	\N
3605427	2279	1998-02-28	PRIJEM	\N	304	48151	UROK	\N	\N
3605428	2279	1998-03-31	PRIJEM	\N	259	51317	UROK	\N	\N
3605429	2279	1998-04-30	PRIJEM	\N	278	51132	UROK	\N	\N
3605430	2279	1998-05-31	PRIJEM	\N	244	43171	UROK	\N	\N
3605431	2279	1998-06-30	PRIJEM	\N	257	49648	UROK	\N	\N
3605432	2279	1998-07-31	PRIJEM	\N	248	47292	UROK	\N	\N
3605433	2279	1998-08-31	PRIJEM	\N	248	56492	UROK	\N	\N
3605434	2279	1998-09-30	PRIJEM	\N	279	62622	UROK	\N	\N
3605435	2279	1998-10-31	PRIJEM	\N	247	49269	UROK	\N	\N
3605436	2279	1998-11-30	PRIJEM	\N	212	43033	UROK	\N	\N
3605437	2279	1998-12-31	PRIJEM	\N	330	92183	UROK	\N	\N
3605438	2280	1995-09-30	PRIJEM	\N	48	23096	UROK	\N	\N
3605439	2280	1995-10-31	PRIJEM	\N	110	29754	UROK	\N	\N
3605440	2280	1995-11-30	PRIJEM	\N	135	35138	UROK	\N	\N
3605441	2280	1995-12-31	PRIJEM	\N	159	40869	UROK	\N	\N
3605442	2280	1996-01-31	PRIJEM	\N	156	25272	UROK	\N	\N
3605443	2280	1996-02-29	PRIJEM	\N	118	27382	UROK	\N	\N
3605444	2280	1996-03-31	PRIJEM	\N	136	33011	UROK	\N	\N
3605445	2280	1996-04-30	PRIJEM	\N	151	35354	UROK	\N	\N
3605446	2280	1996-05-31	PRIJEM	\N	150	35497	UROK	\N	\N
3605447	2280	1996-06-30	PRIJEM	\N	164	37878	UROK	\N	\N
3605448	2280	1996-07-31	PRIJEM	\N	158	36128	UROK	\N	\N
3605449	2280	1996-08-31	PRIJEM	\N	152	35473	UROK	\N	\N
3605450	2280	1996-09-30	PRIJEM	\N	138	31404	UROK	\N	\N
3605451	2280	1996-10-31	PRIJEM	\N	133	31229	UROK	\N	\N
3605452	2280	1996-11-30	PRIJEM	\N	125	28547	UROK	\N	\N
3605453	2280	1996-12-31	PRIJEM	\N	130	29992	UROK	\N	\N
3605454	2280	1997-01-31	PRIJEM	\N	98	17182	UROK	\N	\N
3605455	2280	1997-02-28	PRIJEM	\N	106	27280	UROK	\N	\N
3605456	2280	1997-03-31	PRIJEM	\N	112	27084	UROK	\N	\N
3605457	2280	1997-04-30	PRIJEM	\N	116	28293	UROK	\N	\N
3605458	2280	1997-05-31	PRIJEM	\N	130	32215	UROK	\N	\N
3605459	2280	1997-06-30	PRIJEM	\N	203	31834	UROK	\N	\N
3605460	2280	1997-07-31	PRIJEM	\N	179	46706	UROK	\N	\N
3605461	2280	1997-08-31	PRIJEM	\N	189	44487	UROK	\N	\N
3605462	2280	1997-09-30	PRIJEM	\N	205	51384	UROK	\N	\N
3605463	2280	1997-10-31	PRIJEM	\N	219	53795	UROK	\N	\N
3605464	2280	1997-11-30	PRIJEM	\N	221	54009	UROK	\N	\N
3605465	2280	1997-12-31	PRIJEM	\N	254	62779	UROK	\N	\N
3605466	2280	1998-01-31	PRIJEM	\N	203	42474	UROK	\N	\N
3605467	2280	1998-02-28	PRIJEM	\N	204	51971	UROK	\N	\N
3605468	2280	1998-03-31	PRIJEM	\N	214	52377	UROK	\N	\N
3605469	2280	1998-04-30	PRIJEM	\N	223	54993	UROK	\N	\N
3605470	2280	1998-05-31	PRIJEM	\N	224	52909	UROK	\N	\N
3605471	2280	1998-06-30	PRIJEM	\N	237	55463	UROK	\N	\N
3605472	2280	1998-07-31	PRIJEM	\N	220	52775	UROK	\N	\N
3605473	2280	1998-08-31	PRIJEM	\N	225	55693	UROK	\N	\N
3605474	2280	1998-09-30	PRIJEM	\N	219	53404	UROK	\N	\N
3605475	2280	1998-10-31	PRIJEM	\N	204	46501	UROK	\N	\N
3605476	2280	1998-11-30	PRIJEM	\N	223	47916	UROK	\N	\N
3605477	2280	1998-12-31	PRIJEM	\N	251	64984	UROK	\N	\N
3605478	2281	1995-08-31	PRIJEM	\N	40	18703	UROK	\N	\N
3605479	2281	1995-09-30	PRIJEM	\N	108	32574	UROK	\N	\N
3605480	2281	1995-10-31	PRIJEM	\N	166	44204	UROK	\N	\N
3605481	2281	1995-11-30	PRIJEM	\N	198	49765	UROK	\N	\N
3605482	2281	1995-12-31	PRIJEM	\N	213	49851	UROK	\N	\N
3605483	2281	1996-01-31	PRIJEM	\N	163	34142	UROK	\N	\N
3605484	2281	1996-02-29	PRIJEM	\N	159	40030	UROK	\N	\N
3605485	2281	1996-03-31	PRIJEM	\N	171	41028	UROK	\N	\N
3605486	2281	1996-04-30	PRIJEM	\N	179	43736	UROK	\N	\N
3605487	2281	1996-05-31	PRIJEM	\N	179	42043	UROK	\N	\N
3605488	2281	1996-06-30	PRIJEM	\N	170	23273	UROK	\N	\N
3605489	2281	1996-07-31	PRIJEM	\N	121	31522	UROK	\N	\N
3605490	2281	1996-08-31	PRIJEM	\N	144	35995	UROK	\N	\N
3605491	2281	1996-09-30	PRIJEM	\N	150	35473	UROK	\N	\N
3605492	2281	1996-10-31	PRIJEM	\N	148	35249	UROK	\N	\N
3605493	2281	1996-11-30	PRIJEM	\N	133	33810	UROK	\N	\N
3605494	2281	1996-12-31	PRIJEM	\N	154	40523	UROK	\N	\N
3605495	2281	1997-01-31	PRIJEM	\N	119	19671	UROK	\N	\N
3605496	2281	1997-02-28	PRIJEM	\N	101	26800	UROK	\N	\N
3605497	2281	1997-03-31	PRIJEM	\N	116	27044	UROK	\N	\N
3605498	2281	1997-04-30	PRIJEM	\N	122	30094	UROK	\N	\N
3605499	2281	1997-05-31	PRIJEM	\N	118	27140	UROK	\N	\N
3605500	2281	1997-06-30	PRIJEM	\N	121	34421	UROK	\N	\N
3605501	2281	1997-07-31	PRIJEM	\N	140	32389	UROK	\N	\N
3605502	2281	1997-08-31	PRIJEM	\N	132	31249	UROK	\N	\N
3605503	2281	1997-09-30	PRIJEM	\N	124	32301	UROK	\N	\N
3605504	2281	1997-10-31	PRIJEM	\N	121	24150	UROK	\N	\N
3605505	2281	1997-11-30	PRIJEM	\N	111	22889	UROK	\N	\N
3605506	2281	1997-12-31	PRIJEM	\N	126	24575	UROK	\N	\N
3605507	2281	1998-01-31	PRIJEM	\N	105	15208	UROK	\N	\N
3605508	2281	1998-02-28	PRIJEM	\N	80	17217	UROK	\N	\N
3605509	2281	1998-03-31	PRIJEM	\N	88	16133	UROK	\N	\N
3605510	2281	1998-04-30	PRIJEM	\N	83	16844	UROK	\N	\N
3605511	2281	1998-05-31	PRIJEM	\N	86	18559	UROK	\N	\N
3605512	2281	1998-06-30	PRIJEM	\N	111	29029	UROK	\N	\N
3605513	2281	1998-07-31	PRIJEM	\N	133	25990	UROK	\N	\N
3605514	2281	1998-08-31	PRIJEM	\N	120	24438	UROK	\N	\N
3605515	2281	1998-09-30	PRIJEM	\N	111	21678	UROK	\N	\N
3605516	2281	1998-10-31	PRIJEM	\N	95	16301	UROK	\N	\N
3605517	2281	1998-11-30	PRIJEM	\N	77	14506	UROK	\N	\N
3605518	2281	1998-12-31	PRIJEM	\N	97	29662	UROK	\N	\N
3605519	2282	1993-10-31	PRIJEM	\N	72	35873	UROK	\N	\N
3605520	2282	1993-11-30	PRIJEM	\N	185	53059	UROK	\N	\N
3605521	2282	1993-12-31	PRIJEM	\N	248	60459	UROK	\N	\N
3605522	2282	1994-01-31	PRIJEM	\N	264	66224	UROK	\N	\N
3605523	2282	1994-02-28	PRIJEM	\N	256	57781	UROK	\N	\N
3605524	2282	1994-03-31	PRIJEM	\N	197	49729	UROK	\N	\N
3605525	2282	1994-04-30	PRIJEM	\N	231	58627	UROK	\N	\N
3605526	2282	1994-05-31	PRIJEM	\N	240	60534	UROK	\N	\N
3605527	2282	1994-06-30	PRIJEM	\N	362	25015	UROK	\N	\N
3605528	2282	1994-07-31	PRIJEM	\N	189	39860	UROK	\N	\N
3605529	2282	1994-08-31	PRIJEM	\N	255	77582	UROK	\N	\N
3605530	2282	1994-09-30	PRIJEM	\N	350	90899	UROK	\N	\N
3605531	2282	1994-10-31	PRIJEM	\N	381	100347	UROK	\N	\N
3605532	2282	1994-11-30	PRIJEM	\N	312	62626	UROK	\N	\N
3605533	2282	1994-12-31	PRIJEM	\N	288	78679	UROK	\N	\N
3605534	2282	1995-01-31	PRIJEM	\N	284	46330	UROK	\N	\N
3605535	2282	1995-02-28	PRIJEM	\N	248	57830	UROK	\N	\N
3605536	2282	1995-03-31	PRIJEM	\N	315	91313	UROK	\N	\N
3605537	2282	1995-04-30	PRIJEM	\N	390	103970	UROK	\N	\N
3605538	2282	1995-05-31	PRIJEM	\N	311	55709	UROK	\N	\N
3605539	2282	1995-06-30	PRIJEM	\N	320	24860	UROK	\N	\N
3605540	2282	1995-07-31	PRIJEM	\N	224	74250	UROK	\N	\N
3605541	2282	1995-08-31	PRIJEM	\N	325	92753	UROK	\N	\N
3605542	2282	1995-09-30	PRIJEM	\N	360	93480	UROK	\N	\N
3605543	2282	1995-10-31	PRIJEM	\N	389	78136	UROK	\N	\N
3605544	2282	1995-11-30	PRIJEM	\N	360	103764	UROK	\N	\N
3605545	2282	1995-12-31	PRIJEM	\N	457	96639	UROK	\N	\N
3605546	2282	1996-01-31	PRIJEM	\N	276	65082	UROK	\N	\N
3605547	2282	1996-02-29	PRIJEM	\N	291	88569	UROK	\N	\N
3605548	2282	1996-03-31	PRIJEM	\N	335	58518	UROK	\N	\N
3605549	2282	1996-04-30	PRIJEM	\N	248	62652	UROK	\N	\N
3605550	2282	1996-05-31	PRIJEM	\N	258	76677	UROK	\N	\N
3605551	2282	1996-06-30	PRIJEM	\N	309	101705	UROK	\N	\N
3605552	2282	1996-07-31	PRIJEM	\N	331	73154	UROK	\N	\N
3605553	2282	1996-08-31	PRIJEM	\N	330	89651	UROK	\N	\N
3605554	2282	1996-09-30	PRIJEM	\N	347	96227	UROK	\N	\N
3605555	2282	1996-10-31	PRIJEM	\N	359	98001	UROK	\N	\N
3605556	2282	1996-11-30	PRIJEM	\N	278	60371	UROK	\N	\N
3605557	2282	1996-12-31	PRIJEM	\N	311	63573	UROK	\N	\N
3605558	2282	1997-01-31	PRIJEM	\N	260	48899	UROK	\N	\N
3605559	2282	1997-02-28	PRIJEM	\N	248	78397	UROK	\N	\N
3605560	2282	1997-03-31	PRIJEM	\N	376	76340	UROK	\N	\N
3605561	2282	1997-04-30	PRIJEM	\N	352	71059	UROK	\N	\N
3605562	2282	1997-05-31	PRIJEM	\N	380	84406	UROK	\N	\N
3605563	2282	1997-06-30	PRIJEM	\N	472	84096	UROK	\N	\N
3605564	2282	1997-07-31	PRIJEM	\N	299	63061	UROK	\N	\N
3605565	2282	1997-08-31	PRIJEM	\N	344	84372	UROK	\N	\N
3605566	2282	1997-09-30	PRIJEM	\N	347	85424	UROK	\N	\N
3605567	2282	1997-10-31	PRIJEM	\N	402	97903	UROK	\N	\N
3605568	2282	1997-11-30	PRIJEM	\N	406	87086	UROK	\N	\N
3605569	2282	1997-12-31	PRIJEM	\N	227	58485	UROK	\N	\N
3605570	2282	1998-01-31	PRIJEM	\N	222	56174	UROK	\N	\N
3605571	2282	1998-02-28	PRIJEM	\N	293	82733	UROK	\N	\N
3605572	2282	1998-03-31	PRIJEM	\N	374	78875	UROK	\N	\N
3605573	2282	1998-04-30	PRIJEM	\N	388	89530	UROK	\N	\N
3605574	2282	1998-05-31	PRIJEM	\N	411	80908	UROK	\N	\N
3605575	2282	1998-06-30	PRIJEM	\N	359	41085	UROK	\N	\N
3605576	2282	1998-07-31	PRIJEM	\N	275	92927	UROK	\N	\N
3605577	2282	1998-08-31	PRIJEM	\N	448	111942	UROK	\N	\N
3605578	2282	1998-09-30	PRIJEM	\N	454	98063	UROK	\N	\N
3605579	2282	1998-10-31	PRIJEM	\N	397	96026	UROK	\N	\N
3605580	2282	1998-11-30	PRIJEM	\N	429	107222	UROK	\N	\N
3605581	2282	1998-12-31	PRIJEM	\N	412	104051	UROK	\N	\N
3605582	2286	1996-12-31	PRIJEM	\N	39	16267	UROK	\N	\N
3605583	2286	1997-01-31	PRIJEM	\N	97	28550	UROK	\N	\N
3605584	2286	1997-02-28	PRIJEM	\N	136	36370	UROK	\N	\N
3605585	2286	1997-03-31	PRIJEM	\N	167	42922	UROK	\N	\N
3605586	2286	1997-04-30	PRIJEM	\N	186	46193	UROK	\N	\N
3605587	2286	1997-05-31	PRIJEM	\N	136	25151	UROK	\N	\N
3605588	2286	1997-06-30	PRIJEM	\N	113	30755	UROK	\N	\N
3605589	2286	1997-07-31	PRIJEM	\N	139	36075	UROK	\N	\N
3605590	2286	1997-08-31	PRIJEM	\N	129	27362	UROK	\N	\N
3605591	2286	1997-09-30	PRIJEM	\N	115	29546	UROK	\N	\N
3605592	2286	1997-10-31	PRIJEM	\N	113	27828	UROK	\N	\N
3605593	2286	1997-11-30	PRIJEM	\N	124	32622	UROK	\N	\N
3605594	2286	1997-12-31	PRIJEM	\N	117	32151	UROK	\N	\N
3605595	2286	1998-01-31	PRIJEM	\N	112	19333	UROK	\N	\N
3605596	2286	1998-02-28	PRIJEM	\N	95	26397	UROK	\N	\N
3605597	2286	1998-03-31	PRIJEM	\N	102	25569	UROK	\N	\N
3605598	2286	1998-04-30	PRIJEM	\N	111	28349	UROK	\N	\N
3605599	2286	1998-05-31	PRIJEM	\N	98	14216	UROK	\N	\N
3605600	2286	1998-06-30	PRIJEM	\N	82	12310	UROK	\N	\N
3605601	2286	1998-07-31	PRIJEM	\N	66	16945	UROK	\N	\N
3605602	2286	1998-08-31	PRIJEM	\N	81	14295	UROK	\N	\N
3605603	2286	1998-09-30	PRIJEM	\N	71	15136	UROK	\N	\N
3605604	2286	1998-10-31	PRIJEM	\N	75	16780	UROK	\N	\N
3605605	2286	1998-11-30	PRIJEM	\N	79	14628	UROK	\N	\N
3605606	2286	1998-12-31	PRIJEM	\N	83	19623	UROK	\N	\N
3605607	2287	1996-05-31	PRIJEM	\N	33	22540	UROK	\N	\N
3605608	2287	1996-06-30	PRIJEM	\N	127	44127	UROK	\N	\N
3605609	2287	1996-07-31	PRIJEM	\N	186	46021	UROK	\N	\N
3605610	2287	1996-08-31	PRIJEM	\N	197	49525	UROK	\N	\N
3605611	2287	1996-09-30	PRIJEM	\N	219	43496	UROK	\N	\N
3605612	2287	1996-10-31	PRIJEM	\N	201	45714	UROK	\N	\N
3605613	2287	1996-11-30	PRIJEM	\N	212	44144	UROK	\N	\N
3605614	2287	1996-12-31	PRIJEM	\N	234	49509	UROK	\N	\N
3605615	2287	1997-01-31	PRIJEM	\N	209	36616	UROK	\N	\N
3605616	2287	1997-02-28	PRIJEM	\N	185	46278	UROK	\N	\N
3605617	2287	1997-03-31	PRIJEM	\N	218	52114	UROK	\N	\N
3605618	2287	1997-04-30	PRIJEM	\N	232	53863	UROK	\N	\N
3605619	2287	1997-05-31	PRIJEM	\N	236	51177	UROK	\N	\N
3605620	2287	1997-06-30	PRIJEM	\N	270	56478	UROK	\N	\N
3605621	2287	1997-07-31	PRIJEM	\N	258	62553	UROK	\N	\N
3605622	2287	1997-08-31	PRIJEM	\N	278	67148	UROK	\N	\N
3605623	2287	1997-09-30	PRIJEM	\N	291	69956	UROK	\N	\N
3605624	2287	1997-10-31	PRIJEM	\N	291	68464	UROK	\N	\N
3605625	2287	1997-11-30	PRIJEM	\N	278	65059	UROK	\N	\N
3605626	2287	1997-12-31	PRIJEM	\N	349	70159	UROK	\N	\N
3605627	2287	1998-01-31	PRIJEM	\N	291	61288	UROK	\N	\N
3605628	2287	1998-02-28	PRIJEM	\N	259	62764	UROK	\N	\N
3605629	2287	1998-03-31	PRIJEM	\N	273	66855	UROK	\N	\N
3605630	2287	1998-04-30	PRIJEM	\N	281	67153	UROK	\N	\N
3605631	2287	1998-05-31	PRIJEM	\N	280	67750	UROK	\N	\N
3605632	2287	1998-06-30	PRIJEM	\N	189	25530	UROK	\N	\N
3605633	2287	1998-07-31	PRIJEM	\N	145	38692	UROK	\N	\N
3605634	2287	1998-08-31	PRIJEM	\N	183	45792	UROK	\N	\N
3605635	2287	1998-09-30	PRIJEM	\N	174	31503	UROK	\N	\N
3605636	2287	1998-10-31	PRIJEM	\N	136	32656	UROK	\N	\N
3605637	2287	1998-11-30	PRIJEM	\N	147	35521	UROK	\N	\N
3605638	2287	1998-12-31	PRIJEM	\N	176	41787	UROK	\N	\N
3605639	2288	1996-01-31	PRIJEM	\N	54	22084	UROK	\N	\N
3605640	2288	1996-02-29	PRIJEM	\N	105	46519	UROK	\N	\N
3605641	2288	1996-03-31	PRIJEM	\N	180	56929	UROK	\N	\N
3605642	2288	1996-04-30	PRIJEM	\N	184	65142	UROK	\N	\N
3605643	2288	1996-05-31	PRIJEM	\N	209	51681	UROK	\N	\N
3605644	2288	1996-06-30	PRIJEM	\N	270	51121	UROK	\N	\N
3605645	2288	1996-07-31	PRIJEM	\N	245	50969	UROK	\N	\N
3605646	2288	1996-08-31	PRIJEM	\N	233	50607	UROK	\N	\N
3605647	2288	1996-09-30	PRIJEM	\N	237	49548	UROK	\N	\N
3605648	2288	1996-10-31	PRIJEM	\N	235	51087	UROK	\N	\N
3605649	2288	1996-11-30	PRIJEM	\N	241	54132	UROK	\N	\N
3605650	2288	1996-12-31	PRIJEM	\N	273	60974	UROK	\N	\N
3605651	2288	1997-01-31	PRIJEM	\N	213	47192	UROK	\N	\N
3605652	2288	1997-02-28	PRIJEM	\N	223	51619	UROK	\N	\N
3605653	2288	1997-03-31	PRIJEM	\N	244	56467	UROK	\N	\N
3605654	2288	1997-04-30	PRIJEM	\N	258	60930	UROK	\N	\N
3605655	2288	1997-05-31	PRIJEM	\N	277	61611	UROK	\N	\N
3605656	2288	1997-06-30	PRIJEM	\N	259	54840	UROK	\N	\N
3605657	2288	1997-07-31	PRIJEM	\N	252	58196	UROK	\N	\N
3605658	2288	1997-08-31	PRIJEM	\N	265	62166	UROK	\N	\N
3605659	2288	1997-09-30	PRIJEM	\N	277	62247	UROK	\N	\N
3605660	2288	1997-10-31	PRIJEM	\N	274	60625	UROK	\N	\N
3605661	2288	1997-11-30	PRIJEM	\N	276	67606	UROK	\N	\N
3605662	2288	1997-12-31	PRIJEM	\N	322	79298	UROK	\N	\N
3605663	2288	1998-01-31	PRIJEM	\N	322	68924	UROK	\N	\N
3605664	2288	1998-02-28	PRIJEM	\N	302	71730	UROK	\N	\N
3605665	2288	1998-03-31	PRIJEM	\N	321	77455	UROK	\N	\N
3605666	2288	1998-04-30	PRIJEM	\N	340	80500	UROK	\N	\N
3605667	2288	1998-05-31	PRIJEM	\N	340	78544	UROK	\N	\N
3605668	2288	1998-06-30	PRIJEM	\N	342	61556	UROK	\N	\N
3605669	2288	1998-07-31	PRIJEM	\N	278	68737	UROK	\N	\N
3605670	2288	1998-08-31	PRIJEM	\N	304	74545	UROK	\N	\N
3605671	2288	1998-09-30	PRIJEM	\N	318	76168	UROK	\N	\N
3605672	2288	1998-10-31	PRIJEM	\N	322	76393	UROK	\N	\N
3605673	2288	1998-11-30	PRIJEM	\N	319	76117	UROK	\N	\N
3605674	2288	1998-12-31	PRIJEM	\N	335	80622	UROK	\N	\N
3605675	2289	1996-04-30	PRIJEM	\N	18	20945	UROK	\N	\N
3605676	2289	1996-05-31	PRIJEM	\N	111	30682	UROK	\N	\N
3605677	2289	1996-06-30	PRIJEM	\N	192	49314	UROK	\N	\N
3605678	2289	1996-07-31	PRIJEM	\N	219	53461	UROK	\N	\N
3605679	2289	1996-08-31	PRIJEM	\N	197	45676	UROK	\N	\N
3605680	2289	1996-09-30	PRIJEM	\N	171	39310	UROK	\N	\N
3605681	2289	1996-10-31	PRIJEM	\N	160	37774	UROK	\N	\N
3605682	2289	1996-11-30	PRIJEM	\N	149	34347	UROK	\N	\N
3605683	2289	1996-12-31	PRIJEM	\N	175	40517	UROK	\N	\N
3605684	2289	1997-01-31	PRIJEM	\N	123	15624	UROK	\N	\N
3605685	2289	1997-02-28	PRIJEM	\N	99	25646	UROK	\N	\N
3605686	2289	1997-03-31	PRIJEM	\N	141	34991	UROK	\N	\N
3605687	2289	1997-04-30	PRIJEM	\N	159	37614	UROK	\N	\N
3605688	2289	1997-05-31	PRIJEM	\N	172	39209	UROK	\N	\N
3605689	2289	1997-06-30	PRIJEM	\N	121	22406	UROK	\N	\N
3605690	2289	1997-07-31	PRIJEM	\N	111	23920	UROK	\N	\N
3605691	2289	1997-08-31	PRIJEM	\N	128	24352	UROK	\N	\N
3605692	2289	1997-09-30	PRIJEM	\N	131	28186	UROK	\N	\N
3605693	2289	1997-10-31	PRIJEM	\N	140	23009	UROK	\N	\N
3605694	2289	1997-11-30	PRIJEM	\N	124	25936	UROK	\N	\N
3605695	2289	1997-12-31	PRIJEM	\N	154	27067	UROK	\N	\N
3605696	2289	1998-01-31	PRIJEM	\N	125	19594	UROK	\N	\N
3605697	2289	1998-02-28	PRIJEM	\N	109	23707	UROK	\N	\N
3605698	2289	1998-03-31	PRIJEM	\N	123	21932	UROK	\N	\N
3605699	2289	1998-04-30	PRIJEM	\N	104	15219	UROK	\N	\N
3605700	2289	1998-05-31	PRIJEM	\N	81	20524	UROK	\N	\N
3605701	2289	1998-06-30	PRIJEM	\N	118	19298	UROK	\N	\N
3605702	2289	1998-07-31	PRIJEM	\N	112	29914	UROK	\N	\N
3605703	2289	1998-08-31	PRIJEM	\N	135	20352	UROK	\N	\N
3605704	2289	1998-09-30	PRIJEM	\N	96	12551	UROK	\N	\N
3605705	2289	1998-10-31	PRIJEM	\N	84	23138	UROK	\N	\N
3605706	2289	1998-11-30	PRIJEM	\N	110	24632	UROK	\N	\N
3605707	2289	1998-12-31	PRIJEM	\N	145	38713	UROK	\N	\N
3605708	2290	1997-02-28	PRIJEM	\N	35	23427	UROK	\N	\N
3605709	2290	1997-03-31	PRIJEM	\N	99	23944	UROK	\N	\N
3605710	2290	1997-04-30	PRIJEM	\N	107	26369	UROK	\N	\N
3605711	2290	1997-05-31	PRIJEM	\N	112	25599	UROK	\N	\N
3605712	2290	1997-06-30	PRIJEM	\N	68	13095	UROK	\N	\N
3605713	2290	1997-07-31	PRIJEM	\N	61	15475	UROK	\N	\N
3605714	2290	1997-08-31	PRIJEM	\N	71	17865	UROK	\N	\N
3605715	2290	1997-09-30	PRIJEM	\N	81	20265	UROK	\N	\N
3605716	2290	1997-10-31	PRIJEM	\N	87	21069	UROK	\N	\N
3605717	2290	1997-11-30	PRIJEM	\N	95	23482	UROK	\N	\N
3605718	2290	1997-12-31	PRIJEM	\N	101	24202	UROK	\N	\N
3605719	2290	1998-01-31	PRIJEM	\N	74	13474	UROK	\N	\N
3605720	2290	1998-02-28	PRIJEM	\N	63	15855	UROK	\N	\N
3605721	2290	1998-03-31	PRIJEM	\N	73	18246	UROK	\N	\N
3605722	2290	1998-04-30	PRIJEM	\N	80	19545	UROK	\N	\N
3605723	2290	1998-05-31	PRIJEM	\N	83	19946	UROK	\N	\N
3605724	2290	1998-06-30	PRIJEM	\N	90	22354	UROK	\N	\N
3605725	2290	1998-07-31	PRIJEM	\N	95	22968	UROK	\N	\N
3605726	2290	1998-08-31	PRIJEM	\N	97	23284	UROK	\N	\N
3605727	2290	1998-09-30	PRIJEM	\N	92	21694	UROK	\N	\N
3605728	2290	1998-10-31	PRIJEM	\N	84	19196	UROK	\N	\N
3605729	2290	1998-11-30	PRIJEM	\N	71	16086	UROK	\N	\N
3605730	2290	1998-12-31	PRIJEM	\N	63	13537	UROK	\N	\N
3605731	2291	1996-10-31	PRIJEM	\N	17	18306	UROK	\N	\N
3605732	2291	1996-11-30	PRIJEM	\N	76	18245	UROK	\N	\N
3605733	2291	1996-12-31	PRIJEM	\N	79	21488	UROK	\N	\N
3605734	2291	1997-01-31	PRIJEM	\N	88	17589	UROK	\N	\N
3605735	2291	1997-02-28	PRIJEM	\N	81	20393	UROK	\N	\N
3605736	2291	1997-03-31	PRIJEM	\N	90	22327	UROK	\N	\N
3605737	2291	1997-04-30	PRIJEM	\N	99	23849	UROK	\N	\N
3605738	2291	1997-05-31	PRIJEM	\N	100	23793	UROK	\N	\N
3605739	2291	1997-06-30	PRIJEM	\N	98	18114	UROK	\N	\N
3605740	2291	1997-07-31	PRIJEM	\N	83	20921	UROK	\N	\N
3605741	2291	1997-08-31	PRIJEM	\N	87	18632	UROK	\N	\N
3605742	2291	1997-09-30	PRIJEM	\N	77	15972	UROK	\N	\N
3605743	2291	1997-10-31	PRIJEM	\N	69	17564	UROK	\N	\N
3605744	2291	1997-11-30	PRIJEM	\N	75	16662	UROK	\N	\N
3605745	2291	1997-12-31	PRIJEM	\N	68	13853	UROK	\N	\N
3605746	2291	1998-01-31	PRIJEM	\N	60	13786	UROK	\N	\N
3605747	2291	1998-02-28	PRIJEM	\N	60	14170	UROK	\N	\N
3605748	2291	1998-03-31	PRIJEM	\N	58	12151	UROK	\N	\N
3605749	2291	1998-04-30	PRIJEM	\N	58	14933	UROK	\N	\N
3605750	2291	1998-05-31	PRIJEM	\N	70	17726	UROK	\N	\N
3605751	2291	1998-06-30	PRIJEM	\N	63	11112	UROK	\N	\N
3605752	2291	1998-07-31	PRIJEM	\N	54	13889	UROK	\N	\N
3605753	2291	1998-08-31	PRIJEM	\N	65	16678	UROK	\N	\N
3605754	2291	1998-09-30	PRIJEM	\N	75	18517	UROK	\N	\N
3605755	2291	1998-10-31	PRIJEM	\N	80	17880	UROK	\N	\N
3605756	2291	1998-11-30	PRIJEM	\N	82	20685	UROK	\N	\N
3605757	2291	1998-12-31	PRIJEM	\N	77	16356	UROK	\N	\N
3605758	2292	1995-07-31	PRIJEM	\N	7	17201	UROK	\N	\N
3605759	2292	1995-08-31	PRIJEM	\N	76	24971	UROK	\N	\N
3605760	2292	1995-09-30	PRIJEM	\N	106	28470	UROK	\N	\N
3605761	2292	1995-10-31	PRIJEM	\N	118	28082	UROK	\N	\N
3605762	2292	1995-11-30	PRIJEM	\N	121	27250	UROK	\N	\N
3605763	2292	1995-12-31	PRIJEM	\N	111	27475	UROK	\N	\N
3605764	2292	1996-01-31	PRIJEM	\N	107	25085	UROK	\N	\N
3605765	2292	1996-02-29	PRIJEM	\N	107	26676	UROK	\N	\N
3605766	2292	1996-03-31	PRIJEM	\N	113	27672	UROK	\N	\N
3605767	2292	1996-04-30	PRIJEM	\N	116	26771	UROK	\N	\N
3605768	2292	1996-05-31	PRIJEM	\N	111	26306	UROK	\N	\N
3605769	2292	1996-06-30	PRIJEM	\N	91	23310	UROK	\N	\N
3605770	2292	1996-07-31	PRIJEM	\N	96	21289	UROK	\N	\N
3605771	2292	1996-08-31	PRIJEM	\N	91	22664	UROK	\N	\N
3605772	2292	1996-09-30	PRIJEM	\N	98	24845	UROK	\N	\N
3605773	2292	1996-10-31	PRIJEM	\N	102	23731	UROK	\N	\N
3605774	2292	1996-11-30	PRIJEM	\N	104	26918	UROK	\N	\N
3605775	2292	1996-12-31	PRIJEM	\N	115	28847	UROK	\N	\N
3605776	2292	1997-01-31	PRIJEM	\N	118	27917	UROK	\N	\N
3605777	2292	1997-02-28	PRIJEM	\N	114	26415	UROK	\N	\N
3605778	2292	1997-03-31	PRIJEM	\N	107	24505	UROK	\N	\N
3605779	2292	1997-04-30	PRIJEM	\N	101	24819	UROK	\N	\N
3605780	2292	1997-05-31	PRIJEM	\N	106	26108	UROK	\N	\N
3605781	2292	1997-06-30	PRIJEM	\N	102	28514	UROK	\N	\N
3605782	2292	1997-07-31	PRIJEM	\N	120	29217	UROK	\N	\N
3605783	2292	1997-08-31	PRIJEM	\N	128	32328	UROK	\N	\N
3605784	2292	1997-09-30	PRIJEM	\N	132	31343	UROK	\N	\N
3605785	2292	1997-10-31	PRIJEM	\N	119	26145	UROK	\N	\N
3605786	2292	1997-11-30	PRIJEM	\N	109	25768	UROK	\N	\N
3605787	2292	1997-12-31	PRIJEM	\N	112	28184	UROK	\N	\N
3605788	2292	1998-01-31	PRIJEM	\N	100	20557	UROK	\N	\N
3605789	2292	1998-02-28	PRIJEM	\N	85	20725	UROK	\N	\N
3605790	2292	1998-03-31	PRIJEM	\N	86	21195	UROK	\N	\N
3605791	2292	1998-04-30	PRIJEM	\N	93	23772	UROK	\N	\N
3605792	2292	1998-05-31	PRIJEM	\N	101	25056	UROK	\N	\N
3605793	2292	1998-06-30	PRIJEM	\N	90	20950	UROK	\N	\N
3605794	2292	1998-07-31	PRIJEM	\N	84	20798	UROK	\N	\N
3605795	2292	1998-08-31	PRIJEM	\N	84	20575	UROK	\N	\N
3605796	2292	1998-09-30	PRIJEM	\N	85	19963	UROK	\N	\N
3605797	2292	1998-10-31	PRIJEM	\N	86	21652	UROK	\N	\N
3605798	2292	1998-11-30	PRIJEM	\N	76	17441	UROK	\N	\N
3605799	2292	1998-12-31	PRIJEM	\N	78	19773	UROK	\N	\N
3605800	2293	1993-06-30	PRIJEM	\N	68	27248	UROK	\N	\N
3605801	2293	1993-07-31	PRIJEM	\N	114	27507	UROK	\N	\N
3605802	2293	1993-08-31	PRIJEM	\N	111	26316	UROK	\N	\N
3605803	2293	1993-09-30	PRIJEM	\N	121	30836	UROK	\N	\N
3605804	2293	1993-10-31	PRIJEM	\N	135	33469	UROK	\N	\N
3605805	2293	1993-11-30	PRIJEM	\N	141	34808	UROK	\N	\N
3605806	2293	1993-12-31	PRIJEM	\N	142	34599	UROK	\N	\N
3605807	2293	1994-01-31	PRIJEM	\N	118	25895	UROK	\N	\N
3605808	2293	1994-02-28	PRIJEM	\N	115	28569	UROK	\N	\N
3605809	2293	1994-03-31	PRIJEM	\N	124	30451	UROK	\N	\N
3605810	2293	1994-04-30	PRIJEM	\N	134	33984	UROK	\N	\N
3605811	2293	1994-05-31	PRIJEM	\N	142	35124	UROK	\N	\N
3605812	2293	1994-06-30	PRIJEM	\N	122	27534	UROK	\N	\N
3605813	2293	1994-07-31	PRIJEM	\N	123	31356	UROK	\N	\N
3605814	2293	1994-08-31	PRIJEM	\N	133	33587	UROK	\N	\N
3605815	2293	1994-09-30	PRIJEM	\N	127	31612	UROK	\N	\N
3605816	2293	1994-10-31	PRIJEM	\N	137	34448	UROK	\N	\N
3605817	2293	1994-11-30	PRIJEM	\N	126	31233	UROK	\N	\N
3605818	2293	1994-12-31	PRIJEM	\N	122	29903	UROK	\N	\N
3605819	2293	1995-01-31	PRIJEM	\N	89	17680	UROK	\N	\N
3605820	2293	1995-02-28	PRIJEM	\N	81	20800	UROK	\N	\N
3605821	2293	1995-03-31	PRIJEM	\N	98	25296	UROK	\N	\N
3605822	2293	1995-04-30	PRIJEM	\N	111	28906	UROK	\N	\N
3605823	2293	1995-05-31	PRIJEM	\N	120	30524	UROK	\N	\N
3605824	2293	1995-06-30	PRIJEM	\N	95	22467	UROK	\N	\N
3605825	2293	1995-07-31	PRIJEM	\N	86	22152	UROK	\N	\N
3605826	2293	1995-08-31	PRIJEM	\N	81	20731	UROK	\N	\N
3605827	2293	1995-09-30	PRIJEM	\N	89	23199	UROK	\N	\N
3605828	2293	1995-10-31	PRIJEM	\N	95	24893	UROK	\N	\N
3605829	2293	1995-11-30	PRIJEM	\N	91	23642	UROK	\N	\N
3605830	2293	1995-12-31	PRIJEM	\N	77	12738	UROK	\N	\N
3605831	2293	1996-01-31	PRIJEM	\N	60	14716	UROK	\N	\N
3605832	2293	1996-02-29	PRIJEM	\N	72	19186	UROK	\N	\N
3605833	2293	1996-03-31	PRIJEM	\N	87	20551	UROK	\N	\N
3605834	2293	1996-04-30	PRIJEM	\N	92	22801	UROK	\N	\N
3605835	2293	1996-05-31	PRIJEM	\N	91	14530	UROK	\N	\N
3605836	2293	1996-06-30	PRIJEM	\N	67	12415	UROK	\N	\N
3605837	2293	1996-07-31	PRIJEM	\N	58	14791	UROK	\N	\N
3605838	2293	1996-08-31	PRIJEM	\N	72	19262	UROK	\N	\N
3605839	2293	1996-09-30	PRIJEM	\N	77	18697	UROK	\N	\N
3605840	2293	1996-10-31	PRIJEM	\N	88	23184	UROK	\N	\N
3605841	2293	1996-11-30	PRIJEM	\N	103	25205	UROK	\N	\N
3605842	2293	1996-12-31	PRIJEM	\N	97	13451	UROK	\N	\N
3605843	2293	1997-01-31	PRIJEM	\N	61	15510	UROK	\N	\N
3605844	2293	1997-02-28	PRIJEM	\N	74	19982	UROK	\N	\N
3605845	2293	1997-03-31	PRIJEM	\N	93	24474	UROK	\N	\N
3605846	2293	1997-04-30	PRIJEM	\N	112	28984	UROK	\N	\N
3605847	2293	1997-05-31	PRIJEM	\N	130	32632	UROK	\N	\N
3605848	2293	1997-06-30	PRIJEM	\N	124	29304	UROK	\N	\N
3605849	2293	1997-07-31	PRIJEM	\N	132	33834	UROK	\N	\N
3605850	2293	1997-08-31	PRIJEM	\N	151	38383	UROK	\N	\N
3605851	2293	1997-09-30	PRIJEM	\N	169	42951	UROK	\N	\N
3605852	2293	1997-10-31	PRIJEM	\N	188	47538	UROK	\N	\N
3605853	2293	1997-11-30	PRIJEM	\N	207	52144	UROK	\N	\N
3605854	2293	1997-12-31	PRIJEM	\N	153	14395	UROK	\N	\N
3605855	2293	1998-01-31	PRIJEM	\N	65	16938	UROK	\N	\N
3605856	2293	1998-02-28	PRIJEM	\N	79	21416	UROK	\N	\N
3605857	2293	1998-03-31	PRIJEM	\N	98	25032	UROK	\N	\N
3605858	2293	1998-04-30	PRIJEM	\N	113	29543	UROK	\N	\N
3605859	2293	1998-05-31	PRIJEM	\N	132	34074	UROK	\N	\N
3605860	2293	1998-06-30	PRIJEM	\N	118	26890	UROK	\N	\N
3605861	2293	1998-07-31	PRIJEM	\N	121	31409	UROK	\N	\N
3605862	2293	1998-08-31	PRIJEM	\N	133	32180	UROK	\N	\N
3605863	2293	1998-09-30	PRIJEM	\N	142	36720	UROK	\N	\N
3605864	2293	1998-10-31	PRIJEM	\N	157	38955	UROK	\N	\N
3605865	2293	1998-11-30	PRIJEM	\N	163	39677	UROK	\N	\N
3605866	2293	1998-12-31	PRIJEM	\N	170	43746	UROK	\N	\N
3605867	2294	1996-10-31	PRIJEM	\N	9	21240	UROK	\N	\N
3605868	2294	1996-11-30	PRIJEM	\N	90	25561	UROK	\N	\N
3605869	2294	1996-12-31	PRIJEM	\N	110	33617	UROK	\N	\N
3605870	2294	1997-01-31	PRIJEM	\N	138	31687	UROK	\N	\N
3605871	2294	1997-02-28	PRIJEM	\N	155	27647	UROK	\N	\N
3605872	2294	1997-03-31	PRIJEM	\N	139	25576	UROK	\N	\N
3605873	2294	1997-04-30	PRIJEM	\N	129	20795	UROK	\N	\N
3605874	2294	1997-05-31	PRIJEM	\N	108	21254	UROK	\N	\N
3605875	2294	1997-06-30	PRIJEM	\N	122	21001	UROK	\N	\N
3605876	2294	1997-07-31	PRIJEM	\N	113	15965	UROK	\N	\N
3605877	2294	1997-08-31	PRIJEM	\N	84	11739	UROK	\N	\N
3605878	2294	1997-09-30	PRIJEM	\N	76	19045	UROK	\N	\N
3605879	2294	1997-10-31	PRIJEM	\N	104	25900	UROK	\N	\N
3605880	2294	1997-11-30	PRIJEM	\N	114	14204	UROK	\N	\N
3605881	2294	1997-12-31	PRIJEM	\N	108	29178	UROK	\N	\N
3605882	2294	1998-01-31	PRIJEM	\N	109	13037	UROK	\N	\N
3605883	2294	1998-02-28	PRIJEM	\N	83	22511	UROK	\N	\N
3605884	2294	1998-03-31	PRIJEM	\N	104	15705	UROK	\N	\N
3605885	2294	1998-04-30	PRIJEM	\N	95	25191	UROK	\N	\N
3605886	2294	1998-05-31	PRIJEM	\N	113	13634	UROK	\N	\N
3605887	2294	1998-06-30	PRIJEM	\N	89	16029	UROK	\N	\N
3605888	2294	1998-07-31	PRIJEM	\N	77	12196	UROK	\N	\N
3605889	2294	1998-08-31	PRIJEM	\N	67	13354	UROK	\N	\N
3605890	2294	1998-09-30	PRIJEM	\N	74	16318	UROK	\N	\N
3605891	2294	1998-10-31	PRIJEM	\N	86	19095	UROK	\N	\N
3605892	2294	1998-11-30	PRIJEM	\N	88	15973	UROK	\N	\N
3605893	2294	1998-12-31	PRIJEM	\N	113	25350	UROK	\N	\N
3605894	2296	1997-11-30	PRIJEM	\N	69	22706	UROK	\N	\N
3605895	2296	1997-12-31	PRIJEM	\N	195	55256	UROK	\N	\N
3605896	2296	1998-01-31	PRIJEM	\N	246	60539	UROK	\N	\N
3605897	2296	1998-02-28	PRIJEM	\N	251	60427	UROK	\N	\N
3605898	2296	1998-03-31	PRIJEM	\N	238	55971	UROK	\N	\N
3605899	2296	1998-04-30	PRIJEM	\N	210	46332	UROK	\N	\N
3605900	2296	1998-05-31	PRIJEM	\N	199	48123	UROK	\N	\N
3605901	2296	1998-06-30	PRIJEM	\N	225	32617	UROK	\N	\N
3605902	2296	1998-07-31	PRIJEM	\N	143	34451	UROK	\N	\N
3605903	2296	1998-08-31	PRIJEM	\N	127	27950	UROK	\N	\N
3605904	2296	1998-09-30	PRIJEM	\N	134	33275	UROK	\N	\N
3605905	2296	1998-10-31	PRIJEM	\N	143	35209	UROK	\N	\N
3605906	2296	1998-11-30	PRIJEM	\N	104	32604	UROK	\N	\N
3605907	2296	1998-12-31	PRIJEM	\N	132	42346	UROK	\N	\N
3605908	2297	1995-07-31	PRIJEM	\N	27	14268	UROK	\N	\N
3605909	2297	1995-08-31	PRIJEM	\N	70	19378	UROK	\N	\N
3605910	2297	1995-09-30	PRIJEM	\N	91	24510	UROK	\N	\N
3605911	2297	1995-10-31	PRIJEM	\N	103	25255	UROK	\N	\N
3605912	2297	1995-11-30	PRIJEM	\N	110	27154	UROK	\N	\N
3605913	2297	1995-12-31	PRIJEM	\N	102	20503	UROK	\N	\N
3605914	2297	1996-01-31	PRIJEM	\N	77	15166	UROK	\N	\N
3605915	2297	1996-02-29	PRIJEM	\N	61	13933	UROK	\N	\N
3605916	2297	1996-03-31	PRIJEM	\N	72	19671	UROK	\N	\N
3605917	2297	1996-04-30	PRIJEM	\N	82	20120	UROK	\N	\N
3605918	2297	1996-05-31	PRIJEM	\N	75	14960	UROK	\N	\N
3605919	2297	1996-06-30	PRIJEM	\N	69	17516	UROK	\N	\N
3605920	2297	1996-07-31	PRIJEM	\N	76	18858	UROK	\N	\N
3605921	2297	1996-08-31	PRIJEM	\N	73	13538	UROK	\N	\N
3605922	2297	1996-09-30	PRIJEM	\N	64	14708	UROK	\N	\N
3605923	2297	1996-10-31	PRIJEM	\N	70	16744	UROK	\N	\N
3605924	2297	1996-11-30	PRIJEM	\N	69	15880	UROK	\N	\N
3605925	2297	1996-12-31	PRIJEM	\N	70	15056	UROK	\N	\N
3605926	2297	1997-01-31	PRIJEM	\N	58	12981	UROK	\N	\N
3605927	2297	1997-02-28	PRIJEM	\N	61	14508	UROK	\N	\N
3605928	2297	1997-03-31	PRIJEM	\N	64	16038	UROK	\N	\N
3605929	2297	1997-04-30	PRIJEM	\N	73	17578	UROK	\N	\N
3605930	2297	1997-05-31	PRIJEM	\N	80	19125	UROK	\N	\N
3605931	2297	1997-06-30	PRIJEM	\N	65	14257	UROK	\N	\N
3605932	2297	1997-07-31	PRIJEM	\N	66	15789	UROK	\N	\N
3605933	2297	1997-08-31	PRIJEM	\N	69	16724	UROK	\N	\N
3605934	2297	1997-09-30	PRIJEM	\N	76	18267	UROK	\N	\N
3605935	2297	1997-10-31	PRIJEM	\N	83	19816	UROK	\N	\N
3605936	2297	1997-11-30	PRIJEM	\N	79	15961	UROK	\N	\N
3605937	2297	1997-12-31	PRIJEM	\N	73	15401	UROK	\N	\N
3605938	2297	1998-01-31	PRIJEM	\N	61	14529	UROK	\N	\N
3605939	2297	1998-02-28	PRIJEM	\N	66	16061	UROK	\N	\N
3605940	2297	1998-03-31	PRIJEM	\N	72	15559	UROK	\N	\N
3605941	2297	1998-04-30	PRIJEM	\N	71	17097	UROK	\N	\N
3605942	2297	1998-05-31	PRIJEM	\N	78	18641	UROK	\N	\N
3605943	2297	1998-06-30	PRIJEM	\N	86	22414	UROK	\N	\N
3605944	2297	1998-07-31	PRIJEM	\N	96	23977	UROK	\N	\N
3605945	2297	1998-08-31	PRIJEM	\N	103	25546	UROK	\N	\N
3605946	2297	1998-09-30	PRIJEM	\N	109	27121	UROK	\N	\N
3605947	2297	1998-10-31	PRIJEM	\N	120	28707	UROK	\N	\N
3605948	2297	1998-11-30	PRIJEM	\N	122	30295	UROK	\N	\N
3605949	2297	1998-12-31	PRIJEM	\N	99	21002	UROK	\N	\N
3605950	2298	1993-07-31	PRIJEM	\N	61	22849	UROK	\N	\N
3605951	2298	1993-08-31	PRIJEM	\N	152	43989	UROK	\N	\N
3605952	2298	1993-09-30	PRIJEM	\N	217	57094	UROK	\N	\N
3605953	2298	1993-10-31	PRIJEM	\N	250	62631	UROK	\N	\N
3605954	2298	1993-11-30	PRIJEM	\N	195	68014	UROK	\N	\N
3605955	2298	1993-12-31	PRIJEM	\N	278	49510	UROK	\N	\N
3605956	2298	1994-01-31	PRIJEM	\N	228	46062	UROK	\N	\N
3605957	2298	1994-02-28	PRIJEM	\N	235	63520	UROK	\N	\N
3605958	2298	1994-03-31	PRIJEM	\N	254	45098	UROK	\N	\N
3605959	2298	1994-04-30	PRIJEM	\N	216	44237	UROK	\N	\N
3605960	2298	1994-05-31	PRIJEM	\N	224	46184	UROK	\N	\N
3605961	2298	1994-06-30	PRIJEM	\N	230	39331	UROK	\N	\N
3605962	2298	1994-07-31	PRIJEM	\N	201	40255	UROK	\N	\N
3605963	2298	1994-08-31	PRIJEM	\N	188	39967	UROK	\N	\N
3605964	2298	1994-09-30	PRIJEM	\N	200	40190	UROK	\N	\N
3605965	2298	1994-10-31	PRIJEM	\N	197	39510	UROK	\N	\N
3605966	2298	1994-11-30	PRIJEM	\N	183	38316	UROK	\N	\N
3605967	2298	1994-12-31	PRIJEM	\N	209	44242	UROK	\N	\N
3605968	2298	1995-01-31	PRIJEM	\N	201	42767	UROK	\N	\N
3605969	2298	1995-02-28	PRIJEM	\N	202	44692	UROK	\N	\N
3605970	2298	1995-03-31	PRIJEM	\N	209	43724	UROK	\N	\N
3605971	2298	1995-04-30	PRIJEM	\N	210	44058	UROK	\N	\N
3605972	2298	1995-05-31	PRIJEM	\N	210	43192	UROK	\N	\N
3605973	2298	1995-06-30	PRIJEM	\N	225	44334	UROK	\N	\N
3605974	2298	1995-07-31	PRIJEM	\N	211	46368	UROK	\N	\N
3605975	2298	1995-08-31	PRIJEM	\N	220	50512	UROK	\N	\N
3605976	2298	1995-09-30	PRIJEM	\N	229	49765	UROK	\N	\N
3605977	2298	1995-10-31	PRIJEM	\N	228	50816	UROK	\N	\N
3605978	2298	1995-11-30	PRIJEM	\N	227	49466	UROK	\N	\N
3605979	2298	1995-12-31	PRIJEM	\N	240	54024	UROK	\N	\N
3605980	2298	1996-01-31	PRIJEM	\N	224	46272	UROK	\N	\N
3605981	2298	1996-02-29	PRIJEM	\N	211	49706	UROK	\N	\N
3605982	2298	1996-03-31	PRIJEM	\N	217	45947	UROK	\N	\N
3605983	2298	1996-04-30	PRIJEM	\N	205	46976	UROK	\N	\N
3605984	2298	1996-05-31	PRIJEM	\N	203	47103	UROK	\N	\N
3605985	2298	1996-06-30	PRIJEM	\N	216	40236	UROK	\N	\N
3605986	2298	1996-07-31	PRIJEM	\N	186	44946	UROK	\N	\N
3605987	2298	1996-08-31	PRIJEM	\N	201	48270	UROK	\N	\N
3605988	2298	1996-09-30	PRIJEM	\N	200	45693	UROK	\N	\N
3605989	2298	1996-10-31	PRIJEM	\N	199	47715	UROK	\N	\N
3605990	2298	1996-11-30	PRIJEM	\N	196	45935	UROK	\N	\N
3605991	2298	1996-12-31	PRIJEM	\N	194	47046	UROK	\N	\N
3605992	2298	1997-01-31	PRIJEM	\N	168	35138	UROK	\N	\N
3605993	2298	1997-02-28	PRIJEM	\N	155	39916	UROK	\N	\N
3605994	2298	1997-03-31	PRIJEM	\N	171	41711	UROK	\N	\N
3605995	2298	1997-04-30	PRIJEM	\N	177	39011	UROK	\N	\N
3605996	2298	1997-05-31	PRIJEM	\N	171	43206	UROK	\N	\N
3605997	2298	1997-06-30	PRIJEM	\N	180	46003	UROK	\N	\N
3605998	2298	1997-07-31	PRIJEM	\N	173	39499	UROK	\N	\N
3605999	2298	1997-08-31	PRIJEM	\N	191	51514	UROK	\N	\N
3606000	2298	1997-09-30	PRIJEM	\N	222	57659	UROK	\N	\N
3606001	2298	1997-10-31	PRIJEM	\N	232	57014	UROK	\N	\N
3606002	2298	1997-11-30	PRIJEM	\N	225	57562	UROK	\N	\N
3606003	2298	1997-12-31	PRIJEM	\N	247	62526	UROK	\N	\N
3606004	2298	1998-01-31	PRIJEM	\N	212	52862	UROK	\N	\N
3606005	2298	1998-02-28	PRIJEM	\N	184	47169	UROK	\N	\N
3606006	2298	1998-03-31	PRIJEM	\N	193	50585	UROK	\N	\N
3606007	2298	1998-04-30	PRIJEM	\N	194	51003	UROK	\N	\N
3606008	2298	1998-05-31	PRIJEM	\N	196	51322	UROK	\N	\N
3606009	2298	1998-06-30	PRIJEM	\N	208	57047	UROK	\N	\N
3606010	2298	1998-07-31	PRIJEM	\N	198	50468	UROK	\N	\N
3606011	2298	1998-08-31	PRIJEM	\N	153	36045	UROK	\N	\N
3606012	2298	1998-09-30	PRIJEM	\N	150	41918	UROK	\N	\N
3606013	2298	1998-10-31	PRIJEM	\N	170	46412	UROK	\N	\N
3606014	2298	1998-11-30	PRIJEM	\N	196	53432	UROK	\N	\N
3606015	2298	1998-12-31	PRIJEM	\N	233	60282	UROK	\N	\N
3606016	2301	1995-11-30	PRIJEM	\N	66	21768	UROK	\N	\N
3606017	2301	1995-12-31	PRIJEM	\N	185	40257	UROK	\N	\N
3606018	2301	1996-01-31	PRIJEM	\N	236	58495	UROK	\N	\N
3606019	2301	1996-02-29	PRIJEM	\N	261	64457	UROK	\N	\N
3606020	2301	1996-03-31	PRIJEM	\N	252	59204	UROK	\N	\N
3606021	2301	1996-04-30	PRIJEM	\N	225	51510	UROK	\N	\N
3606022	2301	1996-05-31	PRIJEM	\N	223	54113	UROK	\N	\N
3606023	2301	1996-06-30	PRIJEM	\N	257	21491	UROK	\N	\N
3606024	2301	1996-07-31	PRIJEM	\N	146	39717	UROK	\N	\N
3606025	2301	1996-08-31	PRIJEM	\N	201	51398	UROK	\N	\N
3606026	2301	1996-09-30	PRIJEM	\N	226	55405	UROK	\N	\N
3606027	2301	1996-10-31	PRIJEM	\N	222	55927	UROK	\N	\N
3606028	2301	1996-11-30	PRIJEM	\N	226	55894	UROK	\N	\N
3606029	2301	1996-12-31	PRIJEM	\N	272	67647	UROK	\N	\N
3606030	2301	1997-01-31	PRIJEM	\N	241	37468	UROK	\N	\N
3606031	2301	1997-02-28	PRIJEM	\N	172	43521	UROK	\N	\N
3606032	2301	1997-03-31	PRIJEM	\N	209	53010	UROK	\N	\N
3606033	2301	1997-04-30	PRIJEM	\N	243	60734	UROK	\N	\N
3606034	2301	1997-05-31	PRIJEM	\N	258	62872	UROK	\N	\N
3606035	2301	1997-06-30	PRIJEM	\N	267	40880	UROK	\N	\N
3606036	2301	1997-07-31	PRIJEM	\N	195	49655	UROK	\N	\N
3606037	2301	1997-08-31	PRIJEM	\N	216	48451	UROK	\N	\N
3606038	2301	1997-09-30	PRIJEM	\N	235	47667	UROK	\N	\N
3606039	2301	1997-10-31	PRIJEM	\N	229	44976	UROK	\N	\N
3606040	2301	1997-11-30	PRIJEM	\N	211	41168	UROK	\N	\N
3606041	2301	1997-12-31	PRIJEM	\N	226	45576	UROK	\N	\N
3606042	2301	1998-01-31	PRIJEM	\N	169	33645	UROK	\N	\N
3606043	2301	1998-02-28	PRIJEM	\N	171	38396	UROK	\N	\N
3606044	2301	1998-03-31	PRIJEM	\N	188	36165	UROK	\N	\N
3606045	2301	1998-04-30	PRIJEM	\N	180	37025	UROK	\N	\N
3606046	2301	1998-05-31	PRIJEM	\N	183	39288	UROK	\N	\N
3606047	2301	1998-06-30	PRIJEM	\N	183	34833	UROK	\N	\N
3606048	2301	1998-07-31	PRIJEM	\N	170	34884	UROK	\N	\N
3606049	2301	1998-08-31	PRIJEM	\N	172	38036	UROK	\N	\N
3606050	2301	1998-09-30	PRIJEM	\N	180	39296	UROK	\N	\N
3606051	2301	1998-10-31	PRIJEM	\N	189	42965	UROK	\N	\N
3606052	2301	1998-11-30	PRIJEM	\N	203	47848	UROK	\N	\N
3606053	2301	1998-12-31	PRIJEM	\N	260	69889	UROK	\N	\N
3606054	2302	1993-09-30	PRIJEM	\N	36	12873	UROK	\N	\N
3606055	2302	1993-10-31	PRIJEM	\N	99	29009	UROK	\N	\N
3606056	2302	1993-11-30	PRIJEM	\N	150	39696	UROK	\N	\N
3606057	2302	1993-12-31	PRIJEM	\N	196	50898	UROK	\N	\N
3606058	2302	1994-01-31	PRIJEM	\N	205	43240	UROK	\N	\N
3606059	2302	1994-02-28	PRIJEM	\N	179	43914	UROK	\N	\N
3606060	2302	1994-03-31	PRIJEM	\N	169	41678	UROK	\N	\N
3606061	2302	1994-04-30	PRIJEM	\N	168	39041	UROK	\N	\N
3606062	2302	1994-05-31	PRIJEM	\N	171	43408	UROK	\N	\N
3606063	2302	1994-06-30	PRIJEM	\N	194	48266	UROK	\N	\N
3606064	2302	1994-07-31	PRIJEM	\N	182	43543	UROK	\N	\N
3606065	2302	1994-08-31	PRIJEM	\N	173	43212	UROK	\N	\N
3606066	2302	1994-09-30	PRIJEM	\N	172	43080	UROK	\N	\N
3606067	2302	1994-10-31	PRIJEM	\N	173	43349	UROK	\N	\N
3606068	2302	1994-11-30	PRIJEM	\N	185	45929	UROK	\N	\N
3606069	2302	1994-12-31	PRIJEM	\N	206	51099	UROK	\N	\N
3606070	2302	1995-01-31	PRIJEM	\N	186	46680	UROK	\N	\N
3606071	2302	1995-02-28	PRIJEM	\N	194	48969	UROK	\N	\N
3606072	2302	1995-03-31	PRIJEM	\N	199	49564	UROK	\N	\N
3606073	2302	1995-04-30	PRIJEM	\N	193	48352	UROK	\N	\N
3606074	2302	1995-05-31	PRIJEM	\N	191	47538	UROK	\N	\N
3606075	2302	1995-06-30	PRIJEM	\N	212	51615	UROK	\N	\N
3606076	2302	1995-07-31	PRIJEM	\N	207	51417	UROK	\N	\N
3606077	2302	1995-08-31	PRIJEM	\N	192	48004	UROK	\N	\N
3606078	2302	1995-09-30	PRIJEM	\N	199	49299	UROK	\N	\N
3606079	2302	1995-10-31	PRIJEM	\N	194	39689	UROK	\N	\N
3606080	2302	1995-11-30	PRIJEM	\N	186	44070	UROK	\N	\N
3606081	2302	1995-12-31	PRIJEM	\N	201	41135	UROK	\N	\N
3606082	2302	1996-01-31	PRIJEM	\N	168	37098	UROK	\N	\N
3606083	2302	1996-02-29	PRIJEM	\N	170	37164	UROK	\N	\N
3606084	2302	1996-03-31	PRIJEM	\N	170	36830	UROK	\N	\N
3606085	2302	1996-04-30	PRIJEM	\N	168	36294	UROK	\N	\N
3606086	2302	1996-05-31	PRIJEM	\N	169	38758	UROK	\N	\N
3606087	2302	1996-06-30	PRIJEM	\N	171	33894	UROK	\N	\N
3606088	2302	1996-07-31	PRIJEM	\N	154	36543	UROK	\N	\N
3606089	2302	1996-08-31	PRIJEM	\N	153	32692	UROK	\N	\N
3606090	2302	1996-09-30	PRIJEM	\N	150	33737	UROK	\N	\N
3606091	2302	1996-10-31	PRIJEM	\N	153	33785	UROK	\N	\N
3606092	2302	1996-11-30	PRIJEM	\N	149	31330	UROK	\N	\N
3606093	2302	1996-12-31	PRIJEM	\N	149	33443	UROK	\N	\N
3606094	2302	1997-01-31	PRIJEM	\N	128	27966	UROK	\N	\N
3606095	2302	1997-02-28	PRIJEM	\N	122	25784	UROK	\N	\N
3606096	2302	1997-03-31	PRIJEM	\N	122	29402	UROK	\N	\N
3606097	2302	1997-04-30	PRIJEM	\N	129	27126	UROK	\N	\N
3606098	2302	1997-05-31	PRIJEM	\N	124	28745	UROK	\N	\N
3606099	2302	1997-06-30	PRIJEM	\N	136	26645	UROK	\N	\N
3606100	2302	1997-07-31	PRIJEM	\N	118	26159	UROK	\N	\N
3606101	2302	1997-08-31	PRIJEM	\N	112	25766	UROK	\N	\N
3606102	2302	1997-09-30	PRIJEM	\N	110	24071	UROK	\N	\N
3606103	2302	1997-10-31	PRIJEM	\N	105	24072	UROK	\N	\N
3606104	2302	1997-11-30	PRIJEM	\N	105	24372	UROK	\N	\N
3606105	2302	1997-12-31	PRIJEM	\N	123	30659	UROK	\N	\N
3606106	2302	1998-01-31	PRIJEM	\N	126	29680	UROK	\N	\N
3606107	2302	1998-02-28	PRIJEM	\N	119	26095	UROK	\N	\N
3606108	2302	1998-03-31	PRIJEM	\N	109	21500	UROK	\N	\N
3606109	2302	1998-04-30	PRIJEM	\N	93	19588	UROK	\N	\N
3606110	2302	1998-05-31	PRIJEM	\N	91	23374	UROK	\N	\N
3606111	2302	1998-06-30	PRIJEM	\N	108	26147	UROK	\N	\N
3606112	2302	1998-07-31	PRIJEM	\N	101	23943	UROK	\N	\N
3606113	2302	1998-08-31	PRIJEM	\N	93	18932	UROK	\N	\N
3606114	2302	1998-09-30	PRIJEM	\N	78	19405	UROK	\N	\N
3606115	2302	1998-10-31	PRIJEM	\N	84	21184	UROK	\N	\N
3606116	2302	1998-11-30	PRIJEM	\N	98	26678	UROK	\N	\N
3606117	2302	1998-12-31	PRIJEM	\N	120	27962	UROK	\N	\N
3606118	2303	1996-12-31	PRIJEM	\N	28	25841	UROK	\N	\N
3606119	2303	1997-01-31	PRIJEM	\N	118	34468	UROK	\N	\N
3606120	2303	1997-02-28	PRIJEM	\N	150	40827	UROK	\N	\N
3606121	2303	1997-03-31	PRIJEM	\N	173	44109	UROK	\N	\N
3606122	2303	1997-04-30	PRIJEM	\N	194	39240	UROK	\N	\N
3606123	2303	1997-05-31	PRIJEM	\N	183	42025	UROK	\N	\N
3606124	2303	1997-06-30	PRIJEM	\N	204	37356	UROK	\N	\N
3606125	2303	1997-07-31	PRIJEM	\N	169	37028	UROK	\N	\N
3606126	2303	1997-08-31	PRIJEM	\N	170	39820	UROK	\N	\N
3606127	2303	1997-09-30	PRIJEM	\N	175	38097	UROK	\N	\N
3606128	2303	1997-10-31	PRIJEM	\N	174	40673	UROK	\N	\N
3606129	2303	1997-11-30	PRIJEM	\N	179	40654	UROK	\N	\N
3606130	2303	1997-12-31	PRIJEM	\N	192	42734	UROK	\N	\N
3606131	2303	1998-01-31	PRIJEM	\N	125	19401	UROK	\N	\N
3606132	2303	1998-02-28	PRIJEM	\N	92	22556	UROK	\N	\N
3606133	2303	1998-03-31	PRIJEM	\N	107	24565	UROK	\N	\N
3606134	2303	1998-04-30	PRIJEM	\N	107	22774	UROK	\N	\N
3606135	2303	1998-05-31	PRIJEM	\N	104	23480	UROK	\N	\N
3606136	2303	1998-06-30	PRIJEM	\N	108	18355	UROK	\N	\N
3606137	2303	1998-07-31	PRIJEM	\N	92	23149	UROK	\N	\N
3606138	2303	1998-08-31	PRIJEM	\N	95	20066	UROK	\N	\N
3606139	2303	1998-09-30	PRIJEM	\N	88	20856	UROK	\N	\N
3606140	2303	1998-10-31	PRIJEM	\N	88	20347	UROK	\N	\N
3606141	2303	1998-11-30	PRIJEM	\N	85	19934	UROK	\N	\N
3606142	2303	1998-12-31	PRIJEM	\N	131	37872	UROK	\N	\N
3606143	2306	1994-01-31	PRIJEM	\N	84	26187	UROK	\N	\N
3606144	2306	1994-02-28	PRIJEM	\N	149	39139	UROK	\N	\N
3606145	2306	1994-03-31	PRIJEM	\N	205	40547	UROK	\N	\N
3606146	2306	1994-04-30	PRIJEM	\N	193	44743	UROK	\N	\N
3606147	2306	1994-05-31	PRIJEM	\N	174	38656	UROK	\N	\N
3606148	2306	1994-06-30	PRIJEM	\N	159	25239	UROK	\N	\N
3606149	2306	1994-07-31	PRIJEM	\N	140	35102	UROK	\N	\N
3606150	2306	1994-08-31	PRIJEM	\N	148	33374	UROK	\N	\N
3606151	2306	1994-09-30	PRIJEM	\N	152	36549	UROK	\N	\N
3606152	2306	1994-10-31	PRIJEM	\N	164	39437	UROK	\N	\N
3606153	2306	1994-11-30	PRIJEM	\N	163	38023	UROK	\N	\N
3606154	2306	1994-12-31	PRIJEM	\N	172	40520	UROK	\N	\N
3606155	2306	1995-01-31	PRIJEM	\N	141	23585	UROK	\N	\N
3606156	2306	1995-02-28	PRIJEM	\N	127	32135	UROK	\N	\N
3606157	2306	1995-03-31	PRIJEM	\N	156	38314	UROK	\N	\N
3606158	2306	1995-04-30	PRIJEM	\N	171	39808	UROK	\N	\N
3606159	2306	1995-05-31	PRIJEM	\N	177	40308	UROK	\N	\N
3606160	2306	1995-06-30	PRIJEM	\N	152	30585	UROK	\N	\N
3606161	2306	1995-07-31	PRIJEM	\N	143	35051	UROK	\N	\N
3606162	2306	1995-08-31	PRIJEM	\N	153	29227	UROK	\N	\N
3606163	2306	1995-09-30	PRIJEM	\N	149	32400	UROK	\N	\N
3606164	2306	1995-10-31	PRIJEM	\N	155	30779	UROK	\N	\N
3606165	2306	1995-11-30	PRIJEM	\N	153	31755	UROK	\N	\N
3606166	2306	1995-12-31	PRIJEM	\N	174	32754	UROK	\N	\N
3606167	2306	1996-01-31	PRIJEM	\N	125	20102	UROK	\N	\N
3606168	2306	1996-02-29	PRIJEM	\N	100	25225	UROK	\N	\N
3606169	2306	1996-03-31	PRIJEM	\N	130	27378	UROK	\N	\N
3606170	2306	1996-04-30	PRIJEM	\N	137	27038	UROK	\N	\N
3606171	2306	1996-05-31	PRIJEM	\N	130	25192	UROK	\N	\N
3606172	2306	1996-06-30	PRIJEM	\N	139	29155	UROK	\N	\N
3606173	2306	1996-07-31	PRIJEM	\N	138	25817	UROK	\N	\N
3606174	2306	1996-08-31	PRIJEM	\N	123	23164	UROK	\N	\N
3606175	2306	1996-09-30	PRIJEM	\N	117	25004	UROK	\N	\N
3606176	2306	1996-10-31	PRIJEM	\N	122	24950	UROK	\N	\N
3606177	2306	1996-11-30	PRIJEM	\N	126	28199	UROK	\N	\N
3606178	2306	1996-12-31	PRIJEM	\N	144	26567	UROK	\N	\N
3606179	2306	1997-01-31	PRIJEM	\N	89	13880	UROK	\N	\N
3606180	2306	1997-02-28	PRIJEM	\N	84	21487	UROK	\N	\N
3606181	2306	1997-03-31	PRIJEM	\N	107	21717	UROK	\N	\N
3606182	2306	1997-04-30	PRIJEM	\N	102	21842	UROK	\N	\N
3606183	2306	1997-05-31	PRIJEM	\N	106	19971	UROK	\N	\N
3606184	2306	1997-06-30	PRIJEM	\N	92	13088	UROK	\N	\N
3606185	2306	1997-07-31	PRIJEM	\N	75	17586	UROK	\N	\N
3606186	2306	1997-08-31	PRIJEM	\N	80	14690	UROK	\N	\N
3606187	2306	1997-09-30	PRIJEM	\N	81	18694	UROK	\N	\N
3606188	2306	1997-10-31	PRIJEM	\N	87	18704	UROK	\N	\N
3606189	2306	1997-11-30	PRIJEM	\N	95	22122	UROK	\N	\N
3606190	2306	1997-12-31	PRIJEM	\N	114	24561	UROK	\N	\N
3606191	2306	1998-01-31	PRIJEM	\N	86	12570	UROK	\N	\N
3606192	2306	1998-02-28	PRIJEM	\N	78	21171	UROK	\N	\N
3606193	2306	1998-03-31	PRIJEM	\N	118	31213	UROK	\N	\N
3606194	2306	1998-04-30	PRIJEM	\N	145	34381	UROK	\N	\N
3606195	2306	1998-05-31	PRIJEM	\N	154	35959	UROK	\N	\N
3606196	2306	1998-06-30	PRIJEM	\N	123	26507	UROK	\N	\N
3606197	2306	1998-07-31	PRIJEM	\N	126	30356	UROK	\N	\N
3606198	2306	1998-08-31	PRIJEM	\N	151	38430	UROK	\N	\N
3606199	2306	1998-09-30	PRIJEM	\N	177	43330	UROK	\N	\N
3606200	2306	1998-10-31	PRIJEM	\N	199	46253	UROK	\N	\N
3606201	2306	1998-11-30	PRIJEM	\N	201	48278	UROK	\N	\N
3606202	2306	1998-12-31	PRIJEM	\N	213	49915	UROK	\N	\N
3606203	2307	1995-07-31	PRIJEM	\N	15	5804	UROK	\N	\N
3606204	2307	1995-08-31	PRIJEM	\N	24	11017	UROK	\N	\N
3606205	2307	1995-09-30	PRIJEM	\N	24	16230	UROK	\N	\N
3606206	2307	1995-10-31	PRIJEM	\N	24	21443	UROK	\N	\N
3606207	2307	1995-11-30	PRIJEM	\N	27	26659	UROK	\N	\N
3606208	2307	1995-12-31	PRIJEM	\N	111	27685	UROK	\N	\N
3606209	2307	1996-01-31	PRIJEM	\N	95	20896	UROK	\N	\N
3606210	2307	1996-02-29	PRIJEM	\N	88	22700	UROK	\N	\N
3606211	2307	1996-03-31	PRIJEM	\N	90	22745	UROK	\N	\N
3606212	2307	1996-04-30	PRIJEM	\N	96	24556	UROK	\N	\N
3606213	2307	1996-05-31	PRIJEM	\N	104	26376	UROK	\N	\N
3606214	2307	1996-06-30	PRIJEM	\N	65	14906	UROK	\N	\N
3606215	2307	1996-07-31	PRIJEM	\N	61	15562	UROK	\N	\N
3606216	2307	1996-08-31	PRIJEM	\N	66	17344	UROK	\N	\N
3606217	2307	1996-09-30	PRIJEM	\N	68	16647	UROK	\N	\N
3606218	2307	1996-10-31	PRIJEM	\N	71	18434	UROK	\N	\N
3606219	2307	1996-11-30	PRIJEM	\N	72	16941	UROK	\N	\N
3606220	2307	1996-12-31	PRIJEM	\N	67	17473	UROK	\N	\N
3606221	2307	1997-01-31	PRIJEM	\N	66	14054	UROK	\N	\N
3606222	2307	1997-02-28	PRIJEM	\N	59	15829	UROK	\N	\N
3606223	2307	1997-03-31	PRIJEM	\N	67	17612	UROK	\N	\N
3606224	2307	1997-04-30	PRIJEM	\N	75	19402	UROK	\N	\N
3606225	2307	1997-05-31	PRIJEM	\N	73	15910	UROK	\N	\N
3606226	2307	1997-06-30	PRIJEM	\N	60	14536	UROK	\N	\N
3606227	2307	1997-07-31	PRIJEM	\N	62	16313	UROK	\N	\N
3606228	2307	1997-08-31	PRIJEM	\N	69	18098	UROK	\N	\N
3606229	2307	1997-09-30	PRIJEM	\N	77	19890	UROK	\N	\N
3606230	2307	1997-10-31	PRIJEM	\N	84	21689	UROK	\N	\N
3606231	2307	1997-11-30	PRIJEM	\N	91	23496	UROK	\N	\N
3606232	2307	1997-12-31	PRIJEM	\N	97	24808	UROK	\N	\N
3606233	2307	1998-01-31	PRIJEM	\N	84	16287	UROK	\N	\N
3606234	2307	1998-02-28	PRIJEM	\N	68	18071	UROK	\N	\N
3606235	2307	1998-03-31	PRIJEM	\N	76	19863	UROK	\N	\N
3606236	2307	1998-04-30	PRIJEM	\N	84	21662	UROK	\N	\N
3606237	2307	1998-05-31	PRIJEM	\N	79	20016	UROK	\N	\N
3606238	2307	1998-06-30	PRIJEM	\N	72	16803	UROK	\N	\N
3606239	2307	1998-07-31	PRIJEM	\N	66	14904	UROK	\N	\N
3606240	2307	1998-08-31	PRIJEM	\N	63	16683	UROK	\N	\N
3606241	2307	1998-09-30	PRIJEM	\N	70	18468	UROK	\N	\N
3606242	2307	1998-10-31	PRIJEM	\N	78	20261	UROK	\N	\N
3606243	2307	1998-11-30	PRIJEM	\N	85	22062	UROK	\N	\N
3606244	2307	1998-12-31	PRIJEM	\N	90	22917	UROK	\N	\N
3606245	2309	1995-12-31	PRIJEM	\N	69	25821	UROK	\N	\N
3606246	2309	1996-01-31	PRIJEM	\N	150	41739	UROK	\N	\N
3606247	2309	1996-02-29	PRIJEM	\N	193	49400	UROK	\N	\N
3606248	2309	1996-03-31	PRIJEM	\N	217	53885	UROK	\N	\N
3606249	2309	1996-04-30	PRIJEM	\N	208	46777	UROK	\N	\N
3606250	2309	1996-05-31	PRIJEM	\N	181	39907	UROK	\N	\N
3606251	2309	1996-06-30	PRIJEM	\N	180	42581	UROK	\N	\N
3606252	2309	1996-07-31	PRIJEM	\N	163	28092	UROK	\N	\N
3606253	2309	1996-08-31	PRIJEM	\N	155	28397	UROK	\N	\N
3606254	2309	1996-09-30	PRIJEM	\N	130	26657	UROK	\N	\N
3606255	2309	1996-10-31	PRIJEM	\N	110	23516	UROK	\N	\N
3606256	2309	1996-11-30	PRIJEM	\N	118	28983	UROK	\N	\N
3606257	2309	1996-12-31	PRIJEM	\N	156	32373	UROK	\N	\N
3606258	2309	1997-01-31	PRIJEM	\N	112	17154	UROK	\N	\N
3606259	2309	1997-02-28	PRIJEM	\N	106	20309	UROK	\N	\N
3606260	2309	1997-03-31	PRIJEM	\N	120	22578	UROK	\N	\N
3606261	2309	1997-04-30	PRIJEM	\N	96	21504	UROK	\N	\N
3606262	2309	1997-05-31	PRIJEM	\N	107	23760	UROK	\N	\N
3606263	2309	1997-06-30	PRIJEM	\N	135	31428	UROK	\N	\N
3606264	2309	1997-07-31	PRIJEM	\N	141	27619	UROK	\N	\N
3606265	2309	1997-08-31	PRIJEM	\N	144	29212	UROK	\N	\N
3606266	2309	1997-09-30	PRIJEM	\N	141	23382	UROK	\N	\N
3606267	2309	1997-10-31	PRIJEM	\N	112	25543	UROK	\N	\N
3606268	2309	1997-11-30	PRIJEM	\N	117	24909	UROK	\N	\N
3606269	2309	1997-12-31	PRIJEM	\N	143	29586	UROK	\N	\N
3606270	2309	1998-01-31	PRIJEM	\N	112	15448	UROK	\N	\N
3606271	2309	1998-02-28	PRIJEM	\N	78	18975	UROK	\N	\N
3606272	2309	1998-03-31	PRIJEM	\N	98	18063	UROK	\N	\N
3606273	2309	1998-04-30	PRIJEM	\N	91	22603	UROK	\N	\N
3606274	2309	1998-05-31	PRIJEM	\N	102	21955	UROK	\N	\N
3606275	2309	1998-06-30	PRIJEM	\N	122	24110	UROK	\N	\N
3606276	2309	1998-07-31	PRIJEM	\N	105	24844	UROK	\N	\N
3606277	2309	1998-08-31	PRIJEM	\N	118	24411	UROK	\N	\N
3606278	2309	1998-09-30	PRIJEM	\N	104	20664	UROK	\N	\N
3606279	2309	1998-10-31	PRIJEM	\N	81	15895	UROK	\N	\N
3606280	2309	1998-11-30	PRIJEM	\N	79	16923	UROK	\N	\N
3606281	2309	1998-12-31	PRIJEM	\N	137	33593	UROK	\N	\N
3606282	2310	1995-08-31	PRIJEM	\N	33	17422	UROK	\N	\N
3606283	2310	1995-09-30	PRIJEM	\N	86	24597	UROK	\N	\N
3606284	2310	1995-10-31	PRIJEM	\N	112	29498	UROK	\N	\N
3606285	2310	1995-11-30	PRIJEM	\N	126	31113	UROK	\N	\N
3606286	2310	1995-12-31	PRIJEM	\N	126	27513	UROK	\N	\N
3606287	2310	1996-01-31	PRIJEM	\N	110	20959	UROK	\N	\N
3606288	2310	1996-02-29	PRIJEM	\N	100	24734	UROK	\N	\N
3606289	2310	1996-03-31	PRIJEM	\N	115	28064	UROK	\N	\N
3606290	2310	1996-04-30	PRIJEM	\N	117	28097	UROK	\N	\N
3606291	2310	1996-05-31	PRIJEM	\N	125	31237	UROK	\N	\N
3606292	2310	1996-06-30	PRIJEM	\N	145	29942	UROK	\N	\N
3606293	2310	1996-07-31	PRIJEM	\N	119	24916	UROK	\N	\N
3606294	2310	1996-08-31	PRIJEM	\N	106	25738	UROK	\N	\N
3606295	2310	1996-09-30	PRIJEM	\N	102	23555	UROK	\N	\N
3606296	2310	1996-10-31	PRIJEM	\N	89	20060	UROK	\N	\N
3606297	2310	1996-11-30	PRIJEM	\N	82	18957	UROK	\N	\N
3606298	2310	1996-12-31	PRIJEM	\N	93	22170	UROK	\N	\N
3606299	2310	1997-01-31	PRIJEM	\N	99	22385	UROK	\N	\N
3606300	2310	1997-02-28	PRIJEM	\N	125	32225	UROK	\N	\N
3606301	2310	1997-03-31	PRIJEM	\N	138	32038	UROK	\N	\N
3606302	2310	1997-04-30	PRIJEM	\N	139	29172	UROK	\N	\N
3606303	2310	1997-05-31	PRIJEM	\N	141	34929	UROK	\N	\N
3606304	2310	1997-06-30	PRIJEM	\N	171	42660	UROK	\N	\N
3606305	2310	1997-07-31	PRIJEM	\N	193	46968	UROK	\N	\N
3606306	2310	1997-08-31	PRIJEM	\N	199	47483	UROK	\N	\N
3606307	2310	1997-09-30	PRIJEM	\N	204	49002	UROK	\N	\N
3606308	2310	1997-10-31	PRIJEM	\N	201	47519	UROK	\N	\N
3606309	2310	1997-11-30	PRIJEM	\N	207	45421	UROK	\N	\N
3606310	2310	1997-12-31	PRIJEM	\N	204	45404	UROK	\N	\N
3606311	2310	1998-01-31	PRIJEM	\N	163	34362	UROK	\N	\N
3606312	2310	1998-02-28	PRIJEM	\N	177	45155	UROK	\N	\N
3606313	2310	1998-03-31	PRIJEM	\N	189	45139	UROK	\N	\N
3606314	2310	1998-04-30	PRIJEM	\N	196	47450	UROK	\N	\N
3606315	2310	1998-05-31	PRIJEM	\N	205	49571	UROK	\N	\N
3606316	2310	1998-06-30	PRIJEM	\N	225	55256	UROK	\N	\N
3606317	2310	1998-07-31	PRIJEM	\N	229	54600	UROK	\N	\N
3606318	2310	1998-08-31	PRIJEM	\N	233	56048	UROK	\N	\N
3606319	2310	1998-09-30	PRIJEM	\N	243	55606	UROK	\N	\N
3606320	2310	1998-10-31	PRIJEM	\N	237	56479	UROK	\N	\N
3606321	2310	1998-11-30	PRIJEM	\N	240	59334	UROK	\N	\N
3606322	2310	1998-12-31	PRIJEM	\N	257	62811	UROK	\N	\N
3606323	2311	1997-11-30	PRIJEM	\N	43	24017	UROK	\N	\N
3606324	2311	1997-12-31	PRIJEM	\N	133	41761	UROK	\N	\N
3606325	2311	1998-01-31	PRIJEM	\N	181	45617	UROK	\N	\N
3606326	2311	1998-02-28	PRIJEM	\N	192	47183	UROK	\N	\N
3606327	2311	1998-03-31	PRIJEM	\N	204	44663	UROK	\N	\N
3606328	2311	1998-04-30	PRIJEM	\N	195	41619	UROK	\N	\N
3606329	2311	1998-05-31	PRIJEM	\N	176	38856	UROK	\N	\N
3606330	2311	1998-06-30	PRIJEM	\N	143	17098	UROK	\N	\N
3606331	2311	1998-07-31	PRIJEM	\N	101	23560	UROK	\N	\N
3606332	2311	1998-08-31	PRIJEM	\N	121	31543	UROK	\N	\N
3606333	2311	1998-09-30	PRIJEM	\N	137	30641	UROK	\N	\N
3606334	2311	1998-10-31	PRIJEM	\N	125	27428	UROK	\N	\N
3606335	2311	1998-11-30	PRIJEM	\N	116	27706	UROK	\N	\N
3606336	2311	1998-12-31	PRIJEM	\N	129	31133	UROK	\N	\N
3606337	2312	1998-01-31	PRIJEM	\N	17	16177	UROK	\N	\N
3606338	2312	1998-02-28	PRIJEM	\N	72	18197	UROK	\N	\N
3606339	2312	1998-03-31	PRIJEM	\N	81	20212	UROK	\N	\N
3606340	2312	1998-04-30	PRIJEM	\N	85	18430	UROK	\N	\N
3606341	2312	1998-05-31	PRIJEM	\N	76	15440	UROK	\N	\N
3606342	2312	1998-06-30	PRIJEM	\N	64	11917	UROK	\N	\N
3606343	2312	1998-07-31	PRIJEM	\N	55	13905	UROK	\N	\N
3606344	2312	1998-08-31	PRIJEM	\N	57	11796	UROK	\N	\N
3606345	2312	1998-09-30	PRIJEM	\N	54	13783	UROK	\N	\N
3606346	2312	1998-10-31	PRIJEM	\N	62	15779	UROK	\N	\N
3606347	2312	1998-11-30	PRIJEM	\N	64	13656	UROK	\N	\N
3606348	2312	1998-12-31	PRIJEM	\N	48	10198	UROK	\N	\N
3606349	2313	1993-05-31	PRIJEM	\N	44	17124	UROK	\N	\N
3606350	2313	1993-06-30	PRIJEM	\N	102	28795	UROK	\N	\N
3606351	2313	1993-07-31	PRIJEM	\N	135	34410	UROK	\N	\N
3606352	2313	1993-08-31	PRIJEM	\N	148	36138	UROK	\N	\N
3606353	2313	1993-09-30	PRIJEM	\N	133	30084	UROK	\N	\N
3606354	2313	1993-10-31	PRIJEM	\N	129	31196	UROK	\N	\N
3606355	2313	1993-11-30	PRIJEM	\N	100	20979	UROK	\N	\N
3606356	2313	1993-12-31	PRIJEM	\N	84	18435	UROK	\N	\N
3606357	2313	1994-01-31	PRIJEM	\N	82	19501	UROK	\N	\N
3606358	2313	1994-02-28	PRIJEM	\N	96	22680	UROK	\N	\N
3606359	2313	1994-03-31	PRIJEM	\N	104	25366	UROK	\N	\N
3606360	2313	1994-04-30	PRIJEM	\N	106	20656	UROK	\N	\N
3606361	2313	1994-05-31	PRIJEM	\N	90	21229	UROK	\N	\N
3606362	2313	1994-06-30	PRIJEM	\N	109	26511	UROK	\N	\N
3606363	2313	1994-07-31	PRIJEM	\N	113	25606	UROK	\N	\N
3606364	2313	1994-08-31	PRIJEM	\N	130	31820	UROK	\N	\N
3606365	2313	1994-09-30	PRIJEM	\N	136	31938	UROK	\N	\N
3606366	2313	1994-10-31	PRIJEM	\N	134	25455	UROK	\N	\N
3606367	2313	1994-11-30	PRIJEM	\N	129	31568	UROK	\N	\N
3606368	2313	1994-12-31	PRIJEM	\N	150	33491	UROK	\N	\N
3606369	2313	1995-01-31	PRIJEM	\N	100	19774	UROK	\N	\N
3606370	2313	1995-02-28	PRIJEM	\N	101	22786	UROK	\N	\N
3606371	2313	1995-03-31	PRIJEM	\N	121	29689	UROK	\N	\N
3606372	2313	1995-04-30	PRIJEM	\N	122	21990	UROK	\N	\N
3606373	2313	1995-05-31	PRIJEM	\N	109	21143	UROK	\N	\N
3606374	2313	1995-06-30	PRIJEM	\N	114	27829	UROK	\N	\N
3606375	2313	1995-07-31	PRIJEM	\N	102	21515	UROK	\N	\N
3606376	2313	1995-08-31	PRIJEM	\N	114	28212	UROK	\N	\N
3606377	2313	1995-09-30	PRIJEM	\N	108	22667	UROK	\N	\N
3606378	2313	1995-10-31	PRIJEM	\N	80	19955	UROK	\N	\N
3606379	2313	1995-11-30	PRIJEM	\N	97	25235	UROK	\N	\N
3606380	2313	1995-12-31	PRIJEM	\N	133	28341	UROK	\N	\N
3606381	2313	1996-01-31	PRIJEM	\N	108	21233	UROK	\N	\N
3606382	2313	1996-02-29	PRIJEM	\N	101	24417	UROK	\N	\N
3606383	2313	1996-03-31	PRIJEM	\N	101	23201	UROK	\N	\N
3606384	2313	1996-04-30	PRIJEM	\N	110	27094	UROK	\N	\N
3606385	2313	1996-05-31	PRIJEM	\N	123	26900	UROK	\N	\N
3606386	2313	1996-06-30	PRIJEM	\N	136	28509	UROK	\N	\N
3606387	2313	1996-07-31	PRIJEM	\N	129	29520	UROK	\N	\N
3606388	2313	1996-08-31	PRIJEM	\N	116	26262	UROK	\N	\N
3606389	2313	1996-09-30	PRIJEM	\N	120	28265	UROK	\N	\N
3606390	2313	1996-10-31	PRIJEM	\N	129	31277	UROK	\N	\N
3606391	2313	1996-11-30	PRIJEM	\N	144	36704	UROK	\N	\N
3606392	2313	1996-12-31	PRIJEM	\N	156	30433	UROK	\N	\N
3606393	2313	1997-01-31	PRIJEM	\N	93	21809	UROK	\N	\N
3606394	2313	1997-02-28	PRIJEM	\N	116	36907	UROK	\N	\N
3606395	2313	1997-03-31	PRIJEM	\N	157	24548	UROK	\N	\N
3606396	2313	1997-04-30	PRIJEM	\N	112	23851	UROK	\N	\N
3606397	2313	1997-05-31	PRIJEM	\N	118	32952	UROK	\N	\N
3606398	2313	1997-06-30	PRIJEM	\N	162	38086	UROK	\N	\N
3606399	2313	1997-07-31	PRIJEM	\N	169	41538	UROK	\N	\N
3606400	2313	1997-08-31	PRIJEM	\N	152	36578	UROK	\N	\N
3606401	2313	1997-09-30	PRIJEM	\N	167	44028	UROK	\N	\N
3606402	2313	1997-10-31	PRIJEM	\N	146	38858	UROK	\N	\N
3606403	2313	1997-11-30	PRIJEM	\N	176	45117	UROK	\N	\N
3606404	2313	1997-12-31	PRIJEM	\N	200	44807	UROK	\N	\N
3606405	2313	1998-01-31	PRIJEM	\N	123	24213	UROK	\N	\N
3606406	2313	1998-02-28	PRIJEM	\N	127	36824	UROK	\N	\N
3606407	2313	1998-03-31	PRIJEM	\N	165	41471	UROK	\N	\N
3606408	2313	1998-04-30	PRIJEM	\N	162	39216	UROK	\N	\N
3606409	2313	1998-05-31	PRIJEM	\N	135	26834	UROK	\N	\N
3606410	2313	1998-06-30	PRIJEM	\N	137	34743	UROK	\N	\N
3606411	2313	1998-07-31	PRIJEM	\N	153	38679	UROK	\N	\N
3606412	2313	1998-08-31	PRIJEM	\N	147	29509	UROK	\N	\N
3606413	2313	1998-09-30	PRIJEM	\N	145	37637	UROK	\N	\N
3606414	2313	1998-10-31	PRIJEM	\N	124	23087	UROK	\N	\N
3606415	2313	1998-11-30	PRIJEM	\N	111	29781	UROK	\N	\N
3606416	2313	1998-12-31	PRIJEM	\N	139	36194	UROK	\N	\N
3606417	2315	1994-07-31	PRIJEM	\N	63	21485	UROK	\N	\N
3606418	2315	1994-08-31	PRIJEM	\N	98	24334	UROK	\N	\N
3606419	2315	1994-09-30	PRIJEM	\N	101	24187	UROK	\N	\N
3606420	2315	1994-10-31	PRIJEM	\N	109	27047	UROK	\N	\N
3606421	2315	1994-11-30	PRIJEM	\N	111	26610	UROK	\N	\N
3606422	2315	1994-12-31	PRIJEM	\N	117	28178	UROK	\N	\N
3606423	2315	1995-01-31	PRIJEM	\N	113	23523	UROK	\N	\N
3606424	2315	1995-02-28	PRIJEM	\N	97	22531	UROK	\N	\N
3606425	2315	1995-03-31	PRIJEM	\N	102	25385	UROK	\N	\N
3606426	2315	1995-04-30	PRIJEM	\N	118	28255	UROK	\N	\N
3606427	2315	1995-05-31	PRIJEM	\N	124	30430	UROK	\N	\N
3606428	2315	1995-06-30	PRIJEM	\N	129	31160	UROK	\N	\N
3606429	2315	1995-07-31	PRIJEM	\N	129	30360	UROK	\N	\N
3606430	2315	1995-08-31	PRIJEM	\N	135	33246	UROK	\N	\N
3606431	2315	1995-09-30	PRIJEM	\N	146	35943	UROK	\N	\N
3606432	2315	1995-10-31	PRIJEM	\N	138	30132	UROK	\N	\N
3606433	2315	1995-11-30	PRIJEM	\N	138	33021	UROK	\N	\N
3606434	2315	1995-12-31	PRIJEM	\N	141	33374	UROK	\N	\N
3606435	2315	1996-01-31	PRIJEM	\N	123	27048	UROK	\N	\N
3606436	2315	1996-02-29	PRIJEM	\N	125	29924	UROK	\N	\N
3606437	2315	1996-03-31	PRIJEM	\N	131	32407	UROK	\N	\N
3606438	2315	1996-04-30	PRIJEM	\N	143	35301	UROK	\N	\N
3606439	2315	1996-05-31	PRIJEM	\N	152	36524	UROK	\N	\N
3606440	2315	1996-06-30	PRIJEM	\N	124	28250	UROK	\N	\N
3606441	2315	1996-07-31	PRIJEM	\N	130	31132	UROK	\N	\N
3606442	2315	1996-08-31	PRIJEM	\N	142	34025	UROK	\N	\N
3606443	2315	1996-09-30	PRIJEM	\N	154	36930	UROK	\N	\N
3606444	2315	1996-10-31	PRIJEM	\N	166	39848	UROK	\N	\N
3606445	2315	1996-11-30	PRIJEM	\N	178	42777	UROK	\N	\N
3606446	2315	1996-12-31	PRIJEM	\N	181	42329	UROK	\N	\N
3606447	2315	1997-01-31	PRIJEM	\N	172	39333	UROK	\N	\N
3606448	2315	1997-02-28	PRIJEM	\N	175	42260	UROK	\N	\N
3606449	2315	1997-03-31	PRIJEM	\N	188	45199	UROK	\N	\N
3606450	2315	1997-04-30	PRIJEM	\N	199	47450	UROK	\N	\N
3606451	2315	1997-05-31	PRIJEM	\N	197	45718	UROK	\N	\N
3606452	2315	1997-06-30	PRIJEM	\N	192	35412	UROK	\N	\N
3606453	2315	1997-07-31	PRIJEM	\N	151	36314	UROK	\N	\N
3606454	2315	1997-08-31	PRIJEM	\N	157	36743	UROK	\N	\N
3606455	2315	1997-09-30	PRIJEM	\N	160	39654	UROK	\N	\N
3606456	2315	1997-10-31	PRIJEM	\N	166	39452	UROK	\N	\N
3606457	2315	1997-11-30	PRIJEM	\N	167	39730	UROK	\N	\N
3606458	2315	1997-12-31	PRIJEM	\N	171	40893	UROK	\N	\N
3606459	2315	1998-01-31	PRIJEM	\N	148	30992	UROK	\N	\N
3606460	2315	1998-02-28	PRIJEM	\N	132	32675	UROK	\N	\N
3606461	2315	1998-03-31	PRIJEM	\N	147	35574	UROK	\N	\N
3606462	2315	1998-04-30	PRIJEM	\N	146	32791	UROK	\N	\N
3606463	2315	1998-05-31	PRIJEM	\N	147	35690	UROK	\N	\N
3606464	2315	1998-06-30	PRIJEM	\N	125	26917	UROK	\N	\N
3606465	2315	1998-07-31	PRIJEM	\N	123	29791	UROK	\N	\N
3606466	2315	1998-08-31	PRIJEM	\N	134	32676	UROK	\N	\N
3606467	2315	1998-09-30	PRIJEM	\N	142	34470	UROK	\N	\N
3606468	2315	1998-10-31	PRIJEM	\N	146	35267	UROK	\N	\N
3606469	2315	1998-11-30	PRIJEM	\N	149	36367	UROK	\N	\N
3606470	2315	1998-12-31	PRIJEM	\N	156	38774	UROK	\N	\N
3606471	2316	1997-08-31	PRIJEM	\N	29	17919	UROK	\N	\N
3606472	2316	1997-09-30	PRIJEM	\N	85	24394	UROK	\N	\N
3606473	2316	1997-10-31	PRIJEM	\N	106	27290	UROK	\N	\N
3606474	2316	1997-11-30	PRIJEM	\N	113	27394	UROK	\N	\N
3606475	2316	1997-12-31	PRIJEM	\N	110	23006	UROK	\N	\N
3606476	2316	1998-01-31	PRIJEM	\N	96	21452	UROK	\N	\N
3606477	2316	1998-02-28	PRIJEM	\N	97	24198	UROK	\N	\N
3606478	2316	1998-03-31	PRIJEM	\N	108	27056	UROK	\N	\N
3606479	2316	1998-04-30	PRIJEM	\N	112	25517	UROK	\N	\N
3606480	2316	1998-05-31	PRIJEM	\N	109	24975	UROK	\N	\N
3606481	2316	1998-06-30	PRIJEM	\N	104	22799	UROK	\N	\N
3606482	2316	1998-07-31	PRIJEM	\N	94	22033	UROK	\N	\N
3606483	2316	1998-08-31	PRIJEM	\N	102	23184	UROK	\N	\N
3606484	2316	1998-09-30	PRIJEM	\N	110	28244	UROK	\N	\N
3606485	2316	1998-10-31	PRIJEM	\N	120	28613	UROK	\N	\N
3606486	2316	1998-11-30	PRIJEM	\N	117	27380	UROK	\N	\N
3606487	2316	1998-12-31	PRIJEM	\N	116	27606	UROK	\N	\N
3606488	2317	1998-01-31	PRIJEM	\N	65	12389	UROK	\N	\N
3606489	2317	1998-02-28	PRIJEM	\N	63	15049	UROK	\N	\N
3606490	2317	1998-03-31	PRIJEM	\N	69	17716	UROK	\N	\N
3606491	2317	1998-04-30	PRIJEM	\N	79	19832	UROK	\N	\N
3606492	2317	1998-05-31	PRIJEM	\N	95	22524	UROK	\N	\N
3606493	2317	1998-06-30	PRIJEM	\N	85	12656	UROK	\N	\N
3606494	2317	1998-07-31	PRIJEM	\N	59	15312	UROK	\N	\N
3606495	2317	1998-08-31	PRIJEM	\N	69	15499	UROK	\N	\N
3606496	2317	1998-09-30	PRIJEM	\N	70	17206	UROK	\N	\N
3606497	2317	1998-10-31	PRIJEM	\N	78	19881	UROK	\N	\N
3606498	2317	1998-11-30	PRIJEM	\N	94	22573	UROK	\N	\N
3606499	2317	1998-12-31	PRIJEM	\N	99	22079	UROK	\N	\N
3606500	2318	1993-11-30	PRIJEM	\N	71	23233	UROK	\N	\N
3606501	2318	1993-12-31	PRIJEM	\N	206	58681	UROK	\N	\N
3606502	2318	1994-01-31	PRIJEM	\N	266	66110	UROK	\N	\N
3606503	2318	1994-02-28	PRIJEM	\N	286	70058	UROK	\N	\N
3606504	2318	1994-03-31	PRIJEM	\N	272	62515	UROK	\N	\N
3606505	2318	1994-04-30	PRIJEM	\N	253	58738	UROK	\N	\N
3606506	2318	1994-05-31	PRIJEM	\N	239	55647	UROK	\N	\N
3606507	2318	1994-06-30	PRIJEM	\N	262	60160	UROK	\N	\N
3606508	2318	1994-07-31	PRIJEM	\N	239	55170	UROK	\N	\N
3606509	2318	1994-08-31	PRIJEM	\N	231	54271	UROK	\N	\N
3606510	2318	1994-09-30	PRIJEM	\N	211	49852	UROK	\N	\N
3606511	2318	1994-10-31	PRIJEM	\N	210	47233	UROK	\N	\N
3606512	2318	1994-11-30	PRIJEM	\N	183	44487	UROK	\N	\N
3606513	2318	1994-12-31	PRIJEM	\N	237	60475	UROK	\N	\N
3606514	2318	1995-01-31	PRIJEM	\N	211	39057	UROK	\N	\N
3606515	2318	1995-02-28	PRIJEM	\N	203	51130	UROK	\N	\N
3606516	2318	1995-03-31	PRIJEM	\N	229	55129	UROK	\N	\N
3606517	2318	1995-04-30	PRIJEM	\N	245	59144	UROK	\N	\N
3606518	2318	1995-05-31	PRIJEM	\N	251	59466	UROK	\N	\N
3606519	2318	1995-06-30	PRIJEM	\N	281	45498	UROK	\N	\N
3606520	2318	1995-07-31	PRIJEM	\N	221	55090	UROK	\N	\N
3606521	2318	1995-08-31	PRIJEM	\N	231	43891	UROK	\N	\N
3606522	2318	1995-09-30	PRIJEM	\N	218	47479	UROK	\N	\N
3606523	2318	1995-10-31	PRIJEM	\N	211	45761	UROK	\N	\N
3606524	2318	1995-11-30	PRIJEM	\N	221	46753	UROK	\N	\N
3606525	2318	1995-12-31	PRIJEM	\N	258	51262	UROK	\N	\N
3606526	2318	1996-01-31	PRIJEM	\N	226	37158	UROK	\N	\N
3606527	2318	1996-02-29	PRIJEM	\N	191	42020	UROK	\N	\N
3606528	2318	1996-03-31	PRIJEM	\N	212	45602	UROK	\N	\N
3606529	2318	1996-04-30	PRIJEM	\N	225	48797	UROK	\N	\N
3606530	2318	1996-05-31	PRIJEM	\N	235	49803	UROK	\N	\N
3606531	2318	1996-06-30	PRIJEM	\N	254	45808	UROK	\N	\N
3606532	2318	1996-07-31	PRIJEM	\N	217	47695	UROK	\N	\N
3606533	2318	1996-08-31	PRIJEM	\N	228	49693	UROK	\N	\N
3606534	2318	1996-09-30	PRIJEM	\N	230	47594	UROK	\N	\N
3606535	2318	1996-10-31	PRIJEM	\N	219	46284	UROK	\N	\N
3606536	2318	1996-11-30	PRIJEM	\N	214	44068	UROK	\N	\N
3606537	2318	1996-12-31	PRIJEM	\N	237	53156	UROK	\N	\N
3606538	2318	1997-01-31	PRIJEM	\N	208	39235	UROK	\N	\N
3606539	2318	1997-02-28	PRIJEM	\N	184	39089	UROK	\N	\N
3606540	2318	1997-03-31	PRIJEM	\N	187	40547	UROK	\N	\N
3606541	2318	1997-04-30	PRIJEM	\N	186	37503	UROK	\N	\N
3606542	2318	1997-05-31	PRIJEM	\N	167	31440	UROK	\N	\N
3606543	2318	1997-06-30	PRIJEM	\N	149	31141	UROK	\N	\N
3606544	2318	1997-07-31	PRIJEM	\N	154	34765	UROK	\N	\N
3606545	2318	1997-08-31	PRIJEM	\N	156	31791	UROK	\N	\N
3606546	2318	1997-09-30	PRIJEM	\N	150	33511	UROK	\N	\N
3606547	2318	1997-10-31	PRIJEM	\N	155	34337	UROK	\N	\N
3606548	2318	1997-11-30	PRIJEM	\N	154	33260	UROK	\N	\N
3606549	2318	1997-12-31	PRIJEM	\N	167	35079	UROK	\N	\N
3606550	2318	1998-01-31	PRIJEM	\N	133	26682	UROK	\N	\N
3606551	2318	1998-02-28	PRIJEM	\N	121	26973	UROK	\N	\N
3606552	2318	1998-03-31	PRIJEM	\N	129	29372	UROK	\N	\N
3606553	2318	1998-04-30	PRIJEM	\N	145	35387	UROK	\N	\N
3606554	2318	1998-05-31	PRIJEM	\N	155	34913	UROK	\N	\N
3606555	2318	1998-06-30	PRIJEM	\N	159	33923	UROK	\N	\N
3606556	2318	1998-07-31	PRIJEM	\N	144	31837	UROK	\N	\N
3606557	2318	1998-08-31	PRIJEM	\N	126	27033	UROK	\N	\N
3606558	2318	1998-09-30	PRIJEM	\N	104	22608	UROK	\N	\N
3606559	2318	1998-10-31	PRIJEM	\N	132	36511	UROK	\N	\N
3606560	2318	1998-11-30	PRIJEM	\N	104	17485	UROK	\N	\N
3606561	2318	1998-12-31	PRIJEM	\N	89	22326	UROK	\N	\N
3606562	2319	1996-08-31	PRIJEM	\N	3	12903	UROK	\N	\N
3606563	2319	1996-09-30	PRIJEM	\N	78	23580	UROK	\N	\N
3606564	2319	1996-10-31	PRIJEM	\N	78	25658	UROK	\N	\N
3606565	2319	1996-11-30	PRIJEM	\N	149	60213	UROK	\N	\N
3606566	2319	1996-12-31	PRIJEM	\N	250	46664	UROK	\N	\N
3606567	2319	1997-01-31	PRIJEM	\N	261	47945	UROK	\N	\N
3606568	2319	1997-02-28	PRIJEM	\N	215	39302	UROK	\N	\N
3606569	2319	1997-03-31	PRIJEM	\N	218	42641	UROK	\N	\N
3606570	2319	1997-04-30	PRIJEM	\N	245	53626	UROK	\N	\N
3606571	2319	1997-05-31	PRIJEM	\N	213	31715	UROK	\N	\N
3606572	2319	1997-06-30	PRIJEM	\N	155	38825	UROK	\N	\N
3606573	2319	1997-07-31	PRIJEM	\N	154	27155	UROK	\N	\N
3606574	2319	1997-08-31	PRIJEM	\N	103	19489	UROK	\N	\N
3606575	2319	1997-09-30	PRIJEM	\N	303	62140	UROK	\N	\N
3606576	2319	1997-10-31	PRIJEM	\N	314	51492	UROK	\N	\N
3606577	2319	1997-11-30	PRIJEM	\N	214	57882	UROK	\N	\N
3606578	2319	1997-12-31	PRIJEM	\N	186	31954	UROK	\N	\N
3606579	2319	1998-01-31	PRIJEM	\N	119	23822	UROK	\N	\N
3606580	2319	1998-02-28	PRIJEM	\N	96	20693	UROK	\N	\N
3606581	2319	1998-03-31	PRIJEM	\N	79	14148	UROK	\N	\N
3606582	2319	1998-04-30	PRIJEM	\N	57	4680	UROK	\N	\N
3606583	2319	1998-06-30	PRIJEM	\N	20	4671	UROK	\N	\N
3606584	2319	1998-06-30	PRIJEM	\N	19	4690	UROK	\N	\N
3606585	2319	1998-07-31	PRIJEM	\N	19	4695	UROK	\N	\N
3606586	2319	1998-08-31	PRIJEM	\N	54	15841	UROK	\N	\N
3606587	2319	1998-09-30	PRIJEM	\N	102	22919	UROK	\N	\N
3606588	2319	1998-10-31	PRIJEM	\N	88	22382	UROK	\N	\N
3606589	2319	1998-11-30	PRIJEM	\N	93	21695	UROK	\N	\N
3606590	2319	1998-12-31	PRIJEM	\N	165	55028	UROK	\N	\N
3606591	2321	1993-05-31	PRIJEM	\N	44	54845	UROK	\N	\N
3606592	2321	1993-06-30	PRIJEM	\N	289	51278	UROK	\N	\N
3606593	2321	1993-07-31	PRIJEM	\N	183	25746	UROK	\N	\N
3606594	2321	1993-08-31	PRIJEM	\N	121	33437	UROK	\N	\N
3606595	2321	1993-09-30	PRIJEM	\N	140	47516	UROK	\N	\N
3606596	2321	1993-10-31	PRIJEM	\N	214	67417	UROK	\N	\N
3606597	2321	1993-11-30	PRIJEM	\N	290	103954	UROK	\N	\N
3606598	2321	1993-12-31	PRIJEM	\N	352	69613	UROK	\N	\N
3606599	2321	1994-01-31	PRIJEM	\N	161	24959	UROK	\N	\N
3606600	2321	1994-02-28	PRIJEM	\N	95	27568	UROK	\N	\N
3606601	2321	1994-03-31	PRIJEM	\N	285	74677	UROK	\N	\N
3606602	2321	1994-04-30	PRIJEM	\N	182	24050	UROK	\N	\N
3606603	2321	1994-05-31	PRIJEM	\N	120	27858	UROK	\N	\N
3606604	2321	1994-06-30	PRIJEM	\N	170	31189	UROK	\N	\N
3606605	2321	1994-07-31	PRIJEM	\N	142	44935	UROK	\N	\N
3606606	2321	1994-08-31	PRIJEM	\N	307	73813	UROK	\N	\N
3606607	2321	1994-09-30	PRIJEM	\N	375	82447	UROK	\N	\N
3606608	2321	1994-10-31	PRIJEM	\N	201	33815	UROK	\N	\N
3606609	2321	1994-11-30	PRIJEM	\N	148	37585	UROK	\N	\N
3606610	2321	1994-12-31	PRIJEM	\N	244	73881	UROK	\N	\N
3606611	2321	1995-01-31	PRIJEM	\N	264	108225	UROK	\N	\N
3606612	2321	1995-02-28	PRIJEM	\N	371	78824	UROK	\N	\N
3606613	2321	1995-03-31	PRIJEM	\N	291	54200	UROK	\N	\N
3606614	2321	1995-04-30	PRIJEM	\N	243	87731	UROK	\N	\N
3606615	2321	1995-05-31	PRIJEM	\N	328	93560	UROK	\N	\N
3606616	2321	1995-06-30	PRIJEM	\N	308	64154	UROK	\N	\N
3606617	2321	1995-07-31	PRIJEM	\N	300	74039	UROK	\N	\N
3606618	2321	1995-08-31	PRIJEM	\N	310	84803	UROK	\N	\N
3606619	2321	1995-09-30	PRIJEM	\N	386	91467	UROK	\N	\N
3606620	2321	1995-10-31	PRIJEM	\N	249	53707	UROK	\N	\N
3606621	2321	1995-11-30	PRIJEM	\N	233	59680	UROK	\N	\N
3606622	2321	1995-12-31	PRIJEM	\N	288	63597	UROK	\N	\N
3606623	2321	1996-01-31	PRIJEM	\N	373	53037	UROK	\N	\N
3606624	2321	1996-02-29	PRIJEM	\N	224	63646	UROK	\N	\N
3606625	2321	1996-03-31	PRIJEM	\N	258	49091	UROK	\N	\N
3606626	2321	1996-04-30	PRIJEM	\N	274	47569	UROK	\N	\N
3606627	2321	1996-05-31	PRIJEM	\N	202	65119	UROK	\N	\N
3606628	2321	1996-06-30	PRIJEM	\N	160	35169	UROK	\N	\N
3606629	2321	1996-07-31	PRIJEM	\N	144	34998	UROK	\N	\N
3606630	2321	1996-08-31	PRIJEM	\N	144	38827	UROK	\N	\N
3606631	2321	1996-09-30	PRIJEM	\N	186	77678	UROK	\N	\N
3606632	2321	1996-10-31	PRIJEM	\N	358	63189	UROK	\N	\N
3606633	2321	1996-11-30	PRIJEM	\N	245	45222	UROK	\N	\N
3606634	2321	1996-12-31	PRIJEM	\N	262	75636	UROK	\N	\N
3606635	2321	1997-01-31	PRIJEM	\N	348	92567	UROK	\N	\N
3606636	2321	1997-02-28	PRIJEM	\N	378	65731	UROK	\N	\N
3606637	2321	1997-03-31	PRIJEM	\N	249	48665	UROK	\N	\N
3606638	2321	1997-04-30	PRIJEM	\N	189	41239	UROK	\N	\N
3606639	2321	1997-05-31	PRIJEM	\N	168	42792	UROK	\N	\N
3606640	2321	1997-06-30	PRIJEM	\N	205	65313	UROK	\N	\N
3606641	2321	1997-07-31	PRIJEM	\N	267	60465	UROK	\N	\N
3606642	2321	1997-08-31	PRIJEM	\N	235	45785	UROK	\N	\N
3606643	2321	1997-09-30	PRIJEM	\N	186	48057	UROK	\N	\N
3606644	2321	1997-10-31	PRIJEM	\N	227	66506	UROK	\N	\N
3606645	2321	1997-11-30	PRIJEM	\N	299	79005	UROK	\N	\N
3606646	2321	1997-12-31	PRIJEM	\N	287	59277	UROK	\N	\N
3606647	2321	1998-01-31	PRIJEM	\N	209	36066	UROK	\N	\N
3606648	2321	1998-02-28	PRIJEM	\N	154	41574	UROK	\N	\N
3606649	2321	1998-03-31	PRIJEM	\N	194	70109	UROK	\N	\N
3606650	2321	1998-04-30	PRIJEM	\N	280	49249	UROK	\N	\N
3606651	2321	1998-05-31	PRIJEM	\N	243	58761	UROK	\N	\N
3606652	2321	1998-06-30	PRIJEM	\N	281	86052	UROK	\N	\N
3606653	2321	1998-07-31	PRIJEM	\N	358	69650	UROK	\N	\N
3606654	2321	1998-08-31	PRIJEM	\N	262	71512	UROK	\N	\N
3606655	2321	1998-09-30	PRIJEM	\N	304	82639	UROK	\N	\N
3606656	2321	1998-10-31	PRIJEM	\N	436	117567	UROK	\N	\N
3606657	2321	1998-11-30	PRIJEM	\N	330	54815	UROK	\N	\N
3606658	2321	1998-12-31	PRIJEM	\N	253	64831	UROK	\N	\N
3606659	2322	1995-01-31	PRIJEM	\N	29	35851	UROK	\N	\N
3606660	2322	1995-02-28	PRIJEM	\N	251	45445	UROK	\N	\N
3606661	2322	1995-03-31	PRIJEM	\N	152	60612	UROK	\N	\N
3606662	2322	1995-04-30	PRIJEM	\N	167	54865	UROK	\N	\N
3606663	2322	1995-05-31	PRIJEM	\N	208	57808	UROK	\N	\N
3606664	2322	1995-06-30	PRIJEM	\N	293	70774	UROK	\N	\N
3606665	2322	1995-07-31	PRIJEM	\N	234	55304	UROK	\N	\N
3606666	2322	1995-08-31	PRIJEM	\N	190	48548	UROK	\N	\N
3606667	2322	1995-09-30	PRIJEM	\N	196	27567	UROK	\N	\N
3606668	2322	1995-10-31	PRIJEM	\N	217	50297	UROK	\N	\N
3606669	2322	1995-11-30	PRIJEM	\N	182	26523	UROK	\N	\N
3606670	2322	1995-12-31	PRIJEM	\N	184	45977	UROK	\N	\N
3606671	2322	1996-01-31	PRIJEM	\N	157	33593	UROK	\N	\N
3606672	2322	1996-02-29	PRIJEM	\N	112	22310	UROK	\N	\N
3606673	2322	1996-03-31	PRIJEM	\N	90	36629	UROK	\N	\N
3606674	2322	1996-04-30	PRIJEM	\N	126	21861	UROK	\N	\N
3606675	2322	1996-05-31	PRIJEM	\N	68	13834	UROK	\N	\N
3606676	2322	1996-06-30	PRIJEM	\N	114	23667	UROK	\N	\N
3606677	2322	1996-07-31	PRIJEM	\N	183	49058	UROK	\N	\N
3606678	2322	1996-08-31	PRIJEM	\N	135	24468	UROK	\N	\N
3606679	2322	1996-09-30	PRIJEM	\N	92	54373	UROK	\N	\N
3606680	2322	1996-10-31	PRIJEM	\N	232	67757	UROK	\N	\N
3606681	2322	1996-11-30	PRIJEM	\N	326	51271	UROK	\N	\N
3606682	2322	1996-12-31	PRIJEM	\N	146	24350	UROK	\N	\N
3606683	2322	1997-01-31	PRIJEM	\N	110	23845	UROK	\N	\N
3606684	2322	1997-02-28	PRIJEM	\N	104	24104	UROK	\N	\N
3606685	2322	1997-03-31	PRIJEM	\N	88	44630	UROK	\N	\N
3606686	2322	1997-04-30	PRIJEM	\N	276	56604	UROK	\N	\N
3606687	2322	1997-05-31	PRIJEM	\N	269	52880	UROK	\N	\N
3606688	2322	1997-06-30	PRIJEM	\N	179	34035	UROK	\N	\N
3606689	2322	1997-07-31	PRIJEM	\N	181	49883	UROK	\N	\N
3606690	2322	1997-08-31	PRIJEM	\N	203	59311	UROK	\N	\N
3606691	2322	1997-09-30	PRIJEM	\N	379	109180	UROK	\N	\N
3606692	2322	1997-10-31	PRIJEM	\N	284	87444	UROK	\N	\N
3606693	2322	1997-11-30	PRIJEM	\N	340	93081	UROK	\N	\N
3606694	2322	1997-12-31	PRIJEM	\N	370	109038	UROK	\N	\N
3606695	2322	1998-01-31	PRIJEM	\N	273	32077	UROK	\N	\N
3606696	2322	1998-02-28	PRIJEM	\N	125	31578	UROK	\N	\N
3606697	2322	1998-03-31	PRIJEM	\N	114	24721	UROK	\N	\N
3606698	2322	1998-04-30	PRIJEM	\N	97	25893	UROK	\N	\N
3606699	2322	1998-05-31	PRIJEM	\N	92	22561	UROK	\N	\N
3606700	2322	1998-06-30	PRIJEM	\N	83	21019	UROK	\N	\N
3606701	2322	1998-07-31	PRIJEM	\N	76	18801	UROK	\N	\N
3606702	2322	1998-08-31	PRIJEM	\N	76	20882	UROK	\N	\N
3606703	2322	1998-09-30	PRIJEM	\N	62	12949	UROK	\N	\N
3606704	2322	1998-10-31	PRIJEM	\N	32	6286	UROK	\N	\N
3606705	2322	1998-11-30	PRIJEM	\N	17	3987	UROK	\N	\N
3606706	2322	1998-12-31	PRIJEM	\N	46	16988	UROK	\N	\N
3606707	2323	1995-05-31	PRIJEM	\N	64	22753	UROK	\N	\N
3606708	2323	1995-06-30	PRIJEM	\N	194	58531	UROK	\N	\N
3606709	2323	1995-07-31	PRIJEM	\N	267	67087	UROK	\N	\N
3606710	2323	1995-08-31	PRIJEM	\N	285	69561	UROK	\N	\N
3606711	2323	1995-09-30	PRIJEM	\N	285	68235	UROK	\N	\N
3606712	2323	1995-10-31	PRIJEM	\N	255	62319	UROK	\N	\N
3606713	2323	1995-11-30	PRIJEM	\N	243	59590	UROK	\N	\N
3606714	2323	1995-12-31	PRIJEM	\N	273	71286	UROK	\N	\N
3606715	2323	1996-01-31	PRIJEM	\N	209	42724	UROK	\N	\N
3606716	2323	1996-02-29	PRIJEM	\N	182	47035	UROK	\N	\N
3606717	2323	1996-03-31	PRIJEM	\N	209	52372	UROK	\N	\N
3606718	2323	1996-04-30	PRIJEM	\N	222	55023	UROK	\N	\N
3606719	2323	1996-05-31	PRIJEM	\N	240	60391	UROK	\N	\N
3606720	2323	1996-06-30	PRIJEM	\N	269	63683	UROK	\N	\N
3606721	2323	1996-07-31	PRIJEM	\N	255	62966	UROK	\N	\N
3606722	2323	1996-08-31	PRIJEM	\N	275	51669	UROK	\N	\N
3606723	2323	1996-09-30	PRIJEM	\N	240	48237	UROK	\N	\N
3606724	2323	1996-10-31	PRIJEM	\N	234	49700	UROK	\N	\N
3606725	2323	1996-11-30	PRIJEM	\N	245	50973	UROK	\N	\N
3606726	2323	1996-12-31	PRIJEM	\N	272	55768	UROK	\N	\N
3606727	2323	1997-01-31	PRIJEM	\N	227	46023	UROK	\N	\N
3606728	2323	1997-02-28	PRIJEM	\N	229	52581	UROK	\N	\N
3606729	2323	1997-03-31	PRIJEM	\N	255	53164	UROK	\N	\N
3606730	2323	1997-04-30	PRIJEM	\N	253	55245	UROK	\N	\N
3606731	2323	1997-05-31	PRIJEM	\N	261	52035	UROK	\N	\N
3606732	2323	1997-06-30	PRIJEM	\N	247	52505	UROK	\N	\N
3606733	2323	1997-07-31	PRIJEM	\N	248	52481	UROK	\N	\N
3606734	2323	1997-08-31	PRIJEM	\N	244	51454	UROK	\N	\N
3606735	2323	1997-09-30	PRIJEM	\N	241	50923	UROK	\N	\N
3606736	2323	1997-10-31	PRIJEM	\N	244	56496	UROK	\N	\N
3606737	2323	1997-11-30	PRIJEM	\N	259	55883	UROK	\N	\N
3606738	2323	1997-12-31	PRIJEM	\N	278	62085	UROK	\N	\N
3606739	2323	1998-01-31	PRIJEM	\N	260	47474	UROK	\N	\N
3606740	2323	1998-02-28	PRIJEM	\N	226	53628	UROK	\N	\N
3606741	2323	1998-03-31	PRIJEM	\N	247	53603	UROK	\N	\N
3606742	2323	1998-04-30	PRIJEM	\N	252	59384	UROK	\N	\N
3606743	2323	1998-05-31	PRIJEM	\N	262	53074	UROK	\N	\N
3606744	2323	1998-06-30	PRIJEM	\N	256	58553	UROK	\N	\N
3606745	2323	1998-07-31	PRIJEM	\N	263	59144	UROK	\N	\N
3606746	2323	1998-08-31	PRIJEM	\N	254	53927	UROK	\N	\N
3606747	2323	1998-09-30	PRIJEM	\N	236	51291	UROK	\N	\N
3606748	2323	1998-10-31	PRIJEM	\N	236	56055	UROK	\N	\N
3606749	2323	1998-11-30	PRIJEM	\N	239	51922	UROK	\N	\N
3606750	2323	1998-12-31	PRIJEM	\N	280	77125	UROK	\N	\N
3606751	2324	1997-06-30	PRIJEM	\N	21	19079	UROK	\N	\N
3606752	2324	1997-07-31	PRIJEM	\N	92	29844	UROK	\N	\N
3606753	2324	1997-08-31	PRIJEM	\N	125	30641	UROK	\N	\N
3606754	2324	1997-09-30	PRIJEM	\N	126	30139	UROK	\N	\N
3606755	2324	1997-10-31	PRIJEM	\N	145	23905	UROK	\N	\N
3606756	2324	1997-11-30	PRIJEM	\N	131	26842	UROK	\N	\N
3606757	2324	1997-12-31	PRIJEM	\N	149	24584	UROK	\N	\N
3606758	2324	1998-01-31	PRIJEM	\N	98	16588	UROK	\N	\N
3606759	2324	1998-02-28	PRIJEM	\N	88	14983	UROK	\N	\N
3606760	2324	1998-03-31	PRIJEM	\N	84	18273	UROK	\N	\N
3606761	2324	1998-04-30	PRIJEM	\N	88	14668	UROK	\N	\N
3606762	2324	1998-05-31	PRIJEM	\N	77	13851	UROK	\N	\N
3606763	2324	1998-06-30	PRIJEM	\N	84	13527	UROK	\N	\N
3606764	2324	1998-07-31	PRIJEM	\N	73	13806	UROK	\N	\N
3606765	2324	1998-08-31	PRIJEM	\N	69	12482	UROK	\N	\N
3606766	2324	1998-09-30	PRIJEM	\N	100	22589	UROK	\N	\N
3606767	2324	1998-10-31	PRIJEM	\N	95	16690	UROK	\N	\N
3606768	2324	1998-11-30	PRIJEM	\N	70	11266	UROK	\N	\N
3606769	2324	1998-12-31	PRIJEM	\N	104	26662	UROK	\N	\N
3606770	2325	1997-03-31	PRIJEM	\N	10	17599	UROK	\N	\N
3606771	2325	1997-04-30	PRIJEM	\N	77	24064	UROK	\N	\N
3606772	2325	1997-05-31	PRIJEM	\N	103	29257	UROK	\N	\N
3606773	2325	1997-06-30	PRIJEM	\N	124	32965	UROK	\N	\N
3606774	2325	1997-07-31	PRIJEM	\N	161	32110	UROK	\N	\N
3606775	2325	1997-08-31	PRIJEM	\N	152	31878	UROK	\N	\N
3606776	2325	1997-09-30	PRIJEM	\N	148	29442	UROK	\N	\N
3606777	2325	1997-10-31	PRIJEM	\N	142	31999	UROK	\N	\N
3606778	2325	1997-11-30	PRIJEM	\N	125	25059	UROK	\N	\N
3606779	2325	1997-12-31	PRIJEM	\N	127	28816	UROK	\N	\N
3606780	2325	1998-01-31	PRIJEM	\N	95	18287	UROK	\N	\N
3606781	2325	1998-02-28	PRIJEM	\N	99	25901	UROK	\N	\N
3606782	2325	1998-03-31	PRIJEM	\N	127	28543	UROK	\N	\N
3606783	2325	1998-04-30	PRIJEM	\N	130	31369	UROK	\N	\N
3606784	2325	1998-05-31	PRIJEM	\N	141	28425	UROK	\N	\N
3606785	2325	1998-06-30	PRIJEM	\N	140	28075	UROK	\N	\N
3606786	2325	1998-07-31	PRIJEM	\N	132	30223	UROK	\N	\N
3606787	2325	1998-08-31	PRIJEM	\N	130	26269	UROK	\N	\N
3606788	2325	1998-09-30	PRIJEM	\N	118	25702	UROK	\N	\N
3606789	2325	1998-10-31	PRIJEM	\N	110	22027	UROK	\N	\N
3606790	2325	1998-11-30	PRIJEM	\N	93	21055	UROK	\N	\N
3606791	2325	1998-12-31	PRIJEM	\N	123	35869	UROK	\N	\N
3606792	2326	1994-02-28	PRIJEM	\N	60	39553	UROK	\N	\N
3606793	2326	1994-03-31	PRIJEM	\N	175	59773	UROK	\N	\N
3606794	2326	1994-04-30	PRIJEM	\N	284	99501	UROK	\N	\N
3606795	2326	1994-05-31	PRIJEM	\N	341	42663	UROK	\N	\N
3606796	2326	1994-06-30	PRIJEM	\N	152	23524	UROK	\N	\N
3606797	2326	1994-07-31	PRIJEM	\N	134	56410	UROK	\N	\N
3606798	2326	1994-08-31	PRIJEM	\N	216	59677	UROK	\N	\N
3606799	2326	1994-09-30	PRIJEM	\N	284	63200	UROK	\N	\N
3606800	2326	1994-10-31	PRIJEM	\N	251	48593	UROK	\N	\N
3606801	2326	1994-11-30	PRIJEM	\N	179	33336	UROK	\N	\N
3606802	2326	1994-12-31	PRIJEM	\N	252	53687	UROK	\N	\N
3606803	2326	1995-01-31	PRIJEM	\N	131	21682	UROK	\N	\N
3606804	2326	1995-02-28	PRIJEM	\N	89	21034	UROK	\N	\N
3606805	2326	1995-03-31	PRIJEM	\N	85	19582	UROK	\N	\N
3606806	2326	1995-04-30	PRIJEM	\N	87	22832	UROK	\N	\N
3606807	2326	1995-05-31	PRIJEM	\N	118	28200	UROK	\N	\N
3606808	2326	1995-06-30	PRIJEM	\N	87	21674	UROK	\N	\N
3606809	2326	1995-07-31	PRIJEM	\N	90	21627	UROK	\N	\N
3606810	2326	1995-08-31	PRIJEM	\N	85	19475	UROK	\N	\N
3606811	2326	1995-09-30	PRIJEM	\N	77	17716	UROK	\N	\N
3606812	2326	1995-10-31	PRIJEM	\N	76	19055	UROK	\N	\N
3606813	2326	1995-11-30	PRIJEM	\N	81	20199	UROK	\N	\N
3606814	2326	1995-12-31	PRIJEM	\N	85	20948	UROK	\N	\N
3606815	2326	1996-01-31	PRIJEM	\N	97	21090	UROK	\N	\N
3606816	2326	1996-02-29	PRIJEM	\N	97	25016	UROK	\N	\N
3606817	2326	1996-03-31	PRIJEM	\N	132	33403	UROK	\N	\N
3606818	2326	1996-04-30	PRIJEM	\N	128	29395	UROK	\N	\N
3606819	2326	1996-05-31	PRIJEM	\N	116	24780	UROK	\N	\N
3606820	2326	1996-06-30	PRIJEM	\N	95	22038	UROK	\N	\N
3606821	2326	1996-07-31	PRIJEM	\N	223	78703	UROK	\N	\N
3606822	2326	1996-08-31	PRIJEM	\N	256	53721	UROK	\N	\N
3606823	2326	1996-09-30	PRIJEM	\N	177	38262	UROK	\N	\N
3606824	2326	1996-10-31	PRIJEM	\N	195	103325	UROK	\N	\N
3606825	2326	1996-11-30	PRIJEM	\N	337	62278	UROK	\N	\N
3606826	2326	1996-12-31	PRIJEM	\N	248	71759	UROK	\N	\N
3606827	2326	1997-01-31	PRIJEM	\N	188	28377	UROK	\N	\N
3606828	2326	1997-02-28	PRIJEM	\N	234	70838	UROK	\N	\N
3606829	2326	1997-03-31	PRIJEM	\N	192	28385	UROK	\N	\N
3606830	2326	1997-04-30	PRIJEM	\N	127	31675	UROK	\N	\N
3606831	2326	1997-05-31	PRIJEM	\N	123	29561	UROK	\N	\N
3606832	2326	1997-06-30	PRIJEM	\N	113	27237	UROK	\N	\N
3606833	2326	1997-07-31	PRIJEM	\N	126	40601	UROK	\N	\N
3606834	2326	1997-08-31	PRIJEM	\N	238	73949	UROK	\N	\N
3606835	2326	1997-09-30	PRIJEM	\N	181	48244	UROK	\N	\N
3606836	2326	1997-10-31	PRIJEM	\N	115	25266	UROK	\N	\N
3606837	2326	1997-11-30	PRIJEM	\N	133	35032	UROK	\N	\N
3606838	2326	1997-12-31	PRIJEM	\N	135	31530	UROK	\N	\N
3606839	2326	1998-01-31	PRIJEM	\N	98	23292	UROK	\N	\N
3606840	2326	1998-02-28	PRIJEM	\N	114	29169	UROK	\N	\N
3606841	2326	1998-03-31	PRIJEM	\N	140	35573	UROK	\N	\N
3606842	2326	1998-04-30	PRIJEM	\N	166	40903	UROK	\N	\N
3606843	2326	1998-05-31	PRIJEM	\N	132	24114	UROK	\N	\N
3606844	2326	1998-06-30	PRIJEM	\N	127	32704	UROK	\N	\N
3606845	2326	1998-07-31	PRIJEM	\N	168	43035	UROK	\N	\N
3606846	2326	1998-08-31	PRIJEM	\N	172	47520	UROK	\N	\N
3606847	2326	1998-09-30	PRIJEM	\N	113	23554	UROK	\N	\N
3606848	2326	1998-10-31	PRIJEM	\N	160	51377	UROK	\N	\N
3606849	2326	1998-11-30	PRIJEM	\N	164	52716	UROK	\N	\N
3606850	2326	1998-12-31	PRIJEM	\N	189	41368	UROK	\N	\N
3606851	2327	1993-07-31	PRIJEM	\N	69	21583	UROK	\N	\N
3606852	2327	1993-08-31	PRIJEM	\N	116	29413	UROK	\N	\N
3606853	2327	1993-09-30	PRIJEM	\N	167	42995	UROK	\N	\N
3606854	2327	1993-10-31	PRIJEM	\N	206	51315	UROK	\N	\N
3606855	2327	1993-11-30	PRIJEM	\N	191	42412	UROK	\N	\N
3606856	2327	1993-12-31	PRIJEM	\N	161	30236	UROK	\N	\N
3606857	2327	1994-01-31	PRIJEM	\N	92	17419	UROK	\N	\N
3606858	2327	1994-02-28	PRIJEM	\N	100	23510	UROK	\N	\N
3606859	2327	1994-03-31	PRIJEM	\N	108	24510	UROK	\N	\N
3606860	2327	1994-04-30	PRIJEM	\N	122	28424	UROK	\N	\N
3606861	2327	1994-05-31	PRIJEM	\N	133	30848	UROK	\N	\N
3606862	2327	1994-06-30	PRIJEM	\N	158	38054	UROK	\N	\N
3606863	2327	1994-07-31	PRIJEM	\N	157	35502	UROK	\N	\N
3606864	2327	1994-08-31	PRIJEM	\N	117	19810	UROK	\N	\N
3606865	2327	1994-09-30	PRIJEM	\N	115	27416	UROK	\N	\N
3606866	2327	1994-10-31	PRIJEM	\N	128	29636	UROK	\N	\N
3606867	2327	1994-11-30	PRIJEM	\N	127	31554	UROK	\N	\N
3606868	2327	1994-12-31	PRIJEM	\N	134	29236	UROK	\N	\N
3606869	2327	1995-01-31	PRIJEM	\N	100	24728	UROK	\N	\N
3606870	2327	1995-02-28	PRIJEM	\N	109	27329	UROK	\N	\N
3606871	2327	1995-03-31	PRIJEM	\N	99	23519	UROK	\N	\N
3606872	2327	1995-04-30	PRIJEM	\N	53	13114	UROK	\N	\N
3606873	2327	1995-05-31	PRIJEM	\N	62	16467	UROK	\N	\N
3606874	2327	1995-06-30	PRIJEM	\N	95	22110	UROK	\N	\N
3606875	2327	1995-07-31	PRIJEM	\N	97	20698	UROK	\N	\N
3606876	2327	1995-08-31	PRIJEM	\N	92	21681	UROK	\N	\N
3606877	2327	1995-09-30	PRIJEM	\N	94	20266	UROK	\N	\N
3606878	2327	1995-10-31	PRIJEM	\N	86	21266	UROK	\N	\N
3606879	2327	1995-11-30	PRIJEM	\N	87	20445	UROK	\N	\N
3606880	2327	1995-12-31	PRIJEM	\N	109	25702	UROK	\N	\N
3606881	2327	1996-01-31	PRIJEM	\N	91	17484	UROK	\N	\N
3606882	2327	1996-02-29	PRIJEM	\N	74	15550	UROK	\N	\N
3606883	2327	1996-03-31	PRIJEM	\N	69	16010	UROK	\N	\N
3606884	2327	1996-04-30	PRIJEM	\N	71	17473	UROK	\N	\N
3606885	2327	1996-05-31	PRIJEM	\N	77	18541	UROK	\N	\N
3606886	2327	1996-06-30	PRIJEM	\N	89	18778	UROK	\N	\N
3606887	2327	1996-07-31	PRIJEM	\N	76	15646	UROK	\N	\N
3606888	2327	1996-08-31	PRIJEM	\N	64	13502	UROK	\N	\N
3606889	2327	1996-09-30	PRIJEM	\N	65	17958	UROK	\N	\N
3606890	2327	1996-10-31	PRIJEM	\N	61	12393	UROK	\N	\N
3606891	2327	1996-11-30	PRIJEM	\N	57	14941	UROK	\N	\N
3606892	2327	1996-12-31	PRIJEM	\N	80	19469	UROK	\N	\N
3606893	2327	1997-01-31	PRIJEM	\N	78	17338	UROK	\N	\N
3606894	2327	1997-02-28	PRIJEM	\N	68	14698	UROK	\N	\N
3606895	2327	1997-03-31	PRIJEM	\N	65	16354	UROK	\N	\N
3606896	2327	1997-04-30	PRIJEM	\N	70	16915	UROK	\N	\N
3606897	2327	1997-05-31	PRIJEM	\N	73	18080	UROK	\N	\N
3606898	2327	1997-06-30	PRIJEM	\N	90	22318	UROK	\N	\N
3606899	2327	1997-07-31	PRIJEM	\N	89	20298	UROK	\N	\N
3606900	2327	1997-08-31	PRIJEM	\N	71	15461	UROK	\N	\N
3606901	2327	1997-09-30	PRIJEM	\N	61	14514	UROK	\N	\N
3606902	2327	1997-10-31	PRIJEM	\N	65	17070	UROK	\N	\N
3606903	2327	1997-11-30	PRIJEM	\N	76	19637	UROK	\N	\N
3606904	2327	1997-12-31	PRIJEM	\N	107	27092	UROK	\N	\N
3606905	2327	1998-01-31	PRIJEM	\N	108	13192	UROK	\N	\N
3606906	2327	1998-02-28	PRIJEM	\N	59	15742	UROK	\N	\N
3606907	2327	1998-03-31	PRIJEM	\N	70	18304	UROK	\N	\N
3606908	2327	1998-04-30	PRIJEM	\N	80	20875	UROK	\N	\N
3606909	2327	1998-05-31	PRIJEM	\N	91	23458	UROK	\N	\N
3606910	2327	1998-06-30	PRIJEM	\N	124	33930	UROK	\N	\N
3606911	2327	1998-07-31	PRIJEM	\N	145	36566	UROK	\N	\N
3606912	2327	1998-08-31	PRIJEM	\N	156	39214	UROK	\N	\N
3606913	2327	1998-09-30	PRIJEM	\N	77	10082	UROK	\N	\N
3606914	2327	1998-10-31	PRIJEM	\N	46	12619	UROK	\N	\N
3606915	2327	1998-11-30	PRIJEM	\N	56	15167	UROK	\N	\N
3606916	2327	1998-12-31	PRIJEM	\N	89	25604	UROK	\N	\N
3606917	2328	1995-11-30	PRIJEM	\N	5	34830	UROK	\N	\N
3606918	2328	1995-12-31	PRIJEM	\N	151	37765	UROK	\N	\N
3606919	2328	1996-01-31	PRIJEM	\N	142	30691	UROK	\N	\N
3606920	2328	1996-02-29	PRIJEM	\N	130	33005	UROK	\N	\N
3606921	2328	1996-03-31	PRIJEM	\N	140	35009	UROK	\N	\N
3606922	2328	1996-04-30	PRIJEM	\N	158	40072	UROK	\N	\N
3606923	2328	1996-05-31	PRIJEM	\N	171	42848	UROK	\N	\N
3606924	2328	1996-06-30	PRIJEM	\N	140	30522	UROK	\N	\N
3606925	2328	1996-07-31	PRIJEM	\N	140	35566	UROK	\N	\N
3606926	2328	1996-08-31	PRIJEM	\N	159	40530	UROK	\N	\N
3606927	2328	1996-09-30	PRIJEM	\N	176	44610	UROK	\N	\N
3606928	2328	1996-10-31	PRIJEM	\N	194	47869	UROK	\N	\N
3606929	2328	1996-11-30	PRIJEM	\N	204	50877	UROK	\N	\N
3606930	2328	1996-12-31	PRIJEM	\N	212	52893	UROK	\N	\N
3606931	2328	1997-01-31	PRIJEM	\N	206	49803	UROK	\N	\N
3606932	2328	1997-02-28	PRIJEM	\N	206	50954	UROK	\N	\N
3606933	2328	1997-03-31	PRIJEM	\N	212	52851	UROK	\N	\N
3606934	2328	1997-04-30	PRIJEM	\N	230	57785	UROK	\N	\N
3606935	2328	1997-05-31	PRIJEM	\N	231	56420	UROK	\N	\N
3606936	2328	1997-06-30	PRIJEM	\N	224	52148	UROK	\N	\N
3606937	2328	1997-07-31	PRIJEM	\N	227	56779	UROK	\N	\N
3606938	2328	1997-08-31	PRIJEM	\N	249	61932	UROK	\N	\N
3606939	2328	1997-09-30	PRIJEM	\N	261	64057	UROK	\N	\N
3606940	2328	1997-10-31	PRIJEM	\N	266	65047	UROK	\N	\N
3606941	2328	1997-11-30	PRIJEM	\N	282	70234	UROK	\N	\N
3606942	2328	1997-12-31	PRIJEM	\N	278	63716	UROK	\N	\N
3606943	2328	1998-01-31	PRIJEM	\N	263	60583	UROK	\N	\N
3606944	2328	1998-02-28	PRIJEM	\N	251	62218	UROK	\N	\N
3606945	2328	1998-03-31	PRIJEM	\N	269	60791	UROK	\N	\N
3606946	2328	1998-04-30	PRIJEM	\N	263	61658	UROK	\N	\N
3606947	2328	1998-05-31	PRIJEM	\N	265	63128	UROK	\N	\N
3606948	2328	1998-06-30	PRIJEM	\N	268	59000	UROK	\N	\N
3606949	2328	1998-07-31	PRIJEM	\N	254	58859	UROK	\N	\N
3606950	2328	1998-08-31	PRIJEM	\N	244	57907	UROK	\N	\N
3606951	2328	1998-09-30	PRIJEM	\N	241	58152	UROK	\N	\N
3606952	2328	1998-10-31	PRIJEM	\N	251	59408	UROK	\N	\N
3606953	2328	1998-11-30	PRIJEM	\N	256	61368	UROK	\N	\N
3606954	2328	1998-12-31	PRIJEM	\N	261	65133	UROK	\N	\N
3606955	2329	1996-09-30	PRIJEM	\N	46	13247	UROK	\N	\N
3606956	2329	1996-10-31	PRIJEM	\N	78	21126	UROK	\N	\N
3606957	2329	1996-11-30	PRIJEM	\N	97	23924	UROK	\N	\N
3606958	2329	1996-12-31	PRIJEM	\N	126	31551	UROK	\N	\N
3606959	2329	1997-01-31	PRIJEM	\N	90	12343	UROK	\N	\N
3606960	2329	1997-02-28	PRIJEM	\N	61	13490	UROK	\N	\N
3606961	2329	1997-03-31	PRIJEM	\N	64	15740	UROK	\N	\N
3606962	2329	1997-04-30	PRIJEM	\N	78	15205	UROK	\N	\N
3606963	2329	1997-05-31	PRIJEM	\N	69	16660	UROK	\N	\N
3606964	2329	1997-06-30	PRIJEM	\N	71	15518	UROK	\N	\N
3606965	2329	1997-07-31	PRIJEM	\N	87	17792	UROK	\N	\N
3606966	2329	1997-08-31	PRIJEM	\N	76	15753	UROK	\N	\N
3606967	2329	1997-09-30	PRIJEM	\N	65	14905	UROK	\N	\N
3606968	2329	1997-10-31	PRIJEM	\N	70	17161	UROK	\N	\N
3606969	2329	1997-11-30	PRIJEM	\N	79	19427	UROK	\N	\N
3606970	2329	1997-12-31	PRIJEM	\N	98	24313	UROK	\N	\N
3606971	2329	1998-01-31	PRIJEM	\N	80	16679	UROK	\N	\N
3606972	2329	1998-02-28	PRIJEM	\N	92	18956	UROK	\N	\N
3606973	2329	1998-03-31	PRIJEM	\N	102	21244	UROK	\N	\N
3606974	2329	1998-04-30	PRIJEM	\N	111	23542	UROK	\N	\N
3606975	2329	1998-05-31	PRIJEM	\N	121	25848	UROK	\N	\N
3606976	2329	1998-06-30	PRIJEM	\N	123	28759	UROK	\N	\N
3606977	2329	1998-07-31	PRIJEM	\N	127	30172	UROK	\N	\N
3606978	2329	1998-08-31	PRIJEM	\N	131	31090	UROK	\N	\N
3606979	2329	1998-09-30	PRIJEM	\N	137	33413	UROK	\N	\N
3606980	2329	1998-10-31	PRIJEM	\N	151	33051	UROK	\N	\N
3606981	2329	1998-11-30	PRIJEM	\N	142	31479	UROK	\N	\N
3606982	2329	1998-12-31	PRIJEM	\N	149	35916	UROK	\N	\N
3606983	2330	1993-06-30	PRIJEM	\N	44	12196	UROK	\N	\N
3606984	2330	1993-07-31	PRIJEM	\N	56	13369	UROK	\N	\N
3606985	2330	1993-08-31	PRIJEM	\N	61	14547	UROK	\N	\N
3606986	2330	1993-09-30	PRIJEM	\N	65	14800	UROK	\N	\N
3606987	2330	1993-10-31	PRIJEM	\N	67	15984	UROK	\N	\N
3606988	2330	1993-11-30	PRIJEM	\N	72	17173	UROK	\N	\N
3606989	2330	1993-12-31	PRIJEM	\N	76	17706	UROK	\N	\N
3606990	2330	1994-01-31	PRIJEM	\N	70	14513	UROK	\N	\N
3606991	2330	1994-02-28	PRIJEM	\N	65	15696	UROK	\N	\N
3606992	2330	1994-03-31	PRIJEM	\N	67	15860	UROK	\N	\N
3606993	2330	1994-04-30	PRIJEM	\N	67	15334	UROK	\N	\N
3606994	2330	1994-05-31	PRIJEM	\N	69	16520	UROK	\N	\N
3606995	2330	1994-06-30	PRIJEM	\N	73	13901	UROK	\N	\N
3606996	2330	1994-07-31	PRIJEM	\N	63	15081	UROK	\N	\N
3606997	2330	1994-08-31	PRIJEM	\N	63	14822	UROK	\N	\N
3606998	2330	1994-09-30	PRIJEM	\N	67	16006	UROK	\N	\N
3606999	2330	1994-10-31	PRIJEM	\N	72	17195	UROK	\N	\N
3607000	2330	1994-11-30	PRIJEM	\N	76	18389	UROK	\N	\N
3607001	2330	1994-12-31	PRIJEM	\N	81	19587	UROK	\N	\N
3607002	2330	1995-01-31	PRIJEM	\N	80	18055	UROK	\N	\N
3607003	2330	1995-02-28	PRIJEM	\N	80	19252	UROK	\N	\N
3607004	2330	1995-03-31	PRIJEM	\N	85	20454	UROK	\N	\N
3607005	2330	1995-04-30	PRIJEM	\N	90	21662	UROK	\N	\N
3607006	2330	1995-05-31	PRIJEM	\N	94	22543	UROK	\N	\N
3607007	2330	1995-06-30	PRIJEM	\N	93	14423	UROK	\N	\N
3607008	2330	1995-07-31	PRIJEM	\N	65	15605	UROK	\N	\N
3607009	2330	1995-08-31	PRIJEM	\N	70	16793	UROK	\N	\N
3607010	2330	1995-09-30	PRIJEM	\N	75	17985	UROK	\N	\N
3607011	2330	1995-10-31	PRIJEM	\N	79	19182	UROK	\N	\N
3607012	2330	1995-11-30	PRIJEM	\N	84	20383	UROK	\N	\N
3607013	2330	1995-12-31	PRIJEM	\N	89	21590	UROK	\N	\N
3607014	2330	1996-01-31	PRIJEM	\N	84	18141	UROK	\N	\N
3607015	2330	1996-02-29	PRIJEM	\N	80	19338	UROK	\N	\N
3607016	2330	1996-03-31	PRIJEM	\N	85	20541	UROK	\N	\N
3607017	2330	1996-04-30	PRIJEM	\N	90	21749	UROK	\N	\N
3607018	2330	1996-05-31	PRIJEM	\N	92	21488	UROK	\N	\N
3607019	2330	1996-06-30	PRIJEM	\N	70	14845	UROK	\N	\N
3607020	2330	1996-07-31	PRIJEM	\N	65	15608	UROK	\N	\N
3607021	2330	1996-08-31	PRIJEM	\N	69	16795	UROK	\N	\N
3607022	2330	1996-09-30	PRIJEM	\N	74	17986	UROK	\N	\N
3607023	2330	1996-10-31	PRIJEM	\N	79	19182	UROK	\N	\N
3607024	2330	1996-11-30	PRIJEM	\N	84	20384	UROK	\N	\N
3607025	2330	1996-12-31	PRIJEM	\N	89	21590	UROK	\N	\N
3607026	2330	1997-01-31	PRIJEM	\N	88	20005	UROK	\N	\N
3607027	2330	1997-02-28	PRIJEM	\N	88	21210	UROK	\N	\N
3607028	2330	1997-03-31	PRIJEM	\N	91	21399	UROK	\N	\N
3607029	2330	1997-04-30	PRIJEM	\N	93	22609	UROK	\N	\N
3607030	2330	1997-05-31	PRIJEM	\N	98	23825	UROK	\N	\N
3607031	2330	1997-06-30	PRIJEM	\N	100	17963	UROK	\N	\N
3607032	2330	1997-07-31	PRIJEM	\N	76	17805	UROK	\N	\N
3607033	2330	1997-08-31	PRIJEM	\N	75	17798	UROK	\N	\N
3607034	2330	1997-09-30	PRIJEM	\N	77	17822	UROK	\N	\N
3607035	2330	1997-10-31	PRIJEM	\N	78	19017	UROK	\N	\N
3607036	2330	1997-11-30	PRIJEM	\N	81	19465	UROK	\N	\N
3607037	2330	1997-12-31	PRIJEM	\N	84	20667	UROK	\N	\N
3607038	2330	1998-01-31	PRIJEM	\N	85	19020	UROK	\N	\N
3607039	2330	1998-02-28	PRIJEM	\N	83	20220	UROK	\N	\N
3607040	2330	1998-03-31	PRIJEM	\N	86	20793	UROK	\N	\N
3607041	2330	1998-04-30	PRIJEM	\N	90	22001	UROK	\N	\N
3607042	2330	1998-05-31	PRIJEM	\N	95	23003	UROK	\N	\N
3607043	2330	1998-06-30	PRIJEM	\N	78	16608	UROK	\N	\N
3607044	2330	1998-07-31	PRIJEM	\N	72	17797	UROK	\N	\N
3607045	2330	1998-08-31	PRIJEM	\N	77	18992	UROK	\N	\N
3607046	2330	1998-09-30	PRIJEM	\N	82	20191	UROK	\N	\N
3607047	2330	1998-10-31	PRIJEM	\N	86	21154	UROK	\N	\N
3607048	2330	1998-11-30	PRIJEM	\N	91	22363	UROK	\N	\N
3607049	2330	1998-12-31	PRIJEM	\N	92	22462	UROK	\N	\N
3607050	2331	1995-09-30	PRIJEM	\N	38	12868	UROK	\N	\N
3607051	2331	1995-10-31	PRIJEM	\N	57	13948	UROK	\N	\N
3607052	2331	1995-11-30	PRIJEM	\N	61	14432	UROK	\N	\N
3607053	2331	1995-12-31	PRIJEM	\N	63	15219	UROK	\N	\N
3607054	2331	1996-01-31	PRIJEM	\N	65	14627	UROK	\N	\N
3607055	2331	1996-02-29	PRIJEM	\N	64	14754	UROK	\N	\N
3607056	2331	1996-03-31	PRIJEM	\N	63	15090	UROK	\N	\N
3607057	2331	1996-04-30	PRIJEM	\N	64	14917	UROK	\N	\N
3607058	2331	1996-05-31	PRIJEM	\N	63	15074	UROK	\N	\N
3607059	2331	1996-06-30	PRIJEM	\N	61	12678	UROK	\N	\N
3607060	2331	1996-07-31	PRIJEM	\N	56	13757	UROK	\N	\N
3607061	2331	1996-08-31	PRIJEM	\N	60	14841	UROK	\N	\N
3607062	2331	1996-09-30	PRIJEM	\N	65	15569	UROK	\N	\N
3607063	2331	1996-10-31	PRIJEM	\N	68	16660	UROK	\N	\N
3607064	2331	1996-11-30	PRIJEM	\N	72	17756	UROK	\N	\N
3607065	2331	1996-12-31	PRIJEM	\N	77	18707	UROK	\N	\N
3607066	2331	1997-01-31	PRIJEM	\N	74	17194	UROK	\N	\N
3607067	2331	1997-02-28	PRIJEM	\N	75	18292	UROK	\N	\N
3607068	2331	1997-03-31	PRIJEM	\N	79	19394	UROK	\N	\N
3607069	2331	1997-04-30	PRIJEM	\N	81	19449	UROK	\N	\N
3607070	2331	1997-05-31	PRIJEM	\N	84	20556	UROK	\N	\N
3607071	2331	1997-06-30	PRIJEM	\N	73	16373	UROK	\N	\N
3607072	2331	1997-07-31	PRIJEM	\N	71	17467	UROK	\N	\N
3607073	2331	1997-08-31	PRIJEM	\N	76	18386	UROK	\N	\N
3607074	2331	1997-09-30	PRIJEM	\N	79	19489	UROK	\N	\N
3607075	2331	1997-10-31	PRIJEM	\N	83	20055	UROK	\N	\N
3607076	2331	1997-11-30	PRIJEM	\N	86	21165	UROK	\N	\N
3607077	2331	1997-12-31	PRIJEM	\N	90	21648	UROK	\N	\N
3607078	2331	1998-01-31	PRIJEM	\N	92	21683	UROK	\N	\N
3607079	2331	1998-02-28	PRIJEM	\N	88	20995	UROK	\N	\N
3607080	2331	1998-03-31	PRIJEM	\N	90	22108	UROK	\N	\N
3607081	2331	1998-04-30	PRIJEM	\N	95	23226	UROK	\N	\N
3607082	2331	1998-05-31	PRIJEM	\N	88	20038	UROK	\N	\N
3607083	2331	1998-06-30	PRIJEM	\N	75	15077	UROK	\N	\N
3607084	2331	1998-07-31	PRIJEM	\N	65	16166	UROK	\N	\N
3607085	2331	1998-08-31	PRIJEM	\N	70	17259	UROK	\N	\N
3607086	2331	1998-09-30	PRIJEM	\N	55	11437	UROK	\N	\N
3607087	2331	1998-10-31	PRIJEM	\N	50	12510	UROK	\N	\N
3607088	2331	1998-11-30	PRIJEM	\N	54	13588	UROK	\N	\N
3607089	2331	1998-12-31	PRIJEM	\N	58	13859	UROK	\N	\N
3607090	2332	1996-10-31	PRIJEM	\N	21	19319	UROK	\N	\N
3607091	2332	1996-11-30	PRIJEM	\N	90	27606	UROK	\N	\N
3607092	2332	1996-12-31	PRIJEM	\N	124	35177	UROK	\N	\N
3607093	2332	1997-01-31	PRIJEM	\N	143	33218	UROK	\N	\N
3607094	2332	1997-02-28	PRIJEM	\N	138	29135	UROK	\N	\N
3607095	2332	1997-03-31	PRIJEM	\N	120	25220	UROK	\N	\N
3607096	2332	1997-04-30	PRIJEM	\N	113	27697	UROK	\N	\N
3607097	2332	1997-05-31	PRIJEM	\N	128	33690	UROK	\N	\N
3607098	2332	1997-06-30	PRIJEM	\N	142	17745	UROK	\N	\N
3607099	2332	1997-07-31	PRIJEM	\N	99	31707	UROK	\N	\N
3607100	2332	1997-08-31	PRIJEM	\N	146	37317	UROK	\N	\N
3607101	2332	1997-09-30	PRIJEM	\N	168	42949	UROK	\N	\N
3607102	2332	1997-10-31	PRIJEM	\N	194	48907	UROK	\N	\N
3607103	2332	1997-11-30	PRIJEM	\N	201	46473	UROK	\N	\N
3607104	2332	1997-12-31	PRIJEM	\N	201	48788	UROK	\N	\N
3607105	2332	1998-01-31	PRIJEM	\N	212	52364	UROK	\N	\N
3607106	2332	1998-02-28	PRIJEM	\N	230	58358	UROK	\N	\N
3607107	2332	1998-03-31	PRIJEM	\N	243	57666	UROK	\N	\N
3607108	2332	1998-04-30	PRIJEM	\N	252	63183	UROK	\N	\N
3607109	2332	1998-05-31	PRIJEM	\N	270	64517	UROK	\N	\N
3607110	2332	1998-06-30	PRIJEM	\N	276	68807	UROK	\N	\N
3607111	2332	1998-07-31	PRIJEM	\N	294	72366	UROK	\N	\N
3607112	2332	1998-08-31	PRIJEM	\N	303	71933	UROK	\N	\N
3607113	2332	1998-09-30	PRIJEM	\N	292	69089	UROK	\N	\N
3607114	2332	1998-10-31	PRIJEM	\N	294	68547	UROK	\N	\N
3607115	2332	1998-11-30	PRIJEM	\N	291	71003	UROK	\N	\N
3607116	2332	1998-12-31	PRIJEM	\N	286	66702	UROK	\N	\N
3607117	2334	1996-04-30	PRIJEM	\N	38	20916	UROK	\N	\N
3607118	2334	1996-05-31	PRIJEM	\N	106	30899	UROK	\N	\N
3607119	2334	1996-06-30	PRIJEM	\N	138	35754	UROK	\N	\N
3607120	2334	1996-07-31	PRIJEM	\N	152	37484	UROK	\N	\N
3607121	2334	1996-08-31	PRIJEM	\N	148	32203	UROK	\N	\N
3607122	2334	1996-09-30	PRIJEM	\N	138	33496	UROK	\N	\N
3607123	2334	1996-10-31	PRIJEM	\N	138	32591	UROK	\N	\N
3607124	2334	1996-11-30	PRIJEM	\N	140	32487	UROK	\N	\N
3607125	2334	1996-12-31	PRIJEM	\N	126	30708	UROK	\N	\N
3607126	2334	1997-01-31	PRIJEM	\N	105	21370	UROK	\N	\N
3607127	2334	1997-02-28	PRIJEM	\N	86	21912	UROK	\N	\N
3607128	2334	1997-03-31	PRIJEM	\N	110	29378	UROK	\N	\N
3607129	2334	1997-04-30	PRIJEM	\N	112	26646	UROK	\N	\N
3607130	2334	1997-05-31	PRIJEM	\N	109	30311	UROK	\N	\N
3607131	2334	1997-06-30	PRIJEM	\N	160	40967	UROK	\N	\N
3607132	2334	1997-07-31	PRIJEM	\N	173	41197	UROK	\N	\N
3607133	2334	1997-08-31	PRIJEM	\N	154	35198	UROK	\N	\N
3607134	2334	1997-09-30	PRIJEM	\N	144	34086	UROK	\N	\N
3607135	2334	1997-10-31	PRIJEM	\N	127	29556	UROK	\N	\N
3607136	2334	1997-11-30	PRIJEM	\N	133	29961	UROK	\N	\N
3607137	2334	1997-12-31	PRIJEM	\N	127	29570	UROK	\N	\N
3607138	2334	1998-01-31	PRIJEM	\N	106	19420	UROK	\N	\N
3607139	2334	1998-02-28	PRIJEM	\N	116	18780	UROK	\N	\N
3607140	2334	1998-03-31	PRIJEM	\N	112	29335	UROK	\N	\N
3607141	2334	1998-04-30	PRIJEM	\N	127	30706	UROK	\N	\N
3607142	2334	1998-05-31	PRIJEM	\N	129	30778	UROK	\N	\N
3607143	2334	1998-06-30	PRIJEM	\N	135	32375	UROK	\N	\N
3607144	2334	1998-07-31	PRIJEM	\N	144	29542	UROK	\N	\N
3607145	2334	1998-08-31	PRIJEM	\N	117	27002	UROK	\N	\N
3607146	2334	1998-09-30	PRIJEM	\N	126	30172	UROK	\N	\N
3607147	2334	1998-10-31	PRIJEM	\N	130	27991	UROK	\N	\N
3607148	2334	1998-11-30	PRIJEM	\N	141	34364	UROK	\N	\N
3607149	2334	1998-12-31	PRIJEM	\N	186	45833	UROK	\N	\N
3607150	2335	1996-04-30	PRIJEM	\N	44	15136	UROK	\N	\N
3607151	2335	1996-05-31	PRIJEM	\N	120	34712	UROK	\N	\N
3607152	2335	1996-06-30	PRIJEM	\N	183	48567	UROK	\N	\N
3607153	2335	1996-07-31	PRIJEM	\N	205	50369	UROK	\N	\N
3607154	2335	1996-08-31	PRIJEM	\N	187	38129	UROK	\N	\N
3607155	2335	1996-09-30	PRIJEM	\N	101	18441	UROK	\N	\N
3607156	2335	1996-10-31	PRIJEM	\N	80	21504	UROK	\N	\N
3607157	2335	1996-11-30	PRIJEM	\N	74	12109	UROK	\N	\N
3607158	2335	1996-12-31	PRIJEM	\N	73	12941	UROK	\N	\N
3607159	2335	1997-01-31	PRIJEM	\N	64	8176	UROK	\N	\N
3607160	2335	1997-02-28	PRIJEM	\N	44	9337	UROK	\N	\N
3607161	2335	1997-03-31	PRIJEM	\N	54	7436	UROK	\N	\N
3607162	2335	1997-04-30	PRIJEM	\N	18	6584	UROK	\N	\N
3607163	2335	1997-05-31	PRIJEM	\N	31	2457	UROK	\N	\N
3607164	2335	1997-06-30	PRIJEM	\N	19	3684	UROK	\N	\N
3607165	2335	1997-06-30	VYDAJ	VYBER	19	3651	SANKC. UROK	\N	\N
3607166	2335	1997-07-31	PRIJEM	\N	35	211	UROK	\N	\N
3607167	2335	1997-07-31	VYDAJ	VYBER	1	218	SANKC. UROK	\N	\N
3607168	2335	1997-08-31	VYDAJ	VYBER	36	-3222	SANKC. UROK	\N	\N
3607169	2335	1997-09-30	VYDAJ	VYBER	71	-6229	SANKC. UROK	\N	\N
3607170	2335	1997-10-31	PRIJEM	\N	4	-5375	UROK	\N	\N
3607171	2335	1997-10-31	VYDAJ	VYBER	39	-5456	SANKC. UROK	\N	\N
3607172	2335	1997-11-30	PRIJEM	\N	2	-2741	UROK	\N	\N
3607173	2335	1997-11-30	VYDAJ	VYBER	49	-2805	SANKC. UROK	\N	\N
3607174	2335	1997-12-31	PRIJEM	\N	5	1217	UROK	\N	\N
3607175	2335	1997-12-31	VYDAJ	VYBER	32	1191	SANKC. UROK	\N	\N
3607176	2335	1998-01-31	PRIJEM	\N	3	875	UROK	\N	\N
3607177	2335	1998-01-31	VYDAJ	VYBER	13	847	SANKC. UROK	\N	\N
3607178	2335	1998-02-28	PRIJEM	\N	3	552	UROK	\N	\N
3607179	2335	1998-02-28	VYDAJ	VYBER	21	-687	SANKC. UROK	\N	\N
3607180	2335	1998-03-31	PRIJEM	\N	2	41	UROK	\N	\N
3607181	2335	1998-03-31	VYDAJ	VYBER	39	6	SANKC. UROK	\N	\N
3607182	2335	1998-04-30	PRIJEM	\N	2	-1295	UROK	\N	\N
3607183	2335	1998-04-30	VYDAJ	VYBER	32	-1338	SANKC. UROK	\N	\N
3607184	2335	1998-05-31	PRIJEM	\N	2	-1630	UROK	\N	\N
3607185	2335	1998-05-31	VYDAJ	VYBER	34	-1687	SANKC. UROK	\N	\N
3607186	2335	1998-06-30	PRIJEM	\N	10	-258	UROK	\N	\N
3607187	2335	1998-06-30	VYDAJ	VYBER	26	-299	SANKC. UROK	\N	\N
3607188	2335	1998-07-31	PRIJEM	\N	2	-605	UROK	\N	\N
3607189	2335	1998-07-31	VYDAJ	VYBER	28	-644	SANKC. UROK	\N	\N
3607190	2335	1998-08-31	PRIJEM	\N	2	-952	UROK	\N	\N
3607191	2335	1998-08-31	VYDAJ	VYBER	37	-986	SANKC. UROK	\N	\N
3607192	2335	1998-09-30	PRIJEM	\N	2	-1309	UROK	\N	\N
3607193	2335	1998-09-30	VYDAJ	VYBER	33	-1342	SANKC. UROK	\N	\N
3607194	2335	1998-10-31	PRIJEM	\N	2	-1671	UROK	\N	\N
3607195	2335	1998-10-31	VYDAJ	VYBER	30	-1738	SANKC. UROK	\N	\N
3607196	2335	1998-11-30	PRIJEM	\N	2	-2027	UROK	\N	\N
3607197	2335	1998-11-30	VYDAJ	VYBER	44	-2099	SANKC. UROK	\N	\N
3607198	2335	1998-12-31	PRIJEM	\N	7	-2786	UROK	\N	\N
3607199	2335	1998-12-31	VYDAJ	VYBER	36	-2839	SANKC. UROK	\N	\N
3607200	2336	1993-07-31	PRIJEM	\N	16	6293	UROK	\N	\N
3607201	2336	1993-08-31	PRIJEM	\N	66	21836	UROK	\N	\N
3607202	2336	1993-09-30	PRIJEM	\N	113	30625	UROK	\N	\N
3607203	2336	1993-10-31	PRIJEM	\N	131	32033	UROK	\N	\N
3607204	2336	1993-11-30	PRIJEM	\N	142	35451	UROK	\N	\N
3607205	2336	1993-12-31	PRIJEM	\N	131	30676	UROK	\N	\N
3607206	2336	1994-01-31	PRIJEM	\N	86	16866	UROK	\N	\N
3607207	2336	1994-02-28	PRIJEM	\N	85	22755	UROK	\N	\N
3607208	2336	1994-03-31	PRIJEM	\N	99	22958	UROK	\N	\N
3607209	2336	1994-04-30	PRIJEM	\N	84	17146	UROK	\N	\N
3607210	2336	1994-05-31	PRIJEM	\N	79	19430	UROK	\N	\N
3607211	2336	1994-06-30	PRIJEM	\N	70	14894	UROK	\N	\N
3607212	2336	1994-07-31	PRIJEM	\N	83	22482	UROK	\N	\N
3607213	2336	1994-08-31	PRIJEM	\N	102	21888	UROK	\N	\N
3607214	2336	1994-09-30	PRIJEM	\N	89	22681	UROK	\N	\N
3607215	2336	1994-10-31	PRIJEM	\N	105	27190	UROK	\N	\N
3607216	2336	1994-11-30	PRIJEM	\N	98	24492	UROK	\N	\N
3607217	2336	1994-12-31	PRIJEM	\N	101	22886	UROK	\N	\N
3607218	2336	1995-01-31	PRIJEM	\N	85	19675	UROK	\N	\N
3607219	2336	1995-02-28	PRIJEM	\N	87	22866	UROK	\N	\N
3607220	2336	1995-03-31	PRIJEM	\N	100	24671	UROK	\N	\N
3607221	2336	1995-04-30	PRIJEM	\N	95	22370	UROK	\N	\N
3607222	2336	1995-05-31	PRIJEM	\N	96	21871	UROK	\N	\N
3607223	2336	1995-06-30	PRIJEM	\N	87	20951	UROK	\N	\N
3607224	2336	1995-07-31	PRIJEM	\N	91	21147	UROK	\N	\N
3607225	2336	1995-08-31	PRIJEM	\N	85	17436	UROK	\N	\N
3607226	2336	1995-09-30	PRIJEM	\N	78	20718	UROK	\N	\N
3607227	2336	1995-10-31	PRIJEM	\N	89	18611	UROK	\N	\N
3607228	2336	1995-11-30	PRIJEM	\N	78	16094	UROK	\N	\N
3607229	2336	1995-12-31	PRIJEM	\N	75	19863	UROK	\N	\N
3607230	2336	1996-01-31	PRIJEM	\N	70	13237	UROK	\N	\N
3607231	2336	1996-02-29	PRIJEM	\N	61	16502	UROK	\N	\N
3607232	2336	1996-03-31	PRIJEM	\N	69	14475	UROK	\N	\N
3607233	2336	1996-04-30	PRIJEM	\N	62	15142	UROK	\N	\N
3607234	2336	1996-05-31	PRIJEM	\N	68	17314	UROK	\N	\N
3607235	2336	1996-06-30	PRIJEM	\N	75	16082	UROK	\N	\N
3607236	2336	1996-07-31	PRIJEM	\N	69	16356	UROK	\N	\N
3607237	2336	1996-08-31	PRIJEM	\N	70	14430	UROK	\N	\N
3607238	2336	1996-09-30	PRIJEM	\N	61	14195	UROK	\N	\N
3607239	2336	1996-10-31	PRIJEM	\N	59	13458	UROK	\N	\N
3607240	2336	1996-11-30	PRIJEM	\N	64	17826	UROK	\N	\N
3607241	2336	1996-12-31	PRIJEM	\N	77	15496	UROK	\N	\N
3607242	2336	1997-01-31	PRIJEM	\N	61	14162	UROK	\N	\N
3607243	2336	1997-02-28	PRIJEM	\N	63	13729	UROK	\N	\N
3607244	2336	1997-03-31	PRIJEM	\N	62	16195	UROK	\N	\N
3607245	2336	1997-04-30	PRIJEM	\N	62	15561	UROK	\N	\N
3607246	2336	1997-05-31	PRIJEM	\N	66	16232	UROK	\N	\N
3607247	2336	1997-06-30	PRIJEM	\N	79	21504	UROK	\N	\N
3607248	2336	1997-07-31	PRIJEM	\N	84	19092	UROK	\N	\N
3607249	2336	1997-08-31	PRIJEM	\N	70	15267	UROK	\N	\N
3607250	2336	1997-09-30	PRIJEM	\N	67	17438	UROK	\N	\N
3607251	2336	1997-10-31	PRIJEM	\N	58	11701	UROK	\N	\N
3607252	2336	1997-11-30	PRIJEM	\N	52	13857	UROK	\N	\N
3607253	2336	1997-12-31	PRIJEM	\N	61	15612	UROK	\N	\N
3607254	2336	1998-01-31	PRIJEM	\N	59	14675	UROK	\N	\N
3607255	2336	1998-02-28	PRIJEM	\N	67	18047	UROK	\N	\N
3607256	2336	1998-03-31	PRIJEM	\N	87	23738	UROK	\N	\N
3607257	2336	1998-04-30	PRIJEM	\N	102	25244	UROK	\N	\N
3607258	2336	1998-05-31	PRIJEM	\N	105	25953	UROK	\N	\N
3607259	2336	1998-06-30	PRIJEM	\N	96	25342	UROK	\N	\N
3607260	2336	1998-07-31	PRIJEM	\N	111	28858	UROK	\N	\N
3607261	2336	1998-08-31	PRIJEM	\N	115	29877	UROK	\N	\N
3607262	2336	1998-09-30	PRIJEM	\N	129	33311	UROK	\N	\N
3607263	2336	1998-10-31	PRIJEM	\N	142	33357	UROK	\N	\N
3607264	2336	1998-11-30	PRIJEM	\N	139	35401	UROK	\N	\N
3607265	2336	1998-12-31	PRIJEM	\N	147	38341	UROK	\N	\N
3607266	2337	1997-08-31	PRIJEM	\N	77	23019	UROK	\N	\N
3607267	2337	1997-09-30	PRIJEM	\N	174	45935	UROK	\N	\N
3607268	2337	1997-10-31	PRIJEM	\N	224	55602	UROK	\N	\N
3607269	2337	1997-11-30	PRIJEM	\N	263	64806	UROK	\N	\N
3607270	2337	1997-12-31	PRIJEM	\N	302	70301	UROK	\N	\N
3607271	2337	1998-01-31	PRIJEM	\N	228	47146	UROK	\N	\N
3607272	2337	1998-02-28	PRIJEM	\N	228	55111	UROK	\N	\N
3607273	2337	1998-03-31	PRIJEM	\N	239	57687	UROK	\N	\N
3607274	2337	1998-04-30	PRIJEM	\N	250	59014	UROK	\N	\N
3607275	2337	1998-05-31	PRIJEM	\N	245	58697	UROK	\N	\N
3607276	2337	1998-06-30	PRIJEM	\N	176	29752	UROK	\N	\N
3607277	2337	1998-07-31	PRIJEM	\N	171	42260	UROK	\N	\N
3607278	2337	1998-08-31	PRIJEM	\N	211	51808	UROK	\N	\N
3607279	2337	1998-09-30	PRIJEM	\N	203	49248	UROK	\N	\N
3607280	2337	1998-10-31	PRIJEM	\N	186	31152	UROK	\N	\N
3607281	2337	1998-11-30	PRIJEM	\N	186	28475	UROK	\N	\N
3607282	2337	1998-12-31	PRIJEM	\N	221	55494	UROK	\N	\N
3607283	2338	1997-09-30	PRIJEM	\N	74	33494	UROK	\N	\N
3607284	2338	1997-10-31	PRIJEM	\N	139	29234	UROK	\N	\N
3607285	2338	1997-11-30	PRIJEM	\N	139	27373	UROK	\N	\N
3607286	2338	1997-12-31	PRIJEM	\N	139	25912	UROK	\N	\N
3607287	2338	1998-01-31	PRIJEM	\N	139	26651	UROK	\N	\N
3607288	2338	1998-02-28	PRIJEM	\N	139	23591	UROK	\N	\N
3607289	2338	1998-03-31	PRIJEM	\N	327	98376	UROK	\N	\N
3607290	2338	1998-04-30	PRIJEM	\N	402	91971	UROK	\N	\N
3607291	2338	1998-05-31	PRIJEM	\N	386	102115	UROK	\N	\N
3607292	2338	1998-06-30	PRIJEM	\N	520	113705	UROK	\N	\N
3607293	2338	1998-07-31	PRIJEM	\N	249	57960	UROK	\N	\N
3607294	2338	1998-08-31	PRIJEM	\N	302	81385	UROK	\N	\N
3607295	2338	1998-09-30	PRIJEM	\N	306	79562	UROK	\N	\N
3607296	2338	1998-10-31	PRIJEM	\N	289	71624	UROK	\N	\N
3607297	2338	1998-11-30	PRIJEM	\N	304	86248	UROK	\N	\N
3607298	2338	1998-12-31	PRIJEM	\N	265	54543	UROK	\N	\N
3607299	2339	1997-01-31	PRIJEM	\N	31	19503	UROK	\N	\N
3607300	2339	1997-02-28	PRIJEM	\N	84	19787	UROK	\N	\N
3607301	2339	1997-03-31	PRIJEM	\N	81	18013	UROK	\N	\N
3607302	2339	1997-04-30	PRIJEM	\N	75	16674	UROK	\N	\N
3607303	2339	1997-05-31	PRIJEM	\N	69	15668	UROK	\N	\N
3607304	2339	1997-06-30	PRIJEM	\N	58	11471	UROK	\N	\N
3607305	2339	1997-07-31	PRIJEM	\N	51	12007	UROK	\N	\N
3607306	2339	1997-08-31	PRIJEM	\N	55	14048	UROK	\N	\N
3607307	2339	1997-09-30	PRIJEM	\N	64	16097	UROK	\N	\N
3607308	2339	1997-10-31	PRIJEM	\N	70	17213	UROK	\N	\N
3607309	2339	1997-11-30	PRIJEM	\N	73	17471	UROK	\N	\N
3607310	2339	1997-12-31	PRIJEM	\N	62	12329	UROK	\N	\N
3607311	2339	1998-01-31	PRIJEM	\N	53	12787	UROK	\N	\N
3607312	2339	1998-02-28	PRIJEM	\N	57	13469	UROK	\N	\N
3607313	2339	1998-03-31	PRIJEM	\N	61	15516	UROK	\N	\N
3607314	2339	1998-04-30	PRIJEM	\N	70	17571	UROK	\N	\N
3607315	2339	1998-05-31	PRIJEM	\N	74	17631	UROK	\N	\N
3607316	2339	1998-06-30	PRIJEM	\N	79	19695	UROK	\N	\N
3607317	2339	1998-07-31	PRIJEM	\N	76	17056	UROK	\N	\N
3607318	2339	1998-08-31	PRIJEM	\N	76	19117	UROK	\N	\N
3607319	2339	1998-09-30	PRIJEM	\N	81	19784	UROK	\N	\N
3607320	2339	1998-10-31	PRIJEM	\N	87	20036	UROK	\N	\N
3607321	2339	1998-11-30	PRIJEM	\N	86	20907	UROK	\N	\N
3607322	2339	1998-12-31	PRIJEM	\N	83	19446	UROK	\N	\N
3607323	2341	1996-04-30	PRIJEM	\N	2	15557	UROK	\N	\N
3607324	2341	1996-05-31	PRIJEM	\N	67	16634	UROK	\N	\N
3607325	2341	1996-06-30	PRIJEM	\N	72	17715	UROK	\N	\N
3607326	2341	1996-07-31	PRIJEM	\N	75	17509	UROK	\N	\N
3607327	2341	1996-08-31	PRIJEM	\N	71	16950	UROK	\N	\N
3607328	2341	1996-09-30	PRIJEM	\N	73	18032	UROK	\N	\N
3607329	2341	1996-10-31	PRIJEM	\N	70	16221	UROK	\N	\N
3607330	2341	1996-11-30	PRIJEM	\N	65	16156	UROK	\N	\N
3607331	2341	1996-12-31	PRIJEM	\N	68	17083	UROK	\N	\N
3607332	2341	1997-01-31	PRIJEM	\N	65	14977	UROK	\N	\N
3607333	2341	1997-02-28	PRIJEM	\N	61	14167	UROK	\N	\N
3607334	2341	1997-03-31	PRIJEM	\N	61	15238	UROK	\N	\N
3607335	2341	1997-04-30	PRIJEM	\N	66	16313	UROK	\N	\N
3607336	2341	1997-05-31	PRIJEM	\N	63	14615	UROK	\N	\N
3607337	2341	1997-06-30	PRIJEM	\N	63	15687	UROK	\N	\N
3607338	2341	1997-07-31	PRIJEM	\N	61	14618	UROK	\N	\N
3607339	2341	1997-08-31	PRIJEM	\N	61	14429	UROK	\N	\N
3607340	2341	1997-09-30	PRIJEM	\N	62	15500	UROK	\N	\N
3607341	2341	1997-10-31	PRIJEM	\N	62	15581	UROK	\N	\N
3607342	2341	1997-11-30	PRIJEM	\N	64	15555	UROK	\N	\N
3607343	2341	1997-12-31	PRIJEM	\N	64	16148	UROK	\N	\N
3607344	2341	1998-01-31	PRIJEM	\N	62	15000	UROK	\N	\N
3607345	2341	1998-02-28	PRIJEM	\N	62	15381	UROK	\N	\N
3607346	2341	1998-03-31	PRIJEM	\N	66	16456	UROK	\N	\N
3607347	2341	1998-04-30	PRIJEM	\N	69	15735	UROK	\N	\N
3607348	2341	1998-05-31	PRIJEM	\N	68	16811	UROK	\N	\N
3607349	2341	1998-06-30	PRIJEM	\N	72	17893	UROK	\N	\N
3607350	2341	1998-07-31	PRIJEM	\N	77	18979	UROK	\N	\N
3607351	2341	1998-08-31	PRIJEM	\N	81	20069	UROK	\N	\N
3607352	2341	1998-09-30	PRIJEM	\N	85	21164	UROK	\N	\N
3607353	2341	1998-10-31	PRIJEM	\N	83	20576	UROK	\N	\N
3607354	2341	1998-11-30	PRIJEM	\N	85	20560	UROK	\N	\N
3607355	2341	1998-12-31	PRIJEM	\N	84	20453	UROK	\N	\N
3607356	2342	1993-07-31	PRIJEM	\N	39	14510	UROK	\N	\N
3607357	2342	1993-08-31	PRIJEM	\N	63	15642	UROK	\N	\N
3607358	2342	1993-09-30	PRIJEM	\N	68	16778	UROK	\N	\N
3607359	2342	1993-10-31	PRIJEM	\N	71	17108	UROK	\N	\N
3607360	2342	1993-11-30	PRIJEM	\N	75	18071	UROK	\N	\N
3607361	2342	1993-12-31	PRIJEM	\N	80	18980	UROK	\N	\N
3607362	2342	1994-01-31	PRIJEM	\N	73	13161	UROK	\N	\N
3607363	2342	1994-02-28	PRIJEM	\N	57	13596	UROK	\N	\N
3607364	2342	1994-03-31	PRIJEM	\N	60	14724	UROK	\N	\N
3607365	2342	1994-04-30	PRIJEM	\N	64	15857	UROK	\N	\N
3607366	2342	1994-05-31	PRIJEM	\N	69	16994	UROK	\N	\N
3607367	2342	1994-06-30	PRIJEM	\N	73	16845	UROK	\N	\N
3607368	2342	1994-07-31	PRIJEM	\N	73	17986	UROK	\N	\N
3607369	2342	1994-08-31	PRIJEM	\N	77	18291	UROK	\N	\N
3607370	2342	1994-09-30	PRIJEM	\N	79	19439	UROK	\N	\N
3607371	2342	1994-10-31	PRIJEM	\N	84	20591	UROK	\N	\N
3607372	2342	1994-11-30	PRIJEM	\N	89	21748	UROK	\N	\N
3607373	2342	1994-12-31	PRIJEM	\N	95	21711	UROK	\N	\N
3607374	2342	1995-01-31	PRIJEM	\N	83	17842	UROK	\N	\N
3607375	2342	1995-02-28	PRIJEM	\N	77	18988	UROK	\N	\N
3607376	2342	1995-03-31	PRIJEM	\N	81	19507	UROK	\N	\N
3607377	2342	1995-04-30	PRIJEM	\N	84	20659	UROK	\N	\N
3607378	2342	1995-05-31	PRIJEM	\N	89	21816	UROK	\N	\N
3607379	2342	1995-06-30	PRIJEM	\N	83	18498	UROK	\N	\N
3607380	2342	1995-07-31	PRIJEM	\N	80	19646	UROK	\N	\N
3607381	2342	1995-08-31	PRIJEM	\N	84	20798	UROK	\N	\N
3607382	2342	1995-09-30	PRIJEM	\N	89	21956	UROK	\N	\N
3607383	2342	1995-10-31	PRIJEM	\N	94	23118	UROK	\N	\N
3607384	2342	1995-11-30	PRIJEM	\N	97	23594	UROK	\N	\N
3607385	2342	1995-12-31	PRIJEM	\N	102	23624	UROK	\N	\N
3607386	2342	1996-01-31	PRIJEM	\N	94	20946	UROK	\N	\N
3607387	2342	1996-02-29	PRIJEM	\N	90	22104	UROK	\N	\N
3607388	2342	1996-03-31	PRIJEM	\N	95	22577	UROK	\N	\N
3607389	2342	1996-04-30	PRIJEM	\N	96	22722	UROK	\N	\N
3607390	2342	1996-05-31	PRIJEM	\N	100	22840	UROK	\N	\N
3607391	2342	1996-06-30	PRIJEM	\N	96	22714	UROK	\N	\N
3607392	2342	1996-07-31	PRIJEM	\N	95	22887	UROK	\N	\N
3607393	2342	1996-08-31	PRIJEM	\N	96	21772	UROK	\N	\N
3607394	2342	1996-09-30	PRIJEM	\N	93	22933	UROK	\N	\N
3607395	2342	1996-10-31	PRIJEM	\N	98	24099	UROK	\N	\N
3607396	2342	1996-11-30	PRIJEM	\N	102	25269	UROK	\N	\N
3607397	2342	1996-12-31	PRIJEM	\N	106	25934	UROK	\N	\N
3607398	2342	1997-01-31	PRIJEM	\N	106	22908	UROK	\N	\N
3607399	2342	1997-02-28	PRIJEM	\N	97	24073	UROK	\N	\N
3607400	2342	1997-03-31	PRIJEM	\N	102	25244	UROK	\N	\N
3607401	2342	1997-04-30	PRIJEM	\N	107	26419	UROK	\N	\N
3607402	2342	1997-05-31	PRIJEM	\N	114	27181	UROK	\N	\N
3607403	2342	1997-06-30	PRIJEM	\N	105	23585	UROK	\N	\N
3607404	2342	1997-07-31	PRIJEM	\N	98	22921	UROK	\N	\N
3607405	2342	1997-08-31	PRIJEM	\N	96	23126	UROK	\N	\N
3607406	2342	1997-09-30	PRIJEM	\N	98	24292	UROK	\N	\N
3607407	2342	1997-10-31	PRIJEM	\N	102	25463	UROK	\N	\N
3607408	2342	1997-11-30	PRIJEM	\N	107	26638	UROK	\N	\N
3607409	2342	1997-12-31	PRIJEM	\N	110	26317	UROK	\N	\N
3607410	2342	1998-01-31	PRIJEM	\N	103	23558	UROK	\N	\N
3607411	2342	1998-02-28	PRIJEM	\N	100	24187	UROK	\N	\N
3607412	2342	1998-03-31	PRIJEM	\N	102	25357	UROK	\N	\N
3607413	2342	1998-04-30	PRIJEM	\N	105	25510	UROK	\N	\N
3607414	2342	1998-05-31	PRIJEM	\N	107	26685	UROK	\N	\N
3607415	2342	1998-06-30	PRIJEM	\N	96	22509	UROK	\N	\N
3607416	2342	1998-07-31	PRIJEM	\N	94	23672	UROK	\N	\N
3607417	2342	1998-08-31	PRIJEM	\N	99	24839	UROK	\N	\N
3607418	2342	1998-09-30	PRIJEM	\N	103	25290	UROK	\N	\N
3607419	2342	1998-10-31	PRIJEM	\N	106	26464	UROK	\N	\N
3607420	2342	1998-11-30	PRIJEM	\N	110	27643	UROK	\N	\N
3607421	2342	1998-12-31	PRIJEM	\N	115	28616	UROK	\N	\N
3607422	2343	1995-01-31	PRIJEM	\N	59	18203	UROK	\N	\N
3607423	2343	1995-02-28	PRIJEM	\N	113	28259	UROK	\N	\N
3607424	2343	1995-03-31	PRIJEM	\N	133	32836	UROK	\N	\N
3607425	2343	1995-04-30	PRIJEM	\N	144	35324	UROK	\N	\N
3607426	2343	1995-05-31	PRIJEM	\N	110	19955	UROK	\N	\N
3607427	2343	1995-06-30	PRIJEM	\N	97	24461	UROK	\N	\N
3607428	2343	1995-07-31	PRIJEM	\N	102	22269	UROK	\N	\N
3607429	2343	1995-08-31	PRIJEM	\N	107	26283	UROK	\N	\N
3607430	2343	1995-09-30	PRIJEM	\N	113	27202	UROK	\N	\N
3607431	2343	1995-10-31	PRIJEM	\N	130	30839	UROK	\N	\N
3607432	2343	1995-11-30	PRIJEM	\N	132	30838	UROK	\N	\N
3607433	2343	1995-12-31	PRIJEM	\N	145	30773	UROK	\N	\N
3607434	2343	1996-01-31	PRIJEM	\N	123	20863	UROK	\N	\N
3607435	2343	1996-02-29	PRIJEM	\N	121	28292	UROK	\N	\N
3607436	2343	1996-03-31	PRIJEM	\N	136	32595	UROK	\N	\N
3607437	2343	1996-04-30	PRIJEM	\N	142	30224	UROK	\N	\N
3607438	2343	1996-05-31	PRIJEM	\N	142	33674	UROK	\N	\N
3607439	2343	1996-06-30	PRIJEM	\N	169	41232	UROK	\N	\N
3607440	2343	1996-07-31	PRIJEM	\N	185	44384	UROK	\N	\N
3607441	2343	1996-08-31	PRIJEM	\N	180	40731	UROK	\N	\N
3607442	2343	1996-09-30	PRIJEM	\N	178	44876	UROK	\N	\N
3607443	2343	1996-10-31	PRIJEM	\N	183	44507	UROK	\N	\N
3607444	2343	1996-11-30	PRIJEM	\N	193	44867	UROK	\N	\N
3607445	2343	1996-12-31	PRIJEM	\N	204	44500	UROK	\N	\N
3607446	2343	1997-01-31	PRIJEM	\N	157	37344	UROK	\N	\N
3607447	2343	1997-02-28	PRIJEM	\N	164	41276	UROK	\N	\N
3607448	2343	1997-03-31	PRIJEM	\N	177	38520	UROK	\N	\N
3607449	2343	1997-04-30	PRIJEM	\N	168	41756	UROK	\N	\N
3607450	2343	1997-05-31	PRIJEM	\N	180	42703	UROK	\N	\N
3607451	2343	1997-06-30	PRIJEM	\N	201	48594	UROK	\N	\N
3607452	2343	1997-07-31	PRIJEM	\N	203	49824	UROK	\N	\N
3607453	2343	1997-08-31	PRIJEM	\N	203	46355	UROK	\N	\N
3607454	2343	1997-09-30	PRIJEM	\N	182	44144	UROK	\N	\N
3607455	2343	1997-10-31	PRIJEM	\N	185	40996	UROK	\N	\N
3607456	2343	1997-11-30	PRIJEM	\N	186	44988	UROK	\N	\N
3607457	2343	1997-12-31	PRIJEM	\N	198	44334	UROK	\N	\N
3607458	2343	1998-01-31	PRIJEM	\N	170	36371	UROK	\N	\N
3607459	2343	1998-02-28	PRIJEM	\N	153	38890	UROK	\N	\N
3607460	2343	1998-03-31	PRIJEM	\N	165	38361	UROK	\N	\N
3607461	2343	1998-04-30	PRIJEM	\N	165	37932	UROK	\N	\N
3607462	2343	1998-05-31	PRIJEM	\N	160	37698	UROK	\N	\N
3607463	2343	1998-06-30	PRIJEM	\N	108	27475	UROK	\N	\N
3607464	2343	1998-07-31	PRIJEM	\N	128	34209	UROK	\N	\N
3607465	2343	1998-08-31	PRIJEM	\N	149	36504	UROK	\N	\N
3607466	2343	1998-09-30	PRIJEM	\N	160	39870	UROK	\N	\N
3607467	2343	1998-10-31	PRIJEM	\N	172	41748	UROK	\N	\N
3607468	2343	1998-11-30	PRIJEM	\N	173	41428	UROK	\N	\N
3607469	2343	1998-12-31	PRIJEM	\N	177	44533	UROK	\N	\N
3607470	2344	1996-07-31	PRIJEM	\N	21	6049	UROK	\N	\N
3607471	2344	1996-08-31	PRIJEM	\N	25	11002	UROK	\N	\N
3607472	2344	1996-09-30	PRIJEM	\N	25	15955	UROK	\N	\N
3607473	2344	1996-10-31	PRIJEM	\N	28	18412	UROK	\N	\N
3607474	2344	1996-11-30	PRIJEM	\N	82	15701	UROK	\N	\N
3607475	2344	1996-12-31	PRIJEM	\N	70	15914	UROK	\N	\N
3607476	2344	1997-01-31	PRIJEM	\N	54	11340	UROK	\N	\N
3607477	2344	1997-02-28	PRIJEM	\N	54	13286	UROK	\N	\N
3607478	2344	1997-03-31	PRIJEM	\N	62	15241	UROK	\N	\N
3607479	2344	1997-04-30	PRIJEM	\N	70	16503	UROK	\N	\N
3607480	2344	1997-05-31	PRIJEM	\N	71	14626	UROK	\N	\N
3607481	2344	1997-06-30	PRIJEM	\N	57	12736	UROK	\N	\N
3607482	2344	1997-07-31	PRIJEM	\N	60	14688	UROK	\N	\N
3607483	2344	1997-08-31	PRIJEM	\N	67	16007	UROK	\N	\N
3607484	2344	1997-09-30	PRIJEM	\N	73	17272	UROK	\N	\N
3607485	2344	1997-10-31	PRIJEM	\N	78	18943	UROK	\N	\N
3607486	2344	1997-11-30	PRIJEM	\N	85	19920	UROK	\N	\N
3607487	2344	1997-12-31	PRIJEM	\N	89	21251	UROK	\N	\N
3607488	2344	1998-01-31	PRIJEM	\N	71	13195	UROK	\N	\N
3607489	2344	1998-02-28	PRIJEM	\N	61	15149	UROK	\N	\N
3607490	2344	1998-03-31	PRIJEM	\N	70	17111	UROK	\N	\N
3607491	2344	1998-04-30	PRIJEM	\N	78	19081	UROK	\N	\N
3607492	2344	1998-05-31	PRIJEM	\N	85	20338	UROK	\N	\N
3607493	2344	1998-06-30	PRIJEM	\N	86	19216	UROK	\N	\N
3607494	2344	1998-07-31	PRIJEM	\N	82	18871	UROK	\N	\N
3607495	2344	1998-08-31	PRIJEM	\N	84	20447	UROK	\N	\N
3607496	2344	1998-09-30	PRIJEM	\N	92	22431	UROK	\N	\N
3607497	2344	1998-10-31	PRIJEM	\N	100	24423	UROK	\N	\N
3607498	2344	1998-11-30	PRIJEM	\N	108	26424	UROK	\N	\N
3607499	2344	1998-12-31	PRIJEM	\N	115	27471	UROK	\N	\N
3607500	2345	1993-11-30	PRIJEM	\N	20	20789	UROK	\N	\N
3607501	2345	1993-12-31	PRIJEM	\N	102	35445	UROK	\N	\N
3607502	2345	1994-01-31	PRIJEM	\N	156	42270	UROK	\N	\N
3607503	2345	1994-02-28	PRIJEM	\N	174	41213	UROK	\N	\N
3607504	2345	1994-03-31	PRIJEM	\N	194	41964	UROK	\N	\N
3607505	2345	1994-04-30	PRIJEM	\N	119	27688	UROK	\N	\N
3607506	2345	1994-05-31	PRIJEM	\N	116	27247	UROK	\N	\N
3607507	2345	1994-06-30	PRIJEM	\N	142	22516	UROK	\N	\N
3607508	2345	1994-07-31	PRIJEM	\N	106	28729	UROK	\N	\N
3607509	2345	1994-08-31	PRIJEM	\N	139	32677	UROK	\N	\N
3607510	2345	1994-09-30	PRIJEM	\N	143	29690	UROK	\N	\N
3607511	2345	1994-10-31	PRIJEM	\N	127	30559	UROK	\N	\N
3607512	2345	1994-11-30	PRIJEM	\N	137	19939	UROK	\N	\N
3607513	2345	1994-12-31	PRIJEM	\N	113	24051	UROK	\N	\N
3607514	2345	1995-01-31	PRIJEM	\N	113	19178	UROK	\N	\N
3607515	2345	1995-02-28	PRIJEM	\N	103	24630	UROK	\N	\N
3607516	2345	1995-03-31	PRIJEM	\N	117	29299	UROK	\N	\N
3607517	2345	1995-04-30	PRIJEM	\N	134	30647	UROK	\N	\N
3607518	2345	1995-05-31	PRIJEM	\N	141	32003	UROK	\N	\N
3607519	2345	1995-06-30	PRIJEM	\N	134	22836	UROK	\N	\N
3607520	2345	1995-07-31	PRIJEM	\N	111	27161	UROK	\N	\N
3607521	2345	1995-08-31	PRIJEM	\N	129	31905	UROK	\N	\N
3607522	2345	1995-09-30	PRIJEM	\N	143	32362	UROK	\N	\N
3607523	2345	1995-10-31	PRIJEM	\N	140	29917	UROK	\N	\N
3607524	2345	1995-11-30	PRIJEM	\N	142	36573	UROK	\N	\N
3607525	2345	1995-12-31	PRIJEM	\N	172	40944	UROK	\N	\N
3607526	2345	1996-01-31	PRIJEM	\N	133	24392	UROK	\N	\N
3607527	2345	1996-02-29	PRIJEM	\N	130	24316	UROK	\N	\N
3607528	2345	1996-03-31	PRIJEM	\N	112	27942	UROK	\N	\N
3607529	2345	1996-04-30	PRIJEM	\N	142	38399	UROK	\N	\N
3607530	2345	1996-05-31	PRIJEM	\N	149	35262	UROK	\N	\N
3607531	2345	1996-06-30	PRIJEM	\N	138	27399	UROK	\N	\N
3607532	2345	1996-07-31	PRIJEM	\N	132	34946	UROK	\N	\N
3607533	2345	1996-08-31	PRIJEM	\N	158	41118	UROK	\N	\N
3607534	2345	1996-09-30	PRIJEM	\N	125	32656	UROK	\N	\N
3607535	2345	1996-10-31	PRIJEM	\N	140	35111	UROK	\N	\N
3607536	2345	1996-11-30	PRIJEM	\N	139	25364	UROK	\N	\N
3607537	2345	1996-12-31	PRIJEM	\N	97	24154	UROK	\N	\N
3607538	2345	1997-01-31	PRIJEM	\N	120	32188	UROK	\N	\N
3607539	2345	1997-02-28	PRIJEM	\N	120	32222	UROK	\N	\N
3607540	2345	1997-03-31	PRIJEM	\N	136	32873	UROK	\N	\N
3607541	2345	1997-04-30	PRIJEM	\N	139	34626	UROK	\N	\N
3607542	2345	1997-05-31	PRIJEM	\N	151	38291	UROK	\N	\N
3607543	2345	1997-06-30	PRIJEM	\N	175	45665	UROK	\N	\N
3607544	2345	1997-07-31	PRIJEM	\N	164	38044	UROK	\N	\N
3607545	2345	1997-08-31	PRIJEM	\N	161	39919	UROK	\N	\N
3607546	2345	1997-09-30	PRIJEM	\N	172	43305	UROK	\N	\N
3607547	2345	1997-10-31	PRIJEM	\N	174	42093	UROK	\N	\N
3607548	2345	1997-11-30	PRIJEM	\N	172	41879	UROK	\N	\N
3607549	2345	1997-12-31	PRIJEM	\N	194	45473	UROK	\N	\N
3607550	2345	1998-01-31	PRIJEM	\N	185	42272	UROK	\N	\N
3607551	2345	1998-02-28	PRIJEM	\N	169	40856	UROK	\N	\N
3607552	2345	1998-03-31	PRIJEM	\N	171	42541	UROK	\N	\N
3607553	2345	1998-04-30	PRIJEM	\N	168	40424	UROK	\N	\N
3607554	2345	1998-05-31	PRIJEM	\N	157	36902	UROK	\N	\N
3607555	2345	1998-06-30	PRIJEM	\N	133	27820	UROK	\N	\N
3607556	2345	1998-07-31	PRIJEM	\N	134	36069	UROK	\N	\N
3607557	2345	1998-08-31	PRIJEM	\N	129	20512	UROK	\N	\N
3607558	2345	1998-09-30	PRIJEM	\N	113	20839	UROK	\N	\N
3607559	2345	1998-10-31	PRIJEM	\N	114	22868	UROK	\N	\N
3607560	2345	1998-11-30	PRIJEM	\N	121	23603	UROK	\N	\N
3607561	2345	1998-12-31	PRIJEM	\N	145	31797	UROK	\N	\N
3607562	2346	1996-06-30	PRIJEM	\N	31	44094	UROK	\N	\N
3607563	2346	1996-07-31	PRIJEM	\N	186	32679	UROK	\N	\N
3607564	2346	1996-08-31	PRIJEM	\N	285	84352	UROK	\N	\N
3607565	2346	1996-09-30	PRIJEM	\N	274	53353	UROK	\N	\N
3607566	2346	1996-10-31	PRIJEM	\N	152	43990	UROK	\N	\N
3607567	2346	1996-11-30	PRIJEM	\N	99	57499	UROK	\N	\N
3607568	2346	1996-12-31	PRIJEM	\N	150	25595	UROK	\N	\N
3607569	2346	1997-01-31	PRIJEM	\N	51	6992	UROK	\N	\N
3607570	2346	1997-02-28	PRIJEM	\N	54	46183	UROK	\N	\N
3607571	2346	1997-03-31	PRIJEM	\N	221	56834	UROK	\N	\N
3607572	2346	1997-04-30	PRIJEM	\N	185	37874	UROK	\N	\N
3607573	2346	1997-05-31	PRIJEM	\N	156	41892	UROK	\N	\N
3607574	2346	1997-06-30	PRIJEM	\N	120	22358	UROK	\N	\N
3607575	2346	1997-07-31	PRIJEM	\N	52	7741	UROK	\N	\N
3607576	2346	1997-08-31	PRIJEM	\N	19	9984	UROK	\N	\N
3607577	2346	1997-09-30	PRIJEM	\N	41	4871	UROK	\N	\N
3607578	2346	1997-10-31	PRIJEM	\N	107	32282	UROK	\N	\N
3607579	2346	1997-10-31	VYDAJ	VYBER	1	32281	SANKC. UROK	\N	\N
3607580	2346	1997-11-30	PRIJEM	\N	101	15828	UROK	\N	\N
3607581	2346	1997-12-31	PRIJEM	\N	34	3008	UROK	\N	\N
3607582	2346	1998-01-31	PRIJEM	\N	31	18432	UROK	\N	\N
3607583	2346	1998-01-31	VYDAJ	VYBER	9	18423	SANKC. UROK	\N	\N
3607584	2346	1998-02-28	PRIJEM	\N	47	5616	UROK	\N	\N
3607585	2346	1998-03-31	PRIJEM	\N	9	-259	UROK	\N	\N
3607586	2346	1998-03-31	VYDAJ	VYBER	2	-261	SANKC. UROK	\N	\N
3607587	2346	1998-04-30	VYDAJ	VYBER	17	-2580	SANKC. UROK	\N	\N
3607588	2346	1998-06-30	VYDAJ	VYBER	28	-2665	SANKC. UROK	\N	\N
3607589	2346	1998-06-30	VYDAJ	VYBER	27	-2622	SANKC. UROK	\N	\N
3607590	2346	1998-07-31	VYDAJ	VYBER	27	-2692	SANKC. UROK	\N	\N
3607591	2346	1998-09-30	VYDAJ	VYBER	28	-2749	SANKC. UROK	\N	\N
3607592	2346	1998-09-30	VYDAJ	VYBER	27	-2791	SANKC. UROK	\N	\N
3607593	2346	1998-10-31	PRIJEM	\N	4	32718	UROK	\N	\N
3607594	2346	1998-10-31	VYDAJ	VYBER	26	32677	SANKC. UROK	\N	\N
3607595	2346	1998-11-30	PRIJEM	\N	78	10616	UROK	\N	\N
3607596	2346	1998-12-31	PRIJEM	\N	17	-2221	UROK	\N	\N
3607597	2346	1998-12-31	VYDAJ	VYBER	15	-2236	SANKC. UROK	\N	\N
3607598	2347	1996-12-31	PRIJEM	\N	12	22804	UROK	\N	\N
3607599	2347	1997-01-31	PRIJEM	\N	98	20383	UROK	\N	\N
3607600	2347	1997-02-28	PRIJEM	\N	95	20685	UROK	\N	\N
3607601	2347	1997-03-31	PRIJEM	\N	100	19310	UROK	\N	\N
3607602	2347	1997-04-30	PRIJEM	\N	99	22416	UROK	\N	\N
3607603	2347	1997-05-31	PRIJEM	\N	100	22802	UROK	\N	\N
3607604	2347	1997-06-30	PRIJEM	\N	77	15285	UROK	\N	\N
3607605	2347	1997-07-31	PRIJEM	\N	78	16769	UROK	\N	\N
3607606	2347	1997-08-31	PRIJEM	\N	88	19864	UROK	\N	\N
3607607	2347	1997-09-30	PRIJEM	\N	101	22972	UROK	\N	\N
3607608	2347	1997-10-31	PRIJEM	\N	111	25789	UROK	\N	\N
3607609	2347	1997-11-30	PRIJEM	\N	106	25221	UROK	\N	\N
3607610	2347	1997-12-31	PRIJEM	\N	113	27540	UROK	\N	\N
3607611	2347	1998-01-31	PRIJEM	\N	104	21691	UROK	\N	\N
3607612	2347	1998-02-28	PRIJEM	\N	99	24796	UROK	\N	\N
3607613	2347	1998-03-31	PRIJEM	\N	122	27924	UROK	\N	\N
3607614	2347	1998-04-30	PRIJEM	\N	129	29759	UROK	\N	\N
3607615	2347	1998-05-31	PRIJEM	\N	116	23742	UROK	\N	\N
3607616	2347	1998-06-30	PRIJEM	\N	104	21412	UROK	\N	\N
3607617	2347	1998-07-31	PRIJEM	\N	98	24517	UROK	\N	\N
3607618	2347	1998-08-31	PRIJEM	\N	109	23352	UROK	\N	\N
3607619	2347	1998-09-30	PRIJEM	\N	98	21156	UROK	\N	\N
3607620	2347	1998-10-31	PRIJEM	\N	88	19050	UROK	\N	\N
3607621	2347	1998-11-30	PRIJEM	\N	70	12126	UROK	\N	\N
3607622	2347	1998-12-31	PRIJEM	\N	57	12189	UROK	\N	\N
3607623	2348	1996-02-29	PRIJEM	\N	37	15288	UROK	\N	\N
3607624	2348	1996-03-31	PRIJEM	\N	118	36557	UROK	\N	\N
3607625	2348	1996-04-30	PRIJEM	\N	171	44179	UROK	\N	\N
3607626	2348	1996-05-31	PRIJEM	\N	194	48424	UROK	\N	\N
3607627	2348	1996-06-30	PRIJEM	\N	163	26542	UROK	\N	\N
3607628	2348	1996-07-31	PRIJEM	\N	118	30311	UROK	\N	\N
3607629	2348	1996-08-31	PRIJEM	\N	127	34168	UROK	\N	\N
3607630	2348	1996-09-30	PRIJEM	\N	133	35031	UROK	\N	\N
3607631	2348	1996-10-31	PRIJEM	\N	147	38309	UROK	\N	\N
3607632	2348	1996-11-30	PRIJEM	\N	150	39189	UROK	\N	\N
3607633	2348	1996-12-31	PRIJEM	\N	158	39343	UROK	\N	\N
3607634	2348	1997-01-31	PRIJEM	\N	117	23870	UROK	\N	\N
3607635	2348	1997-02-28	PRIJEM	\N	113	32213	UROK	\N	\N
3607636	2348	1997-03-31	PRIJEM	\N	121	31565	UROK	\N	\N
3607637	2348	1997-04-30	PRIJEM	\N	125	34020	UROK	\N	\N
3607638	2348	1997-05-31	PRIJEM	\N	131	26182	UROK	\N	\N
3607639	2348	1997-06-30	PRIJEM	\N	142	30979	UROK	\N	\N
3607640	2348	1997-07-31	PRIJEM	\N	141	23850	UROK	\N	\N
3607641	2348	1997-08-31	PRIJEM	\N	109	20989	UROK	\N	\N
3607642	2348	1997-09-30	PRIJEM	\N	96	17515	UROK	\N	\N
3607643	2348	1997-10-31	PRIJEM	\N	82	16828	UROK	\N	\N
3607644	2348	1997-11-30	PRIJEM	\N	79	16957	UROK	\N	\N
3607645	2348	1997-12-31	PRIJEM	\N	91	13484	UROK	\N	\N
3607646	2348	1998-01-31	PRIJEM	\N	69	18663	UROK	\N	\N
3607647	2348	1998-02-28	PRIJEM	\N	80	12073	UROK	\N	\N
3607648	2348	1998-03-31	PRIJEM	\N	58	16162	UROK	\N	\N
3607649	2348	1998-04-30	PRIJEM	\N	81	23753	UROK	\N	\N
3607650	2348	1998-05-31	PRIJEM	\N	98	12182	UROK	\N	\N
3607651	2348	1998-06-30	PRIJEM	\N	86	27823	UROK	\N	\N
3607652	2348	1998-07-31	PRIJEM	\N	131	36184	UROK	\N	\N
3607653	2348	1998-08-31	PRIJEM	\N	132	14346	UROK	\N	\N
3607654	2348	1998-09-30	PRIJEM	\N	77	22653	UROK	\N	\N
3607655	2348	1998-10-31	PRIJEM	\N	112	30995	UROK	\N	\N
3607656	2348	1998-11-30	PRIJEM	\N	109	13135	UROK	\N	\N
3607657	2348	1998-12-31	PRIJEM	\N	88	27178	UROK	\N	\N
3607658	2349	1997-01-31	PRIJEM	\N	58	18882	UROK	\N	\N
3607659	2349	1997-02-28	PRIJEM	\N	70	15666	UROK	\N	\N
3607660	2349	1997-03-31	PRIJEM	\N	56	12321	UROK	\N	\N
3607661	2349	1997-04-30	PRIJEM	\N	54	12874	UROK	\N	\N
3607662	2349	1997-05-31	PRIJEM	\N	50	11624	UROK	\N	\N
3607663	2349	1997-06-30	PRIJEM	\N	58	14281	UROK	\N	\N
3607664	2349	1997-07-31	PRIJEM	\N	54	12234	UROK	\N	\N
3607665	2349	1997-08-31	PRIJEM	\N	59	13532	UROK	\N	\N
3607666	2349	1997-09-30	PRIJEM	\N	61	14793	UROK	\N	\N
3607667	2349	1997-10-31	PRIJEM	\N	70	17302	UROK	\N	\N
3607668	2349	1997-11-30	PRIJEM	\N	81	16742	UROK	\N	\N
3607669	2349	1997-12-31	PRIJEM	\N	70	17112	UROK	\N	\N
3607670	2349	1998-01-31	PRIJEM	\N	71	16662	UROK	\N	\N
3607671	2349	1998-02-28	PRIJEM	\N	65	15027	UROK	\N	\N
3607672	2349	1998-03-31	PRIJEM	\N	74	19300	UROK	\N	\N
3607673	2349	1998-04-30	PRIJEM	\N	91	23591	UROK	\N	\N
3607674	2349	1998-05-31	PRIJEM	\N	109	26859	UROK	\N	\N
3607675	2349	1998-06-30	PRIJEM	\N	79	16438	UROK	\N	\N
3607676	2349	1998-07-31	PRIJEM	\N	80	20717	UROK	\N	\N
3607677	2349	1998-08-31	PRIJEM	\N	72	15988	UROK	\N	\N
3607678	2349	1998-09-30	PRIJEM	\N	78	20265	UROK	\N	\N
3607679	2349	1998-10-31	PRIJEM	\N	95	24559	UROK	\N	\N
3607680	2349	1998-11-30	PRIJEM	\N	85	20903	UROK	\N	\N
3607681	2349	1998-12-31	PRIJEM	\N	66	13628	UROK	\N	\N
3607682	2350	1996-11-30	PRIJEM	\N	125	36138	UROK	\N	\N
3607683	2350	1996-12-31	PRIJEM	\N	182	65490	UROK	\N	\N
3607684	2350	1997-01-31	PRIJEM	\N	346	87175	UROK	\N	\N
3607685	2350	1997-03-31	PRIJEM	\N	308	105954	UROK	\N	\N
3607686	2350	1997-04-30	PRIJEM	\N	310	79188	UROK	\N	\N
3607687	2350	1997-05-31	PRIJEM	\N	222	45229	UROK	\N	\N
3607688	2350	1997-06-30	PRIJEM	\N	99	21487	UROK	\N	\N
3607689	2350	1997-07-31	PRIJEM	\N	68	18774	UROK	\N	\N
3607690	2350	1997-08-31	PRIJEM	\N	57	15651	UROK	\N	\N
3607691	2350	1997-09-30	PRIJEM	\N	50	18708	UROK	\N	\N
3607692	2350	1997-10-31	PRIJEM	\N	198	27104	UROK	\N	\N
3607693	2350	1997-11-30	PRIJEM	\N	235	34380	UROK	\N	\N
3607694	2350	1997-12-31	PRIJEM	\N	242	50630	UROK	\N	\N
3607695	2350	1998-01-31	PRIJEM	\N	269	43606	UROK	\N	\N
3607696	2350	1998-02-28	PRIJEM	\N	206	31518	UROK	\N	\N
3607697	2350	1998-03-31	PRIJEM	\N	279	52435	UROK	\N	\N
3607698	2350	1998-04-30	PRIJEM	\N	322	47292	UROK	\N	\N
3607699	2350	1998-05-31	PRIJEM	\N	242	43211	UROK	\N	\N
3607700	2350	1998-06-30	PRIJEM	\N	267	50946	UROK	\N	\N
3607701	2350	1998-07-31	PRIJEM	\N	161	41856	UROK	\N	\N
3607702	2350	1998-08-31	PRIJEM	\N	147	36977	UROK	\N	\N
3607703	2350	1998-09-30	PRIJEM	\N	158	63343	UROK	\N	\N
3607704	2350	1998-10-31	PRIJEM	\N	298	58731	UROK	\N	\N
3607705	2350	1998-11-30	PRIJEM	\N	227	43216	UROK	\N	\N
3607706	2350	1998-12-31	PRIJEM	\N	169	75895	UROK	\N	\N
3607707	2351	1997-09-30	PRIJEM	\N	63	20564	UROK	\N	\N
3607708	2351	1997-10-31	PRIJEM	\N	154	42819	UROK	\N	\N
3607709	2351	1997-11-30	PRIJEM	\N	216	55235	UROK	\N	\N
3607710	2351	1997-12-31	PRIJEM	\N	272	69059	UROK	\N	\N
3607711	2351	1998-01-31	PRIJEM	\N	290	65750	UROK	\N	\N
3607712	2351	1998-02-28	PRIJEM	\N	257	63520	UROK	\N	\N
3607713	2351	1998-03-31	PRIJEM	\N	260	63994	UROK	\N	\N
3607714	2351	1998-04-30	PRIJEM	\N	252	62258	UROK	\N	\N
3607715	2351	1998-05-31	PRIJEM	\N	249	60221	UROK	\N	\N
3607716	2351	1998-06-30	PRIJEM	\N	209	48495	UROK	\N	\N
3607717	2351	1998-07-31	PRIJEM	\N	217	53525	UROK	\N	\N
3607718	2351	1998-08-31	PRIJEM	\N	216	53655	UROK	\N	\N
3607719	2351	1998-09-30	PRIJEM	\N	216	54784	UROK	\N	\N
3607720	2351	1998-10-31	PRIJEM	\N	213	53610	UROK	\N	\N
3607721	2351	1998-11-30	PRIJEM	\N	215	54538	UROK	\N	\N
3607722	2351	1998-12-31	PRIJEM	\N	238	62040	UROK	\N	\N
3607723	2352	1995-02-28	PRIJEM	\N	29	21481	UROK	\N	\N
3607724	2352	1995-03-31	PRIJEM	\N	105	33238	UROK	\N	\N
3607725	2352	1995-04-30	PRIJEM	\N	145	37934	UROK	\N	\N
3607726	2352	1995-05-31	PRIJEM	\N	164	42450	UROK	\N	\N
3607727	2352	1995-06-30	PRIJEM	\N	214	46328	UROK	\N	\N
3607728	2352	1995-07-31	PRIJEM	\N	210	45356	UROK	\N	\N
3607729	2352	1995-08-31	PRIJEM	\N	210	47284	UROK	\N	\N
3607730	2352	1995-09-30	PRIJEM	\N	208	44130	UROK	\N	\N
3607731	2352	1995-10-31	PRIJEM	\N	197	43146	UROK	\N	\N
3607732	2352	1995-11-30	PRIJEM	\N	196	44560	UROK	\N	\N
3607733	2352	1995-12-31	PRIJEM	\N	214	47339	UROK	\N	\N
3607734	2352	1996-01-31	PRIJEM	\N	187	32665	UROK	\N	\N
3607735	2352	1996-02-29	PRIJEM	\N	159	38642	UROK	\N	\N
3607736	2352	1996-03-31	PRIJEM	\N	163	39103	UROK	\N	\N
3607737	2352	1996-04-30	PRIJEM	\N	186	45207	UROK	\N	\N
3607738	2352	1996-05-31	PRIJEM	\N	201	46602	UROK	\N	\N
3607739	2352	1996-06-30	PRIJEM	\N	220	42423	UROK	\N	\N
3607740	2352	1996-07-31	PRIJEM	\N	216	45834	UROK	\N	\N
3607741	2352	1996-08-31	PRIJEM	\N	186	41814	UROK	\N	\N
3607742	2352	1996-09-30	PRIJEM	\N	184	44552	UROK	\N	\N
3607743	2352	1996-10-31	PRIJEM	\N	196	43803	UROK	\N	\N
3607744	2352	1996-11-30	PRIJEM	\N	189	44986	UROK	\N	\N
3607745	2352	1996-12-31	PRIJEM	\N	197	44303	UROK	\N	\N
3607746	2352	1997-01-31	PRIJEM	\N	185	44142	UROK	\N	\N
3607747	2352	1997-02-28	PRIJEM	\N	217	56454	UROK	\N	\N
3607748	2352	1997-03-31	PRIJEM	\N	212	45360	UROK	\N	\N
3607749	2352	1997-04-30	PRIJEM	\N	208	52463	UROK	\N	\N
3607750	2352	1997-05-31	PRIJEM	\N	238	59395	UROK	\N	\N
3607751	2352	1997-06-30	PRIJEM	\N	258	43034	UROK	\N	\N
3607752	2352	1997-07-31	PRIJEM	\N	198	50027	UROK	\N	\N
3607753	2352	1997-08-31	PRIJEM	\N	213	53335	UROK	\N	\N
3607754	2352	1997-09-30	PRIJEM	\N	237	59266	UROK	\N	\N
3607755	2352	1997-10-31	PRIJEM	\N	268	67028	UROK	\N	\N
3607756	2352	1997-11-30	PRIJEM	\N	281	68504	UROK	\N	\N
3607757	2352	1997-12-31	PRIJEM	\N	312	77376	UROK	\N	\N
3607758	2352	1998-01-31	PRIJEM	\N	258	47908	UROK	\N	\N
3607759	2352	1998-02-28	PRIJEM	\N	223	57226	UROK	\N	\N
3607760	2352	1998-03-31	PRIJEM	\N	246	62147	UROK	\N	\N
3607761	2352	1998-04-30	PRIJEM	\N	275	68817	UROK	\N	\N
3607762	2352	1998-05-31	PRIJEM	\N	272	64883	UROK	\N	\N
3607763	2352	1998-06-30	PRIJEM	\N	192	31715	UROK	\N	\N
3607764	2352	1998-07-31	PRIJEM	\N	163	43873	UROK	\N	\N
3607765	2352	1998-08-31	PRIJEM	\N	203	53111	UROK	\N	\N
3607766	2352	1998-09-30	PRIJEM	\N	223	55128	UROK	\N	\N
3607767	2352	1998-10-31	PRIJEM	\N	220	53042	UROK	\N	\N
3607768	2352	1998-11-30	PRIJEM	\N	231	57968	UROK	\N	\N
3607769	2352	1998-12-31	PRIJEM	\N	234	63982	UROK	\N	\N
3607770	2353	1995-10-31	PRIJEM	\N	27	17976	UROK	\N	\N
3607771	2353	1995-11-30	PRIJEM	\N	93	30018	UROK	\N	\N
3607772	2353	1995-12-31	PRIJEM	\N	135	36627	UROK	\N	\N
3607773	2353	1996-01-31	PRIJEM	\N	153	36928	UROK	\N	\N
3607774	2353	1996-02-29	PRIJEM	\N	152	31730	UROK	\N	\N
3607775	2353	1996-03-31	PRIJEM	\N	140	32104	UROK	\N	\N
3607776	2353	1996-04-30	PRIJEM	\N	136	32274	UROK	\N	\N
3607777	2353	1996-05-31	PRIJEM	\N	137	31745	UROK	\N	\N
3607778	2353	1996-06-30	PRIJEM	\N	154	38258	UROK	\N	\N
3607779	2353	1996-07-31	PRIJEM	\N	162	38655	UROK	\N	\N
3607780	2353	1996-08-31	PRIJEM	\N	161	38050	UROK	\N	\N
3607781	2353	1996-09-30	PRIJEM	\N	165	40450	UROK	\N	\N
3607782	2353	1996-10-31	PRIJEM	\N	172	41856	UROK	\N	\N
3607783	2353	1996-11-30	PRIJEM	\N	181	42971	UROK	\N	\N
3607784	2353	1996-12-31	PRIJEM	\N	223	48454	UROK	\N	\N
3607785	2353	1997-01-31	PRIJEM	\N	169	31157	UROK	\N	\N
3607786	2353	1997-02-28	PRIJEM	\N	145	34536	UROK	\N	\N
3607787	2353	1997-03-31	PRIJEM	\N	161	41731	UROK	\N	\N
3607788	2353	1997-04-30	PRIJEM	\N	172	40838	UROK	\N	\N
3607789	2353	1997-05-31	PRIJEM	\N	168	38140	UROK	\N	\N
3607790	2353	1997-06-30	PRIJEM	\N	195	43594	UROK	\N	\N
3607791	2353	1997-07-31	PRIJEM	\N	194	45922	UROK	\N	\N
3607792	2353	1997-08-31	PRIJEM	\N	196	46753	UROK	\N	\N
3607793	2353	1997-09-30	PRIJEM	\N	237	54824	UROK	\N	\N
3607794	2353	1997-10-31	PRIJEM	\N	262	59721	UROK	\N	\N
3607795	2353	1997-11-30	PRIJEM	\N	247	58403	UROK	\N	\N
3607796	2353	1997-12-31	PRIJEM	\N	282	66544	UROK	\N	\N
3607797	2353	1998-01-31	PRIJEM	\N	247	51625	UROK	\N	\N
3607798	2353	1998-02-28	PRIJEM	\N	214	50474	UROK	\N	\N
3607799	2353	1998-03-31	PRIJEM	\N	209	45517	UROK	\N	\N
3607800	2353	1998-04-30	PRIJEM	\N	206	50557	UROK	\N	\N
3607801	2353	1998-05-31	PRIJEM	\N	235	57127	UROK	\N	\N
3607802	2353	1998-06-30	PRIJEM	\N	224	48510	UROK	\N	\N
3607803	2353	1998-07-31	PRIJEM	\N	240	55085	UROK	\N	\N
3607804	2353	1998-08-31	PRIJEM	\N	230	54949	UROK	\N	\N
3607805	2353	1998-09-30	PRIJEM	\N	234	52518	UROK	\N	\N
3607806	2353	1998-10-31	PRIJEM	\N	230	57882	UROK	\N	\N
3607807	2353	1998-11-30	PRIJEM	\N	262	64878	UROK	\N	\N
3607808	2353	1998-12-31	PRIJEM	\N	319	75056	UROK	\N	\N
3607809	2354	1997-04-30	PRIJEM	\N	48	22948	UROK	\N	\N
3607810	2354	1997-05-31	PRIJEM	\N	128	38176	UROK	\N	\N
3607811	2354	1997-06-30	PRIJEM	\N	183	49159	UROK	\N	\N
3607812	2354	1997-07-31	PRIJEM	\N	209	51167	UROK	\N	\N
3607813	2354	1997-08-31	PRIJEM	\N	210	50378	UROK	\N	\N
3607814	2354	1997-09-30	PRIJEM	\N	201	47093	UROK	\N	\N
3607815	2354	1997-10-31	PRIJEM	\N	163	36470	UROK	\N	\N
3607816	2354	1997-11-30	PRIJEM	\N	158	39663	UROK	\N	\N
3607817	2354	1997-12-31	PRIJEM	\N	210	57267	UROK	\N	\N
3607818	2354	1998-01-31	PRIJEM	\N	236	57518	UROK	\N	\N
3607819	2354	1998-02-28	PRIJEM	\N	226	54859	UROK	\N	\N
3607820	2354	1998-03-31	PRIJEM	\N	231	57543	UROK	\N	\N
3607821	2354	1998-04-30	PRIJEM	\N	243	60301	UROK	\N	\N
3607822	2354	1998-05-31	PRIJEM	\N	256	63472	UROK	\N	\N
3607823	2354	1998-06-30	PRIJEM	\N	258	64904	UROK	\N	\N
3607824	2354	1998-07-31	PRIJEM	\N	252	60470	UROK	\N	\N
3607825	2354	1998-08-31	PRIJEM	\N	238	57522	UROK	\N	\N
3607826	2354	1998-09-30	PRIJEM	\N	224	54161	UROK	\N	\N
3607827	2354	1998-10-31	PRIJEM	\N	212	51487	UROK	\N	\N
3607828	2354	1998-11-30	PRIJEM	\N	205	50206	UROK	\N	\N
3607829	2354	1998-12-31	PRIJEM	\N	231	60052	UROK	\N	\N
3607830	2356	1996-12-31	PRIJEM	\N	10	38107	UROK	\N	\N
3607831	2356	1997-01-31	PRIJEM	\N	179	53241	UROK	\N	\N
3607832	2356	1997-02-28	PRIJEM	\N	217	55643	UROK	\N	\N
3607833	2356	1997-03-31	PRIJEM	\N	235	41525	UROK	\N	\N
3607834	2356	1997-04-30	PRIJEM	\N	229	95396	UROK	\N	\N
3607835	2356	1997-05-31	PRIJEM	\N	351	47447	UROK	\N	\N
3607836	2356	1997-06-30	PRIJEM	\N	304	46415	UROK	\N	\N
3607837	2356	1997-07-31	PRIJEM	\N	184	36087	UROK	\N	\N
3607838	2356	1997-08-31	PRIJEM	\N	234	50491	UROK	\N	\N
3607839	2356	1997-09-30	PRIJEM	\N	208	33769	UROK	\N	\N
3607840	2356	1997-10-31	PRIJEM	\N	128	26923	UROK	\N	\N
3607841	2356	1997-11-30	PRIJEM	\N	111	21405	UROK	\N	\N
3607842	2356	1997-12-31	PRIJEM	\N	89	24664	UROK	\N	\N
3607843	2356	1998-01-31	PRIJEM	\N	105	25739	UROK	\N	\N
3607844	2356	1998-02-28	PRIJEM	\N	107	28916	UROK	\N	\N
3607845	2356	1998-03-31	PRIJEM	\N	117	23503	UROK	\N	\N
3607846	2356	1998-04-30	PRIJEM	\N	98	27071	UROK	\N	\N
3607847	2356	1998-05-31	PRIJEM	\N	113	31454	UROK	\N	\N
3607848	2356	1998-06-30	PRIJEM	\N	123	28145	UROK	\N	\N
3607849	2356	1998-07-31	PRIJEM	\N	117	28232	UROK	\N	\N
3607850	2356	1998-08-31	PRIJEM	\N	117	29119	UROK	\N	\N
3607851	2356	1998-09-30	PRIJEM	\N	121	31410	UROK	\N	\N
3607852	2356	1998-10-31	PRIJEM	\N	146	62473	UROK	\N	\N
3607853	2356	1998-11-30	PRIJEM	\N	166	21042	UROK	\N	\N
3607854	2356	1998-12-31	PRIJEM	\N	99	26611	UROK	\N	\N
3607855	2357	1993-01-31	PRIJEM	\N	19	7253	UROK	\N	\N
3607856	2357	1993-02-28	PRIJEM	\N	30	13718	UROK	\N	\N
3607857	2357	1993-03-31	PRIJEM	\N	30	20182	UROK	\N	\N
3607858	2357	1993-04-30	PRIJEM	\N	30	26646	UROK	\N	\N
3607859	2357	1993-05-31	PRIJEM	\N	96	31675	UROK	\N	\N
3607860	2357	1993-06-30	PRIJEM	\N	81	13667	UROK	\N	\N
3607861	2357	1993-07-31	PRIJEM	\N	64	16281	UROK	\N	\N
3607862	2357	1993-08-31	PRIJEM	\N	62	15533	UROK	\N	\N
3607863	2357	1993-09-30	PRIJEM	\N	71	18155	UROK	\N	\N
3607864	2357	1993-10-31	PRIJEM	\N	82	20788	UROK	\N	\N
3607865	2357	1993-11-30	PRIJEM	\N	93	23431	UROK	\N	\N
3607866	2357	1993-12-31	PRIJEM	\N	96	24178	UROK	\N	\N
3607867	2357	1994-01-31	PRIJEM	\N	86	20494	UROK	\N	\N
3607868	2357	1994-02-28	PRIJEM	\N	92	23136	UROK	\N	\N
3607869	2357	1994-03-31	PRIJEM	\N	103	24790	UROK	\N	\N
3607870	2357	1994-04-30	PRIJEM	\N	109	23849	UROK	\N	\N
3607871	2357	1994-05-31	PRIJEM	\N	106	26505	UROK	\N	\N
3607872	2357	1994-06-30	PRIJEM	\N	111	24586	UROK	\N	\N
3607873	2357	1994-07-31	PRIJEM	\N	109	27046	UROK	\N	\N
3607874	2357	1994-08-31	PRIJEM	\N	119	29415	UROK	\N	\N
3607875	2357	1994-09-30	PRIJEM	\N	128	30694	UROK	\N	\N
3607876	2357	1994-10-31	PRIJEM	\N	130	28014	UROK	\N	\N
3607877	2357	1994-11-30	PRIJEM	\N	121	28485	UROK	\N	\N
3607878	2357	1994-12-31	PRIJEM	\N	110	24946	UROK	\N	\N
3607879	2357	1995-01-31	PRIJEM	\N	83	17179	UROK	\N	\N
3607880	2357	1995-02-28	PRIJEM	\N	78	19807	UROK	\N	\N
3607881	2357	1995-03-31	PRIJEM	\N	89	22446	UROK	\N	\N
3607882	2357	1995-04-30	PRIJEM	\N	100	25096	UROK	\N	\N
3607883	2357	1995-05-31	PRIJEM	\N	111	27758	UROK	\N	\N
3607884	2357	1995-06-30	PRIJEM	\N	111	20619	UROK	\N	\N
3607885	2357	1995-07-31	PRIJEM	\N	78	19248	UROK	\N	\N
3607886	2357	1995-08-31	PRIJEM	\N	86	21885	UROK	\N	\N
3607887	2357	1995-09-30	PRIJEM	\N	97	24532	UROK	\N	\N
3607888	2357	1995-10-31	PRIJEM	\N	100	23663	UROK	\N	\N
3607889	2357	1995-11-30	PRIJEM	\N	105	26318	UROK	\N	\N
3607890	2357	1995-12-31	PRIJEM	\N	110	27929	UROK	\N	\N
3607891	2357	1996-01-31	PRIJEM	\N	102	21221	UROK	\N	\N
3607892	2357	1996-02-29	PRIJEM	\N	94	23865	UROK	\N	\N
3607893	2357	1996-03-31	PRIJEM	\N	102	26037	UROK	\N	\N
3607894	2357	1996-04-30	PRIJEM	\N	112	27420	UROK	\N	\N
3607895	2357	1996-05-31	PRIJEM	\N	120	30091	UROK	\N	\N
3607896	2357	1996-06-30	PRIJEM	\N	115	15726	UROK	\N	\N
3607897	2357	1996-07-31	PRIJEM	\N	71	18347	UROK	\N	\N
3607898	2357	1996-08-31	PRIJEM	\N	82	20980	UROK	\N	\N
3607899	2357	1996-09-30	PRIJEM	\N	93	23623	UROK	\N	\N
3607900	2357	1996-10-31	PRIJEM	\N	104	26277	UROK	\N	\N
3607901	2357	1996-11-30	PRIJEM	\N	115	28942	UROK	\N	\N
3607902	2357	1996-12-31	PRIJEM	\N	124	28497	UROK	\N	\N
3607903	2357	1997-01-31	PRIJEM	\N	100	16827	UROK	\N	\N
3607904	2357	1997-02-28	PRIJEM	\N	70	18728	UROK	\N	\N
3607905	2357	1997-03-31	PRIJEM	\N	83	21362	UROK	\N	\N
3607906	2357	1997-04-30	PRIJEM	\N	94	24006	UROK	\N	\N
3607907	2357	1997-05-31	PRIJEM	\N	105	26661	UROK	\N	\N
3607908	2357	1997-06-30	PRIJEM	\N	105	17737	UROK	\N	\N
3607909	2357	1997-07-31	PRIJEM	\N	79	20366	UROK	\N	\N
3607910	2357	1997-08-31	PRIJEM	\N	90	23006	UROK	\N	\N
3607911	2357	1997-09-30	PRIJEM	\N	93	23889	UROK	\N	\N
3607912	2357	1997-10-31	PRIJEM	\N	104	26544	UROK	\N	\N
3607913	2357	1997-11-30	PRIJEM	\N	111	28726	UROK	\N	\N
3607914	2357	1997-12-31	PRIJEM	\N	120	29626	UROK	\N	\N
3607915	2357	1998-01-31	PRIJEM	\N	111	24847	UROK	\N	\N
3607916	2357	1998-02-28	PRIJEM	\N	100	25817	UROK	\N	\N
3607917	2357	1998-03-31	PRIJEM	\N	112	28480	UROK	\N	\N
3607918	2357	1998-04-30	PRIJEM	\N	123	30672	UROK	\N	\N
3607919	2357	1998-05-31	PRIJEM	\N	132	33355	UROK	\N	\N
3607920	2357	1998-06-30	PRIJEM	\N	118	23973	UROK	\N	\N
3607921	2357	1998-07-31	PRIJEM	\N	104	26627	UROK	\N	\N
3607922	2357	1998-08-31	PRIJEM	\N	115	29292	UROK	\N	\N
3607923	2357	1998-09-30	PRIJEM	\N	126	31968	UROK	\N	\N
3607924	2357	1998-10-31	PRIJEM	\N	137	34655	UROK	\N	\N
3607925	2357	1998-11-30	PRIJEM	\N	148	37353	UROK	\N	\N
3607926	2357	1998-12-31	PRIJEM	\N	153	38297	UROK	\N	\N
3607927	2358	1995-10-31	PRIJEM	\N	44	17366	UROK	\N	\N
3607928	2358	1995-11-30	PRIJEM	\N	104	30192	UROK	\N	\N
3607929	2358	1995-12-31	PRIJEM	\N	148	39224	UROK	\N	\N
3607930	2358	1996-01-31	PRIJEM	\N	170	42116	UROK	\N	\N
3607931	2358	1996-02-29	PRIJEM	\N	160	35883	UROK	\N	\N
3607932	2358	1996-03-31	PRIJEM	\N	137	31114	UROK	\N	\N
3607933	2358	1996-04-30	PRIJEM	\N	134	33041	UROK	\N	\N
3607934	2358	1996-05-31	PRIJEM	\N	159	35794	UROK	\N	\N
3607935	2358	1996-06-30	PRIJEM	\N	166	37014	UROK	\N	\N
3607936	2358	1996-07-31	PRIJEM	\N	164	36112	UROK	\N	\N
3607937	2358	1996-08-31	PRIJEM	\N	146	34652	UROK	\N	\N
3607938	2358	1996-09-30	PRIJEM	\N	135	30340	UROK	\N	\N
3607939	2358	1996-10-31	PRIJEM	\N	138	35072	UROK	\N	\N
3607940	2358	1996-11-30	PRIJEM	\N	171	39236	UROK	\N	\N
3607941	2358	1996-12-31	PRIJEM	\N	179	40189	UROK	\N	\N
3607942	2358	1997-01-31	PRIJEM	\N	165	32628	UROK	\N	\N
3607943	2358	1997-02-28	PRIJEM	\N	133	31274	UROK	\N	\N
3607944	2358	1997-03-31	PRIJEM	\N	152	34120	UROK	\N	\N
3607945	2358	1997-04-30	PRIJEM	\N	146	30159	UROK	\N	\N
3607946	2358	1997-05-31	PRIJEM	\N	134	26846	UROK	\N	\N
3607947	2358	1997-06-30	PRIJEM	\N	135	30736	UROK	\N	\N
3607948	2358	1997-07-31	PRIJEM	\N	112	24962	UROK	\N	\N
3607949	2358	1997-08-31	PRIJEM	\N	101	24056	UROK	\N	\N
3607950	2358	1997-09-30	PRIJEM	\N	82	16631	UROK	\N	\N
3607951	2358	1997-10-31	PRIJEM	\N	87	18012	UROK	\N	\N
3607952	2358	1997-11-30	PRIJEM	\N	78	17423	UROK	\N	\N
3607953	2358	1997-12-31	PRIJEM	\N	85	18762	UROK	\N	\N
3607954	2358	1998-01-31	PRIJEM	\N	79	19334	UROK	\N	\N
3607955	2358	1998-02-28	PRIJEM	\N	84	21172	UROK	\N	\N
3607956	2358	1998-03-31	PRIJEM	\N	77	17242	UROK	\N	\N
3607957	2358	1998-04-30	PRIJEM	\N	74	15349	UROK	\N	\N
3607958	2358	1998-05-31	PRIJEM	\N	86	18628	UROK	\N	\N
3607959	2358	1998-06-30	PRIJEM	\N	94	23337	UROK	\N	\N
3607960	2358	1998-07-31	PRIJEM	\N	95	22905	UROK	\N	\N
3607961	2358	1998-08-31	PRIJEM	\N	102	26200	UROK	\N	\N
3607962	2358	1998-09-30	PRIJEM	\N	120	15914	UROK	\N	\N
3607963	2358	1998-10-31	PRIJEM	\N	88	19195	UROK	\N	\N
3607964	2358	1998-11-30	PRIJEM	\N	81	14269	UROK	\N	\N
3607965	2358	1998-12-31	PRIJEM	\N	78	22201	UROK	\N	\N
3607966	2359	1996-08-31	PRIJEM	\N	34	13413	UROK	\N	\N
3607967	2359	1996-09-30	PRIJEM	\N	83	23875	UROK	\N	\N
3607968	2359	1996-10-31	PRIJEM	\N	107	26962	UROK	\N	\N
3607969	2359	1996-11-30	PRIJEM	\N	121	30061	UROK	\N	\N
3607970	2359	1996-12-31	PRIJEM	\N	131	31391	UROK	\N	\N
3607971	2359	1997-01-31	PRIJEM	\N	95	13232	UROK	\N	\N
3607972	2359	1997-02-28	PRIJEM	\N	70	17747	UROK	\N	\N
3607973	2359	1997-03-31	PRIJEM	\N	73	14065	UROK	\N	\N
3607974	2359	1997-04-30	PRIJEM	\N	75	19386	UROK	\N	\N
3607975	2359	1997-05-31	PRIJEM	\N	92	22823	UROK	\N	\N
3607976	2359	1997-06-30	PRIJEM	\N	92	15499	UROK	\N	\N
3607977	2359	1997-07-31	PRIJEM	\N	72	17316	UROK	\N	\N
3607978	2359	1997-08-31	PRIJEM	\N	84	19846	UROK	\N	\N
3607979	2359	1997-09-30	PRIJEM	\N	84	19475	UROK	\N	\N
3607980	2359	1997-10-31	PRIJEM	\N	92	22012	UROK	\N	\N
3607981	2359	1997-11-30	PRIJEM	\N	98	23056	UROK	\N	\N
3607982	2359	1997-12-31	PRIJEM	\N	108	24949	UROK	\N	\N
3607983	2359	1998-01-31	PRIJEM	\N	99	15493	UROK	\N	\N
3607984	2359	1998-02-28	PRIJEM	\N	95	23533	UROK	\N	\N
3607985	2359	1998-03-31	PRIJEM	\N	100	22779	UROK	\N	\N
3607986	2359	1998-04-30	PRIJEM	\N	98	19121	UROK	\N	\N
3607987	2359	1998-05-31	PRIJEM	\N	91	21557	UROK	\N	\N
3607988	2359	1998-06-30	PRIJEM	\N	79	15420	UROK	\N	\N
3607989	2359	1998-07-31	PRIJEM	\N	69	16235	UROK	\N	\N
3607990	2359	1998-08-31	PRIJEM	\N	76	17956	UROK	\N	\N
3607991	2359	1998-09-30	PRIJEM	\N	74	16976	UROK	\N	\N
3607992	2359	1998-10-31	PRIJEM	\N	74	17195	UROK	\N	\N
3607993	2359	1998-11-30	PRIJEM	\N	68	12808	UROK	\N	\N
3607994	2359	1998-12-31	PRIJEM	\N	60	15252	UROK	\N	\N
3607995	2360	1996-09-30	PRIJEM	\N	16	22590	UROK	\N	\N
3607996	2360	1996-10-31	PRIJEM	\N	100	30464	UROK	\N	\N
3607997	2360	1996-11-30	PRIJEM	\N	131	35569	UROK	\N	\N
3607998	2360	1996-12-31	PRIJEM	\N	155	43685	UROK	\N	\N
3607999	2360	1997-01-31	PRIJEM	\N	196	38455	UROK	\N	\N
3608000	2360	1997-02-28	PRIJEM	\N	167	38281	UROK	\N	\N
3608001	2360	1997-03-31	PRIJEM	\N	180	40441	UROK	\N	\N
3608002	2360	1997-04-30	PRIJEM	\N	190	44810	UROK	\N	\N
3608003	2360	1997-05-31	PRIJEM	\N	177	39906	UROK	\N	\N
3608004	2360	1997-06-30	PRIJEM	\N	199	43771	UROK	\N	\N
3608005	2360	1997-07-31	PRIJEM	\N	196	42546	UROK	\N	\N
3608006	2360	1997-08-31	PRIJEM	\N	176	40001	UROK	\N	\N
3608007	2360	1997-09-30	PRIJEM	\N	181	41862	UROK	\N	\N
3608008	2360	1997-10-31	PRIJEM	\N	189	44130	UROK	\N	\N
3608009	2360	1997-11-30	PRIJEM	\N	194	44203	UROK	\N	\N
3608010	2360	1997-12-31	PRIJEM	\N	208	44978	UROK	\N	\N
3608011	2360	1998-01-31	PRIJEM	\N	168	34285	UROK	\N	\N
3608012	2360	1998-02-28	PRIJEM	\N	164	42929	UROK	\N	\N
3608013	2360	1998-03-31	PRIJEM	\N	191	44219	UROK	\N	\N
3608014	2360	1998-04-30	PRIJEM	\N	182	38840	UROK	\N	\N
3608015	2360	1998-05-31	PRIJEM	\N	186	47466	UROK	\N	\N
3608016	2360	1998-06-30	PRIJEM	\N	213	51165	UROK	\N	\N
3608017	2360	1998-07-31	PRIJEM	\N	223	53067	UROK	\N	\N
3608018	2360	1998-08-31	PRIJEM	\N	220	52066	UROK	\N	\N
3608019	2360	1998-09-30	PRIJEM	\N	214	49620	UROK	\N	\N
3608020	2360	1998-10-31	PRIJEM	\N	207	48606	UROK	\N	\N
3608021	2360	1998-11-30	PRIJEM	\N	202	48087	UROK	\N	\N
3608022	2360	1998-12-31	PRIJEM	\N	249	69242	UROK	\N	\N
3608023	2361	1994-03-31	PRIJEM	\N	11	16731	UROK	\N	\N
3608024	2361	1994-04-30	PRIJEM	\N	75	23826	UROK	\N	\N
3608025	2361	1994-05-31	PRIJEM	\N	104	29649	UROK	\N	\N
3608026	2361	1994-06-30	PRIJEM	\N	128	34957	UROK	\N	\N
3608027	2361	1994-07-31	PRIJEM	\N	143	26780	UROK	\N	\N
3608028	2361	1994-08-31	PRIJEM	\N	97	25209	UROK	\N	\N
3608029	2361	1994-09-30	PRIJEM	\N	110	24012	UROK	\N	\N
3608030	2361	1994-10-31	PRIJEM	\N	99	23903	UROK	\N	\N
3608031	2361	1994-11-30	PRIJEM	\N	91	25687	UROK	\N	\N
3608032	2361	1994-12-31	PRIJEM	\N	105	27585	UROK	\N	\N
3608033	2361	1995-01-31	PRIJEM	\N	89	16046	UROK	\N	\N
3608034	2361	1995-02-28	PRIJEM	\N	75	21814	UROK	\N	\N
3608035	2361	1995-03-31	PRIJEM	\N	80	23286	UROK	\N	\N
3608036	2361	1995-04-30	PRIJEM	\N	95	24442	UROK	\N	\N
3608037	2361	1995-05-31	PRIJEM	\N	100	25382	UROK	\N	\N
3608038	2361	1995-06-30	PRIJEM	\N	98	18760	UROK	\N	\N
3608039	2361	1995-07-31	PRIJEM	\N	72	21093	UROK	\N	\N
3608040	2361	1995-08-31	PRIJEM	\N	73	20966	UROK	\N	\N
3608041	2361	1995-09-30	PRIJEM	\N	84	20690	UROK	\N	\N
3608042	2361	1995-10-31	PRIJEM	\N	86	22737	UROK	\N	\N
3608043	2361	1995-11-30	PRIJEM	\N	79	19836	UROK	\N	\N
3608044	2361	1995-12-31	PRIJEM	\N	88	19965	UROK	\N	\N
3608045	2361	1996-01-31	PRIJEM	\N	74	16779	UROK	\N	\N
3608046	2361	1996-02-29	PRIJEM	\N	65	17564	UROK	\N	\N
3608047	2361	1996-03-31	PRIJEM	\N	76	18821	UROK	\N	\N
3608048	2361	1996-04-30	PRIJEM	\N	79	19940	UROK	\N	\N
3608049	2361	1996-05-31	PRIJEM	\N	83	20863	UROK	\N	\N
3608050	2361	1996-06-30	PRIJEM	\N	87	22550	UROK	\N	\N
3608051	2361	1996-07-31	PRIJEM	\N	97	24788	UROK	\N	\N
3608052	2361	1996-08-31	PRIJEM	\N	104	25632	UROK	\N	\N
3608053	2361	1996-09-30	PRIJEM	\N	115	29388	UROK	\N	\N
3608054	2361	1996-10-31	PRIJEM	\N	120	29148	UROK	\N	\N
3608055	2361	1996-11-30	PRIJEM	\N	104	20613	UROK	\N	\N
3608056	2361	1996-12-31	PRIJEM	\N	101	26914	UROK	\N	\N
3608057	2361	1997-01-31	PRIJEM	\N	83	17797	UROK	\N	\N
3608058	2361	1997-02-28	PRIJEM	\N	88	23425	UROK	\N	\N
3608059	2361	1997-03-31	PRIJEM	\N	99	24664	UROK	\N	\N
3608060	2361	1997-04-30	PRIJEM	\N	101	24105	UROK	\N	\N
3608061	2361	1997-05-31	PRIJEM	\N	106	26751	UROK	\N	\N
3608062	2361	1997-06-30	PRIJEM	\N	125	30717	UROK	\N	\N
3608063	2361	1997-07-31	PRIJEM	\N	121	29378	UROK	\N	\N
3608064	2361	1997-08-31	PRIJEM	\N	117	28395	UROK	\N	\N
3608065	2361	1997-09-30	PRIJEM	\N	110	27006	UROK	\N	\N
3608066	2361	1997-10-31	PRIJEM	\N	108	27414	UROK	\N	\N
3608067	2361	1997-11-30	PRIJEM	\N	101	24755	UROK	\N	\N
3608068	2361	1997-12-31	PRIJEM	\N	87	21382	UROK	\N	\N
3608069	2361	1998-01-31	PRIJEM	\N	63	13546	UROK	\N	\N
3608070	2361	1998-02-28	PRIJEM	\N	45	11732	UROK	\N	\N
3608071	2361	1998-03-31	PRIJEM	\N	55	14827	UROK	\N	\N
3608072	2361	1998-04-30	PRIJEM	\N	61	13981	UROK	\N	\N
3608073	2361	1998-05-31	PRIJEM	\N	48	10622	UROK	\N	\N
3608074	2361	1998-06-30	PRIJEM	\N	50	12224	UROK	\N	\N
3608075	2361	1998-07-31	PRIJEM	\N	40	11556	UROK	\N	\N
3608076	2361	1998-08-31	PRIJEM	\N	53	13901	UROK	\N	\N
3608077	2361	1998-09-30	PRIJEM	\N	55	13049	UROK	\N	\N
3608078	2361	1998-10-31	PRIJEM	\N	59	15400	UROK	\N	\N
3608079	2361	1998-11-30	PRIJEM	\N	53	13045	UROK	\N	\N
3608080	2361	1998-12-31	PRIJEM	\N	64	15261	UROK	\N	\N
3608081	2362	1997-05-31	PRIJEM	\N	7	16572	UROK	\N	\N
3608082	2362	1997-06-30	PRIJEM	\N	72	17609	UROK	\N	\N
3608083	2362	1997-07-31	PRIJEM	\N	77	18802	UROK	\N	\N
3608084	2362	1997-08-31	PRIJEM	\N	76	17383	UROK	\N	\N
3608085	2362	1997-09-30	PRIJEM	\N	76	18575	UROK	\N	\N
3608086	2362	1997-10-31	PRIJEM	\N	81	19771	UROK	\N	\N
3608087	2362	1997-11-30	PRIJEM	\N	83	19470	UROK	\N	\N
3608088	2362	1997-12-31	PRIJEM	\N	83	20248	UROK	\N	\N
3608089	2362	1998-01-31	PRIJEM	\N	82	18745	UROK	\N	\N
3608090	2362	1998-02-28	PRIJEM	\N	82	19942	UROK	\N	\N
3608091	2362	1998-03-31	PRIJEM	\N	82	19220	UROK	\N	\N
3608092	2362	1998-04-30	PRIJEM	\N	84	20419	UROK	\N	\N
3608093	2362	1998-05-31	PRIJEM	\N	89	21623	UROK	\N	\N
3608094	2362	1998-06-30	PRIJEM	\N	90	19829	UROK	\N	\N
3608095	2362	1998-07-31	PRIJEM	\N	86	21030	UROK	\N	\N
3608096	2362	1998-08-31	PRIJEM	\N	91	22237	UROK	\N	\N
3608097	2362	1998-09-30	PRIJEM	\N	96	23448	UROK	\N	\N
3608098	2362	1998-10-31	PRIJEM	\N	101	24665	UROK	\N	\N
3608099	2362	1998-11-30	PRIJEM	\N	105	25185	UROK	\N	\N
3608100	2362	1998-12-31	PRIJEM	\N	107	25747	UROK	\N	\N
3608101	2363	1994-10-31	PRIJEM	\N	23	7563	UROK	\N	\N
3608102	2363	1994-11-30	PRIJEM	\N	31	14435	UROK	\N	\N
3608103	2363	1994-12-31	PRIJEM	\N	31	21306	UROK	\N	\N
3608104	2363	1995-01-31	PRIJEM	\N	31	28178	UROK	\N	\N
3608105	2363	1995-02-28	PRIJEM	\N	109	32046	UROK	\N	\N
3608106	2363	1995-03-31	PRIJEM	\N	137	33885	UROK	\N	\N
3608107	2363	1995-04-30	PRIJEM	\N	131	32016	UROK	\N	\N
3608108	2363	1995-05-31	PRIJEM	\N	130	31948	UROK	\N	\N
3608109	2363	1995-06-30	PRIJEM	\N	109	25408	UROK	\N	\N
3608110	2363	1995-07-31	PRIJEM	\N	113	28522	UROK	\N	\N
3608111	2363	1995-08-31	PRIJEM	\N	115	28639	UROK	\N	\N
3608112	2363	1995-09-30	PRIJEM	\N	122	30422	UROK	\N	\N
3608113	2363	1995-10-31	PRIJEM	\N	121	28044	UROK	\N	\N
3608114	2363	1995-11-30	PRIJEM	\N	111	27557	UROK	\N	\N
3608115	2363	1995-12-31	PRIJEM	\N	117	28675	UROK	\N	\N
3608116	2363	1996-01-31	PRIJEM	\N	103	22609	UROK	\N	\N
3608117	2363	1996-02-29	PRIJEM	\N	107	27418	UROK	\N	\N
3608118	2363	1996-03-31	PRIJEM	\N	121	26120	UROK	\N	\N
3608119	2363	1996-04-30	PRIJEM	\N	120	25041	UROK	\N	\N
3608120	2363	1996-05-31	PRIJEM	\N	116	24458	UROK	\N	\N
3608121	2363	1996-06-30	PRIJEM	\N	91	16751	UROK	\N	\N
3608122	2363	1996-07-31	PRIJEM	\N	83	21535	UROK	\N	\N
3608123	2363	1996-08-31	PRIJEM	\N	103	25379	UROK	\N	\N
3608124	2363	1996-09-30	PRIJEM	\N	116	26136	UROK	\N	\N
3608125	2363	1996-10-31	PRIJEM	\N	119	27957	UROK	\N	\N
3608126	2363	1996-11-30	PRIJEM	\N	129	32388	UROK	\N	\N
3608127	2363	1996-12-31	PRIJEM	\N	139	27668	UROK	\N	\N
3608128	2363	1997-01-31	PRIJEM	\N	121	27441	UROK	\N	\N
3608129	2363	1997-02-28	PRIJEM	\N	127	32269	UROK	\N	\N
3608130	2363	1997-03-31	PRIJEM	\N	141	30111	UROK	\N	\N
3608131	2363	1997-04-30	PRIJEM	\N	136	32449	UROK	\N	\N
3608132	2363	1997-05-31	PRIJEM	\N	144	33594	UROK	\N	\N
3608133	2363	1997-06-30	PRIJEM	\N	142	33437	UROK	\N	\N
3608134	2363	1997-07-31	PRIJEM	\N	145	32584	UROK	\N	\N
3608135	2363	1997-08-31	PRIJEM	\N	149	37434	UROK	\N	\N
3608136	2363	1997-09-30	PRIJEM	\N	166	40301	UROK	\N	\N
3608137	2363	1997-10-31	PRIJEM	\N	166	38829	UROK	\N	\N
3608138	2363	1997-11-30	PRIJEM	\N	160	36030	UROK	\N	\N
3608139	2363	1997-12-31	PRIJEM	\N	149	34431	UROK	\N	\N
3608140	2363	1998-01-31	PRIJEM	\N	144	31576	UROK	\N	\N
3608141	2363	1998-02-28	PRIJEM	\N	132	29309	UROK	\N	\N
3608142	2363	1998-03-31	PRIJEM	\N	123	27334	UROK	\N	\N
3608143	2363	1998-04-30	PRIJEM	\N	112	23647	UROK	\N	\N
3608144	2363	1998-05-31	PRIJEM	\N	99	21848	UROK	\N	\N
3608145	2363	1998-06-30	PRIJEM	\N	87	16596	UROK	\N	\N
3608146	2363	1998-07-31	PRIJEM	\N	75	18072	UROK	\N	\N
3608147	2363	1998-08-31	PRIJEM	\N	77	17951	UROK	\N	\N
3608148	2363	1998-09-30	PRIJEM	\N	81	19533	UROK	\N	\N
3608149	2363	1998-10-31	PRIJEM	\N	91	23325	UROK	\N	\N
3608150	2363	1998-11-30	PRIJEM	\N	102	24928	UROK	\N	\N
3608151	2363	1998-12-31	PRIJEM	\N	113	29193	UROK	\N	\N
3608152	2364	1995-05-31	PRIJEM	\N	18	7017	UROK	\N	\N
3608153	2364	1995-06-30	PRIJEM	\N	29	12945	UROK	\N	\N
3608154	2364	1995-07-31	PRIJEM	\N	29	18873	UROK	\N	\N
3608155	2364	1995-08-31	PRIJEM	\N	31	24804	UROK	\N	\N
3608156	2364	1995-09-30	PRIJEM	\N	100	29902	UROK	\N	\N
3608157	2364	1995-10-31	PRIJEM	\N	113	26167	UROK	\N	\N
3608158	2364	1995-11-30	PRIJEM	\N	112	27810	UROK	\N	\N
3608159	2364	1995-12-31	PRIJEM	\N	116	25227	UROK	\N	\N
3608160	2364	1996-01-31	PRIJEM	\N	86	15485	UROK	\N	\N
3608161	2364	1996-02-29	PRIJEM	\N	74	19410	UROK	\N	\N
3608162	2364	1996-03-31	PRIJEM	\N	91	23352	UROK	\N	\N
3608163	2364	1996-04-30	PRIJEM	\N	107	26610	UROK	\N	\N
3608164	2364	1996-05-31	PRIJEM	\N	118	27180	UROK	\N	\N
3608165	2364	1996-06-30	PRIJEM	\N	116	22157	UROK	\N	\N
3608166	2364	1996-07-31	PRIJEM	\N	102	26111	UROK	\N	\N
3608167	2364	1996-08-31	PRIJEM	\N	119	30081	UROK	\N	\N
3608168	2364	1996-09-30	PRIJEM	\N	125	31537	UROK	\N	\N
3608169	2364	1996-10-31	PRIJEM	\N	135	29422	UROK	\N	\N
3608170	2364	1996-11-30	PRIJEM	\N	126	27499	UROK	\N	\N
3608171	2364	1996-12-31	PRIJEM	\N	114	27065	UROK	\N	\N
3608172	2364	1997-01-31	PRIJEM	\N	78	16674	UROK	\N	\N
3608173	2364	1997-02-28	PRIJEM	\N	78	20604	UROK	\N	\N
3608174	2364	1997-03-31	PRIJEM	\N	75	16250	UROK	\N	\N
3608175	2364	1997-04-30	PRIJEM	\N	72	18094	UROK	\N	\N
3608176	2364	1997-05-31	PRIJEM	\N	79	17324	UROK	\N	\N
3608177	2364	1997-06-30	PRIJEM	\N	77	19732	UROK	\N	\N
3608178	2364	1997-07-31	PRIJEM	\N	89	22072	UROK	\N	\N
3608179	2364	1997-08-31	PRIJEM	\N	96	22720	UROK	\N	\N
3608180	2364	1997-09-30	PRIJEM	\N	100	24672	UROK	\N	\N
3608181	2364	1997-10-31	PRIJEM	\N	104	23927	UROK	\N	\N
3608182	2364	1997-11-30	PRIJEM	\N	103	24942	UROK	\N	\N
3608183	2364	1997-12-31	PRIJEM	\N	105	24798	UROK	\N	\N
3608184	2364	1998-01-31	PRIJEM	\N	94	16753	UROK	\N	\N
3608185	2364	1998-02-28	PRIJEM	\N	78	20683	UROK	\N	\N
3608186	2364	1998-03-31	PRIJEM	\N	94	24028	UROK	\N	\N
3608187	2364	1998-04-30	PRIJEM	\N	101	24081	UROK	\N	\N
3608188	2364	1998-05-31	PRIJEM	\N	95	21128	UROK	\N	\N
3608189	2364	1998-06-30	PRIJEM	\N	86	20065	UROK	\N	\N
3608190	2364	1998-07-31	PRIJEM	\N	80	18197	UROK	\N	\N
3608191	2364	1998-08-31	PRIJEM	\N	76	18525	UROK	\N	\N
3608192	2364	1998-09-30	PRIJEM	\N	65	14881	UROK	\N	\N
3608193	2364	1998-10-31	PRIJEM	\N	63	15695	UROK	\N	\N
3608194	2364	1998-11-30	PRIJEM	\N	74	17620	UROK	\N	\N
3608195	2364	1998-12-31	PRIJEM	\N	80	21102	UROK	\N	\N
3608196	2365	1994-11-30	PRIJEM	\N	20	5633	UROK	\N	\N
3608197	2365	1994-12-31	PRIJEM	\N	23	10770	UROK	\N	\N
3608198	2365	1995-01-31	PRIJEM	\N	23	15906	UROK	\N	\N
3608199	2365	1995-02-28	PRIJEM	\N	23	21042	UROK	\N	\N
3608200	2365	1995-03-31	PRIJEM	\N	87	21781	UROK	\N	\N
3608201	2365	1995-04-30	PRIJEM	\N	97	22915	UROK	\N	\N
3608202	2365	1995-05-31	PRIJEM	\N	101	25054	UROK	\N	\N
3608203	2365	1995-06-30	PRIJEM	\N	96	22188	UROK	\N	\N
3608204	2365	1995-07-31	PRIJEM	\N	91	20957	UROK	\N	\N
3608205	2365	1995-08-31	PRIJEM	\N	93	23087	UROK	\N	\N
3608206	2365	1995-09-30	PRIJEM	\N	100	22824	UROK	\N	\N
3608207	2365	1995-10-31	PRIJEM	\N	88	20290	UROK	\N	\N
3608208	2365	1995-11-30	PRIJEM	\N	90	22417	UROK	\N	\N
3608209	2365	1995-12-31	PRIJEM	\N	93	21888	UROK	\N	\N
3608210	2365	1996-01-31	PRIJEM	\N	76	15921	UROK	\N	\N
3608211	2365	1996-02-29	PRIJEM	\N	72	18031	UROK	\N	\N
3608212	2365	1996-03-31	PRIJEM	\N	81	20149	UROK	\N	\N
3608213	2365	1996-04-30	PRIJEM	\N	85	20111	UROK	\N	\N
3608214	2365	1996-05-31	PRIJEM	\N	84	19832	UROK	\N	\N
3608215	2365	1996-06-30	PRIJEM	\N	86	19855	UROK	\N	\N
3608216	2365	1996-07-31	PRIJEM	\N	88	21180	UROK	\N	\N
3608217	2365	1996-08-31	PRIJEM	\N	93	22910	UROK	\N	\N
3608218	2365	1996-09-30	PRIJEM	\N	101	25048	UROK	\N	\N
3608219	2365	1996-10-31	PRIJEM	\N	110	27196	UROK	\N	\N
3608220	2365	1996-11-30	PRIJEM	\N	119	29352	UROK	\N	\N
3608221	2365	1996-12-31	PRIJEM	\N	121	28180	UROK	\N	\N
3608222	2365	1997-01-31	PRIJEM	\N	91	19059	UROK	\N	\N
3608223	2365	1997-02-28	PRIJEM	\N	84	21181	UROK	\N	\N
3608224	2365	1997-03-31	PRIJEM	\N	91	21149	UROK	\N	\N
3608225	2365	1997-04-30	PRIJEM	\N	91	21277	UROK	\N	\N
3608226	2365	1997-05-31	PRIJEM	\N	94	23409	UROK	\N	\N
3608227	2365	1997-06-30	PRIJEM	\N	91	16997	UROK	\N	\N
3608228	2365	1997-07-31	PRIJEM	\N	76	19110	UROK	\N	\N
3608229	2365	1997-08-31	PRIJEM	\N	85	21232	UROK	\N	\N
3608230	2365	1997-09-30	PRIJEM	\N	93	23363	UROK	\N	\N
3608231	2365	1997-10-31	PRIJEM	\N	102	25503	UROK	\N	\N
3608232	2365	1997-11-30	PRIJEM	\N	111	27651	UROK	\N	\N
3608233	2365	1997-12-31	PRIJEM	\N	110	25809	UROK	\N	\N
3608234	2365	1998-01-31	PRIJEM	\N	89	15255	UROK	\N	\N
3608235	2365	1998-02-28	PRIJEM	\N	68	17361	UROK	\N	\N
3608236	2365	1998-03-31	PRIJEM	\N	77	19475	UROK	\N	\N
3608237	2365	1998-04-30	PRIJEM	\N	83	20395	UROK	\N	\N
3608238	2365	1998-05-31	PRIJEM	\N	90	22522	UROK	\N	\N
3608239	2365	1998-06-30	PRIJEM	\N	98	24658	UROK	\N	\N
3608240	2365	1998-07-31	PRIJEM	\N	99	24794	UROK	\N	\N
3608241	2365	1998-08-31	PRIJEM	\N	108	26939	UROK	\N	\N
3608242	2365	1998-09-30	PRIJEM	\N	117	29093	UROK	\N	\N
3608243	2365	1998-10-31	PRIJEM	\N	119	27489	UROK	\N	\N
3608244	2365	1998-11-30	PRIJEM	\N	119	29645	UROK	\N	\N
3608245	2365	1998-12-31	PRIJEM	\N	126	30709	UROK	\N	\N
3608246	2366	1997-09-30	PRIJEM	\N	36	18740	UROK	\N	\N
3608247	2366	1997-10-31	PRIJEM	\N	84	20989	UROK	\N	\N
3608248	2366	1997-11-30	PRIJEM	\N	98	24149	UROK	\N	\N
3608249	2366	1997-12-31	PRIJEM	\N	107	22649	UROK	\N	\N
3608250	2366	1998-01-31	PRIJEM	\N	102	24513	UROK	\N	\N
3608251	2366	1998-02-28	PRIJEM	\N	113	28188	UROK	\N	\N
3608252	2366	1998-03-31	PRIJEM	\N	114	25065	UROK	\N	\N
3608253	2366	1998-04-30	PRIJEM	\N	99	22086	UROK	\N	\N
3608254	2366	1998-05-31	PRIJEM	\N	90	20038	UROK	\N	\N
3608255	2366	1998-06-30	PRIJEM	\N	41	9432	UROK	\N	\N
3608256	2366	1998-07-31	PRIJEM	\N	50	10644	UROK	\N	\N
3608257	2366	1998-08-31	PRIJEM	\N	39	7865	UROK	\N	\N
3608258	2366	1998-09-30	PRIJEM	\N	39	7786	UROK	\N	\N
3608259	2366	1998-10-31	PRIJEM	\N	33	8102	UROK	\N	\N
3608260	2366	1998-11-30	PRIJEM	\N	45	11709	UROK	\N	\N
3608261	2366	1998-12-31	PRIJEM	\N	58	13878	UROK	\N	\N
3608262	2367	1995-03-31	PRIJEM	\N	53	20669	UROK	\N	\N
3608263	2367	1995-04-30	PRIJEM	\N	136	40921	UROK	\N	\N
3608264	2367	1995-05-31	PRIJEM	\N	194	50331	UROK	\N	\N
3608265	2367	1995-06-30	PRIJEM	\N	243	64098	UROK	\N	\N
3608266	2367	1995-07-31	PRIJEM	\N	249	57085	UROK	\N	\N
3608267	2367	1995-08-31	PRIJEM	\N	203	51110	UROK	\N	\N
3608268	2367	1995-09-30	PRIJEM	\N	163	44095	UROK	\N	\N
3608269	2367	1995-10-31	PRIJEM	\N	160	31877	UROK	\N	\N
3608270	2367	1995-11-30	PRIJEM	\N	149	27349	UROK	\N	\N
3608271	2367	1995-12-31	PRIJEM	\N	151	33930	UROK	\N	\N
3608272	2367	1996-01-31	PRIJEM	\N	158	30310	UROK	\N	\N
3608273	2367	1996-02-29	PRIJEM	\N	149	32882	UROK	\N	\N
3608274	2367	1996-03-31	PRIJEM	\N	160	35064	UROK	\N	\N
3608275	2367	1996-04-30	PRIJEM	\N	167	34753	UROK	\N	\N
3608276	2367	1996-05-31	PRIJEM	\N	167	38443	UROK	\N	\N
3608277	2367	1996-06-30	PRIJEM	\N	194	40567	UROK	\N	\N
3608278	2367	1996-07-31	PRIJEM	\N	185	37474	UROK	\N	\N
3608279	2367	1996-08-31	PRIJEM	\N	173	37270	UROK	\N	\N
3608280	2367	1996-09-30	PRIJEM	\N	169	34460	UROK	\N	\N
3608281	2367	1996-10-31	PRIJEM	\N	152	33635	UROK	\N	\N
3608282	2367	1996-11-30	PRIJEM	\N	139	34197	UROK	\N	\N
3608283	2367	1996-12-31	PRIJEM	\N	176	38403	UROK	\N	\N
3608284	2367	1997-01-31	PRIJEM	\N	137	32362	UROK	\N	\N
3608285	2367	1997-02-28	PRIJEM	\N	132	32617	UROK	\N	\N
3608286	2367	1997-03-31	PRIJEM	\N	150	33189	UROK	\N	\N
3608287	2367	1997-04-30	PRIJEM	\N	151	32862	UROK	\N	\N
3608288	2367	1997-05-31	PRIJEM	\N	148	32233	UROK	\N	\N
3608289	2367	1997-06-30	PRIJEM	\N	168	39531	UROK	\N	\N
3608290	2367	1997-07-31	PRIJEM	\N	178	41531	UROK	\N	\N
3608291	2367	1997-08-31	PRIJEM	\N	173	35026	UROK	\N	\N
3608292	2367	1997-09-30	PRIJEM	\N	156	36304	UROK	\N	\N
3608293	2367	1997-10-31	PRIJEM	\N	162	38289	UROK	\N	\N
3608294	2367	1997-11-30	PRIJEM	\N	165	37776	UROK	\N	\N
3608295	2367	1997-12-31	PRIJEM	\N	169	35875	UROK	\N	\N
3608296	2367	1998-01-31	PRIJEM	\N	135	33632	UROK	\N	\N
3608297	2367	1998-02-28	PRIJEM	\N	147	35602	UROK	\N	\N
3608298	2367	1998-03-31	PRIJEM	\N	164	40888	UROK	\N	\N
3608299	2367	1998-04-30	PRIJEM	\N	186	46897	UROK	\N	\N
3608300	2367	1998-05-31	PRIJEM	\N	199	46918	UROK	\N	\N
3608301	2367	1998-06-30	PRIJEM	\N	205	35754	UROK	\N	\N
3608302	2367	1998-07-31	PRIJEM	\N	164	41840	UROK	\N	\N
3608303	2367	1998-08-31	PRIJEM	\N	193	49656	UROK	\N	\N
3608304	2367	1998-09-30	PRIJEM	\N	214	52892	UROK	\N	\N
3608305	2367	1998-10-31	PRIJEM	\N	200	48114	UROK	\N	\N
3608306	2367	1998-11-30	PRIJEM	\N	196	46532	UROK	\N	\N
3608307	2367	1998-12-31	PRIJEM	\N	223	57085	UROK	\N	\N
3608345	2369	1997-08-31	PRIJEM	\N	35	18508	UROK	\N	\N
3608346	2369	1997-09-30	PRIJEM	\N	99	29880	UROK	\N	\N
3608347	2369	1997-10-31	PRIJEM	\N	138	36791	UROK	\N	\N
3608348	2369	1997-11-30	PRIJEM	\N	163	41626	UROK	\N	\N
3608349	2369	1997-12-31	PRIJEM	\N	189	48255	UROK	\N	\N
3608350	2369	1998-01-31	PRIJEM	\N	170	33604	UROK	\N	\N
3608351	2369	1998-02-28	PRIJEM	\N	151	38715	UROK	\N	\N
3608352	2369	1998-03-31	PRIJEM	\N	169	41143	UROK	\N	\N
3608353	2369	1998-04-30	PRIJEM	\N	174	41676	UROK	\N	\N
3608354	2369	1998-05-31	PRIJEM	\N	172	44727	UROK	\N	\N
3608355	2369	1998-06-30	PRIJEM	\N	185	33398	UROK	\N	\N
3608356	2369	1998-07-31	PRIJEM	\N	163	43420	UROK	\N	\N
3608357	2369	1998-08-31	PRIJEM	\N	184	45264	UROK	\N	\N
3608358	2369	1998-09-30	PRIJEM	\N	197	49420	UROK	\N	\N
3608359	2369	1998-10-31	PRIJEM	\N	214	53493	UROK	\N	\N
3608360	2369	1998-11-30	PRIJEM	\N	260	68413	UROK	\N	\N
3608361	2369	1998-12-31	PRIJEM	\N	317	80656	UROK	\N	\N
3608362	2370	1997-10-31	PRIJEM	\N	50	17515	UROK	\N	\N
3608363	2370	1997-11-30	PRIJEM	\N	97	40278	UROK	\N	\N
3608364	2370	1997-12-31	PRIJEM	\N	144	43270	UROK	\N	\N
3608365	2370	1998-01-31	PRIJEM	\N	181	46115	UROK	\N	\N
3608366	2370	1998-02-28	PRIJEM	\N	192	63472	UROK	\N	\N
3608367	2370	1998-03-31	PRIJEM	\N	227	49903	UROK	\N	\N
3608368	2370	1998-04-30	PRIJEM	\N	226	48032	UROK	\N	\N
3608369	2370	1998-05-31	PRIJEM	\N	216	42051	UROK	\N	\N
3608370	2370	1998-06-30	PRIJEM	\N	145	33983	UROK	\N	\N
3608371	2370	1998-07-31	PRIJEM	\N	155	37741	UROK	\N	\N
3608372	2370	1998-08-31	PRIJEM	\N	170	38914	UROK	\N	\N
3608373	2370	1998-09-30	PRIJEM	\N	179	41997	UROK	\N	\N
3608374	2370	1998-10-31	PRIJEM	\N	193	45993	UROK	\N	\N
3608375	2370	1998-11-30	PRIJEM	\N	209	49405	UROK	\N	\N
3608376	2370	1998-12-31	PRIJEM	\N	243	62234	UROK	\N	\N
3608377	2371	1997-12-31	PRIJEM	\N	72	42911	UROK	\N	\N
3608378	2371	1998-01-31	PRIJEM	\N	224	39535	UROK	\N	\N
3608379	2371	1998-02-28	PRIJEM	\N	224	40958	UROK	\N	\N
3608380	2371	1998-03-31	PRIJEM	\N	238	69341	UROK	\N	\N
3608381	2371	1998-04-30	PRIJEM	\N	288	59229	UROK	\N	\N
3608382	2371	1998-05-31	PRIJEM	\N	280	63902	UROK	\N	\N
3608383	2371	1998-06-30	PRIJEM	\N	265	58567	UROK	\N	\N
3608384	2371	1998-07-31	PRIJEM	\N	265	54833	UROK	\N	\N
3608385	2371	1998-08-31	PRIJEM	\N	265	53498	UROK	\N	\N
3608386	2371	1998-09-30	PRIJEM	\N	247	45932	UROK	\N	\N
3608387	2371	1998-10-31	PRIJEM	\N	191	56566	UROK	\N	\N
3608388	2371	1998-11-30	PRIJEM	\N	212	52879	UROK	\N	\N
3608389	2371	1998-12-31	PRIJEM	\N	165	32722	UROK	\N	\N
3608390	2372	1997-07-31	PRIJEM	\N	32	13970	UROK	\N	\N
3608391	2372	1997-08-31	PRIJEM	\N	83	24391	UROK	\N	\N
3608392	2372	1997-09-30	PRIJEM	\N	111	28340	UROK	\N	\N
3608393	2372	1997-10-31	PRIJEM	\N	130	33608	UROK	\N	\N
3608394	2372	1997-11-30	PRIJEM	\N	135	31673	UROK	\N	\N
3608395	2372	1997-12-31	PRIJEM	\N	128	30522	UROK	\N	\N
3608396	2372	1998-01-31	PRIJEM	\N	105	21299	UROK	\N	\N
3608397	2372	1998-02-28	PRIJEM	\N	73	16403	UROK	\N	\N
3608398	2372	1998-03-31	PRIJEM	\N	71	17706	UROK	\N	\N
3608399	2372	1998-04-30	PRIJEM	\N	60	12997	UROK	\N	\N
3608400	2372	1998-05-31	PRIJEM	\N	56	14185	UROK	\N	\N
3608401	2372	1998-06-30	PRIJEM	\N	61	15377	UROK	\N	\N
3608402	2372	1998-07-31	PRIJEM	\N	62	15461	UROK	\N	\N
3608403	2372	1998-08-31	PRIJEM	\N	61	14763	UROK	\N	\N
3608404	2372	1998-09-30	PRIJEM	\N	51	12146	UROK	\N	\N
3608405	2372	1998-10-31	PRIJEM	\N	53	13330	UROK	\N	\N
3608406	2372	1998-11-30	PRIJEM	\N	58	14519	UROK	\N	\N
3608407	2372	1998-12-31	PRIJEM	\N	59	13699	UROK	\N	\N
3608408	2373	1997-02-28	PRIJEM	\N	8	17368	UROK	\N	\N
3608409	2373	1997-03-31	PRIJEM	\N	77	14666	UROK	\N	\N
3608410	2373	1997-04-30	PRIJEM	\N	63	12188	UROK	\N	\N
3608411	2373	1997-05-31	PRIJEM	\N	59	14667	UROK	\N	\N
3608412	2373	1997-06-30	PRIJEM	\N	68	12276	UROK	\N	\N
3608413	2373	1997-07-31	PRIJEM	\N	57	12353	UROK	\N	\N
3608414	2373	1997-08-31	PRIJEM	\N	58	13432	UROK	\N	\N
3608415	2373	1997-09-30	PRIJEM	\N	60	12512	UROK	\N	\N
3608416	2373	1997-10-31	PRIJEM	\N	58	12991	UROK	\N	\N
3608417	2373	1997-11-30	PRIJEM	\N	57	10667	UROK	\N	\N
3608418	2373	1997-12-31	PRIJEM	\N	52	13140	UROK	\N	\N
3608419	2373	1998-01-31	PRIJEM	\N	56	11966	UROK	\N	\N
3608420	2373	1998-02-28	PRIJEM	\N	55	12542	UROK	\N	\N
3608421	2373	1998-03-31	PRIJEM	\N	58	13420	UROK	\N	\N
3608422	2373	1998-04-30	PRIJEM	\N	64	15904	UROK	\N	\N
3608423	2373	1998-05-31	PRIJEM	\N	74	18398	UROK	\N	\N
3608424	2373	1998-06-30	PRIJEM	\N	64	11742	UROK	\N	\N
3608425	2373	1998-07-31	PRIJEM	\N	57	14219	UROK	\N	\N
3608426	2373	1998-08-31	PRIJEM	\N	66	15986	UROK	\N	\N
3608427	2373	1998-09-30	PRIJEM	\N	62	11168	UROK	\N	\N
3608428	2373	1998-10-31	PRIJEM	\N	54	13643	UROK	\N	\N
3608429	2373	1998-11-30	PRIJEM	\N	64	16128	UROK	\N	\N
3608430	2373	1998-12-31	PRIJEM	\N	71	16429	UROK	\N	\N
3608431	2374	1995-12-31	PRIJEM	\N	12	3709	UROK	\N	\N
3608432	2374	1996-01-31	PRIJEM	\N	15	7221	UROK	\N	\N
3608433	2374	1996-02-29	PRIJEM	\N	15	10734	UROK	\N	\N
3608434	2374	1996-03-31	PRIJEM	\N	15	14246	UROK	\N	\N
3608435	2374	1996-04-30	PRIJEM	\N	43	15455	UROK	\N	\N
3608436	2374	1996-05-31	PRIJEM	\N	66	15573	UROK	\N	\N
3608437	2374	1996-06-30	PRIJEM	\N	68	16792	UROK	\N	\N
3608438	2374	1996-07-31	PRIJEM	\N	72	16876	UROK	\N	\N
3608439	2374	1996-08-31	PRIJEM	\N	73	17300	UROK	\N	\N
3608440	2374	1996-09-30	PRIJEM	\N	76	18128	UROK	\N	\N
3608441	2374	1996-10-31	PRIJEM	\N	71	16050	UROK	\N	\N
3608442	2374	1996-11-30	PRIJEM	\N	58	12759	UROK	\N	\N
3608443	2374	1996-12-31	PRIJEM	\N	49	11630	UROK	\N	\N
3608444	2374	1997-01-31	PRIJEM	\N	46	11297	UROK	\N	\N
3608445	2374	1997-02-28	PRIJEM	\N	50	12498	UROK	\N	\N
3608446	2374	1997-03-31	PRIJEM	\N	55	13704	UROK	\N	\N
3608447	2374	1997-04-30	PRIJEM	\N	60	14915	UROK	\N	\N
3608448	2374	1997-05-31	PRIJEM	\N	63	14810	UROK	\N	\N
3608449	2374	1997-06-30	PRIJEM	\N	64	15126	UROK	\N	\N
3608450	2374	1997-07-31	PRIJEM	\N	66	16343	UROK	\N	\N
3608451	2374	1997-08-31	PRIJEM	\N	71	17565	UROK	\N	\N
3608452	2374	1997-09-30	PRIJEM	\N	76	18792	UROK	\N	\N
3608453	2374	1997-10-31	PRIJEM	\N	81	20024	UROK	\N	\N
3608454	2374	1997-11-30	PRIJEM	\N	86	21262	UROK	\N	\N
3608455	2374	1997-12-31	PRIJEM	\N	93	22116	UROK	\N	\N
3608456	2374	1998-01-31	PRIJEM	\N	93	21920	UROK	\N	\N
3608457	2374	1998-02-28	PRIJEM	\N	94	23165	UROK	\N	\N
3608458	2374	1998-03-31	PRIJEM	\N	99	24415	UROK	\N	\N
3608459	2374	1998-04-30	PRIJEM	\N	103	24290	UROK	\N	\N
3608460	2374	1998-05-31	PRIJEM	\N	104	25545	UROK	\N	\N
3608461	2374	1998-06-30	PRIJEM	\N	107	25153	UROK	\N	\N
3608462	2374	1998-07-31	PRIJEM	\N	107	26412	UROK	\N	\N
3608463	2374	1998-08-31	PRIJEM	\N	112	27676	UROK	\N	\N
3608464	2374	1998-09-30	PRIJEM	\N	118	28945	UROK	\N	\N
3608465	2374	1998-10-31	PRIJEM	\N	123	29259	UROK	\N	\N
3608466	2374	1998-11-30	PRIJEM	\N	124	30535	UROK	\N	\N
3608467	2374	1998-12-31	PRIJEM	\N	126	29082	UROK	\N	\N
3608468	2375	1994-06-30	PRIJEM	\N	71	31997	UROK	\N	\N
3608469	2375	1994-07-31	PRIJEM	\N	151	39932	UROK	\N	\N
3608470	2375	1994-08-31	PRIJEM	\N	179	45495	UROK	\N	\N
3608471	2375	1994-09-30	PRIJEM	\N	190	45769	UROK	\N	\N
3608472	2375	1994-10-31	PRIJEM	\N	190	44363	UROK	\N	\N
3608473	2375	1994-11-30	PRIJEM	\N	178	40209	UROK	\N	\N
3608474	2375	1994-12-31	PRIJEM	\N	213	40893	UROK	\N	\N
3608475	2375	1995-01-31	PRIJEM	\N	139	29020	UROK	\N	\N
3608476	2375	1995-02-28	PRIJEM	\N	133	29402	UROK	\N	\N
3608477	2375	1995-03-31	PRIJEM	\N	140	34410	UROK	\N	\N
3608478	2375	1995-04-30	PRIJEM	\N	157	38935	UROK	\N	\N
3608479	2375	1995-05-31	PRIJEM	\N	160	40203	UROK	\N	\N
3608480	2375	1995-06-30	PRIJEM	\N	181	44894	UROK	\N	\N
3608481	2375	1995-07-31	PRIJEM	\N	180	42642	UROK	\N	\N
3608482	2375	1995-08-31	PRIJEM	\N	208	53819	UROK	\N	\N
3608483	2375	1995-09-30	PRIJEM	\N	236	59823	UROK	\N	\N
3608484	2375	1995-10-31	PRIJEM	\N	250	62341	UROK	\N	\N
3608485	2375	1995-11-30	PRIJEM	\N	261	65870	UROK	\N	\N
3608486	2375	1995-12-31	PRIJEM	\N	291	75252	UROK	\N	\N
3608487	2375	1996-01-31	PRIJEM	\N	250	57011	UROK	\N	\N
3608488	2375	1996-02-29	PRIJEM	\N	224	57303	UROK	\N	\N
3608489	2375	1996-03-31	PRIJEM	\N	227	54679	UROK	\N	\N
3608490	2375	1996-04-30	PRIJEM	\N	221	56868	UROK	\N	\N
3608491	2375	1996-05-31	PRIJEM	\N	232	59469	UROK	\N	\N
3608492	2375	1996-06-30	PRIJEM	\N	284	75863	UROK	\N	\N
3608493	2375	1996-07-31	PRIJEM	\N	278	69109	UROK	\N	\N
3608494	2375	1996-08-31	PRIJEM	\N	265	66422	UROK	\N	\N
3608495	2375	1996-09-30	PRIJEM	\N	253	63944	UROK	\N	\N
3608496	2375	1996-10-31	PRIJEM	\N	255	64767	UROK	\N	\N
3608497	2375	1996-11-30	PRIJEM	\N	256	65092	UROK	\N	\N
3608498	2375	1996-12-31	PRIJEM	\N	281	74363	UROK	\N	\N
3608499	2375	1997-01-31	PRIJEM	\N	233	46304	UROK	\N	\N
3608500	2375	1997-02-28	PRIJEM	\N	237	62710	UROK	\N	\N
3608501	2375	1997-03-31	PRIJEM	\N	242	61000	UROK	\N	\N
3608502	2375	1997-04-30	PRIJEM	\N	243	59251	UROK	\N	\N
3608503	2375	1997-05-31	PRIJEM	\N	251	50471	UROK	\N	\N
3608504	2375	1997-06-30	PRIJEM	\N	284	59266	UROK	\N	\N
3608505	2375	1997-07-31	PRIJEM	\N	285	57320	UROK	\N	\N
3608506	2375	1997-08-31	PRIJEM	\N	274	54362	UROK	\N	\N
3608507	2375	1997-09-30	PRIJEM	\N	248	51758	UROK	\N	\N
3608508	2375	1997-10-31	PRIJEM	\N	250	51376	UROK	\N	\N
3608509	2375	1997-11-30	PRIJEM	\N	246	50391	UROK	\N	\N
3608510	2375	1997-12-31	PRIJEM	\N	270	57531	UROK	\N	\N
3608511	2375	1998-01-31	PRIJEM	\N	233	44813	UROK	\N	\N
3608512	2375	1998-02-28	PRIJEM	\N	221	49702	UROK	\N	\N
3608513	2375	1998-03-31	PRIJEM	\N	242	54313	UROK	\N	\N
3608514	2375	1998-04-30	PRIJEM	\N	256	54237	UROK	\N	\N
3608515	2375	1998-05-31	PRIJEM	\N	258	57664	UROK	\N	\N
3608516	2375	1998-06-30	PRIJEM	\N	295	62769	UROK	\N	\N
3608517	2375	1998-07-31	PRIJEM	\N	285	62223	UROK	\N	\N
3608518	2375	1998-08-31	PRIJEM	\N	288	66679	UROK	\N	\N
3608519	2375	1998-09-30	PRIJEM	\N	297	64545	UROK	\N	\N
3608520	2375	1998-10-31	PRIJEM	\N	293	66506	UROK	\N	\N
3608521	2375	1998-11-30	PRIJEM	\N	301	69876	UROK	\N	\N
3608522	2375	1998-12-31	PRIJEM	\N	352	94298	UROK	\N	\N
3608523	2376	1997-01-31	PRIJEM	\N	64	25104	UROK	\N	\N
3608524	2376	1997-02-28	PRIJEM	\N	134	36778	UROK	\N	\N
3608525	2376	1997-03-31	PRIJEM	\N	165	41983	UROK	\N	\N
3608526	2376	1997-04-30	PRIJEM	\N	183	45606	UROK	\N	\N
3608527	2376	1997-05-31	PRIJEM	\N	186	39404	UROK	\N	\N
3608528	2376	1997-06-30	PRIJEM	\N	118	21519	UROK	\N	\N
3608529	2376	1997-07-31	PRIJEM	\N	124	30760	UROK	\N	\N
3608530	2376	1997-08-31	PRIJEM	\N	152	34210	UROK	\N	\N
3608531	2376	1997-09-30	PRIJEM	\N	149	34856	UROK	\N	\N
3608532	2376	1997-10-31	PRIJEM	\N	149	32662	UROK	\N	\N
3608533	2376	1997-11-30	PRIJEM	\N	111	22731	UROK	\N	\N
3608534	2376	1997-12-31	PRIJEM	\N	135	30863	UROK	\N	\N
3608535	2376	1998-01-31	PRIJEM	\N	147	36707	UROK	\N	\N
3608536	2376	1998-02-28	PRIJEM	\N	147	35052	UROK	\N	\N
3608537	2376	1998-03-31	PRIJEM	\N	143	31173	UROK	\N	\N
3608538	2376	1998-04-30	PRIJEM	\N	125	29175	UROK	\N	\N
3608539	2376	1998-05-31	PRIJEM	\N	132	28304	UROK	\N	\N
3608540	2376	1998-06-30	PRIJEM	\N	135	29196	UROK	\N	\N
3608541	2376	1998-07-31	PRIJEM	\N	123	29817	UROK	\N	\N
3608542	2376	1998-08-31	PRIJEM	\N	119	28233	UROK	\N	\N
3608543	2376	1998-09-30	PRIJEM	\N	99	20970	UROK	\N	\N
3608544	2376	1998-10-31	PRIJEM	\N	97	17384	UROK	\N	\N
3608545	2376	1998-11-30	PRIJEM	\N	128	32009	UROK	\N	\N
3608546	2376	1998-12-31	PRIJEM	\N	220	54486	UROK	\N	\N
3608547	2377	1995-04-30	PRIJEM	\N	27	19172	UROK	\N	\N
3608548	2377	1995-05-31	PRIJEM	\N	83	20476	UROK	\N	\N
3608549	2377	1995-06-30	PRIJEM	\N	82	19479	UROK	\N	\N
3608550	2377	1995-07-31	PRIJEM	\N	86	21347	UROK	\N	\N
3608551	2377	1995-08-31	PRIJEM	\N	95	23863	UROK	\N	\N
3608552	2377	1995-09-30	PRIJEM	\N	92	19496	UROK	\N	\N
3608553	2377	1995-10-31	PRIJEM	\N	81	20159	UROK	\N	\N
3608554	2377	1995-11-30	PRIJEM	\N	90	22670	UROK	\N	\N
3608555	2377	1995-12-31	PRIJEM	\N	100	25191	UROK	\N	\N
3608556	2377	1996-01-31	PRIJEM	\N	91	15603	UROK	\N	\N
3608557	2377	1996-02-29	PRIJEM	\N	71	18095	UROK	\N	\N
3608558	2377	1996-03-31	PRIJEM	\N	75	17872	UROK	\N	\N
3608559	2377	1996-04-30	PRIJEM	\N	80	20374	UROK	\N	\N
3608560	2377	1996-05-31	PRIJEM	\N	91	22886	UROK	\N	\N
3608561	2377	1996-06-30	PRIJEM	\N	100	25107	UROK	\N	\N
3608562	2377	1996-07-31	PRIJEM	\N	98	22486	UROK	\N	\N
3608563	2377	1996-08-31	PRIJEM	\N	92	22700	UROK	\N	\N
3608564	2377	1996-09-30	PRIJEM	\N	95	23617	UROK	\N	\N
3608565	2377	1996-10-31	PRIJEM	\N	93	22451	UROK	\N	\N
3608566	2377	1996-11-30	PRIJEM	\N	93	22965	UROK	\N	\N
3608567	2377	1996-12-31	PRIJEM	\N	98	24585	UROK	\N	\N
3608568	2377	1997-01-31	PRIJEM	\N	87	16713	UROK	\N	\N
3608569	2377	1997-02-28	PRIJEM	\N	75	19209	UROK	\N	\N
3608570	2377	1997-03-31	PRIJEM	\N	82	20512	UROK	\N	\N
3608571	2377	1997-04-30	PRIJEM	\N	74	18687	UROK	\N	\N
3608572	2377	1997-05-31	PRIJEM	\N	83	21192	UROK	\N	\N
3608573	2377	1997-06-30	PRIJEM	\N	75	15639	UROK	\N	\N
3608574	2377	1997-07-31	PRIJEM	\N	70	17530	UROK	\N	\N
3608575	2377	1997-08-31	PRIJEM	\N	66	14177	UROK	\N	\N
3608576	2377	1997-09-30	PRIJEM	\N	64	16663	UROK	\N	\N
3608577	2377	1997-10-31	PRIJEM	\N	75	19159	UROK	\N	\N
3608578	2377	1997-11-30	PRIJEM	\N	83	18563	UROK	\N	\N
3608579	2377	1997-12-31	PRIJEM	\N	83	21067	UROK	\N	\N
3608580	2377	1998-01-31	PRIJEM	\N	75	15653	UROK	\N	\N
3608581	2377	1998-02-28	PRIJEM	\N	70	18145	UROK	\N	\N
3608582	2377	1998-03-31	PRIJEM	\N	72	17758	UROK	\N	\N
3608583	2377	1998-04-30	PRIJEM	\N	78	19558	UROK	\N	\N
3608584	2377	1998-05-31	PRIJEM	\N	82	18721	UROK	\N	\N
3608585	2377	1998-06-30	PRIJEM	\N	80	18023	UROK	\N	\N
3608586	2377	1998-07-31	PRIJEM	\N	73	12617	UROK	\N	\N
3608587	2377	1998-08-31	PRIJEM	\N	57	15096	UROK	\N	\N
3608588	2377	1998-09-30	PRIJEM	\N	68	17585	UROK	\N	\N
3608589	2377	1998-10-31	PRIJEM	\N	71	17677	UROK	\N	\N
3608590	2377	1998-11-30	PRIJEM	\N	78	20176	UROK	\N	\N
3608591	2377	1998-12-31	PRIJEM	\N	89	22686	UROK	\N	\N
3608592	2378	1993-01-31	PRIJEM	\N	95	94154	UROK	\N	\N
3608593	2378	1993-02-28	PRIJEM	\N	345	71452	UROK	\N	\N
3608594	2378	1993-03-31	PRIJEM	\N	209	47712	UROK	\N	\N
3608595	2378	1993-04-30	PRIJEM	\N	180	68212	UROK	\N	\N
3608596	2378	1993-05-31	PRIJEM	\N	449	72941	UROK	\N	\N
3608597	2378	1993-06-30	PRIJEM	\N	264	81013	UROK	\N	\N
3608598	2378	1993-07-31	PRIJEM	\N	315	60991	UROK	\N	\N
3608599	2378	1993-08-31	PRIJEM	\N	356	55103	UROK	\N	\N
3608600	2378	1993-09-30	PRIJEM	\N	265	58754	UROK	\N	\N
3608601	2378	1993-10-31	PRIJEM	\N	287	47495	UROK	\N	\N
3608602	2378	1993-11-30	PRIJEM	\N	141	24409	UROK	\N	\N
3608603	2378	1993-12-31	PRIJEM	\N	130	62057	UROK	\N	\N
3608604	2378	1994-01-31	PRIJEM	\N	145	28675	UROK	\N	\N
3608605	2378	1994-02-28	PRIJEM	\N	207	49965	UROK	\N	\N
3608606	2378	1994-03-31	PRIJEM	\N	128	50971	UROK	\N	\N
3608607	2378	1994-04-30	PRIJEM	\N	171	33542	UROK	\N	\N
3608608	2378	1994-05-31	PRIJEM	\N	161	47143	UROK	\N	\N
3608609	2378	1994-06-30	PRIJEM	\N	113	24577	UROK	\N	\N
3608610	2378	1994-07-31	PRIJEM	\N	96	19046	UROK	\N	\N
3608611	2378	1994-08-31	PRIJEM	\N	79	20099	UROK	\N	\N
3608612	2378	1994-09-30	PRIJEM	\N	81	18953	UROK	\N	\N
3608613	2378	1994-10-31	PRIJEM	\N	120	35977	UROK	\N	\N
3608614	2378	1994-11-30	PRIJEM	\N	167	39242	UROK	\N	\N
3608615	2378	1994-12-31	PRIJEM	\N	109	24825	UROK	\N	\N
3608616	2378	1995-01-31	PRIJEM	\N	102	24800	UROK	\N	\N
3608617	2378	1995-02-28	PRIJEM	\N	96	20969	UROK	\N	\N
3608618	2378	1995-03-31	PRIJEM	\N	138	69173	UROK	\N	\N
3608619	2378	1995-04-30	PRIJEM	\N	213	51743	UROK	\N	\N
3608620	2378	1995-05-31	PRIJEM	\N	331	94736	UROK	\N	\N
3608621	2378	1995-06-30	PRIJEM	\N	249	43224	UROK	\N	\N
3608622	2378	1995-07-31	PRIJEM	\N	236	53084	UROK	\N	\N
3608623	2378	1995-08-31	PRIJEM	\N	218	73593	UROK	\N	\N
3608624	2378	1995-09-30	PRIJEM	\N	274	59521	UROK	\N	\N
3608625	2378	1995-10-31	PRIJEM	\N	154	27862	UROK	\N	\N
3608626	2378	1995-11-30	PRIJEM	\N	151	40074	UROK	\N	\N
3608627	2378	1995-12-31	PRIJEM	\N	195	60246	UROK	\N	\N
3608628	2378	1996-01-31	PRIJEM	\N	212	45066	UROK	\N	\N
3608629	2378	1996-02-29	PRIJEM	\N	168	51933	UROK	\N	\N
3608630	2378	1996-03-31	PRIJEM	\N	174	55951	UROK	\N	\N
3608631	2378	1996-04-30	PRIJEM	\N	237	86592	UROK	\N	\N
3608632	2378	1996-05-31	PRIJEM	\N	275	52396	UROK	\N	\N
3608633	2378	1996-06-30	PRIJEM	\N	245	62743	UROK	\N	\N
3608634	2378	1996-07-31	PRIJEM	\N	287	64210	UROK	\N	\N
3608635	2378	1996-08-31	PRIJEM	\N	226	60148	UROK	\N	\N
3608636	2378	1996-09-30	PRIJEM	\N	287	81625	UROK	\N	\N
3608637	2378	1996-10-31	PRIJEM	\N	313	70723	UROK	\N	\N
3608638	2378	1996-11-30	PRIJEM	\N	291	97055	UROK	\N	\N
3608639	2378	1996-12-31	PRIJEM	\N	338	91482	UROK	\N	\N
3608640	2378	1997-01-31	PRIJEM	\N	224	43979	UROK	\N	\N
3608641	2378	1997-02-28	PRIJEM	\N	134	28986	UROK	\N	\N
3608642	2378	1997-03-31	PRIJEM	\N	222	66035	UROK	\N	\N
3608643	2378	1997-04-30	PRIJEM	\N	206	44214	UROK	\N	\N
3608644	2378	1997-05-31	PRIJEM	\N	202	57509	UROK	\N	\N
3608645	2378	1997-06-30	PRIJEM	\N	174	37957	UROK	\N	\N
3608646	2378	1997-07-31	PRIJEM	\N	139	29177	UROK	\N	\N
3608647	2378	1997-08-31	PRIJEM	\N	127	34709	UROK	\N	\N
3608648	2378	1997-09-30	PRIJEM	\N	128	30841	UROK	\N	\N
3608649	2378	1997-10-31	PRIJEM	\N	109	26924	UROK	\N	\N
3608650	2378	1997-11-30	PRIJEM	\N	91	22588	UROK	\N	\N
3608651	2378	1997-12-31	PRIJEM	\N	73	18235	UROK	\N	\N
3608652	2378	1998-01-31	PRIJEM	\N	109	41168	UROK	\N	\N
3608653	2378	1998-02-28	PRIJEM	\N	131	31073	UROK	\N	\N
3608654	2378	1998-03-31	PRIJEM	\N	148	38223	UROK	\N	\N
3608655	2378	1998-04-30	PRIJEM	\N	155	51637	UROK	\N	\N
3608656	2378	1998-05-31	PRIJEM	\N	135	63924	UROK	\N	\N
3608657	2378	1998-06-30	PRIJEM	\N	219	67460	UROK	\N	\N
3608658	2378	1998-07-31	PRIJEM	\N	165	33480	UROK	\N	\N
3608659	2378	1998-08-31	PRIJEM	\N	267	111076	UROK	\N	\N
3608660	2378	1998-09-30	PRIJEM	\N	330	91711	UROK	\N	\N
3608661	2378	1998-10-31	PRIJEM	\N	258	55143	UROK	\N	\N
3608662	2378	1998-11-30	PRIJEM	\N	163	37779	UROK	\N	\N
3608663	2378	1998-12-31	PRIJEM	\N	216	93350	UROK	\N	\N
3608664	2379	1993-02-28	PRIJEM	\N	56	19828	UROK	\N	\N
3608665	2379	1993-03-31	PRIJEM	\N	90	22389	UROK	\N	\N
3608666	2379	1993-04-30	PRIJEM	\N	107	27068	UROK	\N	\N
3608667	2379	1993-05-31	PRIJEM	\N	113	27253	UROK	\N	\N
3608668	2379	1993-06-30	PRIJEM	\N	129	32543	UROK	\N	\N
3608669	2379	1993-07-31	PRIJEM	\N	126	29646	UROK	\N	\N
3608670	2379	1993-08-31	PRIJEM	\N	121	24803	UROK	\N	\N
3608671	2379	1993-09-30	PRIJEM	\N	107	26387	UROK	\N	\N
3608672	2379	1993-10-31	PRIJEM	\N	115	28278	UROK	\N	\N
3608673	2379	1993-11-30	PRIJEM	\N	123	30177	UROK	\N	\N
3608674	2379	1993-12-31	PRIJEM	\N	123	28212	UROK	\N	\N
3608675	2379	1994-01-31	PRIJEM	\N	78	14126	UROK	\N	\N
3608676	2379	1994-02-28	PRIJEM	\N	86	23188	UROK	\N	\N
3608677	2379	1994-03-31	PRIJEM	\N	96	21101	UROK	\N	\N
3608678	2379	1994-04-30	PRIJEM	\N	99	24176	UROK	\N	\N
3608679	2379	1994-05-31	PRIJEM	\N	111	27763	UROK	\N	\N
3608680	2379	1994-06-30	PRIJEM	\N	127	32003	UROK	\N	\N
3608681	2379	1994-07-31	PRIJEM	\N	124	29603	UROK	\N	\N
3608682	2379	1994-08-31	PRIJEM	\N	127	31106	UROK	\N	\N
3608683	2379	1994-09-30	PRIJEM	\N	125	30108	UROK	\N	\N
3608684	2379	1994-10-31	PRIJEM	\N	123	29907	UROK	\N	\N
3608685	2379	1994-11-30	PRIJEM	\N	116	27599	UROK	\N	\N
3608686	2379	1994-12-31	PRIJEM	\N	117	28609	UROK	\N	\N
3608687	2379	1995-01-31	PRIJEM	\N	71	20096	UROK	\N	\N
3608688	2379	1995-02-28	PRIJEM	\N	88	21860	UROK	\N	\N
3608689	2379	1995-03-31	PRIJEM	\N	99	25436	UROK	\N	\N
3608690	2379	1995-04-30	PRIJEM	\N	110	27222	UROK	\N	\N
3608691	2379	1995-05-31	PRIJEM	\N	79	14417	UROK	\N	\N
3608692	2379	1995-06-30	PRIJEM	\N	68	17517	UROK	\N	\N
3608693	2379	1995-07-31	PRIJEM	\N	76	18170	UROK	\N	\N
3608694	2379	1995-08-31	PRIJEM	\N	77	17504	UROK	\N	\N
3608695	2379	1995-09-30	PRIJEM	\N	75	16756	UROK	\N	\N
3608696	2379	1995-10-31	PRIJEM	\N	71	16643	UROK	\N	\N
3608697	2379	1995-11-30	PRIJEM	\N	70	13989	UROK	\N	\N
3608698	2379	1995-12-31	PRIJEM	\N	65	12466	UROK	\N	\N
3608699	2379	1996-01-31	PRIJEM	\N	56	14198	UROK	\N	\N
3608700	2379	1996-02-29	PRIJEM	\N	60	13235	UROK	\N	\N
3608701	2379	1996-03-31	PRIJEM	\N	56	12067	UROK	\N	\N
3608702	2379	1996-04-30	PRIJEM	\N	52	12195	UROK	\N	\N
3608703	2379	1996-05-31	PRIJEM	\N	54	13926	UROK	\N	\N
3608704	2379	1996-06-30	PRIJEM	\N	63	12801	UROK	\N	\N
3608705	2379	1996-07-31	PRIJEM	\N	57	14534	UROK	\N	\N
3608706	2379	1996-08-31	PRIJEM	\N	64	16274	UROK	\N	\N
3608707	2379	1996-09-30	PRIJEM	\N	71	18021	UROK	\N	\N
3608708	2379	1996-10-31	PRIJEM	\N	68	13166	UROK	\N	\N
3608709	2379	1996-11-30	PRIJEM	\N	58	14900	UROK	\N	\N
3608710	2379	1996-12-31	PRIJEM	\N	69	14381	UROK	\N	\N
3608711	2379	1997-01-31	PRIJEM	\N	60	15158	UROK	\N	\N
3608712	2379	1997-02-28	PRIJEM	\N	66	16900	UROK	\N	\N
3608713	2379	1997-03-31	PRIJEM	\N	73	18650	UROK	\N	\N
3608714	2379	1997-04-30	PRIJEM	\N	80	20406	UROK	\N	\N
3608715	2379	1997-05-31	PRIJEM	\N	88	22170	UROK	\N	\N
3608716	2379	1997-06-30	PRIJEM	\N	102	26485	UROK	\N	\N
3608717	2379	1997-07-31	PRIJEM	\N	113	28274	UROK	\N	\N
3608718	2379	1997-08-31	PRIJEM	\N	120	30070	UROK	\N	\N
3608719	2379	1997-09-30	PRIJEM	\N	89	13236	UROK	\N	\N
3608720	2379	1997-10-31	PRIJEM	\N	57	14969	UROK	\N	\N
3608721	2379	1997-11-30	PRIJEM	\N	63	15268	UROK	\N	\N
3608722	2379	1997-12-31	PRIJEM	\N	73	19554	UROK	\N	\N
3608723	2379	1998-01-31	PRIJEM	\N	68	15539	UROK	\N	\N
3608724	2379	1998-02-28	PRIJEM	\N	66	17281	UROK	\N	\N
3608725	2379	1998-03-31	PRIJEM	\N	74	19032	UROK	\N	\N
3608726	2379	1998-04-30	PRIJEM	\N	81	20789	UROK	\N	\N
3608727	2379	1998-05-31	PRIJEM	\N	84	20869	UROK	\N	\N
3608728	2379	1998-06-30	PRIJEM	\N	96	25177	UROK	\N	\N
3608729	2379	1998-07-31	PRIJEM	\N	103	23356	UROK	\N	\N
3608730	2379	1998-08-31	PRIJEM	\N	99	25131	UROK	\N	\N
3608731	2379	1998-09-30	PRIJEM	\N	106	26914	UROK	\N	\N
3608732	2379	1998-10-31	PRIJEM	\N	113	28703	UROK	\N	\N
3608733	2379	1998-11-30	PRIJEM	\N	121	30500	UROK	\N	\N
3608734	2379	1998-12-31	PRIJEM	\N	121	30354	UROK	\N	\N
3608735	2380	1997-03-31	PRIJEM	\N	6	14331	UROK	\N	\N
3608736	2380	1997-04-30	PRIJEM	\N	64	24420	UROK	\N	\N
3608737	2380	1997-05-31	PRIJEM	\N	104	29849	UROK	\N	\N
3608738	2380	1997-06-30	PRIJEM	\N	129	38316	UROK	\N	\N
3608739	2380	1997-07-31	PRIJEM	\N	169	33604	UROK	\N	\N
3608740	2380	1997-08-31	PRIJEM	\N	151	31359	UROK	\N	\N
3608741	2380	1997-09-30	PRIJEM	\N	141	38405	UROK	\N	\N
3608742	2380	1997-10-31	PRIJEM	\N	169	39078	UROK	\N	\N
3608743	2380	1997-11-30	PRIJEM	\N	171	35653	UROK	\N	\N
3608744	2380	1997-12-31	PRIJEM	\N	155	34225	UROK	\N	\N
3608745	2380	1998-01-31	PRIJEM	\N	119	21048	UROK	\N	\N
3608746	2380	1998-02-28	PRIJEM	\N	106	29858	UROK	\N	\N
3608747	2380	1998-03-31	PRIJEM	\N	133	33895	UROK	\N	\N
3608748	2380	1998-04-30	PRIJEM	\N	146	34445	UROK	\N	\N
3608749	2380	1998-05-31	PRIJEM	\N	151	33400	UROK	\N	\N
3608750	2380	1998-06-30	PRIJEM	\N	130	26647	UROK	\N	\N
3608751	2380	1998-07-31	PRIJEM	\N	111	22862	UROK	\N	\N
3608752	2380	1998-08-31	PRIJEM	\N	112	26179	UROK	\N	\N
3608753	2380	1998-09-30	PRIJEM	\N	116	29299	UROK	\N	\N
3608754	2380	1998-10-31	PRIJEM	\N	129	32633	UROK	\N	\N
3608755	2380	1998-11-30	PRIJEM	\N	133	29570	UROK	\N	\N
3608756	2380	1998-12-31	PRIJEM	\N	137	34924	UROK	\N	\N
3608757	2381	1997-03-31	PRIJEM	\N	54	23632	UROK	\N	\N
3608758	2381	1997-04-30	PRIJEM	\N	122	33832	UROK	\N	\N
3608759	2381	1997-05-31	PRIJEM	\N	153	38963	UROK	\N	\N
3608760	2381	1997-06-30	PRIJEM	\N	178	45508	UROK	\N	\N
3608761	2381	1997-07-31	PRIJEM	\N	193	43679	UROK	\N	\N
3608762	2381	1997-08-31	PRIJEM	\N	165	33549	UROK	\N	\N
3608763	2381	1997-09-30	PRIJEM	\N	146	33900	UROK	\N	\N
3608764	2381	1997-10-31	PRIJEM	\N	163	39769	UROK	\N	\N
3608765	2381	1997-11-30	PRIJEM	\N	172	40946	UROK	\N	\N
3608766	2381	1997-12-31	PRIJEM	\N	184	43824	UROK	\N	\N
3608767	2381	1998-01-31	PRIJEM	\N	159	33988	UROK	\N	\N
3608768	2381	1998-02-28	PRIJEM	\N	156	38150	UROK	\N	\N
3608769	2381	1998-03-31	PRIJEM	\N	176	42631	UROK	\N	\N
3608770	2381	1998-04-30	PRIJEM	\N	186	44322	UROK	\N	\N
3608771	2381	1998-05-31	PRIJEM	\N	194	45022	UROK	\N	\N
3608772	2381	1998-06-30	PRIJEM	\N	169	41385	UROK	\N	\N
3608773	2381	1998-07-31	PRIJEM	\N	177	41167	UROK	\N	\N
3608774	2381	1998-08-31	PRIJEM	\N	177	42850	UROK	\N	\N
3608775	2381	1998-09-30	PRIJEM	\N	184	44639	UROK	\N	\N
3608776	2381	1998-10-31	PRIJEM	\N	214	48758	UROK	\N	\N
3608777	2381	1998-11-30	PRIJEM	\N	236	58600	UROK	\N	\N
3608778	2381	1998-12-31	PRIJEM	\N	284	61078	UROK	\N	\N
3608779	2382	1994-08-31	PRIJEM	\N	104	28056	UROK	\N	\N
3608780	2382	1994-09-30	PRIJEM	\N	124	29657	UROK	\N	\N
3608781	2382	1994-10-31	PRIJEM	\N	111	24965	UROK	\N	\N
3608782	2382	1994-11-30	PRIJEM	\N	101	23964	UROK	\N	\N
3608783	2382	1994-12-31	PRIJEM	\N	105	25086	UROK	\N	\N
3608784	2382	1995-01-31	PRIJEM	\N	103	18287	UROK	\N	\N
3608785	2382	1995-02-28	PRIJEM	\N	71	15975	UROK	\N	\N
3608786	2382	1995-03-31	PRIJEM	\N	70	16462	UROK	\N	\N
3608787	2382	1995-04-30	PRIJEM	\N	77	19517	UROK	\N	\N
3608788	2382	1995-05-31	PRIJEM	\N	84	20338	UROK	\N	\N
3608789	2382	1995-06-30	PRIJEM	\N	90	21306	UROK	\N	\N
3608790	2382	1995-07-31	PRIJEM	\N	86	20450	UROK	\N	\N
3608791	2382	1995-08-31	PRIJEM	\N	94	23521	UROK	\N	\N
3608792	2382	1995-09-30	PRIJEM	\N	107	26605	UROK	\N	\N
3608793	2382	1995-10-31	PRIJEM	\N	120	29702	UROK	\N	\N
3608794	2382	1995-11-30	PRIJEM	\N	132	32811	UROK	\N	\N
3608795	2382	1995-12-31	PRIJEM	\N	145	34384	UROK	\N	\N
3608796	2382	1996-01-31	PRIJEM	\N	133	24515	UROK	\N	\N
3608797	2382	1996-02-29	PRIJEM	\N	110	27603	UROK	\N	\N
3608798	2382	1996-03-31	PRIJEM	\N	115	27336	UROK	\N	\N
3608799	2382	1996-04-30	PRIJEM	\N	120	29713	UROK	\N	\N
3608800	2382	1996-05-31	PRIJEM	\N	130	30121	UROK	\N	\N
3608801	2382	1996-06-30	PRIJEM	\N	85	15673	UROK	\N	\N
3608802	2382	1996-07-31	PRIJEM	\N	74	18724	UROK	\N	\N
3608803	2382	1996-08-31	PRIJEM	\N	85	19146	UROK	\N	\N
3608804	2382	1996-09-30	PRIJEM	\N	86	20009	UROK	\N	\N
3608805	2382	1996-10-31	PRIJEM	\N	92	23078	UROK	\N	\N
3608806	2382	1996-11-30	PRIJEM	\N	102	24057	UROK	\N	\N
3608807	2382	1996-12-31	PRIJEM	\N	107	24991	UROK	\N	\N
3608808	2382	1997-01-31	PRIJEM	\N	102	18420	UROK	\N	\N
3608809	2382	1997-02-28	PRIJEM	\N	84	20781	UROK	\N	\N
3608810	2382	1997-03-31	PRIJEM	\N	93	22852	UROK	\N	\N
3608811	2382	1997-04-30	PRIJEM	\N	95	20325	UROK	\N	\N
3608812	2382	1997-05-31	PRIJEM	\N	92	23094	UROK	\N	\N
3608813	2382	1997-06-30	PRIJEM	\N	96	19167	UROK	\N	\N
3608814	2382	1997-07-31	PRIJEM	\N	80	17045	UROK	\N	\N
3608815	2382	1997-08-31	PRIJEM	\N	72	15994	UROK	\N	\N
3608816	2382	1997-09-30	PRIJEM	\N	69	16040	UROK	\N	\N
3608817	2382	1997-10-31	PRIJEM	\N	67	15084	UROK	\N	\N
3608818	2382	1997-11-30	PRIJEM	\N	61	13222	UROK	\N	\N
3608819	2382	1997-12-31	PRIJEM	\N	60	15009	UROK	\N	\N
3608820	2382	1998-01-31	PRIJEM	\N	65	15252	UROK	\N	\N
3608821	2382	1998-02-28	PRIJEM	\N	71	18300	UROK	\N	\N
3608822	2382	1998-03-31	PRIJEM	\N	85	20723	UROK	\N	\N
3608823	2382	1998-04-30	PRIJEM	\N	71	13171	UROK	\N	\N
3608824	2382	1998-05-31	PRIJEM	\N	58	14106	UROK	\N	\N
3608825	2382	1998-06-30	PRIJEM	\N	58	13541	UROK	\N	\N
3608826	2382	1998-07-31	PRIJEM	\N	63	16582	UROK	\N	\N
3608827	2382	1998-08-31	PRIJEM	\N	65	15865	UROK	\N	\N
3608828	2382	1998-09-30	PRIJEM	\N	73	18915	UROK	\N	\N
3608829	2382	1998-10-31	PRIJEM	\N	85	20298	UROK	\N	\N
3608830	2382	1998-11-30	PRIJEM	\N	66	13841	UROK	\N	\N
3608831	2382	1998-12-31	PRIJEM	\N	63	15432	UROK	\N	\N
3608832	2383	1996-08-31	PRIJEM	\N	32	11423	UROK	\N	\N
3608833	2383	1996-09-30	PRIJEM	\N	103	31517	UROK	\N	\N
3608834	2383	1996-10-31	PRIJEM	\N	131	42739	UROK	\N	\N
3608835	2383	1996-11-30	PRIJEM	\N	167	44697	UROK	\N	\N
3608836	2383	1996-12-31	PRIJEM	\N	212	50907	UROK	\N	\N
3608837	2383	1997-01-31	PRIJEM	\N	192	44806	UROK	\N	\N
3608838	2383	1997-02-28	PRIJEM	\N	181	44093	UROK	\N	\N
3608839	2383	1997-03-31	PRIJEM	\N	163	37803	UROK	\N	\N
3608840	2383	1997-04-30	PRIJEM	\N	161	39970	UROK	\N	\N
3608841	2383	1997-05-31	PRIJEM	\N	167	41043	UROK	\N	\N
3608842	2383	1997-06-30	PRIJEM	\N	146	13921	UROK	\N	\N
3608843	2383	1997-07-31	PRIJEM	\N	103	29431	UROK	\N	\N
3608844	2383	1997-08-31	PRIJEM	\N	139	31276	UROK	\N	\N
3608845	2383	1997-09-30	PRIJEM	\N	130	31592	UROK	\N	\N
3608846	2383	1997-10-31	PRIJEM	\N	147	38546	UROK	\N	\N
3608847	2383	1997-11-30	PRIJEM	\N	172	34184	UROK	\N	\N
3608848	2383	1997-12-31	PRIJEM	\N	164	39059	UROK	\N	\N
3608849	2383	1998-01-31	PRIJEM	\N	169	39374	UROK	\N	\N
3608850	2383	1998-02-28	PRIJEM	\N	176	40557	UROK	\N	\N
3608851	2383	1998-03-31	PRIJEM	\N	184	46647	UROK	\N	\N
3608852	2383	1998-04-30	PRIJEM	\N	206	46440	UROK	\N	\N
3608853	2383	1998-05-31	PRIJEM	\N	205	47352	UROK	\N	\N
3608854	2383	1998-06-30	PRIJEM	\N	210	34314	UROK	\N	\N
3608855	2383	1998-07-31	PRIJEM	\N	163	46683	UROK	\N	\N
3608856	2383	1998-08-31	PRIJEM	\N	195	45804	UROK	\N	\N
3608857	2383	1998-09-30	PRIJEM	\N	199	48090	UROK	\N	\N
3608858	2383	1998-10-31	PRIJEM	\N	211	50607	UROK	\N	\N
3608859	2383	1998-11-30	PRIJEM	\N	220	52534	UROK	\N	\N
3608860	2383	1998-12-31	PRIJEM	\N	227	45833	UROK	\N	\N
3608861	2384	1995-01-31	PRIJEM	\N	50	37056	UROK	\N	\N
3608862	2384	1995-02-28	PRIJEM	\N	172	52434	UROK	\N	\N
3608863	2384	1995-03-31	PRIJEM	\N	230	62870	UROK	\N	\N
3608864	2384	1995-04-30	PRIJEM	\N	299	58075	UROK	\N	\N
3608865	2384	1995-05-31	PRIJEM	\N	192	35673	UROK	\N	\N
3608866	2384	1995-06-30	PRIJEM	\N	217	44534	UROK	\N	\N
3608867	2384	1995-07-31	PRIJEM	\N	204	57130	UROK	\N	\N
3608868	2384	1995-08-31	PRIJEM	\N	258	57742	UROK	\N	\N
3608869	2384	1995-09-30	PRIJEM	\N	284	57317	UROK	\N	\N
3608870	2384	1995-10-31	PRIJEM	\N	219	40827	UROK	\N	\N
3608871	2384	1995-11-30	PRIJEM	\N	208	52627	UROK	\N	\N
3608872	2384	1995-12-31	PRIJEM	\N	194	35866	UROK	\N	\N
3608873	2384	1996-01-31	PRIJEM	\N	168	29125	UROK	\N	\N
3608874	2384	1996-02-29	PRIJEM	\N	150	33066	UROK	\N	\N
3608875	2384	1996-03-31	PRIJEM	\N	162	45320	UROK	\N	\N
3608876	2384	1996-04-30	PRIJEM	\N	200	51012	UROK	\N	\N
3608877	2384	1996-05-31	PRIJEM	\N	225	55828	UROK	\N	\N
3608878	2384	1996-06-30	PRIJEM	\N	246	50418	UROK	\N	\N
3608879	2384	1996-07-31	PRIJEM	\N	215	52724	UROK	\N	\N
3608880	2384	1996-08-31	PRIJEM	\N	240	51756	UROK	\N	\N
3608881	2384	1996-09-30	PRIJEM	\N	222	54569	UROK	\N	\N
3608882	2384	1996-10-31	PRIJEM	\N	228	54988	UROK	\N	\N
3608883	2384	1996-11-30	PRIJEM	\N	224	48662	UROK	\N	\N
3608884	2384	1996-12-31	PRIJEM	\N	193	39499	UROK	\N	\N
3608885	2384	1997-01-31	PRIJEM	\N	121	22711	UROK	\N	\N
3608886	2384	1997-02-28	PRIJEM	\N	224	35126	UROK	\N	\N
3608887	2384	1997-03-31	PRIJEM	\N	163	37081	UROK	\N	\N
3608888	2384	1997-04-30	PRIJEM	\N	170	43042	UROK	\N	\N
3608889	2384	1997-05-31	PRIJEM	\N	173	41306	UROK	\N	\N
3608890	2384	1997-06-30	PRIJEM	\N	368	21118	UROK	\N	\N
3608891	2384	1997-07-31	PRIJEM	\N	223	28232	UROK	\N	\N
3608892	2384	1997-08-31	PRIJEM	\N	122	76246	UROK	\N	\N
3608893	2384	1997-09-30	PRIJEM	\N	346	86783	UROK	\N	\N
3608894	2384	1997-10-31	PRIJEM	\N	345	86520	UROK	\N	\N
3608895	2384	1997-11-30	PRIJEM	\N	368	90079	UROK	\N	\N
3608896	2384	1997-12-31	PRIJEM	\N	343	60567	UROK	\N	\N
3608897	2384	1998-01-31	PRIJEM	\N	197	30851	UROK	\N	\N
3608898	2384	1998-02-28	PRIJEM	\N	189	69632	UROK	\N	\N
3608899	2384	1998-03-31	PRIJEM	\N	305	64954	UROK	\N	\N
3608900	2384	1998-04-30	PRIJEM	\N	293	73939	UROK	\N	\N
3608901	2384	1998-05-31	PRIJEM	\N	308	75339	UROK	\N	\N
3608902	2384	1998-06-30	PRIJEM	\N	313	90096	UROK	\N	\N
3608903	2384	1998-07-31	PRIJEM	\N	333	77221	UROK	\N	\N
3608904	2384	1998-08-31	PRIJEM	\N	229	42894	UROK	\N	\N
3608905	2384	1998-09-30	PRIJEM	\N	269	73954	UROK	\N	\N
3608906	2384	1998-10-31	PRIJEM	\N	295	71040	UROK	\N	\N
3608907	2384	1998-11-30	PRIJEM	\N	280	63912	UROK	\N	\N
3608908	2384	1998-12-31	PRIJEM	\N	300	68155	UROK	\N	\N
3608909	2385	1996-12-31	PRIJEM	\N	62	26984	UROK	\N	\N
3608910	2385	1997-01-31	PRIJEM	\N	127	33058	UROK	\N	\N
3608911	2385	1997-02-28	PRIJEM	\N	170	47576	UROK	\N	\N
3608912	2385	1997-03-31	PRIJEM	\N	194	46018	UROK	\N	\N
3608913	2385	1997-04-30	PRIJEM	\N	185	43551	UROK	\N	\N
3608914	2385	1997-05-31	PRIJEM	\N	177	41561	UROK	\N	\N
3608915	2385	1997-06-30	PRIJEM	\N	194	51463	UROK	\N	\N
3608916	2385	1997-07-31	PRIJEM	\N	231	58927	UROK	\N	\N
3608917	2385	1997-08-31	PRIJEM	\N	248	56809	UROK	\N	\N
3608918	2385	1997-09-30	PRIJEM	\N	256	64798	UROK	\N	\N
3608919	2385	1997-10-31	PRIJEM	\N	269	64400	UROK	\N	\N
3608920	2385	1997-11-30	PRIJEM	\N	272	66005	UROK	\N	\N
3608921	2385	1997-12-31	PRIJEM	\N	287	67700	UROK	\N	\N
3608922	2385	1998-01-31	PRIJEM	\N	230	50563	UROK	\N	\N
3608923	2385	1998-02-28	PRIJEM	\N	222	54819	UROK	\N	\N
3608924	2385	1998-03-31	PRIJEM	\N	237	58389	UROK	\N	\N
3608925	2385	1998-04-30	PRIJEM	\N	248	60571	UROK	\N	\N
3608926	2385	1998-05-31	PRIJEM	\N	262	64766	UROK	\N	\N
3608927	2385	1998-06-30	PRIJEM	\N	239	62613	UROK	\N	\N
3608928	2385	1998-07-31	PRIJEM	\N	259	61905	UROK	\N	\N
3608929	2385	1998-08-31	PRIJEM	\N	265	65003	UROK	\N	\N
3608930	2385	1998-09-30	PRIJEM	\N	261	61097	UROK	\N	\N
3608931	2385	1998-10-31	PRIJEM	\N	214	53845	UROK	\N	\N
3608932	2385	1998-11-30	PRIJEM	\N	237	59615	UROK	\N	\N
3608933	2385	1998-12-31	PRIJEM	\N	240	67063	UROK	\N	\N
3608934	2386	1997-01-31	PRIJEM	\N	48	22242	UROK	\N	\N
3608935	2386	1997-02-28	PRIJEM	\N	117	33852	UROK	\N	\N
3608936	2386	1997-03-31	PRIJEM	\N	155	41101	UROK	\N	\N
3608937	2386	1997-04-30	PRIJEM	\N	176	43671	UROK	\N	\N
3608938	2386	1997-05-31	PRIJEM	\N	188	42111	UROK	\N	\N
3608939	2386	1997-06-30	PRIJEM	\N	157	39705	UROK	\N	\N
3608940	2386	1997-07-31	PRIJEM	\N	179	43525	UROK	\N	\N
3608941	2386	1997-08-31	PRIJEM	\N	188	44853	UROK	\N	\N
3608942	2386	1997-09-30	PRIJEM	\N	194	47087	UROK	\N	\N
3608943	2386	1997-10-31	PRIJEM	\N	198	47125	UROK	\N	\N
3608944	2386	1997-11-30	PRIJEM	\N	203	46369	UROK	\N	\N
3608945	2386	1997-12-31	PRIJEM	\N	221	52127	UROK	\N	\N
3608946	2386	1998-01-31	PRIJEM	\N	218	51986	UROK	\N	\N
3608947	2386	1998-02-28	PRIJEM	\N	238	60164	UROK	\N	\N
3608948	2386	1998-03-31	PRIJEM	\N	291	58595	UROK	\N	\N
3608949	2386	1998-04-30	PRIJEM	\N	255	63390	UROK	\N	\N
3608950	2386	1998-05-31	PRIJEM	\N	285	71815	UROK	\N	\N
3608951	2386	1998-06-30	PRIJEM	\N	289	73341	UROK	\N	\N
3608952	2386	1998-07-31	PRIJEM	\N	293	70375	UROK	\N	\N
3608953	2386	1998-08-31	PRIJEM	\N	309	76425	UROK	\N	\N
3608954	2386	1998-09-30	PRIJEM	\N	326	80291	UROK	\N	\N
3608955	2386	1998-10-31	PRIJEM	\N	315	75847	UROK	\N	\N
3608956	2386	1998-11-30	PRIJEM	\N	307	76394	UROK	\N	\N
3608957	2386	1998-12-31	PRIJEM	\N	329	83260	UROK	\N	\N
3608958	2387	1996-09-30	PRIJEM	\N	20	13383	UROK	\N	\N
3608959	2387	1996-10-31	PRIJEM	\N	58	14963	UROK	\N	\N
3608960	2387	1996-11-30	PRIJEM	\N	61	14445	UROK	\N	\N
3608961	2387	1996-12-31	PRIJEM	\N	59	12496	UROK	\N	\N
3608962	2387	1997-01-31	PRIJEM	\N	53	12402	UROK	\N	\N
3608963	2387	1997-02-28	PRIJEM	\N	56	14150	UROK	\N	\N
3608964	2387	1997-03-31	PRIJEM	\N	57	12100	UROK	\N	\N
3608965	2387	1997-04-30	PRIJEM	\N	50	10842	UROK	\N	\N
3608966	2387	1997-05-31	PRIJEM	\N	50	12584	UROK	\N	\N
3608967	2387	1997-06-30	PRIJEM	\N	57	13693	UROK	\N	\N
3608968	2387	1997-07-31	PRIJEM	\N	61	15447	UROK	\N	\N
3608969	2387	1997-08-31	PRIJEM	\N	57	14236	UROK	\N	\N
3608970	2387	1997-09-30	PRIJEM	\N	64	15992	UROK	\N	\N
3608971	2387	1997-10-31	PRIJEM	\N	71	17756	UROK	\N	\N
3608972	2387	1997-11-30	PRIJEM	\N	76	16964	UROK	\N	\N
3608973	2387	1997-12-31	PRIJEM	\N	73	17330	UROK	\N	\N
3608974	2387	1998-01-31	PRIJEM	\N	56	13558	UROK	\N	\N
3608975	2387	1998-02-28	PRIJEM	\N	61	15311	UROK	\N	\N
3608976	2387	1998-03-31	PRIJEM	\N	68	17072	UROK	\N	\N
3608977	2387	1998-04-30	PRIJEM	\N	76	18840	UROK	\N	\N
3608978	2387	1998-05-31	PRIJEM	\N	83	18455	UROK	\N	\N
3608979	2387	1998-06-30	PRIJEM	\N	79	17827	UROK	\N	\N
3608980	2387	1998-07-31	PRIJEM	\N	74	18473	UROK	\N	\N
3608981	2387	1998-08-31	PRIJEM	\N	82	20247	UROK	\N	\N
3608982	2387	1998-09-30	PRIJEM	\N	89	22028	UROK	\N	\N
3608983	2387	1998-10-31	PRIJEM	\N	95	22136	UROK	\N	\N
3608984	2387	1998-11-30	PRIJEM	\N	97	23925	UROK	\N	\N
3608985	2387	1998-12-31	PRIJEM	\N	101	24469	UROK	\N	\N
3608986	2388	1993-11-30	PRIJEM	\N	47	15479	UROK	\N	\N
3608987	2388	1993-12-31	PRIJEM	\N	68	16127	UROK	\N	\N
3608988	2388	1994-01-31	PRIJEM	\N	67	14253	UROK	\N	\N
3608989	2388	1994-02-28	PRIJEM	\N	63	15465	UROK	\N	\N
3608990	2388	1994-03-31	PRIJEM	\N	66	15930	UROK	\N	\N
3608991	2388	1994-04-30	PRIJEM	\N	67	15497	UROK	\N	\N
3608992	2388	1994-05-31	PRIJEM	\N	68	16714	UROK	\N	\N
3608993	2388	1994-06-30	PRIJEM	\N	71	16104	UROK	\N	\N
3608994	2388	1994-07-31	PRIJEM	\N	71	17324	UROK	\N	\N
3608995	2388	1994-08-31	PRIJEM	\N	76	18549	UROK	\N	\N
3608996	2388	1994-09-30	PRIJEM	\N	81	19780	UROK	\N	\N
3608997	2388	1994-10-31	PRIJEM	\N	86	21015	UROK	\N	\N
3608998	2388	1994-11-30	PRIJEM	\N	91	21866	UROK	\N	\N
3608999	2388	1994-12-31	PRIJEM	\N	94	22930	UROK	\N	\N
3609000	2388	1995-01-31	PRIJEM	\N	96	22975	UROK	\N	\N
3609001	2388	1995-02-28	PRIJEM	\N	99	24223	UROK	\N	\N
3609002	2388	1995-03-31	PRIJEM	\N	104	25477	UROK	\N	\N
3609003	2388	1995-04-30	PRIJEM	\N	108	25925	UROK	\N	\N
3609004	2388	1995-05-31	PRIJEM	\N	111	26885	UROK	\N	\N
3609005	2388	1995-06-30	PRIJEM	\N	99	22404	UROK	\N	\N
3609006	2388	1995-07-31	PRIJEM	\N	97	23650	UROK	\N	\N
3609007	2388	1995-08-31	PRIJEM	\N	102	24901	UROK	\N	\N
3609008	2388	1995-09-30	PRIJEM	\N	105	24015	UROK	\N	\N
3609009	2388	1995-10-31	PRIJEM	\N	103	25268	UROK	\N	\N
3609010	2388	1995-11-30	PRIJEM	\N	107	24964	UROK	\N	\N
3609011	2388	1995-12-31	PRIJEM	\N	107	25651	UROK	\N	\N
3609012	2388	1996-01-31	PRIJEM	\N	109	26249	UROK	\N	\N
3609013	2388	1996-02-29	PRIJEM	\N	110	24909	UROK	\N	\N
3609014	2388	1996-03-31	PRIJEM	\N	107	26165	UROK	\N	\N
3609015	2388	1996-04-30	PRIJEM	\N	110	26314	UROK	\N	\N
3609016	2388	1996-05-31	PRIJEM	\N	112	26675	UROK	\N	\N
3609017	2388	1996-06-30	PRIJEM	\N	107	23732	UROK	\N	\N
3609018	2388	1996-07-31	PRIJEM	\N	101	24082	UROK	\N	\N
3609019	2388	1996-08-31	PRIJEM	\N	102	24013	UROK	\N	\N
3609020	2388	1996-09-30	PRIJEM	\N	103	25265	UROK	\N	\N
3609021	2388	1996-10-31	PRIJEM	\N	108	26523	UROK	\N	\N
3609022	2388	1996-11-30	PRIJEM	\N	113	27785	UROK	\N	\N
3609023	2388	1996-12-31	PRIJEM	\N	117	28181	UROK	\N	\N
3609024	2388	1997-01-31	PRIJEM	\N	114	25215	UROK	\N	\N
3609025	2388	1997-02-28	PRIJEM	\N	107	26471	UROK	\N	\N
3609026	2388	1997-03-31	PRIJEM	\N	113	27733	UROK	\N	\N
3609027	2388	1997-04-30	PRIJEM	\N	118	29001	UROK	\N	\N
3609028	2388	1997-05-31	PRIJEM	\N	119	27469	UROK	\N	\N
3609029	2388	1997-06-30	PRIJEM	\N	106	21104	UROK	\N	\N
3609030	2388	1997-07-31	PRIJEM	\N	85	19539	UROK	\N	\N
3609031	2388	1997-08-31	PRIJEM	\N	84	20771	UROK	\N	\N
3609032	2388	1997-09-30	PRIJEM	\N	89	22009	UROK	\N	\N
3609033	2388	1997-10-31	PRIJEM	\N	94	23253	UROK	\N	\N
3609034	2388	1997-11-30	PRIJEM	\N	99	24501	UROK	\N	\N
3609035	2388	1997-12-31	PRIJEM	\N	102	24882	UROK	\N	\N
3609036	2388	1998-01-31	PRIJEM	\N	104	25265	UROK	\N	\N
3609037	2388	1998-02-28	PRIJEM	\N	104	25078	UROK	\N	\N
3609038	2388	1998-03-31	PRIJEM	\N	106	26334	UROK	\N	\N
3609039	2388	1998-04-30	PRIJEM	\N	110	27233	UROK	\N	\N
3609040	2388	1998-05-31	PRIJEM	\N	115	28498	UROK	\N	\N
3609041	2388	1998-06-30	PRIJEM	\N	116	26973	UROK	\N	\N
3609042	2388	1998-07-31	PRIJEM	\N	114	28236	UROK	\N	\N
3609043	2388	1998-08-31	PRIJEM	\N	119	29504	UROK	\N	\N
3609044	2388	1998-09-30	PRIJEM	\N	121	28914	UROK	\N	\N
3609045	2388	1998-10-31	PRIJEM	\N	122	30185	UROK	\N	\N
3609046	2388	1998-11-30	PRIJEM	\N	127	31461	UROK	\N	\N
3609047	2388	1998-12-31	PRIJEM	\N	131	32352	UROK	\N	\N
3609048	2389	1996-06-30	PRIJEM	\N	115	33359	UROK	\N	\N
3609049	2389	1996-07-31	PRIJEM	\N	204	52260	UROK	\N	\N
3609050	2389	1996-08-31	PRIJEM	\N	238	59094	UROK	\N	\N
3609051	2389	1996-09-30	PRIJEM	\N	168	61858	UROK	\N	\N
3609052	2389	1996-10-31	PRIJEM	\N	224	43166	UROK	\N	\N
3609053	2389	1996-11-30	PRIJEM	\N	216	44151	UROK	\N	\N
3609054	2389	1996-12-31	PRIJEM	\N	251	53420	UROK	\N	\N
3609055	2389	1997-01-31	PRIJEM	\N	246	40935	UROK	\N	\N
3609056	2389	1997-02-28	PRIJEM	\N	220	40224	UROK	\N	\N
3609057	2389	1997-03-31	PRIJEM	\N	209	43202	UROK	\N	\N
3609058	2389	1997-04-30	PRIJEM	\N	217	42488	UROK	\N	\N
3609059	2389	1997-05-31	PRIJEM	\N	215	44173	UROK	\N	\N
3609060	2389	1997-06-30	PRIJEM	\N	195	39386	UROK	\N	\N
3609061	2389	1997-07-31	PRIJEM	\N	201	41856	UROK	\N	\N
3609062	2389	1997-08-31	PRIJEM	\N	202	37027	UROK	\N	\N
3609063	2389	1997-09-30	PRIJEM	\N	187	39284	UROK	\N	\N
3609064	2389	1997-10-31	PRIJEM	\N	198	37652	UROK	\N	\N
3609065	2389	1997-11-30	PRIJEM	\N	190	42311	UROK	\N	\N
3609066	2389	1997-12-31	PRIJEM	\N	238	45366	UROK	\N	\N
3609067	2389	1998-01-31	PRIJEM	\N	209	36145	UROK	\N	\N
3609068	2389	1998-02-28	PRIJEM	\N	173	33287	UROK	\N	\N
3609069	2389	1998-03-31	PRIJEM	\N	164	31621	UROK	\N	\N
3609070	2389	1998-04-30	PRIJEM	\N	155	31645	UROK	\N	\N
3609071	2389	1998-05-31	PRIJEM	\N	162	35776	UROK	\N	\N
3609072	2389	1998-06-30	PRIJEM	\N	195	34989	UROK	\N	\N
3609073	2389	1998-07-31	PRIJEM	\N	170	36528	UROK	\N	\N
3609074	2389	1998-08-31	PRIJEM	\N	173	32871	UROK	\N	\N
3609075	2389	1998-09-30	PRIJEM	\N	164	38404	UROK	\N	\N
3609076	2389	1998-10-31	PRIJEM	\N	184	42457	UROK	\N	\N
3609077	2389	1998-11-30	PRIJEM	\N	195	44322	UROK	\N	\N
3609078	2389	1998-12-31	PRIJEM	\N	212	45351	UROK	\N	\N
3609079	2390	1996-03-31	PRIJEM	\N	237	92305	UROK	\N	\N
3609080	2390	1996-04-30	PRIJEM	\N	381	81431	UROK	\N	\N
3609081	2390	1996-05-31	PRIJEM	\N	328	57634	UROK	\N	\N
3609082	2390	1996-06-30	PRIJEM	\N	179	31957	UROK	\N	\N
3609083	2390	1996-07-31	PRIJEM	\N	92	17964	UROK	\N	\N
3609084	2390	1996-08-31	PRIJEM	\N	63	21483	UROK	\N	\N
3609085	2390	1996-09-30	PRIJEM	\N	127	33978	UROK	\N	\N
3609086	2390	1996-10-31	PRIJEM	\N	217	88400	UROK	\N	\N
3609087	2390	1996-11-30	PRIJEM	\N	223	35139	UROK	\N	\N
3609088	2390	1996-12-31	PRIJEM	\N	104	23159	UROK	\N	\N
3609089	2390	1997-01-31	PRIJEM	\N	224	86417	UROK	\N	\N
3609090	2390	1997-02-28	PRIJEM	\N	336	118791	UROK	\N	\N
3609091	2390	1997-03-31	PRIJEM	\N	154	33465	UROK	\N	\N
3609092	2390	1997-04-30	PRIJEM	\N	264	78853	UROK	\N	\N
3609093	2390	1997-05-31	PRIJEM	\N	200	35871	UROK	\N	\N
3609094	2390	1997-06-30	PRIJEM	\N	138	96714	UROK	\N	\N
3609095	2390	1997-07-31	PRIJEM	\N	339	56884	UROK	\N	\N
3609096	2390	1997-08-31	PRIJEM	\N	228	93977	UROK	\N	\N
3609097	2390	1997-09-30	PRIJEM	\N	220	76912	UROK	\N	\N
3609098	2390	1997-10-31	PRIJEM	\N	202	45693	UROK	\N	\N
3609099	2390	1997-11-30	PRIJEM	\N	256	89838	UROK	\N	\N
3609100	2390	1997-12-31	PRIJEM	\N	334	93419	UROK	\N	\N
3609101	2390	1998-01-31	PRIJEM	\N	246	37411	UROK	\N	\N
3609102	2390	1998-02-28	PRIJEM	\N	105	12032	UROK	\N	\N
3609103	2390	1998-03-31	PRIJEM	\N	192	73174	UROK	\N	\N
3609104	2390	1998-04-30	PRIJEM	\N	138	23427	UROK	\N	\N
3609105	2390	1998-05-31	PRIJEM	\N	28	3971	UROK	\N	\N
3609106	2390	1998-06-30	PRIJEM	\N	14	1765	UROK	\N	\N
3609107	2390	1998-07-31	PRIJEM	\N	6	1755	UROK	\N	\N
3609108	2390	1998-09-30	PRIJEM	\N	6	1737	UROK	\N	\N
3609109	2390	1998-09-30	PRIJEM	\N	6	1732	UROK	\N	\N
3609110	2390	1998-11-30	PRIJEM	\N	6	33905	UROK	\N	\N
3609111	2390	1998-11-30	PRIJEM	\N	112	34017	UROK	\N	\N
3609112	2390	1998-12-31	PRIJEM	\N	99	20431	UROK	\N	\N
3609113	2391	1997-11-30	PRIJEM	\N	23	8642	UROK	\N	\N
3609114	2391	1997-12-31	PRIJEM	\N	92	29612	UROK	\N	\N
3609115	2391	1998-01-31	PRIJEM	\N	135	33966	UROK	\N	\N
3609116	2391	1998-02-28	PRIJEM	\N	152	38136	UROK	\N	\N
3609117	2391	1998-03-31	PRIJEM	\N	167	41523	UROK	\N	\N
3609118	2391	1998-04-30	PRIJEM	\N	161	37629	UROK	\N	\N
3609119	2391	1998-05-31	PRIJEM	\N	149	35523	UROK	\N	\N
3609120	2391	1998-06-30	PRIJEM	\N	158	40647	UROK	\N	\N
3609121	2391	1998-07-31	PRIJEM	\N	163	38855	UROK	\N	\N
3609122	2391	1998-08-31	PRIJEM	\N	135	27535	UROK	\N	\N
3609123	2391	1998-09-30	PRIJEM	\N	133	33614	UROK	\N	\N
3609124	2391	1998-10-31	PRIJEM	\N	150	37609	UROK	\N	\N
3609125	2391	1998-11-30	PRIJEM	\N	158	38712	UROK	\N	\N
3609126	2391	1998-12-31	PRIJEM	\N	167	40824	UROK	\N	\N
3609127	2393	1993-01-31	PRIJEM	\N	28	11665	UROK	\N	\N
3609128	2393	1993-02-28	PRIJEM	\N	85	27987	UROK	\N	\N
3609129	2393	1993-03-31	PRIJEM	\N	136	36360	UROK	\N	\N
3609130	2393	1993-04-30	PRIJEM	\N	160	40358	UROK	\N	\N
3609131	2393	1993-05-31	PRIJEM	\N	167	40162	UROK	\N	\N
3609132	2393	1993-06-30	PRIJEM	\N	166	43426	UROK	\N	\N
3609133	2393	1993-07-31	PRIJEM	\N	155	37612	UROK	\N	\N
3609134	2393	1993-08-31	PRIJEM	\N	148	37190	UROK	\N	\N
3609135	2393	1993-09-30	PRIJEM	\N	141	35161	UROK	\N	\N
3609136	2393	1993-10-31	PRIJEM	\N	136	34328	UROK	\N	\N
3609137	2393	1993-11-30	PRIJEM	\N	134	34093	UROK	\N	\N
3609138	2393	1993-12-31	PRIJEM	\N	150	39602	UROK	\N	\N
3609139	2393	1994-01-31	PRIJEM	\N	122	21394	UROK	\N	\N
3609140	2393	1994-02-28	PRIJEM	\N	112	31736	UROK	\N	\N
3609141	2393	1994-03-31	PRIJEM	\N	123	30069	UROK	\N	\N
3609142	2393	1994-04-30	PRIJEM	\N	125	32524	UROK	\N	\N
3609143	2393	1994-05-31	PRIJEM	\N	136	35291	UROK	\N	\N
3609144	2393	1994-06-30	PRIJEM	\N	157	42446	UROK	\N	\N
3609145	2393	1994-07-31	PRIJEM	\N	155	38332	UROK	\N	\N
3609146	2393	1994-08-31	PRIJEM	\N	131	27313	UROK	\N	\N
3609147	2393	1994-09-30	PRIJEM	\N	127	27170	UROK	\N	\N
3609148	2393	1994-10-31	PRIJEM	\N	127	29527	UROK	\N	\N
3609149	2393	1994-11-30	PRIJEM	\N	134	27992	UROK	\N	\N
3609150	2393	1994-12-31	PRIJEM	\N	125	26776	UROK	\N	\N
3609151	2393	1995-01-31	PRIJEM	\N	99	20905	UROK	\N	\N
3609152	2393	1995-02-28	PRIJEM	\N	100	25635	UROK	\N	\N
3609153	2393	1995-03-31	PRIJEM	\N	115	27501	UROK	\N	\N
3609154	2393	1995-04-30	PRIJEM	\N	124	21695	UROK	\N	\N
3609155	2393	1995-05-31	PRIJEM	\N	105	27230	UROK	\N	\N
3609156	2393	1995-06-30	PRIJEM	\N	102	20810	UROK	\N	\N
3609157	2393	1995-07-31	PRIJEM	\N	101	27342	UROK	\N	\N
3609158	2393	1995-08-31	PRIJEM	\N	126	30698	UROK	\N	\N
3609159	2393	1995-09-30	PRIJEM	\N	128	30697	UROK	\N	\N
3609160	2393	1995-10-31	PRIJEM	\N	137	32665	UROK	\N	\N
3609161	2393	1995-11-30	PRIJEM	\N	142	32037	UROK	\N	\N
3609162	2393	1995-12-31	PRIJEM	\N	148	35204	UROK	\N	\N
3609163	2393	1996-01-31	PRIJEM	\N	113	27287	UROK	\N	\N
3609164	2393	1996-02-29	PRIJEM	\N	127	33745	UROK	\N	\N
3609165	2393	1996-03-31	PRIJEM	\N	149	35924	UROK	\N	\N
3609166	2393	1996-04-30	PRIJEM	\N	150	33105	UROK	\N	\N
3609167	2393	1996-05-31	PRIJEM	\N	139	30674	UROK	\N	\N
3609168	2393	1996-06-30	PRIJEM	\N	131	26563	UROK	\N	\N
3609169	2393	1996-07-31	PRIJEM	\N	122	31616	UROK	\N	\N
3609170	2393	1996-08-31	PRIJEM	\N	132	30278	UROK	\N	\N
3609171	2393	1996-09-30	PRIJEM	\N	129	28917	UROK	\N	\N
3609172	2393	1996-10-31	PRIJEM	\N	131	34078	UROK	\N	\N
3609173	2393	1996-11-30	PRIJEM	\N	140	32648	UROK	\N	\N
3609174	2393	1996-12-31	PRIJEM	\N	136	31943	UROK	\N	\N
3609175	2393	1997-01-31	PRIJEM	\N	113	24906	UROK	\N	\N
3609176	2393	1997-02-28	PRIJEM	\N	112	29649	UROK	\N	\N
3609177	2393	1997-03-31	PRIJEM	\N	130	33109	UROK	\N	\N
3609178	2393	1997-04-30	PRIJEM	\N	138	33578	UROK	\N	\N
3609179	2393	1997-05-31	PRIJEM	\N	137	32645	UROK	\N	\N
3609180	2393	1997-06-30	PRIJEM	\N	128	33371	UROK	\N	\N
3609181	2393	1997-07-31	PRIJEM	\N	132	31334	UROK	\N	\N
3609182	2393	1997-08-31	PRIJEM	\N	142	31606	UROK	\N	\N
3609183	2393	1997-09-30	PRIJEM	\N	141	37378	UROK	\N	\N
3609184	2393	1997-10-31	PRIJEM	\N	146	34315	UROK	\N	\N
3609185	2393	1997-11-30	PRIJEM	\N	153	40497	UROK	\N	\N
3609186	2393	1997-12-31	PRIJEM	\N	146	35922	UROK	\N	\N
3609187	2393	1998-01-31	PRIJEM	\N	117	21650	UROK	\N	\N
3609188	2393	1998-02-28	PRIJEM	\N	112	32992	UROK	\N	\N
3609189	2393	1998-03-31	PRIJEM	\N	132	33974	UROK	\N	\N
3609190	2393	1998-04-30	PRIJEM	\N	144	37948	UROK	\N	\N
3609191	2393	1998-05-31	PRIJEM	\N	155	39933	UROK	\N	\N
3609192	2393	1998-06-30	PRIJEM	\N	156	38308	UROK	\N	\N
3609193	2393	1998-07-31	PRIJEM	\N	157	39475	UROK	\N	\N
3609194	2393	1998-08-31	PRIJEM	\N	152	39358	UROK	\N	\N
3609195	2393	1998-09-30	PRIJEM	\N	138	35006	UROK	\N	\N
3609196	2393	1998-10-31	PRIJEM	\N	135	34232	UROK	\N	\N
3609197	2393	1998-11-30	PRIJEM	\N	144	39007	UROK	\N	\N
3609198	2393	1998-12-31	PRIJEM	\N	175	48061	UROK	\N	\N
3609199	2394	1997-09-30	PRIJEM	\N	40	32018	UROK	\N	\N
3609200	2394	1997-10-31	PRIJEM	\N	133	30251	UROK	\N	\N
3609201	2394	1997-11-30	PRIJEM	\N	135	27386	UROK	\N	\N
3609202	2394	1997-12-31	PRIJEM	\N	168	36627	UROK	\N	\N
3609203	2394	1998-01-31	PRIJEM	\N	168	46536	UROK	\N	\N
3609204	2394	1998-02-28	PRIJEM	\N	227	78548	UROK	\N	\N
3609205	2394	1998-03-31	PRIJEM	\N	263	37387	UROK	\N	\N
3609206	2394	1998-04-30	PRIJEM	\N	130	22264	UROK	\N	\N
3609207	2394	1998-05-31	PRIJEM	\N	101	26297	UROK	\N	\N
3609208	2394	1998-06-30	PRIJEM	\N	130	38136	UROK	\N	\N
3609209	2394	1998-07-31	PRIJEM	\N	166	32842	UROK	\N	\N
3609210	2394	1998-08-31	PRIJEM	\N	142	33627	UROK	\N	\N
3609211	2394	1998-09-30	PRIJEM	\N	124	27135	UROK	\N	\N
3609212	2394	1998-10-31	PRIJEM	\N	96	20515	UROK	\N	\N
3609213	2394	1998-11-30	PRIJEM	\N	100	43413	UROK	\N	\N
3609214	2394	1998-12-31	PRIJEM	\N	146	31143	UROK	\N	\N
3609215	2395	1996-07-31	PRIJEM	\N	18	16709	UROK	\N	\N
3609216	2395	1996-08-31	PRIJEM	\N	76	22076	UROK	\N	\N
3609217	2395	1996-09-30	PRIJEM	\N	98	27265	UROK	\N	\N
3609218	2395	1996-10-31	PRIJEM	\N	114	27870	UROK	\N	\N
3609219	2395	1996-11-30	PRIJEM	\N	124	28825	UROK	\N	\N
3609220	2395	1996-12-31	PRIJEM	\N	118	30308	UROK	\N	\N
3609221	2395	1997-01-31	PRIJEM	\N	119	27928	UROK	\N	\N
3609222	2395	1997-02-28	PRIJEM	\N	134	38042	UROK	\N	\N
3609223	2395	1997-03-31	PRIJEM	\N	164	41107	UROK	\N	\N
3609224	2395	1997-04-30	PRIJEM	\N	183	46290	UROK	\N	\N
3609225	2395	1997-05-31	PRIJEM	\N	202	50192	UROK	\N	\N
3609226	2395	1997-06-30	PRIJEM	\N	128	35486	UROK	\N	\N
3609227	2395	1997-07-31	PRIJEM	\N	159	40726	UROK	\N	\N
3609228	2395	1997-08-31	PRIJEM	\N	176	43183	UROK	\N	\N
3609229	2395	1997-09-30	PRIJEM	\N	187	45749	UROK	\N	\N
3609230	2395	1997-10-31	PRIJEM	\N	174	42124	UROK	\N	\N
3609231	2395	1997-11-30	PRIJEM	\N	176	41680	UROK	\N	\N
3609232	2395	1997-12-31	PRIJEM	\N	171	38397	UROK	\N	\N
3609233	2395	1998-01-31	PRIJEM	\N	128	20186	UROK	\N	\N
3609234	2395	1998-02-28	PRIJEM	\N	94	24360	UROK	\N	\N
3609235	2395	1998-03-31	PRIJEM	\N	116	30356	UROK	\N	\N
3609236	2395	1998-04-30	PRIJEM	\N	141	36677	UROK	\N	\N
3609237	2395	1998-05-31	PRIJEM	\N	135	32512	UROK	\N	\N
3609238	2395	1998-06-30	PRIJEM	\N	139	33177	UROK	\N	\N
3609239	2395	1998-07-31	PRIJEM	\N	142	34699	UROK	\N	\N
3609240	2395	1998-08-31	PRIJEM	\N	148	36128	UROK	\N	\N
3609241	2395	1998-09-30	PRIJEM	\N	158	39366	UROK	\N	\N
3609242	2395	1998-10-31	PRIJEM	\N	172	42819	UROK	\N	\N
3609243	2395	1998-11-30	PRIJEM	\N	173	44313	UROK	\N	\N
3609244	2395	1998-12-31	PRIJEM	\N	189	42008	UROK	\N	\N
3609245	2396	1993-07-31	PRIJEM	\N	54	19021	UROK	\N	\N
3609246	2396	1993-08-31	PRIJEM	\N	75	17216	UROK	\N	\N
3609247	2396	1993-09-30	PRIJEM	\N	76	18933	UROK	\N	\N
3609248	2396	1993-10-31	PRIJEM	\N	84	20656	UROK	\N	\N
3609249	2396	1993-11-30	PRIJEM	\N	90	21887	UROK	\N	\N
3609250	2396	1993-12-31	PRIJEM	\N	94	22271	UROK	\N	\N
3609251	2396	1994-01-31	PRIJEM	\N	83	19044	UROK	\N	\N
3609252	2396	1994-02-28	PRIJEM	\N	84	20768	UROK	\N	\N
3609253	2396	1994-03-31	PRIJEM	\N	89	21397	UROK	\N	\N
3609254	2396	1994-04-30	PRIJEM	\N	89	20887	UROK	\N	\N
3609255	2396	1994-05-31	PRIJEM	\N	92	22619	UROK	\N	\N
3609256	2396	1994-06-30	PRIJEM	\N	92	20991	UROK	\N	\N
3609257	2396	1994-07-31	PRIJEM	\N	92	22724	UROK	\N	\N
3609258	2396	1994-08-31	PRIJEM	\N	99	24463	UROK	\N	\N
3609259	2396	1994-09-30	PRIJEM	\N	104	25108	UROK	\N	\N
3609260	2396	1994-10-31	PRIJEM	\N	107	25855	UROK	\N	\N
3609261	2396	1994-11-30	PRIJEM	\N	112	27607	UROK	\N	\N
3609262	2396	1994-12-31	PRIJEM	\N	112	26370	UROK	\N	\N
3609263	2396	1995-01-31	PRIJEM	\N	112	25422	UROK	\N	\N
3609264	2396	1995-02-28	PRIJEM	\N	101	21543	UROK	\N	\N
3609265	2396	1995-03-31	PRIJEM	\N	93	22777	UROK	\N	\N
3609266	2396	1995-04-30	PRIJEM	\N	99	24516	UROK	\N	\N
3609267	2396	1995-05-31	PRIJEM	\N	94	20970	UROK	\N	\N
3609268	2396	1995-06-30	PRIJEM	\N	59	11970	UROK	\N	\N
3609269	2396	1995-07-31	PRIJEM	\N	54	13664	UROK	\N	\N
3609270	2396	1995-08-31	PRIJEM	\N	61	14165	UROK	\N	\N
3609271	2396	1995-09-30	PRIJEM	\N	63	15869	UROK	\N	\N
3609272	2396	1995-10-31	PRIJEM	\N	70	17579	UROK	\N	\N
3609273	2396	1995-11-30	PRIJEM	\N	74	18094	UROK	\N	\N
3609274	2396	1995-12-31	PRIJEM	\N	79	19413	UROK	\N	\N
3609275	2396	1996-01-31	PRIJEM	\N	84	19838	UROK	\N	\N
3609276	2396	1996-02-29	PRIJEM	\N	86	21565	UROK	\N	\N
3609277	2396	1996-03-31	PRIJEM	\N	94	22799	UROK	\N	\N
3609278	2396	1996-04-30	PRIJEM	\N	99	24538	UROK	\N	\N
3609279	2396	1996-05-31	PRIJEM	\N	107	25885	UROK	\N	\N
3609280	2396	1996-06-30	PRIJEM	\N	84	17210	UROK	\N	\N
3609281	2396	1996-07-31	PRIJEM	\N	75	18926	UROK	\N	\N
3609282	2396	1996-08-31	PRIJEM	\N	85	20451	UROK	\N	\N
3609283	2396	1996-09-30	PRIJEM	\N	89	22180	UROK	\N	\N
3609284	2396	1996-10-31	PRIJEM	\N	92	22073	UROK	\N	\N
3609285	2396	1996-11-30	PRIJEM	\N	95	23809	UROK	\N	\N
3609286	2396	1996-12-31	PRIJEM	\N	101	24600	UROK	\N	\N
3609287	2396	1997-01-31	PRIJEM	\N	95	20615	UROK	\N	\N
3609288	2396	1997-02-28	PRIJEM	\N	89	22344	UROK	\N	\N
3609289	2396	1997-03-31	PRIJEM	\N	96	24081	UROK	\N	\N
3609290	2396	1997-04-30	PRIJEM	\N	101	24062	UROK	\N	\N
3609291	2396	1997-05-31	PRIJEM	\N	103	25806	UROK	\N	\N
3609292	2396	1997-06-30	PRIJEM	\N	106	23402	UROK	\N	\N
3609293	2396	1997-07-31	PRIJEM	\N	100	24102	UROK	\N	\N
3609294	2396	1997-08-31	PRIJEM	\N	102	25205	UROK	\N	\N
3609295	2396	1997-09-30	PRIJEM	\N	105	24150	UROK	\N	\N
3609296	2396	1997-10-31	PRIJEM	\N	99	23249	UROK	\N	\N
3609297	2396	1997-11-30	PRIJEM	\N	97	23226	UROK	\N	\N
3609298	2396	1997-12-31	PRIJEM	\N	97	23963	UROK	\N	\N
3609299	2396	1998-01-31	PRIJEM	\N	97	22451	UROK	\N	\N
3609300	2396	1998-02-28	PRIJEM	\N	96	24187	UROK	\N	\N
3609301	2396	1998-03-31	PRIJEM	\N	103	25930	UROK	\N	\N
3609302	2396	1998-04-30	PRIJEM	\N	110	27681	UROK	\N	\N
3609303	2396	1998-05-31	PRIJEM	\N	116	26937	UROK	\N	\N
3609304	2396	1998-06-30	PRIJEM	\N	112	25290	UROK	\N	\N
3609305	2396	1998-07-31	PRIJEM	\N	102	20733	UROK	\N	\N
3609306	2396	1998-08-31	PRIJEM	\N	86	20699	UROK	\N	\N
3609307	2396	1998-09-30	PRIJEM	\N	87	21727	UROK	\N	\N
3609308	2396	1998-10-31	PRIJEM	\N	89	19956	UROK	\N	\N
3609309	2396	1998-11-30	PRIJEM	\N	85	21682	UROK	\N	\N
3609310	2396	1998-12-31	PRIJEM	\N	92	23164	UROK	\N	\N
3609311	2397	1996-07-31	PRIJEM	\N	29	11823	UROK	\N	\N
3609312	2397	1996-08-31	PRIJEM	\N	75	21992	UROK	\N	\N
3609313	2397	1996-09-30	PRIJEM	\N	101	25687	UROK	\N	\N
3609314	2397	1996-10-31	PRIJEM	\N	110	26890	UROK	\N	\N
3609315	2397	1996-11-30	PRIJEM	\N	107	25191	UROK	\N	\N
3609316	2397	1996-12-31	PRIJEM	\N	98	22087	UROK	\N	\N
3609317	2397	1997-01-31	PRIJEM	\N	65	13302	UROK	\N	\N
3609318	2397	1997-02-28	PRIJEM	\N	67	17720	UROK	\N	\N
3609319	2397	1997-03-31	PRIJEM	\N	85	21855	UROK	\N	\N
3609320	2397	1997-04-30	PRIJEM	\N	94	21800	UROK	\N	\N
3609321	2397	1997-05-31	PRIJEM	\N	82	19232	UROK	\N	\N
3609322	2397	1997-06-30	PRIJEM	\N	96	14326	UROK	\N	\N
3609323	2397	1997-07-31	PRIJEM	\N	78	20854	UROK	\N	\N
3609324	2397	1997-08-31	PRIJEM	\N	92	23897	UROK	\N	\N
3609325	2397	1997-09-30	PRIJEM	\N	109	27456	UROK	\N	\N
3609326	2397	1997-10-31	PRIJEM	\N	126	29633	UROK	\N	\N
3609327	2397	1997-11-30	PRIJEM	\N	129	32112	UROK	\N	\N
3609328	2397	1997-12-31	PRIJEM	\N	133	27142	UROK	\N	\N
3609329	2397	1998-01-31	PRIJEM	\N	97	16590	UROK	\N	\N
3609330	2397	1998-02-28	PRIJEM	\N	76	19716	UROK	\N	\N
3609331	2397	1998-03-31	PRIJEM	\N	102	24369	UROK	\N	\N
3609332	2397	1998-04-30	PRIJEM	\N	99	25218	UROK	\N	\N
3609333	2397	1998-05-31	PRIJEM	\N	106	26675	UROK	\N	\N
3609334	2397	1998-06-30	PRIJEM	\N	114	29187	UROK	\N	\N
3609335	2397	1998-07-31	PRIJEM	\N	132	33269	UROK	\N	\N
3609336	2397	1998-08-31	PRIJEM	\N	139	34458	UROK	\N	\N
3609337	2397	1998-09-30	PRIJEM	\N	115	27623	UROK	\N	\N
3609338	2397	1998-10-31	PRIJEM	\N	115	28688	UROK	\N	\N
3609339	2397	1998-11-30	PRIJEM	\N	132	33270	UROK	\N	\N
3609340	2397	1998-12-31	PRIJEM	\N	150	37018	UROK	\N	\N
3609341	2400	1996-11-30	PRIJEM	\N	3	22258	UROK	\N	\N
3609342	2400	1996-12-31	PRIJEM	\N	95	22600	UROK	\N	\N
3609343	2400	1997-01-31	PRIJEM	\N	87	12763	UROK	\N	\N
3609344	2400	1997-02-28	PRIJEM	\N	60	15519	UROK	\N	\N
3609345	2400	1997-03-31	PRIJEM	\N	68	16123	UROK	\N	\N
3609346	2400	1997-04-30	PRIJEM	\N	74	18894	UROK	\N	\N
3609347	2400	1997-05-31	PRIJEM	\N	86	21676	UROK	\N	\N
3609348	2400	1997-06-30	PRIJEM	\N	92	23265	UROK	\N	\N
3609349	2400	1997-07-31	PRIJEM	\N	104	26066	UROK	\N	\N
3609350	2400	1997-08-31	PRIJEM	\N	116	28878	UROK	\N	\N
3609351	2400	1997-09-30	PRIJEM	\N	127	31702	UROK	\N	\N
3609352	2400	1997-10-31	PRIJEM	\N	129	31287	UROK	\N	\N
3609353	2400	1997-11-30	PRIJEM	\N	137	34121	UROK	\N	\N
3609354	2400	1997-12-31	PRIJEM	\N	148	36465	UROK	\N	\N
3609355	2400	1998-01-31	PRIJEM	\N	139	28121	UROK	\N	\N
3609356	2400	1998-02-28	PRIJEM	\N	124	30941	UROK	\N	\N
3609357	2400	1998-03-31	PRIJEM	\N	125	30323	UROK	\N	\N
3609358	2400	1998-04-30	PRIJEM	\N	133	33152	UROK	\N	\N
3609359	2400	1998-05-31	PRIJEM	\N	140	34628	UROK	\N	\N
3609360	2400	1998-06-30	PRIJEM	\N	148	35473	UROK	\N	\N
3609361	2400	1998-07-31	PRIJEM	\N	155	38324	UROK	\N	\N
3609362	2400	1998-08-31	PRIJEM	\N	158	38978	UROK	\N	\N
3609363	2400	1998-09-30	PRIJEM	\N	168	39683	UROK	\N	\N
3609364	2400	1998-10-31	PRIJEM	\N	172	42551	UROK	\N	\N
3609365	2400	1998-11-30	PRIJEM	\N	173	42061	UROK	\N	\N
3609366	2400	1998-12-31	PRIJEM	\N	173	42381	UROK	\N	\N
3609367	2401	1994-12-31	PRIJEM	\N	27	24835	UROK	\N	\N
3609368	2401	1995-01-31	PRIJEM	\N	113	27617	UROK	\N	\N
3609369	2401	1995-02-28	PRIJEM	\N	124	31037	UROK	\N	\N
3609370	2401	1995-03-31	PRIJEM	\N	132	27264	UROK	\N	\N
3609371	2401	1995-04-30	PRIJEM	\N	122	29441	UROK	\N	\N
3609372	2401	1995-05-31	PRIJEM	\N	130	31027	UROK	\N	\N
3609373	2401	1995-06-30	PRIJEM	\N	129	29361	UROK	\N	\N
3609374	2401	1995-07-31	PRIJEM	\N	116	28013	UROK	\N	\N
3609375	2401	1995-08-31	PRIJEM	\N	125	27473	UROK	\N	\N
3609376	2401	1995-09-30	PRIJEM	\N	124	31153	UROK	\N	\N
3609377	2401	1995-10-31	PRIJEM	\N	132	29840	UROK	\N	\N
3609378	2401	1995-11-30	PRIJEM	\N	135	33830	UROK	\N	\N
3609379	2401	1995-12-31	PRIJEM	\N	140	31926	UROK	\N	\N
3609380	2401	1996-01-31	PRIJEM	\N	141	33972	UROK	\N	\N
3609381	2401	1996-02-29	PRIJEM	\N	142	32770	UROK	\N	\N
3609382	2401	1996-03-31	PRIJEM	\N	137	31762	UROK	\N	\N
3609383	2401	1996-04-30	PRIJEM	\N	138	33716	UROK	\N	\N
3609384	2401	1996-05-31	PRIJEM	\N	146	32197	UROK	\N	\N
3609385	2401	1996-06-30	PRIJEM	\N	130	26233	UROK	\N	\N
3609386	2401	1996-07-31	PRIJEM	\N	109	24797	UROK	\N	\N
3609387	2401	1996-08-31	PRIJEM	\N	114	28966	UROK	\N	\N
3609388	2401	1996-09-30	PRIJEM	\N	131	33152	UROK	\N	\N
3609389	2401	1996-10-31	PRIJEM	\N	144	33772	UROK	\N	\N
3609390	2401	1996-11-30	PRIJEM	\N	146	36174	UROK	\N	\N
3609391	2401	1996-12-31	PRIJEM	\N	150	34769	UROK	\N	\N
3609392	2401	1997-01-31	PRIJEM	\N	140	29784	UROK	\N	\N
3609393	2401	1997-02-28	PRIJEM	\N	121	28660	UROK	\N	\N
3609394	2401	1997-03-31	PRIJEM	\N	122	29798	UROK	\N	\N
3609395	2401	1997-04-30	PRIJEM	\N	134	33987	UROK	\N	\N
3609396	2401	1997-05-31	PRIJEM	\N	152	38194	UROK	\N	\N
3609397	2401	1997-06-30	PRIJEM	\N	149	29798	UROK	\N	\N
3609398	2401	1997-07-31	PRIJEM	\N	134	32467	UROK	\N	\N
3609399	2401	1997-08-31	PRIJEM	\N	145	36668	UROK	\N	\N
3609400	2401	1997-09-30	PRIJEM	\N	153	37276	UROK	\N	\N
3609401	2401	1997-10-31	PRIJEM	\N	165	40697	UROK	\N	\N
3609402	2401	1997-11-30	PRIJEM	\N	179	44931	UROK	\N	\N
3609403	2401	1997-12-31	PRIJEM	\N	180	41797	UROK	\N	\N
3609404	2401	1998-01-31	PRIJEM	\N	170	39472	UROK	\N	\N
3609405	2401	1998-02-28	PRIJEM	\N	168	40735	UROK	\N	\N
3609406	2401	1998-03-31	PRIJEM	\N	163	38593	UROK	\N	\N
3609407	2401	1998-04-30	PRIJEM	\N	161	37509	UROK	\N	\N
3609408	2401	1998-05-31	PRIJEM	\N	153	36517	UROK	\N	\N
3609409	2401	1998-06-30	PRIJEM	\N	119	25121	UROK	\N	\N
3609410	2401	1998-07-31	PRIJEM	\N	114	28171	UROK	\N	\N
3609411	2401	1998-08-31	PRIJEM	\N	124	29310	UROK	\N	\N
3609412	2401	1998-09-30	PRIJEM	\N	131	33496	UROK	\N	\N
3609413	2401	1998-10-31	PRIJEM	\N	143	34734	UROK	\N	\N
3609414	2401	1998-11-30	PRIJEM	\N	153	38943	UROK	\N	\N
3609415	2401	1998-12-31	PRIJEM	\N	170	42269	UROK	\N	\N
3609416	2402	1997-11-30	PRIJEM	\N	21	7964	UROK	\N	\N
3609417	2402	1997-12-31	PRIJEM	\N	33	14940	UROK	\N	\N
3609418	2402	1998-01-31	PRIJEM	\N	33	21916	UROK	\N	\N
3609419	2402	1998-02-28	PRIJEM	\N	33	28892	UROK	\N	\N
3609420	2402	1998-03-31	PRIJEM	\N	100	33036	UROK	\N	\N
3609421	2402	1998-04-30	PRIJEM	\N	119	28859	UROK	\N	\N
3609422	2402	1998-05-31	PRIJEM	\N	133	33536	UROK	\N	\N
3609423	2402	1998-06-30	PRIJEM	\N	137	28568	UROK	\N	\N
3609424	2402	1998-07-31	PRIJEM	\N	131	33243	UROK	\N	\N
3609425	2402	1998-08-31	PRIJEM	\N	146	37034	UROK	\N	\N
3609426	2402	1998-09-30	PRIJEM	\N	166	41744	UROK	\N	\N
3609427	2402	1998-10-31	PRIJEM	\N	186	46475	UROK	\N	\N
3609428	2402	1998-11-30	PRIJEM	\N	188	46447	UROK	\N	\N
3609429	2402	1998-12-31	PRIJEM	\N	183	46175	UROK	\N	\N
3609430	2403	1996-03-31	PRIJEM	\N	21	14168	UROK	\N	\N
3609431	2403	1996-04-30	PRIJEM	\N	69	21084	UROK	\N	\N
3609432	2403	1996-05-31	PRIJEM	\N	92	24024	UROK	\N	\N
3609433	2403	1996-06-30	PRIJEM	\N	106	27950	UROK	\N	\N
3609434	2403	1996-07-31	PRIJEM	\N	119	28985	UROK	\N	\N
3609435	2403	1996-08-31	PRIJEM	\N	121	28607	UROK	\N	\N
3609436	2403	1996-09-30	PRIJEM	\N	112	24420	UROK	\N	\N
3609437	2403	1996-10-31	PRIJEM	\N	100	23222	UROK	\N	\N
3609438	2403	1996-11-30	PRIJEM	\N	99	24221	UROK	\N	\N
3609439	2403	1996-12-31	PRIJEM	\N	97	21993	UROK	\N	\N
3609440	2403	1997-01-31	PRIJEM	\N	80	14275	UROK	\N	\N
3609441	2403	1997-02-28	PRIJEM	\N	69	18746	UROK	\N	\N
3609442	2403	1997-03-31	PRIJEM	\N	78	18425	UROK	\N	\N
3609443	2403	1997-04-30	PRIJEM	\N	78	18704	UROK	\N	\N
3609444	2403	1997-05-31	PRIJEM	\N	85	20990	UROK	\N	\N
3609445	2403	1997-06-30	PRIJEM	\N	90	20555	UROK	\N	\N
3609446	2403	1997-07-31	PRIJEM	\N	93	23549	UROK	\N	\N
3609447	2403	1997-08-31	PRIJEM	\N	98	23448	UROK	\N	\N
3609448	2403	1997-09-30	PRIJEM	\N	98	23248	UROK	\N	\N
3609449	2403	1997-10-31	PRIJEM	\N	94	22343	UROK	\N	\N
3609450	2403	1997-11-30	PRIJEM	\N	97	23742	UROK	\N	\N
3609451	2403	1997-12-31	PRIJEM	\N	111	27827	UROK	\N	\N
3609452	2403	1998-01-31	PRIJEM	\N	93	19321	UROK	\N	\N
3609453	2403	1998-02-28	PRIJEM	\N	102	24025	UROK	\N	\N
3609454	2403	1998-03-31	PRIJEM	\N	109	27235	UROK	\N	\N
3609455	2403	1998-04-30	PRIJEM	\N	123	30160	UROK	\N	\N
3609456	2403	1998-05-31	PRIJEM	\N	132	32393	UROK	\N	\N
3609457	2403	1998-06-30	PRIJEM	\N	146	36514	UROK	\N	\N
3609458	2403	1998-07-31	PRIJEM	\N	150	35665	UROK	\N	\N
3609459	2403	1998-08-31	PRIJEM	\N	142	33408	UROK	\N	\N
3609460	2403	1998-09-30	PRIJEM	\N	140	33850	UROK	\N	\N
3609461	2403	1998-10-31	PRIJEM	\N	118	24069	UROK	\N	\N
3609462	2403	1998-11-30	PRIJEM	\N	98	23268	UROK	\N	\N
3609463	2403	1998-12-31	PRIJEM	\N	89	19732	UROK	\N	\N
3609464	2404	1997-06-30	PRIJEM	\N	46	19497	UROK	\N	\N
3609465	2404	1997-07-31	PRIJEM	\N	115	33546	UROK	\N	\N
3609466	2404	1997-08-31	PRIJEM	\N	152	38932	UROK	\N	\N
3609467	2404	1997-09-30	PRIJEM	\N	174	44140	UROK	\N	\N
3609468	2404	1997-10-31	PRIJEM	\N	193	48067	UROK	\N	\N
3609469	2404	1997-11-30	PRIJEM	\N	147	38425	UROK	\N	\N
3609470	2404	1997-12-31	PRIJEM	\N	177	43531	UROK	\N	\N
3609471	2404	1998-01-31	PRIJEM	\N	130	24591	UROK	\N	\N
3609472	2404	1998-02-28	PRIJEM	\N	94	24217	UROK	\N	\N
3609473	2404	1998-03-31	PRIJEM	\N	93	21941	UROK	\N	\N
3609474	2404	1998-04-30	PRIJEM	\N	87	21860	UROK	\N	\N
3609475	2404	1998-05-31	PRIJEM	\N	84	20475	UROK	\N	\N
3609476	2404	1998-06-30	PRIJEM	\N	106	29529	UROK	\N	\N
3609477	2404	1998-07-31	PRIJEM	\N	115	22675	UROK	\N	\N
3609478	2404	1998-08-31	PRIJEM	\N	100	16187	UROK	\N	\N
3609479	2404	1998-09-30	PRIJEM	\N	80	12898	UROK	\N	\N
3609480	2404	1998-10-31	PRIJEM	\N	71	20301	UROK	\N	\N
3609481	2404	1998-11-30	PRIJEM	\N	89	11901	UROK	\N	\N
3609482	2404	1998-12-31	PRIJEM	\N	75	14725	UROK	\N	\N
3609483	2405	1997-03-31	PRIJEM	\N	9	21584	UROK	\N	\N
3609484	2405	1997-04-30	PRIJEM	\N	94	30852	UROK	\N	\N
3609485	2405	1997-05-31	PRIJEM	\N	128	30655	UROK	\N	\N
3609486	2405	1997-06-30	PRIJEM	\N	130	35198	UROK	\N	\N
3609487	2405	1997-07-31	PRIJEM	\N	143	29756	UROK	\N	\N
3609488	2405	1997-08-31	PRIJEM	\N	134	27744	UROK	\N	\N
3609489	2405	1997-09-30	PRIJEM	\N	129	29926	UROK	\N	\N
3609490	2405	1997-10-31	PRIJEM	\N	136	30416	UROK	\N	\N
3609491	2405	1997-11-30	PRIJEM	\N	142	31792	UROK	\N	\N
3609492	2405	1997-12-31	PRIJEM	\N	132	32795	UROK	\N	\N
3609493	2405	1998-01-31	PRIJEM	\N	117	25645	UROK	\N	\N
3609494	2405	1998-02-28	PRIJEM	\N	125	33623	UROK	\N	\N
3609495	2405	1998-03-31	PRIJEM	\N	153	35829	UROK	\N	\N
3609496	2405	1998-04-30	PRIJEM	\N	157	34040	UROK	\N	\N
3609497	2405	1998-05-31	PRIJEM	\N	154	36747	UROK	\N	\N
3609498	2405	1998-06-30	PRIJEM	\N	173	38711	UROK	\N	\N
3609499	2405	1998-07-31	PRIJEM	\N	164	33128	UROK	\N	\N
3609500	2405	1998-08-31	PRIJEM	\N	148	35029	UROK	\N	\N
3609501	2405	1998-09-30	PRIJEM	\N	136	31038	UROK	\N	\N
3609502	2405	1998-10-31	PRIJEM	\N	133	29425	UROK	\N	\N
3609503	2405	1998-11-30	PRIJEM	\N	129	29807	UROK	\N	\N
3609504	2405	1998-12-31	PRIJEM	\N	139	30737	UROK	\N	\N
3609505	2406	1996-08-31	PRIJEM	\N	54	21168	UROK	\N	\N
3609506	2406	1996-09-30	PRIJEM	\N	92	22839	UROK	\N	\N
3609507	2406	1996-10-31	PRIJEM	\N	99	24518	UROK	\N	\N
3609508	2406	1996-11-30	PRIJEM	\N	100	23077	UROK	\N	\N
3609509	2406	1996-12-31	PRIJEM	\N	99	23756	UROK	\N	\N
3609510	2406	1997-01-31	PRIJEM	\N	75	14460	UROK	\N	\N
3609511	2406	1997-02-28	PRIJEM	\N	64	16104	UROK	\N	\N
3609512	2406	1997-03-31	PRIJEM	\N	70	16714	UROK	\N	\N
3609513	2406	1997-04-30	PRIJEM	\N	74	18367	UROK	\N	\N
3609514	2406	1997-05-31	PRIJEM	\N	81	20026	UROK	\N	\N
3609515	2406	1997-06-30	PRIJEM	\N	55	10311	UROK	\N	\N
3609516	2406	1997-07-31	PRIJEM	\N	47	11937	UROK	\N	\N
3609517	2406	1997-08-31	PRIJEM	\N	54	13571	UROK	\N	\N
3609518	2406	1997-09-30	PRIJEM	\N	60	15210	UROK	\N	\N
3609519	2406	1997-10-31	PRIJEM	\N	67	16857	UROK	\N	\N
3609520	2406	1997-11-30	PRIJEM	\N	66	14902	UROK	\N	\N
3609521	2406	1997-12-31	PRIJEM	\N	65	15716	UROK	\N	\N
3609522	2406	1998-01-31	PRIJEM	\N	60	13516	UROK	\N	\N
3609523	2406	1998-02-28	PRIJEM	\N	59	14434	UROK	\N	\N
3609524	2406	1998-03-31	PRIJEM	\N	64	16078	UROK	\N	\N
3609525	2406	1998-04-30	PRIJEM	\N	71	17728	UROK	\N	\N
3609526	2406	1998-05-31	PRIJEM	\N	78	19385	UROK	\N	\N
3609527	2406	1998-06-30	PRIJEM	\N	84	21049	UROK	\N	\N
3609528	2406	1998-07-31	PRIJEM	\N	91	22719	UROK	\N	\N
3609529	2406	1998-08-31	PRIJEM	\N	98	24397	UROK	\N	\N
3609530	2406	1998-09-30	PRIJEM	\N	105	26082	UROK	\N	\N
3609531	2406	1998-10-31	PRIJEM	\N	112	27773	UROK	\N	\N
3609532	2406	1998-11-30	PRIJEM	\N	119	29472	UROK	\N	\N
3609533	2406	1998-12-31	PRIJEM	\N	125	28987	UROK	\N	\N
3609534	2407	1996-08-31	PRIJEM	\N	26	16064	UROK	\N	\N
3609535	2407	1996-09-30	PRIJEM	\N	79	23681	UROK	\N	\N
3609536	2407	1996-10-31	PRIJEM	\N	105	27224	UROK	\N	\N
3609537	2407	1996-11-30	PRIJEM	\N	113	27375	UROK	\N	\N
3609538	2407	1996-12-31	PRIJEM	\N	120	29902	UROK	\N	\N
3609539	2407	1997-01-31	PRIJEM	\N	94	19227	UROK	\N	\N
3609540	2407	1997-02-28	PRIJEM	\N	87	21745	UROK	\N	\N
3609541	2407	1997-03-31	PRIJEM	\N	93	21570	UROK	\N	\N
3609542	2407	1997-04-30	PRIJEM	\N	89	19190	UROK	\N	\N
3609543	2407	1997-05-31	PRIJEM	\N	86	20907	UROK	\N	\N
3609544	2407	1997-06-30	PRIJEM	\N	108	28515	UROK	\N	\N
3609545	2407	1997-07-31	PRIJEM	\N	109	23156	UROK	\N	\N
3609546	2407	1997-08-31	PRIJEM	\N	99	23686	UROK	\N	\N
3609547	2407	1997-09-30	PRIJEM	\N	99	23616	UROK	\N	\N
3609548	2407	1997-10-31	PRIJEM	\N	97	22945	UROK	\N	\N
3609549	2407	1997-11-30	PRIJEM	\N	96	21672	UROK	\N	\N
3609550	2407	1997-12-31	PRIJEM	\N	105	26678	UROK	\N	\N
3609551	2407	1998-01-31	PRIJEM	\N	91	16099	UROK	\N	\N
3609552	2407	1998-02-28	PRIJEM	\N	76	19807	UROK	\N	\N
3609553	2407	1998-03-31	PRIJEM	\N	83	19821	UROK	\N	\N
3609554	2407	1998-04-30	PRIJEM	\N	85	20438	UROK	\N	\N
3609555	2407	1998-05-31	PRIJEM	\N	81	18250	UROK	\N	\N
3609556	2407	1998-06-30	PRIJEM	\N	101	28251	UROK	\N	\N
3609557	2407	1998-07-31	PRIJEM	\N	119	29101	UROK	\N	\N
3609558	2407	1998-08-31	PRIJEM	\N	139	36372	UROK	\N	\N
3609559	2407	1998-09-30	PRIJEM	\N	157	37961	UROK	\N	\N
3609560	2407	1998-10-31	PRIJEM	\N	143	33435	UROK	\N	\N
3609561	2407	1998-11-30	PRIJEM	\N	116	27682	UROK	\N	\N
3609562	2407	1998-12-31	PRIJEM	\N	113	29196	UROK	\N	\N
3609563	2408	1997-01-31	PRIJEM	\N	14	17298	UROK	\N	\N
3609564	2408	1997-02-28	PRIJEM	\N	77	25159	UROK	\N	\N
3609565	2408	1997-03-31	PRIJEM	\N	109	31952	UROK	\N	\N
3609566	2408	1997-04-30	PRIJEM	\N	134	34070	UROK	\N	\N
3609567	2408	1997-05-31	PRIJEM	\N	166	34150	UROK	\N	\N
3609568	2408	1997-06-30	PRIJEM	\N	178	33379	UROK	\N	\N
3609569	2408	1997-07-31	PRIJEM	\N	164	31342	UROK	\N	\N
3609570	2408	1997-08-31	PRIJEM	\N	126	28427	UROK	\N	\N
3609571	2408	1997-09-30	PRIJEM	\N	145	35072	UROK	\N	\N
3609572	2408	1997-10-31	PRIJEM	\N	170	39041	UROK	\N	\N
3609573	2408	1997-11-30	PRIJEM	\N	176	40716	UROK	\N	\N
3609574	2408	1997-12-31	PRIJEM	\N	205	46592	UROK	\N	\N
3609575	2408	1998-01-31	PRIJEM	\N	197	34368	UROK	\N	\N
3609576	2408	1998-02-28	PRIJEM	\N	167	40634	UROK	\N	\N
3609577	2408	1998-03-31	PRIJEM	\N	189	42623	UROK	\N	\N
3609578	2408	1998-04-30	PRIJEM	\N	198	46320	UROK	\N	\N
3609579	2408	1998-05-31	PRIJEM	\N	207	45927	UROK	\N	\N
3609580	2408	1998-06-30	PRIJEM	\N	213	47592	UROK	\N	\N
3609581	2408	1998-07-31	PRIJEM	\N	211	47042	UROK	\N	\N
3609582	2408	1998-08-31	PRIJEM	\N	222	53964	UROK	\N	\N
3609583	2408	1998-09-30	PRIJEM	\N	231	50694	UROK	\N	\N
3609584	2408	1998-10-31	PRIJEM	\N	224	52518	UROK	\N	\N
3609585	2408	1998-11-30	PRIJEM	\N	222	49939	UROK	\N	\N
3609586	2408	1998-12-31	PRIJEM	\N	217	45247	UROK	\N	\N
3609587	2409	1996-03-31	PRIJEM	\N	45	18640	UROK	\N	\N
3609588	2409	1996-04-30	PRIJEM	\N	102	28637	UROK	\N	\N
3609589	2409	1996-05-31	PRIJEM	\N	132	33664	UROK	\N	\N
3609590	2409	1996-06-30	PRIJEM	\N	157	40363	UROK	\N	\N
3609591	2409	1996-07-31	PRIJEM	\N	161	37091	UROK	\N	\N
3609592	2409	1996-08-31	PRIJEM	\N	163	40206	UROK	\N	\N
3609593	2409	1996-09-30	PRIJEM	\N	169	41108	UROK	\N	\N
3609594	2409	1996-10-31	PRIJEM	\N	161	36801	UROK	\N	\N
3609595	2409	1996-11-30	PRIJEM	\N	165	41119	UROK	\N	\N
3609596	2409	1996-12-31	PRIJEM	\N	170	41867	UROK	\N	\N
3609597	2409	1997-01-31	PRIJEM	\N	159	30819	UROK	\N	\N
3609598	2409	1997-02-28	PRIJEM	\N	141	35672	UROK	\N	\N
3609599	2409	1997-03-31	PRIJEM	\N	168	42993	UROK	\N	\N
3609600	2409	1997-04-30	PRIJEM	\N	191	47536	UROK	\N	\N
3609601	2409	1997-05-31	PRIJEM	\N	202	49091	UROK	\N	\N
3609602	2409	1997-06-30	PRIJEM	\N	204	49534	UROK	\N	\N
3609603	2409	1997-07-31	PRIJEM	\N	213	52099	UROK	\N	\N
3609604	2409	1997-08-31	PRIJEM	\N	209	49161	UROK	\N	\N
3609605	2409	1997-09-30	PRIJEM	\N	202	48315	UROK	\N	\N
3609606	2409	1997-10-31	PRIJEM	\N	203	49071	UROK	\N	\N
3609607	2409	1997-11-30	PRIJEM	\N	201	43884	UROK	\N	\N
3609608	2409	1997-12-31	PRIJEM	\N	184	43447	UROK	\N	\N
3609609	2409	1998-01-31	PRIJEM	\N	161	35780	UROK	\N	\N
3609610	2409	1998-02-28	PRIJEM	\N	161	40794	UROK	\N	\N
3609611	2409	1998-03-31	PRIJEM	\N	193	49439	UROK	\N	\N
3609612	2409	1998-04-30	PRIJEM	\N	193	45544	UROK	\N	\N
3609613	2409	1998-05-31	PRIJEM	\N	184	44380	UROK	\N	\N
3609614	2409	1998-06-30	PRIJEM	\N	193	40653	UROK	\N	\N
3609615	2409	1998-07-31	PRIJEM	\N	186	47191	UROK	\N	\N
3609616	2409	1998-08-31	PRIJEM	\N	199	49643	UROK	\N	\N
3609617	2409	1998-09-30	PRIJEM	\N	219	55114	UROK	\N	\N
3609618	2409	1998-10-31	PRIJEM	\N	251	63517	UROK	\N	\N
3609619	2409	1998-11-30	PRIJEM	\N	274	62323	UROK	\N	\N
3609620	2409	1998-12-31	PRIJEM	\N	282	70405	UROK	\N	\N
3609621	2410	1993-10-31	PRIJEM	\N	84	29909	UROK	\N	\N
3609622	2410	1993-11-30	PRIJEM	\N	132	32722	UROK	\N	\N
3609623	2410	1993-12-31	PRIJEM	\N	133	31885	UROK	\N	\N
3609624	2410	1994-01-31	PRIJEM	\N	117	26342	UROK	\N	\N
3609625	2410	1994-02-28	PRIJEM	\N	112	28534	UROK	\N	\N
3609626	2410	1994-03-31	PRIJEM	\N	118	29433	UROK	\N	\N
3609627	2410	1994-04-30	PRIJEM	\N	130	32243	UROK	\N	\N
3609628	2410	1994-05-31	PRIJEM	\N	142	35066	UROK	\N	\N
3609629	2410	1994-06-30	PRIJEM	\N	142	21938	UROK	\N	\N
3609630	2410	1994-07-31	PRIJEM	\N	84	21262	UROK	\N	\N
3609631	2410	1994-08-31	PRIJEM	\N	96	24038	UROK	\N	\N
3609632	2410	1994-09-30	PRIJEM	\N	107	26826	UROK	\N	\N
3609633	2410	1994-10-31	PRIJEM	\N	119	29625	UROK	\N	\N
3609634	2410	1994-11-30	PRIJEM	\N	125	30671	UROK	\N	\N
3609635	2410	1994-12-31	PRIJEM	\N	122	28102	UROK	\N	\N
3609636	2410	1995-01-31	PRIJEM	\N	111	27944	UROK	\N	\N
3609637	2410	1995-02-28	PRIJEM	\N	123	30747	UROK	\N	\N
3609638	2410	1995-03-31	PRIJEM	\N	135	33563	UROK	\N	\N
3609639	2410	1995-04-30	PRIJEM	\N	147	36390	UROK	\N	\N
3609640	2410	1995-05-31	PRIJEM	\N	143	35454	UROK	\N	\N
3609641	2410	1995-06-30	PRIJEM	\N	145	33829	UROK	\N	\N
3609642	2410	1995-07-31	PRIJEM	\N	146	33536	UROK	\N	\N
3609643	2410	1995-08-31	PRIJEM	\N	147	36363	UROK	\N	\N
3609644	2410	1995-09-30	PRIJEM	\N	158	39202	UROK	\N	\N
3609645	2410	1995-10-31	PRIJEM	\N	169	38951	UROK	\N	\N
3609646	2410	1995-11-30	PRIJEM	\N	168	40099	UROK	\N	\N
3609647	2410	1995-12-31	PRIJEM	\N	172	42051	UROK	\N	\N
3609648	2410	1996-01-31	PRIJEM	\N	176	42157	UROK	\N	\N
3609649	2410	1996-02-29	PRIJEM	\N	181	42918	UROK	\N	\N
3609650	2410	1996-03-31	PRIJEM	\N	173	42891	UROK	\N	\N
3609651	2410	1996-04-30	PRIJEM	\N	185	44956	UROK	\N	\N
3609652	2410	1996-05-31	PRIJEM	\N	190	42827	UROK	\N	\N
3609653	2410	1996-06-30	PRIJEM	\N	170	33927	UROK	\N	\N
3609654	2410	1996-07-31	PRIJEM	\N	148	36755	UROK	\N	\N
3609655	2410	1996-08-31	PRIJEM	\N	157	39033	UROK	\N	\N
3609656	2410	1996-09-30	PRIJEM	\N	169	41882	UROK	\N	\N
3609657	2410	1996-10-31	PRIJEM	\N	181	44743	UROK	\N	\N
3609658	2410	1996-11-30	PRIJEM	\N	192	45695	UROK	\N	\N
3609659	2410	1996-12-31	PRIJEM	\N	195	47770	UROK	\N	\N
3609660	2410	1997-01-31	PRIJEM	\N	194	46244	UROK	\N	\N
3609661	2410	1997-02-28	PRIJEM	\N	196	48000	UROK	\N	\N
3609662	2410	1997-03-31	PRIJEM	\N	206	50887	UROK	\N	\N
3609663	2410	1997-04-30	PRIJEM	\N	218	53784	UROK	\N	\N
3609664	2410	1997-05-31	PRIJEM	\N	230	56694	UROK	\N	\N
3609665	2410	1997-06-30	PRIJEM	\N	221	54796	UROK	\N	\N
3609666	2410	1997-07-31	PRIJEM	\N	232	56908	UROK	\N	\N
3609667	2410	1997-08-31	PRIJEM	\N	235	58463	UROK	\N	\N
3609668	2410	1997-09-30	PRIJEM	\N	247	60831	UROK	\N	\N
3609669	2410	1997-10-31	PRIJEM	\N	258	63770	UROK	\N	\N
3609670	2410	1997-11-30	PRIJEM	\N	267	63276	UROK	\N	\N
3609671	2410	1997-12-31	PRIJEM	\N	268	65225	UROK	\N	\N
3609672	2410	1998-01-31	PRIJEM	\N	265	64930	UROK	\N	\N
3609673	2410	1998-02-28	PRIJEM	\N	275	67885	UROK	\N	\N
3609674	2410	1998-03-31	PRIJEM	\N	281	68046	UROK	\N	\N
3609675	2410	1998-04-30	PRIJEM	\N	288	71014	UROK	\N	\N
3609676	2410	1998-05-31	PRIJEM	\N	284	70298	UROK	\N	\N
3609677	2410	1998-06-30	PRIJEM	\N	281	64810	UROK	\N	\N
3609678	2410	1998-07-31	PRIJEM	\N	274	67764	UROK	\N	\N
3609679	2410	1998-08-31	PRIJEM	\N	286	70731	UROK	\N	\N
3609680	2410	1998-09-30	PRIJEM	\N	290	71901	UROK	\N	\N
3609681	2410	1998-10-31	PRIJEM	\N	303	74884	UROK	\N	\N
3609682	2410	1998-11-30	PRIJEM	\N	315	77879	UROK	\N	\N
3609683	2410	1998-12-31	PRIJEM	\N	326	80486	UROK	\N	\N
3609684	2413	1997-11-30	PRIJEM	\N	12	17133	UROK	\N	\N
3609685	2413	1997-12-31	PRIJEM	\N	82	29897	UROK	\N	\N
3609686	2413	1998-01-31	PRIJEM	\N	124	29141	UROK	\N	\N
3609687	2413	1998-02-28	PRIJEM	\N	122	30984	UROK	\N	\N
3609688	2413	1998-03-31	PRIJEM	\N	143	24300	UROK	\N	\N
3609689	2413	1998-04-30	PRIJEM	\N	122	22380	UROK	\N	\N
3609690	2413	1998-05-31	PRIJEM	\N	125	18904	UROK	\N	\N
3609691	2413	1998-06-30	PRIJEM	\N	82	18705	UROK	\N	\N
3609692	2413	1998-07-31	PRIJEM	\N	114	28977	UROK	\N	\N
3609693	2413	1998-08-31	PRIJEM	\N	146	28882	UROK	\N	\N
3609694	2413	1998-09-30	PRIJEM	\N	136	31076	UROK	\N	\N
3609695	2413	1998-10-31	PRIJEM	\N	146	33184	UROK	\N	\N
3609696	2413	1998-11-30	PRIJEM	\N	155	33902	UROK	\N	\N
3609697	2413	1998-12-31	PRIJEM	\N	177	43983	UROK	\N	\N
3609698	2414	1995-06-30	PRIJEM	\N	2	15147	UROK	\N	\N
3609699	2414	1995-07-31	PRIJEM	\N	62	15067	UROK	\N	\N
3609700	2414	1995-08-31	PRIJEM	\N	64	15769	UROK	\N	\N
3609701	2414	1995-09-30	PRIJEM	\N	67	16605	UROK	\N	\N
3609702	2414	1995-10-31	PRIJEM	\N	69	16942	UROK	\N	\N
3609703	2414	1995-11-30	PRIJEM	\N	68	16078	UROK	\N	\N
3609704	2414	1995-12-31	PRIJEM	\N	68	16965	UROK	\N	\N
3609705	2414	1996-01-31	PRIJEM	\N	67	15270	UROK	\N	\N
3609706	2414	1996-02-29	PRIJEM	\N	65	16304	UROK	\N	\N
3609707	2414	1996-03-31	PRIJEM	\N	69	17341	UROK	\N	\N
3609708	2414	1996-04-30	PRIJEM	\N	74	18384	UROK	\N	\N
3609709	2414	1996-05-31	PRIJEM	\N	78	19430	UROK	\N	\N
3609710	2414	1996-06-30	PRIJEM	\N	74	17322	UROK	\N	\N
3609711	2414	1996-07-31	PRIJEM	\N	67	16058	UROK	\N	\N
3609712	2414	1996-08-31	PRIJEM	\N	67	16393	UROK	\N	\N
3609713	2414	1996-09-30	PRIJEM	\N	64	15325	UROK	\N	\N
3609714	2414	1996-10-31	PRIJEM	\N	64	15517	UROK	\N	\N
3609715	2414	1996-11-30	PRIJEM	\N	61	14116	UROK	\N	\N
3609716	2414	1996-12-31	PRIJEM	\N	55	13280	UROK	\N	\N
3609717	2414	1997-01-31	PRIJEM	\N	54	12792	UROK	\N	\N
3609718	2414	1997-02-28	PRIJEM	\N	49	11809	UROK	\N	\N
3609719	2414	1997-03-31	PRIJEM	\N	51	12828	UROK	\N	\N
3609720	2414	1997-04-30	PRIJEM	\N	55	13851	UROK	\N	\N
3609721	2414	1997-05-31	PRIJEM	\N	59	14878	UROK	\N	\N
3609722	2414	1997-06-30	PRIJEM	\N	63	15910	UROK	\N	\N
3609723	2414	1997-07-31	PRIJEM	\N	67	16945	UROK	\N	\N
3609724	2414	1997-08-31	PRIJEM	\N	67	16421	UROK	\N	\N
3609725	2414	1997-09-30	PRIJEM	\N	70	17459	UROK	\N	\N
3609726	2414	1997-10-31	PRIJEM	\N	71	17058	UROK	\N	\N
3609727	2414	1997-11-30	PRIJEM	\N	72	18099	UROK	\N	\N
3609728	2414	1997-12-31	PRIJEM	\N	60	13488	UROK	\N	\N
3609729	2414	1998-01-31	PRIJEM	\N	56	13612	UROK	\N	\N
3609730	2414	1998-02-28	PRIJEM	\N	58	14637	UROK	\N	\N
3609731	2414	1998-03-31	PRIJEM	\N	57	14063	UROK	\N	\N
3609732	2414	1998-04-30	PRIJEM	\N	57	14579	UROK	\N	\N
3609733	2414	1998-05-31	PRIJEM	\N	62	15609	UROK	\N	\N
3609734	2414	1998-06-30	PRIJEM	\N	58	13835	UROK	\N	\N
3609735	2414	1998-07-31	PRIJEM	\N	59	14862	UROK	\N	\N
3609736	2414	1998-08-31	PRIJEM	\N	63	15893	UROK	\N	\N
3609737	2414	1998-09-30	PRIJEM	\N	67	16928	UROK	\N	\N
3609738	2414	1998-10-31	PRIJEM	\N	71	17968	UROK	\N	\N
3609739	2414	1998-11-30	PRIJEM	\N	76	19012	UROK	\N	\N
3609740	2414	1998-12-31	PRIJEM	\N	78	18618	UROK	\N	\N
3609741	2415	1997-03-31	PRIJEM	\N	9	22429	UROK	\N	\N
3609742	2415	1997-04-30	PRIJEM	\N	96	28745	UROK	\N	\N
3609743	2415	1997-05-31	PRIJEM	\N	122	34087	UROK	\N	\N
3609744	2415	1997-06-30	PRIJEM	\N	144	39212	UROK	\N	\N
3609745	2415	1997-07-31	PRIJEM	\N	161	35992	UROK	\N	\N
3609746	2415	1997-08-31	PRIJEM	\N	158	24368	UROK	\N	\N
3609747	2415	1997-09-30	PRIJEM	\N	116	20881	UROK	\N	\N
3609748	2415	1997-10-31	PRIJEM	\N	103	20781	UROK	\N	\N
3609749	2415	1997-11-30	PRIJEM	\N	88	20087	UROK	\N	\N
3609750	2415	1997-12-31	PRIJEM	\N	115	25479	UROK	\N	\N
3609751	2415	1998-01-31	PRIJEM	\N	123	28199	UROK	\N	\N
3609752	2415	1998-02-28	PRIJEM	\N	134	30431	UROK	\N	\N
3609753	2415	1998-03-31	PRIJEM	\N	135	27603	UROK	\N	\N
3609754	2415	1998-04-30	PRIJEM	\N	129	27229	UROK	\N	\N
3609755	2415	1998-05-31	PRIJEM	\N	128	27815	UROK	\N	\N
3609756	2415	1998-06-30	PRIJEM	\N	147	32119	UROK	\N	\N
3609757	2415	1998-07-31	PRIJEM	\N	147	32363	UROK	\N	\N
3609758	2415	1998-08-31	PRIJEM	\N	147	32607	UROK	\N	\N
3609759	2415	1998-09-30	PRIJEM	\N	146	31950	UROK	\N	\N
3609760	2415	1998-10-31	PRIJEM	\N	145	33372	UROK	\N	\N
3609761	2415	1998-11-30	PRIJEM	\N	152	35722	UROK	\N	\N
3609762	2415	1998-12-31	PRIJEM	\N	173	43553	UROK	\N	\N
3609763	2416	1996-02-29	PRIJEM	\N	28	24715	UROK	\N	\N
3609764	2416	1996-03-31	PRIJEM	\N	112	32114	UROK	\N	\N
3609765	2416	1996-04-30	PRIJEM	\N	139	36740	UROK	\N	\N
3609766	2416	1996-05-31	PRIJEM	\N	153	37280	UROK	\N	\N
3609767	2416	1996-06-30	PRIJEM	\N	157	31443	UROK	\N	\N
3609768	2416	1996-07-31	PRIJEM	\N	142	33232	UROK	\N	\N
3609769	2416	1996-08-31	PRIJEM	\N	144	30904	UROK	\N	\N
3609770	2416	1996-09-30	PRIJEM	\N	136	30787	UROK	\N	\N
3609771	2416	1996-10-31	PRIJEM	\N	132	29267	UROK	\N	\N
3609772	2416	1996-11-30	PRIJEM	\N	134	32548	UROK	\N	\N
3609773	2416	1996-12-31	PRIJEM	\N	147	27866	UROK	\N	\N
3609774	2416	1997-01-31	PRIJEM	\N	101	20334	UROK	\N	\N
3609775	2416	1997-02-28	PRIJEM	\N	102	27184	UROK	\N	\N
3609776	2416	1997-03-31	PRIJEM	\N	121	28552	UROK	\N	\N
3609777	2416	1997-04-30	PRIJEM	\N	130	31830	UROK	\N	\N
3609778	2416	1997-05-31	PRIJEM	\N	134	30211	UROK	\N	\N
3609779	2416	1997-06-30	PRIJEM	\N	142	34144	UROK	\N	\N
3609780	2416	1997-07-31	PRIJEM	\N	139	31231	UROK	\N	\N
3609781	2416	1997-08-31	PRIJEM	\N	135	31513	UROK	\N	\N
3609782	2416	1997-09-30	PRIJEM	\N	138	33899	UROK	\N	\N
3609783	2416	1997-10-31	PRIJEM	\N	133	28639	UROK	\N	\N
3609784	2416	1997-11-30	PRIJEM	\N	120	28807	UROK	\N	\N
3609785	2416	1997-12-31	PRIJEM	\N	136	32834	UROK	\N	\N
3609786	2416	1998-01-31	PRIJEM	\N	150	26712	UROK	\N	\N
3609787	2416	1998-02-28	PRIJEM	\N	98	19817	UROK	\N	\N
3609788	2416	1998-03-31	PRIJEM	\N	75	15459	UROK	\N	\N
3609789	2416	1998-04-30	PRIJEM	\N	56	12763	UROK	\N	\N
3609790	2416	1998-05-31	PRIJEM	\N	70	16181	UROK	\N	\N
3609791	2416	1998-06-30	PRIJEM	\N	63	14275	UROK	\N	\N
3609792	2416	1998-07-31	PRIJEM	\N	42	7964	UROK	\N	\N
3609793	2416	1998-08-31	PRIJEM	\N	27	5438	UROK	\N	\N
3609794	2416	1998-09-30	PRIJEM	\N	41	12927	UROK	\N	\N
3609795	2416	1998-10-31	PRIJEM	\N	68	18402	UROK	\N	\N
3609796	2416	1998-11-30	PRIJEM	\N	38	5088	UROK	\N	\N
3609797	2416	1998-12-31	PRIJEM	\N	31	6809	UROK	\N	\N
3609798	2417	1993-09-30	PRIJEM	\N	29	17273	UROK	\N	\N
3609799	2417	1993-10-31	PRIJEM	\N	80	21997	UROK	\N	\N
3609800	2417	1993-11-30	PRIJEM	\N	98	25939	UROK	\N	\N
3609801	2417	1993-12-31	PRIJEM	\N	116	30171	UROK	\N	\N
3609802	2417	1994-01-31	PRIJEM	\N	117	20270	UROK	\N	\N
3609803	2417	1994-02-28	PRIJEM	\N	87	21824	UROK	\N	\N
3609804	2417	1994-03-31	PRIJEM	\N	94	23086	UROK	\N	\N
3609805	2417	1994-04-30	PRIJEM	\N	90	20444	UROK	\N	\N
3609806	2417	1994-05-31	PRIJEM	\N	88	21499	UROK	\N	\N
3609807	2417	1994-06-30	PRIJEM	\N	76	14314	UROK	\N	\N
3609808	2417	1994-07-31	PRIJEM	\N	72	19954	UROK	\N	\N
3609809	2417	1994-08-31	PRIJEM	\N	86	21208	UROK	\N	\N
3609810	2417	1994-09-30	PRIJEM	\N	98	23573	UROK	\N	\N
3609811	2417	1994-10-31	PRIJEM	\N	91	20331	UROK	\N	\N
3609812	2417	1994-11-30	PRIJEM	\N	83	19581	UROK	\N	\N
3609813	2417	1994-12-31	PRIJEM	\N	79	14800	UROK	\N	\N
3609814	2417	1995-01-31	PRIJEM	\N	56	12223	UROK	\N	\N
3609815	2417	1995-02-28	PRIJEM	\N	56	13746	UROK	\N	\N
3609816	2417	1995-03-31	PRIJEM	\N	62	15776	UROK	\N	\N
3609817	2417	1995-04-30	PRIJEM	\N	61	13904	UROK	\N	\N
3609818	2417	1995-05-31	PRIJEM	\N	55	12626	UROK	\N	\N
3609819	2417	1995-06-30	PRIJEM	\N	53	12319	UROK	\N	\N
3609820	2417	1995-07-31	PRIJEM	\N	50	11636	UROK	\N	\N
3609821	2417	1995-08-31	PRIJEM	\N	43	9447	UROK	\N	\N
3609822	2417	1995-09-30	PRIJEM	\N	39	8853	UROK	\N	\N
3609823	2417	1995-10-31	PRIJEM	\N	41	10461	UROK	\N	\N
3609824	2417	1995-11-30	PRIJEM	\N	46	10775	UROK	\N	\N
3609825	2417	1995-12-31	PRIJEM	\N	38	7952	UROK	\N	\N
3609826	2417	1996-01-31	PRIJEM	\N	37	9556	UROK	\N	\N
3609827	2417	1996-02-29	PRIJEM	\N	43	11167	UROK	\N	\N
3609828	2417	1996-03-31	PRIJEM	\N	44	8879	UROK	\N	\N
3609829	2417	1996-04-30	PRIJEM	\N	41	10486	UROK	\N	\N
3609830	2417	1996-05-31	PRIJEM	\N	47	12101	UROK	\N	\N
3609831	2417	1996-06-30	PRIJEM	\N	60	16100	UROK	\N	\N
3609832	2417	1996-07-31	PRIJEM	\N	71	17738	UROK	\N	\N
3609833	2417	1996-08-31	PRIJEM	\N	77	19383	UROK	\N	\N
3609834	2417	1996-09-30	PRIJEM	\N	82	20233	UROK	\N	\N
3609835	2417	1996-10-31	PRIJEM	\N	88	21888	UROK	\N	\N
3609836	2417	1996-11-30	PRIJEM	\N	95	23550	UROK	\N	\N
3609837	2417	1996-12-31	PRIJEM	\N	107	26897	UROK	\N	\N
3609838	2417	1997-01-31	PRIJEM	\N	87	15651	UROK	\N	\N
3609839	2417	1997-02-28	PRIJEM	\N	68	17286	UROK	\N	\N
3609840	2417	1997-03-31	PRIJEM	\N	59	15113	UROK	\N	\N
3609841	2417	1997-04-30	PRIJEM	\N	66	16746	UROK	\N	\N
3609842	2417	1997-05-31	PRIJEM	\N	73	18386	UROK	\N	\N
3609843	2417	1997-06-30	PRIJEM	\N	86	22411	UROK	\N	\N
3609844	2417	1997-07-31	PRIJEM	\N	92	21570	UROK	\N	\N
3609845	2417	1997-08-31	PRIJEM	\N	93	23231	UROK	\N	\N
3609846	2417	1997-09-30	PRIJEM	\N	100	24898	UROK	\N	\N
3609847	2417	1997-10-31	PRIJEM	\N	107	26572	UROK	\N	\N
3609848	2417	1997-11-30	PRIJEM	\N	113	28252	UROK	\N	\N
3609849	2417	1997-12-31	PRIJEM	\N	122	29713	UROK	\N	\N
3609850	2417	1998-01-31	PRIJEM	\N	110	19091	UROK	\N	\N
3609851	2417	1998-02-28	PRIJEM	\N	82	19340	UROK	\N	\N
3609852	2417	1998-03-31	PRIJEM	\N	83	20990	UROK	\N	\N
3609853	2417	1998-04-30	PRIJEM	\N	90	22648	UROK	\N	\N
3609854	2417	1998-05-31	PRIJEM	\N	92	20007	UROK	\N	\N
3609855	2417	1998-06-30	PRIJEM	\N	92	24038	UROK	\N	\N
3609856	2417	1998-07-31	PRIJEM	\N	94	21999	UROK	\N	\N
3609857	2417	1998-08-31	PRIJEM	\N	86	15352	UROK	\N	\N
3609858	2417	1998-09-30	PRIJEM	\N	66	16985	UROK	\N	\N
3609859	2417	1998-10-31	PRIJEM	\N	73	18626	UROK	\N	\N
3609860	2417	1998-11-30	PRIJEM	\N	80	20272	UROK	\N	\N
3609861	2417	1998-12-31	PRIJEM	\N	83	19595	UROK	\N	\N
3609862	2419	1993-12-31	PRIJEM	\N	110	34208	UROK	\N	\N
3609863	2419	1994-01-31	PRIJEM	\N	154	48554	UROK	\N	\N
3609864	2419	1994-02-28	PRIJEM	\N	208	58970	UROK	\N	\N
3609865	2419	1994-03-31	PRIJEM	\N	264	51722	UROK	\N	\N
3609866	2419	1994-04-30	PRIJEM	\N	230	41482	UROK	\N	\N
3609867	2419	1994-05-31	PRIJEM	\N	171	37754	UROK	\N	\N
3609868	2419	1994-06-30	PRIJEM	\N	254	86147	UROK	\N	\N
3609869	2419	1994-07-31	PRIJEM	\N	359	87688	UROK	\N	\N
3609870	2419	1994-08-31	PRIJEM	\N	331	56044	UROK	\N	\N
3609871	2419	1994-09-30	PRIJEM	\N	303	57142	UROK	\N	\N
3609872	2419	1994-10-31	PRIJEM	\N	226	36078	UROK	\N	\N
3609873	2419	1994-11-30	PRIJEM	\N	142	53160	UROK	\N	\N
3609874	2419	1994-12-31	PRIJEM	\N	193	53400	UROK	\N	\N
3609875	2419	1995-01-31	PRIJEM	\N	237	72737	UROK	\N	\N
3609876	2419	1995-02-28	PRIJEM	\N	230	20336	UROK	\N	\N
3609877	2419	1995-03-31	PRIJEM	\N	91	55709	UROK	\N	\N
3609878	2419	1995-04-30	PRIJEM	\N	207	37926	UROK	\N	\N
3609879	2419	1995-05-31	PRIJEM	\N	202	37705	UROK	\N	\N
3609880	2419	1995-06-30	PRIJEM	\N	163	35252	UROK	\N	\N
3609881	2419	1995-07-31	PRIJEM	\N	178	67043	UROK	\N	\N
3609882	2419	1995-08-31	PRIJEM	\N	319	60220	UROK	\N	\N
3609883	2419	1995-09-30	PRIJEM	\N	177	27798	UROK	\N	\N
3609884	2419	1995-10-31	PRIJEM	\N	212	59679	UROK	\N	\N
3609885	2419	1995-11-30	PRIJEM	\N	203	36383	UROK	\N	\N
3609886	2419	1995-12-31	PRIJEM	\N	247	54909	UROK	\N	\N
3609887	2419	1996-01-31	PRIJEM	\N	256	87315	UROK	\N	\N
3609888	2419	1996-02-29	PRIJEM	\N	290	53390	UROK	\N	\N
3609889	2419	1996-03-31	PRIJEM	\N	270	76269	UROK	\N	\N
3609890	2419	1996-04-30	PRIJEM	\N	287	35410	UROK	\N	\N
3609891	2419	1996-05-31	PRIJEM	\N	155	55709	UROK	\N	\N
3609892	2419	1996-06-30	PRIJEM	\N	207	38001	UROK	\N	\N
3609893	2419	1996-07-31	PRIJEM	\N	312	63154	UROK	\N	\N
3609894	2419	1996-08-31	PRIJEM	\N	218	37957	UROK	\N	\N
3609895	2419	1996-09-30	PRIJEM	\N	120	23662	UROK	\N	\N
3609896	2419	1996-10-31	PRIJEM	\N	142	35540	UROK	\N	\N
3609897	2419	1996-11-30	PRIJEM	\N	306	72846	UROK	\N	\N
3609898	2419	1996-12-31	PRIJEM	\N	374	99391	UROK	\N	\N
3609899	2419	1997-01-31	PRIJEM	\N	187	6073	UROK	\N	\N
3609900	2419	1997-02-28	PRIJEM	\N	80	15305	UROK	\N	\N
3609901	2419	1997-03-31	PRIJEM	\N	67	16957	UROK	\N	\N
3609902	2419	1997-04-30	PRIJEM	\N	141	76992	UROK	\N	\N
3609903	2419	1997-05-31	PRIJEM	\N	331	78290	UROK	\N	\N
3609904	2419	1997-06-30	PRIJEM	\N	302	66253	UROK	\N	\N
3609905	2419	1997-07-31	PRIJEM	\N	265	61698	UROK	\N	\N
3609906	2419	1997-08-31	PRIJEM	\N	282	86173	UROK	\N	\N
3609907	2419	1997-09-30	PRIJEM	\N	376	100806	UROK	\N	\N
3609908	2419	1997-10-31	PRIJEM	\N	443	77152	UROK	\N	\N
3609909	2419	1997-11-30	PRIJEM	\N	305	77622	UROK	\N	\N
3609910	2419	1997-12-31	PRIJEM	\N	259	52628	UROK	\N	\N
3609911	2419	1998-01-31	PRIJEM	\N	262	39729	UROK	\N	\N
3609912	2419	1998-02-28	PRIJEM	\N	298	106117	UROK	\N	\N
3609913	2419	1998-03-31	PRIJEM	\N	396	106542	UROK	\N	\N
3609914	2419	1998-04-30	PRIJEM	\N	351	99560	UROK	\N	\N
3609915	2419	1998-05-31	PRIJEM	\N	392	93196	UROK	\N	\N
3609916	2419	1998-06-30	PRIJEM	\N	214	31608	UROK	\N	\N
3609917	2419	1998-07-31	PRIJEM	\N	136	39129	UROK	\N	\N
3609918	2419	1998-08-31	PRIJEM	\N	439	96147	UROK	\N	\N
3609919	2419	1998-09-30	PRIJEM	\N	434	101313	UROK	\N	\N
3609920	2419	1998-10-31	PRIJEM	\N	299	61098	UROK	\N	\N
3609921	2419	1998-11-30	PRIJEM	\N	477	132104	UROK	\N	\N
3609922	2419	1998-12-31	PRIJEM	\N	404	79096	UROK	\N	\N
3609923	2420	1996-07-31	PRIJEM	\N	13	13715	UROK	\N	\N
3609924	2420	1996-08-31	PRIJEM	\N	65	20882	UROK	\N	\N
3609925	2420	1996-09-30	PRIJEM	\N	89	22572	UROK	\N	\N
3609926	2420	1996-10-31	PRIJEM	\N	95	23569	UROK	\N	\N
3609927	2420	1996-11-30	PRIJEM	\N	97	21068	UROK	\N	\N
3609928	2420	1996-12-31	PRIJEM	\N	91	22265	UROK	\N	\N
3609929	2420	1997-01-31	PRIJEM	\N	83	13154	UROK	\N	\N
3609930	2420	1997-02-28	PRIJEM	\N	63	13903	UROK	\N	\N
3609931	2420	1997-03-31	PRIJEM	\N	60	13819	UROK	\N	\N
3609932	2420	1997-04-30	PRIJEM	\N	61	14567	UROK	\N	\N
3609933	2420	1997-05-31	PRIJEM	\N	60	12713	UROK	\N	\N
3609934	2420	1997-06-30	PRIJEM	\N	65	13964	UROK	\N	\N
3609935	2420	1997-07-31	PRIJEM	\N	70	15220	UROK	\N	\N
3609936	2420	1997-08-31	PRIJEM	\N	61	12767	UROK	\N	\N
3609937	2420	1997-09-30	PRIJEM	\N	52	11306	UROK	\N	\N
3609938	2420	1997-10-31	PRIJEM	\N	51	12343	UROK	\N	\N
3609939	2420	1997-11-30	PRIJEM	\N	63	13592	UROK	\N	\N
3609940	2420	1997-12-31	PRIJEM	\N	60	14658	UROK	\N	\N
3609941	2420	1998-01-31	PRIJEM	\N	57	13112	UROK	\N	\N
3609942	2420	1998-02-28	PRIJEM	\N	57	13515	UROK	\N	\N
3609943	2420	1998-03-31	PRIJEM	\N	59	14191	UROK	\N	\N
3609944	2420	1998-04-30	PRIJEM	\N	71	15448	UROK	\N	\N
3609945	2420	1998-05-31	PRIJEM	\N	72	15716	UROK	\N	\N
3609946	2420	1998-06-30	PRIJEM	\N	66	16128	UROK	\N	\N
3609947	2420	1998-07-31	PRIJEM	\N	71	17386	UROK	\N	\N
3609948	2420	1998-08-31	PRIJEM	\N	61	11533	UROK	\N	\N
3609949	2420	1998-09-30	PRIJEM	\N	59	12779	UROK	\N	\N
3609950	2420	1998-10-31	PRIJEM	\N	65	14030	UROK	\N	\N
3609951	2420	1998-11-30	PRIJEM	\N	62	15278	UROK	\N	\N
3609952	2420	1998-12-31	PRIJEM	\N	69	15724	UROK	\N	\N
3609953	2421	1995-06-30	PRIJEM	\N	35	16975	UROK	\N	\N
3609954	2421	1995-07-31	PRIJEM	\N	74	18368	UROK	\N	\N
3609955	2421	1995-08-31	PRIJEM	\N	79	19525	UROK	\N	\N
3609956	2421	1995-09-30	PRIJEM	\N	84	20928	UROK	\N	\N
3609957	2421	1995-10-31	PRIJEM	\N	90	22337	UROK	\N	\N
3609958	2421	1995-11-30	PRIJEM	\N	96	23751	UROK	\N	\N
3609959	2421	1995-12-31	PRIJEM	\N	100	24449	UROK	\N	\N
3609960	2421	1996-01-31	PRIJEM	\N	99	24067	UROK	\N	\N
3609961	2421	1996-02-29	PRIJEM	\N	103	25488	UROK	\N	\N
3609962	2421	1996-03-31	PRIJEM	\N	109	26615	UROK	\N	\N
3609963	2421	1996-04-30	PRIJEM	\N	113	27057	UROK	\N	\N
3609964	2421	1996-05-31	PRIJEM	\N	116	28341	UROK	\N	\N
3609965	2421	1996-06-30	PRIJEM	\N	119	25518	UROK	\N	\N
3609966	2421	1996-07-31	PRIJEM	\N	109	26946	UROK	\N	\N
3609967	2421	1996-08-31	PRIJEM	\N	115	28380	UROK	\N	\N
3609968	2421	1996-09-30	PRIJEM	\N	121	29819	UROK	\N	\N
3609969	2421	1996-10-31	PRIJEM	\N	127	31265	UROK	\N	\N
3609970	2421	1996-11-30	PRIJEM	\N	133	32716	UROK	\N	\N
3609971	2421	1996-12-31	PRIJEM	\N	138	33782	UROK	\N	\N
3609972	2421	1997-01-31	PRIJEM	\N	141	32362	UROK	\N	\N
3609973	2421	1997-02-28	PRIJEM	\N	137	33818	UROK	\N	\N
3609974	2421	1997-03-31	PRIJEM	\N	144	35280	UROK	\N	\N
3609975	2421	1997-04-30	PRIJEM	\N	150	36748	UROK	\N	\N
3609976	2421	1997-05-31	PRIJEM	\N	156	38222	UROK	\N	\N
3609977	2421	1997-06-30	PRIJEM	\N	161	37751	UROK	\N	\N
3609978	2421	1997-07-31	PRIJEM	\N	160	39229	UROK	\N	\N
3609979	2421	1997-08-31	PRIJEM	\N	166	40714	UROK	\N	\N
3609980	2421	1997-09-30	PRIJEM	\N	172	42204	UROK	\N	\N
3609981	2421	1997-10-31	PRIJEM	\N	178	43701	UROK	\N	\N
3609982	2421	1997-11-30	PRIJEM	\N	182	43881	UROK	\N	\N
3609983	2421	1997-12-31	PRIJEM	\N	185	44965	UROK	\N	\N
3609984	2421	1998-01-31	PRIJEM	\N	188	43861	UROK	\N	\N
3609985	2421	1998-02-28	PRIJEM	\N	185	45364	UROK	\N	\N
3609986	2421	1998-03-31	PRIJEM	\N	191	46874	UROK	\N	\N
3609987	2421	1998-04-30	PRIJEM	\N	197	48389	UROK	\N	\N
3609988	2421	1998-05-31	PRIJEM	\N	202	49010	UROK	\N	\N
3609989	2421	1998-06-30	PRIJEM	\N	190	45598	UROK	\N	\N
3609990	2421	1998-07-31	PRIJEM	\N	192	47108	UROK	\N	\N
3609991	2421	1998-08-31	PRIJEM	\N	198	48625	UROK	\N	\N
3609992	2421	1998-09-30	PRIJEM	\N	200	48853	UROK	\N	\N
3609993	2421	1998-10-31	PRIJEM	\N	202	48993	UROK	\N	\N
3609994	2421	1998-11-30	PRIJEM	\N	206	50517	UROK	\N	\N
3609995	2421	1998-12-31	PRIJEM	\N	211	51847	UROK	\N	\N
3609996	2422	1998-01-31	PRIJEM	\N	58	15779	UROK	\N	\N
3609997	2422	1998-02-28	PRIJEM	\N	71	15780	UROK	\N	\N
3609998	2422	1998-03-31	PRIJEM	\N	75	19146	UROK	\N	\N
3609999	2422	1998-04-30	PRIJEM	\N	89	22525	UROK	\N	\N
3610000	2422	1998-05-31	PRIJEM	\N	102	24077	UROK	\N	\N
3610001	2422	1998-06-30	PRIJEM	\N	103	24870	UROK	\N	\N
3610002	2422	1998-07-31	PRIJEM	\N	111	26072	UROK	\N	\N
3610003	2422	1998-08-31	PRIJEM	\N	118	29480	UROK	\N	\N
3610004	2422	1998-09-30	PRIJEM	\N	131	32001	UROK	\N	\N
3610005	2422	1998-10-31	PRIJEM	\N	139	33571	UROK	\N	\N
3610006	2422	1998-11-30	PRIJEM	\N	141	30703	UROK	\N	\N
3610007	2422	1998-12-31	PRIJEM	\N	139	33152	UROK	\N	\N
3610008	2423	1993-07-31	PRIJEM	\N	61	25416	UROK	\N	\N
3610009	2423	1993-08-31	PRIJEM	\N	113	28375	UROK	\N	\N
3610010	2423	1993-09-30	PRIJEM	\N	124	26544	UROK	\N	\N
3610011	2423	1993-10-31	PRIJEM	\N	106	23795	UROK	\N	\N
3610012	2423	1993-11-30	PRIJEM	\N	104	26024	UROK	\N	\N
3610013	2423	1993-12-31	PRIJEM	\N	114	28484	UROK	\N	\N
3610014	2423	1994-01-31	PRIJEM	\N	109	22598	UROK	\N	\N
3610015	2423	1994-02-28	PRIJEM	\N	96	22259	UROK	\N	\N
3610016	2423	1994-03-31	PRIJEM	\N	94	23598	UROK	\N	\N
3610017	2423	1994-04-30	PRIJEM	\N	102	24545	UROK	\N	\N
3610018	2423	1994-05-31	PRIJEM	\N	105	25975	UROK	\N	\N
3610019	2423	1994-06-30	PRIJEM	\N	101	24221	UROK	\N	\N
3610020	2423	1994-07-31	PRIJEM	\N	107	27174	UROK	\N	\N
3610021	2423	1994-08-31	PRIJEM	\N	110	27029	UROK	\N	\N
3610022	2423	1994-09-30	PRIJEM	\N	112	27587	UROK	\N	\N
3610023	2423	1994-10-31	PRIJEM	\N	118	29110	UROK	\N	\N
3610024	2423	1994-11-30	PRIJEM	\N	114	27369	UROK	\N	\N
3610025	2423	1994-12-31	PRIJEM	\N	110	27024	UROK	\N	\N
3610026	2423	1995-01-31	PRIJEM	\N	100	20470	UROK	\N	\N
3610027	2423	1995-02-28	PRIJEM	\N	83	20899	UROK	\N	\N
3610028	2423	1995-03-31	PRIJEM	\N	87	21911	UROK	\N	\N
3610029	2423	1995-04-30	PRIJEM	\N	85	20741	UROK	\N	\N
3610030	2423	1995-05-31	PRIJEM	\N	87	21254	UROK	\N	\N
3610031	2423	1995-06-30	PRIJEM	\N	86	19565	UROK	\N	\N
3610032	2423	1995-07-31	PRIJEM	\N	79	19890	UROK	\N	\N
3610033	2423	1995-08-31	PRIJEM	\N	74	18009	UROK	\N	\N
3610034	2423	1995-09-30	PRIJEM	\N	69	17024	UROK	\N	\N
3610035	2423	1995-10-31	PRIJEM	\N	71	14740	UROK	\N	\N
3610036	2423	1995-11-30	PRIJEM	\N	67	17652	UROK	\N	\N
3610037	2423	1995-12-31	PRIJEM	\N	63	15311	UROK	\N	\N
3610038	2423	1996-01-31	PRIJEM	\N	64	14780	UROK	\N	\N
3610039	2423	1996-02-29	PRIJEM	\N	67	17692	UROK	\N	\N
3610040	2423	1996-03-31	PRIJEM	\N	58	15296	UROK	\N	\N
3610041	2423	1996-04-30	PRIJEM	\N	70	18211	UROK	\N	\N
3610042	2423	1996-05-31	PRIJEM	\N	80	15936	UROK	\N	\N
3610043	2423	1996-06-30	PRIJEM	\N	70	14351	UROK	\N	\N
3610044	2423	1996-07-31	PRIJEM	\N	65	15561	UROK	\N	\N
3610045	2423	1996-08-31	PRIJEM	\N	69	15375	UROK	\N	\N
3610046	2423	1996-09-30	PRIJEM	\N	65	15886	UROK	\N	\N
3610047	2423	1996-10-31	PRIJEM	\N	67	13198	UROK	\N	\N
3610048	2423	1996-11-30	PRIJEM	\N	59	15403	UROK	\N	\N
3610049	2423	1996-12-31	PRIJEM	\N	65	13863	UROK	\N	\N
3610050	2423	1997-01-31	PRIJEM	\N	56	12885	UROK	\N	\N
3610051	2423	1997-02-28	PRIJEM	\N	59	15789	UROK	\N	\N
3610052	2423	1997-03-31	PRIJEM	\N	66	13700	UROK	\N	\N
3610053	2423	1997-04-30	PRIJEM	\N	62	16307	UROK	\N	\N
3610054	2423	1997-05-31	PRIJEM	\N	68	14520	UROK	\N	\N
3610055	2423	1997-06-30	PRIJEM	\N	66	17331	UROK	\N	\N
3610056	2423	1997-07-31	PRIJEM	\N	71	15247	UROK	\N	\N
3610057	2423	1997-08-31	PRIJEM	\N	64	15157	UROK	\N	\N
3610058	2423	1997-09-30	PRIJEM	\N	68	18070	UROK	\N	\N
3610059	2423	1997-10-31	PRIJEM	\N	77	18512	UROK	\N	\N
3610060	2423	1997-11-30	PRIJEM	\N	76	17634	UROK	\N	\N
3610061	2423	1997-12-31	PRIJEM	\N	70	15600	UROK	\N	\N
3610062	2423	1998-01-31	PRIJEM	\N	62	15467	UROK	\N	\N
3610063	2423	1998-02-28	PRIJEM	\N	63	15476	UROK	\N	\N
3610064	2423	1998-03-31	PRIJEM	\N	64	14985	UROK	\N	\N
3610065	2423	1998-04-30	PRIJEM	\N	61	14391	UROK	\N	\N
3610066	2423	1998-05-31	PRIJEM	\N	63	16340	UROK	\N	\N
3610067	2423	1998-06-30	PRIJEM	\N	62	14298	UROK	\N	\N
3610068	2423	1998-07-31	PRIJEM	\N	61	16004	UROK	\N	\N
3610069	2423	1998-08-31	PRIJEM	\N	67	17317	UROK	\N	\N
3610070	2423	1998-09-30	PRIJEM	\N	64	14727	UROK	\N	\N
3610071	2423	1998-10-31	PRIJEM	\N	65	17637	UROK	\N	\N
3610072	2423	1998-11-30	PRIJEM	\N	77	20559	UROK	\N	\N
3610073	2423	1998-12-31	PRIJEM	\N	87	22642	UROK	\N	\N
3610074	2424	1996-01-31	PRIJEM	\N	132	54246	UROK	\N	\N
3610075	2424	1996-02-29	PRIJEM	\N	239	59018	UROK	\N	\N
3610076	2424	1996-03-31	PRIJEM	\N	340	103980	UROK	\N	\N
3610077	2424	1996-04-30	PRIJEM	\N	364	58600	UROK	\N	\N
3610078	2424	1996-05-31	PRIJEM	\N	327	56209	UROK	\N	\N
3610079	2424	1996-06-30	PRIJEM	\N	257	56752	UROK	\N	\N
3610080	2424	1996-07-31	PRIJEM	\N	219	54409	UROK	\N	\N
3610081	2424	1996-08-31	PRIJEM	\N	328	104017	UROK	\N	\N
3610082	2424	1996-09-30	PRIJEM	\N	340	96541	UROK	\N	\N
3610083	2424	1996-10-31	PRIJEM	\N	274	48152	UROK	\N	\N
3610084	2424	1996-11-30	PRIJEM	\N	319	87858	UROK	\N	\N
3610085	2424	1996-12-31	PRIJEM	\N	365	114884	UROK	\N	\N
3610086	2424	1997-01-31	PRIJEM	\N	296	60961	UROK	\N	\N
3610087	2424	1997-02-28	PRIJEM	\N	242	57486	UROK	\N	\N
3610088	2424	1997-03-31	PRIJEM	\N	178	38627	UROK	\N	\N
3610089	2424	1997-04-30	PRIJEM	\N	228	79288	UROK	\N	\N
3610090	2424	1997-05-31	PRIJEM	\N	228	48682	UROK	\N	\N
3610091	2424	1997-06-30	PRIJEM	\N	148	34078	UROK	\N	\N
3610092	2424	1997-07-31	PRIJEM	\N	120	28545	UROK	\N	\N
3610093	2424	1997-08-31	PRIJEM	\N	201	71849	UROK	\N	\N
3610094	2424	1997-09-30	PRIJEM	\N	279	103207	UROK	\N	\N
3610095	2424	1997-10-31	PRIJEM	\N	341	90861	UROK	\N	\N
3610096	2424	1997-11-30	PRIJEM	\N	292	66682	UROK	\N	\N
3610097	2424	1997-12-31	PRIJEM	\N	311	69047	UROK	\N	\N
3610098	2424	1998-01-31	PRIJEM	\N	221	43481	UROK	\N	\N
3610099	2424	1998-02-28	PRIJEM	\N	218	87125	UROK	\N	\N
3610100	2424	1998-03-31	PRIJEM	\N	304	89123	UROK	\N	\N
3610101	2424	1998-04-30	PRIJEM	\N	373	100278	UROK	\N	\N
3610102	2424	1998-05-31	PRIJEM	\N	269	52307	UROK	\N	\N
3610103	2424	1998-06-30	PRIJEM	\N	270	60218	UROK	\N	\N
3610104	2424	1998-07-31	PRIJEM	\N	308	62124	UROK	\N	\N
3610105	2424	1998-08-31	PRIJEM	\N	164	30745	UROK	\N	\N
3610106	2424	1998-09-30	PRIJEM	\N	157	54899	UROK	\N	\N
3610107	2424	1998-10-31	PRIJEM	\N	166	73262	UROK	\N	\N
3610108	2424	1998-11-30	PRIJEM	\N	262	54763	UROK	\N	\N
3610109	2424	1998-12-31	PRIJEM	\N	153	32435	UROK	\N	\N
3610110	2425	1993-02-28	PRIJEM	\N	19	17824	UROK	\N	\N
3610111	2425	1993-03-31	PRIJEM	\N	83	26012	UROK	\N	\N
3610112	2425	1993-04-30	PRIJEM	\N	110	27726	UROK	\N	\N
3610113	2425	1993-05-31	PRIJEM	\N	119	31151	UROK	\N	\N
3610114	2425	1993-06-30	PRIJEM	\N	134	35042	UROK	\N	\N
3610115	2425	1993-07-31	PRIJEM	\N	136	25093	UROK	\N	\N
3610116	2425	1993-08-31	PRIJEM	\N	103	19230	UROK	\N	\N
3610117	2425	1993-09-30	PRIJEM	\N	92	24377	UROK	\N	\N
3610118	2425	1993-10-31	PRIJEM	\N	106	24637	UROK	\N	\N
3610119	2425	1993-11-30	PRIJEM	\N	101	25152	UROK	\N	\N
3610120	2425	1993-12-31	PRIJEM	\N	112	23851	UROK	\N	\N
3610121	2425	1994-01-31	PRIJEM	\N	85	15331	UROK	\N	\N
3610122	2425	1994-02-28	PRIJEM	\N	78	21363	UROK	\N	\N
3610123	2425	1994-03-31	PRIJEM	\N	97	24014	UROK	\N	\N
3610124	2425	1994-04-30	PRIJEM	\N	110	27979	UROK	\N	\N
3610125	2425	1994-05-31	PRIJEM	\N	117	26810	UROK	\N	\N
3610126	2425	1994-06-30	PRIJEM	\N	128	31845	UROK	\N	\N
3610127	2425	1994-07-31	PRIJEM	\N	129	29088	UROK	\N	\N
3610128	2425	1994-08-31	PRIJEM	\N	127	31030	UROK	\N	\N
3610129	2425	1994-09-30	PRIJEM	\N	139	34623	UROK	\N	\N
3610130	2425	1994-10-31	PRIJEM	\N	140	34038	UROK	\N	\N
3610131	2425	1994-11-30	PRIJEM	\N	149	36541	UROK	\N	\N
3610132	2425	1994-12-31	PRIJEM	\N	155	32143	UROK	\N	\N
3610133	2425	1995-01-31	PRIJEM	\N	129	26667	UROK	\N	\N
3610134	2425	1995-02-28	PRIJEM	\N	115	29417	UROK	\N	\N
3610135	2425	1995-03-31	PRIJEM	\N	128	31199	UROK	\N	\N
3610136	2425	1995-04-30	PRIJEM	\N	132	31885	UROK	\N	\N
3610137	2425	1995-05-31	PRIJEM	\N	140	34979	UROK	\N	\N
3610138	2425	1995-06-30	PRIJEM	\N	156	38542	UROK	\N	\N
3610139	2425	1995-07-31	PRIJEM	\N	155	36752	UROK	\N	\N
3610140	2425	1995-08-31	PRIJEM	\N	158	38664	UROK	\N	\N
3610141	2425	1995-09-30	PRIJEM	\N	157	35315	UROK	\N	\N
3610142	2425	1995-10-31	PRIJEM	\N	147	35616	UROK	\N	\N
3610143	2425	1995-11-30	PRIJEM	\N	160	40371	UROK	\N	\N
3610144	2425	1995-12-31	PRIJEM	\N	161	35679	UROK	\N	\N
3610145	2425	1996-01-31	PRIJEM	\N	125	25318	UROK	\N	\N
3610146	2425	1996-02-29	PRIJEM	\N	119	30792	UROK	\N	\N
3610147	2425	1996-03-31	PRIJEM	\N	128	29534	UROK	\N	\N
3610148	2425	1996-04-30	PRIJEM	\N	131	33120	UROK	\N	\N
3610149	2425	1996-05-31	PRIJEM	\N	146	36620	UROK	\N	\N
3610150	2425	1996-06-30	PRIJEM	\N	150	38096	UROK	\N	\N
3610151	2425	1996-07-31	PRIJEM	\N	146	34897	UROK	\N	\N
3610152	2425	1996-08-31	PRIJEM	\N	129	31640	UROK	\N	\N
3610153	2425	1996-09-30	PRIJEM	\N	130	32024	UROK	\N	\N
3610154	2425	1996-10-31	PRIJEM	\N	129	31608	UROK	\N	\N
3610155	2425	1996-11-30	PRIJEM	\N	134	33396	UROK	\N	\N
3610156	2425	1996-12-31	PRIJEM	\N	143	31845	UROK	\N	\N
3610157	2425	1997-01-31	PRIJEM	\N	95	17495	UROK	\N	\N
3610158	2425	1997-02-28	PRIJEM	\N	98	27047	UROK	\N	\N
3610159	2425	1997-03-31	PRIJEM	\N	116	29317	UROK	\N	\N
3610160	2425	1997-04-30	PRIJEM	\N	87	20598	UROK	\N	\N
3610161	2425	1997-05-31	PRIJEM	\N	80	20033	UROK	\N	\N
3610162	2425	1997-06-30	PRIJEM	\N	95	25335	UROK	\N	\N
3610163	2425	1997-07-31	PRIJEM	\N	108	27297	UROK	\N	\N
3610164	2425	1997-08-31	PRIJEM	\N	113	24264	UROK	\N	\N
3610165	2425	1997-09-30	PRIJEM	\N	106	23324	UROK	\N	\N
3610166	2425	1997-10-31	PRIJEM	\N	103	27182	UROK	\N	\N
3610167	2425	1997-11-30	PRIJEM	\N	118	27654	UROK	\N	\N
3610168	2425	1997-12-31	PRIJEM	\N	122	25223	UROK	\N	\N
3610169	2425	1998-01-31	PRIJEM	\N	89	23066	UROK	\N	\N
3610170	2425	1998-02-28	PRIJEM	\N	102	27022	UROK	\N	\N
3610171	2425	1998-03-31	PRIJEM	\N	113	24689	UROK	\N	\N
3610172	2425	1998-04-30	PRIJEM	\N	108	27151	UROK	\N	\N
3610173	2425	1998-05-31	PRIJEM	\N	114	24220	UROK	\N	\N
3610174	2425	1998-06-30	PRIJEM	\N	107	24654	UROK	\N	\N
3610175	2425	1998-07-31	PRIJEM	\N	105	24313	UROK	\N	\N
3610176	2425	1998-08-31	PRIJEM	\N	106	27173	UROK	\N	\N
3610177	2425	1998-09-30	PRIJEM	\N	115	27042	UROK	\N	\N
3610178	2425	1998-10-31	PRIJEM	\N	108	21404	UROK	\N	\N
3610179	2425	1998-11-30	PRIJEM	\N	89	21288	UROK	\N	\N
3610180	2425	1998-12-31	PRIJEM	\N	97	23152	UROK	\N	\N
3610246	2427	1994-02-28	PRIJEM	\N	132	32472	UROK	\N	\N
3610247	2427	1994-03-31	PRIJEM	\N	192	53782	UROK	\N	\N
3610248	2427	1994-04-30	PRIJEM	\N	227	73529	UROK	\N	\N
3610249	2427	1994-05-31	PRIJEM	\N	305	48335	UROK	\N	\N
3610250	2427	1994-06-30	PRIJEM	\N	255	53769	UROK	\N	\N
3610251	2427	1994-07-31	PRIJEM	\N	169	58295	UROK	\N	\N
3610252	2427	1994-08-31	PRIJEM	\N	180	81018	UROK	\N	\N
3610253	2427	1994-09-30	PRIJEM	\N	219	27974	UROK	\N	\N
3610254	2427	1994-10-31	PRIJEM	\N	89	18327	UROK	\N	\N
3610255	2427	1994-11-30	PRIJEM	\N	108	20488	UROK	\N	\N
3610256	2427	1994-12-31	PRIJEM	\N	57	10703	UROK	\N	\N
3610257	2427	1995-01-31	PRIJEM	\N	41	8307	UROK	\N	\N
3610258	2427	1995-02-28	PRIJEM	\N	47	8119	UROK	\N	\N
3610259	2427	1995-03-31	PRIJEM	\N	36	7918	UROK	\N	\N
3610260	2427	1995-04-30	PRIJEM	\N	43	10325	UROK	\N	\N
3610261	2427	1995-05-31	PRIJEM	\N	40	8029	UROK	\N	\N
3610262	2427	1995-06-30	PRIJEM	\N	50	17943	UROK	\N	\N
3610263	2427	1995-07-31	PRIJEM	\N	54	20661	UROK	\N	\N
3610264	2427	1995-08-31	PRIJEM	\N	66	21490	UROK	\N	\N
3610265	2427	1995-09-30	PRIJEM	\N	70	23024	UROK	\N	\N
3610266	2427	1995-10-31	PRIJEM	\N	75	20963	UROK	\N	\N
3610267	2427	1995-11-30	PRIJEM	\N	67	19594	UROK	\N	\N
3610268	2427	1995-12-31	PRIJEM	\N	61	16819	UROK	\N	\N
3610269	2427	1996-01-31	PRIJEM	\N	54	18237	UROK	\N	\N
3610270	2427	1996-02-29	PRIJEM	\N	61	22062	UROK	\N	\N
3610271	2427	1996-03-31	PRIJEM	\N	73	21000	UROK	\N	\N
3610272	2427	1996-04-30	PRIJEM	\N	72	22235	UROK	\N	\N
3610273	2427	1996-05-31	PRIJEM	\N	75	20674	UROK	\N	\N
3610274	2427	1996-06-30	PRIJEM	\N	70	20608	UROK	\N	\N
3610275	2427	1996-07-31	PRIJEM	\N	70	19841	UROK	\N	\N
3610276	2427	1996-08-31	PRIJEM	\N	70	21075	UROK	\N	\N
3610277	2427	1996-09-30	PRIJEM	\N	106	20456	UROK	\N	\N
3610278	2427	1996-10-31	PRIJEM	\N	79	25799	UROK	\N	\N
3610279	2427	1996-11-30	PRIJEM	\N	106	45356	UROK	\N	\N
3610280	2427	1996-12-31	PRIJEM	\N	166	38547	UROK	\N	\N
3610281	2427	1997-01-31	PRIJEM	\N	109	21820	UROK	\N	\N
3610282	2427	1997-02-28	PRIJEM	\N	95	31978	UROK	\N	\N
3610283	2427	1997-03-31	PRIJEM	\N	120	34862	UROK	\N	\N
3610284	2427	1997-04-30	PRIJEM	\N	132	34159	UROK	\N	\N
3610285	2427	1997-05-31	PRIJEM	\N	131	33953	UROK	\N	\N
3610286	2427	1997-06-30	PRIJEM	\N	285	87938	UROK	\N	\N
3610287	2427	1997-07-31	PRIJEM	\N	310	61279	UROK	\N	\N
3610288	2427	1997-08-31	PRIJEM	\N	308	61621	UROK	\N	\N
3610289	2427	1997-09-30	PRIJEM	\N	201	42356	UROK	\N	\N
3610290	2427	1997-10-31	PRIJEM	\N	152	35371	UROK	\N	\N
3610291	2427	1997-11-30	PRIJEM	\N	208	98242	UROK	\N	\N
3610292	2427	1997-12-31	PRIJEM	\N	281	53704	UROK	\N	\N
3610293	2427	1998-01-31	PRIJEM	\N	147	28714	UROK	\N	\N
3610294	2427	1998-02-28	PRIJEM	\N	119	30897	UROK	\N	\N
3610295	2427	1998-03-31	PRIJEM	\N	125	32686	UROK	\N	\N
3610296	2427	1998-04-30	PRIJEM	\N	129	32579	UROK	\N	\N
3610297	2427	1998-05-31	PRIJEM	\N	137	36181	UROK	\N	\N
3610298	2427	1998-06-30	PRIJEM	\N	142	35797	UROK	\N	\N
3610299	2427	1998-07-31	PRIJEM	\N	165	53165	UROK	\N	\N
3610300	2427	1998-08-31	PRIJEM	\N	148	26290	UROK	\N	\N
3610301	2427	1998-09-30	PRIJEM	\N	129	35184	UROK	\N	\N
3610302	2427	1998-10-31	PRIJEM	\N	147	36194	UROK	\N	\N
3610303	2427	1998-11-30	PRIJEM	\N	140	33198	UROK	\N	\N
3610304	2427	1998-12-31	PRIJEM	\N	132	32094	UROK	\N	\N
3610305	2428	1993-09-30	PRIJEM	\N	41	16461	UROK	\N	\N
3610306	2428	1993-10-31	PRIJEM	\N	115	34596	UROK	\N	\N
3610307	2428	1993-11-30	PRIJEM	\N	170	45186	UROK	\N	\N
3610308	2428	1993-12-31	PRIJEM	\N	224	59490	UROK	\N	\N
3610309	2428	1994-01-31	PRIJEM	\N	234	51763	UROK	\N	\N
3610310	2428	1994-02-28	PRIJEM	\N	224	55593	UROK	\N	\N
3610311	2428	1994-03-31	PRIJEM	\N	223	51581	UROK	\N	\N
3610312	2428	1994-04-30	PRIJEM	\N	222	54809	UROK	\N	\N
3610313	2428	1994-05-31	PRIJEM	\N	232	56446	UROK	\N	\N
3610314	2428	1994-06-30	PRIJEM	\N	195	24087	UROK	\N	\N
3610315	2428	1994-07-31	PRIJEM	\N	138	35630	UROK	\N	\N
3610316	2428	1994-08-31	PRIJEM	\N	163	42139	UROK	\N	\N
3610317	2428	1994-09-30	PRIJEM	\N	194	49738	UROK	\N	\N
3610318	2428	1994-10-31	PRIJEM	\N	211	51455	UROK	\N	\N
3610319	2428	1994-11-30	PRIJEM	\N	220	53980	UROK	\N	\N
3610320	2428	1994-12-31	PRIJEM	\N	218	60643	UROK	\N	\N
3610321	2428	1995-01-31	PRIJEM	\N	209	40578	UROK	\N	\N
3610322	2428	1995-02-28	PRIJEM	\N	139	37843	UROK	\N	\N
3610323	2428	1995-03-31	PRIJEM	\N	188	49936	UROK	\N	\N
3610324	2428	1995-04-30	PRIJEM	\N	228	58269	UROK	\N	\N
3610325	2428	1995-05-31	PRIJEM	\N	250	62624	UROK	\N	\N
3610326	2428	1995-06-30	PRIJEM	\N	181	67371	UROK	\N	\N
3610327	2428	1995-07-31	PRIJEM	\N	188	44564	UROK	\N	\N
3610328	2428	1995-08-31	PRIJEM	\N	189	39718	UROK	\N	\N
3610329	2428	1995-09-30	PRIJEM	\N	165	40688	UROK	\N	\N
3610330	2428	1995-10-31	PRIJEM	\N	170	43664	UROK	\N	\N
3610331	2428	1995-11-30	PRIJEM	\N	180	42950	UROK	\N	\N
3610332	2428	1995-12-31	PRIJEM	\N	226	45801	UROK	\N	\N
3610333	2428	1996-01-31	PRIJEM	\N	155	25961	UROK	\N	\N
3610334	2428	1996-02-29	PRIJEM	\N	113	34780	UROK	\N	\N
3610335	2428	1996-03-31	PRIJEM	\N	143	30588	UROK	\N	\N
3610336	2428	1996-04-30	PRIJEM	\N	130	36124	UROK	\N	\N
3610337	2428	1996-05-31	PRIJEM	\N	164	38113	UROK	\N	\N
3610338	2428	1996-06-30	PRIJEM	\N	145	26864	UROK	\N	\N
3610339	2428	1996-07-31	PRIJEM	\N	123	29692	UROK	\N	\N
3610340	2428	1996-08-31	PRIJEM	\N	131	37729	UROK	\N	\N
3610341	2428	1996-09-30	PRIJEM	\N	167	37500	UROK	\N	\N
3610342	2428	1996-10-31	PRIJEM	\N	158	40764	UROK	\N	\N
3610343	2428	1996-11-30	PRIJEM	\N	171	39460	UROK	\N	\N
3610344	2428	1996-12-31	PRIJEM	\N	191	44037	UROK	\N	\N
3610345	2428	1997-01-31	PRIJEM	\N	156	25658	UROK	\N	\N
3610346	2428	1997-02-28	PRIJEM	\N	108	26211	UROK	\N	\N
3610347	2428	1997-03-31	PRIJEM	\N	123	26599	UROK	\N	\N
3610348	2428	1997-04-30	PRIJEM	\N	113	29717	UROK	\N	\N
3610349	2428	1997-05-31	PRIJEM	\N	130	35252	UROK	\N	\N
3610350	2428	1997-06-30	PRIJEM	\N	142	27260	UROK	\N	\N
3610351	2428	1997-07-31	PRIJEM	\N	114	29179	UROK	\N	\N
3610352	2428	1997-08-31	PRIJEM	\N	125	33009	UROK	\N	\N
3610353	2428	1997-09-30	PRIJEM	\N	140	31835	UROK	\N	\N
3610354	2428	1997-10-31	PRIJEM	\N	125	29385	UROK	\N	\N
3610355	2428	1997-11-30	PRIJEM	\N	119	29610	UROK	\N	\N
3610356	2428	1997-12-31	PRIJEM	\N	150	39826	UROK	\N	\N
3610357	2428	1998-01-31	PRIJEM	\N	140	18892	UROK	\N	\N
3610358	2428	1998-02-28	PRIJEM	\N	98	29395	UROK	\N	\N
3610359	2428	1998-03-31	PRIJEM	\N	126	32926	UROK	\N	\N
3610360	2428	1998-04-30	PRIJEM	\N	127	28938	UROK	\N	\N
3610361	2428	1998-05-31	PRIJEM	\N	126	33570	UROK	\N	\N
3610362	2428	1998-06-30	PRIJEM	\N	138	33953	UROK	\N	\N
3610363	2428	1998-07-31	PRIJEM	\N	137	33856	UROK	\N	\N
3610364	2428	1998-08-31	PRIJEM	\N	140	31621	UROK	\N	\N
3610365	2428	1998-09-30	PRIJEM	\N	144	38770	UROK	\N	\N
3610366	2428	1998-10-31	PRIJEM	\N	154	37829	UROK	\N	\N
3610367	2428	1998-11-30	PRIJEM	\N	152	37686	UROK	\N	\N
3610368	2428	1998-12-31	PRIJEM	\N	172	44383	UROK	\N	\N
3610369	2429	1993-03-31	PRIJEM	\N	66	20375	UROK	\N	\N
3610370	2429	1993-04-30	PRIJEM	\N	121	31405	UROK	\N	\N
3610371	2429	1993-05-31	PRIJEM	\N	136	33150	UROK	\N	\N
3610372	2429	1993-06-30	PRIJEM	\N	155	38118	UROK	\N	\N
3610373	2429	1993-07-31	PRIJEM	\N	130	28802	UROK	\N	\N
3610374	2429	1993-08-31	PRIJEM	\N	121	26463	UROK	\N	\N
3610375	2429	1993-09-30	PRIJEM	\N	148	30550	UROK	\N	\N
3610376	2429	1993-10-31	PRIJEM	\N	155	33665	UROK	\N	\N
3610377	2429	1993-11-30	PRIJEM	\N	158	37662	UROK	\N	\N
3610378	2429	1993-12-31	PRIJEM	\N	200	42565	UROK	\N	\N
3610379	2429	1994-01-31	PRIJEM	\N	140	27505	UROK	\N	\N
3610380	2429	1994-02-28	PRIJEM	\N	142	33526	UROK	\N	\N
3610381	2429	1994-03-31	PRIJEM	\N	161	36306	UROK	\N	\N
3610382	2429	1994-04-30	PRIJEM	\N	164	39009	UROK	\N	\N
3610383	2429	1994-05-31	PRIJEM	\N	190	40238	UROK	\N	\N
3610384	2429	1994-06-30	PRIJEM	\N	189	43812	UROK	\N	\N
3610385	2429	1994-07-31	PRIJEM	\N	205	44156	UROK	\N	\N
3610386	2429	1994-08-31	PRIJEM	\N	185	36280	UROK	\N	\N
3610387	2429	1994-09-30	PRIJEM	\N	170	34330	UROK	\N	\N
3610388	2429	1994-10-31	PRIJEM	\N	181	34749	UROK	\N	\N
3610389	2429	1994-11-30	PRIJEM	\N	165	38554	UROK	\N	\N
3610390	2429	1994-12-31	PRIJEM	\N	197	38394	UROK	\N	\N
3610391	2429	1995-01-31	PRIJEM	\N	159	24012	UROK	\N	\N
3610392	2429	1995-02-28	PRIJEM	\N	137	29789	UROK	\N	\N
3610393	2429	1995-03-31	PRIJEM	\N	144	33973	UROK	\N	\N
3610394	2429	1995-04-30	PRIJEM	\N	161	37173	UROK	\N	\N
3610395	2429	1995-05-31	PRIJEM	\N	189	38902	UROK	\N	\N
3610396	2429	1995-06-30	PRIJEM	\N	158	27044	UROK	\N	\N
3610397	2429	1995-07-31	PRIJEM	\N	136	36819	UROK	\N	\N
3610398	2429	1995-08-31	PRIJEM	\N	172	41930	UROK	\N	\N
3610399	2429	1995-09-30	PRIJEM	\N	192	45561	UROK	\N	\N
3610400	2429	1995-10-31	PRIJEM	\N	215	44616	UROK	\N	\N
3610401	2429	1995-11-30	PRIJEM	\N	213	46148	UROK	\N	\N
3610402	2429	1995-12-31	PRIJEM	\N	229	46482	UROK	\N	\N
3610403	2429	1996-01-31	PRIJEM	\N	187	32408	UROK	\N	\N
3610404	2429	1996-02-29	PRIJEM	\N	161	44208	UROK	\N	\N
3610405	2429	1996-03-31	PRIJEM	\N	211	47658	UROK	\N	\N
3610406	2429	1996-04-30	PRIJEM	\N	213	50711	UROK	\N	\N
3610407	2429	1996-05-31	PRIJEM	\N	227	54877	UROK	\N	\N
3610408	2429	1996-06-30	PRIJEM	\N	257	55338	UROK	\N	\N
3610409	2429	1996-07-31	PRIJEM	\N	240	56717	UROK	\N	\N
3610410	2429	1996-08-31	PRIJEM	\N	250	55707	UROK	\N	\N
3610411	2429	1996-09-30	PRIJEM	\N	243	54089	UROK	\N	\N
3610412	2429	1996-10-31	PRIJEM	\N	229	53458	UROK	\N	\N
3610413	2429	1996-11-30	PRIJEM	\N	230	51228	UROK	\N	\N
3610414	2429	1996-12-31	PRIJEM	\N	236	56647	UROK	\N	\N
3610415	2429	1997-01-31	PRIJEM	\N	211	42258	UROK	\N	\N
3610416	2429	1997-02-28	PRIJEM	\N	195	50192	UROK	\N	\N
3610417	2429	1997-03-31	PRIJEM	\N	226	57597	UROK	\N	\N
3610418	2429	1997-04-30	PRIJEM	\N	246	59182	UROK	\N	\N
3610419	2429	1997-05-31	PRIJEM	\N	249	59331	UROK	\N	\N
3610420	2429	1997-06-30	PRIJEM	\N	211	52785	UROK	\N	\N
3610421	2429	1997-07-31	PRIJEM	\N	237	59962	UROK	\N	\N
3610422	2429	1997-08-31	PRIJEM	\N	256	62657	UROK	\N	\N
3610423	2429	1997-09-30	PRIJEM	\N	268	64665	UROK	\N	\N
3610424	2429	1997-10-31	PRIJEM	\N	275	67580	UROK	\N	\N
3610425	2429	1997-11-30	PRIJEM	\N	272	64991	UROK	\N	\N
3610426	2429	1997-12-31	PRIJEM	\N	268	63123	UROK	\N	\N
3610427	2429	1998-01-31	PRIJEM	\N	224	41526	UROK	\N	\N
3610428	2429	1998-02-28	PRIJEM	\N	203	53468	UROK	\N	\N
3610429	2429	1998-03-31	PRIJEM	\N	242	61050	UROK	\N	\N
3610430	2429	1998-04-30	PRIJEM	\N	259	63748	UROK	\N	\N
3610431	2429	1998-05-31	PRIJEM	\N	265	65253	UROK	\N	\N
3610432	2429	1998-06-30	PRIJEM	\N	266	60023	UROK	\N	\N
3610433	2429	1998-07-31	PRIJEM	\N	253	63015	UROK	\N	\N
3610434	2429	1998-08-31	PRIJEM	\N	284	65938	UROK	\N	\N
3610435	2429	1998-09-30	PRIJEM	\N	273	61350	UROK	\N	\N
3610436	2429	1998-10-31	PRIJEM	\N	231	54680	UROK	\N	\N
3610437	2429	1998-11-30	PRIJEM	\N	220	48739	UROK	\N	\N
3610438	2429	1998-12-31	PRIJEM	\N	214	52137	UROK	\N	\N
3610439	2431	1995-03-31	PRIJEM	\N	16	16593	UROK	\N	\N
3610440	2431	1995-04-30	PRIJEM	\N	77	24847	UROK	\N	\N
3610441	2431	1995-05-31	PRIJEM	\N	109	29932	UROK	\N	\N
3610442	2431	1995-06-30	PRIJEM	\N	127	31975	UROK	\N	\N
3610443	2431	1995-07-31	PRIJEM	\N	126	25916	UROK	\N	\N
3610444	2431	1995-08-31	PRIJEM	\N	113	26708	UROK	\N	\N
3610445	2431	1995-09-30	PRIJEM	\N	111	24237	UROK	\N	\N
3610446	2431	1995-10-31	PRIJEM	\N	95	23510	UROK	\N	\N
3610447	2431	1995-11-30	PRIJEM	\N	103	24992	UROK	\N	\N
3610448	2431	1995-12-31	PRIJEM	\N	114	25184	UROK	\N	\N
3610449	2431	1996-01-31	PRIJEM	\N	86	18008	UROK	\N	\N
3610450	2431	1996-02-29	PRIJEM	\N	90	25376	UROK	\N	\N
3610451	2431	1996-03-31	PRIJEM	\N	105	24920	UROK	\N	\N
3610452	2431	1996-04-30	PRIJEM	\N	115	29713	UROK	\N	\N
3610453	2431	1996-05-31	PRIJEM	\N	133	33225	UROK	\N	\N
3610454	2431	1996-06-30	PRIJEM	\N	133	25855	UROK	\N	\N
3610455	2431	1996-07-31	PRIJEM	\N	106	25660	UROK	\N	\N
3610456	2431	1996-08-31	PRIJEM	\N	113	27451	UROK	\N	\N
3610457	2431	1996-09-30	PRIJEM	\N	120	29049	UROK	\N	\N
3610458	2431	1996-10-31	PRIJEM	\N	123	30670	UROK	\N	\N
3610459	2431	1996-11-30	PRIJEM	\N	127	29776	UROK	\N	\N
3610460	2431	1996-12-31	PRIJEM	\N	120	28793	UROK	\N	\N
3610461	2431	1997-01-31	PRIJEM	\N	102	14713	UROK	\N	\N
3610462	2431	1997-02-28	PRIJEM	\N	87	24279	UROK	\N	\N
3610463	2431	1997-03-31	PRIJEM	\N	110	27067	UROK	\N	\N
3610464	2431	1997-04-30	PRIJEM	\N	121	30166	UROK	\N	\N
3610465	2431	1997-05-31	PRIJEM	\N	135	33680	UROK	\N	\N
3610466	2431	1997-06-30	PRIJEM	\N	129	23126	UROK	\N	\N
3610467	2431	1997-07-31	PRIJEM	\N	124	33028	UROK	\N	\N
3610468	2431	1997-08-31	PRIJEM	\N	136	30843	UROK	\N	\N
3610469	2431	1997-09-30	PRIJEM	\N	142	35563	UROK	\N	\N
3610470	2431	1997-10-31	PRIJEM	\N	142	34003	UROK	\N	\N
3610471	2431	1997-11-30	PRIJEM	\N	157	39238	UROK	\N	\N
3610472	2431	1997-12-31	PRIJEM	\N	165	40560	UROK	\N	\N
3610473	2431	1998-01-31	PRIJEM	\N	144	30562	UROK	\N	\N
3610474	2431	1998-02-28	PRIJEM	\N	142	35783	UROK	\N	\N
3610475	2431	1998-03-31	PRIJEM	\N	162	41584	UROK	\N	\N
3610476	2431	1998-04-30	PRIJEM	\N	180	44282	UROK	\N	\N
3610477	2431	1998-05-31	PRIJEM	\N	202	50462	UROK	\N	\N
3610478	2431	1998-06-30	PRIJEM	\N	166	32826	UROK	\N	\N
3610479	2431	1998-07-31	PRIJEM	\N	172	43996	UROK	\N	\N
3610480	2431	1998-08-31	PRIJEM	\N	188	44723	UROK	\N	\N
3610481	2431	1998-09-30	PRIJEM	\N	188	45669	UROK	\N	\N
3610482	2431	1998-10-31	PRIJEM	\N	209	51197	UROK	\N	\N
3610483	2431	1998-11-30	PRIJEM	\N	217	53392	UROK	\N	\N
3610484	2431	1998-12-31	PRIJEM	\N	231	56581	UROK	\N	\N
3610485	2432	1996-08-31	PRIJEM	\N	51	23871	UROK	\N	\N
3610486	2432	1996-09-30	PRIJEM	\N	112	29663	UROK	\N	\N
3610487	2432	1996-10-31	PRIJEM	\N	113	26248	UROK	\N	\N
3610488	2432	1996-11-30	PRIJEM	\N	113	26872	UROK	\N	\N
3610489	2432	1996-12-31	PRIJEM	\N	107	23460	UROK	\N	\N
3610490	2432	1997-01-31	PRIJEM	\N	73	12665	UROK	\N	\N
3610491	2432	1997-02-28	PRIJEM	\N	63	16039	UROK	\N	\N
3610492	2432	1997-03-31	PRIJEM	\N	77	19427	UROK	\N	\N
3610493	2432	1997-04-30	PRIJEM	\N	91	22829	UROK	\N	\N
3610494	2432	1997-05-31	PRIJEM	\N	102	24963	UROK	\N	\N
3610495	2432	1997-06-30	PRIJEM	\N	109	25733	UROK	\N	\N
3610496	2432	1997-07-31	PRIJEM	\N	117	29162	UROK	\N	\N
3610497	2432	1997-08-31	PRIJEM	\N	127	30900	UROK	\N	\N
3610498	2432	1997-09-30	PRIJEM	\N	130	31342	UROK	\N	\N
3610499	2432	1997-10-31	PRIJEM	\N	141	34794	UROK	\N	\N
3610500	2432	1997-11-30	PRIJEM	\N	146	33772	UROK	\N	\N
3610501	2432	1997-12-31	PRIJEM	\N	140	31393	UROK	\N	\N
3610502	2432	1998-01-31	PRIJEM	\N	116	21370	UROK	\N	\N
3610503	2432	1998-02-28	PRIJEM	\N	92	22854	UROK	\N	\N
3610504	2432	1998-03-31	PRIJEM	\N	100	23225	UROK	\N	\N
3610505	2432	1998-04-30	PRIJEM	\N	107	26643	UROK	\N	\N
3610506	2432	1998-05-31	PRIJEM	\N	113	27748	UROK	\N	\N
3610507	2432	1998-06-30	PRIJEM	\N	120	27829	UROK	\N	\N
3610508	2432	1998-07-31	PRIJEM	\N	116	27816	UROK	\N	\N
3610509	2432	1998-08-31	PRIJEM	\N	125	30693	UROK	\N	\N
3610510	2432	1998-09-30	PRIJEM	\N	138	34142	UROK	\N	\N
3610511	2432	1998-10-31	PRIJEM	\N	141	34394	UROK	\N	\N
3610512	2432	1998-11-30	PRIJEM	\N	153	37858	UROK	\N	\N
3610513	2432	1998-12-31	PRIJEM	\N	167	40787	UROK	\N	\N
3610514	2433	1993-06-30	PRIJEM	\N	32	18904	UROK	\N	\N
3610515	2433	1993-07-31	PRIJEM	\N	84	17228	UROK	\N	\N
3610516	2433	1993-08-31	PRIJEM	\N	81	20256	UROK	\N	\N
3610517	2433	1993-09-30	PRIJEM	\N	92	22794	UROK	\N	\N
3610518	2433	1993-10-31	PRIJEM	\N	99	23240	UROK	\N	\N
3610519	2433	1993-11-30	PRIJEM	\N	102	24588	UROK	\N	\N
3610520	2433	1993-12-31	PRIJEM	\N	107	25392	UROK	\N	\N
3610521	2433	1994-01-31	PRIJEM	\N	88	13697	UROK	\N	\N
3610522	2433	1994-02-28	PRIJEM	\N	66	16709	UROK	\N	\N
3610523	2433	1994-03-31	PRIJEM	\N	79	19734	UROK	\N	\N
3610524	2433	1994-04-30	PRIJEM	\N	91	22771	UROK	\N	\N
3610525	2433	1994-05-31	PRIJEM	\N	101	24859	UROK	\N	\N
3610526	2433	1994-06-30	PRIJEM	\N	103	18908	UROK	\N	\N
3610527	2433	1994-07-31	PRIJEM	\N	84	18819	UROK	\N	\N
3610528	2433	1994-08-31	PRIJEM	\N	85	18170	UROK	\N	\N
3610529	2433	1994-09-30	PRIJEM	\N	82	19599	UROK	\N	\N
3610530	2433	1994-10-31	PRIJEM	\N	91	22636	UROK	\N	\N
3610531	2433	1994-11-30	PRIJEM	\N	103	25685	UROK	\N	\N
3610532	2433	1994-12-31	PRIJEM	\N	116	28297	UROK	\N	\N
3610533	2433	1995-01-31	PRIJEM	\N	104	19518	UROK	\N	\N
3610534	2433	1995-02-28	PRIJEM	\N	90	22554	UROK	\N	\N
3610535	2433	1995-03-31	PRIJEM	\N	103	25603	UROK	\N	\N
3610536	2433	1995-04-30	PRIJEM	\N	115	28665	UROK	\N	\N
3610537	2433	1995-05-31	PRIJEM	\N	128	31739	UROK	\N	\N
3610538	2433	1995-06-30	PRIJEM	\N	130	29015	UROK	\N	\N
3610539	2433	1995-07-31	PRIJEM	\N	130	32091	UROK	\N	\N
3610540	2433	1995-08-31	PRIJEM	\N	142	35180	UROK	\N	\N
3610541	2433	1995-09-30	PRIJEM	\N	146	35072	UROK	\N	\N
3610542	2433	1995-10-31	PRIJEM	\N	155	38173	UROK	\N	\N
3610543	2433	1995-11-30	PRIJEM	\N	163	39383	UROK	\N	\N
3610544	2433	1995-12-31	PRIJEM	\N	163	39242	UROK	\N	\N
3610545	2433	1996-01-31	PRIJEM	\N	152	31680	UROK	\N	\N
3610546	2433	1996-02-29	PRIJEM	\N	131	31478	UROK	\N	\N
3610547	2433	1996-03-31	PRIJEM	\N	137	32861	UROK	\N	\N
3610548	2433	1996-04-30	PRIJEM	\N	145	35952	UROK	\N	\N
3610549	2433	1996-05-31	PRIJEM	\N	155	37654	UROK	\N	\N
3610550	2433	1996-06-30	PRIJEM	\N	128	27929	UROK	\N	\N
3610551	2433	1996-07-31	PRIJEM	\N	116	26031	UROK	\N	\N
3610552	2433	1996-08-31	PRIJEM	\N	115	25253	UROK	\N	\N
3610553	2433	1996-09-30	PRIJEM	\N	113	28313	UROK	\N	\N
3610554	2433	1996-10-31	PRIJEM	\N	126	30904	UROK	\N	\N
3610555	2433	1996-11-30	PRIJEM	\N	136	33987	UROK	\N	\N
3610556	2433	1996-12-31	PRIJEM	\N	142	32655	UROK	\N	\N
3610557	2433	1997-01-31	PRIJEM	\N	111	24623	UROK	\N	\N
3610558	2433	1997-02-28	PRIJEM	\N	110	27679	UROK	\N	\N
3610559	2433	1997-03-31	PRIJEM	\N	116	28341	UROK	\N	\N
3610560	2433	1997-04-30	PRIJEM	\N	125	31413	UROK	\N	\N
3610561	2433	1997-05-31	PRIJEM	\N	132	31291	UROK	\N	\N
3610562	2433	1997-06-30	PRIJEM	\N	130	27317	UROK	\N	\N
3610563	2433	1997-07-31	PRIJEM	\N	113	27577	UROK	\N	\N
3610564	2433	1997-08-31	PRIJEM	\N	122	30645	UROK	\N	\N
3610565	2433	1997-09-30	PRIJEM	\N	122	27874	UROK	\N	\N
3610566	2433	1997-10-31	PRIJEM	\N	122	30542	UROK	\N	\N
3610567	2433	1997-11-30	PRIJEM	\N	134	33623	UROK	\N	\N
3610568	2433	1997-12-31	PRIJEM	\N	146	36165	UROK	\N	\N
3610569	2433	1998-01-31	PRIJEM	\N	136	28467	UROK	\N	\N
3610570	2433	1998-02-28	PRIJEM	\N	125	31538	UROK	\N	\N
3610571	2433	1998-03-31	PRIJEM	\N	126	30691	UROK	\N	\N
3610572	2433	1998-04-30	PRIJEM	\N	134	33771	UROK	\N	\N
3610573	2433	1998-05-31	PRIJEM	\N	142	35260	UROK	\N	\N
3610574	2433	1998-06-30	PRIJEM	\N	149	34605	UROK	\N	\N
3610575	2433	1998-07-31	PRIJEM	\N	150	37702	UROK	\N	\N
3610576	2433	1998-08-31	PRIJEM	\N	163	40010	UROK	\N	\N
3610577	2433	1998-09-30	PRIJEM	\N	172	43129	UROK	\N	\N
3610578	2433	1998-10-31	PRIJEM	\N	185	46261	UROK	\N	\N
3610579	2433	1998-11-30	PRIJEM	\N	198	49405	UROK	\N	\N
3610580	2433	1998-12-31	PRIJEM	\N	210	51711	UROK	\N	\N
3610581	2434	1993-02-28	PRIJEM	\N	13	5004	UROK	\N	\N
3610582	2434	1993-03-31	PRIJEM	\N	61	20056	UROK	\N	\N
3610583	2434	1993-04-30	PRIJEM	\N	104	27851	UROK	\N	\N
3610584	2434	1993-05-31	PRIJEM	\N	126	31667	UROK	\N	\N
3610585	2434	1993-06-30	PRIJEM	\N	90	12717	UROK	\N	\N
3610586	2434	1993-07-31	PRIJEM	\N	71	19037	UROK	\N	\N
3610587	2434	1993-08-31	PRIJEM	\N	95	25481	UROK	\N	\N
3610588	2434	1993-09-30	PRIJEM	\N	109	27040	UROK	\N	\N
3610589	2434	1993-10-31	PRIJEM	\N	105	25895	UROK	\N	\N
3610590	2434	1993-11-30	PRIJEM	\N	85	18229	UROK	\N	\N
3610591	2434	1993-12-31	PRIJEM	\N	85	20218	UROK	\N	\N
3610592	2434	1994-01-31	PRIJEM	\N	65	17753	UROK	\N	\N
3610593	2434	1994-02-28	PRIJEM	\N	78	20780	UROK	\N	\N
3610594	2434	1994-03-31	PRIJEM	\N	87	21036	UROK	\N	\N
3610595	2434	1994-04-30	PRIJEM	\N	91	22677	UROK	\N	\N
3610596	2434	1994-05-31	PRIJEM	\N	93	22559	UROK	\N	\N
3610597	2434	1994-06-30	PRIJEM	\N	80	19424	UROK	\N	\N
3610598	2434	1994-07-31	PRIJEM	\N	84	20257	UROK	\N	\N
3610599	2434	1994-08-31	PRIJEM	\N	90	24396	UROK	\N	\N
3610600	2434	1994-09-30	PRIJEM	\N	96	21402	UROK	\N	\N
3610601	2434	1994-10-31	PRIJEM	\N	91	21142	UROK	\N	\N
3610602	2434	1994-11-30	PRIJEM	\N	85	21337	UROK	\N	\N
3610603	2434	1994-12-31	PRIJEM	\N	89	22290	UROK	\N	\N
3610604	2434	1995-01-31	PRIJEM	\N	72	17011	UROK	\N	\N
3610605	2434	1995-02-28	PRIJEM	\N	74	19135	UROK	\N	\N
3610606	2434	1995-03-31	PRIJEM	\N	83	18507	UROK	\N	\N
3610607	2434	1995-04-30	PRIJEM	\N	78	17734	UROK	\N	\N
3610608	2434	1995-05-31	PRIJEM	\N	78	19861	UROK	\N	\N
3610609	2434	1995-06-30	PRIJEM	\N	72	16458	UROK	\N	\N
3610610	2434	1995-07-31	PRIJEM	\N	64	13871	UROK	\N	\N
3610611	2434	1995-08-31	PRIJEM	\N	58	13879	UROK	\N	\N
3610612	2434	1995-09-30	PRIJEM	\N	62	16491	UROK	\N	\N
3610613	2434	1995-10-31	PRIJEM	\N	66	14926	UROK	\N	\N
3610614	2434	1995-11-30	PRIJEM	\N	65	16541	UROK	\N	\N
3610615	2434	1995-12-31	PRIJEM	\N	66	14031	UROK	\N	\N
3610616	2434	1996-01-31	PRIJEM	\N	57	13478	UROK	\N	\N
3610617	2434	1996-02-29	PRIJEM	\N	60	15687	UROK	\N	\N
3610618	2434	1996-03-31	PRIJEM	\N	62	14098	UROK	\N	\N
3610619	2434	1996-04-30	PRIJEM	\N	65	17813	UROK	\N	\N
3610620	2434	1996-05-31	PRIJEM	\N	75	18437	UROK	\N	\N
3610621	2434	1996-06-30	PRIJEM	\N	74	16955	UROK	\N	\N
3610622	2434	1996-07-31	PRIJEM	\N	68	16313	UROK	\N	\N
3610623	2434	1996-08-31	PRIJEM	\N	70	17833	UROK	\N	\N
3610624	2434	1996-09-30	PRIJEM	\N	59	11741	UROK	\N	\N
3610625	2434	1996-10-31	PRIJEM	\N	51	11841	UROK	\N	\N
3610626	2434	1996-11-30	PRIJEM	\N	51	13342	UROK	\N	\N
3610627	2434	1996-12-31	PRIJEM	\N	47	10233	UROK	\N	\N
3610628	2434	1997-01-31	PRIJEM	\N	45	11727	UROK	\N	\N
3610629	2434	1997-02-28	PRIJEM	\N	51	13227	UROK	\N	\N
3610630	2434	1997-03-31	PRIJEM	\N	42	8618	UROK	\N	\N
3610631	2434	1997-04-30	PRIJEM	\N	38	10105	UROK	\N	\N
3610632	2434	1997-05-31	PRIJEM	\N	44	11599	UROK	\N	\N
3610633	2434	1997-06-30	PRIJEM	\N	55	15298	UROK	\N	\N
3610634	2434	1997-07-31	PRIJEM	\N	65	16813	UROK	\N	\N
3610635	2434	1997-08-31	PRIJEM	\N	72	18334	UROK	\N	\N
3610636	2434	1997-09-30	PRIJEM	\N	78	19861	UROK	\N	\N
3610637	2434	1997-10-31	PRIJEM	\N	84	21395	UROK	\N	\N
3610638	2434	1997-11-30	PRIJEM	\N	87	21131	UROK	\N	\N
3610639	2434	1997-12-31	PRIJEM	\N	87	21343	UROK	\N	\N
3610640	2434	1998-01-31	PRIJEM	\N	69	14361	UROK	\N	\N
3610641	2434	1998-02-28	PRIJEM	\N	61	15871	UROK	\N	\N
3610642	2434	1998-03-31	PRIJEM	\N	67	17388	UROK	\N	\N
3610643	2434	1998-04-30	PRIJEM	\N	74	18911	UROK	\N	\N
3610644	2434	1998-05-31	PRIJEM	\N	80	20440	UROK	\N	\N
3610645	2434	1998-06-30	PRIJEM	\N	71	15855	UROK	\N	\N
3610646	2434	1998-07-31	PRIJEM	\N	67	17372	UROK	\N	\N
3610647	2434	1998-08-31	PRIJEM	\N	73	18894	UROK	\N	\N
3610648	2434	1998-09-30	PRIJEM	\N	65	14609	UROK	\N	\N
3610649	2434	1998-10-31	PRIJEM	\N	62	16120	UROK	\N	\N
3610650	2434	1998-11-30	PRIJEM	\N	64	15833	UROK	\N	\N
3610651	2434	1998-12-31	PRIJEM	\N	72	19550	UROK	\N	\N
3610652	2435	1993-12-31	PRIJEM	\N	32	22035	UROK	\N	\N
3610653	2435	1994-01-31	PRIJEM	\N	150	50721	UROK	\N	\N
3610654	2435	1994-02-28	PRIJEM	\N	249	70542	UROK	\N	\N
3610655	2435	1994-03-31	PRIJEM	\N	391	88305	UROK	\N	\N
3610656	2435	1994-04-30	PRIJEM	\N	359	92891	UROK	\N	\N
3610657	2435	1994-05-31	PRIJEM	\N	253	44347	UROK	\N	\N
3610658	2435	1994-06-30	PRIJEM	\N	258	42374	UROK	\N	\N
3610659	2435	1994-07-31	PRIJEM	\N	253	50934	UROK	\N	\N
3610660	2435	1994-08-31	PRIJEM	\N	313	52762	UROK	\N	\N
3610661	2435	1994-09-30	PRIJEM	\N	185	31928	UROK	\N	\N
3610662	2435	1994-10-31	PRIJEM	\N	149	57536	UROK	\N	\N
3610663	2435	1994-11-30	PRIJEM	\N	202	50441	UROK	\N	\N
3610664	2435	1994-12-31	PRIJEM	\N	329	41972	UROK	\N	\N
3610665	2435	1995-01-31	PRIJEM	\N	125	23244	UROK	\N	\N
3610666	2435	1995-02-28	PRIJEM	\N	193	31330	UROK	\N	\N
3610667	2435	1995-03-31	PRIJEM	\N	180	43499	UROK	\N	\N
3610668	2435	1995-04-30	PRIJEM	\N	147	26216	UROK	\N	\N
3610669	2435	1995-05-31	PRIJEM	\N	106	23104	UROK	\N	\N
3610670	2435	1995-06-30	PRIJEM	\N	91	18076	UROK	\N	\N
3610671	2435	1995-07-31	PRIJEM	\N	73	16129	UROK	\N	\N
3610672	2435	1995-08-31	PRIJEM	\N	111	36755	UROK	\N	\N
3610673	2435	1995-09-30	PRIJEM	\N	218	75882	UROK	\N	\N
3610674	2435	1995-10-31	PRIJEM	\N	341	74016	UROK	\N	\N
3610675	2435	1995-11-30	PRIJEM	\N	294	50408	UROK	\N	\N
3610676	2435	1995-12-31	PRIJEM	\N	164	25827	UROK	\N	\N
3610677	2435	1996-01-31	PRIJEM	\N	107	35517	UROK	\N	\N
3610678	2435	1996-02-29	PRIJEM	\N	276	38023	UROK	\N	\N
3610679	2435	1996-03-31	PRIJEM	\N	191	50625	UROK	\N	\N
3610680	2435	1996-04-30	PRIJEM	\N	158	35616	UROK	\N	\N
3610681	2435	1996-05-31	PRIJEM	\N	154	29247	UROK	\N	\N
3610682	2435	1996-06-30	PRIJEM	\N	114	34560	UROK	\N	\N
3610683	2435	1996-07-31	PRIJEM	\N	143	32423	UROK	\N	\N
3610684	2435	1996-08-31	PRIJEM	\N	99	15303	UROK	\N	\N
3610685	2435	1996-09-30	PRIJEM	\N	61	7445	UROK	\N	\N
3610686	2435	1996-10-31	PRIJEM	\N	121	28948	UROK	\N	\N
3610687	2435	1996-11-30	PRIJEM	\N	141	120950	UROK	\N	\N
3610688	2435	1996-12-31	PRIJEM	\N	290	27421	UROK	\N	\N
3610689	2435	1997-01-31	PRIJEM	\N	74	16877	UROK	\N	\N
3610690	2435	1997-02-28	PRIJEM	\N	243	67119	UROK	\N	\N
3610691	2435	1997-03-31	PRIJEM	\N	308	81133	UROK	\N	\N
3610692	2435	1997-04-30	PRIJEM	\N	223	37574	UROK	\N	\N
3610693	2435	1997-05-31	PRIJEM	\N	160	33068	UROK	\N	\N
3610694	2435	1997-06-30	PRIJEM	\N	179	62146	UROK	\N	\N
3610695	2435	1997-07-31	PRIJEM	\N	197	31970	UROK	\N	\N
3610696	2435	1997-08-31	PRIJEM	\N	136	34247	UROK	\N	\N
3610697	2435	1997-09-30	PRIJEM	\N	182	108157	UROK	\N	\N
3610698	2435	1997-10-31	PRIJEM	\N	313	82029	UROK	\N	\N
3610699	2435	1997-11-30	PRIJEM	\N	279	107955	UROK	\N	\N
3610700	2435	1997-12-31	PRIJEM	\N	152	27188	UROK	\N	\N
3610701	2435	1998-01-31	PRIJEM	\N	111	28770	UROK	\N	\N
3610702	2435	1998-02-28	PRIJEM	\N	114	20966	UROK	\N	\N
3610703	2435	1998-03-31	PRIJEM	\N	82	13129	UROK	\N	\N
3610704	2435	1998-04-30	PRIJEM	\N	49	5259	UROK	\N	\N
3610705	2435	1998-05-31	PRIJEM	\N	98	60057	UROK	\N	\N
3610706	2435	1998-06-30	PRIJEM	\N	264	70939	UROK	\N	\N
3610707	2435	1998-07-31	PRIJEM	\N	262	64108	UROK	\N	\N
3610708	2435	1998-08-31	PRIJEM	\N	413	113940	UROK	\N	\N
3610709	2435	1998-09-30	PRIJEM	\N	243	65061	UROK	\N	\N
3610710	2435	1998-10-31	PRIJEM	\N	222	52280	UROK	\N	\N
3610711	2435	1998-11-30	PRIJEM	\N	87	16348	UROK	\N	\N
3610712	2435	1998-12-31	PRIJEM	\N	142	53996	UROK	\N	\N
3610713	2437	1995-12-31	PRIJEM	\N	9	3500	UROK	\N	\N
3610714	2437	1996-01-31	PRIJEM	\N	15	6505	UROK	\N	\N
3610715	2437	1996-02-29	PRIJEM	\N	15	9511	UROK	\N	\N
3610716	2437	1996-03-31	PRIJEM	\N	15	12517	UROK	\N	\N
3610717	2437	1996-04-30	PRIJEM	\N	16	15524	UROK	\N	\N
3610718	2437	1996-05-31	PRIJEM	\N	67	15823	UROK	\N	\N
3610719	2437	1996-06-30	PRIJEM	\N	68	16873	UROK	\N	\N
3610720	2437	1996-07-31	PRIJEM	\N	68	16213	UROK	\N	\N
3610721	2437	1996-08-31	PRIJEM	\N	69	16815	UROK	\N	\N
3610722	2437	1996-09-30	PRIJEM	\N	72	17869	UROK	\N	\N
3610723	2437	1996-10-31	PRIJEM	\N	76	18928	UROK	\N	\N
3610724	2437	1996-11-30	PRIJEM	\N	81	19991	UROK	\N	\N
3610725	2437	1996-12-31	PRIJEM	\N	84	20637	UROK	\N	\N
3610726	2437	1997-01-31	PRIJEM	\N	81	17890	UROK	\N	\N
3610727	2437	1997-02-28	PRIJEM	\N	76	18949	UROK	\N	\N
3610728	2437	1997-03-31	PRIJEM	\N	81	20012	UROK	\N	\N
3610729	2437	1997-04-30	PRIJEM	\N	85	21080	UROK	\N	\N
3610730	2437	1997-05-31	PRIJEM	\N	88	21640	UROK	\N	\N
3610731	2437	1997-06-30	PRIJEM	\N	79	13552	UROK	\N	\N
3610732	2437	1997-07-31	PRIJEM	\N	58	14592	UROK	\N	\N
3610733	2437	1997-08-31	PRIJEM	\N	62	14767	UROK	\N	\N
3610734	2437	1997-09-30	PRIJEM	\N	63	15812	UROK	\N	\N
3610735	2437	1997-10-31	PRIJEM	\N	68	16862	UROK	\N	\N
3610736	2437	1997-11-30	PRIJEM	\N	70	15915	UROK	\N	\N
3610737	2437	1997-12-31	PRIJEM	\N	66	16393	UROK	\N	\N
3610738	2437	1998-01-31	PRIJEM	\N	63	13808	UROK	\N	\N
3610739	2437	1998-02-28	PRIJEM	\N	59	13859	UROK	\N	\N
3610740	2437	1998-03-31	PRIJEM	\N	59	14901	UROK	\N	\N
3610741	2437	1998-04-30	PRIJEM	\N	64	15947	UROK	\N	\N
3610742	2437	1998-05-31	PRIJEM	\N	68	16217	UROK	\N	\N
3610743	2437	1998-06-30	PRIJEM	\N	64	15523	UROK	\N	\N
3610744	2437	1998-07-31	PRIJEM	\N	61	14737	UROK	\N	\N
3610745	2437	1998-08-31	PRIJEM	\N	63	15782	UROK	\N	\N
3610746	2437	1998-09-30	PRIJEM	\N	66	16441	UROK	\N	\N
3610747	2437	1998-10-31	PRIJEM	\N	70	17283	UROK	\N	\N
3610748	2437	1998-11-30	PRIJEM	\N	73	18339	UROK	\N	\N
3610749	2437	1998-12-31	PRIJEM	\N	75	17176	UROK	\N	\N
3610750	2438	1997-12-31	PRIJEM	\N	41	19215	UROK	\N	\N
3610751	2438	1998-01-31	PRIJEM	\N	91	24089	UROK	\N	\N
3610752	2438	1998-02-28	PRIJEM	\N	97	22669	UROK	\N	\N
3610753	2438	1998-03-31	PRIJEM	\N	99	25051	UROK	\N	\N
3610754	2438	1998-04-30	PRIJEM	\N	101	23635	UROK	\N	\N
3610755	2438	1998-05-31	PRIJEM	\N	77	16359	UROK	\N	\N
3610756	2438	1998-06-30	PRIJEM	\N	71	16867	UROK	\N	\N
3610757	2438	1998-07-31	PRIJEM	\N	60	13073	UROK	\N	\N
3610758	2438	1998-08-31	PRIJEM	\N	61	16381	UROK	\N	\N
3610759	2438	1998-09-30	PRIJEM	\N	75	19702	UROK	\N	\N
3610760	2438	1998-10-31	PRIJEM	\N	57	10905	UROK	\N	\N
3610761	2438	1998-11-30	PRIJEM	\N	52	14204	UROK	\N	\N
3610762	2438	1998-12-31	PRIJEM	\N	81	22422	UROK	\N	\N
3610763	2439	1996-12-31	PRIJEM	\N	68	23996	UROK	\N	\N
3610764	2439	1997-01-31	PRIJEM	\N	103	22875	UROK	\N	\N
3610765	2439	1997-02-28	PRIJEM	\N	96	23618	UROK	\N	\N
3610766	2439	1997-03-31	PRIJEM	\N	110	23374	UROK	\N	\N
3610767	2439	1997-04-30	PRIJEM	\N	107	27107	UROK	\N	\N
3610768	2439	1997-05-31	PRIJEM	\N	113	27667	UROK	\N	\N
3610769	2439	1997-06-30	PRIJEM	\N	124	24037	UROK	\N	\N
3610770	2439	1997-07-31	PRIJEM	\N	105	26329	UROK	\N	\N
3610771	2439	1997-08-31	PRIJEM	\N	116	29191	UROK	\N	\N
3610772	2439	1997-09-30	PRIJEM	\N	123	30461	UROK	\N	\N
3610773	2439	1997-10-31	PRIJEM	\N	120	29448	UROK	\N	\N
3610774	2439	1997-11-30	PRIJEM	\N	107	24401	UROK	\N	\N
3610775	2439	1997-12-31	PRIJEM	\N	110	27557	UROK	\N	\N
3610776	2439	1998-01-31	PRIJEM	\N	74	13778	UROK	\N	\N
3610777	2439	1998-02-28	PRIJEM	\N	68	18092	UROK	\N	\N
3610778	2439	1998-03-31	PRIJEM	\N	86	22325	UROK	\N	\N
3610779	2439	1998-04-30	PRIJEM	\N	96	22287	UROK	\N	\N
3610780	2439	1998-05-31	PRIJEM	\N	97	24330	UROK	\N	\N
3610781	2439	1998-06-30	PRIJEM	\N	84	19260	UROK	\N	\N
3610782	2439	1998-07-31	PRIJEM	\N	80	19887	UROK	\N	\N
3610783	2439	1998-08-31	PRIJEM	\N	84	21117	UROK	\N	\N
3610784	2439	1998-09-30	PRIJEM	\N	85	21049	UROK	\N	\N
3610785	2439	1998-10-31	PRIJEM	\N	72	16667	UROK	\N	\N
3610786	2439	1998-11-30	PRIJEM	\N	81	21094	UROK	\N	\N
3610787	2439	1998-12-31	PRIJEM	\N	86	20976	UROK	\N	\N
3610788	2440	1998-01-31	PRIJEM	\N	49	24436	UROK	\N	\N
3610789	2440	1998-02-28	PRIJEM	\N	115	31538	UROK	\N	\N
3610790	2440	1998-03-31	PRIJEM	\N	148	40673	UROK	\N	\N
3610791	2440	1998-04-30	PRIJEM	\N	176	44136	UROK	\N	\N
3610792	2440	1998-05-31	PRIJEM	\N	182	43705	UROK	\N	\N
3610793	2440	1998-06-30	PRIJEM	\N	166	35277	UROK	\N	\N
3610794	2440	1998-07-31	PRIJEM	\N	143	36683	UROK	\N	\N
3610795	2440	1998-08-31	PRIJEM	\N	141	30486	UROK	\N	\N
3610796	2440	1998-09-30	PRIJEM	\N	122	30871	UROK	\N	\N
3610797	2440	1998-10-31	PRIJEM	\N	158	27492	UROK	\N	\N
3610798	2440	1998-11-30	PRIJEM	\N	146	43200	UROK	\N	\N
3610799	2440	1998-12-31	PRIJEM	\N	213	59519	UROK	\N	\N
3610800	2441	1997-01-31	PRIJEM	\N	30	20430	UROK	\N	\N
3610801	2441	1997-02-28	PRIJEM	\N	105	35135	UROK	\N	\N
3610802	2441	1997-03-31	PRIJEM	\N	157	43192	UROK	\N	\N
3610803	2441	1997-04-30	PRIJEM	\N	182	45474	UROK	\N	\N
3610804	2441	1997-05-31	PRIJEM	\N	208	41188	UROK	\N	\N
3610805	2441	1997-06-30	PRIJEM	\N	192	40271	UROK	\N	\N
3610806	2441	1997-07-31	PRIJEM	\N	195	42757	UROK	\N	\N
3610807	2441	1997-08-31	PRIJEM	\N	202	44151	UROK	\N	\N
3610808	2441	1997-09-30	PRIJEM	\N	209	46751	UROK	\N	\N
3610809	2441	1997-10-31	PRIJEM	\N	210	44553	UROK	\N	\N
3610810	2441	1997-11-30	PRIJEM	\N	205	44649	UROK	\N	\N
3610811	2441	1997-12-31	PRIJEM	\N	218	42558	UROK	\N	\N
3610812	2441	1998-01-31	PRIJEM	\N	146	26296	UROK	\N	\N
3610813	2441	1998-02-28	PRIJEM	\N	129	27917	UROK	\N	\N
3610814	2441	1998-03-31	PRIJEM	\N	137	29345	UROK	\N	\N
3610815	2441	1998-04-30	PRIJEM	\N	131	21468	UROK	\N	\N
3610816	2441	1998-05-31	PRIJEM	\N	115	27274	UROK	\N	\N
3610817	2441	1998-06-30	PRIJEM	\N	150	17416	UROK	\N	\N
3610818	2441	1998-07-31	PRIJEM	\N	103	24210	UROK	\N	\N
3610819	2441	1998-08-31	PRIJEM	\N	133	32335	UROK	\N	\N
3610820	2441	1998-09-30	PRIJEM	\N	149	33275	UROK	\N	\N
3610821	2441	1998-10-31	PRIJEM	\N	159	36925	UROK	\N	\N
3610822	2441	1998-11-30	PRIJEM	\N	157	34373	UROK	\N	\N
3610823	2441	1998-12-31	PRIJEM	\N	165	36029	UROK	\N	\N
3610824	2442	1998-01-31	PRIJEM	\N	34	13269	UROK	\N	\N
3610825	2442	1998-02-28	PRIJEM	\N	56	14366	UROK	\N	\N
3610826	2442	1998-03-31	PRIJEM	\N	61	15467	UROK	\N	\N
3610827	2442	1998-04-30	PRIJEM	\N	65	16573	UROK	\N	\N
3610828	2442	1998-05-31	PRIJEM	\N	69	16272	UROK	\N	\N
3610829	2442	1998-06-30	PRIJEM	\N	69	17381	UROK	\N	\N
3610830	2442	1998-07-31	PRIJEM	\N	74	18495	UROK	\N	\N
3610831	2442	1998-08-31	PRIJEM	\N	78	19313	UROK	\N	\N
3610832	2442	1998-09-30	PRIJEM	\N	76	16909	UROK	\N	\N
3610833	2442	1998-10-31	PRIJEM	\N	67	15816	UROK	\N	\N
3610834	2442	1998-11-30	PRIJEM	\N	67	16923	UROK	\N	\N
3610835	2442	1998-12-31	PRIJEM	\N	70	17343	UROK	\N	\N
3610836	2443	1997-07-31	PRIJEM	\N	23	24889	UROK	\N	\N
3610837	2443	1997-08-31	PRIJEM	\N	112	32567	UROK	\N	\N
3610838	2443	1997-09-30	PRIJEM	\N	140	36573	UROK	\N	\N
3610839	2443	1997-10-31	PRIJEM	\N	150	35289	UROK	\N	\N
3610840	2443	1997-11-30	PRIJEM	\N	178	33299	UROK	\N	\N
3610841	2443	1997-12-31	PRIJEM	\N	182	35981	UROK	\N	\N
3610842	2443	1998-01-31	PRIJEM	\N	143	20142	UROK	\N	\N
3610843	2443	1998-02-28	PRIJEM	\N	103	19162	UROK	\N	\N
3610844	2443	1998-03-31	PRIJEM	\N	110	18489	UROK	\N	\N
3610845	2443	1998-04-30	PRIJEM	\N	99	18805	UROK	\N	\N
3610846	2443	1998-05-31	PRIJEM	\N	105	17128	UROK	\N	\N
3610847	2443	1998-06-30	PRIJEM	\N	107	17335	UROK	\N	\N
3610848	2443	1998-07-31	PRIJEM	\N	97	21249	UROK	\N	\N
3610849	2443	1998-08-31	PRIJEM	\N	107	22673	UROK	\N	\N
3610850	2443	1998-09-30	PRIJEM	\N	117	27407	UROK	\N	\N
3610851	2443	1998-10-31	PRIJEM	\N	147	34571	UROK	\N	\N
3610852	2443	1998-11-30	PRIJEM	\N	153	33242	UROK	\N	\N
3610853	2443	1998-12-31	PRIJEM	\N	158	32400	UROK	\N	\N
3610854	2444	1997-09-30	PRIJEM	\N	97	30313	UROK	\N	\N
3610855	2444	1997-10-31	PRIJEM	\N	217	58645	UROK	\N	\N
3610856	2444	1997-11-30	PRIJEM	\N	286	72148	UROK	\N	\N
3610857	2444	1997-12-31	PRIJEM	\N	361	91383	UROK	\N	\N
3610858	2444	1998-01-31	PRIJEM	\N	288	38065	UROK	\N	\N
3610859	2444	1998-02-28	PRIJEM	\N	251	67918	UROK	\N	\N
3610860	2444	1998-03-31	PRIJEM	\N	326	81444	UROK	\N	\N
3610861	2444	1998-04-30	PRIJEM	\N	330	78474	UROK	\N	\N
3610862	2444	1998-05-31	PRIJEM	\N	348	85724	UROK	\N	\N
3610863	2444	1998-06-30	PRIJEM	\N	371	89800	UROK	\N	\N
3610864	2444	1998-07-31	PRIJEM	\N	351	53117	UROK	\N	\N
3610865	2444	1998-08-31	PRIJEM	\N	252	46949	UROK	\N	\N
3610866	2444	1998-09-30	PRIJEM	\N	287	75938	UROK	\N	\N
3610867	2444	1998-10-31	PRIJEM	\N	366	91805	UROK	\N	\N
3610868	2444	1998-11-30	PRIJEM	\N	339	61832	UROK	\N	\N
3610869	2444	1998-12-31	PRIJEM	\N	366	78753	UROK	\N	\N
3610870	2445	1996-08-31	PRIJEM	\N	135	53083	UROK	\N	\N
3610871	2445	1996-09-30	PRIJEM	\N	312	80633	UROK	\N	\N
3610872	2445	1996-10-31	PRIJEM	\N	364	74472	UROK	\N	\N
3610873	2445	1996-11-30	PRIJEM	\N	365	90389	UROK	\N	\N
3610874	2445	1996-12-31	PRIJEM	\N	251	51626	UROK	\N	\N
3610875	2445	1997-01-31	PRIJEM	\N	140	19478	UROK	\N	\N
3610876	2445	1997-02-28	PRIJEM	\N	240	80361	UROK	\N	\N
3610877	2445	1997-03-31	PRIJEM	\N	125	21340	UROK	\N	\N
3610878	2445	1997-04-30	PRIJEM	\N	93	21750	UROK	\N	\N
3610879	2445	1997-05-31	PRIJEM	\N	85	18720	UROK	\N	\N
3610880	2445	1997-06-30	PRIJEM	\N	222	89038	UROK	\N	\N
3610881	2445	1997-07-31	PRIJEM	\N	351	88668	UROK	\N	\N
3610882	2445	1997-08-31	PRIJEM	\N	276	55256	UROK	\N	\N
3610883	2445	1997-09-30	PRIJEM	\N	207	41646	UROK	\N	\N
3610884	2445	1997-10-31	PRIJEM	\N	107	16439	UROK	\N	\N
3610885	2445	1997-11-30	PRIJEM	\N	88	19155	UROK	\N	\N
3610886	2445	1997-12-31	PRIJEM	\N	78	17319	UROK	\N	\N
3610887	2445	1998-01-31	PRIJEM	\N	137	33807	UROK	\N	\N
3610888	2445	1998-02-28	PRIJEM	\N	101	23107	UROK	\N	\N
3610889	2445	1998-03-31	PRIJEM	\N	343	64962	UROK	\N	\N
3610890	2445	1998-04-30	PRIJEM	\N	332	60152	UROK	\N	\N
3610891	2445	1998-05-31	PRIJEM	\N	235	37987	UROK	\N	\N
3610892	2445	1998-06-30	PRIJEM	\N	153	30639	UROK	\N	\N
3610893	2445	1998-07-31	PRIJEM	\N	121	21559	UROK	\N	\N
3610894	2445	1998-08-31	PRIJEM	\N	206	39344	UROK	\N	\N
3610895	2445	1998-09-30	PRIJEM	\N	191	50790	UROK	\N	\N
3610896	2445	1998-10-31	PRIJEM	\N	243	50615	UROK	\N	\N
3610897	2445	1998-11-30	PRIJEM	\N	242	47182	UROK	\N	\N
3610898	2445	1998-12-31	PRIJEM	\N	288	71271	UROK	\N	\N
3610899	2446	1995-02-28	PRIJEM	\N	41	19715	UROK	\N	\N
3610900	2446	1995-03-31	PRIJEM	\N	94	25583	UROK	\N	\N
3610901	2446	1995-04-30	PRIJEM	\N	111	27767	UROK	\N	\N
3610902	2446	1995-05-31	PRIJEM	\N	121	30262	UROK	\N	\N
3610903	2446	1995-06-30	PRIJEM	\N	133	29834	UROK	\N	\N
3610904	2446	1995-07-31	PRIJEM	\N	121	26923	UROK	\N	\N
3610905	2446	1995-08-31	PRIJEM	\N	114	27624	UROK	\N	\N
3610906	2446	1995-09-30	PRIJEM	\N	99	20170	UROK	\N	\N
3610907	2446	1995-10-31	PRIJEM	\N	92	23049	UROK	\N	\N
3610908	2446	1995-11-30	PRIJEM	\N	97	22834	UROK	\N	\N
3610909	2446	1995-12-31	PRIJEM	\N	96	21954	UROK	\N	\N
3610910	2446	1996-01-31	PRIJEM	\N	75	13957	UROK	\N	\N
3610911	2446	1996-02-29	PRIJEM	\N	87	23531	UROK	\N	\N
3610912	2446	1996-03-31	PRIJEM	\N	101	21679	UROK	\N	\N
3610913	2446	1996-04-30	PRIJEM	\N	117	30584	UROK	\N	\N
3610914	2446	1996-05-31	PRIJEM	\N	136	33147	UROK	\N	\N
3610915	2446	1996-06-30	PRIJEM	\N	164	41275	UROK	\N	\N
3610916	2446	1996-07-31	PRIJEM	\N	159	32982	UROK	\N	\N
3610917	2446	1996-08-31	PRIJEM	\N	148	35917	UROK	\N	\N
3610918	2446	1996-09-30	PRIJEM	\N	139	30363	UROK	\N	\N
3610919	2446	1996-10-31	PRIJEM	\N	145	36396	UROK	\N	\N
3610920	2446	1996-11-30	PRIJEM	\N	153	36036	UROK	\N	\N
3610921	2446	1996-12-31	PRIJEM	\N	175	42375	UROK	\N	\N
3610922	2446	1997-01-31	PRIJEM	\N	146	27089	UROK	\N	\N
3610923	2446	1997-02-28	PRIJEM	\N	129	32405	UROK	\N	\N
3610924	2446	1997-03-31	PRIJEM	\N	151	37644	UROK	\N	\N
3610925	2446	1997-04-30	PRIJEM	\N	160	37631	UROK	\N	\N
3610926	2446	1997-05-31	PRIJEM	\N	165	41004	UROK	\N	\N
3610927	2446	1997-06-30	PRIJEM	\N	193	46001	UROK	\N	\N
3610928	2446	1997-07-31	PRIJEM	\N	188	42516	UROK	\N	\N
3610929	2446	1997-08-31	PRIJEM	\N	178	42281	UROK	\N	\N
3610930	2446	1997-09-30	PRIJEM	\N	181	43050	UROK	\N	\N
3610931	2446	1997-10-31	PRIJEM	\N	192	47029	UROK	\N	\N
3610932	2446	1997-11-30	PRIJEM	\N	180	44637	UROK	\N	\N
3610933	2446	1997-12-31	PRIJEM	\N	201	50422	UROK	\N	\N
3610934	2446	1998-01-31	PRIJEM	\N	165	37594	UROK	\N	\N
3610935	2446	1998-02-28	PRIJEM	\N	155	35077	UROK	\N	\N
3610936	2446	1998-03-31	PRIJEM	\N	170	42814	UROK	\N	\N
3610937	2446	1998-04-30	PRIJEM	\N	189	48490	UROK	\N	\N
3610938	2446	1998-05-31	PRIJEM	\N	192	43470	UROK	\N	\N
3610939	2446	1998-06-30	PRIJEM	\N	205	49899	UROK	\N	\N
3610940	2446	1998-07-31	PRIJEM	\N	217	49004	UROK	\N	\N
3610941	2446	1998-08-31	PRIJEM	\N	211	46302	UROK	\N	\N
3610942	2446	1998-09-30	PRIJEM	\N	197	48886	UROK	\N	\N
3610943	2446	1998-10-31	PRIJEM	\N	209	46663	UROK	\N	\N
3610944	2446	1998-11-30	PRIJEM	\N	200	45251	UROK	\N	\N
3610945	2446	1998-12-31	PRIJEM	\N	213	55928	UROK	\N	\N
3610946	2447	1997-07-31	PRIJEM	\N	30	12281	UROK	\N	\N
3610947	2447	1997-08-31	PRIJEM	\N	93	29625	UROK	\N	\N
3610948	2447	1997-09-30	PRIJEM	\N	141	37417	UROK	\N	\N
3610949	2447	1997-10-31	PRIJEM	\N	168	42736	UROK	\N	\N
3610950	2447	1997-11-30	PRIJEM	\N	186	46173	UROK	\N	\N
3610951	2447	1997-12-31	PRIJEM	\N	176	42719	UROK	\N	\N
3610952	2447	1998-01-31	PRIJEM	\N	131	26836	UROK	\N	\N
3610953	2447	1998-02-28	PRIJEM	\N	107	23387	UROK	\N	\N
3610954	2447	1998-03-31	PRIJEM	\N	109	28821	UROK	\N	\N
3610955	2447	1998-04-30	PRIJEM	\N	129	33676	UROK	\N	\N
3610956	2447	1998-05-31	PRIJEM	\N	152	39353	UROK	\N	\N
3610957	2447	1998-06-30	PRIJEM	\N	151	35794	UROK	\N	\N
3610958	2447	1998-07-31	PRIJEM	\N	157	40077	UROK	\N	\N
3610959	2447	1998-08-31	PRIJEM	\N	163	39865	UROK	\N	\N
3610960	2447	1998-09-30	PRIJEM	\N	174	44264	UROK	\N	\N
3610961	2447	1998-10-31	PRIJEM	\N	174	41343	UROK	\N	\N
3610962	2447	1998-11-30	PRIJEM	\N	175	43944	UROK	\N	\N
3610963	2447	1998-12-31	PRIJEM	\N	194	47048	UROK	\N	\N
3610964	2448	1997-10-31	PRIJEM	\N	54	16804	UROK	\N	\N
3610965	2448	1997-11-30	PRIJEM	\N	68	15647	UROK	\N	\N
3610966	2448	1997-12-31	PRIJEM	\N	66	16109	UROK	\N	\N
3610967	2448	1998-01-31	PRIJEM	\N	68	16662	UROK	\N	\N
3610968	2448	1998-02-28	PRIJEM	\N	70	17048	UROK	\N	\N
3610969	2448	1998-03-31	PRIJEM	\N	72	17035	UROK	\N	\N
3610970	2448	1998-04-30	PRIJEM	\N	72	17622	UROK	\N	\N
3610971	2448	1998-05-31	PRIJEM	\N	73	17600	UROK	\N	\N
3610972	2448	1998-06-30	PRIJEM	\N	72	17557	UROK	\N	\N
3610973	2448	1998-07-31	PRIJEM	\N	65	15568	UROK	\N	\N
3610974	2448	1998-08-31	PRIJEM	\N	67	15280	UROK	\N	\N
3610975	2448	1998-09-30	PRIJEM	\N	67	16462	UROK	\N	\N
3610976	2448	1998-10-31	PRIJEM	\N	67	16545	UROK	\N	\N
3610977	2448	1998-11-30	PRIJEM	\N	67	16527	UROK	\N	\N
3610978	2448	1998-12-31	PRIJEM	\N	70	16893	UROK	\N	\N
3610979	2450	1996-04-30	PRIJEM	\N	68	25724	UROK	\N	\N
3610980	2450	1996-05-31	PRIJEM	\N	178	52157	UROK	\N	\N
3610981	2450	1996-06-30	PRIJEM	\N	285	78176	UROK	\N	\N
3610982	2450	1996-07-31	PRIJEM	\N	324	77856	UROK	\N	\N
3610983	2450	1996-08-31	PRIJEM	\N	332	81044	UROK	\N	\N
3610984	2450	1996-09-30	PRIJEM	\N	304	74319	UROK	\N	\N
3610985	2450	1996-10-31	PRIJEM	\N	287	70277	UROK	\N	\N
3610986	2450	1996-11-30	PRIJEM	\N	283	70431	UROK	\N	\N
3610987	2450	1996-12-31	PRIJEM	\N	300	78181	UROK	\N	\N
3610988	2450	1997-01-31	PRIJEM	\N	264	58716	UROK	\N	\N
3610989	2450	1997-02-28	PRIJEM	\N	265	69552	UROK	\N	\N
3610990	2450	1997-03-31	PRIJEM	\N	290	73114	UROK	\N	\N
3610991	2450	1997-04-30	PRIJEM	\N	299	74485	UROK	\N	\N
3610992	2450	1997-05-31	PRIJEM	\N	308	77164	UROK	\N	\N
3610993	2450	1997-06-30	PRIJEM	\N	330	87443	UROK	\N	\N
3610994	2450	1997-07-31	PRIJEM	\N	342	82956	UROK	\N	\N
3610995	2450	1997-08-31	PRIJEM	\N	321	78448	UROK	\N	\N
3610996	2450	1997-09-30	PRIJEM	\N	309	76429	UROK	\N	\N
3610997	2450	1997-10-31	PRIJEM	\N	304	75304	UROK	\N	\N
3610998	2450	1997-11-30	PRIJEM	\N	301	74776	UROK	\N	\N
3610999	2450	1997-12-31	PRIJEM	\N	308	81433	UROK	\N	\N
3611000	2450	1998-01-31	PRIJEM	\N	271	56376	UROK	\N	\N
3611001	2450	1998-02-28	PRIJEM	\N	262	69210	UROK	\N	\N
3611002	2450	1998-03-31	PRIJEM	\N	287	75568	UROK	\N	\N
3611003	2450	1998-04-30	PRIJEM	\N	282	74722	UROK	\N	\N
3611004	2450	1998-05-31	PRIJEM	\N	297	68790	UROK	\N	\N
3611005	2450	1998-06-30	PRIJEM	\N	288	68027	UROK	\N	\N
3611006	2450	1998-07-31	PRIJEM	\N	317	71015	UROK	\N	\N
3611007	2450	1998-08-31	PRIJEM	\N	329	76215	UROK	\N	\N
3611008	2450	1998-09-30	PRIJEM	\N	348	79034	UROK	\N	\N
3611009	2450	1998-10-31	PRIJEM	\N	359	82165	UROK	\N	\N
3611010	2450	1998-11-30	PRIJEM	\N	368	80804	UROK	\N	\N
3611011	2450	1998-12-31	PRIJEM	\N	389	90242	UROK	\N	\N
3611012	2451	1997-05-31	PRIJEM	\N	7	18115	UROK	\N	\N
3611013	2451	1997-06-30	PRIJEM	\N	82	33759	UROK	\N	\N
3611014	2451	1997-07-31	PRIJEM	\N	141	35008	UROK	\N	\N
3611015	2451	1997-08-31	PRIJEM	\N	144	33360	UROK	\N	\N
3611016	2451	1997-09-30	PRIJEM	\N	172	30696	UROK	\N	\N
3611017	2451	1997-10-31	PRIJEM	\N	147	30892	UROK	\N	\N
3611018	2451	1997-11-30	PRIJEM	\N	148	32090	UROK	\N	\N
3611019	2451	1997-12-31	PRIJEM	\N	164	32637	UROK	\N	\N
3611020	2451	1998-01-31	PRIJEM	\N	131	19977	UROK	\N	\N
3611021	2451	1998-02-28	PRIJEM	\N	117	23243	UROK	\N	\N
3611022	2451	1998-03-31	PRIJEM	\N	115	24008	UROK	\N	\N
3611023	2451	1998-04-30	PRIJEM	\N	116	22773	UROK	\N	\N
3611024	2451	1998-05-31	PRIJEM	\N	120	19043	UROK	\N	\N
3611025	2451	1998-06-30	PRIJEM	\N	100	19546	UROK	\N	\N
3611026	2451	1998-07-31	PRIJEM	\N	97	19492	UROK	\N	\N
3611027	2451	1998-08-31	PRIJEM	\N	112	23053	UROK	\N	\N
3611028	2451	1998-09-30	PRIJEM	\N	102	19245	UROK	\N	\N
3611029	2451	1998-10-31	PRIJEM	\N	105	25299	UROK	\N	\N
3611030	2451	1998-11-30	PRIJEM	\N	118	25666	UROK	\N	\N
3611031	2451	1998-12-31	PRIJEM	\N	171	40520	UROK	\N	\N
3611032	2452	1997-12-31	PRIJEM	\N	61	21232	UROK	\N	\N
3611033	2452	1998-01-31	PRIJEM	\N	85	18261	UROK	\N	\N
3611034	2452	1998-02-28	PRIJEM	\N	82	20647	UROK	\N	\N
3611035	2452	1998-03-31	PRIJEM	\N	83	19114	UROK	\N	\N
3611036	2452	1998-04-30	PRIJEM	\N	85	21504	UROK	\N	\N
3611037	2452	1998-05-31	PRIJEM	\N	96	23904	UROK	\N	\N
3611038	2452	1998-06-30	PRIJEM	\N	89	18177	UROK	\N	\N
3611039	2452	1998-07-31	PRIJEM	\N	77	17759	UROK	\N	\N
3611040	2452	1998-08-31	PRIJEM	\N	82	19505	UROK	\N	\N
3611041	2452	1998-09-30	PRIJEM	\N	84	19653	UROK	\N	\N
3611042	2452	1998-10-31	PRIJEM	\N	84	20442	UROK	\N	\N
3611043	2452	1998-11-30	PRIJEM	\N	89	21235	UROK	\N	\N
3611044	2452	1998-12-31	PRIJEM	\N	93	22783	UROK	\N	\N
3611045	2453	1993-03-31	PRIJEM	\N	9	3694	UROK	\N	\N
3611046	2453	1993-04-30	PRIJEM	\N	15	6995	UROK	\N	\N
3611047	2453	1993-05-31	PRIJEM	\N	15	10295	UROK	\N	\N
3611048	2453	1993-06-30	PRIJEM	\N	15	13596	UROK	\N	\N
3611049	2453	1993-07-31	PRIJEM	\N	19	15489	UROK	\N	\N
3611050	2453	1993-08-31	PRIJEM	\N	67	16637	UROK	\N	\N
3611051	2453	1993-09-30	PRIJEM	\N	72	17789	UROK	\N	\N
3611052	2453	1993-10-31	PRIJEM	\N	77	18946	UROK	\N	\N
3611053	2453	1993-11-30	PRIJEM	\N	75	18691	UROK	\N	\N
3611054	2453	1993-12-31	PRIJEM	\N	80	19462	UROK	\N	\N
3611055	2453	1994-01-31	PRIJEM	\N	66	16468	UROK	\N	\N
3611056	2453	1994-02-28	PRIJEM	\N	71	17620	UROK	\N	\N
3611057	2453	1994-03-31	PRIJEM	\N	74	17485	UROK	\N	\N
3611058	2453	1994-04-30	PRIJEM	\N	75	18310	UROK	\N	\N
3611059	2453	1994-05-31	PRIJEM	\N	79	19469	UROK	\N	\N
3611060	2453	1994-06-30	PRIJEM	\N	84	20634	UROK	\N	\N
3611061	2453	1994-07-31	PRIJEM	\N	89	21803	UROK	\N	\N
3611062	2453	1994-08-31	PRIJEM	\N	90	22613	UROK	\N	\N
3611063	2453	1994-09-30	PRIJEM	\N	97	23790	UROK	\N	\N
3611064	2453	1994-10-31	PRIJEM	\N	102	24972	UROK	\N	\N
3611065	2453	1994-11-30	PRIJEM	\N	107	26159	UROK	\N	\N
3611066	2453	1994-12-31	PRIJEM	\N	106	24196	UROK	\N	\N
3611067	2453	1995-01-31	PRIJEM	\N	98	24354	UROK	\N	\N
3611068	2453	1995-02-28	PRIJEM	\N	104	25538	UROK	\N	\N
3611069	2453	1995-03-31	PRIJEM	\N	109	26728	UROK	\N	\N
3611070	2453	1995-04-30	PRIJEM	\N	114	27922	UROK	\N	\N
3611071	2453	1995-05-31	PRIJEM	\N	119	29121	UROK	\N	\N
3611072	2453	1995-06-30	PRIJEM	\N	95	22496	UROK	\N	\N
3611073	2453	1995-07-31	PRIJEM	\N	95	22261	UROK	\N	\N
3611074	2453	1995-08-31	PRIJEM	\N	91	22172	UROK	\N	\N
3611075	2453	1995-09-30	PRIJEM	\N	94	22777	UROK	\N	\N
3611076	2453	1995-10-31	PRIJEM	\N	97	23954	UROK	\N	\N
3611077	2453	1995-11-30	PRIJEM	\N	101	23906	UROK	\N	\N
3611078	2453	1995-12-31	PRIJEM	\N	97	23913	UROK	\N	\N
3611079	2453	1996-01-31	PRIJEM	\N	96	22599	UROK	\N	\N
3611080	2453	1996-02-29	PRIJEM	\N	96	23776	UROK	\N	\N
3611081	2453	1996-03-31	PRIJEM	\N	101	24567	UROK	\N	\N
3611082	2453	1996-04-30	PRIJEM	\N	104	25751	UROK	\N	\N
3611083	2453	1996-05-31	PRIJEM	\N	109	26941	UROK	\N	\N
3611084	2453	1996-06-30	PRIJEM	\N	85	20366	UROK	\N	\N
3611085	2453	1996-07-31	PRIJEM	\N	82	20658	UROK	\N	\N
3611086	2453	1996-08-31	PRIJEM	\N	88	21827	UROK	\N	\N
3611087	2453	1996-09-30	PRIJEM	\N	86	21613	UROK	\N	\N
3611088	2453	1996-10-31	PRIJEM	\N	92	22785	UROK	\N	\N
3611089	2453	1996-11-30	PRIJEM	\N	97	23962	UROK	\N	\N
3611090	2453	1996-12-31	PRIJEM	\N	101	24843	UROK	\N	\N
3611091	2453	1997-01-31	PRIJEM	\N	96	23349	UROK	\N	\N
3611092	2453	1997-02-28	PRIJEM	\N	99	24528	UROK	\N	\N
3611093	2453	1997-03-31	PRIJEM	\N	104	25712	UROK	\N	\N
3611094	2453	1997-04-30	PRIJEM	\N	105	26117	UROK	\N	\N
3611095	2453	1997-05-31	PRIJEM	\N	110	27308	UROK	\N	\N
3611096	2453	1997-06-30	PRIJEM	\N	94	22153	UROK	\N	\N
3611097	2453	1997-07-31	PRIJEM	\N	93	23326	UROK	\N	\N
3611098	2453	1997-08-31	PRIJEM	\N	98	24505	UROK	\N	\N
3611099	2453	1997-09-30	PRIJEM	\N	103	25688	UROK	\N	\N
3611100	2453	1997-10-31	PRIJEM	\N	105	25433	UROK	\N	\N
3611101	2453	1997-11-30	PRIJEM	\N	107	26620	UROK	\N	\N
3611102	2453	1997-12-31	PRIJEM	\N	110	26731	UROK	\N	\N
3611103	2453	1998-01-31	PRIJEM	\N	105	25396	UROK	\N	\N
3611104	2453	1998-02-28	PRIJEM	\N	105	25291	UROK	\N	\N
3611105	2453	1998-03-31	PRIJEM	\N	100	25362	UROK	\N	\N
3611106	2453	1998-04-30	PRIJEM	\N	106	26548	UROK	\N	\N
3611107	2453	1998-05-31	PRIJEM	\N	110	26748	UROK	\N	\N
3611108	2453	1998-06-30	PRIJEM	\N	103	22921	UROK	\N	\N
3611109	2453	1998-07-31	PRIJEM	\N	96	24098	UROK	\N	\N
3611110	2453	1998-08-31	PRIJEM	\N	101	25278	UROK	\N	\N
3611111	2453	1998-09-30	PRIJEM	\N	105	26464	UROK	\N	\N
3611112	2453	1998-10-31	PRIJEM	\N	109	26933	UROK	\N	\N
3611113	2453	1998-11-30	PRIJEM	\N	112	28126	UROK	\N	\N
3611114	2453	1998-12-31	PRIJEM	\N	116	28993	UROK	\N	\N
3611115	2455	1997-02-28	PRIJEM	\N	18	6434	UROK	\N	\N
3611116	2455	1997-03-31	PRIJEM	\N	27	12677	UROK	\N	\N
3611117	2455	1997-04-30	PRIJEM	\N	27	18920	UROK	\N	\N
3611118	2455	1997-05-31	PRIJEM	\N	27	25162	UROK	\N	\N
3611119	2455	1997-06-30	PRIJEM	\N	70	22569	UROK	\N	\N
3611120	2455	1997-07-31	PRIJEM	\N	103	25611	UROK	\N	\N
3611121	2455	1997-08-31	PRIJEM	\N	111	24101	UROK	\N	\N
3611122	2455	1997-09-30	PRIJEM	\N	104	24185	UROK	\N	\N
3611123	2455	1997-10-31	PRIJEM	\N	109	27234	UROK	\N	\N
3611124	2455	1997-11-30	PRIJEM	\N	122	30295	UROK	\N	\N
3611125	2455	1997-12-31	PRIJEM	\N	123	30707	UROK	\N	\N
3611126	2455	1998-01-31	PRIJEM	\N	112	26248	UROK	\N	\N
3611127	2455	1998-02-28	PRIJEM	\N	118	29305	UROK	\N	\N
3611128	2455	1998-03-31	PRIJEM	\N	131	32375	UROK	\N	\N
3611129	2455	1998-04-30	PRIJEM	\N	128	28483	UROK	\N	\N
3611130	2455	1998-05-31	PRIJEM	\N	127	31550	UROK	\N	\N
3611131	2455	1998-06-30	PRIJEM	\N	133	28072	UROK	\N	\N
3611132	2455	1998-07-31	PRIJEM	\N	126	31137	UROK	\N	\N
3611133	2455	1998-08-31	PRIJEM	\N	138	34014	UROK	\N	\N
3611134	2455	1998-09-30	PRIJEM	\N	149	34703	UROK	\N	\N
3611135	2455	1998-10-31	PRIJEM	\N	137	32440	UROK	\N	\N
3611136	2455	1998-11-30	PRIJEM	\N	139	29158	UROK	\N	\N
3611137	2455	1998-12-31	PRIJEM	\N	125	30823	UROK	\N	\N
3611138	2456	1995-09-30	PRIJEM	\N	61	25785	UROK	\N	\N
3611139	2456	1995-10-31	PRIJEM	\N	171	52180	UROK	\N	\N
3611140	2456	1995-11-30	PRIJEM	\N	248	65652	UROK	\N	\N
3611141	2456	1995-12-31	PRIJEM	\N	316	83554	UROK	\N	\N
3611142	2456	1996-01-31	PRIJEM	\N	325	66202	UROK	\N	\N
3611143	2456	1996-02-29	PRIJEM	\N	222	57280	UROK	\N	\N
3611144	2456	1996-03-31	PRIJEM	\N	195	46076	UROK	\N	\N
3611145	2456	1996-04-30	PRIJEM	\N	173	43505	UROK	\N	\N
3611146	2456	1996-05-31	PRIJEM	\N	181	31357	UROK	\N	\N
3611147	2456	1996-06-30	PRIJEM	\N	136	22323	UROK	\N	\N
3611148	2456	1996-07-31	PRIJEM	\N	124	35514	UROK	\N	\N
3611149	2456	1996-08-31	PRIJEM	\N	146	21559	UROK	\N	\N
3611150	2456	1996-09-30	PRIJEM	\N	128	38655	UROK	\N	\N
3611151	2456	1996-10-31	PRIJEM	\N	148	40752	UROK	\N	\N
3611152	2456	1996-11-30	PRIJEM	\N	189	50009	UROK	\N	\N
3611153	2456	1996-12-31	PRIJEM	\N	202	57241	UROK	\N	\N
3611154	2456	1997-01-31	PRIJEM	\N	179	32688	UROK	\N	\N
3611155	2456	1997-02-28	PRIJEM	\N	158	44214	UROK	\N	\N
3611156	2456	1997-03-31	PRIJEM	\N	104	22457	UROK	\N	\N
3611157	2456	1997-04-30	PRIJEM	\N	141	43266	UROK	\N	\N
3611158	2456	1997-05-31	PRIJEM	\N	211	57945	UROK	\N	\N
3611159	2456	1997-06-30	PRIJEM	\N	201	40567	UROK	\N	\N
3611160	2456	1997-07-31	PRIJEM	\N	151	39691	UROK	\N	\N
3611161	2456	1997-08-31	PRIJEM	\N	168	44927	UROK	\N	\N
3611162	2456	1997-09-30	PRIJEM	\N	207	50002	UROK	\N	\N
3611163	2456	1997-10-31	PRIJEM	\N	228	52998	UROK	\N	\N
3611164	2456	1997-11-30	PRIJEM	\N	207	49673	UROK	\N	\N
3611165	2456	1997-12-31	PRIJEM	\N	193	39209	UROK	\N	\N
3611166	2456	1998-01-31	PRIJEM	\N	171	41848	UROK	\N	\N
3611167	2456	1998-02-28	PRIJEM	\N	196	50912	UROK	\N	\N
3611168	2456	1998-03-31	PRIJEM	\N	222	46417	UROK	\N	\N
3611169	2456	1998-04-30	PRIJEM	\N	214	56399	UROK	\N	\N
3611170	2456	1998-05-31	PRIJEM	\N	213	51663	UROK	\N	\N
3611171	2456	1998-06-30	PRIJEM	\N	242	55632	UROK	\N	\N
3611172	2456	1998-07-31	PRIJEM	\N	229	56831	UROK	\N	\N
3611173	2456	1998-08-31	PRIJEM	\N	212	50612	UROK	\N	\N
3611174	2456	1998-09-30	PRIJEM	\N	200	47066	UROK	\N	\N
3611175	2456	1998-10-31	PRIJEM	\N	186	30880	UROK	\N	\N
3611176	2456	1998-11-30	PRIJEM	\N	159	47206	UROK	\N	\N
3611177	2456	1998-12-31	PRIJEM	\N	202	43892	UROK	\N	\N
3611178	2457	1993-12-31	PRIJEM	\N	52	18580	UROK	\N	\N
3611179	2457	1994-01-31	PRIJEM	\N	92	23725	UROK	\N	\N
3611180	2457	1994-02-28	PRIJEM	\N	120	31196	UROK	\N	\N
3611181	2457	1994-03-31	PRIJEM	\N	125	29673	UROK	\N	\N
3611182	2457	1994-04-30	PRIJEM	\N	122	27713	UROK	\N	\N
3611183	2457	1994-05-31	PRIJEM	\N	116	26632	UROK	\N	\N
3611184	2457	1994-06-30	PRIJEM	\N	113	27025	UROK	\N	\N
3611185	2457	1994-07-31	PRIJEM	\N	113	26441	UROK	\N	\N
3611186	2457	1994-08-31	PRIJEM	\N	122	29766	UROK	\N	\N
3611187	2457	1994-09-30	PRIJEM	\N	110	24879	UROK	\N	\N
3611188	2457	1994-10-31	PRIJEM	\N	113	27496	UROK	\N	\N
3611189	2457	1994-11-30	PRIJEM	\N	110	24109	UROK	\N	\N
3611190	2457	1994-12-31	PRIJEM	\N	113	27502	UROK	\N	\N
3611191	2457	1995-01-31	PRIJEM	\N	104	23909	UROK	\N	\N
3611192	2457	1995-02-28	PRIJEM	\N	101	23914	UROK	\N	\N
3611193	2457	1995-03-31	PRIJEM	\N	104	23121	UROK	\N	\N
3611194	2457	1995-04-30	PRIJEM	\N	96	22420	UROK	\N	\N
3611195	2457	1995-05-31	PRIJEM	\N	104	25428	UROK	\N	\N
3611196	2457	1995-06-30	PRIJEM	\N	119	29225	UROK	\N	\N
3611197	2457	1995-07-31	PRIJEM	\N	119	27848	UROK	\N	\N
3611198	2457	1995-08-31	PRIJEM	\N	110	25462	UROK	\N	\N
3611199	2457	1995-09-30	PRIJEM	\N	112	26977	UROK	\N	\N
3611200	2457	1995-10-31	PRIJEM	\N	114	26994	UROK	\N	\N
3611201	2457	1995-11-30	PRIJEM	\N	110	25607	UROK	\N	\N
3611202	2457	1995-12-31	PRIJEM	\N	108	25095	UROK	\N	\N
3611203	2457	1996-01-31	PRIJEM	\N	97	25095	UROK	\N	\N
3611204	2457	1996-02-29	PRIJEM	\N	108	27107	UROK	\N	\N
3611205	2457	1996-03-31	PRIJEM	\N	100	22510	UROK	\N	\N
3611206	2457	1996-04-30	PRIJEM	\N	97	21610	UROK	\N	\N
3611207	2457	1996-05-31	PRIJEM	\N	93	18007	UROK	\N	\N
3611208	2457	1996-06-30	PRIJEM	\N	84	21070	UROK	\N	\N
3611209	2457	1996-07-31	PRIJEM	\N	90	20264	UROK	\N	\N
3611210	2457	1996-08-31	PRIJEM	\N	80	19547	UROK	\N	\N
3611211	2457	1996-09-30	PRIJEM	\N	83	19234	UROK	\N	\N
3611212	2457	1996-10-31	PRIJEM	\N	77	15514	UROK	\N	\N
3611213	2457	1996-11-30	PRIJEM	\N	64	12982	UROK	\N	\N
3611214	2457	1996-12-31	PRIJEM	\N	63	17124	UROK	\N	\N
3611215	2457	1997-01-31	PRIJEM	\N	67	12995	UROK	\N	\N
3611216	2457	1997-02-28	PRIJEM	\N	55	12153	UROK	\N	\N
3611217	2457	1997-03-31	PRIJEM	\N	52	12508	UROK	\N	\N
3611218	2457	1997-04-30	PRIJEM	\N	53	12165	UROK	\N	\N
3611219	2457	1997-05-31	PRIJEM	\N	54	14122	UROK	\N	\N
3611220	2457	1997-06-30	PRIJEM	\N	68	17870	UROK	\N	\N
3611221	2457	1997-07-31	PRIJEM	\N	70	13843	UROK	\N	\N
3611222	2457	1997-08-31	PRIJEM	\N	61	15807	UROK	\N	\N
3611223	2457	1997-09-30	PRIJEM	\N	69	17779	UROK	\N	\N
3611224	2457	1997-10-31	PRIJEM	\N	71	15553	UROK	\N	\N
3611225	2457	1997-11-30	PRIJEM	\N	65	15922	UROK	\N	\N
3611226	2457	1997-12-31	PRIJEM	\N	70	17571	UROK	\N	\N
3611227	2457	1998-01-31	PRIJEM	\N	68	14942	UROK	\N	\N
3611228	2457	1998-02-28	PRIJEM	\N	67	18613	UROK	\N	\N
3611229	2457	1998-03-31	PRIJEM	\N	78	19194	UROK	\N	\N
3611230	2457	1998-04-30	PRIJEM	\N	83	21681	UROK	\N	\N
3611231	2457	1998-05-31	PRIJEM	\N	92	21176	UROK	\N	\N
3611232	2457	1998-06-30	PRIJEM	\N	92	20148	UROK	\N	\N
3611233	2457	1998-07-31	PRIJEM	\N	83	20535	UROK	\N	\N
3611234	2457	1998-08-31	PRIJEM	\N	80	18618	UROK	\N	\N
3611235	2457	1998-09-30	PRIJEM	\N	67	14689	UROK	\N	\N
3611236	2457	1998-10-31	PRIJEM	\N	54	12546	UROK	\N	\N
3611237	2457	1998-11-30	PRIJEM	\N	57	15706	UROK	\N	\N
3611238	2457	1998-12-31	PRIJEM	\N	76	19561	UROK	\N	\N
3611239	2459	1997-09-30	PRIJEM	\N	12	5261	UROK	\N	\N
3611240	2459	1997-10-31	PRIJEM	\N	22	10332	UROK	\N	\N
3611241	2459	1997-11-30	PRIJEM	\N	22	15403	UROK	\N	\N
3611242	2459	1997-12-31	PRIJEM	\N	22	20474	UROK	\N	\N
3611243	2459	1998-01-31	PRIJEM	\N	56	20699	UROK	\N	\N
3611244	2459	1998-02-28	PRIJEM	\N	84	19527	UROK	\N	\N
3611245	2459	1998-03-31	PRIJEM	\N	89	22679	UROK	\N	\N
3611246	2459	1998-04-30	PRIJEM	\N	102	25844	UROK	\N	\N
3611247	2459	1998-05-31	PRIJEM	\N	115	29022	UROK	\N	\N
3611248	2459	1998-06-30	PRIJEM	\N	114	27049	UROK	\N	\N
3611249	2459	1998-07-31	PRIJEM	\N	120	30233	UROK	\N	\N
3611250	2459	1998-08-31	PRIJEM	\N	114	27610	UROK	\N	\N
3611251	2459	1998-09-30	PRIJEM	\N	115	29288	UROK	\N	\N
3611252	2459	1998-10-31	PRIJEM	\N	104	25655	UROK	\N	\N
3611253	2459	1998-11-30	PRIJEM	\N	87	22646	UROK	\N	\N
3611254	2459	1998-12-31	PRIJEM	\N	101	24610	UROK	\N	\N
3611255	2460	1993-12-31	PRIJEM	\N	26	19012	UROK	\N	\N
3611256	2460	1994-01-31	PRIJEM	\N	79	26015	UROK	\N	\N
3611257	2460	1994-02-28	PRIJEM	\N	94	30032	UROK	\N	\N
3611258	2460	1994-03-31	PRIJEM	\N	124	29480	UROK	\N	\N
3611259	2460	1994-04-30	PRIJEM	\N	123	30027	UROK	\N	\N
3611260	2460	1994-05-31	PRIJEM	\N	125	29761	UROK	\N	\N
3611261	2460	1994-06-30	PRIJEM	\N	105	21137	UROK	\N	\N
3611262	2460	1994-07-31	PRIJEM	\N	95	22342	UROK	\N	\N
3611263	2460	1994-08-31	PRIJEM	\N	101	27253	UROK	\N	\N
3611264	2460	1994-09-30	PRIJEM	\N	112	26774	UROK	\N	\N
3611265	2460	1994-10-31	PRIJEM	\N	119	28303	UROK	\N	\N
3611266	2460	1994-11-30	PRIJEM	\N	115	27027	UROK	\N	\N
3611267	2460	1994-12-31	PRIJEM	\N	119	28317	UROK	\N	\N
3611268	2460	1995-01-31	PRIJEM	\N	93	18220	UROK	\N	\N
3611269	2460	1995-02-28	PRIJEM	\N	78	16708	UROK	\N	\N
3611270	2460	1995-03-31	PRIJEM	\N	82	23099	UROK	\N	\N
3611271	2460	1995-04-30	PRIJEM	\N	102	26011	UROK	\N	\N
3611272	2460	1995-05-31	PRIJEM	\N	115	29435	UROK	\N	\N
3611273	2460	1995-06-30	PRIJEM	\N	111	25118	UROK	\N	\N
3611274	2460	1995-07-31	PRIJEM	\N	113	29141	UROK	\N	\N
3611275	2460	1995-08-31	PRIJEM	\N	122	28172	UROK	\N	\N
3611276	2460	1995-09-30	PRIJEM	\N	127	32308	UROK	\N	\N
3611277	2460	1995-10-31	PRIJEM	\N	130	30647	UROK	\N	\N
3611278	2460	1995-11-30	PRIJEM	\N	136	34292	UROK	\N	\N
3611279	2460	1995-12-31	PRIJEM	\N	150	36114	UROK	\N	\N
3611280	2460	1996-01-31	PRIJEM	\N	114	28337	UROK	\N	\N
3611281	2460	1996-02-29	PRIJEM	\N	135	35481	UROK	\N	\N
3611282	2460	1996-03-31	PRIJEM	\N	157	39448	UROK	\N	\N
3611283	2460	1996-04-30	PRIJEM	\N	164	39621	UROK	\N	\N
3611284	2460	1996-05-31	PRIJEM	\N	170	42101	UROK	\N	\N
3611285	2460	1996-06-30	PRIJEM	\N	155	18927	UROK	\N	\N
3611286	2460	1996-07-31	PRIJEM	\N	100	27336	UROK	\N	\N
3611287	2460	1996-08-31	PRIJEM	\N	130	29876	UROK	\N	\N
3611288	2460	1996-09-30	PRIJEM	\N	145	38630	UROK	\N	\N
3611289	2460	1996-10-31	PRIJEM	\N	159	39998	UROK	\N	\N
3611290	2460	1996-11-30	PRIJEM	\N	166	40674	UROK	\N	\N
3611291	2460	1996-12-31	PRIJEM	\N	179	43724	UROK	\N	\N
3611292	2460	1997-01-31	PRIJEM	\N	134	31168	UROK	\N	\N
3611293	2460	1997-02-28	PRIJEM	\N	137	34314	UROK	\N	\N
3611294	2460	1997-03-31	PRIJEM	\N	153	38977	UROK	\N	\N
3611295	2460	1997-04-30	PRIJEM	\N	155	37041	UROK	\N	\N
3611296	2460	1997-05-31	PRIJEM	\N	160	40010	UROK	\N	\N
3611297	2460	1997-06-30	PRIJEM	\N	122	18404	UROK	\N	\N
3611298	2460	1997-07-31	PRIJEM	\N	113	33526	UROK	\N	\N
3611299	2460	1997-08-31	PRIJEM	\N	162	43198	UROK	\N	\N
3611300	2460	1997-09-30	PRIJEM	\N	188	47195	UROK	\N	\N
3611301	2460	1997-10-31	PRIJEM	\N	206	51610	UROK	\N	\N
3611302	2460	1997-11-30	PRIJEM	\N	192	44811	UROK	\N	\N
3611303	2460	1997-12-31	PRIJEM	\N	198	49881	UROK	\N	\N
3611304	2460	1998-01-31	PRIJEM	\N	177	40167	UROK	\N	\N
3611305	2460	1998-02-28	PRIJEM	\N	166	47243	UROK	\N	\N
3611306	2460	1998-03-31	PRIJEM	\N	203	50855	UROK	\N	\N
3611307	2460	1998-04-30	PRIJEM	\N	201	56166	UROK	\N	\N
3611308	2460	1998-05-31	PRIJEM	\N	188	47863	UROK	\N	\N
3611309	2460	1998-06-30	PRIJEM	\N	198	48832	UROK	\N	\N
3611310	2460	1998-07-31	PRIJEM	\N	202	53444	UROK	\N	\N
3611311	2460	1998-08-31	PRIJEM	\N	225	52478	UROK	\N	\N
3611312	2460	1998-09-30	PRIJEM	\N	217	54504	UROK	\N	\N
3611313	2460	1998-10-31	PRIJEM	\N	226	58239	UROK	\N	\N
3611314	2460	1998-11-30	PRIJEM	\N	241	61590	UROK	\N	\N
3611315	2460	1998-12-31	PRIJEM	\N	276	70637	UROK	\N	\N
3611356	2463	1994-11-30	PRIJEM	\N	63	21723	UROK	\N	\N
3611357	2463	1994-12-31	PRIJEM	\N	127	34240	UROK	\N	\N
3611358	2463	1995-01-31	PRIJEM	\N	149	36549	UROK	\N	\N
3611359	2463	1995-02-28	PRIJEM	\N	200	34310	UROK	\N	\N
3611360	2463	1995-03-31	PRIJEM	\N	163	34056	UROK	\N	\N
3611361	2463	1995-04-30	PRIJEM	\N	134	31459	UROK	\N	\N
3611362	2463	1995-05-31	PRIJEM	\N	129	30656	UROK	\N	\N
3611363	2463	1995-06-30	PRIJEM	\N	138	33592	UROK	\N	\N
3611364	2463	1995-07-31	PRIJEM	\N	130	28250	UROK	\N	\N
3611365	2463	1995-08-31	PRIJEM	\N	145	36043	UROK	\N	\N
3611366	2463	1995-09-30	PRIJEM	\N	152	34324	UROK	\N	\N
3611367	2463	1995-10-31	PRIJEM	\N	149	35941	UROK	\N	\N
3611368	2463	1995-11-30	PRIJEM	\N	150	35959	UROK	\N	\N
3611369	2463	1995-12-31	PRIJEM	\N	171	41709	UROK	\N	\N
3611370	2463	1996-01-31	PRIJEM	\N	140	25557	UROK	\N	\N
3611371	2463	1996-02-29	PRIJEM	\N	114	29400	UROK	\N	\N
3611372	2463	1996-03-31	PRIJEM	\N	126	30034	UROK	\N	\N
3611373	2463	1996-04-30	PRIJEM	\N	134	32636	UROK	\N	\N
3611374	2463	1996-05-31	PRIJEM	\N	143	34848	UROK	\N	\N
3611375	2463	1996-06-30	PRIJEM	\N	127	26853	UROK	\N	\N
3611376	2463	1996-07-31	PRIJEM	\N	135	30637	UROK	\N	\N
3611377	2463	1996-08-31	PRIJEM	\N	146	36751	UROK	\N	\N
3611378	2463	1996-09-30	PRIJEM	\N	135	37154	UROK	\N	\N
3611379	2463	1996-10-31	PRIJEM	\N	138	25860	UROK	\N	\N
3611380	2463	1996-11-30	PRIJEM	\N	138	27566	UROK	\N	\N
3611381	2463	1996-12-31	PRIJEM	\N	163	31568	UROK	\N	\N
3611382	2463	1997-01-31	PRIJEM	\N	143	21819	UROK	\N	\N
3611383	2463	1997-02-28	PRIJEM	\N	120	25908	UROK	\N	\N
3611384	2463	1997-03-31	PRIJEM	\N	124	20080	UROK	\N	\N
3611385	2463	1997-04-30	PRIJEM	\N	97	16106	UROK	\N	\N
3611386	2463	1997-05-31	PRIJEM	\N	96	19230	UROK	\N	\N
3611387	2463	1997-06-30	PRIJEM	\N	115	18784	UROK	\N	\N
3611388	2463	1997-07-31	PRIJEM	\N	105	20397	UROK	\N	\N
3611389	2463	1997-08-31	PRIJEM	\N	112	25078	UROK	\N	\N
3611390	2463	1997-09-30	PRIJEM	\N	128	26074	UROK	\N	\N
3611391	2463	1997-10-31	PRIJEM	\N	131	26573	UROK	\N	\N
3611392	2463	1997-11-30	PRIJEM	\N	131	24392	UROK	\N	\N
3611393	2463	1997-12-31	PRIJEM	\N	142	34812	UROK	\N	\N
3611394	2463	1998-01-31	PRIJEM	\N	146	18467	UROK	\N	\N
3611395	2463	1998-02-28	PRIJEM	\N	98	21534	UROK	\N	\N
3611396	2463	1998-03-31	PRIJEM	\N	88	14631	UROK	\N	\N
3611397	2463	1998-04-30	PRIJEM	\N	81	16280	UROK	\N	\N
3611398	2463	1998-05-31	PRIJEM	\N	101	28749	UROK	\N	\N
3611399	2463	1998-06-30	PRIJEM	\N	136	24723	UROK	\N	\N
3611400	2463	1998-07-31	PRIJEM	\N	115	21606	UROK	\N	\N
3611401	2463	1998-08-31	PRIJEM	\N	96	15870	UROK	\N	\N
3611402	2463	1998-09-30	PRIJEM	\N	77	14716	UROK	\N	\N
3611403	2463	1998-10-31	PRIJEM	\N	85	21409	UROK	\N	\N
3611404	2463	1998-11-30	PRIJEM	\N	121	33898	UROK	\N	\N
3611405	2463	1998-12-31	PRIJEM	\N	185	50502	UROK	\N	\N
3611406	2464	1993-07-31	PRIJEM	\N	97	37542	UROK	\N	\N
3611407	2464	1993-08-31	PRIJEM	\N	302	103022	UROK	\N	\N
3611408	2464	1993-09-30	PRIJEM	\N	181	19543	UROK	\N	\N
3611409	2464	1993-10-31	PRIJEM	\N	184	49184	UROK	\N	\N
3611410	2464	1993-11-30	PRIJEM	\N	270	51985	UROK	\N	\N
3611411	2464	1993-12-31	PRIJEM	\N	245	43791	UROK	\N	\N
3611412	2464	1994-01-31	PRIJEM	\N	99	21454	UROK	\N	\N
3611413	2464	1994-02-28	PRIJEM	\N	296	48533	UROK	\N	\N
3611414	2464	1994-03-31	PRIJEM	\N	186	38550	UROK	\N	\N
3611415	2464	1994-04-30	PRIJEM	\N	143	50670	UROK	\N	\N
3611416	2464	1994-05-31	PRIJEM	\N	175	27309	UROK	\N	\N
3611417	2464	1994-06-30	PRIJEM	\N	90	22663	UROK	\N	\N
3611418	2464	1994-07-31	PRIJEM	\N	73	21501	UROK	\N	\N
3611419	2464	1994-08-31	PRIJEM	\N	132	61743	UROK	\N	\N
3611420	2464	1994-09-30	PRIJEM	\N	216	38422	UROK	\N	\N
3611421	2464	1994-10-31	PRIJEM	\N	133	28119	UROK	\N	\N
3611422	2464	1994-11-30	PRIJEM	\N	144	44207	UROK	\N	\N
3611423	2464	1994-12-31	PRIJEM	\N	185	53654	UROK	\N	\N
3611424	2464	1995-01-31	PRIJEM	\N	221	39891	UROK	\N	\N
3611425	2464	1995-02-28	PRIJEM	\N	137	26392	UROK	\N	\N
3611426	2464	1995-03-31	PRIJEM	\N	124	44097	UROK	\N	\N
3611427	2464	1995-04-30	PRIJEM	\N	153	30114	UROK	\N	\N
3611428	2464	1995-05-31	PRIJEM	\N	103	24481	UROK	\N	\N
3611429	2464	1995-06-30	PRIJEM	\N	80	18626	UROK	\N	\N
3611430	2464	1995-07-31	PRIJEM	\N	69	37579	UROK	\N	\N
3611431	2464	1995-08-31	PRIJEM	\N	132	29575	UROK	\N	\N
3611432	2464	1995-09-30	PRIJEM	\N	127	31538	UROK	\N	\N
3611433	2464	1995-10-31	PRIJEM	\N	105	22307	UROK	\N	\N
3611434	2464	1995-11-30	PRIJEM	\N	75	17946	UROK	\N	\N
3611435	2464	1995-12-31	PRIJEM	\N	62	16172	UROK	\N	\N
3611436	2464	1996-01-31	PRIJEM	\N	59	16495	UROK	\N	\N
3611437	2464	1996-02-29	PRIJEM	\N	61	16520	UROK	\N	\N
3611438	2464	1996-03-31	PRIJEM	\N	62	17746	UROK	\N	\N
3611439	2464	1996-04-30	PRIJEM	\N	72	23137	UROK	\N	\N
3611440	2464	1996-05-31	PRIJEM	\N	192	53379	UROK	\N	\N
3611441	2464	1996-06-30	PRIJEM	\N	293	53190	UROK	\N	\N
3611442	2464	1996-07-31	PRIJEM	\N	288	53454	UROK	\N	\N
3611443	2464	1996-08-31	PRIJEM	\N	191	56956	UROK	\N	\N
3611444	2464	1996-09-30	PRIJEM	\N	144	25600	UROK	\N	\N
3611445	2464	1996-10-31	PRIJEM	\N	94	21957	UROK	\N	\N
3611446	2464	1996-11-30	PRIJEM	\N	92	18113	UROK	\N	\N
3611447	2464	1996-12-31	PRIJEM	\N	46	7824	UROK	\N	\N
3611448	2464	1997-01-31	PRIJEM	\N	237	109295	UROK	\N	\N
3611449	2464	1997-02-28	PRIJEM	\N	293	80093	UROK	\N	\N
3611450	2464	1997-03-31	PRIJEM	\N	245	46902	UROK	\N	\N
3611451	2464	1997-04-30	PRIJEM	\N	197	27194	UROK	\N	\N
3611452	2464	1997-05-31	PRIJEM	\N	107	43844	UROK	\N	\N
3611453	2464	1997-06-30	PRIJEM	\N	135	35975	UROK	\N	\N
3611454	2464	1997-07-31	PRIJEM	\N	142	41844	UROK	\N	\N
3611455	2464	1997-08-31	PRIJEM	\N	183	45798	UROK	\N	\N
3611456	2464	1997-09-30	PRIJEM	\N	155	68850	UROK	\N	\N
3611457	2464	1997-10-31	PRIJEM	\N	191	32883	UROK	\N	\N
3611458	2464	1997-11-30	PRIJEM	\N	106	35681	UROK	\N	\N
3611459	2464	1997-12-31	PRIJEM	\N	275	52533	UROK	\N	\N
3611460	2464	1998-01-31	PRIJEM	\N	209	45494	UROK	\N	\N
3611461	2464	1998-02-28	PRIJEM	\N	109	17968	UROK	\N	\N
3611462	2464	1998-03-31	PRIJEM	\N	163	91813	UROK	\N	\N
3611463	2464	1998-04-30	PRIJEM	\N	222	59840	UROK	\N	\N
3611464	2464	1998-05-31	PRIJEM	\N	144	25148	UROK	\N	\N
3611465	2464	1998-06-30	PRIJEM	\N	82	40303	UROK	\N	\N
3611466	2464	1998-07-31	PRIJEM	\N	88	14255	UROK	\N	\N
3611467	2464	1998-08-31	PRIJEM	\N	154	102847	UROK	\N	\N
3611468	2464	1998-09-30	PRIJEM	\N	388	109145	UROK	\N	\N
3611469	2464	1998-10-31	PRIJEM	\N	323	87037	UROK	\N	\N
3611470	2464	1998-11-30	PRIJEM	\N	270	96899	UROK	\N	\N
3611471	2464	1998-12-31	PRIJEM	\N	325	85720	UROK	\N	\N
3611472	2465	1996-10-31	PRIJEM	\N	17	7020	UROK	\N	\N
3611473	2465	1996-11-30	PRIJEM	\N	29	13052	UROK	\N	\N
3611474	2465	1996-12-31	PRIJEM	\N	29	19084	UROK	\N	\N
3611475	2465	1997-01-31	PRIJEM	\N	29	25116	UROK	\N	\N
3611476	2465	1997-02-28	PRIJEM	\N	82	30501	UROK	\N	\N
3611477	2465	1997-03-31	PRIJEM	\N	127	32087	UROK	\N	\N
3611478	2465	1997-04-30	PRIJEM	\N	123	25908	UROK	\N	\N
3611479	2465	1997-05-31	PRIJEM	\N	91	20917	UROK	\N	\N
3611480	2465	1997-06-30	PRIJEM	\N	81	20306	UROK	\N	\N
3611481	2465	1997-07-31	PRIJEM	\N	83	20108	UROK	\N	\N
3611482	2465	1997-08-31	PRIJEM	\N	88	22554	UROK	\N	\N
3611483	2465	1997-09-30	PRIJEM	\N	98	25009	UROK	\N	\N
3611484	2465	1997-10-31	PRIJEM	\N	99	24767	UROK	\N	\N
3611485	2465	1997-11-30	PRIJEM	\N	103	26529	UROK	\N	\N
3611486	2465	1997-12-31	PRIJEM	\N	99	24037	UROK	\N	\N
3611487	2465	1998-01-31	PRIJEM	\N	82	18397	UROK	\N	\N
3611488	2465	1998-02-28	PRIJEM	\N	80	20835	UROK	\N	\N
3611489	2465	1998-03-31	PRIJEM	\N	85	20158	UROK	\N	\N
3611490	2465	1998-04-30	PRIJEM	\N	86	18603	UROK	\N	\N
3611491	2465	1998-05-31	PRIJEM	\N	80	17841	UROK	\N	\N
3611492	2465	1998-06-30	PRIJEM	\N	75	14994	UROK	\N	\N
3611493	2465	1998-07-31	PRIJEM	\N	65	16418	UROK	\N	\N
3611494	2465	1998-08-31	PRIJEM	\N	71	18048	UROK	\N	\N
3611495	2465	1998-09-30	PRIJEM	\N	77	18583	UROK	\N	\N
3611496	2465	1998-10-31	PRIJEM	\N	77	17119	UROK	\N	\N
3611497	2465	1998-11-30	PRIJEM	\N	64	14162	UROK	\N	\N
3611498	2465	1998-12-31	PRIJEM	\N	62	16583	UROK	\N	\N
3611499	2466	1997-04-30	PRIJEM	\N	53	21196	UROK	\N	\N
3611500	2466	1997-05-31	PRIJEM	\N	149	44987	UROK	\N	\N
3611501	2466	1997-06-30	PRIJEM	\N	250	70452	UROK	\N	\N
3611502	2466	1997-07-31	PRIJEM	\N	295	71591	UROK	\N	\N
3611503	2466	1997-08-31	PRIJEM	\N	287	67551	UROK	\N	\N
3611504	2466	1997-09-30	PRIJEM	\N	284	68593	UROK	\N	\N
3611505	2466	1997-10-31	PRIJEM	\N	293	71545	UROK	\N	\N
3611506	2466	1997-11-30	PRIJEM	\N	300	71143	UROK	\N	\N
3611507	2466	1997-12-31	PRIJEM	\N	323	85856	UROK	\N	\N
3611508	2466	1998-01-31	PRIJEM	\N	287	65781	UROK	\N	\N
3611509	2466	1998-02-28	PRIJEM	\N	282	68181	UROK	\N	\N
3611510	2466	1998-03-31	PRIJEM	\N	296	73136	UROK	\N	\N
3611511	2466	1998-04-30	PRIJEM	\N	313	76607	UROK	\N	\N
3611512	2466	1998-05-31	PRIJEM	\N	318	73084	UROK	\N	\N
3611513	2466	1998-06-30	PRIJEM	\N	274	73068	UROK	\N	\N
3611514	2466	1998-07-31	PRIJEM	\N	312	73139	UROK	\N	\N
3611515	2466	1998-08-31	PRIJEM	\N	283	70780	UROK	\N	\N
3611516	2466	1998-09-30	PRIJEM	\N	297	71735	UROK	\N	\N
3611517	2466	1998-10-31	PRIJEM	\N	297	71190	UROK	\N	\N
3611518	2466	1998-11-30	PRIJEM	\N	278	62926	UROK	\N	\N
3611519	2466	1998-12-31	PRIJEM	\N	275	76531	UROK	\N	\N
3611520	2467	1993-06-30	PRIJEM	\N	12	29542	UROK	\N	\N
3611521	2467	1993-07-31	PRIJEM	\N	128	38723	UROK	\N	\N
3611522	2467	1993-08-31	PRIJEM	\N	165	44241	UROK	\N	\N
3611523	2467	1993-09-30	PRIJEM	\N	186	47680	UROK	\N	\N
3611524	2467	1993-10-31	PRIJEM	\N	199	48531	UROK	\N	\N
3611525	2467	1993-11-30	PRIJEM	\N	217	40714	UROK	\N	\N
3611526	2467	1993-12-31	PRIJEM	\N	224	41862	UROK	\N	\N
3611527	2467	1994-01-31	PRIJEM	\N	125	20333	UROK	\N	\N
3611528	2467	1994-02-28	PRIJEM	\N	124	29263	UROK	\N	\N
3611529	2467	1994-03-31	PRIJEM	\N	135	32444	UROK	\N	\N
3611530	2467	1994-04-30	PRIJEM	\N	172	37922	UROK	\N	\N
3611531	2467	1994-05-31	PRIJEM	\N	189	38817	UROK	\N	\N
3611532	2467	1994-06-30	PRIJEM	\N	220	48020	UROK	\N	\N
3611533	2467	1994-07-31	PRIJEM	\N	227	47354	UROK	\N	\N
3611534	2467	1994-08-31	PRIJEM	\N	208	42968	UROK	\N	\N
3611535	2467	1994-09-30	PRIJEM	\N	204	44179	UROK	\N	\N
3611536	2467	1994-10-31	PRIJEM	\N	195	41660	UROK	\N	\N
3611537	2467	1994-11-30	PRIJEM	\N	199	44265	UROK	\N	\N
3611538	2467	1994-12-31	PRIJEM	\N	208	45956	UROK	\N	\N
3611539	2467	1995-01-31	PRIJEM	\N	168	25050	UROK	\N	\N
3611540	2467	1995-02-28	PRIJEM	\N	139	35396	UROK	\N	\N
3611541	2467	1995-03-31	PRIJEM	\N	177	41179	UROK	\N	\N
3611542	2467	1995-04-30	PRIJEM	\N	196	44681	UROK	\N	\N
3611543	2467	1995-05-31	PRIJEM	\N	212	49299	UROK	\N	\N
3611544	2467	1995-06-30	PRIJEM	\N	216	49859	UROK	\N	\N
3611545	2467	1995-07-31	PRIJEM	\N	224	50589	UROK	\N	\N
3611546	2467	1995-08-31	PRIJEM	\N	205	47241	UROK	\N	\N
3611547	2467	1995-09-30	PRIJEM	\N	204	45651	UROK	\N	\N
3611548	2467	1995-10-31	PRIJEM	\N	204	47462	UROK	\N	\N
3611549	2467	1995-11-30	PRIJEM	\N	202	45670	UROK	\N	\N
3611550	2467	1995-12-31	PRIJEM	\N	219	51412	UROK	\N	\N
3611551	2467	1996-01-31	PRIJEM	\N	167	26786	UROK	\N	\N
3611552	2467	1996-02-29	PRIJEM	\N	127	25739	UROK	\N	\N
3611553	2467	1996-03-31	PRIJEM	\N	138	36083	UROK	\N	\N
3611554	2467	1996-04-30	PRIJEM	\N	166	41156	UROK	\N	\N
3611555	2467	1996-05-31	PRIJEM	\N	177	42139	UROK	\N	\N
3611556	2467	1996-06-30	PRIJEM	\N	183	40585	UROK	\N	\N
3611557	2467	1996-07-31	PRIJEM	\N	187	47078	UROK	\N	\N
3611558	2467	1996-08-31	PRIJEM	\N	187	42931	UROK	\N	\N
3611559	2467	1996-09-30	PRIJEM	\N	225	60762	UROK	\N	\N
3611560	2467	1996-10-31	PRIJEM	\N	263	67632	UROK	\N	\N
3611561	2467	1996-11-30	PRIJEM	\N	288	71127	UROK	\N	\N
3611562	2467	1996-12-31	PRIJEM	\N	328	82738	UROK	\N	\N
3611563	2467	1997-01-31	PRIJEM	\N	297	59621	UROK	\N	\N
3611564	2467	1997-02-28	PRIJEM	\N	248	64495	UROK	\N	\N
3611565	2467	1997-03-31	PRIJEM	\N	279	71181	UROK	\N	\N
3611566	2467	1997-04-30	PRIJEM	\N	293	74280	UROK	\N	\N
3611567	2467	1997-05-31	PRIJEM	\N	301	75788	UROK	\N	\N
3611568	2467	1997-06-30	PRIJEM	\N	340	67471	UROK	\N	\N
3611569	2467	1997-07-31	PRIJEM	\N	293	76270	UROK	\N	\N
3611570	2467	1997-08-31	PRIJEM	\N	319	82395	UROK	\N	\N
3611571	2467	1997-09-30	PRIJEM	\N	322	83224	UROK	\N	\N
3611572	2467	1997-10-31	PRIJEM	\N	319	82249	UROK	\N	\N
3611573	2467	1997-11-30	PRIJEM	\N	321	83077	UROK	\N	\N
3611574	2467	1997-12-31	PRIJEM	\N	330	86530	UROK	\N	\N
3611575	2467	1998-01-31	PRIJEM	\N	266	57442	UROK	\N	\N
3611576	2467	1998-02-28	PRIJEM	\N	253	68401	UROK	\N	\N
3611577	2467	1998-03-31	PRIJEM	\N	287	75695	UROK	\N	\N
3611578	2467	1998-04-30	PRIJEM	\N	301	75623	UROK	\N	\N
3611579	2467	1998-05-31	PRIJEM	\N	317	82946	UROK	\N	\N
3611580	2467	1998-06-30	PRIJEM	\N	333	83563	UROK	\N	\N
3611581	2467	1998-07-31	PRIJEM	\N	339	88108	UROK	\N	\N
3611582	2467	1998-08-31	PRIJEM	\N	306	78681	UROK	\N	\N
3611583	2467	1998-09-30	PRIJEM	\N	285	74652	UROK	\N	\N
3611584	2467	1998-10-31	PRIJEM	\N	295	60653	UROK	\N	\N
3611585	2467	1998-11-30	PRIJEM	\N	290	60950	UROK	\N	\N
3611586	2467	1998-12-31	PRIJEM	\N	325	88658	UROK	\N	\N
3611587	2468	1996-12-31	PRIJEM	\N	41	14052	UROK	\N	\N
3611588	2468	1997-01-31	PRIJEM	\N	59	12234	UROK	\N	\N
3611589	2468	1997-02-28	PRIJEM	\N	54	13320	UROK	\N	\N
3611590	2468	1997-03-31	PRIJEM	\N	59	14411	UROK	\N	\N
3611591	2468	1997-04-30	PRIJEM	\N	63	15506	UROK	\N	\N
3611592	2468	1997-05-31	PRIJEM	\N	74	16612	UROK	\N	\N
3611593	2468	1997-06-30	PRIJEM	\N	72	17717	UROK	\N	\N
3611594	2468	1997-07-31	PRIJEM	\N	83	18832	UROK	\N	\N
3611595	2468	1997-08-31	PRIJEM	\N	81	19076	UROK	\N	\N
3611596	2468	1997-09-30	PRIJEM	\N	83	20191	UROK	\N	\N
3611597	2468	1997-10-31	PRIJEM	\N	92	21015	UROK	\N	\N
3611598	2468	1997-11-30	PRIJEM	\N	92	21840	UROK	\N	\N
3611599	2468	1997-12-31	PRIJEM	\N	92	22184	UROK	\N	\N
3611600	2468	1998-01-31	PRIJEM	\N	97	21663	UROK	\N	\N
3611601	2468	1998-02-28	PRIJEM	\N	90	21525	UROK	\N	\N
3611602	2468	1998-03-31	PRIJEM	\N	93	22650	UROK	\N	\N
3611603	2468	1998-04-30	PRIJEM	\N	95	22847	UROK	\N	\N
3611604	2468	1998-05-31	PRIJEM	\N	104	23983	UROK	\N	\N
3611605	2468	1998-06-30	PRIJEM	\N	101	24037	UROK	\N	\N
3611606	2468	1998-07-31	PRIJEM	\N	103	25172	UROK	\N	\N
3611607	2468	1998-08-31	PRIJEM	\N	106	25560	UROK	\N	\N
3611608	2468	1998-09-30	PRIJEM	\N	115	26708	UROK	\N	\N
3611609	2468	1998-10-31	PRIJEM	\N	120	27860	UROK	\N	\N
3611610	2468	1998-11-30	PRIJEM	\N	119	29011	UROK	\N	\N
3611611	2468	1998-12-31	PRIJEM	\N	129	29873	UROK	\N	\N
3611612	2469	1996-07-31	PRIJEM	\N	41	14671	UROK	\N	\N
3611613	2469	1996-08-31	PRIJEM	\N	64	15831	UROK	\N	\N
3611614	2469	1996-09-30	PRIJEM	\N	69	16995	UROK	\N	\N
3611615	2469	1996-10-31	PRIJEM	\N	74	18165	UROK	\N	\N
3611616	2469	1996-11-30	PRIJEM	\N	78	18708	UROK	\N	\N
3611617	2469	1996-12-31	PRIJEM	\N	79	19012	UROK	\N	\N
3611618	2469	1997-01-31	PRIJEM	\N	75	16612	UROK	\N	\N
3611619	2469	1997-02-28	PRIJEM	\N	72	17779	UROK	\N	\N
3611620	2469	1997-03-31	PRIJEM	\N	77	18952	UROK	\N	\N
3611621	2469	1997-04-30	PRIJEM	\N	81	19348	UROK	\N	\N
3611622	2469	1997-05-31	PRIJEM	\N	81	19114	UROK	\N	\N
3611623	2469	1997-06-30	PRIJEM	\N	73	16682	UROK	\N	\N
3611624	2469	1997-07-31	PRIJEM	\N	73	17850	UROK	\N	\N
3611625	2469	1997-08-31	PRIJEM	\N	77	19023	UROK	\N	\N
3611626	2469	1997-09-30	PRIJEM	\N	80	19329	UROK	\N	\N
3611627	2469	1997-10-31	PRIJEM	\N	84	20507	UROK	\N	\N
3611628	2469	1997-11-30	PRIJEM	\N	88	21691	UROK	\N	\N
3611629	2469	1997-12-31	PRIJEM	\N	88	20804	UROK	\N	\N
3611630	2469	1998-01-31	PRIJEM	\N	83	15383	UROK	\N	\N
3611631	2469	1998-02-28	PRIJEM	\N	67	16545	UROK	\N	\N
3611632	2469	1998-03-31	PRIJEM	\N	71	16811	UROK	\N	\N
3611633	2469	1998-04-30	PRIJEM	\N	73	17979	UROK	\N	\N
3611634	2469	1998-05-31	PRIJEM	\N	78	19152	UROK	\N	\N
3611635	2469	1998-06-30	PRIJEM	\N	77	17684	UROK	\N	\N
3611636	2469	1998-07-31	PRIJEM	\N	75	17475	UROK	\N	\N
3611637	2469	1998-08-31	PRIJEM	\N	75	16785	UROK	\N	\N
3611638	2469	1998-09-30	PRIJEM	\N	71	17322	UROK	\N	\N
3611639	2469	1998-10-31	PRIJEM	\N	75	18492	UROK	\N	\N
3611640	2469	1998-11-30	PRIJEM	\N	80	19667	UROK	\N	\N
3611641	2469	1998-12-31	PRIJEM	\N	84	20276	UROK	\N	\N
3611642	2470	1994-08-31	PRIJEM	\N	30	22347	UROK	\N	\N
3611643	2470	1994-09-30	PRIJEM	\N	106	31570	UROK	\N	\N
3611644	2470	1994-10-31	PRIJEM	\N	139	36725	UROK	\N	\N
3611645	2470	1994-11-30	PRIJEM	\N	156	39098	UROK	\N	\N
3611646	2470	1994-12-31	PRIJEM	\N	200	39198	UROK	\N	\N
3611647	2470	1995-01-31	PRIJEM	\N	137	20320	UROK	\N	\N
3611648	2470	1995-02-28	PRIJEM	\N	116	28880	UROK	\N	\N
3611649	2470	1995-03-31	PRIJEM	\N	146	33270	UROK	\N	\N
3611650	2470	1995-04-30	PRIJEM	\N	157	33871	UROK	\N	\N
3611651	2470	1995-05-31	PRIJEM	\N	163	36979	UROK	\N	\N
3611652	2470	1995-06-30	PRIJEM	\N	138	21720	UROK	\N	\N
3611653	2470	1995-07-31	PRIJEM	\N	125	32190	UROK	\N	\N
3611654	2470	1995-08-31	PRIJEM	\N	155	35489	UROK	\N	\N
3611655	2470	1995-09-30	PRIJEM	\N	158	34591	UROK	\N	\N
3611656	2470	1995-10-31	PRIJEM	\N	147	33703	UROK	\N	\N
3611657	2470	1995-11-30	PRIJEM	\N	148	31615	UROK	\N	\N
3611658	2470	1995-12-31	PRIJEM	\N	173	41131	UROK	\N	\N
3611659	2470	1996-01-31	PRIJEM	\N	142	24417	UROK	\N	\N
3611660	2470	1996-02-29	PRIJEM	\N	130	32491	UROK	\N	\N
3611661	2470	1996-03-31	PRIJEM	\N	152	31767	UROK	\N	\N
3611662	2470	1996-04-30	PRIJEM	\N	136	30248	UROK	\N	\N
3611663	2470	1996-05-31	PRIJEM	\N	137	31529	UROK	\N	\N
3611664	2470	1996-06-30	PRIJEM	\N	137	27630	UROK	\N	\N
3611665	2470	1996-07-31	PRIJEM	\N	123	28397	UROK	\N	\N
3611666	2470	1996-08-31	PRIJEM	\N	113	27014	UROK	\N	\N
3611667	2470	1996-09-30	PRIJEM	\N	118	27976	UROK	\N	\N
3611668	2470	1996-10-31	PRIJEM	\N	120	28341	UROK	\N	\N
3611669	2470	1996-11-30	PRIJEM	\N	120	28706	UROK	\N	\N
3611670	2470	1996-12-31	PRIJEM	\N	158	32447	UROK	\N	\N
3611671	2470	1997-01-31	PRIJEM	\N	87	16179	UROK	\N	\N
3611672	2470	1997-02-28	PRIJEM	\N	104	28027	UROK	\N	\N
3611673	2470	1997-03-31	PRIJEM	\N	151	27222	UROK	\N	\N
3611674	2470	1997-04-30	PRIJEM	\N	95	21722	UROK	\N	\N
3611675	2470	1997-05-31	PRIJEM	\N	78	16524	UROK	\N	\N
3611676	2470	1997-06-30	PRIJEM	\N	133	37061	UROK	\N	\N
3611677	2470	1997-07-31	PRIJEM	\N	141	34046	UROK	\N	\N
3611678	2470	1997-08-31	PRIJEM	\N	128	30678	UROK	\N	\N
3611679	2470	1997-09-30	PRIJEM	\N	114	28237	UROK	\N	\N
3611680	2470	1997-10-31	PRIJEM	\N	143	35704	UROK	\N	\N
3611681	2470	1997-11-30	PRIJEM	\N	122	29370	UROK	\N	\N
3611682	2470	1997-12-31	PRIJEM	\N	159	42813	UROK	\N	\N
3611683	2470	1998-01-31	PRIJEM	\N	101	17798	UROK	\N	\N
3611684	2470	1998-02-28	PRIJEM	\N	107	28949	UROK	\N	\N
3611685	2470	1998-03-31	PRIJEM	\N	98	20851	UROK	\N	\N
3611686	2470	1998-04-30	PRIJEM	\N	120	32016	UROK	\N	\N
3611687	2470	1998-05-31	PRIJEM	\N	125	31286	UROK	\N	\N
3611688	2470	1998-06-30	PRIJEM	\N	160	42149	UROK	\N	\N
3611689	2470	1998-07-31	PRIJEM	\N	167	41160	UROK	\N	\N
3611690	2470	1998-08-31	PRIJEM	\N	166	41170	UROK	\N	\N
3611691	2470	1998-09-30	PRIJEM	\N	181	45496	UROK	\N	\N
3611692	2470	1998-10-31	PRIJEM	\N	183	36623	UROK	\N	\N
3611693	2470	1998-11-30	PRIJEM	\N	177	31685	UROK	\N	\N
3611694	2470	1998-12-31	PRIJEM	\N	173	44461	UROK	\N	\N
3611695	2471	1994-07-31	PRIJEM	\N	154	44349	UROK	\N	\N
3611696	2471	1994-08-31	PRIJEM	\N	311	80755	UROK	\N	\N
3611697	2471	1994-09-30	PRIJEM	\N	385	95135	UROK	\N	\N
3611698	2471	1994-10-31	PRIJEM	\N	423	104853	UROK	\N	\N
3611699	2471	1994-11-30	PRIJEM	\N	259	62316	UROK	\N	\N
3611700	2471	1994-12-31	PRIJEM	\N	261	48263	UROK	\N	\N
3611701	2471	1995-01-31	PRIJEM	\N	315	51366	UROK	\N	\N
3611702	2471	1995-02-28	PRIJEM	\N	330	90084	UROK	\N	\N
3611703	2471	1995-03-31	PRIJEM	\N	359	60532	UROK	\N	\N
3611704	2471	1995-04-30	PRIJEM	\N	348	59869	UROK	\N	\N
3611705	2471	1995-05-31	PRIJEM	\N	361	67018	UROK	\N	\N
3611706	2471	1995-06-30	PRIJEM	\N	325	56528	UROK	\N	\N
3611707	2471	1995-07-31	PRIJEM	\N	342	62459	UROK	\N	\N
3611708	2471	1995-08-31	PRIJEM	\N	362	67809	UROK	\N	\N
3611709	2471	1995-09-30	PRIJEM	\N	233	47430	UROK	\N	\N
3611710	2471	1995-10-31	PRIJEM	\N	288	58306	UROK	\N	\N
3611711	2471	1995-11-30	PRIJEM	\N	259	47832	UROK	\N	\N
3611712	2471	1995-12-31	PRIJEM	\N	257	54674	UROK	\N	\N
3611713	2471	1996-01-31	PRIJEM	\N	306	41269	UROK	\N	\N
3611714	2471	1996-02-29	PRIJEM	\N	273	59630	UROK	\N	\N
3611715	2471	1996-03-31	PRIJEM	\N	341	69559	UROK	\N	\N
3611716	2471	1996-04-30	PRIJEM	\N	336	69784	UROK	\N	\N
3611717	2471	1996-05-31	PRIJEM	\N	264	56436	UROK	\N	\N
3611718	2471	1996-06-30	PRIJEM	\N	287	59809	UROK	\N	\N
3611719	2471	1996-07-31	PRIJEM	\N	332	67229	UROK	\N	\N
3611720	2471	1996-08-31	PRIJEM	\N	347	71624	UROK	\N	\N
3611721	2471	1996-09-30	PRIJEM	\N	299	59911	UROK	\N	\N
3611722	2471	1996-10-31	PRIJEM	\N	310	70709	UROK	\N	\N
3611723	2471	1996-11-30	PRIJEM	\N	305	63203	UROK	\N	\N
3611724	2471	1996-12-31	PRIJEM	\N	341	70029	UROK	\N	\N
3611725	2471	1997-01-31	PRIJEM	\N	342	65159	UROK	\N	\N
3611726	2471	1997-02-28	PRIJEM	\N	319	56121	UROK	\N	\N
3611727	2471	1997-03-31	PRIJEM	\N	290	62699	UROK	\N	\N
3611728	2471	1997-04-30	PRIJEM	\N	321	60834	UROK	\N	\N
3611729	2471	1997-05-31	PRIJEM	\N	299	62321	UROK	\N	\N
3611730	2471	1997-06-30	PRIJEM	\N	216	35323	UROK	\N	\N
3611731	2471	1997-07-31	PRIJEM	\N	239	59350	UROK	\N	\N
3611732	2471	1997-08-31	PRIJEM	\N	314	72652	UROK	\N	\N
3611733	2471	1997-09-30	PRIJEM	\N	225	50166	UROK	\N	\N
3611734	2471	1997-10-31	PRIJEM	\N	258	62171	UROK	\N	\N
3611735	2471	1997-11-30	PRIJEM	\N	309	69468	UROK	\N	\N
3611736	2471	1997-12-31	PRIJEM	\N	242	34144	UROK	\N	\N
3611737	2471	1998-01-31	PRIJEM	\N	208	53541	UROK	\N	\N
3611738	2471	1998-02-28	PRIJEM	\N	281	69210	UROK	\N	\N
3611739	2471	1998-03-31	PRIJEM	\N	187	33141	UROK	\N	\N
3611740	2471	1998-04-30	PRIJEM	\N	229	60859	UROK	\N	\N
3611741	2471	1998-05-31	PRIJEM	\N	300	61669	UROK	\N	\N
3611742	2471	1998-06-30	PRIJEM	\N	256	57010	UROK	\N	\N
3611743	2471	1998-07-31	PRIJEM	\N	269	56506	UROK	\N	\N
3611744	2471	1998-08-31	PRIJEM	\N	258	58803	UROK	\N	\N
3611745	2471	1998-09-30	PRIJEM	\N	230	52118	UROK	\N	\N
3611746	2471	1998-10-31	PRIJEM	\N	299	51606	UROK	\N	\N
3611747	2471	1998-11-30	PRIJEM	\N	232	56109	UROK	\N	\N
3611748	2471	1998-12-31	PRIJEM	\N	234	55628	UROK	\N	\N
3611749	2472	1994-02-28	PRIJEM	\N	40	16775	UROK	\N	\N
3611750	2472	1994-03-31	PRIJEM	\N	126	39036	UROK	\N	\N
3611751	2472	1994-04-30	PRIJEM	\N	181	46753	UROK	\N	\N
3611752	2472	1994-05-31	PRIJEM	\N	210	53098	UROK	\N	\N
3611753	2472	1994-06-30	PRIJEM	\N	185	32096	UROK	\N	\N
3611754	2472	1994-07-31	PRIJEM	\N	157	37164	UROK	\N	\N
3611755	2472	1994-08-31	PRIJEM	\N	166	41642	UROK	\N	\N
3611756	2472	1994-09-30	PRIJEM	\N	187	47040	UROK	\N	\N
3611757	2472	1994-10-31	PRIJEM	\N	206	50857	UROK	\N	\N
3611758	2472	1994-11-30	PRIJEM	\N	218	53287	UROK	\N	\N
3611759	2472	1994-12-31	PRIJEM	\N	234	56519	UROK	\N	\N
3611760	2472	1995-01-31	PRIJEM	\N	175	38086	UROK	\N	\N
3611761	2472	1995-02-28	PRIJEM	\N	176	45474	UROK	\N	\N
3611762	2472	1995-03-31	PRIJEM	\N	206	52092	UROK	\N	\N
3611763	2472	1995-04-30	PRIJEM	\N	224	55127	UROK	\N	\N
3611764	2472	1995-05-31	PRIJEM	\N	232	56271	UROK	\N	\N
3611765	2472	1995-06-30	PRIJEM	\N	244	61713	UROK	\N	\N
3611766	2472	1995-07-31	PRIJEM	\N	259	62483	UROK	\N	\N
3611767	2472	1995-08-31	PRIJEM	\N	263	63658	UROK	\N	\N
3611768	2472	1995-09-30	PRIJEM	\N	263	62932	UROK	\N	\N
3611769	2472	1995-10-31	PRIJEM	\N	264	64507	UROK	\N	\N
3611770	2472	1995-11-30	PRIJEM	\N	232	56891	UROK	\N	\N
3611771	2472	1995-12-31	PRIJEM	\N	264	56013	UROK	\N	\N
3611772	2472	1996-01-31	PRIJEM	\N	210	41154	UROK	\N	\N
3611773	2472	1996-02-29	PRIJEM	\N	190	46355	UROK	\N	\N
3611774	2472	1996-03-31	PRIJEM	\N	218	50485	UROK	\N	\N
3611775	2472	1996-04-30	PRIJEM	\N	234	51530	UROK	\N	\N
3611776	2472	1996-05-31	PRIJEM	\N	238	55279	UROK	\N	\N
3611777	2472	1996-06-30	PRIJEM	\N	188	44907	UROK	\N	\N
3611778	2472	1996-07-31	PRIJEM	\N	211	51729	UROK	\N	\N
3611779	2472	1996-08-31	PRIJEM	\N	236	55277	UROK	\N	\N
3611780	2472	1996-09-30	PRIJEM	\N	248	57257	UROK	\N	\N
3611781	2472	1996-10-31	PRIJEM	\N	254	56282	UROK	\N	\N
3611782	2472	1996-11-30	PRIJEM	\N	252	59346	UROK	\N	\N
3611783	2472	1996-12-31	PRIJEM	\N	275	64700	UROK	\N	\N
3611784	2472	1997-01-31	PRIJEM	\N	252	45704	UROK	\N	\N
3611785	2472	1997-02-28	PRIJEM	\N	212	55027	UROK	\N	\N
3611786	2472	1997-03-31	PRIJEM	\N	244	59483	UROK	\N	\N
3611787	2472	1997-04-30	PRIJEM	\N	267	65561	UROK	\N	\N
3611788	2472	1997-05-31	PRIJEM	\N	291	70563	UROK	\N	\N
3611789	2472	1997-06-30	PRIJEM	\N	311	46413	UROK	\N	\N
3611790	2472	1997-07-31	PRIJEM	\N	226	63050	UROK	\N	\N
3611791	2472	1997-08-31	PRIJEM	\N	283	71444	UROK	\N	\N
3611792	2472	1997-09-30	PRIJEM	\N	311	75666	UROK	\N	\N
3611793	2472	1997-10-31	PRIJEM	\N	310	71748	UROK	\N	\N
3611794	2472	1997-11-30	PRIJEM	\N	312	76871	UROK	\N	\N
3611795	2472	1997-12-31	PRIJEM	\N	337	80687	UROK	\N	\N
3611796	2472	1998-01-31	PRIJEM	\N	309	55147	UROK	\N	\N
3611797	2472	1998-02-28	PRIJEM	\N	257	69916	UROK	\N	\N
3611798	2472	1998-03-31	PRIJEM	\N	306	76133	UROK	\N	\N
3611799	2472	1998-04-30	PRIJEM	\N	326	80171	UROK	\N	\N
3611800	2472	1998-05-31	PRIJEM	\N	339	82221	UROK	\N	\N
3611801	2472	1998-06-30	PRIJEM	\N	355	83295	UROK	\N	\N
3611802	2472	1998-07-31	PRIJEM	\N	350	84056	UROK	\N	\N
3611803	2472	1998-08-31	PRIJEM	\N	348	84316	UROK	\N	\N
3611804	2472	1998-09-30	PRIJEM	\N	352	86679	UROK	\N	\N
3611805	2472	1998-10-31	PRIJEM	\N	352	84643	UROK	\N	\N
3611806	2472	1998-11-30	PRIJEM	\N	361	86815	UROK	\N	\N
3611807	2472	1998-12-31	PRIJEM	\N	383	84776	UROK	\N	\N
3611808	2473	1996-07-31	PRIJEM	\N	38	13453	UROK	\N	\N
3611809	2473	1996-08-31	PRIJEM	\N	60	14497	UROK	\N	\N
3611810	2473	1996-09-30	PRIJEM	\N	64	15545	UROK	\N	\N
3611811	2473	1996-10-31	PRIJEM	\N	68	16598	UROK	\N	\N
3611812	2473	1996-11-30	PRIJEM	\N	70	16182	UROK	\N	\N
3611813	2473	1996-12-31	PRIJEM	\N	69	16426	UROK	\N	\N
3611814	2473	1997-01-31	PRIJEM	\N	66	14326	UROK	\N	\N
3611815	2473	1997-02-28	PRIJEM	\N	63	15373	UROK	\N	\N
3611816	2473	1997-03-31	PRIJEM	\N	67	15915	UROK	\N	\N
3611817	2473	1997-04-30	PRIJEM	\N	69	16818	UROK	\N	\N
3611818	2473	1997-05-31	PRIJEM	\N	74	17876	UROK	\N	\N
3611819	2473	1997-06-30	PRIJEM	\N	71	14132	UROK	\N	\N
3611820	2473	1997-07-31	PRIJEM	\N	57	13854	UROK	\N	\N
3611821	2473	1997-08-31	PRIJEM	\N	61	14899	UROK	\N	\N
3611822	2473	1997-09-30	PRIJEM	\N	66	15949	UROK	\N	\N
3611823	2473	1997-10-31	PRIJEM	\N	70	17003	UROK	\N	\N
3611824	2473	1997-11-30	PRIJEM	\N	74	18062	UROK	\N	\N
3611825	2473	1997-12-31	PRIJEM	\N	77	18583	UROK	\N	\N
3611826	2473	1998-01-31	PRIJEM	\N	73	15891	UROK	\N	\N
3611827	2473	1998-02-28	PRIJEM	\N	70	16945	UROK	\N	\N
3611828	2473	1998-03-31	PRIJEM	\N	74	18003	UROK	\N	\N
3611829	2473	1998-04-30	PRIJEM	\N	78	18915	UROK	\N	\N
3611830	2473	1998-05-31	PRIJEM	\N	79	18629	UROK	\N	\N
3611831	2473	1998-06-30	PRIJEM	\N	77	18220	UROK	\N	\N
3611832	2473	1998-07-31	PRIJEM	\N	79	19283	UROK	\N	\N
3611833	2473	1998-08-31	PRIJEM	\N	84	20351	UROK	\N	\N
3611834	2473	1998-09-30	PRIJEM	\N	88	20973	UROK	\N	\N
3611835	2473	1998-10-31	PRIJEM	\N	88	20906	UROK	\N	\N
3611836	2473	1998-11-30	PRIJEM	\N	90	21980	UROK	\N	\N
3611837	2473	1998-12-31	PRIJEM	\N	93	22548	UROK	\N	\N
3611838	2474	1996-05-31	PRIJEM	\N	20	12379	UROK	\N	\N
3611839	2474	1996-06-30	PRIJEM	\N	59	16797	UROK	\N	\N
3611840	2474	1996-07-31	PRIJEM	\N	72	18328	UROK	\N	\N
3611841	2474	1996-08-31	PRIJEM	\N	81	20868	UROK	\N	\N
3611842	2474	1996-09-30	PRIJEM	\N	79	16734	UROK	\N	\N
3611843	2474	1996-10-31	PRIJEM	\N	66	14453	UROK	\N	\N
3611844	2474	1996-11-30	PRIJEM	\N	68	18163	UROK	\N	\N
3611845	2474	1996-12-31	PRIJEM	\N	81	20647	UROK	\N	\N
3611846	2474	1997-01-31	PRIJEM	\N	87	20316	UROK	\N	\N
3611847	2474	1997-02-28	PRIJEM	\N	81	17770	UROK	\N	\N
3611848	2474	1997-03-31	PRIJEM	\N	75	18017	UROK	\N	\N
3611849	2474	1997-04-30	PRIJEM	\N	69	15359	UROK	\N	\N
3611850	2474	1997-05-31	PRIJEM	\N	53	10314	UROK	\N	\N
3611851	2474	1997-06-30	PRIJEM	\N	44	10830	UROK	\N	\N
3611852	2474	1997-07-31	PRIJEM	\N	46	11249	UROK	\N	\N
3611853	2474	1997-08-31	PRIJEM	\N	51	13073	UROK	\N	\N
3611854	2474	1997-09-30	PRIJEM	\N	51	11896	UROK	\N	\N
3611855	2474	1997-10-31	PRIJEM	\N	56	14124	UROK	\N	\N
3611856	2474	1997-11-30	PRIJEM	\N	60	14557	UROK	\N	\N
3611857	2474	1997-12-31	PRIJEM	\N	59	13769	UROK	\N	\N
3611858	2474	1998-01-31	PRIJEM	\N	56	12657	UROK	\N	\N
3611859	2474	1998-02-28	PRIJEM	\N	55	13484	UROK	\N	\N
3611860	2474	1998-03-31	PRIJEM	\N	58	14015	UROK	\N	\N
3611861	2474	1998-04-30	PRIJEM	\N	60	14447	UROK	\N	\N
3611862	2474	1998-05-31	PRIJEM	\N	55	12675	UROK	\N	\N
3611863	2474	1998-06-30	PRIJEM	\N	50	11697	UROK	\N	\N
3611864	2474	1998-07-31	PRIJEM	\N	55	13825	UROK	\N	\N
3611865	2474	1998-08-31	PRIJEM	\N	57	13454	UROK	\N	\N
3611866	2474	1998-09-30	PRIJEM	\N	60	14886	UROK	\N	\N
3611867	2474	1998-10-31	PRIJEM	\N	60	14179	UROK	\N	\N
3611868	2474	1998-11-30	PRIJEM	\N	62	15413	UROK	\N	\N
3611869	2474	1998-12-31	PRIJEM	\N	64	15269	UROK	\N	\N
3611870	2475	1996-11-30	PRIJEM	\N	45	16962	UROK	\N	\N
3611871	2475	1996-12-31	PRIJEM	\N	102	28789	UROK	\N	\N
3611872	2475	1997-01-31	PRIJEM	\N	141	36747	UROK	\N	\N
3611873	2475	1997-02-28	PRIJEM	\N	164	41228	UROK	\N	\N
3611874	2475	1997-03-31	PRIJEM	\N	153	33253	UROK	\N	\N
3611875	2475	1997-04-30	PRIJEM	\N	137	31714	UROK	\N	\N
3611876	2475	1997-05-31	PRIJEM	\N	139	34577	UROK	\N	\N
3611877	2475	1997-06-30	PRIJEM	\N	81	9591	UROK	\N	\N
3611878	2475	1997-07-31	PRIJEM	\N	85	25300	UROK	\N	\N
3611879	2475	1997-08-31	PRIJEM	\N	128	33252	UROK	\N	\N
3611880	2475	1997-09-30	PRIJEM	\N	140	34716	UROK	\N	\N
3611881	2475	1997-10-31	PRIJEM	\N	132	31832	UROK	\N	\N
3611882	2475	1997-11-30	PRIJEM	\N	125	30282	UROK	\N	\N
3611883	2475	1997-12-31	PRIJEM	\N	132	32346	UROK	\N	\N
3611884	2475	1998-01-31	PRIJEM	\N	104	18294	UROK	\N	\N
3611885	2475	1998-02-28	PRIJEM	\N	93	25112	UROK	\N	\N
3611886	2475	1998-03-31	PRIJEM	\N	97	24214	UROK	\N	\N
3611887	2475	1998-04-30	PRIJEM	\N	99	24637	UROK	\N	\N
3611888	2475	1998-05-31	PRIJEM	\N	106	26868	UROK	\N	\N
3611889	2475	1998-06-30	PRIJEM	\N	84	15845	UROK	\N	\N
3611890	2475	1998-07-31	PRIJEM	\N	66	14076	UROK	\N	\N
3611891	2475	1998-08-31	PRIJEM	\N	68	18168	UROK	\N	\N
3611892	2475	1998-09-30	PRIJEM	\N	60	13333	UROK	\N	\N
3611893	2475	1998-10-31	PRIJEM	\N	64	17021	UROK	\N	\N
3611894	2475	1998-11-30	PRIJEM	\N	77	19802	UROK	\N	\N
3611895	2475	1998-12-31	PRIJEM	\N	85	23900	UROK	\N	\N
3611896	2476	1994-05-31	PRIJEM	\N	61	21766	UROK	\N	\N
3611897	2476	1994-06-30	PRIJEM	\N	77	12146	UROK	\N	\N
3611898	2476	1994-07-31	PRIJEM	\N	55	13613	UROK	\N	\N
3611899	2476	1994-08-31	PRIJEM	\N	61	15087	UROK	\N	\N
3611900	2476	1994-09-30	PRIJEM	\N	67	16567	UROK	\N	\N
3611901	2476	1994-10-31	PRIJEM	\N	74	18053	UROK	\N	\N
3611902	2476	1994-11-30	PRIJEM	\N	70	16255	UROK	\N	\N
3611903	2476	1994-12-31	PRIJEM	\N	71	16939	UROK	\N	\N
3611904	2476	1995-01-31	PRIJEM	\N	71	16202	UROK	\N	\N
3611905	2476	1995-02-28	PRIJEM	\N	72	17686	UROK	\N	\N
3611906	2476	1995-03-31	PRIJEM	\N	78	19177	UROK	\N	\N
3611907	2476	1995-04-30	PRIJEM	\N	84	20673	UROK	\N	\N
3611908	2476	1995-05-31	PRIJEM	\N	85	20731	UROK	\N	\N
3611909	2476	1995-06-30	PRIJEM	\N	81	19374	UROK	\N	\N
3611910	2476	1995-07-31	PRIJEM	\N	85	20872	UROK	\N	\N
3611911	2476	1995-08-31	PRIJEM	\N	91	22376	UROK	\N	\N
3611912	2476	1995-09-30	PRIJEM	\N	96	23084	UROK	\N	\N
3611913	2476	1995-10-31	PRIJEM	\N	101	24597	UROK	\N	\N
3611914	2476	1995-11-30	PRIJEM	\N	98	23307	UROK	\N	\N
3611915	2476	1995-12-31	PRIJEM	\N	96	22856	UROK	\N	\N
3611916	2476	1996-01-31	PRIJEM	\N	92	19420	UROK	\N	\N
3611917	2476	1996-02-29	PRIJEM	\N	85	20918	UROK	\N	\N
3611918	2476	1996-03-31	PRIJEM	\N	91	22422	UROK	\N	\N
3611919	2476	1996-04-30	PRIJEM	\N	98	23932	UROK	\N	\N
3611920	2476	1996-05-31	PRIJEM	\N	103	22947	UROK	\N	\N
3611921	2476	1996-06-30	PRIJEM	\N	82	17291	UROK	\N	\N
3611922	2476	1996-07-31	PRIJEM	\N	75	18139	UROK	\N	\N
3611923	2476	1996-08-31	PRIJEM	\N	79	18430	UROK	\N	\N
3611924	2476	1996-09-30	PRIJEM	\N	78	14820	UROK	\N	\N
3611925	2476	1996-10-31	PRIJEM	\N	65	14738	UROK	\N	\N
3611926	2476	1996-11-30	PRIJEM	\N	64	14514	UROK	\N	\N
3611927	2476	1996-12-31	PRIJEM	\N	62	15109	UROK	\N	\N
3611928	2476	1997-01-31	PRIJEM	\N	66	15238	UROK	\N	\N
3611929	2476	1997-02-28	PRIJEM	\N	67	16717	UROK	\N	\N
3611930	2476	1997-03-31	PRIJEM	\N	74	18203	UROK	\N	\N
3611931	2476	1997-04-30	PRIJEM	\N	71	17087	UROK	\N	\N
3611932	2476	1997-05-31	PRIJEM	\N	73	16572	UROK	\N	\N
3611933	2476	1997-06-30	PRIJEM	\N	70	15455	UROK	\N	\N
3611934	2476	1997-07-31	PRIJEM	\N	67	15734	UROK	\N	\N
3611935	2476	1997-08-31	PRIJEM	\N	67	15313	UROK	\N	\N
3611936	2476	1997-09-30	PRIJEM	\N	64	13789	UROK	\N	\N
3611937	2476	1997-10-31	PRIJEM	\N	61	15262	UROK	\N	\N
3611938	2476	1997-11-30	PRIJEM	\N	66	16101	UROK	\N	\N
3611939	2476	1997-12-31	PRIJEM	\N	69	16782	UROK	\N	\N
3611940	2476	1998-01-31	PRIJEM	\N	73	18268	UROK	\N	\N
3611941	2476	1998-02-28	PRIJEM	\N	79	19760	UROK	\N	\N
3611942	2476	1998-03-31	PRIJEM	\N	86	21258	UROK	\N	\N
3611943	2476	1998-04-30	PRIJEM	\N	80	15350	UROK	\N	\N
3611944	2476	1998-05-31	PRIJEM	\N	67	16830	UROK	\N	\N
3611945	2476	1998-06-30	PRIJEM	\N	66	13808	UROK	\N	\N
3611946	2476	1998-07-31	PRIJEM	\N	58	13778	UROK	\N	\N
3611947	2476	1998-08-31	PRIJEM	\N	58	13748	UROK	\N	\N
3611948	2476	1998-09-30	PRIJEM	\N	58	14219	UROK	\N	\N
3611949	2476	1998-10-31	PRIJEM	\N	62	15693	UROK	\N	\N
3611950	2476	1998-11-30	PRIJEM	\N	68	17174	UROK	\N	\N
3611951	2476	1998-12-31	PRIJEM	\N	65	14451	UROK	\N	\N
3611952	2477	1997-02-28	PRIJEM	\N	2	5447	UROK	\N	\N
3611953	2477	1997-03-31	PRIJEM	\N	44	16736	UROK	\N	\N
3611954	2477	1997-04-30	PRIJEM	\N	80	20862	UROK	\N	\N
3611955	2477	1997-05-31	PRIJEM	\N	96	24302	UROK	\N	\N
3611956	2477	1997-06-30	PRIJEM	\N	104	25374	UROK	\N	\N
3611957	2477	1997-07-31	PRIJEM	\N	107	21575	UROK	\N	\N
3611958	2477	1997-08-31	PRIJEM	\N	89	21498	UROK	\N	\N
3611959	2477	1997-09-30	PRIJEM	\N	88	21480	UROK	\N	\N
3611960	2477	1997-10-31	PRIJEM	\N	86	20601	UROK	\N	\N
3611961	2477	1997-11-30	PRIJEM	\N	71	14506	UROK	\N	\N
3611962	2477	1997-12-31	PRIJEM	\N	68	16271	UROK	\N	\N
3611963	2477	1998-01-31	PRIJEM	\N	62	14028	UROK	\N	\N
3611964	2477	1998-02-28	PRIJEM	\N	68	17730	UROK	\N	\N
3611965	2477	1998-03-31	PRIJEM	\N	81	20445	UROK	\N	\N
3611966	2477	1998-04-30	PRIJEM	\N	89	22269	UROK	\N	\N
3611967	2477	1998-05-31	PRIJEM	\N	79	18282	UROK	\N	\N
3611968	2477	1998-06-30	PRIJEM	\N	79	19878	UROK	\N	\N
3611969	2477	1998-07-31	PRIJEM	\N	71	16684	UROK	\N	\N
3611970	2477	1998-08-31	PRIJEM	\N	55	12473	UROK	\N	\N
3611971	2477	1998-09-30	PRIJEM	\N	56	14064	UROK	\N	\N
3611972	2477	1998-10-31	PRIJEM	\N	63	15661	UROK	\N	\N
3611973	2477	1998-11-30	PRIJEM	\N	69	17265	UROK	\N	\N
3611974	2477	1998-12-31	PRIJEM	\N	76	18398	UROK	\N	\N
3611975	2479	1993-10-31	PRIJEM	\N	21	7108	UROK	\N	\N
3611976	2479	1993-11-30	PRIJEM	\N	78	23673	UROK	\N	\N
3611977	2479	1993-12-31	PRIJEM	\N	120	30872	UROK	\N	\N
3611978	2479	1994-01-31	PRIJEM	\N	133	32592	UROK	\N	\N
3611979	2479	1994-02-28	PRIJEM	\N	138	32996	UROK	\N	\N
3611980	2479	1994-03-31	PRIJEM	\N	126	27303	UROK	\N	\N
3611981	2479	1994-04-30	PRIJEM	\N	117	28302	UROK	\N	\N
3611982	2479	1994-05-31	PRIJEM	\N	114	27197	UROK	\N	\N
3611983	2479	1994-06-30	PRIJEM	\N	110	26182	UROK	\N	\N
3611984	2479	1994-07-31	PRIJEM	\N	120	29383	UROK	\N	\N
3611985	2479	1994-08-31	PRIJEM	\N	102	23366	UROK	\N	\N
3611986	2479	1994-09-30	PRIJEM	\N	104	25251	UROK	\N	\N
3611987	2479	1994-10-31	PRIJEM	\N	118	28950	UROK	\N	\N
3611988	2479	1994-11-30	PRIJEM	\N	110	23541	UROK	\N	\N
3611989	2479	1994-12-31	PRIJEM	\N	111	27226	UROK	\N	\N
3611990	2479	1995-01-31	PRIJEM	\N	93	13800	UROK	\N	\N
3611991	2479	1995-02-28	PRIJEM	\N	67	15649	UROK	\N	\N
3611992	2479	1995-03-31	PRIJEM	\N	87	21917	UROK	\N	\N
3611993	2479	1995-04-30	PRIJEM	\N	89	21287	UROK	\N	\N
3611994	2479	1995-05-31	PRIJEM	\N	95	23163	UROK	\N	\N
3611995	2479	1995-06-30	PRIJEM	\N	119	29556	UROK	\N	\N
3611996	2479	1995-07-31	PRIJEM	\N	110	26248	UROK	\N	\N
3611997	2479	1995-08-31	PRIJEM	\N	97	19226	UROK	\N	\N
3611998	2479	1995-09-30	PRIJEM	\N	87	20394	UROK	\N	\N
3611999	2479	1995-10-31	PRIJEM	\N	91	19966	UROK	\N	\N
3612000	2479	1995-11-30	PRIJEM	\N	88	18736	UROK	\N	\N
3612001	2479	1995-12-31	PRIJEM	\N	76	17086	UROK	\N	\N
3612002	2479	1996-01-31	PRIJEM	\N	66	14834	UROK	\N	\N
3612003	2479	1996-02-29	PRIJEM	\N	63	16278	UROK	\N	\N
3612004	2479	1996-03-31	PRIJEM	\N	74	17333	UROK	\N	\N
3612005	2479	1996-04-30	PRIJEM	\N	77	16691	UROK	\N	\N
3612006	2479	1996-05-31	PRIJEM	\N	73	15045	UROK	\N	\N
3612007	2479	1996-06-30	PRIJEM	\N	76	18496	UROK	\N	\N
3612008	2479	1996-07-31	PRIJEM	\N	71	16647	UROK	\N	\N
3612009	2479	1996-08-31	PRIJEM	\N	76	19205	UROK	\N	\N
3612010	2479	1996-09-30	PRIJEM	\N	79	14765	UROK	\N	\N
3612011	2479	1996-10-31	PRIJEM	\N	63	12909	UROK	\N	\N
3612012	2479	1996-11-30	PRIJEM	\N	60	14950	UROK	\N	\N
3612013	2479	1996-12-31	PRIJEM	\N	65	11890	UROK	\N	\N
3612014	2479	1997-01-31	PRIJEM	\N	51	12122	UROK	\N	\N
3612015	2479	1997-02-28	PRIJEM	\N	56	14160	UROK	\N	\N
3612016	2479	1997-03-31	PRIJEM	\N	65	16206	UROK	\N	\N
3612017	2479	1997-04-30	PRIJEM	\N	65	12252	UROK	\N	\N
3612018	2479	1997-05-31	PRIJEM	\N	57	14290	UROK	\N	\N
3612019	2479	1997-06-30	PRIJEM	\N	74	19338	UROK	\N	\N
3612020	2479	1997-07-31	PRIJEM	\N	86	21406	UROK	\N	\N
3612021	2479	1997-08-31	PRIJEM	\N	76	13864	UROK	\N	\N
3612022	2479	1997-09-30	PRIJEM	\N	63	15908	UROK	\N	\N
3612023	2479	1997-10-31	PRIJEM	\N	72	17961	UROK	\N	\N
3612024	2479	1997-11-30	PRIJEM	\N	80	20023	UROK	\N	\N
3612025	2479	1997-12-31	PRIJEM	\N	95	22992	UROK	\N	\N
3612026	2479	1998-01-31	PRIJEM	\N	73	15447	UROK	\N	\N
3612027	2479	1998-02-28	PRIJEM	\N	69	17497	UROK	\N	\N
3612028	2479	1998-03-31	PRIJEM	\N	78	19557	UROK	\N	\N
3612029	2479	1998-04-30	PRIJEM	\N	86	21624	UROK	\N	\N
3612030	2479	1998-05-31	PRIJEM	\N	83	19389	UROK	\N	\N
3612031	2479	1998-06-30	PRIJEM	\N	94	24458	UROK	\N	\N
3612032	2479	1998-07-31	PRIJEM	\N	86	17525	UROK	\N	\N
3612033	2479	1998-08-31	PRIJEM	\N	78	19584	UROK	\N	\N
3612034	2479	1998-09-30	PRIJEM	\N	73	17839	UROK	\N	\N
3612035	2479	1998-10-31	PRIJEM	\N	54	10274	UROK	\N	\N
3612036	2479	1998-11-30	PRIJEM	\N	47	12303	UROK	\N	\N
3612037	2479	1998-12-31	PRIJEM	\N	61	15838	UROK	\N	\N
3612038	2480	1997-09-30	PRIJEM	\N	186	57920	UROK	\N	\N
3612039	2480	1997-10-31	PRIJEM	\N	300	84133	UROK	\N	\N
3612040	2480	1997-11-30	PRIJEM	\N	326	72381	UROK	\N	\N
3612041	2480	1997-12-31	PRIJEM	\N	276	83477	UROK	\N	\N
3612042	2480	1998-01-31	PRIJEM	\N	303	59810	UROK	\N	\N
3612043	2480	1998-02-28	PRIJEM	\N	233	32628	UROK	\N	\N
3612044	2480	1998-03-31	PRIJEM	\N	244	54830	UROK	\N	\N
3612045	2480	1998-04-30	PRIJEM	\N	257	55558	UROK	\N	\N
3612046	2480	1998-05-31	PRIJEM	\N	269	72001	UROK	\N	\N
3612047	2480	1998-06-30	PRIJEM	\N	171	32167	UROK	\N	\N
3612048	2480	1998-07-31	PRIJEM	\N	302	72910	UROK	\N	\N
3612049	2480	1998-08-31	PRIJEM	\N	312	78072	UROK	\N	\N
3612050	2480	1998-09-30	PRIJEM	\N	222	79641	UROK	\N	\N
3612051	2480	1998-10-31	PRIJEM	\N	349	63364	UROK	\N	\N
3612052	2480	1998-11-30	PRIJEM	\N	254	85815	UROK	\N	\N
3612053	2480	1998-12-31	PRIJEM	\N	291	8169	UROK	\N	\N
3612054	2482	1994-03-31	PRIJEM	\N	18	19136	UROK	\N	\N
3612055	2482	1994-04-30	PRIJEM	\N	90	30144	UROK	\N	\N
3612056	2482	1994-05-31	PRIJEM	\N	130	34192	UROK	\N	\N
3612057	2482	1994-06-30	PRIJEM	\N	147	38616	UROK	\N	\N
3612058	2482	1994-07-31	PRIJEM	\N	165	34050	UROK	\N	\N
3612059	2482	1994-08-31	PRIJEM	\N	152	33658	UROK	\N	\N
3612060	2482	1994-09-30	PRIJEM	\N	148	31561	UROK	\N	\N
3612061	2482	1994-10-31	PRIJEM	\N	141	32458	UROK	\N	\N
3612062	2482	1994-11-30	PRIJEM	\N	135	29948	UROK	\N	\N
3612063	2482	1994-12-31	PRIJEM	\N	153	34716	UROK	\N	\N
3612064	2482	1995-01-31	PRIJEM	\N	138	24109	UROK	\N	\N
3612065	2482	1995-02-28	PRIJEM	\N	114	26278	UROK	\N	\N
3612066	2482	1995-03-31	PRIJEM	\N	118	26351	UROK	\N	\N
3612067	2482	1995-04-30	PRIJEM	\N	125	30932	UROK	\N	\N
3612068	2482	1995-05-31	PRIJEM	\N	135	28022	UROK	\N	\N
3612069	2482	1995-06-30	PRIJEM	\N	101	22736	UROK	\N	\N
3612070	2482	1995-07-31	PRIJEM	\N	105	24797	UROK	\N	\N
3612071	2482	1995-08-31	PRIJEM	\N	109	23162	UROK	\N	\N
3612072	2482	1995-09-30	PRIJEM	\N	102	23119	UROK	\N	\N
3612073	2482	1995-10-31	PRIJEM	\N	104	24279	UROK	\N	\N
3612074	2482	1995-11-30	PRIJEM	\N	112	26846	UROK	\N	\N
3612075	2482	1995-12-31	PRIJEM	\N	120	21880	UROK	\N	\N
3612076	2482	1996-01-31	PRIJEM	\N	91	17026	UROK	\N	\N
3612077	2482	1996-02-29	PRIJEM	\N	79	18560	UROK	\N	\N
3612078	2482	1996-03-31	PRIJEM	\N	94	23509	UROK	\N	\N
3612079	2482	1996-04-30	PRIJEM	\N	103	23868	UROK	\N	\N
3612080	2482	1996-05-31	PRIJEM	\N	100	22623	UROK	\N	\N
3612081	2482	1996-06-30	PRIJEM	\N	112	24849	UROK	\N	\N
3612082	2482	1996-07-31	PRIJEM	\N	100	22605	UROK	\N	\N
3612083	2482	1996-08-31	PRIJEM	\N	86	17846	UROK	\N	\N
3612084	2482	1996-09-30	PRIJEM	\N	78	18379	UROK	\N	\N
3612085	2482	1996-10-31	PRIJEM	\N	88	20723	UROK	\N	\N
3612086	2482	1996-11-30	PRIJEM	\N	80	18358	UROK	\N	\N
3612087	2482	1996-12-31	PRIJEM	\N	80	15353	UROK	\N	\N
3612088	2482	1997-01-31	PRIJEM	\N	68	16376	UROK	\N	\N
3612089	2482	1997-02-28	PRIJEM	\N	69	16600	UROK	\N	\N
3612090	2482	1997-03-31	PRIJEM	\N	78	14733	UROK	\N	\N
3612091	2482	1997-04-30	PRIJEM	\N	80	19869	UROK	\N	\N
3612092	2482	1997-05-31	PRIJEM	\N	106	26430	UROK	\N	\N
3612093	2482	1997-06-30	PRIJEM	\N	140	34185	UROK	\N	\N
3612094	2482	1997-07-31	PRIJEM	\N	140	32580	UROK	\N	\N
3612095	2482	1997-08-31	PRIJEM	\N	152	37388	UROK	\N	\N
3612096	2482	1997-09-30	PRIJEM	\N	165	39809	UROK	\N	\N
3612097	2482	1997-10-31	PRIJEM	\N	179	40043	UROK	\N	\N
3612098	2482	1997-11-30	PRIJEM	\N	186	45784	UROK	\N	\N
3612099	2482	1997-12-31	PRIJEM	\N	211	51109	UROK	\N	\N
3612100	2482	1998-01-31	PRIJEM	\N	200	40963	UROK	\N	\N
3612101	2482	1998-02-28	PRIJEM	\N	184	45303	UROK	\N	\N
3612102	2482	1998-03-31	PRIJEM	\N	197	48255	UROK	\N	\N
3612103	2482	1998-04-30	PRIJEM	\N	204	49915	UROK	\N	\N
3612104	2482	1998-05-31	PRIJEM	\N	186	44456	UROK	\N	\N
3612105	2482	1998-06-30	PRIJEM	\N	145	24515	UROK	\N	\N
3612106	2482	1998-07-31	PRIJEM	\N	126	30996	UROK	\N	\N
3612107	2482	1998-08-31	PRIJEM	\N	127	30878	UROK	\N	\N
3612108	2482	1998-09-30	PRIJEM	\N	127	31861	UROK	\N	\N
3612109	2482	1998-10-31	PRIJEM	\N	121	25537	UROK	\N	\N
3612110	2482	1998-11-30	PRIJEM	\N	119	27012	UROK	\N	\N
3612111	2482	1998-12-31	PRIJEM	\N	144	34370	UROK	\N	\N
3612112	2483	1996-10-31	PRIJEM	\N	10	25864	UROK	\N	\N
3612113	2483	1996-11-30	PRIJEM	\N	114	40332	UROK	\N	\N
3612114	2483	1996-12-31	PRIJEM	\N	176	55839	UROK	\N	\N
3612115	2483	1997-01-31	PRIJEM	\N	234	59427	UROK	\N	\N
3612116	2483	1997-02-28	PRIJEM	\N	265	57746	UROK	\N	\N
3612117	2483	1997-03-31	PRIJEM	\N	263	54326	UROK	\N	\N
3612118	2483	1997-04-30	PRIJEM	\N	261	52704	UROK	\N	\N
3612119	2483	1997-05-31	PRIJEM	\N	253	52575	UROK	\N	\N
3612120	2483	1997-06-30	PRIJEM	\N	216	43285	UROK	\N	\N
3612121	2483	1997-07-31	PRIJEM	\N	211	42114	UROK	\N	\N
3612122	2483	1997-08-31	PRIJEM	\N	208	45239	UROK	\N	\N
3612123	2483	1997-09-30	PRIJEM	\N	205	40562	UROK	\N	\N
3612124	2483	1997-10-31	PRIJEM	\N	200	43479	UROK	\N	\N
3612125	2483	1997-11-30	PRIJEM	\N	205	43401	UROK	\N	\N
3612126	2483	1997-12-31	PRIJEM	\N	228	46723	UROK	\N	\N
3612127	2483	1998-01-31	PRIJEM	\N	181	34622	UROK	\N	\N
3612128	2483	1998-02-28	PRIJEM	\N	175	39715	UROK	\N	\N
3612129	2483	1998-03-31	PRIJEM	\N	193	41125	UROK	\N	\N
3612130	2483	1998-04-30	PRIJEM	\N	202	45444	UROK	\N	\N
3612131	2483	1998-05-31	PRIJEM	\N	210	43072	UROK	\N	\N
3612132	2483	1998-06-30	PRIJEM	\N	228	49894	UROK	\N	\N
3612133	2483	1998-07-31	PRIJEM	\N	225	47137	UROK	\N	\N
3612134	2483	1998-08-31	PRIJEM	\N	204	42258	UROK	\N	\N
3612135	2483	1998-09-30	PRIJEM	\N	178	39653	UROK	\N	\N
3612136	2483	1998-10-31	PRIJEM	\N	172	36743	UROK	\N	\N
3612137	2483	1998-11-30	PRIJEM	\N	169	36730	UROK	\N	\N
3612138	2483	1998-12-31	PRIJEM	\N	231	61555	UROK	\N	\N
3612139	2484	1993-01-31	PRIJEM	\N	43	15922	UROK	\N	\N
3612140	2484	1993-02-28	PRIJEM	\N	118	36318	UROK	\N	\N
3612141	2484	1993-03-31	PRIJEM	\N	169	43166	UROK	\N	\N
3612142	2484	1993-04-30	PRIJEM	\N	197	49842	UROK	\N	\N
3612143	2484	1993-05-31	PRIJEM	\N	212	51734	UROK	\N	\N
3612144	2484	1993-06-30	PRIJEM	\N	178	44056	UROK	\N	\N
3612145	2484	1993-07-31	PRIJEM	\N	180	45691	UROK	\N	\N
3612146	2484	1993-08-31	PRIJEM	\N	171	43456	UROK	\N	\N
3612147	2484	1993-09-30	PRIJEM	\N	166	40456	UROK	\N	\N
3612148	2484	1993-10-31	PRIJEM	\N	169	35360	UROK	\N	\N
3612149	2484	1993-11-30	PRIJEM	\N	169	35923	UROK	\N	\N
3612150	2484	1993-12-31	PRIJEM	\N	187	33294	UROK	\N	\N
3612151	2484	1994-01-31	PRIJEM	\N	136	29964	UROK	\N	\N
3612152	2484	1994-02-28	PRIJEM	\N	145	31504	UROK	\N	\N
3612153	2484	1994-03-31	PRIJEM	\N	152	31350	UROK	\N	\N
3612154	2484	1994-04-30	PRIJEM	\N	151	31195	UROK	\N	\N
3612155	2484	1994-05-31	PRIJEM	\N	133	32723	UROK	\N	\N
3612156	2484	1994-06-30	PRIJEM	\N	174	39480	UROK	\N	\N
3612157	2484	1994-07-31	PRIJEM	\N	166	33620	UROK	\N	\N
3612158	2484	1994-08-31	PRIJEM	\N	157	34672	UROK	\N	\N
3612159	2484	1994-09-30	PRIJEM	\N	162	36628	UROK	\N	\N
3612160	2484	1994-10-31	PRIJEM	\N	164	34787	UROK	\N	\N
3612161	2484	1994-11-30	PRIJEM	\N	161	36742	UROK	\N	\N
3612162	2484	1994-12-31	PRIJEM	\N	186	39171	UROK	\N	\N
3612163	2484	1995-01-31	PRIJEM	\N	150	31475	UROK	\N	\N
3612164	2484	1995-02-28	PRIJEM	\N	144	33893	UROK	\N	\N
3612165	2484	1995-03-31	PRIJEM	\N	155	34643	UROK	\N	\N
3612166	2484	1995-04-30	PRIJEM	\N	158	35595	UROK	\N	\N
3612167	2484	1995-05-31	PRIJEM	\N	140	25370	UROK	\N	\N
3612168	2484	1995-06-30	PRIJEM	\N	135	32288	UROK	\N	\N
3612169	2484	1995-07-31	PRIJEM	\N	144	32027	UROK	\N	\N
3612170	2484	1995-08-31	PRIJEM	\N	144	33165	UROK	\N	\N
3612171	2484	1995-09-30	PRIJEM	\N	141	29801	UROK	\N	\N
3612172	2484	1995-10-31	PRIJEM	\N	132	30327	UROK	\N	\N
3612173	2484	1995-11-30	PRIJEM	\N	127	26848	UROK	\N	\N
3612174	2484	1995-12-31	PRIJEM	\N	121	25133	UROK	\N	\N
3612175	2484	1996-01-31	PRIJEM	\N	95	16842	UROK	\N	\N
3612176	2484	1996-02-29	PRIJEM	\N	75	17411	UROK	\N	\N
3612177	2484	1996-03-31	PRIJEM	\N	77	19042	UROK	\N	\N
3612178	2484	1996-04-30	PRIJEM	\N	85	20561	UROK	\N	\N
3612179	2484	1996-05-31	PRIJEM	\N	87	17243	UROK	\N	\N
3612180	2484	1996-06-30	PRIJEM	\N	88	22515	UROK	\N	\N
3612181	2484	1996-07-31	PRIJEM	\N	96	22145	UROK	\N	\N
3612182	2484	1996-08-31	PRIJEM	\N	90	21129	UROK	\N	\N
3612183	2484	1996-09-30	PRIJEM	\N	87	21931	UROK	\N	\N
3612184	2484	1996-10-31	PRIJEM	\N	113	24838	UROK	\N	\N
3612185	2484	1996-11-30	PRIJEM	\N	100	24632	UROK	\N	\N
3612186	2484	1996-12-31	PRIJEM	\N	102	22637	UROK	\N	\N
3612187	2484	1997-01-31	PRIJEM	\N	77	16288	UROK	\N	\N
3612188	2484	1997-02-28	PRIJEM	\N	99	30181	UROK	\N	\N
3612189	2484	1997-03-31	PRIJEM	\N	110	23626	UROK	\N	\N
3612190	2484	1997-04-30	PRIJEM	\N	95	23135	UROK	\N	\N
3612191	2484	1997-05-31	PRIJEM	\N	90	17119	UROK	\N	\N
3612192	2484	1997-06-30	PRIJEM	\N	112	34514	UROK	\N	\N
3612193	2484	1997-07-31	PRIJEM	\N	132	32741	UROK	\N	\N
3612194	2484	1997-08-31	PRIJEM	\N	113	25189	UROK	\N	\N
3612195	2484	1997-09-30	PRIJEM	\N	126	35209	UROK	\N	\N
3612196	2484	1997-10-31	PRIJEM	\N	127	32190	UROK	\N	\N
3612197	2484	1997-11-30	PRIJEM	\N	148	40552	UROK	\N	\N
3612198	2484	1997-12-31	PRIJEM	\N	152	37447	UROK	\N	\N
3612199	2484	1998-01-31	PRIJEM	\N	147	36449	UROK	\N	\N
3612200	2484	1998-02-28	PRIJEM	\N	89	18052	UROK	\N	\N
3612201	2484	1998-03-31	PRIJEM	\N	95	23962	UROK	\N	\N
3612202	2484	1998-04-30	PRIJEM	\N	120	33976	UROK	\N	\N
3612203	2484	1998-05-31	PRIJEM	\N	103	26372	UROK	\N	\N
3612204	2484	1998-06-30	PRIJEM	\N	146	41162	UROK	\N	\N
3612205	2484	1998-07-31	PRIJEM	\N	118	30274	UROK	\N	\N
3612206	2484	1998-08-31	PRIJEM	\N	140	38029	UROK	\N	\N
3612207	2484	1998-09-30	PRIJEM	\N	125	33649	UROK	\N	\N
3612208	2484	1998-10-31	PRIJEM	\N	160	43703	UROK	\N	\N
3612209	2484	1998-11-30	PRIJEM	\N	113	29410	UROK	\N	\N
3612210	2484	1998-12-31	PRIJEM	\N	151	43644	UROK	\N	\N
3612211	2485	1998-01-31	PRIJEM	\N	35	12201	UROK	\N	\N
3612212	2485	1998-02-28	PRIJEM	\N	56	14339	UROK	\N	\N
3612213	2485	1998-03-31	PRIJEM	\N	65	16488	UROK	\N	\N
3612214	2485	1998-04-30	PRIJEM	\N	69	16640	UROK	\N	\N
3612215	2485	1998-05-31	PRIJEM	\N	74	18397	UROK	\N	\N
3612216	2485	1998-06-30	PRIJEM	\N	82	20562	UROK	\N	\N
3612217	2485	1998-07-31	PRIJEM	\N	81	15687	UROK	\N	\N
3612218	2485	1998-08-31	PRIJEM	\N	70	17841	UROK	\N	\N
3612219	2485	1998-09-30	PRIJEM	\N	79	20003	UROK	\N	\N
3612220	2485	1998-10-31	PRIJEM	\N	88	22175	UROK	\N	\N
3612221	2485	1998-11-30	PRIJEM	\N	97	24356	UROK	\N	\N
3612222	2485	1998-12-31	PRIJEM	\N	105	25594	UROK	\N	\N
3612223	2486	1993-03-31	PRIJEM	\N	13	31133	UROK	\N	\N
3612224	2486	1993-04-30	PRIJEM	\N	160	39059	UROK	\N	\N
3612225	2486	1993-05-31	PRIJEM	\N	340	49694	UROK	\N	\N
3612226	2486	1993-06-30	PRIJEM	\N	281	39371	UROK	\N	\N
3612227	2486	1993-07-31	PRIJEM	\N	133	19707	UROK	\N	\N
3612228	2486	1993-08-31	PRIJEM	\N	50	24581	UROK	\N	\N
3612229	2486	1993-09-30	PRIJEM	\N	101	22667	UROK	\N	\N
3612230	2486	1993-10-31	PRIJEM	\N	173	99439	UROK	\N	\N
3612231	2486	1993-11-30	PRIJEM	\N	232	78694	UROK	\N	\N
3612232	2486	1993-12-31	PRIJEM	\N	290	78671	UROK	\N	\N
3612233	2486	1994-01-31	PRIJEM	\N	297	36751	UROK	\N	\N
3612234	2486	1994-02-28	PRIJEM	\N	179	37262	UROK	\N	\N
3612235	2486	1994-03-31	PRIJEM	\N	99	14509	UROK	\N	\N
3612236	2486	1994-04-30	PRIJEM	\N	114	31221	UROK	\N	\N
3612237	2486	1994-05-31	PRIJEM	\N	196	86155	UROK	\N	\N
3612238	2486	1994-06-30	PRIJEM	\N	319	89614	UROK	\N	\N
3612239	2486	1994-07-31	PRIJEM	\N	207	40266	UROK	\N	\N
3612240	2486	1994-08-31	PRIJEM	\N	265	43066	UROK	\N	\N
3612241	2486	1994-09-30	PRIJEM	\N	221	48844	UROK	\N	\N
3612242	2486	1994-10-31	PRIJEM	\N	90	28534	UROK	\N	\N
3612243	2486	1994-11-30	PRIJEM	\N	183	49784	UROK	\N	\N
3612244	2486	1994-12-31	PRIJEM	\N	263	75655	UROK	\N	\N
3612245	2486	1995-01-31	PRIJEM	\N	242	33515	UROK	\N	\N
3612246	2486	1995-02-28	PRIJEM	\N	278	58269	UROK	\N	\N
3612247	2486	1995-03-31	PRIJEM	\N	274	41525	UROK	\N	\N
3612248	2486	1995-04-30	PRIJEM	\N	141	27115	UROK	\N	\N
3612249	2486	1995-05-31	PRIJEM	\N	124	61514	UROK	\N	\N
3612250	2486	1995-06-30	PRIJEM	\N	290	51553	UROK	\N	\N
3612251	2486	1995-07-31	PRIJEM	\N	294	90423	UROK	\N	\N
3612252	2486	1995-08-31	PRIJEM	\N	249	54898	UROK	\N	\N
3612253	2486	1995-09-30	PRIJEM	\N	209	37828	UROK	\N	\N
3612254	2486	1995-10-31	PRIJEM	\N	171	65558	UROK	\N	\N
3612255	2486	1995-11-30	PRIJEM	\N	161	37027	UROK	\N	\N
3612256	2486	1995-12-31	PRIJEM	\N	141	35159	UROK	\N	\N
3612257	2486	1996-01-31	PRIJEM	\N	172	4217	UROK	\N	\N
3612258	2486	1996-02-29	PRIJEM	\N	18	16420	UROK	\N	\N
3612259	2486	1996-03-31	PRIJEM	\N	105	52094	UROK	\N	\N
3612260	2486	1996-04-30	PRIJEM	\N	244	53822	UROK	\N	\N
3612261	2486	1996-05-31	PRIJEM	\N	147	27554	UROK	\N	\N
3612262	2486	1996-06-30	PRIJEM	\N	154	36666	UROK	\N	\N
3612263	2486	1996-07-31	PRIJEM	\N	105	14689	UROK	\N	\N
3612264	2486	1996-08-31	PRIJEM	\N	84	5533	UROK	\N	\N
3612265	2486	1996-09-30	PRIJEM	\N	100	56972	UROK	\N	\N
3612266	2486	1996-10-31	PRIJEM	\N	197	20874	UROK	\N	\N
3612267	2486	1996-11-30	PRIJEM	\N	253	111562	UROK	\N	\N
3612268	2486	1996-12-31	PRIJEM	\N	317	59564	UROK	\N	\N
3612269	2486	1997-01-31	PRIJEM	\N	144	16430	UROK	\N	\N
3612270	2486	1997-02-28	PRIJEM	\N	162	78179	UROK	\N	\N
3612271	2486	1997-03-31	PRIJEM	\N	317	86581	UROK	\N	\N
3612272	2486	1997-04-30	PRIJEM	\N	333	92833	UROK	\N	\N
3612273	2486	1997-05-31	PRIJEM	\N	317	54347	UROK	\N	\N
3612274	2486	1997-06-30	PRIJEM	\N	202	54126	UROK	\N	\N
3612275	2486	1997-07-31	PRIJEM	\N	410	101674	UROK	\N	\N
3612276	2486	1997-08-31	PRIJEM	\N	416	102892	UROK	\N	\N
3612277	2486	1997-09-30	PRIJEM	\N	273	76424	UROK	\N	\N
3612278	2486	1997-10-31	PRIJEM	\N	184	24416	UROK	\N	\N
3612279	2486	1997-11-30	PRIJEM	\N	89	21591	UROK	\N	\N
3612280	2486	1997-12-31	PRIJEM	\N	241	81160	UROK	\N	\N
3612281	2486	1998-01-31	PRIJEM	\N	275	30435	UROK	\N	\N
3612282	2486	1998-02-28	PRIJEM	\N	135	73219	UROK	\N	\N
3612283	2486	1998-03-31	PRIJEM	\N	325	83414	UROK	\N	\N
3612284	2486	1998-04-30	PRIJEM	\N	351	86174	UROK	\N	\N
3612285	2486	1998-05-31	PRIJEM	\N	331	119604	UROK	\N	\N
3612286	2486	1998-06-30	PRIJEM	\N	136	53044	UROK	\N	\N
3612287	2486	1998-07-31	PRIJEM	\N	99	33074	UROK	\N	\N
3612288	2486	1998-08-31	PRIJEM	\N	111	25013	UROK	\N	\N
3612289	2486	1998-09-30	PRIJEM	\N	148	23951	UROK	\N	\N
3612290	2486	1998-10-31	PRIJEM	\N	105	20822	UROK	\N	\N
3612291	2486	1998-11-30	PRIJEM	\N	224	28993	UROK	\N	\N
3612292	2486	1998-12-31	PRIJEM	\N	228	75670	UROK	\N	\N
3612293	2487	1995-11-30	PRIJEM	\N	21	14762	UROK	\N	\N
3612294	2487	1995-12-31	PRIJEM	\N	70	20343	UROK	\N	\N
3612295	2487	1996-01-31	PRIJEM	\N	90	23774	UROK	\N	\N
3612296	2487	1996-02-29	PRIJEM	\N	102	26017	UROK	\N	\N
3612297	2487	1996-03-31	PRIJEM	\N	105	22103	UROK	\N	\N
3612298	2487	1996-04-30	PRIJEM	\N	92	21562	UROK	\N	\N
3612299	2487	1996-05-31	PRIJEM	\N	84	20712	UROK	\N	\N
3612300	2487	1996-06-30	PRIJEM	\N	73	17123	UROK	\N	\N
3612301	2487	1996-07-31	PRIJEM	\N	81	20670	UROK	\N	\N
3612302	2487	1996-08-31	PRIJEM	\N	90	21226	UROK	\N	\N
3612303	2487	1996-09-30	PRIJEM	\N	91	21283	UROK	\N	\N
3612304	2487	1996-10-31	PRIJEM	\N	99	24748	UROK	\N	\N
3612305	2487	1996-11-30	PRIJEM	\N	104	25219	UROK	\N	\N
3612306	2487	1996-12-31	PRIJEM	\N	114	26370	UROK	\N	\N
3612307	2487	1997-01-31	PRIJEM	\N	86	12822	UROK	\N	\N
3612308	2487	1997-02-28	PRIJEM	\N	68	18457	UROK	\N	\N
3612309	2487	1997-03-31	PRIJEM	\N	84	20607	UROK	\N	\N
3612310	2487	1997-04-30	PRIJEM	\N	85	19658	UROK	\N	\N
3612311	2487	1997-05-31	PRIJEM	\N	84	20609	UROK	\N	\N
3612312	2487	1997-06-30	PRIJEM	\N	100	24547	UROK	\N	\N
3612313	2487	1997-07-31	PRIJEM	\N	109	26722	UROK	\N	\N
3612314	2487	1997-08-31	PRIJEM	\N	108	24896	UROK	\N	\N
3612315	2487	1997-09-30	PRIJEM	\N	113	27976	UROK	\N	\N
3612316	2487	1997-10-31	PRIJEM	\N	120	29262	UROK	\N	\N
3612317	2487	1997-11-30	PRIJEM	\N	130	31758	UROK	\N	\N
3612318	2487	1997-12-31	PRIJEM	\N	133	31528	UROK	\N	\N
3612319	2487	1998-01-31	PRIJEM	\N	109	16303	UROK	\N	\N
3612320	2487	1998-02-28	PRIJEM	\N	87	22457	UROK	\N	\N
3612321	2487	1998-03-31	PRIJEM	\N	92	21816	UROK	\N	\N
3612322	2487	1998-04-30	PRIJEM	\N	95	23177	UROK	\N	\N
3612323	2487	1998-05-31	PRIJEM	\N	88	19631	UROK	\N	\N
3612324	2487	1998-06-30	PRIJEM	\N	83	20051	UROK	\N	\N
3612325	2487	1998-07-31	PRIJEM	\N	76	18794	UROK	\N	\N
3612326	2487	1998-08-31	PRIJEM	\N	85	20245	UROK	\N	\N
3612327	2487	1998-09-30	PRIJEM	\N	85	18097	UROK	\N	\N
3612328	2487	1998-10-31	PRIJEM	\N	93	22256	UROK	\N	\N
3612329	2487	1998-11-30	PRIJEM	\N	131	33254	UROK	\N	\N
3612330	2487	1998-12-31	PRIJEM	\N	161	39852	UROK	\N	\N
3612331	2488	1993-04-30	PRIJEM	\N	11	3457	UROK	\N	\N
3612332	2488	1993-05-31	PRIJEM	\N	14	6517	UROK	\N	\N
3612333	2488	1993-06-30	PRIJEM	\N	14	9578	UROK	\N	\N
3612334	2488	1993-07-31	PRIJEM	\N	14	12638	UROK	\N	\N
3612335	2488	1993-08-31	PRIJEM	\N	40	13695	UROK	\N	\N
3612336	2488	1993-09-30	PRIJEM	\N	59	14155	UROK	\N	\N
3612337	2488	1993-10-31	PRIJEM	\N	59	13985	UROK	\N	\N
3612338	2488	1993-11-30	PRIJEM	\N	61	15047	UROK	\N	\N
3612339	2488	1993-12-31	PRIJEM	\N	65	15393	UROK	\N	\N
3612340	2488	1994-01-31	PRIJEM	\N	67	16461	UROK	\N	\N
3612341	2488	1994-02-28	PRIJEM	\N	71	17533	UROK	\N	\N
3612342	2488	1994-03-31	PRIJEM	\N	76	18610	UROK	\N	\N
3612343	2488	1994-04-30	PRIJEM	\N	80	19692	UROK	\N	\N
3612344	2488	1994-05-31	PRIJEM	\N	85	20298	UROK	\N	\N
3612345	2488	1994-06-30	PRIJEM	\N	70	15280	UROK	\N	\N
3612346	2488	1994-07-31	PRIJEM	\N	63	14844	UROK	\N	\N
3612347	2488	1994-08-31	PRIJEM	\N	64	15910	UROK	\N	\N
3612348	2488	1994-09-30	PRIJEM	\N	68	16049	UROK	\N	\N
3612349	2488	1994-10-31	PRIJEM	\N	69	17120	UROK	\N	\N
3612350	2488	1994-11-30	PRIJEM	\N	74	18195	UROK	\N	\N
3612351	2488	1994-12-31	PRIJEM	\N	77	18583	UROK	\N	\N
3612352	2488	1995-01-31	PRIJEM	\N	80	19665	UROK	\N	\N
3612353	2488	1995-02-28	PRIJEM	\N	84	20750	UROK	\N	\N
3612354	2488	1995-03-31	PRIJEM	\N	89	21840	UROK	\N	\N
3612355	2488	1995-04-30	PRIJEM	\N	93	22935	UROK	\N	\N
3612356	2488	1995-05-31	PRIJEM	\N	98	24034	UROK	\N	\N
3612357	2488	1995-06-30	PRIJEM	\N	97	20873	UROK	\N	\N
3612358	2488	1995-07-31	PRIJEM	\N	87	20641	UROK	\N	\N
3612359	2488	1995-08-31	PRIJEM	\N	87	21159	UROK	\N	\N
3612360	2488	1995-09-30	PRIJEM	\N	90	22251	UROK	\N	\N
3612361	2488	1995-10-31	PRIJEM	\N	95	23347	UROK	\N	\N
3612362	2488	1995-11-30	PRIJEM	\N	98	23336	UROK	\N	\N
3612363	2488	1995-12-31	PRIJEM	\N	97	22605	UROK	\N	\N
3612364	2488	1996-01-31	PRIJEM	\N	93	22409	UROK	\N	\N
3612365	2488	1996-02-29	PRIJEM	\N	95	23506	UROK	\N	\N
3612366	2488	1996-03-31	PRIJEM	\N	100	24607	UROK	\N	\N
3612367	2488	1996-04-30	PRIJEM	\N	104	25713	UROK	\N	\N
3612368	2488	1996-05-31	PRIJEM	\N	109	26824	UROK	\N	\N
3612369	2488	1996-06-30	PRIJEM	\N	87	19032	UROK	\N	\N
3612370	2488	1996-07-31	PRIJEM	\N	80	18884	UROK	\N	\N
3612371	2488	1996-08-31	PRIJEM	\N	80	19966	UROK	\N	\N
3612372	2488	1996-09-30	PRIJEM	\N	85	21052	UROK	\N	\N
3612373	2488	1996-10-31	PRIJEM	\N	89	22143	UROK	\N	\N
3612374	2488	1996-11-30	PRIJEM	\N	94	23238	UROK	\N	\N
3612375	2488	1996-12-31	PRIJEM	\N	99	23858	UROK	\N	\N
3612376	2488	1997-01-31	PRIJEM	\N	101	24481	UROK	\N	\N
3612377	2488	1997-02-28	PRIJEM	\N	103	25586	UROK	\N	\N
3612378	2488	1997-03-31	PRIJEM	\N	108	26695	UROK	\N	\N
3612379	2488	1997-04-30	PRIJEM	\N	110	26576	UROK	\N	\N
3612380	2488	1997-05-31	PRIJEM	\N	112	27690	UROK	\N	\N
3612381	2488	1997-06-30	PRIJEM	\N	116	26677	UROK	\N	\N
3612382	2488	1997-07-31	PRIJEM	\N	112	27791	UROK	\N	\N
3612383	2488	1997-08-31	PRIJEM	\N	117	28909	UROK	\N	\N
3612384	2488	1997-09-30	PRIJEM	\N	121	29431	UROK	\N	\N
3612385	2488	1997-10-31	PRIJEM	\N	122	29504	UROK	\N	\N
3612386	2488	1997-11-30	PRIJEM	\N	124	29939	UROK	\N	\N
3612387	2488	1997-12-31	PRIJEM	\N	126	30647	UROK	\N	\N
3612388	2488	1998-01-31	PRIJEM	\N	128	31777	UROK	\N	\N
3612389	2488	1998-02-28	PRIJEM	\N	132	31830	UROK	\N	\N
3612390	2488	1998-03-31	PRIJEM	\N	131	32032	UROK	\N	\N
3612391	2488	1998-04-30	PRIJEM	\N	132	32115	UROK	\N	\N
3612392	2488	1998-05-31	PRIJEM	\N	134	33251	UROK	\N	\N
3612393	2488	1998-06-30	PRIJEM	\N	134	31326	UROK	\N	\N
3612394	2488	1998-07-31	PRIJEM	\N	131	32458	UROK	\N	\N
3612395	2488	1998-08-31	PRIJEM	\N	133	32573	UROK	\N	\N
3612396	2488	1998-09-30	PRIJEM	\N	135	33439	UROK	\N	\N
3612397	2488	1998-10-31	PRIJEM	\N	139	34580	UROK	\N	\N
3612398	2488	1998-11-30	PRIJEM	\N	144	35725	UROK	\N	\N
3612399	2488	1998-12-31	PRIJEM	\N	148	36275	UROK	\N	\N
3612400	2489	1993-03-31	PRIJEM	\N	16	6697	UROK	\N	\N
3612401	2489	1993-04-30	PRIJEM	\N	28	12506	UROK	\N	\N
3612402	2489	1993-05-31	PRIJEM	\N	28	18315	UROK	\N	\N
3612403	2489	1993-06-30	PRIJEM	\N	28	24124	UROK	\N	\N
3612404	2489	1993-07-31	PRIJEM	\N	81	28686	UROK	\N	\N
3612405	2489	1993-08-31	PRIJEM	\N	113	27751	UROK	\N	\N
3612406	2489	1993-09-30	PRIJEM	\N	111	28475	UROK	\N	\N
3612407	2489	1993-10-31	PRIJEM	\N	113	28080	UROK	\N	\N
3612408	2489	1993-11-30	PRIJEM	\N	114	29106	UROK	\N	\N
3612409	2489	1993-12-31	PRIJEM	\N	104	25752	UROK	\N	\N
3612410	2489	1994-01-31	PRIJEM	\N	90	19814	UROK	\N	\N
3612411	2489	1994-02-28	PRIJEM	\N	87	21814	UROK	\N	\N
3612412	2489	1994-03-31	PRIJEM	\N	91	21817	UROK	\N	\N
3612413	2489	1994-04-30	PRIJEM	\N	95	23825	UROK	\N	\N
3612414	2489	1994-05-31	PRIJEM	\N	101	22158	UROK	\N	\N
3612415	2489	1994-06-30	PRIJEM	\N	86	21357	UROK	\N	\N
3612416	2489	1994-07-31	PRIJEM	\N	94	23362	UROK	\N	\N
3612417	2489	1994-08-31	PRIJEM	\N	102	25377	UROK	\N	\N
3612418	2489	1994-09-30	PRIJEM	\N	110	27399	UROK	\N	\N
3612419	2489	1994-10-31	PRIJEM	\N	118	28230	UROK	\N	\N
3612420	2489	1994-11-30	PRIJEM	\N	122	29024	UROK	\N	\N
3612421	2489	1994-12-31	PRIJEM	\N	120	30806	UROK	\N	\N
3612422	2489	1995-01-31	PRIJEM	\N	90	17489	UROK	\N	\N
3612423	2489	1995-02-28	PRIJEM	\N	77	19478	UROK	\N	\N
3612424	2489	1995-03-31	PRIJEM	\N	85	21476	UROK	\N	\N
3612425	2489	1995-04-30	PRIJEM	\N	88	21896	UROK	\N	\N
3612426	2489	1995-05-31	PRIJEM	\N	95	23904	UROK	\N	\N
3612427	2489	1995-06-30	PRIJEM	\N	98	19195	UROK	\N	\N
3612428	2489	1995-07-31	PRIJEM	\N	84	21191	UROK	\N	\N
3612429	2489	1995-08-31	PRIJEM	\N	92	23196	UROK	\N	\N
3612430	2489	1995-09-30	PRIJEM	\N	97	22645	UROK	\N	\N
3612431	2489	1995-10-31	PRIJEM	\N	98	24656	UROK	\N	\N
3612432	2489	1995-11-30	PRIJEM	\N	106	26675	UROK	\N	\N
3612433	2489	1995-12-31	PRIJEM	\N	103	26620	UROK	\N	\N
3612434	2489	1996-01-31	PRIJEM	\N	90	17002	UROK	\N	\N
3612435	2489	1996-02-29	PRIJEM	\N	74	18989	UROK	\N	\N
3612436	2489	1996-03-31	PRIJEM	\N	83	20984	UROK	\N	\N
3612437	2489	1996-04-30	PRIJEM	\N	91	22987	UROK	\N	\N
3612438	2489	1996-05-31	PRIJEM	\N	86	22426	UROK	\N	\N
3612439	2489	1996-06-30	PRIJEM	\N	79	15567	UROK	\N	\N
3612440	2489	1996-07-31	PRIJEM	\N	68	17548	UROK	\N	\N
3612441	2489	1996-08-31	PRIJEM	\N	77	19537	UROK	\N	\N
3612442	2489	1996-09-30	PRIJEM	\N	77	20566	UROK	\N	\N
3612443	2489	1996-10-31	PRIJEM	\N	89	22568	UROK	\N	\N
3612444	2489	1996-11-30	PRIJEM	\N	94	21694	UROK	\N	\N
3612445	2489	1996-12-31	PRIJEM	\N	77	18713	UROK	\N	\N
3612446	2489	1997-01-31	PRIJEM	\N	64	15810	UROK	\N	\N
3612447	2489	1997-02-28	PRIJEM	\N	69	17791	UROK	\N	\N
3612448	2489	1997-03-31	PRIJEM	\N	75	17778	UROK	\N	\N
3612449	2489	1997-04-30	PRIJEM	\N	77	19767	UROK	\N	\N
3612450	2489	1997-05-31	PRIJEM	\N	85	21765	UROK	\N	\N
3612451	2489	1997-06-30	PRIJEM	\N	86	18714	UROK	\N	\N
3612452	2489	1997-07-31	PRIJEM	\N	81	20707	UROK	\N	\N
3612453	2489	1997-08-31	PRIJEM	\N	89	22708	UROK	\N	\N
3612454	2489	1997-09-30	PRIJEM	\N	97	24718	UROK	\N	\N
3612455	2489	1997-10-31	PRIJEM	\N	106	26736	UROK	\N	\N
3612456	2489	1997-11-30	PRIJEM	\N	111	26839	UROK	\N	\N
3612457	2489	1997-12-31	PRIJEM	\N	113	27764	UROK	\N	\N
3612458	2489	1998-01-31	PRIJEM	\N	99	24676	UROK	\N	\N
3612459	2489	1998-02-28	PRIJEM	\N	104	24212	UROK	\N	\N
3612460	2489	1998-03-31	PRIJEM	\N	91	21975	UROK	\N	\N
3612461	2489	1998-04-30	PRIJEM	\N	94	23981	UROK	\N	\N
3612462	2489	1998-05-31	PRIJEM	\N	102	25995	UROK	\N	\N
3612463	2489	1998-06-30	PRIJEM	\N	101	21758	UROK	\N	\N
3612464	2489	1998-07-31	PRIJEM	\N	91	22802	UROK	\N	\N
3612465	2489	1998-08-31	PRIJEM	\N	97	24811	UROK	\N	\N
3612466	2489	1998-09-30	PRIJEM	\N	105	26829	UROK	\N	\N
3612467	2489	1998-10-31	PRIJEM	\N	112	28053	UROK	\N	\N
3612468	2489	1998-11-30	PRIJEM	\N	118	30083	UROK	\N	\N
3612469	2489	1998-12-31	PRIJEM	\N	120	28666	UROK	\N	\N
3612470	2490	1995-03-31	PRIJEM	\N	26	21405	UROK	\N	\N
3612471	2490	1995-04-30	PRIJEM	\N	98	28882	UROK	\N	\N
3612472	2490	1995-05-31	PRIJEM	\N	124	31685	UROK	\N	\N
3612473	2490	1995-06-30	PRIJEM	\N	142	39295	UROK	\N	\N
3612474	2490	1995-07-31	PRIJEM	\N	173	36971	UROK	\N	\N
3612475	2490	1995-08-31	PRIJEM	\N	158	33018	UROK	\N	\N
3612476	2490	1995-09-30	PRIJEM	\N	143	30550	UROK	\N	\N
3612477	2490	1995-10-31	PRIJEM	\N	118	25958	UROK	\N	\N
3612478	2490	1995-11-30	PRIJEM	\N	119	27266	UROK	\N	\N
3612479	2490	1995-12-31	PRIJEM	\N	138	31782	UROK	\N	\N
3612480	2490	1996-01-31	PRIJEM	\N	108	25680	UROK	\N	\N
3612481	2490	1996-02-29	PRIJEM	\N	121	29591	UROK	\N	\N
3612482	2490	1996-03-31	PRIJEM	\N	131	29711	UROK	\N	\N
3612483	2490	1996-04-30	PRIJEM	\N	127	27027	UROK	\N	\N
3612484	2490	1996-05-31	PRIJEM	\N	129	31945	UROK	\N	\N
3612485	2490	1996-06-30	PRIJEM	\N	147	33370	UROK	\N	\N
3612486	2490	1996-07-31	PRIJEM	\N	146	34605	UROK	\N	\N
3612487	2490	1996-08-31	PRIJEM	\N	144	32438	UROK	\N	\N
3612488	2490	1996-09-30	PRIJEM	\N	130	29258	UROK	\N	\N
3612489	2490	1996-10-31	PRIJEM	\N	115	26462	UROK	\N	\N
3612490	2490	1996-11-30	PRIJEM	\N	116	30467	UROK	\N	\N
3612491	2490	1996-12-31	PRIJEM	\N	147	37192	UROK	\N	\N
3612492	2490	1997-01-31	PRIJEM	\N	147	32229	UROK	\N	\N
3612493	2490	1997-02-28	PRIJEM	\N	147	37165	UROK	\N	\N
3612494	2490	1997-03-31	PRIJEM	\N	159	38213	UROK	\N	\N
3612495	2490	1997-04-30	PRIJEM	\N	161	39263	UROK	\N	\N
3612496	2490	1997-05-31	PRIJEM	\N	176	44129	UROK	\N	\N
3612497	2490	1997-06-30	PRIJEM	\N	192	31498	UROK	\N	\N
3612498	2490	1997-07-31	PRIJEM	\N	146	37233	UROK	\N	\N
3612499	2490	1997-08-31	PRIJEM	\N	169	43291	UROK	\N	\N
3612500	2490	1997-09-30	PRIJEM	\N	189	47170	UROK	\N	\N
3612501	2490	1997-10-31	PRIJEM	\N	188	44447	UROK	\N	\N
3612502	2490	1997-11-30	PRIJEM	\N	203	51540	UROK	\N	\N
3612503	2490	1997-12-31	PRIJEM	\N	232	57450	UROK	\N	\N
3612504	2490	1998-01-31	PRIJEM	\N	211	48750	UROK	\N	\N
3612505	2490	1998-02-28	PRIJEM	\N	207	51947	UROK	\N	\N
3612506	2490	1998-03-31	PRIJEM	\N	228	56064	UROK	\N	\N
3612507	2490	1998-04-30	PRIJEM	\N	254	64307	UROK	\N	\N
3612508	2490	1998-05-31	PRIJEM	\N	275	67871	UROK	\N	\N
3612509	2490	1998-06-30	PRIJEM	\N	283	52232	UROK	\N	\N
3612510	2490	1998-07-31	PRIJEM	\N	258	67980	UROK	\N	\N
3612511	2490	1998-08-31	PRIJEM	\N	297	73766	UROK	\N	\N
3612512	2490	1998-09-30	PRIJEM	\N	303	70258	UROK	\N	\N
3612513	2490	1998-10-31	PRIJEM	\N	267	65314	UROK	\N	\N
3612514	2490	1998-11-30	PRIJEM	\N	269	64972	UROK	\N	\N
3612515	2490	1998-12-31	PRIJEM	\N	279	68229	UROK	\N	\N
3612516	2491	1996-03-31	PRIJEM	\N	25	7537	UROK	\N	\N
3612517	2491	1996-04-30	PRIJEM	\N	61	21510	UROK	\N	\N
3612518	2491	1996-05-31	PRIJEM	\N	85	24407	UROK	\N	\N
3612519	2491	1996-06-30	PRIJEM	\N	102	28028	UROK	\N	\N
3612520	2491	1996-07-31	PRIJEM	\N	125	22631	UROK	\N	\N
3612521	2491	1996-08-31	PRIJEM	\N	105	24000	UROK	\N	\N
3612522	2491	1996-09-30	PRIJEM	\N	109	22974	UROK	\N	\N
3612523	2491	1996-10-31	PRIJEM	\N	104	22242	UROK	\N	\N
3612524	2491	1996-11-30	PRIJEM	\N	100	20507	UROK	\N	\N
3612525	2491	1996-12-31	PRIJEM	\N	103	22380	UROK	\N	\N
3612526	2491	1997-01-31	PRIJEM	\N	70	15015	UROK	\N	\N
3612527	2491	1997-02-28	PRIJEM	\N	68	16247	UROK	\N	\N
3612528	2491	1997-03-31	PRIJEM	\N	78	17989	UROK	\N	\N
3612529	2491	1997-04-30	PRIJEM	\N	82	16235	UROK	\N	\N
3612530	2491	1997-05-31	PRIJEM	\N	73	13773	UROK	\N	\N
3612531	2491	1997-06-30	PRIJEM	\N	65	13608	UROK	\N	\N
3612532	2491	1997-07-31	PRIJEM	\N	63	13436	UROK	\N	\N
3612533	2491	1997-08-31	PRIJEM	\N	66	16266	UROK	\N	\N
3612534	2491	1997-09-30	PRIJEM	\N	76	17907	UROK	\N	\N
3612535	2491	1997-10-31	PRIJEM	\N	84	20355	UROK	\N	\N
3612536	2491	1997-11-30	PRIJEM	\N	98	25718	UROK	\N	\N
3612537	2491	1997-12-31	PRIJEM	\N	123	29811	UROK	\N	\N
3612538	2491	1998-01-31	PRIJEM	\N	106	12982	UROK	\N	\N
3612539	2491	1998-02-28	PRIJEM	\N	64	14810	UROK	\N	\N
3612540	2491	1998-03-31	PRIJEM	\N	75	20250	UROK	\N	\N
3612541	2491	1998-04-30	PRIJEM	\N	95	23609	UROK	\N	\N
3612542	2491	1998-05-31	PRIJEM	\N	101	21873	UROK	\N	\N
3612543	2491	1998-06-30	PRIJEM	\N	105	24248	UROK	\N	\N
3612544	2491	1998-07-31	PRIJEM	\N	107	24319	UROK	\N	\N
3612545	2491	1998-08-31	PRIJEM	\N	108	25992	UROK	\N	\N
3612546	2491	1998-09-30	PRIJEM	\N	114	27170	UROK	\N	\N
3612547	2491	1998-10-31	PRIJEM	\N	120	28754	UROK	\N	\N
3612548	2491	1998-11-30	PRIJEM	\N	114	24633	UROK	\N	\N
3612549	2491	1998-12-31	PRIJEM	\N	113	26316	UROK	\N	\N
3612550	2492	1997-09-30	PRIJEM	\N	19	7620	UROK	\N	\N
3612551	2492	1997-10-31	PRIJEM	\N	32	14553	UROK	\N	\N
3612552	2492	1997-11-30	PRIJEM	\N	33	21487	UROK	\N	\N
3612553	2492	1997-12-31	PRIJEM	\N	80	23268	UROK	\N	\N
3612554	2492	1998-01-31	PRIJEM	\N	111	24874	UROK	\N	\N
3612555	2492	1998-02-28	PRIJEM	\N	102	26442	UROK	\N	\N
3612556	2492	1998-03-31	PRIJEM	\N	97	21144	UROK	\N	\N
3612557	2492	1998-04-30	PRIJEM	\N	95	18385	UROK	\N	\N
3612558	2492	1998-05-31	PRIJEM	\N	78	17768	UROK	\N	\N
3612559	2492	1998-06-30	PRIJEM	\N	81	16035	UROK	\N	\N
3612560	2492	1998-07-31	PRIJEM	\N	71	16451	UROK	\N	\N
3612561	2492	1998-08-31	PRIJEM	\N	69	17665	UROK	\N	\N
3612562	2492	1998-09-30	PRIJEM	\N	79	17690	UROK	\N	\N
3612563	2492	1998-10-31	PRIJEM	\N	76	16871	UROK	\N	\N
3612564	2492	1998-11-30	PRIJEM	\N	74	13890	UROK	\N	\N
3612565	2492	1998-12-31	PRIJEM	\N	60	16195	UROK	\N	\N
3612566	2493	1993-04-30	PRIJEM	\N	6	15069	UROK	\N	\N
3612567	2493	1993-05-31	PRIJEM	\N	68	25200	UROK	\N	\N
3612568	2493	1993-06-30	PRIJEM	\N	108	30402	UROK	\N	\N
3612569	2493	1993-07-31	PRIJEM	\N	127	30892	UROK	\N	\N
3612570	2493	1993-08-31	PRIJEM	\N	130	32584	UROK	\N	\N
3612571	2493	1993-09-30	PRIJEM	\N	139	31077	UROK	\N	\N
3612572	2493	1993-10-31	PRIJEM	\N	129	25979	UROK	\N	\N
3612573	2493	1993-11-30	PRIJEM	\N	114	27466	UROK	\N	\N
3612574	2493	1993-12-31	PRIJEM	\N	123	28974	UROK	\N	\N
3612575	2493	1994-01-31	PRIJEM	\N	112	26699	UROK	\N	\N
3612576	2493	1994-02-28	PRIJEM	\N	114	25386	UROK	\N	\N
3612577	2493	1994-03-31	PRIJEM	\N	110	26509	UROK	\N	\N
3612578	2493	1994-04-30	PRIJEM	\N	114	25236	UROK	\N	\N
3612579	2493	1994-05-31	PRIJEM	\N	112	27922	UROK	\N	\N
3612580	2493	1994-06-30	PRIJEM	\N	130	31656	UROK	\N	\N
3612581	2493	1994-07-31	PRIJEM	\N	135	30745	UROK	\N	\N
3612582	2493	1994-08-31	PRIJEM	\N	122	30400	UROK	\N	\N
3612583	2493	1994-09-30	PRIJEM	\N	131	31604	UROK	\N	\N
3612584	2493	1994-10-31	PRIJEM	\N	132	29150	UROK	\N	\N
3612585	2493	1994-11-30	PRIJEM	\N	122	30505	UROK	\N	\N
3612586	2493	1994-12-31	PRIJEM	\N	129	31558	UROK	\N	\N
3612587	2493	1995-01-31	PRIJEM	\N	134	20466	UROK	\N	\N
3612588	2493	1995-02-28	PRIJEM	\N	99	27438	UROK	\N	\N
3612589	2493	1995-03-31	PRIJEM	\N	121	31932	UROK	\N	\N
3612590	2493	1995-04-30	PRIJEM	\N	140	35146	UROK	\N	\N
3612591	2493	1995-05-31	PRIJEM	\N	147	34786	UROK	\N	\N
3612592	2493	1995-06-30	PRIJEM	\N	137	24347	UROK	\N	\N
3612593	2493	1995-07-31	PRIJEM	\N	119	29659	UROK	\N	\N
3612594	2493	1995-08-31	PRIJEM	\N	125	29797	UROK	\N	\N
3612595	2493	1995-09-30	PRIJEM	\N	142	37612	UROK	\N	\N
3612596	2493	1995-10-31	PRIJEM	\N	169	41234	UROK	\N	\N
3612597	2493	1995-11-30	PRIJEM	\N	179	44686	UROK	\N	\N
3612598	2493	1995-12-31	PRIJEM	\N	195	46366	UROK	\N	\N
3612599	2493	1996-01-31	PRIJEM	\N	190	47509	UROK	\N	\N
3612600	2493	1996-02-29	PRIJEM	\N	201	49183	UROK	\N	\N
3612601	2493	1996-03-31	PRIJEM	\N	211	51867	UROK	\N	\N
3612602	2493	1996-04-30	PRIJEM	\N	224	55565	UROK	\N	\N
3612603	2493	1996-05-31	PRIJEM	\N	218	51916	UROK	\N	\N
3612604	2493	1996-06-30	PRIJEM	\N	237	46217	UROK	\N	\N
3612605	2493	1996-07-31	PRIJEM	\N	221	55452	UROK	\N	\N
3612606	2493	1996-08-31	PRIJEM	\N	248	62573	UROK	\N	\N
3612607	2493	1996-09-30	PRIJEM	\N	269	66415	UROK	\N	\N
3612608	2493	1996-10-31	PRIJEM	\N	274	65802	UROK	\N	\N
3612609	2493	1996-11-30	PRIJEM	\N	273	67248	UROK	\N	\N
3612610	2493	1996-12-31	PRIJEM	\N	298	75511	UROK	\N	\N
3612611	2493	1997-01-31	PRIJEM	\N	296	71960	UROK	\N	\N
3612612	2493	1997-02-28	PRIJEM	\N	293	71826	UROK	\N	\N
3612613	2493	1997-03-31	PRIJEM	\N	281	68321	UROK	\N	\N
3612614	2493	1997-04-30	PRIJEM	\N	279	68573	UROK	\N	\N
3612615	2493	1997-05-31	PRIJEM	\N	278	67585	UROK	\N	\N
3612616	2493	1997-06-30	PRIJEM	\N	243	59792	UROK	\N	\N
3612617	2493	1997-07-31	PRIJEM	\N	254	63560	UROK	\N	\N
3612618	2493	1997-08-31	PRIJEM	\N	256	62990	UROK	\N	\N
3612619	2493	1997-09-30	PRIJEM	\N	254	62416	UROK	\N	\N
3612620	2493	1997-10-31	PRIJEM	\N	258	63648	UROK	\N	\N
3612621	2493	1997-11-30	PRIJEM	\N	280	70901	UROK	\N	\N
3612622	2493	1997-12-31	PRIJEM	\N	305	73170	UROK	\N	\N
3612623	2493	1998-01-31	PRIJEM	\N	291	67954	UROK	\N	\N
3612624	2493	1998-02-28	PRIJEM	\N	280	66587	UROK	\N	\N
3612625	2493	1998-03-31	PRIJEM	\N	298	75758	UROK	\N	\N
3612626	2493	1998-04-30	PRIJEM	\N	311	76743	UROK	\N	\N
3612627	2493	1998-05-31	PRIJEM	\N	303	73859	UROK	\N	\N
3612628	2493	1998-06-30	PRIJEM	\N	155	38679	UROK	\N	\N
3612629	2493	1998-07-31	PRIJEM	\N	220	60072	UROK	\N	\N
3612630	2493	1998-08-31	PRIJEM	\N	284	69730	UROK	\N	\N
3612631	2493	1998-09-30	PRIJEM	\N	289	75272	UROK	\N	\N
3612632	2493	1998-10-31	PRIJEM	\N	315	77361	UROK	\N	\N
3612633	2493	1998-11-30	PRIJEM	\N	323	78757	UROK	\N	\N
3612634	2493	1998-12-31	PRIJEM	\N	338	80559	UROK	\N	\N
3612635	2494	1994-05-31	PRIJEM	\N	38	31395	UROK	\N	\N
3612636	2494	1994-06-30	PRIJEM	\N	166	59497	UROK	\N	\N
3612637	2494	1994-07-31	PRIJEM	\N	251	62405	UROK	\N	\N
3612638	2494	1994-08-31	PRIJEM	\N	265	66426	UROK	\N	\N
3612639	2494	1994-09-30	PRIJEM	\N	199	35055	UROK	\N	\N
3612640	2494	1994-10-31	PRIJEM	\N	236	50187	UROK	\N	\N
3612641	2494	1994-11-30	PRIJEM	\N	280	54764	UROK	\N	\N
3612642	2494	1994-12-31	PRIJEM	\N	294	56376	UROK	\N	\N
3612643	2494	1995-01-31	PRIJEM	\N	266	31938	UROK	\N	\N
3612644	2494	1995-02-28	PRIJEM	\N	201	20168	UROK	\N	\N
3612645	2494	1995-03-31	PRIJEM	\N	181	41246	UROK	\N	\N
3612646	2494	1995-04-30	PRIJEM	\N	198	20899	UROK	\N	\N
3612647	2494	1995-05-31	PRIJEM	\N	159	37654	UROK	\N	\N
3612648	2494	1995-06-30	PRIJEM	\N	266	56383	UROK	\N	\N
3612649	2494	1995-07-31	PRIJEM	\N	289	56368	UROK	\N	\N
3612650	2494	1995-08-31	PRIJEM	\N	278	47034	UROK	\N	\N
3612651	2494	1995-09-30	PRIJEM	\N	225	36687	UROK	\N	\N
3612652	2494	1995-10-31	PRIJEM	\N	214	45397	UROK	\N	\N
3612653	2494	1995-11-30	PRIJEM	\N	229	39922	UROK	\N	\N
3612654	2494	1995-12-31	PRIJEM	\N	263	56361	UROK	\N	\N
3612655	2494	1996-01-31	PRIJEM	\N	221	25479	UROK	\N	\N
3612656	2494	1996-02-29	PRIJEM	\N	150	27920	UROK	\N	\N
3612657	2494	1996-03-31	PRIJEM	\N	180	39596	UROK	\N	\N
3612658	2494	1996-04-30	PRIJEM	\N	205	41323	UROK	\N	\N
3612659	2494	1996-05-31	PRIJEM	\N	196	32666	UROK	\N	\N
3612660	2494	1996-06-30	PRIJEM	\N	231	52772	UROK	\N	\N
3612661	2494	1996-07-31	PRIJEM	\N	201	37404	UROK	\N	\N
3612662	2494	1996-08-31	PRIJEM	\N	191	42592	UROK	\N	\N
3612663	2494	1996-09-30	PRIJEM	\N	191	40680	UROK	\N	\N
3612664	2494	1996-10-31	PRIJEM	\N	187	40519	UROK	\N	\N
3612665	2494	1996-11-30	PRIJEM	\N	198	46214	UROK	\N	\N
3612666	2494	1996-12-31	PRIJEM	\N	211	40076	UROK	\N	\N
3612667	2494	1997-01-31	PRIJEM	\N	182	40355	UROK	\N	\N
3612668	2494	1997-02-28	PRIJEM	\N	137	27888	UROK	\N	\N
3612669	2494	1997-03-31	PRIJEM	\N	148	34633	UROK	\N	\N
3612670	2494	1997-04-30	PRIJEM	\N	159	37188	UROK	\N	\N
3612671	2494	1997-05-31	PRIJEM	\N	170	40154	UROK	\N	\N
3612672	2494	1997-06-30	PRIJEM	\N	191	36167	UROK	\N	\N
3612673	2494	1997-07-31	PRIJEM	\N	160	35723	UROK	\N	\N
3612674	2494	1997-08-31	PRIJEM	\N	225	42637	UROK	\N	\N
3612675	2494	1997-09-30	PRIJEM	\N	186	45103	UROK	\N	\N
3612676	2494	1997-10-31	PRIJEM	\N	250	63650	UROK	\N	\N
3612677	2494	1997-11-30	PRIJEM	\N	275	60821	UROK	\N	\N
3612678	2494	1997-12-31	PRIJEM	\N	323	83419	UROK	\N	\N
3612679	2494	1998-01-31	PRIJEM	\N	319	70860	UROK	\N	\N
3612680	2494	1998-02-28	PRIJEM	\N	293	64050	UROK	\N	\N
3612681	2494	1998-03-31	PRIJEM	\N	259	58159	UROK	\N	\N
3612682	2494	1998-04-30	PRIJEM	\N	243	59798	UROK	\N	\N
3612683	2494	1998-05-31	PRIJEM	\N	224	42139	UROK	\N	\N
3612684	2494	1998-06-30	PRIJEM	\N	268	67482	UROK	\N	\N
3612685	2494	1998-07-31	PRIJEM	\N	270	66249	UROK	\N	\N
3612686	2494	1998-08-31	PRIJEM	\N	198	39193	UROK	\N	\N
3612687	2494	1998-09-30	PRIJEM	\N	214	29376	UROK	\N	\N
3612688	2494	1998-10-31	PRIJEM	\N	222	26495	UROK	\N	\N
3612689	2494	1998-11-30	PRIJEM	\N	210	26101	UROK	\N	\N
3612690	2494	1998-12-31	PRIJEM	\N	268	55079	UROK	\N	\N
3612691	2496	1994-06-30	PRIJEM	\N	31	20341	UROK	\N	\N
3612692	2496	1994-07-31	PRIJEM	\N	95	26809	UROK	\N	\N
3612693	2496	1994-08-31	PRIJEM	\N	115	28897	UROK	\N	\N
3612694	2496	1994-09-30	PRIJEM	\N	122	30192	UROK	\N	\N
3612695	2496	1994-10-31	PRIJEM	\N	116	22879	UROK	\N	\N
3612696	2496	1994-11-30	PRIJEM	\N	93	17208	UROK	\N	\N
3612697	2496	1994-12-31	PRIJEM	\N	78	16719	UROK	\N	\N
3612698	2496	1995-01-31	PRIJEM	\N	56	14051	UROK	\N	\N
3612699	2496	1995-02-28	PRIJEM	\N	68	18316	UROK	\N	\N
3612700	2496	1995-03-31	PRIJEM	\N	90	23582	UROK	\N	\N
3612701	2496	1995-04-30	PRIJEM	\N	105	26264	UROK	\N	\N
3612702	2496	1995-05-31	PRIJEM	\N	113	26653	UROK	\N	\N
3612703	2496	1995-06-30	PRIJEM	\N	121	30188	UROK	\N	\N
3612704	2496	1995-07-31	PRIJEM	\N	124	28688	UROK	\N	\N
3612705	2496	1995-08-31	PRIJEM	\N	124	30688	UROK	\N	\N
3612706	2496	1995-09-30	PRIJEM	\N	115	25779	UROK	\N	\N
3612707	2496	1995-10-31	PRIJEM	\N	101	19457	UROK	\N	\N
3612708	2496	1995-11-30	PRIJEM	\N	90	22723	UROK	\N	\N
3612709	2496	1995-12-31	PRIJEM	\N	83	18340	UROK	\N	\N
3612710	2496	1996-01-31	PRIJEM	\N	76	16801	UROK	\N	\N
3612711	2496	1996-02-29	PRIJEM	\N	81	19546	UROK	\N	\N
3612712	2496	1996-03-31	PRIJEM	\N	95	24366	UROK	\N	\N
3612713	2496	1996-04-30	PRIJEM	\N	93	21984	UROK	\N	\N
3612714	2496	1996-05-31	PRIJEM	\N	91	21399	UROK	\N	\N
3612715	2496	1996-06-30	PRIJEM	\N	95	23456	UROK	\N	\N
3612716	2496	1996-07-31	PRIJEM	\N	94	18574	UROK	\N	\N
3612717	2496	1996-08-31	PRIJEM	\N	66	14365	UROK	\N	\N
3612718	2496	1996-09-30	PRIJEM	\N	67	17256	UROK	\N	\N
3612719	2496	1996-10-31	PRIJEM	\N	72	17453	UROK	\N	\N
3612720	2496	1996-11-30	PRIJEM	\N	65	14543	UROK	\N	\N
3612721	2496	1996-12-31	PRIJEM	\N	70	18074	UROK	\N	\N
3612722	2496	1997-01-31	PRIJEM	\N	61	14159	UROK	\N	\N
3612723	2496	1997-02-28	PRIJEM	\N	58	13942	UROK	\N	\N
3612724	2496	1997-03-31	PRIJEM	\N	57	13723	UROK	\N	\N
3612725	2496	1997-04-30	PRIJEM	\N	56	13503	UROK	\N	\N
3612726	2496	1997-05-31	PRIJEM	\N	56	13283	UROK	\N	\N
3612727	2496	1997-06-30	PRIJEM	\N	64	16808	UROK	\N	\N
3612728	2496	1997-07-31	PRIJEM	\N	68	16601	UROK	\N	\N
3612729	2496	1997-08-31	PRIJEM	\N	68	16393	UROK	\N	\N
3612730	2496	1997-09-30	PRIJEM	\N	67	16185	UROK	\N	\N
3612731	2496	1997-10-31	PRIJEM	\N	72	17981	UROK	\N	\N
3612732	2496	1997-11-30	PRIJEM	\N	74	17779	UROK	\N	\N
3612733	2496	1997-12-31	PRIJEM	\N	75	17795	UROK	\N	\N
3612734	2496	1998-01-31	PRIJEM	\N	66	15586	UROK	\N	\N
3612735	2496	1998-02-28	PRIJEM	\N	63	15373	UROK	\N	\N
3612736	2496	1998-03-31	PRIJEM	\N	62	15159	UROK	\N	\N
3612737	2496	1998-04-30	PRIJEM	\N	61	14944	UROK	\N	\N
3612738	2496	1998-05-31	PRIJEM	\N	60	14728	UROK	\N	\N
3612739	2496	1998-06-30	PRIJEM	\N	69	18259	UROK	\N	\N
3612740	2496	1998-07-31	PRIJEM	\N	74	18057	UROK	\N	\N
3612741	2496	1998-08-31	PRIJEM	\N	72	17854	UROK	\N	\N
3612742	2496	1998-09-30	PRIJEM	\N	72	17650	UROK	\N	\N
3612743	2496	1998-10-31	PRIJEM	\N	70	17445	UROK	\N	\N
3612744	2496	1998-11-30	PRIJEM	\N	69	17238	UROK	\N	\N
3612745	2496	1998-12-31	PRIJEM	\N	79	20779	UROK	\N	\N
3612746	2497	1993-04-30	PRIJEM	\N	35	15891	UROK	\N	\N
3612747	2497	1993-05-31	PRIJEM	\N	83	23230	UROK	\N	\N
3612748	2497	1993-06-30	PRIJEM	\N	114	30678	UROK	\N	\N
3612749	2497	1993-07-31	PRIJEM	\N	126	30160	UROK	\N	\N
3612750	2497	1993-08-31	PRIJEM	\N	120	28066	UROK	\N	\N
3612751	2497	1993-09-30	PRIJEM	\N	110	25547	UROK	\N	\N
3612752	2497	1993-10-31	PRIJEM	\N	106	24165	UROK	\N	\N
3612753	2497	1993-11-30	PRIJEM	\N	93	21529	UROK	\N	\N
3612754	2497	1993-12-31	PRIJEM	\N	86	18725	UROK	\N	\N
3612755	2497	1994-01-31	PRIJEM	\N	68	13044	UROK	\N	\N
3612756	2497	1994-02-28	PRIJEM	\N	61	14856	UROK	\N	\N
3612757	2497	1994-03-31	PRIJEM	\N	71	17899	UROK	\N	\N
3612758	2497	1994-04-30	PRIJEM	\N	74	13944	UROK	\N	\N
3612759	2497	1994-05-31	PRIJEM	\N	71	17986	UROK	\N	\N
3612760	2497	1994-06-30	PRIJEM	\N	90	22525	UROK	\N	\N
3612761	2497	1994-07-31	PRIJEM	\N	94	22091	UROK	\N	\N
3612762	2497	1994-08-31	PRIJEM	\N	96	22858	UROK	\N	\N
3612763	2497	1994-09-30	PRIJEM	\N	97	22626	UROK	\N	\N
3612764	2497	1994-10-31	PRIJEM	\N	92	17549	UROK	\N	\N
3612765	2497	1994-11-30	PRIJEM	\N	80	18600	UROK	\N	\N
3612766	2497	1994-12-31	PRIJEM	\N	87	18077	UROK	\N	\N
3612767	2497	1995-01-31	PRIJEM	\N	66	12694	UROK	\N	\N
3612768	2497	1995-02-28	PRIJEM	\N	65	15030	UROK	\N	\N
3612769	2497	1995-03-31	PRIJEM	\N	72	16974	UROK	\N	\N
3612770	2497	1995-04-30	PRIJEM	\N	83	19828	UROK	\N	\N
3612771	2497	1995-05-31	PRIJEM	\N	88	20688	UROK	\N	\N
3612772	2497	1995-06-30	PRIJEM	\N	90	21128	UROK	\N	\N
3612773	2497	1995-07-31	PRIJEM	\N	76	16035	UROK	\N	\N
3612774	2497	1995-08-31	PRIJEM	\N	86	20792	UROK	\N	\N
3612775	2497	1995-09-30	PRIJEM	\N	80	18143	UROK	\N	\N
3612776	2497	1995-10-31	PRIJEM	\N	79	18393	UROK	\N	\N
3612777	2497	1995-11-30	PRIJEM	\N	79	18444	UROK	\N	\N
3612778	2497	1995-12-31	PRIJEM	\N	82	17155	UROK	\N	\N
3612779	2497	1996-01-31	PRIJEM	\N	55	12921	UROK	\N	\N
3612780	2497	1996-02-29	PRIJEM	\N	58	14951	UROK	\N	\N
3612781	2497	1996-03-31	PRIJEM	\N	58	15080	UROK	\N	\N
3612782	2497	1996-04-30	PRIJEM	\N	67	14918	UROK	\N	\N
3612783	2497	1996-05-31	PRIJEM	\N	67	12416	UROK	\N	\N
3612784	2497	1996-06-30	PRIJEM	\N	63	14928	UROK	\N	\N
3612785	2497	1996-07-31	PRIJEM	\N	64	13164	UROK	\N	\N
3612786	2497	1996-08-31	PRIJEM	\N	59	15195	UROK	\N	\N
3612787	2497	1996-09-30	PRIJEM	\N	64	11830	UROK	\N	\N
3612788	2497	1996-10-31	PRIJEM	\N	53	13854	UROK	\N	\N
3612789	2497	1996-11-30	PRIJEM	\N	62	15887	UROK	\N	\N
3612790	2497	1996-12-31	PRIJEM	\N	77	14493	UROK	\N	\N
3612791	2497	1997-01-31	PRIJEM	\N	48	10072	UROK	\N	\N
3612792	2497	1997-02-28	PRIJEM	\N	46	12990	UROK	\N	\N
3612793	2497	1997-03-31	PRIJEM	\N	56	13218	UROK	\N	\N
3612794	2497	1997-04-30	PRIJEM	\N	59	15248	UROK	\N	\N
3612795	2497	1997-05-31	PRIJEM	\N	62	15001	UROK	\N	\N
3612796	2497	1997-06-30	PRIJEM	\N	74	20025	UROK	\N	\N
3612797	2497	1997-07-31	PRIJEM	\N	85	21481	UROK	\N	\N
3612798	2497	1997-08-31	PRIJEM	\N	93	23546	UROK	\N	\N
3612799	2497	1997-09-30	PRIJEM	\N	98	21176	UROK	\N	\N
3612800	2497	1997-10-31	PRIJEM	\N	92	23239	UROK	\N	\N
3612801	2497	1997-11-30	PRIJEM	\N	100	25310	UROK	\N	\N
3612802	2497	1997-12-31	PRIJEM	\N	115	28135	UROK	\N	\N
3612803	2497	1998-01-31	PRIJEM	\N	91	14997	UROK	\N	\N
3612804	2497	1998-02-28	PRIJEM	\N	65	17034	UROK	\N	\N
3612805	2497	1998-03-31	PRIJEM	\N	74	19079	UROK	\N	\N
3612806	2497	1998-04-30	PRIJEM	\N	82	21133	UROK	\N	\N
3612807	2497	1998-05-31	PRIJEM	\N	91	23195	UROK	\N	\N
3612808	2497	1998-06-30	PRIJEM	\N	107	28252	UROK	\N	\N
3612809	2497	1998-07-31	PRIJEM	\N	121	30344	UROK	\N	\N
3612810	2497	1998-08-31	PRIJEM	\N	129	32444	UROK	\N	\N
3612811	2497	1998-09-30	PRIJEM	\N	138	34554	UROK	\N	\N
3612812	2497	1998-10-31	PRIJEM	\N	142	34626	UROK	\N	\N
3612813	2497	1998-11-30	PRIJEM	\N	147	36745	UROK	\N	\N
3612814	2497	1998-12-31	PRIJEM	\N	157	38051	UROK	\N	\N
3612815	2498	1996-03-31	PRIJEM	\N	26	10050	UROK	\N	\N
3612816	2498	1996-04-30	PRIJEM	\N	67	25542	UROK	\N	\N
3612817	2498	1996-05-31	PRIJEM	\N	103	29668	UROK	\N	\N
3612818	2498	1996-06-30	PRIJEM	\N	123	30228	UROK	\N	\N
3612819	2498	1996-07-31	PRIJEM	\N	135	27164	UROK	\N	\N
3612820	2498	1996-08-31	PRIJEM	\N	123	26874	UROK	\N	\N
3612821	2498	1996-09-30	PRIJEM	\N	120	23079	UROK	\N	\N
3612822	2498	1996-10-31	PRIJEM	\N	107	24973	UROK	\N	\N
3612823	2498	1996-11-30	PRIJEM	\N	113	25372	UROK	\N	\N
3612824	2498	1996-12-31	PRIJEM	\N	126	29896	UROK	\N	\N
3612825	2498	1997-01-31	PRIJEM	\N	100	19183	UROK	\N	\N
3612826	2498	1997-02-28	PRIJEM	\N	94	27163	UROK	\N	\N
3612827	2498	1997-03-31	PRIJEM	\N	124	30373	UROK	\N	\N
3612828	2498	1997-04-30	PRIJEM	\N	133	27992	UROK	\N	\N
3612829	2498	1997-05-31	PRIJEM	\N	115	23193	UROK	\N	\N
3612830	2498	1997-06-30	PRIJEM	\N	116	28307	UROK	\N	\N
3612831	2498	1997-07-31	PRIJEM	\N	125	28218	UROK	\N	\N
3612832	2498	1997-08-31	PRIJEM	\N	118	23322	UROK	\N	\N
3612833	2498	1997-09-30	PRIJEM	\N	103	23512	UROK	\N	\N
3612834	2498	1997-10-31	PRIJEM	\N	100	21098	UROK	\N	\N
3612835	2498	1997-11-30	PRIJEM	\N	93	19877	UROK	\N	\N
3612836	2498	1997-12-31	PRIJEM	\N	99	24174	UROK	\N	\N
3612837	2498	1998-01-31	PRIJEM	\N	87	15347	UROK	\N	\N
3612838	2498	1998-02-28	PRIJEM	\N	75	21809	UROK	\N	\N
3612839	2498	1998-03-31	PRIJEM	\N	105	28300	UROK	\N	\N
3612840	2498	1998-04-30	PRIJEM	\N	127	31613	UROK	\N	\N
3612841	2498	1998-05-31	PRIJEM	\N	136	32336	UROK	\N	\N
3612842	2498	1998-06-30	PRIJEM	\N	134	33668	UROK	\N	\N
3612843	2498	1998-07-31	PRIJEM	\N	149	37103	UROK	\N	\N
3612844	2498	1998-08-31	PRIJEM	\N	164	40953	UROK	\N	\N
3612845	2498	1998-09-30	PRIJEM	\N	174	42314	UROK	\N	\N
3612846	2498	1998-10-31	PRIJEM	\N	174	39774	UROK	\N	\N
3612847	2498	1998-11-30	PRIJEM	\N	157	35417	UROK	\N	\N
3612848	2498	1998-12-31	PRIJEM	\N	167	43483	UROK	\N	\N
3612849	2499	1996-02-29	PRIJEM	\N	16	6271	UROK	\N	\N
3612850	2499	1996-03-31	PRIJEM	\N	75	24401	UROK	\N	\N
3612851	2499	1996-04-30	PRIJEM	\N	123	32679	UROK	\N	\N
3612852	2499	1996-05-31	PRIJEM	\N	149	37482	UROK	\N	\N
3612853	2499	1996-06-30	PRIJEM	\N	160	17492	UROK	\N	\N
3612854	2499	1996-07-31	PRIJEM	\N	91	24120	UROK	\N	\N
3612855	2499	1996-08-31	PRIJEM	\N	118	30075	UROK	\N	\N
3612856	2499	1996-09-30	PRIJEM	\N	143	33555	UROK	\N	\N
3612857	2499	1996-10-31	PRIJEM	\N	154	38046	UROK	\N	\N
3612858	2499	1996-11-30	PRIJEM	\N	148	36232	UROK	\N	\N
3612859	2499	1996-12-31	PRIJEM	\N	160	39956	UROK	\N	\N
3612860	2499	1997-01-31	PRIJEM	\N	131	18224	UROK	\N	\N
3612861	2499	1997-02-28	PRIJEM	\N	109	28771	UROK	\N	\N
3612862	2499	1997-03-31	PRIJEM	\N	121	30029	UROK	\N	\N
3612863	2499	1997-04-30	PRIJEM	\N	111	25177	UROK	\N	\N
3612864	2499	1997-05-31	PRIJEM	\N	116	25130	UROK	\N	\N
3612865	2499	1997-06-30	PRIJEM	\N	105	26399	UROK	\N	\N
3612866	2499	1997-07-31	PRIJEM	\N	109	27346	UROK	\N	\N
3612867	2499	1997-08-31	PRIJEM	\N	98	20781	UROK	\N	\N
3612868	2499	1997-09-30	PRIJEM	\N	103	25622	UROK	\N	\N
3612869	2499	1997-10-31	PRIJEM	\N	105	27065	UROK	\N	\N
3612870	2499	1997-11-30	PRIJEM	\N	117	28419	UROK	\N	\N
3612871	2499	1997-12-31	PRIJEM	\N	121	29805	UROK	\N	\N
3612872	2499	1998-01-31	PRIJEM	\N	80	23222	UROK	\N	\N
3612873	2499	1998-02-28	PRIJEM	\N	102	27461	UROK	\N	\N
3612874	2499	1998-03-31	PRIJEM	\N	117	24915	UROK	\N	\N
3612875	2499	1998-04-30	PRIJEM	\N	109	28262	UROK	\N	\N
3612876	2499	1998-05-31	PRIJEM	\N	111	26410	UROK	\N	\N
3612877	2499	1998-06-30	PRIJEM	\N	124	35198	UROK	\N	\N
3612878	2499	1998-07-31	PRIJEM	\N	138	38374	UROK	\N	\N
3612879	2499	1998-08-31	PRIJEM	\N	163	38474	UROK	\N	\N
3612880	2499	1998-09-30	PRIJEM	\N	162	37674	UROK	\N	\N
3612881	2499	1998-10-31	PRIJEM	\N	159	37170	UROK	\N	\N
3612882	2499	1998-11-30	PRIJEM	\N	156	36563	UROK	\N	\N
3612883	2499	1998-12-31	PRIJEM	\N	163	40491	UROK	\N	\N
3612884	2501	1994-03-31	PRIJEM	\N	11	20832	UROK	\N	\N
3612885	2501	1994-04-30	PRIJEM	\N	93	32947	UROK	\N	\N
3612886	2501	1994-05-31	PRIJEM	\N	139	36007	UROK	\N	\N
3612887	2501	1994-06-30	PRIJEM	\N	154	42342	UROK	\N	\N
3612888	2501	1994-07-31	PRIJEM	\N	176	41939	UROK	\N	\N
3612889	2501	1994-08-31	PRIJEM	\N	207	40541	UROK	\N	\N
3612890	2501	1994-09-30	PRIJEM	\N	201	40637	UROK	\N	\N
3612891	2501	1994-10-31	PRIJEM	\N	198	37430	UROK	\N	\N
3612892	2501	1994-11-30	PRIJEM	\N	189	40415	UROK	\N	\N
3612893	2501	1994-12-31	PRIJEM	\N	223	46495	UROK	\N	\N
3612894	2501	1995-01-31	PRIJEM	\N	219	45009	UROK	\N	\N
3612895	2501	1995-02-28	PRIJEM	\N	213	42717	UROK	\N	\N
3612896	2501	1995-03-31	PRIJEM	\N	195	39607	UROK	\N	\N
3612897	2501	1995-04-30	PRIJEM	\N	188	35191	UROK	\N	\N
3612898	2501	1995-05-31	PRIJEM	\N	181	39967	UROK	\N	\N
3612899	2501	1995-06-30	PRIJEM	\N	221	47745	UROK	\N	\N
3612900	2501	1995-07-31	PRIJEM	\N	220	45460	UROK	\N	\N
3612901	2501	1995-08-31	PRIJEM	\N	202	44157	UROK	\N	\N
3612902	2501	1995-09-30	PRIJEM	\N	203	44756	UROK	\N	\N
3612903	2501	1995-10-31	PRIJEM	\N	210	45361	UROK	\N	\N
3612904	2501	1995-11-30	PRIJEM	\N	209	45365	UROK	\N	\N
3612905	2501	1995-12-31	PRIJEM	\N	229	50151	UROK	\N	\N
3612906	2501	1996-01-31	PRIJEM	\N	226	50272	UROK	\N	\N
3612907	2501	1996-02-29	PRIJEM	\N	219	46986	UROK	\N	\N
3612908	2501	1996-03-31	PRIJEM	\N	217	48798	UROK	\N	\N
3612909	2501	1996-04-30	PRIJEM	\N	219	45713	UROK	\N	\N
3612910	2501	1996-05-31	PRIJEM	\N	201	44710	UROK	\N	\N
3612911	2501	1996-06-30	PRIJEM	\N	228	52894	UROK	\N	\N
3612912	2501	1996-07-31	PRIJEM	\N	232	52421	UROK	\N	\N
3612913	2501	1996-08-31	PRIJEM	\N	219	48235	UROK	\N	\N
3612914	2501	1996-09-30	PRIJEM	\N	217	51248	UROK	\N	\N
3612915	2501	1996-10-31	PRIJEM	\N	221	51065	UROK	\N	\N
3612916	2501	1996-11-30	PRIJEM	\N	216	50075	UROK	\N	\N
3612917	2501	1996-12-31	PRIJEM	\N	238	56670	UROK	\N	\N
3612918	2501	1997-01-31	PRIJEM	\N	240	56505	UROK	\N	\N
3612919	2501	1997-02-28	PRIJEM	\N	232	54433	UROK	\N	\N
3612920	2501	1997-03-31	PRIJEM	\N	227	52155	UROK	\N	\N
3612921	2501	1997-04-30	PRIJEM	\N	228	54478	UROK	\N	\N
3612922	2501	1997-05-31	PRIJEM	\N	222	51195	UROK	\N	\N
3612923	2501	1997-06-30	PRIJEM	\N	233	56084	UROK	\N	\N
3612924	2501	1997-07-31	PRIJEM	\N	230	54209	UROK	\N	\N
3612925	2501	1997-08-31	PRIJEM	\N	227	51932	UROK	\N	\N
3612926	2501	1997-09-30	PRIJEM	\N	205	45232	UROK	\N	\N
3612927	2501	1997-10-31	PRIJEM	\N	197	48624	UROK	\N	\N
3612928	2501	1997-11-30	PRIJEM	\N	211	52131	UROK	\N	\N
3612929	2501	1997-12-31	PRIJEM	\N	223	54610	UROK	\N	\N
3612930	2501	1998-01-31	PRIJEM	\N	262	66368	UROK	\N	\N
3612931	2501	1998-02-28	PRIJEM	\N	281	66844	UROK	\N	\N
3612932	2501	1998-03-31	PRIJEM	\N	258	61397	UROK	\N	\N
3612933	2501	1998-04-30	PRIJEM	\N	279	68972	UROK	\N	\N
3612934	2501	1998-05-31	PRIJEM	\N	316	78983	UROK	\N	\N
3612935	2501	1998-06-30	PRIJEM	\N	368	93007	UROK	\N	\N
3612936	2501	1998-07-31	PRIJEM	\N	360	87563	UROK	\N	\N
3612937	2501	1998-08-31	PRIJEM	\N	351	86609	UROK	\N	\N
3612938	2501	1998-09-30	PRIJEM	\N	351	86755	UROK	\N	\N
3612939	2501	1998-10-31	PRIJEM	\N	356	88207	UROK	\N	\N
3612940	2501	1998-11-30	PRIJEM	\N	362	89864	UROK	\N	\N
3612941	2501	1998-12-31	PRIJEM	\N	387	97607	UROK	\N	\N
3612942	2502	1996-11-30	PRIJEM	\N	24	15752	UROK	\N	\N
3612943	2502	1996-12-31	PRIJEM	\N	79	24173	UROK	\N	\N
3612944	2502	1997-01-31	PRIJEM	\N	103	25604	UROK	\N	\N
3612945	2502	1997-02-28	PRIJEM	\N	100	22032	UROK	\N	\N
3612946	2502	1997-03-31	PRIJEM	\N	91	19766	UROK	\N	\N
3612947	2502	1997-04-30	PRIJEM	\N	78	15672	UROK	\N	\N
3612948	2502	1997-05-31	PRIJEM	\N	61	12062	UROK	\N	\N
3612949	2502	1997-06-30	PRIJEM	\N	61	15065	UROK	\N	\N
3612950	2502	1997-07-31	PRIJEM	\N	62	13856	UROK	\N	\N
3612951	2502	1997-08-31	PRIJEM	\N	55	11739	UROK	\N	\N
3612952	2502	1997-09-30	PRIJEM	\N	55	13722	UROK	\N	\N
3612953	2502	1997-10-31	PRIJEM	\N	57	13007	UROK	\N	\N
3612954	2502	1997-11-30	PRIJEM	\N	58	14294	UROK	\N	\N
3612955	2502	1997-12-31	PRIJEM	\N	64	14700	UROK	\N	\N
3612956	2502	1998-01-31	PRIJEM	\N	56	12964	UROK	\N	\N
3612957	2502	1998-02-28	PRIJEM	\N	59	14952	UROK	\N	\N
3612958	2502	1998-03-31	PRIJEM	\N	68	16948	UROK	\N	\N
3612959	2502	1998-04-30	PRIJEM	\N	59	11635	UROK	\N	\N
3612960	2502	1998-05-31	PRIJEM	\N	54	13618	UROK	\N	\N
3612961	2502	1998-06-30	PRIJEM	\N	71	18531	UROK	\N	\N
3612962	2502	1998-07-31	PRIJEM	\N	83	20542	UROK	\N	\N
3612963	2502	1998-08-31	PRIJEM	\N	91	22561	UROK	\N	\N
3612964	2502	1998-09-30	PRIJEM	\N	93	20263	UROK	\N	\N
3612965	2502	1998-10-31	PRIJEM	\N	90	22281	UROK	\N	\N
3612966	2502	1998-11-30	PRIJEM	\N	98	24308	UROK	\N	\N
3612967	2502	1998-12-31	PRIJEM	\N	109	26379	UROK	\N	\N
3612968	2503	1993-04-30	PRIJEM	\N	83	23157	UROK	\N	\N
3612969	2503	1993-05-31	PRIJEM	\N	132	32963	UROK	\N	\N
3612970	2503	1993-06-30	PRIJEM	\N	182	45506	UROK	\N	\N
3612971	2503	1993-07-31	PRIJEM	\N	181	43261	UROK	\N	\N
3612972	2503	1993-08-31	PRIJEM	\N	166	36361	UROK	\N	\N
3612973	2503	1993-09-30	PRIJEM	\N	149	33590	UROK	\N	\N
3612974	2503	1993-10-31	PRIJEM	\N	142	32312	UROK	\N	\N
3612975	2503	1993-11-30	PRIJEM	\N	119	28472	UROK	\N	\N
3612976	2503	1993-12-31	PRIJEM	\N	131	27890	UROK	\N	\N
3612977	2503	1994-01-31	PRIJEM	\N	123	28493	UROK	\N	\N
3612978	2503	1994-02-28	PRIJEM	\N	125	31899	UROK	\N	\N
3612979	2503	1994-03-31	PRIJEM	\N	124	26383	UROK	\N	\N
3612980	2503	1994-04-30	PRIJEM	\N	117	26080	UROK	\N	\N
3612981	2503	1994-05-31	PRIJEM	\N	115	26576	UROK	\N	\N
3612982	2503	1994-06-30	PRIJEM	\N	129	32132	UROK	\N	\N
3612983	2503	1994-07-31	PRIJEM	\N	138	29251	UROK	\N	\N
3612984	2503	1994-08-31	PRIJEM	\N	128	30959	UROK	\N	\N
3612985	2503	1994-09-30	PRIJEM	\N	136	33275	UROK	\N	\N
3612986	2503	1994-10-31	PRIJEM	\N	142	31998	UROK	\N	\N
3612987	2503	1994-11-30	PRIJEM	\N	137	31316	UROK	\N	\N
3612988	2503	1994-12-31	PRIJEM	\N	144	34027	UROK	\N	\N
3612989	2503	1995-01-31	PRIJEM	\N	143	31851	UROK	\N	\N
3612990	2503	1995-02-28	PRIJEM	\N	137	32768	UROK	\N	\N
3612991	2503	1995-03-31	PRIJEM	\N	139	30988	UROK	\N	\N
3612992	2503	1995-04-30	PRIJEM	\N	130	27338	UROK	\N	\N
3612993	2503	1995-05-31	PRIJEM	\N	122	31240	UROK	\N	\N
3612994	2503	1995-06-30	PRIJEM	\N	140	31747	UROK	\N	\N
3612995	2503	1995-07-31	PRIJEM	\N	126	23114	UROK	\N	\N
3612996	2503	1995-08-31	PRIJEM	\N	107	27282	UROK	\N	\N
3612997	2503	1995-09-30	PRIJEM	\N	120	30583	UROK	\N	\N
3612998	2503	1995-10-31	PRIJEM	\N	129	30392	UROK	\N	\N
3612999	2503	1995-11-30	PRIJEM	\N	132	32904	UROK	\N	\N
3613000	2503	1995-12-31	PRIJEM	\N	158	35610	UROK	\N	\N
3613001	2503	1996-01-31	PRIJEM	\N	149	32639	UROK	\N	\N
3613002	2503	1996-02-29	PRIJEM	\N	149	34629	UROK	\N	\N
3613003	2503	1996-03-31	PRIJEM	\N	144	34153	UROK	\N	\N
3613004	2503	1996-04-30	PRIJEM	\N	139	27932	UROK	\N	\N
3613005	2503	1996-05-31	PRIJEM	\N	122	31035	UROK	\N	\N
3613006	2503	1996-06-30	PRIJEM	\N	144	37746	UROK	\N	\N
3613007	2503	1996-07-31	PRIJEM	\N	157	37984	UROK	\N	\N
3613008	2503	1996-08-31	PRIJEM	\N	146	33150	UROK	\N	\N
3613009	2503	1996-09-30	PRIJEM	\N	133	31764	UROK	\N	\N
3613010	2503	1996-10-31	PRIJEM	\N	123	28367	UROK	\N	\N
3613011	2503	1996-11-30	PRIJEM	\N	139	32387	UROK	\N	\N
3613012	2503	1996-12-31	PRIJEM	\N	127	29341	UROK	\N	\N
3613013	2503	1997-01-31	PRIJEM	\N	117	27738	UROK	\N	\N
3613014	2503	1997-02-28	PRIJEM	\N	103	23021	UROK	\N	\N
3613015	2503	1997-03-31	PRIJEM	\N	92	21853	UROK	\N	\N
3613016	2503	1997-04-30	PRIJEM	\N	93	23226	UROK	\N	\N
3613017	2503	1997-05-31	PRIJEM	\N	98	23804	UROK	\N	\N
3613018	2503	1997-06-30	PRIJEM	\N	103	22894	UROK	\N	\N
3613019	2503	1997-07-31	PRIJEM	\N	102	25977	UROK	\N	\N
3613020	2503	1997-08-31	PRIJEM	\N	93	18091	UROK	\N	\N
3613021	2503	1997-09-30	PRIJEM	\N	88	22460	UROK	\N	\N
3613022	2503	1997-10-31	PRIJEM	\N	114	29354	UROK	\N	\N
3613023	2503	1997-11-30	PRIJEM	\N	126	30461	UROK	\N	\N
3613024	2503	1997-12-31	PRIJEM	\N	138	31926	UROK	\N	\N
3613025	2503	1998-01-31	PRIJEM	\N	144	31449	UROK	\N	\N
3613026	2503	1998-02-28	PRIJEM	\N	143	34473	UROK	\N	\N
3613027	2503	1998-03-31	PRIJEM	\N	153	37507	UROK	\N	\N
3613028	2503	1998-04-30	PRIJEM	\N	168	40855	UROK	\N	\N
3613029	2503	1998-05-31	PRIJEM	\N	177	39492	UROK	\N	\N
3613030	2503	1998-06-30	PRIJEM	\N	169	31969	UROK	\N	\N
3613031	2503	1998-07-31	PRIJEM	\N	160	39609	UROK	\N	\N
3613032	2503	1998-08-31	PRIJEM	\N	183	44172	UROK	\N	\N
3613033	2503	1998-09-30	PRIJEM	\N	186	45518	UROK	\N	\N
3613034	2503	1998-10-31	PRIJEM	\N	190	41849	UROK	\N	\N
3613035	2503	1998-11-30	PRIJEM	\N	220	53849	UROK	\N	\N
3613036	2503	1998-12-31	PRIJEM	\N	270	64147	UROK	\N	\N
3613037	2504	1993-12-31	PRIJEM	\N	86	35450	UROK	\N	\N
3613038	2504	1994-01-31	PRIJEM	\N	193	54318	UROK	\N	\N
3613039	2504	1994-02-28	PRIJEM	\N	245	63240	UROK	\N	\N
3613040	2504	1994-03-31	PRIJEM	\N	272	67188	UROK	\N	\N
3613041	2504	1994-04-30	PRIJEM	\N	277	61840	UROK	\N	\N
3613042	2504	1994-05-31	PRIJEM	\N	226	57415	UROK	\N	\N
3613043	2504	1994-06-30	PRIJEM	\N	225	63576	UROK	\N	\N
3613044	2504	1994-07-31	PRIJEM	\N	239	56564	UROK	\N	\N
3613045	2504	1994-08-31	PRIJEM	\N	228	57340	UROK	\N	\N
3613046	2504	1994-09-30	PRIJEM	\N	225	56113	UROK	\N	\N
3613047	2504	1994-10-31	PRIJEM	\N	218	54879	UROK	\N	\N
3613048	2504	1994-11-30	PRIJEM	\N	218	54445	UROK	\N	\N
3613049	2504	1994-12-31	PRIJEM	\N	248	67129	UROK	\N	\N
3613050	2504	1995-01-31	PRIJEM	\N	234	39912	UROK	\N	\N
3613051	2504	1995-02-28	PRIJEM	\N	174	47134	UROK	\N	\N
3613052	2504	1995-03-31	PRIJEM	\N	202	50884	UROK	\N	\N
3613053	2504	1995-04-30	PRIJEM	\N	203	51636	UROK	\N	\N
3613054	2504	1995-05-31	PRIJEM	\N	215	55199	UROK	\N	\N
3613055	2504	1995-06-30	PRIJEM	\N	179	50914	UROK	\N	\N
3613056	2504	1995-07-31	PRIJEM	\N	210	53873	UROK	\N	\N
3613057	2504	1995-08-31	PRIJEM	\N	209	53230	UROK	\N	\N
3613058	2504	1995-09-30	PRIJEM	\N	191	44170	UROK	\N	\N
3613059	2504	1995-10-31	PRIJEM	\N	183	31102	UROK	\N	\N
3613060	2504	1995-11-30	PRIJEM	\N	165	30115	UROK	\N	\N
3613061	2504	1995-12-31	PRIJEM	\N	187	39039	UROK	\N	\N
3613062	2504	1996-01-31	PRIJEM	\N	161	26649	UROK	\N	\N
3613063	2504	1996-02-29	PRIJEM	\N	144	29841	UROK	\N	\N
3613064	2504	1996-03-31	PRIJEM	\N	144	27034	UROK	\N	\N
3613065	2504	1996-04-30	PRIJEM	\N	143	25225	UROK	\N	\N
3613066	2504	1996-05-31	PRIJEM	\N	134	27107	UROK	\N	\N
3613067	2504	1996-06-30	PRIJEM	\N	155	33799	UROK	\N	\N
3613068	2504	1996-07-31	PRIJEM	\N	167	33515	UROK	\N	\N
3613069	2504	1996-08-31	PRIJEM	\N	155	29718	UROK	\N	\N
3613070	2504	1996-09-30	PRIJEM	\N	149	31915	UROK	\N	\N
3613071	2504	1996-10-31	PRIJEM	\N	153	29916	UROK	\N	\N
3613072	2504	1996-11-30	PRIJEM	\N	142	27406	UROK	\N	\N
3613073	2504	1996-12-31	PRIJEM	\N	150	29292	UROK	\N	\N
3613074	2504	1997-01-31	PRIJEM	\N	121	24861	UROK	\N	\N
3613075	2504	1997-02-28	PRIJEM	\N	114	18624	UROK	\N	\N
3613076	2504	1997-03-31	PRIJEM	\N	95	17267	UROK	\N	\N
3613077	2504	1997-04-30	PRIJEM	\N	87	16103	UROK	\N	\N
3613078	2504	1997-05-31	PRIJEM	\N	87	18638	UROK	\N	\N
3613079	2504	1997-06-30	PRIJEM	\N	109	22683	UROK	\N	\N
3613080	2504	1997-07-31	PRIJEM	\N	135	40666	UROK	\N	\N
3613081	2504	1997-08-31	PRIJEM	\N	154	24168	UROK	\N	\N
3613082	2504	1997-09-30	PRIJEM	\N	134	38150	UROK	\N	\N
3613083	2504	1997-10-31	PRIJEM	\N	127	17625	UROK	\N	\N
3613084	2504	1997-11-30	PRIJEM	\N	112	35585	UROK	\N	\N
3613085	2504	1997-12-31	PRIJEM	\N	136	22557	UROK	\N	\N
3613086	2504	1998-01-31	PRIJEM	\N	120	34825	UROK	\N	\N
3613087	2504	1998-02-28	PRIJEM	\N	180	51953	UROK	\N	\N
3613088	2504	1998-03-31	PRIJEM	\N	166	22668	UROK	\N	\N
3613089	2504	1998-04-30	PRIJEM	\N	132	40649	UROK	\N	\N
3613090	2504	1998-05-31	PRIJEM	\N	208	58705	UROK	\N	\N
3613091	2504	1998-06-30	PRIJEM	\N	222	63864	UROK	\N	\N
3613092	2504	1998-07-31	PRIJEM	\N	170	19482	UROK	\N	\N
3613093	2504	1998-08-31	PRIJEM	\N	119	37450	UROK	\N	\N
3613094	2504	1998-09-30	PRIJEM	\N	193	55492	UROK	\N	\N
3613095	2504	1998-10-31	PRIJEM	\N	269	71009	UROK	\N	\N
3613096	2504	1998-11-30	PRIJEM	\N	327	85884	UROK	\N	\N
3613097	2504	1998-12-31	PRIJEM	\N	285	61706	UROK	\N	\N
3613098	2505	1996-10-31	PRIJEM	\N	3	22358	UROK	\N	\N
3613099	2505	1996-11-30	PRIJEM	\N	99	24912	UROK	\N	\N
3613100	2505	1996-12-31	PRIJEM	\N	104	24282	UROK	\N	\N
3613101	2505	1997-01-31	PRIJEM	\N	81	17358	UROK	\N	\N
3613102	2505	1997-02-28	PRIJEM	\N	76	17249	UROK	\N	\N
3613103	2505	1997-03-31	PRIJEM	\N	77	19221	UROK	\N	\N
3613104	2505	1997-04-30	PRIJEM	\N	83	20880	UROK	\N	\N
3613105	2505	1997-05-31	PRIJEM	\N	93	23428	UROK	\N	\N
3613106	2505	1997-06-30	PRIJEM	\N	99	18533	UROK	\N	\N
3613107	2505	1997-07-31	PRIJEM	\N	83	21072	UROK	\N	\N
3613108	2505	1997-08-31	PRIJEM	\N	94	23621	UROK	\N	\N
3613109	2505	1997-09-30	PRIJEM	\N	104	26180	UROK	\N	\N
3613110	2505	1997-10-31	PRIJEM	\N	115	28751	UROK	\N	\N
3613111	2505	1997-11-30	PRIJEM	\N	122	30208	UROK	\N	\N
3613112	2505	1997-12-31	PRIJEM	\N	128	30732	UROK	\N	\N
3613113	2505	1998-01-31	PRIJEM	\N	107	19674	UROK	\N	\N
3613114	2505	1998-02-28	PRIJEM	\N	87	19976	UROK	\N	\N
3613115	2505	1998-03-31	PRIJEM	\N	89	22520	UROK	\N	\N
3613116	2505	1998-04-30	PRIJEM	\N	85	21541	UROK	\N	\N
3613117	2505	1998-05-31	PRIJEM	\N	96	24091	UROK	\N	\N
3613118	2505	1998-06-30	PRIJEM	\N	104	21101	UROK	\N	\N
3613119	2505	1998-07-31	PRIJEM	\N	93	21409	UROK	\N	\N
3613120	2505	1998-08-31	PRIJEM	\N	95	23960	UROK	\N	\N
3613121	2505	1998-09-30	PRIJEM	\N	104	26039	UROK	\N	\N
3613122	2505	1998-10-31	PRIJEM	\N	114	28609	UROK	\N	\N
3613123	2505	1998-11-30	PRIJEM	\N	120	29104	UROK	\N	\N
3613124	2505	1998-12-31	PRIJEM	\N	124	27193	UROK	\N	\N
3613125	2506	1996-07-31	PRIJEM	\N	51	47909	UROK	\N	\N
3613126	2506	1996-08-31	PRIJEM	\N	199	37109	UROK	\N	\N
3613127	2506	1996-09-30	PRIJEM	\N	189	44378	UROK	\N	\N
3613128	2506	1996-10-31	PRIJEM	\N	184	32162	UROK	\N	\N
3613129	2506	1996-11-30	PRIJEM	\N	176	35523	UROK	\N	\N
3613130	2506	1996-12-31	PRIJEM	\N	99	16446	UROK	\N	\N
3613131	2506	1997-01-31	PRIJEM	\N	103	35581	UROK	\N	\N
3613132	2506	1997-02-28	PRIJEM	\N	229	62620	UROK	\N	\N
3613133	2506	1997-03-31	PRIJEM	\N	332	97640	UROK	\N	\N
3613134	2506	1997-04-30	PRIJEM	\N	286	47750	UROK	\N	\N
3613135	2506	1997-05-31	PRIJEM	\N	145	42347	UROK	\N	\N
3613136	2506	1997-06-30	PRIJEM	\N	140	27311	UROK	\N	\N
3613137	2506	1997-07-31	PRIJEM	\N	156	36783	UROK	\N	\N
3613138	2506	1997-08-31	PRIJEM	\N	135	29086	UROK	\N	\N
3613139	2506	1997-09-30	PRIJEM	\N	100	54164	UROK	\N	\N
3613140	2506	1997-10-31	PRIJEM	\N	247	57549	UROK	\N	\N
3613141	2506	1997-11-30	PRIJEM	\N	189	36262	UROK	\N	\N
3613142	2506	1997-12-31	PRIJEM	\N	150	26135	UROK	\N	\N
3613143	2506	1998-01-31	PRIJEM	\N	79	14738	UROK	\N	\N
3613144	2506	1998-02-28	PRIJEM	\N	168	88049	UROK	\N	\N
3613145	2506	1998-03-31	PRIJEM	\N	292	79710	UROK	\N	\N
3613146	2506	1998-04-30	PRIJEM	\N	210	38335	UROK	\N	\N
3613147	2506	1998-05-31	PRIJEM	\N	244	64226	UROK	\N	\N
3613148	2506	1998-06-30	PRIJEM	\N	250	92533	UROK	\N	\N
3613149	2506	1998-07-31	PRIJEM	\N	378	94495	UROK	\N	\N
3613150	2506	1998-08-31	PRIJEM	\N	388	98316	UROK	\N	\N
3613151	2506	1998-09-30	PRIJEM	\N	312	87779	UROK	\N	\N
3613152	2506	1998-10-31	PRIJEM	\N	186	32689	UROK	\N	\N
3613153	2506	1998-11-30	PRIJEM	\N	140	42399	UROK	\N	\N
3613154	2506	1998-12-31	PRIJEM	\N	330	93023	UROK	\N	\N
3613155	2507	1997-01-31	PRIJEM	\N	9	12843	UROK	\N	\N
3613156	2507	1997-02-28	PRIJEM	\N	57	21734	UROK	\N	\N
3613157	2507	1997-03-31	PRIJEM	\N	93	27161	UROK	\N	\N
3613158	2507	1997-04-30	PRIJEM	\N	112	25007	UROK	\N	\N
3613159	2507	1997-05-31	PRIJEM	\N	102	19887	UROK	\N	\N
3613160	2507	1997-06-30	PRIJEM	\N	96	17264	UROK	\N	\N
3613161	2507	1997-07-31	PRIJEM	\N	86	20913	UROK	\N	\N
3613162	2507	1997-08-31	PRIJEM	\N	95	19072	UROK	\N	\N
3613163	2507	1997-09-30	PRIJEM	\N	84	20819	UROK	\N	\N
3613164	2507	1997-10-31	PRIJEM	\N	92	23475	UROK	\N	\N
3613165	2507	1997-11-30	PRIJEM	\N	112	28950	UROK	\N	\N
3613166	2507	1997-12-31	PRIJEM	\N	135	32266	UROK	\N	\N
3613167	2507	1998-01-31	PRIJEM	\N	119	23848	UROK	\N	\N
3613168	2507	1998-02-28	PRIJEM	\N	98	24410	UROK	\N	\N
3613169	2507	1998-03-31	PRIJEM	\N	106	27379	UROK	\N	\N
3613170	2507	1998-04-30	PRIJEM	\N	126	30969	UROK	\N	\N
3613171	2507	1998-05-31	PRIJEM	\N	137	31669	UROK	\N	\N
3613172	2507	1998-06-30	PRIJEM	\N	134	29683	UROK	\N	\N
3613173	2507	1998-07-31	PRIJEM	\N	124	29071	UROK	\N	\N
3613174	2507	1998-08-31	PRIJEM	\N	119	26653	UROK	\N	\N
3613175	2507	1998-09-30	PRIJEM	\N	111	23728	UROK	\N	\N
3613176	2507	1998-10-31	PRIJEM	\N	109	27200	UROK	\N	\N
3613177	2507	1998-11-30	PRIJEM	\N	110	24773	UROK	\N	\N
3613178	2507	1998-12-31	PRIJEM	\N	123	28776	UROK	\N	\N
3613179	2508	1993-08-31	PRIJEM	\N	59	19921	UROK	\N	\N
3613180	2508	1993-09-30	PRIJEM	\N	82	19186	UROK	\N	\N
3613181	2508	1993-10-31	PRIJEM	\N	86	21335	UROK	\N	\N
3613182	2508	1993-11-30	PRIJEM	\N	82	20441	UROK	\N	\N
3613183	2508	1993-12-31	PRIJEM	\N	89	21594	UROK	\N	\N
3613184	2508	1994-01-31	PRIJEM	\N	71	12498	UROK	\N	\N
3613185	2508	1994-02-28	PRIJEM	\N	58	14619	UROK	\N	\N
3613186	2508	1994-03-31	PRIJEM	\N	67	16749	UROK	\N	\N
3613187	2508	1994-04-30	PRIJEM	\N	76	18888	UROK	\N	\N
3613188	2508	1994-05-31	PRIJEM	\N	85	21037	UROK	\N	\N
3613189	2508	1994-06-30	PRIJEM	\N	85	15675	UROK	\N	\N
3613190	2508	1994-07-31	PRIJEM	\N	71	17810	UROK	\N	\N
3613191	2508	1994-08-31	PRIJEM	\N	82	19855	UROK	\N	\N
3613192	2508	1994-09-30	PRIJEM	\N	86	18804	UROK	\N	\N
3613193	2508	1994-10-31	PRIJEM	\N	82	19749	UROK	\N	\N
3613194	2508	1994-11-30	PRIJEM	\N	85	18617	UROK	\N	\N
3613195	2508	1994-12-31	PRIJEM	\N	82	19862	UROK	\N	\N
3613196	2508	1995-01-31	PRIJEM	\N	77	13752	UROK	\N	\N
3613197	2508	1995-02-28	PRIJEM	\N	62	14678	UROK	\N	\N
3613198	2508	1995-03-31	PRIJEM	\N	67	16808	UROK	\N	\N
3613199	2508	1995-04-30	PRIJEM	\N	68	15419	UROK	\N	\N
3613200	2508	1995-05-31	PRIJEM	\N	70	17553	UROK	\N	\N
3613201	2508	1995-06-30	PRIJEM	\N	79	19695	UROK	\N	\N
3613202	2508	1995-07-31	PRIJEM	\N	88	21846	UROK	\N	\N
3613203	2508	1995-08-31	PRIJEM	\N	97	24006	UROK	\N	\N
3613204	2508	1995-09-30	PRIJEM	\N	102	25271	UROK	\N	\N
3613205	2508	1995-10-31	PRIJEM	\N	103	24037	UROK	\N	\N
3613206	2508	1995-11-30	PRIJEM	\N	106	26206	UROK	\N	\N
3613207	2508	1995-12-31	PRIJEM	\N	103	23713	UROK	\N	\N
3613208	2508	1996-01-31	PRIJEM	\N	82	15257	UROK	\N	\N
3613209	2508	1996-02-29	PRIJEM	\N	69	17390	UROK	\N	\N
3613210	2508	1996-03-31	PRIJEM	\N	78	19531	UROK	\N	\N
3613211	2508	1996-04-30	PRIJEM	\N	84	17579	UROK	\N	\N
3613212	2508	1996-05-31	PRIJEM	\N	74	17556	UROK	\N	\N
3613213	2508	1996-06-30	PRIJEM	\N	70	14509	UROK	\N	\N
3613214	2508	1996-07-31	PRIJEM	\N	64	14337	UROK	\N	\N
3613215	2508	1996-08-31	PRIJEM	\N	62	13762	UROK	\N	\N
3613216	2508	1996-09-30	PRIJEM	\N	63	15888	UROK	\N	\N
3613217	2508	1996-10-31	PRIJEM	\N	69	17221	UROK	\N	\N
3613218	2508	1996-11-30	PRIJEM	\N	75	17519	UROK	\N	\N
3613219	2508	1996-12-31	PRIJEM	\N	72	14654	UROK	\N	\N
3613220	2508	1997-01-31	PRIJEM	\N	57	13575	UROK	\N	\N
3613221	2508	1997-02-28	PRIJEM	\N	61	15699	UROK	\N	\N
3613222	2508	1997-03-31	PRIJEM	\N	70	17833	UROK	\N	\N
3613223	2508	1997-04-30	PRIJEM	\N	75	16271	UROK	\N	\N
3613224	2508	1997-05-31	PRIJEM	\N	69	15804	UROK	\N	\N
3613225	2508	1997-06-30	PRIJEM	\N	68	15615	UROK	\N	\N
3613226	2508	1997-07-31	PRIJEM	\N	69	16947	UROK	\N	\N
3613227	2508	1997-08-31	PRIJEM	\N	67	15397	UROK	\N	\N
3613228	2508	1997-09-30	PRIJEM	\N	69	17530	UROK	\N	\N
3613229	2508	1997-10-31	PRIJEM	\N	68	14361	UROK	\N	\N
3613230	2508	1997-11-30	PRIJEM	\N	64	16489	UROK	\N	\N
3613231	2508	1997-12-31	PRIJEM	\N	73	17725	UROK	\N	\N
3613232	2508	1998-01-31	PRIJEM	\N	66	15454	UROK	\N	\N
3613233	2508	1998-02-28	PRIJEM	\N	68	17586	UROK	\N	\N
3613234	2508	1998-03-31	PRIJEM	\N	69	16599	UROK	\N	\N
3613235	2508	1998-04-30	PRIJEM	\N	71	17853	UROK	\N	\N
3613236	2508	1998-05-31	PRIJEM	\N	72	17109	UROK	\N	\N
3613237	2508	1998-06-30	PRIJEM	\N	75	19247	UROK	\N	\N
3613238	2508	1998-07-31	PRIJEM	\N	84	21395	UROK	\N	\N
3613239	2508	1998-08-31	PRIJEM	\N	90	22828	UROK	\N	\N
3613240	2508	1998-09-30	PRIJEM	\N	99	24990	UROK	\N	\N
3613241	2508	1998-10-31	PRIJEM	\N	108	27162	UROK	\N	\N
3613242	2508	1998-11-30	PRIJEM	\N	86	16811	UROK	\N	\N
3613243	2508	1998-12-31	PRIJEM	\N	72	16876	UROK	\N	\N
3613244	2509	1997-06-30	PRIJEM	\N	4	7334	UROK	\N	\N
3613245	2509	1997-07-31	PRIJEM	\N	232	68049	UROK	\N	\N
3613246	2509	1997-08-31	PRIJEM	\N	290	95707	UROK	\N	\N
3613247	2509	1997-09-30	PRIJEM	\N	377	57747	UROK	\N	\N
3613248	2509	1997-10-31	PRIJEM	\N	163	43104	UROK	\N	\N
3613249	2509	1997-11-30	PRIJEM	\N	202	76058	UROK	\N	\N
3613250	2509	1997-12-31	PRIJEM	\N	332	75255	UROK	\N	\N
3613251	2509	1998-01-31	PRIJEM	\N	289	81230	UROK	\N	\N
3613252	2509	1998-02-28	PRIJEM	\N	226	22195	UROK	\N	\N
3613253	2509	1998-03-31	PRIJEM	\N	71	16851	UROK	\N	\N
3613254	2509	1998-04-30	PRIJEM	\N	326	116004	UROK	\N	\N
3613255	2509	1998-05-31	PRIJEM	\N	320	78721	UROK	\N	\N
3613256	2509	1998-06-30	PRIJEM	\N	205	36412	UROK	\N	\N
3613257	2509	1998-07-31	PRIJEM	\N	164	68821	UROK	\N	\N
3613258	2509	1998-08-31	PRIJEM	\N	227	40909	UROK	\N	\N
3613259	2509	1998-09-30	PRIJEM	\N	131	60871	UROK	\N	\N
3613260	2509	1998-10-31	PRIJEM	\N	288	86771	UROK	\N	\N
3613261	2509	1998-11-30	PRIJEM	\N	185	21414	UROK	\N	\N
3613262	2509	1998-12-31	PRIJEM	\N	60	13059	UROK	\N	\N
3613263	2510	1993-09-30	PRIJEM	\N	12	21063	UROK	\N	\N
3613264	2510	1993-10-31	PRIJEM	\N	97	34611	UROK	\N	\N
3613265	2510	1993-11-30	PRIJEM	\N	148	40910	UROK	\N	\N
3613266	2510	1993-12-31	PRIJEM	\N	175	47160	UROK	\N	\N
3613267	2510	1994-01-31	PRIJEM	\N	215	37326	UROK	\N	\N
3613268	2510	1994-02-28	PRIJEM	\N	172	39617	UROK	\N	\N
3613269	2510	1994-03-31	PRIJEM	\N	167	38303	UROK	\N	\N
3613270	2510	1994-04-30	PRIJEM	\N	177	39498	UROK	\N	\N
3613271	2510	1994-05-31	PRIJEM	\N	173	37089	UROK	\N	\N
3613272	2510	1994-06-30	PRIJEM	\N	177	30410	UROK	\N	\N
3613273	2510	1994-07-31	PRIJEM	\N	146	36075	UROK	\N	\N
3613274	2510	1994-08-31	PRIJEM	\N	161	35154	UROK	\N	\N
3613275	2510	1994-09-30	PRIJEM	\N	158	36231	UROK	\N	\N
3613276	2510	1994-10-31	PRIJEM	\N	159	33409	UROK	\N	\N
3613277	2510	1994-11-30	PRIJEM	\N	150	35177	UROK	\N	\N
3613278	2510	1994-12-31	PRIJEM	\N	174	39995	UROK	\N	\N
3613279	2510	1995-01-31	PRIJEM	\N	157	27170	UROK	\N	\N
3613280	2510	1995-02-28	PRIJEM	\N	132	36121	UROK	\N	\N
3613281	2510	1995-03-31	PRIJEM	\N	165	40304	UROK	\N	\N
3613282	2510	1995-04-30	PRIJEM	\N	167	39390	UROK	\N	\N
3613283	2510	1995-05-31	PRIJEM	\N	173	40981	UROK	\N	\N
3613284	2510	1995-06-30	PRIJEM	\N	176	36301	UROK	\N	\N
3613285	2510	1995-07-31	PRIJEM	\N	165	41384	UROK	\N	\N
3613286	2510	1995-08-31	PRIJEM	\N	172	39575	UROK	\N	\N
3613287	2510	1995-09-30	PRIJEM	\N	173	42966	UROK	\N	\N
3613288	2510	1995-10-31	PRIJEM	\N	180	42664	UROK	\N	\N
3613289	2510	1995-11-30	PRIJEM	\N	170	36752	UROK	\N	\N
3613290	2510	1995-12-31	PRIJEM	\N	173	44068	UROK	\N	\N
3613291	2510	1996-01-31	PRIJEM	\N	150	28537	UROK	\N	\N
3613292	2510	1996-02-29	PRIJEM	\N	130	35185	UROK	\N	\N
3613293	2510	1996-03-31	PRIJEM	\N	151	38154	UROK	\N	\N
3613294	2510	1996-04-30	PRIJEM	\N	164	42237	UROK	\N	\N
3613295	2510	1996-05-31	PRIJEM	\N	178	44733	UROK	\N	\N
3613296	2510	1996-06-30	PRIJEM	\N	194	50271	UROK	\N	\N
3613297	2510	1996-07-31	PRIJEM	\N	189	44378	UROK	\N	\N
3613298	2510	1996-08-31	PRIJEM	\N	203	53799	UROK	\N	\N
3613299	2510	1996-09-30	PRIJEM	\N	220	55937	UROK	\N	\N
3613300	2510	1996-10-31	PRIJEM	\N	221	54976	UROK	\N	\N
3613301	2510	1996-11-30	PRIJEM	\N	223	56717	UROK	\N	\N
3613302	2510	1996-12-31	PRIJEM	\N	250	66511	UROK	\N	\N
3613303	2510	1997-01-31	PRIJEM	\N	230	55459	UROK	\N	\N
3613304	2510	1997-02-28	PRIJEM	\N	211	54389	UROK	\N	\N
3613305	2510	1997-03-31	PRIJEM	\N	219	55427	UROK	\N	\N
3613306	2510	1997-04-30	PRIJEM	\N	225	58070	UROK	\N	\N
3613307	2510	1997-05-31	PRIJEM	\N	228	56016	UROK	\N	\N
3613308	2510	1997-06-30	PRIJEM	\N	212	41671	UROK	\N	\N
3613309	2510	1997-07-31	PRIJEM	\N	165	43755	UROK	\N	\N
3613310	2510	1997-08-31	PRIJEM	\N	169	41442	UROK	\N	\N
3613311	2510	1997-09-30	PRIJEM	\N	148	40009	UROK	\N	\N
3613312	2510	1997-10-31	PRIJEM	\N	157	42784	UROK	\N	\N
3613313	2510	1997-11-30	PRIJEM	\N	169	44672	UROK	\N	\N
3613314	2510	1997-12-31	PRIJEM	\N	174	48889	UROK	\N	\N
3613315	2510	1998-01-31	PRIJEM	\N	134	31142	UROK	\N	\N
3613316	2510	1998-02-28	PRIJEM	\N	144	41504	UROK	\N	\N
3613317	2510	1998-03-31	PRIJEM	\N	157	43080	UROK	\N	\N
3613318	2510	1998-04-30	PRIJEM	\N	166	45363	UROK	\N	\N
3613319	2510	1998-05-31	PRIJEM	\N	160	43241	UROK	\N	\N
3613320	2510	1998-06-30	PRIJEM	\N	155	44640	UROK	\N	\N
3613321	2510	1998-07-31	PRIJEM	\N	184	50242	UROK	\N	\N
3613322	2510	1998-08-31	PRIJEM	\N	194	52054	UROK	\N	\N
3613323	2510	1998-09-30	PRIJEM	\N	211	55783	UROK	\N	\N
3613324	2510	1998-10-31	PRIJEM	\N	222	59524	UROK	\N	\N
3613325	2510	1998-11-30	PRIJEM	\N	237	64079	UROK	\N	\N
3613326	2510	1998-12-31	PRIJEM	\N	285	76508	UROK	\N	\N
3613327	2511	1994-05-31	PRIJEM	\N	44	14141	UROK	\N	\N
3613328	2511	1994-06-30	PRIJEM	\N	72	36909	UROK	\N	\N
3613329	2511	1994-07-31	PRIJEM	\N	132	32038	UROK	\N	\N
3613330	2511	1994-08-31	PRIJEM	\N	133	32468	UROK	\N	\N
3613331	2511	1994-09-30	PRIJEM	\N	154	30863	UROK	\N	\N
3613332	2511	1994-10-31	PRIJEM	\N	145	24175	UROK	\N	\N
3613333	2511	1994-11-30	PRIJEM	\N	121	28124	UROK	\N	\N
3613334	2511	1994-12-31	PRIJEM	\N	144	29334	UROK	\N	\N
3613335	2511	1995-01-31	PRIJEM	\N	120	24761	UROK	\N	\N
3613336	2511	1995-02-28	PRIJEM	\N	121	26510	UROK	\N	\N
3613337	2511	1995-03-31	PRIJEM	\N	128	27765	UROK	\N	\N
3613338	2511	1995-04-30	PRIJEM	\N	133	29026	UROK	\N	\N
3613339	2511	1995-05-31	PRIJEM	\N	140	32994	UROK	\N	\N
3613340	2511	1995-06-30	PRIJEM	\N	158	29878	UROK	\N	\N
3613341	2511	1995-07-31	PRIJEM	\N	146	36451	UROK	\N	\N
3613342	2511	1995-08-31	PRIJEM	\N	166	38904	UROK	\N	\N
3613343	2511	1995-09-30	PRIJEM	\N	180	43112	UROK	\N	\N
3613344	2511	1995-10-31	PRIJEM	\N	183	41522	UROK	\N	\N
3613345	2511	1995-11-30	PRIJEM	\N	183	36213	UROK	\N	\N
3613346	2511	1995-12-31	PRIJEM	\N	164	37903	UROK	\N	\N
3613347	2511	1996-01-31	PRIJEM	\N	148	32478	UROK	\N	\N
3613348	2511	1996-02-29	PRIJEM	\N	158	40964	UROK	\N	\N
3613349	2511	1996-03-31	PRIJEM	\N	178	40809	UROK	\N	\N
3613350	2511	1996-04-30	PRIJEM	\N	180	41117	UROK	\N	\N
3613351	2511	1996-05-31	PRIJEM	\N	181	40885	UROK	\N	\N
3613352	2511	1996-06-30	PRIJEM	\N	193	44604	UROK	\N	\N
3613353	2511	1996-07-31	PRIJEM	\N	198	47030	UROK	\N	\N
3613354	2511	1996-08-31	PRIJEM	\N	202	46559	UROK	\N	\N
3613355	2511	1996-09-30	PRIJEM	\N	201	46687	UROK	\N	\N
3613356	2511	1996-10-31	PRIJEM	\N	200	46515	UROK	\N	\N
3613357	2511	1996-11-30	PRIJEM	\N	206	49747	UROK	\N	\N
3613358	2511	1996-12-31	PRIJEM	\N	214	47588	UROK	\N	\N
3613359	2511	1997-01-31	PRIJEM	\N	207	46442	UROK	\N	\N
3613360	2511	1997-02-28	PRIJEM	\N	187	42296	UROK	\N	\N
3613361	2511	1997-03-31	PRIJEM	\N	177	40300	UROK	\N	\N
3613362	2511	1997-04-30	PRIJEM	\N	168	38896	UROK	\N	\N
3613363	2511	1997-05-31	PRIJEM	\N	164	37847	UROK	\N	\N
3613364	2511	1997-06-30	PRIJEM	\N	166	34320	UROK	\N	\N
3613365	2511	1997-07-31	PRIJEM	\N	149	35056	UROK	\N	\N
3613366	2511	1997-08-31	PRIJEM	\N	132	25055	UROK	\N	\N
3613367	2511	1997-09-30	PRIJEM	\N	111	27594	UROK	\N	\N
3613368	2511	1997-10-31	PRIJEM	\N	108	25129	UROK	\N	\N
3613369	2511	1997-11-30	PRIJEM	\N	99	23056	UROK	\N	\N
3613370	2511	1997-12-31	PRIJEM	\N	99	20441	UROK	\N	\N
3613371	2511	1998-01-31	PRIJEM	\N	93	23161	UROK	\N	\N
3613372	2511	1998-02-28	PRIJEM	\N	104	25592	UROK	\N	\N
3613373	2511	1998-03-31	PRIJEM	\N	123	31942	UROK	\N	\N
3613374	2511	1998-04-30	PRIJEM	\N	125	29635	UROK	\N	\N
3613375	2511	1998-05-31	PRIJEM	\N	126	30989	UROK	\N	\N
3613376	2511	1998-06-30	PRIJEM	\N	143	35859	UROK	\N	\N
3613377	2511	1998-07-31	PRIJEM	\N	130	26396	UROK	\N	\N
3613378	2511	1998-08-31	PRIJEM	\N	109	24352	UROK	\N	\N
3613379	2511	1998-09-30	PRIJEM	\N	130	33909	UROK	\N	\N
3613380	2511	1998-10-31	PRIJEM	\N	149	35885	UROK	\N	\N
3613381	2511	1998-11-30	PRIJEM	\N	159	39271	UROK	\N	\N
3613382	2511	1998-12-31	PRIJEM	\N	177	43575	UROK	\N	\N
3613428	2513	1993-08-31	PRIJEM	\N	21	14004	UROK	\N	\N
3613429	2513	1993-09-30	PRIJEM	\N	71	22458	UROK	\N	\N
3613430	2513	1993-10-31	PRIJEM	\N	95	23636	UROK	\N	\N
3613431	2513	1993-11-30	PRIJEM	\N	102	25921	UROK	\N	\N
3613432	2513	1993-12-31	PRIJEM	\N	108	25917	UROK	\N	\N
3613433	2513	1994-01-31	PRIJEM	\N	103	22653	UROK	\N	\N
3613434	2513	1994-02-28	PRIJEM	\N	94	22161	UROK	\N	\N
3613435	2513	1994-03-31	PRIJEM	\N	92	21076	UROK	\N	\N
3613436	2513	1994-04-30	PRIJEM	\N	96	25045	UROK	\N	\N
3613437	2513	1994-05-31	PRIJEM	\N	110	27119	UROK	\N	\N
3613438	2513	1994-06-30	PRIJEM	\N	97	18229	UROK	\N	\N
3613439	2513	1994-07-31	PRIJEM	\N	85	22628	UROK	\N	\N
3613440	2513	1994-08-31	PRIJEM	\N	94	22065	UROK	\N	\N
3613441	2513	1994-09-30	PRIJEM	\N	100	25048	UROK	\N	\N
3613442	2513	1994-10-31	PRIJEM	\N	100	23061	UROK	\N	\N
3613443	2513	1994-11-30	PRIJEM	\N	95	22870	UROK	\N	\N
3613444	2513	1994-12-31	PRIJEM	\N	101	25004	UROK	\N	\N
3613445	2513	1995-01-31	PRIJEM	\N	103	23670	UROK	\N	\N
3613446	2513	1995-02-28	PRIJEM	\N	99	23883	UROK	\N	\N
3613447	2513	1995-03-31	PRIJEM	\N	97	22793	UROK	\N	\N
3613448	2513	1995-04-30	PRIJEM	\N	98	24204	UROK	\N	\N
3613449	2513	1995-05-31	PRIJEM	\N	107	24324	UROK	\N	\N
3613450	2513	1995-06-30	PRIJEM	\N	94	21702	UROK	\N	\N
3613451	2513	1995-07-31	PRIJEM	\N	96	23911	UROK	\N	\N
3613452	2513	1995-08-31	PRIJEM	\N	106	25971	UROK	\N	\N
3613453	2513	1995-09-30	PRIJEM	\N	107	25792	UROK	\N	\N
3613454	2513	1995-10-31	PRIJEM	\N	110	26055	UROK	\N	\N
3613455	2513	1995-11-30	PRIJEM	\N	116	29185	UROK	\N	\N
3613456	2513	1995-12-31	PRIJEM	\N	110	25679	UROK	\N	\N
3613457	2513	1996-01-31	PRIJEM	\N	89	19031	UROK	\N	\N
3613458	2513	1996-02-29	PRIJEM	\N	82	20427	UROK	\N	\N
3613459	2513	1996-03-31	PRIJEM	\N	80	18620	UROK	\N	\N
3613460	2513	1996-04-30	PRIJEM	\N	82	20515	UROK	\N	\N
3613461	2513	1996-05-31	PRIJEM	\N	86	20914	UROK	\N	\N
3613462	2513	1996-06-30	PRIJEM	\N	78	17705	UROK	\N	\N
3613463	2513	1996-07-31	PRIJEM	\N	74	17892	UROK	\N	\N
3613464	2513	1996-08-31	PRIJEM	\N	65	14671	UROK	\N	\N
3613465	2513	1996-09-30	PRIJEM	\N	63	16047	UROK	\N	\N
3613466	2513	1996-10-31	PRIJEM	\N	68	16919	UROK	\N	\N
3613467	2513	1996-11-30	PRIJEM	\N	73	18305	UROK	\N	\N
3613468	2513	1996-12-31	PRIJEM	\N	73	16511	UROK	\N	\N
3613469	2513	1997-01-31	PRIJEM	\N	62	13907	UROK	\N	\N
3613470	2513	1997-02-28	PRIJEM	\N	64	16414	UROK	\N	\N
3613471	2513	1997-03-31	PRIJEM	\N	70	17497	UROK	\N	\N
3613472	2513	1997-04-30	PRIJEM	\N	75	18885	UROK	\N	\N
3613473	2513	1997-05-31	PRIJEM	\N	78	19177	UROK	\N	\N
3613474	2513	1997-06-30	PRIJEM	\N	76	18066	UROK	\N	\N
3613475	2513	1997-07-31	PRIJEM	\N	77	19156	UROK	\N	\N
3613476	2513	1997-08-31	PRIJEM	\N	70	15669	UROK	\N	\N
3613477	2513	1997-09-30	PRIJEM	\N	62	14914	UROK	\N	\N
3613478	2513	1997-10-31	PRIJEM	\N	62	15090	UROK	\N	\N
3613479	2513	1997-11-30	PRIJEM	\N	64	16047	UROK	\N	\N
3613480	2513	1997-12-31	PRIJEM	\N	68	17218	UROK	\N	\N
3613481	2513	1998-01-31	PRIJEM	\N	68	15239	UROK	\N	\N
3613482	2513	1998-02-28	PRIJEM	\N	64	16617	UROK	\N	\N
3613483	2513	1998-03-31	PRIJEM	\N	69	17129	UROK	\N	\N
3613484	2513	1998-04-30	PRIJEM	\N	72	18514	UROK	\N	\N
3613485	2513	1998-05-31	PRIJEM	\N	74	13902	UROK	\N	\N
3613486	2513	1998-06-30	PRIJEM	\N	58	13973	UROK	\N	\N
3613487	2513	1998-07-31	PRIJEM	\N	59	15346	UROK	\N	\N
3613488	2513	1998-08-31	PRIJEM	\N	65	16724	UROK	\N	\N
3613489	2513	1998-09-30	PRIJEM	\N	70	18107	UROK	\N	\N
3613490	2513	1998-10-31	PRIJEM	\N	76	19497	UROK	\N	\N
3613491	2513	1998-11-30	PRIJEM	\N	76	15176	UROK	\N	\N
3613492	2513	1998-12-31	PRIJEM	\N	64	16553	UROK	\N	\N
3613493	2514	1995-09-30	PRIJEM	\N	53	19968	UROK	\N	\N
3613494	2514	1995-10-31	PRIJEM	\N	113	31095	UROK	\N	\N
3613495	2514	1995-11-30	PRIJEM	\N	175	34585	UROK	\N	\N
3613496	2514	1995-12-31	PRIJEM	\N	176	39883	UROK	\N	\N
3613497	2514	1996-01-31	PRIJEM	\N	168	27266	UROK	\N	\N
3613498	2514	1996-02-29	PRIJEM	\N	145	38610	UROK	\N	\N
3613499	2514	1996-03-31	PRIJEM	\N	172	42581	UROK	\N	\N
3613500	2514	1996-04-30	PRIJEM	\N	194	48474	UROK	\N	\N
3613501	2514	1996-05-31	PRIJEM	\N	204	46778	UROK	\N	\N
3613502	2514	1996-06-30	PRIJEM	\N	201	51385	UROK	\N	\N
3613503	2514	1996-07-31	PRIJEM	\N	200	48685	UROK	\N	\N
3613504	2514	1996-08-31	PRIJEM	\N	199	47283	UROK	\N	\N
3613505	2514	1996-09-30	PRIJEM	\N	196	46778	UROK	\N	\N
3613506	2514	1996-10-31	PRIJEM	\N	185	46362	UROK	\N	\N
3613507	2514	1996-11-30	PRIJEM	\N	198	47260	UROK	\N	\N
3613508	2514	1996-12-31	PRIJEM	\N	228	57194	UROK	\N	\N
3613509	2514	1997-01-31	PRIJEM	\N	205	41398	UROK	\N	\N
3613510	2514	1997-02-28	PRIJEM	\N	180	46178	UROK	\N	\N
3613511	2514	1997-03-31	PRIJEM	\N	220	56697	UROK	\N	\N
3613512	2514	1997-04-30	PRIJEM	\N	256	63852	UROK	\N	\N
3613513	2514	1997-05-31	PRIJEM	\N	268	64920	UROK	\N	\N
3613514	2514	1997-06-30	PRIJEM	\N	296	58522	UROK	\N	\N
3613515	2514	1997-07-31	PRIJEM	\N	265	66487	UROK	\N	\N
3613516	2514	1997-08-31	PRIJEM	\N	277	68064	UROK	\N	\N
3613517	2514	1997-09-30	PRIJEM	\N	298	73661	UROK	\N	\N
3613518	2514	1997-10-31	PRIJEM	\N	305	73965	UROK	\N	\N
3613519	2514	1997-11-30	PRIJEM	\N	284	73648	UROK	\N	\N
3613520	2514	1997-12-31	PRIJEM	\N	294	61549	UROK	\N	\N
3613521	2514	1998-01-31	PRIJEM	\N	247	46996	UROK	\N	\N
3613522	2514	1998-02-28	PRIJEM	\N	225	59619	UROK	\N	\N
3613523	2514	1998-03-31	PRIJEM	\N	241	53160	UROK	\N	\N
3613524	2514	1998-04-30	PRIJEM	\N	245	54704	UROK	\N	\N
3613525	2514	1998-05-31	PRIJEM	\N	252	58456	UROK	\N	\N
3613526	2514	1998-06-30	PRIJEM	\N	247	63109	UROK	\N	\N
3613527	2514	1998-07-31	PRIJEM	\N	289	66698	UROK	\N	\N
3613528	2514	1998-08-31	PRIJEM	\N	302	68199	UROK	\N	\N
3613529	2514	1998-09-30	PRIJEM	\N	303	70702	UROK	\N	\N
3613530	2514	1998-10-31	PRIJEM	\N	320	76421	UROK	\N	\N
3613531	2514	1998-11-30	PRIJEM	\N	341	79861	UROK	\N	\N
3613532	2514	1998-12-31	PRIJEM	\N	368	82336	UROK	\N	\N
3613533	2516	1995-12-31	PRIJEM	\N	52	23984	UROK	\N	\N
3613534	2516	1996-01-31	PRIJEM	\N	122	33994	UROK	\N	\N
3613535	2516	1996-02-29	PRIJEM	\N	149	37331	UROK	\N	\N
3613536	2516	1996-03-31	PRIJEM	\N	159	33878	UROK	\N	\N
3613537	2516	1996-04-30	PRIJEM	\N	148	36813	UROK	\N	\N
3613538	2516	1996-05-31	PRIJEM	\N	162	38548	UROK	\N	\N
3613539	2516	1996-06-30	PRIJEM	\N	162	33927	UROK	\N	\N
3613540	2516	1996-07-31	PRIJEM	\N	166	34467	UROK	\N	\N
3613541	2516	1996-08-31	PRIJEM	\N	157	37897	UROK	\N	\N
3613542	2516	1996-09-30	PRIJEM	\N	130	23939	UROK	\N	\N
3613543	2516	1996-10-31	PRIJEM	\N	111	27824	UROK	\N	\N
3613544	2516	1996-11-30	PRIJEM	\N	113	27310	UROK	\N	\N
3613545	2516	1996-12-31	PRIJEM	\N	129	33897	UROK	\N	\N
3613546	2516	1997-01-31	PRIJEM	\N	135	9205	UROK	\N	\N
3613547	2516	1997-02-28	PRIJEM	\N	113	29891	UROK	\N	\N
3613548	2516	1997-03-31	PRIJEM	\N	144	35589	UROK	\N	\N
3613549	2516	1997-04-30	PRIJEM	\N	190	45853	UROK	\N	\N
3613550	2516	1997-05-31	PRIJEM	\N	232	55758	UROK	\N	\N
3613551	2516	1997-06-30	PRIJEM	\N	230	18606	UROK	\N	\N
3613552	2516	1997-07-31	PRIJEM	\N	129	34847	UROK	\N	\N
3613553	2516	1997-08-31	PRIJEM	\N	180	42939	UROK	\N	\N
3613554	2516	1997-09-30	PRIJEM	\N	209	53061	UROK	\N	\N
3613555	2516	1997-10-31	PRIJEM	\N	235	59449	UROK	\N	\N
3613556	2516	1997-11-30	PRIJEM	\N	252	61053	UROK	\N	\N
3613557	2516	1997-12-31	PRIJEM	\N	275	65964	UROK	\N	\N
3613558	2516	1998-01-31	PRIJEM	\N	196	35873	UROK	\N	\N
3613559	2516	1998-02-28	PRIJEM	\N	184	48309	UROK	\N	\N
3613560	2516	1998-03-31	PRIJEM	\N	203	49265	UROK	\N	\N
3613561	2516	1998-04-30	PRIJEM	\N	210	51327	UROK	\N	\N
3613562	2516	1998-05-31	PRIJEM	\N	210	50589	UROK	\N	\N
3613563	2516	1998-06-30	PRIJEM	\N	221	46287	UROK	\N	\N
3613564	2516	1998-07-31	PRIJEM	\N	198	48658	UROK	\N	\N
3613565	2516	1998-08-31	PRIJEM	\N	205	50215	UROK	\N	\N
3613566	2516	1998-09-30	PRIJEM	\N	213	52281	UROK	\N	\N
3613567	2516	1998-10-31	PRIJEM	\N	187	47160	UROK	\N	\N
3613568	2516	1998-11-30	PRIJEM	\N	181	45593	UROK	\N	\N
3613569	2516	1998-12-31	PRIJEM	\N	191	47061	UROK	\N	\N
3613570	2517	1996-12-31	PRIJEM	\N	93	31687	UROK	\N	\N
3613571	2517	1997-01-31	PRIJEM	\N	164	42281	UROK	\N	\N
3613572	2517	1997-02-28	PRIJEM	\N	238	63448	UROK	\N	\N
3613573	2517	1997-03-31	PRIJEM	\N	242	56319	UROK	\N	\N
3613574	2517	1997-04-30	PRIJEM	\N	202	43781	UROK	\N	\N
3613575	2517	1997-05-31	PRIJEM	\N	159	31400	UROK	\N	\N
3613576	2517	1997-06-30	PRIJEM	\N	142	35567	UROK	\N	\N
3613577	2517	1997-07-31	PRIJEM	\N	131	22409	UROK	\N	\N
3613578	2517	1997-08-31	PRIJEM	\N	151	40620	UROK	\N	\N
3613579	2517	1997-09-30	PRIJEM	\N	182	37262	UROK	\N	\N
3613580	2517	1997-10-31	PRIJEM	\N	188	47610	UROK	\N	\N
3613581	2517	1997-11-30	PRIJEM	\N	212	51982	UROK	\N	\N
3613582	2517	1997-12-31	PRIJEM	\N	256	61363	UROK	\N	\N
3613583	2517	1998-01-31	PRIJEM	\N	216	54139	UROK	\N	\N
3613584	2517	1998-02-28	PRIJEM	\N	224	45923	UROK	\N	\N
3613585	2517	1998-03-31	PRIJEM	\N	196	43380	UROK	\N	\N
3613586	2517	1998-04-30	PRIJEM	\N	205	46144	UROK	\N	\N
3613587	2517	1998-05-31	PRIJEM	\N	225	56629	UROK	\N	\N
3613588	2517	1998-06-30	PRIJEM	\N	238	25993	UROK	\N	\N
3613589	2517	1998-07-31	PRIJEM	\N	166	44418	UROK	\N	\N
3613590	2517	1998-08-31	PRIJEM	\N	192	50470	UROK	\N	\N
3613591	2517	1998-09-30	PRIJEM	\N	229	56459	UROK	\N	\N
3613592	2517	1998-10-31	PRIJEM	\N	213	43731	UROK	\N	\N
3613593	2517	1998-11-30	PRIJEM	\N	174	45165	UROK	\N	\N
3613594	2517	1998-12-31	PRIJEM	\N	227	63717	UROK	\N	\N
3613627	2519	1993-05-31	PRIJEM	\N	49	21425	UROK	\N	\N
3613628	2519	1993-06-30	PRIJEM	\N	94	15563	UROK	\N	\N
3613629	2519	1993-07-31	PRIJEM	\N	68	16282	UROK	\N	\N
3613630	2519	1993-08-31	PRIJEM	\N	78	20290	UROK	\N	\N
3613631	2519	1993-09-30	PRIJEM	\N	94	24315	UROK	\N	\N
3613632	2519	1993-10-31	PRIJEM	\N	104	24429	UROK	\N	\N
3613633	2519	1993-11-30	PRIJEM	\N	111	27671	UROK	\N	\N
3613634	2519	1993-12-31	PRIJEM	\N	118	28119	UROK	\N	\N
3613635	2519	1994-01-31	PRIJEM	\N	105	20965	UROK	\N	\N
3613636	2519	1994-02-28	PRIJEM	\N	90	21005	UROK	\N	\N
3613637	2519	1994-03-31	PRIJEM	\N	97	24232	UROK	\N	\N
3613638	2519	1994-04-30	PRIJEM	\N	104	25267	UROK	\N	\N
3613639	2519	1994-05-31	PRIJEM	\N	110	26807	UROK	\N	\N
3613640	2519	1994-06-30	PRIJEM	\N	97	19684	UROK	\N	\N
3613641	2519	1994-07-31	PRIJEM	\N	93	22308	UROK	\N	\N
3613642	2519	1994-08-31	PRIJEM	\N	106	26144	UROK	\N	\N
3613643	2519	1994-09-30	PRIJEM	\N	108	24283	UROK	\N	\N
3613644	2519	1994-10-31	PRIJEM	\N	99	22172	UROK	\N	\N
3613645	2519	1994-11-30	PRIJEM	\N	102	26204	UROK	\N	\N
3613646	2519	1994-12-31	PRIJEM	\N	118	27753	UROK	\N	\N
3613647	2519	1995-01-31	PRIJEM	\N	83	14766	UROK	\N	\N
3613648	2519	1995-02-28	PRIJEM	\N	71	18767	UROK	\N	\N
3613649	2519	1995-03-31	PRIJEM	\N	88	22785	UROK	\N	\N
3613650	2519	1995-04-30	PRIJEM	\N	99	24254	UROK	\N	\N
3613651	2519	1995-05-31	PRIJEM	\N	111	28295	UROK	\N	\N
3613652	2519	1995-06-30	PRIJEM	\N	110	16836	UROK	\N	\N
3613653	2519	1995-07-31	PRIJEM	\N	77	19083	UROK	\N	\N
3613654	2519	1995-08-31	PRIJEM	\N	89	23102	UROK	\N	\N
3613655	2519	1995-09-30	PRIJEM	\N	106	27138	UROK	\N	\N
3613656	2519	1995-10-31	PRIJEM	\N	122	29330	UROK	\N	\N
3613657	2519	1995-11-30	PRIJEM	\N	128	31189	UROK	\N	\N
3613658	2519	1995-12-31	PRIJEM	\N	127	31496	UROK	\N	\N
3613659	2519	1996-01-31	PRIJEM	\N	94	21700	UROK	\N	\N
3613660	2519	1996-02-29	PRIJEM	\N	99	25730	UROK	\N	\N
3613661	2519	1996-03-31	PRIJEM	\N	116	27876	UROK	\N	\N
3613662	2519	1996-04-30	PRIJEM	\N	120	26426	UROK	\N	\N
3613663	2519	1996-05-31	PRIJEM	\N	110	26546	UROK	\N	\N
3613664	2519	1996-06-30	PRIJEM	\N	110	19136	UROK	\N	\N
3613665	2519	1996-07-31	PRIJEM	\N	89	23155	UROK	\N	\N
3613666	2519	1996-08-31	PRIJEM	\N	104	25989	UROK	\N	\N
3613667	2519	1996-09-30	PRIJEM	\N	117	30036	UROK	\N	\N
3613668	2519	1996-10-31	PRIJEM	\N	131	30498	UROK	\N	\N
3613669	2519	1996-11-30	PRIJEM	\N	131	28659	UROK	\N	\N
3613670	2519	1996-12-31	PRIJEM	\N	126	28665	UROK	\N	\N
3613671	2519	1997-01-31	PRIJEM	\N	97	17052	UROK	\N	\N
3613672	2519	1997-02-28	PRIJEM	\N	79	21062	UROK	\N	\N
3613673	2519	1997-03-31	PRIJEM	\N	96	25088	UROK	\N	\N
3613674	2519	1997-04-30	PRIJEM	\N	104	23602	UROK	\N	\N
3613675	2519	1997-05-31	PRIJEM	\N	107	27639	UROK	\N	\N
3613676	2519	1997-06-30	PRIJEM	\N	103	21473	UROK	\N	\N
3613677	2519	1997-07-31	PRIJEM	\N	98	25501	UROK	\N	\N
3613678	2519	1997-08-31	PRIJEM	\N	113	27704	UROK	\N	\N
3613679	2519	1997-09-30	PRIJEM	\N	123	31757	UROK	\N	\N
3613680	2519	1997-10-31	PRIJEM	\N	137	33665	UROK	\N	\N
3613681	2519	1997-11-30	PRIJEM	\N	148	37743	UROK	\N	\N
3613682	2519	1997-12-31	PRIJEM	\N	163	39636	UROK	\N	\N
3613683	2519	1998-01-31	PRIJEM	\N	158	35365	UROK	\N	\N
3613684	2519	1998-02-28	PRIJEM	\N	154	39450	UROK	\N	\N
3613685	2519	1998-03-31	PRIJEM	\N	172	43552	UROK	\N	\N
3613686	2519	1998-04-30	PRIJEM	\N	189	47671	UROK	\N	\N
3613687	2519	1998-05-31	PRIJEM	\N	202	49603	UROK	\N	\N
3613688	2519	1998-06-30	PRIJEM	\N	183	42027	UROK	\N	\N
3613689	2519	1998-07-31	PRIJEM	\N	182	46139	UROK	\N	\N
3613690	2519	1998-08-31	PRIJEM	\N	192	46962	UROK	\N	\N
3613691	2519	1998-09-30	PRIJEM	\N	198	47450	UROK	\N	\N
3613692	2519	1998-10-31	PRIJEM	\N	195	44956	UROK	\N	\N
3613693	2519	1998-11-30	PRIJEM	\N	189	46774	UROK	\N	\N
3613694	2519	1998-12-31	PRIJEM	\N	200	50254	UROK	\N	\N
3613695	2520	1995-08-31	PRIJEM	\N	17	16150	UROK	\N	\N
3613696	2520	1995-09-30	PRIJEM	\N	75	23158	UROK	\N	\N
3613697	2520	1995-10-31	PRIJEM	\N	99	25590	UROK	\N	\N
3613698	2520	1995-11-30	PRIJEM	\N	109	28033	UROK	\N	\N
3613699	2520	1995-12-31	PRIJEM	\N	115	26921	UROK	\N	\N
3613700	2520	1996-01-31	PRIJEM	\N	104	21868	UROK	\N	\N
3613701	2520	1996-02-29	PRIJEM	\N	89	19710	UROK	\N	\N
3613702	2520	1996-03-31	PRIJEM	\N	83	19867	UROK	\N	\N
3613703	2520	1996-04-30	PRIJEM	\N	79	16709	UROK	\N	\N
3613704	2520	1996-05-31	PRIJEM	\N	67	15469	UROK	\N	\N
3613705	2520	1996-06-30	PRIJEM	\N	64	14897	UROK	\N	\N
3613706	2520	1996-07-31	PRIJEM	\N	62	14522	UROK	\N	\N
3613707	2520	1996-08-31	PRIJEM	\N	59	13444	UROK	\N	\N
3613708	2520	1996-09-30	PRIJEM	\N	57	14295	UROK	\N	\N
3613709	2520	1996-10-31	PRIJEM	\N	62	15520	UROK	\N	\N
3613710	2520	1996-11-30	PRIJEM	\N	65	15548	UROK	\N	\N
3613711	2520	1996-12-31	PRIJEM	\N	61	13903	UROK	\N	\N
3613712	2520	1997-01-31	PRIJEM	\N	61	14707	UROK	\N	\N
3613713	2520	1997-02-28	PRIJEM	\N	61	14642	UROK	\N	\N
3613714	2520	1997-03-31	PRIJEM	\N	64	15869	UROK	\N	\N
3613715	2520	1997-04-30	PRIJEM	\N	69	17101	UROK	\N	\N
3613716	2520	1997-05-31	PRIJEM	\N	73	17257	UROK	\N	\N
3613717	2520	1997-06-30	PRIJEM	\N	64	14825	UROK	\N	\N
3613718	2520	1997-07-31	PRIJEM	\N	63	14971	UROK	\N	\N
3613719	2520	1997-08-31	PRIJEM	\N	65	16199	UROK	\N	\N
3613720	2520	1997-09-30	PRIJEM	\N	70	17432	UROK	\N	\N
3613721	2520	1997-10-31	PRIJEM	\N	75	18671	UROK	\N	\N
3613722	2520	1997-11-30	PRIJEM	\N	80	19494	UROK	\N	\N
3613723	2520	1997-12-31	PRIJEM	\N	81	19958	UROK	\N	\N
3613724	2520	1998-01-31	PRIJEM	\N	79	19010	UROK	\N	\N
3613725	2520	1998-02-28	PRIJEM	\N	80	19473	UROK	\N	\N
3613726	2520	1998-03-31	PRIJEM	\N	83	20720	UROK	\N	\N
3613727	2520	1998-04-30	PRIJEM	\N	88	21281	UROK	\N	\N
3613728	2520	1998-05-31	PRIJEM	\N	91	22535	UROK	\N	\N
3613729	2520	1998-06-30	PRIJEM	\N	73	15131	UROK	\N	\N
3613730	2520	1998-07-31	PRIJEM	\N	65	16360	UROK	\N	\N
3613731	2520	1998-08-31	PRIJEM	\N	69	17382	UROK	\N	\N
3613732	2520	1998-09-30	PRIJEM	\N	73	18168	UROK	\N	\N
3613733	2520	1998-10-31	PRIJEM	\N	78	19409	UROK	\N	\N
3613734	2520	1998-11-30	PRIJEM	\N	81	19963	UROK	\N	\N
3613735	2520	1998-12-31	PRIJEM	\N	84	20851	UROK	\N	\N
3613736	2521	1995-06-30	PRIJEM	\N	58	32321	UROK	\N	\N
3613737	2521	1995-07-31	PRIJEM	\N	155	43118	UROK	\N	\N
3613738	2521	1995-08-31	PRIJEM	\N	185	46245	UROK	\N	\N
3613739	2521	1995-09-30	PRIJEM	\N	192	46179	UROK	\N	\N
3613740	2521	1995-10-31	PRIJEM	\N	194	47415	UROK	\N	\N
3613741	2521	1995-11-30	PRIJEM	\N	218	47859	UROK	\N	\N
3613742	2521	1995-12-31	PRIJEM	\N	239	51444	UROK	\N	\N
3613743	2521	1996-01-31	PRIJEM	\N	203	37873	UROK	\N	\N
3613744	2521	1996-02-29	PRIJEM	\N	182	41680	UROK	\N	\N
3613745	2521	1996-03-31	PRIJEM	\N	192	42397	UROK	\N	\N
3613746	2521	1996-04-30	PRIJEM	\N	188	41611	UROK	\N	\N
3613747	2521	1996-05-31	PRIJEM	\N	196	45433	UROK	\N	\N
3613748	2521	1996-06-30	PRIJEM	\N	217	47196	UROK	\N	\N
3613749	2521	1996-07-31	PRIJEM	\N	216	50137	UROK	\N	\N
3613750	2521	1996-08-31	PRIJEM	\N	208	46171	UROK	\N	\N
3613751	2521	1996-09-30	PRIJEM	\N	198	47394	UROK	\N	\N
3613752	2521	1996-10-31	PRIJEM	\N	217	51736	UROK	\N	\N
3613753	2521	1996-11-30	PRIJEM	\N	225	53587	UROK	\N	\N
3613754	2521	1996-12-31	PRIJEM	\N	239	55771	UROK	\N	\N
3613755	2521	1997-01-31	PRIJEM	\N	205	38802	UROK	\N	\N
3613756	2521	1997-02-28	PRIJEM	\N	218	44545	UROK	\N	\N
3613757	2521	1997-03-31	PRIJEM	\N	204	49274	UROK	\N	\N
3613758	2521	1997-04-30	PRIJEM	\N	208	49908	UROK	\N	\N
3613759	2521	1997-05-31	PRIJEM	\N	192	44525	UROK	\N	\N
3613760	2521	1997-06-30	PRIJEM	\N	135	26707	UROK	\N	\N
3613761	2521	1997-07-31	PRIJEM	\N	152	32084	UROK	\N	\N
3613762	2521	1997-08-31	PRIJEM	\N	189	49399	UROK	\N	\N
3613763	2521	1997-09-30	PRIJEM	\N	229	57053	UROK	\N	\N
3613764	2521	1997-10-31	PRIJEM	\N	254	60332	UROK	\N	\N
3613765	2521	1997-11-30	PRIJEM	\N	244	60701	UROK	\N	\N
3613766	2521	1997-12-31	PRIJEM	\N	297	75244	UROK	\N	\N
3613767	2521	1998-01-31	PRIJEM	\N	277	60046	UROK	\N	\N
3613768	2521	1998-02-28	PRIJEM	\N	271	68442	UROK	\N	\N
3613769	2521	1998-03-31	PRIJEM	\N	263	63331	UROK	\N	\N
3613770	2521	1998-04-30	PRIJEM	\N	253	63010	UROK	\N	\N
3613771	2521	1998-05-31	PRIJEM	\N	262	65597	UROK	\N	\N
3613772	2521	1998-06-30	PRIJEM	\N	257	66701	UROK	\N	\N
3613773	2521	1998-07-31	PRIJEM	\N	270	67096	UROK	\N	\N
3613774	2521	1998-08-31	PRIJEM	\N	266	65887	UROK	\N	\N
3613775	2521	1998-09-30	PRIJEM	\N	284	69796	UROK	\N	\N
3613776	2521	1998-10-31	PRIJEM	\N	284	52305	UROK	\N	\N
3613777	2521	1998-11-30	PRIJEM	\N	270	51801	UROK	\N	\N
3613778	2521	1998-12-31	PRIJEM	\N	309	80355	UROK	\N	\N
3613779	2523	1993-06-30	PRIJEM	\N	38	12961	UROK	\N	\N
3613780	2523	1993-07-31	PRIJEM	\N	75	20058	UROK	\N	\N
3613781	2523	1993-08-31	PRIJEM	\N	98	24779	UROK	\N	\N
3613782	2523	1993-09-30	PRIJEM	\N	113	28216	UROK	\N	\N
3613783	2523	1993-10-31	PRIJEM	\N	119	28315	UROK	\N	\N
3613784	2523	1993-11-30	PRIJEM	\N	118	28127	UROK	\N	\N
3613785	2523	1993-12-31	PRIJEM	\N	107	24987	UROK	\N	\N
3613786	2523	1994-01-31	PRIJEM	\N	102	24182	UROK	\N	\N
3613787	2523	1994-02-28	PRIJEM	\N	104	24790	UROK	\N	\N
3613788	2523	1994-03-31	PRIJEM	\N	110	26493	UROK	\N	\N
3613789	2523	1994-04-30	PRIJEM	\N	117	28153	UROK	\N	\N
3613790	2523	1994-05-31	PRIJEM	\N	113	26459	UROK	\N	\N
3613791	2523	1994-06-30	PRIJEM	\N	105	24797	UROK	\N	\N
3613792	2523	1994-07-31	PRIJEM	\N	111	27002	UROK	\N	\N
3613793	2523	1994-08-31	PRIJEM	\N	116	27971	UROK	\N	\N
3613794	2523	1994-09-30	PRIJEM	\N	111	26536	UROK	\N	\N
3613795	2523	1994-10-31	PRIJEM	\N	103	24232	UROK	\N	\N
3613796	2523	1994-11-30	PRIJEM	\N	94	22120	UROK	\N	\N
3613797	2523	1994-12-31	PRIJEM	\N	85	18368	UROK	\N	\N
3613798	2523	1995-01-31	PRIJEM	\N	93	23254	UROK	\N	\N
3613799	2523	1995-02-28	PRIJEM	\N	101	24348	UROK	\N	\N
3613800	2523	1995-03-31	PRIJEM	\N	103	24745	UROK	\N	\N
3613801	2523	1995-04-30	PRIJEM	\N	104	25042	UROK	\N	\N
3613802	2523	1995-05-31	PRIJEM	\N	101	23427	UROK	\N	\N
3613803	2523	1995-06-30	PRIJEM	\N	90	21140	UROK	\N	\N
3613804	2523	1995-07-31	PRIJEM	\N	81	16214	UROK	\N	\N
3613805	2523	1995-08-31	PRIJEM	\N	70	14578	UROK	\N	\N
3613806	2523	1995-09-30	PRIJEM	\N	64	13725	UROK	\N	\N
3613807	2523	1995-10-31	PRIJEM	\N	60	12878	UROK	\N	\N
3613808	2523	1995-11-30	PRIJEM	\N	57	14458	UROK	\N	\N
3613809	2523	1995-12-31	PRIJEM	\N	63	14335	UROK	\N	\N
3613810	2523	1996-01-31	PRIJEM	\N	63	16801	UROK	\N	\N
3613811	2523	1996-02-29	PRIJEM	\N	74	17768	UROK	\N	\N
3613812	2523	1996-03-31	PRIJEM	\N	74	14705	UROK	\N	\N
3613813	2523	1996-04-30	PRIJEM	\N	64	14863	UROK	\N	\N
3613814	2523	1996-05-31	PRIJEM	\N	63	15879	UROK	\N	\N
3613815	2523	1996-06-30	PRIJEM	\N	70	17042	UROK	\N	\N
3613816	2523	1996-07-31	PRIJEM	\N	71	15106	UROK	\N	\N
3613817	2523	1996-08-31	PRIJEM	\N	67	16666	UROK	\N	\N
3613818	2523	1996-09-30	PRIJEM	\N	67	13427	UROK	\N	\N
3613819	2523	1996-10-31	PRIJEM	\N	59	14680	UROK	\N	\N
3613820	2523	1996-11-30	PRIJEM	\N	62	13935	UROK	\N	\N
3613821	2523	1996-12-31	PRIJEM	\N	60	14179	UROK	\N	\N
3613822	2523	1997-01-31	PRIJEM	\N	58	12630	UROK	\N	\N
3613823	2523	1997-02-28	PRIJEM	\N	56	13679	UROK	\N	\N
3613824	2523	1997-03-31	PRIJEM	\N	55	11627	UROK	\N	\N
3613825	2523	1997-04-30	PRIJEM	\N	51	12672	UROK	\N	\N
3613826	2523	1997-05-31	PRIJEM	\N	51	11946	UROK	\N	\N
3613827	2523	1997-06-30	PRIJEM	\N	52	12992	UROK	\N	\N
3613828	2523	1997-07-31	PRIJEM	\N	57	14042	UROK	\N	\N
3613829	2523	1997-08-31	PRIJEM	\N	61	15096	UROK	\N	\N
3613830	2523	1997-09-30	PRIJEM	\N	65	16155	UROK	\N	\N
3613831	2523	1997-10-31	PRIJEM	\N	68	16496	UROK	\N	\N
3613832	2523	1997-11-30	PRIJEM	\N	71	17560	UROK	\N	\N
3613833	2523	1997-12-31	PRIJEM	\N	74	17668	UROK	\N	\N
3613834	2523	1998-01-31	PRIJEM	\N	76	18737	UROK	\N	\N
3613835	2523	1998-02-28	PRIJEM	\N	80	19811	UROK	\N	\N
3613836	2523	1998-03-31	PRIJEM	\N	84	20048	UROK	\N	\N
3613837	2523	1998-04-30	PRIJEM	\N	86	21127	UROK	\N	\N
3613838	2523	1998-05-31	PRIJEM	\N	86	21006	UROK	\N	\N
3613839	2523	1998-06-30	PRIJEM	\N	89	22088	UROK	\N	\N
3613840	2523	1998-07-31	PRIJEM	\N	92	22514	UROK	\N	\N
3613841	2523	1998-08-31	PRIJEM	\N	96	23603	UROK	\N	\N
3613842	2523	1998-09-30	PRIJEM	\N	100	24696	UROK	\N	\N
3613843	2523	1998-10-31	PRIJEM	\N	104	25794	UROK	\N	\N
3613844	2523	1998-11-30	PRIJEM	\N	109	26896	UROK	\N	\N
3613845	2523	1998-12-31	PRIJEM	\N	113	27703	UROK	\N	\N
3613846	2524	1995-04-30	PRIJEM	\N	44	24396	UROK	\N	\N
3613847	2524	1995-05-31	PRIJEM	\N	109	28268	UROK	\N	\N
3613848	2524	1995-06-30	PRIJEM	\N	113	23279	UROK	\N	\N
3613849	2524	1995-07-31	PRIJEM	\N	99	23677	UROK	\N	\N
3613850	2524	1995-08-31	PRIJEM	\N	97	22472	UROK	\N	\N
3613851	2524	1995-09-30	PRIJEM	\N	97	23807	UROK	\N	\N
3613852	2524	1995-10-31	PRIJEM	\N	108	27513	UROK	\N	\N
3613853	2524	1995-11-30	PRIJEM	\N	123	27535	UROK	\N	\N
3613854	2524	1995-12-31	PRIJEM	\N	113	21416	UROK	\N	\N
3613855	2524	1996-01-31	PRIJEM	\N	80	17915	UROK	\N	\N
3613856	2524	1996-02-29	PRIJEM	\N	83	21696	UROK	\N	\N
3613857	2524	1996-03-31	PRIJEM	\N	86	21801	UROK	\N	\N
3613858	2524	1996-04-30	PRIJEM	\N	99	25598	UROK	\N	\N
3613859	2524	1996-05-31	PRIJEM	\N	110	27607	UROK	\N	\N
3613860	2524	1996-06-30	PRIJEM	\N	89	16844	UROK	\N	\N
3613861	2524	1996-07-31	PRIJEM	\N	64	17087	UROK	\N	\N
3613862	2524	1996-08-31	PRIJEM	\N	73	17378	UROK	\N	\N
3613863	2524	1996-09-30	PRIJEM	\N	76	19952	UROK	\N	\N
3613864	2524	1996-10-31	PRIJEM	\N	78	19929	UROK	\N	\N
3613865	2524	1996-11-30	PRIJEM	\N	69	17397	UROK	\N	\N
3613866	2524	1996-12-31	PRIJEM	\N	81	20526	UROK	\N	\N
3613867	2524	1997-01-31	PRIJEM	\N	64	13188	UROK	\N	\N
3613868	2524	1997-02-28	PRIJEM	\N	59	14625	UROK	\N	\N
3613869	2524	1997-03-31	PRIJEM	\N	70	18393	UROK	\N	\N
3613870	2524	1997-04-30	PRIJEM	\N	85	22176	UROK	\N	\N
3613871	2524	1997-05-31	PRIJEM	\N	80	20355	UROK	\N	\N
3613872	2524	1997-06-30	PRIJEM	\N	80	15383	UROK	\N	\N
3613873	2524	1997-07-31	PRIJEM	\N	73	19153	UROK	\N	\N
3613874	2524	1997-08-31	PRIJEM	\N	87	20939	UROK	\N	\N
3613875	2524	1997-09-30	PRIJEM	\N	68	16625	UROK	\N	\N
3613876	2524	1997-10-31	PRIJEM	\N	57	15480	UROK	\N	\N
3613877	2524	1997-11-30	PRIJEM	\N	59	16438	UROK	\N	\N
3613878	2524	1997-12-31	PRIJEM	\N	59	16445	UROK	\N	\N
3613879	2524	1998-01-31	PRIJEM	\N	70	14014	UROK	\N	\N
3613880	2524	1998-02-28	PRIJEM	\N	66	17778	UROK	\N	\N
3613881	2524	1998-03-31	PRIJEM	\N	82	21558	UROK	\N	\N
3613882	2524	1998-04-30	PRIJEM	\N	98	25354	UROK	\N	\N
3613883	2524	1998-05-31	PRIJEM	\N	65	15797	UROK	\N	\N
3613884	2524	1998-06-30	PRIJEM	\N	74	19569	UROK	\N	\N
3613885	2524	1998-07-31	PRIJEM	\N	63	16830	UROK	\N	\N
3613886	2524	1998-08-31	PRIJEM	\N	78	20607	UROK	\N	\N
3613887	2524	1998-09-30	PRIJEM	\N	76	18621	UROK	\N	\N
3613888	2524	1998-10-31	PRIJEM	\N	85	22405	UROK	\N	\N
3613889	2524	1998-11-30	PRIJEM	\N	101	26204	UROK	\N	\N
3613890	2524	1998-12-31	PRIJEM	\N	99	25762	UROK	\N	\N
3613891	2525	1995-05-31	PRIJEM	\N	24	8530	UROK	\N	\N
3613892	2525	1995-06-30	PRIJEM	\N	85	26524	UROK	\N	\N
3613893	2525	1995-07-31	PRIJEM	\N	121	30251	UROK	\N	\N
3613894	2525	1995-08-31	PRIJEM	\N	131	32088	UROK	\N	\N
3613895	2525	1995-09-30	PRIJEM	\N	139	34132	UROK	\N	\N
3613896	2525	1995-10-31	PRIJEM	\N	127	30913	UROK	\N	\N
3613897	2525	1995-11-30	PRIJEM	\N	106	24674	UROK	\N	\N
3613898	2525	1995-12-31	PRIJEM	\N	113	28765	UROK	\N	\N
3613899	2525	1996-01-31	PRIJEM	\N	74	13473	UROK	\N	\N
3613900	2525	1996-02-29	PRIJEM	\N	74	15921	UROK	\N	\N
3613901	2525	1996-03-31	PRIJEM	\N	100	26876	UROK	\N	\N
3613902	2525	1996-04-30	PRIJEM	\N	124	31655	UROK	\N	\N
3613903	2525	1996-05-31	PRIJEM	\N	124	30673	UROK	\N	\N
3613904	2525	1996-06-30	PRIJEM	\N	134	23824	UROK	\N	\N
3613905	2525	1996-07-31	PRIJEM	\N	121	31199	UROK	\N	\N
3613906	2525	1996-08-31	PRIJEM	\N	137	27851	UROK	\N	\N
3613907	2525	1996-09-30	PRIJEM	\N	122	28327	UROK	\N	\N
3613908	2525	1996-10-31	PRIJEM	\N	110	28111	UROK	\N	\N
3613909	2525	1996-11-30	PRIJEM	\N	122	26988	UROK	\N	\N
3613910	2525	1996-12-31	PRIJEM	\N	120	29325	UROK	\N	\N
3613911	2525	1997-01-31	PRIJEM	\N	86	15945	UROK	\N	\N
3613912	2525	1997-02-28	PRIJEM	\N	71	13390	UROK	\N	\N
3613913	2525	1997-03-31	PRIJEM	\N	61	14606	UROK	\N	\N
3613914	2525	1997-04-30	PRIJEM	\N	66	14826	UROK	\N	\N
3613915	2525	1997-05-31	PRIJEM	\N	67	15447	UROK	\N	\N
3613916	2525	1997-06-30	PRIJEM	\N	78	16983	UROK	\N	\N
3613917	2525	1997-07-31	PRIJEM	\N	73	14810	UROK	\N	\N
3613918	2525	1997-08-31	PRIJEM	\N	67	16631	UROK	\N	\N
3613919	2525	1997-09-30	PRIJEM	\N	71	15417	UROK	\N	\N
3613920	2525	1997-10-31	PRIJEM	\N	65	13036	UROK	\N	\N
3613921	2525	1997-11-30	PRIJEM	\N	60	15350	UROK	\N	\N
3613922	2525	1997-12-31	PRIJEM	\N	68	13056	UROK	\N	\N
3613923	2525	1998-01-31	PRIJEM	\N	59	14269	UROK	\N	\N
3613924	2525	1998-02-28	PRIJEM	\N	64	16588	UROK	\N	\N
3613925	2525	1998-03-31	PRIJEM	\N	69	14411	UROK	\N	\N
3613926	2525	1998-04-30	PRIJEM	\N	59	11624	UROK	\N	\N
3613927	2525	1998-05-31	PRIJEM	\N	54	14333	UROK	\N	\N
3613928	2525	1998-06-30	PRIJEM	\N	68	14958	UROK	\N	\N
3613929	2525	1998-07-31	PRIJEM	\N	60	12373	UROK	\N	\N
3613930	2525	1998-08-31	PRIJEM	\N	57	15084	UROK	\N	\N
3613931	2525	1998-09-30	PRIJEM	\N	68	16006	UROK	\N	\N
3613932	2525	1998-10-31	PRIJEM	\N	61	12522	UROK	\N	\N
3613933	2525	1998-11-30	PRIJEM	\N	52	12128	UROK	\N	\N
3613934	2525	1998-12-31	PRIJEM	\N	67	18852	UROK	\N	\N
3613935	2526	1996-07-31	PRIJEM	\N	20	6877	UROK	\N	\N
3613936	2526	1996-08-31	PRIJEM	\N	29	12963	UROK	\N	\N
3613937	2526	1996-09-30	PRIJEM	\N	29	19048	UROK	\N	\N
3613938	2526	1996-10-31	PRIJEM	\N	29	25134	UROK	\N	\N
3613939	2526	1996-11-30	PRIJEM	\N	96	29987	UROK	\N	\N
3613940	2526	1996-12-31	PRIJEM	\N	112	26327	UROK	\N	\N
3613941	2526	1997-01-31	PRIJEM	\N	80	14625	UROK	\N	\N
3613942	2526	1997-02-28	PRIJEM	\N	67	16770	UROK	\N	\N
3613943	2526	1997-03-31	PRIJEM	\N	76	18924	UROK	\N	\N
3613944	2526	1997-04-30	PRIJEM	\N	85	21088	UROK	\N	\N
3613945	2526	1997-05-31	PRIJEM	\N	94	23260	UROK	\N	\N
3613946	2526	1997-06-30	PRIJEM	\N	96	21535	UROK	\N	\N
3613947	2526	1997-07-31	PRIJEM	\N	96	23709	UROK	\N	\N
3613948	2526	1997-08-31	PRIJEM	\N	99	21106	UROK	\N	\N
3613949	2526	1997-09-30	PRIJEM	\N	73	14277	UROK	\N	\N
3613950	2526	1997-10-31	PRIJEM	\N	66	16421	UROK	\N	\N
3613951	2526	1997-11-30	PRIJEM	\N	74	17673	UROK	\N	\N
3613952	2526	1997-12-31	PRIJEM	\N	79	18380	UROK	\N	\N
3613953	2526	1998-01-31	PRIJEM	\N	69	13177	UROK	\N	\N
3613954	2526	1998-02-28	PRIJEM	\N	61	15316	UROK	\N	\N
3613955	2526	1998-03-31	PRIJEM	\N	70	17464	UROK	\N	\N
3613956	2526	1998-04-30	PRIJEM	\N	79	19621	UROK	\N	\N
3613957	2526	1998-05-31	PRIJEM	\N	86	20486	UROK	\N	\N
3613958	2526	1998-06-30	PRIJEM	\N	86	18591	UROK	\N	\N
3613959	2526	1998-07-31	PRIJEM	\N	82	18671	UROK	\N	\N
3613960	2526	1998-08-31	PRIJEM	\N	80	17429	UROK	\N	\N
3613961	2526	1998-09-30	PRIJEM	\N	75	17923	UROK	\N	\N
3613962	2526	1998-10-31	PRIJEM	\N	66	13927	UROK	\N	\N
3613963	2526	1998-11-30	PRIJEM	\N	63	15669	UROK	\N	\N
3613964	2526	1998-12-31	PRIJEM	\N	67	17015	UROK	\N	\N
3613965	2527	1993-03-31	PRIJEM	\N	11	28342	UROK	\N	\N
3613966	2527	1993-04-30	PRIJEM	\N	118	25061	UROK	\N	\N
3613967	2527	1993-05-31	PRIJEM	\N	152	46264	UROK	\N	\N
3613968	2527	1993-06-30	PRIJEM	\N	320	63818	UROK	\N	\N
3613969	2527	1993-07-31	PRIJEM	\N	288	72954	UROK	\N	\N
3613970	2527	1993-08-31	PRIJEM	\N	250	51372	UROK	\N	\N
3613971	2527	1993-09-30	PRIJEM	\N	264	101848	UROK	\N	\N
3613972	2527	1993-10-31	PRIJEM	\N	223	31832	UROK	\N	\N
3613973	2527	1993-11-30	PRIJEM	\N	187	59491	UROK	\N	\N
3613974	2527	1993-12-31	PRIJEM	\N	374	89088	UROK	\N	\N
3613975	2527	1994-01-31	PRIJEM	\N	214	22414	UROK	\N	\N
3613976	2527	1994-02-28	PRIJEM	\N	265	106805	UROK	\N	\N
3613977	2527	1994-03-31	PRIJEM	\N	328	56944	UROK	\N	\N
3613978	2527	1994-04-30	PRIJEM	\N	235	58586	UROK	\N	\N
3613979	2527	1994-05-31	PRIJEM	\N	201	42099	UROK	\N	\N
3613980	2527	1994-06-30	PRIJEM	\N	195	56086	UROK	\N	\N
3613981	2527	1994-07-31	PRIJEM	\N	176	27535	UROK	\N	\N
3613982	2527	1994-08-31	PRIJEM	\N	128	34800	UROK	\N	\N
3613983	2527	1994-09-30	PRIJEM	\N	150	72307	UROK	\N	\N
3613984	2527	1994-10-31	PRIJEM	\N	236	59727	UROK	\N	\N
3613985	2527	1994-11-30	PRIJEM	\N	189	40427	UROK	\N	\N
3613986	2527	1994-12-31	PRIJEM	\N	128	28967	UROK	\N	\N
3613987	2527	1995-01-31	PRIJEM	\N	94	34557	UROK	\N	\N
3613988	2527	1995-02-28	PRIJEM	\N	146	29425	UROK	\N	\N
3613989	2527	1995-03-31	PRIJEM	\N	145	64595	UROK	\N	\N
3613990	2527	1995-04-30	PRIJEM	\N	276	144252	UROK	\N	\N
3613991	2527	1995-05-31	PRIJEM	\N	284	73595	UROK	\N	\N
3613992	2527	1995-06-30	PRIJEM	\N	245	80775	UROK	\N	\N
3613993	2527	1995-07-31	PRIJEM	\N	241	52927	UROK	\N	\N
3613994	2527	1995-08-31	PRIJEM	\N	379	96062	UROK	\N	\N
3613995	2527	1995-09-30	PRIJEM	\N	249	84453	UROK	\N	\N
3613996	2527	1995-10-31	PRIJEM	\N	414	113066	UROK	\N	\N
3613997	2527	1995-11-30	PRIJEM	\N	336	76402	UROK	\N	\N
3613998	2527	1995-12-31	PRIJEM	\N	251	32151	UROK	\N	\N
3613999	2527	1996-01-31	PRIJEM	\N	173	30781	UROK	\N	\N
3614000	2527	1996-02-29	PRIJEM	\N	109	27389	UROK	\N	\N
3614001	2527	1996-03-31	PRIJEM	\N	272	76143	UROK	\N	\N
3614002	2527	1996-04-30	PRIJEM	\N	427	122765	UROK	\N	\N
3614003	2527	1996-05-31	PRIJEM	\N	240	73012	UROK	\N	\N
3614004	2527	1996-06-30	PRIJEM	\N	180	25381	UROK	\N	\N
3614005	2527	1996-07-31	PRIJEM	\N	201	59245	UROK	\N	\N
3614006	2527	1996-08-31	PRIJEM	\N	432	83067	UROK	\N	\N
3614007	2527	1996-09-30	PRIJEM	\N	338	64819	UROK	\N	\N
3614008	2527	1996-10-31	PRIJEM	\N	330	63442	UROK	\N	\N
3614009	2527	1996-11-30	PRIJEM	\N	253	77202	UROK	\N	\N
3614010	2527	1996-12-31	PRIJEM	\N	414	63370	UROK	\N	\N
3614011	2527	1997-01-31	PRIJEM	\N	217	46450	UROK	\N	\N
3614012	2527	1997-02-28	PRIJEM	\N	135	38296	UROK	\N	\N
3614013	2527	1997-03-31	PRIJEM	\N	159	50753	UROK	\N	\N
3614014	2527	1997-04-30	PRIJEM	\N	179	39643	UROK	\N	\N
3614015	2527	1997-05-31	PRIJEM	\N	162	41916	UROK	\N	\N
3614016	2527	1997-06-30	PRIJEM	\N	174	35409	UROK	\N	\N
3614017	2527	1997-07-31	PRIJEM	\N	148	41968	UROK	\N	\N
3614018	2527	1997-08-31	PRIJEM	\N	246	66118	UROK	\N	\N
3614019	2527	1997-09-30	PRIJEM	\N	266	61795	UROK	\N	\N
3614020	2527	1997-10-31	PRIJEM	\N	305	89353	UROK	\N	\N
3614021	2527	1997-11-30	PRIJEM	\N	365	111391	UROK	\N	\N
3614022	2527	1997-12-31	PRIJEM	\N	425	84127	UROK	\N	\N
3614023	2527	1998-01-31	PRIJEM	\N	284	71270	UROK	\N	\N
3614024	2527	1998-02-28	PRIJEM	\N	265	60646	UROK	\N	\N
3614025	2527	1998-03-31	PRIJEM	\N	375	97276	UROK	\N	\N
3614026	2527	1998-04-30	PRIJEM	\N	354	76980	UROK	\N	\N
3614027	2527	1998-05-31	PRIJEM	\N	322	88408	UROK	\N	\N
3614028	2527	1998-06-30	PRIJEM	\N	283	60580	UROK	\N	\N
3614029	2527	1998-07-31	PRIJEM	\N	305	93699	UROK	\N	\N
3614030	2527	1998-08-31	PRIJEM	\N	380	88623	UROK	\N	\N
3614031	2527	1998-09-30	PRIJEM	\N	408	85406	UROK	\N	\N
3614032	2527	1998-10-31	PRIJEM	\N	303	62821	UROK	\N	\N
3614033	2527	1998-11-30	PRIJEM	\N	235	88372	UROK	\N	\N
3614034	2527	1998-12-31	PRIJEM	\N	299	66682	UROK	\N	\N
3614035	2528	1993-08-31	PRIJEM	\N	47	19403	UROK	\N	\N
3614036	2528	1993-09-30	PRIJEM	\N	82	20002	UROK	\N	\N
3614037	2528	1993-10-31	PRIJEM	\N	86	20766	UROK	\N	\N
3614038	2528	1993-11-30	PRIJEM	\N	90	22253	UROK	\N	\N
3614039	2528	1993-12-31	PRIJEM	\N	96	22996	UROK	\N	\N
3614040	2528	1994-01-31	PRIJEM	\N	81	14764	UROK	\N	\N
3614041	2528	1994-02-28	PRIJEM	\N	60	13581	UROK	\N	\N
3614042	2528	1994-03-31	PRIJEM	\N	60	15038	UROK	\N	\N
3614043	2528	1994-04-30	PRIJEM	\N	62	14818	UROK	\N	\N
3614044	2528	1994-05-31	PRIJEM	\N	62	14597	UROK	\N	\N
3614045	2528	1994-06-30	PRIJEM	\N	64	16059	UROK	\N	\N
3614046	2528	1994-07-31	PRIJEM	\N	70	17526	UROK	\N	\N
3614047	2528	1994-08-31	PRIJEM	\N	76	19000	UROK	\N	\N
3614048	2528	1994-09-30	PRIJEM	\N	82	20480	UROK	\N	\N
3614049	2528	1994-10-31	PRIJEM	\N	89	21966	UROK	\N	\N
3614050	2528	1994-11-30	PRIJEM	\N	92	22255	UROK	\N	\N
3614051	2528	1994-12-31	PRIJEM	\N	93	21306	UROK	\N	\N
3614052	2528	1995-01-31	PRIJEM	\N	71	14054	UROK	\N	\N
3614053	2528	1995-02-28	PRIJEM	\N	62	15513	UROK	\N	\N
3614054	2528	1995-03-31	PRIJEM	\N	65	15536	UROK	\N	\N
3614055	2528	1995-04-30	PRIJEM	\N	68	17001	UROK	\N	\N
3614056	2528	1995-05-31	PRIJEM	\N	72	17110	UROK	\N	\N
3614057	2528	1995-06-30	PRIJEM	\N	74	18582	UROK	\N	\N
3614058	2528	1995-07-31	PRIJEM	\N	81	20060	UROK	\N	\N
3614059	2528	1995-08-31	PRIJEM	\N	87	21544	UROK	\N	\N
3614060	2528	1995-09-30	PRIJEM	\N	92	22393	UROK	\N	\N
3614061	2528	1995-10-31	PRIJEM	\N	93	22184	UROK	\N	\N
3614062	2528	1995-11-30	PRIJEM	\N	93	22315	UROK	\N	\N
3614063	2528	1995-12-31	PRIJEM	\N	93	22455	UROK	\N	\N
3614064	2528	1996-01-31	PRIJEM	\N	85	16028	UROK	\N	\N
3614065	2528	1996-02-29	PRIJEM	\N	65	16370	UROK	\N	\N
3614066	2528	1996-03-31	PRIJEM	\N	71	17838	UROK	\N	\N
3614067	2528	1996-04-30	PRIJEM	\N	77	19312	UROK	\N	\N
3614068	2528	1996-05-31	PRIJEM	\N	71	15581	UROK	\N	\N
3614069	2528	1996-06-30	PRIJEM	\N	68	17045	UROK	\N	\N
3614070	2528	1996-07-31	PRIJEM	\N	74	18516	UROK	\N	\N
3614071	2528	1996-08-31	PRIJEM	\N	80	19994	UROK	\N	\N
3614072	2528	1996-09-30	PRIJEM	\N	82	19633	UROK	\N	\N
3614073	2528	1996-10-31	PRIJEM	\N	84	21115	UROK	\N	\N
3614074	2528	1996-11-30	PRIJEM	\N	89	20201	UROK	\N	\N
3614075	2528	1996-12-31	PRIJEM	\N	86	20885	UROK	\N	\N
3614076	2528	1997-01-31	PRIJEM	\N	71	14423	UROK	\N	\N
3614077	2528	1997-02-28	PRIJEM	\N	62	15882	UROK	\N	\N
3614078	2528	1997-03-31	PRIJEM	\N	68	17348	UROK	\N	\N
3614079	2528	1997-04-30	PRIJEM	\N	74	18820	UROK	\N	\N
3614080	2528	1997-05-31	PRIJEM	\N	81	20298	UROK	\N	\N
3614081	2528	1997-06-30	PRIJEM	\N	82	19617	UROK	\N	\N
3614082	2528	1997-07-31	PRIJEM	\N	84	21098	UROK	\N	\N
3614083	2528	1997-08-31	PRIJEM	\N	90	22586	UROK	\N	\N
3614084	2528	1997-09-30	PRIJEM	\N	96	24079	UROK	\N	\N
3614085	2528	1997-10-31	PRIJEM	\N	101	24938	UROK	\N	\N
3614086	2528	1997-11-30	PRIJEM	\N	101	24036	UROK	\N	\N
3614087	2528	1997-12-31	PRIJEM	\N	100	24233	UROK	\N	\N
3614088	2528	1998-01-31	PRIJEM	\N	86	16356	UROK	\N	\N
3614089	2528	1998-02-28	PRIJEM	\N	70	17823	UROK	\N	\N
3614090	2528	1998-03-31	PRIJEM	\N	76	19296	UROK	\N	\N
3614091	2528	1998-04-30	PRIJEM	\N	82	20775	UROK	\N	\N
3614092	2528	1998-05-31	PRIJEM	\N	88	22261	UROK	\N	\N
3614093	2528	1998-06-30	PRIJEM	\N	94	23752	UROK	\N	\N
3614094	2528	1998-07-31	PRIJEM	\N	100	25250	UROK	\N	\N
3614095	2528	1998-08-31	PRIJEM	\N	104	25791	UROK	\N	\N
3614096	2528	1998-09-30	PRIJEM	\N	109	27297	UROK	\N	\N
3614097	2528	1998-10-31	PRIJEM	\N	110	25685	UROK	\N	\N
3614098	2528	1998-11-30	PRIJEM	\N	101	24143	UROK	\N	\N
3614099	2528	1998-12-31	PRIJEM	\N	100	25041	UROK	\N	\N
3614100	2530	1996-07-31	PRIJEM	\N	67	25123	UROK	\N	\N
3614101	2530	1996-08-31	PRIJEM	\N	174	51653	UROK	\N	\N
3614102	2530	1996-09-30	PRIJEM	\N	157	62466	UROK	\N	\N
3614103	2530	1996-10-31	PRIJEM	\N	171	43593	UROK	\N	\N
3614104	2530	1996-11-30	PRIJEM	\N	220	42992	UROK	\N	\N
3614105	2530	1996-12-31	PRIJEM	\N	258	45184	UROK	\N	\N
3614106	2530	1997-01-31	PRIJEM	\N	212	35542	UROK	\N	\N
3614107	2530	1997-02-28	PRIJEM	\N	194	32401	UROK	\N	\N
3614108	2530	1997-03-31	PRIJEM	\N	173	33639	UROK	\N	\N
3614109	2530	1997-04-30	PRIJEM	\N	183	27247	UROK	\N	\N
3614110	2530	1997-05-31	PRIJEM	\N	149	26661	UROK	\N	\N
3614111	2530	1997-06-30	PRIJEM	\N	183	32538	UROK	\N	\N
3614112	2530	1997-07-31	PRIJEM	\N	183	29186	UROK	\N	\N
3614113	2530	1997-08-31	PRIJEM	\N	152	27643	UROK	\N	\N
3614114	2530	1997-09-30	PRIJEM	\N	144	27153	UROK	\N	\N
3614115	2530	1997-10-31	PRIJEM	\N	155	26373	UROK	\N	\N
3614116	2530	1997-11-30	PRIJEM	\N	137	26676	UROK	\N	\N
3614117	2530	1997-12-31	PRIJEM	\N	162	27992	UROK	\N	\N
3614118	2530	1998-01-31	PRIJEM	\N	124	20060	UROK	\N	\N
3614119	2530	1998-02-28	PRIJEM	\N	112	23737	UROK	\N	\N
3614120	2530	1998-03-31	PRIJEM	\N	106	20068	UROK	\N	\N
3614121	2530	1998-04-30	PRIJEM	\N	113	24647	UROK	\N	\N
3614122	2530	1998-05-31	PRIJEM	\N	137	27949	UROK	\N	\N
3614123	2530	1998-06-30	PRIJEM	\N	163	33606	UROK	\N	\N
3614124	2530	1998-07-31	PRIJEM	\N	169	31240	UROK	\N	\N
3614125	2530	1998-08-31	PRIJEM	\N	145	27611	UROK	\N	\N
3614126	2530	1998-09-30	PRIJEM	\N	147	31523	UROK	\N	\N
3614127	2530	1998-10-31	PRIJEM	\N	153	29242	UROK	\N	\N
3614128	2530	1998-11-30	PRIJEM	\N	142	29949	UROK	\N	\N
3614129	2530	1998-12-31	PRIJEM	\N	158	33640	UROK	\N	\N
3614130	2531	1997-04-30	PRIJEM	\N	34	22110	UROK	\N	\N
3614131	2531	1997-05-31	PRIJEM	\N	99	26503	UROK	\N	\N
3614132	2531	1997-06-30	PRIJEM	\N	111	25029	UROK	\N	\N
3614133	2531	1997-07-31	PRIJEM	\N	113	25408	UROK	\N	\N
3614134	2531	1997-08-31	PRIJEM	\N	114	26487	UROK	\N	\N
3614135	2531	1997-09-30	PRIJEM	\N	119	27971	UROK	\N	\N
3614136	2531	1997-10-31	PRIJEM	\N	125	29662	UROK	\N	\N
3614137	2531	1997-11-30	PRIJEM	\N	129	29696	UROK	\N	\N
3614138	2531	1997-12-31	PRIJEM	\N	125	27886	UROK	\N	\N
3614139	2531	1998-01-31	PRIJEM	\N	114	22325	UROK	\N	\N
3614140	2531	1998-02-28	PRIJEM	\N	94	22965	UROK	\N	\N
3614141	2531	1998-03-31	PRIJEM	\N	111	27741	UROK	\N	\N
3614142	2531	1998-04-30	PRIJEM	\N	125	30232	UROK	\N	\N
3614143	2531	1998-05-31	PRIJEM	\N	135	32232	UROK	\N	\N
3614144	2531	1998-06-30	PRIJEM	\N	142	30389	UROK	\N	\N
3614145	2531	1998-07-31	PRIJEM	\N	142	35196	UROK	\N	\N
3614146	2531	1998-08-31	PRIJEM	\N	162	40023	UROK	\N	\N
3614147	2531	1998-09-30	PRIJEM	\N	167	39255	UROK	\N	\N
3614148	2531	1998-10-31	PRIJEM	\N	172	41792	UROK	\N	\N
3614149	2531	1998-11-30	PRIJEM	\N	176	37674	UROK	\N	\N
3614150	2531	1998-12-31	PRIJEM	\N	158	38277	UROK	\N	\N
3614151	2532	1997-01-31	PRIJEM	\N	46	37711	UROK	\N	\N
3614152	2532	1997-02-28	PRIJEM	\N	174	53749	UROK	\N	\N
3614153	2532	1997-03-31	PRIJEM	\N	233	62447	UROK	\N	\N
3614154	2532	1997-04-30	PRIJEM	\N	244	44556	UROK	\N	\N
3614155	2532	1997-05-31	PRIJEM	\N	201	57522	UROK	\N	\N
3614156	2532	1997-06-30	PRIJEM	\N	218	40040	UROK	\N	\N
3614157	2532	1997-07-31	PRIJEM	\N	242	51900	UROK	\N	\N
3614158	2532	1997-08-31	PRIJEM	\N	271	51888	UROK	\N	\N
3614159	2532	1997-09-30	PRIJEM	\N	263	48168	UROK	\N	\N
3614160	2532	1997-10-31	PRIJEM	\N	256	51741	UROK	\N	\N
3614161	2532	1997-11-30	PRIJEM	\N	247	39165	UROK	\N	\N
3614162	2532	1997-12-31	PRIJEM	\N	208	36849	UROK	\N	\N
3614163	2532	1998-01-31	PRIJEM	\N	152	22319	UROK	\N	\N
3614164	2532	1998-02-28	PRIJEM	\N	154	35090	UROK	\N	\N
3614165	2532	1998-03-31	PRIJEM	\N	174	23085	UROK	\N	\N
3614166	2532	1998-04-30	PRIJEM	\N	153	31856	UROK	\N	\N
3614167	2532	1998-05-31	PRIJEM	\N	166	26707	UROK	\N	\N
3614168	2532	1998-06-30	PRIJEM	\N	214	49221	UROK	\N	\N
3614169	2532	1998-07-31	PRIJEM	\N	245	52184	UROK	\N	\N
3614170	2532	1998-08-31	PRIJEM	\N	248	52849	UROK	\N	\N
3614171	2532	1998-09-30	PRIJEM	\N	217	45483	UROK	\N	\N
3614172	2532	1998-10-31	PRIJEM	\N	203	38752	UROK	\N	\N
3614173	2532	1998-11-30	PRIJEM	\N	182	39352	UROK	\N	\N
3614174	2532	1998-12-31	PRIJEM	\N	174	26036	UROK	\N	\N
3614175	2534	1993-06-30	PRIJEM	\N	20	8092	UROK	\N	\N
3614176	2534	1993-07-31	PRIJEM	\N	64	20172	UROK	\N	\N
3614177	2534	1993-08-31	PRIJEM	\N	101	27088	UROK	\N	\N
3614178	2534	1993-09-30	PRIJEM	\N	121	30524	UROK	\N	\N
3614179	2534	1993-10-31	PRIJEM	\N	126	30365	UROK	\N	\N
3614180	2534	1993-11-30	PRIJEM	\N	119	28074	UROK	\N	\N
3614181	2534	1993-12-31	PRIJEM	\N	106	25367	UROK	\N	\N
3614182	2534	1994-01-31	PRIJEM	\N	92	17850	UROK	\N	\N
3614183	2534	1994-02-28	PRIJEM	\N	78	20918	UROK	\N	\N
3614184	2534	1994-03-31	PRIJEM	\N	91	21299	UROK	\N	\N
3614185	2534	1994-04-30	PRIJEM	\N	92	22582	UROK	\N	\N
3614186	2534	1994-05-31	PRIJEM	\N	98	23770	UROK	\N	\N
3614187	2534	1994-06-30	PRIJEM	\N	86	22583	UROK	\N	\N
3614188	2534	1994-07-31	PRIJEM	\N	98	24171	UROK	\N	\N
3614189	2534	1994-08-31	PRIJEM	\N	103	24264	UROK	\N	\N
3614190	2534	1994-09-30	PRIJEM	\N	102	25617	UROK	\N	\N
3614191	2534	1994-10-31	PRIJEM	\N	110	28218	UROK	\N	\N
3614192	2534	1994-11-30	PRIJEM	\N	99	25007	UROK	\N	\N
3614193	2534	1994-12-31	PRIJEM	\N	105	26079	UROK	\N	\N
3614194	2534	1995-01-31	PRIJEM	\N	105	23535	UROK	\N	\N
3614195	2534	1995-02-28	PRIJEM	\N	102	26528	UROK	\N	\N
3614196	2534	1995-03-31	PRIJEM	\N	115	29433	UROK	\N	\N
3614197	2534	1995-04-30	PRIJEM	\N	123	27746	UROK	\N	\N
3614198	2534	1995-05-31	PRIJEM	\N	120	29956	UROK	\N	\N
3614199	2534	1995-06-30	PRIJEM	\N	131	31034	UROK	\N	\N
3614200	2534	1995-07-31	PRIJEM	\N	120	29405	UROK	\N	\N
3614201	2534	1995-08-31	PRIJEM	\N	112	26867	UROK	\N	\N
3614202	2534	1995-09-30	PRIJEM	\N	114	27471	UROK	\N	\N
3614203	2534	1995-10-31	PRIJEM	\N	111	23913	UROK	\N	\N
3614204	2534	1995-11-30	PRIJEM	\N	104	26608	UROK	\N	\N
3614205	2534	1995-12-31	PRIJEM	\N	117	28692	UROK	\N	\N
3614206	2534	1996-01-31	PRIJEM	\N	110	26992	UROK	\N	\N
3614207	2534	1996-02-29	PRIJEM	\N	119	30801	UROK	\N	\N
3614208	2534	1996-03-31	PRIJEM	\N	124	28616	UROK	\N	\N
3614209	2534	1996-04-30	PRIJEM	\N	109	27655	UROK	\N	\N
3614210	2534	1996-05-31	PRIJEM	\N	111	21756	UROK	\N	\N
3614211	2534	1996-06-30	PRIJEM	\N	100	27624	UROK	\N	\N
3614212	2534	1996-07-31	PRIJEM	\N	124	32438	UROK	\N	\N
3614213	2534	1996-08-31	PRIJEM	\N	130	30558	UROK	\N	\N
3614214	2534	1996-09-30	PRIJEM	\N	133	33581	UROK	\N	\N
3614215	2534	1996-10-31	PRIJEM	\N	140	34612	UROK	\N	\N
3614216	2534	1996-11-30	PRIJEM	\N	138	35840	UROK	\N	\N
3614217	2534	1996-12-31	PRIJEM	\N	151	36278	UROK	\N	\N
3614218	2534	1997-01-31	PRIJEM	\N	140	33409	UROK	\N	\N
3614219	2534	1997-02-28	PRIJEM	\N	147	37546	UROK	\N	\N
3614220	2534	1997-03-31	PRIJEM	\N	148	35085	UROK	\N	\N
3614221	2534	1997-04-30	PRIJEM	\N	141	33916	UROK	\N	\N
3614222	2534	1997-05-31	PRIJEM	\N	131	31037	UROK	\N	\N
3614223	2534	1997-06-30	PRIJEM	\N	113	28777	UROK	\N	\N
3614224	2534	1997-07-31	PRIJEM	\N	128	32996	UROK	\N	\N
3614225	2534	1997-08-31	PRIJEM	\N	138	34324	UROK	\N	\N
3614226	2534	1997-09-30	PRIJEM	\N	142	35356	UROK	\N	\N
3614227	2534	1997-10-31	PRIJEM	\N	139	34086	UROK	\N	\N
3614228	2534	1997-11-30	PRIJEM	\N	123	25960	UROK	\N	\N
3614229	2534	1997-12-31	PRIJEM	\N	103	26710	UROK	\N	\N
3614230	2534	1998-01-31	PRIJEM	\N	94	23334	UROK	\N	\N
3614231	2534	1998-02-28	PRIJEM	\N	109	28534	UROK	\N	\N
3614232	2534	1998-03-31	PRIJEM	\N	100	24225	UROK	\N	\N
3614233	2534	1998-04-30	PRIJEM	\N	91	23006	UROK	\N	\N
3614234	2534	1998-05-31	PRIJEM	\N	76	18733	UROK	\N	\N
3614235	2534	1998-06-30	PRIJEM	\N	77	21057	UROK	\N	\N
3614236	2534	1998-07-31	PRIJEM	\N	79	17906	UROK	\N	\N
3614237	2534	1998-08-31	PRIJEM	\N	69	18166	UROK	\N	\N
3614238	2534	1998-09-30	PRIJEM	\N	74	19630	UROK	\N	\N
3614239	2534	1998-10-31	PRIJEM	\N	66	16886	UROK	\N	\N
3614240	2534	1998-11-30	PRIJEM	\N	71	18647	UROK	\N	\N
3614241	2534	1998-12-31	PRIJEM	\N	75	18649	UROK	\N	\N
3614242	2535	1997-02-28	PRIJEM	\N	31	23255	UROK	\N	\N
3614243	2535	1997-03-31	PRIJEM	\N	114	36093	UROK	\N	\N
3614244	2535	1997-04-30	PRIJEM	\N	152	37869	UROK	\N	\N
3614245	2535	1997-05-31	PRIJEM	\N	156	37250	UROK	\N	\N
3614246	2535	1997-06-30	PRIJEM	\N	155	33985	UROK	\N	\N
3614247	2535	1997-07-31	PRIJEM	\N	164	35842	UROK	\N	\N
3614248	2535	1997-08-31	PRIJEM	\N	170	37366	UROK	\N	\N
3614249	2535	1997-09-30	PRIJEM	\N	156	29295	UROK	\N	\N
3614250	2535	1997-10-31	PRIJEM	\N	139	31088	UROK	\N	\N
3614251	2535	1997-11-30	PRIJEM	\N	144	30525	UROK	\N	\N
3614252	2535	1997-12-31	PRIJEM	\N	158	32629	UROK	\N	\N
3614253	2535	1998-01-31	PRIJEM	\N	107	13970	UROK	\N	\N
3614254	2535	1998-02-28	PRIJEM	\N	77	16640	UROK	\N	\N
3614255	2535	1998-03-31	PRIJEM	\N	85	16919	UROK	\N	\N
3614256	2535	1998-04-30	PRIJEM	\N	88	15680	UROK	\N	\N
3614257	2535	1998-05-31	PRIJEM	\N	88	20061	UROK	\N	\N
3614258	2535	1998-06-30	PRIJEM	\N	114	23981	UROK	\N	\N
3614259	2535	1998-07-31	PRIJEM	\N	110	23285	UROK	\N	\N
3614260	2535	1998-08-31	PRIJEM	\N	107	22125	UROK	\N	\N
3614261	2535	1998-09-30	PRIJEM	\N	101	22019	UROK	\N	\N
3614262	2535	1998-10-31	PRIJEM	\N	104	22917	UROK	\N	\N
3614263	2535	1998-11-30	PRIJEM	\N	108	24518	UROK	\N	\N
3614264	2535	1998-12-31	PRIJEM	\N	116	24739	UROK	\N	\N
3614265	2536	1995-02-28	PRIJEM	\N	15	25251	UROK	\N	\N
3614266	2536	1995-03-31	PRIJEM	\N	114	27763	UROK	\N	\N
3614267	2536	1995-04-30	PRIJEM	\N	125	30971	UROK	\N	\N
3614268	2536	1995-05-31	PRIJEM	\N	137	32191	UROK	\N	\N
3614269	2536	1995-06-30	PRIJEM	\N	121	19315	UROK	\N	\N
3614270	2536	1995-07-31	PRIJEM	\N	90	22488	UROK	\N	\N
3614271	2536	1995-08-31	PRIJEM	\N	103	25674	UROK	\N	\N
3614272	2536	1995-09-30	PRIJEM	\N	116	28873	UROK	\N	\N
3614273	2536	1995-10-31	PRIJEM	\N	129	32086	UROK	\N	\N
3614274	2536	1995-11-30	PRIJEM	\N	139	32509	UROK	\N	\N
3614275	2536	1995-12-31	PRIJEM	\N	138	31580	UROK	\N	\N
3614276	2536	1996-01-31	PRIJEM	\N	115	23219	UROK	\N	\N
3614277	2536	1996-02-29	PRIJEM	\N	106	26408	UROK	\N	\N
3614278	2536	1996-03-31	PRIJEM	\N	119	29611	UROK	\N	\N
3614279	2536	1996-04-30	PRIJEM	\N	129	30343	UROK	\N	\N
3614280	2536	1996-05-31	PRIJEM	\N	131	31957	UROK	\N	\N
3614281	2536	1996-06-30	PRIJEM	\N	115	17645	UROK	\N	\N
3614282	2536	1996-07-31	PRIJEM	\N	82	20811	UROK	\N	\N
3614283	2536	1996-08-31	PRIJEM	\N	94	21428	UROK	\N	\N
3614284	2536	1996-09-30	PRIJEM	\N	98	24610	UROK	\N	\N
3614285	2536	1996-10-31	PRIJEM	\N	111	27804	UROK	\N	\N
3614286	2536	1996-11-30	PRIJEM	\N	122	28530	UROK	\N	\N
3614287	2536	1996-12-31	PRIJEM	\N	127	31141	UROK	\N	\N
3614288	2536	1997-01-31	PRIJEM	\N	109	21593	UROK	\N	\N
3614289	2536	1997-02-28	PRIJEM	\N	98	24775	UROK	\N	\N
3614290	2536	1997-03-31	PRIJEM	\N	111	27469	UROK	\N	\N
3614291	2536	1997-04-30	PRIJEM	\N	120	29372	UROK	\N	\N
3614292	2536	1997-05-31	PRIJEM	\N	126	29062	UROK	\N	\N
3614293	2536	1997-06-30	PRIJEM	\N	94	20539	UROK	\N	\N
3614294	2536	1997-07-31	PRIJEM	\N	91	21633	UROK	\N	\N
3614295	2536	1997-08-31	PRIJEM	\N	95	21231	UROK	\N	\N
3614296	2536	1997-09-30	PRIJEM	\N	95	23369	UROK	\N	\N
3614297	2536	1997-10-31	PRIJEM	\N	98	23671	UROK	\N	\N
3614298	2536	1997-11-30	PRIJEM	\N	105	25739	UROK	\N	\N
3614299	2536	1997-12-31	PRIJEM	\N	115	28687	UROK	\N	\N
3614300	2536	1998-01-31	PRIJEM	\N	86	15496	UROK	\N	\N
3614301	2536	1998-02-28	PRIJEM	\N	72	18652	UROK	\N	\N
3614302	2536	1998-03-31	PRIJEM	\N	85	21420	UROK	\N	\N
3614303	2536	1998-04-30	PRIJEM	\N	92	22055	UROK	\N	\N
3614304	2536	1998-05-31	PRIJEM	\N	100	25238	UROK	\N	\N
3614305	2536	1998-06-30	PRIJEM	\N	92	20433	UROK	\N	\N
3614306	2536	1998-07-31	PRIJEM	\N	93	23609	UROK	\N	\N
3614307	2536	1998-08-31	PRIJEM	\N	99	23892	UROK	\N	\N
3614308	2536	1998-09-30	PRIJEM	\N	103	24118	UROK	\N	\N
3614309	2536	1998-10-31	PRIJEM	\N	108	27310	UROK	\N	\N
3614310	2536	1998-11-30	PRIJEM	\N	119	29212	UROK	\N	\N
3614311	2536	1998-12-31	PRIJEM	\N	120	28515	UROK	\N	\N
3614312	2537	1997-02-28	PRIJEM	\N	45	33448	UROK	\N	\N
3614313	2537	1997-03-31	PRIJEM	\N	139	29187	UROK	\N	\N
3614314	2537	1997-04-30	PRIJEM	\N	275	53131	UROK	\N	\N
3614315	2537	1997-05-31	PRIJEM	\N	157	44801	UROK	\N	\N
3614316	2537	1997-06-30	PRIJEM	\N	134	43178	UROK	\N	\N
3614317	2537	1997-07-31	PRIJEM	\N	152	28000	UROK	\N	\N
3614318	2537	1997-08-31	PRIJEM	\N	162	70433	UROK	\N	\N
3614319	2537	1997-09-30	PRIJEM	\N	239	39218	UROK	\N	\N
3614320	2537	1997-10-31	PRIJEM	\N	134	43018	UROK	\N	\N
3614321	2537	1997-11-30	PRIJEM	\N	334	96617	UROK	\N	\N
3614322	2537	1997-12-31	PRIJEM	\N	380	90281	UROK	\N	\N
3614323	2537	1998-01-31	PRIJEM	\N	186	19834	UROK	\N	\N
3614324	2537	1998-02-28	PRIJEM	\N	44	24103	UROK	\N	\N
3614325	2537	1998-03-31	PRIJEM	\N	37	6685	UROK	\N	\N
3614326	2537	1998-04-30	PRIJEM	\N	140	86351	UROK	\N	\N
3614327	2537	1998-05-31	PRIJEM	\N	185	53711	UROK	\N	\N
3614328	2537	1998-06-30	PRIJEM	\N	135	56168	UROK	\N	\N
3614329	2537	1998-07-31	PRIJEM	\N	147	89140	UROK	\N	\N
3614330	2537	1998-08-31	PRIJEM	\N	274	114338	UROK	\N	\N
3614331	2537	1998-09-30	PRIJEM	\N	264	68506	UROK	\N	\N
3614332	2537	1998-10-31	PRIJEM	\N	322	70239	UROK	\N	\N
3614333	2537	1998-11-30	PRIJEM	\N	198	71146	UROK	\N	\N
3614334	2537	1998-12-31	PRIJEM	\N	145	24636	UROK	\N	\N
3614335	2538	1994-05-31	PRIJEM	\N	6	23022	UROK	\N	\N
3614336	2538	1994-06-30	PRIJEM	\N	97	25798	UROK	\N	\N
3614337	2538	1994-07-31	PRIJEM	\N	114	28388	UROK	\N	\N
3614338	2538	1994-08-31	PRIJEM	\N	125	30588	UROK	\N	\N
3614339	2538	1994-09-30	PRIJEM	\N	131	27794	UROK	\N	\N
3614340	2538	1994-10-31	PRIJEM	\N	123	30592	UROK	\N	\N
3614341	2538	1994-11-30	PRIJEM	\N	127	28995	UROK	\N	\N
3614342	2538	1994-12-31	PRIJEM	\N	124	27994	UROK	\N	\N
3614343	2538	1995-01-31	PRIJEM	\N	104	23493	UROK	\N	\N
3614344	2538	1995-02-28	PRIJEM	\N	104	26272	UROK	\N	\N
3614345	2538	1995-03-31	PRIJEM	\N	116	28663	UROK	\N	\N
3614346	2538	1995-04-30	PRIJEM	\N	126	31465	UROK	\N	\N
3614347	2538	1995-05-31	PRIJEM	\N	138	34278	UROK	\N	\N
3614348	2538	1995-06-30	PRIJEM	\N	141	30044	UROK	\N	\N
3614349	2538	1995-07-31	PRIJEM	\N	122	29881	UROK	\N	\N
3614350	2538	1995-08-31	PRIJEM	\N	131	29088	UROK	\N	\N
3614351	2538	1995-09-30	PRIJEM	\N	128	31891	UROK	\N	\N
3614352	2538	1995-10-31	PRIJEM	\N	137	32503	UROK	\N	\N
3614353	2538	1995-11-30	PRIJEM	\N	134	31512	UROK	\N	\N
3614354	2538	1995-12-31	PRIJEM	\N	134	33012	UROK	\N	\N
3614355	2538	1996-01-31	PRIJEM	\N	123	26930	UROK	\N	\N
3614356	2538	1996-02-29	PRIJEM	\N	104	25869	UROK	\N	\N
3614357	2538	1996-03-31	PRIJEM	\N	108	24752	UROK	\N	\N
3614358	2538	1996-04-30	PRIJEM	\N	107	24655	UROK	\N	\N
3614359	2538	1996-05-31	PRIJEM	\N	103	23593	UROK	\N	\N
3614360	2538	1996-06-30	PRIJEM	\N	104	26373	UROK	\N	\N
3614361	2538	1996-07-31	PRIJEM	\N	108	24957	UROK	\N	\N
3614362	2538	1996-08-31	PRIJEM	\N	102	23434	UROK	\N	\N
3614363	2538	1996-09-30	PRIJEM	\N	97	23206	UROK	\N	\N
3614364	2538	1996-10-31	PRIJEM	\N	97	23178	UROK	\N	\N
3614365	2538	1996-11-30	PRIJEM	\N	82	19296	UROK	\N	\N
3614366	2538	1996-12-31	PRIJEM	\N	76	17097	UROK	\N	\N
3614367	2538	1997-01-31	PRIJEM	\N	61	15353	UROK	\N	\N
3614368	2538	1997-02-28	PRIJEM	\N	69	18098	UROK	\N	\N
3614369	2538	1997-03-31	PRIJEM	\N	81	20854	UROK	\N	\N
3614370	2538	1997-04-30	PRIJEM	\N	87	21417	UROK	\N	\N
3614371	2538	1997-05-31	PRIJEM	\N	94	23887	UROK	\N	\N
3614372	2538	1997-06-30	PRIJEM	\N	80	17902	UROK	\N	\N
3614373	2538	1997-07-31	PRIJEM	\N	80	20657	UROK	\N	\N
3614374	2538	1997-08-31	PRIJEM	\N	90	21583	UROK	\N	\N
3614375	2538	1997-09-30	PRIJEM	\N	93	19871	UROK	\N	\N
3614376	2538	1997-10-31	PRIJEM	\N	82	21428	UROK	\N	\N
3614377	2538	1997-11-30	PRIJEM	\N	94	24198	UROK	\N	\N
3614378	2538	1997-12-31	PRIJEM	\N	102	26625	UROK	\N	\N
3614379	2538	1998-01-31	PRIJEM	\N	98	20599	UROK	\N	\N
3614380	2538	1998-02-28	PRIJEM	\N	90	23365	UROK	\N	\N
3614381	2538	1998-03-31	PRIJEM	\N	94	23974	UROK	\N	\N
3614382	2538	1998-04-30	PRIJEM	\N	105	26755	UROK	\N	\N
3614383	2538	1998-05-31	PRIJEM	\N	110	26340	UROK	\N	\N
3614384	2538	1998-06-30	PRIJEM	\N	100	21065	UROK	\N	\N
3614385	2538	1998-07-31	PRIJEM	\N	91	23031	UROK	\N	\N
3614386	2538	1998-08-31	PRIJEM	\N	101	25807	UROK	\N	\N
3614387	2538	1998-09-30	PRIJEM	\N	112	28594	UROK	\N	\N
3614388	2538	1998-10-31	PRIJEM	\N	124	31393	UROK	\N	\N
3614389	2538	1998-11-30	PRIJEM	\N	135	34204	UROK	\N	\N
3614390	2538	1998-12-31	PRIJEM	\N	147	36626	UROK	\N	\N
3614391	2539	1997-09-30	PRIJEM	\N	92	24449	UROK	\N	\N
3614392	2539	1997-10-31	PRIJEM	\N	111	26882	UROK	\N	\N
3614393	2539	1997-11-30	PRIJEM	\N	119	27623	UROK	\N	\N
3614394	2539	1997-12-31	PRIJEM	\N	120	27865	UROK	\N	\N
3614395	2539	1998-01-31	PRIJEM	\N	101	17309	UROK	\N	\N
3614396	2539	1998-02-28	PRIJEM	\N	81	19713	UROK	\N	\N
3614397	2539	1998-03-31	PRIJEM	\N	90	21025	UROK	\N	\N
3614398	2539	1998-04-30	PRIJEM	\N	95	22442	UROK	\N	\N
3614399	2539	1998-05-31	PRIJEM	\N	97	21021	UROK	\N	\N
3614400	2539	1998-06-30	PRIJEM	\N	97	23440	UROK	\N	\N
3614401	2539	1998-07-31	PRIJEM	\N	102	21484	UROK	\N	\N
3614402	2539	1998-08-31	PRIJEM	\N	99	23905	UROK	\N	\N
3614403	2539	1998-09-30	PRIJEM	\N	109	26336	UROK	\N	\N
3614404	2539	1998-10-31	PRIJEM	\N	119	28777	UROK	\N	\N
3614405	2539	1998-11-30	PRIJEM	\N	122	26821	UROK	\N	\N
3614406	2539	1998-12-31	PRIJEM	\N	121	28964	UROK	\N	\N
3614407	2541	1994-11-30	PRIJEM	\N	37	13927	UROK	\N	\N
3614408	2541	1994-12-31	PRIJEM	\N	123	38185	UROK	\N	\N
3614409	2541	1995-01-31	PRIJEM	\N	179	45653	UROK	\N	\N
3614410	2541	1995-02-28	PRIJEM	\N	190	46033	UROK	\N	\N
3614411	2541	1995-03-31	PRIJEM	\N	194	46359	UROK	\N	\N
3614412	2541	1995-04-30	PRIJEM	\N	182	45160	UROK	\N	\N
3614413	2541	1995-05-31	PRIJEM	\N	175	42053	UROK	\N	\N
3614414	2541	1995-06-30	PRIJEM	\N	177	46094	UROK	\N	\N
3614415	2541	1995-07-31	PRIJEM	\N	169	38561	UROK	\N	\N
3614416	2541	1995-08-31	PRIJEM	\N	166	42045	UROK	\N	\N
3614417	2541	1995-09-30	PRIJEM	\N	165	41028	UROK	\N	\N
3614418	2541	1995-10-31	PRIJEM	\N	168	42214	UROK	\N	\N
3614419	2541	1995-11-30	PRIJEM	\N	148	37141	UROK	\N	\N
3614420	2541	1995-12-31	PRIJEM	\N	184	49468	UROK	\N	\N
3614421	2541	1996-01-31	PRIJEM	\N	143	25489	UROK	\N	\N
3614422	2541	1996-02-29	PRIJEM	\N	142	38549	UROK	\N	\N
3614423	2541	1996-03-31	PRIJEM	\N	158	32445	UROK	\N	\N
3614424	2541	1996-04-30	PRIJEM	\N	154	40218	UROK	\N	\N
3614425	2541	1996-05-31	PRIJEM	\N	168	42804	UROK	\N	\N
3614426	2541	1996-06-30	PRIJEM	\N	172	47139	UROK	\N	\N
3614427	2541	1996-07-31	PRIJEM	\N	161	35518	UROK	\N	\N
3614428	2541	1996-08-31	PRIJEM	\N	155	33991	UROK	\N	\N
3614429	2541	1996-09-30	PRIJEM	\N	147	29157	UROK	\N	\N
3614430	2541	1996-10-31	PRIJEM	\N	135	27370	UROK	\N	\N
3614431	2541	1996-11-30	PRIJEM	\N	126	27374	UROK	\N	\N
3614432	2541	1996-12-31	PRIJEM	\N	139	33316	UROK	\N	\N
3614433	2541	1997-01-31	PRIJEM	\N	102	25497	UROK	\N	\N
3614434	2541	1997-02-28	PRIJEM	\N	124	33839	UROK	\N	\N
3614435	2541	1997-03-31	PRIJEM	\N	157	37815	UROK	\N	\N
3614436	2541	1997-04-30	PRIJEM	\N	168	41141	UROK	\N	\N
3614437	2541	1997-05-31	PRIJEM	\N	179	39158	UROK	\N	\N
3614438	2541	1997-06-30	PRIJEM	\N	168	27290	UROK	\N	\N
3614439	2541	1997-07-31	PRIJEM	\N	133	35741	UROK	\N	\N
3614440	2541	1997-08-31	PRIJEM	\N	164	40423	UROK	\N	\N
3614441	2541	1997-09-30	PRIJEM	\N	178	40820	UROK	\N	\N
3614442	2541	1997-10-31	PRIJEM	\N	182	43120	UROK	\N	\N
3614443	2541	1997-11-30	PRIJEM	\N	188	44187	UROK	\N	\N
3614444	2541	1997-12-31	PRIJEM	\N	202	50693	UROK	\N	\N
3614445	2541	1998-01-31	PRIJEM	\N	187	32518	UROK	\N	\N
3614446	2541	1998-02-28	PRIJEM	\N	149	41386	UROK	\N	\N
3614447	2541	1998-03-31	PRIJEM	\N	185	45389	UROK	\N	\N
3614448	2541	1998-04-30	PRIJEM	\N	201	49008	UROK	\N	\N
3614449	2541	1998-05-31	PRIJEM	\N	216	52642	UROK	\N	\N
3614450	2541	1998-06-30	PRIJEM	\N	208	45874	UROK	\N	\N
3614451	2541	1998-07-31	PRIJEM	\N	201	48993	UROK	\N	\N
3614452	2541	1998-08-31	PRIJEM	\N	205	43857	UROK	\N	\N
3614453	2541	1998-09-30	PRIJEM	\N	195	49370	UROK	\N	\N
3614454	2541	1998-10-31	PRIJEM	\N	222	56711	UROK	\N	\N
3614455	2541	1998-11-30	PRIJEM	\N	238	56867	UROK	\N	\N
3614456	2541	1998-12-31	PRIJEM	\N	264	67714	UROK	\N	\N
3614457	2542	1993-08-31	PRIJEM	\N	14	5385	UROK	\N	\N
3614458	2542	1993-09-30	PRIJEM	\N	57	18714	UROK	\N	\N
3614459	2542	1993-10-31	PRIJEM	\N	100	26884	UROK	\N	\N
3614460	2542	1993-11-30	PRIJEM	\N	120	29975	UROK	\N	\N
3614461	2542	1993-12-31	PRIJEM	\N	137	32638	UROK	\N	\N
3614462	2542	1994-01-31	PRIJEM	\N	99	17673	UROK	\N	\N
3614463	2542	1994-02-28	PRIJEM	\N	77	19346	UROK	\N	\N
3614464	2542	1994-03-31	PRIJEM	\N	89	19772	UROK	\N	\N
3614465	2542	1994-04-30	PRIJEM	\N	83	18671	UROK	\N	\N
3614466	2542	1994-05-31	PRIJEM	\N	89	22836	UROK	\N	\N
3614467	2542	1994-06-30	PRIJEM	\N	101	20469	UROK	\N	\N
3614468	2542	1994-07-31	PRIJEM	\N	99	25644	UROK	\N	\N
3614469	2542	1994-08-31	PRIJEM	\N	107	26528	UROK	\N	\N
3614470	2542	1994-09-30	PRIJEM	\N	119	29923	UROK	\N	\N
3614471	2542	1994-10-31	PRIJEM	\N	126	31125	UROK	\N	\N
3614472	2542	1994-11-30	PRIJEM	\N	130	32331	UROK	\N	\N
3614473	2542	1994-12-31	PRIJEM	\N	116	26478	UROK	\N	\N
3614474	2542	1995-01-31	PRIJEM	\N	78	16452	UROK	\N	\N
3614475	2542	1995-02-28	PRIJEM	\N	72	18200	UROK	\N	\N
3614476	2542	1995-03-31	PRIJEM	\N	94	26970	UROK	\N	\N
3614477	2542	1995-04-30	PRIJEM	\N	115	27162	UROK	\N	\N
3614478	2542	1995-05-31	PRIJEM	\N	115	26653	UROK	\N	\N
3614479	2542	1995-06-30	PRIJEM	\N	119	30703	UROK	\N	\N
3614480	2542	1995-07-31	PRIJEM	\N	129	29309	UROK	\N	\N
3614481	2542	1995-08-31	PRIJEM	\N	123	28909	UROK	\N	\N
3614482	2542	1995-09-30	PRIJEM	\N	110	27955	UROK	\N	\N
3614483	2542	1995-10-31	PRIJEM	\N	121	32053	UROK	\N	\N
3614484	2542	1995-11-30	PRIJEM	\N	136	33965	UROK	\N	\N
3614485	2542	1995-12-31	PRIJEM	\N	146	33443	UROK	\N	\N
3614486	2542	1996-01-31	PRIJEM	\N	117	15176	UROK	\N	\N
3614487	2542	1996-02-29	PRIJEM	\N	70	21623	UROK	\N	\N
3614488	2542	1996-03-31	PRIJEM	\N	92	27051	UROK	\N	\N
3614489	2542	1996-04-30	PRIJEM	\N	106	24333	UROK	\N	\N
3614490	2542	1996-05-31	PRIJEM	\N	107	28516	UROK	\N	\N
3614491	2542	1996-06-30	PRIJEM	\N	125	30352	UROK	\N	\N
3614492	2542	1996-07-31	PRIJEM	\N	125	29654	UROK	\N	\N
3614493	2542	1996-08-31	PRIJEM	\N	118	28908	UROK	\N	\N
3614494	2542	1996-09-30	PRIJEM	\N	121	29906	UROK	\N	\N
3614495	2542	1996-10-31	PRIJEM	\N	122	29005	UROK	\N	\N
3614496	2542	1996-11-30	PRIJEM	\N	120	29301	UROK	\N	\N
3614497	2542	1996-12-31	PRIJEM	\N	124	30777	UROK	\N	\N
3614498	2542	1997-01-31	PRIJEM	\N	109	20743	UROK	\N	\N
3614499	2542	1997-02-28	PRIJEM	\N	94	26013	UROK	\N	\N
3614500	2542	1997-03-31	PRIJEM	\N	105	24594	UROK	\N	\N
3614501	2542	1997-04-30	PRIJEM	\N	109	28979	UROK	\N	\N
3614502	2542	1997-05-31	PRIJEM	\N	115	26871	UROK	\N	\N
3614503	2542	1997-06-30	PRIJEM	\N	100	17722	UROK	\N	\N
3614504	2542	1997-07-31	PRIJEM	\N	74	18572	UROK	\N	\N
3614505	2542	1997-08-31	PRIJEM	\N	78	19927	UROK	\N	\N
3614506	2542	1997-09-30	PRIJEM	\N	87	22790	UROK	\N	\N
3614507	2542	1997-10-31	PRIJEM	\N	92	22858	UROK	\N	\N
3614508	2542	1997-11-30	PRIJEM	\N	81	17956	UROK	\N	\N
3614509	2542	1997-12-31	PRIJEM	\N	81	22068	UROK	\N	\N
3614510	2542	1998-01-31	PRIJEM	\N	76	15140	UROK	\N	\N
3614511	2542	1998-02-28	PRIJEM	\N	64	19981	UROK	\N	\N
3614512	2542	1998-03-31	PRIJEM	\N	84	21641	UROK	\N	\N
3614513	2542	1998-04-30	PRIJEM	\N	86	21303	UROK	\N	\N
3614514	2542	1998-05-31	PRIJEM	\N	81	19860	UROK	\N	\N
3614515	2542	1998-06-30	PRIJEM	\N	82	17094	UROK	\N	\N
3614516	2542	1998-07-31	PRIJEM	\N	71	23241	UROK	\N	\N
3614517	2542	1998-08-31	PRIJEM	\N	114	31032	UROK	\N	\N
3614518	2542	1998-09-30	PRIJEM	\N	128	32236	UROK	\N	\N
3614519	2542	1998-10-31	PRIJEM	\N	131	32323	UROK	\N	\N
3614520	2542	1998-11-30	PRIJEM	\N	130	32530	UROK	\N	\N
3614521	2542	1998-12-31	PRIJEM	\N	106	16087	UROK	\N	\N
3614522	2543	1993-02-28	PRIJEM	\N	16	7264	UROK	\N	\N
3614523	2543	1993-03-31	PRIJEM	\N	30	13442	UROK	\N	\N
3614524	2543	1993-04-30	PRIJEM	\N	30	19621	UROK	\N	\N
3614525	2543	1993-05-31	PRIJEM	\N	30	25799	UROK	\N	\N
3614526	2543	1993-06-30	PRIJEM	\N	86	30833	UROK	\N	\N
3614527	2543	1993-07-31	PRIJEM	\N	133	32853	UROK	\N	\N
3614528	2543	1993-08-31	PRIJEM	\N	132	30654	UROK	\N	\N
3614529	2543	1993-09-30	PRIJEM	\N	127	31269	UROK	\N	\N
3614530	2543	1993-10-31	PRIJEM	\N	125	30963	UROK	\N	\N
3614531	2543	1993-11-30	PRIJEM	\N	132	33283	UROK	\N	\N
3614532	2543	1993-12-31	PRIJEM	\N	138	34159	UROK	\N	\N
3614533	2543	1994-01-31	PRIJEM	\N	126	24684	UROK	\N	\N
3614534	2543	1994-02-28	PRIJEM	\N	112	28784	UROK	\N	\N
3614535	2543	1994-03-31	PRIJEM	\N	130	32902	UROK	\N	\N
3614536	2543	1994-04-30	PRIJEM	\N	132	32222	UROK	\N	\N
3614537	2543	1994-05-31	PRIJEM	\N	137	34748	UROK	\N	\N
3614538	2543	1994-06-30	PRIJEM	\N	131	32318	UROK	\N	\N
3614539	2543	1994-07-31	PRIJEM	\N	138	30004	UROK	\N	\N
3614540	2543	1994-08-31	PRIJEM	\N	124	31516	UROK	\N	\N
3614541	2543	1994-09-30	PRIJEM	\N	128	32513	UROK	\N	\N
3614542	2543	1994-10-31	PRIJEM	\N	141	35901	UROK	\N	\N
3614543	2543	1994-11-30	PRIJEM	\N	155	39445	UROK	\N	\N
3614544	2543	1994-12-31	PRIJEM	\N	162	40446	UROK	\N	\N
3614545	2543	1995-01-31	PRIJEM	\N	133	26487	UROK	\N	\N
3614546	2543	1995-02-28	PRIJEM	\N	115	29870	UROK	\N	\N
3614547	2543	1995-03-31	PRIJEM	\N	122	30900	UROK	\N	\N
3614548	2543	1995-04-30	PRIJEM	\N	135	34723	UROK	\N	\N
3614549	2543	1995-05-31	PRIJEM	\N	143	36055	UROK	\N	\N
3614550	2543	1995-06-30	PRIJEM	\N	103	23746	UROK	\N	\N
3614551	2543	1995-07-31	PRIJEM	\N	108	27842	UROK	\N	\N
3614552	2543	1995-08-31	PRIJEM	\N	116	28826	UROK	\N	\N
3614553	2543	1995-09-30	PRIJEM	\N	129	32943	UROK	\N	\N
3614554	2543	1995-10-31	PRIJEM	\N	146	37077	UROK	\N	\N
3614555	2543	1995-11-30	PRIJEM	\N	150	38015	UROK	\N	\N
3614556	2543	1995-12-31	PRIJEM	\N	163	38617	UROK	\N	\N
3614557	2543	1996-01-31	PRIJEM	\N	148	32113	UROK	\N	\N
3614558	2543	1996-02-29	PRIJEM	\N	142	36243	UROK	\N	\N
3614559	2543	1996-03-31	PRIJEM	\N	159	40391	UROK	\N	\N
3614560	2543	1996-04-30	PRIJEM	\N	173	43753	UROK	\N	\N
3614561	2543	1996-05-31	PRIJEM	\N	189	45430	UROK	\N	\N
3614562	2543	1996-06-30	PRIJEM	\N	157	36666	UROK	\N	\N
3614563	2543	1996-07-31	PRIJEM	\N	161	40815	UROK	\N	\N
3614564	2543	1996-08-31	PRIJEM	\N	176	41219	UROK	\N	\N
3614565	2543	1996-09-30	PRIJEM	\N	180	45387	UROK	\N	\N
3614566	2543	1996-10-31	PRIJEM	\N	197	49573	UROK	\N	\N
3614567	2543	1996-11-30	PRIJEM	\N	212	51133	UROK	\N	\N
3614568	2543	1996-12-31	PRIJEM	\N	217	50298	UROK	\N	\N
3614569	2543	1997-01-31	PRIJEM	\N	180	41397	UROK	\N	\N
3614570	2543	1997-02-28	PRIJEM	\N	179	45565	UROK	\N	\N
3614571	2543	1997-03-31	PRIJEM	\N	196	49189	UROK	\N	\N
3614572	2543	1997-04-30	PRIJEM	\N	202	49139	UROK	\N	\N
3614573	2543	1997-05-31	PRIJEM	\N	210	51018	UROK	\N	\N
3614574	2543	1997-06-30	PRIJEM	\N	187	45493	UROK	\N	\N
3614575	2543	1997-07-31	PRIJEM	\N	197	49678	UROK	\N	\N
3614576	2543	1997-08-31	PRIJEM	\N	214	53880	UROK	\N	\N
3614577	2543	1997-09-30	PRIJEM	\N	231	58099	UROK	\N	\N
3614578	2543	1997-10-31	PRIJEM	\N	246	59694	UROK	\N	\N
3614579	2543	1997-11-30	PRIJEM	\N	255	63937	UROK	\N	\N
3614580	2543	1997-12-31	PRIJEM	\N	272	67148	UROK	\N	\N
3614581	2543	1998-01-31	PRIJEM	\N	265	56491	UROK	\N	\N
3614582	2543	1998-02-28	PRIJEM	\N	241	60720	UROK	\N	\N
3614583	2543	1998-03-31	PRIJEM	\N	254	62262	UROK	\N	\N
3614584	2543	1998-04-30	PRIJEM	\N	255	63946	UROK	\N	\N
3614585	2543	1998-05-31	PRIJEM	\N	272	68206	UROK	\N	\N
3614586	2543	1998-06-30	PRIJEM	\N	288	66232	UROK	\N	\N
3614587	2543	1998-07-31	PRIJEM	\N	281	70502	UROK	\N	\N
3614588	2543	1998-08-31	PRIJEM	\N	299	74789	UROK	\N	\N
3614589	2543	1998-09-30	PRIJEM	\N	316	79094	UROK	\N	\N
3614590	2543	1998-10-31	PRIJEM	\N	323	80446	UROK	\N	\N
3614591	2543	1998-11-30	PRIJEM	\N	339	84373	UROK	\N	\N
3614592	2543	1998-12-31	PRIJEM	\N	343	84304	UROK	\N	\N
3614593	2544	1996-12-31	PRIJEM	\N	30	8238	UROK	\N	\N
3614594	2544	1997-01-31	PRIJEM	\N	84	22094	UROK	\N	\N
3614595	2544	1997-02-28	PRIJEM	\N	117	29283	UROK	\N	\N
3614596	2544	1997-03-31	PRIJEM	\N	143	35299	UROK	\N	\N
3614597	2544	1997-04-30	PRIJEM	\N	146	34202	UROK	\N	\N
3614598	2544	1997-05-31	PRIJEM	\N	144	34190	UROK	\N	\N
3614599	2544	1997-06-30	PRIJEM	\N	136	32585	UROK	\N	\N
3614600	2544	1997-07-31	PRIJEM	\N	152	36581	UROK	\N	\N
3614601	2544	1997-08-31	PRIJEM	\N	151	34675	UROK	\N	\N
3614602	2544	1997-09-30	PRIJEM	\N	161	40180	UROK	\N	\N
3614603	2544	1997-10-31	PRIJEM	\N	165	38288	UROK	\N	\N
3614604	2544	1997-11-30	PRIJEM	\N	165	41996	UROK	\N	\N
3614605	2544	1997-12-31	PRIJEM	\N	182	46277	UROK	\N	\N
3614606	2544	1998-01-31	PRIJEM	\N	149	36450	UROK	\N	\N
3614607	2544	1998-02-28	PRIJEM	\N	139	41272	UROK	\N	\N
3614608	2544	1998-03-31	PRIJEM	\N	178	46694	UROK	\N	\N
3614609	2544	1998-04-30	PRIJEM	\N	194	49031	UROK	\N	\N
3614610	2544	1998-05-31	PRIJEM	\N	212	56086	UROK	\N	\N
3614611	2544	1998-06-30	PRIJEM	\N	197	43983	UROK	\N	\N
3614612	2544	1998-07-31	PRIJEM	\N	178	48945	UROK	\N	\N
3614613	2544	1998-08-31	PRIJEM	\N	210	54438	UROK	\N	\N
3614614	2544	1998-09-30	PRIJEM	\N	232	56413	UROK	\N	\N
3614615	2544	1998-10-31	PRIJEM	\N	244	62900	UROK	\N	\N
3614616	2544	1998-11-30	PRIJEM	\N	271	68815	UROK	\N	\N
3614617	2544	1998-12-31	PRIJEM	\N	292	69646	UROK	\N	\N
3614618	2545	1996-12-31	PRIJEM	\N	51	15297	UROK	\N	\N
3614619	2545	1997-01-31	PRIJEM	\N	119	31747	UROK	\N	\N
3614620	2545	1997-02-28	PRIJEM	\N	160	40538	UROK	\N	\N
3614621	2545	1997-03-31	PRIJEM	\N	181	44350	UROK	\N	\N
3614622	2545	1997-04-30	PRIJEM	\N	154	33414	UROK	\N	\N
3614623	2545	1997-05-31	PRIJEM	\N	94	15423	UROK	\N	\N
3614624	2545	1997-06-30	PRIJEM	\N	70	12084	UROK	\N	\N
3614625	2545	1997-07-31	PRIJEM	\N	28	4107	UROK	\N	\N
3614626	2545	1997-08-31	PRIJEM	\N	48	1751	UROK	\N	\N
3614627	2545	1997-09-30	PRIJEM	\N	48	21194	UROK	\N	\N
3614628	2545	1997-10-31	PRIJEM	\N	87	23976	UROK	\N	\N
3614629	2545	1997-11-30	PRIJEM	\N	102	27873	UROK	\N	\N
3614630	2545	1997-12-31	PRIJEM	\N	130	22933	UROK	\N	\N
3614631	2545	1998-01-31	PRIJEM	\N	63	11412	UROK	\N	\N
3614632	2545	1998-02-28	PRIJEM	\N	43	11750	UROK	\N	\N
3614633	2545	1998-03-31	PRIJEM	\N	67	12979	UROK	\N	\N
3614634	2545	1998-04-30	PRIJEM	\N	70	10612	UROK	\N	\N
3614635	2545	1998-05-31	PRIJEM	\N	42	11316	UROK	\N	\N
3614636	2545	1998-06-30	PRIJEM	\N	56	8750	UROK	\N	\N
3614637	2545	1998-07-31	PRIJEM	\N	36	10948	UROK	\N	\N
3614638	2545	1998-08-31	PRIJEM	\N	48	8758	UROK	\N	\N
3614639	2545	1998-09-30	PRIJEM	\N	37	10758	UROK	\N	\N
3614640	2545	1998-10-31	PRIJEM	\N	62	13683	UROK	\N	\N
3614641	2545	1998-11-30	PRIJEM	\N	78	20023	UROK	\N	\N
3614642	2545	1998-12-31	PRIJEM	\N	94	20174	UROK	\N	\N
3614643	2546	1994-12-31	PRIJEM	\N	33	17650	UROK	\N	\N
3614644	2546	1995-01-31	PRIJEM	\N	240	68958	UROK	\N	\N
3614645	2546	1995-02-28	PRIJEM	\N	225	49464	UROK	\N	\N
3614646	2546	1995-03-31	PRIJEM	\N	144	25277	UROK	\N	\N
3614647	2546	1995-04-30	PRIJEM	\N	225	90425	UROK	\N	\N
3614648	2546	1995-05-31	PRIJEM	\N	270	71560	UROK	\N	\N
3614649	2546	1995-06-30	PRIJEM	\N	237	90706	UROK	\N	\N
3614650	2546	1995-07-31	PRIJEM	\N	299	80370	UROK	\N	\N
3614651	2546	1995-08-31	PRIJEM	\N	236	98655	UROK	\N	\N
3614652	2546	1995-09-30	PRIJEM	\N	268	55092	UROK	\N	\N
3614653	2546	1995-10-31	PRIJEM	\N	286	102943	UROK	\N	\N
3614654	2546	1995-11-30	PRIJEM	\N	229	84183	UROK	\N	\N
3614655	2546	1995-12-31	PRIJEM	\N	274	101548	UROK	\N	\N
3614656	2546	1996-01-31	PRIJEM	\N	192	35311	UROK	\N	\N
3614657	2546	1996-02-29	PRIJEM	\N	154	55473	UROK	\N	\N
3614658	2546	1996-03-31	PRIJEM	\N	158	34399	UROK	\N	\N
3614659	2546	1996-04-30	PRIJEM	\N	103	22670	UROK	\N	\N
3614660	2546	1996-05-31	PRIJEM	\N	158	62782	UROK	\N	\N
3614661	2546	1996-06-30	PRIJEM	\N	164	38914	UROK	\N	\N
3614662	2546	1996-07-31	PRIJEM	\N	91	34697	UROK	\N	\N
3614663	2546	1996-08-31	PRIJEM	\N	168	35669	UROK	\N	\N
3614664	2546	1996-09-30	PRIJEM	\N	118	20755	UROK	\N	\N
3614665	2546	1996-10-31	PRIJEM	\N	132	27385	UROK	\N	\N
3614666	2546	1996-11-30	PRIJEM	\N	100	24753	UROK	\N	\N
3614667	2546	1996-12-31	PRIJEM	\N	89	22810	UROK	\N	\N
3614668	2546	1997-01-31	PRIJEM	\N	83	22661	UROK	\N	\N
3614669	2546	1997-02-28	PRIJEM	\N	81	21410	UROK	\N	\N
3614670	2546	1997-03-31	PRIJEM	\N	75	19453	UROK	\N	\N
3614671	2546	1997-04-30	PRIJEM	\N	70	21992	UROK	\N	\N
3614672	2546	1997-05-31	PRIJEM	\N	81	24441	UROK	\N	\N
3614673	2546	1997-06-30	PRIJEM	\N	90	24599	UROK	\N	\N
3614674	2546	1997-07-31	PRIJEM	\N	91	25659	UROK	\N	\N
3614675	2546	1997-08-31	PRIJEM	\N	94	24021	UROK	\N	\N
3614676	2546	1997-09-30	PRIJEM	\N	89	21978	UROK	\N	\N
3614677	2546	1997-10-31	PRIJEM	\N	81	22127	UROK	\N	\N
3614678	2546	1997-11-30	PRIJEM	\N	82	22878	UROK	\N	\N
3614679	2546	1997-12-31	PRIJEM	\N	90	26736	UROK	\N	\N
3614680	2546	1998-01-31	PRIJEM	\N	89	23393	UROK	\N	\N
3614681	2546	1998-02-28	PRIJEM	\N	89	24550	UROK	\N	\N
3614682	2546	1998-03-31	PRIJEM	\N	118	37870	UROK	\N	\N
3614683	2546	1998-04-30	PRIJEM	\N	123	20604	UROK	\N	\N
3614684	2546	1998-05-31	PRIJEM	\N	76	20948	UROK	\N	\N
3614685	2546	1998-06-30	PRIJEM	\N	116	28625	UROK	\N	\N
3614686	2546	1998-07-31	PRIJEM	\N	96	20289	UROK	\N	\N
3614687	2546	1998-08-31	PRIJEM	\N	66	15123	UROK	\N	\N
3614688	2546	1998-09-30	PRIJEM	\N	45	10537	UROK	\N	\N
3614689	2546	1998-10-31	PRIJEM	\N	43	21264	UROK	\N	\N
3614690	2546	1998-11-30	PRIJEM	\N	71	16703	UROK	\N	\N
3614691	2546	1998-12-31	PRIJEM	\N	52	12123	UROK	\N	\N
3614692	2547	1995-05-31	PRIJEM	\N	13	23223	UROK	\N	\N
3614693	2547	1995-06-30	PRIJEM	\N	109	45647	UROK	\N	\N
3614694	2547	1995-07-31	PRIJEM	\N	192	48348	UROK	\N	\N
3614695	2547	1995-08-31	PRIJEM	\N	205	53363	UROK	\N	\N
3614696	2547	1995-09-30	PRIJEM	\N	222	54495	UROK	\N	\N
3614697	2547	1995-10-31	PRIJEM	\N	263	54461	UROK	\N	\N
3614698	2547	1995-11-30	PRIJEM	\N	259	55303	UROK	\N	\N
3614699	2547	1995-12-31	PRIJEM	\N	289	59301	UROK	\N	\N
3614700	2547	1996-01-31	PRIJEM	\N	240	43925	UROK	\N	\N
3614701	2547	1996-02-29	PRIJEM	\N	223	52351	UROK	\N	\N
3614702	2547	1996-03-31	PRIJEM	\N	254	56708	UROK	\N	\N
3614703	2547	1996-04-30	PRIJEM	\N	267	58579	UROK	\N	\N
3614704	2547	1996-05-31	PRIJEM	\N	272	58554	UROK	\N	\N
3614705	2547	1996-06-30	PRIJEM	\N	291	62154	UROK	\N	\N
3614706	2547	1996-07-31	PRIJEM	\N	279	58836	UROK	\N	\N
3614707	2547	1996-08-31	PRIJEM	\N	263	56303	UROK	\N	\N
3614708	2547	1996-09-30	PRIJEM	\N	245	49152	UROK	\N	\N
3614709	2547	1996-10-31	PRIJEM	\N	233	53788	UROK	\N	\N
3614710	2547	1996-11-30	PRIJEM	\N	251	58942	UROK	\N	\N
3614711	2547	1996-12-31	PRIJEM	\N	288	67118	UROK	\N	\N
3614712	2547	1997-01-31	PRIJEM	\N	268	48410	UROK	\N	\N
3614713	2547	1997-02-28	PRIJEM	\N	231	55284	UROK	\N	\N
3614714	2547	1997-03-31	PRIJEM	\N	268	66355	UROK	\N	\N
3614715	2547	1997-04-30	PRIJEM	\N	289	64927	UROK	\N	\N
3614716	2547	1997-05-31	PRIJEM	\N	293	69324	UROK	\N	\N
3614717	2547	1997-06-30	PRIJEM	\N	304	43896	UROK	\N	\N
3614718	2547	1997-07-31	PRIJEM	\N	227	59126	UROK	\N	\N
3614719	2547	1997-08-31	PRIJEM	\N	274	67704	UROK	\N	\N
3614720	2547	1997-09-30	PRIJEM	\N	289	68297	UROK	\N	\N
3614721	2547	1997-10-31	PRIJEM	\N	284	65204	UROK	\N	\N
3614722	2547	1997-11-30	PRIJEM	\N	294	72901	UROK	\N	\N
3614723	2547	1997-12-31	PRIJEM	\N	323	75912	UROK	\N	\N
3614724	2547	1998-01-31	PRIJEM	\N	274	53249	UROK	\N	\N
3614725	2547	1998-02-28	PRIJEM	\N	270	64023	UROK	\N	\N
3614726	2547	1998-03-31	PRIJEM	\N	273	65499	UROK	\N	\N
3614727	2547	1998-04-30	PRIJEM	\N	271	64973	UROK	\N	\N
3614728	2547	1998-05-31	PRIJEM	\N	283	69960	UROK	\N	\N
3614729	2547	1998-06-30	PRIJEM	\N	303	42871	UROK	\N	\N
3614730	2547	1998-07-31	PRIJEM	\N	229	57103	UROK	\N	\N
3614731	2547	1998-08-31	PRIJEM	\N	273	71879	UROK	\N	\N
3614732	2547	1998-09-30	PRIJEM	\N	309	73991	UROK	\N	\N
3614733	2547	1998-10-31	PRIJEM	\N	312	77807	UROK	\N	\N
3614734	2547	1998-11-30	PRIJEM	\N	327	81537	UROK	\N	\N
3614735	2547	1998-12-31	PRIJEM	\N	360	89306	UROK	\N	\N
3614736	2549	1993-11-30	PRIJEM	\N	1	6546	UROK	\N	\N
3614737	2549	1993-12-31	PRIJEM	\N	1	12891	UROK	\N	\N
3614738	2549	1994-01-31	PRIJEM	\N	1	19237	UROK	\N	\N
3614739	2549	1994-02-28	PRIJEM	\N	1	25583	UROK	\N	\N
3614740	2549	1994-03-31	PRIJEM	\N	80	29508	UROK	\N	\N
3614741	2549	1994-04-30	PRIJEM	\N	134	33787	UROK	\N	\N
3614742	2549	1994-05-31	PRIJEM	\N	135	31548	UROK	\N	\N
3614743	2549	1994-06-30	PRIJEM	\N	101	20224	UROK	\N	\N
3614744	2549	1994-07-31	PRIJEM	\N	95	23604	UROK	\N	\N
3614745	2549	1994-08-31	PRIJEM	\N	110	27960	UROK	\N	\N
3614746	2549	1994-09-30	PRIJEM	\N	117	28822	UROK	\N	\N
3614747	2549	1994-10-31	PRIJEM	\N	127	31894	UROK	\N	\N
3614748	2549	1994-11-30	PRIJEM	\N	136	33876	UROK	\N	\N
3614749	2549	1994-12-31	PRIJEM	\N	147	36518	UROK	\N	\N
3614750	2549	1995-01-31	PRIJEM	\N	102	22006	UROK	\N	\N
3614751	2549	1995-02-28	PRIJEM	\N	103	26354	UROK	\N	\N
3614752	2549	1995-03-31	PRIJEM	\N	122	30721	UROK	\N	\N
3614753	2549	1995-04-30	PRIJEM	\N	118	27224	UROK	\N	\N
3614754	2549	1995-05-31	PRIJEM	\N	125	31594	UROK	\N	\N
3614755	2549	1995-06-30	PRIJEM	\N	118	28108	UROK	\N	\N
3614756	2549	1995-07-31	PRIJEM	\N	129	32482	UROK	\N	\N
3614757	2549	1995-08-31	PRIJEM	\N	143	35770	UROK	\N	\N
3614758	2549	1995-09-30	PRIJEM	\N	160	40176	UROK	\N	\N
3614759	2549	1995-10-31	PRIJEM	\N	165	37267	UROK	\N	\N
3614760	2549	1995-11-30	PRIJEM	\N	156	36888	UROK	\N	\N
3614761	2549	1995-12-31	PRIJEM	\N	159	37373	UROK	\N	\N
3614762	2549	1996-01-31	PRIJEM	\N	148	31166	UROK	\N	\N
3614763	2549	1996-02-29	PRIJEM	\N	141	35552	UROK	\N	\N
3614764	2549	1996-03-31	PRIJEM	\N	159	39957	UROK	\N	\N
3614765	2549	1996-04-30	PRIJEM	\N	177	44379	UROK	\N	\N
3614766	2549	1996-05-31	PRIJEM	\N	169	41734	UROK	\N	\N
3614767	2549	1996-06-30	PRIJEM	\N	171	42051	UROK	\N	\N
3614768	2549	1996-07-31	PRIJEM	\N	186	45982	UROK	\N	\N
3614769	2549	1996-08-31	PRIJEM	\N	191	45939	UROK	\N	\N
3614770	2549	1996-09-30	PRIJEM	\N	201	47584	UROK	\N	\N
3614771	2549	1996-10-31	PRIJEM	\N	206	47876	UROK	\N	\N
3614772	2549	1996-11-30	PRIJEM	\N	207	47428	UROK	\N	\N
3614773	2549	1996-12-31	PRIJEM	\N	205	49529	UROK	\N	\N
3614774	2549	1997-01-31	PRIJEM	\N	197	40261	UROK	\N	\N
3614775	2549	1997-02-28	PRIJEM	\N	177	43383	UROK	\N	\N
3614776	2549	1997-03-31	PRIJEM	\N	191	47820	UROK	\N	\N
3614777	2549	1997-04-30	PRIJEM	\N	204	47469	UROK	\N	\N
3614778	2549	1997-05-31	PRIJEM	\N	206	49521	UROK	\N	\N
3614779	2549	1997-06-30	PRIJEM	\N	204	48570	UROK	\N	\N
3614780	2549	1997-07-31	PRIJEM	\N	205	49501	UROK	\N	\N
3614781	2549	1997-08-31	PRIJEM	\N	207	48554	UROK	\N	\N
3614782	2549	1997-09-30	PRIJEM	\N	204	46303	UROK	\N	\N
3614783	2549	1997-10-31	PRIJEM	\N	195	45143	UROK	\N	\N
3614784	2549	1997-11-30	PRIJEM	\N	193	46582	UROK	\N	\N
3614785	2549	1997-12-31	PRIJEM	\N	198	47225	UROK	\N	\N
3614786	2549	1998-01-31	PRIJEM	\N	171	37891	UROK	\N	\N
3614787	2549	1998-02-28	PRIJEM	\N	161	35778	UROK	\N	\N
3614788	2549	1998-03-31	PRIJEM	\N	157	39481	UROK	\N	\N
3614789	2549	1998-04-30	PRIJEM	\N	173	43899	UROK	\N	\N
3614790	2549	1998-05-31	PRIJEM	\N	188	46332	UROK	\N	\N
3614791	2549	1998-06-30	PRIJEM	\N	197	47734	UROK	\N	\N
3614792	2549	1998-07-31	PRIJEM	\N	208	52187	UROK	\N	\N
3614793	2549	1998-08-31	PRIJEM	\N	222	54354	UROK	\N	\N
3614794	2549	1998-09-30	PRIJEM	\N	231	57031	UROK	\N	\N
3614795	2549	1998-10-31	PRIJEM	\N	235	56311	UROK	\N	\N
3614796	2549	1998-11-30	PRIJEM	\N	226	53063	UROK	\N	\N
3614797	2549	1998-12-31	PRIJEM	\N	227	56535	UROK	\N	\N
3614798	2550	1995-12-31	PRIJEM	\N	71	25115	UROK	\N	\N
3614799	2550	1996-01-31	PRIJEM	\N	121	30865	UROK	\N	\N
3614800	2550	1996-02-29	PRIJEM	\N	133	32627	UROK	\N	\N
3614801	2550	1996-03-31	PRIJEM	\N	141	34397	UROK	\N	\N
3614802	2550	1996-04-30	PRIJEM	\N	145	33531	UROK	\N	\N
3614803	2550	1996-05-31	PRIJEM	\N	145	34144	UROK	\N	\N
3614804	2550	1996-06-30	PRIJEM	\N	141	30407	UROK	\N	\N
3614805	2550	1996-07-31	PRIJEM	\N	136	32510	UROK	\N	\N
3614806	2550	1996-08-31	PRIJEM	\N	135	31493	UROK	\N	\N
3614807	2550	1996-09-30	PRIJEM	\N	132	30892	UROK	\N	\N
3614808	2550	1996-10-31	PRIJEM	\N	132	28751	UROK	\N	\N
3614809	2550	1996-11-30	PRIJEM	\N	173	43891	UROK	\N	\N
3614810	2550	1996-12-31	PRIJEM	\N	239	56952	UROK	\N	\N
3614811	2550	1997-01-31	PRIJEM	\N	197	34717	UROK	\N	\N
3614812	2550	1997-02-28	PRIJEM	\N	181	45665	UROK	\N	\N
3614813	2550	1997-03-31	PRIJEM	\N	226	55959	UROK	\N	\N
3614814	2550	1997-04-30	PRIJEM	\N	219	49985	UROK	\N	\N
3614815	2550	1997-05-31	PRIJEM	\N	215	52407	UROK	\N	\N
3614816	2550	1997-06-30	PRIJEM	\N	226	53536	UROK	\N	\N
3614817	2550	1997-07-31	PRIJEM	\N	249	61553	UROK	\N	\N
3614818	2550	1997-08-31	PRIJEM	\N	275	67395	UROK	\N	\N
3614819	2550	1997-09-30	PRIJEM	\N	271	65594	UROK	\N	\N
3614820	2550	1997-10-31	PRIJEM	\N	279	68240	UROK	\N	\N
3614821	2550	1997-11-30	PRIJEM	\N	293	72100	UROK	\N	\N
3614822	2550	1997-12-31	PRIJEM	\N	315	69818	UROK	\N	\N
3614823	2550	1998-01-31	PRIJEM	\N	271	55897	UROK	\N	\N
3614824	2550	1998-02-28	PRIJEM	\N	260	64224	UROK	\N	\N
3614825	2550	1998-03-31	PRIJEM	\N	268	59700	UROK	\N	\N
3614826	2550	1998-04-30	PRIJEM	\N	275	63243	UROK	\N	\N
3614827	2550	1998-05-31	PRIJEM	\N	290	67900	UROK	\N	\N
3614828	2550	1998-06-30	PRIJEM	\N	245	59807	UROK	\N	\N
3614829	2550	1998-07-31	PRIJEM	\N	277	69252	UROK	\N	\N
3614830	2550	1998-08-31	PRIJEM	\N	313	73332	UROK	\N	\N
3614831	2550	1998-09-30	PRIJEM	\N	329	76829	UROK	\N	\N
3614832	2550	1998-10-31	PRIJEM	\N	338	79294	UROK	\N	\N
3614833	2550	1998-11-30	PRIJEM	\N	357	87118	UROK	\N	\N
3614834	2550	1998-12-31	PRIJEM	\N	395	96196	UROK	\N	\N
3614835	2551	1996-02-29	PRIJEM	\N	100	31632	UROK	\N	\N
3614836	2551	1996-03-31	PRIJEM	\N	200	57136	UROK	\N	\N
3614837	2551	1996-04-30	PRIJEM	\N	244	80449	UROK	\N	\N
3614838	2551	1996-05-31	PRIJEM	\N	323	58738	UROK	\N	\N
3614839	2551	1996-06-30	PRIJEM	\N	116	19026	UROK	\N	\N
3614840	2551	1996-07-31	PRIJEM	\N	83	52939	UROK	\N	\N
3614841	2551	1996-08-31	PRIJEM	\N	130	24535	UROK	\N	\N
3614842	2551	1996-09-30	PRIJEM	\N	85	62596	UROK	\N	\N
3614843	2551	1996-10-31	PRIJEM	\N	158	28438	UROK	\N	\N
3614844	2551	1996-11-30	PRIJEM	\N	117	53680	UROK	\N	\N
3614845	2551	1996-12-31	PRIJEM	\N	96	17402	UROK	\N	\N
3614846	2551	1997-01-31	PRIJEM	\N	56	16657	UROK	\N	\N
3614847	2551	1997-02-28	PRIJEM	\N	37	5861	UROK	\N	\N
3614848	2551	1997-03-31	PRIJEM	\N	28	10819	UROK	\N	\N
3614849	2551	1997-04-30	PRIJEM	\N	25	4211	UROK	\N	\N
3614850	2551	1997-05-31	PRIJEM	\N	10	1487	UROK	\N	\N
3614851	2551	1997-06-30	PRIJEM	\N	16	4270	UROK	\N	\N
3614852	2551	1997-07-31	PRIJEM	\N	77	37778	UROK	\N	\N
3614853	2551	1997-08-31	PRIJEM	\N	208	107429	UROK	\N	\N
3614854	2551	1997-09-30	PRIJEM	\N	229	59807	UROK	\N	\N
3614855	2551	1997-10-31	PRIJEM	\N	124	21098	UROK	\N	\N
3614856	2551	1997-11-30	PRIJEM	\N	59	16607	UROK	\N	\N
3614857	2551	1997-12-31	PRIJEM	\N	73	31277	UROK	\N	\N
3614858	2551	1998-01-31	PRIJEM	\N	149	46632	UROK	\N	\N
3614859	2551	1998-02-28	PRIJEM	\N	186	29644	UROK	\N	\N
3614860	2551	1998-03-31	PRIJEM	\N	100	37130	UROK	\N	\N
3614861	2551	1998-04-30	PRIJEM	\N	239	83754	UROK	\N	\N
3614862	2551	1998-05-31	PRIJEM	\N	292	34207	UROK	\N	\N
3614863	2551	1998-06-30	PRIJEM	\N	174	43579	UROK	\N	\N
3614864	2551	1998-07-31	PRIJEM	\N	257	45875	UROK	\N	\N
3614865	2551	1998-08-31	PRIJEM	\N	175	29413	UROK	\N	\N
3614866	2551	1998-09-30	PRIJEM	\N	79	15396	UROK	\N	\N
3614867	2551	1998-10-31	PRIJEM	\N	30	13878	UROK	\N	\N
3614868	2551	1998-11-30	PRIJEM	\N	262	47651	UROK	\N	\N
3614869	2551	1998-12-31	PRIJEM	\N	182	79773	UROK	\N	\N
3614870	2552	1993-07-31	PRIJEM	\N	64	19044	UROK	\N	\N
3614871	2552	1993-08-31	PRIJEM	\N	85	32808	UROK	\N	\N
3614872	2552	1993-09-30	PRIJEM	\N	138	39627	UROK	\N	\N
3614873	2552	1993-10-31	PRIJEM	\N	165	40572	UROK	\N	\N
3614874	2552	1993-11-30	PRIJEM	\N	190	38307	UROK	\N	\N
3614875	2552	1993-12-31	PRIJEM	\N	206	37033	UROK	\N	\N
3614876	2552	1994-01-31	PRIJEM	\N	146	25710	UROK	\N	\N
3614877	2552	1994-02-28	PRIJEM	\N	130	29970	UROK	\N	\N
3614878	2552	1994-03-31	PRIJEM	\N	152	34652	UROK	\N	\N
3614879	2552	1994-04-30	PRIJEM	\N	170	37353	UROK	\N	\N
3614880	2552	1994-05-31	PRIJEM	\N	178	35361	UROK	\N	\N
3614881	2552	1994-06-30	PRIJEM	\N	148	28829	UROK	\N	\N
3614882	2552	1994-07-31	PRIJEM	\N	146	33605	UROK	\N	\N
3614883	2552	1994-08-31	PRIJEM	\N	160	32696	UROK	\N	\N
3614884	2552	1994-09-30	PRIJEM	\N	137	26863	UROK	\N	\N
3614885	2552	1994-10-31	PRIJEM	\N	135	30528	UROK	\N	\N
3614886	2552	1994-11-30	PRIJEM	\N	145	30904	UROK	\N	\N
3614887	2552	1994-12-31	PRIJEM	\N	167	34991	UROK	\N	\N
3614888	2552	1995-01-31	PRIJEM	\N	146	28468	UROK	\N	\N
3614889	2552	1995-02-28	PRIJEM	\N	137	30835	UROK	\N	\N
3614890	2552	1995-03-31	PRIJEM	\N	139	30405	UROK	\N	\N
3614891	2552	1995-04-30	PRIJEM	\N	148	34683	UROK	\N	\N
3614892	2552	1995-05-31	PRIJEM	\N	166	39379	UROK	\N	\N
3614893	2552	1995-06-30	PRIJEM	\N	147	32046	UROK	\N	\N
3614894	2552	1995-07-31	PRIJEM	\N	162	36639	UROK	\N	\N
3614895	2552	1995-08-31	PRIJEM	\N	169	39339	UROK	\N	\N
3614896	2552	1995-09-30	PRIJEM	\N	171	37141	UROK	\N	\N
3614897	2552	1995-10-31	PRIJEM	\N	167	38238	UROK	\N	\N
3614898	2552	1995-11-30	PRIJEM	\N	168	38037	UROK	\N	\N
3614899	2552	1995-12-31	PRIJEM	\N	189	44946	UROK	\N	\N
3614900	2552	1996-01-31	PRIJEM	\N	173	31949	UROK	\N	\N
3614901	2552	1996-02-29	PRIJEM	\N	152	38032	UROK	\N	\N
3614902	2552	1996-03-31	PRIJEM	\N	165	38927	UROK	\N	\N
3614903	2552	1996-04-30	PRIJEM	\N	166	35523	UROK	\N	\N
3614904	2552	1996-05-31	PRIJEM	\N	161	39015	UROK	\N	\N
3614905	2552	1996-06-30	PRIJEM	\N	176	36911	UROK	\N	\N
3614906	2552	1996-07-31	PRIJEM	\N	155	35496	UROK	\N	\N
3614907	2552	1996-08-31	PRIJEM	\N	151	35577	UROK	\N	\N
3614908	2552	1996-09-30	PRIJEM	\N	156	38163	UROK	\N	\N
3614909	2552	1996-10-31	PRIJEM	\N	154	36048	UROK	\N	\N
3614910	2552	1996-11-30	PRIJEM	\N	135	28614	UROK	\N	\N
3614911	2552	1996-12-31	PRIJEM	\N	135	33469	UROK	\N	\N
3614912	2552	1997-01-31	PRIJEM	\N	131	16830	UROK	\N	\N
3614913	2552	1997-02-28	PRIJEM	\N	82	20043	UROK	\N	\N
3614914	2552	1997-03-31	PRIJEM	\N	102	25576	UROK	\N	\N
3614915	2552	1997-04-30	PRIJEM	\N	134	31740	UROK	\N	\N
3614916	2552	1997-05-31	PRIJEM	\N	159	35529	UROK	\N	\N
3614917	2552	1997-06-30	PRIJEM	\N	148	31498	UROK	\N	\N
3614918	2552	1997-07-31	PRIJEM	\N	128	31256	UROK	\N	\N
3614919	2552	1997-08-31	PRIJEM	\N	134	32920	UROK	\N	\N
3614920	2552	1997-09-30	PRIJEM	\N	134	32185	UROK	\N	\N
3614921	2552	1997-10-31	PRIJEM	\N	139	32655	UROK	\N	\N
3614922	2552	1997-11-30	PRIJEM	\N	153	36638	UROK	\N	\N
3614923	2552	1997-12-31	PRIJEM	\N	179	41537	UROK	\N	\N
3614924	2552	1998-01-31	PRIJEM	\N	158	33726	UROK	\N	\N
3614925	2552	1998-02-28	PRIJEM	\N	164	40820	UROK	\N	\N
3614926	2552	1998-03-31	PRIJEM	\N	155	36505	UROK	\N	\N
3614927	2552	1998-04-30	PRIJEM	\N	179	41714	UROK	\N	\N
3614928	2552	1998-05-31	PRIJEM	\N	193	47938	UROK	\N	\N
3614929	2552	1998-06-30	PRIJEM	\N	239	52897	UROK	\N	\N
3614930	2552	1998-07-31	PRIJEM	\N	220	53047	UROK	\N	\N
3614931	2552	1998-08-31	PRIJEM	\N	217	50695	UROK	\N	\N
3614932	2552	1998-09-30	PRIJEM	\N	227	55752	UROK	\N	\N
3614933	2552	1998-10-31	PRIJEM	\N	247	60729	UROK	\N	\N
3614934	2552	1998-11-30	PRIJEM	\N	259	63018	UROK	\N	\N
3614935	2552	1998-12-31	PRIJEM	\N	302	75241	UROK	\N	\N
3614936	2553	1995-08-31	PRIJEM	\N	23	18816	UROK	\N	\N
3614937	2553	1995-09-30	PRIJEM	\N	93	30902	UROK	\N	\N
3614938	2553	1995-10-31	PRIJEM	\N	136	36231	UROK	\N	\N
3614939	2553	1995-11-30	PRIJEM	\N	150	35773	UROK	\N	\N
3614940	2553	1995-12-31	PRIJEM	\N	175	36700	UROK	\N	\N
3614941	2553	1996-01-31	PRIJEM	\N	108	15419	UROK	\N	\N
3614942	2553	1996-02-29	PRIJEM	\N	76	16386	UROK	\N	\N
3614943	2553	1996-03-31	PRIJEM	\N	84	19661	UROK	\N	\N
3614944	2553	1996-04-30	PRIJEM	\N	94	21147	UROK	\N	\N
3614945	2553	1996-05-31	PRIJEM	\N	99	22037	UROK	\N	\N
3614946	2553	1996-06-30	PRIJEM	\N	123	22778	UROK	\N	\N
3614947	2553	1996-07-31	PRIJEM	\N	106	24275	UROK	\N	\N
3614948	2553	1996-08-31	PRIJEM	\N	102	22508	UROK	\N	\N
3614949	2553	1996-09-30	PRIJEM	\N	106	25405	UROK	\N	\N
3614950	2553	1996-10-31	PRIJEM	\N	110	24487	UROK	\N	\N
3614951	2553	1996-11-30	PRIJEM	\N	104	19022	UROK	\N	\N
3614952	2553	1996-12-31	PRIJEM	\N	102	23722	UROK	\N	\N
3614953	2553	1997-01-31	PRIJEM	\N	81	13555	UROK	\N	\N
3614954	2553	1997-02-28	PRIJEM	\N	65	15811	UROK	\N	\N
3614955	2553	1997-03-31	PRIJEM	\N	78	19181	UROK	\N	\N
3614956	2553	1997-04-30	PRIJEM	\N	90	21662	UROK	\N	\N
3614957	2553	1997-05-31	PRIJEM	\N	84	17737	UROK	\N	\N
3614958	2553	1997-06-30	PRIJEM	\N	94	23369	UROK	\N	\N
3614959	2553	1997-07-31	PRIJEM	\N	95	13816	UROK	\N	\N
3614960	2553	1997-08-31	PRIJEM	\N	76	20083	UROK	\N	\N
3614961	2553	1997-09-30	PRIJEM	\N	83	16337	UROK	\N	\N
3614962	2553	1997-10-31	PRIJEM	\N	67	15896	UROK	\N	\N
3614963	2553	1997-11-30	PRIJEM	\N	72	18159	UROK	\N	\N
3614964	2553	1997-12-31	PRIJEM	\N	101	20798	UROK	\N	\N
3614965	2553	1998-01-31	PRIJEM	\N	59	11789	UROK	\N	\N
3614966	2553	1998-02-28	PRIJEM	\N	87	24267	UROK	\N	\N
3614967	2553	1998-03-31	PRIJEM	\N	123	28681	UROK	\N	\N
3614968	2553	1998-04-30	PRIJEM	\N	118	28090	UROK	\N	\N
3614969	2553	1998-05-31	PRIJEM	\N	108	25190	UROK	\N	\N
3614970	2553	1998-06-30	PRIJEM	\N	142	35110	UROK	\N	\N
3614971	2553	1998-07-31	PRIJEM	\N	143	34245	UROK	\N	\N
3614972	2553	1998-08-31	PRIJEM	\N	139	33075	UROK	\N	\N
3614973	2553	1998-09-30	PRIJEM	\N	142	34508	UROK	\N	\N
3614974	2553	1998-10-31	PRIJEM	\N	142	33941	UROK	\N	\N
3614975	2553	1998-11-30	PRIJEM	\N	142	34174	UROK	\N	\N
3614976	2553	1998-12-31	PRIJEM	\N	166	41458	UROK	\N	\N
3614977	2554	1993-07-31	PRIJEM	\N	46	24342	UROK	\N	\N
3614978	2554	1993-08-31	PRIJEM	\N	129	37966	UROK	\N	\N
3614979	2554	1993-09-30	PRIJEM	\N	170	44032	UROK	\N	\N
3614980	2554	1993-10-31	PRIJEM	\N	187	46116	UROK	\N	\N
3614981	2554	1993-11-30	PRIJEM	\N	203	46008	UROK	\N	\N
3614982	2554	1993-12-31	PRIJEM	\N	209	46200	UROK	\N	\N
3614983	2554	1994-01-31	PRIJEM	\N	188	38562	UROK	\N	\N
3614984	2554	1994-02-28	PRIJEM	\N	174	36770	UROK	\N	\N
3614985	2554	1994-03-31	PRIJEM	\N	170	38035	UROK	\N	\N
3614986	2554	1994-04-30	PRIJEM	\N	168	38277	UROK	\N	\N
3614987	2554	1994-05-31	PRIJEM	\N	175	41127	UROK	\N	\N
3614988	2554	1994-06-30	PRIJEM	\N	166	35815	UROK	\N	\N
3614989	2554	1994-07-31	PRIJEM	\N	167	40457	UROK	\N	\N
3614990	2554	1994-08-31	PRIJEM	\N	173	40705	UROK	\N	\N
3614991	2554	1994-09-30	PRIJEM	\N	179	43558	UROK	\N	\N
3614992	2554	1994-10-31	PRIJEM	\N	167	36340	UROK	\N	\N
3614993	2554	1994-11-30	PRIJEM	\N	199	37813	UROK	\N	\N
3614994	2554	1994-12-31	PRIJEM	\N	179	43814	UROK	\N	\N
3614995	2554	1995-01-31	PRIJEM	\N	158	29447	UROK	\N	\N
3614996	2554	1995-02-28	PRIJEM	\N	142	35364	UROK	\N	\N
3614997	2554	1995-03-31	PRIJEM	\N	196	42933	UROK	\N	\N
3614998	2554	1995-04-30	PRIJEM	\N	165	38673	UROK	\N	\N
3614999	2554	1995-05-31	PRIJEM	\N	161	38808	UROK	\N	\N
3615000	2554	1995-06-30	PRIJEM	\N	173	17044	UROK	\N	\N
3615001	2554	1995-07-31	PRIJEM	\N	105	27523	UROK	\N	\N
3615002	2554	1995-08-31	PRIJEM	\N	131	32029	UROK	\N	\N
3615003	2554	1995-09-30	PRIJEM	\N	133	28576	UROK	\N	\N
3615004	2554	1995-10-31	PRIJEM	\N	143	33293	UROK	\N	\N
3615005	2554	1995-11-30	PRIJEM	\N	196	49364	UROK	\N	\N
3615006	2554	1995-12-31	PRIJEM	\N	272	67759	UROK	\N	\N
3615007	2554	1996-01-31	PRIJEM	\N	271	62404	UROK	\N	\N
3615008	2554	1996-02-29	PRIJEM	\N	275	66353	UROK	\N	\N
3615009	2554	1996-03-31	PRIJEM	\N	272	64699	UROK	\N	\N
3615010	2554	1996-04-30	PRIJEM	\N	275	65949	UROK	\N	\N
3615011	2554	1996-05-31	PRIJEM	\N	279	63722	UROK	\N	\N
3615012	2554	1996-06-30	PRIJEM	\N	315	77559	UROK	\N	\N
3615013	2554	1996-07-31	PRIJEM	\N	294	67128	UROK	\N	\N
3615014	2554	1996-08-31	PRIJEM	\N	281	68083	UROK	\N	\N
3615015	2554	1996-09-30	PRIJEM	\N	243	64400	UROK	\N	\N
3615016	2554	1996-10-31	PRIJEM	\N	244	42919	UROK	\N	\N
3615017	2554	1996-11-30	PRIJEM	\N	221	42614	UROK	\N	\N
3615018	2554	1996-12-31	PRIJEM	\N	259	49896	UROK	\N	\N
3615019	2554	1997-01-31	PRIJEM	\N	235	38305	UROK	\N	\N
3615020	2554	1997-02-28	PRIJEM	\N	200	42880	UROK	\N	\N
3615021	2554	1997-03-31	PRIJEM	\N	229	44184	UROK	\N	\N
3615022	2554	1997-04-30	PRIJEM	\N	225	48283	UROK	\N	\N
3615023	2554	1997-05-31	PRIJEM	\N	240	51197	UROK	\N	\N
3615024	2554	1997-06-30	PRIJEM	\N	193	32992	UROK	\N	\N
3615025	2554	1997-07-31	PRIJEM	\N	179	42645	UROK	\N	\N
3615026	2554	1997-08-31	PRIJEM	\N	211	44331	UROK	\N	\N
3615027	2554	1997-09-30	PRIJEM	\N	217	45722	UROK	\N	\N
3615028	2554	1997-10-31	PRIJEM	\N	222	47418	UROK	\N	\N
3615029	2554	1997-11-30	PRIJEM	\N	222	43414	UROK	\N	\N
3615030	2554	1997-12-31	PRIJEM	\N	237	48173	UROK	\N	\N
3615031	2554	1998-01-31	PRIJEM	\N	204	36052	UROK	\N	\N
3615032	2554	1998-02-28	PRIJEM	\N	180	37466	UROK	\N	\N
3615033	2554	1998-03-31	PRIJEM	\N	175	36835	UROK	\N	\N
3615034	2554	1998-04-30	PRIJEM	\N	177	35986	UROK	\N	\N
3615035	2554	1998-05-31	PRIJEM	\N	177	39537	UROK	\N	\N
3615036	2554	1998-06-30	PRIJEM	\N	181	34220	UROK	\N	\N
3615037	2554	1998-07-31	PRIJEM	\N	166	38080	UROK	\N	\N
3615038	2554	1998-08-31	PRIJEM	\N	183	42738	UROK	\N	\N
3615039	2554	1998-09-30	PRIJEM	\N	195	43307	UROK	\N	\N
3615040	2554	1998-10-31	PRIJEM	\N	199	46181	UROK	\N	\N
3615041	2554	1998-11-30	PRIJEM	\N	213	50668	UROK	\N	\N
3615042	2554	1998-12-31	PRIJEM	\N	254	58244	UROK	\N	\N
3615043	2555	1993-03-31	PRIJEM	\N	60	20182	UROK	\N	\N
3615044	2555	1993-04-30	PRIJEM	\N	148	42251	UROK	\N	\N
3615045	2555	1993-05-31	PRIJEM	\N	210	53983	UROK	\N	\N
3615046	2555	1993-06-30	PRIJEM	\N	268	69185	UROK	\N	\N
3615047	2555	1993-07-31	PRIJEM	\N	280	66787	UROK	\N	\N
3615048	2555	1993-08-31	PRIJEM	\N	243	58712	UROK	\N	\N
3615049	2555	1993-09-30	PRIJEM	\N	220	54614	UROK	\N	\N
3615050	2555	1993-10-31	PRIJEM	\N	220	54617	UROK	\N	\N
3615051	2555	1993-11-30	PRIJEM	\N	202	50201	UROK	\N	\N
3615052	2555	1993-12-31	PRIJEM	\N	216	54410	UROK	\N	\N
3615053	2555	1994-01-31	PRIJEM	\N	172	38324	UROK	\N	\N
3615054	2555	1994-02-28	PRIJEM	\N	168	44175	UROK	\N	\N
3615055	2555	1994-03-31	PRIJEM	\N	183	46740	UROK	\N	\N
3615056	2555	1994-04-30	PRIJEM	\N	186	47408	UROK	\N	\N
3615057	2555	1994-05-31	PRIJEM	\N	185	46876	UROK	\N	\N
3615058	2555	1994-06-30	PRIJEM	\N	211	20721	UROK	\N	\N
3615059	2555	1994-07-31	PRIJEM	\N	125	33248	UROK	\N	\N
3615060	2555	1994-08-31	PRIJEM	\N	162	42892	UROK	\N	\N
3615061	2555	1994-09-30	PRIJEM	\N	190	49264	UROK	\N	\N
3615062	2555	1994-10-31	PRIJEM	\N	208	53554	UROK	\N	\N
3615063	2555	1994-11-30	PRIJEM	\N	185	48422	UROK	\N	\N
3615064	2555	1994-12-31	PRIJEM	\N	200	42355	UROK	\N	\N
3615065	2555	1995-01-31	PRIJEM	\N	151	33429	UROK	\N	\N
3615066	2555	1995-02-28	PRIJEM	\N	167	44878	UROK	\N	\N
3615067	2555	1995-03-31	PRIJEM	\N	195	43755	UROK	\N	\N
3615068	2555	1995-04-30	PRIJEM	\N	198	43836	UROK	\N	\N
3615069	2555	1995-05-31	PRIJEM	\N	211	49729	UROK	\N	\N
3615070	2555	1995-06-30	PRIJEM	\N	219	41081	UROK	\N	\N
3615071	2555	1995-07-31	PRIJEM	\N	197	45561	UROK	\N	\N
3615072	2555	1995-08-31	PRIJEM	\N	215	49358	UROK	\N	\N
3615073	2555	1995-09-30	PRIJEM	\N	229	52369	UROK	\N	\N
3615074	2555	1995-10-31	PRIJEM	\N	240	55611	UROK	\N	\N
3615075	2555	1995-11-30	PRIJEM	\N	253	57346	UROK	\N	\N
3615076	2555	1995-12-31	PRIJEM	\N	278	60118	UROK	\N	\N
3615077	2555	1996-01-31	PRIJEM	\N	216	43816	UROK	\N	\N
3615078	2555	1996-02-29	PRIJEM	\N	206	51425	UROK	\N	\N
3615079	2555	1996-03-31	PRIJEM	\N	237	57144	UROK	\N	\N
3615080	2555	1996-04-30	PRIJEM	\N	248	60034	UROK	\N	\N
3615081	2555	1996-05-31	PRIJEM	\N	267	61784	UROK	\N	\N
3615082	2555	1996-06-30	PRIJEM	\N	282	60700	UROK	\N	\N
3615083	2555	1996-07-31	PRIJEM	\N	266	60348	UROK	\N	\N
3615084	2555	1996-08-31	PRIJEM	\N	265	61895	UROK	\N	\N
3615085	2555	1996-09-30	PRIJEM	\N	262	60820	UROK	\N	\N
3615086	2555	1996-10-31	PRIJEM	\N	266	62868	UROK	\N	\N
3615087	2555	1996-11-30	PRIJEM	\N	270	62721	UROK	\N	\N
3615088	2555	1996-12-31	PRIJEM	\N	293	69487	UROK	\N	\N
3615089	2555	1997-01-31	PRIJEM	\N	274	54644	UROK	\N	\N
3615090	2555	1997-02-28	PRIJEM	\N	242	59628	UROK	\N	\N
3615091	2555	1997-03-31	PRIJEM	\N	257	62067	UROK	\N	\N
3615092	2555	1997-04-30	PRIJEM	\N	270	64819	UROK	\N	\N
3615093	2555	1997-05-31	PRIJEM	\N	276	65277	UROK	\N	\N
3615094	2555	1997-06-30	PRIJEM	\N	289	65400	UROK	\N	\N
3615095	2555	1997-07-31	PRIJEM	\N	279	68001	UROK	\N	\N
3615096	2555	1997-08-31	PRIJEM	\N	289	70312	UROK	\N	\N
3615097	2555	1997-09-30	PRIJEM	\N	306	76100	UROK	\N	\N
3615098	2555	1997-10-31	PRIJEM	\N	305	70608	UROK	\N	\N
3615099	2555	1997-11-30	PRIJEM	\N	288	68359	UROK	\N	\N
3615100	2555	1997-12-31	PRIJEM	\N	292	70984	UROK	\N	\N
3615101	2555	1998-01-31	PRIJEM	\N	242	49348	UROK	\N	\N
3615102	2555	1998-02-28	PRIJEM	\N	225	59156	UROK	\N	\N
3615103	2555	1998-03-31	PRIJEM	\N	249	61287	UROK	\N	\N
3615104	2555	1998-04-30	PRIJEM	\N	261	65331	UROK	\N	\N
3615105	2555	1998-05-31	PRIJEM	\N	273	67386	UROK	\N	\N
3615106	2555	1998-06-30	PRIJEM	\N	244	34183	UROK	\N	\N
3615107	2555	1998-07-31	PRIJEM	\N	184	52050	UROK	\N	\N
3615108	2555	1998-08-31	PRIJEM	\N	230	59562	UROK	\N	\N
3615109	2555	1998-09-30	PRIJEM	\N	254	64898	UROK	\N	\N
3615110	2555	1998-10-31	PRIJEM	\N	293	67373	UROK	\N	\N
3615111	2555	1998-11-30	PRIJEM	\N	295	76251	UROK	\N	\N
3615112	2555	1998-12-31	PRIJEM	\N	340	83884	UROK	\N	\N
3615113	2556	1998-03-31	PRIJEM	\N	43	12382	UROK	\N	\N
3615114	2556	1998-04-30	PRIJEM	\N	54	13225	UROK	\N	\N
3615115	2556	1998-05-31	PRIJEM	\N	57	12340	UROK	\N	\N
3615116	2556	1998-06-30	PRIJEM	\N	55	13383	UROK	\N	\N
3615117	2556	1998-07-31	PRIJEM	\N	53	11725	UROK	\N	\N
3615118	2556	1998-08-31	PRIJEM	\N	53	12166	UROK	\N	\N
3615119	2556	1998-09-30	PRIJEM	\N	50	11404	UROK	\N	\N
3615120	2556	1998-10-31	PRIJEM	\N	51	12443	UROK	\N	\N
3615121	2556	1998-11-30	PRIJEM	\N	54	12975	UROK	\N	\N
3615122	2556	1998-12-31	PRIJEM	\N	55	13268	UROK	\N	\N
3615123	2557	1993-12-31	PRIJEM	\N	27	13341	UROK	\N	\N
3615124	2557	1994-01-31	PRIJEM	\N	75	22325	UROK	\N	\N
3615125	2557	1994-02-28	PRIJEM	\N	99	25332	UROK	\N	\N
3615126	2557	1994-03-31	PRIJEM	\N	108	26950	UROK	\N	\N
3615127	2557	1994-04-30	PRIJEM	\N	110	22063	UROK	\N	\N
3615128	2557	1994-05-31	PRIJEM	\N	101	25652	UROK	\N	\N
3615129	2557	1994-06-30	PRIJEM	\N	109	24955	UROK	\N	\N
3615130	2557	1994-07-31	PRIJEM	\N	105	24749	UROK	\N	\N
3615131	2557	1994-08-31	PRIJEM	\N	104	22841	UROK	\N	\N
3615132	2557	1994-09-30	PRIJEM	\N	95	22525	UROK	\N	\N
3615133	2557	1994-10-31	PRIJEM	\N	102	25316	UROK	\N	\N
3615134	2557	1994-11-30	PRIJEM	\N	106	24410	UROK	\N	\N
3615135	2557	1994-12-31	PRIJEM	\N	100	22003	UROK	\N	\N
3615136	2557	1995-01-31	PRIJEM	\N	73	13465	UROK	\N	\N
3615137	2557	1995-02-28	PRIJEM	\N	70	18324	UROK	\N	\N
3615138	2557	1995-03-31	PRIJEM	\N	79	17691	UROK	\N	\N
3615139	2557	1995-04-30	PRIJEM	\N	76	18456	UROK	\N	\N
3615140	2557	1995-05-31	PRIJEM	\N	78	18823	UROK	\N	\N
3615141	2557	1995-06-30	PRIJEM	\N	81	18497	UROK	\N	\N
3615142	2557	1995-07-31	PRIJEM	\N	83	20268	UROK	\N	\N
3615143	2557	1995-08-31	PRIJEM	\N	71	15528	UROK	\N	\N
3615144	2557	1995-09-30	PRIJEM	\N	82	20998	UROK	\N	\N
3615145	2557	1995-10-31	PRIJEM	\N	86	20072	UROK	\N	\N
3615146	2557	1995-11-30	PRIJEM	\N	96	24057	UROK	\N	\N
3615147	2557	1995-12-31	PRIJEM	\N	99	19750	UROK	\N	\N
3615148	2557	1996-01-31	PRIJEM	\N	67	14005	UROK	\N	\N
3615149	2557	1996-02-29	PRIJEM	\N	63	15356	UROK	\N	\N
3615150	2557	1996-03-31	PRIJEM	\N	87	19532	UROK	\N	\N
3615151	2557	1996-04-30	PRIJEM	\N	72	16292	UROK	\N	\N
3615152	2557	1996-05-31	PRIJEM	\N	63	14343	UROK	\N	\N
3615153	2557	1996-06-30	PRIJEM	\N	91	23027	UROK	\N	\N
3615154	2557	1996-07-31	PRIJEM	\N	110	26125	UROK	\N	\N
3615155	2557	1996-08-31	PRIJEM	\N	111	27025	UROK	\N	\N
3615156	2557	1996-09-30	PRIJEM	\N	120	29434	UROK	\N	\N
3615157	2557	1996-10-31	PRIJEM	\N	122	26244	UROK	\N	\N
3615158	2557	1996-11-30	PRIJEM	\N	124	30556	UROK	\N	\N
3615159	2557	1996-12-31	PRIJEM	\N	145	35995	UROK	\N	\N
3615160	2557	1997-01-31	PRIJEM	\N	94	23577	UROK	\N	\N
3615161	2557	1997-02-28	PRIJEM	\N	100	18265	UROK	\N	\N
3615162	2557	1997-03-31	PRIJEM	\N	84	20537	UROK	\N	\N
3615163	2557	1997-04-30	PRIJEM	\N	113	27638	UROK	\N	\N
3615164	2557	1997-05-31	PRIJEM	\N	128	29955	UROK	\N	\N
3615165	2557	1997-06-30	PRIJEM	\N	132	25480	UROK	\N	\N
3615166	2557	1997-07-31	PRIJEM	\N	108	23977	UROK	\N	\N
3615167	2557	1997-08-31	PRIJEM	\N	91	20856	UROK	\N	\N
3615168	2557	1997-09-30	PRIJEM	\N	89	19533	UROK	\N	\N
3615169	2557	1997-10-31	PRIJEM	\N	71	13993	UROK	\N	\N
3615170	2557	1997-11-30	PRIJEM	\N	60	13542	UROK	\N	\N
3615171	2557	1997-12-31	PRIJEM	\N	69	19003	UROK	\N	\N
3615172	2557	1998-01-31	PRIJEM	\N	75	16066	UROK	\N	\N
3615173	2557	1998-02-28	PRIJEM	\N	74	22728	UROK	\N	\N
3615174	2557	1998-03-31	PRIJEM	\N	96	24013	UROK	\N	\N
3615175	2557	1998-04-30	PRIJEM	\N	101	23202	UROK	\N	\N
3615176	2557	1998-05-31	PRIJEM	\N	101	26492	UROK	\N	\N
3615177	2557	1998-06-30	PRIJEM	\N	114	23999	UROK	\N	\N
3615178	2557	1998-07-31	PRIJEM	\N	100	21988	UROK	\N	\N
3615179	2557	1998-08-31	PRIJEM	\N	82	17159	UROK	\N	\N
3615180	2557	1998-09-30	PRIJEM	\N	72	17319	UROK	\N	\N
3615181	2557	1998-10-31	PRIJEM	\N	71	15979	UROK	\N	\N
3615182	2557	1998-11-30	PRIJEM	\N	72	19939	UROK	\N	\N
3615183	2557	1998-12-31	PRIJEM	\N	89	22322	UROK	\N	\N
3615184	2558	1997-08-31	PRIJEM	\N	11	3285	UROK	\N	\N
3615185	2558	1997-09-30	PRIJEM	\N	14	6272	UROK	\N	\N
3615186	2558	1997-10-31	PRIJEM	\N	14	9260	UROK	\N	\N
3615187	2558	1997-11-30	PRIJEM	\N	14	12248	UROK	\N	\N
3615188	2558	1997-12-31	PRIJEM	\N	43	12623	UROK	\N	\N
3615189	2558	1998-01-31	PRIJEM	\N	56	13656	UROK	\N	\N
3615190	2558	1998-02-28	PRIJEM	\N	60	14693	UROK	\N	\N
3615191	2558	1998-03-31	PRIJEM	\N	64	15735	UROK	\N	\N
3615192	2558	1998-04-30	PRIJEM	\N	69	16781	UROK	\N	\N
3615193	2558	1998-05-31	PRIJEM	\N	71	17049	UROK	\N	\N
3615194	2558	1998-06-30	PRIJEM	\N	69	15006	UROK	\N	\N
3615195	2558	1998-07-31	PRIJEM	\N	65	15568	UROK	\N	\N
3615196	2558	1998-08-31	PRIJEM	\N	64	15139	UROK	\N	\N
3615197	2558	1998-09-30	PRIJEM	\N	66	16182	UROK	\N	\N
3615198	2558	1998-10-31	PRIJEM	\N	70	17230	UROK	\N	\N
3615199	2558	1998-11-30	PRIJEM	\N	71	17109	UROK	\N	\N
3615200	2558	1998-12-31	PRIJEM	\N	74	17890	UROK	\N	\N
3615201	2559	1995-06-30	PRIJEM	\N	62	17964	UROK	\N	\N
3615202	2559	1995-07-31	PRIJEM	\N	124	32156	UROK	\N	\N
3615203	2559	1995-08-31	PRIJEM	\N	122	32446	UROK	\N	\N
3615204	2559	1995-09-30	PRIJEM	\N	135	34949	UROK	\N	\N
3615205	2559	1995-10-31	PRIJEM	\N	159	33753	UROK	\N	\N
3615206	2559	1995-11-30	PRIJEM	\N	144	34207	UROK	\N	\N
3615207	2559	1995-12-31	PRIJEM	\N	167	34478	UROK	\N	\N
3615208	2559	1996-01-31	PRIJEM	\N	149	29597	UROK	\N	\N
3615209	2559	1996-02-29	PRIJEM	\N	135	28963	UROK	\N	\N
3615210	2559	1996-03-31	PRIJEM	\N	126	25679	UROK	\N	\N
3615211	2559	1996-04-30	PRIJEM	\N	120	28630	UROK	\N	\N
3615212	2559	1996-05-31	PRIJEM	\N	133	31193	UROK	\N	\N
3615213	2559	1996-06-30	PRIJEM	\N	110	16647	UROK	\N	\N
3615214	2559	1996-07-31	PRIJEM	\N	84	20961	UROK	\N	\N
3615215	2559	1996-08-31	PRIJEM	\N	89	19321	UROK	\N	\N
3615216	2559	1996-09-30	PRIJEM	\N	91	20542	UROK	\N	\N
3615217	2559	1996-10-31	PRIJEM	\N	105	24337	UROK	\N	\N
3615218	2559	1996-11-30	PRIJEM	\N	114	26182	UROK	\N	\N
3615219	2559	1996-12-31	PRIJEM	\N	128	27714	UROK	\N	\N
3615220	2559	1997-01-31	PRIJEM	\N	116	26020	UROK	\N	\N
3615221	2559	1997-02-28	PRIJEM	\N	120	29811	UROK	\N	\N
3615222	2559	1997-03-31	PRIJEM	\N	134	31475	UROK	\N	\N
3615223	2559	1997-04-30	PRIJEM	\N	142	34348	UROK	\N	\N
3615224	2559	1997-05-31	PRIJEM	\N	158	39736	UROK	\N	\N
3615225	2559	1997-06-30	PRIJEM	\N	162	29482	UROK	\N	\N
3615226	2559	1997-07-31	PRIJEM	\N	144	38856	UROK	\N	\N
3615227	2559	1997-08-31	PRIJEM	\N	179	45625	UROK	\N	\N
3615228	2559	1997-09-30	PRIJEM	\N	203	50458	UROK	\N	\N
3615229	2559	1997-10-31	PRIJEM	\N	228	53776	UROK	\N	\N
3615230	2559	1997-11-30	PRIJEM	\N	224	52390	UROK	\N	\N
3615231	2559	1997-12-31	PRIJEM	\N	231	54546	UROK	\N	\N
3615232	2559	1998-01-31	PRIJEM	\N	230	53066	UROK	\N	\N
3615233	2559	1998-02-28	PRIJEM	\N	220	52117	UROK	\N	\N
3615234	2559	1998-03-31	PRIJEM	\N	209	46856	UROK	\N	\N
3615235	2559	1998-04-30	PRIJEM	\N	203	49790	UROK	\N	\N
3615236	2559	1998-05-31	PRIJEM	\N	210	50330	UROK	\N	\N
3615237	2559	1998-06-30	PRIJEM	\N	206	48300	UROK	\N	\N
3615238	2559	1998-07-31	PRIJEM	\N	196	46646	UROK	\N	\N
3615239	2559	1998-08-31	PRIJEM	\N	203	48739	UROK	\N	\N
3615240	2559	1998-09-30	PRIJEM	\N	200	44730	UROK	\N	\N
3615241	2559	1998-10-31	PRIJEM	\N	187	42387	UROK	\N	\N
3615242	2559	1998-11-30	PRIJEM	\N	204	46661	UROK	\N	\N
3615243	2559	1998-12-31	PRIJEM	\N	229	56255	UROK	\N	\N
3615244	2560	1997-07-31	PRIJEM	\N	26	16413	UROK	\N	\N
3615245	2560	1997-08-31	PRIJEM	\N	86	26687	UROK	\N	\N
3615246	2560	1997-09-30	PRIJEM	\N	119	31393	UROK	\N	\N
3615247	2560	1997-10-31	PRIJEM	\N	132	32112	UROK	\N	\N
3615248	2560	1997-11-30	PRIJEM	\N	137	34035	UROK	\N	\N
3615249	2560	1997-12-31	PRIJEM	\N	135	28305	UROK	\N	\N
3615250	2560	1998-01-31	PRIJEM	\N	75	15561	UROK	\N	\N
3615251	2560	1998-02-28	PRIJEM	\N	68	18711	UROK	\N	\N
3615252	2560	1998-03-31	PRIJEM	\N	89	25081	UROK	\N	\N
3615253	2560	1998-04-30	PRIJEM	\N	104	26267	UROK	\N	\N
3615254	2560	1998-05-31	PRIJEM	\N	112	28660	UROK	\N	\N
3615255	2560	1998-06-30	PRIJEM	\N	120	30155	UROK	\N	\N
3615256	2560	1998-07-31	PRIJEM	\N	127	32264	UROK	\N	\N
3615257	2560	1998-08-31	PRIJEM	\N	131	32377	UROK	\N	\N
3615258	2560	1998-09-30	PRIJEM	\N	141	36199	UROK	\N	\N
3615259	2560	1998-10-31	PRIJEM	\N	139	34119	UROK	\N	\N
3615260	2560	1998-11-30	PRIJEM	\N	130	32070	UROK	\N	\N
3615261	2560	1998-12-31	PRIJEM	\N	121	24126	UROK	\N	\N
3615262	2561	1996-10-31	PRIJEM	\N	9	23086	UROK	\N	\N
3615263	2561	1996-11-30	PRIJEM	\N	103	38766	UROK	\N	\N
3615264	2561	1996-12-31	PRIJEM	\N	167	50099	UROK	\N	\N
3615265	2561	1997-01-31	PRIJEM	\N	208	50584	UROK	\N	\N
3615266	2561	1997-02-28	PRIJEM	\N	223	51184	UROK	\N	\N
3615267	2561	1997-03-31	PRIJEM	\N	233	43516	UROK	\N	\N
3615268	2561	1997-04-30	PRIJEM	\N	203	41718	UROK	\N	\N
3615269	2561	1997-05-31	PRIJEM	\N	191	38467	UROK	\N	\N
3615270	2561	1997-06-30	PRIJEM	\N	145	22958	UROK	\N	\N
3615271	2561	1997-07-31	PRIJEM	\N	122	29838	UROK	\N	\N
3615272	2561	1997-08-31	PRIJEM	\N	147	33784	UROK	\N	\N
3615273	2561	1997-09-30	PRIJEM	\N	161	36543	UROK	\N	\N
3615274	2561	1997-10-31	PRIJEM	\N	170	37411	UROK	\N	\N
3615275	2561	1997-11-30	PRIJEM	\N	170	36180	UROK	\N	\N
3615276	2561	1997-12-31	PRIJEM	\N	174	40081	UROK	\N	\N
3615277	2561	1998-01-31	PRIJEM	\N	132	14752	UROK	\N	\N
3615278	2561	1998-02-28	PRIJEM	\N	93	30043	UROK	\N	\N
3615279	2561	1998-03-31	PRIJEM	\N	146	39447	UROK	\N	\N
3615280	2561	1998-04-30	PRIJEM	\N	188	47834	UROK	\N	\N
3615281	2561	1998-05-31	PRIJEM	\N	221	54354	UROK	\N	\N
3615282	2561	1998-06-30	PRIJEM	\N	263	65304	UROK	\N	\N
3615283	2561	1998-07-31	PRIJEM	\N	282	64684	UROK	\N	\N
3615284	2561	1998-08-31	PRIJEM	\N	270	62232	UROK	\N	\N
3615285	2561	1998-09-30	PRIJEM	\N	261	58492	UROK	\N	\N
3615286	2561	1998-10-31	PRIJEM	\N	252	58742	UROK	\N	\N
3615287	2561	1998-11-30	PRIJEM	\N	253	59793	UROK	\N	\N
3615288	2561	1998-12-31	PRIJEM	\N	290	79970	UROK	\N	\N
3615289	2562	1996-01-31	PRIJEM	\N	47	14802	UROK	\N	\N
3615290	2562	1996-02-29	PRIJEM	\N	60	15156	UROK	\N	\N
3615291	2562	1996-03-31	PRIJEM	\N	63	15152	UROK	\N	\N
3615292	2562	1996-04-30	PRIJEM	\N	66	15302	UROK	\N	\N
3615293	2562	1996-05-31	PRIJEM	\N	66	15091	UROK	\N	\N
3615294	2562	1996-06-30	PRIJEM	\N	66	16261	UROK	\N	\N
3615295	2562	1996-07-31	PRIJEM	\N	71	17435	UROK	\N	\N
3615296	2562	1996-08-31	PRIJEM	\N	76	18614	UROK	\N	\N
3615297	2562	1996-09-30	PRIJEM	\N	81	19799	UROK	\N	\N
3615298	2562	1996-10-31	PRIJEM	\N	80	19242	UROK	\N	\N
3615299	2562	1996-11-30	PRIJEM	\N	83	20429	UROK	\N	\N
3615300	2562	1996-12-31	PRIJEM	\N	81	19963	UROK	\N	\N
3615301	2562	1997-01-31	PRIJEM	\N	69	15286	UROK	\N	\N
3615302	2562	1997-02-28	PRIJEM	\N	66	16036	UROK	\N	\N
3615303	2562	1997-03-31	PRIJEM	\N	70	17209	UROK	\N	\N
3615304	2562	1997-04-30	PRIJEM	\N	75	17817	UROK	\N	\N
3615305	2562	1997-05-31	PRIJEM	\N	77	18998	UROK	\N	\N
3615306	2562	1997-06-30	PRIJEM	\N	70	13602	UROK	\N	\N
3615307	2562	1997-07-31	PRIJEM	\N	60	14765	UROK	\N	\N
3615308	2562	1997-08-31	PRIJEM	\N	65	15933	UROK	\N	\N
3615309	2562	1997-09-30	PRIJEM	\N	69	15635	UROK	\N	\N
3615310	2562	1997-10-31	PRIJEM	\N	68	16807	UROK	\N	\N
3615311	2562	1997-11-30	PRIJEM	\N	73	17983	UROK	\N	\N
3615312	2562	1997-12-31	PRIJEM	\N	78	18954	UROK	\N	\N
3615313	2562	1998-01-31	PRIJEM	\N	69	13796	UROK	\N	\N
3615314	2562	1998-02-28	PRIJEM	\N	60	14960	UROK	\N	\N
3615315	2562	1998-03-31	PRIJEM	\N	62	14805	UROK	\N	\N
3615316	2562	1998-04-30	PRIJEM	\N	64	15553	UROK	\N	\N
3615317	2562	1998-05-31	PRIJEM	\N	68	16724	UROK	\N	\N
3615318	2562	1998-06-30	PRIJEM	\N	72	17900	UROK	\N	\N
3615319	2562	1998-07-31	PRIJEM	\N	76	17129	UROK	\N	\N
3615320	2562	1998-08-31	PRIJEM	\N	73	18005	UROK	\N	\N
3615321	2562	1998-09-30	PRIJEM	\N	77	18615	UROK	\N	\N
3615322	2562	1998-10-31	PRIJEM	\N	80	19799	UROK	\N	\N
3615323	2562	1998-11-30	PRIJEM	\N	85	20988	UROK	\N	\N
3615324	2562	1998-12-31	PRIJEM	\N	89	21340	UROK	\N	\N
3615325	2563	1995-02-28	PRIJEM	\N	33	17010	UROK	\N	\N
3615326	2563	1995-03-31	PRIJEM	\N	87	25674	UROK	\N	\N
3615327	2563	1995-04-30	PRIJEM	\N	112	28463	UROK	\N	\N
3615328	2563	1995-05-31	PRIJEM	\N	121	30061	UROK	\N	\N
3615329	2563	1995-06-30	PRIJEM	\N	99	13732	UROK	\N	\N
3615330	2563	1995-07-31	PRIJEM	\N	74	20784	UROK	\N	\N
3615331	2563	1995-08-31	PRIJEM	\N	101	26664	UROK	\N	\N
3615332	2563	1995-09-30	PRIJEM	\N	122	31064	UROK	\N	\N
3615333	2563	1995-10-31	PRIJEM	\N	130	31173	UROK	\N	\N
3615334	2563	1995-11-30	PRIJEM	\N	135	33206	UROK	\N	\N
3615335	2563	1995-12-31	PRIJEM	\N	135	28698	UROK	\N	\N
3615336	2563	1996-01-31	PRIJEM	\N	92	19148	UROK	\N	\N
3615337	2563	1996-02-29	PRIJEM	\N	102	27429	UROK	\N	\N
3615338	2563	1996-03-31	PRIJEM	\N	118	27485	UROK	\N	\N
3615339	2563	1996-04-30	PRIJEM	\N	123	28367	UROK	\N	\N
3615340	2563	1996-05-31	PRIJEM	\N	134	34080	UROK	\N	\N
3615341	2563	1996-06-30	PRIJEM	\N	145	35142	UROK	\N	\N
3615342	2563	1996-07-31	PRIJEM	\N	143	34243	UROK	\N	\N
3615343	2563	1996-08-31	PRIJEM	\N	159	36780	UROK	\N	\N
3615344	2563	1996-09-30	PRIJEM	\N	161	39419	UROK	\N	\N
3615345	2563	1996-10-31	PRIJEM	\N	167	40364	UROK	\N	\N
3615346	2563	1996-11-30	PRIJEM	\N	164	38627	UROK	\N	\N
3615347	2563	1996-12-31	PRIJEM	\N	158	36402	UROK	\N	\N
3615348	2563	1997-01-31	PRIJEM	\N	122	21143	UROK	\N	\N
3615349	2563	1997-02-28	PRIJEM	\N	114	28516	UROK	\N	\N
3615350	2563	1997-03-31	PRIJEM	\N	141	35635	UROK	\N	\N
3615351	2563	1997-04-30	PRIJEM	\N	149	35062	UROK	\N	\N
3615352	2563	1997-05-31	PRIJEM	\N	168	42008	UROK	\N	\N
3615353	2563	1997-06-30	PRIJEM	\N	163	34089	UROK	\N	\N
3615354	2563	1997-07-31	PRIJEM	\N	136	32143	UROK	\N	\N
3615355	2563	1997-08-31	PRIJEM	\N	166	42388	UROK	\N	\N
3615356	2563	1997-09-30	PRIJEM	\N	183	44850	UROK	\N	\N
3615357	2563	1997-10-31	PRIJEM	\N	200	49428	UROK	\N	\N
3615358	2563	1997-11-30	PRIJEM	\N	205	49612	UROK	\N	\N
3615359	2563	1997-12-31	PRIJEM	\N	199	47969	UROK	\N	\N
3615360	2563	1998-01-31	PRIJEM	\N	142	33529	UROK	\N	\N
3615361	2563	1998-02-28	PRIJEM	\N	138	30825	UROK	\N	\N
3615362	2563	1998-03-31	PRIJEM	\N	141	35044	UROK	\N	\N
3615363	2563	1998-04-30	PRIJEM	\N	160	39103	UROK	\N	\N
3615364	2563	1998-05-31	PRIJEM	\N	176	44058	UROK	\N	\N
3615365	2563	1998-06-30	PRIJEM	\N	155	30310	UROK	\N	\N
3615366	2563	1998-07-31	PRIJEM	\N	122	34830	UROK	\N	\N
3615367	2563	1998-08-31	PRIJEM	\N	151	44360	UROK	\N	\N
3615368	2563	1998-09-30	PRIJEM	\N	190	51328	UROK	\N	\N
3615369	2563	1998-10-31	PRIJEM	\N	212	47899	UROK	\N	\N
3615370	2563	1998-11-30	PRIJEM	\N	198	41656	UROK	\N	\N
3615371	2563	1998-12-31	PRIJEM	\N	181	44594	UROK	\N	\N
3615372	2564	1997-06-30	PRIJEM	\N	91	29858	UROK	\N	\N
3615373	2564	1997-07-31	PRIJEM	\N	179	47815	UROK	\N	\N
3615374	2564	1997-08-31	PRIJEM	\N	227	57120	UROK	\N	\N
3615375	2564	1997-09-30	PRIJEM	\N	246	59944	UROK	\N	\N
3615376	2564	1997-10-31	PRIJEM	\N	242	50078	UROK	\N	\N
3615377	2564	1997-11-30	PRIJEM	\N	189	44344	UROK	\N	\N
3615378	2564	1997-12-31	PRIJEM	\N	181	28832	UROK	\N	\N
3615379	2564	1998-01-31	PRIJEM	\N	123	22772	UROK	\N	\N
3615380	2564	1998-02-28	PRIJEM	\N	128	33977	UROK	\N	\N
3615381	2564	1998-03-31	PRIJEM	\N	146	17320	UROK	\N	\N
3615382	2564	1998-04-30	PRIJEM	\N	102	13299	UROK	\N	\N
3615383	2564	1998-05-31	PRIJEM	\N	85	13261	UROK	\N	\N
3615384	2564	1998-06-30	PRIJEM	\N	90	19778	UROK	\N	\N
3615385	2564	1998-07-31	PRIJEM	\N	101	26036	UROK	\N	\N
3615386	2564	1998-08-31	PRIJEM	\N	132	22446	UROK	\N	\N
3615387	2564	1998-09-30	PRIJEM	\N	115	16238	UROK	\N	\N
3615388	2564	1998-10-31	PRIJEM	\N	89	12405	UROK	\N	\N
3615389	2564	1998-11-30	PRIJEM	\N	85	23568	UROK	\N	\N
3615390	2564	1998-12-31	PRIJEM	\N	161	43275	UROK	\N	\N
3615391	2567	1996-01-31	PRIJEM	\N	13	4575	UROK	\N	\N
3615392	2567	1996-02-29	PRIJEM	\N	51	16388	UROK	\N	\N
3615393	2567	1996-03-31	PRIJEM	\N	83	21633	UROK	\N	\N
3615394	2567	1996-04-30	PRIJEM	\N	104	26899	UROK	\N	\N
3615395	2567	1996-05-31	PRIJEM	\N	127	32188	UROK	\N	\N
3615396	2567	1996-06-30	PRIJEM	\N	127	30168	UROK	\N	\N
3615397	2567	1996-07-31	PRIJEM	\N	114	26656	UROK	\N	\N
3615398	2567	1996-08-31	PRIJEM	\N	110	26540	UROK	\N	\N
3615399	2567	1996-09-30	PRIJEM	\N	110	26523	UROK	\N	\N
3615400	2567	1996-10-31	PRIJEM	\N	96	21532	UROK	\N	\N
3615401	2567	1996-11-30	PRIJEM	\N	80	18385	UROK	\N	\N
3615402	2567	1996-12-31	PRIJEM	\N	67	14365	UROK	\N	\N
3615403	2567	1997-01-31	PRIJEM	\N	58	13036	UROK	\N	\N
3615404	2567	1997-02-28	PRIJEM	\N	57	13457	UROK	\N	\N
3615405	2567	1997-03-31	PRIJEM	\N	60	14790	UROK	\N	\N
3615406	2567	1997-04-30	PRIJEM	\N	53	12016	UROK	\N	\N
3615407	2567	1997-05-31	PRIJEM	\N	51	12640	UROK	\N	\N
3615408	2567	1997-06-30	PRIJEM	\N	51	12265	UROK	\N	\N
3615409	2567	1997-07-31	PRIJEM	\N	54	10592	UROK	\N	\N
3615410	2567	1997-08-31	PRIJEM	\N	47	11913	UROK	\N	\N
3615411	2567	1997-09-30	PRIJEM	\N	53	13239	UROK	\N	\N
3615412	2567	1997-10-31	PRIJEM	\N	58	13870	UROK	\N	\N
3615413	2567	1997-11-30	PRIJEM	\N	60	13704	UROK	\N	\N
3615414	2567	1997-12-31	PRIJEM	\N	60	10787	UROK	\N	\N
3615415	2567	1998-01-31	PRIJEM	\N	48	11408	UROK	\N	\N
3615416	2567	1998-02-28	PRIJEM	\N	49	10931	UROK	\N	\N
3615417	2567	1998-03-31	PRIJEM	\N	49	12253	UROK	\N	\N
3615418	2567	1998-04-30	PRIJEM	\N	54	13580	UROK	\N	\N
3615419	2567	1998-05-31	PRIJEM	\N	60	14913	UROK	\N	\N
3615420	2567	1998-06-30	PRIJEM	\N	65	16252	UROK	\N	\N
3615421	2567	1998-07-31	PRIJEM	\N	71	17596	UROK	\N	\N
3615422	2567	1998-08-31	PRIJEM	\N	76	18945	UROK	\N	\N
3615423	2567	1998-09-30	PRIJEM	\N	82	20301	UROK	\N	\N
3615424	2567	1998-10-31	PRIJEM	\N	88	21661	UROK	\N	\N
3615425	2567	1998-11-30	PRIJEM	\N	93	23028	UROK	\N	\N
3615426	2567	1998-12-31	PRIJEM	\N	97	23979	UROK	\N	\N
3615427	2568	1994-03-31	PRIJEM	\N	73	23658	UROK	\N	\N
3615428	2568	1994-04-30	PRIJEM	\N	165	45508	UROK	\N	\N
3615429	2568	1994-05-31	PRIJEM	\N	222	57015	UROK	\N	\N
3615430	2568	1994-06-30	PRIJEM	\N	167	74360	UROK	\N	\N
3615431	2568	1994-07-31	PRIJEM	\N	256	44995	UROK	\N	\N
3615432	2568	1994-08-31	PRIJEM	\N	229	41974	UROK	\N	\N
3615433	2568	1994-09-30	PRIJEM	\N	215	39139	UROK	\N	\N
3615434	2568	1994-10-31	PRIJEM	\N	202	37692	UROK	\N	\N
3615435	2568	1994-11-30	PRIJEM	\N	195	39237	UROK	\N	\N
3615436	2568	1994-12-31	PRIJEM	\N	226	39407	UROK	\N	\N
3615437	2568	1995-01-31	PRIJEM	\N	163	30920	UROK	\N	\N
3615438	2568	1995-02-28	PRIJEM	\N	164	32334	UROK	\N	\N
3615439	2568	1995-03-31	PRIJEM	\N	174	34359	UROK	\N	\N
3615440	2568	1995-04-30	PRIJEM	\N	180	34088	UROK	\N	\N
3615441	2568	1995-05-31	PRIJEM	\N	162	34401	UROK	\N	\N
3615442	2568	1995-06-30	PRIJEM	\N	206	28950	UROK	\N	\N
3615443	2568	1995-07-31	PRIJEM	\N	158	33358	UROK	\N	\N
3615444	2568	1995-08-31	PRIJEM	\N	175	38384	UROK	\N	\N
3615445	2568	1995-09-30	PRIJEM	\N	194	42428	UROK	\N	\N
3615446	2568	1995-10-31	PRIJEM	\N	205	40284	UROK	\N	\N
3615447	2568	1995-11-30	PRIJEM	\N	189	38723	UROK	\N	\N
3615448	2568	1995-12-31	PRIJEM	\N	214	44680	UROK	\N	\N
3615449	2568	1996-01-31	PRIJEM	\N	177	27407	UROK	\N	\N
3615450	2568	1996-02-29	PRIJEM	\N	143	31400	UROK	\N	\N
3615451	2568	1996-03-31	PRIJEM	\N	159	34309	UROK	\N	\N
3615452	2568	1996-04-30	PRIJEM	\N	157	32416	UROK	\N	\N
3615453	2568	1996-05-31	PRIJEM	\N	158	33224	UROK	\N	\N
3615454	2568	1996-06-30	PRIJEM	\N	163	30530	UROK	\N	\N
3615455	2568	1996-07-31	PRIJEM	\N	150	32931	UROK	\N	\N
3615456	2568	1996-08-31	PRIJEM	\N	160	34141	UROK	\N	\N
3615457	2568	1996-09-30	PRIJEM	\N	155	30547	UROK	\N	\N
3615458	2568	1996-10-31	PRIJEM	\N	144	31741	UROK	\N	\N
3615459	2568	1996-11-30	PRIJEM	\N	144	31536	UROK	\N	\N
3615460	2568	1996-12-31	PRIJEM	\N	167	36046	UROK	\N	\N
3615461	2568	1997-01-31	PRIJEM	\N	138	21535	UROK	\N	\N
3615462	2568	1997-02-28	PRIJEM	\N	114	28899	UROK	\N	\N
3615463	2568	1997-03-31	PRIJEM	\N	136	31586	UROK	\N	\N
3615464	2568	1997-04-30	PRIJEM	\N	147	34383	UROK	\N	\N
3615465	2568	1997-05-31	PRIJEM	\N	164	39098	UROK	\N	\N
3615466	2568	1997-06-30	PRIJEM	\N	202	49343	UROK	\N	\N
3615467	2568	1997-07-31	PRIJEM	\N	202	45196	UROK	\N	\N
3615468	2568	1997-08-31	PRIJEM	\N	190	39736	UROK	\N	\N
3615469	2568	1997-09-30	PRIJEM	\N	176	42762	UROK	\N	\N
3615470	2568	1997-10-31	PRIJEM	\N	173	40185	UROK	\N	\N
3615471	2568	1997-11-30	PRIJEM	\N	159	34394	UROK	\N	\N
3615472	2568	1997-12-31	PRIJEM	\N	158	38195	UROK	\N	\N
3615473	2568	1998-01-31	PRIJEM	\N	127	28373	UROK	\N	\N
3615474	2568	1998-02-28	PRIJEM	\N	124	32247	UROK	\N	\N
3615475	2568	1998-03-31	PRIJEM	\N	132	31730	UROK	\N	\N
3615476	2568	1998-04-30	PRIJEM	\N	126	28306	UROK	\N	\N
3615477	2568	1998-05-31	PRIJEM	\N	131	32988	UROK	\N	\N
3615478	2568	1998-06-30	PRIJEM	\N	151	39782	UROK	\N	\N
3615479	2568	1998-07-31	PRIJEM	\N	164	39797	UROK	\N	\N
3615480	2568	1998-08-31	PRIJEM	\N	195	51442	UROK	\N	\N
3615481	2568	1998-09-30	PRIJEM	\N	218	55710	UROK	\N	\N
3615482	2568	1998-10-31	PRIJEM	\N	221	55682	UROK	\N	\N
3615483	2568	1998-11-30	PRIJEM	\N	213	54245	UROK	\N	\N
3615484	2568	1998-12-31	PRIJEM	\N	254	67742	UROK	\N	\N
3615485	2569	1994-09-30	PRIJEM	\N	65	20381	UROK	\N	\N
3615486	2569	1994-10-31	PRIJEM	\N	98	24451	UROK	\N	\N
3615487	2569	1994-11-30	PRIJEM	\N	122	30844	UROK	\N	\N
3615488	2569	1994-12-31	PRIJEM	\N	129	31447	UROK	\N	\N
3615489	2569	1995-01-31	PRIJEM	\N	100	19060	UROK	\N	\N
3615490	2569	1995-02-28	PRIJEM	\N	82	20106	UROK	\N	\N
3615491	2569	1995-03-31	PRIJEM	\N	96	24325	UROK	\N	\N
3615492	2569	1995-04-30	PRIJEM	\N	111	27660	UROK	\N	\N
3615493	2569	1995-05-31	PRIJEM	\N	128	32011	UROK	\N	\N
3615494	2569	1995-06-30	PRIJEM	\N	103	22588	UROK	\N	\N
3615495	2569	1995-07-31	PRIJEM	\N	106	26237	UROK	\N	\N
3615496	2569	1995-08-31	PRIJEM	\N	123	30783	UROK	\N	\N
3615497	2569	1995-09-30	PRIJEM	\N	132	32638	UROK	\N	\N
3615498	2569	1995-10-31	PRIJEM	\N	119	28881	UROK	\N	\N
3615499	2569	1995-11-30	PRIJEM	\N	120	29724	UROK	\N	\N
3615500	2569	1995-12-31	PRIJEM	\N	133	32781	UROK	\N	\N
3615501	2569	1996-01-31	PRIJEM	\N	115	25730	UROK	\N	\N
3615502	2569	1996-02-29	PRIJEM	\N	107	25080	UROK	\N	\N
3615503	2569	1996-03-31	PRIJEM	\N	112	28355	UROK	\N	\N
3615504	2569	1996-04-30	PRIJEM	\N	118	29797	UROK	\N	\N
3615505	2569	1996-05-31	PRIJEM	\N	122	27343	UROK	\N	\N
3615506	2569	1996-06-30	PRIJEM	\N	109	21655	UROK	\N	\N
3615507	2569	1996-07-31	PRIJEM	\N	93	20771	UROK	\N	\N
3615508	2569	1996-08-31	PRIJEM	\N	99	23693	UROK	\N	\N
3615509	2569	1996-09-30	PRIJEM	\N	110	25827	UROK	\N	\N
3615510	2569	1996-10-31	PRIJEM	\N	121	30371	UROK	\N	\N
3615511	2569	1996-11-30	PRIJEM	\N	137	30631	UROK	\N	\N
3615512	2569	1996-12-31	PRIJEM	\N	135	29440	UROK	\N	\N
3615513	2569	1997-01-31	PRIJEM	\N	110	22343	UROK	\N	\N
3615514	2569	1997-02-28	PRIJEM	\N	105	26871	UROK	\N	\N
3615515	2569	1997-03-31	PRIJEM	\N	117	28412	UROK	\N	\N
3615516	2569	1997-04-30	PRIJEM	\N	128	31603	UROK	\N	\N
3615517	2569	1997-05-31	PRIJEM	\N	143	34269	UROK	\N	\N
3615518	2569	1997-06-30	PRIJEM	\N	112	26804	UROK	\N	\N
3615519	2569	1997-07-31	PRIJEM	\N	119	28926	UROK	\N	\N
3615520	2569	1997-08-31	PRIJEM	\N	126	27375	UROK	\N	\N
3615521	2569	1997-09-30	PRIJEM	\N	115	26214	UROK	\N	\N
3615522	2569	1997-10-31	PRIJEM	\N	116	26854	UROK	\N	\N
3615523	2569	1997-11-30	PRIJEM	\N	118	27095	UROK	\N	\N
3615524	2569	1997-12-31	PRIJEM	\N	122	30340	UROK	\N	\N
3615525	2569	1998-01-31	PRIJEM	\N	115	17269	UROK	\N	\N
3615526	2569	1998-02-28	PRIJEM	\N	84	21776	UROK	\N	\N
3615527	2569	1998-03-31	PRIJEM	\N	95	19134	UROK	\N	\N
3615528	2569	1998-04-30	PRIJEM	\N	85	20443	UROK	\N	\N
3615529	2569	1998-05-31	PRIJEM	\N	93	22259	UROK	\N	\N
3615530	2569	1998-06-30	PRIJEM	\N	91	18753	UROK	\N	\N
3615531	2569	1998-07-31	PRIJEM	\N	76	18133	UROK	\N	\N
3615532	2569	1998-08-31	PRIJEM	\N	79	18236	UROK	\N	\N
3615533	2569	1998-09-30	PRIJEM	\N	78	17937	UROK	\N	\N
3615534	2569	1998-10-31	PRIJEM	\N	86	22447	UROK	\N	\N
3615535	2569	1998-11-30	PRIJEM	\N	90	18060	UROK	\N	\N
3615536	2569	1998-12-31	PRIJEM	\N	87	22570	UROK	\N	\N
3615537	2570	1996-05-31	PRIJEM	\N	2	15787	UROK	\N	\N
3615538	2570	1996-06-30	PRIJEM	\N	68	16667	UROK	\N	\N
3615539	2570	1996-07-31	PRIJEM	\N	64	13202	UROK	\N	\N
3615540	2570	1996-08-31	PRIJEM	\N	57	14031	UROK	\N	\N
3615541	2570	1996-09-30	PRIJEM	\N	60	14502	UROK	\N	\N
3615542	2570	1996-10-31	PRIJEM	\N	63	15396	UROK	\N	\N
3615543	2570	1996-11-30	PRIJEM	\N	67	16474	UROK	\N	\N
3615544	2570	1996-12-31	PRIJEM	\N	66	16561	UROK	\N	\N
3615545	2570	1997-01-31	PRIJEM	\N	63	15446	UROK	\N	\N
3615546	2570	1997-02-28	PRIJEM	\N	67	16524	UROK	\N	\N
3615547	2570	1997-03-31	PRIJEM	\N	72	17607	UROK	\N	\N
3615548	2570	1997-04-30	PRIJEM	\N	76	18694	UROK	\N	\N
3615549	2570	1997-05-31	PRIJEM	\N	79	18554	UROK	\N	\N
3615550	2570	1997-06-30	PRIJEM	\N	76	15742	UROK	\N	\N
3615551	2570	1997-07-31	PRIJEM	\N	68	16822	UROK	\N	\N
3615552	2570	1997-08-31	PRIJEM	\N	71	17124	UROK	\N	\N
3615553	2570	1997-09-30	PRIJEM	\N	74	18209	UROK	\N	\N
3615554	2570	1997-10-31	PRIJEM	\N	78	19299	UROK	\N	\N
3615555	2570	1997-11-30	PRIJEM	\N	78	19099	UROK	\N	\N
3615556	2570	1997-12-31	PRIJEM	\N	82	19892	UROK	\N	\N
3615557	2570	1998-01-31	PRIJEM	\N	70	16113	UROK	\N	\N
3615558	2570	1998-02-28	PRIJEM	\N	70	17194	UROK	\N	\N
3615559	2570	1998-03-31	PRIJEM	\N	73	17888	UROK	\N	\N
3615560	2570	1998-04-30	PRIJEM	\N	70	16689	UROK	\N	\N
3615561	2570	1998-05-31	PRIJEM	\N	72	17772	UROK	\N	\N
3615562	2570	1998-06-30	PRIJEM	\N	71	17175	UROK	\N	\N
3615563	2570	1998-07-31	PRIJEM	\N	74	18261	UROK	\N	\N
3615564	2570	1998-08-31	PRIJEM	\N	73	17875	UROK	\N	\N
3615565	2570	1998-09-30	PRIJEM	\N	71	16886	UROK	\N	\N
3615566	2570	1998-10-31	PRIJEM	\N	73	17970	UROK	\N	\N
3615567	2570	1998-11-30	PRIJEM	\N	77	19059	UROK	\N	\N
3615568	2570	1998-12-31	PRIJEM	\N	75	18286	UROK	\N	\N
3615569	2574	1993-02-28	PRIJEM	\N	39	15458	UROK	\N	\N
3615570	2574	1993-03-31	PRIJEM	\N	111	32788	UROK	\N	\N
3615571	2574	1993-04-30	PRIJEM	\N	158	40964	UROK	\N	\N
3615572	2574	1993-05-31	PRIJEM	\N	182	45265	UROK	\N	\N
3615573	2574	1993-06-30	PRIJEM	\N	212	54355	UROK	\N	\N
3615574	2574	1993-07-31	PRIJEM	\N	155	33568	UROK	\N	\N
3615575	2574	1993-08-31	PRIJEM	\N	137	33364	UROK	\N	\N
3615576	2574	1993-09-30	PRIJEM	\N	146	35967	UROK	\N	\N
3615577	2574	1993-10-31	PRIJEM	\N	152	31678	UROK	\N	\N
3615578	2574	1993-11-30	PRIJEM	\N	143	31279	UROK	\N	\N
3615579	2574	1993-12-31	PRIJEM	\N	146	32942	UROK	\N	\N
3615580	2574	1994-01-31	PRIJEM	\N	108	20909	UROK	\N	\N
3615581	2574	1994-02-28	PRIJEM	\N	100	28067	UROK	\N	\N
3615582	2574	1994-03-31	PRIJEM	\N	127	27752	UROK	\N	\N
3615583	2574	1994-04-30	PRIJEM	\N	118	27029	UROK	\N	\N
3615584	2574	1994-05-31	PRIJEM	\N	119	30106	UROK	\N	\N
3615585	2574	1994-06-30	PRIJEM	\N	148	25771	UROK	\N	\N
3615586	2574	1994-07-31	PRIJEM	\N	110	27139	UROK	\N	\N
3615587	2574	1994-08-31	PRIJEM	\N	124	30121	UROK	\N	\N
3615588	2574	1994-09-30	PRIJEM	\N	134	31314	UROK	\N	\N
3615589	2574	1994-10-31	PRIJEM	\N	139	32211	UROK	\N	\N
3615590	2574	1994-11-30	PRIJEM	\N	142	32711	UROK	\N	\N
3615591	2574	1994-12-31	PRIJEM	\N	155	33183	UROK	\N	\N
3615592	2574	1995-01-31	PRIJEM	\N	117	23658	UROK	\N	\N
3615593	2574	1995-02-28	PRIJEM	\N	107	27323	UROK	\N	\N
3615594	2574	1995-03-31	PRIJEM	\N	123	30005	UROK	\N	\N
3615595	2574	1995-04-30	PRIJEM	\N	132	30295	UROK	\N	\N
3615596	2574	1995-05-31	PRIJEM	\N	136	33289	UROK	\N	\N
3615597	2574	1995-06-30	PRIJEM	\N	138	34545	UROK	\N	\N
3615598	2574	1995-07-31	PRIJEM	\N	155	39058	UROK	\N	\N
3615599	2574	1995-08-31	PRIJEM	\N	160	36877	UROK	\N	\N
3615600	2574	1995-09-30	PRIJEM	\N	165	41700	UROK	\N	\N
3615601	2574	1995-10-31	PRIJEM	\N	182	44540	UROK	\N	\N
3615602	2574	1995-11-30	PRIJEM	\N	189	45688	UROK	\N	\N
3615603	2574	1995-12-31	PRIJEM	\N	196	46101	UROK	\N	\N
3615604	2574	1996-01-31	PRIJEM	\N	144	29804	UROK	\N	\N
3615605	2574	1996-02-29	PRIJEM	\N	136	35399	UROK	\N	\N
3615606	2574	1996-03-31	PRIJEM	\N	161	41318	UROK	\N	\N
3615607	2574	1996-04-30	PRIJEM	\N	181	45357	UROK	\N	\N
3615608	2574	1996-05-31	PRIJEM	\N	192	46307	UROK	\N	\N
3615609	2574	1996-06-30	PRIJEM	\N	178	42503	UROK	\N	\N
3615610	2574	1996-07-31	PRIJEM	\N	179	43240	UROK	\N	\N
3615611	2574	1996-08-31	PRIJEM	\N	188	46786	UROK	\N	\N
3615612	2574	1996-09-30	PRIJEM	\N	192	46137	UROK	\N	\N
3615613	2574	1996-10-31	PRIJEM	\N	190	46585	UROK	\N	\N
3615614	2574	1996-11-30	PRIJEM	\N	200	49944	UROK	\N	\N
3615615	2574	1996-12-31	PRIJEM	\N	218	52079	UROK	\N	\N
3615616	2574	1997-01-31	PRIJEM	\N	208	41346	UROK	\N	\N
3615617	2574	1997-02-28	PRIJEM	\N	209	56413	UROK	\N	\N
3615618	2574	1997-03-31	PRIJEM	\N	242	60213	UROK	\N	\N
3615619	2574	1997-04-30	PRIJEM	\N	258	54429	UROK	\N	\N
3615620	2574	1997-05-31	PRIJEM	\N	237	59524	UROK	\N	\N
3615621	2574	1997-06-30	PRIJEM	\N	262	67204	UROK	\N	\N
3615622	2574	1997-07-31	PRIJEM	\N	301	76464	UROK	\N	\N
3615623	2574	1997-08-31	PRIJEM	\N	311	76134	UROK	\N	\N
3615624	2574	1997-09-30	PRIJEM	\N	316	77908	UROK	\N	\N
3615625	2574	1997-10-31	PRIJEM	\N	330	81996	UROK	\N	\N
3615626	2574	1997-11-30	PRIJEM	\N	344	85098	UROK	\N	\N
3615627	2574	1997-12-31	PRIJEM	\N	374	93089	UROK	\N	\N
3615628	2574	1998-01-31	PRIJEM	\N	358	84006	UROK	\N	\N
3615629	2574	1998-02-28	PRIJEM	\N	367	92531	UROK	\N	\N
3615630	2574	1998-03-31	PRIJEM	\N	399	99788	UROK	\N	\N
3615631	2574	1998-04-30	PRIJEM	\N	407	98753	UROK	\N	\N
3615632	2574	1998-05-31	PRIJEM	\N	422	105534	UROK	\N	\N
3615633	2574	1998-06-30	PRIJEM	\N	290	45641	UROK	\N	\N
3615634	2574	1998-07-31	PRIJEM	\N	279	79478	UROK	\N	\N
3615635	2574	1998-08-31	PRIJEM	\N	372	96609	UROK	\N	\N
3615636	2574	1998-09-30	PRIJEM	\N	427	108294	UROK	\N	\N
3615637	2574	1998-10-31	PRIJEM	\N	460	114412	UROK	\N	\N
3615638	2574	1998-11-30	PRIJEM	\N	475	116946	UROK	\N	\N
3615639	2574	1998-12-31	PRIJEM	\N	460	108723	UROK	\N	\N
3615640	2575	1997-08-31	PRIJEM	\N	64	22836	UROK	\N	\N
3615641	2575	1997-09-30	PRIJEM	\N	113	28967	UROK	\N	\N
3615642	2575	1997-10-31	PRIJEM	\N	131	24723	UROK	\N	\N
3615643	2575	1997-11-30	PRIJEM	\N	105	24474	UROK	\N	\N
3615644	2575	1997-12-31	PRIJEM	\N	100	24039	UROK	\N	\N
3615645	2575	1998-01-31	PRIJEM	\N	69	12763	UROK	\N	\N
3615646	2575	1998-02-28	PRIJEM	\N	64	16853	UROK	\N	\N
3615647	2575	1998-03-31	PRIJEM	\N	76	19274	UROK	\N	\N
3615648	2575	1998-04-30	PRIJEM	\N	86	20945	UROK	\N	\N
3615649	2575	1998-05-31	PRIJEM	\N	99	25069	UROK	\N	\N
3615650	2575	1998-06-30	PRIJEM	\N	95	19989	UROK	\N	\N
3615651	2575	1998-07-31	PRIJEM	\N	86	20860	UROK	\N	\N
3615652	2575	1998-08-31	PRIJEM	\N	79	15364	UROK	\N	\N
3615653	2575	1998-09-30	PRIJEM	\N	75	19465	UROK	\N	\N
3615654	2575	1998-10-31	PRIJEM	\N	85	21576	UROK	\N	\N
3615655	2575	1998-11-30	PRIJEM	\N	101	25702	UROK	\N	\N
3615656	2575	1998-12-31	PRIJEM	\N	101	24248	UROK	\N	\N
3615657	2576	1993-09-30	PRIJEM	\N	273	104147	UROK	\N	\N
3615658	2576	1993-10-31	PRIJEM	\N	386	62400	UROK	\N	\N
3615659	2576	1993-11-30	PRIJEM	\N	129	20700	UROK	\N	\N
3615660	2576	1993-12-31	PRIJEM	\N	184	57674	UROK	\N	\N
3615661	2576	1994-01-31	PRIJEM	\N	109	23763	UROK	\N	\N
3615662	2576	1994-02-28	PRIJEM	\N	98	15740	UROK	\N	\N
3615663	2576	1994-03-31	PRIJEM	\N	56	12875	UROK	\N	\N
3615664	2576	1994-04-30	PRIJEM	\N	76	18830	UROK	\N	\N
3615665	2576	1994-05-31	PRIJEM	\N	78	17588	UROK	\N	\N
3615666	2576	1994-06-30	PRIJEM	\N	73	18241	UROK	\N	\N
3615667	2576	1994-07-31	PRIJEM	\N	75	17095	UROK	\N	\N
3615668	2576	1994-08-31	PRIJEM	\N	70	15445	UROK	\N	\N
3615669	2576	1994-09-30	PRIJEM	\N	64	14888	UROK	\N	\N
3615670	2576	1994-10-31	PRIJEM	\N	64	17831	UROK	\N	\N
3615671	2576	1994-11-30	PRIJEM	\N	74	18085	UROK	\N	\N
3615672	2576	1994-12-31	PRIJEM	\N	74	16838	UROK	\N	\N
3615673	2576	1995-01-31	PRIJEM	\N	164	24809	UROK	\N	\N
3615674	2576	1995-02-28	PRIJEM	\N	142	33434	UROK	\N	\N
3615675	2576	1995-03-31	PRIJEM	\N	156	83337	UROK	\N	\N
3615676	2576	1995-04-30	PRIJEM	\N	291	47995	UROK	\N	\N
3615677	2576	1995-05-31	PRIJEM	\N	165	28739	UROK	\N	\N
3615678	2576	1995-06-30	PRIJEM	\N	157	69932	UROK	\N	\N
3615679	2576	1995-07-31	PRIJEM	\N	283	99024	UROK	\N	\N
3615680	2576	1995-08-31	PRIJEM	\N	396	36619	UROK	\N	\N
3615681	2576	1995-09-30	PRIJEM	\N	159	53065	UROK	\N	\N
3615682	2576	1995-10-31	PRIJEM	\N	227	22415	UROK	\N	\N
3615683	2576	1995-11-30	PRIJEM	\N	170	35042	UROK	\N	\N
3615684	2576	1995-12-31	PRIJEM	\N	141	25190	UROK	\N	\N
3615685	2576	1996-01-31	PRIJEM	\N	157	24893	UROK	\N	\N
3615686	2576	1996-02-29	PRIJEM	\N	206	80355	UROK	\N	\N
3615687	2576	1996-03-31	PRIJEM	\N	232	75132	UROK	\N	\N
3615688	2576	1996-04-30	PRIJEM	\N	205	77952	UROK	\N	\N
3615689	2576	1996-05-31	PRIJEM	\N	378	68113	UROK	\N	\N
3615690	2576	1996-06-30	PRIJEM	\N	286	83103	UROK	\N	\N
3615691	2576	1996-07-31	PRIJEM	\N	279	46870	UROK	\N	\N
3615692	2576	1996-08-31	PRIJEM	\N	156	28306	UROK	\N	\N
3615693	2576	1996-09-30	PRIJEM	\N	240	48799	UROK	\N	\N
3615694	2576	1996-10-31	PRIJEM	\N	166	32445	UROK	\N	\N
3615695	2576	1996-11-30	PRIJEM	\N	141	41830	UROK	\N	\N
3615696	2576	1996-12-31	PRIJEM	\N	275	55880	UROK	\N	\N
3615697	2576	1997-01-31	PRIJEM	\N	134	26593	UROK	\N	\N
3615698	2576	1997-02-28	PRIJEM	\N	92	19565	UROK	\N	\N
3615699	2576	1997-03-31	PRIJEM	\N	75	17619	UROK	\N	\N
3615700	2576	1997-04-30	PRIJEM	\N	75	19474	UROK	\N	\N
3615701	2576	1997-05-31	PRIJEM	\N	207	53526	UROK	\N	\N
3615702	2576	1997-06-30	PRIJEM	\N	163	30668	UROK	\N	\N
3615703	2576	1997-07-31	PRIJEM	\N	100	20747	UROK	\N	\N
3615704	2576	1997-08-31	PRIJEM	\N	76	18103	UROK	\N	\N
3615705	2576	1997-09-30	PRIJEM	\N	71	17653	UROK	\N	\N
3615706	2576	1997-10-31	PRIJEM	\N	83	40077	UROK	\N	\N
3615707	2576	1997-11-30	PRIJEM	\N	151	30486	UROK	\N	\N
3615708	2576	1997-12-31	PRIJEM	\N	101	28784	UROK	\N	\N
3615709	2576	1998-01-31	PRIJEM	\N	230	52997	UROK	\N	\N
3615710	2576	1998-02-28	PRIJEM	\N	184	41499	UROK	\N	\N
3615711	2576	1998-03-31	PRIJEM	\N	155	29405	UROK	\N	\N
3615712	2576	1998-04-30	PRIJEM	\N	120	40593	UROK	\N	\N
3615713	2576	1998-05-31	PRIJEM	\N	151	60590	UROK	\N	\N
3615714	2576	1998-06-30	PRIJEM	\N	232	52095	UROK	\N	\N
3615715	2576	1998-07-31	PRIJEM	\N	105	21553	UROK	\N	\N
3615716	2576	1998-08-31	PRIJEM	\N	108	49389	UROK	\N	\N
3615717	2576	1998-09-30	PRIJEM	\N	264	89203	UROK	\N	\N
3615718	2576	1998-10-31	PRIJEM	\N	275	78911	UROK	\N	\N
3615719	2576	1998-11-30	PRIJEM	\N	180	43712	UROK	\N	\N
3615720	2576	1998-12-31	PRIJEM	\N	162	63656	UROK	\N	\N
3615721	2577	1995-12-31	PRIJEM	\N	76	26494	UROK	\N	\N
3615722	2577	1996-01-31	PRIJEM	\N	87	14810	UROK	\N	\N
3615723	2577	1996-02-29	PRIJEM	\N	69	17458	UROK	\N	\N
3615724	2577	1996-03-31	PRIJEM	\N	79	18596	UROK	\N	\N
3615725	2577	1996-04-30	PRIJEM	\N	85	21261	UROK	\N	\N
3615726	2577	1996-05-31	PRIJEM	\N	96	23936	UROK	\N	\N
3615727	2577	1996-06-30	PRIJEM	\N	99	21104	UROK	\N	\N
3615728	2577	1996-07-31	PRIJEM	\N	95	23779	UROK	\N	\N
3615729	2577	1996-08-31	PRIJEM	\N	97	22775	UROK	\N	\N
3615730	2577	1996-09-30	PRIJEM	\N	87	21842	UROK	\N	\N
3615731	2577	1996-10-31	PRIJEM	\N	98	24519	UROK	\N	\N
3615732	2577	1996-11-30	PRIJEM	\N	109	27208	UROK	\N	\N
3615733	2577	1996-12-31	PRIJEM	\N	118	28655	UROK	\N	\N
3615734	2577	1997-01-31	PRIJEM	\N	94	17179	UROK	\N	\N
3615735	2577	1997-02-28	PRIJEM	\N	78	19836	UROK	\N	\N
3615736	2577	1997-03-31	PRIJEM	\N	84	20020	UROK	\N	\N
3615737	2577	1997-04-30	PRIJEM	\N	84	20123	UROK	\N	\N
3615738	2577	1997-05-31	PRIJEM	\N	89	20391	UROK	\N	\N
3615739	2577	1997-06-30	PRIJEM	\N	78	16099	UROK	\N	\N
3615740	2577	1997-07-31	PRIJEM	\N	74	18753	UROK	\N	\N
3615741	2577	1997-08-31	PRIJEM	\N	85	21417	UROK	\N	\N
3615742	2577	1997-09-30	PRIJEM	\N	96	24093	UROK	\N	\N
3615743	2577	1997-10-31	PRIJEM	\N	107	26779	UROK	\N	\N
3615744	2577	1997-11-30	PRIJEM	\N	118	29477	UROK	\N	\N
3615745	2577	1997-12-31	PRIJEM	\N	129	31535	UROK	\N	\N
3615746	2577	1998-01-31	PRIJEM	\N	120	22734	UROK	\N	\N
3615747	2577	1998-02-28	PRIJEM	\N	101	25415	UROK	\N	\N
3615748	2577	1998-03-31	PRIJEM	\N	113	28107	UROK	\N	\N
3615749	2577	1998-04-30	PRIJEM	\N	124	30810	UROK	\N	\N
3615750	2577	1998-05-31	PRIJEM	\N	135	33525	UROK	\N	\N
3615751	2577	1998-06-30	PRIJEM	\N	117	20621	UROK	\N	\N
3615752	2577	1998-07-31	PRIJEM	\N	86	19767	UROK	\N	\N
3615753	2577	1998-08-31	PRIJEM	\N	85	20112	UROK	\N	\N
3615754	2577	1998-09-30	PRIJEM	\N	90	22781	UROK	\N	\N
3615755	2577	1998-10-31	PRIJEM	\N	89	20410	UROK	\N	\N
3615756	2577	1998-11-30	PRIJEM	\N	90	21799	UROK	\N	\N
3615757	2577	1998-12-31	PRIJEM	\N	97	23525	UROK	\N	\N
3615758	2578	1996-08-31	PRIJEM	\N	29	21474	UROK	\N	\N
3615759	2578	1996-09-30	PRIJEM	\N	93	22475	UROK	\N	\N
3615760	2578	1996-10-31	PRIJEM	\N	83	20046	UROK	\N	\N
3615761	2578	1996-11-30	PRIJEM	\N	86	20641	UROK	\N	\N
3615762	2578	1996-12-31	PRIJEM	\N	77	15526	UROK	\N	\N
3615763	2578	1997-01-31	PRIJEM	\N	62	13557	UROK	\N	\N
3615764	2578	1997-02-28	PRIJEM	\N	58	13103	UROK	\N	\N
3615765	2578	1997-03-31	PRIJEM	\N	56	12488	UROK	\N	\N
3615766	2578	1997-04-30	PRIJEM	\N	56	13952	UROK	\N	\N
3615767	2578	1997-05-31	PRIJEM	\N	62	15422	UROK	\N	\N
3615768	2578	1997-06-30	PRIJEM	\N	68	16898	UROK	\N	\N
3615769	2578	1997-07-31	PRIJEM	\N	62	11969	UROK	\N	\N
3615770	2578	1997-08-31	PRIJEM	\N	54	13431	UROK	\N	\N
3615771	2578	1997-09-30	PRIJEM	\N	60	14899	UROK	\N	\N
3615772	2578	1997-10-31	PRIJEM	\N	66	15973	UROK	\N	\N
3615773	2578	1997-11-30	PRIJEM	\N	70	17451	UROK	\N	\N
3615774	2578	1997-12-31	PRIJEM	\N	58	14528	UROK	\N	\N
3615775	2578	1998-01-31	PRIJEM	\N	55	13351	UROK	\N	\N
3615776	2578	1998-02-28	PRIJEM	\N	59	14818	UROK	\N	\N
3615777	2578	1998-03-31	PRIJEM	\N	65	16292	UROK	\N	\N
3615778	2578	1998-04-30	PRIJEM	\N	71	17772	UROK	\N	\N
3615779	2578	1998-05-31	PRIJEM	\N	61	12542	UROK	\N	\N
3615780	2578	1998-06-30	PRIJEM	\N	56	14006	UROK	\N	\N
3615781	2578	1998-07-31	PRIJEM	\N	62	15476	UROK	\N	\N
3615782	2578	1998-08-31	PRIJEM	\N	68	16952	UROK	\N	\N
3615783	2578	1998-09-30	PRIJEM	\N	74	18435	UROK	\N	\N
3615784	2578	1998-10-31	PRIJEM	\N	80	19923	UROK	\N	\N
3615785	2578	1998-11-30	PRIJEM	\N	85	20617	UROK	\N	\N
3615786	2578	1998-12-31	PRIJEM	\N	82	19977	UROK	\N	\N
3615787	2579	1997-11-30	PRIJEM	\N	27	13959	UROK	\N	\N
3615788	2579	1997-12-31	PRIJEM	\N	76	23083	UROK	\N	\N
3615789	2579	1998-01-31	PRIJEM	\N	98	24214	UROK	\N	\N
3615790	2579	1998-02-28	PRIJEM	\N	108	27754	UROK	\N	\N
3615791	2579	1998-03-31	PRIJEM	\N	115	27012	UROK	\N	\N
3615792	2579	1998-04-30	PRIJEM	\N	109	24850	UROK	\N	\N
3615793	2579	1998-05-31	PRIJEM	\N	109	27289	UROK	\N	\N
3615794	2579	1998-06-30	PRIJEM	\N	116	27950	UROK	\N	\N
3615795	2579	1998-07-31	PRIJEM	\N	116	26115	UROK	\N	\N
3615796	2579	1998-08-31	PRIJEM	\N	109	25953	UROK	\N	\N
3615797	2579	1998-09-30	PRIJEM	\N	125	32707	UROK	\N	\N
3615798	2579	1998-10-31	PRIJEM	\N	131	30768	UROK	\N	\N
3615799	2579	1998-11-30	PRIJEM	\N	130	31527	UROK	\N	\N
3615800	2579	1998-12-31	PRIJEM	\N	110	18503	UROK	\N	\N
3615801	2580	1995-11-30	PRIJEM	\N	32	12074	UROK	\N	\N
3615802	2580	1995-12-31	PRIJEM	\N	113	35500	UROK	\N	\N
3615803	2580	1996-01-31	PRIJEM	\N	166	42508	UROK	\N	\N
3615804	2580	1996-02-29	PRIJEM	\N	186	46035	UROK	\N	\N
3615805	2580	1996-03-31	PRIJEM	\N	172	39654	UROK	\N	\N
3615806	2580	1996-04-30	PRIJEM	\N	171	40636	UROK	\N	\N
3615807	2580	1996-05-31	PRIJEM	\N	174	42622	UROK	\N	\N
3615808	2580	1996-06-30	PRIJEM	\N	191	49195	UROK	\N	\N
3615809	2580	1996-07-31	PRIJEM	\N	210	41537	UROK	\N	\N
3615810	2580	1996-08-31	PRIJEM	\N	183	45443	UROK	\N	\N
3615811	2580	1996-09-30	PRIJEM	\N	189	45434	UROK	\N	\N
3615812	2580	1996-10-31	PRIJEM	\N	202	44519	UROK	\N	\N
3615813	2580	1996-11-30	PRIJEM	\N	190	40631	UROK	\N	\N
3615814	2580	1996-12-31	PRIJEM	\N	197	51001	UROK	\N	\N
3615815	2580	1997-01-31	PRIJEM	\N	179	29723	UROK	\N	\N
3615816	2580	1997-02-28	PRIJEM	\N	158	43202	UROK	\N	\N
3615817	2580	1997-03-31	PRIJEM	\N	223	53348	UROK	\N	\N
3615818	2580	1997-04-30	PRIJEM	\N	223	52113	UROK	\N	\N
3615819	2580	1997-05-31	PRIJEM	\N	224	53460	UROK	\N	\N
3615820	2580	1997-06-30	PRIJEM	\N	176	34449	UROK	\N	\N
3615821	2580	1997-07-31	PRIJEM	\N	169	41501	UROK	\N	\N
3615822	2580	1997-08-31	PRIJEM	\N	211	53234	UROK	\N	\N
3615823	2580	1997-09-30	PRIJEM	\N	235	57891	UROK	\N	\N
3615824	2580	1997-10-31	PRIJEM	\N	255	64669	UROK	\N	\N
3615825	2580	1997-11-30	PRIJEM	\N	295	65986	UROK	\N	\N
3615826	2580	1997-12-31	PRIJEM	\N	298	66838	UROK	\N	\N
3615827	2580	1998-01-31	PRIJEM	\N	228	53709	UROK	\N	\N
3615828	2580	1998-02-28	PRIJEM	\N	236	59968	UROK	\N	\N
3615829	2580	1998-03-31	PRIJEM	\N	265	65735	UROK	\N	\N
3615830	2580	1998-04-30	PRIJEM	\N	279	70817	UROK	\N	\N
3615831	2580	1998-05-31	PRIJEM	\N	306	72945	UROK	\N	\N
3615832	2580	1998-06-30	PRIJEM	\N	318	45356	UROK	\N	\N
3615833	2580	1998-07-31	PRIJEM	\N	200	53178	UROK	\N	\N
3615834	2580	1998-08-31	PRIJEM	\N	239	60740	UROK	\N	\N
3615835	2580	1998-09-30	PRIJEM	\N	271	60433	UROK	\N	\N
3615836	2580	1998-10-31	PRIJEM	\N	259	61014	UROK	\N	\N
3615837	2580	1998-11-30	PRIJEM	\N	272	64909	UROK	\N	\N
3615838	2580	1998-12-31	PRIJEM	\N	286	65428	UROK	\N	\N
3615839	2581	1993-03-31	PRIJEM	\N	52	20205	UROK	\N	\N
3615840	2581	1993-04-30	PRIJEM	\N	142	43299	UROK	\N	\N
3615841	2581	1993-05-31	PRIJEM	\N	199	50951	UROK	\N	\N
3615842	2581	1993-06-30	PRIJEM	\N	256	68787	UROK	\N	\N
3615843	2581	1993-07-31	PRIJEM	\N	286	68925	UROK	\N	\N
3615844	2581	1993-08-31	PRIJEM	\N	258	62393	UROK	\N	\N
3615845	2581	1993-09-30	PRIJEM	\N	235	59958	UROK	\N	\N
3615846	2581	1993-10-31	PRIJEM	\N	215	52662	UROK	\N	\N
3615847	2581	1993-11-30	PRIJEM	\N	206	52937	UROK	\N	\N
3615848	2581	1993-12-31	PRIJEM	\N	229	61662	UROK	\N	\N
3615849	2581	1994-01-31	PRIJEM	\N	152	33844	UROK	\N	\N
3615850	2581	1994-02-28	PRIJEM	\N	162	45375	UROK	\N	\N
3615851	2581	1994-03-31	PRIJEM	\N	192	48377	UROK	\N	\N
3615852	2581	1994-04-30	PRIJEM	\N	186	47832	UROK	\N	\N
3615853	2581	1994-05-31	PRIJEM	\N	200	51981	UROK	\N	\N
3615854	2581	1994-06-30	PRIJEM	\N	222	49080	UROK	\N	\N
3615855	2581	1994-07-31	PRIJEM	\N	206	51375	UROK	\N	\N
3615856	2581	1994-08-31	PRIJEM	\N	211	54755	UROK	\N	\N
3615857	2581	1994-09-30	PRIJEM	\N	218	54022	UROK	\N	\N
3615858	2581	1994-10-31	PRIJEM	\N	211	54203	UROK	\N	\N
3615859	2581	1994-11-30	PRIJEM	\N	220	56992	UROK	\N	\N
3615860	2581	1994-12-31	PRIJEM	\N	252	66740	UROK	\N	\N
3615861	2581	1995-01-31	PRIJEM	\N	200	33429	UROK	\N	\N
3615862	2581	1995-02-28	PRIJEM	\N	174	48472	UROK	\N	\N
3615863	2581	1995-03-31	PRIJEM	\N	187	49429	UROK	\N	\N
3615864	2581	1995-04-30	PRIJEM	\N	223	56821	UROK	\N	\N
3615865	2581	1995-05-31	PRIJEM	\N	233	44023	UROK	\N	\N
3615866	2581	1995-06-30	PRIJEM	\N	190	37289	UROK	\N	\N
3615867	2581	1995-07-31	PRIJEM	\N	188	42146	UROK	\N	\N
3615868	2581	1995-08-31	PRIJEM	\N	204	41520	UROK	\N	\N
3615869	2581	1995-09-30	PRIJEM	\N	186	42275	UROK	\N	\N
3615870	2581	1995-10-31	PRIJEM	\N	201	40645	UROK	\N	\N
3615871	2581	1995-11-30	PRIJEM	\N	194	39908	UROK	\N	\N
3615872	2581	1995-12-31	PRIJEM	\N	215	46819	UROK	\N	\N
3615873	2581	1996-01-31	PRIJEM	\N	178	26966	UROK	\N	\N
3615874	2581	1996-02-29	PRIJEM	\N	125	33820	UROK	\N	\N
3615875	2581	1996-03-31	PRIJEM	\N	169	40558	UROK	\N	\N
3615876	2581	1996-04-30	PRIJEM	\N	194	45022	UROK	\N	\N
3615877	2581	1996-05-31	PRIJEM	\N	205	45496	UROK	\N	\N
3615878	2581	1996-06-30	PRIJEM	\N	165	31497	UROK	\N	\N
3615879	2581	1996-07-31	PRIJEM	\N	143	36909	UROK	\N	\N
3615880	2581	1996-08-31	PRIJEM	\N	178	44157	UROK	\N	\N
3615881	2581	1996-09-30	PRIJEM	\N	200	46227	UROK	\N	\N
3615882	2581	1996-10-31	PRIJEM	\N	204	44800	UROK	\N	\N
3615883	2581	1996-11-30	PRIJEM	\N	203	48472	UROK	\N	\N
3615884	2581	1996-12-31	PRIJEM	\N	231	54799	UROK	\N	\N
3615885	2581	1997-01-31	PRIJEM	\N	174	38543	UROK	\N	\N
3615886	2581	1997-02-28	PRIJEM	\N	175	44047	UROK	\N	\N
3615887	2581	1997-03-31	PRIJEM	\N	203	49619	UROK	\N	\N
3615888	2581	1997-04-30	PRIJEM	\N	222	53911	UROK	\N	\N
3615889	2581	1997-05-31	PRIJEM	\N	231	52611	UROK	\N	\N
3615890	2581	1997-06-30	PRIJEM	\N	224	55732	UROK	\N	\N
3615891	2581	1997-07-31	PRIJEM	\N	236	54637	UROK	\N	\N
3615892	2581	1997-08-31	PRIJEM	\N	233	55739	UROK	\N	\N
3615893	2581	1997-09-30	PRIJEM	\N	242	59650	UROK	\N	\N
3615894	2581	1997-10-31	PRIJEM	\N	273	57192	UROK	\N	\N
3615895	2581	1997-11-30	PRIJEM	\N	228	49509	UROK	\N	\N
3615896	2581	1997-12-31	PRIJEM	\N	233	61038	UROK	\N	\N
3615897	2581	1998-01-31	PRIJEM	\N	215	43542	UROK	\N	\N
3615898	2581	1998-02-28	PRIJEM	\N	202	52214	UROK	\N	\N
3615899	2581	1998-03-31	PRIJEM	\N	220	52103	UROK	\N	\N
3615900	2581	1998-04-30	PRIJEM	\N	230	59501	UROK	\N	\N
3615901	2581	1998-05-31	PRIJEM	\N	242	59313	UROK	\N	\N
3615902	2581	1998-06-30	PRIJEM	\N	263	64272	UROK	\N	\N
3615903	2581	1998-07-31	PRIJEM	\N	297	64338	UROK	\N	\N
3615904	2581	1998-08-31	PRIJEM	\N	276	72883	UROK	\N	\N
3615905	2581	1998-09-30	PRIJEM	\N	307	78959	UROK	\N	\N
3615906	2581	1998-10-31	PRIJEM	\N	318	79947	UROK	\N	\N
3615907	2581	1998-11-30	PRIJEM	\N	323	82339	UROK	\N	\N
3615908	2581	1998-12-31	PRIJEM	\N	369	95404	UROK	\N	\N
3615909	2582	1993-11-30	PRIJEM	\N	72	22456	UROK	\N	\N
3615910	2582	1993-12-31	PRIJEM	\N	208	58789	UROK	\N	\N
3615911	2582	1994-01-31	PRIJEM	\N	167	42740	UROK	\N	\N
3615912	2582	1994-02-28	PRIJEM	\N	177	64802	UROK	\N	\N
3615913	2582	1994-03-31	PRIJEM	\N	246	64551	UROK	\N	\N
3615914	2582	1994-04-30	PRIJEM	\N	254	65946	UROK	\N	\N
3615915	2582	1994-05-31	PRIJEM	\N	258	47344	UROK	\N	\N
3615916	2582	1994-06-30	PRIJEM	\N	200	30606	UROK	\N	\N
3615917	2582	1994-07-31	PRIJEM	\N	184	37831	UROK	\N	\N
3615918	2582	1994-08-31	PRIJEM	\N	200	40131	UROK	\N	\N
3615919	2582	1994-09-30	PRIJEM	\N	220	44792	UROK	\N	\N
3615920	2582	1994-10-31	PRIJEM	\N	238	49170	UROK	\N	\N
3615921	2582	1994-11-30	PRIJEM	\N	253	50264	UROK	\N	\N
3615922	2582	1994-12-31	PRIJEM	\N	280	52986	UROK	\N	\N
3615923	2582	1995-01-31	PRIJEM	\N	230	36397	UROK	\N	\N
3615924	2582	1995-02-28	PRIJEM	\N	201	42339	UROK	\N	\N
3615925	2582	1995-03-31	PRIJEM	\N	223	44583	UROK	\N	\N
3615926	2582	1995-04-30	PRIJEM	\N	228	44031	UROK	\N	\N
3615927	2582	1995-05-31	PRIJEM	\N	216	45688	UROK	\N	\N
3615928	2582	1995-06-30	PRIJEM	\N	254	41004	UROK	\N	\N
3615929	2582	1995-07-31	PRIJEM	\N	214	43359	UROK	\N	\N
3615930	2582	1995-08-31	PRIJEM	\N	225	48824	UROK	\N	\N
3615931	2582	1995-09-30	PRIJEM	\N	229	43554	UROK	\N	\N
3615932	2582	1995-10-31	PRIJEM	\N	222	47416	UROK	\N	\N
3615933	2582	1995-11-30	PRIJEM	\N	226	45183	UROK	\N	\N
3615934	2582	1995-12-31	PRIJEM	\N	241	49606	UROK	\N	\N
3615935	2582	1996-01-31	PRIJEM	\N	205	39951	UROK	\N	\N
3615936	2582	1996-02-29	PRIJEM	\N	201	40533	UROK	\N	\N
3615937	2582	1996-03-31	PRIJEM	\N	194	35208	UROK	\N	\N
3615938	2582	1996-04-30	PRIJEM	\N	179	38127	UROK	\N	\N
3615939	2582	1996-05-31	PRIJEM	\N	190	41558	UROK	\N	\N
3615940	2582	1996-06-30	PRIJEM	\N	223	42183	UROK	\N	\N
3615941	2582	1996-07-31	PRIJEM	\N	208	46731	UROK	\N	\N
3615942	2582	1996-08-31	PRIJEM	\N	206	43858	UROK	\N	\N
3615943	2582	1996-09-30	PRIJEM	\N	204	42102	UROK	\N	\N
3615944	2582	1996-10-31	PRIJEM	\N	202	46644	UROK	\N	\N
3615945	2582	1996-11-30	PRIJEM	\N	213	47798	UROK	\N	\N
3615946	2582	1996-12-31	PRIJEM	\N	228	50168	UROK	\N	\N
3615947	2582	1997-01-31	PRIJEM	\N	189	25778	UROK	\N	\N
3615948	2582	1997-02-28	PRIJEM	\N	151	38369	UROK	\N	\N
3615949	2582	1997-03-31	PRIJEM	\N	187	45297	UROK	\N	\N
3615950	2582	1997-04-30	PRIJEM	\N	216	50054	UROK	\N	\N
3615951	2582	1997-05-31	PRIJEM	\N	249	49923	UROK	\N	\N
3615952	2582	1997-06-30	PRIJEM	\N	225	44591	UROK	\N	\N
3615953	2582	1997-07-31	PRIJEM	\N	204	47735	UROK	\N	\N
3615954	2582	1997-08-31	PRIJEM	\N	212	49987	UROK	\N	\N
3615955	2582	1997-09-30	PRIJEM	\N	221	52848	UROK	\N	\N
3615956	2582	1997-10-31	PRIJEM	\N	241	58830	UROK	\N	\N
3615957	2582	1997-11-30	PRIJEM	\N	249	58119	UROK	\N	\N
3615958	2582	1997-12-31	PRIJEM	\N	262	63063	UROK	\N	\N
3615959	2582	1998-01-31	PRIJEM	\N	216	42800	UROK	\N	\N
3615960	2582	1998-02-28	PRIJEM	\N	218	54658	UROK	\N	\N
3615961	2582	1998-03-31	PRIJEM	\N	241	58739	UROK	\N	\N
3615962	2582	1998-04-30	PRIJEM	\N	247	60026	UROK	\N	\N
3615963	2582	1998-05-31	PRIJEM	\N	250	60817	UROK	\N	\N
3615964	2582	1998-06-30	PRIJEM	\N	223	33442	UROK	\N	\N
3615965	2582	1998-07-31	PRIJEM	\N	168	41950	UROK	\N	\N
3615966	2582	1998-08-31	PRIJEM	\N	225	55615	UROK	\N	\N
3615967	2582	1998-09-30	PRIJEM	\N	242	60238	UROK	\N	\N
3615968	2582	1998-10-31	PRIJEM	\N	259	65737	UROK	\N	\N
3615969	2582	1998-11-30	PRIJEM	\N	276	68454	UROK	\N	\N
3615970	2582	1998-12-31	PRIJEM	\N	278	71614	UROK	\N	\N
3615971	2583	1995-01-31	PRIJEM	\N	3	26203	UROK	\N	\N
3615972	2583	1995-03-31	PRIJEM	\N	103	26506	UROK	\N	\N
3615973	2583	1995-04-30	PRIJEM	\N	103	26008	UROK	\N	\N
3615974	2583	1995-05-31	PRIJEM	\N	103	31212	UROK	\N	\N
3615975	2583	1995-06-30	PRIJEM	\N	130	31341	UROK	\N	\N
3615976	2583	1995-07-31	PRIJEM	\N	130	33971	UROK	\N	\N
3615977	2583	1995-08-31	PRIJEM	\N	130	36401	UROK	\N	\N
3615978	2583	1995-09-30	PRIJEM	\N	130	34330	UROK	\N	\N
3615979	2583	1995-10-31	PRIJEM	\N	130	32460	UROK	\N	\N
3615980	2583	1995-11-30	PRIJEM	\N	130	34489	UROK	\N	\N
3615981	2583	1995-12-31	PRIJEM	\N	130	36719	UROK	\N	\N
3615982	2583	1996-01-31	PRIJEM	\N	130	37749	UROK	\N	\N
3615983	2583	1996-02-29	PRIJEM	\N	130	41678	UROK	\N	\N
3615984	2583	1996-03-31	PRIJEM	\N	130	42008	UROK	\N	\N
3615985	2583	1996-04-30	PRIJEM	\N	130	42637	UROK	\N	\N
3615986	2583	1996-05-31	PRIJEM	\N	130	41767	UROK	\N	\N
3615987	2583	1996-06-30	PRIJEM	\N	130	43297	UROK	\N	\N
3615988	2583	1996-07-31	PRIJEM	\N	130	45626	UROK	\N	\N
3615989	2583	1996-08-31	PRIJEM	\N	130	47956	UROK	\N	\N
3615990	2583	1996-09-30	PRIJEM	\N	130	47386	UROK	\N	\N
3615991	2583	1996-10-31	PRIJEM	\N	130	49215	UROK	\N	\N
3615992	2583	1996-11-30	PRIJEM	\N	130	48345	UROK	\N	\N
3615993	2583	1996-12-31	PRIJEM	\N	130	49774	UROK	\N	\N
3615994	2583	1997-01-31	PRIJEM	\N	130	53004	UROK	\N	\N
3615995	2583	1997-02-28	PRIJEM	\N	130	57834	UROK	\N	\N
3615996	2583	1997-03-31	PRIJEM	\N	130	61763	UROK	\N	\N
3615997	2583	1997-04-30	PRIJEM	\N	130	64993	UROK	\N	\N
3615998	2583	1997-05-31	PRIJEM	\N	130	62722	UROK	\N	\N
3615999	2583	1997-06-30	PRIJEM	\N	130	62952	UROK	\N	\N
3616000	2583	1997-07-31	PRIJEM	\N	130	60882	UROK	\N	\N
3616001	2583	1997-08-31	PRIJEM	\N	130	60611	UROK	\N	\N
3616002	2583	1997-09-30	PRIJEM	\N	130	64041	UROK	\N	\N
3616003	2583	1997-10-31	PRIJEM	\N	130	66470	UROK	\N	\N
3616004	2583	1997-11-30	PRIJEM	\N	130	64300	UROK	\N	\N
3616005	2583	1997-12-31	PRIJEM	\N	130	65530	UROK	\N	\N
3616006	2583	1998-01-31	PRIJEM	\N	130	70159	UROK	\N	\N
3616007	2583	1998-02-28	PRIJEM	\N	130	68489	UROK	\N	\N
3616008	2583	1998-03-31	PRIJEM	\N	130	65118	UROK	\N	\N
3616009	2583	1998-04-30	PRIJEM	\N	130	62748	UROK	\N	\N
3616010	2583	1998-05-31	PRIJEM	\N	130	65278	UROK	\N	\N
3616011	2583	1998-06-30	PRIJEM	\N	130	67107	UROK	\N	\N
3616012	2583	1998-07-31	PRIJEM	\N	130	71837	UROK	\N	\N
3616013	2583	1998-08-31	PRIJEM	\N	130	73967	UROK	\N	\N
3616014	2583	1998-09-30	PRIJEM	\N	130	77096	UROK	\N	\N
3616015	2583	1998-10-31	PRIJEM	\N	130	79326	UROK	\N	\N
3616016	2583	1998-11-30	PRIJEM	\N	130	78855	UROK	\N	\N
3616017	2584	1993-07-31	PRIJEM	\N	11	4399	UROK	\N	\N
3616018	2584	1993-08-31	PRIJEM	\N	18	8605	UROK	\N	\N
3616019	2584	1993-09-30	PRIJEM	\N	18	12811	UROK	\N	\N
3616020	2584	1993-10-31	PRIJEM	\N	18	17018	UROK	\N	\N
3616021	2584	1993-11-30	PRIJEM	\N	21	21226	UROK	\N	\N
3616022	2584	1993-12-31	PRIJEM	\N	89	22813	UROK	\N	\N
3616023	2584	1994-01-31	PRIJEM	\N	78	15148	UROK	\N	\N
3616024	2584	1994-02-28	PRIJEM	\N	68	17813	UROK	\N	\N
3616025	2584	1994-03-31	PRIJEM	\N	60	13750	UROK	\N	\N
3616026	2584	1994-04-30	PRIJEM	\N	57	14005	UROK	\N	\N
3616027	2584	1994-05-31	PRIJEM	\N	63	16665	UROK	\N	\N
3616028	2584	1994-06-30	PRIJEM	\N	74	19337	UROK	\N	\N
3616029	2584	1994-07-31	PRIJEM	\N	79	20253	UROK	\N	\N
3616030	2584	1994-08-31	PRIJEM	\N	89	22940	UROK	\N	\N
3616031	2584	1994-09-30	PRIJEM	\N	93	23530	UROK	\N	\N
3616032	2584	1994-10-31	PRIJEM	\N	103	26231	UROK	\N	\N
3616033	2584	1994-11-30	PRIJEM	\N	112	28741	UROK	\N	\N
3616034	2584	1994-12-31	PRIJEM	\N	99	24036	UROK	\N	\N
3616035	2584	1995-01-31	PRIJEM	\N	79	14652	UROK	\N	\N
3616036	2584	1995-02-28	PRIJEM	\N	65	17315	UROK	\N	\N
3616037	2584	1995-03-31	PRIJEM	\N	71	15583	UROK	\N	\N
3616038	2584	1995-04-30	PRIJEM	\N	65	14486	UROK	\N	\N
3616039	2584	1995-05-31	PRIJEM	\N	65	16648	UROK	\N	\N
3616040	2584	1995-06-30	PRIJEM	\N	74	19320	UROK	\N	\N
3616041	2584	1995-07-31	PRIJEM	\N	81	18958	UROK	\N	\N
3616042	2584	1995-08-31	PRIJEM	\N	82	18437	UROK	\N	\N
3616043	2584	1995-09-30	PRIJEM	\N	81	19915	UROK	\N	\N
3616044	2584	1995-10-31	PRIJEM	\N	85	18697	UROK	\N	\N
3616045	2584	1995-11-30	PRIJEM	\N	80	17775	UROK	\N	\N
3616046	2584	1995-12-31	PRIJEM	\N	77	18399	UROK	\N	\N
3616047	2584	1996-01-31	PRIJEM	\N	67	12734	UROK	\N	\N
3616048	2584	1996-02-29	PRIJEM	\N	55	13387	UROK	\N	\N
3616049	2584	1996-03-31	PRIJEM	\N	56	12940	UROK	\N	\N
3616050	2584	1996-04-30	PRIJEM	\N	58	15595	UROK	\N	\N
3616051	2584	1996-05-31	PRIJEM	\N	65	14758	UROK	\N	\N
3616052	2584	1996-06-30	PRIJEM	\N	63	15218	UROK	\N	\N
3616053	2584	1996-07-31	PRIJEM	\N	67	17583	UROK	\N	\N
3616054	2584	1996-08-31	PRIJEM	\N	73	16853	UROK	\N	\N
3616055	2584	1996-09-30	PRIJEM	\N	66	13756	UROK	\N	\N
3616056	2584	1996-10-31	PRIJEM	\N	57	13710	UROK	\N	\N
3616057	2584	1996-11-30	PRIJEM	\N	57	13865	UROK	\N	\N
3616058	2584	1996-12-31	PRIJEM	\N	53	11965	UROK	\N	\N
3616059	2584	1997-01-31	PRIJEM	\N	53	13816	UROK	\N	\N
3616060	2584	1997-02-28	PRIJEM	\N	61	16474	UROK	\N	\N
3616061	2584	1997-03-31	PRIJEM	\N	60	11932	UROK	\N	\N
3616062	2584	1997-04-30	PRIJEM	\N	54	14583	UROK	\N	\N
3616063	2584	1997-05-31	PRIJEM	\N	65	17245	UROK	\N	\N
3616064	2584	1997-06-30	PRIJEM	\N	59	12981	UROK	\N	\N
3616065	2584	1997-07-31	PRIJEM	\N	58	15636	UROK	\N	\N
3616066	2584	1997-08-31	PRIJEM	\N	65	15338	UROK	\N	\N
3616067	2584	1997-09-30	PRIJEM	\N	65	15601	UROK	\N	\N
3616068	2584	1997-10-31	PRIJEM	\N	69	18267	UROK	\N	\N
3616069	2584	1997-11-30	PRIJEM	\N	72	18696	UROK	\N	\N
3616070	2584	1997-12-31	PRIJEM	\N	81	20374	UROK	\N	\N
3616071	2584	1998-01-31	PRIJEM	\N	67	14639	UROK	\N	\N
3616072	2584	1998-02-28	PRIJEM	\N	64	17300	UROK	\N	\N
3616073	2584	1998-03-31	PRIJEM	\N	76	19973	UROK	\N	\N
3616074	2584	1998-04-30	PRIJEM	\N	86	22657	UROK	\N	\N
3616075	2584	1998-05-31	PRIJEM	\N	95	19509	UROK	\N	\N
3616076	2584	1998-06-30	PRIJEM	\N	76	16702	UROK	\N	\N
3616077	2584	1998-07-31	PRIJEM	\N	73	19373	UROK	\N	\N
3616078	2584	1998-08-31	PRIJEM	\N	84	22054	UROK	\N	\N
3616079	2584	1998-09-30	PRIJEM	\N	84	21615	UROK	\N	\N
3616080	2584	1998-10-31	PRIJEM	\N	90	23343	UROK	\N	\N
3616081	2584	1998-11-30	PRIJEM	\N	100	26040	UROK	\N	\N
3616082	2584	1998-12-31	PRIJEM	\N	110	26197	UROK	\N	\N
3616083	2586	1997-05-31	PRIJEM	\N	55	25638	UROK	\N	\N
3616084	2586	1997-06-30	PRIJEM	\N	132	37103	UROK	\N	\N
3616085	2586	1997-07-31	PRIJEM	\N	166	42452	UROK	\N	\N
3616086	2586	1997-08-31	PRIJEM	\N	176	34728	UROK	\N	\N
3616087	2586	1997-09-30	PRIJEM	\N	232	64779	UROK	\N	\N
3616088	2586	1997-10-31	PRIJEM	\N	274	50005	UROK	\N	\N
3616089	2586	1997-11-30	PRIJEM	\N	182	34072	UROK	\N	\N
3616090	2586	1997-12-31	PRIJEM	\N	158	40015	UROK	\N	\N
3616091	2586	1998-01-31	PRIJEM	\N	209	24393	UROK	\N	\N
3616092	2586	1998-02-28	PRIJEM	\N	103	27154	UROK	\N	\N
3616093	2586	1998-03-31	PRIJEM	\N	135	44795	UROK	\N	\N
3616094	2586	1998-04-30	PRIJEM	\N	230	49180	UROK	\N	\N
3616095	2586	1998-05-31	PRIJEM	\N	396	66044	UROK	\N	\N
3616096	2586	1998-06-30	PRIJEM	\N	233	36151	UROK	\N	\N
3616097	2586	1998-07-31	PRIJEM	\N	164	47528	UROK	\N	\N
3616098	2586	1998-08-31	PRIJEM	\N	283	115445	UROK	\N	\N
3616099	2586	1998-09-30	PRIJEM	\N	373	99394	UROK	\N	\N
3616100	2586	1998-10-31	PRIJEM	\N	390	85334	UROK	\N	\N
3616101	2586	1998-11-30	PRIJEM	\N	283	64539	UROK	\N	\N
3616102	2586	1998-12-31	PRIJEM	\N	321	83012	UROK	\N	\N
3616103	2588	1993-12-31	PRIJEM	\N	96	26593	UROK	\N	\N
3616104	2588	1994-01-31	PRIJEM	\N	173	43997	UROK	\N	\N
3616105	2588	1994-02-28	PRIJEM	\N	214	52742	UROK	\N	\N
3616106	2588	1994-03-31	PRIJEM	\N	234	56806	UROK	\N	\N
3616107	2588	1994-04-30	PRIJEM	\N	227	53555	UROK	\N	\N
3616108	2588	1994-05-31	PRIJEM	\N	213	47575	UROK	\N	\N
3616109	2588	1994-06-30	PRIJEM	\N	224	54172	UROK	\N	\N
3616110	2588	1994-07-31	PRIJEM	\N	209	47588	UROK	\N	\N
3616111	2588	1994-08-31	PRIJEM	\N	202	48097	UROK	\N	\N
3616112	2588	1994-09-30	PRIJEM	\N	193	49598	UROK	\N	\N
3616113	2588	1994-10-31	PRIJEM	\N	188	34793	UROK	\N	\N
3616114	2588	1994-11-30	PRIJEM	\N	177	36778	UROK	\N	\N
3616115	2588	1994-12-31	PRIJEM	\N	209	42360	UROK	\N	\N
3616116	2588	1995-01-31	PRIJEM	\N	184	24152	UROK	\N	\N
3616117	2588	1995-02-28	PRIJEM	\N	118	26477	UROK	\N	\N
3616118	2588	1995-03-31	PRIJEM	\N	143	30727	UROK	\N	\N
3616119	2588	1995-04-30	PRIJEM	\N	159	32893	UROK	\N	\N
3616120	2588	1995-05-31	PRIJEM	\N	167	33867	UROK	\N	\N
3616121	2588	1995-06-30	PRIJEM	\N	139	26699	UROK	\N	\N
3616122	2588	1995-07-31	PRIJEM	\N	141	29947	UROK	\N	\N
3616123	2588	1995-08-31	PRIJEM	\N	153	33108	UROK	\N	\N
3616124	2588	1995-09-30	PRIJEM	\N	167	32722	UROK	\N	\N
3616125	2588	1995-10-31	PRIJEM	\N	163	35293	UROK	\N	\N
3616126	2588	1995-11-30	PRIJEM	\N	172	36872	UROK	\N	\N
3616127	2588	1995-12-31	PRIJEM	\N	196	36981	UROK	\N	\N
3616128	2588	1996-01-31	PRIJEM	\N	149	24957	UROK	\N	\N
3616129	2588	1996-02-29	PRIJEM	\N	131	28155	UROK	\N	\N
3616130	2588	1996-03-31	PRIJEM	\N	146	34709	UROK	\N	\N
3616131	2588	1996-04-30	PRIJEM	\N	166	35982	UROK	\N	\N
3616132	2588	1996-05-31	PRIJEM	\N	167	36317	UROK	\N	\N
3616133	2588	1996-06-30	PRIJEM	\N	153	34222	UROK	\N	\N
3616134	2588	1996-07-31	PRIJEM	\N	158	33088	UROK	\N	\N
3616135	2588	1996-08-31	PRIJEM	\N	156	34150	UROK	\N	\N
3616136	2588	1996-09-30	PRIJEM	\N	154	32112	UROK	\N	\N
3616137	2588	1996-10-31	PRIJEM	\N	151	33970	UROK	\N	\N
3616138	2588	1996-11-30	PRIJEM	\N	152	32530	UROK	\N	\N
3616139	2588	1996-12-31	PRIJEM	\N	171	36494	UROK	\N	\N
3616140	2588	1997-01-31	PRIJEM	\N	160	32381	UROK	\N	\N
3616141	2588	1997-02-28	PRIJEM	\N	160	39648	UROK	\N	\N
3616142	2588	1997-03-31	PRIJEM	\N	184	43340	UROK	\N	\N
3616143	2588	1997-04-30	PRIJEM	\N	187	37354	UROK	\N	\N
3616144	2588	1997-05-31	PRIJEM	\N	166	37327	UROK	\N	\N
3616145	2588	1997-06-30	PRIJEM	\N	181	41782	UROK	\N	\N
3616146	2588	1997-07-31	PRIJEM	\N	184	41993	UROK	\N	\N
3616147	2588	1997-08-31	PRIJEM	\N	185	43386	UROK	\N	\N
3616148	2588	1997-09-30	PRIJEM	\N	187	42881	UROK	\N	\N
3616149	2588	1997-10-31	PRIJEM	\N	186	40994	UROK	\N	\N
3616150	2588	1997-11-30	PRIJEM	\N	176	40597	UROK	\N	\N
3616151	2588	1997-12-31	PRIJEM	\N	183	40333	UROK	\N	\N
3616152	2588	1998-01-31	PRIJEM	\N	141	22421	UROK	\N	\N
3616153	2588	1998-02-28	PRIJEM	\N	133	36762	UROK	\N	\N
3616154	2588	1998-03-31	PRIJEM	\N	172	42741	UROK	\N	\N
3616155	2588	1998-04-30	PRIJEM	\N	191	47139	UROK	\N	\N
3616156	2588	1998-05-31	PRIJEM	\N	201	48147	UROK	\N	\N
3616157	2588	1998-06-30	PRIJEM	\N	217	39677	UROK	\N	\N
3616158	2588	1998-07-31	PRIJEM	\N	191	47456	UROK	\N	\N
3616159	2588	1998-08-31	PRIJEM	\N	205	50468	UROK	\N	\N
3616160	2588	1998-09-30	PRIJEM	\N	215	53090	UROK	\N	\N
3616161	2588	1998-10-31	PRIJEM	\N	227	56225	UROK	\N	\N
3616162	2588	1998-11-30	PRIJEM	\N	248	56180	UROK	\N	\N
3616163	2588	1998-12-31	PRIJEM	\N	238	57792	UROK	\N	\N
3616164	2589	1996-12-31	PRIJEM	\N	18	6259	UROK	\N	\N
3616165	2589	1997-01-31	PRIJEM	\N	26	11826	UROK	\N	\N
3616166	2589	1997-02-28	PRIJEM	\N	26	17393	UROK	\N	\N
3616167	2589	1997-03-31	PRIJEM	\N	26	22960	UROK	\N	\N
3616168	2589	1997-04-30	PRIJEM	\N	67	19810	UROK	\N	\N
3616169	2589	1997-05-31	PRIJEM	\N	73	14635	UROK	\N	\N
3616170	2589	1997-06-30	PRIJEM	\N	67	16534	UROK	\N	\N
3616171	2589	1997-07-31	PRIJEM	\N	57	12584	UROK	\N	\N
3616172	2589	1997-08-31	PRIJEM	\N	58	14474	UROK	\N	\N
3616173	2589	1997-09-30	PRIJEM	\N	66	16373	UROK	\N	\N
3616174	2589	1997-10-31	PRIJEM	\N	65	14110	UROK	\N	\N
3616175	2589	1997-11-30	PRIJEM	\N	64	13306	UROK	\N	\N
3616176	2589	1997-12-31	PRIJEM	\N	60	12948	UROK	\N	\N
3616177	2589	1998-01-31	PRIJEM	\N	54	12435	UROK	\N	\N
3616178	2589	1998-02-28	PRIJEM	\N	57	14324	UROK	\N	\N
3616179	2589	1998-03-31	PRIJEM	\N	64	12621	UROK	\N	\N
3616180	2589	1998-04-30	PRIJEM	\N	58	14511	UROK	\N	\N
3616181	2589	1998-05-31	PRIJEM	\N	61	10885	UROK	\N	\N
3616182	2589	1998-06-30	PRIJEM	\N	50	10667	UROK	\N	\N
3616183	2589	1998-07-31	PRIJEM	\N	50	12550	UROK	\N	\N
3616184	2589	1998-08-31	PRIJEM	\N	58	14440	UROK	\N	\N
3616185	2589	1998-09-30	PRIJEM	\N	66	16338	UROK	\N	\N
3616186	2589	1998-10-31	PRIJEM	\N	74	18244	UROK	\N	\N
3616187	2589	1998-11-30	PRIJEM	\N	73	12789	UROK	\N	\N
3616188	2589	1998-12-31	PRIJEM	\N	58	13879	UROK	\N	\N
3616189	2590	1996-12-31	PRIJEM	\N	13	3743	UROK	\N	\N
3616190	2590	1997-01-31	PRIJEM	\N	16	6789	UROK	\N	\N
3616191	2590	1997-02-28	PRIJEM	\N	16	9834	UROK	\N	\N
3616192	2590	1997-03-31	PRIJEM	\N	16	12880	UROK	\N	\N
3616193	2590	1997-04-30	PRIJEM	\N	52	13942	UROK	\N	\N
3616194	2590	1997-05-31	PRIJEM	\N	63	15000	UROK	\N	\N
3616195	2590	1997-06-30	PRIJEM	\N	62	14457	UROK	\N	\N
3616196	2590	1997-07-31	PRIJEM	\N	65	15307	UROK	\N	\N
3616197	2590	1997-08-31	PRIJEM	\N	66	14808	UROK	\N	\N
3616198	2590	1997-09-30	PRIJEM	\N	67	15870	UROK	\N	\N
3616199	2590	1997-10-31	PRIJEM	\N	71	16336	UROK	\N	\N
3616200	2590	1997-11-30	PRIJEM	\N	72	14304	UROK	\N	\N
3616201	2590	1997-12-31	PRIJEM	\N	63	14672	UROK	\N	\N
3616202	2590	1998-01-31	PRIJEM	\N	58	12666	UROK	\N	\N
3616203	2590	1998-02-28	PRIJEM	\N	57	12758	UROK	\N	\N
3616204	2590	1998-03-31	PRIJEM	\N	58	13811	UROK	\N	\N
3616205	2590	1998-04-30	PRIJEM	\N	59	13875	UROK	\N	\N
3616206	2590	1998-05-31	PRIJEM	\N	62	14333	UROK	\N	\N
3616207	2590	1998-06-30	PRIJEM	\N	62	14000	UROK	\N	\N
3616208	2590	1998-07-31	PRIJEM	\N	62	13257	UROK	\N	\N
3616209	2590	1998-08-31	PRIJEM	\N	60	14312	UROK	\N	\N
3616210	2590	1998-09-30	PRIJEM	\N	63	14171	UROK	\N	\N
3616211	2590	1998-10-31	PRIJEM	\N	63	13449	UROK	\N	\N
3616212	2590	1998-11-30	PRIJEM	\N	55	11450	UROK	\N	\N
3616213	2590	1998-12-31	PRIJEM	\N	52	12497	UROK	\N	\N
3616214	2591	1996-05-31	PRIJEM	\N	18	6536	UROK	\N	\N
3616215	2591	1996-06-30	PRIJEM	\N	27	12281	UROK	\N	\N
3616216	2591	1996-07-31	PRIJEM	\N	27	18026	UROK	\N	\N
3616217	2591	1996-08-31	PRIJEM	\N	27	23771	UROK	\N	\N
3616218	2591	1996-09-30	PRIJEM	\N	87	29176	UROK	\N	\N
3616219	2591	1996-10-31	PRIJEM	\N	114	26252	UROK	\N	\N
3616220	2591	1996-11-30	PRIJEM	\N	102	25357	UROK	\N	\N
3616221	2591	1996-12-31	PRIJEM	\N	104	24703	UROK	\N	\N
3616222	2591	1997-01-31	PRIJEM	\N	91	17796	UROK	\N	\N
3616223	2591	1997-02-28	PRIJEM	\N	80	20278	UROK	\N	\N
3616224	2591	1997-03-31	PRIJEM	\N	91	22771	UROK	\N	\N
3616225	2591	1997-04-30	PRIJEM	\N	89	22722	UROK	\N	\N
3616226	2591	1997-05-31	PRIJEM	\N	101	25226	UROK	\N	\N
3616227	2591	1997-06-30	PRIJEM	\N	95	20823	UROK	\N	\N
3616228	2591	1997-07-31	PRIJEM	\N	92	21117	UROK	\N	\N
3616229	2591	1997-08-31	PRIJEM	\N	78	17837	UROK	\N	\N
3616230	2591	1997-09-30	PRIJEM	\N	80	18820	UROK	\N	\N
3616231	2591	1997-10-31	PRIJEM	\N	85	21307	UROK	\N	\N
3616232	2591	1997-11-30	PRIJEM	\N	95	23604	UROK	\N	\N
3616233	2591	1997-12-31	PRIJEM	\N	104	25610	UROK	\N	\N
3616234	2591	1998-01-31	PRIJEM	\N	92	16814	UROK	\N	\N
3616235	2591	1998-02-28	PRIJEM	\N	76	19293	UROK	\N	\N
3616236	2591	1998-03-31	PRIJEM	\N	85	19280	UROK	\N	\N
3616237	2591	1998-04-30	PRIJEM	\N	82	19364	UROK	\N	\N
3616238	2591	1998-05-31	PRIJEM	\N	72	18159	UROK	\N	\N
3616239	2591	1998-06-30	PRIJEM	\N	76	16317	UROK	\N	\N
3616240	2591	1998-07-31	PRIJEM	\N	74	18794	UROK	\N	\N
3616241	2591	1998-08-31	PRIJEM	\N	84	21281	UROK	\N	\N
3616242	2591	1998-09-30	PRIJEM	\N	95	23777	UROK	\N	\N
3616243	2591	1998-10-31	PRIJEM	\N	105	26185	UROK	\N	\N
3616244	2591	1998-11-30	PRIJEM	\N	113	27200	UROK	\N	\N
3616245	2591	1998-12-31	PRIJEM	\N	107	25859	UROK	\N	\N
3616246	2592	1993-09-30	PRIJEM	\N	34	12393	UROK	\N	\N
3616247	2592	1993-10-31	PRIJEM	\N	98	29050	UROK	\N	\N
3616248	2592	1993-11-30	PRIJEM	\N	109	37918	UROK	\N	\N
3616249	2592	1993-12-31	PRIJEM	\N	127	38384	UROK	\N	\N
3616250	2592	1994-01-31	PRIJEM	\N	150	23823	UROK	\N	\N
3616251	2592	1994-02-28	PRIJEM	\N	115	30554	UROK	\N	\N
3616252	2592	1994-03-31	PRIJEM	\N	135	27984	UROK	\N	\N
3616253	2592	1994-04-30	PRIJEM	\N	131	28331	UROK	\N	\N
3616254	2592	1994-05-31	PRIJEM	\N	130	28137	UROK	\N	\N
3616255	2592	1994-06-30	PRIJEM	\N	143	33534	UROK	\N	\N
3616256	2592	1994-07-31	PRIJEM	\N	153	33702	UROK	\N	\N
3616257	2592	1994-08-31	PRIJEM	\N	153	33771	UROK	\N	\N
3616258	2592	1994-09-30	PRIJEM	\N	153	35239	UROK	\N	\N
3616259	2592	1994-10-31	PRIJEM	\N	155	31910	UROK	\N	\N
3616260	2592	1994-11-30	PRIJEM	\N	146	34371	UROK	\N	\N
3616261	2592	1994-12-31	PRIJEM	\N	165	38151	UROK	\N	\N
3616262	2592	1995-01-31	PRIJEM	\N	141	13626	UROK	\N	\N
3616263	2592	1995-02-28	PRIJEM	\N	74	22316	UROK	\N	\N
3616264	2592	1995-03-31	PRIJEM	\N	107	30318	UROK	\N	\N
3616265	2592	1995-04-30	PRIJEM	\N	140	34473	UROK	\N	\N
3616266	2592	1995-05-31	PRIJEM	\N	153	34241	UROK	\N	\N
3616267	2592	1995-06-30	PRIJEM	\N	163	38098	UROK	\N	\N
3616268	2592	1995-07-31	PRIJEM	\N	169	39582	UROK	\N	\N
3616269	2592	1995-08-31	PRIJEM	\N	172	39370	UROK	\N	\N
3616270	2592	1995-09-30	PRIJEM	\N	174	41859	UROK	\N	\N
3616271	2592	1995-10-31	PRIJEM	\N	182	42656	UROK	\N	\N
3616272	2592	1995-11-30	PRIJEM	\N	191	47462	UROK	\N	\N
3616273	2592	1995-12-31	PRIJEM	\N	212	50809	UROK	\N	\N
3616274	2592	1996-01-31	PRIJEM	\N	181	31805	UROK	\N	\N
3616275	2592	1996-02-29	PRIJEM	\N	153	41574	UROK	\N	\N
3616276	2592	1996-03-31	PRIJEM	\N	185	44614	UROK	\N	\N
3616277	2592	1996-04-30	PRIJEM	\N	196	48425	UROK	\N	\N
3616278	2592	1996-05-31	PRIJEM	\N	211	51271	UROK	\N	\N
3616279	2592	1996-06-30	PRIJEM	\N	213	50679	UROK	\N	\N
3616280	2592	1996-07-31	PRIJEM	\N	225	56720	UROK	\N	\N
3616281	2592	1996-08-31	PRIJEM	\N	241	58576	UROK	\N	\N
3616282	2592	1996-09-30	PRIJEM	\N	256	63947	UROK	\N	\N
3616283	2592	1996-10-31	PRIJEM	\N	264	62667	UROK	\N	\N
3616284	2592	1996-11-30	PRIJEM	\N	263	63465	UROK	\N	\N
3616285	2592	1996-12-31	PRIJEM	\N	257	55436	UROK	\N	\N
3616286	2592	1997-01-31	PRIJEM	\N	209	42101	UROK	\N	\N
3616287	2592	1997-02-28	PRIJEM	\N	196	48852	UROK	\N	\N
3616288	2592	1997-03-31	PRIJEM	\N	222	56989	UROK	\N	\N
3616289	2592	1997-04-30	PRIJEM	\N	250	60454	UROK	\N	\N
3616290	2592	1997-05-31	PRIJEM	\N	250	60259	UROK	\N	\N
3616291	2592	1997-06-30	PRIJEM	\N	191	30184	UROK	\N	\N
3616292	2592	1997-07-31	PRIJEM	\N	164	45063	UROK	\N	\N
3616293	2592	1997-08-31	PRIJEM	\N	222	58601	UROK	\N	\N
3616294	2592	1997-09-30	PRIJEM	\N	277	70993	UROK	\N	\N
3616295	2592	1997-10-31	PRIJEM	\N	314	78122	UROK	\N	\N
3616296	2592	1997-11-30	PRIJEM	\N	325	78962	UROK	\N	\N
3616297	2592	1997-12-31	PRIJEM	\N	357	90074	UROK	\N	\N
3616298	2592	1998-01-31	PRIJEM	\N	353	78123	UROK	\N	\N
3616299	2592	1998-02-28	PRIJEM	\N	339	84277	UROK	\N	\N
3616300	2592	1998-03-31	PRIJEM	\N	348	84240	UROK	\N	\N
3616301	2592	1998-04-30	PRIJEM	\N	344	82799	UROK	\N	\N
3616302	2592	1998-05-31	PRIJEM	\N	352	85687	UROK	\N	\N
3616303	2592	1998-06-30	PRIJEM	\N	255	50696	UROK	\N	\N
3616304	2592	1998-07-31	PRIJEM	\N	257	64469	UROK	\N	\N
3616305	2592	1998-08-31	PRIJEM	\N	311	80795	UROK	\N	\N
3616306	2592	1998-09-30	PRIJEM	\N	351	87361	UROK	\N	\N
3616307	2592	1998-10-31	PRIJEM	\N	366	89642	UROK	\N	\N
3616308	2592	1998-11-30	PRIJEM	\N	363	87420	UROK	\N	\N
3616309	2592	1998-12-31	PRIJEM	\N	366	89140	UROK	\N	\N
3616310	2593	1996-07-31	PRIJEM	\N	72	20551	UROK	\N	\N
3616311	2593	1996-08-31	PRIJEM	\N	158	41287	UROK	\N	\N
3616312	2593	1996-09-30	PRIJEM	\N	206	51172	UROK	\N	\N
3616313	2593	1996-10-31	PRIJEM	\N	229	56080	UROK	\N	\N
3616314	2593	1996-11-30	PRIJEM	\N	217	51076	UROK	\N	\N
3616315	2593	1996-12-31	PRIJEM	\N	225	53994	UROK	\N	\N
3616316	2593	1997-01-31	PRIJEM	\N	177	34556	UROK	\N	\N
3616317	2593	1997-02-28	PRIJEM	\N	150	34270	UROK	\N	\N
3616318	2593	1997-03-31	PRIJEM	\N	165	40099	UROK	\N	\N
3616319	2593	1997-04-30	PRIJEM	\N	171	39254	UROK	\N	\N
3616320	2593	1997-05-31	PRIJEM	\N	163	34922	UROK	\N	\N
3616321	2593	1997-06-30	PRIJEM	\N	156	21911	UROK	\N	\N
3616322	2593	1997-07-31	PRIJEM	\N	116	24852	UROK	\N	\N
3616323	2593	1997-08-31	PRIJEM	\N	111	23487	UROK	\N	\N
3616324	2593	1997-09-30	PRIJEM	\N	133	23584	UROK	\N	\N
3616325	2593	1997-10-31	PRIJEM	\N	117	18186	UROK	\N	\N
3616326	2593	1997-11-30	PRIJEM	\N	109	18759	UROK	\N	\N
3616327	2593	1997-12-31	PRIJEM	\N	137	22650	UROK	\N	\N
3616328	2593	1998-01-31	PRIJEM	\N	101	15795	UROK	\N	\N
3616329	2593	1998-02-28	PRIJEM	\N	97	15357	UROK	\N	\N
3616330	2593	1998-03-31	PRIJEM	\N	95	14117	UROK	\N	\N
3616331	2593	1998-04-30	PRIJEM	\N	91	15472	UROK	\N	\N
3616332	2593	1998-05-31	PRIJEM	\N	96	14732	UROK	\N	\N
3616333	2593	1998-06-30	PRIJEM	\N	115	19620	UROK	\N	\N
3616334	2593	1998-07-31	PRIJEM	\N	113	23198	UROK	\N	\N
3616335	2593	1998-08-31	PRIJEM	\N	126	25988	UROK	\N	\N
3616336	2593	1998-09-30	PRIJEM	\N	134	26867	UROK	\N	\N
3616337	2593	1998-10-31	PRIJEM	\N	127	25578	UROK	\N	\N
3616338	2593	1998-11-30	PRIJEM	\N	131	26193	UROK	\N	\N
3616339	2593	1998-12-31	PRIJEM	\N	176	45083	UROK	\N	\N
3616340	2594	1997-05-31	PRIJEM	\N	48	29755	UROK	\N	\N
3616341	2594	1997-06-30	PRIJEM	\N	135	41516	UROK	\N	\N
3616342	2594	1997-07-31	PRIJEM	\N	172	29689	UROK	\N	\N
3616343	2594	1997-08-31	PRIJEM	\N	170	26258	UROK	\N	\N
3616344	2594	1997-09-30	PRIJEM	\N	90	21648	UROK	\N	\N
3616345	2594	1997-10-31	PRIJEM	\N	90	20938	UROK	\N	\N
3616346	2594	1997-11-30	PRIJEM	\N	90	16128	UROK	\N	\N
3616347	2594	1997-12-31	PRIJEM	\N	90	15218	UROK	\N	\N
3616348	2594	1998-01-31	PRIJEM	\N	90	15807	UROK	\N	\N
3616349	2594	1998-02-28	PRIJEM	\N	175	54306	UROK	\N	\N
3616350	2594	1998-03-31	PRIJEM	\N	312	44155	UROK	\N	\N
3616351	2594	1998-04-30	PRIJEM	\N	156	26714	UROK	\N	\N
3616352	2594	1998-05-31	PRIJEM	\N	82	17878	UROK	\N	\N
3616353	2594	1998-06-30	PRIJEM	\N	176	57368	UROK	\N	\N
3616354	2594	1998-07-31	PRIJEM	\N	308	94335	UROK	\N	\N
3616355	2594	1998-08-31	PRIJEM	\N	340	73902	UROK	\N	\N
3616356	2594	1998-09-30	PRIJEM	\N	194	32054	UROK	\N	\N
3616357	2594	1998-10-31	PRIJEM	\N	170	39367	UROK	\N	\N
3616358	2594	1998-11-30	PRIJEM	\N	99	28223	UROK	\N	\N
3616359	2594	1998-12-31	PRIJEM	\N	254	63086	UROK	\N	\N
3616360	2595	1997-12-31	PRIJEM	\N	59	25971	UROK	\N	\N
3616361	2595	1998-01-31	PRIJEM	\N	103	19162	UROK	\N	\N
3616362	2595	1998-02-28	PRIJEM	\N	87	22582	UROK	\N	\N
3616363	2595	1998-03-31	PRIJEM	\N	102	26016	UROK	\N	\N
3616364	2595	1998-04-30	PRIJEM	\N	116	29465	UROK	\N	\N
3616365	2595	1998-05-31	PRIJEM	\N	122	29799	UROK	\N	\N
3616366	2595	1998-06-30	PRIJEM	\N	105	22536	UROK	\N	\N
3616367	2595	1998-07-31	PRIJEM	\N	98	23807	UROK	\N	\N
3616368	2595	1998-08-31	PRIJEM	\N	107	27246	UROK	\N	\N
3616369	2595	1998-09-30	PRIJEM	\N	121	30700	UROK	\N	\N
3616370	2595	1998-10-31	PRIJEM	\N	128	28001	UROK	\N	\N
3616371	2595	1998-11-30	PRIJEM	\N	124	31458	UROK	\N	\N
3616372	2595	1998-12-31	PRIJEM	\N	137	34177	UROK	\N	\N
3616373	2596	1994-09-30	PRIJEM	\N	9	3637	UROK	\N	\N
3616374	2596	1994-10-31	PRIJEM	\N	15	7080	UROK	\N	\N
3616375	2596	1994-11-30	PRIJEM	\N	15	10523	UROK	\N	\N
3616376	2596	1994-12-31	PRIJEM	\N	15	13966	UROK	\N	\N
3616377	2596	1995-01-31	PRIJEM	\N	44	16268	UROK	\N	\N
3616378	2596	1995-02-28	PRIJEM	\N	70	17467	UROK	\N	\N
3616379	2596	1995-03-31	PRIJEM	\N	75	17530	UROK	\N	\N
3616380	2596	1995-04-30	PRIJEM	\N	75	18284	UROK	\N	\N
3616381	2596	1995-05-31	PRIJEM	\N	76	18918	UROK	\N	\N
3616382	2596	1995-06-30	PRIJEM	\N	73	14180	UROK	\N	\N
3616383	2596	1995-07-31	PRIJEM	\N	62	15370	UROK	\N	\N
3616384	2596	1995-08-31	PRIJEM	\N	67	16565	UROK	\N	\N
3616385	2596	1995-09-30	PRIJEM	\N	70	16803	UROK	\N	\N
3616386	2596	1995-10-31	PRIJEM	\N	73	18004	UROK	\N	\N
3616387	2596	1995-11-30	PRIJEM	\N	78	19210	UROK	\N	\N
3616388	2596	1995-12-31	PRIJEM	\N	82	20181	UROK	\N	\N
3616389	2596	1996-01-31	PRIJEM	\N	77	18506	UROK	\N	\N
3616390	2596	1996-02-29	PRIJEM	\N	80	19714	UROK	\N	\N
3616391	2596	1996-03-31	PRIJEM	\N	84	19486	UROK	\N	\N
3616392	2596	1996-04-30	PRIJEM	\N	76	19461	UROK	\N	\N
3616393	2596	1996-05-31	PRIJEM	\N	84	20673	UROK	\N	\N
3616394	2596	1996-06-30	PRIJEM	\N	84	21225	UROK	\N	\N
3616395	2596	1996-07-31	PRIJEM	\N	90	22114	UROK	\N	\N
3616396	2596	1996-08-31	PRIJEM	\N	95	23337	UROK	\N	\N
3616397	2596	1996-09-30	PRIJEM	\N	100	24565	UROK	\N	\N
3616398	2596	1996-10-31	PRIJEM	\N	105	25799	UROK	\N	\N
3616399	2596	1996-11-30	PRIJEM	\N	110	27037	UROK	\N	\N
3616400	2596	1996-12-31	PRIJEM	\N	112	27197	UROK	\N	\N
3616401	2596	1997-01-31	PRIJEM	\N	109	25914	UROK	\N	\N
3616402	2596	1997-02-28	PRIJEM	\N	110	27153	UROK	\N	\N
3616403	2596	1997-03-31	PRIJEM	\N	115	28156	UROK	\N	\N
3616404	2596	1997-04-30	PRIJEM	\N	116	28860	UROK	\N	\N
3616405	2596	1997-05-31	PRIJEM	\N	121	29119	UROK	\N	\N
3616406	2596	1997-06-30	PRIJEM	\N	119	23286	UROK	\N	\N
3616407	2596	1997-07-31	PRIJEM	\N	99	24514	UROK	\N	\N
3616408	2596	1997-08-31	PRIJEM	\N	104	25747	UROK	\N	\N
3616409	2596	1997-09-30	PRIJEM	\N	109	26984	UROK	\N	\N
3616410	2596	1997-10-31	PRIJEM	\N	114	28227	UROK	\N	\N
3616411	2596	1997-11-30	PRIJEM	\N	120	29475	UROK	\N	\N
3616412	2596	1997-12-31	PRIJEM	\N	123	29076	UROK	\N	\N
3616413	2596	1998-01-31	PRIJEM	\N	112	27226	UROK	\N	\N
3616414	2596	1998-02-28	PRIJEM	\N	111	27505	UROK	\N	\N
3616415	2596	1998-03-31	PRIJEM	\N	116	28750	UROK	\N	\N
3616416	2596	1998-04-30	PRIJEM	\N	121	30000	UROK	\N	\N
3616417	2596	1998-05-31	PRIJEM	\N	126	29555	UROK	\N	\N
3616418	2596	1998-06-30	PRIJEM	\N	108	21291	UROK	\N	\N
3616419	2596	1998-07-31	PRIJEM	\N	90	22510	UROK	\N	\N
3616420	2596	1998-08-31	PRIJEM	\N	95	23733	UROK	\N	\N
3616421	2596	1998-09-30	PRIJEM	\N	100	24962	UROK	\N	\N
3616422	2596	1998-10-31	PRIJEM	\N	105	26195	UROK	\N	\N
3616423	2596	1998-11-30	PRIJEM	\N	110	27434	UROK	\N	\N
3616424	2596	1998-12-31	PRIJEM	\N	109	27471	UROK	\N	\N
3616425	2597	1997-04-30	PRIJEM	\N	43	19277	UROK	\N	\N
3616426	2597	1997-05-31	PRIJEM	\N	107	31118	UROK	\N	\N
3616427	2597	1997-06-30	PRIJEM	\N	147	38816	UROK	\N	\N
3616428	2597	1997-07-31	PRIJEM	\N	160	38310	UROK	\N	\N
3616429	2597	1997-08-31	PRIJEM	\N	176	38665	UROK	\N	\N
3616430	2597	1997-09-30	PRIJEM	\N	176	39105	UROK	\N	\N
3616431	2597	1997-10-31	PRIJEM	\N	180	39829	UROK	\N	\N
3616432	2597	1997-11-30	PRIJEM	\N	184	42378	UROK	\N	\N
3616433	2597	1997-12-31	PRIJEM	\N	190	41809	UROK	\N	\N
3616434	2597	1998-01-31	PRIJEM	\N	144	25837	UROK	\N	\N
3616435	2597	1998-02-28	PRIJEM	\N	122	28023	UROK	\N	\N
3616436	2597	1998-03-31	PRIJEM	\N	138	30966	UROK	\N	\N
3616437	2597	1998-04-30	PRIJEM	\N	132	27323	UROK	\N	\N
3616438	2597	1998-05-31	PRIJEM	\N	123	27310	UROK	\N	\N
3616439	2597	1998-06-30	PRIJEM	\N	151	26802	UROK	\N	\N
3616440	2597	1998-07-31	PRIJEM	\N	116	26282	UROK	\N	\N
3616441	2597	1998-08-31	PRIJEM	\N	107	22733	UROK	\N	\N
3616442	2597	1998-09-30	PRIJEM	\N	94	21991	UROK	\N	\N
3616443	2597	1998-10-31	PRIJEM	\N	99	23554	UROK	\N	\N
3616444	2597	1998-11-30	PRIJEM	\N	100	24259	UROK	\N	\N
3616445	2597	1998-12-31	PRIJEM	\N	108	23168	UROK	\N	\N
3616446	2600	1996-03-31	PRIJEM	\N	120	39758	UROK	\N	\N
3616447	2600	1996-04-30	PRIJEM	\N	355	89212	UROK	\N	\N
3616448	2600	1996-05-31	PRIJEM	\N	321	74155	UROK	\N	\N
3616449	2600	1996-06-30	PRIJEM	\N	327	44282	UROK	\N	\N
3616450	2600	1996-07-31	PRIJEM	\N	185	82914	UROK	\N	\N
3616451	2600	1996-08-31	PRIJEM	\N	352	94584	UROK	\N	\N
3616452	2600	1996-09-30	PRIJEM	\N	321	102253	UROK	\N	\N
3616453	2600	1996-10-31	PRIJEM	\N	350	127874	UROK	\N	\N
3616454	2600	1996-11-30	PRIJEM	\N	302	60438	UROK	\N	\N
3616455	2600	1996-12-31	PRIJEM	\N	279	61810	UROK	\N	\N
3616456	2600	1997-01-31	PRIJEM	\N	309	85938	UROK	\N	\N
3616457	2600	1997-02-28	PRIJEM	\N	267	41039	UROK	\N	\N
3616458	2600	1997-03-31	PRIJEM	\N	273	72990	UROK	\N	\N
3616459	2600	1997-04-30	PRIJEM	\N	212	39077	UROK	\N	\N
3616460	2600	1997-05-31	PRIJEM	\N	220	55196	UROK	\N	\N
3616461	2600	1997-06-30	PRIJEM	\N	214	44916	UROK	\N	\N
3616462	2600	1997-07-31	PRIJEM	\N	236	60498	UROK	\N	\N
3616463	2600	1997-08-31	PRIJEM	\N	186	66423	UROK	\N	\N
3616464	2600	1997-09-30	PRIJEM	\N	324	70193	UROK	\N	\N
3616465	2600	1997-10-31	PRIJEM	\N	154	27802	UROK	\N	\N
3616466	2600	1997-11-30	PRIJEM	\N	151	50221	UROK	\N	\N
3616467	2600	1997-12-31	PRIJEM	\N	159	32386	UROK	\N	\N
3616468	2600	1998-01-31	PRIJEM	\N	133	32326	UROK	\N	\N
3616469	2600	1998-02-28	PRIJEM	\N	422	129917	UROK	\N	\N
3616470	2600	1998-03-31	PRIJEM	\N	412	66241	UROK	\N	\N
3616471	2600	1998-04-30	PRIJEM	\N	310	93400	UROK	\N	\N
3616472	2600	1998-05-31	PRIJEM	\N	327	65903	UROK	\N	\N
3616473	2600	1998-06-30	PRIJEM	\N	302	76465	UROK	\N	\N
3616474	2600	1998-07-31	PRIJEM	\N	433	124069	UROK	\N	\N
3616475	2600	1998-08-31	PRIJEM	\N	168	38769	UROK	\N	\N
3616476	2600	1998-09-30	PRIJEM	\N	175	39533	UROK	\N	\N
3616477	2600	1998-10-31	PRIJEM	\N	172	39111	UROK	\N	\N
3616478	2600	1998-11-30	PRIJEM	\N	170	40408	UROK	\N	\N
3616479	2600	1998-12-31	PRIJEM	\N	260	84168	UROK	\N	\N
3616480	2602	1996-07-31	PRIJEM	\N	39	19209	UROK	\N	\N
3616481	2602	1996-08-31	PRIJEM	\N	102	29481	UROK	\N	\N
3616482	2602	1996-09-30	PRIJEM	\N	130	32981	UROK	\N	\N
3616483	2602	1996-10-31	PRIJEM	\N	143	35593	UROK	\N	\N
3616484	2602	1996-11-30	PRIJEM	\N	159	40222	UROK	\N	\N
3616485	2602	1996-12-31	PRIJEM	\N	167	41224	UROK	\N	\N
3616486	2602	1997-01-31	PRIJEM	\N	147	27561	UROK	\N	\N
3616487	2602	1997-02-28	PRIJEM	\N	126	31458	UROK	\N	\N
3616488	2602	1997-03-31	PRIJEM	\N	133	27841	UROK	\N	\N
3616489	2602	1997-04-30	PRIJEM	\N	140	37031	UROK	\N	\N
3616490	2602	1997-05-31	PRIJEM	\N	161	39943	UROK	\N	\N
3616491	2602	1997-06-30	PRIJEM	\N	127	14805	UROK	\N	\N
3616492	2602	1997-07-31	PRIJEM	\N	78	33733	UROK	\N	\N
3616493	2602	1997-08-31	PRIJEM	\N	175	46658	UROK	\N	\N
3616494	2602	1997-09-30	PRIJEM	\N	200	49709	UROK	\N	\N
3616495	2602	1997-10-31	PRIJEM	\N	205	50165	UROK	\N	\N
3616496	2602	1997-11-30	PRIJEM	\N	214	53229	UROK	\N	\N
3616497	2602	1997-12-31	PRIJEM	\N	224	55389	UROK	\N	\N
3616498	2602	1998-01-31	PRIJEM	\N	185	40345	UROK	\N	\N
3616499	2602	1998-02-28	PRIJEM	\N	193	49888	UROK	\N	\N
3616500	2602	1998-03-31	PRIJEM	\N	209	51647	UROK	\N	\N
3616501	2602	1998-04-30	PRIJEM	\N	207	50604	UROK	\N	\N
3616502	2602	1998-05-31	PRIJEM	\N	195	45490	UROK	\N	\N
3616503	2602	1998-06-30	PRIJEM	\N	148	31713	UROK	\N	\N
3616504	2602	1998-07-31	PRIJEM	\N	151	37335	UROK	\N	\N
3616505	2602	1998-08-31	PRIJEM	\N	181	46766	UROK	\N	\N
3616506	2602	1998-09-30	PRIJEM	\N	182	43519	UROK	\N	\N
3616507	2602	1998-10-31	PRIJEM	\N	189	47598	UROK	\N	\N
3616508	2602	1998-11-30	PRIJEM	\N	207	52255	UROK	\N	\N
3616509	2602	1998-12-31	PRIJEM	\N	228	56039	UROK	\N	\N
3616510	2603	1996-11-30	PRIJEM	\N	77	24247	UROK	\N	\N
3616511	2603	1996-12-31	PRIJEM	\N	102	24090	UROK	\N	\N
3616512	2603	1997-01-31	PRIJEM	\N	84	14785	UROK	\N	\N
3616513	2603	1997-02-28	PRIJEM	\N	68	17045	UROK	\N	\N
3616514	2603	1997-03-31	PRIJEM	\N	78	19315	UROK	\N	\N
3616515	2603	1997-04-30	PRIJEM	\N	87	20393	UROK	\N	\N
3616516	2603	1997-05-31	PRIJEM	\N	92	22676	UROK	\N	\N
3616517	2603	1997-06-30	PRIJEM	\N	82	18749	UROK	\N	\N
3616518	2603	1997-07-31	PRIJEM	\N	78	18618	UROK	\N	\N
3616519	2603	1997-08-31	PRIJEM	\N	85	20894	UROK	\N	\N
3616520	2603	1997-09-30	PRIJEM	\N	93	22779	UROK	\N	\N
3616521	2603	1997-10-31	PRIJEM	\N	102	25072	UROK	\N	\N
3616522	2603	1997-11-30	PRIJEM	\N	111	27375	UROK	\N	\N
3616523	2603	1997-12-31	PRIJEM	\N	116	27373	UROK	\N	\N
3616524	2603	1998-01-31	PRIJEM	\N	86	14080	UROK	\N	\N
3616525	2603	1998-02-28	PRIJEM	\N	65	16337	UROK	\N	\N
3616526	2603	1998-03-31	PRIJEM	\N	75	18603	UROK	\N	\N
3616527	2603	1998-04-30	PRIJEM	\N	84	20879	UROK	\N	\N
3616528	2603	1998-05-31	PRIJEM	\N	94	23164	UROK	\N	\N
3616529	2603	1998-06-30	PRIJEM	\N	100	23216	UROK	\N	\N
3616530	2603	1998-07-31	PRIJEM	\N	100	24067	UROK	\N	\N
3616531	2603	1998-08-31	PRIJEM	\N	107	26365	UROK	\N	\N
3616532	2603	1998-09-30	PRIJEM	\N	117	28673	UROK	\N	\N
3616533	2603	1998-10-31	PRIJEM	\N	126	30991	UROK	\N	\N
3616534	2603	1998-11-30	PRIJEM	\N	131	31613	UROK	\N	\N
3616535	2603	1998-12-31	PRIJEM	\N	129	31033	UROK	\N	\N
3616536	2604	1996-07-31	PRIJEM	\N	22	6895	UROK	\N	\N
3616537	2604	1996-08-31	PRIJEM	\N	29	13097	UROK	\N	\N
3616538	2604	1996-09-30	PRIJEM	\N	29	19298	UROK	\N	\N
3616539	2604	1996-10-31	PRIJEM	\N	29	25500	UROK	\N	\N
3616540	2604	1996-11-30	PRIJEM	\N	93	23461	UROK	\N	\N
3616541	2604	1996-12-31	PRIJEM	\N	101	24155	UROK	\N	\N
3616542	2604	1997-01-31	PRIJEM	\N	59	12458	UROK	\N	\N
3616543	2604	1997-02-28	PRIJEM	\N	58	14709	UROK	\N	\N
3616544	2604	1997-03-31	PRIJEM	\N	68	16571	UROK	\N	\N
3616545	2604	1997-04-30	PRIJEM	\N	74	18038	UROK	\N	\N
3616546	2604	1997-05-31	PRIJEM	\N	75	16987	UROK	\N	\N
3616547	2604	1997-06-30	PRIJEM	\N	77	19257	UROK	\N	\N
3616548	2604	1997-07-31	PRIJEM	\N	87	21537	UROK	\N	\N
3616549	2604	1997-08-31	PRIJEM	\N	96	23627	UROK	\N	\N
3616550	2604	1997-09-30	PRIJEM	\N	103	22023	UROK	\N	\N
3616551	2604	1997-10-31	PRIJEM	\N	98	23714	UROK	\N	\N
3616552	2604	1997-11-30	PRIJEM	\N	105	25212	UROK	\N	\N
3616553	2604	1997-12-31	PRIJEM	\N	109	25714	UROK	\N	\N
3616554	2604	1998-01-31	PRIJEM	\N	99	22027	UROK	\N	\N
3616555	2604	1998-02-28	PRIJEM	\N	98	24318	UROK	\N	\N
3616556	2604	1998-03-31	PRIJEM	\N	101	24052	UROK	\N	\N
3616557	2604	1998-04-30	PRIJEM	\N	106	26352	UROK	\N	\N
3616558	2604	1998-05-31	PRIJEM	\N	114	27299	UROK	\N	\N
3616559	2604	1998-06-30	PRIJEM	\N	96	16909	UROK	\N	\N
3616560	2604	1998-07-31	PRIJEM	\N	76	18378	UROK	\N	\N
3616561	2604	1998-08-31	PRIJEM	\N	83	20654	UROK	\N	\N
3616562	2604	1998-09-30	PRIJEM	\N	92	22940	UROK	\N	\N
3616563	2604	1998-10-31	PRIJEM	\N	102	25235	UROK	\N	\N
3616564	2604	1998-11-30	PRIJEM	\N	111	27539	UROK	\N	\N
3616565	2604	1998-12-31	PRIJEM	\N	108	26081	UROK	\N	\N
3616566	2605	1996-02-29	PRIJEM	\N	54	17922	UROK	\N	\N
3616567	2605	1996-03-31	PRIJEM	\N	90	23080	UROK	\N	\N
3616568	2605	1996-04-30	PRIJEM	\N	102	25049	UROK	\N	\N
3616569	2605	1996-05-31	PRIJEM	\N	112	27529	UROK	\N	\N
3616570	2605	1996-06-30	PRIJEM	\N	116	22252	UROK	\N	\N
3616571	2605	1996-07-31	PRIJEM	\N	112	27372	UROK	\N	\N
3616572	2605	1996-08-31	PRIJEM	\N	116	24197	UROK	\N	\N
3616573	2605	1996-09-30	PRIJEM	\N	119	28624	UROK	\N	\N
3616574	2605	1996-10-31	PRIJEM	\N	114	26247	UROK	\N	\N
3616575	2605	1996-11-30	PRIJEM	\N	123	29278	UROK	\N	\N
3616576	2605	1996-12-31	PRIJEM	\N	129	30099	UROK	\N	\N
3616577	2605	1997-01-31	PRIJEM	\N	86	13093	UROK	\N	\N
3616578	2605	1997-02-28	PRIJEM	\N	75	18176	UROK	\N	\N
3616579	2605	1997-03-31	PRIJEM	\N	78	17563	UROK	\N	\N
3616580	2605	1997-04-30	PRIJEM	\N	71	15942	UROK	\N	\N
3616581	2605	1997-05-31	PRIJEM	\N	83	19833	UROK	\N	\N
3616582	2605	1997-06-30	PRIJEM	\N	100	24225	UROK	\N	\N
3616583	2605	1997-07-31	PRIJEM	\N	101	23335	UROK	\N	\N
3616584	2605	1997-08-31	PRIJEM	\N	102	24045	UROK	\N	\N
3616585	2605	1997-09-30	PRIJEM	\N	104	24258	UROK	\N	\N
3616586	2605	1997-10-31	PRIJEM	\N	89	19855	UROK	\N	\N
3616587	2605	1997-11-30	PRIJEM	\N	78	18442	UROK	\N	\N
3616588	2605	1997-12-31	PRIJEM	\N	78	17912	UROK	\N	\N
3616589	2605	1998-01-31	PRIJEM	\N	68	14389	UROK	\N	\N
3616590	2605	1998-02-28	PRIJEM	\N	64	16561	UROK	\N	\N
3616591	2605	1998-03-31	PRIJEM	\N	70	16540	UROK	\N	\N
3616592	2605	1998-04-30	PRIJEM	\N	67	16515	UROK	\N	\N
3616593	2605	1998-05-31	PRIJEM	\N	72	14595	UROK	\N	\N
3616594	2605	1998-06-30	PRIJEM	\N	62	15649	UROK	\N	\N
3616595	2605	1998-07-31	PRIJEM	\N	71	20329	UROK	\N	\N
3616596	2605	1998-08-31	PRIJEM	\N	90	22827	UROK	\N	\N
3616597	2605	1998-09-30	PRIJEM	\N	101	27137	UROK	\N	\N
3616598	2605	1998-10-31	PRIJEM	\N	117	29062	UROK	\N	\N
3616599	2605	1998-11-30	PRIJEM	\N	129	34899	UROK	\N	\N
3616600	2605	1998-12-31	PRIJEM	\N	161	38852	UROK	\N	\N
3616601	2606	1994-12-31	PRIJEM	\N	78	19849	UROK	\N	\N
3616602	2606	1995-01-31	PRIJEM	\N	71	12710	UROK	\N	\N
3616603	2606	1995-02-28	PRIJEM	\N	62	14782	UROK	\N	\N
3616604	2606	1995-03-31	PRIJEM	\N	67	14060	UROK	\N	\N
3616605	2606	1995-04-30	PRIJEM	\N	67	16137	UROK	\N	\N
3616606	2606	1995-05-31	PRIJEM	\N	76	18224	UROK	\N	\N
3616607	2606	1995-06-30	PRIJEM	\N	76	18010	UROK	\N	\N
3616608	2606	1995-07-31	PRIJEM	\N	77	17138	UROK	\N	\N
3616609	2606	1995-08-31	PRIJEM	\N	79	16427	UROK	\N	\N
3616610	2606	1995-09-30	PRIJEM	\N	77	18514	UROK	\N	\N
3616611	2606	1995-10-31	PRIJEM	\N	86	20610	UROK	\N	\N
3616612	2606	1995-11-30	PRIJEM	\N	94	22715	UROK	\N	\N
3616613	2606	1995-12-31	PRIJEM	\N	101	23726	UROK	\N	\N
3616614	2606	1996-01-31	PRIJEM	\N	78	13584	UROK	\N	\N
3616615	2606	1996-02-29	PRIJEM	\N	65	15660	UROK	\N	\N
3616616	2606	1996-03-31	PRIJEM	\N	74	17744	UROK	\N	\N
3616617	2606	1996-04-30	PRIJEM	\N	82	19837	UROK	\N	\N
3616618	2606	1996-05-31	PRIJEM	\N	91	21938	UROK	\N	\N
3616619	2606	1996-06-30	PRIJEM	\N	100	24048	UROK	\N	\N
3616620	2606	1996-07-31	PRIJEM	\N	109	26167	UROK	\N	\N
3616621	2606	1996-08-31	PRIJEM	\N	117	28295	UROK	\N	\N
3616622	2606	1996-09-30	PRIJEM	\N	126	30432	UROK	\N	\N
3616623	2606	1996-10-31	PRIJEM	\N	128	30010	UROK	\N	\N
3616624	2606	1996-11-30	PRIJEM	\N	128	30708	UROK	\N	\N
3616625	2606	1996-12-31	PRIJEM	\N	126	28815	UROK	\N	\N
3616626	2606	1997-01-31	PRIJEM	\N	98	14663	UROK	\N	\N
3616627	2606	1997-02-28	PRIJEM	\N	69	16743	UROK	\N	\N
3616628	2606	1997-03-31	PRIJEM	\N	78	18831	UROK	\N	\N
3616629	2606	1997-04-30	PRIJEM	\N	87	20928	UROK	\N	\N
3616630	2606	1997-05-31	PRIJEM	\N	92	20951	UROK	\N	\N
3616631	2606	1997-06-30	PRIJEM	\N	83	17124	UROK	\N	\N
3616632	2606	1997-07-31	PRIJEM	\N	79	19213	UROK	\N	\N
3616633	2606	1997-08-31	PRIJEM	\N	84	19868	UROK	\N	\N
3616634	2606	1997-09-30	PRIJEM	\N	91	21969	UROK	\N	\N
3616635	2606	1997-10-31	PRIJEM	\N	99	24079	UROK	\N	\N
3616636	2606	1997-11-30	PRIJEM	\N	106	22355	UROK	\N	\N
3616637	2606	1997-12-31	PRIJEM	\N	99	23464	UROK	\N	\N
3616638	2606	1998-01-31	PRIJEM	\N	91	15936	UROK	\N	\N
3616639	2606	1998-02-28	PRIJEM	\N	74	18020	UROK	\N	\N
3616640	2606	1998-03-31	PRIJEM	\N	76	16347	UROK	\N	\N
3616641	2606	1998-04-30	PRIJEM	\N	76	18433	UROK	\N	\N
3616642	2606	1998-05-31	PRIJEM	\N	84	20527	UROK	\N	\N
3616643	2606	1998-06-30	PRIJEM	\N	93	22631	UROK	\N	\N
3616644	2606	1998-07-31	PRIJEM	\N	102	24743	UROK	\N	\N
3616645	2606	1998-08-31	PRIJEM	\N	110	26864	UROK	\N	\N
3616646	2606	1998-09-30	PRIJEM	\N	119	28993	UROK	\N	\N
3616647	2606	1998-10-31	PRIJEM	\N	120	28883	UROK	\N	\N
3616648	2606	1998-11-30	PRIJEM	\N	128	31021	UROK	\N	\N
3616649	2606	1998-12-31	PRIJEM	\N	130	30671	UROK	\N	\N
3616650	2607	1997-09-30	PRIJEM	\N	25	13824	UROK	\N	\N
3616651	2607	1997-10-31	PRIJEM	\N	74	22697	UROK	\N	\N
3616652	2607	1997-11-30	PRIJEM	\N	104	27800	UROK	\N	\N
3616653	2607	1997-12-31	PRIJEM	\N	130	34878	UROK	\N	\N
3616654	2607	1998-01-31	PRIJEM	\N	118	17385	UROK	\N	\N
3616655	2607	1998-02-28	PRIJEM	\N	78	17257	UROK	\N	\N
3616656	2607	1998-03-31	PRIJEM	\N	94	23465	UROK	\N	\N
3616657	2607	1998-04-30	PRIJEM	\N	107	24286	UROK	\N	\N
3616658	2607	1998-05-31	PRIJEM	\N	103	14583	UROK	\N	\N
3616659	2607	1998-06-30	PRIJEM	\N	88	21835	UROK	\N	\N
3616660	2607	1998-07-31	PRIJEM	\N	95	15883	UROK	\N	\N
3616661	2607	1998-08-31	PRIJEM	\N	79	18617	UROK	\N	\N
3616662	2607	1998-09-30	PRIJEM	\N	83	19074	UROK	\N	\N
3616663	2607	1998-10-31	PRIJEM	\N	91	21880	UROK	\N	\N
3616664	2607	1998-11-30	PRIJEM	\N	92	20586	UROK	\N	\N
3616665	2607	1998-12-31	PRIJEM	\N	97	20607	UROK	\N	\N
3616666	2608	1995-08-31	PRIJEM	\N	26	9198	UROK	\N	\N
3616667	2608	1995-09-30	PRIJEM	\N	76	22946	UROK	\N	\N
3616668	2608	1995-10-31	PRIJEM	\N	129	35047	UROK	\N	\N
3616669	2608	1995-11-30	PRIJEM	\N	149	36268	UROK	\N	\N
3616670	2608	1995-12-31	PRIJEM	\N	146	34064	UROK	\N	\N
3616671	2608	1996-01-31	PRIJEM	\N	126	25640	UROK	\N	\N
3616672	2608	1996-02-29	PRIJEM	\N	118	29427	UROK	\N	\N
3616673	2608	1996-03-31	PRIJEM	\N	116	26912	UROK	\N	\N
3616674	2608	1996-04-30	PRIJEM	\N	110	26032	UROK	\N	\N
3616675	2608	1996-05-31	PRIJEM	\N	104	24305	UROK	\N	\N
3616676	2608	1996-06-30	PRIJEM	\N	103	26803	UROK	\N	\N
3616677	2608	1996-07-31	PRIJEM	\N	98	21870	UROK	\N	\N
3616678	2608	1996-08-31	PRIJEM	\N	99	24538	UROK	\N	\N
3616679	2608	1996-09-30	PRIJEM	\N	95	20362	UROK	\N	\N
3616680	2608	1996-10-31	PRIJEM	\N	90	21322	UROK	\N	\N
3616681	2608	1996-11-30	PRIJEM	\N	105	27097	UROK	\N	\N
3616682	2608	1996-12-31	PRIJEM	\N	128	31500	UROK	\N	\N
3616683	2608	1997-01-31	PRIJEM	\N	116	22125	UROK	\N	\N
3616684	2608	1997-02-28	PRIJEM	\N	101	25996	UROK	\N	\N
3616685	2608	1997-03-31	PRIJEM	\N	106	25171	UROK	\N	\N
3616686	2608	1997-04-30	PRIJEM	\N	113	28754	UROK	\N	\N
3616687	2608	1997-05-31	PRIJEM	\N	121	27884	UROK	\N	\N
3616688	2608	1997-06-30	PRIJEM	\N	135	29374	UROK	\N	\N
3616689	2608	1997-07-31	PRIJEM	\N	130	28374	UROK	\N	\N
3616690	2608	1997-08-31	PRIJEM	\N	126	28069	UROK	\N	\N
3616691	2608	1997-09-30	PRIJEM	\N	125	28663	UROK	\N	\N
3616692	2608	1997-10-31	PRIJEM	\N	119	25351	UROK	\N	\N
3616693	2608	1997-11-30	PRIJEM	\N	104	27385	UROK	\N	\N
3616694	2608	1997-12-31	PRIJEM	\N	122	26182	UROK	\N	\N
3616695	2608	1998-01-31	PRIJEM	\N	103	19494	UROK	\N	\N
3616696	2608	1998-02-28	PRIJEM	\N	86	18050	UROK	\N	\N
3616697	2608	1998-03-31	PRIJEM	\N	74	16494	UROK	\N	\N
3616698	2608	1998-04-30	PRIJEM	\N	71	18993	UROK	\N	\N
3616699	2608	1998-05-31	PRIJEM	\N	90	24353	UROK	\N	\N
3616700	2608	1998-06-30	PRIJEM	\N	106	23894	UROK	\N	\N
3616701	2608	1998-07-31	PRIJEM	\N	102	24245	UROK	\N	\N
3616702	2608	1998-08-31	PRIJEM	\N	105	24020	UROK	\N	\N
3616703	2608	1998-09-30	PRIJEM	\N	104	24393	UROK	\N	\N
3616704	2608	1998-10-31	PRIJEM	\N	108	26671	UROK	\N	\N
3616705	2608	1998-11-30	PRIJEM	\N	106	20646	UROK	\N	\N
3616706	2608	1998-12-31	PRIJEM	\N	105	27687	UROK	\N	\N
3616707	2609	1993-07-31	PRIJEM	\N	114	87227	UROK	\N	\N
3616708	2609	1993-08-31	PRIJEM	\N	433	66975	UROK	\N	\N
3616709	2609	1993-09-30	PRIJEM	\N	277	48096	UROK	\N	\N
3616710	2609	1993-10-31	PRIJEM	\N	252	47726	UROK	\N	\N
3616711	2609	1993-11-30	PRIJEM	\N	212	53245	UROK	\N	\N
3616712	2609	1993-12-31	PRIJEM	\N	327	46784	UROK	\N	\N
3616713	2609	1994-01-31	PRIJEM	\N	146	21599	UROK	\N	\N
3616714	2609	1994-02-28	PRIJEM	\N	93	30993	UROK	\N	\N
3616715	2609	1994-03-31	PRIJEM	\N	127	25754	UROK	\N	\N
3616716	2609	1994-04-30	PRIJEM	\N	107	23746	UROK	\N	\N
3616717	2609	1994-05-31	PRIJEM	\N	110	65917	UROK	\N	\N
3616718	2609	1994-06-30	PRIJEM	\N	163	27790	UROK	\N	\N
3616719	2609	1994-07-31	PRIJEM	\N	116	27091	UROK	\N	\N
3616720	2609	1994-08-31	PRIJEM	\N	113	26889	UROK	\N	\N
3616721	2609	1994-09-30	PRIJEM	\N	111	23286	UROK	\N	\N
3616722	2609	1994-10-31	PRIJEM	\N	97	26068	UROK	\N	\N
3616723	2609	1994-11-30	PRIJEM	\N	118	33405	UROK	\N	\N
3616724	2609	1994-12-31	PRIJEM	\N	187	40521	UROK	\N	\N
3616725	2609	1995-01-31	PRIJEM	\N	266	55377	UROK	\N	\N
3616726	2609	1995-02-28	PRIJEM	\N	218	36895	UROK	\N	\N
3616727	2609	1995-03-31	PRIJEM	\N	139	22165	UROK	\N	\N
3616728	2609	1995-04-30	PRIJEM	\N	118	37563	UROK	\N	\N
3616729	2609	1995-05-31	PRIJEM	\N	155	27803	UROK	\N	\N
3616730	2609	1995-06-30	PRIJEM	\N	259	61587	UROK	\N	\N
3616731	2609	1995-07-31	PRIJEM	\N	219	34091	UROK	\N	\N
3616732	2609	1995-08-31	PRIJEM	\N	194	40594	UROK	\N	\N
3616733	2609	1995-09-30	PRIJEM	\N	182	45079	UROK	\N	\N
3616734	2609	1995-10-31	PRIJEM	\N	198	85483	UROK	\N	\N
3616735	2609	1995-11-30	PRIJEM	\N	349	74735	UROK	\N	\N
3616736	2609	1995-12-31	PRIJEM	\N	295	62611	UROK	\N	\N
3616737	2609	1996-01-31	PRIJEM	\N	206	38843	UROK	\N	\N
3616738	2609	1996-02-29	PRIJEM	\N	159	28588	UROK	\N	\N
3616739	2609	1996-03-31	PRIJEM	\N	118	26291	UROK	\N	\N
3616740	2609	1996-04-30	PRIJEM	\N	142	40530	UROK	\N	\N
3616741	2609	1996-05-31	PRIJEM	\N	167	34382	UROK	\N	\N
3616742	2609	1996-06-30	PRIJEM	\N	218	37408	UROK	\N	\N
3616743	2609	1996-07-31	PRIJEM	\N	145	26639	UROK	\N	\N
3616744	2609	1996-08-31	PRIJEM	\N	258	61711	UROK	\N	\N
3616745	2609	1996-09-30	PRIJEM	\N	361	40267	UROK	\N	\N
3616746	2609	1996-10-31	PRIJEM	\N	142	30483	UROK	\N	\N
3616747	2609	1996-11-30	PRIJEM	\N	136	37290	UROK	\N	\N
3616748	2609	1996-12-31	PRIJEM	\N	128	74442	UROK	\N	\N
3616749	2609	1997-01-31	PRIJEM	\N	186	28913	UROK	\N	\N
3616750	2609	1997-02-28	PRIJEM	\N	117	25016	UROK	\N	\N
3616751	2609	1997-03-31	PRIJEM	\N	154	73373	UROK	\N	\N
3616752	2609	1997-04-30	PRIJEM	\N	248	40590	UROK	\N	\N
3616753	2609	1997-05-31	PRIJEM	\N	174	70613	UROK	\N	\N
3616754	2609	1997-06-30	PRIJEM	\N	202	27901	UROK	\N	\N
3616755	2609	1997-07-31	PRIJEM	\N	113	28799	UROK	\N	\N
3616756	2609	1997-08-31	PRIJEM	\N	116	26101	UROK	\N	\N
3616757	2609	1997-09-30	PRIJEM	\N	105	22891	UROK	\N	\N
3616758	2609	1997-10-31	PRIJEM	\N	92	20768	UROK	\N	\N
3616759	2609	1997-11-30	PRIJEM	\N	121	32728	UROK	\N	\N
3616760	2609	1997-12-31	PRIJEM	\N	132	27245	UROK	\N	\N
3616761	2609	1998-01-31	PRIJEM	\N	109	23740	UROK	\N	\N
3616762	2609	1998-02-28	PRIJEM	\N	240	103457	UROK	\N	\N
3616763	2609	1998-03-31	PRIJEM	\N	349	39572	UROK	\N	\N
3616764	2609	1998-04-30	PRIJEM	\N	159	30017	UROK	\N	\N
3616765	2609	1998-05-31	PRIJEM	\N	126	63403	UROK	\N	\N
3616766	2609	1998-06-30	PRIJEM	\N	278	75867	UROK	\N	\N
3616767	2609	1998-07-31	PRIJEM	\N	210	36382	UROK	\N	\N
3616768	2609	1998-08-31	PRIJEM	\N	144	19812	UROK	\N	\N
3616769	2609	1998-09-30	PRIJEM	\N	105	31175	UROK	\N	\N
3616770	2609	1998-10-31	PRIJEM	\N	126	41046	UROK	\N	\N
3616771	2609	1998-11-30	PRIJEM	\N	209	51985	UROK	\N	\N
3616772	2609	1998-12-31	PRIJEM	\N	213	55570	UROK	\N	\N
3616773	2610	1997-04-30	PRIJEM	\N	39	23471	UROK	\N	\N
3616774	2610	1997-05-31	PRIJEM	\N	96	20743	UROK	\N	\N
3616775	2610	1997-06-30	PRIJEM	\N	97	24402	UROK	\N	\N
3616776	2610	1997-07-31	PRIJEM	\N	104	24207	UROK	\N	\N
3616777	2610	1997-08-31	PRIJEM	\N	97	21166	UROK	\N	\N
3616778	2610	1997-09-30	PRIJEM	\N	97	24664	UROK	\N	\N
3616779	2610	1997-10-31	PRIJEM	\N	98	21763	UROK	\N	\N
3616780	2610	1997-11-30	PRIJEM	\N	94	22779	UROK	\N	\N
3616781	2610	1997-12-31	PRIJEM	\N	88	17968	UROK	\N	\N
3616782	2610	1998-01-31	PRIJEM	\N	86	19055	UROK	\N	\N
3616783	2610	1998-02-28	PRIJEM	\N	75	19392	UROK	\N	\N
3616784	2610	1998-03-31	PRIJEM	\N	85	21278	UROK	\N	\N
3616785	2610	1998-04-30	PRIJEM	\N	90	22070	UROK	\N	\N
3616786	2610	1998-05-31	PRIJEM	\N	85	20436	UROK	\N	\N
3616787	2610	1998-06-30	PRIJEM	\N	97	25534	UROK	\N	\N
3616788	2610	1998-07-31	PRIJEM	\N	110	26845	UROK	\N	\N
3616789	2610	1998-08-31	PRIJEM	\N	125	31571	UROK	\N	\N
3616790	2610	1998-09-30	PRIJEM	\N	143	36715	UROK	\N	\N
3616791	2610	1998-10-31	PRIJEM	\N	150	35687	UROK	\N	\N
3616792	2610	1998-11-30	PRIJEM	\N	160	40848	UROK	\N	\N
3616793	2610	1998-12-31	PRIJEM	\N	177	42777	UROK	\N	\N
3616794	2612	1997-05-31	PRIJEM	\N	9	22604	UROK	\N	\N
3616795	2612	1997-06-30	PRIJEM	\N	102	41598	UROK	\N	\N
3616796	2612	1997-07-31	PRIJEM	\N	174	43967	UROK	\N	\N
3616797	2612	1997-08-31	PRIJEM	\N	183	44945	UROK	\N	\N
3616798	2612	1997-09-30	PRIJEM	\N	183	37645	UROK	\N	\N
3616799	2612	1997-10-31	PRIJEM	\N	173	42248	UROK	\N	\N
3616800	2612	1997-11-30	PRIJEM	\N	169	33997	UROK	\N	\N
3616801	2612	1997-12-31	PRIJEM	\N	146	24478	UROK	\N	\N
3616802	2612	1998-01-31	PRIJEM	\N	107	21365	UROK	\N	\N
3616803	2612	1998-02-28	PRIJEM	\N	95	28641	UROK	\N	\N
3616804	2612	1998-03-31	PRIJEM	\N	123	32944	UROK	\N	\N
3616805	2612	1998-04-30	PRIJEM	\N	142	37766	UROK	\N	\N
3616806	2612	1998-05-31	PRIJEM	\N	159	39806	UROK	\N	\N
3616807	2612	1998-06-30	PRIJEM	\N	142	25526	UROK	\N	\N
3616808	2612	1998-07-31	PRIJEM	\N	121	37727	UROK	\N	\N
3616809	2612	1998-08-31	PRIJEM	\N	180	35587	UROK	\N	\N
3616810	2612	1998-09-30	PRIJEM	\N	154	32822	UROK	\N	\N
3616811	2612	1998-10-31	PRIJEM	\N	152	43254	UROK	\N	\N
3616812	2612	1998-11-30	PRIJEM	\N	193	42527	UROK	\N	\N
3616813	2612	1998-12-31	PRIJEM	\N	221	38317	UROK	\N	\N
3616814	2613	1993-10-31	PRIJEM	\N	16	5301	UROK	\N	\N
3616815	2613	1993-11-30	PRIJEM	\N	22	10308	UROK	\N	\N
3616816	2613	1993-12-31	PRIJEM	\N	22	15315	UROK	\N	\N
3616817	2613	1994-01-31	PRIJEM	\N	22	20322	UROK	\N	\N
3616818	2613	1994-02-28	PRIJEM	\N	62	22274	UROK	\N	\N
3616819	2613	1994-03-31	PRIJEM	\N	102	24251	UROK	\N	\N
3616820	2613	1994-04-30	PRIJEM	\N	107	24334	UROK	\N	\N
3616821	2613	1994-05-31	PRIJEM	\N	109	24818	UROK	\N	\N
3616822	2613	1994-06-30	PRIJEM	\N	68	9882	UROK	\N	\N
3616823	2613	1994-07-31	PRIJEM	\N	46	11803	UROK	\N	\N
3616824	2613	1994-08-31	PRIJEM	\N	56	13734	UROK	\N	\N
3616825	2613	1994-09-30	PRIJEM	\N	64	15673	UROK	\N	\N
3616826	2613	1994-10-31	PRIJEM	\N	72	17620	UROK	\N	\N
3616827	2613	1994-11-30	PRIJEM	\N	78	19573	UROK	\N	\N
3616828	2613	1994-12-31	PRIJEM	\N	78	17336	UROK	\N	\N
3616829	2613	1995-01-31	PRIJEM	\N	61	13672	UROK	\N	\N
3616830	2613	1995-02-28	PRIJEM	\N	60	14008	UROK	\N	\N
3616831	2613	1995-03-31	PRIJEM	\N	65	14189	UROK	\N	\N
3616832	2613	1995-04-30	PRIJEM	\N	63	16127	UROK	\N	\N
3616833	2613	1995-05-31	PRIJEM	\N	60	14382	UROK	\N	\N
3616834	2613	1995-06-30	PRIJEM	\N	69	16326	UROK	\N	\N
3616835	2613	1995-07-31	PRIJEM	\N	77	18279	UROK	\N	\N
3616836	2613	1995-08-31	PRIJEM	\N	79	18933	UROK	\N	\N
3616837	2613	1995-09-30	PRIJEM	\N	83	20891	UROK	\N	\N
3616838	2613	1995-10-31	PRIJEM	\N	91	22858	UROK	\N	\N
3616839	2613	1995-11-30	PRIJEM	\N	97	22531	UROK	\N	\N
3616840	2613	1995-12-31	PRIJEM	\N	99	23955	UROK	\N	\N
3616841	2613	1996-01-31	PRIJEM	\N	90	17520	UROK	\N	\N
3616842	2613	1996-02-29	PRIJEM	\N	81	19477	UROK	\N	\N
3616843	2613	1996-03-31	PRIJEM	\N	87	21440	UROK	\N	\N
3616844	2613	1996-04-30	PRIJEM	\N	95	23410	UROK	\N	\N
3616845	2613	1996-05-31	PRIJEM	\N	101	25387	UROK	\N	\N
3616846	2613	1996-06-30	PRIJEM	\N	107	25620	UROK	\N	\N
3616847	2613	1996-07-31	PRIJEM	\N	115	27611	UROK	\N	\N
3616848	2613	1996-08-31	PRIJEM	\N	116	27922	UROK	\N	\N
3616849	2613	1996-09-30	PRIJEM	\N	125	29922	UROK	\N	\N
3616850	2613	1996-10-31	PRIJEM	\N	130	31927	UROK	\N	\N
3616851	2613	1996-11-30	PRIJEM	\N	134	28096	UROK	\N	\N
3616852	2613	1996-12-31	PRIJEM	\N	119	28141	UROK	\N	\N
3616853	2613	1997-01-31	PRIJEM	\N	110	21886	UROK	\N	\N
3616854	2613	1997-02-28	PRIJEM	\N	94	22455	UROK	\N	\N
3616855	2613	1997-03-31	PRIJEM	\N	102	24433	UROK	\N	\N
3616856	2613	1997-04-30	PRIJEM	\N	104	26012	UROK	\N	\N
3616857	2613	1997-05-31	PRIJEM	\N	99	22386	UROK	\N	\N
3616858	2613	1997-06-30	PRIJEM	\N	87	19128	UROK	\N	\N
3616859	2613	1997-07-31	PRIJEM	\N	81	19385	UROK	\N	\N
3616860	2613	1997-08-31	PRIJEM	\N	84	19244	UROK	\N	\N
3616861	2613	1997-09-30	PRIJEM	\N	83	21203	UROK	\N	\N
3616862	2613	1997-10-31	PRIJEM	\N	94	22972	UROK	\N	\N
3616863	2613	1997-11-30	PRIJEM	\N	91	21639	UROK	\N	\N
3616864	2613	1997-12-31	PRIJEM	\N	72	15537	UROK	\N	\N
3616865	2613	1998-01-31	PRIJEM	\N	55	11067	UROK	\N	\N
3616866	2613	1998-02-28	PRIJEM	\N	53	12995	UROK	\N	\N
3616867	2613	1998-03-31	PRIJEM	\N	62	14932	UROK	\N	\N
3616868	2613	1998-04-30	PRIJEM	\N	59	13366	UROK	\N	\N
3616869	2613	1998-05-31	PRIJEM	\N	58	15300	UROK	\N	\N
3616870	2613	1998-06-30	PRIJEM	\N	66	17241	UROK	\N	\N
3616871	2613	1998-07-31	PRIJEM	\N	74	19191	UROK	\N	\N
3616872	2613	1998-08-31	PRIJEM	\N	87	21153	UROK	\N	\N
3616873	2613	1998-09-30	PRIJEM	\N	89	21017	UROK	\N	\N
3616874	2613	1998-10-31	PRIJEM	\N	78	16670	UROK	\N	\N
3616875	2613	1998-11-30	PRIJEM	\N	76	18622	UROK	\N	\N
3616876	2613	1998-12-31	PRIJEM	\N	78	19225	UROK	\N	\N
3616877	2614	1996-09-30	PRIJEM	\N	11	4140	UROK	\N	\N
3616878	2614	1996-10-31	PRIJEM	\N	17	7386	UROK	\N	\N
3616879	2614	1996-11-30	PRIJEM	\N	17	10632	UROK	\N	\N
3616880	2614	1996-12-31	PRIJEM	\N	17	13879	UROK	\N	\N
3616881	2614	1997-01-31	PRIJEM	\N	43	12550	UROK	\N	\N
3616882	2614	1997-02-28	PRIJEM	\N	55	13668	UROK	\N	\N
3616883	2614	1997-03-31	PRIJEM	\N	60	14790	UROK	\N	\N
3616884	2614	1997-04-30	PRIJEM	\N	64	15917	UROK	\N	\N
3616885	2614	1997-05-31	PRIJEM	\N	69	16628	UROK	\N	\N
3616886	2614	1997-06-30	PRIJEM	\N	72	17762	UROK	\N	\N
3616887	2614	1997-07-31	PRIJEM	\N	67	16192	UROK	\N	\N
3616888	2614	1997-08-31	PRIJEM	\N	70	17324	UROK	\N	\N
3616889	2614	1997-09-30	PRIJEM	\N	75	18462	UROK	\N	\N
3616890	2614	1997-10-31	PRIJEM	\N	74	18548	UROK	\N	\N
3616891	2614	1997-11-30	PRIJEM	\N	70	17380	UROK	\N	\N
3616892	2614	1997-12-31	PRIJEM	\N	53	12856	UROK	\N	\N
3616893	2614	1998-01-31	PRIJEM	\N	54	12682	UROK	\N	\N
3616894	2614	1998-02-28	PRIJEM	\N	55	13800	UROK	\N	\N
3616895	2614	1998-03-31	PRIJEM	\N	49	12312	UROK	\N	\N
3616896	2614	1998-04-30	PRIJEM	\N	54	13428	UROK	\N	\N
3616897	2614	1998-05-31	PRIJEM	\N	57	13198	UROK	\N	\N
3616898	2614	1998-06-30	PRIJEM	\N	58	14318	UROK	\N	\N
3616899	2614	1998-07-31	PRIJEM	\N	62	15443	UROK	\N	\N
3616900	2614	1998-08-31	PRIJEM	\N	67	16572	UROK	\N	\N
3616901	2614	1998-09-30	PRIJEM	\N	51	12386	UROK	\N	\N
3616902	2614	1998-10-31	PRIJEM	\N	54	13502	UROK	\N	\N
3616903	2614	1998-11-30	PRIJEM	\N	59	14623	UROK	\N	\N
3616904	2614	1998-12-31	PRIJEM	\N	60	15146	UROK	\N	\N
3616905	2616	1993-09-30	PRIJEM	\N	45	21830	UROK	\N	\N
3616906	2616	1993-10-31	PRIJEM	\N	119	34834	UROK	\N	\N
3616907	2616	1993-11-30	PRIJEM	\N	156	39875	UROK	\N	\N
3616908	2616	1993-12-31	PRIJEM	\N	189	49991	UROK	\N	\N
3616909	2616	1994-01-31	PRIJEM	\N	166	32334	UROK	\N	\N
3616910	2616	1994-02-28	PRIJEM	\N	147	31104	UROK	\N	\N
3616911	2616	1994-03-31	PRIJEM	\N	137	32323	UROK	\N	\N
3616912	2616	1994-04-30	PRIJEM	\N	147	33032	UROK	\N	\N
3616913	2616	1994-05-31	PRIJEM	\N	138	32053	UROK	\N	\N
3616914	2616	1994-06-30	PRIJEM	\N	149	33907	UROK	\N	\N
3616915	2616	1994-07-31	PRIJEM	\N	146	35135	UROK	\N	\N
3616916	2616	1994-08-31	PRIJEM	\N	148	32705	UROK	\N	\N
3616917	2616	1994-09-30	PRIJEM	\N	128	29415	UROK	\N	\N
3616918	2616	1994-10-31	PRIJEM	\N	120	28318	UROK	\N	\N
3616919	2616	1994-11-30	PRIJEM	\N	111	25311	UROK	\N	\N
3616920	2616	1994-12-31	PRIJEM	\N	115	26071	UROK	\N	\N
3616921	2616	1995-01-31	PRIJEM	\N	113	21027	UROK	\N	\N
3616922	2616	1995-02-28	PRIJEM	\N	95	21284	UROK	\N	\N
3616923	2616	1995-03-31	PRIJEM	\N	101	24968	UROK	\N	\N
3616924	2616	1995-04-30	PRIJEM	\N	105	24555	UROK	\N	\N
3616925	2616	1995-05-31	PRIJEM	\N	109	25947	UROK	\N	\N
3616926	2616	1995-06-30	PRIJEM	\N	127	25278	UROK	\N	\N
3616927	2616	1995-07-31	PRIJEM	\N	121	29082	UROK	\N	\N
3616928	2616	1995-08-31	PRIJEM	\N	134	31598	UROK	\N	\N
3616929	2616	1995-09-30	PRIJEM	\N	146	25846	UROK	\N	\N
3616930	2616	1995-10-31	PRIJEM	\N	96	20525	UROK	\N	\N
3616931	2616	1995-11-30	PRIJEM	\N	146	33633	UROK	\N	\N
3616932	2616	1995-12-31	PRIJEM	\N	196	47034	UROK	\N	\N
3616933	2616	1996-01-31	PRIJEM	\N	174	30790	UROK	\N	\N
3616934	2616	1996-02-29	PRIJEM	\N	153	36325	UROK	\N	\N
3616935	2616	1996-03-31	PRIJEM	\N	161	34428	UROK	\N	\N
3616936	2616	1996-04-30	PRIJEM	\N	146	32437	UROK	\N	\N
3616937	2616	1996-05-31	PRIJEM	\N	151	35671	UROK	\N	\N
3616938	2616	1996-06-30	PRIJEM	\N	182	42577	UROK	\N	\N
3616939	2616	1996-07-31	PRIJEM	\N	163	37023	UROK	\N	\N
3616940	2616	1996-08-31	PRIJEM	\N	145	33449	UROK	\N	\N
3616941	2616	1996-09-30	PRIJEM	\N	106	30537	UROK	\N	\N
3616942	2616	1996-10-31	PRIJEM	\N	109	20569	UROK	\N	\N
3616943	2616	1996-11-30	PRIJEM	\N	112	20903	UROK	\N	\N
3616944	2616	1996-12-31	PRIJEM	\N	130	26458	UROK	\N	\N
3616945	2616	1997-01-31	PRIJEM	\N	112	15732	UROK	\N	\N
3616946	2616	1997-02-28	PRIJEM	\N	93	22407	UROK	\N	\N
3616947	2616	1997-03-31	PRIJEM	\N	112	22982	UROK	\N	\N
3616948	2616	1997-04-30	PRIJEM	\N	120	21784	UROK	\N	\N
3616949	2616	1997-05-31	PRIJEM	\N	115	21881	UROK	\N	\N
3616950	2616	1997-06-30	PRIJEM	\N	142	24667	UROK	\N	\N
3616951	2616	1997-07-31	PRIJEM	\N	116	20706	UROK	\N	\N
3616952	2616	1997-08-31	PRIJEM	\N	106	20394	UROK	\N	\N
3616953	2616	1997-09-30	PRIJEM	\N	103	18980	UROK	\N	\N
3616954	2616	1997-10-31	PRIJEM	\N	98	19160	UROK	\N	\N
3616955	2616	1997-11-30	PRIJEM	\N	96	17977	UROK	\N	\N
3616956	2616	1997-12-31	PRIJEM	\N	127	23669	UROK	\N	\N
3616957	2616	1998-01-31	PRIJEM	\N	107	18298	UROK	\N	\N
3616958	2616	1998-02-28	PRIJEM	\N	89	16870	UROK	\N	\N
3616959	2616	1998-03-31	PRIJEM	\N	89	19242	UROK	\N	\N
3616960	2616	1998-04-30	PRIJEM	\N	93	17317	UROK	\N	\N
3616961	2616	1998-05-31	PRIJEM	\N	88	18487	UROK	\N	\N
3616962	2616	1998-06-30	PRIJEM	\N	89	17341	UROK	\N	\N
3616963	2616	1998-07-31	PRIJEM	\N	85	17609	UROK	\N	\N
3616964	2616	1998-08-31	PRIJEM	\N	80	14871	UROK	\N	\N
3616965	2616	1998-09-30	PRIJEM	\N	71	14625	UROK	\N	\N
3616966	2616	1998-10-31	PRIJEM	\N	80	18267	UROK	\N	\N
3616967	2616	1998-11-30	PRIJEM	\N	104	30453	UROK	\N	\N
3616968	2616	1998-12-31	PRIJEM	\N	125	20103	UROK	\N	\N
3616969	2617	1994-02-28	PRIJEM	\N	28	14238	UROK	\N	\N
3616970	2617	1994-03-31	PRIJEM	\N	62	15302	UROK	\N	\N
3616971	2617	1994-04-30	PRIJEM	\N	61	13665	UROK	\N	\N
3616972	2617	1994-05-31	PRIJEM	\N	54	13131	UROK	\N	\N
3616973	2617	1994-06-30	PRIJEM	\N	57	14190	UROK	\N	\N
3616974	2617	1994-07-31	PRIJEM	\N	61	15254	UROK	\N	\N
3616975	2617	1994-08-31	PRIJEM	\N	66	16322	UROK	\N	\N
3616976	2617	1994-09-30	PRIJEM	\N	68	16703	UROK	\N	\N
3616977	2617	1994-10-31	PRIJEM	\N	72	17777	UROK	\N	\N
3616978	2617	1994-11-30	PRIJEM	\N	76	18856	UROK	\N	\N
3616979	2617	1994-12-31	PRIJEM	\N	80	19218	UROK	\N	\N
3616980	2617	1995-01-31	PRIJEM	\N	76	17836	UROK	\N	\N
3616981	2617	1995-02-28	PRIJEM	\N	76	18915	UROK	\N	\N
3616982	2617	1995-03-31	PRIJEM	\N	81	19998	UROK	\N	\N
3616983	2617	1995-04-30	PRIJEM	\N	85	21086	UROK	\N	\N
3616984	2617	1995-05-31	PRIJEM	\N	90	22178	UROK	\N	\N
3616985	2617	1995-06-30	PRIJEM	\N	85	20416	UROK	\N	\N
3616986	2617	1995-07-31	PRIJEM	\N	87	21505	UROK	\N	\N
3616987	2617	1995-08-31	PRIJEM	\N	85	20132	UROK	\N	\N
3616988	2617	1995-09-30	PRIJEM	\N	86	21221	UROK	\N	\N
3616989	2617	1995-10-31	PRIJEM	\N	91	22314	UROK	\N	\N
3616990	2617	1995-11-30	PRIJEM	\N	95	23201	UROK	\N	\N
3616991	2617	1995-12-31	PRIJEM	\N	97	23670	UROK	\N	\N
3616992	2617	1996-01-31	PRIJEM	\N	100	23873	UROK	\N	\N
3616993	2617	1996-02-29	PRIJEM	\N	101	24976	UROK	\N	\N
3616994	2617	1996-03-31	PRIJEM	\N	106	26085	UROK	\N	\N
3616995	2617	1996-04-30	PRIJEM	\N	110	27017	UROK	\N	\N
3616996	2617	1996-05-31	PRIJEM	\N	114	28134	UROK	\N	\N
3616997	2617	1996-06-30	PRIJEM	\N	95	22062	UROK	\N	\N
3616998	2617	1996-07-31	PRIJEM	\N	94	23158	UROK	\N	\N
3616999	2617	1996-08-31	PRIJEM	\N	98	24259	UROK	\N	\N
3617000	2617	1996-09-30	PRIJEM	\N	103	25364	UROK	\N	\N
3617001	2617	1996-10-31	PRIJEM	\N	105	25151	UROK	\N	\N
3617002	2617	1996-11-30	PRIJEM	\N	106	26260	UROK	\N	\N
3617003	2617	1996-12-31	PRIJEM	\N	108	25750	UROK	\N	\N
3617004	2617	1997-01-31	PRIJEM	\N	103	24396	UROK	\N	\N
3617005	2617	1997-02-28	PRIJEM	\N	103	25501	UROK	\N	\N
3617006	2617	1997-03-31	PRIJEM	\N	108	26611	UROK	\N	\N
3617007	2617	1997-04-30	PRIJEM	\N	112	27726	UROK	\N	\N
3617008	2617	1997-05-31	PRIJEM	\N	114	27732	UROK	\N	\N
3617009	2617	1997-06-30	PRIJEM	\N	86	20661	UROK	\N	\N
3617010	2617	1997-07-31	PRIJEM	\N	87	21750	UROK	\N	\N
3617011	2617	1997-08-31	PRIJEM	\N	91	22243	UROK	\N	\N
3617012	2617	1997-09-30	PRIJEM	\N	92	22468	UROK	\N	\N
3617013	2617	1997-10-31	PRIJEM	\N	90	22090	UROK	\N	\N
3617014	2617	1997-11-30	PRIJEM	\N	93	23185	UROK	\N	\N
3617015	2617	1997-12-31	PRIJEM	\N	97	23475	UROK	\N	\N
3617016	2617	1998-01-31	PRIJEM	\N	96	22803	UROK	\N	\N
3617017	2617	1998-02-28	PRIJEM	\N	95	23030	UROK	\N	\N
3617018	2617	1998-03-31	PRIJEM	\N	97	24129	UROK	\N	\N
3617019	2617	1998-04-30	PRIJEM	\N	101	25233	UROK	\N	\N
3617020	2617	1998-05-31	PRIJEM	\N	106	26341	UROK	\N	\N
3617021	2617	1998-06-30	PRIJEM	\N	81	18664	UROK	\N	\N
3617022	2617	1998-07-31	PRIJEM	\N	73	17999	UROK	\N	\N
3617023	2617	1998-08-31	PRIJEM	\N	72	17903	UROK	\N	\N
3617024	2617	1998-09-30	PRIJEM	\N	72	18137	UROK	\N	\N
3617025	2617	1998-10-31	PRIJEM	\N	72	17832	UROK	\N	\N
3617026	2617	1998-11-30	PRIJEM	\N	74	18909	UROK	\N	\N
3617027	2617	1998-12-31	PRIJEM	\N	78	19359	UROK	\N	\N
3617028	2618	1993-07-31	PRIJEM	\N	47	26683	UROK	\N	\N
3617029	2618	1993-08-31	PRIJEM	\N	118	29259	UROK	\N	\N
3617030	2618	1993-09-30	PRIJEM	\N	122	27682	UROK	\N	\N
3617031	2618	1993-10-31	PRIJEM	\N	110	24954	UROK	\N	\N
3617032	2618	1993-11-30	PRIJEM	\N	115	28390	UROK	\N	\N
3617033	2618	1993-12-31	PRIJEM	\N	122	27933	UROK	\N	\N
3617034	2618	1994-01-31	PRIJEM	\N	99	20173	UROK	\N	\N
3617035	2618	1994-02-28	PRIJEM	\N	94	23388	UROK	\N	\N
3617036	2618	1994-03-31	PRIJEM	\N	106	26016	UROK	\N	\N
3617037	2618	1994-04-30	PRIJEM	\N	111	25949	UROK	\N	\N
3617038	2618	1994-05-31	PRIJEM	\N	106	22016	UROK	\N	\N
3617039	2618	1994-06-30	PRIJEM	\N	102	25439	UROK	\N	\N
3617040	2618	1994-07-31	PRIJEM	\N	113	27374	UROK	\N	\N
3617041	2618	1994-08-31	PRIJEM	\N	111	24546	UROK	\N	\N
3617042	2618	1994-09-30	PRIJEM	\N	106	25373	UROK	\N	\N
3617043	2618	1994-10-31	PRIJEM	\N	100	21934	UROK	\N	\N
3617044	2618	1994-11-30	PRIJEM	\N	92	21647	UROK	\N	\N
3617045	2618	1994-12-31	PRIJEM	\N	82	17770	UROK	\N	\N
3617046	2618	1995-01-31	PRIJEM	\N	66	14678	UROK	\N	\N
3617047	2618	1995-02-28	PRIJEM	\N	71	18070	UROK	\N	\N
3617048	2618	1995-03-31	PRIJEM	\N	86	21477	UROK	\N	\N
3617049	2618	1995-04-30	PRIJEM	\N	83	19002	UROK	\N	\N
3617050	2618	1995-05-31	PRIJEM	\N	77	17380	UROK	\N	\N
3617051	2618	1995-06-30	PRIJEM	\N	83	20784	UROK	\N	\N
3617052	2618	1995-07-31	PRIJEM	\N	84	19429	UROK	\N	\N
3617053	2618	1995-08-31	PRIJEM	\N	73	17324	UROK	\N	\N
3617054	2618	1995-09-30	PRIJEM	\N	75	15040	UROK	\N	\N
3617055	2618	1995-10-31	PRIJEM	\N	73	18434	UROK	\N	\N
3617056	2618	1995-11-30	PRIJEM	\N	78	19473	UROK	\N	\N
3617057	2618	1995-12-31	PRIJEM	\N	80	19825	UROK	\N	\N
3617058	2618	1996-01-31	PRIJEM	\N	62	13827	UROK	\N	\N
3617059	2618	1996-02-29	PRIJEM	\N	66	17115	UROK	\N	\N
3617060	2618	1996-03-31	PRIJEM	\N	75	19011	UROK	\N	\N
3617061	2618	1996-04-30	PRIJEM	\N	80	20113	UROK	\N	\N
3617062	2618	1996-05-31	PRIJEM	\N	80	19914	UROK	\N	\N
3617063	2618	1996-06-30	PRIJEM	\N	76	18712	UROK	\N	\N
3617064	2618	1996-07-31	PRIJEM	\N	71	17604	UROK	\N	\N
3617065	2618	1996-08-31	PRIJEM	\N	71	17696	UROK	\N	\N
3617066	2618	1996-09-30	PRIJEM	\N	70	16608	UROK	\N	\N
3617067	2618	1996-10-31	PRIJEM	\N	65	16194	UROK	\N	\N
3617068	2618	1996-11-30	PRIJEM	\N	76	19391	UROK	\N	\N
3617069	2618	1996-12-31	PRIJEM	\N	85	13697	UROK	\N	\N
3617070	2618	1997-01-31	PRIJEM	\N	61	14200	UROK	\N	\N
3617071	2618	1997-02-28	PRIJEM	\N	68	17590	UROK	\N	\N
3617072	2618	1997-03-31	PRIJEM	\N	83	20994	UROK	\N	\N
3617073	2618	1997-04-30	PRIJEM	\N	97	24412	UROK	\N	\N
3617074	2618	1997-05-31	PRIJEM	\N	105	12638	UROK	\N	\N
3617075	2618	1997-06-30	PRIJEM	\N	62	16021	UROK	\N	\N
3617076	2618	1997-07-31	PRIJEM	\N	71	17733	UROK	\N	\N
3617077	2618	1997-08-31	PRIJEM	\N	74	18809	UROK	\N	\N
3617078	2618	1997-09-30	PRIJEM	\N	85	20615	UROK	\N	\N
3617079	2618	1997-10-31	PRIJEM	\N	95	24031	UROK	\N	\N
3617080	2618	1997-11-30	PRIJEM	\N	109	27462	UROK	\N	\N
3617081	2618	1997-12-31	PRIJEM	\N	108	15291	UROK	\N	\N
3617082	2618	1998-01-31	PRIJEM	\N	65	15718	UROK	\N	\N
3617083	2618	1998-02-28	PRIJEM	\N	74	19113	UROK	\N	\N
3617084	2618	1998-03-31	PRIJEM	\N	88	22523	UROK	\N	\N
3617085	2618	1998-04-30	PRIJEM	\N	102	25946	UROK	\N	\N
3617086	2618	1998-05-31	PRIJEM	\N	100	14368	UROK	\N	\N
3617087	2618	1998-06-30	PRIJEM	\N	68	17757	UROK	\N	\N
3617088	2618	1998-07-31	PRIJEM	\N	81	20760	UROK	\N	\N
3617089	2618	1998-08-31	PRIJEM	\N	95	24176	UROK	\N	\N
3617090	2618	1998-09-30	PRIJEM	\N	103	26240	UROK	\N	\N
3617091	2618	1998-10-31	PRIJEM	\N	112	28474	UROK	\N	\N
3617092	2618	1998-11-30	PRIJEM	\N	117	27512	UROK	\N	\N
3617093	2618	1998-12-31	PRIJEM	\N	119	30153	UROK	\N	\N
3617094	2619	1996-06-30	PRIJEM	\N	61	23226	UROK	\N	\N
3617095	2619	1996-07-31	PRIJEM	\N	107	27043	UROK	\N	\N
3617096	2619	1996-08-31	PRIJEM	\N	118	29171	UROK	\N	\N
3617097	2619	1996-09-30	PRIJEM	\N	131	32512	UROK	\N	\N
3617098	2619	1996-10-31	PRIJEM	\N	134	32156	UROK	\N	\N
3617099	2619	1996-11-30	PRIJEM	\N	142	35540	UROK	\N	\N
3617100	2619	1996-12-31	PRIJEM	\N	164	41340	UROK	\N	\N
3617101	2619	1997-01-31	PRIJEM	\N	151	34493	UROK	\N	\N
3617102	2619	1997-02-28	PRIJEM	\N	132	32066	UROK	\N	\N
3617103	2619	1997-03-31	PRIJEM	\N	150	37857	UROK	\N	\N
3617104	2619	1997-04-30	PRIJEM	\N	168	41867	UROK	\N	\N
3617105	2619	1997-05-31	PRIJEM	\N	165	39573	UROK	\N	\N
3617106	2619	1997-06-30	PRIJEM	\N	185	47255	UROK	\N	\N
3617107	2619	1997-07-31	PRIJEM	\N	183	43480	UROK	\N	\N
3617108	2619	1997-08-31	PRIJEM	\N	150	35911	UROK	\N	\N
3617109	2619	1997-09-30	PRIJEM	\N	151	36903	UROK	\N	\N
3617110	2619	1997-10-31	PRIJEM	\N	159	39204	UROK	\N	\N
3617111	2619	1997-11-30	PRIJEM	\N	161	39206	UROK	\N	\N
3617112	2619	1997-12-31	PRIJEM	\N	152	39095	UROK	\N	\N
3617113	2619	1998-01-31	PRIJEM	\N	115	24371	UROK	\N	\N
3617114	2619	1998-02-28	PRIJEM	\N	110	27822	UROK	\N	\N
3617115	2619	1998-03-31	PRIJEM	\N	118	28841	UROK	\N	\N
3617116	2619	1998-04-30	PRIJEM	\N	99	20561	UROK	\N	\N
3617117	2619	1998-05-31	PRIJEM	\N	86	21288	UROK	\N	\N
3617118	2619	1998-06-30	PRIJEM	\N	98	25483	UROK	\N	\N
3617119	2619	1998-07-31	PRIJEM	\N	86	19710	UROK	\N	\N
3617120	2619	1998-08-31	PRIJEM	\N	99	25651	UROK	\N	\N
3617121	2619	1998-09-30	PRIJEM	\N	117	25729	UROK	\N	\N
3617122	2619	1998-10-31	PRIJEM	\N	120	26410	UROK	\N	\N
3617123	2619	1998-11-30	PRIJEM	\N	126	32378	UROK	\N	\N
3617124	2619	1998-12-31	PRIJEM	\N	157	39871	UROK	\N	\N
3617125	2620	1993-08-31	PRIJEM	\N	18	6301	UROK	\N	\N
3617126	2620	1993-09-30	PRIJEM	\N	68	21352	UROK	\N	\N
3617127	2620	1993-10-31	PRIJEM	\N	116	30950	UROK	\N	\N
3617128	2620	1993-11-30	PRIJEM	\N	135	33368	UROK	\N	\N
3617129	2620	1993-12-31	PRIJEM	\N	139	30641	UROK	\N	\N
3617130	2620	1994-01-31	PRIJEM	\N	90	21945	UROK	\N	\N
3617131	2620	1994-02-28	PRIJEM	\N	94	19512	UROK	\N	\N
3617132	2620	1994-03-31	PRIJEM	\N	78	19483	UROK	\N	\N
3617133	2620	1994-04-30	PRIJEM	\N	90	22687	UROK	\N	\N
3617134	2620	1994-05-31	PRIJEM	\N	100	24600	UROK	\N	\N
3617135	2620	1994-06-30	PRIJEM	\N	79	21843	UROK	\N	\N
3617136	2620	1994-07-31	PRIJEM	\N	97	25554	UROK	\N	\N
3617137	2620	1994-08-31	PRIJEM	\N	111	25678	UROK	\N	\N
3617138	2620	1994-09-30	PRIJEM	\N	112	28203	UROK	\N	\N
3617139	2620	1994-10-31	PRIJEM	\N	106	25243	UROK	\N	\N
3617140	2620	1994-11-30	PRIJEM	\N	109	25365	UROK	\N	\N
3617141	2620	1994-12-31	PRIJEM	\N	104	28734	UROK	\N	\N
3617142	2620	1995-01-31	PRIJEM	\N	103	19730	UROK	\N	\N
3617143	2620	1995-02-28	PRIJEM	\N	79	20382	UROK	\N	\N
3617144	2620	1995-03-31	PRIJEM	\N	91	24087	UROK	\N	\N
3617145	2620	1995-04-30	PRIJEM	\N	106	26406	UROK	\N	\N
3617146	2620	1995-05-31	PRIJEM	\N	100	23139	UROK	\N	\N
3617147	2620	1995-06-30	PRIJEM	\N	108	26251	UROK	\N	\N
3617148	2620	1995-07-31	PRIJEM	\N	101	24126	UROK	\N	\N
3617149	2620	1995-08-31	PRIJEM	\N	103	23942	UROK	\N	\N
3617150	2620	1995-09-30	PRIJEM	\N	100	22556	UROK	\N	\N
3617151	2620	1995-10-31	PRIJEM	\N	95	24484	UROK	\N	\N
3617152	2620	1995-11-30	PRIJEM	\N	103	23400	UROK	\N	\N
3617153	2620	1995-12-31	PRIJEM	\N	100	21964	UROK	\N	\N
3617154	2620	1996-01-31	PRIJEM	\N	72	16370	UROK	\N	\N
3617155	2620	1996-02-29	PRIJEM	\N	71	17254	UROK	\N	\N
3617156	2620	1996-03-31	PRIJEM	\N	73	17241	UROK	\N	\N
3617157	2620	1996-04-30	PRIJEM	\N	78	20433	UROK	\N	\N
3617158	2620	1996-05-31	PRIJEM	\N	85	19631	UROK	\N	\N
3617159	2620	1996-06-30	PRIJEM	\N	94	24329	UROK	\N	\N
3617160	2620	1996-07-31	PRIJEM	\N	99	22942	UROK	\N	\N
3617161	2620	1996-08-31	PRIJEM	\N	91	20446	UROK	\N	\N
3617162	2620	1996-09-30	PRIJEM	\N	88	21547	UROK	\N	\N
3617163	2620	1996-10-31	PRIJEM	\N	87	19408	UROK	\N	\N
3617164	2620	1996-11-30	PRIJEM	\N	88	22910	UROK	\N	\N
3617165	2620	1996-12-31	PRIJEM	\N	90	20124	UROK	\N	\N
3617166	2620	1997-01-31	PRIJEM	\N	65	15782	UROK	\N	\N
3617167	2620	1997-02-28	PRIJEM	\N	67	16562	UROK	\N	\N
3617168	2620	1997-03-31	PRIJEM	\N	75	16771	UROK	\N	\N
3617169	2620	1997-04-30	PRIJEM	\N	79	21064	UROK	\N	\N
3617170	2620	1997-05-31	PRIJEM	\N	89	22066	UROK	\N	\N
3617171	2620	1997-06-30	PRIJEM	\N	92	17203	UROK	\N	\N
3617172	2620	1997-07-31	PRIJEM	\N	80	20996	UROK	\N	\N
3617173	2620	1997-08-31	PRIJEM	\N	98	25608	UROK	\N	\N
3617174	2620	1997-09-30	PRIJEM	\N	100	24021	UROK	\N	\N
3617175	2620	1997-10-31	PRIJEM	\N	100	24734	UROK	\N	\N
3617176	2620	1997-11-30	PRIJEM	\N	114	30262	UROK	\N	\N
3617177	2620	1997-12-31	PRIJEM	\N	153	38860	UROK	\N	\N
3617178	2620	1998-01-31	PRIJEM	\N	135	28128	UROK	\N	\N
3617179	2620	1998-02-28	PRIJEM	\N	138	36379	UROK	\N	\N
3617180	2620	1998-03-31	PRIJEM	\N	170	43762	UROK	\N	\N
3617181	2620	1998-04-30	PRIJEM	\N	195	49371	UROK	\N	\N
3617182	2620	1998-05-31	PRIJEM	\N	201	49184	UROK	\N	\N
3617183	2620	1998-06-30	PRIJEM	\N	207	51896	UROK	\N	\N
3617184	2620	1998-07-31	PRIJEM	\N	222	55331	UROK	\N	\N
3617185	2620	1998-08-31	PRIJEM	\N	221	54465	UROK	\N	\N
3617186	2620	1998-09-30	PRIJEM	\N	211	51889	UROK	\N	\N
3617187	2620	1998-10-31	PRIJEM	\N	196	46019	UROK	\N	\N
3617188	2620	1998-11-30	PRIJEM	\N	185	44557	UROK	\N	\N
3617189	2620	1998-12-31	PRIJEM	\N	207	52669	UROK	\N	\N
3617190	2621	1995-11-30	PRIJEM	\N	6	15235	UROK	\N	\N
3617191	2621	1995-12-31	PRIJEM	\N	68	23847	UROK	\N	\N
3617192	2621	1996-01-31	PRIJEM	\N	100	25776	UROK	\N	\N
3617193	2621	1996-02-29	PRIJEM	\N	108	26813	UROK	\N	\N
3617194	2621	1996-03-31	PRIJEM	\N	112	27353	UROK	\N	\N
3617195	2621	1996-04-30	PRIJEM	\N	114	23763	UROK	\N	\N
3617196	2621	1996-05-31	PRIJEM	\N	101	23059	UROK	\N	\N
3617197	2621	1996-06-30	PRIJEM	\N	102	23270	UROK	\N	\N
3617198	2621	1996-07-31	PRIJEM	\N	98	22564	UROK	\N	\N
3617199	2621	1996-08-31	PRIJEM	\N	87	20525	UROK	\N	\N
3617200	2621	1996-09-30	PRIJEM	\N	83	16604	UROK	\N	\N
3617201	2621	1996-10-31	PRIJEM	\N	70	16269	UROK	\N	\N
3617202	2621	1996-11-30	PRIJEM	\N	67	14131	UROK	\N	\N
3617203	2621	1996-12-31	PRIJEM	\N	62	13603	UROK	\N	\N
3617204	2621	1997-01-31	PRIJEM	\N	57	13155	UROK	\N	\N
3617205	2621	1997-02-28	PRIJEM	\N	55	12706	UROK	\N	\N
3617206	2621	1997-03-31	PRIJEM	\N	50	10731	UROK	\N	\N
3617207	2621	1997-04-30	PRIJEM	\N	48	12175	UROK	\N	\N
3617208	2621	1997-05-31	PRIJEM	\N	56	14926	UROK	\N	\N
3617209	2621	1997-06-30	PRIJEM	\N	71	19007	UROK	\N	\N
3617210	2621	1997-07-31	PRIJEM	\N	81	15443	UROK	\N	\N
3617211	2621	1997-08-31	PRIJEM	\N	63	14601	UROK	\N	\N
3617212	2621	1997-09-30	PRIJEM	\N	66	17263	UROK	\N	\N
3617213	2621	1997-10-31	PRIJEM	\N	66	14124	UROK	\N	\N
3617214	2621	1997-11-30	PRIJEM	\N	63	16383	UROK	\N	\N
3617215	2621	1997-12-31	PRIJEM	\N	68	14601	UROK	\N	\N
3617216	2621	1998-01-31	PRIJEM	\N	50	11847	UROK	\N	\N
3617217	2621	1998-02-28	PRIJEM	\N	56	15098	UROK	\N	\N
3617218	2621	1998-03-31	PRIJEM	\N	60	13453	UROK	\N	\N
3617219	2621	1998-04-30	PRIJEM	\N	58	14306	UROK	\N	\N
3617220	2621	1998-05-31	PRIJEM	\N	57	13158	UROK	\N	\N
3617221	2621	1998-06-30	PRIJEM	\N	50	11218	UROK	\N	\N
3617222	2621	1998-07-31	PRIJEM	\N	50	12663	UROK	\N	\N
3617223	2621	1998-08-31	PRIJEM	\N	56	14114	UROK	\N	\N
3617224	2621	1998-09-30	PRIJEM	\N	61	15571	UROK	\N	\N
3617225	2621	1998-10-31	PRIJEM	\N	68	17034	UROK	\N	\N
3617226	2621	1998-11-30	PRIJEM	\N	74	18503	UROK	\N	\N
3617227	2621	1998-12-31	PRIJEM	\N	77	15649	UROK	\N	\N
3617228	2622	1996-09-30	PRIJEM	\N	26	16727	UROK	\N	\N
3617229	2622	1996-10-31	PRIJEM	\N	83	24910	UROK	\N	\N
3617230	2622	1996-11-30	PRIJEM	\N	112	30223	UROK	\N	\N
3617231	2622	1996-12-31	PRIJEM	\N	135	35861	UROK	\N	\N
3617232	2622	1997-01-31	PRIJEM	\N	114	13789	UROK	\N	\N
3617233	2622	1997-02-28	PRIJEM	\N	69	20778	UROK	\N	\N
3617234	2622	1997-03-31	PRIJEM	\N	91	24889	UROK	\N	\N
3617235	2622	1997-04-30	PRIJEM	\N	106	21813	UROK	\N	\N
3617236	2622	1997-05-31	PRIJEM	\N	98	17050	UROK	\N	\N
3617237	2622	1997-06-30	PRIJEM	\N	103	28334	UROK	\N	\N
3617238	2622	1997-07-31	PRIJEM	\N	130	32683	UROK	\N	\N
3617239	2622	1997-08-31	PRIJEM	\N	162	40364	UROK	\N	\N
3617240	2622	1997-09-30	PRIJEM	\N	176	43759	UROK	\N	\N
3617241	2622	1997-10-31	PRIJEM	\N	194	43172	UROK	\N	\N
3617242	2622	1997-11-30	PRIJEM	\N	180	41971	UROK	\N	\N
3617243	2622	1997-12-31	PRIJEM	\N	179	38850	UROK	\N	\N
3617244	2622	1998-01-31	PRIJEM	\N	120	15430	UROK	\N	\N
3617245	2622	1998-02-28	PRIJEM	\N	123	32072	UROK	\N	\N
3617246	2622	1998-03-31	PRIJEM	\N	151	38642	UROK	\N	\N
3617247	2622	1998-04-30	PRIJEM	\N	167	35928	UROK	\N	\N
3617248	2622	1998-05-31	PRIJEM	\N	161	40009	UROK	\N	\N
3617249	2622	1998-06-30	PRIJEM	\N	190	43838	UROK	\N	\N
3617250	2622	1998-07-31	PRIJEM	\N	196	42473	UROK	\N	\N
3617251	2622	1998-08-31	PRIJEM	\N	162	36493	UROK	\N	\N
3617252	2622	1998-09-30	PRIJEM	\N	139	29430	UROK	\N	\N
3617253	2622	1998-10-31	PRIJEM	\N	144	29153	UROK	\N	\N
3617254	2622	1998-11-30	PRIJEM	\N	156	33147	UROK	\N	\N
3617255	2622	1998-12-31	PRIJEM	\N	151	30097	UROK	\N	\N
3617256	2623	1993-10-31	PRIJEM	\N	12	4749	UROK	\N	\N
3617257	2623	1993-11-30	PRIJEM	\N	49	17134	UROK	\N	\N
3617258	2623	1993-12-31	PRIJEM	\N	90	25130	UROK	\N	\N
3617259	2623	1994-01-31	PRIJEM	\N	117	30485	UROK	\N	\N
3617260	2623	1994-02-28	PRIJEM	\N	128	31150	UROK	\N	\N
3617261	2623	1994-03-31	PRIJEM	\N	125	25746	UROK	\N	\N
3617262	2623	1994-04-30	PRIJEM	\N	99	23976	UROK	\N	\N
3617263	2623	1994-05-31	PRIJEM	\N	104	25952	UROK	\N	\N
3617264	2623	1994-06-30	PRIJEM	\N	118	30570	UROK	\N	\N
3617265	2623	1994-07-31	PRIJEM	\N	115	27157	UROK	\N	\N
3617266	2623	1994-08-31	PRIJEM	\N	110	26178	UROK	\N	\N
3617267	2623	1994-09-30	PRIJEM	\N	114	28623	UROK	\N	\N
3617268	2623	1994-10-31	PRIJEM	\N	120	26014	UROK	\N	\N
3617269	2623	1994-11-30	PRIJEM	\N	112	27657	UROK	\N	\N
3617270	2623	1994-12-31	PRIJEM	\N	118	28555	UROK	\N	\N
3617271	2623	1995-01-31	PRIJEM	\N	92	15018	UROK	\N	\N
3617272	2623	1995-02-28	PRIJEM	\N	81	23130	UROK	\N	\N
3617273	2623	1995-03-31	PRIJEM	\N	106	27127	UROK	\N	\N
3617274	2623	1995-04-30	PRIJEM	\N	121	30679	UROK	\N	\N
3617275	2623	1995-05-31	PRIJEM	\N	135	34146	UROK	\N	\N
3617276	2623	1995-06-30	PRIJEM	\N	150	37696	UROK	\N	\N
3617277	2623	1995-07-31	PRIJEM	\N	153	36780	UROK	\N	\N
3617278	2623	1995-08-31	PRIJEM	\N	143	34715	UROK	\N	\N
3617279	2623	1995-09-30	PRIJEM	\N	144	37830	UROK	\N	\N
3617280	2623	1995-10-31	PRIJEM	\N	160	39021	UROK	\N	\N
3617281	2623	1995-11-30	PRIJEM	\N	159	39992	UROK	\N	\N
3617282	2623	1995-12-31	PRIJEM	\N	173	41105	UROK	\N	\N
3617283	2623	1996-01-31	PRIJEM	\N	137	30773	UROK	\N	\N
3617284	2623	1996-02-29	PRIJEM	\N	113	30257	UROK	\N	\N
3617285	2623	1996-03-31	PRIJEM	\N	132	36220	UROK	\N	\N
3617286	2623	1996-04-30	PRIJEM	\N	154	39006	UROK	\N	\N
3617287	2623	1996-05-31	PRIJEM	\N	162	39699	UROK	\N	\N
3617288	2623	1996-06-30	PRIJEM	\N	142	33421	UROK	\N	\N
3617289	2623	1996-07-31	PRIJEM	\N	138	36351	UROK	\N	\N
3617290	2623	1996-08-31	PRIJEM	\N	154	38337	UROK	\N	\N
3617291	2623	1996-09-30	PRIJEM	\N	162	42170	UROK	\N	\N
3617292	2623	1996-10-31	PRIJEM	\N	179	44380	UROK	\N	\N
3617293	2623	1996-11-30	PRIJEM	\N	182	41894	UROK	\N	\N
3617294	2623	1996-12-31	PRIJEM	\N	174	41127	UROK	\N	\N
3617295	2623	1997-01-31	PRIJEM	\N	138	29377	UROK	\N	\N
3617296	2623	1997-02-28	PRIJEM	\N	132	37141	UROK	\N	\N
3617297	2623	1997-03-31	PRIJEM	\N	156	35149	UROK	\N	\N
3617298	2623	1997-04-30	PRIJEM	\N	152	39632	UROK	\N	\N
3617299	2623	1997-05-31	PRIJEM	\N	167	45091	UROK	\N	\N
3617300	2623	1997-06-30	PRIJEM	\N	193	46384	UROK	\N	\N
3617301	2623	1997-07-31	PRIJEM	\N	196	51131	UROK	\N	\N
3617302	2623	1997-08-31	PRIJEM	\N	219	55181	UROK	\N	\N
3617303	2623	1997-09-30	PRIJEM	\N	230	56243	UROK	\N	\N
3617304	2623	1997-10-31	PRIJEM	\N	233	58007	UROK	\N	\N
3617305	2623	1997-11-30	PRIJEM	\N	242	59481	UROK	\N	\N
3617306	2623	1997-12-31	PRIJEM	\N	243	59184	UROK	\N	\N
3617307	2623	1998-01-31	PRIJEM	\N	185	41820	UROK	\N	\N
3617308	2623	1998-02-28	PRIJEM	\N	188	49639	UROK	\N	\N
3617309	2623	1998-03-31	PRIJEM	\N	199	51249	UROK	\N	\N
3617310	2623	1998-04-30	PRIJEM	\N	225	58005	UROK	\N	\N
3617311	2623	1998-05-31	PRIJEM	\N	242	60479	UROK	\N	\N
3617312	2623	1998-06-30	PRIJEM	\N	239	55018	UROK	\N	\N
3617313	2623	1998-07-31	PRIJEM	\N	239	60888	UROK	\N	\N
3617314	2623	1998-08-31	PRIJEM	\N	259	64779	UROK	\N	\N
3617315	2623	1998-09-30	PRIJEM	\N	264	64314	UROK	\N	\N
3617316	2623	1998-10-31	PRIJEM	\N	267	65773	UROK	\N	\N
3617317	2623	1998-11-30	PRIJEM	\N	282	70986	UROK	\N	\N
3617318	2623	1998-12-31	PRIJEM	\N	289	70655	UROK	\N	\N
3617319	2624	1996-04-30	PRIJEM	\N	14	24950	UROK	\N	\N
3617320	2624	1996-05-31	PRIJEM	\N	113	38199	UROK	\N	\N
3617321	2624	1996-06-30	PRIJEM	\N	167	49869	UROK	\N	\N
3617322	2624	1996-07-31	PRIJEM	\N	210	53015	UROK	\N	\N
3617323	2624	1996-08-31	PRIJEM	\N	243	39750	UROK	\N	\N
3617324	2624	1996-09-30	PRIJEM	\N	200	43728	UROK	\N	\N
3617325	2624	1996-10-31	PRIJEM	\N	212	43317	UROK	\N	\N
3617326	2624	1996-11-30	PRIJEM	\N	207	41401	UROK	\N	\N
3617327	2624	1996-12-31	PRIJEM	\N	229	46675	UROK	\N	\N
3617328	2624	1997-01-31	PRIJEM	\N	183	22336	UROK	\N	\N
3617329	2624	1997-02-28	PRIJEM	\N	118	32331	UROK	\N	\N
3617330	2624	1997-03-31	PRIJEM	\N	171	37579	UROK	\N	\N
3617331	2624	1997-04-30	PRIJEM	\N	153	25399	UROK	\N	\N
3617332	2624	1997-05-31	PRIJEM	\N	148	37524	UROK	\N	\N
3617333	2624	1997-06-30	PRIJEM	\N	152	30901	UROK	\N	\N
3617334	2624	1997-07-31	PRIJEM	\N	171	44149	UROK	\N	\N
3617335	2624	1997-08-31	PRIJEM	\N	213	49540	UROK	\N	\N
3617336	2624	1997-09-30	PRIJEM	\N	225	48241	UROK	\N	\N
3617337	2624	1997-10-31	PRIJEM	\N	230	54148	UROK	\N	\N
3617338	2624	1997-11-30	PRIJEM	\N	245	55270	UROK	\N	\N
3617339	2624	1997-12-31	PRIJEM	\N	279	63094	UROK	\N	\N
3617340	2624	1998-01-31	PRIJEM	\N	238	46669	UROK	\N	\N
3617341	2624	1998-02-28	PRIJEM	\N	209	30703	UROK	\N	\N
3617342	2624	1998-03-31	PRIJEM	\N	186	54987	UROK	\N	\N
3617343	2624	1998-04-30	PRIJEM	\N	196	36735	UROK	\N	\N
3617344	2624	1998-05-31	PRIJEM	\N	182	46252	UROK	\N	\N
3617345	2624	1998-06-30	PRIJEM	\N	244	32941	UROK	\N	\N
3617346	2624	1998-07-31	PRIJEM	\N	192	53141	UROK	\N	\N
3617347	2624	1998-08-31	PRIJEM	\N	258	64976	UROK	\N	\N
3617348	2624	1998-09-30	PRIJEM	\N	286	68440	UROK	\N	\N
3617349	2624	1998-10-31	PRIJEM	\N	250	37372	UROK	\N	\N
3617350	2624	1998-11-30	PRIJEM	\N	178	42280	UROK	\N	\N
3617351	2624	1998-12-31	PRIJEM	\N	264	65290	UROK	\N	\N
3617352	2625	1996-07-31	PRIJEM	\N	73	45478	UROK	\N	\N
3617353	2625	1996-08-31	PRIJEM	\N	285	83270	UROK	\N	\N
3617354	2625	1996-09-30	PRIJEM	\N	255	50516	UROK	\N	\N
3617355	2625	1996-10-31	PRIJEM	\N	143	28922	UROK	\N	\N
3617356	2625	1996-11-30	PRIJEM	\N	195	63249	UROK	\N	\N
3617357	2625	1996-12-31	PRIJEM	\N	339	83226	UROK	\N	\N
3617358	2625	1997-01-31	PRIJEM	\N	256	25929	UROK	\N	\N
3617359	2625	1997-02-28	PRIJEM	\N	131	24245	UROK	\N	\N
3617360	2625	1997-03-31	PRIJEM	\N	188	54922	UROK	\N	\N
3617361	2625	1997-04-30	PRIJEM	\N	387	107234	UROK	\N	\N
3617362	2625	1997-05-31	PRIJEM	\N	277	72661	UROK	\N	\N
3617363	2625	1997-06-30	PRIJEM	\N	200	38624	UROK	\N	\N
3617364	2625	1997-07-31	PRIJEM	\N	265	92195	UROK	\N	\N
3617365	2625	1997-08-31	PRIJEM	\N	309	63763	UROK	\N	\N
3617366	2625	1997-09-30	PRIJEM	\N	357	75920	UROK	\N	\N
3617367	2625	1997-10-31	PRIJEM	\N	251	58052	UROK	\N	\N
3617368	2625	1997-11-30	PRIJEM	\N	333	88522	UROK	\N	\N
3617369	2625	1997-12-31	PRIJEM	\N	314	69756	UROK	\N	\N
3617370	2625	1998-01-31	PRIJEM	\N	171	30829	UROK	\N	\N
3617371	2625	1998-02-28	PRIJEM	\N	169	62252	UROK	\N	\N
3617372	2625	1998-03-31	PRIJEM	\N	379	92485	UROK	\N	\N
3617373	2625	1998-04-30	PRIJEM	\N	365	72380	UROK	\N	\N
3617374	2625	1998-05-31	PRIJEM	\N	256	43237	UROK	\N	\N
3617375	2625	1998-06-30	PRIJEM	\N	282	42289	UROK	\N	\N
3617376	2625	1998-07-31	PRIJEM	\N	267	55217	UROK	\N	\N
3617377	2625	1998-08-31	PRIJEM	\N	221	40330	UROK	\N	\N
3617378	2625	1998-09-30	PRIJEM	\N	118	28489	UROK	\N	\N
3617379	2625	1998-10-31	PRIJEM	\N	221	55265	UROK	\N	\N
3617380	2625	1998-11-30	PRIJEM	\N	241	60389	UROK	\N	\N
3617381	2625	1998-12-31	PRIJEM	\N	240	51421	UROK	\N	\N
3617382	2627	1994-10-31	PRIJEM	\N	17	5439	UROK	\N	\N
3617383	2627	1994-11-30	PRIJEM	\N	23	10283	UROK	\N	\N
3617384	2627	1994-12-31	PRIJEM	\N	23	15128	UROK	\N	\N
3617385	2627	1995-01-31	PRIJEM	\N	23	19973	UROK	\N	\N
3617386	2627	1995-02-28	PRIJEM	\N	65	24298	UROK	\N	\N
3617387	2627	1995-03-31	PRIJEM	\N	109	27075	UROK	\N	\N
3617388	2627	1995-04-30	PRIJEM	\N	101	25043	UROK	\N	\N
3617389	2627	1995-05-31	PRIJEM	\N	105	20716	UROK	\N	\N
3617390	2627	1995-06-30	PRIJEM	\N	80	18013	UROK	\N	\N
3617391	2627	1995-07-31	PRIJEM	\N	74	18115	UROK	\N	\N
3617392	2627	1995-08-31	PRIJEM	\N	84	20866	UROK	\N	\N
3617393	2627	1995-09-30	PRIJEM	\N	95	23629	UROK	\N	\N
3617394	2627	1995-10-31	PRIJEM	\N	105	23602	UROK	\N	\N
3617395	2627	1995-11-30	PRIJEM	\N	96	20385	UROK	\N	\N
3617396	2627	1995-12-31	PRIJEM	\N	91	21273	UROK	\N	\N
3617397	2627	1996-01-31	PRIJEM	\N	81	14702	UROK	\N	\N
3617398	2627	1996-02-29	PRIJEM	\N	70	17439	UROK	\N	\N
3617399	2627	1996-03-31	PRIJEM	\N	81	20187	UROK	\N	\N
3617400	2627	1996-04-30	PRIJEM	\N	91	21746	UROK	\N	\N
3617401	2627	1996-05-31	PRIJEM	\N	94	18107	UROK	\N	\N
3617402	2627	1996-06-30	PRIJEM	\N	74	15328	UROK	\N	\N
3617403	2627	1996-07-31	PRIJEM	\N	72	18068	UROK	\N	\N
3617404	2627	1996-08-31	PRIJEM	\N	76	15971	UROK	\N	\N
3617405	2627	1996-09-30	PRIJEM	\N	74	18072	UROK	\N	\N
3617406	2627	1996-10-31	PRIJEM	\N	75	14814	UROK	\N	\N
3617407	2627	1996-11-30	PRIJEM	\N	70	17552	UROK	\N	\N
3617408	2627	1996-12-31	PRIJEM	\N	68	11987	UROK	\N	\N
3617409	2627	1997-01-31	PRIJEM	\N	56	13751	UROK	\N	\N
3617410	2627	1997-02-28	PRIJEM	\N	59	14077	UROK	\N	\N
3617411	2627	1997-03-31	PRIJEM	\N	65	16089	UROK	\N	\N
3617412	2627	1997-04-30	PRIJEM	\N	75	18832	UROK	\N	\N
3617413	2627	1997-05-31	PRIJEM	\N	87	21586	UROK	\N	\N
3617414	2627	1997-06-30	PRIJEM	\N	98	24351	UROK	\N	\N
3617415	2627	1997-07-31	PRIJEM	\N	109	27128	UROK	\N	\N
3617416	2627	1997-08-31	PRIJEM	\N	121	29916	UROK	\N	\N
3617417	2627	1997-09-30	PRIJEM	\N	133	32716	UROK	\N	\N
3617418	2627	1997-10-31	PRIJEM	\N	143	31766	UROK	\N	\N
3617419	2627	1997-11-30	PRIJEM	\N	140	34574	UROK	\N	\N
3617420	2627	1997-12-31	PRIJEM	\N	149	36191	UROK	\N	\N
3617421	2627	1998-01-31	PRIJEM	\N	130	29478	UROK	\N	\N
3617422	2627	1998-02-28	PRIJEM	\N	130	32276	UROK	\N	\N
3617423	2627	1998-03-31	PRIJEM	\N	142	35085	UROK	\N	\N
3617424	2627	1998-04-30	PRIJEM	\N	151	36944	UROK	\N	\N
3617425	2627	1998-05-31	PRIJEM	\N	161	39773	UROK	\N	\N
3617426	2627	1998-06-30	PRIJEM	\N	91	13231	UROK	\N	\N
3617427	2627	1998-07-31	PRIJEM	\N	63	15961	UROK	\N	\N
3617428	2627	1998-08-31	PRIJEM	\N	74	18702	UROK	\N	\N
3617429	2627	1998-09-30	PRIJEM	\N	85	21455	UROK	\N	\N
3617430	2627	1998-10-31	PRIJEM	\N	91	20613	UROK	\N	\N
3617431	2627	1998-11-30	PRIJEM	\N	93	23374	UROK	\N	\N
3617432	2627	1998-12-31	PRIJEM	\N	95	22636	UROK	\N	\N
3617433	2629	1996-09-30	PRIJEM	\N	45	19256	UROK	\N	\N
3617434	2629	1996-10-31	PRIJEM	\N	125	37892	UROK	\N	\N
3617435	2629	1996-11-30	PRIJEM	\N	187	50390	UROK	\N	\N
3617436	2629	1996-12-31	PRIJEM	\N	239	62945	UROK	\N	\N
3617437	2629	1997-01-31	PRIJEM	\N	231	44047	UROK	\N	\N
3617438	2629	1997-02-28	PRIJEM	\N	204	53247	UROK	\N	\N
3617439	2629	1997-03-31	PRIJEM	\N	225	54548	UROK	\N	\N
3617440	2629	1997-04-30	PRIJEM	\N	226	54271	UROK	\N	\N
3617441	2629	1997-05-31	PRIJEM	\N	228	51855	UROK	\N	\N
3617442	2629	1997-06-30	PRIJEM	\N	195	48071	UROK	\N	\N
3617443	2629	1997-07-31	PRIJEM	\N	173	43481	UROK	\N	\N
3617444	2629	1997-08-31	PRIJEM	\N	186	45563	UROK	\N	\N
3617445	2629	1997-09-30	PRIJEM	\N	197	49057	UROK	\N	\N
3617446	2629	1997-10-31	PRIJEM	\N	205	49558	UROK	\N	\N
3617447	2629	1997-11-30	PRIJEM	\N	209	50863	UROK	\N	\N
3617448	2629	1997-12-31	PRIJEM	\N	227	57091	UROK	\N	\N
3617449	2629	1998-01-31	PRIJEM	\N	162	37309	UROK	\N	\N
3617450	2629	1998-02-28	PRIJEM	\N	143	35848	UROK	\N	\N
3617451	2629	1998-03-31	PRIJEM	\N	162	41607	UROK	\N	\N
3617452	2629	1998-04-30	PRIJEM	\N	175	42678	UROK	\N	\N
3617453	2629	1998-05-31	PRIJEM	\N	165	35879	UROK	\N	\N
3617454	2629	1998-06-30	PRIJEM	\N	147	24647	UROK	\N	\N
3617455	2629	1998-07-31	PRIJEM	\N	122	31105	UROK	\N	\N
3617456	2629	1998-08-31	PRIJEM	\N	147	39749	UROK	\N	\N
3617457	2629	1998-09-30	PRIJEM	\N	100	42445	UROK	\N	\N
3617458	2629	1998-10-31	PRIJEM	\N	109	21651	UROK	\N	\N
3617459	2629	1998-11-30	PRIJEM	\N	89	22537	UROK	\N	\N
3617460	2629	1998-12-31	PRIJEM	\N	102	46740	UROK	\N	\N
3617461	2631	1996-08-31	PRIJEM	\N	41	15996	UROK	\N	\N
3617462	2631	1996-09-30	PRIJEM	\N	69	16671	UROK	\N	\N
3617463	2631	1996-10-31	PRIJEM	\N	73	17500	UROK	\N	\N
3617464	2631	1996-11-30	PRIJEM	\N	76	18872	UROK	\N	\N
3617465	2631	1996-12-31	PRIJEM	\N	80	18739	UROK	\N	\N
3617466	2631	1997-01-31	PRIJEM	\N	76	16841	UROK	\N	\N
3617467	2631	1997-02-28	PRIJEM	\N	73	18210	UROK	\N	\N
3617468	2631	1997-03-31	PRIJEM	\N	76	17213	UROK	\N	\N
3617469	2631	1997-04-30	PRIJEM	\N	75	18584	UROK	\N	\N
3617470	2631	1997-05-31	PRIJEM	\N	79	19240	UROK	\N	\N
3617471	2631	1997-06-30	PRIJEM	\N	83	20619	UROK	\N	\N
3617472	2631	1997-07-31	PRIJEM	\N	87	20693	UROK	\N	\N
3617473	2631	1997-08-31	PRIJEM	\N	89	22079	UROK	\N	\N
3617474	2631	1997-09-30	PRIJEM	\N	94	22669	UROK	\N	\N
3617475	2631	1997-10-31	PRIJEM	\N	97	23552	UROK	\N	\N
3617476	2631	1997-11-30	PRIJEM	\N	100	24248	UROK	\N	\N
3617477	2631	1997-12-31	PRIJEM	\N	104	25319	UROK	\N	\N
3617478	2631	1998-01-31	PRIJEM	\N	106	24231	UROK	\N	\N
3617479	2631	1998-02-28	PRIJEM	\N	104	25631	UROK	\N	\N
3617480	2631	1998-03-31	PRIJEM	\N	110	27037	UROK	\N	\N
3617481	2631	1998-04-30	PRIJEM	\N	116	28449	UROK	\N	\N
3617482	2631	1998-05-31	PRIJEM	\N	122	29867	UROK	\N	\N
3617483	2631	1998-06-30	PRIJEM	\N	123	29246	UROK	\N	\N
3617484	2631	1998-07-31	PRIJEM	\N	125	30667	UROK	\N	\N
3617485	2631	1998-08-31	PRIJEM	\N	131	32094	UROK	\N	\N
3617486	2631	1998-09-30	PRIJEM	\N	135	32176	UROK	\N	\N
3617487	2631	1998-10-31	PRIJEM	\N	137	33609	UROK	\N	\N
3617488	2631	1998-11-30	PRIJEM	\N	143	35048	UROK	\N	\N
3617489	2631	1998-12-31	PRIJEM	\N	143	34927	UROK	\N	\N
3617490	2632	1993-01-31	PRIJEM	\N	48	15412	UROK	\N	\N
3617491	2632	1993-02-28	PRIJEM	\N	122	34897	UROK	\N	\N
3617492	2632	1993-03-31	PRIJEM	\N	168	42429	UROK	\N	\N
3617493	2632	1993-04-30	PRIJEM	\N	192	47786	UROK	\N	\N
3617494	2632	1993-05-31	PRIJEM	\N	195	46703	UROK	\N	\N
3617495	2632	1993-06-30	PRIJEM	\N	176	44978	UROK	\N	\N
3617496	2632	1993-07-31	PRIJEM	\N	178	42922	UROK	\N	\N
3617497	2632	1993-08-31	PRIJEM	\N	173	30261	UROK	\N	\N
3617498	2632	1993-09-30	PRIJEM	\N	154	31481	UROK	\N	\N
3617499	2632	1993-10-31	PRIJEM	\N	158	33606	UROK	\N	\N
3617500	2632	1993-11-30	PRIJEM	\N	167	36039	UROK	\N	\N
3617501	2632	1993-12-31	PRIJEM	\N	190	38727	UROK	\N	\N
3617502	2632	1994-01-31	PRIJEM	\N	153	29046	UROK	\N	\N
3617503	2632	1994-02-28	PRIJEM	\N	147	31159	UROK	\N	\N
3617504	2632	1994-03-31	PRIJEM	\N	155	32581	UROK	\N	\N
3617505	2632	1994-04-30	PRIJEM	\N	161	34208	UROK	\N	\N
3617506	2632	1994-05-31	PRIJEM	\N	162	35836	UROK	\N	\N
3617507	2632	1994-06-30	PRIJEM	\N	179	35514	UROK	\N	\N
3617508	2632	1994-07-31	PRIJEM	\N	171	36551	UROK	\N	\N
3617509	2632	1994-08-31	PRIJEM	\N	170	32687	UROK	\N	\N
3617510	2632	1994-09-30	PRIJEM	\N	151	30504	UROK	\N	\N
3617511	2632	1994-10-31	PRIJEM	\N	150	34421	UROK	\N	\N
3617512	2632	1994-11-30	PRIJEM	\N	161	33848	UROK	\N	\N
3617513	2632	1994-12-31	PRIJEM	\N	161	32808	UROK	\N	\N
3617514	2632	1995-01-31	PRIJEM	\N	134	28408	UROK	\N	\N
3617515	2632	1995-02-28	PRIJEM	\N	139	31713	UROK	\N	\N
3617516	2632	1995-03-31	PRIJEM	\N	151	33231	UROK	\N	\N
3617517	2632	1995-04-30	PRIJEM	\N	142	31639	UROK	\N	\N
3617518	2632	1995-05-31	PRIJEM	\N	149	32655	UROK	\N	\N
3617519	2632	1995-06-30	PRIJEM	\N	125	28478	UROK	\N	\N
3617520	2632	1995-07-31	PRIJEM	\N	136	30180	UROK	\N	\N
3617521	2632	1995-08-31	PRIJEM	\N	141	31788	UROK	\N	\N
3617522	2632	1995-09-30	PRIJEM	\N	145	31999	UROK	\N	\N
3617523	2632	1995-10-31	PRIJEM	\N	131	25996	UROK	\N	\N
3617524	2632	1995-11-30	PRIJEM	\N	119	25981	UROK	\N	\N
3617525	2632	1995-12-31	PRIJEM	\N	135	31115	UROK	\N	\N
3617526	2632	1996-01-31	PRIJEM	\N	110	16491	UROK	\N	\N
3617527	2632	1996-02-29	PRIJEM	\N	89	22647	UROK	\N	\N
3617528	2632	1996-03-31	PRIJEM	\N	102	24114	UROK	\N	\N
3617529	2632	1996-04-30	PRIJEM	\N	108	24189	UROK	\N	\N
3617530	2632	1996-05-31	PRIJEM	\N	110	25565	UROK	\N	\N
3617531	2632	1996-06-30	PRIJEM	\N	114	16478	UROK	\N	\N
3617532	2632	1996-07-31	PRIJEM	\N	82	19726	UROK	\N	\N
3617533	2632	1996-08-31	PRIJEM	\N	97	24189	UROK	\N	\N
3617534	2632	1996-09-30	PRIJEM	\N	97	21552	UROK	\N	\N
3617535	2632	1996-10-31	PRIJEM	\N	105	26423	UROK	\N	\N
3617536	2632	1996-11-30	PRIJEM	\N	104	20894	UROK	\N	\N
3617537	2632	1996-12-31	PRIJEM	\N	110	26703	UROK	\N	\N
3617538	2632	1997-01-31	PRIJEM	\N	106	23875	UROK	\N	\N
3617539	2632	1997-02-28	PRIJEM	\N	111	27952	UROK	\N	\N
3617540	2632	1997-03-31	PRIJEM	\N	125	28844	UROK	\N	\N
3617541	2632	1997-04-30	PRIJEM	\N	125	27935	UROK	\N	\N
3617542	2632	1997-05-31	PRIJEM	\N	118	27519	UROK	\N	\N
3617543	2632	1997-06-30	PRIJEM	\N	119	31037	UROK	\N	\N
3617544	2632	1997-07-31	PRIJEM	\N	128	31631	UROK	\N	\N
3617545	2632	1997-08-31	PRIJEM	\N	121	28719	UROK	\N	\N
3617546	2632	1997-09-30	PRIJEM	\N	134	32820	UROK	\N	\N
3617547	2632	1997-10-31	PRIJEM	\N	154	39940	UROK	\N	\N
3617548	2632	1997-11-30	PRIJEM	\N	167	42474	UROK	\N	\N
3617549	2632	1997-12-31	PRIJEM	\N	188	47560	UROK	\N	\N
3617550	2632	1998-01-31	PRIJEM	\N	164	32490	UROK	\N	\N
3617551	2632	1998-02-28	PRIJEM	\N	157	41613	UROK	\N	\N
3617552	2632	1998-03-31	PRIJEM	\N	180	45859	UROK	\N	\N
3617553	2632	1998-04-30	PRIJEM	\N	190	48415	UROK	\N	\N
3617554	2632	1998-05-31	PRIJEM	\N	208	52989	UROK	\N	\N
3617555	2632	1998-06-30	PRIJEM	\N	211	50698	UROK	\N	\N
3617556	2632	1998-07-31	PRIJEM	\N	201	50965	UROK	\N	\N
3617557	2632	1998-08-31	PRIJEM	\N	216	54947	UROK	\N	\N
3617558	2632	1998-09-30	PRIJEM	\N	219	55333	UROK	\N	\N
3617559	2632	1998-10-31	PRIJEM	\N	222	55921	UROK	\N	\N
3617560	2632	1998-11-30	PRIJEM	\N	226	57013	UROK	\N	\N
3617561	2632	1998-12-31	PRIJEM	\N	248	62959	UROK	\N	\N
3617562	2634	1997-11-30	PRIJEM	\N	73	22098	UROK	\N	\N
3617563	2634	1997-12-31	PRIJEM	\N	147	38483	UROK	\N	\N
3617564	2634	1998-01-31	PRIJEM	\N	163	39471	UROK	\N	\N
3617565	2634	1998-02-28	PRIJEM	\N	180	43975	UROK	\N	\N
3617566	2634	1998-03-31	PRIJEM	\N	177	42177	UROK	\N	\N
3617567	2634	1998-04-30	PRIJEM	\N	171	40619	UROK	\N	\N
3617568	2634	1998-05-31	PRIJEM	\N	164	39193	UROK	\N	\N
3617569	2634	1998-06-30	PRIJEM	\N	162	38778	UROK	\N	\N
3617570	2634	1998-07-31	PRIJEM	\N	205	41853	UROK	\N	\N
3617571	2634	1998-08-31	PRIJEM	\N	246	61910	UROK	\N	\N
3617572	2634	1998-09-30	PRIJEM	\N	293	72013	UROK	\N	\N
3617573	2634	1998-10-31	PRIJEM	\N	328	80052	UROK	\N	\N
3617574	2634	1998-11-30	PRIJEM	\N	349	84611	UROK	\N	\N
3617575	2634	1998-12-31	PRIJEM	\N	388	94101	UROK	\N	\N
3617576	2636	1997-04-30	PRIJEM	\N	51	21621	UROK	\N	\N
3617577	2636	1997-05-31	PRIJEM	\N	93	21828	UROK	\N	\N
3617578	2636	1997-06-30	PRIJEM	\N	92	21583	UROK	\N	\N
3617579	2636	1997-07-31	PRIJEM	\N	79	19676	UROK	\N	\N
3617580	2636	1997-08-31	PRIJEM	\N	87	21376	UROK	\N	\N
3617581	2636	1997-09-30	PRIJEM	\N	87	21876	UROK	\N	\N
3617582	2636	1997-10-31	PRIJEM	\N	90	17739	UROK	\N	\N
3617583	2636	1997-11-30	PRIJEM	\N	65	16377	UROK	\N	\N
3617584	2636	1997-12-31	PRIJEM	\N	70	15500	UROK	\N	\N
3617585	2636	1998-01-31	PRIJEM	\N	60	13494	UROK	\N	\N
3617586	2636	1998-02-28	PRIJEM	\N	61	15168	UROK	\N	\N
3617587	2636	1998-03-31	PRIJEM	\N	68	16849	UROK	\N	\N
3617588	2636	1998-04-30	PRIJEM	\N	70	15432	UROK	\N	\N
3617589	2636	1998-05-31	PRIJEM	\N	69	17114	UROK	\N	\N
3617590	2636	1998-06-30	PRIJEM	\N	76	18803	UROK	\N	\N
3617591	2636	1998-07-31	PRIJEM	\N	83	20499	UROK	\N	\N
3617592	2636	1998-08-31	PRIJEM	\N	90	22203	UROK	\N	\N
3617593	2636	1998-09-30	PRIJEM	\N	96	21352	UROK	\N	\N
3617594	2636	1998-10-31	PRIJEM	\N	89	20174	UROK	\N	\N
3617595	2636	1998-11-30	PRIJEM	\N	82	18669	UROK	\N	\N
3617596	2636	1998-12-31	PRIJEM	\N	82	20365	UROK	\N	\N
3617597	2637	1997-01-31	PRIJEM	\N	57	18449	UROK	\N	\N
3617598	2637	1997-02-28	PRIJEM	\N	75	36016	UROK	\N	\N
3617599	2637	1997-03-31	PRIJEM	\N	155	44063	UROK	\N	\N
3617600	2637	1997-04-30	PRIJEM	\N	209	52664	UROK	\N	\N
3617601	2637	1997-05-31	PRIJEM	\N	218	53074	UROK	\N	\N
3617602	2637	1997-06-30	PRIJEM	\N	203	31106	UROK	\N	\N
3617603	2637	1997-07-31	PRIJEM	\N	125	25354	UROK	\N	\N
3617604	2637	1997-08-31	PRIJEM	\N	141	28178	UROK	\N	\N
3617605	2637	1997-09-30	PRIJEM	\N	153	33114	UROK	\N	\N
3617606	2637	1997-10-31	PRIJEM	\N	169	31567	UROK	\N	\N
3617607	2637	1997-11-30	PRIJEM	\N	165	34415	UROK	\N	\N
3617608	2637	1997-12-31	PRIJEM	\N	183	40787	UROK	\N	\N
3617609	2637	1998-01-31	PRIJEM	\N	175	34105	UROK	\N	\N
3617610	2637	1998-02-28	PRIJEM	\N	172	34160	UROK	\N	\N
3617611	2637	1998-03-31	PRIJEM	\N	169	36073	UROK	\N	\N
3617612	2637	1998-04-30	PRIJEM	\N	180	36136	UROK	\N	\N
3617613	2637	1998-05-31	PRIJEM	\N	177	35516	UROK	\N	\N
3617614	2637	1998-06-30	PRIJEM	\N	193	24319	UROK	\N	\N
3617615	2637	1998-07-31	PRIJEM	\N	133	29535	UROK	\N	\N
3617616	2637	1998-08-31	PRIJEM	\N	149	30668	UROK	\N	\N
3617617	2637	1998-09-30	PRIJEM	\N	149	28200	UROK	\N	\N
3617618	2637	1998-10-31	PRIJEM	\N	134	22718	UROK	\N	\N
3617619	2637	1998-11-30	PRIJEM	\N	114	20515	UROK	\N	\N
3617620	2637	1998-12-31	PRIJEM	\N	152	42296	UROK	\N	\N
3617621	2638	1994-06-30	PRIJEM	\N	82	31304	UROK	\N	\N
3617622	2638	1994-07-31	PRIJEM	\N	177	48661	UROK	\N	\N
3617623	2638	1994-08-31	PRIJEM	\N	225	58068	UROK	\N	\N
3617624	2638	1994-09-30	PRIJEM	\N	179	63127	UROK	\N	\N
3617625	2638	1994-10-31	PRIJEM	\N	187	44096	UROK	\N	\N
3617626	2638	1994-11-30	PRIJEM	\N	207	40645	UROK	\N	\N
3617627	2638	1994-12-31	PRIJEM	\N	222	45031	UROK	\N	\N
3617628	2638	1995-01-31	PRIJEM	\N	196	39548	UROK	\N	\N
3617629	2638	1995-02-28	PRIJEM	\N	194	43025	UROK	\N	\N
3617630	2638	1995-03-31	PRIJEM	\N	208	41515	UROK	\N	\N
3617631	2638	1995-04-30	PRIJEM	\N	202	43099	UROK	\N	\N
3617632	2638	1995-05-31	PRIJEM	\N	208	45689	UROK	\N	\N
3617633	2638	1995-06-30	PRIJEM	\N	236	46548	UROK	\N	\N
3617634	2638	1995-07-31	PRIJEM	\N	214	42944	UROK	\N	\N
3617635	2638	1995-08-31	PRIJEM	\N	198	41884	UROK	\N	\N
3617636	2638	1995-09-30	PRIJEM	\N	196	40763	UROK	\N	\N
3617637	2638	1995-10-31	PRIJEM	\N	195	44840	UROK	\N	\N
3617638	2638	1995-11-30	PRIJEM	\N	194	42076	UROK	\N	\N
3617639	2638	1995-12-31	PRIJEM	\N	213	49212	UROK	\N	\N
3617640	2638	1996-01-31	PRIJEM	\N	179	31894	UROK	\N	\N
3617641	2638	1996-02-29	PRIJEM	\N	157	38334	UROK	\N	\N
3617642	2638	1996-03-31	PRIJEM	\N	175	34611	UROK	\N	\N
3617643	2638	1996-04-30	PRIJEM	\N	159	37152	UROK	\N	\N
3617644	2638	1996-05-31	PRIJEM	\N	176	41411	UROK	\N	\N
3617645	2638	1996-06-30	PRIJEM	\N	208	47442	UROK	\N	\N
3617646	2638	1996-07-31	PRIJEM	\N	199	42843	UROK	\N	\N
3617647	2638	1996-08-31	PRIJEM	\N	193	44218	UROK	\N	\N
3617648	2638	1996-09-30	PRIJEM	\N	193	43394	UROK	\N	\N
3617649	2638	1996-10-31	PRIJEM	\N	192	43967	UROK	\N	\N
3617650	2638	1996-11-30	PRIJEM	\N	192	44142	UROK	\N	\N
3617651	2638	1996-12-31	PRIJEM	\N	203	45067	UROK	\N	\N
3617652	2638	1997-01-31	PRIJEM	\N	186	42236	UROK	\N	\N
3617653	2638	1997-02-28	PRIJEM	\N	181	42900	UROK	\N	\N
3617654	2638	1997-03-31	PRIJEM	\N	187	43569	UROK	\N	\N
3617655	2638	1997-04-30	PRIJEM	\N	194	47245	UROK	\N	\N
3617656	2638	1997-05-31	PRIJEM	\N	203	47931	UROK	\N	\N
3617657	2638	1997-06-30	PRIJEM	\N	211	48964	UROK	\N	\N
3617658	2638	1997-07-31	PRIJEM	\N	196	43742	UROK	\N	\N
3617659	2638	1997-08-31	PRIJEM	\N	183	43108	UROK	\N	\N
3617660	2638	1997-09-30	PRIJEM	\N	179	43169	UROK	\N	\N
3617661	2638	1997-10-31	PRIJEM	\N	177	42428	UROK	\N	\N
3617662	2638	1997-11-30	PRIJEM	\N	165	39076	UROK	\N	\N
3617663	2638	1997-12-31	PRIJEM	\N	176	42975	UROK	\N	\N
3617664	2638	1998-01-31	PRIJEM	\N	181	31838	UROK	\N	\N
3617665	2638	1998-02-28	PRIJEM	\N	173	49793	UROK	\N	\N
3617666	2638	1998-03-31	PRIJEM	\N	194	45970	UROK	\N	\N
3617667	2638	1998-04-30	PRIJEM	\N	205	42577	UROK	\N	\N
3617668	2638	1998-05-31	PRIJEM	\N	207	44967	UROK	\N	\N
3617669	2638	1998-06-30	PRIJEM	\N	243	67433	UROK	\N	\N
3617670	2638	1998-07-31	PRIJEM	\N	269	63004	UROK	\N	\N
3617671	2638	1998-08-31	PRIJEM	\N	266	67853	UROK	\N	\N
3617672	2638	1998-09-30	PRIJEM	\N	280	71215	UROK	\N	\N
3617673	2638	1998-10-31	PRIJEM	\N	293	74090	UROK	\N	\N
3617674	2638	1998-11-30	PRIJEM	\N	297	75269	UROK	\N	\N
3617675	2638	1998-12-31	PRIJEM	\N	331	86523	UROK	\N	\N
3617676	2639	1993-05-31	PRIJEM	\N	21	25487	UROK	\N	\N
3617677	2639	1993-06-30	PRIJEM	\N	122	45108	UROK	\N	\N
3617678	2639	1993-07-31	PRIJEM	\N	189	46563	UROK	\N	\N
3617679	2639	1993-08-31	PRIJEM	\N	194	47623	UROK	\N	\N
3617680	2639	1993-09-30	PRIJEM	\N	209	48898	UROK	\N	\N
3617681	2639	1993-10-31	PRIJEM	\N	219	42635	UROK	\N	\N
3617682	2639	1993-11-30	PRIJEM	\N	196	38150	UROK	\N	\N
3617683	2639	1993-12-31	PRIJEM	\N	203	46904	UROK	\N	\N
3617684	2639	1994-01-31	PRIJEM	\N	196	35818	UROK	\N	\N
3617685	2639	1994-02-28	PRIJEM	\N	168	36204	UROK	\N	\N
3617686	2639	1994-03-31	PRIJEM	\N	173	38696	UROK	\N	\N
3617687	2639	1994-04-30	PRIJEM	\N	179	37593	UROK	\N	\N
3617688	2639	1994-05-31	PRIJEM	\N	177	38189	UROK	\N	\N
3617689	2639	1994-06-30	PRIJEM	\N	179	39419	UROK	\N	\N
3617690	2639	1994-07-31	PRIJEM	\N	183	41221	UROK	\N	\N
3617691	2639	1994-08-31	PRIJEM	\N	182	40022	UROK	\N	\N
3617692	2639	1994-09-30	PRIJEM	\N	163	35203	UROK	\N	\N
3617693	2639	1994-10-31	PRIJEM	\N	159	35180	UROK	\N	\N
3617694	2639	1994-11-30	PRIJEM	\N	162	37760	UROK	\N	\N
3617695	2639	1994-12-31	PRIJEM	\N	179	43090	UROK	\N	\N
3617696	2639	1995-01-31	PRIJEM	\N	171	32080	UROK	\N	\N
3617697	2639	1995-02-28	PRIJEM	\N	143	33741	UROK	\N	\N
3617698	2639	1995-03-31	PRIJEM	\N	157	36717	UROK	\N	\N
3617699	2639	1995-04-30	PRIJEM	\N	146	32482	UROK	\N	\N
3617700	2639	1995-05-31	PRIJEM	\N	145	30945	UROK	\N	\N
3617701	2639	1995-06-30	PRIJEM	\N	176	23172	UROK	\N	\N
3617702	2639	1995-07-31	PRIJEM	\N	114	28704	UROK	\N	\N
3617703	2639	1995-08-31	PRIJEM	\N	122	30044	UROK	\N	\N
3617704	2639	1995-09-30	PRIJEM	\N	120	27783	UROK	\N	\N
3617705	2639	1995-10-31	PRIJEM	\N	124	30825	UROK	\N	\N
3617706	2639	1995-11-30	PRIJEM	\N	166	28409	UROK	\N	\N
3617707	2639	1995-12-31	PRIJEM	\N	129	33989	UROK	\N	\N
3617708	2639	1996-01-31	PRIJEM	\N	120	26927	UROK	\N	\N
3617709	2639	1996-02-29	PRIJEM	\N	151	42697	UROK	\N	\N
3617710	2639	1996-03-31	PRIJEM	\N	183	46498	UROK	\N	\N
3617711	2639	1996-04-30	PRIJEM	\N	187	45704	UROK	\N	\N
3617712	2639	1996-05-31	PRIJEM	\N	183	45205	UROK	\N	\N
3617713	2639	1996-06-30	PRIJEM	\N	190	37746	UROK	\N	\N
3617714	2639	1996-07-31	PRIJEM	\N	167	44031	UROK	\N	\N
3617715	2639	1996-08-31	PRIJEM	\N	174	45424	UROK	\N	\N
3617716	2639	1996-09-30	PRIJEM	\N	183	46626	UROK	\N	\N
3617717	2639	1996-10-31	PRIJEM	\N	187	47431	UROK	\N	\N
3617718	2639	1996-11-30	PRIJEM	\N	158	40607	UROK	\N	\N
3617719	2639	1996-12-31	PRIJEM	\N	164	43823	UROK	\N	\N
3617720	2639	1997-01-31	PRIJEM	\N	144	25285	UROK	\N	\N
3617721	2639	1997-02-28	PRIJEM	\N	119	33622	UROK	\N	\N
3617722	2639	1997-03-31	PRIJEM	\N	142	36583	UROK	\N	\N
3617723	2639	1997-04-30	PRIJEM	\N	121	33822	UROK	\N	\N
3617724	2639	1997-05-31	PRIJEM	\N	136	35577	UROK	\N	\N
3617725	2639	1997-06-30	PRIJEM	\N	171	47999	UROK	\N	\N
3617726	2639	1997-07-31	PRIJEM	\N	176	43593	UROK	\N	\N
3617727	2639	1997-08-31	PRIJEM	\N	166	41578	UROK	\N	\N
3617728	2639	1997-09-30	PRIJEM	\N	150	37246	UROK	\N	\N
3617729	2639	1997-10-31	PRIJEM	\N	141	36105	UROK	\N	\N
3617730	2639	1997-11-30	PRIJEM	\N	142	36865	UROK	\N	\N
3617731	2639	1997-12-31	PRIJEM	\N	173	46689	UROK	\N	\N
3617732	2639	1998-01-31	PRIJEM	\N	116	22423	UROK	\N	\N
3617733	2639	1998-02-28	PRIJEM	\N	129	38170	UROK	\N	\N
3617734	2639	1998-03-31	PRIJEM	\N	170	46358	UROK	\N	\N
3617735	2639	1998-04-30	PRIJEM	\N	149	42426	UROK	\N	\N
3617736	2639	1998-05-31	PRIJEM	\N	172	36816	UROK	\N	\N
3617737	2639	1998-06-30	PRIJEM	\N	205	47872	UROK	\N	\N
3617738	2639	1998-07-31	PRIJEM	\N	230	47420	UROK	\N	\N
3617739	2639	1998-08-31	PRIJEM	\N	204	41542	UROK	\N	\N
3617740	2639	1998-09-30	PRIJEM	\N	200	41661	UROK	\N	\N
3617741	2639	1998-10-31	PRIJEM	\N	198	40278	UROK	\N	\N
3617742	2639	1998-11-30	PRIJEM	\N	188	34484	UROK	\N	\N
3617743	2639	1998-12-31	PRIJEM	\N	212	61947	UROK	\N	\N
3617744	2640	1996-10-31	PRIJEM	\N	26	17704	UROK	\N	\N
3617745	2640	1996-11-30	PRIJEM	\N	94	31076	UROK	\N	\N
3617746	2640	1996-12-31	PRIJEM	\N	139	37533	UROK	\N	\N
3617747	2640	1997-01-31	PRIJEM	\N	156	37566	UROK	\N	\N
3617748	2640	1997-02-28	PRIJEM	\N	163	36735	UROK	\N	\N
3617749	2640	1997-03-31	PRIJEM	\N	157	33884	UROK	\N	\N
3617750	2640	1997-04-30	PRIJEM	\N	152	35127	UROK	\N	\N
3617751	2640	1997-05-31	PRIJEM	\N	160	38478	UROK	\N	\N
3617752	2640	1997-06-30	PRIJEM	\N	146	19855	UROK	\N	\N
3617753	2640	1997-07-31	PRIJEM	\N	116	33862	UROK	\N	\N
3617754	2640	1997-08-31	PRIJEM	\N	164	41218	UROK	\N	\N
3617755	2640	1997-09-30	PRIJEM	\N	184	45494	UROK	\N	\N
3617756	2640	1997-10-31	PRIJEM	\N	212	53497	UROK	\N	\N
3617757	2640	1997-11-30	PRIJEM	\N	238	58326	UROK	\N	\N
3617758	2640	1997-12-31	PRIJEM	\N	271	63927	UROK	\N	\N
3617759	2640	1998-01-31	PRIJEM	\N	248	51366	UROK	\N	\N
3617760	2640	1998-02-28	PRIJEM	\N	236	58694	UROK	\N	\N
3617761	2640	1998-03-31	PRIJEM	\N	256	61241	UROK	\N	\N
3617762	2640	1998-04-30	PRIJEM	\N	264	62696	UROK	\N	\N
3617763	2640	1998-05-31	PRIJEM	\N	267	64154	UROK	\N	\N
3617764	2640	1998-06-30	PRIJEM	\N	238	55722	UROK	\N	\N
3617765	2640	1998-07-31	PRIJEM	\N	247	60860	UROK	\N	\N
3617766	2640	1998-08-31	PRIJEM	\N	261	63513	UROK	\N	\N
3617767	2640	1998-09-30	PRIJEM	\N	280	69184	UROK	\N	\N
3617768	2640	1998-10-31	PRIJEM	\N	292	70567	UROK	\N	\N
3617769	2640	1998-11-30	PRIJEM	\N	321	71779	UROK	\N	\N
3617770	2640	1998-12-31	PRIJEM	\N	297	70207	UROK	\N	\N
3617771	2641	1993-05-31	PRIJEM	\N	60	22192	UROK	\N	\N
3617772	2641	1993-06-30	PRIJEM	\N	178	54818	UROK	\N	\N
3617773	2641	1993-07-31	PRIJEM	\N	240	60289	UROK	\N	\N
3617774	2641	1993-08-31	PRIJEM	\N	172	45593	UROK	\N	\N
3617775	2641	1993-09-30	PRIJEM	\N	240	45039	UROK	\N	\N
3617776	2641	1993-10-31	PRIJEM	\N	235	41465	UROK	\N	\N
3617777	2641	1993-11-30	PRIJEM	\N	208	39565	UROK	\N	\N
3617778	2641	1993-12-31	PRIJEM	\N	232	45904	UROK	\N	\N
3617779	2641	1994-01-31	PRIJEM	\N	206	37802	UROK	\N	\N
3617780	2641	1994-02-28	PRIJEM	\N	204	41797	UROK	\N	\N
3617781	2641	1994-03-31	PRIJEM	\N	220	42508	UROK	\N	\N
3617782	2641	1994-04-30	PRIJEM	\N	208	39708	UROK	\N	\N
3617783	2641	1994-05-31	PRIJEM	\N	205	40904	UROK	\N	\N
3617784	2641	1994-06-30	PRIJEM	\N	179	35290	UROK	\N	\N
3617785	2641	1994-07-31	PRIJEM	\N	187	40168	UROK	\N	\N
3617786	2641	1994-08-31	PRIJEM	\N	202	40162	UROK	\N	\N
3617787	2641	1994-09-30	PRIJEM	\N	195	41248	UROK	\N	\N
3617788	2641	1994-10-31	PRIJEM	\N	210	45149	UROK	\N	\N
3617789	2641	1994-11-30	PRIJEM	\N	220	45261	UROK	\N	\N
3617790	2641	1994-12-31	PRIJEM	\N	236	51304	UROK	\N	\N
3617791	2641	1995-01-31	PRIJEM	\N	225	43920	UROK	\N	\N
3617792	2641	1995-02-28	PRIJEM	\N	212	45023	UROK	\N	\N
3617793	2641	1995-03-31	PRIJEM	\N	207	44122	UROK	\N	\N
3617794	2641	1995-04-30	PRIJEM	\N	213	44726	UROK	\N	\N
3617795	2641	1995-05-31	PRIJEM	\N	220	49137	UROK	\N	\N
3617796	2641	1995-06-30	PRIJEM	\N	235	43279	UROK	\N	\N
3617797	2641	1995-07-31	PRIJEM	\N	205	47575	UROK	\N	\N
3617798	2641	1995-08-31	PRIJEM	\N	217	48384	UROK	\N	\N
3617799	2641	1995-09-30	PRIJEM	\N	223	49598	UROK	\N	\N
3617800	2641	1995-10-31	PRIJEM	\N	228	54318	UROK	\N	\N
3617801	2641	1995-11-30	PRIJEM	\N	239	55048	UROK	\N	\N
3617802	2641	1995-12-31	PRIJEM	\N	263	59719	UROK	\N	\N
3617803	2641	1996-01-31	PRIJEM	\N	245	53155	UROK	\N	\N
3617804	2641	1996-02-29	PRIJEM	\N	228	53274	UROK	\N	\N
3617805	2641	1996-03-31	PRIJEM	\N	241	56806	UROK	\N	\N
3617806	2641	1996-04-30	PRIJEM	\N	255	62352	UROK	\N	\N
3617807	2641	1996-05-31	PRIJEM	\N	272	64316	UROK	\N	\N
3617808	2641	1996-06-30	PRIJEM	\N	269	55092	UROK	\N	\N
3617809	2641	1996-07-31	PRIJEM	\N	241	57324	UROK	\N	\N
3617810	2641	1996-08-31	PRIJEM	\N	257	64272	UROK	\N	\N
3617811	2641	1996-09-30	PRIJEM	\N	269	65032	UROK	\N	\N
3617812	2641	1996-10-31	PRIJEM	\N	280	68803	UROK	\N	\N
3617813	2641	1996-11-30	PRIJEM	\N	281	68175	UROK	\N	\N
3617814	2641	1996-12-31	PRIJEM	\N	291	70874	UROK	\N	\N
3617815	2641	1997-01-31	PRIJEM	\N	303	71068	UROK	\N	\N
3617816	2641	1997-02-28	PRIJEM	\N	320	77480	UROK	\N	\N
3617817	2641	1997-03-31	PRIJEM	\N	331	77302	UROK	\N	\N
3617818	2641	1997-04-30	PRIJEM	\N	348	83941	UROK	\N	\N
3617819	2641	1997-05-31	PRIJEM	\N	372	89405	UROK	\N	\N
3617820	2641	1997-06-30	PRIJEM	\N	350	78462	UROK	\N	\N
3617821	2641	1997-07-31	PRIJEM	\N	322	78276	UROK	\N	\N
3617822	2641	1997-08-31	PRIJEM	\N	337	81504	UROK	\N	\N
3617823	2641	1997-09-30	PRIJEM	\N	338	82934	UROK	\N	\N
3617824	2641	1997-10-31	PRIJEM	\N	367	88392	UROK	\N	\N
3617825	2641	1997-11-30	PRIJEM	\N	380	90263	UROK	\N	\N
3617826	2641	1997-12-31	PRIJEM	\N	374	95344	UROK	\N	\N
3617827	2641	1998-01-31	PRIJEM	\N	323	72659	UROK	\N	\N
3617828	2641	1998-02-28	PRIJEM	\N	320	80970	UROK	\N	\N
3617829	2641	1998-03-31	PRIJEM	\N	348	82910	UROK	\N	\N
3617830	2641	1998-04-30	PRIJEM	\N	355	84456	UROK	\N	\N
3617831	2641	1998-05-31	PRIJEM	\N	359	85207	UROK	\N	\N
3617832	2641	1998-06-30	PRIJEM	\N	332	69947	UROK	\N	\N
3617833	2641	1998-07-31	PRIJEM	\N	302	76539	UROK	\N	\N
3617834	2641	1998-08-31	PRIJEM	\N	343	83774	UROK	\N	\N
3617835	2641	1998-09-30	PRIJEM	\N	369	89834	UROK	\N	\N
3617836	2641	1998-10-31	PRIJEM	\N	379	95005	UROK	\N	\N
3617837	2641	1998-11-30	PRIJEM	\N	393	94990	UROK	\N	\N
3617838	2641	1998-12-31	PRIJEM	\N	436	112333	UROK	\N	\N
3617839	2642	1995-06-30	PRIJEM	\N	62	20285	UROK	\N	\N
3617840	2642	1995-07-31	PRIJEM	\N	134	36501	UROK	\N	\N
3617841	2642	1995-08-31	PRIJEM	\N	177	44860	UROK	\N	\N
3617842	2642	1995-09-30	PRIJEM	\N	199	48941	UROK	\N	\N
3617843	2642	1995-10-31	PRIJEM	\N	192	42432	UROK	\N	\N
3617844	2642	1995-11-30	PRIJEM	\N	150	33911	UROK	\N	\N
3617845	2642	1995-12-31	PRIJEM	\N	152	37632	UROK	\N	\N
3617846	2642	1996-01-31	PRIJEM	\N	97	17078	UROK	\N	\N
3617847	2642	1996-02-29	PRIJEM	\N	109	28656	UROK	\N	\N
3617848	2642	1996-03-31	PRIJEM	\N	130	32834	UROK	\N	\N
3617849	2642	1996-04-30	PRIJEM	\N	152	38754	UROK	\N	\N
3617850	2642	1996-05-31	PRIJEM	\N	155	28377	UROK	\N	\N
3617851	2642	1996-06-30	PRIJEM	\N	124	25831	UROK	\N	\N
3617852	2642	1996-07-31	PRIJEM	\N	133	28232	UROK	\N	\N
3617853	2642	1996-08-31	PRIJEM	\N	140	30640	UROK	\N	\N
3617854	2642	1996-09-30	PRIJEM	\N	153	31861	UROK	\N	\N
3617855	2642	1996-10-31	PRIJEM	\N	156	32486	UROK	\N	\N
3617856	2642	1996-11-30	PRIJEM	\N	158	32913	UROK	\N	\N
3617857	2642	1996-12-31	PRIJEM	\N	180	39702	UROK	\N	\N
3617858	2642	1997-01-31	PRIJEM	\N	142	24491	UROK	\N	\N
3617859	2642	1997-02-28	PRIJEM	\N	129	31288	UROK	\N	\N
3617860	2642	1997-03-31	PRIJEM	\N	152	32029	UROK	\N	\N
3617861	2642	1997-04-30	PRIJEM	\N	154	31451	UROK	\N	\N
3617862	2642	1997-05-31	PRIJEM	\N	141	31561	UROK	\N	\N
3617863	2642	1997-06-30	PRIJEM	\N	124	24554	UROK	\N	\N
3617864	2642	1997-07-31	PRIJEM	\N	117	23259	UROK	\N	\N
3617865	2642	1997-08-31	PRIJEM	\N	118	26645	UROK	\N	\N
3617866	2642	1997-09-30	PRIJEM	\N	134	32448	UROK	\N	\N
3617867	2642	1997-10-31	PRIJEM	\N	151	33167	UROK	\N	\N
3617868	2642	1997-11-30	PRIJEM	\N	151	32287	UROK	\N	\N
3617869	2642	1997-12-31	PRIJEM	\N	156	29053	UROK	\N	\N
3617870	2642	1998-01-31	PRIJEM	\N	100	9601	UROK	\N	\N
3617871	2642	1998-02-28	PRIJEM	\N	58	11248	UROK	\N	\N
3617872	2642	1998-03-31	PRIJEM	\N	65	14081	UROK	\N	\N
3617873	2642	1998-04-30	PRIJEM	\N	76	16526	UROK	\N	\N
3617874	2642	1998-05-31	PRIJEM	\N	53	12107	UROK	\N	\N
3617875	2642	1998-06-30	PRIJEM	\N	29	5478	UROK	\N	\N
3617876	2642	1998-06-30	VYDAJ	VYBER	2	5476	SANKC. UROK	\N	\N
3617877	2642	1998-07-31	PRIJEM	\N	38	8222	UROK	\N	\N
3617878	2642	1998-08-31	PRIJEM	\N	42	6932	UROK	\N	\N
3617879	2642	1998-09-30	PRIJEM	\N	36	6037	UROK	\N	\N
3617880	2642	1998-10-31	PRIJEM	\N	35	6340	UROK	\N	\N
3617881	2642	1998-11-30	PRIJEM	\N	28	3336	UROK	\N	\N
3617882	2642	1998-12-31	PRIJEM	\N	34	3975	UROK	\N	\N
3617941	2644	1997-08-31	PRIJEM	\N	17	5601	UROK	\N	\N
3617942	2644	1997-09-30	PRIJEM	\N	23	10608	UROK	\N	\N
3617943	2644	1997-10-31	PRIJEM	\N	23	15615	UROK	\N	\N
3617944	2644	1997-11-30	PRIJEM	\N	23	20622	UROK	\N	\N
3617945	2644	1997-12-31	PRIJEM	\N	76	22819	UROK	\N	\N
3617946	2644	1998-01-31	PRIJEM	\N	80	15461	UROK	\N	\N
3617947	2644	1998-02-28	PRIJEM	\N	71	17815	UROK	\N	\N
3617948	2644	1998-03-31	PRIJEM	\N	84	18901	UROK	\N	\N
3617949	2644	1998-04-30	PRIJEM	\N	85	21269	UROK	\N	\N
3617950	2644	1998-05-31	PRIJEM	\N	89	20520	UROK	\N	\N
3617951	2644	1998-06-30	PRIJEM	\N	81	17143	UROK	\N	\N
3617952	2644	1998-07-31	PRIJEM	\N	78	19504	UROK	\N	\N
3617953	2644	1998-08-31	PRIJEM	\N	87	21573	UROK	\N	\N
3617954	2644	1998-09-30	PRIJEM	\N	93	21469	UROK	\N	\N
3617955	2644	1998-10-31	PRIJEM	\N	96	23848	UROK	\N	\N
3617956	2644	1998-11-30	PRIJEM	\N	106	26236	UROK	\N	\N
3617957	2644	1998-12-31	PRIJEM	\N	119	27488	UROK	\N	\N
3617958	2645	1993-06-30	PRIJEM	\N	30	21676	UROK	\N	\N
3617959	2645	1993-07-31	PRIJEM	\N	101	29208	UROK	\N	\N
3617960	2645	1993-08-31	PRIJEM	\N	125	31765	UROK	\N	\N
3617961	2645	1993-09-30	PRIJEM	\N	134	32929	UROK	\N	\N
3617962	2645	1993-10-31	PRIJEM	\N	147	34597	UROK	\N	\N
3617963	2645	1993-11-30	PRIJEM	\N	137	29763	UROK	\N	\N
3617964	2645	1993-12-31	PRIJEM	\N	134	33241	UROK	\N	\N
3617965	2645	1994-01-31	PRIJEM	\N	137	32408	UROK	\N	\N
3617966	2645	1994-02-28	PRIJEM	\N	135	32172	UROK	\N	\N
3617967	2645	1994-03-31	PRIJEM	\N	129	28530	UROK	\N	\N
3617968	2645	1994-04-30	PRIJEM	\N	118	27577	UROK	\N	\N
3617969	2645	1994-05-31	PRIJEM	\N	109	25616	UROK	\N	\N
3617970	2645	1994-06-30	PRIJEM	\N	92	22952	UROK	\N	\N
3617971	2645	1994-07-31	PRIJEM	\N	110	29391	UROK	\N	\N
3617972	2645	1994-08-31	PRIJEM	\N	116	27837	UROK	\N	\N
3617973	2645	1994-09-30	PRIJEM	\N	120	29886	UROK	\N	\N
3617974	2645	1994-10-31	PRIJEM	\N	125	29640	UROK	\N	\N
3617975	2645	1994-11-30	PRIJEM	\N	122	29792	UROK	\N	\N
3617976	2645	1994-12-31	PRIJEM	\N	129	31166	UROK	\N	\N
3617977	2645	1995-01-31	PRIJEM	\N	131	31726	UROK	\N	\N
3617978	2645	1995-02-28	PRIJEM	\N	147	38403	UROK	\N	\N
3617979	2645	1995-03-31	PRIJEM	\N	161	39293	UROK	\N	\N
3617980	2645	1995-04-30	PRIJEM	\N	165	33887	UROK	\N	\N
3617981	2645	1995-05-31	PRIJEM	\N	164	42880	UROK	\N	\N
3617982	2645	1995-06-30	PRIJEM	\N	162	24086	UROK	\N	\N
3617983	2645	1995-07-31	PRIJEM	\N	113	27728	UROK	\N	\N
3617984	2645	1995-08-31	PRIJEM	\N	135	35392	UROK	\N	\N
3617985	2645	1995-09-30	PRIJEM	\N	163	41884	UROK	\N	\N
3617986	2645	1995-10-31	PRIJEM	\N	171	40584	UROK	\N	\N
3617987	2645	1995-11-30	PRIJEM	\N	159	38672	UROK	\N	\N
3617988	2645	1995-12-31	PRIJEM	\N	163	41879	UROK	\N	\N
3617989	2645	1996-01-31	PRIJEM	\N	171	38579	UROK	\N	\N
3617990	2645	1996-02-29	PRIJEM	\N	159	39668	UROK	\N	\N
3617991	2645	1996-03-31	PRIJEM	\N	172	43169	UROK	\N	\N
3617992	2645	1996-04-30	PRIJEM	\N	182	41880	UROK	\N	\N
3617993	2645	1996-05-31	PRIJEM	\N	180	45390	UROK	\N	\N
3617994	2645	1996-06-30	PRIJEM	\N	189	26223	UROK	\N	\N
3617995	2645	1996-07-31	PRIJEM	\N	137	35290	UROK	\N	\N
3617996	2645	1996-08-31	PRIJEM	\N	146	33065	UROK	\N	\N
3617997	2645	1996-09-30	PRIJEM	\N	139	35334	UROK	\N	\N
3617998	2645	1996-10-31	PRIJEM	\N	145	36208	UROK	\N	\N
3617999	2645	1996-11-30	PRIJEM	\N	155	39092	UROK	\N	\N
3618000	2645	1996-12-31	PRIJEM	\N	159	39996	UROK	\N	\N
3618001	2645	1997-01-31	PRIJEM	\N	140	33865	UROK	\N	\N
3618002	2645	1997-02-28	PRIJEM	\N	152	38946	UROK	\N	\N
3618003	2645	1997-03-31	PRIJEM	\N	150	37725	UROK	\N	\N
3618004	2645	1997-04-30	PRIJEM	\N	158	39812	UROK	\N	\N
3618005	2645	1997-05-31	PRIJEM	\N	159	39300	UROK	\N	\N
3618006	2645	1997-06-30	PRIJEM	\N	157	39102	UROK	\N	\N
3618007	2645	1997-07-31	PRIJEM	\N	155	35885	UROK	\N	\N
3618008	2645	1997-08-31	PRIJEM	\N	147	31862	UROK	\N	\N
3618009	2645	1997-09-30	PRIJEM	\N	132	30223	UROK	\N	\N
3618010	2645	1997-10-31	PRIJEM	\N	127	30780	UROK	\N	\N
3618011	2645	1997-11-30	PRIJEM	\N	133	33842	UROK	\N	\N
3618012	2645	1997-12-31	PRIJEM	\N	151	35838	UROK	\N	\N
3618013	2645	1998-01-31	PRIJEM	\N	149	34316	UROK	\N	\N
3618014	2645	1998-02-28	PRIJEM	\N	148	39093	UROK	\N	\N
3618015	2645	1998-03-31	PRIJEM	\N	166	40288	UROK	\N	\N
3618016	2645	1998-04-30	PRIJEM	\N	169	45487	UROK	\N	\N
3618017	2645	1998-05-31	PRIJEM	\N	182	45598	UROK	\N	\N
3618018	2645	1998-06-30	PRIJEM	\N	193	34035	UROK	\N	\N
3618019	2645	1998-07-31	PRIJEM	\N	144	35809	UROK	\N	\N
3618020	2645	1998-08-31	PRIJEM	\N	153	38891	UROK	\N	\N
3618021	2645	1998-09-30	PRIJEM	\N	161	38781	UROK	\N	\N
3618022	2645	1998-10-31	PRIJEM	\N	154	32964	UROK	\N	\N
3618023	2645	1998-11-30	PRIJEM	\N	128	26922	UROK	\N	\N
3618024	2645	1998-12-31	PRIJEM	\N	126	34592	UROK	\N	\N
3618025	2646	1997-09-30	PRIJEM	\N	57	45513	UROK	\N	\N
3618026	2646	1997-10-31	PRIJEM	\N	189	35302	UROK	\N	\N
3618027	2646	1997-11-30	PRIJEM	\N	303	62345	UROK	\N	\N
3618028	2646	1997-12-31	PRIJEM	\N	259	42604	UROK	\N	\N
3618029	2646	1998-01-31	PRIJEM	\N	259	29962	UROK	\N	\N
3618030	2646	1998-02-28	PRIJEM	\N	275	101891	UROK	\N	\N
3618031	2646	1998-03-31	PRIJEM	\N	211	21247	UROK	\N	\N
3618032	2646	1998-04-30	PRIJEM	\N	127	28730	UROK	\N	\N
3618033	2646	1998-05-31	PRIJEM	\N	146	51513	UROK	\N	\N
3618034	2646	1998-06-30	PRIJEM	\N	186	60134	UROK	\N	\N
3618035	2646	1998-07-31	PRIJEM	\N	316	72287	UROK	\N	\N
3618036	2646	1998-08-31	PRIJEM	\N	300	73467	UROK	\N	\N
3618037	2646	1998-09-30	PRIJEM	\N	293	47874	UROK	\N	\N
3618038	2646	1998-10-31	PRIJEM	\N	192	29975	UROK	\N	\N
3618039	2646	1998-11-30	PRIJEM	\N	170	33234	UROK	\N	\N
3618040	2646	1998-12-31	PRIJEM	\N	183	62608	UROK	\N	\N
3618041	2647	1993-02-28	PRIJEM	\N	35	12450	UROK	\N	\N
3618042	2647	1993-03-31	PRIJEM	\N	92	26157	UROK	\N	\N
3618043	2647	1993-04-30	PRIJEM	\N	140	37113	UROK	\N	\N
3618044	2647	1993-05-31	PRIJEM	\N	165	40793	UROK	\N	\N
3618045	2647	1993-06-30	PRIJEM	\N	165	28879	UROK	\N	\N
3618046	2647	1993-07-31	PRIJEM	\N	143	37120	UROK	\N	\N
3618047	2647	1993-08-31	PRIJEM	\N	163	40580	UROK	\N	\N
3618048	2647	1993-09-30	PRIJEM	\N	158	38935	UROK	\N	\N
3618049	2647	1993-10-31	PRIJEM	\N	144	34377	UROK	\N	\N
3618050	2647	1993-11-30	PRIJEM	\N	138	34612	UROK	\N	\N
3618051	2647	1993-12-31	PRIJEM	\N	148	36564	UROK	\N	\N
3618052	2647	1994-01-31	PRIJEM	\N	114	16475	UROK	\N	\N
3618053	2647	1994-02-28	PRIJEM	\N	105	29278	UROK	\N	\N
3618054	2647	1994-03-31	PRIJEM	\N	131	33506	UROK	\N	\N
3618055	2647	1994-04-30	PRIJEM	\N	118	26721	UROK	\N	\N
3618056	2647	1994-05-31	PRIJEM	\N	118	28536	UROK	\N	\N
3618057	2647	1994-06-30	PRIJEM	\N	100	18140	UROK	\N	\N
3618058	2647	1994-07-31	PRIJEM	\N	116	31854	UROK	\N	\N
3618059	2647	1994-08-31	PRIJEM	\N	145	37196	UROK	\N	\N
3618060	2647	1994-09-30	PRIJEM	\N	169	43162	UROK	\N	\N
3618061	2647	1994-10-31	PRIJEM	\N	177	44037	UROK	\N	\N
3618062	2647	1994-11-30	PRIJEM	\N	179	43113	UROK	\N	\N
3618063	2647	1994-12-31	PRIJEM	\N	185	41303	UROK	\N	\N
3618064	2647	1995-01-31	PRIJEM	\N	159	29360	UROK	\N	\N
3618065	2647	1995-02-28	PRIJEM	\N	140	36197	UROK	\N	\N
3618066	2647	1995-03-31	PRIJEM	\N	151	33945	UROK	\N	\N
3618067	2647	1995-04-30	PRIJEM	\N	159	36201	UROK	\N	\N
3618068	2647	1995-05-31	PRIJEM	\N	168	38867	UROK	\N	\N
3618069	2647	1995-06-30	PRIJEM	\N	156	33227	UROK	\N	\N
3618070	2647	1995-07-31	PRIJEM	\N	156	38181	UROK	\N	\N
3618071	2647	1995-08-31	PRIJEM	\N	176	42654	UROK	\N	\N
3618072	2647	1995-09-30	PRIJEM	\N	185	41437	UROK	\N	\N
3618073	2647	1995-10-31	PRIJEM	\N	188	44523	UROK	\N	\N
3618074	2647	1995-11-30	PRIJEM	\N	201	48321	UROK	\N	\N
3618075	2647	1995-12-31	PRIJEM	\N	224	47250	UROK	\N	\N
3618076	2647	1996-01-31	PRIJEM	\N	159	38207	UROK	\N	\N
3618077	2647	1996-02-29	PRIJEM	\N	173	42677	UROK	\N	\N
3618078	2647	1996-03-31	PRIJEM	\N	192	46066	UROK	\N	\N
3618079	2647	1996-04-30	PRIJEM	\N	204	47468	UROK	\N	\N
3618080	2647	1996-05-31	PRIJEM	\N	207	49572	UROK	\N	\N
3618081	2647	1996-06-30	PRIJEM	\N	199	42575	UROK	\N	\N
3618082	2647	1996-07-31	PRIJEM	\N	196	50069	UROK	\N	\N
3618083	2647	1996-08-31	PRIJEM	\N	216	49882	UROK	\N	\N
3618084	2647	1996-09-30	PRIJEM	\N	215	53294	UROK	\N	\N
3618085	2647	1996-10-31	PRIJEM	\N	222	46914	UROK	\N	\N
3618086	2647	1996-11-30	PRIJEM	\N	206	49717	UROK	\N	\N
3618087	2647	1996-12-31	PRIJEM	\N	227	53248	UROK	\N	\N
3618088	2647	1997-01-31	PRIJEM	\N	198	48044	UROK	\N	\N
3618089	2647	1997-02-28	PRIJEM	\N	211	51952	UROK	\N	\N
3618090	2647	1997-03-31	PRIJEM	\N	232	57881	UROK	\N	\N
3618091	2647	1997-04-30	PRIJEM	\N	248	59326	UROK	\N	\N
3618092	2647	1997-05-31	PRIJEM	\N	252	60076	UROK	\N	\N
3618093	2647	1997-06-30	PRIJEM	\N	249	43729	UROK	\N	\N
3618094	2647	1997-07-31	PRIJEM	\N	217	59643	UROK	\N	\N
3618095	2647	1997-08-31	PRIJEM	\N	255	62695	UROK	\N	\N
3618096	2647	1997-09-30	PRIJEM	\N	281	70874	UROK	\N	\N
3618097	2647	1997-10-31	PRIJEM	\N	312	78383	UROK	\N	\N
3618098	2647	1997-11-30	PRIJEM	\N	329	79910	UROK	\N	\N
3618099	2647	1997-12-31	PRIJEM	\N	346	86060	UROK	\N	\N
3618100	2647	1998-01-31	PRIJEM	\N	345	83103	UROK	\N	\N
3618101	2647	1998-02-28	PRIJEM	\N	350	85850	UROK	\N	\N
3618102	2647	1998-03-31	PRIJEM	\N	354	80101	UROK	\N	\N
3618103	2647	1998-04-30	PRIJEM	\N	356	88854	UROK	\N	\N
3618104	2647	1998-05-31	PRIJEM	\N	380	96332	UROK	\N	\N
3618105	2647	1998-06-30	PRIJEM	\N	376	89012	UROK	\N	\N
3618106	2647	1998-07-31	PRIJEM	\N	401	102011	UROK	\N	\N
3618107	2647	1998-08-31	PRIJEM	\N	429	105137	UROK	\N	\N
3618108	2647	1998-09-30	PRIJEM	\N	452	112287	UROK	\N	\N
3618109	2647	1998-10-31	PRIJEM	\N	516	86800	UROK	\N	\N
3618110	2647	1998-11-30	PRIJEM	\N	433	96630	UROK	\N	\N
3618111	2647	1998-12-31	PRIJEM	\N	466	104800	UROK	\N	\N
3618112	2649	1993-09-30	PRIJEM	\N	37	11464	UROK	\N	\N
3618113	2649	1993-10-31	PRIJEM	\N	89	24480	UROK	\N	\N
3618114	2649	1993-11-30	PRIJEM	\N	130	33337	UROK	\N	\N
3618115	2649	1993-12-31	PRIJEM	\N	170	43047	UROK	\N	\N
3618116	2649	1994-01-31	PRIJEM	\N	157	24497	UROK	\N	\N
3618117	2649	1994-02-28	PRIJEM	\N	106	22705	UROK	\N	\N
3618118	2649	1994-03-31	PRIJEM	\N	104	22910	UROK	\N	\N
3618119	2649	1994-04-30	PRIJEM	\N	121	29493	UROK	\N	\N
3618120	2649	1994-05-31	PRIJEM	\N	127	29881	UROK	\N	\N
3618121	2649	1994-06-30	PRIJEM	\N	147	35903	UROK	\N	\N
3618122	2649	1994-07-31	PRIJEM	\N	150	35114	UROK	\N	\N
3618123	2649	1994-08-31	PRIJEM	\N	138	32393	UROK	\N	\N
3618124	2649	1994-09-30	PRIJEM	\N	132	30787	UROK	\N	\N
3618125	2649	1994-10-31	PRIJEM	\N	116	22725	UROK	\N	\N
3618126	2649	1994-11-30	PRIJEM	\N	116	26462	UROK	\N	\N
3618127	2649	1994-12-31	PRIJEM	\N	143	35380	UROK	\N	\N
3618128	2649	1995-01-31	PRIJEM	\N	116	20057	UROK	\N	\N
3618129	2649	1995-02-28	PRIJEM	\N	116	25394	UROK	\N	\N
3618130	2649	1995-03-31	PRIJEM	\N	133	32288	UROK	\N	\N
3618131	2649	1995-04-30	PRIJEM	\N	134	31484	UROK	\N	\N
3618132	2649	1995-05-31	PRIJEM	\N	142	33987	UROK	\N	\N
3618133	2649	1995-06-30	PRIJEM	\N	144	32886	UROK	\N	\N
3618134	2649	1995-07-31	PRIJEM	\N	151	35198	UROK	\N	\N
3618135	2649	1995-08-31	PRIJEM	\N	145	34005	UROK	\N	\N
3618136	2649	1995-09-30	PRIJEM	\N	157	37923	UROK	\N	\N
3618137	2649	1995-10-31	PRIJEM	\N	159	33343	UROK	\N	\N
3618138	2649	1995-11-30	PRIJEM	\N	154	37459	UROK	\N	\N
3618139	2649	1995-12-31	PRIJEM	\N	184	41118	UROK	\N	\N
3618140	2649	1996-01-31	PRIJEM	\N	154	32134	UROK	\N	\N
3618141	2649	1996-02-29	PRIJEM	\N	147	32842	UROK	\N	\N
3618142	2649	1996-03-31	PRIJEM	\N	144	37048	UROK	\N	\N
3618143	2649	1996-04-30	PRIJEM	\N	169	42338	UROK	\N	\N
3618144	2649	1996-05-31	PRIJEM	\N	191	46190	UROK	\N	\N
3618145	2649	1996-06-30	PRIJEM	\N	201	45346	UROK	\N	\N
3618146	2649	1996-07-31	PRIJEM	\N	204	49211	UROK	\N	\N
3618147	2649	1996-08-31	PRIJEM	\N	219	52691	UROK	\N	\N
3618148	2649	1996-09-30	PRIJEM	\N	224	51117	UROK	\N	\N
3618149	2649	1996-10-31	PRIJEM	\N	227	54905	UROK	\N	\N
3618150	2649	1996-11-30	PRIJEM	\N	241	56907	UROK	\N	\N
3618151	2649	1996-12-31	PRIJEM	\N	260	61242	UROK	\N	\N
3618152	2649	1997-01-31	PRIJEM	\N	241	51064	UROK	\N	\N
3618153	2649	1997-02-28	PRIJEM	\N	226	54352	UROK	\N	\N
3618154	2649	1997-03-31	PRIJEM	\N	236	51929	UROK	\N	\N
3618155	2649	1997-04-30	PRIJEM	\N	227	53918	UROK	\N	\N
3618156	2649	1997-05-31	PRIJEM	\N	238	57618	UROK	\N	\N
3618157	2649	1997-06-30	PRIJEM	\N	181	41073	UROK	\N	\N
3618158	2649	1997-07-31	PRIJEM	\N	192	49026	UROK	\N	\N
3618159	2649	1997-08-31	PRIJEM	\N	214	50701	UROK	\N	\N
3618160	2649	1997-09-30	PRIJEM	\N	218	54101	UROK	\N	\N
3618161	2649	1997-10-31	PRIJEM	\N	239	58201	UROK	\N	\N
3618162	2649	1997-11-30	PRIJEM	\N	238	49181	UROK	\N	\N
3618163	2649	1997-12-31	PRIJEM	\N	231	56386	UROK	\N	\N
3618164	2649	1998-01-31	PRIJEM	\N	233	52041	UROK	\N	\N
3618165	2649	1998-02-28	PRIJEM	\N	229	55531	UROK	\N	\N
3618166	2649	1998-03-31	PRIJEM	\N	241	58033	UROK	\N	\N
3618167	2649	1998-04-30	PRIJEM	\N	242	56437	UROK	\N	\N
3618168	2649	1998-05-31	PRIJEM	\N	247	60346	UROK	\N	\N
3618169	2649	1998-06-30	PRIJEM	\N	202	46922	UROK	\N	\N
3618170	2649	1998-07-31	PRIJEM	\N	222	56705	UROK	\N	\N
3618171	2649	1998-08-31	PRIJEM	\N	254	62621	UROK	\N	\N
3618172	2649	1998-09-30	PRIJEM	\N	256	61478	UROK	\N	\N
3618173	2649	1998-10-31	PRIJEM	\N	249	59628	UROK	\N	\N
3618174	2649	1998-11-30	PRIJEM	\N	262	64452	UROK	\N	\N
3618175	2649	1998-12-31	PRIJEM	\N	282	68409	UROK	\N	\N
3618176	2650	1996-04-30	PRIJEM	\N	18	21538	UROK	\N	\N
3618177	2650	1996-05-31	PRIJEM	\N	102	34260	UROK	\N	\N
3618178	2650	1996-06-30	PRIJEM	\N	153	45643	UROK	\N	\N
3618179	2650	1996-07-31	PRIJEM	\N	190	45752	UROK	\N	\N
3618180	2650	1996-08-31	PRIJEM	\N	187	40600	UROK	\N	\N
3618181	2650	1996-09-30	PRIJEM	\N	185	42327	UROK	\N	\N
3618182	2650	1996-10-31	PRIJEM	\N	191	43761	UROK	\N	\N
3618183	2650	1996-11-30	PRIJEM	\N	193	42696	UROK	\N	\N
3618184	2650	1996-12-31	PRIJEM	\N	186	43814	UROK	\N	\N
3618185	2650	1997-01-31	PRIJEM	\N	165	36261	UROK	\N	\N
3618186	2650	1997-02-28	PRIJEM	\N	168	41772	UROK	\N	\N
3618187	2650	1997-03-31	PRIJEM	\N	184	38738	UROK	\N	\N
3618188	2650	1997-04-30	PRIJEM	\N	175	40955	UROK	\N	\N
3618189	2650	1997-05-31	PRIJEM	\N	182	44620	UROK	\N	\N
3618190	2650	1997-06-30	PRIJEM	\N	202	44954	UROK	\N	\N
3618191	2650	1997-07-31	PRIJEM	\N	194	44491	UROK	\N	\N
3618192	2650	1997-08-31	PRIJEM	\N	186	41899	UROK	\N	\N
3618193	2650	1997-09-30	PRIJEM	\N	183	43824	UROK	\N	\N
3618194	2650	1997-10-31	PRIJEM	\N	188	44555	UROK	\N	\N
3618195	2650	1997-11-30	PRIJEM	\N	186	43604	UROK	\N	\N
3618196	2650	1997-12-31	PRIJEM	\N	200	51416	UROK	\N	\N
3618197	2650	1998-01-31	PRIJEM	\N	191	26309	UROK	\N	\N
3618198	2650	1998-02-28	PRIJEM	\N	104	42595	UROK	\N	\N
3618199	2650	1998-03-31	PRIJEM	\N	191	49309	UROK	\N	\N
3618200	2650	1998-04-30	PRIJEM	\N	215	53366	UROK	\N	\N
3618201	2650	1998-05-31	PRIJEM	\N	224	53933	UROK	\N	\N
3618202	2650	1998-06-30	PRIJEM	\N	185	27790	UROK	\N	\N
3618203	2650	1998-07-31	PRIJEM	\N	145	40678	UROK	\N	\N
3618204	2650	1998-08-31	PRIJEM	\N	199	53319	UROK	\N	\N
3618205	2650	1998-09-30	PRIJEM	\N	240	63022	UROK	\N	\N
3618206	2650	1998-10-31	PRIJEM	\N	271	69215	UROK	\N	\N
3618207	2650	1998-11-30	PRIJEM	\N	286	71544	UROK	\N	\N
3618208	2650	1998-12-31	PRIJEM	\N	302	77478	UROK	\N	\N
3618209	2651	1993-04-30	PRIJEM	\N	45	29474	UROK	\N	\N
3618210	2651	1993-05-31	PRIJEM	\N	146	44349	UROK	\N	\N
3618211	2651	1993-06-30	PRIJEM	\N	215	62758	UROK	\N	\N
3618212	2651	1993-07-31	PRIJEM	\N	256	59943	UROK	\N	\N
3618213	2651	1993-08-31	PRIJEM	\N	264	59072	UROK	\N	\N
3618214	2651	1993-09-30	PRIJEM	\N	249	53908	UROK	\N	\N
3618215	2651	1993-10-31	PRIJEM	\N	175	31574	UROK	\N	\N
3618216	2651	1993-11-30	PRIJEM	\N	167	42294	UROK	\N	\N
3618217	2651	1993-12-31	PRIJEM	\N	198	29697	UROK	\N	\N
3618218	2651	1994-01-31	PRIJEM	\N	126	23277	UROK	\N	\N
3618219	2651	1994-02-28	PRIJEM	\N	140	39169	UROK	\N	\N
3618220	2651	1994-03-31	PRIJEM	\N	176	34947	UROK	\N	\N
3618221	2651	1994-04-30	PRIJEM	\N	142	21478	UROK	\N	\N
3618222	2651	1994-05-31	PRIJEM	\N	114	24498	UROK	\N	\N
3618223	2651	1994-06-30	PRIJEM	\N	163	35278	UROK	\N	\N
3618224	2651	1994-07-31	PRIJEM	\N	132	23237	UROK	\N	\N
3618225	2651	1994-08-31	PRIJEM	\N	142	39731	UROK	\N	\N
3618226	2651	1994-09-30	PRIJEM	\N	181	30858	UROK	\N	\N
3618227	2651	1994-10-31	PRIJEM	\N	155	40865	UROK	\N	\N
3618228	2651	1994-11-30	PRIJEM	\N	229	64246	UROK	\N	\N
3618229	2651	1994-12-31	PRIJEM	\N	345	90409	UROK	\N	\N
3618230	2651	1995-01-31	PRIJEM	\N	301	53662	UROK	\N	\N
3618231	2651	1995-02-28	PRIJEM	\N	245	65459	UROK	\N	\N
3618232	2651	1995-03-31	PRIJEM	\N	305	79016	UROK	\N	\N
3618233	2651	1995-04-30	PRIJEM	\N	296	65388	UROK	\N	\N
3618234	2651	1995-05-31	PRIJEM	\N	266	56976	UROK	\N	\N
3618235	2651	1995-06-30	PRIJEM	\N	284	79790	UROK	\N	\N
3618236	2651	1995-07-31	PRIJEM	\N	325	81067	UROK	\N	\N
3618237	2651	1995-08-31	PRIJEM	\N	277	66128	UROK	\N	\N
3618238	2651	1995-09-30	PRIJEM	\N	267	70447	UROK	\N	\N
3618239	2651	1995-10-31	PRIJEM	\N	281	59781	UROK	\N	\N
3618240	2651	1995-11-30	PRIJEM	\N	202	42116	UROK	\N	\N
3618241	2651	1995-12-31	PRIJEM	\N	246	67984	UROK	\N	\N
3618242	2651	1996-01-31	PRIJEM	\N	200	47523	UROK	\N	\N
3618243	2651	1996-02-29	PRIJEM	\N	212	53231	UROK	\N	\N
3618244	2651	1996-03-31	PRIJEM	\N	231	44151	UROK	\N	\N
3618245	2651	1996-04-30	PRIJEM	\N	218	60322	UROK	\N	\N
3618246	2651	1996-05-31	PRIJEM	\N	232	63091	UROK	\N	\N
3618247	2651	1996-06-30	PRIJEM	\N	315	66376	UROK	\N	\N
3618248	2651	1996-07-31	PRIJEM	\N	273	67602	UROK	\N	\N
3618249	2651	1996-08-31	PRIJEM	\N	288	74042	UROK	\N	\N
3618250	2651	1996-09-30	PRIJEM	\N	296	74290	UROK	\N	\N
3618251	2651	1996-10-31	PRIJEM	\N	298	74840	UROK	\N	\N
3618252	2651	1996-11-30	PRIJEM	\N	298	68510	UROK	\N	\N
3618253	2651	1996-12-31	PRIJEM	\N	283	52093	UROK	\N	\N
3618254	2651	1997-01-31	PRIJEM	\N	161	32293	UROK	\N	\N
3618255	2651	1997-02-28	PRIJEM	\N	193	57537	UROK	\N	\N
3618256	2651	1997-03-31	PRIJEM	\N	207	40096	UROK	\N	\N
3618257	2651	1997-04-30	PRIJEM	\N	224	46773	UROK	\N	\N
3618258	2651	1997-05-31	PRIJEM	\N	246	45492	UROK	\N	\N
3618259	2651	1997-06-30	PRIJEM	\N	278	53487	UROK	\N	\N
3618260	2651	1997-07-31	PRIJEM	\N	231	43652	UROK	\N	\N
3618261	2651	1997-08-31	PRIJEM	\N	191	33794	UROK	\N	\N
3618262	2651	1997-09-30	PRIJEM	\N	161	28607	UROK	\N	\N
3618263	2651	1997-10-31	PRIJEM	\N	168	37428	UROK	\N	\N
3618264	2651	1997-11-30	PRIJEM	\N	198	40679	UROK	\N	\N
3618265	2651	1997-12-31	PRIJEM	\N	249	50044	UROK	\N	\N
3618266	2651	1998-01-31	PRIJEM	\N	170	28838	UROK	\N	\N
3618267	2651	1998-02-28	PRIJEM	\N	161	34851	UROK	\N	\N
3618268	2651	1998-03-31	PRIJEM	\N	166	28610	UROK	\N	\N
3618269	2651	1998-04-30	PRIJEM	\N	157	31620	UROK	\N	\N
3618270	2651	1998-05-31	PRIJEM	\N	149	23852	UROK	\N	\N
3618271	2651	1998-06-30	PRIJEM	\N	174	38344	UROK	\N	\N
3618272	2651	1998-07-31	PRIJEM	\N	178	32974	UROK	\N	\N
3618273	2651	1998-08-31	PRIJEM	\N	157	28184	UROK	\N	\N
3618274	2651	1998-09-30	PRIJEM	\N	135	23871	UROK	\N	\N
3618275	2651	1998-10-31	PRIJEM	\N	159	49083	UROK	\N	\N
3618276	2651	1998-11-30	PRIJEM	\N	190	32025	UROK	\N	\N
3618277	2651	1998-12-31	PRIJEM	\N	158	24801	UROK	\N	\N
3618278	2652	1996-08-31	PRIJEM	\N	34	23247	UROK	\N	\N
3618279	2652	1996-09-30	PRIJEM	\N	109	31470	UROK	\N	\N
3618280	2652	1996-10-31	PRIJEM	\N	142	38224	UROK	\N	\N
3618281	2652	1996-11-30	PRIJEM	\N	158	38095	UROK	\N	\N
3618282	2652	1996-12-31	PRIJEM	\N	194	38478	UROK	\N	\N
3618283	2652	1997-01-31	PRIJEM	\N	118	20588	UROK	\N	\N
3618284	2652	1997-02-28	PRIJEM	\N	111	29512	UROK	\N	\N
3618285	2652	1997-03-31	PRIJEM	\N	141	33165	UROK	\N	\N
3618286	2652	1997-04-30	PRIJEM	\N	153	35731	UROK	\N	\N
3618287	2652	1997-05-31	PRIJEM	\N	166	36509	UROK	\N	\N
3618288	2652	1997-06-30	PRIJEM	\N	184	42712	UROK	\N	\N
3618289	2652	1997-07-31	PRIJEM	\N	180	39385	UROK	\N	\N
3618290	2652	1997-08-31	PRIJEM	\N	178	41175	UROK	\N	\N
3618291	2652	1997-09-30	PRIJEM	\N	190	45677	UROK	\N	\N
3618292	2652	1997-10-31	PRIJEM	\N	212	52202	UROK	\N	\N
3618293	2652	1997-11-30	PRIJEM	\N	219	51633	UROK	\N	\N
3618294	2652	1997-12-31	PRIJEM	\N	226	52498	UROK	\N	\N
3618295	2652	1998-01-31	PRIJEM	\N	207	35797	UROK	\N	\N
3618296	2652	1998-02-28	PRIJEM	\N	162	37472	UROK	\N	\N
3618297	2652	1998-03-31	PRIJEM	\N	178	45362	UROK	\N	\N
3618298	2652	1998-04-30	PRIJEM	\N	185	43759	UROK	\N	\N
3618299	2652	1998-05-31	PRIJEM	\N	183	44514	UROK	\N	\N
3618300	2652	1998-06-30	PRIJEM	\N	194	18747	UROK	\N	\N
3618301	2652	1998-07-31	PRIJEM	\N	77	32736	UROK	\N	\N
3618302	2652	1998-08-31	PRIJEM	\N	162	42810	UROK	\N	\N
3618303	2652	1998-09-30	PRIJEM	\N	182	45704	UROK	\N	\N
3618304	2652	1998-10-31	PRIJEM	\N	208	48025	UROK	\N	\N
3618305	2652	1998-11-30	PRIJEM	\N	183	43420	UROK	\N	\N
3618306	2652	1998-12-31	PRIJEM	\N	208	50927	UROK	\N	\N
3618307	2653	1997-01-31	PRIJEM	\N	69	23348	UROK	\N	\N
3618308	2653	1997-02-28	PRIJEM	\N	156	44283	UROK	\N	\N
3618309	2653	1997-03-31	PRIJEM	\N	213	54074	UROK	\N	\N
3618310	2653	1997-04-30	PRIJEM	\N	238	58892	UROK	\N	\N
3618311	2653	1997-05-31	PRIJEM	\N	244	57004	UROK	\N	\N
3618312	2653	1997-06-30	PRIJEM	\N	243	56860	UROK	\N	\N
3618313	2653	1997-07-31	PRIJEM	\N	230	57265	UROK	\N	\N
3618314	2653	1997-08-31	PRIJEM	\N	219	53358	UROK	\N	\N
3618315	2653	1997-09-30	PRIJEM	\N	229	57862	UROK	\N	\N
3618316	2653	1997-10-31	PRIJEM	\N	243	59879	UROK	\N	\N
3618317	2653	1997-11-30	PRIJEM	\N	221	55875	UROK	\N	\N
3618318	2653	1997-12-31	PRIJEM	\N	253	67341	UROK	\N	\N
3618319	2653	1998-01-31	PRIJEM	\N	222	50137	UROK	\N	\N
3618320	2653	1998-02-28	PRIJEM	\N	209	54421	UROK	\N	\N
3618321	2653	1998-03-31	PRIJEM	\N	210	52505	UROK	\N	\N
3618322	2653	1998-04-30	PRIJEM	\N	212	52591	UROK	\N	\N
3618323	2653	1998-05-31	PRIJEM	\N	194	50659	UROK	\N	\N
3618324	2653	1998-06-30	PRIJEM	\N	221	53094	UROK	\N	\N
3618325	2653	1998-07-31	PRIJEM	\N	209	51677	UROK	\N	\N
3618326	2653	1998-08-31	PRIJEM	\N	200	51351	UROK	\N	\N
3618327	2653	1998-09-30	PRIJEM	\N	227	56052	UROK	\N	\N
3618328	2653	1998-10-31	PRIJEM	\N	239	47666	UROK	\N	\N
3618329	2653	1998-11-30	PRIJEM	\N	229	47669	UROK	\N	\N
3618330	2653	1998-12-31	PRIJEM	\N	276	73958	UROK	\N	\N
3618331	2654	1994-11-30	PRIJEM	\N	43	23559	UROK	\N	\N
3618332	2654	1994-12-31	PRIJEM	\N	100	24027	UROK	\N	\N
3618333	2654	1995-01-31	PRIJEM	\N	86	16076	UROK	\N	\N
3618334	2654	1995-02-28	PRIJEM	\N	72	18452	UROK	\N	\N
3618335	2654	1995-03-31	PRIJEM	\N	82	20437	UROK	\N	\N
3618336	2654	1995-04-30	PRIJEM	\N	91	22831	UROK	\N	\N
3618337	2654	1995-05-31	PRIJEM	\N	106	23880	UROK	\N	\N
3618338	2654	1995-06-30	PRIJEM	\N	103	25086	UROK	\N	\N
3618339	2654	1995-07-31	PRIJEM	\N	110	27500	UROK	\N	\N
3618340	2654	1995-08-31	PRIJEM	\N	108	24311	UROK	\N	\N
3618341	2654	1995-09-30	PRIJEM	\N	108	23522	UROK	\N	\N
3618342	2654	1995-10-31	PRIJEM	\N	103	23529	UROK	\N	\N
3618343	2654	1995-11-30	PRIJEM	\N	102	25194	UROK	\N	\N
3618344	2654	1995-12-31	PRIJEM	\N	105	25502	UROK	\N	\N
3618345	2654	1996-01-31	PRIJEM	\N	90	17396	UROK	\N	\N
3618346	2654	1996-02-29	PRIJEM	\N	72	16411	UROK	\N	\N
3618347	2654	1996-03-31	PRIJEM	\N	83	18797	UROK	\N	\N
3618348	2654	1996-04-30	PRIJEM	\N	92	21193	UROK	\N	\N
3618349	2654	1996-05-31	PRIJEM	\N	103	23599	UROK	\N	\N
3618350	2654	1996-06-30	PRIJEM	\N	99	23060	UROK	\N	\N
3618351	2654	1996-07-31	PRIJEM	\N	102	25465	UROK	\N	\N
3618352	2654	1996-08-31	PRIJEM	\N	120	27889	UROK	\N	\N
3618353	2654	1996-09-30	PRIJEM	\N	105	25157	UROK	\N	\N
3618354	2654	1996-10-31	PRIJEM	\N	112	25473	UROK	\N	\N
3618355	2654	1996-11-30	PRIJEM	\N	111	25647	UROK	\N	\N
3618356	2654	1996-12-31	PRIJEM	\N	110	26210	UROK	\N	\N
3618357	2654	1997-01-31	PRIJEM	\N	79	16243	UROK	\N	\N
3618358	2654	1997-02-28	PRIJEM	\N	72	18619	UROK	\N	\N
3618359	2654	1997-03-31	PRIJEM	\N	83	21005	UROK	\N	\N
3618360	2654	1997-04-30	PRIJEM	\N	93	23401	UROK	\N	\N
3618361	2654	1997-05-31	PRIJEM	\N	100	24704	UROK	\N	\N
3618362	2654	1997-06-30	PRIJEM	\N	104	15002	UROK	\N	\N
3618363	2654	1997-07-31	PRIJEM	\N	76	17381	UROK	\N	\N
3618364	2654	1997-08-31	PRIJEM	\N	77	19762	UROK	\N	\N
3618365	2654	1997-09-30	PRIJEM	\N	78	18143	UROK	\N	\N
3618366	2654	1997-10-31	PRIJEM	\N	89	20536	UROK	\N	\N
3618367	2654	1997-11-30	PRIJEM	\N	96	21936	UROK	\N	\N
3618368	2654	1997-12-31	PRIJEM	\N	80	17720	UROK	\N	\N
3618369	2654	1998-01-31	PRIJEM	\N	69	14762	UROK	\N	\N
3618370	2654	1998-02-28	PRIJEM	\N	66	17131	UROK	\N	\N
3618371	2654	1998-03-31	PRIJEM	\N	78	16512	UROK	\N	\N
3618372	2654	1998-04-30	PRIJEM	\N	73	16848	UROK	\N	\N
3618373	2654	1998-05-31	PRIJEM	\N	72	17744	UROK	\N	\N
3618374	2654	1998-06-30	PRIJEM	\N	82	18929	UROK	\N	\N
3618375	2654	1998-07-31	PRIJEM	\N	69	15401	UROK	\N	\N
3618376	2654	1998-08-31	PRIJEM	\N	67	17292	UROK	\N	\N
3618377	2654	1998-09-30	PRIJEM	\N	82	15877	UROK	\N	\N
3618378	2654	1998-10-31	PRIJEM	\N	77	16757	UROK	\N	\N
3618379	2654	1998-11-30	PRIJEM	\N	73	17234	UROK	\N	\N
3618380	2654	1998-12-31	PRIJEM	\N	82	18169	UROK	\N	\N
3618381	2655	1996-09-30	PRIJEM	\N	123	72319	UROK	\N	\N
3618382	2655	1996-10-31	PRIJEM	\N	237	53418	UROK	\N	\N
3618383	2655	1996-11-30	PRIJEM	\N	229	55487	UROK	\N	\N
3618384	2655	1996-12-31	PRIJEM	\N	231	56812	UROK	\N	\N
3618385	2655	1997-01-31	PRIJEM	\N	157	44286	UROK	\N	\N
3618386	2655	1997-02-28	PRIJEM	\N	194	51708	UROK	\N	\N
3618387	2655	1997-03-31	PRIJEM	\N	138	27144	UROK	\N	\N
3618388	2655	1997-04-30	PRIJEM	\N	122	34060	UROK	\N	\N
3618389	2655	1997-05-31	PRIJEM	\N	205	36520	UROK	\N	\N
3618390	2655	1997-06-30	PRIJEM	\N	86	16233	UROK	\N	\N
3618391	2655	1997-07-31	PRIJEM	\N	79	19569	UROK	\N	\N
3618392	2655	1997-08-31	PRIJEM	\N	147	42013	UROK	\N	\N
3618393	2655	1997-09-30	PRIJEM	\N	131	25502	UROK	\N	\N
3618394	2655	1997-10-31	PRIJEM	\N	193	78611	UROK	\N	\N
3618395	2655	1997-11-30	PRIJEM	\N	242	59316	UROK	\N	\N
3618396	2655	1997-12-31	PRIJEM	\N	320	75585	UROK	\N	\N
3618397	2655	1998-01-31	PRIJEM	\N	144	27186	UROK	\N	\N
3618398	2655	1998-02-28	PRIJEM	\N	102	22946	UROK	\N	\N
3618399	2655	1998-03-31	PRIJEM	\N	93	21796	UROK	\N	\N
3618400	2655	1998-04-30	PRIJEM	\N	75	16328	UROK	\N	\N
3618401	2655	1998-05-31	PRIJEM	\N	195	41677	UROK	\N	\N
3618402	2655	1998-06-30	PRIJEM	\N	159	28994	UROK	\N	\N
3618403	2655	1998-07-31	PRIJEM	\N	114	38719	UROK	\N	\N
3618404	2655	1998-08-31	PRIJEM	\N	251	52907	UROK	\N	\N
3618405	2655	1998-09-30	PRIJEM	\N	193	38357	UROK	\N	\N
3618406	2655	1998-10-31	PRIJEM	\N	218	49859	UROK	\N	\N
3618407	2655	1998-11-30	PRIJEM	\N	190	37707	UROK	\N	\N
3618408	2655	1998-12-31	PRIJEM	\N	135	29299	UROK	\N	\N
3618409	2656	1997-07-31	PRIJEM	\N	4	26134	UROK	\N	\N
3618410	2656	1997-08-31	PRIJEM	\N	113	28071	UROK	\N	\N
3618411	2656	1997-09-30	PRIJEM	\N	117	28193	UROK	\N	\N
3618412	2656	1997-10-31	PRIJEM	\N	124	31021	UROK	\N	\N
3618413	2656	1997-11-30	PRIJEM	\N	124	29730	UROK	\N	\N
3618414	2656	1997-12-31	PRIJEM	\N	122	29056	UROK	\N	\N
3618415	2656	1998-01-31	PRIJEM	\N	92	15712	UROK	\N	\N
3618416	2656	1998-02-28	PRIJEM	\N	66	15563	UROK	\N	\N
3618417	2656	1998-03-31	PRIJEM	\N	71	18539	UROK	\N	\N
3618418	2656	1998-04-30	PRIJEM	\N	81	20324	UROK	\N	\N
3618419	2656	1998-05-31	PRIJEM	\N	82	19410	UROK	\N	\N
3618420	2656	1998-06-30	PRIJEM	\N	87	22301	UROK	\N	\N
3618421	2656	1998-07-31	PRIJEM	\N	99	21804	UROK	\N	\N
3618422	2656	1998-08-31	PRIJEM	\N	92	22800	UROK	\N	\N
3618423	2656	1998-09-30	PRIJEM	\N	97	22842	UROK	\N	\N
3618424	2656	1998-10-31	PRIJEM	\N	102	25848	UROK	\N	\N
3618425	2656	1998-11-30	PRIJEM	\N	114	28866	UROK	\N	\N
3618426	2656	1998-12-31	PRIJEM	\N	127	31897	UROK	\N	\N
3618427	2657	1996-10-31	PRIJEM	\N	14	4695	UROK	\N	\N
3618428	2657	1996-11-30	PRIJEM	\N	20	8995	UROK	\N	\N
3618429	2657	1996-12-31	PRIJEM	\N	20	13296	UROK	\N	\N
3618430	2657	1997-01-31	PRIJEM	\N	20	17596	UROK	\N	\N
3618431	2657	1997-02-28	PRIJEM	\N	41	15358	UROK	\N	\N
3618432	2657	1997-03-31	PRIJEM	\N	70	17520	UROK	\N	\N
3618433	2657	1997-04-30	PRIJEM	\N	79	19692	UROK	\N	\N
3618434	2657	1997-05-31	PRIJEM	\N	81	19225	UROK	\N	\N
3618435	2657	1997-06-30	PRIJEM	\N	84	19722	UROK	\N	\N
3618436	2657	1997-07-31	PRIJEM	\N	87	20701	UROK	\N	\N
3618437	2657	1997-08-31	PRIJEM	\N	92	22886	UROK	\N	\N
3618438	2657	1997-09-30	PRIJEM	\N	101	25080	UROK	\N	\N
3618439	2657	1997-10-31	PRIJEM	\N	111	27283	UROK	\N	\N
3618440	2657	1997-11-30	PRIJEM	\N	120	29495	UROK	\N	\N
3618441	2657	1997-12-31	PRIJEM	\N	129	31316	UROK	\N	\N
3618442	2657	1998-01-31	PRIJEM	\N	116	21315	UROK	\N	\N
3618443	2657	1998-02-28	PRIJEM	\N	95	23502	UROK	\N	\N
3618444	2657	1998-03-31	PRIJEM	\N	104	25698	UROK	\N	\N
3618445	2657	1998-04-30	PRIJEM	\N	113	27904	UROK	\N	\N
3618446	2657	1998-05-31	PRIJEM	\N	122	30118	UROK	\N	\N
3618447	2657	1998-06-30	PRIJEM	\N	105	23266	UROK	\N	\N
3618448	2657	1998-07-31	PRIJEM	\N	98	23856	UROK	\N	\N
3618449	2657	1998-08-31	PRIJEM	\N	105	26054	UROK	\N	\N
3618450	2657	1998-09-30	PRIJEM	\N	114	28261	UROK	\N	\N
3618451	2657	1998-10-31	PRIJEM	\N	115	24789	UROK	\N	\N
3618452	2657	1998-11-30	PRIJEM	\N	109	26990	UROK	\N	\N
3618453	2657	1998-12-31	PRIJEM	\N	117	28250	UROK	\N	\N
3618454	2658	1998-04-30	PRIJEM	\N	55	13925	UROK	\N	\N
3618455	2658	1998-05-31	PRIJEM	\N	63	15109	UROK	\N	\N
3618456	2658	1998-06-30	PRIJEM	\N	67	15218	UROK	\N	\N
3618457	2658	1998-07-31	PRIJEM	\N	70	16409	UROK	\N	\N
3618458	2658	1998-08-31	PRIJEM	\N	73	17603	UROK	\N	\N
3618459	2658	1998-09-30	PRIJEM	\N	78	18803	UROK	\N	\N
3618460	2658	1998-10-31	PRIJEM	\N	83	20007	UROK	\N	\N
3618461	2658	1998-11-30	PRIJEM	\N	88	20587	UROK	\N	\N
3618462	2658	1998-12-31	PRIJEM	\N	91	21170	UROK	\N	\N
3618463	2661	1997-03-31	PRIJEM	\N	11	16386	UROK	\N	\N
3618464	2661	1997-04-30	PRIJEM	\N	72	22433	UROK	\N	\N
3618465	2661	1997-05-31	PRIJEM	\N	93	22201	UROK	\N	\N
3618466	2661	1997-06-30	PRIJEM	\N	92	22406	UROK	\N	\N
3618467	2661	1997-07-31	PRIJEM	\N	93	22674	UROK	\N	\N
3618468	2661	1997-08-31	PRIJEM	\N	98	20728	UROK	\N	\N
3618469	2661	1997-09-30	PRIJEM	\N	95	24119	UROK	\N	\N
3618470	2661	1997-10-31	PRIJEM	\N	98	24873	UROK	\N	\N
3618471	2661	1997-11-30	PRIJEM	\N	108	25378	UROK	\N	\N
3618472	2661	1997-12-31	PRIJEM	\N	109	21300	UROK	\N	\N
3618473	2661	1998-01-31	PRIJEM	\N	70	13526	UROK	\N	\N
3618474	2661	1998-02-28	PRIJEM	\N	71	21893	UROK	\N	\N
3618475	2661	1998-03-31	PRIJEM	\N	94	20983	UROK	\N	\N
3618476	2661	1998-04-30	PRIJEM	\N	87	16927	UROK	\N	\N
3618477	2661	1998-05-31	PRIJEM	\N	75	17498	UROK	\N	\N
3618478	2661	1998-06-30	PRIJEM	\N	85	17256	UROK	\N	\N
3618479	2661	1998-07-31	PRIJEM	\N	76	17828	UROK	\N	\N
3618480	2661	1998-08-31	PRIJEM	\N	79	19203	UROK	\N	\N
3618481	2661	1998-09-30	PRIJEM	\N	78	17378	UROK	\N	\N
3618482	2661	1998-10-31	PRIJEM	\N	68	13162	UROK	\N	\N
3618483	2661	1998-11-30	PRIJEM	\N	65	17723	UROK	\N	\N
3618484	2661	1998-12-31	PRIJEM	\N	82	21258	UROK	\N	\N
3618485	2662	1994-10-31	PRIJEM	\N	35	23255	UROK	\N	\N
3618486	2662	1994-11-30	PRIJEM	\N	102	23378	UROK	\N	\N
3618487	2662	1994-12-31	PRIJEM	\N	99	22238	UROK	\N	\N
3618488	2662	1995-01-31	PRIJEM	\N	74	12472	UROK	\N	\N
3618489	2662	1995-02-28	PRIJEM	\N	58	14390	UROK	\N	\N
3618490	2662	1995-03-31	PRIJEM	\N	66	16316	UROK	\N	\N
3618491	2662	1995-04-30	PRIJEM	\N	74	18251	UROK	\N	\N
3618492	2662	1995-05-31	PRIJEM	\N	81	19152	UROK	\N	\N
3618493	2662	1995-06-30	PRIJEM	\N	83	19146	UROK	\N	\N
3618494	2662	1995-07-31	PRIJEM	\N	86	21092	UROK	\N	\N
3618495	2662	1995-08-31	PRIJEM	\N	94	23046	UROK	\N	\N
3618496	2662	1995-09-30	PRIJEM	\N	102	25009	UROK	\N	\N
3618497	2662	1995-10-31	PRIJEM	\N	110	26979	UROK	\N	\N
3618498	2662	1995-11-30	PRIJEM	\N	118	28958	UROK	\N	\N
3618499	2662	1995-12-31	PRIJEM	\N	122	29640	UROK	\N	\N
3618500	2662	1996-01-31	PRIJEM	\N	99	20729	UROK	\N	\N
3618501	2662	1996-02-29	PRIJEM	\N	92	22682	UROK	\N	\N
3618502	2662	1996-03-31	PRIJEM	\N	88	20949	UROK	\N	\N
3618503	2662	1996-04-30	PRIJEM	\N	93	22903	UROK	\N	\N
3618504	2662	1996-05-31	PRIJEM	\N	98	21661	UROK	\N	\N
3618505	2662	1996-06-30	PRIJEM	\N	89	18510	UROK	\N	\N
3618506	2662	1996-07-31	PRIJEM	\N	82	19652	UROK	\N	\N
3618507	2662	1996-08-31	PRIJEM	\N	88	21600	UROK	\N	\N
3618508	2662	1996-09-30	PRIJEM	\N	95	22836	UROK	\N	\N
3618509	2662	1996-10-31	PRIJEM	\N	94	22230	UROK	\N	\N
3618510	2662	1996-11-30	PRIJEM	\N	98	24188	UROK	\N	\N
3618511	2662	1996-12-31	PRIJEM	\N	105	24903	UROK	\N	\N
3618512	2662	1997-01-31	PRIJEM	\N	87	14800	UROK	\N	\N
3618513	2662	1997-02-28	PRIJEM	\N	67	16727	UROK	\N	\N
3618514	2662	1997-03-31	PRIJEM	\N	75	18663	UROK	\N	\N
3618515	2662	1997-04-30	PRIJEM	\N	83	20606	UROK	\N	\N
3618516	2662	1997-05-31	PRIJEM	\N	91	22558	UROK	\N	\N
3618517	2662	1997-06-30	PRIJEM	\N	81	16900	UROK	\N	\N
3618518	2662	1997-07-31	PRIJEM	\N	76	18836	UROK	\N	\N
3618519	2662	1997-08-31	PRIJEM	\N	84	20780	UROK	\N	\N
3618520	2662	1997-09-30	PRIJEM	\N	92	22732	UROK	\N	\N
3618521	2662	1997-10-31	PRIJEM	\N	100	24692	UROK	\N	\N
3618522	2662	1997-11-30	PRIJEM	\N	108	26660	UROK	\N	\N
3618523	2662	1997-12-31	PRIJEM	\N	113	27934	UROK	\N	\N
3618524	2662	1998-01-31	PRIJEM	\N	96	15720	UROK	\N	\N
3618525	2662	1998-02-28	PRIJEM	\N	70	17651	UROK	\N	\N
3618526	2662	1998-03-31	PRIJEM	\N	71	16942	UROK	\N	\N
3618527	2662	1998-04-30	PRIJEM	\N	75	18877	UROK	\N	\N
3618528	2662	1998-05-31	PRIJEM	\N	76	18653	UROK	\N	\N
3618529	2662	1998-06-30	PRIJEM	\N	82	20596	UROK	\N	\N
3618530	2662	1998-07-31	PRIJEM	\N	90	22547	UROK	\N	\N
3618531	2662	1998-08-31	PRIJEM	\N	98	24505	UROK	\N	\N
3618532	2662	1998-09-30	PRIJEM	\N	107	26472	UROK	\N	\N
3618533	2662	1998-10-31	PRIJEM	\N	110	26443	UROK	\N	\N
3618534	2662	1998-11-30	PRIJEM	\N	114	28418	UROK	\N	\N
3618535	2662	1998-12-31	PRIJEM	\N	119	29397	UROK	\N	\N
3618536	2663	1995-05-31	PRIJEM	\N	23	24071	UROK	\N	\N
3618537	2663	1995-06-30	PRIJEM	\N	95	19428	UROK	\N	\N
3618538	2663	1995-07-31	PRIJEM	\N	77	16135	UROK	\N	\N
3618539	2663	1995-08-31	PRIJEM	\N	73	18679	UROK	\N	\N
3618540	2663	1995-09-30	PRIJEM	\N	84	21233	UROK	\N	\N
3618541	2663	1995-10-31	PRIJEM	\N	94	23798	UROK	\N	\N
3618542	2663	1995-11-30	PRIJEM	\N	101	23649	UROK	\N	\N
3618543	2663	1995-12-31	PRIJEM	\N	101	21100	UROK	\N	\N
3618544	2663	1996-01-31	PRIJEM	\N	78	18289	UROK	\N	\N
3618545	2663	1996-02-29	PRIJEM	\N	81	20140	UROK	\N	\N
3618546	2663	1996-03-31	PRIJEM	\N	88	20938	UROK	\N	\N
3618547	2663	1996-04-30	PRIJEM	\N	87	20936	UROK	\N	\N
3618548	2663	1996-05-31	PRIJEM	\N	93	23500	UROK	\N	\N
3618549	2663	1996-06-30	PRIJEM	\N	88	20218	UROK	\N	\N
3618550	2663	1996-07-31	PRIJEM	\N	90	22778	UROK	\N	\N
3618551	2663	1996-08-31	PRIJEM	\N	101	25349	UROK	\N	\N
3618552	2663	1996-09-30	PRIJEM	\N	109	26829	UROK	\N	\N
3618553	2663	1996-10-31	PRIJEM	\N	116	28715	UROK	\N	\N
3618554	2663	1996-11-30	PRIJEM	\N	124	30910	UROK	\N	\N
3618555	2663	1996-12-31	PRIJEM	\N	119	28379	UROK	\N	\N
3618556	2663	1997-01-31	PRIJEM	\N	96	17195	UROK	\N	\N
3618557	2663	1997-02-28	PRIJEM	\N	77	19743	UROK	\N	\N
3618558	2663	1997-03-31	PRIJEM	\N	81	19294	UROK	\N	\N
3618559	2663	1997-04-30	PRIJEM	\N	76	18860	UROK	\N	\N
3618560	2663	1997-05-31	PRIJEM	\N	78	19009	UROK	\N	\N
3618561	2663	1997-06-30	PRIJEM	\N	80	20060	UROK	\N	\N
3618562	2663	1997-07-31	PRIJEM	\N	89	22619	UROK	\N	\N
3618563	2663	1997-08-31	PRIJEM	\N	80	18290	UROK	\N	\N
3618564	2663	1997-09-30	PRIJEM	\N	82	20842	UROK	\N	\N
3618565	2663	1997-10-31	PRIJEM	\N	92	23404	UROK	\N	\N
3618566	2663	1997-11-30	PRIJEM	\N	99	25474	UROK	\N	\N
3618567	2663	1997-12-31	PRIJEM	\N	102	24947	UROK	\N	\N
3618568	2663	1998-01-31	PRIJEM	\N	87	18563	UROK	\N	\N
3618569	2663	1998-02-28	PRIJEM	\N	82	21116	UROK	\N	\N
3618570	2663	1998-03-31	PRIJEM	\N	85	21591	UROK	\N	\N
3618571	2663	1998-04-30	PRIJEM	\N	90	23192	UROK	\N	\N
3618572	2663	1998-05-31	PRIJEM	\N	102	25764	UROK	\N	\N
3618573	2663	1998-06-30	PRIJEM	\N	102	24486	UROK	\N	\N
3618574	2663	1998-07-31	PRIJEM	\N	107	27063	UROK	\N	\N
3618575	2663	1998-08-31	PRIJEM	\N	104	24997	UROK	\N	\N
3618576	2663	1998-09-30	PRIJEM	\N	109	27577	UROK	\N	\N
3618577	2663	1998-10-31	PRIJEM	\N	118	28805	UROK	\N	\N
3618578	2663	1998-11-30	PRIJEM	\N	125	31400	UROK	\N	\N
3618579	2663	1998-12-31	PRIJEM	\N	135	33205	UROK	\N	\N
3618580	2664	1994-02-28	PRIJEM	\N	30	20268	UROK	\N	\N
3618581	2664	1994-03-31	PRIJEM	\N	95	27701	UROK	\N	\N
3618582	2664	1994-04-30	PRIJEM	\N	123	32662	UROK	\N	\N
3618583	2664	1994-05-31	PRIJEM	\N	145	38745	UROK	\N	\N
3618584	2664	1994-06-30	PRIJEM	\N	195	22669	UROK	\N	\N
3618585	2664	1994-07-31	PRIJEM	\N	127	26091	UROK	\N	\N
3618586	2664	1994-08-31	PRIJEM	\N	146	31933	UROK	\N	\N
3618587	2664	1994-09-30	PRIJEM	\N	154	32882	UROK	\N	\N
3618588	2664	1994-10-31	PRIJEM	\N	156	31633	UROK	\N	\N
3618589	2664	1994-11-30	PRIJEM	\N	160	34189	UROK	\N	\N
3618590	2664	1994-12-31	PRIJEM	\N	166	34369	UROK	\N	\N
3618591	2664	1995-01-31	PRIJEM	\N	138	26002	UROK	\N	\N
3618592	2664	1995-02-28	PRIJEM	\N	139	30637	UROK	\N	\N
3618593	2664	1995-03-31	PRIJEM	\N	148	32480	UROK	\N	\N
3618594	2664	1995-04-30	PRIJEM	\N	152	29828	UROK	\N	\N
3618595	2664	1995-05-31	PRIJEM	\N	147	30970	UROK	\N	\N
3618596	2664	1995-06-30	PRIJEM	\N	162	31546	UROK	\N	\N
3618597	2664	1995-07-31	PRIJEM	\N	149	33390	UROK	\N	\N
3618598	2664	1995-08-31	PRIJEM	\N	148	31433	UROK	\N	\N
3618599	2664	1995-09-30	PRIJEM	\N	154	34883	UROK	\N	\N
3618600	2664	1995-10-31	PRIJEM	\N	163	37742	UROK	\N	\N
3618601	2664	1995-11-30	PRIJEM	\N	166	36503	UROK	\N	\N
3618602	2664	1995-12-31	PRIJEM	\N	191	43908	UROK	\N	\N
3618603	2664	1996-01-31	PRIJEM	\N	161	29965	UROK	\N	\N
3618604	2664	1996-02-29	PRIJEM	\N	159	38820	UROK	\N	\N
3618605	2664	1996-03-31	PRIJEM	\N	177	41792	UROK	\N	\N
3618606	2664	1996-04-30	PRIJEM	\N	182	42170	UROK	\N	\N
3618607	2664	1996-05-31	PRIJEM	\N	186	43951	UROK	\N	\N
3618608	2664	1996-06-30	PRIJEM	\N	198	19364	UROK	\N	\N
3618609	2664	1996-07-31	PRIJEM	\N	122	31181	UROK	\N	\N
3618610	2664	1996-08-31	PRIJEM	\N	155	37932	UROK	\N	\N
3618611	2664	1996-09-30	PRIJEM	\N	166	40093	UROK	\N	\N
3618612	2664	1996-10-31	PRIJEM	\N	177	41966	UROK	\N	\N
3618613	2664	1996-11-30	PRIJEM	\N	192	47353	UROK	\N	\N
3618614	2664	1996-12-31	PRIJEM	\N	223	50691	UROK	\N	\N
3618615	2664	1997-01-31	PRIJEM	\N	200	37487	UROK	\N	\N
3618616	2664	1997-02-28	PRIJEM	\N	190	45272	UROK	\N	\N
3618617	2664	1997-03-31	PRIJEM	\N	239	43306	UROK	\N	\N
3618618	2664	1997-04-30	PRIJEM	\N	196	48197	UROK	\N	\N
3618619	2664	1997-05-31	PRIJEM	\N	212	51405	UROK	\N	\N
3618620	2664	1997-06-30	PRIJEM	\N	228	56847	UROK	\N	\N
3618621	2664	1997-07-31	PRIJEM	\N	224	53866	UROK	\N	\N
3618622	2664	1997-08-31	PRIJEM	\N	238	54398	UROK	\N	\N
3618623	2664	1997-09-30	PRIJEM	\N	229	55223	UROK	\N	\N
3618624	2664	1997-10-31	PRIJEM	\N	239	56057	UROK	\N	\N
3618625	2664	1997-11-30	PRIJEM	\N	226	56578	UROK	\N	\N
3618626	2664	1997-12-31	PRIJEM	\N	262	53755	UROK	\N	\N
3618627	2664	1998-01-31	PRIJEM	\N	228	47579	UROK	\N	\N
3618628	2664	1998-02-28	PRIJEM	\N	249	59122	UROK	\N	\N
3618629	2664	1998-03-31	PRIJEM	\N	244	56362	UROK	\N	\N
3618630	2664	1998-04-30	PRIJEM	\N	270	58727	UROK	\N	\N
3618631	2664	1998-05-31	PRIJEM	\N	273	55996	UROK	\N	\N
3618632	2664	1998-06-30	PRIJEM	\N	223	50333	UROK	\N	\N
3618633	2664	1998-07-31	PRIJEM	\N	242	50970	UROK	\N	\N
3618634	2664	1998-08-31	PRIJEM	\N	244	49809	UROK	\N	\N
3618635	2664	1998-09-30	PRIJEM	\N	248	51152	UROK	\N	\N
3618636	2664	1998-10-31	PRIJEM	\N	257	59305	UROK	\N	\N
3618637	2664	1998-11-30	PRIJEM	\N	279	64979	UROK	\N	\N
3618638	2664	1998-12-31	PRIJEM	\N	339	83133	UROK	\N	\N
3618639	2666	1993-03-31	PRIJEM	\N	9	3510	UROK	\N	\N
3618640	2666	1993-04-30	PRIJEM	\N	15	6426	UROK	\N	\N
3618641	2666	1993-05-31	PRIJEM	\N	15	9342	UROK	\N	\N
3618642	2666	1993-06-30	PRIJEM	\N	15	12257	UROK	\N	\N
3618643	2666	1993-07-31	PRIJEM	\N	16	15174	UROK	\N	\N
3618644	2666	1993-08-31	PRIJEM	\N	66	16192	UROK	\N	\N
3618645	2666	1993-09-30	PRIJEM	\N	69	16944	UROK	\N	\N
3618646	2666	1993-10-31	PRIJEM	\N	73	17969	UROK	\N	\N
3618647	2666	1993-11-30	PRIJEM	\N	75	18277	UROK	\N	\N
3618648	2666	1993-12-31	PRIJEM	\N	78	18797	UROK	\N	\N
3618649	2666	1994-01-31	PRIJEM	\N	68	14657	UROK	\N	\N
3618650	2666	1994-02-28	PRIJEM	\N	62	15011	UROK	\N	\N
3618651	2666	1994-03-31	PRIJEM	\N	65	16028	UROK	\N	\N
3618652	2666	1994-04-30	PRIJEM	\N	69	17049	UROK	\N	\N
3618653	2666	1994-05-31	PRIJEM	\N	73	18075	UROK	\N	\N
3618654	2666	1994-06-30	PRIJEM	\N	78	19105	UROK	\N	\N
3618655	2666	1994-07-31	PRIJEM	\N	82	20139	UROK	\N	\N
3618656	2666	1994-08-31	PRIJEM	\N	86	21178	UROK	\N	\N
3618657	2666	1994-09-30	PRIJEM	\N	89	21739	UROK	\N	\N
3618658	2666	1994-10-31	PRIJEM	\N	93	22784	UROK	\N	\N
3618659	2666	1994-11-30	PRIJEM	\N	97	23834	UROK	\N	\N
3618660	2666	1994-12-31	PRIJEM	\N	100	24286	UROK	\N	\N
3618661	2666	1995-01-31	PRIJEM	\N	98	21586	UROK	\N	\N
3618662	2666	1995-02-28	PRIJEM	\N	88	21156	UROK	\N	\N
3618663	2666	1995-03-31	PRIJEM	\N	90	22199	UROK	\N	\N
3618664	2666	1995-04-30	PRIJEM	\N	95	23245	UROK	\N	\N
3618665	2666	1995-05-31	PRIJEM	\N	99	24297	UROK	\N	\N
3618666	2666	1995-06-30	PRIJEM	\N	94	18813	UROK	\N	\N
3618667	2666	1995-07-31	PRIJEM	\N	79	18445	UROK	\N	\N
3618668	2666	1995-08-31	PRIJEM	\N	78	18675	UROK	\N	\N
3618669	2666	1995-09-30	PRIJEM	\N	79	18906	UROK	\N	\N
3618670	2666	1995-10-31	PRIJEM	\N	80	19539	UROK	\N	\N
3618671	2666	1995-11-30	PRIJEM	\N	83	20574	UROK	\N	\N
3618672	2666	1995-12-31	PRIJEM	\N	85	20261	UROK	\N	\N
3618673	2666	1996-01-31	PRIJEM	\N	82	19195	UROK	\N	\N
3618674	2666	1996-02-29	PRIJEM	\N	82	20229	UROK	\N	\N
3618675	2666	1996-03-31	PRIJEM	\N	86	21267	UROK	\N	\N
3618676	2666	1996-04-30	PRIJEM	\N	89	21509	UROK	\N	\N
3618677	2666	1996-05-31	PRIJEM	\N	91	22552	UROK	\N	\N
3618678	2666	1996-06-30	PRIJEM	\N	84	16338	UROK	\N	\N
3618679	2666	1996-07-31	PRIJEM	\N	68	16758	UROK	\N	\N
3618680	2666	1996-08-31	PRIJEM	\N	70	17281	UROK	\N	\N
3618681	2666	1996-09-30	PRIJEM	\N	65	13498	UROK	\N	\N
3618682	2666	1996-10-31	PRIJEM	\N	56	13907	UROK	\N	\N
3618683	2666	1996-11-30	PRIJEM	\N	57	13716	UROK	\N	\N
3618684	2666	1996-12-31	PRIJEM	\N	57	13825	UROK	\N	\N
3618685	2666	1997-01-31	PRIJEM	\N	59	14836	UROK	\N	\N
3618686	2666	1997-02-28	PRIJEM	\N	63	15851	UROK	\N	\N
3618687	2666	1997-03-31	PRIJEM	\N	62	14065	UROK	\N	\N
3618688	2666	1997-04-30	PRIJEM	\N	60	15077	UROK	\N	\N
3618689	2666	1997-05-31	PRIJEM	\N	64	15993	UROK	\N	\N
3618690	2666	1997-06-30	PRIJEM	\N	67	15842	UROK	\N	\N
3618691	2666	1997-07-31	PRIJEM	\N	63	15057	UROK	\N	\N
3618692	2666	1997-08-31	PRIJEM	\N	61	15171	UROK	\N	\N
3618693	2666	1997-09-30	PRIJEM	\N	64	16187	UROK	\N	\N
3618694	2666	1997-10-31	PRIJEM	\N	67	16907	UROK	\N	\N
3618695	2666	1997-11-30	PRIJEM	\N	71	17930	UROK	\N	\N
3618696	2666	1997-12-31	PRIJEM	\N	75	18387	UROK	\N	\N
3618697	2666	1998-01-31	PRIJEM	\N	66	15356	UROK	\N	\N
3618698	2666	1998-02-28	PRIJEM	\N	60	15069	UROK	\N	\N
3618699	2666	1998-03-31	PRIJEM	\N	63	14584	UROK	\N	\N
3618700	2666	1998-04-30	PRIJEM	\N	61	15597	UROK	\N	\N
3618701	2666	1998-05-31	PRIJEM	\N	65	16615	UROK	\N	\N
3618702	2666	1998-06-30	PRIJEM	\N	68	16345	UROK	\N	\N
3618703	2666	1998-07-31	PRIJEM	\N	68	17366	UROK	\N	\N
3618704	2666	1998-08-31	PRIJEM	\N	72	18390	UROK	\N	\N
3618705	2666	1998-09-30	PRIJEM	\N	67	16210	UROK	\N	\N
3618706	2666	1998-10-31	PRIJEM	\N	64	16227	UROK	\N	\N
3618707	2666	1998-11-30	PRIJEM	\N	67	17246	UROK	\N	\N
3618708	2666	1998-12-31	PRIJEM	\N	70	17879	UROK	\N	\N
3618709	2667	1994-03-31	PRIJEM	\N	50	14920	UROK	\N	\N
3618710	2667	1994-04-30	PRIJEM	\N	64	14889	UROK	\N	\N
3618711	2667	1994-05-31	PRIJEM	\N	66	16030	UROK	\N	\N
3618712	2667	1994-06-30	PRIJEM	\N	69	12434	UROK	\N	\N
3618713	2667	1994-07-31	PRIJEM	\N	55	13565	UROK	\N	\N
3618714	2667	1994-08-31	PRIJEM	\N	58	13498	UROK	\N	\N
3618715	2667	1994-09-30	PRIJEM	\N	60	14633	UROK	\N	\N
3618716	2667	1994-10-31	PRIJEM	\N	65	15773	UROK	\N	\N
3618717	2667	1994-11-30	PRIJEM	\N	69	16918	UROK	\N	\N
3618718	2667	1994-12-31	PRIJEM	\N	73	17407	UROK	\N	\N
3618719	2667	1995-01-31	PRIJEM	\N	65	14827	UROK	\N	\N
3618720	2667	1995-02-28	PRIJEM	\N	65	15968	UROK	\N	\N
3618721	2667	1995-03-31	PRIJEM	\N	70	17113	UROK	\N	\N
3618722	2667	1995-04-30	PRIJEM	\N	73	17241	UROK	\N	\N
3618723	2667	1995-05-31	PRIJEM	\N	75	18151	UROK	\N	\N
3618724	2667	1995-06-30	PRIJEM	\N	75	17981	UROK	\N	\N
3618725	2667	1995-07-31	PRIJEM	\N	78	19135	UROK	\N	\N
3618726	2667	1995-08-31	PRIJEM	\N	83	20294	UROK	\N	\N
3618727	2667	1995-09-30	PRIJEM	\N	88	21457	UROK	\N	\N
3618728	2667	1995-10-31	PRIJEM	\N	90	21422	UROK	\N	\N
3618729	2667	1995-11-30	PRIJEM	\N	93	22590	UROK	\N	\N
3618730	2667	1995-12-31	PRIJEM	\N	97	22383	UROK	\N	\N
3618731	2667	1996-01-31	PRIJEM	\N	90	19738	UROK	\N	\N
3618732	2667	1996-02-29	PRIJEM	\N	86	20899	UROK	\N	\N
3618733	2667	1996-03-31	PRIJEM	\N	84	19658	UROK	\N	\N
3618734	2667	1996-04-30	PRIJEM	\N	81	19314	UROK	\N	\N
3618735	2667	1996-05-31	PRIJEM	\N	78	18618	UROK	\N	\N
3618736	2667	1996-06-30	PRIJEM	\N	80	19473	UROK	\N	\N
3618737	2667	1996-07-31	PRIJEM	\N	84	20532	UROK	\N	\N
3618738	2667	1996-08-31	PRIJEM	\N	72	16580	UROK	\N	\N
3618739	2667	1996-09-30	PRIJEM	\N	72	15727	UROK	\N	\N
3618740	2667	1996-10-31	PRIJEM	\N	70	15262	UROK	\N	\N
3618741	2667	1996-11-30	PRIJEM	\N	64	15602	UROK	\N	\N
3618742	2667	1996-12-31	PRIJEM	\N	64	14221	UROK	\N	\N
3618743	2667	1997-01-31	PRIJEM	\N	53	12499	UROK	\N	\N
3618744	2667	1997-02-28	PRIJEM	\N	55	13629	UROK	\N	\N
3618745	2667	1997-03-31	PRIJEM	\N	60	14764	UROK	\N	\N
3618746	2667	1997-04-30	PRIJEM	\N	44	10084	UROK	\N	\N
3618747	2667	1997-05-31	PRIJEM	\N	45	11204	UROK	\N	\N
3618748	2667	1997-06-30	PRIJEM	\N	49	12329	UROK	\N	\N
3618749	2667	1997-07-31	PRIJEM	\N	54	13458	UROK	\N	\N
3618750	2667	1997-08-31	PRIJEM	\N	59	14592	UROK	\N	\N
3618751	2667	1997-09-30	PRIJEM	\N	63	15731	UROK	\N	\N
3618752	2667	1997-10-31	PRIJEM	\N	65	15221	UROK	\N	\N
3618753	2667	1997-11-30	PRIJEM	\N	66	16363	UROK	\N	\N
3618754	2667	1997-12-31	PRIJEM	\N	70	17118	UROK	\N	\N
3618755	2667	1998-01-31	PRIJEM	\N	65	14689	UROK	\N	\N
3618756	2667	1998-02-28	PRIJEM	\N	63	15828	UROK	\N	\N
3618757	2667	1998-03-31	PRIJEM	\N	68	16971	UROK	\N	\N
3618758	2667	1998-04-30	PRIJEM	\N	73	18120	UROK	\N	\N
3618759	2667	1998-05-31	PRIJEM	\N	78	19273	UROK	\N	\N
3618760	2667	1998-06-30	PRIJEM	\N	81	19859	UROK	\N	\N
3618761	2667	1998-07-31	PRIJEM	\N	85	20839	UROK	\N	\N
3618762	2667	1998-08-31	PRIJEM	\N	89	22004	UROK	\N	\N
3618763	2667	1998-09-30	PRIJEM	\N	93	22002	UROK	\N	\N
3618764	2667	1998-10-31	PRIJEM	\N	94	23171	UROK	\N	\N
3618765	2667	1998-11-30	PRIJEM	\N	98	24345	UROK	\N	\N
3618766	2667	1998-12-31	PRIJEM	\N	103	25343	UROK	\N	\N
3618767	2668	1997-06-30	PRIJEM	\N	41	24680	UROK	\N	\N
3618768	2668	1997-07-31	PRIJEM	\N	116	32623	UROK	\N	\N
3618769	2668	1997-08-31	PRIJEM	\N	152	41601	UROK	\N	\N
3618770	2668	1997-09-30	PRIJEM	\N	179	45006	UROK	\N	\N
3618771	2668	1997-10-31	PRIJEM	\N	190	44738	UROK	\N	\N
3618772	2668	1997-11-30	PRIJEM	\N	190	41656	UROK	\N	\N
3618773	2668	1997-12-31	PRIJEM	\N	204	38400	UROK	\N	\N
3618774	2668	1998-01-31	PRIJEM	\N	154	33281	UROK	\N	\N
3618775	2668	1998-02-28	PRIJEM	\N	139	31647	UROK	\N	\N
3618776	2668	1998-03-31	PRIJEM	\N	131	29705	UROK	\N	\N
3618777	2668	1998-04-30	PRIJEM	\N	135	33767	UROK	\N	\N
3618778	2668	1998-05-31	PRIJEM	\N	142	33337	UROK	\N	\N
3618779	2668	1998-06-30	PRIJEM	\N	148	34925	UROK	\N	\N
3618780	2668	1998-07-31	PRIJEM	\N	146	34499	UROK	\N	\N
3618781	2668	1998-08-31	PRIJEM	\N	136	31162	UROK	\N	\N
3618782	2668	1998-09-30	PRIJEM	\N	120	27110	UROK	\N	\N
3618783	2668	1998-10-31	PRIJEM	\N	96	20733	UROK	\N	\N
3618784	2668	1998-11-30	PRIJEM	\N	81	19041	UROK	\N	\N
3618785	2668	1998-12-31	PRIJEM	\N	113	26195	UROK	\N	\N
3618818	2670	1993-02-28	PRIJEM	\N	11	24092	UROK	\N	\N
3618819	2670	1993-03-31	PRIJEM	\N	108	38381	UROK	\N	\N
3618820	2670	1993-04-30	PRIJEM	\N	163	43924	UROK	\N	\N
3618821	2670	1993-05-31	PRIJEM	\N	185	47990	UROK	\N	\N
3618822	2670	1993-06-30	PRIJEM	\N	259	34269	UROK	\N	\N
3618823	2670	1993-07-31	PRIJEM	\N	182	35066	UROK	\N	\N
3618824	2670	1993-08-31	PRIJEM	\N	187	39287	UROK	\N	\N
3618825	2670	1993-09-30	PRIJEM	\N	198	38619	UROK	\N	\N
3618826	2670	1993-10-31	PRIJEM	\N	199	42253	UROK	\N	\N
3618827	2670	1993-11-30	PRIJEM	\N	209	41996	UROK	\N	\N
3618828	2670	1993-12-31	PRIJEM	\N	229	44670	UROK	\N	\N
3618829	2670	1994-01-31	PRIJEM	\N	216	44821	UROK	\N	\N
3618830	2670	1994-02-28	PRIJEM	\N	212	43067	UROK	\N	\N
3618831	2670	1994-03-31	PRIJEM	\N	210	41611	UROK	\N	\N
3618832	2670	1994-04-30	PRIJEM	\N	204	41249	UROK	\N	\N
3618833	2670	1994-05-31	PRIJEM	\N	199	39583	UROK	\N	\N
3618834	2670	1994-06-30	PRIJEM	\N	212	40720	UROK	\N	\N
3618835	2670	1994-07-31	PRIJEM	\N	196	39950	UROK	\N	\N
3618836	2670	1994-08-31	PRIJEM	\N	192	40277	UROK	\N	\N
3618837	2670	1994-09-30	PRIJEM	\N	197	38849	UROK	\N	\N
3618838	2670	1994-10-31	PRIJEM	\N	185	38868	UROK	\N	\N
3618839	2670	1994-11-30	PRIJEM	\N	188	41190	UROK	\N	\N
3618840	2670	1994-12-31	PRIJEM	\N	224	41100	UROK	\N	\N
3618841	2670	1995-01-31	PRIJEM	\N	185	38820	UROK	\N	\N
3618842	2670	1995-02-28	PRIJEM	\N	181	39035	UROK	\N	\N
3618843	2670	1995-03-31	PRIJEM	\N	183	35092	UROK	\N	\N
3618844	2670	1995-04-30	PRIJEM	\N	170	37297	UROK	\N	\N
3618845	2670	1995-05-31	PRIJEM	\N	175	38006	UROK	\N	\N
3618846	2670	1995-06-30	PRIJEM	\N	196	38708	UROK	\N	\N
3618847	2670	1995-07-31	PRIJEM	\N	174	37216	UROK	\N	\N
3618848	2670	1995-08-31	PRIJEM	\N	164	35215	UROK	\N	\N
3618849	2670	1995-09-30	PRIJEM	\N	162	36411	UROK	\N	\N
3618850	2670	1995-10-31	PRIJEM	\N	174	36219	UROK	\N	\N
3618851	2670	1995-11-30	PRIJEM	\N	153	33006	UROK	\N	\N
3618852	2670	1995-12-31	PRIJEM	\N	158	31389	UROK	\N	\N
3618853	2670	1996-01-31	PRIJEM	\N	133	26656	UROK	\N	\N
3618854	2670	1996-02-29	PRIJEM	\N	115	26005	UROK	\N	\N
3618855	2670	1996-03-31	PRIJEM	\N	114	25554	UROK	\N	\N
3618856	2670	1996-04-30	PRIJEM	\N	114	26702	UROK	\N	\N
3618857	2670	1996-05-31	PRIJEM	\N	111	24948	UROK	\N	\N
3618858	2670	1996-06-30	PRIJEM	\N	119	28792	UROK	\N	\N
3618859	2670	1996-07-31	PRIJEM	\N	116	26843	UROK	\N	\N
3618860	2670	1996-08-31	PRIJEM	\N	119	21016	UROK	\N	\N
3618861	2670	1996-09-30	PRIJEM	\N	82	18832	UROK	\N	\N
3618862	2670	1996-10-31	PRIJEM	\N	81	19447	UROK	\N	\N
3618863	2670	1996-11-30	PRIJEM	\N	78	17860	UROK	\N	\N
3618864	2670	1996-12-31	PRIJEM	\N	84	17529	UROK	\N	\N
3618865	2670	1997-01-31	PRIJEM	\N	51	10515	UROK	\N	\N
3618866	2670	1997-02-28	PRIJEM	\N	89	21078	UROK	\N	\N
3618867	2670	1997-03-31	PRIJEM	\N	65	13978	UROK	\N	\N
3618868	2670	1997-04-30	PRIJEM	\N	105	29718	UROK	\N	\N
3618869	2670	1997-05-31	PRIJEM	\N	64	11816	UROK	\N	\N
3618870	2670	1997-06-30	PRIJEM	\N	57	8199	UROK	\N	\N
3618871	2670	1997-07-31	PRIJEM	\N	81	23914	UROK	\N	\N
3618872	2670	1997-08-31	PRIJEM	\N	147	39695	UROK	\N	\N
3618873	2670	1997-09-30	PRIJEM	\N	135	30104	UROK	\N	\N
3618874	2670	1997-10-31	PRIJEM	\N	168	43107	UROK	\N	\N
3618875	2670	1997-11-30	PRIJEM	\N	226	58967	UROK	\N	\N
3618876	2670	1997-12-31	PRIJEM	\N	225	48717	UROK	\N	\N
3618877	2670	1998-01-31	PRIJEM	\N	147	32598	UROK	\N	\N
3618878	2670	1998-02-28	PRIJEM	\N	173	43606	UROK	\N	\N
3618879	2670	1998-03-31	PRIJEM	\N	140	29980	UROK	\N	\N
3618880	2670	1998-04-30	PRIJEM	\N	171	45785	UROK	\N	\N
3618881	2670	1998-05-31	PRIJEM	\N	231	61651	UROK	\N	\N
3618882	2670	1998-06-30	PRIJEM	\N	154	40330	UROK	\N	\N
3618883	2670	1998-07-31	PRIJEM	\N	221	54385	UROK	\N	\N
3618884	2670	1998-08-31	PRIJEM	\N	254	25274	UROK	\N	\N
3618885	2670	1998-09-30	PRIJEM	\N	150	41059	UROK	\N	\N
3618886	2670	1998-10-31	PRIJEM	\N	217	56909	UROK	\N	\N
3618887	2670	1998-11-30	PRIJEM	\N	253	20697	UROK	\N	\N
3618888	2670	1998-12-31	PRIJEM	\N	151	39634	UROK	\N	\N
3618889	2671	1993-10-31	PRIJEM	\N	36	15712	UROK	\N	\N
3618890	2671	1993-11-30	PRIJEM	\N	80	21868	UROK	\N	\N
3618891	2671	1993-12-31	PRIJEM	\N	101	25944	UROK	\N	\N
3618892	2671	1994-01-31	PRIJEM	\N	104	24624	UROK	\N	\N
3618893	2671	1994-02-28	PRIJEM	\N	108	26524	UROK	\N	\N
3618894	2671	1994-03-31	PRIJEM	\N	113	25914	UROK	\N	\N
3618895	2671	1994-04-30	PRIJEM	\N	109	25790	UROK	\N	\N
3618896	2671	1994-05-31	PRIJEM	\N	99	21646	UROK	\N	\N
3618897	2671	1994-06-30	PRIJEM	\N	89	18103	UROK	\N	\N
3618898	2671	1994-07-31	PRIJEM	\N	80	19560	UROK	\N	\N
3618899	2671	1994-08-31	PRIJEM	\N	92	23129	UROK	\N	\N
3618900	2671	1994-09-30	PRIJEM	\N	100	24117	UROK	\N	\N
3618901	2671	1994-10-31	PRIJEM	\N	104	24578	UROK	\N	\N
3618902	2671	1994-11-30	PRIJEM	\N	108	26263	UROK	\N	\N
3618903	2671	1994-12-31	PRIJEM	\N	108	25179	UROK	\N	\N
3618904	2671	1995-01-31	PRIJEM	\N	100	22976	UROK	\N	\N
3618905	2671	1995-02-28	PRIJEM	\N	94	22288	UROK	\N	\N
3618906	2671	1995-03-31	PRIJEM	\N	94	22559	UROK	\N	\N
3618907	2671	1995-04-30	PRIJEM	\N	107	26784	UROK	\N	\N
3618908	2671	1995-05-31	PRIJEM	\N	107	25278	UROK	\N	\N
3618909	2671	1995-06-30	PRIJEM	\N	106	23321	UROK	\N	\N
3618910	2671	1995-07-31	PRIJEM	\N	106	26204	UROK	\N	\N
3618911	2671	1995-08-31	PRIJEM	\N	113	27394	UROK	\N	\N
3618912	2671	1995-09-30	PRIJEM	\N	116	28057	UROK	\N	\N
3618913	2671	1995-10-31	PRIJEM	\N	121	29436	UROK	\N	\N
3618914	2671	1995-11-30	PRIJEM	\N	122	29135	UROK	\N	\N
3618915	2671	1995-12-31	PRIJEM	\N	125	30468	UROK	\N	\N
3618916	2671	1996-01-31	PRIJEM	\N	121	27486	UROK	\N	\N
3618917	2671	1996-02-29	PRIJEM	\N	111	26294	UROK	\N	\N
3618918	2671	1996-03-31	PRIJEM	\N	120	29992	UROK	\N	\N
3618919	2671	1996-04-30	PRIJEM	\N	127	31096	UROK	\N	\N
3618920	2671	1996-05-31	PRIJEM	\N	128	30401	UROK	\N	\N
3618921	2671	1996-06-30	PRIJEM	\N	116	27114	UROK	\N	\N
3618922	2671	1996-07-31	PRIJEM	\N	119	29510	UROK	\N	\N
3618923	2671	1996-08-31	PRIJEM	\N	112	28000	UROK	\N	\N
3618924	2671	1996-09-30	PRIJEM	\N	118	29795	UROK	\N	\N
3618925	2671	1996-10-31	PRIJEM	\N	124	27997	UROK	\N	\N
3618926	2671	1996-11-30	PRIJEM	\N	117	27721	UROK	\N	\N
3618927	2671	1996-12-31	PRIJEM	\N	114	24552	UROK	\N	\N
3618928	2671	1997-01-31	PRIJEM	\N	103	25072	UROK	\N	\N
3618929	2671	1997-02-28	PRIJEM	\N	105	25355	UROK	\N	\N
3618930	2671	1997-03-31	PRIJEM	\N	106	25238	UROK	\N	\N
3618931	2671	1997-04-30	PRIJEM	\N	105	25021	UROK	\N	\N
3618932	2671	1997-05-31	PRIJEM	\N	106	27304	UROK	\N	\N
3618933	2671	1997-06-30	PRIJEM	\N	103	24515	UROK	\N	\N
3618934	2671	1997-07-31	PRIJEM	\N	103	24925	UROK	\N	\N
3618935	2671	1997-08-31	PRIJEM	\N	106	27508	UROK	\N	\N
3618936	2671	1997-09-30	PRIJEM	\N	115	28701	UROK	\N	\N
3618937	2671	1997-10-31	PRIJEM	\N	118	28476	UROK	\N	\N
3618938	2671	1997-11-30	PRIJEM	\N	118	29111	UROK	\N	\N
3618939	2671	1997-12-31	PRIJEM	\N	120	29588	UROK	\N	\N
3618940	2671	1998-01-31	PRIJEM	\N	117	27943	UROK	\N	\N
3618941	2671	1998-02-28	PRIJEM	\N	113	26333	UROK	\N	\N
3618942	2671	1998-03-31	PRIJEM	\N	113	29823	UROK	\N	\N
3618943	2671	1998-04-30	PRIJEM	\N	118	25618	UROK	\N	\N
3618944	2671	1998-05-31	PRIJEM	\N	106	26471	UROK	\N	\N
3618945	2671	1998-06-30	PRIJEM	\N	109	26537	UROK	\N	\N
3618946	2671	1998-07-31	PRIJEM	\N	108	26022	UROK	\N	\N
3618947	2671	1998-08-31	PRIJEM	\N	106	25906	UROK	\N	\N
3618948	2671	1998-09-30	PRIJEM	\N	109	28092	UROK	\N	\N
3618949	2671	1998-10-31	PRIJEM	\N	115	28945	UROK	\N	\N
3618950	2671	1998-11-30	PRIJEM	\N	132	36955	UROK	\N	\N
3618951	2671	1998-12-31	PRIJEM	\N	152	38914	UROK	\N	\N
3618952	2672	1997-07-31	PRIJEM	\N	31	11667	UROK	\N	\N
3618953	2672	1997-08-31	PRIJEM	\N	57	12098	UROK	\N	\N
3618954	2672	1997-09-30	PRIJEM	\N	50	11695	UROK	\N	\N
3618955	2672	1997-10-31	PRIJEM	\N	53	12894	UROK	\N	\N
3618956	2672	1997-11-30	PRIJEM	\N	46	10488	UROK	\N	\N
3618957	2672	1997-12-31	PRIJEM	\N	47	11683	UROK	\N	\N
3618958	2672	1998-01-31	PRIJEM	\N	51	12522	UROK	\N	\N
3618959	2672	1998-02-28	PRIJEM	\N	56	13725	UROK	\N	\N
3618960	2672	1998-03-31	PRIJEM	\N	61	14543	UROK	\N	\N
3618961	2672	1998-04-30	PRIJEM	\N	64	15755	UROK	\N	\N
3618962	2672	1998-05-31	PRIJEM	\N	69	16971	UROK	\N	\N
3618963	2672	1998-06-30	PRIJEM	\N	68	14557	UROK	\N	\N
3618964	2672	1998-07-31	PRIJEM	\N	64	15769	UROK	\N	\N
3618965	2672	1998-08-31	PRIJEM	\N	66	16173	UROK	\N	\N
3618966	2672	1998-09-30	PRIJEM	\N	71	17391	UROK	\N	\N
3618967	2672	1998-10-31	PRIJEM	\N	75	17414	UROK	\N	\N
3618968	2672	1998-11-30	PRIJEM	\N	73	17074	UROK	\N	\N
3618969	2672	1998-12-31	PRIJEM	\N	75	17456	UROK	\N	\N
3618970	2673	1994-01-31	PRIJEM	\N	48	13343	UROK	\N	\N
3618971	2673	1994-02-28	PRIJEM	\N	123	32261	UROK	\N	\N
3618972	2673	1994-03-31	PRIJEM	\N	179	33635	UROK	\N	\N
3618973	2673	1994-04-30	PRIJEM	\N	182	43813	UROK	\N	\N
3618974	2673	1994-05-31	PRIJEM	\N	163	35400	UROK	\N	\N
3618975	2673	1994-06-30	PRIJEM	\N	170	37978	UROK	\N	\N
3618976	2673	1994-07-31	PRIJEM	\N	150	33038	UROK	\N	\N
3618977	2673	1994-08-31	PRIJEM	\N	157	37905	UROK	\N	\N
3618978	2673	1994-09-30	PRIJEM	\N	164	39280	UROK	\N	\N
3618979	2673	1994-10-31	PRIJEM	\N	176	42466	UROK	\N	\N
3618980	2673	1994-11-30	PRIJEM	\N	171	41947	UROK	\N	\N
3618981	2673	1994-12-31	PRIJEM	\N	183	37838	UROK	\N	\N
3618982	2673	1995-01-31	PRIJEM	\N	154	31702	UROK	\N	\N
3618983	2673	1995-02-28	PRIJEM	\N	155	38367	UROK	\N	\N
3618984	2673	1995-03-31	PRIJEM	\N	166	32843	UROK	\N	\N
3618985	2673	1995-04-30	PRIJEM	\N	159	35113	UROK	\N	\N
3618986	2673	1995-05-31	PRIJEM	\N	169	38792	UROK	\N	\N
3618987	2673	1995-06-30	PRIJEM	\N	182	39581	UROK	\N	\N
3618988	2673	1995-07-31	PRIJEM	\N	179	37571	UROK	\N	\N
3618989	2673	1995-08-31	PRIJEM	\N	173	38454	UROK	\N	\N
3618990	2673	1995-09-30	PRIJEM	\N	178	36642	UROK	\N	\N
3618991	2673	1995-10-31	PRIJEM	\N	165	35617	UROK	\N	\N
3618992	2673	1995-11-30	PRIJEM	\N	168	37495	UROK	\N	\N
3618993	2673	1995-12-31	PRIJEM	\N	190	39492	UROK	\N	\N
3618994	2673	1996-01-31	PRIJEM	\N	163	33866	UROK	\N	\N
3618995	2673	1996-02-29	PRIJEM	\N	148	32825	UROK	\N	\N
3618996	2673	1996-03-31	PRIJEM	\N	150	30685	UROK	\N	\N
3618997	2673	1996-04-30	PRIJEM	\N	140	31336	UROK	\N	\N
3618998	2673	1996-05-31	PRIJEM	\N	147	32793	UROK	\N	\N
3618999	2673	1996-06-30	PRIJEM	\N	143	31644	UROK	\N	\N
3619000	2673	1996-07-31	PRIJEM	\N	149	34303	UROK	\N	\N
3619001	2673	1996-08-31	PRIJEM	\N	153	31867	UROK	\N	\N
3619002	2673	1996-09-30	PRIJEM	\N	141	28917	UROK	\N	\N
3619003	2673	1996-10-31	PRIJEM	\N	133	29561	UROK	\N	\N
3619004	2673	1996-11-30	PRIJEM	\N	118	21490	UROK	\N	\N
3619005	2673	1996-12-31	PRIJEM	\N	116	24413	UROK	\N	\N
3619006	2673	1997-01-31	PRIJEM	\N	93	16216	UROK	\N	\N
3619007	2673	1997-02-28	PRIJEM	\N	82	18508	UROK	\N	\N
3619008	2673	1997-03-31	PRIJEM	\N	96	23214	UROK	\N	\N
3619009	2673	1997-04-30	PRIJEM	\N	110	25735	UROK	\N	\N
3619010	2673	1997-05-31	PRIJEM	\N	118	26663	UROK	\N	\N
3619011	2673	1997-06-30	PRIJEM	\N	134	29305	UROK	\N	\N
3619012	2673	1997-07-31	PRIJEM	\N	113	21728	UROK	\N	\N
3619013	2673	1997-08-31	PRIJEM	\N	92	18931	UROK	\N	\N
3619014	2673	1997-09-30	PRIJEM	\N	90	21031	UROK	\N	\N
3619015	2673	1997-10-31	PRIJEM	\N	94	21236	UROK	\N	\N
3619016	2673	1997-11-30	PRIJEM	\N	84	17031	UROK	\N	\N
3619017	2673	1997-12-31	PRIJEM	\N	103	24741	UROK	\N	\N
3619018	2673	1998-01-31	PRIJEM	\N	91	17843	UROK	\N	\N
3619019	2673	1998-02-28	PRIJEM	\N	95	24448	UROK	\N	\N
3619020	2673	1998-03-31	PRIJEM	\N	89	16947	UROK	\N	\N
3619021	2673	1998-04-30	PRIJEM	\N	77	17834	UROK	\N	\N
3619022	2673	1998-05-31	PRIJEM	\N	82	19226	UROK	\N	\N
3619023	2673	1998-06-30	PRIJEM	\N	86	19620	UROK	\N	\N
3619024	2673	1998-07-31	PRIJEM	\N	83	17013	UROK	\N	\N
3619025	2673	1998-08-31	PRIJEM	\N	95	24818	UROK	\N	\N
3619026	2673	1998-09-30	PRIJEM	\N	113	27741	UROK	\N	\N
3619027	2673	1998-10-31	PRIJEM	\N	131	31882	UROK	\N	\N
3619028	2673	1998-11-30	PRIJEM	\N	125	29518	UROK	\N	\N
3619029	2673	1998-12-31	PRIJEM	\N	134	32259	UROK	\N	\N
3619030	2676	1993-02-28	PRIJEM	\N	22	18785	UROK	\N	\N
3619031	2676	1993-03-31	PRIJEM	\N	91	29640	UROK	\N	\N
3619032	2676	1993-04-30	PRIJEM	\N	131	36234	UROK	\N	\N
3619033	2676	1993-05-31	PRIJEM	\N	153	38450	UROK	\N	\N
3619034	2676	1993-06-30	PRIJEM	\N	189	42495	UROK	\N	\N
3619035	2676	1993-07-31	PRIJEM	\N	186	41132	UROK	\N	\N
3619036	2676	1993-08-31	PRIJEM	\N	169	38232	UROK	\N	\N
3619037	2676	1993-09-30	PRIJEM	\N	148	32492	UROK	\N	\N
3619038	2676	1993-10-31	PRIJEM	\N	141	31884	UROK	\N	\N
3619039	2676	1993-11-30	PRIJEM	\N	140	33176	UROK	\N	\N
3619040	2676	1993-12-31	PRIJEM	\N	153	37131	UROK	\N	\N
3619041	2676	1994-01-31	PRIJEM	\N	137	24200	UROK	\N	\N
3619042	2676	1994-02-28	PRIJEM	\N	119	32070	UROK	\N	\N
3619043	2676	1994-03-31	PRIJEM	\N	137	30918	UROK	\N	\N
3619044	2676	1994-04-30	PRIJEM	\N	142	35411	UROK	\N	\N
3619045	2676	1994-05-31	PRIJEM	\N	148	34111	UROK	\N	\N
3619046	2676	1994-06-30	PRIJEM	\N	144	35138	UROK	\N	\N
3619047	2676	1994-07-31	PRIJEM	\N	149	30859	UROK	\N	\N
3619048	2676	1994-08-31	PRIJEM	\N	140	35350	UROK	\N	\N
3619049	2676	1994-09-30	PRIJEM	\N	140	32641	UROK	\N	\N
3619050	2676	1994-10-31	PRIJEM	\N	139	34332	UROK	\N	\N
3619051	2676	1994-11-30	PRIJEM	\N	146	31990	UROK	\N	\N
3619052	2676	1994-12-31	PRIJEM	\N	162	34274	UROK	\N	\N
3619053	2676	1995-01-31	PRIJEM	\N	109	27754	UROK	\N	\N
3619054	2676	1995-02-28	PRIJEM	\N	141	39547	UROK	\N	\N
3619055	2676	1995-03-31	PRIJEM	\N	177	33495	UROK	\N	\N
3619056	2676	1995-04-30	PRIJEM	\N	142	36689	UROK	\N	\N
3619057	2676	1995-05-31	PRIJEM	\N	153	35253	UROK	\N	\N
3619058	2676	1995-06-30	PRIJEM	\N	173	47709	UROK	\N	\N
3619059	2676	1995-07-31	PRIJEM	\N	192	46153	UROK	\N	\N
3619060	2676	1995-08-31	PRIJEM	\N	178	43882	UROK	\N	\N
3619061	2676	1995-09-30	PRIJEM	\N	167	38061	UROK	\N	\N
3619062	2676	1995-10-31	PRIJEM	\N	149	37961	UROK	\N	\N
3619063	2676	1995-11-30	PRIJEM	\N	154	39167	UROK	\N	\N
3619064	2676	1995-12-31	PRIJEM	\N	158	41008	UROK	\N	\N
3619065	2676	1996-01-31	PRIJEM	\N	109	17828	UROK	\N	\N
3619066	2676	1996-02-29	PRIJEM	\N	100	29380	UROK	\N	\N
3619067	2676	1996-03-31	PRIJEM	\N	126	29237	UROK	\N	\N
3619068	2676	1996-04-30	PRIJEM	\N	136	36124	UROK	\N	\N
3619069	2676	1996-05-31	PRIJEM	\N	157	41812	UROK	\N	\N
3619070	2676	1996-06-30	PRIJEM	\N	175	31350	UROK	\N	\N
3619071	2676	1996-07-31	PRIJEM	\N	131	32932	UROK	\N	\N
3619072	2676	1996-08-31	PRIJEM	\N	148	35871	UROK	\N	\N
3619073	2676	1996-09-30	PRIJEM	\N	142	37365	UROK	\N	\N
3619074	2676	1996-10-31	PRIJEM	\N	148	39364	UROK	\N	\N
3619075	2676	1996-11-30	PRIJEM	\N	153	39868	UROK	\N	\N
3619076	2676	1996-12-31	PRIJEM	\N	183	50254	UROK	\N	\N
3619077	2676	1997-01-31	PRIJEM	\N	131	31397	UROK	\N	\N
3619078	2676	1997-02-28	PRIJEM	\N	160	43108	UROK	\N	\N
3619079	2676	1997-03-31	PRIJEM	\N	184	48944	UROK	\N	\N
3619080	2676	1997-04-30	PRIJEM	\N	181	44136	UROK	\N	\N
3619081	2676	1997-05-31	PRIJEM	\N	175	45663	UROK	\N	\N
3619082	2676	1997-06-30	PRIJEM	\N	157	44403	UROK	\N	\N
3619083	2676	1997-07-31	PRIJEM	\N	166	35621	UROK	\N	\N
3619084	2676	1997-08-31	PRIJEM	\N	167	33839	UROK	\N	\N
3619085	2676	1997-09-30	PRIJEM	\N	137	30067	UROK	\N	\N
3619086	2676	1997-10-31	PRIJEM	\N	142	33961	UROK	\N	\N
3619087	2676	1997-11-30	PRIJEM	\N	158	38670	UROK	\N	\N
3619088	2676	1997-12-31	PRIJEM	\N	186	45159	UROK	\N	\N
3619089	2676	1998-01-31	PRIJEM	\N	131	29022	UROK	\N	\N
3619090	2676	1998-02-28	PRIJEM	\N	137	37250	UROK	\N	\N
3619091	2676	1998-03-31	PRIJEM	\N	176	44877	UROK	\N	\N
3619092	2676	1998-04-30	PRIJEM	\N	200	46528	UROK	\N	\N
3619093	2676	1998-05-31	PRIJEM	\N	209	48489	UROK	\N	\N
3619094	2676	1998-06-30	PRIJEM	\N	218	40969	UROK	\N	\N
3619095	2676	1998-07-31	PRIJEM	\N	183	43303	UROK	\N	\N
3619096	2676	1998-08-31	PRIJEM	\N	189	41843	UROK	\N	\N
3619097	2676	1998-09-30	PRIJEM	\N	183	41277	UROK	\N	\N
3619098	2676	1998-10-31	PRIJEM	\N	179	40408	UROK	\N	\N
3619099	2676	1998-11-30	PRIJEM	\N	175	41835	UROK	\N	\N
3619100	2676	1998-12-31	PRIJEM	\N	209	58126	UROK	\N	\N
3619101	2677	1996-09-30	PRIJEM	\N	13	22947	UROK	\N	\N
3619102	2677	1996-10-31	PRIJEM	\N	103	34584	UROK	\N	\N
3619103	2677	1996-11-30	PRIJEM	\N	148	40466	UROK	\N	\N
3619104	2677	1996-12-31	PRIJEM	\N	175	48641	UROK	\N	\N
3619105	2677	1997-01-31	PRIJEM	\N	237	46255	UROK	\N	\N
3619106	2677	1997-02-28	PRIJEM	\N	209	39839	UROK	\N	\N
3619107	2677	1997-03-31	PRIJEM	\N	185	36839	UROK	\N	\N
3619108	2677	1997-04-30	PRIJEM	\N	180	39014	UROK	\N	\N
3619109	2677	1997-05-31	PRIJEM	\N	187	39697	UROK	\N	\N
3619110	2677	1997-06-30	PRIJEM	\N	194	37753	UROK	\N	\N
3619111	2677	1997-07-31	PRIJEM	\N	179	36927	UROK	\N	\N
3619112	2677	1997-08-31	PRIJEM	\N	167	32470	UROK	\N	\N
3619113	2677	1997-09-30	PRIJEM	\N	142	29987	UROK	\N	\N
3619114	2677	1997-10-31	PRIJEM	\N	148	33530	UROK	\N	\N
3619115	2677	1997-11-30	PRIJEM	\N	158	34284	UROK	\N	\N
3619116	2677	1997-12-31	PRIJEM	\N	167	27893	UROK	\N	\N
3619117	2677	1998-01-31	PRIJEM	\N	134	30023	UROK	\N	\N
3619118	2677	1998-02-28	PRIJEM	\N	136	27355	UROK	\N	\N
3619119	2677	1998-03-31	PRIJEM	\N	128	25778	UROK	\N	\N
3619120	2677	1998-04-30	PRIJEM	\N	124	26697	UROK	\N	\N
3619121	2677	1998-05-31	PRIJEM	\N	128	28020	UROK	\N	\N
3619122	2677	1998-06-30	PRIJEM	\N	156	36439	UROK	\N	\N
3619123	2677	1998-07-31	PRIJEM	\N	157	32591	UROK	\N	\N
3619124	2677	1998-08-31	PRIJEM	\N	129	20775	UROK	\N	\N
3619125	2677	1998-09-30	PRIJEM	\N	92	16402	UROK	\N	\N
3619126	2677	1998-10-31	PRIJEM	\N	80	17777	UROK	\N	\N
3619127	2677	1998-11-30	PRIJEM	\N	82	19675	UROK	\N	\N
3619128	2677	1998-12-31	PRIJEM	\N	144	41461	UROK	\N	\N
3619129	2678	1997-08-31	PRIJEM	\N	67	27597	UROK	\N	\N
3619130	2678	1997-09-30	PRIJEM	\N	155	43882	UROK	\N	\N
3619131	2678	1997-10-31	PRIJEM	\N	204	52616	UROK	\N	\N
3619132	2678	1997-11-30	PRIJEM	\N	230	57076	UROK	\N	\N
3619133	2678	1997-12-31	PRIJEM	\N	245	53516	UROK	\N	\N
3619134	2678	1998-01-31	PRIJEM	\N	153	18790	UROK	\N	\N
3619135	2678	1998-02-28	PRIJEM	\N	137	39542	UROK	\N	\N
3619136	2678	1998-03-31	PRIJEM	\N	135	23068	UROK	\N	\N
3619137	2678	1998-04-30	PRIJEM	\N	145	34328	UROK	\N	\N
3619138	2678	1998-05-31	PRIJEM	\N	149	22883	UROK	\N	\N
3619139	2678	1998-06-30	PRIJEM	\N	154	19822	UROK	\N	\N
3619140	2678	1998-07-31	PRIJEM	\N	140	24739	UROK	\N	\N
3619141	2678	1998-08-31	PRIJEM	\N	160	37587	UROK	\N	\N
3619142	2678	1998-09-30	PRIJEM	\N	210	54513	UROK	\N	\N
3619143	2678	1998-10-31	PRIJEM	\N	210	41941	UROK	\N	\N
3619144	2678	1998-11-30	PRIJEM	\N	246	53703	UROK	\N	\N
3619145	2678	1998-12-31	PRIJEM	\N	318	61602	UROK	\N	\N
3619146	2679	1997-10-31	PRIJEM	\N	26	19588	UROK	\N	\N
3619147	2679	1997-11-30	PRIJEM	\N	85	21927	UROK	\N	\N
3619148	2679	1997-12-31	PRIJEM	\N	97	25828	UROK	\N	\N
3619149	2679	1998-01-31	PRIJEM	\N	94	16639	UROK	\N	\N
3619150	2679	1998-02-28	PRIJEM	\N	73	15589	UROK	\N	\N
3619151	2679	1998-03-31	PRIJEM	\N	72	18459	UROK	\N	\N
3619152	2679	1998-04-30	PRIJEM	\N	83	18539	UROK	\N	\N
3619153	2679	1998-05-31	PRIJEM	\N	84	21421	UROK	\N	\N
3619154	2679	1998-06-30	PRIJEM	\N	92	16060	UROK	\N	\N
3619155	2679	1998-07-31	PRIJEM	\N	74	18931	UROK	\N	\N
3619156	2679	1998-08-31	PRIJEM	\N	86	21815	UROK	\N	\N
3619157	2679	1998-09-30	PRIJEM	\N	98	24710	UROK	\N	\N
3619158	2679	1998-10-31	PRIJEM	\N	110	27617	UROK	\N	\N
3619159	2679	1998-11-30	PRIJEM	\N	118	27413	UROK	\N	\N
3619160	2679	1998-12-31	PRIJEM	\N	120	29880	UROK	\N	\N
3619161	2681	1995-02-28	PRIJEM	\N	37	22775	UROK	\N	\N
3619162	2681	1995-03-31	PRIJEM	\N	111	33024	UROK	\N	\N
3619163	2681	1995-04-30	PRIJEM	\N	147	38909	UROK	\N	\N
3619164	2681	1995-05-31	PRIJEM	\N	170	43617	UROK	\N	\N
3619165	2681	1995-06-30	PRIJEM	\N	177	35339	UROK	\N	\N
3619166	2681	1995-07-31	PRIJEM	\N	185	41585	UROK	\N	\N
3619167	2681	1995-08-31	PRIJEM	\N	197	42044	UROK	\N	\N
3619168	2681	1995-09-30	PRIJEM	\N	202	45007	UROK	\N	\N
3619169	2681	1995-10-31	PRIJEM	\N	211	46380	UROK	\N	\N
3619170	2681	1995-11-30	PRIJEM	\N	218	49259	UROK	\N	\N
3619171	2681	1995-12-31	PRIJEM	\N	239	51128	UROK	\N	\N
3619172	2681	1996-01-31	PRIJEM	\N	217	35106	UROK	\N	\N
3619173	2681	1996-02-29	PRIJEM	\N	180	43648	UROK	\N	\N
3619174	2681	1996-03-31	PRIJEM	\N	208	46117	UROK	\N	\N
3619175	2681	1996-04-30	PRIJEM	\N	216	50294	UROK	\N	\N
3619176	2681	1996-05-31	PRIJEM	\N	229	52984	UROK	\N	\N
3619177	2681	1996-06-30	PRIJEM	\N	201	42516	UROK	\N	\N
3619178	2681	1996-07-31	PRIJEM	\N	202	45780	UROK	\N	\N
3619179	2681	1996-08-31	PRIJEM	\N	207	46548	UROK	\N	\N
3619180	2681	1996-09-30	PRIJEM	\N	213	51723	UROK	\N	\N
3619181	2681	1996-10-31	PRIJEM	\N	236	57220	UROK	\N	\N
3619182	2681	1996-11-30	PRIJEM	\N	256	62637	UROK	\N	\N
3619183	2681	1996-12-31	PRIJEM	\N	269	61037	UROK	\N	\N
3619184	2681	1997-01-31	PRIJEM	\N	236	48334	UROK	\N	\N
3619185	2681	1997-02-28	PRIJEM	\N	214	51809	UROK	\N	\N
3619186	2681	1997-03-31	PRIJEM	\N	223	51393	UROK	\N	\N
3619187	2681	1997-04-30	PRIJEM	\N	266	55221	UROK	\N	\N
3619188	2681	1997-05-31	PRIJEM	\N	218	50500	UROK	\N	\N
3619189	2681	1997-06-30	PRIJEM	\N	173	38204	UROK	\N	\N
3619190	2681	1997-07-31	PRIJEM	\N	181	45046	UROK	\N	\N
3619191	2681	1997-08-31	PRIJEM	\N	192	46499	UROK	\N	\N
3619192	2681	1997-09-30	PRIJEM	\N	239	59900	UROK	\N	\N
3619193	2681	1997-10-31	PRIJEM	\N	273	64534	UROK	\N	\N
3619194	2681	1997-11-30	PRIJEM	\N	290	71085	UROK	\N	\N
3619195	2681	1997-12-31	PRIJEM	\N	352	86768	UROK	\N	\N
3619196	2681	1998-01-31	PRIJEM	\N	336	70365	UROK	\N	\N
3619197	2681	1998-02-28	PRIJEM	\N	304	74131	UROK	\N	\N
3619198	2681	1998-03-31	PRIJEM	\N	320	75212	UROK	\N	\N
3619199	2681	1998-04-30	PRIJEM	\N	332	81206	UROK	\N	\N
3619200	2681	1998-05-31	PRIJEM	\N	332	74499	UROK	\N	\N
3619201	2681	1998-06-30	PRIJEM	\N	335	84164	UROK	\N	\N
3619202	2681	1998-07-31	PRIJEM	\N	348	84173	UROK	\N	\N
3619203	2681	1998-08-31	PRIJEM	\N	338	80573	UROK	\N	\N
3619204	2681	1998-09-30	PRIJEM	\N	327	84561	UROK	\N	\N
3619205	2681	1998-10-31	PRIJEM	\N	329	69751	UROK	\N	\N
3619206	2681	1998-11-30	PRIJEM	\N	342	65555	UROK	\N	\N
3619207	2681	1998-12-31	PRIJEM	\N	368	95253	UROK	\N	\N
3619241	2685	1996-11-30	PRIJEM	\N	18	4921	UROK	\N	\N
3619242	2685	1996-12-31	PRIJEM	\N	20	9644	UROK	\N	\N
3619243	2685	1997-01-31	PRIJEM	\N	20	14368	UROK	\N	\N
3619244	2685	1997-02-28	PRIJEM	\N	20	19091	UROK	\N	\N
3619245	2685	1997-03-31	PRIJEM	\N	66	17924	UROK	\N	\N
3619246	2685	1997-04-30	PRIJEM	\N	72	15709	UROK	\N	\N
3619247	2685	1997-05-31	PRIJEM	\N	66	14687	UROK	\N	\N
3619248	2685	1997-06-30	PRIJEM	\N	68	16867	UROK	\N	\N
3619249	2685	1997-07-31	PRIJEM	\N	77	19057	UROK	\N	\N
3619250	2685	1997-08-31	PRIJEM	\N	79	18208	UROK	\N	\N
3619251	2685	1997-09-30	PRIJEM	\N	82	19202	UROK	\N	\N
3619252	2685	1997-10-31	PRIJEM	\N	87	21402	UROK	\N	\N
3619253	2685	1997-11-30	PRIJEM	\N	96	23610	UROK	\N	\N
3619254	2685	1997-12-31	PRIJEM	\N	103	25025	UROK	\N	\N
3619255	2685	1998-01-31	PRIJEM	\N	106	22793	UROK	\N	\N
3619256	2685	1998-02-28	PRIJEM	\N	95	22840	UROK	\N	\N
3619257	2685	1998-03-31	PRIJEM	\N	102	25054	UROK	\N	\N
3619258	2685	1998-04-30	PRIJEM	\N	111	27278	UROK	\N	\N
3619259	2685	1998-05-31	PRIJEM	\N	111	25981	UROK	\N	\N
3619260	2685	1998-06-30	PRIJEM	\N	87	13680	UROK	\N	\N
3619261	2685	1998-07-31	PRIJEM	\N	64	15856	UROK	\N	\N
3619262	2685	1998-08-31	PRIJEM	\N	73	18041	UROK	\N	\N
3619263	2685	1998-09-30	PRIJEM	\N	82	20236	UROK	\N	\N
3619264	2685	1998-10-31	PRIJEM	\N	91	22439	UROK	\N	\N
3619265	2685	1998-11-30	PRIJEM	\N	100	24651	UROK	\N	\N
3619266	2685	1998-12-31	PRIJEM	\N	110	26624	UROK	\N	\N
3619267	2686	1996-01-31	PRIJEM	\N	17	6813	UROK	\N	\N
3619268	2686	1996-02-29	PRIJEM	\N	25	12733	UROK	\N	\N
3619269	2686	1996-03-31	PRIJEM	\N	25	18654	UROK	\N	\N
3619270	2686	1996-04-30	PRIJEM	\N	25	24574	UROK	\N	\N
3619271	2686	1996-05-31	PRIJEM	\N	87	27961	UROK	\N	\N
3619272	2686	1996-06-30	PRIJEM	\N	81	14208	UROK	\N	\N
3619273	2686	1996-07-31	PRIJEM	\N	70	18163	UROK	\N	\N
3619274	2686	1996-08-31	PRIJEM	\N	82	20450	UROK	\N	\N
3619275	2686	1996-09-30	PRIJEM	\N	93	23329	UROK	\N	\N
3619276	2686	1996-10-31	PRIJEM	\N	98	23713	UROK	\N	\N
3619277	2686	1996-11-30	PRIJEM	\N	90	19368	UROK	\N	\N
3619278	2686	1996-12-31	PRIJEM	\N	77	15700	UROK	\N	\N
3619279	2686	1997-01-31	PRIJEM	\N	62	13548	UROK	\N	\N
3619280	2686	1997-02-28	PRIJEM	\N	59	14492	UROK	\N	\N
3619281	2686	1997-03-31	PRIJEM	\N	71	18448	UROK	\N	\N
3619282	2686	1997-04-30	PRIJEM	\N	66	12919	UROK	\N	\N
3619283	2686	1997-05-31	PRIJEM	\N	64	16869	UROK	\N	\N
3619284	2686	1997-06-30	PRIJEM	\N	81	20835	UROK	\N	\N
3619285	2686	1997-07-31	PRIJEM	\N	73	15893	UROK	\N	\N
3619286	2686	1997-08-31	PRIJEM	\N	71	17650	UROK	\N	\N
3619287	2686	1997-09-30	PRIJEM	\N	75	18009	UROK	\N	\N
3619288	2686	1997-10-31	PRIJEM	\N	69	15244	UROK	\N	\N
3619289	2686	1997-11-30	PRIJEM	\N	73	18602	UROK	\N	\N
3619290	2686	1997-12-31	PRIJEM	\N	66	13613	UROK	\N	\N
3619291	2686	1998-01-31	PRIJEM	\N	64	16523	UROK	\N	\N
3619292	2686	1998-02-28	PRIJEM	\N	78	20487	UROK	\N	\N
3619293	2686	1998-03-31	PRIJEM	\N	71	15343	UROK	\N	\N
3619294	2686	1998-04-30	PRIJEM	\N	73	18661	UROK	\N	\N
3619295	2686	1998-05-31	PRIJEM	\N	80	16527	UROK	\N	\N
3619296	2686	1998-06-30	PRIJEM	\N	78	17990	UROK	\N	\N
3619297	2686	1998-07-31	PRIJEM	\N	84	18459	UROK	\N	\N
3619298	2686	1998-08-31	PRIJEM	\N	84	16028	UROK	\N	\N
3619299	2686	1998-09-30	PRIJEM	\N	73	13386	UROK	\N	\N
3619300	2686	1998-10-31	PRIJEM	\N	62	12234	UROK	\N	\N
3619301	2686	1998-11-30	PRIJEM	\N	59	13078	UROK	\N	\N
3619302	2686	1998-12-31	PRIJEM	\N	63	16426	UROK	\N	\N
3619303	2687	1993-07-31	PRIJEM	\N	18	7454	UROK	\N	\N
3619304	2687	1993-08-31	PRIJEM	\N	31	13821	UROK	\N	\N
3619305	2687	1993-09-30	PRIJEM	\N	31	20188	UROK	\N	\N
3619306	2687	1993-10-31	PRIJEM	\N	31	26555	UROK	\N	\N
3619307	2687	1993-11-30	PRIJEM	\N	88	25149	UROK	\N	\N
3619308	2687	1993-12-31	PRIJEM	\N	109	25599	UROK	\N	\N
3619309	2687	1994-01-31	PRIJEM	\N	91	18492	UROK	\N	\N
3619310	2687	1994-02-28	PRIJEM	\N	80	19303	UROK	\N	\N
3619311	2687	1994-03-31	PRIJEM	\N	93	19808	UROK	\N	\N
3619312	2687	1994-04-30	PRIJEM	\N	97	22396	UROK	\N	\N
3619313	2687	1994-05-31	PRIJEM	\N	99	24987	UROK	\N	\N
3619314	2687	1994-06-30	PRIJEM	\N	108	23136	UROK	\N	\N
3619315	2687	1994-07-31	PRIJEM	\N	102	25530	UROK	\N	\N
3619316	2687	1994-08-31	PRIJEM	\N	110	25331	UROK	\N	\N
3619317	2687	1994-09-30	PRIJEM	\N	111	27633	UROK	\N	\N
3619318	2687	1994-10-31	PRIJEM	\N	115	26960	UROK	\N	\N
3619319	2687	1994-11-30	PRIJEM	\N	122	27553	UROK	\N	\N
3619320	2687	1994-12-31	PRIJEM	\N	120	25064	UROK	\N	\N
3619321	2687	1995-01-31	PRIJEM	\N	82	14387	UROK	\N	\N
3619322	2687	1995-02-28	PRIJEM	\N	73	16952	UROK	\N	\N
3619323	2687	1995-03-31	PRIJEM	\N	75	18478	UROK	\N	\N
3619324	2687	1995-04-30	PRIJEM	\N	83	21053	UROK	\N	\N
3619325	2687	1995-05-31	PRIJEM	\N	91	20915	UROK	\N	\N
3619326	2687	1995-06-30	PRIJEM	\N	101	23508	UROK	\N	\N
3619327	2687	1995-07-31	PRIJEM	\N	104	23603	UROK	\N	\N
3619328	2687	1995-08-31	PRIJEM	\N	99	23294	UROK	\N	\N
3619329	2687	1995-09-30	PRIJEM	\N	96	22941	UROK	\N	\N
3619330	2687	1995-10-31	PRIJEM	\N	110	25543	UROK	\N	\N
3619331	2687	1995-11-30	PRIJEM	\N	106	24639	UROK	\N	\N
3619332	2687	1995-12-31	PRIJEM	\N	100	21530	UROK	\N	\N
3619333	2687	1996-01-31	PRIJEM	\N	74	15546	UROK	\N	\N
3619334	2687	1996-02-29	PRIJEM	\N	70	18107	UROK	\N	\N
3619335	2687	1996-03-31	PRIJEM	\N	78	19277	UROK	\N	\N
3619336	2687	1996-04-30	PRIJEM	\N	79	18287	UROK	\N	\N
3619337	2687	1996-05-31	PRIJEM	\N	72	16971	UROK	\N	\N
3619338	2687	1996-06-30	PRIJEM	\N	67	15429	UROK	\N	\N
3619339	2687	1996-07-31	PRIJEM	\N	61	14081	UROK	\N	\N
3619340	2687	1996-08-31	PRIJEM	\N	64	16636	UROK	\N	\N
3619341	2687	1996-09-30	PRIJEM	\N	83	19211	UROK	\N	\N
3619342	2687	1996-10-31	PRIJEM	\N	85	21787	UROK	\N	\N
3619343	2687	1996-11-30	PRIJEM	\N	78	17057	UROK	\N	\N
3619344	2687	1996-12-31	PRIJEM	\N	80	18208	UROK	\N	\N
3619345	2687	1997-01-31	PRIJEM	\N	67	14956	UROK	\N	\N
3619346	2687	1997-02-28	PRIJEM	\N	75	17522	UROK	\N	\N
3619347	2687	1997-03-31	PRIJEM	\N	78	20092	UROK	\N	\N
3619348	2687	1997-04-30	PRIJEM	\N	87	20829	UROK	\N	\N
3619349	2687	1997-05-31	PRIJEM	\N	85	19966	UROK	\N	\N
3619350	2687	1997-06-30	PRIJEM	\N	88	22545	UROK	\N	\N
3619351	2687	1997-07-31	PRIJEM	\N	107	25144	UROK	\N	\N
3619352	2687	1997-08-31	PRIJEM	\N	118	27753	UROK	\N	\N
3619353	2687	1997-09-30	PRIJEM	\N	94	19238	UROK	\N	\N
3619354	2687	1997-10-31	PRIJEM	\N	93	21823	UROK	\N	\N
3619355	2687	1997-11-30	PRIJEM	\N	94	20888	UROK	\N	\N
3619356	2687	1997-12-31	PRIJEM	\N	85	21055	UROK	\N	\N
3619357	2687	1998-01-31	PRIJEM	\N	75	16821	UROK	\N	\N
3619358	2687	1998-02-28	PRIJEM	\N	74	19386	UROK	\N	\N
3619359	2687	1998-03-31	PRIJEM	\N	94	21971	UROK	\N	\N
3619360	2687	1998-04-30	PRIJEM	\N	93	21196	UROK	\N	\N
3619361	2687	1998-05-31	PRIJEM	\N	94	22101	UROK	\N	\N
3619362	2687	1998-06-30	PRIJEM	\N	90	20383	UROK	\N	\N
3619363	2687	1998-07-31	PRIJEM	\N	89	22963	UROK	\N	\N
3619364	2687	1998-08-31	PRIJEM	\N	103	23317	UROK	\N	\N
3619365	2687	1998-09-30	PRIJEM	\N	109	25917	UROK	\N	\N
3619366	2687	1998-10-31	PRIJEM	\N	112	28520	UROK	\N	\N
3619367	2687	1998-11-30	PRIJEM	\N	115	28247	UROK	\N	\N
3619368	2687	1998-12-31	PRIJEM	\N	119	30057	UROK	\N	\N
3619369	2688	1995-07-31	PRIJEM	\N	47	18465	UROK	\N	\N
3619370	2688	1995-08-31	PRIJEM	\N	71	16163	UROK	\N	\N
3619371	2688	1995-09-30	PRIJEM	\N	71	17621	UROK	\N	\N
3619372	2688	1995-10-31	PRIJEM	\N	77	19086	UROK	\N	\N
3619373	2688	1995-11-30	PRIJEM	\N	83	20556	UROK	\N	\N
3619374	2688	1995-12-31	PRIJEM	\N	89	20953	UROK	\N	\N
3619375	2688	1996-01-31	PRIJEM	\N	82	18022	UROK	\N	\N
3619376	2688	1996-02-29	PRIJEM	\N	75	15724	UROK	\N	\N
3619377	2688	1996-03-31	PRIJEM	\N	63	14375	UROK	\N	\N
3619378	2688	1996-04-30	PRIJEM	\N	63	15826	UROK	\N	\N
3619379	2688	1996-05-31	PRIJEM	\N	62	13975	UROK	\N	\N
3619380	2688	1996-06-30	PRIJEM	\N	62	15424	UROK	\N	\N
3619381	2688	1996-07-31	PRIJEM	\N	67	16478	UROK	\N	\N
3619382	2688	1996-08-31	PRIJEM	\N	72	15637	UROK	\N	\N
3619383	2688	1996-09-30	PRIJEM	\N	58	12782	UROK	\N	\N
3619384	2688	1996-10-31	PRIJEM	\N	46	10216	UROK	\N	\N
3619385	2688	1996-11-30	PRIJEM	\N	46	11249	UROK	\N	\N
3619386	2688	1996-12-31	PRIJEM	\N	47	11184	UROK	\N	\N
3619387	2688	1997-01-31	PRIJEM	\N	47	11118	UROK	\N	\N
3619388	2688	1997-02-28	PRIJEM	\N	48	10954	UROK	\N	\N
3619389	2688	1997-03-31	PRIJEM	\N	49	12390	UROK	\N	\N
3619390	2688	1997-04-30	PRIJEM	\N	41	8619	UROK	\N	\N
3619391	2688	1997-05-31	PRIJEM	\N	39	10045	UROK	\N	\N
3619392	2688	1997-06-30	PRIJEM	\N	45	10578	UROK	\N	\N
3619393	2688	1997-07-31	PRIJEM	\N	46	11011	UROK	\N	\N
3619394	2688	1997-08-31	PRIJEM	\N	46	10184	UROK	\N	\N
3619395	2688	1997-09-30	PRIJEM	\N	46	11617	UROK	\N	\N
3619396	2688	1997-10-31	PRIJEM	\N	52	13056	UROK	\N	\N
3619397	2688	1997-11-30	PRIJEM	\N	57	14501	UROK	\N	\N
3619398	2688	1997-12-31	PRIJEM	\N	62	14750	UROK	\N	\N
3619399	2688	1998-01-31	PRIJEM	\N	58	13295	UROK	\N	\N
3619400	2688	1998-02-28	PRIJEM	\N	60	14643	UROK	\N	\N
3619401	2688	1998-03-31	PRIJEM	\N	59	13890	UROK	\N	\N
3619402	2688	1998-04-30	PRIJEM	\N	61	14638	UROK	\N	\N
3619403	2688	1998-05-31	PRIJEM	\N	64	15609	UROK	\N	\N
3619404	2688	1998-06-30	PRIJEM	\N	59	13506	UROK	\N	\N
3619405	2688	1998-07-31	PRIJEM	\N	58	13851	UROK	\N	\N
3619406	2688	1998-08-31	PRIJEM	\N	50	10648	UROK	\N	\N
3619407	2688	1998-09-30	PRIJEM	\N	47	12083	UROK	\N	\N
3619408	2688	1998-10-31	PRIJEM	\N	53	13523	UROK	\N	\N
3619409	2688	1998-11-30	PRIJEM	\N	59	14969	UROK	\N	\N
3619410	2688	1998-12-31	PRIJEM	\N	63	14970	UROK	\N	\N
3619411	2689	1997-01-31	PRIJEM	\N	68	21059	UROK	\N	\N
3619412	2689	1997-02-28	PRIJEM	\N	102	44352	UROK	\N	\N
3619413	2689	1997-03-31	PRIJEM	\N	211	58353	UROK	\N	\N
3619414	2689	1997-04-30	PRIJEM	\N	257	62901	UROK	\N	\N
3619415	2689	1997-05-31	PRIJEM	\N	252	59096	UROK	\N	\N
3619416	2689	1997-06-30	PRIJEM	\N	226	51895	UROK	\N	\N
3619417	2689	1997-07-31	PRIJEM	\N	223	40946	UROK	\N	\N
3619418	2689	1997-08-31	PRIJEM	\N	208	40682	UROK	\N	\N
3619419	2689	1997-09-30	PRIJEM	\N	195	40505	UROK	\N	\N
3619420	2689	1997-10-31	PRIJEM	\N	197	39930	UROK	\N	\N
3619421	2689	1997-11-30	PRIJEM	\N	204	46563	UROK	\N	\N
3619422	2689	1997-12-31	PRIJEM	\N	254	53990	UROK	\N	\N
3619423	2689	1998-01-31	PRIJEM	\N	217	42035	UROK	\N	\N
3619424	2689	1998-02-28	PRIJEM	\N	212	49675	UROK	\N	\N
3619425	2689	1998-03-31	PRIJEM	\N	241	53644	UROK	\N	\N
3619426	2689	1998-04-30	PRIJEM	\N	256	54228	UROK	\N	\N
3619427	2689	1998-05-31	PRIJEM	\N	254	50310	UROK	\N	\N
3619428	2689	1998-06-30	PRIJEM	\N	252	27936	UROK	\N	\N
3619429	2689	1998-07-31	PRIJEM	\N	158	41322	UROK	\N	\N
3619430	2689	1998-08-31	PRIJEM	\N	192	41042	UROK	\N	\N
3619431	2689	1998-09-30	PRIJEM	\N	201	45172	UROK	\N	\N
3619432	2689	1998-10-31	PRIJEM	\N	215	46314	UROK	\N	\N
3619433	2689	1998-11-30	PRIJEM	\N	216	45958	UROK	\N	\N
3619434	2689	1998-12-31	PRIJEM	\N	231	46263	UROK	\N	\N
3619435	2690	1997-08-31	PRIJEM	\N	92	28295	UROK	\N	\N
3619436	2690	1997-09-30	PRIJEM	\N	133	33028	UROK	\N	\N
3619437	2690	1997-10-31	PRIJEM	\N	153	37780	UROK	\N	\N
3619438	2690	1997-11-30	PRIJEM	\N	159	38320	UROK	\N	\N
3619439	2690	1997-12-31	PRIJEM	\N	158	34798	UROK	\N	\N
3619440	2690	1998-01-31	PRIJEM	\N	127	23146	UROK	\N	\N
3619441	2690	1998-02-28	PRIJEM	\N	105	25451	UROK	\N	\N
3619442	2690	1998-03-31	PRIJEM	\N	115	27867	UROK	\N	\N
3619443	2690	1998-04-30	PRIJEM	\N	112	24400	UROK	\N	\N
3619444	2690	1998-05-31	PRIJEM	\N	88	17628	UROK	\N	\N
3619445	2690	1998-06-30	PRIJEM	\N	80	18458	UROK	\N	\N
3619446	2690	1998-07-31	PRIJEM	\N	87	21446	UROK	\N	\N
3619447	2690	1998-08-31	PRIJEM	\N	94	22741	UROK	\N	\N
3619448	2690	1998-09-30	PRIJEM	\N	85	19026	UROK	\N	\N
3619449	2690	1998-10-31	PRIJEM	\N	69	14675	UROK	\N	\N
3619450	2690	1998-11-30	PRIJEM	\N	75	19150	UROK	\N	\N
3619451	2690	1998-12-31	PRIJEM	\N	92	22742	UROK	\N	\N
3619452	2691	1995-01-31	PRIJEM	\N	3	25603	UROK	\N	\N
3619453	2691	1995-03-31	PRIJEM	\N	98	24802	UROK	\N	\N
3619454	2691	1995-04-30	PRIJEM	\N	98	24600	UROK	\N	\N
3619455	2691	1995-05-31	PRIJEM	\N	98	25698	UROK	\N	\N
3619456	2691	1995-06-30	PRIJEM	\N	100	24098	UROK	\N	\N
3619457	2691	1995-07-31	PRIJEM	\N	100	21198	UROK	\N	\N
3619458	2691	1995-08-31	PRIJEM	\N	100	20698	UROK	\N	\N
3619459	2691	1995-09-30	PRIJEM	\N	100	20098	UROK	\N	\N
3619460	2691	1995-10-31	PRIJEM	\N	100	20598	UROK	\N	\N
3619461	2691	1995-11-30	PRIJEM	\N	100	21998	UROK	\N	\N
3619462	2691	1995-12-31	PRIJEM	\N	100	21898	UROK	\N	\N
3619463	2691	1996-01-31	PRIJEM	\N	100	21298	UROK	\N	\N
3619464	2691	1996-03-31	PRIJEM	\N	100	23198	UROK	\N	\N
3619465	2691	1996-04-30	PRIJEM	\N	100	23898	UROK	\N	\N
3619466	2691	1996-05-31	PRIJEM	\N	100	23198	UROK	\N	\N
3619467	2691	1996-06-30	PRIJEM	\N	100	23598	UROK	\N	\N
3619468	2691	1996-07-31	PRIJEM	\N	100	23398	UROK	\N	\N
3619469	2691	1996-08-31	PRIJEM	\N	100	24898	UROK	\N	\N
3619470	2691	1996-09-30	PRIJEM	\N	100	22298	UROK	\N	\N
3619471	2691	1996-10-31	PRIJEM	\N	100	22498	UROK	\N	\N
3619472	2691	1996-11-30	PRIJEM	\N	100	26598	UROK	\N	\N
3619473	2691	1996-12-31	PRIJEM	\N	100	28498	UROK	\N	\N
3619474	2691	1997-01-31	PRIJEM	\N	100	27998	UROK	\N	\N
3619475	2691	1997-02-28	PRIJEM	\N	100	27998	UROK	\N	\N
3619476	2691	1997-03-31	PRIJEM	\N	100	29798	UROK	\N	\N
3619477	2691	1997-04-30	PRIJEM	\N	100	28198	UROK	\N	\N
3619478	2691	1997-05-31	PRIJEM	\N	100	26898	UROK	\N	\N
3619479	2691	1997-06-30	PRIJEM	\N	100	26498	UROK	\N	\N
3619480	2691	1997-07-31	PRIJEM	\N	100	30498	UROK	\N	\N
3619481	2691	1997-08-31	PRIJEM	\N	100	30898	UROK	\N	\N
3619482	2691	1997-09-30	PRIJEM	\N	100	33698	UROK	\N	\N
3619483	2691	1997-10-31	PRIJEM	\N	100	29298	UROK	\N	\N
3619484	2691	1997-11-30	PRIJEM	\N	100	30498	UROK	\N	\N
3619485	2691	1997-12-31	PRIJEM	\N	100	30898	UROK	\N	\N
3619486	2691	1998-01-31	PRIJEM	\N	100	29898	UROK	\N	\N
3619487	2691	1998-02-28	PRIJEM	\N	100	26598	UROK	\N	\N
3619488	2691	1998-03-31	PRIJEM	\N	100	25798	UROK	\N	\N
3619489	2691	1998-04-30	PRIJEM	\N	100	22898	UROK	\N	\N
3619490	2691	1998-05-31	PRIJEM	\N	100	22798	UROK	\N	\N
3619491	2691	1998-06-30	PRIJEM	\N	100	21598	UROK	\N	\N
3619492	2691	1998-07-31	PRIJEM	\N	100	20998	UROK	\N	\N
3619493	2691	1998-08-31	PRIJEM	\N	100	15298	UROK	\N	\N
3619494	2692	1995-12-31	PRIJEM	\N	21	6830	UROK	\N	\N
3619495	2692	1996-01-31	PRIJEM	\N	28	12567	UROK	\N	\N
3619496	2692	1996-02-29	PRIJEM	\N	28	18305	UROK	\N	\N
3619497	2692	1996-03-31	PRIJEM	\N	28	24042	UROK	\N	\N
3619498	2692	1996-04-30	PRIJEM	\N	83	26448	UROK	\N	\N
3619499	2692	1996-05-31	PRIJEM	\N	117	28873	UROK	\N	\N
3619500	2692	1996-06-30	PRIJEM	\N	115	26577	UROK	\N	\N
3619501	2692	1996-07-31	PRIJEM	\N	117	29002	UROK	\N	\N
3619502	2692	1996-08-31	PRIJEM	\N	111	25102	UROK	\N	\N
3619503	2692	1996-09-30	PRIJEM	\N	111	27521	UROK	\N	\N
3619504	2692	1996-10-31	PRIJEM	\N	110	24259	UROK	\N	\N
3619505	2692	1996-11-30	PRIJEM	\N	107	26675	UROK	\N	\N
3619506	2692	1996-12-31	PRIJEM	\N	118	28751	UROK	\N	\N
3619507	2692	1997-01-31	PRIJEM	\N	102	22762	UROK	\N	\N
3619508	2692	1997-02-28	PRIJEM	\N	101	25171	UROK	\N	\N
3619509	2692	1997-03-31	PRIJEM	\N	111	27591	UROK	\N	\N
3619510	2692	1997-04-30	PRIJEM	\N	121	30020	UROK	\N	\N
3619511	2692	1997-05-31	PRIJEM	\N	129	30778	UROK	\N	\N
3619512	2692	1997-06-30	PRIJEM	\N	125	28862	UROK	\N	\N
3619513	2692	1997-07-31	PRIJEM	\N	127	31297	UROK	\N	\N
3619514	2692	1997-08-31	PRIJEM	\N	137	33742	UROK	\N	\N
3619515	2692	1997-09-30	PRIJEM	\N	147	36197	UROK	\N	\N
3619516	2692	1997-10-31	PRIJEM	\N	157	38662	UROK	\N	\N
3619517	2692	1997-11-30	PRIJEM	\N	166	40336	UROK	\N	\N
3619518	2692	1997-12-31	PRIJEM	\N	174	42518	UROK	\N	\N
3619519	2692	1998-01-31	PRIJEM	\N	159	32986	UROK	\N	\N
3619520	2692	1998-02-28	PRIJEM	\N	135	31989	UROK	\N	\N
3619521	2692	1998-03-31	PRIJEM	\N	139	34436	UROK	\N	\N
3619522	2692	1998-04-30	PRIJEM	\N	149	36894	UROK	\N	\N
3619523	2692	1998-05-31	PRIJEM	\N	157	38079	UROK	\N	\N
3619524	2692	1998-06-30	PRIJEM	\N	128	22486	UROK	\N	\N
3619525	2692	1998-07-31	PRIJEM	\N	99	24894	UROK	\N	\N
3619526	2692	1998-08-31	PRIJEM	\N	109	27312	UROK	\N	\N
3619527	2692	1998-09-30	PRIJEM	\N	119	29739	UROK	\N	\N
3619528	2692	1998-10-31	PRIJEM	\N	130	32177	UROK	\N	\N
3619529	2692	1998-11-30	PRIJEM	\N	140	34625	UROK	\N	\N
3619530	2692	1998-12-31	PRIJEM	\N	149	35933	UROK	\N	\N
3619531	2693	1997-12-31	PRIJEM	\N	53	26556	UROK	\N	\N
3619532	2693	1998-01-31	PRIJEM	\N	134	37592	UROK	\N	\N
3619533	2693	1998-02-28	PRIJEM	\N	173	45667	UROK	\N	\N
3619534	2693	1998-03-31	PRIJEM	\N	191	46260	UROK	\N	\N
3619535	2693	1998-04-30	PRIJEM	\N	195	47657	UROK	\N	\N
3619536	2693	1998-05-31	PRIJEM	\N	203	48195	UROK	\N	\N
3619537	2693	1998-06-30	PRIJEM	\N	178	43609	UROK	\N	\N
3619538	2693	1998-07-31	PRIJEM	\N	189	45734	UROK	\N	\N
3619539	2693	1998-08-31	PRIJEM	\N	196	47665	UROK	\N	\N
3619540	2693	1998-09-30	PRIJEM	\N	211	47711	UROK	\N	\N
3619541	2693	1998-10-31	PRIJEM	\N	199	48146	UROK	\N	\N
3619542	2693	1998-11-30	PRIJEM	\N	214	54295	UROK	\N	\N
3619543	2693	1998-12-31	PRIJEM	\N	226	58277	UROK	\N	\N
3619544	2694	1993-03-31	PRIJEM	\N	54	18339	UROK	\N	\N
3619545	2694	1993-04-30	PRIJEM	\N	144	41568	UROK	\N	\N
3619546	2694	1993-05-31	PRIJEM	\N	197	49950	UROK	\N	\N
3619547	2694	1993-06-30	PRIJEM	\N	250	64578	UROK	\N	\N
3619548	2694	1993-07-31	PRIJEM	\N	220	52751	UROK	\N	\N
3619549	2694	1993-08-31	PRIJEM	\N	195	47184	UROK	\N	\N
3619550	2694	1993-09-30	PRIJEM	\N	176	39299	UROK	\N	\N
3619551	2694	1993-10-31	PRIJEM	\N	161	36998	UROK	\N	\N
3619552	2694	1993-11-30	PRIJEM	\N	168	38365	UROK	\N	\N
3619553	2694	1993-12-31	PRIJEM	\N	194	43190	UROK	\N	\N
3619554	2694	1994-01-31	PRIJEM	\N	143	32672	UROK	\N	\N
3619555	2694	1994-02-28	PRIJEM	\N	166	39177	UROK	\N	\N
3619556	2694	1994-03-31	PRIJEM	\N	166	39645	UROK	\N	\N
3619557	2694	1994-04-30	PRIJEM	\N	162	34530	UROK	\N	\N
3619558	2694	1994-05-31	PRIJEM	\N	155	37687	UROK	\N	\N
3619559	2694	1994-06-30	PRIJEM	\N	187	45650	UROK	\N	\N
3619560	2694	1994-07-31	PRIJEM	\N	195	46947	UROK	\N	\N
3619561	2694	1994-08-31	PRIJEM	\N	190	39339	UROK	\N	\N
3619562	2694	1994-09-30	PRIJEM	\N	170	36991	UROK	\N	\N
3619563	2694	1994-10-31	PRIJEM	\N	165	34518	UROK	\N	\N
3619564	2694	1994-11-30	PRIJEM	\N	159	34979	UROK	\N	\N
3619565	2694	1994-12-31	PRIJEM	\N	176	40551	UROK	\N	\N
3619566	2694	1995-01-31	PRIJEM	\N	154	31387	UROK	\N	\N
3619567	2694	1995-02-28	PRIJEM	\N	135	34104	UROK	\N	\N
3619568	2694	1995-03-31	PRIJEM	\N	149	25092	UROK	\N	\N
3619569	2694	1995-04-30	PRIJEM	\N	139	33769	UROK	\N	\N
3619570	2694	1995-05-31	PRIJEM	\N	142	30609	UROK	\N	\N
3619571	2694	1995-06-30	PRIJEM	\N	123	27204	UROK	\N	\N
3619572	2694	1995-07-31	PRIJEM	\N	138	26680	UROK	\N	\N
3619573	2694	1995-08-31	PRIJEM	\N	125	29883	UROK	\N	\N
3619574	2694	1995-09-30	PRIJEM	\N	133	23254	UROK	\N	\N
3619575	2694	1995-10-31	PRIJEM	\N	132	35625	UROK	\N	\N
3619576	2694	1995-11-30	PRIJEM	\N	149	33792	UROK	\N	\N
3619577	2694	1995-12-31	PRIJEM	\N	183	40946	UROK	\N	\N
3619578	2694	1996-01-31	PRIJEM	\N	146	32650	UROK	\N	\N
3619579	2694	1996-02-29	PRIJEM	\N	147	33556	UROK	\N	\N
3619580	2694	1996-03-31	PRIJEM	\N	174	41568	UROK	\N	\N
3619581	2694	1996-04-30	PRIJEM	\N	198	45905	UROK	\N	\N
3619582	2694	1996-05-31	PRIJEM	\N	202	45046	UROK	\N	\N
3619583	2694	1996-06-30	PRIJEM	\N	165	34722	UROK	\N	\N
3619584	2694	1996-07-31	PRIJEM	\N	154	39215	UROK	\N	\N
3619585	2694	1996-08-31	PRIJEM	\N	173	42706	UROK	\N	\N
3619586	2694	1996-09-30	PRIJEM	\N	187	45431	UROK	\N	\N
3619587	2694	1996-10-31	PRIJEM	\N	192	45461	UROK	\N	\N
3619588	2694	1996-11-30	PRIJEM	\N	209	35969	UROK	\N	\N
3619589	2694	1996-12-31	PRIJEM	\N	192	48593	UROK	\N	\N
3619590	2694	1997-01-31	PRIJEM	\N	175	38006	UROK	\N	\N
3619591	2694	1997-02-28	PRIJEM	\N	185	48349	UROK	\N	\N
3619592	2694	1997-03-31	PRIJEM	\N	206	46493	UROK	\N	\N
3619593	2694	1997-04-30	PRIJEM	\N	220	56251	UROK	\N	\N
3619594	2694	1997-05-31	PRIJEM	\N	244	60234	UROK	\N	\N
3619595	2694	1997-06-30	PRIJEM	\N	262	54147	UROK	\N	\N
3619596	2694	1997-07-31	PRIJEM	\N	229	55894	UROK	\N	\N
3619597	2694	1997-08-31	PRIJEM	\N	240	56032	UROK	\N	\N
3619598	2694	1997-09-30	PRIJEM	\N	251	62821	UROK	\N	\N
3619599	2694	1997-10-31	PRIJEM	\N	250	59610	UROK	\N	\N
3619600	2694	1997-11-30	PRIJEM	\N	244	63392	UROK	\N	\N
3619601	2694	1997-12-31	PRIJEM	\N	270	65074	UROK	\N	\N
3619602	2694	1998-01-31	PRIJEM	\N	252	36664	UROK	\N	\N
3619603	2694	1998-02-28	PRIJEM	\N	181	48303	UROK	\N	\N
3619604	2694	1998-03-31	PRIJEM	\N	255	64796	UROK	\N	\N
3619605	2694	1998-04-30	PRIJEM	\N	274	63648	UROK	\N	\N
3619606	2694	1998-05-31	PRIJEM	\N	278	61364	UROK	\N	\N
3619607	2694	1998-06-30	PRIJEM	\N	184	49220	UROK	\N	\N
3619608	2694	1998-07-31	PRIJEM	\N	201	49079	UROK	\N	\N
3619609	2694	1998-08-31	PRIJEM	\N	248	63865	UROK	\N	\N
3619610	2694	1998-09-30	PRIJEM	\N	278	59882	UROK	\N	\N
3619611	2694	1998-10-31	PRIJEM	\N	277	63197	UROK	\N	\N
3619612	2694	1998-11-30	PRIJEM	\N	294	75930	UROK	\N	\N
3619613	2694	1998-12-31	PRIJEM	\N	353	82254	UROK	\N	\N
3619614	2695	1993-10-31	PRIJEM	\N	50	23356	UROK	\N	\N
3619615	2695	1993-11-30	PRIJEM	\N	122	34684	UROK	\N	\N
3619616	2695	1993-12-31	PRIJEM	\N	164	43658	UROK	\N	\N
3619617	2695	1994-01-31	PRIJEM	\N	184	44848	UROK	\N	\N
3619618	2695	1994-02-28	PRIJEM	\N	183	43437	UROK	\N	\N
3619619	2695	1994-03-31	PRIJEM	\N	179	40584	UROK	\N	\N
3619620	2695	1994-04-30	PRIJEM	\N	166	38418	UROK	\N	\N
3619621	2695	1994-05-31	PRIJEM	\N	156	38242	UROK	\N	\N
3619622	2695	1994-06-30	PRIJEM	\N	161	32714	UROK	\N	\N
3619623	2695	1994-07-31	PRIJEM	\N	142	35125	UROK	\N	\N
3619624	2695	1994-08-31	PRIJEM	\N	165	40658	UROK	\N	\N
3619625	2695	1994-09-30	PRIJEM	\N	190	50016	UROK	\N	\N
3619626	2695	1994-10-31	PRIJEM	\N	220	56305	UROK	\N	\N
3619627	2695	1994-11-30	PRIJEM	\N	233	58906	UROK	\N	\N
3619628	2695	1994-12-31	PRIJEM	\N	260	68357	UROK	\N	\N
3619629	2695	1995-01-31	PRIJEM	\N	234	47920	UROK	\N	\N
3619630	2695	1995-02-28	PRIJEM	\N	200	53188	UROK	\N	\N
3619631	2695	1995-03-31	PRIJEM	\N	228	58284	UROK	\N	\N
3619632	2695	1995-04-30	PRIJEM	\N	229	57782	UROK	\N	\N
3619633	2695	1995-05-31	PRIJEM	\N	243	62593	UROK	\N	\N
3619634	2695	1995-06-30	PRIJEM	\N	203	36188	UROK	\N	\N
3619635	2695	1995-07-31	PRIJEM	\N	178	49234	UROK	\N	\N
3619636	2695	1995-08-31	PRIJEM	\N	227	59430	UROK	\N	\N
3619637	2695	1995-09-30	PRIJEM	\N	240	60038	UROK	\N	\N
3619638	2695	1995-10-31	PRIJEM	\N	230	58716	UROK	\N	\N
3619639	2695	1995-11-30	PRIJEM	\N	230	61195	UROK	\N	\N
3619640	2695	1995-12-31	PRIJEM	\N	276	72922	UROK	\N	\N
3619641	2695	1996-01-31	PRIJEM	\N	230	44040	UROK	\N	\N
3619642	2695	1996-02-29	PRIJEM	\N	208	57417	UROK	\N	\N
3619643	2695	1996-03-31	PRIJEM	\N	231	60617	UROK	\N	\N
3619644	2695	1996-04-30	PRIJEM	\N	238	61923	UROK	\N	\N
3619645	2695	1996-05-31	PRIJEM	\N	252	65743	UROK	\N	\N
3619646	2695	1996-06-30	PRIJEM	\N	235	40569	UROK	\N	\N
3619647	2695	1996-07-31	PRIJEM	\N	201	55639	UROK	\N	\N
3619648	2695	1996-08-31	PRIJEM	\N	240	64347	UROK	\N	\N
3619649	2695	1996-09-30	PRIJEM	\N	236	62411	UROK	\N	\N
3619650	2695	1996-10-31	PRIJEM	\N	242	53362	UROK	\N	\N
3619651	2695	1996-11-30	PRIJEM	\N	259	58090	UROK	\N	\N
3619652	2695	1996-12-31	PRIJEM	\N	290	62851	UROK	\N	\N
3619653	2695	1997-01-31	PRIJEM	\N	269	50308	UROK	\N	\N
3619654	2695	1997-02-28	PRIJEM	\N	244	55820	UROK	\N	\N
3619655	2695	1997-03-31	PRIJEM	\N	265	52554	UROK	\N	\N
3619656	2695	1997-04-30	PRIJEM	\N	253	56075	UROK	\N	\N
3619657	2695	1997-05-31	PRIJEM	\N	265	55808	UROK	\N	\N
3619658	2695	1997-06-30	PRIJEM	\N	286	62666	UROK	\N	\N
3619659	2695	1997-07-31	PRIJEM	\N	266	58320	UROK	\N	\N
3619660	2695	1997-08-31	PRIJEM	\N	271	60659	UROK	\N	\N
3619661	2695	1997-09-30	PRIJEM	\N	277	59904	UROK	\N	\N
3619662	2695	1997-10-31	PRIJEM	\N	274	61147	UROK	\N	\N
3619663	2695	1997-11-30	PRIJEM	\N	277	61993	UROK	\N	\N
3619664	2695	1997-12-31	PRIJEM	\N	285	65049	UROK	\N	\N
3619665	2695	1998-01-31	PRIJEM	\N	258	60235	UROK	\N	\N
3619666	2695	1998-02-28	PRIJEM	\N	275	66559	UROK	\N	\N
3619667	2695	1998-03-31	PRIJEM	\N	301	69427	UROK	\N	\N
3619668	2695	1998-04-30	PRIJEM	\N	310	71606	UROK	\N	\N
3619669	2695	1998-05-31	PRIJEM	\N	321	75795	UROK	\N	\N
3619670	2695	1998-06-30	PRIJEM	\N	373	70199	UROK	\N	\N
3619671	2695	1998-07-31	PRIJEM	\N	321	81209	UROK	\N	\N
3619672	2695	1998-08-31	PRIJEM	\N	356	84833	UROK	\N	\N
3619673	2695	1998-09-30	PRIJEM	\N	348	83050	UROK	\N	\N
3619674	2695	1998-10-31	PRIJEM	\N	328	77246	UROK	\N	\N
3619675	2695	1998-11-30	PRIJEM	\N	340	83554	UROK	\N	\N
3619676	2695	1998-12-31	PRIJEM	\N	370	86295	UROK	\N	\N
3619677	2696	1997-06-30	PRIJEM	\N	31	18446	UROK	\N	\N
3619678	2696	1997-07-31	PRIJEM	\N	81	20070	UROK	\N	\N
3619679	2696	1997-08-31	PRIJEM	\N	86	18140	UROK	\N	\N
3619680	2696	1997-09-30	PRIJEM	\N	80	19763	UROK	\N	\N
3619681	2696	1997-10-31	PRIJEM	\N	75	18581	UROK	\N	\N
3619682	2696	1997-11-30	PRIJEM	\N	82	20206	UROK	\N	\N
3619683	2696	1997-12-31	PRIJEM	\N	80	17549	UROK	\N	\N
3619684	2696	1998-01-31	PRIJEM	\N	64	13556	UROK	\N	\N
3619685	2696	1998-02-28	PRIJEM	\N	53	13393	UROK	\N	\N
3619686	2696	1998-03-31	PRIJEM	\N	60	14996	UROK	\N	\N
3619687	2696	1998-04-30	PRIJEM	\N	67	16606	UROK	\N	\N
3619688	2696	1998-05-31	PRIJEM	\N	73	18223	UROK	\N	\N
3619689	2696	1998-06-30	PRIJEM	\N	80	19846	UROK	\N	\N
3619690	2696	1998-07-31	PRIJEM	\N	87	21476	UROK	\N	\N
3619691	2696	1998-08-31	PRIJEM	\N	94	23113	UROK	\N	\N
3619692	2696	1998-09-30	PRIJEM	\N	100	24757	UROK	\N	\N
3619693	2696	1998-10-31	PRIJEM	\N	105	23926	UROK	\N	\N
3619694	2696	1998-11-30	PRIJEM	\N	98	24527	UROK	\N	\N
3619695	2696	1998-12-31	PRIJEM	\N	92	21092	UROK	\N	\N
3619696	2697	1993-07-31	PRIJEM	\N	12	14636	UROK	\N	\N
3619697	2697	1993-08-31	PRIJEM	\N	68	22428	UROK	\N	\N
3619698	2697	1993-09-30	PRIJEM	\N	96	24948	UROK	\N	\N
3619699	2697	1993-10-31	PRIJEM	\N	104	25676	UROK	\N	\N
3619700	2697	1993-11-30	PRIJEM	\N	113	26393	UROK	\N	\N
3619701	2697	1993-12-31	PRIJEM	\N	120	25046	UROK	\N	\N
3619702	2697	1994-01-31	PRIJEM	\N	86	15752	UROK	\N	\N
3619703	2697	1994-02-28	PRIJEM	\N	73	18986	UROK	\N	\N
3619704	2697	1994-03-31	PRIJEM	\N	91	23837	UROK	\N	\N
3619705	2697	1994-04-30	PRIJEM	\N	105	24003	UROK	\N	\N
3619706	2697	1994-05-31	PRIJEM	\N	106	24169	UROK	\N	\N
3619707	2697	1994-06-30	PRIJEM	\N	117	28058	UROK	\N	\N
3619708	2697	1994-07-31	PRIJEM	\N	118	23776	UROK	\N	\N
3619709	2697	1994-08-31	PRIJEM	\N	97	22654	UROK	\N	\N
3619710	2697	1994-09-30	PRIJEM	\N	104	25718	UROK	\N	\N
3619711	2697	1994-10-31	PRIJEM	\N	116	27894	UROK	\N	\N
3619712	2697	1994-11-30	PRIJEM	\N	120	27575	UROK	\N	\N
3619713	2697	1994-12-31	PRIJEM	\N	112	25699	UROK	\N	\N
3619714	2697	1995-01-31	PRIJEM	\N	89	19488	UROK	\N	\N
3619715	2697	1995-02-28	PRIJEM	\N	96	24825	UROK	\N	\N
3619716	2697	1995-03-31	PRIJEM	\N	108	25194	UROK	\N	\N
3619717	2697	1995-04-30	PRIJEM	\N	112	26866	UROK	\N	\N
3619718	2697	1995-05-31	PRIJEM	\N	116	27143	UROK	\N	\N
3619719	2697	1995-06-30	PRIJEM	\N	124	29239	UROK	\N	\N
3619720	2697	1995-07-31	PRIJEM	\N	123	28322	UROK	\N	\N
3619721	2697	1995-08-31	PRIJEM	\N	122	24485	UROK	\N	\N
3619722	2697	1995-09-30	PRIJEM	\N	118	26963	UROK	\N	\N
3619723	2697	1995-10-31	PRIJEM	\N	124	30447	UROK	\N	\N
3619724	2697	1995-11-30	PRIJEM	\N	126	29234	UROK	\N	\N
3619725	2697	1995-12-31	PRIJEM	\N	120	27367	UROK	\N	\N
3619726	2697	1996-01-31	PRIJEM	\N	76	14823	UROK	\N	\N
3619727	2697	1996-02-29	PRIJEM	\N	82	21865	UROK	\N	\N
3619728	2697	1996-03-31	PRIJEM	\N	87	17573	UROK	\N	\N
3619729	2697	1996-04-30	PRIJEM	\N	98	25631	UROK	\N	\N
3619730	2697	1996-05-31	PRIJEM	\N	122	30073	UROK	\N	\N
3619731	2697	1996-06-30	PRIJEM	\N	130	26075	UROK	\N	\N
3619732	2697	1996-07-31	PRIJEM	\N	128	32264	UROK	\N	\N
3619733	2697	1996-08-31	PRIJEM	\N	130	30554	UROK	\N	\N
3619734	2697	1996-09-30	PRIJEM	\N	148	36862	UROK	\N	\N
3619735	2697	1996-10-31	PRIJEM	\N	167	40989	UROK	\N	\N
3619736	2697	1996-11-30	PRIJEM	\N	174	41923	UROK	\N	\N
3619737	2697	1996-12-31	PRIJEM	\N	172	39568	UROK	\N	\N
3619738	2697	1997-01-31	PRIJEM	\N	133	20601	UROK	\N	\N
3619739	2697	1997-02-28	PRIJEM	\N	124	31986	UROK	\N	\N
3619740	2697	1997-03-31	PRIJEM	\N	156	34562	UROK	\N	\N
3619741	2697	1997-04-30	PRIJEM	\N	160	38482	UROK	\N	\N
3619742	2697	1997-05-31	PRIJEM	\N	163	38326	UROK	\N	\N
3619743	2697	1997-06-30	PRIJEM	\N	189	47387	UROK	\N	\N
3619744	2697	1997-07-31	PRIJEM	\N	206	50353	UROK	\N	\N
3619745	2697	1997-08-31	PRIJEM	\N	201	48315	UROK	\N	\N
3619746	2697	1997-09-30	PRIJEM	\N	203	49379	UROK	\N	\N
3619747	2697	1997-10-31	PRIJEM	\N	214	49394	UROK	\N	\N
3619748	2697	1997-11-30	PRIJEM	\N	218	53372	UROK	\N	\N
3619749	2697	1997-12-31	PRIJEM	\N	249	58773	UROK	\N	\N
3619750	2697	1998-01-31	PRIJEM	\N	229	40202	UROK	\N	\N
3619751	2697	1998-02-28	PRIJEM	\N	224	54486	UROK	\N	\N
3619752	2697	1998-03-31	PRIJEM	\N	250	59456	UROK	\N	\N
3619753	2697	1998-04-30	PRIJEM	\N	254	61770	UROK	\N	\N
3619754	2697	1998-05-31	PRIJEM	\N	262	63893	UROK	\N	\N
3619755	2697	1998-06-30	PRIJEM	\N	191	58656	UROK	\N	\N
3619756	2697	1998-07-31	PRIJEM	\N	233	61109	UROK	\N	\N
3619757	2697	1998-08-31	PRIJEM	\N	261	64930	UROK	\N	\N
3619758	2697	1998-09-30	PRIJEM	\N	277	69367	UROK	\N	\N
3619759	2697	1998-10-31	PRIJEM	\N	296	75223	UROK	\N	\N
3619760	2697	1998-11-30	PRIJEM	\N	314	72398	UROK	\N	\N
3619761	2697	1998-12-31	PRIJEM	\N	310	75161	UROK	\N	\N
3619762	2699	1997-01-31	PRIJEM	\N	35	32134	UROK	\N	\N
3619763	2699	1997-02-28	PRIJEM	\N	150	50883	UROK	\N	\N
3619764	2699	1997-03-31	PRIJEM	\N	216	56098	UROK	\N	\N
3619765	2699	1997-04-30	PRIJEM	\N	239	44736	UROK	\N	\N
3619766	2699	1997-05-31	PRIJEM	\N	273	59508	UROK	\N	\N
3619767	2699	1997-06-30	PRIJEM	\N	303	44739	UROK	\N	\N
3619768	2699	1997-07-31	PRIJEM	\N	260	53179	UROK	\N	\N
3619769	2699	1997-08-31	PRIJEM	\N	280	56138	UROK	\N	\N
3619770	2699	1997-09-30	PRIJEM	\N	245	53462	UROK	\N	\N
3619771	2699	1997-10-31	PRIJEM	\N	288	58230	UROK	\N	\N
3619772	2699	1997-11-30	PRIJEM	\N	298	59907	UROK	\N	\N
3619773	2699	1997-12-31	PRIJEM	\N	251	39473	UROK	\N	\N
3619774	2699	1998-01-31	PRIJEM	\N	173	26526	UROK	\N	\N
3619775	2699	1998-02-28	PRIJEM	\N	176	48782	UROK	\N	\N
3619776	2699	1998-03-31	PRIJEM	\N	208	31189	UROK	\N	\N
3619777	2699	1998-04-30	PRIJEM	\N	174	32442	UROK	\N	\N
3619778	2699	1998-05-31	PRIJEM	\N	177	25601	UROK	\N	\N
3619779	2699	1998-06-30	PRIJEM	\N	226	59555	UROK	\N	\N
3619780	2699	1998-07-31	PRIJEM	\N	291	65426	UROK	\N	\N
3619781	2699	1998-08-31	PRIJEM	\N	239	45644	UROK	\N	\N
3619782	2699	1998-09-30	PRIJEM	\N	187	28898	UROK	\N	\N
3619783	2699	1998-10-31	PRIJEM	\N	188	50850	UROK	\N	\N
3619784	2699	1998-11-30	PRIJEM	\N	265	57954	UROK	\N	\N
3619785	2699	1998-12-31	PRIJEM	\N	256	52447	UROK	\N	\N
3619786	2700	1993-12-31	PRIJEM	\N	112	34924	UROK	\N	\N
3619787	2700	1994-01-31	PRIJEM	\N	178	44810	UROK	\N	\N
3619788	2700	1994-02-28	PRIJEM	\N	291	48909	UROK	\N	\N
3619789	2700	1994-03-31	PRIJEM	\N	236	51353	UROK	\N	\N
3619790	2700	1994-04-30	PRIJEM	\N	161	25126	UROK	\N	\N
3619791	2700	1994-05-31	PRIJEM	\N	123	26346	UROK	\N	\N
3619792	2700	1994-06-30	PRIJEM	\N	124	25972	UROK	\N	\N
3619793	2700	1994-07-31	PRIJEM	\N	143	24512	UROK	\N	\N
3619794	2700	1994-08-31	PRIJEM	\N	167	36600	UROK	\N	\N
3619795	2700	1994-09-30	PRIJEM	\N	121	20124	UROK	\N	\N
3619796	2700	1994-10-31	PRIJEM	\N	120	24241	UROK	\N	\N
3619797	2700	1994-11-30	PRIJEM	\N	154	35792	UROK	\N	\N
3619798	2700	1994-12-31	PRIJEM	\N	202	47560	UROK	\N	\N
3619799	2700	1995-01-31	PRIJEM	\N	134	24453	UROK	\N	\N
3619800	2700	1995-02-28	PRIJEM	\N	132	21220	UROK	\N	\N
3619801	2700	1995-03-31	PRIJEM	\N	153	35170	UROK	\N	\N
3619802	2700	1995-04-30	PRIJEM	\N	188	43355	UROK	\N	\N
3619803	2700	1995-05-31	PRIJEM	\N	200	45552	UROK	\N	\N
3619804	2700	1995-06-30	PRIJEM	\N	177	27545	UROK	\N	\N
3619805	2700	1995-07-31	PRIJEM	\N	121	23384	UROK	\N	\N
3619806	2700	1995-08-31	PRIJEM	\N	126	24707	UROK	\N	\N
3619807	2700	1995-09-30	PRIJEM	\N	152	25257	UROK	\N	\N
3619808	2700	1995-10-31	PRIJEM	\N	128	22182	UROK	\N	\N
3619809	2700	1995-11-30	PRIJEM	\N	114	19562	UROK	\N	\N
3619810	2700	1995-12-31	PRIJEM	\N	140	24203	UROK	\N	\N
3619811	2700	1996-01-31	PRIJEM	\N	119	18020	UROK	\N	\N
3619812	2700	1996-02-29	PRIJEM	\N	86	16772	UROK	\N	\N
3619813	2700	1996-03-31	PRIJEM	\N	114	21084	UROK	\N	\N
3619814	2700	1996-04-30	PRIJEM	\N	110	17491	UROK	\N	\N
3619815	2700	1996-05-31	PRIJEM	\N	105	18493	UROK	\N	\N
3619816	2700	1996-06-30	PRIJEM	\N	94	23261	UROK	\N	\N
3619817	2700	1996-07-31	PRIJEM	\N	120	19678	UROK	\N	\N
3619818	2700	1996-08-31	PRIJEM	\N	103	26836	UROK	\N	\N
3619819	2700	1996-09-30	PRIJEM	\N	128	24785	UROK	\N	\N
3619820	2700	1996-10-31	PRIJEM	\N	120	19302	UROK	\N	\N
3619821	2700	1996-11-30	PRIJEM	\N	95	14295	UROK	\N	\N
3619822	2700	1996-12-31	PRIJEM	\N	109	20205	UROK	\N	\N
3619823	2700	1997-01-31	PRIJEM	\N	113	25416	UROK	\N	\N
3619824	2700	1997-02-28	PRIJEM	\N	155	33660	UROK	\N	\N
3619825	2700	1997-03-31	PRIJEM	\N	140	33140	UROK	\N	\N
3619826	2700	1997-04-30	PRIJEM	\N	136	18174	UROK	\N	\N
3619827	2700	1997-05-31	PRIJEM	\N	102	25474	UROK	\N	\N
3619828	2700	1997-06-30	PRIJEM	\N	91	18266	UROK	\N	\N
3619829	2700	1997-07-31	PRIJEM	\N	110	29566	UROK	\N	\N
3619830	2700	1997-08-31	PRIJEM	\N	154	31818	UROK	\N	\N
3619831	2700	1997-09-30	PRIJEM	\N	115	15330	UROK	\N	\N
3619832	2700	1997-10-31	PRIJEM	\N	107	31035	UROK	\N	\N
3619833	2700	1997-11-30	PRIJEM	\N	164	26866	UROK	\N	\N
3619834	2700	1997-12-31	PRIJEM	\N	123	22991	UROK	\N	\N
3619835	2700	1998-01-31	PRIJEM	\N	121	25209	UROK	\N	\N
3619836	2700	1998-02-28	PRIJEM	\N	154	40960	UROK	\N	\N
3619837	2700	1998-03-31	PRIJEM	\N	224	49885	UROK	\N	\N
3619838	2700	1998-04-30	PRIJEM	\N	229	54012	UROK	\N	\N
3619839	2700	1998-05-31	PRIJEM	\N	181	21488	UROK	\N	\N
3619840	2700	1998-06-30	PRIJEM	\N	119	26317	UROK	\N	\N
3619841	2700	1998-07-31	PRIJEM	\N	156	34061	UROK	\N	\N
3619842	2700	1998-08-31	PRIJEM	\N	148	25855	UROK	\N	\N
3619843	2700	1998-09-30	PRIJEM	\N	146	41599	UROK	\N	\N
3619844	2700	1998-10-31	PRIJEM	\N	220	21317	UROK	\N	\N
3619845	2700	1998-11-30	PRIJEM	\N	139	37053	UROK	\N	\N
3619846	2700	1998-12-31	PRIJEM	\N	108	21162	UROK	\N	\N
3619847	2701	1993-08-31	PRIJEM	\N	14	17690	UROK	\N	\N
3619848	2701	1993-09-30	PRIJEM	\N	81	26447	UROK	\N	\N
3619849	2701	1993-10-31	PRIJEM	\N	113	29936	UROK	\N	\N
3619850	2701	1993-11-30	PRIJEM	\N	126	31738	UROK	\N	\N
3619851	2701	1993-12-31	PRIJEM	\N	150	33783	UROK	\N	\N
3619852	2701	1994-01-31	PRIJEM	\N	98	18753	UROK	\N	\N
3619853	2701	1994-02-28	PRIJEM	\N	87	21951	UROK	\N	\N
3619854	2701	1994-03-31	PRIJEM	\N	91	23994	UROK	\N	\N
3619855	2701	1994-04-30	PRIJEM	\N	105	23291	UROK	\N	\N
3619856	2701	1994-05-31	PRIJEM	\N	105	25407	UROK	\N	\N
3619857	2701	1994-06-30	PRIJEM	\N	96	21683	UROK	\N	\N
3619858	2701	1994-07-31	PRIJEM	\N	97	22991	UROK	\N	\N
3619859	2701	1994-08-31	PRIJEM	\N	105	26008	UROK	\N	\N
3619860	2701	1994-09-30	PRIJEM	\N	115	27734	UROK	\N	\N
3619861	2701	1994-10-31	PRIJEM	\N	122	28967	UROK	\N	\N
3619862	2701	1994-11-30	PRIJEM	\N	126	29705	UROK	\N	\N
3619863	2701	1994-12-31	PRIJEM	\N	134	30257	UROK	\N	\N
3619864	2701	1995-01-31	PRIJEM	\N	102	14431	UROK	\N	\N
3619865	2701	1995-02-28	PRIJEM	\N	78	22620	UROK	\N	\N
3619866	2701	1995-03-31	PRIJEM	\N	105	26937	UROK	\N	\N
3619867	2701	1995-04-30	PRIJEM	\N	112	24260	UROK	\N	\N
3619868	2701	1995-05-31	PRIJEM	\N	95	23567	UROK	\N	\N
3619869	2701	1995-06-30	PRIJEM	\N	111	26577	UROK	\N	\N
3619870	2701	1995-07-31	PRIJEM	\N	108	25856	UROK	\N	\N
3619871	2701	1995-08-31	PRIJEM	\N	119	29586	UROK	\N	\N
3619872	2701	1995-09-30	PRIJEM	\N	116	24133	UROK	\N	\N
3619873	2701	1995-10-31	PRIJEM	\N	113	28958	UROK	\N	\N
3619874	2701	1995-11-30	PRIJEM	\N	129	31399	UROK	\N	\N
3619875	2701	1995-12-31	PRIJEM	\N	131	29729	UROK	\N	\N
3619876	2701	1996-01-31	PRIJEM	\N	103	22683	UROK	\N	\N
3619877	2701	1996-02-29	PRIJEM	\N	104	26198	UROK	\N	\N
3619878	2701	1996-03-31	PRIJEM	\N	122	30931	UROK	\N	\N
3619879	2701	1996-04-30	PRIJEM	\N	129	30972	UROK	\N	\N
3619880	2701	1996-05-31	PRIJEM	\N	130	31413	UROK	\N	\N
3619881	2701	1996-06-30	PRIJEM	\N	142	35354	UROK	\N	\N
3619882	2701	1996-07-31	PRIJEM	\N	153	37719	UROK	\N	\N
3619883	2701	1996-08-31	PRIJEM	\N	142	31852	UROK	\N	\N
3619884	2701	1996-09-30	PRIJEM	\N	163	42727	UROK	\N	\N
3619885	2701	1996-10-31	PRIJEM	\N	200	50838	UROK	\N	\N
3619886	2701	1996-11-30	PRIJEM	\N	214	52964	UROK	\N	\N
3619887	2701	1996-12-31	PRIJEM	\N	236	60580	UROK	\N	\N
3619888	2701	1997-01-31	PRIJEM	\N	199	40991	UROK	\N	\N
3619889	2701	1997-02-28	PRIJEM	\N	193	48035	UROK	\N	\N
3619890	2701	1997-03-31	PRIJEM	\N	211	52758	UROK	\N	\N
3619891	2701	1997-04-30	PRIJEM	\N	230	56659	UROK	\N	\N
3619892	2701	1997-05-31	PRIJEM	\N	236	58407	UROK	\N	\N
3619893	2701	1997-06-30	PRIJEM	\N	250	53997	UROK	\N	\N
3619894	2701	1997-07-31	PRIJEM	\N	238	59846	UROK	\N	\N
3619895	2701	1997-08-31	PRIJEM	\N	237	58895	UROK	\N	\N
3619896	2701	1997-09-30	PRIJEM	\N	252	63058	UROK	\N	\N
3619897	2701	1997-10-31	PRIJEM	\N	255	63324	UROK	\N	\N
3619898	2701	1997-11-30	PRIJEM	\N	246	60881	UROK	\N	\N
3619899	2701	1997-12-31	PRIJEM	\N	232	57112	UROK	\N	\N
3619900	2701	1998-01-31	PRIJEM	\N	172	34476	UROK	\N	\N
3619901	2701	1998-02-28	PRIJEM	\N	185	48672	UROK	\N	\N
3619902	2701	1998-03-31	PRIJEM	\N	180	44104	UROK	\N	\N
3619903	2701	1998-04-30	PRIJEM	\N	187	47502	UROK	\N	\N
3619904	2701	1998-05-31	PRIJEM	\N	193	48106	UROK	\N	\N
3619905	2701	1998-06-30	PRIJEM	\N	202	28747	UROK	\N	\N
3619906	2701	1998-07-31	PRIJEM	\N	153	40612	UROK	\N	\N
3619907	2701	1998-08-31	PRIJEM	\N	167	42890	UROK	\N	\N
3619908	2701	1998-09-30	PRIJEM	\N	184	44585	UROK	\N	\N
3619909	2701	1998-10-31	PRIJEM	\N	190	47987	UROK	\N	\N
3619910	2701	1998-11-30	PRIJEM	\N	203	46801	UROK	\N	\N
3619911	2701	1998-12-31	PRIJEM	\N	207	50327	UROK	\N	\N
3619912	2702	1996-02-29	PRIJEM	\N	80	25523	UROK	\N	\N
3619913	2702	1996-03-31	PRIJEM	\N	190	51757	UROK	\N	\N
3619914	2702	1996-04-30	PRIJEM	\N	261	66361	UROK	\N	\N
3619915	2702	1996-05-31	PRIJEM	\N	284	69888	UROK	\N	\N
3619916	2702	1996-06-30	PRIJEM	\N	289	80704	UROK	\N	\N
3619917	2702	1996-07-31	PRIJEM	\N	312	49078	UROK	\N	\N
3619918	2702	1996-08-31	PRIJEM	\N	250	47970	UROK	\N	\N
3619919	2702	1996-09-30	PRIJEM	\N	259	47691	UROK	\N	\N
3619920	2702	1996-10-31	PRIJEM	\N	250	44483	UROK	\N	\N
3619921	2702	1996-11-30	PRIJEM	\N	232	43038	UROK	\N	\N
3619922	2702	1996-12-31	PRIJEM	\N	254	41976	UROK	\N	\N
3619923	2702	1997-01-31	PRIJEM	\N	195	34333	UROK	\N	\N
3619924	2702	1997-02-28	PRIJEM	\N	198	36494	UROK	\N	\N
3619925	2702	1997-03-31	PRIJEM	\N	204	32960	UROK	\N	\N
3619926	2702	1997-04-30	PRIJEM	\N	192	34614	UROK	\N	\N
3619927	2702	1997-05-31	PRIJEM	\N	192	30469	UROK	\N	\N
3619928	2702	1997-06-30	PRIJEM	\N	106	22258	UROK	\N	\N
3619929	2702	1997-07-31	PRIJEM	\N	132	17152	UROK	\N	\N
3619930	2702	1997-08-31	PRIJEM	\N	104	13938	UROK	\N	\N
3619931	2702	1997-09-30	PRIJEM	\N	126	34926	UROK	\N	\N
3619932	2702	1997-10-31	PRIJEM	\N	177	25866	UROK	\N	\N
3619933	2702	1997-11-30	PRIJEM	\N	140	20868	UROK	\N	\N
3619934	2702	1997-12-31	PRIJEM	\N	145	22457	UROK	\N	\N
3619935	2702	1998-01-31	PRIJEM	\N	108	16847	UROK	\N	\N
3619936	2702	1998-02-28	PRIJEM	\N	110	18219	UROK	\N	\N
3619937	2702	1998-03-31	PRIJEM	\N	117	19199	UROK	\N	\N
3619938	2702	1998-04-30	PRIJEM	\N	114	15875	UROK	\N	\N
3619939	2702	1998-05-31	PRIJEM	\N	134	36871	UROK	\N	\N
3619940	2702	1998-06-30	PRIJEM	\N	185	20540	UROK	\N	\N
3619941	2702	1998-07-31	PRIJEM	\N	153	41555	UROK	\N	\N
3619942	2702	1998-08-31	PRIJEM	\N	177	26395	UROK	\N	\N
3619943	2702	1998-09-30	PRIJEM	\N	120	15978	UROK	\N	\N
3619944	2702	1998-10-31	PRIJEM	\N	134	36974	UROK	\N	\N
3619945	2702	1998-11-30	PRIJEM	\N	139	15675	UROK	\N	\N
3619946	2702	1998-12-31	PRIJEM	\N	160	42699	UROK	\N	\N
3619947	2703	1998-03-31	PRIJEM	\N	2	16622	UROK	\N	\N
3619948	2703	1998-04-30	PRIJEM	\N	67	16276	UROK	\N	\N
3619949	2703	1998-05-31	PRIJEM	\N	71	17374	UROK	\N	\N
3619950	2703	1998-06-30	PRIJEM	\N	73	15644	UROK	\N	\N
3619951	2703	1998-07-31	PRIJEM	\N	68	16740	UROK	\N	\N
3619952	2703	1998-08-31	PRIJEM	\N	73	17839	UROK	\N	\N
3619953	2703	1998-09-30	PRIJEM	\N	75	18612	UROK	\N	\N
3619954	2703	1998-10-31	PRIJEM	\N	80	19719	UROK	\N	\N
3619955	2703	1998-11-30	PRIJEM	\N	81	19777	UROK	\N	\N
3619956	2703	1998-12-31	PRIJEM	\N	83	20377	UROK	\N	\N
3619957	2705	1993-07-31	PRIJEM	\N	48	16297	UROK	\N	\N
3619958	2705	1993-08-31	PRIJEM	\N	130	37476	UROK	\N	\N
3619959	2705	1993-09-30	PRIJEM	\N	190	49415	UROK	\N	\N
3619960	2705	1993-10-31	PRIJEM	\N	214	52378	UROK	\N	\N
3619961	2705	1993-11-30	PRIJEM	\N	189	46816	UROK	\N	\N
3619962	2705	1993-12-31	PRIJEM	\N	153	23969	UROK	\N	\N
3619963	2705	1994-01-31	PRIJEM	\N	97	20884	UROK	\N	\N
3619964	2705	1994-02-28	PRIJEM	\N	94	23196	UROK	\N	\N
3619965	2705	1994-03-31	PRIJEM	\N	108	27321	UROK	\N	\N
3619966	2705	1994-04-30	PRIJEM	\N	113	26252	UROK	\N	\N
3619967	2705	1994-05-31	PRIJEM	\N	119	29789	UROK	\N	\N
3619968	2705	1994-06-30	PRIJEM	\N	138	35525	UROK	\N	\N
3619969	2705	1994-07-31	PRIJEM	\N	135	29478	UROK	\N	\N
3619970	2705	1994-08-31	PRIJEM	\N	129	30725	UROK	\N	\N
3619971	2705	1994-09-30	PRIJEM	\N	128	25540	UROK	\N	\N
3619972	2705	1994-10-31	PRIJEM	\N	113	26870	UROK	\N	\N
3619973	2705	1994-11-30	PRIJEM	\N	112	25296	UROK	\N	\N
3619974	2705	1994-12-31	PRIJEM	\N	132	30471	UROK	\N	\N
3619975	2705	1995-01-31	PRIJEM	\N	101	22890	UROK	\N	\N
3619976	2705	1995-02-28	PRIJEM	\N	104	29112	UROK	\N	\N
3619977	2705	1995-03-31	PRIJEM	\N	129	33059	UROK	\N	\N
3619978	2705	1995-04-30	PRIJEM	\N	109	27486	UROK	\N	\N
3619979	2705	1995-05-31	PRIJEM	\N	121	29024	UROK	\N	\N
3619980	2705	1995-06-30	PRIJEM	\N	148	36415	UROK	\N	\N
3619981	2705	1995-07-31	PRIJEM	\N	124	27880	UROK	\N	\N
3619982	2705	1995-08-31	PRIJEM	\N	120	24817	UROK	\N	\N
3619983	2705	1995-09-30	PRIJEM	\N	116	32751	UROK	\N	\N
3619984	2705	1995-10-31	PRIJEM	\N	143	35412	UROK	\N	\N
3619985	2705	1995-11-30	PRIJEM	\N	155	38385	UROK	\N	\N
3619986	2705	1995-12-31	PRIJEM	\N	168	40595	UROK	\N	\N
3619987	2705	1996-01-31	PRIJEM	\N	120	30013	UROK	\N	\N
3619988	2705	1996-02-29	PRIJEM	\N	125	27328	UROK	\N	\N
3619989	2705	1996-03-31	PRIJEM	\N	129	35875	UROK	\N	\N
3619990	2705	1996-04-30	PRIJEM	\N	155	37848	UROK	\N	\N
3619991	2705	1996-05-31	PRIJEM	\N	129	33526	UROK	\N	\N
3619992	2705	1996-06-30	PRIJEM	\N	159	37727	UROK	\N	\N
3619993	2705	1996-07-31	PRIJEM	\N	167	42412	UROK	\N	\N
3619994	2705	1996-08-31	PRIJEM	\N	127	27064	UROK	\N	\N
3619995	2705	1996-09-30	PRIJEM	\N	130	35212	UROK	\N	\N
3619996	2705	1996-10-31	PRIJEM	\N	162	42592	UROK	\N	\N
3619997	2705	1996-11-30	PRIJEM	\N	160	40669	UROK	\N	\N
3619998	2705	1996-12-31	PRIJEM	\N	177	39997	UROK	\N	\N
3619999	2705	1997-01-31	PRIJEM	\N	141	26064	UROK	\N	\N
3620000	2705	1997-02-28	PRIJEM	\N	129	36419	UROK	\N	\N
3620001	2705	1997-03-31	PRIJEM	\N	129	25574	UROK	\N	\N
3620002	2705	1997-04-30	PRIJEM	\N	126	34525	UROK	\N	\N
3620003	2705	1997-05-31	PRIJEM	\N	143	34095	UROK	\N	\N
3620004	2705	1997-06-30	PRIJEM	\N	168	44814	UROK	\N	\N
3620005	2705	1997-07-31	PRIJEM	\N	145	25106	UROK	\N	\N
3620006	2705	1997-08-31	PRIJEM	\N	125	33057	UROK	\N	\N
3620007	2705	1997-09-30	PRIJEM	\N	152	38736	UROK	\N	\N
3620008	2705	1997-10-31	PRIJEM	\N	162	40924	UROK	\N	\N
3620009	2705	1997-11-30	PRIJEM	\N	168	33618	UROK	\N	\N
3620010	2705	1997-12-31	PRIJEM	\N	153	39522	UROK	\N	\N
3620011	2705	1998-01-31	PRIJEM	\N	125	29472	UROK	\N	\N
3620012	2705	1998-02-28	PRIJEM	\N	156	43355	UROK	\N	\N
3620013	2705	1998-03-31	PRIJEM	\N	156	37745	UROK	\N	\N
3620014	2705	1998-04-30	PRIJEM	\N	158	42229	UROK	\N	\N
3620015	2705	1998-05-31	PRIJEM	\N	165	39871	UROK	\N	\N
3620016	2705	1998-06-30	PRIJEM	\N	186	42258	UROK	\N	\N
3620017	2705	1998-07-31	PRIJEM	\N	211	54396	UROK	\N	\N
3620018	2705	1998-08-31	PRIJEM	\N	230	50138	UROK	\N	\N
3620019	2705	1998-09-30	PRIJEM	\N	213	48235	UROK	\N	\N
3620020	2705	1998-10-31	PRIJEM	\N	240	53295	UROK	\N	\N
3620021	2705	1998-11-30	PRIJEM	\N	246	53449	UROK	\N	\N
3620022	2705	1998-12-31	PRIJEM	\N	246	63347	UROK	\N	\N
3620023	2707	1995-01-31	PRIJEM	\N	117	88512	UROK	\N	\N
3620024	2707	1995-02-28	PRIJEM	\N	396	57607	UROK	\N	\N
3620025	2707	1995-03-31	PRIJEM	\N	171	25465	UROK	\N	\N
3620026	2707	1995-04-30	PRIJEM	\N	165	47117	UROK	\N	\N
3620027	2707	1995-05-31	PRIJEM	\N	154	26539	UROK	\N	\N
3620028	2707	1995-06-30	PRIJEM	\N	176	52087	UROK	\N	\N
3620029	2707	1995-07-31	PRIJEM	\N	319	59970	UROK	\N	\N
3620030	2707	1995-08-31	PRIJEM	\N	298	100029	UROK	\N	\N
3620031	2707	1995-09-30	PRIJEM	\N	308	47524	UROK	\N	\N
3620032	2707	1995-10-31	PRIJEM	\N	244	52424	UROK	\N	\N
3620033	2707	1995-11-30	PRIJEM	\N	223	71222	UROK	\N	\N
3620034	2707	1995-12-31	PRIJEM	\N	271	49478	UROK	\N	\N
3620035	2707	1996-01-31	PRIJEM	\N	126	30411	UROK	\N	\N
3620036	2707	1996-02-29	PRIJEM	\N	120	24261	UROK	\N	\N
3620037	2707	1996-03-31	PRIJEM	\N	102	30770	UROK	\N	\N
3620038	2707	1996-04-30	PRIJEM	\N	219	56496	UROK	\N	\N
3620039	2707	1996-05-31	PRIJEM	\N	294	65462	UROK	\N	\N
3620040	2707	1996-06-30	PRIJEM	\N	252	60663	UROK	\N	\N
3620041	2707	1996-07-31	PRIJEM	\N	249	52213	UROK	\N	\N
3620042	2707	1996-08-31	PRIJEM	\N	238	76001	UROK	\N	\N
3620043	2707	1996-09-30	PRIJEM	\N	258	48966	UROK	\N	\N
3620044	2707	1996-10-31	PRIJEM	\N	177	36535	UROK	\N	\N
3620045	2707	1996-11-30	PRIJEM	\N	156	31525	UROK	\N	\N
3620046	2707	1996-12-31	PRIJEM	\N	123	28555	UROK	\N	\N
3620047	2707	1997-01-31	PRIJEM	\N	173	59138	UROK	\N	\N
3620048	2707	1997-02-28	PRIJEM	\N	201	38991	UROK	\N	\N
3620049	2707	1997-03-31	PRIJEM	\N	157	31448	UROK	\N	\N
3620050	2707	1997-04-30	PRIJEM	\N	164	61175	UROK	\N	\N
3620051	2707	1997-05-31	PRIJEM	\N	174	29932	UROK	\N	\N
3620052	2707	1997-06-30	PRIJEM	\N	186	39160	UROK	\N	\N
3620053	2707	1997-07-31	PRIJEM	\N	268	71261	UROK	\N	\N
3620054	2707	1997-08-31	PRIJEM	\N	254	56722	UROK	\N	\N
3620055	2707	1997-09-30	PRIJEM	\N	264	107346	UROK	\N	\N
3620056	2707	1997-10-31	PRIJEM	\N	405	97421	UROK	\N	\N
3620057	2707	1997-11-30	PRIJEM	\N	357	84419	UROK	\N	\N
3620058	2707	1997-12-31	PRIJEM	\N	388	91906	UROK	\N	\N
3620059	2707	1998-01-31	PRIJEM	\N	275	42884	UROK	\N	\N
3620060	2707	1998-02-28	PRIJEM	\N	194	48886	UROK	\N	\N
3620061	2707	1998-03-31	PRIJEM	\N	208	45935	UROK	\N	\N
3620062	2707	1998-04-30	PRIJEM	\N	207	47055	UROK	\N	\N
3620063	2707	1998-05-31	PRIJEM	\N	201	30735	UROK	\N	\N
3620064	2707	1998-06-30	PRIJEM	\N	139	30928	UROK	\N	\N
3620065	2707	1998-07-31	PRIJEM	\N	150	38685	UROK	\N	\N
3620066	2707	1998-08-31	PRIJEM	\N	139	27439	UROK	\N	\N
3620067	2707	1998-09-30	PRIJEM	\N	158	42804	UROK	\N	\N
3620068	2707	1998-10-31	PRIJEM	\N	189	39859	UROK	\N	\N
3620069	2707	1998-11-30	PRIJEM	\N	182	46348	UROK	\N	\N
3620070	2707	1998-12-31	PRIJEM	\N	196	48451	UROK	\N	\N
3620071	2709	1997-03-31	PRIJEM	\N	39	13156	UROK	\N	\N
3620072	2709	1997-04-30	PRIJEM	\N	57	13761	UROK	\N	\N
3620073	2709	1997-05-31	PRIJEM	\N	58	14068	UROK	\N	\N
3620074	2709	1997-06-30	PRIJEM	\N	62	15128	UROK	\N	\N
3620075	2709	1997-07-31	PRIJEM	\N	66	16193	UROK	\N	\N
3620076	2709	1997-08-31	PRIJEM	\N	67	15998	UROK	\N	\N
3620077	2709	1997-09-30	PRIJEM	\N	70	17066	UROK	\N	\N
3620078	2709	1997-10-31	PRIJEM	\N	70	16845	UROK	\N	\N
3620079	2709	1997-11-30	PRIJEM	\N	73	17916	UROK	\N	\N
3620080	2709	1997-12-31	PRIJEM	\N	77	18632	UROK	\N	\N
3620081	2709	1998-01-31	PRIJEM	\N	66	13636	UROK	\N	\N
3620082	2709	1998-02-28	PRIJEM	\N	60	14694	UROK	\N	\N
3620083	2709	1998-03-31	PRIJEM	\N	64	15576	UROK	\N	\N
3620084	2709	1998-04-30	PRIJEM	\N	68	16642	UROK	\N	\N
3620085	2709	1998-05-31	PRIJEM	\N	72	17713	UROK	\N	\N
3620086	2709	1998-06-30	PRIJEM	\N	66	13618	UROK	\N	\N
3620087	2709	1998-07-31	PRIJEM	\N	60	14676	UROK	\N	\N
3620088	2709	1998-08-31	PRIJEM	\N	64	15738	UROK	\N	\N
3620089	2709	1998-09-30	PRIJEM	\N	64	15451	UROK	\N	\N
3620090	2709	1998-10-31	PRIJEM	\N	67	16517	UROK	\N	\N
3620091	2709	1998-11-30	PRIJEM	\N	72	17587	UROK	\N	\N
3620092	2709	1998-12-31	PRIJEM	\N	74	17459	UROK	\N	\N
3620093	2711	1993-06-30	PRIJEM	\N	48	26700	UROK	\N	\N
3620094	2711	1993-07-31	PRIJEM	\N	131	37199	UROK	\N	\N
3620095	2711	1993-08-31	PRIJEM	\N	160	39826	UROK	\N	\N
3620096	2711	1993-09-30	PRIJEM	\N	172	42966	UROK	\N	\N
3620097	2711	1993-10-31	PRIJEM	\N	174	37508	UROK	\N	\N
3620098	2711	1993-11-30	PRIJEM	\N	158	36219	UROK	\N	\N
3620099	2711	1993-12-31	PRIJEM	\N	187	40244	UROK	\N	\N
3620100	2711	1994-01-31	PRIJEM	\N	168	27666	UROK	\N	\N
3620101	2711	1994-02-28	PRIJEM	\N	125	31244	UROK	\N	\N
3620102	2711	1994-03-31	PRIJEM	\N	143	34640	UROK	\N	\N
3620103	2711	1994-04-30	PRIJEM	\N	157	38650	UROK	\N	\N
3620104	2711	1994-05-31	PRIJEM	\N	160	36964	UROK	\N	\N
3620105	2711	1994-06-30	PRIJEM	\N	156	30377	UROK	\N	\N
3620106	2711	1994-07-31	PRIJEM	\N	138	34268	UROK	\N	\N
3620107	2711	1994-08-31	PRIJEM	\N	159	35901	UROK	\N	\N
3620108	2711	1994-09-30	PRIJEM	\N	142	33096	UROK	\N	\N
3620109	2711	1994-10-31	PRIJEM	\N	134	31583	UROK	\N	\N
3620110	2711	1994-11-30	PRIJEM	\N	140	33876	UROK	\N	\N
3620111	2711	1994-12-31	PRIJEM	\N	144	33038	UROK	\N	\N
3620112	2711	1995-01-31	PRIJEM	\N	126	22877	UROK	\N	\N
3620113	2711	1995-02-28	PRIJEM	\N	114	27644	UROK	\N	\N
3620114	2711	1995-03-31	PRIJEM	\N	124	30221	UROK	\N	\N
3620115	2711	1995-04-30	PRIJEM	\N	128	28882	UROK	\N	\N
3620116	2711	1995-05-31	PRIJEM	\N	131	31667	UROK	\N	\N
3620117	2711	1995-06-30	PRIJEM	\N	148	34592	UROK	\N	\N
3620118	2711	1995-07-31	PRIJEM	\N	130	27055	UROK	\N	\N
3620119	2711	1995-08-31	PRIJEM	\N	103	21472	UROK	\N	\N
3620120	2711	1995-09-30	PRIJEM	\N	134	33559	UROK	\N	\N
3620121	2711	1995-10-31	PRIJEM	\N	157	34629	UROK	\N	\N
3620122	2711	1995-11-30	PRIJEM	\N	173	42155	UROK	\N	\N
3620123	2711	1995-12-31	PRIJEM	\N	199	44952	UROK	\N	\N
3620124	2711	1996-01-31	PRIJEM	\N	174	37799	UROK	\N	\N
3620125	2711	1996-02-29	PRIJEM	\N	168	39921	UROK	\N	\N
3620126	2711	1996-03-31	PRIJEM	\N	177	42050	UROK	\N	\N
3620127	2711	1996-04-30	PRIJEM	\N	184	43888	UROK	\N	\N
3620128	2711	1996-05-31	PRIJEM	\N	152	29794	UROK	\N	\N
3620129	2711	1996-06-30	PRIJEM	\N	129	29620	UROK	\N	\N
3620130	2711	1996-07-31	PRIJEM	\N	144	34917	UROK	\N	\N
3620131	2711	1996-08-31	PRIJEM	\N	157	35867	UROK	\N	\N
3620132	2711	1996-09-30	PRIJEM	\N	153	42274	UROK	\N	\N
3620133	2711	1996-10-31	PRIJEM	\N	160	30887	UROK	\N	\N
3620134	2711	1996-11-30	PRIJEM	\N	156	32736	UROK	\N	\N
3620135	2711	1996-12-31	PRIJEM	\N	180	36294	UROK	\N	\N
3620136	2711	1997-01-31	PRIJEM	\N	163	30110	UROK	\N	\N
3620137	2711	1997-02-28	PRIJEM	\N	158	31142	UROK	\N	\N
3620138	2711	1997-03-31	PRIJEM	\N	156	31251	UROK	\N	\N
3620139	2711	1997-04-30	PRIJEM	\N	156	32861	UROK	\N	\N
3620140	2711	1997-05-31	PRIJEM	\N	172	34967	UROK	\N	\N
3620141	2711	1997-06-30	PRIJEM	\N	190	40614	UROK	\N	\N
3620142	2711	1997-07-31	PRIJEM	\N	189	37157	UROK	\N	\N
3620143	2711	1997-08-31	PRIJEM	\N	175	36886	UROK	\N	\N
3620144	2711	1997-09-30	PRIJEM	\N	173	37012	UROK	\N	\N
3620145	2711	1997-10-31	PRIJEM	\N	171	34837	UROK	\N	\N
3620146	2711	1997-11-30	PRIJEM	\N	162	33952	UROK	\N	\N
3620147	2711	1997-12-31	PRIJEM	\N	172	35302	UROK	\N	\N
3620148	2711	1998-01-31	PRIJEM	\N	155	26630	UROK	\N	\N
3620149	2711	1998-02-28	PRIJEM	\N	132	32515	UROK	\N	\N
3620150	2711	1998-03-31	PRIJEM	\N	157	37646	UROK	\N	\N
3620151	2711	1998-04-30	PRIJEM	\N	179	44078	UROK	\N	\N
3620152	2711	1998-05-31	PRIJEM	\N	198	43829	UROK	\N	\N
3620153	2711	1998-06-30	PRIJEM	\N	178	37905	UROK	\N	\N
3620154	2711	1998-07-31	PRIJEM	\N	174	40933	UROK	\N	\N
3620155	2711	1998-08-31	PRIJEM	\N	174	35960	UROK	\N	\N
3620156	2711	1998-09-30	PRIJEM	\N	161	37174	UROK	\N	\N
3620157	2711	1998-10-31	PRIJEM	\N	175	44302	UROK	\N	\N
3620158	2711	1998-11-30	PRIJEM	\N	200	45035	UROK	\N	\N
3620159	2711	1998-12-31	PRIJEM	\N	219	53892	UROK	\N	\N
3620160	2712	1993-08-31	PRIJEM	\N	5	33425	UROK	\N	\N
3620161	2712	1993-09-30	PRIJEM	\N	133	31291	UROK	\N	\N
3620162	2712	1993-10-31	PRIJEM	\N	125	30030	UROK	\N	\N
3620163	2712	1993-11-30	PRIJEM	\N	133	33276	UROK	\N	\N
3620164	2712	1993-12-31	PRIJEM	\N	132	31072	UROK	\N	\N
3620165	2712	1994-01-31	PRIJEM	\N	122	27047	UROK	\N	\N
3620166	2712	1994-02-28	PRIJEM	\N	114	26854	UROK	\N	\N
3620167	2712	1994-03-31	PRIJEM	\N	119	29987	UROK	\N	\N
3620168	2712	1994-04-30	PRIJEM	\N	126	31026	UROK	\N	\N
3620169	2712	1994-05-31	PRIJEM	\N	126	30766	UROK	\N	\N
3620170	2712	1994-06-30	PRIJEM	\N	115	24254	UROK	\N	\N
3620171	2712	1994-07-31	PRIJEM	\N	111	27979	UROK	\N	\N
3620172	2712	1994-08-31	PRIJEM	\N	109	26962	UROK	\N	\N
3620173	2712	1994-09-30	PRIJEM	\N	115	28590	UROK	\N	\N
3620174	2712	1994-10-31	PRIJEM	\N	116	25480	UROK	\N	\N
3620175	2712	1994-11-30	PRIJEM	\N	116	29209	UROK	\N	\N
3620176	2712	1994-12-31	PRIJEM	\N	131	32404	UROK	\N	\N
3620177	2712	1995-01-31	PRIJEM	\N	113	22230	UROK	\N	\N
3620178	2712	1995-02-28	PRIJEM	\N	96	22819	UROK	\N	\N
3620179	2712	1995-03-31	PRIJEM	\N	105	26538	UROK	\N	\N
3620180	2712	1995-04-30	PRIJEM	\N	101	25052	UROK	\N	\N
3620181	2712	1995-05-31	PRIJEM	\N	114	28780	UROK	\N	\N
3620182	2712	1995-06-30	PRIJEM	\N	91	20235	UROK	\N	\N
3620183	2712	1995-07-31	PRIJEM	\N	83	20651	UROK	\N	\N
3620184	2712	1995-08-31	PRIJEM	\N	96	24360	UROK	\N	\N
3620185	2712	1995-09-30	PRIJEM	\N	108	26562	UROK	\N	\N
3620186	2712	1995-10-31	PRIJEM	\N	120	30295	UROK	\N	\N
3620187	2712	1995-11-30	PRIJEM	\N	136	34044	UROK	\N	\N
3620188	2712	1995-12-31	PRIJEM	\N	150	35208	UROK	\N	\N
3620189	2712	1996-01-31	PRIJEM	\N	136	27997	UROK	\N	\N
3620190	2712	1996-02-29	PRIJEM	\N	119	29649	UROK	\N	\N
3620191	2712	1996-03-31	PRIJEM	\N	133	33195	UROK	\N	\N
3620192	2712	1996-04-30	PRIJEM	\N	138	31626	UROK	\N	\N
3620193	2712	1996-05-31	PRIJEM	\N	140	33979	UROK	\N	\N
3620194	2712	1996-06-30	PRIJEM	\N	115	26308	UROK	\N	\N
3620195	2712	1996-07-31	PRIJEM	\N	113	26754	UROK	\N	\N
3620196	2712	1996-08-31	PRIJEM	\N	118	28286	UROK	\N	\N
3620197	2712	1996-09-30	PRIJEM	\N	126	31425	UROK	\N	\N
3620198	2712	1996-10-31	PRIJEM	\N	131	28870	UROK	\N	\N
3620199	2712	1996-11-30	PRIJEM	\N	123	28306	UROK	\N	\N
3620200	2712	1996-12-31	PRIJEM	\N	117	25486	UROK	\N	\N
3620201	2712	1997-01-31	PRIJEM	\N	93	16213	UROK	\N	\N
3620202	2712	1997-02-28	PRIJEM	\N	76	19802	UROK	\N	\N
3620203	2712	1997-03-31	PRIJEM	\N	86	20301	UROK	\N	\N
3620204	2712	1997-04-30	PRIJEM	\N	82	18037	UROK	\N	\N
3620205	2712	1997-05-31	PRIJEM	\N	78	18228	UROK	\N	\N
3620206	2712	1997-06-30	PRIJEM	\N	82	18574	UROK	\N	\N
3620207	2712	1997-07-31	PRIJEM	\N	82	20570	UROK	\N	\N
3620208	2712	1997-08-31	PRIJEM	\N	84	21467	UROK	\N	\N
3620209	2712	1997-09-30	PRIJEM	\N	85	18665	UROK	\N	\N
3620210	2712	1997-10-31	PRIJEM	\N	75	16953	UROK	\N	\N
3620211	2712	1997-11-30	PRIJEM	\N	78	20645	UROK	\N	\N
3620212	2712	1997-12-31	PRIJEM	\N	88	22767	UROK	\N	\N
3620213	2712	1998-01-31	PRIJEM	\N	87	17027	UROK	\N	\N
3620214	2712	1998-02-28	PRIJEM	\N	78	20718	UROK	\N	\N
3620215	2712	1998-03-31	PRIJEM	\N	94	24425	UROK	\N	\N
3620216	2712	1998-04-30	PRIJEM	\N	109	28148	UROK	\N	\N
3620217	2712	1998-05-31	PRIJEM	\N	125	31886	UROK	\N	\N
3620218	2712	1998-06-30	PRIJEM	\N	131	29630	UROK	\N	\N
3620219	2712	1998-07-31	PRIJEM	\N	131	33374	UROK	\N	\N
3620220	2712	1998-08-31	PRIJEM	\N	146	37134	UROK	\N	\N
3620221	2712	1998-09-30	PRIJEM	\N	162	40909	UROK	\N	\N
3620222	2712	1998-10-31	PRIJEM	\N	177	44699	UROK	\N	\N
3620223	2712	1998-11-30	PRIJEM	\N	193	48506	UROK	\N	\N
3620224	2712	1998-12-31	PRIJEM	\N	112	18431	UROK	\N	\N
3620225	2713	1994-04-30	PRIJEM	\N	17	6939	UROK	\N	\N
3620226	2713	1994-05-31	PRIJEM	\N	29	13390	UROK	\N	\N
3620227	2713	1994-06-30	PRIJEM	\N	29	19841	UROK	\N	\N
3620228	2713	1994-07-31	PRIJEM	\N	29	26292	UROK	\N	\N
3620229	2713	1994-08-31	PRIJEM	\N	91	28118	UROK	\N	\N
3620230	2713	1994-09-30	PRIJEM	\N	128	30066	UROK	\N	\N
3620231	2713	1994-10-31	PRIJEM	\N	131	25617	UROK	\N	\N
3620232	2713	1994-11-30	PRIJEM	\N	119	24316	UROK	\N	\N
3620233	2713	1994-12-31	PRIJEM	\N	107	23844	UROK	\N	\N
3620234	2713	1995-01-31	PRIJEM	\N	77	16061	UROK	\N	\N
3620235	2713	1995-02-28	PRIJEM	\N	82	19162	UROK	\N	\N
3620236	2713	1995-03-31	PRIJEM	\N	87	22170	UROK	\N	\N
3620237	2713	1995-04-30	PRIJEM	\N	100	25290	UROK	\N	\N
3620238	2713	1995-05-31	PRIJEM	\N	113	28424	UROK	\N	\N
3620239	2713	1995-06-30	PRIJEM	\N	112	22556	UROK	\N	\N
3620240	2713	1995-07-31	PRIJEM	\N	101	24077	UROK	\N	\N
3620241	2713	1995-08-31	PRIJEM	\N	113	25810	UROK	\N	\N
3620242	2713	1995-09-30	PRIJEM	\N	108	26058	UROK	\N	\N
3620243	2713	1995-10-31	PRIJEM	\N	111	24630	UROK	\N	\N
3620244	2713	1995-11-30	PRIJEM	\N	111	26001	UROK	\N	\N
3620245	2713	1995-12-31	PRIJEM	\N	112	25983	UROK	\N	\N
3620246	2713	1996-01-31	PRIJEM	\N	95	15288	UROK	\N	\N
3620247	2713	1996-02-29	PRIJEM	\N	79	18387	UROK	\N	\N
3620248	2713	1996-03-31	PRIJEM	\N	84	21492	UROK	\N	\N
3620249	2713	1996-04-30	PRIJEM	\N	91	21323	UROK	\N	\N
3620250	2713	1996-05-31	PRIJEM	\N	92	22595	UROK	\N	\N
3620251	2713	1996-06-30	PRIJEM	\N	91	21456	UROK	\N	\N
3620252	2713	1996-07-31	PRIJEM	\N	97	24573	UROK	\N	\N
3620253	2713	1996-08-31	PRIJEM	\N	110	27703	UROK	\N	\N
3620254	2713	1996-09-30	PRIJEM	\N	123	30846	UROK	\N	\N
3620255	2713	1996-10-31	PRIJEM	\N	136	34002	UROK	\N	\N
3620256	2713	1996-11-30	PRIJEM	\N	149	37171	UROK	\N	\N
3620257	2713	1996-12-31	PRIJEM	\N	161	39853	UROK	\N	\N
3620258	2713	1997-01-31	PRIJEM	\N	155	32428	UROK	\N	\N
3620259	2713	1997-02-28	PRIJEM	\N	149	35598	UROK	\N	\N
3620260	2713	1997-03-31	PRIJEM	\N	155	38773	UROK	\N	\N
3620261	2713	1997-04-30	PRIJEM	\N	155	38668	UROK	\N	\N
3620262	2713	1997-05-31	PRIJEM	\N	161	38409	UROK	\N	\N
3620263	2713	1997-06-30	PRIJEM	\N	140	27469	UROK	\N	\N
3620264	2713	1997-07-31	PRIJEM	\N	121	30611	UROK	\N	\N
3620265	2713	1997-08-31	PRIJEM	\N	134	33765	UROK	\N	\N
3620266	2713	1997-09-30	PRIJEM	\N	155	36941	UROK	\N	\N
3620267	2713	1997-10-31	PRIJEM	\N	160	40122	UROK	\N	\N
3620268	2713	1997-11-30	PRIJEM	\N	174	43316	UROK	\N	\N
3620269	2713	1997-12-31	PRIJEM	\N	188	45974	UROK	\N	\N
3620270	2713	1998-01-31	PRIJEM	\N	180	40824	UROK	\N	\N
3620271	2713	1998-02-28	PRIJEM	\N	183	44028	UROK	\N	\N
3620272	2713	1998-03-31	PRIJEM	\N	190	47238	UROK	\N	\N
3620273	2713	1998-04-30	PRIJEM	\N	200	47818	UROK	\N	\N
3620274	2713	1998-05-31	PRIJEM	\N	205	51044	UROK	\N	\N
3620275	2713	1998-06-30	PRIJEM	\N	195	37599	UROK	\N	\N
3620276	2713	1998-07-31	PRIJEM	\N	160	39580	UROK	\N	\N
3620277	2713	1998-08-31	PRIJEM	\N	179	42779	UROK	\N	\N
3620278	2713	1998-09-30	PRIJEM	\N	192	45991	UROK	\N	\N
3620279	2713	1998-10-31	PRIJEM	\N	205	49217	UROK	\N	\N
3620280	2713	1998-11-30	PRIJEM	\N	217	51734	UROK	\N	\N
3620281	2713	1998-12-31	PRIJEM	\N	220	54374	UROK	\N	\N
3620282	2715	1997-10-31	PRIJEM	\N	10	4239	UROK	\N	\N
3620283	2715	1997-11-30	PRIJEM	\N	18	7586	UROK	\N	\N
3620284	2715	1997-12-31	PRIJEM	\N	18	10933	UROK	\N	\N
3620285	2715	1998-01-31	PRIJEM	\N	18	14279	UROK	\N	\N
3620286	2715	1998-02-28	PRIJEM	\N	20	17628	UROK	\N	\N
3620287	2715	1998-03-31	PRIJEM	\N	75	18798	UROK	\N	\N
3620288	2715	1998-04-30	PRIJEM	\N	80	19974	UROK	\N	\N
3620289	2715	1998-05-31	PRIJEM	\N	84	20013	UROK	\N	\N
3620290	2715	1998-06-30	PRIJEM	\N	80	18849	UROK	\N	\N
3620291	2715	1998-07-31	PRIJEM	\N	78	19212	UROK	\N	\N
3620292	2715	1998-08-31	PRIJEM	\N	82	19669	UROK	\N	\N
3620293	2715	1998-09-30	PRIJEM	\N	84	20848	UROK	\N	\N
3620294	2715	1998-10-31	PRIJEM	\N	89	22032	UROK	\N	\N
3620295	2715	1998-11-30	PRIJEM	\N	94	23221	UROK	\N	\N
3620296	2715	1998-12-31	PRIJEM	\N	98	24235	UROK	\N	\N
3620297	2716	1996-01-31	PRIJEM	\N	64	20900	UROK	\N	\N
3620298	2716	1996-02-29	PRIJEM	\N	151	42288	UROK	\N	\N
3620299	2716	1996-03-31	PRIJEM	\N	206	52129	UROK	\N	\N
3620300	2716	1996-04-30	PRIJEM	\N	223	54188	UROK	\N	\N
3620301	2716	1996-05-31	PRIJEM	\N	212	49091	UROK	\N	\N
3620302	2716	1996-06-30	PRIJEM	\N	213	52488	UROK	\N	\N
3620303	2716	1996-07-31	PRIJEM	\N	220	52184	UROK	\N	\N
3620304	2716	1996-08-31	PRIJEM	\N	210	49070	UROK	\N	\N
3620305	2716	1996-09-30	PRIJEM	\N	203	47950	UROK	\N	\N
3620306	2716	1996-10-31	PRIJEM	\N	199	47225	UROK	\N	\N
3620307	2716	1996-11-30	PRIJEM	\N	190	44392	UROK	\N	\N
3620308	2716	1996-12-31	PRIJEM	\N	207	45763	UROK	\N	\N
3620309	2716	1997-01-31	PRIJEM	\N	127	14166	UROK	\N	\N
3620310	2716	1997-02-28	PRIJEM	\N	112	31155	UROK	\N	\N
3620311	2716	1997-03-31	PRIJEM	\N	147	35978	UROK	\N	\N
3620312	2716	1997-04-30	PRIJEM	\N	139	25413	UROK	\N	\N
3620313	2716	1997-05-31	PRIJEM	\N	114	27504	UROK	\N	\N
3620314	2716	1997-06-30	PRIJEM	\N	141	35389	UROK	\N	\N
3620315	2716	1997-07-31	PRIJEM	\N	107	28273	UROK	\N	\N
3620316	2716	1997-08-31	PRIJEM	\N	95	15344	UROK	\N	\N
3620317	2716	1997-09-30	PRIJEM	\N	94	14914	UROK	\N	\N
3620318	2716	1997-10-31	PRIJEM	\N	85	12975	UROK	\N	\N
3620319	2716	1997-11-30	PRIJEM	\N	82	13734	UROK	\N	\N
3620320	2716	1997-12-31	PRIJEM	\N	110	19188	UROK	\N	\N
3620321	2716	1998-01-31	PRIJEM	\N	84	14688	UROK	\N	\N
3620322	2716	1998-02-28	PRIJEM	\N	93	26858	UROK	\N	\N
3620323	2716	1998-03-31	PRIJEM	\N	134	16768	UROK	\N	\N
3620324	2716	1998-04-30	PRIJEM	\N	101	24945	UROK	\N	\N
3620325	2716	1998-05-31	PRIJEM	\N	128	22049	UROK	\N	\N
3620326	2716	1998-06-30	PRIJEM	\N	126	15160	UROK	\N	\N
3620327	2716	1998-07-31	PRIJEM	\N	88	16024	UROK	\N	\N
3620328	2716	1998-08-31	PRIJEM	\N	89	15989	UROK	\N	\N
3620329	2716	1998-09-30	PRIJEM	\N	86	17751	UROK	\N	\N
3620330	2716	1998-10-31	PRIJEM	\N	97	20725	UROK	\N	\N
3620331	2716	1998-11-30	PRIJEM	\N	103	18605	UROK	\N	\N
3620332	2716	1998-12-31	PRIJEM	\N	137	40086	UROK	\N	\N
3620333	2717	1996-12-31	PRIJEM	\N	45	15809	UROK	\N	\N
3620334	2717	1997-01-31	PRIJEM	\N	63	13183	UROK	\N	\N
3620335	2717	1997-02-28	PRIJEM	\N	58	14362	UROK	\N	\N
3620336	2717	1997-03-31	PRIJEM	\N	63	15547	UROK	\N	\N
3620337	2717	1997-04-30	PRIJEM	\N	68	16736	UROK	\N	\N
3620338	2717	1997-05-31	PRIJEM	\N	61	14198	UROK	\N	\N
3620339	2717	1997-06-30	PRIJEM	\N	62	15382	UROK	\N	\N
3620340	2717	1997-07-31	PRIJEM	\N	67	16571	UROK	\N	\N
3620341	2717	1997-08-31	PRIJEM	\N	71	16893	UROK	\N	\N
3620342	2717	1997-09-30	PRIJEM	\N	70	16644	UROK	\N	\N
3620343	2717	1997-10-31	PRIJEM	\N	73	17838	UROK	\N	\N
3620344	2717	1997-11-30	PRIJEM	\N	77	19037	UROK	\N	\N
3620345	2717	1997-12-31	PRIJEM	\N	82	19820	UROK	\N	\N
3620346	2717	1998-01-31	PRIJEM	\N	72	14654	UROK	\N	\N
3620347	2717	1998-02-28	PRIJEM	\N	64	15839	UROK	\N	\N
3620348	2717	1998-03-31	PRIJEM	\N	68	16338	UROK	\N	\N
3620349	2717	1998-04-30	PRIJEM	\N	71	17531	UROK	\N	\N
3620350	2717	1998-05-31	PRIJEM	\N	76	18728	UROK	\N	\N
3620351	2717	1998-06-30	PRIJEM	\N	80	17649	UROK	\N	\N
3620352	2717	1998-07-31	PRIJEM	\N	77	18847	UROK	\N	\N
3620353	2717	1998-08-31	PRIJEM	\N	82	20050	UROK	\N	\N
3620354	2717	1998-09-30	PRIJEM	\N	86	21158	UROK	\N	\N
3620355	2717	1998-10-31	PRIJEM	\N	90	21619	UROK	\N	\N
3620356	2717	1998-11-30	PRIJEM	\N	93	22833	UROK	\N	\N
3620357	2717	1998-12-31	PRIJEM	\N	92	21196	UROK	\N	\N
3620358	2719	1996-02-29	PRIJEM	\N	15	6470	UROK	\N	\N
3620359	2719	1996-03-31	PRIJEM	\N	27	12452	UROK	\N	\N
3620360	2719	1996-04-30	PRIJEM	\N	27	18434	UROK	\N	\N
3620361	2719	1996-05-31	PRIJEM	\N	27	24416	UROK	\N	\N
3620362	2719	1996-06-30	PRIJEM	\N	39	18709	UROK	\N	\N
3620363	2719	1996-07-31	PRIJEM	\N	84	21285	UROK	\N	\N
3620364	2719	1996-08-31	PRIJEM	\N	94	21070	UROK	\N	\N
3620365	2719	1996-09-30	PRIJEM	\N	80	20522	UROK	\N	\N
3620366	2719	1996-10-31	PRIJEM	\N	91	21503	UROK	\N	\N
3620367	2719	1996-11-30	PRIJEM	\N	97	24652	UROK	\N	\N
3620368	2719	1996-12-31	PRIJEM	\N	98	24141	UROK	\N	\N
3620369	2719	1997-01-31	PRIJEM	\N	81	16534	UROK	\N	\N
3620370	2719	1997-02-28	PRIJEM	\N	76	19661	UROK	\N	\N
3620371	2719	1997-03-31	PRIJEM	\N	89	22802	UROK	\N	\N
3620372	2719	1997-04-30	PRIJEM	\N	102	25955	UROK	\N	\N
3620373	2719	1997-05-31	PRIJEM	\N	111	28718	UROK	\N	\N
3620374	2719	1997-06-30	PRIJEM	\N	101	22469	UROK	\N	\N
3620375	2719	1997-07-31	PRIJEM	\N	90	23511	UROK	\N	\N
3620376	2719	1997-08-31	PRIJEM	\N	101	26464	UROK	\N	\N
3620377	2719	1997-09-30	PRIJEM	\N	111	28326	UROK	\N	\N
3620378	2719	1997-10-31	PRIJEM	\N	99	22376	UROK	\N	\N
3620379	2719	1997-11-30	PRIJEM	\N	98	23585	UROK	\N	\N
3620380	2719	1997-12-31	PRIJEM	\N	98	19504	UROK	\N	\N
3620381	2719	1998-01-31	PRIJEM	\N	69	14835	UROK	\N	\N
3620382	2719	1998-02-28	PRIJEM	\N	68	17955	UROK	\N	\N
3620383	2719	1998-03-31	PRIJEM	\N	81	18787	UROK	\N	\N
3620384	2719	1998-04-30	PRIJEM	\N	85	21924	UROK	\N	\N
3620385	2719	1998-05-31	PRIJEM	\N	90	22345	UROK	\N	\N
3620386	2719	1998-06-30	PRIJEM	\N	82	17379	UROK	\N	\N
3620387	2719	1998-07-31	PRIJEM	\N	79	20109	UROK	\N	\N
3620388	2719	1998-08-31	PRIJEM	\N	89	21149	UROK	\N	\N
3620389	2719	1998-09-30	PRIJEM	\N	76	16097	UROK	\N	\N
3620390	2719	1998-10-31	PRIJEM	\N	72	17721	UROK	\N	\N
3620391	2719	1998-11-30	PRIJEM	\N	75	14947	UROK	\N	\N
3620392	2719	1998-12-31	PRIJEM	\N	69	18067	UROK	\N	\N
3620393	2720	1997-06-30	PRIJEM	\N	3	17694	UROK	\N	\N
3620394	2720	1997-07-31	PRIJEM	\N	143	79916	UROK	\N	\N
3620395	2720	1997-08-31	PRIJEM	\N	376	94307	UROK	\N	\N
3620396	2720	1997-09-30	PRIJEM	\N	366	105315	UROK	\N	\N
3620397	2720	1997-10-31	PRIJEM	\N	278	123372	UROK	\N	\N
3620398	2720	1997-11-30	PRIJEM	\N	246	49715	UROK	\N	\N
3620399	2720	1997-12-31	PRIJEM	\N	194	33218	UROK	\N	\N
3620400	2720	1998-01-31	PRIJEM	\N	323	90030	UROK	\N	\N
3620401	2720	1998-02-28	PRIJEM	\N	275	50150	UROK	\N	\N
3620402	2720	1998-03-31	PRIJEM	\N	144	27739	UROK	\N	\N
3620403	2720	1998-04-30	PRIJEM	\N	212	75371	UROK	\N	\N
3620404	2720	1998-05-31	PRIJEM	\N	236	76235	UROK	\N	\N
3620405	2720	1998-06-30	PRIJEM	\N	220	58477	UROK	\N	\N
3620406	2720	1998-07-31	PRIJEM	\N	218	49780	UROK	\N	\N
3620407	2720	1998-08-31	PRIJEM	\N	203	66695	UROK	\N	\N
3620408	2720	1998-09-30	PRIJEM	\N	243	49674	UROK	\N	\N
3620409	2720	1998-10-31	PRIJEM	\N	141	25701	UROK	\N	\N
3620410	2720	1998-11-30	PRIJEM	\N	196	55736	UROK	\N	\N
3620411	2720	1998-12-31	PRIJEM	\N	219	75510	UROK	\N	\N
3620412	2721	1997-12-31	PRIJEM	\N	50	20874	UROK	\N	\N
3620413	2721	1998-01-31	PRIJEM	\N	104	27694	UROK	\N	\N
3620414	2721	1998-02-28	PRIJEM	\N	128	32838	UROK	\N	\N
3620415	2721	1998-03-31	PRIJEM	\N	138	33592	UROK	\N	\N
3620416	2721	1998-04-30	PRIJEM	\N	145	31237	UROK	\N	\N
3620417	2721	1998-05-31	PRIJEM	\N	136	29678	UROK	\N	\N
3620418	2721	1998-06-30	PRIJEM	\N	137	24429	UROK	\N	\N
3620419	2721	1998-07-31	PRIJEM	\N	107	22621	UROK	\N	\N
3620420	2721	1998-08-31	PRIJEM	\N	95	20821	UROK	\N	\N
3620421	2721	1998-09-30	PRIJEM	\N	90	20317	UROK	\N	\N
3620422	2721	1998-10-31	PRIJEM	\N	90	20511	UROK	\N	\N
3620423	2721	1998-11-30	PRIJEM	\N	87	19803	UROK	\N	\N
3620424	2721	1998-12-31	PRIJEM	\N	97	21594	UROK	\N	\N
3620425	2722	1997-11-30	PRIJEM	\N	33	23513	UROK	\N	\N
3620426	2722	1997-12-31	PRIJEM	\N	106	26468	UROK	\N	\N
3620427	2722	1998-01-31	PRIJEM	\N	119	28471	UROK	\N	\N
3620428	2722	1998-02-28	PRIJEM	\N	124	29929	UROK	\N	\N
3620429	2722	1998-03-31	PRIJEM	\N	125	26988	UROK	\N	\N
3620430	2722	1998-04-30	PRIJEM	\N	115	24238	UROK	\N	\N
3620431	2722	1998-05-31	PRIJEM	\N	97	19469	UROK	\N	\N
3620432	2722	1998-06-30	PRIJEM	\N	67	12821	UROK	\N	\N
3620433	2722	1998-07-31	PRIJEM	\N	64	17019	UROK	\N	\N
3620434	2722	1998-08-31	PRIJEM	\N	81	21235	UROK	\N	\N
3620435	2722	1998-09-30	PRIJEM	\N	88	19537	UROK	\N	\N
3620436	2722	1998-10-31	PRIJEM	\N	92	23764	UROK	\N	\N
3620437	2722	1998-11-30	PRIJEM	\N	109	28007	UROK	\N	\N
3620438	2722	1998-12-31	PRIJEM	\N	122	29304	UROK	\N	\N
3620439	2723	1995-03-31	PRIJEM	\N	22	9141	UROK	\N	\N
3620440	2723	1995-04-30	PRIJEM	\N	79	26539	UROK	\N	\N
3620441	2723	1995-05-31	PRIJEM	\N	127	33685	UROK	\N	\N
3620442	2723	1995-06-30	PRIJEM	\N	159	41622	UROK	\N	\N
3620443	2723	1995-07-31	PRIJEM	\N	174	42316	UROK	\N	\N
3620444	2723	1995-08-31	PRIJEM	\N	159	38633	UROK	\N	\N
3620445	2723	1995-09-30	PRIJEM	\N	164	40355	UROK	\N	\N
3620446	2723	1995-10-31	PRIJEM	\N	168	41182	UROK	\N	\N
3620447	2723	1995-11-30	PRIJEM	\N	142	31962	UROK	\N	\N
3620448	2723	1995-12-31	PRIJEM	\N	124	31024	UROK	\N	\N
3620449	2723	1996-01-31	PRIJEM	\N	95	16437	UROK	\N	\N
3620450	2723	1996-02-29	PRIJEM	\N	83	23378	UROK	\N	\N
3620451	2723	1996-03-31	PRIJEM	\N	106	28243	UROK	\N	\N
3620452	2723	1996-04-30	PRIJEM	\N	117	30418	UROK	\N	\N
3620453	2723	1996-05-31	PRIJEM	\N	119	30896	UROK	\N	\N
3620454	2723	1996-06-30	PRIJEM	\N	133	35646	UROK	\N	\N
3620455	2723	1996-07-31	PRIJEM	\N	135	33740	UROK	\N	\N
3620456	2723	1996-08-31	PRIJEM	\N	132	33230	UROK	\N	\N
3620457	2723	1996-09-30	PRIJEM	\N	130	32918	UROK	\N	\N
3620458	2723	1996-10-31	PRIJEM	\N	137	35213	UROK	\N	\N
3620459	2723	1996-11-30	PRIJEM	\N	123	26675	UROK	\N	\N
3620460	2723	1996-12-31	PRIJEM	\N	117	31909	UROK	\N	\N
3620461	2723	1997-01-31	PRIJEM	\N	92	23860	UROK	\N	\N
3620462	2723	1997-02-28	PRIJEM	\N	105	26723	UROK	\N	\N
3620463	2723	1997-03-31	PRIJEM	\N	118	31400	UROK	\N	\N
3620464	2723	1997-04-30	PRIJEM	\N	113	29091	UROK	\N	\N
3620465	2723	1997-05-31	PRIJEM	\N	112	29201	UROK	\N	\N
3620466	2723	1997-06-30	PRIJEM	\N	106	27285	UROK	\N	\N
3620467	2723	1997-07-31	PRIJEM	\N	120	31263	UROK	\N	\N
3620468	2723	1997-08-31	PRIJEM	\N	125	32687	UROK	\N	\N
3620469	2723	1997-09-30	PRIJEM	\N	139	29784	UROK	\N	\N
3620470	2723	1997-10-31	PRIJEM	\N	127	28469	UROK	\N	\N
3620471	2723	1997-11-30	PRIJEM	\N	124	30651	UROK	\N	\N
3620472	2723	1997-12-31	PRIJEM	\N	126	28155	UROK	\N	\N
3620473	2723	1998-01-31	PRIJEM	\N	82	18995	UROK	\N	\N
3620474	2723	1998-02-28	PRIJEM	\N	83	20837	UROK	\N	\N
3620475	2723	1998-03-31	PRIJEM	\N	88	24823	UROK	\N	\N
3620476	2723	1998-04-30	PRIJEM	\N	104	25745	UROK	\N	\N
3620477	2723	1998-05-31	PRIJEM	\N	109	25012	UROK	\N	\N
3620478	2723	1998-06-30	PRIJEM	\N	112	24542	UROK	\N	\N
3620479	2723	1998-07-31	PRIJEM	\N	86	18886	UROK	\N	\N
3620480	2723	1998-08-31	PRIJEM	\N	79	18124	UROK	\N	\N
3620481	2723	1998-09-30	PRIJEM	\N	72	14555	UROK	\N	\N
3620482	2723	1998-10-31	PRIJEM	\N	66	17979	UROK	\N	\N
3620483	2723	1998-11-30	PRIJEM	\N	84	24122	UROK	\N	\N
3620484	2723	1998-12-31	PRIJEM	\N	115	31155	UROK	\N	\N
3620485	2724	1996-09-30	PRIJEM	\N	70	21984	UROK	\N	\N
3620486	2724	1996-10-31	PRIJEM	\N	112	28510	UROK	\N	\N
3620487	2724	1996-11-30	PRIJEM	\N	129	31753	UROK	\N	\N
3620488	2724	1996-12-31	PRIJEM	\N	157	39281	UROK	\N	\N
3620489	2724	1997-01-31	PRIJEM	\N	130	24326	UROK	\N	\N
3620490	2724	1997-02-28	PRIJEM	\N	116	26542	UROK	\N	\N
3620491	2724	1997-03-31	PRIJEM	\N	119	25061	UROK	\N	\N
3620492	2724	1997-04-30	PRIJEM	\N	126	29787	UROK	\N	\N
3620493	2724	1997-05-31	PRIJEM	\N	137	32024	UROK	\N	\N
3620494	2724	1997-06-30	PRIJEM	\N	151	31133	UROK	\N	\N
3620495	2724	1997-07-31	PRIJEM	\N	142	29975	UROK	\N	\N
3620496	2724	1997-08-31	PRIJEM	\N	153	36228	UROK	\N	\N
3620497	2724	1997-09-30	PRIJEM	\N	164	35293	UROK	\N	\N
3620498	2724	1997-10-31	PRIJEM	\N	160	37453	UROK	\N	\N
3620499	2724	1997-11-30	PRIJEM	\N	186	44139	UROK	\N	\N
3620500	2724	1997-12-31	PRIJEM	\N	223	50620	UROK	\N	\N
3620501	2724	1998-01-31	PRIJEM	\N	201	45921	UROK	\N	\N
3620502	2724	1998-02-28	PRIJEM	\N	192	50014	UROK	\N	\N
3620503	2724	1998-03-31	PRIJEM	\N	229	54444	UROK	\N	\N
3620504	2724	1998-04-30	PRIJEM	\N	233	54677	UROK	\N	\N
3620505	2724	1998-05-31	PRIJEM	\N	242	57619	UROK	\N	\N
3620506	2724	1998-06-30	PRIJEM	\N	205	46882	UROK	\N	\N
3620507	2724	1998-07-31	PRIJEM	\N	218	53501	UROK	\N	\N
3620508	2724	1998-08-31	PRIJEM	\N	242	56443	UROK	\N	\N
3620509	2724	1998-09-30	PRIJEM	\N	255	56799	UROK	\N	\N
3620510	2724	1998-10-31	PRIJEM	\N	262	53861	UROK	\N	\N
3620511	2724	1998-11-30	PRIJEM	\N	249	55810	UROK	\N	\N
3620512	2724	1998-12-31	PRIJEM	\N	270	60438	UROK	\N	\N
3620513	2725	1997-04-30	PRIJEM	\N	59	21409	UROK	\N	\N
3620514	2725	1997-05-31	PRIJEM	\N	154	44513	UROK	\N	\N
3620515	2725	1997-06-30	PRIJEM	\N	241	64729	UROK	\N	\N
3620516	2725	1997-07-31	PRIJEM	\N	259	62238	UROK	\N	\N
3620517	2725	1997-08-31	PRIJEM	\N	219	39744	UROK	\N	\N
3620518	2725	1997-09-30	PRIJEM	\N	211	41266	UROK	\N	\N
3620519	2725	1997-10-31	PRIJEM	\N	218	43895	UROK	\N	\N
3620520	2725	1997-11-30	PRIJEM	\N	220	46726	UROK	\N	\N
3620521	2725	1997-12-31	PRIJEM	\N	259	52822	UROK	\N	\N
3620522	2725	1998-01-31	PRIJEM	\N	212	34585	UROK	\N	\N
3620523	2725	1998-02-28	PRIJEM	\N	177	35294	UROK	\N	\N
3620524	2725	1998-03-31	PRIJEM	\N	183	42288	UROK	\N	\N
3620525	2725	1998-04-30	PRIJEM	\N	206	43346	UROK	\N	\N
3620526	2725	1998-05-31	PRIJEM	\N	217	46474	UROK	\N	\N
3620527	2725	1998-06-30	PRIJEM	\N	170	30760	UROK	\N	\N
3620528	2725	1998-07-31	PRIJEM	\N	171	41743	UROK	\N	\N
3620529	2725	1998-08-31	PRIJEM	\N	213	44907	UROK	\N	\N
3620530	2725	1998-09-30	PRIJEM	\N	219	46337	UROK	\N	\N
3620531	2725	1998-10-31	PRIJEM	\N	222	49870	UROK	\N	\N
3620532	2725	1998-11-30	PRIJEM	\N	239	55586	UROK	\N	\N
3620533	2725	1998-12-31	PRIJEM	\N	297	77686	UROK	\N	\N
3620534	2726	1995-05-31	PRIJEM	\N	41	25463	UROK	\N	\N
3620535	2726	1995-06-30	PRIJEM	\N	136	43482	UROK	\N	\N
3620536	2726	1995-07-31	PRIJEM	\N	188	47792	UROK	\N	\N
3620537	2726	1995-08-31	PRIJEM	\N	196	46410	UROK	\N	\N
3620538	2726	1995-09-30	PRIJEM	\N	201	41835	UROK	\N	\N
3620539	2726	1995-10-31	PRIJEM	\N	189	41235	UROK	\N	\N
3620540	2726	1995-11-30	PRIJEM	\N	195	43240	UROK	\N	\N
3620541	2726	1995-12-31	PRIJEM	\N	208	42219	UROK	\N	\N
3620542	2726	1996-01-31	PRIJEM	\N	165	37774	UROK	\N	\N
3620543	2726	1996-02-29	PRIJEM	\N	175	40059	UROK	\N	\N
3620544	2726	1996-03-31	PRIJEM	\N	172	35522	UROK	\N	\N
3620545	2726	1996-04-30	PRIJEM	\N	169	39401	UROK	\N	\N
3620546	2726	1996-05-31	PRIJEM	\N	167	35419	UROK	\N	\N
3620547	2726	1996-06-30	PRIJEM	\N	176	40607	UROK	\N	\N
3620548	2726	1996-07-31	PRIJEM	\N	188	44806	UROK	\N	\N
3620549	2726	1996-08-31	PRIJEM	\N	190	44405	UROK	\N	\N
3620550	2726	1996-09-30	PRIJEM	\N	193	46509	UROK	\N	\N
3620551	2726	1996-10-31	PRIJEM	\N	196	46015	UROK	\N	\N
3620552	2726	1996-11-30	PRIJEM	\N	201	40747	UROK	\N	\N
3620553	2726	1996-12-31	PRIJEM	\N	194	41812	UROK	\N	\N
3620554	2726	1997-01-31	PRIJEM	\N	212	42614	UROK	\N	\N
3620555	2726	1997-02-28	PRIJEM	\N	214	55339	UROK	\N	\N
3620556	2726	1997-03-31	PRIJEM	\N	224	46093	UROK	\N	\N
3620557	2726	1997-04-30	PRIJEM	\N	227	53530	UROK	\N	\N
3620558	2726	1997-05-31	PRIJEM	\N	239	58900	UROK	\N	\N
3620559	2726	1997-06-30	PRIJEM	\N	296	76967	UROK	\N	\N
3620560	2726	1997-07-31	PRIJEM	\N	310	73748	UROK	\N	\N
3620561	2726	1997-08-31	PRIJEM	\N	291	68849	UROK	\N	\N
3620562	2726	1997-09-30	PRIJEM	\N	286	69145	UROK	\N	\N
3620563	2726	1997-10-31	PRIJEM	\N	295	72251	UROK	\N	\N
3620564	2726	1997-11-30	PRIJEM	\N	309	70670	UROK	\N	\N
3620565	2726	1997-12-31	PRIJEM	\N	337	82039	UROK	\N	\N
3620566	2726	1998-01-31	PRIJEM	\N	309	67798	UROK	\N	\N
3620567	2726	1998-02-28	PRIJEM	\N	297	73705	UROK	\N	\N
3620568	2726	1998-03-31	PRIJEM	\N	333	78449	UROK	\N	\N
3620569	2726	1998-04-30	PRIJEM	\N	342	84702	UROK	\N	\N
3620570	2726	1998-05-31	PRIJEM	\N	350	84762	UROK	\N	\N
3620571	2726	1998-06-30	PRIJEM	\N	364	86297	UROK	\N	\N
3620572	2726	1998-07-31	PRIJEM	\N	344	83452	UROK	\N	\N
3620573	2726	1998-08-31	PRIJEM	\N	371	92533	UROK	\N	\N
3620574	2726	1998-09-30	PRIJEM	\N	400	93643	UROK	\N	\N
3620575	2726	1998-10-31	PRIJEM	\N	382	93036	UROK	\N	\N
3620576	2726	1998-11-30	PRIJEM	\N	363	88610	UROK	\N	\N
3620577	2726	1998-12-31	PRIJEM	\N	351	77232	UROK	\N	\N
3620578	2728	1997-07-31	PRIJEM	\N	1	27532	UROK	\N	\N
3620579	2728	1997-08-31	PRIJEM	\N	194	78181	UROK	\N	\N
3620580	2728	1997-09-30	PRIJEM	\N	330	94695	UROK	\N	\N
3620581	2728	1997-10-31	PRIJEM	\N	394	61288	UROK	\N	\N
3620582	2728	1997-11-30	PRIJEM	\N	386	65661	UROK	\N	\N
3620583	2728	1997-12-31	PRIJEM	\N	240	65966	UROK	\N	\N
3620584	2728	1998-01-31	PRIJEM	\N	202	34495	UROK	\N	\N
3620585	2728	1998-02-28	PRIJEM	\N	157	68676	UROK	\N	\N
3620586	2728	1998-03-31	PRIJEM	\N	199	41323	UROK	\N	\N
3620587	2728	1998-04-30	PRIJEM	\N	215	50949	UROK	\N	\N
3620588	2728	1998-05-31	PRIJEM	\N	169	35866	UROK	\N	\N
3620589	2728	1998-06-30	PRIJEM	\N	137	45242	UROK	\N	\N
3620590	2728	1998-07-31	PRIJEM	\N	158	39741	UROK	\N	\N
3620591	2728	1998-08-31	PRIJEM	\N	133	39414	UROK	\N	\N
3620592	2728	1998-09-30	PRIJEM	\N	142	36834	UROK	\N	\N
3620593	2728	1998-10-31	PRIJEM	\N	204	68988	UROK	\N	\N
3620594	2728	1998-11-30	PRIJEM	\N	348	71036	UROK	\N	\N
3620595	2728	1998-12-31	PRIJEM	\N	243	52920	UROK	\N	\N
3620596	2729	1995-02-28	PRIJEM	\N	38	18238	UROK	\N	\N
3620597	2729	1995-03-31	PRIJEM	\N	97	28935	UROK	\N	\N
3620598	2729	1995-04-30	PRIJEM	\N	133	35168	UROK	\N	\N
3620599	2729	1995-05-31	PRIJEM	\N	153	38221	UROK	\N	\N
3620600	2729	1995-06-30	PRIJEM	\N	165	40935	UROK	\N	\N
3620601	2729	1995-07-31	PRIJEM	\N	153	32940	UROK	\N	\N
3620602	2729	1995-08-31	PRIJEM	\N	128	29421	UROK	\N	\N
3620603	2729	1995-09-30	PRIJEM	\N	134	34707	UROK	\N	\N
3620604	2729	1995-10-31	PRIJEM	\N	142	33742	UROK	\N	\N
3620605	2729	1995-11-30	PRIJEM	\N	152	39546	UROK	\N	\N
3620606	2729	1995-12-31	PRIJEM	\N	149	36137	UROK	\N	\N
3620607	2729	1996-01-31	PRIJEM	\N	131	25501	UROK	\N	\N
3620608	2729	1996-02-29	PRIJEM	\N	121	33575	UROK	\N	\N
3620609	2729	1996-03-31	PRIJEM	\N	152	39879	UROK	\N	\N
3620610	2729	1996-04-30	PRIJEM	\N	170	44002	UROK	\N	\N
3620611	2729	1996-05-31	PRIJEM	\N	183	46637	UROK	\N	\N
3620612	2729	1996-06-30	PRIJEM	\N	165	21925	UROK	\N	\N
3620613	2729	1996-07-31	PRIJEM	\N	132	36209	UROK	\N	\N
3620614	2729	1996-08-31	PRIJEM	\N	147	37129	UROK	\N	\N
3620615	2729	1996-09-30	PRIJEM	\N	153	39834	UROK	\N	\N
3620616	2729	1996-10-31	PRIJEM	\N	150	30276	UROK	\N	\N
3620617	2729	1996-11-30	PRIJEM	\N	152	42081	UROK	\N	\N
3620618	2729	1996-12-31	PRIJEM	\N	192	51775	UROK	\N	\N
3620619	2729	1997-01-31	PRIJEM	\N	181	41209	UROK	\N	\N
3620620	2729	1997-02-28	PRIJEM	\N	158	41300	UROK	\N	\N
3620621	2729	1997-03-31	PRIJEM	\N	178	46330	UROK	\N	\N
3620622	2729	1997-04-30	PRIJEM	\N	185	47747	UROK	\N	\N
3620623	2729	1997-05-31	PRIJEM	\N	201	51600	UROK	\N	\N
3620624	2729	1997-06-30	PRIJEM	\N	225	59928	UROK	\N	\N
3620625	2729	1997-07-31	PRIJEM	\N	235	58415	UROK	\N	\N
3620626	2729	1997-08-31	PRIJEM	\N	236	59303	UROK	\N	\N
3620627	2729	1997-09-30	PRIJEM	\N	240	60595	UROK	\N	\N
3620628	2729	1997-10-31	PRIJEM	\N	254	64501	UROK	\N	\N
3620629	2729	1997-11-30	PRIJEM	\N	244	60518	UROK	\N	\N
3620630	2729	1997-12-31	PRIJEM	\N	277	71038	UROK	\N	\N
3620631	2729	1998-01-31	PRIJEM	\N	275	67385	UROK	\N	\N
3620632	2729	1998-02-28	PRIJEM	\N	289	72027	UROK	\N	\N
3620633	2729	1998-03-31	PRIJEM	\N	298	75277	UROK	\N	\N
3620634	2729	1998-04-30	PRIJEM	\N	297	73926	UROK	\N	\N
3620635	2729	1998-05-31	PRIJEM	\N	297	70235	UROK	\N	\N
3620636	2729	1998-06-30	PRIJEM	\N	312	71110	UROK	\N	\N
3620637	2729	1998-07-31	PRIJEM	\N	301	75244	UROK	\N	\N
3620638	2729	1998-08-31	PRIJEM	\N	319	74815	UROK	\N	\N
3620639	2729	1998-09-30	PRIJEM	\N	317	75585	UROK	\N	\N
3620640	2729	1998-10-31	PRIJEM	\N	319	73956	UROK	\N	\N
3620641	2729	1998-11-30	PRIJEM	\N	313	74721	UROK	\N	\N
3620642	2729	1998-12-31	PRIJEM	\N	331	81795	UROK	\N	\N
3620643	2730	1996-05-31	PRIJEM	\N	15	4442	UROK	\N	\N
3620644	2730	1996-06-30	PRIJEM	\N	18	7887	UROK	\N	\N
3620645	2730	1996-07-31	PRIJEM	\N	18	11333	UROK	\N	\N
3620646	2730	1996-08-31	PRIJEM	\N	18	14778	UROK	\N	\N
3620647	2730	1996-09-30	PRIJEM	\N	62	15203	UROK	\N	\N
3620648	2730	1996-10-31	PRIJEM	\N	67	16399	UROK	\N	\N
3620649	2730	1996-11-30	PRIJEM	\N	72	17599	UROK	\N	\N
3620650	2730	1996-12-31	PRIJEM	\N	80	17667	UROK	\N	\N
3620651	2730	1997-01-31	PRIJEM	\N	70	14605	UROK	\N	\N
3620652	2730	1997-02-28	PRIJEM	\N	72	15805	UROK	\N	\N
3620653	2730	1997-03-31	PRIJEM	\N	77	17011	UROK	\N	\N
3620654	2730	1997-04-30	PRIJEM	\N	70	16829	UROK	\N	\N
3620655	2730	1997-05-31	PRIJEM	\N	81	18039	UROK	\N	\N
3620656	2730	1997-06-30	PRIJEM	\N	79	19097	UROK	\N	\N
3620657	2730	1997-07-31	PRIJEM	\N	83	20308	UROK	\N	\N
3620658	2730	1997-08-31	PRIJEM	\N	88	20175	UROK	\N	\N
3620659	2730	1997-09-30	PRIJEM	\N	91	20105	UROK	\N	\N
3620660	2730	1997-10-31	PRIJEM	\N	87	21320	UROK	\N	\N
3620661	2730	1997-11-30	PRIJEM	\N	90	21489	UROK	\N	\N
3620662	2730	1997-12-31	PRIJEM	\N	92	21749	UROK	\N	\N
3620663	2730	1998-01-31	PRIJEM	\N	79	17137	UROK	\N	\N
3620664	2730	1998-02-28	PRIJEM	\N	71	17077	UROK	\N	\N
3620665	2730	1998-03-31	PRIJEM	\N	79	17624	UROK	\N	\N
3620666	2730	1998-04-30	PRIJEM	\N	82	18505	UROK	\N	\N
3620667	2730	1998-05-31	PRIJEM	\N	81	19714	UROK	\N	\N
3620668	2730	1998-06-30	PRIJEM	\N	80	18852	UROK	\N	\N
3620669	2730	1998-07-31	PRIJEM	\N	82	20063	UROK	\N	\N
3620670	2730	1998-08-31	PRIJEM	\N	87	21278	UROK	\N	\N
3620671	2730	1998-09-30	PRIJEM	\N	92	22498	UROK	\N	\N
3620672	2730	1998-10-31	PRIJEM	\N	104	23731	UROK	\N	\N
3620673	2730	1998-11-30	PRIJEM	\N	101	24601	UROK	\N	\N
3620674	2730	1998-12-31	PRIJEM	\N	104	23943	UROK	\N	\N
3620675	2731	1995-10-31	PRIJEM	\N	19	23071	UROK	\N	\N
3620676	2731	1995-11-30	PRIJEM	\N	105	33627	UROK	\N	\N
3620677	2731	1995-12-31	PRIJEM	\N	150	44655	UROK	\N	\N
3620678	2731	1996-01-31	PRIJEM	\N	189	48097	UROK	\N	\N
3620679	2731	1996-02-29	PRIJEM	\N	223	45527	UROK	\N	\N
3620680	2731	1996-03-31	PRIJEM	\N	211	43332	UROK	\N	\N
3620681	2731	1996-04-30	PRIJEM	\N	216	46741	UROK	\N	\N
3620682	2731	1996-05-31	PRIJEM	\N	224	45658	UROK	\N	\N
3620683	2731	1996-06-30	PRIJEM	\N	230	47808	UROK	\N	\N
3620684	2731	1996-07-31	PRIJEM	\N	224	50325	UROK	\N	\N
3620685	2731	1996-08-31	PRIJEM	\N	232	49150	UROK	\N	\N
3620686	2731	1996-09-30	PRIJEM	\N	226	48670	UROK	\N	\N
3620687	2731	1996-10-31	PRIJEM	\N	210	43972	UROK	\N	\N
3620688	2731	1996-11-30	PRIJEM	\N	198	41864	UROK	\N	\N
3620689	2731	1996-12-31	PRIJEM	\N	208	48591	UROK	\N	\N
3620690	2731	1997-01-31	PRIJEM	\N	183	34668	UROK	\N	\N
3620691	2731	1997-02-28	PRIJEM	\N	162	38823	UROK	\N	\N
3620692	2731	1997-03-31	PRIJEM	\N	188	43905	UROK	\N	\N
3620693	2731	1997-04-30	PRIJEM	\N	180	36079	UROK	\N	\N
3620694	2731	1997-05-31	PRIJEM	\N	168	37540	UROK	\N	\N
3620695	2731	1997-06-30	PRIJEM	\N	191	45850	UROK	\N	\N
3620696	2731	1997-07-31	PRIJEM	\N	200	44043	UROK	\N	\N
3620697	2731	1997-08-31	PRIJEM	\N	192	44928	UROK	\N	\N
3620698	2731	1997-09-30	PRIJEM	\N	184	41206	UROK	\N	\N
3620699	2731	1997-10-31	PRIJEM	\N	183	43982	UROK	\N	\N
3620700	2731	1997-11-30	PRIJEM	\N	182	42757	UROK	\N	\N
3620701	2731	1997-12-31	PRIJEM	\N	186	44063	UROK	\N	\N
3620702	2731	1998-01-31	PRIJEM	\N	163	34720	UROK	\N	\N
3620703	2731	1998-02-28	PRIJEM	\N	176	43990	UROK	\N	\N
3620704	2731	1998-03-31	PRIJEM	\N	170	38353	UROK	\N	\N
3620705	2731	1998-04-30	PRIJEM	\N	212	37759	UROK	\N	\N
3620706	2731	1998-05-31	PRIJEM	\N	211	32963	UROK	\N	\N
3620707	2731	1998-06-30	PRIJEM	\N	175	44657	UROK	\N	\N
3620708	2731	1998-07-31	PRIJEM	\N	193	48344	UROK	\N	\N
3620709	2731	1998-08-31	PRIJEM	\N	205	50442	UROK	\N	\N
3620710	2731	1998-09-30	PRIJEM	\N	228	53563	UROK	\N	\N
3620711	2731	1998-10-31	PRIJEM	\N	231	52888	UROK	\N	\N
3620712	2731	1998-11-30	PRIJEM	\N	239	57020	UROK	\N	\N
3620713	2731	1998-12-31	PRIJEM	\N	276	68215	UROK	\N	\N
3620714	2732	1993-08-31	PRIJEM	\N	52	20065	UROK	\N	\N
3620715	2732	1993-09-30	PRIJEM	\N	264	61192	UROK	\N	\N
3620716	2732	1993-10-31	PRIJEM	\N	293	20063	UROK	\N	\N
3620717	2732	1993-11-30	PRIJEM	\N	219	50718	UROK	\N	\N
3620718	2732	1993-12-31	PRIJEM	\N	208	65027	UROK	\N	\N
3620719	2732	1994-01-31	PRIJEM	\N	215	61909	UROK	\N	\N
3620720	2732	1994-02-28	PRIJEM	\N	229	34722	UROK	\N	\N
3620721	2732	1994-03-31	PRIJEM	\N	160	34559	UROK	\N	\N
3620722	2732	1994-04-30	PRIJEM	\N	139	25893	UROK	\N	\N
3620723	2732	1994-05-31	PRIJEM	\N	154	49493	UROK	\N	\N
3620724	2732	1994-06-30	PRIJEM	\N	251	38077	UROK	\N	\N
3620725	2732	1994-07-31	PRIJEM	\N	243	33502	UROK	\N	\N
3620726	2732	1994-08-31	PRIJEM	\N	139	28626	UROK	\N	\N
3620727	2732	1994-09-30	PRIJEM	\N	131	36524	UROK	\N	\N
3620728	2732	1994-10-31	PRIJEM	\N	134	25744	UROK	\N	\N
3620729	2732	1994-11-30	PRIJEM	\N	107	24036	UROK	\N	\N
3620730	2732	1994-12-31	PRIJEM	\N	100	24221	UROK	\N	\N
3620731	2732	1995-01-31	PRIJEM	\N	299	36238	UROK	\N	\N
3620732	2732	1995-02-28	PRIJEM	\N	149	35833	UROK	\N	\N
3620733	2732	1995-03-31	PRIJEM	\N	184	47900	UROK	\N	\N
3620734	2732	1995-04-30	PRIJEM	\N	336	62801	UROK	\N	\N
3620735	2732	1995-05-31	PRIJEM	\N	262	53821	UROK	\N	\N
3620736	2732	1995-06-30	PRIJEM	\N	275	63836	UROK	\N	\N
3620737	2732	1995-07-31	PRIJEM	\N	227	34248	UROK	\N	\N
3620738	2732	1995-08-31	PRIJEM	\N	167	48987	UROK	\N	\N
3620739	2732	1995-09-30	PRIJEM	\N	260	75700	UROK	\N	\N
3620740	2732	1995-10-31	PRIJEM	\N	311	50897	UROK	\N	\N
3620741	2732	1995-11-30	PRIJEM	\N	201	34466	UROK	\N	\N
3620742	2732	1995-12-31	PRIJEM	\N	162	75240	UROK	\N	\N
3620743	2732	1996-01-31	PRIJEM	\N	195	26621	UROK	\N	\N
3620744	2732	1996-02-29	PRIJEM	\N	274	86146	UROK	\N	\N
3620745	2732	1996-03-31	PRIJEM	\N	300	65611	UROK	\N	\N
3620746	2732	1996-04-30	PRIJEM	\N	248	41344	UROK	\N	\N
3620747	2732	1996-05-31	PRIJEM	\N	189	48390	UROK	\N	\N
3620748	2732	1996-06-30	PRIJEM	\N	140	27015	UROK	\N	\N
3620749	2732	1996-07-31	PRIJEM	\N	117	28447	UROK	\N	\N
3620750	2732	1996-08-31	PRIJEM	\N	115	22847	UROK	\N	\N
3620751	2732	1996-09-30	PRIJEM	\N	280	99572	UROK	\N	\N
3620752	2732	1996-10-31	PRIJEM	\N	374	42827	UROK	\N	\N
3620753	2732	1996-11-30	PRIJEM	\N	250	78759	UROK	\N	\N
3620754	2732	1996-12-31	PRIJEM	\N	312	105901	UROK	\N	\N
3620755	2732	1997-01-31	PRIJEM	\N	304	61835	UROK	\N	\N
3620756	2732	1997-02-28	PRIJEM	\N	181	40601	UROK	\N	\N
3620757	2732	1997-03-31	PRIJEM	\N	264	93397	UROK	\N	\N
3620758	2732	1997-04-30	PRIJEM	\N	280	36192	UROK	\N	\N
3620759	2732	1997-05-31	PRIJEM	\N	142	27720	UROK	\N	\N
3620760	2732	1997-06-30	PRIJEM	\N	233	91394	UROK	\N	\N
3620761	2732	1997-07-31	PRIJEM	\N	362	69614	UROK	\N	\N
3620762	2732	1997-08-31	PRIJEM	\N	274	100856	UROK	\N	\N
3620763	2732	1997-09-30	PRIJEM	\N	411	68453	UROK	\N	\N
3620764	2732	1997-10-31	PRIJEM	\N	431	54854	UROK	\N	\N
3620765	2732	1997-11-30	PRIJEM	\N	301	94346	UROK	\N	\N
3620766	2732	1997-12-31	PRIJEM	\N	215	54296	UROK	\N	\N
3620767	2732	1998-01-31	PRIJEM	\N	275	50118	UROK	\N	\N
3620768	2732	1998-02-28	PRIJEM	\N	202	38606	UROK	\N	\N
3620769	2732	1998-03-31	PRIJEM	\N	245	78276	UROK	\N	\N
3620770	2732	1998-04-30	PRIJEM	\N	279	54410	UROK	\N	\N
3620771	2732	1998-05-31	PRIJEM	\N	225	65295	UROK	\N	\N
3620772	2732	1998-06-30	PRIJEM	\N	264	51844	UROK	\N	\N
3620773	2732	1998-07-31	PRIJEM	\N	132	49195	UROK	\N	\N
3620774	2732	1998-08-31	PRIJEM	\N	173	39690	UROK	\N	\N
3620775	2732	1998-09-30	PRIJEM	\N	150	30597	UROK	\N	\N
3620776	2732	1998-10-31	PRIJEM	\N	307	57589	UROK	\N	\N
3620777	2732	1998-11-30	PRIJEM	\N	230	37904	UROK	\N	\N
3620778	2733	1994-05-31	PRIJEM	\N	42	17402	UROK	\N	\N
3620779	2733	1994-06-30	PRIJEM	\N	77	18627	UROK	\N	\N
3620780	2733	1994-07-31	PRIJEM	\N	81	19377	UROK	\N	\N
3620781	2733	1994-08-31	PRIJEM	\N	85	20410	UROK	\N	\N
3620782	2733	1994-09-30	PRIJEM	\N	89	20237	UROK	\N	\N
3620783	2733	1994-10-31	PRIJEM	\N	89	21474	UROK	\N	\N
3620784	2733	1994-11-30	PRIJEM	\N	91	20973	UROK	\N	\N
3620785	2733	1994-12-31	PRIJEM	\N	91	22063	UROK	\N	\N
3620786	2733	1995-01-31	PRIJEM	\N	81	18282	UROK	\N	\N
3620787	2733	1995-02-28	PRIJEM	\N	80	18731	UROK	\N	\N
3620788	2733	1995-03-31	PRIJEM	\N	82	19961	UROK	\N	\N
3620789	2733	1995-04-30	PRIJEM	\N	87	21197	UROK	\N	\N
3620790	2733	1995-05-31	PRIJEM	\N	93	22438	UROK	\N	\N
3620791	2733	1995-06-30	PRIJEM	\N	94	21791	UROK	\N	\N
3620792	2733	1995-07-31	PRIJEM	\N	95	23034	UROK	\N	\N
3620793	2733	1995-08-31	PRIJEM	\N	99	24042	UROK	\N	\N
3620794	2733	1995-09-30	PRIJEM	\N	100	24270	UROK	\N	\N
3620795	2733	1995-10-31	PRIJEM	\N	105	25524	UROK	\N	\N
3620796	2733	1995-11-30	PRIJEM	\N	111	26783	UROK	\N	\N
3620797	2733	1995-12-31	PRIJEM	\N	111	26032	UROK	\N	\N
3620798	2733	1996-01-31	PRIJEM	\N	108	25188	UROK	\N	\N
3620799	2733	1996-02-29	PRIJEM	\N	109	26445	UROK	\N	\N
3620800	2733	1996-03-31	PRIJEM	\N	113	26477	UROK	\N	\N
3620801	2733	1996-04-30	PRIJEM	\N	113	27168	UROK	\N	\N
3620802	2733	1996-05-31	PRIJEM	\N	117	28434	UROK	\N	\N
3620803	2733	1996-06-30	PRIJEM	\N	121	28563	UROK	\N	\N
3620804	2733	1996-07-31	PRIJEM	\N	123	29834	UROK	\N	\N
3620805	2733	1996-08-31	PRIJEM	\N	127	30629	UROK	\N	\N
3620806	2733	1996-09-30	PRIJEM	\N	130	31547	UROK	\N	\N
3620807	2733	1996-10-31	PRIJEM	\N	135	32831	UROK	\N	\N
3620808	2733	1996-11-30	PRIJEM	\N	138	32767	UROK	\N	\N
3620809	2733	1996-12-31	PRIJEM	\N	135	32100	UROK	\N	\N
3620810	2733	1997-01-31	PRIJEM	\N	131	31430	UROK	\N	\N
3620811	2733	1997-02-28	PRIJEM	\N	134	32712	UROK	\N	\N
3620812	2733	1997-03-31	PRIJEM	\N	139	33790	UROK	\N	\N
3620813	2733	1997-04-30	PRIJEM	\N	142	34419	UROK	\N	\N
3620814	2733	1997-05-31	PRIJEM	\N	147	34874	UROK	\N	\N
3620815	2733	1997-06-30	PRIJEM	\N	133	31715	UROK	\N	\N
3620816	2733	1997-07-31	PRIJEM	\N	131	31795	UROK	\N	\N
3620817	2733	1997-08-31	PRIJEM	\N	136	33079	UROK	\N	\N
3620818	2733	1997-09-30	PRIJEM	\N	140	33647	UROK	\N	\N
3620819	2733	1997-10-31	PRIJEM	\N	143	34939	UROK	\N	\N
3620820	2733	1997-11-30	PRIJEM	\N	144	35091	UROK	\N	\N
3620821	2733	1997-12-31	PRIJEM	\N	146	35545	UROK	\N	\N
3620822	2733	1998-01-31	PRIJEM	\N	145	33119	UROK	\N	\N
3620823	2733	1998-02-28	PRIJEM	\N	140	34228	UROK	\N	\N
3620824	2733	1998-03-31	PRIJEM	\N	145	35521	UROK	\N	\N
3620825	2733	1998-04-30	PRIJEM	\N	151	36820	UROK	\N	\N
3620826	2733	1998-05-31	PRIJEM	\N	154	37012	UROK	\N	\N
3620827	2733	1998-06-30	PRIJEM	\N	147	28858	UROK	\N	\N
3620828	2733	1998-07-31	PRIJEM	\N	121	29167	UROK	\N	\N
3620829	2733	1998-08-31	PRIJEM	\N	124	30439	UROK	\N	\N
3620830	2733	1998-09-30	PRIJEM	\N	129	31717	UROK	\N	\N
3620831	2733	1998-10-31	PRIJEM	\N	134	32999	UROK	\N	\N
3620832	2733	1998-11-30	PRIJEM	\N	139	34287	UROK	\N	\N
3620833	2733	1998-12-31	PRIJEM	\N	143	34828	UROK	\N	\N
3620834	2734	1997-01-31	PRIJEM	\N	46	19975	UROK	\N	\N
3620835	2734	1997-02-28	PRIJEM	\N	100	27804	UROK	\N	\N
3620836	2734	1997-03-31	PRIJEM	\N	118	29051	UROK	\N	\N
3620837	2734	1997-04-30	PRIJEM	\N	124	30704	UROK	\N	\N
3620838	2734	1997-05-31	PRIJEM	\N	125	28855	UROK	\N	\N
3620839	2734	1997-06-30	PRIJEM	\N	113	21312	UROK	\N	\N
3620840	2734	1997-07-31	PRIJEM	\N	91	20632	UROK	\N	\N
3620841	2734	1997-08-31	PRIJEM	\N	93	21853	UROK	\N	\N
3620842	2734	1997-09-30	PRIJEM	\N	78	15300	UROK	\N	\N
3620843	2734	1997-10-31	PRIJEM	\N	84	21712	UROK	\N	\N
3620844	2734	1997-11-30	PRIJEM	\N	117	26517	UROK	\N	\N
3620845	2734	1997-12-31	PRIJEM	\N	124	24664	UROK	\N	\N
3620846	2734	1998-01-31	PRIJEM	\N	78	13431	UROK	\N	\N
3620847	2734	1998-02-28	PRIJEM	\N	77	16437	UROK	\N	\N
3620848	2734	1998-03-31	PRIJEM	\N	86	19011	UROK	\N	\N
3620849	2734	1998-04-30	PRIJEM	\N	91	22230	UROK	\N	\N
3620850	2734	1998-05-31	PRIJEM	\N	103	22062	UROK	\N	\N
3620851	2734	1998-06-30	PRIJEM	\N	108	25513	UROK	\N	\N
3620852	2734	1998-07-31	PRIJEM	\N	110	26352	UROK	\N	\N
3620853	2734	1998-08-31	PRIJEM	\N	130	29410	UROK	\N	\N
3620854	2734	1998-09-30	PRIJEM	\N	140	31778	UROK	\N	\N
3620855	2734	1998-10-31	PRIJEM	\N	140	33126	UROK	\N	\N
3620856	2734	1998-11-30	PRIJEM	\N	169	42023	UROK	\N	\N
3620857	2734	1998-12-31	PRIJEM	\N	199	47965	UROK	\N	\N
3620919	2736	1993-07-31	PRIJEM	\N	33	9941	UROK	\N	\N
3620920	2736	1993-08-31	PRIJEM	\N	91	24841	UROK	\N	\N
3620921	2736	1993-09-30	PRIJEM	\N	111	36060	UROK	\N	\N
3620922	2736	1993-10-31	PRIJEM	\N	133	32001	UROK	\N	\N
3620923	2736	1993-11-30	PRIJEM	\N	145	29649	UROK	\N	\N
3620924	2736	1993-12-31	PRIJEM	\N	143	32366	UROK	\N	\N
3620925	2736	1994-01-31	PRIJEM	\N	125	21980	UROK	\N	\N
3620926	2736	1994-02-28	PRIJEM	\N	97	22627	UROK	\N	\N
3620927	2736	1994-03-31	PRIJEM	\N	108	27924	UROK	\N	\N
3620928	2736	1994-04-30	PRIJEM	\N	114	25587	UROK	\N	\N
3620929	2736	1994-05-31	PRIJEM	\N	119	28696	UROK	\N	\N
3620930	2736	1994-06-30	PRIJEM	\N	143	32432	UROK	\N	\N
3620931	2736	1994-07-31	PRIJEM	\N	143	29764	UROK	\N	\N
3620932	2736	1994-08-31	PRIJEM	\N	133	29187	UROK	\N	\N
3620933	2736	1994-09-30	PRIJEM	\N	132	30308	UROK	\N	\N
3620934	2736	1994-10-31	PRIJEM	\N	132	27349	UROK	\N	\N
3620935	2736	1994-11-30	PRIJEM	\N	123	22841	UROK	\N	\N
3620936	2736	1994-12-31	PRIJEM	\N	115	27769	UROK	\N	\N
3620937	2736	1995-01-31	PRIJEM	\N	94	18952	UROK	\N	\N
3620938	2736	1995-02-28	PRIJEM	\N	78	17339	UROK	\N	\N
3620939	2736	1995-03-31	PRIJEM	\N	81	17809	UROK	\N	\N
3620940	2736	1995-04-30	PRIJEM	\N	85	21084	UROK	\N	\N
3620941	2736	1995-05-31	PRIJEM	\N	92	14925	UROK	\N	\N
3620942	2736	1995-06-30	PRIJEM	\N	83	21381	UROK	\N	\N
3620943	2736	1995-07-31	PRIJEM	\N	91	21701	UROK	\N	\N
3620944	2736	1995-08-31	PRIJEM	\N	92	18883	UROK	\N	\N
3620945	2736	1995-09-30	PRIJEM	\N	77	16749	UROK	\N	\N
3620946	2736	1995-10-31	PRIJEM	\N	77	17815	UROK	\N	\N
3620947	2736	1995-11-30	PRIJEM	\N	78	17583	UROK	\N	\N
3620948	2736	1995-12-31	PRIJEM	\N	79	14775	UROK	\N	\N
3620949	2736	1996-01-31	PRIJEM	\N	66	15130	UROK	\N	\N
3620950	2736	1996-02-29	PRIJEM	\N	64	14184	UROK	\N	\N
3620951	2736	1996-03-31	PRIJEM	\N	60	13034	UROK	\N	\N
3620952	2736	1996-04-30	PRIJEM	\N	67	17890	UROK	\N	\N
3620953	2736	1996-05-31	PRIJEM	\N	60	12319	UROK	\N	\N
3620954	2736	1996-06-30	PRIJEM	\N	60	13872	UROK	\N	\N
3620955	2736	1996-07-31	PRIJEM	\N	70	18732	UROK	\N	\N
3620956	2736	1996-08-31	PRIJEM	\N	71	14892	UROK	\N	\N
3620957	2736	1996-09-30	PRIJEM	\N	60	13942	UROK	\N	\N
3620958	2736	1996-10-31	PRIJEM	\N	70	18801	UROK	\N	\N
3620959	2736	1996-11-30	PRIJEM	\N	67	14257	UROK	\N	\N
3620960	2736	1996-12-31	PRIJEM	\N	59	13910	UROK	\N	\N
3620961	2736	1997-01-31	PRIJEM	\N	70	18769	UROK	\N	\N
3620962	2736	1997-02-28	PRIJEM	\N	72	12931	UROK	\N	\N
3620963	2736	1997-03-31	PRIJEM	\N	66	17786	UROK	\N	\N
3620964	2736	1997-04-30	PRIJEM	\N	86	22661	UROK	\N	\N
3620965	2736	1997-05-31	PRIJEM	\N	79	17430	UROK	\N	\N
3620966	2736	1997-06-30	PRIJEM	\N	62	14385	UROK	\N	\N
3620967	2736	1997-07-31	PRIJEM	\N	64	16739	UROK	\N	\N
3620968	2736	1997-08-31	PRIJEM	\N	60	13888	UROK	\N	\N
3620969	2736	1997-09-30	PRIJEM	\N	56	13433	UROK	\N	\N
3620970	2736	1997-10-31	PRIJEM	\N	51	12274	UROK	\N	\N
3620971	2736	1997-11-30	PRIJEM	\N	42	9405	UROK	\N	\N
3620972	2736	1997-12-31	PRIJEM	\N	46	11644	UROK	\N	\N
3620973	2736	1998-01-31	PRIJEM	\N	56	13490	UROK	\N	\N
3620974	2736	1998-02-28	PRIJEM	\N	61	14619	UROK	\N	\N
3620975	2736	1998-03-31	PRIJEM	\N	70	17779	UROK	\N	\N
3620976	2736	1998-04-30	PRIJEM	\N	66	15535	UROK	\N	\N
3620977	2736	1998-05-31	PRIJEM	\N	74	16278	UROK	\N	\N
3620978	2736	1998-06-30	PRIJEM	\N	104	27275	UROK	\N	\N
3620979	2736	1998-07-31	PRIJEM	\N	101	21825	UROK	\N	\N
3620980	2736	1998-08-31	PRIJEM	\N	73	16268	UROK	\N	\N
3620981	2736	1998-09-30	PRIJEM	\N	75	18532	UROK	\N	\N
3620982	2736	1998-10-31	PRIJEM	\N	78	18999	UROK	\N	\N
3620983	2736	1998-11-30	PRIJEM	\N	91	22679	UROK	\N	\N
3620984	2736	1998-12-31	PRIJEM	\N	119	29332	UROK	\N	\N
3620985	2737	1996-07-31	PRIJEM	\N	67	20054	UROK	\N	\N
3620986	2737	1996-08-31	PRIJEM	\N	153	40894	UROK	\N	\N
3620987	2737	1996-09-30	PRIJEM	\N	221	56402	UROK	\N	\N
3620988	2737	1996-10-31	PRIJEM	\N	247	60136	UROK	\N	\N
3620989	2737	1996-11-30	PRIJEM	\N	248	58415	UROK	\N	\N
3620990	2737	1996-12-31	PRIJEM	\N	260	63665	UROK	\N	\N
3620991	2737	1997-01-31	PRIJEM	\N	216	46738	UROK	\N	\N
3620992	2737	1997-02-28	PRIJEM	\N	219	53074	UROK	\N	\N
3620993	2737	1997-03-31	PRIJEM	\N	243	58433	UROK	\N	\N
3620994	2737	1997-04-30	PRIJEM	\N	254	60503	UROK	\N	\N
3620995	2737	1997-05-31	PRIJEM	\N	271	65090	UROK	\N	\N
3620996	2737	1997-06-30	PRIJEM	\N	287	68887	UROK	\N	\N
3620997	2737	1997-07-31	PRIJEM	\N	284	64847	UROK	\N	\N
3620998	2737	1997-08-31	PRIJEM	\N	266	52630	UROK	\N	\N
3620999	2737	1997-09-30	PRIJEM	\N	250	55597	UROK	\N	\N
3621000	2737	1997-10-31	PRIJEM	\N	256	55089	UROK	\N	\N
3621001	2737	1997-11-30	PRIJEM	\N	256	52461	UROK	\N	\N
3621002	2737	1997-12-31	PRIJEM	\N	277	51529	UROK	\N	\N
3621003	2737	1998-01-31	PRIJEM	\N	194	37039	UROK	\N	\N
3621004	2737	1998-02-28	PRIJEM	\N	199	47174	UROK	\N	\N
3621005	2737	1998-03-31	PRIJEM	\N	226	51616	UROK	\N	\N
3621006	2737	1998-04-30	PRIJEM	\N	242	54274	UROK	\N	\N
3621007	2737	1998-05-31	PRIJEM	\N	244	53175	UROK	\N	\N
3621008	2737	1998-06-30	PRIJEM	\N	258	40042	UROK	\N	\N
3621009	2737	1998-07-31	PRIJEM	\N	196	44235	UROK	\N	\N
3621010	2737	1998-08-31	PRIJEM	\N	208	47479	UROK	\N	\N
3621011	2737	1998-09-30	PRIJEM	\N	223	53818	UROK	\N	\N
3621012	2737	1998-10-31	PRIJEM	\N	241	48416	UROK	\N	\N
3621013	2737	1998-11-30	PRIJEM	\N	224	53156	UROK	\N	\N
3621014	2737	1998-12-31	PRIJEM	\N	258	60824	UROK	\N	\N
3621015	2738	1993-12-31	PRIJEM	\N	65	24160	UROK	\N	\N
3621016	2738	1994-01-31	PRIJEM	\N	125	32814	UROK	\N	\N
3621017	2738	1994-02-28	PRIJEM	\N	147	36692	UROK	\N	\N
3621018	2738	1994-03-31	PRIJEM	\N	151	36273	UROK	\N	\N
3621019	2738	1994-04-30	PRIJEM	\N	148	34037	UROK	\N	\N
3621020	2738	1994-05-31	PRIJEM	\N	157	31195	UROK	\N	\N
3621021	2738	1994-06-30	PRIJEM	\N	132	30994	UROK	\N	\N
3621022	2738	1994-07-31	PRIJEM	\N	124	29219	UROK	\N	\N
3621023	2738	1994-08-31	PRIJEM	\N	118	27738	UROK	\N	\N
3621024	2738	1994-09-30	PRIJEM	\N	100	20340	UROK	\N	\N
3621025	2738	1994-10-31	PRIJEM	\N	83	19124	UROK	\N	\N
3621026	2738	1994-11-30	PRIJEM	\N	82	15607	UROK	\N	\N
3621027	2738	1994-12-31	PRIJEM	\N	86	19260	UROK	\N	\N
3621028	2738	1995-01-31	PRIJEM	\N	77	14538	UROK	\N	\N
3621029	2738	1995-02-28	PRIJEM	\N	74	16513	UROK	\N	\N
3621030	2738	1995-03-31	PRIJEM	\N	79	16894	UROK	\N	\N
3621031	2738	1995-04-30	PRIJEM	\N	73	14468	UROK	\N	\N
3621032	2738	1995-05-31	PRIJEM	\N	71	16240	UROK	\N	\N
3621033	2738	1995-06-30	PRIJEM	\N	88	20295	UROK	\N	\N
3621034	2738	1995-07-31	PRIJEM	\N	91	20587	UROK	\N	\N
3621035	2738	1995-08-31	PRIJEM	\N	115	27103	UROK	\N	\N
3621036	2738	1995-09-30	PRIJEM	\N	130	30234	UROK	\N	\N
3621037	2738	1995-10-31	PRIJEM	\N	139	32274	UROK	\N	\N
3621038	2738	1995-11-30	PRIJEM	\N	119	25894	UROK	\N	\N
3621039	2738	1995-12-31	PRIJEM	\N	140	32200	UROK	\N	\N
3621040	2738	1996-01-31	PRIJEM	\N	111	21512	UROK	\N	\N
3621041	2738	1996-02-29	PRIJEM	\N	103	26616	UROK	\N	\N
3621042	2738	1996-03-31	PRIJEM	\N	127	29845	UROK	\N	\N
3621043	2738	1996-04-30	PRIJEM	\N	130	29776	UROK	\N	\N
3621044	2738	1996-05-31	PRIJEM	\N	115	22793	UROK	\N	\N
3621045	2738	1996-06-30	PRIJEM	\N	122	23781	UROK	\N	\N
3621046	2738	1996-07-31	PRIJEM	\N	109	24491	UROK	\N	\N
3621047	2738	1996-08-31	PRIJEM	\N	113	22906	UROK	\N	\N
3621048	2738	1996-09-30	PRIJEM	\N	109	23916	UROK	\N	\N
3621049	2738	1996-10-31	PRIJEM	\N	108	22525	UROK	\N	\N
3621050	2738	1996-11-30	PRIJEM	\N	107	25133	UROK	\N	\N
3621051	2738	1996-12-31	PRIJEM	\N	138	26838	UROK	\N	\N
3621052	2738	1997-01-31	PRIJEM	\N	101	15240	UROK	\N	\N
3621053	2738	1997-02-28	PRIJEM	\N	74	17215	UROK	\N	\N
3621054	2738	1997-03-31	PRIJEM	\N	83	17999	UROK	\N	\N
3621055	2738	1997-04-30	PRIJEM	\N	89	22489	UROK	\N	\N
3621056	2738	1997-05-31	PRIJEM	\N	106	25497	UROK	\N	\N
3621057	2738	1997-06-30	PRIJEM	\N	66	15429	UROK	\N	\N
3621058	2738	1997-07-31	PRIJEM	\N	76	18006	UROK	\N	\N
3621059	2738	1997-08-31	PRIJEM	\N	86	24693	UROK	\N	\N
3621060	2738	1997-09-30	PRIJEM	\N	115	28709	UROK	\N	\N
3621061	2738	1997-10-31	PRIJEM	\N	121	30231	UROK	\N	\N
3621062	2738	1997-11-30	PRIJEM	\N	136	31169	UROK	\N	\N
3621063	2738	1997-12-31	PRIJEM	\N	170	41305	UROK	\N	\N
3621064	2738	1998-01-31	PRIJEM	\N	172	36478	UROK	\N	\N
3621065	2738	1998-02-28	PRIJEM	\N	160	38640	UROK	\N	\N
3621066	2738	1998-03-31	PRIJEM	\N	172	43713	UROK	\N	\N
3621067	2738	1998-04-30	PRIJEM	\N	186	42800	UROK	\N	\N
3621068	2738	1998-05-31	PRIJEM	\N	185	44086	UROK	\N	\N
3621069	2738	1998-06-30	PRIJEM	\N	192	31745	UROK	\N	\N
3621070	2738	1998-07-31	PRIJEM	\N	145	35391	UROK	\N	\N
3621071	2738	1998-08-31	PRIJEM	\N	157	39050	UROK	\N	\N
3621072	2738	1998-09-30	PRIJEM	\N	163	38114	UROK	\N	\N
3621073	2738	1998-10-31	PRIJEM	\N	167	41083	UROK	\N	\N
3621074	2738	1998-11-30	PRIJEM	\N	174	41858	UROK	\N	\N
3621075	2738	1998-12-31	PRIJEM	\N	193	46617	UROK	\N	\N
3621076	2739	1993-12-31	PRIJEM	\N	7	17929	UROK	\N	\N
3621077	2739	1994-01-31	PRIJEM	\N	77	22387	UROK	\N	\N
3621078	2739	1994-02-28	PRIJEM	\N	94	26562	UROK	\N	\N
3621079	2739	1994-03-31	PRIJEM	\N	112	30555	UROK	\N	\N
3621080	2739	1994-04-30	PRIJEM	\N	132	28641	UROK	\N	\N
3621081	2739	1994-05-31	PRIJEM	\N	118	18199	UROK	\N	\N
3621082	2739	1994-06-30	PRIJEM	\N	87	22766	UROK	\N	\N
3621083	2739	1994-07-31	PRIJEM	\N	104	25849	UROK	\N	\N
3621084	2739	1994-08-31	PRIJEM	\N	117	28546	UROK	\N	\N
3621085	2739	1994-09-30	PRIJEM	\N	126	29451	UROK	\N	\N
3621086	2739	1994-10-31	PRIJEM	\N	115	24825	UROK	\N	\N
3621087	2739	1994-11-30	PRIJEM	\N	111	26216	UROK	\N	\N
3621088	2739	1994-12-31	PRIJEM	\N	120	24496	UROK	\N	\N
3621089	2739	1995-01-31	PRIJEM	\N	90	19525	UROK	\N	\N
3621090	2739	1995-02-28	PRIJEM	\N	91	22695	UROK	\N	\N
3621091	2739	1995-03-31	PRIJEM	\N	102	24177	UROK	\N	\N
3621092	2739	1995-04-30	PRIJEM	\N	105	23061	UROK	\N	\N
3621093	2739	1995-05-31	PRIJEM	\N	99	22000	UROK	\N	\N
3621094	2739	1995-06-30	PRIJEM	\N	100	20060	UROK	\N	\N
3621095	2739	1995-07-31	PRIJEM	\N	84	18304	UROK	\N	\N
3621096	2739	1995-08-31	PRIJEM	\N	82	18465	UROK	\N	\N
3621097	2739	1995-09-30	PRIJEM	\N	82	18426	UROK	\N	\N
3621098	2739	1995-10-31	PRIJEM	\N	69	15014	UROK	\N	\N
3621099	2739	1995-11-30	PRIJEM	\N	70	16863	UROK	\N	\N
3621100	2739	1995-12-31	PRIJEM	\N	76	15940	UROK	\N	\N
3621101	2739	1996-01-31	PRIJEM	\N	65	13284	UROK	\N	\N
3621102	2739	1996-02-29	PRIJEM	\N	56	11420	UROK	\N	\N
3621103	2739	1996-03-31	PRIJEM	\N	56	13655	UROK	\N	\N
3621104	2739	1996-04-30	PRIJEM	\N	56	11190	UROK	\N	\N
3621105	2739	1996-05-31	PRIJEM	\N	55	13524	UROK	\N	\N
3621106	2739	1996-06-30	PRIJEM	\N	64	13407	UROK	\N	\N
3621107	2739	1996-07-31	PRIJEM	\N	58	12844	UROK	\N	\N
3621108	2739	1996-08-31	PRIJEM	\N	62	15185	UROK	\N	\N
3621109	2739	1996-09-30	PRIJEM	\N	63	14287	UROK	\N	\N
3621110	2739	1996-10-31	PRIJEM	\N	67	16634	UROK	\N	\N
3621111	2739	1996-11-30	PRIJEM	\N	58	11372	UROK	\N	\N
3621112	2739	1996-12-31	PRIJEM	\N	66	14758	UROK	\N	\N
3621113	2739	1997-01-31	PRIJEM	\N	69	17106	UROK	\N	\N
3621114	2739	1997-02-28	PRIJEM	\N	79	19465	UROK	\N	\N
3621115	2739	1997-03-31	PRIJEM	\N	89	21833	UROK	\N	\N
3621116	2739	1997-04-30	PRIJEM	\N	81	18433	UROK	\N	\N
3621117	2739	1997-05-31	PRIJEM	\N	84	20796	UROK	\N	\N
3621118	2739	1997-06-30	PRIJEM	\N	71	14187	UROK	\N	\N
3621119	2739	1997-07-31	PRIJEM	\N	67	16533	UROK	\N	\N
3621120	2739	1997-08-31	PRIJEM	\N	76	18889	UROK	\N	\N
3621121	2739	1997-09-30	PRIJEM	\N	73	16922	UROK	\N	\N
3621122	2739	1997-10-31	PRIJEM	\N	61	14102	UROK	\N	\N
3621123	2739	1997-11-30	PRIJEM	\N	66	16447	UROK	\N	\N
3621124	2739	1997-12-31	PRIJEM	\N	79	18086	UROK	\N	\N
3621125	2739	1998-01-31	PRIJEM	\N	86	17732	UROK	\N	\N
3621126	2739	1998-02-28	PRIJEM	\N	81	20092	UROK	\N	\N
3621127	2739	1998-03-31	PRIJEM	\N	83	19214	UROK	\N	\N
3621128	2739	1998-04-30	PRIJEM	\N	87	21581	UROK	\N	\N
3621129	2739	1998-05-31	PRIJEM	\N	97	23957	UROK	\N	\N
3621130	2739	1998-06-30	PRIJEM	\N	118	29795	UROK	\N	\N
3621131	2739	1998-07-31	PRIJEM	\N	131	32205	UROK	\N	\N
3621132	2739	1998-08-31	PRIJEM	\N	141	34625	UROK	\N	\N
3621133	2739	1998-09-30	PRIJEM	\N	151	37055	UROK	\N	\N
3621134	2739	1998-10-31	PRIJEM	\N	161	39495	UROK	\N	\N
3621135	2739	1998-11-30	PRIJEM	\N	152	36167	UROK	\N	\N
3621136	2739	1998-12-31	PRIJEM	\N	162	35489	UROK	\N	\N
3621137	2741	1993-07-31	PRIJEM	\N	178	62565	UROK	\N	\N
3621138	2741	1993-08-31	PRIJEM	\N	260	43625	UROK	\N	\N
3621139	2741	1993-09-30	PRIJEM	\N	280	74862	UROK	\N	\N
3621140	2741	1993-10-31	PRIJEM	\N	311	49173	UROK	\N	\N
3621141	2741	1993-11-30	PRIJEM	\N	311	37284	UROK	\N	\N
3621142	2741	1993-12-31	PRIJEM	\N	294	82516	UROK	\N	\N
3621143	2741	1994-01-31	PRIJEM	\N	218	59255	UROK	\N	\N
3621144	2741	1994-02-28	PRIJEM	\N	94	19948	UROK	\N	\N
3621145	2741	1994-03-31	PRIJEM	\N	203	72589	UROK	\N	\N
3621146	2741	1994-04-30	PRIJEM	\N	171	32154	UROK	\N	\N
3621147	2741	1994-05-31	PRIJEM	\N	161	72212	UROK	\N	\N
3621148	2741	1994-06-30	PRIJEM	\N	262	80485	UROK	\N	\N
3621149	2741	1994-07-31	PRIJEM	\N	187	33956	UROK	\N	\N
3621150	2741	1994-08-31	PRIJEM	\N	140	32082	UROK	\N	\N
3621151	2741	1994-09-30	PRIJEM	\N	136	42629	UROK	\N	\N
3621152	2741	1994-10-31	PRIJEM	\N	137	24651	UROK	\N	\N
3621153	2741	1994-11-30	PRIJEM	\N	105	34262	UROK	\N	\N
3621154	2741	1994-12-31	PRIJEM	\N	201	62348	UROK	\N	\N
3621155	2741	1995-01-31	PRIJEM	\N	250	34283	UROK	\N	\N
3621156	2741	1995-02-28	PRIJEM	\N	105	51059	UROK	\N	\N
3621157	2741	1995-03-31	PRIJEM	\N	146	23500	UROK	\N	\N
3621158	2741	1995-04-30	PRIJEM	\N	97	23682	UROK	\N	\N
3621159	2741	1995-05-31	PRIJEM	\N	98	23265	UROK	\N	\N
3621160	2741	1995-06-30	PRIJEM	\N	96	21947	UROK	\N	\N
3621161	2741	1995-07-31	PRIJEM	\N	91	23623	UROK	\N	\N
3621162	2741	1995-08-31	PRIJEM	\N	96	22005	UROK	\N	\N
3621163	2741	1995-09-30	PRIJEM	\N	120	66460	UROK	\N	\N
3621164	2741	1995-10-31	PRIJEM	\N	251	40596	UROK	\N	\N
3621165	2741	1995-11-30	PRIJEM	\N	167	34849	UROK	\N	\N
3621166	2741	1995-12-31	PRIJEM	\N	124	23789	UROK	\N	\N
3621167	2741	1996-01-31	PRIJEM	\N	180	109201	UROK	\N	\N
3621168	2741	1996-02-29	PRIJEM	\N	240	61119	UROK	\N	\N
3621169	2741	1996-03-31	PRIJEM	\N	252	60090	UROK	\N	\N
3621170	2741	1996-04-30	PRIJEM	\N	245	57498	UROK	\N	\N
3621171	2741	1996-05-31	PRIJEM	\N	213	31396	UROK	\N	\N
3621172	2741	1996-06-30	PRIJEM	\N	129	30310	UROK	\N	\N
3621173	2741	1996-07-31	PRIJEM	\N	208	40672	UROK	\N	\N
3621174	2741	1996-08-31	PRIJEM	\N	186	75138	UROK	\N	\N
3621175	2741	1996-09-30	PRIJEM	\N	317	78108	UROK	\N	\N
3621176	2741	1996-10-31	PRIJEM	\N	327	66865	UROK	\N	\N
3621177	2741	1996-11-30	PRIJEM	\N	354	88542	UROK	\N	\N
3621178	2741	1996-12-31	PRIJEM	\N	329	57656	UROK	\N	\N
3621179	2741	1997-01-31	PRIJEM	\N	226	43344	UROK	\N	\N
3621180	2741	1997-02-28	PRIJEM	\N	242	44156	UROK	\N	\N
3621181	2741	1997-03-31	PRIJEM	\N	195	44429	UROK	\N	\N
3621182	2741	1997-04-30	PRIJEM	\N	346	107525	UROK	\N	\N
3621183	2741	1997-05-31	PRIJEM	\N	465	76445	UROK	\N	\N
3621184	2741	1997-06-30	PRIJEM	\N	263	52044	UROK	\N	\N
3621185	2741	1997-07-31	PRIJEM	\N	238	57902	UROK	\N	\N
3621186	2741	1997-08-31	PRIJEM	\N	214	51934	UROK	\N	\N
3621187	2741	1997-09-30	PRIJEM	\N	204	45306	UROK	\N	\N
3621188	2741	1997-10-31	PRIJEM	\N	206	75025	UROK	\N	\N
3621189	2741	1997-11-30	PRIJEM	\N	249	69841	UROK	\N	\N
3621190	2741	1997-12-31	PRIJEM	\N	308	87163	UROK	\N	\N
3621191	2741	1998-01-31	PRIJEM	\N	260	51052	UROK	\N	\N
3621192	2741	1998-02-28	PRIJEM	\N	174	38795	UROK	\N	\N
3621193	2741	1998-03-31	PRIJEM	\N	136	30916	UROK	\N	\N
3621194	2741	1998-04-30	PRIJEM	\N	190	51575	UROK	\N	\N
3621195	2741	1998-05-31	PRIJEM	\N	266	78369	UROK	\N	\N
3621196	2741	1998-06-30	PRIJEM	\N	273	47327	UROK	\N	\N
3621197	2741	1998-07-31	PRIJEM	\N	200	70934	UROK	\N	\N
3621198	2741	1998-08-31	PRIJEM	\N	247	32350	UROK	\N	\N
3621199	2741	1998-09-30	PRIJEM	\N	128	33663	UROK	\N	\N
3621200	2741	1998-10-31	PRIJEM	\N	128	29339	UROK	\N	\N
3621201	2741	1998-11-30	PRIJEM	\N	116	34741	UROK	\N	\N
3621202	2741	1998-12-31	PRIJEM	\N	134	32560	UROK	\N	\N
3621203	2742	1994-11-30	PRIJEM	\N	53	22494	UROK	\N	\N
3621204	2742	1994-12-31	PRIJEM	\N	126	36032	UROK	\N	\N
3621205	2742	1995-01-31	PRIJEM	\N	151	36523	UROK	\N	\N
3621206	2742	1995-02-28	PRIJEM	\N	153	37218	UROK	\N	\N
3621207	2742	1995-03-31	PRIJEM	\N	154	34206	UROK	\N	\N
3621208	2742	1995-04-30	PRIJEM	\N	147	34274	UROK	\N	\N
3621209	2742	1995-05-31	PRIJEM	\N	132	25686	UROK	\N	\N
3621210	2742	1995-06-30	PRIJEM	\N	135	34212	UROK	\N	\N
3621211	2742	1995-07-31	PRIJEM	\N	154	37487	UROK	\N	\N
3621212	2742	1995-08-31	PRIJEM	\N	158	37565	UROK	\N	\N
3621213	2742	1995-09-30	PRIJEM	\N	155	37141	UROK	\N	\N
3621214	2742	1995-10-31	PRIJEM	\N	131	26973	UROK	\N	\N
3621215	2742	1995-11-30	PRIJEM	\N	127	28480	UROK	\N	\N
3621216	2742	1995-12-31	PRIJEM	\N	134	29925	UROK	\N	\N
3621217	2742	1996-01-31	PRIJEM	\N	122	26748	UROK	\N	\N
3621218	2742	1996-02-29	PRIJEM	\N	125	30093	UROK	\N	\N
3621219	2742	1996-03-31	PRIJEM	\N	144	35558	UROK	\N	\N
3621220	2742	1996-04-30	PRIJEM	\N	152	33730	UROK	\N	\N
3621221	2742	1996-05-31	PRIJEM	\N	145	33596	UROK	\N	\N
3621222	2742	1996-06-30	PRIJEM	\N	130	19517	UROK	\N	\N
3621223	2742	1996-07-31	PRIJEM	\N	121	30258	UROK	\N	\N
3621224	2742	1996-08-31	PRIJEM	\N	153	36731	UROK	\N	\N
3621225	2742	1996-09-30	PRIJEM	\N	183	43575	UROK	\N	\N
3621226	2742	1996-10-31	PRIJEM	\N	193	46127	UROK	\N	\N
3621227	2742	1996-11-30	PRIJEM	\N	219	52767	UROK	\N	\N
3621228	2742	1996-12-31	PRIJEM	\N	244	57621	UROK	\N	\N
3621229	2742	1997-01-31	PRIJEM	\N	182	38324	UROK	\N	\N
3621230	2742	1997-02-28	PRIJEM	\N	186	44730	UROK	\N	\N
3621231	2742	1997-03-31	PRIJEM	\N	193	42923	UROK	\N	\N
3621232	2742	1997-04-30	PRIJEM	\N	184	43627	UROK	\N	\N
3621233	2742	1997-05-31	PRIJEM	\N	189	45037	UROK	\N	\N
3621234	2742	1997-06-30	PRIJEM	\N	168	39295	UROK	\N	\N
3621235	2742	1997-07-31	PRIJEM	\N	193	46909	UROK	\N	\N
3621236	2742	1997-08-31	PRIJEM	\N	204	44813	UROK	\N	\N
3621237	2742	1997-09-30	PRIJEM	\N	212	42065	UROK	\N	\N
3621238	2742	1997-10-31	PRIJEM	\N	204	48190	UROK	\N	\N
3621239	2742	1997-11-30	PRIJEM	\N	227	48937	UROK	\N	\N
3621240	2742	1997-12-31	PRIJEM	\N	248	49575	UROK	\N	\N
3621241	2742	1998-01-31	PRIJEM	\N	201	43097	UROK	\N	\N
3621242	2742	1998-02-28	PRIJEM	\N	203	44420	UROK	\N	\N
3621243	2742	1998-03-31	PRIJEM	\N	210	46250	UROK	\N	\N
3621244	2742	1998-04-30	PRIJEM	\N	216	46387	UROK	\N	\N
3621245	2742	1998-05-31	PRIJEM	\N	212	40920	UROK	\N	\N
3621246	2742	1998-06-30	PRIJEM	\N	134	28985	UROK	\N	\N
3621247	2742	1998-07-31	PRIJEM	\N	145	32951	UROK	\N	\N
3621248	2742	1998-08-31	PRIJEM	\N	158	33929	UROK	\N	\N
3621249	2742	1998-09-30	PRIJEM	\N	158	31807	UROK	\N	\N
3621250	2742	1998-10-31	PRIJEM	\N	147	28474	UROK	\N	\N
3621251	2742	1998-11-30	PRIJEM	\N	130	30325	UROK	\N	\N
3621252	2742	1998-12-31	PRIJEM	\N	168	32584	UROK	\N	\N
3621253	2743	1997-06-30	PRIJEM	\N	37	26836	UROK	\N	\N
3621254	2743	1997-07-31	PRIJEM	\N	123	34625	UROK	\N	\N
3621255	2743	1997-08-31	PRIJEM	\N	155	41546	UROK	\N	\N
3621256	2743	1997-09-30	PRIJEM	\N	180	45892	UROK	\N	\N
3621257	2743	1997-10-31	PRIJEM	\N	194	41422	UROK	\N	\N
3621258	2743	1997-11-30	PRIJEM	\N	178	39241	UROK	\N	\N
3621259	2743	1997-12-31	PRIJEM	\N	180	39614	UROK	\N	\N
3621260	2743	1998-01-31	PRIJEM	\N	139	23933	UROK	\N	\N
3621261	2743	1998-02-28	PRIJEM	\N	117	29591	UROK	\N	\N
3621262	2743	1998-03-31	PRIJEM	\N	138	32269	UROK	\N	\N
3621263	2743	1998-04-30	PRIJEM	\N	137	27306	UROK	\N	\N
3621264	2743	1998-05-31	PRIJEM	\N	118	25864	UROK	\N	\N
3621265	2743	1998-06-30	PRIJEM	\N	125	28103	UROK	\N	\N
3621266	2743	1998-07-31	PRIJEM	\N	116	25060	UROK	\N	\N
3621267	2743	1998-08-31	PRIJEM	\N	102	22102	UROK	\N	\N
3621268	2743	1998-09-30	PRIJEM	\N	99	23721	UROK	\N	\N
3621269	2743	1998-10-31	PRIJEM	\N	106	22467	UROK	\N	\N
3621270	2743	1998-11-30	PRIJEM	\N	72	15600	UROK	\N	\N
3621271	2743	1998-12-31	PRIJEM	\N	86	23399	UROK	\N	\N
3621272	2744	1997-05-31	PRIJEM	\N	35	19937	UROK	\N	\N
3621273	2744	1997-06-30	PRIJEM	\N	109	34349	UROK	\N	\N
3621274	2744	1997-07-31	PRIJEM	\N	143	34293	UROK	\N	\N
3621275	2744	1997-08-31	PRIJEM	\N	140	33335	UROK	\N	\N
3621276	2744	1997-09-30	PRIJEM	\N	121	24074	UROK	\N	\N
3621277	2744	1997-10-31	PRIJEM	\N	82	14844	UROK	\N	\N
3621278	2744	1997-11-30	PRIJEM	\N	108	16340	UROK	\N	\N
3621279	2744	1997-12-31	PRIJEM	\N	139	25768	UROK	\N	\N
3621280	2744	1998-01-31	PRIJEM	\N	134	20596	UROK	\N	\N
3621281	2744	1998-02-28	PRIJEM	\N	130	22114	UROK	\N	\N
3621282	2744	1998-03-31	PRIJEM	\N	139	23641	UROK	\N	\N
3621283	2744	1998-04-30	PRIJEM	\N	144	25173	UROK	\N	\N
3621284	2744	1998-05-31	PRIJEM	\N	134	21250	UROK	\N	\N
3621285	2744	1998-06-30	PRIJEM	\N	93	21492	UROK	\N	\N
3621286	2744	1998-07-31	PRIJEM	\N	93	22973	UROK	\N	\N
3621287	2744	1998-08-31	PRIJEM	\N	99	24460	UROK	\N	\N
3621288	2744	1998-09-30	PRIJEM	\N	106	25954	UROK	\N	\N
3621289	2744	1998-10-31	PRIJEM	\N	154	27496	UROK	\N	\N
3621290	2744	1998-11-30	PRIJEM	\N	160	29044	UROK	\N	\N
3621291	2744	1998-12-31	PRIJEM	\N	125	30657	UROK	\N	\N
3621292	2745	1997-10-31	PRIJEM	\N	12	21793	UROK	\N	\N
3621293	2745	1997-11-30	PRIJEM	\N	97	32370	UROK	\N	\N
3621294	2745	1997-12-31	PRIJEM	\N	142	43884	UROK	\N	\N
3621295	2745	1998-01-31	PRIJEM	\N	185	47850	UROK	\N	\N
3621296	2745	1998-02-28	PRIJEM	\N	228	48099	UROK	\N	\N
3621297	2745	1998-03-31	PRIJEM	\N	223	48261	UROK	\N	\N
3621298	2745	1998-04-30	PRIJEM	\N	216	46776	UROK	\N	\N
3621299	2745	1998-05-31	PRIJEM	\N	207	48402	UROK	\N	\N
3621300	2745	1998-06-30	PRIJEM	\N	218	19450	UROK	\N	\N
3621301	2745	1998-07-31	PRIJEM	\N	110	31959	UROK	\N	\N
3621302	2745	1998-08-31	PRIJEM	\N	159	40958	UROK	\N	\N
3621303	2745	1998-09-30	PRIJEM	\N	192	46889	UROK	\N	\N
3621304	2745	1998-10-31	PRIJEM	\N	214	50843	UROK	\N	\N
3621305	2745	1998-11-30	PRIJEM	\N	206	47969	UROK	\N	\N
3621306	2745	1998-12-31	PRIJEM	\N	236	62774	UROK	\N	\N
3621307	2746	1996-12-31	PRIJEM	\N	36	24560	UROK	\N	\N
3621308	2746	1997-01-31	PRIJEM	\N	94	15206	UROK	\N	\N
3621309	2746	1997-02-28	PRIJEM	\N	75	19419	UROK	\N	\N
3621310	2746	1997-03-31	PRIJEM	\N	90	22046	UROK	\N	\N
3621311	2746	1997-04-30	PRIJEM	\N	104	26288	UROK	\N	\N
3621312	2746	1997-05-31	PRIJEM	\N	122	30547	UROK	\N	\N
3621313	2746	1997-06-30	PRIJEM	\N	110	26124	UROK	\N	\N
3621314	2746	1997-07-31	PRIJEM	\N	90	20992	UROK	\N	\N
3621315	2746	1997-08-31	PRIJEM	\N	100	25229	UROK	\N	\N
3621316	2746	1997-09-30	PRIJEM	\N	110	25877	UROK	\N	\N
3621317	2746	1997-10-31	PRIJEM	\N	117	28731	UROK	\N	\N
3621318	2746	1997-11-30	PRIJEM	\N	129	31898	UROK	\N	\N
3621319	2746	1997-12-31	PRIJEM	\N	135	31871	UROK	\N	\N
3621320	2746	1998-01-31	PRIJEM	\N	115	23783	UROK	\N	\N
3621321	2746	1998-02-28	PRIJEM	\N	104	24824	UROK	\N	\N
3621322	2746	1998-03-31	PRIJEM	\N	106	24668	UROK	\N	\N
3621323	2746	1998-04-30	PRIJEM	\N	105	24510	UROK	\N	\N
3621324	2746	1998-05-31	PRIJEM	\N	114	28762	UROK	\N	\N
3621325	2746	1998-06-30	PRIJEM	\N	125	30675	UROK	\N	\N
3621326	2746	1998-07-31	PRIJEM	\N	126	29458	UROK	\N	\N
3621327	2746	1998-08-31	PRIJEM	\N	134	33529	UROK	\N	\N
3621328	2746	1998-09-30	PRIJEM	\N	147	36214	UROK	\N	\N
3621329	2746	1998-10-31	PRIJEM	\N	141	32493	UROK	\N	\N
3621330	2746	1998-11-30	PRIJEM	\N	135	32465	UROK	\N	\N
3621331	2746	1998-12-31	PRIJEM	\N	127	27790	UROK	\N	\N
3621332	2747	1994-09-30	PRIJEM	\N	33	13373	UROK	\N	\N
3621333	2747	1994-10-31	PRIJEM	\N	85	24999	UROK	\N	\N
3621334	2747	1994-11-30	PRIJEM	\N	108	26446	UROK	\N	\N
3621335	2747	1994-12-31	PRIJEM	\N	119	29975	UROK	\N	\N
3621336	2747	1995-01-31	PRIJEM	\N	116	26606	UROK	\N	\N
3621337	2747	1995-02-28	PRIJEM	\N	109	24194	UROK	\N	\N
3621338	2747	1995-03-31	PRIJEM	\N	96	22089	UROK	\N	\N
3621339	2747	1995-04-30	PRIJEM	\N	99	23987	UROK	\N	\N
3621340	2747	1995-05-31	PRIJEM	\N	113	28300	UROK	\N	\N
3621341	2747	1995-06-30	PRIJEM	\N	127	28656	UROK	\N	\N
3621342	2747	1995-07-31	PRIJEM	\N	112	25467	UROK	\N	\N
3621343	2747	1995-08-31	PRIJEM	\N	119	29285	UROK	\N	\N
3621344	2747	1995-09-30	PRIJEM	\N	133	32418	UROK	\N	\N
3621345	2747	1995-10-31	PRIJEM	\N	139	30996	UROK	\N	\N
3621346	2747	1995-11-30	PRIJEM	\N	138	33533	UROK	\N	\N
3621347	2747	1995-12-31	PRIJEM	\N	140	32963	UROK	\N	\N
3621348	2747	1996-01-31	PRIJEM	\N	128	27790	UROK	\N	\N
3621349	2747	1996-02-29	PRIJEM	\N	116	25806	UROK	\N	\N
3621350	2747	1996-03-31	PRIJEM	\N	110	26015	UROK	\N	\N
3621351	2747	1996-04-30	PRIJEM	\N	107	25021	UROK	\N	\N
3621352	2747	1996-05-31	PRIJEM	\N	94	21014	UROK	\N	\N
3621353	2747	1996-06-30	PRIJEM	\N	84	16387	UROK	\N	\N
3621354	2747	1996-07-31	PRIJEM	\N	70	16356	UROK	\N	\N
3621355	2747	1996-08-31	PRIJEM	\N	71	16827	UROK	\N	\N
3621356	2747	1996-09-30	PRIJEM	\N	74	18800	UROK	\N	\N
3621357	2747	1996-10-31	PRIJEM	\N	63	13263	UROK	\N	\N
3621358	2747	1996-11-30	PRIJEM	\N	59	15221	UROK	\N	\N
3621359	2747	1996-12-31	PRIJEM	\N	67	14318	UROK	\N	\N
3621360	2747	1997-01-31	PRIJEM	\N	60	14677	UROK	\N	\N
3621361	2747	1997-02-28	PRIJEM	\N	60	14477	UROK	\N	\N
3621362	2747	1997-03-31	PRIJEM	\N	64	16441	UROK	\N	\N
3621363	2747	1997-04-30	PRIJEM	\N	72	18412	UROK	\N	\N
3621364	2747	1997-05-31	PRIJEM	\N	79	14090	UROK	\N	\N
3621365	2747	1997-06-30	PRIJEM	\N	61	13280	UROK	\N	\N
3621366	2747	1997-07-31	PRIJEM	\N	59	15239	UROK	\N	\N
3621367	2747	1997-08-31	PRIJEM	\N	67	17205	UROK	\N	\N
3621368	2747	1997-09-30	PRIJEM	\N	75	19180	UROK	\N	\N
3621369	2747	1997-10-31	PRIJEM	\N	75	16714	UROK	\N	\N
3621370	2747	1997-11-30	PRIJEM	\N	69	14122	UROK	\N	\N
3621371	2747	1997-12-31	PRIJEM	\N	69	18960	UROK	\N	\N
3621372	2747	1998-01-31	PRIJEM	\N	79	15499	UROK	\N	\N
3621373	2747	1998-02-28	PRIJEM	\N	66	15664	UROK	\N	\N
3621374	2747	1998-03-31	PRIJEM	\N	69	17632	UROK	\N	\N
3621375	2747	1998-04-30	PRIJEM	\N	74	18045	UROK	\N	\N
3621376	2747	1998-05-31	PRIJEM	\N	74	17258	UROK	\N	\N
3621377	2747	1998-06-30	PRIJEM	\N	82	22109	UROK	\N	\N
3621378	2747	1998-07-31	PRIJEM	\N	95	24104	UROK	\N	\N
3621379	2747	1998-08-31	PRIJEM	\N	103	26106	UROK	\N	\N
3621380	2747	1998-09-30	PRIJEM	\N	112	28117	UROK	\N	\N
3621381	2747	1998-10-31	PRIJEM	\N	120	30137	UROK	\N	\N
3621382	2747	1998-11-30	PRIJEM	\N	128	32164	UROK	\N	\N
3621383	2747	1998-12-31	PRIJEM	\N	142	34356	UROK	\N	\N
3621448	2749	1994-05-31	PRIJEM	\N	7	8834	UROK	\N	\N
3621449	2749	1994-06-30	PRIJEM	\N	169	71903	UROK	\N	\N
3621450	2749	1994-07-31	PRIJEM	\N	292	56255	UROK	\N	\N
3621451	2749	1994-08-31	PRIJEM	\N	159	28779	UROK	\N	\N
3621452	2749	1994-09-30	PRIJEM	\N	156	64814	UROK	\N	\N
3621453	2749	1994-10-31	PRIJEM	\N	150	34766	UROK	\N	\N
3621454	2749	1994-11-30	PRIJEM	\N	254	61453	UROK	\N	\N
3621455	2749	1994-12-31	PRIJEM	\N	253	72510	UROK	\N	\N
3621456	2749	1995-01-31	PRIJEM	\N	248	66029	UROK	\N	\N
3621457	2749	1995-02-28	PRIJEM	\N	229	54779	UROK	\N	\N
3621458	2749	1995-03-31	PRIJEM	\N	147	31291	UROK	\N	\N
3621459	2749	1995-04-30	PRIJEM	\N	134	44237	UROK	\N	\N
3621460	2749	1995-05-31	PRIJEM	\N	197	42772	UROK	\N	\N
3621461	2749	1995-06-30	PRIJEM	\N	150	26025	UROK	\N	\N
3621462	2749	1995-07-31	PRIJEM	\N	254	45513	UROK	\N	\N
3621463	2749	1995-08-31	PRIJEM	\N	163	33642	UROK	\N	\N
3621464	2749	1995-09-30	PRIJEM	\N	245	48747	UROK	\N	\N
3621465	2749	1995-10-31	PRIJEM	\N	244	68558	UROK	\N	\N
3621466	2749	1995-11-30	PRIJEM	\N	290	61413	UROK	\N	\N
3621467	2749	1995-12-31	PRIJEM	\N	183	29061	UROK	\N	\N
3621468	2749	1996-01-31	PRIJEM	\N	100	20926	UROK	\N	\N
3621469	2749	1996-02-29	PRIJEM	\N	79	17970	UROK	\N	\N
3621470	2749	1996-03-31	PRIJEM	\N	78	19413	UROK	\N	\N
3621471	2749	1996-04-30	PRIJEM	\N	84	20862	UROK	\N	\N
3621472	2749	1996-05-31	PRIJEM	\N	73	16101	UROK	\N	\N
3621473	2749	1996-06-30	PRIJEM	\N	71	17837	UROK	\N	\N
3621474	2749	1996-07-31	PRIJEM	\N	81	20784	UROK	\N	\N
3621475	2749	1996-08-31	PRIJEM	\N	77	17926	UROK	\N	\N
3621476	2749	1996-09-30	PRIJEM	\N	67	15959	UROK	\N	\N
3621477	2749	1996-10-31	PRIJEM	\N	71	17795	UROK	\N	\N
3621478	2749	1996-11-30	PRIJEM	\N	80	19940	UROK	\N	\N
3621479	2749	1996-12-31	PRIJEM	\N	79	19285	UROK	\N	\N
3621480	2749	1997-01-31	PRIJEM	\N	158	38833	UROK	\N	\N
3621481	2749	1997-02-28	PRIJEM	\N	223	55210	UROK	\N	\N
3621482	2749	1997-03-31	PRIJEM	\N	185	42407	UROK	\N	\N
3621483	2749	1997-04-30	PRIJEM	\N	243	109122	UROK	\N	\N
3621484	2749	1997-05-31	PRIJEM	\N	232	38731	UROK	\N	\N
3621485	2749	1997-06-30	PRIJEM	\N	165	53632	UROK	\N	\N
3621486	2749	1997-07-31	PRIJEM	\N	163	49438	UROK	\N	\N
3621487	2749	1997-08-31	PRIJEM	\N	273	79141	UROK	\N	\N
3621488	2749	1997-09-30	PRIJEM	\N	314	53346	UROK	\N	\N
3621489	2749	1997-10-31	PRIJEM	\N	138	26232	UROK	\N	\N
3621490	2749	1997-11-30	PRIJEM	\N	144	59192	UROK	\N	\N
3621491	2749	1997-12-31	PRIJEM	\N	185	43243	UROK	\N	\N
3621492	2749	1998-01-31	PRIJEM	\N	259	51924	UROK	\N	\N
3621493	2749	1998-02-28	PRIJEM	\N	260	82496	UROK	\N	\N
3621494	2749	1998-03-31	PRIJEM	\N	333	92368	UROK	\N	\N
3621495	2749	1998-04-30	PRIJEM	\N	441	73154	UROK	\N	\N
3621496	2749	1998-05-31	PRIJEM	\N	251	49999	UROK	\N	\N
3621497	2749	1998-06-30	PRIJEM	\N	358	81302	UROK	\N	\N
3621498	2749	1998-07-31	PRIJEM	\N	374	98274	UROK	\N	\N
3621499	2749	1998-08-31	PRIJEM	\N	423	89143	UROK	\N	\N
3621500	2749	1998-09-30	PRIJEM	\N	371	97510	UROK	\N	\N
3621501	2749	1998-10-31	PRIJEM	\N	423	108422	UROK	\N	\N
3621502	2749	1998-11-30	PRIJEM	\N	448	109484	UROK	\N	\N
3621503	2749	1998-12-31	PRIJEM	\N	452	98505	UROK	\N	\N
3621504	2750	1995-05-31	PRIJEM	\N	35	13711	UROK	\N	\N
3621505	2750	1995-06-30	PRIJEM	\N	82	23257	UROK	\N	\N
3621506	2750	1995-07-31	PRIJEM	\N	113	29446	UROK	\N	\N
3621507	2750	1995-08-31	PRIJEM	\N	135	34057	UROK	\N	\N
3621508	2750	1995-09-30	PRIJEM	\N	134	30888	UROK	\N	\N
3621509	2750	1995-10-31	PRIJEM	\N	121	27791	UROK	\N	\N
3621510	2750	1995-11-30	PRIJEM	\N	117	27090	UROK	\N	\N
3621511	2750	1995-12-31	PRIJEM	\N	111	23872	UROK	\N	\N
3621512	2750	1996-01-31	PRIJEM	\N	86	17440	UROK	\N	\N
3621513	2750	1996-02-29	PRIJEM	\N	84	20706	UROK	\N	\N
3621514	2750	1996-03-31	PRIJEM	\N	109	27398	UROK	\N	\N
3621515	2750	1996-04-30	PRIJEM	\N	114	26794	UROK	\N	\N
3621516	2750	1996-05-31	PRIJEM	\N	120	28696	UROK	\N	\N
3621517	2750	1996-06-30	PRIJEM	\N	132	30898	UROK	\N	\N
3621518	2750	1996-07-31	PRIJEM	\N	129	30610	UROK	\N	\N
3621519	2750	1996-08-31	PRIJEM	\N	125	27917	UROK	\N	\N
3621520	2750	1996-09-30	PRIJEM	\N	125	29924	UROK	\N	\N
3621521	2750	1996-10-31	PRIJEM	\N	111	25617	UROK	\N	\N
3621522	2750	1996-11-30	PRIJEM	\N	120	25919	UROK	\N	\N
3621523	2750	1996-12-31	PRIJEM	\N	135	31625	UROK	\N	\N
3621524	2750	1997-01-31	PRIJEM	\N	126	23133	UROK	\N	\N
3621525	2750	1997-02-28	PRIJEM	\N	123	30839	UROK	\N	\N
3621526	2750	1997-03-31	PRIJEM	\N	136	32657	UROK	\N	\N
3621527	2750	1997-04-30	PRIJEM	\N	141	33581	UROK	\N	\N
3621528	2750	1997-05-31	PRIJEM	\N	146	34909	UROK	\N	\N
3621529	2750	1997-06-30	PRIJEM	\N	169	37549	UROK	\N	\N
3621530	2750	1997-07-31	PRIJEM	\N	143	33674	UROK	\N	\N
3621531	2750	1997-08-31	PRIJEM	\N	143	33200	UROK	\N	\N
3621532	2750	1997-09-30	PRIJEM	\N	145	33727	UROK	\N	\N
3621533	2750	1997-10-31	PRIJEM	\N	149	37859	UROK	\N	\N
3621534	2750	1997-11-30	PRIJEM	\N	165	39206	UROK	\N	\N
3621535	2750	1997-12-31	PRIJEM	\N	176	38252	UROK	\N	\N
3621536	2750	1998-01-31	PRIJEM	\N	148	32182	UROK	\N	\N
3621537	2750	1998-02-28	PRIJEM	\N	144	41409	UROK	\N	\N
3621538	2750	1998-03-31	PRIJEM	\N	173	42564	UROK	\N	\N
3621539	2750	1998-04-30	PRIJEM	\N	183	43729	UROK	\N	\N
3621540	2750	1998-05-31	PRIJEM	\N	180	40191	UROK	\N	\N
3621541	2750	1998-06-30	PRIJEM	\N	135	31797	UROK	\N	\N
3621542	2750	1998-07-31	PRIJEM	\N	143	38522	UROK	\N	\N
3621543	2750	1998-08-31	PRIJEM	\N	167	40071	UROK	\N	\N
3621544	2750	1998-09-30	PRIJEM	\N	173	41826	UROK	\N	\N
3621545	2750	1998-10-31	PRIJEM	\N	183	45992	UROK	\N	\N
3621546	2750	1998-11-30	PRIJEM	\N	193	43667	UROK	\N	\N
3621547	2750	1998-12-31	PRIJEM	\N	184	43721	UROK	\N	\N
3621548	2751	1995-05-31	PRIJEM	\N	8	15596	UROK	\N	\N
3621549	2751	1995-06-30	PRIJEM	\N	71	26549	UROK	\N	\N
3621550	2751	1995-07-31	PRIJEM	\N	111	27548	UROK	\N	\N
3621551	2751	1995-08-31	PRIJEM	\N	117	30453	UROK	\N	\N
3621552	2751	1995-09-30	PRIJEM	\N	134	29392	UROK	\N	\N
3621553	2751	1995-10-31	PRIJEM	\N	131	30514	UROK	\N	\N
3621554	2751	1995-11-30	PRIJEM	\N	132	29356	UROK	\N	\N
3621555	2751	1995-12-31	PRIJEM	\N	138	32638	UROK	\N	\N
3621556	2751	1996-01-31	PRIJEM	\N	125	27794	UROK	\N	\N
3621557	2751	1996-02-29	PRIJEM	\N	127	29592	UROK	\N	\N
3621558	2751	1996-03-31	PRIJEM	\N	133	31515	UROK	\N	\N
3621559	2751	1996-04-30	PRIJEM	\N	137	30642	UROK	\N	\N
3621560	2751	1996-05-31	PRIJEM	\N	139	34052	UROK	\N	\N
3621561	2751	1996-06-30	PRIJEM	\N	165	40861	UROK	\N	\N
3621562	2751	1996-07-31	PRIJEM	\N	178	42230	UROK	\N	\N
3621563	2751	1996-08-31	PRIJEM	\N	180	41400	UROK	\N	\N
3621564	2751	1996-09-30	PRIJEM	\N	178	41168	UROK	\N	\N
3621565	2751	1996-10-31	PRIJEM	\N	176	39834	UROK	\N	\N
3621566	2751	1996-11-30	PRIJEM	\N	169	38894	UROK	\N	\N
3621567	2751	1996-12-31	PRIJEM	\N	169	35708	UROK	\N	\N
3621568	2751	1997-01-31	PRIJEM	\N	143	28161	UROK	\N	\N
3621569	2751	1997-02-28	PRIJEM	\N	130	32682	UROK	\N	\N
3621570	2751	1997-03-31	PRIJEM	\N	147	31919	UROK	\N	\N
3621571	2751	1997-04-30	PRIJEM	\N	143	34351	UROK	\N	\N
3621572	2751	1997-05-31	PRIJEM	\N	151	36393	UROK	\N	\N
3621573	2751	1997-06-30	PRIJEM	\N	167	39945	UROK	\N	\N
3621574	2751	1997-07-31	PRIJEM	\N	165	37801	UROK	\N	\N
3621575	2751	1997-08-31	PRIJEM	\N	164	39355	UROK	\N	\N
3621576	2751	1997-09-30	PRIJEM	\N	165	38510	UROK	\N	\N
3621577	2751	1997-10-31	PRIJEM	\N	168	40568	UROK	\N	\N
3621578	2751	1997-11-30	PRIJEM	\N	178	39337	UROK	\N	\N
3621579	2751	1997-12-31	PRIJEM	\N	163	35065	UROK	\N	\N
3621580	2751	1998-01-31	PRIJEM	\N	125	26500	UROK	\N	\N
3621581	2751	1998-02-28	PRIJEM	\N	127	32017	UROK	\N	\N
3621582	2751	1998-03-31	PRIJEM	\N	144	33372	UROK	\N	\N
3621583	2751	1998-04-30	PRIJEM	\N	150	37112	UROK	\N	\N
3621584	2751	1998-05-31	PRIJEM	\N	159	38262	UROK	\N	\N
3621585	2751	1998-06-30	PRIJEM	\N	182	45328	UROK	\N	\N
3621586	2751	1998-07-31	PRIJEM	\N	186	42864	UROK	\N	\N
3621587	2751	1998-08-31	PRIJEM	\N	189	46344	UROK	\N	\N
3621588	2751	1998-09-30	PRIJEM	\N	197	47731	UROK	\N	\N
3621589	2751	1998-10-31	PRIJEM	\N	215	53136	UROK	\N	\N
3621590	2751	1998-11-30	PRIJEM	\N	213	50940	UROK	\N	\N
3621591	2751	1998-12-31	PRIJEM	\N	224	50528	UROK	\N	\N
3621592	2753	1996-03-31	PRIJEM	\N	59	24380	UROK	\N	\N
3621593	2753	1996-04-30	PRIJEM	\N	129	35630	UROK	\N	\N
3621594	2753	1996-05-31	PRIJEM	\N	149	36000	UROK	\N	\N
3621595	2753	1996-06-30	PRIJEM	\N	173	45005	UROK	\N	\N
3621596	2753	1996-07-31	PRIJEM	\N	175	36932	UROK	\N	\N
3621597	2753	1996-08-31	PRIJEM	\N	153	33623	UROK	\N	\N
3621598	2753	1996-09-30	PRIJEM	\N	130	25590	UROK	\N	\N
3621599	2753	1996-10-31	PRIJEM	\N	104	22231	UROK	\N	\N
3621600	2753	1996-11-30	PRIJEM	\N	101	23970	UROK	\N	\N
3621601	2753	1996-12-31	PRIJEM	\N	136	28554	UROK	\N	\N
3621602	2753	1997-01-31	PRIJEM	\N	93	18085	UROK	\N	\N
3621603	2753	1997-02-28	PRIJEM	\N	112	24935	UROK	\N	\N
3621604	2753	1997-03-31	PRIJEM	\N	116	26187	UROK	\N	\N
3621605	2753	1997-04-30	PRIJEM	\N	127	29552	UROK	\N	\N
3621606	2753	1997-05-31	PRIJEM	\N	121	26510	UROK	\N	\N
3621607	2753	1997-06-30	PRIJEM	\N	112	19570	UROK	\N	\N
3621608	2753	1997-07-31	PRIJEM	\N	81	19588	UROK	\N	\N
3621609	2753	1997-08-31	PRIJEM	\N	82	17108	UROK	\N	\N
3621610	2753	1997-09-30	PRIJEM	\N	79	17824	UROK	\N	\N
3621611	2753	1997-10-31	PRIJEM	\N	68	15062	UROK	\N	\N
3621612	2753	1997-11-30	PRIJEM	\N	102	24933	UROK	\N	\N
3621613	2753	1997-12-31	PRIJEM	\N	117	25299	UROK	\N	\N
3621614	2753	1998-01-31	PRIJEM	\N	93	19337	UROK	\N	\N
3621615	2753	1998-02-28	PRIJEM	\N	122	29727	UROK	\N	\N
3621616	2753	1998-03-31	PRIJEM	\N	155	37452	UROK	\N	\N
3621617	2753	1998-04-30	PRIJEM	\N	152	32074	UROK	\N	\N
3621618	2753	1998-05-31	PRIJEM	\N	152	36295	UROK	\N	\N
3621619	2753	1998-06-30	PRIJEM	\N	202	49477	UROK	\N	\N
3621620	2753	1998-07-31	PRIJEM	\N	166	31413	UROK	\N	\N
3621621	2753	1998-08-31	PRIJEM	\N	162	39744	UROK	\N	\N
3621622	2753	1998-09-30	PRIJEM	\N	135	30673	UROK	\N	\N
3621623	2753	1998-10-31	PRIJEM	\N	114	17937	UROK	\N	\N
3621624	2753	1998-11-30	PRIJEM	\N	116	26722	UROK	\N	\N
3621625	2753	1998-12-31	PRIJEM	\N	155	32257	UROK	\N	\N
3621626	2754	1996-02-29	PRIJEM	\N	23	32235	UROK	\N	\N
3621627	2754	1996-03-31	PRIJEM	\N	147	48394	UROK	\N	\N
3621628	2754	1996-04-30	PRIJEM	\N	208	57215	UROK	\N	\N
3621629	2754	1996-05-31	PRIJEM	\N	241	60467	UROK	\N	\N
3621630	2754	1996-06-30	PRIJEM	\N	314	48246	UROK	\N	\N
3621631	2754	1996-07-31	PRIJEM	\N	251	45770	UROK	\N	\N
3621632	2754	1996-08-31	PRIJEM	\N	223	38668	UROK	\N	\N
3621633	2754	1996-09-30	PRIJEM	\N	167	31290	UROK	\N	\N
3621634	2754	1996-10-31	PRIJEM	\N	144	27596	UROK	\N	\N
3621635	2754	1996-11-30	PRIJEM	\N	156	30026	UROK	\N	\N
3621636	2754	1996-12-31	PRIJEM	\N	196	34252	UROK	\N	\N
3621637	2754	1997-01-31	PRIJEM	\N	172	27398	UROK	\N	\N
3621638	2754	1997-02-28	PRIJEM	\N	148	31021	UROK	\N	\N
3621639	2754	1997-03-31	PRIJEM	\N	159	24752	UROK	\N	\N
3621640	2754	1997-04-30	PRIJEM	\N	155	29881	UROK	\N	\N
3621641	2754	1997-05-31	PRIJEM	\N	157	29126	UROK	\N	\N
3621642	2754	1997-06-30	PRIJEM	\N	174	22778	UROK	\N	\N
3621643	2754	1997-07-31	PRIJEM	\N	115	17581	UROK	\N	\N
3621644	2754	1997-08-31	PRIJEM	\N	104	17673	UROK	\N	\N
3621645	2754	1997-09-30	PRIJEM	\N	147	42126	UROK	\N	\N
3621646	2754	1997-10-31	PRIJEM	\N	175	32190	UROK	\N	\N
3621647	2754	1997-11-30	PRIJEM	\N	144	27223	UROK	\N	\N
3621648	2754	1997-12-31	PRIJEM	\N	162	35429	UROK	\N	\N
3621649	2754	1998-01-31	PRIJEM	\N	139	26556	UROK	\N	\N
3621650	2754	1998-02-28	PRIJEM	\N	107	20351	UROK	\N	\N
3621651	2754	1998-03-31	PRIJEM	\N	101	18941	UROK	\N	\N
3621652	2754	1998-04-30	PRIJEM	\N	88	17717	UROK	\N	\N
3621653	2754	1998-05-31	PRIJEM	\N	142	38125	UROK	\N	\N
3621654	2754	1998-06-30	PRIJEM	\N	168	36537	UROK	\N	\N
3621655	2754	1998-07-31	PRIJEM	\N	128	24054	UROK	\N	\N
3621656	2754	1998-08-31	PRIJEM	\N	80	15123	UROK	\N	\N
3621657	2754	1998-09-30	PRIJEM	\N	162	47074	UROK	\N	\N
3621658	2754	1998-10-31	PRIJEM	\N	243	21406	UROK	\N	\N
3621659	2754	1998-11-30	PRIJEM	\N	188	53382	UROK	\N	\N
3621660	2754	1998-12-31	PRIJEM	\N	257	75483	UROK	\N	\N
3621661	2755	1995-06-30	PRIJEM	\N	55	20693	UROK	\N	\N
3621662	2755	1995-07-31	PRIJEM	\N	84	18166	UROK	\N	\N
3621663	2755	1995-08-31	PRIJEM	\N	81	20117	UROK	\N	\N
3621664	2755	1995-09-30	PRIJEM	\N	80	18226	UROK	\N	\N
3621665	2755	1995-10-31	PRIJEM	\N	81	20176	UROK	\N	\N
3621666	2755	1995-11-30	PRIJEM	\N	89	22135	UROK	\N	\N
3621667	2755	1995-12-31	PRIJEM	\N	96	23500	UROK	\N	\N
3621668	2755	1996-01-31	PRIJEM	\N	88	17138	UROK	\N	\N
3621669	2755	1996-02-29	PRIJEM	\N	76	19083	UROK	\N	\N
3621670	2755	1996-03-31	PRIJEM	\N	84	20157	UROK	\N	\N
3621671	2755	1996-04-30	PRIJEM	\N	89	22115	UROK	\N	\N
3621672	2755	1996-05-31	PRIJEM	\N	101	22566	UROK	\N	\N
3621673	2755	1996-06-30	PRIJEM	\N	102	23737	UROK	\N	\N
3621674	2755	1996-07-31	PRIJEM	\N	104	25311	UROK	\N	\N
3621675	2755	1996-08-31	PRIJEM	\N	107	24407	UROK	\N	\N
3621676	2755	1996-09-30	PRIJEM	\N	107	26383	UROK	\N	\N
3621677	2755	1996-10-31	PRIJEM	\N	112	26764	UROK	\N	\N
3621678	2755	1996-11-30	PRIJEM	\N	116	28750	UROK	\N	\N
3621679	2755	1996-12-31	PRIJEM	\N	125	29344	UROK	\N	\N
3621680	2755	1997-01-31	PRIJEM	\N	112	22226	UROK	\N	\N
3621681	2755	1997-02-28	PRIJEM	\N	97	24192	UROK	\N	\N
3621682	2755	1997-03-31	PRIJEM	\N	106	26167	UROK	\N	\N
3621683	2755	1997-04-30	PRIJEM	\N	111	26848	UROK	\N	\N
3621684	2755	1997-05-31	PRIJEM	\N	117	28834	UROK	\N	\N
3621685	2755	1997-06-30	PRIJEM	\N	101	21714	UROK	\N	\N
3621686	2755	1997-07-31	PRIJEM	\N	95	23678	UROK	\N	\N
3621687	2755	1997-08-31	PRIJEM	\N	90	20118	UROK	\N	\N
3621688	2755	1997-09-30	PRIJEM	\N	85	19672	UROK	\N	\N
3621689	2755	1997-10-31	PRIJEM	\N	85	19247	UROK	\N	\N
3621690	2755	1997-11-30	PRIJEM	\N	78	18394	UROK	\N	\N
3621691	2755	1997-12-31	PRIJEM	\N	76	16739	UROK	\N	\N
3621692	2755	1998-01-31	PRIJEM	\N	65	14434	UROK	\N	\N
3621693	2755	1998-02-28	PRIJEM	\N	64	16368	UROK	\N	\N
3621694	2755	1998-03-31	PRIJEM	\N	64	14861	UROK	\N	\N
3621695	2755	1998-04-30	PRIJEM	\N	66	16797	UROK	\N	\N
3621696	2755	1998-05-31	PRIJEM	\N	74	18741	UROK	\N	\N
3621697	2755	1998-06-30	PRIJEM	\N	79	18048	UROK	\N	\N
3621698	2755	1998-07-31	PRIJEM	\N	79	19997	UROK	\N	\N
3621699	2755	1998-08-31	PRIJEM	\N	83	19249	UROK	\N	\N
3621700	2755	1998-09-30	PRIJEM	\N	84	21203	UROK	\N	\N
3621701	2755	1998-10-31	PRIJEM	\N	94	22266	UROK	\N	\N
3621702	2755	1998-11-30	PRIJEM	\N	92	21428	UROK	\N	\N
3621703	2755	1998-12-31	PRIJEM	\N	75	16722	UROK	\N	\N
3621704	2756	1997-11-30	PRIJEM	\N	37	24133	UROK	\N	\N
3621705	2756	1997-12-31	PRIJEM	\N	128	41455	UROK	\N	\N
3621706	2756	1998-01-31	PRIJEM	\N	180	45731	UROK	\N	\N
3621707	2756	1998-02-28	PRIJEM	\N	186	43312	UROK	\N	\N
3621708	2756	1998-03-31	PRIJEM	\N	179	42688	UROK	\N	\N
3621709	2756	1998-04-30	PRIJEM	\N	182	32849	UROK	\N	\N
3621710	2756	1998-05-31	PRIJEM	\N	142	23571	UROK	\N	\N
3621711	2756	1998-06-30	PRIJEM	\N	116	20564	UROK	\N	\N
3621712	2756	1998-07-31	PRIJEM	\N	105	20848	UROK	\N	\N
3621713	2756	1998-08-31	PRIJEM	\N	97	21525	UROK	\N	\N
3621714	2756	1998-09-30	PRIJEM	\N	104	20909	UROK	\N	\N
3621715	2756	1998-10-31	PRIJEM	\N	108	23496	UROK	\N	\N
3621716	2756	1998-11-30	PRIJEM	\N	109	22085	UROK	\N	\N
3621717	2756	1998-12-31	PRIJEM	\N	124	24586	UROK	\N	\N
3621718	2757	1996-10-31	PRIJEM	\N	42	13545	UROK	\N	\N
3621719	2757	1996-11-30	PRIJEM	\N	57	13936	UROK	\N	\N
3621720	2757	1996-12-31	PRIJEM	\N	58	13788	UROK	\N	\N
3621721	2757	1997-01-31	PRIJEM	\N	53	12586	UROK	\N	\N
3621722	2757	1997-02-28	PRIJEM	\N	55	13665	UROK	\N	\N
3621723	2757	1997-03-31	PRIJEM	\N	66	14756	UROK	\N	\N
3621724	2757	1997-04-30	PRIJEM	\N	63	15213	UROK	\N	\N
3621725	2757	1997-05-31	PRIJEM	\N	72	16310	UROK	\N	\N
3621726	2757	1997-06-30	PRIJEM	\N	72	12876	UROK	\N	\N
3621727	2757	1997-07-31	PRIJEM	\N	57	13957	UROK	\N	\N
3621728	2757	1997-08-31	PRIJEM	\N	61	15042	UROK	\N	\N
3621729	2757	1997-09-30	PRIJEM	\N	71	16138	UROK	\N	\N
3621730	2757	1997-10-31	PRIJEM	\N	76	17239	UROK	\N	\N
3621731	2757	1997-11-30	PRIJEM	\N	80	18133	UROK	\N	\N
3621732	2757	1997-12-31	PRIJEM	\N	80	18697	UROK	\N	\N
3621733	2757	1998-01-31	PRIJEM	\N	75	16856	UROK	\N	\N
3621734	2757	1998-02-28	PRIJEM	\N	69	16629	UROK	\N	\N
3621735	2757	1998-03-31	PRIJEM	\N	78	17732	UROK	\N	\N
3621736	2757	1998-04-30	PRIJEM	\N	74	17601	UROK	\N	\N
3621737	2757	1998-05-31	PRIJEM	\N	82	18707	UROK	\N	\N
3621738	2757	1998-06-30	PRIJEM	\N	77	16089	UROK	\N	\N
3621739	2757	1998-07-31	PRIJEM	\N	70	17183	UROK	\N	\N
3621740	2757	1998-08-31	PRIJEM	\N	74	18282	UROK	\N	\N
3621741	2757	1998-09-30	PRIJEM	\N	78	18664	UROK	\N	\N
3621742	2757	1998-10-31	PRIJEM	\N	81	19768	UROK	\N	\N
3621743	2757	1998-11-30	PRIJEM	\N	83	18565	UROK	\N	\N
3621744	2757	1998-12-31	PRIJEM	\N	77	18617	UROK	\N	\N
3621745	2758	1993-06-30	PRIJEM	\N	31	17089	UROK	\N	\N
3621746	2758	1993-07-31	PRIJEM	\N	82	22810	UROK	\N	\N
3621747	2758	1993-08-31	PRIJEM	\N	106	28555	UROK	\N	\N
3621748	2758	1993-09-30	PRIJEM	\N	121	29915	UROK	\N	\N
3621749	2758	1993-10-31	PRIJEM	\N	128	31682	UROK	\N	\N
3621750	2758	1993-11-30	PRIJEM	\N	117	26911	UROK	\N	\N
3621751	2758	1993-12-31	PRIJEM	\N	109	27332	UROK	\N	\N
3621752	2758	1994-01-31	PRIJEM	\N	85	14609	UROK	\N	\N
3621753	2758	1994-02-28	PRIJEM	\N	80	22722	UROK	\N	\N
3621754	2758	1994-03-31	PRIJEM	\N	101	24675	UROK	\N	\N
3621755	2758	1994-04-30	PRIJEM	\N	101	23909	UROK	\N	\N
3621756	2758	1994-05-31	PRIJEM	\N	107	26748	UROK	\N	\N
3621757	2758	1994-06-30	PRIJEM	\N	112	20191	UROK	\N	\N
3621758	2758	1994-07-31	PRIJEM	\N	99	26122	UROK	\N	\N
3621759	2758	1994-08-31	PRIJEM	\N	99	20353	UROK	\N	\N
3621760	2758	1994-09-30	PRIJEM	\N	100	26286	UROK	\N	\N
3621761	2758	1994-10-31	PRIJEM	\N	122	31140	UROK	\N	\N
3621762	2758	1994-11-30	PRIJEM	\N	133	33205	UROK	\N	\N
3621763	2758	1994-12-31	PRIJEM	\N	133	31470	UROK	\N	\N
3621764	2758	1995-01-31	PRIJEM	\N	80	19322	UROK	\N	\N
3621765	2758	1995-02-28	PRIJEM	\N	106	29061	UROK	\N	\N
3621766	2758	1995-03-31	PRIJEM	\N	117	26390	UROK	\N	\N
3621767	2758	1995-04-30	PRIJEM	\N	114	27876	UROK	\N	\N
3621768	2758	1995-05-31	PRIJEM	\N	127	32535	UROK	\N	\N
3621769	2758	1995-06-30	PRIJEM	\N	128	26315	UROK	\N	\N
3621770	2758	1995-07-31	PRIJEM	\N	117	29964	UROK	\N	\N
3621771	2758	1995-08-31	PRIJEM	\N	140	36136	UROK	\N	\N
3621772	2758	1995-09-30	PRIJEM	\N	137	34226	UROK	\N	\N
3621773	2758	1995-10-31	PRIJEM	\N	146	37204	UROK	\N	\N
3621774	2758	1995-11-30	PRIJEM	\N	163	41599	UROK	\N	\N
3621775	2758	1995-12-31	PRIJEM	\N	164	38994	UROK	\N	\N
3621776	2758	1996-01-31	PRIJEM	\N	142	25249	UROK	\N	\N
3621777	2758	1996-02-29	PRIJEM	\N	128	33809	UROK	\N	\N
3621778	2758	1996-03-31	PRIJEM	\N	148	37889	UROK	\N	\N
3621779	2758	1996-04-30	PRIJEM	\N	150	37971	UROK	\N	\N
3621780	2758	1996-05-31	PRIJEM	\N	147	35271	UROK	\N	\N
3621781	2758	1996-06-30	PRIJEM	\N	165	43788	UROK	\N	\N
3621782	2758	1996-07-31	PRIJEM	\N	159	40179	UROK	\N	\N
3621783	2758	1996-08-31	PRIJEM	\N	162	39633	UROK	\N	\N
3621784	2758	1996-09-30	PRIJEM	\N	184	43229	UROK	\N	\N
3621785	2758	1996-10-31	PRIJEM	\N	184	43745	UROK	\N	\N
3621786	2758	1996-11-30	PRIJEM	\N	187	46965	UROK	\N	\N
3621787	2758	1996-12-31	PRIJEM	\N	185	50281	UROK	\N	\N
3621788	2758	1997-01-31	PRIJEM	\N	152	38086	UROK	\N	\N
3621789	2758	1997-02-28	PRIJEM	\N	164	44582	UROK	\N	\N
3621790	2758	1997-03-31	PRIJEM	\N	191	48505	UROK	\N	\N
3621791	2758	1997-04-30	PRIJEM	\N	204	45842	UROK	\N	\N
3621792	2758	1997-05-31	PRIJEM	\N	190	42825	UROK	\N	\N
3621793	2758	1997-06-30	PRIJEM	\N	192	49868	UROK	\N	\N
3621794	2758	1997-07-31	PRIJEM	\N	202	47703	UROK	\N	\N
3621795	2758	1997-08-31	PRIJEM	\N	191	44286	UROK	\N	\N
3621796	2758	1997-09-30	PRIJEM	\N	177	40315	UROK	\N	\N
3621797	2758	1997-10-31	PRIJEM	\N	173	43820	UROK	\N	\N
3621798	2758	1997-11-30	PRIJEM	\N	186	46539	UROK	\N	\N
3621799	2758	1997-12-31	PRIJEM	\N	208	53998	UROK	\N	\N
3621800	2758	1998-01-31	PRIJEM	\N	174	41305	UROK	\N	\N
3621801	2758	1998-02-28	PRIJEM	\N	182	50219	UROK	\N	\N
3621802	2758	1998-03-31	PRIJEM	\N	216	56367	UROK	\N	\N
3621803	2758	1998-04-30	PRIJEM	\N	235	57155	UROK	\N	\N
3621804	2758	1998-05-31	PRIJEM	\N	241	60028	UROK	\N	\N
3621805	2758	1998-06-30	PRIJEM	\N	250	35009	UROK	\N	\N
3621806	2758	1998-07-31	PRIJEM	\N	162	47604	UROK	\N	\N
3621807	2758	1998-08-31	PRIJEM	\N	204	57160	UROK	\N	\N
3621808	2758	1998-09-30	PRIJEM	\N	244	62236	UROK	\N	\N
3621809	2758	1998-10-31	PRIJEM	\N	261	64329	UROK	\N	\N
3621810	2758	1998-11-30	PRIJEM	\N	266	64327	UROK	\N	\N
3621811	2758	1998-12-31	PRIJEM	\N	276	67335	UROK	\N	\N
3621812	2759	1996-11-30	PRIJEM	\N	32	25467	UROK	\N	\N
3621813	2759	1996-12-31	PRIJEM	\N	148	71586	UROK	\N	\N
3621814	2759	1997-01-31	PRIJEM	\N	311	84242	UROK	\N	\N
3621815	2759	1997-02-28	PRIJEM	\N	350	53592	UROK	\N	\N
3621816	2759	1997-03-31	PRIJEM	\N	350	36042	UROK	\N	\N
3621817	2759	1997-04-30	PRIJEM	\N	350	27091	UROK	\N	\N
3621818	2759	1997-05-31	PRIJEM	\N	350	23741	UROK	\N	\N
3621819	2759	1997-06-30	PRIJEM	\N	286	33199	UROK	\N	\N
3621820	2759	1997-07-31	PRIJEM	\N	119	21512	UROK	\N	\N
3621821	2759	1997-08-31	PRIJEM	\N	76	14081	UROK	\N	\N
3621822	2759	1997-09-30	PRIJEM	\N	71	17930	UROK	\N	\N
3621823	2759	1997-10-31	PRIJEM	\N	67	16214	UROK	\N	\N
3621824	2759	1997-11-30	PRIJEM	\N	66	3573	UROK	\N	\N
3621825	2759	1997-12-31	PRIJEM	\N	58	43695	UROK	\N	\N
3621826	2759	1998-01-31	PRIJEM	\N	161	25069	UROK	\N	\N
3621827	2759	1998-02-28	PRIJEM	\N	247	54053	UROK	\N	\N
3621828	2759	1998-03-31	PRIJEM	\N	252	78781	UROK	\N	\N
3621829	2759	1998-04-30	PRIJEM	\N	204	29467	UROK	\N	\N
3621830	2759	1998-05-31	PRIJEM	\N	139	34716	UROK	\N	\N
3621831	2759	1998-06-30	PRIJEM	\N	128	24537	UROK	\N	\N
3621832	2759	1998-07-31	PRIJEM	\N	218	67860	UROK	\N	\N
3621833	2759	1998-08-31	PRIJEM	\N	262	38806	UROK	\N	\N
3621834	2759	1998-09-30	PRIJEM	\N	281	92928	UROK	\N	\N
3621835	2759	1998-10-31	PRIJEM	\N	305	52989	UROK	\N	\N
3621836	2759	1998-11-30	PRIJEM	\N	238	57242	UROK	\N	\N
3621837	2759	1998-12-31	PRIJEM	\N	178	31904	UROK	\N	\N
3621838	2760	1997-04-30	PRIJEM	\N	56	22576	UROK	\N	\N
3621839	2760	1997-05-31	PRIJEM	\N	124	34420	UROK	\N	\N
3621840	2760	1997-06-30	PRIJEM	\N	159	40459	UROK	\N	\N
3621841	2760	1997-07-31	PRIJEM	\N	170	41249	UROK	\N	\N
3621842	2760	1997-08-31	PRIJEM	\N	173	40873	UROK	\N	\N
3621843	2760	1997-09-30	PRIJEM	\N	158	35591	UROK	\N	\N
3621844	2760	1997-10-31	PRIJEM	\N	143	32594	UROK	\N	\N
3621845	2760	1997-11-30	PRIJEM	\N	132	29766	UROK	\N	\N
3621846	2760	1997-12-31	PRIJEM	\N	175	40242	UROK	\N	\N
3621847	2760	1998-01-31	PRIJEM	\N	106	16208	UROK	\N	\N
3621848	2760	1998-02-28	PRIJEM	\N	110	28299	UROK	\N	\N
3621849	2760	1998-03-31	PRIJEM	\N	154	35034	UROK	\N	\N
3621850	2760	1998-04-30	PRIJEM	\N	148	35462	UROK	\N	\N
3621851	2760	1998-05-31	PRIJEM	\N	144	32906	UROK	\N	\N
3621852	2760	1998-06-30	PRIJEM	\N	134	32040	UROK	\N	\N
3621853	2760	1998-07-31	PRIJEM	\N	146	35446	UROK	\N	\N
3621854	2760	1998-08-31	PRIJEM	\N	191	48198	UROK	\N	\N
3621855	2760	1998-09-30	PRIJEM	\N	221	54279	UROK	\N	\N
3621856	2760	1998-10-31	PRIJEM	\N	227	54766	UROK	\N	\N
3621857	2760	1998-11-30	PRIJEM	\N	224	53951	UROK	\N	\N
3621858	2760	1998-12-31	PRIJEM	\N	252	60923	UROK	\N	\N
3621859	2761	1997-01-31	PRIJEM	\N	18	18619	UROK	\N	\N
3621860	2761	1997-02-28	PRIJEM	\N	83	26002	UROK	\N	\N
3621861	2761	1997-03-31	PRIJEM	\N	112	31316	UROK	\N	\N
3621862	2761	1997-04-30	PRIJEM	\N	130	31647	UROK	\N	\N
3621863	2761	1997-05-31	PRIJEM	\N	133	32981	UROK	\N	\N
3621864	2761	1997-06-30	PRIJEM	\N	176	36956	UROK	\N	\N
3621865	2761	1997-07-31	PRIJEM	\N	169	33873	UROK	\N	\N
3621866	2761	1997-08-31	PRIJEM	\N	153	29475	UROK	\N	\N
3621867	2761	1997-09-30	PRIJEM	\N	140	30463	UROK	\N	\N
3621868	2761	1997-10-31	PRIJEM	\N	138	28950	UROK	\N	\N
3621869	2761	1997-11-30	PRIJEM	\N	134	27932	UROK	\N	\N
3621870	2761	1997-12-31	PRIJEM	\N	136	26067	UROK	\N	\N
3621871	2761	1998-01-31	PRIJEM	\N	90	15106	UROK	\N	\N
3621872	2761	1998-02-28	PRIJEM	\N	68	11622	UROK	\N	\N
3621873	2761	1998-03-31	PRIJEM	\N	65	13435	UROK	\N	\N
3621874	2761	1998-04-30	PRIJEM	\N	66	11750	UROK	\N	\N
3621875	2761	1998-05-31	PRIJEM	\N	81	23679	UROK	\N	\N
3621876	2761	1998-06-30	PRIJEM	\N	114	20892	UROK	\N	\N
3621877	2761	1998-07-31	PRIJEM	\N	86	14327	UROK	\N	\N
3621878	2761	1998-08-31	PRIJEM	\N	64	11639	UROK	\N	\N
3621879	2761	1998-09-30	PRIJEM	\N	73	20661	UROK	\N	\N
3621880	2761	1998-10-31	PRIJEM	\N	118	32627	UROK	\N	\N
3621881	2761	1998-11-30	PRIJEM	\N	99	16275	UROK	\N	\N
3621882	2761	1998-12-31	PRIJEM	\N	124	37297	UROK	\N	\N
3621883	2762	1993-03-31	PRIJEM	\N	29	30889	UROK	\N	\N
3621884	2762	1993-04-30	PRIJEM	\N	285	64449	UROK	\N	\N
3621885	2762	1993-05-31	PRIJEM	\N	329	60175	UROK	\N	\N
3621886	2762	1993-06-30	PRIJEM	\N	229	40564	UROK	\N	\N
3621887	2762	1993-07-31	PRIJEM	\N	230	101692	UROK	\N	\N
3621888	2762	1993-08-31	PRIJEM	\N	369	108218	UROK	\N	\N
3621889	2762	1993-09-30	PRIJEM	\N	270	50028	UROK	\N	\N
3621890	2762	1993-10-31	PRIJEM	\N	166	76888	UROK	\N	\N
3621891	2762	1993-11-30	PRIJEM	\N	278	95757	UROK	\N	\N
3621892	2762	1993-12-31	PRIJEM	\N	352	79840	UROK	\N	\N
3621893	2762	1994-01-31	PRIJEM	\N	222	53358	UROK	\N	\N
3621894	2762	1994-02-28	PRIJEM	\N	213	73679	UROK	\N	\N
3621895	2762	1994-03-31	PRIJEM	\N	196	47791	UROK	\N	\N
3621896	2762	1994-04-30	PRIJEM	\N	209	100208	UROK	\N	\N
3621897	2762	1994-05-31	PRIJEM	\N	317	86517	UROK	\N	\N
3621898	2762	1994-06-30	PRIJEM	\N	197	20575	UROK	\N	\N
3621899	2762	1994-07-31	PRIJEM	\N	412	129928	UROK	\N	\N
3621900	2762	1994-08-31	PRIJEM	\N	341	77871	UROK	\N	\N
3621901	2762	1994-09-30	PRIJEM	\N	258	55619	UROK	\N	\N
3621902	2762	1994-10-31	PRIJEM	\N	217	109981	UROK	\N	\N
3621903	2762	1994-11-30	PRIJEM	\N	302	54650	UROK	\N	\N
3621904	2762	1994-12-31	PRIJEM	\N	137	21606	UROK	\N	\N
3621905	2762	1995-01-31	PRIJEM	\N	71	13496	UROK	\N	\N
3621906	2762	1995-02-28	PRIJEM	\N	62	9378	UROK	\N	\N
3621907	2762	1995-03-31	PRIJEM	\N	168	98630	UROK	\N	\N
3621908	2762	1995-04-30	PRIJEM	\N	175	26194	UROK	\N	\N
3621909	2762	1995-05-31	PRIJEM	\N	102	17115	UROK	\N	\N
3621910	2762	1995-06-30	PRIJEM	\N	50	8784	UROK	\N	\N
3621911	2762	1995-07-31	PRIJEM	\N	65	20800	UROK	\N	\N
3621912	2762	1995-08-31	PRIJEM	\N	69	13988	UROK	\N	\N
3621913	2762	1995-09-30	PRIJEM	\N	39	6446	UROK	\N	\N
3621914	2762	1995-10-31	PRIJEM	\N	83	15010	UROK	\N	\N
3621915	2762	1995-11-30	PRIJEM	\N	43	6873	UROK	\N	\N
3621916	2762	1995-12-31	PRIJEM	\N	25	5517	UROK	\N	\N
3621917	2762	1996-01-31	PRIJEM	\N	82	16351	UROK	\N	\N
3621918	2762	1996-02-29	PRIJEM	\N	209	81612	UROK	\N	\N
3621919	2762	1996-03-31	PRIJEM	\N	271	85782	UROK	\N	\N
3621920	2762	1996-04-30	PRIJEM	\N	308	67868	UROK	\N	\N
3621921	2762	1996-05-31	PRIJEM	\N	277	73328	UROK	\N	\N
3621922	2762	1996-06-30	PRIJEM	\N	221	40968	UROK	\N	\N
3621923	2762	1996-07-31	PRIJEM	\N	294	72125	UROK	\N	\N
3621924	2762	1996-08-31	PRIJEM	\N	244	69261	UROK	\N	\N
3621925	2762	1996-09-30	PRIJEM	\N	293	77103	UROK	\N	\N
3621926	2762	1996-10-31	PRIJEM	\N	174	30988	UROK	\N	\N
3621927	2762	1996-11-30	PRIJEM	\N	237	69929	UROK	\N	\N
3621928	2762	1996-12-31	PRIJEM	\N	308	63224	UROK	\N	\N
3621929	2762	1997-01-31	PRIJEM	\N	141	29026	UROK	\N	\N
3621930	2762	1997-02-28	PRIJEM	\N	229	56457	UROK	\N	\N
3621931	2762	1997-03-31	PRIJEM	\N	207	46486	UROK	\N	\N
3621932	2762	1997-04-30	PRIJEM	\N	293	67696	UROK	\N	\N
3621933	2762	1997-05-31	PRIJEM	\N	302	100839	UROK	\N	\N
3621934	2762	1997-06-30	PRIJEM	\N	439	70927	UROK	\N	\N
3621935	2762	1997-07-31	PRIJEM	\N	353	68156	UROK	\N	\N
3621936	2762	1997-08-31	PRIJEM	\N	291	72363	UROK	\N	\N
3621937	2762	1997-09-30	PRIJEM	\N	309	52794	UROK	\N	\N
3621938	2762	1997-10-31	PRIJEM	\N	257	89370	UROK	\N	\N
3621939	2762	1997-11-30	PRIJEM	\N	279	57942	UROK	\N	\N
3621940	2762	1997-12-31	PRIJEM	\N	262	62245	UROK	\N	\N
3621941	2762	1998-01-31	PRIJEM	\N	178	40384	UROK	\N	\N
3621942	2762	1998-02-28	PRIJEM	\N	377	83454	UROK	\N	\N
3621943	2762	1998-03-31	PRIJEM	\N	229	31263	UROK	\N	\N
3621944	2762	1998-04-30	PRIJEM	\N	192	46398	UROK	\N	\N
3621945	2762	1998-05-31	PRIJEM	\N	160	44417	UROK	\N	\N
3621946	2762	1998-06-30	PRIJEM	\N	166	41744	UROK	\N	\N
3621947	2762	1998-07-31	PRIJEM	\N	158	42020	UROK	\N	\N
3621948	2762	1998-08-31	PRIJEM	\N	197	89256	UROK	\N	\N
3621949	2762	1998-09-30	PRIJEM	\N	419	117611	UROK	\N	\N
3621950	2762	1998-10-31	PRIJEM	\N	373	54362	UROK	\N	\N
3621951	2762	1998-11-30	PRIJEM	\N	259	66567	UROK	\N	\N
3621952	2762	1998-12-31	PRIJEM	\N	238	49769	UROK	\N	\N
3621953	2763	1993-03-31	PRIJEM	\N	155	47076	UROK	\N	\N
3621954	2763	1993-04-30	PRIJEM	\N	206	83690	UROK	\N	\N
3621955	2763	1993-05-31	PRIJEM	\N	348	54837	UROK	\N	\N
3621956	2763	1993-06-30	PRIJEM	\N	351	92004	UROK	\N	\N
3621957	2763	1993-07-31	PRIJEM	\N	392	88482	UROK	\N	\N
3621958	2763	1993-08-31	PRIJEM	\N	229	25064	UROK	\N	\N
3621959	2763	1993-09-30	PRIJEM	\N	132	33097	UROK	\N	\N
3621960	2763	1993-10-31	PRIJEM	\N	152	32120	UROK	\N	\N
3621961	2763	1993-11-30	PRIJEM	\N	93	18596	UROK	\N	\N
3621962	2763	1993-12-31	PRIJEM	\N	57	11259	UROK	\N	\N
3621963	2763	1994-01-31	PRIJEM	\N	156	77543	UROK	\N	\N
3621964	2763	1994-02-28	PRIJEM	\N	222	38898	UROK	\N	\N
3621965	2763	1994-03-31	PRIJEM	\N	158	51687	UROK	\N	\N
3621966	2763	1994-04-30	PRIJEM	\N	353	77226	UROK	\N	\N
3621967	2763	1994-05-31	PRIJEM	\N	292	59151	UROK	\N	\N
3621968	2763	1994-06-30	PRIJEM	\N	130	19968	UROK	\N	\N
3621969	2763	1994-07-31	PRIJEM	\N	133	38984	UROK	\N	\N
3621970	2763	1994-08-31	PRIJEM	\N	259	82200	UROK	\N	\N
3621971	2763	1994-09-30	PRIJEM	\N	203	38608	UROK	\N	\N
3621972	2763	1994-10-31	PRIJEM	\N	160	57388	UROK	\N	\N
3621973	2763	1994-11-30	PRIJEM	\N	135	68959	UROK	\N	\N
3621974	2763	1994-12-31	PRIJEM	\N	216	59332	UROK	\N	\N
3621975	2763	1995-01-31	PRIJEM	\N	169	23364	UROK	\N	\N
3621976	2763	1995-02-28	PRIJEM	\N	256	83878	UROK	\N	\N
3621977	2763	1995-03-31	PRIJEM	\N	231	69804	UROK	\N	\N
3621978	2763	1995-04-30	PRIJEM	\N	281	71749	UROK	\N	\N
3621979	2763	1995-05-31	PRIJEM	\N	318	55994	UROK	\N	\N
3621980	2763	1995-06-30	PRIJEM	\N	204	51085	UROK	\N	\N
3621981	2763	1995-07-31	PRIJEM	\N	241	66033	UROK	\N	\N
3621982	2763	1995-08-31	PRIJEM	\N	167	25505	UROK	\N	\N
3621983	2763	1995-09-30	PRIJEM	\N	340	61987	UROK	\N	\N
3621984	2763	1995-10-31	PRIJEM	\N	270	52841	UROK	\N	\N
3621985	2763	1995-11-30	PRIJEM	\N	183	61142	UROK	\N	\N
3621986	2763	1995-12-31	PRIJEM	\N	297	62178	UROK	\N	\N
3621987	2763	1996-01-31	PRIJEM	\N	200	25584	UROK	\N	\N
3621988	2763	1996-02-29	PRIJEM	\N	104	32296	UROK	\N	\N
3621989	2763	1996-03-31	PRIJEM	\N	208	46090	UROK	\N	\N
3621990	2763	1996-04-30	PRIJEM	\N	169	54768	UROK	\N	\N
3621991	2763	1996-05-31	PRIJEM	\N	295	34843	UROK	\N	\N
3621992	2763	1996-06-30	PRIJEM	\N	283	47992	UROK	\N	\N
3621993	2763	1996-07-31	PRIJEM	\N	144	26141	UROK	\N	\N
3621994	2763	1996-08-31	PRIJEM	\N	169	48840	UROK	\N	\N
3621995	2763	1996-09-30	PRIJEM	\N	177	27922	UROK	\N	\N
3621996	2763	1996-10-31	PRIJEM	\N	101	18229	UROK	\N	\N
3621997	2763	1996-11-30	PRIJEM	\N	71	8805	UROK	\N	\N
3621998	2763	1996-12-31	PRIJEM	\N	69	42897	UROK	\N	\N
3621999	2763	1997-01-31	PRIJEM	\N	173	51139	UROK	\N	\N
3622000	2763	1997-02-28	PRIJEM	\N	264	39106	UROK	\N	\N
3622001	2763	1997-03-31	PRIJEM	\N	204	85538	UROK	\N	\N
3622002	2763	1997-04-30	PRIJEM	\N	325	39305	UROK	\N	\N
3622003	2763	1997-05-31	PRIJEM	\N	135	22645	UROK	\N	\N
3622004	2763	1997-06-30	PRIJEM	\N	135	55547	UROK	\N	\N
3622005	2763	1997-07-31	PRIJEM	\N	148	23065	UROK	\N	\N
3622006	2763	1997-08-31	PRIJEM	\N	113	42240	UROK	\N	\N
3622007	2763	1997-09-30	PRIJEM	\N	204	63424	UROK	\N	\N
3622008	2763	1997-10-31	PRIJEM	\N	234	57842	UROK	\N	\N
3622009	2763	1997-11-30	PRIJEM	\N	217	89630	UROK	\N	\N
3622010	2763	1997-12-31	PRIJEM	\N	383	105689	UROK	\N	\N
3622011	2763	1998-01-31	PRIJEM	\N	243	28542	UROK	\N	\N
3622012	2763	1998-02-28	PRIJEM	\N	112	19159	UROK	\N	\N
3622013	2763	1998-03-31	PRIJEM	\N	68	60851	UROK	\N	\N
3622014	2763	1998-04-30	PRIJEM	\N	180	28536	UROK	\N	\N
3622015	2763	1998-05-31	PRIJEM	\N	111	19153	UROK	\N	\N
3622016	2763	1998-06-30	PRIJEM	\N	176	63419	UROK	\N	\N
3622017	2763	1998-07-31	PRIJEM	\N	221	44549	UROK	\N	\N
3622018	2763	1998-08-31	PRIJEM	\N	165	32786	UROK	\N	\N
3622019	2763	1998-09-30	PRIJEM	\N	128	23420	UROK	\N	\N
3622020	2763	1998-10-31	PRIJEM	\N	130	66353	UROK	\N	\N
3622021	2763	1998-11-30	PRIJEM	\N	167	27925	UROK	\N	\N
3622022	2763	1998-12-31	PRIJEM	\N	119	66561	UROK	\N	\N
3622023	2764	1996-09-30	PRIJEM	\N	55	23326	UROK	\N	\N
3622024	2764	1996-10-31	PRIJEM	\N	119	32516	UROK	\N	\N
3622025	2764	1996-11-30	PRIJEM	\N	157	41143	UROK	\N	\N
3622026	2764	1996-12-31	PRIJEM	\N	193	49993	UROK	\N	\N
3622027	2764	1997-01-31	PRIJEM	\N	192	24570	UROK	\N	\N
3622028	2764	1997-02-28	PRIJEM	\N	134	33854	UROK	\N	\N
3622029	2764	1997-03-31	PRIJEM	\N	161	36745	UROK	\N	\N
3622030	2764	1997-04-30	PRIJEM	\N	185	38941	UROK	\N	\N
3622031	2764	1997-05-31	PRIJEM	\N	204	45895	UROK	\N	\N
3622032	2764	1997-06-30	PRIJEM	\N	205	41895	UROK	\N	\N
3622033	2764	1997-07-31	PRIJEM	\N	185	43831	UROK	\N	\N
3622034	2764	1997-08-31	PRIJEM	\N	197	47478	UROK	\N	\N
3622035	2764	1997-09-30	PRIJEM	\N	208	50796	UROK	\N	\N
3622036	2764	1997-10-31	PRIJEM	\N	211	47158	UROK	\N	\N
3622037	2764	1997-11-30	PRIJEM	\N	208	50916	UROK	\N	\N
3622038	2764	1997-12-31	PRIJEM	\N	221	53272	UROK	\N	\N
3622039	2764	1998-01-31	PRIJEM	\N	177	34599	UROK	\N	\N
3622040	2764	1998-02-28	PRIJEM	\N	174	43123	UROK	\N	\N
3622041	2764	1998-03-31	PRIJEM	\N	205	51279	UROK	\N	\N
3622042	2764	1998-04-30	PRIJEM	\N	231	56460	UROK	\N	\N
3622043	2764	1998-05-31	PRIJEM	\N	215	45265	UROK	\N	\N
3622044	2764	1998-06-30	PRIJEM	\N	180	42640	UROK	\N	\N
3622045	2764	1998-07-31	PRIJEM	\N	204	49695	UROK	\N	\N
3622046	2764	1998-08-31	PRIJEM	\N	254	63199	UROK	\N	\N
3622047	2764	1998-09-30	PRIJEM	\N	285	70155	UROK	\N	\N
3622048	2764	1998-10-31	PRIJEM	\N	303	73408	UROK	\N	\N
3622049	2764	1998-11-30	PRIJEM	\N	326	79385	UROK	\N	\N
3622050	2764	1998-12-31	PRIJEM	\N	370	90890	UROK	\N	\N
3622051	2765	1997-10-31	PRIJEM	\N	33	20614	UROK	\N	\N
3622052	2765	1997-11-30	PRIJEM	\N	95	25990	UROK	\N	\N
3622053	2765	1997-12-31	PRIJEM	\N	115	30327	UROK	\N	\N
3622054	2765	1998-01-31	PRIJEM	\N	120	26927	UROK	\N	\N
3622055	2765	1998-02-28	PRIJEM	\N	102	20556	UROK	\N	\N
3622056	2765	1998-03-31	PRIJEM	\N	79	15847	UROK	\N	\N
3622057	2765	1998-04-30	PRIJEM	\N	60	11220	UROK	\N	\N
3622058	2765	1998-05-31	PRIJEM	\N	53	12445	UROK	\N	\N
3622059	2765	1998-06-30	PRIJEM	\N	67	19065	UROK	\N	\N
3622060	2765	1998-07-31	PRIJEM	\N	65	11643	UROK	\N	\N
3622061	2765	1998-08-31	PRIJEM	\N	55	14310	UROK	\N	\N
3622062	2765	1998-09-30	PRIJEM	\N	66	16988	UROK	\N	\N
3622063	2765	1998-10-31	PRIJEM	\N	77	19677	UROK	\N	\N
3622064	2765	1998-11-30	PRIJEM	\N	88	22378	UROK	\N	\N
3622065	2765	1998-12-31	PRIJEM	\N	73	10864	UROK	\N	\N
3622066	2766	1997-03-31	PRIJEM	\N	26	19173	UROK	\N	\N
3622067	2766	1997-04-30	PRIJEM	\N	90	26410	UROK	\N	\N
3622068	2766	1997-05-31	PRIJEM	\N	116	30973	UROK	\N	\N
3622069	2766	1997-06-30	PRIJEM	\N	128	30872	UROK	\N	\N
3622070	2766	1997-07-31	PRIJEM	\N	122	25461	UROK	\N	\N
3622071	2766	1997-08-31	PRIJEM	\N	97	23072	UROK	\N	\N
3622072	2766	1997-09-30	PRIJEM	\N	105	27211	UROK	\N	\N
3622073	2766	1997-10-31	PRIJEM	\N	115	30201	UROK	\N	\N
3622074	2766	1997-11-30	PRIJEM	\N	132	32567	UROK	\N	\N
3622075	2766	1997-12-31	PRIJEM	\N	146	34310	UROK	\N	\N
3622076	2766	1998-01-31	PRIJEM	\N	147	37991	UROK	\N	\N
3622077	2766	1998-02-28	PRIJEM	\N	163	39889	UROK	\N	\N
3622078	2766	1998-03-31	PRIJEM	\N	173	42996	UROK	\N	\N
3622079	2766	1998-04-30	PRIJEM	\N	176	41107	UROK	\N	\N
3622080	2766	1998-05-31	PRIJEM	\N	170	41991	UROK	\N	\N
3622081	2766	1998-06-30	PRIJEM	\N	188	47037	UROK	\N	\N
3622082	2766	1998-07-31	PRIJEM	\N	208	52280	UROK	\N	\N
3622083	2766	1998-08-31	PRIJEM	\N	229	56843	UROK	\N	\N
3622084	2766	1998-09-30	PRIJEM	\N	252	62929	UROK	\N	\N
3622085	2766	1998-10-31	PRIJEM	\N	272	66835	UROK	\N	\N
3622086	2766	1998-11-30	PRIJEM	\N	278	65548	UROK	\N	\N
3622087	2766	1998-12-31	PRIJEM	\N	276	65362	UROK	\N	\N
3622088	2767	1996-04-30	PRIJEM	\N	30	24239	UROK	\N	\N
3622089	2767	1996-05-31	PRIJEM	\N	113	33662	UROK	\N	\N
3622090	2767	1996-06-30	PRIJEM	\N	154	43679	UROK	\N	\N
3622091	2767	1996-07-31	PRIJEM	\N	182	44070	UROK	\N	\N
3622092	2767	1996-08-31	PRIJEM	\N	193	41239	UROK	\N	\N
3622093	2767	1996-09-30	PRIJEM	\N	180	41142	UROK	\N	\N
3622094	2767	1996-10-31	PRIJEM	\N	179	40643	UROK	\N	\N
3622095	2767	1996-11-30	PRIJEM	\N	168	39994	UROK	\N	\N
3622096	2767	1996-12-31	PRIJEM	\N	192	48003	UROK	\N	\N
3622097	2767	1997-01-31	PRIJEM	\N	199	45224	UROK	\N	\N
3622098	2767	1997-02-28	PRIJEM	\N	188	43235	UROK	\N	\N
3622099	2767	1997-03-31	PRIJEM	\N	180	39797	UROK	\N	\N
3622100	2767	1997-04-30	PRIJEM	\N	161	34981	UROK	\N	\N
3622101	2767	1997-05-31	PRIJEM	\N	150	34954	UROK	\N	\N
3622102	2767	1997-06-30	PRIJEM	\N	125	17276	UROK	\N	\N
3622103	2767	1997-07-31	PRIJEM	\N	87	22585	UROK	\N	\N
3622104	2767	1997-08-31	PRIJEM	\N	110	27937	UROK	\N	\N
3622105	2767	1997-09-30	PRIJEM	\N	127	32487	UROK	\N	\N
3622106	2767	1997-10-31	PRIJEM	\N	135	32644	UROK	\N	\N
3622107	2767	1997-11-30	PRIJEM	\N	138	34104	UROK	\N	\N
3622108	2767	1997-12-31	PRIJEM	\N	161	41322	UROK	\N	\N
3622109	2767	1998-01-31	PRIJEM	\N	158	37503	UROK	\N	\N
3622110	2767	1998-02-28	PRIJEM	\N	176	47202	UROK	\N	\N
3622111	2767	1998-03-31	PRIJEM	\N	190	45614	UROK	\N	\N
3622112	2767	1998-04-30	PRIJEM	\N	180	43417	UROK	\N	\N
3622113	2767	1998-05-31	PRIJEM	\N	174	41894	UROK	\N	\N
3622114	2767	1998-06-30	PRIJEM	\N	180	34011	UROK	\N	\N
3622115	2767	1998-07-31	PRIJEM	\N	180	49613	UROK	\N	\N
3622116	2767	1998-08-31	PRIJEM	\N	232	59687	UROK	\N	\N
3622117	2767	1998-09-30	PRIJEM	\N	252	64681	UROK	\N	\N
3622118	2767	1998-10-31	PRIJEM	\N	263	66146	UROK	\N	\N
3622119	2767	1998-11-30	PRIJEM	\N	281	70169	UROK	\N	\N
3622120	2767	1998-12-31	PRIJEM	\N	308	80794	UROK	\N	\N
3622121	2768	1994-01-31	PRIJEM	\N	28	15877	UROK	\N	\N
3622122	2768	1994-02-28	PRIJEM	\N	78	23504	UROK	\N	\N
3622123	2768	1994-03-31	PRIJEM	\N	105	28359	UROK	\N	\N
3622124	2768	1994-04-30	PRIJEM	\N	116	27123	UROK	\N	\N
3622125	2768	1994-05-31	PRIJEM	\N	114	27986	UROK	\N	\N
3622126	2768	1994-06-30	PRIJEM	\N	112	23297	UROK	\N	\N
3622127	2768	1994-07-31	PRIJEM	\N	96	22273	UROK	\N	\N
3622128	2768	1994-08-31	PRIJEM	\N	96	23058	UROK	\N	\N
3622129	2768	1994-09-30	PRIJEM	\N	99	24336	UROK	\N	\N
3622130	2768	1994-10-31	PRIJEM	\N	108	27423	UROK	\N	\N
3622131	2768	1994-11-30	PRIJEM	\N	115	27918	UROK	\N	\N
3622132	2768	1994-12-31	PRIJEM	\N	120	29838	UROK	\N	\N
3622133	2768	1995-01-31	PRIJEM	\N	113	24190	UROK	\N	\N
3622134	2768	1995-02-28	PRIJEM	\N	109	27668	UROK	\N	\N
3622135	2768	1995-03-31	PRIJEM	\N	114	27362	UROK	\N	\N
3622136	2768	1995-04-30	PRIJEM	\N	121	30532	UROK	\N	\N
3622137	2768	1995-05-31	PRIJEM	\N	128	30209	UROK	\N	\N
3622138	2768	1995-06-30	PRIJEM	\N	118	27316	UROK	\N	\N
3622139	2768	1995-07-31	PRIJEM	\N	121	30106	UROK	\N	\N
3622140	2768	1995-08-31	PRIJEM	\N	129	31814	UROK	\N	\N
3622141	2768	1995-09-30	PRIJEM	\N	128	30522	UROK	\N	\N
3622142	2768	1995-10-31	PRIJEM	\N	119	27720	UROK	\N	\N
3622143	2768	1995-11-30	PRIJEM	\N	123	31223	UROK	\N	\N
3622144	2768	1995-12-31	PRIJEM	\N	131	32123	UROK	\N	\N
3622145	2768	1996-01-31	PRIJEM	\N	128	29290	UROK	\N	\N
3622146	2768	1996-02-29	PRIJEM	\N	126	31315	UROK	\N	\N
3622147	2768	1996-03-31	PRIJEM	\N	125	29519	UROK	\N	\N
3622148	2768	1996-04-30	PRIJEM	\N	121	29319	UROK	\N	\N
3622149	2768	1996-05-31	PRIJEM	\N	124	30523	UROK	\N	\N
3622150	2768	1996-06-30	PRIJEM	\N	113	27095	UROK	\N	\N
3622151	2768	1996-07-31	PRIJEM	\N	120	30235	UROK	\N	\N
3622152	2768	1996-08-31	PRIJEM	\N	125	30338	UROK	\N	\N
3622153	2768	1996-09-30	PRIJEM	\N	127	31155	UROK	\N	\N
3622154	2768	1996-10-31	PRIJEM	\N	137	34671	UROK	\N	\N
3622155	2768	1996-11-30	PRIJEM	\N	133	32163	UROK	\N	\N
3622156	2768	1996-12-31	PRIJEM	\N	129	31811	UROK	\N	\N
3622157	2768	1997-01-31	PRIJEM	\N	121	28921	UROK	\N	\N
3622158	2768	1997-02-28	PRIJEM	\N	115	26936	UROK	\N	\N
3622159	2768	1997-03-31	PRIJEM	\N	109	26625	UROK	\N	\N
3622160	2768	1997-04-30	PRIJEM	\N	111	27665	UROK	\N	\N
3622161	2768	1997-05-31	PRIJEM	\N	120	30464	UROK	\N	\N
3622162	2768	1997-06-30	PRIJEM	\N	130	30084	UROK	\N	\N
3622163	2768	1997-07-31	PRIJEM	\N	136	34459	UROK	\N	\N
3622164	2768	1997-08-31	PRIJEM	\N	154	39392	UROK	\N	\N
3622165	2768	1997-09-30	PRIJEM	\N	162	39644	UROK	\N	\N
3622166	2768	1997-10-31	PRIJEM	\N	154	35777	UROK	\N	\N
3622167	2768	1997-11-30	PRIJEM	\N	149	36565	UROK	\N	\N
3622168	2768	1997-12-31	PRIJEM	\N	153	39687	UROK	\N	\N
3622169	2768	1998-01-31	PRIJEM	\N	165	36911	UROK	\N	\N
3622170	2768	1998-02-28	PRIJEM	\N	155	37146	UROK	\N	\N
3622171	2768	1998-03-31	PRIJEM	\N	157	40983	UROK	\N	\N
3622172	2768	1998-04-30	PRIJEM	\N	170	38032	UROK	\N	\N
3622173	2768	1998-05-31	PRIJEM	\N	159	37070	UROK	\N	\N
3622174	2768	1998-06-30	PRIJEM	\N	151	28391	UROK	\N	\N
3622175	2768	1998-07-31	PRIJEM	\N	120	31290	UROK	\N	\N
3622176	2768	1998-08-31	PRIJEM	\N	135	37545	UROK	\N	\N
3622177	2768	1998-09-30	PRIJEM	\N	160	42184	UROK	\N	\N
3622178	2768	1998-10-31	PRIJEM	\N	172	40765	UROK	\N	\N
3622179	2768	1998-11-30	PRIJEM	\N	169	43123	UROK	\N	\N
3622180	2768	1998-12-31	PRIJEM	\N	180	44232	UROK	\N	\N
3622181	2770	1994-01-31	PRIJEM	\N	15	13470	UROK	\N	\N
3622182	2770	1994-02-28	PRIJEM	\N	65	23189	UROK	\N	\N
3622183	2770	1994-03-31	PRIJEM	\N	98	25242	UROK	\N	\N
3622184	2770	1994-04-30	PRIJEM	\N	105	25402	UROK	\N	\N
3622185	2770	1994-05-31	PRIJEM	\N	112	28100	UROK	\N	\N
3622186	2770	1994-06-30	PRIJEM	\N	110	16540	UROK	\N	\N
3622187	2770	1994-07-31	PRIJEM	\N	79	21709	UROK	\N	\N
3622188	2770	1994-08-31	PRIJEM	\N	96	23516	UROK	\N	\N
3622189	2770	1994-09-30	PRIJEM	\N	103	24689	UROK	\N	\N
3622190	2770	1994-10-31	PRIJEM	\N	106	24765	UROK	\N	\N
3622191	2770	1994-11-30	PRIJEM	\N	107	25443	UROK	\N	\N
3622192	2770	1994-12-31	PRIJEM	\N	112	27115	UROK	\N	\N
3622193	2770	1995-01-31	PRIJEM	\N	113	26169	UROK	\N	\N
3622194	2770	1995-02-28	PRIJEM	\N	106	23765	UROK	\N	\N
3622195	2770	1995-03-31	PRIJEM	\N	104	24739	UROK	\N	\N
3622196	2770	1995-04-30	PRIJEM	\N	109	27609	UROK	\N	\N
3622197	2770	1995-05-31	PRIJEM	\N	120	29199	UROK	\N	\N
3622198	2770	1995-06-30	PRIJEM	\N	118	22768	UROK	\N	\N
3622199	2770	1995-07-31	PRIJEM	\N	106	27545	UROK	\N	\N
3622200	2770	1995-08-31	PRIJEM	\N	120	29035	UROK	\N	\N
3622201	2770	1995-09-30	PRIJEM	\N	113	25689	UROK	\N	\N
3622202	2770	1995-10-31	PRIJEM	\N	115	28274	UROK	\N	\N
3622203	2770	1995-11-30	PRIJEM	\N	116	26660	UROK	\N	\N
3622204	2770	1995-12-31	PRIJEM	\N	118	28338	UROK	\N	\N
3622205	2770	1996-01-31	PRIJEM	\N	113	25721	UROK	\N	\N
3622206	2770	1996-02-29	PRIJEM	\N	105	24296	UROK	\N	\N
3622207	2770	1996-03-31	PRIJEM	\N	103	25050	UROK	\N	\N
3622208	2770	1996-04-30	PRIJEM	\N	100	23301	UROK	\N	\N
3622209	2770	1996-05-31	PRIJEM	\N	100	24171	UROK	\N	\N
3622210	2770	1996-06-30	PRIJEM	\N	94	17515	UROK	\N	\N
3622211	2770	1996-07-31	PRIJEM	\N	93	24679	UROK	\N	\N
3622212	2770	1996-08-31	PRIJEM	\N	104	24753	UROK	\N	\N
3622213	2770	1996-09-30	PRIJEM	\N	103	24506	UROK	\N	\N
3622214	2770	1996-10-31	PRIJEM	\N	118	29694	UROK	\N	\N
3622215	2770	1996-11-30	PRIJEM	\N	120	26885	UROK	\N	\N
3622216	2770	1996-12-31	PRIJEM	\N	123	30418	UROK	\N	\N
3622217	2770	1997-01-31	PRIJEM	\N	114	24992	UROK	\N	\N
3622218	2770	1997-02-28	PRIJEM	\N	107	26070	UROK	\N	\N
3622219	2770	1997-03-31	PRIJEM	\N	108	25848	UROK	\N	\N
3622220	2770	1997-04-30	PRIJEM	\N	115	28333	UROK	\N	\N
3622221	2770	1997-05-31	PRIJEM	\N	129	31833	UROK	\N	\N
3622222	2770	1997-06-30	PRIJEM	\N	128	30721	UROK	\N	\N
3622223	2770	1997-07-31	PRIJEM	\N	119	28411	UROK	\N	\N
3622224	2770	1997-08-31	PRIJEM	\N	127	30599	UROK	\N	\N
3622225	2770	1997-09-30	PRIJEM	\N	123	29492	UROK	\N	\N
3622226	2770	1997-10-31	PRIJEM	\N	133	32596	UROK	\N	\N
3622227	2770	1997-11-30	PRIJEM	\N	144	35110	UROK	\N	\N
3622228	2770	1997-12-31	PRIJEM	\N	151	35721	UROK	\N	\N
3622229	2770	1998-01-31	PRIJEM	\N	131	29992	UROK	\N	\N
3622230	2770	1998-02-28	PRIJEM	\N	142	35205	UROK	\N	\N
3622231	2770	1998-03-31	PRIJEM	\N	165	40540	UROK	\N	\N
3622232	2770	1998-04-30	PRIJEM	\N	169	41079	UROK	\N	\N
3622233	2770	1998-05-31	PRIJEM	\N	170	41290	UROK	\N	\N
3622234	2770	1998-06-30	PRIJEM	\N	175	39955	UROK	\N	\N
3622235	2770	1998-07-31	PRIJEM	\N	181	44406	UROK	\N	\N
3622236	2770	1998-08-31	PRIJEM	\N	179	43556	UROK	\N	\N
3622237	2770	1998-09-30	PRIJEM	\N	152	36738	UROK	\N	\N
3622238	2770	1998-10-31	PRIJEM	\N	167	40276	UROK	\N	\N
3622239	2770	1998-11-30	PRIJEM	\N	168	39124	UROK	\N	\N
3622240	2770	1998-12-31	PRIJEM	\N	165	40229	UROK	\N	\N
3622241	2771	1993-09-30	PRIJEM	\N	47	24109	UROK	\N	\N
3622242	2771	1993-10-31	PRIJEM	\N	116	32087	UROK	\N	\N
3622243	2771	1993-11-30	PRIJEM	\N	149	39498	UROK	\N	\N
3622244	2771	1993-12-31	PRIJEM	\N	176	45117	UROK	\N	\N
3622245	2771	1994-01-31	PRIJEM	\N	151	14461	UROK	\N	\N
3622246	2771	1994-02-28	PRIJEM	\N	91	21972	UROK	\N	\N
3622247	2771	1994-03-31	PRIJEM	\N	117	28548	UROK	\N	\N
3622248	2771	1994-04-30	PRIJEM	\N	140	30167	UROK	\N	\N
3622249	2771	1994-05-31	PRIJEM	\N	140	32027	UROK	\N	\N
3622250	2771	1994-06-30	PRIJEM	\N	147	19334	UROK	\N	\N
3622251	2771	1994-07-31	PRIJEM	\N	113	29607	UROK	\N	\N
3622252	2771	1994-08-31	PRIJEM	\N	135	31441	UROK	\N	\N
3622253	2771	1994-09-30	PRIJEM	\N	140	33241	UROK	\N	\N
3622254	2771	1994-10-31	PRIJEM	\N	153	36853	UROK	\N	\N
3622255	2771	1994-11-30	PRIJEM	\N	155	36468	UROK	\N	\N
3622256	2771	1994-12-31	PRIJEM	\N	178	41266	UROK	\N	\N
3622257	2771	1995-01-31	PRIJEM	\N	165	33810	UROK	\N	\N
3622258	2771	1995-02-28	PRIJEM	\N	176	35845	UROK	\N	\N
3622259	2771	1995-03-31	PRIJEM	\N	153	36157	UROK	\N	\N
3622260	2771	1995-04-30	PRIJEM	\N	147	33103	UROK	\N	\N
3622261	2771	1995-05-31	PRIJEM	\N	154	38216	UROK	\N	\N
3622262	2771	1995-06-30	PRIJEM	\N	147	33884	UROK	\N	\N
3622263	2771	1995-07-31	PRIJEM	\N	151	37294	UROK	\N	\N
3622264	2771	1995-08-31	PRIJEM	\N	146	34499	UROK	\N	\N
3622265	2771	1995-09-30	PRIJEM	\N	148	30467	UROK	\N	\N
3622266	2771	1995-10-31	PRIJEM	\N	127	30253	UROK	\N	\N
3622267	2771	1995-11-30	PRIJEM	\N	164	41376	UROK	\N	\N
3622268	2771	1995-12-31	PRIJEM	\N	211	45647	UROK	\N	\N
3622269	2771	1996-01-31	PRIJEM	\N	167	32554	UROK	\N	\N
3622270	2771	1996-02-29	PRIJEM	\N	155	35328	UROK	\N	\N
3622271	2771	1996-03-31	PRIJEM	\N	158	37005	UROK	\N	\N
3622272	2771	1996-04-30	PRIJEM	\N	182	45347	UROK	\N	\N
3622273	2771	1996-05-31	PRIJEM	\N	196	47301	UROK	\N	\N
3622274	2771	1996-06-30	PRIJEM	\N	170	37271	UROK	\N	\N
3622275	2771	1996-07-31	PRIJEM	\N	176	42027	UROK	\N	\N
3622276	2771	1996-08-31	PRIJEM	\N	187	45473	UROK	\N	\N
3622277	2771	1996-09-30	PRIJEM	\N	185	44217	UROK	\N	\N
3622278	2771	1996-10-31	PRIJEM	\N	183	44060	UROK	\N	\N
3622279	2771	1996-11-30	PRIJEM	\N	181	43900	UROK	\N	\N
3622280	2771	1996-12-31	PRIJEM	\N	200	33800	UROK	\N	\N
3622281	2771	1997-01-31	PRIJEM	\N	142	20542	UROK	\N	\N
3622282	2771	1997-02-28	PRIJEM	\N	119	32920	UROK	\N	\N
3622283	2771	1997-03-31	PRIJEM	\N	152	30132	UROK	\N	\N
3622284	2771	1997-04-30	PRIJEM	\N	158	32149	UROK	\N	\N
3622285	2771	1997-05-31	PRIJEM	\N	162	32090	UROK	\N	\N
3622286	2771	1997-06-30	PRIJEM	\N	191	36622	UROK	\N	\N
3622287	2771	1997-07-31	PRIJEM	\N	176	32977	UROK	\N	\N
3622288	2771	1997-08-31	PRIJEM	\N	161	31298	UROK	\N	\N
3622289	2771	1997-09-30	PRIJEM	\N	146	25803	UROK	\N	\N
3622290	2771	1997-10-31	PRIJEM	\N	135	28998	UROK	\N	\N
3622291	2771	1997-11-30	PRIJEM	\N	141	24898	UROK	\N	\N
3622292	2771	1997-12-31	PRIJEM	\N	153	27132	UROK	\N	\N
3622293	2771	1998-01-31	PRIJEM	\N	86	18637	UROK	\N	\N
3622294	2771	1998-02-28	PRIJEM	\N	104	23200	UROK	\N	\N
3622295	2771	1998-03-31	PRIJEM	\N	117	17477	UROK	\N	\N
3622296	2771	1998-04-30	PRIJEM	\N	95	17931	UROK	\N	\N
3622297	2771	1998-05-31	PRIJEM	\N	94	16885	UROK	\N	\N
3622298	2771	1998-06-30	PRIJEM	\N	117	23942	UROK	\N	\N
3622299	2771	1998-07-31	PRIJEM	\N	117	19118	UROK	\N	\N
3622300	2771	1998-08-31	PRIJEM	\N	92	16349	UROK	\N	\N
3622301	2771	1998-09-30	PRIJEM	\N	87	18195	UROK	\N	\N
3622302	2771	1998-10-31	PRIJEM	\N	93	19447	UROK	\N	\N
3622303	2771	1998-11-30	PRIJEM	\N	88	19774	UROK	\N	\N
3622304	2771	1998-12-31	PRIJEM	\N	131	36545	UROK	\N	\N
3622305	2772	1996-03-31	PRIJEM	\N	15	16407	UROK	\N	\N
3622306	2772	1996-04-30	PRIJEM	\N	77	25276	UROK	\N	\N
3622307	2772	1996-05-31	PRIJEM	\N	113	32581	UROK	\N	\N
3622308	2772	1996-06-30	PRIJEM	\N	143	39112	UROK	\N	\N
3622309	2772	1996-07-31	PRIJEM	\N	163	39767	UROK	\N	\N
3622310	2772	1996-08-31	PRIJEM	\N	167	37017	UROK	\N	\N
3622311	2772	1996-09-30	PRIJEM	\N	140	33040	UROK	\N	\N
3622312	2772	1996-10-31	PRIJEM	\N	142	32765	UROK	\N	\N
3622313	2772	1996-11-30	PRIJEM	\N	145	35894	UROK	\N	\N
3622314	2772	1996-12-31	PRIJEM	\N	161	37234	UROK	\N	\N
3622315	2772	1997-01-31	PRIJEM	\N	122	24540	UROK	\N	\N
3622316	2772	1997-02-28	PRIJEM	\N	116	31240	UROK	\N	\N
3622317	2772	1997-03-31	PRIJEM	\N	130	28853	UROK	\N	\N
3622318	2772	1997-04-30	PRIJEM	\N	114	28850	UROK	\N	\N
3622319	2772	1997-05-31	PRIJEM	\N	135	35668	UROK	\N	\N
3622320	2772	1997-06-30	PRIJEM	\N	131	20479	UROK	\N	\N
3622321	2772	1997-07-31	PRIJEM	\N	111	32974	UROK	\N	\N
3622322	2772	1997-08-31	PRIJEM	\N	146	36203	UROK	\N	\N
3622323	2772	1997-09-30	PRIJEM	\N	155	37241	UROK	\N	\N
3622324	2772	1997-10-31	PRIJEM	\N	164	40488	UROK	\N	\N
3622325	2772	1997-11-30	PRIJEM	\N	173	42245	UROK	\N	\N
3622326	2772	1997-12-31	PRIJEM	\N	181	42805	UROK	\N	\N
3622327	2772	1998-01-31	PRIJEM	\N	141	35029	UROK	\N	\N
3622328	2772	1998-02-28	PRIJEM	\N	159	40471	UROK	\N	\N
3622329	2772	1998-03-31	PRIJEM	\N	178	44533	UROK	\N	\N
3622330	2772	1998-04-30	PRIJEM	\N	182	46799	UROK	\N	\N
3622331	2772	1998-05-31	PRIJEM	\N	209	52591	UROK	\N	\N
3622332	2772	1998-06-30	PRIJEM	\N	214	31684	UROK	\N	\N
3622333	2772	1998-07-31	PRIJEM	\N	167	45635	UROK	\N	\N
3622334	2772	1998-08-31	PRIJEM	\N	200	52918	UROK	\N	\N
3622335	2772	1998-09-30	PRIJEM	\N	242	55943	UROK	\N	\N
3622336	2772	1998-10-31	PRIJEM	\N	251	63478	UROK	\N	\N
3622337	2772	1998-11-30	PRIJEM	\N	273	67534	UROK	\N	\N
3622338	2772	1998-12-31	PRIJEM	\N	295	73509	UROK	\N	\N
3622339	2773	1996-07-31	PRIJEM	\N	23	18997	UROK	\N	\N
3622340	2773	1996-08-31	PRIJEM	\N	91	28062	UROK	\N	\N
3622341	2773	1996-09-30	PRIJEM	\N	128	35964	UROK	\N	\N
3622342	2773	1996-10-31	PRIJEM	\N	147	34485	UROK	\N	\N
3622343	2773	1996-11-30	PRIJEM	\N	146	36405	UROK	\N	\N
3622344	2773	1996-12-31	PRIJEM	\N	175	40103	UROK	\N	\N
3622345	2773	1997-01-31	PRIJEM	\N	157	33117	UROK	\N	\N
3622346	2773	1997-02-28	PRIJEM	\N	147	34920	UROK	\N	\N
3622347	2773	1997-03-31	PRIJEM	\N	146	34303	UROK	\N	\N
3622348	2773	1997-04-30	PRIJEM	\N	156	37715	UROK	\N	\N
3622349	2773	1997-05-31	PRIJEM	\N	157	33828	UROK	\N	\N
3622350	2773	1997-06-30	PRIJEM	\N	155	37806	UROK	\N	\N
3622351	2773	1997-07-31	PRIJEM	\N	159	36122	UROK	\N	\N
3622352	2773	1997-08-31	PRIJEM	\N	149	34028	UROK	\N	\N
3622353	2773	1997-09-30	PRIJEM	\N	134	27218	UROK	\N	\N
3622354	2773	1997-10-31	PRIJEM	\N	122	26556	UROK	\N	\N
3622355	2773	1997-11-30	PRIJEM	\N	111	26923	UROK	\N	\N
3622356	2773	1997-12-31	PRIJEM	\N	126	30972	UROK	\N	\N
3622357	2773	1998-01-31	PRIJEM	\N	113	23682	UROK	\N	\N
3622358	2773	1998-02-28	PRIJEM	\N	125	36863	UROK	\N	\N
3622359	2773	1998-03-31	PRIJEM	\N	157	38677	UROK	\N	\N
3622360	2773	1998-04-30	PRIJEM	\N	156	37589	UROK	\N	\N
3622361	2773	1998-05-31	PRIJEM	\N	155	39400	UROK	\N	\N
3622362	2773	1998-06-30	PRIJEM	\N	206	58550	UROK	\N	\N
3622363	2773	1998-07-31	PRIJEM	\N	232	56478	UROK	\N	\N
3622364	2773	1998-08-31	PRIJEM	\N	230	57804	UROK	\N	\N
3622365	2773	1998-09-30	PRIJEM	\N	239	60199	UROK	\N	\N
3622366	2773	1998-10-31	PRIJEM	\N	242	59997	UROK	\N	\N
3622367	2773	1998-11-30	PRIJEM	\N	233	56407	UROK	\N	\N
3622368	2773	1998-12-31	PRIJEM	\N	251	67542	UROK	\N	\N
3622369	2774	1996-02-29	PRIJEM	\N	19	5761	UROK	\N	\N
3622370	2774	1996-03-31	PRIJEM	\N	76	21179	UROK	\N	\N
3622371	2774	1996-04-30	PRIJEM	\N	102	25423	UROK	\N	\N
3622372	2774	1996-05-31	PRIJEM	\N	117	28882	UROK	\N	\N
3622373	2774	1996-06-30	PRIJEM	\N	99	14855	UROK	\N	\N
3622374	2774	1996-07-31	PRIJEM	\N	81	20036	UROK	\N	\N
3622375	2774	1996-08-31	PRIJEM	\N	110	27345	UROK	\N	\N
3622376	2774	1996-09-30	PRIJEM	\N	91	20595	UROK	\N	\N
3622377	2774	1996-10-31	PRIJEM	\N	99	23893	UROK	\N	\N
3622378	2774	1996-11-30	PRIJEM	\N	100	23092	UROK	\N	\N
3622379	2774	1996-12-31	PRIJEM	\N	102	21535	UROK	\N	\N
3622380	2774	1997-01-31	PRIJEM	\N	77	18211	UROK	\N	\N
3622381	2774	1997-02-28	PRIJEM	\N	81	20091	UROK	\N	\N
3622382	2774	1997-03-31	PRIJEM	\N	78	17969	UROK	\N	\N
3622383	2774	1997-04-30	PRIJEM	\N	74	18742	UROK	\N	\N
3622384	2774	1997-05-31	PRIJEM	\N	62	16904	UROK	\N	\N
3622385	2774	1997-06-30	PRIJEM	\N	85	18009	UROK	\N	\N
3622386	2774	1997-07-31	PRIJEM	\N	71	15198	UROK	\N	\N
3622387	2774	1997-08-31	PRIJEM	\N	68	17066	UROK	\N	\N
3622388	2774	1997-09-30	PRIJEM	\N	72	11137	UROK	\N	\N
3622389	2774	1997-10-31	PRIJEM	\N	51	12987	UROK	\N	\N
3622390	2774	1997-11-30	PRIJEM	\N	57	13624	UROK	\N	\N
3622391	2774	1997-12-31	PRIJEM	\N	65	17789	UROK	\N	\N
3622392	2774	1998-01-31	PRIJEM	\N	75	16223	UROK	\N	\N
3622393	2774	1998-02-28	PRIJEM	\N	69	14592	UROK	\N	\N
3622394	2774	1998-03-31	PRIJEM	\N	64	14895	UROK	\N	\N
3622395	2774	1998-04-30	PRIJEM	\N	67	16761	UROK	\N	\N
3622396	2774	1998-05-31	PRIJEM	\N	74	18635	UROK	\N	\N
3622397	2774	1998-06-30	PRIJEM	\N	90	23245	UROK	\N	\N
3622398	2774	1998-07-31	PRIJEM	\N	97	23222	UROK	\N	\N
3622399	2774	1998-08-31	PRIJEM	\N	96	22597	UROK	\N	\N
3622400	2774	1998-09-30	PRIJEM	\N	99	24495	UROK	\N	\N
3622401	2774	1998-10-31	PRIJEM	\N	106	26401	UROK	\N	\N
3622402	2774	1998-11-30	PRIJEM	\N	114	28314	UROK	\N	\N
3622403	2774	1998-12-31	PRIJEM	\N	110	24065	UROK	\N	\N
3622404	2775	1998-01-31	PRIJEM	\N	100	29855	UROK	\N	\N
3622405	2775	1998-02-28	PRIJEM	\N	194	50504	UROK	\N	\N
3622406	2775	1998-03-31	PRIJEM	\N	238	59197	UROK	\N	\N
3622407	2775	1998-04-30	PRIJEM	\N	250	60402	UROK	\N	\N
3622408	2775	1998-05-31	PRIJEM	\N	189	36932	UROK	\N	\N
3622409	2775	1998-06-30	PRIJEM	\N	194	38952	UROK	\N	\N
3622410	2775	1998-07-31	PRIJEM	\N	175	41877	UROK	\N	\N
3622411	2775	1998-08-31	PRIJEM	\N	176	19849	UROK	\N	\N
3622412	2775	1998-09-30	PRIJEM	\N	159	35957	UROK	\N	\N
3622413	2775	1998-10-31	PRIJEM	\N	232	54438	UROK	\N	\N
3622414	2775	1998-11-30	PRIJEM	\N	278	67465	UROK	\N	\N
3622415	2775	1998-12-31	PRIJEM	\N	354	83146	UROK	\N	\N
3622416	2776	1998-01-31	PRIJEM	\N	55	13455	UROK	\N	\N
3622417	2776	1998-02-28	PRIJEM	\N	66	16619	UROK	\N	\N
3622418	2776	1998-03-31	PRIJEM	\N	80	19797	UROK	\N	\N
3622419	2776	1998-04-30	PRIJEM	\N	93	22989	UROK	\N	\N
3622420	2776	1998-05-31	PRIJEM	\N	106	22793	UROK	\N	\N
3622421	2776	1998-06-30	PRIJEM	\N	88	16179	UROK	\N	\N
3622422	2776	1998-07-31	PRIJEM	\N	73	16791	UROK	\N	\N
3622423	2776	1998-08-31	PRIJEM	\N	62	14471	UROK	\N	\N
3622424	2776	1998-09-30	PRIJEM	\N	71	17640	UROK	\N	\N
3622425	2776	1998-10-31	PRIJEM	\N	80	19458	UROK	\N	\N
3622426	2776	1998-11-30	PRIJEM	\N	62	14219	UROK	\N	\N
3622427	2776	1998-12-31	PRIJEM	\N	64	15781	UROK	\N	\N
3622428	2778	1994-01-31	PRIJEM	\N	7	17649	UROK	\N	\N
3622429	2778	1994-02-28	PRIJEM	\N	75	30766	UROK	\N	\N
3622430	2778	1994-03-31	PRIJEM	\N	123	34831	UROK	\N	\N
3622431	2778	1994-04-30	PRIJEM	\N	145	36518	UROK	\N	\N
3622432	2778	1994-05-31	PRIJEM	\N	162	31110	UROK	\N	\N
3622433	2778	1994-06-30	PRIJEM	\N	163	34408	UROK	\N	\N
3622434	2778	1994-07-31	PRIJEM	\N	157	30379	UROK	\N	\N
3622435	2778	1994-08-31	PRIJEM	\N	131	25544	UROK	\N	\N
3622436	2778	1994-09-30	PRIJEM	\N	121	25180	UROK	\N	\N
3622437	2778	1994-10-31	PRIJEM	\N	119	25413	UROK	\N	\N
3622438	2778	1994-11-30	PRIJEM	\N	104	24111	UROK	\N	\N
3622439	2778	1994-12-31	PRIJEM	\N	126	26772	UROK	\N	\N
3622440	2778	1995-01-31	PRIJEM	\N	126	29113	UROK	\N	\N
3622441	2778	1995-02-28	PRIJEM	\N	133	28560	UROK	\N	\N
3622442	2778	1995-03-31	PRIJEM	\N	128	24703	UROK	\N	\N
3622443	2778	1995-04-30	PRIJEM	\N	113	22431	UROK	\N	\N
3622444	2778	1995-05-31	PRIJEM	\N	105	21750	UROK	\N	\N
3622445	2778	1995-06-30	PRIJEM	\N	104	23069	UROK	\N	\N
3622446	2778	1995-07-31	PRIJEM	\N	105	20728	UROK	\N	\N
3622447	2778	1995-08-31	PRIJEM	\N	100	23242	UROK	\N	\N
3622448	2778	1995-09-30	PRIJEM	\N	108	24364	UROK	\N	\N
3622449	2778	1995-10-31	PRIJEM	\N	105	20584	UROK	\N	\N
3622450	2778	1995-11-30	PRIJEM	\N	93	19591	UROK	\N	\N
3622451	2778	1995-12-31	PRIJEM	\N	101	19987	UROK	\N	\N
3622452	2778	1996-01-31	PRIJEM	\N	85	16786	UROK	\N	\N
3622453	2778	1996-02-29	PRIJEM	\N	76	17377	UROK	\N	\N
3622454	2778	1996-03-31	PRIJEM	\N	75	15127	UROK	\N	\N
3622455	2778	1996-04-30	PRIJEM	\N	68	14409	UROK	\N	\N
3622456	2778	1996-05-31	PRIJEM	\N	71	17194	UROK	\N	\N
3622457	2778	1996-06-30	PRIJEM	\N	90	21119	UROK	\N	\N
3622458	2778	1996-07-31	PRIJEM	\N	88	18722	UROK	\N	\N
3622459	2778	1996-08-31	PRIJEM	\N	84	18760	UROK	\N	\N
3622460	2778	1996-09-30	PRIJEM	\N	79	17653	UROK	\N	\N
3622461	2778	1996-10-31	PRIJEM	\N	69	14636	UROK	\N	\N
3622462	2778	1996-11-30	PRIJEM	\N	78	13529	UROK	\N	\N
3622463	2778	1996-12-31	PRIJEM	\N	70	17234	UROK	\N	\N
3622464	2778	1997-01-31	PRIJEM	\N	68	15757	UROK	\N	\N
3622465	2778	1997-02-28	PRIJEM	\N	58	13030	UROK	\N	\N
3622466	2778	1997-03-31	PRIJEM	\N	73	20117	UROK	\N	\N
3622467	2778	1997-04-30	PRIJEM	\N	80	18411	UROK	\N	\N
3622468	2778	1997-05-31	PRIJEM	\N	78	18703	UROK	\N	\N
3622469	2778	1997-06-30	PRIJEM	\N	75	16634	UROK	\N	\N
3622470	2778	1997-07-31	PRIJEM	\N	69	16617	UROK	\N	\N
3622471	2778	1997-08-31	PRIJEM	\N	69	16400	UROK	\N	\N
3622472	2778	1997-09-30	PRIJEM	\N	50	10465	UROK	\N	\N
3622473	2778	1997-10-31	PRIJEM	\N	58	15736	UROK	\N	\N
3622474	2778	1997-11-30	PRIJEM	\N	44	7194	UROK	\N	\N
3622475	2778	1997-12-31	PRIJEM	\N	34	7363	UROK	\N	\N
3622476	2778	1998-01-31	PRIJEM	\N	49	14426	UROK	\N	\N
3622477	2778	1998-02-28	PRIJEM	\N	70	16110	UROK	\N	\N
3622478	2778	1998-03-31	PRIJEM	\N	37	6562	UROK	\N	\N
3622479	2778	1998-04-30	PRIJEM	\N	45	13621	UROK	\N	\N
3622480	2778	1998-05-31	PRIJEM	\N	74	20710	UROK	\N	\N
3622481	2778	1998-06-30	PRIJEM	\N	118	31483	UROK	\N	\N
3622482	2778	1998-07-31	PRIJEM	\N	148	35405	UROK	\N	\N
3622483	2778	1998-08-31	PRIJEM	\N	114	24314	UROK	\N	\N
3622484	2778	1998-09-30	PRIJEM	\N	118	31447	UROK	\N	\N
3622485	2778	1998-10-31	PRIJEM	\N	105	23566	UROK	\N	\N
3622486	2778	1998-11-30	PRIJEM	\N	90	21371	UROK	\N	\N
3622487	2778	1998-12-31	PRIJEM	\N	108	27734	UROK	\N	\N
3622488	2779	1993-07-31	PRIJEM	\N	49	21257	UROK	\N	\N
3622489	2779	1993-08-31	PRIJEM	\N	111	30776	UROK	\N	\N
3622490	2779	1993-09-30	PRIJEM	\N	147	38531	UROK	\N	\N
3622491	2779	1993-10-31	PRIJEM	\N	165	40403	UROK	\N	\N
3622492	2779	1993-11-30	PRIJEM	\N	175	42886	UROK	\N	\N
3622493	2779	1993-12-31	PRIJEM	\N	178	44100	UROK	\N	\N
3622494	2779	1994-01-31	PRIJEM	\N	201	37884	UROK	\N	\N
3622495	2779	1994-02-28	PRIJEM	\N	164	40671	UROK	\N	\N
3622496	2779	1994-03-31	PRIJEM	\N	161	39414	UROK	\N	\N
3622497	2779	1994-04-30	PRIJEM	\N	146	35042	UROK	\N	\N
3622498	2779	1994-05-31	PRIJEM	\N	145	33570	UROK	\N	\N
3622499	2779	1994-06-30	PRIJEM	\N	190	53696	UROK	\N	\N
3622500	2779	1994-07-31	PRIJEM	\N	219	54797	UROK	\N	\N
3622501	2779	1994-08-31	PRIJEM	\N	216	49275	UROK	\N	\N
3622502	2779	1994-09-30	PRIJEM	\N	209	54027	UROK	\N	\N
3622503	2779	1994-10-31	PRIJEM	\N	214	53924	UROK	\N	\N
3622504	2779	1994-11-30	PRIJEM	\N	224	56130	UROK	\N	\N
3622505	2779	1994-12-31	PRIJEM	\N	244	59450	UROK	\N	\N
3622506	2779	1995-01-31	PRIJEM	\N	231	58263	UROK	\N	\N
3622507	2779	1995-02-28	PRIJEM	\N	213	54359	UROK	\N	\N
3622508	2779	1995-03-31	PRIJEM	\N	225	57626	UROK	\N	\N
3622509	2779	1995-04-30	PRIJEM	\N	243	62351	UROK	\N	\N
3622510	2779	1995-05-31	PRIJEM	\N	243	59037	UROK	\N	\N
3622511	2779	1995-06-30	PRIJEM	\N	238	58971	UROK	\N	\N
3622512	2779	1995-07-31	PRIJEM	\N	230	58583	UROK	\N	\N
3622513	2779	1995-08-31	PRIJEM	\N	223	56788	UROK	\N	\N
3622514	2779	1995-09-30	PRIJEM	\N	227	58297	UROK	\N	\N
3622515	2779	1995-10-31	PRIJEM	\N	232	59512	UROK	\N	\N
3622516	2779	1995-11-30	PRIJEM	\N	227	58022	UROK	\N	\N
3622517	2779	1995-12-31	PRIJEM	\N	240	63578	UROK	\N	\N
3622518	2779	1996-01-31	PRIJEM	\N	241	61601	UROK	\N	\N
3622519	2779	1996-02-29	PRIJEM	\N	225	59209	UROK	\N	\N
3622520	2779	1996-03-31	PRIJEM	\N	238	58589	UROK	\N	\N
3622521	2779	1996-04-30	PRIJEM	\N	236	60708	UROK	\N	\N
3622522	2779	1996-05-31	PRIJEM	\N	246	57536	UROK	\N	\N
3622523	2779	1996-06-30	PRIJEM	\N	277	61649	UROK	\N	\N
3622524	2779	1996-07-31	PRIJEM	\N	268	55900	UROK	\N	\N
3622525	2779	1996-08-31	PRIJEM	\N	246	57129	UROK	\N	\N
3622526	2779	1996-09-30	PRIJEM	\N	248	54860	UROK	\N	\N
3622527	2779	1996-10-31	PRIJEM	\N	230	55892	UROK	\N	\N
3622528	2779	1996-11-30	PRIJEM	\N	245	58118	UROK	\N	\N
3622529	2779	1996-12-31	PRIJEM	\N	269	63324	UROK	\N	\N
3622530	2779	1997-01-31	PRIJEM	\N	272	63879	UROK	\N	\N
3622531	2779	1997-02-28	PRIJEM	\N	273	62334	UROK	\N	\N
3622532	2779	1997-03-31	PRIJEM	\N	269	59585	UROK	\N	\N
3622533	2779	1997-04-30	PRIJEM	\N	258	61625	UROK	\N	\N
3622534	2779	1997-05-31	PRIJEM	\N	269	67377	UROK	\N	\N
3622535	2779	1997-06-30	PRIJEM	\N	306	71020	UROK	\N	\N
3622536	2779	1997-07-31	PRIJEM	\N	302	71904	UROK	\N	\N
3622537	2779	1997-08-31	PRIJEM	\N	307	74193	UROK	\N	\N
3622538	2779	1997-09-30	PRIJEM	\N	309	70684	UROK	\N	\N
3622539	2779	1997-10-31	PRIJEM	\N	296	70562	UROK	\N	\N
3622540	2779	1997-11-30	PRIJEM	\N	296	71441	UROK	\N	\N
3622541	2779	1997-12-31	PRIJEM	\N	319	76096	UROK	\N	\N
3622542	2779	1998-01-31	PRIJEM	\N	308	69826	UROK	\N	\N
3622543	2779	1998-02-28	PRIJEM	\N	294	72702	UROK	\N	\N
3622544	2779	1998-03-31	PRIJEM	\N	305	72990	UROK	\N	\N
3622545	2779	1998-04-30	PRIJEM	\N	301	71373	UROK	\N	\N
3622546	2779	1998-05-31	PRIJEM	\N	297	72653	UROK	\N	\N
3622547	2779	1998-06-30	PRIJEM	\N	316	76204	UROK	\N	\N
3622548	2779	1998-07-31	PRIJEM	\N	310	73396	UROK	\N	\N
3622549	2779	1998-08-31	PRIJEM	\N	301	73480	UROK	\N	\N
3622550	2779	1998-09-30	PRIJEM	\N	312	79474	UROK	\N	\N
3622551	2779	1998-10-31	PRIJEM	\N	329	81686	UROK	\N	\N
3622552	2779	1998-11-30	PRIJEM	\N	330	80298	UROK	\N	\N
3622553	2779	1998-12-31	PRIJEM	\N	331	78166	UROK	\N	\N
3622554	2782	1997-03-31	PRIJEM	\N	12	28440	UROK	\N	\N
3622555	2782	1997-04-30	PRIJEM	\N	124	41391	UROK	\N	\N
3622556	2782	1997-05-31	PRIJEM	\N	174	45994	UROK	\N	\N
3622557	2782	1997-06-30	PRIJEM	\N	199	59834	UROK	\N	\N
3622558	2782	1997-07-31	PRIJEM	\N	267	52177	UROK	\N	\N
3622559	2782	1997-08-31	PRIJEM	\N	213	42551	UROK	\N	\N
3622560	2782	1997-09-30	PRIJEM	\N	184	50248	UROK	\N	\N
3622561	2782	1997-10-31	PRIJEM	\N	235	50197	UROK	\N	\N
3622562	2782	1997-11-30	PRIJEM	\N	227	47237	UROK	\N	\N
3622563	2782	1997-12-31	PRIJEM	\N	196	43472	UROK	\N	\N
3622564	2782	1998-01-31	PRIJEM	\N	160	23045	UROK	\N	\N
3622565	2782	1998-02-28	PRIJEM	\N	106	31265	UROK	\N	\N
3622566	2782	1998-03-31	PRIJEM	\N	181	45959	UROK	\N	\N
3622567	2782	1998-04-30	PRIJEM	\N	201	54773	UROK	\N	\N
3622568	2782	1998-05-31	PRIJEM	\N	233	58819	UROK	\N	\N
3622569	2782	1998-06-30	PRIJEM	\N	211	23957	UROK	\N	\N
3622570	2782	1998-07-31	PRIJEM	\N	121	40392	UROK	\N	\N
3622571	2782	1998-08-31	PRIJEM	\N	182	39087	UROK	\N	\N
3622572	2782	1998-09-30	PRIJEM	\N	170	44471	UROK	\N	\N
3622573	2782	1998-10-31	PRIJEM	\N	196	51781	UROK	\N	\N
3622574	2782	1998-11-30	PRIJEM	\N	241	51970	UROK	\N	\N
3622575	2782	1998-12-31	PRIJEM	\N	227	56025	UROK	\N	\N
3622576	2784	1998-03-31	PRIJEM	\N	43	29293	UROK	\N	\N
3622577	2784	1998-04-30	PRIJEM	\N	127	27916	UROK	\N	\N
3622578	2784	1998-05-31	PRIJEM	\N	124	28296	UROK	\N	\N
3622579	2784	1998-06-30	PRIJEM	\N	116	26869	UROK	\N	\N
3622580	2784	1998-07-31	PRIJEM	\N	120	29886	UROK	\N	\N
3622581	2784	1998-08-31	PRIJEM	\N	133	33476	UROK	\N	\N
3622582	2784	1998-09-30	PRIJEM	\N	148	37080	UROK	\N	\N
3622583	2784	1998-10-31	PRIJEM	\N	157	34194	UROK	\N	\N
3622584	2784	1998-11-30	PRIJEM	\N	148	34398	UROK	\N	\N
3622585	2784	1998-12-31	PRIJEM	\N	148	37052	UROK	\N	\N
3622647	2787	1997-12-31	PRIJEM	\N	99	30703	UROK	\N	\N
3622648	2787	1998-01-31	PRIJEM	\N	187	49293	UROK	\N	\N
3622649	2787	1998-02-28	PRIJEM	\N	221	54617	UROK	\N	\N
3622650	2787	1998-03-31	PRIJEM	\N	257	63977	UROK	\N	\N
3622651	2787	1998-04-30	PRIJEM	\N	248	58072	UROK	\N	\N
3622652	2787	1998-05-31	PRIJEM	\N	216	51420	UROK	\N	\N
3622653	2787	1998-06-30	PRIJEM	\N	205	21358	UROK	\N	\N
3622654	2787	1998-07-31	PRIJEM	\N	118	30008	UROK	\N	\N
3622655	2787	1998-08-31	PRIJEM	\N	128	30668	UROK	\N	\N
3622656	2787	1998-09-30	PRIJEM	\N	133	32234	UROK	\N	\N
3622657	2787	1998-10-31	PRIJEM	\N	143	34109	UROK	\N	\N
3622658	2787	1998-11-30	PRIJEM	\N	147	35388	UROK	\N	\N
3622659	2787	1998-12-31	PRIJEM	\N	164	39686	UROK	\N	\N
3622660	2788	1994-10-31	PRIJEM	\N	36	14112	UROK	\N	\N
3622661	2788	1994-11-30	PRIJEM	\N	111	35199	UROK	\N	\N
3622662	2788	1994-12-31	PRIJEM	\N	183	49646	UROK	\N	\N
3622663	2788	1995-01-31	PRIJEM	\N	211	51633	UROK	\N	\N
3622664	2788	1995-02-28	PRIJEM	\N	215	51824	UROK	\N	\N
3622665	2788	1995-03-31	PRIJEM	\N	201	47284	UROK	\N	\N
3622666	2788	1995-04-30	PRIJEM	\N	194	47136	UROK	\N	\N
3622667	2788	1995-05-31	PRIJEM	\N	187	44681	UROK	\N	\N
3622668	2788	1995-06-30	PRIJEM	\N	180	46307	UROK	\N	\N
3622669	2788	1995-07-31	PRIJEM	\N	186	43032	UROK	\N	\N
3622670	2788	1995-08-31	PRIJEM	\N	157	38567	UROK	\N	\N
3622671	2788	1995-09-30	PRIJEM	\N	169	42695	UROK	\N	\N
3622672	2788	1995-10-31	PRIJEM	\N	183	45336	UROK	\N	\N
3622673	2788	1995-11-30	PRIJEM	\N	185	44980	UROK	\N	\N
3622674	2788	1995-12-31	PRIJEM	\N	195	45661	UROK	\N	\N
3622675	2788	1996-01-31	PRIJEM	\N	159	36519	UROK	\N	\N
3622676	2788	1996-02-29	PRIJEM	\N	156	39033	UROK	\N	\N
3622677	2788	1996-03-31	PRIJEM	\N	170	42661	UROK	\N	\N
3622678	2788	1996-04-30	PRIJEM	\N	172	41491	UROK	\N	\N
3622679	2788	1996-05-31	PRIJEM	\N	171	41720	UROK	\N	\N
3622680	2788	1996-06-30	PRIJEM	\N	185	44032	UROK	\N	\N
3622681	2788	1996-07-31	PRIJEM	\N	146	34076	UROK	\N	\N
3622682	2788	1996-08-31	PRIJEM	\N	149	33663	UROK	\N	\N
3622683	2788	1996-09-30	PRIJEM	\N	144	36166	UROK	\N	\N
3622684	2788	1996-10-31	PRIJEM	\N	133	28397	UROK	\N	\N
3622685	2788	1996-11-30	PRIJEM	\N	117	32673	UROK	\N	\N
3622686	2788	1996-12-31	PRIJEM	\N	142	25641	UROK	\N	\N
3622687	2788	1997-01-31	PRIJEM	\N	100	17700	UROK	\N	\N
3622688	2788	1997-02-28	PRIJEM	\N	96	27754	UROK	\N	\N
3622689	2788	1997-03-31	PRIJEM	\N	106	21638	UROK	\N	\N
3622690	2788	1997-04-30	PRIJEM	\N	111	22507	UROK	\N	\N
3622691	2788	1997-05-31	PRIJEM	\N	111	18457	UROK	\N	\N
3622692	2788	1997-06-30	PRIJEM	\N	112	20815	UROK	\N	\N
3622693	2788	1997-07-31	PRIJEM	\N	92	15426	UROK	\N	\N
3622694	2788	1997-08-31	PRIJEM	\N	88	25472	UROK	\N	\N
3622695	2788	1997-09-30	PRIJEM	\N	115	14846	UROK	\N	\N
3622696	2788	1997-10-31	PRIJEM	\N	86	24890	UROK	\N	\N
3622697	2788	1997-11-30	PRIJEM	\N	111	16159	UROK	\N	\N
3622698	2788	1997-12-31	PRIJEM	\N	91	14296	UROK	\N	\N
3622699	2788	1998-01-31	PRIJEM	\N	70	17245	UROK	\N	\N
3622700	2788	1998-02-28	PRIJEM	\N	94	27296	UROK	\N	\N
3622701	2788	1998-03-31	PRIJEM	\N	107	16222	UROK	\N	\N
3622702	2788	1998-04-30	PRIJEM	\N	90	26270	UROK	\N	\N
3622703	2788	1998-05-31	PRIJEM	\N	130	35518	UROK	\N	\N
3622704	2788	1998-06-30	PRIJEM	\N	152	20417	UROK	\N	\N
3622705	2788	1998-07-31	PRIJEM	\N	108	30483	UROK	\N	\N
3622706	2788	1998-08-31	PRIJEM	\N	115	14757	UROK	\N	\N
3622707	2788	1998-09-30	PRIJEM	\N	80	19275	UROK	\N	\N
3622708	2788	1998-10-31	PRIJEM	\N	103	29336	UROK	\N	\N
3622709	2788	1998-11-30	PRIJEM	\N	144	39439	UROK	\N	\N
3622710	2788	1998-12-31	PRIJEM	\N	140	16625	UROK	\N	\N
3622711	2789	1994-01-31	PRIJEM	\N	46	20196	UROK	\N	\N
3622712	2789	1994-02-28	PRIJEM	\N	84	33030	UROK	\N	\N
3622713	2789	1994-03-31	PRIJEM	\N	160	42839	UROK	\N	\N
3622714	2789	1994-04-30	PRIJEM	\N	183	44372	UROK	\N	\N
3622715	2789	1994-05-31	PRIJEM	\N	181	41847	UROK	\N	\N
3622716	2789	1994-06-30	PRIJEM	\N	152	33754	UROK	\N	\N
3622717	2789	1994-07-31	PRIJEM	\N	142	31375	UROK	\N	\N
3622718	2789	1994-08-31	PRIJEM	\N	151	32706	UROK	\N	\N
3622719	2789	1994-09-30	PRIJEM	\N	156	35841	UROK	\N	\N
3622720	2789	1994-10-31	PRIJEM	\N	169	37790	UROK	\N	\N
3622721	2789	1994-11-30	PRIJEM	\N	176	37845	UROK	\N	\N
3622722	2789	1994-12-31	PRIJEM	\N	191	34390	UROK	\N	\N
3622723	2789	1995-01-31	PRIJEM	\N	154	32223	UROK	\N	\N
3622724	2789	1995-02-28	PRIJEM	\N	154	37257	UROK	\N	\N
3622725	2789	1995-03-31	PRIJEM	\N	172	36108	UROK	\N	\N
3622726	2789	1995-04-30	PRIJEM	\N	167	35054	UROK	\N	\N
3622727	2789	1995-05-31	PRIJEM	\N	162	35395	UROK	\N	\N
3622728	2789	1995-06-30	PRIJEM	\N	173	30023	UROK	\N	\N
3622729	2789	1995-07-31	PRIJEM	\N	144	34346	UROK	\N	\N
3622730	2789	1995-08-31	PRIJEM	\N	161	38186	UROK	\N	\N
3622731	2789	1995-09-30	PRIJEM	\N	171	38937	UROK	\N	\N
3622732	2789	1995-10-31	PRIJEM	\N	183	39399	UROK	\N	\N
3622733	2789	1995-11-30	PRIJEM	\N	178	41056	UROK	\N	\N
3622734	2789	1995-12-31	PRIJEM	\N	191	39201	UROK	\N	\N
3622735	2789	1996-01-31	PRIJEM	\N	161	34942	UROK	\N	\N
3622736	2789	1996-02-29	PRIJEM	\N	163	39684	UROK	\N	\N
3622737	2789	1996-03-31	PRIJEM	\N	172	39136	UROK	\N	\N
3622738	2789	1996-04-30	PRIJEM	\N	180	44295	UROK	\N	\N
3622739	2789	1996-05-31	PRIJEM	\N	192	43466	UROK	\N	\N
3622740	2789	1996-06-30	PRIJEM	\N	149	31069	UROK	\N	\N
3622741	2789	1996-07-31	PRIJEM	\N	146	36595	UROK	\N	\N
3622742	2789	1996-08-31	PRIJEM	\N	168	39341	UROK	\N	\N
3622743	2789	1996-09-30	PRIJEM	\N	176	43397	UROK	\N	\N
3622744	2789	1996-10-31	PRIJEM	\N	192	46869	UROK	\N	\N
3622745	2789	1996-11-30	PRIJEM	\N	202	48350	UROK	\N	\N
3622746	2789	1996-12-31	PRIJEM	\N	218	52522	UROK	\N	\N
3622747	2789	1997-01-31	PRIJEM	\N	211	40612	UROK	\N	\N
3622748	2789	1997-02-28	PRIJEM	\N	184	46976	UROK	\N	\N
3622749	2789	1997-03-31	PRIJEM	\N	215	54870	UROK	\N	\N
3622750	2789	1997-04-30	PRIJEM	\N	237	58187	UROK	\N	\N
3622751	2789	1997-05-31	PRIJEM	\N	250	61016	UROK	\N	\N
3622752	2789	1997-06-30	PRIJEM	\N	257	41228	UROK	\N	\N
3622753	2789	1997-07-31	PRIJEM	\N	197	51905	UROK	\N	\N
3622754	2789	1997-08-31	PRIJEM	\N	229	55913	UROK	\N	\N
3622755	2789	1997-09-30	PRIJEM	\N	240	59733	UROK	\N	\N
3622756	2789	1997-10-31	PRIJEM	\N	249	61062	UROK	\N	\N
3622757	2789	1997-11-30	PRIJEM	\N	235	51476	UROK	\N	\N
3622758	2789	1997-12-31	PRIJEM	\N	222	54953	UROK	\N	\N
3622759	2789	1998-01-31	PRIJEM	\N	207	46039	UROK	\N	\N
3622760	2789	1998-02-28	PRIJEM	\N	189	42408	UROK	\N	\N
3622761	2789	1998-03-31	PRIJEM	\N	178	42365	UROK	\N	\N
3622762	2789	1998-04-30	PRIJEM	\N	186	46530	UROK	\N	\N
3622763	2789	1998-05-31	PRIJEM	\N	181	42891	UROK	\N	\N
3622764	2789	1998-06-30	PRIJEM	\N	165	19310	UROK	\N	\N
3622765	2789	1998-07-31	PRIJEM	\N	143	39832	UROK	\N	\N
3622766	2789	1998-08-31	PRIJEM	\N	196	49408	UROK	\N	\N
3622767	2789	1998-09-30	PRIJEM	\N	231	57418	UROK	\N	\N
3622768	2789	1998-10-31	PRIJEM	\N	272	67769	UROK	\N	\N
3622769	2789	1998-11-30	PRIJEM	\N	311	77059	UROK	\N	\N
3622770	2789	1998-12-31	PRIJEM	\N	359	88973	UROK	\N	\N
3622771	2790	1994-11-30	PRIJEM	\N	43	22324	UROK	\N	\N
3622772	2790	1994-12-31	PRIJEM	\N	115	33462	UROK	\N	\N
3622773	2790	1995-01-31	PRIJEM	\N	144	35786	UROK	\N	\N
3622774	2790	1995-02-28	PRIJEM	\N	160	41528	UROK	\N	\N
3622775	2790	1995-03-31	PRIJEM	\N	168	35515	UROK	\N	\N
3622776	2790	1995-04-30	PRIJEM	\N	148	32567	UROK	\N	\N
3622777	2790	1995-05-31	PRIJEM	\N	144	33615	UROK	\N	\N
3622778	2790	1995-06-30	PRIJEM	\N	166	39327	UROK	\N	\N
3622779	2790	1995-07-31	PRIJEM	\N	168	38899	UROK	\N	\N
3622780	2790	1995-08-31	PRIJEM	\N	162	36166	UROK	\N	\N
3622781	2790	1995-09-30	PRIJEM	\N	162	39332	UROK	\N	\N
3622782	2790	1995-10-31	PRIJEM	\N	167	39403	UROK	\N	\N
3622783	2790	1995-11-30	PRIJEM	\N	173	40881	UROK	\N	\N
3622784	2790	1995-12-31	PRIJEM	\N	190	44717	UROK	\N	\N
3622785	2790	1996-01-31	PRIJEM	\N	172	30193	UROK	\N	\N
3622786	2790	1996-02-29	PRIJEM	\N	161	42459	UROK	\N	\N
3622787	2790	1996-03-31	PRIJEM	\N	182	43545	UROK	\N	\N
3622788	2790	1996-04-30	PRIJEM	\N	181	42730	UROK	\N	\N
3622789	2790	1996-05-31	PRIJEM	\N	198	49533	UROK	\N	\N
3622790	2790	1996-06-30	PRIJEM	\N	175	31453	UROK	\N	\N
3622791	2790	1996-07-31	PRIJEM	\N	181	43038	UROK	\N	\N
3622792	2790	1996-08-31	PRIJEM	\N	196	48038	UROK	\N	\N
3622793	2790	1996-09-30	PRIJEM	\N	198	46641	UROK	\N	\N
3622794	2790	1996-10-31	PRIJEM	\N	202	48647	UROK	\N	\N
3622795	2790	1996-11-30	PRIJEM	\N	219	53070	UROK	\N	\N
3622796	2790	1996-12-31	PRIJEM	\N	277	69192	UROK	\N	\N
3622797	2790	1997-01-31	PRIJEM	\N	261	54158	UROK	\N	\N
3622798	2790	1997-02-28	PRIJEM	\N	244	59406	UROK	\N	\N
3622799	2790	1997-03-31	PRIJEM	\N	258	59969	UROK	\N	\N
3622800	2790	1997-04-30	PRIJEM	\N	266	64739	UROK	\N	\N
3622801	2790	1997-05-31	PRIJEM	\N	277	66921	UROK	\N	\N
3622802	2790	1997-06-30	PRIJEM	\N	320	74586	UROK	\N	\N
3622803	2790	1997-07-31	PRIJEM	\N	311	74501	UROK	\N	\N
3622804	2790	1997-08-31	PRIJEM	\N	320	77225	UROK	\N	\N
3622805	2790	1997-09-30	PRIJEM	\N	350	85679	UROK	\N	\N
3622806	2790	1997-10-31	PRIJEM	\N	359	85043	UROK	\N	\N
3622807	2790	1997-11-30	PRIJEM	\N	382	93529	UROK	\N	\N
3622808	2790	1997-12-31	PRIJEM	\N	318	68092	UROK	\N	\N
3622809	2790	1998-01-31	PRIJEM	\N	289	70785	UROK	\N	\N
3622810	2790	1998-02-28	PRIJEM	\N	304	73394	UROK	\N	\N
3622811	2790	1998-03-31	PRIJEM	\N	344	85042	UROK	\N	\N
3622812	2790	1998-04-30	PRIJEM	\N	365	90311	UROK	\N	\N
3622813	2790	1998-05-31	PRIJEM	\N	384	94700	UROK	\N	\N
3622814	2790	1998-06-30	PRIJEM	\N	357	84302	UROK	\N	\N
3622815	2790	1998-07-31	PRIJEM	\N	372	96878	UROK	\N	\N
3622816	2790	1998-08-31	PRIJEM	\N	420	101302	UROK	\N	\N
3622817	2790	1998-09-30	PRIJEM	\N	428	105335	UROK	\N	\N
3622818	2790	1998-10-31	PRIJEM	\N	391	91330	UROK	\N	\N
3622819	2790	1998-11-30	PRIJEM	\N	397	97432	UROK	\N	\N
3622820	2790	1998-12-31	PRIJEM	\N	305	62382	UROK	\N	\N
3622821	2791	1998-04-30	PRIJEM	\N	38	20826	UROK	\N	\N
3622822	2791	1998-05-31	PRIJEM	\N	93	21370	UROK	\N	\N
3622823	2791	1998-06-30	PRIJEM	\N	91	13703	UROK	\N	\N
3622824	2791	1998-07-31	PRIJEM	\N	63	15909	UROK	\N	\N
3622825	2791	1998-08-31	PRIJEM	\N	72	18123	UROK	\N	\N
3622826	2791	1998-09-30	PRIJEM	\N	69	16974	UROK	\N	\N
3622827	2791	1998-10-31	PRIJEM	\N	77	19193	UROK	\N	\N
3622828	2791	1998-11-30	PRIJEM	\N	85	21020	UROK	\N	\N
3622829	2791	1998-12-31	PRIJEM	\N	79	18591	UROK	\N	\N
3622830	2792	1996-09-30	PRIJEM	\N	13	16104	UROK	\N	\N
3622831	2792	1996-10-31	PRIJEM	\N	76	25772	UROK	\N	\N
3622832	2792	1996-11-30	PRIJEM	\N	106	25169	UROK	\N	\N
3622833	2792	1996-12-31	PRIJEM	\N	107	27667	UROK	\N	\N
3622834	2792	1997-01-31	PRIJEM	\N	117	29538	UROK	\N	\N
3622835	2792	1997-02-28	PRIJEM	\N	126	30313	UROK	\N	\N
3622836	2792	1997-03-31	PRIJEM	\N	128	29690	UROK	\N	\N
3622837	2792	1997-04-30	PRIJEM	\N	123	28862	UROK	\N	\N
3622838	2792	1997-05-31	PRIJEM	\N	119	26431	UROK	\N	\N
3622839	2792	1997-06-30	PRIJEM	\N	110	24790	UROK	\N	\N
3622840	2792	1997-07-31	PRIJEM	\N	104	24043	UROK	\N	\N
3622841	2792	1997-08-31	PRIJEM	\N	94	18177	UROK	\N	\N
3622842	2792	1997-09-30	PRIJEM	\N	81	20707	UROK	\N	\N
3622843	2792	1997-10-31	PRIJEM	\N	90	22216	UROK	\N	\N
3622844	2792	1997-11-30	PRIJEM	\N	98	25164	UROK	\N	\N
3622845	2792	1997-12-31	PRIJEM	\N	108	24952	UROK	\N	\N
3622846	2792	1998-01-31	PRIJEM	\N	116	30097	UROK	\N	\N
3622847	2792	1998-02-28	PRIJEM	\N	127	30874	UROK	\N	\N
3622848	2792	1998-03-31	PRIJEM	\N	134	33458	UROK	\N	\N
3622849	2792	1998-04-30	PRIJEM	\N	141	34278	UROK	\N	\N
3622850	2792	1998-05-31	PRIJEM	\N	153	39360	UROK	\N	\N
3622851	2792	1998-06-30	PRIJEM	\N	170	42180	UROK	\N	\N
3622852	2792	1998-07-31	PRIJEM	\N	179	43608	UROK	\N	\N
3622853	2792	1998-08-31	PRIJEM	\N	178	41835	UROK	\N	\N
3622854	2792	1998-09-30	PRIJEM	\N	165	36870	UROK	\N	\N
3622855	2792	1998-10-31	PRIJEM	\N	162	40481	UROK	\N	\N
3622856	2792	1998-11-30	PRIJEM	\N	168	40138	UROK	\N	\N
3622857	2792	1998-12-31	PRIJEM	\N	178	44136	UROK	\N	\N
3622858	2793	1994-03-31	PRIJEM	\N	47	15086	UROK	\N	\N
3622859	2793	1994-04-30	PRIJEM	\N	66	16289	UROK	\N	\N
3622860	2793	1994-05-31	PRIJEM	\N	71	17496	UROK	\N	\N
3622861	2793	1994-06-30	PRIJEM	\N	76	17688	UROK	\N	\N
3622862	2793	1994-07-31	PRIJEM	\N	77	18901	UROK	\N	\N
3622863	2793	1994-08-31	PRIJEM	\N	82	20120	UROK	\N	\N
3622864	2793	1994-09-30	PRIJEM	\N	86	19872	UROK	\N	\N
3622865	2793	1994-10-31	PRIJEM	\N	86	21094	UROK	\N	\N
3622866	2793	1994-11-30	PRIJEM	\N	91	21151	UROK	\N	\N
3622867	2793	1994-12-31	PRIJEM	\N	91	21959	UROK	\N	\N
3622868	2793	1995-01-31	PRIJEM	\N	79	17474	UROK	\N	\N
3622869	2793	1995-02-28	PRIJEM	\N	76	18686	UROK	\N	\N
3622870	2793	1995-03-31	PRIJEM	\N	79	18791	UROK	\N	\N
3622871	2793	1995-04-30	PRIJEM	\N	81	20009	UROK	\N	\N
3622872	2793	1995-05-31	PRIJEM	\N	86	20962	UROK	\N	\N
3622873	2793	1995-06-30	PRIJEM	\N	70	14578	UROK	\N	\N
3622874	2793	1995-07-31	PRIJEM	\N	64	15778	UROK	\N	\N
3622875	2793	1995-08-31	PRIJEM	\N	69	16984	UROK	\N	\N
3622876	2793	1995-09-30	PRIJEM	\N	72	17412	UROK	\N	\N
3622877	2793	1995-10-31	PRIJEM	\N	76	18624	UROK	\N	\N
3622878	2793	1995-11-30	PRIJEM	\N	81	19840	UROK	\N	\N
3622879	2793	1995-12-31	PRIJEM	\N	85	20432	UROK	\N	\N
3622880	2793	1996-01-31	PRIJEM	\N	76	16754	UROK	\N	\N
3622881	2793	1996-02-29	PRIJEM	\N	73	17963	UROK	\N	\N
3622882	2793	1996-03-31	PRIJEM	\N	78	19177	UROK	\N	\N
3622883	2793	1996-04-30	PRIJEM	\N	83	20187	UROK	\N	\N
3622884	2793	1996-05-31	PRIJEM	\N	87	21410	UROK	\N	\N
3622885	2793	1996-06-30	PRIJEM	\N	83	15460	UROK	\N	\N
3622886	2793	1996-07-31	PRIJEM	\N	65	16031	UROK	\N	\N
3622887	2793	1996-08-31	PRIJEM	\N	70	17236	UROK	\N	\N
3622888	2793	1996-09-30	PRIJEM	\N	75	18118	UROK	\N	\N
3622889	2793	1996-10-31	PRIJEM	\N	78	19332	UROK	\N	\N
3622890	2793	1996-11-30	PRIJEM	\N	83	20552	UROK	\N	\N
3622891	2793	1996-12-31	PRIJEM	\N	87	20935	UROK	\N	\N
3622892	2793	1997-01-31	PRIJEM	\N	75	17076	UROK	\N	\N
3622893	2793	1997-02-28	PRIJEM	\N	72	17295	UROK	\N	\N
3622894	2793	1997-03-31	PRIJEM	\N	74	17665	UROK	\N	\N
3622895	2793	1997-04-30	PRIJEM	\N	76	18877	UROK	\N	\N
3622896	2793	1997-05-31	PRIJEM	\N	81	19824	UROK	\N	\N
3622897	2793	1997-06-30	PRIJEM	\N	81	19091	UROK	\N	\N
3622898	2793	1997-07-31	PRIJEM	\N	80	19227	UROK	\N	\N
3622899	2793	1997-08-31	PRIJEM	\N	82	20446	UROK	\N	\N
3622900	2793	1997-09-30	PRIJEM	\N	87	21670	UROK	\N	\N
3622901	2793	1997-10-31	PRIJEM	\N	91	22297	UROK	\N	\N
3622902	2793	1997-11-30	PRIJEM	\N	95	23528	UROK	\N	\N
3622903	2793	1997-12-31	PRIJEM	\N	100	24134	UROK	\N	\N
3622904	2793	1998-01-31	PRIJEM	\N	96	19457	UROK	\N	\N
3622905	2793	1998-02-28	PRIJEM	\N	83	20676	UROK	\N	\N
3622906	2793	1998-03-31	PRIJEM	\N	88	21900	UROK	\N	\N
3622907	2793	1998-04-30	PRIJEM	\N	93	23129	UROK	\N	\N
3622908	2793	1998-05-31	PRIJEM	\N	98	24364	UROK	\N	\N
3622909	2793	1998-06-30	PRIJEM	\N	79	17449	UROK	\N	\N
3622910	2793	1998-07-31	PRIJEM	\N	74	18659	UROK	\N	\N
3622911	2793	1998-08-31	PRIJEM	\N	79	19515	UROK	\N	\N
3622912	2793	1998-09-30	PRIJEM	\N	83	20734	UROK	\N	\N
3622913	2793	1998-10-31	PRIJEM	\N	88	21958	UROK	\N	\N
3622914	2793	1998-11-30	PRIJEM	\N	93	23187	UROK	\N	\N
3622915	2793	1998-12-31	PRIJEM	\N	97	23671	UROK	\N	\N
3622916	2795	1996-09-30	PRIJEM	\N	35	20848	UROK	\N	\N
3622917	2795	1996-10-31	PRIJEM	\N	102	29663	UROK	\N	\N
3622918	2795	1996-11-30	PRIJEM	\N	132	34808	UROK	\N	\N
3622919	2795	1996-12-31	PRIJEM	\N	157	41284	UROK	\N	\N
3622920	2795	1997-01-31	PRIJEM	\N	167	34264	UROK	\N	\N
3622921	2795	1997-02-28	PRIJEM	\N	138	32844	UROK	\N	\N
3622922	2795	1997-03-31	PRIJEM	\N	131	29936	UROK	\N	\N
3622923	2795	1997-04-30	PRIJEM	\N	132	34010	UROK	\N	\N
3622924	2795	1997-05-31	PRIJEM	\N	145	33236	UROK	\N	\N
3622925	2795	1997-06-30	PRIJEM	\N	159	41343	UROK	\N	\N
3622926	2795	1997-07-31	PRIJEM	\N	156	36160	UROK	\N	\N
3622927	2795	1997-08-31	PRIJEM	\N	143	34044	UROK	\N	\N
3622928	2795	1997-09-30	PRIJEM	\N	140	34785	UROK	\N	\N
3622929	2795	1997-10-31	PRIJEM	\N	148	37975	UROK	\N	\N
3622930	2795	1997-11-30	PRIJEM	\N	148	34324	UROK	\N	\N
3622931	2795	1997-12-31	PRIJEM	\N	152	35544	UROK	\N	\N
3622932	2795	1998-01-31	PRIJEM	\N	117	23283	UROK	\N	\N
3622933	2795	1998-02-28	PRIJEM	\N	135	41060	UROK	\N	\N
3622934	2795	1998-03-31	PRIJEM	\N	162	39763	UROK	\N	\N
3622935	2795	1998-04-30	PRIJEM	\N	146	35251	UROK	\N	\N
3622936	2795	1998-05-31	PRIJEM	\N	141	35833	UROK	\N	\N
3622937	2795	1998-06-30	PRIJEM	\N	194	55676	UROK	\N	\N
3622938	2795	1998-07-31	PRIJEM	\N	234	59551	UROK	\N	\N
3622939	2795	1998-08-31	PRIJEM	\N	234	58327	UROK	\N	\N
3622940	2795	1998-09-30	PRIJEM	\N	232	58600	UROK	\N	\N
3622941	2795	1998-10-31	PRIJEM	\N	226	54728	UROK	\N	\N
3622942	2795	1998-11-30	PRIJEM	\N	221	54370	UROK	\N	\N
3622943	2795	1998-12-31	PRIJEM	\N	239	59457	UROK	\N	\N
3622944	2796	1997-12-31	PRIJEM	\N	183	62137	UROK	\N	\N
3622945	2796	1998-01-31	PRIJEM	\N	325	84999	UROK	\N	\N
3622946	2796	1998-02-28	PRIJEM	\N	392	98826	UROK	\N	\N
3622947	2796	1998-03-31	PRIJEM	\N	289	57651	UROK	\N	\N
3622948	2796	1998-04-30	PRIJEM	\N	310	81206	UROK	\N	\N
3622949	2796	1998-05-31	PRIJEM	\N	333	80545	UROK	\N	\N
3622950	2796	1998-06-30	PRIJEM	\N	336	74733	UROK	\N	\N
3622951	2796	1998-07-31	PRIJEM	\N	358	91825	UROK	\N	\N
3622952	2796	1998-08-31	PRIJEM	\N	400	91541	UROK	\N	\N
3622953	2796	1998-09-30	PRIJEM	\N	279	57454	UROK	\N	\N
3622954	2796	1998-10-31	PRIJEM	\N	273	57961	UROK	\N	\N
3622955	2796	1998-11-30	PRIJEM	\N	301	79396	UROK	\N	\N
3622956	2796	1998-12-31	PRIJEM	\N	254	48602	UROK	\N	\N
3622957	2798	1994-09-30	PRIJEM	\N	24	21533	UROK	\N	\N
3622958	2798	1994-10-31	PRIJEM	\N	100	29942	UROK	\N	\N
3622959	2798	1994-11-30	PRIJEM	\N	131	35582	UROK	\N	\N
3622960	2798	1994-12-31	PRIJEM	\N	157	42753	UROK	\N	\N
3622961	2798	1995-01-31	PRIJEM	\N	165	23734	UROK	\N	\N
3622962	2798	1995-02-28	PRIJEM	\N	124	27058	UROK	\N	\N
3622963	2798	1995-03-31	PRIJEM	\N	105	19807	UROK	\N	\N
3622964	2798	1995-04-30	PRIJEM	\N	113	26720	UROK	\N	\N
3622965	2798	1995-05-31	PRIJEM	\N	133	27753	UROK	\N	\N
3622966	2798	1995-06-30	PRIJEM	\N	106	20765	UROK	\N	\N
3622967	2798	1995-07-31	PRIJEM	\N	113	25878	UROK	\N	\N
3622968	2798	1995-08-31	PRIJEM	\N	127	27105	UROK	\N	\N
3622969	2798	1995-09-30	PRIJEM	\N	137	32142	UROK	\N	\N
3622970	2798	1995-10-31	PRIJEM	\N	153	34796	UROK	\N	\N
3622971	2798	1995-11-30	PRIJEM	\N	136	21922	UROK	\N	\N
3622972	2798	1995-12-31	PRIJEM	\N	141	27798	UROK	\N	\N
3622973	2798	1996-01-31	PRIJEM	\N	102	21101	UROK	\N	\N
3622974	2798	1996-02-29	PRIJEM	\N	95	23724	UROK	\N	\N
3622975	2798	1996-03-31	PRIJEM	\N	126	30550	UROK	\N	\N
3622976	2798	1996-04-30	PRIJEM	\N	150	36700	UROK	\N	\N
3622977	2798	1996-05-31	PRIJEM	\N	164	36817	UROK	\N	\N
3622978	2798	1996-06-30	PRIJEM	\N	160	28883	UROK	\N	\N
3622979	2798	1996-07-31	PRIJEM	\N	139	32884	UROK	\N	\N
3622980	2798	1996-08-31	PRIJEM	\N	132	21039	UROK	\N	\N
3622981	2798	1996-09-30	PRIJEM	\N	120	30660	UROK	\N	\N
3622982	2798	1996-10-31	PRIJEM	\N	160	41820	UROK	\N	\N
3622983	2798	1996-11-30	PRIJEM	\N	166	38787	UROK	\N	\N
3622984	2798	1996-12-31	PRIJEM	\N	190	43582	UROK	\N	\N
3622985	2798	1997-01-31	PRIJEM	\N	140	23408	UROK	\N	\N
3622986	2798	1997-02-28	PRIJEM	\N	129	34537	UROK	\N	\N
3622987	2798	1997-03-31	PRIJEM	\N	129	27764	UROK	\N	\N
3622988	2798	1997-04-30	PRIJEM	\N	137	22234	UROK	\N	\N
3622989	2798	1997-05-31	PRIJEM	\N	127	21754	UROK	\N	\N
3622990	2798	1997-06-30	PRIJEM	\N	133	35792	UROK	\N	\N
3622991	2798	1997-07-31	PRIJEM	\N	143	23987	UROK	\N	\N
3622992	2798	1997-08-31	PRIJEM	\N	127	32414	UROK	\N	\N
3622993	2798	1997-09-30	PRIJEM	\N	146	35461	UROK	\N	\N
3622994	2798	1997-10-31	PRIJEM	\N	128	28586	UROK	\N	\N
3622995	2798	1997-11-30	PRIJEM	\N	118	27605	UROK	\N	\N
3622996	2798	1997-12-31	PRIJEM	\N	115	22624	UROK	\N	\N
3622997	2798	1998-01-31	PRIJEM	\N	80	16705	UROK	\N	\N
3622998	2798	1998-02-28	PRIJEM	\N	107	30512	UROK	\N	\N
3622999	2798	1998-03-31	PRIJEM	\N	121	28534	UROK	\N	\N
3623000	2798	1998-04-30	PRIJEM	\N	99	22433	UROK	\N	\N
3623001	2798	1998-05-31	PRIJEM	\N	92	18125	UROK	\N	\N
3623002	2798	1998-06-30	PRIJEM	\N	153	39184	UROK	\N	\N
3623003	2798	1998-07-31	PRIJEM	\N	129	27813	UROK	\N	\N
3623004	2798	1998-08-31	PRIJEM	\N	132	31745	UROK	\N	\N
3623005	2798	1998-09-30	PRIJEM	\N	144	34690	UROK	\N	\N
3623006	2798	1998-10-31	PRIJEM	\N	160	38550	UROK	\N	\N
3623007	2798	1998-11-30	PRIJEM	\N	179	39630	UROK	\N	\N
3623008	2798	1998-12-31	PRIJEM	\N	202	31138	UROK	\N	\N
3623009	2799	1994-05-31	PRIJEM	\N	183	67032	UROK	\N	\N
3623010	2799	1994-06-30	PRIJEM	\N	270	99084	UROK	\N	\N
3623011	2799	1994-07-31	PRIJEM	\N	434	74300	UROK	\N	\N
3623012	2799	1994-08-31	PRIJEM	\N	353	86375	UROK	\N	\N
3623013	2799	1994-09-30	PRIJEM	\N	240	67839	UROK	\N	\N
3623014	2799	1994-10-31	PRIJEM	\N	319	59020	UROK	\N	\N
3623015	2799	1994-11-30	PRIJEM	\N	198	34548	UROK	\N	\N
3623016	2799	1994-12-31	PRIJEM	\N	211	46676	UROK	\N	\N
3623017	2799	1995-01-31	PRIJEM	\N	219	52842	UROK	\N	\N
3623018	2799	1995-02-28	PRIJEM	\N	189	30895	UROK	\N	\N
3623019	2799	1995-03-31	PRIJEM	\N	216	43053	UROK	\N	\N
3623020	2799	1995-04-30	PRIJEM	\N	196	48503	UROK	\N	\N
3623021	2799	1995-05-31	PRIJEM	\N	255	43572	UROK	\N	\N
3623022	2799	1995-06-30	PRIJEM	\N	302	51818	UROK	\N	\N
3623023	2799	1995-07-31	PRIJEM	\N	245	57191	UROK	\N	\N
3623024	2799	1995-08-31	PRIJEM	\N	280	59691	UROK	\N	\N
3623025	2799	1995-09-30	PRIJEM	\N	250	72800	UROK	\N	\N
3623026	2799	1995-10-31	PRIJEM	\N	211	56540	UROK	\N	\N
3623027	2799	1995-11-30	PRIJEM	\N	329	105055	UROK	\N	\N
3623028	2799	1995-12-31	PRIJEM	\N	283	35413	UROK	\N	\N
3623029	2799	1996-01-31	PRIJEM	\N	83	20661	UROK	\N	\N
3623030	2799	1996-02-29	PRIJEM	\N	70	18295	UROK	\N	\N
3623031	2799	1996-03-31	PRIJEM	\N	64	19522	UROK	\N	\N
3623032	2799	1996-04-30	PRIJEM	\N	70	20856	UROK	\N	\N
3623033	2799	1996-05-31	PRIJEM	\N	67	15787	UROK	\N	\N
3623034	2799	1996-06-30	PRIJEM	\N	42	7393	UROK	\N	\N
3623035	2799	1996-07-31	PRIJEM	\N	20	3847	UROK	\N	\N
3623036	2799	1996-08-31	PRIJEM	\N	14	1338	UROK	\N	\N
3623037	2799	1996-09-30	PRIJEM	\N	4	1312	UROK	\N	\N
3623038	2799	1996-11-30	PRIJEM	\N	4	1256	UROK	\N	\N
3623039	2799	1996-11-30	PRIJEM	\N	4	1260	UROK	\N	\N
3623040	2799	1996-12-31	PRIJEM	\N	4	1234	UROK	\N	\N
3623041	2799	1997-01-31	PRIJEM	\N	169	84282	UROK	\N	\N
3623042	2799	1997-02-28	PRIJEM	\N	303	57965	UROK	\N	\N
3623043	2799	1997-03-31	PRIJEM	\N	186	33615	UROK	\N	\N
3623044	2799	1997-04-30	PRIJEM	\N	139	26634	UROK	\N	\N
3623045	2799	1997-05-31	PRIJEM	\N	106	59748	UROK	\N	\N
3623046	2799	1997-06-30	PRIJEM	\N	266	86486	UROK	\N	\N
3623047	2799	1997-07-31	PRIJEM	\N	228	34811	UROK	\N	\N
3623048	2799	1997-08-31	PRIJEM	\N	225	72019	UROK	\N	\N
3623049	2799	1997-09-30	PRIJEM	\N	291	39681	UROK	\N	\N
3623050	2799	1997-10-31	PRIJEM	\N	173	41174	UROK	\N	\N
3623051	2799	1997-11-30	PRIJEM	\N	169	84364	UROK	\N	\N
3623052	2799	1997-12-31	PRIJEM	\N	234	38939	UROK	\N	\N
3623053	2799	1998-01-31	PRIJEM	\N	130	24171	UROK	\N	\N
3623054	2799	1998-02-28	PRIJEM	\N	75	15810	UROK	\N	\N
3623055	2799	1998-03-31	PRIJEM	\N	39	7413	UROK	\N	\N
3623056	2799	1998-04-30	PRIJEM	\N	17	3864	UROK	\N	\N
3623057	2799	1998-05-31	PRIJEM	\N	12	2803	UROK	\N	\N
3623058	2799	1998-06-30	PRIJEM	\N	166	44752	UROK	\N	\N
3623059	2799	1998-07-31	PRIJEM	\N	193	73271	UROK	\N	\N
3623060	2799	1998-08-31	PRIJEM	\N	148	21183	UROK	\N	\N
3623061	2799	1998-09-30	PRIJEM	\N	107	26088	UROK	\N	\N
3623062	2799	1998-10-31	PRIJEM	\N	191	70244	UROK	\N	\N
3623063	2799	1998-11-30	PRIJEM	\N	259	107271	UROK	\N	\N
3623064	2799	1998-12-31	PRIJEM	\N	308	72934	UROK	\N	\N
3623065	2800	1997-05-31	PRIJEM	\N	57	20298	UROK	\N	\N
3623066	2800	1997-06-30	PRIJEM	\N	170	51180	UROK	\N	\N
3623067	2800	1997-07-31	PRIJEM	\N	232	58053	UROK	\N	\N
3623068	2800	1997-08-31	PRIJEM	\N	249	60842	UROK	\N	\N
3623069	2800	1997-09-30	PRIJEM	\N	249	58793	UROK	\N	\N
3623070	2800	1997-10-31	PRIJEM	\N	238	55617	UROK	\N	\N
3623071	2800	1997-11-30	PRIJEM	\N	222	51425	UROK	\N	\N
3623072	2800	1997-12-31	PRIJEM	\N	216	56298	UROK	\N	\N
3623073	2800	1998-01-31	PRIJEM	\N	195	38179	UROK	\N	\N
3623074	2800	1998-02-28	PRIJEM	\N	160	40926	UROK	\N	\N
3623075	2800	1998-03-31	PRIJEM	\N	172	41384	UROK	\N	\N
3623076	2800	1998-04-30	PRIJEM	\N	180	43551	UROK	\N	\N
3623077	2800	1998-05-31	PRIJEM	\N	187	44924	UROK	\N	\N
3623078	2800	1998-06-30	PRIJEM	\N	182	43264	UROK	\N	\N
3623079	2800	1998-07-31	PRIJEM	\N	178	41928	UROK	\N	\N
3623080	2800	1998-08-31	PRIJEM	\N	173	39888	UROK	\N	\N
3623081	2800	1998-09-30	PRIJEM	\N	173	46447	UROK	\N	\N
3623082	2800	1998-10-31	PRIJEM	\N	168	35202	UROK	\N	\N
3623083	2800	1998-11-30	PRIJEM	\N	171	38359	UROK	\N	\N
3623084	2800	1998-12-31	PRIJEM	\N	206	39422	UROK	\N	\N
3623085	2801	1997-02-28	PRIJEM	\N	5	30715	UROK	\N	\N
3623086	2801	1997-03-31	PRIJEM	\N	121	29899	UROK	\N	\N
3623087	2801	1997-04-30	PRIJEM	\N	131	32453	UROK	\N	\N
3623088	2801	1997-05-31	PRIJEM	\N	140	34297	UROK	\N	\N
3623089	2801	1997-06-30	PRIJEM	\N	139	33219	UROK	\N	\N
3623090	2801	1997-07-31	PRIJEM	\N	145	35787	UROK	\N	\N
3623091	2801	1997-08-31	PRIJEM	\N	154	37464	UROK	\N	\N
3623092	2801	1997-09-30	PRIJEM	\N	162	40050	UROK	\N	\N
3623093	2801	1997-10-31	PRIJEM	\N	169	39362	UROK	\N	\N
3623094	2801	1997-11-30	PRIJEM	\N	166	40052	UROK	\N	\N
3623095	2801	1997-12-31	PRIJEM	\N	159	37354	UROK	\N	\N
3623096	2801	1998-01-31	PRIJEM	\N	134	31112	UROK	\N	\N
3623097	2801	1998-02-28	PRIJEM	\N	132	30947	UROK	\N	\N
3623098	2801	1998-03-31	PRIJEM	\N	135	33505	UROK	\N	\N
3623099	2801	1998-04-30	PRIJEM	\N	142	32151	UROK	\N	\N
3623100	2801	1998-05-31	PRIJEM	\N	124	31018	UROK	\N	\N
3623101	2801	1998-06-30	PRIJEM	\N	135	33576	UROK	\N	\N
3623102	2801	1998-07-31	PRIJEM	\N	146	36145	UROK	\N	\N
3623103	2801	1998-08-31	PRIJEM	\N	155	37444	UROK	\N	\N
3623104	2801	1998-09-30	PRIJEM	\N	162	40029	UROK	\N	\N
3623105	2801	1998-10-31	PRIJEM	\N	173	42625	UROK	\N	\N
3623106	2801	1998-11-30	PRIJEM	\N	183	45232	UROK	\N	\N
3623107	2801	1998-12-31	PRIJEM	\N	186	46392	UROK	\N	\N
3623108	2802	1993-10-31	PRIJEM	\N	30	13749	UROK	\N	\N
3623109	2802	1993-11-30	PRIJEM	\N	77	22745	UROK	\N	\N
3623110	2802	1993-12-31	PRIJEM	\N	100	25264	UROK	\N	\N
3623111	2802	1994-01-31	PRIJEM	\N	110	27493	UROK	\N	\N
3623112	2802	1994-02-28	PRIJEM	\N	114	27526	UROK	\N	\N
3623113	2802	1994-03-31	PRIJEM	\N	109	24827	UROK	\N	\N
3623114	2802	1994-04-30	PRIJEM	\N	100	23410	UROK	\N	\N
3623115	2802	1994-05-31	PRIJEM	\N	95	22498	UROK	\N	\N
3623116	2802	1994-06-30	PRIJEM	\N	90	18770	UROK	\N	\N
3623117	2802	1994-07-31	PRIJEM	\N	88	22250	UROK	\N	\N
3623118	2802	1994-08-31	PRIJEM	\N	96	23238	UROK	\N	\N
3623119	2802	1994-09-30	PRIJEM	\N	110	28441	UROK	\N	\N
3623120	2802	1994-10-31	PRIJEM	\N	117	28350	UROK	\N	\N
3623121	2802	1994-11-30	PRIJEM	\N	117	28560	UROK	\N	\N
3623122	2802	1994-12-31	PRIJEM	\N	113	26545	UROK	\N	\N
3623123	2802	1995-01-31	PRIJEM	\N	106	24763	UROK	\N	\N
3623124	2802	1995-02-28	PRIJEM	\N	110	27696	UROK	\N	\N
3623125	2802	1995-03-31	PRIJEM	\N	111	26699	UROK	\N	\N
3623126	2802	1995-04-30	PRIJEM	\N	120	29832	UROK	\N	\N
3623127	2802	1995-05-31	PRIJEM	\N	119	28242	UROK	\N	\N
3623128	2802	1995-06-30	PRIJEM	\N	115	22820	UROK	\N	\N
3623129	2802	1995-07-31	PRIJEM	\N	101	25513	UROK	\N	\N
3623130	2802	1995-08-31	PRIJEM	\N	114	28620	UROK	\N	\N
3623131	2802	1995-09-30	PRIJEM	\N	122	29934	UROK	\N	\N
3623132	2802	1995-10-31	PRIJEM	\N	122	29849	UROK	\N	\N
3623133	2802	1995-11-30	PRIJEM	\N	130	32371	UROK	\N	\N
3623134	2802	1995-12-31	PRIJEM	\N	125	29178	UROK	\N	\N
3623135	2802	1996-01-31	PRIJEM	\N	103	23323	UROK	\N	\N
3623136	2802	1996-02-29	PRIJEM	\N	109	28025	UROK	\N	\N
3623137	2802	1996-03-31	PRIJEM	\N	110	26627	UROK	\N	\N
3623138	2802	1996-04-30	PRIJEM	\N	117	29537	UROK	\N	\N
3623139	2802	1996-05-31	PRIJEM	\N	118	28747	UROK	\N	\N
3623140	2802	1996-06-30	PRIJEM	\N	109	25198	UROK	\N	\N
3623141	2802	1996-07-31	PRIJEM	\N	110	27801	UROK	\N	\N
3623142	2802	1996-08-31	PRIJEM	\N	115	28408	UROK	\N	\N
3623143	2802	1996-09-30	PRIJEM	\N	119	28670	UROK	\N	\N
3623144	2802	1996-10-31	PRIJEM	\N	125	31087	UROK	\N	\N
3623145	2802	1996-11-30	PRIJEM	\N	132	32311	UROK	\N	\N
3623146	2802	1996-12-31	PRIJEM	\N	136	34610	UROK	\N	\N
3623147	2802	1997-01-31	PRIJEM	\N	141	30483	UROK	\N	\N
3623148	2802	1997-02-28	PRIJEM	\N	128	30663	UROK	\N	\N
3623149	2802	1997-03-31	PRIJEM	\N	129	29584	UROK	\N	\N
3623150	2802	1997-04-30	PRIJEM	\N	125	30401	UROK	\N	\N
3623151	2802	1997-05-31	PRIJEM	\N	129	33123	UROK	\N	\N
3623152	2802	1997-06-30	PRIJEM	\N	126	26261	UROK	\N	\N
3623153	2802	1997-07-31	PRIJEM	\N	107	24490	UROK	\N	\N
3623154	2802	1997-08-31	PRIJEM	\N	101	22784	UROK	\N	\N
3623155	2802	1997-09-30	PRIJEM	\N	94	20700	UROK	\N	\N
3623156	2802	1997-10-31	PRIJEM	\N	86	20678	UROK	\N	\N
3623157	2802	1997-11-30	PRIJEM	\N	83	21164	UROK	\N	\N
3623158	2802	1997-12-31	PRIJEM	\N	90	23275	UROK	\N	\N
3623159	2802	1998-01-31	PRIJEM	\N	89	20117	UROK	\N	\N
3623160	2802	1998-02-28	PRIJEM	\N	83	20342	UROK	\N	\N
3623161	2802	1998-03-31	PRIJEM	\N	84	20219	UROK	\N	\N
3623162	2802	1998-04-30	PRIJEM	\N	81	17692	UROK	\N	\N
3623163	2802	1998-05-31	PRIJEM	\N	79	22563	UROK	\N	\N
3623164	2802	1998-06-30	PRIJEM	\N	92	19538	UROK	\N	\N
3623165	2802	1998-07-31	PRIJEM	\N	87	24517	UROK	\N	\N
3623166	2802	1998-08-31	PRIJEM	\N	105	27414	UROK	\N	\N
3623167	2802	1998-09-30	PRIJEM	\N	116	29553	UROK	\N	\N
3623168	2802	1998-10-31	PRIJEM	\N	122	31618	UROK	\N	\N
3623169	2802	1998-11-30	PRIJEM	\N	136	34986	UROK	\N	\N
3623170	2802	1998-12-31	PRIJEM	\N	149	38707	UROK	\N	\N
3623171	2803	1995-12-31	PRIJEM	\N	70	44398	UROK	\N	\N
3623172	2803	1996-01-31	PRIJEM	\N	181	46924	UROK	\N	\N
3623173	2803	1996-02-29	PRIJEM	\N	400	66975	UROK	\N	\N
3623174	2803	1996-03-31	PRIJEM	\N	252	47046	UROK	\N	\N
3623175	2803	1996-04-30	PRIJEM	\N	198	54258	UROK	\N	\N
3623176	2803	1996-05-31	PRIJEM	\N	341	56008	UROK	\N	\N
3623177	2803	1996-06-30	PRIJEM	\N	232	52728	UROK	\N	\N
3623178	2803	1996-07-31	PRIJEM	\N	217	47829	UROK	\N	\N
3623179	2803	1996-08-31	PRIJEM	\N	210	52717	UROK	\N	\N
3623180	2803	1996-09-30	PRIJEM	\N	228	65184	UROK	\N	\N
3623181	2803	1996-10-31	PRIJEM	\N	331	60859	UROK	\N	\N
3623182	2803	1996-11-30	PRIJEM	\N	256	77261	UROK	\N	\N
3623183	2803	1996-12-31	PRIJEM	\N	306	59727	UROK	\N	\N
3623184	2803	1997-01-31	PRIJEM	\N	178	21784	UROK	\N	\N
3623185	2803	1997-02-28	PRIJEM	\N	91	24759	UROK	\N	\N
3623186	2803	1997-03-31	PRIJEM	\N	103	27548	UROK	\N	\N
3623187	2803	1997-04-30	PRIJEM	\N	143	57264	UROK	\N	\N
3623188	2803	1997-05-31	PRIJEM	\N	159	34709	UROK	\N	\N
3623189	2803	1997-06-30	PRIJEM	\N	137	28277	UROK	\N	\N
3623190	2803	1997-07-31	PRIJEM	\N	116	28179	UROK	\N	\N
3623191	2803	1997-08-31	PRIJEM	\N	138	33280	UROK	\N	\N
3623192	2803	1997-09-30	PRIJEM	\N	124	23497	UROK	\N	\N
3623193	2803	1997-10-31	PRIJEM	\N	97	25179	UROK	\N	\N
3623194	2803	1997-11-30	PRIJEM	\N	103	22368	UROK	\N	\N
3623195	2803	1997-12-31	PRIJEM	\N	92	23645	UROK	\N	\N
3623196	2803	1998-01-31	PRIJEM	\N	135	88563	UROK	\N	\N
3623197	2803	1998-02-28	PRIJEM	\N	334	70592	UROK	\N	\N
3623198	2803	1998-03-31	PRIJEM	\N	251	50507	UROK	\N	\N
3623199	2803	1998-04-30	PRIJEM	\N	188	30622	UROK	\N	\N
3623200	2803	1998-05-31	PRIJEM	\N	250	83785	UROK	\N	\N
3623201	2803	1998-06-30	PRIJEM	\N	382	50399	UROK	\N	\N
3623202	2803	1998-07-31	PRIJEM	\N	297	92365	UROK	\N	\N
3623203	2803	1998-08-31	PRIJEM	\N	347	151716	UROK	\N	\N
3623204	2803	1998-09-30	PRIJEM	\N	381	107428	UROK	\N	\N
3623205	2803	1998-10-31	PRIJEM	\N	366	64377	UROK	\N	\N
3623206	2803	1998-11-30	PRIJEM	\N	225	78065	UROK	\N	\N
3623207	2803	1998-12-31	PRIJEM	\N	352	81417	UROK	\N	\N
3623208	2805	1996-10-31	PRIJEM	\N	42	14155	UROK	\N	\N
3623209	2805	1996-11-30	PRIJEM	\N	62	15211	UROK	\N	\N
3623210	2805	1996-12-31	PRIJEM	\N	65	15670	UROK	\N	\N
3623211	2805	1997-01-31	PRIJEM	\N	62	13577	UROK	\N	\N
3623212	2805	1997-02-28	PRIJEM	\N	59	14630	UROK	\N	\N
3623213	2805	1997-03-31	PRIJEM	\N	64	15689	UROK	\N	\N
3623214	2805	1997-04-30	PRIJEM	\N	67	15970	UROK	\N	\N
3623215	2805	1997-05-31	PRIJEM	\N	70	17034	UROK	\N	\N
3623216	2805	1997-06-30	PRIJEM	\N	74	18103	UROK	\N	\N
3623217	2805	1997-07-31	PRIJEM	\N	78	19175	UROK	\N	\N
3623218	2805	1997-08-31	PRIJEM	\N	82	19952	UROK	\N	\N
3623219	2805	1997-09-30	PRIJEM	\N	77	17193	UROK	\N	\N
3623220	2805	1997-10-31	PRIJEM	\N	75	18262	UROK	\N	\N
3623221	2805	1997-11-30	PRIJEM	\N	79	19335	UROK	\N	\N
3623222	2805	1997-12-31	PRIJEM	\N	82	18702	UROK	\N	\N
3623223	2805	1998-01-31	PRIJEM	\N	72	16198	UROK	\N	\N
3623224	2805	1998-02-28	PRIJEM	\N	70	17263	UROK	\N	\N
3623225	2805	1998-03-31	PRIJEM	\N	71	17099	UROK	\N	\N
3623226	2805	1998-04-30	PRIJEM	\N	73	17106	UROK	\N	\N
3623227	2805	1998-05-31	PRIJEM	\N	72	16813	UROK	\N	\N
3623228	2805	1998-06-30	PRIJEM	\N	68	16075	UROK	\N	\N
3623229	2805	1998-07-31	PRIJEM	\N	55	11924	UROK	\N	\N
3623230	2805	1998-08-31	PRIJEM	\N	52	12971	UROK	\N	\N
3623231	2805	1998-09-30	PRIJEM	\N	57	14022	UROK	\N	\N
3623232	2805	1998-10-31	PRIJEM	\N	60	14746	UROK	\N	\N
3623233	2805	1998-11-30	PRIJEM	\N	64	15805	UROK	\N	\N
3623234	2805	1998-12-31	PRIJEM	\N	67	16206	UROK	\N	\N
3623235	2806	1997-07-31	PRIJEM	\N	12	14580	UROK	\N	\N
3623236	2806	1997-08-31	PRIJEM	\N	72	26420	UROK	\N	\N
3623237	2806	1997-09-30	PRIJEM	\N	114	30401	UROK	\N	\N
3623238	2806	1997-10-31	PRIJEM	\N	128	31697	UROK	\N	\N
3623239	2806	1997-11-30	PRIJEM	\N	142	33838	UROK	\N	\N
3623240	2806	1997-12-31	PRIJEM	\N	156	33044	UROK	\N	\N
3623241	2806	1998-01-31	PRIJEM	\N	137	23387	UROK	\N	\N
3623242	2806	1998-02-28	PRIJEM	\N	105	23877	UROK	\N	\N
3623243	2806	1998-03-31	PRIJEM	\N	112	28674	UROK	\N	\N
3623244	2806	1998-04-30	PRIJEM	\N	127	29387	UROK	\N	\N
3623245	2806	1998-05-31	PRIJEM	\N	130	30302	UROK	\N	\N
3623246	2806	1998-06-30	PRIJEM	\N	143	33114	UROK	\N	\N
3623247	2806	1998-07-31	PRIJEM	\N	143	32943	UROK	\N	\N
3623248	2806	1998-08-31	PRIJEM	\N	138	30266	UROK	\N	\N
3623249	2806	1998-09-30	PRIJEM	\N	131	30282	UROK	\N	\N
3623250	2806	1998-10-31	PRIJEM	\N	133	28341	UROK	\N	\N
3623251	2806	1998-11-30	PRIJEM	\N	132	33658	UROK	\N	\N
3623252	2806	1998-12-31	PRIJEM	\N	146	31813	UROK	\N	\N
3623253	2809	1994-12-31	PRIJEM	\N	70	22756	UROK	\N	\N
3623254	2809	1995-01-31	PRIJEM	\N	143	38356	UROK	\N	\N
3623255	2809	1995-02-28	PRIJEM	\N	188	48000	UROK	\N	\N
3623256	2809	1995-03-31	PRIJEM	\N	211	51668	UROK	\N	\N
3623257	2809	1995-04-30	PRIJEM	\N	207	47568	UROK	\N	\N
3623258	2809	1995-05-31	PRIJEM	\N	185	43992	UROK	\N	\N
3623259	2809	1995-06-30	PRIJEM	\N	133	27394	UROK	\N	\N
3623260	2809	1995-07-31	PRIJEM	\N	134	33967	UROK	\N	\N
3623261	2809	1995-08-31	PRIJEM	\N	136	32742	UROK	\N	\N
3623262	2809	1995-09-30	PRIJEM	\N	128	30209	UROK	\N	\N
3623263	2809	1995-10-31	PRIJEM	\N	126	30875	UROK	\N	\N
3623264	2809	1995-11-30	PRIJEM	\N	128	31042	UROK	\N	\N
3623265	2809	1995-12-31	PRIJEM	\N	143	35853	UROK	\N	\N
3623266	2809	1996-01-31	PRIJEM	\N	138	32530	UROK	\N	\N
3623267	2809	1996-02-29	PRIJEM	\N	130	31400	UROK	\N	\N
3623268	2809	1996-03-31	PRIJEM	\N	124	29563	UROK	\N	\N
3623269	2809	1996-04-30	PRIJEM	\N	115	28018	UROK	\N	\N
3623270	2809	1996-05-31	PRIJEM	\N	110	27768	UROK	\N	\N
3623271	2809	1996-06-30	PRIJEM	\N	131	35467	UROK	\N	\N
3623272	2809	1996-07-31	PRIJEM	\N	131	26337	UROK	\N	\N
3623273	2809	1996-08-31	PRIJEM	\N	123	28200	UROK	\N	\N
3623274	2809	1996-09-30	PRIJEM	\N	137	32776	UROK	\N	\N
3623275	2809	1996-10-31	PRIJEM	\N	153	33268	UROK	\N	\N
3623276	2809	1996-11-30	PRIJEM	\N	143	31250	UROK	\N	\N
3623277	2809	1996-12-31	PRIJEM	\N	168	39186	UROK	\N	\N
3623278	2809	1997-01-31	PRIJEM	\N	172	35897	UROK	\N	\N
3623279	2809	1997-02-28	PRIJEM	\N	167	39704	UROK	\N	\N
3623280	2809	1997-03-31	PRIJEM	\N	180	37923	UROK	\N	\N
3623281	2809	1997-04-30	PRIJEM	\N	167	37029	UROK	\N	\N
3623282	2809	1997-05-31	PRIJEM	\N	166	34035	UROK	\N	\N
3623283	2809	1997-06-30	PRIJEM	\N	151	23655	UROK	\N	\N
3623284	2809	1997-07-31	PRIJEM	\N	113	26307	UROK	\N	\N
3623285	2809	1997-08-31	PRIJEM	\N	127	30073	UROK	\N	\N
3623286	2809	1997-09-30	PRIJEM	\N	138	30750	UROK	\N	\N
3623287	2809	1997-10-31	PRIJEM	\N	142	32731	UROK	\N	\N
3623288	2809	1997-11-30	PRIJEM	\N	144	30314	UROK	\N	\N
3623289	2809	1997-12-31	PRIJEM	\N	151	30734	UROK	\N	\N
3623290	2809	1998-01-31	PRIJEM	\N	135	30008	UROK	\N	\N
3623291	2809	1998-02-28	PRIJEM	\N	134	29782	UROK	\N	\N
3623292	2809	1998-03-31	PRIJEM	\N	133	27854	UROK	\N	\N
3623293	2809	1998-04-30	PRIJEM	\N	120	26214	UROK	\N	\N
3623294	2809	1998-05-31	PRIJEM	\N	121	27974	UROK	\N	\N
3623295	2809	1998-06-30	PRIJEM	\N	141	28983	UROK	\N	\N
3623296	2809	1998-07-31	PRIJEM	\N	126	27748	UROK	\N	\N
3623297	2809	1998-08-31	PRIJEM	\N	125	29012	UROK	\N	\N
3623298	2809	1998-09-30	PRIJEM	\N	126	28578	UROK	\N	\N
3623299	2809	1998-10-31	PRIJEM	\N	130	31147	UROK	\N	\N
3623300	2809	1998-11-30	PRIJEM	\N	126	26913	UROK	\N	\N
3623301	2809	1998-12-31	PRIJEM	\N	128	26709	UROK	\N	\N
3623302	2810	1995-04-30	PRIJEM	\N	45	20057	UROK	\N	\N
3623303	2810	1995-05-31	PRIJEM	\N	96	25665	UROK	\N	\N
3623304	2810	1995-06-30	PRIJEM	\N	125	33307	UROK	\N	\N
3623305	2810	1995-07-31	PRIJEM	\N	147	36766	UROK	\N	\N
3623306	2810	1995-08-31	PRIJEM	\N	150	35436	UROK	\N	\N
3623307	2810	1995-09-30	PRIJEM	\N	142	33368	UROK	\N	\N
3623308	2810	1995-10-31	PRIJEM	\N	127	28884	UROK	\N	\N
3623309	2810	1995-11-30	PRIJEM	\N	114	26388	UROK	\N	\N
3623310	2810	1995-12-31	PRIJEM	\N	114	27197	UROK	\N	\N
3623311	2810	1996-01-31	PRIJEM	\N	100	21186	UROK	\N	\N
3623312	2810	1996-02-29	PRIJEM	\N	93	25368	UROK	\N	\N
3623313	2810	1996-03-31	PRIJEM	\N	99	22757	UROK	\N	\N
3623314	2810	1996-04-30	PRIJEM	\N	107	27553	UROK	\N	\N
3623315	2810	1996-05-31	PRIJEM	\N	114	26256	UROK	\N	\N
3623316	2810	1996-06-30	PRIJEM	\N	150	34801	UROK	\N	\N
3623317	2810	1996-07-31	PRIJEM	\N	145	35636	UROK	\N	\N
3623318	2810	1996-08-31	PRIJEM	\N	118	25043	UROK	\N	\N
3623319	2810	1996-09-30	PRIJEM	\N	104	25836	UROK	\N	\N
3623320	2810	1996-10-31	PRIJEM	\N	98	23723	UROK	\N	\N
3623321	2810	1996-11-30	PRIJEM	\N	104	26117	UROK	\N	\N
3623322	2810	1996-12-31	PRIJEM	\N	125	30337	UROK	\N	\N
3623323	2810	1997-01-31	PRIJEM	\N	123	26550	UROK	\N	\N
3623324	2810	1997-02-28	PRIJEM	\N	116	29356	UROK	\N	\N
3623325	2810	1997-03-31	PRIJEM	\N	115	28460	UROK	\N	\N
3623326	2810	1997-04-30	PRIJEM	\N	126	31675	UROK	\N	\N
3623327	2810	1997-05-31	PRIJEM	\N	119	29083	UROK	\N	\N
3623328	2810	1997-06-30	PRIJEM	\N	110	24089	UROK	\N	\N
3623329	2810	1997-07-31	PRIJEM	\N	97	22175	UROK	\N	\N
3623330	2810	1997-08-31	PRIJEM	\N	104	26468	UROK	\N	\N
3623331	2810	1997-09-30	PRIJEM	\N	124	31381	UROK	\N	\N
3623332	2810	1997-10-31	PRIJEM	\N	130	30100	UROK	\N	\N
3623333	2810	1997-11-30	PRIJEM	\N	113	28702	UROK	\N	\N
3623334	2810	1997-12-31	PRIJEM	\N	134	29431	UROK	\N	\N
3623335	2810	1998-01-31	PRIJEM	\N	113	27034	UROK	\N	\N
3623336	2810	1998-02-28	PRIJEM	\N	121	30944	UROK	\N	\N
3623337	2810	1998-03-31	PRIJEM	\N	109	21243	UROK	\N	\N
3623338	2810	1998-04-30	PRIJEM	\N	97	21429	UROK	\N	\N
3623339	2810	1998-05-31	PRIJEM	\N	98	23717	UROK	\N	\N
3623340	2810	1998-06-30	PRIJEM	\N	96	22908	UROK	\N	\N
3623341	2810	1998-07-31	PRIJEM	\N	97	22194	UROK	\N	\N
3623342	2810	1998-08-31	PRIJEM	\N	102	26785	UROK	\N	\N
3623343	2810	1998-09-30	PRIJEM	\N	112	27187	UROK	\N	\N
3623344	2810	1998-10-31	PRIJEM	\N	121	27897	UROK	\N	\N
3623345	2810	1998-11-30	PRIJEM	\N	124	30210	UROK	\N	\N
3623346	2810	1998-12-31	PRIJEM	\N	133	31839	UROK	\N	\N
3623347	2811	1996-01-31	PRIJEM	\N	103	26207	UROK	\N	\N
3623348	2811	1996-02-29	PRIJEM	\N	106	27213	UROK	\N	\N
3623349	2811	1996-03-31	PRIJEM	\N	258	69065	UROK	\N	\N
3623350	2811	1996-04-30	PRIJEM	\N	296	92419	UROK	\N	\N
3623351	2811	1996-05-31	PRIJEM	\N	377	85320	UROK	\N	\N
3623352	2811	1996-06-30	PRIJEM	\N	245	58964	UROK	\N	\N
3623353	2811	1996-07-31	PRIJEM	\N	325	55706	UROK	\N	\N
3623354	2811	1996-08-31	PRIJEM	\N	207	38466	UROK	\N	\N
3623355	2811	1996-09-30	PRIJEM	\N	77	16346	UROK	\N	\N
3623356	2811	1996-10-31	PRIJEM	\N	117	32283	UROK	\N	\N
3623357	2811	1996-11-30	PRIJEM	\N	191	50952	UROK	\N	\N
3623358	2811	1996-12-31	PRIJEM	\N	246	45185	UROK	\N	\N
3623359	2811	1997-01-31	PRIJEM	\N	133	24662	UROK	\N	\N
3623360	2811	1997-02-28	PRIJEM	\N	139	40796	UROK	\N	\N
3623361	2811	1997-03-31	PRIJEM	\N	222	71429	UROK	\N	\N
3623362	2811	1997-04-30	PRIJEM	\N	271	33701	UROK	\N	\N
3623363	2811	1997-05-31	PRIJEM	\N	382	74929	UROK	\N	\N
3623364	2811	1997-06-30	PRIJEM	\N	285	59325	UROK	\N	\N
3623365	2811	1997-07-31	PRIJEM	\N	365	98892	UROK	\N	\N
3623366	2811	1997-08-31	PRIJEM	\N	339	59813	UROK	\N	\N
3623367	2811	1997-09-30	PRIJEM	\N	331	58716	UROK	\N	\N
3623368	2811	1997-10-31	PRIJEM	\N	325	81046	UROK	\N	\N
3623369	2811	1997-11-30	PRIJEM	\N	310	59135	UROK	\N	\N
3623370	2811	1997-12-31	PRIJEM	\N	242	55248	UROK	\N	\N
3623371	2811	1998-01-31	PRIJEM	\N	193	75043	UROK	\N	\N
3623372	2811	1998-02-28	PRIJEM	\N	318	46205	UROK	\N	\N
3623373	2811	1998-03-31	PRIJEM	\N	158	57607	UROK	\N	\N
3623374	2811	1998-04-30	PRIJEM	\N	217	42625	UROK	\N	\N
3623375	2811	1998-05-31	PRIJEM	\N	139	31066	UROK	\N	\N
3623376	2811	1998-06-30	PRIJEM	\N	122	55813	UROK	\N	\N
3623377	2811	1998-07-31	PRIJEM	\N	217	105462	UROK	\N	\N
3623378	2811	1998-08-31	PRIJEM	\N	345	53909	UROK	\N	\N
3623379	2811	1998-09-30	PRIJEM	\N	240	51840	UROK	\N	\N
3623380	2811	1998-10-31	PRIJEM	\N	308	77355	UROK	\N	\N
3623381	2811	1998-11-30	PRIJEM	\N	274	53530	UROK	\N	\N
3623382	2811	1998-12-31	PRIJEM	\N	192	32923	UROK	\N	\N
3623383	2812	1996-07-31	PRIJEM	\N	60	24770	UROK	\N	\N
3623384	2812	1996-08-31	PRIJEM	\N	155	46435	UROK	\N	\N
3623385	2812	1996-09-30	PRIJEM	\N	224	59669	UROK	\N	\N
3623386	2812	1996-10-31	PRIJEM	\N	269	68448	UROK	\N	\N
3623387	2812	1996-11-30	PRIJEM	\N	290	70847	UROK	\N	\N
3623388	2812	1996-12-31	PRIJEM	\N	266	67753	UROK	\N	\N
3623389	2812	1997-01-31	PRIJEM	\N	144	33902	UROK	\N	\N
3623390	2812	1997-02-28	PRIJEM	\N	129	38615	UROK	\N	\N
3623391	2812	1997-03-31	PRIJEM	\N	157	42956	UROK	\N	\N
3623392	2812	1997-04-30	PRIJEM	\N	157	41397	UROK	\N	\N
3623393	2812	1997-05-31	PRIJEM	\N	134	36396	UROK	\N	\N
3623394	2812	1997-06-30	PRIJEM	\N	117	19353	UROK	\N	\N
3623395	2812	1997-07-31	PRIJEM	\N	86	12123	UROK	\N	\N
3623396	2812	1997-08-31	PRIJEM	\N	85	16792	UROK	\N	\N
3623397	2812	1997-09-30	PRIJEM	\N	101	15377	UROK	\N	\N
3623398	2812	1997-10-31	PRIJEM	\N	93	13894	UROK	\N	\N
3623399	2812	1997-11-30	PRIJEM	\N	87	13966	UROK	\N	\N
3623400	2812	1997-12-31	PRIJEM	\N	107	18112	UROK	\N	\N
3623401	2812	1998-01-31	PRIJEM	\N	83	23079	UROK	\N	\N
3623402	2812	1998-02-28	PRIJEM	\N	117	14180	UROK	\N	\N
3623403	2812	1998-03-31	PRIJEM	\N	98	30563	UROK	\N	\N
3623404	2812	1998-04-30	PRIJEM	\N	145	18292	UROK	\N	\N
3623405	2812	1998-05-31	PRIJEM	\N	99	15076	UROK	\N	\N
3623406	2812	1998-06-30	PRIJEM	\N	102	14597	UROK	\N	\N
3623407	2812	1998-07-31	PRIJEM	\N	99	30981	UROK	\N	\N
3623408	2812	1998-08-31	PRIJEM	\N	134	15899	UROK	\N	\N
3623409	2812	1998-09-30	PRIJEM	\N	104	32287	UROK	\N	\N
3623410	2812	1998-10-31	PRIJEM	\N	132	14704	UROK	\N	\N
3623411	2812	1998-11-30	PRIJEM	\N	99	31087	UROK	\N	\N
3623412	2812	1998-12-31	PRIJEM	\N	182	55328	UROK	\N	\N
3623413	2813	1994-01-31	PRIJEM	\N	44	18066	UROK	\N	\N
3623414	2813	1994-02-28	PRIJEM	\N	103	29690	UROK	\N	\N
3623415	2813	1994-03-31	PRIJEM	\N	131	33043	UROK	\N	\N
3623416	2813	1994-04-30	PRIJEM	\N	142	35007	UROK	\N	\N
3623417	2813	1994-05-31	PRIJEM	\N	153	38282	UROK	\N	\N
3623418	2813	1994-06-30	PRIJEM	\N	150	31979	UROK	\N	\N
3623419	2813	1994-07-31	PRIJEM	\N	129	29145	UROK	\N	\N
3623420	2813	1994-08-31	PRIJEM	\N	127	30508	UROK	\N	\N
3623421	2813	1994-09-30	PRIJEM	\N	124	26649	UROK	\N	\N
3623422	2813	1994-10-31	PRIJEM	\N	111	26296	UROK	\N	\N
3623423	2813	1994-11-30	PRIJEM	\N	107	25339	UROK	\N	\N
3623424	2813	1994-12-31	PRIJEM	\N	102	22528	UROK	\N	\N
3623425	2813	1995-01-31	PRIJEM	\N	73	14417	UROK	\N	\N
3623426	2813	1995-02-28	PRIJEM	\N	83	22436	UROK	\N	\N
3623427	2813	1995-03-31	PRIJEM	\N	94	22767	UROK	\N	\N
3623428	2813	1995-04-30	PRIJEM	\N	107	27011	UROK	\N	\N
3623429	2813	1995-05-31	PRIJEM	\N	105	24852	UROK	\N	\N
3623430	2813	1995-06-30	PRIJEM	\N	116	29415	UROK	\N	\N
3623431	2813	1995-07-31	PRIJEM	\N	117	28268	UROK	\N	\N
3623432	2813	1995-08-31	PRIJEM	\N	131	32835	UROK	\N	\N
3623433	2813	1995-09-30	PRIJEM	\N	143	35614	UROK	\N	\N
3623434	2813	1995-10-31	PRIJEM	\N	158	35228	UROK	\N	\N
3623435	2813	1995-11-30	PRIJEM	\N	134	33198	UROK	\N	\N
3623436	2813	1995-12-31	PRIJEM	\N	160	37486	UROK	\N	\N
3623437	2813	1996-01-31	PRIJEM	\N	123	24845	UROK	\N	\N
3623438	2813	1996-02-29	PRIJEM	\N	107	27268	UROK	\N	\N
3623439	2813	1996-03-31	PRIJEM	\N	122	31067	UROK	\N	\N
3623440	2813	1996-04-30	PRIJEM	\N	131	31395	UROK	\N	\N
3623441	2813	1996-05-31	PRIJEM	\N	127	31498	UROK	\N	\N
3623442	2813	1996-06-30	PRIJEM	\N	155	40299	UROK	\N	\N
3623443	2813	1996-07-31	PRIJEM	\N	149	36885	UROK	\N	\N
3623444	2813	1996-08-31	PRIJEM	\N	132	32753	UROK	\N	\N
3623445	2813	1996-09-30	PRIJEM	\N	113	28123	UROK	\N	\N
3623446	2813	1996-10-31	PRIJEM	\N	118	28277	UROK	\N	\N
3623447	2813	1996-11-30	PRIJEM	\N	135	26148	UROK	\N	\N
3623448	2813	1996-12-31	PRIJEM	\N	151	32127	UROK	\N	\N
3623449	2813	1997-01-31	PRIJEM	\N	139	22382	UROK	\N	\N
3623450	2813	1997-02-28	PRIJEM	\N	112	23931	UROK	\N	\N
3623451	2813	1997-03-31	PRIJEM	\N	118	22685	UROK	\N	\N
3623452	2813	1997-04-30	PRIJEM	\N	113	22134	UROK	\N	\N
3623453	2813	1997-05-31	PRIJEM	\N	111	24281	UROK	\N	\N
3623454	2813	1997-06-30	PRIJEM	\N	132	24701	UROK	\N	\N
3623455	2813	1997-07-31	PRIJEM	\N	110	20388	UROK	\N	\N
3623456	2813	1997-08-31	PRIJEM	\N	100	19524	UROK	\N	\N
3623457	2813	1997-09-30	PRIJEM	\N	97	19757	UROK	\N	\N
3623458	2813	1997-10-31	PRIJEM	\N	95	18889	UROK	\N	\N
3623459	2813	1997-11-30	PRIJEM	\N	89	15614	UROK	\N	\N
3623460	2813	1997-12-31	PRIJEM	\N	101	27002	UROK	\N	\N
3623461	2813	1998-01-31	PRIJEM	\N	108	23106	UROK	\N	\N
3623462	2813	1998-02-28	PRIJEM	\N	116	30858	UROK	\N	\N
3623463	2813	1998-03-31	PRIJEM	\N	126	17221	UROK	\N	\N
3623464	2813	1998-04-30	PRIJEM	\N	93	24950	UROK	\N	\N
3623465	2813	1998-05-31	PRIJEM	\N	124	32711	UROK	\N	\N
3623466	2813	1998-06-30	PRIJEM	\N	139	15397	UROK	\N	\N
3623467	2813	1998-07-31	PRIJEM	\N	85	23119	UROK	\N	\N
3623468	2813	1998-08-31	PRIJEM	\N	110	26785	UROK	\N	\N
3623469	2813	1998-09-30	PRIJEM	\N	131	34553	UROK	\N	\N
3623470	2813	1998-10-31	PRIJEM	\N	161	41151	UROK	\N	\N
3623471	2813	1998-11-30	PRIJEM	\N	191	48978	UROK	\N	\N
3623472	2813	1998-12-31	PRIJEM	\N	167	18092	UROK	\N	\N
3623473	2814	1993-09-30	PRIJEM	\N	28	22448	UROK	\N	\N
3623474	2814	1993-10-31	PRIJEM	\N	98	24449	UROK	\N	\N
3623475	2814	1993-11-30	PRIJEM	\N	107	26458	UROK	\N	\N
3623476	2814	1993-12-31	PRIJEM	\N	107	23437	UROK	\N	\N
3623477	2814	1994-01-31	PRIJEM	\N	80	12739	UROK	\N	\N
3623478	2814	1994-02-28	PRIJEM	\N	58	14699	UROK	\N	\N
3623479	2814	1994-03-31	PRIJEM	\N	66	16667	UROK	\N	\N
3623480	2814	1994-04-30	PRIJEM	\N	74	18644	UROK	\N	\N
3623481	2814	1994-05-31	PRIJEM	\N	78	19424	UROK	\N	\N
3623482	2814	1994-06-30	PRIJEM	\N	86	21412	UROK	\N	\N
3623483	2814	1994-07-31	PRIJEM	\N	91	22606	UROK	\N	\N
3623484	2814	1994-08-31	PRIJEM	\N	98	24106	UROK	\N	\N
3623485	2814	1994-09-30	PRIJEM	\N	92	23061	UROK	\N	\N
3623486	2814	1994-10-31	PRIJEM	\N	100	24663	UROK	\N	\N
3623487	2814	1994-11-30	PRIJEM	\N	107	26673	UROK	\N	\N
3623488	2814	1994-12-31	PRIJEM	\N	115	28140	UROK	\N	\N
3623489	2814	1995-01-31	PRIJEM	\N	93	19146	UROK	\N	\N
3623490	2814	1995-02-28	PRIJEM	\N	84	21132	UROK	\N	\N
3623491	2814	1995-03-31	PRIJEM	\N	93	23127	UROK	\N	\N
3623492	2814	1995-04-30	PRIJEM	\N	101	25130	UROK	\N	\N
3623493	2814	1995-05-31	PRIJEM	\N	109	27142	UROK	\N	\N
3623494	2814	1995-06-30	PRIJEM	\N	101	15695	UROK	\N	\N
3623495	2814	1995-07-31	PRIJEM	\N	70	17667	UROK	\N	\N
3623496	2814	1995-08-31	PRIJEM	\N	77	18127	UROK	\N	\N
3623497	2814	1995-09-30	PRIJEM	\N	70	16899	UROK	\N	\N
3623498	2814	1995-10-31	PRIJEM	\N	75	18877	UROK	\N	\N
3623499	2814	1995-11-30	PRIJEM	\N	83	20862	UROK	\N	\N
3623500	2814	1995-12-31	PRIJEM	\N	91	21755	UROK	\N	\N
3623501	2814	1996-01-31	PRIJEM	\N	70	14317	UROK	\N	\N
3623502	2814	1996-02-29	PRIJEM	\N	64	16283	UROK	\N	\N
3623503	2814	1996-03-31	PRIJEM	\N	72	18258	UROK	\N	\N
3623504	2814	1996-04-30	PRIJEM	\N	68	14548	UROK	\N	\N
3623505	2814	1996-05-31	PRIJEM	\N	65	16515	UROK	\N	\N
3623506	2814	1996-06-30	PRIJEM	\N	73	18491	UROK	\N	\N
3623507	2814	1996-07-31	PRIJEM	\N	80	19113	UROK	\N	\N
3623508	2814	1996-08-31	PRIJEM	\N	77	17572	UROK	\N	\N
3623509	2814	1996-09-30	PRIJEM	\N	77	19552	UROK	\N	\N
3623510	2814	1996-10-31	PRIJEM	\N	85	21539	UROK	\N	\N
3623511	2814	1996-11-30	PRIJEM	\N	94	23535	UROK	\N	\N
3623512	2814	1996-12-31	PRIJEM	\N	101	22848	UROK	\N	\N
3623513	2814	1997-01-31	PRIJEM	\N	83	15883	UROK	\N	\N
3623514	2814	1997-02-28	PRIJEM	\N	70	17855	UROK	\N	\N
3623515	2814	1997-03-31	PRIJEM	\N	78	19836	UROK	\N	\N
3623516	2814	1997-04-30	PRIJEM	\N	86	21824	UROK	\N	\N
3623517	2814	1997-05-31	PRIJEM	\N	94	23821	UROK	\N	\N
3623518	2814	1997-06-30	PRIJEM	\N	86	17999	UROK	\N	\N
3623519	2814	1997-07-31	PRIJEM	\N	78	19980	UROK	\N	\N
3623520	2814	1997-08-31	PRIJEM	\N	80	19722	UROK	\N	\N
3623521	2814	1997-09-30	PRIJEM	\N	85	21710	UROK	\N	\N
3623522	2814	1997-10-31	PRIJEM	\N	94	23706	UROK	\N	\N
3623523	2814	1997-11-30	PRIJEM	\N	102	25710	UROK	\N	\N
3623524	2814	1997-12-31	PRIJEM	\N	109	27221	UROK	\N	\N
3623525	2814	1998-01-31	PRIJEM	\N	96	21540	UROK	\N	\N
3623526	2814	1998-02-28	PRIJEM	\N	92	23535	UROK	\N	\N
3623527	2814	1998-03-31	PRIJEM	\N	101	25538	UROK	\N	\N
3623528	2814	1998-04-30	PRIJEM	\N	109	27549	UROK	\N	\N
3623529	2814	1998-05-31	PRIJEM	\N	118	29569	UROK	\N	\N
3623530	2814	1998-06-30	PRIJEM	\N	117	28588	UROK	\N	\N
3623531	2814	1998-07-31	PRIJEM	\N	122	30613	UROK	\N	\N
3623532	2814	1998-08-31	PRIJEM	\N	130	32645	UROK	\N	\N
3623533	2814	1998-09-30	PRIJEM	\N	138	34686	UROK	\N	\N
3623534	2814	1998-10-31	PRIJEM	\N	130	29278	UROK	\N	\N
3623535	2814	1998-11-30	PRIJEM	\N	120	28340	UROK	\N	\N
3623536	2814	1998-12-31	PRIJEM	\N	120	29112	UROK	\N	\N
3623537	2816	1997-05-31	PRIJEM	\N	56	18893	UROK	\N	\N
3623538	2816	1997-06-30	PRIJEM	\N	158	46156	UROK	\N	\N
3623539	2816	1997-07-31	PRIJEM	\N	220	55914	UROK	\N	\N
3623540	2816	1997-08-31	PRIJEM	\N	245	60296	UROK	\N	\N
3623541	2816	1997-09-30	PRIJEM	\N	243	56898	UROK	\N	\N
3623542	2816	1997-10-31	PRIJEM	\N	223	51687	UROK	\N	\N
3623543	2816	1997-11-30	PRIJEM	\N	210	50042	UROK	\N	\N
3623544	2816	1997-12-31	PRIJEM	\N	207	38624	UROK	\N	\N
3623545	2816	1998-01-31	PRIJEM	\N	109	24678	UROK	\N	\N
3623546	2816	1998-02-28	PRIJEM	\N	137	36040	UROK	\N	\N
3623547	2816	1998-03-31	PRIJEM	\N	166	33531	UROK	\N	\N
3623548	2816	1998-04-30	PRIJEM	\N	157	36273	UROK	\N	\N
3623549	2816	1998-05-31	PRIJEM	\N	180	37999	UROK	\N	\N
3623550	2816	1998-06-30	PRIJEM	\N	208	46221	UROK	\N	\N
3623551	2816	1998-07-31	PRIJEM	\N	220	46986	UROK	\N	\N
3623552	2816	1998-08-31	PRIJEM	\N	220	46551	UROK	\N	\N
3623553	2816	1998-09-30	PRIJEM	\N	204	41961	UROK	\N	\N
3623554	2816	1998-10-31	PRIJEM	\N	198	42404	UROK	\N	\N
3623555	2816	1998-11-30	PRIJEM	\N	194	39463	UROK	\N	\N
3623556	2816	1998-12-31	PRIJEM	\N	218	57376	UROK	\N	\N
3623557	2818	1993-08-31	PRIJEM	\N	52	31974	UROK	\N	\N
3623558	2818	1993-09-30	PRIJEM	\N	161	48656	UROK	\N	\N
3623559	2818	1993-10-31	PRIJEM	\N	221	59599	UROK	\N	\N
3623560	2818	1993-11-30	PRIJEM	\N	249	60570	UROK	\N	\N
3623561	2818	1993-12-31	PRIJEM	\N	267	52023	UROK	\N	\N
3623562	2818	1994-01-31	PRIJEM	\N	171	19652	UROK	\N	\N
3623563	2818	1994-02-28	PRIJEM	\N	135	39848	UROK	\N	\N
3623564	2818	1994-03-31	PRIJEM	\N	209	43868	UROK	\N	\N
3623565	2818	1994-04-30	PRIJEM	\N	201	45636	UROK	\N	\N
3623566	2818	1994-05-31	PRIJEM	\N	230	48926	UROK	\N	\N
3623567	2818	1994-06-30	PRIJEM	\N	210	56904	UROK	\N	\N
3623568	2818	1994-07-31	PRIJEM	\N	243	36120	UROK	\N	\N
3623569	2818	1994-08-31	PRIJEM	\N	176	40057	UROK	\N	\N
3623570	2818	1994-09-30	PRIJEM	\N	188	47505	UROK	\N	\N
3623571	2818	1994-10-31	PRIJEM	\N	215	51277	UROK	\N	\N
3623572	2818	1994-11-30	PRIJEM	\N	216	52654	UROK	\N	\N
3623573	2818	1994-12-31	PRIJEM	\N	210	25928	UROK	\N	\N
3623574	2818	1995-01-31	PRIJEM	\N	109	21698	UROK	\N	\N
3623575	2818	1995-02-28	PRIJEM	\N	125	34084	UROK	\N	\N
3623576	2818	1995-03-31	PRIJEM	\N	214	39758	UROK	\N	\N
3623577	2818	1995-04-30	PRIJEM	\N	196	42814	UROK	\N	\N
3623578	2818	1995-05-31	PRIJEM	\N	165	33181	UROK	\N	\N
3623579	2818	1995-06-30	PRIJEM	\N	194	52847	UROK	\N	\N
3623580	2818	1995-07-31	PRIJEM	\N	196	30844	UROK	\N	\N
3623581	2818	1995-08-31	PRIJEM	\N	152	37156	UROK	\N	\N
3623582	2818	1995-09-30	PRIJEM	\N	164	37180	UROK	\N	\N
3623583	2818	1995-10-31	PRIJEM	\N	184	45625	UROK	\N	\N
3623584	2818	1995-11-30	PRIJEM	\N	130	13137	UROK	\N	\N
3623585	2818	1995-12-31	PRIJEM	\N	153	25561	UROK	\N	\N
3623586	2818	1996-01-31	PRIJEM	\N	138	27141	UROK	\N	\N
3623587	2818	1996-02-29	PRIJEM	\N	218	58919	UROK	\N	\N
3623588	2818	1996-03-31	PRIJEM	\N	307	76786	UROK	\N	\N
3623589	2818	1996-04-30	PRIJEM	\N	344	83190	UROK	\N	\N
3623590	2818	1996-05-31	PRIJEM	\N	325	71947	UROK	\N	\N
3623591	2818	1996-06-30	PRIJEM	\N	331	80850	UROK	\N	\N
3623592	2818	1996-07-31	PRIJEM	\N	354	77965	UROK	\N	\N
3623593	2818	1996-08-31	PRIJEM	\N	347	84072	UROK	\N	\N
3623594	2818	1996-09-30	PRIJEM	\N	352	64859	UROK	\N	\N
3623595	2818	1996-10-31	PRIJEM	\N	231	30093	UROK	\N	\N
3623596	2818	1996-11-30	PRIJEM	\N	195	45875	UROK	\N	\N
3623597	2818	1996-12-31	PRIJEM	\N	280	72667	UROK	\N	\N
3623598	2818	1997-01-31	PRIJEM	\N	180	25136	UROK	\N	\N
3623599	2818	1997-02-28	PRIJEM	\N	170	31143	UROK	\N	\N
3623600	2818	1997-03-31	PRIJEM	\N	207	47914	UROK	\N	\N
3623601	2818	1997-04-30	PRIJEM	\N	305	80380	UROK	\N	\N
3623602	2818	1997-05-31	PRIJEM	\N	383	95823	UROK	\N	\N
3623603	2818	1997-06-30	PRIJEM	\N	362	87507	UROK	\N	\N
3623604	2818	1997-07-31	PRIJEM	\N	330	67297	UROK	\N	\N
3623605	2818	1997-08-31	PRIJEM	\N	335	66856	UROK	\N	\N
3623606	2818	1997-09-30	PRIJEM	\N	320	65501	UROK	\N	\N
3623607	2818	1997-10-31	PRIJEM	\N	329	64085	UROK	\N	\N
3623608	2818	1997-11-30	PRIJEM	\N	328	69873	UROK	\N	\N
3623609	2818	1997-12-31	PRIJEM	\N	347	70991	UROK	\N	\N
3623610	2818	1998-01-31	PRIJEM	\N	307	59159	UROK	\N	\N
3623611	2818	1998-02-28	PRIJEM	\N	306	71826	UROK	\N	\N
3623612	2818	1998-03-31	PRIJEM	\N	361	81847	UROK	\N	\N
3623613	2818	1998-04-30	PRIJEM	\N	367	74674	UROK	\N	\N
3623614	2818	1998-05-31	PRIJEM	\N	331	71995	UROK	\N	\N
3623615	2818	1998-06-30	PRIJEM	\N	304	41624	UROK	\N	\N
3623616	2818	1998-07-31	PRIJEM	\N	243	67928	UROK	\N	\N
3623617	2818	1998-08-31	PRIJEM	\N	318	72816	UROK	\N	\N
3623618	2818	1998-09-30	PRIJEM	\N	270	49846	UROK	\N	\N
3623619	2818	1998-10-31	PRIJEM	\N	261	67467	UROK	\N	\N
3623620	2818	1998-11-30	PRIJEM	\N	307	42871	UROK	\N	\N
3623621	2818	1998-12-31	PRIJEM	\N	289	88531	UROK	\N	\N
3623622	2819	1994-08-31	PRIJEM	\N	47	20712	UROK	\N	\N
3623623	2819	1994-09-30	PRIJEM	\N	106	29283	UROK	\N	\N
3623624	2819	1994-10-31	PRIJEM	\N	133	34082	UROK	\N	\N
3623625	2819	1994-11-30	PRIJEM	\N	149	37296	UROK	\N	\N
3623626	2819	1994-12-31	PRIJEM	\N	172	32614	UROK	\N	\N
3623627	2819	1995-01-31	PRIJEM	\N	115	22818	UROK	\N	\N
3623628	2819	1995-02-28	PRIJEM	\N	117	29225	UROK	\N	\N
3623629	2819	1995-03-31	PRIJEM	\N	140	32055	UROK	\N	\N
3623630	2819	1995-04-30	PRIJEM	\N	140	31004	UROK	\N	\N
3623631	2819	1995-05-31	PRIJEM	\N	128	29161	UROK	\N	\N
3623632	2819	1995-06-30	PRIJEM	\N	133	20166	UROK	\N	\N
3623633	2819	1995-07-31	PRIJEM	\N	96	24132	UROK	\N	\N
3623634	2819	1995-08-31	PRIJEM	\N	116	29138	UROK	\N	\N
3623635	2819	1995-09-30	PRIJEM	\N	139	32566	UROK	\N	\N
3623636	2819	1995-10-31	PRIJEM	\N	144	33999	UROK	\N	\N
3623637	2819	1995-11-30	PRIJEM	\N	158	39347	UROK	\N	\N
3623638	2819	1995-12-31	PRIJEM	\N	195	49173	UROK	\N	\N
3623639	2819	1996-01-31	PRIJEM	\N	177	31980	UROK	\N	\N
3623640	2819	1996-02-29	PRIJEM	\N	157	40127	UROK	\N	\N
3623641	2819	1996-03-31	PRIJEM	\N	180	43116	UROK	\N	\N
3623642	2819	1996-04-30	PRIJEM	\N	187	45113	UROK	\N	\N
3623643	2819	1996-05-31	PRIJEM	\N	208	50210	UROK	\N	\N
3623644	2819	1996-06-30	PRIJEM	\N	168	15409	UROK	\N	\N
3623645	2819	1996-07-31	PRIJEM	\N	127	35825	UROK	\N	\N
3623646	2819	1996-08-31	PRIJEM	\N	189	45084	UROK	\N	\N
3623647	2819	1996-09-30	PRIJEM	\N	200	49373	UROK	\N	\N
3623648	2819	1996-10-31	PRIJEM	\N	206	50329	UROK	\N	\N
3623649	2819	1996-11-30	PRIJEM	\N	226	56044	UROK	\N	\N
3623650	2819	1996-12-31	PRIJEM	\N	242	54738	UROK	\N	\N
3623651	2819	1997-01-31	PRIJEM	\N	175	43483	UROK	\N	\N
3623652	2819	1997-02-28	PRIJEM	\N	210	51982	UROK	\N	\N
3623653	2819	1997-03-31	PRIJEM	\N	230	55402	UROK	\N	\N
3623654	2819	1997-04-30	PRIJEM	\N	253	60885	UROK	\N	\N
3623655	2819	1997-05-31	PRIJEM	\N	251	58805	UROK	\N	\N
3623656	2819	1997-06-30	PRIJEM	\N	271	49408	UROK	\N	\N
3623657	2819	1997-07-31	PRIJEM	\N	237	56034	UROK	\N	\N
3623658	2819	1997-08-31	PRIJEM	\N	252	56116	UROK	\N	\N
3623659	2819	1997-09-30	PRIJEM	\N	255	58360	UROK	\N	\N
3623660	2819	1997-10-31	PRIJEM	\N	266	64616	UROK	\N	\N
3623661	2819	1997-11-30	PRIJEM	\N	282	64487	UROK	\N	\N
3623662	2819	1997-12-31	PRIJEM	\N	306	69704	UROK	\N	\N
3623663	2819	1998-01-31	PRIJEM	\N	289	60603	UROK	\N	\N
3623664	2819	1998-02-28	PRIJEM	\N	277	63569	UROK	\N	\N
3623665	2819	1998-03-31	PRIJEM	\N	281	59180	UROK	\N	\N
3623666	2819	1998-04-30	PRIJEM	\N	271	62640	UROK	\N	\N
3623667	2819	1998-05-31	PRIJEM	\N	276	64146	UROK	\N	\N
3623668	2819	1998-06-30	PRIJEM	\N	291	64769	UROK	\N	\N
3623669	2819	1998-07-31	PRIJEM	\N	283	66621	UROK	\N	\N
3623670	2819	1998-08-31	PRIJEM	\N	291	67442	UROK	\N	\N
3623671	2819	1998-09-30	PRIJEM	\N	291	61642	UROK	\N	\N
3623672	2819	1998-10-31	PRIJEM	\N	266	59398	UROK	\N	\N
3623673	2819	1998-11-30	PRIJEM	\N	267	61754	UROK	\N	\N
3623674	2819	1998-12-31	PRIJEM	\N	279	60105	UROK	\N	\N
3623675	2820	1998-03-31	PRIJEM	\N	38	13563	UROK	\N	\N
3623676	2820	1998-04-30	PRIJEM	\N	68	17606	UROK	\N	\N
3623677	2820	1998-05-31	PRIJEM	\N	74	17088	UROK	\N	\N
3623678	2820	1998-06-30	PRIJEM	\N	80	19361	UROK	\N	\N
3623679	2820	1998-07-31	PRIJEM	\N	89	21643	UROK	\N	\N
3623680	2820	1998-08-31	PRIJEM	\N	88	21285	UROK	\N	\N
3623681	2820	1998-09-30	PRIJEM	\N	83	19321	UROK	\N	\N
3623682	2820	1998-10-31	PRIJEM	\N	89	21603	UROK	\N	\N
3623683	2820	1998-11-30	PRIJEM	\N	89	21246	UROK	\N	\N
3623684	2820	1998-12-31	PRIJEM	\N	95	22184	UROK	\N	\N
3623685	2821	1996-08-31	PRIJEM	\N	43	15326	UROK	\N	\N
3623686	2821	1996-09-30	PRIJEM	\N	87	23396	UROK	\N	\N
3623687	2821	1996-10-31	PRIJEM	\N	115	29595	UROK	\N	\N
3623688	2821	1996-11-30	PRIJEM	\N	141	35819	UROK	\N	\N
3623689	2821	1996-12-31	PRIJEM	\N	152	35672	UROK	\N	\N
3623690	2821	1997-01-31	PRIJEM	\N	113	14899	UROK	\N	\N
3623691	2821	1997-02-28	PRIJEM	\N	72	18784	UROK	\N	\N
3623692	2821	1997-03-31	PRIJEM	\N	104	25401	UROK	\N	\N
3623693	2821	1997-04-30	PRIJEM	\N	107	24721	UROK	\N	\N
3623694	2821	1997-05-31	PRIJEM	\N	106	26041	UROK	\N	\N
3623695	2821	1997-06-30	PRIJEM	\N	96	21892	UROK	\N	\N
3623696	2821	1997-07-31	PRIJEM	\N	80	19585	UROK	\N	\N
3623697	2821	1997-08-31	PRIJEM	\N	87	20286	UROK	\N	\N
3623698	2821	1997-09-30	PRIJEM	\N	89	20788	UROK	\N	\N
3623699	2821	1997-10-31	PRIJEM	\N	73	16574	UROK	\N	\N
3623700	2821	1997-11-30	PRIJEM	\N	68	16656	UROK	\N	\N
3623701	2821	1997-12-31	PRIJEM	\N	77	18188	UROK	\N	\N
3623702	2821	1998-01-31	PRIJEM	\N	69	13170	UROK	\N	\N
3623703	2821	1998-02-28	PRIJEM	\N	62	14746	UROK	\N	\N
3623704	2821	1998-03-31	PRIJEM	\N	71	16730	UROK	\N	\N
3623705	2821	1998-04-30	PRIJEM	\N	54	13998	UROK	\N	\N
3623706	2821	1998-05-31	PRIJEM	\N	73	17084	UROK	\N	\N
3623707	2821	1998-06-30	PRIJEM	\N	99	24737	UROK	\N	\N
3623708	2821	1998-07-31	PRIJEM	\N	78	16528	UROK	\N	\N
3623709	2821	1998-08-31	PRIJEM	\N	77	19619	UROK	\N	\N
3623710	2821	1998-09-30	PRIJEM	\N	73	14905	UROK	\N	\N
3623711	2821	1998-10-31	PRIJEM	\N	64	13483	UROK	\N	\N
3623712	2821	1998-11-30	PRIJEM	\N	70	16566	UROK	\N	\N
3623713	2821	1998-12-31	PRIJEM	\N	87	21908	UROK	\N	\N
3623746	2823	1993-09-30	PRIJEM	\N	43	14713	UROK	\N	\N
3623747	2823	1993-10-31	PRIJEM	\N	65	15869	UROK	\N	\N
3623748	2823	1993-11-30	PRIJEM	\N	69	17029	UROK	\N	\N
3623749	2823	1993-12-31	PRIJEM	\N	74	18015	UROK	\N	\N
3623750	2823	1994-01-31	PRIJEM	\N	73	15339	UROK	\N	\N
3623751	2823	1994-02-28	PRIJEM	\N	67	16498	UROK	\N	\N
3623752	2823	1994-03-31	PRIJEM	\N	71	16970	UROK	\N	\N
3623753	2823	1994-04-30	PRIJEM	\N	74	18135	UROK	\N	\N
3623754	2823	1994-05-31	PRIJEM	\N	77	18073	UROK	\N	\N
3623755	2823	1994-06-30	PRIJEM	\N	76	16660	UROK	\N	\N
3623756	2823	1994-07-31	PRIJEM	\N	73	17824	UROK	\N	\N
3623757	2823	1994-08-31	PRIJEM	\N	78	17853	UROK	\N	\N
3623758	2823	1994-09-30	PRIJEM	\N	78	19022	UROK	\N	\N
3623759	2823	1994-10-31	PRIJEM	\N	82	20196	UROK	\N	\N
3623760	2823	1994-11-30	PRIJEM	\N	85	20372	UROK	\N	\N
3623761	2823	1994-12-31	PRIJEM	\N	87	20800	UROK	\N	\N
3623762	2823	1995-01-31	PRIJEM	\N	85	18046	UROK	\N	\N
3623763	2823	1995-02-28	PRIJEM	\N	78	19215	UROK	\N	\N
3623764	2823	1995-03-31	PRIJEM	\N	83	20390	UROK	\N	\N
3623765	2823	1995-04-30	PRIJEM	\N	88	21569	UROK	\N	\N
3623766	2823	1995-05-31	PRIJEM	\N	93	22753	UROK	\N	\N
3623767	2823	1995-06-30	PRIJEM	\N	81	16245	UROK	\N	\N
3623768	2823	1995-07-31	PRIJEM	\N	69	16656	UROK	\N	\N
3623769	2823	1995-08-31	PRIJEM	\N	72	17820	UROK	\N	\N
3623770	2823	1995-09-30	PRIJEM	\N	77	18988	UROK	\N	\N
3623771	2823	1995-10-31	PRIJEM	\N	74	17483	UROK	\N	\N
3623772	2823	1995-11-30	PRIJEM	\N	73	17297	UROK	\N	\N
3623773	2823	1995-12-31	PRIJEM	\N	73	17031	UROK	\N	\N
3623774	2823	1996-01-31	PRIJEM	\N	71	15043	UROK	\N	\N
3623775	2823	1996-02-29	PRIJEM	\N	65	16200	UROK	\N	\N
3623776	2823	1996-03-31	PRIJEM	\N	70	17362	UROK	\N	\N
3623777	2823	1996-04-30	PRIJEM	\N	74	17897	UROK	\N	\N
3623778	2823	1996-05-31	PRIJEM	\N	77	19066	UROK	\N	\N
3623779	2823	1996-06-30	PRIJEM	\N	76	16063	UROK	\N	\N
3623780	2823	1996-07-31	PRIJEM	\N	69	16803	UROK	\N	\N
3623781	2823	1996-08-31	PRIJEM	\N	70	16794	UROK	\N	\N
3623782	2823	1996-09-30	PRIJEM	\N	72	17958	UROK	\N	\N
3623783	2823	1996-10-31	PRIJEM	\N	77	19127	UROK	\N	\N
3623784	2823	1996-11-30	PRIJEM	\N	79	19097	UROK	\N	\N
3623785	2823	1996-12-31	PRIJEM	\N	82	19820	UROK	\N	\N
3623786	2823	1997-01-31	PRIJEM	\N	72	16513	UROK	\N	\N
3623787	2823	1997-02-28	PRIJEM	\N	71	17675	UROK	\N	\N
3623788	2823	1997-03-31	PRIJEM	\N	76	18842	UROK	\N	\N
3623789	2823	1997-04-30	PRIJEM	\N	78	18902	UROK	\N	\N
3623790	2823	1997-05-31	PRIJEM	\N	80	19594	UROK	\N	\N
3623791	2823	1997-06-30	PRIJEM	\N	84	20769	UROK	\N	\N
3623792	2823	1997-07-31	PRIJEM	\N	89	21948	UROK	\N	\N
3623793	2823	1997-08-31	PRIJEM	\N	93	23133	UROK	\N	\N
3623794	2823	1997-09-30	PRIJEM	\N	98	23242	UROK	\N	\N
3623795	2823	1997-10-31	PRIJEM	\N	98	24041	UROK	\N	\N
3623796	2823	1997-11-30	PRIJEM	\N	102	25234	UROK	\N	\N
3623797	2823	1997-12-31	PRIJEM	\N	104	24450	UROK	\N	\N
3623798	2823	1998-01-31	PRIJEM	\N	97	21678	UROK	\N	\N
3623799	2823	1998-02-28	PRIJEM	\N	90	21749	UROK	\N	\N
3623800	2823	1998-03-31	PRIJEM	\N	92	22532	UROK	\N	\N
3623801	2823	1998-04-30	PRIJEM	\N	89	18913	UROK	\N	\N
3623802	2823	1998-05-31	PRIJEM	\N	78	18282	UROK	\N	\N
3623803	2823	1998-06-30	PRIJEM	\N	76	18609	UROK	\N	\N
3623804	2823	1998-07-31	PRIJEM	\N	79	19780	UROK	\N	\N
3623805	2823	1998-08-31	PRIJEM	\N	83	20444	UROK	\N	\N
3623806	2823	1998-09-30	PRIJEM	\N	81	18717	UROK	\N	\N
3623807	2823	1998-10-31	PRIJEM	\N	73	16582	UROK	\N	\N
3623808	2823	1998-11-30	PRIJEM	\N	70	17743	UROK	\N	\N
3623809	2823	1998-12-31	PRIJEM	\N	73	17407	UROK	\N	\N
3623810	2824	1993-11-30	PRIJEM	\N	33	19618	UROK	\N	\N
3623811	2824	1993-12-31	PRIJEM	\N	108	34853	UROK	\N	\N
3623812	2824	1994-01-31	PRIJEM	\N	148	36686	UROK	\N	\N
3623813	2824	1994-02-28	PRIJEM	\N	153	36324	UROK	\N	\N
3623814	2824	1994-03-31	PRIJEM	\N	161	35981	UROK	\N	\N
3623815	2824	1994-04-30	PRIJEM	\N	160	34623	UROK	\N	\N
3623816	2824	1994-05-31	PRIJEM	\N	149	30353	UROK	\N	\N
3623817	2824	1994-06-30	PRIJEM	\N	153	34150	UROK	\N	\N
3623818	2824	1994-07-31	PRIJEM	\N	147	32878	UROK	\N	\N
3623819	2824	1994-08-31	PRIJEM	\N	136	29314	UROK	\N	\N
3623820	2824	1994-09-30	PRIJEM	\N	137	33392	UROK	\N	\N
3623821	2824	1994-10-31	PRIJEM	\N	141	31673	UROK	\N	\N
3623822	2824	1994-11-30	PRIJEM	\N	130	28503	UROK	\N	\N
3623823	2824	1994-12-31	PRIJEM	\N	145	34571	UROK	\N	\N
3623824	2824	1995-01-31	PRIJEM	\N	131	26163	UROK	\N	\N
3623825	2824	1995-02-28	PRIJEM	\N	132	34135	UROK	\N	\N
3623826	2824	1995-03-31	PRIJEM	\N	158	38734	UROK	\N	\N
3623827	2824	1995-04-30	PRIJEM	\N	157	33951	UROK	\N	\N
3623828	2824	1995-05-31	PRIJEM	\N	151	36342	UROK	\N	\N
3623829	2824	1995-06-30	PRIJEM	\N	138	30403	UROK	\N	\N
3623830	2824	1995-07-31	PRIJEM	\N	138	33522	UROK	\N	\N
3623831	2824	1995-08-31	PRIJEM	\N	133	32295	UROK	\N	\N
3623832	2824	1995-09-30	PRIJEM	\N	141	34377	UROK	\N	\N
3623833	2824	1995-10-31	PRIJEM	\N	154	37771	UROK	\N	\N
3623834	2824	1995-11-30	PRIJEM	\N	147	32178	UROK	\N	\N
3623835	2824	1995-12-31	PRIJEM	\N	156	38017	UROK	\N	\N
3623836	2824	1996-01-31	PRIJEM	\N	144	33541	UROK	\N	\N
3623837	2824	1996-02-29	PRIJEM	\N	155	34376	UROK	\N	\N
3623838	2824	1996-03-31	PRIJEM	\N	156	38373	UROK	\N	\N
3623839	2824	1996-04-30	PRIJEM	\N	174	42287	UROK	\N	\N
3623840	2824	1996-05-31	PRIJEM	\N	171	40599	UROK	\N	\N
3623841	2824	1996-06-30	PRIJEM	\N	224	56806	UROK	\N	\N
3623842	2824	1996-07-31	PRIJEM	\N	244	58790	UROK	\N	\N
3623843	2824	1996-08-31	PRIJEM	\N	253	61184	UROK	\N	\N
3623844	2824	1996-09-30	PRIJEM	\N	249	60293	UROK	\N	\N
3623845	2824	1996-10-31	PRIJEM	\N	250	58723	UROK	\N	\N
3623846	2824	1996-11-30	PRIJEM	\N	256	62019	UROK	\N	\N
3623847	2824	1996-12-31	PRIJEM	\N	292	69555	UROK	\N	\N
3623848	2824	1997-01-31	PRIJEM	\N	263	55178	UROK	\N	\N
3623849	2824	1997-02-28	PRIJEM	\N	251	61670	UROK	\N	\N
3623850	2824	1997-03-31	PRIJEM	\N	276	67487	UROK	\N	\N
3623851	2824	1997-04-30	PRIJEM	\N	270	64117	UROK	\N	\N
3623852	2824	1997-05-31	PRIJEM	\N	281	68539	UROK	\N	\N
3623853	2824	1997-06-30	PRIJEM	\N	302	69983	UROK	\N	\N
3623854	2824	1997-07-31	PRIJEM	\N	308	75131	UROK	\N	\N
3623855	2824	1997-08-31	PRIJEM	\N	308	65880	UROK	\N	\N
3623856	2824	1997-09-30	PRIJEM	\N	292	67512	UROK	\N	\N
3623857	2824	1997-10-31	PRIJEM	\N	296	63049	UROK	\N	\N
3623858	2824	1997-11-30	PRIJEM	\N	281	67270	UROK	\N	\N
3623859	2824	1997-12-31	PRIJEM	\N	315	71208	UROK	\N	\N
3623860	2824	1998-01-31	PRIJEM	\N	293	62721	UROK	\N	\N
3623861	2824	1998-02-28	PRIJEM	\N	280	70942	UROK	\N	\N
3623862	2824	1998-03-31	PRIJEM	\N	313	76595	UROK	\N	\N
3623863	2824	1998-04-30	PRIJEM	\N	336	80231	UROK	\N	\N
3623864	2824	1998-05-31	PRIJEM	\N	351	84522	UROK	\N	\N
3623865	2824	1998-06-30	PRIJEM	\N	298	72563	UROK	\N	\N
3623866	2824	1998-07-31	PRIJEM	\N	325	85028	UROK	\N	\N
3623867	2824	1998-08-31	PRIJEM	\N	374	92123	UROK	\N	\N
3623868	2824	1998-09-30	PRIJEM	\N	397	94960	UROK	\N	\N
3623869	2824	1998-10-31	PRIJEM	\N	410	99610	UROK	\N	\N
3623870	2824	1998-11-30	PRIJEM	\N	419	103070	UROK	\N	\N
3623871	2824	1998-12-31	PRIJEM	\N	413	98066	UROK	\N	\N
3623872	2825	1996-07-31	PRIJEM	\N	70	24930	UROK	\N	\N
3623873	2825	1996-08-31	PRIJEM	\N	175	50466	UROK	\N	\N
3623874	2825	1996-09-30	PRIJEM	\N	242	62167	UROK	\N	\N
3623875	2825	1996-10-31	PRIJEM	\N	272	66999	UROK	\N	\N
3623876	2825	1996-11-30	PRIJEM	\N	290	71349	UROK	\N	\N
3623877	2825	1996-12-31	PRIJEM	\N	303	77043	UROK	\N	\N
3623878	2825	1997-01-31	PRIJEM	\N	271	66176	UROK	\N	\N
3623879	2825	1997-02-28	PRIJEM	\N	254	62891	UROK	\N	\N
3623880	2825	1997-03-31	PRIJEM	\N	234	54887	UROK	\N	\N
3623881	2825	1997-04-30	PRIJEM	\N	212	51461	UROK	\N	\N
3623882	2825	1997-05-31	PRIJEM	\N	207	52329	UROK	\N	\N
3623883	2825	1997-06-30	PRIJEM	\N	198	52218	UROK	\N	\N
3623884	2825	1997-07-31	PRIJEM	\N	188	44667	UROK	\N	\N
3623885	2825	1997-08-31	PRIJEM	\N	181	46410	UROK	\N	\N
3623886	2825	1997-09-30	PRIJEM	\N	186	47457	UROK	\N	\N
3623887	2825	1997-10-31	PRIJEM	\N	176	41494	UROK	\N	\N
3623888	2825	1997-11-30	PRIJEM	\N	184	48239	UROK	\N	\N
3623889	2825	1997-12-31	PRIJEM	\N	222	58253	UROK	\N	\N
3623890	2825	1998-01-31	PRIJEM	\N	203	44717	UROK	\N	\N
3623891	2825	1998-02-28	PRIJEM	\N	172	46650	UROK	\N	\N
3623892	2825	1998-03-31	PRIJEM	\N	182	46093	UROK	\N	\N
3623893	2825	1998-04-30	PRIJEM	\N	183	46637	UROK	\N	\N
3623894	2825	1998-05-31	PRIJEM	\N	191	48989	UROK	\N	\N
3623895	2825	1998-06-30	PRIJEM	\N	191	38471	UROK	\N	\N
3623896	2825	1998-07-31	PRIJEM	\N	185	34918	UROK	\N	\N
3623897	2825	1998-08-31	PRIJEM	\N	190	37069	UROK	\N	\N
3623898	2825	1998-09-30	PRIJEM	\N	198	39028	UROK	\N	\N
3623899	2825	1998-10-31	PRIJEM	\N	199	38089	UROK	\N	\N
3623900	2825	1998-11-30	PRIJEM	\N	198	37248	UROK	\N	\N
3623901	2825	1998-12-31	PRIJEM	\N	231	65870	UROK	\N	\N
3623902	2826	1996-12-31	PRIJEM	\N	41	25475	UROK	\N	\N
3623903	2826	1997-01-31	PRIJEM	\N	121	34019	UROK	\N	\N
3623904	2826	1997-02-28	PRIJEM	\N	147	37389	UROK	\N	\N
3623905	2826	1997-03-31	PRIJEM	\N	159	39971	UROK	\N	\N
3623906	2826	1997-04-30	PRIJEM	\N	172	43466	UROK	\N	\N
3623907	2826	1997-05-31	PRIJEM	\N	192	42026	UROK	\N	\N
3623908	2826	1997-06-30	PRIJEM	\N	186	30551	UROK	\N	\N
3623909	2826	1997-07-31	PRIJEM	\N	138	32598	UROK	\N	\N
3623910	2826	1997-08-31	PRIJEM	\N	153	30260	UROK	\N	\N
3623911	2826	1997-09-30	PRIJEM	\N	151	37479	UROK	\N	\N
3623912	2826	1997-10-31	PRIJEM	\N	168	37816	UROK	\N	\N
3623913	2826	1997-11-30	PRIJEM	\N	173	40657	UROK	\N	\N
3623914	2826	1997-12-31	PRIJEM	\N	174	37590	UROK	\N	\N
3623915	2826	1998-01-31	PRIJEM	\N	139	23497	UROK	\N	\N
3623916	2826	1998-02-28	PRIJEM	\N	117	28582	UROK	\N	\N
3623917	2826	1998-03-31	PRIJEM	\N	124	27274	UROK	\N	\N
3623918	2826	1998-04-30	PRIJEM	\N	129	30772	UROK	\N	\N
3623919	2826	1998-05-31	PRIJEM	\N	136	31076	UROK	\N	\N
3623920	2826	1998-06-30	PRIJEM	\N	120	21656	UROK	\N	\N
3623921	2826	1998-07-31	PRIJEM	\N	107	26031	UROK	\N	\N
3623922	2826	1998-08-31	PRIJEM	\N	119	27879	UROK	\N	\N
3623923	2826	1998-09-30	PRIJEM	\N	109	20417	UROK	\N	\N
3623924	2826	1998-10-31	PRIJEM	\N	96	23281	UROK	\N	\N
3623925	2826	1998-11-30	PRIJEM	\N	90	19600	UROK	\N	\N
3623926	2826	1998-12-31	PRIJEM	\N	131	35610	UROK	\N	\N
3623927	2827	1997-01-31	PRIJEM	\N	51	25186	UROK	\N	\N
3623928	2827	1997-02-28	PRIJEM	\N	129	37549	UROK	\N	\N
3623929	2827	1997-03-31	PRIJEM	\N	175	47459	UROK	\N	\N
3623930	2827	1997-04-30	PRIJEM	\N	207	52500	UROK	\N	\N
3623931	2827	1997-05-31	PRIJEM	\N	224	55019	UROK	\N	\N
3623932	2827	1997-06-30	PRIJEM	\N	198	41485	UROK	\N	\N
3623933	2827	1997-07-31	PRIJEM	\N	195	52100	UROK	\N	\N
3623934	2827	1997-08-31	PRIJEM	\N	237	61158	UROK	\N	\N
3623935	2827	1997-09-30	PRIJEM	\N	262	64641	UROK	\N	\N
3623936	2827	1997-10-31	PRIJEM	\N	275	67136	UROK	\N	\N
3623937	2827	1997-11-30	PRIJEM	\N	279	63255	UROK	\N	\N
3623938	2827	1997-12-31	PRIJEM	\N	292	74735	UROK	\N	\N
3623939	2827	1998-01-31	PRIJEM	\N	301	63676	UROK	\N	\N
3623940	2827	1998-02-28	PRIJEM	\N	287	72284	UROK	\N	\N
3623941	2827	1998-03-31	PRIJEM	\N	310	76215	UROK	\N	\N
3623942	2827	1998-04-30	PRIJEM	\N	322	78157	UROK	\N	\N
3623943	2827	1998-05-31	PRIJEM	\N	335	82212	UROK	\N	\N
3623944	2827	1998-06-30	PRIJEM	\N	269	53109	UROK	\N	\N
3623945	2827	1998-07-31	PRIJEM	\N	255	65585	UROK	\N	\N
3623946	2827	1998-08-31	PRIJEM	\N	282	66327	UROK	\N	\N
3623947	2827	1998-09-30	PRIJEM	\N	300	74548	UROK	\N	\N
3623948	2827	1998-10-31	PRIJEM	\N	313	74721	UROK	\N	\N
3623949	2827	1998-11-30	PRIJEM	\N	327	80268	UROK	\N	\N
3623950	2827	1998-12-31	PRIJEM	\N	298	70654	UROK	\N	\N
3624016	2830	1995-08-31	PRIJEM	\N	47	14660	UROK	\N	\N
3624017	2830	1995-09-30	PRIJEM	\N	113	31086	UROK	\N	\N
3624018	2830	1995-10-31	PRIJEM	\N	154	38954	UROK	\N	\N
3624019	2830	1995-11-30	PRIJEM	\N	176	43543	UROK	\N	\N
3624020	2830	1995-12-31	PRIJEM	\N	176	39858	UROK	\N	\N
3624021	2830	1996-01-31	PRIJEM	\N	121	20446	UROK	\N	\N
3624022	2830	1996-02-29	PRIJEM	\N	86	21599	UROK	\N	\N
3624023	2830	1996-03-31	PRIJEM	\N	101	24667	UROK	\N	\N
3624024	2830	1996-04-30	PRIJEM	\N	96	24030	UROK	\N	\N
3624025	2830	1996-05-31	PRIJEM	\N	102	20400	UROK	\N	\N
3624026	2830	1996-06-30	PRIJEM	\N	119	21043	UROK	\N	\N
3624027	2830	1996-07-31	PRIJEM	\N	101	21711	UROK	\N	\N
3624028	2830	1996-08-31	PRIJEM	\N	103	21782	UROK	\N	\N
3624029	2830	1996-09-30	PRIJEM	\N	96	18445	UROK	\N	\N
3624030	2830	1996-10-31	PRIJEM	\N	88	17701	UROK	\N	\N
3624031	2830	1996-11-30	PRIJEM	\N	78	15746	UROK	\N	\N
3624032	2830	1996-12-31	PRIJEM	\N	95	19765	UROK	\N	\N
3624033	2830	1997-01-31	PRIJEM	\N	66	14499	UROK	\N	\N
3624034	2830	1997-02-28	PRIJEM	\N	76	20042	UROK	\N	\N
3624035	2830	1997-03-31	PRIJEM	\N	94	19203	UROK	\N	\N
3624036	2830	1997-04-30	PRIJEM	\N	93	21963	UROK	\N	\N
3624037	2830	1997-05-31	PRIJEM	\N	104	24235	UROK	\N	\N
3624038	2830	1997-06-30	PRIJEM	\N	112	21071	UROK	\N	\N
3624039	2830	1997-07-31	PRIJEM	\N	100	23138	UROK	\N	\N
3624040	2830	1997-08-31	PRIJEM	\N	107	26313	UROK	\N	\N
3624041	2830	1997-09-30	PRIJEM	\N	121	28301	UROK	\N	\N
3624042	2830	1997-10-31	PRIJEM	\N	134	33902	UROK	\N	\N
3624043	2830	1997-11-30	PRIJEM	\N	136	30806	UROK	\N	\N
3624044	2830	1997-12-31	PRIJEM	\N	158	37288	UROK	\N	\N
3624045	2830	1998-01-31	PRIJEM	\N	144	23100	UROK	\N	\N
3624046	2830	1998-02-28	PRIJEM	\N	121	34888	UROK	\N	\N
3624047	2830	1998-03-31	PRIJEM	\N	163	41318	UROK	\N	\N
3624048	2830	1998-04-30	PRIJEM	\N	182	41668	UROK	\N	\N
3624049	2830	1998-05-31	PRIJEM	\N	180	41516	UROK	\N	\N
3624050	2830	1998-06-30	PRIJEM	\N	137	32176	UROK	\N	\N
3624051	2830	1998-07-31	PRIJEM	\N	137	32481	UROK	\N	\N
3624052	2830	1998-08-31	PRIJEM	\N	143	33591	UROK	\N	\N
3624053	2830	1998-09-30	PRIJEM	\N	141	32199	UROK	\N	\N
3624054	2830	1998-10-31	PRIJEM	\N	139	32305	UROK	\N	\N
3624055	2830	1998-11-30	PRIJEM	\N	145	35217	UROK	\N	\N
3624056	2830	1998-12-31	PRIJEM	\N	156	34598	UROK	\N	\N
3624057	2831	1997-11-30	PRIJEM	\N	64	24438	UROK	\N	\N
3624058	2831	1997-12-31	PRIJEM	\N	102	59451	UROK	\N	\N
3624059	2831	1998-01-31	PRIJEM	\N	228	71553	UROK	\N	\N
3624060	2831	1998-02-28	PRIJEM	\N	302	73629	UROK	\N	\N
3624061	2831	1998-03-31	PRIJEM	\N	318	77706	UROK	\N	\N
3624062	2831	1998-04-30	PRIJEM	\N	322	77932	UROK	\N	\N
3624063	2831	1998-05-31	PRIJEM	\N	313	74748	UROK	\N	\N
3624064	2831	1998-06-30	PRIJEM	\N	309	79317	UROK	\N	\N
3624065	2831	1998-07-31	PRIJEM	\N	295	72516	UROK	\N	\N
3624066	2831	1998-08-31	PRIJEM	\N	268	65107	UROK	\N	\N
3624067	2831	1998-09-30	PRIJEM	\N	252	62383	UROK	\N	\N
3624068	2831	1998-10-31	PRIJEM	\N	253	64739	UROK	\N	\N
3624069	2831	1998-11-30	PRIJEM	\N	259	66401	UROK	\N	\N
3624070	2831	1998-12-31	PRIJEM	\N	273	72194	UROK	\N	\N
3624071	2832	1998-04-30	PRIJEM	\N	41	14839	UROK	\N	\N
3624072	2832	1998-05-31	PRIJEM	\N	63	15320	UROK	\N	\N
3624073	2832	1998-06-30	PRIJEM	\N	64	15291	UROK	\N	\N
3624074	2832	1998-07-31	PRIJEM	\N	65	15083	UROK	\N	\N
3624075	2832	1998-08-31	PRIJEM	\N	66	16257	UROK	\N	\N
3624076	2832	1998-09-30	PRIJEM	\N	68	16233	UROK	\N	\N
3624077	2832	1998-10-31	PRIJEM	\N	70	16450	UROK	\N	\N
3624078	2832	1998-11-30	PRIJEM	\N	72	17629	UROK	\N	\N
3624079	2832	1998-12-31	PRIJEM	\N	77	18813	UROK	\N	\N
3624080	2833	1996-01-31	PRIJEM	\N	3	22678	UROK	\N	\N
3624081	2833	1996-02-29	PRIJEM	\N	91	22320	UROK	\N	\N
3624082	2833	1996-03-31	PRIJEM	\N	90	20520	UROK	\N	\N
3624083	2833	1996-04-30	PRIJEM	\N	89	22080	UROK	\N	\N
3624084	2833	1996-05-31	PRIJEM	\N	96	23646	UROK	\N	\N
3624085	2833	1996-06-30	PRIJEM	\N	81	18857	UROK	\N	\N
3624086	2833	1996-07-31	PRIJEM	\N	80	18168	UROK	\N	\N
3624087	2833	1996-08-31	PRIJEM	\N	80	19718	UROK	\N	\N
3624088	2833	1996-09-30	PRIJEM	\N	86	20874	UROK	\N	\N
3624089	2833	1996-10-31	PRIJEM	\N	85	19789	UROK	\N	\N
3624090	2833	1996-11-30	PRIJEM	\N	86	21346	UROK	\N	\N
3624091	2833	1996-12-31	PRIJEM	\N	93	22559	UROK	\N	\N
3624092	2833	1997-01-31	PRIJEM	\N	98	24127	UROK	\N	\N
3624093	2833	1997-02-28	PRIJEM	\N	100	22497	UROK	\N	\N
3624094	2833	1997-03-31	PRIJEM	\N	93	20560	UROK	\N	\N
3624095	2833	1997-04-30	PRIJEM	\N	89	21639	UROK	\N	\N
3624096	2833	1997-05-31	PRIJEM	\N	88	20998	UROK	\N	\N
3624097	2833	1997-06-30	PRIJEM	\N	79	15847	UROK	\N	\N
3624098	2833	1997-07-31	PRIJEM	\N	70	17387	UROK	\N	\N
3624099	2833	1997-08-31	PRIJEM	\N	73	17231	UROK	\N	\N
3624100	2833	1997-09-30	PRIJEM	\N	66	13367	UROK	\N	\N
3624101	2833	1997-10-31	PRIJEM	\N	58	14095	UROK	\N	\N
3624102	2833	1997-11-30	PRIJEM	\N	62	15627	UROK	\N	\N
3624103	2833	1997-12-31	PRIJEM	\N	58	13306	UROK	\N	\N
3624104	2833	1998-01-31	PRIJEM	\N	59	14836	UROK	\N	\N
3624105	2833	1998-02-28	PRIJEM	\N	65	16371	UROK	\N	\N
3624106	2833	1998-03-31	PRIJEM	\N	72	17913	UROK	\N	\N
3624107	2833	1998-04-30	PRIJEM	\N	78	19462	UROK	\N	\N
3624108	2833	1998-05-31	PRIJEM	\N	79	18131	UROK	\N	\N
3624109	2833	1998-06-30	PRIJEM	\N	69	17110	UROK	\N	\N
3624110	2833	1998-07-31	PRIJEM	\N	66	16406	UROK	\N	\N
3624111	2833	1998-08-31	PRIJEM	\N	72	17948	UROK	\N	\N
3624112	2833	1998-09-30	PRIJEM	\N	78	19497	UROK	\N	\N
3624113	2833	1998-10-31	PRIJEM	\N	85	21052	UROK	\N	\N
3624114	2833	1998-11-30	PRIJEM	\N	90	20692	UROK	\N	\N
3624115	2833	1998-12-31	PRIJEM	\N	87	21349	UROK	\N	\N
3624116	2834	1995-11-30	PRIJEM	\N	54	21773	UROK	\N	\N
3624117	2834	1995-12-31	PRIJEM	\N	136	39687	UROK	\N	\N
3624118	2834	1996-01-31	PRIJEM	\N	174	42980	UROK	\N	\N
3624119	2834	1996-02-29	PRIJEM	\N	231	43430	UROK	\N	\N
3624120	2834	1996-03-31	PRIJEM	\N	210	41744	UROK	\N	\N
3624121	2834	1996-04-30	PRIJEM	\N	168	40837	UROK	\N	\N
3624122	2834	1996-05-31	PRIJEM	\N	171	41033	UROK	\N	\N
3624123	2834	1996-06-30	PRIJEM	\N	190	44707	UROK	\N	\N
3624124	2834	1996-07-31	PRIJEM	\N	200	51132	UROK	\N	\N
3624125	2834	1996-08-31	PRIJEM	\N	225	57283	UROK	\N	\N
3624126	2834	1996-09-30	PRIJEM	\N	229	56138	UROK	\N	\N
3624127	2834	1996-10-31	PRIJEM	\N	245	62208	UROK	\N	\N
3624128	2834	1996-11-30	PRIJEM	\N	255	64288	UROK	\N	\N
3624129	2834	1996-12-31	PRIJEM	\N	289	75161	UROK	\N	\N
3624130	2834	1997-01-31	PRIJEM	\N	279	62666	UROK	\N	\N
3624131	2834	1997-02-28	PRIJEM	\N	234	58325	UROK	\N	\N
3624132	2834	1997-03-31	PRIJEM	\N	238	60089	UROK	\N	\N
3624133	2834	1997-04-30	PRIJEM	\N	257	65371	UROK	\N	\N
3624134	2834	1997-05-31	PRIJEM	\N	270	66766	UROK	\N	\N
3624135	2834	1997-06-30	PRIJEM	\N	277	58728	UROK	\N	\N
3624136	2834	1997-07-31	PRIJEM	\N	234	59287	UROK	\N	\N
3624137	2834	1997-08-31	PRIJEM	\N	249	63961	UROK	\N	\N
3624138	2834	1997-09-30	PRIJEM	\N	237	59923	UROK	\N	\N
3624139	2834	1997-10-31	PRIJEM	\N	234	59683	UROK	\N	\N
3624140	2834	1997-11-30	PRIJEM	\N	239	61147	UROK	\N	\N
3624141	2834	1997-12-31	PRIJEM	\N	270	71602	UROK	\N	\N
3624142	2834	1998-01-31	PRIJEM	\N	255	55282	UROK	\N	\N
3624143	2834	1998-02-28	PRIJEM	\N	223	58930	UROK	\N	\N
3624144	2834	1998-03-31	PRIJEM	\N	238	58394	UROK	\N	\N
3624145	2834	1998-04-30	PRIJEM	\N	238	61157	UROK	\N	\N
3624146	2834	1998-05-31	PRIJEM	\N	243	62425	UROK	\N	\N
3624147	2834	1998-06-30	PRIJEM	\N	242	57251	UROK	\N	\N
3624148	2834	1998-07-31	PRIJEM	\N	233	47909	UROK	\N	\N
3624149	2834	1998-08-31	PRIJEM	\N	221	43755	UROK	\N	\N
3624150	2834	1998-09-30	PRIJEM	\N	207	43788	UROK	\N	\N
3624151	2834	1998-10-31	PRIJEM	\N	204	45517	UROK	\N	\N
3624152	2834	1998-11-30	PRIJEM	\N	209	45152	UROK	\N	\N
3624153	2834	1998-12-31	PRIJEM	\N	226	42263	UROK	\N	\N
3624154	2836	1995-12-31	PRIJEM	\N	56	30008	UROK	\N	\N
3624155	2836	1996-01-31	PRIJEM	\N	149	41925	UROK	\N	\N
3624156	2836	1996-02-29	PRIJEM	\N	180	45073	UROK	\N	\N
3624157	2836	1996-03-31	PRIJEM	\N	194	48636	UROK	\N	\N
3624158	2836	1996-04-30	PRIJEM	\N	209	46240	UROK	\N	\N
3624159	2836	1996-05-31	PRIJEM	\N	195	39276	UROK	\N	\N
3624160	2836	1996-06-30	PRIJEM	\N	194	37255	UROK	\N	\N
3624161	2836	1996-07-31	PRIJEM	\N	173	41010	UROK	\N	\N
3624162	2836	1996-08-31	PRIJEM	\N	181	41772	UROK	\N	\N
3624163	2836	1996-09-30	PRIJEM	\N	185	43339	UROK	\N	\N
3624164	2836	1996-10-31	PRIJEM	\N	170	35251	UROK	\N	\N
3624165	2836	1996-11-30	PRIJEM	\N	148	32320	UROK	\N	\N
3624166	2836	1996-12-31	PRIJEM	\N	175	41860	UROK	\N	\N
3624167	2836	1997-01-31	PRIJEM	\N	150	25491	UROK	\N	\N
3624168	2836	1997-02-28	PRIJEM	\N	153	40725	UROK	\N	\N
3624169	2836	1997-03-31	PRIJEM	\N	187	44893	UROK	\N	\N
3624170	2836	1997-04-30	PRIJEM	\N	205	49980	UROK	\N	\N
3624171	2836	1997-05-31	PRIJEM	\N	209	48270	UROK	\N	\N
3624172	2836	1997-06-30	PRIJEM	\N	137	28992	UROK	\N	\N
3624173	2836	1997-07-31	PRIJEM	\N	146	36220	UROK	\N	\N
3624174	2836	1997-08-31	PRIJEM	\N	184	46585	UROK	\N	\N
3624175	2836	1997-09-30	PRIJEM	\N	200	48467	UROK	\N	\N
3624176	2836	1997-10-31	PRIJEM	\N	193	45741	UROK	\N	\N
3624177	2836	1997-11-30	PRIJEM	\N	217	44339	UROK	\N	\N
3624178	2836	1997-12-31	PRIJEM	\N	186	42530	UROK	\N	\N
3624179	2836	1998-01-31	PRIJEM	\N	126	23438	UROK	\N	\N
3624180	2836	1998-02-28	PRIJEM	\N	140	35859	UROK	\N	\N
3624181	2836	1998-03-31	PRIJEM	\N	188	38828	UROK	\N	\N
3624182	2836	1998-04-30	PRIJEM	\N	143	33052	UROK	\N	\N
3624183	2836	1998-05-31	PRIJEM	\N	125	29058	UROK	\N	\N
3624184	2836	1998-06-30	PRIJEM	\N	130	20773	UROK	\N	\N
3624185	2836	1998-07-31	PRIJEM	\N	129	33284	UROK	\N	\N
3624186	2836	1998-08-31	PRIJEM	\N	150	36915	UROK	\N	\N
3624187	2836	1998-09-30	PRIJEM	\N	138	27955	UROK	\N	\N
3624188	2836	1998-10-31	PRIJEM	\N	120	18416	UROK	\N	\N
3624189	2836	1998-11-30	PRIJEM	\N	93	23390	UROK	\N	\N
3624190	2836	1998-12-31	PRIJEM	\N	147	38402	UROK	\N	\N
3624191	2838	1993-05-31	PRIJEM	\N	36	63291	UROK	\N	\N
3624192	2838	1993-06-30	PRIJEM	\N	266	69401	UROK	\N	\N
3624193	2838	1993-07-31	PRIJEM	\N	367	61385	UROK	\N	\N
3624194	2838	1993-08-31	PRIJEM	\N	410	44295	UROK	\N	\N
3624195	2838	1993-09-30	PRIJEM	\N	410	37305	UROK	\N	\N
3624196	2838	1993-10-31	PRIJEM	\N	341	62562	UROK	\N	\N
3624197	2838	1993-11-30	PRIJEM	\N	306	73854	UROK	\N	\N
3624198	2838	1993-12-31	PRIJEM	\N	280	83204	UROK	\N	\N
3624199	2838	1994-01-31	PRIJEM	\N	223	42153	UROK	\N	\N
3624200	2838	1994-02-28	PRIJEM	\N	191	73958	UROK	\N	\N
3624201	2838	1994-03-31	PRIJEM	\N	292	111128	UROK	\N	\N
3624202	2838	1994-04-30	PRIJEM	\N	213	45993	UROK	\N	\N
3624203	2838	1994-05-31	PRIJEM	\N	152	34197	UROK	\N	\N
3624204	2838	1994-06-30	PRIJEM	\N	187	63725	UROK	\N	\N
3624205	2838	1994-07-31	PRIJEM	\N	305	85169	UROK	\N	\N
3624206	2838	1994-08-31	PRIJEM	\N	349	72722	UROK	\N	\N
3624207	2838	1994-09-30	PRIJEM	\N	328	70001	UROK	\N	\N
3624208	2838	1994-10-31	PRIJEM	\N	172	37425	UROK	\N	\N
3624209	2838	1994-11-30	PRIJEM	\N	269	111548	UROK	\N	\N
3624210	2838	1994-12-31	PRIJEM	\N	305	98642	UROK	\N	\N
3624211	2838	1995-01-31	PRIJEM	\N	187	33634	UROK	\N	\N
3624212	2838	1995-02-28	PRIJEM	\N	187	58736	UROK	\N	\N
3624213	2838	1995-03-31	PRIJEM	\N	230	60253	UROK	\N	\N
3624214	2838	1995-04-30	PRIJEM	\N	279	65765	UROK	\N	\N
3624215	2838	1995-05-31	PRIJEM	\N	371	80808	UROK	\N	\N
3624216	2838	1995-06-30	PRIJEM	\N	291	78510	UROK	\N	\N
3624217	2838	1995-07-31	PRIJEM	\N	369	109805	UROK	\N	\N
3624218	2838	1995-08-31	PRIJEM	\N	317	67443	UROK	\N	\N
3624219	2838	1995-09-30	PRIJEM	\N	309	86587	UROK	\N	\N
3624220	2838	1995-10-31	PRIJEM	\N	285	60134	UROK	\N	\N
3624221	2838	1995-11-30	PRIJEM	\N	337	67921	UROK	\N	\N
3624222	2838	1995-12-31	PRIJEM	\N	298	61562	UROK	\N	\N
3624223	2838	1996-01-31	PRIJEM	\N	255	52246	UROK	\N	\N
3624224	2838	1996-02-29	PRIJEM	\N	250	58884	UROK	\N	\N
3624225	2838	1996-03-31	PRIJEM	\N	293	68816	UROK	\N	\N
3624226	2838	1996-04-30	PRIJEM	\N	277	51590	UROK	\N	\N
3624227	2838	1996-05-31	PRIJEM	\N	324	75867	UROK	\N	\N
3624228	2838	1996-06-30	PRIJEM	\N	262	50981	UROK	\N	\N
3624229	2838	1996-07-31	PRIJEM	\N	242	72229	UROK	\N	\N
3624230	2838	1996-08-31	PRIJEM	\N	301	104651	UROK	\N	\N
3624231	2838	1996-09-30	PRIJEM	\N	366	97855	UROK	\N	\N
3624232	2838	1996-10-31	PRIJEM	\N	354	64666	UROK	\N	\N
3624233	2838	1996-11-30	PRIJEM	\N	239	48235	UROK	\N	\N
3624234	2838	1996-12-31	PRIJEM	\N	253	57417	UROK	\N	\N
3624235	2838	1997-01-31	PRIJEM	\N	236	76157	UROK	\N	\N
3624236	2838	1997-02-28	PRIJEM	\N	329	98733	UROK	\N	\N
3624237	2838	1997-03-31	PRIJEM	\N	399	93321	UROK	\N	\N
3624238	2838	1997-04-30	PRIJEM	\N	362	66269	UROK	\N	\N
3624239	2838	1997-05-31	PRIJEM	\N	323	56979	UROK	\N	\N
3624240	2838	1997-06-30	PRIJEM	\N	215	50146	UROK	\N	\N
3624241	2838	1997-07-31	PRIJEM	\N	286	71610	UROK	\N	\N
3624242	2838	1997-08-31	PRIJEM	\N	363	116376	UROK	\N	\N
3624243	2838	1997-09-30	PRIJEM	\N	382	136190	UROK	\N	\N
3624244	2838	1997-10-31	PRIJEM	\N	409	100863	UROK	\N	\N
3624245	2838	1997-11-30	PRIJEM	\N	319	53965	UROK	\N	\N
3624246	2838	1997-12-31	PRIJEM	\N	310	100824	UROK	\N	\N
3624247	2838	1998-01-31	PRIJEM	\N	356	47139	UROK	\N	\N
3624248	2838	1998-02-28	PRIJEM	\N	245	80537	UROK	\N	\N
3624249	2838	1998-03-31	PRIJEM	\N	337	88372	UROK	\N	\N
3624250	2838	1998-04-30	PRIJEM	\N	419	142228	UROK	\N	\N
3624251	2838	1998-05-31	PRIJEM	\N	417	89197	UROK	\N	\N
3624252	2838	1998-06-30	PRIJEM	\N	417	64035	UROK	\N	\N
3624253	2838	1998-07-31	PRIJEM	\N	357	114599	UROK	\N	\N
3624254	2838	1998-08-31	PRIJEM	\N	413	92464	UROK	\N	\N
3624255	2838	1998-09-30	PRIJEM	\N	411	102594	UROK	\N	\N
3624256	2838	1998-10-31	PRIJEM	\N	407	101699	UROK	\N	\N
3624257	2838	1998-11-30	PRIJEM	\N	387	121992	UROK	\N	\N
3624258	2838	1998-12-31	PRIJEM	\N	321	98694	UROK	\N	\N
3624259	2839	1995-04-30	PRIJEM	\N	69	20898	UROK	\N	\N
3624260	2839	1995-05-31	PRIJEM	\N	167	44794	UROK	\N	\N
3624261	2839	1995-06-30	PRIJEM	\N	248	63486	UROK	\N	\N
3624262	2839	1995-07-31	PRIJEM	\N	267	64481	UROK	\N	\N
3624263	2839	1995-08-31	PRIJEM	\N	234	50674	UROK	\N	\N
3624264	2839	1995-09-30	PRIJEM	\N	205	48617	UROK	\N	\N
3624265	2839	1995-10-31	PRIJEM	\N	192	45646	UROK	\N	\N
3624266	2839	1995-11-30	PRIJEM	\N	184	43727	UROK	\N	\N
3624267	2839	1995-12-31	PRIJEM	\N	205	37144	UROK	\N	\N
3624268	2839	1996-01-31	PRIJEM	\N	161	28362	UROK	\N	\N
3624269	2839	1996-02-29	PRIJEM	\N	161	33361	UROK	\N	\N
3624270	2839	1996-03-31	PRIJEM	\N	180	34178	UROK	\N	\N
3624271	2839	1996-04-30	PRIJEM	\N	176	30491	UROK	\N	\N
3624272	2839	1996-05-31	PRIJEM	\N	166	33194	UROK	\N	\N
3624273	2839	1996-06-30	PRIJEM	\N	179	31504	UROK	\N	\N
3624274	2839	1996-07-31	PRIJEM	\N	171	37013	UROK	\N	\N
3624275	2839	1996-08-31	PRIJEM	\N	187	39337	UROK	\N	\N
3624276	2839	1996-09-30	PRIJEM	\N	192	41546	UROK	\N	\N
3624277	2839	1996-10-31	PRIJEM	\N	206	40790	UROK	\N	\N
3624278	2839	1996-11-30	PRIJEM	\N	206	43533	UROK	\N	\N
3624279	2839	1996-12-31	PRIJEM	\N	226	42830	UROK	\N	\N
3624280	2839	1997-01-31	PRIJEM	\N	156	26864	UROK	\N	\N
3624281	2839	1997-02-28	PRIJEM	\N	147	30848	UROK	\N	\N
3624282	2839	1997-03-31	PRIJEM	\N	159	30744	UROK	\N	\N
3624283	2839	1997-04-30	PRIJEM	\N	158	31499	UROK	\N	\N
3624284	2839	1997-05-31	PRIJEM	\N	156	29252	UROK	\N	\N
3624285	2839	1997-06-30	PRIJEM	\N	101	20525	UROK	\N	\N
3624286	2839	1997-07-31	PRIJEM	\N	124	29287	UROK	\N	\N
3624287	2839	1997-08-31	PRIJEM	\N	151	32076	UROK	\N	\N
3624288	2839	1997-09-30	PRIJEM	\N	151	27464	UROK	\N	\N
3624289	2839	1997-10-31	PRIJEM	\N	135	25437	UROK	\N	\N
3624290	2839	1997-11-30	PRIJEM	\N	124	22698	UROK	\N	\N
3624291	2839	1997-12-31	PRIJEM	\N	122	21391	UROK	\N	\N
3624292	2839	1998-01-31	PRIJEM	\N	102	19130	UROK	\N	\N
3624293	2839	1998-02-28	PRIJEM	\N	99	18167	UROK	\N	\N
3624294	2839	1998-03-31	PRIJEM	\N	93	15737	UROK	\N	\N
3624295	2839	1998-04-30	PRIJEM	\N	88	16662	UROK	\N	\N
3624296	2839	1998-05-31	PRIJEM	\N	95	19394	UROK	\N	\N
3624297	2839	1998-06-30	PRIJEM	\N	131	28277	UROK	\N	\N
3624298	2839	1998-07-31	PRIJEM	\N	128	24343	UROK	\N	\N
3624299	2839	1998-08-31	PRIJEM	\N	126	27806	UROK	\N	\N
3624300	2839	1998-09-30	PRIJEM	\N	136	29479	UROK	\N	\N
3624301	2839	1998-10-31	PRIJEM	\N	154	36470	UROK	\N	\N
3624302	2839	1998-11-30	PRIJEM	\N	167	37175	UROK	\N	\N
3624303	2839	1998-12-31	PRIJEM	\N	180	37567	UROK	\N	\N
3624304	2840	1994-11-30	PRIJEM	\N	68	58046	UROK	\N	\N
3624305	2840	1994-12-31	PRIJEM	\N	247	72178	UROK	\N	\N
3624306	2840	1995-01-31	PRIJEM	\N	353	100737	UROK	\N	\N
3624307	2840	1995-02-28	PRIJEM	\N	237	40664	UROK	\N	\N
3624308	2840	1995-03-31	PRIJEM	\N	216	60894	UROK	\N	\N
3624309	2840	1995-04-30	PRIJEM	\N	177	30374	UROK	\N	\N
3624310	2840	1995-05-31	PRIJEM	\N	368	83210	UROK	\N	\N
3624311	2840	1995-06-30	PRIJEM	\N	185	32899	UROK	\N	\N
3624312	2840	1995-07-31	PRIJEM	\N	138	31832	UROK	\N	\N
3624313	2840	1995-08-31	PRIJEM	\N	165	71758	UROK	\N	\N
3624314	2840	1995-09-30	PRIJEM	\N	266	84815	UROK	\N	\N
3624315	2840	1995-10-31	PRIJEM	\N	259	42023	UROK	\N	\N
3624316	2840	1995-11-30	PRIJEM	\N	135	26161	UROK	\N	\N
3624317	2840	1995-12-31	PRIJEM	\N	162	60653	UROK	\N	\N
3624318	2840	1996-01-31	PRIJEM	\N	107	17463	UROK	\N	\N
3624319	2840	1996-02-29	PRIJEM	\N	117	25218	UROK	\N	\N
3624320	2840	1996-03-31	PRIJEM	\N	175	84571	UROK	\N	\N
3624321	2840	1996-04-30	PRIJEM	\N	248	43423	UROK	\N	\N
3624322	2840	1996-05-31	PRIJEM	\N	147	34489	UROK	\N	\N
3624323	2840	1996-06-30	PRIJEM	\N	133	40055	UROK	\N	\N
3624324	2840	1996-07-31	PRIJEM	\N	122	29096	UROK	\N	\N
3624325	2840	1996-08-31	PRIJEM	\N	119	26918	UROK	\N	\N
3624326	2840	1996-09-30	PRIJEM	\N	84	26127	UROK	\N	\N
3624327	2840	1996-10-31	PRIJEM	\N	120	32046	UROK	\N	\N
3624328	2840	1996-11-30	PRIJEM	\N	130	27680	UROK	\N	\N
3624329	2840	1996-12-31	PRIJEM	\N	317	64765	UROK	\N	\N
3624330	2840	1997-01-31	PRIJEM	\N	150	34018	UROK	\N	\N
3624331	2840	1997-02-28	PRIJEM	\N	159	76544	UROK	\N	\N
3624332	2840	1997-03-31	PRIJEM	\N	302	53950	UROK	\N	\N
3624333	2840	1997-04-30	PRIJEM	\N	241	49787	UROK	\N	\N
3624334	2840	1997-05-31	PRIJEM	\N	193	40730	UROK	\N	\N
3624335	2840	1997-06-30	PRIJEM	\N	175	79678	UROK	\N	\N
3624336	2840	1997-07-31	PRIJEM	\N	277	39082	UROK	\N	\N
3624337	2840	1997-08-31	PRIJEM	\N	112	35502	UROK	\N	\N
3624338	2840	1997-09-30	PRIJEM	\N	138	28844	UROK	\N	\N
3624339	2840	1997-10-31	PRIJEM	\N	165	56972	UROK	\N	\N
3624340	2840	1997-11-30	PRIJEM	\N	213	39689	UROK	\N	\N
3624341	2840	1997-12-31	PRIJEM	\N	229	124491	UROK	\N	\N
3624342	2840	1998-01-31	PRIJEM	\N	249	23843	UROK	\N	\N
3624343	2840	1998-02-28	PRIJEM	\N	109	32955	UROK	\N	\N
3624344	2840	1998-03-31	PRIJEM	\N	142	38200	UROK	\N	\N
3624345	2840	1998-04-30	PRIJEM	\N	173	45846	UROK	\N	\N
3624346	2840	1998-05-31	PRIJEM	\N	264	76064	UROK	\N	\N
3624347	2840	1998-06-30	PRIJEM	\N	275	80728	UROK	\N	\N
3624348	2840	1998-07-31	PRIJEM	\N	311	66942	UROK	\N	\N
3624349	2840	1998-08-31	PRIJEM	\N	278	84073	UROK	\N	\N
3624350	2840	1998-09-30	PRIJEM	\N	391	99323	UROK	\N	\N
3624351	2840	1998-10-31	PRIJEM	\N	358	71421	UROK	\N	\N
3624352	2840	1998-11-30	PRIJEM	\N	283	72604	UROK	\N	\N
3624353	2840	1998-12-31	PRIJEM	\N	263	40104	UROK	\N	\N
3624354	2841	1993-08-31	PRIJEM	\N	13	15923	UROK	\N	\N
3624355	2841	1993-09-30	PRIJEM	\N	72	22805	UROK	\N	\N
3624356	2841	1993-10-31	PRIJEM	\N	99	26813	UROK	\N	\N
3624357	2841	1993-11-30	PRIJEM	\N	113	28837	UROK	\N	\N
3624358	2841	1993-12-31	PRIJEM	\N	140	31456	UROK	\N	\N
3624359	2841	1994-01-31	PRIJEM	\N	110	15465	UROK	\N	\N
3624360	2841	1994-02-28	PRIJEM	\N	79	20703	UROK	\N	\N
3624361	2841	1994-03-31	PRIJEM	\N	103	21205	UROK	\N	\N
3624362	2841	1994-04-30	PRIJEM	\N	104	25289	UROK	\N	\N
3624363	2841	1994-05-31	PRIJEM	\N	115	26263	UROK	\N	\N
3624364	2841	1994-06-30	PRIJEM	\N	130	30858	UROK	\N	\N
3624365	2841	1994-07-31	PRIJEM	\N	135	28593	UROK	\N	\N
3624366	2841	1994-08-31	PRIJEM	\N	130	27681	UROK	\N	\N
3624367	2841	1994-09-30	PRIJEM	\N	117	27058	UROK	\N	\N
3624368	2841	1994-10-31	PRIJEM	\N	124	24302	UROK	\N	\N
3624369	2841	1994-11-30	PRIJEM	\N	114	28535	UROK	\N	\N
3624370	2841	1994-12-31	PRIJEM	\N	139	32138	UROK	\N	\N
3624371	2841	1995-01-31	PRIJEM	\N	129	15847	UROK	\N	\N
3624372	2841	1995-02-28	PRIJEM	\N	86	22912	UROK	\N	\N
3624373	2841	1995-03-31	PRIJEM	\N	102	23774	UROK	\N	\N
3624374	2841	1995-04-30	PRIJEM	\N	91	20224	UROK	\N	\N
3624375	2841	1995-05-31	PRIJEM	\N	96	22839	UROK	\N	\N
3624376	2841	1995-06-30	PRIJEM	\N	112	15056	UROK	\N	\N
3624377	2841	1995-07-31	PRIJEM	\N	77	18993	UROK	\N	\N
3624378	2841	1995-08-31	PRIJEM	\N	90	21342	UROK	\N	\N
3624379	2841	1995-09-30	PRIJEM	\N	98	23599	UROK	\N	\N
3624380	2841	1995-10-31	PRIJEM	\N	106	25964	UROK	\N	\N
3624381	2841	1995-11-30	PRIJEM	\N	97	20361	UROK	\N	\N
3624382	2841	1995-12-31	PRIJEM	\N	93	22619	UROK	\N	\N
3624383	2841	1996-01-31	PRIJEM	\N	72	14470	UROK	\N	\N
3624384	2841	1996-02-29	PRIJEM	\N	77	16786	UROK	\N	\N
3624385	2841	1996-03-31	PRIJEM	\N	70	16415	UROK	\N	\N
3624386	2841	1996-04-30	PRIJEM	\N	67	15842	UROK	\N	\N
3624387	2841	1996-05-31	PRIJEM	\N	68	16469	UROK	\N	\N
3624388	2841	1996-06-30	PRIJEM	\N	99	15652	UROK	\N	\N
3624389	2841	1996-07-31	PRIJEM	\N	89	21201	UROK	\N	\N
3624390	2841	1996-08-31	PRIJEM	\N	100	22460	UROK	\N	\N
3624391	2841	1996-09-30	PRIJEM	\N	94	23213	UROK	\N	\N
3624392	2841	1996-10-31	PRIJEM	\N	90	21363	UROK	\N	\N
3624393	2841	1996-11-30	PRIJEM	\N	93	20015	UROK	\N	\N
3624394	2841	1996-12-31	PRIJEM	\N	108	25987	UROK	\N	\N
3624395	2841	1997-01-31	PRIJEM	\N	75	14602	UROK	\N	\N
3624396	2841	1997-02-28	PRIJEM	\N	78	18339	UROK	\N	\N
3624397	2841	1997-03-31	PRIJEM	\N	97	23096	UROK	\N	\N
3624398	2841	1997-04-30	PRIJEM	\N	97	23952	UROK	\N	\N
3624399	2841	1997-05-31	PRIJEM	\N	99	21010	UROK	\N	\N
3624400	2841	1997-06-30	PRIJEM	\N	82	16856	UROK	\N	\N
3624401	2841	1997-07-31	PRIJEM	\N	79	16515	UROK	\N	\N
3624402	2841	1997-08-31	PRIJEM	\N	73	15147	UROK	\N	\N
3624403	2841	1997-09-30	PRIJEM	\N	72	17558	UROK	\N	\N
3624404	2841	1997-10-31	PRIJEM	\N	81	20998	UROK	\N	\N
3624405	2841	1997-11-30	PRIJEM	\N	87	18624	UROK	\N	\N
3624406	2841	1997-12-31	PRIJEM	\N	112	28200	UROK	\N	\N
3624407	2841	1998-01-31	PRIJEM	\N	91	15731	UROK	\N	\N
3624408	2841	1998-02-28	PRIJEM	\N	85	23975	UROK	\N	\N
3624409	2841	1998-03-31	PRIJEM	\N	110	25044	UROK	\N	\N
3624410	2841	1998-04-30	PRIJEM	\N	113	25817	UROK	\N	\N
3624411	2841	1998-05-31	PRIJEM	\N	101	23117	UROK	\N	\N
3624412	2841	1998-06-30	PRIJEM	\N	118	28800	UROK	\N	\N
3624413	2841	1998-07-31	PRIJEM	\N	114	27673	UROK	\N	\N
3624414	2841	1998-08-31	PRIJEM	\N	120	25012	UROK	\N	\N
3624415	2841	1998-09-30	PRIJEM	\N	108	19440	UROK	\N	\N
3624416	2841	1998-10-31	PRIJEM	\N	90	15689	UROK	\N	\N
3624417	2841	1998-11-30	PRIJEM	\N	75	16703	UROK	\N	\N
3624418	2841	1998-12-31	PRIJEM	\N	95	26762	UROK	\N	\N
3624419	2842	1994-05-31	PRIJEM	\N	39	16006	UROK	\N	\N
3624420	2842	1994-06-30	PRIJEM	\N	69	17135	UROK	\N	\N
3624421	2842	1994-07-31	PRIJEM	\N	71	17547	UROK	\N	\N
3624422	2842	1994-08-31	PRIJEM	\N	76	18683	UROK	\N	\N
3624423	2842	1994-09-30	PRIJEM	\N	80	19824	UROK	\N	\N
3624424	2842	1994-10-31	PRIJEM	\N	85	20969	UROK	\N	\N
3624425	2842	1994-11-30	PRIJEM	\N	88	21028	UROK	\N	\N
3624426	2842	1994-12-31	PRIJEM	\N	88	20526	UROK	\N	\N
3624427	2842	1995-01-31	PRIJEM	\N	85	19482	UROK	\N	\N
3624428	2842	1995-02-28	PRIJEM	\N	84	20626	UROK	\N	\N
3624429	2842	1995-03-31	PRIJEM	\N	88	21574	UROK	\N	\N
3624430	2842	1995-04-30	PRIJEM	\N	92	22727	UROK	\N	\N
3624431	2842	1995-05-31	PRIJEM	\N	95	20992	UROK	\N	\N
3624432	2842	1995-06-30	PRIJEM	\N	90	22143	UROK	\N	\N
3624433	2842	1995-07-31	PRIJEM	\N	90	19793	UROK	\N	\N
3624434	2842	1995-08-31	PRIJEM	\N	85	20938	UROK	\N	\N
3624435	2842	1995-09-30	PRIJEM	\N	86	19734	UROK	\N	\N
3624436	2842	1995-10-31	PRIJEM	\N	85	20880	UROK	\N	\N
3624437	2842	1995-11-30	PRIJEM	\N	89	21829	UROK	\N	\N
3624438	2842	1995-12-31	PRIJEM	\N	91	21240	UROK	\N	\N
3624439	2842	1996-01-31	PRIJEM	\N	83	18963	UROK	\N	\N
3624440	2842	1996-02-29	PRIJEM	\N	81	20104	UROK	\N	\N
3624441	2842	1996-03-31	PRIJEM	\N	79	17544	UROK	\N	\N
3624442	2842	1996-04-30	PRIJEM	\N	72	17216	UROK	\N	\N
3624443	2842	1996-05-31	PRIJEM	\N	70	16346	UROK	\N	\N
3624444	2842	1996-06-30	PRIJEM	\N	63	15449	UROK	\N	\N
3624445	2842	1996-07-31	PRIJEM	\N	67	16576	UROK	\N	\N
3624446	2842	1996-08-31	PRIJEM	\N	68	16505	UROK	\N	\N
3624447	2842	1996-09-30	PRIJEM	\N	63	13748	UROK	\N	\N
3624448	2842	1996-10-31	PRIJEM	\N	59	14868	UROK	\N	\N
3624449	2842	1996-11-30	PRIJEM	\N	63	15181	UROK	\N	\N
3624450	2842	1996-12-31	PRIJEM	\N	62	15584	UROK	\N	\N
3624451	2842	1997-01-31	PRIJEM	\N	53	11567	UROK	\N	\N
3624452	2842	1997-02-28	PRIJEM	\N	47	11574	UROK	\N	\N
3624453	2842	1997-03-31	PRIJEM	\N	50	12685	UROK	\N	\N
3624454	2842	1997-04-30	PRIJEM	\N	55	13800	UROK	\N	\N
3624455	2842	1997-05-31	PRIJEM	\N	59	14920	UROK	\N	\N
3624456	2842	1997-06-30	PRIJEM	\N	61	14811	UROK	\N	\N
3624457	2842	1997-07-31	PRIJEM	\N	63	15934	UROK	\N	\N
3624458	2842	1997-08-31	PRIJEM	\N	65	15020	UROK	\N	\N
3624459	2842	1997-09-30	PRIJEM	\N	64	16144	UROK	\N	\N
3624460	2842	1997-10-31	PRIJEM	\N	69	17273	UROK	\N	\N
3624461	2842	1997-11-30	PRIJEM	\N	73	18077	UROK	\N	\N
3624462	2842	1997-12-31	PRIJEM	\N	73	18250	UROK	\N	\N
3624463	2842	1998-01-31	PRIJEM	\N	68	16048	UROK	\N	\N
3624464	2842	1998-02-28	PRIJEM	\N	68	17176	UROK	\N	\N
3624465	2842	1998-03-31	PRIJEM	\N	73	17949	UROK	\N	\N
3624466	2842	1998-04-30	PRIJEM	\N	76	19086	UROK	\N	\N
3624467	2842	1998-05-31	PRIJEM	\N	81	20227	UROK	\N	\N
3624468	2842	1998-06-30	PRIJEM	\N	83	19210	UROK	\N	\N
3624469	2842	1998-07-31	PRIJEM	\N	80	19960	UROK	\N	\N
3624470	2842	1998-08-31	PRIJEM	\N	84	21105	UROK	\N	\N
3624471	2842	1998-09-30	PRIJEM	\N	89	22254	UROK	\N	\N
3624472	2842	1998-10-31	PRIJEM	\N	94	23408	UROK	\N	\N
3624473	2842	1998-11-30	PRIJEM	\N	98	24206	UROK	\N	\N
3624474	2842	1998-12-31	PRIJEM	\N	101	25097	UROK	\N	\N
3624475	2843	1997-04-30	PRIJEM	\N	10	23181	UROK	\N	\N
3624476	2843	1997-05-31	PRIJEM	\N	101	31353	UROK	\N	\N
3624477	2843	1997-06-30	PRIJEM	\N	134	38243	UROK	\N	\N
3624478	2843	1997-07-31	PRIJEM	\N	159	37973	UROK	\N	\N
3624479	2843	1997-08-31	PRIJEM	\N	169	30567	UROK	\N	\N
3624480	2843	1997-09-30	PRIJEM	\N	141	27118	UROK	\N	\N
3624481	2843	1997-10-31	PRIJEM	\N	124	22052	UROK	\N	\N
3624482	2843	1997-11-30	PRIJEM	\N	108	23771	UROK	\N	\N
3624483	2843	1997-12-31	PRIJEM	\N	156	29463	UROK	\N	\N
3624484	2843	1998-01-31	PRIJEM	\N	121	21275	UROK	\N	\N
3624485	2843	1998-02-28	PRIJEM	\N	109	19494	UROK	\N	\N
3624486	2843	1998-03-31	PRIJEM	\N	94	16458	UROK	\N	\N
3624487	2843	1998-04-30	PRIJEM	\N	87	21055	UROK	\N	\N
3624488	2843	1998-05-31	PRIJEM	\N	100	20165	UROK	\N	\N
3624489	2843	1998-06-30	PRIJEM	\N	121	11782	UROK	\N	\N
3624490	2843	1998-07-31	PRIJEM	\N	82	15775	UROK	\N	\N
3624491	2843	1998-08-31	PRIJEM	\N	76	15561	UROK	\N	\N
3624492	2843	1998-09-30	PRIJEM	\N	74	15545	UROK	\N	\N
3624493	2843	1998-10-31	PRIJEM	\N	71	13926	UROK	\N	\N
3624494	2843	1998-11-30	PRIJEM	\N	68	15305	UROK	\N	\N
3624495	2843	1998-12-31	PRIJEM	\N	108	30328	UROK	\N	\N
3624496	2845	1997-09-30	PRIJEM	\N	42	27177	UROK	\N	\N
3624497	2845	1997-10-31	PRIJEM	\N	132	38843	UROK	\N	\N
3624498	2845	1997-11-30	PRIJEM	\N	171	44649	UROK	\N	\N
3624499	2845	1997-12-31	PRIJEM	\N	197	51148	UROK	\N	\N
3624500	2845	1998-01-31	PRIJEM	\N	226	47750	UROK	\N	\N
3624501	2845	1998-02-28	PRIJEM	\N	218	45630	UROK	\N	\N
3624502	2845	1998-03-31	PRIJEM	\N	209	45800	UROK	\N	\N
3624503	2845	1998-04-30	PRIJEM	\N	212	46173	UROK	\N	\N
3624504	2845	1998-05-31	PRIJEM	\N	218	49453	UROK	\N	\N
3624505	2845	1998-06-30	PRIJEM	\N	219	35700	UROK	\N	\N
3624506	2845	1998-07-31	PRIJEM	\N	177	40538	UROK	\N	\N
3624507	2845	1998-08-31	PRIJEM	\N	197	46897	UROK	\N	\N
3624508	2845	1998-09-30	PRIJEM	\N	220	51678	UROK	\N	\N
3624509	2845	1998-10-31	PRIJEM	\N	233	53472	UROK	\N	\N
3624510	2845	1998-11-30	PRIJEM	\N	235	53468	UROK	\N	\N
3624511	2845	1998-12-31	PRIJEM	\N	245	50742	UROK	\N	\N
3624512	2846	1998-01-31	PRIJEM	\N	19	19855	UROK	\N	\N
3624513	2846	1998-02-28	PRIJEM	\N	87	25175	UROK	\N	\N
3624514	2846	1998-03-31	PRIJEM	\N	107	25085	UROK	\N	\N
3624515	2846	1998-04-30	PRIJEM	\N	115	26362	UROK	\N	\N
3624516	2846	1998-05-31	PRIJEM	\N	111	21794	UROK	\N	\N
3624517	2846	1998-06-30	PRIJEM	\N	85	16342	UROK	\N	\N
3624518	2846	1998-07-31	PRIJEM	\N	75	17199	UROK	\N	\N
3624519	2846	1998-08-31	PRIJEM	\N	75	15737	UROK	\N	\N
3624520	2846	1998-09-30	PRIJEM	\N	76	17715	UROK	\N	\N
3624521	2846	1998-10-31	PRIJEM	\N	86	21463	UROK	\N	\N
3624522	2846	1998-11-30	PRIJEM	\N	98	22724	UROK	\N	\N
3624523	2846	1998-12-31	PRIJEM	\N	102	21249	UROK	\N	\N
3624524	2847	1994-06-30	PRIJEM	\N	69	20636	UROK	\N	\N
3624525	2847	1994-07-31	PRIJEM	\N	107	27121	UROK	\N	\N
3624526	2847	1994-08-31	PRIJEM	\N	124	30323	UROK	\N	\N
3624527	2847	1994-09-30	PRIJEM	\N	130	31531	UROK	\N	\N
3624528	2847	1994-10-31	PRIJEM	\N	125	29449	UROK	\N	\N
3624529	2847	1994-11-30	PRIJEM	\N	114	25042	UROK	\N	\N
3624530	2847	1994-12-31	PRIJEM	\N	121	27730	UROK	\N	\N
3624531	2847	1995-01-31	PRIJEM	\N	102	14211	UROK	\N	\N
3624532	2847	1995-02-28	PRIJEM	\N	82	17672	UROK	\N	\N
3624533	2847	1995-03-31	PRIJEM	\N	98	23948	UROK	\N	\N
3624534	2847	1995-04-30	PRIJEM	\N	98	21724	UROK	\N	\N
3624535	2847	1995-05-31	PRIJEM	\N	117	28720	UROK	\N	\N
3624536	2847	1995-06-30	PRIJEM	\N	143	31130	UROK	\N	\N
3624537	2847	1995-07-31	PRIJEM	\N	137	32846	UROK	\N	\N
3624538	2847	1995-08-31	PRIJEM	\N	140	33464	UROK	\N	\N
3624539	2847	1995-09-30	PRIJEM	\N	144	35386	UROK	\N	\N
3624540	2847	1995-10-31	PRIJEM	\N	137	30501	UROK	\N	\N
3624541	2847	1995-11-30	PRIJEM	\N	133	26113	UROK	\N	\N
3624542	2847	1995-12-31	PRIJEM	\N	124	24804	UROK	\N	\N
3624543	2847	1996-01-31	PRIJEM	\N	94	17376	UROK	\N	\N
3624544	2847	1996-02-29	PRIJEM	\N	81	22836	UROK	\N	\N
3624545	2847	1996-03-31	PRIJEM	\N	101	24115	UROK	\N	\N
3624546	2847	1996-04-30	PRIJEM	\N	108	26202	UROK	\N	\N
3624547	2847	1996-05-31	PRIJEM	\N	104	26584	UROK	\N	\N
3624548	2847	1996-06-30	PRIJEM	\N	100	28952	UROK	\N	\N
3624549	2847	1996-07-31	PRIJEM	\N	130	34061	UROK	\N	\N
3624550	2847	1996-08-31	PRIJEM	\N	136	34575	UROK	\N	\N
3624551	2847	1996-09-30	PRIJEM	\N	154	40208	UROK	\N	\N
3624552	2847	1996-10-31	PRIJEM	\N	170	38557	UROK	\N	\N
3624553	2847	1996-11-30	PRIJEM	\N	166	39702	UROK	\N	\N
3624554	2847	1996-12-31	PRIJEM	\N	176	44744	UROK	\N	\N
3624555	2847	1997-01-31	PRIJEM	\N	173	37696	UROK	\N	\N
3624556	2847	1997-02-28	PRIJEM	\N	172	46946	UROK	\N	\N
3624557	2847	1997-03-31	PRIJEM	\N	204	50929	UROK	\N	\N
3624558	2847	1997-04-30	PRIJEM	\N	205	48412	UROK	\N	\N
3624559	2847	1997-05-31	PRIJEM	\N	202	49193	UROK	\N	\N
3624560	2847	1997-06-30	PRIJEM	\N	211	46471	UROK	\N	\N
3624561	2847	1997-07-31	PRIJEM	\N	197	46546	UROK	\N	\N
3624562	2847	1997-08-31	PRIJEM	\N	192	46816	UROK	\N	\N
3624563	2847	1997-09-30	PRIJEM	\N	196	46091	UROK	\N	\N
3624564	2847	1997-10-31	PRIJEM	\N	193	44362	UROK	\N	\N
3624565	2847	1997-11-30	PRIJEM	\N	187	44527	UROK	\N	\N
3624566	2847	1997-12-31	PRIJEM	\N	197	48491	UROK	\N	\N
3624567	2847	1998-01-31	PRIJEM	\N	178	33147	UROK	\N	\N
3624568	2847	1998-02-28	PRIJEM	\N	157	40183	UROK	\N	\N
3624569	2847	1998-03-31	PRIJEM	\N	169	42530	UROK	\N	\N
3624570	2847	1998-04-30	PRIJEM	\N	181	42689	UROK	\N	\N
3624571	2847	1998-05-31	PRIJEM	\N	194	50261	UROK	\N	\N
3624572	2847	1998-06-30	PRIJEM	\N	197	47226	UROK	\N	\N
3624573	2847	1998-07-31	PRIJEM	\N	185	42689	UROK	\N	\N
3624574	2847	1998-08-31	PRIJEM	\N	179	43647	UROK	\N	\N
3624575	2847	1998-09-30	PRIJEM	\N	173	40198	UROK	\N	\N
3624576	2847	1998-10-31	PRIJEM	\N	172	42348	UROK	\N	\N
3624577	2847	1998-11-30	PRIJEM	\N	179	44105	UROK	\N	\N
3624578	2847	1998-12-31	PRIJEM	\N	198	48770	UROK	\N	\N
3624647	2849	1994-01-31	PRIJEM	\N	66	27274	UROK	\N	\N
3624648	2849	1994-02-28	PRIJEM	\N	116	26242	UROK	\N	\N
3624649	2849	1994-03-31	PRIJEM	\N	108	23209	UROK	\N	\N
3624650	2849	1994-04-30	PRIJEM	\N	108	27275	UROK	\N	\N
3624651	2849	1994-05-31	PRIJEM	\N	106	19499	UROK	\N	\N
3624652	2849	1994-06-30	PRIJEM	\N	73	14331	UROK	\N	\N
3624653	2849	1994-07-31	PRIJEM	\N	78	18367	UROK	\N	\N
3624654	2849	1994-08-31	PRIJEM	\N	85	19291	UROK	\N	\N
3624655	2849	1994-09-30	PRIJEM	\N	85	21034	UROK	\N	\N
3624656	2849	1994-10-31	PRIJEM	\N	97	21989	UROK	\N	\N
3624657	2849	1994-11-30	PRIJEM	\N	108	25556	UROK	\N	\N
3624658	2849	1994-12-31	PRIJEM	\N	119	28033	UROK	\N	\N
3624659	2849	1995-01-31	PRIJEM	\N	94	17535	UROK	\N	\N
3624660	2849	1995-02-28	PRIJEM	\N	75	18209	UROK	\N	\N
3624661	2849	1995-03-31	PRIJEM	\N	85	18812	UROK	\N	\N
3624662	2849	1995-04-30	PRIJEM	\N	93	21463	UROK	\N	\N
3624663	2849	1995-05-31	PRIJEM	\N	95	23616	UROK	\N	\N
3624664	2849	1995-06-30	PRIJEM	\N	94	19709	UROK	\N	\N
3624665	2849	1995-07-31	PRIJEM	\N	99	23366	UROK	\N	\N
3624666	2849	1995-08-31	PRIJEM	\N	99	21524	UROK	\N	\N
3624667	2849	1995-09-30	PRIJEM	\N	90	20492	UROK	\N	\N
3624668	2849	1995-10-31	PRIJEM	\N	89	21080	UROK	\N	\N
3624669	2849	1995-11-30	PRIJEM	\N	88	20946	UROK	\N	\N
3624670	2849	1995-12-31	PRIJEM	\N	93	23447	UROK	\N	\N
3624671	2849	1996-01-31	PRIJEM	\N	71	13657	UROK	\N	\N
3624672	2849	1996-02-29	PRIJEM	\N	67	17683	UROK	\N	\N
3624673	2849	1996-03-31	PRIJEM	\N	80	18761	UROK	\N	\N
3624674	2849	1996-04-30	PRIJEM	\N	90	20609	UROK	\N	\N
3624675	2849	1996-05-31	PRIJEM	\N	90	22458	UROK	\N	\N
3624676	2849	1996-06-30	PRIJEM	\N	83	20579	UROK	\N	\N
3624677	2849	1996-07-31	PRIJEM	\N	82	19519	UROK	\N	\N
3624678	2849	1996-08-31	PRIJEM	\N	81	17259	UROK	\N	\N
3624679	2849	1996-09-30	PRIJEM	\N	80	20897	UROK	\N	\N
3624680	2849	1996-10-31	PRIJEM	\N	78	16234	UROK	\N	\N
3624681	2849	1996-11-30	PRIJEM	\N	85	20277	UROK	\N	\N
3624682	2849	1996-12-31	PRIJEM	\N	95	19931	UROK	\N	\N
3624683	2849	1997-01-31	PRIJEM	\N	75	15144	UROK	\N	\N
3624684	2849	1997-02-28	PRIJEM	\N	80	19182	UROK	\N	\N
3624685	2849	1997-03-31	PRIJEM	\N	90	22931	UROK	\N	\N
3624686	2849	1997-04-30	PRIJEM	\N	105	24994	UROK	\N	\N
3624687	2849	1997-05-31	PRIJEM	\N	115	26427	UROK	\N	\N
3624688	2849	1997-06-30	PRIJEM	\N	108	24893	UROK	\N	\N
3624689	2849	1997-07-31	PRIJEM	\N	111	25523	UROK	\N	\N
3624690	2849	1997-08-31	PRIJEM	\N	110	25851	UROK	\N	\N
3624691	2849	1997-09-30	PRIJEM	\N	118	24828	UROK	\N	\N
3624692	2849	1997-10-31	PRIJEM	\N	116	26702	UROK	\N	\N
3624693	2849	1997-11-30	PRIJEM	\N	120	24580	UROK	\N	\N
3624694	2849	1997-12-31	PRIJEM	\N	104	22083	UROK	\N	\N
3624695	2849	1998-01-31	PRIJEM	\N	81	14872	UROK	\N	\N
3624696	2849	1998-02-28	PRIJEM	\N	65	15456	UROK	\N	\N
3624697	2849	1998-03-31	PRIJEM	\N	74	19488	UROK	\N	\N
3624698	2849	1998-04-30	PRIJEM	\N	97	23544	UROK	\N	\N
3624699	2849	1998-05-31	PRIJEM	\N	104	26406	UROK	\N	\N
3624700	2849	1998-06-30	PRIJEM	\N	106	16820	UROK	\N	\N
3624701	2849	1998-07-31	PRIJEM	\N	71	17730	UROK	\N	\N
3624702	2849	1998-08-31	PRIJEM	\N	73	17921	UROK	\N	\N
3624703	2849	1998-09-30	PRIJEM	\N	91	21970	UROK	\N	\N
3624704	2849	1998-10-31	PRIJEM	\N	108	26036	UROK	\N	\N
3624705	2849	1998-11-30	PRIJEM	\N	115	28509	UROK	\N	\N
3624706	2849	1998-12-31	PRIJEM	\N	132	32100	UROK	\N	\N
3624707	2850	1998-04-30	PRIJEM	\N	19	15104	UROK	\N	\N
3624708	2850	1998-05-31	PRIJEM	\N	66	15694	UROK	\N	\N
3624709	2850	1998-06-30	PRIJEM	\N	68	16767	UROK	\N	\N
3624710	2850	1998-07-31	PRIJEM	\N	68	16819	UROK	\N	\N
3624711	2850	1998-08-31	PRIJEM	\N	73	17897	UROK	\N	\N
3624712	2850	1998-09-30	PRIJEM	\N	78	18979	UROK	\N	\N
3624713	2850	1998-10-31	PRIJEM	\N	82	20065	UROK	\N	\N
3624714	2850	1998-11-30	PRIJEM	\N	81	18691	UROK	\N	\N
3624715	2850	1998-12-31	PRIJEM	\N	81	19146	UROK	\N	\N
3624716	2853	1995-09-30	PRIJEM	\N	13	4322	UROK	\N	\N
3624717	2853	1995-10-31	PRIJEM	\N	61	18292	UROK	\N	\N
3624718	2853	1995-11-30	PRIJEM	\N	101	26602	UROK	\N	\N
3624719	2853	1995-12-31	PRIJEM	\N	132	33443	UROK	\N	\N
3624720	2853	1996-01-31	PRIJEM	\N	140	35342	UROK	\N	\N
3624721	2853	1996-02-29	PRIJEM	\N	139	32903	UROK	\N	\N
3624722	2853	1996-03-31	PRIJEM	\N	134	32259	UROK	\N	\N
3624723	2853	1996-04-30	PRIJEM	\N	140	34422	UROK	\N	\N
3624724	2853	1996-05-31	PRIJEM	\N	141	34236	UROK	\N	\N
3624725	2853	1996-06-30	PRIJEM	\N	102	20980	UROK	\N	\N
3624726	2853	1996-07-31	PRIJEM	\N	106	26908	UROK	\N	\N
3624727	2853	1996-08-31	PRIJEM	\N	111	26741	UROK	\N	\N
3624728	2853	1996-09-30	PRIJEM	\N	118	28951	UROK	\N	\N
3624729	2853	1996-10-31	PRIJEM	\N	125	30498	UROK	\N	\N
3624730	2853	1996-11-30	PRIJEM	\N	129	31349	UROK	\N	\N
3624731	2853	1996-12-31	PRIJEM	\N	134	33905	UROK	\N	\N
3624732	2853	1997-01-31	PRIJEM	\N	142	35130	UROK	\N	\N
3624733	2853	1997-02-28	PRIJEM	\N	150	36502	UROK	\N	\N
3624734	2853	1997-03-31	PRIJEM	\N	168	41692	UROK	\N	\N
3624735	2853	1997-04-30	PRIJEM	\N	182	43867	UROK	\N	\N
3624736	2853	1997-05-31	PRIJEM	\N	187	48176	UROK	\N	\N
3624737	2853	1997-06-30	PRIJEM	\N	205	51483	UROK	\N	\N
3624738	2853	1997-07-31	PRIJEM	\N	220	56925	UROK	\N	\N
3624739	2853	1997-08-31	PRIJEM	\N	241	58848	UROK	\N	\N
3624740	2853	1997-09-30	PRIJEM	\N	250	64141	UROK	\N	\N
3624741	2853	1997-10-31	PRIJEM	\N	271	65834	UROK	\N	\N
3624742	2853	1997-11-30	PRIJEM	\N	279	69535	UROK	\N	\N
3624743	2853	1997-12-31	PRIJEM	\N	293	72750	UROK	\N	\N
3624744	2853	1998-01-31	PRIJEM	\N	301	72874	UROK	\N	\N
3624745	2853	1998-02-28	PRIJEM	\N	300	67876	UROK	\N	\N
3624746	2853	1998-03-31	PRIJEM	\N	283	69701	UROK	\N	\N
3624747	2853	1998-04-30	PRIJEM	\N	296	74219	UROK	\N	\N
3624748	2853	1998-05-31	PRIJEM	\N	312	76254	UROK	\N	\N
3624749	2853	1998-06-30	PRIJEM	\N	315	75591	UROK	\N	\N
3624750	2853	1998-07-31	PRIJEM	\N	314	72937	UROK	\N	\N
3624751	2853	1998-08-31	PRIJEM	\N	304	72464	UROK	\N	\N
3624752	2853	1998-09-30	PRIJEM	\N	303	73059	UROK	\N	\N
3624753	2853	1998-10-31	PRIJEM	\N	306	73787	UROK	\N	\N
3624754	2853	1998-11-30	PRIJEM	\N	309	74918	UROK	\N	\N
3624755	2853	1998-12-31	PRIJEM	\N	316	77446	UROK	\N	\N
3624756	2854	1997-02-28	PRIJEM	\N	42	23400	UROK	\N	\N
3624757	2854	1997-03-31	PRIJEM	\N	125	39383	UROK	\N	\N
3624758	2854	1997-04-30	PRIJEM	\N	178	47519	UROK	\N	\N
3624759	2854	1997-05-31	PRIJEM	\N	202	50279	UROK	\N	\N
3624760	2854	1997-06-30	PRIJEM	\N	253	56283	UROK	\N	\N
3624761	2854	1997-07-31	PRIJEM	\N	247	52887	UROK	\N	\N
3624762	2854	1997-08-31	PRIJEM	\N	225	47370	UROK	\N	\N
3624763	2854	1997-09-30	PRIJEM	\N	236	48264	UROK	\N	\N
3624764	2854	1997-10-31	PRIJEM	\N	221	50542	UROK	\N	\N
3624765	2854	1997-11-30	PRIJEM	\N	227	52026	UROK	\N	\N
3624766	2854	1997-12-31	PRIJEM	\N	247	56609	UROK	\N	\N
3624767	2854	1998-01-31	PRIJEM	\N	236	46702	UROK	\N	\N
3624768	2854	1998-02-28	PRIJEM	\N	235	56494	UROK	\N	\N
3624769	2854	1998-03-31	PRIJEM	\N	258	60709	UROK	\N	\N
3624770	2854	1998-04-30	PRIJEM	\N	272	64439	UROK	\N	\N
3624771	2854	1998-05-31	PRIJEM	\N	278	64374	UROK	\N	\N
3624772	2854	1998-06-30	PRIJEM	\N	302	69612	UROK	\N	\N
3624773	2854	1998-07-31	PRIJEM	\N	296	69266	UROK	\N	\N
3624774	2854	1998-08-31	PRIJEM	\N	289	68912	UROK	\N	\N
3624775	2854	1998-09-30	PRIJEM	\N	295	70564	UROK	\N	\N
3624776	2854	1998-10-31	PRIJEM	\N	314	76536	UROK	\N	\N
3624777	2854	1998-11-30	PRIJEM	\N	343	84437	UROK	\N	\N
3624778	2854	1998-12-31	PRIJEM	\N	302	69875	UROK	\N	\N
3624779	2855	1996-01-31	PRIJEM	\N	35	17000	UROK	\N	\N
3624780	2855	1996-02-29	PRIJEM	\N	76	18382	UROK	\N	\N
3624781	2855	1996-03-31	PRIJEM	\N	79	19766	UROK	\N	\N
3624782	2855	1996-04-30	PRIJEM	\N	84	20435	UROK	\N	\N
3624783	2855	1996-05-31	PRIJEM	\N	92	23113	UROK	\N	\N
3624784	2855	1996-06-30	PRIJEM	\N	74	17723	UROK	\N	\N
3624785	2855	1996-07-31	PRIJEM	\N	77	19505	UROK	\N	\N
3624786	2855	1996-08-31	PRIJEM	\N	89	22179	UROK	\N	\N
3624787	2855	1996-09-30	PRIJEM	\N	100	24864	UROK	\N	\N
3624788	2855	1996-10-31	PRIJEM	\N	111	27560	UROK	\N	\N
3624789	2855	1996-11-30	PRIJEM	\N	122	30268	UROK	\N	\N
3624790	2855	1996-12-31	PRIJEM	\N	130	32233	UROK	\N	\N
3624791	2855	1997-01-31	PRIJEM	\N	128	27147	UROK	\N	\N
3624792	2855	1997-02-28	PRIJEM	\N	120	29852	UROK	\N	\N
3624793	2855	1997-03-31	PRIJEM	\N	132	32569	UROK	\N	\N
3624794	2855	1997-04-30	PRIJEM	\N	143	35297	UROK	\N	\N
3624795	2855	1997-05-31	PRIJEM	\N	145	32708	UROK	\N	\N
3624796	2855	1997-06-30	PRIJEM	\N	136	30079	UROK	\N	\N
3624797	2855	1997-07-31	PRIJEM	\N	132	32797	UROK	\N	\N
3624798	2855	1997-08-31	PRIJEM	\N	144	35526	UROK	\N	\N
3624799	2855	1997-09-30	PRIJEM	\N	155	38266	UROK	\N	\N
3624800	2855	1997-10-31	PRIJEM	\N	157	38608	UROK	\N	\N
3624801	2855	1997-11-30	PRIJEM	\N	160	39514	UROK	\N	\N
3624802	2855	1997-12-31	PRIJEM	\N	171	41470	UROK	\N	\N
3624803	2855	1998-01-31	PRIJEM	\N	172	40328	UROK	\N	\N
3624804	2855	1998-02-28	PRIJEM	\N	175	43088	UROK	\N	\N
3624805	2855	1998-03-31	PRIJEM	\N	186	45860	UROK	\N	\N
3624806	2855	1998-04-30	PRIJEM	\N	198	48643	UROK	\N	\N
3624807	2855	1998-05-31	PRIJEM	\N	209	49597	UROK	\N	\N
3624808	2855	1998-06-30	PRIJEM	\N	178	37510	UROK	\N	\N
3624809	2855	1998-07-31	PRIJEM	\N	163	40259	UROK	\N	\N
3624810	2855	1998-08-31	PRIJEM	\N	174	43018	UROK	\N	\N
3624811	2855	1998-09-30	PRIJEM	\N	186	45789	UROK	\N	\N
3624812	2855	1998-10-31	PRIJEM	\N	192	45447	UROK	\N	\N
3624813	2855	1998-11-30	PRIJEM	\N	196	48227	UROK	\N	\N
3624814	2855	1998-12-31	PRIJEM	\N	207	50720	UROK	\N	\N
3624815	2856	1995-04-30	PRIJEM	\N	41	21201	UROK	\N	\N
3624816	2856	1995-05-31	PRIJEM	\N	106	30268	UROK	\N	\N
3624817	2856	1995-06-30	PRIJEM	\N	139	36496	UROK	\N	\N
3624818	2856	1995-07-31	PRIJEM	\N	156	38412	UROK	\N	\N
3624819	2856	1995-08-31	PRIJEM	\N	157	35329	UROK	\N	\N
3624820	2856	1995-09-30	PRIJEM	\N	137	29813	UROK	\N	\N
3624821	2856	1995-10-31	PRIJEM	\N	117	25776	UROK	\N	\N
3624822	2856	1995-11-30	PRIJEM	\N	110	23293	UROK	\N	\N
3624823	2856	1995-12-31	PRIJEM	\N	111	27301	UROK	\N	\N
3624824	2856	1996-01-31	PRIJEM	\N	105	13093	UROK	\N	\N
3624825	2856	1996-02-29	PRIJEM	\N	75	20114	UROK	\N	\N
3624826	2856	1996-03-31	PRIJEM	\N	94	23655	UROK	\N	\N
3624827	2856	1996-04-30	PRIJEM	\N	108	27049	UROK	\N	\N
3624828	2856	1996-05-31	PRIJEM	\N	139	30335	UROK	\N	\N
3624829	2856	1996-06-30	PRIJEM	\N	132	32043	UROK	\N	\N
3624830	2856	1996-07-31	PRIJEM	\N	124	26254	UROK	\N	\N
3624831	2856	1996-08-31	PRIJEM	\N	111	26311	UROK	\N	\N
3624832	2856	1996-09-30	PRIJEM	\N	117	21974	UROK	\N	\N
3624833	2856	1996-10-31	PRIJEM	\N	107	26127	UROK	\N	\N
3624834	2856	1996-11-30	PRIJEM	\N	109	25182	UROK	\N	\N
3624835	2856	1996-12-31	PRIJEM	\N	107	24165	UROK	\N	\N
3624836	2856	1997-01-31	PRIJEM	\N	90	14502	UROK	\N	\N
3624837	2856	1997-02-28	PRIJEM	\N	97	19685	UROK	\N	\N
3624838	2856	1997-03-31	PRIJEM	\N	80	18191	UROK	\N	\N
3624839	2856	1997-04-30	PRIJEM	\N	105	25643	UROK	\N	\N
3624840	2856	1997-05-31	PRIJEM	\N	107	24696	UROK	\N	\N
3624841	2856	1997-06-30	PRIJEM	\N	147	36319	UROK	\N	\N
3624842	2856	1997-07-31	PRIJEM	\N	160	37925	UROK	\N	\N
3624843	2856	1997-08-31	PRIJEM	\N	159	37431	UROK	\N	\N
3624844	2856	1997-09-30	PRIJEM	\N	160	34817	UROK	\N	\N
3624845	2856	1997-10-31	PRIJEM	\N	138	31681	UROK	\N	\N
3624846	2856	1997-11-30	PRIJEM	\N	121	27468	UROK	\N	\N
3624847	2856	1997-12-31	PRIJEM	\N	145	36009	UROK	\N	\N
3624848	2856	1998-01-31	PRIJEM	\N	87	15323	UROK	\N	\N
3624849	2856	1998-02-28	PRIJEM	\N	83	23052	UROK	\N	\N
3624850	2856	1998-03-31	PRIJEM	\N	93	21291	UROK	\N	\N
3624851	2856	1998-04-30	PRIJEM	\N	109	29046	UROK	\N	\N
3624852	2856	1998-05-31	PRIJEM	\N	101	22994	UROK	\N	\N
3624853	2856	1998-06-30	PRIJEM	\N	94	27965	UROK	\N	\N
3624854	2856	1998-07-31	PRIJEM	\N	89	15280	UROK	\N	\N
3624855	2856	1998-08-31	PRIJEM	\N	84	23010	UROK	\N	\N
3624856	2856	1998-09-30	PRIJEM	\N	112	28368	UROK	\N	\N
3624857	2856	1998-10-31	PRIJEM	\N	126	13440	UROK	\N	\N
3624858	2856	1998-11-30	PRIJEM	\N	75	21162	UROK	\N	\N
3624859	2856	1998-12-31	PRIJEM	\N	121	32379	UROK	\N	\N
3624860	2857	1997-06-30	PRIJEM	\N	21	36839	UROK	\N	\N
3624861	2857	1997-07-31	PRIJEM	\N	173	74554	UROK	\N	\N
3624862	2857	1997-08-31	PRIJEM	\N	310	51464	UROK	\N	\N
3624863	2857	1997-09-30	PRIJEM	\N	298	60712	UROK	\N	\N
3624864	2857	1997-10-31	PRIJEM	\N	265	92365	UROK	\N	\N
3624865	2857	1997-11-30	PRIJEM	\N	356	78840	UROK	\N	\N
3624866	2857	1997-12-31	PRIJEM	\N	263	47472	UROK	\N	\N
3624867	2857	1998-01-31	PRIJEM	\N	152	37473	UROK	\N	\N
3624868	2857	1998-02-28	PRIJEM	\N	98	28617	UROK	\N	\N
3624869	2857	1998-03-31	PRIJEM	\N	151	39531	UROK	\N	\N
3624870	2857	1998-04-30	PRIJEM	\N	277	60795	UROK	\N	\N
3624871	2857	1998-05-31	PRIJEM	\N	292	62100	UROK	\N	\N
3624872	2857	1998-06-30	PRIJEM	\N	229	73530	UROK	\N	\N
3624873	2857	1998-07-31	PRIJEM	\N	375	65092	UROK	\N	\N
3624874	2857	1998-08-31	PRIJEM	\N	236	40900	UROK	\N	\N
3624875	2857	1998-09-30	PRIJEM	\N	221	52437	UROK	\N	\N
3624876	2857	1998-10-31	PRIJEM	\N	275	31757	UROK	\N	\N
3624877	2857	1998-11-30	PRIJEM	\N	109	18335	UROK	\N	\N
3624878	2857	1998-12-31	PRIJEM	\N	111	24955	UROK	\N	\N
3624879	2858	1995-09-30	PRIJEM	\N	26	18905	UROK	\N	\N
3624880	2858	1995-10-31	PRIJEM	\N	79	28163	UROK	\N	\N
3624881	2858	1995-11-30	PRIJEM	\N	100	32942	UROK	\N	\N
3624882	2858	1995-12-31	PRIJEM	\N	138	33949	UROK	\N	\N
3624883	2858	1996-01-31	PRIJEM	\N	123	18012	UROK	\N	\N
3624884	2858	1996-02-29	PRIJEM	\N	77	18874	UROK	\N	\N
3624885	2858	1996-03-31	PRIJEM	\N	96	24616	UROK	\N	\N
3624886	2858	1996-04-30	PRIJEM	\N	104	24066	UROK	\N	\N
3624887	2858	1996-05-31	PRIJEM	\N	102	22053	UROK	\N	\N
3624888	2858	1996-06-30	PRIJEM	\N	103	25391	UROK	\N	\N
3624889	2858	1996-07-31	PRIJEM	\N	116	27652	UROK	\N	\N
3624890	2858	1996-08-31	PRIJEM	\N	120	28118	UROK	\N	\N
3624891	2858	1996-09-30	PRIJEM	\N	115	26578	UROK	\N	\N
3624892	2858	1996-10-31	PRIJEM	\N	112	26735	UROK	\N	\N
3624893	2858	1996-11-30	PRIJEM	\N	114	27494	UROK	\N	\N
3624894	2858	1996-12-31	PRIJEM	\N	112	28241	UROK	\N	\N
3624895	2858	1997-01-31	PRIJEM	\N	96	14102	UROK	\N	\N
3624896	2858	1997-02-28	PRIJEM	\N	86	24133	UROK	\N	\N
3624897	2858	1997-03-31	PRIJEM	\N	118	31097	UROK	\N	\N
3624898	2858	1997-04-30	PRIJEM	\N	144	36586	UROK	\N	\N
3624899	2858	1997-05-31	PRIJEM	\N	152	33303	UROK	\N	\N
3624900	2858	1997-06-30	PRIJEM	\N	184	38222	UROK	\N	\N
3624901	2858	1997-07-31	PRIJEM	\N	170	42537	UROK	\N	\N
3624902	2858	1997-08-31	PRIJEM	\N	173	40955	UROK	\N	\N
3624903	2858	1997-09-30	PRIJEM	\N	157	34297	UROK	\N	\N
3624904	2858	1997-10-31	PRIJEM	\N	140	32942	UROK	\N	\N
3624905	2858	1997-11-30	PRIJEM	\N	146	35334	UROK	\N	\N
3624906	2858	1997-12-31	PRIJEM	\N	159	36708	UROK	\N	\N
3624907	2858	1998-01-31	PRIJEM	\N	135	26749	UROK	\N	\N
3624908	2858	1998-02-28	PRIJEM	\N	135	31229	UROK	\N	\N
3624909	2858	1998-03-31	PRIJEM	\N	121	27795	UROK	\N	\N
3624910	2858	1998-04-30	PRIJEM	\N	150	32130	UROK	\N	\N
3624911	2858	1998-05-31	PRIJEM	\N	139	33514	UROK	\N	\N
3624912	2858	1998-06-30	PRIJEM	\N	133	21982	UROK	\N	\N
3624913	2858	1998-07-31	PRIJEM	\N	124	32051	UROK	\N	\N
3624914	2858	1998-08-31	PRIJEM	\N	152	37748	UROK	\N	\N
3624915	2858	1998-09-30	PRIJEM	\N	163	39256	UROK	\N	\N
3624916	2858	1998-10-31	PRIJEM	\N	170	41071	UROK	\N	\N
3624917	2858	1998-11-30	PRIJEM	\N	182	40758	UROK	\N	\N
3624918	2858	1998-12-31	PRIJEM	\N	187	43840	UROK	\N	\N
3624919	2859	1993-10-31	PRIJEM	\N	56	73804	UROK	\N	\N
3624920	2859	1993-11-30	PRIJEM	\N	261	39906	UROK	\N	\N
3624921	2859	1993-12-31	PRIJEM	\N	138	24429	UROK	\N	\N
3624922	2859	1994-01-31	PRIJEM	\N	141	64017	UROK	\N	\N
3624923	2859	1994-02-28	PRIJEM	\N	251	49000	UROK	\N	\N
3624924	2859	1994-03-31	PRIJEM	\N	319	103106	UROK	\N	\N
3624925	2859	1994-04-30	PRIJEM	\N	418	84660	UROK	\N	\N
3624926	2859	1994-05-31	PRIJEM	\N	250	39907	UROK	\N	\N
3624927	2859	1994-06-30	PRIJEM	\N	280	113512	UROK	\N	\N
3624928	2859	1994-07-31	PRIJEM	\N	321	94708	UROK	\N	\N
3624929	2859	1994-08-31	PRIJEM	\N	353	38204	UROK	\N	\N
3624930	2859	1994-09-30	PRIJEM	\N	76	17046	UROK	\N	\N
3624931	2859	1994-10-31	PRIJEM	\N	103	34317	UROK	\N	\N
3624932	2859	1994-11-30	PRIJEM	\N	237	83875	UROK	\N	\N
3624933	2859	1994-12-31	PRIJEM	\N	325	95853	UROK	\N	\N
3624934	2859	1995-01-31	PRIJEM	\N	258	39928	UROK	\N	\N
3624935	2859	1995-02-28	PRIJEM	\N	165	31178	UROK	\N	\N
3624936	2859	1995-03-31	PRIJEM	\N	125	41705	UROK	\N	\N
3624937	2859	1995-04-30	PRIJEM	\N	236	60660	UROK	\N	\N
3624938	2859	1995-05-31	PRIJEM	\N	200	36706	UROK	\N	\N
3624939	2859	1995-06-30	PRIJEM	\N	95	1732	UROK	\N	\N
3624940	2859	1995-07-31	PRIJEM	\N	19	10537	UROK	\N	\N
3624941	2859	1995-08-31	PRIJEM	\N	114	41438	UROK	\N	\N
3624942	2859	1995-09-30	PRIJEM	\N	266	94890	UROK	\N	\N
3624943	2859	1995-10-31	PRIJEM	\N	313	68674	UROK	\N	\N
3624944	2859	1995-11-30	PRIJEM	\N	255	51435	UROK	\N	\N
3624945	2859	1995-12-31	PRIJEM	\N	176	37796	UROK	\N	\N
3624946	2859	1996-01-31	PRIJEM	\N	97	3854	UROK	\N	\N
3624947	2859	1996-02-29	PRIJEM	\N	24	8128	UROK	\N	\N
3624948	2859	1996-03-31	PRIJEM	\N	33	8446	UROK	\N	\N
3624949	2859	1996-04-30	PRIJEM	\N	35	20066	UROK	\N	\N
3624950	2859	1996-05-31	PRIJEM	\N	73	15149	UROK	\N	\N
3624951	2859	1996-06-30	PRIJEM	\N	70	16605	UROK	\N	\N
3624952	2859	1996-07-31	PRIJEM	\N	69	28959	UROK	\N	\N
3624953	2859	1996-08-31	PRIJEM	\N	121	29545	UROK	\N	\N
3624954	2859	1996-09-30	PRIJEM	\N	121	31151	UROK	\N	\N
3624955	2859	1996-10-31	PRIJEM	\N	100	23109	UROK	\N	\N
3624956	2859	1996-11-30	PRIJEM	\N	130	31580	UROK	\N	\N
3624957	2859	1996-12-31	PRIJEM	\N	54	4148	UROK	\N	\N
3624958	2859	1997-01-31	PRIJEM	\N	27	5561	UROK	\N	\N
3624959	2859	1997-02-28	PRIJEM	\N	24	28070	UROK	\N	\N
3624960	2859	1997-03-31	PRIJEM	\N	180	65836	UROK	\N	\N
3624961	2859	1997-04-30	PRIJEM	\N	283	83435	UROK	\N	\N
3624962	2859	1997-05-31	PRIJEM	\N	248	56968	UROK	\N	\N
3624963	2859	1997-06-30	PRIJEM	\N	175	28029	UROK	\N	\N
3624964	2859	1997-07-31	PRIJEM	\N	102	22616	UROK	\N	\N
3624965	2859	1997-08-31	PRIJEM	\N	84	10686	UROK	\N	\N
3624966	2859	1997-09-30	PRIJEM	\N	92	30263	UROK	\N	\N
3624967	2859	1997-10-31	PRIJEM	\N	124	39972	UROK	\N	\N
3624968	2859	1997-11-30	PRIJEM	\N	252	98191	UROK	\N	\N
3624969	2859	1997-12-31	PRIJEM	\N	377	68453	UROK	\N	\N
3624970	2859	1998-01-31	PRIJEM	\N	121	75286	UROK	\N	\N
3624971	2859	1998-02-28	PRIJEM	\N	332	84636	UROK	\N	\N
3624972	2859	1998-03-31	PRIJEM	\N	356	90759	UROK	\N	\N
3624973	2859	1998-04-30	PRIJEM	\N	375	92214	UROK	\N	\N
3624974	2859	1998-05-31	PRIJEM	\N	331	78564	UROK	\N	\N
3624975	2859	1998-06-30	PRIJEM	\N	315	53165	UROK	\N	\N
3624976	2859	1998-07-31	PRIJEM	\N	215	49039	UROK	\N	\N
3624977	2859	1998-08-31	PRIJEM	\N	278	69217	UROK	\N	\N
3624978	2859	1998-09-30	PRIJEM	\N	352	54355	UROK	\N	\N
3624979	2859	1998-10-31	PRIJEM	\N	242	85559	UROK	\N	\N
3624980	2859	1998-11-30	PRIJEM	\N	336	77937	UROK	\N	\N
3624981	2859	1998-12-31	PRIJEM	\N	314	70930	UROK	\N	\N
3624982	2861	1993-07-31	PRIJEM	\N	64	20706	UROK	\N	\N
3624983	2861	1993-08-31	PRIJEM	\N	95	24088	UROK	\N	\N
3624984	2861	1993-09-30	PRIJEM	\N	106	22881	UROK	\N	\N
3624985	2861	1993-10-31	PRIJEM	\N	105	25172	UROK	\N	\N
3624986	2861	1993-11-30	PRIJEM	\N	107	25367	UROK	\N	\N
3624987	2861	1993-12-31	PRIJEM	\N	98	22503	UROK	\N	\N
3624988	2861	1994-01-31	PRIJEM	\N	84	13855	UROK	\N	\N
3624989	2861	1994-02-28	PRIJEM	\N	66	17207	UROK	\N	\N
3624990	2861	1994-03-31	PRIJEM	\N	80	20575	UROK	\N	\N
3624991	2861	1994-04-30	PRIJEM	\N	94	21556	UROK	\N	\N
3624992	2861	1994-05-31	PRIJEM	\N	93	22296	UROK	\N	\N
3624993	2861	1994-06-30	PRIJEM	\N	84	16538	UROK	\N	\N
3624994	2861	1994-07-31	PRIJEM	\N	77	19903	UROK	\N	\N
3624995	2861	1994-08-31	PRIJEM	\N	91	23281	UROK	\N	\N
3624996	2861	1994-09-30	PRIJEM	\N	105	26674	UROK	\N	\N
3624997	2861	1994-10-31	PRIJEM	\N	119	30080	UROK	\N	\N
3624998	2861	1994-11-30	PRIJEM	\N	137	32804	UROK	\N	\N
3624999	2861	1994-12-31	PRIJEM	\N	146	35888	UROK	\N	\N
3625000	2861	1995-01-31	PRIJEM	\N	128	26043	UROK	\N	\N
3625001	2861	1995-02-28	PRIJEM	\N	111	25122	UROK	\N	\N
3625002	2861	1995-03-31	PRIJEM	\N	117	28227	UROK	\N	\N
3625003	2861	1995-04-30	PRIJEM	\N	130	31244	UROK	\N	\N
3625004	2861	1995-05-31	PRIJEM	\N	137	31388	UROK	\N	\N
3625005	2861	1995-06-30	PRIJEM	\N	110	22786	UROK	\N	\N
3625006	2861	1995-07-31	PRIJEM	\N	102	24576	UROK	\N	\N
3625007	2861	1995-08-31	PRIJEM	\N	107	26450	UROK	\N	\N
3625008	2861	1995-09-30	PRIJEM	\N	110	24088	UROK	\N	\N
3625009	2861	1995-10-31	PRIJEM	\N	108	26783	UROK	\N	\N
3625010	2861	1995-11-30	PRIJEM	\N	114	26225	UROK	\N	\N
3625011	2861	1995-12-31	PRIJEM	\N	111	25733	UROK	\N	\N
3625012	2861	1996-01-31	PRIJEM	\N	103	21443	UROK	\N	\N
3625013	2861	1996-02-29	PRIJEM	\N	97	24827	UROK	\N	\N
3625014	2861	1996-03-31	PRIJEM	\N	107	22741	UROK	\N	\N
3625015	2861	1996-04-30	PRIJEM	\N	98	21326	UROK	\N	\N
3625016	2861	1996-05-31	PRIJEM	\N	96	24210	UROK	\N	\N
3625017	2861	1996-06-30	PRIJEM	\N	104	24701	UROK	\N	\N
3625018	2861	1996-07-31	PRIJEM	\N	110	28099	UROK	\N	\N
3625019	2861	1996-08-31	PRIJEM	\N	121	29108	UROK	\N	\N
3625020	2861	1996-09-30	PRIJEM	\N	122	27717	UROK	\N	\N
3625021	2861	1996-10-31	PRIJEM	\N	116	25301	UROK	\N	\N
3625022	2861	1996-11-30	PRIJEM	\N	109	26197	UROK	\N	\N
3625023	2861	1996-12-31	PRIJEM	\N	111	25285	UROK	\N	\N
3625024	2861	1997-01-31	PRIJEM	\N	94	16667	UROK	\N	\N
3625025	2861	1997-02-28	PRIJEM	\N	76	20030	UROK	\N	\N
3625026	2861	1997-03-31	PRIJEM	\N	90	23407	UROK	\N	\N
3625027	2861	1997-04-30	PRIJEM	\N	99	23594	UROK	\N	\N
3625028	2861	1997-05-31	PRIJEM	\N	96	21177	UROK	\N	\N
3625029	2861	1997-06-30	PRIJEM	\N	81	17445	UROK	\N	\N
3625030	2861	1997-07-31	PRIJEM	\N	70	15603	UROK	\N	\N
3625031	2861	1997-08-31	PRIJEM	\N	69	17860	UROK	\N	\N
3625032	2861	1997-09-30	PRIJEM	\N	81	21228	UROK	\N	\N
3625033	2861	1997-10-31	PRIJEM	\N	93	21168	UROK	\N	\N
3625034	2861	1997-11-30	PRIJEM	\N	83	19458	UROK	\N	\N
3625035	2861	1997-12-31	PRIJEM	\N	74	16269	UROK	\N	\N
3625036	2861	1998-01-31	PRIJEM	\N	62	13819	UROK	\N	\N
3625037	2861	1998-02-28	PRIJEM	\N	57	13983	UROK	\N	\N
3625038	2861	1998-03-31	PRIJEM	\N	60	15530	UROK	\N	\N
3625039	2861	1998-04-30	PRIJEM	\N	59	13676	UROK	\N	\N
3625040	2861	1998-05-31	PRIJEM	\N	60	15103	UROK	\N	\N
3625041	2861	1998-06-30	PRIJEM	\N	68	18359	UROK	\N	\N
3625042	2861	1998-07-31	PRIJEM	\N	70	16296	UROK	\N	\N
3625043	2861	1998-08-31	PRIJEM	\N	68	16531	UROK	\N	\N
3625044	2861	1998-09-30	PRIJEM	\N	55	12474	UROK	\N	\N
3625045	2861	1998-10-31	PRIJEM	\N	57	15318	UROK	\N	\N
3625046	2861	1998-11-30	PRIJEM	\N	69	18674	UROK	\N	\N
3625047	2861	1998-12-31	PRIJEM	\N	85	21097	UROK	\N	\N
3625048	2862	1993-06-30	PRIJEM	\N	122	36692	UROK	\N	\N
3625049	2862	1993-07-31	PRIJEM	\N	234	41373	UROK	\N	\N
3625050	2862	1993-08-31	PRIJEM	\N	249	59768	UROK	\N	\N
3625051	2862	1993-09-30	PRIJEM	\N	277	68592	UROK	\N	\N
3625052	2862	1993-10-31	PRIJEM	\N	264	60804	UROK	\N	\N
3625053	2862	1993-11-30	PRIJEM	\N	248	58185	UROK	\N	\N
3625054	2862	1993-12-31	PRIJEM	\N	282	70424	UROK	\N	\N
3625055	2862	1994-01-31	PRIJEM	\N	258	55614	UROK	\N	\N
3625056	2862	1994-02-28	PRIJEM	\N	238	56486	UROK	\N	\N
3625057	2862	1994-03-31	PRIJEM	\N	229	53648	UROK	\N	\N
3625058	2862	1994-04-30	PRIJEM	\N	228	54109	UROK	\N	\N
3625059	2862	1994-05-31	PRIJEM	\N	237	56780	UROK	\N	\N
3625060	2862	1994-06-30	PRIJEM	\N	256	57492	UROK	\N	\N
3625061	2862	1994-07-31	PRIJEM	\N	238	56263	UROK	\N	\N
3625062	2862	1994-08-31	PRIJEM	\N	238	57034	UROK	\N	\N
3625063	2862	1994-09-30	PRIJEM	\N	216	57183	UROK	\N	\N
3625064	2862	1994-10-31	PRIJEM	\N	219	42035	UROK	\N	\N
3625065	2862	1994-11-30	PRIJEM	\N	216	40084	UROK	\N	\N
3625066	2862	1994-12-31	PRIJEM	\N	232	42972	UROK	\N	\N
3625067	2862	1995-01-31	PRIJEM	\N	173	31378	UROK	\N	\N
3625068	2862	1995-02-28	PRIJEM	\N	172	35983	UROK	\N	\N
3625069	2862	1995-03-31	PRIJEM	\N	192	41209	UROK	\N	\N
3625070	2862	1995-04-30	PRIJEM	\N	211	43353	UROK	\N	\N
3625071	2862	1995-05-31	PRIJEM	\N	217	42004	UROK	\N	\N
3625072	2862	1995-06-30	PRIJEM	\N	248	44708	UROK	\N	\N
3625073	2862	1995-07-31	PRIJEM	\N	220	42261	UROK	\N	\N
3625074	2862	1995-08-31	PRIJEM	\N	207	40401	UROK	\N	\N
3625075	2862	1995-09-30	PRIJEM	\N	196	37930	UROK	\N	\N
3625076	2862	1995-10-31	PRIJEM	\N	172	33635	UROK	\N	\N
3625077	2862	1995-11-30	PRIJEM	\N	174	38943	UROK	\N	\N
3625078	2862	1995-12-31	PRIJEM	\N	230	44629	UROK	\N	\N
3625079	2862	1996-01-31	PRIJEM	\N	181	34243	UROK	\N	\N
3625080	2862	1996-02-29	PRIJEM	\N	175	40551	UROK	\N	\N
3625081	2862	1996-03-31	PRIJEM	\N	196	42481	UROK	\N	\N
3625082	2862	1996-04-30	PRIJEM	\N	199	41013	UROK	\N	\N
3625083	2862	1996-05-31	PRIJEM	\N	190	36536	UROK	\N	\N
3625084	2862	1996-06-30	PRIJEM	\N	195	38288	UROK	\N	\N
3625085	2862	1996-07-31	PRIJEM	\N	176	35997	UROK	\N	\N
3625086	2862	1996-08-31	PRIJEM	\N	166	34196	UROK	\N	\N
3625087	2862	1996-09-30	PRIJEM	\N	163	36993	UROK	\N	\N
3625088	2862	1996-10-31	PRIJEM	\N	172	38698	UROK	\N	\N
3625089	2862	1996-11-30	PRIJEM	\N	171	36802	UROK	\N	\N
3625090	2862	1996-12-31	PRIJEM	\N	181	39740	UROK	\N	\N
3625091	2862	1997-01-31	PRIJEM	\N	161	24134	UROK	\N	\N
3625092	2862	1997-02-28	PRIJEM	\N	124	31892	UROK	\N	\N
3625093	2862	1997-03-31	PRIJEM	\N	149	33874	UROK	\N	\N
3625094	2862	1997-04-30	PRIJEM	\N	161	35569	UROK	\N	\N
3625095	2862	1997-05-31	PRIJEM	\N	163	38265	UROK	\N	\N
3625096	2862	1997-06-30	PRIJEM	\N	177	38998	UROK	\N	\N
3625097	2862	1997-07-31	PRIJEM	\N	165	33997	UROK	\N	\N
3625098	2862	1997-08-31	PRIJEM	\N	143	32773	UROK	\N	\N
3625099	2862	1997-09-30	PRIJEM	\N	138	32344	UROK	\N	\N
3625100	2862	1997-10-31	PRIJEM	\N	144	34722	UROK	\N	\N
3625101	2862	1997-11-30	PRIJEM	\N	138	32393	UROK	\N	\N
3625102	2862	1997-12-31	PRIJEM	\N	152	32502	UROK	\N	\N
3625103	2862	1998-01-31	PRIJEM	\N	111	20946	UROK	\N	\N
3625104	2862	1998-02-28	PRIJEM	\N	89	23468	UROK	\N	\N
3625105	2862	1998-03-31	PRIJEM	\N	107	27508	UROK	\N	\N
3625106	2862	1998-04-30	PRIJEM	\N	123	27065	UROK	\N	\N
3625107	2862	1998-05-31	PRIJEM	\N	108	25907	UROK	\N	\N
3625108	2862	1998-06-30	PRIJEM	\N	120	31483	UROK	\N	\N
3625109	2862	1998-07-31	PRIJEM	\N	119	24636	UROK	\N	\N
3625110	2862	1998-08-31	PRIJEM	\N	66	14236	UROK	\N	\N
3625111	2862	1998-09-30	PRIJEM	\N	100	31269	UROK	\N	\N
3625112	2862	1998-10-31	PRIJEM	\N	91	20093	UROK	\N	\N
3625113	2862	1998-11-30	PRIJEM	\N	61	14287	UROK	\N	\N
3625114	2862	1998-12-31	PRIJEM	\N	63	16606	UROK	\N	\N
3625115	2863	1996-02-29	PRIJEM	\N	22	15274	UROK	\N	\N
3625116	2863	1996-03-31	PRIJEM	\N	76	23602	UROK	\N	\N
3625117	2863	1996-04-30	PRIJEM	\N	103	26656	UROK	\N	\N
3625118	2863	1996-05-31	PRIJEM	\N	113	28021	UROK	\N	\N
3625119	2863	1996-06-30	PRIJEM	\N	127	27218	UROK	\N	\N
3625120	2863	1996-07-31	PRIJEM	\N	120	27908	UROK	\N	\N
3625121	2863	1996-08-31	PRIJEM	\N	124	29601	UROK	\N	\N
3625122	2863	1996-09-30	PRIJEM	\N	134	32605	UROK	\N	\N
3625123	2863	1996-10-31	PRIJEM	\N	139	32213	UROK	\N	\N
3625124	2863	1996-11-30	PRIJEM	\N	133	29415	UROK	\N	\N
3625125	2863	1996-12-31	PRIJEM	\N	118	19669	UROK	\N	\N
3625126	2863	1997-01-31	PRIJEM	\N	92	23170	UROK	\N	\N
3625127	2863	1997-02-28	PRIJEM	\N	111	28931	UROK	\N	\N
3625128	2863	1997-03-31	PRIJEM	\N	134	33234	UROK	\N	\N
3625129	2863	1997-04-30	PRIJEM	\N	143	34705	UROK	\N	\N
3625130	2863	1997-05-31	PRIJEM	\N	151	35465	UROK	\N	\N
3625131	2863	1997-06-30	PRIJEM	\N	123	29144	UROK	\N	\N
3625132	2863	1997-07-31	PRIJEM	\N	138	34651	UROK	\N	\N
3625133	2863	1997-08-31	PRIJEM	\N	164	41284	UROK	\N	\N
3625134	2863	1997-09-30	PRIJEM	\N	172	39885	UROK	\N	\N
3625135	2863	1997-10-31	PRIJEM	\N	179	44134	UROK	\N	\N
3625136	2863	1997-11-30	PRIJEM	\N	190	45893	UROK	\N	\N
3625137	2863	1997-12-31	PRIJEM	\N	203	47591	UROK	\N	\N
3625138	2863	1998-01-31	PRIJEM	\N	194	36975	UROK	\N	\N
3625139	2863	1998-02-28	PRIJEM	\N	168	41152	UROK	\N	\N
3625140	2863	1998-03-31	PRIJEM	\N	195	44536	UROK	\N	\N
3625141	2863	1998-04-30	PRIJEM	\N	200	49205	UROK	\N	\N
3625142	2863	1998-05-31	PRIJEM	\N	196	45530	UROK	\N	\N
3625143	2863	1998-06-30	PRIJEM	\N	158	30143	UROK	\N	\N
3625144	2863	1998-07-31	PRIJEM	\N	150	38063	UROK	\N	\N
3625145	2863	1998-08-31	PRIJEM	\N	149	32981	UROK	\N	\N
3625146	2863	1998-09-30	PRIJEM	\N	155	37605	UROK	\N	\N
3625147	2863	1998-10-31	PRIJEM	\N	171	42145	UROK	\N	\N
3625148	2863	1998-11-30	PRIJEM	\N	206	49740	UROK	\N	\N
3625149	2863	1998-12-31	PRIJEM	\N	219	51415	UROK	\N	\N
3625150	2864	1996-04-30	PRIJEM	\N	49	21908	UROK	\N	\N
3625151	2864	1996-05-31	PRIJEM	\N	112	31179	UROK	\N	\N
3625152	2864	1996-06-30	PRIJEM	\N	148	39216	UROK	\N	\N
3625153	2864	1996-07-31	PRIJEM	\N	175	44249	UROK	\N	\N
3625154	2864	1996-08-31	PRIJEM	\N	204	40401	UROK	\N	\N
3625155	2864	1996-09-30	PRIJEM	\N	167	39001	UROK	\N	\N
3625156	2864	1996-10-31	PRIJEM	\N	166	38541	UROK	\N	\N
3625157	2864	1996-11-30	PRIJEM	\N	165	39739	UROK	\N	\N
3625158	2864	1996-12-31	PRIJEM	\N	185	44746	UROK	\N	\N
3625159	2864	1997-01-31	PRIJEM	\N	129	19368	UROK	\N	\N
3625160	2864	1997-02-28	PRIJEM	\N	93	23195	UROK	\N	\N
3625161	2864	1997-03-31	PRIJEM	\N	101	23589	UROK	\N	\N
3625162	2864	1997-04-30	PRIJEM	\N	112	28335	UROK	\N	\N
3625163	2864	1997-05-31	PRIJEM	\N	124	30092	UROK	\N	\N
3625164	2864	1997-06-30	PRIJEM	\N	112	14527	UROK	\N	\N
3625165	2864	1997-07-31	PRIJEM	\N	83	21443	UROK	\N	\N
3625166	2864	1997-08-31	PRIJEM	\N	95	21632	UROK	\N	\N
3625167	2864	1997-09-30	PRIJEM	\N	76	16641	UROK	\N	\N
3625168	2864	1997-10-31	PRIJEM	\N	66	14941	UROK	\N	\N
3625169	2864	1997-11-30	PRIJEM	\N	103	26177	UROK	\N	\N
3625170	2864	1997-12-31	PRIJEM	\N	154	38194	UROK	\N	\N
3625171	2864	1998-01-31	PRIJEM	\N	129	14557	UROK	\N	\N
3625172	2864	1998-02-28	PRIJEM	\N	94	23884	UROK	\N	\N
3625173	2864	1998-03-31	PRIJEM	\N	121	21839	UROK	\N	\N
3625174	2864	1998-04-30	PRIJEM	\N	127	31999	UROK	\N	\N
3625175	2864	1998-05-31	PRIJEM	\N	138	31791	UROK	\N	\N
3625176	2864	1998-06-30	PRIJEM	\N	141	23534	UROK	\N	\N
3625177	2864	1998-07-31	PRIJEM	\N	134	33602	UROK	\N	\N
3625178	2864	1998-08-31	PRIJEM	\N	170	41264	UROK	\N	\N
3625179	2864	1998-09-30	PRIJEM	\N	191	46288	UROK	\N	\N
3625180	2864	1998-10-31	PRIJEM	\N	206	49628	UROK	\N	\N
3625181	2864	1998-11-30	PRIJEM	\N	212	51673	UROK	\N	\N
3625182	2864	1998-12-31	PRIJEM	\N	226	53542	UROK	\N	\N
3625183	2865	1995-03-31	PRIJEM	\N	43	12311	UROK	\N	\N
3625184	2865	1995-04-30	PRIJEM	\N	116	31195	UROK	\N	\N
3625185	2865	1995-05-31	PRIJEM	\N	157	39020	UROK	\N	\N
3625186	2865	1995-06-30	PRIJEM	\N	198	49520	UROK	\N	\N
3625187	2865	1995-07-31	PRIJEM	\N	198	46794	UROK	\N	\N
3625188	2865	1995-08-31	PRIJEM	\N	182	32316	UROK	\N	\N
3625189	2865	1995-09-30	PRIJEM	\N	149	32505	UROK	\N	\N
3625190	2865	1995-10-31	PRIJEM	\N	160	34225	UROK	\N	\N
3625191	2865	1995-11-30	PRIJEM	\N	166	33451	UROK	\N	\N
3625192	2865	1995-12-31	PRIJEM	\N	184	38769	UROK	\N	\N
3625193	2865	1996-01-31	PRIJEM	\N	160	29009	UROK	\N	\N
3625194	2865	1996-02-29	PRIJEM	\N	152	33121	UROK	\N	\N
3625195	2865	1996-03-31	PRIJEM	\N	167	33549	UROK	\N	\N
3625196	2865	1996-04-30	PRIJEM	\N	160	32569	UROK	\N	\N
3625197	2865	1996-05-31	PRIJEM	\N	155	31384	UROK	\N	\N
3625198	2865	1996-06-30	PRIJEM	\N	124	23482	UROK	\N	\N
3625199	2865	1996-07-31	PRIJEM	\N	119	25661	UROK	\N	\N
3625200	2865	1996-08-31	PRIJEM	\N	127	23688	UROK	\N	\N
3625201	2865	1996-09-30	PRIJEM	\N	106	26675	UROK	\N	\N
3625202	2865	1996-10-31	PRIJEM	\N	134	27770	UROK	\N	\N
3625203	2865	1996-11-30	PRIJEM	\N	138	27008	UROK	\N	\N
3625204	2865	1996-12-31	PRIJEM	\N	141	30203	UROK	\N	\N
3625205	2865	1997-01-31	PRIJEM	\N	126	22309	UROK	\N	\N
3625206	2865	1997-02-28	PRIJEM	\N	114	24083	UROK	\N	\N
3625207	2865	1997-03-31	PRIJEM	\N	121	24665	UROK	\N	\N
3625208	2865	1997-04-30	PRIJEM	\N	117	24662	UROK	\N	\N
3625209	2865	1997-05-31	PRIJEM	\N	117	25039	UROK	\N	\N
3625210	2865	1997-06-30	PRIJEM	\N	130	27263	UROK	\N	\N
3625211	2865	1997-07-31	PRIJEM	\N	116	18660	UROK	\N	\N
3625212	2865	1997-08-31	PRIJEM	\N	91	17711	UROK	\N	\N
3625213	2865	1997-09-30	PRIJEM	\N	70	13121	UROK	\N	\N
3625214	2865	1997-10-31	PRIJEM	\N	68	14950	UROK	\N	\N
3625215	2865	1997-11-30	PRIJEM	\N	72	15582	UROK	\N	\N
3625216	2865	1997-12-31	PRIJEM	\N	84	14941	UROK	\N	\N
3625217	2865	1998-01-31	PRIJEM	\N	64	13405	UROK	\N	\N
3625218	2865	1998-02-28	PRIJEM	\N	75	17121	UROK	\N	\N
3625219	2865	1998-03-31	PRIJEM	\N	74	13055	UROK	\N	\N
3625220	2865	1998-04-30	PRIJEM	\N	80	21695	UROK	\N	\N
3625221	2865	1998-05-31	PRIJEM	\N	89	15724	UROK	\N	\N
3625222	2865	1998-06-30	PRIJEM	\N	109	30428	UROK	\N	\N
3625223	2865	1998-07-31	PRIJEM	\N	161	39149	UROK	\N	\N
3625224	2865	1998-08-31	PRIJEM	\N	118	18928	UROK	\N	\N
3625225	2865	1998-09-30	PRIJEM	\N	104	27592	UROK	\N	\N
3625226	2865	1998-10-31	PRIJEM	\N	149	36302	UROK	\N	\N
3625227	2865	1998-11-30	PRIJEM	\N	94	13857	UROK	\N	\N
3625228	2865	1998-12-31	PRIJEM	\N	103	27594	UROK	\N	\N
3625229	2866	1995-10-31	PRIJEM	\N	54	21212	UROK	\N	\N
3625230	2866	1995-11-30	PRIJEM	\N	122	33992	UROK	\N	\N
3625231	2866	1995-12-31	PRIJEM	\N	166	43094	UROK	\N	\N
3625232	2866	1996-01-31	PRIJEM	\N	174	41527	UROK	\N	\N
3625233	2866	1996-02-29	PRIJEM	\N	147	29481	UROK	\N	\N
3625234	2866	1996-03-31	PRIJEM	\N	134	32847	UROK	\N	\N
3625235	2866	1996-04-30	PRIJEM	\N	142	33521	UROK	\N	\N
3625236	2866	1996-05-31	PRIJEM	\N	154	35327	UROK	\N	\N
3625237	2866	1996-06-30	PRIJEM	\N	134	27532	UROK	\N	\N
3625238	2866	1996-07-31	PRIJEM	\N	127	30291	UROK	\N	\N
3625239	2866	1996-08-31	PRIJEM	\N	131	28814	UROK	\N	\N
3625240	2866	1996-09-30	PRIJEM	\N	140	30387	UROK	\N	\N
3625241	2866	1996-10-31	PRIJEM	\N	133	29873	UROK	\N	\N
3625242	2866	1996-11-30	PRIJEM	\N	163	39868	UROK	\N	\N
3625243	2866	1996-12-31	PRIJEM	\N	211	52130	UROK	\N	\N
3625244	2866	1997-01-31	PRIJEM	\N	131	16273	UROK	\N	\N
3625245	2866	1997-02-28	PRIJEM	\N	126	32331	UROK	\N	\N
3625246	2866	1997-03-31	PRIJEM	\N	160	38523	UROK	\N	\N
3625247	2866	1997-04-30	PRIJEM	\N	178	42573	UROK	\N	\N
3625248	2866	1997-05-31	PRIJEM	\N	184	43189	UROK	\N	\N
3625249	2866	1997-06-30	PRIJEM	\N	181	41042	UROK	\N	\N
3625250	2866	1997-07-31	PRIJEM	\N	182	43156	UROK	\N	\N
3625251	2866	1997-08-31	PRIJEM	\N	203	48792	UROK	\N	\N
3625252	2866	1997-09-30	PRIJEM	\N	212	45376	UROK	\N	\N
3625253	2866	1997-10-31	PRIJEM	\N	216	52004	UROK	\N	\N
3625254	2866	1997-11-30	PRIJEM	\N	217	49493	UROK	\N	\N
3625255	2866	1997-12-31	PRIJEM	\N	245	56769	UROK	\N	\N
3625256	2866	1998-01-31	PRIJEM	\N	207	39388	UROK	\N	\N
3625257	2866	1998-02-28	PRIJEM	\N	189	51210	UROK	\N	\N
3625258	2866	1998-03-31	PRIJEM	\N	226	53828	UROK	\N	\N
3625259	2866	1998-04-30	PRIJEM	\N	213	56773	UROK	\N	\N
3625260	2866	1998-05-31	PRIJEM	\N	241	50247	UROK	\N	\N
3625261	2866	1998-06-30	PRIJEM	\N	238	48856	UROK	\N	\N
3625262	2866	1998-07-31	PRIJEM	\N	225	43394	UROK	\N	\N
3625263	2866	1998-08-31	PRIJEM	\N	200	41626	UROK	\N	\N
3625264	2866	1998-09-30	PRIJEM	\N	189	34848	UROK	\N	\N
3625265	2866	1998-10-31	PRIJEM	\N	160	29940	UROK	\N	\N
3625266	2866	1998-11-30	PRIJEM	\N	141	27813	UROK	\N	\N
3625267	2866	1998-12-31	PRIJEM	\N	152	36677	UROK	\N	\N
3625268	2867	1993-11-30	PRIJEM	\N	59	22271	UROK	\N	\N
3625269	2867	1993-12-31	PRIJEM	\N	184	56222	UROK	\N	\N
3625270	2867	1994-01-31	PRIJEM	\N	247	61181	UROK	\N	\N
3625271	2867	1994-02-28	PRIJEM	\N	263	64756	UROK	\N	\N
3625272	2867	1994-03-31	PRIJEM	\N	270	65137	UROK	\N	\N
3625273	2867	1994-04-30	PRIJEM	\N	249	58361	UROK	\N	\N
3625274	2867	1994-05-31	PRIJEM	\N	226	53662	UROK	\N	\N
3625275	2867	1994-06-30	PRIJEM	\N	211	52503	UROK	\N	\N
3625276	2867	1994-07-31	PRIJEM	\N	212	51189	UROK	\N	\N
3625277	2867	1994-08-31	PRIJEM	\N	209	49973	UROK	\N	\N
3625278	2867	1994-09-30	PRIJEM	\N	193	51940	UROK	\N	\N
3625279	2867	1994-10-31	PRIJEM	\N	204	39318	UROK	\N	\N
3625280	2867	1994-11-30	PRIJEM	\N	197	40789	UROK	\N	\N
3625281	2867	1994-12-31	PRIJEM	\N	209	43929	UROK	\N	\N
3625282	2867	1995-01-31	PRIJEM	\N	190	32993	UROK	\N	\N
3625283	2867	1995-02-28	PRIJEM	\N	169	37737	UROK	\N	\N
3625284	2867	1995-03-31	PRIJEM	\N	188	38300	UROK	\N	\N
3625285	2867	1995-04-30	PRIJEM	\N	184	39759	UROK	\N	\N
3625286	2867	1995-05-31	PRIJEM	\N	195	40128	UROK	\N	\N
3625287	2867	1995-06-30	PRIJEM	\N	190	34348	UROK	\N	\N
3625288	2867	1995-07-31	PRIJEM	\N	165	38488	UROK	\N	\N
3625289	2867	1995-08-31	PRIJEM	\N	189	42751	UROK	\N	\N
3625290	2867	1995-09-30	PRIJEM	\N	204	45330	UROK	\N	\N
3625291	2867	1995-10-31	PRIJEM	\N	215	48218	UROK	\N	\N
3625292	2867	1995-11-30	PRIJEM	\N	222	47915	UROK	\N	\N
3625293	2867	1995-12-31	PRIJEM	\N	235	52481	UROK	\N	\N
3625294	2867	1996-01-31	PRIJEM	\N	214	46169	UROK	\N	\N
3625295	2867	1996-02-29	PRIJEM	\N	215	53059	UROK	\N	\N
3625296	2867	1996-03-31	PRIJEM	\N	240	52973	UROK	\N	\N
3625297	2867	1996-04-30	PRIJEM	\N	245	58492	UROK	\N	\N
3625298	2867	1996-05-31	PRIJEM	\N	262	59929	UROK	\N	\N
3625299	2867	1996-06-30	PRIJEM	\N	271	54430	UROK	\N	\N
3625300	2867	1996-07-31	PRIJEM	\N	249	59554	UROK	\N	\N
3625301	2867	1996-08-31	PRIJEM	\N	265	61993	UROK	\N	\N
3625302	2867	1996-09-30	PRIJEM	\N	277	65544	UROK	\N	\N
3625303	2867	1996-10-31	PRIJEM	\N	288	68006	UROK	\N	\N
3625304	2867	1996-11-30	PRIJEM	\N	294	70074	UROK	\N	\N
3625305	2867	1996-12-31	PRIJEM	\N	314	73919	UROK	\N	\N
3625306	2867	1997-01-31	PRIJEM	\N	275	60768	UROK	\N	\N
3625307	2867	1997-02-28	PRIJEM	\N	268	65811	UROK	\N	\N
3625308	2867	1997-03-31	PRIJEM	\N	292	70977	UROK	\N	\N
3625309	2867	1997-04-30	PRIJEM	\N	297	71848	UROK	\N	\N
3625310	2867	1997-05-31	PRIJEM	\N	312	75434	UROK	\N	\N
3625311	2867	1997-06-30	PRIJEM	\N	305	63269	UROK	\N	\N
3625312	2867	1997-07-31	PRIJEM	\N	289	71433	UROK	\N	\N
3625313	2867	1997-08-31	PRIJEM	\N	333	86140	UROK	\N	\N
3625314	2867	1997-09-30	PRIJEM	\N	366	85981	UROK	\N	\N
3625315	2867	1997-10-31	PRIJEM	\N	373	92428	UROK	\N	\N
3625316	2867	1997-11-30	PRIJEM	\N	394	97297	UROK	\N	\N
3625317	2867	1997-12-31	PRIJEM	\N	339	72465	UROK	\N	\N
3625318	2867	1998-01-31	PRIJEM	\N	303	78043	UROK	\N	\N
3625319	2867	1998-02-28	PRIJEM	\N	379	100796	UROK	\N	\N
3625320	2867	1998-03-31	PRIJEM	\N	436	107406	UROK	\N	\N
3625321	2867	1998-04-30	PRIJEM	\N	402	92282	UROK	\N	\N
3625322	2867	1998-05-31	PRIJEM	\N	363	106619	UROK	\N	\N
3625323	2867	1998-06-30	PRIJEM	\N	339	60488	UROK	\N	\N
3625324	2867	1998-07-31	PRIJEM	\N	379	108442	UROK	\N	\N
3625325	2867	1998-08-31	PRIJEM	\N	346	71362	UROK	\N	\N
3625326	2867	1998-09-30	PRIJEM	\N	394	109730	UROK	\N	\N
3625327	2867	1998-10-31	PRIJEM	\N	387	86492	UROK	\N	\N
3625328	2867	1998-11-30	PRIJEM	\N	433	116300	UROK	\N	\N
3625329	2867	1998-12-31	PRIJEM	\N	450	90680	UROK	\N	\N
3625330	2868	1994-11-30	PRIJEM	\N	70	20524	UROK	\N	\N
3625331	2868	1994-12-31	PRIJEM	\N	87	21000	UROK	\N	\N
3625332	2868	1995-01-31	PRIJEM	\N	72	13072	UROK	\N	\N
3625333	2868	1995-02-28	PRIJEM	\N	60	14771	UROK	\N	\N
3625334	2868	1995-03-31	PRIJEM	\N	67	16477	UROK	\N	\N
3625335	2868	1995-04-30	PRIJEM	\N	65	15302	UROK	\N	\N
3625336	2868	1995-05-31	PRIJEM	\N	66	16287	UROK	\N	\N
3625337	2868	1995-06-30	PRIJEM	\N	73	18000	UROK	\N	\N
3625338	2868	1995-07-31	PRIJEM	\N	80	19620	UROK	\N	\N
3625339	2868	1995-08-31	PRIJEM	\N	87	21346	UROK	\N	\N
3625340	2868	1995-09-30	PRIJEM	\N	81	18827	UROK	\N	\N
3625341	2868	1995-10-31	PRIJEM	\N	84	20550	UROK	\N	\N
3625342	2868	1995-11-30	PRIJEM	\N	85	18834	UROK	\N	\N
3625343	2868	1995-12-31	PRIJEM	\N	83	19807	UROK	\N	\N
3625344	2868	1996-01-31	PRIJEM	\N	61	13277	UROK	\N	\N
3625345	2868	1996-02-29	PRIJEM	\N	61	14977	UROK	\N	\N
3625346	2868	1996-03-31	PRIJEM	\N	66	15983	UROK	\N	\N
3625347	2868	1996-04-30	PRIJEM	\N	68	15210	UROK	\N	\N
3625348	2868	1996-05-31	PRIJEM	\N	69	16919	UROK	\N	\N
3625349	2868	1996-06-30	PRIJEM	\N	75	17993	UROK	\N	\N
3625350	2868	1996-07-31	PRIJEM	\N	80	17952	UROK	\N	\N
3625351	2868	1996-08-31	PRIJEM	\N	80	19671	UROK	\N	\N
3625352	2868	1996-09-30	PRIJEM	\N	87	21398	UROK	\N	\N
3625353	2868	1996-10-31	PRIJEM	\N	94	23131	UROK	\N	\N
3625354	2868	1996-11-30	PRIJEM	\N	102	24872	UROK	\N	\N
3625355	2868	1996-12-31	PRIJEM	\N	108	26170	UROK	\N	\N
3625356	2868	1997-01-31	PRIJEM	\N	95	19484	UROK	\N	\N
3625357	2868	1997-02-28	PRIJEM	\N	86	21209	UROK	\N	\N
3625358	2868	1997-03-31	PRIJEM	\N	93	22942	UROK	\N	\N
3625359	2868	1997-04-30	PRIJEM	\N	91	21632	UROK	\N	\N
3625360	2868	1997-05-31	PRIJEM	\N	95	22486	UROK	\N	\N
3625361	2868	1997-06-30	PRIJEM	\N	85	16610	UROK	\N	\N
3625362	2868	1997-07-31	PRIJEM	\N	74	18324	UROK	\N	\N
3625363	2868	1997-08-31	PRIJEM	\N	77	18360	UROK	\N	\N
3625364	2868	1997-09-30	PRIJEM	\N	72	17272	UROK	\N	\N
3625365	2868	1997-10-31	PRIJEM	\N	77	18988	UROK	\N	\N
3625366	2868	1997-11-30	PRIJEM	\N	82	19909	UROK	\N	\N
3625367	2868	1997-12-31	PRIJEM	\N	87	21386	UROK	\N	\N
3625368	2868	1998-01-31	PRIJEM	\N	80	16625	UROK	\N	\N
3625369	2868	1998-02-28	PRIJEM	\N	74	18338	UROK	\N	\N
3625370	2868	1998-03-31	PRIJEM	\N	81	20059	UROK	\N	\N
3625371	2868	1998-04-30	PRIJEM	\N	85	19303	UROK	\N	\N
3625372	2868	1998-05-31	PRIJEM	\N	76	17578	UROK	\N	\N
3625373	2868	1998-06-30	PRIJEM	\N	76	18813	UROK	\N	\N
3625374	2868	1998-07-31	PRIJEM	\N	83	20535	UROK	\N	\N
3625375	2868	1998-08-31	PRIJEM	\N	90	22264	UROK	\N	\N
3625376	2868	1998-09-30	PRIJEM	\N	97	24001	UROK	\N	\N
3625377	2868	1998-10-31	PRIJEM	\N	104	25744	UROK	\N	\N
3625378	2868	1998-11-30	PRIJEM	\N	111	27495	UROK	\N	\N
3625379	2868	1998-12-31	PRIJEM	\N	118	28002	UROK	\N	\N
3625380	2869	1997-01-31	PRIJEM	\N	19	19775	UROK	\N	\N
3625381	2869	1997-02-28	PRIJEM	\N	91	22592	UROK	\N	\N
3625382	2869	1997-03-31	PRIJEM	\N	100	22744	UROK	\N	\N
3625383	2869	1997-04-30	PRIJEM	\N	95	21832	UROK	\N	\N
3625384	2869	1997-05-31	PRIJEM	\N	97	21841	UROK	\N	\N
3625385	2869	1997-06-30	PRIJEM	\N	91	19594	UROK	\N	\N
3625386	2869	1997-07-31	PRIJEM	\N	90	22396	UROK	\N	\N
3625387	2869	1997-08-31	PRIJEM	\N	102	25210	UROK	\N	\N
3625388	2869	1997-09-30	PRIJEM	\N	101	22864	UROK	\N	\N
3625389	2869	1997-10-31	PRIJEM	\N	102	24779	UROK	\N	\N
3625390	2869	1997-11-30	PRIJEM	\N	109	25600	UROK	\N	\N
3625391	2869	1997-12-31	PRIJEM	\N	108	25500	UROK	\N	\N
3625392	2869	1998-01-31	PRIJEM	\N	100	18632	UROK	\N	\N
3625393	2869	1998-02-28	PRIJEM	\N	86	21430	UROK	\N	\N
3625394	2869	1998-03-31	PRIJEM	\N	94	22877	UROK	\N	\N
3625395	2869	1998-04-30	PRIJEM	\N	100	24249	UROK	\N	\N
3625396	2869	1998-05-31	PRIJEM	\N	107	25569	UROK	\N	\N
3625397	2869	1998-06-30	PRIJEM	\N	94	21225	UROK	\N	\N
3625398	2869	1998-07-31	PRIJEM	\N	91	20348	UROK	\N	\N
3625399	2869	1998-08-31	PRIJEM	\N	88	20448	UROK	\N	\N
3625400	2869	1998-09-30	PRIJEM	\N	83	15624	UROK	\N	\N
3625401	2869	1998-10-31	PRIJEM	\N	62	12598	UROK	\N	\N
3625402	2869	1998-11-30	PRIJEM	\N	55	12966	UROK	\N	\N
3625403	2869	1998-12-31	PRIJEM	\N	60	14638	UROK	\N	\N
3625404	2870	1996-07-31	PRIJEM	\N	27	14304	UROK	\N	\N
3625405	2870	1996-08-31	PRIJEM	\N	76	22357	UROK	\N	\N
3625406	2870	1996-09-30	PRIJEM	\N	107	29241	UROK	\N	\N
3625407	2870	1996-10-31	PRIJEM	\N	133	34651	UROK	\N	\N
3625408	2870	1996-11-30	PRIJEM	\N	152	37628	UROK	\N	\N
3625409	2870	1996-12-31	PRIJEM	\N	168	38577	UROK	\N	\N
3625410	2870	1997-01-31	PRIJEM	\N	142	23670	UROK	\N	\N
3625411	2870	1997-02-28	PRIJEM	\N	132	33113	UROK	\N	\N
3625412	2870	1997-03-31	PRIJEM	\N	153	39277	UROK	\N	\N
3625413	2870	1997-04-30	PRIJEM	\N	160	36209	UROK	\N	\N
3625414	2870	1997-05-31	PRIJEM	\N	169	33369	UROK	\N	\N
3625415	2870	1997-06-30	PRIJEM	\N	169	40918	UROK	\N	\N
3625416	2870	1997-07-31	PRIJEM	\N	180	43430	UROK	\N	\N
3625417	2870	1997-08-31	PRIJEM	\N	199	45741	UROK	\N	\N
3625418	2870	1997-09-30	PRIJEM	\N	187	41459	UROK	\N	\N
3625419	2870	1997-10-31	PRIJEM	\N	182	45753	UROK	\N	\N
3625420	2870	1997-11-30	PRIJEM	\N	194	47818	UROK	\N	\N
3625421	2870	1997-12-31	PRIJEM	\N	222	55321	UROK	\N	\N
3625422	2870	1998-01-31	PRIJEM	\N	184	37517	UROK	\N	\N
3625423	2870	1998-02-28	PRIJEM	\N	170	43798	UROK	\N	\N
3625424	2870	1998-03-31	PRIJEM	\N	203	47012	UROK	\N	\N
3625425	2870	1998-04-30	PRIJEM	\N	214	49437	UROK	\N	\N
3625426	2870	1998-05-31	PRIJEM	\N	226	49135	UROK	\N	\N
3625427	2870	1998-06-30	PRIJEM	\N	190	35625	UROK	\N	\N
3625428	2870	1998-07-31	PRIJEM	\N	185	45822	UROK	\N	\N
3625429	2870	1998-08-31	PRIJEM	\N	190	45723	UROK	\N	\N
3625430	2870	1998-09-30	PRIJEM	\N	191	38385	UROK	\N	\N
3625431	2870	1998-10-31	PRIJEM	\N	149	34806	UROK	\N	\N
3625432	2870	1998-11-30	PRIJEM	\N	154	38631	UROK	\N	\N
3625433	2870	1998-12-31	PRIJEM	\N	189	44120	UROK	\N	\N
3625434	2871	1996-03-31	PRIJEM	\N	17	32032	UROK	\N	\N
3625435	2871	1996-04-30	PRIJEM	\N	135	29766	UROK	\N	\N
3625436	2871	1996-05-31	PRIJEM	\N	132	32238	UROK	\N	\N
3625437	2871	1996-06-30	PRIJEM	\N	137	26464	UROK	\N	\N
3625438	2871	1996-07-31	PRIJEM	\N	115	26138	UROK	\N	\N
3625439	2871	1996-08-31	PRIJEM	\N	117	29095	UROK	\N	\N
3625440	2871	1996-09-30	PRIJEM	\N	122	23377	UROK	\N	\N
3625441	2871	1996-10-31	PRIJEM	\N	104	24720	UROK	\N	\N
3625442	2871	1996-11-30	PRIJEM	\N	111	27030	UROK	\N	\N
3625443	2871	1996-12-31	PRIJEM	\N	120	29339	UROK	\N	\N
3625444	2871	1997-01-31	PRIJEM	\N	113	21402	UROK	\N	\N
3625445	2871	1997-02-28	PRIJEM	\N	85	20726	UROK	\N	\N
3625446	2871	1997-03-31	PRIJEM	\N	93	22779	UROK	\N	\N
3625447	2871	1997-04-30	PRIJEM	\N	103	25721	UROK	\N	\N
3625448	2871	1997-05-31	PRIJEM	\N	115	28676	UROK	\N	\N
3625449	2871	1997-06-30	PRIJEM	\N	115	25560	UROK	\N	\N
3625450	2871	1997-07-31	PRIJEM	\N	115	28514	UROK	\N	\N
3625451	2871	1997-08-31	PRIJEM	\N	127	31480	UROK	\N	\N
3625452	2871	1997-09-30	PRIJEM	\N	131	29751	UROK	\N	\N
3625453	2871	1997-10-31	PRIJEM	\N	122	26912	UROK	\N	\N
3625454	2871	1997-11-30	PRIJEM	\N	111	26083	UROK	\N	\N
3625455	2871	1997-12-31	PRIJEM	\N	110	26082	UROK	\N	\N
3625456	2871	1998-01-31	PRIJEM	\N	91	15463	UROK	\N	\N
3625457	2871	1998-02-28	PRIJEM	\N	68	17730	UROK	\N	\N
3625458	2871	1998-03-31	PRIJEM	\N	82	20651	UROK	\N	\N
3625459	2871	1998-04-30	PRIJEM	\N	93	23284	UROK	\N	\N
3625460	2871	1998-05-31	PRIJEM	\N	90	21554	UROK	\N	\N
3625461	2871	1998-06-30	PRIJEM	\N	86	19029	UROK	\N	\N
3625462	2871	1998-07-31	PRIJEM	\N	83	19951	UROK	\N	\N
3625463	2871	1998-08-31	PRIJEM	\N	91	22882	UROK	\N	\N
3625464	2871	1998-09-30	PRIJEM	\N	103	25824	UROK	\N	\N
3625465	2871	1998-10-31	PRIJEM	\N	115	28778	UROK	\N	\N
3625466	2871	1998-11-30	PRIJEM	\N	118	25396	UROK	\N	\N
3625467	2871	1998-12-31	PRIJEM	\N	112	27848	UROK	\N	\N
3625468	2872	1996-09-30	PRIJEM	\N	45	12394	UROK	\N	\N
3625469	2872	1996-10-31	PRIJEM	\N	114	29556	UROK	\N	\N
3625470	2872	1996-11-30	PRIJEM	\N	161	40266	UROK	\N	\N
3625471	2872	1996-12-31	PRIJEM	\N	199	49190	UROK	\N	\N
3625472	2872	1997-01-31	PRIJEM	\N	130	17350	UROK	\N	\N
3625473	2872	1997-02-28	PRIJEM	\N	91	18776	UROK	\N	\N
3625474	2872	1997-03-31	PRIJEM	\N	95	20506	UROK	\N	\N
3625475	2872	1997-04-30	PRIJEM	\N	76	17118	UROK	\N	\N
3625476	2872	1997-05-31	PRIJEM	\N	58	12711	UROK	\N	\N
3625477	2872	1997-06-30	PRIJEM	\N	81	18330	UROK	\N	\N
3625478	2872	1997-07-31	PRIJEM	\N	61	12055	UROK	\N	\N
3625479	2872	1997-08-31	PRIJEM	\N	52	11070	UROK	\N	\N
3625480	2872	1997-09-30	PRIJEM	\N	48	10681	UROK	\N	\N
3625481	2872	1997-10-31	PRIJEM	\N	46	10290	UROK	\N	\N
3625482	2872	1997-11-30	PRIJEM	\N	44	9898	UROK	\N	\N
3625483	2872	1997-12-31	PRIJEM	\N	62	15599	UROK	\N	\N
3625484	2872	1998-01-31	PRIJEM	\N	56	11257	UROK	\N	\N
3625485	2872	1998-02-28	PRIJEM	\N	49	10869	UROK	\N	\N
3625486	2872	1998-03-31	PRIJEM	\N	47	10479	UROK	\N	\N
3625487	2872	1998-04-30	PRIJEM	\N	45	10088	UROK	\N	\N
3625488	2872	1998-05-31	PRIJEM	\N	43	9695	UROK	\N	\N
3625489	2872	1998-06-30	PRIJEM	\N	61	15394	UROK	\N	\N
3625490	2872	1998-07-31	PRIJEM	\N	65	15023	UROK	\N	\N
3625491	2872	1998-08-31	PRIJEM	\N	60	12486	UROK	\N	\N
3625492	2872	1998-09-30	PRIJEM	\N	53	12102	UROK	\N	\N
3625493	2872	1998-10-31	PRIJEM	\N	52	11717	UROK	\N	\N
3625494	2872	1998-11-30	PRIJEM	\N	50	11331	UROK	\N	\N
3625495	2872	1998-12-31	PRIJEM	\N	68	17037	UROK	\N	\N
3625496	2873	1997-01-31	PRIJEM	\N	65	24065	UROK	\N	\N
3625497	2873	1997-02-28	PRIJEM	\N	117	30482	UROK	\N	\N
3625498	2873	1997-03-31	PRIJEM	\N	138	34919	UROK	\N	\N
3625499	2873	1997-04-30	PRIJEM	\N	155	38674	UROK	\N	\N
3625500	2873	1997-05-31	PRIJEM	\N	176	43326	UROK	\N	\N
3625501	2873	1997-06-30	PRIJEM	\N	150	17327	UROK	\N	\N
3625502	2873	1997-07-31	PRIJEM	\N	103	27822	UROK	\N	\N
3625503	2873	1997-08-31	PRIJEM	\N	129	31942	UROK	\N	\N
3625504	2873	1997-09-30	PRIJEM	\N	124	26278	UROK	\N	\N
3625505	2873	1997-10-31	PRIJEM	\N	120	29889	UROK	\N	\N
3625506	2873	1997-11-30	PRIJEM	\N	126	29906	UROK	\N	\N
3625507	2873	1997-12-31	PRIJEM	\N	144	36322	UROK	\N	\N
3625508	2873	1998-01-31	PRIJEM	\N	151	23704	UROK	\N	\N
3625509	2873	1998-02-28	PRIJEM	\N	158	42193	UROK	\N	\N
3625510	2873	1998-03-31	PRIJEM	\N	178	43202	UROK	\N	\N
3625511	2873	1998-04-30	PRIJEM	\N	226	58020	UROK	\N	\N
3625512	2873	1998-05-31	PRIJEM	\N	261	63712	UROK	\N	\N
3625513	2873	1998-06-30	PRIJEM	\N	261	53304	UROK	\N	\N
3625514	2873	1998-07-31	PRIJEM	\N	254	63549	UROK	\N	\N
3625515	2873	1998-08-31	PRIJEM	\N	261	61201	UROK	\N	\N
3625516	2873	1998-09-30	PRIJEM	\N	259	63752	UROK	\N	\N
3625517	2873	1998-10-31	PRIJEM	\N	269	66112	UROK	\N	\N
3625518	2873	1998-11-30	PRIJEM	\N	273	66976	UROK	\N	\N
3625519	2873	1998-12-31	PRIJEM	\N	310	77498	UROK	\N	\N
3625520	2874	1997-04-30	PRIJEM	\N	9	3509	UROK	\N	\N
3625521	2874	1997-05-31	PRIJEM	\N	15	6624	UROK	\N	\N
3625522	2874	1997-06-30	PRIJEM	\N	15	9738	UROK	\N	\N
3625523	2874	1997-07-31	PRIJEM	\N	15	12853	UROK	\N	\N
3625524	2874	1997-08-31	PRIJEM	\N	16	15969	UROK	\N	\N
3625525	2874	1997-09-30	PRIJEM	\N	66	16155	UROK	\N	\N
3625526	2874	1997-10-31	PRIJEM	\N	70	16344	UROK	\N	\N
3625527	2874	1997-11-30	PRIJEM	\N	69	15262	UROK	\N	\N
3625528	2874	1997-12-31	PRIJEM	\N	59	14631	UROK	\N	\N
3625529	2874	1998-01-31	PRIJEM	\N	59	13819	UROK	\N	\N
3625530	2874	1998-02-28	PRIJEM	\N	54	11312	UROK	\N	\N
3625531	2874	1998-03-31	PRIJEM	\N	50	12381	UROK	\N	\N
3625532	2874	1998-04-30	PRIJEM	\N	54	13244	UROK	\N	\N
3625533	2874	1998-05-31	PRIJEM	\N	58	14322	UROK	\N	\N
3625534	2874	1998-06-30	PRIJEM	\N	59	13740	UROK	\N	\N
3625535	2874	1998-07-31	PRIJEM	\N	59	14308	UROK	\N	\N
3625536	2874	1998-08-31	PRIJEM	\N	59	12387	UROK	\N	\N
3625537	2874	1998-09-30	PRIJEM	\N	54	13461	UROK	\N	\N
3625538	2874	1998-10-31	PRIJEM	\N	58	13517	UROK	\N	\N
3625539	2874	1998-11-30	PRIJEM	\N	59	14596	UROK	\N	\N
3625540	2874	1998-12-31	PRIJEM	\N	57	13962	UROK	\N	\N
3625541	2876	1993-05-31	PRIJEM	\N	28	21113	UROK	\N	\N
3625542	2876	1993-06-30	PRIJEM	\N	110	37001	UROK	\N	\N
3625543	2876	1993-07-31	PRIJEM	\N	158	39644	UROK	\N	\N
3625544	2876	1993-08-31	PRIJEM	\N	166	40394	UROK	\N	\N
3625545	2876	1993-09-30	PRIJEM	\N	181	40229	UROK	\N	\N
3625546	2876	1993-10-31	PRIJEM	\N	176	37445	UROK	\N	\N
3625547	2876	1993-11-30	PRIJEM	\N	166	36750	UROK	\N	\N
3625548	2876	1993-12-31	PRIJEM	\N	180	40563	UROK	\N	\N
3625549	2876	1994-01-31	PRIJEM	\N	159	24962	UROK	\N	\N
3625550	2876	1994-02-28	PRIJEM	\N	121	29022	UROK	\N	\N
3625551	2876	1994-03-31	PRIJEM	\N	137	31298	UROK	\N	\N
3625552	2876	1994-04-30	PRIJEM	\N	150	36287	UROK	\N	\N
3625553	2876	1994-05-31	PRIJEM	\N	163	37590	UROK	\N	\N
3625554	2876	1994-06-30	PRIJEM	\N	163	26385	UROK	\N	\N
3625555	2876	1994-07-31	PRIJEM	\N	125	28749	UROK	\N	\N
3625556	2876	1994-08-31	PRIJEM	\N	139	34728	UROK	\N	\N
3625557	2876	1994-09-30	PRIJEM	\N	152	35819	UROK	\N	\N
3625558	2876	1994-10-31	PRIJEM	\N	155	36514	UROK	\N	\N
3625559	2876	1994-11-30	PRIJEM	\N	148	33401	UROK	\N	\N
3625560	2876	1994-12-31	PRIJEM	\N	154	34387	UROK	\N	\N
3625561	2876	1995-01-31	PRIJEM	\N	122	15348	UROK	\N	\N
3625562	2876	1995-02-28	PRIJEM	\N	95	25182	UROK	\N	\N
3625563	2876	1995-03-31	PRIJEM	\N	118	29540	UROK	\N	\N
3625564	2876	1995-04-30	PRIJEM	\N	145	33325	UROK	\N	\N
3625565	2876	1995-05-31	PRIJEM	\N	148	36412	UROK	\N	\N
3625566	2876	1995-06-30	PRIJEM	\N	149	33693	UROK	\N	\N
3625567	2876	1995-07-31	PRIJEM	\N	149	32181	UROK	\N	\N
3625568	2876	1995-08-31	PRIJEM	\N	127	29948	UROK	\N	\N
3625569	2876	1995-09-30	PRIJEM	\N	104	21691	UROK	\N	\N
3625570	2876	1995-10-31	PRIJEM	\N	83	15214	UROK	\N	\N
3625571	2876	1995-11-30	PRIJEM	\N	68	16221	UROK	\N	\N
3625572	2876	1995-12-31	PRIJEM	\N	91	21744	UROK	\N	\N
3625573	2876	1996-01-31	PRIJEM	\N	83	15967	UROK	\N	\N
3625574	2876	1996-02-29	PRIJEM	\N	75	17681	UROK	\N	\N
3625575	2876	1996-03-31	PRIJEM	\N	71	16591	UROK	\N	\N
3625576	2876	1996-04-30	PRIJEM	\N	70	16401	UROK	\N	\N
3625577	2876	1996-05-31	PRIJEM	\N	66	14606	UROK	\N	\N
3625578	2876	1996-06-30	PRIJEM	\N	69	13507	UROK	\N	\N
3625579	2876	1996-07-31	PRIJEM	\N	69	13715	UROK	\N	\N
3625580	2876	1996-08-31	PRIJEM	\N	90	25944	UROK	\N	\N
3625581	2876	1996-09-30	PRIJEM	\N	102	22686	UROK	\N	\N
3625582	2876	1996-10-31	PRIJEM	\N	109	26034	UROK	\N	\N
3625583	2876	1996-11-30	PRIJEM	\N	109	25482	UROK	\N	\N
3625584	2876	1996-12-31	PRIJEM	\N	141	32655	UROK	\N	\N
3625585	2876	1997-01-31	PRIJEM	\N	98	19493	UROK	\N	\N
3625586	2876	1997-02-28	PRIJEM	\N	111	30243	UROK	\N	\N
3625587	2876	1997-03-31	PRIJEM	\N	158	42541	UROK	\N	\N
3625588	2876	1997-04-30	PRIJEM	\N	132	29512	UROK	\N	\N
3625589	2876	1997-05-31	PRIJEM	\N	152	41803	UROK	\N	\N
3625590	2876	1997-06-30	PRIJEM	\N	133	34169	UROK	\N	\N
3625591	2876	1997-07-31	PRIJEM	\N	104	16312	UROK	\N	\N
3625592	2876	1997-08-31	PRIJEM	\N	97	25249	UROK	\N	\N
3625593	2876	1997-09-30	PRIJEM	\N	129	18518	UROK	\N	\N
3625594	2876	1997-10-31	PRIJEM	\N	100	15357	UROK	\N	\N
3625595	2876	1997-11-30	PRIJEM	\N	88	16285	UROK	\N	\N
3625596	2876	1997-12-31	PRIJEM	\N	116	26133	UROK	\N	\N
3625597	2876	1998-01-31	PRIJEM	\N	95	15767	UROK	\N	\N
3625598	2876	1998-02-28	PRIJEM	\N	92	23699	UROK	\N	\N
3625599	2876	1998-03-31	PRIJEM	\N	121	23960	UROK	\N	\N
3625600	2876	1998-04-30	PRIJEM	\N	119	26918	UROK	\N	\N
3625601	2876	1998-05-31	PRIJEM	\N	136	30593	UROK	\N	\N
3625602	2876	1998-06-30	PRIJEM	\N	180	30305	UROK	\N	\N
3625603	2876	1998-07-31	PRIJEM	\N	143	32488	UROK	\N	\N
3625604	2876	1998-08-31	PRIJEM	\N	151	34679	UROK	\N	\N
3625605	2876	1998-09-30	PRIJEM	\N	166	39984	UROK	\N	\N
3625606	2876	1998-10-31	PRIJEM	\N	182	41806	UROK	\N	\N
3625607	2876	1998-11-30	PRIJEM	\N	189	39335	UROK	\N	\N
3625608	2876	1998-12-31	PRIJEM	\N	195	42162	UROK	\N	\N
3625609	2877	1995-06-30	PRIJEM	\N	197	67612	UROK	\N	\N
3625610	2877	1995-07-31	PRIJEM	\N	350	91272	UROK	\N	\N
3625611	2877	1995-08-31	PRIJEM	\N	410	101792	UROK	\N	\N
3625612	2877	1995-09-30	PRIJEM	\N	447	53149	UROK	\N	\N
3625613	2877	1995-10-31	PRIJEM	\N	363	76422	UROK	\N	\N
3625614	2877	1995-11-30	PRIJEM	\N	354	88867	UROK	\N	\N
3625615	2877	1995-12-31	PRIJEM	\N	319	66281	UROK	\N	\N
3625616	2877	1996-01-31	PRIJEM	\N	234	41805	UROK	\N	\N
3625617	2877	1996-02-29	PRIJEM	\N	277	81172	UROK	\N	\N
3625618	2877	1996-03-31	PRIJEM	\N	324	61586	UROK	\N	\N
3625619	2877	1996-04-30	PRIJEM	\N	356	67132	UROK	\N	\N
3625620	2877	1996-05-31	PRIJEM	\N	220	29942	UROK	\N	\N
3625621	2877	1996-06-30	PRIJEM	\N	283	64321	UROK	\N	\N
3625622	2877	1996-07-31	PRIJEM	\N	338	60150	UROK	\N	\N
3625623	2877	1996-08-31	PRIJEM	\N	301	54941	UROK	\N	\N
3625624	2877	1996-09-30	PRIJEM	\N	246	49441	UROK	\N	\N
3625625	2877	1996-10-31	PRIJEM	\N	263	51053	UROK	\N	\N
3625626	2877	1996-11-30	PRIJEM	\N	294	58738	UROK	\N	\N
3625627	2877	1996-12-31	PRIJEM	\N	223	42956	UROK	\N	\N
3625628	2877	1997-01-31	PRIJEM	\N	204	44651	UROK	\N	\N
3625629	2877	1997-02-28	PRIJEM	\N	229	47883	UROK	\N	\N
3625630	2877	1997-03-31	PRIJEM	\N	251	52414	UROK	\N	\N
3625631	2877	1997-04-30	PRIJEM	\N	250	47141	UROK	\N	\N
3625632	2877	1997-05-31	PRIJEM	\N	246	53527	UROK	\N	\N
3625633	2877	1997-06-30	PRIJEM	\N	279	58801	UROK	\N	\N
3625634	2877	1997-07-31	PRIJEM	\N	300	62192	UROK	\N	\N
3625635	2877	1997-08-31	PRIJEM	\N	267	49934	UROK	\N	\N
3625636	2877	1997-09-30	PRIJEM	\N	282	65406	UROK	\N	\N
3625637	2877	1997-10-31	PRIJEM	\N	305	62140	UROK	\N	\N
3625638	2877	1997-11-30	PRIJEM	\N	307	63538	UROK	\N	\N
3625639	2877	1997-12-31	PRIJEM	\N	304	60897	UROK	\N	\N
3625640	2877	1998-01-31	PRIJEM	\N	264	41351	UROK	\N	\N
3625641	2877	1998-02-28	PRIJEM	\N	234	56176	UROK	\N	\N
3625642	2877	1998-03-31	PRIJEM	\N	285	60552	UROK	\N	\N
3625643	2877	1998-04-30	PRIJEM	\N	291	59733	UROK	\N	\N
3625644	2877	1998-05-31	PRIJEM	\N	282	53605	UROK	\N	\N
3625645	2877	1998-06-30	PRIJEM	\N	264	55765	UROK	\N	\N
3625646	2877	1998-07-31	PRIJEM	\N	282	61437	UROK	\N	\N
3625647	2877	1998-08-31	PRIJEM	\N	289	65816	UROK	\N	\N
3625648	2877	1998-09-30	PRIJEM	\N	305	67211	UROK	\N	\N
3625649	2877	1998-10-31	PRIJEM	\N	286	60488	UROK	\N	\N
3625650	2877	1998-11-30	PRIJEM	\N	282	66060	UROK	\N	\N
3625651	2877	1998-12-31	PRIJEM	\N	256	51611	UROK	\N	\N
3625652	2878	1997-10-31	PRIJEM	\N	56	20708	UROK	\N	\N
3625653	2878	1997-11-30	PRIJEM	\N	86	20665	UROK	\N	\N
3625654	2878	1997-12-31	PRIJEM	\N	78	17199	UROK	\N	\N
3625655	2878	1998-01-31	PRIJEM	\N	67	12603	UROK	\N	\N
3625656	2878	1998-02-28	PRIJEM	\N	55	13414	UROK	\N	\N
3625657	2878	1998-03-31	PRIJEM	\N	58	13929	UROK	\N	\N
3625658	2878	1998-04-30	PRIJEM	\N	65	16350	UROK	\N	\N
3625659	2878	1998-05-31	PRIJEM	\N	78	14084	UROK	\N	\N
3625660	2878	1998-06-30	PRIJEM	\N	63	14404	UROK	\N	\N
3625661	2878	1998-07-31	PRIJEM	\N	50	11211	UROK	\N	\N
3625662	2878	1998-08-31	PRIJEM	\N	39	8706	UROK	\N	\N
3625663	2878	1998-09-30	PRIJEM	\N	47	12409	UROK	\N	\N
3625664	2878	1998-10-31	PRIJEM	\N	54	12920	UROK	\N	\N
3625665	2878	1998-11-30	PRIJEM	\N	64	16641	UROK	\N	\N
3625666	2878	1998-12-31	PRIJEM	\N	62	13959	UROK	\N	\N
3625667	2879	1997-11-30	PRIJEM	\N	40	16130	UROK	\N	\N
3625668	2879	1997-12-31	PRIJEM	\N	94	26609	UROK	\N	\N
3625669	2879	1998-01-31	PRIJEM	\N	114	27813	UROK	\N	\N
3625670	2879	1998-02-28	PRIJEM	\N	120	29422	UROK	\N	\N
3625671	2879	1998-03-31	PRIJEM	\N	100	17899	UROK	\N	\N
3625672	2879	1998-04-30	PRIJEM	\N	87	22469	UROK	\N	\N
3625673	2879	1998-05-31	PRIJEM	\N	100	24752	UROK	\N	\N
3625674	2879	1998-06-30	PRIJEM	\N	120	30650	UROK	\N	\N
3625675	2879	1998-07-31	PRIJEM	\N	119	27652	UROK	\N	\N
3625676	2879	1998-08-31	PRIJEM	\N	112	23146	UROK	\N	\N
3625677	2879	1998-09-30	PRIJEM	\N	82	17710	UROK	\N	\N
3625678	2879	1998-10-31	PRIJEM	\N	62	13454	UROK	\N	\N
3625679	2879	1998-11-30	PRIJEM	\N	61	14078	UROK	\N	\N
3625680	2879	1998-12-31	PRIJEM	\N	75	16511	UROK	\N	\N
3625681	2880	1993-07-31	PRIJEM	\N	46	21633	UROK	\N	\N
3625682	2880	1993-08-31	PRIJEM	\N	115	32535	UROK	\N	\N
3625683	2880	1993-09-30	PRIJEM	\N	141	34863	UROK	\N	\N
3625684	2880	1993-10-31	PRIJEM	\N	149	36599	UROK	\N	\N
3625685	2880	1993-11-30	PRIJEM	\N	149	34833	UROK	\N	\N
3625686	2880	1993-12-31	PRIJEM	\N	155	35023	UROK	\N	\N
3625687	2880	1994-01-31	PRIJEM	\N	132	20546	UROK	\N	\N
3625688	2880	1994-02-28	PRIJEM	\N	88	20845	UROK	\N	\N
3625689	2880	1994-03-31	PRIJEM	\N	109	29226	UROK	\N	\N
3625690	2880	1994-04-30	PRIJEM	\N	135	26873	UROK	\N	\N
3625691	2880	1994-05-31	PRIJEM	\N	117	28761	UROK	\N	\N
3625692	2880	1994-06-30	PRIJEM	\N	132	32907	UROK	\N	\N
3625693	2880	1994-07-31	PRIJEM	\N	131	29250	UROK	\N	\N
3625694	2880	1994-08-31	PRIJEM	\N	126	30047	UROK	\N	\N
3625695	2880	1994-09-30	PRIJEM	\N	120	27438	UROK	\N	\N
3625696	2880	1994-10-31	PRIJEM	\N	101	18810	UROK	\N	\N
3625697	2880	1994-11-30	PRIJEM	\N	125	33106	UROK	\N	\N
3625698	2880	1994-12-31	PRIJEM	\N	182	45163	UROK	\N	\N
3625699	2880	1995-01-31	PRIJEM	\N	156	28770	UROK	\N	\N
3625700	2880	1995-02-28	PRIJEM	\N	139	34481	UROK	\N	\N
3625701	2880	1995-03-31	PRIJEM	\N	164	40516	UROK	\N	\N
3625702	2880	1995-04-30	PRIJEM	\N	183	39050	UROK	\N	\N
3625703	2880	1995-05-31	PRIJEM	\N	168	40090	UROK	\N	\N
3625704	2880	1995-06-30	PRIJEM	\N	154	38099	UROK	\N	\N
3625705	2880	1995-07-31	PRIJEM	\N	172	41642	UROK	\N	\N
3625706	2880	1995-08-31	PRIJEM	\N	175	39409	UROK	\N	\N
3625707	2880	1995-09-30	PRIJEM	\N	167	39627	UROK	\N	\N
3625708	2880	1995-10-31	PRIJEM	\N	164	39622	UROK	\N	\N
3625709	2880	1995-11-30	PRIJEM	\N	153	34127	UROK	\N	\N
3625710	2880	1995-12-31	PRIJEM	\N	173	43594	UROK	\N	\N
3625711	2880	1996-01-31	PRIJEM	\N	110	21596	UROK	\N	\N
3625712	2880	1996-02-29	PRIJEM	\N	130	34197	UROK	\N	\N
3625713	2880	1996-03-31	PRIJEM	\N	166	37715	UROK	\N	\N
3625714	2880	1996-04-30	PRIJEM	\N	167	40453	UROK	\N	\N
3625715	2880	1996-05-31	PRIJEM	\N	162	39166	UROK	\N	\N
3625716	2880	1996-06-30	PRIJEM	\N	176	26197	UROK	\N	\N
3625717	2880	1996-07-31	PRIJEM	\N	131	29479	UROK	\N	\N
3625718	2880	1996-08-31	PRIJEM	\N	145	33296	UROK	\N	\N
3625719	2880	1996-09-30	PRIJEM	\N	159	35126	UROK	\N	\N
3625720	2880	1996-10-31	PRIJEM	\N	164	32762	UROK	\N	\N
3625721	2880	1996-11-30	PRIJEM	\N	151	28584	UROK	\N	\N
3625722	2880	1996-12-31	PRIJEM	\N	155	32754	UROK	\N	\N
3625723	2880	1997-01-31	PRIJEM	\N	130	24416	UROK	\N	\N
3625724	2880	1997-02-28	PRIJEM	\N	121	28508	UROK	\N	\N
3625725	2880	1997-03-31	PRIJEM	\N	139	27858	UROK	\N	\N
3625726	2880	1997-04-30	PRIJEM	\N	132	27862	UROK	\N	\N
3625727	2880	1997-05-31	PRIJEM	\N	133	29666	UROK	\N	\N
3625728	2880	1997-06-30	PRIJEM	\N	158	34939	UROK	\N	\N
3625729	2880	1997-07-31	PRIJEM	\N	144	26035	UROK	\N	\N
3625730	2880	1997-08-31	PRIJEM	\N	126	30832	UROK	\N	\N
3625731	2880	1997-09-30	PRIJEM	\N	142	33046	UROK	\N	\N
3625732	2880	1997-10-31	PRIJEM	\N	150	34067	UROK	\N	\N
3625733	2880	1997-11-30	PRIJEM	\N	155	33134	UROK	\N	\N
3625734	2880	1997-12-31	PRIJEM	\N	173	37622	UROK	\N	\N
3625735	2880	1998-01-31	PRIJEM	\N	148	33321	UROK	\N	\N
3625736	2880	1998-02-28	PRIJEM	\N	151	36544	UROK	\N	\N
3625737	2880	1998-03-31	PRIJEM	\N	167	40682	UROK	\N	\N
3625738	2880	1998-04-30	PRIJEM	\N	173	37207	UROK	\N	\N
3625739	2880	1998-05-31	PRIJEM	\N	166	39244	UROK	\N	\N
3625740	2880	1998-06-30	PRIJEM	\N	170	37188	UROK	\N	\N
3625741	2880	1998-07-31	PRIJEM	\N	161	36340	UROK	\N	\N
3625742	2880	1998-08-31	PRIJEM	\N	163	40575	UROK	\N	\N
3625743	2880	1998-09-30	PRIJEM	\N	170	38016	UROK	\N	\N
3625744	2880	1998-10-31	PRIJEM	\N	152	33320	UROK	\N	\N
3625745	2880	1998-11-30	PRIJEM	\N	151	38943	UROK	\N	\N
3625746	2880	1998-12-31	PRIJEM	\N	183	45080	UROK	\N	\N
3625747	2881	1993-01-31	PRIJEM	\N	20	7679	UROK	\N	\N
3625748	2881	1993-02-28	PRIJEM	\N	65	21703	UROK	\N	\N
3625749	2881	1993-03-31	PRIJEM	\N	115	31477	UROK	\N	\N
3625750	2881	1993-04-30	PRIJEM	\N	136	33471	UROK	\N	\N
3625751	2881	1993-05-31	PRIJEM	\N	142	34572	UROK	\N	\N
3625752	2881	1993-06-30	PRIJEM	\N	137	34193	UROK	\N	\N
3625753	2881	1993-07-31	PRIJEM	\N	130	31428	UROK	\N	\N
3625754	2881	1993-08-31	PRIJEM	\N	128	31962	UROK	\N	\N
3625755	2881	1993-09-30	PRIJEM	\N	128	32276	UROK	\N	\N
3625756	2881	1993-10-31	PRIJEM	\N	108	24829	UROK	\N	\N
3625757	2881	1993-11-30	PRIJEM	\N	102	25436	UROK	\N	\N
3625758	2881	1993-12-31	PRIJEM	\N	105	27845	UROK	\N	\N
3625759	2881	1994-01-31	PRIJEM	\N	83	16093	UROK	\N	\N
3625760	2881	1994-02-28	PRIJEM	\N	69	21348	UROK	\N	\N
3625761	2881	1994-03-31	PRIJEM	\N	95	25148	UROK	\N	\N
3625762	2881	1994-04-30	PRIJEM	\N	110	27364	UROK	\N	\N
3625763	2881	1994-05-31	PRIJEM	\N	120	30790	UROK	\N	\N
3625764	2881	1994-06-30	PRIJEM	\N	141	31814	UROK	\N	\N
3625765	2881	1994-07-31	PRIJEM	\N	122	29422	UROK	\N	\N
3625766	2881	1994-08-31	PRIJEM	\N	123	31590	UROK	\N	\N
3625767	2881	1994-09-30	PRIJEM	\N	136	32932	UROK	\N	\N
3625768	2881	1994-10-31	PRIJEM	\N	126	31864	UROK	\N	\N
3625769	2881	1994-11-30	PRIJEM	\N	139	35008	UROK	\N	\N
3625770	2881	1994-12-31	PRIJEM	\N	156	35908	UROK	\N	\N
3625771	2881	1995-01-31	PRIJEM	\N	111	23364	UROK	\N	\N
3625772	2881	1995-02-28	PRIJEM	\N	108	29377	UROK	\N	\N
3625773	2881	1995-03-31	PRIJEM	\N	121	32624	UROK	\N	\N
3625774	2881	1995-04-30	PRIJEM	\N	146	40075	UROK	\N	\N
3625775	2881	1995-05-31	PRIJEM	\N	169	40030	UROK	\N	\N
3625776	2881	1995-06-30	PRIJEM	\N	136	33970	UROK	\N	\N
3625777	2881	1995-07-31	PRIJEM	\N	138	30853	UROK	\N	\N
3625778	2881	1995-08-31	PRIJEM	\N	143	40401	UROK	\N	\N
3625779	2881	1995-09-30	PRIJEM	\N	177	45484	UROK	\N	\N
3625780	2881	1995-10-31	PRIJEM	\N	192	46581	UROK	\N	\N
3625781	2881	1995-11-30	PRIJEM	\N	191	41478	UROK	\N	\N
3625782	2881	1995-12-31	PRIJEM	\N	173	42355	UROK	\N	\N
3625783	2881	1996-01-31	PRIJEM	\N	112	29733	UROK	\N	\N
3625784	2881	1996-02-29	PRIJEM	\N	139	38177	UROK	\N	\N
3625785	2881	1996-03-31	PRIJEM	\N	169	43451	UROK	\N	\N
3625786	2881	1996-04-30	PRIJEM	\N	166	41282	UROK	\N	\N
3625787	2881	1996-05-31	PRIJEM	\N	171	42819	UROK	\N	\N
3625788	2881	1996-06-30	PRIJEM	\N	172	25975	UROK	\N	\N
3625789	2881	1996-07-31	PRIJEM	\N	120	32301	UROK	\N	\N
3625790	2881	1996-08-31	PRIJEM	\N	146	38253	UROK	\N	\N
3625791	2881	1996-09-30	PRIJEM	\N	157	36914	UROK	\N	\N
3625792	2881	1996-10-31	PRIJEM	\N	164	41883	UROK	\N	\N
3625793	2881	1996-11-30	PRIJEM	\N	177	43866	UROK	\N	\N
3625794	2881	1996-12-31	PRIJEM	\N	192	47522	UROK	\N	\N
3625795	2881	1997-01-31	PRIJEM	\N	156	30123	UROK	\N	\N
3625796	2881	1997-02-28	PRIJEM	\N	152	41981	UROK	\N	\N
3625797	2881	1997-03-31	PRIJEM	\N	175	44921	UROK	\N	\N
3625798	2881	1997-04-30	PRIJEM	\N	193	48620	UROK	\N	\N
3625799	2881	1997-05-31	PRIJEM	\N	210	52735	UROK	\N	\N
3625800	2881	1997-06-30	PRIJEM	\N	222	53101	UROK	\N	\N
3625801	2881	1997-07-31	PRIJEM	\N	231	58237	UROK	\N	\N
3625802	2881	1997-08-31	PRIJEM	\N	242	59784	UROK	\N	\N
3625803	2881	1997-09-30	PRIJEM	\N	246	61036	UROK	\N	\N
3625804	2881	1997-10-31	PRIJEM	\N	250	61471	UROK	\N	\N
3625805	2881	1997-11-30	PRIJEM	\N	241	58137	UROK	\N	\N
3625806	2881	1997-12-31	PRIJEM	\N	240	54862	UROK	\N	\N
3625807	2881	1998-01-31	PRIJEM	\N	221	39408	UROK	\N	\N
3625808	2881	1998-02-28	PRIJEM	\N	200	54313	UROK	\N	\N
3625809	2881	1998-03-31	PRIJEM	\N	243	61561	UROK	\N	\N
3625810	2881	1998-04-30	PRIJEM	\N	254	63520	UROK	\N	\N
3625811	2881	1998-05-31	PRIJEM	\N	258	64083	UROK	\N	\N
3625812	2881	1998-06-30	PRIJEM	\N	230	25058	UROK	\N	\N
3625813	2881	1998-07-31	PRIJEM	\N	148	42112	UROK	\N	\N
3625814	2881	1998-08-31	PRIJEM	\N	178	41335	UROK	\N	\N
3625815	2881	1998-09-30	PRIJEM	\N	197	52538	UROK	\N	\N
3625816	2881	1998-10-31	PRIJEM	\N	213	50536	UROK	\N	\N
3625817	2881	1998-11-30	PRIJEM	\N	208	52949	UROK	\N	\N
3625818	2881	1998-12-31	PRIJEM	\N	217	52611	UROK	\N	\N
3625819	2882	1996-08-31	PRIJEM	\N	66	37816	UROK	\N	\N
3625820	2882	1996-09-30	PRIJEM	\N	157	32773	UROK	\N	\N
3625821	2882	1996-10-31	PRIJEM	\N	157	31131	UROK	\N	\N
3625822	2882	1996-11-30	PRIJEM	\N	157	26188	UROK	\N	\N
3625823	2882	1996-12-31	PRIJEM	\N	157	25045	UROK	\N	\N
3625824	2882	1997-01-31	PRIJEM	\N	157	25002	UROK	\N	\N
3625825	2882	1997-02-28	PRIJEM	\N	157	22360	UROK	\N	\N
3625826	2882	1997-03-31	PRIJEM	\N	172	45243	UROK	\N	\N
3625827	2882	1997-04-30	PRIJEM	\N	223	46796	UROK	\N	\N
3625828	2882	1997-05-31	PRIJEM	\N	194	32990	UROK	\N	\N
3625829	2882	1997-06-30	PRIJEM	\N	224	39878	UROK	\N	\N
3625830	2882	1997-07-31	PRIJEM	\N	130	19891	UROK	\N	\N
3625831	2882	1997-08-31	PRIJEM	\N	77	17752	UROK	\N	\N
3625832	2882	1997-09-30	PRIJEM	\N	161	33638	UROK	\N	\N
3625833	2882	1997-10-31	PRIJEM	\N	109	21830	UROK	\N	\N
3625834	2882	1997-11-30	PRIJEM	\N	75	16089	UROK	\N	\N
3625835	2882	1997-12-31	PRIJEM	\N	66	8138	UROK	\N	\N
3625836	2882	1998-01-31	PRIJEM	\N	42	21634	UROK	\N	\N
3625837	2882	1998-02-28	PRIJEM	\N	71	15188	UROK	\N	\N
3625838	2882	1998-03-31	PRIJEM	\N	130	41754	UROK	\N	\N
3625839	2882	1998-04-30	PRIJEM	\N	111	38761	UROK	\N	\N
3625840	2882	1998-05-31	PRIJEM	\N	117	23362	UROK	\N	\N
3625841	2882	1998-06-30	PRIJEM	\N	79	17291	UROK	\N	\N
3625842	2882	1998-07-31	PRIJEM	\N	70	9344	UROK	\N	\N
3625843	2882	1998-08-31	PRIJEM	\N	103	60281	UROK	\N	\N
3625844	2882	1998-09-30	PRIJEM	\N	180	59476	UROK	\N	\N
3625845	2882	1998-10-31	PRIJEM	\N	291	83580	UROK	\N	\N
3625846	2882	1998-11-30	PRIJEM	\N	246	45609	UROK	\N	\N
3625847	2882	1998-12-31	PRIJEM	\N	156	57292	UROK	\N	\N
3625848	2883	1997-10-31	PRIJEM	\N	13	19561	UROK	\N	\N
3625849	2883	1997-11-30	PRIJEM	\N	82	24880	UROK	\N	\N
3625850	2883	1997-12-31	PRIJEM	\N	100	22776	UROK	\N	\N
3625851	2883	1998-01-31	PRIJEM	\N	100	23881	UROK	\N	\N
3625852	2883	1998-02-28	PRIJEM	\N	106	26712	UROK	\N	\N
3625853	2883	1998-03-31	PRIJEM	\N	115	27353	UROK	\N	\N
3625854	2883	1998-04-30	PRIJEM	\N	115	23593	UROK	\N	\N
3625855	2883	1998-05-31	PRIJEM	\N	101	21419	UROK	\N	\N
3625856	2883	1998-06-30	PRIJEM	\N	86	21191	UROK	\N	\N
3625857	2883	1998-07-31	PRIJEM	\N	91	20207	UROK	\N	\N
3625858	2883	1998-08-31	PRIJEM	\N	89	21622	UROK	\N	\N
3625859	2883	1998-09-30	PRIJEM	\N	87	15834	UROK	\N	\N
3625860	2883	1998-10-31	PRIJEM	\N	71	17130	UROK	\N	\N
3625861	2883	1998-11-30	PRIJEM	\N	73	17069	UROK	\N	\N
3625862	2883	1998-12-31	PRIJEM	\N	74	19068	UROK	\N	\N
3625863	2884	1993-02-28	PRIJEM	\N	19	6929	UROK	\N	\N
3625864	2884	1993-03-31	PRIJEM	\N	69	21107	UROK	\N	\N
3625865	2884	1993-04-30	PRIJEM	\N	102	26319	UROK	\N	\N
3625866	2884	1993-05-31	PRIJEM	\N	117	28946	UROK	\N	\N
3625867	2884	1993-06-30	PRIJEM	\N	134	33995	UROK	\N	\N
3625868	2884	1993-07-31	PRIJEM	\N	132	31468	UROK	\N	\N
3625869	2884	1993-08-31	PRIJEM	\N	132	32341	UROK	\N	\N
3625870	2884	1993-09-30	PRIJEM	\N	124	29407	UROK	\N	\N
3625871	2884	1993-10-31	PRIJEM	\N	118	28466	UROK	\N	\N
3625872	2884	1993-11-30	PRIJEM	\N	111	27338	UROK	\N	\N
3625873	2884	1993-12-31	PRIJEM	\N	114	28738	UROK	\N	\N
3625874	2884	1994-01-31	PRIJEM	\N	105	21225	UROK	\N	\N
3625875	2884	1994-02-28	PRIJEM	\N	87	20433	UROK	\N	\N
3625876	2884	1994-03-31	PRIJEM	\N	89	17483	UROK	\N	\N
3625877	2884	1994-04-30	PRIJEM	\N	81	18145	UROK	\N	\N
3625878	2884	1994-05-31	PRIJEM	\N	75	18281	UROK	\N	\N
3625879	2884	1994-06-30	PRIJEM	\N	94	24921	UROK	\N	\N
3625880	2884	1994-07-31	PRIJEM	\N	107	26670	UROK	\N	\N
3625881	2884	1994-08-31	PRIJEM	\N	114	27385	UROK	\N	\N
3625882	2884	1994-09-30	PRIJEM	\N	115	28542	UROK	\N	\N
3625883	2884	1994-10-31	PRIJEM	\N	117	28700	UROK	\N	\N
3625884	2884	1994-11-30	PRIJEM	\N	125	30766	UROK	\N	\N
3625885	2884	1994-12-31	PRIJEM	\N	135	29447	UROK	\N	\N
3625886	2884	1995-01-31	PRIJEM	\N	105	26153	UROK	\N	\N
3625887	2884	1995-02-28	PRIJEM	\N	114	31009	UROK	\N	\N
3625888	2884	1995-03-31	PRIJEM	\N	118	27248	UROK	\N	\N
3625889	2884	1995-04-30	PRIJEM	\N	94	26204	UROK	\N	\N
3625890	2884	1995-05-31	PRIJEM	\N	116	33941	UROK	\N	\N
3625891	2884	1995-06-30	PRIJEM	\N	154	39142	UROK	\N	\N
3625892	2884	1995-07-31	PRIJEM	\N	166	38150	UROK	\N	\N
3625893	2884	1995-08-31	PRIJEM	\N	163	39154	UROK	\N	\N
3625894	2884	1995-09-30	PRIJEM	\N	166	39262	UROK	\N	\N
3625895	2884	1995-10-31	PRIJEM	\N	165	38989	UROK	\N	\N
3625896	2884	1995-11-30	PRIJEM	\N	166	40296	UROK	\N	\N
3625897	2884	1995-12-31	PRIJEM	\N	181	46124	UROK	\N	\N
3625898	2884	1996-01-31	PRIJEM	\N	174	34280	UROK	\N	\N
3625899	2884	1996-02-29	PRIJEM	\N	150	39171	UROK	\N	\N
3625900	2884	1996-03-31	PRIJEM	\N	171	42704	UROK	\N	\N
3625901	2884	1996-04-30	PRIJEM	\N	180	46185	UROK	\N	\N
3625902	2884	1996-05-31	PRIJEM	\N	199	49925	UROK	\N	\N
3625903	2884	1996-06-30	PRIJEM	\N	186	42237	UROK	\N	\N
3625904	2884	1996-07-31	PRIJEM	\N	189	50967	UROK	\N	\N
3625905	2884	1996-08-31	PRIJEM	\N	219	54727	UROK	\N	\N
3625906	2884	1996-09-30	PRIJEM	\N	228	54697	UROK	\N	\N
3625907	2884	1996-10-31	PRIJEM	\N	233	57571	UROK	\N	\N
3625908	2884	1996-11-30	PRIJEM	\N	237	55849	UROK	\N	\N
3625909	2884	1996-12-31	PRIJEM	\N	234	54930	UROK	\N	\N
3625910	2884	1997-01-31	PRIJEM	\N	219	48690	UROK	\N	\N
3625911	2884	1997-02-28	PRIJEM	\N	211	53542	UROK	\N	\N
3625912	2884	1997-03-31	PRIJEM	\N	223	53506	UROK	\N	\N
3625913	2884	1997-04-30	PRIJEM	\N	228	56575	UROK	\N	\N
3625914	2884	1997-05-31	PRIJEM	\N	230	51367	UROK	\N	\N
3625915	2884	1997-06-30	PRIJEM	\N	196	46249	UROK	\N	\N
3625916	2884	1997-07-31	PRIJEM	\N	215	57905	UROK	\N	\N
3625917	2884	1997-08-31	PRIJEM	\N	253	63919	UROK	\N	\N
3625918	2884	1997-09-30	PRIJEM	\N	277	69838	UROK	\N	\N
3625919	2884	1997-10-31	PRIJEM	\N	298	74277	UROK	\N	\N
3625920	2884	1997-11-30	PRIJEM	\N	305	75344	UROK	\N	\N
3625921	2884	1997-12-31	PRIJEM	\N	329	82520	UROK	\N	\N
3625922	2884	1998-01-31	PRIJEM	\N	318	74319	UROK	\N	\N
3625923	2884	1998-02-28	PRIJEM	\N	313	77173	UROK	\N	\N
3625924	2884	1998-03-31	PRIJEM	\N	329	82443	UROK	\N	\N
3625925	2884	1998-04-30	PRIJEM	\N	344	84228	UROK	\N	\N
3625926	2884	1998-05-31	PRIJEM	\N	355	88224	UROK	\N	\N
3625927	2884	1998-06-30	PRIJEM	\N	320	65050	UROK	\N	\N
3625928	2884	1998-07-31	PRIJEM	\N	291	72903	UROK	\N	\N
3625929	2884	1998-08-31	PRIJEM	\N	335	85778	UROK	\N	\N
3625930	2884	1998-09-30	PRIJEM	\N	368	91688	UROK	\N	\N
3625931	2884	1998-10-31	PRIJEM	\N	398	99527	UROK	\N	\N
3625932	2884	1998-11-30	PRIJEM	\N	423	104592	UROK	\N	\N
3625933	2884	1998-12-31	PRIJEM	\N	428	105066	UROK	\N	\N
3625934	2885	1996-09-30	PRIJEM	\N	68	20354	UROK	\N	\N
3625935	2885	1996-10-31	PRIJEM	\N	162	43502	UROK	\N	\N
3625936	2885	1996-11-30	PRIJEM	\N	219	55006	UROK	\N	\N
3625937	2885	1996-12-31	PRIJEM	\N	290	73425	UROK	\N	\N
3625938	2885	1997-01-31	PRIJEM	\N	263	53669	UROK	\N	\N
3625939	2885	1997-02-28	PRIJEM	\N	218	50454	UROK	\N	\N
3625940	2885	1997-03-31	PRIJEM	\N	228	52549	UROK	\N	\N
3625941	2885	1997-04-30	PRIJEM	\N	236	55651	UROK	\N	\N
3625942	2885	1997-05-31	PRIJEM	\N	237	55154	UROK	\N	\N
3625943	2885	1997-06-30	PRIJEM	\N	239	37803	UROK	\N	\N
3625944	2885	1997-07-31	PRIJEM	\N	193	46062	UROK	\N	\N
3625945	2885	1997-08-31	PRIJEM	\N	196	47224	UROK	\N	\N
3625946	2885	1997-09-30	PRIJEM	\N	221	48612	UROK	\N	\N
3625947	2885	1997-10-31	PRIJEM	\N	225	47103	UROK	\N	\N
3625948	2885	1997-11-30	PRIJEM	\N	219	48888	UROK	\N	\N
3625949	2885	1997-12-31	PRIJEM	\N	256	54054	UROK	\N	\N
3625950	2885	1998-01-31	PRIJEM	\N	220	44340	UROK	\N	\N
3625951	2885	1998-02-28	PRIJEM	\N	209	53116	UROK	\N	\N
3625952	2885	1998-03-31	PRIJEM	\N	241	57423	UROK	\N	\N
3625953	2885	1998-04-30	PRIJEM	\N	263	63452	UROK	\N	\N
3625954	2885	1998-05-31	PRIJEM	\N	287	68106	UROK	\N	\N
3625955	2885	1998-06-30	PRIJEM	\N	295	61510	UROK	\N	\N
3625956	2885	1998-07-31	PRIJEM	\N	273	60350	UROK	\N	\N
3625957	2885	1998-08-31	PRIJEM	\N	282	61798	UROK	\N	\N
3625958	2885	1998-09-30	PRIJEM	\N	278	67142	UROK	\N	\N
3625959	2885	1998-10-31	PRIJEM	\N	298	70906	UROK	\N	\N
3625960	2885	1998-11-30	PRIJEM	\N	316	77889	UROK	\N	\N
3625961	2885	1998-12-31	PRIJEM	\N	386	96784	UROK	\N	\N
3625962	2886	1994-05-31	PRIJEM	\N	46	14155	UROK	\N	\N
3625963	2886	1994-06-30	PRIJEM	\N	95	25064	UROK	\N	\N
3625964	2886	1994-07-31	PRIJEM	\N	105	25478	UROK	\N	\N
3625965	2886	1994-08-31	PRIJEM	\N	111	27098	UROK	\N	\N
3625966	2886	1994-09-30	PRIJEM	\N	104	23940	UROK	\N	\N
3625967	2886	1994-10-31	PRIJEM	\N	100	23062	UROK	\N	\N
3625968	2886	1994-11-30	PRIJEM	\N	103	24187	UROK	\N	\N
3625969	2886	1994-12-31	PRIJEM	\N	112	25727	UROK	\N	\N
3625970	2886	1995-01-31	PRIJEM	\N	105	18554	UROK	\N	\N
3625971	2886	1995-02-28	PRIJEM	\N	98	23475	UROK	\N	\N
3625972	2886	1995-03-31	PRIJEM	\N	102	24099	UROK	\N	\N
3625973	2886	1995-04-30	PRIJEM	\N	106	24827	UROK	\N	\N
3625974	2886	1995-05-31	PRIJEM	\N	115	26865	UROK	\N	\N
3625975	2886	1995-06-30	PRIJEM	\N	119	23710	UROK	\N	\N
3625976	2886	1995-07-31	PRIJEM	\N	122	29355	UROK	\N	\N
3625977	2886	1995-08-31	PRIJEM	\N	116	26494	UROK	\N	\N
3625978	2886	1995-09-30	PRIJEM	\N	96	23712	UROK	\N	\N
3625979	2886	1995-10-31	PRIJEM	\N	105	26840	UROK	\N	\N
3625980	2886	1995-11-30	PRIJEM	\N	117	31679	UROK	\N	\N
3625981	2886	1995-12-31	PRIJEM	\N	136	30943	UROK	\N	\N
3625982	2886	1996-01-31	PRIJEM	\N	119	25884	UROK	\N	\N
3625983	2886	1996-02-29	PRIJEM	\N	113	30720	UROK	\N	\N
3625984	2886	1996-03-31	PRIJEM	\N	133	33775	UROK	\N	\N
3625985	2886	1996-04-30	PRIJEM	\N	143	32040	UROK	\N	\N
3625986	2886	1996-05-31	PRIJEM	\N	128	30990	UROK	\N	\N
3625987	2886	1996-06-30	PRIJEM	\N	127	25344	UROK	\N	\N
3625988	2886	1996-07-31	PRIJEM	\N	110	27877	UROK	\N	\N
3625989	2886	1996-08-31	PRIJEM	\N	119	28418	UROK	\N	\N
3625990	2886	1996-09-30	PRIJEM	\N	118	24359	UROK	\N	\N
3625991	2886	1996-10-31	PRIJEM	\N	107	25188	UROK	\N	\N
3625992	2886	1996-11-30	PRIJEM	\N	106	28417	UROK	\N	\N
3625993	2886	1996-12-31	PRIJEM	\N	129	33873	UROK	\N	\N
3625994	2886	1997-01-31	PRIJEM	\N	119	22714	UROK	\N	\N
3625995	2886	1997-02-28	PRIJEM	\N	106	31543	UROK	\N	\N
3625996	2886	1997-03-31	PRIJEM	\N	137	35603	UROK	\N	\N
3625997	2886	1997-04-30	PRIJEM	\N	149	33474	UROK	\N	\N
3625998	2886	1997-05-31	PRIJEM	\N	140	31736	UROK	\N	\N
3625999	2886	1997-06-30	PRIJEM	\N	98	20662	UROK	\N	\N
3626000	2886	1997-07-31	PRIJEM	\N	96	26881	UROK	\N	\N
3626001	2886	1997-08-31	PRIJEM	\N	111	26314	UROK	\N	\N
3626002	2886	1997-09-30	PRIJEM	\N	112	27749	UROK	\N	\N
3626003	2886	1997-10-31	PRIJEM	\N	119	28190	UROK	\N	\N
3626004	2886	1997-11-30	PRIJEM	\N	114	25826	UROK	\N	\N
3626005	2886	1997-12-31	PRIJEM	\N	109	24863	UROK	\N	\N
3626006	2886	1998-01-31	PRIJEM	\N	91	19977	UROK	\N	\N
3626007	2886	1998-02-28	PRIJEM	\N	84	20683	UROK	\N	\N
3626008	2886	1998-03-31	PRIJEM	\N	81	16186	UROK	\N	\N
3626009	2886	1998-04-30	PRIJEM	\N	80	23288	UROK	\N	\N
3626010	2886	1998-05-31	PRIJEM	\N	100	25110	UROK	\N	\N
3626011	2886	1998-06-30	PRIJEM	\N	107	26345	UROK	\N	\N
3626012	2886	1998-07-31	PRIJEM	\N	101	23169	UROK	\N	\N
3626013	2886	1998-08-31	PRIJEM	\N	90	21182	UROK	\N	\N
3626014	2886	1998-09-30	PRIJEM	\N	72	15176	UROK	\N	\N
3626015	2886	1998-10-31	PRIJEM	\N	57	13555	UROK	\N	\N
3626016	2886	1998-11-30	PRIJEM	\N	59	15336	UROK	\N	\N
3626017	2886	1998-12-31	PRIJEM	\N	72	16836	UROK	\N	\N
3626018	2887	1996-08-31	PRIJEM	\N	70	26134	UROK	\N	\N
3626019	2887	1996-09-30	PRIJEM	\N	158	45056	UROK	\N	\N
3626020	2887	1996-10-31	PRIJEM	\N	216	55836	UROK	\N	\N
3626021	2887	1996-11-30	PRIJEM	\N	248	62149	UROK	\N	\N
3626022	2887	1996-12-31	PRIJEM	\N	278	68477	UROK	\N	\N
3626023	2887	1997-01-31	PRIJEM	\N	240	48022	UROK	\N	\N
3626024	2887	1997-02-28	PRIJEM	\N	210	51536	UROK	\N	\N
3626025	2887	1997-03-31	PRIJEM	\N	219	52659	UROK	\N	\N
3626026	2887	1997-04-30	PRIJEM	\N	206	50270	UROK	\N	\N
3626027	2887	1997-05-31	PRIJEM	\N	190	44764	UROK	\N	\N
3626028	2887	1997-06-30	PRIJEM	\N	208	52008	UROK	\N	\N
3626029	2887	1997-07-31	PRIJEM	\N	194	45506	UROK	\N	\N
3626030	2887	1997-08-31	PRIJEM	\N	197	47807	UROK	\N	\N
3626031	2887	1997-09-30	PRIJEM	\N	188	48299	UROK	\N	\N
3626032	2887	1997-10-31	PRIJEM	\N	203	48607	UROK	\N	\N
3626033	2887	1997-11-30	PRIJEM	\N	210	51321	UROK	\N	\N
3626034	2887	1997-12-31	PRIJEM	\N	244	65202	UROK	\N	\N
3626035	2887	1998-01-31	PRIJEM	\N	224	48631	UROK	\N	\N
3626036	2887	1998-02-28	PRIJEM	\N	220	55255	UROK	\N	\N
3626037	2887	1998-03-31	PRIJEM	\N	223	56182	UROK	\N	\N
3626038	2887	1998-04-30	PRIJEM	\N	230	54316	UROK	\N	\N
3626039	2887	1998-05-31	PRIJEM	\N	224	53545	UROK	\N	\N
3626040	2887	1998-06-30	PRIJEM	\N	223	50904	UROK	\N	\N
3626041	2887	1998-07-31	PRIJEM	\N	223	54932	UROK	\N	\N
3626042	2887	1998-08-31	PRIJEM	\N	223	54959	UROK	\N	\N
3626043	2887	1998-09-30	PRIJEM	\N	227	54190	UROK	\N	\N
3626044	2887	1998-10-31	PRIJEM	\N	221	53115	UROK	\N	\N
3626045	2887	1998-11-30	PRIJEM	\N	189	53408	UROK	\N	\N
3626046	2887	1998-12-31	PRIJEM	\N	217	61861	UROK	\N	\N
3626047	2888	1996-10-31	PRIJEM	\N	52	18390	UROK	\N	\N
3626048	2888	1996-11-30	PRIJEM	\N	68	14237	UROK	\N	\N
3626049	2888	1996-12-31	PRIJEM	\N	62	15198	UROK	\N	\N
3626050	2888	1997-01-31	PRIJEM	\N	55	12532	UROK	\N	\N
3626051	2888	1997-02-28	PRIJEM	\N	57	14188	UROK	\N	\N
3626052	2888	1997-03-31	PRIJEM	\N	63	15250	UROK	\N	\N
3626053	2888	1997-04-30	PRIJEM	\N	68	16918	UROK	\N	\N
3626054	2888	1997-05-31	PRIJEM	\N	73	17290	UROK	\N	\N
3626055	2888	1997-06-30	PRIJEM	\N	75	17765	UROK	\N	\N
3626056	2888	1997-07-31	PRIJEM	\N	76	18040	UROK	\N	\N
3626057	2888	1997-08-31	PRIJEM	\N	70	15009	UROK	\N	\N
3626058	2888	1997-09-30	PRIJEM	\N	61	13869	UROK	\N	\N
3626059	2888	1997-10-31	PRIJEM	\N	63	15531	UROK	\N	\N
3626060	2888	1997-11-30	PRIJEM	\N	63	14393	UROK	\N	\N
3626061	2888	1997-12-31	PRIJEM	\N	59	13902	UROK	\N	\N
3626062	2888	1998-01-31	PRIJEM	\N	51	10931	UROK	\N	\N
3626063	2888	1998-02-28	PRIJEM	\N	50	12581	UROK	\N	\N
3626064	2888	1998-03-31	PRIJEM	\N	57	14237	UROK	\N	\N
3626065	2888	1998-04-30	PRIJEM	\N	52	11389	UROK	\N	\N
3626066	2888	1998-05-31	PRIJEM	\N	52	13040	UROK	\N	\N
3626067	2888	1998-06-30	PRIJEM	\N	59	14698	UROK	\N	\N
3626068	2888	1998-07-31	PRIJEM	\N	62	14599	UROK	\N	\N
3626069	2888	1998-08-31	PRIJEM	\N	65	16264	UROK	\N	\N
3626070	2888	1998-09-30	PRIJEM	\N	72	17935	UROK	\N	\N
3626071	2888	1998-10-31	PRIJEM	\N	79	19614	UROK	\N	\N
3626072	2888	1998-11-30	PRIJEM	\N	64	13377	UROK	\N	\N
3626073	2888	1998-12-31	PRIJEM	\N	55	13132	UROK	\N	\N
3626074	2889	1996-04-30	PRIJEM	\N	40	32098	UROK	\N	\N
3626075	2889	1996-05-31	PRIJEM	\N	157	49313	UROK	\N	\N
3626076	2889	1996-06-30	PRIJEM	\N	224	63174	UROK	\N	\N
3626077	2889	1996-07-31	PRIJEM	\N	260	61291	UROK	\N	\N
3626078	2889	1996-08-31	PRIJEM	\N	289	55400	UROK	\N	\N
3626079	2889	1996-09-30	PRIJEM	\N	268	50001	UROK	\N	\N
3626080	2889	1996-10-31	PRIJEM	\N	245	48851	UROK	\N	\N
3626081	2889	1996-11-30	PRIJEM	\N	234	44690	UROK	\N	\N
3626082	2889	1996-12-31	PRIJEM	\N	187	33788	UROK	\N	\N
3626083	2889	1997-01-31	PRIJEM	\N	134	19827	UROK	\N	\N
3626084	2889	1997-02-28	PRIJEM	\N	132	24458	UROK	\N	\N
3626085	2889	1997-03-31	PRIJEM	\N	126	27739	UROK	\N	\N
3626086	2889	1997-04-30	PRIJEM	\N	162	35906	UROK	\N	\N
3626087	2889	1997-05-31	PRIJEM	\N	177	20622	UROK	\N	\N
3626088	2889	1997-06-30	PRIJEM	\N	179	45385	UROK	\N	\N
3626089	2889	1997-07-31	PRIJEM	\N	166	31402	UROK	\N	\N
3626090	2889	1997-08-31	PRIJEM	\N	161	36562	UROK	\N	\N
3626091	2889	1997-09-30	PRIJEM	\N	176	36846	UROK	\N	\N
3626092	2889	1997-10-31	PRIJEM	\N	195	47046	UROK	\N	\N
3626093	2889	1997-11-30	PRIJEM	\N	215	49816	UROK	\N	\N
3626094	2889	1997-12-31	PRIJEM	\N	209	37105	UROK	\N	\N
3626095	2889	1998-01-31	PRIJEM	\N	164	25341	UROK	\N	\N
3626096	2889	1998-02-28	PRIJEM	\N	160	38939	UROK	\N	\N
3626097	2889	1998-03-31	PRIJEM	\N	207	51851	UROK	\N	\N
3626098	2889	1998-04-30	PRIJEM	\N	253	63110	UROK	\N	\N
3626099	2889	1998-05-31	PRIJEM	\N	282	67505	UROK	\N	\N
3626100	2889	1998-06-30	PRIJEM	\N	241	37127	UROK	\N	\N
3626101	2889	1998-07-31	PRIJEM	\N	202	42905	UROK	\N	\N
3626102	2889	1998-08-31	PRIJEM	\N	233	48744	UROK	\N	\N
3626103	2889	1998-09-30	PRIJEM	\N	252	65301	UROK	\N	\N
3626104	2889	1998-10-31	PRIJEM	\N	269	47105	UROK	\N	\N
3626105	2889	1998-11-30	PRIJEM	\N	243	58454	UROK	\N	\N
3626106	2889	1998-12-31	PRIJEM	\N	303	73241	UROK	\N	\N
3626107	2890	1996-02-29	PRIJEM	\N	72	23760	UROK	\N	\N
3626108	2890	1996-03-31	PRIJEM	\N	176	48924	UROK	\N	\N
3626109	2890	1996-04-30	PRIJEM	\N	228	57240	UROK	\N	\N
3626110	2890	1996-05-31	PRIJEM	\N	252	62080	UROK	\N	\N
3626111	2890	1996-06-30	PRIJEM	\N	234	40543	UROK	\N	\N
3626112	2890	1996-07-31	PRIJEM	\N	179	42443	UROK	\N	\N
3626113	2890	1996-08-31	PRIJEM	\N	190	45953	UROK	\N	\N
3626114	2890	1996-09-30	PRIJEM	\N	192	45365	UROK	\N	\N
3626115	2890	1996-10-31	PRIJEM	\N	181	43666	UROK	\N	\N
3626116	2890	1996-11-30	PRIJEM	\N	178	42465	UROK	\N	\N
3626117	2890	1996-12-31	PRIJEM	\N	218	54997	UROK	\N	\N
3626118	2890	1997-01-31	PRIJEM	\N	176	41294	UROK	\N	\N
3626119	2890	1997-02-28	PRIJEM	\N	181	43696	UROK	\N	\N
3626120	2890	1997-03-31	PRIJEM	\N	178	41894	UROK	\N	\N
3626121	2890	1997-04-30	PRIJEM	\N	167	38681	UROK	\N	\N
3626122	2890	1997-05-31	PRIJEM	\N	155	36157	UROK	\N	\N
3626123	2890	1997-06-30	PRIJEM	\N	181	42953	UROK	\N	\N
3626124	2890	1997-07-31	PRIJEM	\N	167	38540	UROK	\N	\N
3626125	2890	1997-08-31	PRIJEM	\N	149	18709	UROK	\N	\N
3626126	2890	1997-09-30	PRIJEM	\N	115	16245	UROK	\N	\N
3626127	2890	1997-10-31	PRIJEM	\N	109	12974	UROK	\N	\N
3626128	2890	1997-11-30	PRIJEM	\N	103	30598	UROK	\N	\N
3626129	2890	1997-12-31	PRIJEM	\N	192	30404	UROK	\N	\N
3626130	2890	1998-01-31	PRIJEM	\N	133	15258	UROK	\N	\N
3626131	2890	1998-02-28	PRIJEM	\N	102	13080	UROK	\N	\N
3626132	2890	1998-03-31	PRIJEM	\N	95	14195	UROK	\N	\N
3626133	2890	1998-04-30	PRIJEM	\N	99	16115	UROK	\N	\N
3626134	2890	1998-05-31	PRIJEM	\N	117	33752	UROK	\N	\N
3626135	2890	1998-06-30	PRIJEM	\N	189	23755	UROK	\N	\N
3626136	2890	1998-07-31	PRIJEM	\N	129	34404	UROK	\N	\N
3626137	2890	1998-08-31	PRIJEM	\N	161	18185	UROK	\N	\N
3626138	2890	1998-09-30	PRIJEM	\N	107	13913	UROK	\N	\N
3626139	2890	1998-10-31	PRIJEM	\N	107	31540	UROK	\N	\N
3626140	2890	1998-11-30	PRIJEM	\N	140	14901	UROK	\N	\N
3626141	2890	1998-12-31	PRIJEM	\N	143	43358	UROK	\N	\N
3626142	2891	1997-06-30	PRIJEM	\N	13	23155	UROK	\N	\N
3626143	2891	1997-07-31	PRIJEM	\N	102	30784	UROK	\N	\N
3626144	2891	1997-08-31	PRIJEM	\N	130	34043	UROK	\N	\N
3626145	2891	1997-09-30	PRIJEM	\N	143	36014	UROK	\N	\N
3626146	2891	1997-10-31	PRIJEM	\N	159	25219	UROK	\N	\N
3626147	2891	1997-11-30	PRIJEM	\N	131	22722	UROK	\N	\N
3626148	2891	1997-12-31	PRIJEM	\N	146	23693	UROK	\N	\N
3626149	2891	1998-01-31	PRIJEM	\N	98	14662	UROK	\N	\N
3626150	2891	1998-02-28	PRIJEM	\N	97	16830	UROK	\N	\N
3626151	2891	1998-03-31	PRIJEM	\N	101	19902	UROK	\N	\N
3626152	2891	1998-04-30	PRIJEM	\N	98	15371	UROK	\N	\N
3626153	2891	1998-05-31	PRIJEM	\N	93	13636	UROK	\N	\N
3626154	2891	1998-06-30	PRIJEM	\N	108	17229	UROK	\N	\N
3626155	2891	1998-07-31	PRIJEM	\N	95	19516	UROK	\N	\N
3626156	2891	1998-08-31	PRIJEM	\N	102	17790	UROK	\N	\N
3626157	2891	1998-09-30	PRIJEM	\N	90	12651	UROK	\N	\N
3626158	2891	1998-10-31	PRIJEM	\N	95	22017	UROK	\N	\N
3626159	2891	1998-11-30	PRIJEM	\N	97	12286	UROK	\N	\N
3626160	2891	1998-12-31	PRIJEM	\N	126	29017	UROK	\N	\N
3626161	2893	1996-07-31	PRIJEM	\N	50	14806	UROK	\N	\N
3626162	2893	1996-08-31	PRIJEM	\N	67	15987	UROK	\N	\N
3626163	2893	1996-09-30	PRIJEM	\N	70	17170	UROK	\N	\N
3626164	2893	1996-10-31	PRIJEM	\N	73	16887	UROK	\N	\N
3626165	2893	1996-11-30	PRIJEM	\N	75	17875	UROK	\N	\N
3626166	2893	1996-12-31	PRIJEM	\N	83	18711	UROK	\N	\N
3626167	2893	1997-01-31	PRIJEM	\N	73	14867	UROK	\N	\N
3626168	2893	1997-02-28	PRIJEM	\N	65	14036	UROK	\N	\N
3626169	2893	1997-03-31	PRIJEM	\N	66	15215	UROK	\N	\N
3626170	2893	1997-04-30	PRIJEM	\N	63	15012	UROK	\N	\N
3626171	2893	1997-05-31	PRIJEM	\N	69	15445	UROK	\N	\N
3626172	2893	1997-06-30	PRIJEM	\N	70	16628	UROK	\N	\N
3626173	2893	1997-07-31	PRIJEM	\N	75	17816	UROK	\N	\N
3626174	2893	1997-08-31	PRIJEM	\N	82	19011	UROK	\N	\N
3626175	2893	1997-09-30	PRIJEM	\N	80	19485	UROK	\N	\N
3626176	2893	1997-10-31	PRIJEM	\N	84	20683	UROK	\N	\N
3626177	2893	1997-11-30	PRIJEM	\N	92	21888	UROK	\N	\N
3626178	2893	1997-12-31	PRIJEM	\N	93	22464	UROK	\N	\N
3626179	2893	1998-01-31	PRIJEM	\N	82	17359	UROK	\N	\N
3626180	2893	1998-02-28	PRIJEM	\N	80	18552	UROK	\N	\N
3626181	2893	1998-03-31	PRIJEM	\N	85	19750	UROK	\N	\N
3626182	2893	1998-04-30	PRIJEM	\N	88	20951	UROK	\N	\N
3626183	2893	1998-05-31	PRIJEM	\N	88	20862	UROK	\N	\N
3626184	2893	1998-06-30	PRIJEM	\N	74	15570	UROK	\N	\N
3626185	2893	1998-07-31	PRIJEM	\N	68	16751	UROK	\N	\N
3626186	2893	1998-08-31	PRIJEM	\N	75	17549	UROK	\N	\N
3626187	2893	1998-09-30	PRIJEM	\N	76	18738	UROK	\N	\N
3626188	2893	1998-10-31	PRIJEM	\N	81	19602	UROK	\N	\N
3626189	2893	1998-11-30	PRIJEM	\N	87	20802	UROK	\N	\N
3626190	2893	1998-12-31	PRIJEM	\N	90	21735	UROK	\N	\N
3626191	2894	1993-09-30	PRIJEM	\N	130	33463	UROK	\N	\N
3626192	2894	1993-10-31	PRIJEM	\N	139	30801	UROK	\N	\N
3626193	2894	1993-11-30	PRIJEM	\N	152	52041	UROK	\N	\N
3626194	2894	1993-12-31	PRIJEM	\N	220	56143	UROK	\N	\N
3626195	2894	1994-01-31	PRIJEM	\N	246	47451	UROK	\N	\N
3626196	2894	1994-02-28	PRIJEM	\N	199	46226	UROK	\N	\N
3626197	2894	1994-03-31	PRIJEM	\N	241	41017	UROK	\N	\N
3626198	2894	1994-04-30	PRIJEM	\N	178	48972	UROK	\N	\N
3626199	2894	1994-05-31	PRIJEM	\N	202	35559	UROK	\N	\N
3626200	2894	1994-06-30	PRIJEM	\N	181	73296	UROK	\N	\N
3626201	2894	1994-07-31	PRIJEM	\N	275	63218	UROK	\N	\N
3626202	2894	1994-08-31	PRIJEM	\N	256	61056	UROK	\N	\N
3626203	2894	1994-09-30	PRIJEM	\N	289	60963	UROK	\N	\N
3626204	2894	1994-10-31	PRIJEM	\N	252	43500	UROK	\N	\N
3626205	2894	1994-11-30	PRIJEM	\N	187	23173	UROK	\N	\N
3626206	2894	1994-12-31	PRIJEM	\N	288	50359	UROK	\N	\N
3626207	2894	1995-01-31	PRIJEM	\N	202	41483	UROK	\N	\N
3626208	2894	1995-02-28	PRIJEM	\N	172	36041	UROK	\N	\N
3626209	2894	1995-03-31	PRIJEM	\N	345	53307	UROK	\N	\N
3626210	2894	1995-04-30	PRIJEM	\N	207	27498	UROK	\N	\N
3626211	2894	1995-05-31	PRIJEM	\N	121	31804	UROK	\N	\N
3626212	2894	1995-06-30	PRIJEM	\N	215	64387	UROK	\N	\N
3626213	2894	1995-07-31	PRIJEM	\N	261	60820	UROK	\N	\N
3626214	2894	1995-08-31	PRIJEM	\N	229	48035	UROK	\N	\N
3626215	2894	1995-09-30	PRIJEM	\N	220	62331	UROK	\N	\N
3626216	2894	1995-10-31	PRIJEM	\N	286	54861	UROK	\N	\N
3626217	2894	1995-11-30	PRIJEM	\N	272	60040	UROK	\N	\N
3626218	2894	1995-12-31	PRIJEM	\N	295	59400	UROK	\N	\N
3626219	2894	1996-01-31	PRIJEM	\N	208	79320	UROK	\N	\N
3626220	2894	1996-02-29	PRIJEM	\N	346	61312	UROK	\N	\N
3626221	2894	1996-03-31	PRIJEM	\N	270	84834	UROK	\N	\N
3626222	2894	1996-04-30	PRIJEM	\N	356	63975	UROK	\N	\N
3626223	2894	1996-05-31	PRIJEM	\N	331	88620	UROK	\N	\N
3626224	2894	1996-06-30	PRIJEM	\N	305	58304	UROK	\N	\N
3626225	2894	1996-07-31	PRIJEM	\N	425	100484	UROK	\N	\N
3626226	2894	1996-08-31	PRIJEM	\N	390	93205	UROK	\N	\N
3626227	2894	1996-09-30	PRIJEM	\N	335	91633	UROK	\N	\N
3626228	2894	1996-10-31	PRIJEM	\N	347	94383	UROK	\N	\N
3626229	2894	1996-11-30	PRIJEM	\N	290	71643	UROK	\N	\N
3626230	2894	1996-12-31	PRIJEM	\N	236	49764	UROK	\N	\N
3626231	2894	1997-01-31	PRIJEM	\N	206	31205	UROK	\N	\N
3626232	2894	1997-02-28	PRIJEM	\N	164	61477	UROK	\N	\N
3626233	2894	1997-03-31	PRIJEM	\N	253	54815	UROK	\N	\N
3626234	2894	1997-04-30	PRIJEM	\N	273	90474	UROK	\N	\N
3626235	2894	1997-05-31	PRIJEM	\N	252	40753	UROK	\N	\N
3626236	2894	1997-06-30	PRIJEM	\N	175	35691	UROK	\N	\N
3626237	2894	1997-07-31	PRIJEM	\N	147	46724	UROK	\N	\N
3626238	2894	1997-08-31	PRIJEM	\N	168	31057	UROK	\N	\N
3626239	2894	1997-09-30	PRIJEM	\N	176	44745	UROK	\N	\N
3626240	2894	1997-10-31	PRIJEM	\N	160	34871	UROK	\N	\N
3626241	2894	1997-11-30	PRIJEM	\N	323	91316	UROK	\N	\N
3626242	2894	1997-12-31	PRIJEM	\N	267	53068	UROK	\N	\N
3626243	2894	1998-01-31	PRIJEM	\N	251	81793	UROK	\N	\N
3626244	2894	1998-02-28	PRIJEM	\N	355	89036	UROK	\N	\N
3626245	2894	1998-03-31	PRIJEM	\N	444	117333	UROK	\N	\N
3626246	2894	1998-04-30	PRIJEM	\N	381	110644	UROK	\N	\N
3626247	2894	1998-05-31	PRIJEM	\N	447	72173	UROK	\N	\N
3626248	2894	1998-06-30	PRIJEM	\N	454	105102	UROK	\N	\N
3626249	2894	1998-07-31	PRIJEM	\N	350	80210	UROK	\N	\N
3626250	2894	1998-08-31	PRIJEM	\N	342	88065	UROK	\N	\N
3626251	2894	1998-09-30	PRIJEM	\N	388	64445	UROK	\N	\N
3626252	2894	1998-10-31	PRIJEM	\N	454	116107	UROK	\N	\N
3626253	2894	1998-11-30	PRIJEM	\N	430	115001	UROK	\N	\N
3626254	2894	1998-12-31	PRIJEM	\N	427	59944	UROK	\N	\N
3626255	2895	1993-03-31	PRIJEM	\N	45	18491	UROK	\N	\N
3626256	2895	1993-04-30	PRIJEM	\N	121	37258	UROK	\N	\N
3626257	2895	1993-05-31	PRIJEM	\N	187	50490	UROK	\N	\N
3626258	2895	1993-06-30	PRIJEM	\N	242	64151	UROK	\N	\N
3626259	2895	1993-07-31	PRIJEM	\N	261	61958	UROK	\N	\N
3626260	2895	1993-08-31	PRIJEM	\N	239	57830	UROK	\N	\N
3626261	2895	1993-09-30	PRIJEM	\N	224	54587	UROK	\N	\N
3626262	2895	1993-10-31	PRIJEM	\N	215	53035	UROK	\N	\N
3626263	2895	1993-11-30	PRIJEM	\N	184	48532	UROK	\N	\N
3626264	2895	1993-12-31	PRIJEM	\N	206	53385	UROK	\N	\N
3626265	2895	1994-01-31	PRIJEM	\N	152	31811	UROK	\N	\N
3626266	2895	1994-02-28	PRIJEM	\N	154	42897	UROK	\N	\N
3626267	2895	1994-03-31	PRIJEM	\N	178	45409	UROK	\N	\N
3626268	2895	1994-04-30	PRIJEM	\N	190	48532	UROK	\N	\N
3626269	2895	1994-05-31	PRIJEM	\N	189	45794	UROK	\N	\N
3626270	2895	1994-06-30	PRIJEM	\N	147	28807	UROK	\N	\N
3626271	2895	1994-07-31	PRIJEM	\N	132	36092	UROK	\N	\N
3626272	2895	1994-08-31	PRIJEM	\N	149	35834	UROK	\N	\N
3626273	2895	1994-09-30	PRIJEM	\N	144	40512	UROK	\N	\N
3626274	2895	1994-10-31	PRIJEM	\N	166	33911	UROK	\N	\N
3626275	2895	1994-11-30	PRIJEM	\N	165	31849	UROK	\N	\N
3626276	2895	1994-12-31	PRIJEM	\N	174	37210	UROK	\N	\N
3626277	2895	1995-01-31	PRIJEM	\N	131	23494	UROK	\N	\N
3626278	2895	1995-02-28	PRIJEM	\N	121	26328	UROK	\N	\N
3626279	2895	1995-03-31	PRIJEM	\N	137	32598	UROK	\N	\N
3626280	2895	1995-04-30	PRIJEM	\N	153	33085	UROK	\N	\N
3626281	2895	1995-05-31	PRIJEM	\N	161	34880	UROK	\N	\N
3626282	2895	1995-06-30	PRIJEM	\N	184	36671	UROK	\N	\N
3626283	2895	1995-07-31	PRIJEM	\N	164	31488	UROK	\N	\N
3626284	2895	1995-08-31	PRIJEM	\N	150	30271	UROK	\N	\N
3626285	2895	1995-09-30	PRIJEM	\N	145	31850	UROK	\N	\N
3626286	2895	1995-10-31	PRIJEM	\N	143	30007	UROK	\N	\N
3626287	2895	1995-11-30	PRIJEM	\N	141	28621	UROK	\N	\N
3626288	2895	1995-12-31	PRIJEM	\N	149	31216	UROK	\N	\N
3626289	2895	1996-01-31	PRIJEM	\N	120	19310	UROK	\N	\N
3626290	2895	1996-02-29	PRIJEM	\N	95	21998	UROK	\N	\N
3626291	2895	1996-03-31	PRIJEM	\N	107	23919	UROK	\N	\N
3626292	2895	1996-04-30	PRIJEM	\N	113	24965	UROK	\N	\N
3626293	2895	1996-05-31	PRIJEM	\N	120	28418	UROK	\N	\N
3626294	2895	1996-06-30	PRIJEM	\N	141	31466	UROK	\N	\N
3626295	2895	1996-07-31	PRIJEM	\N	134	30194	UROK	\N	\N
3626296	2895	1996-08-31	PRIJEM	\N	136	32064	UROK	\N	\N
3626297	2895	1996-09-30	PRIJEM	\N	130	26387	UROK	\N	\N
3626298	2895	1996-10-31	PRIJEM	\N	115	25735	UROK	\N	\N
3626299	2895	1996-11-30	PRIJEM	\N	113	26882	UROK	\N	\N
3626300	2895	1996-12-31	PRIJEM	\N	123	23631	UROK	\N	\N
3626301	2895	1997-01-31	PRIJEM	\N	82	17566	UROK	\N	\N
3626302	2895	1997-02-28	PRIJEM	\N	85	23084	UROK	\N	\N
3626303	2895	1997-03-31	PRIJEM	\N	99	25777	UROK	\N	\N
3626304	2895	1997-04-30	PRIJEM	\N	105	25095	UROK	\N	\N
3626305	2895	1997-05-31	PRIJEM	\N	108	26036	UROK	\N	\N
3626306	2895	1997-06-30	PRIJEM	\N	120	30262	UROK	\N	\N
3626307	2895	1997-07-31	PRIJEM	\N	119	27014	UROK	\N	\N
3626308	2895	1997-08-31	PRIJEM	\N	114	28662	UROK	\N	\N
3626309	2895	1997-09-30	PRIJEM	\N	143	26338	UROK	\N	\N
3626310	2895	1997-10-31	PRIJEM	\N	108	26060	UROK	\N	\N
3626311	2895	1997-11-30	PRIJEM	\N	131	37924	UROK	\N	\N
3626312	2895	1997-12-31	PRIJEM	\N	169	45920	UROK	\N	\N
3626313	2895	1998-01-31	PRIJEM	\N	146	24079	UROK	\N	\N
3626314	2895	1998-02-28	PRIJEM	\N	124	36736	UROK	\N	\N
3626315	2895	1998-03-31	PRIJEM	\N	159	41009	UROK	\N	\N
3626316	2895	1998-04-30	PRIJEM	\N	175	46517	UROK	\N	\N
3626317	2895	1998-05-31	PRIJEM	\N	176	43827	UROK	\N	\N
3626318	2895	1998-06-30	PRIJEM	\N	171	45744	UROK	\N	\N
3626319	2895	1998-07-31	PRIJEM	\N	166	39164	UROK	\N	\N
3626320	2895	1998-08-31	PRIJEM	\N	160	42657	UROK	\N	\N
3626321	2895	1998-09-30	PRIJEM	\N	159	40850	UROK	\N	\N
3626322	2895	1998-10-31	PRIJEM	\N	164	43347	UROK	\N	\N
3626323	2895	1998-11-30	PRIJEM	\N	182	48762	UROK	\N	\N
3626324	2895	1998-12-31	PRIJEM	\N	205	53613	UROK	\N	\N
3626325	2896	1993-08-31	PRIJEM	\N	41	14694	UROK	\N	\N
3626326	2896	1993-09-30	PRIJEM	\N	69	15823	UROK	\N	\N
3626327	2896	1993-10-31	PRIJEM	\N	66	14908	UROK	\N	\N
3626328	2896	1993-11-30	PRIJEM	\N	65	16033	UROK	\N	\N
3626329	2896	1993-12-31	PRIJEM	\N	63	15086	UROK	\N	\N
3626330	2896	1994-01-31	PRIJEM	\N	59	12934	UROK	\N	\N
3626331	2896	1994-02-28	PRIJEM	\N	54	12607	UROK	\N	\N
3626332	2896	1994-03-31	PRIJEM	\N	61	13727	UROK	\N	\N
3626333	2896	1994-04-30	PRIJEM	\N	65	14851	UROK	\N	\N
3626334	2896	1994-05-31	PRIJEM	\N	70	15981	UROK	\N	\N
3626335	2896	1994-06-30	PRIJEM	\N	65	13774	UROK	\N	\N
3626336	2896	1994-07-31	PRIJEM	\N	64	14327	UROK	\N	\N
3626337	2896	1994-08-31	PRIJEM	\N	63	15449	UROK	\N	\N
3626338	2896	1994-09-30	PRIJEM	\N	72	16581	UROK	\N	\N
3626339	2896	1994-10-31	PRIJEM	\N	77	17717	UROK	\N	\N
3626340	2896	1994-11-30	PRIJEM	\N	74	17740	UROK	\N	\N
3626341	2896	1994-12-31	PRIJEM	\N	81	18610	UROK	\N	\N
3626342	2896	1995-01-31	PRIJEM	\N	69	16169	UROK	\N	\N
3626343	2896	1995-02-28	PRIJEM	\N	67	15916	UROK	\N	\N
3626344	2896	1995-03-31	PRIJEM	\N	69	16834	UROK	\N	\N
3626345	2896	1995-04-30	PRIJEM	\N	73	17966	UROK	\N	\N
3626346	2896	1995-05-31	PRIJEM	\N	78	19103	UROK	\N	\N
3626347	2896	1995-06-30	PRIJEM	\N	77	17330	UROK	\N	\N
3626348	2896	1995-07-31	PRIJEM	\N	80	18469	UROK	\N	\N
3626349	2896	1995-08-31	PRIJEM	\N	78	18917	UROK	\N	\N
3626350	2896	1995-09-30	PRIJEM	\N	81	20058	UROK	\N	\N
3626351	2896	1995-10-31	PRIJEM	\N	86	21203	UROK	\N	\N
3626352	2896	1995-11-30	PRIJEM	\N	91	22023	UROK	\N	\N
3626353	2896	1995-12-31	PRIJEM	\N	94	22967	UROK	\N	\N
3626354	2896	1996-01-31	PRIJEM	\N	83	17118	UROK	\N	\N
3626355	2896	1996-02-29	PRIJEM	\N	79	18256	UROK	\N	\N
3626356	2896	1996-03-31	PRIJEM	\N	79	19394	UROK	\N	\N
3626357	2896	1996-04-30	PRIJEM	\N	88	20542	UROK	\N	\N
3626358	2896	1996-05-31	PRIJEM	\N	89	20340	UROK	\N	\N
3626359	2896	1996-06-30	PRIJEM	\N	84	18814	UROK	\N	\N
3626360	2896	1996-07-31	PRIJEM	\N	81	19624	UROK	\N	\N
3626361	2896	1996-08-31	PRIJEM	\N	89	20772	UROK	\N	\N
3626362	2896	1996-09-30	PRIJEM	\N	94	21925	UROK	\N	\N
3626363	2896	1996-10-31	PRIJEM	\N	94	21639	UROK	\N	\N
3626364	2896	1996-11-30	PRIJEM	\N	93	21982	UROK	\N	\N
3626365	2896	1996-12-31	PRIJEM	\N	92	21333	UROK	\N	\N
3626366	2896	1997-01-31	PRIJEM	\N	79	17912	UROK	\N	\N
3626367	2896	1997-02-28	PRIJEM	\N	81	19052	UROK	\N	\N
3626368	2896	1997-03-31	PRIJEM	\N	86	20198	UROK	\N	\N
3626369	2896	1997-04-30	PRIJEM	\N	86	21343	UROK	\N	\N
3626370	2896	1997-05-31	PRIJEM	\N	91	22494	UROK	\N	\N
3626371	2896	1997-06-30	PRIJEM	\N	90	20163	UROK	\N	\N
3626372	2896	1997-07-31	PRIJEM	\N	91	21313	UROK	\N	\N
3626373	2896	1997-08-31	PRIJEM	\N	91	22463	UROK	\N	\N
3626374	2896	1997-09-30	PRIJEM	\N	95	23618	UROK	\N	\N
3626375	2896	1997-10-31	PRIJEM	\N	99	24267	UROK	\N	\N
3626376	2896	1997-11-30	PRIJEM	\N	103	25429	UROK	\N	\N
3626377	2896	1997-12-31	PRIJEM	\N	107	26325	UROK	\N	\N
3626378	2896	1998-01-31	PRIJEM	\N	103	22747	UROK	\N	\N
3626379	2896	1998-02-28	PRIJEM	\N	101	23907	UROK	\N	\N
3626380	2896	1998-03-31	PRIJEM	\N	99	24285	UROK	\N	\N
3626381	2896	1998-04-30	PRIJEM	\N	107	25452	UROK	\N	\N
3626382	2896	1998-05-31	PRIJEM	\N	106	25447	UROK	\N	\N
3626383	2896	1998-06-30	PRIJEM	\N	98	19284	UROK	\N	\N
3626384	2896	1998-07-31	PRIJEM	\N	81	19404	UROK	\N	\N
3626385	2896	1998-08-31	PRIJEM	\N	83	19287	UROK	\N	\N
3626386	2896	1998-09-30	PRIJEM	\N	78	19284	UROK	\N	\N
3626387	2896	1998-10-31	PRIJEM	\N	81	20425	UROK	\N	\N
3626388	2896	1998-11-30	PRIJEM	\N	86	21570	UROK	\N	\N
3626389	2896	1998-12-31	PRIJEM	\N	90	22509	UROK	\N	\N
3626390	2897	1997-11-30	PRIJEM	\N	178	72372	UROK	\N	\N
3626391	2897	1997-12-31	PRIJEM	\N	312	93164	UROK	\N	\N
3626392	2897	1998-01-31	PRIJEM	\N	214	53941	UROK	\N	\N
3626393	2897	1998-02-28	PRIJEM	\N	166	31042	UROK	\N	\N
3626394	2897	1998-03-31	PRIJEM	\N	154	38867	UROK	\N	\N
3626395	2897	1998-04-30	PRIJEM	\N	328	108762	UROK	\N	\N
3626396	2897	1998-05-31	PRIJEM	\N	298	60555	UROK	\N	\N
3626397	2897	1998-06-30	PRIJEM	\N	186	35576	UROK	\N	\N
3626398	2897	1998-07-31	PRIJEM	\N	225	87382	UROK	\N	\N
3626399	2897	1998-08-31	PRIJEM	\N	219	53296	UROK	\N	\N
3626400	2897	1998-09-30	PRIJEM	\N	330	118356	UROK	\N	\N
3626401	2897	1998-10-31	PRIJEM	\N	352	101523	UROK	\N	\N
3626402	2897	1998-11-30	PRIJEM	\N	456	77684	UROK	\N	\N
3626403	2897	1998-12-31	PRIJEM	\N	323	91401	UROK	\N	\N
3626404	2898	1996-12-31	PRIJEM	\N	28	23518	UROK	\N	\N
3626405	2898	1997-01-31	PRIJEM	\N	103	27449	UROK	\N	\N
3626406	2898	1997-02-28	PRIJEM	\N	122	34197	UROK	\N	\N
3626407	2898	1997-03-31	PRIJEM	\N	145	36269	UROK	\N	\N
3626408	2898	1997-04-30	PRIJEM	\N	163	33604	UROK	\N	\N
3626409	2898	1997-05-31	PRIJEM	\N	155	33716	UROK	\N	\N
3626410	2898	1997-06-30	PRIJEM	\N	160	28256	UROK	\N	\N
3626411	2898	1997-07-31	PRIJEM	\N	146	38260	UROK	\N	\N
3626412	2898	1997-08-31	PRIJEM	\N	175	40392	UROK	\N	\N
3626413	2898	1997-09-30	PRIJEM	\N	183	39692	UROK	\N	\N
3626414	2898	1997-10-31	PRIJEM	\N	183	43213	UROK	\N	\N
3626415	2898	1997-11-30	PRIJEM	\N	197	46047	UROK	\N	\N
3626416	2898	1997-12-31	PRIJEM	\N	213	47001	UROK	\N	\N
3626417	2898	1998-01-31	PRIJEM	\N	202	44340	UROK	\N	\N
3626418	2898	1998-02-28	PRIJEM	\N	200	48497	UROK	\N	\N
3626419	2898	1998-03-31	PRIJEM	\N	204	44859	UROK	\N	\N
3626420	2898	1998-04-30	PRIJEM	\N	186	39842	UROK	\N	\N
3626421	2898	1998-05-31	PRIJEM	\N	174	39973	UROK	\N	\N
3626422	2898	1998-06-30	PRIJEM	\N	175	35109	UROK	\N	\N
3626423	2898	1998-07-31	PRIJEM	\N	165	39991	UROK	\N	\N
3626424	2898	1998-08-31	PRIJEM	\N	182	44630	UROK	\N	\N
3626425	2898	1998-09-30	PRIJEM	\N	189	41816	UROK	\N	\N
3626426	2898	1998-10-31	PRIJEM	\N	175	40748	UROK	\N	\N
3626427	2898	1998-11-30	PRIJEM	\N	181	44587	UROK	\N	\N
3626428	2898	1998-12-31	PRIJEM	\N	195	38402	UROK	\N	\N
3626429	2899	1997-04-30	PRIJEM	\N	69	24771	UROK	\N	\N
3626430	2899	1997-05-31	PRIJEM	\N	164	46436	UROK	\N	\N
3626431	2899	1997-06-30	PRIJEM	\N	258	69997	UROK	\N	\N
3626432	2899	1997-07-31	PRIJEM	\N	290	69789	UROK	\N	\N
3626433	2899	1997-08-31	PRIJEM	\N	270	63258	UROK	\N	\N
3626434	2899	1997-09-30	PRIJEM	\N	220	58562	UROK	\N	\N
3626435	2899	1997-10-31	PRIJEM	\N	213	44760	UROK	\N	\N
3626436	2899	1997-11-30	PRIJEM	\N	225	46069	UROK	\N	\N
3626437	2899	1997-12-31	PRIJEM	\N	255	52110	UROK	\N	\N
3626438	2899	1998-01-31	PRIJEM	\N	191	30985	UROK	\N	\N
3626439	2899	1998-02-28	PRIJEM	\N	167	37836	UROK	\N	\N
3626440	2899	1998-03-31	PRIJEM	\N	191	34111	UROK	\N	\N
3626441	2899	1998-04-30	PRIJEM	\N	179	38575	UROK	\N	\N
3626442	2899	1998-05-31	PRIJEM	\N	197	39356	UROK	\N	\N
3626443	2899	1998-06-30	PRIJEM	\N	216	43657	UROK	\N	\N
3626444	2899	1998-07-31	PRIJEM	\N	214	43655	UROK	\N	\N
3626445	2899	1998-08-31	PRIJEM	\N	213	44852	UROK	\N	\N
3626446	2899	1998-09-30	PRIJEM	\N	217	46853	UROK	\N	\N
3626447	2899	1998-10-31	PRIJEM	\N	224	48062	UROK	\N	\N
3626448	2899	1998-11-30	PRIJEM	\N	232	53978	UROK	\N	\N
3626449	2899	1998-12-31	PRIJEM	\N	296	79360	UROK	\N	\N
3626450	2901	1997-05-31	PRIJEM	\N	54	17359	UROK	\N	\N
3626451	2901	1997-06-30	PRIJEM	\N	101	26568	UROK	\N	\N
3626452	2901	1997-07-31	PRIJEM	\N	124	30897	UROK	\N	\N
3626453	2901	1997-08-31	PRIJEM	\N	141	34743	UROK	\N	\N
3626454	2901	1997-09-30	PRIJEM	\N	159	38971	UROK	\N	\N
3626455	2901	1997-10-31	PRIJEM	\N	135	28901	UROK	\N	\N
3626456	2901	1997-11-30	PRIJEM	\N	130	31925	UROK	\N	\N
3626457	2901	1997-12-31	PRIJEM	\N	144	33166	UROK	\N	\N
3626458	2901	1998-01-31	PRIJEM	\N	118	25479	UROK	\N	\N
3626459	2901	1998-02-28	PRIJEM	\N	149	35502	UROK	\N	\N
3626460	2901	1998-03-31	PRIJEM	\N	171	42028	UROK	\N	\N
3626461	2901	1998-04-30	PRIJEM	\N	185	43947	UROK	\N	\N
3626462	2901	1998-05-31	PRIJEM	\N	202	48283	UROK	\N	\N
3626463	2901	1998-06-30	PRIJEM	\N	198	46018	UROK	\N	\N
3626464	2901	1998-07-31	PRIJEM	\N	210	47603	UROK	\N	\N
3626465	2901	1998-08-31	PRIJEM	\N	218	48576	UROK	\N	\N
3626466	2901	1998-09-30	PRIJEM	\N	212	51642	UROK	\N	\N
3626467	2901	1998-10-31	PRIJEM	\N	244	55241	UROK	\N	\N
3626468	2901	1998-11-30	PRIJEM	\N	232	56127	UROK	\N	\N
3626469	2901	1998-12-31	PRIJEM	\N	237	55462	UROK	\N	\N
3626470	2902	1993-02-28	PRIJEM	\N	7	24320	UROK	\N	\N
3626471	2902	1993-03-31	PRIJEM	\N	106	35939	UROK	\N	\N
3626472	2902	1993-04-30	PRIJEM	\N	151	40003	UROK	\N	\N
3626473	2902	1993-05-31	PRIJEM	\N	169	44485	UROK	\N	\N
3626474	2902	1993-06-30	PRIJEM	\N	255	22469	UROK	\N	\N
3626475	2902	1993-07-31	PRIJEM	\N	144	30922	UROK	\N	\N
3626476	2902	1993-08-31	PRIJEM	\N	167	30497	UROK	\N	\N
3626477	2902	1993-09-30	PRIJEM	\N	172	34178	UROK	\N	\N
3626478	2902	1993-10-31	PRIJEM	\N	186	36973	UROK	\N	\N
3626479	2902	1993-11-30	PRIJEM	\N	198	40279	UROK	\N	\N
3626480	2902	1993-12-31	PRIJEM	\N	231	39725	UROK	\N	\N
3626481	2902	1994-01-31	PRIJEM	\N	178	30711	UROK	\N	\N
3626482	2902	1994-02-28	PRIJEM	\N	173	36092	UROK	\N	\N
3626483	2902	1994-03-31	PRIJEM	\N	188	30488	UROK	\N	\N
3626484	2902	1994-04-30	PRIJEM	\N	169	33366	UROK	\N	\N
3626485	2902	1994-05-31	PRIJEM	\N	181	37055	UROK	\N	\N
3626486	2902	1994-06-30	PRIJEM	\N	208	32078	UROK	\N	\N
3626487	2902	1994-07-31	PRIJEM	\N	170	33057	UROK	\N	\N
3626488	2902	1994-08-31	PRIJEM	\N	178	37843	UROK	\N	\N
3626489	2902	1994-09-30	PRIJEM	\N	189	37140	UROK	\N	\N
3626490	2902	1994-10-31	PRIJEM	\N	184	35732	UROK	\N	\N
3626491	2902	1994-11-30	PRIJEM	\N	183	37923	UROK	\N	\N
3626492	2902	1994-12-31	PRIJEM	\N	217	42855	UROK	\N	\N
3626493	2902	1995-01-31	PRIJEM	\N	177	34541	UROK	\N	\N
3626494	2902	1995-02-28	PRIJEM	\N	173	35822	UROK	\N	\N
3626495	2902	1995-03-31	PRIJEM	\N	175	32206	UROK	\N	\N
3626496	2902	1995-04-30	PRIJEM	\N	166	33681	UROK	\N	\N
3626497	2902	1995-05-31	PRIJEM	\N	170	34959	UROK	\N	\N
3626498	2902	1995-06-30	PRIJEM	\N	191	33965	UROK	\N	\N
3626499	2902	1995-07-31	PRIJEM	\N	166	34439	UROK	\N	\N
3626500	2902	1995-08-31	PRIJEM	\N	166	34514	UROK	\N	\N
3626501	2902	1995-09-30	PRIJEM	\N	165	34288	UROK	\N	\N
3626502	2902	1995-10-31	PRIJEM	\N	161	32857	UROK	\N	\N
3626503	2902	1995-11-30	PRIJEM	\N	162	35428	UROK	\N	\N
3626504	2902	1995-12-31	PRIJEM	\N	187	38030	UROK	\N	\N
3626505	2902	1996-01-31	PRIJEM	\N	136	19774	UROK	\N	\N
3626506	2902	1996-02-29	PRIJEM	\N	112	24794	UROK	\N	\N
3626507	2902	1996-03-31	PRIJEM	\N	132	29635	UROK	\N	\N
3626508	2902	1996-04-30	PRIJEM	\N	145	31788	UROK	\N	\N
3626509	2902	1996-05-31	PRIJEM	\N	141	28637	UROK	\N	\N
3626510	2902	1996-06-30	PRIJEM	\N	103	22355	UROK	\N	\N
3626511	2902	1996-07-31	PRIJEM	\N	126	29590	UROK	\N	\N
3626512	2902	1996-08-31	PRIJEM	\N	165	28063	UROK	\N	\N
3626513	2902	1996-09-30	PRIJEM	\N	121	26092	UROK	\N	\N
3626514	2902	1996-10-31	PRIJEM	\N	105	22306	UROK	\N	\N
3626515	2902	1996-11-30	PRIJEM	\N	102	23117	UROK	\N	\N
3626516	2902	1996-12-31	PRIJEM	\N	119	25651	UROK	\N	\N
3626517	2902	1997-01-31	PRIJEM	\N	102	18262	UROK	\N	\N
3626518	2902	1997-02-28	PRIJEM	\N	92	22062	UROK	\N	\N
3626519	2902	1997-03-31	PRIJEM	\N	79	16550	UROK	\N	\N
3626520	2902	1997-04-30	PRIJEM	\N	81	18839	UROK	\N	\N
3626521	2902	1997-05-31	PRIJEM	\N	73	15720	UROK	\N	\N
3626522	2902	1997-06-30	PRIJEM	\N	89	20624	UROK	\N	\N
3626523	2902	1997-07-31	PRIJEM	\N	88	20120	UROK	\N	\N
3626524	2902	1997-08-31	PRIJEM	\N	84	20112	UROK	\N	\N
3626525	2902	1997-09-30	PRIJEM	\N	117	29437	UROK	\N	\N
3626526	2902	1997-10-31	PRIJEM	\N	130	31676	UROK	\N	\N
3626527	2902	1997-11-30	PRIJEM	\N	125	29809	UROK	\N	\N
3626528	2902	1997-12-31	PRIJEM	\N	163	40587	UROK	\N	\N
3626529	2902	1998-01-31	PRIJEM	\N	118	18813	UROK	\N	\N
3626530	2902	1998-02-28	PRIJEM	\N	117	29838	UROK	\N	\N
3626531	2902	1998-03-31	PRIJEM	\N	144	35591	UROK	\N	\N
3626532	2902	1998-04-30	PRIJEM	\N	160	39259	UROK	\N	\N
3626533	2902	1998-05-31	PRIJEM	\N	164	39631	UROK	\N	\N
3626534	2902	1998-06-30	PRIJEM	\N	142	32788	UROK	\N	\N
3626535	2902	1998-07-31	PRIJEM	\N	133	32229	UROK	\N	\N
3626536	2902	1998-08-31	PRIJEM	\N	135	17172	UROK	\N	\N
3626537	2902	1998-09-30	PRIJEM	\N	117	19198	UROK	\N	\N
3626538	2902	1998-10-31	PRIJEM	\N	123	19930	UROK	\N	\N
3626539	2902	1998-11-30	PRIJEM	\N	125	19963	UROK	\N	\N
3626540	2902	1998-12-31	PRIJEM	\N	164	41643	UROK	\N	\N
3626541	2903	1994-06-30	PRIJEM	\N	50	27720	UROK	\N	\N
3626542	2903	1994-07-31	PRIJEM	\N	134	37967	UROK	\N	\N
3626543	2903	1994-08-31	PRIJEM	\N	162	40142	UROK	\N	\N
3626544	2903	1994-09-30	PRIJEM	\N	173	43329	UROK	\N	\N
3626545	2903	1994-10-31	PRIJEM	\N	186	46127	UROK	\N	\N
3626546	2903	1994-11-30	PRIJEM	\N	190	40090	UROK	\N	\N
3626547	2903	1994-12-31	PRIJEM	\N	192	45491	UROK	\N	\N
3626548	2903	1995-01-31	PRIJEM	\N	172	32956	UROK	\N	\N
3626549	2903	1995-02-28	PRIJEM	\N	145	31993	UROK	\N	\N
3626550	2903	1995-03-31	PRIJEM	\N	148	32153	UROK	\N	\N
3626551	2903	1995-04-30	PRIJEM	\N	149	34575	UROK	\N	\N
3626552	2903	1995-05-31	PRIJEM	\N	156	35904	UROK	\N	\N
3626553	2903	1995-06-30	PRIJEM	\N	156	27289	UROK	\N	\N
3626554	2903	1995-07-31	PRIJEM	\N	127	30328	UROK	\N	\N
3626555	2903	1995-08-31	PRIJEM	\N	138	32839	UROK	\N	\N
3626556	2903	1995-09-30	PRIJEM	\N	144	34355	UROK	\N	\N
3626557	2903	1995-10-31	PRIJEM	\N	152	33920	UROK	\N	\N
3626558	2903	1995-11-30	PRIJEM	\N	151	36643	UROK	\N	\N
3626559	2903	1995-12-31	PRIJEM	\N	166	42338	UROK	\N	\N
3626560	2903	1996-01-31	PRIJEM	\N	182	29492	UROK	\N	\N
3626561	2903	1996-02-29	PRIJEM	\N	173	46838	UROK	\N	\N
3626562	2903	1996-03-31	PRIJEM	\N	206	42637	UROK	\N	\N
3626563	2903	1996-04-30	PRIJEM	\N	205	49934	UROK	\N	\N
3626564	2903	1996-05-31	PRIJEM	\N	224	56230	UROK	\N	\N
3626565	2903	1996-06-30	PRIJEM	\N	217	48516	UROK	\N	\N
3626566	2903	1996-07-31	PRIJEM	\N	213	54102	UROK	\N	\N
3626567	2903	1996-08-31	PRIJEM	\N	236	60310	UROK	\N	\N
3626568	2903	1996-09-30	PRIJEM	\N	251	64033	UROK	\N	\N
3626569	2903	1996-10-31	PRIJEM	\N	249	60635	UROK	\N	\N
3626570	2903	1996-11-30	PRIJEM	\N	244	62151	UROK	\N	\N
3626571	2903	1996-12-31	PRIJEM	\N	270	71210	UROK	\N	\N
3626572	2903	1997-01-31	PRIJEM	\N	255	60337	UROK	\N	\N
3626573	2903	1997-02-28	PRIJEM	\N	234	59624	UROK	\N	\N
3626574	2903	1997-03-31	PRIJEM	\N	219	53175	UROK	\N	\N
3626575	2903	1997-04-30	PRIJEM	\N	227	56814	UROK	\N	\N
3626576	2903	1997-05-31	PRIJEM	\N	233	60620	UROK	\N	\N
3626577	2903	1997-06-30	PRIJEM	\N	276	57685	UROK	\N	\N
3626578	2903	1997-07-31	PRIJEM	\N	253	65211	UROK	\N	\N
3626579	2903	1997-08-31	PRIJEM	\N	269	69252	UROK	\N	\N
3626580	2903	1997-09-30	PRIJEM	\N	267	68792	UROK	\N	\N
3626581	2903	1997-10-31	PRIJEM	\N	285	52090	UROK	\N	\N
3626582	2903	1997-11-30	PRIJEM	\N	255	55617	UROK	\N	\N
3626583	2903	1997-12-31	PRIJEM	\N	297	62424	UROK	\N	\N
3626584	2903	1998-01-31	PRIJEM	\N	251	51407	UROK	\N	\N
3626585	2903	1998-02-28	PRIJEM	\N	250	52729	UROK	\N	\N
3626586	2903	1998-03-31	PRIJEM	\N	252	45033	UROK	\N	\N
3626587	2903	1998-04-30	PRIJEM	\N	222	44427	UROK	\N	\N
3626588	2903	1998-05-31	PRIJEM	\N	217	42917	UROK	\N	\N
3626589	2903	1998-06-30	PRIJEM	\N	235	39821	UROK	\N	\N
3626590	2903	1998-07-31	PRIJEM	\N	177	33851	UROK	\N	\N
3626591	2903	1998-08-31	PRIJEM	\N	167	30190	UROK	\N	\N
3626592	2903	1998-09-30	PRIJEM	\N	143	28425	UROK	\N	\N
3626593	2903	1998-10-31	PRIJEM	\N	138	23655	UROK	\N	\N
3626594	2903	1998-11-30	PRIJEM	\N	120	19247	UROK	\N	\N
3626595	2903	1998-12-31	PRIJEM	\N	128	21064	UROK	\N	\N
3626596	2906	1996-10-31	PRIJEM	\N	32	19549	UROK	\N	\N
3626597	2906	1996-11-30	PRIJEM	\N	98	29463	UROK	\N	\N
3626598	2906	1996-12-31	PRIJEM	\N	138	38477	UROK	\N	\N
3626599	2906	1997-01-31	PRIJEM	\N	161	39155	UROK	\N	\N
3626600	2906	1997-02-28	PRIJEM	\N	169	38284	UROK	\N	\N
3626601	2906	1997-03-31	PRIJEM	\N	163	34891	UROK	\N	\N
3626602	2906	1997-04-30	PRIJEM	\N	149	32384	UROK	\N	\N
3626603	2906	1997-05-31	PRIJEM	\N	151	36779	UROK	\N	\N
3626604	2906	1997-06-30	PRIJEM	\N	158	15140	UROK	\N	\N
3626605	2906	1997-07-31	PRIJEM	\N	91	25976	UROK	\N	\N
3626606	2906	1997-08-31	PRIJEM	\N	121	30042	UROK	\N	\N
3626607	2906	1997-09-30	PRIJEM	\N	141	35327	UROK	\N	\N
3626608	2906	1997-10-31	PRIJEM	\N	163	39935	UROK	\N	\N
3626609	2906	1997-11-30	PRIJEM	\N	168	36747	UROK	\N	\N
3626610	2906	1997-12-31	PRIJEM	\N	167	37817	UROK	\N	\N
3626611	2906	1998-01-31	PRIJEM	\N	134	24295	UROK	\N	\N
3626612	2906	1998-02-28	PRIJEM	\N	111	26351	UROK	\N	\N
3626613	2906	1998-03-31	PRIJEM	\N	123	30218	UROK	\N	\N
3626614	2906	1998-04-30	PRIJEM	\N	127	29089	UROK	\N	\N
3626615	2906	1998-05-31	PRIJEM	\N	121	27755	UROK	\N	\N
3626616	2906	1998-06-30	PRIJEM	\N	118	26876	UROK	\N	\N
3626617	2906	1998-07-31	PRIJEM	\N	107	24128	UROK	\N	\N
3626618	2906	1998-08-31	PRIJEM	\N	106	25679	UROK	\N	\N
3626619	2906	1998-09-30	PRIJEM	\N	99	20622	UROK	\N	\N
3626620	2906	1998-10-31	PRIJEM	\N	84	19750	UROK	\N	\N
3626621	2906	1998-11-30	PRIJEM	\N	70	14964	UROK	\N	\N
3626622	2906	1998-12-31	PRIJEM	\N	62	13729	UROK	\N	\N
3626623	2907	1993-12-31	PRIJEM	\N	67	20840	UROK	\N	\N
3626624	2907	1994-01-31	PRIJEM	\N	105	26436	UROK	\N	\N
3626625	2907	1994-02-28	PRIJEM	\N	112	26157	UROK	\N	\N
3626626	2907	1994-03-31	PRIJEM	\N	113	26763	UROK	\N	\N
3626627	2907	1994-04-30	PRIJEM	\N	102	23058	UROK	\N	\N
3626628	2907	1994-05-31	PRIJEM	\N	90	20641	UROK	\N	\N
3626629	2907	1994-06-30	PRIJEM	\N	85	13470	UROK	\N	\N
3626630	2907	1994-07-31	PRIJEM	\N	64	16427	UROK	\N	\N
3626631	2907	1994-08-31	PRIJEM	\N	69	15629	UROK	\N	\N
3626632	2907	1994-09-30	PRIJEM	\N	73	18595	UROK	\N	\N
3626633	2907	1994-10-31	PRIJEM	\N	85	21574	UROK	\N	\N
3626634	2907	1994-11-30	PRIJEM	\N	97	24565	UROK	\N	\N
3626635	2907	1994-12-31	PRIJEM	\N	106	24664	UROK	\N	\N
3626636	2907	1995-01-31	PRIJEM	\N	91	16138	UROK	\N	\N
3626637	2907	1995-02-28	PRIJEM	\N	71	16222	UROK	\N	\N
3626638	2907	1995-03-31	PRIJEM	\N	73	18389	UROK	\N	\N
3626639	2907	1995-04-30	PRIJEM	\N	82	18804	UROK	\N	\N
3626640	2907	1995-05-31	PRIJEM	\N	68	15686	UROK	\N	\N
3626641	2907	1995-06-30	PRIJEM	\N	73	18652	UROK	\N	\N
3626642	2907	1995-07-31	PRIJEM	\N	86	20131	UROK	\N	\N
3626643	2907	1995-08-31	PRIJEM	\N	91	20215	UROK	\N	\N
3626644	2907	1995-09-30	PRIJEM	\N	92	23200	UROK	\N	\N
3626645	2907	1995-10-31	PRIJEM	\N	103	24996	UROK	\N	\N
3626646	2907	1995-11-30	PRIJEM	\N	114	24903	UROK	\N	\N
3626647	2907	1995-12-31	PRIJEM	\N	112	26559	UROK	\N	\N
3626648	2907	1996-01-31	PRIJEM	\N	87	15339	UROK	\N	\N
3626649	2907	1996-02-29	PRIJEM	\N	71	18303	UROK	\N	\N
3626650	2907	1996-03-31	PRIJEM	\N	84	21280	UROK	\N	\N
3626651	2907	1996-04-30	PRIJEM	\N	96	24269	UROK	\N	\N
3626652	2907	1996-05-31	PRIJEM	\N	108	26370	UROK	\N	\N
3626653	2907	1996-06-30	PRIJEM	\N	107	24720	UROK	\N	\N
3626654	2907	1996-07-31	PRIJEM	\N	106	24119	UROK	\N	\N
3626655	2907	1996-08-31	PRIJEM	\N	106	26019	UROK	\N	\N
3626656	2907	1996-09-30	PRIJEM	\N	113	27025	UROK	\N	\N
3626657	2907	1996-10-31	PRIJEM	\N	107	21106	UROK	\N	\N
3626658	2907	1996-11-30	PRIJEM	\N	85	20164	UROK	\N	\N
3626659	2907	1996-12-31	PRIJEM	\N	84	17892	UROK	\N	\N
3626660	2907	1997-01-31	PRIJEM	\N	68	13673	UROK	\N	\N
3626661	2907	1997-02-28	PRIJEM	\N	61	14727	UROK	\N	\N
3626662	2907	1997-03-31	PRIJEM	\N	64	14584	UROK	\N	\N
3626663	2907	1997-04-30	PRIJEM	\N	63	14741	UROK	\N	\N
3626664	2907	1997-05-31	PRIJEM	\N	60	12795	UROK	\N	\N
3626665	2907	1997-06-30	PRIJEM	\N	55	12843	UROK	\N	\N
3626666	2907	1997-07-31	PRIJEM	\N	56	13092	UROK	\N	\N
3626667	2907	1997-08-31	PRIJEM	\N	61	16047	UROK	\N	\N
3626668	2907	1997-09-30	PRIJEM	\N	73	19013	UROK	\N	\N
3626669	2907	1997-10-31	PRIJEM	\N	86	21992	UROK	\N	\N
3626670	2907	1997-11-30	PRIJEM	\N	94	22179	UROK	\N	\N
3626671	2907	1997-12-31	PRIJEM	\N	98	23920	UROK	\N	\N
3626672	2907	1998-01-31	PRIJEM	\N	90	17564	UROK	\N	\N
3626673	2907	1998-02-28	PRIJEM	\N	78	19175	UROK	\N	\N
3626674	2907	1998-03-31	PRIJEM	\N	86	22154	UROK	\N	\N
3626675	2907	1998-04-30	PRIJEM	\N	98	25146	UROK	\N	\N
3626676	2907	1998-05-31	PRIJEM	\N	111	28150	UROK	\N	\N
3626677	2907	1998-06-30	PRIJEM	\N	113	15926	UROK	\N	\N
3626678	2907	1998-07-31	PRIJEM	\N	69	16168	UROK	\N	\N
3626679	2907	1998-08-31	PRIJEM	\N	73	19135	UROK	\N	\N
3626680	2907	1998-09-30	PRIJEM	\N	85	22113	UROK	\N	\N
3626681	2907	1998-10-31	PRIJEM	\N	98	25104	UROK	\N	\N
3626682	2907	1998-11-30	PRIJEM	\N	105	25782	UROK	\N	\N
3626683	2907	1998-12-31	PRIJEM	\N	108	23453	UROK	\N	\N
3626684	2908	1997-04-30	PRIJEM	\N	50	22521	UROK	\N	\N
3626685	2908	1997-05-31	PRIJEM	\N	115	31907	UROK	\N	\N
3626686	2908	1997-06-30	PRIJEM	\N	153	40516	UROK	\N	\N
3626687	2908	1997-07-31	PRIJEM	\N	171	41557	UROK	\N	\N
3626688	2908	1997-08-31	PRIJEM	\N	189	48117	UROK	\N	\N
3626689	2908	1997-09-30	PRIJEM	\N	201	49168	UROK	\N	\N
3626690	2908	1997-10-31	PRIJEM	\N	223	56840	UROK	\N	\N
3626691	2908	1997-11-30	PRIJEM	\N	259	66849	UROK	\N	\N
3626692	2908	1997-12-31	PRIJEM	\N	301	78084	UROK	\N	\N
3626693	2908	1998-01-31	PRIJEM	\N	283	67017	UROK	\N	\N
3626694	2908	1998-02-28	PRIJEM	\N	273	68639	UROK	\N	\N
3626695	2908	1998-03-31	PRIJEM	\N	294	73483	UROK	\N	\N
3626696	2908	1998-04-30	PRIJEM	\N	297	70229	UROK	\N	\N
3626697	2908	1998-05-31	PRIJEM	\N	297	69476	UROK	\N	\N
3626698	2908	1998-06-30	PRIJEM	\N	237	54746	UROK	\N	\N
3626699	2908	1998-07-31	PRIJEM	\N	247	64143	UROK	\N	\N
3626700	2908	1998-08-31	PRIJEM	\N	283	72275	UROK	\N	\N
3626701	2908	1998-09-30	PRIJEM	\N	283	70808	UROK	\N	\N
3626702	2908	1998-10-31	PRIJEM	\N	289	72947	UROK	\N	\N
3626703	2908	1998-11-30	PRIJEM	\N	291	71987	UROK	\N	\N
3626704	2908	1998-12-31	PRIJEM	\N	311	80333	UROK	\N	\N
3626705	2909	1996-04-30	PRIJEM	\N	37	10792	UROK	\N	\N
3626706	2909	1996-05-31	PRIJEM	\N	114	30762	UROK	\N	\N
3626707	2909	1996-06-30	PRIJEM	\N	170	42863	UROK	\N	\N
3626708	2909	1996-07-31	PRIJEM	\N	185	45004	UROK	\N	\N
3626709	2909	1996-08-31	PRIJEM	\N	180	41203	UROK	\N	\N
3626710	2909	1996-09-30	PRIJEM	\N	181	42188	UROK	\N	\N
3626711	2909	1996-10-31	PRIJEM	\N	187	43880	UROK	\N	\N
3626712	2909	1996-11-30	PRIJEM	\N	179	44463	UROK	\N	\N
3626713	2909	1996-12-31	PRIJEM	\N	196	41540	UROK	\N	\N
3626714	2909	1997-01-31	PRIJEM	\N	156	31600	UROK	\N	\N
3626715	2909	1997-02-28	PRIJEM	\N	140	35244	UROK	\N	\N
3626716	2909	1997-03-31	PRIJEM	\N	153	41802	UROK	\N	\N
3626717	2909	1997-04-30	PRIJEM	\N	182	44189	UROK	\N	\N
3626718	2909	1997-05-31	PRIJEM	\N	192	46686	UROK	\N	\N
3626719	2909	1997-06-30	PRIJEM	\N	167	35934	UROK	\N	\N
3626720	2909	1997-07-31	PRIJEM	\N	154	34792	UROK	\N	\N
3626721	2909	1997-08-31	PRIJEM	\N	154	39651	UROK	\N	\N
3626722	2909	1997-09-30	PRIJEM	\N	176	46531	UROK	\N	\N
3626723	2909	1997-10-31	PRIJEM	\N	191	43327	UROK	\N	\N
3626724	2909	1997-11-30	PRIJEM	\N	186	42517	UROK	\N	\N
3626725	2909	1997-12-31	PRIJEM	\N	203	44201	UROK	\N	\N
3626726	2909	1998-01-31	PRIJEM	\N	157	33662	UROK	\N	\N
3626727	2909	1998-02-28	PRIJEM	\N	154	38221	UROK	\N	\N
3626728	2909	1998-03-31	PRIJEM	\N	159	36083	UROK	\N	\N
3626729	2909	1998-04-30	PRIJEM	\N	159	40046	UROK	\N	\N
3626730	2909	1998-05-31	PRIJEM	\N	172	41223	UROK	\N	\N
3626731	2909	1998-06-30	PRIJEM	\N	162	36266	UROK	\N	\N
3626732	2909	1998-07-31	PRIJEM	\N	154	38125	UROK	\N	\N
3626733	2909	1998-08-31	PRIJEM	\N	163	38892	UROK	\N	\N
3626734	2909	1998-09-30	PRIJEM	\N	158	37955	UROK	\N	\N
3626735	2909	1998-10-31	PRIJEM	\N	163	39422	UROK	\N	\N
3626736	2909	1998-11-30	PRIJEM	\N	161	35387	UROK	\N	\N
3626737	2909	1998-12-31	PRIJEM	\N	167	43635	UROK	\N	\N
3626738	2910	1997-11-30	PRIJEM	\N	49	32297	UROK	\N	\N
3626739	2910	1997-12-31	PRIJEM	\N	175	57294	UROK	\N	\N
3626740	2910	1998-01-31	PRIJEM	\N	239	58181	UROK	\N	\N
3626741	2910	1998-02-28	PRIJEM	\N	241	57670	UROK	\N	\N
3626742	2910	1998-03-31	PRIJEM	\N	259	49677	UROK	\N	\N
3626743	2910	1998-04-30	PRIJEM	\N	212	36888	UROK	\N	\N
3626744	2910	1998-05-31	PRIJEM	\N	168	32156	UROK	\N	\N
3626745	2910	1998-06-30	PRIJEM	\N	199	39028	UROK	\N	\N
3626746	2910	1998-07-31	PRIJEM	\N	189	36016	UROK	\N	\N
3626747	2910	1998-08-31	PRIJEM	\N	172	34187	UROK	\N	\N
3626748	2910	1998-09-30	PRIJEM	\N	159	32253	UROK	\N	\N
3626749	2910	1998-10-31	PRIJEM	\N	155	33017	UROK	\N	\N
3626750	2910	1998-11-30	PRIJEM	\N	146	28080	UROK	\N	\N
3626751	2910	1998-12-31	PRIJEM	\N	187	42250	UROK	\N	\N
3626752	2911	1995-03-31	PRIJEM	\N	13	19981	UROK	\N	\N
3626753	2911	1995-04-30	PRIJEM	\N	90	30140	UROK	\N	\N
3626754	2911	1995-05-31	PRIJEM	\N	129	34737	UROK	\N	\N
3626755	2911	1995-06-30	PRIJEM	\N	147	37735	UROK	\N	\N
3626756	2911	1995-07-31	PRIJEM	\N	162	27287	UROK	\N	\N
3626757	2911	1995-08-31	PRIJEM	\N	126	25989	UROK	\N	\N
3626758	2911	1995-09-30	PRIJEM	\N	121	24985	UROK	\N	\N
3626759	2911	1995-10-31	PRIJEM	\N	117	24377	UROK	\N	\N
3626760	2911	1995-11-30	PRIJEM	\N	93	17945	UROK	\N	\N
3626761	2911	1995-12-31	PRIJEM	\N	101	20206	UROK	\N	\N
3626762	2911	1996-01-31	PRIJEM	\N	98	21580	UROK	\N	\N
3626763	2911	1996-02-29	PRIJEM	\N	99	20854	UROK	\N	\N
3626764	2911	1996-03-31	PRIJEM	\N	95	19024	UROK	\N	\N
3626765	2911	1996-04-30	PRIJEM	\N	92	19491	UROK	\N	\N
3626766	2911	1996-05-31	PRIJEM	\N	91	18458	UROK	\N	\N
3626767	2911	1996-06-30	PRIJEM	\N	96	18513	UROK	\N	\N
3626768	2911	1996-07-31	PRIJEM	\N	93	21582	UROK	\N	\N
3626769	2911	1996-08-31	PRIJEM	\N	94	19452	UROK	\N	\N
3626770	2911	1996-09-30	PRIJEM	\N	97	23123	UROK	\N	\N
3626771	2911	1996-10-31	PRIJEM	\N	100	20899	UROK	\N	\N
3626772	2911	1996-11-30	PRIJEM	\N	82	17736	UROK	\N	\N
3626773	2911	1996-12-31	PRIJEM	\N	82	15258	UROK	\N	\N
3626774	2911	1997-01-31	PRIJEM	\N	80	17693	UROK	\N	\N
3626775	2911	1997-02-28	PRIJEM	\N	83	17951	UROK	\N	\N
3626776	2911	1997-03-31	PRIJEM	\N	89	20416	UROK	\N	\N
3626777	2911	1997-04-30	PRIJEM	\N	97	24809	UROK	\N	\N
3626778	2911	1997-05-31	PRIJEM	\N	115	24060	UROK	\N	\N
3626779	2911	1997-06-30	PRIJEM	\N	121	14380	UROK	\N	\N
3626780	2911	1997-07-31	PRIJEM	\N	87	21902	UROK	\N	\N
3626781	2911	1997-08-31	PRIJEM	\N	113	27490	UROK	\N	\N
3626782	2911	1997-09-30	PRIJEM	\N	132	31597	UROK	\N	\N
3626783	2911	1997-10-31	PRIJEM	\N	137	31210	UROK	\N	\N
3626784	2911	1997-11-30	PRIJEM	\N	125	27990	UROK	\N	\N
3626785	2911	1997-12-31	PRIJEM	\N	118	24548	UROK	\N	\N
3626786	2911	1998-01-31	PRIJEM	\N	110	16293	UROK	\N	\N
3626787	2911	1998-02-28	PRIJEM	\N	92	23061	UROK	\N	\N
3626788	2911	1998-03-31	PRIJEM	\N	127	32064	UROK	\N	\N
3626789	2911	1998-04-30	PRIJEM	\N	154	37533	UROK	\N	\N
3626790	2911	1998-05-31	PRIJEM	\N	160	37769	UROK	\N	\N
3626791	2911	1998-06-30	PRIJEM	\N	174	36622	UROK	\N	\N
3626792	2911	1998-07-31	PRIJEM	\N	166	35324	UROK	\N	\N
3626793	2911	1998-08-31	PRIJEM	\N	170	41770	UROK	\N	\N
3626794	2911	1998-09-30	PRIJEM	\N	186	44331	UROK	\N	\N
3626795	2911	1998-10-31	PRIJEM	\N	197	49403	UROK	\N	\N
3626796	2911	1998-11-30	PRIJEM	\N	231	56509	UROK	\N	\N
3626797	2911	1998-12-31	PRIJEM	\N	277	67726	UROK	\N	\N
3626798	2912	1994-11-30	PRIJEM	\N	88	55832	UROK	\N	\N
3626799	2912	1994-12-31	PRIJEM	\N	239	65184	UROK	\N	\N
3626800	2912	1995-01-31	PRIJEM	\N	319	45549	UROK	\N	\N
3626801	2912	1995-02-28	PRIJEM	\N	272	54804	UROK	\N	\N
3626802	2912	1995-03-31	PRIJEM	\N	258	53369	UROK	\N	\N
3626803	2912	1995-04-30	PRIJEM	\N	231	51149	UROK	\N	\N
3626804	2912	1995-05-31	PRIJEM	\N	219	49482	UROK	\N	\N
3626805	2912	1995-06-30	PRIJEM	\N	286	68823	UROK	\N	\N
3626806	2912	1995-07-31	PRIJEM	\N	334	86451	UROK	\N	\N
3626807	2912	1995-08-31	PRIJEM	\N	347	55993	UROK	\N	\N
3626808	2912	1995-09-30	PRIJEM	\N	222	41100	UROK	\N	\N
3626809	2912	1995-10-31	PRIJEM	\N	276	54641	UROK	\N	\N
3626810	2912	1995-11-30	PRIJEM	\N	325	62709	UROK	\N	\N
3626811	2912	1995-12-31	PRIJEM	\N	322	50455	UROK	\N	\N
3626812	2912	1996-01-31	PRIJEM	\N	155	26705	UROK	\N	\N
3626813	2912	1996-02-29	PRIJEM	\N	108	24658	UROK	\N	\N
3626814	2912	1996-03-31	PRIJEM	\N	159	21593	UROK	\N	\N
3626815	2912	1996-04-30	PRIJEM	\N	135	73413	UROK	\N	\N
3626816	2912	1996-05-31	PRIJEM	\N	315	91915	UROK	\N	\N
3626817	2912	1996-06-30	PRIJEM	\N	272	92559	UROK	\N	\N
3626818	2912	1996-07-31	PRIJEM	\N	325	97162	UROK	\N	\N
3626819	2912	1996-08-31	PRIJEM	\N	326	59188	UROK	\N	\N
3626820	2912	1996-09-30	PRIJEM	\N	219	84567	UROK	\N	\N
3626821	2912	1996-10-31	PRIJEM	\N	349	79644	UROK	\N	\N
3626822	2912	1996-11-30	PRIJEM	\N	357	104576	UROK	\N	\N
3626823	2912	1996-12-31	PRIJEM	\N	368	77688	UROK	\N	\N
3626824	2912	1997-01-31	PRIJEM	\N	261	51356	UROK	\N	\N
3626825	2912	1997-02-28	PRIJEM	\N	173	26985	UROK	\N	\N
3626826	2912	1997-03-31	PRIJEM	\N	180	99400	UROK	\N	\N
3626827	2912	1997-04-30	PRIJEM	\N	275	32209	UROK	\N	\N
3626828	2912	1997-05-31	PRIJEM	\N	225	52495	UROK	\N	\N
3626829	2912	1997-06-30	PRIJEM	\N	187	37813	UROK	\N	\N
3626830	2912	1997-07-31	PRIJEM	\N	176	79757	UROK	\N	\N
3626831	2912	1997-08-31	PRIJEM	\N	311	81192	UROK	\N	\N
3626832	2912	1997-09-30	PRIJEM	\N	252	49794	UROK	\N	\N
3626833	2912	1997-10-31	PRIJEM	\N	162	34005	UROK	\N	\N
3626834	2912	1997-11-30	PRIJEM	\N	208	62367	UROK	\N	\N
3626835	2912	1997-12-31	PRIJEM	\N	205	41045	UROK	\N	\N
3626836	2912	1998-01-31	PRIJEM	\N	263	93995	UROK	\N	\N
3626837	2912	1998-02-28	PRIJEM	\N	306	61850	UROK	\N	\N
3626838	2912	1998-03-31	PRIJEM	\N	262	79346	UROK	\N	\N
3626839	2912	1998-04-30	PRIJEM	\N	385	81656	UROK	\N	\N
3626840	2912	1998-05-31	PRIJEM	\N	274	101728	UROK	\N	\N
3626841	2912	1998-06-30	PRIJEM	\N	345	87054	UROK	\N	\N
3626842	2912	1998-07-31	PRIJEM	\N	302	64104	UROK	\N	\N
3626843	2912	1998-08-31	PRIJEM	\N	228	50473	UROK	\N	\N
3626844	2912	1998-09-30	PRIJEM	\N	403	99149	UROK	\N	\N
3626845	2912	1998-10-31	PRIJEM	\N	237	41246	UROK	\N	\N
3626846	2912	1998-11-30	PRIJEM	\N	241	112822	UROK	\N	\N
3626847	2912	1998-12-31	PRIJEM	\N	272	58694	UROK	\N	\N
3626848	2913	1994-05-31	PRIJEM	\N	14	20969	UROK	\N	\N
3626849	2913	1994-06-30	PRIJEM	\N	78	17953	UROK	\N	\N
3626850	2913	1994-07-31	PRIJEM	\N	76	19506	UROK	\N	\N
3626851	2913	1994-08-31	PRIJEM	\N	83	21065	UROK	\N	\N
3626852	2913	1994-09-30	PRIJEM	\N	81	18922	UROK	\N	\N
3626853	2913	1994-10-31	PRIJEM	\N	68	16627	UROK	\N	\N
3626854	2913	1994-11-30	PRIJEM	\N	71	18174	UROK	\N	\N
3626855	2913	1994-12-31	PRIJEM	\N	76	19426	UROK	\N	\N
3626856	2913	1995-01-31	PRIJEM	\N	55	12798	UROK	\N	\N
3626857	2913	1995-02-28	PRIJEM	\N	54	14328	UROK	\N	\N
3626858	2913	1995-03-31	PRIJEM	\N	56	14661	UROK	\N	\N
3626859	2913	1995-04-30	PRIJEM	\N	62	16199	UROK	\N	\N
3626860	2913	1995-05-31	PRIJEM	\N	68	17044	UROK	\N	\N
3626861	2913	1995-06-30	PRIJEM	\N	70	17091	UROK	\N	\N
3626862	2913	1995-07-31	PRIJEM	\N	72	17939	UROK	\N	\N
3626863	2913	1995-08-31	PRIJEM	\N	76	19491	UROK	\N	\N
3626864	2913	1995-09-30	PRIJEM	\N	75	16783	UROK	\N	\N
3626865	2913	1995-10-31	PRIJEM	\N	71	18330	UROK	\N	\N
3626866	2913	1995-11-30	PRIJEM	\N	74	17081	UROK	\N	\N
3626867	2913	1995-12-31	PRIJEM	\N	65	15672	UROK	\N	\N
3626868	2913	1996-01-31	PRIJEM	\N	56	13604	UROK	\N	\N
3626869	2913	1996-02-29	PRIJEM	\N	58	15139	UROK	\N	\N
3626870	2913	1996-03-31	PRIJEM	\N	58	13673	UROK	\N	\N
3626871	2913	1996-04-30	PRIJEM	\N	57	14647	UROK	\N	\N
3626872	2913	1996-05-31	PRIJEM	\N	58	14181	UROK	\N	\N
3626873	2913	1996-06-30	PRIJEM	\N	55	13212	UROK	\N	\N
3626874	2913	1996-07-31	PRIJEM	\N	56	14745	UROK	\N	\N
3626875	2913	1996-08-31	PRIJEM	\N	63	16284	UROK	\N	\N
3626876	2913	1996-09-30	PRIJEM	\N	62	14782	UROK	\N	\N
3626877	2913	1996-10-31	PRIJEM	\N	63	16321	UROK	\N	\N
3626878	2913	1996-11-30	PRIJEM	\N	69	17866	UROK	\N	\N
3626879	2913	1996-12-31	PRIJEM	\N	69	17342	UROK	\N	\N
3626880	2913	1997-01-31	PRIJEM	\N	65	14243	UROK	\N	\N
3626881	2913	1997-02-28	PRIJEM	\N	60	15779	UROK	\N	\N
3626882	2913	1997-03-31	PRIJEM	\N	67	17323	UROK	\N	\N
3626883	2913	1997-04-30	PRIJEM	\N	69	17368	UROK	\N	\N
3626884	2913	1997-05-31	PRIJEM	\N	73	18917	UROK	\N	\N
3626885	2913	1997-06-30	PRIJEM	\N	80	20473	UROK	\N	\N
3626886	2913	1997-07-31	PRIJEM	\N	79	19789	UROK	\N	\N
3626887	2913	1997-08-31	PRIJEM	\N	80	20446	UROK	\N	\N
3626888	2913	1997-09-30	PRIJEM	\N	86	22008	UROK	\N	\N
3626889	2913	1997-10-31	PRIJEM	\N	86	21890	UROK	\N	\N
3626890	2913	1997-11-30	PRIJEM	\N	85	21452	UROK	\N	\N
3626891	2913	1997-12-31	PRIJEM	\N	78	16996	UROK	\N	\N
3626892	2913	1998-01-31	PRIJEM	\N	61	14934	UROK	\N	\N
3626893	2913	1998-02-28	PRIJEM	\N	62	16472	UROK	\N	\N
3626894	2913	1998-03-31	PRIJEM	\N	69	18018	UROK	\N	\N
3626895	2913	1998-04-30	PRIJEM	\N	63	15957	UROK	\N	\N
3626896	2913	1998-05-31	PRIJEM	\N	67	17500	UROK	\N	\N
3626897	2913	1998-06-30	PRIJEM	\N	72	18648	UROK	\N	\N
3626898	2913	1998-07-31	PRIJEM	\N	67	17412	UROK	\N	\N
3626899	2913	1998-08-31	PRIJEM	\N	64	16452	UROK	\N	\N
3626900	2913	1998-09-30	PRIJEM	\N	69	17997	UROK	\N	\N
3626901	2913	1998-10-31	PRIJEM	\N	62	16096	UROK	\N	\N
3626902	2913	1998-11-30	PRIJEM	\N	64	16836	UROK	\N	\N
3626903	2913	1998-12-31	PRIJEM	\N	70	17982	UROK	\N	\N
3626904	2914	1996-09-30	PRIJEM	\N	21	8105	UROK	\N	\N
3626905	2914	1996-10-31	PRIJEM	\N	81	25570	UROK	\N	\N
3626906	2914	1996-11-30	PRIJEM	\N	133	35887	UROK	\N	\N
3626907	2914	1996-12-31	PRIJEM	\N	168	43131	UROK	\N	\N
3626908	2914	1997-01-31	PRIJEM	\N	170	38364	UROK	\N	\N
3626909	2914	1997-02-28	PRIJEM	\N	152	37496	UROK	\N	\N
3626910	2914	1997-03-31	PRIJEM	\N	138	32415	UROK	\N	\N
3626911	2914	1997-04-30	PRIJEM	\N	133	33028	UROK	\N	\N
3626912	2914	1997-05-31	PRIJEM	\N	136	33744	UROK	\N	\N
3626913	2914	1997-06-30	PRIJEM	\N	120	25537	UROK	\N	\N
3626914	2914	1997-07-31	PRIJEM	\N	129	33446	UROK	\N	\N
3626915	2914	1997-08-31	PRIJEM	\N	147	37073	UROK	\N	\N
3626916	2914	1997-09-30	PRIJEM	\N	157	39311	UROK	\N	\N
3626917	2914	1997-10-31	PRIJEM	\N	166	41358	UROK	\N	\N
3626918	2914	1997-11-30	PRIJEM	\N	157	37994	UROK	\N	\N
3626919	2914	1997-12-31	PRIJEM	\N	175	44442	UROK	\N	\N
3626920	2914	1998-01-31	PRIJEM	\N	138	31760	UROK	\N	\N
3626921	2914	1998-02-28	PRIJEM	\N	143	35484	UROK	\N	\N
3626922	2914	1998-03-31	PRIJEM	\N	142	35106	UROK	\N	\N
3626923	2914	1998-04-30	PRIJEM	\N	141	35028	UROK	\N	\N
3626924	2914	1998-05-31	PRIJEM	\N	129	31337	UROK	\N	\N
3626925	2914	1998-06-30	PRIJEM	\N	127	30637	UROK	\N	\N
3626926	2914	1998-07-31	PRIJEM	\N	102	22419	UROK	\N	\N
3626927	2914	1998-08-31	PRIJEM	\N	84	23083	UROK	\N	\N
3626928	2914	1998-09-30	PRIJEM	\N	84	28548	UROK	\N	\N
3626929	2914	1998-10-31	PRIJEM	\N	127	34255	UROK	\N	\N
3626930	2914	1998-11-30	PRIJEM	\N	150	38785	UROK	\N	\N
3626931	2914	1998-12-31	PRIJEM	\N	164	40322	UROK	\N	\N
3626932	2916	1996-12-31	PRIJEM	\N	73	20049	UROK	\N	\N
3626933	2916	1997-01-31	PRIJEM	\N	136	34535	UROK	\N	\N
3626934	2916	1997-02-28	PRIJEM	\N	175	43562	UROK	\N	\N
3626935	2916	1997-03-31	PRIJEM	\N	195	47608	UROK	\N	\N
3626936	2916	1997-04-30	PRIJEM	\N	194	46090	UROK	\N	\N
3626937	2916	1997-05-31	PRIJEM	\N	195	43758	UROK	\N	\N
3626938	2916	1997-06-30	PRIJEM	\N	197	41353	UROK	\N	\N
3626939	2916	1997-07-31	PRIJEM	\N	184	44811	UROK	\N	\N
3626940	2916	1997-08-31	PRIJEM	\N	157	31641	UROK	\N	\N
3626941	2916	1997-09-30	PRIJEM	\N	145	33560	UROK	\N	\N
3626942	2916	1997-10-31	PRIJEM	\N	160	34993	UROK	\N	\N
3626943	2916	1997-11-30	PRIJEM	\N	158	31024	UROK	\N	\N
3626944	2916	1997-12-31	PRIJEM	\N	168	32991	UROK	\N	\N
3626945	2916	1998-01-31	PRIJEM	\N	125	22289	UROK	\N	\N
3626946	2916	1998-02-28	PRIJEM	\N	114	26377	UROK	\N	\N
3626947	2916	1998-03-31	PRIJEM	\N	124	28374	UROK	\N	\N
3626948	2916	1998-04-30	PRIJEM	\N	125	30872	UROK	\N	\N
3626949	2916	1998-05-31	PRIJEM	\N	147	31893	UROK	\N	\N
3626950	2916	1998-06-30	PRIJEM	\N	163	31255	UROK	\N	\N
3626951	2916	1998-07-31	PRIJEM	\N	148	32376	UROK	\N	\N
3626952	2916	1998-08-31	PRIJEM	\N	150	30999	UROK	\N	\N
3626953	2916	1998-09-30	PRIJEM	\N	146	32419	UROK	\N	\N
3626954	2916	1998-10-31	PRIJEM	\N	147	27039	UROK	\N	\N
3626955	2916	1998-11-30	PRIJEM	\N	118	27730	UROK	\N	\N
3626956	2916	1998-12-31	PRIJEM	\N	160	40488	UROK	\N	\N
3626957	2917	1996-09-30	PRIJEM	\N	91	28671	UROK	\N	\N
3626958	2917	1996-10-31	PRIJEM	\N	157	40609	UROK	\N	\N
3626959	2917	1996-11-30	PRIJEM	\N	197	49385	UROK	\N	\N
3626960	2917	1996-12-31	PRIJEM	\N	238	59643	UROK	\N	\N
3626961	2917	1997-01-31	PRIJEM	\N	212	41775	UROK	\N	\N
3626962	2917	1997-02-28	PRIJEM	\N	175	43558	UROK	\N	\N
3626963	2917	1997-03-31	PRIJEM	\N	171	38017	UROK	\N	\N
3626964	2917	1997-04-30	PRIJEM	\N	150	34575	UROK	\N	\N
3626965	2917	1997-05-31	PRIJEM	\N	146	36529	UROK	\N	\N
3626966	2917	1997-06-30	PRIJEM	\N	89	15807	UROK	\N	\N
3626967	2917	1997-07-31	PRIJEM	\N	100	26915	UROK	\N	\N
3626968	2917	1997-08-31	PRIJEM	\N	118	29002	UROK	\N	\N
3626969	2917	1997-09-30	PRIJEM	\N	118	29728	UROK	\N	\N
3626970	2917	1997-10-31	PRIJEM	\N	114	25830	UROK	\N	\N
3626971	2917	1997-11-30	PRIJEM	\N	98	23597	UROK	\N	\N
3626972	2917	1997-12-31	PRIJEM	\N	136	35042	UROK	\N	\N
3626973	2917	1998-01-31	PRIJEM	\N	78	15868	UROK	\N	\N
3626974	2917	1998-02-28	PRIJEM	\N	99	26675	UROK	\N	\N
3626975	2917	1998-03-31	PRIJEM	\N	142	37526	UROK	\N	\N
3626976	2917	1998-04-30	PRIJEM	\N	95	25529	UROK	\N	\N
3626977	2917	1998-05-31	PRIJEM	\N	134	12872	UROK	\N	\N
3626978	2917	1998-06-30	PRIJEM	\N	114	32135	UROK	\N	\N
3626979	2917	1998-07-31	PRIJEM	\N	168	43011	UROK	\N	\N
3626980	2917	1998-08-31	PRIJEM	\N	176	16035	UROK	\N	\N
3626981	2917	1998-09-30	PRIJEM	\N	100	26844	UROK	\N	\N
3626982	2917	1998-10-31	PRIJEM	\N	130	28562	UROK	\N	\N
3626983	2917	1998-11-30	PRIJEM	\N	144	37494	UROK	\N	\N
3626984	2917	1998-12-31	PRIJEM	\N	199	46962	UROK	\N	\N
3626985	2918	1997-12-31	PRIJEM	\N	9	8017	UROK	\N	\N
3626986	2918	1998-01-31	PRIJEM	\N	85	21870	UROK	\N	\N
3626987	2918	1998-02-28	PRIJEM	\N	91	23161	UROK	\N	\N
3626988	2918	1998-03-31	PRIJEM	\N	158	44628	UROK	\N	\N
3626989	2918	1998-04-30	PRIJEM	\N	193	55439	UROK	\N	\N
3626990	2918	1998-05-31	PRIJEM	\N	230	38650	UROK	\N	\N
3626991	2918	1998-06-30	PRIJEM	\N	69	6632	UROK	\N	\N
3626992	2918	1998-07-31	PRIJEM	\N	80	32725	UROK	\N	\N
3626993	2918	1998-08-31	PRIJEM	\N	108	28503	UROK	\N	\N
3626994	2918	1998-09-30	PRIJEM	\N	192	49829	UROK	\N	\N
3626995	2918	1998-10-31	PRIJEM	\N	322	99628	UROK	\N	\N
3626996	2918	1998-11-30	PRIJEM	\N	170	31575	UROK	\N	\N
3626997	2918	1998-12-31	PRIJEM	\N	178	53536	UROK	\N	\N
3626998	2919	1995-05-31	PRIJEM	\N	38	14201	UROK	\N	\N
3626999	2919	1995-06-30	PRIJEM	\N	125	39271	UROK	\N	\N
3627000	2919	1995-07-31	PRIJEM	\N	177	44611	UROK	\N	\N
3627001	2919	1995-08-31	PRIJEM	\N	190	46464	UROK	\N	\N
3627002	2919	1995-09-30	PRIJEM	\N	206	51633	UROK	\N	\N
3627003	2919	1995-10-31	PRIJEM	\N	190	43440	UROK	\N	\N
3627004	2919	1995-11-30	PRIJEM	\N	169	39927	UROK	\N	\N
3627005	2919	1995-12-31	PRIJEM	\N	148	38074	UROK	\N	\N
3627006	2919	1996-01-31	PRIJEM	\N	112	23823	UROK	\N	\N
3627007	2919	1996-02-29	PRIJEM	\N	108	25808	UROK	\N	\N
3627008	2919	1996-03-31	PRIJEM	\N	89	18255	UROK	\N	\N
3627009	2919	1996-04-30	PRIJEM	\N	82	17494	UROK	\N	\N
3627010	2919	1996-05-31	PRIJEM	\N	93	25304	UROK	\N	\N
3627011	2919	1996-06-30	PRIJEM	\N	123	30946	UROK	\N	\N
3627012	2919	1996-07-31	PRIJEM	\N	135	33797	UROK	\N	\N
3627013	2919	1996-08-31	PRIJEM	\N	140	34455	UROK	\N	\N
3627014	2919	1996-09-30	PRIJEM	\N	138	33210	UROK	\N	\N
3627015	2919	1996-10-31	PRIJEM	\N	129	30956	UROK	\N	\N
3627016	2919	1996-11-30	PRIJEM	\N	118	31291	UROK	\N	\N
3627017	2919	1996-12-31	PRIJEM	\N	116	19786	UROK	\N	\N
3627018	2919	1997-01-31	PRIJEM	\N	72	12655	UROK	\N	\N
3627019	2919	1997-02-28	PRIJEM	\N	64	15497	UROK	\N	\N
3627020	2919	1997-03-31	PRIJEM	\N	74	13809	UROK	\N	\N
3627021	2919	1997-04-30	PRIJEM	\N	73	16199	UROK	\N	\N
3627022	2919	1997-05-31	PRIJEM	\N	81	13398	UROK	\N	\N
3627023	2919	1997-06-30	PRIJEM	\N	78	17634	UROK	\N	\N
3627024	2919	1997-07-31	PRIJEM	\N	87	18339	UROK	\N	\N
3627025	2919	1997-08-31	PRIJEM	\N	90	19847	UROK	\N	\N
3627026	2919	1997-09-30	PRIJEM	\N	90	13454	UROK	\N	\N
3627027	2919	1997-10-31	PRIJEM	\N	66	15698	UROK	\N	\N
3627028	2919	1997-11-30	PRIJEM	\N	82	22397	UROK	\N	\N
3627029	2919	1997-12-31	PRIJEM	\N	112	21089	UROK	\N	\N
3627030	2919	1998-01-31	PRIJEM	\N	75	17701	UROK	\N	\N
3627031	2919	1998-02-28	PRIJEM	\N	85	19504	UROK	\N	\N
3627032	2919	1998-03-31	PRIJEM	\N	92	20313	UROK	\N	\N
3627033	2919	1998-04-30	PRIJEM	\N	94	20604	UROK	\N	\N
3627034	2919	1998-05-31	PRIJEM	\N	95	20077	UROK	\N	\N
3627035	2919	1998-06-30	PRIJEM	\N	104	20979	UROK	\N	\N
3627036	2919	1998-07-31	PRIJEM	\N	98	22494	UROK	\N	\N
3627037	2919	1998-08-31	PRIJEM	\N	99	21211	UROK	\N	\N
3627038	2919	1998-09-30	PRIJEM	\N	81	16929	UROK	\N	\N
3627039	2919	1998-10-31	PRIJEM	\N	73	14219	UROK	\N	\N
3627040	2919	1998-11-30	PRIJEM	\N	75	20912	UROK	\N	\N
3627041	2919	1998-12-31	PRIJEM	\N	109	30299	UROK	\N	\N
3627042	2920	1997-12-31	PRIJEM	\N	67	26323	UROK	\N	\N
3627043	2920	1998-01-31	PRIJEM	\N	138	36898	UROK	\N	\N
3627044	2920	1998-02-28	PRIJEM	\N	164	40899	UROK	\N	\N
3627045	2920	1998-03-31	PRIJEM	\N	163	38399	UROK	\N	\N
3627046	2920	1998-04-30	PRIJEM	\N	151	34794	UROK	\N	\N
3627047	2920	1998-05-31	PRIJEM	\N	130	26114	UROK	\N	\N
3627048	2920	1998-06-30	PRIJEM	\N	120	29281	UROK	\N	\N
3627049	2920	1998-07-31	PRIJEM	\N	112	25123	UROK	\N	\N
3627050	2920	1998-08-31	PRIJEM	\N	113	27166	UROK	\N	\N
3627051	2920	1998-09-30	PRIJEM	\N	126	27521	UROK	\N	\N
3627052	2920	1998-10-31	PRIJEM	\N	138	33988	UROK	\N	\N
3627053	2920	1998-11-30	PRIJEM	\N	138	28596	UROK	\N	\N
3627054	2920	1998-12-31	PRIJEM	\N	147	33071	UROK	\N	\N
3627055	2921	1996-10-31	PRIJEM	\N	30	20332	UROK	\N	\N
3627056	2921	1996-11-30	PRIJEM	\N	95	27229	UROK	\N	\N
3627057	2921	1996-12-31	PRIJEM	\N	126	35308	UROK	\N	\N
3627058	2921	1997-01-31	PRIJEM	\N	144	33754	UROK	\N	\N
3627059	2921	1997-02-28	PRIJEM	\N	138	32193	UROK	\N	\N
3627060	2921	1997-03-31	PRIJEM	\N	116	23600	UROK	\N	\N
3627061	2921	1997-04-30	PRIJEM	\N	101	19891	UROK	\N	\N
3627062	2921	1997-05-31	PRIJEM	\N	95	24377	UROK	\N	\N
3627063	2921	1997-06-30	PRIJEM	\N	135	21453	UROK	\N	\N
3627064	2921	1997-07-31	PRIJEM	\N	107	26751	UROK	\N	\N
3627065	2921	1997-08-31	PRIJEM	\N	118	28759	UROK	\N	\N
3627066	2921	1997-09-30	PRIJEM	\N	119	27468	UROK	\N	\N
3627067	2921	1997-10-31	PRIJEM	\N	116	27374	UROK	\N	\N
3627068	2921	1997-11-30	PRIJEM	\N	108	27372	UROK	\N	\N
3627069	2921	1997-12-31	PRIJEM	\N	130	32743	UROK	\N	\N
3627070	2921	1998-01-31	PRIJEM	\N	110	24644	UROK	\N	\N
3627071	2921	1998-02-28	PRIJEM	\N	131	37665	UROK	\N	\N
3627072	2921	1998-03-31	PRIJEM	\N	139	30795	UROK	\N	\N
3627073	2921	1998-04-30	PRIJEM	\N	143	28028	UROK	\N	\N
3627074	2921	1998-05-31	PRIJEM	\N	104	21922	UROK	\N	\N
3627075	2921	1998-06-30	PRIJEM	\N	118	34082	UROK	\N	\N
3627076	2921	1998-07-31	PRIJEM	\N	135	32507	UROK	\N	\N
3627077	2921	1998-08-31	PRIJEM	\N	135	34133	UROK	\N	\N
3627078	2921	1998-09-30	PRIJEM	\N	131	32454	UROK	\N	\N
3627079	2921	1998-10-31	PRIJEM	\N	120	29364	UROK	\N	\N
3627080	2921	1998-11-30	PRIJEM	\N	103	25557	UROK	\N	\N
3627081	2921	1998-12-31	PRIJEM	\N	114	29712	UROK	\N	\N
3627082	2923	1995-06-30	PRIJEM	\N	52	18661	UROK	\N	\N
3627083	2923	1995-07-31	PRIJEM	\N	82	20121	UROK	\N	\N
3627084	2923	1995-08-31	PRIJEM	\N	85	19824	UROK	\N	\N
3627085	2923	1995-09-30	PRIJEM	\N	76	17579	UROK	\N	\N
3627086	2923	1995-10-31	PRIJEM	\N	73	16870	UROK	\N	\N
3627087	2923	1995-11-30	PRIJEM	\N	74	18322	UROK	\N	\N
3627088	2923	1995-12-31	PRIJEM	\N	65	13905	UROK	\N	\N
3627089	2923	1996-01-31	PRIJEM	\N	51	11015	UROK	\N	\N
3627090	2923	1996-02-29	PRIJEM	\N	50	12443	UROK	\N	\N
3627091	2923	1996-03-31	PRIJEM	\N	56	13877	UROK	\N	\N
3627092	2923	1996-04-30	PRIJEM	\N	62	15317	UROK	\N	\N
3627093	2923	1996-05-31	PRIJEM	\N	68	16763	UROK	\N	\N
3627094	2923	1996-06-30	PRIJEM	\N	64	14495	UROK	\N	\N
3627095	2923	1996-07-31	PRIJEM	\N	64	15938	UROK	\N	\N
3627096	2923	1996-08-31	PRIJEM	\N	67	13144	UROK	\N	\N
3627097	2923	1996-09-30	PRIJEM	\N	55	12977	UROK	\N	\N
3627098	2923	1996-10-31	PRIJEM	\N	58	14413	UROK	\N	\N
3627099	2923	1996-11-30	PRIJEM	\N	64	15855	UROK	\N	\N
3627100	2923	1996-12-31	PRIJEM	\N	69	15853	UROK	\N	\N
3627101	2923	1997-01-31	PRIJEM	\N	61	13372	UROK	\N	\N
3627102	2923	1997-02-28	PRIJEM	\N	59	14810	UROK	\N	\N
3627103	2923	1997-03-31	PRIJEM	\N	65	15293	UROK	\N	\N
3627104	2923	1997-04-30	PRIJEM	\N	65	15616	UROK	\N	\N
3627105	2923	1997-05-31	PRIJEM	\N	69	17063	UROK	\N	\N
3627106	2923	1997-06-30	PRIJEM	\N	75	18516	UROK	\N	\N
3627107	2923	1997-07-31	PRIJEM	\N	81	19975	UROK	\N	\N
3627108	2923	1997-08-31	PRIJEM	\N	87	21441	UROK	\N	\N
3627109	2923	1997-09-30	PRIJEM	\N	93	22912	UROK	\N	\N
3627110	2923	1997-10-31	PRIJEM	\N	96	22226	UROK	\N	\N
3627111	2923	1997-11-30	PRIJEM	\N	96	23701	UROK	\N	\N
3627112	2923	1997-12-31	PRIJEM	\N	97	22366	UROK	\N	\N
3627113	2923	1998-01-31	PRIJEM	\N	88	17262	UROK	\N	\N
3627114	2923	1998-02-28	PRIJEM	\N	73	17753	UROK	\N	\N
3627115	2923	1998-03-31	PRIJEM	\N	77	19209	UROK	\N	\N
3627116	2923	1998-04-30	PRIJEM	\N	83	20470	UROK	\N	\N
3627117	2923	1998-05-31	PRIJEM	\N	85	18333	UROK	\N	\N
3627118	2923	1998-06-30	PRIJEM	\N	80	19791	UROK	\N	\N
3627119	2923	1998-07-31	PRIJEM	\N	86	21255	UROK	\N	\N
3627120	2923	1998-08-31	PRIJEM	\N	90	21524	UROK	\N	\N
3627121	2923	1998-09-30	PRIJEM	\N	82	18184	UROK	\N	\N
3627122	2923	1998-10-31	PRIJEM	\N	79	19642	UROK	\N	\N
3627123	2923	1998-11-30	PRIJEM	\N	80	18300	UROK	\N	\N
3627124	2923	1998-12-31	PRIJEM	\N	72	15251	UROK	\N	\N
3627125	2925	1993-01-31	PRIJEM	\N	20	7466	UROK	\N	\N
3627126	2925	1993-02-28	PRIJEM	\N	70	23082	UROK	\N	\N
3627127	2925	1993-03-31	PRIJEM	\N	108	27737	UROK	\N	\N
3627128	2925	1993-04-30	PRIJEM	\N	132	34215	UROK	\N	\N
3627129	2925	1993-05-31	PRIJEM	\N	132	26096	UROK	\N	\N
3627130	2925	1993-06-30	PRIJEM	\N	121	31575	UROK	\N	\N
3627131	2925	1993-07-31	PRIJEM	\N	108	19817	UROK	\N	\N
3627132	2925	1993-08-31	PRIJEM	\N	92	23144	UROK	\N	\N
3627133	2925	1993-09-30	PRIJEM	\N	111	28389	UROK	\N	\N
3627134	2925	1993-10-31	PRIJEM	\N	126	30950	UROK	\N	\N
3627135	2925	1993-11-30	PRIJEM	\N	130	31214	UROK	\N	\N
3627136	2925	1993-12-31	PRIJEM	\N	126	28098	UROK	\N	\N
3627137	2925	1994-01-31	PRIJEM	\N	103	19936	UROK	\N	\N
3627138	2925	1994-02-28	PRIJEM	\N	100	25670	UROK	\N	\N
3627139	2925	1994-03-31	PRIJEM	\N	110	26714	UROK	\N	\N
3627140	2925	1994-04-30	PRIJEM	\N	121	29269	UROK	\N	\N
3627141	2925	1994-05-31	PRIJEM	\N	119	27923	UROK	\N	\N
3627142	2925	1994-06-30	PRIJEM	\N	137	35617	UROK	\N	\N
3627143	2925	1994-07-31	PRIJEM	\N	139	30990	UROK	\N	\N
3627144	2925	1994-08-31	PRIJEM	\N	134	32759	UROK	\N	\N
3627145	2925	1994-09-30	PRIJEM	\N	144	35237	UROK	\N	\N
3627146	2925	1994-10-31	PRIJEM	\N	146	34617	UROK	\N	\N
3627147	2925	1994-11-30	PRIJEM	\N	136	29887	UROK	\N	\N
3627148	2925	1994-12-31	PRIJEM	\N	133	31678	UROK	\N	\N
3627149	2925	1995-01-31	PRIJEM	\N	99	27211	UROK	\N	\N
3627150	2925	1995-02-28	PRIJEM	\N	115	27560	UROK	\N	\N
3627151	2925	1995-03-31	PRIJEM	\N	120	26314	UROK	\N	\N
3627152	2925	1995-04-30	PRIJEM	\N	124	30872	UROK	\N	\N
3627153	2925	1995-05-31	PRIJEM	\N	130	31836	UROK	\N	\N
3627154	2925	1995-06-30	PRIJEM	\N	143	32737	UROK	\N	\N
3627155	2925	1995-07-31	PRIJEM	\N	140	32211	UROK	\N	\N
3627156	2925	1995-08-31	PRIJEM	\N	139	35284	UROK	\N	\N
3627157	2925	1995-09-30	PRIJEM	\N	149	33367	UROK	\N	\N
3627158	2925	1995-10-31	PRIJEM	\N	135	27337	UROK	\N	\N
3627159	2925	1995-11-30	PRIJEM	\N	110	24981	UROK	\N	\N
3627160	2925	1995-12-31	PRIJEM	\N	112	25651	UROK	\N	\N
3627161	2925	1996-01-31	PRIJEM	\N	98	19284	UROK	\N	\N
3627162	2925	1996-02-29	PRIJEM	\N	86	23404	UROK	\N	\N
3627163	2925	1996-03-31	PRIJEM	\N	103	27041	UROK	\N	\N
3627164	2925	1996-04-30	PRIJEM	\N	114	26790	UROK	\N	\N
3627165	2925	1996-05-31	PRIJEM	\N	112	25536	UROK	\N	\N
3627166	2925	1996-06-30	PRIJEM	\N	111	24803	UROK	\N	\N
3627167	2925	1996-07-31	PRIJEM	\N	98	21236	UROK	\N	\N
3627168	2925	1996-08-31	PRIJEM	\N	86	18956	UROK	\N	\N
3627169	2925	1996-09-30	PRIJEM	\N	73	14664	UROK	\N	\N
3627170	2925	1996-10-31	PRIJEM	\N	64	16362	UROK	\N	\N
3627171	2925	1996-11-30	PRIJEM	\N	64	13660	UROK	\N	\N
3627172	2925	1996-12-31	PRIJEM	\N	64	16981	UROK	\N	\N
3627173	2925	1997-01-31	PRIJEM	\N	70	17086	UROK	\N	\N
3627174	2925	1997-02-28	PRIJEM	\N	74	19294	UROK	\N	\N
3627175	2925	1997-03-31	PRIJEM	\N	83	21511	UROK	\N	\N
3627176	2925	1997-04-30	PRIJEM	\N	92	23738	UROK	\N	\N
3627177	2925	1997-05-31	PRIJEM	\N	102	25974	UROK	\N	\N
3627178	2925	1997-06-30	PRIJEM	\N	88	14719	UROK	\N	\N
3627179	2925	1997-07-31	PRIJEM	\N	64	16917	UROK	\N	\N
3627180	2925	1997-08-31	PRIJEM	\N	73	19125	UROK	\N	\N
3627181	2925	1997-09-30	PRIJEM	\N	82	21341	UROK	\N	\N
3627182	2925	1997-10-31	PRIJEM	\N	78	18153	UROK	\N	\N
3627183	2925	1997-11-30	PRIJEM	\N	74	18161	UROK	\N	\N
3627184	2925	1997-12-31	PRIJEM	\N	80	20698	UROK	\N	\N
3627185	2925	1998-01-31	PRIJEM	\N	79	17012	UROK	\N	\N
3627186	2925	1998-02-28	PRIJEM	\N	72	19218	UROK	\N	\N
3627187	2925	1998-03-31	PRIJEM	\N	82	21435	UROK	\N	\N
3627188	2925	1998-04-30	PRIJEM	\N	87	21656	UROK	\N	\N
3627189	2925	1998-05-31	PRIJEM	\N	84	20274	UROK	\N	\N
3627190	2925	1998-06-30	PRIJEM	\N	93	25725	UROK	\N	\N
3627191	2925	1998-07-31	PRIJEM	\N	109	27968	UROK	\N	\N
3627192	2925	1998-08-31	PRIJEM	\N	118	30220	UROK	\N	\N
3627193	2925	1998-09-30	PRIJEM	\N	127	32481	UROK	\N	\N
3627194	2925	1998-10-31	PRIJEM	\N	135	30150	UROK	\N	\N
3627195	2925	1998-11-30	PRIJEM	\N	119	28803	UROK	\N	\N
3627196	2925	1998-12-31	PRIJEM	\N	126	32687	UROK	\N	\N
3627197	2926	1993-02-28	PRIJEM	\N	48	20232	UROK	\N	\N
3627198	2926	1993-03-31	PRIJEM	\N	97	26013	UROK	\N	\N
3627199	2926	1993-04-30	PRIJEM	\N	117	29914	UROK	\N	\N
3627200	2926	1993-05-31	PRIJEM	\N	132	33130	UROK	\N	\N
3627201	2926	1993-06-30	PRIJEM	\N	149	34340	UROK	\N	\N
3627202	2926	1993-07-31	PRIJEM	\N	143	32044	UROK	\N	\N
3627203	2926	1993-08-31	PRIJEM	\N	133	30639	UROK	\N	\N
3627204	2926	1993-09-30	PRIJEM	\N	120	26760	UROK	\N	\N
3627205	2926	1993-10-31	PRIJEM	\N	126	30048	UROK	\N	\N
3627206	2926	1993-11-30	PRIJEM	\N	132	31841	UROK	\N	\N
3627207	2926	1993-12-31	PRIJEM	\N	134	30529	UROK	\N	\N
3627208	2926	1994-01-31	PRIJEM	\N	102	17512	UROK	\N	\N
3627209	2926	1994-02-28	PRIJEM	\N	107	28480	UROK	\N	\N
3627210	2926	1994-03-31	PRIJEM	\N	119	28161	UROK	\N	\N
3627211	2926	1994-04-30	PRIJEM	\N	125	29647	UROK	\N	\N
3627212	2926	1994-05-31	PRIJEM	\N	127	29936	UROK	\N	\N
3627213	2926	1994-06-30	PRIJEM	\N	145	34434	UROK	\N	\N
3627214	2926	1994-07-31	PRIJEM	\N	153	37748	UROK	\N	\N
3627215	2926	1994-08-31	PRIJEM	\N	159	38229	UROK	\N	\N
3627216	2926	1994-09-30	PRIJEM	\N	152	35362	UROK	\N	\N
3627217	2926	1994-10-31	PRIJEM	\N	144	33848	UROK	\N	\N
3627218	2926	1994-11-30	PRIJEM	\N	153	38262	UROK	\N	\N
3627219	2926	1994-12-31	PRIJEM	\N	185	42220	UROK	\N	\N
3627220	2926	1995-01-31	PRIJEM	\N	142	30523	UROK	\N	\N
3627221	2926	1995-02-28	PRIJEM	\N	147	36332	UROK	\N	\N
3627222	2926	1995-03-31	PRIJEM	\N	149	29842	UROK	\N	\N
3627223	2926	1995-04-30	PRIJEM	\N	149	37953	UROK	\N	\N
3627224	2926	1995-05-31	PRIJEM	\N	162	39276	UROK	\N	\N
3627225	2926	1995-06-30	PRIJEM	\N	191	48420	UROK	\N	\N
3627226	2926	1995-07-31	PRIJEM	\N	188	44969	UROK	\N	\N
3627227	2926	1995-08-31	PRIJEM	\N	182	43073	UROK	\N	\N
3627228	2926	1995-09-30	PRIJEM	\N	184	45718	UROK	\N	\N
3627229	2926	1995-10-31	PRIJEM	\N	176	43475	UROK	\N	\N
3627230	2926	1995-11-30	PRIJEM	\N	167	41983	UROK	\N	\N
3627231	2926	1995-12-31	PRIJEM	\N	179	35435	UROK	\N	\N
3627232	2926	1996-01-31	PRIJEM	\N	143	33919	UROK	\N	\N
3627233	2926	1996-02-29	PRIJEM	\N	155	40236	UROK	\N	\N
3627234	2926	1996-03-31	PRIJEM	\N	179	42996	UROK	\N	\N
3627235	2926	1996-04-30	PRIJEM	\N	171	37548	UROK	\N	\N
3627236	2926	1996-05-31	PRIJEM	\N	173	38882	UROK	\N	\N
3627237	2926	1996-06-30	PRIJEM	\N	171	36346	UROK	\N	\N
3627238	2926	1996-07-31	PRIJEM	\N	168	36776	UROK	\N	\N
3627239	2926	1996-08-31	PRIJEM	\N	169	38106	UROK	\N	\N
3627240	2926	1996-09-30	PRIJEM	\N	177	40144	UROK	\N	\N
3627241	2926	1996-10-31	PRIJEM	\N	182	42288	UROK	\N	\N
3627242	2926	1996-11-30	PRIJEM	\N	185	39254	UROK	\N	\N
3627243	2926	1996-12-31	PRIJEM	\N	194	46301	UROK	\N	\N
3627244	2926	1997-01-31	PRIJEM	\N	180	32542	UROK	\N	\N
3627245	2926	1997-02-28	PRIJEM	\N	151	35675	UROK	\N	\N
3627246	2926	1997-03-31	PRIJEM	\N	168	41904	UROK	\N	\N
3627247	2926	1997-04-30	PRIJEM	\N	185	42310	UROK	\N	\N
3627248	2926	1997-05-31	PRIJEM	\N	190	45662	UROK	\N	\N
3627249	2926	1997-06-30	PRIJEM	\N	140	39976	UROK	\N	\N
3627250	2926	1997-07-31	PRIJEM	\N	187	47124	UROK	\N	\N
3627251	2926	1997-08-31	PRIJEM	\N	213	52799	UROK	\N	\N
3627252	2926	1997-09-30	PRIJEM	\N	227	52988	UROK	\N	\N
3627253	2926	1997-10-31	PRIJEM	\N	226	51275	UROK	\N	\N
3627254	2926	1997-11-30	PRIJEM	\N	201	45758	UROK	\N	\N
3627255	2926	1997-12-31	PRIJEM	\N	200	42911	UROK	\N	\N
3627256	2926	1998-01-31	PRIJEM	\N	164	33537	UROK	\N	\N
3627257	2926	1998-02-28	PRIJEM	\N	162	43560	UROK	\N	\N
3627258	2926	1998-03-31	PRIJEM	\N	183	42745	UROK	\N	\N
3627259	2926	1998-04-30	PRIJEM	\N	185	42512	UROK	\N	\N
3627260	2926	1998-05-31	PRIJEM	\N	180	41553	UROK	\N	\N
3627261	2926	1998-06-30	PRIJEM	\N	147	24193	UROK	\N	\N
3627262	2926	1998-07-31	PRIJEM	\N	113	28367	UROK	\N	\N
3627263	2926	1998-08-31	PRIJEM	\N	131	32859	UROK	\N	\N
3627264	2926	1998-09-30	PRIJEM	\N	151	38572	UROK	\N	\N
3627265	2926	1998-10-31	PRIJEM	\N	167	40800	UROK	\N	\N
3627266	2926	1998-11-30	PRIJEM	\N	172	38754	UROK	\N	\N
3627267	2926	1998-12-31	PRIJEM	\N	184	44251	UROK	\N	\N
3627268	2927	1997-09-30	PRIJEM	\N	89	54760	UROK	\N	\N
3627269	2927	1997-10-31	PRIJEM	\N	228	36788	UROK	\N	\N
3627270	2927	1997-11-30	PRIJEM	\N	228	34416	UROK	\N	\N
3627271	2927	1997-12-31	PRIJEM	\N	228	28144	UROK	\N	\N
3627272	2927	1998-01-31	PRIJEM	\N	225	32768	UROK	\N	\N
3627273	2927	1998-03-31	PRIJEM	\N	136	34704	UROK	\N	\N
3627274	2927	1998-04-30	PRIJEM	\N	136	34740	UROK	\N	\N
3627275	2927	1998-05-31	PRIJEM	\N	221	82849	UROK	\N	\N
3627276	2927	1998-06-30	PRIJEM	\N	268	99858	UROK	\N	\N
3627277	2927	1998-07-31	PRIJEM	\N	309	67367	UROK	\N	\N
3627278	2927	1998-08-31	PRIJEM	\N	315	99064	UROK	\N	\N
3627279	2927	1998-09-30	PRIJEM	\N	420	56246	UROK	\N	\N
3627280	2927	1998-10-31	PRIJEM	\N	194	44255	UROK	\N	\N
3627281	2927	1998-11-30	PRIJEM	\N	260	64522	UROK	\N	\N
3627282	2927	1998-12-31	PRIJEM	\N	182	35447	UROK	\N	\N
3627283	2928	1994-05-31	PRIJEM	\N	70	27525	UROK	\N	\N
3627284	2928	1994-06-30	PRIJEM	\N	98	21574	UROK	\N	\N
3627285	2928	1994-07-31	PRIJEM	\N	95	23619	UROK	\N	\N
3627286	2928	1994-08-31	PRIJEM	\N	103	25673	UROK	\N	\N
3627287	2928	1994-09-30	PRIJEM	\N	100	23763	UROK	\N	\N
3627288	2928	1994-10-31	PRIJEM	\N	104	25817	UROK	\N	\N
3627289	2928	1994-11-30	PRIJEM	\N	105	23192	UROK	\N	\N
3627290	2928	1994-12-31	PRIJEM	\N	99	24092	UROK	\N	\N
3627291	2928	1995-01-31	PRIJEM	\N	104	21996	UROK	\N	\N
3627292	2928	1995-02-28	PRIJEM	\N	96	24042	UROK	\N	\N
3627293	2928	1995-03-31	PRIJEM	\N	96	20409	UROK	\N	\N
3627294	2928	1995-04-30	PRIJEM	\N	90	22449	UROK	\N	\N
3627295	2928	1995-05-31	PRIJEM	\N	98	23297	UROK	\N	\N
3627296	2928	1995-06-30	PRIJEM	\N	95	13343	UROK	\N	\N
3627297	2928	1995-07-31	PRIJEM	\N	60	15353	UROK	\N	\N
3627298	2928	1995-08-31	PRIJEM	\N	69	17373	UROK	\N	\N
3627299	2928	1995-09-30	PRIJEM	\N	77	19400	UROK	\N	\N
3627300	2928	1995-10-31	PRIJEM	\N	85	20796	UROK	\N	\N
3627301	2928	1995-11-30	PRIJEM	\N	90	20436	UROK	\N	\N
3627302	2928	1995-12-31	PRIJEM	\N	84	21971	UROK	\N	\N
3627303	2928	1996-01-31	PRIJEM	\N	76	19447	UROK	\N	\N
3627304	2928	1996-02-29	PRIJEM	\N	85	21483	UROK	\N	\N
3627305	2928	1996-03-31	PRIJEM	\N	94	23528	UROK	\N	\N
3627306	2928	1996-04-30	PRIJEM	\N	103	25580	UROK	\N	\N
3627307	2928	1996-05-31	PRIJEM	\N	101	25392	UROK	\N	\N
3627308	2928	1996-06-30	PRIJEM	\N	110	27452	UROK	\N	\N
3627309	2928	1996-07-31	PRIJEM	\N	107	24869	UROK	\N	\N
3627310	2928	1996-08-31	PRIJEM	\N	108	26928	UROK	\N	\N
3627311	2928	1996-09-30	PRIJEM	\N	112	28590	UROK	\N	\N
3627312	2928	1996-10-31	PRIJEM	\N	124	30664	UROK	\N	\N
3627313	2928	1996-11-30	PRIJEM	\N	127	30901	UROK	\N	\N
3627314	2928	1996-12-31	PRIJEM	\N	127	29949	UROK	\N	\N
3627315	2928	1997-01-31	PRIJEM	\N	118	26857	UROK	\N	\N
3627316	2928	1997-02-28	PRIJEM	\N	116	28923	UROK	\N	\N
3627317	2928	1997-03-31	PRIJEM	\N	124	29638	UROK	\N	\N
3627318	2928	1997-04-30	PRIJEM	\N	127	31716	UROK	\N	\N
3627319	2928	1997-05-31	PRIJEM	\N	135	32681	UROK	\N	\N
3627320	2928	1997-06-30	PRIJEM	\N	105	21817	UROK	\N	\N
3627321	2928	1997-07-31	PRIJEM	\N	94	23461	UROK	\N	\N
3627322	2928	1997-08-31	PRIJEM	\N	102	25513	UROK	\N	\N
3627323	2928	1997-09-30	PRIJEM	\N	110	27573	UROK	\N	\N
3627324	2928	1997-10-31	PRIJEM	\N	119	29642	UROK	\N	\N
3627325	2928	1997-11-30	PRIJEM	\N	124	28256	UROK	\N	\N
3627326	2928	1997-12-31	PRIJEM	\N	117	26724	UROK	\N	\N
3627327	2928	1998-01-31	PRIJEM	\N	107	25631	UROK	\N	\N
3627328	2928	1998-02-28	PRIJEM	\N	110	27692	UROK	\N	\N
3627329	2928	1998-03-31	PRIJEM	\N	117	28359	UROK	\N	\N
3627330	2928	1998-04-30	PRIJEM	\N	106	22196	UROK	\N	\N
3627331	2928	1998-05-31	PRIJEM	\N	95	23741	UROK	\N	\N
3627332	2928	1998-06-30	PRIJEM	\N	100	24191	UROK	\N	\N
3627333	2928	1998-07-31	PRIJEM	\N	104	26245	UROK	\N	\N
3627334	2928	1998-08-31	PRIJEM	\N	106	23381	UROK	\N	\N
3627335	2928	1998-09-30	PRIJEM	\N	100	25432	UROK	\N	\N
3627336	2928	1998-10-31	PRIJEM	\N	108	26050	UROK	\N	\N
3627337	2928	1998-11-30	PRIJEM	\N	108	25249	UROK	\N	\N
3627338	2928	1998-12-31	PRIJEM	\N	107	26656	UROK	\N	\N
3627339	2929	1996-05-31	PRIJEM	\N	113	32496	UROK	\N	\N
3627340	2929	1996-06-30	PRIJEM	\N	215	54785	UROK	\N	\N
3627341	2929	1996-07-31	PRIJEM	\N	234	56603	UROK	\N	\N
3627342	2929	1996-08-31	PRIJEM	\N	313	77798	UROK	\N	\N
3627343	2929	1996-09-30	PRIJEM	\N	335	77101	UROK	\N	\N
3627344	2929	1996-10-31	PRIJEM	\N	330	76085	UROK	\N	\N
3627345	2929	1996-11-30	PRIJEM	\N	305	71692	UROK	\N	\N
3627346	2929	1996-12-31	PRIJEM	\N	293	66230	UROK	\N	\N
3627347	2929	1997-01-31	PRIJEM	\N	221	31556	UROK	\N	\N
3627348	2929	1997-02-28	PRIJEM	\N	190	54199	UROK	\N	\N
3627349	2929	1997-03-31	PRIJEM	\N	197	27974	UROK	\N	\N
3627350	2929	1997-04-30	PRIJEM	\N	218	48707	UROK	\N	\N
3627351	2929	1997-05-31	PRIJEM	\N	250	55110	UROK	\N	\N
3627352	2929	1997-06-30	PRIJEM	\N	266	48751	UROK	\N	\N
3627353	2929	1997-07-31	PRIJEM	\N	230	48834	UROK	\N	\N
3627354	2929	1997-08-31	PRIJEM	\N	236	37987	UROK	\N	\N
3627355	2929	1997-09-30	PRIJEM	\N	221	52061	UROK	\N	\N
3627356	2929	1997-10-31	PRIJEM	\N	283	56998	UROK	\N	\N
3627357	2929	1997-11-30	PRIJEM	\N	295	64646	UROK	\N	\N
3627358	2929	1997-12-31	PRIJEM	\N	271	51923	UROK	\N	\N
3627359	2929	1998-01-31	PRIJEM	\N	217	36394	UROK	\N	\N
3627360	2929	1998-02-28	PRIJEM	\N	190	51145	UROK	\N	\N
3627361	2929	1998-03-31	PRIJEM	\N	270	59368	UROK	\N	\N
3627362	2929	1998-04-30	PRIJEM	\N	302	67324	UROK	\N	\N
3627363	2929	1998-05-31	PRIJEM	\N	329	68306	UROK	\N	\N
3627364	2929	1998-06-30	PRIJEM	\N	343	60293	UROK	\N	\N
3627365	2929	1998-07-31	PRIJEM	\N	303	68549	UROK	\N	\N
3627366	2929	1998-08-31	PRIJEM	\N	331	73534	UROK	\N	\N
3627367	2929	1998-09-30	PRIJEM	\N	336	63705	UROK	\N	\N
3627368	2929	1998-10-31	PRIJEM	\N	314	73472	UROK	\N	\N
3627369	2929	1998-11-30	PRIJEM	\N	284	61310	UROK	\N	\N
3627370	2929	1998-12-31	PRIJEM	\N	310	70149	UROK	\N	\N
3627371	2930	1996-09-30	PRIJEM	\N	42	37375	UROK	\N	\N
3627372	2930	1996-10-31	PRIJEM	\N	154	35757	UROK	\N	\N
3627373	2930	1996-11-30	PRIJEM	\N	228	58239	UROK	\N	\N
3627374	2930	1996-12-31	PRIJEM	\N	238	52028	UROK	\N	\N
3627375	2930	1997-01-31	PRIJEM	\N	155	30236	UROK	\N	\N
3627376	2930	1997-02-28	PRIJEM	\N	218	57627	UROK	\N	\N
3627377	2930	1997-03-31	PRIJEM	\N	213	69420	UROK	\N	\N
3627378	2930	1997-04-30	PRIJEM	\N	278	50722	UROK	\N	\N
3627379	2930	1997-05-31	PRIJEM	\N	266	59278	UROK	\N	\N
3627380	2930	1997-06-30	PRIJEM	\N	254	90907	UROK	\N	\N
3627381	2930	1997-07-31	PRIJEM	\N	350	38878	UROK	\N	\N
3627382	2930	1997-08-31	PRIJEM	\N	131	34063	UROK	\N	\N
3627383	2930	1997-09-30	PRIJEM	\N	252	71909	UROK	\N	\N
3627384	2930	1997-10-31	PRIJEM	\N	260	63459	UROK	\N	\N
3627385	2930	1997-11-30	PRIJEM	\N	180	36994	UROK	\N	\N
3627386	2930	1997-12-31	PRIJEM	\N	273	72796	UROK	\N	\N
3627387	2930	1998-01-31	PRIJEM	\N	397	103585	UROK	\N	\N
3627388	2930	1998-02-28	PRIJEM	\N	284	32916	UROK	\N	\N
3627389	2930	1998-03-31	PRIJEM	\N	189	87476	UROK	\N	\N
3627390	2930	1998-04-30	PRIJEM	\N	296	64226	UROK	\N	\N
3627391	2930	1998-05-31	PRIJEM	\N	317	105492	UROK	\N	\N
3627392	2930	1998-06-30	PRIJEM	\N	335	53448	UROK	\N	\N
3627393	2930	1998-07-31	PRIJEM	\N	246	62893	UROK	\N	\N
3627394	2930	1998-08-31	PRIJEM	\N	311	78027	UROK	\N	\N
3627395	2930	1998-09-30	PRIJEM	\N	308	82441	UROK	\N	\N
3627396	2930	1998-10-31	PRIJEM	\N	341	57847	UROK	\N	\N
3627397	2930	1998-11-30	PRIJEM	\N	274	68825	UROK	\N	\N
3627398	2930	1998-12-31	PRIJEM	\N	351	85859	UROK	\N	\N
3627399	2931	1995-05-31	PRIJEM	\N	13	4839	UROK	\N	\N
3627400	2931	1995-06-30	PRIJEM	\N	20	9185	UROK	\N	\N
3627401	2931	1995-07-31	PRIJEM	\N	20	13531	UROK	\N	\N
3627402	2931	1995-08-31	PRIJEM	\N	20	17877	UROK	\N	\N
3627403	2931	1995-09-30	PRIJEM	\N	23	22226	UROK	\N	\N
3627404	2931	1995-10-31	PRIJEM	\N	92	22545	UROK	\N	\N
3627405	2931	1995-11-30	PRIJEM	\N	96	23588	UROK	\N	\N
3627406	2931	1995-12-31	PRIJEM	\N	100	24215	UROK	\N	\N
3627407	2931	1996-01-31	PRIJEM	\N	77	16440	UROK	\N	\N
3627408	2931	1996-02-29	PRIJEM	\N	72	17939	UROK	\N	\N
3627409	2931	1996-03-31	PRIJEM	\N	79	19445	UROK	\N	\N
3627410	2931	1996-04-30	PRIJEM	\N	85	20957	UROK	\N	\N
3627411	2931	1996-05-31	PRIJEM	\N	84	20549	UROK	\N	\N
3627412	2931	1996-06-30	PRIJEM	\N	89	22066	UROK	\N	\N
3627413	2931	1996-07-31	PRIJEM	\N	87	21740	UROK	\N	\N
3627414	2931	1996-08-31	PRIJEM	\N	79	19406	UROK	\N	\N
3627415	2931	1996-09-30	PRIJEM	\N	81	18834	UROK	\N	\N
3627416	2931	1996-10-31	PRIJEM	\N	77	18338	UROK	\N	\N
3627417	2931	1996-11-30	PRIJEM	\N	80	19845	UROK	\N	\N
3627418	2931	1996-12-31	PRIJEM	\N	83	19156	UROK	\N	\N
3627419	2931	1997-01-31	PRIJEM	\N	57	13750	UROK	\N	\N
3627420	2931	1997-02-28	PRIJEM	\N	61	15238	UROK	\N	\N
3627421	2931	1997-03-31	PRIJEM	\N	63	14009	UROK	\N	\N
3627422	2931	1997-04-30	PRIJEM	\N	62	15498	UROK	\N	\N
3627423	2931	1997-05-31	PRIJEM	\N	63	16108	UROK	\N	\N
3627424	2931	1997-06-30	PRIJEM	\N	71	17606	UROK	\N	\N
3627425	2931	1997-07-31	PRIJEM	\N	77	19110	UROK	\N	\N
3627426	2931	1997-08-31	PRIJEM	\N	83	20621	UROK	\N	\N
3627427	2931	1997-09-30	PRIJEM	\N	89	22137	UROK	\N	\N
3627428	2931	1997-10-31	PRIJEM	\N	88	18613	UROK	\N	\N
3627429	2931	1997-11-30	PRIJEM	\N	79	16599	UROK	\N	\N
3627430	2931	1997-12-31	PRIJEM	\N	67	16073	UROK	\N	\N
3627431	2931	1998-01-31	PRIJEM	\N	63	15163	UROK	\N	\N
3627432	2931	1998-02-28	PRIJEM	\N	66	16657	UROK	\N	\N
3627433	2931	1998-03-31	PRIJEM	\N	73	18157	UROK	\N	\N
3627434	2931	1998-04-30	PRIJEM	\N	79	19663	UROK	\N	\N
3627435	2931	1998-05-31	PRIJEM	\N	85	21175	UROK	\N	\N
3627436	2931	1998-06-30	PRIJEM	\N	89	22132	UROK	\N	\N
3627437	2931	1998-07-31	PRIJEM	\N	95	23654	UROK	\N	\N
3627438	2931	1998-08-31	PRIJEM	\N	99	22940	UROK	\N	\N
3627439	2931	1998-09-30	PRIJEM	\N	99	24466	UROK	\N	\N
3627440	2931	1998-10-31	PRIJEM	\N	99	24393	UROK	\N	\N
3627441	2931	1998-11-30	PRIJEM	\N	104	25925	UROK	\N	\N
3627442	2931	1998-12-31	PRIJEM	\N	108	26361	UROK	\N	\N
3627443	2932	1993-05-31	PRIJEM	\N	34	23229	UROK	\N	\N
3627444	2932	1993-06-30	PRIJEM	\N	269	73131	UROK	\N	\N
3627445	2932	1993-07-31	PRIJEM	\N	306	63824	UROK	\N	\N
3627446	2932	1993-08-31	PRIJEM	\N	193	51483	UROK	\N	\N
3627447	2932	1993-09-30	PRIJEM	\N	310	87903	UROK	\N	\N
3627448	2932	1993-10-31	PRIJEM	\N	290	51731	UROK	\N	\N
3627449	2932	1993-11-30	PRIJEM	\N	128	26263	UROK	\N	\N
3627450	2932	1993-12-31	PRIJEM	\N	185	43957	UROK	\N	\N
3627451	2932	1994-01-31	PRIJEM	\N	164	31882	UROK	\N	\N
3627452	2932	1994-02-28	PRIJEM	\N	164	78060	UROK	\N	\N
3627453	2932	1994-03-31	PRIJEM	\N	208	56056	UROK	\N	\N
3627454	2932	1994-04-30	PRIJEM	\N	286	59100	UROK	\N	\N
3627455	2932	1994-05-31	PRIJEM	\N	179	31707	UROK	\N	\N
3627456	2932	1994-06-30	PRIJEM	\N	219	46595	UROK	\N	\N
3627457	2932	1994-07-31	PRIJEM	\N	251	50217	UROK	\N	\N
3627458	2932	1994-08-31	PRIJEM	\N	254	48488	UROK	\N	\N
3627459	2932	1994-09-30	PRIJEM	\N	220	63083	UROK	\N	\N
3627460	2932	1994-10-31	PRIJEM	\N	401	60139	UROK	\N	\N
3627461	2932	1994-11-30	PRIJEM	\N	343	55994	UROK	\N	\N
3627462	2932	1994-12-31	PRIJEM	\N	317	55655	UROK	\N	\N
3627463	2932	1995-01-31	PRIJEM	\N	210	32881	UROK	\N	\N
3627464	2932	1995-02-28	PRIJEM	\N	123	27332	UROK	\N	\N
3627465	2932	1995-03-31	PRIJEM	\N	104	26764	UROK	\N	\N
3627466	2932	1995-04-30	PRIJEM	\N	100	24492	UROK	\N	\N
3627467	2932	1995-05-31	PRIJEM	\N	93	24313	UROK	\N	\N
3627468	2932	1995-06-30	PRIJEM	\N	113	33627	UROK	\N	\N
3627469	2932	1995-07-31	PRIJEM	\N	139	55891	UROK	\N	\N
3627470	2932	1995-08-31	PRIJEM	\N	203	39823	UROK	\N	\N
3627471	2932	1995-09-30	PRIJEM	\N	256	54936	UROK	\N	\N
3627472	2932	1995-10-31	PRIJEM	\N	183	26959	UROK	\N	\N
3627473	2932	1995-11-30	PRIJEM	\N	103	25690	UROK	\N	\N
3627474	2932	1995-12-31	PRIJEM	\N	101	26219	UROK	\N	\N
3627475	2932	1996-01-31	PRIJEM	\N	205	83185	UROK	\N	\N
3627476	2932	1996-02-29	PRIJEM	\N	321	73388	UROK	\N	\N
3627477	2932	1996-03-31	PRIJEM	\N	285	65392	UROK	\N	\N
3627478	2932	1996-04-30	PRIJEM	\N	210	39787	UROK	\N	\N
3627479	2932	1996-05-31	PRIJEM	\N	162	80998	UROK	\N	\N
3627480	2932	1996-06-30	PRIJEM	\N	274	51701	UROK	\N	\N
3627481	2932	1996-07-31	PRIJEM	\N	257	65832	UROK	\N	\N
3627482	2932	1996-08-31	PRIJEM	\N	269	79817	UROK	\N	\N
3627483	2932	1996-09-30	PRIJEM	\N	312	77064	UROK	\N	\N
3627484	2932	1996-10-31	PRIJEM	\N	347	82618	UROK	\N	\N
3627485	2932	1996-11-30	PRIJEM	\N	294	60359	UROK	\N	\N
3627486	2932	1996-12-31	PRIJEM	\N	320	106178	UROK	\N	\N
3627487	2932	1997-01-31	PRIJEM	\N	275	39181	UROK	\N	\N
3627488	2932	1997-02-28	PRIJEM	\N	157	38166	UROK	\N	\N
3627489	2932	1997-03-31	PRIJEM	\N	131	27765	UROK	\N	\N
3627490	2932	1997-04-30	PRIJEM	\N	117	28760	UROK	\N	\N
3627491	2932	1997-05-31	PRIJEM	\N	141	60555	UROK	\N	\N
3627492	2932	1997-06-30	PRIJEM	\N	239	37339	UROK	\N	\N
3627493	2932	1997-07-31	PRIJEM	\N	148	43651	UROK	\N	\N
3627494	2932	1997-08-31	PRIJEM	\N	125	29227	UROK	\N	\N
3627495	2932	1997-09-30	PRIJEM	\N	133	56624	UROK	\N	\N
3627496	2932	1997-10-31	PRIJEM	\N	189	42241	UROK	\N	\N
3627497	2932	1997-11-30	PRIJEM	\N	212	81574	UROK	\N	\N
3627498	2932	1997-12-31	PRIJEM	\N	231	40933	UROK	\N	\N
3627499	2932	1998-01-31	PRIJEM	\N	143	30750	UROK	\N	\N
3627500	2932	1998-02-28	PRIJEM	\N	173	78165	UROK	\N	\N
3627501	2932	1998-03-31	PRIJEM	\N	221	31797	UROK	\N	\N
3627502	2932	1998-04-30	PRIJEM	\N	166	43459	UROK	\N	\N
3627503	2932	1998-05-31	PRIJEM	\N	147	34734	UROK	\N	\N
3627504	2932	1998-06-30	PRIJEM	\N	119	28682	UROK	\N	\N
3627505	2932	1998-07-31	PRIJEM	\N	162	56208	UROK	\N	\N
3627506	2932	1998-08-31	PRIJEM	\N	255	85068	UROK	\N	\N
3627507	2932	1998-09-30	PRIJEM	\N	275	76165	UROK	\N	\N
3627508	2932	1998-10-31	PRIJEM	\N	285	66622	UROK	\N	\N
3627509	2932	1998-11-30	PRIJEM	\N	161	34914	UROK	\N	\N
3627510	2932	1998-12-31	PRIJEM	\N	105	33975	UROK	\N	\N
3627511	2933	1993-06-30	PRIJEM	\N	13	23913	UROK	\N	\N
3627512	2933	1993-07-31	PRIJEM	\N	139	48222	UROK	\N	\N
3627513	2933	1993-08-31	PRIJEM	\N	210	17123	UROK	\N	\N
3627514	2933	1993-09-30	PRIJEM	\N	71	16973	UROK	\N	\N
3627515	2933	1993-10-31	PRIJEM	\N	139	31881	UROK	\N	\N
3627516	2933	1993-11-30	PRIJEM	\N	347	103669	UROK	\N	\N
3627517	2933	1993-12-31	PRIJEM	\N	201	53864	UROK	\N	\N
3627518	2933	1994-01-31	PRIJEM	\N	129	21472	UROK	\N	\N
3627519	2933	1994-02-28	PRIJEM	\N	104	26254	UROK	\N	\N
3627520	2933	1994-03-31	PRIJEM	\N	194	48774	UROK	\N	\N
3627521	2933	1994-04-30	PRIJEM	\N	174	32227	UROK	\N	\N
3627522	2933	1994-05-31	PRIJEM	\N	126	30136	UROK	\N	\N
3627523	2933	1994-06-30	PRIJEM	\N	111	25383	UROK	\N	\N
3627524	2933	1994-07-31	PRIJEM	\N	105	26325	UROK	\N	\N
3627525	2933	1994-08-31	PRIJEM	\N	116	24878	UROK	\N	\N
3627526	2933	1994-09-30	PRIJEM	\N	165	48708	UROK	\N	\N
3627527	2933	1994-10-31	PRIJEM	\N	142	28629	UROK	\N	\N
3627528	2933	1994-11-30	PRIJEM	\N	180	61368	UROK	\N	\N
3627529	2933	1994-12-31	PRIJEM	\N	213	44011	UROK	\N	\N
3627530	2933	1995-01-31	PRIJEM	\N	114	21962	UROK	\N	\N
3627531	2933	1995-02-28	PRIJEM	\N	83	19081	UROK	\N	\N
3627532	2933	1995-03-31	PRIJEM	\N	90	29782	UROK	\N	\N
3627533	2933	1995-04-30	PRIJEM	\N	102	22821	UROK	\N	\N
3627534	2933	1995-05-31	PRIJEM	\N	175	45363	UROK	\N	\N
3627535	2933	1995-06-30	PRIJEM	\N	147	32447	UROK	\N	\N
3627536	2933	1995-07-31	PRIJEM	\N	112	25495	UROK	\N	\N
3627537	2933	1995-08-31	PRIJEM	\N	92	20123	UROK	\N	\N
3627538	2933	1995-09-30	PRIJEM	\N	98	28216	UROK	\N	\N
3627539	2933	1995-10-31	PRIJEM	\N	101	23353	UROK	\N	\N
3627540	2933	1995-11-30	PRIJEM	\N	84	19473	UROK	\N	\N
3627541	2933	1995-12-31	PRIJEM	\N	78	18888	UROK	\N	\N
3627542	2933	1996-01-31	PRIJEM	\N	66	15391	UROK	\N	\N
3627543	2933	1996-02-29	PRIJEM	\N	70	17497	UROK	\N	\N
3627544	2933	1996-03-31	PRIJEM	\N	156	66822	UROK	\N	\N
3627545	2933	1996-04-30	PRIJEM	\N	478	104460	UROK	\N	\N
3627546	2933	1996-05-31	PRIJEM	\N	366	110841	UROK	\N	\N
3627547	2933	1996-06-30	PRIJEM	\N	273	41050	UROK	\N	\N
3627548	2933	1996-07-31	PRIJEM	\N	132	30219	UROK	\N	\N
3627549	2933	1996-08-31	PRIJEM	\N	94	21149	UROK	\N	\N
3627550	2933	1996-09-30	PRIJEM	\N	208	110815	UROK	\N	\N
3627551	2933	1996-10-31	PRIJEM	\N	338	56555	UROK	\N	\N
3627552	2933	1996-11-30	PRIJEM	\N	219	51403	UROK	\N	\N
3627553	2933	1996-12-31	PRIJEM	\N	312	68462	UROK	\N	\N
3627554	2933	1997-01-31	PRIJEM	\N	186	30284	UROK	\N	\N
3627555	2933	1997-02-28	PRIJEM	\N	345	57332	UROK	\N	\N
3627556	2933	1997-03-31	PRIJEM	\N	154	32523	UROK	\N	\N
3627557	2933	1997-04-30	PRIJEM	\N	262	71425	UROK	\N	\N
3627558	2933	1997-05-31	PRIJEM	\N	390	66758	UROK	\N	\N
3627559	2933	1997-06-30	PRIJEM	\N	382	77660	UROK	\N	\N
3627560	2933	1997-07-31	PRIJEM	\N	212	35898	UROK	\N	\N
3627561	2933	1997-08-31	PRIJEM	\N	112	22946	UROK	\N	\N
3627562	2933	1997-09-30	PRIJEM	\N	99	24728	UROK	\N	\N
3627563	2933	1997-10-31	PRIJEM	\N	435	51183	UROK	\N	\N
3627564	2933	1997-11-30	PRIJEM	\N	153	27397	UROK	\N	\N
3627565	2933	1997-12-31	PRIJEM	\N	95	25538	UROK	\N	\N
3627566	2933	1998-01-31	PRIJEM	\N	177	36010	UROK	\N	\N
3627567	2933	1998-02-28	PRIJEM	\N	131	47871	UROK	\N	\N
3627568	2933	1998-03-31	PRIJEM	\N	273	61393	UROK	\N	\N
3627569	2933	1998-04-30	PRIJEM	\N	241	42704	UROK	\N	\N
3627570	2933	1998-05-31	PRIJEM	\N	151	34079	UROK	\N	\N
3627571	2933	1998-06-30	PRIJEM	\N	268	44542	UROK	\N	\N
3627572	2933	1998-07-31	PRIJEM	\N	286	47467	UROK	\N	\N
3627573	2933	1998-08-31	PRIJEM	\N	263	40870	UROK	\N	\N
3627574	2933	1998-09-30	PRIJEM	\N	187	105922	UROK	\N	\N
3627575	2933	1998-10-31	PRIJEM	\N	404	87362	UROK	\N	\N
3627576	2933	1998-11-30	PRIJEM	\N	280	42878	UROK	\N	\N
3627577	2933	1998-12-31	PRIJEM	\N	132	31046	UROK	\N	\N
3627578	2935	1995-10-31	PRIJEM	\N	40	13650	UROK	\N	\N
3627579	2935	1995-11-30	PRIJEM	\N	65	14750	UROK	\N	\N
3627580	2935	1995-12-31	PRIJEM	\N	66	14742	UROK	\N	\N
3627581	2935	1996-01-31	PRIJEM	\N	59	12416	UROK	\N	\N
3627582	2935	1996-02-29	PRIJEM	\N	54	13506	UROK	\N	\N
3627583	2935	1996-03-31	PRIJEM	\N	59	14600	UROK	\N	\N
3627584	2935	1996-04-30	PRIJEM	\N	58	14344	UROK	\N	\N
3627585	2935	1996-05-31	PRIJEM	\N	67	14726	UROK	\N	\N
3627586	2935	1996-06-30	PRIJEM	\N	67	14328	UROK	\N	\N
3627587	2935	1996-07-31	PRIJEM	\N	62	15426	UROK	\N	\N
3627588	2935	1996-08-31	PRIJEM	\N	64	15265	UROK	\N	\N
3627589	2935	1996-09-30	PRIJEM	\N	66	16367	UROK	\N	\N
3627590	2935	1996-10-31	PRIJEM	\N	69	16811	UROK	\N	\N
3627591	2935	1996-11-30	PRIJEM	\N	73	17919	UROK	\N	\N
3627592	2935	1996-12-31	PRIJEM	\N	77	18791	UROK	\N	\N
3627593	2935	1997-01-31	PRIJEM	\N	68	14614	UROK	\N	\N
3627594	2935	1997-02-28	PRIJEM	\N	63	15713	UROK	\N	\N
3627595	2935	1997-03-31	PRIJEM	\N	68	16817	UROK	\N	\N
3627596	2935	1997-04-30	PRIJEM	\N	74	16576	UROK	\N	\N
3627597	2935	1997-05-31	PRIJEM	\N	72	17683	UROK	\N	\N
3627598	2935	1997-06-30	PRIJEM	\N	70	14498	UROK	\N	\N
3627599	2935	1997-07-31	PRIJEM	\N	68	15602	UROK	\N	\N
3627600	2935	1997-08-31	PRIJEM	\N	73	16710	UROK	\N	\N
3627601	2935	1997-09-30	PRIJEM	\N	74	16379	UROK	\N	\N
3627602	2935	1997-10-31	PRIJEM	\N	75	17130	UROK	\N	\N
3627603	2935	1997-11-30	PRIJEM	\N	79	18245	UROK	\N	\N
3627604	2935	1997-12-31	PRIJEM	\N	82	18792	UROK	\N	\N
3627605	2935	1998-01-31	PRIJEM	\N	64	14462	UROK	\N	\N
3627606	2935	1998-02-28	PRIJEM	\N	62	15559	UROK	\N	\N
3627607	2935	1998-03-31	PRIJEM	\N	73	16667	UROK	\N	\N
3627608	2935	1998-04-30	PRIJEM	\N	71	17414	UROK	\N	\N
3627609	2935	1998-05-31	PRIJEM	\N	73	17772	UROK	\N	\N
3627610	2935	1998-06-30	PRIJEM	\N	81	16368	UROK	\N	\N
3627611	2935	1998-07-31	PRIJEM	\N	70	17474	UROK	\N	\N
3627612	2935	1998-08-31	PRIJEM	\N	71	16570	UROK	\N	\N
3627613	2935	1998-09-30	PRIJEM	\N	71	17677	UROK	\N	\N
3627614	2935	1998-10-31	PRIJEM	\N	74	17976	UROK	\N	\N
3627615	2935	1998-11-30	PRIJEM	\N	77	19088	UROK	\N	\N
3627616	2935	1998-12-31	PRIJEM	\N	81	19545	UROK	\N	\N
3627617	2936	1996-04-30	PRIJEM	\N	11	15282	UROK	\N	\N
3627618	2936	1996-05-31	PRIJEM	\N	66	18719	UROK	\N	\N
3627619	2936	1996-06-30	PRIJEM	\N	83	24858	UROK	\N	\N
3627620	2936	1996-07-31	PRIJEM	\N	107	28435	UROK	\N	\N
3627621	2936	1996-08-31	PRIJEM	\N	112	25771	UROK	\N	\N
3627622	2936	1996-09-30	PRIJEM	\N	108	18789	UROK	\N	\N
3627623	2936	1996-10-31	PRIJEM	\N	58	12556	UROK	\N	\N
3627624	2936	1996-11-30	PRIJEM	\N	49	14315	UROK	\N	\N
3627625	2936	1996-12-31	PRIJEM	\N	65	14674	UROK	\N	\N
3627626	2936	1997-01-31	PRIJEM	\N	53	13437	UROK	\N	\N
3627627	2936	1997-02-28	PRIJEM	\N	36	5322	UROK	\N	\N
3627628	2936	1997-03-31	PRIJEM	\N	39	16470	UROK	\N	\N
3627629	2936	1997-04-30	PRIJEM	\N	71	19851	UROK	\N	\N
3627630	2936	1997-05-31	PRIJEM	\N	97	23057	UROK	\N	\N
3627631	2936	1997-06-30	PRIJEM	\N	91	24742	UROK	\N	\N
3627632	2936	1997-07-31	PRIJEM	\N	103	28055	UROK	\N	\N
3627633	2936	1997-08-31	PRIJEM	\N	103	24067	UROK	\N	\N
3627634	2936	1997-09-30	PRIJEM	\N	94	23971	UROK	\N	\N
3627635	2936	1997-10-31	PRIJEM	\N	92	23173	UROK	\N	\N
3627636	2936	1997-11-30	PRIJEM	\N	96	22378	UROK	\N	\N
3627637	2936	1997-12-31	PRIJEM	\N	115	30688	UROK	\N	\N
3627638	2936	1998-01-31	PRIJEM	\N	100	22237	UROK	\N	\N
3627639	2936	1998-02-28	PRIJEM	\N	104	29750	UROK	\N	\N
3627640	2936	1998-03-31	PRIJEM	\N	122	31982	UROK	\N	\N
3627641	2936	1998-04-30	PRIJEM	\N	117	24628	UROK	\N	\N
3627642	2936	1998-05-31	PRIJEM	\N	113	32351	UROK	\N	\N
3627643	2936	1998-06-30	PRIJEM	\N	139	35984	UROK	\N	\N
3627644	2936	1998-07-31	PRIJEM	\N	149	38702	UROK	\N	\N
3627645	2936	1998-08-31	PRIJEM	\N	163	40794	UROK	\N	\N
3627646	2936	1998-09-30	PRIJEM	\N	191	46995	UROK	\N	\N
3627647	2936	1998-10-31	PRIJEM	\N	188	45492	UROK	\N	\N
3627648	2936	1998-11-30	PRIJEM	\N	189	46590	UROK	\N	\N
3627649	2936	1998-12-31	PRIJEM	\N	191	45255	UROK	\N	\N
3627650	2937	1997-07-31	PRIJEM	\N	54	19019	UROK	\N	\N
3627651	2937	1997-08-31	PRIJEM	\N	79	16498	UROK	\N	\N
3627652	2937	1997-09-30	PRIJEM	\N	69	14968	UROK	\N	\N
3627653	2937	1997-10-31	PRIJEM	\N	63	13631	UROK	\N	\N
3627654	2937	1997-11-30	PRIJEM	\N	61	15292	UROK	\N	\N
3627655	2937	1997-12-31	PRIJEM	\N	58	12380	UROK	\N	\N
3627656	2937	1998-01-31	PRIJEM	\N	54	13315	UROK	\N	\N
3627657	2937	1998-02-28	PRIJEM	\N	58	14173	UROK	\N	\N
3627658	2937	1998-03-31	PRIJEM	\N	58	12332	UROK	\N	\N
3627659	2937	1998-04-30	PRIJEM	\N	55	13988	UROK	\N	\N
3627660	2937	1998-05-31	PRIJEM	\N	55	11283	UROK	\N	\N
3627661	2937	1998-06-30	PRIJEM	\N	51	12934	UROK	\N	\N
3627662	2937	1998-07-31	PRIJEM	\N	54	11888	UROK	\N	\N
3627663	2937	1998-08-31	PRIJEM	\N	54	13542	UROK	\N	\N
3627664	2937	1998-09-30	PRIJEM	\N	54	11897	UROK	\N	\N
3627665	2937	1998-10-31	PRIJEM	\N	54	13551	UROK	\N	\N
3627666	2937	1998-11-30	PRIJEM	\N	51	10603	UROK	\N	\N
3627667	2937	1998-12-31	PRIJEM	\N	48	12251	UROK	\N	\N
3627668	2938	1993-08-31	PRIJEM	\N	156	63452	UROK	\N	\N
3627669	2938	1993-09-30	PRIJEM	\N	253	56563	UROK	\N	\N
3627670	2938	1993-10-31	PRIJEM	\N	234	51635	UROK	\N	\N
3627671	2938	1993-11-30	PRIJEM	\N	188	29670	UROK	\N	\N
3627672	2938	1993-12-31	PRIJEM	\N	89	21704	UROK	\N	\N
3627673	2938	1994-01-31	PRIJEM	\N	100	20846	UROK	\N	\N
3627674	2938	1994-02-28	PRIJEM	\N	100	19730	UROK	\N	\N
3627675	2938	1994-03-31	PRIJEM	\N	332	90818	UROK	\N	\N
3627676	2938	1994-04-30	PRIJEM	\N	248	63399	UROK	\N	\N
3627677	2938	1994-05-31	PRIJEM	\N	367	66431	UROK	\N	\N
3627678	2938	1994-06-30	PRIJEM	\N	145	26833	UROK	\N	\N
3627679	2938	1994-07-31	PRIJEM	\N	169	51109	UROK	\N	\N
3627680	2938	1994-08-31	PRIJEM	\N	231	33228	UROK	\N	\N
3627681	2938	1994-09-30	PRIJEM	\N	322	52318	UROK	\N	\N
3627682	2938	1994-10-31	PRIJEM	\N	258	77273	UROK	\N	\N
3627683	2938	1994-11-30	PRIJEM	\N	310	50045	UROK	\N	\N
3627684	2938	1994-12-31	PRIJEM	\N	319	64005	UROK	\N	\N
3627685	2938	1995-01-31	PRIJEM	\N	301	53556	UROK	\N	\N
3627686	2938	1995-02-28	PRIJEM	\N	339	78721	UROK	\N	\N
3627687	2938	1995-03-31	PRIJEM	\N	375	88071	UROK	\N	\N
3627688	2938	1995-04-30	PRIJEM	\N	313	54528	UROK	\N	\N
3627689	2938	1995-05-31	PRIJEM	\N	214	44207	UROK	\N	\N
3627690	2938	1995-06-30	PRIJEM	\N	247	42858	UROK	\N	\N
3627691	2938	1995-07-31	PRIJEM	\N	194	78434	UROK	\N	\N
3627692	2938	1995-08-31	PRIJEM	\N	268	50345	UROK	\N	\N
3627693	2938	1995-09-30	PRIJEM	\N	130	30263	UROK	\N	\N
3627694	2938	1995-10-31	PRIJEM	\N	222	52940	UROK	\N	\N
3627695	2938	1995-11-30	PRIJEM	\N	301	90100	UROK	\N	\N
3627696	2938	1995-12-31	PRIJEM	\N	225	40380	UROK	\N	\N
3627697	2938	1996-01-31	PRIJEM	\N	127	27750	UROK	\N	\N
3627698	2938	1996-02-29	PRIJEM	\N	89	22182	UROK	\N	\N
3627699	2938	1996-03-31	PRIJEM	\N	76	23801	UROK	\N	\N
3627700	2938	1996-04-30	PRIJEM	\N	109	31576	UROK	\N	\N
3627701	2938	1996-05-31	PRIJEM	\N	126	24781	UROK	\N	\N
3627702	2938	1996-06-30	PRIJEM	\N	84	25508	UROK	\N	\N
3627703	2938	1996-07-31	PRIJEM	\N	88	26539	UROK	\N	\N
3627704	2938	1996-08-31	PRIJEM	\N	96	28678	UROK	\N	\N
3627705	2938	1996-09-30	PRIJEM	\N	103	27725	UROK	\N	\N
3627706	2938	1996-10-31	PRIJEM	\N	98	27967	UROK	\N	\N
3627707	2938	1996-11-30	PRIJEM	\N	188	61793	UROK	\N	\N
3627708	2938	1996-12-31	PRIJEM	\N	186	39390	UROK	\N	\N
3627709	2938	1997-01-31	PRIJEM	\N	225	64353	UROK	\N	\N
3627710	2938	1997-02-28	PRIJEM	\N	210	41742	UROK	\N	\N
3627711	2938	1997-03-31	PRIJEM	\N	257	47109	UROK	\N	\N
3627712	2938	1997-04-30	PRIJEM	\N	151	34003	UROK	\N	\N
3627713	2938	1997-05-31	PRIJEM	\N	114	28961	UROK	\N	\N
3627714	2938	1997-06-30	PRIJEM	\N	139	66314	UROK	\N	\N
3627715	2938	1997-07-31	PRIJEM	\N	209	52420	UROK	\N	\N
3627716	2938	1997-08-31	PRIJEM	\N	181	80690	UROK	\N	\N
3627717	2938	1997-09-30	PRIJEM	\N	330	73568	UROK	\N	\N
3627718	2938	1997-10-31	PRIJEM	\N	359	102110	UROK	\N	\N
3627719	2938	1997-11-30	PRIJEM	\N	291	53012	UROK	\N	\N
3627720	2938	1997-12-31	PRIJEM	\N	289	99823	UROK	\N	\N
3627721	2938	1998-01-31	PRIJEM	\N	366	101323	UROK	\N	\N
3627722	2938	1998-02-28	PRIJEM	\N	348	104880	UROK	\N	\N
3627723	2938	1998-03-31	PRIJEM	\N	439	91522	UROK	\N	\N
3627724	2938	1998-04-30	PRIJEM	\N	407	97657	UROK	\N	\N
3627725	2938	1998-05-31	PRIJEM	\N	309	67808	UROK	\N	\N
3627726	2938	1998-06-30	PRIJEM	\N	222	62246	UROK	\N	\N
3627727	2938	1998-07-31	PRIJEM	\N	404	61227	UROK	\N	\N
3627728	2938	1998-08-31	PRIJEM	\N	221	44556	UROK	\N	\N
3627729	2938	1998-09-30	PRIJEM	\N	343	110699	UROK	\N	\N
3627730	2938	1998-10-31	PRIJEM	\N	420	73762	UROK	\N	\N
3627731	2938	1998-11-30	PRIJEM	\N	257	88711	UROK	\N	\N
3627732	2938	1998-12-31	PRIJEM	\N	248	50203	UROK	\N	\N
3627733	2939	1997-11-30	PRIJEM	\N	21	25121	UROK	\N	\N
3627734	2939	1997-12-31	PRIJEM	\N	106	22011	UROK	\N	\N
3627735	2939	1998-01-31	PRIJEM	\N	99	22492	UROK	\N	\N
3627736	2939	1998-02-28	PRIJEM	\N	100	22276	UROK	\N	\N
3627737	2939	1998-03-31	PRIJEM	\N	98	21058	UROK	\N	\N
3627738	2939	1998-04-30	PRIJEM	\N	97	23938	UROK	\N	\N
3627739	2939	1998-05-31	PRIJEM	\N	107	26429	UROK	\N	\N
3627740	2939	1998-06-30	PRIJEM	\N	111	23203	UROK	\N	\N
3627741	2939	1998-07-31	PRIJEM	\N	103	20610	UROK	\N	\N
3627742	2939	1998-08-31	PRIJEM	\N	87	17480	UROK	\N	\N
3627743	2939	1998-09-30	PRIJEM	\N	76	18240	UROK	\N	\N
3627744	2939	1998-10-31	PRIJEM	\N	73	15856	UROK	\N	\N
3627745	2939	1998-11-30	PRIJEM	\N	75	18714	UROK	\N	\N
3627746	2939	1998-12-31	PRIJEM	\N	86	20784	UROK	\N	\N
3627747	2940	1993-06-30	PRIJEM	\N	20	24126	UROK	\N	\N
3627748	2940	1993-07-31	PRIJEM	\N	165	72907	UROK	\N	\N
3627749	2940	1993-08-31	PRIJEM	\N	271	46408	UROK	\N	\N
3627750	2940	1993-09-30	PRIJEM	\N	125	27142	UROK	\N	\N
3627751	2940	1993-10-31	PRIJEM	\N	196	84981	UROK	\N	\N
3627752	2940	1993-11-30	PRIJEM	\N	328	46441	UROK	\N	\N
3627753	2940	1993-12-31	PRIJEM	\N	172	41122	UROK	\N	\N
3627754	2940	1994-01-31	PRIJEM	\N	102	23354	UROK	\N	\N
3627755	2940	1994-02-28	PRIJEM	\N	79	17083	UROK	\N	\N
3627756	2940	1994-03-31	PRIJEM	\N	69	15982	UROK	\N	\N
3627757	2940	1994-04-30	PRIJEM	\N	71	18982	UROK	\N	\N
3627758	2940	1994-05-31	PRIJEM	\N	101	68939	UROK	\N	\N
3627759	2940	1994-06-30	PRIJEM	\N	200	36690	UROK	\N	\N
3627760	2940	1994-07-31	PRIJEM	\N	136	28155	UROK	\N	\N
3627761	2940	1994-08-31	PRIJEM	\N	117	27142	UROK	\N	\N
3627762	2940	1994-09-30	PRIJEM	\N	82	20802	UROK	\N	\N
3627763	2940	1994-10-31	PRIJEM	\N	88	21619	UROK	\N	\N
3627764	2940	1994-11-30	PRIJEM	\N	88	20836	UROK	\N	\N
3627765	2940	1994-12-31	PRIJEM	\N	83	19449	UROK	\N	\N
3627766	2940	1995-01-31	PRIJEM	\N	82	20260	UROK	\N	\N
3627767	2940	1995-02-28	PRIJEM	\N	83	20073	UROK	\N	\N
3627768	2940	1995-03-31	PRIJEM	\N	122	50967	UROK	\N	\N
3627769	2940	1995-04-30	PRIJEM	\N	175	34571	UROK	\N	\N
3627770	2940	1995-05-31	PRIJEM	\N	114	52062	UROK	\N	\N
3627771	2940	1995-06-30	PRIJEM	\N	94	22683	UROK	\N	\N
3627772	2940	1995-07-31	PRIJEM	\N	80	16993	UROK	\N	\N
3627773	2940	1995-08-31	PRIJEM	\N	97	27971	UROK	\N	\N
3627774	2940	1995-09-30	PRIJEM	\N	217	76176	UROK	\N	\N
3627775	2940	1995-10-31	PRIJEM	\N	233	45238	UROK	\N	\N
3627776	2940	1995-11-30	PRIJEM	\N	142	29110	UROK	\N	\N
3627777	2940	1995-12-31	PRIJEM	\N	121	46022	UROK	\N	\N
3627778	2940	1996-01-31	PRIJEM	\N	171	23205	UROK	\N	\N
3627779	2940	1996-02-29	PRIJEM	\N	94	45821	UROK	\N	\N
3627780	2940	1996-03-31	PRIJEM	\N	256	44182	UROK	\N	\N
3627781	2940	1996-04-30	PRIJEM	\N	132	27843	UROK	\N	\N
3627782	2940	1996-05-31	PRIJEM	\N	79	16552	UROK	\N	\N
3627783	2940	1996-06-30	PRIJEM	\N	142	57835	UROK	\N	\N
3627784	2940	1996-07-31	PRIJEM	\N	342	102496	UROK	\N	\N
3627785	2940	1996-08-31	PRIJEM	\N	291	62637	UROK	\N	\N
3627786	2940	1996-09-30	PRIJEM	\N	252	75563	UROK	\N	\N
3627787	2940	1996-10-31	PRIJEM	\N	273	63786	UROK	\N	\N
3627788	2940	1996-11-30	PRIJEM	\N	316	86259	UROK	\N	\N
3627789	2940	1996-12-31	PRIJEM	\N	292	81519	UROK	\N	\N
3627790	2940	1997-01-31	PRIJEM	\N	137	24586	UROK	\N	\N
3627791	2940	1997-02-28	PRIJEM	\N	66	15181	UROK	\N	\N
3627792	2940	1997-03-31	PRIJEM	\N	143	31886	UROK	\N	\N
3627793	2940	1997-04-30	PRIJEM	\N	99	23515	UROK	\N	\N
3627794	2940	1997-05-31	PRIJEM	\N	68	16112	UROK	\N	\N
3627795	2940	1997-06-30	PRIJEM	\N	61	15202	UROK	\N	\N
3627796	2940	1997-07-31	PRIJEM	\N	42	10274	UROK	\N	\N
3627797	2940	1997-08-31	PRIJEM	\N	36	9439	UROK	\N	\N
3627798	2940	1997-09-30	PRIJEM	\N	44	11813	UROK	\N	\N
3627799	2940	1997-10-31	PRIJEM	\N	109	40180	UROK	\N	\N
3627800	2940	1997-11-30	PRIJEM	\N	147	29256	UROK	\N	\N
3627801	2940	1997-12-31	PRIJEM	\N	143	30845	UROK	\N	\N
3627802	2940	1998-01-31	PRIJEM	\N	125	30899	UROK	\N	\N
3627803	2940	1998-02-28	PRIJEM	\N	125	23853	UROK	\N	\N
3627804	2940	1998-03-31	PRIJEM	\N	127	47172	UROK	\N	\N
3627805	2940	1998-04-30	PRIJEM	\N	89	34849	UROK	\N	\N
3627806	2940	1998-05-31	PRIJEM	\N	143	40121	UROK	\N	\N
3627807	2940	1998-06-30	PRIJEM	\N	126	35176	UROK	\N	\N
3627808	2940	1998-07-31	PRIJEM	\N	144	39850	UROK	\N	\N
3627809	2940	1998-08-31	PRIJEM	\N	130	30134	UROK	\N	\N
3627810	2940	1998-09-30	PRIJEM	\N	127	39490	UROK	\N	\N
3627811	2940	1998-10-31	PRIJEM	\N	131	43120	UROK	\N	\N
3627812	2940	1998-11-30	PRIJEM	\N	151	46796	UROK	\N	\N
3627813	2940	1998-12-31	PRIJEM	\N	181	38006	UROK	\N	\N
3627882	2942	1997-10-31	PRIJEM	\N	17	15902	UROK	\N	\N
3627883	2942	1997-11-30	PRIJEM	\N	79	27166	UROK	\N	\N
3627884	2942	1997-12-31	PRIJEM	\N	122	35016	UROK	\N	\N
3627885	2942	1998-01-31	PRIJEM	\N	149	37350	UROK	\N	\N
3627886	2942	1998-02-28	PRIJEM	\N	160	41595	UROK	\N	\N
3627887	2942	1998-03-31	PRIJEM	\N	178	44420	UROK	\N	\N
3627888	2942	1998-04-30	PRIJEM	\N	190	46857	UROK	\N	\N
3627889	2942	1998-05-31	PRIJEM	\N	189	40113	UROK	\N	\N
3627890	2942	1998-06-30	PRIJEM	\N	167	37911	UROK	\N	\N
3627891	2942	1998-07-31	PRIJEM	\N	154	37652	UROK	\N	\N
3627892	2942	1998-08-31	PRIJEM	\N	152	35132	UROK	\N	\N
3627893	2942	1998-09-30	PRIJEM	\N	147	33705	UROK	\N	\N
3627894	2942	1998-10-31	PRIJEM	\N	143	37816	UROK	\N	\N
3627895	2942	1998-11-30	PRIJEM	\N	168	43331	UROK	\N	\N
3627896	2942	1998-12-31	PRIJEM	\N	191	47912	UROK	\N	\N
3627897	2944	1996-01-31	PRIJEM	\N	17	6763	UROK	\N	\N
3627898	2944	1996-02-29	PRIJEM	\N	63	20872	UROK	\N	\N
3627899	2944	1996-03-31	PRIJEM	\N	110	30028	UROK	\N	\N
3627900	2944	1996-04-30	PRIJEM	\N	130	32003	UROK	\N	\N
3627901	2944	1996-05-31	PRIJEM	\N	137	32446	UROK	\N	\N
3627902	2944	1996-06-30	PRIJEM	\N	101	20112	UROK	\N	\N
3627903	2944	1996-07-31	PRIJEM	\N	98	26043	UROK	\N	\N
3627904	2944	1996-08-31	PRIJEM	\N	116	28991	UROK	\N	\N
3627905	2944	1996-09-30	PRIJEM	\N	100	24224	UROK	\N	\N
3627906	2944	1996-10-31	PRIJEM	\N	98	24754	UROK	\N	\N
3627907	2944	1996-11-30	PRIJEM	\N	86	18413	UROK	\N	\N
3627908	2944	1996-12-31	PRIJEM	\N	80	15338	UROK	\N	\N
3627909	2944	1997-01-31	PRIJEM	\N	64	13575	UROK	\N	\N
3627910	2944	1997-02-28	PRIJEM	\N	63	16870	UROK	\N	\N
3627911	2944	1997-03-31	PRIJEM	\N	74	19477	UROK	\N	\N
3627912	2944	1997-04-30	PRIJEM	\N	79	20288	UROK	\N	\N
3627913	2944	1997-05-31	PRIJEM	\N	77	19758	UROK	\N	\N
3627914	2944	1997-06-30	PRIJEM	\N	97	26361	UROK	\N	\N
3627915	2944	1997-07-31	PRIJEM	\N	113	28806	UROK	\N	\N
3627916	2944	1997-08-31	PRIJEM	\N	107	26946	UROK	\N	\N
3627917	2944	1997-09-30	PRIJEM	\N	99	24837	UROK	\N	\N
3627918	2944	1997-10-31	PRIJEM	\N	120	30989	UROK	\N	\N
3627919	2944	1997-11-30	PRIJEM	\N	133	32574	UROK	\N	\N
3627920	2944	1997-12-31	PRIJEM	\N	140	35840	UROK	\N	\N
3627921	2944	1998-01-31	PRIJEM	\N	138	37110	UROK	\N	\N
3627922	2944	1998-02-28	PRIJEM	\N	157	39399	UROK	\N	\N
3627923	2944	1998-03-31	PRIJEM	\N	171	42902	UROK	\N	\N
3627924	2944	1998-04-30	PRIJEM	\N	173	42407	UROK	\N	\N
3627925	2944	1998-05-31	PRIJEM	\N	196	46536	UROK	\N	\N
3627926	2944	1998-06-30	PRIJEM	\N	172	34113	UROK	\N	\N
3627927	2944	1998-07-31	PRIJEM	\N	146	40792	UROK	\N	\N
3627928	2944	1998-08-31	PRIJEM	\N	174	46498	UROK	\N	\N
3627929	2944	1998-09-30	PRIJEM	\N	191	41602	UROK	\N	\N
3627930	2944	1998-10-31	PRIJEM	\N	179	48613	UROK	\N	\N
3627931	2944	1998-11-30	PRIJEM	\N	204	50850	UROK	\N	\N
3627932	2944	1998-12-31	PRIJEM	\N	214	46470	UROK	\N	\N
3627933	2945	1996-11-30	PRIJEM	\N	63	22899	UROK	\N	\N
3627934	2945	1996-12-31	PRIJEM	\N	95	22699	UROK	\N	\N
3627935	2945	1997-01-31	PRIJEM	\N	75	12755	UROK	\N	\N
3627936	2945	1997-02-28	PRIJEM	\N	64	16809	UROK	\N	\N
3627937	2945	1997-03-31	PRIJEM	\N	68	16768	UROK	\N	\N
3627938	2945	1997-04-30	PRIJEM	\N	76	19034	UROK	\N	\N
3627939	2945	1997-05-31	PRIJEM	\N	85	21210	UROK	\N	\N
3627940	2945	1997-06-30	PRIJEM	\N	94	23094	UROK	\N	\N
3627941	2945	1997-07-31	PRIJEM	\N	93	21877	UROK	\N	\N
3627942	2945	1997-08-31	PRIJEM	\N	80	17747	UROK	\N	\N
3627943	2945	1997-09-30	PRIJEM	\N	70	16207	UROK	\N	\N
3627944	2945	1997-10-31	PRIJEM	\N	78	20376	UROK	\N	\N
3627945	2945	1997-11-30	PRIJEM	\N	78	17744	UROK	\N	\N
3627946	2945	1997-12-31	PRIJEM	\N	68	15552	UROK	\N	\N
3627947	2945	1998-01-31	PRIJEM	\N	57	12419	UROK	\N	\N
3627948	2945	1998-02-28	PRIJEM	\N	62	16572	UROK	\N	\N
3627949	2945	1998-03-31	PRIJEM	\N	78	19740	UROK	\N	\N
3627950	2945	1998-04-30	PRIJEM	\N	83	20013	UROK	\N	\N
3627951	2945	1998-05-31	PRIJEM	\N	80	18783	UROK	\N	\N
3627952	2945	1998-06-30	PRIJEM	\N	71	16245	UROK	\N	\N
3627953	2945	1998-07-31	PRIJEM	\N	66	14181	UROK	\N	\N
3627954	2945	1998-08-31	PRIJEM	\N	69	16241	UROK	\N	\N
3627955	2945	1998-09-30	PRIJEM	\N	77	16208	UROK	\N	\N
3627956	2945	1998-10-31	PRIJEM	\N	76	14374	UROK	\N	\N
3627957	2945	1998-11-30	PRIJEM	\N	69	14433	UROK	\N	\N
3627958	2945	1998-12-31	PRIJEM	\N	63	14166	UROK	\N	\N
3627959	2946	1996-05-31	PRIJEM	\N	12	5120	UROK	\N	\N
3627960	2946	1996-06-30	PRIJEM	\N	21	9150	UROK	\N	\N
3627961	2946	1996-07-31	PRIJEM	\N	21	13179	UROK	\N	\N
3627962	2946	1996-08-31	PRIJEM	\N	21	17208	UROK	\N	\N
3627963	2946	1996-09-30	PRIJEM	\N	24	21240	UROK	\N	\N
3627964	2946	1996-10-31	PRIJEM	\N	83	20744	UROK	\N	\N
3627965	2946	1996-11-30	PRIJEM	\N	84	19029	UROK	\N	\N
3627966	2946	1996-12-31	PRIJEM	\N	82	19483	UROK	\N	\N
3627967	2946	1997-01-31	PRIJEM	\N	68	14952	UROK	\N	\N
3627968	2946	1997-02-28	PRIJEM	\N	65	16339	UROK	\N	\N
3627969	2946	1997-03-31	PRIJEM	\N	71	17731	UROK	\N	\N
3627970	2946	1997-04-30	PRIJEM	\N	72	16625	UROK	\N	\N
3627971	2946	1997-05-31	PRIJEM	\N	72	17539	UROK	\N	\N
3627972	2946	1997-06-30	PRIJEM	\N	76	18936	UROK	\N	\N
3627973	2946	1997-07-31	PRIJEM	\N	76	19233	UROK	\N	\N
3627974	2946	1997-08-31	PRIJEM	\N	71	17026	UROK	\N	\N
3627975	2946	1997-09-30	PRIJEM	\N	73	15820	UROK	\N	\N
3627976	2946	1997-10-31	PRIJEM	\N	65	14127	UROK	\N	\N
3627977	2946	1997-11-30	PRIJEM	\N	62	14710	UROK	\N	\N
3627978	2946	1997-12-31	PRIJEM	\N	64	14796	UROK	\N	\N
3627979	2946	1998-01-31	PRIJEM	\N	58	13295	UROK	\N	\N
3627980	2946	1998-02-28	PRIJEM	\N	58	14675	UROK	\N	\N
3627981	2946	1998-03-31	PRIJEM	\N	64	16060	UROK	\N	\N
3627982	2946	1998-04-30	PRIJEM	\N	69	15250	UROK	\N	\N
3627983	2946	1998-05-31	PRIJEM	\N	64	14556	UROK	\N	\N
3627984	2946	1998-06-30	PRIJEM	\N	60	11537	UROK	\N	\N
3627985	2946	1998-07-31	PRIJEM	\N	51	12910	UROK	\N	\N
3627986	2946	1998-08-31	PRIJEM	\N	57	14288	UROK	\N	\N
3627987	2946	1998-09-30	PRIJEM	\N	62	15671	UROK	\N	\N
3627988	2946	1998-10-31	PRIJEM	\N	64	12957	UROK	\N	\N
3627989	2946	1998-11-30	PRIJEM	\N	57	14335	UROK	\N	\N
3627990	2946	1998-12-31	PRIJEM	\N	61	15117	UROK	\N	\N
3627991	2947	1996-08-31	PRIJEM	\N	17	6213	UROK	\N	\N
3627992	2947	1996-09-30	PRIJEM	\N	26	11435	UROK	\N	\N
3627993	2947	1996-10-31	PRIJEM	\N	26	16656	UROK	\N	\N
3627994	2947	1996-11-30	PRIJEM	\N	26	21878	UROK	\N	\N
3627995	2947	1996-12-31	PRIJEM	\N	74	24920	UROK	\N	\N
3627996	2947	1997-01-31	PRIJEM	\N	86	16289	UROK	\N	\N
3627997	2947	1997-02-28	PRIJEM	\N	75	19317	UROK	\N	\N
3627998	2947	1997-03-31	PRIJEM	\N	88	22358	UROK	\N	\N
3627999	2947	1997-04-30	PRIJEM	\N	101	25412	UROK	\N	\N
3628000	2947	1997-05-31	PRIJEM	\N	106	25371	UROK	\N	\N
3628001	2947	1997-06-30	PRIJEM	\N	93	22158	UROK	\N	\N
3628002	2947	1997-07-31	PRIJEM	\N	88	21479	UROK	\N	\N
3628003	2947	1997-08-31	PRIJEM	\N	95	23527	UROK	\N	\N
3628004	2947	1997-09-30	PRIJEM	\N	105	26586	UROK	\N	\N
3628005	2947	1997-10-31	PRIJEM	\N	110	26209	UROK	\N	\N
3628006	2947	1997-11-30	PRIJEM	\N	117	29279	UROK	\N	\N
3628007	2947	1997-12-31	PRIJEM	\N	128	31610	UROK	\N	\N
3628008	2947	1998-01-31	PRIJEM	\N	108	22231	UROK	\N	\N
3628009	2947	1998-02-28	PRIJEM	\N	85	18710	UROK	\N	\N
3628010	2947	1998-03-31	PRIJEM	\N	84	19267	UROK	\N	\N
3628011	2947	1998-04-30	PRIJEM	\N	87	22308	UROK	\N	\N
3628012	2947	1998-05-31	PRIJEM	\N	97	20078	UROK	\N	\N
3628013	2947	1998-06-30	PRIJEM	\N	84	18915	UROK	\N	\N
3628014	2947	1998-07-31	PRIJEM	\N	86	21955	UROK	\N	\N
3628015	2947	1998-08-31	PRIJEM	\N	99	25007	UROK	\N	\N
3628016	2947	1998-09-30	PRIJEM	\N	111	28071	UROK	\N	\N
3628017	2947	1998-10-31	PRIJEM	\N	123	29348	UROK	\N	\N
3628018	2947	1998-11-30	PRIJEM	\N	127	30388	UROK	\N	\N
3628019	2947	1998-12-31	PRIJEM	\N	129	28020	UROK	\N	\N
3628079	2949	1995-03-31	PRIJEM	\N	81	26663	UROK	\N	\N
3628080	2949	1995-04-30	PRIJEM	\N	120	29227	UROK	\N	\N
3628081	2949	1995-05-31	PRIJEM	\N	123	27495	UROK	\N	\N
3628082	2949	1995-06-30	PRIJEM	\N	114	23373	UROK	\N	\N
3628083	2949	1995-07-31	PRIJEM	\N	104	24721	UROK	\N	\N
3628084	2949	1995-08-31	PRIJEM	\N	99	22304	UROK	\N	\N
3628085	2949	1995-09-30	PRIJEM	\N	97	22446	UROK	\N	\N
3628086	2949	1995-10-31	PRIJEM	\N	85	19155	UROK	\N	\N
3628087	2949	1995-11-30	PRIJEM	\N	86	20485	UROK	\N	\N
3628088	2949	1995-12-31	PRIJEM	\N	84	16363	UROK	\N	\N
3628089	2949	1996-01-31	PRIJEM	\N	65	14283	UROK	\N	\N
3628090	2949	1996-02-29	PRIJEM	\N	75	18701	UROK	\N	\N
3628091	2949	1996-03-31	PRIJEM	\N	77	17923	UROK	\N	\N
3628092	2949	1996-04-30	PRIJEM	\N	83	19411	UROK	\N	\N
3628093	2949	1996-05-31	PRIJEM	\N	93	23848	UROK	\N	\N
3628094	2949	1996-06-30	PRIJEM	\N	86	14278	UROK	\N	\N
3628095	2949	1996-07-31	PRIJEM	\N	72	18694	UROK	\N	\N
3628096	2949	1996-08-31	PRIJEM	\N	89	19828	UROK	\N	\N
3628097	2949	1996-09-30	PRIJEM	\N	98	24270	UROK	\N	\N
3628098	2949	1996-10-31	PRIJEM	\N	102	24916	UROK	\N	\N
3628099	2949	1996-11-30	PRIJEM	\N	119	29379	UROK	\N	\N
3628100	2949	1996-12-31	PRIJEM	\N	125	28499	UROK	\N	\N
3628101	2949	1997-01-31	PRIJEM	\N	112	19825	UROK	\N	\N
3628102	2949	1997-02-28	PRIJEM	\N	91	22580	UROK	\N	\N
3628103	2949	1997-03-31	PRIJEM	\N	100	23725	UROK	\N	\N
3628104	2949	1997-04-30	PRIJEM	\N	98	23047	UROK	\N	\N
3628105	2949	1997-05-31	PRIJEM	\N	106	27097	UROK	\N	\N
3628106	2949	1997-06-30	PRIJEM	\N	83	15375	UROK	\N	\N
3628107	2949	1997-07-31	PRIJEM	\N	72	18751	UROK	\N	\N
3628108	2949	1997-08-31	PRIJEM	\N	90	23185	UROK	\N	\N
3628109	2949	1997-09-30	PRIJEM	\N	106	27136	UROK	\N	\N
3628110	2949	1997-10-31	PRIJEM	\N	112	27892	UROK	\N	\N
3628111	2949	1997-11-30	PRIJEM	\N	119	29755	UROK	\N	\N
3628112	2949	1997-12-31	PRIJEM	\N	130	32429	UROK	\N	\N
3628113	2949	1998-01-31	PRIJEM	\N	92	19215	UROK	\N	\N
3628114	2949	1998-02-28	PRIJEM	\N	84	20603	UROK	\N	\N
3628115	2949	1998-03-31	PRIJEM	\N	90	22138	UROK	\N	\N
3628116	2949	1998-04-30	PRIJEM	\N	85	18987	UROK	\N	\N
3628117	2949	1998-05-31	PRIJEM	\N	88	22920	UROK	\N	\N
3628118	2949	1998-06-30	PRIJEM	\N	84	16948	UROK	\N	\N
3628119	2949	1998-07-31	PRIJEM	\N	76	19668	UROK	\N	\N
3628120	2949	1998-08-31	PRIJEM	\N	93	24105	UROK	\N	\N
3628121	2949	1998-09-30	PRIJEM	\N	102	25552	UROK	\N	\N
3628122	2949	1998-10-31	PRIJEM	\N	89	16185	UROK	\N	\N
3628123	2949	1998-11-30	PRIJEM	\N	78	20607	UROK	\N	\N
3628124	2949	1998-12-31	PRIJEM	\N	82	15553	UROK	\N	\N
3628125	2950	1996-07-31	PRIJEM	\N	11	21200	UROK	\N	\N
3628126	2950	1996-08-31	PRIJEM	\N	94	30184	UROK	\N	\N
3628127	2950	1996-09-30	PRIJEM	\N	130	36903	UROK	\N	\N
3628128	2950	1996-10-31	PRIJEM	\N	157	41849	UROK	\N	\N
3628129	2950	1996-11-30	PRIJEM	\N	195	38780	UROK	\N	\N
3628130	2950	1996-12-31	PRIJEM	\N	216	43621	UROK	\N	\N
3628131	2950	1997-01-31	PRIJEM	\N	190	26812	UROK	\N	\N
3628132	2950	1997-02-28	PRIJEM	\N	136	29569	UROK	\N	\N
3628133	2950	1997-03-31	PRIJEM	\N	151	35742	UROK	\N	\N
3628134	2950	1997-04-30	PRIJEM	\N	172	37135	UROK	\N	\N
3628135	2950	1997-05-31	PRIJEM	\N	175	36131	UROK	\N	\N
3628136	2950	1997-06-30	PRIJEM	\N	84	17161	UROK	\N	\N
3628137	2950	1997-07-31	PRIJEM	\N	101	25784	UROK	\N	\N
3628138	2950	1997-08-31	PRIJEM	\N	134	32239	UROK	\N	\N
3628139	2950	1997-09-30	PRIJEM	\N	156	35716	UROK	\N	\N
3628140	2950	1997-10-31	PRIJEM	\N	175	38052	UROK	\N	\N
3628141	2950	1997-11-30	PRIJEM	\N	171	36524	UROK	\N	\N
3628142	2950	1997-12-31	PRIJEM	\N	197	43347	UROK	\N	\N
3628143	2950	1998-01-31	PRIJEM	\N	162	32970	UROK	\N	\N
3628144	2950	1998-02-28	PRIJEM	\N	154	35345	UROK	\N	\N
3628145	2950	1998-03-31	PRIJEM	\N	161	34828	UROK	\N	\N
3628146	2950	1998-04-30	PRIJEM	\N	161	33730	UROK	\N	\N
3628147	2950	1998-05-31	PRIJEM	\N	167	41418	UROK	\N	\N
3628148	2950	1998-06-30	PRIJEM	\N	192	30396	UROK	\N	\N
3628149	2950	1998-07-31	PRIJEM	\N	134	26371	UROK	\N	\N
3628150	2950	1998-08-31	PRIJEM	\N	126	29519	UROK	\N	\N
3628151	2950	1998-09-30	PRIJEM	\N	145	36285	UROK	\N	\N
3628152	2950	1998-10-31	PRIJEM	\N	160	36767	UROK	\N	\N
3628153	2950	1998-11-30	PRIJEM	\N	162	37951	UROK	\N	\N
3628154	2950	1998-12-31	PRIJEM	\N	214	56930	UROK	\N	\N
3628155	2951	1993-09-30	PRIJEM	\N	36	11943	UROK	\N	\N
3628156	2951	1993-10-31	PRIJEM	\N	109	31360	UROK	\N	\N
3628157	2951	1993-11-30	PRIJEM	\N	154	39221	UROK	\N	\N
3628158	2951	1993-12-31	PRIJEM	\N	188	47470	UROK	\N	\N
3628159	2951	1994-01-31	PRIJEM	\N	183	36187	UROK	\N	\N
3628160	2951	1994-02-28	PRIJEM	\N	152	37716	UROK	\N	\N
3628161	2951	1994-03-31	PRIJEM	\N	167	41381	UROK	\N	\N
3628162	2951	1994-04-30	PRIJEM	\N	173	42831	UROK	\N	\N
3628163	2951	1994-05-31	PRIJEM	\N	166	39435	UROK	\N	\N
3628164	2951	1994-06-30	PRIJEM	\N	167	40092	UROK	\N	\N
3628165	2951	1994-07-31	PRIJEM	\N	161	39631	UROK	\N	\N
3628166	2951	1994-08-31	PRIJEM	\N	165	40873	UROK	\N	\N
3628167	2951	1994-09-30	PRIJEM	\N	178	44328	UROK	\N	\N
3628168	2951	1994-10-31	PRIJEM	\N	175	42980	UROK	\N	\N
3628169	2951	1994-11-30	PRIJEM	\N	181	45939	UROK	\N	\N
3628170	2951	1994-12-31	PRIJEM	\N	185	37274	UROK	\N	\N
3628171	2951	1995-01-31	PRIJEM	\N	153	32324	UROK	\N	\N
3628172	2951	1995-02-28	PRIJEM	\N	161	41163	UROK	\N	\N
3628173	2951	1995-03-31	PRIJEM	\N	179	39119	UROK	\N	\N
3628174	2951	1995-04-30	PRIJEM	\N	183	36899	UROK	\N	\N
3628175	2951	1995-05-31	PRIJEM	\N	177	35054	UROK	\N	\N
3628176	2951	1995-06-30	PRIJEM	\N	186	38971	UROK	\N	\N
3628177	2951	1995-07-31	PRIJEM	\N	174	36703	UROK	\N	\N
3628178	2951	1995-08-31	PRIJEM	\N	176	38956	UROK	\N	\N
3628179	2951	1995-09-30	PRIJEM	\N	173	36647	UROK	\N	\N
3628180	2951	1995-10-31	PRIJEM	\N	174	38798	UROK	\N	\N
3628181	2951	1995-11-30	PRIJEM	\N	182	39057	UROK	\N	\N
3628182	2951	1995-12-31	PRIJEM	\N	193	42501	UROK	\N	\N
3628183	2951	1996-01-31	PRIJEM	\N	168	34366	UROK	\N	\N
3628184	2951	1996-02-29	PRIJEM	\N	162	35906	UROK	\N	\N
3628185	2951	1996-03-31	PRIJEM	\N	169	37552	UROK	\N	\N
3628186	2951	1996-04-30	PRIJEM	\N	169	37698	UROK	\N	\N
3628187	2951	1996-05-31	PRIJEM	\N	177	41352	UROK	\N	\N
3628188	2951	1996-06-30	PRIJEM	\N	198	41841	UROK	\N	\N
3628189	2951	1996-07-31	PRIJEM	\N	184	40622	UROK	\N	\N
3628190	2951	1996-08-31	PRIJEM	\N	180	42120	UROK	\N	\N
3628191	2951	1996-09-30	PRIJEM	\N	196	46553	UROK	\N	\N
3628192	2951	1996-10-31	PRIJEM	\N	214	51644	UROK	\N	\N
3628193	2951	1996-11-30	PRIJEM	\N	232	55053	UROK	\N	\N
3628194	2951	1996-12-31	PRIJEM	\N	254	54918	UROK	\N	\N
3628195	2951	1997-01-31	PRIJEM	\N	213	46528	UROK	\N	\N
3628196	2951	1997-02-28	PRIJEM	\N	211	51117	UROK	\N	\N
3628197	2951	1997-03-31	PRIJEM	\N	229	54824	UROK	\N	\N
3628198	2951	1997-04-30	PRIJEM	\N	245	58646	UROK	\N	\N
3628199	2951	1997-05-31	PRIJEM	\N	254	59177	UROK	\N	\N
3628200	2951	1997-06-30	PRIJEM	\N	269	63477	UROK	\N	\N
3628201	2951	1997-07-31	PRIJEM	\N	278	66533	UROK	\N	\N
3628202	2951	1997-08-31	PRIJEM	\N	272	62662	UROK	\N	\N
3628203	2951	1997-09-30	PRIJEM	\N	271	65110	UROK	\N	\N
3628204	2951	1997-10-31	PRIJEM	\N	278	65865	UROK	\N	\N
3628205	2951	1997-11-30	PRIJEM	\N	275	65018	UROK	\N	\N
3628206	2951	1997-12-31	PRIJEM	\N	268	61517	UROK	\N	\N
3628207	2951	1998-01-31	PRIJEM	\N	234	49588	UROK	\N	\N
3628208	2951	1998-02-28	PRIJEM	\N	224	56189	UROK	\N	\N
3628209	2951	1998-03-31	PRIJEM	\N	238	55665	UROK	\N	\N
3628210	2951	1998-04-30	PRIJEM	\N	254	54096	UROK	\N	\N
3628211	2951	1998-05-31	PRIJEM	\N	247	52621	UROK	\N	\N
3628212	2951	1998-06-30	PRIJEM	\N	227	54779	UROK	\N	\N
3628213	2951	1998-07-31	PRIJEM	\N	212	49168	UROK	\N	\N
3628214	2951	1998-08-31	PRIJEM	\N	194	46240	UROK	\N	\N
3628215	2951	1998-09-30	PRIJEM	\N	178	36975	UROK	\N	\N
3628216	2951	1998-10-31	PRIJEM	\N	152	37505	UROK	\N	\N
3628217	2951	1998-11-30	PRIJEM	\N	138	33120	UROK	\N	\N
3628218	2951	1998-12-31	PRIJEM	\N	126	28497	UROK	\N	\N
3628219	2952	1997-09-30	PRIJEM	\N	68	23504	UROK	\N	\N
3628220	2952	1997-10-31	PRIJEM	\N	105	24949	UROK	\N	\N
3628221	2952	1997-11-30	PRIJEM	\N	109	24218	UROK	\N	\N
3628222	2952	1997-12-31	PRIJEM	\N	104	21561	UROK	\N	\N
3628223	2952	1998-01-31	PRIJEM	\N	77	15507	UROK	\N	\N
3628224	2952	1998-02-28	PRIJEM	\N	72	16738	UROK	\N	\N
3628225	2952	1998-03-31	PRIJEM	\N	74	15451	UROK	\N	\N
3628226	2952	1998-04-30	PRIJEM	\N	63	13474	UROK	\N	\N
3628227	2952	1998-05-31	PRIJEM	\N	55	12249	UROK	\N	\N
3628228	2952	1998-06-30	PRIJEM	\N	58	13646	UROK	\N	\N
3628229	2952	1998-07-31	PRIJEM	\N	64	15249	UROK	\N	\N
3628230	2952	1998-08-31	PRIJEM	\N	63	11651	UROK	\N	\N
3628231	2952	1998-09-30	PRIJEM	\N	53	11443	UROK	\N	\N
3628232	2952	1998-10-31	PRIJEM	\N	56	13939	UROK	\N	\N
3628233	2952	1998-11-30	PRIJEM	\N	62	13740	UROK	\N	\N
3628234	2952	1998-12-31	PRIJEM	\N	63	14932	UROK	\N	\N
3628235	2953	1996-09-30	PRIJEM	\N	22	6064	UROK	\N	\N
3628236	2953	1996-10-31	PRIJEM	\N	73	19279	UROK	\N	\N
3628237	2953	1996-11-30	PRIJEM	\N	114	28835	UROK	\N	\N
3628238	2953	1996-12-31	PRIJEM	\N	140	34488	UROK	\N	\N
3628239	2953	1997-01-31	PRIJEM	\N	127	27029	UROK	\N	\N
3628240	2953	1997-02-28	PRIJEM	\N	99	17727	UROK	\N	\N
3628241	2953	1997-03-31	PRIJEM	\N	120	30247	UROK	\N	\N
3628242	2953	1997-04-30	PRIJEM	\N	134	32280	UROK	\N	\N
3628243	2953	1997-05-31	PRIJEM	\N	165	41745	UROK	\N	\N
3628244	2953	1997-06-30	PRIJEM	\N	146	37261	UROK	\N	\N
3628245	2953	1997-07-31	PRIJEM	\N	161	41522	UROK	\N	\N
3628246	2953	1997-08-31	PRIJEM	\N	174	42795	UROK	\N	\N
3628247	2953	1997-09-30	PRIJEM	\N	184	42578	UROK	\N	\N
3628248	2953	1997-10-31	PRIJEM	\N	183	43361	UROK	\N	\N
3628249	2953	1997-11-30	PRIJEM	\N	190	48750	UROK	\N	\N
3628250	2953	1997-12-31	PRIJEM	\N	211	50831	UROK	\N	\N
3628251	2953	1998-01-31	PRIJEM	\N	188	48519	UROK	\N	\N
3628252	2953	1998-02-28	PRIJEM	\N	211	54030	UROK	\N	\N
3628253	2953	1998-03-31	PRIJEM	\N	229	53259	UROK	\N	\N
3628254	2953	1998-04-30	PRIJEM	\N	229	56287	UROK	\N	\N
3628255	2953	1998-05-31	PRIJEM	\N	240	57026	UROK	\N	\N
3628256	2953	1998-06-30	PRIJEM	\N	225	55622	UROK	\N	\N
3628257	2953	1998-07-31	PRIJEM	\N	236	55857	UROK	\N	\N
3628258	2953	1998-08-31	PRIJEM	\N	235	54792	UROK	\N	\N
3628259	2953	1998-09-30	PRIJEM	\N	226	50218	UROK	\N	\N
3628260	2953	1998-10-31	PRIJEM	\N	208	46525	UROK	\N	\N
3628261	2953	1998-11-30	PRIJEM	\N	194	45618	UROK	\N	\N
3628262	2953	1998-12-31	PRIJEM	\N	196	47385	UROK	\N	\N
3628263	2954	1997-04-30	PRIJEM	\N	61	24558	UROK	\N	\N
3628264	2954	1997-05-31	PRIJEM	\N	157	46313	UROK	\N	\N
3628265	2954	1997-06-30	PRIJEM	\N	258	72667	UROK	\N	\N
3628266	2954	1997-07-31	PRIJEM	\N	315	78079	UROK	\N	\N
3628267	2954	1997-08-31	PRIJEM	\N	321	76897	UROK	\N	\N
3628268	2954	1997-09-30	PRIJEM	\N	271	69645	UROK	\N	\N
3628269	2954	1997-10-31	PRIJEM	\N	248	64269	UROK	\N	\N
3628270	2954	1997-11-30	PRIJEM	\N	215	52560	UROK	\N	\N
3628271	2954	1997-12-31	PRIJEM	\N	222	64357	UROK	\N	\N
3628272	2954	1998-01-31	PRIJEM	\N	200	49333	UROK	\N	\N
3628273	2954	1998-02-28	PRIJEM	\N	198	53808	UROK	\N	\N
3628274	2954	1998-03-31	PRIJEM	\N	219	58903	UROK	\N	\N
3628275	2954	1998-04-30	PRIJEM	\N	234	59614	UROK	\N	\N
3628276	2954	1998-05-31	PRIJEM	\N	224	60514	UROK	\N	\N
3628277	2954	1998-06-30	PRIJEM	\N	242	64432	UROK	\N	\N
3628278	2954	1998-07-31	PRIJEM	\N	255	67363	UROK	\N	\N
3628279	2954	1998-08-31	PRIJEM	\N	241	63180	UROK	\N	\N
3628280	2954	1998-09-30	PRIJEM	\N	250	66806	UROK	\N	\N
3628281	2954	1998-10-31	PRIJEM	\N	268	59850	UROK	\N	\N
3628282	2954	1998-11-30	PRIJEM	\N	283	60610	UROK	\N	\N
3628283	2954	1998-12-31	PRIJEM	\N	309	86794	UROK	\N	\N
3628284	2955	1997-02-28	PRIJEM	\N	55	22964	UROK	\N	\N
3628285	2955	1997-03-31	PRIJEM	\N	94	21616	UROK	\N	\N
3628286	2955	1997-04-30	PRIJEM	\N	94	23388	UROK	\N	\N
3628287	2955	1997-05-31	PRIJEM	\N	90	20197	UROK	\N	\N
3628288	2955	1997-06-30	PRIJEM	\N	88	21964	UROK	\N	\N
3628289	2955	1997-07-31	PRIJEM	\N	96	23738	UROK	\N	\N
3628290	2955	1997-08-31	PRIJEM	\N	103	25519	UROK	\N	\N
3628291	2955	1997-09-30	PRIJEM	\N	109	23467	UROK	\N	\N
3628292	2955	1997-10-31	PRIJEM	\N	100	23005	UROK	\N	\N
3628293	2955	1997-11-30	PRIJEM	\N	100	24783	UROK	\N	\N
3628294	2955	1997-12-31	PRIJEM	\N	107	26118	UROK	\N	\N
3628295	2955	1998-01-31	PRIJEM	\N	88	15004	UROK	\N	\N
3628296	2955	1998-02-28	PRIJEM	\N	66	16749	UROK	\N	\N
3628297	2955	1998-03-31	PRIJEM	\N	74	18501	UROK	\N	\N
3628298	2955	1998-04-30	PRIJEM	\N	81	20261	UROK	\N	\N
3628299	2955	1998-05-31	PRIJEM	\N	90	18669	UROK	\N	\N
3628300	2955	1998-06-30	PRIJEM	\N	72	15379	UROK	\N	\N
3628301	2955	1998-07-31	PRIJEM	\N	64	14881	UROK	\N	\N
3628302	2955	1998-08-31	PRIJEM	\N	66	16626	UROK	\N	\N
3628303	2955	1998-09-30	PRIJEM	\N	73	18377	UROK	\N	\N
3628304	2955	1998-10-31	PRIJEM	\N	81	20136	UROK	\N	\N
3628305	2955	1998-11-30	PRIJEM	\N	88	21902	UROK	\N	\N
3628306	2955	1998-12-31	PRIJEM	\N	95	23075	UROK	\N	\N
3628307	2956	1997-07-31	PRIJEM	\N	63	21264	UROK	\N	\N
3628308	2956	1997-08-31	PRIJEM	\N	145	40510	UROK	\N	\N
3628309	2956	1997-09-30	PRIJEM	\N	193	48903	UROK	\N	\N
3628310	2956	1997-10-31	PRIJEM	\N	213	52418	UROK	\N	\N
3628311	2956	1997-11-30	PRIJEM	\N	213	50731	UROK	\N	\N
3628312	2956	1997-12-31	PRIJEM	\N	220	54886	UROK	\N	\N
3628313	2956	1998-01-31	PRIJEM	\N	138	26188	UROK	\N	\N
3628314	2956	1998-02-28	PRIJEM	\N	115	30047	UROK	\N	\N
3628315	2956	1998-03-31	PRIJEM	\N	147	37439	UROK	\N	\N
3628316	2956	1998-04-30	PRIJEM	\N	162	41245	UROK	\N	\N
3628317	2956	1998-05-31	PRIJEM	\N	170	42760	UROK	\N	\N
3628318	2956	1998-06-30	PRIJEM	\N	191	49546	UROK	\N	\N
3628319	2956	1998-07-31	PRIJEM	\N	203	50493	UROK	\N	\N
3628320	2956	1998-08-31	PRIJEM	\N	193	45751	UROK	\N	\N
3628321	2956	1998-09-30	PRIJEM	\N	184	44380	UROK	\N	\N
3628322	2956	1998-10-31	PRIJEM	\N	196	47941	UROK	\N	\N
3628323	2956	1998-11-30	PRIJEM	\N	211	53496	UROK	\N	\N
3628324	2956	1998-12-31	PRIJEM	\N	227	57218	UROK	\N	\N
3628325	2957	1995-08-31	PRIJEM	\N	17	24526	UROK	\N	\N
3628326	2957	1995-09-30	PRIJEM	\N	108	32842	UROK	\N	\N
3628327	2957	1995-10-31	PRIJEM	\N	142	39593	UROK	\N	\N
3628328	2957	1995-11-30	PRIJEM	\N	170	45872	UROK	\N	\N
3628329	2957	1995-12-31	PRIJEM	\N	235	47670	UROK	\N	\N
3628330	2957	1996-01-31	PRIJEM	\N	196	20201	UROK	\N	\N
3628331	2957	1996-02-29	PRIJEM	\N	115	29671	UROK	\N	\N
3628332	2957	1996-03-31	PRIJEM	\N	149	32474	UROK	\N	\N
3628333	2957	1996-04-30	PRIJEM	\N	160	34909	UROK	\N	\N
3628334	2957	1996-05-31	PRIJEM	\N	170	38132	UROK	\N	\N
3628335	2957	1996-06-30	PRIJEM	\N	116	22478	UROK	\N	\N
3628336	2957	1996-07-31	PRIJEM	\N	112	29064	UROK	\N	\N
3628337	2957	1996-08-31	PRIJEM	\N	148	36966	UROK	\N	\N
3628338	2957	1996-09-30	PRIJEM	\N	165	38606	UROK	\N	\N
3628339	2957	1996-10-31	PRIJEM	\N	180	42340	UROK	\N	\N
3628340	2957	1996-11-30	PRIJEM	\N	196	43531	UROK	\N	\N
3628341	2957	1996-12-31	PRIJEM	\N	212	50892	UROK	\N	\N
3628342	2957	1997-01-31	PRIJEM	\N	201	33647	UROK	\N	\N
3628343	2957	1997-02-28	PRIJEM	\N	167	45069	UROK	\N	\N
3628344	2957	1997-03-31	PRIJEM	\N	211	48494	UROK	\N	\N
3628345	2957	1997-04-30	PRIJEM	\N	214	48022	UROK	\N	\N
3628346	2957	1997-05-31	PRIJEM	\N	199	44315	UROK	\N	\N
3628347	2957	1997-06-30	PRIJEM	\N	213	49538	UROK	\N	\N
3628348	2957	1997-07-31	PRIJEM	\N	213	49905	UROK	\N	\N
3628349	2957	1997-08-31	PRIJEM	\N	217	52577	UROK	\N	\N
3628350	2957	1997-09-30	PRIJEM	\N	225	54756	UROK	\N	\N
3628351	2957	1997-10-31	PRIJEM	\N	226	51816	UROK	\N	\N
3628352	2957	1997-11-30	PRIJEM	\N	197	43428	UROK	\N	\N
3628353	2957	1997-12-31	PRIJEM	\N	198	49835	UROK	\N	\N
3628354	2957	1998-01-31	PRIJEM	\N	150	29520	UROK	\N	\N
3628355	2957	1998-02-28	PRIJEM	\N	142	37116	UROK	\N	\N
3628356	2957	1998-03-31	PRIJEM	\N	177	42548	UROK	\N	\N
3628357	2957	1998-04-30	PRIJEM	\N	176	42478	UROK	\N	\N
3628358	2957	1998-05-31	PRIJEM	\N	180	40172	UROK	\N	\N
3628359	2957	1998-06-30	PRIJEM	\N	195	50976	UROK	\N	\N
3628360	2957	1998-07-31	PRIJEM	\N	194	43584	UROK	\N	\N
3628361	2957	1998-08-31	PRIJEM	\N	177	42015	UROK	\N	\N
3628362	2957	1998-09-30	PRIJEM	\N	196	49565	UROK	\N	\N
3628363	2957	1998-10-31	PRIJEM	\N	212	51732	UROK	\N	\N
3628364	2957	1998-11-30	PRIJEM	\N	217	49323	UROK	\N	\N
3628365	2957	1998-12-31	PRIJEM	\N	226	56779	UROK	\N	\N
3628366	2958	1994-02-28	PRIJEM	\N	4	26729	UROK	\N	\N
3628367	2958	1994-03-31	PRIJEM	\N	107	22525	UROK	\N	\N
3628368	2958	1994-04-30	PRIJEM	\N	88	20203	UROK	\N	\N
3628369	2958	1994-05-31	PRIJEM	\N	89	22281	UROK	\N	\N
3628370	2958	1994-06-30	PRIJEM	\N	79	12949	UROK	\N	\N
3628371	2958	1994-07-31	PRIJEM	\N	59	14518	UROK	\N	\N
3628372	2958	1994-08-31	PRIJEM	\N	66	16573	UROK	\N	\N
3628373	2958	1994-09-30	PRIJEM	\N	74	18636	UROK	\N	\N
3628374	2958	1994-10-31	PRIJEM	\N	83	20708	UROK	\N	\N
3628375	2958	1994-11-30	PRIJEM	\N	91	22789	UROK	\N	\N
3628376	2958	1994-12-31	PRIJEM	\N	99	24027	UROK	\N	\N
3628377	2958	1995-01-31	PRIJEM	\N	72	13398	UROK	\N	\N
3628378	2958	1995-02-28	PRIJEM	\N	61	15448	UROK	\N	\N
3628379	2958	1995-03-31	PRIJEM	\N	65	15023	UROK	\N	\N
3628380	2958	1995-04-30	PRIJEM	\N	67	17080	UROK	\N	\N
3628381	2958	1995-05-31	PRIJEM	\N	76	19145	UROK	\N	\N
3628382	2958	1995-06-30	PRIJEM	\N	74	18169	UROK	\N	\N
3628383	2958	1995-07-31	PRIJEM	\N	81	20239	UROK	\N	\N
3628384	2958	1995-08-31	PRIJEM	\N	89	22317	UROK	\N	\N
3628385	2958	1995-09-30	PRIJEM	\N	87	21033	UROK	\N	\N
3628386	2958	1995-10-31	PRIJEM	\N	93	23115	UROK	\N	\N
3628387	2958	1995-11-30	PRIJEM	\N	98	24703	UROK	\N	\N
3628388	2958	1995-12-31	PRIJEM	\N	105	26197	UROK	\N	\N
3628389	2958	1996-01-31	PRIJEM	\N	84	17630	UROK	\N	\N
3628390	2958	1996-02-29	PRIJEM	\N	78	19698	UROK	\N	\N
3628391	2958	1996-03-31	PRIJEM	\N	87	21774	UROK	\N	\N
3628392	2958	1996-04-30	PRIJEM	\N	95	23859	UROK	\N	\N
3628393	2958	1996-05-31	PRIJEM	\N	100	25148	UROK	\N	\N
3628394	2958	1996-06-30	PRIJEM	\N	89	21747	UROK	\N	\N
3628395	2958	1996-07-31	PRIJEM	\N	89	22325	UROK	\N	\N
3628396	2958	1996-08-31	PRIJEM	\N	91	22706	UROK	\N	\N
3628397	2958	1996-09-30	PRIJEM	\N	99	24794	UROK	\N	\N
3628398	2958	1996-10-31	PRIJEM	\N	71	16335	UROK	\N	\N
3628399	2958	1996-11-30	PRIJEM	\N	72	18396	UROK	\N	\N
3628400	2958	1996-12-31	PRIJEM	\N	77	19412	UROK	\N	\N
3628401	2958	1997-01-31	PRIJEM	\N	66	14428	UROK	\N	\N
3628402	2958	1997-02-28	PRIJEM	\N	62	15879	UROK	\N	\N
3628403	2958	1997-03-31	PRIJEM	\N	70	17938	UROK	\N	\N
3628404	2958	1997-04-30	PRIJEM	\N	70	17398	UROK	\N	\N
3628405	2958	1997-05-31	PRIJEM	\N	72	18459	UROK	\N	\N
3628406	2958	1997-06-30	PRIJEM	\N	63	14611	UROK	\N	\N
3628407	2958	1997-07-31	PRIJEM	\N	65	16666	UROK	\N	\N
3628408	2958	1997-08-31	PRIJEM	\N	70	17365	UROK	\N	\N
3628409	2958	1997-09-30	PRIJEM	\N	76	19430	UROK	\N	\N
3628410	2958	1997-10-31	PRIJEM	\N	73	16053	UROK	\N	\N
3628411	2958	1997-11-30	PRIJEM	\N	68	14311	UROK	\N	\N
3628412	2958	1997-12-31	PRIJEM	\N	63	15463	UROK	\N	\N
3628413	2958	1998-01-31	PRIJEM	\N	63	13435	UROK	\N	\N
3628414	2958	1998-02-28	PRIJEM	\N	58	13582	UROK	\N	\N
3628415	2958	1998-03-31	PRIJEM	\N	60	15632	UROK	\N	\N
3628416	2958	1998-04-30	PRIJEM	\N	68	15369	UROK	\N	\N
3628417	2958	1998-05-31	PRIJEM	\N	66	16604	UROK	\N	\N
3628418	2958	1998-06-30	PRIJEM	\N	70	15963	UROK	\N	\N
3628419	2958	1998-07-31	PRIJEM	\N	67	15780	UROK	\N	\N
3628420	2958	1998-08-31	PRIJEM	\N	63	15513	UROK	\N	\N
3628421	2958	1998-09-30	PRIJEM	\N	64	14566	UROK	\N	\N
3628422	2958	1998-10-31	PRIJEM	\N	64	16620	UROK	\N	\N
3628423	2958	1998-11-30	PRIJEM	\N	65	14214	UROK	\N	\N
3628424	2958	1998-12-31	PRIJEM	\N	62	16265	UROK	\N	\N
3628425	2960	1994-10-31	PRIJEM	\N	30	18856	UROK	\N	\N
3628426	2960	1994-11-30	PRIJEM	\N	93	27375	UROK	\N	\N
3628427	2960	1994-12-31	PRIJEM	\N	127	34891	UROK	\N	\N
3628428	2960	1995-01-31	PRIJEM	\N	144	34461	UROK	\N	\N
3628429	2960	1995-02-28	PRIJEM	\N	146	36233	UROK	\N	\N
3628430	2960	1995-03-31	PRIJEM	\N	137	32397	UROK	\N	\N
3628431	2960	1995-04-30	PRIJEM	\N	133	30158	UROK	\N	\N
3628432	2960	1995-05-31	PRIJEM	\N	129	31015	UROK	\N	\N
3628433	2960	1995-06-30	PRIJEM	\N	140	34345	UROK	\N	\N
3628434	2960	1995-07-31	PRIJEM	\N	142	32914	UROK	\N	\N
3628435	2960	1995-08-31	PRIJEM	\N	132	30173	UROK	\N	\N
3628436	2960	1995-09-30	PRIJEM	\N	128	30928	UROK	\N	\N
3628437	2960	1995-10-31	PRIJEM	\N	132	29288	UROK	\N	\N
3628438	2960	1995-11-30	PRIJEM	\N	112	29427	UROK	\N	\N
3628439	2960	1995-12-31	PRIJEM	\N	149	38266	UROK	\N	\N
3628440	2960	1996-01-31	PRIJEM	\N	142	34236	UROK	\N	\N
3628441	2960	1996-02-29	PRIJEM	\N	156	41219	UROK	\N	\N
3628442	2960	1996-03-31	PRIJEM	\N	178	44825	UROK	\N	\N
3628443	2960	1996-04-30	PRIJEM	\N	182	44634	UROK	\N	\N
3628444	2960	1996-05-31	PRIJEM	\N	188	46849	UROK	\N	\N
3628445	2960	1996-06-30	PRIJEM	\N	197	48936	UROK	\N	\N
3628446	2960	1996-07-31	PRIJEM	\N	198	48961	UROK	\N	\N
3628447	2960	1996-08-31	PRIJEM	\N	190	47079	UROK	\N	\N
3628448	2960	1996-09-30	PRIJEM	\N	179	42786	UROK	\N	\N
3628449	2960	1996-10-31	PRIJEM	\N	146	37959	UROK	\N	\N
3628450	2960	1996-11-30	PRIJEM	\N	148	38635	UROK	\N	\N
3628451	2960	1996-12-31	PRIJEM	\N	159	41184	UROK	\N	\N
3628452	2960	1997-01-31	PRIJEM	\N	130	27742	UROK	\N	\N
3628453	2960	1997-02-28	PRIJEM	\N	112	31681	UROK	\N	\N
3628454	2960	1997-03-31	PRIJEM	\N	124	30832	UROK	\N	\N
3628455	2960	1997-04-30	PRIJEM	\N	116	31576	UROK	\N	\N
3628456	2960	1997-05-31	PRIJEM	\N	107	29111	UROK	\N	\N
3628457	2960	1997-06-30	PRIJEM	\N	125	37326	UROK	\N	\N
3628458	2960	1997-07-31	PRIJEM	\N	133	35387	UROK	\N	\N
3628459	2960	1997-08-31	PRIJEM	\N	124	31539	UROK	\N	\N
3628460	2960	1997-09-30	PRIJEM	\N	100	27866	UROK	\N	\N
3628461	2960	1997-10-31	PRIJEM	\N	96	27189	UROK	\N	\N
3628462	2960	1997-11-30	PRIJEM	\N	90	25907	UROK	\N	\N
3628463	2960	1997-12-31	PRIJEM	\N	86	27083	UROK	\N	\N
3628464	2960	1998-01-31	PRIJEM	\N	61	15872	UROK	\N	\N
3628465	2960	1998-02-28	PRIJEM	\N	53	17853	UROK	\N	\N
3628466	2960	1998-03-31	PRIJEM	\N	83	22363	UROK	\N	\N
3628467	2960	1998-04-30	PRIJEM	\N	62	18953	UROK	\N	\N
3628468	2960	1998-05-31	PRIJEM	\N	74	22654	UROK	\N	\N
3628469	2960	1998-06-30	PRIJEM	\N	118	33863	UROK	\N	\N
3628470	2960	1998-07-31	PRIJEM	\N	146	38437	UROK	\N	\N
3628471	2960	1998-08-31	PRIJEM	\N	70	19234	UROK	\N	\N
3628472	2960	1998-09-30	PRIJEM	\N	88	23750	UROK	\N	\N
3628473	2960	1998-10-31	PRIJEM	\N	107	28284	UROK	\N	\N
3628474	2960	1998-11-30	PRIJEM	\N	119	28031	UROK	\N	\N
3628475	2960	1998-12-31	PRIJEM	\N	136	35956	UROK	\N	\N
3628476	2961	1996-12-31	PRIJEM	\N	66	23620	UROK	\N	\N
3628477	2961	1997-01-31	PRIJEM	\N	88	15734	UROK	\N	\N
3628478	2961	1997-02-28	PRIJEM	\N	76	19147	UROK	\N	\N
3628479	2961	1997-03-31	PRIJEM	\N	90	22093	UROK	\N	\N
3628480	2961	1997-04-30	PRIJEM	\N	103	25532	UROK	\N	\N
3628481	2961	1997-05-31	PRIJEM	\N	117	28985	UROK	\N	\N
3628482	2961	1997-06-30	PRIJEM	\N	100	21172	UROK	\N	\N
3628483	2961	1997-07-31	PRIJEM	\N	99	24607	UROK	\N	\N
3628484	2961	1997-08-31	PRIJEM	\N	113	28056	UROK	\N	\N
3628485	2961	1997-09-30	PRIJEM	\N	116	28149	UROK	\N	\N
3628486	2961	1997-10-31	PRIJEM	\N	121	29607	UROK	\N	\N
3628487	2961	1997-11-30	PRIJEM	\N	114	24697	UROK	\N	\N
3628488	2961	1997-12-31	PRIJEM	\N	108	24391	UROK	\N	\N
3628489	2961	1998-01-31	PRIJEM	\N	91	19078	UROK	\N	\N
3628490	2961	1998-02-28	PRIJEM	\N	90	22504	UROK	\N	\N
3628491	2961	1998-03-31	PRIJEM	\N	95	21216	UROK	\N	\N
3628492	2961	1998-04-30	PRIJEM	\N	99	24651	UROK	\N	\N
3628493	2961	1998-05-31	PRIJEM	\N	113	28100	UROK	\N	\N
3628494	2961	1998-06-30	PRIJEM	\N	85	20322	UROK	\N	\N
3628495	2961	1998-07-31	PRIJEM	\N	95	23753	UROK	\N	\N
3628496	2961	1998-08-31	PRIJEM	\N	109	27198	UROK	\N	\N
3628497	2961	1998-09-30	PRIJEM	\N	121	29936	UROK	\N	\N
3628498	2961	1998-10-31	PRIJEM	\N	127	26499	UROK	\N	\N
3628499	2961	1998-11-30	PRIJEM	\N	120	29956	UROK	\N	\N
3628500	2961	1998-12-31	PRIJEM	\N	134	32527	UROK	\N	\N
3628501	2962	1993-06-30	PRIJEM	\N	128	44244	UROK	\N	\N
3628502	2962	1993-07-31	PRIJEM	\N	184	36528	UROK	\N	\N
3628503	2962	1993-08-31	PRIJEM	\N	184	30812	UROK	\N	\N
3628504	2962	1993-09-30	PRIJEM	\N	202	44331	UROK	\N	\N
3628505	2962	1993-10-31	PRIJEM	\N	184	35915	UROK	\N	\N
3628506	2962	1993-11-30	PRIJEM	\N	184	30699	UROK	\N	\N
3628507	2962	1993-12-31	PRIJEM	\N	275	59559	UROK	\N	\N
3628508	2962	1994-01-31	PRIJEM	\N	156	20300	UROK	\N	\N
3628509	2962	1994-02-28	PRIJEM	\N	264	83854	UROK	\N	\N
3628510	2962	1994-03-31	PRIJEM	\N	297	45257	UROK	\N	\N
3628511	2962	1994-04-30	PRIJEM	\N	187	38044	UROK	\N	\N
3628512	2962	1994-05-31	PRIJEM	\N	269	94548	UROK	\N	\N
3628513	2962	1994-06-30	PRIJEM	\N	373	88085	UROK	\N	\N
3628514	2962	1994-07-31	PRIJEM	\N	399	67787	UROK	\N	\N
3628515	2962	1994-08-31	PRIJEM	\N	344	91436	UROK	\N	\N
3628516	2962	1994-09-30	PRIJEM	\N	371	51602	UROK	\N	\N
3628517	2962	1994-10-31	PRIJEM	\N	207	66092	UROK	\N	\N
3628518	2962	1994-11-30	PRIJEM	\N	222	35500	UROK	\N	\N
3628519	2962	1994-12-31	PRIJEM	\N	187	60220	UROK	\N	\N
3628520	2962	1995-01-31	PRIJEM	\N	271	42758	UROK	\N	\N
3628521	2962	1995-02-28	PRIJEM	\N	213	49988	UROK	\N	\N
3628522	2962	1995-03-31	PRIJEM	\N	192	35088	UROK	\N	\N
3628523	2962	1995-04-30	PRIJEM	\N	247	90292	UROK	\N	\N
3628524	2962	1995-05-31	PRIJEM	\N	358	70817	UROK	\N	\N
3628525	2962	1995-06-30	PRIJEM	\N	291	96541	UROK	\N	\N
3628526	2962	1995-07-31	PRIJEM	\N	299	48002	UROK	\N	\N
3628527	2962	1995-08-31	PRIJEM	\N	215	80746	UROK	\N	\N
3628528	2962	1995-09-30	PRIJEM	\N	256	48963	UROK	\N	\N
3628529	2962	1995-10-31	PRIJEM	\N	311	100997	UROK	\N	\N
3628530	2962	1995-11-30	PRIJEM	\N	314	52960	UROK	\N	\N
3628531	2962	1995-12-31	PRIJEM	\N	235	93878	UROK	\N	\N
3628532	2962	1996-01-31	PRIJEM	\N	214	25677	UROK	\N	\N
3628533	2962	1996-02-29	PRIJEM	\N	129	56754	UROK	\N	\N
3628534	2962	1996-03-31	PRIJEM	\N	207	45147	UROK	\N	\N
3628535	2962	1996-04-30	PRIJEM	\N	147	26879	UROK	\N	\N
3628536	2962	1996-05-31	PRIJEM	\N	111	28675	UROK	\N	\N
3628537	2962	1996-06-30	PRIJEM	\N	116	28376	UROK	\N	\N
3628538	2962	1996-07-31	PRIJEM	\N	118	29379	UROK	\N	\N
3628539	2962	1996-08-31	PRIJEM	\N	138	33627	UROK	\N	\N
3628540	2962	1996-09-30	PRIJEM	\N	119	28431	UROK	\N	\N
3628541	2962	1996-10-31	PRIJEM	\N	106	24523	UROK	\N	\N
3628542	2962	1996-11-30	PRIJEM	\N	92	20400	UROK	\N	\N
3628543	2962	1996-12-31	PRIJEM	\N	80	19066	UROK	\N	\N
3628544	2962	1997-01-31	PRIJEM	\N	111	29165	UROK	\N	\N
3628545	2962	1997-02-28	PRIJEM	\N	204	44977	UROK	\N	\N
3628546	2962	1997-03-31	PRIJEM	\N	304	90988	UROK	\N	\N
3628547	2962	1997-04-30	PRIJEM	\N	229	51282	UROK	\N	\N
3628548	2962	1997-05-31	PRIJEM	\N	208	74912	UROK	\N	\N
3628549	2962	1997-06-30	PRIJEM	\N	186	52675	UROK	\N	\N
3628550	2962	1997-07-31	PRIJEM	\N	321	104305	UROK	\N	\N
3628551	2962	1997-08-31	PRIJEM	\N	326	104228	UROK	\N	\N
3628552	2962	1997-09-30	PRIJEM	\N	377	69480	UROK	\N	\N
3628553	2962	1997-10-31	PRIJEM	\N	370	117617	UROK	\N	\N
3628554	2962	1997-11-30	PRIJEM	\N	472	119822	UROK	\N	\N
3628555	2962	1997-12-31	PRIJEM	\N	278	53935	UROK	\N	\N
3628556	2962	1998-01-31	PRIJEM	\N	189	69626	UROK	\N	\N
3628557	2962	1998-02-28	PRIJEM	\N	239	88531	UROK	\N	\N
3628558	2962	1998-03-31	PRIJEM	\N	258	72095	UROK	\N	\N
3628559	2962	1998-04-30	PRIJEM	\N	234	42415	UROK	\N	\N
3628560	2962	1998-05-31	PRIJEM	\N	152	41257	UROK	\N	\N
3628561	2962	1998-06-30	PRIJEM	\N	129	28371	UROK	\N	\N
3628562	2962	1998-07-31	PRIJEM	\N	109	26966	UROK	\N	\N
3628563	2962	1998-08-31	PRIJEM	\N	150	56271	UROK	\N	\N
3628564	2962	1998-09-30	PRIJEM	\N	171	33527	UROK	\N	\N
3628565	2962	1998-10-31	PRIJEM	\N	174	76766	UROK	\N	\N
3628566	2962	1998-11-30	PRIJEM	\N	188	44239	UROK	\N	\N
3628567	2963	1996-12-31	PRIJEM	\N	64	23792	UROK	\N	\N
3628568	2963	1997-01-31	PRIJEM	\N	138	38582	UROK	\N	\N
3628569	2963	1997-02-28	PRIJEM	\N	186	48720	UROK	\N	\N
3628570	2963	1997-03-31	PRIJEM	\N	217	54289	UROK	\N	\N
3628571	2963	1997-04-30	PRIJEM	\N	240	59681	UROK	\N	\N
3628572	2963	1997-05-31	PRIJEM	\N	242	60359	UROK	\N	\N
3628573	2963	1997-06-30	PRIJEM	\N	229	58000	UROK	\N	\N
3628574	2963	1997-07-31	PRIJEM	\N	235	57071	UROK	\N	\N
3628575	2963	1997-08-31	PRIJEM	\N	229	58236	UROK	\N	\N
3628576	2963	1997-09-30	PRIJEM	\N	228	57800	UROK	\N	\N
3628577	2963	1997-10-31	PRIJEM	\N	222	56259	UROK	\N	\N
3628578	2963	1997-11-30	PRIJEM	\N	219	55314	UROK	\N	\N
3628579	2963	1997-12-31	PRIJEM	\N	226	58852	UROK	\N	\N
3628580	2963	1998-01-31	PRIJEM	\N	195	48084	UROK	\N	\N
3628581	2963	1998-02-28	PRIJEM	\N	200	52120	UROK	\N	\N
3628582	2963	1998-03-31	PRIJEM	\N	204	52060	UROK	\N	\N
3628583	2963	1998-04-30	PRIJEM	\N	193	49190	UROK	\N	\N
3628584	2963	1998-05-31	PRIJEM	\N	176	44702	UROK	\N	\N
3628585	2963	1998-06-30	PRIJEM	\N	177	39092	UROK	\N	\N
3628586	2963	1998-07-31	PRIJEM	\N	177	46905	UROK	\N	\N
3628587	2963	1998-08-31	PRIJEM	\N	196	51237	UROK	\N	\N
3628588	2963	1998-09-30	PRIJEM	\N	202	52576	UROK	\N	\N
3628589	2963	1998-10-31	PRIJEM	\N	228	45339	UROK	\N	\N
3628590	2963	1998-11-30	PRIJEM	\N	202	42878	UROK	\N	\N
3628591	2963	1998-12-31	PRIJEM	\N	222	58012	UROK	\N	\N
3628592	2964	1997-01-31	PRIJEM	\N	11	4709	UROK	\N	\N
3628593	2964	1997-02-28	PRIJEM	\N	20	9127	UROK	\N	\N
3628594	2964	1997-03-31	PRIJEM	\N	20	13545	UROK	\N	\N
3628595	2964	1997-04-30	PRIJEM	\N	20	17962	UROK	\N	\N
3628596	2964	1997-05-31	PRIJEM	\N	38	20078	UROK	\N	\N
3628597	2964	1997-06-30	PRIJEM	\N	69	14374	UROK	\N	\N
3628598	2964	1997-07-31	PRIJEM	\N	65	16517	UROK	\N	\N
3628599	2964	1997-08-31	PRIJEM	\N	74	18668	UROK	\N	\N
3628600	2964	1997-09-30	PRIJEM	\N	83	20828	UROK	\N	\N
3628601	2964	1997-10-31	PRIJEM	\N	92	22997	UROK	\N	\N
3628602	2964	1997-11-30	PRIJEM	\N	101	25175	UROK	\N	\N
3628603	2964	1997-12-31	PRIJEM	\N	108	26560	UROK	\N	\N
3628604	2964	1998-01-31	PRIJEM	\N	105	23172	UROK	\N	\N
3628605	2964	1998-02-28	PRIJEM	\N	98	24308	UROK	\N	\N
3628606	2964	1998-03-31	PRIJEM	\N	102	23847	UROK	\N	\N
3628607	2964	1998-04-30	PRIJEM	\N	104	26029	UROK	\N	\N
3628608	2964	1998-05-31	PRIJEM	\N	111	26057	UROK	\N	\N
3628609	2964	1998-06-30	PRIJEM	\N	112	17446	UROK	\N	\N
3628610	2964	1998-07-31	PRIJEM	\N	78	19601	UROK	\N	\N
3628611	2964	1998-08-31	PRIJEM	\N	86	21365	UROK	\N	\N
3628612	2964	1998-09-30	PRIJEM	\N	90	20732	UROK	\N	\N
3628613	2964	1998-10-31	PRIJEM	\N	91	22901	UROK	\N	\N
3628614	2964	1998-11-30	PRIJEM	\N	100	25078	UROK	\N	\N
3628615	2964	1998-12-31	PRIJEM	\N	107	25813	UROK	\N	\N
3628616	2965	1996-03-31	PRIJEM	\N	91	25228	UROK	\N	\N
3628617	2965	1996-04-30	PRIJEM	\N	112	28294	UROK	\N	\N
3628618	2965	1996-05-31	PRIJEM	\N	121	28650	UROK	\N	\N
3628619	2965	1996-06-30	PRIJEM	\N	126	26030	UROK	\N	\N
3628620	2965	1996-07-31	PRIJEM	\N	113	26496	UROK	\N	\N
3628621	2965	1996-08-31	PRIJEM	\N	120	27570	UROK	\N	\N
3628622	2965	1996-09-30	PRIJEM	\N	122	30647	UROK	\N	\N
3628623	2965	1996-10-31	PRIJEM	\N	137	32337	UROK	\N	\N
3628624	2965	1996-11-30	PRIJEM	\N	126	29477	UROK	\N	\N
3628625	2965	1996-12-31	PRIJEM	\N	126	27138	UROK	\N	\N
3628626	2965	1997-01-31	PRIJEM	\N	102	23424	UROK	\N	\N
3628627	2965	1997-02-28	PRIJEM	\N	98	22236	UROK	\N	\N
3628628	2965	1997-03-31	PRIJEM	\N	93	21483	UROK	\N	\N
3628629	2965	1997-04-30	PRIJEM	\N	77	17114	UROK	\N	\N
3628630	2965	1997-05-31	PRIJEM	\N	75	17243	UROK	\N	\N
3628631	2965	1997-06-30	PRIJEM	\N	56	11153	UROK	\N	\N
3628632	2965	1997-07-31	PRIJEM	\N	50	11437	UROK	\N	\N
3628633	2965	1997-08-31	PRIJEM	\N	55	14446	UROK	\N	\N
3628634	2965	1997-09-30	PRIJEM	\N	66	13366	UROK	\N	\N
3628635	2965	1997-10-31	PRIJEM	\N	61	13422	UROK	\N	\N
3628636	2965	1997-11-30	PRIJEM	\N	63	16439	UROK	\N	\N
3628637	2965	1997-12-31	PRIJEM	\N	73	18016	UROK	\N	\N
3628638	2965	1998-01-31	PRIJEM	\N	79	17770	UROK	\N	\N
3628639	2965	1998-02-28	PRIJEM	\N	80	20805	UROK	\N	\N
3628640	2965	1998-03-31	PRIJEM	\N	91	20730	UROK	\N	\N
3628641	2965	1998-04-30	PRIJEM	\N	93	23777	UROK	\N	\N
3628642	2965	1998-05-31	PRIJEM	\N	96	13548	UROK	\N	\N
3628643	2965	1998-06-30	PRIJEM	\N	63	16565	UROK	\N	\N
3628644	2965	1998-07-31	PRIJEM	\N	72	17111	UROK	\N	\N
3628645	2965	1998-08-31	PRIJEM	\N	75	17980	UROK	\N	\N
3628646	2965	1998-09-30	PRIJEM	\N	81	21016	UROK	\N	\N
3628647	2965	1998-10-31	PRIJEM	\N	87	20137	UROK	\N	\N
3628648	2965	1998-11-30	PRIJEM	\N	90	23181	UROK	\N	\N
3628649	2965	1998-12-31	PRIJEM	\N	103	25688	UROK	\N	\N
3628650	2966	1997-03-31	PRIJEM	\N	3	10431	UROK	\N	\N
3628651	2966	1997-04-30	PRIJEM	\N	111	34858	UROK	\N	\N
3628652	2966	1997-05-31	PRIJEM	\N	145	30803	UROK	\N	\N
3628653	2966	1997-06-30	PRIJEM	\N	275	55313	UROK	\N	\N
3628654	2966	1997-07-31	PRIJEM	\N	248	48227	UROK	\N	\N
3628655	2966	1997-08-31	PRIJEM	\N	165	30381	UROK	\N	\N
3628656	2966	1997-09-30	PRIJEM	\N	164	39597	UROK	\N	\N
3628657	2966	1997-10-31	PRIJEM	\N	228	56464	UROK	\N	\N
3628658	2966	1997-11-30	PRIJEM	\N	166	29919	UROK	\N	\N
3628659	2966	1997-12-31	PRIJEM	\N	207	56602	UROK	\N	\N
3628660	2966	1998-01-31	PRIJEM	\N	135	34763	UROK	\N	\N
3628661	2966	1998-02-28	PRIJEM	\N	307	97112	UROK	\N	\N
3628662	2966	1998-03-31	PRIJEM	\N	430	73552	UROK	\N	\N
3628663	2966	1998-04-30	PRIJEM	\N	300	83505	UROK	\N	\N
3628664	2966	1998-05-31	PRIJEM	\N	328	68463	UROK	\N	\N
3628665	2966	1998-06-30	PRIJEM	\N	298	64807	UROK	\N	\N
3628666	2966	1998-07-31	PRIJEM	\N	302	74266	UROK	\N	\N
3628667	2966	1998-08-31	PRIJEM	\N	296	83350	UROK	\N	\N
3628668	2966	1998-09-30	PRIJEM	\N	321	58688	UROK	\N	\N
3628669	2966	1998-10-31	PRIJEM	\N	270	54911	UROK	\N	\N
3628670	2966	1998-11-30	PRIJEM	\N	284	98792	UROK	\N	\N
3628671	2966	1998-12-31	PRIJEM	\N	402	77738	UROK	\N	\N
3628672	2967	1996-12-31	PRIJEM	\N	57	22545	UROK	\N	\N
3628673	2967	1997-01-31	PRIJEM	\N	119	31923	UROK	\N	\N
3628674	2967	1997-02-28	PRIJEM	\N	135	33018	UROK	\N	\N
3628675	2967	1997-03-31	PRIJEM	\N	145	36222	UROK	\N	\N
3628676	2967	1997-04-30	PRIJEM	\N	143	33215	UROK	\N	\N
3628677	2967	1997-05-31	PRIJEM	\N	132	27555	UROK	\N	\N
3628678	2967	1997-06-30	PRIJEM	\N	126	28057	UROK	\N	\N
3628679	2967	1997-07-31	PRIJEM	\N	109	20033	UROK	\N	\N
3628680	2967	1997-08-31	PRIJEM	\N	93	19213	UROK	\N	\N
3628681	2967	1997-09-30	PRIJEM	\N	95	22756	UROK	\N	\N
3628682	2967	1997-10-31	PRIJEM	\N	102	23705	UROK	\N	\N
3628683	2967	1997-11-30	PRIJEM	\N	87	19039	UROK	\N	\N
3628684	2967	1997-12-31	PRIJEM	\N	86	18562	UROK	\N	\N
3628685	2967	1998-01-31	PRIJEM	\N	54	10543	UROK	\N	\N
3628686	2967	1998-02-28	PRIJEM	\N	65	16256	UROK	\N	\N
3628687	2967	1998-03-31	PRIJEM	\N	71	16374	UROK	\N	\N
3628688	2967	1998-04-30	PRIJEM	\N	69	14191	UROK	\N	\N
3628689	2967	1998-05-31	PRIJEM	\N	75	17713	UROK	\N	\N
3628690	2967	1998-06-30	PRIJEM	\N	129	33518	UROK	\N	\N
3628691	2967	1998-07-31	PRIJEM	\N	123	26488	UROK	\N	\N
3628692	2967	1998-08-31	PRIJEM	\N	110	26146	UROK	\N	\N
3628693	2967	1998-09-30	PRIJEM	\N	110	26303	UROK	\N	\N
3628694	2967	1998-10-31	PRIJEM	\N	93	21344	UROK	\N	\N
3628695	2967	1998-11-30	PRIJEM	\N	110	27101	UROK	\N	\N
3628696	2967	1998-12-31	PRIJEM	\N	124	23541	UROK	\N	\N
3628697	2968	1995-02-28	PRIJEM	\N	93	36741	UROK	\N	\N
3628698	2968	1995-03-31	PRIJEM	\N	231	65920	UROK	\N	\N
3628699	2968	1995-04-30	PRIJEM	\N	310	79778	UROK	\N	\N
3628700	2968	1995-05-31	PRIJEM	\N	350	86775	UROK	\N	\N
3628701	2968	1995-06-30	PRIJEM	\N	372	89291	UROK	\N	\N
3628702	2968	1995-07-31	PRIJEM	\N	371	89017	UROK	\N	\N
3628703	2968	1995-08-31	PRIJEM	\N	362	85935	UROK	\N	\N
3628704	2968	1995-09-30	PRIJEM	\N	357	85647	UROK	\N	\N
3628705	2968	1995-10-31	PRIJEM	\N	319	83421	UROK	\N	\N
3628706	2968	1995-11-30	PRIJEM	\N	350	84326	UROK	\N	\N
3628707	2968	1995-12-31	PRIJEM	\N	209	35665	UROK	\N	\N
3628708	2968	1996-01-31	PRIJEM	\N	175	42295	UROK	\N	\N
3628709	2968	1996-02-29	PRIJEM	\N	214	56664	UROK	\N	\N
3628710	2968	1996-03-31	PRIJEM	\N	270	70890	UROK	\N	\N
3628711	2968	1996-04-30	PRIJEM	\N	214	56200	UROK	\N	\N
3628712	2968	1996-05-31	PRIJEM	\N	244	46399	UROK	\N	\N
3628713	2968	1996-06-30	PRIJEM	\N	277	47705	UROK	\N	\N
3628714	2968	1996-07-31	PRIJEM	\N	271	47132	UROK	\N	\N
3628715	2968	1996-08-31	PRIJEM	\N	250	43537	UROK	\N	\N
3628716	2968	1996-09-30	PRIJEM	\N	248	45040	UROK	\N	\N
3628717	2968	1996-10-31	PRIJEM	\N	252	45748	UROK	\N	\N
3628718	2968	1996-11-30	PRIJEM	\N	198	35201	UROK	\N	\N
3628719	2968	1996-12-31	PRIJEM	\N	228	41158	UROK	\N	\N
3628720	2968	1997-01-31	PRIJEM	\N	191	28713	UROK	\N	\N
3628721	2968	1997-02-28	PRIJEM	\N	177	25268	UROK	\N	\N
3628722	2968	1997-03-31	PRIJEM	\N	175	37498	UROK	\N	\N
3628723	2968	1997-04-30	PRIJEM	\N	216	41369	UROK	\N	\N
3628724	2968	1997-05-31	PRIJEM	\N	201	35126	UROK	\N	\N
3628725	2968	1997-06-30	PRIJEM	\N	192	30423	UROK	\N	\N
3628726	2968	1997-07-31	PRIJEM	\N	171	26349	UROK	\N	\N
3628727	2968	1997-08-31	PRIJEM	\N	160	30165	UROK	\N	\N
3628728	2968	1997-09-30	PRIJEM	\N	173	30393	UROK	\N	\N
3628729	2968	1997-10-31	PRIJEM	\N	177	37526	UROK	\N	\N
3628730	2968	1997-11-30	PRIJEM	\N	198	39979	UROK	\N	\N
3628731	2968	1997-12-31	PRIJEM	\N	232	50340	UROK	\N	\N
3628732	2968	1998-01-31	PRIJEM	\N	183	24909	UROK	\N	\N
3628733	2968	1998-02-28	PRIJEM	\N	141	28705	UROK	\N	\N
3628734	2968	1998-03-31	PRIJEM	\N	165	34825	UROK	\N	\N
3628735	2968	1998-04-30	PRIJEM	\N	176	37165	UROK	\N	\N
3628736	2968	1998-05-31	PRIJEM	\N	184	31077	UROK	\N	\N
3628737	2968	1998-06-30	PRIJEM	\N	189	36278	UROK	\N	\N
3628738	2968	1998-07-31	PRIJEM	\N	204	29831	UROK	\N	\N
3628739	2968	1998-08-31	PRIJEM	\N	156	34743	UROK	\N	\N
3628740	2968	1998-09-30	PRIJEM	\N	173	36115	UROK	\N	\N
3628741	2968	1998-10-31	PRIJEM	\N	184	43654	UROK	\N	\N
3628742	2968	1998-11-30	PRIJEM	\N	183	34593	UROK	\N	\N
3628743	2968	1998-12-31	PRIJEM	\N	181	40297	UROK	\N	\N
3628744	2970	1993-02-28	PRIJEM	\N	23	19481	UROK	\N	\N
3628745	2970	1993-03-31	PRIJEM	\N	88	24927	UROK	\N	\N
3628746	2970	1993-04-30	PRIJEM	\N	108	28693	UROK	\N	\N
3628747	2970	1993-05-31	PRIJEM	\N	123	31774	UROK	\N	\N
3628748	2970	1993-06-30	PRIJEM	\N	125	26126	UROK	\N	\N
3628749	2970	1993-07-31	PRIJEM	\N	113	28602	UROK	\N	\N
3628750	2970	1993-08-31	PRIJEM	\N	126	28392	UROK	\N	\N
3628751	2970	1993-09-30	PRIJEM	\N	127	33462	UROK	\N	\N
3628752	2970	1993-10-31	PRIJEM	\N	138	33044	UROK	\N	\N
3628753	2970	1993-11-30	PRIJEM	\N	136	32223	UROK	\N	\N
3628754	2970	1993-12-31	PRIJEM	\N	151	36207	UROK	\N	\N
3628755	2970	1994-01-31	PRIJEM	\N	142	26413	UROK	\N	\N
3628756	2970	1994-02-28	PRIJEM	\N	117	29973	UROK	\N	\N
3628757	2970	1994-03-31	PRIJEM	\N	131	33447	UROK	\N	\N
3628758	2970	1994-04-30	PRIJEM	\N	139	33429	UROK	\N	\N
3628759	2970	1994-05-31	PRIJEM	\N	142	34914	UROK	\N	\N
3628760	2970	1994-06-30	PRIJEM	\N	151	37637	UROK	\N	\N
3628761	2970	1994-07-31	PRIJEM	\N	149	30710	UROK	\N	\N
3628762	2970	1994-08-31	PRIJEM	\N	129	31382	UROK	\N	\N
3628763	2970	1994-09-30	PRIJEM	\N	134	32960	UROK	\N	\N
3628764	2970	1994-10-31	PRIJEM	\N	138	33541	UROK	\N	\N
3628765	2970	1994-11-30	PRIJEM	\N	162	32546	UROK	\N	\N
3628766	2970	1994-12-31	PRIJEM	\N	149	37967	UROK	\N	\N
3628767	2970	1995-01-31	PRIJEM	\N	150	35781	UROK	\N	\N
3628768	2970	1995-02-28	PRIJEM	\N	165	42789	UROK	\N	\N
3628769	2970	1995-03-31	PRIJEM	\N	166	38499	UROK	\N	\N
3628770	2970	1995-04-30	PRIJEM	\N	170	42913	UROK	\N	\N
3628771	2970	1995-05-31	PRIJEM	\N	185	45942	UROK	\N	\N
3628772	2970	1995-06-30	PRIJEM	\N	192	41606	UROK	\N	\N
3628773	2970	1995-07-31	PRIJEM	\N	172	41722	UROK	\N	\N
3628774	2970	1995-08-31	PRIJEM	\N	162	39326	UROK	\N	\N
3628775	2970	1995-09-30	PRIJEM	\N	163	37433	UROK	\N	\N
3628776	2970	1995-10-31	PRIJEM	\N	162	40238	UROK	\N	\N
3628777	2970	1995-11-30	PRIJEM	\N	170	41952	UROK	\N	\N
3628778	2970	1995-12-31	PRIJEM	\N	183	42467	UROK	\N	\N
3628779	2970	1996-01-31	PRIJEM	\N	159	36909	UROK	\N	\N
3628780	2970	1996-02-29	PRIJEM	\N	157	38809	UROK	\N	\N
3628781	2970	1996-03-31	PRIJEM	\N	139	34771	UROK	\N	\N
3628782	2970	1996-04-30	PRIJEM	\N	145	34479	UROK	\N	\N
3628783	2970	1996-05-31	PRIJEM	\N	139	32661	UROK	\N	\N
3628784	2970	1996-06-30	PRIJEM	\N	114	22828	UROK	\N	\N
3628785	2970	1996-07-31	PRIJEM	\N	109	29080	UROK	\N	\N
3628786	2970	1996-08-31	PRIJEM	\N	104	28308	UROK	\N	\N
3628787	2970	1996-09-30	PRIJEM	\N	118	29069	UROK	\N	\N
3628788	2970	1996-10-31	PRIJEM	\N	130	33342	UROK	\N	\N
3628789	2970	1996-11-30	PRIJEM	\N	132	31517	UROK	\N	\N
3628790	2970	1996-12-31	PRIJEM	\N	144	37634	UROK	\N	\N
3628791	2970	1997-01-31	PRIJEM	\N	129	30926	UROK	\N	\N
3628792	2970	1997-02-28	PRIJEM	\N	87	30957	UROK	\N	\N
3628793	2970	1997-03-31	PRIJEM	\N	125	30626	UROK	\N	\N
3628794	2970	1997-04-30	PRIJEM	\N	128	31997	UROK	\N	\N
3628795	2970	1997-05-31	PRIJEM	\N	130	29570	UROK	\N	\N
3628796	2970	1997-06-30	PRIJEM	\N	78	33721	UROK	\N	\N
3628797	2970	1997-07-31	PRIJEM	\N	103	26966	UROK	\N	\N
3628798	2970	1997-08-31	PRIJEM	\N	109	27119	UROK	\N	\N
3628799	2970	1997-09-30	PRIJEM	\N	110	27572	UROK	\N	\N
3628800	2970	1997-10-31	PRIJEM	\N	110	24025	UROK	\N	\N
3628801	2970	1997-11-30	PRIJEM	\N	94	19362	UROK	\N	\N
3628802	2970	1997-12-31	PRIJEM	\N	78	21313	UROK	\N	\N
3628803	2970	1998-01-31	PRIJEM	\N	82	17438	UROK	\N	\N
3628804	2970	1998-02-28	PRIJEM	\N	83	22845	UROK	\N	\N
3628805	2970	1998-03-31	PRIJEM	\N	98	31506	UROK	\N	\N
3628806	2970	1998-04-30	PRIJEM	\N	119	19768	UROK	\N	\N
3628807	2970	1998-05-31	PRIJEM	\N	79	29491	UROK	\N	\N
3628808	2970	1998-06-30	PRIJEM	\N	130	31493	UROK	\N	\N
3628809	2970	1998-07-31	PRIJEM	\N	113	17150	UROK	\N	\N
3628810	2970	1998-08-31	PRIJEM	\N	68	26861	UROK	\N	\N
3628811	2970	1998-09-30	PRIJEM	\N	109	36613	UROK	\N	\N
3628812	2970	1998-10-31	PRIJEM	\N	127	19984	UROK	\N	\N
3628813	2970	1998-11-30	PRIJEM	\N	80	29707	UROK	\N	\N
3628814	2971	1994-01-31	PRIJEM	\N	245	48072	UROK	\N	\N
3628815	2971	1994-02-28	PRIJEM	\N	199	38771	UROK	\N	\N
3628816	2971	1994-03-31	PRIJEM	\N	199	32271	UROK	\N	\N
3628817	2971	1994-04-30	PRIJEM	\N	199	30170	UROK	\N	\N
3628818	2971	1994-05-31	PRIJEM	\N	199	25869	UROK	\N	\N
3628819	2971	1994-06-30	PRIJEM	\N	199	24269	UROK	\N	\N
3628820	2971	1994-07-31	PRIJEM	\N	199	24568	UROK	\N	\N
3628821	2971	1994-08-31	PRIJEM	\N	199	24867	UROK	\N	\N
3628822	2971	1994-09-30	PRIJEM	\N	205	56443	UROK	\N	\N
3628823	2971	1994-10-31	PRIJEM	\N	234	40778	UROK	\N	\N
3628824	2971	1994-11-30	PRIJEM	\N	234	31012	UROK	\N	\N
3628825	2971	1994-12-31	PRIJEM	\N	234	29146	UROK	\N	\N
3628826	2971	1995-01-31	PRIJEM	\N	210	44371	UROK	\N	\N
3628827	2971	1995-02-28	PRIJEM	\N	184	38755	UROK	\N	\N
3628828	2971	1995-03-31	PRIJEM	\N	158	28562	UROK	\N	\N
3628829	2971	1995-04-30	PRIJEM	\N	246	62760	UROK	\N	\N
3628830	2971	1995-05-31	PRIJEM	\N	216	46136	UROK	\N	\N
3628831	2971	1995-06-30	PRIJEM	\N	168	33651	UROK	\N	\N
3628832	2971	1995-07-31	PRIJEM	\N	174	69819	UROK	\N	\N
3628833	2971	1995-08-31	PRIJEM	\N	317	76518	UROK	\N	\N
3628834	2971	1995-09-30	PRIJEM	\N	243	35290	UROK	\N	\N
3628835	2971	1995-10-31	PRIJEM	\N	145	24505	UROK	\N	\N
3628836	2971	1995-11-30	PRIJEM	\N	101	21476	UROK	\N	\N
3628837	2971	1995-12-31	PRIJEM	\N	88	17934	UROK	\N	\N
3628838	2971	1996-01-31	PRIJEM	\N	74	19678	UROK	\N	\N
3628839	2971	1996-02-29	PRIJEM	\N	81	16529	UROK	\N	\N
3628840	2971	1996-04-30	PRIJEM	\N	70	16539	UROK	\N	\N
3628841	2971	1996-04-30	PRIJEM	\N	68	16606	UROK	\N	\N
3628842	2971	1996-06-30	PRIJEM	\N	70	16684	UROK	\N	\N
3628843	2971	1996-06-30	PRIJEM	\N	68	16614	UROK	\N	\N
3628844	2971	1996-07-31	PRIJEM	\N	68	16722	UROK	\N	\N
3628845	2971	1996-09-30	PRIJEM	\N	70	15099	UROK	\N	\N
3628846	2971	1996-09-30	PRIJEM	\N	68	15029	UROK	\N	\N
3628847	2971	1996-10-31	PRIJEM	\N	61	15230	UROK	\N	\N
3628848	2971	1996-11-30	PRIJEM	\N	62	15262	UROK	\N	\N
3628849	2971	1996-12-31	PRIJEM	\N	62	15294	UROK	\N	\N
3628850	2971	1997-02-28	PRIJEM	\N	68	15302	UROK	\N	\N
3628851	2971	1997-02-28	PRIJEM	\N	62	15363	UROK	\N	\N
3628852	2971	1997-03-31	PRIJEM	\N	95	72240	UROK	\N	\N
3628853	2971	1997-04-30	PRIJEM	\N	174	36322	UROK	\N	\N
3628854	2971	1997-05-31	PRIJEM	\N	170	73579	UROK	\N	\N
3628855	2971	1997-06-30	PRIJEM	\N	277	48328	UROK	\N	\N
3628856	2971	1997-07-31	PRIJEM	\N	196	24994	UROK	\N	\N
3628857	2971	1997-08-31	PRIJEM	\N	142	46429	UROK	\N	\N
3628858	2971	1997-09-30	PRIJEM	\N	187	21686	UROK	\N	\N
3628859	2971	1997-11-30	PRIJEM	\N	90	105203	UROK	\N	\N
3628860	2971	1997-11-30	PRIJEM	\N	122	105112	UROK	\N	\N
3628861	2971	1997-12-31	PRIJEM	\N	398	89778	UROK	\N	\N
3628862	2971	1998-01-31	PRIJEM	\N	230	33113	UROK	\N	\N
3628863	2971	1998-02-28	PRIJEM	\N	85	59881	UROK	\N	\N
3628864	2971	1998-03-31	PRIJEM	\N	149	49654	UROK	\N	\N
3628865	2971	1998-04-30	PRIJEM	\N	200	28824	UROK	\N	\N
3628866	2971	1998-05-31	PRIJEM	\N	115	19209	UROK	\N	\N
3628867	2971	1998-06-30	PRIJEM	\N	174	94745	UROK	\N	\N
3628868	2971	1998-07-31	PRIJEM	\N	246	30521	UROK	\N	\N
3628869	2971	1998-08-31	PRIJEM	\N	127	56759	UROK	\N	\N
3628870	2971	1998-09-30	PRIJEM	\N	333	49375	UROK	\N	\N
3628871	2971	1998-10-31	PRIJEM	\N	260	76053	UROK	\N	\N
3628872	2971	1998-11-30	PRIJEM	\N	332	92243	UROK	\N	\N
3628873	2972	1993-12-31	PRIJEM	\N	53	69054	UROK	\N	\N
3628874	2972	1994-01-31	PRIJEM	\N	288	49342	UROK	\N	\N
3628875	2972	1994-02-28	PRIJEM	\N	317	58510	UROK	\N	\N
3628876	2972	1994-03-31	PRIJEM	\N	243	39853	UROK	\N	\N
3628877	2972	1994-04-30	PRIJEM	\N	243	33695	UROK	\N	\N
3628878	2972	1994-05-31	PRIJEM	\N	243	30038	UROK	\N	\N
3628879	2972	1994-06-30	PRIJEM	\N	243	28580	UROK	\N	\N
3628880	2972	1994-08-31	PRIJEM	\N	243	26623	UROK	\N	\N
3628881	2972	1994-09-30	PRIJEM	\N	243	24365	UROK	\N	\N
3628882	2972	1994-10-31	PRIJEM	\N	243	25308	UROK	\N	\N
3628883	2972	1994-11-30	PRIJEM	\N	243	26550	UROK	\N	\N
3628884	2972	1994-12-31	PRIJEM	\N	243	26993	UROK	\N	\N
3628885	2972	1995-01-31	PRIJEM	\N	259	75209	UROK	\N	\N
3628886	2972	1995-02-28	PRIJEM	\N	310	50504	UROK	\N	\N
3628887	2972	1995-03-31	PRIJEM	\N	251	52506	UROK	\N	\N
3628888	2972	1995-04-30	PRIJEM	\N	163	17052	UROK	\N	\N
3628889	2972	1995-05-31	PRIJEM	\N	173	66924	UROK	\N	\N
3628890	2972	1995-06-30	PRIJEM	\N	349	95671	UROK	\N	\N
3628891	2972	1995-07-31	PRIJEM	\N	394	59450	UROK	\N	\N
3628892	2972	1995-08-31	PRIJEM	\N	207	39360	UROK	\N	\N
3628893	2972	1995-09-30	PRIJEM	\N	176	51717	UROK	\N	\N
3628894	2972	1995-10-31	PRIJEM	\N	235	68965	UROK	\N	\N
3628895	2972	1995-11-30	PRIJEM	\N	333	74842	UROK	\N	\N
3628896	2972	1995-12-31	PRIJEM	\N	249	35727	UROK	\N	\N
3628897	2972	1996-01-31	PRIJEM	\N	102	7838	UROK	\N	\N
3628898	2972	1996-02-29	PRIJEM	\N	115	48245	UROK	\N	\N
3628899	2972	1996-03-31	PRIJEM	\N	300	102702	UROK	\N	\N
3628900	2972	1996-04-30	PRIJEM	\N	347	72055	UROK	\N	\N
3628901	2972	1996-05-31	PRIJEM	\N	241	44702	UROK	\N	\N
3628902	2972	1996-06-30	PRIJEM	\N	182	26495	UROK	\N	\N
3628903	2972	1996-07-31	PRIJEM	\N	187	39111	UROK	\N	\N
3628904	2972	1996-08-31	PRIJEM	\N	160	29556	UROK	\N	\N
3628905	2972	1996-09-30	PRIJEM	\N	113	35637	UROK	\N	\N
3628906	2972	1996-10-31	PRIJEM	\N	146	30168	UROK	\N	\N
3628907	2972	1996-11-30	PRIJEM	\N	123	26076	UROK	\N	\N
3628908	2972	1996-12-31	PRIJEM	\N	151	74526	UROK	\N	\N
3628909	2972	1997-01-31	PRIJEM	\N	256	76107	UROK	\N	\N
3628910	2972	1997-02-28	PRIJEM	\N	271	59208	UROK	\N	\N
3628911	2972	1997-03-31	PRIJEM	\N	224	40537	UROK	\N	\N
3628912	2972	1997-04-30	PRIJEM	\N	297	96660	UROK	\N	\N
3628913	2972	1997-05-31	PRIJEM	\N	360	80763	UROK	\N	\N
3628914	2972	1997-06-30	PRIJEM	\N	205	52256	UROK	\N	\N
3628915	2972	1997-07-31	PRIJEM	\N	256	73751	UROK	\N	\N
3628916	2972	1997-08-31	PRIJEM	\N	302	55338	UROK	\N	\N
3628917	2972	1997-09-30	PRIJEM	\N	431	115786	UROK	\N	\N
3628918	2972	1997-10-31	PRIJEM	\N	375	107889	UROK	\N	\N
3628919	2972	1997-11-30	PRIJEM	\N	439	99178	UROK	\N	\N
3628920	2972	1997-12-31	PRIJEM	\N	451	92419	UROK	\N	\N
3628921	2972	1998-01-31	PRIJEM	\N	253	67102	UROK	\N	\N
3628922	2972	1998-02-28	PRIJEM	\N	229	55774	UROK	\N	\N
3628923	2972	1998-03-31	PRIJEM	\N	309	113044	UROK	\N	\N
3628924	2972	1998-04-30	PRIJEM	\N	404	63633	UROK	\N	\N
3628925	2972	1998-05-31	PRIJEM	\N	304	88796	UROK	\N	\N
3628926	2972	1998-06-30	PRIJEM	\N	271	61366	UROK	\N	\N
3628927	2972	1998-07-31	PRIJEM	\N	204	49388	UROK	\N	\N
3628928	2972	1998-08-31	PRIJEM	\N	204	59676	UROK	\N	\N
3628929	2972	1998-09-30	PRIJEM	\N	312	77277	UROK	\N	\N
3628930	2972	1998-10-31	PRIJEM	\N	231	58149	UROK	\N	\N
3628931	2972	1998-11-30	PRIJEM	\N	230	47399	UROK	\N	\N
3628932	2972	1998-12-31	PRIJEM	\N	225	75999	UROK	\N	\N
3628933	2973	1996-09-30	PRIJEM	\N	47	20116	UROK	\N	\N
3628934	2973	1996-10-31	PRIJEM	\N	104	28690	UROK	\N	\N
3628935	2973	1996-11-30	PRIJEM	\N	155	44014	UROK	\N	\N
3628936	2973	1996-12-31	PRIJEM	\N	214	57082	UROK	\N	\N
3628937	2973	1997-01-31	PRIJEM	\N	224	50475	UROK	\N	\N
3628938	2973	1997-02-28	PRIJEM	\N	205	51049	UROK	\N	\N
3628939	2973	1997-03-31	PRIJEM	\N	204	49022	UROK	\N	\N
3628940	2973	1997-04-30	PRIJEM	\N	184	43575	UROK	\N	\N
3628941	2973	1997-05-31	PRIJEM	\N	180	43624	UROK	\N	\N
3628942	2973	1997-06-30	PRIJEM	\N	174	42553	UROK	\N	\N
3628943	2973	1997-07-31	PRIJEM	\N	160	38083	UROK	\N	\N
3628944	2973	1997-08-31	PRIJEM	\N	149	37101	UROK	\N	\N
3628945	2973	1997-09-30	PRIJEM	\N	151	36122	UROK	\N	\N
3628946	2973	1997-10-31	PRIJEM	\N	161	42152	UROK	\N	\N
3628947	2973	1997-11-30	PRIJEM	\N	175	44396	UROK	\N	\N
3628948	2973	1997-12-31	PRIJEM	\N	193	49943	UROK	\N	\N
3628949	2973	1998-01-31	PRIJEM	\N	175	35987	UROK	\N	\N
3628950	2973	1998-02-28	PRIJEM	\N	144	36501	UROK	\N	\N
3628951	2973	1998-03-31	PRIJEM	\N	161	42131	UROK	\N	\N
3628952	2973	1998-04-30	PRIJEM	\N	175	44676	UROK	\N	\N
3628953	2973	1998-05-31	PRIJEM	\N	192	49237	UROK	\N	\N
3628954	2973	1998-06-30	PRIJEM	\N	193	50285	UROK	\N	\N
3628955	2973	1998-07-31	PRIJEM	\N	194	47348	UROK	\N	\N
3628956	2973	1998-08-31	PRIJEM	\N	187	46405	UROK	\N	\N
3628957	2973	1998-09-30	PRIJEM	\N	188	46162	UROK	\N	\N
3628958	2973	1998-10-31	PRIJEM	\N	181	42313	UROK	\N	\N
3628959	2973	1998-11-30	PRIJEM	\N	184	44567	UROK	\N	\N
3628960	2973	1998-12-31	PRIJEM	\N	213	58034	UROK	\N	\N
3628961	2974	1993-08-31	PRIJEM	\N	4	29014	UROK	\N	\N
3628962	2974	1993-09-30	PRIJEM	\N	132	33167	UROK	\N	\N
3628963	2974	1993-10-31	PRIJEM	\N	142	35230	UROK	\N	\N
3628964	2974	1993-11-30	PRIJEM	\N	140	33911	UROK	\N	\N
3628965	2974	1993-12-31	PRIJEM	\N	135	32618	UROK	\N	\N
3628966	2974	1994-01-31	PRIJEM	\N	133	31822	UROK	\N	\N
3628967	2974	1994-02-28	PRIJEM	\N	131	32275	UROK	\N	\N
3628968	2974	1994-03-31	PRIJEM	\N	135	30791	UROK	\N	\N
3628969	2974	1994-04-30	PRIJEM	\N	133	33145	UROK	\N	\N
3628970	2974	1994-05-31	PRIJEM	\N	142	35409	UROK	\N	\N
3628971	2974	1994-06-30	PRIJEM	\N	139	34269	UROK	\N	\N
3628972	2974	1994-07-31	PRIJEM	\N	135	31746	UROK	\N	\N
3628973	2974	1994-08-31	PRIJEM	\N	128	31095	UROK	\N	\N
3628974	2974	1994-09-30	PRIJEM	\N	137	34553	UROK	\N	\N
3628975	2974	1994-10-31	PRIJEM	\N	142	34917	UROK	\N	\N
3628976	2974	1994-11-30	PRIJEM	\N	151	37790	UROK	\N	\N
3628977	2974	1994-12-31	PRIJEM	\N	155	38216	UROK	\N	\N
3628978	2974	1995-01-31	PRIJEM	\N	143	35481	UROK	\N	\N
3628979	2974	1995-02-28	PRIJEM	\N	151	34693	UROK	\N	\N
3628980	2974	1995-03-31	PRIJEM	\N	147	36562	UROK	\N	\N
3628981	2974	1995-04-30	PRIJEM	\N	150	36833	UROK	\N	\N
3628982	2974	1995-05-31	PRIJEM	\N	152	37406	UROK	\N	\N
3628983	2974	1995-06-30	PRIJEM	\N	138	24566	UROK	\N	\N
3628984	2974	1995-07-31	PRIJEM	\N	113	28700	UROK	\N	\N
3628985	2974	1995-08-31	PRIJEM	\N	130	32851	UROK	\N	\N
3628986	2974	1995-09-30	PRIJEM	\N	147	37019	UROK	\N	\N
3628987	2974	1995-10-31	PRIJEM	\N	164	39204	UROK	\N	\N
3628988	2974	1995-11-30	PRIJEM	\N	173	42098	UROK	\N	\N
3628989	2974	1995-12-31	PRIJEM	\N	177	40317	UROK	\N	\N
3628990	2974	1996-01-31	PRIJEM	\N	177	43965	UROK	\N	\N
3628991	2974	1996-02-29	PRIJEM	\N	187	43354	UROK	\N	\N
3628992	2974	1996-03-31	PRIJEM	\N	181	37316	UROK	\N	\N
3628993	2974	1996-04-30	PRIJEM	\N	164	40501	UROK	\N	\N
3628994	2974	1996-05-31	PRIJEM	\N	178	43600	UROK	\N	\N
3628995	2974	1996-06-30	PRIJEM	\N	170	34192	UROK	\N	\N
3628996	2974	1996-07-31	PRIJEM	\N	152	38365	UROK	\N	\N
3628997	2974	1996-08-31	PRIJEM	\N	160	38787	UROK	\N	\N
3628998	2974	1996-09-30	PRIJEM	\N	170	42338	UROK	\N	\N
3628999	2974	1996-10-31	PRIJEM	\N	184	45143	UROK	\N	\N
3629000	2974	1996-11-30	PRIJEM	\N	193	46458	UROK	\N	\N
3629001	2974	1996-12-31	PRIJEM	\N	192	45022	UROK	\N	\N
3629002	2974	1997-01-31	PRIJEM	\N	184	42877	UROK	\N	\N
3629003	2974	1997-02-28	PRIJEM	\N	183	44182	UROK	\N	\N
3629004	2974	1997-03-31	PRIJEM	\N	184	41487	UROK	\N	\N
3629005	2974	1997-04-30	PRIJEM	\N	175	43683	UROK	\N	\N
3629006	2974	1997-05-31	PRIJEM	\N	190	47193	UROK	\N	\N
3629007	2974	1997-06-30	PRIJEM	\N	187	38952	UROK	\N	\N
3629008	2974	1997-07-31	PRIJEM	\N	171	43144	UROK	\N	\N
3629009	2974	1997-08-31	PRIJEM	\N	183	44248	UROK	\N	\N
3629010	2974	1997-09-30	PRIJEM	\N	182	44031	UROK	\N	\N
3629011	2974	1997-10-31	PRIJEM	\N	185	44137	UROK	\N	\N
3629012	2974	1997-11-30	PRIJEM	\N	187	45946	UROK	\N	\N
3629013	2974	1997-12-31	PRIJEM	\N	186	43453	UROK	\N	\N
3629014	2974	1998-01-31	PRIJEM	\N	168	37932	UROK	\N	\N
3629015	2974	1998-02-28	PRIJEM	\N	153	38186	UROK	\N	\N
3629016	2974	1998-03-31	PRIJEM	\N	166	42374	UROK	\N	\N
3629017	2974	1998-04-30	PRIJEM	\N	183	46278	UROK	\N	\N
3629018	2974	1998-05-31	PRIJEM	\N	191	47450	UROK	\N	\N
3629019	2974	1998-06-30	PRIJEM	\N	177	37498	UROK	\N	\N
3629020	2974	1998-07-31	PRIJEM	\N	161	39041	UROK	\N	\N
3629021	2974	1998-08-31	PRIJEM	\N	169	43231	UROK	\N	\N
3629022	2974	1998-09-30	PRIJEM	\N	186	47439	UROK	\N	\N
3629023	2974	1998-10-31	PRIJEM	\N	200	50281	UROK	\N	\N
3629024	2974	1998-11-30	PRIJEM	\N	215	48217	UROK	\N	\N
3629025	2974	1998-12-31	PRIJEM	\N	197	48785	UROK	\N	\N
3629026	2976	1996-09-30	PRIJEM	\N	41	22501	UROK	\N	\N
3629027	2976	1996-10-31	PRIJEM	\N	110	31371	UROK	\N	\N
3629028	2976	1996-11-30	PRIJEM	\N	145	39076	UROK	\N	\N
3629029	2976	1996-12-31	PRIJEM	\N	179	47495	UROK	\N	\N
3629030	2976	1997-01-31	PRIJEM	\N	165	25987	UROK	\N	\N
3629031	2976	1997-02-28	PRIJEM	\N	125	33085	UROK	\N	\N
3629032	2976	1997-03-31	PRIJEM	\N	142	31519	UROK	\N	\N
3629033	2976	1997-04-30	PRIJEM	\N	142	34993	UROK	\N	\N
3629034	2976	1997-05-31	PRIJEM	\N	155	38121	UROK	\N	\N
3629035	2976	1997-06-30	PRIJEM	\N	139	26333	UROK	\N	\N
3629036	2976	1997-07-31	PRIJEM	\N	120	30025	UROK	\N	\N
3629037	2976	1997-08-31	PRIJEM	\N	136	34233	UROK	\N	\N
3629038	2976	1997-09-30	PRIJEM	\N	158	32064	UROK	\N	\N
3629039	2976	1997-10-31	PRIJEM	\N	150	29946	UROK	\N	\N
3629040	2976	1997-11-30	PRIJEM	\N	109	23048	UROK	\N	\N
3629041	2976	1997-12-31	PRIJEM	\N	115	28214	UROK	\N	\N
3629042	2976	1998-01-31	PRIJEM	\N	107	18654	UROK	\N	\N
3629043	2976	1998-02-28	PRIJEM	\N	110	31036	UROK	\N	\N
3629044	2976	1998-03-31	PRIJEM	\N	113	24961	UROK	\N	\N
3629045	2976	1998-04-30	PRIJEM	\N	118	29951	UROK	\N	\N
3629046	2976	1998-05-31	PRIJEM	\N	131	32054	UROK	\N	\N
3629047	2976	1998-06-30	PRIJEM	\N	146	35253	UROK	\N	\N
3629048	2976	1998-07-31	PRIJEM	\N	145	34370	UROK	\N	\N
3629049	2976	1998-08-31	PRIJEM	\N	142	35144	UROK	\N	\N
3629050	2976	1998-09-30	PRIJEM	\N	138	33774	UROK	\N	\N
3629051	2976	1998-10-31	PRIJEM	\N	140	33687	UROK	\N	\N
3629052	2976	1998-11-30	PRIJEM	\N	123	30042	UROK	\N	\N
3629053	2976	1998-12-31	PRIJEM	\N	132	31166	UROK	\N	\N
3629054	2977	1996-07-31	PRIJEM	\N	50	31148	UROK	\N	\N
3629055	2977	1996-08-31	PRIJEM	\N	159	47805	UROK	\N	\N
3629056	2977	1996-09-30	PRIJEM	\N	218	58621	UROK	\N	\N
3629057	2977	1996-10-31	PRIJEM	\N	255	64573	UROK	\N	\N
3629058	2977	1996-11-30	PRIJEM	\N	290	68306	UROK	\N	\N
3629059	2977	1996-12-31	PRIJEM	\N	239	43356	UROK	\N	\N
3629060	2977	1997-01-31	PRIJEM	\N	143	19427	UROK	\N	\N
3629061	2977	1997-02-28	PRIJEM	\N	145	48001	UROK	\N	\N
3629062	2977	1997-03-31	PRIJEM	\N	231	53962	UROK	\N	\N
3629063	2977	1997-04-30	PRIJEM	\N	194	25810	UROK	\N	\N
3629064	2977	1997-05-31	PRIJEM	\N	169	50407	UROK	\N	\N
3629065	2977	1997-06-30	PRIJEM	\N	244	60671	UROK	\N	\N
3629066	2977	1997-07-31	PRIJEM	\N	192	31327	UROK	\N	\N
3629067	2977	1997-08-31	PRIJEM	\N	168	30869	UROK	\N	\N
3629068	2977	1997-09-30	PRIJEM	\N	145	34209	UROK	\N	\N
3629069	2977	1997-10-31	PRIJEM	\N	188	51225	UROK	\N	\N
3629070	2977	1997-11-30	PRIJEM	\N	292	82745	UROK	\N	\N
3629071	2977	1997-12-31	PRIJEM	\N	317	50571	UROK	\N	\N
3629072	2977	1998-01-31	PRIJEM	\N	208	44807	UROK	\N	\N
3629073	2977	1998-02-28	PRIJEM	\N	271	80606	UROK	\N	\N
3629074	2977	1998-03-31	PRIJEM	\N	387	100921	UROK	\N	\N
3629075	2977	1998-04-30	PRIJEM	\N	324	59873	UROK	\N	\N
3629076	2977	1998-05-31	PRIJEM	\N	321	88323	UROK	\N	\N
3629077	2977	1998-06-30	PRIJEM	\N	340	36140	UROK	\N	\N
3629078	2977	1998-07-31	PRIJEM	\N	258	78727	UROK	\N	\N
3629079	2977	1998-08-31	PRIJEM	\N	357	94812	UROK	\N	\N
3629080	2977	1998-09-30	PRIJEM	\N	292	50832	UROK	\N	\N
3629081	2977	1998-10-31	PRIJEM	\N	296	86356	UROK	\N	\N
3629082	2977	1998-11-30	PRIJEM	\N	401	103786	UROK	\N	\N
3629083	2977	1998-12-31	PRIJEM	\N	380	80344	UROK	\N	\N
3629084	2978	1995-01-31	PRIJEM	\N	17	5436	UROK	\N	\N
3629085	2978	1995-02-28	PRIJEM	\N	67	20422	UROK	\N	\N
3629086	2978	1995-03-31	PRIJEM	\N	111	29052	UROK	\N	\N
3629087	2978	1995-04-30	PRIJEM	\N	136	34107	UROK	\N	\N
3629088	2978	1995-05-31	PRIJEM	\N	130	30144	UROK	\N	\N
3629089	2978	1995-06-30	PRIJEM	\N	101	15947	UROK	\N	\N
3629090	2978	1995-07-31	PRIJEM	\N	85	18324	UROK	\N	\N
3629091	2978	1995-08-31	PRIJEM	\N	81	19297	UROK	\N	\N
3629092	2978	1995-09-30	PRIJEM	\N	84	20374	UROK	\N	\N
3629093	2978	1995-10-31	PRIJEM	\N	96	23762	UROK	\N	\N
3629094	2978	1995-11-30	PRIJEM	\N	96	22550	UROK	\N	\N
3629095	2978	1995-12-31	PRIJEM	\N	81	18533	UROK	\N	\N
3629096	2978	1996-01-31	PRIJEM	\N	68	13193	UROK	\N	\N
3629097	2978	1996-02-29	PRIJEM	\N	76	18962	UROK	\N	\N
3629098	2978	1996-03-31	PRIJEM	\N	76	17830	UROK	\N	\N
3629099	2978	1996-04-30	PRIJEM	\N	81	17304	UROK	\N	\N
3629100	2978	1996-05-31	PRIJEM	\N	77	16373	UROK	\N	\N
3629101	2978	1996-06-30	PRIJEM	\N	76	17350	UROK	\N	\N
3629102	2978	1996-07-31	PRIJEM	\N	75	16118	UROK	\N	\N
3629103	2978	1996-08-31	PRIJEM	\N	67	11577	UROK	\N	\N
3629104	2978	1996-09-30	PRIJEM	\N	53	14523	UROK	\N	\N
3629105	2978	1996-10-31	PRIJEM	\N	65	17080	UROK	\N	\N
3629106	2978	1996-11-30	PRIJEM	\N	72	13945	UROK	\N	\N
3629107	2978	1996-12-31	PRIJEM	\N	59	13605	UROK	\N	\N
3629108	2978	1997-01-31	PRIJEM	\N	56	12253	UROK	\N	\N
3629109	2978	1997-02-28	PRIJEM	\N	54	11999	UROK	\N	\N
3629110	2978	1997-03-31	PRIJEM	\N	55	14746	UROK	\N	\N
3629111	2978	1997-04-30	PRIJEM	\N	66	16904	UROK	\N	\N
3629112	2978	1997-05-31	PRIJEM	\N	75	18971	UROK	\N	\N
3629113	2978	1997-06-30	PRIJEM	\N	72	12644	UROK	\N	\N
3629114	2978	1997-07-31	PRIJEM	\N	60	17096	UROK	\N	\N
3629115	2978	1997-08-31	PRIJEM	\N	70	14459	UROK	\N	\N
3629116	2978	1997-09-30	PRIJEM	\N	64	16015	UROK	\N	\N
3629117	2978	1997-10-31	PRIJEM	\N	67	15074	UROK	\N	\N
3629118	2978	1997-11-30	PRIJEM	\N	66	16132	UROK	\N	\N
3629119	2978	1997-12-31	PRIJEM	\N	71	16805	UROK	\N	\N
3629120	2978	1998-01-31	PRIJEM	\N	69	14466	UROK	\N	\N
3629121	2978	1998-02-28	PRIJEM	\N	71	20929	UROK	\N	\N
3629122	2978	1998-03-31	PRIJEM	\N	83	16105	UROK	\N	\N
3629123	2978	1998-04-30	PRIJEM	\N	70	17067	UROK	\N	\N
3629124	2978	1998-05-31	PRIJEM	\N	65	12924	UROK	\N	\N
3629125	2978	1998-06-30	PRIJEM	\N	68	19394	UROK	\N	\N
3629126	2978	1998-07-31	PRIJEM	\N	74	15960	UROK	\N	\N
3629127	2978	1998-08-31	PRIJEM	\N	68	16620	UROK	\N	\N
3629128	2978	1998-09-30	PRIJEM	\N	68	15181	UROK	\N	\N
3629129	2978	1998-10-31	PRIJEM	\N	63	15237	UROK	\N	\N
3629130	2978	1998-11-30	PRIJEM	\N	60	13589	UROK	\N	\N
3629131	2978	1998-12-31	PRIJEM	\N	56	12546	UROK	\N	\N
3629132	2979	1998-02-28	PRIJEM	\N	21	15744	UROK	\N	\N
3629133	2979	1998-03-31	PRIJEM	\N	70	18955	UROK	\N	\N
3629134	2979	1998-04-30	PRIJEM	\N	77	17372	UROK	\N	\N
3629135	2979	1998-05-31	PRIJEM	\N	77	19182	UROK	\N	\N
3629136	2979	1998-06-30	PRIJEM	\N	74	15538	UROK	\N	\N
3629137	2979	1998-07-31	PRIJEM	\N	65	14535	UROK	\N	\N
3629138	2979	1998-08-31	PRIJEM	\N	59	13187	UROK	\N	\N
3629139	2979	1998-09-30	PRIJEM	\N	53	14172	UROK	\N	\N
3629140	2979	1998-10-31	PRIJEM	\N	63	15967	UROK	\N	\N
3629141	2979	1998-11-30	PRIJEM	\N	71	17771	UROK	\N	\N
3629142	2979	1998-12-31	PRIJEM	\N	75	18628	UROK	\N	\N
3629143	2980	1994-05-31	PRIJEM	\N	64	19618	UROK	\N	\N
3629144	2980	1994-06-30	PRIJEM	\N	82	19694	UROK	\N	\N
3629145	2980	1994-07-31	PRIJEM	\N	84	19921	UROK	\N	\N
3629146	2980	1994-08-31	PRIJEM	\N	80	16284	UROK	\N	\N
3629147	2980	1994-09-30	PRIJEM	\N	73	18000	UROK	\N	\N
3629148	2980	1994-10-31	PRIJEM	\N	80	19723	UROK	\N	\N
3629149	2980	1994-11-30	PRIJEM	\N	87	21453	UROK	\N	\N
3629150	2980	1994-12-31	PRIJEM	\N	93	22390	UROK	\N	\N
3629151	2980	1995-01-31	PRIJEM	\N	76	12719	UROK	\N	\N
3629152	2980	1995-02-28	PRIJEM	\N	58	14420	UROK	\N	\N
3629153	2980	1995-03-31	PRIJEM	\N	65	16129	UROK	\N	\N
3629154	2980	1995-04-30	PRIJEM	\N	72	17844	UROK	\N	\N
3629155	2980	1995-05-31	PRIJEM	\N	79	19566	UROK	\N	\N
3629156	2980	1995-06-30	PRIJEM	\N	67	15677	UROK	\N	\N
3629157	2980	1995-07-31	PRIJEM	\N	56	13296	UROK	\N	\N
3629158	2980	1995-08-31	PRIJEM	\N	60	15000	UROK	\N	\N
3629159	2980	1995-09-30	PRIJEM	\N	67	16710	UROK	\N	\N
3629160	2980	1995-10-31	PRIJEM	\N	74	18428	UROK	\N	\N
3629161	2980	1995-11-30	PRIJEM	\N	81	20152	UROK	\N	\N
3629162	2980	1995-12-31	PRIJEM	\N	86	20882	UROK	\N	\N
3629163	2980	1996-01-31	PRIJEM	\N	72	13927	UROK	\N	\N
3629164	2980	1996-02-29	PRIJEM	\N	63	15633	UROK	\N	\N
3629165	2980	1996-03-31	PRIJEM	\N	70	17346	UROK	\N	\N
3629166	2980	1996-04-30	PRIJEM	\N	77	19066	UROK	\N	\N
3629167	2980	1996-05-31	PRIJEM	\N	80	18630	UROK	\N	\N
3629168	2980	1996-06-30	PRIJEM	\N	82	20355	UROK	\N	\N
3629169	2980	1996-07-31	PRIJEM	\N	89	21387	UROK	\N	\N
3629170	2980	1996-08-31	PRIJEM	\N	93	22524	UROK	\N	\N
3629171	2980	1996-09-30	PRIJEM	\N	98	23665	UROK	\N	\N
3629172	2980	1996-10-31	PRIJEM	\N	88	18596	UROK	\N	\N
3629173	2980	1996-11-30	PRIJEM	\N	82	20321	UROK	\N	\N
3629174	2980	1996-12-31	PRIJEM	\N	87	20602	UROK	\N	\N
3629175	2980	1997-01-31	PRIJEM	\N	80	15806	UROK	\N	\N
3629176	2980	1997-02-28	PRIJEM	\N	68	16318	UROK	\N	\N
3629177	2980	1997-03-31	PRIJEM	\N	72	17633	UROK	\N	\N
3629178	2980	1997-04-30	PRIJEM	\N	75	17651	UROK	\N	\N
3629179	2980	1997-05-31	PRIJEM	\N	77	18972	UROK	\N	\N
3629180	2980	1997-06-30	PRIJEM	\N	80	18195	UROK	\N	\N
3629181	2980	1997-07-31	PRIJEM	\N	79	19517	UROK	\N	\N
3629182	2980	1997-08-31	PRIJEM	\N	81	18362	UROK	\N	\N
3629183	2980	1997-09-30	PRIJEM	\N	80	20085	UROK	\N	\N
3629184	2980	1997-10-31	PRIJEM	\N	86	21015	UROK	\N	\N
3629185	2980	1997-11-30	PRIJEM	\N	84	19862	UROK	\N	\N
3629186	2980	1997-12-31	PRIJEM	\N	86	21041	UROK	\N	\N
3629187	2980	1998-01-31	PRIJEM	\N	58	11462	UROK	\N	\N
3629188	2980	1998-02-28	PRIJEM	\N	51	13157	UROK	\N	\N
3629189	2980	1998-03-31	PRIJEM	\N	58	14859	UROK	\N	\N
3629190	2980	1998-04-30	PRIJEM	\N	65	16567	UROK	\N	\N
3629191	2980	1998-05-31	PRIJEM	\N	67	15877	UROK	\N	\N
3629192	2980	1998-06-30	PRIJEM	\N	70	17590	UROK	\N	\N
3629193	2980	1998-07-31	PRIJEM	\N	73	17607	UROK	\N	\N
3629194	2980	1998-08-31	PRIJEM	\N	73	17023	UROK	\N	\N
3629195	2980	1998-09-30	PRIJEM	\N	67	14734	UROK	\N	\N
3629196	2980	1998-10-31	PRIJEM	\N	63	15640	UROK	\N	\N
3629197	2980	1998-11-30	PRIJEM	\N	67	16210	UROK	\N	\N
3629198	2980	1998-12-31	PRIJEM	\N	72	17475	UROK	\N	\N
3629199	2981	1997-01-31	PRIJEM	\N	10	3643	UROK	\N	\N
3629200	2981	1997-02-28	PRIJEM	\N	44	14919	UROK	\N	\N
3629201	2981	1997-03-31	PRIJEM	\N	76	20028	UROK	\N	\N
3629202	2981	1997-04-30	PRIJEM	\N	94	24055	UROK	\N	\N
3629203	2981	1997-05-31	PRIJEM	\N	100	23998	UROK	\N	\N
3629204	2981	1997-06-30	PRIJEM	\N	100	24504	UROK	\N	\N
3629205	2981	1997-07-31	PRIJEM	\N	97	22797	UROK	\N	\N
3629206	2981	1997-08-31	PRIJEM	\N	94	22888	UROK	\N	\N
3629207	2981	1997-09-30	PRIJEM	\N	103	25987	UROK	\N	\N
3629208	2981	1997-10-31	PRIJEM	\N	95	21779	UROK	\N	\N
3629209	2981	1997-11-30	PRIJEM	\N	86	20360	UROK	\N	\N
3629210	2981	1997-12-31	PRIJEM	\N	98	25105	UROK	\N	\N
3629211	2981	1998-01-31	PRIJEM	\N	90	20921	UROK	\N	\N
3629212	2981	1998-02-28	PRIJEM	\N	81	18998	UROK	\N	\N
3629213	2981	1998-03-31	PRIJEM	\N	71	16666	UROK	\N	\N
3629214	2981	1998-04-30	PRIJEM	\N	57	12819	UROK	\N	\N
3629215	2981	1998-05-31	PRIJEM	\N	60	15005	UROK	\N	\N
3629216	2981	1998-06-30	PRIJEM	\N	59	12890	UROK	\N	\N
3629217	2981	1998-07-31	PRIJEM	\N	56	13943	UROK	\N	\N
3629218	2981	1998-08-31	PRIJEM	\N	61	15000	UROK	\N	\N
3629219	2981	1998-09-30	PRIJEM	\N	57	13453	UROK	\N	\N
3629220	2981	1998-10-31	PRIJEM	\N	56	13705	UROK	\N	\N
3629221	2981	1998-11-30	PRIJEM	\N	56	13907	UROK	\N	\N
3629222	2981	1998-12-31	PRIJEM	\N	55	13148	UROK	\N	\N
3629223	2982	1996-06-30	PRIJEM	\N	237	74265	UROK	\N	\N
3629224	2982	1996-07-31	PRIJEM	\N	396	101412	UROK	\N	\N
3629225	2982	1996-08-31	PRIJEM	\N	462	66226	UROK	\N	\N
3629226	2982	1996-09-30	PRIJEM	\N	414	95692	UROK	\N	\N
3629227	2982	1996-10-31	PRIJEM	\N	377	82588	UROK	\N	\N
3629228	2982	1996-11-30	PRIJEM	\N	296	49678	UROK	\N	\N
3629229	2982	1996-12-31	PRIJEM	\N	334	84569	UROK	\N	\N
3629230	2982	1997-01-31	PRIJEM	\N	233	27192	UROK	\N	\N
3629231	2982	1997-02-28	PRIJEM	\N	217	57790	UROK	\N	\N
3629232	2982	1997-03-31	PRIJEM	\N	322	83993	UROK	\N	\N
3629233	2982	1997-04-30	PRIJEM	\N	256	53974	UROK	\N	\N
3629234	2982	1997-05-31	PRIJEM	\N	289	58042	UROK	\N	\N
3629235	2982	1997-06-30	PRIJEM	\N	318	59732	UROK	\N	\N
3629236	2982	1997-07-31	PRIJEM	\N	309	56423	UROK	\N	\N
3629237	2982	1997-08-31	PRIJEM	\N	236	44669	UROK	\N	\N
3629238	2982	1997-09-30	PRIJEM	\N	243	41701	UROK	\N	\N
3629239	2982	1997-10-31	PRIJEM	\N	231	48963	UROK	\N	\N
3629240	2982	1997-11-30	PRIJEM	\N	285	51429	UROK	\N	\N
3629241	2982	1997-12-31	PRIJEM	\N	255	43142	UROK	\N	\N
3629242	2982	1998-01-31	PRIJEM	\N	242	50065	UROK	\N	\N
3629243	2982	1998-02-28	PRIJEM	\N	284	44285	UROK	\N	\N
3629244	2982	1998-03-31	PRIJEM	\N	217	39721	UROK	\N	\N
3629245	2982	1998-04-30	PRIJEM	\N	272	56474	UROK	\N	\N
3629246	2982	1998-05-31	PRIJEM	\N	331	65849	UROK	\N	\N
3629247	2982	1998-06-30	PRIJEM	\N	275	37578	UROK	\N	\N
3629248	2982	1998-07-31	PRIJEM	\N	259	60980	UROK	\N	\N
3629249	2982	1998-08-31	PRIJEM	\N	281	62252	UROK	\N	\N
3629250	2982	1998-09-30	PRIJEM	\N	322	62031	UROK	\N	\N
3629251	2982	1998-10-31	PRIJEM	\N	347	78521	UROK	\N	\N
3629252	2982	1998-11-30	PRIJEM	\N	289	48681	UROK	\N	\N
3629253	2982	1998-12-31	PRIJEM	\N	310	69951	UROK	\N	\N
3629281	2985	1993-04-30	PRIJEM	\N	12	4931	UROK	\N	\N
3629282	2985	1993-05-31	PRIJEM	\N	21	9470	UROK	\N	\N
3629283	2985	1993-06-30	PRIJEM	\N	21	14010	UROK	\N	\N
3629284	2985	1993-07-31	PRIJEM	\N	21	18549	UROK	\N	\N
3629285	2985	1993-08-31	PRIJEM	\N	23	23091	UROK	\N	\N
3629286	2985	1993-09-30	PRIJEM	\N	102	25584	UROK	\N	\N
3629287	2985	1993-10-31	PRIJEM	\N	112	28088	UROK	\N	\N
3629288	2985	1993-11-30	PRIJEM	\N	112	27392	UROK	\N	\N
3629289	2985	1993-12-31	PRIJEM	\N	111	26994	UROK	\N	\N
3629290	2985	1994-01-31	PRIJEM	\N	102	22287	UROK	\N	\N
3629291	2985	1994-02-28	PRIJEM	\N	76	18115	UROK	\N	\N
3629292	2985	1994-03-31	PRIJEM	\N	81	20587	UROK	\N	\N
3629293	2985	1994-04-30	PRIJEM	\N	85	21304	UROK	\N	\N
3629294	2985	1994-05-31	PRIJEM	\N	94	23789	UROK	\N	\N
3629295	2985	1994-06-30	PRIJEM	\N	95	24076	UROK	\N	\N
3629296	2985	1994-07-31	PRIJEM	\N	100	22567	UROK	\N	\N
3629297	2985	1994-08-31	PRIJEM	\N	89	21687	UROK	\N	\N
3629298	2985	1994-09-30	PRIJEM	\N	95	21853	UROK	\N	\N
3629299	2985	1994-10-31	PRIJEM	\N	97	24341	UROK	\N	\N
3629300	2985	1994-11-30	PRIJEM	\N	107	26840	UROK	\N	\N
3629301	2985	1994-12-31	PRIJEM	\N	116	27847	UROK	\N	\N
3629302	2985	1995-01-31	PRIJEM	\N	99	21777	UROK	\N	\N
3629303	2985	1995-02-28	PRIJEM	\N	94	20823	UROK	\N	\N
3629304	2985	1995-03-31	PRIJEM	\N	89	22583	UROK	\N	\N
3629305	2985	1995-04-30	PRIJEM	\N	99	24513	UROK	\N	\N
3629306	2985	1995-05-31	PRIJEM	\N	108	27012	UROK	\N	\N
3629307	2985	1995-06-30	PRIJEM	\N	117	29121	UROK	\N	\N
3629308	2985	1995-07-31	PRIJEM	\N	119	29191	UROK	\N	\N
3629309	2985	1995-08-31	PRIJEM	\N	127	31709	UROK	\N	\N
3629310	2985	1995-09-30	PRIJEM	\N	137	34238	UROK	\N	\N
3629311	2985	1995-10-31	PRIJEM	\N	147	35676	UROK	\N	\N
3629312	2985	1995-11-30	PRIJEM	\N	151	36018	UROK	\N	\N
3629313	2985	1995-12-31	PRIJEM	\N	149	36309	UROK	\N	\N
3629314	2985	1996-01-31	PRIJEM	\N	141	31461	UROK	\N	\N
3629315	2985	1996-02-29	PRIJEM	\N	136	33988	UROK	\N	\N
3629316	2985	1996-03-31	PRIJEM	\N	143	33822	UROK	\N	\N
3629317	2985	1996-04-30	PRIJEM	\N	137	32011	UROK	\N	\N
3629318	2985	1996-05-31	PRIJEM	\N	132	30735	UROK	\N	\N
3629319	2985	1996-06-30	PRIJEM	\N	132	32958	UROK	\N	\N
3629320	2985	1996-07-31	PRIJEM	\N	136	31385	UROK	\N	\N
3629321	2985	1996-08-31	PRIJEM	\N	136	33912	UROK	\N	\N
3629322	2985	1996-09-30	PRIJEM	\N	146	36450	UROK	\N	\N
3629323	2985	1996-10-31	PRIJEM	\N	147	36007	UROK	\N	\N
3629324	2985	1996-11-30	PRIJEM	\N	151	36850	UROK	\N	\N
3629325	2985	1996-12-31	PRIJEM	\N	154	38395	UROK	\N	\N
3629326	2985	1997-01-31	PRIJEM	\N	143	30610	UROK	\N	\N
3629327	2985	1997-02-28	PRIJEM	\N	131	33132	UROK	\N	\N
3629328	2985	1997-03-31	PRIJEM	\N	142	35666	UROK	\N	\N
3629329	2985	1997-04-30	PRIJEM	\N	153	38210	UROK	\N	\N
3629330	2985	1997-05-31	PRIJEM	\N	154	35975	UROK	\N	\N
3629331	2985	1997-06-30	PRIJEM	\N	149	29916	UROK	\N	\N
3629332	2985	1997-07-31	PRIJEM	\N	128	32436	UROK	\N	\N
3629333	2985	1997-08-31	PRIJEM	\N	132	32459	UROK	\N	\N
3629334	2985	1997-09-30	PRIJEM	\N	124	29574	UROK	\N	\N
3629335	2985	1997-10-31	PRIJEM	\N	114	27160	UROK	\N	\N
3629336	2985	1997-11-30	PRIJEM	\N	102	24994	UROK	\N	\N
3629337	2985	1997-12-31	PRIJEM	\N	96	23331	UROK	\N	\N
3629338	2985	1998-01-31	PRIJEM	\N	81	17724	UROK	\N	\N
3629339	2985	1998-02-28	PRIJEM	\N	77	20192	UROK	\N	\N
3629340	2985	1998-03-31	PRIJEM	\N	87	22670	UROK	\N	\N
3629341	2985	1998-04-30	PRIJEM	\N	88	22249	UROK	\N	\N
3629342	2985	1998-05-31	PRIJEM	\N	92	23832	UROK	\N	\N
3629343	2985	1998-06-30	PRIJEM	\N	85	21009	UROK	\N	\N
3629344	2985	1998-07-31	PRIJEM	\N	83	21584	UROK	\N	\N
3629345	2985	1998-08-31	PRIJEM	\N	74	18249	UROK	\N	\N
3629346	2985	1998-09-30	PRIJEM	\N	74	17754	UROK	\N	\N
3629347	2985	1998-10-31	PRIJEM	\N	75	20020	UROK	\N	\N
3629348	2985	1998-11-30	PRIJEM	\N	86	22497	UROK	\N	\N
3629349	2985	1998-12-31	PRIJEM	\N	80	20959	UROK	\N	\N
3629350	2986	1996-05-31	PRIJEM	\N	68	22197	UROK	\N	\N
3629351	2986	1996-06-30	PRIJEM	\N	154	41595	UROK	\N	\N
3629352	2986	1996-07-31	PRIJEM	\N	184	45208	UROK	\N	\N
3629353	2986	1996-08-31	PRIJEM	\N	198	47535	UROK	\N	\N
3629354	2986	1996-09-30	PRIJEM	\N	184	42657	UROK	\N	\N
3629355	2986	1996-10-31	PRIJEM	\N	174	40554	UROK	\N	\N
3629356	2986	1996-11-30	PRIJEM	\N	163	31960	UROK	\N	\N
3629357	2986	1996-12-31	PRIJEM	\N	159	38157	UROK	\N	\N
3629358	2986	1997-01-31	PRIJEM	\N	156	30777	UROK	\N	\N
3629359	2986	1997-02-28	PRIJEM	\N	176	43876	UROK	\N	\N
3629360	2986	1997-03-31	PRIJEM	\N	167	39067	UROK	\N	\N
3629361	2986	1997-04-30	PRIJEM	\N	194	47464	UROK	\N	\N
3629362	2986	1997-05-31	PRIJEM	\N	210	50097	UROK	\N	\N
3629363	2986	1997-06-30	PRIJEM	\N	241	54396	UROK	\N	\N
3629364	2986	1997-07-31	PRIJEM	\N	236	57536	UROK	\N	\N
3629365	2986	1997-08-31	PRIJEM	\N	218	51978	UROK	\N	\N
3629366	2986	1997-09-30	PRIJEM	\N	242	58143	UROK	\N	\N
3629367	2986	1997-10-31	PRIJEM	\N	240	59006	UROK	\N	\N
3629368	2986	1997-11-30	PRIJEM	\N	231	55561	UROK	\N	\N
3629369	2986	1997-12-31	PRIJEM	\N	259	47904	UROK	\N	\N
3629370	2986	1998-01-31	PRIJEM	\N	233	44328	UROK	\N	\N
3629371	2986	1998-02-28	PRIJEM	\N	248	61566	UROK	\N	\N
3629372	2986	1998-03-31	PRIJEM	\N	247	44204	UROK	\N	\N
3629373	2986	1998-04-30	PRIJEM	\N	243	44537	UROK	\N	\N
3629374	2986	1998-05-31	PRIJEM	\N	244	47072	UROK	\N	\N
3629375	2986	1998-06-30	PRIJEM	\N	180	28996	UROK	\N	\N
3629376	2986	1998-07-31	PRIJEM	\N	181	39768	UROK	\N	\N
3629377	2986	1998-08-31	PRIJEM	\N	225	46783	UROK	\N	\N
3629378	2986	1998-09-30	PRIJEM	\N	251	52824	UROK	\N	\N
3629379	2986	1998-10-31	PRIJEM	\N	274	54988	UROK	\N	\N
3629380	2986	1998-11-30	PRIJEM	\N	281	56360	UROK	\N	\N
3629381	2986	1998-12-31	PRIJEM	\N	342	85307	UROK	\N	\N
3629382	2987	1993-10-31	PRIJEM	\N	48	22197	UROK	\N	\N
3629383	2987	1993-11-30	PRIJEM	\N	120	34565	UROK	\N	\N
3629384	2987	1993-12-31	PRIJEM	\N	172	47161	UROK	\N	\N
3629385	2987	1994-01-31	PRIJEM	\N	198	48108	UROK	\N	\N
3629386	2987	1994-02-28	PRIJEM	\N	186	40774	UROK	\N	\N
3629387	2987	1994-03-31	PRIJEM	\N	182	43121	UROK	\N	\N
3629388	2987	1994-04-30	PRIJEM	\N	184	42870	UROK	\N	\N
3629389	2987	1994-05-31	PRIJEM	\N	187	44523	UROK	\N	\N
3629390	2987	1994-06-30	PRIJEM	\N	180	37703	UROK	\N	\N
3629391	2987	1994-07-31	PRIJEM	\N	167	40735	UROK	\N	\N
3629392	2987	1994-08-31	PRIJEM	\N	171	41471	UROK	\N	\N
3629393	2987	1994-09-30	PRIJEM	\N	171	40908	UROK	\N	\N
3629394	2987	1994-10-31	PRIJEM	\N	167	39640	UROK	\N	\N
3629395	2987	1994-11-30	PRIJEM	\N	170	41076	UROK	\N	\N
3629396	2987	1994-12-31	PRIJEM	\N	171	38847	UROK	\N	\N
3629397	2987	1995-01-31	PRIJEM	\N	144	19477	UROK	\N	\N
3629398	2987	1995-02-28	PRIJEM	\N	116	30478	UROK	\N	\N
3629399	2987	1995-03-31	PRIJEM	\N	137	30101	UROK	\N	\N
3629400	2987	1995-04-30	PRIJEM	\N	138	33604	UROK	\N	\N
3629401	2987	1995-05-31	PRIJEM	\N	149	36018	UROK	\N	\N
3629402	2987	1995-06-30	PRIJEM	\N	173	42631	UROK	\N	\N
3629403	2987	1995-07-31	PRIJEM	\N	168	39165	UROK	\N	\N
3629404	2987	1995-08-31	PRIJEM	\N	162	37992	UROK	\N	\N
3629405	2987	1995-09-30	PRIJEM	\N	160	37517	UROK	\N	\N
3629406	2987	1995-10-31	PRIJEM	\N	165	38947	UROK	\N	\N
3629407	2987	1995-11-30	PRIJEM	\N	217	53830	UROK	\N	\N
3629408	2987	1995-12-31	PRIJEM	\N	270	64420	UROK	\N	\N
3629409	2987	1996-01-31	PRIJEM	\N	230	40135	UROK	\N	\N
3629410	2987	1996-02-29	PRIJEM	\N	190	44590	UROK	\N	\N
3629411	2987	1996-03-31	PRIJEM	\N	207	50363	UROK	\N	\N
3629412	2987	1996-04-30	PRIJEM	\N	232	55960	UROK	\N	\N
3629413	2987	1996-05-31	PRIJEM	\N	253	59078	UROK	\N	\N
3629414	2987	1996-06-30	PRIJEM	\N	259	39677	UROK	\N	\N
3629415	2987	1996-07-31	PRIJEM	\N	196	47459	UROK	\N	\N
3629416	2987	1996-08-31	PRIJEM	\N	216	52540	UROK	\N	\N
3629417	2987	1996-09-30	PRIJEM	\N	208	57714	UROK	\N	\N
3629418	2987	1996-10-31	PRIJEM	\N	217	40296	UROK	\N	\N
3629419	2987	1996-11-30	PRIJEM	\N	209	42770	UROK	\N	\N
3629420	2987	1996-12-31	PRIJEM	\N	246	44176	UROK	\N	\N
3629421	2987	1997-01-31	PRIJEM	\N	223	32044	UROK	\N	\N
3629422	2987	1997-02-28	PRIJEM	\N	172	34382	UROK	\N	\N
3629423	2987	1997-03-31	PRIJEM	\N	182	34529	UROK	\N	\N
3629424	2987	1997-04-30	PRIJEM	\N	168	31442	UROK	\N	\N
3629425	2987	1997-05-31	PRIJEM	\N	163	23611	UROK	\N	\N
3629426	2987	1997-06-30	PRIJEM	\N	161	29912	UROK	\N	\N
3629427	2987	1997-07-31	PRIJEM	\N	155	25632	UROK	\N	\N
3629428	2987	1997-08-31	PRIJEM	\N	135	22332	UROK	\N	\N
3629429	2987	1997-09-30	PRIJEM	\N	123	22720	UROK	\N	\N
3629430	2987	1997-10-31	PRIJEM	\N	124	23909	UROK	\N	\N
3629431	2987	1997-11-30	PRIJEM	\N	125	22800	UROK	\N	\N
3629432	2987	1997-12-31	PRIJEM	\N	155	29735	UROK	\N	\N
3629433	2987	1998-01-31	PRIJEM	\N	155	20555	UROK	\N	\N
3629434	2987	1998-02-28	PRIJEM	\N	115	27136	UROK	\N	\N
3629435	2987	1998-03-31	PRIJEM	\N	143	31644	UROK	\N	\N
3629436	2987	1998-04-30	PRIJEM	\N	160	35869	UROK	\N	\N
3629437	2987	1998-05-31	PRIJEM	\N	169	33603	UROK	\N	\N
3629438	2987	1998-06-30	PRIJEM	\N	164	31967	UROK	\N	\N
3629439	2987	1998-07-31	PRIJEM	\N	162	39194	UROK	\N	\N
3629440	2987	1998-08-31	PRIJEM	\N	180	39240	UROK	\N	\N
3629441	2987	1998-09-30	PRIJEM	\N	179	39584	UROK	\N	\N
3629442	2987	1998-10-31	PRIJEM	\N	187	44837	UROK	\N	\N
3629443	2987	1998-11-30	PRIJEM	\N	204	47806	UROK	\N	\N
3629444	2987	1998-12-31	PRIJEM	\N	265	73651	UROK	\N	\N
3629445	2988	1996-10-31	PRIJEM	\N	15	8159	UROK	\N	\N
3629446	2988	1996-11-30	PRIJEM	\N	34	14993	UROK	\N	\N
3629447	2988	1996-12-31	PRIJEM	\N	34	17827	UROK	\N	\N
3629448	2988	1997-01-31	PRIJEM	\N	124	24864	UROK	\N	\N
3629449	2988	1997-02-28	PRIJEM	\N	215	92455	UROK	\N	\N
3629450	2988	1997-03-31	PRIJEM	\N	358	84200	UROK	\N	\N
3629451	2988	1997-04-30	PRIJEM	\N	383	102380	UROK	\N	\N
3629452	2988	1997-05-31	PRIJEM	\N	247	43168	UROK	\N	\N
3629453	2988	1997-06-30	PRIJEM	\N	164	21458	UROK	\N	\N
3629454	2988	1997-07-31	PRIJEM	\N	92	22249	UROK	\N	\N
3629455	2988	1997-08-31	PRIJEM	\N	80	16828	UROK	\N	\N
3629456	2988	1997-09-30	PRIJEM	\N	112	54470	UROK	\N	\N
3629457	2988	1997-10-31	PRIJEM	\N	219	80744	UROK	\N	\N
3629458	2988	1997-11-30	PRIJEM	\N	192	32742	UROK	\N	\N
3629459	2988	1997-12-31	PRIJEM	\N	116	26479	UROK	\N	\N
3629460	2988	1998-01-31	PRIJEM	\N	206	65601	UROK	\N	\N
3629461	2988	1998-02-28	PRIJEM	\N	296	62122	UROK	\N	\N
3629462	2988	1998-03-31	PRIJEM	\N	220	50836	UROK	\N	\N
3629463	2988	1998-04-30	PRIJEM	\N	163	30198	UROK	\N	\N
3629464	2988	1998-05-31	PRIJEM	\N	114	16813	UROK	\N	\N
3629465	2988	1998-06-30	PRIJEM	\N	62	31534	UROK	\N	\N
3629466	2988	1998-07-31	PRIJEM	\N	328	100074	UROK	\N	\N
3629467	2988	1998-08-31	PRIJEM	\N	460	90894	UROK	\N	\N
3629468	2988	1998-09-30	PRIJEM	\N	256	40440	UROK	\N	\N
3629469	2988	1998-10-31	PRIJEM	\N	124	24179	UROK	\N	\N
3629470	2988	1998-11-30	PRIJEM	\N	66	11561	UROK	\N	\N
3629471	2988	1998-12-31	PRIJEM	\N	113	49708	UROK	\N	\N
3629472	2989	1994-03-31	PRIJEM	\N	11	20383	UROK	\N	\N
3629473	2989	1994-04-30	PRIJEM	\N	86	25562	UROK	\N	\N
3629474	2989	1994-05-31	PRIJEM	\N	105	23090	UROK	\N	\N
3629475	2989	1994-06-30	PRIJEM	\N	68	13242	UROK	\N	\N
3629476	2989	1994-07-31	PRIJEM	\N	61	14986	UROK	\N	\N
3629477	2989	1994-08-31	PRIJEM	\N	68	16737	UROK	\N	\N
3629478	2989	1994-09-30	PRIJEM	\N	68	16489	UROK	\N	\N
3629479	2989	1994-10-31	PRIJEM	\N	74	18246	UROK	\N	\N
3629480	2989	1994-11-30	PRIJEM	\N	82	20011	UROK	\N	\N
3629481	2989	1994-12-31	PRIJEM	\N	84	20479	UROK	\N	\N
3629482	2989	1995-01-31	PRIJEM	\N	70	13672	UROK	\N	\N
3629483	2989	1995-02-28	PRIJEM	\N	62	15418	UROK	\N	\N
3629484	2989	1995-03-31	PRIJEM	\N	60	14121	UROK	\N	\N
3629485	2989	1995-04-30	PRIJEM	\N	64	15869	UROK	\N	\N
3629486	2989	1995-05-31	PRIJEM	\N	72	17624	UROK	\N	\N
3629487	2989	1995-06-30	PRIJEM	\N	79	19386	UROK	\N	\N
3629488	2989	1995-07-31	PRIJEM	\N	81	15950	UROK	\N	\N
3629489	2989	1995-08-31	PRIJEM	\N	72	17706	UROK	\N	\N
3629490	2989	1995-09-30	PRIJEM	\N	79	19468	UROK	\N	\N
3629491	2989	1995-10-31	PRIJEM	\N	81	18032	UROK	\N	\N
3629492	2989	1995-11-30	PRIJEM	\N	78	17793	UROK	\N	\N
3629493	2989	1995-12-31	PRIJEM	\N	78	18855	UROK	\N	\N
3629494	2989	1996-01-31	PRIJEM	\N	64	13592	UROK	\N	\N
3629495	2989	1996-02-29	PRIJEM	\N	62	15338	UROK	\N	\N
3629496	2989	1996-03-31	PRIJEM	\N	69	17090	UROK	\N	\N
3629497	2989	1996-04-30	PRIJEM	\N	77	18850	UROK	\N	\N
3629498	2989	1996-05-31	PRIJEM	\N	80	17893	UROK	\N	\N
3629499	2989	1996-06-30	PRIJEM	\N	80	19657	UROK	\N	\N
3629500	2989	1996-07-31	PRIJEM	\N	87	21427	UROK	\N	\N
3629501	2989	1996-08-31	PRIJEM	\N	95	23205	UROK	\N	\N
3629502	2989	1996-09-30	PRIJEM	\N	102	24990	UROK	\N	\N
3629503	2989	1996-10-31	PRIJEM	\N	103	24296	UROK	\N	\N
3629504	2989	1996-11-30	PRIJEM	\N	106	26086	UROK	\N	\N
3629505	2989	1996-12-31	PRIJEM	\N	112	27181	UROK	\N	\N
3629506	2989	1997-01-31	PRIJEM	\N	90	18085	UROK	\N	\N
3629507	2989	1997-02-28	PRIJEM	\N	80	19288	UROK	\N	\N
3629508	2989	1997-03-31	PRIJEM	\N	85	21057	UROK	\N	\N
3629509	2989	1997-04-30	PRIJEM	\N	93	22833	UROK	\N	\N
3629510	2989	1997-05-31	PRIJEM	\N	100	24616	UROK	\N	\N
3629511	2989	1997-06-30	PRIJEM	\N	107	26407	UROK	\N	\N
3629512	2989	1997-07-31	PRIJEM	\N	113	26603	UROK	\N	\N
3629513	2989	1997-08-31	PRIJEM	\N	116	28402	UROK	\N	\N
3629514	2989	1997-09-30	PRIJEM	\N	123	30208	UROK	\N	\N
3629515	2989	1997-10-31	PRIJEM	\N	130	32022	UROK	\N	\N
3629516	2989	1997-11-30	PRIJEM	\N	138	33443	UROK	\N	\N
3629517	2989	1997-12-31	PRIJEM	\N	143	34469	UROK	\N	\N
3629518	2989	1998-01-31	PRIJEM	\N	122	26495	UROK	\N	\N
3629519	2989	1998-02-28	PRIJEM	\N	115	28293	UROK	\N	\N
3629520	2989	1998-03-31	PRIJEM	\N	117	27533	UROK	\N	\N
3629521	2989	1998-04-30	PRIJEM	\N	117	27574	UROK	\N	\N
3629522	2989	1998-05-31	PRIJEM	\N	119	29376	UROK	\N	\N
3629523	2989	1998-06-30	PRIJEM	\N	121	26890	UROK	\N	\N
3629524	2989	1998-07-31	PRIJEM	\N	116	28689	UROK	\N	\N
3629525	2989	1998-08-31	PRIJEM	\N	123	30496	UROK	\N	\N
3629526	2989	1998-09-30	PRIJEM	\N	128	28628	UROK	\N	\N
3629527	2989	1998-10-31	PRIJEM	\N	123	30434	UROK	\N	\N
3629528	2989	1998-11-30	PRIJEM	\N	130	32248	UROK	\N	\N
3629529	2989	1998-12-31	PRIJEM	\N	128	28370	UROK	\N	\N
3629530	2990	1996-10-31	PRIJEM	\N	29	13318	UROK	\N	\N
3629531	2990	1996-11-30	PRIJEM	\N	74	21680	UROK	\N	\N
3629532	2990	1996-12-31	PRIJEM	\N	110	30625	UROK	\N	\N
3629533	2990	1997-01-31	PRIJEM	\N	128	30942	UROK	\N	\N
3629534	2990	1997-02-28	PRIJEM	\N	128	30232	UROK	\N	\N
3629535	2990	1997-03-31	PRIJEM	\N	135	33615	UROK	\N	\N
3629536	2990	1997-04-30	PRIJEM	\N	149	34713	UROK	\N	\N
3629537	2990	1997-05-31	PRIJEM	\N	153	37814	UROK	\N	\N
3629538	2990	1997-06-30	PRIJEM	\N	144	22751	UROK	\N	\N
3629539	2990	1997-07-31	PRIJEM	\N	108	27808	UROK	\N	\N
3629540	2990	1997-08-31	PRIJEM	\N	122	29978	UROK	\N	\N
3629541	2990	1997-09-30	PRIJEM	\N	121	27648	UROK	\N	\N
3629542	2990	1997-10-31	PRIJEM	\N	122	29718	UROK	\N	\N
3629543	2990	1997-11-30	PRIJEM	\N	130	30996	UROK	\N	\N
3629544	2990	1997-12-31	PRIJEM	\N	143	35732	UROK	\N	\N
3629545	2990	1998-01-31	PRIJEM	\N	130	24311	UROK	\N	\N
3629546	2990	1998-02-28	PRIJEM	\N	124	32683	UROK	\N	\N
3629547	2990	1998-03-31	PRIJEM	\N	154	38685	UROK	\N	\N
3629548	2990	1998-04-30	PRIJEM	\N	181	45514	UROK	\N	\N
3629549	2990	1998-05-31	PRIJEM	\N	185	42847	UROK	\N	\N
3629550	2990	1998-06-30	PRIJEM	\N	174	41815	UROK	\N	\N
3629551	2990	1998-07-31	PRIJEM	\N	177	42640	UROK	\N	\N
3629552	2990	1998-08-31	PRIJEM	\N	179	42867	UROK	\N	\N
3629553	2990	1998-09-30	PRIJEM	\N	179	42894	UROK	\N	\N
3629554	2990	1998-10-31	PRIJEM	\N	177	42520	UROK	\N	\N
3629555	2990	1998-11-30	PRIJEM	\N	176	41944	UROK	\N	\N
3629556	2990	1998-12-31	PRIJEM	\N	175	42712	UROK	\N	\N
3629557	2991	1993-06-30	PRIJEM	\N	40	28880	UROK	\N	\N
3629558	2991	1993-07-31	PRIJEM	\N	134	37974	UROK	\N	\N
3629559	2991	1993-08-31	PRIJEM	\N	164	42198	UROK	\N	\N
3629560	2991	1993-09-30	PRIJEM	\N	177	43035	UROK	\N	\N
3629561	2991	1993-10-31	PRIJEM	\N	189	37849	UROK	\N	\N
3629562	2991	1993-11-30	PRIJEM	\N	179	34178	UROK	\N	\N
3629563	2991	1993-12-31	PRIJEM	\N	189	36297	UROK	\N	\N
3629564	2991	1994-01-31	PRIJEM	\N	176	37563	UROK	\N	\N
3629565	2991	1994-02-28	PRIJEM	\N	181	38935	UROK	\N	\N
3629566	2991	1994-03-31	PRIJEM	\N	185	38811	UROK	\N	\N
3629567	2991	1994-04-30	PRIJEM	\N	185	39186	UROK	\N	\N
3629568	2991	1994-05-31	PRIJEM	\N	180	35097	UROK	\N	\N
3629569	2991	1994-06-30	PRIJEM	\N	198	42865	UROK	\N	\N
3629570	2991	1994-07-31	PRIJEM	\N	189	38445	UROK	\N	\N
3629571	2991	1994-08-31	PRIJEM	\N	183	40418	UROK	\N	\N
3629572	2991	1994-09-30	PRIJEM	\N	181	38489	UROK	\N	\N
3629573	2991	1994-10-31	PRIJEM	\N	175	34314	UROK	\N	\N
3629574	2991	1994-11-30	PRIJEM	\N	182	31586	UROK	\N	\N
3629575	2991	1994-12-31	PRIJEM	\N	179	35956	UROK	\N	\N
3629576	2991	1995-01-31	PRIJEM	\N	148	29213	UROK	\N	\N
3629577	2991	1995-02-28	PRIJEM	\N	136	30040	UROK	\N	\N
3629578	2991	1995-03-31	PRIJEM	\N	132	27742	UROK	\N	\N
3629579	2991	1995-04-30	PRIJEM	\N	135	30067	UROK	\N	\N
3629580	2991	1995-05-31	PRIJEM	\N	135	27213	UROK	\N	\N
3629581	2991	1995-06-30	PRIJEM	\N	151	33534	UROK	\N	\N
3629582	2991	1995-07-31	PRIJEM	\N	123	21788	UROK	\N	\N
3629583	2991	1995-08-31	PRIJEM	\N	95	20173	UROK	\N	\N
3629584	2991	1995-09-30	PRIJEM	\N	85	18148	UROK	\N	\N
3629585	2991	1995-10-31	PRIJEM	\N	82	17920	UROK	\N	\N
3629586	2991	1995-11-30	PRIJEM	\N	77	16988	UROK	\N	\N
3629587	2991	1995-12-31	PRIJEM	\N	87	16105	UROK	\N	\N
3629588	2991	1996-01-31	PRIJEM	\N	76	17872	UROK	\N	\N
3629589	2991	1996-02-29	PRIJEM	\N	66	14828	UROK	\N	\N
3629590	2991	1996-03-31	PRIJEM	\N	60	13379	UROK	\N	\N
3629591	2991	1996-04-30	PRIJEM	\N	90	22279	UROK	\N	\N
3629592	2991	1996-05-31	PRIJEM	\N	92	20061	UROK	\N	\N
3629593	2991	1996-06-30	PRIJEM	\N	65	13997	UROK	\N	\N
3629594	2991	1996-07-31	PRIJEM	\N	35	7123	UROK	\N	\N
3629595	2991	1996-08-31	PRIJEM	\N	76	20089	UROK	\N	\N
3629596	2991	1996-09-30	PRIJEM	\N	130	33109	UROK	\N	\N
3629597	2991	1996-10-31	PRIJEM	\N	152	38111	UROK	\N	\N
3629598	2991	1996-11-30	PRIJEM	\N	134	31635	UROK	\N	\N
3629599	2991	1996-12-31	PRIJEM	\N	150	36655	UROK	\N	\N
3629600	2991	1997-01-31	PRIJEM	\N	118	27464	UROK	\N	\N
3629601	2991	1997-02-28	PRIJEM	\N	160	40513	UROK	\N	\N
3629602	2991	1997-03-31	PRIJEM	\N	120	27624	UROK	\N	\N
3629603	2991	1997-04-30	PRIJEM	\N	160	40675	UROK	\N	\N
3629604	2991	1997-05-31	PRIJEM	\N	210	53776	UROK	\N	\N
3629605	2991	1997-06-30	PRIJEM	\N	165	44311	UROK	\N	\N
3629606	2991	1997-07-31	PRIJEM	\N	114	28976	UROK	\N	\N
3629607	2991	1997-08-31	PRIJEM	\N	152	17258	UROK	\N	\N
3629608	2991	1997-09-30	PRIJEM	\N	107	24376	UROK	\N	\N
3629609	2991	1997-10-31	PRIJEM	\N	146	37413	UROK	\N	\N
3629610	2991	1997-11-30	PRIJEM	\N	200	50503	UROK	\N	\N
3629611	2991	1997-12-31	PRIJEM	\N	259	24313	UROK	\N	\N
3629612	2991	1998-01-31	PRIJEM	\N	146	37349	UROK	\N	\N
3629613	2991	1998-02-28	PRIJEM	\N	179	16019	UROK	\N	\N
3629614	2991	1998-03-31	PRIJEM	\N	102	20611	UROK	\N	\N
3629615	2991	1998-04-30	PRIJEM	\N	130	33631	UROK	\N	\N
3629616	2991	1998-05-31	PRIJEM	\N	184	46706	UROK	\N	\N
3629617	2991	1998-06-30	PRIJEM	\N	239	22555	UROK	\N	\N
3629618	2991	1998-07-31	PRIJEM	\N	138	35583	UROK	\N	\N
3629619	2991	1998-08-31	PRIJEM	\N	192	48665	UROK	\N	\N
3629620	2991	1998-09-30	PRIJEM	\N	197	17753	UROK	\N	\N
3629621	2991	1998-10-31	PRIJEM	\N	107	27270	UROK	\N	\N
3629622	2991	1998-11-30	PRIJEM	\N	156	40317	UROK	\N	\N
3629623	2991	1998-12-31	PRIJEM	\N	236	60383	UROK	\N	\N
3629624	2992	1997-08-31	PRIJEM	\N	56	18838	UROK	\N	\N
3629625	2992	1997-09-30	PRIJEM	\N	101	26220	UROK	\N	\N
3629626	2992	1997-10-31	PRIJEM	\N	113	27716	UROK	\N	\N
3629627	2992	1997-11-30	PRIJEM	\N	143	36841	UROK	\N	\N
3629628	2992	1997-12-31	PRIJEM	\N	168	35706	UROK	\N	\N
3629629	2992	1998-01-31	PRIJEM	\N	102	17059	UROK	\N	\N
3629630	2992	1998-02-28	PRIJEM	\N	92	23423	UROK	\N	\N
3629631	2992	1998-03-31	PRIJEM	\N	108	26102	UROK	\N	\N
3629632	2992	1998-04-30	PRIJEM	\N	110	26163	UROK	\N	\N
3629633	2992	1998-05-31	PRIJEM	\N	129	31863	UROK	\N	\N
3629634	2992	1998-06-30	PRIJEM	\N	146	32012	UROK	\N	\N
3629635	2992	1998-07-31	PRIJEM	\N	141	33724	UROK	\N	\N
3629636	2992	1998-08-31	PRIJEM	\N	139	32634	UROK	\N	\N
3629637	2992	1998-09-30	PRIJEM	\N	153	37659	UROK	\N	\N
3629638	2992	1998-10-31	PRIJEM	\N	162	38592	UROK	\N	\N
3629639	2992	1998-11-30	PRIJEM	\N	172	41835	UROK	\N	\N
3629640	2992	1998-12-31	PRIJEM	\N	194	44432	UROK	\N	\N
3629641	2994	1996-05-31	PRIJEM	\N	54	20023	UROK	\N	\N
3629642	2994	1996-06-30	PRIJEM	\N	171	53497	UROK	\N	\N
3629643	2994	1996-07-31	PRIJEM	\N	239	59805	UROK	\N	\N
3629644	2994	1996-08-31	PRIJEM	\N	248	60522	UROK	\N	\N
3629645	2994	1996-09-30	PRIJEM	\N	208	54823	UROK	\N	\N
3629646	2994	1996-10-31	PRIJEM	\N	196	37402	UROK	\N	\N
3629647	2994	1996-11-30	PRIJEM	\N	190	37955	UROK	\N	\N
3629648	2994	1996-12-31	PRIJEM	\N	197	40230	UROK	\N	\N
3629649	2994	1997-01-31	PRIJEM	\N	148	26841	UROK	\N	\N
3629650	2994	1997-02-28	PRIJEM	\N	148	34872	UROK	\N	\N
3629651	2994	1997-03-31	PRIJEM	\N	182	41237	UROK	\N	\N
3629652	2994	1997-04-30	PRIJEM	\N	206	43326	UROK	\N	\N
3629653	2994	1997-05-31	PRIJEM	\N	213	44122	UROK	\N	\N
3629654	2994	1997-06-30	PRIJEM	\N	224	43684	UROK	\N	\N
3629655	2994	1997-07-31	PRIJEM	\N	209	43476	UROK	\N	\N
3629656	2994	1997-08-31	PRIJEM	\N	210	45269	UROK	\N	\N
3629657	2994	1997-09-30	PRIJEM	\N	216	45569	UROK	\N	\N
3629658	2994	1997-10-31	PRIJEM	\N	217	46369	UROK	\N	\N
3629659	2994	1997-11-30	PRIJEM	\N	219	47171	UROK	\N	\N
3629660	2994	1997-12-31	PRIJEM	\N	239	55028	UROK	\N	\N
3629661	2994	1998-01-31	PRIJEM	\N	229	45041	UROK	\N	\N
3629662	2994	1998-02-28	PRIJEM	\N	215	50239	UROK	\N	\N
3629663	2994	1998-03-31	PRIJEM	\N	235	51757	UROK	\N	\N
3629664	2994	1998-04-30	PRIJEM	\N	237	50377	UROK	\N	\N
3629665	2994	1998-05-31	PRIJEM	\N	228	47288	UROK	\N	\N
3629666	2994	1998-06-30	PRIJEM	\N	229	39334	UROK	\N	\N
3629667	2994	1998-07-31	PRIJEM	\N	184	39601	UROK	\N	\N
3629668	2994	1998-08-31	PRIJEM	\N	178	36023	UROK	\N	\N
3629669	2994	1998-09-30	PRIJEM	\N	173	40379	UROK	\N	\N
3629670	2994	1998-10-31	PRIJEM	\N	181	38643	UROK	\N	\N
3629671	2994	1998-11-30	PRIJEM	\N	174	35340	UROK	\N	\N
3629672	2994	1998-12-31	PRIJEM	\N	180	38418	UROK	\N	\N
3629673	2996	1994-06-30	PRIJEM	\N	49	23692	UROK	\N	\N
3629674	2996	1994-07-31	PRIJEM	\N	117	32371	UROK	\N	\N
3629675	2996	1994-08-31	PRIJEM	\N	142	35876	UROK	\N	\N
3629676	2996	1994-09-30	PRIJEM	\N	157	39194	UROK	\N	\N
3629677	2996	1994-10-31	PRIJEM	\N	165	38520	UROK	\N	\N
3629678	2996	1994-11-30	PRIJEM	\N	177	38647	UROK	\N	\N
3629679	2996	1994-12-31	PRIJEM	\N	164	36842	UROK	\N	\N
3629680	2996	1995-01-31	PRIJEM	\N	132	22723	UROK	\N	\N
3629681	2996	1995-02-28	PRIJEM	\N	119	31392	UROK	\N	\N
3629682	2996	1995-03-31	PRIJEM	\N	137	32879	UROK	\N	\N
3629683	2996	1995-04-30	PRIJEM	\N	146	35675	UROK	\N	\N
3629684	2996	1995-05-31	PRIJEM	\N	156	37680	UROK	\N	\N
3629685	2996	1995-06-30	PRIJEM	\N	161	27571	UROK	\N	\N
3629686	2996	1995-07-31	PRIJEM	\N	131	32951	UROK	\N	\N
3629687	2996	1995-08-31	PRIJEM	\N	146	35746	UROK	\N	\N
3629688	2996	1995-09-30	PRIJEM	\N	154	37650	UROK	\N	\N
3629689	2996	1995-10-31	PRIJEM	\N	161	39160	UROK	\N	\N
3629690	2996	1995-11-30	PRIJEM	\N	166	37976	UROK	\N	\N
3629691	2996	1995-12-31	PRIJEM	\N	174	42680	UROK	\N	\N
3629692	2996	1996-01-31	PRIJEM	\N	159	34589	UROK	\N	\N
3629693	2996	1996-02-29	PRIJEM	\N	165	41903	UROK	\N	\N
3629694	2996	1996-03-31	PRIJEM	\N	190	47142	UROK	\N	\N
3629695	2996	1996-04-30	PRIJEM	\N	207	51398	UROK	\N	\N
3629696	2996	1996-05-31	PRIJEM	\N	218	53665	UROK	\N	\N
3629697	2996	1996-06-30	PRIJEM	\N	233	55029	UROK	\N	\N
3629698	2996	1996-07-31	PRIJEM	\N	220	54298	UROK	\N	\N
3629699	2996	1996-08-31	PRIJEM	\N	210	51658	UROK	\N	\N
3629700	2996	1996-09-30	PRIJEM	\N	196	48103	UROK	\N	\N
3629701	2996	1996-10-31	PRIJEM	\N	199	49451	UROK	\N	\N
3629702	2996	1996-11-30	PRIJEM	\N	191	47592	UROK	\N	\N
3629703	2996	1996-12-31	PRIJEM	\N	204	51626	UROK	\N	\N
3629704	2996	1997-01-31	PRIJEM	\N	166	39241	UROK	\N	\N
3629705	2996	1997-02-28	PRIJEM	\N	179	45170	UROK	\N	\N
3629706	2996	1997-03-31	PRIJEM	\N	201	50721	UROK	\N	\N
3629707	2996	1997-04-30	PRIJEM	\N	210	52280	UROK	\N	\N
3629708	2996	1997-05-31	PRIJEM	\N	214	53343	UROK	\N	\N
3629709	2996	1997-06-30	PRIJEM	\N	145	35818	UROK	\N	\N
3629710	2996	1997-07-31	PRIJEM	\N	161	37829	UROK	\N	\N
3629711	2996	1997-08-31	PRIJEM	\N	174	44552	UROK	\N	\N
3629712	2996	1997-09-30	PRIJEM	\N	200	46201	UROK	\N	\N
3629713	2996	1997-10-31	PRIJEM	\N	200	49151	UROK	\N	\N
3629714	2996	1997-11-30	PRIJEM	\N	219	52119	UROK	\N	\N
3629715	2996	1997-12-31	PRIJEM	\N	237	49987	UROK	\N	\N
3629716	2996	1998-01-31	PRIJEM	\N	186	35322	UROK	\N	\N
3629717	2996	1998-02-28	PRIJEM	\N	163	43234	UROK	\N	\N
3629718	2996	1998-03-31	PRIJEM	\N	193	46077	UROK	\N	\N
3629719	2996	1998-04-30	PRIJEM	\N	205	48931	UROK	\N	\N
3629720	2996	1998-05-31	PRIJEM	\N	219	55100	UROK	\N	\N
3629721	2996	1998-06-30	PRIJEM	\N	252	53482	UROK	\N	\N
3629722	2996	1998-07-31	PRIJEM	\N	232	53863	UROK	\N	\N
3629723	2996	1998-08-31	PRIJEM	\N	232	53745	UROK	\N	\N
3629724	2996	1998-09-30	PRIJEM	\N	229	51023	UROK	\N	\N
3629725	2996	1998-10-31	PRIJEM	\N	221	51793	UROK	\N	\N
3629726	2996	1998-11-30	PRIJEM	\N	231	58573	UROK	\N	\N
3629727	2996	1998-12-31	PRIJEM	\N	269	65273	UROK	\N	\N
3629728	2997	1997-09-30	PRIJEM	\N	11	4079	UROK	\N	\N
3629729	2997	1997-10-31	PRIJEM	\N	59	19906	UROK	\N	\N
3629730	2997	1997-11-30	PRIJEM	\N	101	26775	UROK	\N	\N
3629731	2997	1997-12-31	PRIJEM	\N	111	26854	UROK	\N	\N
3629732	2997	1998-01-31	PRIJEM	\N	104	21836	UROK	\N	\N
3629733	2997	1998-02-28	PRIJEM	\N	91	22202	UROK	\N	\N
3629734	2997	1998-03-31	PRIJEM	\N	93	22540	UROK	\N	\N
3629735	2997	1998-04-30	PRIJEM	\N	91	22107	UROK	\N	\N
3629736	2997	1998-05-31	PRIJEM	\N	94	22426	UROK	\N	\N
3629737	2997	1998-06-30	PRIJEM	\N	94	23276	UROK	\N	\N
3629738	2997	1998-07-31	PRIJEM	\N	102	25353	UROK	\N	\N
3629739	2997	1998-08-31	PRIJEM	\N	116	29345	UROK	\N	\N
3629740	2997	1998-09-30	PRIJEM	\N	130	31970	UROK	\N	\N
3629741	2997	1998-10-31	PRIJEM	\N	128	30773	UROK	\N	\N
3629742	2997	1998-11-30	PRIJEM	\N	114	26423	UROK	\N	\N
3629743	2997	1998-12-31	PRIJEM	\N	116	28634	UROK	\N	\N
3629744	2998	1997-11-30	PRIJEM	\N	66	22520	UROK	\N	\N
3629745	2998	1997-12-31	PRIJEM	\N	202	59152	UROK	\N	\N
3629746	2998	1998-01-31	PRIJEM	\N	258	63364	UROK	\N	\N
3629747	2998	1998-02-28	PRIJEM	\N	272	66690	UROK	\N	\N
3629748	2998	1998-03-31	PRIJEM	\N	261	60632	UROK	\N	\N
3629749	2998	1998-04-30	PRIJEM	\N	228	53199	UROK	\N	\N
3629750	2998	1998-05-31	PRIJEM	\N	208	49145	UROK	\N	\N
3629751	2998	1998-06-30	PRIJEM	\N	235	60195	UROK	\N	\N
3629752	2998	1998-07-31	PRIJEM	\N	217	49650	UROK	\N	\N
3629753	2998	1998-08-31	PRIJEM	\N	202	48490	UROK	\N	\N
3629754	2998	1998-09-30	PRIJEM	\N	189	43978	UROK	\N	\N
3629755	2998	1998-10-31	PRIJEM	\N	181	43898	UROK	\N	\N
3629756	2998	1998-11-30	PRIJEM	\N	160	37656	UROK	\N	\N
3629757	2998	1998-12-31	PRIJEM	\N	185	47356	UROK	\N	\N
3629758	2999	1996-11-30	PRIJEM	\N	45	13555	UROK	\N	\N
3629759	2999	1996-12-31	PRIJEM	\N	90	23660	UROK	\N	\N
3629760	2999	1997-01-31	PRIJEM	\N	114	28084	UROK	\N	\N
3629761	2999	1997-02-28	PRIJEM	\N	132	26626	UROK	\N	\N
3629762	2999	1997-03-31	PRIJEM	\N	105	23634	UROK	\N	\N
3629763	2999	1997-04-30	PRIJEM	\N	103	21726	UROK	\N	\N
3629764	2999	1997-05-31	PRIJEM	\N	96	23512	UROK	\N	\N
3629765	2999	1997-06-30	PRIJEM	\N	95	22401	UROK	\N	\N
3629766	2999	1997-07-31	PRIJEM	\N	80	18770	UROK	\N	\N
3629767	2999	1997-08-31	PRIJEM	\N	90	20669	UROK	\N	\N
3629768	2999	1997-09-30	PRIJEM	\N	105	25964	UROK	\N	\N
3629769	2999	1997-10-31	PRIJEM	\N	104	24857	UROK	\N	\N
3629770	2999	1997-11-30	PRIJEM	\N	109	26356	UROK	\N	\N
3629771	2999	1997-12-31	PRIJEM	\N	84	17994	UROK	\N	\N
3629772	2999	1998-01-31	PRIJEM	\N	69	13332	UROK	\N	\N
3629773	2999	1998-02-28	PRIJEM	\N	75	18497	UROK	\N	\N
3629774	2999	1998-03-31	PRIJEM	\N	109	27395	UROK	\N	\N
3629775	2999	1998-04-30	PRIJEM	\N	140	34725	UROK	\N	\N
3629776	2999	1998-05-31	PRIJEM	\N	142	34156	UROK	\N	\N
3629777	2999	1998-06-30	PRIJEM	\N	106	24477	UROK	\N	\N
3629778	2999	1998-07-31	PRIJEM	\N	107	28973	UROK	\N	\N
3629779	2999	1998-08-31	PRIJEM	\N	125	28887	UROK	\N	\N
3629780	2999	1998-09-30	PRIJEM	\N	125	31201	UROK	\N	\N
3629781	2999	1998-10-31	PRIJEM	\N	135	33726	UROK	\N	\N
3629782	2999	1998-11-30	PRIJEM	\N	142	33517	UROK	\N	\N
3629783	2999	1998-12-31	PRIJEM	\N	111	23963	UROK	\N	\N
3629784	3004	1997-01-31	PRIJEM	\N	38	12741	UROK	\N	\N
3629785	3004	1997-02-28	PRIJEM	\N	58	14331	UROK	\N	\N
3629786	3004	1997-03-31	PRIJEM	\N	64	15928	UROK	\N	\N
3629787	3004	1997-04-30	PRIJEM	\N	71	17531	UROK	\N	\N
3629788	3004	1997-05-31	PRIJEM	\N	69	16652	UROK	\N	\N
3629789	3004	1997-06-30	PRIJEM	\N	56	11240	UROK	\N	\N
3629790	3004	1997-07-31	PRIJEM	\N	52	12824	UROK	\N	\N
3629791	3004	1997-08-31	PRIJEM	\N	57	14014	UROK	\N	\N
3629792	3004	1997-09-30	PRIJEM	\N	63	15609	UROK	\N	\N
3629793	3004	1997-10-31	PRIJEM	\N	60	12501	UROK	\N	\N
3629794	3004	1997-11-30	PRIJEM	\N	55	13369	UROK	\N	\N
3629795	3004	1997-12-31	PRIJEM	\N	59	14160	UROK	\N	\N
3629796	3004	1998-01-31	PRIJEM	\N	57	13050	UROK	\N	\N
3629797	3004	1998-02-28	PRIJEM	\N	58	11540	UROK	\N	\N
3629798	3004	1998-03-31	PRIJEM	\N	53	13125	UROK	\N	\N
3629799	3004	1998-04-30	PRIJEM	\N	59	14717	UROK	\N	\N
3629800	3004	1998-05-31	PRIJEM	\N	66	16315	UROK	\N	\N
3629801	3004	1998-06-30	PRIJEM	\N	73	17920	UROK	\N	\N
3629802	3004	1998-07-31	PRIJEM	\N	76	18408	UROK	\N	\N
3629803	3004	1998-08-31	PRIJEM	\N	75	17376	UROK	\N	\N
3629804	3004	1998-09-30	PRIJEM	\N	77	18985	UROK	\N	\N
3629805	3004	1998-10-31	PRIJEM	\N	82	18360	UROK	\N	\N
3629806	3004	1998-11-30	PRIJEM	\N	81	19973	UROK	\N	\N
3629807	3004	1998-12-31	PRIJEM	\N	87	20643	UROK	\N	\N
3629808	3005	1998-01-31	PRIJEM	\N	101	61276	UROK	\N	\N
3629809	3005	1998-02-28	PRIJEM	\N	258	68649	UROK	\N	\N
3629810	3005	1998-03-31	PRIJEM	\N	217	83733	UROK	\N	\N
3629811	3005	1998-04-30	PRIJEM	\N	303	63718	UROK	\N	\N
3629812	3005	1998-05-31	PRIJEM	\N	161	23300	UROK	\N	\N
3629813	3005	1998-06-30	PRIJEM	\N	52	27328	UROK	\N	\N
3629814	3005	1998-07-31	PRIJEM	\N	173	102830	UROK	\N	\N
3629815	3005	1998-08-31	PRIJEM	\N	290	54429	UROK	\N	\N
3629816	3005	1998-09-30	PRIJEM	\N	88	26286	UROK	\N	\N
3629817	3005	1998-10-31	PRIJEM	\N	231	76714	UROK	\N	\N
3629818	3005	1998-11-30	PRIJEM	\N	178	23512	UROK	\N	\N
3629819	3005	1998-12-31	PRIJEM	\N	110	43198	UROK	\N	\N
3629820	3006	1995-01-31	PRIJEM	\N	17	6633	UROK	\N	\N
3629821	3006	1995-02-28	PRIJEM	\N	28	13076	UROK	\N	\N
3629822	3006	1995-03-31	PRIJEM	\N	28	19520	UROK	\N	\N
3629823	3006	1995-04-30	PRIJEM	\N	28	25964	UROK	\N	\N
3629824	3006	1995-05-31	PRIJEM	\N	90	31570	UROK	\N	\N
3629825	3006	1995-06-30	PRIJEM	\N	86	16624	UROK	\N	\N
3629826	3006	1995-07-31	PRIJEM	\N	71	17553	UROK	\N	\N
3629827	3006	1995-08-31	PRIJEM	\N	73	16485	UROK	\N	\N
3629828	3006	1995-09-30	PRIJEM	\N	75	19179	UROK	\N	\N
3629829	3006	1995-10-31	PRIJEM	\N	85	19402	UROK	\N	\N
3629830	3006	1995-11-30	PRIJEM	\N	87	22108	UROK	\N	\N
3629831	3006	1995-12-31	PRIJEM	\N	99	23824	UROK	\N	\N
3629832	3006	1996-01-31	PRIJEM	\N	79	16041	UROK	\N	\N
3629833	3006	1996-02-29	PRIJEM	\N	69	15449	UROK	\N	\N
3629834	3006	1996-03-31	PRIJEM	\N	70	15898	UROK	\N	\N
3629835	3006	1996-04-30	PRIJEM	\N	73	18589	UROK	\N	\N
3629836	3006	1996-05-31	PRIJEM	\N	84	21291	UROK	\N	\N
3629837	3006	1996-06-30	PRIJEM	\N	89	21049	UROK	\N	\N
3629838	3006	1996-07-31	PRIJEM	\N	94	23762	UROK	\N	\N
3629839	3006	1996-08-31	PRIJEM	\N	106	26486	UROK	\N	\N
3629840	3006	1996-09-30	PRIJEM	\N	117	29221	UROK	\N	\N
3629841	3006	1996-10-31	PRIJEM	\N	128	31967	UROK	\N	\N
3629842	3006	1996-11-30	PRIJEM	\N	134	32480	UROK	\N	\N
3629843	3006	1996-12-31	PRIJEM	\N	135	31884	UROK	\N	\N
3629844	3006	1997-01-31	PRIJEM	\N	115	26457	UROK	\N	\N
3629845	3006	1997-02-28	PRIJEM	\N	116	29191	UROK	\N	\N
3629846	3006	1997-03-31	PRIJEM	\N	119	28108	UROK	\N	\N
3629847	3006	1997-04-30	PRIJEM	\N	123	30850	UROK	\N	\N
3629848	3006	1997-05-31	PRIJEM	\N	132	31700	UROK	\N	\N
3629849	3006	1997-06-30	PRIJEM	\N	107	22926	UROK	\N	\N
3629850	3006	1997-07-31	PRIJEM	\N	100	25004	UROK	\N	\N
3629851	3006	1997-08-31	PRIJEM	\N	108	25250	UROK	\N	\N
3629852	3006	1997-09-30	PRIJEM	\N	108	26937	UROK	\N	\N
3629853	3006	1997-10-31	PRIJEM	\N	118	29673	UROK	\N	\N
3629854	3006	1997-11-30	PRIJEM	\N	128	31519	UROK	\N	\N
3629855	3006	1997-12-31	PRIJEM	\N	122	24099	UROK	\N	\N
3629856	3006	1998-01-31	PRIJEM	\N	87	18964	UROK	\N	\N
3629857	3006	1998-02-28	PRIJEM	\N	84	21667	UROK	\N	\N
3629858	3006	1998-03-31	PRIJEM	\N	96	24381	UROK	\N	\N
3629859	3006	1998-04-30	PRIJEM	\N	107	27107	UROK	\N	\N
3629860	3006	1998-05-31	PRIJEM	\N	114	27839	UROK	\N	\N
3629861	3006	1998-06-30	PRIJEM	\N	102	23159	UROK	\N	\N
3629862	3006	1998-07-31	PRIJEM	\N	92	21210	UROK	\N	\N
3629863	3006	1998-08-31	PRIJEM	\N	93	21122	UROK	\N	\N
3629864	3006	1998-09-30	PRIJEM	\N	93	23833	UROK	\N	\N
3629865	3006	1998-10-31	PRIJEM	\N	99	24751	UROK	\N	\N
3629866	3006	1998-11-30	PRIJEM	\N	91	20640	UROK	\N	\N
3629867	3006	1998-12-31	PRIJEM	\N	76	17984	UROK	\N	\N
3629868	3007	1993-02-28	PRIJEM	\N	73	23325	UROK	\N	\N
3629869	3007	1993-03-31	PRIJEM	\N	172	46849	UROK	\N	\N
3629870	3007	1993-04-30	PRIJEM	\N	228	57229	UROK	\N	\N
3629871	3007	1993-05-31	PRIJEM	\N	259	64040	UROK	\N	\N
3629872	3007	1993-06-30	PRIJEM	\N	266	49900	UROK	\N	\N
3629873	3007	1993-07-31	PRIJEM	\N	207	50763	UROK	\N	\N
3629874	3007	1993-08-31	PRIJEM	\N	208	51327	UROK	\N	\N
3629875	3007	1993-09-30	PRIJEM	\N	202	49586	UROK	\N	\N
3629876	3007	1993-10-31	PRIJEM	\N	216	38559	UROK	\N	\N
3629877	3007	1993-11-30	PRIJEM	\N	202	38617	UROK	\N	\N
3629878	3007	1993-12-31	PRIJEM	\N	230	44129	UROK	\N	\N
3629879	3007	1994-01-31	PRIJEM	\N	184	35270	UROK	\N	\N
3629880	3007	1994-02-28	PRIJEM	\N	189	40215	UROK	\N	\N
3629881	3007	1994-03-31	PRIJEM	\N	202	39273	UROK	\N	\N
3629882	3007	1994-04-30	PRIJEM	\N	200	39129	UROK	\N	\N
3629883	3007	1994-05-31	PRIJEM	\N	200	37586	UROK	\N	\N
3629884	3007	1994-06-30	PRIJEM	\N	175	32643	UROK	\N	\N
3629885	3007	1994-07-31	PRIJEM	\N	175	36575	UROK	\N	\N
3629886	3007	1994-08-31	PRIJEM	\N	189	39920	UROK	\N	\N
3629887	3007	1994-09-30	PRIJEM	\N	199	39075	UROK	\N	\N
3629888	3007	1994-10-31	PRIJEM	\N	195	39527	UROK	\N	\N
3629889	3007	1994-11-30	PRIJEM	\N	197	40881	UROK	\N	\N
3629890	3007	1994-12-31	PRIJEM	\N	227	42490	UROK	\N	\N
3629891	3007	1995-01-31	PRIJEM	\N	172	28218	UROK	\N	\N
3629892	3007	1995-02-28	PRIJEM	\N	152	33327	UROK	\N	\N
3629893	3007	1995-03-31	PRIJEM	\N	172	36455	UROK	\N	\N
3629894	3007	1995-04-30	PRIJEM	\N	187	38598	UROK	\N	\N
3629895	3007	1995-05-31	PRIJEM	\N	189	38944	UROK	\N	\N
3629896	3007	1995-06-30	PRIJEM	\N	205	34331	UROK	\N	\N
3629897	3007	1995-07-31	PRIJEM	\N	172	36960	UROK	\N	\N
3629898	3007	1995-08-31	PRIJEM	\N	180	38296	UROK	\N	\N
3629899	3007	1995-09-30	PRIJEM	\N	182	38335	UROK	\N	\N
3629900	3007	1995-10-31	PRIJEM	\N	176	34968	UROK	\N	\N
3629901	3007	1995-11-30	PRIJEM	\N	163	32987	UROK	\N	\N
3629902	3007	1995-12-31	PRIJEM	\N	190	41659	UROK	\N	\N
3629903	3007	1996-01-31	PRIJEM	\N	160	27176	UROK	\N	\N
3629904	3007	1996-02-29	PRIJEM	\N	137	30769	UROK	\N	\N
3629905	3007	1996-03-31	PRIJEM	\N	145	30170	UROK	\N	\N
3629906	3007	1996-04-30	PRIJEM	\N	149	33475	UROK	\N	\N
3629907	3007	1996-05-31	PRIJEM	\N	148	29480	UROK	\N	\N
3629908	3007	1996-06-30	PRIJEM	\N	147	31709	UROK	\N	\N
3629909	3007	1996-07-31	PRIJEM	\N	144	31109	UROK	\N	\N
3629910	3007	1996-08-31	PRIJEM	\N	139	30305	UROK	\N	\N
3629911	3007	1996-09-30	PRIJEM	\N	132	28293	UROK	\N	\N
3629912	3007	1996-10-31	PRIJEM	\N	120	25169	UROK	\N	\N
3629913	3007	1996-11-30	PRIJEM	\N	108	23134	UROK	\N	\N
3629914	3007	1996-12-31	PRIJEM	\N	133	31049	UROK	\N	\N
3629915	3007	1997-01-31	PRIJEM	\N	118	21623	UROK	\N	\N
3629916	3007	1997-02-28	PRIJEM	\N	88	18967	UROK	\N	\N
3629917	3007	1997-03-31	PRIJEM	\N	84	18108	UROK	\N	\N
3629918	3007	1997-04-30	PRIJEM	\N	117	31680	UROK	\N	\N
3629919	3007	1997-05-31	PRIJEM	\N	113	23950	UROK	\N	\N
3629920	3007	1997-06-30	PRIJEM	\N	110	25142	UROK	\N	\N
3629921	3007	1997-07-31	PRIJEM	\N	93	19791	UROK	\N	\N
3629922	3007	1997-08-31	PRIJEM	\N	124	33371	UROK	\N	\N
3629923	3007	1997-09-30	PRIJEM	\N	81	13209	UROK	\N	\N
3629924	3007	1997-10-31	PRIJEM	\N	96	26761	UROK	\N	\N
3629925	3007	1997-11-30	PRIJEM	\N	55	9973	UROK	\N	\N
3629926	3007	1997-12-31	PRIJEM	\N	113	32068	UROK	\N	\N
3629927	3007	1998-01-31	PRIJEM	\N	149	33574	UROK	\N	\N
3629928	3007	1998-02-28	PRIJEM	\N	179	47209	UROK	\N	\N
3629929	3007	1998-03-31	PRIJEM	\N	105	18671	UROK	\N	\N
3629930	3007	1998-04-30	PRIJEM	\N	104	27431	UROK	\N	\N
3629931	3007	1998-05-31	PRIJEM	\N	154	41042	UROK	\N	\N
3629932	3007	1998-06-30	PRIJEM	\N	235	39059	UROK	\N	\N
3629933	3007	1998-07-31	PRIJEM	\N	202	52718	UROK	\N	\N
3629934	3007	1998-08-31	PRIJEM	\N	155	34329	UROK	\N	\N
3629935	3007	1998-09-30	PRIJEM	\N	182	47967	UROK	\N	\N
3629936	3007	1998-10-31	PRIJEM	\N	143	35367	UROK	\N	\N
3629937	3007	1998-11-30	PRIJEM	\N	186	49009	UROK	\N	\N
3629938	3007	1998-12-31	PRIJEM	\N	178	45869	UROK	\N	\N
3629939	3008	1993-07-31	PRIJEM	\N	80	27130	UROK	\N	\N
3629940	3008	1993-08-31	PRIJEM	\N	121	27330	UROK	\N	\N
3629941	3008	1993-09-30	PRIJEM	\N	120	28429	UROK	\N	\N
3629942	3008	1993-10-31	PRIJEM	\N	126	27734	UROK	\N	\N
3629943	3008	1993-11-30	PRIJEM	\N	120	25334	UROK	\N	\N
3629944	3008	1993-12-31	PRIJEM	\N	117	27100	UROK	\N	\N
3629945	3008	1994-01-31	PRIJEM	\N	99	13949	UROK	\N	\N
3629946	3008	1994-02-28	PRIJEM	\N	70	18818	UROK	\N	\N
3629947	3008	1994-03-31	PRIJEM	\N	91	23708	UROK	\N	\N
3629948	3008	1994-04-30	PRIJEM	\N	110	28117	UROK	\N	\N
3629949	3008	1994-05-31	PRIJEM	\N	123	27739	UROK	\N	\N
3629950	3008	1994-06-30	PRIJEM	\N	108	21557	UROK	\N	\N
3629951	3008	1994-07-31	PRIJEM	\N	100	24057	UROK	\N	\N
3629952	3008	1994-08-31	PRIJEM	\N	107	25463	UROK	\N	\N
3629953	3008	1994-09-30	PRIJEM	\N	110	24173	UROK	\N	\N
3629954	3008	1994-10-31	PRIJEM	\N	113	29085	UROK	\N	\N
3629955	3008	1994-11-30	PRIJEM	\N	121	26285	UROK	\N	\N
3629956	3008	1994-12-31	PRIJEM	\N	118	29353	UROK	\N	\N
3629957	3008	1995-01-31	PRIJEM	\N	126	21879	UROK	\N	\N
3629958	3008	1995-02-28	PRIJEM	\N	102	26780	UROK	\N	\N
3629959	3008	1995-03-31	PRIJEM	\N	120	29800	UROK	\N	\N
3629960	3008	1995-04-30	PRIJEM	\N	127	28846	UROK	\N	\N
3629961	3008	1995-05-31	PRIJEM	\N	121	28187	UROK	\N	\N
3629962	3008	1995-06-30	PRIJEM	\N	95	19982	UROK	\N	\N
3629963	3008	1995-07-31	PRIJEM	\N	95	24876	UROK	\N	\N
3629964	3008	1995-08-31	PRIJEM	\N	114	29290	UROK	\N	\N
3629965	3008	1995-09-30	PRIJEM	\N	125	30615	UROK	\N	\N
3629966	3008	1995-10-31	PRIJEM	\N	135	31929	UROK	\N	\N
3629967	3008	1995-11-30	PRIJEM	\N	136	33265	UROK	\N	\N
3629968	3008	1995-12-31	PRIJEM	\N	126	27350	UROK	\N	\N
3629969	3008	1996-01-31	PRIJEM	\N	116	23985	UROK	\N	\N
3629970	3008	1996-02-29	PRIJEM	\N	111	28895	UROK	\N	\N
3629971	3008	1996-03-31	PRIJEM	\N	136	33271	UROK	\N	\N
3629972	3008	1996-04-30	PRIJEM	\N	141	34411	UROK	\N	\N
3629973	3008	1996-05-31	PRIJEM	\N	146	35756	UROK	\N	\N
3629974	3008	1996-06-30	PRIJEM	\N	148	26653	UROK	\N	\N
3629975	3008	1996-07-31	PRIJEM	\N	111	24044	UROK	\N	\N
3629976	3008	1996-08-31	PRIJEM	\N	108	26951	UROK	\N	\N
3629977	3008	1996-09-30	PRIJEM	\N	122	29533	UROK	\N	\N
3629978	3008	1996-10-31	PRIJEM	\N	131	32363	UROK	\N	\N
3629979	3008	1996-11-30	PRIJEM	\N	145	37308	UROK	\N	\N
3629980	3008	1996-12-31	PRIJEM	\N	165	41773	UROK	\N	\N
3629981	3008	1997-01-31	PRIJEM	\N	149	27121	UROK	\N	\N
3629982	3008	1997-02-28	PRIJEM	\N	123	32043	UROK	\N	\N
3629983	3008	1997-03-31	PRIJEM	\N	137	32899	UROK	\N	\N
3629984	3008	1997-04-30	PRIJEM	\N	132	34151	UROK	\N	\N
3629985	3008	1997-05-31	PRIJEM	\N	155	38105	UROK	\N	\N
3629986	3008	1997-06-30	PRIJEM	\N	152	36557	UROK	\N	\N
3629987	3008	1997-07-31	PRIJEM	\N	166	40422	UROK	\N	\N
3629988	3008	1997-08-31	PRIJEM	\N	179	45400	UROK	\N	\N
3629989	3008	1997-09-30	PRIJEM	\N	199	48499	UROK	\N	\N
3629990	3008	1997-10-31	PRIJEM	\N	208	50406	UROK	\N	\N
3629991	3008	1997-11-30	PRIJEM	\N	206	48011	UROK	\N	\N
3629992	3008	1997-12-31	PRIJEM	\N	203	48114	UROK	\N	\N
3629993	3008	1998-01-31	PRIJEM	\N	196	43109	UROK	\N	\N
3629994	3008	1998-02-28	PRIJEM	\N	188	48097	UROK	\N	\N
3629995	3008	1998-03-31	PRIJEM	\N	207	50303	UROK	\N	\N
3629996	3008	1998-04-30	PRIJEM	\N	214	50916	UROK	\N	\N
3629997	3008	1998-05-31	PRIJEM	\N	215	48091	UROK	\N	\N
3629998	3008	1998-06-30	PRIJEM	\N	188	44979	UROK	\N	\N
3629999	3008	1998-07-31	PRIJEM	\N	196	49975	UROK	\N	\N
3630000	3008	1998-08-31	PRIJEM	\N	217	54991	UROK	\N	\N
3630001	3008	1998-09-30	PRIJEM	\N	238	60028	UROK	\N	\N
3630002	3008	1998-10-31	PRIJEM	\N	258	64445	UROK	\N	\N
3630003	3008	1998-11-30	PRIJEM	\N	274	63518	UROK	\N	\N
3630004	3008	1998-12-31	PRIJEM	\N	262	63370	UROK	\N	\N
3630005	3009	1996-06-30	PRIJEM	\N	33	10439	UROK	\N	\N
3630006	3009	1996-07-31	PRIJEM	\N	47	11841	UROK	\N	\N
3630007	3009	1996-08-31	PRIJEM	\N	53	13250	UROK	\N	\N
3630008	3009	1996-09-30	PRIJEM	\N	59	14664	UROK	\N	\N
3630009	3009	1996-10-31	PRIJEM	\N	65	16084	UROK	\N	\N
3630010	3009	1996-11-30	PRIJEM	\N	71	17510	UROK	\N	\N
3630011	3009	1996-12-31	PRIJEM	\N	75	18291	UROK	\N	\N
3630012	3009	1997-01-31	PRIJEM	\N	80	19726	UROK	\N	\N
3630013	3009	1997-02-28	PRIJEM	\N	86	21167	UROK	\N	\N
3630014	3009	1997-03-31	PRIJEM	\N	91	20853	UROK	\N	\N
3630015	3009	1997-04-30	PRIJEM	\N	88	19417	UROK	\N	\N
3630016	3009	1997-05-31	PRIJEM	\N	83	20056	UROK	\N	\N
3630017	3009	1997-06-30	PRIJEM	\N	75	16336	UROK	\N	\N
3630018	3009	1997-07-31	PRIJEM	\N	72	17763	UROK	\N	\N
3630019	3009	1997-08-31	PRIJEM	\N	78	19196	UROK	\N	\N
3630020	3009	1997-09-30	PRIJEM	\N	82	18153	UROK	\N	\N
3630021	3009	1997-10-31	PRIJEM	\N	79	19588	UROK	\N	\N
3630022	3009	1997-11-30	PRIJEM	\N	85	21028	UROK	\N	\N
3630023	3009	1997-12-31	PRIJEM	\N	89	20873	UROK	\N	\N
3630024	3009	1998-01-31	PRIJEM	\N	90	21358	UROK	\N	\N
3630025	3009	1998-02-28	PRIJEM	\N	92	22806	UROK	\N	\N
3630026	3009	1998-03-31	PRIJEM	\N	98	24260	UROK	\N	\N
3630027	3009	1998-04-30	PRIJEM	\N	102	24597	UROK	\N	\N
3630028	3009	1998-05-31	PRIJEM	\N	101	23973	UROK	\N	\N
3630029	3009	1998-06-30	PRIJEM	\N	95	22224	UROK	\N	\N
3630030	3009	1998-07-31	PRIJEM	\N	88	20387	UROK	\N	\N
3630031	3009	1998-08-31	PRIJEM	\N	88	21831	UROK	\N	\N
3630032	3009	1998-09-30	PRIJEM	\N	94	23280	UROK	\N	\N
3630033	3009	1998-10-31	PRIJEM	\N	100	24736	UROK	\N	\N
3630034	3009	1998-11-30	PRIJEM	\N	98	22829	UROK	\N	\N
3630035	3009	1998-12-31	PRIJEM	\N	95	22829	UROK	\N	\N
3630036	3011	1993-09-30	PRIJEM	\N	10	3681	UROK	\N	\N
3630037	3011	1993-10-31	PRIJEM	\N	15	6967	UROK	\N	\N
3630038	3011	1993-11-30	PRIJEM	\N	15	10253	UROK	\N	\N
3630039	3011	1993-12-31	PRIJEM	\N	15	13540	UROK	\N	\N
3630040	3011	1994-01-31	PRIJEM	\N	41	12211	UROK	\N	\N
3630041	3011	1994-02-28	PRIJEM	\N	54	13342	UROK	\N	\N
3630042	3011	1994-03-31	PRIJEM	\N	58	13426	UROK	\N	\N
3630043	3011	1994-04-30	PRIJEM	\N	56	13928	UROK	\N	\N
3630044	3011	1994-05-31	PRIJEM	\N	59	14224	UROK	\N	\N
3630045	3011	1994-06-30	PRIJEM	\N	62	14252	UROK	\N	\N
3630046	3011	1994-07-31	PRIJEM	\N	63	15151	UROK	\N	\N
3630047	3011	1994-08-31	PRIJEM	\N	66	16293	UROK	\N	\N
3630048	3011	1994-09-30	PRIJEM	\N	70	16300	UROK	\N	\N
3630049	3011	1994-10-31	PRIJEM	\N	71	17447	UROK	\N	\N
3630050	3011	1994-11-30	PRIJEM	\N	75	17549	UROK	\N	\N
3630051	3011	1994-12-31	PRIJEM	\N	75	18080	UROK	\N	\N
3630052	3011	1995-01-31	PRIJEM	\N	71	13947	UROK	\N	\N
3630053	3011	1995-02-28	PRIJEM	\N	61	15085	UROK	\N	\N
3630054	3011	1995-03-31	PRIJEM	\N	66	15827	UROK	\N	\N
3630055	3011	1995-04-30	PRIJEM	\N	69	16972	UROK	\N	\N
3630056	3011	1995-05-31	PRIJEM	\N	73	16831	UROK	\N	\N
3630057	3011	1995-06-30	PRIJEM	\N	68	14715	UROK	\N	\N
3630058	3011	1995-07-31	PRIJEM	\N	63	15375	UROK	\N	\N
3630059	3011	1995-08-31	PRIJEM	\N	61	11821	UROK	\N	\N
3630060	3011	1995-09-30	PRIJEM	\N	52	12950	UROK	\N	\N
3630061	3011	1995-10-31	PRIJEM	\N	54	11980	UROK	\N	\N
3630062	3011	1995-11-30	PRIJEM	\N	53	13109	UROK	\N	\N
3630063	3011	1995-12-31	PRIJEM	\N	58	14243	UROK	\N	\N
3630064	3011	1996-01-31	PRIJEM	\N	58	13367	UROK	\N	\N
3630065	3011	1996-02-29	PRIJEM	\N	58	14502	UROK	\N	\N
3630066	3011	1996-03-31	PRIJEM	\N	63	15642	UROK	\N	\N
3630067	3011	1996-04-30	PRIJEM	\N	66	14764	UROK	\N	\N
3630068	3011	1996-05-31	PRIJEM	\N	63	15404	UROK	\N	\N
3630069	3011	1996-06-30	PRIJEM	\N	56	12005	UROK	\N	\N
3630070	3011	1996-07-31	PRIJEM	\N	53	13135	UROK	\N	\N
3630071	3011	1996-08-31	PRIJEM	\N	57	14268	UROK	\N	\N
3630072	3011	1996-09-30	PRIJEM	\N	57	13292	UROK	\N	\N
3630073	3011	1996-10-31	PRIJEM	\N	57	14126	UROK	\N	\N
3630074	3011	1996-11-30	PRIJEM	\N	59	14061	UROK	\N	\N
3630075	3011	1996-12-31	PRIJEM	\N	61	15198	UROK	\N	\N
3630076	3011	1997-01-31	PRIJEM	\N	60	13974	UROK	\N	\N
3630077	3011	1997-02-28	PRIJEM	\N	53	12004	UROK	\N	\N
3630078	3011	1997-03-31	PRIJEM	\N	52	13133	UROK	\N	\N
3630079	3011	1997-04-30	PRIJEM	\N	57	13366	UROK	\N	\N
3630080	3011	1997-05-31	PRIJEM	\N	58	14500	UROK	\N	\N
3630081	3011	1997-06-30	PRIJEM	\N	54	12030	UROK	\N	\N
3630082	3011	1997-07-31	PRIJEM	\N	52	13159	UROK	\N	\N
3630083	3011	1997-08-31	PRIJEM	\N	57	14293	UROK	\N	\N
3630084	3011	1997-09-30	PRIJEM	\N	62	15431	UROK	\N	\N
3630085	3011	1997-10-31	PRIJEM	\N	64	15671	UROK	\N	\N
3630086	3011	1997-11-30	PRIJEM	\N	66	16303	UROK	\N	\N
3630087	3011	1997-12-31	PRIJEM	\N	62	14442	UROK	\N	\N
3630088	3011	1998-01-31	PRIJEM	\N	61	14619	UROK	\N	\N
3630089	3011	1998-02-28	PRIJEM	\N	63	15758	UROK	\N	\N
3630090	3011	1998-03-31	PRIJEM	\N	61	14596	UROK	\N	\N
3630091	3011	1998-04-30	PRIJEM	\N	63	15735	UROK	\N	\N
3630092	3011	1998-05-31	PRIJEM	\N	62	14894	UROK	\N	\N
3630093	3011	1998-06-30	PRIJEM	\N	64	16034	UROK	\N	\N
3630094	3011	1998-07-31	PRIJEM	\N	66	16276	UROK	\N	\N
3630095	3011	1998-08-31	PRIJEM	\N	69	17422	UROK	\N	\N
3630096	3011	1998-09-30	PRIJEM	\N	74	18573	UROK	\N	\N
3630097	3011	1998-10-31	PRIJEM	\N	76	18796	UROK	\N	\N
3630098	3011	1998-11-30	PRIJEM	\N	80	19952	UROK	\N	\N
3630099	3011	1998-12-31	PRIJEM	\N	83	20241	UROK	\N	\N
3630100	3012	1997-05-31	PRIJEM	\N	30	15832	UROK	\N	\N
3630101	3012	1997-06-30	PRIJEM	\N	80	23314	UROK	\N	\N
3630102	3012	1997-07-31	PRIJEM	\N	112	30628	UROK	\N	\N
3630103	3012	1997-08-31	PRIJEM	\N	135	34365	UROK	\N	\N
3630104	3012	1997-09-30	PRIJEM	\N	149	37015	UROK	\N	\N
3630105	3012	1997-10-31	PRIJEM	\N	155	37357	UROK	\N	\N
3630106	3012	1997-11-30	PRIJEM	\N	156	37519	UROK	\N	\N
3630107	3012	1997-12-31	PRIJEM	\N	161	39327	UROK	\N	\N
3630108	3012	1998-01-31	PRIJEM	\N	159	37102	UROK	\N	\N
3630109	3012	1998-02-28	PRIJEM	\N	161	39849	UROK	\N	\N
3630110	3012	1998-03-31	PRIJEM	\N	176	43912	UROK	\N	\N
3630111	3012	1998-04-30	PRIJEM	\N	192	47590	UROK	\N	\N
3630112	3012	1998-05-31	PRIJEM	\N	205	50181	UROK	\N	\N
3630113	3012	1998-06-30	PRIJEM	\N	205	46123	UROK	\N	\N
3630114	3012	1998-07-31	PRIJEM	\N	190	44479	UROK	\N	\N
3630115	3012	1998-08-31	PRIJEM	\N	192	47157	UROK	\N	\N
3630116	3012	1998-09-30	PRIJEM	\N	199	48042	UROK	\N	\N
3630117	3012	1998-10-31	PRIJEM	\N	203	49232	UROK	\N	\N
3630118	3012	1998-11-30	PRIJEM	\N	193	45411	UROK	\N	\N
3630119	3012	1998-12-31	PRIJEM	\N	180	41907	UROK	\N	\N
3630120	3013	1997-12-31	PRIJEM	\N	15	5529	UROK	\N	\N
3630121	3013	1998-01-31	PRIJEM	\N	20	10262	UROK	\N	\N
3630122	3013	1998-02-28	PRIJEM	\N	20	14996	UROK	\N	\N
3630123	3013	1998-03-31	PRIJEM	\N	20	19730	UROK	\N	\N
3630124	3013	1998-04-30	PRIJEM	\N	68	17528	UROK	\N	\N
3630125	3013	1998-05-31	PRIJEM	\N	78	19241	UROK	\N	\N
3630126	3013	1998-06-30	PRIJEM	\N	68	12954	UROK	\N	\N
3630127	3013	1998-07-31	PRIJEM	\N	58	13768	UROK	\N	\N
3630128	3013	1998-08-31	PRIJEM	\N	61	14824	UROK	\N	\N
3630129	3013	1998-09-30	PRIJEM	\N	66	16526	UROK	\N	\N
3630130	3013	1998-10-31	PRIJEM	\N	72	17434	UROK	\N	\N
3630131	3013	1998-11-30	PRIJEM	\N	71	16840	UROK	\N	\N
3630132	3013	1998-12-31	PRIJEM	\N	74	17900	UROK	\N	\N
3630133	3014	1995-03-31	PRIJEM	\N	256	78089	UROK	\N	\N
3630134	3014	1995-04-30	PRIJEM	\N	342	53806	UROK	\N	\N
3630135	3014	1995-05-31	PRIJEM	\N	230	64332	UROK	\N	\N
3630136	3014	1995-06-30	PRIJEM	\N	307	96865	UROK	\N	\N
3630137	3014	1995-07-31	PRIJEM	\N	385	93125	UROK	\N	\N
3630138	3014	1995-08-31	PRIJEM	\N	263	54324	UROK	\N	\N
3630139	3014	1995-09-30	PRIJEM	\N	240	46017	UROK	\N	\N
3630140	3014	1995-10-31	PRIJEM	\N	194	43894	UROK	\N	\N
3630141	3014	1995-11-30	PRIJEM	\N	245	69649	UROK	\N	\N
3630142	3014	1995-12-31	PRIJEM	\N	386	51514	UROK	\N	\N
3630143	3014	1996-01-31	PRIJEM	\N	127	26026	UROK	\N	\N
3630144	3014	1996-02-29	PRIJEM	\N	108	26804	UROK	\N	\N
3630145	3014	1996-03-31	PRIJEM	\N	113	30187	UROK	\N	\N
3630146	3014	1996-04-30	PRIJEM	\N	126	35383	UROK	\N	\N
3630147	3014	1996-05-31	PRIJEM	\N	139	24001	UROK	\N	\N
3630148	3014	1996-06-30	PRIJEM	\N	100	29871	UROK	\N	\N
3630149	3014	1996-07-31	PRIJEM	\N	124	35865	UROK	\N	\N
3630150	3014	1996-08-31	PRIJEM	\N	149	37984	UROK	\N	\N
3630151	3014	1996-09-30	PRIJEM	\N	157	39211	UROK	\N	\N
3630152	3014	1996-10-31	PRIJEM	\N	139	30970	UROK	\N	\N
3630153	3014	1996-11-30	PRIJEM	\N	130	34259	UROK	\N	\N
3630154	3014	1996-12-31	PRIJEM	\N	134	35563	UROK	\N	\N
3630155	3014	1997-01-31	PRIJEM	\N	137	43687	UROK	\N	\N
3630156	3014	1997-02-28	PRIJEM	\N	168	34437	UROK	\N	\N
3630157	3014	1997-03-31	PRIJEM	\N	196	64871	UROK	\N	\N
3630158	3014	1997-04-30	PRIJEM	\N	298	94893	UROK	\N	\N
3630159	3014	1997-05-31	PRIJEM	\N	344	48841	UROK	\N	\N
3630160	3014	1997-06-30	PRIJEM	\N	207	39164	UROK	\N	\N
3630161	3014	1997-07-31	PRIJEM	\N	157	36664	UROK	\N	\N
3630162	3014	1997-08-31	PRIJEM	\N	151	37328	UROK	\N	\N
3630163	3014	1997-09-30	PRIJEM	\N	212	78597	UROK	\N	\N
3630164	3014	1997-10-31	PRIJEM	\N	323	58590	UROK	\N	\N
3630165	3014	1997-11-30	PRIJEM	\N	217	45877	UROK	\N	\N
3630166	3014	1997-12-31	PRIJEM	\N	134	31581	UROK	\N	\N
3630167	3014	1998-01-31	PRIJEM	\N	211	83919	UROK	\N	\N
3630168	3014	1998-02-28	PRIJEM	\N	342	30701	UROK	\N	\N
3630169	3014	1998-03-31	PRIJEM	\N	211	82022	UROK	\N	\N
3630170	3014	1998-04-30	PRIJEM	\N	314	70066	UROK	\N	\N
3630171	3014	1998-05-31	PRIJEM	\N	281	66584	UROK	\N	\N
3630172	3014	1998-06-30	PRIJEM	\N	305	66128	UROK	\N	\N
3630173	3014	1998-07-31	PRIJEM	\N	475	66559	UROK	\N	\N
3630174	3014	1998-08-31	PRIJEM	\N	281	97172	UROK	\N	\N
3630175	3014	1998-09-30	PRIJEM	\N	309	29648	UROK	\N	\N
3630176	3014	1998-10-31	PRIJEM	\N	240	45377	UROK	\N	\N
3630177	3014	1998-11-30	PRIJEM	\N	140	35259	UROK	\N	\N
3630178	3014	1998-12-31	PRIJEM	\N	137	31666	UROK	\N	\N
3630179	3015	1996-11-30	PRIJEM	\N	42	14904	UROK	\N	\N
3630180	3015	1996-12-31	PRIJEM	\N	62	14285	UROK	\N	\N
3630181	3015	1997-01-31	PRIJEM	\N	56	12190	UROK	\N	\N
3630182	3015	1997-02-28	PRIJEM	\N	54	13304	UROK	\N	\N
3630183	3015	1997-03-31	PRIJEM	\N	59	14422	UROK	\N	\N
3630184	3015	1997-04-30	PRIJEM	\N	62	14794	UROK	\N	\N
3630185	3015	1997-05-31	PRIJEM	\N	65	15918	UROK	\N	\N
3630186	3015	1997-06-30	PRIJEM	\N	70	17048	UROK	\N	\N
3630187	3015	1997-07-31	PRIJEM	\N	75	18181	UROK	\N	\N
3630188	3015	1997-08-31	PRIJEM	\N	76	17757	UROK	\N	\N
3630189	3015	1997-09-30	PRIJEM	\N	77	18413	UROK	\N	\N
3630190	3015	1997-10-31	PRIJEM	\N	80	19553	UROK	\N	\N
3630191	3015	1997-11-30	PRIJEM	\N	85	20697	UROK	\N	\N
3630192	3015	1997-12-31	PRIJEM	\N	89	21305	UROK	\N	\N
3630193	3015	1998-01-31	PRIJEM	\N	87	18522	UROK	\N	\N
3630194	3015	1998-02-28	PRIJEM	\N	80	19421	UROK	\N	\N
3630195	3015	1998-03-31	PRIJEM	\N	84	20565	UROK	\N	\N
3630196	3015	1998-04-30	PRIJEM	\N	89	21714	UROK	\N	\N
3630197	3015	1998-05-31	PRIJEM	\N	92	22115	UROK	\N	\N
3630198	3015	1998-06-30	PRIJEM	\N	95	20479	UROK	\N	\N
3630199	3015	1998-07-31	PRIJEM	\N	87	20785	UROK	\N	\N
3630200	3015	1998-08-31	PRIJEM	\N	90	21935	UROK	\N	\N
3630201	3015	1998-09-30	PRIJEM	\N	95	23089	UROK	\N	\N
3630202	3015	1998-10-31	PRIJEM	\N	100	24248	UROK	\N	\N
3630203	3015	1998-11-30	PRIJEM	\N	104	25411	UROK	\N	\N
3630204	3015	1998-12-31	PRIJEM	\N	108	26189	UROK	\N	\N
3630205	3016	1996-03-31	PRIJEM	\N	19	17266	UROK	\N	\N
3630206	3016	1996-04-30	PRIJEM	\N	85	29398	UROK	\N	\N
3630207	3016	1996-05-31	PRIJEM	\N	127	33572	UROK	\N	\N
3630208	3016	1996-06-30	PRIJEM	\N	145	37887	UROK	\N	\N
3630209	3016	1996-07-31	PRIJEM	\N	157	30774	UROK	\N	\N
3630210	3016	1996-08-31	PRIJEM	\N	133	28723	UROK	\N	\N
3630211	3016	1996-09-30	PRIJEM	\N	129	29667	UROK	\N	\N
3630212	3016	1996-10-31	PRIJEM	\N	134	31416	UROK	\N	\N
3630213	3016	1996-11-30	PRIJEM	\N	143	34674	UROK	\N	\N
3630214	3016	1996-12-31	PRIJEM	\N	157	28169	UROK	\N	\N
3630215	3016	1997-01-31	PRIJEM	\N	113	17397	UROK	\N	\N
3630216	3016	1997-02-28	PRIJEM	\N	86	21999	UROK	\N	\N
3630217	3016	1997-03-31	PRIJEM	\N	103	23317	UROK	\N	\N
3630218	3016	1997-04-30	PRIJEM	\N	113	29146	UROK	\N	\N
3630219	3016	1997-05-31	PRIJEM	\N	135	33396	UROK	\N	\N
3630220	3016	1997-06-30	PRIJEM	\N	120	17255	UROK	\N	\N
3630221	3016	1997-07-31	PRIJEM	\N	91	24461	UROK	\N	\N
3630222	3016	1997-08-31	PRIJEM	\N	108	26684	UROK	\N	\N
3630223	3016	1997-09-30	PRIJEM	\N	122	30421	UROK	\N	\N
3630224	3016	1997-10-31	PRIJEM	\N	141	35878	UROK	\N	\N
3630225	3016	1997-11-30	PRIJEM	\N	151	35844	UROK	\N	\N
3630226	3016	1997-12-31	PRIJEM	\N	173	41755	UROK	\N	\N
3630227	3016	1998-01-31	PRIJEM	\N	157	30628	UROK	\N	\N
3630228	3016	1998-02-28	PRIJEM	\N	125	27567	UROK	\N	\N
3630229	3016	1998-03-31	PRIJEM	\N	119	28602	UROK	\N	\N
3630230	3016	1998-04-30	PRIJEM	\N	130	31347	UROK	\N	\N
3630231	3016	1998-05-31	PRIJEM	\N	140	35202	UROK	\N	\N
3630232	3016	1998-06-30	PRIJEM	\N	153	30194	UROK	\N	\N
3630233	3016	1998-07-31	PRIJEM	\N	139	35347	UROK	\N	\N
3630234	3016	1998-08-31	PRIJEM	\N	124	27187	UROK	\N	\N
3630235	3016	1998-09-30	PRIJEM	\N	109	25211	UROK	\N	\N
3630236	3016	1998-10-31	PRIJEM	\N	101	21927	UROK	\N	\N
3630237	3016	1998-11-30	PRIJEM	\N	120	31262	UROK	\N	\N
3630238	3016	1998-12-31	PRIJEM	\N	176	46276	UROK	\N	\N
3630239	3017	1994-09-30	PRIJEM	\N	66	23960	UROK	\N	\N
3630240	3017	1994-10-31	PRIJEM	\N	123	32478	UROK	\N	\N
3630241	3017	1994-11-30	PRIJEM	\N	155	39527	UROK	\N	\N
3630242	3017	1994-12-31	PRIJEM	\N	177	43795	UROK	\N	\N
3630243	3017	1995-01-31	PRIJEM	\N	144	27017	UROK	\N	\N
3630244	3017	1995-02-28	PRIJEM	\N	147	35996	UROK	\N	\N
3630245	3017	1995-03-31	PRIJEM	\N	166	37193	UROK	\N	\N
3630246	3017	1995-04-30	PRIJEM	\N	161	35886	UROK	\N	\N
3630247	3017	1995-05-31	PRIJEM	\N	145	33762	UROK	\N	\N
3630248	3017	1995-06-30	PRIJEM	\N	146	23057	UROK	\N	\N
3630249	3017	1995-07-31	PRIJEM	\N	129	31317	UROK	\N	\N
3630250	3017	1995-08-31	PRIJEM	\N	137	33145	UROK	\N	\N
3630251	3017	1995-09-30	PRIJEM	\N	147	34823	UROK	\N	\N
3630252	3017	1995-10-31	PRIJEM	\N	136	33790	UROK	\N	\N
3630253	3017	1995-11-30	PRIJEM	\N	137	34299	UROK	\N	\N
3630254	3017	1995-12-31	PRIJEM	\N	160	40127	UROK	\N	\N
3630255	3017	1996-01-31	PRIJEM	\N	101	18980	UROK	\N	\N
3630256	3017	1996-02-29	PRIJEM	\N	88	22279	UROK	\N	\N
3630257	3017	1996-03-31	PRIJEM	\N	92	24103	UROK	\N	\N
3630258	3017	1996-04-30	PRIJEM	\N	138	36472	UROK	\N	\N
3630259	3017	1996-05-31	PRIJEM	\N	120	29624	UROK	\N	\N
3630260	3017	1996-06-30	PRIJEM	\N	136	34388	UROK	\N	\N
3630261	3017	1996-07-31	PRIJEM	\N	119	29138	UROK	\N	\N
3630262	3017	1996-08-31	PRIJEM	\N	104	26373	UROK	\N	\N
3630263	3017	1996-09-30	PRIJEM	\N	120	27125	UROK	\N	\N
3630264	3017	1996-10-31	PRIJEM	\N	112	14248	UROK	\N	\N
3630265	3017	1996-11-30	PRIJEM	\N	93	13772	UROK	\N	\N
3630266	3017	1996-12-31	PRIJEM	\N	119	16519	UROK	\N	\N
3630267	3017	1997-01-31	PRIJEM	\N	96	22727	UROK	\N	\N
3630268	3017	1997-02-28	PRIJEM	\N	109	15967	UROK	\N	\N
3630269	3017	1997-03-31	PRIJEM	\N	98	14696	UROK	\N	\N
3630270	3017	1997-04-30	PRIJEM	\N	95	15223	UROK	\N	\N
3630271	3017	1997-05-31	PRIJEM	\N	95	17749	UROK	\N	\N
3630272	3017	1997-06-30	PRIJEM	\N	139	24917	UROK	\N	\N
3630273	3017	1997-07-31	PRIJEM	\N	127	18455	UROK	\N	\N
3630274	3017	1997-08-31	PRIJEM	\N	108	16194	UROK	\N	\N
3630275	3017	1997-09-30	PRIJEM	\N	101	17326	UROK	\N	\N
3630276	3017	1997-10-31	PRIJEM	\N	102	16560	UROK	\N	\N
3630277	3017	1997-11-30	PRIJEM	\N	96	18307	UROK	\N	\N
3630278	3017	1997-12-31	PRIJEM	\N	125	25240	UROK	\N	\N
3630279	3017	1998-01-31	PRIJEM	\N	96	15948	UROK	\N	\N
3630280	3017	1998-02-28	PRIJEM	\N	92	18771	UROK	\N	\N
3630281	3017	1998-03-31	PRIJEM	\N	101	18303	UROK	\N	\N
3630282	3017	1998-04-30	PRIJEM	\N	97	17932	UROK	\N	\N
3630283	3017	1998-05-31	PRIJEM	\N	92	16555	UROK	\N	\N
3630284	3017	1998-06-30	PRIJEM	\N	115	23199	UROK	\N	\N
3630285	3017	1998-07-31	PRIJEM	\N	104	16814	UROK	\N	\N
3630286	3017	1998-08-31	PRIJEM	\N	87	16633	UROK	\N	\N
3630287	3017	1998-09-30	PRIJEM	\N	83	15748	UROK	\N	\N
3630288	3017	1998-10-31	PRIJEM	\N	80	14159	UROK	\N	\N
3630289	3017	1998-11-30	PRIJEM	\N	75	14665	UROK	\N	\N
3630290	3017	1998-12-31	PRIJEM	\N	114	32447	UROK	\N	\N
3630291	3019	1996-05-31	PRIJEM	\N	29	19624	UROK	\N	\N
3630292	3019	1996-06-30	PRIJEM	\N	98	30465	UROK	\N	\N
3630293	3019	1996-07-31	PRIJEM	\N	126	29985	UROK	\N	\N
3630294	3019	1996-08-31	PRIJEM	\N	131	33611	UROK	\N	\N
3630295	3019	1996-09-30	PRIJEM	\N	140	33846	UROK	\N	\N
3630296	3019	1996-10-31	PRIJEM	\N	140	33466	UROK	\N	\N
3630297	3019	1996-11-30	PRIJEM	\N	137	32484	UROK	\N	\N
3630298	3019	1996-12-31	PRIJEM	\N	177	32729	UROK	\N	\N
3630299	3019	1997-01-31	PRIJEM	\N	153	31002	UROK	\N	\N
3630300	3019	1997-02-28	PRIJEM	\N	136	34218	UROK	\N	\N
3630301	3019	1997-03-31	PRIJEM	\N	148	24706	UROK	\N	\N
3630302	3019	1997-04-30	PRIJEM	\N	101	21347	UROK	\N	\N
3630303	3019	1997-05-31	PRIJEM	\N	93	23220	UROK	\N	\N
3630304	3019	1997-06-30	PRIJEM	\N	103	26090	UROK	\N	\N
3630305	3019	1997-07-31	PRIJEM	\N	111	27382	UROK	\N	\N
3630306	3019	1997-08-31	PRIJEM	\N	118	29180	UROK	\N	\N
3630307	3019	1997-09-30	PRIJEM	\N	116	27277	UROK	\N	\N
3630308	3019	1997-10-31	PRIJEM	\N	108	24985	UROK	\N	\N
3630309	3019	1997-11-30	PRIJEM	\N	110	27375	UROK	\N	\N
3630310	3019	1997-12-31	PRIJEM	\N	132	33935	UROK	\N	\N
3630311	3019	1998-01-31	PRIJEM	\N	123	22459	UROK	\N	\N
3630312	3019	1998-02-28	PRIJEM	\N	91	21830	UROK	\N	\N
3630313	3019	1998-03-31	PRIJEM	\N	96	24107	UROK	\N	\N
3630314	3019	1998-04-30	PRIJEM	\N	100	24087	UROK	\N	\N
3630315	3019	1998-05-31	PRIJEM	\N	98	23565	UROK	\N	\N
3630316	3019	1998-06-30	PRIJEM	\N	108	25841	UROK	\N	\N
3630317	3019	1998-07-31	PRIJEM	\N	118	29639	UROK	\N	\N
3630318	3019	1998-08-31	PRIJEM	\N	132	32852	UROK	\N	\N
3630319	3019	1998-09-30	PRIJEM	\N	132	31664	UROK	\N	\N
3630320	3019	1998-10-31	PRIJEM	\N	116	26960	UROK	\N	\N
3630321	3019	1998-11-30	PRIJEM	\N	116	28356	UROK	\N	\N
3630322	3019	1998-12-31	PRIJEM	\N	85	15129	UROK	\N	\N
3630323	3021	1996-05-31	PRIJEM	\N	36	22087	UROK	\N	\N
3630324	3021	1996-06-30	PRIJEM	\N	120	39183	UROK	\N	\N
3630325	3021	1996-07-31	PRIJEM	\N	169	42703	UROK	\N	\N
3630326	3021	1996-08-31	PRIJEM	\N	173	40527	UROK	\N	\N
3630327	3021	1996-09-30	PRIJEM	\N	175	38553	UROK	\N	\N
3630328	3021	1996-10-31	PRIJEM	\N	169	37159	UROK	\N	\N
3630329	3021	1996-11-30	PRIJEM	\N	167	31962	UROK	\N	\N
3630330	3021	1996-12-31	PRIJEM	\N	122	21935	UROK	\N	\N
3630331	3021	1997-01-31	PRIJEM	\N	87	18417	UROK	\N	\N
3630332	3021	1997-02-28	PRIJEM	\N	92	22264	UROK	\N	\N
3630333	3021	1997-03-31	PRIJEM	\N	107	18378	UROK	\N	\N
3630334	3021	1997-04-30	PRIJEM	\N	107	29080	UROK	\N	\N
3630335	3021	1997-05-31	PRIJEM	\N	133	27250	UROK	\N	\N
3630336	3021	1997-06-30	PRIJEM	\N	145	30014	UROK	\N	\N
3630337	3021	1997-07-31	PRIJEM	\N	140	34348	UROK	\N	\N
3630338	3021	1997-08-31	PRIJEM	\N	147	35090	UROK	\N	\N
3630339	3021	1997-09-30	PRIJEM	\N	121	22524	UROK	\N	\N
3630340	3021	1997-10-31	PRIJEM	\N	123	20441	UROK	\N	\N
3630341	3021	1997-11-30	PRIJEM	\N	87	20887	UROK	\N	\N
3630342	3021	1997-12-31	PRIJEM	\N	96	19502	UROK	\N	\N
3630343	3021	1998-01-31	PRIJEM	\N	87	20084	UROK	\N	\N
3630344	3021	1998-02-28	PRIJEM	\N	104	26583	UROK	\N	\N
3630345	3021	1998-03-31	PRIJEM	\N	117	27994	UROK	\N	\N
3630346	3021	1998-04-30	PRIJEM	\N	115	27203	UROK	\N	\N
3630347	3021	1998-05-31	PRIJEM	\N	99	22097	UROK	\N	\N
3630348	3021	1998-06-30	PRIJEM	\N	116	29632	UROK	\N	\N
3630349	3021	1998-07-31	PRIJEM	\N	114	23240	UROK	\N	\N
3630350	3021	1998-08-31	PRIJEM	\N	109	19293	UROK	\N	\N
3630351	3021	1998-09-30	PRIJEM	\N	123	35611	UROK	\N	\N
3630352	3021	1998-10-31	PRIJEM	\N	132	28417	UROK	\N	\N
3630353	3021	1998-11-30	PRIJEM	\N	126	30737	UROK	\N	\N
3630354	3021	1998-12-31	PRIJEM	\N	122	20170	UROK	\N	\N
3630355	3022	1997-03-31	PRIJEM	\N	69	21374	UROK	\N	\N
3630356	3022	1997-04-30	PRIJEM	\N	94	22478	UROK	\N	\N
3630357	3022	1997-05-31	PRIJEM	\N	92	20221	UROK	\N	\N
3630358	3022	1997-06-30	PRIJEM	\N	85	19126	UROK	\N	\N
3630359	3022	1997-07-31	PRIJEM	\N	84	18060	UROK	\N	\N
3630360	3022	1997-08-31	PRIJEM	\N	80	19710	UROK	\N	\N
3630361	3022	1997-09-30	PRIJEM	\N	80	19041	UROK	\N	\N
3630362	3022	1997-10-31	PRIJEM	\N	84	20695	UROK	\N	\N
3630363	3022	1997-11-30	PRIJEM	\N	91	22357	UROK	\N	\N
3630364	3022	1997-12-31	PRIJEM	\N	98	24025	UROK	\N	\N
3630365	3022	1998-01-31	PRIJEM	\N	86	18792	UROK	\N	\N
3630366	3022	1998-02-28	PRIJEM	\N	83	20446	UROK	\N	\N
3630367	3022	1998-03-31	PRIJEM	\N	90	22106	UROK	\N	\N
3630368	3022	1998-04-30	PRIJEM	\N	97	23773	UROK	\N	\N
3630369	3022	1998-05-31	PRIJEM	\N	104	25447	UROK	\N	\N
3630370	3022	1998-06-30	PRIJEM	\N	90	19888	UROK	\N	\N
3630371	3022	1998-07-31	PRIJEM	\N	87	20986	UROK	\N	\N
3630372	3022	1998-08-31	PRIJEM	\N	92	22649	UROK	\N	\N
3630373	3022	1998-09-30	PRIJEM	\N	99	24318	UROK	\N	\N
3630374	3022	1998-10-31	PRIJEM	\N	106	25995	UROK	\N	\N
3630375	3022	1998-11-30	PRIJEM	\N	113	27678	UROK	\N	\N
3630376	3022	1998-12-31	PRIJEM	\N	108	23596	UROK	\N	\N
3630377	3023	1997-10-31	PRIJEM	\N	15	6836	UROK	\N	\N
3630378	3023	1997-11-30	PRIJEM	\N	26	12982	UROK	\N	\N
3630379	3023	1997-12-31	PRIJEM	\N	26	19129	UROK	\N	\N
3630380	3023	1998-01-31	PRIJEM	\N	26	25275	UROK	\N	\N
3630381	3023	1998-02-28	PRIJEM	\N	29	31426	UROK	\N	\N
3630382	3023	1998-03-31	PRIJEM	\N	140	35459	UROK	\N	\N
3630383	3023	1998-04-30	PRIJEM	\N	151	37303	UROK	\N	\N
3630384	3023	1998-05-31	PRIJEM	\N	152	36849	UROK	\N	\N
3630385	3023	1998-06-30	PRIJEM	\N	112	21304	UROK	\N	\N
3630386	3023	1998-07-31	PRIJEM	\N	79	18797	UROK	\N	\N
3630387	3023	1998-08-31	PRIJEM	\N	80	17090	UROK	\N	\N
3630388	3023	1998-09-30	PRIJEM	\N	80	21064	UROK	\N	\N
3630389	3023	1998-10-31	PRIJEM	\N	90	23147	UROK	\N	\N
3630390	3023	1998-11-30	PRIJEM	\N	106	27146	UROK	\N	\N
3630391	3023	1998-12-31	PRIJEM	\N	119	30508	UROK	\N	\N
3630392	3024	1997-04-30	PRIJEM	\N	51	26103	UROK	\N	\N
3630393	3024	1997-05-31	PRIJEM	\N	116	27771	UROK	\N	\N
3630394	3024	1997-06-30	PRIJEM	\N	93	19701	UROK	\N	\N
3630395	3024	1997-07-31	PRIJEM	\N	81	17499	UROK	\N	\N
3630396	3024	1997-08-31	PRIJEM	\N	83	20419	UROK	\N	\N
3630397	3024	1997-09-30	PRIJEM	\N	96	23852	UROK	\N	\N
3630398	3024	1997-10-31	PRIJEM	\N	100	23090	UROK	\N	\N
3630399	3024	1997-11-30	PRIJEM	\N	97	22524	UROK	\N	\N
3630400	3024	1997-12-31	PRIJEM	\N	102	23703	UROK	\N	\N
3630401	3024	1998-01-31	PRIJEM	\N	110	25251	UROK	\N	\N
3630402	3024	1998-02-28	PRIJEM	\N	112	25480	UROK	\N	\N
3630403	3024	1998-03-31	PRIJEM	\N	111	26408	UROK	\N	\N
3630404	3024	1998-04-30	PRIJEM	\N	122	30367	UROK	\N	\N
3630405	3024	1998-05-31	PRIJEM	\N	130	31234	UROK	\N	\N
3630406	3024	1998-06-30	PRIJEM	\N	114	19085	UROK	\N	\N
3630407	3024	1998-07-31	PRIJEM	\N	91	20574	UROK	\N	\N
3630408	3024	1998-08-31	PRIJEM	\N	99	25110	UROK	\N	\N
3630409	3024	1998-09-30	PRIJEM	\N	109	26556	UROK	\N	\N
3630410	3024	1998-10-31	PRIJEM	\N	115	28209	UROK	\N	\N
3630411	3024	1998-11-30	PRIJEM	\N	97	22823	UROK	\N	\N
3630412	3024	1998-12-31	PRIJEM	\N	84	18794	UROK	\N	\N
3630413	3025	1998-03-31	PRIJEM	\N	13	19714	UROK	\N	\N
3630414	3025	1998-04-30	PRIJEM	\N	86	24667	UROK	\N	\N
3630415	3025	1998-05-31	PRIJEM	\N	108	24062	UROK	\N	\N
3630416	3025	1998-06-30	PRIJEM	\N	92	18642	UROK	\N	\N
3630417	3025	1998-07-31	PRIJEM	\N	85	21425	UROK	\N	\N
3630418	3025	1998-08-31	PRIJEM	\N	88	18451	UROK	\N	\N
3630419	3025	1998-09-30	PRIJEM	\N	77	15427	UROK	\N	\N
3630420	3025	1998-10-31	PRIJEM	\N	68	15393	UROK	\N	\N
3630421	3025	1998-11-30	PRIJEM	\N	70	17461	UROK	\N	\N
3630422	3025	1998-12-31	PRIJEM	\N	74	15934	UROK	\N	\N
3630423	3026	1993-03-31	PRIJEM	\N	39	24479	UROK	\N	\N
3630424	3026	1993-04-30	PRIJEM	\N	116	32935	UROK	\N	\N
3630425	3026	1993-05-31	PRIJEM	\N	146	38422	UROK	\N	\N
3630426	3026	1993-06-30	PRIJEM	\N	175	46906	UROK	\N	\N
3630427	3026	1993-07-31	PRIJEM	\N	193	41616	UROK	\N	\N
3630428	3026	1993-08-31	PRIJEM	\N	176	39693	UROK	\N	\N
3630429	3026	1993-09-30	PRIJEM	\N	169	37923	UROK	\N	\N
3630430	3026	1993-10-31	PRIJEM	\N	162	37586	UROK	\N	\N
3630431	3026	1993-11-30	PRIJEM	\N	166	40354	UROK	\N	\N
3630432	3026	1993-12-31	PRIJEM	\N	170	36375	UROK	\N	\N
3630433	3026	1994-01-31	PRIJEM	\N	150	30826	UROK	\N	\N
3630434	3026	1994-02-28	PRIJEM	\N	136	31824	UROK	\N	\N
3630435	3026	1994-03-31	PRIJEM	\N	139	31125	UROK	\N	\N
3630436	3026	1994-04-30	PRIJEM	\N	139	34565	UROK	\N	\N
3630437	3026	1994-05-31	PRIJEM	\N	144	34111	UROK	\N	\N
3630438	3026	1994-06-30	PRIJEM	\N	135	17578	UROK	\N	\N
3630439	3026	1994-07-31	PRIJEM	\N	111	25290	UROK	\N	\N
3630440	3026	1994-08-31	PRIJEM	\N	85	14796	UROK	\N	\N
3630441	3026	1994-09-30	PRIJEM	\N	83	22081	UROK	\N	\N
3630442	3026	1994-10-31	PRIJEM	\N	94	22176	UROK	\N	\N
3630443	3026	1994-11-30	PRIJEM	\N	131	35508	UROK	\N	\N
3630444	3026	1994-12-31	PRIJEM	\N	188	49628	UROK	\N	\N
3630445	3026	1995-01-31	PRIJEM	\N	180	35189	UROK	\N	\N
3630446	3026	1995-02-28	PRIJEM	\N	153	37244	UROK	\N	\N
3630447	3026	1995-03-31	PRIJEM	\N	169	41614	UROK	\N	\N
3630448	3026	1995-04-30	PRIJEM	\N	177	42593	UROK	\N	\N
3630449	3026	1995-05-31	PRIJEM	\N	184	44478	UROK	\N	\N
3630450	3026	1995-06-30	PRIJEM	\N	169	39758	UROK	\N	\N
3630451	3026	1995-07-31	PRIJEM	\N	168	40428	UROK	\N	\N
3630452	3026	1995-08-31	PRIJEM	\N	163	38292	UROK	\N	\N
3630453	3026	1995-09-30	PRIJEM	\N	160	37893	UROK	\N	\N
3630454	3026	1995-10-31	PRIJEM	\N	164	39758	UROK	\N	\N
3630455	3026	1995-11-30	PRIJEM	\N	172	41832	UROK	\N	\N
3630456	3026	1995-12-31	PRIJEM	\N	191	46514	UROK	\N	\N
3630457	3026	1996-01-31	PRIJEM	\N	147	32202	UROK	\N	\N
3630458	3026	1996-02-29	PRIJEM	\N	148	37252	UROK	\N	\N
3630459	3026	1996-03-31	PRIJEM	\N	144	29397	UROK	\N	\N
3630460	3026	1996-04-30	PRIJEM	\N	133	33232	UROK	\N	\N
3630461	3026	1996-05-31	PRIJEM	\N	139	33573	UROK	\N	\N
3630462	3026	1996-06-30	PRIJEM	\N	137	38901	UROK	\N	\N
3630463	3026	1996-07-31	PRIJEM	\N	143	24985	UROK	\N	\N
3630464	3026	1996-08-31	PRIJEM	\N	116	30003	UROK	\N	\N
3630465	3026	1996-09-30	PRIJEM	\N	99	29903	UROK	\N	\N
3630466	3026	1996-10-31	PRIJEM	\N	93	27898	UROK	\N	\N
3630467	3026	1996-11-30	PRIJEM	\N	140	18639	UROK	\N	\N
3630468	3026	1996-12-31	PRIJEM	\N	124	17994	UROK	\N	\N
3630469	3026	1997-01-31	PRIJEM	\N	102	25398	UROK	\N	\N
3630470	3026	1997-02-28	PRIJEM	\N	133	38232	UROK	\N	\N
3630471	3026	1997-03-31	PRIJEM	\N	170	15844	UROK	\N	\N
3630472	3026	1997-04-30	PRIJEM	\N	95	28640	UROK	\N	\N
3630473	3026	1997-05-31	PRIJEM	\N	133	34035	UROK	\N	\N
3630474	3026	1997-06-30	PRIJEM	\N	175	18281	UROK	\N	\N
3630475	3026	1997-07-31	PRIJEM	\N	96	26278	UROK	\N	\N
3630476	3026	1997-08-31	PRIJEM	\N	139	39118	UROK	\N	\N
3630477	3026	1997-09-30	PRIJEM	\N	194	50814	UROK	\N	\N
3630478	3026	1997-10-31	PRIJEM	\N	195	19530	UROK	\N	\N
3630479	3026	1997-11-30	PRIJEM	\N	109	32340	UROK	\N	\N
3630480	3026	1997-12-31	PRIJEM	\N	189	54481	UROK	\N	\N
3630481	3026	1998-01-31	PRIJEM	\N	189	17071	UROK	\N	\N
3630482	3026	1998-02-28	PRIJEM	\N	97	29870	UROK	\N	\N
3630483	3026	1998-03-31	PRIJEM	\N	152	42724	UROK	\N	\N
3630484	3026	1998-04-30	PRIJEM	\N	194	52859	UROK	\N	\N
3630485	3026	1998-05-31	PRIJEM	\N	248	65809	UROK	\N	\N
3630486	3026	1998-06-30	PRIJEM	\N	247	25227	UROK	\N	\N
3630487	3026	1998-07-31	PRIJEM	\N	133	38062	UROK	\N	\N
3630488	3026	1998-08-31	PRIJEM	\N	186	50949	UROK	\N	\N
3630489	3026	1998-09-30	PRIJEM	\N	239	63890	UROK	\N	\N
3630490	3026	1998-10-31	PRIJEM	\N	289	73760	UROK	\N	\N
3630491	3026	1998-11-30	PRIJEM	\N	329	83070	UROK	\N	\N
3630492	3026	1998-12-31	PRIJEM	\N	312	68294	UROK	\N	\N
3630493	3027	1996-09-30	PRIJEM	\N	16	23311	UROK	\N	\N
3630494	3027	1996-10-31	PRIJEM	\N	102	25246	UROK	\N	\N
3630495	3027	1996-11-30	PRIJEM	\N	109	26088	UROK	\N	\N
3630496	3027	1996-12-31	PRIJEM	\N	110	24881	UROK	\N	\N
3630497	3027	1997-01-31	PRIJEM	\N	87	16802	UROK	\N	\N
3630498	3027	1997-02-28	PRIJEM	\N	74	18709	UROK	\N	\N
3630499	3027	1997-03-31	PRIJEM	\N	82	20625	UROK	\N	\N
3630500	3027	1997-04-30	PRIJEM	\N	90	22549	UROK	\N	\N
3630501	3027	1997-05-31	PRIJEM	\N	98	24480	UROK	\N	\N
3630502	3027	1997-06-30	PRIJEM	\N	103	23317	UROK	\N	\N
3630503	3027	1997-07-31	PRIJEM	\N	99	23149	UROK	\N	\N
3630504	3027	1997-08-31	PRIJEM	\N	90	21892	UROK	\N	\N
3630505	3027	1997-09-30	PRIJEM	\N	86	20091	UROK	\N	\N
3630506	3027	1997-10-31	PRIJEM	\N	88	22012	UROK	\N	\N
3630507	3027	1997-11-30	PRIJEM	\N	94	22659	UROK	\N	\N
3630508	3027	1997-12-31	PRIJEM	\N	88	18980	UROK	\N	\N
3630509	3027	1998-01-31	PRIJEM	\N	65	13759	UROK	\N	\N
3630510	3027	1998-02-28	PRIJEM	\N	61	15654	UROK	\N	\N
3630511	3027	1998-03-31	PRIJEM	\N	69	17557	UROK	\N	\N
3630512	3027	1998-04-30	PRIJEM	\N	73	16662	UROK	\N	\N
3630513	3027	1998-05-31	PRIJEM	\N	62	15758	UROK	\N	\N
3630514	3027	1998-06-30	PRIJEM	\N	70	17661	UROK	\N	\N
3630515	3027	1998-07-31	PRIJEM	\N	78	19572	UROK	\N	\N
3630516	3027	1998-08-31	PRIJEM	\N	73	17078	UROK	\N	\N
3630517	3027	1998-09-30	PRIJEM	\N	75	18986	UROK	\N	\N
3630518	3027	1998-10-31	PRIJEM	\N	83	20903	UROK	\N	\N
3630519	3027	1998-11-30	PRIJEM	\N	91	22827	UROK	\N	\N
3630520	3027	1998-12-31	PRIJEM	\N	96	24207	UROK	\N	\N
3630521	3028	1994-02-28	PRIJEM	\N	3	21473	UROK	\N	\N
3630522	3028	1994-03-31	PRIJEM	\N	95	23568	UROK	\N	\N
3630523	3028	1994-04-30	PRIJEM	\N	100	24167	UROK	\N	\N
3630524	3028	1994-05-31	PRIJEM	\N	100	23867	UROK	\N	\N
3630525	3028	1994-06-30	PRIJEM	\N	88	13794	UROK	\N	\N
3630526	3028	1994-07-31	PRIJEM	\N	63	15857	UROK	\N	\N
3630527	3028	1994-08-31	PRIJEM	\N	71	16647	UROK	\N	\N
3630528	3028	1994-09-30	PRIJEM	\N	75	18721	UROK	\N	\N
3630529	3028	1994-10-31	PRIJEM	\N	84	20804	UROK	\N	\N
3630530	3028	1994-11-30	PRIJEM	\N	90	22494	UROK	\N	\N
3630531	3028	1994-12-31	PRIJEM	\N	87	17001	UROK	\N	\N
3630532	3028	1995-01-31	PRIJEM	\N	58	13218	UROK	\N	\N
3630533	3028	1995-02-28	PRIJEM	\N	60	15277	UROK	\N	\N
3630534	3028	1995-03-31	PRIJEM	\N	69	17346	UROK	\N	\N
3630535	3028	1995-04-30	PRIJEM	\N	71	16916	UROK	\N	\N
3630536	3028	1995-05-31	PRIJEM	\N	73	18088	UROK	\N	\N
3630537	3028	1995-06-30	PRIJEM	\N	74	18361	UROK	\N	\N
3630538	3028	1995-07-31	PRIJEM	\N	74	18235	UROK	\N	\N
3630539	3028	1995-08-31	PRIJEM	\N	70	17004	UROK	\N	\N
3630540	3028	1995-09-30	PRIJEM	\N	71	17574	UROK	\N	\N
3630541	3028	1995-10-31	PRIJEM	\N	69	16462	UROK	\N	\N
3630542	3028	1995-11-30	PRIJEM	\N	74	18535	UROK	\N	\N
3630543	3028	1995-12-31	PRIJEM	\N	77	18762	UROK	\N	\N
3630544	3028	1996-01-31	PRIJEM	\N	64	13905	UROK	\N	\N
3630545	3028	1996-02-29	PRIJEM	\N	63	15967	UROK	\N	\N
3630546	3028	1996-03-31	PRIJEM	\N	72	18038	UROK	\N	\N
3630547	3028	1996-04-30	PRIJEM	\N	79	19916	UROK	\N	\N
3630548	3028	1996-05-31	PRIJEM	\N	82	20197	UROK	\N	\N
3630549	3028	1996-06-30	PRIJEM	\N	86	21482	UROK	\N	\N
3630550	3028	1996-07-31	PRIJEM	\N	82	19964	UROK	\N	\N
3630551	3028	1996-08-31	PRIJEM	\N	83	20046	UROK	\N	\N
3630552	3028	1996-09-30	PRIJEM	\N	89	22134	UROK	\N	\N
3630553	3028	1996-10-31	PRIJEM	\N	97	24031	UROK	\N	\N
3630554	3028	1996-11-30	PRIJEM	\N	104	25174	UROK	\N	\N
3630555	3028	1996-12-31	PRIJEM	\N	103	23556	UROK	\N	\N
3630556	3028	1997-01-31	PRIJEM	\N	84	15089	UROK	\N	\N
3630557	3028	1997-02-28	PRIJEM	\N	67	16856	UROK	\N	\N
3630558	3028	1997-03-31	PRIJEM	\N	68	14043	UROK	\N	\N
3630559	3028	1997-04-30	PRIJEM	\N	63	16106	UROK	\N	\N
3630560	3028	1997-05-31	PRIJEM	\N	71	16776	UROK	\N	\N
3630561	3028	1997-06-30	PRIJEM	\N	71	13446	UROK	\N	\N
3630562	3028	1997-07-31	PRIJEM	\N	59	13905	UROK	\N	\N
3630563	3028	1997-08-31	PRIJEM	\N	63	15967	UROK	\N	\N
3630564	3028	1997-09-30	PRIJEM	\N	62	12208	UROK	\N	\N
3630565	3028	1997-10-31	PRIJEM	\N	54	12961	UROK	\N	\N
3630566	3028	1997-11-30	PRIJEM	\N	58	15019	UROK	\N	\N
3630567	3028	1997-12-31	PRIJEM	\N	64	15832	UROK	\N	\N
3630568	3028	1998-01-31	PRIJEM	\N	59	14371	UROK	\N	\N
3630569	3028	1998-02-28	PRIJEM	\N	64	16434	UROK	\N	\N
3630570	3028	1998-03-31	PRIJEM	\N	70	16604	UROK	\N	\N
3630571	3028	1998-04-30	PRIJEM	\N	73	18677	UROK	\N	\N
3630572	3028	1998-05-31	PRIJEM	\N	75	15851	UROK	\N	\N
3630573	3028	1998-06-30	PRIJEM	\N	67	16118	UROK	\N	\N
3630574	3028	1998-07-31	PRIJEM	\N	67	15084	UROK	\N	\N
3630575	3028	1998-08-31	PRIJEM	\N	67	17150	UROK	\N	\N
3630576	3028	1998-09-30	PRIJEM	\N	75	19225	UROK	\N	\N
3630577	3028	1998-10-31	PRIJEM	\N	84	21308	UROK	\N	\N
3630578	3028	1998-11-30	PRIJEM	\N	77	14764	UROK	\N	\N
3630579	3028	1998-12-31	PRIJEM	\N	61	15114	UROK	\N	\N
3630580	3029	1997-04-30	PRIJEM	\N	25	22137	UROK	\N	\N
3630581	3029	1997-05-31	PRIJEM	\N	107	26707	UROK	\N	\N
3630582	3029	1997-06-30	PRIJEM	\N	92	14049	UROK	\N	\N
3630583	3029	1997-07-31	PRIJEM	\N	70	16168	UROK	\N	\N
3630584	3029	1997-08-31	PRIJEM	\N	81	20399	UROK	\N	\N
3630585	3029	1997-09-30	PRIJEM	\N	92	20240	UROK	\N	\N
3630586	3029	1997-10-31	PRIJEM	\N	85	15275	UROK	\N	\N
3630587	3029	1997-11-30	PRIJEM	\N	70	14894	UROK	\N	\N
3630588	3029	1997-12-31	PRIJEM	\N	74	18667	UROK	\N	\N
3630589	3029	1998-01-31	PRIJEM	\N	55	3821	UROK	\N	\N
3630590	3029	1998-02-28	PRIJEM	\N	30	8301	UROK	\N	\N
3630591	3029	1998-03-31	PRIJEM	\N	49	12799	UROK	\N	\N
3630592	3029	1998-04-30	PRIJEM	\N	66	15795	UROK	\N	\N
3630593	3029	1998-05-31	PRIJEM	\N	77	18821	UROK	\N	\N
3630594	3029	1998-06-30	PRIJEM	\N	73	17143	UROK	\N	\N
3630595	3029	1998-07-31	PRIJEM	\N	86	21678	UROK	\N	\N
3630596	3029	1998-08-31	PRIJEM	\N	95	20563	UROK	\N	\N
3630597	3029	1998-09-30	PRIJEM	\N	100	25112	UROK	\N	\N
3630598	3029	1998-10-31	PRIJEM	\N	111	26272	UROK	\N	\N
3630599	3029	1998-11-30	PRIJEM	\N	104	23526	UROK	\N	\N
3630600	3029	1998-12-31	PRIJEM	\N	109	26734	UROK	\N	\N
3630601	3030	1994-11-30	PRIJEM	\N	50	13222	UROK	\N	\N
3630602	3030	1994-12-31	PRIJEM	\N	59	13500	UROK	\N	\N
3630603	3030	1995-01-31	PRIJEM	\N	56	12216	UROK	\N	\N
3630604	3030	1995-02-28	PRIJEM	\N	55	13300	UROK	\N	\N
3630605	3030	1995-03-31	PRIJEM	\N	59	14389	UROK	\N	\N
3630606	3030	1995-04-30	PRIJEM	\N	61	14759	UROK	\N	\N
3630607	3030	1995-05-31	PRIJEM	\N	66	15854	UROK	\N	\N
3630608	3030	1995-06-30	PRIJEM	\N	69	15993	UROK	\N	\N
3630609	3030	1995-07-31	PRIJEM	\N	71	17093	UROK	\N	\N
3630610	3030	1995-08-31	PRIJEM	\N	75	18197	UROK	\N	\N
3630611	3030	1995-09-30	PRIJEM	\N	80	19307	UROK	\N	\N
3630612	3030	1995-10-31	PRIJEM	\N	84	20420	UROK	\N	\N
3630613	3030	1995-11-30	PRIJEM	\N	89	21539	UROK	\N	\N
3630614	3030	1995-12-31	PRIJEM	\N	97	21975	UROK	\N	\N
3630615	3030	1996-01-31	PRIJEM	\N	87	20002	UROK	\N	\N
3630616	3030	1996-02-29	PRIJEM	\N	87	21118	UROK	\N	\N
3630617	3030	1996-03-31	PRIJEM	\N	90	21548	UROK	\N	\N
3630618	3030	1996-04-30	PRIJEM	\N	94	22671	UROK	\N	\N
3630619	3030	1996-05-31	PRIJEM	\N	98	23188	UROK	\N	\N
3630620	3030	1996-06-30	PRIJEM	\N	93	17421	UROK	\N	\N
3630621	3030	1996-07-31	PRIJEM	\N	74	17325	UROK	\N	\N
3630622	3030	1996-08-31	PRIJEM	\N	76	18430	UROK	\N	\N
3630623	3030	1996-09-30	PRIJEM	\N	78	18817	UROK	\N	\N
3630624	3030	1996-10-31	PRIJEM	\N	82	19929	UROK	\N	\N
3630625	3030	1996-11-30	PRIJEM	\N	87	21045	UROK	\N	\N
3630626	3030	1996-12-31	PRIJEM	\N	91	21805	UROK	\N	\N
3630627	3030	1997-01-31	PRIJEM	\N	84	18118	UROK	\N	\N
3630628	3030	1997-02-28	PRIJEM	\N	77	17274	UROK	\N	\N
3630629	3030	1997-03-31	PRIJEM	\N	71	16874	UROK	\N	\N
3630630	3030	1997-04-30	PRIJEM	\N	74	17977	UROK	\N	\N
3630631	3030	1997-05-31	PRIJEM	\N	78	18845	UROK	\N	\N
3630632	3030	1997-06-30	PRIJEM	\N	71	16885	UROK	\N	\N
3630633	3030	1997-07-31	PRIJEM	\N	74	17988	UROK	\N	\N
3630634	3030	1997-08-31	PRIJEM	\N	75	17862	UROK	\N	\N
3630635	3030	1997-09-30	PRIJEM	\N	78	18969	UROK	\N	\N
3630636	3030	1997-10-31	PRIJEM	\N	82	20081	UROK	\N	\N
3630637	3030	1997-11-30	PRIJEM	\N	87	21197	UROK	\N	\N
3630638	3030	1997-12-31	PRIJEM	\N	90	21867	UROK	\N	\N
3630639	3030	1998-01-31	PRIJEM	\N	87	18873	UROK	\N	\N
3630640	3030	1998-02-28	PRIJEM	\N	82	19984	UROK	\N	\N
3630641	3030	1998-03-31	PRIJEM	\N	86	21100	UROK	\N	\N
3630642	3030	1998-04-30	PRIJEM	\N	91	22220	UROK	\N	\N
3630643	3030	1998-05-31	PRIJEM	\N	91	20851	UROK	\N	\N
3630644	3030	1998-06-30	PRIJEM	\N	86	20226	UROK	\N	\N
3630645	3030	1998-07-31	PRIJEM	\N	86	20921	UROK	\N	\N
3630646	3030	1998-08-31	PRIJEM	\N	90	22040	UROK	\N	\N
3630647	3030	1998-09-30	PRIJEM	\N	95	23164	UROK	\N	\N
3630648	3030	1998-10-31	PRIJEM	\N	99	24293	UROK	\N	\N
3630649	3030	1998-11-30	PRIJEM	\N	104	25426	UROK	\N	\N
3630650	3030	1998-12-31	PRIJEM	\N	105	24550	UROK	\N	\N
3630651	3031	1997-03-31	PRIJEM	\N	14	4798	UROK	\N	\N
3630652	3031	1997-04-30	PRIJEM	\N	20	9002	UROK	\N	\N
3630653	3031	1997-05-31	PRIJEM	\N	20	13206	UROK	\N	\N
3630654	3031	1997-06-30	PRIJEM	\N	20	17410	UROK	\N	\N
3630655	3031	1997-07-31	PRIJEM	\N	68	21162	UROK	\N	\N
3630656	3031	1997-08-31	PRIJEM	\N	80	19123	UROK	\N	\N
3630657	3031	1997-09-30	PRIJEM	\N	78	18981	UROK	\N	\N
3630658	3031	1997-10-31	PRIJEM	\N	76	18437	UROK	\N	\N
3630659	3031	1997-11-30	PRIJEM	\N	81	19899	UROK	\N	\N
3630660	3031	1997-12-31	PRIJEM	\N	72	16871	UROK	\N	\N
3630661	3031	1998-01-31	PRIJEM	\N	63	13275	UROK	\N	\N
3630662	3031	1998-02-28	PRIJEM	\N	59	14714	UROK	\N	\N
3630663	3031	1998-03-31	PRIJEM	\N	65	16160	UROK	\N	\N
3630664	3031	1998-04-30	PRIJEM	\N	71	17612	UROK	\N	\N
3630665	3031	1998-05-31	PRIJEM	\N	77	19070	UROK	\N	\N
3630666	3031	1998-06-30	PRIJEM	\N	83	20533	UROK	\N	\N
3630667	3031	1998-07-31	PRIJEM	\N	90	22003	UROK	\N	\N
3630668	3031	1998-08-31	PRIJEM	\N	96	23479	UROK	\N	\N
3630669	3031	1998-09-30	PRIJEM	\N	102	24962	UROK	\N	\N
3630670	3031	1998-10-31	PRIJEM	\N	100	24362	UROK	\N	\N
3630671	3031	1998-11-30	PRIJEM	\N	97	23739	UROK	\N	\N
3630672	3031	1998-12-31	PRIJEM	\N	94	21173	UROK	\N	\N
3630673	3032	1993-10-31	PRIJEM	\N	89	24709	UROK	\N	\N
3630674	3032	1993-11-30	PRIJEM	\N	111	26367	UROK	\N	\N
3630675	3032	1993-12-31	PRIJEM	\N	115	27164	UROK	\N	\N
3630676	3032	1994-01-31	PRIJEM	\N	91	16287	UROK	\N	\N
3630677	3032	1994-02-28	PRIJEM	\N	78	20098	UROK	\N	\N
3630678	3032	1994-03-31	PRIJEM	\N	90	20480	UROK	\N	\N
3630679	3032	1994-04-30	PRIJEM	\N	96	24309	UROK	\N	\N
3630680	3032	1994-05-31	PRIJEM	\N	112	28153	UROK	\N	\N
3630681	3032	1994-06-30	PRIJEM	\N	118	24844	UROK	\N	\N
3630682	3032	1994-07-31	PRIJEM	\N	113	26989	UROK	\N	\N
3630683	3032	1994-08-31	PRIJEM	\N	116	27738	UROK	\N	\N
3630684	3032	1994-09-30	PRIJEM	\N	106	24856	UROK	\N	\N
3630685	3032	1994-10-31	PRIJEM	\N	100	23688	UROK	\N	\N
3630686	3032	1994-11-30	PRIJEM	\N	109	26730	UROK	\N	\N
3630687	3032	1994-12-31	PRIJEM	\N	113	24845	UROK	\N	\N
3630688	3032	1995-01-31	PRIJEM	\N	100	20097	UROK	\N	\N
3630689	3032	1995-02-28	PRIJEM	\N	93	21323	UROK	\N	\N
3630690	3032	1995-03-31	PRIJEM	\N	98	21253	UROK	\N	\N
3630691	3032	1995-04-30	PRIJEM	\N	95	21360	UROK	\N	\N
3630692	3032	1995-05-31	PRIJEM	\N	98	19311	UROK	\N	\N
3630693	3032	1995-06-30	PRIJEM	\N	87	21530	UROK	\N	\N
3630694	3032	1995-07-31	PRIJEM	\N	97	19659	UROK	\N	\N
3630695	3032	1995-08-31	PRIJEM	\N	91	21782	UROK	\N	\N
3630696	3032	1995-09-30	PRIJEM	\N	96	17871	UROK	\N	\N
3630697	3032	1995-10-31	PRIJEM	\N	81	17684	UROK	\N	\N
3630698	3032	1995-11-30	PRIJEM	\N	84	21501	UROK	\N	\N
3630699	3032	1995-12-31	PRIJEM	\N	101	23785	UROK	\N	\N
3630700	3032	1996-01-31	PRIJEM	\N	91	16968	UROK	\N	\N
3630701	3032	1996-02-29	PRIJEM	\N	81	20781	UROK	\N	\N
3630702	3032	1996-03-31	PRIJEM	\N	92	22226	UROK	\N	\N
3630703	3032	1996-04-30	PRIJEM	\N	89	18447	UROK	\N	\N
3630704	3032	1996-05-31	PRIJEM	\N	83	19363	UROK	\N	\N
3630705	3032	1996-06-30	PRIJEM	\N	84	18579	UROK	\N	\N
3630706	3032	1996-07-31	PRIJEM	\N	75	19327	UROK	\N	\N
3630707	3032	1996-08-31	PRIJEM	\N	81	17040	UROK	\N	\N
3630708	3032	1996-09-30	PRIJEM	\N	70	14142	UROK	\N	\N
3630709	3032	1996-10-31	PRIJEM	\N	65	16259	UROK	\N	\N
3630710	3032	1996-11-30	PRIJEM	\N	68	14860	UROK	\N	\N
3630711	3032	1996-12-31	PRIJEM	\N	71	18213	UROK	\N	\N
3630712	3032	1997-01-31	PRIJEM	\N	74	14980	UROK	\N	\N
3630713	3032	1997-02-28	PRIJEM	\N	72	18784	UROK	\N	\N
3630714	3032	1997-03-31	PRIJEM	\N	88	22604	UROK	\N	\N
3630715	3032	1997-04-30	PRIJEM	\N	104	26440	UROK	\N	\N
3630716	3032	1997-05-31	PRIJEM	\N	120	30292	UROK	\N	\N
3630717	3032	1997-06-30	PRIJEM	\N	136	34160	UROK	\N	\N
3630718	3032	1997-07-31	PRIJEM	\N	99	13292	UROK	\N	\N
3630719	3032	1997-08-31	PRIJEM	\N	65	17089	UROK	\N	\N
3630720	3032	1997-09-30	PRIJEM	\N	76	18657	UROK	\N	\N
3630721	3032	1997-10-31	PRIJEM	\N	84	18874	UROK	\N	\N
3630722	3032	1997-11-30	PRIJEM	\N	81	19967	UROK	\N	\N
3630723	3032	1997-12-31	PRIJEM	\N	84	20443	UROK	\N	\N
3630724	3032	1998-01-31	PRIJEM	\N	81	16256	UROK	\N	\N
3630725	3032	1998-02-28	PRIJEM	\N	76	20065	UROK	\N	\N
3630726	3032	1998-03-31	PRIJEM	\N	93	23890	UROK	\N	\N
3630727	3032	1998-04-30	PRIJEM	\N	108	27730	UROK	\N	\N
3630728	3032	1998-05-31	PRIJEM	\N	124	31587	UROK	\N	\N
3630729	3032	1998-06-30	PRIJEM	\N	140	35459	UROK	\N	\N
3630730	3032	1998-07-31	PRIJEM	\N	156	39348	UROK	\N	\N
3630731	3032	1998-08-31	PRIJEM	\N	163	39883	UROK	\N	\N
3630732	3032	1998-09-30	PRIJEM	\N	169	40024	UROK	\N	\N
3630733	3032	1998-10-31	PRIJEM	\N	175	43932	UROK	\N	\N
3630734	3032	1998-11-30	PRIJEM	\N	191	47855	UROK	\N	\N
3630735	3032	1998-12-31	PRIJEM	\N	207	50395	UROK	\N	\N
3630736	3033	1998-05-31	PRIJEM	\N	40	13516	UROK	\N	\N
3630737	3033	1998-06-30	PRIJEM	\N	59	14529	UROK	\N	\N
3630738	3033	1998-07-31	PRIJEM	\N	63	15545	UROK	\N	\N
3630739	3033	1998-08-31	PRIJEM	\N	66	15875	UROK	\N	\N
3630740	3033	1998-09-30	PRIJEM	\N	69	16897	UROK	\N	\N
3630741	3033	1998-10-31	PRIJEM	\N	73	17924	UROK	\N	\N
3630742	3033	1998-11-30	PRIJEM	\N	77	18564	UROK	\N	\N
3630743	3033	1998-12-31	PRIJEM	\N	80	19297	UROK	\N	\N
3630805	3035	1993-09-30	PRIJEM	\N	79	35591	UROK	\N	\N
3630806	3035	1993-10-31	PRIJEM	\N	193	55195	UROK	\N	\N
3630807	3035	1993-11-30	PRIJEM	\N	208	45015	UROK	\N	\N
3630808	3035	1993-12-31	PRIJEM	\N	240	58923	UROK	\N	\N
3630809	3035	1994-01-31	PRIJEM	\N	183	22799	UROK	\N	\N
3630810	3035	1994-02-28	PRIJEM	\N	142	38580	UROK	\N	\N
3630811	3035	1994-03-31	PRIJEM	\N	205	50523	UROK	\N	\N
3630812	3035	1994-04-30	PRIJEM	\N	218	49404	UROK	\N	\N
3630813	3035	1994-05-31	PRIJEM	\N	223	51865	UROK	\N	\N
3630814	3035	1994-06-30	PRIJEM	\N	218	50578	UROK	\N	\N
3630815	3035	1994-07-31	PRIJEM	\N	211	44828	UROK	\N	\N
3630816	3035	1994-08-31	PRIJEM	\N	216	50683	UROK	\N	\N
3630817	3035	1994-09-30	PRIJEM	\N	269	72545	UROK	\N	\N
3630818	3035	1994-10-31	PRIJEM	\N	317	75101	UROK	\N	\N
3630819	3035	1994-11-30	PRIJEM	\N	337	86476	UROK	\N	\N
3630820	3035	1994-12-31	PRIJEM	\N	338	79410	UROK	\N	\N
3630821	3035	1995-01-31	PRIJEM	\N	220	37692	UROK	\N	\N
3630822	3035	1995-02-28	PRIJEM	\N	236	68967	UROK	\N	\N
3630823	3035	1995-03-31	PRIJEM	\N	328	85434	UROK	\N	\N
3630824	3035	1995-04-30	PRIJEM	\N	344	81644	UROK	\N	\N
3630825	3035	1995-05-31	PRIJEM	\N	328	79287	UROK	\N	\N
3630826	3035	1995-06-30	PRIJEM	\N	229	45509	UROK	\N	\N
3630827	3035	1995-07-31	PRIJEM	\N	264	73112	UROK	\N	\N
3630828	3035	1995-08-31	PRIJEM	\N	299	78253	UROK	\N	\N
3630829	3035	1995-09-30	PRIJEM	\N	320	78212	UROK	\N	\N
3630830	3035	1995-10-31	PRIJEM	\N	328	85379	UROK	\N	\N
3630831	3035	1995-11-30	PRIJEM	\N	319	65270	UROK	\N	\N
3630832	3035	1995-12-31	PRIJEM	\N	344	94909	UROK	\N	\N
3630833	3035	1996-01-31	PRIJEM	\N	260	56508	UROK	\N	\N
3630834	3035	1996-02-29	PRIJEM	\N	253	66700	UROK	\N	\N
3630835	3035	1996-03-31	PRIJEM	\N	249	59519	UROK	\N	\N
3630836	3035	1996-04-30	PRIJEM	\N	221	44182	UROK	\N	\N
3630837	3035	1996-05-31	PRIJEM	\N	213	55134	UROK	\N	\N
3630838	3035	1996-06-30	PRIJEM	\N	284	79151	UROK	\N	\N
3630839	3035	1996-07-31	PRIJEM	\N	316	83406	UROK	\N	\N
3630840	3035	1996-08-31	PRIJEM	\N	301	53846	UROK	\N	\N
3630841	3035	1996-09-30	PRIJEM	\N	309	53794	UROK	\N	\N
3630842	3035	1996-10-31	PRIJEM	\N	297	39522	UROK	\N	\N
3630843	3035	1996-11-30	PRIJEM	\N	248	49008	UROK	\N	\N
3630844	3035	1996-12-31	PRIJEM	\N	315	57719	UROK	\N	\N
3630845	3035	1997-01-31	PRIJEM	\N	274	29532	UROK	\N	\N
3630846	3035	1997-02-28	PRIJEM	\N	202	39273	UROK	\N	\N
3630847	3035	1997-03-31	PRIJEM	\N	228	40839	UROK	\N	\N
3630848	3035	1997-04-30	PRIJEM	\N	214	35012	UROK	\N	\N
3630849	3035	1997-05-31	PRIJEM	\N	218	37869	UROK	\N	\N
3630850	3035	1997-06-30	PRIJEM	\N	288	56952	UROK	\N	\N
3630851	3035	1997-07-31	PRIJEM	\N	301	53791	UROK	\N	\N
3630852	3035	1997-08-31	PRIJEM	\N	281	48212	UROK	\N	\N
3630853	3035	1997-09-30	PRIJEM	\N	261	49811	UROK	\N	\N
3630854	3035	1997-10-31	PRIJEM	\N	266	51916	UROK	\N	\N
3630855	3035	1997-11-30	PRIJEM	\N	272	53927	UROK	\N	\N
3630856	3035	1997-12-31	PRIJEM	\N	311	63933	UROK	\N	\N
3630857	3035	1998-01-31	PRIJEM	\N	179	32551	UROK	\N	\N
3630858	3035	1998-02-28	PRIJEM	\N	171	34939	UROK	\N	\N
3630859	3035	1998-03-31	PRIJEM	\N	207	43584	UROK	\N	\N
3630860	3035	1998-04-30	PRIJEM	\N	240	52463	UROK	\N	\N
3630861	3035	1998-05-31	PRIJEM	\N	265	52083	UROK	\N	\N
3630862	3035	1998-06-30	PRIJEM	\N	268	59818	UROK	\N	\N
3630863	3035	1998-07-31	PRIJEM	\N	223	47295	UROK	\N	\N
3630864	3035	1998-08-31	PRIJEM	\N	234	45968	UROK	\N	\N
3630865	3035	1998-09-30	PRIJEM	\N	217	41511	UROK	\N	\N
3630866	3035	1998-10-31	PRIJEM	\N	217	38783	UROK	\N	\N
3630867	3035	1998-11-30	PRIJEM	\N	208	49731	UROK	\N	\N
3630868	3035	1998-12-31	PRIJEM	\N	233	50310	UROK	\N	\N
3630869	3038	1996-05-31	PRIJEM	\N	12	21451	UROK	\N	\N
3630870	3038	1996-06-30	PRIJEM	\N	332	92357	UROK	\N	\N
3630871	3038	1996-07-31	PRIJEM	\N	374	58155	UROK	\N	\N
3630872	3038	1996-08-31	PRIJEM	\N	239	53155	UROK	\N	\N
3630873	3038	1996-09-30	PRIJEM	\N	236	100405	UROK	\N	\N
3630874	3038	1996-10-31	PRIJEM	\N	389	44736	UROK	\N	\N
3630875	3038	1996-11-30	PRIJEM	\N	327	68342	UROK	\N	\N
3630876	3038	1996-12-31	PRIJEM	\N	265	43877	UROK	\N	\N
3630877	3038	1997-01-31	PRIJEM	\N	239	104114	UROK	\N	\N
3630878	3038	1997-02-28	PRIJEM	\N	449	61539	UROK	\N	\N
3630879	3038	1997-03-31	PRIJEM	\N	323	92982	UROK	\N	\N
3630880	3038	1997-04-30	PRIJEM	\N	516	79018	UROK	\N	\N
3630881	3038	1997-05-31	PRIJEM	\N	319	71626	UROK	\N	\N
3630882	3038	1997-06-30	PRIJEM	\N	264	73693	UROK	\N	\N
3630883	3038	1997-07-31	PRIJEM	\N	384	75741	UROK	\N	\N
3630884	3038	1997-08-31	PRIJEM	\N	313	59539	UROK	\N	\N
3630885	3038	1997-09-30	PRIJEM	\N	313	105053	UROK	\N	\N
3630886	3038	1997-10-31	PRIJEM	\N	269	53409	UROK	\N	\N
3630887	3038	1997-11-30	PRIJEM	\N	283	67309	UROK	\N	\N
3630888	3038	1997-12-31	PRIJEM	\N	272	63367	UROK	\N	\N
3630889	3038	1998-01-31	PRIJEM	\N	232	70305	UROK	\N	\N
3630890	3038	1998-02-28	PRIJEM	\N	290	64280	UROK	\N	\N
3630891	3038	1998-03-31	PRIJEM	\N	223	35796	UROK	\N	\N
3630892	3038	1998-04-30	PRIJEM	\N	299	93643	UROK	\N	\N
3630893	3038	1998-05-31	PRIJEM	\N	304	31990	UROK	\N	\N
3630894	3038	1998-06-30	PRIJEM	\N	133	43009	UROK	\N	\N
3630895	3038	1998-07-31	PRIJEM	\N	201	43003	UROK	\N	\N
3630896	3038	1998-08-31	PRIJEM	\N	184	51172	UROK	\N	\N
3630897	3038	1998-09-30	PRIJEM	\N	420	99018	UROK	\N	\N
3630898	3038	1998-10-31	PRIJEM	\N	367	111809	UROK	\N	\N
3630899	3038	1998-11-30	PRIJEM	\N	415	46952	UROK	\N	\N
3630900	3038	1998-12-31	PRIJEM	\N	261	63912	UROK	\N	\N
3630901	3039	1994-01-31	PRIJEM	\N	46	14949	UROK	\N	\N
3630902	3039	1994-02-28	PRIJEM	\N	85	22237	UROK	\N	\N
3630903	3039	1994-03-31	PRIJEM	\N	115	29855	UROK	\N	\N
3630904	3039	1994-04-30	PRIJEM	\N	123	29681	UROK	\N	\N
3630905	3039	1994-05-31	PRIJEM	\N	118	27634	UROK	\N	\N
3630906	3039	1994-06-30	PRIJEM	\N	107	17582	UROK	\N	\N
3630907	3039	1994-07-31	PRIJEM	\N	83	19886	UROK	\N	\N
3630908	3039	1994-08-31	PRIJEM	\N	96	22801	UROK	\N	\N
3630909	3039	1994-09-30	PRIJEM	\N	104	24126	UROK	\N	\N
3630910	3039	1994-10-31	PRIJEM	\N	110	25356	UROK	\N	\N
3630911	3039	1994-11-30	PRIJEM	\N	115	25892	UROK	\N	\N
3630912	3039	1994-12-31	PRIJEM	\N	140	30913	UROK	\N	\N
3630913	3039	1995-01-31	PRIJEM	\N	91	14004	UROK	\N	\N
3630914	3039	1995-02-28	PRIJEM	\N	94	23218	UROK	\N	\N
3630915	3039	1995-03-31	PRIJEM	\N	114	27253	UROK	\N	\N
3630916	3039	1995-04-30	PRIJEM	\N	127	29520	UROK	\N	\N
3630917	3039	1995-05-31	PRIJEM	\N	137	32578	UROK	\N	\N
3630918	3039	1995-06-30	PRIJEM	\N	154	36953	UROK	\N	\N
3630919	3039	1995-07-31	PRIJEM	\N	143	31897	UROK	\N	\N
3630920	3039	1995-08-31	PRIJEM	\N	141	33358	UROK	\N	\N
3630921	3039	1995-09-30	PRIJEM	\N	152	36231	UROK	\N	\N
3630922	3039	1995-10-31	PRIJEM	\N	147	31219	UROK	\N	\N
3630923	3039	1995-11-30	PRIJEM	\N	131	28530	UROK	\N	\N
3630924	3039	1995-12-31	PRIJEM	\N	138	31769	UROK	\N	\N
3630925	3039	1996-01-31	PRIJEM	\N	92	21722	UROK	\N	\N
3630926	3039	1996-02-29	PRIJEM	\N	101	28143	UROK	\N	\N
3630927	3039	1996-03-31	PRIJEM	\N	119	25782	UROK	\N	\N
3630928	3039	1996-04-30	PRIJEM	\N	117	29519	UROK	\N	\N
3630929	3039	1996-05-31	PRIJEM	\N	130	28870	UROK	\N	\N
3630930	3039	1996-06-30	PRIJEM	\N	131	29962	UROK	\N	\N
3630931	3039	1996-07-31	PRIJEM	\N	132	30915	UROK	\N	\N
3630932	3039	1996-08-31	PRIJEM	\N	122	27358	UROK	\N	\N
3630933	3039	1996-09-30	PRIJEM	\N	122	29500	UROK	\N	\N
3630934	3039	1996-10-31	PRIJEM	\N	130	31050	UROK	\N	\N
3630935	3039	1996-11-30	PRIJEM	\N	139	34910	UROK	\N	\N
3630936	3039	1996-12-31	PRIJEM	\N	155	32166	UROK	\N	\N
3630937	3039	1997-01-31	PRIJEM	\N	113	27579	UROK	\N	\N
3630938	3039	1997-02-28	PRIJEM	\N	126	33985	UROK	\N	\N
3630939	3039	1997-03-31	PRIJEM	\N	141	35586	UROK	\N	\N
3630940	3039	1997-04-30	PRIJEM	\N	158	40064	UROK	\N	\N
3630941	3039	1997-05-31	PRIJEM	\N	165	40809	UROK	\N	\N
3630942	3039	1997-06-30	PRIJEM	\N	157	38408	UROK	\N	\N
3630943	3039	1997-07-31	PRIJEM	\N	166	40095	UROK	\N	\N
3630944	3039	1997-08-31	PRIJEM	\N	170	40845	UROK	\N	\N
3630945	3039	1997-09-30	PRIJEM	\N	174	41640	UROK	\N	\N
3630946	3039	1997-10-31	PRIJEM	\N	178	42618	UROK	\N	\N
3630947	3039	1997-11-30	PRIJEM	\N	184	41102	UROK	\N	\N
3630948	3039	1997-12-31	PRIJEM	\N	198	52781	UROK	\N	\N
3630949	3039	1998-01-31	PRIJEM	\N	201	36223	UROK	\N	\N
3630950	3039	1998-02-28	PRIJEM	\N	179	51022	UROK	\N	\N
3630951	3039	1998-03-31	PRIJEM	\N	225	57267	UROK	\N	\N
3630952	3039	1998-04-30	PRIJEM	\N	232	59479	UROK	\N	\N
3630953	3039	1998-05-31	PRIJEM	\N	256	63155	UROK	\N	\N
3630954	3039	1998-06-30	PRIJEM	\N	278	62895	UROK	\N	\N
3630955	3039	1998-07-31	PRIJEM	\N	264	64180	UROK	\N	\N
3630956	3039	1998-08-31	PRIJEM	\N	258	64118	UROK	\N	\N
3630957	3039	1998-09-30	PRIJEM	\N	270	64828	UROK	\N	\N
3630958	3039	1998-10-31	PRIJEM	\N	274	66822	UROK	\N	\N
3630959	3039	1998-11-30	PRIJEM	\N	296	72338	UROK	\N	\N
3630960	3039	1998-12-31	PRIJEM	\N	322	78241	UROK	\N	\N
3630961	3040	1996-08-31	PRIJEM	\N	14	4317	UROK	\N	\N
3630962	3040	1996-09-30	PRIJEM	\N	18	7638	UROK	\N	\N
3630963	3040	1996-10-31	PRIJEM	\N	18	10959	UROK	\N	\N
3630964	3040	1996-11-30	PRIJEM	\N	18	14280	UROK	\N	\N
3630965	3040	1996-12-31	PRIJEM	\N	61	15441	UROK	\N	\N
3630966	3040	1997-01-31	PRIJEM	\N	63	14700	UROK	\N	\N
3630967	3040	1997-02-28	PRIJEM	\N	65	15851	UROK	\N	\N
3630968	3040	1997-03-31	PRIJEM	\N	70	17007	UROK	\N	\N
3630969	3040	1997-04-30	PRIJEM	\N	74	18168	UROK	\N	\N
3630970	3040	1997-05-31	PRIJEM	\N	76	18460	UROK	\N	\N
3630971	3040	1997-06-30	PRIJEM	\N	87	19634	UROK	\N	\N
3630972	3040	1997-07-31	PRIJEM	\N	85	20565	UROK	\N	\N
3630973	3040	1997-08-31	PRIJEM	\N	96	21747	UROK	\N	\N
3630974	3040	1997-09-30	PRIJEM	\N	94	21157	UROK	\N	\N
3630975	3040	1997-10-31	PRIJEM	\N	98	22342	UROK	\N	\N
3630976	3040	1997-11-30	PRIJEM	\N	103	23532	UROK	\N	\N
3630977	3040	1997-12-31	PRIJEM	\N	108	24726	UROK	\N	\N
3630978	3040	1998-01-31	PRIJEM	\N	100	23213	UROK	\N	\N
3630979	3040	1998-02-28	PRIJEM	\N	103	24042	UROK	\N	\N
3630980	3040	1998-03-31	PRIJEM	\N	110	25239	UROK	\N	\N
3630981	3040	1998-04-30	PRIJEM	\N	107	25022	UROK	\N	\N
3630982	3040	1998-05-31	PRIJEM	\N	105	24144	UROK	\N	\N
3630983	3040	1998-06-30	PRIJEM	\N	84	16944	UROK	\N	\N
3630984	3040	1998-07-31	PRIJEM	\N	74	18104	UROK	\N	\N
3630985	3040	1998-08-31	PRIJEM	\N	85	19276	UROK	\N	\N
3630986	3040	1998-09-30	PRIJEM	\N	83	20445	UROK	\N	\N
3630987	3040	1998-10-31	PRIJEM	\N	94	20396	UROK	\N	\N
3630988	3040	1998-11-30	PRIJEM	\N	95	21577	UROK	\N	\N
3630989	3040	1998-12-31	PRIJEM	\N	93	22757	UROK	\N	\N
3630990	3041	1996-04-30	PRIJEM	\N	13	4563	UROK	\N	\N
3630991	3041	1996-05-31	PRIJEM	\N	52	16164	UROK	\N	\N
3630992	3041	1996-06-30	PRIJEM	\N	100	28039	UROK	\N	\N
3630993	3041	1996-07-31	PRIJEM	\N	118	28607	UROK	\N	\N
3630994	3041	1996-08-31	PRIJEM	\N	125	30983	UROK	\N	\N
3630995	3041	1996-09-30	PRIJEM	\N	130	31948	UROK	\N	\N
3630996	3041	1996-10-31	PRIJEM	\N	136	34820	UROK	\N	\N
3630997	3041	1996-11-30	PRIJEM	\N	148	36303	UROK	\N	\N
3630998	3041	1996-12-31	PRIJEM	\N	152	35915	UROK	\N	\N
3630999	3041	1997-01-31	PRIJEM	\N	129	27580	UROK	\N	\N
3631000	3041	1997-02-28	PRIJEM	\N	103	29318	UROK	\N	\N
3631001	3041	1997-03-31	PRIJEM	\N	123	29476	UROK	\N	\N
3631002	3041	1997-04-30	PRIJEM	\N	125	29737	UROK	\N	\N
3631003	3041	1997-05-31	PRIJEM	\N	126	29599	UROK	\N	\N
3631004	3041	1997-06-30	PRIJEM	\N	130	29188	UROK	\N	\N
3631005	3041	1997-07-31	PRIJEM	\N	123	27547	UROK	\N	\N
3631006	3041	1997-08-31	PRIJEM	\N	117	27299	UROK	\N	\N
3631007	3041	1997-09-30	PRIJEM	\N	107	26040	UROK	\N	\N
3631008	3041	1997-10-31	PRIJEM	\N	106	26282	UROK	\N	\N
3631009	3041	1997-11-30	PRIJEM	\N	109	23626	UROK	\N	\N
3631010	3041	1997-12-31	PRIJEM	\N	96	18383	UROK	\N	\N
3631011	3041	1998-01-31	PRIJEM	\N	57	11476	UROK	\N	\N
3631012	3041	1998-02-28	PRIJEM	\N	51	13262	UROK	\N	\N
3631013	3041	1998-03-31	PRIJEM	\N	61	17758	UROK	\N	\N
3631014	3041	1998-04-30	PRIJEM	\N	71	13864	UROK	\N	\N
3631015	3041	1998-05-31	PRIJEM	\N	61	15961	UROK	\N	\N
3631016	3041	1998-06-30	PRIJEM	\N	70	15692	UROK	\N	\N
3631017	3041	1998-07-31	PRIJEM	\N	59	13586	UROK	\N	\N
3631018	3041	1998-08-31	PRIJEM	\N	59	14981	UROK	\N	\N
3631019	3041	1998-09-30	PRIJEM	\N	59	11975	UROK	\N	\N
3631020	3041	1998-10-31	PRIJEM	\N	52	13362	UROK	\N	\N
3631021	3041	1998-11-30	PRIJEM	\N	58	14655	UROK	\N	\N
3631022	3041	1998-12-31	PRIJEM	\N	67	17383	UROK	\N	\N
3631023	3042	1993-10-31	PRIJEM	\N	41	18949	UROK	\N	\N
3631024	3042	1993-11-30	PRIJEM	\N	105	30661	UROK	\N	\N
3631025	3042	1993-12-31	PRIJEM	\N	152	41325	UROK	\N	\N
3631026	3042	1994-01-31	PRIJEM	\N	168	39901	UROK	\N	\N
3631027	3042	1994-02-28	PRIJEM	\N	170	39420	UROK	\N	\N
3631028	3042	1994-03-31	PRIJEM	\N	159	33629	UROK	\N	\N
3631029	3042	1994-04-30	PRIJEM	\N	142	31661	UROK	\N	\N
3631030	3042	1994-05-31	PRIJEM	\N	139	32151	UROK	\N	\N
3631031	3042	1994-06-30	PRIJEM	\N	124	27909	UROK	\N	\N
3631032	3042	1994-07-31	PRIJEM	\N	117	28137	UROK	\N	\N
3631033	3042	1994-08-31	PRIJEM	\N	98	24685	UROK	\N	\N
3631034	3042	1994-09-30	PRIJEM	\N	114	27850	UROK	\N	\N
3631035	3042	1994-10-31	PRIJEM	\N	119	28220	UROK	\N	\N
3631036	3042	1994-11-30	PRIJEM	\N	120	28490	UROK	\N	\N
3631037	3042	1994-12-31	PRIJEM	\N	121	29265	UROK	\N	\N
3631038	3042	1995-01-31	PRIJEM	\N	79	14274	UROK	\N	\N
3631039	3042	1995-02-28	PRIJEM	\N	95	26320	UROK	\N	\N
3631040	3042	1995-03-31	PRIJEM	\N	117	25188	UROK	\N	\N
3631041	3042	1995-04-30	PRIJEM	\N	92	21210	UROK	\N	\N
3631042	3042	1995-05-31	PRIJEM	\N	90	21650	UROK	\N	\N
3631043	3042	1995-06-30	PRIJEM	\N	134	36818	UROK	\N	\N
3631044	3042	1995-07-31	PRIJEM	\N	155	37923	UROK	\N	\N
3631045	3042	1995-08-31	PRIJEM	\N	150	36724	UROK	\N	\N
3631046	3042	1995-09-30	PRIJEM	\N	148	36623	UROK	\N	\N
3631047	3042	1995-10-31	PRIJEM	\N	135	31748	UROK	\N	\N
3631048	3042	1995-11-30	PRIJEM	\N	132	33130	UROK	\N	\N
3631049	3042	1995-12-31	PRIJEM	\N	142	35567	UROK	\N	\N
3631050	3042	1996-01-31	PRIJEM	\N	104	17322	UROK	\N	\N
3631051	3042	1996-02-29	PRIJEM	\N	103	27775	UROK	\N	\N
3631052	3042	1996-03-31	PRIJEM	\N	112	27297	UROK	\N	\N
3631053	3042	1996-04-30	PRIJEM	\N	132	34179	UROK	\N	\N
3631054	3042	1996-05-31	PRIJEM	\N	142	35571	UROK	\N	\N
3631055	3042	1996-06-30	PRIJEM	\N	160	41485	UROK	\N	\N
3631056	3042	1996-07-31	PRIJEM	\N	151	36886	UROK	\N	\N
3631057	3042	1996-08-31	PRIJEM	\N	121	29658	UROK	\N	\N
3631058	3042	1996-09-30	PRIJEM	\N	100	27008	UROK	\N	\N
3631059	3042	1996-10-31	PRIJEM	\N	98	17156	UROK	\N	\N
3631060	3042	1996-11-30	PRIJEM	\N	96	18502	UROK	\N	\N
3631061	3042	1996-12-31	PRIJEM	\N	110	15586	UROK	\N	\N
3631062	3042	1997-01-31	PRIJEM	\N	81	14697	UROK	\N	\N
3631063	3042	1997-02-28	PRIJEM	\N	87	23634	UROK	\N	\N
3631064	3042	1997-03-31	PRIJEM	\N	117	15181	UROK	\N	\N
3631065	3042	1997-04-30	PRIJEM	\N	89	24121	UROK	\N	\N
3631066	3042	1997-05-31	PRIJEM	\N	117	15288	UROK	\N	\N
3631067	3042	1997-06-30	PRIJEM	\N	113	31855	UROK	\N	\N
3631068	3042	1997-07-31	PRIJEM	\N	143	17548	UROK	\N	\N
3631069	3042	1997-08-31	PRIJEM	\N	99	26497	UROK	\N	\N
3631070	3042	1997-09-30	PRIJEM	\N	119	14866	UROK	\N	\N
3631071	3042	1997-10-31	PRIJEM	\N	88	23804	UROK	\N	\N
3631072	3042	1997-11-30	PRIJEM	\N	124	32779	UROK	\N	\N
3631073	3042	1997-12-31	PRIJEM	\N	145	14658	UROK	\N	\N
3631074	3042	1998-01-31	PRIJEM	\N	74	16622	UROK	\N	\N
3631075	3042	1998-02-28	PRIJEM	\N	93	25566	UROK	\N	\N
3631076	3042	1998-03-31	PRIJEM	\N	123	28660	UROK	\N	\N
3631077	3042	1998-04-30	PRIJEM	\N	144	37654	UROK	\N	\N
3631078	3042	1998-05-31	PRIJEM	\N	182	46686	UROK	\N	\N
3631079	3042	1998-06-30	PRIJEM	\N	222	48963	UROK	\N	\N
3631080	3042	1998-07-31	PRIJEM	\N	229	58042	UROK	\N	\N
3631081	3042	1998-08-31	PRIJEM	\N	254	64027	UROK	\N	\N
3631082	3042	1998-09-30	PRIJEM	\N	204	15881	UROK	\N	\N
3631083	3042	1998-10-31	PRIJEM	\N	91	24821	UROK	\N	\N
3631084	3042	1998-11-30	PRIJEM	\N	127	33799	UROK	\N	\N
3631085	3042	1998-12-31	PRIJEM	\N	183	45156	UROK	\N	\N
3631086	3043	1997-05-31	PRIJEM	\N	56	18848	UROK	\N	\N
3631087	3043	1997-06-30	PRIJEM	\N	79	13246	UROK	\N	\N
3631088	3043	1997-07-31	PRIJEM	\N	59	14674	UROK	\N	\N
3631089	3043	1997-08-31	PRIJEM	\N	63	13607	UROK	\N	\N
3631090	3043	1997-09-30	PRIJEM	\N	57	12873	UROK	\N	\N
3631091	3043	1997-10-31	PRIJEM	\N	56	12999	UROK	\N	\N
3631092	3043	1997-11-30	PRIJEM	\N	57	13945	UROK	\N	\N
3631093	3043	1997-12-31	PRIJEM	\N	59	14124	UROK	\N	\N
3631094	3043	1998-01-31	PRIJEM	\N	55	12348	UROK	\N	\N
3631095	3043	1998-02-28	PRIJEM	\N	55	13772	UROK	\N	\N
3631096	3043	1998-03-31	PRIJEM	\N	61	15203	UROK	\N	\N
3631097	3043	1998-04-30	PRIJEM	\N	64	14716	UROK	\N	\N
3631098	3043	1998-05-31	PRIJEM	\N	60	12046	UROK	\N	\N
3631099	3043	1998-06-30	PRIJEM	\N	54	13469	UROK	\N	\N
3631100	3043	1998-07-31	PRIJEM	\N	60	14899	UROK	\N	\N
3631101	3043	1998-08-31	PRIJEM	\N	66	16334	UROK	\N	\N
3631102	3043	1998-09-30	PRIJEM	\N	70	15134	UROK	\N	\N
3631103	3043	1998-10-31	PRIJEM	\N	67	16570	UROK	\N	\N
3631104	3043	1998-11-30	PRIJEM	\N	73	18012	UROK	\N	\N
3631105	3043	1998-12-31	PRIJEM	\N	72	15994	UROK	\N	\N
3631106	3044	1997-02-28	PRIJEM	\N	3	21173	UROK	\N	\N
3631107	3044	1997-03-31	PRIJEM	\N	83	19820	UROK	\N	\N
3631108	3044	1997-04-30	PRIJEM	\N	87	21270	UROK	\N	\N
3631109	3044	1997-05-31	PRIJEM	\N	92	22166	UROK	\N	\N
3631110	3044	1997-06-30	PRIJEM	\N	96	23625	UROK	\N	\N
3631111	3044	1997-07-31	PRIJEM	\N	103	25091	UROK	\N	\N
3631112	3044	1997-08-31	PRIJEM	\N	104	25358	UROK	\N	\N
3631113	3044	1997-09-30	PRIJEM	\N	110	26831	UROK	\N	\N
3631114	3044	1997-10-31	PRIJEM	\N	116	28311	UROK	\N	\N
3631115	3044	1997-11-30	PRIJEM	\N	122	29796	UROK	\N	\N
3631116	3044	1997-12-31	PRIJEM	\N	119	25998	UROK	\N	\N
3631117	3044	1998-01-31	PRIJEM	\N	86	17677	UROK	\N	\N
3631118	3044	1998-02-28	PRIJEM	\N	68	16228	UROK	\N	\N
3631119	3044	1998-03-31	PRIJEM	\N	72	17663	UROK	\N	\N
3631120	3044	1998-04-30	PRIJEM	\N	77	19104	UROK	\N	\N
3631121	3044	1998-05-31	PRIJEM	\N	81	19428	UROK	\N	\N
3631122	3044	1998-06-30	PRIJEM	\N	78	18370	UROK	\N	\N
3631123	3044	1998-07-31	PRIJEM	\N	80	19814	UROK	\N	\N
3631124	3044	1998-08-31	PRIJEM	\N	80	18457	UROK	\N	\N
3631125	3044	1998-09-30	PRIJEM	\N	71	15092	UROK	\N	\N
3631126	3044	1998-10-31	PRIJEM	\N	67	16522	UROK	\N	\N
3631127	3044	1998-11-30	PRIJEM	\N	73	17958	UROK	\N	\N
3631128	3044	1998-12-31	PRIJEM	\N	77	18098	UROK	\N	\N
3631129	3045	1995-11-30	PRIJEM	\N	99	27528	UROK	\N	\N
3631130	3045	1995-12-31	PRIJEM	\N	127	28503	UROK	\N	\N
3631131	3045	1996-01-31	PRIJEM	\N	100	16742	UROK	\N	\N
3631132	3045	1996-02-29	PRIJEM	\N	79	18759	UROK	\N	\N
3631133	3045	1996-03-31	PRIJEM	\N	100	22557	UROK	\N	\N
3631134	3045	1996-04-30	PRIJEM	\N	116	26371	UROK	\N	\N
3631135	3045	1996-05-31	PRIJEM	\N	122	29892	UROK	\N	\N
3631136	3045	1996-06-30	PRIJEM	\N	129	26969	UROK	\N	\N
3631137	3045	1996-07-31	PRIJEM	\N	128	29195	UROK	\N	\N
3631138	3045	1996-08-31	PRIJEM	\N	130	31623	UROK	\N	\N
3631139	3045	1996-09-30	PRIJEM	\N	145	32046	UROK	\N	\N
3631140	3045	1996-10-31	PRIJEM	\N	131	28675	UROK	\N	\N
3631141	3045	1996-11-30	PRIJEM	\N	139	27713	UROK	\N	\N
3631142	3045	1996-12-31	PRIJEM	\N	126	28238	UROK	\N	\N
3631143	3045	1997-01-31	PRIJEM	\N	104	18880	UROK	\N	\N
3631144	3045	1997-02-28	PRIJEM	\N	91	21769	UROK	\N	\N
3631145	3045	1997-03-31	PRIJEM	\N	102	22330	UROK	\N	\N
3631146	3045	1997-04-30	PRIJEM	\N	105	22333	UROK	\N	\N
3631147	3045	1997-05-31	PRIJEM	\N	104	22736	UROK	\N	\N
3631148	3045	1997-06-30	PRIJEM	\N	102	21737	UROK	\N	\N
3631149	3045	1997-07-31	PRIJEM	\N	103	24338	UROK	\N	\N
3631150	3045	1997-08-31	PRIJEM	\N	116	24432	UROK	\N	\N
3631151	3045	1997-09-30	PRIJEM	\N	112	25543	UROK	\N	\N
3631152	3045	1997-10-31	PRIJEM	\N	112	23934	UROK	\N	\N
3631153	3045	1997-11-30	PRIJEM	\N	109	24541	UROK	\N	\N
3631154	3045	1997-12-31	PRIJEM	\N	112	20432	UROK	\N	\N
3631155	3045	1998-01-31	PRIJEM	\N	73	14293	UROK	\N	\N
3631156	3045	1998-02-28	PRIJEM	\N	75	15066	UROK	\N	\N
3631157	3045	1998-03-31	PRIJEM	\N	60	12365	UROK	\N	\N
3631158	3045	1998-04-30	PRIJEM	\N	64	14687	UROK	\N	\N
3631159	3045	1998-05-31	PRIJEM	\N	71	16256	UROK	\N	\N
3631160	3045	1998-06-30	PRIJEM	\N	86	19940	UROK	\N	\N
3631161	3045	1998-07-31	PRIJEM	\N	96	20435	UROK	\N	\N
3631162	3045	1998-08-31	PRIJEM	\N	85	17918	UROK	\N	\N
3631163	3045	1998-09-30	PRIJEM	\N	85	20101	UROK	\N	\N
3631164	3045	1998-10-31	PRIJEM	\N	86	16406	UROK	\N	\N
3631165	3045	1998-11-30	PRIJEM	\N	89	20193	UROK	\N	\N
3631166	3045	1998-12-31	PRIJEM	\N	85	17126	UROK	\N	\N
3631167	3046	1997-09-30	PRIJEM	\N	47	16301	UROK	\N	\N
3631168	3046	1997-10-31	PRIJEM	\N	90	23946	UROK	\N	\N
3631169	3046	1997-11-30	PRIJEM	\N	114	28814	UROK	\N	\N
3631170	3046	1997-12-31	PRIJEM	\N	125	30693	UROK	\N	\N
3631171	3046	1998-01-31	PRIJEM	\N	120	26604	UROK	\N	\N
3631172	3046	1998-02-28	PRIJEM	\N	117	28258	UROK	\N	\N
3631173	3046	1998-03-31	PRIJEM	\N	110	25405	UROK	\N	\N
3631174	3046	1998-04-30	PRIJEM	\N	119	29161	UROK	\N	\N
3631175	3046	1998-05-31	PRIJEM	\N	133	32632	UROK	\N	\N
3631176	3046	1998-06-30	PRIJEM	\N	130	24839	UROK	\N	\N
3631177	3046	1998-07-31	PRIJEM	\N	110	26006	UROK	\N	\N
3631178	3046	1998-08-31	PRIJEM	\N	87	19931	UROK	\N	\N
3631179	3046	1998-09-30	PRIJEM	\N	86	20754	UROK	\N	\N
3631180	3046	1998-10-31	PRIJEM	\N	85	20377	UROK	\N	\N
3631181	3046	1998-11-30	PRIJEM	\N	71	16585	UROK	\N	\N
3631182	3046	1998-12-31	PRIJEM	\N	57	13129	UROK	\N	\N
3631183	3047	1993-07-31	PRIJEM	\N	51	15705	UROK	\N	\N
3631184	3047	1993-08-31	PRIJEM	\N	69	16917	UROK	\N	\N
3631185	3047	1993-09-30	PRIJEM	\N	74	18135	UROK	\N	\N
3631186	3047	1993-10-31	PRIJEM	\N	79	19357	UROK	\N	\N
3631187	3047	1993-11-30	PRIJEM	\N	81	19532	UROK	\N	\N
3631188	3047	1993-12-31	PRIJEM	\N	84	19829	UROK	\N	\N
3631189	3047	1994-01-31	PRIJEM	\N	68	14921	UROK	\N	\N
3631190	3047	1994-02-28	PRIJEM	\N	66	16130	UROK	\N	\N
3631191	3047	1994-03-31	PRIJEM	\N	71	17344	UROK	\N	\N
3631192	3047	1994-04-30	PRIJEM	\N	71	16728	UROK	\N	\N
3631193	3047	1994-05-31	PRIJEM	\N	73	17734	UROK	\N	\N
3631194	3047	1994-06-30	PRIJEM	\N	75	17153	UROK	\N	\N
3631195	3047	1994-07-31	PRIJEM	\N	75	18372	UROK	\N	\N
3631196	3047	1994-08-31	PRIJEM	\N	80	19595	UROK	\N	\N
3631197	3047	1994-09-30	PRIJEM	\N	85	20824	UROK	\N	\N
3631198	3047	1994-10-31	PRIJEM	\N	90	22057	UROK	\N	\N
3631199	3047	1994-11-30	PRIJEM	\N	93	21704	UROK	\N	\N
3631200	3047	1994-12-31	PRIJEM	\N	94	22941	UROK	\N	\N
3631201	3047	1995-01-31	PRIJEM	\N	80	18525	UROK	\N	\N
3631202	3047	1995-02-28	PRIJEM	\N	78	18546	UROK	\N	\N
3631203	3047	1995-03-31	PRIJEM	\N	80	19139	UROK	\N	\N
3631204	3047	1995-04-30	PRIJEM	\N	83	20366	UROK	\N	\N
3631205	3047	1995-05-31	PRIJEM	\N	88	21597	UROK	\N	\N
3631206	3047	1995-06-30	PRIJEM	\N	77	16188	UROK	\N	\N
3631207	3047	1995-07-31	PRIJEM	\N	67	16258	UROK	\N	\N
3631208	3047	1995-08-31	PRIJEM	\N	71	17473	UROK	\N	\N
3631209	3047	1995-09-30	PRIJEM	\N	76	18692	UROK	\N	\N
3631210	3047	1995-10-31	PRIJEM	\N	81	19917	UROK	\N	\N
3631211	3047	1995-11-30	PRIJEM	\N	86	21146	UROK	\N	\N
3631212	3047	1995-12-31	PRIJEM	\N	91	22080	UROK	\N	\N
3631213	3047	1996-01-31	PRIJEM	\N	84	17997	UROK	\N	\N
3631214	3047	1996-02-29	PRIJEM	\N	78	19219	UROK	\N	\N
3631215	3047	1996-03-31	PRIJEM	\N	83	20445	UROK	\N	\N
3631216	3047	1996-04-30	PRIJEM	\N	88	21677	UROK	\N	\N
3631217	3047	1996-05-31	PRIJEM	\N	91	22101	UROK	\N	\N
3631218	3047	1996-06-30	PRIJEM	\N	95	23339	UROK	\N	\N
3631219	3047	1996-07-31	PRIJEM	\N	100	24583	UROK	\N	\N
3631220	3047	1996-08-31	PRIJEM	\N	104	24360	UROK	\N	\N
3631221	3047	1996-09-30	PRIJEM	\N	104	25097	UROK	\N	\N
3631222	3047	1996-10-31	PRIJEM	\N	107	26348	UROK	\N	\N
3631223	3047	1996-11-30	PRIJEM	\N	111	24803	UROK	\N	\N
3631224	3047	1996-12-31	PRIJEM	\N	103	24969	UROK	\N	\N
3631225	3047	1997-01-31	PRIJEM	\N	97	20179	UROK	\N	\N
3631226	3047	1997-02-28	PRIJEM	\N	85	20418	UROK	\N	\N
3631227	3047	1997-03-31	PRIJEM	\N	86	19448	UROK	\N	\N
3631228	3047	1997-04-30	PRIJEM	\N	83	20474	UROK	\N	\N
3631229	3047	1997-05-31	PRIJEM	\N	87	21194	UROK	\N	\N
3631230	3047	1997-06-30	PRIJEM	\N	61	13429	UROK	\N	\N
3631231	3047	1997-07-31	PRIJEM	\N	58	14630	UROK	\N	\N
3631232	3047	1997-08-31	PRIJEM	\N	63	15837	UROK	\N	\N
3631233	3047	1997-09-30	PRIJEM	\N	68	17048	UROK	\N	\N
3631234	3047	1997-10-31	PRIJEM	\N	70	16972	UROK	\N	\N
3631235	3047	1997-11-30	PRIJEM	\N	73	18188	UROK	\N	\N
3631236	3047	1997-12-31	PRIJEM	\N	78	19409	UROK	\N	\N
3631237	3047	1998-01-31	PRIJEM	\N	74	16996	UROK	\N	\N
3631238	3047	1998-02-28	PRIJEM	\N	73	18212	UROK	\N	\N
3631239	3047	1998-03-31	PRIJEM	\N	78	19433	UROK	\N	\N
3631240	3047	1998-04-30	PRIJEM	\N	83	20509	UROK	\N	\N
3631241	3047	1998-05-31	PRIJEM	\N	83	20475	UROK	\N	\N
3631242	3047	1998-06-30	PRIJEM	\N	82	19601	UROK	\N	\N
3631243	3047	1998-07-31	PRIJEM	\N	83	20347	UROK	\N	\N
3631244	3047	1998-08-31	PRIJEM	\N	86	21576	UROK	\N	\N
3631245	3047	1998-09-30	PRIJEM	\N	88	21008	UROK	\N	\N
3631246	3047	1998-10-31	PRIJEM	\N	87	21138	UROK	\N	\N
3631247	3047	1998-11-30	PRIJEM	\N	87	20968	UROK	\N	\N
3631248	3047	1998-12-31	PRIJEM	\N	88	21989	UROK	\N	\N
3631249	3048	1997-12-31	PRIJEM	\N	10	24419	UROK	\N	\N
3631250	3048	1998-01-31	PRIJEM	\N	102	23721	UROK	\N	\N
3631251	3048	1998-02-28	PRIJEM	\N	105	29471	UROK	\N	\N
3631252	3048	1998-03-31	PRIJEM	\N	122	27693	UROK	\N	\N
3631253	3048	1998-04-30	PRIJEM	\N	122	25816	UROK	\N	\N
3631254	3048	1998-05-31	PRIJEM	\N	136	44459	UROK	\N	\N
3631255	3048	1998-06-30	PRIJEM	\N	185	34544	UROK	\N	\N
3631256	3048	1998-07-31	PRIJEM	\N	184	42876	UROK	\N	\N
3631257	3048	1998-08-31	PRIJEM	\N	192	59924	UROK	\N	\N
3631258	3048	1998-09-30	PRIJEM	\N	247	44442	UROK	\N	\N
3631259	3048	1998-10-31	PRIJEM	\N	243	62967	UROK	\N	\N
3631260	3048	1998-11-30	PRIJEM	\N	261	52798	UROK	\N	\N
3631261	3048	1998-12-31	PRIJEM	\N	252	75107	UROK	\N	\N
3631262	3049	1994-09-30	PRIJEM	\N	10	4052	UROK	\N	\N
3631263	3049	1994-10-31	PRIJEM	\N	46	16039	UROK	\N	\N
3631264	3049	1994-11-30	PRIJEM	\N	86	24167	UROK	\N	\N
3631265	3049	1994-12-31	PRIJEM	\N	106	26515	UROK	\N	\N
3631266	3049	1995-01-31	PRIJEM	\N	107	23434	UROK	\N	\N
3631267	3049	1995-02-28	PRIJEM	\N	93	22793	UROK	\N	\N
3631268	3049	1995-03-31	PRIJEM	\N	97	24257	UROK	\N	\N
3631269	3049	1995-04-30	PRIJEM	\N	103	25436	UROK	\N	\N
3631270	3049	1995-05-31	PRIJEM	\N	113	28516	UROK	\N	\N
3631271	3049	1995-06-30	PRIJEM	\N	105	24046	UROK	\N	\N
3631272	3049	1995-07-31	PRIJEM	\N	99	24412	UROK	\N	\N
3631273	3049	1995-08-31	PRIJEM	\N	103	25751	UROK	\N	\N
3631274	3049	1995-09-30	PRIJEM	\N	107	26424	UROK	\N	\N
3631275	3049	1995-10-31	PRIJEM	\N	121	30812	UROK	\N	\N
3631276	3049	1995-11-30	PRIJEM	\N	124	29453	UROK	\N	\N
3631277	3049	1995-12-31	PRIJEM	\N	126	31185	UROK	\N	\N
3631278	3049	1996-01-31	PRIJEM	\N	114	24425	UROK	\N	\N
3631279	3049	1996-02-29	PRIJEM	\N	97	23788	UROK	\N	\N
3631280	3049	1996-03-31	PRIJEM	\N	106	28260	UROK	\N	\N
3631281	3049	1996-04-30	PRIJEM	\N	119	29346	UROK	\N	\N
3631282	3049	1996-05-31	PRIJEM	\N	115	28827	UROK	\N	\N
3631283	3049	1996-06-30	PRIJEM	\N	109	26123	UROK	\N	\N
3631284	3049	1996-07-31	PRIJEM	\N	112	30601	UROK	\N	\N
3631285	3049	1996-08-31	PRIJEM	\N	129	32377	UROK	\N	\N
3631286	3049	1996-09-30	PRIJEM	\N	136	32780	UROK	\N	\N
3631287	3049	1996-10-31	PRIJEM	\N	134	28880	UROK	\N	\N
3631288	3049	1996-11-30	PRIJEM	\N	123	30769	UROK	\N	\N
3631289	3049	1996-12-31	PRIJEM	\N	126	28352	UROK	\N	\N
3631290	3049	1997-01-31	PRIJEM	\N	113	26751	UROK	\N	\N
3631291	3049	1997-02-28	PRIJEM	\N	114	28931	UROK	\N	\N
3631292	3049	1997-03-31	PRIJEM	\N	123	32560	UROK	\N	\N
3631293	3049	1997-04-30	PRIJEM	\N	135	30762	UROK	\N	\N
3631294	3049	1997-05-31	PRIJEM	\N	125	29413	UROK	\N	\N
3631295	3049	1997-06-30	PRIJEM	\N	110	31499	UROK	\N	\N
3631296	3049	1997-07-31	PRIJEM	\N	131	31396	UROK	\N	\N
3631297	3049	1997-08-31	PRIJEM	\N	129	30192	UROK	\N	\N
3631298	3049	1997-09-30	PRIJEM	\N	128	31686	UROK	\N	\N
3631299	3049	1997-10-31	PRIJEM	\N	137	35690	UROK	\N	\N
3631300	3049	1997-11-30	PRIJEM	\N	152	38408	UROK	\N	\N
3631301	3049	1997-12-31	PRIJEM	\N	162	41176	UROK	\N	\N
3631302	3049	1998-01-31	PRIJEM	\N	167	43179	UROK	\N	\N
3631303	3049	1998-02-28	PRIJEM	\N	190	50826	UROK	\N	\N
3631304	3049	1998-03-31	PRIJEM	\N	217	55210	UROK	\N	\N
3631305	3049	1998-04-30	PRIJEM	\N	239	61515	UROK	\N	\N
3631306	3049	1998-05-31	PRIJEM	\N	258	63139	UROK	\N	\N
3631307	3049	1998-06-30	PRIJEM	\N	254	63479	UROK	\N	\N
3631308	3049	1998-07-31	PRIJEM	\N	264	64109	UROK	\N	\N
3631309	3049	1998-08-31	PRIJEM	\N	268	65544	UROK	\N	\N
3631310	3049	1998-09-30	PRIJEM	\N	278	68468	UROK	\N	\N
3631311	3049	1998-10-31	PRIJEM	\N	282	68116	UROK	\N	\N
3631312	3049	1998-11-30	PRIJEM	\N	278	66360	UROK	\N	\N
3631313	3049	1998-12-31	PRIJEM	\N	267	62963	UROK	\N	\N
3631314	3050	1993-06-30	PRIJEM	\N	235	73803	UROK	\N	\N
3631315	3050	1993-07-31	PRIJEM	\N	368	93016	UROK	\N	\N
3631316	3050	1993-08-31	PRIJEM	\N	407	99468	UROK	\N	\N
3631317	3050	1993-09-30	PRIJEM	\N	423	102736	UROK	\N	\N
3631318	3050	1993-10-31	PRIJEM	\N	254	42156	UROK	\N	\N
3631319	3050	1993-11-30	PRIJEM	\N	227	53537	UROK	\N	\N
3631320	3050	1993-12-31	PRIJEM	\N	293	57796	UROK	\N	\N
3631321	3050	1994-01-31	PRIJEM	\N	173	16739	UROK	\N	\N
3631322	3050	1994-02-28	PRIJEM	\N	131	25756	UROK	\N	\N
3631323	3050	1994-03-31	PRIJEM	\N	183	42593	UROK	\N	\N
3631324	3050	1994-04-30	PRIJEM	\N	152	14934	UROK	\N	\N
3631325	3050	1994-05-31	PRIJEM	\N	149	35362	UROK	\N	\N
3631326	3050	1994-06-30	PRIJEM	\N	270	66409	UROK	\N	\N
3631327	3050	1994-07-31	PRIJEM	\N	292	69564	UROK	\N	\N
3631328	3050	1994-08-31	PRIJEM	\N	300	64301	UROK	\N	\N
3631329	3050	1994-09-30	PRIJEM	\N	276	67323	UROK	\N	\N
3631330	3050	1994-10-31	PRIJEM	\N	244	42943	UROK	\N	\N
3631331	3050	1994-11-30	PRIJEM	\N	236	41036	UROK	\N	\N
3631332	3050	1994-12-31	PRIJEM	\N	251	37267	UROK	\N	\N
3631333	3050	1995-01-31	PRIJEM	\N	170	23584	UROK	\N	\N
3631334	3050	1995-02-28	PRIJEM	\N	182	41313	UROK	\N	\N
3631335	3050	1995-03-31	PRIJEM	\N	252	47111	UROK	\N	\N
3631336	3050	1995-04-30	PRIJEM	\N	202	38043	UROK	\N	\N
3631337	3050	1995-05-31	PRIJEM	\N	237	47227	UROK	\N	\N
3631338	3050	1995-06-30	PRIJEM	\N	172	28499	UROK	\N	\N
3631339	3050	1995-07-31	PRIJEM	\N	165	35410	UROK	\N	\N
3631340	3050	1995-08-31	PRIJEM	\N	223	46480	UROK	\N	\N
3631341	3050	1995-09-30	PRIJEM	\N	258	47093	UROK	\N	\N
3631342	3050	1995-10-31	PRIJEM	\N	260	45447	UROK	\N	\N
3631343	3050	1995-11-30	PRIJEM	\N	168	30799	UROK	\N	\N
3631344	3050	1995-12-31	PRIJEM	\N	225	45997	UROK	\N	\N
3631345	3050	1996-01-31	PRIJEM	\N	214	31365	UROK	\N	\N
3631346	3050	1996-02-29	PRIJEM	\N	196	43715	UROK	\N	\N
3631347	3050	1996-03-31	PRIJEM	\N	253	47623	UROK	\N	\N
3631348	3050	1996-04-30	PRIJEM	\N	251	48829	UROK	\N	\N
3631349	3050	1996-05-31	PRIJEM	\N	268	54651	UROK	\N	\N
3631350	3050	1996-06-30	PRIJEM	\N	244	42072	UROK	\N	\N
3631351	3050	1996-07-31	PRIJEM	\N	235	46961	UROK	\N	\N
3631352	3050	1996-08-31	PRIJEM	\N	181	36697	UROK	\N	\N
3631353	3050	1996-09-30	PRIJEM	\N	202	44153	UROK	\N	\N
3631354	3050	1996-10-31	PRIJEM	\N	212	30284	UROK	\N	\N
3631355	3050	1996-11-30	PRIJEM	\N	181	25519	UROK	\N	\N
3631356	3050	1996-12-31	PRIJEM	\N	219	43610	UROK	\N	\N
3631357	3050	1997-01-31	PRIJEM	\N	144	24385	UROK	\N	\N
3631358	3050	1997-02-28	PRIJEM	\N	156	24344	UROK	\N	\N
3631359	3050	1997-03-31	PRIJEM	\N	151	28350	UROK	\N	\N
3631360	3050	1997-04-30	PRIJEM	\N	153	35257	UROK	\N	\N
3631361	3050	1997-05-31	PRIJEM	\N	209	44221	UROK	\N	\N
3631362	3050	1997-06-30	PRIJEM	\N	137	22835	UROK	\N	\N
3631363	3050	1997-07-31	PRIJEM	\N	174	43563	UROK	\N	\N
3631364	3050	1997-08-31	PRIJEM	\N	200	36617	UROK	\N	\N
3631365	3050	1997-09-30	PRIJEM	\N	197	44469	UROK	\N	\N
3631366	3050	1997-10-31	PRIJEM	\N	236	55560	UROK	\N	\N
3631367	3050	1997-11-30	PRIJEM	\N	239	54253	UROK	\N	\N
3631368	3050	1997-12-31	PRIJEM	\N	190	27321	UROK	\N	\N
3631369	3050	1998-01-31	PRIJEM	\N	168	22443	UROK	\N	\N
3631370	3050	1998-02-28	PRIJEM	\N	160	42257	UROK	\N	\N
3631371	3050	1998-03-31	PRIJEM	\N	225	52637	UROK	\N	\N
3631372	3050	1998-04-30	PRIJEM	\N	213	51872	UROK	\N	\N
3631373	3050	1998-05-31	PRIJEM	\N	197	44038	UROK	\N	\N
3631374	3050	1998-06-30	PRIJEM	\N	241	54123	UROK	\N	\N
3631375	3050	1998-07-31	PRIJEM	\N	200	32856	UROK	\N	\N
3631376	3050	1998-08-31	PRIJEM	\N	151	36261	UROK	\N	\N
3631377	3050	1998-09-30	PRIJEM	\N	156	37246	UROK	\N	\N
3631378	3050	1998-10-31	PRIJEM	\N	157	39057	UROK	\N	\N
3631379	3050	1998-11-30	PRIJEM	\N	177	44589	UROK	\N	\N
3631380	3050	1998-12-31	PRIJEM	\N	238	55904	UROK	\N	\N
3631381	3051	1996-01-31	PRIJEM	\N	285	76529	UROK	\N	\N
3631382	3051	1996-02-29	PRIJEM	\N	217	81019	UROK	\N	\N
3631383	3051	1996-03-31	PRIJEM	\N	375	101455	UROK	\N	\N
3631384	3051	1996-04-30	PRIJEM	\N	343	105310	UROK	\N	\N
3631385	3051	1996-05-31	PRIJEM	\N	332	62301	UROK	\N	\N
3631386	3051	1996-06-30	PRIJEM	\N	341	57117	UROK	\N	\N
3631387	3051	1996-07-31	PRIJEM	\N	316	67055	UROK	\N	\N
3631388	3051	1996-08-31	PRIJEM	\N	350	57700	UROK	\N	\N
3631389	3051	1996-09-30	PRIJEM	\N	347	68424	UROK	\N	\N
3631390	3051	1996-10-31	PRIJEM	\N	329	54661	UROK	\N	\N
3631391	3051	1996-11-30	PRIJEM	\N	288	98936	UROK	\N	\N
3631392	3051	1996-12-31	PRIJEM	\N	384	85201	UROK	\N	\N
3631393	3051	1997-01-31	PRIJEM	\N	298	63587	UROK	\N	\N
3631394	3051	1997-02-28	PRIJEM	\N	282	47949	UROK	\N	\N
3631395	3051	1997-03-31	PRIJEM	\N	116	21572	UROK	\N	\N
3631396	3051	1997-04-30	PRIJEM	\N	201	48158	UROK	\N	\N
3631397	3051	1997-05-31	PRIJEM	\N	192	42502	UROK	\N	\N
3631398	3051	1997-06-30	PRIJEM	\N	120	28198	UROK	\N	\N
3631399	3051	1997-07-31	PRIJEM	\N	161	34955	UROK	\N	\N
3631400	3051	1997-08-31	PRIJEM	\N	220	44788	UROK	\N	\N
3631401	3051	1997-09-30	PRIJEM	\N	267	84304	UROK	\N	\N
3631402	3051	1997-10-31	PRIJEM	\N	275	46612	UROK	\N	\N
3631403	3051	1997-11-30	PRIJEM	\N	185	73051	UROK	\N	\N
3631404	3051	1997-12-31	PRIJEM	\N	309	51236	UROK	\N	\N
3631405	3051	1998-01-31	PRIJEM	\N	241	75928	UROK	\N	\N
3631406	3051	1998-02-28	PRIJEM	\N	263	65997	UROK	\N	\N
3631407	3051	1998-03-31	PRIJEM	\N	296	57837	UROK	\N	\N
3631408	3051	1998-04-30	PRIJEM	\N	241	54837	UROK	\N	\N
3631409	3051	1998-05-31	PRIJEM	\N	249	63448	UROK	\N	\N
3631410	3051	1998-06-30	PRIJEM	\N	333	101158	UROK	\N	\N
3631411	3051	1998-07-31	PRIJEM	\N	407	99891	UROK	\N	\N
3631412	3051	1998-08-31	PRIJEM	\N	381	80680	UROK	\N	\N
3631413	3051	1998-09-30	PRIJEM	\N	421	82456	UROK	\N	\N
3631414	3051	1998-10-31	PRIJEM	\N	322	102026	UROK	\N	\N
3631415	3051	1998-11-30	PRIJEM	\N	344	65367	UROK	\N	\N
3631416	3051	1998-12-31	PRIJEM	\N	271	53124	UROK	\N	\N
3631417	3052	1997-09-30	PRIJEM	\N	40	36083	UROK	\N	\N
3631418	3052	1997-10-31	PRIJEM	\N	150	27133	UROK	\N	\N
3631419	3052	1997-11-30	PRIJEM	\N	150	23883	UROK	\N	\N
3631420	3052	1997-12-31	PRIJEM	\N	150	19734	UROK	\N	\N
3631421	3052	1998-01-31	PRIJEM	\N	150	19484	UROK	\N	\N
3631422	3052	1998-02-28	PRIJEM	\N	150	17634	UROK	\N	\N
3631423	3052	1998-03-31	PRIJEM	\N	150	18384	UROK	\N	\N
3631424	3052	1998-04-30	PRIJEM	\N	150	17934	UROK	\N	\N
3631425	3052	1998-05-31	PRIJEM	\N	150	21484	UROK	\N	\N
3631426	3052	1998-06-30	PRIJEM	\N	138	28070	UROK	\N	\N
3631427	3052	1998-07-31	PRIJEM	\N	116	21487	UROK	\N	\N
3631428	3052	1998-08-31	PRIJEM	\N	122	50480	UROK	\N	\N
3631429	3052	1998-09-30	PRIJEM	\N	210	35990	UROK	\N	\N
3631430	3052	1998-10-31	PRIJEM	\N	210	28400	UROK	\N	\N
3631431	3052	1998-11-30	PRIJEM	\N	210	30609	UROK	\N	\N
3631432	3053	1993-09-30	PRIJEM	\N	23	18026	UROK	\N	\N
3631433	3053	1993-10-31	PRIJEM	\N	86	26515	UROK	\N	\N
3631434	3053	1993-11-30	PRIJEM	\N	118	31835	UROK	\N	\N
3631435	3053	1993-12-31	PRIJEM	\N	145	40234	UROK	\N	\N
3631436	3053	1994-01-31	PRIJEM	\N	166	34203	UROK	\N	\N
3631437	3053	1994-02-28	PRIJEM	\N	141	31068	UROK	\N	\N
3631438	3053	1994-03-31	PRIJEM	\N	135	31426	UROK	\N	\N
3631439	3053	1994-04-30	PRIJEM	\N	131	27180	UROK	\N	\N
3631440	3053	1994-05-31	PRIJEM	\N	117	27121	UROK	\N	\N
3631441	3053	1994-06-30	PRIJEM	\N	112	29507	UROK	\N	\N
3631442	3053	1994-07-31	PRIJEM	\N	130	31660	UROK	\N	\N
3631443	3053	1994-08-31	PRIJEM	\N	138	33421	UROK	\N	\N
3631444	3053	1994-09-30	PRIJEM	\N	135	30079	UROK	\N	\N
3631445	3053	1994-10-31	PRIJEM	\N	133	31536	UROK	\N	\N
3631446	3053	1994-11-30	PRIJEM	\N	135	33095	UROK	\N	\N
3631447	3053	1994-12-31	PRIJEM	\N	146	36515	UROK	\N	\N
3631448	3053	1995-01-31	PRIJEM	\N	134	19272	UROK	\N	\N
3631449	3053	1995-02-28	PRIJEM	\N	97	26592	UROK	\N	\N
3631450	3053	1995-03-31	PRIJEM	\N	121	31137	UROK	\N	\N
3631451	3053	1995-04-30	PRIJEM	\N	132	29292	UROK	\N	\N
3631452	3053	1995-05-31	PRIJEM	\N	129	32545	UROK	\N	\N
3631453	3053	1995-06-30	PRIJEM	\N	143	35862	UROK	\N	\N
3631454	3053	1995-07-31	PRIJEM	\N	157	39543	UROK	\N	\N
3631455	3053	1995-08-31	PRIJEM	\N	168	37534	UROK	\N	\N
3631456	3053	1995-09-30	PRIJEM	\N	169	43326	UROK	\N	\N
3631457	3053	1995-10-31	PRIJEM	\N	184	44734	UROK	\N	\N
3631458	3053	1995-11-30	PRIJEM	\N	190	47547	UROK	\N	\N
3631459	3053	1995-12-31	PRIJEM	\N	204	51226	UROK	\N	\N
3631460	3053	1996-01-31	PRIJEM	\N	169	34018	UROK	\N	\N
3631461	3053	1996-02-29	PRIJEM	\N	153	39994	UROK	\N	\N
3631462	3053	1996-03-31	PRIJEM	\N	171	43489	UROK	\N	\N
3631463	3053	1996-04-30	PRIJEM	\N	185	45197	UROK	\N	\N
3631464	3053	1996-05-31	PRIJEM	\N	183	45504	UROK	\N	\N
3631465	3053	1996-06-30	PRIJEM	\N	180	46058	UROK	\N	\N
3631466	3053	1996-07-31	PRIJEM	\N	188	45370	UROK	\N	\N
3631467	3053	1996-08-31	PRIJEM	\N	179	44872	UROK	\N	\N
3631468	3053	1996-09-30	PRIJEM	\N	190	48586	UROK	\N	\N
3631469	3053	1996-10-31	PRIJEM	\N	199	50208	UROK	\N	\N
3631470	3053	1996-11-30	PRIJEM	\N	201	50432	UROK	\N	\N
3631471	3053	1996-12-31	PRIJEM	\N	232	61239	UROK	\N	\N
3631472	3053	1997-01-31	PRIJEM	\N	198	39560	UROK	\N	\N
3631473	3053	1997-02-28	PRIJEM	\N	189	50372	UROK	\N	\N
3631474	3053	1997-03-31	PRIJEM	\N	216	53511	UROK	\N	\N
3631475	3053	1997-04-30	PRIJEM	\N	223	56357	UROK	\N	\N
3631476	3053	1997-05-31	PRIJEM	\N	230	57810	UROK	\N	\N
3631477	3053	1997-06-30	PRIJEM	\N	229	56713	UROK	\N	\N
3631478	3053	1997-07-31	PRIJEM	\N	240	60876	UROK	\N	\N
3631479	3053	1997-08-31	PRIJEM	\N	259	65458	UROK	\N	\N
3631480	3053	1997-09-30	PRIJEM	\N	264	66646	UROK	\N	\N
3631481	3053	1997-10-31	PRIJEM	\N	258	63927	UROK	\N	\N
3631482	3053	1997-11-30	PRIJEM	\N	249	63300	UROK	\N	\N
3631483	3053	1997-12-31	PRIJEM	\N	261	64435	UROK	\N	\N
3631484	3053	1998-01-31	PRIJEM	\N	247	54005	UROK	\N	\N
3631485	3053	1998-02-28	PRIJEM	\N	234	60262	UROK	\N	\N
3631486	3053	1998-03-31	PRIJEM	\N	257	66443	UROK	\N	\N
3631487	3053	1998-04-30	PRIJEM	\N	280	64946	UROK	\N	\N
3631488	3053	1998-05-31	PRIJEM	\N	278	65547	UROK	\N	\N
3631489	3053	1998-06-30	PRIJEM	\N	243	60764	UROK	\N	\N
3631490	3053	1998-07-31	PRIJEM	\N	248	66135	UROK	\N	\N
3631491	3053	1998-08-31	PRIJEM	\N	284	71042	UROK	\N	\N
3631492	3053	1998-09-30	PRIJEM	\N	302	73668	UROK	\N	\N
3631493	3053	1998-10-31	PRIJEM	\N	314	77905	UROK	\N	\N
3631494	3053	1998-11-30	PRIJEM	\N	330	80158	UROK	\N	\N
3631495	3053	1998-12-31	PRIJEM	\N	350	86982	UROK	\N	\N
3631496	3055	1996-09-30	PRIJEM	\N	31	28087	UROK	\N	\N
3631497	3055	1996-10-31	PRIJEM	\N	125	34626	UROK	\N	\N
3631498	3055	1996-11-30	PRIJEM	\N	143	32050	UROK	\N	\N
3631499	3055	1996-12-31	PRIJEM	\N	131	32611	UROK	\N	\N
3631500	3055	1997-01-31	PRIJEM	\N	120	25912	UROK	\N	\N
3631501	3055	1997-02-28	PRIJEM	\N	115	29307	UROK	\N	\N
3631502	3055	1997-03-31	PRIJEM	\N	121	26108	UROK	\N	\N
3631503	3055	1997-04-30	PRIJEM	\N	114	27602	UROK	\N	\N
3631504	3055	1997-05-31	PRIJEM	\N	124	32006	UROK	\N	\N
3631505	3055	1997-06-30	PRIJEM	\N	134	30370	UROK	\N	\N
3631506	3055	1997-07-31	PRIJEM	\N	136	34886	UROK	\N	\N
3631507	3055	1997-08-31	PRIJEM	\N	140	32047	UROK	\N	\N
3631508	3055	1997-09-30	PRIJEM	\N	142	36269	UROK	\N	\N
3631509	3055	1997-10-31	PRIJEM	\N	156	38965	UROK	\N	\N
3631510	3055	1997-11-30	PRIJEM	\N	164	40010	UROK	\N	\N
3631511	3055	1997-12-31	PRIJEM	\N	159	37099	UROK	\N	\N
3631512	3055	1998-01-31	PRIJEM	\N	144	34824	UROK	\N	\N
3631513	3055	1998-02-28	PRIJEM	\N	145	35549	UROK	\N	\N
3631514	3055	1998-03-31	PRIJEM	\N	145	34355	UROK	\N	\N
3631515	3055	1998-04-30	PRIJEM	\N	137	30552	UROK	\N	\N
3631516	3055	1998-05-31	PRIJEM	\N	128	29520	UROK	\N	\N
3631517	3055	1998-06-30	PRIJEM	\N	88	21388	UROK	\N	\N
3631518	3055	1998-07-31	PRIJEM	\N	98	25867	UROK	\N	\N
3631519	3055	1998-08-31	PRIJEM	\N	117	30363	UROK	\N	\N
3631520	3055	1998-09-30	PRIJEM	\N	135	32078	UROK	\N	\N
3631521	3055	1998-10-31	PRIJEM	\N	137	34515	UROK	\N	\N
3631522	3055	1998-11-30	PRIJEM	\N	152	39048	UROK	\N	\N
3631523	3055	1998-12-31	PRIJEM	\N	163	40341	UROK	\N	\N
3631524	3056	1994-05-31	PRIJEM	\N	59	22051	UROK	\N	\N
3631525	3056	1994-06-30	PRIJEM	\N	75	16713	UROK	\N	\N
3631526	3056	1994-07-31	PRIJEM	\N	76	18225	UROK	\N	\N
3631527	3056	1994-08-31	PRIJEM	\N	70	14691	UROK	\N	\N
3631528	3056	1994-09-30	PRIJEM	\N	65	16192	UROK	\N	\N
3631529	3056	1994-10-31	PRIJEM	\N	65	14973	UROK	\N	\N
3631530	3056	1994-11-30	PRIJEM	\N	66	16476	UROK	\N	\N
3631531	3056	1994-12-31	PRIJEM	\N	72	17284	UROK	\N	\N
3631532	3056	1995-01-31	PRIJEM	\N	66	13586	UROK	\N	\N
3631533	3056	1995-02-28	PRIJEM	\N	60	15083	UROK	\N	\N
3631534	3056	1995-03-31	PRIJEM	\N	69	16588	UROK	\N	\N
3631535	3056	1995-04-30	PRIJEM	\N	75	18100	UROK	\N	\N
3631536	3056	1995-05-31	PRIJEM	\N	81	19618	UROK	\N	\N
3631537	3056	1995-06-30	PRIJEM	\N	81	16435	UROK	\N	\N
3631538	3056	1995-07-31	PRIJEM	\N	72	17943	UROK	\N	\N
3631539	3056	1995-08-31	PRIJEM	\N	79	19458	UROK	\N	\N
3631540	3056	1995-09-30	PRIJEM	\N	70	15925	UROK	\N	\N
3631541	3056	1995-10-31	PRIJEM	\N	70	16951	UROK	\N	\N
3631542	3056	1995-11-30	PRIJEM	\N	76	18464	UROK	\N	\N
3631543	3056	1995-12-31	PRIJEM	\N	80	18930	UROK	\N	\N
3631544	3056	1996-01-31	PRIJEM	\N	81	17847	UROK	\N	\N
3631545	3056	1996-02-29	PRIJEM	\N	71	16635	UROK	\N	\N
3631546	3056	1996-03-31	PRIJEM	\N	73	18144	UROK	\N	\N
3631547	3056	1996-04-30	PRIJEM	\N	79	19659	UROK	\N	\N
3631548	3056	1996-05-31	PRIJEM	\N	88	21183	UROK	\N	\N
3631549	3056	1996-06-30	PRIJEM	\N	94	22714	UROK	\N	\N
3631550	3056	1996-07-31	PRIJEM	\N	87	20637	UROK	\N	\N
3631551	3056	1996-08-31	PRIJEM	\N	92	22165	UROK	\N	\N
3631552	3056	1996-09-30	PRIJEM	\N	96	23697	UROK	\N	\N
3631553	3056	1996-10-31	PRIJEM	\N	102	25236	UROK	\N	\N
3631554	3056	1996-11-30	PRIJEM	\N	103	22375	UROK	\N	\N
3631555	3056	1996-12-31	PRIJEM	\N	93	23005	UROK	\N	\N
3631556	3056	1997-01-31	PRIJEM	\N	90	18472	UROK	\N	\N
3631557	3056	1997-02-28	PRIJEM	\N	80	19988	UROK	\N	\N
3631558	3056	1997-03-31	PRIJEM	\N	89	21513	UROK	\N	\N
3631559	3056	1997-04-30	PRIJEM	\N	93	23042	UROK	\N	\N
3631560	3056	1997-05-31	PRIJEM	\N	101	24580	UROK	\N	\N
3631561	3056	1997-06-30	PRIJEM	\N	84	16830	UROK	\N	\N
3631562	3056	1997-07-31	PRIJEM	\N	75	18342	UROK	\N	\N
3631563	3056	1997-08-31	PRIJEM	\N	82	19860	UROK	\N	\N
3631564	3056	1997-09-30	PRIJEM	\N	80	19536	UROK	\N	\N
3631565	3056	1997-10-31	PRIJEM	\N	84	21056	UROK	\N	\N
3631566	3056	1997-11-30	PRIJEM	\N	90	22583	UROK	\N	\N
3631567	3056	1997-12-31	PRIJEM	\N	94	22804	UROK	\N	\N
3631568	3056	1998-01-31	PRIJEM	\N	84	19924	UROK	\N	\N
3631569	3056	1998-02-28	PRIJEM	\N	85	21446	UROK	\N	\N
3631570	3056	1998-03-31	PRIJEM	\N	92	22974	UROK	\N	\N
3631571	3056	1998-04-30	PRIJEM	\N	99	23230	UROK	\N	\N
3631572	3056	1998-05-31	PRIJEM	\N	102	24768	UROK	\N	\N
3631573	3056	1998-06-30	PRIJEM	\N	108	26312	UROK	\N	\N
3631574	3056	1998-07-31	PRIJEM	\N	112	27860	UROK	\N	\N
3631575	3056	1998-08-31	PRIJEM	\N	118	29415	UROK	\N	\N
3631576	3056	1998-09-30	PRIJEM	\N	120	28891	UROK	\N	\N
3631577	3056	1998-10-31	PRIJEM	\N	125	30453	UROK	\N	\N
3631578	3056	1998-11-30	PRIJEM	\N	131	32020	UROK	\N	\N
3631579	3056	1998-12-31	PRIJEM	\N	135	32992	UROK	\N	\N
3631580	3057	1997-08-31	PRIJEM	\N	29	21665	UROK	\N	\N
3631581	3057	1997-09-30	PRIJEM	\N	102	30103	UROK	\N	\N
3631582	3057	1997-10-31	PRIJEM	\N	129	32968	UROK	\N	\N
3631583	3057	1997-11-30	PRIJEM	\N	143	36947	UROK	\N	\N
3631584	3057	1997-12-31	PRIJEM	\N	168	46169	UROK	\N	\N
3631585	3057	1998-01-31	PRIJEM	\N	185	34230	UROK	\N	\N
3631586	3057	1998-02-28	PRIJEM	\N	151	32357	UROK	\N	\N
3631587	3057	1998-03-31	PRIJEM	\N	150	32581	UROK	\N	\N
3631588	3057	1998-04-30	PRIJEM	\N	145	30502	UROK	\N	\N
3631589	3057	1998-05-31	PRIJEM	\N	133	31911	UROK	\N	\N
3631590	3057	1998-06-30	PRIJEM	\N	149	36753	UROK	\N	\N
3631591	3057	1998-07-31	PRIJEM	\N	176	43505	UROK	\N	\N
3631592	3057	1998-08-31	PRIJEM	\N	181	40361	UROK	\N	\N
3631593	3057	1998-09-30	PRIJEM	\N	165	35201	UROK	\N	\N
3631594	3057	1998-10-31	PRIJEM	\N	164	40140	UROK	\N	\N
3631595	3057	1998-11-30	PRIJEM	\N	168	38083	UROK	\N	\N
3631596	3057	1998-12-31	PRIJEM	\N	175	40252	UROK	\N	\N
3631597	3059	1997-03-31	PRIJEM	\N	47	23492	UROK	\N	\N
3631598	3059	1997-04-30	PRIJEM	\N	130	39268	UROK	\N	\N
3631599	3059	1997-05-31	PRIJEM	\N	175	44888	UROK	\N	\N
3631600	3059	1997-06-30	PRIJEM	\N	203	52258	UROK	\N	\N
3631601	3059	1997-07-31	PRIJEM	\N	224	50407	UROK	\N	\N
3631602	3059	1997-08-31	PRIJEM	\N	220	51036	UROK	\N	\N
3631603	3059	1997-09-30	PRIJEM	\N	212	48559	UROK	\N	\N
3631604	3059	1997-10-31	PRIJEM	\N	212	50382	UROK	\N	\N
3631605	3059	1997-11-30	PRIJEM	\N	211	49603	UROK	\N	\N
3631606	3059	1997-12-31	PRIJEM	\N	242	53677	UROK	\N	\N
3631607	3059	1998-01-31	PRIJEM	\N	185	24033	UROK	\N	\N
3631608	3059	1998-02-28	PRIJEM	\N	130	34474	UROK	\N	\N
3631609	3059	1998-03-31	PRIJEM	\N	153	35338	UROK	\N	\N
3631610	3059	1998-04-30	PRIJEM	\N	169	43217	UROK	\N	\N
3631611	3059	1998-05-31	PRIJEM	\N	184	44712	UROK	\N	\N
3631612	3059	1998-06-30	PRIJEM	\N	177	38962	UROK	\N	\N
3631613	3059	1998-07-31	PRIJEM	\N	169	41041	UROK	\N	\N
3631614	3059	1998-08-31	PRIJEM	\N	175	39806	UROK	\N	\N
3631615	3059	1998-09-30	PRIJEM	\N	164	38281	UROK	\N	\N
3631616	3059	1998-10-31	PRIJEM	\N	169	40961	UROK	\N	\N
3631617	3059	1998-11-30	PRIJEM	\N	175	41746	UROK	\N	\N
3631618	3059	1998-12-31	PRIJEM	\N	200	48279	UROK	\N	\N
3631619	3060	1997-06-30	PRIJEM	\N	70	29595	UROK	\N	\N
3631620	3060	1997-07-31	PRIJEM	\N	155	42967	UROK	\N	\N
3631621	3060	1997-08-31	PRIJEM	\N	199	51383	UROK	\N	\N
3631622	3060	1997-09-30	PRIJEM	\N	224	55723	UROK	\N	\N
3631623	3060	1997-10-31	PRIJEM	\N	234	56254	UROK	\N	\N
3631624	3060	1997-11-30	PRIJEM	\N	221	54857	UROK	\N	\N
3631625	3060	1997-12-31	PRIJEM	\N	225	62393	UROK	\N	\N
3631626	3060	1998-01-31	PRIJEM	\N	222	48378	UROK	\N	\N
3631627	3060	1998-02-28	PRIJEM	\N	183	46103	UROK	\N	\N
3631628	3060	1998-03-31	PRIJEM	\N	178	44344	UROK	\N	\N
3631629	3060	1998-04-30	PRIJEM	\N	173	44259	UROK	\N	\N
3631630	3060	1998-05-31	PRIJEM	\N	178	45880	UROK	\N	\N
3631631	3060	1998-06-30	PRIJEM	\N	193	52324	UROK	\N	\N
3631632	3060	1998-07-31	PRIJEM	\N	180	43146	UROK	\N	\N
3631633	3060	1998-08-31	PRIJEM	\N	167	42655	UROK	\N	\N
3631634	3060	1998-09-30	PRIJEM	\N	172	44569	UROK	\N	\N
3631635	3060	1998-10-31	PRIJEM	\N	166	41577	UROK	\N	\N
3631636	3060	1998-11-30	PRIJEM	\N	168	43687	UROK	\N	\N
3631637	3060	1998-12-31	PRIJEM	\N	145	43103	UROK	\N	\N
3631638	3061	1995-11-30	PRIJEM	\N	10	3277	UROK	\N	\N
3631639	3061	1995-12-31	PRIJEM	\N	14	6257	UROK	\N	\N
3631640	3061	1996-01-31	PRIJEM	\N	14	9238	UROK	\N	\N
3631641	3061	1996-02-29	PRIJEM	\N	14	12218	UROK	\N	\N
3631642	3061	1996-03-31	PRIJEM	\N	49	13256	UROK	\N	\N
3631643	3061	1996-04-30	PRIJEM	\N	57	13267	UROK	\N	\N
3631644	3061	1996-05-31	PRIJEM	\N	58	14300	UROK	\N	\N
3631645	3061	1996-06-30	PRIJEM	\N	62	15337	UROK	\N	\N
3631646	3061	1996-07-31	PRIJEM	\N	67	16378	UROK	\N	\N
3631647	3061	1996-08-31	PRIJEM	\N	71	17423	UROK	\N	\N
3631648	3061	1996-09-30	PRIJEM	\N	76	18473	UROK	\N	\N
3631649	3061	1996-10-31	PRIJEM	\N	78	18505	UROK	\N	\N
3631650	3061	1996-11-30	PRIJEM	\N	80	19559	UROK	\N	\N
3631651	3061	1996-12-31	PRIJEM	\N	79	18753	UROK	\N	\N
3631652	3061	1997-01-31	PRIJEM	\N	77	16714	UROK	\N	\N
3631653	3061	1997-02-28	PRIJEM	\N	71	15389	UROK	\N	\N
3631654	3061	1997-03-31	PRIJEM	\N	66	15800	UROK	\N	\N
3631655	3061	1997-04-30	PRIJEM	\N	69	16843	UROK	\N	\N
3631656	3061	1997-05-31	PRIJEM	\N	75	16722	UROK	\N	\N
3631657	3061	1997-06-30	PRIJEM	\N	78	17775	UROK	\N	\N
3631658	3061	1997-07-31	PRIJEM	\N	77	18826	UROK	\N	\N
3631659	3061	1997-08-31	PRIJEM	\N	87	19887	UROK	\N	\N
3631660	3061	1997-09-30	PRIJEM	\N	86	20947	UROK	\N	\N
3631661	3061	1997-10-31	PRIJEM	\N	94	21535	UROK	\N	\N
3631662	3061	1997-11-30	PRIJEM	\N	92	22602	UROK	\N	\N
3631663	3061	1997-12-31	PRIJEM	\N	95	23071	UROK	\N	\N
3631664	3061	1998-01-31	PRIJEM	\N	97	21173	UROK	\N	\N
3631665	3061	1998-02-28	PRIJEM	\N	91	22238	UROK	\N	\N
3631666	3061	1998-03-31	PRIJEM	\N	98	21901	UROK	\N	\N
3631667	3061	1998-04-30	PRIJEM	\N	91	22097	UROK	\N	\N
3631668	3061	1998-05-31	PRIJEM	\N	100	23171	UROK	\N	\N
3631669	3061	1998-06-30	PRIJEM	\N	96	22502	UROK	\N	\N
3631670	3061	1998-07-31	PRIJEM	\N	100	23276	UROK	\N	\N
3631671	3061	1998-08-31	PRIJEM	\N	102	23512	UROK	\N	\N
3631672	3061	1998-09-30	PRIJEM	\N	99	23185	UROK	\N	\N
3631673	3061	1998-10-31	PRIJEM	\N	97	20157	UROK	\N	\N
3631674	3061	1998-11-30	PRIJEM	\N	86	20587	UROK	\N	\N
3631675	3061	1998-12-31	PRIJEM	\N	87	21258	UROK	\N	\N
3631676	3062	1998-01-31	PRIJEM	\N	14	20189	UROK	\N	\N
3631677	3062	1998-02-28	PRIJEM	\N	89	22092	UROK	\N	\N
3631678	3062	1998-03-31	PRIJEM	\N	97	23044	UROK	\N	\N
3631679	3062	1998-04-30	PRIJEM	\N	101	24959	UROK	\N	\N
3631680	3062	1998-05-31	PRIJEM	\N	109	26883	UROK	\N	\N
3631681	3062	1998-06-30	PRIJEM	\N	111	13139	UROK	\N	\N
3631682	3062	1998-07-31	PRIJEM	\N	60	15013	UROK	\N	\N
3631683	3062	1998-08-31	PRIJEM	\N	68	16895	UROK	\N	\N
3631684	3062	1998-09-30	PRIJEM	\N	65	15735	UROK	\N	\N
3631685	3062	1998-10-31	PRIJEM	\N	71	17620	UROK	\N	\N
3631686	3062	1998-11-30	PRIJEM	\N	79	19513	UROK	\N	\N
3631687	3062	1998-12-31	PRIJEM	\N	84	20562	UROK	\N	\N
3631688	3063	1993-10-31	PRIJEM	\N	55	16300	UROK	\N	\N
3631689	3063	1993-11-30	PRIJEM	\N	71	17251	UROK	\N	\N
3631690	3063	1993-12-31	PRIJEM	\N	74	17725	UROK	\N	\N
3631691	3063	1994-01-31	PRIJEM	\N	74	15379	UROK	\N	\N
3631692	3063	1994-02-28	PRIJEM	\N	68	16598	UROK	\N	\N
3631693	3063	1994-03-31	PRIJEM	\N	73	17281	UROK	\N	\N
3631694	3063	1994-04-30	PRIJEM	\N	76	18507	UROK	\N	\N
3631695	3063	1994-05-31	PRIJEM	\N	80	19378	UROK	\N	\N
3631696	3063	1994-06-30	PRIJEM	\N	85	20612	UROK	\N	\N
3631697	3063	1994-07-31	PRIJEM	\N	90	21853	UROK	\N	\N
3631698	3063	1994-08-31	PRIJEM	\N	95	23098	UROK	\N	\N
3631699	3063	1994-09-30	PRIJEM	\N	99	23897	UROK	\N	\N
3631700	3063	1994-10-31	PRIJEM	\N	103	25151	UROK	\N	\N
3631701	3063	1994-11-30	PRIJEM	\N	109	26410	UROK	\N	\N
3631702	3063	1994-12-31	PRIJEM	\N	111	25841	UROK	\N	\N
3631703	3063	1995-01-31	PRIJEM	\N	102	22623	UROK	\N	\N
3631704	3063	1995-02-28	PRIJEM	\N	98	22641	UROK	\N	\N
3631705	3063	1995-03-31	PRIJEM	\N	98	23890	UROK	\N	\N
3631706	3063	1995-04-30	PRIJEM	\N	103	25143	UROK	\N	\N
3631707	3063	1995-05-31	PRIJEM	\N	108	26402	UROK	\N	\N
3631708	3063	1995-06-30	PRIJEM	\N	114	27666	UROK	\N	\N
3631709	3063	1995-07-31	PRIJEM	\N	117	28153	UROK	\N	\N
3631710	3063	1995-08-31	PRIJEM	\N	120	28854	UROK	\N	\N
3631711	3063	1995-09-30	PRIJEM	\N	123	29677	UROK	\N	\N
3631712	3063	1995-10-31	PRIJEM	\N	127	30954	UROK	\N	\N
3631713	3063	1995-11-30	PRIJEM	\N	132	32237	UROK	\N	\N
3631714	3063	1995-12-31	PRIJEM	\N	135	32713	UROK	\N	\N
3631715	3063	1996-01-31	PRIJEM	\N	129	28142	UROK	\N	\N
3631716	3063	1996-02-29	PRIJEM	\N	121	29413	UROK	\N	\N
3631717	3063	1996-03-31	PRIJEM	\N	126	30689	UROK	\N	\N
3631718	3063	1996-04-30	PRIJEM	\N	131	31971	UROK	\N	\N
3631719	3063	1996-05-31	PRIJEM	\N	136	33258	UROK	\N	\N
3631720	3063	1996-06-30	PRIJEM	\N	139	33187	UROK	\N	\N
3631721	3063	1996-07-31	PRIJEM	\N	137	33175	UROK	\N	\N
3631722	3063	1996-08-31	PRIJEM	\N	141	34466	UROK	\N	\N
3631723	3063	1996-09-30	PRIJEM	\N	137	32034	UROK	\N	\N
3631724	3063	1996-10-31	PRIJEM	\N	134	32148	UROK	\N	\N
3631725	3063	1996-11-30	PRIJEM	\N	135	32683	UROK	\N	\N
3631726	3063	1996-12-31	PRIJEM	\N	139	33672	UROK	\N	\N
3631727	3063	1997-01-31	PRIJEM	\N	134	30607	UROK	\N	\N
3631728	3063	1997-02-28	PRIJEM	\N	130	31887	UROK	\N	\N
3631729	3063	1997-03-31	PRIJEM	\N	135	32002	UROK	\N	\N
3631730	3063	1997-04-30	PRIJEM	\N	135	32177	UROK	\N	\N
3631731	3063	1997-05-31	PRIJEM	\N	135	32142	UROK	\N	\N
3631732	3063	1997-06-30	PRIJEM	\N	136	32438	UROK	\N	\N
3631733	3063	1997-07-31	PRIJEM	\N	136	33154	UROK	\N	\N
3631734	3063	1997-08-31	PRIJEM	\N	138	33572	UROK	\N	\N
3631735	3063	1997-09-30	PRIJEM	\N	142	34664	UROK	\N	\N
3631736	3063	1997-10-31	PRIJEM	\N	146	35961	UROK	\N	\N
3631737	3063	1997-11-30	PRIJEM	\N	150	36632	UROK	\N	\N
3631738	3063	1997-12-31	PRIJEM	\N	152	37064	UROK	\N	\N
3631739	3063	1998-01-31	PRIJEM	\N	153	35967	UROK	\N	\N
3631740	3063	1998-02-28	PRIJEM	\N	151	37269	UROK	\N	\N
3631741	3063	1998-03-31	PRIJEM	\N	157	38576	UROK	\N	\N
3631742	3063	1998-04-30	PRIJEM	\N	162	39889	UROK	\N	\N
3631743	3063	1998-05-31	PRIJEM	\N	164	39973	UROK	\N	\N
3631744	3063	1998-06-30	PRIJEM	\N	168	41292	UROK	\N	\N
3631745	3063	1998-07-31	PRIJEM	\N	173	42375	UROK	\N	\N
3631746	3063	1998-08-31	PRIJEM	\N	178	43703	UROK	\N	\N
3631747	3063	1998-09-30	PRIJEM	\N	182	42535	UROK	\N	\N
3631748	3063	1998-10-31	PRIJEM	\N	177	41482	UROK	\N	\N
3631749	3063	1998-11-30	PRIJEM	\N	173	42566	UROK	\N	\N
3631750	3063	1998-12-31	PRIJEM	\N	176	43082	UROK	\N	\N
3631751	3064	1993-06-30	PRIJEM	\N	22	17703	UROK	\N	\N
3631752	3064	1993-07-31	PRIJEM	\N	85	26442	UROK	\N	\N
3631753	3064	1993-08-31	PRIJEM	\N	112	27708	UROK	\N	\N
3631754	3064	1993-09-30	PRIJEM	\N	121	31883	UROK	\N	\N
3631755	3064	1993-10-31	PRIJEM	\N	135	33472	UROK	\N	\N
3631756	3064	1993-11-30	PRIJEM	\N	136	32079	UROK	\N	\N
3631757	3064	1993-12-31	PRIJEM	\N	130	30147	UROK	\N	\N
3631758	3064	1994-01-31	PRIJEM	\N	90	12607	UROK	\N	\N
3631759	3064	1994-02-28	PRIJEM	\N	54	14152	UROK	\N	\N
3631760	3064	1994-03-31	PRIJEM	\N	70	20592	UROK	\N	\N
3631761	3064	1994-04-30	PRIJEM	\N	89	23352	UROK	\N	\N
3631762	3064	1994-05-31	PRIJEM	\N	97	22919	UROK	\N	\N
3631763	3064	1994-06-30	PRIJEM	\N	104	26221	UROK	\N	\N
3631764	3064	1994-07-31	PRIJEM	\N	116	30007	UROK	\N	\N
3631765	3064	1994-08-31	PRIJEM	\N	125	30803	UROK	\N	\N
3631766	3064	1994-09-30	PRIJEM	\N	129	31902	UROK	\N	\N
3631767	3064	1994-10-31	PRIJEM	\N	123	26975	UROK	\N	\N
3631768	3064	1994-11-30	PRIJEM	\N	111	26936	UROK	\N	\N
3631769	3064	1994-12-31	PRIJEM	\N	116	31389	UROK	\N	\N
3631770	3064	1995-01-31	PRIJEM	\N	106	18426	UROK	\N	\N
3631771	3064	1995-02-28	PRIJEM	\N	101	29197	UROK	\N	\N
3631772	3064	1995-03-31	PRIJEM	\N	127	31994	UROK	\N	\N
3631773	3064	1995-04-30	PRIJEM	\N	135	33415	UROK	\N	\N
3631774	3064	1995-05-31	PRIJEM	\N	140	34940	UROK	\N	\N
3631775	3064	1995-06-30	PRIJEM	\N	164	43857	UROK	\N	\N
3631776	3064	1995-07-31	PRIJEM	\N	169	36611	UROK	\N	\N
3631777	3064	1995-08-31	PRIJEM	\N	156	36153	UROK	\N	\N
3631778	3064	1995-09-30	PRIJEM	\N	141	34179	UROK	\N	\N
3631779	3064	1995-10-31	PRIJEM	\N	138	34002	UROK	\N	\N
3631780	3064	1995-11-30	PRIJEM	\N	125	29353	UROK	\N	\N
3631781	3064	1995-12-31	PRIJEM	\N	129	32674	UROK	\N	\N
3631782	3064	1996-01-31	PRIJEM	\N	103	22003	UROK	\N	\N
3631783	3064	1996-02-29	PRIJEM	\N	108	29196	UROK	\N	\N
3631784	3064	1996-03-31	PRIJEM	\N	132	33013	UROK	\N	\N
3631785	3064	1996-04-30	PRIJEM	\N	142	36225	UROK	\N	\N
3631786	3064	1996-05-31	PRIJEM	\N	154	38549	UROK	\N	\N
3631787	3064	1996-06-30	PRIJEM	\N	153	35680	UROK	\N	\N
3631788	3064	1996-07-31	PRIJEM	\N	145	35995	UROK	\N	\N
3631789	3064	1996-08-31	PRIJEM	\N	143	34589	UROK	\N	\N
3631790	3064	1996-09-30	PRIJEM	\N	134	29533	UROK	\N	\N
3631791	3064	1996-10-31	PRIJEM	\N	129	33633	UROK	\N	\N
3631792	3064	1996-11-30	PRIJEM	\N	132	32575	UROK	\N	\N
3631793	3064	1996-12-31	PRIJEM	\N	151	37503	UROK	\N	\N
3631794	3064	1997-01-31	PRIJEM	\N	129	21023	UROK	\N	\N
3631795	3064	1997-02-28	PRIJEM	\N	131	34705	UROK	\N	\N
3631796	3064	1997-03-31	PRIJEM	\N	155	40030	UROK	\N	\N
3631797	3064	1997-04-30	PRIJEM	\N	180	46080	UROK	\N	\N
3631798	3064	1997-05-31	PRIJEM	\N	195	48646	UROK	\N	\N
3631799	3064	1997-06-30	PRIJEM	\N	177	44300	UROK	\N	\N
3631800	3064	1997-07-31	PRIJEM	\N	211	54082	UROK	\N	\N
3631801	3064	1997-08-31	PRIJEM	\N	232	57685	UROK	\N	\N
3631802	3064	1997-09-30	PRIJEM	\N	239	57094	UROK	\N	\N
3631803	3064	1997-10-31	PRIJEM	\N	236	56700	UROK	\N	\N
3631804	3064	1997-11-30	PRIJEM	\N	233	55703	UROK	\N	\N
3631805	3064	1997-12-31	PRIJEM	\N	230	53550	UROK	\N	\N
3631806	3064	1998-01-31	PRIJEM	\N	198	42198	UROK	\N	\N
3631807	3064	1998-02-28	PRIJEM	\N	174	44142	UROK	\N	\N
3631808	3064	1998-03-31	PRIJEM	\N	172	42825	UROK	\N	\N
3631809	3064	1998-04-30	PRIJEM	\N	175	44671	UROK	\N	\N
3631810	3064	1998-05-31	PRIJEM	\N	173	39654	UROK	\N	\N
3631811	3064	1998-06-30	PRIJEM	\N	157	39548	UROK	\N	\N
3631812	3064	1998-07-31	PRIJEM	\N	157	43835	UROK	\N	\N
3631813	3064	1998-08-31	PRIJEM	\N	179	45384	UROK	\N	\N
3631814	3064	1998-09-30	PRIJEM	\N	186	49441	UROK	\N	\N
3631815	3064	1998-10-31	PRIJEM	\N	199	51451	UROK	\N	\N
3631816	3064	1998-11-30	PRIJEM	\N	209	53330	UROK	\N	\N
3631817	3064	1998-12-31	PRIJEM	\N	219	56126	UROK	\N	\N
3631818	3066	1996-09-30	PRIJEM	\N	50	17913	UROK	\N	\N
3631819	3066	1996-10-31	PRIJEM	\N	109	30285	UROK	\N	\N
3631820	3066	1996-11-30	PRIJEM	\N	133	32680	UROK	\N	\N
3631821	3066	1996-12-31	PRIJEM	\N	156	39631	UROK	\N	\N
3631822	3066	1997-01-31	PRIJEM	\N	125	16518	UROK	\N	\N
3631823	3066	1997-02-28	PRIJEM	\N	104	25469	UROK	\N	\N
3631824	3066	1997-03-31	PRIJEM	\N	126	31302	UROK	\N	\N
3631825	3066	1997-04-30	PRIJEM	\N	130	30739	UROK	\N	\N
3631826	3066	1997-05-31	PRIJEM	\N	126	29672	UROK	\N	\N
3631827	3066	1997-06-30	PRIJEM	\N	137	30908	UROK	\N	\N
3631828	3066	1997-07-31	PRIJEM	\N	138	33853	UROK	\N	\N
3631829	3066	1997-08-31	PRIJEM	\N	140	33460	UROK	\N	\N
3631830	3066	1997-09-30	PRIJEM	\N	126	28374	UROK	\N	\N
3631831	3066	1997-10-31	PRIJEM	\N	130	31712	UROK	\N	\N
3631832	3066	1997-11-30	PRIJEM	\N	138	32057	UROK	\N	\N
3631833	3066	1997-12-31	PRIJEM	\N	142	31857	UROK	\N	\N
3631834	3066	1998-01-31	PRIJEM	\N	117	25081	UROK	\N	\N
3631835	3066	1998-02-28	PRIJEM	\N	150	37538	UROK	\N	\N
3631836	3066	1998-03-31	PRIJEM	\N	156	37302	UROK	\N	\N
3631837	3066	1998-04-30	PRIJEM	\N	184	43593	UROK	\N	\N
3631838	3066	1998-05-31	PRIJEM	\N	201	49002	UROK	\N	\N
3631839	3066	1998-06-30	PRIJEM	\N	171	41592	UROK	\N	\N
3631840	3066	1998-07-31	PRIJEM	\N	194	46013	UROK	\N	\N
3631841	3066	1998-08-31	PRIJEM	\N	201	47982	UROK	\N	\N
3631842	3066	1998-09-30	PRIJEM	\N	200	47889	UROK	\N	\N
3631843	3066	1998-10-31	PRIJEM	\N	194	46751	UROK	\N	\N
3631844	3066	1998-11-30	PRIJEM	\N	161	39759	UROK	\N	\N
3631845	3066	1998-12-31	PRIJEM	\N	178	44835	UROK	\N	\N
3631846	3067	1997-03-31	PRIJEM	\N	65	18467	UROK	\N	\N
3631847	3067	1997-04-30	PRIJEM	\N	96	28964	UROK	\N	\N
3631848	3067	1997-05-31	PRIJEM	\N	111	26076	UROK	\N	\N
3631849	3067	1997-06-30	PRIJEM	\N	123	23537	UROK	\N	\N
3631850	3067	1997-07-31	PRIJEM	\N	103	20193	UROK	\N	\N
3631851	3067	1997-08-31	PRIJEM	\N	65	17950	UROK	\N	\N
3631852	3067	1997-09-30	PRIJEM	\N	80	16482	UROK	\N	\N
3631853	3067	1997-10-31	PRIJEM	\N	75	16810	UROK	\N	\N
3631854	3067	1997-11-30	PRIJEM	\N	75	15737	UROK	\N	\N
3631855	3067	1997-12-31	PRIJEM	\N	79	18240	UROK	\N	\N
3631856	3067	1998-01-31	PRIJEM	\N	63	13095	UROK	\N	\N
3631857	3067	1998-02-28	PRIJEM	\N	63	16511	UROK	\N	\N
3631858	3067	1998-03-31	PRIJEM	\N	74	18377	UROK	\N	\N
3631859	3067	1998-04-30	PRIJEM	\N	83	20012	UROK	\N	\N
3631860	3067	1998-05-31	PRIJEM	\N	87	19311	UROK	\N	\N
3631861	3067	1998-06-30	PRIJEM	\N	88	16382	UROK	\N	\N
3631862	3067	1998-07-31	PRIJEM	\N	70	16504	UROK	\N	\N
3631863	3067	1998-08-31	PRIJEM	\N	74	17331	UROK	\N	\N
3631864	3067	1998-09-30	PRIJEM	\N	73	14057	UROK	\N	\N
3631865	3067	1998-10-31	PRIJEM	\N	68	17017	UROK	\N	\N
3631866	3067	1998-11-30	PRIJEM	\N	74	16543	UROK	\N	\N
3631867	3067	1998-12-31	PRIJEM	\N	87	21533	UROK	\N	\N
3631868	3068	1993-09-30	PRIJEM	\N	34	26899	UROK	\N	\N
3631869	3068	1993-10-31	PRIJEM	\N	104	23923	UROK	\N	\N
3631870	3068	1993-11-30	PRIJEM	\N	96	23159	UROK	\N	\N
3631871	3068	1993-12-31	PRIJEM	\N	99	24409	UROK	\N	\N
3631872	3068	1994-01-31	PRIJEM	\N	107	26816	UROK	\N	\N
3631873	3068	1994-02-28	PRIJEM	\N	112	25849	UROK	\N	\N
3631874	3068	1994-03-31	PRIJEM	\N	113	28262	UROK	\N	\N
3631875	3068	1994-04-30	PRIJEM	\N	114	24657	UROK	\N	\N
3631876	3068	1994-05-31	PRIJEM	\N	99	20256	UROK	\N	\N
3631877	3068	1994-06-30	PRIJEM	\N	76	20233	UROK	\N	\N
3631878	3068	1994-07-31	PRIJEM	\N	90	22623	UROK	\N	\N
3631879	3068	1994-08-31	PRIJEM	\N	100	25023	UROK	\N	\N
3631880	3068	1994-09-30	PRIJEM	\N	109	26392	UROK	\N	\N
3631881	3068	1994-10-31	PRIJEM	\N	113	27405	UROK	\N	\N
3631882	3068	1994-11-30	PRIJEM	\N	118	29223	UROK	\N	\N
3631883	3068	1994-12-31	PRIJEM	\N	119	27593	UROK	\N	\N
3631884	3068	1995-01-31	PRIJEM	\N	98	21311	UROK	\N	\N
3631885	3068	1995-02-28	PRIJEM	\N	90	20262	UROK	\N	\N
3631886	3068	1995-03-31	PRIJEM	\N	89	22251	UROK	\N	\N
3631887	3068	1995-04-30	PRIJEM	\N	92	21943	UROK	\N	\N
3631888	3068	1995-05-31	PRIJEM	\N	93	22636	UROK	\N	\N
3631889	3068	1995-06-30	PRIJEM	\N	99	22436	UROK	\N	\N
3631890	3068	1995-07-31	PRIJEM	\N	89	20825	UROK	\N	\N
3631891	3068	1995-08-31	PRIJEM	\N	92	23217	UROK	\N	\N
3631892	3068	1995-09-30	PRIJEM	\N	102	25619	UROK	\N	\N
3631893	3068	1995-10-31	PRIJEM	\N	112	28032	UROK	\N	\N
3631894	3068	1995-11-30	PRIJEM	\N	111	27243	UROK	\N	\N
3631895	3068	1995-12-31	PRIJEM	\N	104	26047	UROK	\N	\N
3631896	3068	1996-01-31	PRIJEM	\N	95	21262	UROK	\N	\N
3631897	3068	1996-02-29	PRIJEM	\N	86	22148	UROK	\N	\N
3631898	3068	1996-03-31	PRIJEM	\N	91	23140	UROK	\N	\N
3631899	3068	1996-04-30	PRIJEM	\N	101	25541	UROK	\N	\N
3631900	3068	1996-05-31	PRIJEM	\N	95	22957	UROK	\N	\N
3631901	3068	1996-06-30	PRIJEM	\N	88	23185	UROK	\N	\N
3631902	3068	1996-07-31	PRIJEM	\N	73	18638	UROK	\N	\N
3631903	3068	1996-08-31	PRIJEM	\N	81	20300	UROK	\N	\N
3631904	3068	1996-09-30	PRIJEM	\N	82	21782	UROK	\N	\N
3631905	3068	1996-10-31	PRIJEM	\N	76	19758	UROK	\N	\N
3631906	3068	1996-11-30	PRIJEM	\N	87	22145	UROK	\N	\N
3631907	3068	1996-12-31	PRIJEM	\N	92	24137	UROK	\N	\N
3631908	3068	1997-01-31	PRIJEM	\N	63	15900	UROK	\N	\N
3631909	3068	1997-02-28	PRIJEM	\N	63	17664	UROK	\N	\N
3631910	3068	1997-03-31	PRIJEM	\N	78	20042	UROK	\N	\N
3631911	3068	1997-04-30	PRIJEM	\N	62	16604	UROK	\N	\N
3631912	3068	1997-05-31	PRIJEM	\N	66	18170	UROK	\N	\N
3631913	3068	1997-06-30	PRIJEM	\N	61	16631	UROK	\N	\N
3631914	3068	1997-07-31	PRIJEM	\N	73	19004	UROK	\N	\N
3631915	3068	1997-08-31	PRIJEM	\N	82	18827	UROK	\N	\N
3631916	3068	1997-09-30	PRIJEM	\N	82	21210	UROK	\N	\N
3631917	3068	1997-10-31	PRIJEM	\N	86	19275	UROK	\N	\N
3631918	3068	1997-11-30	PRIJEM	\N	84	21660	UROK	\N	\N
3631919	3068	1997-12-31	PRIJEM	\N	93	23503	UROK	\N	\N
3631920	3068	1998-01-31	PRIJEM	\N	96	23020	UROK	\N	\N
3631921	3068	1998-02-28	PRIJEM	\N	99	25419	UROK	\N	\N
3631922	3068	1998-03-31	PRIJEM	\N	90	21890	UROK	\N	\N
3631923	3068	1998-04-30	PRIJEM	\N	94	24284	UROK	\N	\N
3631924	3068	1998-05-31	PRIJEM	\N	98	23163	UROK	\N	\N
3631925	3068	1998-06-30	PRIJEM	\N	100	25563	UROK	\N	\N
3631926	3068	1998-07-31	PRIJEM	\N	110	27973	UROK	\N	\N
3631927	3068	1998-08-31	PRIJEM	\N	120	30393	UROK	\N	\N
3631928	3068	1998-09-30	PRIJEM	\N	122	31055	UROK	\N	\N
3631929	3068	1998-10-31	PRIJEM	\N	132	33488	UROK	\N	\N
3631930	3068	1998-11-30	PRIJEM	\N	142	35930	UROK	\N	\N
3631931	3068	1998-12-31	PRIJEM	\N	150	36920	UROK	\N	\N
3631932	3069	1993-04-30	PRIJEM	\N	39	23295	UROK	\N	\N
3631933	3069	1993-05-31	PRIJEM	\N	118	35669	UROK	\N	\N
3631934	3069	1993-06-30	PRIJEM	\N	167	46270	UROK	\N	\N
3631935	3069	1993-07-31	PRIJEM	\N	189	44816	UROK	\N	\N
3631936	3069	1993-08-31	PRIJEM	\N	187	41754	UROK	\N	\N
3631937	3069	1993-09-30	PRIJEM	\N	178	41670	UROK	\N	\N
3631938	3069	1993-10-31	PRIJEM	\N	181	43288	UROK	\N	\N
3631939	3069	1993-11-30	PRIJEM	\N	179	41704	UROK	\N	\N
3631940	3069	1993-12-31	PRIJEM	\N	197	44917	UROK	\N	\N
3631941	3069	1994-01-31	PRIJEM	\N	173	29627	UROK	\N	\N
3631942	3069	1994-02-28	PRIJEM	\N	126	30391	UROK	\N	\N
3631943	3069	1994-03-31	PRIJEM	\N	142	36370	UROK	\N	\N
3631944	3069	1994-04-30	PRIJEM	\N	163	41470	UROK	\N	\N
3631945	3069	1994-05-31	PRIJEM	\N	210	43418	UROK	\N	\N
3631946	3069	1994-06-30	PRIJEM	\N	155	19388	UROK	\N	\N
3631947	3069	1994-07-31	PRIJEM	\N	109	28035	UROK	\N	\N
3631948	3069	1994-08-31	PRIJEM	\N	133	33805	UROK	\N	\N
3631949	3069	1994-09-30	PRIJEM	\N	152	37295	UROK	\N	\N
3631950	3069	1994-10-31	PRIJEM	\N	162	37294	UROK	\N	\N
3631951	3069	1994-11-30	PRIJEM	\N	187	46819	UROK	\N	\N
3631952	3069	1994-12-31	PRIJEM	\N	252	66786	UROK	\N	\N
3631953	3069	1995-01-31	PRIJEM	\N	241	51665	UROK	\N	\N
3631954	3069	1995-02-28	PRIJEM	\N	229	54531	UROK	\N	\N
3631955	3069	1995-03-31	PRIJEM	\N	243	59812	UROK	\N	\N
3631956	3069	1995-04-30	PRIJEM	\N	255	60205	UROK	\N	\N
3631957	3069	1995-05-31	PRIJEM	\N	255	61297	UROK	\N	\N
3631958	3069	1995-06-30	PRIJEM	\N	227	49239	UROK	\N	\N
3631959	3069	1995-07-31	PRIJEM	\N	224	56801	UROK	\N	\N
3631960	3069	1995-08-31	PRIJEM	\N	235	58073	UROK	\N	\N
3631961	3069	1995-09-30	PRIJEM	\N	263	65474	UROK	\N	\N
3631962	3069	1995-10-31	PRIJEM	\N	280	67791	UROK	\N	\N
3631963	3069	1995-11-30	PRIJEM	\N	293	71321	UROK	\N	\N
3631964	3069	1995-12-31	PRIJEM	\N	293	75630	UROK	\N	\N
3631965	3069	1996-01-31	PRIJEM	\N	239	47006	UROK	\N	\N
3631966	3069	1996-02-29	PRIJEM	\N	216	54059	UROK	\N	\N
3631967	3069	1996-03-31	PRIJEM	\N	248	61944	UROK	\N	\N
3631968	3069	1996-04-30	PRIJEM	\N	267	65048	UROK	\N	\N
3631969	3069	1996-05-31	PRIJEM	\N	294	67379	UROK	\N	\N
3631970	3069	1996-06-30	PRIJEM	\N	279	69273	UROK	\N	\N
3631971	3069	1996-07-31	PRIJEM	\N	289	69200	UROK	\N	\N
3631972	3069	1996-08-31	PRIJEM	\N	301	73838	UROK	\N	\N
3631973	3069	1996-09-30	PRIJEM	\N	297	70873	UROK	\N	\N
3631974	3069	1996-10-31	PRIJEM	\N	257	55467	UROK	\N	\N
3631975	3069	1996-11-30	PRIJEM	\N	259	54463	UROK	\N	\N
3631976	3069	1996-12-31	PRIJEM	\N	295	63373	UROK	\N	\N
3631977	3069	1997-01-31	PRIJEM	\N	260	51871	UROK	\N	\N
3631978	3069	1997-02-28	PRIJEM	\N	247	59955	UROK	\N	\N
3631979	3069	1997-03-31	PRIJEM	\N	276	61468	UROK	\N	\N
3631980	3069	1997-04-30	PRIJEM	\N	286	65991	UROK	\N	\N
3631981	3069	1997-05-31	PRIJEM	\N	303	67732	UROK	\N	\N
3631982	3069	1997-06-30	PRIJEM	\N	292	65039	UROK	\N	\N
3631983	3069	1997-07-31	PRIJEM	\N	299	70375	UROK	\N	\N
3631984	3069	1997-08-31	PRIJEM	\N	319	75331	UROK	\N	\N
3631985	3069	1997-09-30	PRIJEM	\N	336	73204	UROK	\N	\N
3631986	3069	1997-10-31	PRIJEM	\N	328	77670	UROK	\N	\N
3631987	3069	1997-11-30	PRIJEM	\N	342	79650	UROK	\N	\N
3631988	3069	1997-12-31	PRIJEM	\N	380	84245	UROK	\N	\N
3631989	3069	1998-01-31	PRIJEM	\N	350	71832	UROK	\N	\N
3631990	3069	1998-02-28	PRIJEM	\N	320	72789	UROK	\N	\N
3631991	3069	1998-03-31	PRIJEM	\N	321	73648	UROK	\N	\N
3631992	3069	1998-04-30	PRIJEM	\N	319	72804	UROK	\N	\N
3631993	3069	1998-05-31	PRIJEM	\N	320	76261	UROK	\N	\N
3631994	3069	1998-06-30	PRIJEM	\N	322	72499	UROK	\N	\N
3631995	3069	1998-07-31	PRIJEM	\N	310	70846	UROK	\N	\N
3631996	3069	1998-08-31	PRIJEM	\N	319	75702	UROK	\N	\N
3631997	3069	1998-09-30	PRIJEM	\N	327	79367	UROK	\N	\N
3631998	3069	1998-10-31	PRIJEM	\N	339	77743	UROK	\N	\N
3631999	3069	1998-11-30	PRIJEM	\N	334	81814	UROK	\N	\N
3632000	3069	1998-12-31	PRIJEM	\N	368	83498	UROK	\N	\N
3632001	3070	1997-09-30	PRIJEM	\N	32	21252	UROK	\N	\N
3632002	3070	1997-10-31	PRIJEM	\N	109	33981	UROK	\N	\N
3632003	3070	1997-11-30	PRIJEM	\N	147	37749	UROK	\N	\N
3632004	3070	1997-12-31	PRIJEM	\N	169	44998	UROK	\N	\N
3632005	3070	1998-01-31	PRIJEM	\N	182	23286	UROK	\N	\N
3632006	3070	1998-02-28	PRIJEM	\N	128	29285	UROK	\N	\N
3632007	3070	1998-03-31	PRIJEM	\N	141	26818	UROK	\N	\N
3632008	3070	1998-04-30	PRIJEM	\N	138	33287	UROK	\N	\N
3632009	3070	1998-05-31	PRIJEM	\N	154	34073	UROK	\N	\N
3632010	3070	1998-06-30	PRIJEM	\N	84	14628	UROK	\N	\N
3632011	3070	1998-07-31	PRIJEM	\N	86	20845	UROK	\N	\N
3632012	3070	1998-08-31	PRIJEM	\N	98	20974	UROK	\N	\N
3632013	3070	1998-09-30	PRIJEM	\N	101	23006	UROK	\N	\N
3632014	3070	1998-10-31	PRIJEM	\N	105	23042	UROK	\N	\N
3632015	3070	1998-11-30	PRIJEM	\N	101	17154	UROK	\N	\N
3632016	3070	1998-12-31	PRIJEM	\N	88	16933	UROK	\N	\N
3632017	3071	1996-10-31	PRIJEM	\N	71	25237	UROK	\N	\N
3632018	3071	1996-11-30	PRIJEM	\N	175	50478	UROK	\N	\N
3632019	3071	1996-12-31	PRIJEM	\N	284	76760	UROK	\N	\N
3632020	3071	1997-01-31	PRIJEM	\N	328	81254	UROK	\N	\N
3632021	3071	1997-02-28	PRIJEM	\N	231	79151	UROK	\N	\N
3632022	3071	1997-03-31	PRIJEM	\N	302	75014	UROK	\N	\N
3632023	3071	1997-04-30	PRIJEM	\N	289	71665	UROK	\N	\N
3632024	3071	1997-05-31	PRIJEM	\N	282	71308	UROK	\N	\N
3632025	3071	1997-06-30	PRIJEM	\N	318	87021	UROK	\N	\N
3632026	3071	1997-07-31	PRIJEM	\N	314	64597	UROK	\N	\N
3632027	3071	1997-08-31	PRIJEM	\N	295	54733	UROK	\N	\N
3632028	3071	1997-09-30	PRIJEM	\N	259	57453	UROK	\N	\N
3632029	3071	1997-10-31	PRIJEM	\N	268	57082	UROK	\N	\N
3632030	3071	1997-11-30	PRIJEM	\N	266	58910	UROK	\N	\N
3632031	3071	1997-12-31	PRIJEM	\N	304	64748	UROK	\N	\N
3632032	3071	1998-01-31	PRIJEM	\N	293	63402	UROK	\N	\N
3632033	3071	1998-02-28	PRIJEM	\N	289	59553	UROK	\N	\N
3632034	3071	1998-03-31	PRIJEM	\N	272	56506	UROK	\N	\N
3632035	3071	1998-04-30	PRIJEM	\N	257	51624	UROK	\N	\N
3632036	3071	1998-05-31	PRIJEM	\N	222	45427	UROK	\N	\N
3632037	3071	1998-06-30	PRIJEM	\N	241	52062	UROK	\N	\N
3632038	3071	1998-07-31	PRIJEM	\N	241	52465	UROK	\N	\N
3632039	3071	1998-08-31	PRIJEM	\N	239	50865	UROK	\N	\N
3632040	3071	1998-09-30	PRIJEM	\N	231	49558	UROK	\N	\N
3632041	3071	1998-10-31	PRIJEM	\N	214	47973	UROK	\N	\N
3632042	3071	1998-11-30	PRIJEM	\N	217	49051	UROK	\N	\N
3632043	3071	1998-12-31	PRIJEM	\N	268	72814	UROK	\N	\N
3632044	3072	1993-06-30	PRIJEM	\N	119	34459	UROK	\N	\N
3632045	3072	1993-07-31	PRIJEM	\N	203	51790	UROK	\N	\N
3632046	3072	1993-08-31	PRIJEM	\N	240	59057	UROK	\N	\N
3632047	3072	1993-09-30	PRIJEM	\N	265	64849	UROK	\N	\N
3632048	3072	1993-10-31	PRIJEM	\N	262	62370	UROK	\N	\N
3632049	3072	1993-11-30	PRIJEM	\N	256	59171	UROK	\N	\N
3632050	3072	1993-12-31	PRIJEM	\N	288	68116	UROK	\N	\N
3632051	3072	1994-01-31	PRIJEM	\N	223	48984	UROK	\N	\N
3632052	3072	1994-02-28	PRIJEM	\N	214	52443	UROK	\N	\N
3632053	3072	1994-03-31	PRIJEM	\N	227	51814	UROK	\N	\N
3632054	3072	1994-04-30	PRIJEM	\N	239	58397	UROK	\N	\N
3632055	3072	1994-05-31	PRIJEM	\N	241	58182	UROK	\N	\N
3632056	3072	1994-06-30	PRIJEM	\N	205	49845	UROK	\N	\N
3632057	3072	1994-07-31	PRIJEM	\N	216	40905	UROK	\N	\N
3632058	3072	1994-08-31	PRIJEM	\N	218	41468	UROK	\N	\N
3632059	3072	1994-09-30	PRIJEM	\N	220	42332	UROK	\N	\N
3632060	3072	1994-10-31	PRIJEM	\N	222	43098	UROK	\N	\N
3632061	3072	1994-11-30	PRIJEM	\N	222	41864	UROK	\N	\N
3632062	3072	1994-12-31	PRIJEM	\N	247	45568	UROK	\N	\N
3632063	3072	1995-01-31	PRIJEM	\N	215	34228	UROK	\N	\N
3632064	3072	1995-02-28	PRIJEM	\N	186	37159	UROK	\N	\N
3632065	3072	1995-03-31	PRIJEM	\N	198	38601	UROK	\N	\N
3632066	3072	1995-04-30	PRIJEM	\N	194	33240	UROK	\N	\N
3632067	3072	1995-05-31	PRIJEM	\N	180	35864	UROK	\N	\N
3632068	3072	1995-06-30	PRIJEM	\N	196	23318	UROK	\N	\N
3632069	3072	1995-07-31	PRIJEM	\N	139	28501	UROK	\N	\N
3632070	3072	1995-08-31	PRIJEM	\N	160	34406	UROK	\N	\N
3632071	3072	1995-09-30	PRIJEM	\N	178	35228	UROK	\N	\N
3632072	3072	1995-10-31	PRIJEM	\N	179	34551	UROK	\N	\N
3632073	3072	1995-11-30	PRIJEM	\N	173	32769	UROK	\N	\N
3632074	3072	1995-12-31	PRIJEM	\N	176	29402	UROK	\N	\N
3632075	3072	1996-01-31	PRIJEM	\N	138	18385	UROK	\N	\N
3632076	3072	1996-02-29	PRIJEM	\N	114	25243	UROK	\N	\N
3632077	3072	1996-03-31	PRIJEM	\N	129	22916	UROK	\N	\N
3632078	3072	1996-04-30	PRIJEM	\N	124	24384	UROK	\N	\N
3632079	3072	1996-05-31	PRIJEM	\N	125	23354	UROK	\N	\N
3632080	3072	1996-06-30	PRIJEM	\N	112	15623	UROK	\N	\N
3632081	3072	1996-07-31	PRIJEM	\N	91	18959	UROK	\N	\N
3632082	3072	1996-08-31	PRIJEM	\N	107	22910	UROK	\N	\N
3632083	3072	1996-09-30	PRIJEM	\N	112	22066	UROK	\N	\N
3632084	3072	1996-10-31	PRIJEM	\N	95	16505	UROK	\N	\N
3632085	3072	1996-11-30	PRIJEM	\N	120	33570	UROK	\N	\N
3632086	3072	1996-12-31	PRIJEM	\N	153	23380	UROK	\N	\N
3632087	3072	1997-01-31	PRIJEM	\N	126	29151	UROK	\N	\N
3632088	3072	1997-02-28	PRIJEM	\N	113	20208	UROK	\N	\N
3632089	3072	1997-03-31	PRIJEM	\N	127	34380	UROK	\N	\N
3632090	3072	1997-04-30	PRIJEM	\N	122	19246	UROK	\N	\N
3632091	3072	1997-05-31	PRIJEM	\N	131	36322	UROK	\N	\N
3632092	3072	1997-06-30	PRIJEM	\N	149	26428	UROK	\N	\N
3632093	3072	1997-07-31	PRIJEM	\N	158	40531	UROK	\N	\N
3632094	3072	1997-08-31	PRIJEM	\N	145	28320	UROK	\N	\N
3632095	3072	1997-09-30	PRIJEM	\N	103	20567	UROK	\N	\N
3632096	3072	1997-10-31	PRIJEM	\N	84	18296	UROK	\N	\N
3632097	3072	1997-11-30	PRIJEM	\N	126	35366	UROK	\N	\N
3632098	3072	1997-12-31	PRIJEM	\N	123	22846	UROK	\N	\N
3632099	3072	1998-01-31	PRIJEM	\N	119	27809	UROK	\N	\N
3632100	3072	1998-02-28	PRIJEM	\N	164	44917	UROK	\N	\N
3632101	3072	1998-03-31	PRIJEM	\N	237	62098	UROK	\N	\N
3632102	3072	1998-04-30	PRIJEM	\N	153	25995	UROK	\N	\N
3632103	3072	1998-05-31	PRIJEM	\N	158	43097	UROK	\N	\N
3632104	3072	1998-06-30	PRIJEM	\N	213	52268	UROK	\N	\N
3632105	3072	1998-07-31	PRIJEM	\N	112	19124	UROK	\N	\N
3632106	3072	1998-08-31	PRIJEM	\N	129	36197	UROK	\N	\N
3632107	3072	1998-09-30	PRIJEM	\N	199	53340	UROK	\N	\N
3632108	3072	1998-10-31	PRIJEM	\N	103	19588	UROK	\N	\N
3632109	3072	1998-11-30	PRIJEM	\N	129	36661	UROK	\N	\N
3632110	3072	1998-12-31	PRIJEM	\N	92	17010	UROK	\N	\N
3632111	3075	1997-11-30	PRIJEM	\N	4	25674	UROK	\N	\N
3632112	3075	1997-12-31	PRIJEM	\N	114	27704	UROK	\N	\N
3632113	3075	1998-01-31	PRIJEM	\N	90	18900	UROK	\N	\N
3632114	3075	1998-02-28	PRIJEM	\N	83	20739	UROK	\N	\N
3632115	3075	1998-03-31	PRIJEM	\N	95	24350	UROK	\N	\N
3632116	3075	1998-04-30	PRIJEM	\N	106	25473	UROK	\N	\N
3632117	3075	1998-05-31	PRIJEM	\N	106	22995	UROK	\N	\N
3632118	3075	1998-06-30	PRIJEM	\N	82	16473	UROK	\N	\N
3632119	3075	1998-07-31	PRIJEM	\N	70	16439	UROK	\N	\N
3632120	3075	1998-08-31	PRIJEM	\N	76	19331	UROK	\N	\N
3632121	3075	1998-09-30	PRIJEM	\N	83	19931	UROK	\N	\N
3632122	3075	1998-10-31	PRIJEM	\N	91	23238	UROK	\N	\N
3632123	3075	1998-11-30	PRIJEM	\N	103	25978	UROK	\N	\N
3632124	3075	1998-12-31	PRIJEM	\N	112	28206	UROK	\N	\N
3632125	3076	1993-08-31	PRIJEM	\N	23	21443	UROK	\N	\N
3632126	3076	1993-09-30	PRIJEM	\N	87	21524	UROK	\N	\N
3632127	3076	1993-10-31	PRIJEM	\N	93	23052	UROK	\N	\N
3632128	3076	1993-11-30	PRIJEM	\N	89	21856	UROK	\N	\N
3632129	3076	1993-12-31	PRIJEM	\N	94	23134	UROK	\N	\N
3632130	3076	1994-01-31	PRIJEM	\N	71	14980	UROK	\N	\N
3632131	3076	1994-02-28	PRIJEM	\N	66	16479	UROK	\N	\N
3632132	3076	1994-03-31	PRIJEM	\N	68	14862	UROK	\N	\N
3632133	3076	1994-04-30	PRIJEM	\N	65	16362	UROK	\N	\N
3632134	3076	1994-05-31	PRIJEM	\N	72	17868	UROK	\N	\N
3632135	3076	1994-06-30	PRIJEM	\N	78	19380	UROK	\N	\N
3632136	3076	1994-07-31	PRIJEM	\N	84	20498	UROK	\N	\N
3632137	3076	1994-08-31	PRIJEM	\N	89	22021	UROK	\N	\N
3632138	3076	1994-09-30	PRIJEM	\N	95	23550	UROK	\N	\N
3632139	3076	1994-10-31	PRIJEM	\N	98	23183	UROK	\N	\N
3632140	3076	1994-11-30	PRIJEM	\N	98	23915	UROK	\N	\N
3632141	3076	1994-12-31	PRIJEM	\N	93	20593	UROK	\N	\N
3632142	3076	1995-01-31	PRIJEM	\N	62	13599	UROK	\N	\N
3632143	3076	1995-02-28	PRIJEM	\N	60	15093	UROK	\N	\N
3632144	3076	1995-03-31	PRIJEM	\N	60	15148	UROK	\N	\N
3632145	3076	1995-04-30	PRIJEM	\N	66	15928	UROK	\N	\N
3632146	3076	1995-05-31	PRIJEM	\N	70	17432	UROK	\N	\N
3632147	3076	1995-06-30	PRIJEM	\N	71	13737	UROK	\N	\N
3632148	3076	1995-07-31	PRIJEM	\N	60	15232	UROK	\N	\N
3632149	3076	1995-08-31	PRIJEM	\N	67	16733	UROK	\N	\N
3632150	3076	1995-09-30	PRIJEM	\N	73	18240	UROK	\N	\N
3632151	3076	1995-10-31	PRIJEM	\N	79	19753	UROK	\N	\N
3632152	3076	1995-11-30	PRIJEM	\N	80	19747	UROK	\N	\N
3632153	3076	1995-12-31	PRIJEM	\N	80	20062	UROK	\N	\N
3632154	3076	1996-01-31	PRIJEM	\N	69	14055	UROK	\N	\N
3632155	3076	1996-02-29	PRIJEM	\N	61	15551	UROK	\N	\N
3632156	3076	1996-03-31	PRIJEM	\N	68	17053	UROK	\N	\N
3632157	3076	1996-04-30	PRIJEM	\N	74	18561	UROK	\N	\N
3632158	3076	1996-05-31	PRIJEM	\N	80	20076	UROK	\N	\N
3632159	3076	1996-06-30	PRIJEM	\N	86	19916	UROK	\N	\N
3632160	3076	1996-07-31	PRIJEM	\N	78	19588	UROK	\N	\N
3632161	3076	1996-08-31	PRIJEM	\N	84	21107	UROK	\N	\N
3632162	3076	1996-09-30	PRIJEM	\N	91	22632	UROK	\N	\N
3632163	3076	1996-10-31	PRIJEM	\N	97	24163	UROK	\N	\N
3632164	3076	1996-11-30	PRIJEM	\N	100	24098	UROK	\N	\N
3632165	3076	1996-12-31	PRIJEM	\N	102	24234	UROK	\N	\N
3632166	3076	1997-01-31	PRIJEM	\N	69	15447	UROK	\N	\N
3632167	3076	1997-02-28	PRIJEM	\N	65	16387	UROK	\N	\N
3632168	3076	1997-03-31	PRIJEM	\N	71	17892	UROK	\N	\N
3632169	3076	1997-04-30	PRIJEM	\N	77	19403	UROK	\N	\N
3632170	3076	1997-05-31	PRIJEM	\N	83	20920	UROK	\N	\N
3632171	3076	1997-06-30	PRIJEM	\N	76	18580	UROK	\N	\N
3632172	3076	1997-07-31	PRIJEM	\N	79	16333	UROK	\N	\N
3632173	3076	1997-08-31	PRIJEM	\N	70	17837	UROK	\N	\N
3632174	3076	1997-09-30	PRIJEM	\N	76	19348	UROK	\N	\N
3632175	3076	1997-10-31	PRIJEM	\N	83	20865	UROK	\N	\N
3632176	3076	1997-11-30	PRIJEM	\N	87	21346	UROK	\N	\N
3632177	3076	1997-12-31	PRIJEM	\N	89	22020	UROK	\N	\N
3632178	3076	1998-01-31	PRIJEM	\N	77	16142	UROK	\N	\N
3632179	3076	1998-02-28	PRIJEM	\N	69	17645	UROK	\N	\N
3632180	3076	1998-03-31	PRIJEM	\N	75	19154	UROK	\N	\N
3632181	3076	1998-04-30	PRIJEM	\N	76	18265	UROK	\N	\N
3632182	3076	1998-05-31	PRIJEM	\N	78	19777	UROK	\N	\N
3632183	3076	1998-06-30	PRIJEM	\N	84	21295	UROK	\N	\N
3632184	3076	1998-07-31	PRIJEM	\N	90	22819	UROK	\N	\N
3632185	3076	1998-08-31	PRIJEM	\N	96	24350	UROK	\N	\N
3632186	3076	1998-09-30	PRIJEM	\N	100	24285	UROK	\N	\N
3632187	3076	1998-10-31	PRIJEM	\N	102	25822	UROK	\N	\N
3632188	3076	1998-11-30	PRIJEM	\N	109	27364	UROK	\N	\N
3632189	3076	1998-12-31	PRIJEM	\N	112	28361	UROK	\N	\N
3632190	3077	1997-05-31	PRIJEM	\N	50	23135	UROK	\N	\N
3632191	3077	1997-06-30	PRIJEM	\N	123	35336	UROK	\N	\N
3632192	3077	1997-07-31	PRIJEM	\N	157	39778	UROK	\N	\N
3632193	3077	1997-08-31	PRIJEM	\N	164	39226	UROK	\N	\N
3632194	3077	1997-09-30	PRIJEM	\N	165	38679	UROK	\N	\N
3632195	3077	1997-10-31	PRIJEM	\N	144	28895	UROK	\N	\N
3632196	3077	1997-11-30	PRIJEM	\N	130	31897	UROK	\N	\N
3632197	3077	1997-12-31	PRIJEM	\N	133	30575	UROK	\N	\N
3632198	3077	1998-01-31	PRIJEM	\N	81	12789	UROK	\N	\N
3632199	3077	1998-02-28	PRIJEM	\N	95	28456	UROK	\N	\N
3632200	3077	1998-03-31	PRIJEM	\N	135	34164	UROK	\N	\N
3632201	3077	1998-04-30	PRIJEM	\N	153	38009	UROK	\N	\N
3632202	3077	1998-05-31	PRIJEM	\N	196	42878	UROK	\N	\N
3632203	3077	1998-06-30	PRIJEM	\N	212	55155	UROK	\N	\N
3632204	3077	1998-07-31	PRIJEM	\N	224	53811	UROK	\N	\N
3632205	3077	1998-08-31	PRIJEM	\N	218	50301	UROK	\N	\N
3632206	3077	1998-09-30	PRIJEM	\N	219	53792	UROK	\N	\N
3632207	3077	1998-10-31	PRIJEM	\N	217	49781	UROK	\N	\N
3632208	3077	1998-11-30	PRIJEM	\N	244	59697	UROK	\N	\N
3632209	3077	1998-12-31	PRIJEM	\N	268	68531	UROK	\N	\N
3632210	3078	1993-12-31	PRIJEM	\N	20	16600	UROK	\N	\N
3632211	3078	1994-01-31	PRIJEM	\N	61	13022	UROK	\N	\N
3632212	3078	1994-02-28	PRIJEM	\N	53	12737	UROK	\N	\N
3632213	3078	1994-03-31	PRIJEM	\N	56	13894	UROK	\N	\N
3632214	3078	1994-04-30	PRIJEM	\N	61	15056	UROK	\N	\N
3632215	3078	1994-05-31	PRIJEM	\N	66	16224	UROK	\N	\N
3632216	3078	1994-06-30	PRIJEM	\N	71	17396	UROK	\N	\N
3632217	3078	1994-07-31	PRIJEM	\N	73	17250	UROK	\N	\N
3632218	3078	1994-08-31	PRIJEM	\N	75	18426	UROK	\N	\N
3632219	3078	1994-09-30	PRIJEM	\N	80	19607	UROK	\N	\N
3632220	3078	1994-10-31	PRIJEM	\N	85	20794	UROK	\N	\N
3632221	3078	1994-11-30	PRIJEM	\N	90	21985	UROK	\N	\N
3632222	3078	1994-12-31	PRIJEM	\N	91	21077	UROK	\N	\N
3632223	3078	1995-01-31	PRIJEM	\N	68	13456	UROK	\N	\N
3632224	3078	1995-02-28	PRIJEM	\N	59	14617	UROK	\N	\N
3632225	3078	1995-03-31	PRIJEM	\N	64	15782	UROK	\N	\N
3632226	3078	1995-04-30	PRIJEM	\N	69	16952	UROK	\N	\N
3632227	3078	1995-05-31	PRIJEM	\N	74	18127	UROK	\N	\N
3632228	3078	1995-06-30	PRIJEM	\N	76	17804	UROK	\N	\N
3632229	3078	1995-07-31	PRIJEM	\N	77	18983	UROK	\N	\N
3632230	3078	1995-08-31	PRIJEM	\N	82	20166	UROK	\N	\N
3632231	3078	1995-09-30	PRIJEM	\N	87	21354	UROK	\N	\N
3632232	3078	1995-10-31	PRIJEM	\N	88	21243	UROK	\N	\N
3632233	3078	1995-11-30	PRIJEM	\N	90	22135	UROK	\N	\N
3632234	3078	1995-12-31	PRIJEM	\N	81	18768	UROK	\N	\N
3632235	3078	1996-01-31	PRIJEM	\N	75	14574	UROK	\N	\N
3632236	3078	1996-02-29	PRIJEM	\N	63	15739	UROK	\N	\N
3632237	3078	1996-03-31	PRIJEM	\N	65	15855	UROK	\N	\N
3632238	3078	1996-04-30	PRIJEM	\N	63	15000	UROK	\N	\N
3632239	3078	1996-05-31	PRIJEM	\N	65	16166	UROK	\N	\N
3632240	3078	1996-06-30	PRIJEM	\N	69	16437	UROK	\N	\N
3632241	3078	1996-07-31	PRIJEM	\N	71	17609	UROK	\N	\N
3632242	3078	1996-08-31	PRIJEM	\N	76	18787	UROK	\N	\N
3632243	3078	1996-09-30	PRIJEM	\N	81	19969	UROK	\N	\N
3632244	3078	1996-10-31	PRIJEM	\N	86	21156	UROK	\N	\N
3632245	3078	1996-11-30	PRIJEM	\N	90	20447	UROK	\N	\N
3632246	3078	1996-12-31	PRIJEM	\N	85	19013	UROK	\N	\N
3632247	3078	1997-01-31	PRIJEM	\N	66	14631	UROK	\N	\N
3632248	3078	1997-02-28	PRIJEM	\N	62	15195	UROK	\N	\N
3632249	3078	1997-03-31	PRIJEM	\N	66	16362	UROK	\N	\N
3632250	3078	1997-04-30	PRIJEM	\N	69	16292	UROK	\N	\N
3632251	3078	1997-05-31	PRIJEM	\N	69	16363	UROK	\N	\N
3632252	3078	1997-06-30	PRIJEM	\N	70	17535	UROK	\N	\N
3632253	3078	1997-07-31	PRIJEM	\N	75	18711	UROK	\N	\N
3632254	3078	1997-08-31	PRIJEM	\N	80	19792	UROK	\N	\N
3632255	3078	1997-09-30	PRIJEM	\N	80	17374	UROK	\N	\N
3632256	3078	1997-10-31	PRIJEM	\N	70	15246	UROK	\N	\N
3632257	3078	1997-11-30	PRIJEM	\N	62	14010	UROK	\N	\N
3632258	3078	1997-12-31	PRIJEM	\N	58	13469	UROK	\N	\N
3632259	3078	1998-01-31	PRIJEM	\N	58	14628	UROK	\N	\N
3632260	3078	1998-02-28	PRIJEM	\N	63	15792	UROK	\N	\N
3632261	3078	1998-03-31	PRIJEM	\N	63	14286	UROK	\N	\N
3632262	3078	1998-04-30	PRIJEM	\N	59	13846	UROK	\N	\N
3632263	3078	1998-05-31	PRIJEM	\N	59	14607	UROK	\N	\N
3632264	3078	1998-06-30	PRIJEM	\N	62	15770	UROK	\N	\N
3632265	3078	1998-07-31	PRIJEM	\N	67	16638	UROK	\N	\N
3632266	3078	1998-08-31	PRIJEM	\N	69	17299	UROK	\N	\N
3632267	3078	1998-09-30	PRIJEM	\N	73	18323	UROK	\N	\N
3632268	3078	1998-10-31	PRIJEM	\N	76	19080	UROK	\N	\N
3632269	3078	1998-11-30	PRIJEM	\N	81	20262	UROK	\N	\N
3632270	3078	1998-12-31	PRIJEM	\N	84	21118	UROK	\N	\N
3632271	3079	1996-07-31	PRIJEM	\N	39	15985	UROK	\N	\N
3632272	3079	1996-08-31	PRIJEM	\N	72	15932	UROK	\N	\N
3632273	3079	1996-09-30	PRIJEM	\N	67	15995	UROK	\N	\N
3632274	3079	1996-10-31	PRIJEM	\N	67	15037	UROK	\N	\N
3632275	3079	1996-11-30	PRIJEM	\N	70	16242	UROK	\N	\N
3632276	3079	1996-12-31	PRIJEM	\N	69	16696	UROK	\N	\N
3632277	3079	1997-01-31	PRIJEM	\N	73	17904	UROK	\N	\N
3632278	3079	1997-02-28	PRIJEM	\N	74	17043	UROK	\N	\N
3632279	3079	1997-03-31	PRIJEM	\N	78	18257	UROK	\N	\N
3632280	3079	1997-04-30	PRIJEM	\N	79	19471	UROK	\N	\N
3632281	3079	1997-05-31	PRIJEM	\N	84	20691	UROK	\N	\N
3632282	3079	1997-06-30	PRIJEM	\N	82	14259	UROK	\N	\N
3632283	3079	1997-07-31	PRIJEM	\N	62	15186	UROK	\N	\N
3632284	3079	1997-08-31	PRIJEM	\N	66	16387	UROK	\N	\N
3632285	3079	1997-09-30	PRIJEM	\N	69	16122	UROK	\N	\N
3632286	3079	1997-10-31	PRIJEM	\N	70	17327	UROK	\N	\N
3632287	3079	1997-11-30	PRIJEM	\N	75	18537	UROK	\N	\N
3632288	3079	1997-12-31	PRIJEM	\N	80	19032	UROK	\N	\N
3632289	3079	1998-01-31	PRIJEM	\N	81	19348	UROK	\N	\N
3632290	3079	1998-02-28	PRIJEM	\N	83	20567	UROK	\N	\N
3632291	3079	1998-03-31	PRIJEM	\N	84	19356	UROK	\N	\N
3632292	3079	1998-04-30	PRIJEM	\N	84	20575	UROK	\N	\N
3632293	3079	1998-05-31	PRIJEM	\N	89	21799	UROK	\N	\N
3632294	3079	1998-06-30	PRIJEM	\N	72	15777	UROK	\N	\N
3632295	3079	1998-07-31	PRIJEM	\N	65	15627	UROK	\N	\N
3632296	3079	1998-08-31	PRIJEM	\N	67	16560	UROK	\N	\N
3632297	3079	1998-09-30	PRIJEM	\N	71	17766	UROK	\N	\N
3632298	3079	1998-10-31	PRIJEM	\N	75	18197	UROK	\N	\N
3632299	3079	1998-11-30	PRIJEM	\N	78	19410	UROK	\N	\N
3632300	3079	1998-12-31	PRIJEM	\N	81	19307	UROK	\N	\N
3632301	3080	1996-02-29	PRIJEM	\N	12	20052	UROK	\N	\N
3632302	3080	1996-03-31	PRIJEM	\N	84	21521	UROK	\N	\N
3632303	3080	1996-04-30	PRIJEM	\N	93	19525	UROK	\N	\N
3632304	3080	1996-05-31	PRIJEM	\N	73	18370	UROK	\N	\N
3632305	3080	1996-06-30	PRIJEM	\N	83	20664	UROK	\N	\N
3632306	3080	1996-07-31	PRIJEM	\N	87	17663	UROK	\N	\N
3632307	3080	1996-08-31	PRIJEM	\N	71	17585	UROK	\N	\N
3632308	3080	1996-09-30	PRIJEM	\N	78	16135	UROK	\N	\N
3632309	3080	1996-10-31	PRIJEM	\N	69	13175	UROK	\N	\N
3632310	3080	1996-11-30	PRIJEM	\N	55	10641	UROK	\N	\N
3632311	3080	1996-12-31	PRIJEM	\N	51	12903	UROK	\N	\N
3632312	3080	1997-01-31	PRIJEM	\N	54	13009	UROK	\N	\N
3632313	3080	1997-02-28	PRIJEM	\N	60	15280	UROK	\N	\N
3632314	3080	1997-03-31	PRIJEM	\N	65	16576	UROK	\N	\N
3632315	3080	1997-04-30	PRIJEM	\N	70	15158	UROK	\N	\N
3632316	3080	1997-05-31	PRIJEM	\N	69	17438	UROK	\N	\N
3632317	3080	1997-06-30	PRIJEM	\N	77	18727	UROK	\N	\N
3632318	3080	1997-07-31	PRIJEM	\N	84	21022	UROK	\N	\N
3632319	3080	1997-08-31	PRIJEM	\N	81	16754	UROK	\N	\N
3632320	3080	1997-09-30	PRIJEM	\N	76	19041	UROK	\N	\N
3632321	3080	1997-10-31	PRIJEM	\N	76	15209	UROK	\N	\N
3632322	3080	1997-11-30	PRIJEM	\N	69	17490	UROK	\N	\N
3632323	3080	1997-12-31	PRIJEM	\N	70	17671	UROK	\N	\N
3632324	3080	1998-01-31	PRIJEM	\N	64	14247	UROK	\N	\N
3632325	3080	1998-02-28	PRIJEM	\N	64	16222	UROK	\N	\N
3632326	3080	1998-03-31	PRIJEM	\N	74	18507	UROK	\N	\N
3632327	3080	1998-04-30	PRIJEM	\N	80	18878	UROK	\N	\N
3632328	3080	1998-05-31	PRIJEM	\N	85	21174	UROK	\N	\N
3632329	3080	1998-06-30	PRIJEM	\N	79	17234	UROK	\N	\N
3632330	3080	1998-07-31	PRIJEM	\N	62	15587	UROK	\N	\N
3632331	3080	1998-08-31	PRIJEM	\N	71	17869	UROK	\N	\N
3632332	3080	1998-09-30	PRIJEM	\N	73	17594	UROK	\N	\N
3632333	3080	1998-10-31	PRIJEM	\N	79	19884	UROK	\N	\N
3632334	3080	1998-11-30	PRIJEM	\N	88	22184	UROK	\N	\N
3632335	3080	1998-12-31	PRIJEM	\N	94	24240	UROK	\N	\N
3632336	3082	1997-12-31	PRIJEM	\N	41	18909	UROK	\N	\N
3632337	3082	1998-01-31	PRIJEM	\N	83	20837	UROK	\N	\N
3632338	3082	1998-02-28	PRIJEM	\N	90	22371	UROK	\N	\N
3632339	3082	1998-03-31	PRIJEM	\N	98	24614	UROK	\N	\N
3632340	3082	1998-04-30	PRIJEM	\N	100	23163	UROK	\N	\N
3632341	3082	1998-05-31	PRIJEM	\N	82	16478	UROK	\N	\N
3632342	3082	1998-06-30	PRIJEM	\N	64	11299	UROK	\N	\N
3632343	3082	1998-07-31	PRIJEM	\N	56	15090	UROK	\N	\N
3632344	3082	1998-08-31	PRIJEM	\N	47	7871	UROK	\N	\N
3632345	3082	1998-09-30	PRIJEM	\N	42	11647	UROK	\N	\N
3632346	3082	1998-10-31	PRIJEM	\N	58	15439	UROK	\N	\N
3632347	3082	1998-11-30	PRIJEM	\N	72	14545	UROK	\N	\N
3632348	3082	1998-12-31	PRIJEM	\N	82	22684	UROK	\N	\N
3632349	3083	1997-04-30	PRIJEM	\N	39	20097	UROK	\N	\N
3632350	3083	1997-05-31	PRIJEM	\N	110	33165	UROK	\N	\N
3632351	3083	1997-06-30	PRIJEM	\N	169	48121	UROK	\N	\N
3632352	3083	1997-07-31	PRIJEM	\N	192	44370	UROK	\N	\N
3632353	3083	1997-08-31	PRIJEM	\N	180	42408	UROK	\N	\N
3632354	3083	1997-09-30	PRIJEM	\N	182	41993	UROK	\N	\N
3632355	3083	1997-10-31	PRIJEM	\N	180	44116	UROK	\N	\N
3632356	3083	1997-11-30	PRIJEM	\N	184	44544	UROK	\N	\N
3632357	3083	1997-12-31	PRIJEM	\N	198	48674	UROK	\N	\N
3632358	3083	1998-01-31	PRIJEM	\N	197	38354	UROK	\N	\N
3632359	3083	1998-02-28	PRIJEM	\N	168	41766	UROK	\N	\N
3632360	3083	1998-03-31	PRIJEM	\N	177	42986	UROK	\N	\N
3632361	3083	1998-04-30	PRIJEM	\N	173	41003	UROK	\N	\N
3632362	3083	1998-05-31	PRIJEM	\N	163	38209	UROK	\N	\N
3632363	3083	1998-06-30	PRIJEM	\N	192	31534	UROK	\N	\N
3632364	3083	1998-07-31	PRIJEM	\N	141	35318	UROK	\N	\N
3632365	3083	1998-08-31	PRIJEM	\N	153	37615	UROK	\N	\N
3632366	3083	1998-09-30	PRIJEM	\N	151	36209	UROK	\N	\N
3632367	3083	1998-10-31	PRIJEM	\N	144	33457	UROK	\N	\N
3632368	3083	1998-11-30	PRIJEM	\N	208	31008	UROK	\N	\N
3632369	3083	1998-12-31	PRIJEM	\N	225	61025	UROK	\N	\N
3632370	3085	1997-07-31	PRIJEM	\N	33	12866	UROK	\N	\N
3632371	3085	1997-08-31	PRIJEM	\N	96	29595	UROK	\N	\N
3632372	3085	1997-09-30	PRIJEM	\N	154	41881	UROK	\N	\N
3632373	3085	1997-10-31	PRIJEM	\N	180	44795	UROK	\N	\N
3632374	3085	1997-11-30	PRIJEM	\N	173	43673	UROK	\N	\N
3632375	3085	1997-12-31	PRIJEM	\N	169	32287	UROK	\N	\N
3632376	3085	1998-01-31	PRIJEM	\N	122	18217	UROK	\N	\N
3632377	3085	1998-02-28	PRIJEM	\N	88	23894	UROK	\N	\N
3632378	3085	1998-03-31	PRIJEM	\N	84	15467	UROK	\N	\N
3632379	3085	1998-04-30	PRIJEM	\N	77	14732	UROK	\N	\N
3632380	3085	1998-05-31	PRIJEM	\N	74	15294	UROK	\N	\N
3632381	3085	1998-06-30	PRIJEM	\N	87	15826	UROK	\N	\N
3632382	3085	1998-07-31	PRIJEM	\N	76	14090	UROK	\N	\N
3632383	3085	1998-08-31	PRIJEM	\N	73	19752	UROK	\N	\N
3632384	3085	1998-09-30	PRIJEM	\N	87	12427	UROK	\N	\N
3632385	3085	1998-10-31	PRIJEM	\N	66	18082	UROK	\N	\N
3632386	3085	1998-11-30	PRIJEM	\N	89	23759	UROK	\N	\N
3632387	3085	1998-12-31	PRIJEM	\N	109	14773	UROK	\N	\N
3632388	3086	1993-11-30	PRIJEM	\N	70	21948	UROK	\N	\N
3632389	3086	1993-12-31	PRIJEM	\N	197	54762	UROK	\N	\N
3632390	3086	1994-01-31	PRIJEM	\N	244	60784	UROK	\N	\N
3632391	3086	1994-02-28	PRIJEM	\N	174	62935	UROK	\N	\N
3632392	3086	1994-03-31	PRIJEM	\N	246	62959	UROK	\N	\N
3632393	3086	1994-04-30	PRIJEM	\N	239	59140	UROK	\N	\N
3632394	3086	1994-05-31	PRIJEM	\N	236	59417	UROK	\N	\N
3632395	3086	1994-06-30	PRIJEM	\N	249	63946	UROK	\N	\N
3632396	3086	1994-07-31	PRIJEM	\N	221	43108	UROK	\N	\N
3632397	3086	1994-08-31	PRIJEM	\N	224	42273	UROK	\N	\N
3632398	3086	1994-09-30	PRIJEM	\N	221	42235	UROK	\N	\N
3632399	3086	1994-10-31	PRIJEM	\N	219	42696	UROK	\N	\N
3632400	3086	1994-11-30	PRIJEM	\N	221	44158	UROK	\N	\N
3632401	3086	1994-12-31	PRIJEM	\N	236	47074	UROK	\N	\N
3632402	3086	1995-01-31	PRIJEM	\N	200	40315	UROK	\N	\N
3632403	3086	1995-02-28	PRIJEM	\N	211	45167	UROK	\N	\N
3632404	3086	1995-03-31	PRIJEM	\N	221	45930	UROK	\N	\N
3632405	3086	1995-04-30	PRIJEM	\N	232	47604	UROK	\N	\N
3632406	3086	1995-05-31	PRIJEM	\N	231	45676	UROK	\N	\N
3632407	3086	1995-06-30	PRIJEM	\N	232	49189	UROK	\N	\N
3632408	3086	1995-07-31	PRIJEM	\N	241	49271	UROK	\N	\N
3632409	3086	1995-08-31	PRIJEM	\N	242	51754	UROK	\N	\N
3632410	3086	1995-09-30	PRIJEM	\N	252	55047	UROK	\N	\N
3632411	3086	1995-10-31	PRIJEM	\N	264	57552	UROK	\N	\N
3632412	3086	1995-11-30	PRIJEM	\N	262	52255	UROK	\N	\N
3632413	3086	1995-12-31	PRIJEM	\N	269	56804	UROK	\N	\N
3632414	3086	1996-01-31	PRIJEM	\N	253	55098	UROK	\N	\N
3632415	3086	1996-02-29	PRIJEM	\N	258	56598	UROK	\N	\N
3632416	3086	1996-03-31	PRIJEM	\N	260	58999	UROK	\N	\N
3632417	3086	1996-04-30	PRIJEM	\N	272	59912	UROK	\N	\N
3632418	3086	1996-05-31	PRIJEM	\N	273	59827	UROK	\N	\N
3632419	3086	1996-06-30	PRIJEM	\N	284	37991	UROK	\N	\N
3632420	3086	1996-07-31	PRIJEM	\N	199	48731	UROK	\N	\N
3632421	3086	1996-08-31	PRIJEM	\N	231	54803	UROK	\N	\N
3632422	3086	1996-09-30	PRIJEM	\N	246	55091	UROK	\N	\N
3632423	3086	1996-10-31	PRIJEM	\N	242	57774	UROK	\N	\N
3632424	3086	1996-11-30	PRIJEM	\N	259	59375	UROK	\N	\N
3632425	3086	1996-12-31	PRIJEM	\N	282	63537	UROK	\N	\N
3632426	3086	1997-01-31	PRIJEM	\N	266	58245	UROK	\N	\N
3632427	3086	1997-02-28	PRIJEM	\N	255	58942	UROK	\N	\N
3632428	3086	1997-03-31	PRIJEM	\N	267	62550	UROK	\N	\N
3632429	3086	1997-04-30	PRIJEM	\N	283	67075	UROK	\N	\N
3632430	3086	1997-05-31	PRIJEM	\N	303	72319	UROK	\N	\N
3632431	3086	1997-06-30	PRIJEM	\N	303	54502	UROK	\N	\N
3632432	3086	1997-07-31	PRIJEM	\N	250	60493	UROK	\N	\N
3632433	3086	1997-08-31	PRIJEM	\N	271	64306	UROK	\N	\N
3632434	3086	1997-09-30	PRIJEM	\N	275	62522	UROK	\N	\N
3632435	3086	1997-10-31	PRIJEM	\N	283	69446	UROK	\N	\N
3632436	3086	1997-11-30	PRIJEM	\N	283	66071	UROK	\N	\N
3632437	3086	1997-12-31	PRIJEM	\N	305	75057	UROK	\N	\N
3632438	3086	1998-01-31	PRIJEM	\N	286	66784	UROK	\N	\N
3632439	3086	1998-02-28	PRIJEM	\N	292	72417	UROK	\N	\N
3632440	3086	1998-03-31	PRIJEM	\N	314	76372	UROK	\N	\N
3632441	3086	1998-04-30	PRIJEM	\N	293	67906	UROK	\N	\N
3632442	3086	1998-05-31	PRIJEM	\N	289	70637	UROK	\N	\N
3632443	3086	1998-06-30	PRIJEM	\N	214	43731	UROK	\N	\N
3632444	3086	1998-07-31	PRIJEM	\N	228	58901	UROK	\N	\N
3632445	3086	1998-08-31	PRIJEM	\N	291	71333	UROK	\N	\N
3632446	3086	1998-09-30	PRIJEM	\N	314	78688	UROK	\N	\N
3632447	3086	1998-10-31	PRIJEM	\N	357	90486	UROK	\N	\N
3632448	3086	1998-11-30	PRIJEM	\N	380	95408	UROK	\N	\N
3632449	3086	1998-12-31	PRIJEM	\N	429	108917	UROK	\N	\N
3632450	3087	1993-12-31	PRIJEM	\N	9	3509	UROK	\N	\N
3632451	3087	1994-01-31	PRIJEM	\N	15	6424	UROK	\N	\N
3632452	3087	1994-02-28	PRIJEM	\N	15	9338	UROK	\N	\N
3632453	3087	1994-03-31	PRIJEM	\N	15	12253	UROK	\N	\N
3632454	3087	1994-04-30	PRIJEM	\N	41	14500	UROK	\N	\N
3632455	3087	1994-05-31	PRIJEM	\N	60	14612	UROK	\N	\N
3632456	3087	1994-06-30	PRIJEM	\N	61	13915	UROK	\N	\N
3632457	3087	1994-07-31	PRIJEM	\N	60	14927	UROK	\N	\N
3632458	3087	1994-08-31	PRIJEM	\N	64	15944	UROK	\N	\N
3632459	3087	1994-09-30	PRIJEM	\N	68	16964	UROK	\N	\N
3632460	3087	1994-10-31	PRIJEM	\N	71	16757	UROK	\N	\N
3632461	3087	1994-11-30	PRIJEM	\N	71	17601	UROK	\N	\N
3632462	3087	1994-12-31	PRIJEM	\N	70	16733	UROK	\N	\N
3632463	3087	1995-01-31	PRIJEM	\N	62	13728	UROK	\N	\N
3632464	3087	1995-02-28	PRIJEM	\N	58	13268	UROK	\N	\N
3632465	3087	1995-03-31	PRIJEM	\N	56	13676	UROK	\N	\N
3632466	3087	1995-04-30	PRIJEM	\N	59	14687	UROK	\N	\N
3632467	3087	1995-05-31	PRIJEM	\N	63	15702	UROK	\N	\N
3632468	3087	1995-06-30	PRIJEM	\N	64	15548	UROK	\N	\N
3632469	3087	1995-07-31	PRIJEM	\N	66	16567	UROK	\N	\N
3632470	3087	1995-08-31	PRIJEM	\N	67	16446	UROK	\N	\N
3632471	3087	1995-09-30	PRIJEM	\N	70	17469	UROK	\N	\N
3632472	3087	1995-10-31	PRIJEM	\N	74	17205	UROK	\N	\N
3632473	3087	1995-11-30	PRIJEM	\N	73	18230	UROK	\N	\N
3632474	3087	1995-12-31	PRIJEM	\N	76	18749	UROK	\N	\N
3632475	3087	1996-01-31	PRIJEM	\N	76	17917	UROK	\N	\N
3632476	3087	1996-02-29	PRIJEM	\N	76	18945	UROK	\N	\N
3632477	3087	1996-03-31	PRIJEM	\N	78	18805	UROK	\N	\N
3632478	3087	1996-04-30	PRIJEM	\N	80	19837	UROK	\N	\N
3632479	3087	1996-05-31	PRIJEM	\N	80	19820	UROK	\N	\N
3632480	3087	1996-06-30	PRIJEM	\N	78	18271	UROK	\N	\N
3632481	3087	1996-07-31	PRIJEM	\N	77	19301	UROK	\N	\N
3632482	3087	1996-08-31	PRIJEM	\N	82	20335	UROK	\N	\N
3632483	3087	1996-09-30	PRIJEM	\N	85	21012	UROK	\N	\N
3632484	3087	1996-10-31	PRIJEM	\N	86	19910	UROK	\N	\N
3632485	3087	1996-11-30	PRIJEM	\N	80	18943	UROK	\N	\N
3632486	3087	1996-12-31	PRIJEM	\N	74	17870	UROK	\N	\N
3632487	3087	1997-01-31	PRIJEM	\N	76	18898	UROK	\N	\N
3632488	3087	1997-02-28	PRIJEM	\N	73	17113	UROK	\N	\N
3632489	3087	1997-03-31	PRIJEM	\N	72	18137	UROK	\N	\N
3632490	3087	1997-04-30	PRIJEM	\N	75	18365	UROK	\N	\N
3632491	3087	1997-05-31	PRIJEM	\N	71	16128	UROK	\N	\N
3632492	3087	1997-06-30	PRIJEM	\N	68	17148	UROK	\N	\N
3632493	3087	1997-07-31	PRIJEM	\N	72	18173	UROK	\N	\N
3632494	3087	1997-08-31	PRIJEM	\N	68	15393	UROK	\N	\N
3632495	3087	1997-09-30	PRIJEM	\N	65	16010	UROK	\N	\N
3632496	3087	1997-10-31	PRIJEM	\N	59	13722	UROK	\N	\N
3632497	3087	1997-11-30	PRIJEM	\N	58	14732	UROK	\N	\N
3632498	3087	1997-12-31	PRIJEM	\N	61	15236	UROK	\N	\N
3632499	3087	1998-01-31	PRIJEM	\N	64	16252	UROK	\N	\N
3632500	3087	1998-02-28	PRIJEM	\N	68	17273	UROK	\N	\N
3632501	3087	1998-03-31	PRIJEM	\N	72	18297	UROK	\N	\N
3632502	3087	1998-04-30	PRIJEM	\N	77	19326	UROK	\N	\N
3632503	3087	1998-05-31	PRIJEM	\N	79	19488	UROK	\N	\N
3632504	3087	1998-06-30	PRIJEM	\N	81	20522	UROK	\N	\N
3632505	3087	1998-07-31	PRIJEM	\N	86	21560	UROK	\N	\N
3632506	3087	1998-08-31	PRIJEM	\N	90	22602	UROK	\N	\N
3632507	3087	1998-09-30	PRIJEM	\N	94	23318	UROK	\N	\N
3632508	3087	1998-10-31	PRIJEM	\N	97	24368	UROK	\N	\N
3632509	3087	1998-11-30	PRIJEM	\N	99	24609	UROK	\N	\N
3632510	3087	1998-12-31	PRIJEM	\N	103	25364	UROK	\N	\N
3632511	3088	1996-04-30	PRIJEM	\N	70	20935	UROK	\N	\N
3632512	3088	1996-05-31	PRIJEM	\N	120	30920	UROK	\N	\N
3632513	3088	1996-06-30	PRIJEM	\N	218	57986	UROK	\N	\N
3632514	3088	1996-07-31	PRIJEM	\N	252	61202	UROK	\N	\N
3632515	3088	1996-08-31	PRIJEM	\N	246	57647	UROK	\N	\N
3632516	3088	1996-09-30	PRIJEM	\N	229	53561	UROK	\N	\N
3632517	3088	1996-10-31	PRIJEM	\N	229	54574	UROK	\N	\N
3632518	3088	1996-11-30	PRIJEM	\N	209	47508	UROK	\N	\N
3632519	3088	1996-12-31	PRIJEM	\N	234	59549	UROK	\N	\N
3632520	3088	1997-01-31	PRIJEM	\N	203	44716	UROK	\N	\N
3632521	3088	1997-02-28	PRIJEM	\N	198	46978	UROK	\N	\N
3632522	3088	1997-03-31	PRIJEM	\N	217	52479	UROK	\N	\N
3632523	3088	1997-04-30	PRIJEM	\N	223	52986	UROK	\N	\N
3632524	3088	1997-05-31	PRIJEM	\N	218	51489	UROK	\N	\N
3632525	3088	1997-06-30	PRIJEM	\N	216	41492	UROK	\N	\N
3632526	3088	1997-07-31	PRIJEM	\N	172	41748	UROK	\N	\N
3632527	3088	1997-08-31	PRIJEM	\N	186	30418	UROK	\N	\N
3632528	3088	1997-09-30	PRIJEM	\N	168	28171	UROK	\N	\N
3632529	3088	1997-10-31	PRIJEM	\N	154	25009	UROK	\N	\N
3632530	3088	1997-11-30	PRIJEM	\N	144	24137	UROK	\N	\N
3632531	3088	1997-12-31	PRIJEM	\N	161	26865	UROK	\N	\N
3632532	3088	1998-01-31	PRIJEM	\N	126	19375	UROK	\N	\N
3632533	3088	1998-02-28	PRIJEM	\N	120	23679	UROK	\N	\N
3632534	3088	1998-03-31	PRIJEM	\N	135	24499	UROK	\N	\N
3632535	3088	1998-04-30	PRIJEM	\N	141	28224	UROK	\N	\N
3632536	3088	1998-05-31	PRIJEM	\N	142	25730	UROK	\N	\N
3632537	3088	1998-06-30	PRIJEM	\N	80	17437	UROK	\N	\N
3632538	3088	1998-07-31	PRIJEM	\N	114	27335	UROK	\N	\N
3632539	3088	1998-08-31	PRIJEM	\N	148	30867	UROK	\N	\N
3632540	3088	1998-09-30	PRIJEM	\N	171	36522	UROK	\N	\N
3632541	3088	1998-10-31	PRIJEM	\N	184	39890	UROK	\N	\N
3632542	3088	1998-11-30	PRIJEM	\N	191	37145	UROK	\N	\N
3632543	3088	1998-12-31	PRIJEM	\N	225	60997	UROK	\N	\N
3632544	3090	1997-02-28	PRIJEM	\N	22	48181	UROK	\N	\N
3632545	3090	1997-03-31	PRIJEM	\N	224	84452	UROK	\N	\N
3632546	3090	1997-04-30	PRIJEM	\N	351	53803	UROK	\N	\N
3632547	3090	1997-05-31	PRIJEM	\N	351	36454	UROK	\N	\N
3632548	3090	1997-06-30	PRIJEM	\N	238	48974	UROK	\N	\N
3632549	3090	1997-07-31	PRIJEM	\N	198	70838	UROK	\N	\N
3632550	3090	1997-08-31	PRIJEM	\N	169	38317	UROK	\N	\N
3632551	3090	1997-09-30	PRIJEM	\N	302	92461	UROK	\N	\N
3632552	3090	1997-10-31	PRIJEM	\N	320	78779	UROK	\N	\N
3632553	3090	1997-11-30	PRIJEM	\N	349	101445	UROK	\N	\N
3632554	3090	1997-12-31	PRIJEM	\N	338	84153	UROK	\N	\N
3632555	3090	1998-01-31	PRIJEM	\N	161	22191	UROK	\N	\N
3632556	3090	1998-02-28	PRIJEM	\N	140	45992	UROK	\N	\N
3632557	3090	1998-03-31	PRIJEM	\N	243	61364	UROK	\N	\N
3632558	3090	1998-04-30	PRIJEM	\N	317	82272	UROK	\N	\N
3632559	3090	1998-05-31	PRIJEM	\N	161	31194	UROK	\N	\N
3632560	3090	1998-06-30	PRIJEM	\N	93	18181	UROK	\N	\N
3632561	3090	1998-07-31	PRIJEM	\N	93	62753	UROK	\N	\N
3632562	3090	1998-08-31	PRIJEM	\N	146	29893	UROK	\N	\N
3632563	3090	1998-09-30	PRIJEM	\N	201	78629	UROK	\N	\N
3632564	3090	1998-10-31	PRIJEM	\N	256	57762	UROK	\N	\N
3632565	3090	1998-11-30	PRIJEM	\N	152	33709	UROK	\N	\N
3632566	3090	1998-12-31	PRIJEM	\N	253	61904	UROK	\N	\N
3632567	3091	1993-12-31	PRIJEM	\N	68	24120	UROK	\N	\N
3632568	3091	1994-01-31	PRIJEM	\N	145	40133	UROK	\N	\N
3632569	3091	1994-02-28	PRIJEM	\N	185	47187	UROK	\N	\N
3632570	3091	1994-03-31	PRIJEM	\N	182	42337	UROK	\N	\N
3632571	3091	1994-04-30	PRIJEM	\N	185	45567	UROK	\N	\N
3632572	3091	1994-05-31	PRIJEM	\N	183	43495	UROK	\N	\N
3632573	3091	1994-06-30	PRIJEM	\N	180	38504	UROK	\N	\N
3632574	3091	1994-07-31	PRIJEM	\N	178	40926	UROK	\N	\N
3632575	3091	1994-08-31	PRIJEM	\N	177	39647	UROK	\N	\N
3632576	3091	1994-09-30	PRIJEM	\N	179	41171	UROK	\N	\N
3632577	3091	1994-10-31	PRIJEM	\N	182	41497	UROK	\N	\N
3632578	3091	1994-11-30	PRIJEM	\N	190	44032	UROK	\N	\N
3632579	3091	1994-12-31	PRIJEM	\N	198	50258	UROK	\N	\N
3632580	3091	1995-01-31	PRIJEM	\N	169	32371	UROK	\N	\N
3632581	3091	1995-02-28	PRIJEM	\N	160	37775	UROK	\N	\N
3632582	3091	1995-03-31	PRIJEM	\N	163	40782	UROK	\N	\N
3632583	3091	1995-04-30	PRIJEM	\N	193	45320	UROK	\N	\N
3632584	3091	1995-05-31	PRIJEM	\N	197	49261	UROK	\N	\N
3632585	3091	1995-06-30	PRIJEM	\N	210	48300	UROK	\N	\N
3632586	3091	1995-07-31	PRIJEM	\N	188	42432	UROK	\N	\N
3632587	3091	1995-08-31	PRIJEM	\N	178	44155	UROK	\N	\N
3632588	3091	1995-09-30	PRIJEM	\N	201	49401	UROK	\N	\N
3632589	3091	1995-10-31	PRIJEM	\N	202	47347	UROK	\N	\N
3632590	3091	1995-11-30	PRIJEM	\N	190	46481	UROK	\N	\N
3632591	3091	1995-12-31	PRIJEM	\N	219	58029	UROK	\N	\N
3632592	3091	1996-01-31	PRIJEM	\N	182	40255	UROK	\N	\N
3632593	3091	1996-02-29	PRIJEM	\N	201	48100	UROK	\N	\N
3632594	3091	1996-03-31	PRIJEM	\N	232	53076	UROK	\N	\N
3632595	3091	1996-04-30	PRIJEM	\N	226	52547	UROK	\N	\N
3632596	3091	1996-05-31	PRIJEM	\N	228	51320	UROK	\N	\N
3632597	3091	1996-06-30	PRIJEM	\N	230	49678	UROK	\N	\N
3632598	3091	1996-07-31	PRIJEM	\N	219	51841	UROK	\N	\N
3632599	3091	1996-08-31	PRIJEM	\N	225	52610	UROK	\N	\N
3632600	3091	1996-09-30	PRIJEM	\N	243	51198	UROK	\N	\N
3632601	3091	1996-10-31	PRIJEM	\N	237	50779	UROK	\N	\N
3632602	3091	1996-11-30	PRIJEM	\N	222	48945	UROK	\N	\N
3632603	3091	1996-12-31	PRIJEM	\N	231	51604	UROK	\N	\N
3632604	3091	1997-01-31	PRIJEM	\N	201	33049	UROK	\N	\N
3632605	3091	1997-02-28	PRIJEM	\N	171	47564	UROK	\N	\N
3632606	3091	1997-03-31	PRIJEM	\N	200	45609	UROK	\N	\N
3632607	3091	1997-04-30	PRIJEM	\N	193	46947	UROK	\N	\N
3632608	3091	1997-05-31	PRIJEM	\N	203	47394	UROK	\N	\N
3632609	3091	1997-06-30	PRIJEM	\N	185	46608	UROK	\N	\N
3632610	3091	1997-07-31	PRIJEM	\N	216	50369	UROK	\N	\N
3632611	3091	1997-08-31	PRIJEM	\N	217	49330	UROK	\N	\N
3632612	3091	1997-09-30	PRIJEM	\N	214	43289	UROK	\N	\N
3632613	3091	1997-10-31	PRIJEM	\N	198	46131	UROK	\N	\N
3632614	3091	1997-11-30	PRIJEM	\N	198	45974	UROK	\N	\N
3632615	3091	1997-12-31	PRIJEM	\N	217	48619	UROK	\N	\N
3632616	3091	1998-01-31	PRIJEM	\N	188	40351	UROK	\N	\N
3632617	3091	1998-02-28	PRIJEM	\N	181	46477	UROK	\N	\N
3632618	3091	1998-03-31	PRIJEM	\N	202	48123	UROK	\N	\N
3632619	3091	1998-04-30	PRIJEM	\N	213	52781	UROK	\N	\N
3632620	3091	1998-05-31	PRIJEM	\N	225	54950	UROK	\N	\N
3632621	3091	1998-06-30	PRIJEM	\N	238	31316	UROK	\N	\N
3632622	3091	1998-07-31	PRIJEM	\N	152	41613	UROK	\N	\N
3632623	3091	1998-08-31	PRIJEM	\N	198	51055	UROK	\N	\N
3632624	3091	1998-09-30	PRIJEM	\N	227	56026	UROK	\N	\N
3632625	3091	1998-10-31	PRIJEM	\N	234	56404	UROK	\N	\N
3632626	3091	1998-11-30	PRIJEM	\N	242	60291	UROK	\N	\N
3632627	3091	1998-12-31	PRIJEM	\N	267	65286	UROK	\N	\N
3632628	3092	1996-05-31	PRIJEM	\N	69	27003	UROK	\N	\N
3632629	3092	1996-06-30	PRIJEM	\N	90	21136	UROK	\N	\N
3632630	3092	1996-07-31	PRIJEM	\N	89	17588	UROK	\N	\N
3632631	3092	1996-08-31	PRIJEM	\N	80	20292	UROK	\N	\N
3632632	3092	1996-09-30	PRIJEM	\N	82	19277	UROK	\N	\N
3632633	3092	1996-10-31	PRIJEM	\N	74	18915	UROK	\N	\N
3632634	3092	1996-11-30	PRIJEM	\N	82	20120	UROK	\N	\N
3632635	3092	1996-12-31	PRIJEM	\N	89	22032	UROK	\N	\N
3632636	3092	1997-01-31	PRIJEM	\N	81	13896	UROK	\N	\N
3632637	3092	1997-02-28	PRIJEM	\N	60	14240	UROK	\N	\N
3632638	3092	1997-03-31	PRIJEM	\N	66	16069	UROK	\N	\N
3632639	3092	1997-04-30	PRIJEM	\N	76	17468	UROK	\N	\N
3632640	3092	1997-05-31	PRIJEM	\N	79	17971	UROK	\N	\N
3632641	3092	1997-06-30	PRIJEM	\N	77	18971	UROK	\N	\N
3632642	3092	1997-07-31	PRIJEM	\N	82	20377	UROK	\N	\N
3632643	3092	1997-08-31	PRIJEM	\N	84	19984	UROK	\N	\N
3632644	3092	1997-09-30	PRIJEM	\N	81	19088	UROK	\N	\N
3632645	3092	1997-10-31	PRIJEM	\N	82	17993	UROK	\N	\N
3632646	3092	1997-11-30	PRIJEM	\N	76	18392	UROK	\N	\N
3632647	3092	1997-12-31	PRIJEM	\N	77	17543	UROK	\N	\N
3632648	3092	1998-01-31	PRIJEM	\N	66	13803	UROK	\N	\N
3632649	3092	1998-02-28	PRIJEM	\N	67	15793	UROK	\N	\N
3632650	3092	1998-03-31	PRIJEM	\N	78	18494	UROK	\N	\N
3632651	3092	1998-04-30	PRIJEM	\N	79	17297	UROK	\N	\N
3632652	3092	1998-05-31	PRIJEM	\N	78	18998	UROK	\N	\N
3632653	3092	1998-06-30	PRIJEM	\N	92	20333	UROK	\N	\N
3632654	3092	1998-07-31	PRIJEM	\N	86	21243	UROK	\N	\N
3632655	3092	1998-08-31	PRIJEM	\N	86	20452	UROK	\N	\N
3632656	3092	1998-09-30	PRIJEM	\N	71	14846	UROK	\N	\N
3632657	3092	1998-10-31	PRIJEM	\N	70	18239	UROK	\N	\N
3632658	3092	1998-11-30	PRIJEM	\N	83	19146	UROK	\N	\N
3632659	3092	1998-12-31	PRIJEM	\N	71	18130	UROK	\N	\N
3632660	3093	1996-12-31	PRIJEM	\N	38	26008	UROK	\N	\N
3632661	3093	1997-01-31	PRIJEM	\N	126	37014	UROK	\N	\N
3632662	3093	1997-02-28	PRIJEM	\N	158	40153	UROK	\N	\N
3632663	3093	1997-03-31	PRIJEM	\N	165	38997	UROK	\N	\N
3632664	3093	1997-04-30	PRIJEM	\N	167	42545	UROK	\N	\N
3632665	3093	1997-05-31	PRIJEM	\N	192	37264	UROK	\N	\N
3632666	3093	1997-06-30	PRIJEM	\N	175	29496	UROK	\N	\N
3632667	3093	1997-07-31	PRIJEM	\N	142	28566	UROK	\N	\N
3632668	3093	1997-08-31	PRIJEM	\N	134	26727	UROK	\N	\N
3632669	3093	1997-09-30	PRIJEM	\N	115	23150	UROK	\N	\N
3632670	3093	1997-10-31	PRIJEM	\N	105	19282	UROK	\N	\N
3632671	3093	1997-11-30	PRIJEM	\N	94	14504	UROK	\N	\N
3632672	3093	1997-12-31	PRIJEM	\N	106	24087	UROK	\N	\N
3632673	3093	1998-01-31	PRIJEM	\N	100	21374	UROK	\N	\N
3632674	3093	1998-02-28	PRIJEM	\N	96	19797	UROK	\N	\N
3632675	3093	1998-03-31	PRIJEM	\N	105	23829	UROK	\N	\N
3632676	3093	1998-04-30	PRIJEM	\N	111	16968	UROK	\N	\N
3632677	3093	1998-05-31	PRIJEM	\N	93	21888	UROK	\N	\N
3632678	3093	1998-06-30	PRIJEM	\N	116	26122	UROK	\N	\N
3632679	3093	1998-07-31	PRIJEM	\N	116	25365	UROK	\N	\N
3632680	3093	1998-08-31	PRIJEM	\N	105	22038	UROK	\N	\N
3632681	3093	1998-09-30	PRIJEM	\N	89	19234	UROK	\N	\N
3632682	3093	1998-10-31	PRIJEM	\N	80	17642	UROK	\N	\N
3632683	3093	1998-11-30	PRIJEM	\N	68	15037	UROK	\N	\N
3632684	3093	1998-12-31	PRIJEM	\N	146	43600	UROK	\N	\N
3632685	3094	1994-01-31	PRIJEM	\N	31	18014	UROK	\N	\N
3632686	3094	1994-02-28	PRIJEM	\N	94	29792	UROK	\N	\N
3632687	3094	1994-03-31	PRIJEM	\N	134	36008	UROK	\N	\N
3632688	3094	1994-04-30	PRIJEM	\N	157	40648	UROK	\N	\N
3632689	3094	1994-05-31	PRIJEM	\N	181	40775	UROK	\N	\N
3632690	3094	1994-06-30	PRIJEM	\N	146	28511	UROK	\N	\N
3632691	3094	1994-07-31	PRIJEM	\N	134	34245	UROK	\N	\N
3632692	3094	1994-08-31	PRIJEM	\N	141	31625	UROK	\N	\N
3632693	3094	1994-09-30	PRIJEM	\N	136	32120	UROK	\N	\N
3632694	3094	1994-10-31	PRIJEM	\N	141	34260	UROK	\N	\N
3632695	3094	1994-11-30	PRIJEM	\N	139	33039	UROK	\N	\N
3632696	3094	1994-12-31	PRIJEM	\N	148	37257	UROK	\N	\N
3632697	3094	1995-01-31	PRIJEM	\N	171	34387	UROK	\N	\N
3632698	3094	1995-02-28	PRIJEM	\N	149	37735	UROK	\N	\N
3632699	3094	1995-03-31	PRIJEM	\N	153	35788	UROK	\N	\N
3632700	3094	1995-04-30	PRIJEM	\N	150	36437	UROK	\N	\N
3632701	3094	1995-05-31	PRIJEM	\N	136	31673	UROK	\N	\N
3632702	3094	1995-06-30	PRIJEM	\N	120	24783	UROK	\N	\N
3632703	3094	1995-07-31	PRIJEM	\N	112	30014	UROK	\N	\N
3632704	3094	1995-08-31	PRIJEM	\N	135	34389	UROK	\N	\N
3632705	3094	1995-09-30	PRIJEM	\N	164	43752	UROK	\N	\N
3632706	3094	1995-10-31	PRIJEM	\N	198	51350	UROK	\N	\N
3632707	3094	1995-11-30	PRIJEM	\N	217	54867	UROK	\N	\N
3632708	3094	1995-12-31	PRIJEM	\N	237	60314	UROK	\N	\N
3632709	3094	1996-01-31	PRIJEM	\N	231	52684	UROK	\N	\N
3632710	3094	1996-02-29	PRIJEM	\N	224	57207	UROK	\N	\N
3632711	3094	1996-03-31	PRIJEM	\N	236	59042	UROK	\N	\N
3632712	3094	1996-04-30	PRIJEM	\N	255	64296	UROK	\N	\N
3632713	3094	1996-05-31	PRIJEM	\N	263	62059	UROK	\N	\N
3632714	3094	1996-06-30	PRIJEM	\N	265	69014	UROK	\N	\N
3632715	3094	1996-07-31	PRIJEM	\N	258	63951	UROK	\N	\N
3632716	3094	1996-08-31	PRIJEM	\N	239	59789	UROK	\N	\N
3632717	3094	1996-09-30	PRIJEM	\N	234	59723	UROK	\N	\N
3632718	3094	1996-10-31	PRIJEM	\N	235	59757	UROK	\N	\N
3632719	3094	1996-11-30	PRIJEM	\N	226	57582	UROK	\N	\N
3632720	3094	1996-12-31	PRIJEM	\N	240	59413	UROK	\N	\N
3632721	3094	1997-01-31	PRIJEM	\N	204	49936	UROK	\N	\N
3632722	3094	1997-02-28	PRIJEM	\N	205	53439	UROK	\N	\N
3632723	3094	1997-03-31	PRIJEM	\N	211	54450	UROK	\N	\N
3632724	3094	1997-04-30	PRIJEM	\N	213	54863	UROK	\N	\N
3632725	3094	1997-05-31	PRIJEM	\N	207	51929	UROK	\N	\N
3632726	3094	1997-06-30	PRIJEM	\N	171	42490	UROK	\N	\N
3632727	3094	1997-07-31	PRIJEM	\N	174	46403	UROK	\N	\N
3632728	3094	1997-08-31	PRIJEM	\N	172	45075	UROK	\N	\N
3632729	3094	1997-09-30	PRIJEM	\N	156	42230	UROK	\N	\N
3632730	3094	1997-10-31	PRIJEM	\N	163	35293	UROK	\N	\N
3632731	3094	1997-11-30	PRIJEM	\N	165	38057	UROK	\N	\N
3632732	3094	1997-12-31	PRIJEM	\N	187	37554	UROK	\N	\N
3632733	3094	1998-01-31	PRIJEM	\N	162	27836	UROK	\N	\N
3632734	3094	1998-02-28	PRIJEM	\N	132	27766	UROK	\N	\N
3632735	3094	1998-03-31	PRIJEM	\N	125	24711	UROK	\N	\N
3632736	3094	1998-04-30	PRIJEM	\N	120	28630	UROK	\N	\N
3632737	3094	1998-05-31	PRIJEM	\N	136	32666	UROK	\N	\N
3632738	3094	1998-06-30	PRIJEM	\N	153	24449	UROK	\N	\N
3632739	3094	1998-07-31	PRIJEM	\N	120	31969	UROK	\N	\N
3632740	3094	1998-08-31	PRIJEM	\N	144	31712	UROK	\N	\N
3632741	3094	1998-09-30	PRIJEM	\N	146	36798	UROK	\N	\N
3632742	3094	1998-10-31	PRIJEM	\N	163	36260	UROK	\N	\N
3632743	3094	1998-11-30	PRIJEM	\N	150	33529	UROK	\N	\N
3632744	3094	1998-12-31	PRIJEM	\N	165	46964	UROK	\N	\N
3632745	3096	1993-07-31	PRIJEM	\N	9	21293	UROK	\N	\N
3632746	3096	1993-08-31	PRIJEM	\N	94	30770	UROK	\N	\N
3632747	3096	1993-09-30	PRIJEM	\N	131	35685	UROK	\N	\N
3632748	3096	1993-10-31	PRIJEM	\N	152	41321	UROK	\N	\N
3632749	3096	1993-11-30	PRIJEM	\N	202	41988	UROK	\N	\N
3632750	3096	1993-12-31	PRIJEM	\N	223	43785	UROK	\N	\N
3632751	3096	1994-01-31	PRIJEM	\N	185	33001	UROK	\N	\N
3632752	3096	1994-02-28	PRIJEM	\N	174	34406	UROK	\N	\N
3632753	3096	1994-03-31	PRIJEM	\N	177	37214	UROK	\N	\N
3632754	3096	1994-04-30	PRIJEM	\N	187	39533	UROK	\N	\N
3632755	3096	1994-05-31	PRIJEM	\N	194	39358	UROK	\N	\N
3632756	3096	1994-06-30	PRIJEM	\N	218	43750	UROK	\N	\N
3632757	3096	1994-07-31	PRIJEM	\N	205	39586	UROK	\N	\N
3632758	3096	1994-08-31	PRIJEM	\N	188	36905	UROK	\N	\N
3632759	3096	1994-09-30	PRIJEM	\N	176	35113	UROK	\N	\N
3632760	3096	1994-10-31	PRIJEM	\N	172	36316	UROK	\N	\N
3632761	3096	1994-11-30	PRIJEM	\N	174	35721	UROK	\N	\N
3632762	3096	1994-12-31	PRIJEM	\N	195	39190	UROK	\N	\N
3632763	3096	1995-01-31	PRIJEM	\N	141	24162	UROK	\N	\N
3632764	3096	1995-02-28	PRIJEM	\N	114	24207	UROK	\N	\N
3632765	3096	1995-03-31	PRIJEM	\N	128	27266	UROK	\N	\N
3632766	3096	1995-04-30	PRIJEM	\N	141	31539	UROK	\N	\N
3632767	3096	1995-05-31	PRIJEM	\N	147	28517	UROK	\N	\N
3632768	3096	1995-06-30	PRIJEM	\N	160	33251	UROK	\N	\N
3632769	3096	1995-07-31	PRIJEM	\N	149	30131	UROK	\N	\N
3632770	3096	1995-08-31	PRIJEM	\N	142	30105	UROK	\N	\N
3632771	3096	1995-09-30	PRIJEM	\N	142	29978	UROK	\N	\N
3632772	3096	1995-10-31	PRIJEM	\N	141	30651	UROK	\N	\N
3632773	3096	1995-11-30	PRIJEM	\N	131	28313	UROK	\N	\N
3632774	3096	1995-12-31	PRIJEM	\N	149	31036	UROK	\N	\N
3632775	3096	1996-01-31	PRIJEM	\N	135	28202	UROK	\N	\N
3632776	3096	1996-02-29	PRIJEM	\N	127	28061	UROK	\N	\N
3632777	3096	1996-03-31	PRIJEM	\N	129	28521	UROK	\N	\N
3632778	3096	1996-04-30	PRIJEM	\N	137	32190	UROK	\N	\N
3632779	3096	1996-05-31	PRIJEM	\N	138	30160	UROK	\N	\N
3632780	3096	1996-06-30	PRIJEM	\N	150	32583	UROK	\N	\N
3632781	3096	1996-07-31	PRIJEM	\N	145	33159	UROK	\N	\N
3632782	3096	1996-08-31	PRIJEM	\N	136	30826	UROK	\N	\N
3632783	3096	1996-09-30	PRIJEM	\N	130	29087	UROK	\N	\N
3632784	3096	1996-10-31	PRIJEM	\N	111	21529	UROK	\N	\N
3632785	3096	1996-11-30	PRIJEM	\N	102	24962	UROK	\N	\N
3632786	3096	1996-12-31	PRIJEM	\N	134	34570	UROK	\N	\N
3632787	3096	1997-01-31	PRIJEM	\N	106	17608	UROK	\N	\N
3632788	3096	1997-02-28	PRIJEM	\N	120	33059	UROK	\N	\N
3632789	3096	1997-03-31	PRIJEM	\N	120	26510	UROK	\N	\N
3632790	3096	1997-04-30	PRIJEM	\N	105	23347	UROK	\N	\N
3632791	3096	1997-05-31	PRIJEM	\N	98	23576	UROK	\N	\N
3632792	3096	1997-06-30	PRIJEM	\N	156	42205	UROK	\N	\N
3632793	3096	1997-07-31	PRIJEM	\N	163	38899	UROK	\N	\N
3632794	3096	1997-08-31	PRIJEM	\N	159	39490	UROK	\N	\N
3632795	3096	1997-09-30	PRIJEM	\N	137	33058	UROK	\N	\N
3632796	3096	1997-10-31	PRIJEM	\N	123	30612	UROK	\N	\N
3632797	3096	1997-11-30	PRIJEM	\N	158	39001	UROK	\N	\N
3632798	3096	1997-12-31	PRIJEM	\N	159	40733	UROK	\N	\N
3632799	3096	1998-01-31	PRIJEM	\N	113	25077	UROK	\N	\N
3632800	3096	1998-02-28	PRIJEM	\N	141	37750	UROK	\N	\N
3632801	3096	1998-03-31	PRIJEM	\N	136	34317	UROK	\N	\N
3632802	3096	1998-04-30	PRIJEM	\N	126	32274	UROK	\N	\N
3632803	3096	1998-05-31	PRIJEM	\N	172	44977	UROK	\N	\N
3632804	3096	1998-06-30	PRIJEM	\N	173	45324	UROK	\N	\N
3632805	3096	1998-07-31	PRIJEM	\N	134	31989	UROK	\N	\N
3632806	3096	1998-08-31	PRIJEM	\N	165	40085	UROK	\N	\N
3632807	3096	1998-09-30	PRIJEM	\N	129	32446	UROK	\N	\N
3632808	3096	1998-10-31	PRIJEM	\N	117	30294	UROK	\N	\N
3632809	3096	1998-11-30	PRIJEM	\N	162	42988	UROK	\N	\N
3632810	3096	1998-12-31	PRIJEM	\N	159	33721	UROK	\N	\N
3632811	3097	1997-09-30	PRIJEM	\N	36	14320	UROK	\N	\N
3632812	3097	1997-10-31	PRIJEM	\N	64	15967	UROK	\N	\N
3632813	3097	1997-11-30	PRIJEM	\N	80	21332	UROK	\N	\N
3632814	3097	1997-12-31	PRIJEM	\N	93	22909	UROK	\N	\N
3632815	3097	1998-01-31	PRIJEM	\N	100	23853	UROK	\N	\N
3632816	3097	1998-02-28	PRIJEM	\N	100	23400	UROK	\N	\N
3632817	3097	1998-03-31	PRIJEM	\N	97	22444	UROK	\N	\N
3632818	3097	1998-04-30	PRIJEM	\N	89	20381	UROK	\N	\N
3632819	3097	1998-05-31	PRIJEM	\N	81	18309	UROK	\N	\N
3632820	3097	1998-06-30	PRIJEM	\N	83	13579	UROK	\N	\N
3632821	3097	1998-07-31	PRIJEM	\N	74	19101	UROK	\N	\N
3632822	3097	1998-08-31	PRIJEM	\N	85	20654	UROK	\N	\N
3632823	3097	1998-09-30	PRIJEM	\N	78	17779	UROK	\N	\N
3632824	3097	1998-10-31	PRIJEM	\N	63	14089	UROK	\N	\N
3632825	3097	1998-11-30	PRIJEM	\N	44	9280	UROK	\N	\N
3632826	3097	1998-12-31	PRIJEM	\N	44	10571	UROK	\N	\N
3632827	3098	1996-10-31	PRIJEM	\N	39	18020	UROK	\N	\N
3632828	3098	1996-11-30	PRIJEM	\N	94	26695	UROK	\N	\N
3632829	3098	1996-12-31	PRIJEM	\N	124	32490	UROK	\N	\N
3632830	3098	1997-01-31	PRIJEM	\N	143	35914	UROK	\N	\N
3632831	3098	1997-02-28	PRIJEM	\N	138	31434	UROK	\N	\N
3632832	3098	1997-03-31	PRIJEM	\N	132	31027	UROK	\N	\N
3632833	3098	1997-04-30	PRIJEM	\N	134	32322	UROK	\N	\N
3632834	3098	1997-05-31	PRIJEM	\N	112	26735	UROK	\N	\N
3632835	3098	1997-06-30	PRIJEM	\N	132	33819	UROK	\N	\N
3632836	3098	1997-07-31	PRIJEM	\N	138	32218	UROK	\N	\N
3632837	3098	1997-08-31	PRIJEM	\N	126	29705	UROK	\N	\N
3632838	3098	1997-09-30	PRIJEM	\N	130	32097	UROK	\N	\N
3632839	3098	1997-10-31	PRIJEM	\N	134	27832	UROK	\N	\N
3632840	3098	1997-11-30	PRIJEM	\N	109	32702	UROK	\N	\N
3632841	3098	1997-12-31	PRIJEM	\N	142	31557	UROK	\N	\N
3632842	3098	1998-01-31	PRIJEM	\N	139	33397	UROK	\N	\N
3632843	3098	1998-02-28	PRIJEM	\N	145	34363	UROK	\N	\N
3632844	3098	1998-03-31	PRIJEM	\N	139	40464	UROK	\N	\N
3632845	3098	1998-04-30	PRIJEM	\N	172	41897	UROK	\N	\N
3632846	3098	1998-05-31	PRIJEM	\N	184	42083	UROK	\N	\N
3632847	3098	1998-06-30	PRIJEM	\N	124	16159	UROK	\N	\N
3632848	3098	1998-07-31	PRIJEM	\N	99	27020	UROK	\N	\N
3632849	3098	1998-08-31	PRIJEM	\N	128	32409	UROK	\N	\N
3632850	3098	1998-09-30	PRIJEM	\N	143	35613	UROK	\N	\N
3632851	3098	1998-10-31	PRIJEM	\N	166	41840	UROK	\N	\N
3632852	3098	1998-11-30	PRIJEM	\N	171	41372	UROK	\N	\N
3632853	3098	1998-12-31	PRIJEM	\N	146	33010	UROK	\N	\N
3632854	3099	1993-09-30	PRIJEM	\N	46	23922	UROK	\N	\N
3632855	3099	1993-10-31	PRIJEM	\N	101	23938	UROK	\N	\N
3632856	3099	1993-11-30	PRIJEM	\N	106	25823	UROK	\N	\N
3632857	3099	1993-12-31	PRIJEM	\N	111	26084	UROK	\N	\N
3632858	3099	1994-01-31	PRIJEM	\N	94	13797	UROK	\N	\N
3632859	3099	1994-02-28	PRIJEM	\N	65	16661	UROK	\N	\N
3632860	3099	1994-03-31	PRIJEM	\N	76	17537	UROK	\N	\N
3632861	3099	1994-04-30	PRIJEM	\N	80	20417	UROK	\N	\N
3632862	3099	1994-05-31	PRIJEM	\N	89	21145	UROK	\N	\N
3632863	3099	1994-06-30	PRIJEM	\N	79	17824	UROK	\N	\N
3632864	3099	1994-07-31	PRIJEM	\N	82	20705	UROK	\N	\N
3632865	3099	1994-08-31	PRIJEM	\N	94	23598	UROK	\N	\N
3632866	3099	1994-09-30	PRIJEM	\N	112	25909	UROK	\N	\N
3632867	3099	1994-10-31	PRIJEM	\N	117	23426	UROK	\N	\N
3632868	3099	1994-11-30	PRIJEM	\N	105	26330	UROK	\N	\N
3632869	3099	1994-12-31	PRIJEM	\N	102	22751	UROK	\N	\N
3632870	3099	1995-01-31	PRIJEM	\N	82	15703	UROK	\N	\N
3632871	3099	1995-02-28	PRIJEM	\N	72	18575	UROK	\N	\N
3632872	3099	1995-03-31	PRIJEM	\N	84	20178	UROK	\N	\N
3632873	3099	1995-04-30	PRIJEM	\N	91	23069	UROK	\N	\N
3632874	3099	1995-05-31	PRIJEM	\N	103	25972	UROK	\N	\N
3632875	3099	1995-06-30	PRIJEM	\N	99	22770	UROK	\N	\N
3632876	3099	1995-07-31	PRIJEM	\N	102	25672	UROK	\N	\N
3632877	3099	1995-08-31	PRIJEM	\N	114	28585	UROK	\N	\N
3632878	3099	1995-09-30	PRIJEM	\N	123	29207	UROK	\N	\N
3632879	3099	1995-10-31	PRIJEM	\N	116	27223	UROK	\N	\N
3632880	3099	1995-11-30	PRIJEM	\N	120	30142	UROK	\N	\N
3632881	3099	1995-12-31	PRIJEM	\N	127	29228	UROK	\N	\N
3632882	3099	1996-01-31	PRIJEM	\N	97	17294	UROK	\N	\N
3632883	3099	1996-02-29	PRIJEM	\N	79	20173	UROK	\N	\N
3632884	3099	1996-03-31	PRIJEM	\N	91	23063	UROK	\N	\N
3632885	3099	1996-04-30	PRIJEM	\N	96	22759	UROK	\N	\N
3632886	3099	1996-05-31	PRIJEM	\N	97	22935	UROK	\N	\N
3632887	3099	1996-06-30	PRIJEM	\N	97	22931	UROK	\N	\N
3632888	3099	1996-07-31	PRIJEM	\N	102	25833	UROK	\N	\N
3632889	3099	1996-08-31	PRIJEM	\N	117	28449	UROK	\N	\N
3632890	3099	1996-09-30	PRIJEM	\N	107	22216	UROK	\N	\N
3632891	3099	1996-10-31	PRIJEM	\N	99	25114	UROK	\N	\N
3632892	3099	1996-11-30	PRIJEM	\N	101	25614	UROK	\N	\N
3632893	3099	1996-12-31	PRIJEM	\N	98	24511	UROK	\N	\N
3632894	3099	1997-01-31	PRIJEM	\N	92	18413	UROK	\N	\N
3632895	3099	1997-02-28	PRIJEM	\N	83	21295	UROK	\N	\N
3632896	3099	1997-03-31	PRIJEM	\N	86	20260	UROK	\N	\N
3632897	3099	1997-04-30	PRIJEM	\N	90	23150	UROK	\N	\N
3632898	3099	1997-05-31	PRIJEM	\N	103	26052	UROK	\N	\N
3632899	3099	1997-06-30	PRIJEM	\N	108	24299	UROK	\N	\N
3632900	3099	1997-07-31	PRIJEM	\N	105	22803	UROK	\N	\N
3632901	3099	1997-08-31	PRIJEM	\N	98	21000	UROK	\N	\N
3632902	3099	1997-09-30	PRIJEM	\N	91	21491	UROK	\N	\N
3632903	3099	1997-10-31	PRIJEM	\N	92	20783	UROK	\N	\N
3632904	3099	1997-11-30	PRIJEM	\N	91	21773	UROK	\N	\N
3632905	3099	1997-12-31	PRIJEM	\N	94	22666	UROK	\N	\N
3632906	3099	1998-01-31	PRIJEM	\N	86	15971	UROK	\N	\N
3632907	3099	1998-02-28	PRIJEM	\N	71	18241	UROK	\N	\N
3632908	3099	1998-03-31	PRIJEM	\N	81	21122	UROK	\N	\N
3632909	3099	1998-04-30	PRIJEM	\N	93	24014	UROK	\N	\N
3632910	3099	1998-05-31	PRIJEM	\N	103	25117	UROK	\N	\N
3632911	3099	1998-06-30	PRIJEM	\N	108	25025	UROK	\N	\N
3632912	3099	1998-07-31	PRIJEM	\N	109	27933	UROK	\N	\N
3632913	3099	1998-08-31	PRIJEM	\N	118	28251	UROK	\N	\N
3632914	3099	1998-09-30	PRIJEM	\N	116	26066	UROK	\N	\N
3632915	3099	1998-10-31	PRIJEM	\N	104	22569	UROK	\N	\N
3632916	3099	1998-11-30	PRIJEM	\N	86	18434	UROK	\N	\N
3632917	3099	1998-12-31	PRIJEM	\N	82	19065	UROK	\N	\N
3632918	3100	1997-07-31	PRIJEM	\N	30	22178	UROK	\N	\N
3632919	3100	1997-08-31	PRIJEM	\N	99	27025	UROK	\N	\N
3632920	3100	1997-09-30	PRIJEM	\N	119	31392	UROK	\N	\N
3632921	3100	1997-10-31	PRIJEM	\N	134	33774	UROK	\N	\N
3632922	3100	1997-11-30	PRIJEM	\N	138	32560	UROK	\N	\N
3632923	3100	1997-12-31	PRIJEM	\N	160	34381	UROK	\N	\N
3632924	3100	1998-01-31	PRIJEM	\N	150	32967	UROK	\N	\N
3632925	3100	1998-02-28	PRIJEM	\N	134	28517	UROK	\N	\N
3632926	3100	1998-03-31	PRIJEM	\N	125	25778	UROK	\N	\N
3632927	3100	1998-04-30	PRIJEM	\N	113	23527	UROK	\N	\N
3632928	3100	1998-05-31	PRIJEM	\N	113	26376	UROK	\N	\N
3632929	3100	1998-06-30	PRIJEM	\N	112	20089	UROK	\N	\N
3632930	3100	1998-07-31	PRIJEM	\N	92	20517	UROK	\N	\N
3632931	3100	1998-08-31	PRIJEM	\N	94	22047	UROK	\N	\N
3632932	3100	1998-09-30	PRIJEM	\N	99	23783	UROK	\N	\N
3632933	3100	1998-10-31	PRIJEM	\N	109	26628	UROK	\N	\N
3632934	3100	1998-11-30	PRIJEM	\N	99	22283	UROK	\N	\N
3632935	3100	1998-12-31	PRIJEM	\N	97	18520	UROK	\N	\N
3632936	3101	1994-07-31	PRIJEM	\N	8	14493	UROK	\N	\N
3632937	3101	1994-08-31	PRIJEM	\N	63	15510	UROK	\N	\N
3632938	3101	1994-09-30	PRIJEM	\N	67	16262	UROK	\N	\N
3632939	3101	1994-10-31	PRIJEM	\N	70	17287	UROK	\N	\N
3632940	3101	1994-11-30	PRIJEM	\N	75	18316	UROK	\N	\N
3632941	3101	1994-12-31	PRIJEM	\N	77	18927	UROK	\N	\N
3632942	3101	1995-01-31	PRIJEM	\N	65	14396	UROK	\N	\N
3632943	3101	1995-02-28	PRIJEM	\N	63	15413	UROK	\N	\N
3632944	3101	1995-03-31	PRIJEM	\N	67	16434	UROK	\N	\N
3632945	3101	1995-04-30	PRIJEM	\N	71	17459	UROK	\N	\N
3632946	3101	1995-05-31	PRIJEM	\N	75	18489	UROK	\N	\N
3632947	3101	1995-06-30	PRIJEM	\N	75	18319	UROK	\N	\N
3632948	3101	1995-07-31	PRIJEM	\N	78	18551	UROK	\N	\N
3632949	3101	1995-08-31	PRIJEM	\N	80	19585	UROK	\N	\N
3632950	3101	1995-09-30	PRIJEM	\N	83	19902	UROK	\N	\N
3632951	3101	1995-10-31	PRIJEM	\N	76	18023	UROK	\N	\N
3632952	3101	1995-11-30	PRIJEM	\N	78	19055	UROK	\N	\N
3632953	3101	1995-12-31	PRIJEM	\N	81	18850	UROK	\N	\N
3632954	3101	1996-01-31	PRIJEM	\N	73	14057	UROK	\N	\N
3632955	3101	1996-02-29	PRIJEM	\N	61	15073	UROK	\N	\N
3632956	3101	1996-03-31	PRIJEM	\N	65	16092	UROK	\N	\N
3632957	3101	1996-04-30	PRIJEM	\N	70	17116	UROK	\N	\N
3632958	3101	1996-05-31	PRIJEM	\N	74	18144	UROK	\N	\N
3632959	3101	1996-06-30	PRIJEM	\N	66	14125	UROK	\N	\N
3632960	3101	1996-07-31	PRIJEM	\N	61	15141	UROK	\N	\N
3632961	3101	1996-08-31	PRIJEM	\N	60	14685	UROK	\N	\N
3632962	3101	1996-09-30	PRIJEM	\N	64	15703	UROK	\N	\N
3632963	3101	1996-10-31	PRIJEM	\N	68	16725	UROK	\N	\N
3632964	3101	1996-11-30	PRIJEM	\N	67	16577	UROK	\N	\N
3632965	3101	1996-12-31	PRIJEM	\N	70	15471	UROK	\N	\N
3632966	3101	1997-01-31	PRIJEM	\N	59	14024	UROK	\N	\N
3632967	3101	1997-02-28	PRIJEM	\N	61	15039	UROK	\N	\N
3632968	3101	1997-03-31	PRIJEM	\N	65	16058	UROK	\N	\N
3632969	3101	1997-04-30	PRIJEM	\N	69	17082	UROK	\N	\N
3632970	3101	1997-05-31	PRIJEM	\N	73	18109	UROK	\N	\N
3632971	3101	1997-06-30	PRIJEM	\N	74	18238	UROK	\N	\N
3632972	3101	1997-07-31	PRIJEM	\N	78	18790	UROK	\N	\N
3632973	3101	1997-08-31	PRIJEM	\N	80	19824	UROK	\N	\N
3632974	3101	1997-09-30	PRIJEM	\N	85	20863	UROK	\N	\N
3632975	3101	1997-10-31	PRIJEM	\N	89	21906	UROK	\N	\N
3632976	3101	1997-11-30	PRIJEM	\N	93	22954	UROK	\N	\N
3632977	3101	1997-12-31	PRIJEM	\N	97	23465	UROK	\N	\N
3632978	3101	1998-01-31	PRIJEM	\N	82	18441	UROK	\N	\N
3632979	3101	1998-02-28	PRIJEM	\N	76	18841	UROK	\N	\N
3632980	3101	1998-03-31	PRIJEM	\N	80	19875	UROK	\N	\N
3632981	3101	1998-04-30	PRIJEM	\N	84	20914	UROK	\N	\N
3632982	3101	1998-05-31	PRIJEM	\N	89	21957	UROK	\N	\N
3632983	3101	1998-06-30	PRIJEM	\N	75	16717	UROK	\N	\N
3632984	3101	1998-07-31	PRIJEM	\N	71	17742	UROK	\N	\N
3632985	3101	1998-08-31	PRIJEM	\N	75	17751	UROK	\N	\N
3632986	3101	1998-09-30	PRIJEM	\N	75	18781	UROK	\N	\N
3632987	3101	1998-10-31	PRIJEM	\N	79	19664	UROK	\N	\N
3632988	3101	1998-11-30	PRIJEM	\N	83	20702	UROK	\N	\N
3632989	3101	1998-12-31	PRIJEM	\N	86	20933	UROK	\N	\N
3632990	3102	1997-12-31	PRIJEM	\N	29	23642	UROK	\N	\N
3632991	3102	1998-01-31	PRIJEM	\N	108	30992	UROK	\N	\N
3632992	3102	1998-02-28	PRIJEM	\N	133	34467	UROK	\N	\N
3632993	3102	1998-03-31	PRIJEM	\N	146	36754	UROK	\N	\N
3632994	3102	1998-04-30	PRIJEM	\N	156	39853	UROK	\N	\N
3632995	3102	1998-05-31	PRIJEM	\N	176	39434	UROK	\N	\N
3632996	3102	1998-06-30	PRIJEM	\N	189	45199	UROK	\N	\N
3632997	3102	1998-07-31	PRIJEM	\N	187	41672	UROK	\N	\N
3632998	3102	1998-08-31	PRIJEM	\N	177	43155	UROK	\N	\N
3632999	3102	1998-09-30	PRIJEM	\N	188	44048	UROK	\N	\N
3633000	3102	1998-10-31	PRIJEM	\N	195	46948	UROK	\N	\N
3633001	3102	1998-11-30	PRIJEM	\N	197	44950	UROK	\N	\N
3633002	3102	1998-12-31	PRIJEM	\N	209	48035	UROK	\N	\N
3633003	3103	1998-01-31	PRIJEM	\N	112	79231	UROK	\N	\N
3633004	3103	1998-02-28	PRIJEM	\N	330	53461	UROK	\N	\N
3633005	3103	1998-03-31	PRIJEM	\N	330	42490	UROK	\N	\N
3633006	3103	1998-04-30	PRIJEM	\N	330	37820	UROK	\N	\N
3633007	3103	1998-05-31	PRIJEM	\N	330	35450	UROK	\N	\N
3633008	3103	1998-06-30	PRIJEM	\N	330	34379	UROK	\N	\N
3633009	3103	1998-07-31	PRIJEM	\N	330	33609	UROK	\N	\N
3633010	3103	1998-08-31	PRIJEM	\N	330	34239	UROK	\N	\N
3633011	3103	1998-09-30	PRIJEM	\N	330	32868	UROK	\N	\N
3633012	3103	1998-10-31	PRIJEM	\N	330	32798	UROK	\N	\N
3633013	3103	1998-11-30	PRIJEM	\N	330	32728	UROK	\N	\N
3633014	3104	1997-05-31	PRIJEM	\N	6	14412	UROK	\N	\N
3633015	3104	1997-06-30	PRIJEM	\N	64	22781	UROK	\N	\N
3633016	3104	1997-07-31	PRIJEM	\N	99	31587	UROK	\N	\N
3633017	3104	1997-08-31	PRIJEM	\N	137	39629	UROK	\N	\N
3633018	3104	1997-09-30	PRIJEM	\N	166	41211	UROK	\N	\N
3633019	3104	1997-10-31	PRIJEM	\N	168	38406	UROK	\N	\N
3633020	3104	1997-11-30	PRIJEM	\N	159	36473	UROK	\N	\N
3633021	3104	1997-12-31	PRIJEM	\N	151	34421	UROK	\N	\N
3633022	3104	1998-01-31	PRIJEM	\N	140	34559	UROK	\N	\N
3633023	3104	1998-02-28	PRIJEM	\N	148	37794	UROK	\N	\N
3633024	3104	1998-03-31	PRIJEM	\N	157	35739	UROK	\N	\N
3633025	3104	1998-04-30	PRIJEM	\N	150	35776	UROK	\N	\N
3633026	3104	1998-05-31	PRIJEM	\N	150	36254	UROK	\N	\N
3633027	3104	1998-06-30	PRIJEM	\N	151	34892	UROK	\N	\N
3633028	3104	1998-07-31	PRIJEM	\N	141	29700	UROK	\N	\N
3633029	3104	1998-08-31	PRIJEM	\N	121	27208	UROK	\N	\N
3633030	3104	1998-09-30	PRIJEM	\N	111	25397	UROK	\N	\N
3633031	3104	1998-10-31	PRIJEM	\N	108	26492	UROK	\N	\N
3633032	3104	1998-11-30	PRIJEM	\N	106	22985	UROK	\N	\N
3633033	3104	1998-12-31	PRIJEM	\N	86	16158	UROK	\N	\N
3633034	3105	1998-04-30	PRIJEM	\N	35	14980	UROK	\N	\N
3633035	3105	1998-05-31	PRIJEM	\N	65	16104	UROK	\N	\N
3633036	3105	1998-06-30	PRIJEM	\N	70	17232	UROK	\N	\N
3633037	3105	1998-07-31	PRIJEM	\N	74	18364	UROK	\N	\N
3633038	3105	1998-08-31	PRIJEM	\N	79	19502	UROK	\N	\N
3633039	3105	1998-09-30	PRIJEM	\N	83	20243	UROK	\N	\N
3633040	3105	1998-10-31	PRIJEM	\N	88	21239	UROK	\N	\N
3633041	3105	1998-11-30	PRIJEM	\N	90	21427	UROK	\N	\N
3633042	3105	1998-12-31	PRIJEM	\N	95	21921	UROK	\N	\N
3633043	3107	1994-04-30	PRIJEM	\N	68	28926	UROK	\N	\N
3633044	3107	1994-05-31	PRIJEM	\N	120	27390	UROK	\N	\N
3633045	3107	1994-06-30	PRIJEM	\N	94	19877	UROK	\N	\N
3633046	3107	1994-07-31	PRIJEM	\N	92	22732	UROK	\N	\N
3633047	3107	1994-08-31	PRIJEM	\N	103	26178	UROK	\N	\N
3633048	3107	1994-09-30	PRIJEM	\N	106	26787	UROK	\N	\N
3633049	3107	1994-10-31	PRIJEM	\N	117	29028	UROK	\N	\N
3633050	3107	1994-11-30	PRIJEM	\N	125	30596	UROK	\N	\N
3633051	3107	1994-12-31	PRIJEM	\N	125	27565	UROK	\N	\N
3633052	3107	1995-01-31	PRIJEM	\N	103	23631	UROK	\N	\N
3633053	3107	1995-02-28	PRIJEM	\N	108	26982	UROK	\N	\N
3633054	3107	1995-03-31	PRIJEM	\N	117	24023	UROK	\N	\N
3633055	3107	1995-04-30	PRIJEM	\N	109	27774	UROK	\N	\N
3633056	3107	1995-05-31	PRIJEM	\N	124	31542	UROK	\N	\N
3633057	3107	1995-06-30	PRIJEM	\N	119	27734	UROK	\N	\N
3633058	3107	1995-07-31	PRIJEM	\N	116	27814	UROK	\N	\N
3633059	3107	1995-08-31	PRIJEM	\N	125	31582	UROK	\N	\N
3633060	3107	1995-09-30	PRIJEM	\N	140	35365	UROK	\N	\N
3633061	3107	1995-10-31	PRIJEM	\N	151	36660	UROK	\N	\N
3633062	3107	1995-11-30	PRIJEM	\N	161	40464	UROK	\N	\N
3633063	3107	1995-12-31	PRIJEM	\N	169	40487	UROK	\N	\N
3633064	3107	1996-01-31	PRIJEM	\N	166	37977	UROK	\N	\N
3633065	3107	1996-02-29	PRIJEM	\N	161	38901	UROK	\N	\N
3633066	3107	1996-03-31	PRIJEM	\N	170	42715	UROK	\N	\N
3633067	3107	1996-04-30	PRIJEM	\N	177	41016	UROK	\N	\N
3633068	3107	1996-05-31	PRIJEM	\N	179	44839	UROK	\N	\N
3633069	3107	1996-06-30	PRIJEM	\N	186	44568	UROK	\N	\N
3633070	3107	1996-07-31	PRIJEM	\N	192	46803	UROK	\N	\N
3633071	3107	1996-08-31	PRIJEM	\N	196	47122	UROK	\N	\N
3633072	3107	1996-09-30	PRIJEM	\N	204	50970	UROK	\N	\N
3633073	3107	1996-10-31	PRIJEM	\N	220	54834	UROK	\N	\N
3633074	3107	1996-11-30	PRIJEM	\N	234	57351	UROK	\N	\N
3633075	3107	1996-12-31	PRIJEM	\N	240	57894	UROK	\N	\N
3633076	3107	1997-01-31	PRIJEM	\N	228	54406	UROK	\N	\N
3633077	3107	1997-02-28	PRIJEM	\N	233	57882	UROK	\N	\N
3633078	3107	1997-03-31	PRIJEM	\N	248	60734	UROK	\N	\N
3633079	3107	1997-04-30	PRIJEM	\N	259	62636	UROK	\N	\N
3633080	3107	1997-05-31	PRIJEM	\N	268	66548	UROK	\N	\N
3633081	3107	1997-06-30	PRIJEM	\N	256	57797	UROK	\N	\N
3633082	3107	1997-07-31	PRIJEM	\N	248	61689	UROK	\N	\N
3633083	3107	1997-08-31	PRIJEM	\N	262	63754	UROK	\N	\N
3633084	3107	1997-09-30	PRIJEM	\N	271	65908	UROK	\N	\N
3633085	3107	1997-10-31	PRIJEM	\N	282	69833	UROK	\N	\N
3633086	3107	1997-11-30	PRIJEM	\N	293	71290	UROK	\N	\N
3633087	3107	1997-12-31	PRIJEM	\N	296	72439	UROK	\N	\N
3633088	3107	1998-01-31	PRIJEM	\N	296	69179	UROK	\N	\N
3633089	3107	1998-02-28	PRIJEM	\N	294	73116	UROK	\N	\N
3633090	3107	1998-03-31	PRIJEM	\N	311	77071	UROK	\N	\N
3633091	3107	1998-04-30	PRIJEM	\N	327	81041	UROK	\N	\N
3633092	3107	1998-05-31	PRIJEM	\N	341	83105	UROK	\N	\N
3633093	3107	1998-06-30	PRIJEM	\N	340	80988	UROK	\N	\N
3633094	3107	1998-07-31	PRIJEM	\N	343	84875	UROK	\N	\N
3633095	3107	1998-08-31	PRIJEM	\N	359	88777	UROK	\N	\N
3633096	3107	1998-09-30	PRIJEM	\N	373	90694	UROK	\N	\N
3633097	3107	1998-10-31	PRIJEM	\N	383	94620	UROK	\N	\N
3633098	3107	1998-11-30	PRIJEM	\N	397	97541	UROK	\N	\N
3633099	3107	1998-12-31	PRIJEM	\N	412	101046	UROK	\N	\N
3633100	3108	1993-08-31	PRIJEM	\N	18	15213	UROK	\N	\N
3633101	3108	1993-09-30	PRIJEM	\N	64	16284	UROK	\N	\N
3633102	3108	1993-10-31	PRIJEM	\N	69	17359	UROK	\N	\N
3633103	3108	1993-11-30	PRIJEM	\N	73	18259	UROK	\N	\N
3633104	3108	1993-12-31	PRIJEM	\N	75	18320	UROK	\N	\N
3633105	3108	1994-01-31	PRIJEM	\N	69	15166	UROK	\N	\N
3633106	3108	1994-02-28	PRIJEM	\N	60	15183	UROK	\N	\N
3633107	3108	1994-03-31	PRIJEM	\N	63	15922	UROK	\N	\N
3633108	3108	1994-04-30	PRIJEM	\N	63	15732	UROK	\N	\N
3633109	3108	1994-05-31	PRIJEM	\N	67	16804	UROK	\N	\N
3633110	3108	1994-06-30	PRIJEM	\N	71	17882	UROK	\N	\N
3633111	3108	1994-07-31	PRIJEM	\N	73	18001	UROK	\N	\N
3633112	3108	1994-08-31	PRIJEM	\N	76	19084	UROK	\N	\N
3633113	3108	1994-09-30	PRIJEM	\N	77	18757	UROK	\N	\N
3633114	3108	1994-10-31	PRIJEM	\N	79	19842	UROK	\N	\N
3633115	3108	1994-11-30	PRIJEM	\N	84	20932	UROK	\N	\N
3633116	3108	1994-12-31	PRIJEM	\N	81	19790	UROK	\N	\N
3633117	3108	1995-01-31	PRIJEM	\N	66	13182	UROK	\N	\N
3633118	3108	1995-02-28	PRIJEM	\N	56	14244	UROK	\N	\N
3633119	3108	1995-03-31	PRIJEM	\N	60	15311	UROK	\N	\N
3633120	3108	1995-04-30	PRIJEM	\N	61	15328	UROK	\N	\N
3633121	3108	1995-05-31	PRIJEM	\N	65	16399	UROK	\N	\N
3633122	3108	1995-06-30	PRIJEM	\N	69	17475	UROK	\N	\N
3633123	3108	1995-07-31	PRIJEM	\N	74	18555	UROK	\N	\N
3633124	3108	1995-08-31	PRIJEM	\N	70	17551	UROK	\N	\N
3633125	3108	1995-09-30	PRIJEM	\N	74	18632	UROK	\N	\N
3633126	3108	1995-10-31	PRIJEM	\N	75	18213	UROK	\N	\N
3633127	3108	1995-11-30	PRIJEM	\N	75	13894	UROK	\N	\N
3633128	3108	1995-12-31	PRIJEM	\N	57	14267	UROK	\N	\N
3633129	3108	1996-01-31	PRIJEM	\N	58	14342	UROK	\N	\N
3633130	3108	1996-02-29	PRIJEM	\N	59	12808	UROK	\N	\N
3633131	3108	1996-03-31	PRIJEM	\N	53	12567	UROK	\N	\N
3633132	3108	1996-04-30	PRIJEM	\N	53	13626	UROK	\N	\N
3633133	3108	1996-05-31	PRIJEM	\N	57	14690	UROK	\N	\N
3633134	3108	1996-06-30	PRIJEM	\N	62	15758	UROK	\N	\N
3633135	3108	1996-07-31	PRIJEM	\N	64	14428	UROK	\N	\N
3633136	3108	1996-08-31	PRIJEM	\N	60	14995	UROK	\N	\N
3633137	3108	1996-09-30	PRIJEM	\N	62	14863	UROK	\N	\N
3633138	3108	1996-10-31	PRIJEM	\N	62	15931	UROK	\N	\N
3633139	3108	1996-11-30	PRIJEM	\N	63	13600	UROK	\N	\N
3633140	3108	1996-12-31	PRIJEM	\N	55	12861	UROK	\N	\N
3633141	3108	1997-01-31	PRIJEM	\N	53	13020	UROK	\N	\N
3633142	3108	1997-02-28	PRIJEM	\N	54	14081	UROK	\N	\N
3633143	3108	1997-03-31	PRIJEM	\N	56	13143	UROK	\N	\N
3633144	3108	1997-04-30	PRIJEM	\N	55	14204	UROK	\N	\N
3633145	3108	1997-05-31	PRIJEM	\N	57	13568	UROK	\N	\N
3633146	3108	1997-06-30	PRIJEM	\N	56	14630	UROK	\N	\N
3633147	3108	1997-07-31	PRIJEM	\N	60	14977	UROK	\N	\N
3633148	3108	1997-08-31	PRIJEM	\N	62	16045	UROK	\N	\N
3633149	3108	1997-09-30	PRIJEM	\N	67	17118	UROK	\N	\N
3633150	3108	1997-10-31	PRIJEM	\N	71	18196	UROK	\N	\N
3633151	3108	1997-11-30	PRIJEM	\N	70	16072	UROK	\N	\N
3633152	3108	1997-12-31	PRIJEM	\N	64	16362	UROK	\N	\N
3633153	3108	1998-01-31	PRIJEM	\N	62	14970	UROK	\N	\N
3633154	3108	1998-02-28	PRIJEM	\N	62	16038	UROK	\N	\N
3633155	3108	1998-03-31	PRIJEM	\N	59	13404	UROK	\N	\N
3633156	3108	1998-04-30	PRIJEM	\N	55	14465	UROK	\N	\N
3633157	3108	1998-05-31	PRIJEM	\N	60	15531	UROK	\N	\N
3633158	3108	1998-06-30	PRIJEM	\N	64	16601	UROK	\N	\N
3633159	3108	1998-07-31	PRIJEM	\N	64	15652	UROK	\N	\N
3633160	3108	1998-08-31	PRIJEM	\N	63	16021	UROK	\N	\N
3633161	3108	1998-09-30	PRIJEM	\N	58	12965	UROK	\N	\N
3633162	3108	1998-10-31	PRIJEM	\N	53	14025	UROK	\N	\N
3633163	3108	1998-11-30	PRIJEM	\N	57	15089	UROK	\N	\N
3633164	3108	1998-12-31	PRIJEM	\N	62	15167	UROK	\N	\N
3633165	3111	1995-11-30	PRIJEM	\N	58	19110	UROK	\N	\N
3633166	3111	1995-12-31	PRIJEM	\N	175	50063	UROK	\N	\N
3633167	3111	1996-01-31	PRIJEM	\N	219	53834	UROK	\N	\N
3633168	3111	1996-02-29	PRIJEM	\N	232	56819	UROK	\N	\N
3633169	3111	1996-03-31	PRIJEM	\N	235	56405	UROK	\N	\N
3633170	3111	1996-04-30	PRIJEM	\N	217	53819	UROK	\N	\N
3633171	3111	1996-05-31	PRIJEM	\N	214	52029	UROK	\N	\N
3633172	3111	1996-06-30	PRIJEM	\N	188	41840	UROK	\N	\N
3633173	3111	1996-07-31	PRIJEM	\N	192	48328	UROK	\N	\N
3633174	3111	1996-08-31	PRIJEM	\N	193	48917	UROK	\N	\N
3633175	3111	1996-09-30	PRIJEM	\N	196	50009	UROK	\N	\N
3633176	3111	1996-10-31	PRIJEM	\N	206	52412	UROK	\N	\N
3633177	3111	1996-11-30	PRIJEM	\N	220	55928	UROK	\N	\N
3633178	3111	1996-12-31	PRIJEM	\N	256	63826	UROK	\N	\N
3633179	3111	1997-01-31	PRIJEM	\N	224	49086	UROK	\N	\N
3633180	3111	1997-02-28	PRIJEM	\N	229	57211	UROK	\N	\N
3633181	3111	1997-03-31	PRIJEM	\N	234	59041	UROK	\N	\N
3633182	3111	1997-04-30	PRIJEM	\N	236	58194	UROK	\N	\N
3633183	3111	1997-05-31	PRIJEM	\N	245	61934	UROK	\N	\N
3633184	3111	1997-06-30	PRIJEM	\N	173	35889	UROK	\N	\N
3633185	3111	1997-07-31	PRIJEM	\N	167	40393	UROK	\N	\N
3633186	3111	1997-08-31	PRIJEM	\N	210	44299	UROK	\N	\N
3633187	3111	1997-09-30	PRIJEM	\N	225	48221	UROK	\N	\N
3633188	3111	1997-10-31	PRIJEM	\N	234	49331	UROK	\N	\N
3633189	3111	1997-11-30	PRIJEM	\N	237	46085	UROK	\N	\N
3633190	3111	1997-12-31	PRIJEM	\N	233	45720	UROK	\N	\N
3633191	3111	1998-01-31	PRIJEM	\N	202	39758	UROK	\N	\N
3633192	3111	1998-02-28	PRIJEM	\N	201	41155	UROK	\N	\N
3633193	3111	1998-03-31	PRIJEM	\N	207	41759	UROK	\N	\N
3633194	3111	1998-04-30	PRIJEM	\N	202	38017	UROK	\N	\N
3633195	3111	1998-05-31	PRIJEM	\N	194	40707	UROK	\N	\N
3633196	3111	1998-06-30	PRIJEM	\N	191	27881	UROK	\N	\N
3633197	3111	1998-07-31	PRIJEM	\N	153	34530	UROK	\N	\N
3633198	3111	1998-08-31	PRIJEM	\N	160	36467	UROK	\N	\N
3633199	3111	1998-09-30	PRIJEM	\N	174	35577	UROK	\N	\N
3633200	3111	1998-10-31	PRIJEM	\N	181	40754	UROK	\N	\N
3633201	3111	1998-11-30	PRIJEM	\N	181	32092	UROK	\N	\N
3633202	3111	1998-12-31	PRIJEM	\N	184	38158	UROK	\N	\N
3633203	3112	1994-08-31	PRIJEM	\N	55	31474	UROK	\N	\N
3633204	3112	1994-09-30	PRIJEM	\N	131	27705	UROK	\N	\N
3633205	3112	1994-10-31	PRIJEM	\N	131	25336	UROK	\N	\N
3633206	3112	1994-11-30	PRIJEM	\N	131	27267	UROK	\N	\N
3633207	3112	1994-12-31	PRIJEM	\N	131	26098	UROK	\N	\N
3633208	3112	1995-01-31	PRIJEM	\N	175	54859	UROK	\N	\N
3633209	3112	1995-02-28	PRIJEM	\N	228	43487	UROK	\N	\N
3633210	3112	1995-03-31	PRIJEM	\N	248	84965	UROK	\N	\N
3633211	3112	1995-04-30	PRIJEM	\N	355	85885	UROK	\N	\N
3633212	3112	1995-05-31	PRIJEM	\N	380	104954	UROK	\N	\N
3633213	3112	1995-06-30	PRIJEM	\N	372	91474	UROK	\N	\N
3633214	3112	1995-07-31	PRIJEM	\N	301	138434	UROK	\N	\N
3633215	3112	1995-08-31	PRIJEM	\N	352	87151	UROK	\N	\N
3633216	3112	1995-09-30	PRIJEM	\N	241	44125	UROK	\N	\N
3633217	3112	1995-10-31	PRIJEM	\N	144	30703	UROK	\N	\N
3633218	3112	1995-11-30	PRIJEM	\N	221	56164	UROK	\N	\N
3633219	3112	1995-12-31	PRIJEM	\N	250	88390	UROK	\N	\N
3633220	3112	1996-01-31	PRIJEM	\N	304	90525	UROK	\N	\N
3633221	3112	1996-02-29	PRIJEM	\N	360	63338	UROK	\N	\N
3633222	3112	1996-03-31	PRIJEM	\N	327	95763	UROK	\N	\N
3633223	3112	1996-04-30	PRIJEM	\N	249	64454	UROK	\N	\N
3633224	3112	1996-05-31	PRIJEM	\N	265	86457	UROK	\N	\N
3633225	3112	1996-06-30	PRIJEM	\N	261	76230	UROK	\N	\N
3633226	3112	1996-07-31	PRIJEM	\N	376	105999	UROK	\N	\N
3633227	3112	1996-08-31	PRIJEM	\N	214	94194	UROK	\N	\N
3633228	3112	1996-09-30	PRIJEM	\N	311	92510	UROK	\N	\N
3633229	3112	1996-10-31	PRIJEM	\N	375	57181	UROK	\N	\N
3633230	3112	1996-11-30	PRIJEM	\N	291	61912	UROK	\N	\N
3633231	3112	1996-12-31	PRIJEM	\N	381	71996	UROK	\N	\N
3633232	3112	1997-01-31	PRIJEM	\N	208	66700	UROK	\N	\N
3633233	3112	1997-02-28	PRIJEM	\N	286	67838	UROK	\N	\N
3633234	3112	1997-03-31	PRIJEM	\N	407	72403	UROK	\N	\N
3633235	3112	1997-04-30	PRIJEM	\N	343	77092	UROK	\N	\N
3633236	3112	1997-05-31	PRIJEM	\N	358	70958	UROK	\N	\N
3633237	3112	1997-06-30	PRIJEM	\N	226	46370	UROK	\N	\N
3633238	3112	1997-07-31	PRIJEM	\N	343	75450	UROK	\N	\N
3633239	3112	1997-08-31	PRIJEM	\N	315	72573	UROK	\N	\N
3633240	3112	1997-09-30	PRIJEM	\N	400	100576	UROK	\N	\N
3633241	3112	1997-10-31	PRIJEM	\N	402	106103	UROK	\N	\N
3633242	3112	1997-11-30	PRIJEM	\N	433	66519	UROK	\N	\N
3633243	3112	1997-12-31	PRIJEM	\N	348	75948	UROK	\N	\N
3633244	3112	1998-01-31	PRIJEM	\N	195	33608	UROK	\N	\N
3633245	3112	1998-02-28	PRIJEM	\N	161	49892	UROK	\N	\N
3633246	3112	1998-03-31	PRIJEM	\N	203	58261	UROK	\N	\N
3633247	3112	1998-04-30	PRIJEM	\N	212	58339	UROK	\N	\N
3633248	3112	1998-05-31	PRIJEM	\N	230	57034	UROK	\N	\N
3633249	3112	1998-06-30	PRIJEM	\N	194	56394	UROK	\N	\N
3633250	3112	1998-07-31	PRIJEM	\N	238	68498	UROK	\N	\N
3633251	3112	1998-08-31	PRIJEM	\N	270	48911	UROK	\N	\N
3633252	3112	1998-09-30	PRIJEM	\N	219	67096	UROK	\N	\N
3633253	3112	1998-10-31	PRIJEM	\N	304	110413	UROK	\N	\N
3633254	3112	1998-11-30	PRIJEM	\N	404	92284	UROK	\N	\N
3633255	3112	1998-12-31	PRIJEM	\N	328	77828	UROK	\N	\N
3633256	3113	1993-10-31	PRIJEM	\N	86	37500	UROK	\N	\N
3633257	3113	1993-11-30	PRIJEM	\N	156	29955	UROK	\N	\N
3633258	3113	1993-12-31	PRIJEM	\N	156	27611	UROK	\N	\N
3633259	3113	1994-01-31	PRIJEM	\N	162	40102	UROK	\N	\N
3633260	3113	1994-02-28	PRIJEM	\N	162	38502	UROK	\N	\N
3633261	3113	1994-03-31	PRIJEM	\N	162	29564	UROK	\N	\N
3633262	3113	1994-04-30	PRIJEM	\N	198	43539	UROK	\N	\N
3633263	3113	1994-05-31	PRIJEM	\N	156	33249	UROK	\N	\N
3633264	3113	1994-06-30	PRIJEM	\N	205	31068	UROK	\N	\N
3633265	3113	1994-07-31	PRIJEM	\N	101	21189	UROK	\N	\N
3633266	3113	1994-08-31	PRIJEM	\N	68	14076	UROK	\N	\N
3633267	3113	1994-09-30	PRIJEM	\N	43	8039	UROK	\N	\N
3633268	3113	1994-10-31	PRIJEM	\N	33	6891	UROK	\N	\N
3633269	3113	1994-11-30	PRIJEM	\N	195	97149	UROK	\N	\N
3633270	3113	1994-12-31	PRIJEM	\N	352	85157	UROK	\N	\N
3633271	3113	1995-01-31	PRIJEM	\N	183	21459	UROK	\N	\N
3633272	3113	1995-02-28	PRIJEM	\N	131	26169	UROK	\N	\N
3633273	3113	1995-03-31	PRIJEM	\N	104	30634	UROK	\N	\N
3633274	3113	1995-04-30	PRIJEM	\N	96	33249	UROK	\N	\N
3633275	3113	1995-05-31	PRIJEM	\N	193	95046	UROK	\N	\N
3633276	3113	1995-06-30	PRIJEM	\N	379	88342	UROK	\N	\N
3633277	3113	1995-07-31	PRIJEM	\N	275	66980	UROK	\N	\N
3633278	3113	1995-08-31	PRIJEM	\N	169	31235	UROK	\N	\N
3633279	3113	1995-09-30	PRIJEM	\N	70	11524	UROK	\N	\N
3633280	3113	1995-10-31	PRIJEM	\N	17	460	UROK	\N	\N
3633281	3113	1995-11-30	PRIJEM	\N	12	5295	UROK	\N	\N
3633282	3113	1995-11-30	VYDAJ	VYBER	1	5295	SANKC. UROK	\N	\N
3633283	3113	1995-12-31	PRIJEM	\N	10	-176	UROK	\N	\N
3633284	3113	1995-12-31	VYDAJ	VYBER	3	-179	SANKC. UROK	\N	\N
3633285	3113	1996-01-31	PRIJEM	\N	36	15035	UROK	\N	\N
3633286	3113	1996-01-31	VYDAJ	VYBER	3	15033	SANKC. UROK	\N	\N
3633287	3113	1996-02-29	PRIJEM	\N	159	38016	UROK	\N	\N
3633288	3113	1996-03-31	PRIJEM	\N	107	28293	UROK	\N	\N
3633289	3113	1996-04-30	PRIJEM	\N	313	114399	UROK	\N	\N
3633290	3113	1996-05-31	PRIJEM	\N	274	78403	UROK	\N	\N
3633291	3113	1996-06-30	PRIJEM	\N	152	22180	UROK	\N	\N
3633292	3113	1996-07-31	PRIJEM	\N	43	5543	UROK	\N	\N
3633293	3113	1996-08-31	PRIJEM	\N	132	67542	UROK	\N	\N
3633294	3113	1996-09-30	PRIJEM	\N	252	49027	UROK	\N	\N
3633295	3113	1996-10-31	PRIJEM	\N	178	40750	UROK	\N	\N
3633296	3113	1996-11-30	PRIJEM	\N	272	59358	UROK	\N	\N
3633297	3113	1996-12-31	PRIJEM	\N	359	58823	UROK	\N	\N
3633298	3113	1997-01-31	PRIJEM	\N	235	52723	UROK	\N	\N
3633299	3113	1997-02-28	PRIJEM	\N	197	32039	UROK	\N	\N
3633300	3113	1997-03-31	PRIJEM	\N	336	53005	UROK	\N	\N
3633301	3113	1997-04-30	PRIJEM	\N	180	33404	UROK	\N	\N
3633302	3113	1997-05-31	PRIJEM	\N	222	45068	UROK	\N	\N
3633303	3113	1997-06-30	PRIJEM	\N	209	41090	UROK	\N	\N
3633304	3113	1997-07-31	PRIJEM	\N	186	37594	UROK	\N	\N
3633305	3113	1997-08-31	PRIJEM	\N	235	62252	UROK	\N	\N
3633306	3113	1997-09-30	PRIJEM	\N	319	97896	UROK	\N	\N
3633307	3113	1997-10-31	PRIJEM	\N	277	31038	UROK	\N	\N
3633308	3113	1997-11-30	PRIJEM	\N	84	17241	UROK	\N	\N
3633309	3113	1997-12-31	PRIJEM	\N	262	49495	UROK	\N	\N
3633310	3113	1998-01-31	PRIJEM	\N	261	31585	UROK	\N	\N
3633311	3113	1998-02-28	PRIJEM	\N	93	18397	UROK	\N	\N
3633312	3113	1998-03-31	PRIJEM	\N	38	5654	UROK	\N	\N
3633313	3113	1998-04-30	PRIJEM	\N	24	4942	UROK	\N	\N
3633314	3113	1998-05-31	PRIJEM	\N	257	79563	UROK	\N	\N
3633315	3113	1998-06-30	PRIJEM	\N	188	26960	UROK	\N	\N
3633316	3113	1998-07-31	PRIJEM	\N	118	20896	UROK	\N	\N
3633317	3113	1998-08-31	PRIJEM	\N	47	8163	UROK	\N	\N
3633318	3113	1998-09-30	PRIJEM	\N	15	3398	UROK	\N	\N
3633319	3113	1998-10-31	PRIJEM	\N	62	36773	UROK	\N	\N
3633320	3113	1998-11-30	PRIJEM	\N	152	42214	UROK	\N	\N
3633321	3113	1998-12-31	PRIJEM	\N	135	29568	UROK	\N	\N
3633322	3115	1996-04-30	PRIJEM	\N	18	25538	UROK	\N	\N
3633323	3115	1996-05-31	PRIJEM	\N	120	42077	UROK	\N	\N
3633324	3115	1996-06-30	PRIJEM	\N	187	56444	UROK	\N	\N
3633325	3115	1996-07-31	PRIJEM	\N	235	57399	UROK	\N	\N
3633326	3115	1996-08-31	PRIJEM	\N	287	30283	UROK	\N	\N
3633327	3115	1996-09-30	PRIJEM	\N	143	19735	UROK	\N	\N
3633328	3115	1996-10-31	PRIJEM	\N	99	19801	UROK	\N	\N
3633329	3115	1996-11-30	PRIJEM	\N	158	27942	UROK	\N	\N
3633330	3115	1996-12-31	PRIJEM	\N	121	20864	UROK	\N	\N
3633331	3115	1997-01-31	PRIJEM	\N	112	20005	UROK	\N	\N
3633332	3115	1997-02-28	PRIJEM	\N	122	29131	UROK	\N	\N
3633333	3115	1997-03-31	PRIJEM	\N	150	32357	UROK	\N	\N
3633334	3115	1997-04-30	PRIJEM	\N	164	35649	UROK	\N	\N
3633335	3115	1997-05-31	PRIJEM	\N	152	30242	UROK	\N	\N
3633336	3115	1997-06-30	PRIJEM	\N	197	39128	UROK	\N	\N
3633337	3115	1997-07-31	PRIJEM	\N	180	31358	UROK	\N	\N
3633338	3115	1997-08-31	PRIJEM	\N	145	28332	UROK	\N	\N
3633339	3115	1997-09-30	PRIJEM	\N	117	23378	UROK	\N	\N
3633340	3115	1997-10-31	PRIJEM	\N	121	24129	UROK	\N	\N
3633341	3115	1997-11-30	PRIJEM	\N	131	26488	UROK	\N	\N
3633342	3115	1997-12-31	PRIJEM	\N	166	30443	UROK	\N	\N
3633343	3115	1998-01-31	PRIJEM	\N	102	18174	UROK	\N	\N
3633344	3115	1998-02-28	PRIJEM	\N	100	18402	UROK	\N	\N
3633345	3115	1998-03-31	PRIJEM	\N	91	17523	UROK	\N	\N
3633346	3115	1998-04-30	PRIJEM	\N	100	23052	UROK	\N	\N
3633347	3115	1998-05-31	PRIJEM	\N	108	21789	UROK	\N	\N
3633348	3115	1998-06-30	PRIJEM	\N	110	21649	UROK	\N	\N
3633349	3115	1998-07-31	PRIJEM	\N	104	18482	UROK	\N	\N
3633350	3115	1998-08-31	PRIJEM	\N	90	19301	UROK	\N	\N
3633351	3115	1998-09-30	PRIJEM	\N	101	20332	UROK	\N	\N
3633352	3115	1998-10-31	PRIJEM	\N	87	14147	UROK	\N	\N
3633353	3115	1998-11-30	PRIJEM	\N	107	26284	UROK	\N	\N
3633354	3115	1998-12-31	PRIJEM	\N	122	21995	UROK	\N	\N
3633355	3116	1996-04-30	PRIJEM	\N	60	18918	UROK	\N	\N
3633356	3116	1996-05-31	PRIJEM	\N	146	39822	UROK	\N	\N
3633357	3116	1996-06-30	PRIJEM	\N	237	62396	UROK	\N	\N
3633358	3116	1996-07-31	PRIJEM	\N	275	67329	UROK	\N	\N
3633359	3116	1996-08-31	PRIJEM	\N	256	58606	UROK	\N	\N
3633360	3116	1996-09-30	PRIJEM	\N	240	55952	UROK	\N	\N
3633361	3116	1996-10-31	PRIJEM	\N	232	54190	UROK	\N	\N
3633362	3116	1996-11-30	PRIJEM	\N	237	56233	UROK	\N	\N
3633363	3116	1996-12-31	PRIJEM	\N	257	62475	UROK	\N	\N
3633364	3116	1997-01-31	PRIJEM	\N	225	46907	UROK	\N	\N
3633365	3116	1997-02-28	PRIJEM	\N	217	55830	UROK	\N	\N
3633366	3116	1997-03-31	PRIJEM	\N	203	43920	UROK	\N	\N
3633367	3116	1997-04-30	PRIJEM	\N	187	45293	UROK	\N	\N
3633368	3116	1997-05-31	PRIJEM	\N	177	37176	UROK	\N	\N
3633369	3116	1997-06-30	PRIJEM	\N	198	45360	UROK	\N	\N
3633370	3116	1997-07-31	PRIJEM	\N	209	45475	UROK	\N	\N
3633371	3116	1997-08-31	PRIJEM	\N	208	46890	UROK	\N	\N
3633372	3116	1997-09-30	PRIJEM	\N	212	49229	UROK	\N	\N
3633373	3116	1997-10-31	PRIJEM	\N	224	51859	UROK	\N	\N
3633374	3116	1997-11-30	PRIJEM	\N	232	51797	UROK	\N	\N
3633375	3116	1997-12-31	PRIJEM	\N	251	54833	UROK	\N	\N
3633376	3116	1998-01-31	PRIJEM	\N	247	54087	UROK	\N	\N
3633377	3116	1998-02-28	PRIJEM	\N	241	55734	UROK	\N	\N
3633378	3116	1998-03-31	PRIJEM	\N	247	54287	UROK	\N	\N
3633379	3116	1998-04-30	PRIJEM	\N	241	54435	UROK	\N	\N
3633380	3116	1998-05-31	PRIJEM	\N	247	58388	UROK	\N	\N
3633381	3116	1998-06-30	PRIJEM	\N	278	64951	UROK	\N	\N
3633382	3116	1998-07-31	PRIJEM	\N	280	61837	UROK	\N	\N
3633383	3116	1998-08-31	PRIJEM	\N	259	54823	UROK	\N	\N
3633384	3116	1998-09-30	PRIJEM	\N	238	52747	UROK	\N	\N
3633385	3116	1998-10-31	PRIJEM	\N	235	56989	UROK	\N	\N
3633386	3116	1998-11-30	PRIJEM	\N	243	54338	UROK	\N	\N
3633387	3116	1998-12-31	PRIJEM	\N	242	48825	UROK	\N	\N
3633388	3117	1993-07-31	PRIJEM	\N	58	22563	UROK	\N	\N
3633389	3117	1993-08-31	PRIJEM	\N	98	24431	UROK	\N	\N
3633390	3117	1993-09-30	PRIJEM	\N	90	18132	UROK	\N	\N
3633391	3117	1993-10-31	PRIJEM	\N	80	19982	UROK	\N	\N
3633392	3117	1993-11-30	PRIJEM	\N	87	21239	UROK	\N	\N
3633393	3117	1993-12-31	PRIJEM	\N	91	22051	UROK	\N	\N
3633394	3117	1994-01-31	PRIJEM	\N	70	12821	UROK	\N	\N
3633395	3117	1994-02-28	PRIJEM	\N	57	14649	UROK	\N	\N
3633396	3117	1994-03-31	PRIJEM	\N	65	16484	UROK	\N	\N
3633397	3117	1994-04-30	PRIJEM	\N	73	18327	UROK	\N	\N
3633398	3117	1994-05-31	PRIJEM	\N	81	20178	UROK	\N	\N
3633399	3117	1994-06-30	PRIJEM	\N	78	17526	UROK	\N	\N
3633400	3117	1994-07-31	PRIJEM	\N	77	19374	UROK	\N	\N
3633401	3117	1994-08-31	PRIJEM	\N	77	17781	UROK	\N	\N
3633402	3117	1994-09-30	PRIJEM	\N	75	17786	UROK	\N	\N
3633403	3117	1994-10-31	PRIJEM	\N	78	19635	UROK	\N	\N
3633404	3117	1994-11-30	PRIJEM	\N	86	21491	UROK	\N	\N
3633405	3117	1994-12-31	PRIJEM	\N	87	19539	UROK	\N	\N
3633406	3117	1995-01-31	PRIJEM	\N	67	13457	UROK	\N	\N
3633407	3117	1995-02-28	PRIJEM	\N	60	15287	UROK	\N	\N
3633408	3117	1995-03-31	PRIJEM	\N	68	17125	UROK	\N	\N
3633409	3117	1995-04-30	PRIJEM	\N	74	18369	UROK	\N	\N
3633410	3117	1995-05-31	PRIJEM	\N	74	17414	UROK	\N	\N
3633411	3117	1995-06-30	PRIJEM	\N	76	19260	UROK	\N	\N
3633412	3117	1995-07-31	PRIJEM	\N	80	18550	UROK	\N	\N
3633413	3117	1995-08-31	PRIJEM	\N	81	20402	UROK	\N	\N
3633414	3117	1995-09-30	PRIJEM	\N	87	21360	UROK	\N	\N
3633415	3117	1995-10-31	PRIJEM	\N	93	23223	UROK	\N	\N
3633416	3117	1995-11-30	PRIJEM	\N	99	24192	UROK	\N	\N
3633417	3117	1995-12-31	PRIJEM	\N	88	16780	UROK	\N	\N
3633418	3117	1996-01-31	PRIJEM	\N	68	15419	UROK	\N	\N
3633419	3117	1996-02-29	PRIJEM	\N	68	17257	UROK	\N	\N
3633420	3117	1996-03-31	PRIJEM	\N	76	19103	UROK	\N	\N
3633421	3117	1996-04-30	PRIJEM	\N	83	20956	UROK	\N	\N
3633422	3117	1996-05-31	PRIJEM	\N	77	18103	UROK	\N	\N
3633423	3117	1996-06-30	PRIJEM	\N	79	19953	UROK	\N	\N
3633424	3117	1996-07-31	PRIJEM	\N	83	20286	UROK	\N	\N
3633425	3117	1996-08-31	PRIJEM	\N	88	22145	UROK	\N	\N
3633426	3117	1996-09-30	PRIJEM	\N	84	18379	UROK	\N	\N
3633427	3117	1996-10-31	PRIJEM	\N	80	20229	UROK	\N	\N
3633428	3117	1996-11-30	PRIJEM	\N	87	22087	UROK	\N	\N
3633429	3117	1996-12-31	PRIJEM	\N	93	22731	UROK	\N	\N
3633430	3117	1997-01-31	PRIJEM	\N	74	15195	UROK	\N	\N
3633431	3117	1997-02-28	PRIJEM	\N	66	17031	UROK	\N	\N
3633432	3117	1997-03-31	PRIJEM	\N	70	16552	UROK	\N	\N
3633433	3117	1997-04-30	PRIJEM	\N	71	17353	UROK	\N	\N
3633434	3117	1997-05-31	PRIJEM	\N	75	19199	UROK	\N	\N
3633435	3117	1997-06-30	PRIJEM	\N	75	18095	UROK	\N	\N
3633436	3117	1997-07-31	PRIJEM	\N	73	16738	UROK	\N	\N
3633437	3117	1997-08-31	PRIJEM	\N	73	18581	UROK	\N	\N
3633438	3117	1997-09-30	PRIJEM	\N	80	20431	UROK	\N	\N
3633439	3117	1997-10-31	PRIJEM	\N	88	22090	UROK	\N	\N
3633440	3117	1997-11-30	PRIJEM	\N	94	23955	UROK	\N	\N
3633441	3117	1997-12-31	PRIJEM	\N	94	23069	UROK	\N	\N
3633442	3117	1998-01-31	PRIJEM	\N	73	15963	UROK	\N	\N
3633443	3117	1998-02-28	PRIJEM	\N	69	17802	UROK	\N	\N
3633444	3117	1998-03-31	PRIJEM	\N	74	16187	UROK	\N	\N
3633445	3117	1998-04-30	PRIJEM	\N	70	18027	UROK	\N	\N
3633446	3117	1998-05-31	PRIJEM	\N	77	19875	UROK	\N	\N
3633447	3117	1998-06-30	PRIJEM	\N	85	21730	UROK	\N	\N
3633448	3117	1998-07-31	PRIJEM	\N	93	23593	UROK	\N	\N
3633449	3117	1998-08-31	PRIJEM	\N	99	23862	UROK	\N	\N
3633450	3117	1998-09-30	PRIJEM	\N	99	22832	UROK	\N	\N
3633451	3117	1998-10-31	PRIJEM	\N	96	23298	UROK	\N	\N
3633452	3117	1998-11-30	PRIJEM	\N	92	19061	UROK	\N	\N
3633453	3117	1998-12-31	PRIJEM	\N	79	19910	UROK	\N	\N
3633454	3118	1996-03-31	PRIJEM	\N	43	16855	UROK	\N	\N
3633455	3118	1996-04-30	PRIJEM	\N	121	37188	UROK	\N	\N
3633456	3118	1996-05-31	PRIJEM	\N	183	48583	UROK	\N	\N
3633457	3118	1996-06-30	PRIJEM	\N	231	60482	UROK	\N	\N
3633458	3118	1996-07-31	PRIJEM	\N	251	60345	UROK	\N	\N
3633459	3118	1996-08-31	PRIJEM	\N	219	50575	UROK	\N	\N
3633460	3118	1996-09-30	PRIJEM	\N	193	46080	UROK	\N	\N
3633461	3118	1996-10-31	PRIJEM	\N	181	44073	UROK	\N	\N
3633462	3118	1996-11-30	PRIJEM	\N	176	43160	UROK	\N	\N
3633463	3118	1996-12-31	PRIJEM	\N	189	48556	UROK	\N	\N
3633464	3118	1997-01-31	PRIJEM	\N	132	23360	UROK	\N	\N
3633465	3118	1997-02-28	PRIJEM	\N	112	30683	UROK	\N	\N
3633466	3118	1997-03-31	PRIJEM	\N	135	29989	UROK	\N	\N
3633467	3118	1997-04-30	PRIJEM	\N	139	36940	UROK	\N	\N
3633468	3118	1997-05-31	PRIJEM	\N	157	39308	UROK	\N	\N
3633469	3118	1997-06-30	PRIJEM	\N	182	39098	UROK	\N	\N
3633470	3118	1997-07-31	PRIJEM	\N	153	37563	UROK	\N	\N
3633471	3118	1997-08-31	PRIJEM	\N	150	37124	UROK	\N	\N
3633472	3118	1997-09-30	PRIJEM	\N	143	34778	UROK	\N	\N
3633473	3118	1997-10-31	PRIJEM	\N	141	34511	UROK	\N	\N
3633474	3118	1997-11-30	PRIJEM	\N	138	36760	UROK	\N	\N
3633475	3118	1997-12-31	PRIJEM	\N	114	28842	UROK	\N	\N
3633476	3118	1998-01-31	PRIJEM	\N	102	23675	UROK	\N	\N
3633477	3118	1998-02-28	PRIJEM	\N	116	31202	UROK	\N	\N
3633478	3118	1998-03-31	PRIJEM	\N	137	31750	UROK	\N	\N
3633479	3118	1998-04-30	PRIJEM	\N	149	35611	UROK	\N	\N
3633480	3118	1998-05-31	PRIJEM	\N	164	36786	UROK	\N	\N
3633481	3118	1998-06-30	PRIJEM	\N	167	37940	UROK	\N	\N
3633482	3118	1998-07-31	PRIJEM	\N	175	43126	UROK	\N	\N
3633483	3118	1998-08-31	PRIJEM	\N	182	43960	UROK	\N	\N
3633484	3118	1998-09-30	PRIJEM	\N	200	51271	UROK	\N	\N
3633485	3118	1998-10-31	PRIJEM	\N	214	51076	UROK	\N	\N
3633486	3118	1998-11-30	PRIJEM	\N	226	53814	UROK	\N	\N
3633487	3118	1998-12-31	PRIJEM	\N	252	56473	UROK	\N	\N
3633488	3119	1997-05-31	PRIJEM	\N	14	4283	UROK	\N	\N
3633489	3119	1997-06-30	PRIJEM	\N	18	7470	UROK	\N	\N
3633490	3119	1997-07-31	PRIJEM	\N	18	10656	UROK	\N	\N
3633491	3119	1997-08-31	PRIJEM	\N	18	13843	UROK	\N	\N
3633492	3119	1997-09-30	PRIJEM	\N	55	15923	UROK	\N	\N
3633493	3119	1997-10-31	PRIJEM	\N	68	15623	UROK	\N	\N
3633494	3119	1997-11-30	PRIJEM	\N	68	16734	UROK	\N	\N
3633495	3119	1997-12-31	PRIJEM	\N	71	17307	UROK	\N	\N
3633496	3119	1998-01-31	PRIJEM	\N	65	13584	UROK	\N	\N
3633497	3119	1998-02-28	PRIJEM	\N	63	14690	UROK	\N	\N
3633498	3119	1998-03-31	PRIJEM	\N	64	15796	UROK	\N	\N
3633499	3119	1998-04-30	PRIJEM	\N	64	15463	UROK	\N	\N
3633500	3119	1998-05-31	PRIJEM	\N	65	14470	UROK	\N	\N
3633501	3119	1998-06-30	PRIJEM	\N	67	15579	UROK	\N	\N
3633502	3119	1998-07-31	PRIJEM	\N	72	16693	UROK	\N	\N
3633503	3119	1998-08-31	PRIJEM	\N	73	17808	UROK	\N	\N
3633504	3119	1998-09-30	PRIJEM	\N	77	18928	UROK	\N	\N
3633505	3119	1998-10-31	PRIJEM	\N	82	19752	UROK	\N	\N
3633506	3119	1998-11-30	PRIJEM	\N	89	20883	UROK	\N	\N
3633507	3119	1998-12-31	PRIJEM	\N	90	21626	UROK	\N	\N
3633508	3120	1996-11-30	PRIJEM	\N	86	26007	UROK	\N	\N
3633509	3120	1996-12-31	PRIJEM	\N	117	28591	UROK	\N	\N
3633510	3120	1997-01-31	PRIJEM	\N	119	24037	UROK	\N	\N
3633511	3120	1997-02-28	PRIJEM	\N	109	26912	UROK	\N	\N
3633512	3120	1997-03-31	PRIJEM	\N	121	29800	UROK	\N	\N
3633513	3120	1997-04-30	PRIJEM	\N	133	32700	UROK	\N	\N
3633514	3120	1997-05-31	PRIJEM	\N	135	30601	UROK	\N	\N
3633515	3120	1997-06-30	PRIJEM	\N	93	17260	UROK	\N	\N
3633516	3120	1997-07-31	PRIJEM	\N	81	20107	UROK	\N	\N
3633517	3120	1997-08-31	PRIJEM	\N	92	22165	UROK	\N	\N
3633518	3120	1997-09-30	PRIJEM	\N	102	25033	UROK	\N	\N
3633519	3120	1997-10-31	PRIJEM	\N	107	25747	UROK	\N	\N
3633520	3120	1997-11-30	PRIJEM	\N	116	28529	UROK	\N	\N
3633521	3120	1997-12-31	PRIJEM	\N	121	29017	UROK	\N	\N
3633522	3120	1998-01-31	PRIJEM	\N	109	21313	UROK	\N	\N
3633523	3120	1998-02-28	PRIJEM	\N	85	20244	UROK	\N	\N
3633524	3120	1998-03-31	PRIJEM	\N	83	19653	UROK	\N	\N
3633525	3120	1998-04-30	PRIJEM	\N	91	22511	UROK	\N	\N
3633526	3120	1998-05-31	PRIJEM	\N	105	23302	UROK	\N	\N
3633527	3120	1998-06-30	PRIJEM	\N	97	19365	UROK	\N	\N
3633528	3120	1998-07-31	PRIJEM	\N	90	22221	UROK	\N	\N
3633529	3120	1998-08-31	PRIJEM	\N	100	24528	UROK	\N	\N
3633530	3120	1998-09-30	PRIJEM	\N	111	27405	UROK	\N	\N
3633531	3120	1998-10-31	PRIJEM	\N	123	30295	UROK	\N	\N
3633532	3120	1998-11-30	PRIJEM	\N	127	27388	UROK	\N	\N
3633533	3120	1998-12-31	PRIJEM	\N	111	26245	UROK	\N	\N
3633534	3121	1996-03-31	PRIJEM	\N	14	5367	UROK	\N	\N
3633535	3121	1996-04-30	PRIJEM	\N	22	9743	UROK	\N	\N
3633536	3121	1996-05-31	PRIJEM	\N	22	14118	UROK	\N	\N
3633537	3121	1996-06-30	PRIJEM	\N	22	18493	UROK	\N	\N
3633538	3121	1996-07-31	PRIJEM	\N	25	22871	UROK	\N	\N
3633539	3121	1996-08-31	PRIJEM	\N	99	24407	UROK	\N	\N
3633540	3121	1996-09-30	PRIJEM	\N	105	25948	UROK	\N	\N
3633541	3121	1996-10-31	PRIJEM	\N	98	24122	UROK	\N	\N
3633542	3121	1996-11-30	PRIJEM	\N	104	25663	UROK	\N	\N
3633543	3121	1996-12-31	PRIJEM	\N	99	24319	UROK	\N	\N
3633544	3121	1997-01-31	PRIJEM	\N	71	13466	UROK	\N	\N
3633545	3121	1997-02-28	PRIJEM	\N	60	14962	UROK	\N	\N
3633546	3121	1997-03-31	PRIJEM	\N	66	16464	UROK	\N	\N
3633547	3121	1997-04-30	PRIJEM	\N	72	17973	UROK	\N	\N
3633548	3121	1997-05-31	PRIJEM	\N	73	15723	UROK	\N	\N
3633549	3121	1997-06-30	PRIJEM	\N	69	17228	UROK	\N	\N
3633550	3121	1997-07-31	PRIJEM	\N	63	15928	UROK	\N	\N
3633551	3121	1997-08-31	PRIJEM	\N	63	12968	UROK	\N	\N
3633552	3121	1997-09-30	PRIJEM	\N	57	12961	UROK	\N	\N
3633553	3121	1997-10-31	PRIJEM	\N	57	13355	UROK	\N	\N
3633554	3121	1997-11-30	PRIJEM	\N	59	14850	UROK	\N	\N
3633555	3121	1997-12-31	PRIJEM	\N	63	11499	UROK	\N	\N
3633556	3121	1998-01-31	PRIJEM	\N	52	12987	UROK	\N	\N
3633557	3121	1998-02-28	PRIJEM	\N	57	12180	UROK	\N	\N
3633558	3121	1998-03-31	PRIJEM	\N	54	13671	UROK	\N	\N
3633559	3121	1998-04-30	PRIJEM	\N	60	15168	UROK	\N	\N
3633560	3121	1998-05-31	PRIJEM	\N	65	14669	UROK	\N	\N
3633561	3121	1998-06-30	PRIJEM	\N	63	14269	UROK	\N	\N
3633562	3121	1998-07-31	PRIJEM	\N	61	13667	UROK	\N	\N
3633563	3121	1998-08-31	PRIJEM	\N	60	15163	UROK	\N	\N
3633564	3121	1998-09-30	PRIJEM	\N	64	14064	UROK	\N	\N
3633565	3121	1998-10-31	PRIJEM	\N	62	15562	UROK	\N	\N
3633566	3121	1998-11-30	PRIJEM	\N	65	14263	UROK	\N	\N
3633567	3121	1998-12-31	PRIJEM	\N	62	15412	UROK	\N	\N
3633568	3122	1997-06-30	PRIJEM	\N	56	20282	UROK	\N	\N
3633569	3122	1997-07-31	PRIJEM	\N	103	26902	UROK	\N	\N
3633570	3122	1997-08-31	PRIJEM	\N	129	32848	UROK	\N	\N
3633571	3122	1997-09-30	PRIJEM	\N	146	36111	UROK	\N	\N
3633572	3122	1997-10-31	PRIJEM	\N	161	39345	UROK	\N	\N
3633573	3122	1997-11-30	PRIJEM	\N	158	30682	UROK	\N	\N
3633574	3122	1997-12-31	PRIJEM	\N	141	31950	UROK	\N	\N
3633575	3122	1998-01-31	PRIJEM	\N	112	16320	UROK	\N	\N
3633576	3122	1998-02-28	PRIJEM	\N	90	22868	UROK	\N	\N
3633577	3122	1998-03-31	PRIJEM	\N	122	31148	UROK	\N	\N
3633578	3122	1998-04-30	PRIJEM	\N	154	38460	UROK	\N	\N
3633579	3122	1998-05-31	PRIJEM	\N	183	40601	UROK	\N	\N
3633580	3122	1998-06-30	PRIJEM	\N	150	22978	UROK	\N	\N
3633581	3122	1998-07-31	PRIJEM	\N	111	25508	UROK	\N	\N
3633582	3122	1998-08-31	PRIJEM	\N	143	32610	UROK	\N	\N
3633583	3122	1998-09-30	PRIJEM	\N	167	41395	UROK	\N	\N
3633584	3122	1998-10-31	PRIJEM	\N	157	36750	UROK	\N	\N
3633585	3122	1998-11-30	PRIJEM	\N	180	44589	UROK	\N	\N
3633586	3122	1998-12-31	PRIJEM	\N	192	44688	UROK	\N	\N
3633587	3124	1995-07-31	PRIJEM	\N	52	20284	UROK	\N	\N
3633588	3124	1995-08-31	PRIJEM	\N	106	28522	UROK	\N	\N
3633589	3124	1995-09-30	PRIJEM	\N	129	32383	UROK	\N	\N
3633590	3124	1995-10-31	PRIJEM	\N	138	33753	UROK	\N	\N
3633591	3124	1995-11-30	PRIJEM	\N	140	32100	UROK	\N	\N
3633592	3124	1995-12-31	PRIJEM	\N	130	28427	UROK	\N	\N
3633593	3124	1996-01-31	PRIJEM	\N	100	18109	UROK	\N	\N
3633594	3124	1996-02-29	PRIJEM	\N	88	22079	UROK	\N	\N
3633595	3124	1996-03-31	PRIJEM	\N	100	24161	UROK	\N	\N
3633596	3124	1996-04-30	PRIJEM	\N	106	25748	UROK	\N	\N
3633597	3124	1996-05-31	PRIJEM	\N	113	27542	UROK	\N	\N
3633598	3124	1996-06-30	PRIJEM	\N	165	40304	UROK	\N	\N
3633599	3124	1996-07-31	PRIJEM	\N	163	32848	UROK	\N	\N
3633600	3124	1996-08-31	PRIJEM	\N	141	34470	UROK	\N	\N
3633601	3124	1996-09-30	PRIJEM	\N	165	40816	UROK	\N	\N
3633602	3124	1996-10-31	PRIJEM	\N	169	40466	UROK	\N	\N
3633603	3124	1996-11-30	PRIJEM	\N	167	41615	UROK	\N	\N
3633604	3124	1996-12-31	PRIJEM	\N	194	47506	UROK	\N	\N
3633605	3124	1997-01-31	PRIJEM	\N	151	33938	UROK	\N	\N
3633606	3124	1997-02-28	PRIJEM	\N	153	37573	UROK	\N	\N
3633607	3124	1997-03-31	PRIJEM	\N	162	39216	UROK	\N	\N
3633608	3124	1997-04-30	PRIJEM	\N	168	40465	UROK	\N	\N
3633609	3124	1997-05-31	PRIJEM	\N	167	40214	UROK	\N	\N
3633610	3124	1997-06-30	PRIJEM	\N	169	29480	UROK	\N	\N
3633611	3124	1997-07-31	PRIJEM	\N	135	33296	UROK	\N	\N
3633612	3124	1997-08-31	PRIJEM	\N	139	34217	UROK	\N	\N
3633613	3124	1997-09-30	PRIJEM	\N	107	27405	UROK	\N	\N
3633614	3124	1997-10-31	PRIJEM	\N	109	23595	UROK	\N	\N
3633615	3124	1997-11-30	PRIJEM	\N	126	24303	UROK	\N	\N
3633616	3124	1997-12-31	PRIJEM	\N	148	29148	UROK	\N	\N
3633617	3124	1998-01-31	PRIJEM	\N	93	18322	UROK	\N	\N
3633618	3124	1998-02-28	PRIJEM	\N	106	24210	UROK	\N	\N
3633619	3124	1998-03-31	PRIJEM	\N	124	21815	UROK	\N	\N
3633620	3124	1998-04-30	PRIJEM	\N	118	21615	UROK	\N	\N
3633621	3124	1998-05-31	PRIJEM	\N	112	21508	UROK	\N	\N
3633622	3124	1998-06-30	PRIJEM	\N	114	18219	UROK	\N	\N
3633623	3124	1998-07-31	PRIJEM	\N	103	24004	UROK	\N	\N
3633624	3124	1998-08-31	PRIJEM	\N	125	27310	UROK	\N	\N
3633625	3124	1998-09-30	PRIJEM	\N	137	29029	UROK	\N	\N
3633626	3124	1998-10-31	PRIJEM	\N	141	28651	UROK	\N	\N
3633627	3124	1998-11-30	PRIJEM	\N	139	27771	UROK	\N	\N
3633628	3124	1998-12-31	PRIJEM	\N	165	42534	UROK	\N	\N
3633629	3125	1997-01-31	PRIJEM	\N	35	15303	UROK	\N	\N
3633630	3125	1997-02-28	PRIJEM	\N	75	20446	UROK	\N	\N
3633631	3125	1997-03-31	PRIJEM	\N	85	20699	UROK	\N	\N
3633632	3125	1997-04-30	PRIJEM	\N	94	24361	UROK	\N	\N
3633633	3125	1997-05-31	PRIJEM	\N	107	26936	UROK	\N	\N
3633634	3125	1997-06-30	PRIJEM	\N	111	26640	UROK	\N	\N
3633635	3125	1997-07-31	PRIJEM	\N	90	16038	UROK	\N	\N
3633636	3125	1997-08-31	PRIJEM	\N	73	19020	UROK	\N	\N
3633637	3125	1997-09-30	PRIJEM	\N	95	25623	UROK	\N	\N
3633638	3125	1997-10-31	PRIJEM	\N	107	26338	UROK	\N	\N
3633639	3125	1997-11-30	PRIJEM	\N	106	26153	UROK	\N	\N
3633640	3125	1997-12-31	PRIJEM	\N	116	30982	UROK	\N	\N
3633641	3125	1998-01-31	PRIJEM	\N	121	31711	UROK	\N	\N
3633642	3125	1998-02-28	PRIJEM	\N	123	30342	UROK	\N	\N
3633643	3125	1998-03-31	PRIJEM	\N	119	28870	UROK	\N	\N
3633644	3125	1998-04-30	PRIJEM	\N	118	29497	UROK	\N	\N
3633645	3125	1998-05-31	PRIJEM	\N	109	24574	UROK	\N	\N
3633646	3125	1998-06-30	PRIJEM	\N	105	27571	UROK	\N	\N
3633647	3125	1998-07-31	PRIJEM	\N	91	21270	UROK	\N	\N
3633648	3125	1998-08-31	PRIJEM	\N	71	18169	UROK	\N	\N
3633649	3125	1998-09-30	PRIJEM	\N	80	20358	UROK	\N	\N
3633650	3125	1998-10-31	PRIJEM	\N	90	22556	UROK	\N	\N
3633651	3125	1998-11-30	PRIJEM	\N	79	18443	UROK	\N	\N
3633652	3125	1998-12-31	PRIJEM	\N	88	21743	UROK	\N	\N
3633653	3126	1996-09-30	PRIJEM	\N	18	6407	UROK	\N	\N
3633654	3126	1996-10-31	PRIJEM	\N	72	22568	UROK	\N	\N
3633655	3126	1996-11-30	PRIJEM	\N	116	30472	UROK	\N	\N
3633656	3126	1996-12-31	PRIJEM	\N	147	37703	UROK	\N	\N
3633657	3126	1997-01-31	PRIJEM	\N	125	23325	UROK	\N	\N
3633658	3126	1997-02-28	PRIJEM	\N	102	25409	UROK	\N	\N
3633659	3126	1997-03-31	PRIJEM	\N	107	25198	UROK	\N	\N
3633660	3126	1997-04-30	PRIJEM	\N	114	28095	UROK	\N	\N
3633661	3126	1997-05-31	PRIJEM	\N	122	29299	UROK	\N	\N
3633662	3126	1997-06-30	PRIJEM	\N	107	22083	UROK	\N	\N
3633663	3126	1997-07-31	PRIJEM	\N	95	17660	UROK	\N	\N
3633664	3126	1997-08-31	PRIJEM	\N	77	15819	UROK	\N	\N
3633665	3126	1997-09-30	PRIJEM	\N	71	18172	UROK	\N	\N
3633666	3126	1997-10-31	PRIJEM	\N	77	16432	UROK	\N	\N
3633667	3126	1997-11-30	PRIJEM	\N	68	15782	UROK	\N	\N
3633668	3126	1997-12-31	PRIJEM	\N	74	15133	UROK	\N	\N
3633669	3126	1998-01-31	PRIJEM	\N	61	12577	UROK	\N	\N
3633670	3126	1998-02-28	PRIJEM	\N	55	12615	UROK	\N	\N
3633671	3126	1998-03-31	PRIJEM	\N	58	15955	UROK	\N	\N
3633672	3126	1998-04-30	PRIJEM	\N	68	14105	UROK	\N	\N
3633673	3126	1998-05-31	PRIJEM	\N	59	11047	UROK	\N	\N
3633674	3126	1998-06-30	PRIJEM	\N	54	11378	UROK	\N	\N
3633675	3126	1998-07-31	PRIJEM	\N	52	13412	UROK	\N	\N
3633676	3126	1998-08-31	PRIJEM	\N	60	15454	UROK	\N	\N
3633677	3126	1998-09-30	PRIJEM	\N	69	17505	UROK	\N	\N
3633678	3126	1998-10-31	PRIJEM	\N	74	17562	UROK	\N	\N
3633679	3126	1998-11-30	PRIJEM	\N	77	19621	UROK	\N	\N
3633680	3126	1998-12-31	PRIJEM	\N	89	22488	UROK	\N	\N
3633681	3127	1993-08-31	PRIJEM	\N	105	43623	UROK	\N	\N
3633682	3127	1993-09-30	PRIJEM	\N	181	34505	UROK	\N	\N
3633683	3127	1993-10-31	PRIJEM	\N	181	29386	UROK	\N	\N
3633684	3127	1993-11-30	PRIJEM	\N	181	25867	UROK	\N	\N
3633685	3127	1993-12-31	PRIJEM	\N	181	27749	UROK	\N	\N
3633686	3127	1994-01-31	PRIJEM	\N	187	47669	UROK	\N	\N
3633687	3127	1994-02-28	PRIJEM	\N	317	81089	UROK	\N	\N
3633688	3127	1994-03-31	PRIJEM	\N	348	91402	UROK	\N	\N
3633689	3127	1994-04-30	PRIJEM	\N	503	44012	UROK	\N	\N
3633690	3127	1994-05-31	PRIJEM	\N	196	67199	UROK	\N	\N
3633691	3127	1994-06-30	PRIJEM	\N	179	39629	UROK	\N	\N
3633692	3127	1994-07-31	PRIJEM	\N	114	26095	UROK	\N	\N
3633693	3127	1994-08-31	PRIJEM	\N	136	47638	UROK	\N	\N
3633694	3127	1994-09-30	PRIJEM	\N	141	32230	UROK	\N	\N
3633695	3127	1994-10-31	PRIJEM	\N	172	73092	UROK	\N	\N
3633696	3127	1994-11-30	PRIJEM	\N	252	79737	UROK	\N	\N
3633697	3127	1994-12-31	PRIJEM	\N	140	20829	UROK	\N	\N
3633698	3127	1995-01-31	PRIJEM	\N	111	26054	UROK	\N	\N
3633699	3127	1995-02-28	PRIJEM	\N	106	18812	UROK	\N	\N
3633700	3127	1995-03-31	PRIJEM	\N	195	76436	UROK	\N	\N
3633701	3127	1995-04-30	PRIJEM	\N	213	47801	UROK	\N	\N
3633702	3127	1995-05-31	PRIJEM	\N	200	73849	UROK	\N	\N
3633703	3127	1995-06-30	PRIJEM	\N	342	69128	UROK	\N	\N
3633704	3127	1995-07-31	PRIJEM	\N	234	44091	UROK	\N	\N
3633705	3127	1995-08-31	PRIJEM	\N	179	73944	UROK	\N	\N
3633706	3127	1995-09-30	PRIJEM	\N	357	103381	UROK	\N	\N
3633707	3127	1995-10-31	PRIJEM	\N	427	137533	UROK	\N	\N
3633708	3127	1995-11-30	PRIJEM	\N	263	50158	UROK	\N	\N
3633709	3127	1995-12-31	PRIJEM	\N	229	34096	UROK	\N	\N
3633710	3127	1996-01-31	PRIJEM	\N	93	24140	UROK	\N	\N
3633711	3127	1996-02-29	PRIJEM	\N	100	26291	UROK	\N	\N
3633712	3127	1996-03-31	PRIJEM	\N	254	67823	UROK	\N	\N
3633713	3127	1996-04-30	PRIJEM	\N	311	68985	UROK	\N	\N
3633714	3127	1996-05-31	PRIJEM	\N	261	47798	UROK	\N	\N
3633715	3127	1996-06-30	PRIJEM	\N	188	34526	UROK	\N	\N
3633716	3127	1996-07-31	PRIJEM	\N	134	29612	UROK	\N	\N
3633717	3127	1996-08-31	PRIJEM	\N	229	60952	UROK	\N	\N
3633718	3127	1996-09-30	PRIJEM	\N	228	45231	UROK	\N	\N
3633719	3127	1996-10-31	PRIJEM	\N	173	37055	UROK	\N	\N
3633720	3127	1996-11-30	PRIJEM	\N	199	35849	UROK	\N	\N
3633721	3127	1996-12-31	PRIJEM	\N	131	29431	UROK	\N	\N
3633722	3127	1997-01-31	PRIJEM	\N	119	26725	UROK	\N	\N
3633723	3127	1997-02-28	PRIJEM	\N	163	75760	UROK	\N	\N
3633724	3127	1997-03-31	PRIJEM	\N	346	66592	UROK	\N	\N
3633725	3127	1997-04-30	PRIJEM	\N	246	56122	UROK	\N	\N
3633726	3127	1997-05-31	PRIJEM	\N	217	36621	UROK	\N	\N
3633727	3127	1997-06-30	PRIJEM	\N	191	54544	UROK	\N	\N
3633728	3127	1997-07-31	PRIJEM	\N	148	53189	UROK	\N	\N
3633729	3127	1997-08-31	PRIJEM	\N	188	39228	UROK	\N	\N
3633730	3127	1997-09-30	PRIJEM	\N	149	35540	UROK	\N	\N
3633731	3127	1997-10-31	PRIJEM	\N	175	71081	UROK	\N	\N
3633732	3127	1997-11-30	PRIJEM	\N	228	48574	UROK	\N	\N
3633733	3127	1997-12-31	PRIJEM	\N	208	78646	UROK	\N	\N
3633734	3127	1998-01-31	PRIJEM	\N	170	26859	UROK	\N	\N
3633735	3127	1998-02-28	PRIJEM	\N	105	19615	UROK	\N	\N
3633736	3127	1998-03-31	PRIJEM	\N	75	12341	UROK	\N	\N
3633737	3127	1998-04-30	PRIJEM	\N	186	74316	UROK	\N	\N
3633738	3127	1998-05-31	PRIJEM	\N	249	41361	UROK	\N	\N
3633739	3127	1998-06-30	PRIJEM	\N	167	38628	UROK	\N	\N
3633740	3127	1998-07-31	PRIJEM	\N	136	30811	UROK	\N	\N
3633741	3127	1998-08-31	PRIJEM	\N	209	104008	UROK	\N	\N
3633742	3127	1998-09-30	PRIJEM	\N	485	50444	UROK	\N	\N
3633743	3127	1998-10-31	PRIJEM	\N	148	29152	UROK	\N	\N
3633744	3127	1998-11-30	PRIJEM	\N	241	56712	UROK	\N	\N
3633745	3127	1998-12-31	PRIJEM	\N	156	40042	UROK	\N	\N
3633746	3128	1995-01-31	PRIJEM	\N	20	7049	UROK	\N	\N
3633747	3128	1995-02-28	PRIJEM	\N	65	20543	UROK	\N	\N
3633748	3128	1995-03-31	PRIJEM	\N	108	28680	UROK	\N	\N
3633749	3128	1995-04-30	PRIJEM	\N	136	34946	UROK	\N	\N
3633750	3128	1995-05-31	PRIJEM	\N	144	34719	UROK	\N	\N
3633751	3128	1995-06-30	PRIJEM	\N	153	38002	UROK	\N	\N
3633752	3128	1995-07-31	PRIJEM	\N	151	37547	UROK	\N	\N
3633753	3128	1995-08-31	PRIJEM	\N	144	28405	UROK	\N	\N
3633754	3128	1995-09-30	PRIJEM	\N	128	31948	UROK	\N	\N
3633755	3128	1995-10-31	PRIJEM	\N	139	34101	UROK	\N	\N
3633756	3128	1995-11-30	PRIJEM	\N	145	35360	UROK	\N	\N
3633757	3128	1995-12-31	PRIJEM	\N	144	32874	UROK	\N	\N
3633758	3128	1996-01-31	PRIJEM	\N	93	17501	UROK	\N	\N
3633759	3128	1996-02-29	PRIJEM	\N	85	23460	UROK	\N	\N
3633760	3128	1996-03-31	PRIJEM	\N	116	30090	UROK	\N	\N
3633761	3128	1996-04-30	PRIJEM	\N	112	33516	UROK	\N	\N
3633762	3128	1996-05-31	PRIJEM	\N	140	32830	UROK	\N	\N
3633763	3128	1996-06-30	PRIJEM	\N	144	36623	UROK	\N	\N
3633764	3128	1996-07-31	PRIJEM	\N	151	33389	UROK	\N	\N
3633765	3128	1996-08-31	PRIJEM	\N	138	32941	UROK	\N	\N
3633766	3128	1996-09-30	PRIJEM	\N	137	34193	UROK	\N	\N
3633767	3128	1996-10-31	PRIJEM	\N	144	36851	UROK	\N	\N
3633768	3128	1996-11-30	PRIJEM	\N	156	41722	UROK	\N	\N
3633769	3128	1996-12-31	PRIJEM	\N	175	42947	UROK	\N	\N
3633770	3128	1997-01-31	PRIJEM	\N	166	41827	UROK	\N	\N
3633771	3128	1997-02-28	PRIJEM	\N	176	44817	UROK	\N	\N
3633772	3128	1997-03-31	PRIJEM	\N	190	49521	UROK	\N	\N
3633773	3128	1997-04-30	PRIJEM	\N	205	47460	UROK	\N	\N
3633774	3128	1997-05-31	PRIJEM	\N	196	46370	UROK	\N	\N
3633775	3128	1997-06-30	PRIJEM	\N	194	48394	UROK	\N	\N
3633776	3128	1997-07-31	PRIJEM	\N	205	52213	UROK	\N	\N
3633777	3128	1997-08-31	PRIJEM	\N	219	54246	UROK	\N	\N
3633778	3128	1997-09-30	PRIJEM	\N	225	54485	UROK	\N	\N
3633779	3128	1997-10-31	PRIJEM	\N	224	53624	UROK	\N	\N
3633780	3128	1997-11-30	PRIJEM	\N	218	49076	UROK	\N	\N
3633781	3128	1997-12-31	PRIJEM	\N	204	47329	UROK	\N	\N
3633782	3128	1998-01-31	PRIJEM	\N	183	38067	UROK	\N	\N
3633783	3128	1998-02-28	PRIJEM	\N	166	44347	UROK	\N	\N
3633784	3128	1998-03-31	PRIJEM	\N	189	48551	UROK	\N	\N
3633785	3128	1998-04-30	PRIJEM	\N	209	54474	UROK	\N	\N
3633786	3128	1998-05-31	PRIJEM	\N	231	58019	UROK	\N	\N
3633787	3128	1998-06-30	PRIJEM	\N	254	63383	UROK	\N	\N
3633788	3128	1998-07-31	PRIJEM	\N	263	64160	UROK	\N	\N
3633789	3128	1998-08-31	PRIJEM	\N	259	61334	UROK	\N	\N
3633790	3128	1998-09-30	PRIJEM	\N	248	58696	UROK	\N	\N
3633791	3128	1998-10-31	PRIJEM	\N	246	59476	UROK	\N	\N
3633792	3128	1998-11-30	PRIJEM	\N	251	62262	UROK	\N	\N
3633793	3128	1998-12-31	PRIJEM	\N	272	65842	UROK	\N	\N
3633794	3129	1993-12-31	PRIJEM	\N	17	6944	UROK	\N	\N
3633795	3129	1994-01-31	PRIJEM	\N	29	13700	UROK	\N	\N
3633796	3129	1994-02-28	PRIJEM	\N	29	20456	UROK	\N	\N
3633797	3129	1994-03-31	PRIJEM	\N	29	27211	UROK	\N	\N
3633798	3129	1994-04-30	PRIJEM	\N	33	33971	UROK	\N	\N
3633799	3129	1994-05-31	PRIJEM	\N	131	30908	UROK	\N	\N
3633800	3129	1994-06-30	PRIJEM	\N	115	19728	UROK	\N	\N
3633801	3129	1994-07-31	PRIJEM	\N	88	22461	UROK	\N	\N
3633802	3129	1994-08-31	PRIJEM	\N	103	26570	UROK	\N	\N
3633803	3129	1994-09-30	PRIJEM	\N	99	24954	UROK	\N	\N
3633804	3129	1994-10-31	PRIJEM	\N	103	24822	UROK	\N	\N
3633805	3129	1994-11-30	PRIJEM	\N	93	22881	UROK	\N	\N
3633806	3129	1994-12-31	PRIJEM	\N	102	24338	UROK	\N	\N
3633807	3129	1995-01-31	PRIJEM	\N	88	19671	UROK	\N	\N
3633808	3129	1995-02-28	PRIJEM	\N	82	20558	UROK	\N	\N
3633809	3129	1995-03-31	PRIJEM	\N	84	22007	UROK	\N	\N
3633810	3129	1995-04-30	PRIJEM	\N	101	25313	UROK	\N	\N
3633811	3129	1995-05-31	PRIJEM	\N	112	24611	UROK	\N	\N
3633812	3129	1995-06-30	PRIJEM	\N	110	24927	UROK	\N	\N
3633813	3129	1995-07-31	PRIJEM	\N	112	26944	UROK	\N	\N
3633814	3129	1995-08-31	PRIJEM	\N	120	28870	UROK	\N	\N
3633815	3129	1995-09-30	PRIJEM	\N	126	27241	UROK	\N	\N
3633816	3129	1995-10-31	PRIJEM	\N	113	25939	UROK	\N	\N
3633817	3129	1995-11-30	PRIJEM	\N	114	26459	UROK	\N	\N
3633818	3129	1995-12-31	PRIJEM	\N	105	22900	UROK	\N	\N
3633819	3129	1996-01-31	PRIJEM	\N	70	16735	UROK	\N	\N
3633820	3129	1996-02-29	PRIJEM	\N	74	18495	UROK	\N	\N
3633821	3129	1996-03-31	PRIJEM	\N	86	22086	UROK	\N	\N
3633822	3129	1996-04-30	PRIJEM	\N	98	23089	UROK	\N	\N
3633823	3129	1996-05-31	PRIJEM	\N	101	23195	UROK	\N	\N
3633824	3129	1996-06-30	PRIJEM	\N	99	24149	UROK	\N	\N
3633825	3129	1996-07-31	PRIJEM	\N	99	19953	UROK	\N	\N
3633826	3129	1996-08-31	PRIJEM	\N	85	19243	UROK	\N	\N
3633827	3129	1996-09-30	PRIJEM	\N	80	18348	UROK	\N	\N
3633828	3129	1996-10-31	PRIJEM	\N	84	21478	UROK	\N	\N
3633829	3129	1996-11-30	PRIJEM	\N	97	24780	UROK	\N	\N
3633830	3129	1996-12-31	PRIJEM	\N	112	28447	UROK	\N	\N
3633831	3129	1997-01-31	PRIJEM	\N	101	22653	UROK	\N	\N
3633832	3129	1997-02-28	PRIJEM	\N	102	26761	UROK	\N	\N
3633833	3129	1997-03-31	PRIJEM	\N	112	24478	UROK	\N	\N
3633834	3129	1997-04-30	PRIJEM	\N	110	28594	UROK	\N	\N
3633835	3129	1997-05-31	PRIJEM	\N	120	28619	UROK	\N	\N
3633836	3129	1997-06-30	PRIJEM	\N	116	26140	UROK	\N	\N
3633837	3129	1997-07-31	PRIJEM	\N	110	27335	UROK	\N	\N
3633838	3129	1997-08-31	PRIJEM	\N	122	31463	UROK	\N	\N
3633839	3129	1997-09-30	PRIJEM	\N	131	31899	UROK	\N	\N
3633840	3129	1997-10-31	PRIJEM	\N	132	32837	UROK	\N	\N
3633841	3129	1997-11-30	PRIJEM	\N	130	26612	UROK	\N	\N
3633842	3129	1997-12-31	PRIJEM	\N	115	25732	UROK	\N	\N
3633843	3129	1998-01-31	PRIJEM	\N	96	20653	UROK	\N	\N
3633844	3129	1998-02-28	PRIJEM	\N	93	24271	UROK	\N	\N
3633845	3129	1998-03-31	PRIJEM	\N	92	21269	UROK	\N	\N
3633846	3129	1998-04-30	PRIJEM	\N	88	20242	UROK	\N	\N
3633847	3129	1998-05-31	PRIJEM	\N	92	24339	UROK	\N	\N
3633848	3129	1998-06-30	PRIJEM	\N	104	22998	UROK	\N	\N
3633849	3129	1998-07-31	PRIJEM	\N	102	26705	UROK	\N	\N
3633850	3129	1998-08-31	PRIJEM	\N	111	28121	UROK	\N	\N
3633851	3129	1998-09-30	PRIJEM	\N	112	27838	UROK	\N	\N
3633852	3129	1998-10-31	PRIJEM	\N	104	24647	UROK	\N	\N
3633853	3129	1998-11-30	PRIJEM	\N	94	23047	UROK	\N	\N
3633854	3129	1998-12-31	PRIJEM	\N	78	19380	UROK	\N	\N
3633855	3130	1996-07-31	PRIJEM	\N	47	25083	UROK	\N	\N
3633856	3130	1996-08-31	PRIJEM	\N	118	30014	UROK	\N	\N
3633857	3130	1996-09-30	PRIJEM	\N	132	32045	UROK	\N	\N
3633858	3130	1996-10-31	PRIJEM	\N	135	31278	UROK	\N	\N
3633859	3130	1996-11-30	PRIJEM	\N	142	35418	UROK	\N	\N
3633860	3130	1996-12-31	PRIJEM	\N	150	35417	UROK	\N	\N
3633861	3130	1997-01-31	PRIJEM	\N	131	27066	UROK	\N	\N
3633862	3130	1997-02-28	PRIJEM	\N	123	30048	UROK	\N	\N
3633863	3130	1997-03-31	PRIJEM	\N	139	34985	UROK	\N	\N
3633864	3130	1997-04-30	PRIJEM	\N	153	37176	UROK	\N	\N
3633865	3130	1997-05-31	PRIJEM	\N	158	36113	UROK	\N	\N
3633866	3130	1997-06-30	PRIJEM	\N	154	37305	UROK	\N	\N
3633867	3130	1997-07-31	PRIJEM	\N	165	40508	UROK	\N	\N
3633868	3130	1997-08-31	PRIJEM	\N	182	45488	UROK	\N	\N
3633869	3130	1997-09-30	PRIJEM	\N	187	44874	UROK	\N	\N
3633870	3130	1997-10-31	PRIJEM	\N	198	47670	UROK	\N	\N
3633871	3130	1997-11-30	PRIJEM	\N	205	50194	UROK	\N	\N
3633872	3130	1997-12-31	PRIJEM	\N	211	50604	UROK	\N	\N
3633873	3130	1998-01-31	PRIJEM	\N	206	46649	UROK	\N	\N
3633874	3130	1998-02-28	PRIJEM	\N	206	50853	UROK	\N	\N
3633875	3130	1998-03-31	PRIJEM	\N	220	53771	UROK	\N	\N
3633876	3130	1998-04-30	PRIJEM	\N	237	57925	UROK	\N	\N
3633877	3130	1998-05-31	PRIJEM	\N	254	62978	UROK	\N	\N
3633878	3130	1998-06-30	PRIJEM	\N	266	64522	UROK	\N	\N
3633879	3130	1998-07-31	PRIJEM	\N	282	69603	UROK	\N	\N
3633880	3130	1998-08-31	PRIJEM	\N	303	74704	UROK	\N	\N
3633881	3130	1998-09-30	PRIJEM	\N	324	79826	UROK	\N	\N
3633882	3130	1998-10-31	PRIJEM	\N	345	84970	UROK	\N	\N
3633883	3130	1998-11-30	PRIJEM	\N	366	90134	UROK	\N	\N
3633884	3130	1998-12-31	PRIJEM	\N	383	88995	UROK	\N	\N
3633885	3131	1995-11-30	PRIJEM	\N	28	22081	UROK	\N	\N
3633886	3131	1995-12-31	PRIJEM	\N	112	37173	UROK	\N	\N
3633887	3131	1996-01-31	PRIJEM	\N	159	40084	UROK	\N	\N
3633888	3131	1996-02-29	PRIJEM	\N	169	41806	UROK	\N	\N
3633889	3131	1996-03-31	PRIJEM	\N	178	29347	UROK	\N	\N
3633890	3131	1996-04-30	PRIJEM	\N	131	20458	UROK	\N	\N
3633891	3131	1996-05-31	PRIJEM	\N	114	29480	UROK	\N	\N
3633892	3131	1996-06-30	PRIJEM	\N	151	24329	UROK	\N	\N
3633893	3131	1996-07-31	PRIJEM	\N	119	26955	UROK	\N	\N
3633894	3131	1996-08-31	PRIJEM	\N	121	25483	UROK	\N	\N
3633895	3131	1996-09-30	PRIJEM	\N	116	22902	UROK	\N	\N
3633896	3131	1996-10-31	PRIJEM	\N	93	19802	UROK	\N	\N
3633897	3131	1996-11-30	PRIJEM	\N	102	21471	UROK	\N	\N
3633898	3131	1996-12-31	PRIJEM	\N	137	29543	UROK	\N	\N
3633899	3131	1997-01-31	PRIJEM	\N	100	20650	UROK	\N	\N
3633900	3131	1997-02-28	PRIJEM	\N	102	25359	UROK	\N	\N
3633901	3131	1997-03-31	PRIJEM	\N	122	29188	UROK	\N	\N
3633902	3131	1997-04-30	PRIJEM	\N	130	28726	UROK	\N	\N
3633903	3131	1997-05-31	PRIJEM	\N	133	29666	UROK	\N	\N
3633904	3131	1997-06-30	PRIJEM	\N	158	40558	UROK	\N	\N
3633905	3131	1997-07-31	PRIJEM	\N	169	38935	UROK	\N	\N
3633906	3131	1997-08-31	PRIJEM	\N	152	30131	UROK	\N	\N
3633907	3131	1997-09-30	PRIJEM	\N	160	42799	UROK	\N	\N
3633908	3131	1997-10-31	PRIJEM	\N	182	28019	UROK	\N	\N
3633909	3131	1997-11-30	PRIJEM	\N	150	38376	UROK	\N	\N
3633910	3131	1997-12-31	PRIJEM	\N	213	48023	UROK	\N	\N
3633911	3131	1998-01-31	PRIJEM	\N	150	20980	UROK	\N	\N
3633912	3131	1998-02-28	PRIJEM	\N	117	30304	UROK	\N	\N
3633913	3131	1998-03-31	PRIJEM	\N	147	29833	UROK	\N	\N
3633914	3131	1998-04-30	PRIJEM	\N	137	34278	UROK	\N	\N
3633915	3131	1998-05-31	PRIJEM	\N	154	38039	UROK	\N	\N
3633916	3131	1998-06-30	PRIJEM	\N	131	28204	UROK	\N	\N
3633917	3131	1998-07-31	PRIJEM	\N	129	31540	UROK	\N	\N
3633918	3131	1998-08-31	PRIJEM	\N	155	38303	UROK	\N	\N
3633919	3131	1998-09-30	PRIJEM	\N	165	39076	UROK	\N	\N
3633920	3131	1998-10-31	PRIJEM	\N	163	37146	UROK	\N	\N
3633921	3131	1998-11-30	PRIJEM	\N	184	45037	UROK	\N	\N
3633922	3131	1998-12-31	PRIJEM	\N	237	58808	UROK	\N	\N
3633923	3132	1995-10-31	PRIJEM	\N	17	7000	UROK	\N	\N
3633924	3132	1995-11-30	PRIJEM	\N	71	24854	UROK	\N	\N
3633925	3132	1995-12-31	PRIJEM	\N	128	35256	UROK	\N	\N
3633926	3132	1996-01-31	PRIJEM	\N	142	33481	UROK	\N	\N
3633927	3132	1996-02-29	PRIJEM	\N	131	28075	UROK	\N	\N
3633928	3132	1996-03-31	PRIJEM	\N	119	27075	UROK	\N	\N
3633929	3132	1996-04-30	PRIJEM	\N	114	25969	UROK	\N	\N
3633930	3132	1996-05-31	PRIJEM	\N	119	27669	UROK	\N	\N
3633931	3132	1996-06-30	PRIJEM	\N	103	23343	UROK	\N	\N
3633932	3132	1996-07-31	PRIJEM	\N	106	26629	UROK	\N	\N
3633933	3132	1996-08-31	PRIJEM	\N	98	23307	UROK	\N	\N
3633934	3132	1996-09-30	PRIJEM	\N	101	23288	UROK	\N	\N
3633935	3132	1996-10-31	PRIJEM	\N	95	23464	UROK	\N	\N
3633936	3132	1996-11-30	PRIJEM	\N	107	24551	UROK	\N	\N
3633937	3132	1996-12-31	PRIJEM	\N	100	22522	UROK	\N	\N
3633938	3132	1997-01-31	PRIJEM	\N	75	17078	UROK	\N	\N
3633939	3132	1997-02-28	PRIJEM	\N	83	19341	UROK	\N	\N
3633940	3132	1997-03-31	PRIJEM	\N	83	19704	UROK	\N	\N
3633941	3132	1997-04-30	PRIJEM	\N	83	21168	UROK	\N	\N
3633942	3132	1997-05-31	PRIJEM	\N	72	15920	UROK	\N	\N
3633943	3132	1997-06-30	PRIJEM	\N	77	16469	UROK	\N	\N
3633944	3132	1997-07-31	PRIJEM	\N	71	13521	UROK	\N	\N
3633945	3132	1997-08-31	PRIJEM	\N	69	15770	UROK	\N	\N
3633946	3132	1997-09-30	PRIJEM	\N	68	11419	UROK	\N	\N
3633947	3132	1997-10-31	PRIJEM	\N	52	12751	UROK	\N	\N
3633948	3132	1997-11-30	PRIJEM	\N	64	15996	UROK	\N	\N
3633949	3132	1997-12-31	PRIJEM	\N	80	14646	UROK	\N	\N
3633950	3132	1998-01-31	PRIJEM	\N	66	15293	UROK	\N	\N
3633951	3132	1998-02-28	PRIJEM	\N	70	20143	UROK	\N	\N
3633952	3132	1998-03-31	PRIJEM	\N	88	21511	UROK	\N	\N
3633953	3132	1998-04-30	PRIJEM	\N	100	24792	UROK	\N	\N
3633954	3132	1998-05-31	PRIJEM	\N	104	23776	UROK	\N	\N
3633955	3132	1998-06-30	PRIJEM	\N	117	30765	UROK	\N	\N
3633956	3132	1998-07-31	PRIJEM	\N	116	23761	UROK	\N	\N
3633957	3132	1998-08-31	PRIJEM	\N	98	19840	UROK	\N	\N
3633958	3132	1998-09-30	PRIJEM	\N	89	23809	UROK	\N	\N
3633959	3132	1998-10-31	PRIJEM	\N	108	26998	UROK	\N	\N
3633960	3132	1998-11-30	PRIJEM	\N	115	25593	UROK	\N	\N
3633961	3132	1998-12-31	PRIJEM	\N	109	19073	UROK	\N	\N
3633962	3133	1993-07-31	PRIJEM	\N	56	23050	UROK	\N	\N
3633963	3133	1993-08-31	PRIJEM	\N	129	36073	UROK	\N	\N
3633964	3133	1993-09-30	PRIJEM	\N	202	40568	UROK	\N	\N
3633965	3133	1993-10-31	PRIJEM	\N	244	42306	UROK	\N	\N
3633966	3133	1993-11-30	PRIJEM	\N	224	49634	UROK	\N	\N
3633967	3133	1993-12-31	PRIJEM	\N	226	58117	UROK	\N	\N
3633968	3133	1994-01-31	PRIJEM	\N	171	37810	UROK	\N	\N
3633969	3133	1994-02-28	PRIJEM	\N	162	36893	UROK	\N	\N
3633970	3133	1994-03-31	PRIJEM	\N	174	44929	UROK	\N	\N
3633971	3133	1994-04-30	PRIJEM	\N	197	49886	UROK	\N	\N
3633972	3133	1994-05-31	PRIJEM	\N	200	48948	UROK	\N	\N
3633973	3133	1994-06-30	PRIJEM	\N	163	34550	UROK	\N	\N
3633974	3133	1994-07-31	PRIJEM	\N	153	39364	UROK	\N	\N
3633975	3133	1994-08-31	PRIJEM	\N	174	44299	UROK	\N	\N
3633976	3133	1994-09-30	PRIJEM	\N	180	44541	UROK	\N	\N
3633977	3133	1994-10-31	PRIJEM	\N	176	43178	UROK	\N	\N
3633978	3133	1994-11-30	PRIJEM	\N	163	40422	UROK	\N	\N
3633979	3133	1994-12-31	PRIJEM	\N	185	49386	UROK	\N	\N
3633980	3133	1995-01-31	PRIJEM	\N	126	26213	UROK	\N	\N
3633981	3133	1995-02-28	PRIJEM	\N	124	31399	UROK	\N	\N
3633982	3133	1995-03-31	PRIJEM	\N	141	36601	UROK	\N	\N
3633983	3133	1995-04-30	PRIJEM	\N	153	38495	UROK	\N	\N
3633984	3133	1995-05-31	PRIJEM	\N	169	43225	UROK	\N	\N
3633985	3133	1995-06-30	PRIJEM	\N	168	27752	UROK	\N	\N
3633986	3133	1995-07-31	PRIJEM	\N	123	27916	UROK	\N	\N
3633987	3133	1995-08-31	PRIJEM	\N	125	32703	UROK	\N	\N
3633988	3133	1995-09-30	PRIJEM	\N	144	37408	UROK	\N	\N
3633989	3133	1995-10-31	PRIJEM	\N	146	35915	UROK	\N	\N
3633990	3133	1995-11-30	PRIJEM	\N	153	33850	UROK	\N	\N
3633991	3133	1995-12-31	PRIJEM	\N	145	41393	UROK	\N	\N
3633992	3133	1996-01-31	PRIJEM	\N	115	18670	UROK	\N	\N
3633993	3133	1996-02-29	PRIJEM	\N	103	28834	UROK	\N	\N
3633994	3133	1996-03-31	PRIJEM	\N	132	25127	UROK	\N	\N
3633995	3133	1996-04-30	PRIJEM	\N	128	27416	UROK	\N	\N
3633996	3133	1996-05-31	PRIJEM	\N	135	25713	UROK	\N	\N
3633997	3133	1996-06-30	PRIJEM	\N	151	29723	UROK	\N	\N
3633998	3133	1996-07-31	PRIJEM	\N	144	29528	UROK	\N	\N
3633999	3133	1996-08-31	PRIJEM	\N	139	25728	UROK	\N	\N
3634000	3133	1996-09-30	PRIJEM	\N	100	20309	UROK	\N	\N
3634001	3133	1996-10-31	PRIJEM	\N	99	17470	UROK	\N	\N
3634002	3133	1996-11-30	PRIJEM	\N	91	19622	UROK	\N	\N
3634003	3133	1996-12-31	PRIJEM	\N	103	21103	UROK	\N	\N
3634004	3133	1997-01-31	PRIJEM	\N	94	18218	UROK	\N	\N
3634005	3133	1997-02-28	PRIJEM	\N	93	20972	UROK	\N	\N
3634006	3133	1997-03-31	PRIJEM	\N	105	18978	UROK	\N	\N
3634007	3133	1997-04-30	PRIJEM	\N	94	20134	UROK	\N	\N
3634008	3133	1997-05-31	PRIJEM	\N	97	18432	UROK	\N	\N
3634009	3133	1997-06-30	PRIJEM	\N	110	27900	UROK	\N	\N
3634010	3133	1997-07-31	PRIJEM	\N	130	29692	UROK	\N	\N
3634011	3133	1997-08-31	PRIJEM	\N	128	23482	UROK	\N	\N
3634012	3133	1997-09-30	PRIJEM	\N	109	25332	UROK	\N	\N
3634013	3133	1997-10-31	PRIJEM	\N	119	28212	UROK	\N	\N
3634014	3133	1997-11-30	PRIJEM	\N	123	26897	UROK	\N	\N
3634015	3133	1997-12-31	PRIJEM	\N	134	27309	UROK	\N	\N
3634016	3133	1998-01-31	PRIJEM	\N	96	18066	UROK	\N	\N
3634017	3133	1998-02-28	PRIJEM	\N	79	17207	UROK	\N	\N
3634018	3133	1998-03-31	PRIJEM	\N	95	27363	UROK	\N	\N
3634019	3133	1998-04-30	PRIJEM	\N	103	17168	UROK	\N	\N
3634020	3133	1998-05-31	PRIJEM	\N	76	16605	UROK	\N	\N
3634021	3133	1998-06-30	PRIJEM	\N	85	18248	UROK	\N	\N
3634022	3133	1998-07-31	PRIJEM	\N	99	28408	UROK	\N	\N
3634023	3133	1998-08-31	PRIJEM	\N	132	34762	UROK	\N	\N
3634024	3133	1998-09-30	PRIJEM	\N	111	17833	UROK	\N	\N
3634025	3133	1998-10-31	PRIJEM	\N	97	27992	UROK	\N	\N
3634026	3133	1998-11-30	PRIJEM	\N	129	34222	UROK	\N	\N
3634027	3133	1998-12-31	PRIJEM	\N	186	52506	UROK	\N	\N
3634028	3134	1994-05-31	PRIJEM	\N	8	20759	UROK	\N	\N
3634029	3134	1994-06-30	PRIJEM	\N	94	39080	UROK	\N	\N
3634030	3134	1994-07-31	PRIJEM	\N	163	40394	UROK	\N	\N
3634031	3134	1994-08-31	PRIJEM	\N	171	44616	UROK	\N	\N
3634032	3134	1994-09-30	PRIJEM	\N	222	43220	UROK	\N	\N
3634033	3134	1994-10-31	PRIJEM	\N	215	41803	UROK	\N	\N
3634034	3134	1994-11-30	PRIJEM	\N	208	40779	UROK	\N	\N
3634035	3134	1994-12-31	PRIJEM	\N	235	45158	UROK	\N	\N
3634036	3134	1995-01-31	PRIJEM	\N	182	32808	UROK	\N	\N
3634037	3134	1995-02-28	PRIJEM	\N	177	41653	UROK	\N	\N
3634038	3134	1995-03-31	PRIJEM	\N	198	36340	UROK	\N	\N
3634039	3134	1995-04-30	PRIJEM	\N	188	40596	UROK	\N	\N
3634040	3134	1995-05-31	PRIJEM	\N	192	39957	UROK	\N	\N
3634041	3134	1995-06-30	PRIJEM	\N	208	43388	UROK	\N	\N
3634042	3134	1995-07-31	PRIJEM	\N	209	42866	UROK	\N	\N
3634043	3134	1995-08-31	PRIJEM	\N	205	43239	UROK	\N	\N
3634044	3134	1995-09-30	PRIJEM	\N	206	44114	UROK	\N	\N
3634045	3134	1995-10-31	PRIJEM	\N	203	40706	UROK	\N	\N
3634046	3134	1995-11-30	PRIJEM	\N	184	37458	UROK	\N	\N
3634047	3134	1995-12-31	PRIJEM	\N	206	40728	UROK	\N	\N
3634048	3134	1996-01-31	PRIJEM	\N	164	22180	UROK	\N	\N
3634049	3134	1996-02-29	PRIJEM	\N	125	30474	UROK	\N	\N
3634050	3134	1996-03-31	PRIJEM	\N	155	35297	UROK	\N	\N
3634051	3134	1996-04-30	PRIJEM	\N	171	38836	UROK	\N	\N
3634052	3134	1996-05-31	PRIJEM	\N	179	38983	UROK	\N	\N
3634053	3134	1996-06-30	PRIJEM	\N	191	42099	UROK	\N	\N
3634054	3134	1996-07-31	PRIJEM	\N	189	41856	UROK	\N	\N
3634055	3134	1996-08-31	PRIJEM	\N	182	39606	UROK	\N	\N
3634056	3134	1996-09-30	PRIJEM	\N	172	38347	UROK	\N	\N
3634057	3134	1996-10-31	PRIJEM	\N	171	39186	UROK	\N	\N
3634058	3134	1996-11-30	PRIJEM	\N	170	38825	UROK	\N	\N
3634059	3134	1996-12-31	PRIJEM	\N	178	37667	UROK	\N	\N
3634060	3134	1997-01-31	PRIJEM	\N	140	23956	UROK	\N	\N
3634061	3134	1997-02-28	PRIJEM	\N	124	32248	UROK	\N	\N
3634062	3134	1997-03-31	PRIJEM	\N	156	35452	UROK	\N	\N
3634063	3134	1997-04-30	PRIJEM	\N	161	38982	UROK	\N	\N
3634064	3134	1997-05-31	PRIJEM	\N	173	41223	UROK	\N	\N
3634065	3134	1997-06-30	PRIJEM	\N	173	40099	UROK	\N	\N
3634066	3134	1997-07-31	PRIJEM	\N	189	47556	UROK	\N	\N
3634067	3134	1997-08-31	PRIJEM	\N	208	51333	UROK	\N	\N
3634068	3134	1997-09-30	PRIJEM	\N	218	50419	UROK	\N	\N
3634069	3134	1997-10-31	PRIJEM	\N	203	49091	UROK	\N	\N
3634070	3134	1997-11-30	PRIJEM	\N	207	50666	UROK	\N	\N
3634071	3134	1997-12-31	PRIJEM	\N	220	54310	UROK	\N	\N
3634072	3134	1998-01-31	PRIJEM	\N	176	33254	UROK	\N	\N
3634073	3134	1998-02-28	PRIJEM	\N	147	35889	UROK	\N	\N
3634074	3134	1998-03-31	PRIJEM	\N	159	39817	UROK	\N	\N
3634075	3134	1998-04-30	PRIJEM	\N	174	43259	UROK	\N	\N
3634076	3134	1998-05-31	PRIJEM	\N	188	46716	UROK	\N	\N
3634077	3134	1998-06-30	PRIJEM	\N	165	37345	UROK	\N	\N
3634078	3134	1998-07-31	PRIJEM	\N	177	44430	UROK	\N	\N
3634079	3134	1998-08-31	PRIJEM	\N	193	47391	UROK	\N	\N
3634080	3134	1998-09-30	PRIJEM	\N	224	55783	UROK	\N	\N
3634081	3134	1998-10-31	PRIJEM	\N	238	55110	UROK	\N	\N
3634082	3134	1998-11-30	PRIJEM	\N	250	61828	UROK	\N	\N
3634083	3134	1998-12-31	PRIJEM	\N	297	71929	UROK	\N	\N
3634084	3135	1994-01-31	PRIJEM	\N	20	24607	UROK	\N	\N
3634085	3135	1994-02-28	PRIJEM	\N	108	34302	UROK	\N	\N
3634086	3135	1994-03-31	PRIJEM	\N	146	39635	UROK	\N	\N
3634087	3135	1994-04-30	PRIJEM	\N	166	41988	UROK	\N	\N
3634088	3135	1994-05-31	PRIJEM	\N	198	37659	UROK	\N	\N
3634089	3135	1994-06-30	PRIJEM	\N	208	45269	UROK	\N	\N
3634090	3135	1994-07-31	PRIJEM	\N	208	41636	UROK	\N	\N
3634091	3135	1994-08-31	PRIJEM	\N	195	40689	UROK	\N	\N
3634092	3135	1994-09-30	PRIJEM	\N	190	39838	UROK	\N	\N
3634093	3135	1994-10-31	PRIJEM	\N	188	40585	UROK	\N	\N
3634094	3135	1994-11-30	PRIJEM	\N	192	40035	UROK	\N	\N
3634095	3135	1994-12-31	PRIJEM	\N	199	41796	UROK	\N	\N
3634096	3135	1995-01-31	PRIJEM	\N	189	39423	UROK	\N	\N
3634097	3135	1995-02-28	PRIJEM	\N	175	33097	UROK	\N	\N
3634098	3135	1995-03-31	PRIJEM	\N	151	32406	UROK	\N	\N
3634099	3135	1995-04-30	PRIJEM	\N	156	33160	UROK	\N	\N
3634100	3135	1995-05-31	PRIJEM	\N	157	34816	UROK	\N	\N
3634101	3135	1995-06-30	PRIJEM	\N	188	44005	UROK	\N	\N
3634102	3135	1995-07-31	PRIJEM	\N	194	40857	UROK	\N	\N
3634103	3135	1995-08-31	PRIJEM	\N	184	40900	UROK	\N	\N
3634104	3135	1995-09-30	PRIJEM	\N	176	33954	UROK	\N	\N
3634105	3135	1995-10-31	PRIJEM	\N	155	34927	UROK	\N	\N
3634106	3135	1995-11-30	PRIJEM	\N	152	33037	UROK	\N	\N
3634107	3135	1995-12-31	PRIJEM	\N	159	34818	UROK	\N	\N
3634108	3135	1996-01-31	PRIJEM	\N	152	33128	UROK	\N	\N
3634109	3135	1996-02-29	PRIJEM	\N	150	35436	UROK	\N	\N
3634110	3135	1996-03-31	PRIJEM	\N	155	35049	UROK	\N	\N
3634111	3135	1996-04-30	PRIJEM	\N	148	30635	UROK	\N	\N
3634112	3135	1996-05-31	PRIJEM	\N	147	36440	UROK	\N	\N
3634113	3135	1996-06-30	PRIJEM	\N	172	36154	UROK	\N	\N
3634114	3135	1996-07-31	PRIJEM	\N	160	38472	UROK	\N	\N
3634115	3135	1996-08-31	PRIJEM	\N	160	37691	UROK	\N	\N
3634116	3135	1996-09-30	PRIJEM	\N	158	38107	UROK	\N	\N
3634117	3135	1996-10-31	PRIJEM	\N	163	39829	UROK	\N	\N
3634118	3135	1996-11-30	PRIJEM	\N	185	41073	UROK	\N	\N
3634119	3135	1996-12-31	PRIJEM	\N	175	37910	UROK	\N	\N
3634120	3135	1997-01-31	PRIJEM	\N	138	31606	UROK	\N	\N
3634121	3135	1997-02-28	PRIJEM	\N	119	27484	UROK	\N	\N
3634122	3135	1997-03-31	PRIJEM	\N	120	30162	UROK	\N	\N
3634123	3135	1997-04-30	PRIJEM	\N	120	28740	UROK	\N	\N
3634124	3135	1997-05-31	PRIJEM	\N	125	31224	UROK	\N	\N
3634125	3135	1997-06-30	PRIJEM	\N	141	35067	UROK	\N	\N
3634126	3135	1997-07-31	PRIJEM	\N	134	31459	UROK	\N	\N
3634127	3135	1997-08-31	PRIJEM	\N	138	31595	UROK	\N	\N
3634128	3135	1997-09-30	PRIJEM	\N	138	30791	UROK	\N	\N
3634129	3135	1997-10-31	PRIJEM	\N	146	34295	UROK	\N	\N
3634130	3135	1997-11-30	PRIJEM	\N	188	47842	UROK	\N	\N
3634131	3135	1997-12-31	PRIJEM	\N	252	61956	UROK	\N	\N
3634132	3135	1998-01-31	PRIJEM	\N	268	64983	UROK	\N	\N
3634133	3135	1998-02-28	PRIJEM	\N	275	66416	UROK	\N	\N
3634134	3135	1998-03-31	PRIJEM	\N	274	66808	UROK	\N	\N
3634135	3135	1998-04-30	PRIJEM	\N	293	71259	UROK	\N	\N
3634136	3135	1998-05-31	PRIJEM	\N	289	69207	UROK	\N	\N
3634137	3135	1998-06-30	PRIJEM	\N	325	80534	UROK	\N	\N
3634138	3135	1998-07-31	PRIJEM	\N	288	64340	UROK	\N	\N
3634139	3135	1998-08-31	PRIJEM	\N	280	68178	UROK	\N	\N
3634140	3135	1998-09-30	PRIJEM	\N	282	67919	UROK	\N	\N
3634141	3135	1998-10-31	PRIJEM	\N	306	75283	UROK	\N	\N
3634142	3135	1998-11-30	PRIJEM	\N	327	79869	UROK	\N	\N
3634143	3135	1998-12-31	PRIJEM	\N	367	87938	UROK	\N	\N
3634144	3136	1993-09-30	PRIJEM	\N	75	22604	UROK	\N	\N
3634145	3136	1993-10-31	PRIJEM	\N	132	33865	UROK	\N	\N
3634146	3136	1993-11-30	PRIJEM	\N	162	40456	UROK	\N	\N
3634147	3136	1993-12-31	PRIJEM	\N	204	51104	UROK	\N	\N
3634148	3136	1994-01-31	PRIJEM	\N	168	31956	UROK	\N	\N
3634149	3136	1994-02-28	PRIJEM	\N	137	32063	UROK	\N	\N
3634150	3136	1994-03-31	PRIJEM	\N	137	32171	UROK	\N	\N
3634151	3136	1994-04-30	PRIJEM	\N	142	33583	UROK	\N	\N
3634152	3136	1994-05-31	PRIJEM	\N	139	32492	UROK	\N	\N
3634153	3136	1994-06-30	PRIJEM	\N	162	39540	UROK	\N	\N
3634154	3136	1994-07-31	PRIJEM	\N	163	38273	UROK	\N	\N
3634155	3136	1994-08-31	PRIJEM	\N	150	36194	UROK	\N	\N
3634156	3136	1994-09-30	PRIJEM	\N	156	36920	UROK	\N	\N
3634157	3136	1994-10-31	PRIJEM	\N	157	37047	UROK	\N	\N
3634158	3136	1994-11-30	PRIJEM	\N	157	37575	UROK	\N	\N
3634159	3136	1994-12-31	PRIJEM	\N	147	27907	UROK	\N	\N
3634160	3136	1995-01-31	PRIJEM	\N	123	26301	UROK	\N	\N
3634161	3136	1995-02-28	PRIJEM	\N	118	28389	UROK	\N	\N
3634162	3136	1995-03-31	PRIJEM	\N	128	30587	UROK	\N	\N
3634163	3136	1995-04-30	PRIJEM	\N	141	32099	UROK	\N	\N
3634164	3136	1995-05-31	PRIJEM	\N	150	34819	UROK	\N	\N
3634165	3136	1995-06-30	PRIJEM	\N	139	25943	UROK	\N	\N
3634166	3136	1995-07-31	PRIJEM	\N	126	31739	UROK	\N	\N
3634167	3136	1995-08-31	PRIJEM	\N	149	35558	UROK	\N	\N
3634168	3136	1995-09-30	PRIJEM	\N	161	34290	UROK	\N	\N
3634169	3136	1995-10-31	PRIJEM	\N	155	33715	UROK	\N	\N
3634170	3136	1995-11-30	PRIJEM	\N	155	35941	UROK	\N	\N
3634171	3136	1995-12-31	PRIJEM	\N	178	39104	UROK	\N	\N
3634172	3136	1996-01-31	PRIJEM	\N	162	33936	UROK	\N	\N
3634173	3136	1996-02-29	PRIJEM	\N	157	37863	UROK	\N	\N
3634174	3136	1996-03-31	PRIJEM	\N	171	39805	UROK	\N	\N
3634175	3136	1996-04-30	PRIJEM	\N	180	43155	UROK	\N	\N
3634176	3136	1996-05-31	PRIJEM	\N	190	45216	UROK	\N	\N
3634177	3136	1996-06-30	PRIJEM	\N	207	23308	UROK	\N	\N
3634178	3136	1996-07-31	PRIJEM	\N	124	36102	UROK	\N	\N
3634179	3136	1996-08-31	PRIJEM	\N	169	43142	UROK	\N	\N
3634180	3136	1996-09-30	PRIJEM	\N	194	47407	UROK	\N	\N
3634181	3136	1996-10-31	PRIJEM	\N	204	46881	UROK	\N	\N
3634182	3136	1996-11-30	PRIJEM	\N	203	47455	UROK	\N	\N
3634183	3136	1996-12-31	PRIJEM	\N	213	49553	UROK	\N	\N
3634184	3136	1997-01-31	PRIJEM	\N	216	48339	UROK	\N	\N
3634185	3136	1997-02-28	PRIJEM	\N	214	52124	UROK	\N	\N
3634186	3136	1997-03-31	PRIJEM	\N	233	57127	UROK	\N	\N
3634187	3136	1997-04-30	PRIJEM	\N	254	62951	UROK	\N	\N
3634188	3136	1997-05-31	PRIJEM	\N	270	64292	UROK	\N	\N
3634189	3136	1997-06-30	PRIJEM	\N	268	63845	UROK	\N	\N
3634190	3136	1997-07-31	PRIJEM	\N	274	65789	UROK	\N	\N
3634191	3136	1997-08-31	PRIJEM	\N	267	61426	UROK	\N	\N
3634192	3136	1997-09-30	PRIJEM	\N	268	65665	UROK	\N	\N
3634193	3136	1997-10-31	PRIJEM	\N	268	63503	UROK	\N	\N
3634194	3136	1997-11-30	PRIJEM	\N	272	65745	UROK	\N	\N
3634195	3136	1997-12-31	PRIJEM	\N	285	65415	UROK	\N	\N
3634196	3136	1998-01-31	PRIJEM	\N	248	56333	UROK	\N	\N
3634197	3136	1998-02-28	PRIJEM	\N	238	57742	UROK	\N	\N
3634198	3136	1998-03-31	PRIJEM	\N	255	63468	UROK	\N	\N
3634199	3136	1998-04-30	PRIJEM	\N	274	67313	UROK	\N	\N
3634200	3136	1998-05-31	PRIJEM	\N	283	68166	UROK	\N	\N
3634201	3136	1998-06-30	PRIJEM	\N	263	49914	UROK	\N	\N
3634202	3136	1998-07-31	PRIJEM	\N	219	54404	UROK	\N	\N
3634203	3136	1998-08-31	PRIJEM	\N	234	57708	UROK	\N	\N
3634204	3136	1998-09-30	PRIJEM	\N	247	60426	UROK	\N	\N
3634205	3136	1998-10-31	PRIJEM	\N	263	65259	UROK	\N	\N
3634206	3136	1998-11-30	PRIJEM	\N	291	72720	UROK	\N	\N
3634207	3136	1998-12-31	PRIJEM	\N	298	70004	UROK	\N	\N
3634208	3137	1997-01-31	PRIJEM	\N	69	28428	UROK	\N	\N
3634209	3137	1997-02-28	PRIJEM	\N	149	41335	UROK	\N	\N
3634210	3137	1997-03-31	PRIJEM	\N	189	48983	UROK	\N	\N
3634211	3137	1997-04-30	PRIJEM	\N	208	51151	UROK	\N	\N
3634212	3137	1997-05-31	PRIJEM	\N	152	31470	UROK	\N	\N
3634213	3137	1997-06-30	PRIJEM	\N	133	25325	UROK	\N	\N
3634214	3137	1997-07-31	PRIJEM	\N	134	35503	UROK	\N	\N
3634215	3137	1997-08-31	PRIJEM	\N	139	29661	UROK	\N	\N
3634216	3137	1997-09-30	PRIJEM	\N	152	33357	UROK	\N	\N
3634217	3137	1997-10-31	PRIJEM	\N	138	30839	UROK	\N	\N
3634218	3137	1997-11-30	PRIJEM	\N	146	34230	UROK	\N	\N
3634219	3137	1997-12-31	PRIJEM	\N	154	26808	UROK	\N	\N
3634220	3137	1998-01-31	PRIJEM	\N	115	22467	UROK	\N	\N
3634221	3137	1998-02-28	PRIJEM	\N	106	27917	UROK	\N	\N
3634222	3137	1998-03-31	PRIJEM	\N	131	23293	UROK	\N	\N
3634223	3137	1998-04-30	PRIJEM	\N	109	27347	UROK	\N	\N
3634224	3137	1998-05-31	PRIJEM	\N	142	34733	UROK	\N	\N
3634225	3137	1998-06-30	PRIJEM	\N	176	43032	UROK	\N	\N
3634226	3137	1998-07-31	PRIJEM	\N	180	41757	UROK	\N	\N
3634227	3137	1998-08-31	PRIJEM	\N	173	41674	UROK	\N	\N
3634228	3137	1998-09-30	PRIJEM	\N	160	28682	UROK	\N	\N
3634229	3137	1998-10-31	PRIJEM	\N	157	38856	UROK	\N	\N
3634230	3137	1998-11-30	PRIJEM	\N	186	36861	UROK	\N	\N
3634231	3137	1998-12-31	PRIJEM	\N	225	50782	UROK	\N	\N
3634232	3140	1997-06-30	PRIJEM	\N	40	15138	UROK	\N	\N
3634233	3140	1997-07-31	PRIJEM	\N	77	20347	UROK	\N	\N
3634234	3140	1997-08-31	PRIJEM	\N	110	29688	UROK	\N	\N
3634235	3140	1997-09-30	PRIJEM	\N	141	36261	UROK	\N	\N
3634236	3140	1997-10-31	PRIJEM	\N	143	33460	UROK	\N	\N
3634237	3140	1997-11-30	PRIJEM	\N	138	31461	UROK	\N	\N
3634238	3140	1997-12-31	PRIJEM	\N	136	33147	UROK	\N	\N
3634239	3140	1998-01-31	PRIJEM	\N	80	13230	UROK	\N	\N
3634240	3140	1998-02-28	PRIJEM	\N	77	21471	UROK	\N	\N
3634241	3140	1998-03-31	PRIJEM	\N	103	26437	UROK	\N	\N
3634242	3140	1998-04-30	PRIJEM	\N	111	27111	UROK	\N	\N
3634243	3140	1998-05-31	PRIJEM	\N	118	29292	UROK	\N	\N
3634244	3140	1998-06-30	PRIJEM	\N	117	27278	UROK	\N	\N
3634245	3140	1998-07-31	PRIJEM	\N	111	24453	UROK	\N	\N
3634246	3140	1998-08-31	PRIJEM	\N	102	19219	UROK	\N	\N
3634247	3140	1998-09-30	PRIJEM	\N	99	26381	UROK	\N	\N
3634248	3140	1998-10-31	PRIJEM	\N	107	26052	UROK	\N	\N
3634249	3140	1998-11-30	PRIJEM	\N	101	24116	UROK	\N	\N
3634250	3140	1998-12-31	PRIJEM	\N	73	16199	UROK	\N	\N
3634251	3141	1995-01-31	PRIJEM	\N	40	12010	UROK	\N	\N
3634252	3141	1995-02-28	PRIJEM	\N	112	31092	UROK	\N	\N
3634253	3141	1995-03-31	PRIJEM	\N	134	32496	UROK	\N	\N
3634254	3141	1995-04-30	PRIJEM	\N	161	40427	UROK	\N	\N
3634255	3141	1995-05-31	PRIJEM	\N	158	28222	UROK	\N	\N
3634256	3141	1995-06-30	PRIJEM	\N	153	38745	UROK	\N	\N
3634257	3141	1995-07-31	PRIJEM	\N	159	39039	UROK	\N	\N
3634258	3141	1995-08-31	PRIJEM	\N	142	34216	UROK	\N	\N
3634259	3141	1995-09-30	PRIJEM	\N	118	24983	UROK	\N	\N
3634260	3141	1995-10-31	PRIJEM	\N	119	29936	UROK	\N	\N
3634261	3141	1995-11-30	PRIJEM	\N	114	25517	UROK	\N	\N
3634262	3141	1995-12-31	PRIJEM	\N	137	35224	UROK	\N	\N
3634263	3141	1996-01-31	PRIJEM	\N	123	22881	UROK	\N	\N
3634264	3141	1996-02-29	PRIJEM	\N	121	29437	UROK	\N	\N
3634265	3141	1996-03-31	PRIJEM	\N	141	37413	UROK	\N	\N
3634266	3141	1996-04-30	PRIJEM	\N	159	38507	UROK	\N	\N
3634267	3141	1996-05-31	PRIJEM	\N	158	34800	UROK	\N	\N
3634268	3141	1996-06-30	PRIJEM	\N	157	38527	UROK	\N	\N
3634269	3141	1996-07-31	PRIJEM	\N	163	39226	UROK	\N	\N
3634270	3141	1996-08-31	PRIJEM	\N	134	37295	UROK	\N	\N
3634271	3141	1996-09-30	PRIJEM	\N	160	41289	UROK	\N	\N
3634272	3141	1996-10-31	PRIJEM	\N	143	34967	UROK	\N	\N
3634273	3141	1996-11-30	PRIJEM	\N	146	29149	UROK	\N	\N
3634274	3141	1996-12-31	PRIJEM	\N	141	32160	UROK	\N	\N
3634275	3141	1997-01-31	PRIJEM	\N	110	24205	UROK	\N	\N
3634276	3141	1997-02-28	PRIJEM	\N	111	36051	UROK	\N	\N
3634277	3141	1997-03-31	PRIJEM	\N	156	41642	UROK	\N	\N
3634278	3141	1997-04-30	PRIJEM	\N	158	36716	UROK	\N	\N
3634279	3141	1997-05-31	PRIJEM	\N	160	42911	UROK	\N	\N
3634280	3141	1997-06-30	PRIJEM	\N	173	30094	UROK	\N	\N
3634281	3141	1997-07-31	PRIJEM	\N	140	42369	UROK	\N	\N
3634282	3141	1997-08-31	PRIJEM	\N	143	45879	UROK	\N	\N
3634283	3141	1997-09-30	PRIJEM	\N	201	52915	UROK	\N	\N
3634284	3141	1997-10-31	PRIJEM	\N	234	62383	UROK	\N	\N
3634285	3141	1997-11-30	PRIJEM	\N	265	64213	UROK	\N	\N
3634286	3141	1997-12-31	PRIJEM	\N	211	49462	UROK	\N	\N
3634287	3141	1998-01-31	PRIJEM	\N	155	28952	UROK	\N	\N
3634288	3141	1998-02-28	PRIJEM	\N	151	49338	UROK	\N	\N
3634289	3141	1998-03-31	PRIJEM	\N	223	61196	UROK	\N	\N
3634290	3141	1998-04-30	PRIJEM	\N	269	70800	UROK	\N	\N
3634291	3141	1998-05-31	PRIJEM	\N	302	75237	UROK	\N	\N
3634292	3141	1998-06-30	PRIJEM	\N	298	70405	UROK	\N	\N
3634293	3141	1998-07-31	PRIJEM	\N	309	79849	UROK	\N	\N
3634294	3141	1998-08-31	PRIJEM	\N	344	86728	UROK	\N	\N
3634295	3141	1998-09-30	PRIJEM	\N	374	93937	UROK	\N	\N
3634296	3141	1998-10-31	PRIJEM	\N	389	87261	UROK	\N	\N
3634297	3141	1998-11-30	PRIJEM	\N	382	97178	UROK	\N	\N
3634298	3141	1998-12-31	PRIJEM	\N	428	101776	UROK	\N	\N
3634299	3142	1995-02-28	PRIJEM	\N	69	27086	UROK	\N	\N
3634300	3142	1995-03-31	PRIJEM	\N	116	27989	UROK	\N	\N
3634301	3142	1995-04-30	PRIJEM	\N	111	25786	UROK	\N	\N
3634302	3142	1995-05-31	PRIJEM	\N	111	26883	UROK	\N	\N
3634303	3142	1995-06-30	PRIJEM	\N	112	26081	UROK	\N	\N
3634304	3142	1995-07-31	PRIJEM	\N	113	26621	UROK	\N	\N
3634305	3142	1995-08-31	PRIJEM	\N	111	26418	UROK	\N	\N
3634306	3142	1995-09-30	PRIJEM	\N	105	23169	UROK	\N	\N
3634307	3142	1995-10-31	PRIJEM	\N	91	16706	UROK	\N	\N
3634308	3142	1995-11-30	PRIJEM	\N	76	19169	UROK	\N	\N
3634309	3142	1995-12-31	PRIJEM	\N	84	20590	UROK	\N	\N
3634310	3142	1996-01-31	PRIJEM	\N	67	15043	UROK	\N	\N
3634311	3142	1996-02-29	PRIJEM	\N	71	17900	UROK	\N	\N
3634312	3142	1996-03-31	PRIJEM	\N	78	18844	UROK	\N	\N
3634313	3142	1996-04-30	PRIJEM	\N	67	14498	UROK	\N	\N
3634314	3142	1996-05-31	PRIJEM	\N	68	17352	UROK	\N	\N
3634315	3142	1996-06-30	PRIJEM	\N	69	15357	UROK	\N	\N
3634316	3142	1996-07-31	PRIJEM	\N	72	18216	UROK	\N	\N
3634317	3142	1996-08-31	PRIJEM	\N	79	19381	UROK	\N	\N
3634318	3142	1996-09-30	PRIJEM	\N	89	22256	UROK	\N	\N
3634319	3142	1996-10-31	PRIJEM	\N	88	20230	UROK	\N	\N
3634320	3142	1996-11-30	PRIJEM	\N	81	17478	UROK	\N	\N
3634321	3142	1996-12-31	PRIJEM	\N	69	17333	UROK	\N	\N
3634322	3142	1997-01-31	PRIJEM	\N	67	15126	UROK	\N	\N
3634323	3142	1997-02-28	PRIJEM	\N	68	14440	UROK	\N	\N
3634324	3142	1997-03-31	PRIJEM	\N	68	17295	UROK	\N	\N
3634325	3142	1997-04-30	PRIJEM	\N	79	20160	UROK	\N	\N
3634326	3142	1997-05-31	PRIJEM	\N	81	19528	UROK	\N	\N
3634327	3142	1997-06-30	PRIJEM	\N	66	16980	UROK	\N	\N
3634328	3142	1997-07-31	PRIJEM	\N	75	17942	UROK	\N	\N
3634329	3142	1997-08-31	PRIJEM	\N	81	19209	UROK	\N	\N
3634330	3142	1997-09-30	PRIJEM	\N	79	18634	UROK	\N	\N
3634331	3142	1997-10-31	PRIJEM	\N	79	19000	UROK	\N	\N
3634332	3142	1997-11-30	PRIJEM	\N	84	18771	UROK	\N	\N
3634333	3142	1997-12-31	PRIJEM	\N	82	16939	UROK	\N	\N
3634334	3142	1998-01-31	PRIJEM	\N	68	13954	UROK	\N	\N
3634335	3142	1998-02-28	PRIJEM	\N	64	16164	UROK	\N	\N
3634336	3142	1998-03-31	PRIJEM	\N	74	18524	UROK	\N	\N
3634337	3142	1998-04-30	PRIJEM	\N	80	15290	UROK	\N	\N
3634338	3142	1998-05-31	PRIJEM	\N	70	17847	UROK	\N	\N
3634339	3142	1998-06-30	PRIJEM	\N	69	14603	UROK	\N	\N
3634340	3142	1998-07-31	PRIJEM	\N	65	15254	UROK	\N	\N
3634341	3142	1998-08-31	PRIJEM	\N	69	15069	UROK	\N	\N
3634342	3142	1998-09-30	PRIJEM	\N	69	17925	UROK	\N	\N
3634343	3142	1998-10-31	PRIJEM	\N	82	20793	UROK	\N	\N
3634344	3142	1998-11-30	PRIJEM	\N	92	22572	UROK	\N	\N
3634345	3142	1998-12-31	PRIJEM	\N	99	23657	UROK	\N	\N
3634346	3143	1996-11-30	PRIJEM	\N	29	15041	UROK	\N	\N
3634347	3143	1996-12-31	PRIJEM	\N	83	25092	UROK	\N	\N
3634348	3143	1997-01-31	PRIJEM	\N	117	31121	UROK	\N	\N
3634349	3143	1997-02-28	PRIJEM	\N	132	32265	UROK	\N	\N
3634350	3143	1997-03-31	PRIJEM	\N	138	32514	UROK	\N	\N
3634351	3143	1997-04-30	PRIJEM	\N	107	26845	UROK	\N	\N
3634352	3143	1997-05-31	PRIJEM	\N	110	28178	UROK	\N	\N
3634353	3143	1997-06-30	PRIJEM	\N	115	27493	UROK	\N	\N
3634354	3143	1997-07-31	PRIJEM	\N	107	26823	UROK	\N	\N
3634355	3143	1997-08-31	PRIJEM	\N	118	30665	UROK	\N	\N
3634356	3143	1997-09-30	PRIJEM	\N	129	33657	UROK	\N	\N
3634357	3143	1997-10-31	PRIJEM	\N	139	36120	UROK	\N	\N
3634358	3143	1997-11-30	PRIJEM	\N	171	39914	UROK	\N	\N
3634359	3143	1997-12-31	PRIJEM	\N	180	40173	UROK	\N	\N
3634360	3143	1998-01-31	PRIJEM	\N	151	31467	UROK	\N	\N
3634361	3143	1998-02-28	PRIJEM	\N	164	40054	UROK	\N	\N
3634362	3143	1998-03-31	PRIJEM	\N	168	42746	UROK	\N	\N
3634363	3143	1998-04-30	PRIJEM	\N	176	43225	UROK	\N	\N
3634364	3143	1998-05-31	PRIJEM	\N	178	43826	UROK	\N	\N
3634365	3143	1998-06-30	PRIJEM	\N	189	45840	UROK	\N	\N
3634366	3143	1998-07-31	PRIJEM	\N	190	45400	UROK	\N	\N
3634367	3143	1998-08-31	PRIJEM	\N	200	48109	UROK	\N	\N
3634368	3143	1998-09-30	PRIJEM	\N	220	53998	UROK	\N	\N
3634369	3143	1998-10-31	PRIJEM	\N	223	50510	UROK	\N	\N
3634370	3143	1998-11-30	PRIJEM	\N	208	49668	UROK	\N	\N
3634371	3143	1998-12-31	PRIJEM	\N	216	52129	UROK	\N	\N
3634372	3144	1996-07-31	PRIJEM	\N	83	24823	UROK	\N	\N
3634373	3144	1996-08-31	PRIJEM	\N	98	23121	UROK	\N	\N
3634374	3144	1996-09-30	PRIJEM	\N	81	16566	UROK	\N	\N
3634375	3144	1996-10-31	PRIJEM	\N	76	18927	UROK	\N	\N
3634376	3144	1996-11-30	PRIJEM	\N	86	21297	UROK	\N	\N
3634377	3144	1996-12-31	PRIJEM	\N	90	20591	UROK	\N	\N
3634378	3144	1997-01-31	PRIJEM	\N	61	12686	UROK	\N	\N
3634379	3144	1997-02-28	PRIJEM	\N	65	13115	UROK	\N	\N
3634380	3144	1997-03-31	PRIJEM	\N	57	13696	UROK	\N	\N
3634381	3144	1997-04-30	PRIJEM	\N	64	16044	UROK	\N	\N
3634382	3144	1997-05-31	PRIJEM	\N	73	17601	UROK	\N	\N
3634383	3144	1997-06-30	PRIJEM	\N	71	16676	UROK	\N	\N
3634384	3144	1997-07-31	PRIJEM	\N	66	15507	UROK	\N	\N
3634385	3144	1997-08-31	PRIJEM	\N	59	13751	UROK	\N	\N
3634386	3144	1997-09-30	PRIJEM	\N	55	13990	UROK	\N	\N
3634387	3144	1997-10-31	PRIJEM	\N	65	14639	UROK	\N	\N
3634388	3144	1997-11-30	PRIJEM	\N	68	16992	UROK	\N	\N
3634389	3144	1997-12-31	PRIJEM	\N	77	18353	UROK	\N	\N
3634390	3144	1998-01-31	PRIJEM	\N	69	14386	UROK	\N	\N
3634391	3144	1998-02-28	PRIJEM	\N	67	16737	UROK	\N	\N
3634392	3144	1998-03-31	PRIJEM	\N	73	17094	UROK	\N	\N
3634393	3144	1998-04-30	PRIJEM	\N	77	16655	UROK	\N	\N
3634394	3144	1998-05-31	PRIJEM	\N	74	14914	UROK	\N	\N
3634395	3144	1998-06-30	PRIJEM	\N	69	17267	UROK	\N	\N
3634396	3144	1998-07-31	PRIJEM	\N	79	19630	UROK	\N	\N
3634397	3144	1998-08-31	PRIJEM	\N	75	15109	UROK	\N	\N
3634398	3144	1998-09-30	PRIJEM	\N	70	17463	UROK	\N	\N
3634399	3144	1998-10-31	PRIJEM	\N	74	14581	UROK	\N	\N
3634400	3144	1998-11-30	PRIJEM	\N	67	16933	UROK	\N	\N
3634401	3144	1998-12-31	PRIJEM	\N	67	15834	UROK	\N	\N
3634402	3145	1993-12-31	PRIJEM	\N	18	5929	UROK	\N	\N
3634403	3145	1994-01-31	PRIJEM	\N	25	11565	UROK	\N	\N
3634404	3145	1994-02-28	PRIJEM	\N	25	17201	UROK	\N	\N
3634405	3145	1994-03-31	PRIJEM	\N	25	22836	UROK	\N	\N
3634406	3145	1994-04-30	PRIJEM	\N	28	28475	UROK	\N	\N
3634407	3145	1994-05-31	PRIJEM	\N	110	27014	UROK	\N	\N
3634408	3145	1994-06-30	PRIJEM	\N	111	27194	UROK	\N	\N
3634409	3145	1994-07-31	PRIJEM	\N	121	30184	UROK	\N	\N
3634410	3145	1994-08-31	PRIJEM	\N	133	28386	UROK	\N	\N
3634411	3145	1994-09-30	PRIJEM	\N	116	27651	UROK	\N	\N
3634412	3145	1994-10-31	PRIJEM	\N	124	29845	UROK	\N	\N
3634413	3145	1994-11-30	PRIJEM	\N	132	29747	UROK	\N	\N
3634414	3145	1994-12-31	PRIJEM	\N	121	26388	UROK	\N	\N
3634415	3145	1995-01-31	PRIJEM	\N	91	17248	UROK	\N	\N
3634416	3145	1995-02-28	PRIJEM	\N	78	18555	UROK	\N	\N
3634417	3145	1995-03-31	PRIJEM	\N	71	15695	UROK	\N	\N
3634418	3145	1995-04-30	PRIJEM	\N	75	18839	UROK	\N	\N
3634419	3145	1995-05-31	PRIJEM	\N	85	17894	UROK	\N	\N
3634420	3145	1995-06-30	PRIJEM	\N	78	15841	UROK	\N	\N
3634421	3145	1995-07-31	PRIJEM	\N	75	18685	UROK	\N	\N
3634422	3145	1995-08-31	PRIJEM	\N	86	20941	UROK	\N	\N
3634423	3145	1995-09-30	PRIJEM	\N	96	23706	UROK	\N	\N
3634424	3145	1995-10-31	PRIJEM	\N	105	24741	UROK	\N	\N
3634425	3145	1995-11-30	PRIJEM	\N	110	26400	UROK	\N	\N
3634426	3145	1995-12-31	PRIJEM	\N	119	29338	UROK	\N	\N
3634427	3145	1996-01-31	PRIJEM	\N	95	19103	UROK	\N	\N
3634428	3145	1996-02-29	PRIJEM	\N	83	18415	UROK	\N	\N
3634429	3145	1996-03-31	PRIJEM	\N	86	21570	UROK	\N	\N
3634430	3145	1996-04-30	PRIJEM	\N	87	21767	UROK	\N	\N
3634431	3145	1996-05-31	PRIJEM	\N	95	20511	UROK	\N	\N
3634432	3145	1996-06-30	PRIJEM	\N	88	16318	UROK	\N	\N
3634433	3145	1996-07-31	PRIJEM	\N	77	19465	UROK	\N	\N
3634434	3145	1996-08-31	PRIJEM	\N	90	22624	UROK	\N	\N
3634435	3145	1996-09-30	PRIJEM	\N	103	25796	UROK	\N	\N
3634436	3145	1996-10-31	PRIJEM	\N	98	22723	UROK	\N	\N
3634437	3145	1996-11-30	PRIJEM	\N	103	25896	UROK	\N	\N
3634438	3145	1996-12-31	PRIJEM	\N	111	27726	UROK	\N	\N
3634439	3145	1997-01-31	PRIJEM	\N	99	19214	UROK	\N	\N
3634440	3145	1997-02-28	PRIJEM	\N	84	19488	UROK	\N	\N
3634441	3145	1997-03-31	PRIJEM	\N	90	22647	UROK	\N	\N
3634442	3145	1997-04-30	PRIJEM	\N	103	25819	UROK	\N	\N
3634443	3145	1997-05-31	PRIJEM	\N	116	29004	UROK	\N	\N
3634444	3145	1997-06-30	PRIJEM	\N	119	23992	UROK	\N	\N
3634445	3145	1997-07-31	PRIJEM	\N	108	27170	UROK	\N	\N
3634446	3145	1997-08-31	PRIJEM	\N	121	30360	UROK	\N	\N
3634447	3145	1997-09-30	PRIJEM	\N	135	33564	UROK	\N	\N
3634448	3145	1997-10-31	PRIJEM	\N	148	36782	UROK	\N	\N
3634449	3145	1997-11-30	PRIJEM	\N	158	37769	UROK	\N	\N
3634450	3145	1997-12-31	PRIJEM	\N	164	40303	UROK	\N	\N
3634451	3145	1998-01-31	PRIJEM	\N	157	34259	UROK	\N	\N
3634452	3145	1998-02-28	PRIJEM	\N	150	37479	UROK	\N	\N
3634453	3145	1998-03-31	PRIJEM	\N	164	40712	UROK	\N	\N
3634454	3145	1998-04-30	PRIJEM	\N	174	42675	UROK	\N	\N
3634455	3145	1998-05-31	PRIJEM	\N	185	45930	UROK	\N	\N
3634456	3145	1998-06-30	PRIJEM	\N	146	33785	UROK	\N	\N
3634457	3145	1998-07-31	PRIJEM	\N	136	32590	UROK	\N	\N
3634458	3145	1998-08-31	PRIJEM	\N	143	35802	UROK	\N	\N
3634459	3145	1998-09-30	PRIJEM	\N	150	36941	UROK	\N	\N
3634460	3145	1998-10-31	PRIJEM	\N	161	40172	UROK	\N	\N
3634461	3145	1998-11-30	PRIJEM	\N	174	43415	UROK	\N	\N
3634462	3145	1998-12-31	PRIJEM	\N	179	43923	UROK	\N	\N
3634463	3146	1993-11-30	PRIJEM	\N	10	12498	UROK	\N	\N
3634464	3146	1993-12-31	PRIJEM	\N	59	19645	UROK	\N	\N
3634465	3146	1994-01-31	PRIJEM	\N	88	25721	UROK	\N	\N
3634466	3146	1994-02-28	PRIJEM	\N	109	28118	UROK	\N	\N
3634467	3146	1994-03-31	PRIJEM	\N	121	28805	UROK	\N	\N
3634468	3146	1994-04-30	PRIJEM	\N	122	29388	UROK	\N	\N
3634469	3146	1994-05-31	PRIJEM	\N	122	27231	UROK	\N	\N
3634470	3146	1994-06-30	PRIJEM	\N	111	24953	UROK	\N	\N
3634471	3146	1994-07-31	PRIJEM	\N	109	27213	UROK	\N	\N
3634472	3146	1994-08-31	PRIJEM	\N	117	28282	UROK	\N	\N
3634473	3146	1994-09-30	PRIJEM	\N	120	28353	UROK	\N	\N
3634474	3146	1994-10-31	PRIJEM	\N	119	27414	UROK	\N	\N
3634475	3146	1994-11-30	PRIJEM	\N	111	24076	UROK	\N	\N
3634476	3146	1994-12-31	PRIJEM	\N	104	24311	UROK	\N	\N
3634477	3146	1995-01-31	PRIJEM	\N	96	22619	UROK	\N	\N
3634478	3146	1995-02-28	PRIJEM	\N	99	24669	UROK	\N	\N
3634479	3146	1995-03-31	PRIJEM	\N	101	22121	UROK	\N	\N
3634480	3146	1995-04-30	PRIJEM	\N	93	21175	UROK	\N	\N
3634481	3146	1995-05-31	PRIJEM	\N	96	24923	UROK	\N	\N
3634482	3146	1995-06-30	PRIJEM	\N	85	19360	UROK	\N	\N
3634483	3146	1995-07-31	PRIJEM	\N	81	19192	UROK	\N	\N
3634484	3146	1995-08-31	PRIJEM	\N	87	22331	UROK	\N	\N
3634485	3146	1995-09-30	PRIJEM	\N	98	23990	UROK	\N	\N
3634486	3146	1995-10-31	PRIJEM	\N	104	25546	UROK	\N	\N
3634487	3146	1995-11-30	PRIJEM	\N	96	20593	UROK	\N	\N
3634488	3146	1995-12-31	PRIJEM	\N	86	20360	UROK	\N	\N
3634489	3146	1996-01-31	PRIJEM	\N	84	18185	UROK	\N	\N
3634490	3146	1996-02-29	PRIJEM	\N	84	21620	UROK	\N	\N
3634491	3146	1996-03-31	PRIJEM	\N	95	23766	UROK	\N	\N
3634492	3146	1996-04-30	PRIJEM	\N	102	24619	UROK	\N	\N
3634493	3146	1996-05-31	PRIJEM	\N	105	25876	UROK	\N	\N
3634494	3146	1996-06-30	PRIJEM	\N	99	20046	UROK	\N	\N
3634495	3146	1996-07-31	PRIJEM	\N	91	22988	UROK	\N	\N
3634496	3146	1996-08-31	PRIJEM	\N	98	22048	UROK	\N	\N
3634497	3146	1996-09-30	PRIJEM	\N	90	21790	UROK	\N	\N
3634498	3146	1996-10-31	PRIJEM	\N	91	22332	UROK	\N	\N
3634499	3146	1996-11-30	PRIJEM	\N	102	25385	UROK	\N	\N
3634500	3146	1996-12-31	PRIJEM	\N	96	21453	UROK	\N	\N
3634501	3146	1997-01-31	PRIJEM	\N	86	20331	UROK	\N	\N
3634502	3146	1997-02-28	PRIJEM	\N	88	21270	UROK	\N	\N
3634503	3146	1997-03-31	PRIJEM	\N	84	20005	UROK	\N	\N
3634504	3146	1997-04-30	PRIJEM	\N	77	18133	UROK	\N	\N
3634505	3146	1997-05-31	PRIJEM	\N	57	12511	UROK	\N	\N
3634506	3146	1997-06-30	PRIJEM	\N	53	12515	UROK	\N	\N
3634507	3146	1997-07-31	PRIJEM	\N	56	13822	UROK	\N	\N
3634508	3146	1997-08-31	PRIJEM	\N	73	18647	UROK	\N	\N
3634509	3146	1997-09-30	PRIJEM	\N	76	18274	UROK	\N	\N
3634510	3146	1997-10-31	PRIJEM	\N	70	16296	UROK	\N	\N
3634511	3146	1997-11-30	PRIJEM	\N	71	17518	UROK	\N	\N
3634512	3146	1997-12-31	PRIJEM	\N	68	16198	UROK	\N	\N
3634513	3146	1998-01-31	PRIJEM	\N	69	16918	UROK	\N	\N
3634514	3146	1998-02-28	PRIJEM	\N	73	18542	UROK	\N	\N
3634515	3146	1998-03-31	PRIJEM	\N	65	15158	UROK	\N	\N
3634516	3146	1998-04-30	PRIJEM	\N	65	16775	UROK	\N	\N
3634517	3146	1998-05-31	PRIJEM	\N	79	19025	UROK	\N	\N
3634518	3146	1998-06-30	PRIJEM	\N	74	17951	UROK	\N	\N
3634519	3146	1998-07-31	PRIJEM	\N	67	16169	UROK	\N	\N
3634520	3146	1998-08-31	PRIJEM	\N	78	19799	UROK	\N	\N
3634521	3146	1998-09-30	PRIJEM	\N	93	23443	UROK	\N	\N
3634522	3146	1998-10-31	PRIJEM	\N	100	27384	UROK	\N	\N
3634523	3146	1998-11-30	PRIJEM	\N	114	24450	UROK	\N	\N
3634524	3146	1998-12-31	PRIJEM	\N	99	24121	UROK	\N	\N
3634525	3147	1995-04-30	PRIJEM	\N	36	12998	UROK	\N	\N
3634526	3147	1995-05-31	PRIJEM	\N	111	33171	UROK	\N	\N
3634527	3147	1995-06-30	PRIJEM	\N	177	47441	UROK	\N	\N
3634528	3147	1995-07-31	PRIJEM	\N	193	46096	UROK	\N	\N
3634529	3147	1995-08-31	PRIJEM	\N	176	38535	UROK	\N	\N
3634530	3147	1995-09-30	PRIJEM	\N	152	36608	UROK	\N	\N
3634531	3147	1995-10-31	PRIJEM	\N	154	37282	UROK	\N	\N
3634532	3147	1995-11-30	PRIJEM	\N	158	38260	UROK	\N	\N
3634533	3147	1995-12-31	PRIJEM	\N	171	42682	UROK	\N	\N
3634534	3147	1996-01-31	PRIJEM	\N	141	29644	UROK	\N	\N
3634535	3147	1996-02-29	PRIJEM	\N	126	29890	UROK	\N	\N
3634536	3147	1996-03-31	PRIJEM	\N	118	27128	UROK	\N	\N
3634537	3147	1996-04-30	PRIJEM	\N	125	32474	UROK	\N	\N
3634538	3147	1996-05-31	PRIJEM	\N	150	32444	UROK	\N	\N
3634539	3147	1996-06-30	PRIJEM	\N	131	30226	UROK	\N	\N
3634540	3147	1996-07-31	PRIJEM	\N	142	34189	UROK	\N	\N
3634541	3147	1996-08-31	PRIJEM	\N	158	37267	UROK	\N	\N
3634542	3147	1996-09-30	PRIJEM	\N	171	32258	UROK	\N	\N
3634543	3147	1996-10-31	PRIJEM	\N	147	32726	UROK	\N	\N
3634544	3147	1996-11-30	PRIJEM	\N	149	32895	UROK	\N	\N
3634545	3147	1996-12-31	PRIJEM	\N	165	37711	UROK	\N	\N
3634546	3147	1997-01-31	PRIJEM	\N	138	30269	UROK	\N	\N
3634547	3147	1997-02-28	PRIJEM	\N	139	32728	UROK	\N	\N
3634548	3147	1997-03-31	PRIJEM	\N	145	29694	UROK	\N	\N
3634549	3147	1997-04-30	PRIJEM	\N	136	31050	UROK	\N	\N
3634550	3147	1997-05-31	PRIJEM	\N	145	35716	UROK	\N	\N
3634551	3147	1997-06-30	PRIJEM	\N	167	30234	UROK	\N	\N
3634552	3147	1997-07-31	PRIJEM	\N	144	36598	UROK	\N	\N
3634553	3147	1997-08-31	PRIJEM	\N	157	35976	UROK	\N	\N
3634554	3147	1997-09-30	PRIJEM	\N	167	42264	UROK	\N	\N
3634555	3147	1997-10-31	PRIJEM	\N	186	45071	UROK	\N	\N
3634556	3147	1997-11-30	PRIJEM	\N	197	46188	UROK	\N	\N
3634557	3147	1997-12-31	PRIJEM	\N	210	49950	UROK	\N	\N
3634558	3147	1998-01-31	PRIJEM	\N	202	44072	UROK	\N	\N
3634559	3147	1998-02-28	PRIJEM	\N	194	46286	UROK	\N	\N
3634560	3147	1998-03-31	PRIJEM	\N	208	50815	UROK	\N	\N
3634561	3147	1998-04-30	PRIJEM	\N	229	56964	UROK	\N	\N
3634562	3147	1998-05-31	PRIJEM	\N	253	62037	UROK	\N	\N
3634563	3147	1998-06-30	PRIJEM	\N	248	61636	UROK	\N	\N
3634564	3147	1998-07-31	PRIJEM	\N	261	62817	UROK	\N	\N
3634565	3147	1998-08-31	PRIJEM	\N	270	64708	UROK	\N	\N
3634566	3147	1998-09-30	PRIJEM	\N	272	64000	UROK	\N	\N
3634567	3147	1998-10-31	PRIJEM	\N	267	62588	UROK	\N	\N
3634568	3147	1998-11-30	PRIJEM	\N	266	62274	UROK	\N	\N
3634569	3147	1998-12-31	PRIJEM	\N	274	63600	UROK	\N	\N
3634570	3148	1995-12-31	PRIJEM	\N	24	13642	UROK	\N	\N
3634571	3148	1996-01-31	PRIJEM	\N	74	22934	UROK	\N	\N
3634572	3148	1996-02-29	PRIJEM	\N	100	25552	UROK	\N	\N
3634573	3148	1996-03-31	PRIJEM	\N	111	28381	UROK	\N	\N
3634574	3148	1996-04-30	PRIJEM	\N	119	27801	UROK	\N	\N
3634575	3148	1996-05-31	PRIJEM	\N	121	30347	UROK	\N	\N
3634576	3148	1996-06-30	PRIJEM	\N	112	24434	UROK	\N	\N
3634577	3148	1996-07-31	PRIJEM	\N	103	24963	UROK	\N	\N
3634578	3148	1996-08-31	PRIJEM	\N	111	28099	UROK	\N	\N
3634579	3148	1996-09-30	PRIJEM	\N	126	30050	UROK	\N	\N
3634580	3148	1996-10-31	PRIJEM	\N	128	26703	UROK	\N	\N
3634581	3148	1996-11-30	PRIJEM	\N	105	24233	UROK	\N	\N
3634582	3148	1996-12-31	PRIJEM	\N	100	23748	UROK	\N	\N
3634583	3148	1997-01-31	PRIJEM	\N	97	20851	UROK	\N	\N
3634584	3148	1997-02-28	PRIJEM	\N	85	19761	UROK	\N	\N
3634585	3148	1997-03-31	PRIJEM	\N	76	17052	UROK	\N	\N
3634586	3148	1997-04-30	PRIJEM	\N	76	18784	UROK	\N	\N
3634587	3148	1997-05-31	PRIJEM	\N	78	18117	UROK	\N	\N
3634588	3148	1997-06-30	PRIJEM	\N	69	15362	UROK	\N	\N
3634589	3148	1997-07-31	PRIJEM	\N	72	17858	UROK	\N	\N
3634590	3148	1997-08-31	PRIJEM	\N	71	16355	UROK	\N	\N
3634591	3148	1997-09-30	PRIJEM	\N	76	18656	UROK	\N	\N
3634592	3148	1997-10-31	PRIJEM	\N	75	17356	UROK	\N	\N
3634593	3148	1997-11-30	PRIJEM	\N	66	14847	UROK	\N	\N
3634594	3148	1997-12-31	PRIJEM	\N	60	13803	UROK	\N	\N
3634595	3148	1998-01-31	PRIJEM	\N	46	9774	UROK	\N	\N
3634596	3148	1998-02-28	PRIJEM	\N	52	12551	UROK	\N	\N
3634597	3148	1998-03-31	PRIJEM	\N	62	14998	UROK	\N	\N
3634598	3148	1998-04-30	PRIJEM	\N	53	11607	UROK	\N	\N
3634599	3148	1998-05-31	PRIJEM	\N	55	13188	UROK	\N	\N
3634600	3148	1998-06-30	PRIJEM	\N	55	12768	UROK	\N	\N
3634601	3148	1998-07-31	PRIJEM	\N	63	15256	UROK	\N	\N
3634602	3148	1998-08-31	PRIJEM	\N	63	14645	UROK	\N	\N
3634603	3148	1998-09-30	PRIJEM	\N	76	18646	UROK	\N	\N
3634604	3148	1998-10-31	PRIJEM	\N	89	21100	UROK	\N	\N
3634605	3148	1998-11-30	PRIJEM	\N	104	25529	UROK	\N	\N
3634606	3148	1998-12-31	PRIJEM	\N	122	29406	UROK	\N	\N
3634631	3151	1996-03-31	PRIJEM	\N	25	18670	UROK	\N	\N
3634632	3151	1996-04-30	PRIJEM	\N	86	24701	UROK	\N	\N
3634633	3151	1996-05-31	PRIJEM	\N	110	30057	UROK	\N	\N
3634634	3151	1996-06-30	PRIJEM	\N	136	37260	UROK	\N	\N
3634635	3151	1996-07-31	PRIJEM	\N	156	37961	UROK	\N	\N
3634636	3151	1996-08-31	PRIJEM	\N	155	35802	UROK	\N	\N
3634637	3151	1996-09-30	PRIJEM	\N	147	33536	UROK	\N	\N
3634638	3151	1996-10-31	PRIJEM	\N	136	30458	UROK	\N	\N
3634639	3151	1996-11-30	PRIJEM	\N	132	31476	UROK	\N	\N
3634640	3151	1996-12-31	PRIJEM	\N	140	34425	UROK	\N	\N
3634641	3151	1997-01-31	PRIJEM	\N	141	33152	UROK	\N	\N
3634642	3151	1997-02-28	PRIJEM	\N	147	36186	UROK	\N	\N
3634643	3151	1997-03-31	PRIJEM	\N	148	38220	UROK	\N	\N
3634644	3151	1997-04-30	PRIJEM	\N	169	43175	UROK	\N	\N
3634645	3151	1997-05-31	PRIJEM	\N	182	45143	UROK	\N	\N
3634646	3151	1997-06-30	PRIJEM	\N	196	48549	UROK	\N	\N
3634647	3151	1997-07-31	PRIJEM	\N	202	48937	UROK	\N	\N
3634648	3151	1997-08-31	PRIJEM	\N	201	47824	UROK	\N	\N
3634649	3151	1997-09-30	PRIJEM	\N	225	59736	UROK	\N	\N
3634650	3151	1997-10-31	PRIJEM	\N	259	65181	UROK	\N	\N
3634651	3151	1997-11-30	PRIJEM	\N	282	71050	UROK	\N	\N
3634652	3151	1997-12-31	PRIJEM	\N	318	80577	UROK	\N	\N
3634653	3151	1998-01-31	PRIJEM	\N	315	73678	UROK	\N	\N
3634654	3151	1998-02-28	PRIJEM	\N	301	72366	UROK	\N	\N
3634655	3151	1998-03-31	PRIJEM	\N	318	79671	UROK	\N	\N
3634656	3151	1998-04-30	PRIJEM	\N	351	88808	UROK	\N	\N
3634657	3151	1998-05-31	PRIJEM	\N	387	97282	UROK	\N	\N
3634658	3151	1998-06-30	PRIJEM	\N	368	90558	UROK	\N	\N
3634659	3151	1998-07-31	PRIJEM	\N	372	88717	UROK	\N	\N
3634660	3151	1998-08-31	PRIJEM	\N	372	92375	UROK	\N	\N
3634661	3151	1998-09-30	PRIJEM	\N	399	99460	UROK	\N	\N
3634662	3151	1998-10-31	PRIJEM	\N	424	105571	UROK	\N	\N
3634663	3151	1998-11-30	PRIJEM	\N	435	107492	UROK	\N	\N
3634664	3151	1998-12-31	PRIJEM	\N	437	107239	UROK	\N	\N
3634665	3152	1993-08-31	PRIJEM	\N	43	18965	UROK	\N	\N
3634666	3152	1993-09-30	PRIJEM	\N	99	27486	UROK	\N	\N
3634667	3152	1993-10-31	PRIJEM	\N	125	31833	UROK	\N	\N
3634668	3152	1993-11-30	PRIJEM	\N	133	31987	UROK	\N	\N
3634669	3152	1993-12-31	PRIJEM	\N	142	29273	UROK	\N	\N
3634670	3152	1994-01-31	PRIJEM	\N	115	24656	UROK	\N	\N
3634671	3152	1994-02-28	PRIJEM	\N	101	22826	UROK	\N	\N
3634672	3152	1994-03-31	PRIJEM	\N	109	27203	UROK	\N	\N
3634673	3152	1994-04-30	PRIJEM	\N	116	28188	UROK	\N	\N
3634674	3152	1994-05-31	PRIJEM	\N	108	23964	UROK	\N	\N
3634675	3152	1994-06-30	PRIJEM	\N	84	12977	UROK	\N	\N
3634676	3152	1994-07-31	PRIJEM	\N	76	20422	UROK	\N	\N
3634677	3152	1994-08-31	PRIJEM	\N	94	22784	UROK	\N	\N
3634678	3152	1994-09-30	PRIJEM	\N	93	17346	UROK	\N	\N
3634679	3152	1994-10-31	PRIJEM	\N	80	16794	UROK	\N	\N
3634680	3152	1994-11-30	PRIJEM	\N	82	19244	UROK	\N	\N
3634681	3152	1994-12-31	PRIJEM	\N	84	18857	UROK	\N	\N
3634682	3152	1995-01-31	PRIJEM	\N	83	17408	UROK	\N	\N
3634683	3152	1995-02-28	PRIJEM	\N	80	17957	UROK	\N	\N
3634684	3152	1995-03-31	PRIJEM	\N	76	17302	UROK	\N	\N
3634685	3152	1995-04-30	PRIJEM	\N	75	14745	UROK	\N	\N
3634686	3152	1995-05-31	PRIJEM	\N	57	11770	UROK	\N	\N
3634687	3152	1995-06-30	PRIJEM	\N	77	15776	UROK	\N	\N
3634688	3152	1995-07-31	PRIJEM	\N	77	17421	UROK	\N	\N
3634689	3152	1995-08-31	PRIJEM	\N	98	23187	UROK	\N	\N
3634690	3152	1995-09-30	PRIJEM	\N	109	25165	UROK	\N	\N
3634691	3152	1995-10-31	PRIJEM	\N	100	22233	UROK	\N	\N
3634692	3152	1995-11-30	PRIJEM	\N	91	20292	UROK	\N	\N
3634693	3152	1995-12-31	PRIJEM	\N	108	25230	UROK	\N	\N
3634694	3152	1996-01-31	PRIJEM	\N	89	20287	UROK	\N	\N
3634695	3152	1996-02-29	PRIJEM	\N	105	24660	UROK	\N	\N
3634696	3152	1996-03-31	PRIJEM	\N	102	23030	UROK	\N	\N
3634697	3152	1996-04-30	PRIJEM	\N	92	19091	UROK	\N	\N
3634698	3152	1996-05-31	PRIJEM	\N	90	20748	UROK	\N	\N
3634699	3152	1996-06-30	PRIJEM	\N	94	27472	UROK	\N	\N
3634700	3152	1996-07-31	PRIJEM	\N	107	18247	UROK	\N	\N
3634701	3152	1996-08-31	PRIJEM	\N	84	12000	UROK	\N	\N
3634702	3152	1996-09-30	PRIJEM	\N	63	17631	UROK	\N	\N
3634703	3152	1996-10-31	PRIJEM	\N	80	18380	UROK	\N	\N
3634704	3152	1996-11-30	PRIJEM	\N	87	21035	UROK	\N	\N
3634705	3152	1996-12-31	PRIJEM	\N	112	13376	UROK	\N	\N
3634706	3152	1997-01-31	PRIJEM	\N	55	13299	UROK	\N	\N
3634707	3152	1997-02-28	PRIJEM	\N	61	14428	UROK	\N	\N
3634708	3152	1997-03-31	PRIJEM	\N	73	20069	UROK	\N	\N
3634709	3152	1997-04-30	PRIJEM	\N	88	21125	UROK	\N	\N
3634710	3152	1997-05-31	PRIJEM	\N	101	26794	UROK	\N	\N
3634711	3152	1997-06-30	PRIJEM	\N	120	15943	UROK	\N	\N
3634712	3152	1997-07-31	PRIJEM	\N	79	21591	UROK	\N	\N
3634713	3152	1997-08-31	PRIJEM	\N	102	27261	UROK	\N	\N
3634714	3152	1997-09-30	PRIJEM	\N	126	32956	UROK	\N	\N
3634715	3152	1997-10-31	PRIJEM	\N	150	38673	UROK	\N	\N
3634716	3152	1997-11-30	PRIJEM	\N	137	15379	UROK	\N	\N
3634717	3152	1997-12-31	PRIJEM	\N	88	21496	UROK	\N	\N
3634718	3152	1998-01-31	PRIJEM	\N	100	18265	UROK	\N	\N
3634719	3152	1998-02-28	PRIJEM	\N	87	23920	UROK	\N	\N
3634720	3152	1998-03-31	PRIJEM	\N	112	29600	UROK	\N	\N
3634721	3152	1998-04-30	PRIJEM	\N	135	35303	UROK	\N	\N
3634722	3152	1998-05-31	PRIJEM	\N	159	41030	UROK	\N	\N
3634723	3152	1998-06-30	PRIJEM	\N	155	14614	UROK	\N	\N
3634724	3152	1998-07-31	PRIJEM	\N	72	20255	UROK	\N	\N
3634725	3152	1998-08-31	PRIJEM	\N	104	25128	UROK	\N	\N
3634726	3152	1998-09-30	PRIJEM	\N	116	30812	UROK	\N	\N
3634727	3152	1998-10-31	PRIJEM	\N	137	32417	UROK	\N	\N
3634728	3152	1998-11-30	PRIJEM	\N	143	33628	UROK	\N	\N
3634729	3152	1998-12-31	PRIJEM	\N	177	42234	UROK	\N	\N
3634730	3153	1996-07-31	PRIJEM	\N	136	70290	UROK	\N	\N
3634731	3153	1996-08-31	PRIJEM	\N	376	90450	UROK	\N	\N
3634732	3153	1996-09-30	PRIJEM	\N	306	68701	UROK	\N	\N
3634733	3153	1996-10-31	PRIJEM	\N	244	62517	UROK	\N	\N
3634734	3153	1996-11-30	PRIJEM	\N	213	46414	UROK	\N	\N
3634735	3153	1996-12-31	PRIJEM	\N	261	78550	UROK	\N	\N
3634736	3153	1997-01-31	PRIJEM	\N	170	31831	UROK	\N	\N
3634737	3153	1997-02-28	PRIJEM	\N	362	63103	UROK	\N	\N
3634738	3153	1997-03-31	PRIJEM	\N	355	88641	UROK	\N	\N
3634739	3153	1997-04-30	PRIJEM	\N	232	51883	UROK	\N	\N
3634740	3153	1997-05-31	PRIJEM	\N	141	72937	UROK	\N	\N
3634741	3153	1997-06-30	PRIJEM	\N	246	67776	UROK	\N	\N
3634742	3153	1997-07-31	PRIJEM	\N	287	58332	UROK	\N	\N
3634743	3153	1997-08-31	PRIJEM	\N	412	78335	UROK	\N	\N
3634744	3153	1997-09-30	PRIJEM	\N	316	62888	UROK	\N	\N
3634745	3153	1997-10-31	PRIJEM	\N	256	51271	UROK	\N	\N
3634746	3153	1997-11-30	PRIJEM	\N	250	88971	UROK	\N	\N
3634747	3153	1997-12-31	PRIJEM	\N	332	32181	UROK	\N	\N
3634748	3153	1998-01-31	PRIJEM	\N	166	45340	UROK	\N	\N
3634749	3153	1998-02-28	PRIJEM	\N	216	51636	UROK	\N	\N
3634750	3153	1998-03-31	PRIJEM	\N	290	66808	UROK	\N	\N
3634751	3153	1998-04-30	PRIJEM	\N	315	60706	UROK	\N	\N
3634752	3153	1998-05-31	PRIJEM	\N	246	47870	UROK	\N	\N
3634753	3153	1998-06-30	PRIJEM	\N	170	41422	UROK	\N	\N
3634754	3153	1998-07-31	PRIJEM	\N	132	37644	UROK	\N	\N
3634755	3153	1998-08-31	PRIJEM	\N	245	55293	UROK	\N	\N
3634756	3153	1998-09-30	PRIJEM	\N	208	49011	UROK	\N	\N
3634757	3153	1998-10-31	PRIJEM	\N	378	70712	UROK	\N	\N
3634758	3153	1998-11-30	PRIJEM	\N	312	51711	UROK	\N	\N
3634759	3153	1998-12-31	PRIJEM	\N	330	79069	UROK	\N	\N
3634760	3154	1997-07-31	PRIJEM	\N	55	22881	UROK	\N	\N
3634761	3154	1997-08-31	PRIJEM	\N	153	47560	UROK	\N	\N
3634762	3154	1997-09-30	PRIJEM	\N	150	58336	UROK	\N	\N
3634763	3154	1997-10-31	PRIJEM	\N	168	42930	UROK	\N	\N
3634764	3154	1997-11-30	PRIJEM	\N	193	44589	UROK	\N	\N
3634765	3154	1997-12-31	PRIJEM	\N	244	51113	UROK	\N	\N
3634766	3154	1998-01-31	PRIJEM	\N	246	50426	UROK	\N	\N
3634767	3154	1998-02-28	PRIJEM	\N	242	48455	UROK	\N	\N
3634768	3154	1998-03-31	PRIJEM	\N	237	50179	UROK	\N	\N
3634769	3154	1998-04-30	PRIJEM	\N	244	55510	UROK	\N	\N
3634770	3154	1998-05-31	PRIJEM	\N	264	58262	UROK	\N	\N
3634771	3154	1998-06-30	PRIJEM	\N	230	53372	UROK	\N	\N
3634772	3154	1998-07-31	PRIJEM	\N	247	53867	UROK	\N	\N
3634773	3154	1998-08-31	PRIJEM	\N	247	52161	UROK	\N	\N
3634774	3154	1998-09-30	PRIJEM	\N	242	52490	UROK	\N	\N
3634775	3154	1998-10-31	PRIJEM	\N	248	58426	UROK	\N	\N
3634776	3154	1998-11-30	PRIJEM	\N	268	61181	UROK	\N	\N
3634777	3154	1998-12-31	PRIJEM	\N	319	89400	UROK	\N	\N
3634778	3155	1996-09-30	PRIJEM	\N	9	21684	UROK	\N	\N
3634779	3155	1996-10-31	PRIJEM	\N	97	34656	UROK	\N	\N
3634780	3155	1996-11-30	PRIJEM	\N	146	38577	UROK	\N	\N
3634781	3155	1996-12-31	PRIJEM	\N	164	43903	UROK	\N	\N
3634782	3155	1997-01-31	PRIJEM	\N	180	26898	UROK	\N	\N
3634783	3155	1997-02-28	PRIJEM	\N	136	24390	UROK	\N	\N
3634784	3155	1997-03-31	PRIJEM	\N	127	24274	UROK	\N	\N
3634785	3155	1997-04-30	PRIJEM	\N	121	22591	UROK	\N	\N
3634786	3155	1997-05-31	PRIJEM	\N	110	22937	UROK	\N	\N
3634787	3155	1997-06-30	PRIJEM	\N	130	21771	UROK	\N	\N
3634788	3155	1997-07-31	PRIJEM	\N	113	20739	UROK	\N	\N
3634789	3155	1997-08-31	PRIJEM	\N	106	22481	UROK	\N	\N
3634790	3155	1997-09-30	PRIJEM	\N	111	19449	UROK	\N	\N
3634791	3155	1997-10-31	PRIJEM	\N	103	19368	UROK	\N	\N
3634792	3155	1997-11-30	PRIJEM	\N	92	17357	UROK	\N	\N
3634793	3155	1997-12-31	PRIJEM	\N	111	18371	UROK	\N	\N
3634794	3155	1998-01-31	PRIJEM	\N	74	13701	UROK	\N	\N
3634795	3155	1998-02-28	PRIJEM	\N	78	16436	UROK	\N	\N
3634796	3155	1998-03-31	PRIJEM	\N	86	15878	UROK	\N	\N
3634797	3155	1998-04-30	PRIJEM	\N	89	19523	UROK	\N	\N
3634798	3155	1998-05-31	PRIJEM	\N	95	15114	UROK	\N	\N
3634799	3155	1998-06-30	PRIJEM	\N	104	22061	UROK	\N	\N
3634800	3155	1998-07-31	PRIJEM	\N	100	17417	UROK	\N	\N
3634801	3155	1998-08-31	PRIJEM	\N	83	15256	UROK	\N	\N
3634802	3155	1998-09-30	PRIJEM	\N	81	17793	UROK	\N	\N
3634803	3155	1998-10-31	PRIJEM	\N	90	19840	UROK	\N	\N
3634804	3155	1998-11-30	PRIJEM	\N	92	22828	UROK	\N	\N
3634805	3155	1998-12-31	PRIJEM	\N	139	35510	UROK	\N	\N
3634806	3156	1998-01-31	PRIJEM	\N	87	38015	UROK	\N	\N
3634807	3156	1998-02-28	PRIJEM	\N	158	28573	UROK	\N	\N
3634808	3156	1998-03-31	PRIJEM	\N	152	35334	UROK	\N	\N
3634809	3156	1998-04-30	PRIJEM	\N	147	25480	UROK	\N	\N
3634810	3156	1998-05-31	PRIJEM	\N	145	33789	UROK	\N	\N
3634811	3156	1998-06-30	PRIJEM	\N	187	76757	UROK	\N	\N
3634812	3156	1998-07-31	PRIJEM	\N	351	83652	UROK	\N	\N
3634813	3156	1998-08-31	PRIJEM	\N	275	48482	UROK	\N	\N
3634814	3156	1998-09-30	PRIJEM	\N	247	73175	UROK	\N	\N
3634815	3156	1998-10-31	PRIJEM	\N	317	43979	UROK	\N	\N
3634816	3156	1998-11-30	PRIJEM	\N	137	21965	UROK	\N	\N
3634817	3156	1998-12-31	PRIJEM	\N	272	63430	UROK	\N	\N
3634818	3157	1993-09-30	PRIJEM	\N	19	6692	UROK	\N	\N
3634819	3157	1993-10-31	PRIJEM	\N	28	12992	UROK	\N	\N
3634820	3157	1993-11-30	PRIJEM	\N	28	19293	UROK	\N	\N
3634821	3157	1993-12-31	PRIJEM	\N	28	25594	UROK	\N	\N
3634822	3157	1994-01-31	PRIJEM	\N	87	24270	UROK	\N	\N
3634823	3157	1994-02-28	PRIJEM	\N	112	28206	UROK	\N	\N
3634824	3157	1994-03-31	PRIJEM	\N	128	31958	UROK	\N	\N
3634825	3157	1994-04-30	PRIJEM	\N	139	34521	UROK	\N	\N
3634826	3157	1994-05-31	PRIJEM	\N	143	34108	UROK	\N	\N
3634827	3157	1994-06-30	PRIJEM	\N	126	19809	UROK	\N	\N
3634828	3157	1994-07-31	PRIJEM	\N	94	23727	UROK	\N	\N
3634829	3157	1994-08-31	PRIJEM	\N	104	24615	UROK	\N	\N
3634830	3157	1994-09-30	PRIJEM	\N	113	28553	UROK	\N	\N
3634831	3157	1994-10-31	PRIJEM	\N	122	30299	UROK	\N	\N
3634832	3157	1994-11-30	PRIJEM	\N	126	31449	UROK	\N	\N
3634833	3157	1994-12-31	PRIJEM	\N	130	32204	UROK	\N	\N
3634834	3157	1995-01-31	PRIJEM	\N	120	21398	UROK	\N	\N
3634835	3157	1995-02-28	PRIJEM	\N	90	22613	UROK	\N	\N
3634836	3157	1995-03-31	PRIJEM	\N	93	23430	UROK	\N	\N
3634837	3157	1995-04-30	PRIJEM	\N	108	27363	UROK	\N	\N
3634838	3157	1995-05-31	PRIJEM	\N	117	29404	UROK	\N	\N
3634839	3157	1995-06-30	PRIJEM	\N	99	23347	UROK	\N	\N
3634840	3157	1995-07-31	PRIJEM	\N	108	27280	UROK	\N	\N
3634841	3157	1995-08-31	PRIJEM	\N	124	30828	UROK	\N	\N
3634842	3157	1995-09-30	PRIJEM	\N	130	32783	UROK	\N	\N
3634843	3157	1995-10-31	PRIJEM	\N	139	34846	UROK	\N	\N
3634844	3157	1995-11-30	PRIJEM	\N	155	35125	UROK	\N	\N
3634845	3157	1995-12-31	PRIJEM	\N	154	36414	UROK	\N	\N
3634846	3157	1996-01-31	PRIJEM	\N	145	30853	UROK	\N	\N
3634847	3157	1996-02-29	PRIJEM	\N	139	34816	UROK	\N	\N
3634848	3157	1996-03-31	PRIJEM	\N	148	34948	UROK	\N	\N
3634849	3157	1996-04-30	PRIJEM	\N	156	38428	UROK	\N	\N
3634850	3157	1996-05-31	PRIJEM	\N	169	40422	UROK	\N	\N
3634851	3157	1996-06-30	PRIJEM	\N	149	31095	UROK	\N	\N
3634852	3157	1996-07-31	PRIJEM	\N	139	33658	UROK	\N	\N
3634853	3157	1996-08-31	PRIJEM	\N	150	37332	UROK	\N	\N
3634854	3157	1996-09-30	PRIJEM	\N	150	37347	UROK	\N	\N
3634855	3157	1996-10-31	PRIJEM	\N	155	36726	UROK	\N	\N
3634856	3157	1996-11-30	PRIJEM	\N	159	36909	UROK	\N	\N
3634857	3157	1996-12-31	PRIJEM	\N	154	36157	UROK	\N	\N
3634858	3157	1997-01-31	PRIJEM	\N	136	28297	UROK	\N	\N
3634859	3157	1997-02-28	PRIJEM	\N	127	32248	UROK	\N	\N
3634860	3157	1997-03-31	PRIJEM	\N	125	29917	UROK	\N	\N
3634861	3157	1997-04-30	PRIJEM	\N	130	31232	UROK	\N	\N
3634862	3157	1997-05-31	PRIJEM	\N	135	31891	UROK	\N	\N
3634863	3157	1997-06-30	PRIJEM	\N	110	25325	UROK	\N	\N
3634864	3157	1997-07-31	PRIJEM	\N	115	29264	UROK	\N	\N
3634865	3157	1997-08-31	PRIJEM	\N	130	32418	UROK	\N	\N
3634866	3157	1997-09-30	PRIJEM	\N	136	34158	UROK	\N	\N
3634867	3157	1997-10-31	PRIJEM	\N	151	38134	UROK	\N	\N
3634868	3157	1997-11-30	PRIJEM	\N	168	42126	UROK	\N	\N
3634869	3157	1997-12-31	PRIJEM	\N	184	45485	UROK	\N	\N
3634870	3157	1998-01-31	PRIJEM	\N	155	35244	UROK	\N	\N
3634871	3157	1998-02-28	PRIJEM	\N	155	39223	UROK	\N	\N
3634872	3157	1998-03-31	PRIJEM	\N	165	41532	UROK	\N	\N
3634873	3157	1998-04-30	PRIJEM	\N	180	44977	UROK	\N	\N
3634874	3157	1998-05-31	PRIJEM	\N	185	43686	UROK	\N	\N
3634875	3157	1998-06-30	PRIJEM	\N	178	42538	UROK	\N	\N
3634876	3157	1998-07-31	PRIJEM	\N	185	46548	UROK	\N	\N
3634877	3157	1998-08-31	PRIJEM	\N	200	49672	UROK	\N	\N
3634878	3157	1998-09-30	PRIJEM	\N	194	44630	UROK	\N	\N
3634879	3157	1998-10-31	PRIJEM	\N	181	43915	UROK	\N	\N
3634880	3157	1998-11-30	PRIJEM	\N	183	42743	UROK	\N	\N
3634881	3157	1998-12-31	PRIJEM	\N	182	46099	UROK	\N	\N
3634882	3158	1996-10-31	PRIJEM	\N	10	3360	UROK	\N	\N
3634883	3158	1996-11-30	PRIJEM	\N	14	6525	UROK	\N	\N
3634884	3158	1996-12-31	PRIJEM	\N	14	9690	UROK	\N	\N
3634885	3158	1997-01-31	PRIJEM	\N	14	12855	UROK	\N	\N
3634886	3158	1997-02-28	PRIJEM	\N	28	14834	UROK	\N	\N
3634887	3158	1997-03-31	PRIJEM	\N	65	15935	UROK	\N	\N
3634888	3158	1997-04-30	PRIJEM	\N	69	17041	UROK	\N	\N
3634889	3158	1997-05-31	PRIJEM	\N	74	18151	UROK	\N	\N
3634890	3158	1997-06-30	PRIJEM	\N	79	19266	UROK	\N	\N
3634891	3158	1997-07-31	PRIJEM	\N	82	19545	UROK	\N	\N
3634892	3158	1997-08-31	PRIJEM	\N	84	20665	UROK	\N	\N
3634893	3158	1997-09-30	PRIJEM	\N	84	20825	UROK	\N	\N
3634894	3158	1997-10-31	PRIJEM	\N	90	21951	UROK	\N	\N
3634895	3158	1997-11-30	PRIJEM	\N	94	23082	UROK	\N	\N
3634896	3158	1997-12-31	PRIJEM	\N	98	23347	UROK	\N	\N
3634897	3158	1998-01-31	PRIJEM	\N	96	23549	UROK	\N	\N
3634898	3158	1998-02-28	PRIJEM	\N	101	24687	UROK	\N	\N
3634899	3158	1998-03-31	PRIJEM	\N	106	25829	UROK	\N	\N
3634900	3158	1998-04-30	PRIJEM	\N	110	26825	UROK	\N	\N
3634901	3158	1998-05-31	PRIJEM	\N	115	27976	UROK	\N	\N
3634902	3158	1998-06-30	PRIJEM	\N	106	25879	UROK	\N	\N
3634903	3158	1998-07-31	PRIJEM	\N	111	27026	UROK	\N	\N
3634904	3158	1998-08-31	PRIJEM	\N	114	26976	UROK	\N	\N
3634905	3158	1998-09-30	PRIJEM	\N	112	25525	UROK	\N	\N
3634906	3158	1998-10-31	PRIJEM	\N	105	24656	UROK	\N	\N
3634907	3158	1998-11-30	PRIJEM	\N	104	24396	UROK	\N	\N
3634908	3158	1998-12-31	PRIJEM	\N	100	23402	UROK	\N	\N
3634948	3160	1994-07-31	PRIJEM	\N	46	26449	UROK	\N	\N
3634949	3160	1994-08-31	PRIJEM	\N	130	37182	UROK	\N	\N
3634950	3160	1994-09-30	PRIJEM	\N	169	44654	UROK	\N	\N
3634951	3160	1994-10-31	PRIJEM	\N	193	48550	UROK	\N	\N
3634952	3160	1994-11-30	PRIJEM	\N	199	45288	UROK	\N	\N
3634953	3160	1994-12-31	PRIJEM	\N	231	48544	UROK	\N	\N
3634954	3160	1995-01-31	PRIJEM	\N	187	37156	UROK	\N	\N
3634955	3160	1995-02-28	PRIJEM	\N	214	35394	UROK	\N	\N
3634956	3160	1995-03-31	PRIJEM	\N	153	36171	UROK	\N	\N
3634957	3160	1995-04-30	PRIJEM	\N	147	33442	UROK	\N	\N
3634958	3160	1995-05-31	PRIJEM	\N	138	31804	UROK	\N	\N
3634959	3160	1995-06-30	PRIJEM	\N	145	33075	UROK	\N	\N
3634960	3160	1995-07-31	PRIJEM	\N	148	37347	UROK	\N	\N
3634961	3160	1995-08-31	PRIJEM	\N	153	36124	UROK	\N	\N
3634962	3160	1995-09-30	PRIJEM	\N	136	26884	UROK	\N	\N
3634963	3160	1995-10-31	PRIJEM	\N	122	29930	UROK	\N	\N
3634964	3160	1995-11-30	PRIJEM	\N	125	26679	UROK	\N	\N
3634965	3160	1995-12-31	PRIJEM	\N	132	31237	UROK	\N	\N
3634966	3160	1996-01-31	PRIJEM	\N	126	20587	UROK	\N	\N
3634967	3160	1996-02-29	PRIJEM	\N	130	29041	UROK	\N	\N
3634968	3160	1996-03-31	PRIJEM	\N	135	32600	UROK	\N	\N
3634969	3160	1996-04-30	PRIJEM	\N	124	24349	UROK	\N	\N
3634970	3160	1996-05-31	PRIJEM	\N	116	27589	UROK	\N	\N
3634971	3160	1996-06-30	PRIJEM	\N	124	23839	UROK	\N	\N
3634972	3160	1996-07-31	PRIJEM	\N	130	31493	UROK	\N	\N
3634973	3160	1996-08-31	PRIJEM	\N	153	36171	UROK	\N	\N
3634974	3160	1996-09-30	PRIJEM	\N	162	37057	UROK	\N	\N
3634975	3160	1996-10-31	PRIJEM	\N	153	31334	UROK	\N	\N
3634976	3160	1996-11-30	PRIJEM	\N	171	36829	UROK	\N	\N
3634977	3160	1996-12-31	PRIJEM	\N	193	41548	UROK	\N	\N
3634978	3160	1997-01-31	PRIJEM	\N	194	41166	UROK	\N	\N
3634979	3160	1997-02-28	PRIJEM	\N	225	53515	UROK	\N	\N
3634980	3160	1997-03-31	PRIJEM	\N	232	46772	UROK	\N	\N
3634981	3160	1997-04-30	PRIJEM	\N	224	51420	UROK	\N	\N
3634982	3160	1997-05-31	PRIJEM	\N	224	48268	UROK	\N	\N
3634983	3160	1997-06-30	PRIJEM	\N	241	44435	UROK	\N	\N
3634984	3160	1997-07-31	PRIJEM	\N	229	54388	UROK	\N	\N
3634985	3160	1997-08-31	PRIJEM	\N	231	53443	UROK	\N	\N
3634986	3160	1997-09-30	PRIJEM	\N	235	54602	UROK	\N	\N
3634987	3160	1997-10-31	PRIJEM	\N	243	57369	UROK	\N	\N
3634988	3160	1997-11-30	PRIJEM	\N	217	59110	UROK	\N	\N
3634989	3160	1997-12-31	PRIJEM	\N	275	56710	UROK	\N	\N
3634990	3160	1998-01-31	PRIJEM	\N	270	49005	UROK	\N	\N
3634991	3160	1998-02-28	PRIJEM	\N	234	63863	UROK	\N	\N
3634992	3160	1998-03-31	PRIJEM	\N	262	52549	UROK	\N	\N
3634993	3160	1998-04-30	PRIJEM	\N	245	53819	UROK	\N	\N
3634994	3160	1998-05-31	PRIJEM	\N	249	55392	UROK	\N	\N
3634995	3160	1998-06-30	PRIJEM	\N	300	55117	UROK	\N	\N
3634996	3160	1998-07-31	PRIJEM	\N	257	62099	UROK	\N	\N
3634997	3160	1998-08-31	PRIJEM	\N	282	63705	UROK	\N	\N
3634998	3160	1998-09-30	PRIJEM	\N	305	63335	UROK	\N	\N
3634999	3160	1998-10-31	PRIJEM	\N	284	65243	UROK	\N	\N
3635000	3160	1998-11-30	PRIJEM	\N	312	70579	UROK	\N	\N
3635001	3160	1998-12-31	PRIJEM	\N	351	95155	UROK	\N	\N
3635002	3161	1996-09-30	PRIJEM	\N	12	14775	UROK	\N	\N
3635003	3161	1996-10-31	PRIJEM	\N	78	32751	UROK	\N	\N
3635004	3161	1996-11-30	PRIJEM	\N	136	28087	UROK	\N	\N
3635005	3161	1996-12-31	PRIJEM	\N	136	25123	UROK	\N	\N
3635006	3161	1997-01-31	PRIJEM	\N	136	32397	UROK	\N	\N
3635007	3161	1997-02-28	PRIJEM	\N	134	28831	UROK	\N	\N
3635008	3161	1997-03-31	PRIJEM	\N	134	27866	UROK	\N	\N
3635009	3161	1997-04-30	PRIJEM	\N	134	28700	UROK	\N	\N
3635010	3161	1997-05-31	PRIJEM	\N	152	46773	UROK	\N	\N
3635011	3161	1997-06-30	PRIJEM	\N	296	54440	UROK	\N	\N
3635012	3161	1997-07-31	PRIJEM	\N	257	57271	UROK	\N	\N
3635013	3161	1997-08-31	PRIJEM	\N	181	19895	UROK	\N	\N
3635014	3161	1997-09-30	PRIJEM	\N	83	20364	UROK	\N	\N
3635015	3161	1997-10-31	PRIJEM	\N	73	36796	UROK	\N	\N
3635016	3161	1997-11-30	PRIJEM	\N	144	30991	UROK	\N	\N
3635017	3161	1997-12-31	PRIJEM	\N	127	32043	UROK	\N	\N
3635018	3161	1998-01-31	PRIJEM	\N	260	42527	UROK	\N	\N
3635019	3161	1998-02-28	PRIJEM	\N	209	80780	UROK	\N	\N
3635020	3161	1998-03-31	PRIJEM	\N	283	50849	UROK	\N	\N
3635021	3161	1998-04-30	PRIJEM	\N	268	52641	UROK	\N	\N
3635022	3161	1998-05-31	PRIJEM	\N	231	49772	UROK	\N	\N
3635023	3161	1998-06-30	PRIJEM	\N	285	55905	UROK	\N	\N
3635024	3161	1998-07-31	PRIJEM	\N	166	27156	UROK	\N	\N
3635025	3161	1998-08-31	PRIJEM	\N	208	63512	UROK	\N	\N
3635026	3161	1998-09-30	PRIJEM	\N	258	78098	UROK	\N	\N
3635027	3161	1998-10-31	PRIJEM	\N	239	41022	UROK	\N	\N
3635028	3161	1998-11-30	PRIJEM	\N	207	75228	UROK	\N	\N
3635029	3161	1998-12-31	PRIJEM	\N	285	36337	UROK	\N	\N
3635030	3162	1996-06-30	PRIJEM	\N	42	21830	UROK	\N	\N
3635031	3162	1996-07-31	PRIJEM	\N	196	89770	UROK	\N	\N
3635032	3162	1996-08-31	PRIJEM	\N	344	76397	UROK	\N	\N
3635033	3162	1996-09-30	PRIJEM	\N	235	41354	UROK	\N	\N
3635034	3162	1996-10-31	PRIJEM	\N	149	31122	UROK	\N	\N
3635035	3162	1996-11-30	PRIJEM	\N	147	37545	UROK	\N	\N
3635036	3162	1996-12-31	PRIJEM	\N	229	48533	UROK	\N	\N
3635037	3162	1997-01-31	PRIJEM	\N	207	63824	UROK	\N	\N
3635038	3162	1997-02-28	PRIJEM	\N	216	46909	UROK	\N	\N
3635039	3162	1997-03-31	PRIJEM	\N	157	31651	UROK	\N	\N
3635040	3162	1997-04-30	PRIJEM	\N	99	18570	UROK	\N	\N
3635041	3162	1997-05-31	PRIJEM	\N	171	35589	UROK	\N	\N
3635042	3162	1997-06-30	PRIJEM	\N	144	51972	UROK	\N	\N
3635043	3162	1997-07-31	PRIJEM	\N	207	43260	UROK	\N	\N
3635044	3162	1997-08-31	PRIJEM	\N	324	57877	UROK	\N	\N
3635045	3162	1997-09-30	PRIJEM	\N	248	79380	UROK	\N	\N
3635046	3162	1997-10-31	PRIJEM	\N	194	33795	UROK	\N	\N
3635047	3162	1997-11-30	PRIJEM	\N	125	34889	UROK	\N	\N
3635048	3162	1997-12-31	PRIJEM	\N	166	47699	UROK	\N	\N
3635049	3162	1998-01-31	PRIJEM	\N	157	21976	UROK	\N	\N
3635050	3162	1998-02-28	PRIJEM	\N	54	10350	UROK	\N	\N
3635051	3162	1998-03-31	PRIJEM	\N	40	1011	UROK	\N	\N
3635052	3162	1998-04-30	PRIJEM	\N	5	15785	UROK	\N	\N
3635053	3162	1998-05-31	PRIJEM	\N	106	19811	UROK	\N	\N
3635054	3162	1998-06-30	PRIJEM	\N	101	25707	UROK	\N	\N
3635055	3162	1998-07-31	PRIJEM	\N	73	15800	UROK	\N	\N
3635056	3162	1998-08-31	PRIJEM	\N	53	12473	UROK	\N	\N
3635057	3162	1998-09-30	PRIJEM	\N	32	6725	UROK	\N	\N
3635058	3162	1998-10-31	PRIJEM	\N	21	5266	UROK	\N	\N
3635059	3162	1998-11-30	PRIJEM	\N	20	5256	UROK	\N	\N
3635060	3162	1998-12-31	PRIJEM	\N	197	53181	UROK	\N	\N
3635061	3163	1997-07-31	PRIJEM	\N	9	69501	UROK	\N	\N
3635062	3163	1997-08-31	PRIJEM	\N	290	49591	UROK	\N	\N
3635063	3163	1997-09-30	PRIJEM	\N	290	40480	UROK	\N	\N
3635064	3163	1997-10-31	PRIJEM	\N	290	32470	UROK	\N	\N
3635065	3163	1997-11-30	PRIJEM	\N	290	29860	UROK	\N	\N
3635066	3163	1997-12-31	PRIJEM	\N	290	26049	UROK	\N	\N
3635067	3163	1998-01-31	PRIJEM	\N	276	81739	UROK	\N	\N
3635068	3163	1998-02-28	PRIJEM	\N	339	54679	UROK	\N	\N
3635069	3163	1998-03-31	PRIJEM	\N	312	70950	UROK	\N	\N
3635070	3163	1998-04-30	PRIJEM	\N	297	94814	UROK	\N	\N
3635071	3163	1998-05-31	PRIJEM	\N	273	22519	UROK	\N	\N
3635072	3163	1998-06-30	PRIJEM	\N	128	63075	UROK	\N	\N
3635073	3163	1998-07-31	PRIJEM	\N	267	40543	UROK	\N	\N
3635074	3163	1998-08-31	PRIJEM	\N	179	39623	UROK	\N	\N
3635075	3163	1998-09-30	PRIJEM	\N	259	97539	UROK	\N	\N
3635076	3163	1998-10-31	PRIJEM	\N	275	34146	UROK	\N	\N
3635077	3163	1998-11-30	PRIJEM	\N	306	44871	UROK	\N	\N
3635078	3163	1998-12-31	PRIJEM	\N	283	88494	UROK	\N	\N
3635079	3164	1994-05-31	PRIJEM	\N	73	25190	UROK	\N	\N
3635080	3164	1994-06-30	PRIJEM	\N	89	20714	UROK	\N	\N
3635081	3164	1994-07-31	PRIJEM	\N	93	22842	UROK	\N	\N
3635082	3164	1994-08-31	PRIJEM	\N	103	25681	UROK	\N	\N
3635083	3164	1994-09-30	PRIJEM	\N	107	23964	UROK	\N	\N
3635084	3164	1994-10-31	PRIJEM	\N	102	23441	UROK	\N	\N
3635085	3164	1994-11-30	PRIJEM	\N	104	25381	UROK	\N	\N
3635086	3164	1994-12-31	PRIJEM	\N	103	23919	UROK	\N	\N
3635087	3164	1995-01-31	PRIJEM	\N	88	17242	UROK	\N	\N
3635088	3164	1995-02-28	PRIJEM	\N	71	16449	UROK	\N	\N
3635089	3164	1995-03-31	PRIJEM	\N	58	13563	UROK	\N	\N
3635090	3164	1995-04-30	PRIJEM	\N	62	15640	UROK	\N	\N
3635091	3164	1995-05-31	PRIJEM	\N	73	18448	UROK	\N	\N
3635092	3164	1995-06-30	PRIJEM	\N	66	16200	UROK	\N	\N
3635093	3164	1995-07-31	PRIJEM	\N	74	18309	UROK	\N	\N
3635094	3164	1995-08-31	PRIJEM	\N	77	18022	UROK	\N	\N
3635095	3164	1995-09-30	PRIJEM	\N	82	20539	UROK	\N	\N
3635096	3164	1995-10-31	PRIJEM	\N	88	19783	UROK	\N	\N
3635097	3164	1995-11-30	PRIJEM	\N	75	15813	UROK	\N	\N
3635098	3164	1995-12-31	PRIJEM	\N	61	13309	UROK	\N	\N
3635099	3164	1996-01-31	PRIJEM	\N	58	12003	UROK	\N	\N
3635100	3164	1996-02-29	PRIJEM	\N	54	13492	UROK	\N	\N
3635101	3164	1996-03-31	PRIJEM	\N	63	12191	UROK	\N	\N
3635102	3164	1996-04-30	PRIJEM	\N	49	11575	UROK	\N	\N
3635103	3164	1996-05-31	PRIJEM	\N	55	14065	UROK	\N	\N
3635104	3164	1996-06-30	PRIJEM	\N	58	13759	UROK	\N	\N
3635105	3164	1996-07-31	PRIJEM	\N	54	12448	UROK	\N	\N
3635106	3164	1996-08-31	PRIJEM	\N	59	15243	UROK	\N	\N
3635107	3164	1996-09-30	PRIJEM	\N	67	17145	UROK	\N	\N
3635108	3164	1996-10-31	PRIJEM	\N	70	17551	UROK	\N	\N
3635109	3164	1996-11-30	PRIJEM	\N	70	17657	UROK	\N	\N
3635110	3164	1996-12-31	PRIJEM	\N	73	18265	UROK	\N	\N
3635111	3164	1997-01-31	PRIJEM	\N	68	14048	UROK	\N	\N
3635112	3164	1997-02-28	PRIJEM	\N	65	16849	UROK	\N	\N
3635113	3164	1997-03-31	PRIJEM	\N	77	19662	UROK	\N	\N
3635114	3164	1997-04-30	PRIJEM	\N	89	22486	UROK	\N	\N
3635115	3164	1997-05-31	PRIJEM	\N	86	21548	UROK	\N	\N
3635116	3164	1997-06-30	PRIJEM	\N	97	24379	UROK	\N	\N
3635117	3164	1997-07-31	PRIJEM	\N	108	27223	UROK	\N	\N
3635118	3164	1997-08-31	PRIJEM	\N	120	30078	UROK	\N	\N
3635119	3164	1997-09-30	PRIJEM	\N	108	25882	UROK	\N	\N
3635120	3164	1997-10-31	PRIJEM	\N	115	28732	UROK	\N	\N
3635121	3164	1997-11-30	PRIJEM	\N	74	16241	UROK	\N	\N
3635122	3164	1997-12-31	PRIJEM	\N	70	15466	UROK	\N	\N
3635123	3164	1998-01-31	PRIJEM	\N	61	14502	UROK	\N	\N
3635124	3164	1998-02-28	PRIJEM	\N	67	17304	UROK	\N	\N
3635125	3164	1998-03-31	PRIJEM	\N	79	20118	UROK	\N	\N
3635126	3164	1998-04-30	PRIJEM	\N	90	22943	UROK	\N	\N
3635127	3164	1998-05-31	PRIJEM	\N	102	25781	UROK	\N	\N
3635128	3164	1998-06-30	PRIJEM	\N	103	24969	UROK	\N	\N
3635129	3164	1998-07-31	PRIJEM	\N	110	27815	UROK	\N	\N
3635130	3164	1998-08-31	PRIJEM	\N	122	30672	UROK	\N	\N
3635131	3164	1998-09-30	PRIJEM	\N	131	30739	UROK	\N	\N
3635132	3164	1998-10-31	PRIJEM	\N	134	33608	UROK	\N	\N
3635133	3164	1998-11-30	PRIJEM	\N	146	36489	UROK	\N	\N
3635134	3164	1998-12-31	PRIJEM	\N	155	35630	UROK	\N	\N
3635135	3168	1993-07-31	PRIJEM	\N	69	23412	UROK	\N	\N
3635136	3168	1993-08-31	PRIJEM	\N	96	22585	UROK	\N	\N
3635137	3168	1993-09-30	PRIJEM	\N	95	20796	UROK	\N	\N
3635138	3168	1993-10-31	PRIJEM	\N	95	23887	UROK	\N	\N
3635139	3168	1993-11-30	PRIJEM	\N	102	24386	UROK	\N	\N
3635140	3168	1993-12-31	PRIJEM	\N	110	25882	UROK	\N	\N
3635141	3168	1994-01-31	PRIJEM	\N	93	16371	UROK	\N	\N
3635142	3168	1994-02-28	PRIJEM	\N	74	18081	UROK	\N	\N
3635143	3168	1994-03-31	PRIJEM	\N	82	20439	UROK	\N	\N
3635144	3168	1994-04-30	PRIJEM	\N	93	23428	UROK	\N	\N
3635145	3168	1994-05-31	PRIJEM	\N	106	26530	UROK	\N	\N
3635146	3168	1994-06-30	PRIJEM	\N	110	22037	UROK	\N	\N
3635147	3168	1994-07-31	PRIJEM	\N	100	25133	UROK	\N	\N
3635148	3168	1994-08-31	PRIJEM	\N	109	26838	UROK	\N	\N
3635149	3168	1994-09-30	PRIJEM	\N	107	23662	UROK	\N	\N
3635150	3168	1994-10-31	PRIJEM	\N	105	26063	UROK	\N	\N
3635151	3168	1994-11-30	PRIJEM	\N	114	28193	UROK	\N	\N
3635152	3168	1994-12-31	PRIJEM	\N	119	26679	UROK	\N	\N
3635153	3168	1995-01-31	PRIJEM	\N	102	16867	UROK	\N	\N
3635154	3168	1995-02-28	PRIJEM	\N	76	18340	UROK	\N	\N
3635155	3168	1995-03-31	PRIJEM	\N	84	21421	UROK	\N	\N
3635156	3168	1995-04-30	PRIJEM	\N	93	22710	UROK	\N	\N
3635157	3168	1995-05-31	PRIJEM	\N	102	25408	UROK	\N	\N
3635158	3168	1995-06-30	PRIJEM	\N	78	16873	UROK	\N	\N
3635159	3168	1995-07-31	PRIJEM	\N	69	16258	UROK	\N	\N
3635160	3168	1995-08-31	PRIJEM	\N	75	19329	UROK	\N	\N
3635161	3168	1995-09-30	PRIJEM	\N	86	20571	UROK	\N	\N
3635162	3168	1995-10-31	PRIJEM	\N	93	23661	UROK	\N	\N
3635163	3168	1995-11-30	PRIJEM	\N	106	26763	UROK	\N	\N
3635164	3168	1995-12-31	PRIJEM	\N	120	29029	UROK	\N	\N
3635165	3168	1996-01-31	PRIJEM	\N	102	20018	UROK	\N	\N
3635166	3168	1996-02-29	PRIJEM	\N	89	22543	UROK	\N	\N
3635167	3168	1996-03-31	PRIJEM	\N	100	24520	UROK	\N	\N
3635168	3168	1996-04-30	PRIJEM	\N	106	24342	UROK	\N	\N
3635169	3168	1996-05-31	PRIJEM	\N	109	27447	UROK	\N	\N
3635170	3168	1996-06-30	PRIJEM	\N	93	19626	UROK	\N	\N
3635171	3168	1996-07-31	PRIJEM	\N	89	22711	UROK	\N	\N
3635172	3168	1996-08-31	PRIJEM	\N	102	25809	UROK	\N	\N
3635173	3168	1996-09-30	PRIJEM	\N	111	26196	UROK	\N	\N
3635174	3168	1996-10-31	PRIJEM	\N	116	29309	UROK	\N	\N
3635175	3168	1996-11-30	PRIJEM	\N	129	32434	UROK	\N	\N
3635176	3168	1996-12-31	PRIJEM	\N	129	27930	UROK	\N	\N
3635177	3168	1997-01-31	PRIJEM	\N	104	20100	UROK	\N	\N
3635178	3168	1997-02-28	PRIJEM	\N	90	23186	UROK	\N	\N
3635179	3168	1997-03-31	PRIJEM	\N	95	20917	UROK	\N	\N
3635180	3168	1997-04-30	PRIJEM	\N	94	24007	UROK	\N	\N
3635181	3168	1997-05-31	PRIJEM	\N	99	23982	UROK	\N	\N
3635182	3168	1997-06-30	PRIJEM	\N	105	26683	UROK	\N	\N
3635183	3168	1997-07-31	PRIJEM	\N	119	29319	UROK	\N	\N
3635184	3168	1997-08-31	PRIJEM	\N	128	32443	UROK	\N	\N
3635185	3168	1997-09-30	PRIJEM	\N	136	30536	UROK	\N	\N
3635186	3168	1997-10-31	PRIJEM	\N	133	33665	UROK	\N	\N
3635187	3168	1997-11-30	PRIJEM	\N	138	33360	UROK	\N	\N
3635188	3168	1997-12-31	PRIJEM	\N	142	34408	UROK	\N	\N
3635189	3168	1998-01-31	PRIJEM	\N	132	26066	UROK	\N	\N
3635190	3168	1998-02-28	PRIJEM	\N	108	26531	UROK	\N	\N
3635191	3168	1998-03-31	PRIJEM	\N	111	26838	UROK	\N	\N
3635192	3168	1998-04-30	PRIJEM	\N	114	27948	UROK	\N	\N
3635193	3168	1998-05-31	PRIJEM	\N	122	31066	UROK	\N	\N
3635194	3168	1998-06-30	PRIJEM	\N	132	26594	UROK	\N	\N
3635195	3168	1998-07-31	PRIJEM	\N	118	29228	UROK	\N	\N
3635196	3168	1998-08-31	PRIJEM	\N	127	31312	UROK	\N	\N
3635197	3168	1998-09-30	PRIJEM	\N	135	33243	UROK	\N	\N
3635198	3168	1998-10-31	PRIJEM	\N	140	34080	UROK	\N	\N
3635199	3168	1998-11-30	PRIJEM	\N	147	37223	UROK	\N	\N
3635200	3168	1998-12-31	PRIJEM	\N	158	39227	UROK	\N	\N
3635201	3169	1998-01-31	PRIJEM	\N	38	20351	UROK	\N	\N
3635202	3169	1998-02-28	PRIJEM	\N	100	28964	UROK	\N	\N
3635203	3169	1998-03-31	PRIJEM	\N	130	34407	UROK	\N	\N
3635204	3169	1998-04-30	PRIJEM	\N	147	36466	UROK	\N	\N
3635205	3169	1998-05-31	PRIJEM	\N	170	33814	UROK	\N	\N
3635206	3169	1998-06-30	PRIJEM	\N	149	17118	UROK	\N	\N
3635207	3169	1998-07-31	PRIJEM	\N	85	13051	UROK	\N	\N
3635208	3169	1998-08-31	PRIJEM	\N	66	12205	UROK	\N	\N
3635209	3169	1998-09-30	PRIJEM	\N	63	12356	UROK	\N	\N
3635210	3169	1998-10-31	PRIJEM	\N	71	15716	UROK	\N	\N
3635211	3169	1998-11-30	PRIJEM	\N	78	15581	UROK	\N	\N
3635212	3169	1998-12-31	PRIJEM	\N	99	20515	UROK	\N	\N
3635213	3170	1996-02-29	PRIJEM	\N	46	16927	UROK	\N	\N
3635214	3170	1996-03-31	PRIJEM	\N	99	27808	UROK	\N	\N
3635215	3170	1996-04-30	PRIJEM	\N	126	31715	UROK	\N	\N
3635216	3170	1996-05-31	PRIJEM	\N	150	36145	UROK	\N	\N
3635217	3170	1996-06-30	PRIJEM	\N	143	27011	UROK	\N	\N
3635218	3170	1996-07-31	PRIJEM	\N	123	31613	UROK	\N	\N
3635219	3170	1996-08-31	PRIJEM	\N	151	38543	UROK	\N	\N
3635220	3170	1996-09-30	PRIJEM	\N	155	36877	UROK	\N	\N
3635221	3170	1996-10-31	PRIJEM	\N	157	39014	UROK	\N	\N
3635222	3170	1996-11-30	PRIJEM	\N	160	39153	UROK	\N	\N
3635223	3170	1996-12-31	PRIJEM	\N	180	45753	UROK	\N	\N
3635224	3170	1997-01-31	PRIJEM	\N	114	19047	UROK	\N	\N
3635225	3170	1997-02-28	PRIJEM	\N	96	25422	UROK	\N	\N
3635226	3170	1997-03-31	PRIJEM	\N	132	33834	UROK	\N	\N
3635227	3170	1997-04-30	PRIJEM	\N	135	31649	UROK	\N	\N
3635228	3170	1997-05-31	PRIJEM	\N	137	34265	UROK	\N	\N
3635229	3170	1997-06-30	PRIJEM	\N	124	21209	UROK	\N	\N
3635230	3170	1997-07-31	PRIJEM	\N	107	27996	UROK	\N	\N
3635231	3170	1997-08-31	PRIJEM	\N	115	26890	UROK	\N	\N
3635232	3170	1997-09-30	PRIJEM	\N	103	22873	UROK	\N	\N
3635233	3170	1997-10-31	PRIJEM	\N	119	31071	UROK	\N	\N
3635234	3170	1997-11-30	PRIJEM	\N	151	39002	UROK	\N	\N
3635235	3170	1997-12-31	PRIJEM	\N	162	40784	UROK	\N	\N
3635236	3170	1998-01-31	PRIJEM	\N	143	33206	UROK	\N	\N
3635237	3170	1998-02-28	PRIJEM	\N	138	31924	UROK	\N	\N
3635238	3170	1998-03-31	PRIJEM	\N	151	35754	UROK	\N	\N
3635239	3170	1998-04-30	PRIJEM	\N	146	36179	UROK	\N	\N
3635240	3170	1998-05-31	PRIJEM	\N	150	37308	UROK	\N	\N
3635241	3170	1998-06-30	PRIJEM	\N	144	16673	UROK	\N	\N
3635242	3170	1998-07-31	PRIJEM	\N	124	34676	UROK	\N	\N
3635243	3170	1998-08-31	PRIJEM	\N	152	42307	UROK	\N	\N
3635244	3170	1998-09-30	PRIJEM	\N	180	43167	UROK	\N	\N
3635245	3170	1998-10-31	PRIJEM	\N	183	42729	UROK	\N	\N
3635246	3170	1998-11-30	PRIJEM	\N	179	39188	UROK	\N	\N
3635247	3170	1998-12-31	PRIJEM	\N	175	43383	UROK	\N	\N
3635248	3171	1994-02-28	PRIJEM	\N	14	24054	UROK	\N	\N
3635249	3171	1994-03-31	PRIJEM	\N	101	23006	UROK	\N	\N
3635250	3171	1994-04-30	PRIJEM	\N	100	24838	UROK	\N	\N
3635251	3171	1994-05-31	PRIJEM	\N	106	24875	UROK	\N	\N
3635252	3171	1994-06-30	PRIJEM	\N	97	19804	UROK	\N	\N
3635253	3171	1994-07-31	PRIJEM	\N	87	21622	UROK	\N	\N
3635254	3171	1994-08-31	PRIJEM	\N	93	22647	UROK	\N	\N
3635255	3171	1994-09-30	PRIJEM	\N	96	23114	UROK	\N	\N
3635256	3171	1994-10-31	PRIJEM	\N	98	22943	UROK	\N	\N
3635257	3171	1994-11-30	PRIJEM	\N	100	24674	UROK	\N	\N
3635258	3171	1994-12-31	PRIJEM	\N	101	24016	UROK	\N	\N
3635259	3171	1995-01-31	PRIJEM	\N	83	16471	UROK	\N	\N
3635260	3171	1995-02-28	PRIJEM	\N	72	18275	UROK	\N	\N
3635261	3171	1995-03-31	PRIJEM	\N	80	20086	UROK	\N	\N
3635262	3171	1995-04-30	PRIJEM	\N	88	21905	UROK	\N	\N
3635263	3171	1995-05-31	PRIJEM	\N	95	21011	UROK	\N	\N
3635264	3171	1995-06-30	PRIJEM	\N	84	16177	UROK	\N	\N
3635265	3171	1995-07-31	PRIJEM	\N	71	17979	UROK	\N	\N
3635266	3171	1995-08-31	PRIJEM	\N	79	19790	UROK	\N	\N
3635267	3171	1995-09-30	PRIJEM	\N	82	17763	UROK	\N	\N
3635268	3171	1995-10-31	PRIJEM	\N	71	15805	UROK	\N	\N
3635269	3171	1995-11-30	PRIJEM	\N	70	17606	UROK	\N	\N
3635270	3171	1995-12-31	PRIJEM	\N	75	19012	UROK	\N	\N
3635271	3171	1996-01-31	PRIJEM	\N	68	14812	UROK	\N	\N
3635272	3171	1996-02-29	PRIJEM	\N	64	15407	UROK	\N	\N
3635273	3171	1996-03-31	PRIJEM	\N	68	17207	UROK	\N	\N
3635274	3171	1996-04-30	PRIJEM	\N	75	19013	UROK	\N	\N
3635275	3171	1996-05-31	PRIJEM	\N	83	20828	UROK	\N	\N
3635276	3171	1996-06-30	PRIJEM	\N	73	18432	UROK	\N	\N
3635277	3171	1996-07-31	PRIJEM	\N	80	20244	UROK	\N	\N
3635278	3171	1996-08-31	PRIJEM	\N	88	22063	UROK	\N	\N
3635279	3171	1996-09-30	PRIJEM	\N	82	20837	UROK	\N	\N
3635280	3171	1996-10-31	PRIJEM	\N	86	22094	UROK	\N	\N
3635281	3171	1996-11-30	PRIJEM	\N	95	23921	UROK	\N	\N
3635282	3171	1996-12-31	PRIJEM	\N	103	24705	UROK	\N	\N
3635283	3171	1997-01-31	PRIJEM	\N	76	16752	UROK	\N	\N
3635284	3171	1997-02-28	PRIJEM	\N	73	18556	UROK	\N	\N
3635285	3171	1997-03-31	PRIJEM	\N	81	20368	UROK	\N	\N
3635286	3171	1997-04-30	PRIJEM	\N	88	22188	UROK	\N	\N
3635287	3171	1997-05-31	PRIJEM	\N	86	21365	UROK	\N	\N
3635288	3171	1997-06-30	PRIJEM	\N	84	20081	UROK	\N	\N
3635289	3171	1997-07-31	PRIJEM	\N	87	21899	UROK	\N	\N
3635290	3171	1997-08-31	PRIJEM	\N	94	23724	UROK	\N	\N
3635291	3171	1997-09-30	PRIJEM	\N	102	25557	UROK	\N	\N
3635292	3171	1997-10-31	PRIJEM	\N	104	25552	UROK	\N	\N
3635293	3171	1997-11-30	PRIJEM	\N	103	25947	UROK	\N	\N
3635294	3171	1997-12-31	PRIJEM	\N	104	24612	UROK	\N	\N
3635295	3171	1998-01-31	PRIJEM	\N	85	18349	UROK	\N	\N
3635296	3171	1998-02-28	PRIJEM	\N	71	16311	UROK	\N	\N
3635297	3171	1998-03-31	PRIJEM	\N	69	17072	UROK	\N	\N
3635298	3171	1998-04-30	PRIJEM	\N	74	18876	UROK	\N	\N
3635299	3171	1998-05-31	PRIJEM	\N	81	20689	UROK	\N	\N
3635300	3171	1998-06-30	PRIJEM	\N	86	20026	UROK	\N	\N
3635301	3171	1998-07-31	PRIJEM	\N	86	21843	UROK	\N	\N
3635302	3171	1998-08-31	PRIJEM	\N	82	21257	UROK	\N	\N
3635303	3171	1998-09-30	PRIJEM	\N	91	23079	UROK	\N	\N
3635304	3171	1998-10-31	PRIJEM	\N	98	24909	UROK	\N	\N
3635305	3171	1998-11-30	PRIJEM	\N	106	26746	UROK	\N	\N
3635306	3171	1998-12-31	PRIJEM	\N	103	23710	UROK	\N	\N
3635307	3172	1997-10-31	PRIJEM	\N	39	13262	UROK	\N	\N
3635308	3172	1997-11-30	PRIJEM	\N	58	14277	UROK	\N	\N
3635309	3172	1997-12-31	PRIJEM	\N	60	14214	UROK	\N	\N
3635310	3172	1998-01-31	PRIJEM	\N	54	12464	UROK	\N	\N
3635311	3172	1998-02-28	PRIJEM	\N	55	13475	UROK	\N	\N
3635312	3172	1998-03-31	PRIJEM	\N	59	14490	UROK	\N	\N
3635313	3172	1998-04-30	PRIJEM	\N	63	15510	UROK	\N	\N
3635314	3172	1998-05-31	PRIJEM	\N	68	16534	UROK	\N	\N
3635315	3172	1998-06-30	PRIJEM	\N	70	16810	UROK	\N	\N
3635316	3172	1998-07-31	PRIJEM	\N	68	15704	UROK	\N	\N
3635317	3172	1998-08-31	PRIJEM	\N	68	16729	UROK	\N	\N
3635318	3172	1998-09-30	PRIJEM	\N	72	17758	UROK	\N	\N
3635319	3172	1998-10-31	PRIJEM	\N	75	17979	UROK	\N	\N
3635320	3172	1998-11-30	PRIJEM	\N	74	17660	UROK	\N	\N
3635321	3172	1998-12-31	PRIJEM	\N	75	18121	UROK	\N	\N
3635322	3173	1993-10-31	PRIJEM	\N	53	19539	UROK	\N	\N
3635323	3173	1993-11-30	PRIJEM	\N	85	20461	UROK	\N	\N
3635324	3173	1993-12-31	PRIJEM	\N	83	20151	UROK	\N	\N
3635325	3173	1994-01-31	PRIJEM	\N	78	17177	UROK	\N	\N
3635326	3173	1994-02-28	PRIJEM	\N	77	18651	UROK	\N	\N
3635327	3173	1994-03-31	PRIJEM	\N	74	16842	UROK	\N	\N
3635328	3173	1994-04-30	PRIJEM	\N	75	18315	UROK	\N	\N
3635329	3173	1994-05-31	PRIJEM	\N	81	19794	UROK	\N	\N
3635330	3173	1994-06-30	PRIJEM	\N	68	14859	UROK	\N	\N
3635331	3173	1994-07-31	PRIJEM	\N	63	15119	UROK	\N	\N
3635332	3173	1994-08-31	PRIJEM	\N	68	16585	UROK	\N	\N
3635333	3173	1994-09-30	PRIJEM	\N	65	13887	UROK	\N	\N
3635334	3173	1994-10-31	PRIJEM	\N	63	15347	UROK	\N	\N
3635335	3173	1994-11-30	PRIJEM	\N	66	13931	UROK	\N	\N
3635336	3173	1994-12-31	PRIJEM	\N	62	14140	UROK	\N	\N
3635337	3173	1995-01-31	PRIJEM	\N	59	13356	UROK	\N	\N
3635338	3173	1995-02-28	PRIJEM	\N	58	13852	UROK	\N	\N
3635339	3173	1995-03-31	PRIJEM	\N	63	15312	UROK	\N	\N
3635340	3173	1995-04-30	PRIJEM	\N	69	16778	UROK	\N	\N
3635341	3173	1995-05-31	PRIJEM	\N	63	14059	UROK	\N	\N
3635342	3173	1995-06-30	PRIJEM	\N	63	15519	UROK	\N	\N
3635343	3173	1995-07-31	PRIJEM	\N	69	16986	UROK	\N	\N
3635344	3173	1995-08-31	PRIJEM	\N	70	16553	UROK	\N	\N
3635345	3173	1995-09-30	PRIJEM	\N	68	15659	UROK	\N	\N
3635346	3173	1995-10-31	PRIJEM	\N	70	17126	UROK	\N	\N
3635347	3173	1995-11-30	PRIJEM	\N	74	17558	UROK	\N	\N
3635348	3173	1995-12-31	PRIJEM	\N	75	18130	UROK	\N	\N
3635349	3173	1996-01-31	PRIJEM	\N	71	11748	UROK	\N	\N
3635350	3173	1996-02-29	PRIJEM	\N	53	13199	UROK	\N	\N
3635351	3173	1996-03-31	PRIJEM	\N	54	13250	UROK	\N	\N
3635352	3173	1996-04-30	PRIJEM	\N	60	14707	UROK	\N	\N
3635353	3173	1996-05-31	PRIJEM	\N	65	14169	UROK	\N	\N
3635354	3173	1996-06-30	PRIJEM	\N	62	11829	UROK	\N	\N
3635355	3173	1996-07-31	PRIJEM	\N	54	13280	UROK	\N	\N
3635356	3173	1996-08-31	PRIJEM	\N	60	14737	UROK	\N	\N
3635357	3173	1996-09-30	PRIJEM	\N	66	16200	UROK	\N	\N
3635358	3173	1996-10-31	PRIJEM	\N	72	17669	UROK	\N	\N
3635359	3173	1996-11-30	PRIJEM	\N	78	19144	UROK	\N	\N
3635360	3173	1996-12-31	PRIJEM	\N	78	18269	UROK	\N	\N
3635361	3173	1997-01-31	PRIJEM	\N	78	18995	UROK	\N	\N
3635362	3173	1997-02-28	PRIJEM	\N	80	19433	UROK	\N	\N
3635363	3173	1997-03-31	PRIJEM	\N	85	20915	UROK	\N	\N
3635364	3173	1997-04-30	PRIJEM	\N	88	19280	UROK	\N	\N
3635365	3173	1997-05-31	PRIJEM	\N	84	20762	UROK	\N	\N
3635366	3173	1997-06-30	PRIJEM	\N	87	21287	UROK	\N	\N
3635367	3173	1997-07-31	PRIJEM	\N	93	22777	UROK	\N	\N
3635368	3173	1997-08-31	PRIJEM	\N	99	24273	UROK	\N	\N
3635369	3173	1997-09-30	PRIJEM	\N	105	25775	UROK	\N	\N
3635370	3173	1997-10-31	PRIJEM	\N	111	27284	UROK	\N	\N
3635371	3173	1997-11-30	PRIJEM	\N	95	14176	UROK	\N	\N
3635372	3173	1997-12-31	PRIJEM	\N	61	14934	UROK	\N	\N
3635373	3173	1998-01-31	PRIJEM	\N	66	16398	UROK	\N	\N
3635374	3173	1998-02-28	PRIJEM	\N	72	17867	UROK	\N	\N
3635375	3173	1998-03-31	PRIJEM	\N	77	18621	UROK	\N	\N
3635376	3173	1998-04-30	PRIJEM	\N	81	20099	UROK	\N	\N
3635377	3173	1998-05-31	PRIJEM	\N	85	20781	UROK	\N	\N
3635378	3173	1998-06-30	PRIJEM	\N	81	19259	UROK	\N	\N
3635379	3173	1998-07-31	PRIJEM	\N	83	20740	UROK	\N	\N
3635380	3173	1998-08-31	PRIJEM	\N	90	22227	UROK	\N	\N
3635381	3173	1998-09-30	PRIJEM	\N	93	22357	UROK	\N	\N
3635382	3173	1998-10-31	PRIJEM	\N	94	21528	UROK	\N	\N
3635383	3173	1998-11-30	PRIJEM	\N	93	23018	UROK	\N	\N
3635384	3173	1998-12-31	PRIJEM	\N	95	23060	UROK	\N	\N
3635385	3174	1998-05-31	PRIJEM	\N	65	23096	UROK	\N	\N
3635386	3174	1998-06-30	PRIJEM	\N	94	22064	UROK	\N	\N
3635387	3174	1998-07-31	PRIJEM	\N	98	24387	UROK	\N	\N
3635388	3174	1998-08-31	PRIJEM	\N	108	26719	UROK	\N	\N
3635389	3174	1998-09-30	PRIJEM	\N	113	26896	UROK	\N	\N
3635390	3174	1998-10-31	PRIJEM	\N	118	28338	UROK	\N	\N
3635391	3174	1998-11-30	PRIJEM	\N	108	24770	UROK	\N	\N
3635392	3174	1998-12-31	PRIJEM	\N	109	26453	UROK	\N	\N
3635393	3175	1996-10-31	PRIJEM	\N	15	5535	UROK	\N	\N
3635394	3175	1996-11-30	PRIJEM	\N	23	10478	UROK	\N	\N
3635395	3175	1996-12-31	PRIJEM	\N	23	15421	UROK	\N	\N
3635396	3175	1997-01-31	PRIJEM	\N	23	20364	UROK	\N	\N
3635397	3175	1997-02-28	PRIJEM	\N	62	22066	UROK	\N	\N
3635398	3175	1997-03-31	PRIJEM	\N	95	22986	UROK	\N	\N
3635399	3175	1997-04-30	PRIJEM	\N	100	24711	UROK	\N	\N
3635400	3175	1997-05-31	PRIJEM	\N	105	25342	UROK	\N	\N
3635401	3175	1997-06-30	PRIJEM	\N	106	12472	UROK	\N	\N
3635402	3175	1997-07-31	PRIJEM	\N	56	14154	UROK	\N	\N
3635403	3175	1997-08-31	PRIJEM	\N	63	15842	UROK	\N	\N
3635404	3175	1997-09-30	PRIJEM	\N	70	17538	UROK	\N	\N
3635405	3175	1997-10-31	PRIJEM	\N	68	15712	UROK	\N	\N
3635406	3175	1997-11-30	PRIJEM	\N	69	17406	UROK	\N	\N
3635407	3175	1997-12-31	PRIJEM	\N	75	18006	UROK	\N	\N
3635408	3175	1998-01-31	PRIJEM	\N	57	12409	UROK	\N	\N
3635409	3175	1998-02-28	PRIJEM	\N	55	14090	UROK	\N	\N
3635410	3175	1998-03-31	PRIJEM	\N	62	15377	UROK	\N	\N
3635411	3175	1998-04-30	PRIJEM	\N	68	17070	UROK	\N	\N
3635412	3175	1998-05-31	PRIJEM	\N	75	18771	UROK	\N	\N
3635413	3175	1998-06-30	PRIJEM	\N	61	12057	UROK	\N	\N
3635414	3175	1998-07-31	PRIJEM	\N	54	13736	UROK	\N	\N
3635415	3175	1998-08-31	PRIJEM	\N	61	15423	UROK	\N	\N
3635416	3175	1998-09-30	PRIJEM	\N	68	17116	UROK	\N	\N
3635417	3175	1998-10-31	PRIJEM	\N	71	17133	UROK	\N	\N
3635418	3175	1998-11-30	PRIJEM	\N	75	18834	UROK	\N	\N
3635419	3175	1998-12-31	PRIJEM	\N	82	19991	UROK	\N	\N
3635420	3176	1997-07-31	PRIJEM	\N	17	15997	UROK	\N	\N
3635421	3176	1997-08-31	PRIJEM	\N	74	18202	UROK	\N	\N
3635422	3176	1997-09-30	PRIJEM	\N	76	16154	UROK	\N	\N
3635423	3176	1997-10-31	PRIJEM	\N	72	16843	UROK	\N	\N
3635424	3176	1997-11-30	PRIJEM	\N	75	17434	UROK	\N	\N
3635425	3176	1997-12-31	PRIJEM	\N	71	15622	UROK	\N	\N
3635426	3176	1998-01-31	PRIJEM	\N	56	12354	UROK	\N	\N
3635427	3176	1998-02-28	PRIJEM	\N	55	12325	UROK	\N	\N
3635428	3176	1998-03-31	PRIJEM	\N	56	13098	UROK	\N	\N
3635429	3176	1998-04-30	PRIJEM	\N	55	12388	UROK	\N	\N
3635430	3176	1998-05-31	PRIJEM	\N	56	13801	UROK	\N	\N
3635431	3176	1998-06-30	PRIJEM	\N	57	11474	UROK	\N	\N
3635432	3176	1998-07-31	PRIJEM	\N	51	11542	UROK	\N	\N
3635433	3176	1998-08-31	PRIJEM	\N	53	12711	UROK	\N	\N
3635434	3176	1998-09-30	PRIJEM	\N	54	11881	UROK	\N	\N
3635435	3176	1998-10-31	PRIJEM	\N	52	11949	UROK	\N	\N
3635436	3176	1998-11-30	PRIJEM	\N	56	14122	UROK	\N	\N
3635437	3176	1998-12-31	PRIJEM	\N	56	13325	UROK	\N	\N
3635438	3178	1996-09-30	PRIJEM	\N	37	14995	UROK	\N	\N
3635439	3178	1996-10-31	PRIJEM	\N	63	14321	UROK	\N	\N
3635440	3178	1996-11-30	PRIJEM	\N	62	15346	UROK	\N	\N
3635441	3178	1996-12-31	PRIJEM	\N	66	15534	UROK	\N	\N
3635442	3178	1997-01-31	PRIJEM	\N	56	12453	UROK	\N	\N
3635443	3178	1997-02-28	PRIJEM	\N	54	13469	UROK	\N	\N
3635444	3178	1997-03-31	PRIJEM	\N	59	14491	UROK	\N	\N
3635445	3178	1997-04-30	PRIJEM	\N	63	15516	UROK	\N	\N
3635446	3178	1997-05-31	PRIJEM	\N	67	16545	UROK	\N	\N
3635447	3178	1997-06-30	PRIJEM	\N	64	13522	UROK	\N	\N
3635448	3178	1997-07-31	PRIJEM	\N	57	14241	UROK	\N	\N
3635449	3178	1997-08-31	PRIJEM	\N	62	15266	UROK	\N	\N
3635450	3178	1997-09-30	PRIJEM	\N	66	16294	UROK	\N	\N
3635451	3178	1997-10-31	PRIJEM	\N	70	17327	UROK	\N	\N
3635452	3178	1997-11-30	PRIJEM	\N	75	18364	UROK	\N	\N
3635453	3178	1997-12-31	PRIJEM	\N	76	17932	UROK	\N	\N
3635454	3178	1998-01-31	PRIJEM	\N	65	14279	UROK	\N	\N
3635455	3178	1998-02-28	PRIJEM	\N	58	14219	UROK	\N	\N
3635456	3178	1998-03-31	PRIJEM	\N	60	14101	UROK	\N	\N
3635457	3178	1998-04-30	PRIJEM	\N	61	15125	UROK	\N	\N
3635458	3178	1998-05-31	PRIJEM	\N	65	16153	UROK	\N	\N
3635459	3178	1998-06-30	PRIJEM	\N	70	17185	UROK	\N	\N
3635460	3178	1998-07-31	PRIJEM	\N	74	18221	UROK	\N	\N
3635461	3178	1998-08-31	PRIJEM	\N	78	19262	UROK	\N	\N
3635462	3178	1998-09-30	PRIJEM	\N	80	19224	UROK	\N	\N
3635463	3178	1998-10-31	PRIJEM	\N	82	20269	UROK	\N	\N
3635464	3178	1998-11-30	PRIJEM	\N	84	20055	UROK	\N	\N
3635465	3178	1998-12-31	PRIJEM	\N	82	19540	UROK	\N	\N
3635466	3179	1996-10-31	PRIJEM	\N	31	19177	UROK	\N	\N
3635467	3179	1996-11-30	PRIJEM	\N	96	29019	UROK	\N	\N
3635468	3179	1996-12-31	PRIJEM	\N	134	36922	UROK	\N	\N
3635469	3179	1997-01-31	PRIJEM	\N	156	38625	UROK	\N	\N
3635470	3179	1997-02-28	PRIJEM	\N	165	35164	UROK	\N	\N
3635471	3179	1997-03-31	PRIJEM	\N	164	38389	UROK	\N	\N
3635472	3179	1997-04-30	PRIJEM	\N	168	37457	UROK	\N	\N
3635473	3179	1997-05-31	PRIJEM	\N	164	36081	UROK	\N	\N
3635474	3179	1997-06-30	PRIJEM	\N	141	14065	UROK	\N	\N
3635475	3179	1997-07-31	PRIJEM	\N	87	23713	UROK	\N	\N
3635476	3179	1997-08-31	PRIJEM	\N	124	32197	UROK	\N	\N
3635477	3179	1997-09-30	PRIJEM	\N	137	30995	UROK	\N	\N
3635478	3179	1997-10-31	PRIJEM	\N	125	30080	UROK	\N	\N
3635479	3179	1997-11-30	PRIJEM	\N	134	31975	UROK	\N	\N
3635480	3179	1997-12-31	PRIJEM	\N	145	31423	UROK	\N	\N
3635481	3179	1998-01-31	PRIJEM	\N	124	27407	UROK	\N	\N
3635482	3179	1998-02-28	PRIJEM	\N	99	20766	UROK	\N	\N
3635483	3179	1998-03-31	PRIJEM	\N	90	20417	UROK	\N	\N
3635484	3179	1998-04-30	PRIJEM	\N	89	20666	UROK	\N	\N
3635485	3179	1998-05-31	PRIJEM	\N	83	16789	UROK	\N	\N
3635486	3179	1998-06-30	PRIJEM	\N	77	18349	UROK	\N	\N
3635487	3179	1998-07-31	PRIJEM	\N	84	19893	UROK	\N	\N
3635488	3179	1998-08-31	PRIJEM	\N	94	23548	UROK	\N	\N
3635489	3179	1998-09-30	PRIJEM	\N	120	31708	UROK	\N	\N
3635490	3179	1998-10-31	PRIJEM	\N	132	32260	UROK	\N	\N
3635491	3179	1998-11-30	PRIJEM	\N	134	32254	UROK	\N	\N
3635492	3179	1998-12-31	PRIJEM	\N	149	35867	UROK	\N	\N
3635493	3180	1996-07-31	PRIJEM	\N	38	20252	UROK	\N	\N
3635494	3180	1996-08-31	PRIJEM	\N	106	31172	UROK	\N	\N
3635495	3180	1996-09-30	PRIJEM	\N	133	32719	UROK	\N	\N
3635496	3180	1996-10-31	PRIJEM	\N	140	34573	UROK	\N	\N
3635497	3180	1996-11-30	PRIJEM	\N	143	30539	UROK	\N	\N
3635498	3180	1996-12-31	PRIJEM	\N	132	28163	UROK	\N	\N
3635499	3180	1997-01-31	PRIJEM	\N	93	20631	UROK	\N	\N
3635500	3180	1997-02-28	PRIJEM	\N	110	24476	UROK	\N	\N
3635501	3180	1997-03-31	PRIJEM	\N	113	27025	UROK	\N	\N
3635502	3180	1997-04-30	PRIJEM	\N	115	26575	UROK	\N	\N
3635503	3180	1997-05-31	PRIJEM	\N	107	21177	UROK	\N	\N
3635504	3180	1997-06-30	PRIJEM	\N	106	27176	UROK	\N	\N
3635505	3180	1997-07-31	PRIJEM	\N	125	31036	UROK	\N	\N
3635506	3180	1997-08-31	PRIJEM	\N	128	29899	UROK	\N	\N
3635507	3180	1997-09-30	PRIJEM	\N	131	32565	UROK	\N	\N
3635508	3180	1997-10-31	PRIJEM	\N	137	33938	UROK	\N	\N
3635509	3180	1997-11-30	PRIJEM	\N	139	34112	UROK	\N	\N
3635510	3180	1997-12-31	PRIJEM	\N	149	37533	UROK	\N	\N
3635511	3180	1998-01-31	PRIJEM	\N	107	16476	UROK	\N	\N
3635512	3180	1998-02-28	PRIJEM	\N	94	20865	UROK	\N	\N
3635513	3180	1998-03-31	PRIJEM	\N	114	31515	UROK	\N	\N
3635514	3180	1998-04-30	PRIJEM	\N	121	28771	UROK	\N	\N
3635515	3180	1998-05-31	PRIJEM	\N	113	27320	UROK	\N	\N
3635516	3180	1998-06-30	PRIJEM	\N	152	31604	UROK	\N	\N
3635517	3180	1998-07-31	PRIJEM	\N	168	45307	UROK	\N	\N
3635518	3180	1998-08-31	PRIJEM	\N	142	29884	UROK	\N	\N
3635519	3180	1998-09-30	PRIJEM	\N	112	26331	UROK	\N	\N
3635520	3180	1998-10-31	PRIJEM	\N	146	40012	UROK	\N	\N
3635521	3180	1998-11-30	PRIJEM	\N	112	28980	UROK	\N	\N
3635522	3180	1998-12-31	PRIJEM	\N	170	47522	UROK	\N	\N
3635523	3182	1997-01-31	PRIJEM	\N	36	20645	UROK	\N	\N
3635524	3182	1997-02-28	PRIJEM	\N	101	29755	UROK	\N	\N
3635525	3182	1997-03-31	PRIJEM	\N	134	35997	UROK	\N	\N
3635526	3182	1997-04-30	PRIJEM	\N	152	37759	UROK	\N	\N
3635527	3182	1997-05-31	PRIJEM	\N	162	39410	UROK	\N	\N
3635528	3182	1997-06-30	PRIJEM	\N	199	44453	UROK	\N	\N
3635529	3182	1997-07-31	PRIJEM	\N	194	41786	UROK	\N	\N
3635530	3182	1997-08-31	PRIJEM	\N	190	43516	UROK	\N	\N
3635531	3182	1997-09-30	PRIJEM	\N	179	37814	UROK	\N	\N
3635532	3182	1997-10-31	PRIJEM	\N	161	34515	UROK	\N	\N
3635533	3182	1997-11-30	PRIJEM	\N	146	31000	UROK	\N	\N
3635534	3182	1997-12-31	PRIJEM	\N	140	28604	UROK	\N	\N
3635535	3182	1998-01-31	PRIJEM	\N	106	17109	UROK	\N	\N
3635536	3182	1998-02-28	PRIJEM	\N	80	17629	UROK	\N	\N
3635537	3182	1998-03-31	PRIJEM	\N	86	20314	UROK	\N	\N
3635538	3182	1998-04-30	PRIJEM	\N	89	19923	UROK	\N	\N
3635539	3182	1998-05-31	PRIJEM	\N	85	17247	UROK	\N	\N
3635540	3182	1998-06-30	PRIJEM	\N	90	19581	UROK	\N	\N
3635541	3182	1998-07-31	PRIJEM	\N	89	20110	UROK	\N	\N
3635542	3182	1998-08-31	PRIJEM	\N	83	18033	UROK	\N	\N
3635543	3182	1998-09-30	PRIJEM	\N	73	15945	UROK	\N	\N
3635544	3182	1998-10-31	PRIJEM	\N	68	15052	UROK	\N	\N
3635545	3182	1998-11-30	PRIJEM	\N	67	15039	UROK	\N	\N
3635546	3182	1998-12-31	PRIJEM	\N	72	16554	UROK	\N	\N
3635547	3183	1994-04-30	PRIJEM	\N	21	7498	UROK	\N	\N
3635548	3183	1994-05-31	PRIJEM	\N	31	14406	UROK	\N	\N
3635549	3183	1994-06-30	PRIJEM	\N	31	21314	UROK	\N	\N
3635550	3183	1994-07-31	PRIJEM	\N	31	28222	UROK	\N	\N
3635551	3183	1994-08-31	PRIJEM	\N	41	31040	UROK	\N	\N
3635552	3183	1994-09-30	PRIJEM	\N	138	29716	UROK	\N	\N
3635553	3183	1994-10-31	PRIJEM	\N	127	30541	UROK	\N	\N
3635554	3183	1994-11-30	PRIJEM	\N	136	31116	UROK	\N	\N
3635555	3183	1994-12-31	PRIJEM	\N	133	30957	UROK	\N	\N
3635556	3183	1995-01-31	PRIJEM	\N	124	26150	UROK	\N	\N
3635557	3183	1995-02-28	PRIJEM	\N	119	30107	UROK	\N	\N
3635558	3183	1995-03-31	PRIJEM	\N	136	33381	UROK	\N	\N
3635559	3183	1995-04-30	PRIJEM	\N	147	32586	UROK	\N	\N
3635560	3183	1995-05-31	PRIJEM	\N	143	32688	UROK	\N	\N
3635561	3183	1995-06-30	PRIJEM	\N	116	27642	UROK	\N	\N
3635562	3183	1995-07-31	PRIJEM	\N	126	31507	UROK	\N	\N
3635563	3183	1995-08-31	PRIJEM	\N	138	33323	UROK	\N	\N
3635564	3183	1995-09-30	PRIJEM	\N	145	33006	UROK	\N	\N
3635565	3183	1995-10-31	PRIJEM	\N	145	34590	UROK	\N	\N
3635566	3183	1995-11-30	PRIJEM	\N	153	37481	UROK	\N	\N
3635567	3183	1995-12-31	PRIJEM	\N	138	32237	UROK	\N	\N
3635568	3183	1996-01-31	PRIJEM	\N	114	24720	UROK	\N	\N
3635569	3183	1996-02-29	PRIJEM	\N	99	24577	UROK	\N	\N
3635570	3183	1996-03-31	PRIJEM	\N	102	25837	UROK	\N	\N
3635571	3183	1996-04-30	PRIJEM	\N	115	28091	UROK	\N	\N
3635572	3183	1996-05-31	PRIJEM	\N	127	31856	UROK	\N	\N
3635573	3183	1996-06-30	PRIJEM	\N	127	29871	UROK	\N	\N
3635574	3183	1996-07-31	PRIJEM	\N	127	28877	UROK	\N	\N
3635575	3183	1996-08-31	PRIJEM	\N	130	32445	UROK	\N	\N
3635576	3183	1996-09-30	PRIJEM	\N	137	34901	UROK	\N	\N
3635577	3183	1996-10-31	PRIJEM	\N	152	37091	UROK	\N	\N
3635578	3183	1996-11-30	PRIJEM	\N	149	33578	UROK	\N	\N
3635579	3183	1996-12-31	PRIJEM	\N	133	29700	UROK	\N	\N
3635580	3183	1997-01-31	PRIJEM	\N	98	18807	UROK	\N	\N
3635581	3183	1997-02-28	PRIJEM	\N	88	22733	UROK	\N	\N
3635582	3183	1997-03-31	PRIJEM	\N	101	22372	UROK	\N	\N
3635583	3183	1997-04-30	PRIJEM	\N	98	24309	UROK	\N	\N
3635584	3183	1997-05-31	PRIJEM	\N	108	27155	UROK	\N	\N
3635585	3183	1997-06-30	PRIJEM	\N	100	21394	UROK	\N	\N
3635586	3183	1997-07-31	PRIJEM	\N	97	24629	UROK	\N	\N
3635587	3183	1997-08-31	PRIJEM	\N	110	27777	UROK	\N	\N
3635588	3183	1997-09-30	PRIJEM	\N	116	29212	UROK	\N	\N
3635589	3183	1997-10-31	PRIJEM	\N	120	29171	UROK	\N	\N
3635590	3183	1997-11-30	PRIJEM	\N	124	24153	UROK	\N	\N
3635591	3183	1997-12-31	PRIJEM	\N	94	23456	UROK	\N	\N
3635592	3183	1998-01-31	PRIJEM	\N	80	17434	UROK	\N	\N
3635593	3183	1998-02-28	PRIJEM	\N	80	21252	UROK	\N	\N
3635594	3183	1998-03-31	PRIJEM	\N	66	14157	UROK	\N	\N
3635595	3183	1998-04-30	PRIJEM	\N	68	18063	UROK	\N	\N
3635596	3183	1998-05-31	PRIJEM	\N	84	21985	UROK	\N	\N
3635597	3183	1998-06-30	PRIJEM	\N	100	25923	UROK	\N	\N
3635598	3183	1998-07-31	PRIJEM	\N	117	29878	UROK	\N	\N
3635599	3183	1998-08-31	PRIJEM	\N	121	31358	UROK	\N	\N
3635600	3183	1998-09-30	PRIJEM	\N	128	33085	UROK	\N	\N
3635601	3183	1998-10-31	PRIJEM	\N	96	22519	UROK	\N	\N
3635602	3183	1998-11-30	PRIJEM	\N	102	26459	UROK	\N	\N
3635603	3183	1998-12-31	PRIJEM	\N	117	29114	UROK	\N	\N
3635604	3184	1994-06-30	PRIJEM	\N	38	21098	UROK	\N	\N
3635605	3184	1994-07-31	PRIJEM	\N	89	26302	UROK	\N	\N
3635606	3184	1994-08-31	PRIJEM	\N	111	25683	UROK	\N	\N
3635607	3184	1994-09-30	PRIJEM	\N	111	27385	UROK	\N	\N
3635608	3184	1994-10-31	PRIJEM	\N	119	29194	UROK	\N	\N
3635609	3184	1994-11-30	PRIJEM	\N	126	31010	UROK	\N	\N
3635610	3184	1994-12-31	PRIJEM	\N	129	29780	UROK	\N	\N
3635611	3184	1995-01-31	PRIJEM	\N	112	22922	UROK	\N	\N
3635612	3184	1995-02-28	PRIJEM	\N	100	24712	UROK	\N	\N
3635613	3184	1995-03-31	PRIJEM	\N	107	24350	UROK	\N	\N
3635614	3184	1995-04-30	PRIJEM	\N	99	24460	UROK	\N	\N
3635615	3184	1995-05-31	PRIJEM	\N	97	22487	UROK	\N	\N
3635616	3184	1995-06-30	PRIJEM	\N	72	16049	UROK	\N	\N
3635617	3184	1995-07-31	PRIJEM	\N	71	17811	UROK	\N	\N
3635618	3184	1995-08-31	PRIJEM	\N	79	19580	UROK	\N	\N
3635619	3184	1995-09-30	PRIJEM	\N	74	16624	UROK	\N	\N
3635620	3184	1995-10-31	PRIJEM	\N	74	18388	UROK	\N	\N
3635621	3184	1995-11-30	PRIJEM	\N	81	20159	UROK	\N	\N
3635622	3184	1995-12-31	PRIJEM	\N	86	21585	UROK	\N	\N
3635623	3184	1996-01-31	PRIJEM	\N	66	13692	UROK	\N	\N
3635624	3184	1996-02-29	PRIJEM	\N	61	15444	UROK	\N	\N
3635625	3184	1996-03-31	PRIJEM	\N	69	17203	UROK	\N	\N
3635626	3184	1996-04-30	PRIJEM	\N	76	18969	UROK	\N	\N
3635627	3184	1996-05-31	PRIJEM	\N	83	20742	UROK	\N	\N
3635628	3184	1996-06-30	PRIJEM	\N	90	22523	UROK	\N	\N
3635629	3184	1996-07-31	PRIJEM	\N	98	24311	UROK	\N	\N
3635630	3184	1996-08-31	PRIJEM	\N	105	26107	UROK	\N	\N
3635631	3184	1996-09-30	PRIJEM	\N	113	27910	UROK	\N	\N
3635632	3184	1996-10-31	PRIJEM	\N	112	27553	UROK	\N	\N
3635633	3184	1996-11-30	PRIJEM	\N	119	29362	UROK	\N	\N
3635634	3184	1996-12-31	PRIJEM	\N	125	29827	UROK	\N	\N
3635635	3184	1997-01-31	PRIJEM	\N	88	16485	UROK	\N	\N
3635636	3184	1997-02-28	PRIJEM	\N	72	18248	UROK	\N	\N
3635637	3184	1997-03-31	PRIJEM	\N	80	20018	UROK	\N	\N
3635638	3184	1997-04-30	PRIJEM	\N	85	21313	UROK	\N	\N
3635639	3184	1997-05-31	PRIJEM	\N	92	23096	UROK	\N	\N
3635640	3184	1997-06-30	PRIJEM	\N	100	24886	UROK	\N	\N
3635641	3184	1997-07-31	PRIJEM	\N	107	26683	UROK	\N	\N
3635642	3184	1997-08-31	PRIJEM	\N	112	27446	UROK	\N	\N
3635643	3184	1997-09-30	PRIJEM	\N	118	29254	UROK	\N	\N
3635644	3184	1997-10-31	PRIJEM	\N	116	28580	UROK	\N	\N
3635645	3184	1997-11-30	PRIJEM	\N	122	30393	UROK	\N	\N
3635646	3184	1997-12-31	PRIJEM	\N	128	31361	UROK	\N	\N
3635647	3184	1998-01-31	PRIJEM	\N	97	19729	UROK	\N	\N
3635648	3184	1998-02-28	PRIJEM	\N	77	19576	UROK	\N	\N
3635649	3184	1998-03-31	PRIJEM	\N	81	18307	UROK	\N	\N
3635650	3184	1998-04-30	PRIJEM	\N	79	20077	UROK	\N	\N
3635651	3184	1998-05-31	PRIJEM	\N	87	21854	UROK	\N	\N
3635652	3184	1998-06-30	PRIJEM	\N	94	23638	UROK	\N	\N
3635653	3184	1998-07-31	PRIJEM	\N	101	25430	UROK	\N	\N
3635654	3184	1998-08-31	PRIJEM	\N	95	21055	UROK	\N	\N
3635655	3184	1998-09-30	PRIJEM	\N	90	22836	UROK	\N	\N
3635656	3184	1998-10-31	PRIJEM	\N	98	24624	UROK	\N	\N
3635657	3184	1998-11-30	PRIJEM	\N	105	26419	UROK	\N	\N
3635658	3184	1998-12-31	PRIJEM	\N	111	26271	UROK	\N	\N
3635659	3185	1997-08-31	PRIJEM	\N	11	21135	UROK	\N	\N
3635660	3185	1997-09-30	PRIJEM	\N	96	35555	UROK	\N	\N
3635661	3185	1997-10-31	PRIJEM	\N	151	40030	UROK	\N	\N
3635662	3185	1997-11-30	PRIJEM	\N	170	45024	UROK	\N	\N
3635663	3185	1997-12-31	PRIJEM	\N	225	47939	UROK	\N	\N
3635664	3185	1998-01-31	PRIJEM	\N	194	39878	UROK	\N	\N
3635665	3185	1998-02-28	PRIJEM	\N	181	42563	UROK	\N	\N
3635666	3185	1998-03-31	PRIJEM	\N	194	41321	UROK	\N	\N
3635667	3185	1998-04-30	PRIJEM	\N	194	46780	UROK	\N	\N
3635668	3185	1998-05-31	PRIJEM	\N	214	49598	UROK	\N	\N
3635669	3185	1998-06-30	PRIJEM	\N	240	46695	UROK	\N	\N
3635670	3185	1998-07-31	PRIJEM	\N	210	46370	UROK	\N	\N
3635671	3185	1998-08-31	PRIJEM	\N	206	48140	UROK	\N	\N
3635672	3185	1998-09-30	PRIJEM	\N	215	46679	UROK	\N	\N
3635673	3185	1998-10-31	PRIJEM	\N	200	45543	UROK	\N	\N
3635674	3185	1998-11-30	PRIJEM	\N	203	44410	UROK	\N	\N
3635675	3185	1998-12-31	PRIJEM	\N	214	51981	UROK	\N	\N
3635676	3186	1995-06-30	PRIJEM	\N	15	27365	UROK	\N	\N
3635677	3186	1995-07-31	PRIJEM	\N	119	35518	UROK	\N	\N
3635678	3186	1995-08-31	PRIJEM	\N	152	40802	UROK	\N	\N
3635679	3186	1995-09-30	PRIJEM	\N	173	44808	UROK	\N	\N
3635680	3186	1995-10-31	PRIJEM	\N	186	45027	UROK	\N	\N
3635681	3186	1995-11-30	PRIJEM	\N	195	41284	UROK	\N	\N
3635682	3186	1995-12-31	PRIJEM	\N	213	44777	UROK	\N	\N
3635683	3186	1996-01-31	PRIJEM	\N	156	31095	UROK	\N	\N
3635684	3186	1996-02-29	PRIJEM	\N	148	36405	UROK	\N	\N
3635685	3186	1996-03-31	PRIJEM	\N	169	38836	UROK	\N	\N
3635686	3186	1996-04-30	PRIJEM	\N	181	39480	UROK	\N	\N
3635687	3186	1996-05-31	PRIJEM	\N	175	33017	UROK	\N	\N
3635688	3186	1996-06-30	PRIJEM	\N	169	39565	UROK	\N	\N
3635689	3186	1996-07-31	PRIJEM	\N	185	42513	UROK	\N	\N
3635690	3186	1996-08-31	PRIJEM	\N	185	37260	UROK	\N	\N
3635691	3186	1996-09-30	PRIJEM	\N	171	39294	UROK	\N	\N
3635692	3186	1996-10-31	PRIJEM	\N	180	41636	UROK	\N	\N
3635693	3186	1996-11-30	PRIJEM	\N	175	37373	UROK	\N	\N
3635694	3186	1996-12-31	PRIJEM	\N	170	38823	UROK	\N	\N
3635695	3186	1997-01-31	PRIJEM	\N	143	30028	UROK	\N	\N
3635696	3186	1997-02-28	PRIJEM	\N	142	31732	UROK	\N	\N
3635697	3186	1997-03-31	PRIJEM	\N	154	38249	UROK	\N	\N
3635698	3186	1997-04-30	PRIJEM	\N	181	44892	UROK	\N	\N
3635699	3186	1997-05-31	PRIJEM	\N	188	42842	UROK	\N	\N
3635700	3186	1997-06-30	PRIJEM	\N	179	41700	UROK	\N	\N
3635701	3186	1997-07-31	PRIJEM	\N	181	42143	UROK	\N	\N
3635702	3186	1997-08-31	PRIJEM	\N	185	44490	UROK	\N	\N
3635703	3186	1997-09-30	PRIJEM	\N	192	46144	UROK	\N	\N
3635704	3186	1997-10-31	PRIJEM	\N	189	43996	UROK	\N	\N
3635705	3186	1997-11-30	PRIJEM	\N	186	45744	UROK	\N	\N
3635706	3186	1997-12-31	PRIJEM	\N	206	51829	UROK	\N	\N
3635707	3186	1998-01-31	PRIJEM	\N	174	24766	UROK	\N	\N
3635708	3186	1998-02-28	PRIJEM	\N	150	43978	UROK	\N	\N
3635709	3186	1998-03-31	PRIJEM	\N	177	41718	UROK	\N	\N
3635710	3186	1998-04-30	PRIJEM	\N	166	38847	UROK	\N	\N
3635711	3186	1998-05-31	PRIJEM	\N	153	36262	UROK	\N	\N
3635712	3186	1998-06-30	PRIJEM	\N	184	49126	UROK	\N	\N
3635713	3186	1998-07-31	PRIJEM	\N	198	47987	UROK	\N	\N
3635714	3186	1998-08-31	PRIJEM	\N	182	43931	UROK	\N	\N
3635715	3186	1998-09-30	PRIJEM	\N	175	42969	UROK	\N	\N
3635716	3186	1998-10-31	PRIJEM	\N	184	46715	UROK	\N	\N
3635717	3186	1998-11-30	PRIJEM	\N	184	43962	UROK	\N	\N
3635718	3186	1998-12-31	PRIJEM	\N	205	52446	UROK	\N	\N
3635719	3188	1997-03-31	PRIJEM	\N	26	19239	UROK	\N	\N
3635720	3188	1997-04-30	PRIJEM	\N	92	28144	UROK	\N	\N
3635721	3188	1997-05-31	PRIJEM	\N	126	34083	UROK	\N	\N
3635722	3188	1997-06-30	PRIJEM	\N	155	42607	UROK	\N	\N
3635723	3188	1997-07-31	PRIJEM	\N	181	36558	UROK	\N	\N
3635724	3188	1997-08-31	PRIJEM	\N	160	34293	UROK	\N	\N
3635725	3188	1997-09-30	PRIJEM	\N	149	31917	UROK	\N	\N
3635726	3188	1997-10-31	PRIJEM	\N	142	31435	UROK	\N	\N
3635727	3188	1997-11-30	PRIJEM	\N	133	27744	UROK	\N	\N
3635728	3188	1997-12-31	PRIJEM	\N	142	32018	UROK	\N	\N
3635729	3188	1998-01-31	PRIJEM	\N	113	20207	UROK	\N	\N
3635730	3188	1998-02-28	PRIJEM	\N	92	20074	UROK	\N	\N
3635731	3188	1998-03-31	PRIJEM	\N	91	19100	UROK	\N	\N
3635732	3188	1998-04-30	PRIJEM	\N	83	16759	UROK	\N	\N
3635733	3188	1998-05-31	PRIJEM	\N	74	14808	UROK	\N	\N
3635734	3188	1998-06-30	PRIJEM	\N	76	14515	UROK	\N	\N
3635735	3188	1998-07-31	PRIJEM	\N	80	13811	UROK	\N	\N
3635736	3188	1998-08-31	PRIJEM	\N	78	18284	UROK	\N	\N
3635737	3188	1998-09-30	PRIJEM	\N	101	26260	UROK	\N	\N
3635738	3188	1998-10-31	PRIJEM	\N	97	19432	UROK	\N	\N
3635739	3188	1998-11-30	PRIJEM	\N	80	17487	UROK	\N	\N
3635740	3188	1998-12-31	PRIJEM	\N	80	17399	UROK	\N	\N
3635741	3190	1997-01-31	PRIJEM	\N	8	19471	UROK	\N	\N
3635742	3190	1997-02-28	PRIJEM	\N	82	29816	UROK	\N	\N
3635743	3190	1997-03-31	PRIJEM	\N	104	29582	UROK	\N	\N
3635744	3190	1997-04-30	PRIJEM	\N	124	34069	UROK	\N	\N
3635745	3190	1997-05-31	PRIJEM	\N	143	36975	UROK	\N	\N
3635746	3190	1997-06-30	PRIJEM	\N	134	23123	UROK	\N	\N
3635747	3190	1997-07-31	PRIJEM	\N	116	25702	UROK	\N	\N
3635748	3190	1997-08-31	PRIJEM	\N	130	33895	UROK	\N	\N
3635749	3190	1997-09-30	PRIJEM	\N	157	37116	UROK	\N	\N
3635750	3190	1997-10-31	PRIJEM	\N	168	39687	UROK	\N	\N
3635751	3190	1997-11-30	PRIJEM	\N	180	38431	UROK	\N	\N
3635752	3190	1997-12-31	PRIJEM	\N	184	39709	UROK	\N	\N
3635753	3190	1998-01-31	PRIJEM	\N	154	33047	UROK	\N	\N
3635754	3190	1998-02-28	PRIJEM	\N	153	34163	UROK	\N	\N
3635755	3190	1998-03-31	PRIJEM	\N	160	36987	UROK	\N	\N
3635756	3190	1998-04-30	PRIJEM	\N	173	41023	UROK	\N	\N
3635757	3190	1998-05-31	PRIJEM	\N	183	42629	UROK	\N	\N
3635758	3190	1998-06-30	PRIJEM	\N	200	42023	UROK	\N	\N
3635759	3190	1998-07-31	PRIJEM	\N	188	41775	UROK	\N	\N
3635760	3190	1998-08-31	PRIJEM	\N	185	40722	UROK	\N	\N
3635761	3190	1998-09-30	PRIJEM	\N	177	38063	UROK	\N	\N
3635762	3190	1998-10-31	PRIJEM	\N	169	37975	UROK	\N	\N
3635763	3190	1998-11-30	PRIJEM	\N	171	37050	UROK	\N	\N
3635764	3190	1998-12-31	PRIJEM	\N	170	41994	UROK	\N	\N
3635765	3191	1996-10-31	PRIJEM	\N	34	16705	UROK	\N	\N
3635766	3191	1996-11-30	PRIJEM	\N	91	26966	UROK	\N	\N
3635767	3191	1996-12-31	PRIJEM	\N	124	32747	UROK	\N	\N
3635768	3191	1997-01-31	PRIJEM	\N	134	31852	UROK	\N	\N
3635769	3191	1997-02-28	PRIJEM	\N	120	22762	UROK	\N	\N
3635770	3191	1997-03-31	PRIJEM	\N	97	22136	UROK	\N	\N
3635771	3191	1997-04-30	PRIJEM	\N	100	23112	UROK	\N	\N
3635772	3191	1997-05-31	PRIJEM	\N	104	24892	UROK	\N	\N
3635773	3191	1997-06-30	PRIJEM	\N	110	24063	UROK	\N	\N
3635774	3191	1997-07-31	PRIJEM	\N	95	21234	UROK	\N	\N
3635775	3191	1997-08-31	PRIJEM	\N	91	20501	UROK	\N	\N
3635776	3191	1997-09-30	PRIJEM	\N	97	19675	UROK	\N	\N
3635777	3191	1997-10-31	PRIJEM	\N	93	22644	UROK	\N	\N
3635778	3191	1997-11-30	PRIJEM	\N	93	20214	UROK	\N	\N
3635779	3191	1997-12-31	PRIJEM	\N	96	23171	UROK	\N	\N
3635780	3191	1998-01-31	PRIJEM	\N	93	15340	UROK	\N	\N
3635781	3191	1998-02-28	PRIJEM	\N	83	21600	UROK	\N	\N
3635782	3191	1998-03-31	PRIJEM	\N	81	16557	UROK	\N	\N
3635783	3191	1998-04-30	PRIJEM	\N	70	16403	UROK	\N	\N
3635784	3191	1998-05-31	PRIJEM	\N	73	17553	UROK	\N	\N
3635785	3191	1998-06-30	PRIJEM	\N	97	24611	UROK	\N	\N
3635786	3191	1998-07-31	PRIJEM	\N	99	22386	UROK	\N	\N
3635787	3191	1998-08-31	PRIJEM	\N	90	20752	UROK	\N	\N
3635788	3191	1998-09-30	PRIJEM	\N	94	22223	UROK	\N	\N
3635789	3191	1998-10-31	PRIJEM	\N	90	21189	UROK	\N	\N
3635790	3191	1998-11-30	PRIJEM	\N	84	16550	UROK	\N	\N
3635791	3191	1998-12-31	PRIJEM	\N	80	18492	UROK	\N	\N
3635792	3192	1996-08-31	PRIJEM	\N	13	19225	UROK	\N	\N
3635793	3192	1996-09-30	PRIJEM	\N	87	29624	UROK	\N	\N
3635794	3192	1996-10-31	PRIJEM	\N	130	37766	UROK	\N	\N
3635795	3192	1996-11-30	PRIJEM	\N	157	37634	UROK	\N	\N
3635796	3192	1996-12-31	PRIJEM	\N	175	37150	UROK	\N	\N
3635797	3192	1997-01-31	PRIJEM	\N	142	23079	UROK	\N	\N
3635798	3192	1997-02-28	PRIJEM	\N	113	26900	UROK	\N	\N
3635799	3192	1997-03-31	PRIJEM	\N	135	31242	UROK	\N	\N
3635800	3192	1997-04-30	PRIJEM	\N	150	32799	UROK	\N	\N
3635801	3192	1997-05-31	PRIJEM	\N	157	35163	UROK	\N	\N
3635802	3192	1997-06-30	PRIJEM	\N	181	37158	UROK	\N	\N
3635803	3192	1997-07-31	PRIJEM	\N	167	37712	UROK	\N	\N
3635804	3192	1997-08-31	PRIJEM	\N	168	39248	UROK	\N	\N
3635805	3192	1997-09-30	PRIJEM	\N	184	42939	UROK	\N	\N
3635806	3192	1997-10-31	PRIJEM	\N	194	42840	UROK	\N	\N
3635807	3192	1997-11-30	PRIJEM	\N	193	42940	UROK	\N	\N
3635808	3192	1997-12-31	PRIJEM	\N	191	38065	UROK	\N	\N
3635809	3192	1998-01-31	PRIJEM	\N	129	26221	UROK	\N	\N
3635810	3192	1998-02-28	PRIJEM	\N	134	33502	UROK	\N	\N
3635811	3192	1998-03-31	PRIJEM	\N	168	42277	UROK	\N	\N
3635812	3192	1998-04-30	PRIJEM	\N	191	43375	UROK	\N	\N
3635813	3192	1998-05-31	PRIJEM	\N	185	38928	UROK	\N	\N
3635814	3192	1998-06-30	PRIJEM	\N	174	35595	UROK	\N	\N
3635815	3192	1998-07-31	PRIJEM	\N	163	37166	UROK	\N	\N
3635816	3192	1998-08-31	PRIJEM	\N	174	41347	UROK	\N	\N
3635817	3192	1998-09-30	PRIJEM	\N	174	41969	UROK	\N	\N
3635818	3192	1998-10-31	PRIJEM	\N	204	48960	UROK	\N	\N
3635819	3192	1998-11-30	PRIJEM	\N	225	54293	UROK	\N	\N
3635820	3192	1998-12-31	PRIJEM	\N	240	56466	UROK	\N	\N
3635821	3193	1996-03-31	PRIJEM	\N	12	22582	UROK	\N	\N
3635822	3193	1996-04-30	PRIJEM	\N	97	28650	UROK	\N	\N
3635823	3193	1996-05-31	PRIJEM	\N	122	32641	UROK	\N	\N
3635824	3193	1996-06-30	PRIJEM	\N	144	44190	UROK	\N	\N
3635825	3193	1996-07-31	PRIJEM	\N	200	40319	UROK	\N	\N
3635826	3193	1996-08-31	PRIJEM	\N	184	38117	UROK	\N	\N
3635827	3193	1996-09-30	PRIJEM	\N	176	37807	UROK	\N	\N
3635828	3193	1996-10-31	PRIJEM	\N	173	36495	UROK	\N	\N
3635829	3193	1996-11-30	PRIJEM	\N	169	37278	UROK	\N	\N
3635830	3193	1996-12-31	PRIJEM	\N	193	40020	UROK	\N	\N
3635831	3193	1997-01-31	PRIJEM	\N	156	32890	UROK	\N	\N
3635832	3193	1997-02-28	PRIJEM	\N	143	31648	UROK	\N	\N
3635833	3193	1997-03-31	PRIJEM	\N	149	31811	UROK	\N	\N
3635834	3193	1997-04-30	PRIJEM	\N	145	30071	UROK	\N	\N
3635835	3193	1997-05-31	PRIJEM	\N	141	31426	UROK	\N	\N
3635836	3193	1997-06-30	PRIJEM	\N	160	17336	UROK	\N	\N
3635837	3193	1997-07-31	PRIJEM	\N	93	22343	UROK	\N	\N
3635838	3193	1997-08-31	PRIJEM	\N	94	18151	UROK	\N	\N
3635839	3193	1997-09-30	PRIJEM	\N	94	22459	UROK	\N	\N
3635840	3193	1997-10-31	PRIJEM	\N	107	24281	UROK	\N	\N
3635841	3193	1997-11-30	PRIJEM	\N	114	26209	UROK	\N	\N
3635842	3193	1997-12-31	PRIJEM	\N	130	26789	UROK	\N	\N
3635843	3193	1998-01-31	PRIJEM	\N	86	14290	UROK	\N	\N
3635844	3193	1998-02-28	PRIJEM	\N	74	17978	UROK	\N	\N
3635845	3193	1998-03-31	PRIJEM	\N	79	16471	UROK	\N	\N
3635846	3193	1998-04-30	PRIJEM	\N	87	22073	UROK	\N	\N
3635847	3193	1998-05-31	PRIJEM	\N	100	22388	UROK	\N	\N
3635848	3193	1998-06-30	PRIJEM	\N	90	14027	UROK	\N	\N
3635849	3193	1998-07-31	PRIJEM	\N	64	13706	UROK	\N	\N
3635850	3193	1998-08-31	PRIJEM	\N	59	12580	UROK	\N	\N
3635851	3193	1998-09-30	PRIJEM	\N	68	17562	UROK	\N	\N
3635852	3193	1998-10-31	PRIJEM	\N	67	13443	UROK	\N	\N
3635853	3193	1998-11-30	PRIJEM	\N	67	16824	UROK	\N	\N
3635854	3193	1998-12-31	PRIJEM	\N	81	15655	UROK	\N	\N
3635855	3194	1997-05-31	PRIJEM	\N	30	17322	UROK	\N	\N
3635856	3194	1997-06-30	PRIJEM	\N	91	27751	UROK	\N	\N
3635857	3194	1997-07-31	PRIJEM	\N	114	27057	UROK	\N	\N
3635858	3194	1997-08-31	PRIJEM	\N	115	28564	UROK	\N	\N
3635859	3194	1997-09-30	PRIJEM	\N	114	25286	UROK	\N	\N
3635860	3194	1997-10-31	PRIJEM	\N	95	18235	UROK	\N	\N
3635861	3194	1997-11-30	PRIJEM	\N	71	15500	UROK	\N	\N
3635862	3194	1997-12-31	PRIJEM	\N	88	24227	UROK	\N	\N
3635863	3194	1998-01-31	PRIJEM	\N	74	12494	UROK	\N	\N
3635864	3194	1998-02-28	PRIJEM	\N	54	13442	UROK	\N	\N
3635865	3194	1998-03-31	PRIJEM	\N	71	19406	UROK	\N	\N
3635866	3194	1998-04-30	PRIJEM	\N	71	14311	UROK	\N	\N
3635867	3194	1998-05-31	PRIJEM	\N	62	15167	UROK	\N	\N
3635868	3194	1998-06-30	PRIJEM	\N	88	18195	UROK	\N	\N
3635869	3194	1998-07-31	PRIJEM	\N	75	18063	UROK	\N	\N
3635870	3194	1998-08-31	PRIJEM	\N	69	15526	UROK	\N	\N
3635871	3194	1998-09-30	PRIJEM	\N	74	15433	UROK	\N	\N
3635872	3194	1998-10-31	PRIJEM	\N	73	17999	UROK	\N	\N
3635873	3194	1998-11-30	PRIJEM	\N	94	24086	UROK	\N	\N
3635874	3194	1998-12-31	PRIJEM	\N	106	24932	UROK	\N	\N
3635875	3195	1993-09-30	PRIJEM	\N	14	5220	UROK	\N	\N
3635876	3195	1993-10-31	PRIJEM	\N	66	21892	UROK	\N	\N
3635877	3195	1993-11-30	PRIJEM	\N	105	27103	UROK	\N	\N
3635878	3195	1993-12-31	PRIJEM	\N	124	31535	UROK	\N	\N
3635879	3195	1994-01-31	PRIJEM	\N	120	27790	UROK	\N	\N
3635880	3195	1994-02-28	PRIJEM	\N	120	29432	UROK	\N	\N
3635881	3195	1994-03-31	PRIJEM	\N	110	27464	UROK	\N	\N
3635882	3195	1994-04-30	PRIJEM	\N	119	29104	UROK	\N	\N
3635883	3195	1994-05-31	PRIJEM	\N	113	24638	UROK	\N	\N
3635884	3195	1994-06-30	PRIJEM	\N	113	28375	UROK	\N	\N
3635885	3195	1994-07-31	PRIJEM	\N	122	28619	UROK	\N	\N
3635886	3195	1994-08-31	PRIJEM	\N	123	29563	UROK	\N	\N
3635887	3195	1994-09-30	PRIJEM	\N	127	30011	UROK	\N	\N
3635888	3195	1994-10-31	PRIJEM	\N	128	29861	UROK	\N	\N
3635889	3195	1994-11-30	PRIJEM	\N	123	28406	UROK	\N	\N
3635890	3195	1994-12-31	PRIJEM	\N	123	29653	UROK	\N	\N
3635891	3195	1995-01-31	PRIJEM	\N	125	29100	UROK	\N	\N
3635892	3195	1995-02-28	PRIJEM	\N	110	26131	UROK	\N	\N
3635893	3195	1995-03-31	PRIJEM	\N	105	25658	UROK	\N	\N
3635894	3195	1995-04-30	PRIJEM	\N	109	23588	UROK	\N	\N
3635895	3195	1995-05-31	PRIJEM	\N	106	29115	UROK	\N	\N
3635896	3195	1995-06-30	PRIJEM	\N	127	28667	UROK	\N	\N
3635897	3195	1995-07-31	PRIJEM	\N	123	29411	UROK	\N	\N
3635898	3195	1995-08-31	PRIJEM	\N	123	26055	UROK	\N	\N
3635899	3195	1995-09-30	PRIJEM	\N	115	29792	UROK	\N	\N
3635900	3195	1995-10-31	PRIJEM	\N	124	26037	UROK	\N	\N
3635901	3195	1995-11-30	PRIJEM	\N	112	27671	UROK	\N	\N
3635902	3195	1995-12-31	PRIJEM	\N	110	24205	UROK	\N	\N
3635903	3195	1996-01-31	PRIJEM	\N	104	23830	UROK	\N	\N
3635904	3195	1996-02-29	PRIJEM	\N	104	25556	UROK	\N	\N
3635905	3195	1996-03-31	PRIJEM	\N	109	26686	UROK	\N	\N
3635906	3195	1996-04-30	PRIJEM	\N	119	30927	UROK	\N	\N
3635907	3195	1996-05-31	PRIJEM	\N	126	28874	UROK	\N	\N
3635908	3195	1996-06-30	PRIJEM	\N	123	30222	UROK	\N	\N
3635909	3195	1996-07-31	PRIJEM	\N	128	31071	UROK	\N	\N
3635910	3195	1996-08-31	PRIJEM	\N	137	34629	UROK	\N	\N
3635911	3195	1996-09-30	PRIJEM	\N	140	32590	UROK	\N	\N
3635912	3195	1996-10-31	PRIJEM	\N	138	33549	UROK	\N	\N
3635913	3195	1996-11-30	PRIJEM	\N	125	30396	UROK	\N	\N
3635914	3195	1996-12-31	PRIJEM	\N	128	31948	UROK	\N	\N
3635915	3195	1997-01-31	PRIJEM	\N	136	30305	UROK	\N	\N
3635916	3195	1997-02-28	PRIJEM	\N	132	33258	UROK	\N	\N
3635917	3195	1997-03-31	PRIJEM	\N	134	31814	UROK	\N	\N
3635918	3195	1997-04-30	PRIJEM	\N	119	28454	UROK	\N	\N
3635919	3195	1997-05-31	PRIJEM	\N	121	29097	UROK	\N	\N
3635920	3195	1997-06-30	PRIJEM	\N	120	29241	UROK	\N	\N
3635921	3195	1997-07-31	PRIJEM	\N	112	25674	UROK	\N	\N
3635922	3195	1997-08-31	PRIJEM	\N	119	30714	UROK	\N	\N
3635923	3195	1997-09-30	PRIJEM	\N	127	30163	UROK	\N	\N
3635924	3195	1997-10-31	PRIJEM	\N	149	39333	UROK	\N	\N
3635925	3195	1997-11-30	PRIJEM	\N	157	37911	UROK	\N	\N
3635926	3195	1997-12-31	PRIJEM	\N	162	40397	UROK	\N	\N
3635927	3195	1998-01-31	PRIJEM	\N	170	41389	UROK	\N	\N
3635928	3195	1998-02-28	PRIJEM	\N	185	46795	UROK	\N	\N
3635929	3195	1998-03-31	PRIJEM	\N	200	49816	UROK	\N	\N
3635930	3195	1998-04-30	PRIJEM	\N	213	49251	UROK	\N	\N
3635931	3195	1998-05-31	PRIJEM	\N	219	55191	UROK	\N	\N
3635932	3195	1998-06-30	PRIJEM	\N	225	49741	UROK	\N	\N
3635933	3195	1998-07-31	PRIJEM	\N	215	53677	UROK	\N	\N
3635934	3195	1998-08-31	PRIJEM	\N	232	57930	UROK	\N	\N
3635935	3195	1998-09-30	PRIJEM	\N	249	61900	UROK	\N	\N
3635936	3195	1998-10-31	PRIJEM	\N	242	57563	UROK	\N	\N
3635937	3195	1998-11-30	PRIJEM	\N	232	56816	UROK	\N	\N
3635938	3195	1998-12-31	PRIJEM	\N	228	55469	UROK	\N	\N
3635939	3196	1994-04-30	PRIJEM	\N	58	22170	UROK	\N	\N
3635940	3196	1994-05-31	PRIJEM	\N	94	22778	UROK	\N	\N
3635941	3196	1994-06-30	PRIJEM	\N	84	17412	UROK	\N	\N
3635942	3196	1994-07-31	PRIJEM	\N	80	20492	UROK	\N	\N
3635943	3196	1994-08-31	PRIJEM	\N	92	20323	UROK	\N	\N
3635944	3196	1994-09-30	PRIJEM	\N	92	23415	UROK	\N	\N
3635945	3196	1994-10-31	PRIJEM	\N	105	26519	UROK	\N	\N
3635946	3196	1994-11-30	PRIJEM	\N	118	29637	UROK	\N	\N
3635947	3196	1994-12-31	PRIJEM	\N	119	25986	UROK	\N	\N
3635948	3196	1995-01-31	PRIJEM	\N	110	22915	UROK	\N	\N
3635949	3196	1995-02-28	PRIJEM	\N	103	26017	UROK	\N	\N
3635950	3196	1995-03-31	PRIJEM	\N	116	29132	UROK	\N	\N
3635951	3196	1995-04-30	PRIJEM	\N	132	32163	UROK	\N	\N
3635952	3196	1995-05-31	PRIJEM	\N	134	32017	UROK	\N	\N
3635953	3196	1995-06-30	PRIJEM	\N	133	26868	UROK	\N	\N
3635954	3196	1995-07-31	PRIJEM	\N	118	29106	UROK	\N	\N
3635955	3196	1995-08-31	PRIJEM	\N	129	32234	UROK	\N	\N
3635956	3196	1995-09-30	PRIJEM	\N	142	35375	UROK	\N	\N
3635957	3196	1995-10-31	PRIJEM	\N	155	38529	UROK	\N	\N
3635958	3196	1995-11-30	PRIJEM	\N	168	41697	UROK	\N	\N
3635959	3196	1995-12-31	PRIJEM	\N	171	40567	UROK	\N	\N
3635960	3196	1996-01-31	PRIJEM	\N	163	28940	UROK	\N	\N
3635961	3196	1996-02-29	PRIJEM	\N	123	29662	UROK	\N	\N
3635962	3196	1996-03-31	PRIJEM	\N	131	32792	UROK	\N	\N
3635963	3196	1996-04-30	PRIJEM	\N	144	35935	UROK	\N	\N
3635964	3196	1996-05-31	PRIJEM	\N	157	39092	UROK	\N	\N
3635965	3196	1996-06-30	PRIJEM	\N	164	31705	UROK	\N	\N
3635966	3196	1996-07-31	PRIJEM	\N	139	34843	UROK	\N	\N
3635967	3196	1996-08-31	PRIJEM	\N	151	34554	UROK	\N	\N
3635968	3196	1996-09-30	PRIJEM	\N	151	37704	UROK	\N	\N
3635969	3196	1996-10-31	PRIJEM	\N	162	38385	UROK	\N	\N
3635970	3196	1996-11-30	PRIJEM	\N	167	41551	UROK	\N	\N
3635971	3196	1996-12-31	PRIJEM	\N	180	43830	UROK	\N	\N
3635972	3196	1997-01-31	PRIJEM	\N	170	35709	UROK	\N	\N
3635973	3196	1997-02-28	PRIJEM	\N	155	38864	UROK	\N	\N
3635974	3196	1997-03-31	PRIJEM	\N	168	42031	UROK	\N	\N
3635975	3196	1997-04-30	PRIJEM	\N	181	45212	UROK	\N	\N
3635976	3196	1997-05-31	PRIJEM	\N	195	47687	UROK	\N	\N
3635977	3196	1997-06-30	PRIJEM	\N	203	45099	UROK	\N	\N
3635978	3196	1997-07-31	PRIJEM	\N	181	40679	UROK	\N	\N
3635979	3196	1997-08-31	PRIJEM	\N	176	43854	UROK	\N	\N
3635980	3196	1997-09-30	PRIJEM	\N	189	47042	UROK	\N	\N
3635981	3196	1997-10-31	PRIJEM	\N	199	47941	UROK	\N	\N
3635982	3196	1997-11-30	PRIJEM	\N	202	48902	UROK	\N	\N
3635983	3196	1997-12-31	PRIJEM	\N	205	49346	UROK	\N	\N
3635984	3196	1998-01-31	PRIJEM	\N	184	41920	UROK	\N	\N
3635985	3196	1998-02-28	PRIJEM	\N	172	40291	UROK	\N	\N
3635986	3196	1998-03-31	PRIJEM	\N	173	43464	UROK	\N	\N
3635987	3196	1998-04-30	PRIJEM	\N	181	43144	UROK	\N	\N
3635988	3196	1998-05-31	PRIJEM	\N	180	43124	UROK	\N	\N
3635989	3196	1998-06-30	PRIJEM	\N	156	28849	UROK	\N	\N
3635990	3196	1998-07-31	PRIJEM	\N	125	31974	UROK	\N	\N
3635991	3196	1998-08-31	PRIJEM	\N	138	35111	UROK	\N	\N
3635992	3196	1998-09-30	PRIJEM	\N	151	38261	UROK	\N	\N
3635993	3196	1998-10-31	PRIJEM	\N	160	39261	UROK	\N	\N
3635994	3196	1998-11-30	PRIJEM	\N	168	42428	UROK	\N	\N
3635995	3196	1998-12-31	PRIJEM	\N	180	45108	UROK	\N	\N
3635996	3197	1994-05-31	PRIJEM	\N	36	13393	UROK	\N	\N
3635997	3197	1994-06-30	PRIJEM	\N	58	14442	UROK	\N	\N
3635998	3197	1994-07-31	PRIJEM	\N	63	15495	UROK	\N	\N
3635999	3197	1994-08-31	PRIJEM	\N	67	16553	UROK	\N	\N
3636000	3197	1994-09-30	PRIJEM	\N	72	17615	UROK	\N	\N
3636001	3197	1994-10-31	PRIJEM	\N	77	18322	UROK	\N	\N
3636002	3197	1994-11-30	PRIJEM	\N	78	18890	UROK	\N	\N
3636003	3197	1994-12-31	PRIJEM	\N	78	18369	UROK	\N	\N
3636004	3197	1995-01-31	PRIJEM	\N	78	17308	UROK	\N	\N
3636005	3197	1995-02-28	PRIJEM	\N	75	18373	UROK	\N	\N
3636006	3197	1995-03-31	PRIJEM	\N	79	19342	UROK	\N	\N
3636007	3197	1995-04-30	PRIJEM	\N	82	19755	UROK	\N	\N
3636008	3197	1995-05-31	PRIJEM	\N	85	20830	UROK	\N	\N
3636009	3197	1995-06-30	PRIJEM	\N	83	18334	UROK	\N	\N
3636010	3197	1995-07-31	PRIJEM	\N	79	19403	UROK	\N	\N
3636011	3197	1995-08-31	PRIJEM	\N	83	20477	UROK	\N	\N
3636012	3197	1995-09-30	PRIJEM	\N	88	21555	UROK	\N	\N
3636013	3197	1995-10-31	PRIJEM	\N	94	22429	UROK	\N	\N
3636014	3197	1995-11-30	PRIJEM	\N	93	22273	UROK	\N	\N
3636015	3197	1995-12-31	PRIJEM	\N	95	22879	UROK	\N	\N
3636016	3197	1996-01-31	PRIJEM	\N	93	21052	UROK	\N	\N
3636017	3197	1996-02-29	PRIJEM	\N	86	20178	UROK	\N	\N
3636018	3197	1996-03-31	PRIJEM	\N	86	21255	UROK	\N	\N
3636019	3197	1996-04-30	PRIJEM	\N	91	22336	UROK	\N	\N
3636020	3197	1996-05-31	PRIJEM	\N	95	23422	UROK	\N	\N
3636021	3197	1996-06-30	PRIJEM	\N	78	17350	UROK	\N	\N
3636022	3197	1996-07-31	PRIJEM	\N	75	18415	UROK	\N	\N
3636023	3197	1996-08-31	PRIJEM	\N	77	18072	UROK	\N	\N
3636024	3197	1996-09-30	PRIJEM	\N	77	18509	UROK	\N	\N
3636025	3197	1996-10-31	PRIJEM	\N	79	19369	UROK	\N	\N
3636026	3197	1996-11-30	PRIJEM	\N	83	20442	UROK	\N	\N
3636027	3197	1996-12-31	PRIJEM	\N	85	20137	UROK	\N	\N
3636028	3197	1997-01-31	PRIJEM	\N	78	16675	UROK	\N	\N
3636029	3197	1997-02-28	PRIJEM	\N	71	17496	UROK	\N	\N
3636030	3197	1997-03-31	PRIJEM	\N	76	18082	UROK	\N	\N
3636031	3197	1997-04-30	PRIJEM	\N	75	17738	UROK	\N	\N
3636032	3197	1997-05-31	PRIJEM	\N	76	18804	UROK	\N	\N
3636033	3197	1997-06-30	PRIJEM	\N	80	19875	UROK	\N	\N
3636034	3197	1997-07-31	PRIJEM	\N	85	20950	UROK	\N	\N
3636035	3197	1997-08-31	PRIJEM	\N	89	22029	UROK	\N	\N
3636036	3197	1997-09-30	PRIJEM	\N	93	22663	UROK	\N	\N
3636037	3197	1997-10-31	PRIJEM	\N	96	23749	UROK	\N	\N
3636038	3197	1997-11-30	PRIJEM	\N	101	24840	UROK	\N	\N
3636039	3197	1997-12-31	PRIJEM	\N	103	25123	UROK	\N	\N
3636040	3197	1998-01-31	PRIJEM	\N	104	24417	UROK	\N	\N
3636041	3197	1998-02-28	PRIJEM	\N	103	25511	UROK	\N	\N
3636042	3197	1998-03-31	PRIJEM	\N	108	26609	UROK	\N	\N
3636043	3197	1998-04-30	PRIJEM	\N	112	27711	UROK	\N	\N
3636044	3197	1998-05-31	PRIJEM	\N	117	28158	UROK	\N	\N
3636045	3197	1998-06-30	PRIJEM	\N	108	21847	UROK	\N	\N
3636046	3197	1998-07-31	PRIJEM	\N	92	22929	UROK	\N	\N
3636047	3197	1998-08-31	PRIJEM	\N	97	24016	UROK	\N	\N
3636048	3197	1998-09-30	PRIJEM	\N	101	25107	UROK	\N	\N
3636049	3197	1998-10-31	PRIJEM	\N	106	26203	UROK	\N	\N
3636050	3197	1998-11-30	PRIJEM	\N	110	27304	UROK	\N	\N
3636051	3197	1998-12-31	PRIJEM	\N	114	27928	UROK	\N	\N
3636052	3199	1996-06-30	PRIJEM	\N	97	30467	UROK	\N	\N
3636053	3199	1996-07-31	PRIJEM	\N	184	48264	UROK	\N	\N
3636054	3199	1996-08-31	PRIJEM	\N	215	52691	UROK	\N	\N
3636055	3199	1996-09-30	PRIJEM	\N	233	57237	UROK	\N	\N
3636056	3199	1996-10-31	PRIJEM	\N	226	53342	UROK	\N	\N
3636057	3199	1996-11-30	PRIJEM	\N	216	51921	UROK	\N	\N
3636058	3199	1996-12-31	PRIJEM	\N	242	54624	UROK	\N	\N
3636059	3199	1997-01-31	PRIJEM	\N	224	53311	UROK	\N	\N
3636060	3199	1997-02-28	PRIJEM	\N	166	34944	UROK	\N	\N
3636061	3199	1997-03-31	PRIJEM	\N	190	48398	UROK	\N	\N
3636062	3199	1997-04-30	PRIJEM	\N	162	40872	UROK	\N	\N
3636063	3199	1997-05-31	PRIJEM	\N	203	50839	UROK	\N	\N
3636064	3199	1997-06-30	PRIJEM	\N	228	44721	UROK	\N	\N
3636065	3199	1997-07-31	PRIJEM	\N	190	38892	UROK	\N	\N
3636066	3199	1997-08-31	PRIJEM	\N	147	24802	UROK	\N	\N
3636067	3199	1997-09-30	PRIJEM	\N	147	31312	UROK	\N	\N
3636068	3199	1997-10-31	PRIJEM	\N	150	24072	UROK	\N	\N
3636069	3199	1997-11-30	PRIJEM	\N	133	27450	UROK	\N	\N
3636070	3199	1997-12-31	PRIJEM	\N	185	39956	UROK	\N	\N
3636071	3199	1998-01-31	PRIJEM	\N	179	39598	UROK	\N	\N
3636072	3199	1998-02-28	PRIJEM	\N	191	37263	UROK	\N	\N
3636073	3199	1998-03-31	PRIJEM	\N	197	45124	UROK	\N	\N
3636074	3199	1998-04-30	PRIJEM	\N	226	49613	UROK	\N	\N
3636075	3199	1998-05-31	PRIJEM	\N	211	46088	UROK	\N	\N
3636076	3199	1998-06-30	PRIJEM	\N	256	57064	UROK	\N	\N
3636077	3199	1998-07-31	PRIJEM	\N	272	58900	UROK	\N	\N
3636078	3199	1998-08-31	PRIJEM	\N	257	54221	UROK	\N	\N
3636079	3199	1998-09-30	PRIJEM	\N	256	53840	UROK	\N	\N
3636080	3199	1998-10-31	PRIJEM	\N	236	49412	UROK	\N	\N
3636081	3199	1998-11-30	PRIJEM	\N	240	55616	UROK	\N	\N
3636082	3199	1998-12-31	PRIJEM	\N	275	53812	UROK	\N	\N
3636083	3201	1994-05-31	PRIJEM	\N	36	17712	UROK	\N	\N
3636084	3201	1994-06-30	PRIJEM	\N	91	26067	UROK	\N	\N
3636085	3201	1994-07-31	PRIJEM	\N	116	29659	UROK	\N	\N
3636086	3201	1994-08-31	PRIJEM	\N	123	29658	UROK	\N	\N
3636087	3201	1994-09-30	PRIJEM	\N	121	26405	UROK	\N	\N
3636088	3201	1994-10-31	PRIJEM	\N	107	21563	UROK	\N	\N
3636089	3201	1994-11-30	PRIJEM	\N	99	22674	UROK	\N	\N
3636090	3201	1994-12-31	PRIJEM	\N	114	26387	UROK	\N	\N
3636091	3201	1995-01-31	PRIJEM	\N	82	12740	UROK	\N	\N
3636092	3201	1995-02-28	PRIJEM	\N	71	17722	UROK	\N	\N
3636093	3201	1995-03-31	PRIJEM	\N	84	19918	UROK	\N	\N
3636094	3201	1995-04-30	PRIJEM	\N	97	23526	UROK	\N	\N
3636095	3201	1995-05-31	PRIJEM	\N	107	25245	UROK	\N	\N
3636096	3201	1995-06-30	PRIJEM	\N	123	21947	UROK	\N	\N
3636097	3201	1995-07-31	PRIJEM	\N	103	24661	UROK	\N	\N
3636098	3201	1995-08-31	PRIJEM	\N	108	25281	UROK	\N	\N
3636099	3201	1995-09-30	PRIJEM	\N	120	28512	UROK	\N	\N
3636100	3201	1995-10-31	PRIJEM	\N	113	20356	UROK	\N	\N
3636101	3201	1995-11-30	PRIJEM	\N	104	24571	UROK	\N	\N
3636102	3201	1995-12-31	PRIJEM	\N	113	22803	UROK	\N	\N
3636103	3201	1996-01-31	PRIJEM	\N	88	17582	UROK	\N	\N
3636104	3201	1996-02-29	PRIJEM	\N	97	23791	UROK	\N	\N
3636105	3201	1996-03-31	PRIJEM	\N	118	28920	UROK	\N	\N
3636106	3201	1996-04-30	PRIJEM	\N	118	27750	UROK	\N	\N
3636107	3201	1996-05-31	PRIJEM	\N	107	24128	UROK	\N	\N
3636108	3201	1996-06-30	PRIJEM	\N	117	27845	UROK	\N	\N
3636109	3201	1996-07-31	PRIJEM	\N	113	25868	UROK	\N	\N
3636110	3201	1996-08-31	PRIJEM	\N	130	31910	UROK	\N	\N
3636111	3201	1996-09-30	PRIJEM	\N	110	22432	UROK	\N	\N
3636112	3201	1996-10-31	PRIJEM	\N	109	26152	UROK	\N	\N
3636113	3201	1996-11-30	PRIJEM	\N	115	27679	UROK	\N	\N
3636114	3201	1996-12-31	PRIJEM	\N	142	31480	UROK	\N	\N
3636115	3201	1997-01-31	PRIJEM	\N	119	22030	UROK	\N	\N
3636116	3201	1997-02-28	PRIJEM	\N	120	28661	UROK	\N	\N
3636117	3201	1997-03-31	PRIJEM	\N	144	33436	UROK	\N	\N
3636118	3201	1997-04-30	PRIJEM	\N	163	39810	UROK	\N	\N
3636119	3201	1997-05-31	PRIJEM	\N	183	44504	UROK	\N	\N
3636120	3201	1997-06-30	PRIJEM	\N	191	34335	UROK	\N	\N
3636121	3201	1997-07-31	PRIJEM	\N	151	32137	UROK	\N	\N
3636122	3201	1997-08-31	PRIJEM	\N	145	34093	UROK	\N	\N
3636123	3201	1997-09-30	PRIJEM	\N	154	34459	UROK	\N	\N
3636124	3201	1997-10-31	PRIJEM	\N	156	38426	UROK	\N	\N
3636125	3201	1997-11-30	PRIJEM	\N	163	32780	UROK	\N	\N
3636126	3201	1997-12-31	PRIJEM	\N	161	34140	UROK	\N	\N
3636127	3201	1998-01-31	PRIJEM	\N	134	24146	UROK	\N	\N
3636128	3201	1998-02-28	PRIJEM	\N	112	27469	UROK	\N	\N
3636129	3201	1998-03-31	PRIJEM	\N	122	28043	UROK	\N	\N
3636130	3201	1998-04-30	PRIJEM	\N	119	31193	UROK	\N	\N
3636131	3201	1998-05-31	PRIJEM	\N	145	37549	UROK	\N	\N
3636132	3201	1998-06-30	PRIJEM	\N	168	31217	UROK	\N	\N
3636133	3201	1998-07-31	PRIJEM	\N	144	37372	UROK	\N	\N
3636134	3201	1998-08-31	PRIJEM	\N	154	41717	UROK	\N	\N
3636135	3201	1998-09-30	PRIJEM	\N	187	45735	UROK	\N	\N
3636136	3201	1998-10-31	PRIJEM	\N	207	53653	UROK	\N	\N
3636137	3201	1998-11-30	PRIJEM	\N	231	54696	UROK	\N	\N
3636138	3201	1998-12-31	PRIJEM	\N	255	62751	UROK	\N	\N
3636139	3202	1997-06-30	PRIJEM	\N	21	5958	UROK	\N	\N
3636140	3202	1997-07-31	PRIJEM	\N	25	10820	UROK	\N	\N
3636141	3202	1997-08-31	PRIJEM	\N	25	15682	UROK	\N	\N
3636142	3202	1997-09-30	PRIJEM	\N	25	20544	UROK	\N	\N
3636143	3202	1997-10-31	PRIJEM	\N	82	21341	UROK	\N	\N
3636144	3202	1997-11-30	PRIJEM	\N	90	21232	UROK	\N	\N
3636145	3202	1997-12-31	PRIJEM	\N	94	20027	UROK	\N	\N
3636146	3202	1998-01-31	PRIJEM	\N	75	15204	UROK	\N	\N
3636147	3202	1998-02-28	PRIJEM	\N	69	15654	UROK	\N	\N
3636148	3202	1998-03-31	PRIJEM	\N	73	18029	UROK	\N	\N
3636149	3202	1998-04-30	PRIJEM	\N	83	20413	UROK	\N	\N
3636150	3202	1998-05-31	PRIJEM	\N	93	22807	UROK	\N	\N
3636151	3202	1998-06-30	PRIJEM	\N	99	21647	UROK	\N	\N
3636152	3202	1998-07-31	PRIJEM	\N	97	21745	UROK	\N	\N
3636153	3202	1998-08-31	PRIJEM	\N	97	22144	UROK	\N	\N
3636154	3202	1998-09-30	PRIJEM	\N	98	22044	UROK	\N	\N
3636155	3202	1998-10-31	PRIJEM	\N	94	19879	UROK	\N	\N
3636156	3202	1998-11-30	PRIJEM	\N	85	18726	UROK	\N	\N
3636157	3202	1998-12-31	PRIJEM	\N	82	19909	UROK	\N	\N
3636158	3203	1995-08-31	PRIJEM	\N	10	4177	UROK	\N	\N
3636159	3203	1995-09-30	PRIJEM	\N	17	7361	UROK	\N	\N
3636160	3203	1995-10-31	PRIJEM	\N	17	10546	UROK	\N	\N
3636161	3203	1995-11-30	PRIJEM	\N	17	13730	UROK	\N	\N
3636162	3203	1995-12-31	PRIJEM	\N	21	16258	UROK	\N	\N
3636163	3203	1996-01-31	PRIJEM	\N	60	12349	UROK	\N	\N
3636164	3203	1996-02-29	PRIJEM	\N	54	13444	UROK	\N	\N
3636165	3203	1996-03-31	PRIJEM	\N	59	14544	UROK	\N	\N
3636166	3203	1996-04-30	PRIJEM	\N	63	15648	UROK	\N	\N
3636167	3203	1996-05-31	PRIJEM	\N	68	16757	UROK	\N	\N
3636168	3203	1996-06-30	PRIJEM	\N	66	15104	UROK	\N	\N
3636169	3203	1996-07-31	PRIJEM	\N	65	16211	UROK	\N	\N
3636170	3203	1996-08-31	PRIJEM	\N	70	17322	UROK	\N	\N
3636171	3203	1996-09-30	PRIJEM	\N	75	18438	UROK	\N	\N
3636172	3203	1996-10-31	PRIJEM	\N	78	16858	UROK	\N	\N
3636173	3203	1996-11-30	PRIJEM	\N	73	17972	UROK	\N	\N
3636174	3203	1996-12-31	PRIJEM	\N	76	18220	UROK	\N	\N
3636175	3203	1997-01-31	PRIJEM	\N	61	12992	UROK	\N	\N
3636176	3203	1997-02-28	PRIJEM	\N	56	14090	UROK	\N	\N
3636177	3203	1997-03-31	PRIJEM	\N	61	15192	UROK	\N	\N
3636178	3203	1997-04-30	PRIJEM	\N	66	16299	UROK	\N	\N
3636179	3203	1997-05-31	PRIJEM	\N	70	17411	UROK	\N	\N
3636180	3203	1997-06-30	PRIJEM	\N	68	16330	UROK	\N	\N
3636181	3203	1997-07-31	PRIJEM	\N	70	17442	UROK	\N	\N
3636182	3203	1997-08-31	PRIJEM	\N	75	18558	UROK	\N	\N
3636183	3203	1997-09-30	PRIJEM	\N	80	19679	UROK	\N	\N
3636184	3203	1997-10-31	PRIJEM	\N	84	20805	UROK	\N	\N
3636185	3203	1997-11-30	PRIJEM	\N	89	21935	UROK	\N	\N
3636186	3203	1997-12-31	PRIJEM	\N	91	20358	UROK	\N	\N
3636187	3203	1998-01-31	PRIJEM	\N	79	15838	UROK	\N	\N
3636188	3203	1998-02-28	PRIJEM	\N	64	15454	UROK	\N	\N
3636189	3203	1998-03-31	PRIJEM	\N	63	13258	UROK	\N	\N
3636190	3203	1998-04-30	PRIJEM	\N	57	14357	UROK	\N	\N
3636191	3203	1998-05-31	PRIJEM	\N	61	14759	UROK	\N	\N
3636192	3203	1998-06-30	PRIJEM	\N	59	12460	UROK	\N	\N
3636193	3203	1998-07-31	PRIJEM	\N	54	13555	UROK	\N	\N
3636194	3203	1998-08-31	PRIJEM	\N	54	11951	UROK	\N	\N
3636195	3203	1998-09-30	PRIJEM	\N	51	12343	UROK	\N	\N
3636196	3203	1998-10-31	PRIJEM	\N	53	13437	UROK	\N	\N
3636197	3203	1998-11-30	PRIJEM	\N	53	11932	UROK	\N	\N
3636198	3203	1998-12-31	PRIJEM	\N	52	13025	UROK	\N	\N
3636199	3205	1996-05-31	PRIJEM	\N	3	22533	UROK	\N	\N
3636200	3205	1996-06-30	PRIJEM	\N	85	19245	UROK	\N	\N
3636201	3205	1996-07-31	PRIJEM	\N	85	20918	UROK	\N	\N
3636202	3205	1996-08-31	PRIJEM	\N	78	17763	UROK	\N	\N
3636203	3205	1996-09-30	PRIJEM	\N	81	20131	UROK	\N	\N
3636204	3205	1996-10-31	PRIJEM	\N	91	23010	UROK	\N	\N
3636205	3205	1996-11-30	PRIJEM	\N	97	23594	UROK	\N	\N
3636206	3205	1996-12-31	PRIJEM	\N	95	22237	UROK	\N	\N
3636207	3205	1997-01-31	PRIJEM	\N	85	20219	UROK	\N	\N
3636208	3205	1997-02-28	PRIJEM	\N	86	21273	UROK	\N	\N
3636209	3205	1997-03-31	PRIJEM	\N	88	21349	UROK	\N	\N
3636210	3205	1997-04-30	PRIJEM	\N	75	16611	UROK	\N	\N
3636211	3205	1997-05-31	PRIJEM	\N	63	14661	UROK	\N	\N
3636212	3205	1997-06-30	PRIJEM	\N	68	17517	UROK	\N	\N
3636213	3205	1997-07-31	PRIJEM	\N	60	13684	UROK	\N	\N
3636214	3205	1997-08-31	PRIJEM	\N	64	16536	UROK	\N	\N
3636215	3205	1997-09-30	PRIJEM	\N	76	19399	UROK	\N	\N
3636216	3205	1997-10-31	PRIJEM	\N	88	22275	UROK	\N	\N
3636217	3205	1997-11-30	PRIJEM	\N	100	25162	UROK	\N	\N
3636218	3205	1997-12-31	PRIJEM	\N	103	24992	UROK	\N	\N
3636219	3205	1998-01-31	PRIJEM	\N	105	25634	UROK	\N	\N
3636220	3205	1998-02-28	PRIJEM	\N	106	25647	UROK	\N	\N
3636221	3205	1998-03-31	PRIJEM	\N	114	28549	UROK	\N	\N
3636222	3205	1998-04-30	PRIJEM	\N	115	27611	UROK	\N	\N
3636223	3205	1998-05-31	PRIJEM	\N	122	30520	UROK	\N	\N
3636224	3205	1998-06-30	PRIJEM	\N	91	20579	UROK	\N	\N
3636225	3205	1998-07-31	PRIJEM	\N	91	22257	UROK	\N	\N
3636226	3205	1998-08-31	PRIJEM	\N	100	25144	UROK	\N	\N
3636227	3205	1998-09-30	PRIJEM	\N	112	28043	UROK	\N	\N
3636228	3205	1998-10-31	PRIJEM	\N	124	30954	UROK	\N	\N
3636229	3205	1998-11-30	PRIJEM	\N	131	30353	UROK	\N	\N
3636230	3205	1998-12-31	PRIJEM	\N	131	32122	UROK	\N	\N
3636231	3206	1996-07-31	PRIJEM	\N	29	21608	UROK	\N	\N
3636232	3206	1996-08-31	PRIJEM	\N	110	35197	UROK	\N	\N
3636233	3206	1996-09-30	PRIJEM	\N	160	44036	UROK	\N	\N
3636234	3206	1996-10-31	PRIJEM	\N	187	46902	UROK	\N	\N
3636235	3206	1996-11-30	PRIJEM	\N	213	48583	UROK	\N	\N
3636236	3206	1996-12-31	PRIJEM	\N	239	50654	UROK	\N	\N
3636237	3206	1997-01-31	PRIJEM	\N	206	39933	UROK	\N	\N
3636238	3206	1997-02-28	PRIJEM	\N	180	39487	UROK	\N	\N
3636239	3206	1997-03-31	PRIJEM	\N	167	35648	UROK	\N	\N
3636240	3206	1997-04-30	PRIJEM	\N	161	35462	UROK	\N	\N
3636241	3206	1997-05-31	PRIJEM	\N	156	33372	UROK	\N	\N
3636242	3206	1997-06-30	PRIJEM	\N	145	31269	UROK	\N	\N
3636243	3206	1997-07-31	PRIJEM	\N	137	28219	UROK	\N	\N
3636244	3206	1997-08-31	PRIJEM	\N	149	38602	UROK	\N	\N
3636245	3206	1997-09-30	PRIJEM	\N	172	39807	UROK	\N	\N
3636246	3206	1997-10-31	PRIJEM	\N	187	46347	UROK	\N	\N
3636247	3206	1997-11-30	PRIJEM	\N	205	49805	UROK	\N	\N
3636248	3206	1997-12-31	PRIJEM	\N	225	51523	UROK	\N	\N
3636249	3206	1998-01-31	PRIJEM	\N	218	49914	UROK	\N	\N
3636250	3206	1998-02-28	PRIJEM	\N	206	47934	UROK	\N	\N
3636251	3206	1998-03-31	PRIJEM	\N	191	39718	UROK	\N	\N
3636252	3206	1998-04-30	PRIJEM	\N	180	44851	UROK	\N	\N
3636253	3206	1998-05-31	PRIJEM	\N	191	45995	UROK	\N	\N
3636254	3206	1998-06-30	PRIJEM	\N	196	33364	UROK	\N	\N
3636255	3206	1998-07-31	PRIJEM	\N	155	39312	UROK	\N	\N
3636256	3206	1998-08-31	PRIJEM	\N	181	44387	UROK	\N	\N
3636257	3206	1998-09-30	PRIJEM	\N	192	46932	UROK	\N	\N
3636258	3206	1998-10-31	PRIJEM	\N	213	52339	UROK	\N	\N
3636259	3206	1998-11-30	PRIJEM	\N	225	52417	UROK	\N	\N
3636260	3206	1998-12-31	PRIJEM	\N	234	56943	UROK	\N	\N
3636325	3209	1998-01-31	PRIJEM	\N	72	23490	UROK	\N	\N
3636326	3209	1998-02-28	PRIJEM	\N	116	29424	UROK	\N	\N
3636327	3209	1998-03-31	PRIJEM	\N	126	30869	UROK	\N	\N
3636328	3209	1998-04-30	PRIJEM	\N	127	30614	UROK	\N	\N
3636329	3209	1998-05-31	PRIJEM	\N	127	29700	UROK	\N	\N
3636330	3209	1998-06-30	PRIJEM	\N	128	27451	UROK	\N	\N
3636331	3209	1998-07-31	PRIJEM	\N	91	16406	UROK	\N	\N
3636332	3209	1998-08-31	PRIJEM	\N	88	21339	UROK	\N	\N
3636333	3209	1998-09-30	PRIJEM	\N	111	26394	UROK	\N	\N
3636334	3209	1998-10-31	PRIJEM	\N	95	18613	UROK	\N	\N
3636335	3209	1998-11-30	PRIJEM	\N	92	18349	UROK	\N	\N
3636336	3209	1998-12-31	PRIJEM	\N	98	15511	UROK	\N	\N
3636337	3210	1993-06-30	PRIJEM	\N	60	29018	UROK	\N	\N
3636338	3210	1993-07-31	PRIJEM	\N	145	40202	UROK	\N	\N
3636339	3210	1993-08-31	PRIJEM	\N	174	43515	UROK	\N	\N
3636340	3210	1993-09-30	PRIJEM	\N	182	44136	UROK	\N	\N
3636341	3210	1993-10-31	PRIJEM	\N	189	46564	UROK	\N	\N
3636342	3210	1993-11-30	PRIJEM	\N	211	54912	UROK	\N	\N
3636343	3210	1993-12-31	PRIJEM	\N	265	69612	UROK	\N	\N
3636344	3210	1994-01-31	PRIJEM	\N	270	60418	UROK	\N	\N
3636345	3210	1994-02-28	PRIJEM	\N	254	65509	UROK	\N	\N
3636346	3210	1994-03-31	PRIJEM	\N	256	63281	UROK	\N	\N
3636347	3210	1994-04-30	PRIJEM	\N	260	64877	UROK	\N	\N
3636348	3210	1994-05-31	PRIJEM	\N	269	67283	UROK	\N	\N
3636349	3210	1994-06-30	PRIJEM	\N	293	75671	UROK	\N	\N
3636350	3210	1994-07-31	PRIJEM	\N	289	70096	UROK	\N	\N
3636351	3210	1994-08-31	PRIJEM	\N	265	61778	UROK	\N	\N
3636352	3210	1994-09-30	PRIJEM	\N	242	62657	UROK	\N	\N
3636353	3210	1994-10-31	PRIJEM	\N	257	67050	UROK	\N	\N
3636354	3210	1994-11-30	PRIJEM	\N	250	64737	UROK	\N	\N
3636355	3210	1994-12-31	PRIJEM	\N	273	73045	UROK	\N	\N
3636356	3210	1995-01-31	PRIJEM	\N	256	65718	UROK	\N	\N
3636357	3210	1995-02-28	PRIJEM	\N	235	60789	UROK	\N	\N
3636358	3210	1995-03-31	PRIJEM	\N	243	64269	UROK	\N	\N
3636359	3210	1995-04-30	PRIJEM	\N	232	58537	UROK	\N	\N
3636360	3210	1995-05-31	PRIJEM	\N	213	56507	UROK	\N	\N
3636361	3210	1995-06-30	PRIJEM	\N	158	42660	UROK	\N	\N
3636362	3210	1995-07-31	PRIJEM	\N	171	48847	UROK	\N	\N
3636363	3210	1995-08-31	PRIJEM	\N	200	54283	UROK	\N	\N
3636364	3210	1995-09-30	PRIJEM	\N	199	55519	UROK	\N	\N
3636365	3210	1995-10-31	PRIJEM	\N	201	52956	UROK	\N	\N
3636366	3210	1995-11-30	PRIJEM	\N	202	54094	UROK	\N	\N
3636367	3210	1995-12-31	PRIJEM	\N	201	51811	UROK	\N	\N
3636368	3210	1996-01-31	PRIJEM	\N	194	51741	UROK	\N	\N
3636369	3210	1996-02-29	PRIJEM	\N	182	48559	UROK	\N	\N
3636370	3210	1996-03-31	PRIJEM	\N	180	47376	UROK	\N	\N
3636371	3210	1996-04-30	PRIJEM	\N	170	45882	UROK	\N	\N
3636372	3210	1996-05-31	PRIJEM	\N	156	42374	UROK	\N	\N
3636373	3210	1996-06-30	PRIJEM	\N	136	36586	UROK	\N	\N
3636374	3210	1996-07-31	PRIJEM	\N	137	27860	UROK	\N	\N
3636375	3210	1996-08-31	PRIJEM	\N	147	26343	UROK	\N	\N
3636376	3210	1996-09-30	PRIJEM	\N	139	24018	UROK	\N	\N
3636377	3210	1996-10-31	PRIJEM	\N	112	24146	UROK	\N	\N
3636378	3210	1996-11-30	PRIJEM	\N	128	23611	UROK	\N	\N
3636379	3210	1996-12-31	PRIJEM	\N	148	29514	UROK	\N	\N
3636380	3210	1997-01-31	PRIJEM	\N	125	19136	UROK	\N	\N
3636381	3210	1997-02-28	PRIJEM	\N	103	17075	UROK	\N	\N
3636382	3210	1997-03-31	PRIJEM	\N	109	34220	UROK	\N	\N
3636383	3210	1997-04-30	PRIJEM	\N	151	26907	UROK	\N	\N
3636384	3210	1997-05-31	PRIJEM	\N	131	21475	UROK	\N	\N
3636385	3210	1997-06-30	PRIJEM	\N	134	26864	UROK	\N	\N
3636386	3210	1997-07-31	PRIJEM	\N	144	18145	UROK	\N	\N
3636387	3210	1997-08-31	PRIJEM	\N	112	35294	UROK	\N	\N
3636388	3210	1997-09-30	PRIJEM	\N	173	18783	UROK	\N	\N
3636389	3210	1997-10-31	PRIJEM	\N	115	35934	UROK	\N	\N
3636390	3210	1997-11-30	PRIJEM	\N	143	19914	UROK	\N	\N
3636391	3210	1997-12-31	PRIJEM	\N	108	19177	UROK	\N	\N
3636392	3210	1998-01-31	PRIJEM	\N	114	33327	UROK	\N	\N
3636393	3210	1998-02-28	PRIJEM	\N	128	18492	UROK	\N	\N
3636394	3210	1998-03-31	PRIJEM	\N	111	32139	UROK	\N	\N
3636395	3210	1998-04-30	PRIJEM	\N	125	18501	UROK	\N	\N
3636396	3210	1998-05-31	PRIJEM	\N	112	35650	UROK	\N	\N
3636397	3210	1998-06-30	PRIJEM	\N	154	27659	UROK	\N	\N
3636398	3210	1998-07-31	PRIJEM	\N	109	19205	UROK	\N	\N
3636399	3210	1998-08-31	PRIJEM	\N	115	36356	UROK	\N	\N
3636400	3210	1998-09-30	PRIJEM	\N	140	28532	UROK	\N	\N
3636401	3210	1998-10-31	PRIJEM	\N	118	27186	UROK	\N	\N
3636402	3210	1998-11-30	PRIJEM	\N	113	27336	UROK	\N	\N
3636403	3210	1998-12-31	PRIJEM	\N	135	35026	UROK	\N	\N
3636404	3211	1997-06-30	PRIJEM	\N	8	3226	UROK	\N	\N
3636405	3211	1997-07-31	PRIJEM	\N	13	6257	UROK	\N	\N
3636406	3211	1997-08-31	PRIJEM	\N	13	9289	UROK	\N	\N
3636407	3211	1997-09-30	PRIJEM	\N	13	12320	UROK	\N	\N
3636408	3211	1997-10-31	PRIJEM	\N	15	15353	UROK	\N	\N
3636409	3211	1997-11-30	PRIJEM	\N	66	16411	UROK	\N	\N
3636410	3211	1997-12-31	PRIJEM	\N	70	17263	UROK	\N	\N
3636411	3211	1998-01-31	PRIJEM	\N	65	14269	UROK	\N	\N
3636412	3211	1998-02-28	PRIJEM	\N	62	15322	UROK	\N	\N
3636413	3211	1998-03-31	PRIJEM	\N	66	16380	UROK	\N	\N
3636414	3211	1998-04-30	PRIJEM	\N	71	17442	UROK	\N	\N
3636415	3211	1998-05-31	PRIJEM	\N	75	18299	UROK	\N	\N
3636416	3211	1998-06-30	PRIJEM	\N	78	18648	UROK	\N	\N
3636417	3211	1998-07-31	PRIJEM	\N	80	19719	UROK	\N	\N
3636418	3211	1998-08-31	PRIJEM	\N	85	20795	UROK	\N	\N
3636419	3211	1998-09-30	PRIJEM	\N	89	21096	UROK	\N	\N
3636420	3211	1998-10-31	PRIJEM	\N	85	21172	UROK	\N	\N
3636421	3211	1998-11-30	PRIJEM	\N	86	20930	UROK	\N	\N
3636422	3211	1998-12-31	PRIJEM	\N	89	21290	UROK	\N	\N
3636423	3212	1993-08-31	PRIJEM	\N	16	14700	UROK	\N	\N
3636424	3212	1993-09-30	PRIJEM	\N	68	20551	UROK	\N	\N
3636425	3212	1993-10-31	PRIJEM	\N	88	23124	UROK	\N	\N
3636426	3212	1993-11-30	PRIJEM	\N	102	27810	UROK	\N	\N
3636427	3212	1993-12-31	PRIJEM	\N	121	30005	UROK	\N	\N
3636428	3212	1994-01-31	PRIJEM	\N	112	24825	UROK	\N	\N
3636429	3212	1994-02-28	PRIJEM	\N	102	23474	UROK	\N	\N
3636430	3212	1994-03-31	PRIJEM	\N	98	22769	UROK	\N	\N
3636431	3212	1994-04-30	PRIJEM	\N	98	24615	UROK	\N	\N
3636432	3212	1994-05-31	PRIJEM	\N	108	27670	UROK	\N	\N
3636433	3212	1994-06-30	PRIJEM	\N	104	25521	UROK	\N	\N
3636434	3212	1994-07-31	PRIJEM	\N	105	24474	UROK	\N	\N
3636435	3212	1994-08-31	PRIJEM	\N	104	25325	UROK	\N	\N
3636436	3212	1994-09-30	PRIJEM	\N	107	25569	UROK	\N	\N
3636437	3212	1994-10-31	PRIJEM	\N	107	25923	UROK	\N	\N
3636438	3212	1994-11-30	PRIJEM	\N	113	28223	UROK	\N	\N
3636439	3212	1994-12-31	PRIJEM	\N	116	27756	UROK	\N	\N
3636440	3212	1995-01-31	PRIJEM	\N	110	25513	UROK	\N	\N
3636441	3212	1995-02-28	PRIJEM	\N	111	28272	UROK	\N	\N
3636442	3212	1995-03-31	PRIJEM	\N	113	26032	UROK	\N	\N
3636443	3212	1995-04-30	PRIJEM	\N	106	25126	UROK	\N	\N
3636444	3212	1995-05-31	PRIJEM	\N	107	26680	UROK	\N	\N
3636445	3212	1995-06-30	PRIJEM	\N	117	29045	UROK	\N	\N
3636446	3212	1995-07-31	PRIJEM	\N	121	29614	UROK	\N	\N
3636447	3212	1995-08-31	PRIJEM	\N	125	31586	UROK	\N	\N
3636448	3212	1995-09-30	PRIJEM	\N	132	32466	UROK	\N	\N
3636449	3212	1995-10-31	PRIJEM	\N	138	34152	UROK	\N	\N
3636450	3212	1995-11-30	PRIJEM	\N	143	34842	UROK	\N	\N
3636451	3212	1995-12-31	PRIJEM	\N	145	35425	UROK	\N	\N
3636452	3212	1996-01-31	PRIJEM	\N	135	30617	UROK	\N	\N
3636453	3212	1996-02-29	PRIJEM	\N	140	35705	UROK	\N	\N
3636454	3212	1996-03-31	PRIJEM	\N	142	33994	UROK	\N	\N
3636455	3212	1996-04-30	PRIJEM	\N	144	35585	UROK	\N	\N
3636456	3212	1996-05-31	PRIJEM	\N	152	37685	UROK	\N	\N
3636457	3212	1996-06-30	PRIJEM	\N	150	30322	UROK	\N	\N
3636458	3212	1996-07-31	PRIJEM	\N	143	36472	UROK	\N	\N
3636459	3212	1996-08-31	PRIJEM	\N	161	38130	UROK	\N	\N
3636460	3212	1996-09-30	PRIJEM	\N	154	37192	UROK	\N	\N
3636461	3212	1996-10-31	PRIJEM	\N	170	42509	UROK	\N	\N
3636462	3212	1996-11-30	PRIJEM	\N	184	45540	UROK	\N	\N
3636463	3212	1996-12-31	PRIJEM	\N	196	48373	UROK	\N	\N
3636464	3212	1997-01-31	PRIJEM	\N	190	45340	UROK	\N	\N
3636465	3212	1997-02-28	PRIJEM	\N	191	47179	UROK	\N	\N
3636466	3212	1997-03-31	PRIJEM	\N	192	47018	UROK	\N	\N
3636467	3212	1997-04-30	PRIJEM	\N	202	49968	UROK	\N	\N
3636468	3212	1997-05-31	PRIJEM	\N	220	54505	UROK	\N	\N
3636469	3212	1997-06-30	PRIJEM	\N	223	51315	UROK	\N	\N
3636470	3212	1997-07-31	PRIJEM	\N	228	56690	UROK	\N	\N
3636471	3212	1997-08-31	PRIJEM	\N	248	60986	UROK	\N	\N
3636472	3212	1997-09-30	PRIJEM	\N	249	60882	UROK	\N	\N
3636473	3212	1997-10-31	PRIJEM	\N	260	64189	UROK	\N	\N
3636474	3212	1997-11-30	PRIJEM	\N	260	63296	UROK	\N	\N
3636475	3212	1997-12-31	PRIJEM	\N	267	65711	UROK	\N	\N
3636476	3212	1998-01-31	PRIJEM	\N	263	62521	UROK	\N	\N
3636477	3212	1998-02-28	PRIJEM	\N	260	63928	UROK	\N	\N
3636478	3212	1998-03-31	PRIJEM	\N	257	62332	UROK	\N	\N
3636479	3212	1998-04-30	PRIJEM	\N	263	66042	UROK	\N	\N
3636480	3212	1998-05-31	PRIJEM	\N	272	62761	UROK	\N	\N
3636481	3212	1998-06-30	PRIJEM	\N	258	57967	UROK	\N	\N
3636482	3212	1998-07-31	PRIJEM	\N	237	58451	UROK	\N	\N
3636483	3212	1998-08-31	PRIJEM	\N	241	57840	UROK	\N	\N
3636484	3212	1998-09-30	PRIJEM	\N	239	59126	UROK	\N	\N
3636485	3212	1998-10-31	PRIJEM	\N	244	59718	UROK	\N	\N
3636486	3212	1998-11-30	PRIJEM	\N	246	61512	UROK	\N	\N
3636487	3212	1998-12-31	PRIJEM	\N	253	62612	UROK	\N	\N
3636488	3213	1993-09-30	PRIJEM	\N	46	13741	UROK	\N	\N
3636489	3213	1993-10-31	PRIJEM	\N	61	14810	UROK	\N	\N
3636490	3213	1993-11-30	PRIJEM	\N	65	15884	UROK	\N	\N
3636491	3213	1993-12-31	PRIJEM	\N	68	16210	UROK	\N	\N
3636492	3213	1994-01-31	PRIJEM	\N	65	12604	UROK	\N	\N
3636493	3213	1994-02-28	PRIJEM	\N	56	13668	UROK	\N	\N
3636494	3213	1994-03-31	PRIJEM	\N	59	13986	UROK	\N	\N
3636495	3213	1994-04-30	PRIJEM	\N	60	14364	UROK	\N	\N
3636496	3213	1994-05-31	PRIJEM	\N	63	15046	UROK	\N	\N
3636497	3213	1994-06-30	PRIJEM	\N	63	13177	UROK	\N	\N
3636498	3213	1994-07-31	PRIJEM	\N	55	13160	UROK	\N	\N
3636499	3213	1994-08-31	PRIJEM	\N	58	14227	UROK	\N	\N
3636500	3213	1994-09-30	PRIJEM	\N	61	14516	UROK	\N	\N
3636501	3213	1994-10-31	PRIJEM	\N	64	15589	UROK	\N	\N
3636502	3213	1994-11-30	PRIJEM	\N	68	15254	UROK	\N	\N
3636503	3213	1994-12-31	PRIJEM	\N	67	16000	UROK	\N	\N
3636504	3213	1995-01-31	PRIJEM	\N	59	13407	UROK	\N	\N
3636505	3213	1995-02-28	PRIJEM	\N	59	14474	UROK	\N	\N
3636506	3213	1995-03-31	PRIJEM	\N	64	15547	UROK	\N	\N
3636507	3213	1995-04-30	PRIJEM	\N	68	16623	UROK	\N	\N
3636508	3213	1995-05-31	PRIJEM	\N	73	17704	UROK	\N	\N
3636509	3213	1995-06-30	PRIJEM	\N	77	18489	UROK	\N	\N
3636510	3213	1995-07-31	PRIJEM	\N	80	19578	UROK	\N	\N
3636511	3213	1995-08-31	PRIJEM	\N	85	19271	UROK	\N	\N
3636512	3213	1995-09-30	PRIJEM	\N	82	18201	UROK	\N	\N
3636513	3213	1995-10-31	PRIJEM	\N	79	18898	UROK	\N	\N
3636514	3213	1995-11-30	PRIJEM	\N	81	17188	UROK	\N	\N
3636515	3213	1995-12-31	PRIJEM	\N	74	17810	UROK	\N	\N
3636516	3213	1996-01-31	PRIJEM	\N	70	14839	UROK	\N	\N
3636517	3213	1996-02-29	PRIJEM	\N	64	14611	UROK	\N	\N
3636518	3213	1996-03-31	PRIJEM	\N	64	15684	UROK	\N	\N
3636519	3213	1996-04-30	PRIJEM	\N	67	15260	UROK	\N	\N
3636520	3213	1996-05-31	PRIJEM	\N	67	16335	UROK	\N	\N
3636521	3213	1996-06-30	PRIJEM	\N	70	15913	UROK	\N	\N
3636522	3213	1996-07-31	PRIJEM	\N	67	16269	UROK	\N	\N
3636523	3213	1996-08-31	PRIJEM	\N	68	16225	UROK	\N	\N
3636524	3213	1996-09-30	PRIJEM	\N	67	16190	UROK	\N	\N
3636525	3213	1996-10-31	PRIJEM	\N	70	17059	UROK	\N	\N
3636526	3213	1996-11-30	PRIJEM	\N	72	16839	UROK	\N	\N
3636527	3213	1996-12-31	PRIJEM	\N	72	17710	UROK	\N	\N
3636528	3213	1997-01-31	PRIJEM	\N	67	15785	UROK	\N	\N
3636529	3213	1997-02-28	PRIJEM	\N	68	16592	UROK	\N	\N
3636530	3213	1997-03-31	PRIJEM	\N	72	17672	UROK	\N	\N
3636531	3213	1997-04-30	PRIJEM	\N	74	16684	UROK	\N	\N
3636532	3213	1997-05-31	PRIJEM	\N	72	17134	UROK	\N	\N
3636533	3213	1997-06-30	PRIJEM	\N	69	14941	UROK	\N	\N
3636534	3213	1997-07-31	PRIJEM	\N	65	16014	UROK	\N	\N
3636535	3213	1997-08-31	PRIJEM	\N	69	17092	UROK	\N	\N
3636536	3213	1997-09-30	PRIJEM	\N	72	17172	UROK	\N	\N
3636537	3213	1997-10-31	PRIJEM	\N	72	17252	UROK	\N	\N
3636538	3213	1997-11-30	PRIJEM	\N	74	18235	UROK	\N	\N
3636539	3213	1997-12-31	PRIJEM	\N	72	16285	UROK	\N	\N
3636540	3213	1998-01-31	PRIJEM	\N	64	14867	UROK	\N	\N
3636541	3213	1998-02-28	PRIJEM	\N	63	15489	UROK	\N	\N
3636542	3213	1998-03-31	PRIJEM	\N	64	15721	UROK	\N	\N
3636543	3213	1998-04-30	PRIJEM	\N	68	16797	UROK	\N	\N
3636544	3213	1998-05-31	PRIJEM	\N	72	17877	UROK	\N	\N
3636545	3213	1998-06-30	PRIJEM	\N	68	15744	UROK	\N	\N
3636546	3213	1998-07-31	PRIJEM	\N	67	16820	UROK	\N	\N
3636547	3213	1998-08-31	PRIJEM	\N	72	17900	UROK	\N	\N
3636548	3213	1998-09-30	PRIJEM	\N	76	18145	UROK	\N	\N
3636549	3213	1998-10-31	PRIJEM	\N	77	18720	UROK	\N	\N
3636550	3213	1998-11-30	PRIJEM	\N	76	18404	UROK	\N	\N
3636551	3213	1998-12-31	PRIJEM	\N	73	17925	UROK	\N	\N
3636552	3214	1997-05-31	PRIJEM	\N	13	4232	UROK	\N	\N
3636553	3214	1997-06-30	PRIJEM	\N	18	8268	UROK	\N	\N
3636554	3214	1997-07-31	PRIJEM	\N	18	12305	UROK	\N	\N
3636555	3214	1997-08-31	PRIJEM	\N	18	16341	UROK	\N	\N
3636556	3214	1997-09-30	PRIJEM	\N	41	15921	UROK	\N	\N
3636557	3214	1997-10-31	PRIJEM	\N	70	17317	UROK	\N	\N
3636558	3214	1997-11-30	PRIJEM	\N	76	18718	UROK	\N	\N
3636559	3214	1997-12-31	PRIJEM	\N	81	19774	UROK	\N	\N
3636560	3214	1998-01-31	PRIJEM	\N	70	16470	UROK	\N	\N
3636561	3214	1998-02-28	PRIJEM	\N	72	17867	UROK	\N	\N
3636562	3214	1998-03-31	PRIJEM	\N	78	19271	UROK	\N	\N
3636563	3214	1998-04-30	PRIJEM	\N	83	19639	UROK	\N	\N
3636564	3214	1998-05-31	PRIJEM	\N	86	21050	UROK	\N	\N
3636565	3214	1998-06-30	PRIJEM	\N	77	15603	UROK	\N	\N
3636566	3214	1998-07-31	PRIJEM	\N	69	16997	UROK	\N	\N
3636567	3214	1998-08-31	PRIJEM	\N	75	18397	UROK	\N	\N
3636568	3214	1998-09-30	PRIJEM	\N	80	18762	UROK	\N	\N
3636569	3214	1998-10-31	PRIJEM	\N	79	19286	UROK	\N	\N
3636570	3214	1998-11-30	PRIJEM	\N	81	19253	UROK	\N	\N
3636571	3214	1998-12-31	PRIJEM	\N	83	19761	UROK	\N	\N
3636631	3216	1995-09-30	PRIJEM	\N	14	34058	UROK	\N	\N
3636632	3216	1995-10-31	PRIJEM	\N	173	73301	UROK	\N	\N
3636633	3216	1995-11-30	PRIJEM	\N	305	49405	UROK	\N	\N
3636634	3216	1995-12-31	PRIJEM	\N	305	37810	UROK	\N	\N
3636635	3216	1996-01-31	PRIJEM	\N	305	74858	UROK	\N	\N
3636636	3216	1996-02-29	PRIJEM	\N	311	49468	UROK	\N	\N
3636637	3216	1996-03-31	PRIJEM	\N	196	62360	UROK	\N	\N
3636638	3216	1996-04-30	PRIJEM	\N	265	89781	UROK	\N	\N
3636639	3216	1996-05-31	PRIJEM	\N	327	109422	UROK	\N	\N
3636640	3216	1996-06-30	PRIJEM	\N	356	98042	UROK	\N	\N
3636641	3216	1996-07-31	PRIJEM	\N	253	47434	UROK	\N	\N
3636642	3216	1996-08-31	PRIJEM	\N	261	89633	UROK	\N	\N
3636643	3216	1996-09-30	PRIJEM	\N	256	60366	UROK	\N	\N
3636644	3216	1996-10-31	PRIJEM	\N	218	43355	UROK	\N	\N
3636645	3216	1996-11-30	PRIJEM	\N	200	47824	UROK	\N	\N
3636646	3216	1996-12-31	PRIJEM	\N	249	79088	UROK	\N	\N
3636647	3216	1997-01-31	PRIJEM	\N	319	60921	UROK	\N	\N
3636648	3216	1997-02-28	PRIJEM	\N	263	44958	UROK	\N	\N
3636649	3216	1997-03-31	PRIJEM	\N	291	99327	UROK	\N	\N
3636650	3216	1997-04-30	PRIJEM	\N	217	61575	UROK	\N	\N
3636651	3216	1997-05-31	PRIJEM	\N	291	103972	UROK	\N	\N
3636652	3216	1997-06-30	PRIJEM	\N	252	45370	UROK	\N	\N
3636653	3216	1997-07-31	PRIJEM	\N	114	22023	UROK	\N	\N
3636654	3216	1997-08-31	PRIJEM	\N	154	29266	UROK	\N	\N
3636655	3216	1997-09-30	PRIJEM	\N	272	43014	UROK	\N	\N
3636656	3216	1997-10-31	PRIJEM	\N	355	50575	UROK	\N	\N
3636657	3216	1997-11-30	PRIJEM	\N	239	61765	UROK	\N	\N
3636658	3216	1997-12-31	PRIJEM	\N	203	29467	UROK	\N	\N
3636659	3216	1998-01-31	PRIJEM	\N	75	14481	UROK	\N	\N
3636660	3216	1998-02-28	PRIJEM	\N	68	27797	UROK	\N	\N
3636661	3216	1998-03-31	PRIJEM	\N	90	16027	UROK	\N	\N
3636662	3216	1998-04-30	PRIJEM	\N	92	19085	UROK	\N	\N
3636663	3216	1998-05-31	PRIJEM	\N	81	16928	UROK	\N	\N
3636664	3216	1998-06-30	PRIJEM	\N	63	14568	UROK	\N	\N
3636665	3216	1998-07-31	PRIJEM	\N	36	5243	UROK	\N	\N
3636666	3216	1998-08-31	PRIJEM	\N	115	22400	UROK	\N	\N
3636667	3216	1998-09-30	PRIJEM	\N	72	22406	UROK	\N	\N
3636668	3216	1998-10-31	PRIJEM	\N	123	43785	UROK	\N	\N
3636669	3216	1998-11-30	PRIJEM	\N	142	21067	UROK	\N	\N
3636670	3216	1998-12-31	PRIJEM	\N	124	28668	UROK	\N	\N
3636671	3217	1997-05-31	PRIJEM	\N	60	28648	UROK	\N	\N
3636672	3217	1997-06-30	PRIJEM	\N	230	69115	UROK	\N	\N
3636673	3217	1997-07-31	PRIJEM	\N	210	21965	UROK	\N	\N
3636674	3217	1997-08-31	PRIJEM	\N	181	33222	UROK	\N	\N
3636675	3217	1997-09-30	PRIJEM	\N	117	23743	UROK	\N	\N
3636676	3217	1997-10-31	PRIJEM	\N	163	36648	UROK	\N	\N
3636677	3217	1997-11-30	PRIJEM	\N	165	33545	UROK	\N	\N
3636678	3217	1997-12-31	PRIJEM	\N	110	22958	UROK	\N	\N
3636679	3217	1998-01-31	PRIJEM	\N	131	57072	UROK	\N	\N
3636680	3217	1998-02-28	PRIJEM	\N	206	39782	UROK	\N	\N
3636681	3217	1998-03-31	PRIJEM	\N	169	79439	UROK	\N	\N
3636682	3217	1998-04-30	PRIJEM	\N	295	66247	UROK	\N	\N
3636683	3217	1998-05-31	PRIJEM	\N	319	66571	UROK	\N	\N
3636684	3217	1998-06-30	PRIJEM	\N	229	41904	UROK	\N	\N
3636685	3217	1998-07-31	PRIJEM	\N	232	57165	UROK	\N	\N
3636686	3217	1998-08-31	PRIJEM	\N	312	61472	UROK	\N	\N
3636687	3217	1998-09-30	PRIJEM	\N	195	30871	UROK	\N	\N
3636688	3217	1998-10-31	PRIJEM	\N	260	63993	UROK	\N	\N
3636689	3217	1998-11-30	PRIJEM	\N	358	70019	UROK	\N	\N
3636690	3217	1998-12-31	PRIJEM	\N	264	84952	UROK	\N	\N
3636691	3218	1994-04-30	PRIJEM	\N	7	15722	UROK	\N	\N
3636692	3218	1994-05-31	PRIJEM	\N	67	16833	UROK	\N	\N
3636693	3218	1994-06-30	PRIJEM	\N	65	15603	UROK	\N	\N
3636694	3218	1994-07-31	PRIJEM	\N	67	16714	UROK	\N	\N
3636695	3218	1994-08-31	PRIJEM	\N	72	17830	UROK	\N	\N
3636696	3218	1994-09-30	PRIJEM	\N	76	18950	UROK	\N	\N
3636697	3218	1994-10-31	PRIJEM	\N	81	20076	UROK	\N	\N
3636698	3218	1994-11-30	PRIJEM	\N	83	19313	UROK	\N	\N
3636699	3218	1994-12-31	PRIJEM	\N	81	19779	UROK	\N	\N
3636700	3218	1995-01-31	PRIJEM	\N	77	17450	UROK	\N	\N
3636701	3218	1995-02-28	PRIJEM	\N	73	17817	UROK	\N	\N
3636702	3218	1995-03-31	PRIJEM	\N	68	17009	UROK	\N	\N
3636703	3218	1995-04-30	PRIJEM	\N	73	18126	UROK	\N	\N
3636704	3218	1995-05-31	PRIJEM	\N	77	19248	UROK	\N	\N
3636705	3218	1995-06-30	PRIJEM	\N	74	15927	UROK	\N	\N
3636706	3218	1995-07-31	PRIJEM	\N	68	17039	UROK	\N	\N
3636707	3218	1995-08-31	PRIJEM	\N	68	16952	UROK	\N	\N
3636708	3218	1995-09-30	PRIJEM	\N	72	17708	UROK	\N	\N
3636709	3218	1995-10-31	PRIJEM	\N	76	18828	UROK	\N	\N
3636710	3218	1995-11-30	PRIJEM	\N	80	19683	UROK	\N	\N
3636711	3218	1995-12-31	PRIJEM	\N	84	20451	UROK	\N	\N
3636712	3218	1996-01-31	PRIJEM	\N	83	18578	UROK	\N	\N
3636713	3218	1996-02-29	PRIJEM	\N	75	18467	UROK	\N	\N
3636714	3218	1996-03-31	PRIJEM	\N	79	19590	UROK	\N	\N
3636715	3218	1996-04-30	PRIJEM	\N	83	20718	UROK	\N	\N
3636716	3218	1996-05-31	PRIJEM	\N	88	21850	UROK	\N	\N
3636717	3218	1996-06-30	PRIJEM	\N	78	16902	UROK	\N	\N
3636718	3218	1996-07-31	PRIJEM	\N	72	18018	UROK	\N	\N
3636719	3218	1996-08-31	PRIJEM	\N	71	16734	UROK	\N	\N
3636720	3218	1996-09-30	PRIJEM	\N	71	17849	UROK	\N	\N
3636721	3218	1996-10-31	PRIJEM	\N	71	15604	UROK	\N	\N
3636722	3218	1996-11-30	PRIJEM	\N	66	16315	UROK	\N	\N
3636723	3218	1996-12-31	PRIJEM	\N	68	16678	UROK	\N	\N
3636724	3218	1997-01-31	PRIJEM	\N	66	15508	UROK	\N	\N
3636725	3218	1997-02-28	PRIJEM	\N	61	15354	UROK	\N	\N
3636726	3218	1997-03-31	PRIJEM	\N	65	16463	UROK	\N	\N
3636727	3218	1997-04-30	PRIJEM	\N	70	17577	UROK	\N	\N
3636728	3218	1997-05-31	PRIJEM	\N	72	17913	UROK	\N	\N
3636729	3218	1997-06-30	PRIJEM	\N	76	18793	UROK	\N	\N
3636730	3218	1997-07-31	PRIJEM	\N	79	19917	UROK	\N	\N
3636731	3218	1997-08-31	PRIJEM	\N	79	19030	UROK	\N	\N
3636732	3218	1997-09-30	PRIJEM	\N	80	19014	UROK	\N	\N
3636733	3218	1997-10-31	PRIJEM	\N	80	20139	UROK	\N	\N
3636734	3218	1997-11-30	PRIJEM	\N	84	19977	UROK	\N	\N
3636735	3218	1997-12-31	PRIJEM	\N	84	20655	UROK	\N	\N
3636736	3218	1998-01-31	PRIJEM	\N	78	17758	UROK	\N	\N
3636737	3218	1998-02-28	PRIJEM	\N	75	18877	UROK	\N	\N
3636738	3218	1998-03-31	PRIJEM	\N	79	20000	UROK	\N	\N
3636739	3218	1998-04-30	PRIJEM	\N	81	20195	UROK	\N	\N
3636740	3218	1998-05-31	PRIJEM	\N	85	21324	UROK	\N	\N
3636741	3218	1998-06-30	PRIJEM	\N	87	19006	UROK	\N	\N
3636742	3218	1998-07-31	PRIJEM	\N	80	20130	UROK	\N	\N
3636743	3218	1998-08-31	PRIJEM	\N	80	19844	UROK	\N	\N
3636744	3218	1998-09-30	PRIJEM	\N	82	19530	UROK	\N	\N
3636745	3218	1998-10-31	PRIJEM	\N	81	20325	UROK	\N	\N
3636746	3218	1998-11-30	PRIJEM	\N	84	21064	UROK	\N	\N
3636747	3218	1998-12-31	PRIJEM	\N	87	21805	UROK	\N	\N
3636748	3219	1996-04-30	PRIJEM	\N	19	22285	UROK	\N	\N
3636749	3219	1996-05-31	PRIJEM	\N	107	37057	UROK	\N	\N
3636750	3219	1996-06-30	PRIJEM	\N	167	50023	UROK	\N	\N
3636751	3219	1996-07-31	PRIJEM	\N	210	51998	UROK	\N	\N
3636752	3219	1996-08-31	PRIJEM	\N	218	53682	UROK	\N	\N
3636753	3219	1996-09-30	PRIJEM	\N	233	51056	UROK	\N	\N
3636754	3219	1996-10-31	PRIJEM	\N	216	41712	UROK	\N	\N
3636755	3219	1996-11-30	PRIJEM	\N	188	43840	UROK	\N	\N
3636756	3219	1996-12-31	PRIJEM	\N	212	50026	UROK	\N	\N
3636757	3219	1997-01-31	PRIJEM	\N	208	50174	UROK	\N	\N
3636758	3219	1997-02-28	PRIJEM	\N	218	50732	UROK	\N	\N
3636759	3219	1997-03-31	PRIJEM	\N	220	48493	UROK	\N	\N
3636760	3219	1997-04-30	PRIJEM	\N	206	47940	UROK	\N	\N
3636761	3219	1997-05-31	PRIJEM	\N	206	46985	UROK	\N	\N
3636762	3219	1997-06-30	PRIJEM	\N	211	47670	UROK	\N	\N
3636763	3219	1997-07-31	PRIJEM	\N	201	44811	UROK	\N	\N
3636764	3219	1997-08-31	PRIJEM	\N	195	46547	UROK	\N	\N
3636765	3219	1997-09-30	PRIJEM	\N	194	44381	UROK	\N	\N
3636766	3219	1997-10-31	PRIJEM	\N	187	43609	UROK	\N	\N
3636767	3219	1997-11-30	PRIJEM	\N	173	37922	UROK	\N	\N
3636768	3219	1997-12-31	PRIJEM	\N	166	38261	UROK	\N	\N
3636769	3219	1998-01-31	PRIJEM	\N	140	26741	UROK	\N	\N
3636770	3219	1998-02-28	PRIJEM	\N	135	26416	UROK	\N	\N
3636771	3219	1998-03-31	PRIJEM	\N	110	25466	UROK	\N	\N
3636772	3219	1998-04-30	PRIJEM	\N	100	21807	UROK	\N	\N
3636773	3219	1998-05-31	PRIJEM	\N	96	23843	UROK	\N	\N
3636774	3219	1998-06-30	PRIJEM	\N	112	29828	UROK	\N	\N
3636775	3219	1998-07-31	PRIJEM	\N	121	26690	UROK	\N	\N
3636776	3219	1998-08-31	PRIJEM	\N	130	36260	UROK	\N	\N
3636777	3219	1998-09-30	PRIJEM	\N	168	44968	UROK	\N	\N
3636778	3219	1998-10-31	PRIJEM	\N	188	46997	UROK	\N	\N
3636779	3219	1998-11-30	PRIJEM	\N	161	37898	UROK	\N	\N
3636780	3219	1998-12-31	PRIJEM	\N	159	39930	UROK	\N	\N
3636781	3220	1993-09-30	PRIJEM	\N	63	25374	UROK	\N	\N
3636782	3220	1993-10-31	PRIJEM	\N	128	34113	UROK	\N	\N
3636783	3220	1993-11-30	PRIJEM	\N	156	39480	UROK	\N	\N
3636784	3220	1993-12-31	PRIJEM	\N	181	45877	UROK	\N	\N
3636785	3220	1994-01-31	PRIJEM	\N	193	37281	UROK	\N	\N
3636786	3220	1994-02-28	PRIJEM	\N	178	41476	UROK	\N	\N
3636787	3220	1994-03-31	PRIJEM	\N	172	41444	UROK	\N	\N
3636788	3220	1994-04-30	PRIJEM	\N	181	41342	UROK	\N	\N
3636789	3220	1994-05-31	PRIJEM	\N	174	40972	UROK	\N	\N
3636790	3220	1994-06-30	PRIJEM	\N	167	18001	UROK	\N	\N
3636791	3220	1994-07-31	PRIJEM	\N	121	33718	UROK	\N	\N
3636792	3220	1994-08-31	PRIJEM	\N	160	40714	UROK	\N	\N
3636793	3220	1994-09-30	PRIJEM	\N	180	44191	UROK	\N	\N
3636794	3220	1994-10-31	PRIJEM	\N	188	45675	UROK	\N	\N
3636795	3220	1994-11-30	PRIJEM	\N	189	45561	UROK	\N	\N
3636796	3220	1994-12-31	PRIJEM	\N	193	44496	UROK	\N	\N
3636797	3220	1995-01-31	PRIJEM	\N	188	22020	UROK	\N	\N
3636798	3220	1995-02-28	PRIJEM	\N	160	42176	UROK	\N	\N
3636799	3220	1995-03-31	PRIJEM	\N	187	45759	UROK	\N	\N
3636800	3220	1995-04-30	PRIJEM	\N	259	49115	UROK	\N	\N
3636801	3220	1995-05-31	PRIJEM	\N	205	49717	UROK	\N	\N
3636802	3220	1995-06-30	PRIJEM	\N	248	27726	UROK	\N	\N
3636803	3220	1995-07-31	PRIJEM	\N	178	44921	UROK	\N	\N
3636804	3220	1995-08-31	PRIJEM	\N	231	57948	UROK	\N	\N
3636805	3220	1995-09-30	PRIJEM	\N	255	62659	UROK	\N	\N
3636806	3220	1995-10-31	PRIJEM	\N	281	68837	UROK	\N	\N
3636807	3220	1995-11-30	PRIJEM	\N	286	69119	UROK	\N	\N
3636808	3220	1995-12-31	PRIJEM	\N	320	79601	UROK	\N	\N
3636809	3220	1996-01-31	PRIJEM	\N	259	46877	UROK	\N	\N
3636810	3220	1996-02-29	PRIJEM	\N	154	57227	UROK	\N	\N
3636811	3220	1996-03-31	PRIJEM	\N	251	62075	UROK	\N	\N
3636812	3220	1996-04-30	PRIJEM	\N	195	67166	UROK	\N	\N
3636813	3220	1996-05-31	PRIJEM	\N	273	47736	UROK	\N	\N
3636814	3220	1996-06-30	PRIJEM	\N	247	47205	UROK	\N	\N
3636815	3220	1996-07-31	PRIJEM	\N	195	47196	UROK	\N	\N
3636816	3220	1996-08-31	PRIJEM	\N	194	44326	UROK	\N	\N
3636817	3220	1996-09-30	PRIJEM	\N	183	43565	UROK	\N	\N
3636818	3220	1996-10-31	PRIJEM	\N	183	48844	UROK	\N	\N
3636819	3220	1996-11-30	PRIJEM	\N	230	47630	UROK	\N	\N
3636820	3220	1996-12-31	PRIJEM	\N	282	54253	UROK	\N	\N
3636821	3220	1997-01-31	PRIJEM	\N	242	42092	UROK	\N	\N
3636822	3220	1997-02-28	PRIJEM	\N	221	48209	UROK	\N	\N
3636823	3220	1997-03-31	PRIJEM	\N	201	51606	UROK	\N	\N
3636824	3220	1997-04-30	PRIJEM	\N	235	53257	UROK	\N	\N
3636825	3220	1997-05-31	PRIJEM	\N	222	56275	UROK	\N	\N
3636826	3220	1997-06-30	PRIJEM	\N	246	49823	UROK	\N	\N
3636827	3220	1997-07-31	PRIJEM	\N	228	50067	UROK	\N	\N
3636828	3220	1997-08-31	PRIJEM	\N	208	52271	UROK	\N	\N
3636829	3220	1997-09-30	PRIJEM	\N	211	49879	UROK	\N	\N
3636830	3220	1997-10-31	PRIJEM	\N	208	52682	UROK	\N	\N
3636831	3220	1997-11-30	PRIJEM	\N	232	51811	UROK	\N	\N
3636832	3220	1997-12-31	PRIJEM	\N	234	50146	UROK	\N	\N
3636833	3220	1998-01-31	PRIJEM	\N	211	36034	UROK	\N	\N
3636834	3220	1998-02-28	PRIJEM	\N	152	40383	UROK	\N	\N
3636835	3220	1998-03-31	PRIJEM	\N	169	44048	UROK	\N	\N
3636836	3220	1998-04-30	PRIJEM	\N	178	43622	UROK	\N	\N
3636837	3220	1998-05-31	PRIJEM	\N	175	42394	UROK	\N	\N
3636838	3220	1998-06-30	PRIJEM	\N	225	42521	UROK	\N	\N
3636839	3220	1998-07-31	PRIJEM	\N	176	45093	UROK	\N	\N
3636840	3220	1998-08-31	PRIJEM	\N	184	46274	UROK	\N	\N
3636841	3220	1998-09-30	PRIJEM	\N	191	48461	UROK	\N	\N
3636842	3220	1998-10-31	PRIJEM	\N	200	50657	UROK	\N	\N
3636843	3220	1998-11-30	PRIJEM	\N	216	51790	UROK	\N	\N
3636844	3220	1998-12-31	PRIJEM	\N	211	51983	UROK	\N	\N
3636845	3221	1993-12-31	PRIJEM	\N	50	22070	UROK	\N	\N
3636846	3221	1994-01-31	PRIJEM	\N	87	18249	UROK	\N	\N
3636847	3221	1994-02-28	PRIJEM	\N	84	20763	UROK	\N	\N
3636848	3221	1994-03-31	PRIJEM	\N	96	23988	UROK	\N	\N
3636849	3221	1994-04-30	PRIJEM	\N	109	27027	UROK	\N	\N
3636850	3221	1994-05-31	PRIJEM	\N	117	28073	UROK	\N	\N
3636851	3221	1994-06-30	PRIJEM	\N	104	19506	UROK	\N	\N
3636852	3221	1994-07-31	PRIJEM	\N	91	22727	UROK	\N	\N
3636853	3221	1994-08-31	PRIJEM	\N	104	25960	UROK	\N	\N
3636854	3221	1994-09-30	PRIJEM	\N	104	23414	UROK	\N	\N
3636855	3221	1994-10-31	PRIJEM	\N	102	24745	UROK	\N	\N
3636856	3221	1994-11-30	PRIJEM	\N	108	26282	UROK	\N	\N
3636857	3221	1994-12-31	PRIJEM	\N	110	26781	UROK	\N	\N
3636858	3221	1995-01-31	PRIJEM	\N	89	18130	UROK	\N	\N
3636859	3221	1995-02-28	PRIJEM	\N	80	19738	UROK	\N	\N
3636860	3221	1995-03-31	PRIJEM	\N	89	21957	UROK	\N	\N
3636861	3221	1995-04-30	PRIJEM	\N	101	25187	UROK	\N	\N
3636862	3221	1995-05-31	PRIJEM	\N	107	25423	UROK	\N	\N
3636863	3221	1995-06-30	PRIJEM	\N	108	25941	UROK	\N	\N
3636864	3221	1995-07-31	PRIJEM	\N	110	24800	UROK	\N	\N
3636865	3221	1995-08-31	PRIJEM	\N	113	28042	UROK	\N	\N
3636866	3221	1995-09-30	PRIJEM	\N	122	30194	UROK	\N	\N
3636867	3221	1995-10-31	PRIJEM	\N	134	31617	UROK	\N	\N
3636868	3221	1995-11-30	PRIJEM	\N	129	30956	UROK	\N	\N
3636869	3221	1995-12-31	PRIJEM	\N	126	30152	UROK	\N	\N
3636870	3221	1996-01-31	PRIJEM	\N	106	20677	UROK	\N	\N
3636871	3221	1996-02-29	PRIJEM	\N	95	23902	UROK	\N	\N
3636872	3221	1996-03-31	PRIJEM	\N	109	27140	UROK	\N	\N
3636873	3221	1996-04-30	PRIJEM	\N	122	30391	UROK	\N	\N
3636874	3221	1996-05-31	PRIJEM	\N	136	33656	UROK	\N	\N
3636875	3221	1996-06-30	PRIJEM	\N	130	31965	UROK	\N	\N
3636876	3221	1996-07-31	PRIJEM	\N	142	35237	UROK	\N	\N
3636877	3221	1996-08-31	PRIJEM	\N	135	31541	UROK	\N	\N
3636878	3221	1996-09-30	PRIJEM	\N	140	34811	UROK	\N	\N
3636879	3221	1996-10-31	PRIJEM	\N	151	36491	UROK	\N	\N
3636880	3221	1996-11-30	PRIJEM	\N	161	39781	UROK	\N	\N
3636881	3221	1996-12-31	PRIJEM	\N	173	42583	UROK	\N	\N
3636882	3221	1997-01-31	PRIJEM	\N	152	33524	UROK	\N	\N
3636883	3221	1997-02-28	PRIJEM	\N	148	36801	UROK	\N	\N
3636884	3221	1997-03-31	PRIJEM	\N	162	39492	UROK	\N	\N
3636885	3221	1997-04-30	PRIJEM	\N	173	42795	UROK	\N	\N
3636886	3221	1997-05-31	PRIJEM	\N	186	45710	UROK	\N	\N
3636887	3221	1997-06-30	PRIJEM	\N	192	44042	UROK	\N	\N
3636888	3221	1997-07-31	PRIJEM	\N	192	47363	UROK	\N	\N
3636889	3221	1997-08-31	PRIJEM	\N	205	49597	UROK	\N	\N
3636890	3221	1997-09-30	PRIJEM	\N	212	49438	UROK	\N	\N
3636891	3221	1997-10-31	PRIJEM	\N	209	47777	UROK	\N	\N
3636892	3221	1997-11-30	PRIJEM	\N	203	47409	UROK	\N	\N
3636893	3221	1997-12-31	PRIJEM	\N	198	42537	UROK	\N	\N
3636894	3221	1998-01-31	PRIJEM	\N	157	34623	UROK	\N	\N
3636895	3221	1998-02-28	PRIJEM	\N	151	34203	UROK	\N	\N
3636896	3221	1998-03-31	PRIJEM	\N	151	37483	UROK	\N	\N
3636897	3221	1998-04-30	PRIJEM	\N	163	39776	UROK	\N	\N
3636898	3221	1998-05-31	PRIJEM	\N	174	43079	UROK	\N	\N
3636899	3221	1998-06-30	PRIJEM	\N	178	39536	UROK	\N	\N
3636900	3221	1998-07-31	PRIJEM	\N	173	42838	UROK	\N	\N
3636901	3221	1998-08-31	PRIJEM	\N	185	45352	UROK	\N	\N
3636902	3221	1998-09-30	PRIJEM	\N	196	48077	UROK	\N	\N
3636903	3221	1998-10-31	PRIJEM	\N	195	44101	UROK	\N	\N
3636904	3221	1998-11-30	PRIJEM	\N	191	46722	UROK	\N	\N
3636905	3221	1998-12-31	PRIJEM	\N	191	45842	UROK	\N	\N
3636906	3222	1993-12-31	PRIJEM	\N	39	15231	UROK	\N	\N
3636907	3222	1994-01-31	PRIJEM	\N	58	12827	UROK	\N	\N
3636908	3222	1994-02-28	PRIJEM	\N	57	13571	UROK	\N	\N
3636909	3222	1994-03-31	PRIJEM	\N	58	13746	UROK	\N	\N
3636910	3222	1994-04-30	PRIJEM	\N	61	14855	UROK	\N	\N
3636911	3222	1994-05-31	PRIJEM	\N	66	15968	UROK	\N	\N
3636912	3222	1994-06-30	PRIJEM	\N	68	16364	UROK	\N	\N
3636913	3222	1994-07-31	PRIJEM	\N	72	17484	UROK	\N	\N
3636914	3222	1994-08-31	PRIJEM	\N	76	17947	UROK	\N	\N
3636915	3222	1994-09-30	PRIJEM	\N	79	19073	UROK	\N	\N
3636916	3222	1994-10-31	PRIJEM	\N	84	20204	UROK	\N	\N
3636917	3222	1994-11-30	PRIJEM	\N	87	20709	UROK	\N	\N
3636918	3222	1994-12-31	PRIJEM	\N	88	21215	UROK	\N	\N
3636919	3222	1995-01-31	PRIJEM	\N	87	18509	UROK	\N	\N
3636920	3222	1995-02-28	PRIJEM	\N	80	19136	UROK	\N	\N
3636921	3222	1995-03-31	PRIJEM	\N	83	20067	UROK	\N	\N
3636922	3222	1995-04-30	PRIJEM	\N	86	20600	UROK	\N	\N
3636923	3222	1995-05-31	PRIJEM	\N	90	21737	UROK	\N	\N
3636924	3222	1995-06-30	PRIJEM	\N	81	15636	UROK	\N	\N
3636925	3222	1995-07-31	PRIJEM	\N	69	16752	UROK	\N	\N
3636926	3222	1995-08-31	PRIJEM	\N	74	17873	UROK	\N	\N
3636927	3222	1995-09-30	PRIJEM	\N	74	17765	UROK	\N	\N
3636928	3222	1995-10-31	PRIJEM	\N	78	18890	UROK	\N	\N
3636929	3222	1995-11-30	PRIJEM	\N	83	20020	UROK	\N	\N
3636930	3222	1995-12-31	PRIJEM	\N	85	20553	UROK	\N	\N
3636931	3222	1996-01-31	PRIJEM	\N	76	16697	UROK	\N	\N
3636932	3222	1996-02-29	PRIJEM	\N	73	17817	UROK	\N	\N
3636933	3222	1996-03-31	PRIJEM	\N	78	18943	UROK	\N	\N
3636934	3222	1996-04-30	PRIJEM	\N	81	18961	UROK	\N	\N
3636935	3222	1996-05-31	PRIJEM	\N	82	19401	UROK	\N	\N
3636936	3222	1996-06-30	PRIJEM	\N	74	17072	UROK	\N	\N
3636937	3222	1996-07-31	PRIJEM	\N	75	18195	UROK	\N	\N
3636938	3222	1996-08-31	PRIJEM	\N	79	19321	UROK	\N	\N
3636939	3222	1996-09-30	PRIJEM	\N	84	20453	UROK	\N	\N
3636940	3222	1996-10-31	PRIJEM	\N	89	21589	UROK	\N	\N
3636941	3222	1996-11-30	PRIJEM	\N	93	22730	UROK	\N	\N
3636942	3222	1996-12-31	PRIJEM	\N	98	23185	UROK	\N	\N
3636943	3222	1997-01-31	PRIJEM	\N	88	20060	UROK	\N	\N
3636944	3222	1997-02-28	PRIJEM	\N	84	20141	UROK	\N	\N
3636945	3222	1997-03-31	PRIJEM	\N	87	21275	UROK	\N	\N
3636946	3222	1997-04-30	PRIJEM	\N	92	22414	UROK	\N	\N
3636947	3222	1997-05-31	PRIJEM	\N	97	23558	UROK	\N	\N
3636948	3222	1997-06-30	PRIJEM	\N	78	17273	UROK	\N	\N
3636949	3222	1997-07-31	PRIJEM	\N	73	17673	UROK	\N	\N
3636950	3222	1997-08-31	PRIJEM	\N	76	18256	UROK	\N	\N
3636951	3222	1997-09-30	PRIJEM	\N	79	19383	UROK	\N	\N
3636952	3222	1997-10-31	PRIJEM	\N	84	20514	UROK	\N	\N
3636953	3222	1997-11-30	PRIJEM	\N	88	21650	UROK	\N	\N
3636954	3222	1997-12-31	PRIJEM	\N	92	22039	UROK	\N	\N
3636955	3222	1998-01-31	PRIJEM	\N	83	17529	UROK	\N	\N
3636956	3222	1998-02-28	PRIJEM	\N	76	18652	UROK	\N	\N
3636957	3222	1998-03-31	PRIJEM	\N	77	18636	UROK	\N	\N
3636958	3222	1998-04-30	PRIJEM	\N	80	19764	UROK	\N	\N
3636959	3222	1998-05-31	PRIJEM	\N	85	20896	UROK	\N	\N
3636960	3222	1998-06-30	PRIJEM	\N	87	16991	UROK	\N	\N
3636961	3222	1998-07-31	PRIJEM	\N	73	18111	UROK	\N	\N
3636962	3222	1998-08-31	PRIJEM	\N	73	16711	UROK	\N	\N
3636963	3222	1998-09-30	PRIJEM	\N	72	17830	UROK	\N	\N
3636964	3222	1998-10-31	PRIJEM	\N	76	18954	UROK	\N	\N
3636965	3222	1998-11-30	PRIJEM	\N	81	20083	UROK	\N	\N
3636966	3222	1998-12-31	PRIJEM	\N	85	20495	UROK	\N	\N
3636967	3224	1996-11-30	PRIJEM	\N	20	6903	UROK	\N	\N
3636968	3224	1996-12-31	PRIJEM	\N	29	13415	UROK	\N	\N
3636969	3224	1997-01-31	PRIJEM	\N	29	19926	UROK	\N	\N
3636970	3224	1997-02-28	PRIJEM	\N	29	26438	UROK	\N	\N
3636971	3224	1997-03-31	PRIJEM	\N	102	31448	UROK	\N	\N
3636972	3224	1997-04-30	PRIJEM	\N	132	30890	UROK	\N	\N
3636973	3224	1997-05-31	PRIJEM	\N	137	33538	UROK	\N	\N
3636974	3224	1997-06-30	PRIJEM	\N	143	34092	UROK	\N	\N
3636975	3224	1997-07-31	PRIJEM	\N	150	36752	UROK	\N	\N
3636976	3224	1997-08-31	PRIJEM	\N	159	38921	UROK	\N	\N
3636977	3224	1997-09-30	PRIJEM	\N	169	40401	UROK	\N	\N
3636978	3224	1997-10-31	PRIJEM	\N	165	40276	UROK	\N	\N
3636979	3224	1997-11-30	PRIJEM	\N	168	41155	UROK	\N	\N
3636980	3224	1997-12-31	PRIJEM	\N	156	37121	UROK	\N	\N
3636981	3224	1998-01-31	PRIJEM	\N	114	26005	UROK	\N	\N
3636982	3224	1998-02-28	PRIJEM	\N	116	28632	UROK	\N	\N
3636983	3224	1998-03-31	PRIJEM	\N	106	23888	UROK	\N	\N
3636984	3224	1998-04-30	PRIJEM	\N	107	26506	UROK	\N	\N
3636985	3224	1998-05-31	PRIJEM	\N	109	26925	UROK	\N	\N
3636986	3224	1998-06-30	PRIJEM	\N	92	15078	UROK	\N	\N
3636987	3224	1998-07-31	PRIJEM	\N	71	17659	UROK	\N	\N
3636988	3224	1998-08-31	PRIJEM	\N	74	17443	UROK	\N	\N
3636989	3224	1998-09-30	PRIJEM	\N	80	20034	UROK	\N	\N
3636990	3224	1998-10-31	PRIJEM	\N	88	19592	UROK	\N	\N
3636991	3224	1998-11-30	PRIJEM	\N	89	22192	UROK	\N	\N
3636992	3224	1998-12-31	PRIJEM	\N	100	24152	UROK	\N	\N
3636993	3225	1993-11-30	PRIJEM	\N	48	20506	UROK	\N	\N
3636994	3225	1993-12-31	PRIJEM	\N	164	54258	UROK	\N	\N
3636995	3225	1994-01-31	PRIJEM	\N	158	42174	UROK	\N	\N
3636996	3225	1994-02-28	PRIJEM	\N	175	62607	UROK	\N	\N
3636997	3225	1994-03-31	PRIJEM	\N	222	62586	UROK	\N	\N
3636998	3225	1994-04-30	PRIJEM	\N	203	54303	UROK	\N	\N
3636999	3225	1994-05-31	PRIJEM	\N	216	35852	UROK	\N	\N
3637000	3225	1994-06-30	PRIJEM	\N	175	29189	UROK	\N	\N
3637001	3225	1994-07-31	PRIJEM	\N	147	32350	UROK	\N	\N
3637002	3225	1994-08-31	PRIJEM	\N	128	33492	UROK	\N	\N
3637003	3225	1994-09-30	PRIJEM	\N	163	36468	UROK	\N	\N
3637004	3225	1994-10-31	PRIJEM	\N	173	37255	UROK	\N	\N
3637005	3225	1994-11-30	PRIJEM	\N	175	36743	UROK	\N	\N
3637006	3225	1994-12-31	PRIJEM	\N	190	42415	UROK	\N	\N
3637007	3225	1995-01-31	PRIJEM	\N	152	28260	UROK	\N	\N
3637008	3225	1995-02-28	PRIJEM	\N	139	33612	UROK	\N	\N
3637009	3225	1995-03-31	PRIJEM	\N	143	33669	UROK	\N	\N
3637010	3225	1995-04-30	PRIJEM	\N	160	35742	UROK	\N	\N
3637011	3225	1995-05-31	PRIJEM	\N	170	40026	UROK	\N	\N
3637012	3225	1995-06-30	PRIJEM	\N	202	44670	UROK	\N	\N
3637013	3225	1995-07-31	PRIJEM	\N	197	42880	UROK	\N	\N
3637014	3225	1995-08-31	PRIJEM	\N	198	47191	UROK	\N	\N
3637015	3225	1995-09-30	PRIJEM	\N	214	50718	UROK	\N	\N
3637016	3225	1995-10-31	PRIJEM	\N	223	50754	UROK	\N	\N
3637017	3225	1995-11-30	PRIJEM	\N	200	40687	UROK	\N	\N
3637018	3225	1995-12-31	PRIJEM	\N	195	42085	UROK	\N	\N
3637019	3225	1996-01-31	PRIJEM	\N	164	35942	UROK	\N	\N
3637020	3225	1996-02-29	PRIJEM	\N	167	41922	UROK	\N	\N
3637021	3225	1996-03-31	PRIJEM	\N	178	43833	UROK	\N	\N
3637022	3225	1996-04-30	PRIJEM	\N	178	44305	UROK	\N	\N
3637023	3225	1996-05-31	PRIJEM	\N	189	40867	UROK	\N	\N
3637024	3225	1996-06-30	PRIJEM	\N	181	44050	UROK	\N	\N
3637025	3225	1996-07-31	PRIJEM	\N	164	38108	UROK	\N	\N
3637026	3225	1996-08-31	PRIJEM	\N	159	38160	UROK	\N	\N
3637027	3225	1996-09-30	PRIJEM	\N	169	42041	UROK	\N	\N
3637028	3225	1996-10-31	PRIJEM	\N	183	44398	UROK	\N	\N
3637029	3225	1996-11-30	PRIJEM	\N	198	50609	UROK	\N	\N
3637030	3225	1996-12-31	PRIJEM	\N	218	57570	UROK	\N	\N
3637031	3225	1997-01-31	PRIJEM	\N	194	40997	UROK	\N	\N
3637032	3225	1997-02-28	PRIJEM	\N	188	52598	UROK	\N	\N
3637033	3225	1997-03-31	PRIJEM	\N	212	48504	UROK	\N	\N
3637034	3225	1997-04-30	PRIJEM	\N	202	46879	UROK	\N	\N
3637035	3225	1997-05-31	PRIJEM	\N	222	55514	UROK	\N	\N
3637036	3225	1997-06-30	PRIJEM	\N	216	42572	UROK	\N	\N
3637037	3225	1997-07-31	PRIJEM	\N	225	63410	UROK	\N	\N
3637038	3225	1997-08-31	PRIJEM	\N	290	76313	UROK	\N	\N
3637039	3225	1997-09-30	PRIJEM	\N	315	79541	UROK	\N	\N
3637040	3225	1997-10-31	PRIJEM	\N	329	83084	UROK	\N	\N
3637041	3225	1997-11-30	PRIJEM	\N	329	80286	UROK	\N	\N
3637042	3225	1997-12-31	PRIJEM	\N	335	89283	UROK	\N	\N
3637043	3225	1998-01-31	PRIJEM	\N	324	72640	UROK	\N	\N
3637044	3225	1998-02-28	PRIJEM	\N	299	78753	UROK	\N	\N
3637045	3225	1998-03-31	PRIJEM	\N	324	78970	UROK	\N	\N
3637046	3225	1998-04-30	PRIJEM	\N	311	76834	UROK	\N	\N
3637047	3225	1998-05-31	PRIJEM	\N	326	84673	UROK	\N	\N
3637048	3225	1998-06-30	PRIJEM	\N	348	82044	UROK	\N	\N
3637049	3225	1998-07-31	PRIJEM	\N	339	87896	UROK	\N	\N
3637050	3225	1998-08-31	PRIJEM	\N	357	92466	UROK	\N	\N
3637051	3225	1998-09-30	PRIJEM	\N	371	96450	UROK	\N	\N
3637052	3225	1998-10-31	PRIJEM	\N	389	101352	UROK	\N	\N
3637053	3225	1998-11-30	PRIJEM	\N	404	105270	UROK	\N	\N
3637054	3225	1998-12-31	PRIJEM	\N	359	85172	UROK	\N	\N
3637055	3226	1994-09-30	PRIJEM	\N	8	14605	UROK	\N	\N
3637056	3226	1994-10-31	PRIJEM	\N	66	22368	UROK	\N	\N
3637057	3226	1994-11-30	PRIJEM	\N	95	25060	UROK	\N	\N
3637058	3226	1994-12-31	PRIJEM	\N	106	27162	UROK	\N	\N
3637059	3226	1995-01-31	PRIJEM	\N	98	14959	UROK	\N	\N
3637060	3226	1995-02-28	PRIJEM	\N	69	20812	UROK	\N	\N
3637061	3226	1995-03-31	PRIJEM	\N	89	23186	UROK	\N	\N
3637062	3226	1995-04-30	PRIJEM	\N	99	23170	UROK	\N	\N
3637063	3226	1995-05-31	PRIJEM	\N	94	22348	UROK	\N	\N
3637064	3226	1995-06-30	PRIJEM	\N	90	20621	UROK	\N	\N
3637065	3226	1995-07-31	PRIJEM	\N	96	27301	UROK	\N	\N
3637066	3226	1995-08-31	PRIJEM	\N	113	25898	UROK	\N	\N
3637067	3226	1995-09-30	PRIJEM	\N	116	30499	UROK	\N	\N
3637068	3226	1995-10-31	PRIJEM	\N	127	28810	UROK	\N	\N
3637069	3226	1995-11-30	PRIJEM	\N	118	28212	UROK	\N	\N
3637070	3226	1995-12-31	PRIJEM	\N	122	27318	UROK	\N	\N
3637071	3226	1996-01-31	PRIJEM	\N	100	14502	UROK	\N	\N
3637072	3226	1996-02-29	PRIJEM	\N	71	20157	UROK	\N	\N
3637073	3226	1996-03-31	PRIJEM	\N	87	20828	UROK	\N	\N
3637074	3226	1996-04-30	PRIJEM	\N	83	19095	UROK	\N	\N
3637075	3226	1996-05-31	PRIJEM	\N	73	17953	UROK	\N	\N
3637076	3226	1996-06-30	PRIJEM	\N	86	22723	UROK	\N	\N
3637077	3226	1996-07-31	PRIJEM	\N	95	22602	UROK	\N	\N
3637078	3226	1996-08-31	PRIJEM	\N	96	23183	UROK	\N	\N
3637079	3226	1996-09-30	PRIJEM	\N	96	22863	UROK	\N	\N
3637080	3226	1996-10-31	PRIJEM	\N	97	23445	UROK	\N	\N
3637081	3226	1996-11-30	PRIJEM	\N	96	18225	UROK	\N	\N
3637082	3226	1996-12-31	PRIJEM	\N	71	15479	UROK	\N	\N
3637083	3226	1997-01-31	PRIJEM	\N	60	13523	UROK	\N	\N
3637084	3226	1997-02-28	PRIJEM	\N	62	15670	UROK	\N	\N
3637085	3226	1997-03-31	PRIJEM	\N	67	16321	UROK	\N	\N
3637086	3226	1997-04-30	PRIJEM	\N	59	12664	UROK	\N	\N
3637087	3226	1997-05-31	PRIJEM	\N	61	16110	UROK	\N	\N
3637088	3226	1997-06-30	PRIJEM	\N	70	17263	UROK	\N	\N
3637089	3226	1997-07-31	PRIJEM	\N	75	18223	UROK	\N	\N
3637090	3226	1997-08-31	PRIJEM	\N	72	17179	UROK	\N	\N
3637091	3226	1997-09-30	PRIJEM	\N	84	21647	UROK	\N	\N
3637092	3226	1997-10-31	PRIJEM	\N	86	20417	UROK	\N	\N
3637093	3226	1997-11-30	PRIJEM	\N	86	20887	UROK	\N	\N
3637094	3226	1997-12-31	PRIJEM	\N	88	21159	UROK	\N	\N
3637095	3226	1998-01-31	PRIJEM	\N	64	13707	UROK	\N	\N
3637096	3226	1998-02-28	PRIJEM	\N	59	14251	UROK	\N	\N
3637097	3226	1998-03-31	PRIJEM	\N	63	15898	UROK	\N	\N
3637098	3226	1998-04-30	PRIJEM	\N	67	16450	UROK	\N	\N
3637099	3226	1998-05-31	PRIJEM	\N	64	15299	UROK	\N	\N
3637100	3226	1998-06-30	PRIJEM	\N	65	15547	UROK	\N	\N
3637101	3226	1998-07-31	PRIJEM	\N	70	16401	UROK	\N	\N
3637102	3226	1998-08-31	PRIJEM	\N	69	16754	UROK	\N	\N
3637103	3226	1998-09-30	PRIJEM	\N	64	14703	UROK	\N	\N
3637104	3226	1998-10-31	PRIJEM	\N	69	17156	UROK	\N	\N
3637105	3226	1998-11-30	PRIJEM	\N	82	20722	UROK	\N	\N
3637106	3226	1998-12-31	PRIJEM	\N	104	25810	UROK	\N	\N
3637107	3227	1996-07-31	PRIJEM	\N	26	24376	UROK	\N	\N
3637108	3227	1996-08-31	PRIJEM	\N	113	33739	UROK	\N	\N
3637109	3227	1996-09-30	PRIJEM	\N	145	37434	UROK	\N	\N
3637110	3227	1996-10-31	PRIJEM	\N	159	40443	UROK	\N	\N
3637111	3227	1996-11-30	PRIJEM	\N	190	40221	UROK	\N	\N
3637112	3227	1996-12-31	PRIJEM	\N	177	38111	UROK	\N	\N
3637113	3227	1997-01-31	PRIJEM	\N	152	32451	UROK	\N	\N
3637114	3227	1997-02-28	PRIJEM	\N	145	35084	UROK	\N	\N
3637115	3227	1997-03-31	PRIJEM	\N	174	33947	UROK	\N	\N
3637116	3227	1997-04-30	PRIJEM	\N	151	35286	UROK	\N	\N
3637117	3227	1997-05-31	PRIJEM	\N	155	34729	UROK	\N	\N
3637118	3227	1997-06-30	PRIJEM	\N	126	36069	UROK	\N	\N
3637119	3227	1997-07-31	PRIJEM	\N	167	42724	UROK	\N	\N
3637120	3227	1997-08-31	PRIJEM	\N	189	46902	UROK	\N	\N
3637121	3227	1997-09-30	PRIJEM	\N	206	51696	UROK	\N	\N
3637122	3227	1997-10-31	PRIJEM	\N	221	54105	UROK	\N	\N
3637123	3227	1997-11-30	PRIJEM	\N	223	53616	UROK	\N	\N
3637124	3227	1997-12-31	PRIJEM	\N	244	60674	UROK	\N	\N
3637125	3227	1998-01-31	PRIJEM	\N	212	46174	UROK	\N	\N
3637126	3227	1998-02-28	PRIJEM	\N	189	47552	UROK	\N	\N
3637127	3227	1998-03-31	PRIJEM	\N	202	49942	UROK	\N	\N
3637128	3227	1998-04-30	PRIJEM	\N	207	51037	UROK	\N	\N
3637129	3227	1998-05-31	PRIJEM	\N	206	48531	UROK	\N	\N
3637130	3227	1998-06-30	PRIJEM	\N	198	36742	UROK	\N	\N
3637131	3227	1998-07-31	PRIJEM	\N	184	46115	UROK	\N	\N
3637132	3227	1998-08-31	PRIJEM	\N	203	53006	UROK	\N	\N
3637133	3227	1998-09-30	PRIJEM	\N	247	64441	UROK	\N	\N
3637134	3227	1998-10-31	PRIJEM	\N	278	69708	UROK	\N	\N
3637135	3227	1998-11-30	PRIJEM	\N	297	76893	UROK	\N	\N
3637136	3227	1998-12-31	PRIJEM	\N	352	94659	UROK	\N	\N
3637137	3228	1996-11-30	PRIJEM	\N	9	32852	UROK	\N	\N
3637138	3228	1996-12-31	PRIJEM	\N	141	43617	UROK	\N	\N
3637139	3228	1997-01-31	PRIJEM	\N	189	58967	UROK	\N	\N
3637140	3228	1997-02-28	PRIJEM	\N	288	55471	UROK	\N	\N
3637141	3228	1997-03-31	PRIJEM	\N	270	51025	UROK	\N	\N
3637142	3228	1997-04-30	PRIJEM	\N	206	42520	UROK	\N	\N
3637143	3228	1997-05-31	PRIJEM	\N	310	62258	UROK	\N	\N
3637144	3228	1997-06-30	PRIJEM	\N	320	47439	UROK	\N	\N
3637145	3228	1997-07-31	PRIJEM	\N	270	63689	UROK	\N	\N
3637146	3228	1997-08-31	PRIJEM	\N	216	41507	UROK	\N	\N
3637147	3228	1997-09-30	PRIJEM	\N	232	42991	UROK	\N	\N
3637148	3228	1997-10-31	PRIJEM	\N	148	30597	UROK	\N	\N
3637149	3228	1997-11-30	PRIJEM	\N	329	59236	UROK	\N	\N
3637150	3228	1997-12-31	PRIJEM	\N	285	60721	UROK	\N	\N
3637151	3228	1998-01-31	PRIJEM	\N	181	29509	UROK	\N	\N
3637152	3228	1998-02-28	PRIJEM	\N	143	39395	UROK	\N	\N
3637153	3228	1998-03-31	PRIJEM	\N	132	24026	UROK	\N	\N
3637154	3228	1998-04-30	PRIJEM	\N	168	37291	UROK	\N	\N
3637155	3228	1998-05-31	PRIJEM	\N	131	29935	UROK	\N	\N
3637156	3228	1998-06-30	PRIJEM	\N	113	20986	UROK	\N	\N
3637157	3228	1998-07-31	PRIJEM	\N	154	32445	UROK	\N	\N
3637158	3228	1998-08-31	PRIJEM	\N	117	20500	UROK	\N	\N
3637159	3228	1998-09-30	PRIJEM	\N	177	41066	UROK	\N	\N
3637160	3228	1998-10-31	PRIJEM	\N	166	33023	UROK	\N	\N
3637161	3228	1998-11-30	PRIJEM	\N	193	61853	UROK	\N	\N
3637162	3228	1998-12-31	PRIJEM	\N	248	50136	UROK	\N	\N
3637163	3229	1995-12-31	PRIJEM	\N	75	53361	UROK	\N	\N
3637164	3229	1996-01-31	PRIJEM	\N	324	66202	UROK	\N	\N
3637165	3229	1996-02-29	PRIJEM	\N	337	100431	UROK	\N	\N
3637166	3229	1996-03-31	PRIJEM	\N	351	90383	UROK	\N	\N
3637167	3229	1996-04-30	PRIJEM	\N	316	50932	UROK	\N	\N
3637168	3229	1996-05-31	PRIJEM	\N	210	46342	UROK	\N	\N
3637169	3229	1996-06-30	PRIJEM	\N	227	52483	UROK	\N	\N
3637170	3229	1996-07-31	PRIJEM	\N	200	56822	UROK	\N	\N
3637171	3229	1996-08-31	PRIJEM	\N	232	58351	UROK	\N	\N
3637172	3229	1996-09-30	PRIJEM	\N	258	87508	UROK	\N	\N
3637173	3229	1996-10-31	PRIJEM	\N	279	55433	UROK	\N	\N
3637174	3229	1996-11-30	PRIJEM	\N	175	36155	UROK	\N	\N
3637175	3229	1996-12-31	PRIJEM	\N	225	87988	UROK	\N	\N
3637176	3229	1997-01-31	PRIJEM	\N	207	32785	UROK	\N	\N
3637177	3229	1997-02-28	PRIJEM	\N	125	29957	UROK	\N	\N
3637178	3229	1997-03-31	PRIJEM	\N	167	59887	UROK	\N	\N
3637179	3229	1997-04-30	PRIJEM	\N	203	35437	UROK	\N	\N
3637180	3229	1997-05-31	PRIJEM	\N	170	81153	UROK	\N	\N
3637181	3229	1997-06-30	PRIJEM	\N	258	53704	UROK	\N	\N
3637182	3229	1997-07-31	PRIJEM	\N	223	63233	UROK	\N	\N
3637183	3229	1997-08-31	PRIJEM	\N	255	59238	UROK	\N	\N
3637184	3229	1997-09-30	PRIJEM	\N	184	38216	UROK	\N	\N
3637185	3229	1997-10-31	PRIJEM	\N	222	63619	UROK	\N	\N
3637186	3229	1997-11-30	PRIJEM	\N	192	40406	UROK	\N	\N
3637187	3229	1997-12-31	PRIJEM	\N	169	45278	UROK	\N	\N
3637188	3229	1998-01-31	PRIJEM	\N	110	19178	UROK	\N	\N
3637189	3229	1998-02-28	PRIJEM	\N	83	19755	UROK	\N	\N
3637190	3229	1998-03-31	PRIJEM	\N	77	17927	UROK	\N	\N
3637191	3229	1998-04-30	PRIJEM	\N	144	60373	UROK	\N	\N
3637192	3229	1998-05-31	PRIJEM	\N	188	43509	UROK	\N	\N
3637193	3229	1998-06-30	PRIJEM	\N	125	26281	UROK	\N	\N
3637194	3229	1998-07-31	PRIJEM	\N	98	21525	UROK	\N	\N
3637195	3229	1998-08-31	PRIJEM	\N	362	92093	UROK	\N	\N
3637196	3229	1998-09-30	PRIJEM	\N	211	38095	UROK	\N	\N
3637197	3229	1998-10-31	PRIJEM	\N	115	23856	UROK	\N	\N
3637198	3229	1998-11-30	PRIJEM	\N	80	16583	UROK	\N	\N
3637199	3229	1998-12-31	PRIJEM	\N	59	14288	UROK	\N	\N
3637200	3230	1995-06-30	PRIJEM	\N	36	65335	UROK	\N	\N
3637201	3230	1995-07-31	PRIJEM	\N	272	45407	UROK	\N	\N
3637202	3230	1995-08-31	PRIJEM	\N	272	34879	UROK	\N	\N
3637203	3230	1995-09-30	PRIJEM	\N	290	76445	UROK	\N	\N
3637204	3230	1995-10-31	PRIJEM	\N	337	109214	UROK	\N	\N
3637205	3230	1995-11-30	PRIJEM	\N	454	72367	UROK	\N	\N
3637206	3230	1995-12-31	PRIJEM	\N	454	51021	UROK	\N	\N
3637207	3230	1996-01-31	PRIJEM	\N	442	86769	UROK	\N	\N
3637208	3230	1996-02-29	PRIJEM	\N	346	39623	UROK	\N	\N
3637209	3230	1996-03-31	PRIJEM	\N	141	23749	UROK	\N	\N
3637210	3230	1996-04-30	PRIJEM	\N	121	42431	UROK	\N	\N
3637211	3230	1996-05-31	PRIJEM	\N	133	29150	UROK	\N	\N
3637212	3230	1996-06-30	PRIJEM	\N	238	91669	UROK	\N	\N
3637213	3230	1996-07-31	PRIJEM	\N	225	23587	UROK	\N	\N
3637214	3230	1996-08-31	PRIJEM	\N	100	24873	UROK	\N	\N
3637215	3230	1996-09-30	PRIJEM	\N	103	23061	UROK	\N	\N
3637216	3230	1996-10-31	PRIJEM	\N	174	56296	UROK	\N	\N
3637217	3230	1996-11-30	PRIJEM	\N	219	65407	UROK	\N	\N
3637218	3230	1996-12-31	PRIJEM	\N	328	59909	UROK	\N	\N
3637219	3230	1997-01-31	PRIJEM	\N	303	37011	UROK	\N	\N
3637220	3230	1997-02-28	PRIJEM	\N	161	41326	UROK	\N	\N
3637221	3230	1997-03-31	PRIJEM	\N	137	26369	UROK	\N	\N
3637222	3230	1997-04-30	PRIJEM	\N	245	50618	UROK	\N	\N
3637223	3230	1997-05-31	PRIJEM	\N	151	27526	UROK	\N	\N
3637224	3230	1997-06-30	PRIJEM	\N	308	55622	UROK	\N	\N
3637225	3230	1997-07-31	PRIJEM	\N	340	56413	UROK	\N	\N
3637226	3230	1997-08-31	PRIJEM	\N	172	21956	UROK	\N	\N
3637227	3230	1997-09-30	PRIJEM	\N	86	16784	UROK	\N	\N
3637228	3230	1997-10-31	PRIJEM	\N	120	33527	UROK	\N	\N
3637229	3230	1997-11-30	PRIJEM	\N	108	39745	UROK	\N	\N
3637230	3230	1997-12-31	PRIJEM	\N	221	44100	UROK	\N	\N
3637231	3230	1998-01-31	PRIJEM	\N	115	11556	UROK	\N	\N
3637232	3230	1998-02-28	PRIJEM	\N	49	13247	UROK	\N	\N
3637233	3230	1998-03-31	PRIJEM	\N	123	30571	UROK	\N	\N
3637234	3230	1998-04-30	PRIJEM	\N	154	33790	UROK	\N	\N
3637235	3230	1998-05-31	PRIJEM	\N	129	25761	UROK	\N	\N
3637236	3230	1998-06-30	PRIJEM	\N	90	53049	UROK	\N	\N
3637237	3230	1998-07-31	PRIJEM	\N	141	25438	UROK	\N	\N
3637238	3230	1998-08-31	PRIJEM	\N	141	39993	UROK	\N	\N
3637239	3230	1998-09-30	PRIJEM	\N	142	24476	UROK	\N	\N
3637240	3230	1998-10-31	PRIJEM	\N	99	22001	UROK	\N	\N
3637241	3230	1998-11-30	PRIJEM	\N	96	34165	UROK	\N	\N
3637242	3230	1998-12-31	PRIJEM	\N	329	107612	UROK	\N	\N
3637243	3231	1995-08-31	PRIJEM	\N	48	22248	UROK	\N	\N
3637244	3231	1995-09-30	PRIJEM	\N	97	24119	UROK	\N	\N
3637245	3231	1995-10-31	PRIJEM	\N	108	26851	UROK	\N	\N
3637246	3231	1995-11-30	PRIJEM	\N	117	24533	UROK	\N	\N
3637247	3231	1995-12-31	PRIJEM	\N	109	26917	UROK	\N	\N
3637248	3231	1996-01-31	PRIJEM	\N	111	26452	UROK	\N	\N
3637249	3231	1996-02-29	PRIJEM	\N	108	23585	UROK	\N	\N
3637250	3231	1996-03-31	PRIJEM	\N	105	26214	UROK	\N	\N
3637251	3231	1996-04-30	PRIJEM	\N	111	27050	UROK	\N	\N
3637252	3231	1996-05-31	PRIJEM	\N	114	24488	UROK	\N	\N
3637253	3231	1996-06-30	PRIJEM	\N	92	13584	UROK	\N	\N
3637254	3231	1996-07-31	PRIJEM	\N	64	16573	UROK	\N	\N
3637255	3231	1996-08-31	PRIJEM	\N	77	19574	UROK	\N	\N
3637256	3231	1996-09-30	PRIJEM	\N	89	22587	UROK	\N	\N
3637257	3231	1996-10-31	PRIJEM	\N	102	25613	UROK	\N	\N
3637258	3231	1996-11-30	PRIJEM	\N	104	24022	UROK	\N	\N
3637259	3231	1996-12-31	PRIJEM	\N	90	21696	UROK	\N	\N
3637260	3231	1997-01-31	PRIJEM	\N	88	21368	UROK	\N	\N
3637261	3231	1997-02-28	PRIJEM	\N	83	19896	UROK	\N	\N
3637262	3231	1997-03-31	PRIJEM	\N	83	19124	UROK	\N	\N
3637263	3231	1997-04-30	PRIJEM	\N	83	19011	UROK	\N	\N
3637264	3231	1997-05-31	PRIJEM	\N	87	22022	UROK	\N	\N
3637265	3231	1997-06-30	PRIJEM	\N	73	14799	UROK	\N	\N
3637266	3231	1997-07-31	PRIJEM	\N	69	17792	UROK	\N	\N
3637267	3231	1997-08-31	PRIJEM	\N	73	18309	UROK	\N	\N
3637268	3231	1997-09-30	PRIJEM	\N	84	21317	UROK	\N	\N
3637269	3231	1997-10-31	PRIJEM	\N	96	24338	UROK	\N	\N
3637270	3231	1997-11-30	PRIJEM	\N	109	27371	UROK	\N	\N
3637271	3231	1997-12-31	PRIJEM	\N	112	27367	UROK	\N	\N
3637272	3231	1998-01-31	PRIJEM	\N	121	30412	UROK	\N	\N
3637273	3231	1998-02-28	PRIJEM	\N	128	32165	UROK	\N	\N
3637274	3231	1998-03-31	PRIJEM	\N	121	28910	UROK	\N	\N
3637275	3231	1998-04-30	PRIJEM	\N	124	31258	UROK	\N	\N
3637276	3231	1998-05-31	PRIJEM	\N	135	32798	UROK	\N	\N
3637277	3231	1998-06-30	PRIJEM	\N	119	26642	UROK	\N	\N
3637278	3231	1998-07-31	PRIJEM	\N	118	29684	UROK	\N	\N
3637279	3231	1998-08-31	PRIJEM	\N	128	30736	UROK	\N	\N
3637280	3231	1998-09-30	PRIJEM	\N	132	27212	UROK	\N	\N
3637281	3231	1998-10-31	PRIJEM	\N	120	30257	UROK	\N	\N
3637282	3231	1998-11-30	PRIJEM	\N	130	27511	UROK	\N	\N
3637283	3231	1998-12-31	PRIJEM	\N	108	25604	UROK	\N	\N
3637284	3232	1996-10-31	PRIJEM	\N	17	5116	UROK	\N	\N
3637285	3232	1996-11-30	PRIJEM	\N	21	9738	UROK	\N	\N
3637286	3232	1996-12-31	PRIJEM	\N	21	14359	UROK	\N	\N
3637287	3232	1997-01-31	PRIJEM	\N	21	18980	UROK	\N	\N
3637288	3232	1997-02-28	PRIJEM	\N	63	20270	UROK	\N	\N
3637289	3232	1997-03-31	PRIJEM	\N	90	21832	UROK	\N	\N
3637290	3232	1997-04-30	PRIJEM	\N	75	18980	UROK	\N	\N
3637291	3232	1997-05-31	PRIJEM	\N	65	12517	UROK	\N	\N
3637292	3232	1997-06-30	PRIJEM	\N	58	14748	UROK	\N	\N
3637293	3232	1997-07-31	PRIJEM	\N	66	12986	UROK	\N	\N
3637294	3232	1997-08-31	PRIJEM	\N	58	11656	UROK	\N	\N
3637295	3232	1997-09-30	PRIJEM	\N	45	10273	UROK	\N	\N
3637296	3232	1997-10-31	PRIJEM	\N	48	10393	UROK	\N	\N
3637297	3232	1997-11-30	PRIJEM	\N	49	12615	UROK	\N	\N
3637298	3232	1997-12-31	PRIJEM	\N	56	11543	UROK	\N	\N
3637299	3232	1998-01-31	PRIJEM	\N	53	12409	UROK	\N	\N
3637300	3232	1998-02-28	PRIJEM	\N	57	14639	UROK	\N	\N
3637301	3232	1998-03-31	PRIJEM	\N	67	16878	UROK	\N	\N
3637302	3232	1998-04-30	PRIJEM	\N	73	14723	UROK	\N	\N
3637303	3232	1998-05-31	PRIJEM	\N	67	16963	UROK	\N	\N
3637304	3232	1998-06-30	PRIJEM	\N	73	16009	UROK	\N	\N
3637305	3232	1998-07-31	PRIJEM	\N	66	15207	UROK	\N	\N
3637306	3232	1998-08-31	PRIJEM	\N	60	11499	UROK	\N	\N
3637307	3232	1998-09-30	PRIJEM	\N	54	13726	UROK	\N	\N
3637308	3232	1998-10-31	PRIJEM	\N	57	11655	UROK	\N	\N
3637309	3232	1998-11-30	PRIJEM	\N	50	10878	UROK	\N	\N
3637310	3232	1998-12-31	PRIJEM	\N	48	11949	UROK	\N	\N
3637311	3233	1995-05-31	PRIJEM	\N	275	88314	UROK	\N	\N
3637312	3233	1995-06-30	PRIJEM	\N	317	33724	UROK	\N	\N
3637313	3233	1995-07-31	PRIJEM	\N	151	28223	UROK	\N	\N
3637314	3233	1995-08-31	PRIJEM	\N	230	34190	UROK	\N	\N
3637315	3233	1995-09-30	PRIJEM	\N	195	50210	UROK	\N	\N
3637316	3233	1995-10-31	PRIJEM	\N	203	34954	UROK	\N	\N
3637317	3233	1995-11-30	PRIJEM	\N	143	32815	UROK	\N	\N
3637318	3233	1995-12-31	PRIJEM	\N	185	23448	UROK	\N	\N
3637319	3233	1996-01-31	PRIJEM	\N	182	25410	UROK	\N	\N
3637320	3233	1996-02-29	PRIJEM	\N	102	18252	UROK	\N	\N
3637321	3233	1996-03-31	PRIJEM	\N	246	53399	UROK	\N	\N
3637322	3233	1996-04-30	PRIJEM	\N	210	35550	UROK	\N	\N
3637323	3233	1996-05-31	PRIJEM	\N	138	23929	UROK	\N	\N
3637324	3233	1996-06-30	PRIJEM	\N	94	17264	UROK	\N	\N
3637325	3233	1996-07-31	PRIJEM	\N	87	39411	UROK	\N	\N
3637326	3233	1996-08-31	PRIJEM	\N	247	73974	UROK	\N	\N
3637327	3233	1996-09-30	PRIJEM	\N	249	39664	UROK	\N	\N
3637328	3233	1996-10-31	PRIJEM	\N	151	28256	UROK	\N	\N
3637329	3233	1996-11-30	PRIJEM	\N	181	52611	UROK	\N	\N
3637330	3233	1996-12-31	PRIJEM	\N	214	77069	UROK	\N	\N
3637331	3233	1997-01-31	PRIJEM	\N	272	88323	UROK	\N	\N
3637332	3233	1997-02-28	PRIJEM	\N	361	93219	UROK	\N	\N
3637333	3233	1997-03-31	PRIJEM	\N	370	71897	UROK	\N	\N
3637334	3233	1997-04-30	PRIJEM	\N	266	37678	UROK	\N	\N
3637335	3233	1997-05-31	PRIJEM	\N	237	101562	UROK	\N	\N
3637336	3233	1997-06-30	PRIJEM	\N	330	66750	UROK	\N	\N
3637337	3233	1997-07-31	PRIJEM	\N	261	52975	UROK	\N	\N
3637338	3233	1997-08-31	PRIJEM	\N	210	45341	UROK	\N	\N
3637339	3233	1997-09-30	PRIJEM	\N	158	30145	UROK	\N	\N
3637340	3233	1997-10-31	PRIJEM	\N	140	36975	UROK	\N	\N
3637341	3233	1997-11-30	PRIJEM	\N	252	50768	UROK	\N	\N
3637342	3233	1997-12-31	PRIJEM	\N	197	48086	UROK	\N	\N
3637343	3233	1998-01-31	PRIJEM	\N	116	23743	UROK	\N	\N
3637344	3233	1998-02-28	PRIJEM	\N	114	31998	UROK	\N	\N
3637345	3233	1998-03-31	PRIJEM	\N	133	24173	UROK	\N	\N
3637346	3233	1998-04-30	PRIJEM	\N	122	34860	UROK	\N	\N
3637347	3233	1998-05-31	PRIJEM	\N	233	65763	UROK	\N	\N
3637348	3233	1998-06-30	PRIJEM	\N	234	54525	UROK	\N	\N
3637349	3233	1998-07-31	PRIJEM	\N	223	53889	UROK	\N	\N
3637350	3233	1998-08-31	PRIJEM	\N	233	58463	UROK	\N	\N
3637351	3233	1998-09-30	PRIJEM	\N	241	58846	UROK	\N	\N
3637352	3233	1998-10-31	PRIJEM	\N	189	40176	UROK	\N	\N
3637353	3233	1998-11-30	PRIJEM	\N	228	73488	UROK	\N	\N
3637354	3233	1998-12-31	PRIJEM	\N	321	78964	UROK	\N	\N
3637355	3234	1995-10-31	PRIJEM	\N	31	14220	UROK	\N	\N
3637356	3234	1995-11-30	PRIJEM	\N	77	22085	UROK	\N	\N
3637357	3234	1995-12-31	PRIJEM	\N	102	26476	UROK	\N	\N
3637358	3234	1996-01-31	PRIJEM	\N	112	27477	UROK	\N	\N
3637359	3234	1996-02-29	PRIJEM	\N	117	28453	UROK	\N	\N
3637360	3234	1996-03-31	PRIJEM	\N	127	31795	UROK	\N	\N
3637361	3234	1996-04-30	PRIJEM	\N	127	29437	UROK	\N	\N
3637362	3234	1996-05-31	PRIJEM	\N	123	29576	UROK	\N	\N
3637363	3234	1996-06-30	PRIJEM	\N	110	22621	UROK	\N	\N
3637364	3234	1996-07-31	PRIJEM	\N	105	26901	UROK	\N	\N
3637365	3234	1996-08-31	PRIJEM	\N	115	24132	UROK	\N	\N
3637366	3234	1996-09-30	PRIJEM	\N	96	23304	UROK	\N	\N
3637367	3234	1996-10-31	PRIJEM	\N	104	25823	UROK	\N	\N
3637368	3234	1996-11-30	PRIJEM	\N	109	26847	UROK	\N	\N
3637369	3234	1996-12-31	PRIJEM	\N	117	28370	UROK	\N	\N
3637370	3234	1997-01-31	PRIJEM	\N	107	25492	UROK	\N	\N
3637371	3234	1997-02-28	PRIJEM	\N	107	26114	UROK	\N	\N
3637372	3234	1997-03-31	PRIJEM	\N	99	23428	UROK	\N	\N
3637373	3234	1997-04-30	PRIJEM	\N	102	25446	UROK	\N	\N
3637374	3234	1997-05-31	PRIJEM	\N	97	23628	UROK	\N	\N
3637375	3234	1997-06-30	PRIJEM	\N	85	17669	UROK	\N	\N
3637376	3234	1997-07-31	PRIJEM	\N	89	23073	UROK	\N	\N
3637377	3234	1997-08-31	PRIJEM	\N	98	24386	UROK	\N	\N
3637378	3234	1997-09-30	PRIJEM	\N	88	21489	UROK	\N	\N
3637379	3234	1997-10-31	PRIJEM	\N	75	17879	UROK	\N	\N
3637380	3234	1997-11-30	PRIJEM	\N	74	18668	UROK	\N	\N
3637381	3234	1997-12-31	PRIJEM	\N	69	16853	UROK	\N	\N
3637382	3234	1998-01-31	PRIJEM	\N	69	17437	UROK	\N	\N
3637383	3234	1998-02-28	PRIJEM	\N	58	14011	UROK	\N	\N
3637384	3234	1998-03-31	PRIJEM	\N	69	18095	UROK	\N	\N
3637385	3234	1998-04-30	PRIJEM	\N	64	15775	UROK	\N	\N
3637386	3234	1998-05-31	PRIJEM	\N	60	14950	UROK	\N	\N
3637387	3234	1998-06-30	PRIJEM	\N	65	16330	UROK	\N	\N
3637388	3234	1998-07-31	PRIJEM	\N	71	17717	UROK	\N	\N
3637389	3234	1998-08-31	PRIJEM	\N	77	19109	UROK	\N	\N
3637390	3234	1998-09-30	PRIJEM	\N	72	16696	UROK	\N	\N
3637391	3234	1998-10-31	PRIJEM	\N	62	14373	UROK	\N	\N
3637392	3234	1998-11-30	PRIJEM	\N	62	12650	UROK	\N	\N
3637393	3234	1998-12-31	PRIJEM	\N	55	14020	UROK	\N	\N
3637394	3235	1995-02-28	PRIJEM	\N	12	20742	UROK	\N	\N
3637395	3235	1995-03-31	PRIJEM	\N	93	30565	UROK	\N	\N
3637396	3235	1995-04-30	PRIJEM	\N	132	38328	UROK	\N	\N
3637397	3235	1995-05-31	PRIJEM	\N	160	39718	UROK	\N	\N
3637398	3235	1995-06-30	PRIJEM	\N	133	25916	UROK	\N	\N
3637399	3235	1995-07-31	PRIJEM	\N	133	27215	UROK	\N	\N
3637400	3235	1995-08-31	PRIJEM	\N	139	30521	UROK	\N	\N
3637401	3235	1995-09-30	PRIJEM	\N	150	31737	UROK	\N	\N
3637402	3235	1995-10-31	PRIJEM	\N	151	30555	UROK	\N	\N
3637403	3235	1995-11-30	PRIJEM	\N	148	31169	UROK	\N	\N
3637404	3235	1995-12-31	PRIJEM	\N	165	32075	UROK	\N	\N
3637405	3235	1996-01-31	PRIJEM	\N	124	20125	UROK	\N	\N
3637406	3235	1996-02-29	PRIJEM	\N	106	23997	UROK	\N	\N
3637407	3235	1996-03-31	PRIJEM	\N	121	26785	UROK	\N	\N
3637408	3235	1996-04-30	PRIJEM	\N	131	26183	UROK	\N	\N
3637409	3235	1996-05-31	PRIJEM	\N	128	28277	UROK	\N	\N
3637410	3235	1996-06-30	PRIJEM	\N	152	33030	UROK	\N	\N
3637411	3235	1996-07-31	PRIJEM	\N	145	29641	UROK	\N	\N
3637412	3235	1996-08-31	PRIJEM	\N	137	30645	UROK	\N	\N
3637413	3235	1996-09-30	PRIJEM	\N	132	27443	UROK	\N	\N
3637414	3235	1996-10-31	PRIJEM	\N	124	27333	UROK	\N	\N
3637415	3235	1996-11-30	PRIJEM	\N	129	30629	UROK	\N	\N
3637416	3235	1996-12-31	PRIJEM	\N	140	32750	UROK	\N	\N
3637417	3235	1997-01-31	PRIJEM	\N	118	24675	UROK	\N	\N
3637418	3235	1997-02-28	PRIJEM	\N	112	26353	UROK	\N	\N
3637419	3235	1997-03-31	PRIJEM	\N	124	26003	UROK	\N	\N
3637420	3235	1997-04-30	PRIJEM	\N	128	31597	UROK	\N	\N
3637421	3235	1997-05-31	PRIJEM	\N	146	35410	UROK	\N	\N
3637422	3235	1997-06-30	PRIJEM	\N	171	41963	UROK	\N	\N
3637423	3235	1997-07-31	PRIJEM	\N	175	40103	UROK	\N	\N
3637424	3235	1997-08-31	PRIJEM	\N	170	40240	UROK	\N	\N
3637425	3235	1997-09-30	PRIJEM	\N	162	37868	UROK	\N	\N
3637426	3235	1997-10-31	PRIJEM	\N	161	38276	UROK	\N	\N
3637427	3235	1997-11-30	PRIJEM	\N	158	38300	UROK	\N	\N
3637428	3235	1997-12-31	PRIJEM	\N	200	42261	UROK	\N	\N
3637429	3235	1998-01-31	PRIJEM	\N	192	47220	UROK	\N	\N
3637430	3235	1998-02-28	PRIJEM	\N	202	48348	UROK	\N	\N
3637431	3235	1998-03-31	PRIJEM	\N	234	50049	UROK	\N	\N
3637432	3235	1998-04-30	PRIJEM	\N	225	57800	UROK	\N	\N
3637433	3235	1998-05-31	PRIJEM	\N	254	63820	UROK	\N	\N
3637434	3235	1998-06-30	PRIJEM	\N	286	70087	UROK	\N	\N
3637435	3235	1998-07-31	PRIJEM	\N	298	74552	UROK	\N	\N
3637436	3235	1998-08-31	PRIJEM	\N	316	79334	UROK	\N	\N
3637437	3235	1998-09-30	PRIJEM	\N	329	82729	UROK	\N	\N
3637438	3235	1998-10-31	PRIJEM	\N	342	85938	UROK	\N	\N
3637439	3235	1998-11-30	PRIJEM	\N	336	83239	UROK	\N	\N
3637440	3235	1998-12-31	PRIJEM	\N	378	95599	UROK	\N	\N
3637441	3236	1997-07-31	PRIJEM	\N	15	19105	UROK	\N	\N
3637442	3236	1997-08-31	PRIJEM	\N	75	18232	UROK	\N	\N
3637443	3236	1997-09-30	PRIJEM	\N	75	18878	UROK	\N	\N
3637444	3236	1997-10-31	PRIJEM	\N	80	19850	UROK	\N	\N
3637445	3236	1997-11-30	PRIJEM	\N	86	21947	UROK	\N	\N
3637446	3236	1997-12-31	PRIJEM	\N	94	23603	UROK	\N	\N
3637447	3236	1998-01-31	PRIJEM	\N	102	25716	UROK	\N	\N
3637448	3236	1998-02-28	PRIJEM	\N	107	25474	UROK	\N	\N
3637449	3236	1998-03-31	PRIJEM	\N	107	26472	UROK	\N	\N
3637450	3236	1998-04-30	PRIJEM	\N	114	28597	UROK	\N	\N
3637451	3236	1998-05-31	PRIJEM	\N	123	30731	UROK	\N	\N
3637452	3236	1998-06-30	PRIJEM	\N	114	27407	UROK	\N	\N
3637453	3236	1998-07-31	PRIJEM	\N	104	23522	UROK	\N	\N
3637454	3236	1998-08-31	PRIJEM	\N	87	19420	UROK	\N	\N
3637455	3236	1998-09-30	PRIJEM	\N	73	17084	UROK	\N	\N
3637456	3236	1998-10-31	PRIJEM	\N	67	16263	UROK	\N	\N
3637457	3236	1998-11-30	PRIJEM	\N	71	18345	UROK	\N	\N
3637458	3236	1998-12-31	PRIJEM	\N	75	17332	UROK	\N	\N
3637459	3237	1993-10-31	PRIJEM	\N	55	17750	UROK	\N	\N
3637460	3237	1993-11-30	PRIJEM	\N	138	38883	UROK	\N	\N
3637461	3237	1993-12-31	PRIJEM	\N	211	55836	UROK	\N	\N
3637462	3237	1994-01-31	PRIJEM	\N	165	40196	UROK	\N	\N
3637463	3237	1994-02-28	PRIJEM	\N	218	48814	UROK	\N	\N
3637464	3237	1994-03-31	PRIJEM	\N	223	46822	UROK	\N	\N
3637465	3237	1994-04-30	PRIJEM	\N	174	37742	UROK	\N	\N
3637466	3237	1994-05-31	PRIJEM	\N	182	33409	UROK	\N	\N
3637467	3237	1994-06-30	PRIJEM	\N	184	26326	UROK	\N	\N
3637468	3237	1994-07-31	PRIJEM	\N	134	30445	UROK	\N	\N
3637469	3237	1994-08-31	PRIJEM	\N	150	34380	UROK	\N	\N
3637470	3237	1994-09-30	PRIJEM	\N	163	32128	UROK	\N	\N
3637471	3237	1994-10-31	PRIJEM	\N	153	30887	UROK	\N	\N
3637472	3237	1994-11-30	PRIJEM	\N	149	32421	UROK	\N	\N
3637473	3237	1994-12-31	PRIJEM	\N	178	37251	UROK	\N	\N
3637474	3237	1995-01-31	PRIJEM	\N	143	25739	UROK	\N	\N
3637475	3237	1995-02-28	PRIJEM	\N	122	21187	UROK	\N	\N
3637476	3237	1995-03-31	PRIJEM	\N	104	24317	UROK	\N	\N
3637477	3237	1995-04-30	PRIJEM	\N	113	24315	UROK	\N	\N
3637478	3237	1995-05-31	PRIJEM	\N	123	28223	UROK	\N	\N
3637479	3237	1995-06-30	PRIJEM	\N	174	30169	UROK	\N	\N
3637480	3237	1995-07-31	PRIJEM	\N	157	32211	UROK	\N	\N
3637481	3237	1995-08-31	PRIJEM	\N	151	33848	UROK	\N	\N
3637482	3237	1995-09-30	PRIJEM	\N	148	30442	UROK	\N	\N
3637483	3237	1995-10-31	PRIJEM	\N	144	32471	UROK	\N	\N
3637484	3237	1995-11-30	PRIJEM	\N	162	31318	UROK	\N	\N
3637485	3237	1995-12-31	PRIJEM	\N	146	26956	UROK	\N	\N
3637486	3237	1996-01-31	PRIJEM	\N	104	17205	UROK	\N	\N
3637487	3237	1996-02-29	PRIJEM	\N	94	24185	UROK	\N	\N
3637488	3237	1996-03-31	PRIJEM	\N	124	22294	UROK	\N	\N
3637489	3237	1996-04-30	PRIJEM	\N	124	27104	UROK	\N	\N
3637490	3237	1996-05-31	PRIJEM	\N	134	33523	UROK	\N	\N
3637491	3237	1996-06-30	PRIJEM	\N	165	36240	UROK	\N	\N
3637492	3237	1996-07-31	PRIJEM	\N	160	33986	UROK	\N	\N
3637493	3237	1996-08-31	PRIJEM	\N	151	34622	UROK	\N	\N
3637494	3237	1996-09-30	PRIJEM	\N	157	33264	UROK	\N	\N
3637495	3237	1996-10-31	PRIJEM	\N	164	38214	UROK	\N	\N
3637496	3237	1996-11-30	PRIJEM	\N	149	31168	UROK	\N	\N
3637497	3237	1996-12-31	PRIJEM	\N	155	32035	UROK	\N	\N
3637498	3237	1997-01-31	PRIJEM	\N	115	21855	UROK	\N	\N
3637499	3237	1997-02-28	PRIJEM	\N	103	25504	UROK	\N	\N
3637500	3237	1997-03-31	PRIJEM	\N	136	32325	UROK	\N	\N
3637501	3237	1997-04-30	PRIJEM	\N	156	39766	UROK	\N	\N
3637502	3237	1997-05-31	PRIJEM	\N	174	40286	UROK	\N	\N
3637503	3237	1997-06-30	PRIJEM	\N	176	38094	UROK	\N	\N
3637504	3237	1997-07-31	PRIJEM	\N	183	44862	UROK	\N	\N
3637505	3237	1997-08-31	PRIJEM	\N	199	48946	UROK	\N	\N
3637506	3237	1997-09-30	PRIJEM	\N	218	53350	UROK	\N	\N
3637507	3237	1997-10-31	PRIJEM	\N	217	51752	UROK	\N	\N
3637508	3237	1997-11-30	PRIJEM	\N	211	50748	UROK	\N	\N
3637509	3237	1997-12-31	PRIJEM	\N	227	54068	UROK	\N	\N
3637510	3237	1998-01-31	PRIJEM	\N	172	42705	UROK	\N	\N
3637511	3237	1998-02-28	PRIJEM	\N	218	57208	UROK	\N	\N
3637512	3237	1998-03-31	PRIJEM	\N	231	53445	UROK	\N	\N
3637513	3237	1998-04-30	PRIJEM	\N	240	57150	UROK	\N	\N
3637514	3237	1998-05-31	PRIJEM	\N	263	62059	UROK	\N	\N
3637515	3237	1998-06-30	PRIJEM	\N	218	35910	UROK	\N	\N
3637516	3237	1998-07-31	PRIJEM	\N	209	55503	UROK	\N	\N
3637517	3237	1998-08-31	PRIJEM	\N	253	60702	UROK	\N	\N
3637518	3237	1998-09-30	PRIJEM	\N	255	62943	UROK	\N	\N
3637519	3237	1998-10-31	PRIJEM	\N	261	63989	UROK	\N	\N
3637520	3237	1998-11-30	PRIJEM	\N	274	67848	UROK	\N	\N
3637521	3237	1998-12-31	PRIJEM	\N	301	67582	UROK	\N	\N
3637522	3238	1996-02-29	PRIJEM	\N	74	21438	UROK	\N	\N
3637523	3238	1996-03-31	PRIJEM	\N	116	29417	UROK	\N	\N
3637524	3238	1996-04-30	PRIJEM	\N	201	34982	UROK	\N	\N
3637525	3238	1996-05-31	PRIJEM	\N	236	37982	UROK	\N	\N
3637526	3238	1996-06-30	PRIJEM	\N	161	17157	UROK	\N	\N
3637527	3238	1996-07-31	PRIJEM	\N	147	30251	UROK	\N	\N
3637528	3238	1996-08-31	PRIJEM	\N	165	37003	UROK	\N	\N
3637529	3238	1996-09-30	PRIJEM	\N	177	43027	UROK	\N	\N
3637530	3238	1996-10-31	PRIJEM	\N	189	45163	UROK	\N	\N
3637531	3238	1996-11-30	PRIJEM	\N	195	47406	UROK	\N	\N
3637532	3238	1996-12-31	PRIJEM	\N	255	56760	UROK	\N	\N
3637533	3238	1997-01-31	PRIJEM	\N	179	36306	UROK	\N	\N
3637534	3238	1997-02-28	PRIJEM	\N	164	42017	UROK	\N	\N
3637535	3238	1997-03-31	PRIJEM	\N	177	41802	UROK	\N	\N
3637536	3238	1997-04-30	PRIJEM	\N	163	38852	UROK	\N	\N
3637537	3238	1997-05-31	PRIJEM	\N	165	39944	UROK	\N	\N
3637538	3238	1997-06-30	PRIJEM	\N	163	36667	UROK	\N	\N
3637539	3238	1997-07-31	PRIJEM	\N	148	29062	UROK	\N	\N
3637540	3238	1997-08-31	PRIJEM	\N	175	28484	UROK	\N	\N
3637541	3238	1997-09-30	PRIJEM	\N	161	31292	UROK	\N	\N
3637542	3238	1997-10-31	PRIJEM	\N	195	29135	UROK	\N	\N
3637543	3238	1997-11-30	PRIJEM	\N	176	27938	UROK	\N	\N
3637544	3238	1997-12-31	PRIJEM	\N	171	28428	UROK	\N	\N
3637545	3238	1998-01-31	PRIJEM	\N	124	20199	UROK	\N	\N
3637546	3238	1998-02-28	PRIJEM	\N	124	24571	UROK	\N	\N
3637547	3238	1998-03-31	PRIJEM	\N	141	26159	UROK	\N	\N
3637548	3238	1998-04-30	PRIJEM	\N	147	27353	UROK	\N	\N
3637549	3238	1998-05-31	PRIJEM	\N	149	25529	UROK	\N	\N
3637550	3238	1998-06-30	PRIJEM	\N	97	20646	UROK	\N	\N
3637551	3238	1998-07-31	PRIJEM	\N	127	25960	UROK	\N	\N
3637552	3238	1998-08-31	PRIJEM	\N	147	32254	UROK	\N	\N
3637553	3238	1998-09-30	PRIJEM	\N	188	33890	UROK	\N	\N
3637554	3238	1998-10-31	PRIJEM	\N	173	36090	UROK	\N	\N
3637555	3238	1998-11-30	PRIJEM	\N	196	34833	UROK	\N	\N
3637556	3238	1998-12-31	PRIJEM	\N	234	58086	UROK	\N	\N
3637557	3239	1996-07-31	PRIJEM	\N	38	21948	UROK	\N	\N
3637558	3239	1996-08-31	PRIJEM	\N	113	33672	UROK	\N	\N
3637559	3239	1996-09-30	PRIJEM	\N	145	36126	UROK	\N	\N
3637560	3239	1996-10-31	PRIJEM	\N	158	40094	UROK	\N	\N
3637561	3239	1996-11-30	PRIJEM	\N	162	34128	UROK	\N	\N
3637562	3239	1996-12-31	PRIJEM	\N	182	35482	UROK	\N	\N
3637563	3239	1997-01-31	PRIJEM	\N	157	36896	UROK	\N	\N
3637564	3239	1997-02-28	PRIJEM	\N	171	34604	UROK	\N	\N
3637565	3239	1997-03-31	PRIJEM	\N	159	37820	UROK	\N	\N
3637566	3239	1997-04-30	PRIJEM	\N	160	36037	UROK	\N	\N
3637567	3239	1997-05-31	PRIJEM	\N	155	35650	UROK	\N	\N
3637568	3239	1997-06-30	PRIJEM	\N	166	39529	UROK	\N	\N
3637569	3239	1997-07-31	PRIJEM	\N	158	33944	UROK	\N	\N
3637570	3239	1997-08-31	PRIJEM	\N	149	36051	UROK	\N	\N
3637571	3239	1997-09-30	PRIJEM	\N	150	35658	UROK	\N	\N
3637572	3239	1997-10-31	PRIJEM	\N	131	25587	UROK	\N	\N
3637573	3239	1997-11-30	PRIJEM	\N	114	25738	UROK	\N	\N
3637574	3239	1997-12-31	PRIJEM	\N	149	26700	UROK	\N	\N
3637575	3239	1998-01-31	PRIJEM	\N	113	27170	UROK	\N	\N
3637576	3239	1998-02-28	PRIJEM	\N	115	27042	UROK	\N	\N
3637577	3239	1998-03-31	PRIJEM	\N	107	22987	UROK	\N	\N
3637578	3239	1998-04-30	PRIJEM	\N	101	24545	UROK	\N	\N
3637579	3239	1998-05-31	PRIJEM	\N	120	30522	UROK	\N	\N
3637580	3239	1998-06-30	PRIJEM	\N	152	38027	UROK	\N	\N
3637581	3239	1998-07-31	PRIJEM	\N	174	42758	UROK	\N	\N
3637582	3239	1998-08-31	PRIJEM	\N	179	42395	UROK	\N	\N
3637583	3239	1998-09-30	PRIJEM	\N	183	43235	UROK	\N	\N
3637584	3239	1998-10-31	PRIJEM	\N	164	36057	UROK	\N	\N
3637585	3239	1998-11-30	PRIJEM	\N	143	29177	UROK	\N	\N
3637586	3239	1998-12-31	PRIJEM	\N	131	29700	UROK	\N	\N
3637587	3240	1996-05-31	PRIJEM	\N	1	801	UROK	\N	\N
3637588	3240	1996-06-30	PRIJEM	\N	36	32571	UROK	\N	\N
3637589	3240	1996-07-31	PRIJEM	\N	152	72976	UROK	\N	\N
3637590	3240	1996-08-31	PRIJEM	\N	259	43328	UROK	\N	\N
3637591	3240	1996-09-30	PRIJEM	\N	174	62075	UROK	\N	\N
3637592	3240	1996-10-31	PRIJEM	\N	389	54264	UROK	\N	\N
3637593	3240	1996-11-30	PRIJEM	\N	96	43411	UROK	\N	\N
3637594	3240	1996-12-31	PRIJEM	\N	177	31435	UROK	\N	\N
3637595	3240	1997-01-31	PRIJEM	\N	113	25489	UROK	\N	\N
3637596	3240	1997-02-28	PRIJEM	\N	89	19519	UROK	\N	\N
3637597	3240	1997-03-31	PRIJEM	\N	94	57690	UROK	\N	\N
3637598	3240	1997-04-30	PRIJEM	\N	204	33035	UROK	\N	\N
3637599	3240	1997-05-31	PRIJEM	\N	112	47399	UROK	\N	\N
3637600	3240	1997-06-30	PRIJEM	\N	158	53343	UROK	\N	\N
3637601	3240	1997-07-31	PRIJEM	\N	154	29626	UROK	\N	\N
3637602	3240	1997-08-31	PRIJEM	\N	165	27509	UROK	\N	\N
3637603	3240	1997-09-30	PRIJEM	\N	90	20562	UROK	\N	\N
3637604	3240	1997-10-31	PRIJEM	\N	92	13864	UROK	\N	\N
3637605	3240	1997-11-30	PRIJEM	\N	40	8445	UROK	\N	\N
3637606	3240	1997-12-31	PRIJEM	\N	17	3004	UROK	\N	\N
3637607	3240	1998-01-31	PRIJEM	\N	5	-2153	UROK	\N	\N
3637608	3240	1998-01-31	VYDAJ	VYBER	14	-2166	SANKC. UROK	\N	\N
3637609	3240	1998-02-28	VYDAJ	VYBER	23	-2240	SANKC. UROK	\N	\N
3637610	3240	1998-03-31	VYDAJ	VYBER	24	-2315	SANKC. UROK	\N	\N
3637611	3240	1998-04-30	PRIJEM	\N	126	57122	UROK	\N	\N
3637612	3240	1998-04-30	VYDAJ	VYBER	4	57118	SANKC. UROK	\N	\N
3637613	3240	1998-05-31	PRIJEM	\N	172	22737	UROK	\N	\N
3637614	3240	1998-06-30	PRIJEM	\N	219	25513	UROK	\N	\N
3637615	3240	1998-07-31	PRIJEM	\N	107	27260	UROK	\N	\N
3637616	3240	1998-08-31	PRIJEM	\N	95	21896	UROK	\N	\N
3637617	3240	1998-09-30	PRIJEM	\N	73	16510	UROK	\N	\N
3637618	3240	1998-10-31	PRIJEM	\N	110	16332	UROK	\N	\N
3637619	3240	1998-11-30	PRIJEM	\N	50	10923	UROK	\N	\N
3637620	3240	1998-12-31	PRIJEM	\N	27	5491	UROK	\N	\N
3637621	3241	1993-11-30	PRIJEM	\N	61	24289	UROK	\N	\N
3637622	3241	1993-12-31	PRIJEM	\N	104	25374	UROK	\N	\N
3637623	3241	1994-01-31	PRIJEM	\N	76	12873	UROK	\N	\N
3637624	3241	1994-02-28	PRIJEM	\N	57	14003	UROK	\N	\N
3637625	3241	1994-03-31	PRIJEM	\N	67	17304	UROK	\N	\N
3637626	3241	1994-04-30	PRIJEM	\N	81	20618	UROK	\N	\N
3637627	3241	1994-05-31	PRIJEM	\N	92	23144	UROK	\N	\N
3637628	3241	1994-06-30	PRIJEM	\N	92	23169	UROK	\N	\N
3637629	3241	1994-07-31	PRIJEM	\N	105	26507	UROK	\N	\N
3637630	3241	1994-08-31	PRIJEM	\N	119	29860	UROK	\N	\N
3637631	3241	1994-09-30	PRIJEM	\N	133	33226	UROK	\N	\N
3637632	3241	1994-10-31	PRIJEM	\N	132	31991	UROK	\N	\N
3637633	3241	1994-11-30	PRIJEM	\N	125	30650	UROK	\N	\N
3637634	3241	1994-12-31	PRIJEM	\N	124	29687	UROK	\N	\N
3637635	3241	1995-01-31	PRIJEM	\N	91	15882	UROK	\N	\N
3637636	3241	1995-02-28	PRIJEM	\N	74	18709	UROK	\N	\N
3637637	3241	1995-03-31	PRIJEM	\N	83	21546	UROK	\N	\N
3637638	3241	1995-04-30	PRIJEM	\N	98	24877	UROK	\N	\N
3637639	3241	1995-05-31	PRIJEM	\N	106	25576	UROK	\N	\N
3637640	3241	1995-06-30	PRIJEM	\N	112	26972	UROK	\N	\N
3637641	3241	1995-07-31	PRIJEM	\N	121	30326	UROK	\N	\N
3637642	3241	1995-08-31	PRIJEM	\N	123	30563	UROK	\N	\N
3637643	3241	1995-09-30	PRIJEM	\N	128	31604	UROK	\N	\N
3637644	3241	1995-10-31	PRIJEM	\N	132	33069	UROK	\N	\N
3637645	3241	1995-11-30	PRIJEM	\N	146	36448	UROK	\N	\N
3637646	3241	1995-12-31	PRIJEM	\N	135	33577	UROK	\N	\N
3637647	3241	1996-01-31	PRIJEM	\N	111	20732	UROK	\N	\N
3637648	3241	1996-02-29	PRIJEM	\N	94	24059	UROK	\N	\N
3637649	3241	1996-03-31	PRIJEM	\N	85	21377	UROK	\N	\N
3637650	3241	1996-04-30	PRIJEM	\N	90	22380	UROK	\N	\N
3637651	3241	1996-05-31	PRIJEM	\N	101	25154	UROK	\N	\N
3637652	3241	1996-06-30	PRIJEM	\N	110	26948	UROK	\N	\N
3637653	3241	1996-07-31	PRIJEM	\N	120	30302	UROK	\N	\N
3637654	3241	1996-08-31	PRIJEM	\N	134	33669	UROK	\N	\N
3637655	3241	1996-09-30	PRIJEM	\N	148	37051	UROK	\N	\N
3637656	3241	1996-10-31	PRIJEM	\N	154	38678	UROK	\N	\N
3637657	3241	1996-11-30	PRIJEM	\N	169	42080	UROK	\N	\N
3637658	3241	1996-12-31	PRIJEM	\N	182	44245	UROK	\N	\N
3637659	3241	1997-01-31	PRIJEM	\N	165	36444	UROK	\N	\N
3637660	3241	1997-02-28	PRIJEM	\N	153	37270	UROK	\N	\N
3637661	3241	1997-03-31	PRIJEM	\N	163	40666	UROK	\N	\N
3637662	3241	1997-04-30	PRIJEM	\N	168	40227	UROK	\N	\N
3637663	3241	1997-05-31	PRIJEM	\N	175	43636	UROK	\N	\N
3637664	3241	1997-06-30	PRIJEM	\N	180	42689	UROK	\N	\N
3637665	3241	1997-07-31	PRIJEM	\N	185	46108	UROK	\N	\N
3637666	3241	1997-08-31	PRIJEM	\N	199	49540	UROK	\N	\N
3637667	3241	1997-09-30	PRIJEM	\N	213	52987	UROK	\N	\N
3637668	3241	1997-10-31	PRIJEM	\N	228	56448	UROK	\N	\N
3637669	3241	1997-11-30	PRIJEM	\N	231	56232	UROK	\N	\N
3637670	3241	1997-12-31	PRIJEM	\N	238	58754	UROK	\N	\N
3637671	3241	1998-01-31	PRIJEM	\N	217	48174	UROK	\N	\N
3637672	3241	1998-02-28	PRIJEM	\N	207	51614	UROK	\N	\N
3637673	3241	1998-03-31	PRIJEM	\N	221	55069	UROK	\N	\N
3637674	3241	1998-04-30	PRIJEM	\N	236	58538	UROK	\N	\N
3637675	3241	1998-05-31	PRIJEM	\N	250	62021	UROK	\N	\N
3637676	3241	1998-06-30	PRIJEM	\N	254	61458	UROK	\N	\N
3637677	3241	1998-07-31	PRIJEM	\N	262	62233	UROK	\N	\N
3637678	3241	1998-08-31	PRIJEM	\N	265	65732	UROK	\N	\N
3637679	3241	1998-09-30	PRIJEM	\N	279	69244	UROK	\N	\N
3637680	3241	1998-10-31	PRIJEM	\N	286	70763	UROK	\N	\N
3637681	3241	1998-11-30	PRIJEM	\N	299	72056	UROK	\N	\N
3637682	3241	1998-12-31	PRIJEM	\N	296	72395	UROK	\N	\N
3637683	3242	1997-03-31	PRIJEM	\N	27	9685	UROK	\N	\N
3637684	3242	1997-04-30	PRIJEM	\N	73	21617	UROK	\N	\N
3637685	3242	1997-05-31	PRIJEM	\N	122	33196	UROK	\N	\N
3637686	3242	1997-06-30	PRIJEM	\N	123	42556	UROK	\N	\N
3637687	3242	1997-07-31	PRIJEM	\N	143	31839	UROK	\N	\N
3637688	3242	1997-08-31	PRIJEM	\N	118	28203	UROK	\N	\N
3637689	3242	1997-09-30	PRIJEM	\N	127	29935	UROK	\N	\N
3637690	3242	1997-10-31	PRIJEM	\N	141	29081	UROK	\N	\N
3637691	3242	1997-11-30	PRIJEM	\N	125	25272	UROK	\N	\N
3637692	3242	1997-12-31	PRIJEM	\N	107	23463	UROK	\N	\N
3637693	3242	1998-01-31	PRIJEM	\N	84	13552	UROK	\N	\N
3637694	3242	1998-02-28	PRIJEM	\N	66	21623	UROK	\N	\N
3637695	3242	1998-03-31	PRIJEM	\N	96	25524	UROK	\N	\N
3637696	3242	1998-04-30	PRIJEM	\N	124	29354	UROK	\N	\N
3637697	3242	1998-05-31	PRIJEM	\N	137	29996	UROK	\N	\N
3637698	3242	1998-06-30	PRIJEM	\N	123	27744	UROK	\N	\N
3637699	3242	1998-07-31	PRIJEM	\N	129	29379	UROK	\N	\N
3637700	3242	1998-08-31	PRIJEM	\N	125	26449	UROK	\N	\N
3637701	3242	1998-09-30	PRIJEM	\N	109	23163	UROK	\N	\N
3637702	3242	1998-10-31	PRIJEM	\N	101	27269	UROK	\N	\N
3637703	3242	1998-11-30	PRIJEM	\N	115	27989	UROK	\N	\N
3637704	3242	1998-12-31	PRIJEM	\N	122	22395	UROK	\N	\N
3637705	3243	1994-02-28	PRIJEM	\N	64	20483	UROK	\N	\N
3637706	3243	1994-03-31	PRIJEM	\N	85	27441	UROK	\N	\N
3637707	3243	1994-04-30	PRIJEM	\N	104	25618	UROK	\N	\N
3637708	3243	1994-05-31	PRIJEM	\N	103	21433	UROK	\N	\N
3637709	3243	1994-06-30	PRIJEM	\N	81	16237	UROK	\N	\N
3637710	3243	1994-07-31	PRIJEM	\N	78	19287	UROK	\N	\N
3637711	3243	1994-08-31	PRIJEM	\N	90	22350	UROK	\N	\N
3637712	3243	1994-09-30	PRIJEM	\N	103	25425	UROK	\N	\N
3637713	3243	1994-10-31	PRIJEM	\N	112	24670	UROK	\N	\N
3637714	3243	1994-11-30	PRIJEM	\N	113	27755	UROK	\N	\N
3637715	3243	1994-12-31	PRIJEM	\N	123	29700	UROK	\N	\N
3637716	3243	1995-01-31	PRIJEM	\N	114	26137	UROK	\N	\N
3637717	3243	1995-02-28	PRIJEM	\N	119	29228	UROK	\N	\N
3637718	3243	1995-03-31	PRIJEM	\N	125	30205	UROK	\N	\N
3637719	3243	1995-04-30	PRIJEM	\N	115	27652	UROK	\N	\N
3637720	3243	1995-05-31	PRIJEM	\N	104	24828	UROK	\N	\N
3637721	3243	1995-06-30	PRIJEM	\N	84	14035	UROK	\N	\N
3637722	3243	1995-07-31	PRIJEM	\N	68	17076	UROK	\N	\N
3637723	3243	1995-08-31	PRIJEM	\N	81	20129	UROK	\N	\N
3637724	3243	1995-09-30	PRIJEM	\N	86	20787	UROK	\N	\N
3637725	3243	1995-10-31	PRIJEM	\N	96	23856	UROK	\N	\N
3637726	3243	1995-11-30	PRIJEM	\N	109	26937	UROK	\N	\N
3637727	3243	1995-12-31	PRIJEM	\N	107	25316	UROK	\N	\N
3637728	3243	1996-01-31	PRIJEM	\N	100	22838	UROK	\N	\N
3637729	3243	1996-02-29	PRIJEM	\N	105	25915	UROK	\N	\N
3637730	3243	1996-03-31	PRIJEM	\N	117	27404	UROK	\N	\N
3637731	3243	1996-04-30	PRIJEM	\N	115	23111	UROK	\N	\N
3637732	3243	1996-05-31	PRIJEM	\N	102	20106	UROK	\N	\N
3637733	3243	1996-06-30	PRIJEM	\N	84	19762	UROK	\N	\N
3637734	3243	1996-07-31	PRIJEM	\N	84	19338	UROK	\N	\N
3637735	3243	1996-08-31	PRIJEM	\N	86	17797	UROK	\N	\N
3637736	3243	1996-09-30	PRIJEM	\N	83	20452	UROK	\N	\N
3637737	3243	1996-10-31	PRIJEM	\N	90	19014	UROK	\N	\N
3637738	3243	1996-11-30	PRIJEM	\N	85	18891	UROK	\N	\N
3637739	3243	1996-12-31	PRIJEM	\N	83	17796	UROK	\N	\N
3637740	3243	1997-01-31	PRIJEM	\N	71	14890	UROK	\N	\N
3637741	3243	1997-02-28	PRIJEM	\N	69	16431	UROK	\N	\N
3637742	3243	1997-03-31	PRIJEM	\N	70	13394	UROK	\N	\N
3637743	3243	1997-04-30	PRIJEM	\N	62	14228	UROK	\N	\N
3637744	3243	1997-05-31	PRIJEM	\N	64	13765	UROK	\N	\N
3637745	3243	1997-06-30	PRIJEM	\N	65	16302	UROK	\N	\N
3637746	3243	1997-07-31	PRIJEM	\N	63	13858	UROK	\N	\N
3637747	3243	1997-08-31	PRIJEM	\N	66	16296	UROK	\N	\N
3637748	3243	1997-09-30	PRIJEM	\N	75	18543	UROK	\N	\N
3637749	3243	1997-10-31	PRIJEM	\N	80	17695	UROK	\N	\N
3637750	3243	1997-11-30	PRIJEM	\N	70	15258	UROK	\N	\N
3637751	3243	1997-12-31	PRIJEM	\N	68	16048	UROK	\N	\N
3637752	3243	1998-01-31	PRIJEM	\N	68	15138	UROK	\N	\N
3637753	3243	1998-02-28	PRIJEM	\N	71	18182	UROK	\N	\N
3637754	3243	1998-03-31	PRIJEM	\N	71	13725	UROK	\N	\N
3637755	3243	1998-04-30	PRIJEM	\N	65	16762	UROK	\N	\N
3637756	3243	1998-05-31	PRIJEM	\N	78	19813	UROK	\N	\N
3637757	3243	1998-06-30	PRIJEM	\N	64	12849	UROK	\N	\N
3637758	3243	1998-07-31	PRIJEM	\N	61	15883	UROK	\N	\N
3637759	3243	1998-08-31	PRIJEM	\N	62	13518	UROK	\N	\N
3637760	3243	1998-09-30	PRIJEM	\N	59	14449	UROK	\N	\N
3637761	3243	1998-10-31	PRIJEM	\N	62	15084	UROK	\N	\N
3637762	3243	1998-11-30	PRIJEM	\N	70	18127	UROK	\N	\N
3637763	3243	1998-12-31	PRIJEM	\N	79	18978	UROK	\N	\N
3637764	3244	1995-01-31	PRIJEM	\N	3	4219	UROK	\N	\N
3637765	3244	1995-02-28	PRIJEM	\N	5	7339	UROK	\N	\N
3637766	3244	1995-03-31	PRIJEM	\N	5	10460	UROK	\N	\N
3637767	3244	1995-04-30	PRIJEM	\N	5	13580	UROK	\N	\N
3637768	3244	1995-05-31	PRIJEM	\N	7	16703	UROK	\N	\N
3637769	3244	1995-06-30	PRIJEM	\N	72	17799	UROK	\N	\N
3637770	3244	1995-07-31	PRIJEM	\N	76	18900	UROK	\N	\N
3637771	3244	1995-08-31	PRIJEM	\N	78	19132	UROK	\N	\N
3637772	3244	1995-09-30	PRIJEM	\N	82	20238	UROK	\N	\N
3637773	3244	1995-10-31	PRIJEM	\N	87	21349	UROK	\N	\N
3637774	3244	1995-11-30	PRIJEM	\N	91	22464	UROK	\N	\N
3637775	3244	1995-12-31	PRIJEM	\N	92	22530	UROK	\N	\N
3637776	3244	1996-01-31	PRIJEM	\N	91	20376	UROK	\N	\N
3637777	3244	1996-02-29	PRIJEM	\N	83	20584	UROK	\N	\N
3637778	3244	1996-03-31	PRIJEM	\N	88	21696	UROK	\N	\N
3637779	3244	1996-04-30	PRIJEM	\N	89	21879	UROK	\N	\N
3637780	3244	1996-05-31	PRIJEM	\N	93	22997	UROK	\N	\N
3637781	3244	1996-06-30	PRIJEM	\N	77	17648	UROK	\N	\N
3637782	3244	1996-07-31	PRIJEM	\N	76	18748	UROK	\N	\N
3637783	3244	1996-08-31	PRIJEM	\N	80	19853	UROK	\N	\N
3637784	3244	1996-09-30	PRIJEM	\N	84	19851	UROK	\N	\N
3637785	3244	1996-10-31	PRIJEM	\N	85	20960	UROK	\N	\N
3637786	3244	1996-11-30	PRIJEM	\N	84	19998	UROK	\N	\N
3637787	3244	1996-12-31	PRIJEM	\N	83	20476	UROK	\N	\N
3637788	3244	1997-01-31	PRIJEM	\N	81	17562	UROK	\N	\N
3637789	3244	1997-02-28	PRIJEM	\N	71	17337	UROK	\N	\N
3637790	3244	1997-03-31	PRIJEM	\N	68	15910	UROK	\N	\N
3637791	3244	1997-04-30	PRIJEM	\N	68	17002	UROK	\N	\N
3637792	3244	1997-05-31	PRIJEM	\N	73	18099	UROK	\N	\N
3637793	3244	1997-06-30	PRIJEM	\N	77	19200	UROK	\N	\N
3637794	3244	1997-07-31	PRIJEM	\N	80	19905	UROK	\N	\N
3637795	3244	1997-08-31	PRIJEM	\N	84	20773	UROK	\N	\N
3637796	3244	1997-09-30	PRIJEM	\N	88	21786	UROK	\N	\N
3637797	3244	1997-10-31	PRIJEM	\N	92	21602	UROK	\N	\N
3637798	3244	1997-11-30	PRIJEM	\N	91	20117	UROK	\N	\N
3637799	3244	1997-12-31	PRIJEM	\N	83	17675	UROK	\N	\N
3637800	3244	1998-01-31	PRIJEM	\N	66	14125	UROK	\N	\N
3637801	3244	1998-02-28	PRIJEM	\N	60	15209	UROK	\N	\N
3637802	3244	1998-03-31	PRIJEM	\N	62	13456	UROK	\N	\N
3637803	3244	1998-04-30	PRIJEM	\N	57	14538	UROK	\N	\N
3637804	3244	1998-05-31	PRIJEM	\N	62	15624	UROK	\N	\N
3637805	3244	1998-06-30	PRIJEM	\N	66	16714	UROK	\N	\N
3637806	3244	1998-07-31	PRIJEM	\N	70	17479	UROK	\N	\N
3637807	3244	1998-08-31	PRIJEM	\N	67	13651	UROK	\N	\N
3637808	3244	1998-09-30	PRIJEM	\N	58	14733	UROK	\N	\N
3637809	3244	1998-10-31	PRIJEM	\N	62	15820	UROK	\N	\N
3637810	3244	1998-11-30	PRIJEM	\N	67	16911	UROK	\N	\N
3637811	3244	1998-12-31	PRIJEM	\N	71	18007	UROK	\N	\N
3637812	3245	1997-10-31	PRIJEM	\N	22	20646	UROK	\N	\N
3637813	3245	1997-11-30	PRIJEM	\N	86	19843	UROK	\N	\N
3637814	3245	1997-12-31	PRIJEM	\N	85	19416	UROK	\N	\N
3637815	3245	1998-01-31	PRIJEM	\N	69	13654	UROK	\N	\N
3637816	3245	1998-02-28	PRIJEM	\N	62	14255	UROK	\N	\N
3637817	3245	1998-03-31	PRIJEM	\N	58	12191	UROK	\N	\N
3637818	3245	1998-04-30	PRIJEM	\N	59	15088	UROK	\N	\N
3637819	3245	1998-05-31	PRIJEM	\N	56	14063	UROK	\N	\N
3637820	3245	1998-06-30	PRIJEM	\N	67	16968	UROK	\N	\N
3637821	3245	1998-07-31	PRIJEM	\N	67	11573	UROK	\N	\N
3637822	3245	1998-08-31	PRIJEM	\N	55	13266	UROK	\N	\N
3637823	3245	1998-09-30	PRIJEM	\N	60	13764	UROK	\N	\N
3637824	3245	1998-10-31	PRIJEM	\N	62	14765	UROK	\N	\N
3637825	3245	1998-11-30	PRIJEM	\N	70	17573	UROK	\N	\N
3637826	3245	1998-12-31	PRIJEM	\N	82	19593	UROK	\N	\N
3637827	3246	1993-07-31	PRIJEM	\N	33	13665	UROK	\N	\N
3637828	3246	1993-08-31	PRIJEM	\N	77	21674	UROK	\N	\N
3637829	3246	1993-09-30	PRIJEM	\N	104	26910	UROK	\N	\N
3637830	3246	1993-10-31	PRIJEM	\N	121	30463	UROK	\N	\N
3637831	3246	1993-11-30	PRIJEM	\N	124	29398	UROK	\N	\N
3637832	3246	1993-12-31	PRIJEM	\N	117	26018	UROK	\N	\N
3637833	3246	1994-01-31	PRIJEM	\N	92	16246	UROK	\N	\N
3637834	3246	1994-02-28	PRIJEM	\N	94	21996	UROK	\N	\N
3637835	3246	1994-03-31	PRIJEM	\N	101	25193	UROK	\N	\N
3637836	3246	1994-04-30	PRIJEM	\N	110	26799	UROK	\N	\N
3637837	3246	1994-05-31	PRIJEM	\N	104	22560	UROK	\N	\N
3637838	3246	1994-06-30	PRIJEM	\N	108	26710	UROK	\N	\N
3637839	3246	1994-07-31	PRIJEM	\N	108	25915	UROK	\N	\N
3637840	3246	1994-08-31	PRIJEM	\N	97	22508	UROK	\N	\N
3637841	3246	1994-09-30	PRIJEM	\N	91	21396	UROK	\N	\N
3637842	3246	1994-10-31	PRIJEM	\N	96	23088	UROK	\N	\N
3637843	3246	1994-11-30	PRIJEM	\N	92	20776	UROK	\N	\N
3637844	3246	1994-12-31	PRIJEM	\N	92	19210	UROK	\N	\N
3637845	3246	1995-01-31	PRIJEM	\N	82	13008	UROK	\N	\N
3637846	3246	1995-02-28	PRIJEM	\N	91	23396	UROK	\N	\N
3637847	3246	1995-03-31	PRIJEM	\N	95	21988	UROK	\N	\N
3637848	3246	1995-04-30	PRIJEM	\N	102	24586	UROK	\N	\N
3637849	3246	1995-05-31	PRIJEM	\N	103	24485	UROK	\N	\N
3637850	3246	1995-06-30	PRIJEM	\N	114	27622	UROK	\N	\N
3637851	3246	1995-07-31	PRIJEM	\N	123	26961	UROK	\N	\N
3637852	3246	1995-08-31	PRIJEM	\N	119	28476	UROK	\N	\N
3637853	3246	1995-09-30	PRIJEM	\N	124	29596	UROK	\N	\N
3637854	3246	1995-10-31	PRIJEM	\N	110	24483	UROK	\N	\N
3637855	3246	1995-11-30	PRIJEM	\N	118	28696	UROK	\N	\N
3637856	3246	1995-12-31	PRIJEM	\N	139	33838	UROK	\N	\N
3637857	3246	1996-01-31	PRIJEM	\N	79	18313	UROK	\N	\N
3637858	3246	1996-02-29	PRIJEM	\N	82	19372	UROK	\N	\N
3637859	3246	1996-03-31	PRIJEM	\N	82	21770	UROK	\N	\N
3637860	3246	1996-04-30	PRIJEM	\N	98	27864	UROK	\N	\N
3637861	3246	1996-05-31	PRIJEM	\N	122	28982	UROK	\N	\N
3637862	3246	1996-06-30	PRIJEM	\N	135	29980	UROK	\N	\N
3637863	3246	1996-07-31	PRIJEM	\N	129	28705	UROK	\N	\N
3637864	3246	1996-08-31	PRIJEM	\N	122	26424	UROK	\N	\N
3637865	3246	1996-09-30	PRIJEM	\N	100	19761	UROK	\N	\N
3637866	3246	1996-10-31	PRIJEM	\N	80	17577	UROK	\N	\N
3637867	3246	1996-11-30	PRIJEM	\N	79	19852	UROK	\N	\N
3637868	3246	1996-12-31	PRIJEM	\N	91	15326	UROK	\N	\N
3637869	3246	1997-01-31	PRIJEM	\N	55	14997	UROK	\N	\N
3637870	3246	1997-02-28	PRIJEM	\N	65	13658	UROK	\N	\N
3637871	3246	1997-03-31	PRIJEM	\N	62	15516	UROK	\N	\N
3637872	3246	1997-04-30	PRIJEM	\N	70	17482	UROK	\N	\N
3637873	3246	1997-05-31	PRIJEM	\N	77	19056	UROK	\N	\N
3637874	3246	1997-06-30	PRIJEM	\N	91	20709	UROK	\N	\N
3637875	3246	1997-07-31	PRIJEM	\N	87	18992	UROK	\N	\N
3637876	3246	1997-08-31	PRIJEM	\N	80	18369	UROK	\N	\N
3637877	3246	1997-09-30	PRIJEM	\N	69	15094	UROK	\N	\N
3637878	3246	1997-10-31	PRIJEM	\N	68	17558	UROK	\N	\N
3637879	3246	1997-11-30	PRIJEM	\N	74	17228	UROK	\N	\N
3637880	3246	1997-12-31	PRIJEM	\N	80	18591	UROK	\N	\N
3637881	3246	1998-01-31	PRIJEM	\N	70	15998	UROK	\N	\N
3637882	3246	1998-02-28	PRIJEM	\N	70	17564	UROK	\N	\N
3637883	3246	1998-03-31	PRIJEM	\N	75	18335	UROK	\N	\N
3637884	3246	1998-04-30	PRIJEM	\N	80	20112	UROK	\N	\N
3637885	3246	1998-05-31	PRIJEM	\N	74	20022	UROK	\N	\N
3637886	3246	1998-06-30	PRIJEM	\N	96	24580	UROK	\N	\N
3637887	3246	1998-07-31	PRIJEM	\N	97	21573	UROK	\N	\N
3637888	3246	1998-08-31	PRIJEM	\N	82	18152	UROK	\N	\N
3637889	3246	1998-09-30	PRIJEM	\N	77	19025	UROK	\N	\N
3637890	3246	1998-10-31	PRIJEM	\N	65	13926	UROK	\N	\N
3637891	3246	1998-11-30	PRIJEM	\N	59	14781	UROK	\N	\N
3637892	3246	1998-12-31	PRIJEM	\N	58	14082	UROK	\N	\N
3637893	3247	1996-05-31	PRIJEM	\N	44	15454	UROK	\N	\N
3637894	3247	1996-06-30	PRIJEM	\N	92	25061	UROK	\N	\N
3637895	3247	1996-07-31	PRIJEM	\N	111	27482	UROK	\N	\N
3637896	3247	1996-08-31	PRIJEM	\N	114	27406	UROK	\N	\N
3637897	3247	1996-09-30	PRIJEM	\N	105	24189	UROK	\N	\N
3637898	3247	1996-10-31	PRIJEM	\N	102	24080	UROK	\N	\N
3637899	3247	1996-11-30	PRIJEM	\N	111	26681	UROK	\N	\N
3637900	3247	1996-12-31	PRIJEM	\N	108	22303	UROK	\N	\N
3637901	3247	1997-01-31	PRIJEM	\N	71	12863	UROK	\N	\N
3637902	3247	1997-02-28	PRIJEM	\N	79	19932	UROK	\N	\N
3637903	3247	1997-03-31	PRIJEM	\N	86	19706	UROK	\N	\N
3637904	3247	1997-04-30	PRIJEM	\N	99	24295	UROK	\N	\N
3637905	3247	1997-05-31	PRIJEM	\N	113	25838	UROK	\N	\N
3637906	3247	1997-06-30	PRIJEM	\N	125	29438	UROK	\N	\N
3637907	3247	1997-07-31	PRIJEM	\N	131	31458	UROK	\N	\N
3637908	3247	1997-08-31	PRIJEM	\N	120	24667	UROK	\N	\N
3637909	3247	1997-09-30	PRIJEM	\N	126	31083	UROK	\N	\N
3637910	3247	1997-10-31	PRIJEM	\N	144	35017	UROK	\N	\N
3637911	3247	1997-11-30	PRIJEM	\N	152	36458	UROK	\N	\N
3637912	3247	1997-12-31	PRIJEM	\N	160	36312	UROK	\N	\N
3637913	3247	1998-01-31	PRIJEM	\N	63	19845	UROK	\N	\N
3637914	3247	1998-02-28	PRIJEM	\N	70	15304	UROK	\N	\N
3637915	3247	1998-03-31	PRIJEM	\N	96	24189	UROK	\N	\N
3637916	3247	1998-04-30	PRIJEM	\N	110	20369	UROK	\N	\N
3637917	3247	1998-05-31	PRIJEM	\N	113	27971	UROK	\N	\N
3637918	3247	1998-06-30	PRIJEM	\N	156	37341	UROK	\N	\N
3637919	3247	1998-07-31	PRIJEM	\N	148	34739	UROK	\N	\N
3637920	3247	1998-08-31	PRIJEM	\N	151	33779	UROK	\N	\N
3637921	3247	1998-09-30	PRIJEM	\N	146	30014	UROK	\N	\N
3637922	3247	1998-10-31	PRIJEM	\N	131	28935	UROK	\N	\N
3637923	3247	1998-11-30	PRIJEM	\N	119	24683	UROK	\N	\N
3637924	3247	1998-12-31	PRIJEM	\N	113	26911	UROK	\N	\N
3637925	3248	1996-10-31	PRIJEM	\N	4	25729	UROK	\N	\N
3637926	3248	1996-11-30	PRIJEM	\N	93	22173	UROK	\N	\N
3637927	3248	1996-12-31	PRIJEM	\N	93	22708	UROK	\N	\N
3637928	3248	1997-01-31	PRIJEM	\N	77	15035	UROK	\N	\N
3637929	3248	1997-02-28	PRIJEM	\N	66	16793	UROK	\N	\N
3637930	3248	1997-03-31	PRIJEM	\N	74	18558	UROK	\N	\N
3637931	3248	1997-04-30	PRIJEM	\N	75	18144	UROK	\N	\N
3637932	3248	1997-05-31	PRIJEM	\N	80	19915	UROK	\N	\N
3637933	3248	1997-06-30	PRIJEM	\N	86	21052	UROK	\N	\N
3637934	3248	1997-07-31	PRIJEM	\N	88	21551	UROK	\N	\N
3637935	3248	1997-08-31	PRIJEM	\N	93	23236	UROK	\N	\N
3637936	3248	1997-09-30	PRIJEM	\N	97	23584	UROK	\N	\N
3637937	3248	1997-10-31	PRIJEM	\N	92	22368	UROK	\N	\N
3637938	3248	1997-11-30	PRIJEM	\N	88	21127	UROK	\N	\N
3637939	3248	1997-12-31	PRIJEM	\N	76	17705	UROK	\N	\N
3637940	3248	1998-01-31	PRIJEM	\N	60	13995	UROK	\N	\N
3637941	3248	1998-02-28	PRIJEM	\N	58	14945	UROK	\N	\N
3637942	3248	1998-03-31	PRIJEM	\N	55	13491	UROK	\N	\N
3637943	3248	1998-04-30	PRIJEM	\N	58	14601	UROK	\N	\N
3637944	3248	1998-05-31	PRIJEM	\N	65	16358	UROK	\N	\N
3637945	3248	1998-06-30	PRIJEM	\N	70	15719	UROK	\N	\N
3637946	3248	1998-07-31	PRIJEM	\N	69	17479	UROK	\N	\N
3637947	3248	1998-08-31	PRIJEM	\N	77	19248	UROK	\N	\N
3637948	3248	1998-09-30	PRIJEM	\N	80	18139	UROK	\N	\N
3637949	3248	1998-10-31	PRIJEM	\N	76	18867	UROK	\N	\N
3637950	3248	1998-11-30	PRIJEM	\N	83	20641	UROK	\N	\N
3637951	3248	1998-12-31	PRIJEM	\N	89	21671	UROK	\N	\N
3637952	3249	1996-11-30	PRIJEM	\N	70	24132	UROK	\N	\N
3637953	3249	1996-12-31	PRIJEM	\N	145	39471	UROK	\N	\N
3637954	3249	1997-01-31	PRIJEM	\N	175	43007	UROK	\N	\N
3637955	3249	1997-02-28	PRIJEM	\N	186	45455	UROK	\N	\N
3637956	3249	1997-03-31	PRIJEM	\N	152	29372	UROK	\N	\N
3637957	3249	1997-04-30	PRIJEM	\N	116	15619	UROK	\N	\N
3637958	3249	1997-05-31	PRIJEM	\N	89	19578	UROK	\N	\N
3637959	3249	1997-06-30	PRIJEM	\N	102	12762	UROK	\N	\N
3637960	3249	1997-07-31	PRIJEM	\N	69	10981	UROK	\N	\N
3637961	3249	1997-08-31	PRIJEM	\N	71	16502	UROK	\N	\N
3637962	3249	1997-09-30	PRIJEM	\N	94	19369	UROK	\N	\N
3637963	3249	1997-10-31	PRIJEM	\N	103	22346	UROK	\N	\N
3637964	3249	1997-11-30	PRIJEM	\N	156	36975	UROK	\N	\N
3637965	3249	1997-12-31	PRIJEM	\N	208	46707	UROK	\N	\N
3637966	3249	1998-01-31	PRIJEM	\N	167	33208	UROK	\N	\N
3637967	3249	1998-02-28	PRIJEM	\N	173	39554	UROK	\N	\N
3637968	3249	1998-03-31	PRIJEM	\N	188	36056	UROK	\N	\N
3637969	3249	1998-04-30	PRIJEM	\N	166	34655	UROK	\N	\N
3637970	3249	1998-05-31	PRIJEM	\N	157	34386	UROK	\N	\N
3637971	3249	1998-06-30	PRIJEM	\N	209	49899	UROK	\N	\N
3637972	3249	1998-07-31	PRIJEM	\N	202	45174	UROK	\N	\N
3637973	3249	1998-08-31	PRIJEM	\N	186	41334	UROK	\N	\N
3637974	3249	1998-09-30	PRIJEM	\N	165	37949	UROK	\N	\N
3637975	3249	1998-10-31	PRIJEM	\N	171	38870	UROK	\N	\N
3637976	3249	1998-11-30	PRIJEM	\N	182	42382	UROK	\N	\N
3637977	3249	1998-12-31	PRIJEM	\N	221	57645	UROK	\N	\N
3637978	3250	1995-01-31	PRIJEM	\N	21	6511	UROK	\N	\N
3637979	3250	1995-02-28	PRIJEM	\N	27	12228	UROK	\N	\N
3637980	3250	1995-03-31	PRIJEM	\N	27	17945	UROK	\N	\N
3637981	3250	1995-04-30	PRIJEM	\N	27	23662	UROK	\N	\N
3637982	3250	1995-05-31	PRIJEM	\N	95	26847	UROK	\N	\N
3637983	3250	1995-06-30	PRIJEM	\N	117	28959	UROK	\N	\N
3637984	3250	1995-07-31	PRIJEM	\N	119	29133	UROK	\N	\N
3637985	3250	1995-08-31	PRIJEM	\N	113	27102	UROK	\N	\N
3637986	3250	1995-09-30	PRIJEM	\N	100	23897	UROK	\N	\N
3637987	3250	1995-10-31	PRIJEM	\N	96	22548	UROK	\N	\N
3637988	3250	1995-11-30	PRIJEM	\N	105	26148	UROK	\N	\N
3637989	3250	1995-12-31	PRIJEM	\N	107	25400	UROK	\N	\N
3637990	3250	1996-01-31	PRIJEM	\N	100	20655	UROK	\N	\N
3637991	3250	1996-02-29	PRIJEM	\N	95	23545	UROK	\N	\N
3637992	3250	1996-03-31	PRIJEM	\N	107	26848	UROK	\N	\N
3637993	3250	1996-04-30	PRIJEM	\N	105	23968	UROK	\N	\N
3637994	3250	1996-05-31	PRIJEM	\N	105	21869	UROK	\N	\N
3637995	3250	1996-06-30	PRIJEM	\N	102	21566	UROK	\N	\N
3637996	3250	1996-07-31	PRIJEM	\N	99	18861	UROK	\N	\N
3637997	3250	1996-08-31	PRIJEM	\N	86	17823	UROK	\N	\N
3637998	3250	1996-09-30	PRIJEM	\N	86	21104	UROK	\N	\N
3637999	3250	1996-10-31	PRIJEM	\N	95	19154	UROK	\N	\N
3638000	3250	1996-11-30	PRIJEM	\N	90	20339	UROK	\N	\N
3638001	3250	1996-12-31	PRIJEM	\N	93	19878	UROK	\N	\N
3638002	3250	1997-01-31	PRIJEM	\N	72	13905	UROK	\N	\N
3638003	3250	1997-02-28	PRIJEM	\N	65	11965	UROK	\N	\N
3638004	3250	1997-03-31	PRIJEM	\N	55	13496	UROK	\N	\N
3638005	3250	1997-04-30	PRIJEM	\N	65	13756	UROK	\N	\N
3638006	3250	1997-05-31	PRIJEM	\N	67	15618	UROK	\N	\N
3638007	3250	1997-06-30	PRIJEM	\N	69	12882	UROK	\N	\N
3638008	3250	1997-07-31	PRIJEM	\N	63	14240	UROK	\N	\N
3638009	3250	1997-08-31	PRIJEM	\N	67	14803	UROK	\N	\N
3638010	3250	1997-09-30	PRIJEM	\N	72	17770	UROK	\N	\N
3638011	3250	1997-10-31	PRIJEM	\N	78	16143	UROK	\N	\N
3638012	3250	1997-11-30	PRIJEM	\N	70	14049	UROK	\N	\N
3638013	3250	1997-12-31	PRIJEM	\N	62	12706	UROK	\N	\N
3638014	3250	1998-01-31	PRIJEM	\N	60	13841	UROK	\N	\N
3638015	3250	1998-02-28	PRIJEM	\N	64	14801	UROK	\N	\N
3638016	3250	1998-03-31	PRIJEM	\N	67	14763	UROK	\N	\N
3638017	3250	1998-04-30	PRIJEM	\N	67	15026	UROK	\N	\N
3638018	3250	1998-05-31	PRIJEM	\N	64	12685	UROK	\N	\N
3638019	3250	1998-06-30	PRIJEM	\N	60	14140	UROK	\N	\N
3638020	3250	1998-07-31	PRIJEM	\N	61	12897	UROK	\N	\N
3638021	3250	1998-08-31	PRIJEM	\N	65	16757	UROK	\N	\N
3638022	3250	1998-09-30	PRIJEM	\N	71	16343	UROK	\N	\N
3638023	3250	1998-10-31	PRIJEM	\N	65	13103	UROK	\N	\N
3638024	3250	1998-11-30	PRIJEM	\N	65	16964	UROK	\N	\N
3638025	3250	1998-12-31	PRIJEM	\N	81	19940	UROK	\N	\N
3638026	3251	1995-10-31	PRIJEM	\N	33	13472	UROK	\N	\N
3638027	3251	1995-11-30	PRIJEM	\N	59	14527	UROK	\N	\N
3638028	3251	1995-12-31	PRIJEM	\N	62	15015	UROK	\N	\N
3638029	3251	1996-01-31	PRIJEM	\N	65	15596	UROK	\N	\N
3638030	3251	1996-02-29	PRIJEM	\N	67	16660	UROK	\N	\N
3638031	3251	1996-03-31	PRIJEM	\N	72	17628	UROK	\N	\N
3638032	3251	1996-04-30	PRIJEM	\N	73	16867	UROK	\N	\N
3638033	3251	1996-05-31	PRIJEM	\N	73	17936	UROK	\N	\N
3638034	3251	1996-06-30	PRIJEM	\N	75	17908	UROK	\N	\N
3638035	3251	1996-07-31	PRIJEM	\N	77	18981	UROK	\N	\N
3638036	3251	1996-08-31	PRIJEM	\N	81	19368	UROK	\N	\N
3638037	3251	1996-09-30	PRIJEM	\N	85	20029	UROK	\N	\N
3638038	3251	1996-10-31	PRIJEM	\N	86	21111	UROK	\N	\N
3638039	3251	1996-11-30	PRIJEM	\N	90	21398	UROK	\N	\N
3638040	3251	1996-12-31	PRIJEM	\N	85	19589	UROK	\N	\N
3638041	3251	1997-01-31	PRIJEM	\N	86	20171	UROK	\N	\N
3638042	3251	1997-02-28	PRIJEM	\N	84	20081	UROK	\N	\N
3638043	3251	1997-03-31	PRIJEM	\N	86	21163	UROK	\N	\N
3638044	3251	1997-04-30	PRIJEM	\N	92	21652	UROK	\N	\N
3638045	3251	1997-05-31	PRIJEM	\N	93	21641	UROK	\N	\N
3638046	3251	1997-06-30	PRIJEM	\N	93	22310	UROK	\N	\N
3638047	3251	1997-07-31	PRIJEM	\N	95	23401	UROK	\N	\N
3638048	3251	1997-08-31	PRIJEM	\N	100	24497	UROK	\N	\N
3638049	3251	1997-09-30	PRIJEM	\N	104	25598	UROK	\N	\N
3638050	3251	1997-10-31	PRIJEM	\N	108	25772	UROK	\N	\N
3638051	3251	1997-11-30	PRIJEM	\N	111	26338	UROK	\N	\N
3638052	3251	1997-12-31	PRIJEM	\N	112	26846	UROK	\N	\N
3638053	3251	1998-01-31	PRIJEM	\N	114	27957	UROK	\N	\N
3638054	3251	1998-02-28	PRIJEM	\N	118	29071	UROK	\N	\N
3638055	3251	1998-03-31	PRIJEM	\N	123	30191	UROK	\N	\N
3638056	3251	1998-04-30	PRIJEM	\N	128	31315	UROK	\N	\N
3638057	3251	1998-05-31	PRIJEM	\N	132	32443	UROK	\N	\N
3638058	3251	1998-06-30	PRIJEM	\N	135	31534	UROK	\N	\N
3638059	3251	1998-07-31	PRIJEM	\N	133	32274	UROK	\N	\N
3638060	3251	1998-08-31	PRIJEM	\N	136	33406	UROK	\N	\N
3638061	3251	1998-09-30	PRIJEM	\N	139	33312	UROK	\N	\N
3638062	3251	1998-10-31	PRIJEM	\N	140	34448	UROK	\N	\N
3638063	3251	1998-11-30	PRIJEM	\N	144	35079	UROK	\N	\N
3638064	3251	1998-12-31	PRIJEM	\N	147	35082	UROK	\N	\N
3638065	3252	1995-06-30	PRIJEM	\N	9	3975	UROK	\N	\N
3638066	3252	1995-07-31	PRIJEM	\N	17	7058	UROK	\N	\N
3638067	3252	1995-08-31	PRIJEM	\N	17	10140	UROK	\N	\N
3638068	3252	1995-09-30	PRIJEM	\N	17	13223	UROK	\N	\N
3638069	3252	1995-10-31	PRIJEM	\N	44	15280	UROK	\N	\N
3638070	3252	1995-11-30	PRIJEM	\N	66	16354	UROK	\N	\N
3638071	3252	1995-12-31	PRIJEM	\N	67	16649	UROK	\N	\N
3638072	3252	1996-01-31	PRIJEM	\N	62	13908	UROK	\N	\N
3638073	3252	1996-02-29	PRIJEM	\N	60	14795	UROK	\N	\N
3638074	3252	1996-03-31	PRIJEM	\N	63	15866	UROK	\N	\N
3638075	3252	1996-04-30	PRIJEM	\N	68	16941	UROK	\N	\N
3638076	3252	1996-05-31	PRIJEM	\N	68	16997	UROK	\N	\N
3638077	3252	1996-06-30	PRIJEM	\N	73	18076	UROK	\N	\N
3638078	3252	1996-07-31	PRIJEM	\N	74	18377	UROK	\N	\N
3638079	3252	1996-08-31	PRIJEM	\N	78	19463	UROK	\N	\N
3638080	3252	1996-09-30	PRIJEM	\N	75	18446	UROK	\N	\N
3638081	3252	1996-10-31	PRIJEM	\N	79	18362	UROK	\N	\N
3638082	3252	1996-11-30	PRIJEM	\N	78	19448	UROK	\N	\N
3638083	3252	1996-12-31	PRIJEM	\N	83	20328	UROK	\N	\N
3638084	3252	1997-01-31	PRIJEM	\N	77	18113	UROK	\N	\N
3638085	3252	1997-02-28	PRIJEM	\N	73	17604	UROK	\N	\N
3638086	3252	1997-03-31	PRIJEM	\N	75	18686	UROK	\N	\N
3638087	3252	1997-04-30	PRIJEM	\N	79	19773	UROK	\N	\N
3638088	3252	1997-05-31	PRIJEM	\N	83	20293	UROK	\N	\N
3638089	3252	1997-06-30	PRIJEM	\N	84	21184	UROK	\N	\N
3638090	3252	1997-07-31	PRIJEM	\N	87	21019	UROK	\N	\N
3638091	3252	1997-08-31	PRIJEM	\N	89	22115	UROK	\N	\N
3638092	3252	1997-09-30	PRIJEM	\N	94	23216	UROK	\N	\N
3638093	3252	1997-10-31	PRIJEM	\N	98	23361	UROK	\N	\N
3638094	3252	1997-11-30	PRIJEM	\N	99	24467	UROK	\N	\N
3638095	3252	1997-12-31	PRIJEM	\N	102	24797	UROK	\N	\N
3638096	3252	1998-01-31	PRIJEM	\N	92	20436	UROK	\N	\N
3638097	3252	1998-02-28	PRIJEM	\N	87	21531	UROK	\N	\N
3638098	3252	1998-03-31	PRIJEM	\N	91	22629	UROK	\N	\N
3638099	3252	1998-04-30	PRIJEM	\N	97	23733	UROK	\N	\N
3638100	3252	1998-05-31	PRIJEM	\N	101	24842	UROK	\N	\N
3638101	3252	1998-06-30	PRIJEM	\N	106	25955	UROK	\N	\N
3638102	3252	1998-07-31	PRIJEM	\N	109	27072	UROK	\N	\N
3638103	3252	1998-08-31	PRIJEM	\N	114	28193	UROK	\N	\N
3638104	3252	1998-09-30	PRIJEM	\N	120	29320	UROK	\N	\N
3638105	3252	1998-10-31	PRIJEM	\N	120	29607	UROK	\N	\N
3638106	3252	1998-11-30	PRIJEM	\N	121	29595	UROK	\N	\N
3638107	3252	1998-12-31	PRIJEM	\N	122	30004	UROK	\N	\N
3638108	3253	1994-03-31	PRIJEM	\N	51	29035	UROK	\N	\N
3638109	3253	1994-04-30	PRIJEM	\N	121	27955	UROK	\N	\N
3638110	3253	1994-05-31	PRIJEM	\N	121	25576	UROK	\N	\N
3638111	3253	1994-06-30	PRIJEM	\N	167	58767	UROK	\N	\N
3638112	3253	1994-07-31	PRIJEM	\N	246	61818	UROK	\N	\N
3638113	3253	1994-08-31	PRIJEM	\N	281	86382	UROK	\N	\N
3638114	3253	1994-09-30	PRIJEM	\N	298	62659	UROK	\N	\N
3638115	3253	1994-10-31	PRIJEM	\N	261	103135	UROK	\N	\N
3638116	3253	1994-11-30	PRIJEM	\N	424	66059	UROK	\N	\N
3638117	3253	1994-12-31	PRIJEM	\N	230	31889	UROK	\N	\N
3638118	3253	1995-01-31	PRIJEM	\N	86	5439	UROK	\N	\N
3638119	3253	1995-02-28	PRIJEM	\N	49	33924	UROK	\N	\N
3638120	3253	1995-03-31	PRIJEM	\N	118	26242	UROK	\N	\N
3638121	3253	1995-04-30	PRIJEM	\N	108	23650	UROK	\N	\N
3638122	3253	1995-05-31	PRIJEM	\N	59	2009	UROK	\N	\N
3638123	3253	1995-06-30	PRIJEM	\N	86	20253	UROK	\N	\N
3638124	3253	1995-07-31	PRIJEM	\N	84	22137	UROK	\N	\N
3638125	3253	1995-08-31	PRIJEM	\N	150	44809	UROK	\N	\N
3638126	3253	1995-09-30	PRIJEM	\N	170	37744	UROK	\N	\N
3638127	3253	1995-10-31	PRIJEM	\N	201	65656	UROK	\N	\N
3638128	3253	1995-11-30	PRIJEM	\N	285	88108	UROK	\N	\N
3638129	3253	1995-12-31	PRIJEM	\N	383	100865	UROK	\N	\N
3638130	3253	1996-01-31	PRIJEM	\N	243	33808	UROK	\N	\N
3638131	3253	1996-02-29	PRIJEM	\N	213	72397	UROK	\N	\N
3638132	3253	1996-03-31	PRIJEM	\N	417	70570	UROK	\N	\N
3638133	3253	1996-04-30	PRIJEM	\N	285	79989	UROK	\N	\N
3638134	3253	1996-05-31	PRIJEM	\N	348	88895	UROK	\N	\N
3638135	3253	1996-06-30	PRIJEM	\N	227	29634	UROK	\N	\N
3638136	3253	1996-07-31	PRIJEM	\N	293	82311	UROK	\N	\N
3638137	3253	1996-08-31	PRIJEM	\N	327	79627	UROK	\N	\N
3638138	3253	1996-09-30	PRIJEM	\N	231	47394	UROK	\N	\N
3638139	3253	1996-10-31	PRIJEM	\N	243	50311	UROK	\N	\N
3638140	3253	1996-11-30	PRIJEM	\N	233	50222	UROK	\N	\N
3638141	3253	1996-12-31	PRIJEM	\N	218	51299	UROK	\N	\N
3638142	3253	1997-01-31	PRIJEM	\N	121	11720	UROK	\N	\N
3638143	3253	1997-02-28	PRIJEM	\N	48	15868	UROK	\N	\N
3638144	3253	1997-03-31	PRIJEM	\N	97	31680	UROK	\N	\N
3638145	3253	1997-04-30	PRIJEM	\N	124	22272	UROK	\N	\N
3638146	3253	1997-05-31	PRIJEM	\N	90	18262	UROK	\N	\N
3638147	3253	1997-06-30	PRIJEM	\N	63	17159	UROK	\N	\N
3638148	3253	1997-07-31	PRIJEM	\N	64	9623	UROK	\N	\N
3638149	3253	1997-08-31	PRIJEM	\N	38	10461	UROK	\N	\N
3638150	3253	1997-09-30	PRIJEM	\N	41	8334	UROK	\N	\N
3638151	3253	1997-10-31	PRIJEM	\N	32	10966	UROK	\N	\N
3638152	3253	1997-11-30	PRIJEM	\N	40	7916	UROK	\N	\N
3638153	3253	1997-12-31	PRIJEM	\N	30	8046	UROK	\N	\N
3638154	3253	1998-01-31	PRIJEM	\N	36	4767	UROK	\N	\N
3638155	3253	1998-02-28	PRIJEM	\N	51	27444	UROK	\N	\N
3638156	3253	1998-03-31	PRIJEM	\N	126	27402	UROK	\N	\N
3638157	3253	1998-04-30	PRIJEM	\N	231	44898	UROK	\N	\N
3638158	3253	1998-05-31	PRIJEM	\N	248	106458	UROK	\N	\N
3638159	3253	1998-06-30	PRIJEM	\N	322	84341	UROK	\N	\N
3638160	3253	1998-07-31	PRIJEM	\N	367	70623	UROK	\N	\N
3638161	3253	1998-08-31	PRIJEM	\N	339	51723	UROK	\N	\N
3638162	3253	1998-09-30	PRIJEM	\N	324	107842	UROK	\N	\N
3638163	3253	1998-10-31	PRIJEM	\N	437	101692	UROK	\N	\N
3638164	3253	1998-11-30	PRIJEM	\N	372	67330	UROK	\N	\N
3638165	3253	1998-12-31	PRIJEM	\N	273	65646	UROK	\N	\N
3638166	3254	1995-09-30	PRIJEM	\N	13	18192	UROK	\N	\N
3638167	3254	1995-10-31	PRIJEM	\N	81	25052	UROK	\N	\N
3638168	3254	1995-11-30	PRIJEM	\N	106	27137	UROK	\N	\N
3638169	3254	1995-12-31	PRIJEM	\N	115	29170	UROK	\N	\N
3638170	3254	1996-01-31	PRIJEM	\N	113	16023	UROK	\N	\N
3638171	3254	1996-02-29	PRIJEM	\N	66	19635	UROK	\N	\N
3638172	3254	1996-03-31	PRIJEM	\N	88	21568	UROK	\N	\N
3638173	3254	1996-04-30	PRIJEM	\N	89	22142	UROK	\N	\N
3638174	3254	1996-05-31	PRIJEM	\N	101	26689	UROK	\N	\N
3638175	3254	1996-06-30	PRIJEM	\N	124	29798	UROK	\N	\N
3638176	3254	1996-07-31	PRIJEM	\N	126	29069	UROK	\N	\N
3638177	3254	1996-08-31	PRIJEM	\N	124	29239	UROK	\N	\N
3638178	3254	1996-09-30	PRIJEM	\N	124	28808	UROK	\N	\N
3638179	3254	1996-10-31	PRIJEM	\N	118	26072	UROK	\N	\N
3638180	3254	1996-11-30	PRIJEM	\N	116	29333	UROK	\N	\N
3638181	3254	1996-12-31	PRIJEM	\N	141	32279	UROK	\N	\N
3638182	3254	1997-01-31	PRIJEM	\N	122	25346	UROK	\N	\N
3638183	3254	1997-02-28	PRIJEM	\N	113	29824	UROK	\N	\N
3638184	3254	1997-03-31	PRIJEM	\N	127	30296	UROK	\N	\N
3638185	3254	1997-04-30	PRIJEM	\N	127	29568	UROK	\N	\N
3638186	3254	1997-05-31	PRIJEM	\N	127	30841	UROK	\N	\N
3638187	3254	1997-06-30	PRIJEM	\N	121	26407	UROK	\N	\N
3638188	3254	1997-07-31	PRIJEM	\N	112	26664	UROK	\N	\N
3638189	3254	1997-08-31	PRIJEM	\N	102	21912	UROK	\N	\N
3638190	3254	1997-09-30	PRIJEM	\N	91	21448	UROK	\N	\N
3638191	3254	1997-10-31	PRIJEM	\N	93	22886	UROK	\N	\N
3638192	3254	1997-11-30	PRIJEM	\N	104	26535	UROK	\N	\N
3638193	3254	1997-12-31	PRIJEM	\N	101	22201	UROK	\N	\N
3638194	3254	1998-01-31	PRIJEM	\N	91	16857	UROK	\N	\N
3638195	3254	1998-02-28	PRIJEM	\N	76	19278	UROK	\N	\N
3638196	3254	1998-03-31	PRIJEM	\N	76	17700	UROK	\N	\N
3638197	3254	1998-04-30	PRIJEM	\N	78	19723	UROK	\N	\N
3638198	3254	1998-05-31	PRIJEM	\N	91	23460	UROK	\N	\N
3638199	3254	1998-06-30	PRIJEM	\N	120	27565	UROK	\N	\N
3638200	3254	1998-07-31	PRIJEM	\N	127	27537	UROK	\N	\N
3638201	3254	1998-08-31	PRIJEM	\N	116	28097	UROK	\N	\N
3638202	3254	1998-09-30	PRIJEM	\N	108	25051	UROK	\N	\N
3638203	3254	1998-10-31	PRIJEM	\N	103	24499	UROK	\N	\N
3638204	3254	1998-11-30	PRIJEM	\N	94	18438	UROK	\N	\N
3638205	3254	1998-12-31	PRIJEM	\N	78	16581	UROK	\N	\N
3638206	3256	1996-12-31	PRIJEM	\N	42	23968	UROK	\N	\N
3638207	3256	1997-01-31	PRIJEM	\N	110	29362	UROK	\N	\N
3638208	3256	1997-02-28	PRIJEM	\N	124	30369	UROK	\N	\N
3638209	3256	1997-03-31	PRIJEM	\N	130	32383	UROK	\N	\N
3638210	3256	1997-04-30	PRIJEM	\N	136	31663	UROK	\N	\N
3638211	3256	1997-05-31	PRIJEM	\N	131	30341	UROK	\N	\N
3638212	3256	1997-06-30	PRIJEM	\N	113	13424	UROK	\N	\N
3638213	3256	1997-07-31	PRIJEM	\N	77	23248	UROK	\N	\N
3638214	3256	1997-08-31	PRIJEM	\N	109	28805	UROK	\N	\N
3638215	3256	1997-09-30	PRIJEM	\N	127	32079	UROK	\N	\N
3638216	3256	1997-10-31	PRIJEM	\N	132	31259	UROK	\N	\N
3638217	3256	1997-11-30	PRIJEM	\N	119	27485	UROK	\N	\N
3638218	3256	1997-12-31	PRIJEM	\N	117	27772	UROK	\N	\N
3638219	3256	1998-01-31	PRIJEM	\N	82	13861	UROK	\N	\N
3638220	3256	1998-02-28	PRIJEM	\N	65	14773	UROK	\N	\N
3638221	3256	1998-03-31	PRIJEM	\N	61	14581	UROK	\N	\N
3638222	3256	1998-04-30	PRIJEM	\N	61	14990	UROK	\N	\N
3638223	3256	1998-05-31	PRIJEM	\N	61	14698	UROK	\N	\N
3638224	3256	1998-06-30	PRIJEM	\N	81	17769	UROK	\N	\N
3638225	3256	1998-07-31	PRIJEM	\N	55	11171	UROK	\N	\N
3638226	3256	1998-08-31	PRIJEM	\N	54	14573	UROK	\N	\N
3638227	3256	1998-09-30	PRIJEM	\N	68	17988	UROK	\N	\N
3638228	3256	1998-10-31	PRIJEM	\N	83	21418	UROK	\N	\N
3638229	3256	1998-11-30	PRIJEM	\N	94	23899	UROK	\N	\N
3638230	3256	1998-12-31	PRIJEM	\N	114	30323	UROK	\N	\N
3638296	3258	1993-07-31	PRIJEM	\N	70	19399	UROK	\N	\N
3638297	3258	1993-08-31	PRIJEM	\N	154	53502	UROK	\N	\N
3638298	3258	1993-09-30	PRIJEM	\N	222	41124	UROK	\N	\N
3638299	3258	1993-10-31	PRIJEM	\N	222	34446	UROK	\N	\N
3638300	3258	1993-11-30	PRIJEM	\N	222	30169	UROK	\N	\N
3638301	3258	1993-12-31	PRIJEM	\N	222	27491	UROK	\N	\N
3638302	3258	1994-01-31	PRIJEM	\N	219	27310	UROK	\N	\N
3638303	3258	1994-03-31	PRIJEM	\N	115	25925	UROK	\N	\N
3638304	3258	1994-04-30	PRIJEM	\N	118	26743	UROK	\N	\N
3638305	3258	1994-05-31	PRIJEM	\N	281	72437	UROK	\N	\N
3638306	3258	1994-06-30	PRIJEM	\N	203	70747	UROK	\N	\N
3638307	3258	1994-07-31	PRIJEM	\N	182	37709	UROK	\N	\N
3638308	3258	1994-08-31	PRIJEM	\N	118	35057	UROK	\N	\N
3638309	3258	1994-09-30	PRIJEM	\N	242	52084	UROK	\N	\N
3638310	3258	1994-10-31	PRIJEM	\N	185	36776	UROK	\N	\N
3638311	3258	1994-11-30	PRIJEM	\N	138	37005	UROK	\N	\N
3638312	3258	1994-12-31	PRIJEM	\N	160	37956	UROK	\N	\N
3638313	3258	1995-01-31	PRIJEM	\N	85	24748	UROK	\N	\N
3638314	3258	1995-02-28	PRIJEM	\N	80	23435	UROK	\N	\N
3638315	3258	1995-03-31	PRIJEM	\N	73	21015	UROK	\N	\N
3638316	3258	1995-04-30	PRIJEM	\N	64	19687	UROK	\N	\N
3638317	3258	1995-05-31	PRIJEM	\N	61	20355	UROK	\N	\N
3638318	3258	1995-06-30	PRIJEM	\N	69	18931	UROK	\N	\N
3638319	3258	1995-07-31	PRIJEM	\N	228	37190	UROK	\N	\N
3638320	3258	1995-08-31	PRIJEM	\N	134	38349	UROK	\N	\N
3638321	3258	1995-09-30	PRIJEM	\N	102	21859	UROK	\N	\N
3638322	3258	1995-10-31	PRIJEM	\N	125	78703	UROK	\N	\N
3638323	3258	1995-11-30	PRIJEM	\N	272	48583	UROK	\N	\N
3638324	3258	1995-12-31	PRIJEM	\N	152	30442	UROK	\N	\N
3638325	3258	1996-01-31	PRIJEM	\N	104	32762	UROK	\N	\N
3638326	3258	1996-02-29	PRIJEM	\N	139	43912	UROK	\N	\N
3638327	3258	1996-03-31	PRIJEM	\N	246	52455	UROK	\N	\N
3638328	3258	1996-04-30	PRIJEM	\N	184	27756	UROK	\N	\N
3638329	3258	1996-05-31	PRIJEM	\N	98	26661	UROK	\N	\N
3638330	3258	1996-06-30	PRIJEM	\N	77	21287	UROK	\N	\N
3638331	3258	1996-07-31	PRIJEM	\N	78	23272	UROK	\N	\N
3638332	3258	1996-08-31	PRIJEM	\N	86	24765	UROK	\N	\N
3638333	3258	1996-09-30	PRIJEM	\N	207	61873	UROK	\N	\N
3638334	3258	1996-10-31	PRIJEM	\N	327	68592	UROK	\N	\N
3638335	3258	1996-11-30	PRIJEM	\N	188	32687	UROK	\N	\N
3638336	3258	1996-12-31	PRIJEM	\N	119	29914	UROK	\N	\N
3638337	3258	1997-01-31	PRIJEM	\N	113	27734	UROK	\N	\N
3638338	3258	1997-02-28	PRIJEM	\N	161	38792	UROK	\N	\N
3638339	3258	1997-03-31	PRIJEM	\N	279	71736	UROK	\N	\N
3638340	3258	1997-04-30	PRIJEM	\N	245	87091	UROK	\N	\N
3638341	3258	1997-05-31	PRIJEM	\N	257	41304	UROK	\N	\N
3638342	3258	1997-06-30	PRIJEM	\N	159	47298	UROK	\N	\N
3638343	3258	1997-07-31	PRIJEM	\N	275	71944	UROK	\N	\N
3638344	3258	1997-08-31	PRIJEM	\N	330	100621	UROK	\N	\N
3638345	3258	1997-09-30	PRIJEM	\N	393	96194	UROK	\N	\N
3638346	3258	1997-10-31	PRIJEM	\N	302	44391	UROK	\N	\N
3638347	3258	1997-11-30	PRIJEM	\N	287	64807	UROK	\N	\N
3638348	3258	1997-12-31	PRIJEM	\N	266	78532	UROK	\N	\N
3638349	3258	1998-01-31	PRIJEM	\N	192	46417	UROK	\N	\N
3638350	3258	1998-02-28	PRIJEM	\N	185	51770	UROK	\N	\N
3638351	3258	1998-03-31	PRIJEM	\N	274	75705	UROK	\N	\N
3638352	3258	1998-04-30	PRIJEM	\N	318	61556	UROK	\N	\N
3638353	3258	1998-05-31	PRIJEM	\N	334	83195	UROK	\N	\N
3638354	3258	1998-06-30	PRIJEM	\N	275	83152	UROK	\N	\N
3638355	3258	1998-07-31	PRIJEM	\N	274	61833	UROK	\N	\N
3638356	3258	1998-08-31	PRIJEM	\N	293	92334	UROK	\N	\N
3638357	3258	1998-09-30	PRIJEM	\N	384	97538	UROK	\N	\N
3638358	3258	1998-10-31	PRIJEM	\N	312	60779	UROK	\N	\N
3638359	3258	1998-11-30	PRIJEM	\N	261	69990	UROK	\N	\N
3638360	3258	1998-12-31	PRIJEM	\N	328	88804	UROK	\N	\N
3638361	3259	1994-05-31	PRIJEM	\N	36	12829	UROK	\N	\N
3638362	3259	1994-06-30	PRIJEM	\N	70	18492	UROK	\N	\N
3638363	3259	1994-07-31	PRIJEM	\N	95	24580	UROK	\N	\N
3638364	3259	1994-08-31	PRIJEM	\N	105	25377	UROK	\N	\N
3638365	3259	1994-09-30	PRIJEM	\N	99	22657	UROK	\N	\N
3638366	3259	1994-10-31	PRIJEM	\N	95	22668	UROK	\N	\N
3638367	3259	1994-11-30	PRIJEM	\N	96	23080	UROK	\N	\N
3638368	3259	1994-12-31	PRIJEM	\N	95	22402	UROK	\N	\N
3638369	3259	1995-01-31	PRIJEM	\N	93	20331	UROK	\N	\N
3638370	3259	1995-02-28	PRIJEM	\N	101	25049	UROK	\N	\N
3638371	3259	1995-03-31	PRIJEM	\N	95	20240	UROK	\N	\N
3638372	3259	1995-04-30	PRIJEM	\N	95	23351	UROK	\N	\N
3638373	3259	1995-05-31	PRIJEM	\N	107	25534	UROK	\N	\N
3638374	3259	1995-06-30	PRIJEM	\N	106	22986	UROK	\N	\N
3638375	3259	1995-07-31	PRIJEM	\N	108	26410	UROK	\N	\N
3638376	3259	1995-08-31	PRIJEM	\N	115	27381	UROK	\N	\N
3638377	3259	1995-09-30	PRIJEM	\N	123	30020	UROK	\N	\N
3638378	3259	1995-10-31	PRIJEM	\N	127	30453	UROK	\N	\N
3638379	3259	1995-11-30	PRIJEM	\N	131	31901	UROK	\N	\N
3638380	3259	1995-12-31	PRIJEM	\N	127	30474	UROK	\N	\N
3638381	3259	1996-01-31	PRIJEM	\N	125	28765	UROK	\N	\N
3638382	3259	1996-02-29	PRIJEM	\N	122	29604	UROK	\N	\N
3638383	3259	1996-03-31	PRIJEM	\N	135	33056	UROK	\N	\N
3638384	3259	1996-04-30	PRIJEM	\N	141	34213	UROK	\N	\N
3638385	3259	1996-05-31	PRIJEM	\N	140	35470	UROK	\N	\N
3638386	3259	1996-06-30	PRIJEM	\N	141	33717	UROK	\N	\N
3638387	3259	1996-07-31	PRIJEM	\N	146	38079	UROK	\N	\N
3638388	3259	1996-08-31	PRIJEM	\N	162	38457	UROK	\N	\N
3638389	3259	1996-09-30	PRIJEM	\N	165	42509	UROK	\N	\N
3638390	3259	1996-10-31	PRIJEM	\N	182	46007	UROK	\N	\N
3638391	3259	1996-11-30	PRIJEM	\N	196	48620	UROK	\N	\N
3638392	3259	1996-12-31	PRIJEM	\N	201	45317	UROK	\N	\N
3638393	3259	1997-01-31	PRIJEM	\N	182	40676	UROK	\N	\N
3638394	3259	1997-02-28	PRIJEM	\N	176	45968	UROK	\N	\N
3638395	3259	1997-03-31	PRIJEM	\N	191	44535	UROK	\N	\N
3638396	3259	1997-04-30	PRIJEM	\N	189	46340	UROK	\N	\N
3638397	3259	1997-05-31	PRIJEM	\N	194	45451	UROK	\N	\N
3638398	3259	1997-06-30	PRIJEM	\N	186	45153	UROK	\N	\N
3638399	3259	1997-07-31	PRIJEM	\N	192	47261	UROK	\N	\N
3638400	3259	1997-08-31	PRIJEM	\N	198	47375	UROK	\N	\N
3638401	3259	1997-09-30	PRIJEM	\N	201	49493	UROK	\N	\N
3638402	3259	1997-10-31	PRIJEM	\N	212	53121	UROK	\N	\N
3638403	3259	1997-11-30	PRIJEM	\N	220	51458	UROK	\N	\N
3638404	3259	1997-12-31	PRIJEM	\N	214	50988	UROK	\N	\N
3638405	3259	1998-01-31	PRIJEM	\N	207	48111	UROK	\N	\N
3638406	3259	1998-02-28	PRIJEM	\N	205	51232	UROK	\N	\N
3638407	3259	1998-03-31	PRIJEM	\N	212	49960	UROK	\N	\N
3638408	3259	1998-04-30	PRIJEM	\N	203	47480	UROK	\N	\N
3638409	3259	1998-05-31	PRIJEM	\N	200	49297	UROK	\N	\N
3638410	3259	1998-06-30	PRIJEM	\N	196	43409	UROK	\N	\N
3638411	3259	1998-07-31	PRIJEM	\N	182	44707	UROK	\N	\N
3638412	3259	1998-08-31	PRIJEM	\N	190	47514	UROK	\N	\N
3638413	3259	1998-09-30	PRIJEM	\N	201	49631	UROK	\N	\N
3638414	3259	1998-10-31	PRIJEM	\N	206	50254	UROK	\N	\N
3638415	3259	1998-11-30	PRIJEM	\N	207	49778	UROK	\N	\N
3638416	3259	1998-12-31	PRIJEM	\N	210	51704	UROK	\N	\N
3638417	3260	1993-04-30	PRIJEM	\N	72	50523	UROK	\N	\N
3638418	3260	1993-05-31	PRIJEM	\N	307	38630	UROK	\N	\N
3638419	3260	1993-06-30	PRIJEM	\N	299	65697	UROK	\N	\N
3638420	3260	1993-07-31	PRIJEM	\N	281	85761	UROK	\N	\N
3638421	3260	1993-08-31	PRIJEM	\N	300	50444	UROK	\N	\N
3638422	3260	1993-09-30	PRIJEM	\N	175	28416	UROK	\N	\N
3638423	3260	1993-10-31	PRIJEM	\N	155	32335	UROK	\N	\N
3638424	3260	1993-11-30	PRIJEM	\N	124	30977	UROK	\N	\N
3638425	3260	1993-12-31	PRIJEM	\N	103	49449	UROK	\N	\N
3638426	3260	1994-01-31	PRIJEM	\N	131	42815	UROK	\N	\N
3638427	3260	1994-02-28	PRIJEM	\N	199	47357	UROK	\N	\N
3638428	3260	1994-03-31	PRIJEM	\N	253	51845	UROK	\N	\N
3638429	3260	1994-04-30	PRIJEM	\N	203	44247	UROK	\N	\N
3638430	3260	1994-05-31	PRIJEM	\N	167	26934	UROK	\N	\N
3638431	3260	1994-06-30	PRIJEM	\N	99	22816	UROK	\N	\N
3638432	3260	1994-07-31	PRIJEM	\N	203	68115	UROK	\N	\N
3638433	3260	1994-08-31	PRIJEM	\N	262	87101	UROK	\N	\N
3638434	3260	1994-09-30	PRIJEM	\N	336	86053	UROK	\N	\N
3638435	3260	1994-10-31	PRIJEM	\N	265	37502	UROK	\N	\N
3638436	3260	1994-11-30	PRIJEM	\N	201	50156	UROK	\N	\N
3638437	3260	1994-12-31	PRIJEM	\N	175	38015	UROK	\N	\N
3638438	3260	1995-01-31	PRIJEM	\N	232	50206	UROK	\N	\N
3638439	3260	1995-02-28	PRIJEM	\N	321	100803	UROK	\N	\N
3638440	3260	1995-03-31	PRIJEM	\N	337	95522	UROK	\N	\N
3638441	3260	1995-04-30	PRIJEM	\N	255	65319	UROK	\N	\N
3638442	3260	1995-05-31	PRIJEM	\N	296	105362	UROK	\N	\N
3638443	3260	1995-06-30	PRIJEM	\N	340	77964	UROK	\N	\N
3638444	3260	1995-07-31	PRIJEM	\N	297	71629	UROK	\N	\N
3638445	3260	1995-08-31	PRIJEM	\N	295	68748	UROK	\N	\N
3638446	3260	1995-09-30	PRIJEM	\N	254	62268	UROK	\N	\N
3638447	3260	1995-10-31	PRIJEM	\N	317	99052	UROK	\N	\N
3638448	3260	1995-11-30	PRIJEM	\N	337	99883	UROK	\N	\N
3638449	3260	1995-12-31	PRIJEM	\N	332	88609	UROK	\N	\N
3638450	3260	1996-01-31	PRIJEM	\N	265	41109	UROK	\N	\N
3638451	3260	1996-02-29	PRIJEM	\N	278	73944	UROK	\N	\N
3638452	3260	1996-03-31	PRIJEM	\N	333	60918	UROK	\N	\N
3638453	3260	1996-04-30	PRIJEM	\N	188	43339	UROK	\N	\N
3638454	3260	1996-05-31	PRIJEM	\N	214	105432	UROK	\N	\N
3638455	3260	1996-06-30	PRIJEM	\N	293	46269	UROK	\N	\N
3638456	3260	1996-07-31	PRIJEM	\N	209	63760	UROK	\N	\N
3638457	3260	1996-08-31	PRIJEM	\N	232	48198	UROK	\N	\N
3638458	3260	1996-09-30	PRIJEM	\N	180	40561	UROK	\N	\N
3638459	3260	1996-10-31	PRIJEM	\N	342	106473	UROK	\N	\N
3638460	3260	1996-11-30	PRIJEM	\N	309	48607	UROK	\N	\N
3638461	3260	1996-12-31	PRIJEM	\N	319	63775	UROK	\N	\N
3638462	3260	1997-01-31	PRIJEM	\N	334	92988	UROK	\N	\N
3638463	3260	1997-02-28	PRIJEM	\N	406	99917	UROK	\N	\N
3638464	3260	1997-03-31	PRIJEM	\N	410	97809	UROK	\N	\N
3638465	3260	1997-04-30	PRIJEM	\N	312	67391	UROK	\N	\N
3638466	3260	1997-05-31	PRIJEM	\N	324	80704	UROK	\N	\N
3638467	3260	1997-06-30	PRIJEM	\N	398	94599	UROK	\N	\N
3638468	3260	1997-07-31	PRIJEM	\N	311	71838	UROK	\N	\N
3638469	3260	1997-08-31	PRIJEM	\N	353	66726	UROK	\N	\N
3638470	3260	1997-09-30	PRIJEM	\N	139	21526	UROK	\N	\N
3638471	3260	1997-10-31	PRIJEM	\N	150	72142	UROK	\N	\N
3638472	3260	1997-11-30	PRIJEM	\N	283	74338	UROK	\N	\N
3638473	3260	1997-12-31	PRIJEM	\N	268	70245	UROK	\N	\N
3638474	3260	1998-01-31	PRIJEM	\N	144	40955	UROK	\N	\N
3638475	3260	1998-02-28	PRIJEM	\N	132	35835	UROK	\N	\N
3638476	3260	1998-03-31	PRIJEM	\N	155	41187	UROK	\N	\N
3638477	3260	1998-04-30	PRIJEM	\N	147	40018	UROK	\N	\N
3638478	3260	1998-05-31	PRIJEM	\N	264	64829	UROK	\N	\N
3638479	3260	1998-06-30	PRIJEM	\N	239	49550	UROK	\N	\N
3638480	3260	1998-07-31	PRIJEM	\N	219	76256	UROK	\N	\N
3638481	3260	1998-08-31	PRIJEM	\N	348	79426	UROK	\N	\N
3638482	3260	1998-09-30	PRIJEM	\N	268	45602	UROK	\N	\N
3638483	3260	1998-10-31	PRIJEM	\N	211	49454	UROK	\N	\N
3638484	3260	1998-11-30	PRIJEM	\N	182	46220	UROK	\N	\N
3638485	3260	1998-12-31	PRIJEM	\N	181	61344	UROK	\N	\N
3638486	3261	1993-07-31	PRIJEM	\N	29	8995	UROK	\N	\N
3638487	3261	1993-08-31	PRIJEM	\N	83	23244	UROK	\N	\N
3638488	3261	1993-09-30	PRIJEM	\N	126	32436	UROK	\N	\N
3638489	3261	1993-10-31	PRIJEM	\N	145	35546	UROK	\N	\N
3638490	3261	1993-11-30	PRIJEM	\N	137	31805	UROK	\N	\N
3638491	3261	1993-12-31	PRIJEM	\N	145	32920	UROK	\N	\N
3638492	3261	1994-01-31	PRIJEM	\N	105	16673	UROK	\N	\N
3638493	3261	1994-02-28	PRIJEM	\N	82	20302	UROK	\N	\N
3638494	3261	1994-03-31	PRIJEM	\N	102	25311	UROK	\N	\N
3638495	3261	1994-04-30	PRIJEM	\N	118	28836	UROK	\N	\N
3638496	3261	1994-05-31	PRIJEM	\N	128	31072	UROK	\N	\N
3638497	3261	1994-06-30	PRIJEM	\N	141	34303	UROK	\N	\N
3638498	3261	1994-07-31	PRIJEM	\N	133	30943	UROK	\N	\N
3638499	3261	1994-08-31	PRIJEM	\N	130	31181	UROK	\N	\N
3638500	3261	1994-09-30	PRIJEM	\N	125	29613	UROK	\N	\N
3638501	3261	1994-10-31	PRIJEM	\N	102	22782	UROK	\N	\N
3638502	3261	1994-11-30	PRIJEM	\N	99	22028	UROK	\N	\N
3638503	3261	1994-12-31	PRIJEM	\N	106	24504	UROK	\N	\N
3638504	3261	1995-01-31	PRIJEM	\N	73	19285	UROK	\N	\N
3638505	3261	1995-02-28	PRIJEM	\N	90	26082	UROK	\N	\N
3638506	3261	1995-03-31	PRIJEM	\N	118	29208	UROK	\N	\N
3638507	3261	1995-04-30	PRIJEM	\N	119	27674	UROK	\N	\N
3638508	3261	1995-05-31	PRIJEM	\N	124	29205	UROK	\N	\N
3638509	3261	1995-06-30	PRIJEM	\N	126	26901	UROK	\N	\N
3638510	3261	1995-07-31	PRIJEM	\N	117	25206	UROK	\N	\N
3638511	3261	1995-08-31	PRIJEM	\N	114	28027	UROK	\N	\N
3638512	3261	1995-09-30	PRIJEM	\N	121	26156	UROK	\N	\N
3638513	3261	1995-10-31	PRIJEM	\N	116	27579	UROK	\N	\N
3638514	3261	1995-11-30	PRIJEM	\N	103	21610	UROK	\N	\N
3638515	3261	1995-12-31	PRIJEM	\N	106	25666	UROK	\N	\N
3638516	3261	1996-01-31	PRIJEM	\N	90	16803	UROK	\N	\N
3638517	3261	1996-02-29	PRIJEM	\N	82	22992	UROK	\N	\N
3638518	3261	1996-03-31	PRIJEM	\N	91	24950	UROK	\N	\N
3638519	3261	1996-04-30	PRIJEM	\N	116	30873	UROK	\N	\N
3638520	3261	1996-05-31	PRIJEM	\N	135	31136	UROK	\N	\N
3638521	3261	1996-06-30	PRIJEM	\N	145	33871	UROK	\N	\N
3638522	3261	1996-07-31	PRIJEM	\N	139	32758	UROK	\N	\N
3638523	3261	1996-08-31	PRIJEM	\N	143	34608	UROK	\N	\N
3638524	3261	1996-09-30	PRIJEM	\N	154	39669	UROK	\N	\N
3638525	3261	1996-10-31	PRIJEM	\N	173	42450	UROK	\N	\N
3638526	3261	1996-11-30	PRIJEM	\N	184	44941	UROK	\N	\N
3638527	3261	1996-12-31	PRIJEM	\N	191	44142	UROK	\N	\N
3638528	3261	1997-01-31	PRIJEM	\N	160	28870	UROK	\N	\N
3638529	3261	1997-02-28	PRIJEM	\N	134	35312	UROK	\N	\N
3638530	3261	1997-03-31	PRIJEM	\N	146	33725	UROK	\N	\N
3638531	3261	1997-04-30	PRIJEM	\N	135	32947	UROK	\N	\N
3638532	3261	1997-05-31	PRIJEM	\N	150	38705	UROK	\N	\N
3638533	3261	1997-06-30	PRIJEM	\N	159	34395	UROK	\N	\N
3638534	3261	1997-07-31	PRIJEM	\N	140	32242	UROK	\N	\N
3638535	3261	1997-08-31	PRIJEM	\N	134	31783	UROK	\N	\N
3638536	3261	1997-09-30	PRIJEM	\N	124	28094	UROK	\N	\N
3638537	3261	1997-10-31	PRIJEM	\N	119	29020	UROK	\N	\N
3638538	3261	1997-11-30	PRIJEM	\N	124	30551	UROK	\N	\N
3638539	3261	1997-12-31	PRIJEM	\N	115	25217	UROK	\N	\N
3638540	3261	1998-01-31	PRIJEM	\N	84	17029	UROK	\N	\N
3638541	3261	1998-02-28	PRIJEM	\N	81	19417	UROK	\N	\N
3638542	3261	1998-03-31	PRIJEM	\N	101	27725	UROK	\N	\N
3638543	3261	1998-04-30	PRIJEM	\N	119	29752	UROK	\N	\N
3638544	3261	1998-05-31	PRIJEM	\N	125	30884	UROK	\N	\N
3638545	3261	1998-06-30	PRIJEM	\N	126	29361	UROK	\N	\N
3638546	3261	1998-07-31	PRIJEM	\N	117	28225	UROK	\N	\N
3638547	3261	1998-08-31	PRIJEM	\N	129	32961	UROK	\N	\N
3638548	3261	1998-09-30	PRIJEM	\N	132	32200	UROK	\N	\N
3638549	3261	1998-10-31	PRIJEM	\N	114	26922	UROK	\N	\N
3638550	3261	1998-11-30	PRIJEM	\N	100	20909	UROK	\N	\N
3638551	3261	1998-12-31	PRIJEM	\N	89	22328	UROK	\N	\N
3638552	3262	1997-07-31	PRIJEM	\N	31	22930	UROK	\N	\N
3638553	3262	1997-08-31	PRIJEM	\N	118	38547	UROK	\N	\N
3638554	3262	1997-09-30	PRIJEM	\N	164	41411	UROK	\N	\N
3638555	3262	1997-10-31	PRIJEM	\N	184	49094	UROK	\N	\N
3638556	3262	1997-11-30	PRIJEM	\N	247	48300	UROK	\N	\N
3638557	3262	1997-12-31	PRIJEM	\N	257	52450	UROK	\N	\N
3638558	3262	1998-01-31	PRIJEM	\N	198	32653	UROK	\N	\N
3638559	3262	1998-02-28	PRIJEM	\N	163	33060	UROK	\N	\N
3638560	3262	1998-03-31	PRIJEM	\N	171	31415	UROK	\N	\N
3638561	3262	1998-04-30	PRIJEM	\N	174	32833	UROK	\N	\N
3638562	3262	1998-05-31	PRIJEM	\N	170	29447	UROK	\N	\N
3638563	3262	1998-06-30	PRIJEM	\N	174	26415	UROK	\N	\N
3638564	3262	1998-07-31	PRIJEM	\N	122	18921	UROK	\N	\N
3638565	3262	1998-08-31	PRIJEM	\N	112	24477	UROK	\N	\N
3638566	3262	1998-09-30	PRIJEM	\N	143	29365	UROK	\N	\N
3638567	3262	1998-10-31	PRIJEM	\N	168	36477	UROK	\N	\N
3638568	3262	1998-11-30	PRIJEM	\N	163	34084	UROK	\N	\N
3638569	3262	1998-12-31	PRIJEM	\N	213	54390	UROK	\N	\N
3638570	3263	1997-01-31	PRIJEM	\N	4	33204	UROK	\N	\N
3638571	3263	1997-03-31	PRIJEM	\N	132	33336	UROK	\N	\N
3638572	3263	1997-04-30	PRIJEM	\N	132	30168	UROK	\N	\N
3638573	3263	1997-05-31	PRIJEM	\N	131	33399	UROK	\N	\N
3638574	3263	1997-06-30	PRIJEM	\N	121	29220	UROK	\N	\N
3638575	3263	1997-07-31	PRIJEM	\N	121	24141	UROK	\N	\N
3638576	3263	1997-08-31	PRIJEM	\N	121	20763	UROK	\N	\N
3638577	3263	1997-09-30	PRIJEM	\N	121	21984	UROK	\N	\N
3638578	3263	1997-10-31	PRIJEM	\N	121	27305	UROK	\N	\N
3638579	3263	1997-11-30	PRIJEM	\N	121	31626	UROK	\N	\N
3638580	3263	1997-12-31	PRIJEM	\N	121	35548	UROK	\N	\N
3638581	3263	1998-01-31	PRIJEM	\N	121	35969	UROK	\N	\N
3638582	3263	1998-02-28	PRIJEM	\N	121	38690	UROK	\N	\N
3638583	3263	1998-03-31	PRIJEM	\N	121	34511	UROK	\N	\N
3638584	3263	1998-04-30	PRIJEM	\N	121	32433	UROK	\N	\N
3638585	3263	1998-05-31	PRIJEM	\N	121	32854	UROK	\N	\N
3638586	3263	1998-06-30	PRIJEM	\N	121	30575	UROK	\N	\N
3638587	3263	1998-07-31	PRIJEM	\N	121	29696	UROK	\N	\N
3638588	3263	1998-08-31	PRIJEM	\N	121	33718	UROK	\N	\N
3638589	3263	1998-09-30	PRIJEM	\N	121	40539	UROK	\N	\N
3638590	3263	1998-10-31	PRIJEM	\N	121	39360	UROK	\N	\N
3638591	3264	1994-03-31	PRIJEM	\N	80	23874	UROK	\N	\N
3638592	3264	1994-04-30	PRIJEM	\N	107	24676	UROK	\N	\N
3638593	3264	1994-05-31	PRIJEM	\N	110	24621	UROK	\N	\N
3638594	3264	1994-06-30	PRIJEM	\N	98	15115	UROK	\N	\N
3638595	3264	1994-07-31	PRIJEM	\N	74	18384	UROK	\N	\N
3638596	3264	1994-08-31	PRIJEM	\N	87	21667	UROK	\N	\N
3638597	3264	1994-09-30	PRIJEM	\N	103	24365	UROK	\N	\N
3638598	3264	1994-10-31	PRIJEM	\N	109	25869	UROK	\N	\N
3638599	3264	1994-11-30	PRIJEM	\N	112	27017	UROK	\N	\N
3638600	3264	1994-12-31	PRIJEM	\N	122	29734	UROK	\N	\N
3638601	3264	1995-01-31	PRIJEM	\N	104	20583	UROK	\N	\N
3638602	3264	1995-02-28	PRIJEM	\N	96	23875	UROK	\N	\N
3638603	3264	1995-03-31	PRIJEM	\N	116	27186	UROK	\N	\N
3638604	3264	1995-04-30	PRIJEM	\N	109	24191	UROK	\N	\N
3638605	3264	1995-05-31	PRIJEM	\N	118	27504	UROK	\N	\N
3638606	3264	1995-06-30	PRIJEM	\N	78	15977	UROK	\N	\N
3638607	3264	1995-07-31	PRIJEM	\N	77	19250	UROK	\N	\N
3638608	3264	1995-08-31	PRIJEM	\N	91	22536	UROK	\N	\N
3638609	3264	1995-09-30	PRIJEM	\N	96	22148	UROK	\N	\N
3638610	3264	1995-10-31	PRIJEM	\N	93	22236	UROK	\N	\N
3638611	3264	1995-11-30	PRIJEM	\N	100	24331	UROK	\N	\N
3638612	3264	1995-12-31	PRIJEM	\N	99	22155	UROK	\N	\N
3638613	3264	1996-01-31	PRIJEM	\N	79	14189	UROK	\N	\N
3638614	3264	1996-02-29	PRIJEM	\N	69	17454	UROK	\N	\N
3638615	3264	1996-03-31	PRIJEM	\N	89	20739	UROK	\N	\N
3638616	3264	1996-04-30	PRIJEM	\N	91	22225	UROK	\N	\N
3638617	3264	1996-05-31	PRIJEM	\N	102	25123	UROK	\N	\N
3638618	3264	1996-06-30	PRIJEM	\N	111	27229	UROK	\N	\N
3638619	3264	1996-07-31	PRIJEM	\N	121	29545	UROK	\N	\N
3638620	3264	1996-08-31	PRIJEM	\N	112	26132	UROK	\N	\N
3638621	3264	1996-09-30	PRIJEM	\N	111	23798	UROK	\N	\N
3638622	3264	1996-10-31	PRIJEM	\N	101	23955	UROK	\N	\N
3638623	3264	1996-11-30	PRIJEM	\N	107	26457	UROK	\N	\N
3638624	3264	1996-12-31	PRIJEM	\N	113	27265	UROK	\N	\N
3638625	3264	1997-01-31	PRIJEM	\N	89	14859	UROK	\N	\N
3638626	3264	1997-02-28	PRIJEM	\N	72	18126	UROK	\N	\N
3638627	3264	1997-03-31	PRIJEM	\N	81	20203	UROK	\N	\N
3638628	3264	1997-04-30	PRIJEM	\N	92	21090	UROK	\N	\N
3638629	3264	1997-05-31	PRIJEM	\N	98	22183	UROK	\N	\N
3638630	3264	1997-06-30	PRIJEM	\N	106	24784	UROK	\N	\N
3638631	3264	1997-07-31	PRIJEM	\N	107	26387	UROK	\N	\N
3638632	3264	1997-08-31	PRIJEM	\N	111	27093	UROK	\N	\N
3638633	3264	1997-09-30	PRIJEM	\N	83	19091	UROK	\N	\N
3638634	3264	1997-10-31	PRIJEM	\N	87	21773	UROK	\N	\N
3638635	3264	1997-11-30	PRIJEM	\N	98	22667	UROK	\N	\N
3638636	3264	1997-12-31	PRIJEM	\N	87	21899	UROK	\N	\N
3638637	3264	1998-01-31	PRIJEM	\N	70	13365	UROK	\N	\N
3638638	3264	1998-02-28	PRIJEM	\N	70	16630	UROK	\N	\N
3638639	3264	1998-03-31	PRIJEM	\N	71	16216	UROK	\N	\N
3638640	3264	1998-04-30	PRIJEM	\N	76	19488	UROK	\N	\N
3638641	3264	1998-05-31	PRIJEM	\N	88	16572	UROK	\N	\N
3638642	3264	1998-06-30	PRIJEM	\N	77	16444	UROK	\N	\N
3638643	3264	1998-07-31	PRIJEM	\N	76	16415	UROK	\N	\N
3638644	3264	1998-08-31	PRIJEM	\N	77	19388	UROK	\N	\N
3638645	3264	1998-09-30	PRIJEM	\N	95	22678	UROK	\N	\N
3638646	3264	1998-10-31	PRIJEM	\N	102	23775	UROK	\N	\N
3638647	3264	1998-11-30	PRIJEM	\N	104	25675	UROK	\N	\N
3638648	3264	1998-12-31	PRIJEM	\N	113	27833	UROK	\N	\N
3638649	3266	1997-08-31	PRIJEM	\N	3	23623	UROK	\N	\N
3638650	3266	1997-09-30	PRIJEM	\N	105	25130	UROK	\N	\N
3638651	3266	1997-10-31	PRIJEM	\N	111	26724	UROK	\N	\N
3638652	3266	1997-11-30	PRIJEM	\N	117	29683	UROK	\N	\N
3638653	3266	1997-12-31	PRIJEM	\N	124	30770	UROK	\N	\N
3638654	3266	1998-01-31	PRIJEM	\N	124	24256	UROK	\N	\N
3638655	3266	1998-02-28	PRIJEM	\N	107	27205	UROK	\N	\N
3638656	3266	1998-03-31	PRIJEM	\N	112	27439	UROK	\N	\N
3638657	3266	1998-04-30	PRIJEM	\N	119	28721	UROK	\N	\N
3638658	3266	1998-05-31	PRIJEM	\N	126	31689	UROK	\N	\N
3638659	3266	1998-06-30	PRIJEM	\N	133	24854	UROK	\N	\N
3638660	3266	1998-07-31	PRIJEM	\N	111	27807	UROK	\N	\N
3638661	3266	1998-08-31	PRIJEM	\N	117	27007	UROK	\N	\N
3638662	3266	1998-09-30	PRIJEM	\N	119	29969	UROK	\N	\N
3638663	3266	1998-10-31	PRIJEM	\N	132	32943	UROK	\N	\N
3638664	3266	1998-11-30	PRIJEM	\N	140	33525	UROK	\N	\N
3638665	3266	1998-12-31	PRIJEM	\N	146	35614	UROK	\N	\N
3638666	3267	1993-08-31	PRIJEM	\N	33	20631	UROK	\N	\N
3638667	3267	1993-09-30	PRIJEM	\N	101	29630	UROK	\N	\N
3638668	3267	1993-10-31	PRIJEM	\N	127	32155	UROK	\N	\N
3638669	3267	1993-11-30	PRIJEM	\N	140	35994	UROK	\N	\N
3638670	3267	1993-12-31	PRIJEM	\N	152	32249	UROK	\N	\N
3638671	3267	1994-01-31	PRIJEM	\N	120	21630	UROK	\N	\N
3638672	3267	1994-02-28	PRIJEM	\N	99	25409	UROK	\N	\N
3638673	3267	1994-03-31	PRIJEM	\N	110	25799	UROK	\N	\N
3638674	3267	1994-04-30	PRIJEM	\N	117	28817	UROK	\N	\N
3638675	3267	1994-05-31	PRIJEM	\N	125	30322	UROK	\N	\N
3638676	3267	1994-06-30	PRIJEM	\N	140	35592	UROK	\N	\N
3638677	3267	1994-07-31	PRIJEM	\N	142	31654	UROK	\N	\N
3638678	3267	1994-08-31	PRIJEM	\N	134	32368	UROK	\N	\N
3638679	3267	1994-09-30	PRIJEM	\N	122	22490	UROK	\N	\N
3638680	3267	1994-10-31	PRIJEM	\N	108	28579	UROK	\N	\N
3638681	3267	1994-11-30	PRIJEM	\N	112	25471	UROK	\N	\N
3638682	3267	1994-12-31	PRIJEM	\N	118	25938	UROK	\N	\N
3638683	3267	1995-01-31	PRIJEM	\N	87	17706	UROK	\N	\N
3638684	3267	1995-02-28	PRIJEM	\N	87	21834	UROK	\N	\N
3638685	3267	1995-03-31	PRIJEM	\N	92	22206	UROK	\N	\N
3638686	3267	1995-04-30	PRIJEM	\N	82	14568	UROK	\N	\N
3638687	3267	1995-05-31	PRIJEM	\N	72	18421	UROK	\N	\N
3638688	3267	1995-06-30	PRIJEM	\N	81	19111	UROK	\N	\N
3638689	3267	1995-07-31	PRIJEM	\N	77	17468	UROK	\N	\N
3638690	3267	1995-08-31	PRIJEM	\N	84	20612	UROK	\N	\N
3638691	3267	1995-09-30	PRIJEM	\N	103	26196	UROK	\N	\N
3638692	3267	1995-10-31	PRIJEM	\N	118	27274	UROK	\N	\N
3638693	3267	1995-11-30	PRIJEM	\N	110	24744	UROK	\N	\N
3638694	3267	1995-12-31	PRIJEM	\N	108	23141	UROK	\N	\N
3638695	3267	1996-01-31	PRIJEM	\N	80	14441	UROK	\N	\N
3638696	3267	1996-02-29	PRIJEM	\N	91	25012	UROK	\N	\N
3638697	3267	1996-03-31	PRIJEM	\N	106	26099	UROK	\N	\N
3638698	3267	1996-04-30	PRIJEM	\N	113	25672	UROK	\N	\N
3638699	3267	1996-05-31	PRIJEM	\N	119	29572	UROK	\N	\N
3638700	3267	1996-06-30	PRIJEM	\N	142	35843	UROK	\N	\N
3638701	3267	1996-07-31	PRIJEM	\N	142	32865	UROK	\N	\N
3638702	3267	1996-08-31	PRIJEM	\N	137	32583	UROK	\N	\N
3638703	3267	1996-09-30	PRIJEM	\N	133	28856	UROK	\N	\N
3638704	3267	1996-10-31	PRIJEM	\N	125	30562	UROK	\N	\N
3638705	3267	1996-11-30	PRIJEM	\N	115	27037	UROK	\N	\N
3638706	3267	1996-12-31	PRIJEM	\N	138	34025	UROK	\N	\N
3638707	3267	1997-01-31	PRIJEM	\N	110	24136	UROK	\N	\N
3638708	3267	1997-02-28	PRIJEM	\N	120	29776	UROK	\N	\N
3638709	3267	1997-03-31	PRIJEM	\N	135	33291	UROK	\N	\N
3638710	3267	1997-04-30	PRIJEM	\N	159	40330	UROK	\N	\N
3638711	3267	1997-05-31	PRIJEM	\N	174	42184	UROK	\N	\N
3638712	3267	1997-06-30	PRIJEM	\N	186	44179	UROK	\N	\N
3638713	3267	1997-07-31	PRIJEM	\N	170	35509	UROK	\N	\N
3638714	3267	1997-08-31	PRIJEM	\N	157	35947	UROK	\N	\N
3638715	3267	1997-09-30	PRIJEM	\N	142	32169	UROK	\N	\N
3638716	3267	1997-10-31	PRIJEM	\N	144	33893	UROK	\N	\N
3638717	3267	1997-11-30	PRIJEM	\N	149	32922	UROK	\N	\N
3638718	3267	1997-12-31	PRIJEM	\N	155	39067	UROK	\N	\N
3638719	3267	1998-01-31	PRIJEM	\N	151	34839	UROK	\N	\N
3638720	3267	1998-02-28	PRIJEM	\N	153	36172	UROK	\N	\N
3638721	3267	1998-03-31	PRIJEM	\N	154	37026	UROK	\N	\N
3638722	3267	1998-04-30	PRIJEM	\N	164	40570	UROK	\N	\N
3638723	3267	1998-05-31	PRIJEM	\N	179	45330	UROK	\N	\N
3638724	3267	1998-06-30	PRIJEM	\N	208	44528	UROK	\N	\N
3638725	3267	1998-07-31	PRIJEM	\N	185	35372	UROK	\N	\N
3638726	3267	1998-08-31	PRIJEM	\N	151	34404	UROK	\N	\N
3638727	3267	1998-09-30	PRIJEM	\N	150	36934	UROK	\N	\N
3638728	3267	1998-10-31	PRIJEM	\N	158	38232	UROK	\N	\N
3638729	3267	1998-11-30	PRIJEM	\N	170	44582	UROK	\N	\N
3638730	3267	1998-12-31	PRIJEM	\N	201	47193	UROK	\N	\N
3638731	3268	1994-02-28	PRIJEM	\N	55	15875	UROK	\N	\N
3638732	3268	1994-03-31	PRIJEM	\N	71	17072	UROK	\N	\N
3638733	3268	1994-04-30	PRIJEM	\N	76	18273	UROK	\N	\N
3638734	3268	1994-05-31	PRIJEM	\N	78	18096	UROK	\N	\N
3638735	3268	1994-06-30	PRIJEM	\N	72	16774	UROK	\N	\N
3638736	3268	1994-07-31	PRIJEM	\N	74	17973	UROK	\N	\N
3638737	3268	1994-08-31	PRIJEM	\N	80	19179	UROK	\N	\N
3638738	3268	1994-09-30	PRIJEM	\N	85	20389	UROK	\N	\N
3638739	3268	1994-10-31	PRIJEM	\N	83	18798	UROK	\N	\N
3638740	3268	1994-11-30	PRIJEM	\N	85	20008	UROK	\N	\N
3638741	3268	1994-12-31	PRIJEM	\N	83	18666	UROK	\N	\N
3638742	3268	1995-01-31	PRIJEM	\N	74	14466	UROK	\N	\N
3638743	3268	1995-02-28	PRIJEM	\N	62	14653	UROK	\N	\N
3638744	3268	1995-03-31	PRIJEM	\N	62	14041	UROK	\N	\N
3638745	3268	1995-04-30	PRIJEM	\N	63	15229	UROK	\N	\N
3638746	3268	1995-05-31	PRIJEM	\N	65	15319	UROK	\N	\N
3638747	3268	1995-06-30	PRIJEM	\N	64	14649	UROK	\N	\N
3638748	3268	1995-07-31	PRIJEM	\N	58	13032	UROK	\N	\N
3638749	3268	1995-08-31	PRIJEM	\N	58	13466	UROK	\N	\N
3638750	3268	1995-09-30	PRIJEM	\N	59	13510	UROK	\N	\N
3638751	3268	1995-10-31	PRIJEM	\N	55	12190	UROK	\N	\N
3638752	3268	1995-11-30	PRIJEM	\N	50	11565	UROK	\N	\N
3638753	3268	1995-12-31	PRIJEM	\N	51	12442	UROK	\N	\N
3638754	3268	1996-01-31	PRIJEM	\N	55	13052	UROK	\N	\N
3638755	3268	1996-02-29	PRIJEM	\N	60	13447	UROK	\N	\N
3638756	3268	1996-03-31	PRIJEM	\N	58	13830	UROK	\N	\N
3638757	3268	1996-04-30	PRIJEM	\N	61	14537	UROK	\N	\N
3638758	3268	1996-05-31	PRIJEM	\N	58	13820	UROK	\N	\N
3638759	3268	1996-06-30	PRIJEM	\N	53	11999	UROK	\N	\N
3638760	3268	1996-07-31	PRIJEM	\N	54	13178	UROK	\N	\N
3638761	3268	1996-08-31	PRIJEM	\N	58	14032	UROK	\N	\N
3638762	3268	1996-09-30	PRIJEM	\N	62	14859	UROK	\N	\N
3638763	3268	1996-10-31	PRIJEM	\N	67	15181	UROK	\N	\N
3638764	3268	1996-11-30	PRIJEM	\N	69	16375	UROK	\N	\N
3638765	3268	1996-12-31	PRIJEM	\N	72	17153	UROK	\N	\N
3638766	3268	1997-01-31	PRIJEM	\N	65	13843	UROK	\N	\N
3638767	3268	1997-02-28	PRIJEM	\N	59	14097	UROK	\N	\N
3638768	3268	1997-03-31	PRIJEM	\N	62	15285	UROK	\N	\N
3638769	3268	1997-04-30	PRIJEM	\N	66	15697	UROK	\N	\N
3638770	3268	1997-05-31	PRIJEM	\N	69	16891	UROK	\N	\N
3638771	3268	1997-06-30	PRIJEM	\N	74	14101	UROK	\N	\N
3638772	3268	1997-07-31	PRIJEM	\N	62	15289	UROK	\N	\N
3638773	3268	1997-08-31	PRIJEM	\N	67	15401	UROK	\N	\N
3638774	3268	1997-09-30	PRIJEM	\N	68	16594	UROK	\N	\N
3638775	3268	1997-10-31	PRIJEM	\N	70	16590	UROK	\N	\N
3638776	3268	1997-11-30	PRIJEM	\N	72	17787	UROK	\N	\N
3638777	3268	1997-12-31	PRIJEM	\N	73	17126	UROK	\N	\N
3638778	3268	1998-01-31	PRIJEM	\N	63	14714	UROK	\N	\N
3638779	3268	1998-02-28	PRIJEM	\N	65	15904	UROK	\N	\N
3638780	3268	1998-03-31	PRIJEM	\N	69	16678	UROK	\N	\N
3638781	3268	1998-04-30	PRIJEM	\N	73	17336	UROK	\N	\N
3638782	3268	1998-05-31	PRIJEM	\N	75	18176	UROK	\N	\N
3638783	3268	1998-06-30	PRIJEM	\N	80	19382	UROK	\N	\N
3638784	3268	1998-07-31	PRIJEM	\N	84	20591	UROK	\N	\N
3638785	3268	1998-08-31	PRIJEM	\N	89	21806	UROK	\N	\N
3638786	3268	1998-09-30	PRIJEM	\N	93	22514	UROK	\N	\N
3638787	3268	1998-10-31	PRIJEM	\N	93	22292	UROK	\N	\N
3638788	3268	1998-11-30	PRIJEM	\N	95	23513	UROK	\N	\N
3638789	3268	1998-12-31	PRIJEM	\N	97	23205	UROK	\N	\N
3638790	3269	1995-09-30	PRIJEM	\N	143	85888	UROK	\N	\N
3638791	3269	1995-10-31	PRIJEM	\N	357	56446	UROK	\N	\N
3638792	3269	1995-11-30	PRIJEM	\N	357	40903	UROK	\N	\N
3638793	3269	1995-12-31	PRIJEM	\N	357	37560	UROK	\N	\N
3638794	3269	1996-01-31	PRIJEM	\N	350	35710	UROK	\N	\N
3638795	3269	1996-02-29	PRIJEM	\N	139	53684	UROK	\N	\N
3638796	3269	1996-03-31	PRIJEM	\N	140	42224	UROK	\N	\N
3638797	3269	1996-04-30	PRIJEM	\N	159	38383	UROK	\N	\N
3638798	3269	1996-05-31	PRIJEM	\N	269	70072	UROK	\N	\N
3638799	3269	1996-06-30	PRIJEM	\N	221	46845	UROK	\N	\N
3638800	3269	1996-07-31	PRIJEM	\N	195	47625	UROK	\N	\N
3638801	3269	1996-08-31	PRIJEM	\N	238	51979	UROK	\N	\N
3638802	3269	1996-09-30	PRIJEM	\N	252	54481	UROK	\N	\N
3638803	3269	1996-10-31	PRIJEM	\N	217	40599	UROK	\N	\N
3638804	3269	1996-11-30	PRIJEM	\N	164	81410	UROK	\N	\N
3638805	3269	1996-12-31	PRIJEM	\N	313	85869	UROK	\N	\N
3638806	3269	1997-01-31	PRIJEM	\N	227	32174	UROK	\N	\N
3638807	3269	1997-02-28	PRIJEM	\N	158	64704	UROK	\N	\N
3638808	3269	1997-03-31	PRIJEM	\N	265	59479	UROK	\N	\N
3638809	3269	1997-04-30	PRIJEM	\N	262	64378	UROK	\N	\N
3638810	3269	1997-05-31	PRIJEM	\N	268	51631	UROK	\N	\N
3638811	3269	1997-06-30	PRIJEM	\N	256	45056	UROK	\N	\N
3638812	3269	1997-07-31	PRIJEM	\N	335	76867	UROK	\N	\N
3638813	3269	1997-08-31	PRIJEM	\N	268	56251	UROK	\N	\N
3638814	3269	1997-09-30	PRIJEM	\N	226	50462	UROK	\N	\N
3638815	3269	1997-10-31	PRIJEM	\N	216	56046	UROK	\N	\N
3638816	3269	1997-11-30	PRIJEM	\N	217	45348	UROK	\N	\N
3638817	3269	1997-12-31	PRIJEM	\N	190	46603	UROK	\N	\N
3638818	3269	1998-01-31	PRIJEM	\N	232	61805	UROK	\N	\N
3638819	3269	1998-02-28	PRIJEM	\N	231	45521	UROK	\N	\N
3638820	3269	1998-03-31	PRIJEM	\N	329	79899	UROK	\N	\N
3638821	3269	1998-04-30	PRIJEM	\N	317	83310	UROK	\N	\N
3638822	3269	1998-05-31	PRIJEM	\N	314	53881	UROK	\N	\N
3638823	3269	1998-06-30	PRIJEM	\N	258	84893	UROK	\N	\N
3638824	3269	1998-07-31	PRIJEM	\N	402	133728	UROK	\N	\N
3638825	3269	1998-08-31	PRIJEM	\N	434	58006	UROK	\N	\N
3638826	3269	1998-09-30	PRIJEM	\N	313	62524	UROK	\N	\N
3638827	3269	1998-10-31	PRIJEM	\N	207	35449	UROK	\N	\N
3638828	3269	1998-11-30	PRIJEM	\N	145	24379	UROK	\N	\N
3638829	3269	1998-12-31	PRIJEM	\N	192	74965	UROK	\N	\N
3638830	3270	1995-08-31	PRIJEM	\N	63	19593	UROK	\N	\N
3638831	3270	1995-09-30	PRIJEM	\N	151	41574	UROK	\N	\N
3638832	3270	1995-10-31	PRIJEM	\N	200	50004	UROK	\N	\N
3638833	3270	1995-11-30	PRIJEM	\N	233	57967	UROK	\N	\N
3638834	3270	1995-12-31	PRIJEM	\N	263	61239	UROK	\N	\N
3638835	3270	1996-01-31	PRIJEM	\N	209	42898	UROK	\N	\N
3638836	3270	1996-02-29	PRIJEM	\N	187	44395	UROK	\N	\N
3638837	3270	1996-03-31	PRIJEM	\N	194	46098	UROK	\N	\N
3638838	3270	1996-04-30	PRIJEM	\N	205	48912	UROK	\N	\N
3638839	3270	1996-05-31	PRIJEM	\N	212	50333	UROK	\N	\N
3638840	3270	1996-06-30	PRIJEM	\N	246	60754	UROK	\N	\N
3638841	3270	1996-07-31	PRIJEM	\N	240	55304	UROK	\N	\N
3638842	3270	1996-08-31	PRIJEM	\N	234	55347	UROK	\N	\N
3638843	3270	1996-09-30	PRIJEM	\N	231	54287	UROK	\N	\N
3638844	3270	1996-10-31	PRIJEM	\N	237	57133	UROK	\N	\N
3638845	3270	1996-11-30	PRIJEM	\N	217	53379	UROK	\N	\N
3638846	3270	1996-12-31	PRIJEM	\N	241	47115	UROK	\N	\N
3638847	3270	1997-01-31	PRIJEM	\N	224	45008	UROK	\N	\N
3638848	3270	1997-02-28	PRIJEM	\N	212	51129	UROK	\N	\N
3638849	3270	1997-03-31	PRIJEM	\N	197	38175	UROK	\N	\N
3638850	3270	1997-04-30	PRIJEM	\N	185	38169	UROK	\N	\N
3638851	3270	1997-05-31	PRIJEM	\N	184	38363	UROK	\N	\N
3638852	3270	1997-06-30	PRIJEM	\N	207	43545	UROK	\N	\N
3638853	3270	1997-07-31	PRIJEM	\N	202	39116	UROK	\N	\N
3638854	3270	1997-08-31	PRIJEM	\N	184	38809	UROK	\N	\N
3638855	3270	1997-09-30	PRIJEM	\N	185	42304	UROK	\N	\N
3638856	3270	1997-10-31	PRIJEM	\N	197	43410	UROK	\N	\N
3638857	3270	1997-11-30	PRIJEM	\N	201	44420	UROK	\N	\N
3638858	3270	1997-12-31	PRIJEM	\N	220	43695	UROK	\N	\N
3638859	3270	1998-01-31	PRIJEM	\N	197	43301	UROK	\N	\N
3638860	3270	1998-02-28	PRIJEM	\N	177	40087	UROK	\N	\N
3638861	3270	1998-03-31	PRIJEM	\N	168	37865	UROK	\N	\N
3638862	3270	1998-04-30	PRIJEM	\N	175	37749	UROK	\N	\N
3638863	3270	1998-05-31	PRIJEM	\N	174	38032	UROK	\N	\N
3638864	3270	1998-06-30	PRIJEM	\N	198	47205	UROK	\N	\N
3638865	3270	1998-07-31	PRIJEM	\N	208	44723	UROK	\N	\N
3638866	3270	1998-08-31	PRIJEM	\N	205	49337	UROK	\N	\N
3638867	3270	1998-09-30	PRIJEM	\N	208	41695	UROK	\N	\N
3638868	3270	1998-10-31	PRIJEM	\N	190	45094	UROK	\N	\N
3638869	3270	1998-11-30	PRIJEM	\N	199	45702	UROK	\N	\N
3638870	3270	1998-12-31	PRIJEM	\N	241	65718	UROK	\N	\N
3638871	3271	1996-11-30	PRIJEM	\N	46	16637	UROK	\N	\N
3638872	3271	1996-12-31	PRIJEM	\N	79	20007	UROK	\N	\N
3638873	3271	1997-01-31	PRIJEM	\N	95	23992	UROK	\N	\N
3638874	3271	1997-02-28	PRIJEM	\N	109	27192	UROK	\N	\N
3638875	3271	1997-03-31	PRIJEM	\N	112	26996	UROK	\N	\N
3638876	3271	1997-04-30	PRIJEM	\N	111	26256	UROK	\N	\N
3638877	3271	1997-05-31	PRIJEM	\N	106	25421	UROK	\N	\N
3638878	3271	1997-06-30	PRIJEM	\N	88	16779	UROK	\N	\N
3638879	3271	1997-07-31	PRIJEM	\N	76	18805	UROK	\N	\N
3638880	3271	1997-08-31	PRIJEM	\N	73	17027	UROK	\N	\N
3638881	3271	1997-09-30	PRIJEM	\N	53	11830	UROK	\N	\N
3638882	3271	1997-10-31	PRIJEM	\N	53	13132	UROK	\N	\N
3638883	3271	1997-11-30	PRIJEM	\N	59	14440	UROK	\N	\N
3638884	3271	1997-12-31	PRIJEM	\N	63	15543	UROK	\N	\N
3638885	3271	1998-01-31	PRIJEM	\N	55	12918	UROK	\N	\N
3638886	3271	1998-02-28	PRIJEM	\N	58	14225	UROK	\N	\N
3638887	3271	1998-03-31	PRIJEM	\N	63	15538	UROK	\N	\N
3638888	3271	1998-04-30	PRIJEM	\N	69	16856	UROK	\N	\N
3638889	3271	1998-05-31	PRIJEM	\N	74	18179	UROK	\N	\N
3638890	3271	1998-06-30	PRIJEM	\N	71	12900	UROK	\N	\N
3638891	3271	1998-07-31	PRIJEM	\N	55	13004	UROK	\N	\N
3638892	3271	1998-08-31	PRIJEM	\N	58	14312	UROK	\N	\N
3638893	3271	1998-09-30	PRIJEM	\N	64	15624	UROK	\N	\N
3638894	3271	1998-10-31	PRIJEM	\N	69	16943	UROK	\N	\N
3638895	3271	1998-11-30	PRIJEM	\N	74	18267	UROK	\N	\N
3638896	3271	1998-12-31	PRIJEM	\N	80	19266	UROK	\N	\N
3638897	3272	1996-09-30	PRIJEM	\N	6	22834	UROK	\N	\N
3638898	3272	1996-10-31	PRIJEM	\N	99	31461	UROK	\N	\N
3638899	3272	1996-11-30	PRIJEM	\N	133	38122	UROK	\N	\N
3638900	3272	1996-12-31	PRIJEM	\N	161	43876	UROK	\N	\N
3638901	3272	1997-01-31	PRIJEM	\N	218	26757	UROK	\N	\N
3638902	3272	1997-02-28	PRIJEM	\N	163	31968	UROK	\N	\N
3638903	3272	1997-03-31	PRIJEM	\N	182	32099	UROK	\N	\N
3638904	3272	1997-04-30	PRIJEM	\N	182	31829	UROK	\N	\N
3638905	3272	1997-05-31	PRIJEM	\N	179	31957	UROK	\N	\N
3638906	3272	1997-06-30	PRIJEM	\N	187	32836	UROK	\N	\N
3638907	3272	1997-07-31	PRIJEM	\N	176	30780	UROK	\N	\N
3638908	3272	1997-08-31	PRIJEM	\N	166	28995	UROK	\N	\N
3638909	3272	1997-09-30	PRIJEM	\N	164	31707	UROK	\N	\N
3638910	3272	1997-10-31	PRIJEM	\N	166	26021	UROK	\N	\N
3638911	3272	1997-11-30	PRIJEM	\N	146	25416	UROK	\N	\N
3638912	3272	1997-12-31	PRIJEM	\N	171	29839	UROK	\N	\N
3638913	3272	1998-01-31	PRIJEM	\N	152	24199	UROK	\N	\N
3638914	3272	1998-02-28	PRIJEM	\N	138	24306	UROK	\N	\N
3638915	3272	1998-03-31	PRIJEM	\N	144	28798	UROK	\N	\N
3638916	3272	1998-04-30	PRIJEM	\N	160	32207	UROK	\N	\N
3638917	3272	1998-05-31	PRIJEM	\N	173	32628	UROK	\N	\N
3638918	3272	1998-06-30	PRIJEM	\N	111	16372	UROK	\N	\N
3638919	3272	1998-07-31	PRIJEM	\N	111	23731	UROK	\N	\N
3638920	3272	1998-08-31	PRIJEM	\N	134	26713	UROK	\N	\N
3638921	3272	1998-09-30	PRIJEM	\N	139	26100	UROK	\N	\N
3638922	3272	1998-10-31	PRIJEM	\N	131	23180	UROK	\N	\N
3638923	3272	1998-11-30	PRIJEM	\N	128	25956	UROK	\N	\N
3638924	3272	1998-12-31	PRIJEM	\N	169	34337	UROK	\N	\N
3638925	3274	1997-10-31	PRIJEM	\N	50	24635	UROK	\N	\N
3638926	3274	1997-11-30	PRIJEM	\N	126	36146	UROK	\N	\N
3638927	3274	1997-12-31	PRIJEM	\N	166	43790	UROK	\N	\N
3638928	3274	1998-01-31	PRIJEM	\N	182	43757	UROK	\N	\N
3638929	3274	1998-02-28	PRIJEM	\N	197	41464	UROK	\N	\N
3638930	3274	1998-03-31	PRIJEM	\N	189	37748	UROK	\N	\N
3638931	3274	1998-04-30	PRIJEM	\N	177	36921	UROK	\N	\N
3638932	3274	1998-05-31	PRIJEM	\N	159	32175	UROK	\N	\N
3638933	3274	1998-06-30	PRIJEM	\N	100	16723	UROK	\N	\N
3638934	3274	1998-07-31	PRIJEM	\N	97	22515	UROK	\N	\N
3638935	3274	1998-08-31	PRIJEM	\N	117	24068	UROK	\N	\N
3638936	3274	1998-09-30	PRIJEM	\N	121	28585	UROK	\N	\N
3638937	3274	1998-10-31	PRIJEM	\N	128	28128	UROK	\N	\N
3638938	3274	1998-11-30	PRIJEM	\N	99	18282	UROK	\N	\N
3638939	3274	1998-12-31	PRIJEM	\N	118	28328	UROK	\N	\N
3638940	3275	1994-07-31	PRIJEM	\N	6	13626	UROK	\N	\N
3638941	3275	1994-08-31	PRIJEM	\N	61	21306	UROK	\N	\N
3638942	3275	1994-09-30	PRIJEM	\N	90	24517	UROK	\N	\N
3638943	3275	1994-10-31	PRIJEM	\N	105	28741	UROK	\N	\N
3638944	3275	1994-11-30	PRIJEM	\N	126	26411	UROK	\N	\N
3638945	3275	1994-12-31	PRIJEM	\N	130	26090	UROK	\N	\N
3638946	3275	1995-01-31	PRIJEM	\N	104	20783	UROK	\N	\N
3638947	3275	1995-02-28	PRIJEM	\N	94	23047	UROK	\N	\N
3638948	3275	1995-03-31	PRIJEM	\N	106	26182	UROK	\N	\N
3638949	3275	1995-04-30	PRIJEM	\N	115	25027	UROK	\N	\N
3638950	3275	1995-05-31	PRIJEM	\N	116	24272	UROK	\N	\N
3638951	3275	1995-06-30	PRIJEM	\N	122	26883	UROK	\N	\N
3638952	3275	1995-07-31	PRIJEM	\N	118	26631	UROK	\N	\N
3638953	3275	1995-08-31	PRIJEM	\N	111	27391	UROK	\N	\N
3638954	3275	1995-09-30	PRIJEM	\N	113	20273	UROK	\N	\N
3638955	3275	1995-10-31	PRIJEM	\N	98	23001	UROK	\N	\N
3638956	3275	1995-11-30	PRIJEM	\N	105	26035	UROK	\N	\N
3638957	3275	1995-12-31	PRIJEM	\N	111	22515	UROK	\N	\N
3638958	3275	1996-01-31	PRIJEM	\N	80	13224	UROK	\N	\N
3638959	3275	1996-02-29	PRIJEM	\N	66	17519	UROK	\N	\N
3638960	3275	1996-03-31	PRIJEM	\N	80	16349	UROK	\N	\N
3638961	3275	1996-04-30	PRIJEM	\N	78	18157	UROK	\N	\N
3638962	3275	1996-05-31	PRIJEM	\N	83	18369	UROK	\N	\N
3638963	3275	1996-06-30	PRIJEM	\N	89	21947	UROK	\N	\N
3638964	3275	1996-07-31	PRIJEM	\N	95	22071	UROK	\N	\N
3638965	3275	1996-08-31	PRIJEM	\N	88	19089	UROK	\N	\N
3638966	3275	1996-09-30	PRIJEM	\N	88	21106	UROK	\N	\N
3638967	3275	1996-10-31	PRIJEM	\N	88	20423	UROK	\N	\N
3638968	3275	1996-11-30	PRIJEM	\N	93	23546	UROK	\N	\N
3638969	3275	1996-12-31	PRIJEM	\N	111	28127	UROK	\N	\N
3638970	3275	1997-01-31	PRIJEM	\N	111	19487	UROK	\N	\N
3638971	3275	1997-02-28	PRIJEM	\N	83	20720	UROK	\N	\N
3638972	3275	1997-03-31	PRIJEM	\N	94	22943	UROK	\N	\N
3638973	3275	1997-04-30	PRIJEM	\N	108	27880	UROK	\N	\N
3638974	3275	1997-05-31	PRIJEM	\N	110	24419	UROK	\N	\N
3638975	3275	1997-06-30	PRIJEM	\N	103	24312	UROK	\N	\N
3638976	3275	1997-07-31	PRIJEM	\N	97	22838	UROK	\N	\N
3638977	3275	1997-08-31	PRIJEM	\N	94	19062	UROK	\N	\N
3638978	3275	1997-09-30	PRIJEM	\N	101	23692	UROK	\N	\N
3638979	3275	1997-10-31	PRIJEM	\N	120	28841	UROK	\N	\N
3638980	3275	1997-11-30	PRIJEM	\N	92	18923	UROK	\N	\N
3638981	3275	1997-12-31	PRIJEM	\N	103	24655	UROK	\N	\N
3638982	3275	1998-01-31	PRIJEM	\N	81	14805	UROK	\N	\N
3638983	3275	1998-02-28	PRIJEM	\N	71	15606	UROK	\N	\N
3638984	3275	1998-03-31	PRIJEM	\N	61	14797	UROK	\N	\N
3638985	3275	1998-04-30	PRIJEM	\N	57	13784	UROK	\N	\N
3638986	3275	1998-05-31	PRIJEM	\N	66	16979	UROK	\N	\N
3638987	3275	1998-06-30	PRIJEM	\N	61	14029	UROK	\N	\N
3638988	3275	1998-07-31	PRIJEM	\N	55	13313	UROK	\N	\N
3638989	3275	1998-08-31	PRIJEM	\N	50	9493	UROK	\N	\N
3638990	3275	1998-09-30	PRIJEM	\N	48	13270	UROK	\N	\N
3638991	3275	1998-10-31	PRIJEM	\N	50	11850	UROK	\N	\N
3638992	3275	1998-11-30	PRIJEM	\N	65	15644	UROK	\N	\N
3638993	3275	1998-12-31	PRIJEM	\N	81	21634	UROK	\N	\N
3638994	3276	1998-01-31	PRIJEM	\N	9	17012	UROK	\N	\N
3638995	3276	1998-02-28	PRIJEM	\N	74	25889	UROK	\N	\N
3638996	3276	1998-03-31	PRIJEM	\N	110	32102	UROK	\N	\N
3638997	3276	1998-04-30	PRIJEM	\N	134	34339	UROK	\N	\N
3638998	3276	1998-05-31	PRIJEM	\N	151	36224	UROK	\N	\N
3638999	3276	1998-06-30	PRIJEM	\N	89	23705	UROK	\N	\N
3639000	3276	1998-07-31	PRIJEM	\N	107	26332	UROK	\N	\N
3639001	3276	1998-08-31	PRIJEM	\N	119	29571	UROK	\N	\N
3639002	3276	1998-09-30	PRIJEM	\N	134	35026	UROK	\N	\N
3639003	3276	1998-10-31	PRIJEM	\N	157	40703	UROK	\N	\N
3639004	3276	1998-11-30	PRIJEM	\N	175	39898	UROK	\N	\N
3639005	3276	1998-12-31	PRIJEM	\N	177	42727	UROK	\N	\N
3639006	3277	1993-07-31	PRIJEM	\N	43	17797	UROK	\N	\N
3639007	3277	1993-08-31	PRIJEM	\N	127	39577	UROK	\N	\N
3639008	3277	1993-09-30	PRIJEM	\N	190	50522	UROK	\N	\N
3639009	3277	1993-10-31	PRIJEM	\N	216	53192	UROK	\N	\N
3639010	3277	1993-11-30	PRIJEM	\N	228	52233	UROK	\N	\N
3639011	3277	1993-12-31	PRIJEM	\N	219	59959	UROK	\N	\N
3639012	3277	1994-01-31	PRIJEM	\N	219	47997	UROK	\N	\N
3639013	3277	1994-02-28	PRIJEM	\N	189	50025	UROK	\N	\N
3639014	3277	1994-03-31	PRIJEM	\N	213	51977	UROK	\N	\N
3639015	3277	1994-04-30	PRIJEM	\N	206	51642	UROK	\N	\N
3639016	3277	1994-05-31	PRIJEM	\N	226	54527	UROK	\N	\N
3639017	3277	1994-06-30	PRIJEM	\N	247	52040	UROK	\N	\N
3639018	3277	1994-07-31	PRIJEM	\N	218	52597	UROK	\N	\N
3639019	3277	1994-08-31	PRIJEM	\N	223	54560	UROK	\N	\N
3639020	3277	1994-09-30	PRIJEM	\N	231	56330	UROK	\N	\N
3639021	3277	1994-10-31	PRIJEM	\N	230	54699	UROK	\N	\N
3639022	3277	1994-11-30	PRIJEM	\N	234	57773	UROK	\N	\N
3639023	3277	1994-12-31	PRIJEM	\N	245	58344	UROK	\N	\N
3639024	3277	1995-01-31	PRIJEM	\N	186	34589	UROK	\N	\N
3639025	3277	1995-02-28	PRIJEM	\N	150	39278	UROK	\N	\N
3639026	3277	1995-03-31	PRIJEM	\N	174	43892	UROK	\N	\N
3639027	3277	1995-04-30	PRIJEM	\N	187	46218	UROK	\N	\N
3639028	3277	1995-05-31	PRIJEM	\N	201	50058	UROK	\N	\N
3639029	3277	1995-06-30	PRIJEM	\N	229	59354	UROK	\N	\N
3639030	3277	1995-07-31	PRIJEM	\N	236	55429	UROK	\N	\N
3639031	3277	1995-08-31	PRIJEM	\N	220	51689	UROK	\N	\N
3639032	3277	1995-09-30	PRIJEM	\N	210	51018	UROK	\N	\N
3639033	3277	1995-10-31	PRIJEM	\N	169	35287	UROK	\N	\N
3639034	3277	1995-11-30	PRIJEM	\N	157	33523	UROK	\N	\N
3639035	3277	1995-12-31	PRIJEM	\N	184	36653	UROK	\N	\N
3639036	3277	1996-01-31	PRIJEM	\N	127	23020	UROK	\N	\N
3639037	3277	1996-02-29	PRIJEM	\N	97	28756	UROK	\N	\N
3639038	3277	1996-03-31	PRIJEM	\N	118	29013	UROK	\N	\N
3639039	3277	1996-04-30	PRIJEM	\N	124	28597	UROK	\N	\N
3639040	3277	1996-05-31	PRIJEM	\N	119	31355	UROK	\N	\N
3639041	3277	1996-06-30	PRIJEM	\N	142	32783	UROK	\N	\N
3639042	3277	1996-07-31	PRIJEM	\N	152	30255	UROK	\N	\N
3639043	3277	1996-08-31	PRIJEM	\N	125	29539	UROK	\N	\N
3639044	3277	1996-09-30	PRIJEM	\N	125	33703	UROK	\N	\N
3639045	3277	1996-10-31	PRIJEM	\N	138	33981	UROK	\N	\N
3639046	3277	1996-11-30	PRIJEM	\N	137	32057	UROK	\N	\N
3639047	3277	1996-12-31	PRIJEM	\N	157	32680	UROK	\N	\N
3639048	3277	1997-01-31	PRIJEM	\N	115	21533	UROK	\N	\N
3639049	3277	1997-02-28	PRIJEM	\N	95	28668	UROK	\N	\N
3639050	3277	1997-03-31	PRIJEM	\N	135	29823	UROK	\N	\N
3639051	3277	1997-04-30	PRIJEM	\N	124	32586	UROK	\N	\N
3639052	3277	1997-05-31	PRIJEM	\N	136	35662	UROK	\N	\N
3639053	3277	1997-06-30	PRIJEM	\N	150	38978	UROK	\N	\N
3639054	3277	1997-07-31	PRIJEM	\N	158	38876	UROK	\N	\N
3639055	3277	1997-08-31	PRIJEM	\N	157	38372	UROK	\N	\N
3639056	3277	1997-09-30	PRIJEM	\N	153	34305	UROK	\N	\N
3639057	3277	1997-10-31	PRIJEM	\N	135	32379	UROK	\N	\N
3639058	3277	1997-11-30	PRIJEM	\N	134	34553	UROK	\N	\N
3639059	3277	1997-12-31	PRIJEM	\N	143	34363	UROK	\N	\N
3639060	3277	1998-01-31	PRIJEM	\N	113	21935	UROK	\N	\N
3639061	3277	1998-02-28	PRIJEM	\N	103	30277	UROK	\N	\N
3639062	3277	1998-03-31	PRIJEM	\N	130	33427	UROK	\N	\N
3639063	3277	1998-04-30	PRIJEM	\N	143	37069	UROK	\N	\N
3639064	3277	1998-05-31	PRIJEM	\N	150	34398	UROK	\N	\N
3639065	3277	1998-06-30	PRIJEM	\N	151	40816	UROK	\N	\N
3639066	3277	1998-07-31	PRIJEM	\N	167	42122	UROK	\N	\N
3639067	3277	1998-08-31	PRIJEM	\N	157	35919	UROK	\N	\N
3639068	3277	1998-09-30	PRIJEM	\N	182	40640	UROK	\N	\N
3639069	3277	1998-10-31	PRIJEM	\N	163	40442	UROK	\N	\N
3639070	3277	1998-11-30	PRIJEM	\N	173	45674	UROK	\N	\N
3639071	3277	1998-12-31	PRIJEM	\N	199	52559	UROK	\N	\N
3639072	3279	1995-01-31	PRIJEM	\N	37	17139	UROK	\N	\N
3639073	3279	1995-02-28	PRIJEM	\N	100	31191	UROK	\N	\N
3639074	3279	1995-03-31	PRIJEM	\N	145	42327	UROK	\N	\N
3639075	3279	1995-04-30	PRIJEM	\N	189	48763	UROK	\N	\N
3639076	3279	1995-05-31	PRIJEM	\N	202	36865	UROK	\N	\N
3639077	3279	1995-06-30	PRIJEM	\N	176	61368	UROK	\N	\N
3639078	3279	1995-07-31	PRIJEM	\N	195	35071	UROK	\N	\N
3639079	3279	1995-08-31	PRIJEM	\N	121	24901	UROK	\N	\N
3639080	3279	1995-09-30	PRIJEM	\N	92	20401	UROK	\N	\N
3639081	3279	1995-10-31	PRIJEM	\N	77	17285	UROK	\N	\N
3639082	3279	1995-11-30	PRIJEM	\N	126	75908	UROK	\N	\N
3639083	3279	1995-12-31	PRIJEM	\N	249	87906	UROK	\N	\N
3639084	3279	1996-01-31	PRIJEM	\N	177	24591	UROK	\N	\N
3639085	3279	1996-02-29	PRIJEM	\N	202	51066	UROK	\N	\N
3639086	3279	1996-03-31	PRIJEM	\N	273	67703	UROK	\N	\N
3639087	3279	1996-04-30	PRIJEM	\N	342	70795	UROK	\N	\N
3639088	3279	1996-05-31	PRIJEM	\N	256	49219	UROK	\N	\N
3639089	3279	1996-06-30	PRIJEM	\N	171	123593	UROK	\N	\N
3639090	3279	1996-07-31	PRIJEM	\N	415	107787	UROK	\N	\N
3639091	3279	1996-08-31	PRIJEM	\N	285	80740	UROK	\N	\N
3639092	3279	1996-09-30	PRIJEM	\N	367	90870	UROK	\N	\N
3639093	3279	1996-10-31	PRIJEM	\N	270	103750	UROK	\N	\N
3639094	3279	1996-11-30	PRIJEM	\N	336	81857	UROK	\N	\N
3639095	3279	1996-12-31	PRIJEM	\N	302	58687	UROK	\N	\N
3639096	3279	1997-01-31	PRIJEM	\N	137	22032	UROK	\N	\N
3639097	3279	1997-02-28	PRIJEM	\N	179	53905	UROK	\N	\N
3639098	3279	1997-03-31	PRIJEM	\N	154	29525	UROK	\N	\N
3639099	3279	1997-04-30	PRIJEM	\N	122	29853	UROK	\N	\N
3639100	3279	1997-05-31	PRIJEM	\N	159	28820	UROK	\N	\N
3639101	3279	1997-06-30	PRIJEM	\N	154	26574	UROK	\N	\N
3639102	3279	1997-07-31	PRIJEM	\N	214	37140	UROK	\N	\N
3639103	3279	1997-08-31	PRIJEM	\N	272	83716	UROK	\N	\N
3639104	3279	1997-09-30	PRIJEM	\N	195	35313	UROK	\N	\N
3639105	3279	1997-10-31	PRIJEM	\N	122	32590	UROK	\N	\N
3639106	3279	1997-11-30	PRIJEM	\N	100	23299	UROK	\N	\N
3639107	3279	1997-12-31	PRIJEM	\N	97	23404	UROK	\N	\N
3639108	3279	1998-01-31	PRIJEM	\N	148	37360	UROK	\N	\N
3639109	3279	1998-02-28	PRIJEM	\N	222	57850	UROK	\N	\N
3639110	3279	1998-03-31	PRIJEM	\N	165	57648	UROK	\N	\N
3639111	3279	1998-04-30	PRIJEM	\N	192	38112	UROK	\N	\N
3639112	3279	1998-05-31	PRIJEM	\N	155	36976	UROK	\N	\N
3639113	3279	1998-06-30	PRIJEM	\N	73	29930	UROK	\N	\N
3639114	3279	1998-07-31	PRIJEM	\N	130	47263	UROK	\N	\N
3639115	3279	1998-08-31	PRIJEM	\N	240	54764	UROK	\N	\N
3639116	3279	1998-09-30	PRIJEM	\N	194	41649	UROK	\N	\N
3639117	3279	1998-10-31	PRIJEM	\N	167	36123	UROK	\N	\N
3639118	3279	1998-11-30	PRIJEM	\N	146	34177	UROK	\N	\N
3639119	3280	1996-05-31	PRIJEM	\N	22	20488	UROK	\N	\N
3639120	3280	1996-06-30	PRIJEM	\N	99	32686	UROK	\N	\N
3639121	3280	1996-07-31	PRIJEM	\N	138	34289	UROK	\N	\N
3639122	3280	1996-08-31	PRIJEM	\N	144	35299	UROK	\N	\N
3639123	3280	1996-09-30	PRIJEM	\N	152	31246	UROK	\N	\N
3639124	3280	1996-10-31	PRIJEM	\N	137	27738	UROK	\N	\N
3639125	3280	1996-11-30	PRIJEM	\N	126	27219	UROK	\N	\N
3639126	3280	1996-12-31	PRIJEM	\N	126	23052	UROK	\N	\N
3639127	3280	1997-01-31	PRIJEM	\N	91	14637	UROK	\N	\N
3639128	3280	1997-02-28	PRIJEM	\N	74	16866	UROK	\N	\N
3639129	3280	1997-03-31	PRIJEM	\N	83	18504	UROK	\N	\N
3639130	3280	1997-04-30	PRIJEM	\N	88	18946	UROK	\N	\N
3639131	3280	1997-05-31	PRIJEM	\N	86	17586	UROK	\N	\N
3639132	3280	1997-06-30	PRIJEM	\N	86	17340	UROK	\N	\N
3639133	3280	1997-07-31	PRIJEM	\N	78	15872	UROK	\N	\N
3639134	3280	1997-08-31	PRIJEM	\N	76	17102	UROK	\N	\N
3639135	3280	1997-09-30	PRIJEM	\N	78	17334	UROK	\N	\N
3639136	3280	1997-10-31	PRIJEM	\N	76	16565	UROK	\N	\N
3639137	3280	1997-11-30	PRIJEM	\N	76	17895	UROK	\N	\N
3639138	3280	1997-12-31	PRIJEM	\N	97	24780	UROK	\N	\N
3639139	3280	1998-01-31	PRIJEM	\N	87	13301	UROK	\N	\N
3639140	3280	1998-02-28	PRIJEM	\N	51	10807	UROK	\N	\N
3639141	3280	1998-03-31	PRIJEM	\N	72	20733	UROK	\N	\N
3639142	3280	1998-04-30	PRIJEM	\N	68	11655	UROK	\N	\N
3639143	3280	1998-05-31	PRIJEM	\N	75	21585	UROK	\N	\N
3639144	3280	1998-06-30	PRIJEM	\N	82	17354	UROK	\N	\N
3639145	3280	1998-07-31	PRIJEM	\N	53	9161	UROK	\N	\N
3639146	3280	1998-08-31	PRIJEM	\N	64	18000	UROK	\N	\N
3639147	3280	1998-09-30	PRIJEM	\N	99	23513	UROK	\N	\N
3639148	3280	1998-10-31	PRIJEM	\N	125	33491	UROK	\N	\N
3639149	3280	1998-11-30	PRIJEM	\N	166	43511	UROK	\N	\N
3639150	3280	1998-12-31	PRIJEM	\N	144	30243	UROK	\N	\N
3639151	3281	1997-12-31	PRIJEM	\N	86	23638	UROK	\N	\N
3639152	3281	1998-01-31	PRIJEM	\N	80	13591	UROK	\N	\N
3639153	3281	1998-02-28	PRIJEM	\N	58	13529	UROK	\N	\N
3639154	3281	1998-03-31	PRIJEM	\N	60	14668	UROK	\N	\N
3639155	3281	1998-04-30	PRIJEM	\N	62	14369	UROK	\N	\N
3639156	3281	1998-05-31	PRIJEM	\N	66	15114	UROK	\N	\N
3639157	3281	1998-06-30	PRIJEM	\N	63	14257	UROK	\N	\N
3639158	3281	1998-07-31	PRIJEM	\N	69	15905	UROK	\N	\N
3639159	3281	1998-08-31	PRIJEM	\N	69	15753	UROK	\N	\N
3639160	3281	1998-09-30	PRIJEM	\N	73	18505	UROK	\N	\N
3639161	3281	1998-10-31	PRIJEM	\N	79	15863	UROK	\N	\N
3639162	3281	1998-11-30	PRIJEM	\N	73	18616	UROK	\N	\N
3639163	3281	1998-12-31	PRIJEM	\N	86	20881	UROK	\N	\N
3639164	3283	1993-04-30	PRIJEM	\N	16	19183	UROK	\N	\N
3639165	3283	1993-05-31	PRIJEM	\N	90	29940	UROK	\N	\N
3639166	3283	1993-06-30	PRIJEM	\N	136	41475	UROK	\N	\N
3639167	3283	1993-07-31	PRIJEM	\N	171	40714	UROK	\N	\N
3639168	3283	1993-08-31	PRIJEM	\N	182	40563	UROK	\N	\N
3639169	3283	1993-09-30	PRIJEM	\N	175	36971	UROK	\N	\N
3639170	3283	1993-10-31	PRIJEM	\N	165	37768	UROK	\N	\N
3639171	3283	1993-11-30	PRIJEM	\N	162	34763	UROK	\N	\N
3639172	3283	1993-12-31	PRIJEM	\N	157	35486	UROK	\N	\N
3639173	3283	1994-01-31	PRIJEM	\N	150	32668	UROK	\N	\N
3639174	3283	1994-02-28	PRIJEM	\N	148	35948	UROK	\N	\N
3639175	3283	1994-03-31	PRIJEM	\N	157	34838	UROK	\N	\N
3639176	3283	1994-04-30	PRIJEM	\N	139	30409	UROK	\N	\N
3639177	3283	1994-05-31	PRIJEM	\N	138	32979	UROK	\N	\N
3639178	3283	1994-06-30	PRIJEM	\N	148	21593	UROK	\N	\N
3639179	3283	1994-07-31	PRIJEM	\N	103	27128	UROK	\N	\N
3639180	3283	1994-08-31	PRIJEM	\N	117	26377	UROK	\N	\N
3639181	3283	1994-09-30	PRIJEM	\N	115	26924	UROK	\N	\N
3639182	3283	1994-10-31	PRIJEM	\N	119	28675	UROK	\N	\N
3639183	3283	1994-11-30	PRIJEM	\N	119	27627	UROK	\N	\N
3639184	3283	1994-12-31	PRIJEM	\N	120	26312	UROK	\N	\N
3639185	3283	1995-01-31	PRIJEM	\N	96	21241	UROK	\N	\N
3639186	3283	1995-02-28	PRIJEM	\N	97	25370	UROK	\N	\N
3639187	3283	1995-03-31	PRIJEM	\N	115	29018	UROK	\N	\N
3639188	3283	1995-04-30	PRIJEM	\N	120	25571	UROK	\N	\N
3639189	3283	1995-05-31	PRIJEM	\N	109	26513	UROK	\N	\N
3639190	3283	1995-06-30	PRIJEM	\N	121	22699	UROK	\N	\N
3639191	3283	1995-07-31	PRIJEM	\N	107	28339	UROK	\N	\N
3639192	3283	1995-08-31	PRIJEM	\N	138	37409	UROK	\N	\N
3639193	3283	1995-09-30	PRIJEM	\N	160	41402	UROK	\N	\N
3639194	3283	1995-10-31	PRIJEM	\N	169	42303	UROK	\N	\N
3639195	3283	1995-11-30	PRIJEM	\N	169	41804	UROK	\N	\N
3639196	3283	1995-12-31	PRIJEM	\N	187	50556	UROK	\N	\N
3639197	3283	1996-01-31	PRIJEM	\N	166	38354	UROK	\N	\N
3639198	3283	1996-02-29	PRIJEM	\N	150	37137	UROK	\N	\N
3639199	3283	1996-03-31	PRIJEM	\N	143	36312	UROK	\N	\N
3639200	3283	1996-04-30	PRIJEM	\N	139	32784	UROK	\N	\N
3639201	3283	1996-05-31	PRIJEM	\N	137	35353	UROK	\N	\N
3639202	3283	1996-06-30	PRIJEM	\N	139	35457	UROK	\N	\N
3639203	3283	1996-07-31	PRIJEM	\N	147	37536	UROK	\N	\N
3639204	3283	1996-08-31	PRIJEM	\N	144	35412	UROK	\N	\N
3639205	3283	1996-09-30	PRIJEM	\N	150	39195	UROK	\N	\N
3639206	3283	1996-10-31	PRIJEM	\N	156	39284	UROK	\N	\N
3639207	3283	1996-11-30	PRIJEM	\N	152	37668	UROK	\N	\N
3639208	3283	1996-12-31	PRIJEM	\N	172	46505	UROK	\N	\N
3639209	3283	1997-01-31	PRIJEM	\N	143	37781	UROK	\N	\N
3639210	3283	1997-02-28	PRIJEM	\N	141	34354	UROK	\N	\N
3639211	3283	1997-03-31	PRIJEM	\N	103	27990	UROK	\N	\N
3639212	3283	1997-04-30	PRIJEM	\N	105	26527	UROK	\N	\N
3639213	3283	1997-05-31	PRIJEM	\N	103	26562	UROK	\N	\N
3639214	3283	1997-06-30	PRIJEM	\N	121	34549	UROK	\N	\N
3639215	3283	1997-07-31	PRIJEM	\N	121	28902	UROK	\N	\N
3639216	3283	1997-08-31	PRIJEM	\N	141	38776	UROK	\N	\N
3639217	3283	1997-09-30	PRIJEM	\N	118	25527	UROK	\N	\N
3639218	3283	1997-10-31	PRIJEM	\N	113	31172	UROK	\N	\N
3639219	3283	1997-11-30	PRIJEM	\N	141	38046	UROK	\N	\N
3639220	3283	1997-12-31	PRIJEM	\N	145	17956	UROK	\N	\N
3639221	3283	1998-01-31	PRIJEM	\N	90	21079	UROK	\N	\N
3639222	3283	1998-02-28	PRIJEM	\N	106	30917	UROK	\N	\N
3639223	3283	1998-03-31	PRIJEM	\N	114	26263	UROK	\N	\N
3639224	3283	1998-04-30	PRIJEM	\N	114	16710	UROK	\N	\N
3639225	3283	1998-05-31	PRIJEM	\N	89	26531	UROK	\N	\N
3639226	3283	1998-06-30	PRIJEM	\N	140	22036	UROK	\N	\N
3639227	3283	1998-07-31	PRIJEM	\N	111	31880	UROK	\N	\N
3639228	3283	1998-08-31	PRIJEM	\N	137	20049	UROK	\N	\N
3639229	3283	1998-09-30	PRIJEM	\N	102	29884	UROK	\N	\N
3639230	3283	1998-10-31	PRIJEM	\N	143	39759	UROK	\N	\N
3639231	3283	1998-11-30	PRIJEM	\N	161	22153	UROK	\N	\N
3639232	3283	1998-12-31	PRIJEM	\N	113	20131	UROK	\N	\N
3639233	3284	1993-06-30	PRIJEM	\N	42	20406	UROK	\N	\N
3639234	3284	1993-07-31	PRIJEM	\N	97	26012	UROK	\N	\N
3639235	3284	1993-08-31	PRIJEM	\N	117	30038	UROK	\N	\N
3639236	3284	1993-09-30	PRIJEM	\N	124	29871	UROK	\N	\N
3639237	3284	1993-10-31	PRIJEM	\N	128	30936	UROK	\N	\N
3639238	3284	1993-11-30	PRIJEM	\N	124	25223	UROK	\N	\N
3639239	3284	1993-12-31	PRIJEM	\N	112	26872	UROK	\N	\N
3639240	3284	1994-01-31	PRIJEM	\N	89	20224	UROK	\N	\N
3639241	3284	1994-02-28	PRIJEM	\N	100	25946	UROK	\N	\N
3639242	3284	1994-03-31	PRIJEM	\N	112	25301	UROK	\N	\N
3639243	3284	1994-04-30	PRIJEM	\N	107	25530	UROK	\N	\N
3639244	3284	1994-05-31	PRIJEM	\N	107	25659	UROK	\N	\N
3639245	3284	1994-06-30	PRIJEM	\N	95	23011	UROK	\N	\N
3639246	3284	1994-07-31	PRIJEM	\N	98	23832	UROK	\N	\N
3639247	3284	1994-08-31	PRIJEM	\N	107	26461	UROK	\N	\N
3639248	3284	1994-09-30	PRIJEM	\N	117	28901	UROK	\N	\N
3639249	3284	1994-10-31	PRIJEM	\N	118	24081	UROK	\N	\N
3639250	3284	1994-11-30	PRIJEM	\N	92	21395	UROK	\N	\N
3639251	3284	1994-12-31	PRIJEM	\N	80	17072	UROK	\N	\N
3639252	3284	1995-01-31	PRIJEM	\N	94	20948	UROK	\N	\N
3639253	3284	1995-02-28	PRIJEM	\N	98	23568	UROK	\N	\N
3639254	3284	1995-03-31	PRIJEM	\N	85	17115	UROK	\N	\N
3639255	3284	1995-04-30	PRIJEM	\N	92	23630	UROK	\N	\N
3639256	3284	1995-05-31	PRIJEM	\N	97	22609	UROK	\N	\N
3639257	3284	1995-06-30	PRIJEM	\N	116	29602	UROK	\N	\N
3639258	3284	1995-07-31	PRIJEM	\N	102	20587	UROK	\N	\N
3639259	3284	1995-08-31	PRIJEM	\N	79	17408	UROK	\N	\N
3639260	3284	1995-09-30	PRIJEM	\N	84	21035	UROK	\N	\N
3639261	3284	1995-10-31	PRIJEM	\N	103	25860	UROK	\N	\N
3639262	3284	1995-11-30	PRIJEM	\N	77	17280	UROK	\N	\N
3639263	3284	1995-12-31	PRIJEM	\N	91	22007	UROK	\N	\N
3639264	3284	1996-01-31	PRIJEM	\N	87	20917	UROK	\N	\N
3639265	3284	1996-02-29	PRIJEM	\N	89	21628	UROK	\N	\N
3639266	3284	1996-03-31	PRIJEM	\N	88	21239	UROK	\N	\N
3639267	3284	1996-04-30	PRIJEM	\N	91	22353	UROK	\N	\N
3639268	3284	1996-05-31	PRIJEM	\N	90	21465	UROK	\N	\N
3639269	3284	1996-06-30	PRIJEM	\N	103	26845	UROK	\N	\N
3639270	3284	1996-07-31	PRIJEM	\N	113	25381	UROK	\N	\N
3639271	3284	1996-08-31	PRIJEM	\N	111	24114	UROK	\N	\N
3639272	3284	1996-09-30	PRIJEM	\N	93	19849	UROK	\N	\N
3639273	3284	1996-10-31	PRIJEM	\N	83	16634	UROK	\N	\N
3639274	3284	1996-11-30	PRIJEM	\N	70	16987	UROK	\N	\N
3639275	3284	1996-12-31	PRIJEM	\N	87	22190	UROK	\N	\N
3639276	3284	1997-01-31	PRIJEM	\N	97	25250	UROK	\N	\N
3639277	3284	1997-02-28	PRIJEM	\N	103	23235	UROK	\N	\N
3639278	3284	1997-03-31	PRIJEM	\N	98	24574	UROK	\N	\N
3639279	3284	1997-04-30	PRIJEM	\N	102	23558	UROK	\N	\N
3639280	3284	1997-05-31	PRIJEM	\N	102	23883	UROK	\N	\N
3639281	3284	1997-06-30	PRIJEM	\N	115	28375	UROK	\N	\N
3639282	3284	1997-07-31	PRIJEM	\N	118	24915	UROK	\N	\N
3639283	3284	1997-08-31	PRIJEM	\N	110	28348	UROK	\N	\N
3639284	3284	1997-09-30	PRIJEM	\N	120	27490	UROK	\N	\N
3639285	3284	1997-10-31	PRIJEM	\N	113	22765	UROK	\N	\N
3639286	3284	1997-11-30	PRIJEM	\N	96	21783	UROK	\N	\N
3639287	3284	1997-12-31	PRIJEM	\N	106	26565	UROK	\N	\N
3639288	3284	1998-01-31	PRIJEM	\N	91	17918	UROK	\N	\N
3639289	3284	1998-02-28	PRIJEM	\N	79	20120	UROK	\N	\N
3639290	3284	1998-03-31	PRIJEM	\N	84	19326	UROK	\N	\N
3639291	3284	1998-04-30	PRIJEM	\N	79	18087	UROK	\N	\N
3639292	3284	1998-05-31	PRIJEM	\N	81	21491	UROK	\N	\N
3639293	3284	1998-06-30	PRIJEM	\N	99	23667	UROK	\N	\N
3639294	3284	1998-07-31	PRIJEM	\N	94	20684	UROK	\N	\N
3639295	3284	1998-08-31	PRIJEM	\N	81	17787	UROK	\N	\N
3639296	3284	1998-09-30	PRIJEM	\N	71	18040	UROK	\N	\N
3639297	3284	1998-10-31	PRIJEM	\N	74	17837	UROK	\N	\N
3639298	3284	1998-11-30	PRIJEM	\N	83	22843	UROK	\N	\N
3639299	3284	1998-12-31	PRIJEM	\N	100	23720	UROK	\N	\N
3639300	3285	1996-05-31	PRIJEM	\N	8	3459	UROK	\N	\N
3639301	3285	1996-06-30	PRIJEM	\N	14	6625	UROK	\N	\N
3639302	3285	1996-07-31	PRIJEM	\N	14	9790	UROK	\N	\N
3639303	3285	1996-08-31	PRIJEM	\N	14	12956	UROK	\N	\N
3639304	3285	1996-09-30	PRIJEM	\N	44	14050	UROK	\N	\N
3639305	3285	1996-10-31	PRIJEM	\N	60	14546	UROK	\N	\N
3639306	3285	1996-11-30	PRIJEM	\N	62	15075	UROK	\N	\N
3639307	3285	1996-12-31	PRIJEM	\N	69	15970	UROK	\N	\N
3639308	3285	1997-01-31	PRIJEM	\N	63	14100	UROK	\N	\N
3639309	3285	1997-02-28	PRIJEM	\N	65	15202	UROK	\N	\N
3639310	3285	1997-03-31	PRIJEM	\N	71	16309	UROK	\N	\N
3639311	3285	1997-04-30	PRIJEM	\N	75	17420	UROK	\N	\N
3639312	3285	1997-05-31	PRIJEM	\N	75	18532	UROK	\N	\N
3639313	3285	1997-06-30	PRIJEM	\N	84	19652	UROK	\N	\N
3639314	3285	1997-07-31	PRIJEM	\N	81	19330	UROK	\N	\N
3639315	3285	1997-08-31	PRIJEM	\N	80	19096	UROK	\N	\N
3639316	3285	1997-09-30	PRIJEM	\N	82	20215	UROK	\N	\N
3639317	3285	1997-10-31	PRIJEM	\N	87	21338	UROK	\N	\N
3639318	3285	1997-11-30	PRIJEM	\N	93	21626	UROK	\N	\N
3639319	3285	1997-12-31	PRIJEM	\N	92	22365	UROK	\N	\N
3639320	3285	1998-01-31	PRIJEM	\N	87	20369	UROK	\N	\N
3639321	3285	1998-02-28	PRIJEM	\N	85	20410	UROK	\N	\N
3639322	3285	1998-03-31	PRIJEM	\N	92	21538	UROK	\N	\N
3639323	3285	1998-04-30	PRIJEM	\N	97	22672	UROK	\N	\N
3639324	3285	1998-05-31	PRIJEM	\N	95	22933	UROK	\N	\N
3639325	3285	1998-06-30	PRIJEM	\N	98	24067	UROK	\N	\N
3639326	3285	1998-07-31	PRIJEM	\N	100	24063	UROK	\N	\N
3639327	3285	1998-08-31	PRIJEM	\N	105	24034	UROK	\N	\N
3639328	3285	1998-09-30	PRIJEM	\N	102	25173	UROK	\N	\N
3639329	3285	1998-10-31	PRIJEM	\N	112	26321	UROK	\N	\N
3639330	3285	1998-11-30	PRIJEM	\N	111	26148	UROK	\N	\N
3639331	3285	1998-12-31	PRIJEM	\N	111	26755	UROK	\N	\N
3639332	3286	1996-03-31	PRIJEM	\N	21	31440	UROK	\N	\N
3639333	3286	1996-04-30	PRIJEM	\N	131	27271	UROK	\N	\N
3639334	3286	1996-05-31	PRIJEM	\N	131	27902	UROK	\N	\N
3639335	3286	1996-06-30	PRIJEM	\N	137	39366	UROK	\N	\N
3639336	3286	1996-07-31	PRIJEM	\N	182	61749	UROK	\N	\N
3639337	3286	1996-08-31	PRIJEM	\N	197	32002	UROK	\N	\N
3639338	3286	1996-09-30	PRIJEM	\N	149	60190	UROK	\N	\N
3639339	3286	1996-10-31	PRIJEM	\N	220	35892	UROK	\N	\N
3639340	3286	1996-11-30	PRIJEM	\N	180	54901	UROK	\N	\N
3639341	3286	1996-12-31	PRIJEM	\N	209	25278	UROK	\N	\N
3639342	3286	1997-01-31	PRIJEM	\N	155	20330	UROK	\N	\N
3639343	3286	1997-02-28	PRIJEM	\N	111	29982	UROK	\N	\N
3639344	3286	1997-03-31	PRIJEM	\N	95	20115	UROK	\N	\N
3639345	3286	1997-04-30	PRIJEM	\N	166	101643	UROK	\N	\N
3639346	3286	1997-05-31	PRIJEM	\N	418	93521	UROK	\N	\N
3639347	3286	1997-06-30	PRIJEM	\N	274	44972	UROK	\N	\N
3639348	3286	1997-07-31	PRIJEM	\N	133	24419	UROK	\N	\N
3639349	3286	1997-08-31	PRIJEM	\N	253	48812	UROK	\N	\N
3639350	3286	1997-09-30	PRIJEM	\N	275	49098	UROK	\N	\N
3639351	3286	1997-10-31	PRIJEM	\N	109	22443	UROK	\N	\N
3639352	3286	1997-11-30	PRIJEM	\N	107	29261	UROK	\N	\N
3639353	3286	1997-12-31	PRIJEM	\N	114	24281	UROK	\N	\N
3639354	3286	1998-01-31	PRIJEM	\N	251	76457	UROK	\N	\N
3639355	3286	1998-02-28	PRIJEM	\N	322	46355	UROK	\N	\N
3639356	3286	1998-03-31	PRIJEM	\N	238	84382	UROK	\N	\N
3639357	3286	1998-04-30	PRIJEM	\N	325	82132	UROK	\N	\N
3639358	3286	1998-05-31	PRIJEM	\N	258	47668	UROK	\N	\N
3639359	3286	1998-06-30	PRIJEM	\N	167	60690	UROK	\N	\N
3639360	3286	1998-07-31	PRIJEM	\N	251	74196	UROK	\N	\N
3639361	3286	1998-08-31	PRIJEM	\N	299	35911	UROK	\N	\N
3639362	3286	1998-09-30	PRIJEM	\N	128	31279	UROK	\N	\N
3639363	3286	1998-10-31	PRIJEM	\N	188	66090	UROK	\N	\N
3639364	3286	1998-11-30	PRIJEM	\N	317	82677	UROK	\N	\N
3639365	3286	1998-12-31	PRIJEM	\N	207	38063	UROK	\N	\N
3639366	3287	1993-08-31	PRIJEM	\N	20	21156	UROK	\N	\N
3639367	3287	1993-09-30	PRIJEM	\N	103	36094	UROK	\N	\N
3639368	3287	1993-10-31	PRIJEM	\N	153	39184	UROK	\N	\N
3639369	3287	1993-11-30	PRIJEM	\N	169	45289	UROK	\N	\N
3639370	3287	1993-12-31	PRIJEM	\N	196	51889	UROK	\N	\N
3639371	3287	1994-01-31	PRIJEM	\N	200	30162	UROK	\N	\N
3639372	3287	1994-02-28	PRIJEM	\N	148	36364	UROK	\N	\N
3639373	3287	1994-03-31	PRIJEM	\N	170	37288	UROK	\N	\N
3639374	3287	1994-04-30	PRIJEM	\N	174	39115	UROK	\N	\N
3639375	3287	1994-05-31	PRIJEM	\N	180	40049	UROK	\N	\N
3639376	3287	1994-06-30	PRIJEM	\N	191	42182	UROK	\N	\N
3639377	3287	1994-07-31	PRIJEM	\N	186	39820	UROK	\N	\N
3639378	3287	1994-08-31	PRIJEM	\N	170	40124	UROK	\N	\N
3639379	3287	1994-09-30	PRIJEM	\N	175	39153	UROK	\N	\N
3639380	3287	1994-10-31	PRIJEM	\N	174	39740	UROK	\N	\N
3639381	3287	1994-11-30	PRIJEM	\N	173	39366	UROK	\N	\N
3639382	3287	1994-12-31	PRIJEM	\N	178	38406	UROK	\N	\N
3639383	3287	1995-01-31	PRIJEM	\N	126	24885	UROK	\N	\N
3639384	3287	1995-02-28	PRIJEM	\N	118	30156	UROK	\N	\N
3639385	3287	1995-03-31	PRIJEM	\N	131	31480	UROK	\N	\N
3639386	3287	1995-04-30	PRIJEM	\N	127	28321	UROK	\N	\N
3639387	3287	1995-05-31	PRIJEM	\N	125	29099	UROK	\N	\N
3639388	3287	1995-06-30	PRIJEM	\N	127	19008	UROK	\N	\N
3639389	3287	1995-07-31	PRIJEM	\N	98	26459	UROK	\N	\N
3639390	3287	1995-08-31	PRIJEM	\N	124	31937	UROK	\N	\N
3639391	3287	1995-09-30	PRIJEM	\N	136	33086	UROK	\N	\N
3639392	3287	1995-10-31	PRIJEM	\N	138	29717	UROK	\N	\N
3639393	3287	1995-11-30	PRIJEM	\N	154	43525	UROK	\N	\N
3639394	3287	1995-12-31	PRIJEM	\N	216	58743	UROK	\N	\N
3639395	3287	1996-01-31	PRIJEM	\N	193	40889	UROK	\N	\N
3639396	3287	1996-02-29	PRIJEM	\N	182	47524	UROK	\N	\N
3639397	3287	1996-03-31	PRIJEM	\N	190	45568	UROK	\N	\N
3639398	3287	1996-04-30	PRIJEM	\N	184	44865	UROK	\N	\N
3639399	3287	1996-05-31	PRIJEM	\N	186	46204	UROK	\N	\N
3639400	3287	1996-06-30	PRIJEM	\N	172	36177	UROK	\N	\N
3639401	3287	1996-07-31	PRIJEM	\N	162	42593	UROK	\N	\N
3639402	3287	1996-08-31	PRIJEM	\N	170	39236	UROK	\N	\N
3639403	3287	1996-09-30	PRIJEM	\N	162	40652	UROK	\N	\N
3639404	3287	1996-10-31	PRIJEM	\N	163	40168	UROK	\N	\N
3639405	3287	1996-11-30	PRIJEM	\N	159	38981	UROK	\N	\N
3639406	3287	1996-12-31	PRIJEM	\N	178	45140	UROK	\N	\N
3639407	3287	1997-01-31	PRIJEM	\N	129	29602	UROK	\N	\N
3639408	3287	1997-02-28	PRIJEM	\N	131	35086	UROK	\N	\N
3639409	3287	1997-03-31	PRIJEM	\N	144	36484	UROK	\N	\N
3639410	3287	1997-04-30	PRIJEM	\N	152	37689	UROK	\N	\N
3639411	3287	1997-05-31	PRIJEM	\N	154	38596	UROK	\N	\N
3639412	3287	1997-06-30	PRIJEM	\N	140	38897	UROK	\N	\N
3639413	3287	1997-07-31	PRIJEM	\N	169	44019	UROK	\N	\N
3639414	3287	1997-08-31	PRIJEM	\N	176	41829	UROK	\N	\N
3639415	3287	1997-09-30	PRIJEM	\N	180	46662	UROK	\N	\N
3639416	3287	1997-10-31	PRIJEM	\N	180	42455	UROK	\N	\N
3639417	3287	1997-11-30	PRIJEM	\N	157	43305	UROK	\N	\N
3639418	3287	1997-12-31	PRIJEM	\N	182	53329	UROK	\N	\N
3639419	3287	1998-01-31	PRIJEM	\N	119	29022	UROK	\N	\N
3639420	3287	1998-02-28	PRIJEM	\N	128	38704	UROK	\N	\N
3639421	3287	1998-03-31	PRIJEM	\N	154	35511	UROK	\N	\N
3639422	3287	1998-04-30	PRIJEM	\N	148	38412	UROK	\N	\N
3639423	3287	1998-05-31	PRIJEM	\N	156	37601	UROK	\N	\N
3639424	3287	1998-06-30	PRIJEM	\N	149	40412	UROK	\N	\N
3639425	3287	1998-07-31	PRIJEM	\N	121	19826	UROK	\N	\N
3639426	3287	1998-08-31	PRIJEM	\N	107	16686	UROK	\N	\N
3639427	3287	1998-09-30	PRIJEM	\N	100	31740	UROK	\N	\N
3639428	3287	1998-10-31	PRIJEM	\N	151	23945	UROK	\N	\N
3639429	3287	1998-11-30	PRIJEM	\N	126	33144	UROK	\N	\N
3639430	3287	1998-12-31	PRIJEM	\N	189	53254	UROK	\N	\N
3639431	3288	1995-02-28	PRIJEM	\N	67	26647	UROK	\N	\N
3639432	3288	1995-03-31	PRIJEM	\N	119	29556	UROK	\N	\N
3639433	3288	1995-04-30	PRIJEM	\N	118	27364	UROK	\N	\N
3639434	3288	1995-05-31	PRIJEM	\N	106	21381	UROK	\N	\N
3639435	3288	1995-06-30	PRIJEM	\N	97	24468	UROK	\N	\N
3639436	3288	1995-07-31	PRIJEM	\N	110	27068	UROK	\N	\N
3639437	3288	1995-08-31	PRIJEM	\N	115	28274	UROK	\N	\N
3639438	3288	1995-09-30	PRIJEM	\N	121	29646	UROK	\N	\N
3639439	3288	1995-10-31	PRIJEM	\N	119	28355	UROK	\N	\N
3639440	3288	1995-11-30	PRIJEM	\N	110	25015	UROK	\N	\N
3639441	3288	1995-12-31	PRIJEM	\N	110	27116	UROK	\N	\N
3639442	3288	1996-01-31	PRIJEM	\N	93	18649	UROK	\N	\N
3639443	3288	1996-02-29	PRIJEM	\N	81	20360	UROK	\N	\N
3639444	3288	1996-03-31	PRIJEM	\N	93	23443	UROK	\N	\N
3639445	3288	1996-04-30	PRIJEM	\N	103	24937	UROK	\N	\N
3639446	3288	1996-05-31	PRIJEM	\N	106	23973	UROK	\N	\N
3639447	3288	1996-06-30	PRIJEM	\N	108	27071	UROK	\N	\N
3639448	3288	1996-07-31	PRIJEM	\N	120	30082	UROK	\N	\N
3639449	3288	1996-08-31	PRIJEM	\N	127	31199	UROK	\N	\N
3639450	3288	1996-09-30	PRIJEM	\N	128	31018	UROK	\N	\N
3639451	3288	1996-10-31	PRIJEM	\N	137	34145	UROK	\N	\N
3639452	3288	1996-11-30	PRIJEM	\N	138	33274	UROK	\N	\N
3639453	3288	1996-12-31	PRIJEM	\N	129	30543	UROK	\N	\N
3639454	3288	1997-01-31	PRIJEM	\N	99	21392	UROK	\N	\N
3639455	3288	1997-02-28	PRIJEM	\N	96	22558	UROK	\N	\N
3639456	3288	1997-03-31	PRIJEM	\N	85	20154	UROK	\N	\N
3639457	3288	1997-04-30	PRIJEM	\N	80	17604	UROK	\N	\N
3639458	3288	1997-05-31	PRIJEM	\N	74	18469	UROK	\N	\N
3639459	3288	1997-06-30	PRIJEM	\N	70	17509	UROK	\N	\N
3639460	3288	1997-07-31	PRIJEM	\N	80	20579	UROK	\N	\N
3639461	3288	1997-08-31	PRIJEM	\N	74	19044	UROK	\N	\N
3639462	3288	1997-09-30	PRIJEM	\N	85	15819	UROK	\N	\N
3639463	3288	1997-10-31	PRIJEM	\N	72	15681	UROK	\N	\N
3639464	3288	1997-11-30	PRIJEM	\N	70	13341	UROK	\N	\N
3639465	3288	1997-12-31	PRIJEM	\N	61	12992	UROK	\N	\N
3639466	3288	1998-01-31	PRIJEM	\N	57	14260	UROK	\N	\N
3639467	3288	1998-02-28	PRIJEM	\N	65	14415	UROK	\N	\N
3639468	3288	1998-03-31	PRIJEM	\N	66	15771	UROK	\N	\N
3639469	3288	1998-04-30	PRIJEM	\N	72	18734	UROK	\N	\N
3639470	3288	1998-05-31	PRIJEM	\N	82	17006	UROK	\N	\N
3639471	3288	1998-06-30	PRIJEM	\N	73	13269	UROK	\N	\N
3639472	3288	1998-07-31	PRIJEM	\N	62	16321	UROK	\N	\N
3639473	3288	1998-08-31	PRIJEM	\N	72	17383	UROK	\N	\N
3639474	3288	1998-09-30	PRIJEM	\N	72	14606	UROK	\N	\N
3639475	3288	1998-10-31	PRIJEM	\N	64	14681	UROK	\N	\N
3639476	3288	1998-11-30	PRIJEM	\N	61	15172	UROK	\N	\N
3639477	3288	1998-12-31	PRIJEM	\N	70	18232	UROK	\N	\N
3639478	3289	1994-06-30	PRIJEM	\N	69	19863	UROK	\N	\N
3639479	3289	1994-07-31	PRIJEM	\N	132	34058	UROK	\N	\N
3639480	3289	1994-08-31	PRIJEM	\N	166	41587	UROK	\N	\N
3639481	3289	1994-09-30	PRIJEM	\N	133	44583	UROK	\N	\N
3639482	3289	1994-10-31	PRIJEM	\N	157	30543	UROK	\N	\N
3639483	3289	1994-11-30	PRIJEM	\N	147	29479	UROK	\N	\N
3639484	3289	1994-12-31	PRIJEM	\N	163	32622	UROK	\N	\N
3639485	3289	1995-01-31	PRIJEM	\N	95	17785	UROK	\N	\N
3639486	3289	1995-02-28	PRIJEM	\N	95	24768	UROK	\N	\N
3639487	3289	1995-03-31	PRIJEM	\N	121	23777	UROK	\N	\N
3639488	3289	1995-04-30	PRIJEM	\N	105	22031	UROK	\N	\N
3639489	3289	1995-05-31	PRIJEM	\N	107	24026	UROK	\N	\N
3639490	3289	1995-06-30	PRIJEM	\N	141	30386	UROK	\N	\N
3639491	3289	1995-07-31	PRIJEM	\N	135	23249	UROK	\N	\N
3639492	3289	1995-08-31	PRIJEM	\N	112	23150	UROK	\N	\N
3639493	3289	1995-09-30	PRIJEM	\N	116	25754	UROK	\N	\N
3639494	3289	1995-10-31	PRIJEM	\N	107	22969	UROK	\N	\N
3639495	3289	1995-11-30	PRIJEM	\N	116	27574	UROK	\N	\N
3639496	3289	1995-12-31	PRIJEM	\N	149	31302	UROK	\N	\N
3639497	3289	1996-01-31	PRIJEM	\N	113	16004	UROK	\N	\N
3639498	3289	1996-02-29	PRIJEM	\N	90	24883	UROK	\N	\N
3639499	3289	1996-03-31	PRIJEM	\N	123	30294	UROK	\N	\N
3639500	3289	1996-04-30	PRIJEM	\N	142	31124	UROK	\N	\N
3639501	3289	1996-05-31	PRIJEM	\N	130	29223	UROK	\N	\N
3639502	3289	1996-06-30	PRIJEM	\N	137	28600	UROK	\N	\N
3639503	3289	1996-07-31	PRIJEM	\N	128	26937	UROK	\N	\N
3639504	3289	1996-08-31	PRIJEM	\N	128	30153	UROK	\N	\N
3639505	3289	1996-09-30	PRIJEM	\N	135	29836	UROK	\N	\N
3639506	3289	1996-10-31	PRIJEM	\N	120	26404	UROK	\N	\N
3639507	3289	1996-11-30	PRIJEM	\N	126	29818	UROK	\N	\N
3639508	3289	1996-12-31	PRIJEM	\N	153	31871	UROK	\N	\N
3639509	3289	1997-01-31	PRIJEM	\N	113	15612	UROK	\N	\N
3639510	3289	1997-02-28	PRIJEM	\N	95	25796	UROK	\N	\N
3639511	3289	1997-03-31	PRIJEM	\N	121	27305	UROK	\N	\N
3639512	3289	1997-04-30	PRIJEM	\N	129	30822	UROK	\N	\N
3639513	3289	1997-05-31	PRIJEM	\N	134	26804	UROK	\N	\N
3639514	3289	1997-06-30	PRIJEM	\N	138	34422	UROK	\N	\N
3639515	3289	1997-07-31	PRIJEM	\N	146	30836	UROK	\N	\N
3639516	3289	1997-08-31	PRIJEM	\N	142	31267	UROK	\N	\N
3639517	3289	1997-09-30	PRIJEM	\N	143	33938	UROK	\N	\N
3639518	3289	1997-10-31	PRIJEM	\N	154	36281	UROK	\N	\N
3639519	3289	1997-11-30	PRIJEM	\N	169	40738	UROK	\N	\N
3639520	3289	1997-12-31	PRIJEM	\N	185	43303	UROK	\N	\N
3639521	3289	1998-01-31	PRIJEM	\N	147	27139	UROK	\N	\N
3639522	3289	1998-02-28	PRIJEM	\N	137	34264	UROK	\N	\N
3639523	3289	1998-03-31	PRIJEM	\N	161	38733	UROK	\N	\N
3639524	3289	1998-04-30	PRIJEM	\N	167	39089	UROK	\N	\N
3639525	3289	1998-05-31	PRIJEM	\N	167	35504	UROK	\N	\N
3639526	3289	1998-06-30	PRIJEM	\N	182	44606	UROK	\N	\N
3639527	3289	1998-07-31	PRIJEM	\N	198	48192	UROK	\N	\N
3639528	3289	1998-08-31	PRIJEM	\N	223	54803	UROK	\N	\N
3639529	3289	1998-09-30	PRIJEM	\N	249	58341	UROK	\N	\N
3639530	3289	1998-10-31	PRIJEM	\N	243	58373	UROK	\N	\N
3639531	3289	1998-11-30	PRIJEM	\N	238	56999	UROK	\N	\N
3639532	3289	1998-12-31	PRIJEM	\N	242	58021	UROK	\N	\N
3639533	3291	1997-04-30	PRIJEM	\N	4	27779	UROK	\N	\N
3639534	3291	1997-05-31	PRIJEM	\N	117	27931	UROK	\N	\N
3639535	3291	1997-06-30	PRIJEM	\N	98	17614	UROK	\N	\N
3639536	3291	1997-07-31	PRIJEM	\N	81	20530	UROK	\N	\N
3639537	3291	1997-08-31	PRIJEM	\N	93	23458	UROK	\N	\N
3639538	3291	1997-09-30	PRIJEM	\N	105	25998	UROK	\N	\N
3639539	3291	1997-10-31	PRIJEM	\N	108	25322	UROK	\N	\N
3639540	3291	1997-11-30	PRIJEM	\N	110	27107	UROK	\N	\N
3639541	3291	1997-12-31	PRIJEM	\N	102	25784	UROK	\N	\N
3639542	3291	1998-01-31	PRIJEM	\N	90	14639	UROK	\N	\N
3639543	3291	1998-02-28	PRIJEM	\N	59	15934	UROK	\N	\N
3639544	3291	1998-03-31	PRIJEM	\N	74	18842	UROK	\N	\N
3639545	3291	1998-04-30	PRIJEM	\N	79	19117	UROK	\N	\N
3639546	3291	1998-05-31	PRIJEM	\N	87	22039	UROK	\N	\N
3639547	3291	1998-06-30	PRIJEM	\N	99	24973	UROK	\N	\N
3639548	3291	1998-07-31	PRIJEM	\N	99	24307	UROK	\N	\N
3639549	3291	1998-08-31	PRIJEM	\N	102	25644	UROK	\N	\N
3639550	3291	1998-09-30	PRIJEM	\N	88	21568	UROK	\N	\N
3639551	3291	1998-10-31	PRIJEM	\N	77	19181	UROK	\N	\N
3639552	3291	1998-11-30	PRIJEM	\N	87	22103	UROK	\N	\N
3639553	3291	1998-12-31	PRIJEM	\N	76	16694	UROK	\N	\N
3639554	3292	1994-05-31	PRIJEM	\N	32	21897	UROK	\N	\N
3639555	3292	1994-06-30	PRIJEM	\N	86	19764	UROK	\N	\N
3639556	3292	1994-07-31	PRIJEM	\N	86	21371	UROK	\N	\N
3639557	3292	1994-08-31	PRIJEM	\N	93	23084	UROK	\N	\N
3639558	3292	1994-09-30	PRIJEM	\N	99	24204	UROK	\N	\N
3639559	3292	1994-10-31	PRIJEM	\N	105	25369	UROK	\N	\N
3639560	3292	1994-11-30	PRIJEM	\N	110	27099	UROK	\N	\N
3639561	3292	1994-12-31	PRIJEM	\N	103	21642	UROK	\N	\N
3639562	3292	1995-01-31	PRIJEM	\N	92	22354	UROK	\N	\N
3639563	3292	1995-02-28	PRIJEM	\N	95	22550	UROK	\N	\N
3639564	3292	1995-03-31	PRIJEM	\N	97	23567	UROK	\N	\N
3639565	3292	1995-04-30	PRIJEM	\N	98	23805	UROK	\N	\N
3639566	3292	1995-05-31	PRIJEM	\N	102	24927	UROK	\N	\N
3639567	3292	1995-06-30	PRIJEM	\N	94	21891	UROK	\N	\N
3639568	3292	1995-07-31	PRIJEM	\N	86	19697	UROK	\N	\N
3639569	3292	1995-08-31	PRIJEM	\N	84	20501	UROK	\N	\N
3639570	3292	1995-09-30	PRIJEM	\N	84	16445	UROK	\N	\N
3639571	3292	1995-10-31	PRIJEM	\N	72	18138	UROK	\N	\N
3639572	3292	1995-11-30	PRIJEM	\N	79	19838	UROK	\N	\N
3639573	3292	1995-12-31	PRIJEM	\N	85	20994	UROK	\N	\N
3639574	3292	1996-01-31	PRIJEM	\N	79	18093	UROK	\N	\N
3639575	3292	1996-02-29	PRIJEM	\N	79	19792	UROK	\N	\N
3639576	3292	1996-03-31	PRIJEM	\N	86	21499	UROK	\N	\N
3639577	3292	1996-04-30	PRIJEM	\N	90	22409	UROK	\N	\N
3639578	3292	1996-05-31	PRIJEM	\N	97	24127	UROK	\N	\N
3639579	3292	1996-06-30	PRIJEM	\N	98	24085	UROK	\N	\N
3639580	3292	1996-07-31	PRIJEM	\N	90	18176	UROK	\N	\N
3639581	3292	1996-08-31	PRIJEM	\N	79	19875	UROK	\N	\N
3639582	3292	1996-09-30	PRIJEM	\N	86	21582	UROK	\N	\N
3639583	3292	1996-10-31	PRIJEM	\N	88	21791	UROK	\N	\N
3639584	3292	1996-11-30	PRIJEM	\N	85	20596	UROK	\N	\N
3639585	3292	1996-12-31	PRIJEM	\N	72	16039	UROK	\N	\N
3639586	3292	1997-01-31	PRIJEM	\N	69	17629	UROK	\N	\N
3639587	3292	1997-02-28	PRIJEM	\N	59	14108	UROK	\N	\N
3639588	3292	1997-03-31	PRIJEM	\N	60	14589	UROK	\N	\N
3639589	3292	1997-04-30	PRIJEM	\N	62	15971	UROK	\N	\N
3639590	3292	1997-05-31	PRIJEM	\N	64	15956	UROK	\N	\N
3639591	3292	1997-06-30	PRIJEM	\N	70	17646	UROK	\N	\N
3639592	3292	1997-07-31	PRIJEM	\N	70	17236	UROK	\N	\N
3639593	3292	1997-08-31	PRIJEM	\N	63	14819	UROK	\N	\N
3639594	3292	1997-09-30	PRIJEM	\N	65	16504	UROK	\N	\N
3639595	3292	1997-10-31	PRIJEM	\N	72	18196	UROK	\N	\N
3639596	3292	1997-11-30	PRIJEM	\N	79	19895	UROK	\N	\N
3639597	3292	1997-12-31	PRIJEM	\N	82	18217	UROK	\N	\N
3639598	3292	1998-01-31	PRIJEM	\N	79	19916	UROK	\N	\N
3639599	3292	1998-02-28	PRIJEM	\N	85	21622	UROK	\N	\N
3639600	3292	1998-03-31	PRIJEM	\N	85	20127	UROK	\N	\N
3639601	3292	1998-04-30	PRIJEM	\N	86	21834	UROK	\N	\N
3639602	3292	1998-05-31	PRIJEM	\N	88	21543	UROK	\N	\N
3639603	3292	1998-06-30	PRIJEM	\N	91	20254	UROK	\N	\N
3639604	3292	1998-07-31	PRIJEM	\N	87	21961	UROK	\N	\N
3639605	3292	1998-08-31	PRIJEM	\N	91	21353	UROK	\N	\N
3639606	3292	1998-09-30	PRIJEM	\N	86	20899	UROK	\N	\N
3639607	3292	1998-10-31	PRIJEM	\N	89	22609	UROK	\N	\N
3639608	3292	1998-11-30	PRIJEM	\N	96	24326	UROK	\N	\N
3639609	3292	1998-12-31	PRIJEM	\N	99	24895	UROK	\N	\N
3639610	3293	1997-08-31	PRIJEM	\N	139	47251	UROK	\N	\N
3639611	3293	1997-09-30	PRIJEM	\N	285	77949	UROK	\N	\N
3639612	3293	1997-10-31	PRIJEM	\N	376	95636	UROK	\N	\N
3639613	3293	1997-11-30	PRIJEM	\N	421	103769	UROK	\N	\N
3639614	3293	1997-12-31	PRIJEM	\N	305	41746	UROK	\N	\N
3639615	3293	1998-01-31	PRIJEM	\N	178	18387	UROK	\N	\N
3639616	3293	1998-02-28	PRIJEM	\N	177	55384	UROK	\N	\N
3639617	3293	1998-03-31	PRIJEM	\N	275	75180	UROK	\N	\N
3639618	3293	1998-04-30	PRIJEM	\N	249	46911	UROK	\N	\N
3639619	3293	1998-05-31	PRIJEM	\N	216	49942	UROK	\N	\N
3639620	3293	1998-06-30	PRIJEM	\N	271	80639	UROK	\N	\N
3639621	3293	1998-07-31	PRIJEM	\N	287	65354	UROK	\N	\N
3639622	3293	1998-08-31	PRIJEM	\N	288	72063	UROK	\N	\N
3639623	3293	1998-09-30	PRIJEM	\N	274	43369	UROK	\N	\N
3639624	3293	1998-10-31	PRIJEM	\N	229	62918	UROK	\N	\N
3639625	3293	1998-11-30	PRIJEM	\N	249	57880	UROK	\N	\N
3639626	3293	1998-12-31	PRIJEM	\N	270	65249	UROK	\N	\N
3639627	3294	1996-04-30	PRIJEM	\N	34	11575	UROK	\N	\N
3639628	3294	1996-05-31	PRIJEM	\N	107	31723	UROK	\N	\N
3639629	3294	1996-06-30	PRIJEM	\N	170	45056	UROK	\N	\N
3639630	3294	1996-07-31	PRIJEM	\N	195	47792	UROK	\N	\N
3639631	3294	1996-08-31	PRIJEM	\N	209	51442	UROK	\N	\N
3639632	3294	1996-09-30	PRIJEM	\N	177	42176	UROK	\N	\N
3639633	3294	1996-10-31	PRIJEM	\N	161	39094	UROK	\N	\N
3639634	3294	1996-11-30	PRIJEM	\N	130	30501	UROK	\N	\N
3639635	3294	1996-12-31	PRIJEM	\N	149	37108	UROK	\N	\N
3639636	3294	1997-01-31	PRIJEM	\N	138	27443	UROK	\N	\N
3639637	3294	1997-02-28	PRIJEM	\N	133	33194	UROK	\N	\N
3639638	3294	1997-03-31	PRIJEM	\N	155	39506	UROK	\N	\N
3639639	3294	1997-04-30	PRIJEM	\N	171	42894	UROK	\N	\N
3639640	3294	1997-05-31	PRIJEM	\N	198	50049	UROK	\N	\N
3639641	3294	1997-06-30	PRIJEM	\N	121	27389	UROK	\N	\N
3639642	3294	1997-07-31	PRIJEM	\N	163	43309	UROK	\N	\N
3639643	3294	1997-08-31	PRIJEM	\N	208	53074	UROK	\N	\N
3639644	3294	1997-09-30	PRIJEM	\N	218	53090	UROK	\N	\N
3639645	3294	1997-10-31	PRIJEM	\N	227	55874	UROK	\N	\N
3639646	3294	1997-11-30	PRIJEM	\N	234	57866	UROK	\N	\N
3639647	3294	1997-12-31	PRIJEM	\N	245	62109	UROK	\N	\N
3639648	3294	1998-01-31	PRIJEM	\N	242	55548	UROK	\N	\N
3639649	3294	1998-02-28	PRIJEM	\N	242	60048	UROK	\N	\N
3639650	3294	1998-03-31	PRIJEM	\N	240	54246	UROK	\N	\N
3639651	3294	1998-04-30	PRIJEM	\N	237	55340	UROK	\N	\N
3639652	3294	1998-05-31	PRIJEM	\N	230	55127	UROK	\N	\N
3639653	3294	1998-06-30	PRIJEM	\N	213	43359	UROK	\N	\N
3639654	3294	1998-07-31	PRIJEM	\N	179	51435	UROK	\N	\N
3639655	3294	1998-08-31	PRIJEM	\N	221	50273	UROK	\N	\N
3639656	3294	1998-09-30	PRIJEM	\N	220	54650	UROK	\N	\N
3639657	3294	1998-10-31	PRIJEM	\N	224	50932	UROK	\N	\N
3639658	3294	1998-11-30	PRIJEM	\N	203	46592	UROK	\N	\N
3639659	3294	1998-12-31	PRIJEM	\N	217	55288	UROK	\N	\N
3639700	3296	1996-04-30	PRIJEM	\N	88	37476	UROK	\N	\N
3639701	3296	1996-05-31	PRIJEM	\N	197	54661	UROK	\N	\N
3639702	3296	1996-06-30	PRIJEM	\N	283	78477	UROK	\N	\N
3639703	3296	1996-07-31	PRIJEM	\N	370	96735	UROK	\N	\N
3639704	3296	1996-08-31	PRIJEM	\N	336	69259	UROK	\N	\N
3639705	3296	1996-09-30	PRIJEM	\N	324	90418	UROK	\N	\N
3639706	3296	1996-10-31	PRIJEM	\N	377	98429	UROK	\N	\N
3639707	3296	1996-11-30	PRIJEM	\N	252	41615	UROK	\N	\N
3639708	3296	1996-12-31	PRIJEM	\N	269	83663	UROK	\N	\N
3639709	3296	1997-01-31	PRIJEM	\N	236	40133	UROK	\N	\N
3639710	3296	1997-02-28	PRIJEM	\N	218	68985	UROK	\N	\N
3639711	3296	1997-03-31	PRIJEM	\N	249	57132	UROK	\N	\N
3639712	3296	1997-04-30	PRIJEM	\N	281	81748	UROK	\N	\N
3639713	3296	1997-05-31	PRIJEM	\N	330	82413	UROK	\N	\N
3639714	3296	1997-06-30	PRIJEM	\N	342	102099	UROK	\N	\N
3639715	3296	1997-07-31	PRIJEM	\N	396	104229	UROK	\N	\N
3639716	3296	1997-08-31	PRIJEM	\N	377	82618	UROK	\N	\N
3639717	3296	1997-09-30	PRIJEM	\N	323	87626	UROK	\N	\N
3639718	3296	1997-10-31	PRIJEM	\N	337	89897	UROK	\N	\N
3639719	3296	1997-11-30	PRIJEM	\N	280	70613	UROK	\N	\N
3639720	3296	1997-12-31	PRIJEM	\N	330	101321	UROK	\N	\N
3639721	3296	1998-01-31	PRIJEM	\N	243	46498	UROK	\N	\N
3639722	3296	1998-02-28	PRIJEM	\N	165	33086	UROK	\N	\N
3639723	3296	1998-03-31	PRIJEM	\N	158	43335	UROK	\N	\N
3639724	3296	1998-04-30	PRIJEM	\N	210	65880	UROK	\N	\N
3639725	3296	1998-05-31	PRIJEM	\N	264	76378	UROK	\N	\N
3639726	3296	1998-06-30	PRIJEM	\N	286	88543	UROK	\N	\N
3639727	3296	1998-07-31	PRIJEM	\N	335	91368	UROK	\N	\N
3639728	3296	1998-08-31	PRIJEM	\N	345	94948	UROK	\N	\N
3639729	3296	1998-09-30	PRIJEM	\N	320	90631	UROK	\N	\N
3639730	3296	1998-10-31	PRIJEM	\N	318	77058	UROK	\N	\N
3639731	3296	1998-11-30	PRIJEM	\N	291	77821	UROK	\N	\N
3639732	3296	1998-12-31	PRIJEM	\N	269	60468	UROK	\N	\N
3639733	3297	1995-03-31	PRIJEM	\N	36	20598	UROK	\N	\N
3639734	3297	1995-04-30	PRIJEM	\N	99	28159	UROK	\N	\N
3639735	3297	1995-05-31	PRIJEM	\N	125	32346	UROK	\N	\N
3639736	3297	1995-06-30	PRIJEM	\N	146	38235	UROK	\N	\N
3639737	3297	1995-07-31	PRIJEM	\N	155	36251	UROK	\N	\N
3639738	3297	1995-08-31	PRIJEM	\N	143	28881	UROK	\N	\N
3639739	3297	1995-09-30	PRIJEM	\N	125	30393	UROK	\N	\N
3639740	3297	1995-10-31	PRIJEM	\N	136	32376	UROK	\N	\N
3639741	3297	1995-11-30	PRIJEM	\N	141	34964	UROK	\N	\N
3639742	3297	1995-12-31	PRIJEM	\N	155	36288	UROK	\N	\N
3639743	3297	1996-01-31	PRIJEM	\N	135	20970	UROK	\N	\N
3639744	3297	1996-02-29	PRIJEM	\N	126	25543	UROK	\N	\N
3639745	3297	1996-03-31	PRIJEM	\N	116	29607	UROK	\N	\N
3639746	3297	1996-04-30	PRIJEM	\N	163	31117	UROK	\N	\N
3639747	3297	1996-05-31	PRIJEM	\N	120	27965	UROK	\N	\N
3639748	3297	1996-06-30	PRIJEM	\N	149	29602	UROK	\N	\N
3639749	3297	1996-07-31	PRIJEM	\N	146	38196	UROK	\N	\N
3639750	3297	1996-08-31	PRIJEM	\N	173	41596	UROK	\N	\N
3639751	3297	1996-09-30	PRIJEM	\N	174	40878	UROK	\N	\N
3639752	3297	1996-10-31	PRIJEM	\N	168	40293	UROK	\N	\N
3639753	3297	1996-11-30	PRIJEM	\N	165	38406	UROK	\N	\N
3639754	3297	1996-12-31	PRIJEM	\N	186	44840	UROK	\N	\N
3639755	3297	1997-01-31	PRIJEM	\N	180	39488	UROK	\N	\N
3639756	3297	1997-02-28	PRIJEM	\N	177	44712	UROK	\N	\N
3639757	3297	1997-03-31	PRIJEM	\N	194	45053	UROK	\N	\N
3639758	3297	1997-04-30	PRIJEM	\N	171	41352	UROK	\N	\N
3639759	3297	1997-05-31	PRIJEM	\N	180	44779	UROK	\N	\N
3639760	3297	1997-06-30	PRIJEM	\N	214	36321	UROK	\N	\N
3639761	3297	1997-07-31	PRIJEM	\N	177	46345	UROK	\N	\N
3639762	3297	1997-08-31	PRIJEM	\N	194	46526	UROK	\N	\N
3639763	3297	1997-09-30	PRIJEM	\N	199	49053	UROK	\N	\N
3639764	3297	1997-10-31	PRIJEM	\N	188	47088	UROK	\N	\N
3639765	3297	1997-11-30	PRIJEM	\N	178	44034	UROK	\N	\N
3639766	3297	1997-12-31	PRIJEM	\N	209	53411	UROK	\N	\N
3639767	3297	1998-01-31	PRIJEM	\N	207	46506	UROK	\N	\N
3639768	3297	1998-02-28	PRIJEM	\N	209	53363	UROK	\N	\N
3639769	3297	1998-03-31	PRIJEM	\N	220	53330	UROK	\N	\N
3639770	3297	1998-04-30	PRIJEM	\N	211	49888	UROK	\N	\N
3639771	3297	1998-05-31	PRIJEM	\N	210	51445	UROK	\N	\N
3639772	3297	1998-06-30	PRIJEM	\N	169	31742	UROK	\N	\N
3639773	3297	1998-07-31	PRIJEM	\N	112	32722	UROK	\N	\N
3639774	3297	1998-08-31	PRIJEM	\N	132	24902	UROK	\N	\N
3639775	3297	1998-09-30	PRIJEM	\N	101	25250	UROK	\N	\N
3639776	3297	1998-10-31	PRIJEM	\N	123	22060	UROK	\N	\N
3639777	3297	1998-11-30	PRIJEM	\N	121	23089	UROK	\N	\N
3639778	3297	1998-12-31	PRIJEM	\N	133	41331	UROK	\N	\N
3639779	3299	1997-05-31	PRIJEM	\N	41	25203	UROK	\N	\N
3639780	3299	1997-06-30	PRIJEM	\N	105	27407	UROK	\N	\N
3639781	3299	1997-07-31	PRIJEM	\N	105	25512	UROK	\N	\N
3639782	3299	1997-08-31	PRIJEM	\N	105	27017	UROK	\N	\N
3639783	3299	1997-09-30	PRIJEM	\N	105	28722	UROK	\N	\N
3639784	3299	1997-10-31	PRIJEM	\N	105	26927	UROK	\N	\N
3639785	3299	1997-11-30	PRIJEM	\N	105	27632	UROK	\N	\N
3639786	3299	1997-12-31	PRIJEM	\N	105	32037	UROK	\N	\N
3639787	3299	1998-01-31	PRIJEM	\N	177	50945	UROK	\N	\N
3639788	3299	1998-02-28	PRIJEM	\N	205	48485	UROK	\N	\N
3639789	3299	1998-03-31	PRIJEM	\N	204	67876	UROK	\N	\N
3639790	3299	1998-04-30	PRIJEM	\N	296	88628	UROK	\N	\N
3639791	3299	1998-05-31	PRIJEM	\N	268	65792	UROK	\N	\N
3639792	3299	1998-06-30	PRIJEM	\N	232	60088	UROK	\N	\N
3639793	3299	1998-07-31	PRIJEM	\N	178	31435	UROK	\N	\N
3639794	3299	1998-08-31	PRIJEM	\N	123	29129	UROK	\N	\N
3639795	3299	1998-09-30	PRIJEM	\N	262	94791	UROK	\N	\N
3639796	3299	1998-10-31	PRIJEM	\N	401	106419	UROK	\N	\N
3639797	3299	1998-11-30	PRIJEM	\N	169	37632	UROK	\N	\N
3639798	3299	1998-12-31	PRIJEM	\N	103	27748	UROK	\N	\N
3639799	3300	1997-10-31	PRIJEM	\N	61	35180	UROK	\N	\N
3639800	3300	1997-11-30	PRIJEM	\N	180	53979	UROK	\N	\N
3639801	3300	1997-12-31	PRIJEM	\N	230	50787	UROK	\N	\N
3639802	3300	1998-01-31	PRIJEM	\N	237	63943	UROK	\N	\N
3639803	3300	1998-02-28	PRIJEM	\N	235	41098	UROK	\N	\N
3639804	3300	1998-03-31	PRIJEM	\N	165	26435	UROK	\N	\N
3639805	3300	1998-04-30	PRIJEM	\N	153	36761	UROK	\N	\N
3639806	3300	1998-05-31	PRIJEM	\N	195	49629	UROK	\N	\N
3639807	3300	1998-06-30	PRIJEM	\N	248	56608	UROK	\N	\N
3639808	3300	1998-07-31	PRIJEM	\N	218	43899	UROK	\N	\N
3639809	3300	1998-08-31	PRIJEM	\N	181	34252	UROK	\N	\N
3639810	3300	1998-09-30	PRIJEM	\N	204	38729	UROK	\N	\N
3639811	3300	1998-10-31	PRIJEM	\N	222	43123	UROK	\N	\N
3639812	3300	1998-11-30	PRIJEM	\N	236	64270	UROK	\N	\N
3639813	3300	1998-12-31	PRIJEM	\N	325	83526	UROK	\N	\N
3639814	3301	1996-05-31	PRIJEM	\N	22	23194	UROK	\N	\N
3639815	3301	1996-06-30	PRIJEM	\N	112	39064	UROK	\N	\N
3639816	3301	1996-07-31	PRIJEM	\N	167	43102	UROK	\N	\N
3639817	3301	1996-08-31	PRIJEM	\N	181	44455	UROK	\N	\N
3639818	3301	1996-09-30	PRIJEM	\N	195	37466	UROK	\N	\N
3639819	3301	1996-10-31	PRIJEM	\N	161	30828	UROK	\N	\N
3639820	3301	1996-11-30	PRIJEM	\N	140	25569	UROK	\N	\N
3639821	3301	1996-12-31	PRIJEM	\N	142	30199	UROK	\N	\N
3639822	3301	1997-01-31	PRIJEM	\N	124	21625	UROK	\N	\N
3639823	3301	1997-02-28	PRIJEM	\N	101	23227	UROK	\N	\N
3639824	3301	1997-03-31	PRIJEM	\N	113	23141	UROK	\N	\N
3639825	3301	1997-04-30	PRIJEM	\N	111	22954	UROK	\N	\N
3639826	3301	1997-05-31	PRIJEM	\N	110	22565	UROK	\N	\N
3639827	3301	1997-06-30	PRIJEM	\N	124	26277	UROK	\N	\N
3639828	3301	1997-07-31	PRIJEM	\N	121	25099	UROK	\N	\N
3639829	3301	1997-08-31	PRIJEM	\N	113	23213	UROK	\N	\N
3639830	3301	1997-09-30	PRIJEM	\N	100	19514	UROK	\N	\N
3639831	3301	1997-10-31	PRIJEM	\N	87	17403	UROK	\N	\N
3639832	3301	1997-11-30	PRIJEM	\N	82	17486	UROK	\N	\N
3639833	3301	1997-12-31	PRIJEM	\N	90	17364	UROK	\N	\N
3639834	3301	1998-01-31	PRIJEM	\N	73	14538	UROK	\N	\N
3639835	3301	1998-02-28	PRIJEM	\N	66	14105	UROK	\N	\N
3639836	3301	1998-03-31	PRIJEM	\N	63	12069	UROK	\N	\N
3639837	3301	1998-04-30	PRIJEM	\N	59	12930	UROK	\N	\N
3639838	3301	1998-05-31	PRIJEM	\N	86	24218	UROK	\N	\N
3639839	3301	1998-06-30	PRIJEM	\N	107	22212	UROK	\N	\N
3639840	3301	1998-07-31	PRIJEM	\N	83	13997	UROK	\N	\N
3639841	3301	1998-08-31	PRIJEM	\N	91	25289	UROK	\N	\N
3639842	3301	1998-09-30	PRIJEM	\N	90	18680	UROK	\N	\N
3639843	3301	1998-10-31	PRIJEM	\N	96	22178	UROK	\N	\N
3639844	3301	1998-11-30	PRIJEM	\N	71	14450	UROK	\N	\N
3639845	3301	1998-12-31	PRIJEM	\N	57	12594	UROK	\N	\N
3639846	3302	1993-03-31	PRIJEM	\N	11	3719	UROK	\N	\N
3639847	3302	1993-04-30	PRIJEM	\N	55	17382	UROK	\N	\N
3639848	3302	1993-05-31	PRIJEM	\N	97	25887	UROK	\N	\N
3639849	3302	1993-06-30	PRIJEM	\N	108	29003	UROK	\N	\N
3639850	3302	1993-07-31	PRIJEM	\N	124	26763	UROK	\N	\N
3639851	3302	1993-08-31	PRIJEM	\N	113	26065	UROK	\N	\N
3639852	3302	1993-09-30	PRIJEM	\N	103	23096	UROK	\N	\N
3639853	3302	1993-10-31	PRIJEM	\N	100	25884	UROK	\N	\N
3639854	3302	1993-11-30	PRIJEM	\N	111	27483	UROK	\N	\N
3639855	3302	1993-12-31	PRIJEM	\N	114	27396	UROK	\N	\N
3639856	3302	1994-01-31	PRIJEM	\N	108	23832	UROK	\N	\N
3639857	3302	1994-02-28	PRIJEM	\N	101	24722	UROK	\N	\N
3639858	3302	1994-03-31	PRIJEM	\N	105	24715	UROK	\N	\N
3639859	3302	1994-04-30	PRIJEM	\N	105	24808	UROK	\N	\N
3639860	3302	1994-05-31	PRIJEM	\N	105	24501	UROK	\N	\N
3639861	3302	1994-06-30	PRIJEM	\N	99	24218	UROK	\N	\N
3639862	3302	1994-07-31	PRIJEM	\N	104	25910	UROK	\N	\N
3639863	3302	1994-08-31	PRIJEM	\N	109	28037	UROK	\N	\N
3639864	3302	1994-09-30	PRIJEM	\N	117	27443	UROK	\N	\N
3639865	3302	1994-10-31	PRIJEM	\N	114	26145	UROK	\N	\N
3639866	3302	1994-11-30	PRIJEM	\N	112	27945	UROK	\N	\N
3639867	3302	1994-12-31	PRIJEM	\N	119	29012	UROK	\N	\N
3639868	3302	1995-01-31	PRIJEM	\N	119	27159	UROK	\N	\N
3639869	3302	1995-02-28	PRIJEM	\N	119	30866	UROK	\N	\N
3639870	3302	1995-03-31	PRIJEM	\N	131	32486	UROK	\N	\N
3639871	3302	1995-04-30	PRIJEM	\N	135	32109	UROK	\N	\N
3639872	3302	1995-05-31	PRIJEM	\N	134	31932	UROK	\N	\N
3639873	3302	1995-06-30	PRIJEM	\N	132	32642	UROK	\N	\N
3639874	3302	1995-07-31	PRIJEM	\N	138	34069	UROK	\N	\N
3639875	3302	1995-08-31	PRIJEM	\N	141	34039	UROK	\N	\N
3639876	3302	1995-09-30	PRIJEM	\N	145	35872	UROK	\N	\N
3639877	3302	1995-10-31	PRIJEM	\N	146	33426	UROK	\N	\N
3639878	3302	1995-11-30	PRIJEM	\N	142	35256	UROK	\N	\N
3639879	3302	1995-12-31	PRIJEM	\N	150	36885	UROK	\N	\N
3639880	3302	1996-01-31	PRIJEM	\N	143	31266	UROK	\N	\N
3639881	3302	1996-02-29	PRIJEM	\N	133	33327	UROK	\N	\N
3639882	3302	1996-03-31	PRIJEM	\N	129	29245	UROK	\N	\N
3639883	3302	1996-04-30	PRIJEM	\N	112	24885	UROK	\N	\N
3639884	3302	1996-05-31	PRIJEM	\N	99	23373	UROK	\N	\N
3639885	3302	1996-06-30	PRIJEM	\N	81	20712	UROK	\N	\N
3639886	3302	1996-07-31	PRIJEM	\N	90	22891	UROK	\N	\N
3639887	3302	1996-08-31	PRIJEM	\N	94	22873	UROK	\N	\N
3639888	3302	1996-09-30	PRIJEM	\N	95	22856	UROK	\N	\N
3639889	3302	1996-10-31	PRIJEM	\N	98	24402	UROK	\N	\N
3639890	3302	1996-11-30	PRIJEM	\N	95	22626	UROK	\N	\N
3639891	3302	1996-12-31	PRIJEM	\N	99	24743	UROK	\N	\N
3639892	3302	1997-01-31	PRIJEM	\N	93	20425	UROK	\N	\N
3639893	3302	1997-02-28	PRIJEM	\N	97	25700	UROK	\N	\N
3639894	3302	1997-03-31	PRIJEM	\N	111	28119	UROK	\N	\N
3639895	3302	1997-04-30	PRIJEM	\N	122	30600	UROK	\N	\N
3639896	3302	1997-05-31	PRIJEM	\N	129	30337	UROK	\N	\N
3639897	3302	1997-06-30	PRIJEM	\N	126	29771	UROK	\N	\N
3639898	3302	1997-07-31	PRIJEM	\N	144	37293	UROK	\N	\N
3639899	3302	1997-08-31	PRIJEM	\N	162	40644	UROK	\N	\N
3639900	3302	1997-09-30	PRIJEM	\N	183	46265	UROK	\N	\N
3639901	3302	1997-10-31	PRIJEM	\N	195	48249	UROK	\N	\N
3639902	3302	1997-11-30	PRIJEM	\N	200	49338	UROK	\N	\N
3639903	3302	1997-12-31	PRIJEM	\N	197	47904	UROK	\N	\N
3639904	3302	1998-01-31	PRIJEM	\N	191	43003	UROK	\N	\N
3639905	3302	1998-02-28	PRIJEM	\N	195	48656	UROK	\N	\N
3639906	3302	1998-03-31	PRIJEM	\N	216	53961	UROK	\N	\N
3639907	3302	1998-04-30	PRIJEM	\N	246	61596	UROK	\N	\N
3639908	3302	1998-05-31	PRIJEM	\N	251	61435	UROK	\N	\N
3639909	3302	1998-06-30	PRIJEM	\N	251	59024	UROK	\N	\N
3639910	3302	1998-07-31	PRIJEM	\N	226	54039	UROK	\N	\N
3639911	3302	1998-08-31	PRIJEM	\N	216	52943	UROK	\N	\N
3639912	3302	1998-09-30	PRIJEM	\N	208	50340	UROK	\N	\N
3639913	3302	1998-10-31	PRIJEM	\N	214	53243	UROK	\N	\N
3639914	3302	1998-11-30	PRIJEM	\N	233	56764	UROK	\N	\N
3639915	3302	1998-12-31	PRIJEM	\N	248	61500	UROK	\N	\N
3639916	3304	1997-02-28	PRIJEM	\N	33	15868	UROK	\N	\N
3639917	3304	1997-03-31	PRIJEM	\N	86	25589	UROK	\N	\N
3639918	3304	1997-04-30	PRIJEM	\N	107	26131	UROK	\N	\N
3639919	3304	1997-05-31	PRIJEM	\N	116	29682	UROK	\N	\N
3639920	3304	1997-06-30	PRIJEM	\N	123	27426	UROK	\N	\N
3639921	3304	1997-07-31	PRIJEM	\N	122	27349	UROK	\N	\N
3639922	3304	1997-08-31	PRIJEM	\N	123	29833	UROK	\N	\N
3639923	3304	1997-09-30	PRIJEM	\N	136	33429	UROK	\N	\N
3639924	3304	1997-10-31	PRIJEM	\N	146	33775	UROK	\N	\N
3639925	3304	1997-11-30	PRIJEM	\N	145	34981	UROK	\N	\N
3639926	3304	1997-12-31	PRIJEM	\N	141	31329	UROK	\N	\N
3639927	3304	1998-01-31	PRIJEM	\N	116	20445	UROK	\N	\N
3639928	3304	1998-02-28	PRIJEM	\N	96	22561	UROK	\N	\N
3639929	3304	1998-03-31	PRIJEM	\N	80	15562	UROK	\N	\N
3639930	3304	1998-04-30	PRIJEM	\N	82	21504	UROK	\N	\N
3639931	3304	1998-05-31	PRIJEM	\N	100	24965	UROK	\N	\N
3639932	3304	1998-06-30	PRIJEM	\N	138	30230	UROK	\N	\N
3639933	3304	1998-07-31	PRIJEM	\N	117	27507	UROK	\N	\N
3639934	3304	1998-08-31	PRIJEM	\N	97	19105	UROK	\N	\N
3639935	3304	1998-09-30	PRIJEM	\N	63	13188	UROK	\N	\N
3639936	3304	1998-10-31	PRIJEM	\N	53	12401	UROK	\N	\N
3639937	3304	1998-11-30	PRIJEM	\N	48	10809	UROK	\N	\N
3639938	3304	1998-12-31	PRIJEM	\N	58	14295	UROK	\N	\N
3639939	3305	1995-12-31	PRIJEM	\N	18	7302	UROK	\N	\N
3639940	3305	1996-01-31	PRIJEM	\N	30	14016	UROK	\N	\N
3639941	3305	1996-02-29	PRIJEM	\N	30	20730	UROK	\N	\N
3639942	3305	1996-03-31	PRIJEM	\N	30	27445	UROK	\N	\N
3639943	3305	1996-04-30	PRIJEM	\N	86	30315	UROK	\N	\N
3639944	3305	1996-05-31	PRIJEM	\N	121	28825	UROK	\N	\N
3639945	3305	1996-06-30	PRIJEM	\N	109	15073	UROK	\N	\N
3639946	3305	1996-07-31	PRIJEM	\N	71	18934	UROK	\N	\N
3639947	3305	1996-08-31	PRIJEM	\N	83	18027	UROK	\N	\N
3639948	3305	1996-09-30	PRIJEM	\N	77	19593	UROK	\N	\N
3639949	3305	1996-10-31	PRIJEM	\N	81	19964	UROK	\N	\N
3639950	3305	1996-11-30	PRIJEM	\N	86	19779	UROK	\N	\N
3639951	3305	1996-12-31	PRIJEM	\N	74	16852	UROK	\N	\N
3639952	3305	1997-01-31	PRIJEM	\N	54	12815	UROK	\N	\N
3639953	3305	1997-02-28	PRIJEM	\N	57	13901	UROK	\N	\N
3639954	3305	1997-03-31	PRIJEM	\N	65	17115	UROK	\N	\N
3639955	3305	1997-04-30	PRIJEM	\N	75	19179	UROK	\N	\N
3639956	3305	1997-05-31	PRIJEM	\N	79	20328	UROK	\N	\N
3639957	3305	1997-06-30	PRIJEM	\N	77	14794	UROK	\N	\N
3639958	3305	1997-07-31	PRIJEM	\N	61	15545	UROK	\N	\N
3639959	3305	1997-08-31	PRIJEM	\N	61	12596	UROK	\N	\N
3639960	3305	1997-09-30	PRIJEM	\N	60	16446	UROK	\N	\N
3639961	3305	1997-10-31	PRIJEM	\N	76	18631	UROK	\N	\N
3639962	3305	1997-11-30	PRIJEM	\N	82	13802	UROK	\N	\N
3639963	3305	1997-12-31	PRIJEM	\N	66	17657	UROK	\N	\N
3639964	3305	1998-01-31	PRIJEM	\N	71	14558	UROK	\N	\N
3639965	3305	1998-02-28	PRIJEM	\N	65	12612	UROK	\N	\N
3639966	3305	1998-03-31	PRIJEM	\N	60	13461	UROK	\N	\N
3639967	3305	1998-04-30	PRIJEM	\N	64	17315	UROK	\N	\N
3639968	3305	1998-05-31	PRIJEM	\N	79	19283	UROK	\N	\N
3639969	3305	1998-06-30	PRIJEM	\N	80	18402	UROK	\N	\N
3639970	3305	1998-07-31	PRIJEM	\N	82	18374	UROK	\N	\N
3639971	3305	1998-08-31	PRIJEM	\N	82	18345	UROK	\N	\N
3639972	3305	1998-09-30	PRIJEM	\N	71	15185	UROK	\N	\N
3639973	3305	1998-10-31	PRIJEM	\N	64	12739	UROK	\N	\N
3639974	3305	1998-11-30	PRIJEM	\N	58	13886	UROK	\N	\N
3639975	3305	1998-12-31	PRIJEM	\N	60	13235	UROK	\N	\N
3639976	3306	1993-09-30	PRIJEM	\N	22	19684	UROK	\N	\N
3639977	3306	1993-10-31	PRIJEM	\N	90	26136	UROK	\N	\N
3639978	3306	1993-11-30	PRIJEM	\N	112	29010	UROK	\N	\N
3639979	3306	1993-12-31	PRIJEM	\N	131	36533	UROK	\N	\N
3639980	3306	1994-01-31	PRIJEM	\N	151	30733	UROK	\N	\N
3639981	3306	1994-02-28	PRIJEM	\N	144	32911	UROK	\N	\N
3639982	3306	1994-03-31	PRIJEM	\N	150	32495	UROK	\N	\N
3639983	3306	1994-04-30	PRIJEM	\N	147	30976	UROK	\N	\N
3639984	3306	1994-05-31	PRIJEM	\N	144	32654	UROK	\N	\N
3639985	3306	1994-06-30	PRIJEM	\N	162	33481	UROK	\N	\N
3639986	3306	1994-07-31	PRIJEM	\N	147	32662	UROK	\N	\N
3639987	3306	1994-08-31	PRIJEM	\N	147	33144	UROK	\N	\N
3639988	3306	1994-09-30	PRIJEM	\N	148	33326	UROK	\N	\N
3639989	3306	1994-10-31	PRIJEM	\N	151	33312	UROK	\N	\N
3639990	3306	1994-11-30	PRIJEM	\N	150	34496	UROK	\N	\N
3639991	3306	1994-12-31	PRIJEM	\N	170	38831	UROK	\N	\N
3639992	3306	1995-01-31	PRIJEM	\N	151	33117	UROK	\N	\N
3639993	3306	1995-02-28	PRIJEM	\N	151	35702	UROK	\N	\N
3639994	3306	1995-03-31	PRIJEM	\N	158	35994	UROK	\N	\N
3639995	3306	1995-04-30	PRIJEM	\N	163	38391	UROK	\N	\N
3639996	3306	1995-05-31	PRIJEM	\N	168	38194	UROK	\N	\N
3639997	3306	1995-06-30	PRIJEM	\N	108	15767	UROK	\N	\N
3639998	3306	1995-07-31	PRIJEM	\N	96	26097	UROK	\N	\N
3639999	3306	1995-08-31	PRIJEM	\N	126	30757	UROK	\N	\N
3640000	3306	1995-09-30	PRIJEM	\N	143	35435	UROK	\N	\N
3640001	3306	1995-10-31	PRIJEM	\N	156	36724	UROK	\N	\N
3640002	3306	1995-11-30	PRIJEM	\N	151	34610	UROK	\N	\N
3640003	3306	1995-12-31	PRIJEM	\N	164	39840	UROK	\N	\N
3640004	3306	1996-01-31	PRIJEM	\N	163	37738	UROK	\N	\N
3640005	3306	1996-02-29	PRIJEM	\N	158	36930	UROK	\N	\N
3640006	3306	1996-03-31	PRIJEM	\N	153	35818	UROK	\N	\N
3640007	3306	1996-04-30	PRIJEM	\N	143	32995	UROK	\N	\N
3640008	3306	1996-05-31	PRIJEM	\N	123	27552	UROK	\N	\N
3640009	3306	1996-06-30	PRIJEM	\N	66	10484	UROK	\N	\N
3640010	3306	1996-07-31	PRIJEM	\N	74	20193	UROK	\N	\N
3640011	3306	1996-08-31	PRIJEM	\N	81	16208	UROK	\N	\N
3640012	3306	1996-09-30	PRIJEM	\N	79	18721	UROK	\N	\N
3640013	3306	1996-10-31	PRIJEM	\N	89	21445	UROK	\N	\N
3640014	3306	1996-11-30	PRIJEM	\N	108	26588	UROK	\N	\N
3640015	3306	1996-12-31	PRIJEM	\N	144	35897	UROK	\N	\N
3640016	3306	1997-01-31	PRIJEM	\N	114	26444	UROK	\N	\N
3640017	3306	1997-02-28	PRIJEM	\N	117	28096	UROK	\N	\N
3640018	3306	1997-03-31	PRIJEM	\N	117	27648	UROK	\N	\N
3640019	3306	1997-04-30	PRIJEM	\N	117	26399	UROK	\N	\N
3640020	3306	1997-05-31	PRIJEM	\N	118	28352	UROK	\N	\N
3640021	3306	1997-06-30	PRIJEM	\N	157	39674	UROK	\N	\N
3640022	3306	1997-07-31	PRIJEM	\N	159	37668	UROK	\N	\N
3640023	3306	1997-08-31	PRIJEM	\N	149	34752	UROK	\N	\N
3640024	3306	1997-09-30	PRIJEM	\N	157	38143	UROK	\N	\N
3640025	3306	1997-10-31	PRIJEM	\N	171	41548	UROK	\N	\N
3640026	3306	1997-11-30	PRIJEM	\N	161	39443	UROK	\N	\N
3640027	3306	1997-12-31	PRIJEM	\N	178	43487	UROK	\N	\N
3640028	3306	1998-01-31	PRIJEM	\N	134	23355	UROK	\N	\N
3640029	3306	1998-02-28	PRIJEM	\N	116	29805	UROK	\N	\N
3640030	3306	1998-03-31	PRIJEM	\N	122	27661	UROK	\N	\N
3640031	3306	1998-04-30	PRIJEM	\N	119	29614	UROK	\N	\N
3640032	3306	1998-05-31	PRIJEM	\N	103	22552	UROK	\N	\N
3640033	3306	1998-06-30	PRIJEM	\N	109	18526	UROK	\N	\N
3640034	3306	1998-07-31	PRIJEM	\N	86	19346	UROK	\N	\N
3640035	3306	1998-08-31	PRIJEM	\N	95	19075	UROK	\N	\N
3640036	3306	1998-09-30	PRIJEM	\N	85	21595	UROK	\N	\N
3640037	3306	1998-10-31	PRIJEM	\N	99	15429	UROK	\N	\N
3640038	3306	1998-11-30	PRIJEM	\N	77	14940	UROK	\N	\N
3640039	3306	1998-12-31	PRIJEM	\N	98	27303	UROK	\N	\N
3640040	3309	1993-12-31	PRIJEM	\N	38	23492	UROK	\N	\N
3640041	3309	1994-01-31	PRIJEM	\N	116	33911	UROK	\N	\N
3640042	3309	1994-02-28	PRIJEM	\N	149	39063	UROK	\N	\N
3640043	3309	1994-03-31	PRIJEM	\N	166	41532	UROK	\N	\N
3640044	3309	1994-04-30	PRIJEM	\N	182	37096	UROK	\N	\N
3640045	3309	1994-05-31	PRIJEM	\N	160	31993	UROK	\N	\N
3640046	3309	1994-06-30	PRIJEM	\N	161	35341	UROK	\N	\N
3640047	3309	1994-07-31	PRIJEM	\N	154	33731	UROK	\N	\N
3640048	3309	1994-08-31	PRIJEM	\N	158	35326	UROK	\N	\N
3640049	3309	1994-09-30	PRIJEM	\N	160	34822	UROK	\N	\N
3640050	3309	1994-10-31	PRIJEM	\N	145	29004	UROK	\N	\N
3640051	3309	1994-11-30	PRIJEM	\N	136	30876	UROK	\N	\N
3640052	3309	1994-12-31	PRIJEM	\N	150	32114	UROK	\N	\N
3640053	3309	1995-01-31	PRIJEM	\N	124	22173	UROK	\N	\N
3640054	3309	1995-02-28	PRIJEM	\N	125	28935	UROK	\N	\N
3640055	3309	1995-03-31	PRIJEM	\N	135	29906	UROK	\N	\N
3640056	3309	1995-04-30	PRIJEM	\N	143	32885	UROK	\N	\N
3640057	3309	1995-05-31	PRIJEM	\N	148	32969	UROK	\N	\N
3640058	3309	1995-06-30	PRIJEM	\N	163	36820	UROK	\N	\N
3640059	3309	1995-07-31	PRIJEM	\N	158	34814	UROK	\N	\N
3640060	3309	1995-08-31	PRIJEM	\N	150	32000	UROK	\N	\N
3640061	3309	1995-09-30	PRIJEM	\N	139	31475	UROK	\N	\N
3640062	3309	1995-10-31	PRIJEM	\N	136	30948	UROK	\N	\N
3640063	3309	1995-11-30	PRIJEM	\N	124	28108	UROK	\N	\N
3640064	3309	1995-12-31	PRIJEM	\N	122	26818	UROK	\N	\N
3640065	3309	1996-01-31	PRIJEM	\N	86	14841	UROK	\N	\N
3640066	3309	1996-02-29	PRIJEM	\N	88	21565	UROK	\N	\N
3640067	3309	1996-03-31	PRIJEM	\N	100	23501	UROK	\N	\N
3640068	3309	1996-04-30	PRIJEM	\N	102	21740	UROK	\N	\N
3640069	3309	1996-05-31	PRIJEM	\N	91	21167	UROK	\N	\N
3640070	3309	1996-06-30	PRIJEM	\N	76	15131	UROK	\N	\N
3640071	3309	1996-07-31	PRIJEM	\N	67	15334	UROK	\N	\N
3640072	3309	1996-08-31	PRIJEM	\N	89	22459	UROK	\N	\N
3640073	3309	1996-09-30	PRIJEM	\N	112	27808	UROK	\N	\N
3640074	3309	1996-10-31	PRIJEM	\N	105	22649	UROK	\N	\N
3640075	3309	1996-11-30	PRIJEM	\N	112	27697	UROK	\N	\N
3640076	3309	1996-12-31	PRIJEM	\N	157	38841	UROK	\N	\N
3640077	3309	1997-01-31	PRIJEM	\N	105	15283	UROK	\N	\N
3640078	3309	1997-02-28	PRIJEM	\N	88	22607	UROK	\N	\N
3640079	3309	1997-03-31	PRIJEM	\N	107	26451	UROK	\N	\N
3640080	3309	1997-04-30	PRIJEM	\N	125	31013	UROK	\N	\N
3640081	3309	1997-05-31	PRIJEM	\N	111	24959	UROK	\N	\N
3640082	3309	1997-06-30	PRIJEM	\N	156	40503	UROK	\N	\N
3640083	3309	1997-07-31	PRIJEM	\N	156	35495	UROK	\N	\N
3640084	3309	1997-08-31	PRIJEM	\N	145	35276	UROK	\N	\N
3640085	3309	1997-09-30	PRIJEM	\N	147	37259	UROK	\N	\N
3640086	3309	1997-10-31	PRIJEM	\N	158	32054	UROK	\N	\N
3640087	3309	1997-11-30	PRIJEM	\N	160	28351	UROK	\N	\N
3640088	3309	1997-12-31	PRIJEM	\N	164	26302	UROK	\N	\N
3640089	3309	1998-01-31	PRIJEM	\N	99	16838	UROK	\N	\N
3640090	3309	1998-02-28	PRIJEM	\N	97	14071	UROK	\N	\N
3640091	3309	1998-03-31	PRIJEM	\N	89	23297	UROK	\N	\N
3640092	3309	1998-04-30	PRIJEM	\N	128	32561	UROK	\N	\N
3640093	3309	1998-05-31	PRIJEM	\N	152	15749	UROK	\N	\N
3640094	3309	1998-06-30	PRIJEM	\N	120	27856	UROK	\N	\N
3640095	3309	1998-07-31	PRIJEM	\N	136	34629	UROK	\N	\N
3640096	3309	1998-08-31	PRIJEM	\N	168	40933	UROK	\N	\N
3640097	3309	1998-09-30	PRIJEM	\N	175	19544	UROK	\N	\N
3640098	3309	1998-10-31	PRIJEM	\N	111	28792	UROK	\N	\N
3640099	3309	1998-11-30	PRIJEM	\N	127	15156	UROK	\N	\N
3640100	3309	1998-12-31	PRIJEM	\N	118	31361	UROK	\N	\N
3640101	3310	1994-02-28	PRIJEM	\N	71	19454	UROK	\N	\N
3640102	3310	1994-03-31	PRIJEM	\N	84	20462	UROK	\N	\N
3640103	3310	1994-04-30	PRIJEM	\N	89	22175	UROK	\N	\N
3640104	3310	1994-05-31	PRIJEM	\N	91	20370	UROK	\N	\N
3640105	3310	1994-06-30	PRIJEM	\N	65	13210	UROK	\N	\N
3640106	3310	1994-07-31	PRIJEM	\N	59	14894	UROK	\N	\N
3640107	3310	1994-08-31	PRIJEM	\N	66	16584	UROK	\N	\N
3640108	3310	1994-09-30	PRIJEM	\N	67	15555	UROK	\N	\N
3640109	3310	1994-10-31	PRIJEM	\N	69	17249	UROK	\N	\N
3640110	3310	1994-11-30	PRIJEM	\N	69	15982	UROK	\N	\N
3640111	3310	1994-12-31	PRIJEM	\N	66	14163	UROK	\N	\N
3640112	3310	1995-01-31	PRIJEM	\N	63	15850	UROK	\N	\N
3640113	3310	1995-02-28	PRIJEM	\N	70	17544	UROK	\N	\N
3640114	3310	1995-03-31	PRIJEM	\N	77	19246	UROK	\N	\N
3640115	3310	1995-04-30	PRIJEM	\N	86	20556	UROK	\N	\N
3640116	3310	1995-05-31	PRIJEM	\N	92	21872	UROK	\N	\N
3640117	3310	1995-06-30	PRIJEM	\N	91	21438	UROK	\N	\N
3640118	3310	1995-07-31	PRIJEM	\N	86	19449	UROK	\N	\N
3640119	3310	1995-08-31	PRIJEM	\N	82	18955	UROK	\N	\N
3640120	3310	1995-09-30	PRIJEM	\N	83	20662	UROK	\N	\N
3640121	3310	1995-10-31	PRIJEM	\N	90	22377	UROK	\N	\N
3640122	3310	1995-11-30	PRIJEM	\N	87	19848	UROK	\N	\N
3640123	3310	1995-12-31	PRIJEM	\N	85	20857	UROK	\N	\N
3640124	3310	1996-01-31	PRIJEM	\N	91	22573	UROK	\N	\N
3640125	3310	1996-02-29	PRIJEM	\N	99	23296	UROK	\N	\N
3640126	3310	1996-03-31	PRIJEM	\N	94	22054	UROK	\N	\N
3640127	3310	1996-04-30	PRIJEM	\N	90	20668	UROK	\N	\N
3640128	3310	1996-05-31	PRIJEM	\N	90	22382	UROK	\N	\N
3640129	3310	1996-06-30	PRIJEM	\N	91	20198	UROK	\N	\N
3640130	3310	1996-07-31	PRIJEM	\N	77	17699	UROK	\N	\N
3640131	3310	1996-08-31	PRIJEM	\N	54	13777	UROK	\N	\N
3640132	3310	1996-09-30	PRIJEM	\N	54	12556	UROK	\N	\N
3640133	3310	1996-10-31	PRIJEM	\N	55	13036	UROK	\N	\N
3640134	3310	1996-11-30	PRIJEM	\N	51	11751	UROK	\N	\N
3640135	3310	1996-12-31	PRIJEM	\N	52	13427	UROK	\N	\N
3640136	3310	1997-01-31	PRIJEM	\N	59	15111	UROK	\N	\N
3640137	3310	1997-02-28	PRIJEM	\N	65	13800	UROK	\N	\N
3640138	3310	1997-03-31	PRIJEM	\N	68	15012	UROK	\N	\N
3640139	3310	1997-04-30	PRIJEM	\N	66	16702	UROK	\N	\N
3640140	3310	1997-05-31	PRIJEM	\N	67	13853	UROK	\N	\N
3640141	3310	1997-06-30	PRIJEM	\N	61	15538	UROK	\N	\N
3640142	3310	1997-07-31	PRIJEM	\N	70	15292	UROK	\N	\N
3640143	3310	1997-08-31	PRIJEM	\N	63	12679	UROK	\N	\N
3640144	3310	1997-09-30	PRIJEM	\N	56	14359	UROK	\N	\N
3640145	3310	1997-10-31	PRIJEM	\N	60	13844	UROK	\N	\N
3640146	3310	1997-11-30	PRIJEM	\N	60	15529	UROK	\N	\N
3640147	3310	1997-12-31	PRIJEM	\N	63	13216	UROK	\N	\N
3640148	3310	1998-01-31	PRIJEM	\N	58	14898	UROK	\N	\N
3640149	3310	1998-02-28	PRIJEM	\N	61	13584	UROK	\N	\N
3640150	3310	1998-03-31	PRIJEM	\N	59	15267	UROK	\N	\N
3640151	3310	1998-04-30	PRIJEM	\N	65	15037	UROK	\N	\N
3640152	3310	1998-05-31	PRIJEM	\N	57	13118	UROK	\N	\N
3640153	3310	1998-06-30	PRIJEM	\N	57	14799	UROK	\N	\N
3640154	3310	1998-07-31	PRIJEM	\N	64	16488	UROK	\N	\N
3640155	3310	1998-08-31	PRIJEM	\N	71	18183	UROK	\N	\N
3640156	3310	1998-09-30	PRIJEM	\N	74	17582	UROK	\N	\N
3640157	3310	1998-10-31	PRIJEM	\N	76	19282	UROK	\N	\N
3640158	3310	1998-11-30	PRIJEM	\N	77	18343	UROK	\N	\N
3640159	3310	1998-12-31	PRIJEM	\N	78	16716	UROK	\N	\N
3640160	3311	1996-10-31	PRIJEM	\N	37	39661	UROK	\N	\N
3640161	3311	1996-11-30	PRIJEM	\N	204	52717	UROK	\N	\N
3640162	3311	1996-12-31	PRIJEM	\N	202	44688	UROK	\N	\N
3640163	3311	1997-01-31	PRIJEM	\N	185	28073	UROK	\N	\N
3640164	3311	1997-02-28	PRIJEM	\N	185	17459	UROK	\N	\N
3640165	3311	1997-03-31	PRIJEM	\N	219	69523	UROK	\N	\N
3640166	3311	1997-04-30	PRIJEM	\N	181	25133	UROK	\N	\N
3640167	3311	1997-05-31	PRIJEM	\N	153	28935	UROK	\N	\N
3640168	3311	1997-06-30	PRIJEM	\N	126	58267	UROK	\N	\N
3640169	3311	1997-07-31	PRIJEM	\N	235	39616	UROK	\N	\N
3640170	3311	1997-08-31	PRIJEM	\N	138	40183	UROK	\N	\N
3640171	3311	1997-09-30	PRIJEM	\N	225	54252	UROK	\N	\N
3640172	3311	1997-10-31	PRIJEM	\N	181	26024	UROK	\N	\N
3640173	3311	1997-11-30	PRIJEM	\N	93	17545	UROK	\N	\N
3640174	3311	1997-12-31	PRIJEM	\N	93	55475	UROK	\N	\N
3640175	3311	1998-01-31	PRIJEM	\N	120	20724	UROK	\N	\N
3640176	3311	1998-02-28	PRIJEM	\N	122	35028	UROK	\N	\N
3640177	3311	1998-03-31	PRIJEM	\N	168	94087	UROK	\N	\N
3640178	3311	1998-04-30	PRIJEM	\N	224	87500	UROK	\N	\N
3640179	3311	1998-05-31	PRIJEM	\N	287	59442	UROK	\N	\N
3640180	3311	1998-06-30	PRIJEM	\N	262	66913	UROK	\N	\N
3640181	3311	1998-07-31	PRIJEM	\N	270	70189	UROK	\N	\N
3640182	3311	1998-08-31	PRIJEM	\N	375	103019	UROK	\N	\N
3640183	3311	1998-09-30	PRIJEM	\N	246	42026	UROK	\N	\N
3640184	3311	1998-10-31	PRIJEM	\N	285	97947	UROK	\N	\N
3640185	3311	1998-11-30	PRIJEM	\N	299	67027	UROK	\N	\N
3640186	3311	1998-12-31	PRIJEM	\N	332	77481	UROK	\N	\N
3640187	3312	1996-12-31	PRIJEM	\N	12	3659	UROK	\N	\N
3640188	3312	1997-01-31	PRIJEM	\N	71	20377	UROK	\N	\N
3640189	3312	1997-02-28	PRIJEM	\N	94	23118	UROK	\N	\N
3640190	3312	1997-03-31	PRIJEM	\N	108	26572	UROK	\N	\N
3640191	3312	1997-04-30	PRIJEM	\N	126	31094	UROK	\N	\N
3640192	3312	1997-05-31	PRIJEM	\N	127	30489	UROK	\N	\N
3640193	3312	1997-06-30	PRIJEM	\N	129	29206	UROK	\N	\N
3640194	3312	1997-07-31	PRIJEM	\N	123	29748	UROK	\N	\N
3640195	3312	1997-08-31	PRIJEM	\N	133	31620	UROK	\N	\N
3640196	3312	1997-09-30	PRIJEM	\N	135	31913	UROK	\N	\N
3640197	3312	1997-10-31	PRIJEM	\N	148	36429	UROK	\N	\N
3640198	3312	1997-11-30	PRIJEM	\N	153	36380	UROK	\N	\N
3640199	3312	1997-12-31	PRIJEM	\N	154	37213	UROK	\N	\N
3640200	3312	1998-01-31	PRIJEM	\N	149	40430	UROK	\N	\N
3640201	3312	1998-02-28	PRIJEM	\N	171	42910	UROK	\N	\N
3640202	3312	1998-03-31	PRIJEM	\N	181	40459	UROK	\N	\N
3640203	3312	1998-04-30	PRIJEM	\N	169	36116	UROK	\N	\N
3640204	3312	1998-05-31	PRIJEM	\N	153	34737	UROK	\N	\N
3640205	3312	1998-06-30	PRIJEM	\N	138	30954	UROK	\N	\N
3640206	3312	1998-07-31	PRIJEM	\N	129	26851	UROK	\N	\N
3640207	3312	1998-08-31	PRIJEM	\N	115	27335	UROK	\N	\N
3640208	3312	1998-09-30	PRIJEM	\N	113	26146	UROK	\N	\N
3640209	3312	1998-10-31	PRIJEM	\N	109	24323	UROK	\N	\N
3640210	3312	1998-11-30	PRIJEM	\N	104	24596	UROK	\N	\N
3640211	3312	1998-12-31	PRIJEM	\N	104	24918	UROK	\N	\N
3640212	3315	1995-09-30	PRIJEM	\N	21	19097	UROK	\N	\N
3640213	3315	1995-10-31	PRIJEM	\N	92	29165	UROK	\N	\N
3640214	3315	1995-11-30	PRIJEM	\N	126	32766	UROK	\N	\N
3640215	3315	1995-12-31	PRIJEM	\N	142	37022	UROK	\N	\N
3640216	3315	1996-01-31	PRIJEM	\N	153	28831	UROK	\N	\N
3640217	3315	1996-02-29	PRIJEM	\N	141	34294	UROK	\N	\N
3640218	3315	1996-03-31	PRIJEM	\N	150	39005	UROK	\N	\N
3640219	3315	1996-04-30	PRIJEM	\N	171	45037	UROK	\N	\N
3640220	3315	1996-05-31	PRIJEM	\N	195	49234	UROK	\N	\N
3640221	3315	1996-06-30	PRIJEM	\N	218	50911	UROK	\N	\N
3640222	3315	1996-07-31	PRIJEM	\N	212	50984	UROK	\N	\N
3640223	3315	1996-08-31	PRIJEM	\N	219	46825	UROK	\N	\N
3640224	3315	1996-09-30	PRIJEM	\N	195	47181	UROK	\N	\N
3640225	3315	1996-10-31	PRIJEM	\N	201	48523	UROK	\N	\N
3640226	3315	1996-11-30	PRIJEM	\N	204	49889	UROK	\N	\N
3640227	3315	1996-12-31	PRIJEM	\N	223	51711	UROK	\N	\N
3640228	3315	1997-01-31	PRIJEM	\N	206	43339	UROK	\N	\N
3640229	3315	1997-02-28	PRIJEM	\N	196	47597	UROK	\N	\N
3640230	3315	1997-03-31	PRIJEM	\N	206	51564	UROK	\N	\N
3640231	3315	1997-04-30	PRIJEM	\N	223	55448	UROK	\N	\N
3640232	3315	1997-05-31	PRIJEM	\N	223	50952	UROK	\N	\N
3640233	3315	1997-06-30	PRIJEM	\N	210	33801	UROK	\N	\N
3640234	3315	1997-07-31	PRIJEM	\N	167	45030	UROK	\N	\N
3640235	3315	1997-08-31	PRIJEM	\N	207	53198	UROK	\N	\N
3640236	3315	1997-09-30	PRIJEM	\N	234	58294	UROK	\N	\N
3640237	3315	1997-10-31	PRIJEM	\N	260	65315	UROK	\N	\N
3640238	3315	1997-11-30	PRIJEM	\N	273	66049	UROK	\N	\N
3640239	3315	1997-12-31	PRIJEM	\N	284	67632	UROK	\N	\N
3640240	3315	1998-01-31	PRIJEM	\N	301	59434	UROK	\N	\N
3640241	3315	1998-02-28	PRIJEM	\N	277	70372	UROK	\N	\N
3640242	3315	1998-03-31	PRIJEM	\N	293	70926	UROK	\N	\N
3640243	3315	1998-04-30	PRIJEM	\N	327	73115	UROK	\N	\N
3640244	3315	1998-05-31	PRIJEM	\N	327	81503	UROK	\N	\N
3640245	3315	1998-06-30	PRIJEM	\N	325	85128	UROK	\N	\N
3640246	3315	1998-07-31	PRIJEM	\N	375	93065	UROK	\N	\N
3640247	3315	1998-08-31	PRIJEM	\N	393	95719	UROK	\N	\N
3640248	3315	1998-09-30	PRIJEM	\N	400	97280	UROK	\N	\N
3640249	3315	1998-10-31	PRIJEM	\N	397	95438	UROK	\N	\N
3640250	3315	1998-11-30	PRIJEM	\N	388	93928	UROK	\N	\N
3640251	3315	1998-12-31	PRIJEM	\N	421	101628	UROK	\N	\N
3640252	3316	1993-05-31	PRIJEM	\N	54	16186	UROK	\N	\N
3640253	3316	1993-06-30	PRIJEM	\N	156	42940	UROK	\N	\N
3640254	3316	1993-07-31	PRIJEM	\N	200	49472	UROK	\N	\N
3640255	3316	1993-08-31	PRIJEM	\N	220	53724	UROK	\N	\N
3640256	3316	1993-09-30	PRIJEM	\N	197	41158	UROK	\N	\N
3640257	3316	1993-10-31	PRIJEM	\N	173	39194	UROK	\N	\N
3640258	3316	1993-11-30	PRIJEM	\N	173	39329	UROK	\N	\N
3640259	3316	1993-12-31	PRIJEM	\N	200	44417	UROK	\N	\N
3640260	3316	1994-01-31	PRIJEM	\N	164	31643	UROK	\N	\N
3640261	3316	1994-02-28	PRIJEM	\N	129	33735	UROK	\N	\N
3640262	3316	1994-03-31	PRIJEM	\N	151	34448	UROK	\N	\N
3640263	3316	1994-04-30	PRIJEM	\N	164	35975	UROK	\N	\N
3640264	3316	1994-05-31	PRIJEM	\N	149	31006	UROK	\N	\N
3640265	3316	1994-06-30	PRIJEM	\N	147	41282	UROK	\N	\N
3640266	3316	1994-07-31	PRIJEM	\N	162	29806	UROK	\N	\N
3640267	3316	1994-08-31	PRIJEM	\N	136	30804	UROK	\N	\N
3640268	3316	1994-09-30	PRIJEM	\N	130	27457	UROK	\N	\N
3640269	3316	1994-10-31	PRIJEM	\N	127	31046	UROK	\N	\N
3640270	3316	1994-11-30	PRIJEM	\N	138	26726	UROK	\N	\N
3640271	3316	1994-12-31	PRIJEM	\N	138	34032	UROK	\N	\N
3640272	3316	1995-01-31	PRIJEM	\N	140	25655	UROK	\N	\N
3640273	3316	1995-02-28	PRIJEM	\N	119	31236	UROK	\N	\N
3640274	3316	1995-03-31	PRIJEM	\N	142	35040	UROK	\N	\N
3640275	3316	1995-04-30	PRIJEM	\N	157	38960	UROK	\N	\N
3640276	3316	1995-05-31	PRIJEM	\N	164	34007	UROK	\N	\N
3640277	3316	1995-06-30	PRIJEM	\N	171	35226	UROK	\N	\N
3640278	3316	1995-07-31	PRIJEM	\N	154	37123	UROK	\N	\N
3640279	3316	1995-08-31	PRIJEM	\N	167	35072	UROK	\N	\N
3640280	3316	1995-09-30	PRIJEM	\N	154	36248	UROK	\N	\N
3640281	3316	1995-10-31	PRIJEM	\N	155	34285	UROK	\N	\N
3640282	3316	1995-11-30	PRIJEM	\N	152	37299	UROK	\N	\N
3640283	3316	1995-12-31	PRIJEM	\N	172	37579	UROK	\N	\N
3640284	3316	1996-01-31	PRIJEM	\N	159	29800	UROK	\N	\N
3640285	3316	1996-02-29	PRIJEM	\N	133	33596	UROK	\N	\N
3640286	3316	1996-03-31	PRIJEM	\N	149	37107	UROK	\N	\N
3640287	3316	1996-04-30	PRIJEM	\N	160	39029	UROK	\N	\N
3640288	3316	1996-05-31	PRIJEM	\N	160	36052	UROK	\N	\N
3640289	3316	1996-06-30	PRIJEM	\N	158	36559	UROK	\N	\N
3640290	3316	1996-07-31	PRIJEM	\N	155	36976	UROK	\N	\N
3640291	3316	1996-08-31	PRIJEM	\N	157	37995	UROK	\N	\N
3640292	3316	1996-09-30	PRIJEM	\N	161	39218	UROK	\N	\N
3640293	3316	1996-10-31	PRIJEM	\N	163	39244	UROK	\N	\N
3640294	3316	1996-11-30	PRIJEM	\N	158	33904	UROK	\N	\N
3640295	3316	1996-12-31	PRIJEM	\N	159	40892	UROK	\N	\N
3640296	3316	1997-01-31	PRIJEM	\N	165	35239	UROK	\N	\N
3640297	3316	1997-02-28	PRIJEM	\N	154	39755	UROK	\N	\N
3640298	3316	1997-03-31	PRIJEM	\N	163	39280	UROK	\N	\N
3640299	3316	1997-04-30	PRIJEM	\N	161	39003	UROK	\N	\N
3640300	3316	1997-05-31	PRIJEM	\N	161	39226	UROK	\N	\N
3640301	3316	1997-06-30	PRIJEM	\N	184	39899	UROK	\N	\N
3640302	3316	1997-07-31	PRIJEM	\N	176	36036	UROK	\N	\N
3640303	3316	1997-08-31	PRIJEM	\N	145	34944	UROK	\N	\N
3640304	3316	1997-09-30	PRIJEM	\N	140	33246	UROK	\N	\N
3640305	3316	1997-10-31	PRIJEM	\N	131	30939	UROK	\N	\N
3640306	3316	1997-11-30	PRIJEM	\N	127	30429	UROK	\N	\N
3640307	3316	1997-12-31	PRIJEM	\N	125	27562	UROK	\N	\N
3640308	3316	1998-01-31	PRIJEM	\N	99	19243	UROK	\N	\N
3640309	3316	1998-02-28	PRIJEM	\N	91	21877	UROK	\N	\N
3640310	3316	1998-03-31	PRIJEM	\N	87	20626	UROK	\N	\N
3640311	3316	1998-04-30	PRIJEM	\N	84	19672	UROK	\N	\N
3640312	3316	1998-05-31	PRIJEM	\N	96	24331	UROK	\N	\N
3640313	3316	1998-06-30	PRIJEM	\N	117	28776	UROK	\N	\N
3640314	3316	1998-07-31	PRIJEM	\N	119	28158	UROK	\N	\N
3640315	3316	1998-08-31	PRIJEM	\N	108	24528	UROK	\N	\N
3640316	3316	1998-09-30	PRIJEM	\N	105	22436	UROK	\N	\N
3640317	3316	1998-10-31	PRIJEM	\N	91	19249	UROK	\N	\N
3640318	3316	1998-11-30	PRIJEM	\N	116	29028	UROK	\N	\N
3640319	3316	1998-12-31	PRIJEM	\N	157	38974	UROK	\N	\N
3640320	3317	1995-10-31	PRIJEM	\N	9	3858	UROK	\N	\N
3640321	3317	1995-11-30	PRIJEM	\N	16	7123	UROK	\N	\N
3640322	3317	1995-12-31	PRIJEM	\N	16	10388	UROK	\N	\N
3640323	3317	1996-01-31	PRIJEM	\N	16	13653	UROK	\N	\N
3640324	3317	1996-02-29	PRIJEM	\N	41	14778	UROK	\N	\N
3640325	3317	1996-03-31	PRIJEM	\N	66	14832	UROK	\N	\N
3640326	3317	1996-04-30	PRIJEM	\N	64	15964	UROK	\N	\N
3640327	3317	1996-05-31	PRIJEM	\N	74	17107	UROK	\N	\N
3640328	3317	1996-06-30	PRIJEM	\N	72	17347	UROK	\N	\N
3640329	3317	1996-07-31	PRIJEM	\N	80	18495	UROK	\N	\N
3640330	3317	1996-08-31	PRIJEM	\N	78	19072	UROK	\N	\N
3640331	3317	1996-09-30	PRIJEM	\N	87	20227	UROK	\N	\N
3640332	3317	1996-10-31	PRIJEM	\N	85	20540	UROK	\N	\N
3640333	3317	1996-11-30	PRIJEM	\N	93	21701	UROK	\N	\N
3640334	3317	1996-12-31	PRIJEM	\N	93	22563	UROK	\N	\N
3640335	3317	1997-01-31	PRIJEM	\N	94	19585	UROK	\N	\N
3640336	3317	1997-02-28	PRIJEM	\N	88	20741	UROK	\N	\N
3640337	3317	1997-03-31	PRIJEM	\N	89	21898	UROK	\N	\N
3640338	3317	1997-04-30	PRIJEM	\N	94	21580	UROK	\N	\N
3640339	3317	1997-05-31	PRIJEM	\N	93	19242	UROK	\N	\N
3640340	3317	1997-06-30	PRIJEM	\N	70	13360	UROK	\N	\N
3640341	3317	1997-07-31	PRIJEM	\N	61	13689	UROK	\N	\N
3640342	3317	1997-08-31	PRIJEM	\N	59	14817	UROK	\N	\N
3640343	3317	1997-09-30	PRIJEM	\N	62	14347	UROK	\N	\N
3640344	3317	1997-10-31	PRIJEM	\N	63	13978	UROK	\N	\N
3640345	3317	1997-11-30	PRIJEM	\N	60	14707	UROK	\N	\N
3640346	3317	1997-12-31	PRIJEM	\N	62	14697	UROK	\N	\N
3640347	3317	1998-01-31	PRIJEM	\N	60	13756	UROK	\N	\N
3640348	3317	1998-02-28	PRIJEM	\N	58	12082	UROK	\N	\N
3640349	3317	1998-03-31	PRIJEM	\N	58	13207	UROK	\N	\N
3640350	3317	1998-04-30	PRIJEM	\N	57	13033	UROK	\N	\N
3640351	3317	1998-05-31	PRIJEM	\N	61	14163	UROK	\N	\N
3640352	3317	1998-06-30	PRIJEM	\N	66	15147	UROK	\N	\N
3640353	3317	1998-07-31	PRIJEM	\N	66	15481	UROK	\N	\N
3640354	3317	1998-08-31	PRIJEM	\N	64	15503	UROK	\N	\N
3640355	3317	1998-09-30	PRIJEM	\N	66	16398	UROK	\N	\N
3640356	3317	1998-10-31	PRIJEM	\N	70	17536	UROK	\N	\N
3640357	3317	1998-11-30	PRIJEM	\N	72	17056	UROK	\N	\N
3640358	3317	1998-12-31	PRIJEM	\N	70	16904	UROK	\N	\N
3640359	3318	1996-11-30	PRIJEM	\N	39	15148	UROK	\N	\N
3640360	3318	1996-12-31	PRIJEM	\N	65	16023	UROK	\N	\N
3640361	3318	1997-01-31	PRIJEM	\N	63	13627	UROK	\N	\N
3640362	3318	1997-02-28	PRIJEM	\N	55	12242	UROK	\N	\N
3640363	3318	1997-03-31	PRIJEM	\N	54	13257	UROK	\N	\N
3640364	3318	1997-04-30	PRIJEM	\N	58	14095	UROK	\N	\N
3640365	3318	1997-05-31	PRIJEM	\N	61	15116	UROK	\N	\N
3640366	3318	1997-06-30	PRIJEM	\N	58	12034	UROK	\N	\N
3640367	3318	1997-07-31	PRIJEM	\N	52	12656	UROK	\N	\N
3640368	3318	1997-08-31	PRIJEM	\N	51	11568	UROK	\N	\N
3640369	3318	1997-09-30	PRIJEM	\N	51	12579	UROK	\N	\N
3640370	3318	1997-10-31	PRIJEM	\N	54	13594	UROK	\N	\N
3640371	3318	1997-11-30	PRIJEM	\N	56	13321	UROK	\N	\N
3640372	3318	1997-12-31	PRIJEM	\N	55	13496	UROK	\N	\N
3640373	3318	1998-01-31	PRIJEM	\N	55	13582	UROK	\N	\N
3640374	3318	1998-02-28	PRIJEM	\N	58	14600	UROK	\N	\N
3640375	3318	1998-03-31	PRIJEM	\N	52	10833	UROK	\N	\N
3640376	3318	1998-04-30	PRIJEM	\N	47	11841	UROK	\N	\N
3640377	3318	1998-05-31	PRIJEM	\N	50	12852	UROK	\N	\N
3640378	3318	1998-06-30	PRIJEM	\N	56	13868	UROK	\N	\N
3640379	3318	1998-07-31	PRIJEM	\N	57	13416	UROK	\N	\N
3640380	3318	1998-08-31	PRIJEM	\N	59	14435	UROK	\N	\N
3640381	3318	1998-09-30	PRIJEM	\N	62	15458	UROK	\N	\N
3640382	3318	1998-10-31	PRIJEM	\N	57	12775	UROK	\N	\N
3640383	3318	1998-11-30	PRIJEM	\N	56	13792	UROK	\N	\N
3640384	3318	1998-12-31	PRIJEM	\N	57	13519	UROK	\N	\N
3640385	3319	1993-09-30	PRIJEM	\N	6	14137	UROK	\N	\N
3640386	3319	1993-10-31	PRIJEM	\N	63	21231	UROK	\N	\N
3640387	3319	1993-11-30	PRIJEM	\N	91	25352	UROK	\N	\N
3640388	3319	1993-12-31	PRIJEM	\N	107	27390	UROK	\N	\N
3640389	3319	1994-01-31	PRIJEM	\N	114	25381	UROK	\N	\N
3640390	3319	1994-02-28	PRIJEM	\N	109	26186	UROK	\N	\N
3640391	3319	1994-03-31	PRIJEM	\N	113	28195	UROK	\N	\N
3640392	3319	1994-04-30	PRIJEM	\N	119	26410	UROK	\N	\N
3640393	3319	1994-05-31	PRIJEM	\N	112	25718	UROK	\N	\N
3640394	3319	1994-06-30	PRIJEM	\N	102	24287	UROK	\N	\N
3640395	3319	1994-07-31	PRIJEM	\N	106	27490	UROK	\N	\N
3640396	3319	1994-08-31	PRIJEM	\N	111	25847	UROK	\N	\N
3640397	3319	1994-09-30	PRIJEM	\N	111	26634	UROK	\N	\N
3640398	3319	1994-10-31	PRIJEM	\N	115	28546	UROK	\N	\N
3640399	3319	1994-11-30	PRIJEM	\N	115	25597	UROK	\N	\N
3640400	3319	1994-12-31	PRIJEM	\N	111	28474	UROK	\N	\N
3640401	3319	1995-01-31	PRIJEM	\N	118	27389	UROK	\N	\N
3640402	3319	1995-02-28	PRIJEM	\N	117	28402	UROK	\N	\N
3640403	3319	1995-03-31	PRIJEM	\N	124	31222	UROK	\N	\N
3640404	3319	1995-04-30	PRIJEM	\N	122	25760	UROK	\N	\N
3640405	3319	1995-05-31	PRIJEM	\N	107	25064	UROK	\N	\N
3640406	3319	1995-06-30	PRIJEM	\N	97	21237	UROK	\N	\N
3640407	3319	1995-07-31	PRIJEM	\N	93	23286	UROK	\N	\N
3640408	3319	1995-08-31	PRIJEM	\N	104	26987	UROK	\N	\N
3640409	3319	1995-09-30	PRIJEM	\N	113	26996	UROK	\N	\N
3640410	3319	1995-10-31	PRIJEM	\N	117	29310	UROK	\N	\N
3640411	3319	1995-11-30	PRIJEM	\N	124	29870	UROK	\N	\N
3640412	3319	1995-12-31	PRIJEM	\N	121	27217	UROK	\N	\N
3640413	3319	1996-01-31	PRIJEM	\N	117	29011	UROK	\N	\N
3640414	3319	1996-02-29	PRIJEM	\N	118	27495	UROK	\N	\N
3640415	3319	1996-03-31	PRIJEM	\N	118	29009	UROK	\N	\N
3640416	3319	1996-04-30	PRIJEM	\N	121	28757	UROK	\N	\N
3640417	3319	1996-05-31	PRIJEM	\N	121	29374	UROK	\N	\N
3640418	3319	1996-06-30	PRIJEM	\N	122	28953	UROK	\N	\N
3640419	3319	1996-07-31	PRIJEM	\N	126	31275	UROK	\N	\N
3640420	3319	1996-08-31	PRIJEM	\N	138	32609	UROK	\N	\N
3640421	3319	1996-09-30	PRIJEM	\N	132	31237	UROK	\N	\N
3640422	3319	1996-10-31	PRIJEM	\N	124	29157	UROK	\N	\N
3640423	3319	1996-11-30	PRIJEM	\N	133	33736	UROK	\N	\N
3640424	3319	1996-12-31	PRIJEM	\N	153	38295	UROK	\N	\N
3640425	3319	1997-01-31	PRIJEM	\N	162	38664	UROK	\N	\N
3640426	3319	1997-02-28	PRIJEM	\N	173	43233	UROK	\N	\N
3640427	3319	1997-03-31	PRIJEM	\N	180	43559	UROK	\N	\N
3640428	3319	1997-04-30	PRIJEM	\N	176	41272	UROK	\N	\N
3640429	3319	1997-05-31	PRIJEM	\N	172	42040	UROK	\N	\N
3640430	3319	1997-06-30	PRIJEM	\N	163	37010	UROK	\N	\N
3640431	3319	1997-07-31	PRIJEM	\N	164	40970	UROK	\N	\N
3640432	3319	1997-08-31	PRIJEM	\N	187	46593	UROK	\N	\N
3640433	3319	1997-09-30	PRIJEM	\N	203	50293	UROK	\N	\N
3640434	3319	1997-10-31	PRIJEM	\N	203	49393	UROK	\N	\N
3640435	3319	1997-11-30	PRIJEM	\N	200	48509	UROK	\N	\N
3640436	3319	1997-12-31	PRIJEM	\N	210	51736	UROK	\N	\N
3640437	3319	1998-01-31	PRIJEM	\N	218	53550	UROK	\N	\N
3640438	3319	1998-02-28	PRIJEM	\N	220	53867	UROK	\N	\N
3640439	3319	1998-03-31	PRIJEM	\N	220	51803	UROK	\N	\N
3640440	3319	1998-04-30	PRIJEM	\N	207	50306	UROK	\N	\N
3640441	3319	1998-05-31	PRIJEM	\N	224	55726	UROK	\N	\N
3640442	3319	1998-06-30	PRIJEM	\N	230	53452	UROK	\N	\N
3640443	3319	1998-07-31	PRIJEM	\N	227	55976	UROK	\N	\N
3640444	3319	1998-08-31	PRIJEM	\N	226	55298	UROK	\N	\N
3640445	3319	1998-09-30	PRIJEM	\N	213	51397	UROK	\N	\N
3640446	3319	1998-10-31	PRIJEM	\N	198	48092	UROK	\N	\N
3640447	3319	1998-11-30	PRIJEM	\N	204	50592	UROK	\N	\N
3640448	3319	1998-12-31	PRIJEM	\N	198	47266	UROK	\N	\N
3640449	3320	1995-12-31	PRIJEM	\N	10	4023	UROK	\N	\N
3640450	3320	1996-01-31	PRIJEM	\N	17	7152	UROK	\N	\N
3640451	3320	1996-02-29	PRIJEM	\N	17	10282	UROK	\N	\N
3640452	3320	1996-03-31	PRIJEM	\N	17	13412	UROK	\N	\N
3640453	3320	1996-04-30	PRIJEM	\N	41	14491	UROK	\N	\N
3640454	3320	1996-05-31	PRIJEM	\N	66	15111	UROK	\N	\N
3640455	3320	1996-06-30	PRIJEM	\N	65	16200	UROK	\N	\N
3640456	3320	1996-07-31	PRIJEM	\N	73	16396	UROK	\N	\N
3640457	3320	1996-08-31	PRIJEM	\N	76	17495	UROK	\N	\N
3640458	3320	1996-09-30	PRIJEM	\N	75	18593	UROK	\N	\N
3640459	3320	1996-10-31	PRIJEM	\N	83	19189	UROK	\N	\N
3640460	3320	1996-11-30	PRIJEM	\N	87	20300	UROK	\N	\N
3640461	3320	1996-12-31	PRIJEM	\N	87	20570	UROK	\N	\N
3640462	3320	1997-01-31	PRIJEM	\N	79	14172	UROK	\N	\N
3640463	3320	1997-02-28	PRIJEM	\N	61	15257	UROK	\N	\N
3640464	3320	1997-03-31	PRIJEM	\N	71	16351	UROK	\N	\N
3640465	3320	1997-04-30	PRIJEM	\N	75	17449	UROK	\N	\N
3640466	3320	1997-05-31	PRIJEM	\N	80	18553	UROK	\N	\N
3640467	3320	1997-06-30	PRIJEM	\N	84	18550	UROK	\N	\N
3640468	3320	1997-07-31	PRIJEM	\N	80	17853	UROK	\N	\N
3640469	3320	1997-08-31	PRIJEM	\N	71	16547	UROK	\N	\N
3640470	3320	1997-09-30	PRIJEM	\N	71	17642	UROK	\N	\N
3640471	3320	1997-10-31	PRIJEM	\N	76	18741	UROK	\N	\N
3640472	3320	1997-11-30	PRIJEM	\N	85	19849	UROK	\N	\N
3640473	3320	1997-12-31	PRIJEM	\N	86	20359	UROK	\N	\N
3640474	3320	1998-01-31	PRIJEM	\N	73	15695	UROK	\N	\N
3640475	3320	1998-02-28	PRIJEM	\N	66	16005	UROK	\N	\N
3640476	3320	1998-03-31	PRIJEM	\N	69	17097	UROK	\N	\N
3640477	3320	1998-04-30	PRIJEM	\N	78	18198	UROK	\N	\N
3640478	3320	1998-05-31	PRIJEM	\N	78	19299	UROK	\N	\N
3640479	3320	1998-06-30	PRIJEM	\N	75	17067	UROK	\N	\N
3640480	3320	1998-07-31	PRIJEM	\N	76	17447	UROK	\N	\N
3640481	3320	1998-08-31	PRIJEM	\N	79	18249	UROK	\N	\N
3640482	3320	1998-09-30	PRIJEM	\N	78	19350	UROK	\N	\N
3640483	3320	1998-10-31	PRIJEM	\N	82	20456	UROK	\N	\N
3640484	3320	1998-11-30	PRIJEM	\N	87	21566	UROK	\N	\N
3640485	3320	1998-12-31	PRIJEM	\N	88	21148	UROK	\N	\N
3640486	3322	1996-04-30	PRIJEM	\N	70	81659	UROK	\N	\N
3640487	3322	1996-05-31	PRIJEM	\N	311	83598	UROK	\N	\N
3640488	3322	1996-06-30	PRIJEM	\N	347	52945	UROK	\N	\N
3640489	3322	1996-07-31	PRIJEM	\N	280	45527	UROK	\N	\N
3640490	3322	1996-08-31	PRIJEM	\N	151	21227	UROK	\N	\N
3640491	3322	1996-09-30	PRIJEM	\N	92	22968	UROK	\N	\N
3640492	3322	1996-10-31	PRIJEM	\N	93	21809	UROK	\N	\N
3640493	3322	1996-11-30	PRIJEM	\N	85	19344	UROK	\N	\N
3640494	3322	1996-12-31	PRIJEM	\N	89	23182	UROK	\N	\N
3640495	3322	1997-01-31	PRIJEM	\N	98	30699	UROK	\N	\N
3640496	3322	1997-02-28	PRIJEM	\N	189	46928	UROK	\N	\N
3640497	3322	1997-03-31	PRIJEM	\N	173	37351	UROK	\N	\N
3640498	3322	1997-04-30	PRIJEM	\N	135	26435	UROK	\N	\N
3640499	3322	1997-05-31	PRIJEM	\N	213	92663	UROK	\N	\N
3640500	3322	1997-06-30	PRIJEM	\N	300	60812	UROK	\N	\N
3640501	3322	1997-07-31	PRIJEM	\N	222	48883	UROK	\N	\N
3640502	3322	1997-08-31	PRIJEM	\N	274	73306	UROK	\N	\N
3640503	3322	1997-09-30	PRIJEM	\N	270	60925	UROK	\N	\N
3640504	3322	1997-10-31	PRIJEM	\N	186	32860	UROK	\N	\N
3640505	3322	1997-11-30	PRIJEM	\N	231	72416	UROK	\N	\N
3640506	3322	1997-12-31	PRIJEM	\N	253	56218	UROK	\N	\N
3640507	3322	1998-01-31	PRIJEM	\N	178	63330	UROK	\N	\N
3640508	3322	1998-02-28	PRIJEM	\N	188	36281	UROK	\N	\N
3640509	3322	1998-03-31	PRIJEM	\N	218	58700	UROK	\N	\N
3640510	3322	1998-04-30	PRIJEM	\N	268	41787	UROK	\N	\N
3640511	3322	1998-05-31	PRIJEM	\N	162	35056	UROK	\N	\N
3640512	3322	1998-06-30	PRIJEM	\N	129	30740	UROK	\N	\N
3640513	3322	1998-07-31	PRIJEM	\N	123	23124	UROK	\N	\N
3640514	3322	1998-08-31	PRIJEM	\N	124	31897	UROK	\N	\N
3640515	3322	1998-09-30	PRIJEM	\N	138	33985	UROK	\N	\N
3640516	3322	1998-10-31	PRIJEM	\N	145	78415	UROK	\N	\N
3640517	3322	1998-11-30	PRIJEM	\N	365	67979	UROK	\N	\N
3640518	3322	1998-12-31	PRIJEM	\N	321	91176	UROK	\N	\N
3640519	3323	1993-09-30	PRIJEM	\N	57	22826	UROK	\N	\N
3640520	3323	1993-10-31	PRIJEM	\N	159	47954	UROK	\N	\N
3640521	3323	1993-11-30	PRIJEM	\N	227	59049	UROK	\N	\N
3640522	3323	1993-12-31	PRIJEM	\N	287	75590	UROK	\N	\N
3640523	3323	1994-01-31	PRIJEM	\N	296	64895	UROK	\N	\N
3640524	3323	1994-02-28	PRIJEM	\N	263	65814	UROK	\N	\N
3640525	3323	1994-03-31	PRIJEM	\N	249	59739	UROK	\N	\N
3640526	3323	1994-04-30	PRIJEM	\N	240	58556	UROK	\N	\N
3640527	3323	1994-05-31	PRIJEM	\N	233	58146	UROK	\N	\N
3640528	3323	1994-06-30	PRIJEM	\N	195	51962	UROK	\N	\N
3640529	3323	1994-07-31	PRIJEM	\N	203	49381	UROK	\N	\N
3640530	3323	1994-08-31	PRIJEM	\N	207	53145	UROK	\N	\N
3640531	3323	1994-09-30	PRIJEM	\N	181	44782	UROK	\N	\N
3640532	3323	1994-10-31	PRIJEM	\N	193	50332	UROK	\N	\N
3640533	3323	1994-11-30	PRIJEM	\N	216	55904	UROK	\N	\N
3640534	3323	1994-12-31	PRIJEM	\N	228	61153	UROK	\N	\N
3640535	3323	1995-01-31	PRIJEM	\N	209	42538	UROK	\N	\N
3640536	3323	1995-02-28	PRIJEM	\N	181	51475	UROK	\N	\N
3640537	3323	1995-03-31	PRIJEM	\N	222	57253	UROK	\N	\N
3640538	3323	1995-04-30	PRIJEM	\N	239	60949	UROK	\N	\N
3640539	3323	1995-05-31	PRIJEM	\N	247	63052	UROK	\N	\N
3640540	3323	1995-06-30	PRIJEM	\N	175	42388	UROK	\N	\N
3640541	3323	1995-07-31	PRIJEM	\N	155	31220	UROK	\N	\N
3640542	3323	1995-08-31	PRIJEM	\N	172	39348	UROK	\N	\N
3640543	3323	1995-09-30	PRIJEM	\N	202	42206	UROK	\N	\N
3640544	3323	1995-10-31	PRIJEM	\N	213	44375	UROK	\N	\N
3640545	3323	1995-11-30	PRIJEM	\N	209	42821	UROK	\N	\N
3640546	3323	1995-12-31	PRIJEM	\N	227	48888	UROK	\N	\N
3640547	3323	1996-01-31	PRIJEM	\N	204	43469	UROK	\N	\N
3640548	3323	1996-02-29	PRIJEM	\N	213	46738	UROK	\N	\N
3640549	3323	1996-03-31	PRIJEM	\N	227	49522	UROK	\N	\N
3640550	3323	1996-04-30	PRIJEM	\N	208	42726	UROK	\N	\N
3640551	3323	1996-05-31	PRIJEM	\N	210	47693	UROK	\N	\N
3640552	3323	1996-06-30	PRIJEM	\N	245	42438	UROK	\N	\N
3640553	3323	1996-07-31	PRIJEM	\N	194	44249	UROK	\N	\N
3640554	3323	1996-08-31	PRIJEM	\N	211	47816	UROK	\N	\N
3640555	3323	1996-09-30	PRIJEM	\N	224	51396	UROK	\N	\N
3640556	3323	1996-10-31	PRIJEM	\N	239	55191	UROK	\N	\N
3640557	3323	1996-11-30	PRIJEM	\N	239	51267	UROK	\N	\N
3640558	3323	1996-12-31	PRIJEM	\N	247	54774	UROK	\N	\N
3640559	3323	1997-01-31	PRIJEM	\N	204	41335	UROK	\N	\N
3640560	3323	1997-02-28	PRIJEM	\N	192	45583	UROK	\N	\N
3640561	3323	1997-03-31	PRIJEM	\N	211	48951	UROK	\N	\N
3640562	3323	1997-04-30	PRIJEM	\N	217	48604	UROK	\N	\N
3640563	3323	1997-05-31	PRIJEM	\N	217	49597	UROK	\N	\N
3640564	3323	1997-06-30	PRIJEM	\N	212	53031	UROK	\N	\N
3640565	3323	1997-07-31	PRIJEM	\N	237	56224	UROK	\N	\N
3640566	3323	1997-08-31	PRIJEM	\N	243	56323	UROK	\N	\N
3640567	3323	1997-09-30	PRIJEM	\N	226	52566	UROK	\N	\N
3640568	3323	1997-10-31	PRIJEM	\N	227	53749	UROK	\N	\N
3640569	3323	1997-11-30	PRIJEM	\N	221	52266	UROK	\N	\N
3640570	3323	1997-12-31	PRIJEM	\N	223	50770	UROK	\N	\N
3640571	3323	1998-01-31	PRIJEM	\N	182	38007	UROK	\N	\N
3640572	3323	1998-02-28	PRIJEM	\N	167	42931	UROK	\N	\N
3640573	3323	1998-03-31	PRIJEM	\N	187	45874	UROK	\N	\N
3640574	3323	1998-04-30	PRIJEM	\N	199	49429	UROK	\N	\N
3640575	3323	1998-05-31	PRIJEM	\N	203	48288	UROK	\N	\N
3640576	3323	1998-06-30	PRIJEM	\N	194	45883	UROK	\N	\N
3640577	3323	1998-07-31	PRIJEM	\N	190	45550	UROK	\N	\N
3640578	3323	1998-08-31	PRIJEM	\N	228	42834	UROK	\N	\N
3640579	3323	1998-09-30	PRIJEM	\N	193	51883	UROK	\N	\N
3640580	3323	1998-10-31	PRIJEM	\N	235	62374	UROK	\N	\N
3640581	3323	1998-11-30	PRIJEM	\N	250	63480	UROK	\N	\N
3640582	3323	1998-12-31	PRIJEM	\N	288	77309	UROK	\N	\N
3640583	3324	1997-11-30	PRIJEM	\N	38	18164	UROK	\N	\N
3640584	3324	1997-12-31	PRIJEM	\N	98	28450	UROK	\N	\N
3640585	3324	1998-01-31	PRIJEM	\N	133	34909	UROK	\N	\N
3640586	3324	1998-02-28	PRIJEM	\N	149	36584	UROK	\N	\N
3640587	3324	1998-03-31	PRIJEM	\N	164	40203	UROK	\N	\N
3640588	3324	1998-04-30	PRIJEM	\N	171	39568	UROK	\N	\N
3640589	3324	1998-05-31	PRIJEM	\N	175	42837	UROK	\N	\N
3640590	3324	1998-06-30	PRIJEM	\N	177	30771	UROK	\N	\N
3640591	3324	1998-07-31	PRIJEM	\N	166	43132	UROK	\N	\N
3640592	3324	1998-08-31	PRIJEM	\N	192	45718	UROK	\N	\N
3640593	3324	1998-09-30	PRIJEM	\N	204	50216	UROK	\N	\N
3640594	3324	1998-10-31	PRIJEM	\N	220	53931	UROK	\N	\N
3640595	3324	1998-11-30	PRIJEM	\N	225	53650	UROK	\N	\N
3640596	3324	1998-12-31	PRIJEM	\N	233	57240	UROK	\N	\N
3640597	3327	1993-05-31	PRIJEM	\N	35	16356	UROK	\N	\N
3640598	3327	1993-06-30	PRIJEM	\N	96	29134	UROK	\N	\N
3640599	3327	1993-07-31	PRIJEM	\N	131	33586	UROK	\N	\N
3640600	3327	1993-08-31	PRIJEM	\N	139	33547	UROK	\N	\N
3640601	3327	1993-09-30	PRIJEM	\N	140	32115	UROK	\N	\N
3640602	3327	1993-10-31	PRIJEM	\N	123	27612	UROK	\N	\N
3640603	3327	1993-11-30	PRIJEM	\N	124	29249	UROK	\N	\N
3640604	3327	1993-12-31	PRIJEM	\N	135	31498	UROK	\N	\N
3640605	3327	1994-01-31	PRIJEM	\N	123	27234	UROK	\N	\N
3640606	3327	1994-02-28	PRIJEM	\N	122	29369	UROK	\N	\N
3640607	3327	1994-03-31	PRIJEM	\N	122	28105	UROK	\N	\N
3640608	3327	1994-04-30	PRIJEM	\N	128	31046	UROK	\N	\N
3640609	3327	1994-05-31	PRIJEM	\N	134	31794	UROK	\N	\N
3640610	3327	1994-06-30	PRIJEM	\N	144	34212	UROK	\N	\N
3640611	3327	1994-07-31	PRIJEM	\N	137	31403	UROK	\N	\N
3640612	3327	1994-08-31	PRIJEM	\N	106	23761	UROK	\N	\N
3640613	3327	1994-09-30	PRIJEM	\N	99	24293	UROK	\N	\N
3640614	3327	1994-10-31	PRIJEM	\N	113	27100	UROK	\N	\N
3640615	3327	1994-11-30	PRIJEM	\N	123	29936	UROK	\N	\N
3640616	3327	1994-12-31	PRIJEM	\N	131	31321	UROK	\N	\N
3640617	3327	1995-01-31	PRIJEM	\N	88	16603	UROK	\N	\N
3640618	3327	1995-02-28	PRIJEM	\N	83	18519	UROK	\N	\N
3640619	3327	1995-03-31	PRIJEM	\N	86	20279	UROK	\N	\N
3640620	3327	1995-04-30	PRIJEM	\N	92	22384	UROK	\N	\N
3640621	3327	1995-05-31	PRIJEM	\N	100	24198	UROK	\N	\N
3640622	3327	1995-06-30	PRIJEM	\N	121	28993	UROK	\N	\N
3640623	3327	1995-07-31	PRIJEM	\N	112	25719	UROK	\N	\N
3640624	3327	1995-08-31	PRIJEM	\N	119	28872	UROK	\N	\N
3640625	3327	1995-09-30	PRIJEM	\N	135	32520	UROK	\N	\N
3640626	3327	1995-10-31	PRIJEM	\N	142	33975	UROK	\N	\N
3640627	3327	1995-11-30	PRIJEM	\N	146	33973	UROK	\N	\N
3640628	3327	1995-12-31	PRIJEM	\N	137	30164	UROK	\N	\N
3640629	3327	1996-01-31	PRIJEM	\N	113	24391	UROK	\N	\N
3640630	3327	1996-02-29	PRIJEM	\N	131	32735	UROK	\N	\N
3640631	3327	1996-03-31	PRIJEM	\N	149	36097	UROK	\N	\N
3640632	3327	1996-04-30	PRIJEM	\N	145	36056	UROK	\N	\N
3640633	3327	1996-05-31	PRIJEM	\N	149	30418	UROK	\N	\N
3640634	3327	1996-06-30	PRIJEM	\N	129	23122	UROK	\N	\N
3640635	3327	1996-07-31	PRIJEM	\N	111	27947	UROK	\N	\N
3640636	3327	1996-08-31	PRIJEM	\N	120	27520	UROK	\N	\N
3640637	3327	1996-09-30	PRIJEM	\N	125	25418	UROK	\N	\N
3640638	3327	1996-10-31	PRIJEM	\N	107	24459	UROK	\N	\N
3640639	3327	1996-11-30	PRIJEM	\N	109	25801	UROK	\N	\N
3640640	3327	1996-12-31	PRIJEM	\N	113	23469	UROK	\N	\N
3640641	3327	1997-01-31	PRIJEM	\N	100	18102	UROK	\N	\N
3640642	3327	1997-02-28	PRIJEM	\N	91	25007	UROK	\N	\N
3640643	3327	1997-03-31	PRIJEM	\N	106	22786	UROK	\N	\N
3640644	3327	1997-04-30	PRIJEM	\N	109	27308	UROK	\N	\N
3640645	3327	1997-05-31	PRIJEM	\N	111	24632	UROK	\N	\N
3640646	3327	1997-06-30	PRIJEM	\N	134	35400	UROK	\N	\N
3640647	3327	1997-07-31	PRIJEM	\N	161	39575	UROK	\N	\N
3640648	3327	1997-08-31	PRIJEM	\N	175	41163	UROK	\N	\N
3640649	3327	1997-09-30	PRIJEM	\N	184	45461	UROK	\N	\N
3640650	3327	1997-10-31	PRIJEM	\N	201	49075	UROK	\N	\N
3640651	3327	1997-11-30	PRIJEM	\N	213	47841	UROK	\N	\N
3640652	3327	1997-12-31	PRIJEM	\N	218	50654	UROK	\N	\N
3640653	3327	1998-01-31	PRIJEM	\N	201	38668	UROK	\N	\N
3640654	3327	1998-02-28	PRIJEM	\N	179	46961	UROK	\N	\N
3640655	3327	1998-03-31	PRIJEM	\N	215	55889	UROK	\N	\N
3640656	3327	1998-04-30	PRIJEM	\N	241	57944	UROK	\N	\N
3640657	3327	1998-05-31	PRIJEM	\N	236	52413	UROK	\N	\N
3640658	3327	1998-06-30	PRIJEM	\N	222	51289	UROK	\N	\N
3640659	3327	1998-07-31	PRIJEM	\N	226	56129	UROK	\N	\N
3640660	3327	1998-08-31	PRIJEM	\N	241	58183	UROK	\N	\N
3640661	3327	1998-09-30	PRIJEM	\N	232	50988	UROK	\N	\N
3640662	3327	1998-10-31	PRIJEM	\N	231	58832	UROK	\N	\N
3640663	3327	1998-11-30	PRIJEM	\N	253	61038	UROK	\N	\N
3640664	3327	1998-12-31	PRIJEM	\N	279	69252	UROK	\N	\N
3640665	3328	1997-08-31	PRIJEM	\N	3	25558	UROK	\N	\N
3640666	3328	1997-09-30	PRIJEM	\N	110	27305	UROK	\N	\N
3640667	3328	1997-10-31	PRIJEM	\N	118	29059	UROK	\N	\N
3640668	3328	1997-11-30	PRIJEM	\N	121	29817	UROK	\N	\N
3640669	3328	1997-12-31	PRIJEM	\N	114	25758	UROK	\N	\N
3640670	3328	1998-01-31	PRIJEM	\N	86	18670	UROK	\N	\N
3640671	3328	1998-02-28	PRIJEM	\N	74	19661	UROK	\N	\N
3640672	3328	1998-03-31	PRIJEM	\N	86	21383	UROK	\N	\N
3640673	3328	1998-04-30	PRIJEM	\N	84	21663	UROK	\N	\N
3640674	3328	1998-05-31	PRIJEM	\N	94	23393	UROK	\N	\N
3640675	3328	1998-06-30	PRIJEM	\N	101	25131	UROK	\N	\N
3640676	3328	1998-07-31	PRIJEM	\N	109	26876	UROK	\N	\N
3640677	3328	1998-08-31	PRIJEM	\N	115	25668	UROK	\N	\N
3640678	3328	1998-09-30	PRIJEM	\N	111	27415	UROK	\N	\N
3640679	3328	1998-10-31	PRIJEM	\N	114	25965	UROK	\N	\N
3640680	3328	1998-11-30	PRIJEM	\N	107	23868	UROK	\N	\N
3640681	3328	1998-12-31	PRIJEM	\N	94	24249	UROK	\N	\N
3640682	3329	1996-11-30	PRIJEM	\N	68	24597	UROK	\N	\N
3640683	3329	1996-12-31	PRIJEM	\N	147	40638	UROK	\N	\N
3640684	3329	1997-01-31	PRIJEM	\N	171	41538	UROK	\N	\N
3640685	3329	1997-02-28	PRIJEM	\N	174	42141	UROK	\N	\N
3640686	3329	1997-03-31	PRIJEM	\N	164	35885	UROK	\N	\N
3640687	3329	1997-04-30	PRIJEM	\N	143	30713	UROK	\N	\N
3640688	3329	1997-05-31	PRIJEM	\N	137	32215	UROK	\N	\N
3640689	3329	1997-06-30	PRIJEM	\N	188	26553	UROK	\N	\N
3640690	3329	1997-07-31	PRIJEM	\N	117	28336	UROK	\N	\N
3640691	3329	1997-08-31	PRIJEM	\N	125	29726	UROK	\N	\N
3640692	3329	1997-09-30	PRIJEM	\N	108	22400	UROK	\N	\N
3640693	3329	1997-10-31	PRIJEM	\N	106	25471	UROK	\N	\N
3640694	3329	1997-11-30	PRIJEM	\N	120	28357	UROK	\N	\N
3640695	3329	1997-12-31	PRIJEM	\N	132	23835	UROK	\N	\N
3640696	3329	1998-01-31	PRIJEM	\N	112	21708	UROK	\N	\N
3640697	3329	1998-02-28	PRIJEM	\N	139	34608	UROK	\N	\N
3640698	3329	1998-03-31	PRIJEM	\N	147	33217	UROK	\N	\N
3640699	3329	1998-04-30	PRIJEM	\N	166	39804	UROK	\N	\N
3640700	3329	1998-05-31	PRIJEM	\N	188	45254	UROK	\N	\N
3640701	3329	1998-06-30	PRIJEM	\N	162	24361	UROK	\N	\N
3640702	3329	1998-07-31	PRIJEM	\N	135	32557	UROK	\N	\N
3640703	3329	1998-08-31	PRIJEM	\N	159	38378	UROK	\N	\N
3640704	3329	1998-09-30	PRIJEM	\N	168	39607	UROK	\N	\N
3640705	3329	1998-10-31	PRIJEM	\N	159	34867	UROK	\N	\N
3640706	3329	1998-11-30	PRIJEM	\N	145	32174	UROK	\N	\N
3640707	3329	1998-12-31	PRIJEM	\N	172	37235	UROK	\N	\N
3640708	3330	1995-10-31	PRIJEM	\N	103	29625	UROK	\N	\N
3640709	3330	1995-11-30	PRIJEM	\N	123	28748	UROK	\N	\N
3640710	3330	1995-12-31	PRIJEM	\N	123	30171	UROK	\N	\N
3640711	3330	1996-01-31	PRIJEM	\N	176	74092	UROK	\N	\N
3640712	3330	1996-02-29	PRIJEM	\N	308	50700	UROK	\N	\N
3640713	3330	1996-03-31	PRIJEM	\N	308	42108	UROK	\N	\N
3640714	3330	1996-04-30	PRIJEM	\N	344	148366	UROK	\N	\N
3640715	3330	1996-05-31	PRIJEM	\N	285	62612	UROK	\N	\N
3640716	3330	1996-06-30	PRIJEM	\N	135	26519	UROK	\N	\N
3640717	3330	1996-07-31	PRIJEM	\N	116	49908	UROK	\N	\N
3640718	3330	1996-08-31	PRIJEM	\N	186	67625	UROK	\N	\N
3640719	3330	1996-09-30	PRIJEM	\N	347	82804	UROK	\N	\N
3640720	3330	1996-10-31	PRIJEM	\N	256	43582	UROK	\N	\N
3640721	3330	1996-11-30	PRIJEM	\N	316	54466	UROK	\N	\N
3640722	3330	1996-12-31	PRIJEM	\N	295	56867	UROK	\N	\N
3640723	3330	1997-01-31	PRIJEM	\N	211	63559	UROK	\N	\N
3640724	3330	1997-02-28	PRIJEM	\N	282	55379	UROK	\N	\N
3640725	3330	1997-03-31	PRIJEM	\N	300	62147	UROK	\N	\N
3640726	3330	1997-04-30	PRIJEM	\N	290	47147	UROK	\N	\N
3640727	3330	1997-05-31	PRIJEM	\N	185	53475	UROK	\N	\N
3640728	3330	1997-06-30	PRIJEM	\N	296	56087	UROK	\N	\N
3640729	3330	1997-07-31	PRIJEM	\N	229	56716	UROK	\N	\N
3640730	3330	1997-08-31	PRIJEM	\N	348	104865	UROK	\N	\N
3640731	3330	1997-09-30	PRIJEM	\N	378	76143	UROK	\N	\N
3640732	3330	1997-10-31	PRIJEM	\N	370	63048	UROK	\N	\N
3640733	3330	1997-11-30	PRIJEM	\N	241	41762	UROK	\N	\N
3640734	3330	1997-12-31	PRIJEM	\N	148	28682	UROK	\N	\N
3640735	3330	1998-01-31	PRIJEM	\N	107	19262	UROK	\N	\N
3640736	3330	1998-02-28	PRIJEM	\N	109	36376	UROK	\N	\N
3640737	3330	1998-03-31	PRIJEM	\N	161	42511	UROK	\N	\N
3640738	3330	1998-04-30	PRIJEM	\N	162	29545	UROK	\N	\N
3640739	3330	1998-05-31	PRIJEM	\N	136	28278	UROK	\N	\N
3640740	3330	1998-06-30	PRIJEM	\N	162	55062	UROK	\N	\N
3640741	3330	1998-07-31	PRIJEM	\N	231	54419	UROK	\N	\N
3640742	3330	1998-08-31	PRIJEM	\N	252	46771	UROK	\N	\N
3640743	3330	1998-09-30	PRIJEM	\N	273	104976	UROK	\N	\N
3640744	3330	1998-10-31	PRIJEM	\N	348	43847	UROK	\N	\N
3640745	3330	1998-11-30	PRIJEM	\N	170	71862	UROK	\N	\N
3640746	3330	1998-12-31	PRIJEM	\N	276	49979	UROK	\N	\N
3640747	3331	1997-03-31	PRIJEM	\N	25	18912	UROK	\N	\N
3640748	3331	1997-04-30	PRIJEM	\N	90	26789	UROK	\N	\N
3640749	3331	1997-05-31	PRIJEM	\N	115	29391	UROK	\N	\N
3640750	3331	1997-06-30	PRIJEM	\N	131	34951	UROK	\N	\N
3640751	3331	1997-07-31	PRIJEM	\N	163	33365	UROK	\N	\N
3640752	3331	1997-08-31	PRIJEM	\N	157	34926	UROK	\N	\N
3640753	3331	1997-09-30	PRIJEM	\N	165	37695	UROK	\N	\N
3640754	3331	1997-10-31	PRIJEM	\N	160	32059	UROK	\N	\N
3640755	3331	1997-11-30	PRIJEM	\N	139	28243	UROK	\N	\N
3640756	3331	1997-12-31	PRIJEM	\N	139	30369	UROK	\N	\N
3640757	3331	1998-01-31	PRIJEM	\N	83	16377	UROK	\N	\N
3640758	3331	1998-02-28	PRIJEM	\N	88	20569	UROK	\N	\N
3640759	3331	1998-03-31	PRIJEM	\N	99	21173	UROK	\N	\N
3640760	3331	1998-04-30	PRIJEM	\N	99	18956	UROK	\N	\N
3640761	3331	1998-05-31	PRIJEM	\N	107	26668	UROK	\N	\N
3640762	3331	1998-06-30	PRIJEM	\N	133	28388	UROK	\N	\N
3640763	3331	1998-07-31	PRIJEM	\N	125	26817	UROK	\N	\N
3640764	3331	1998-08-31	PRIJEM	\N	120	26441	UROK	\N	\N
3640765	3331	1998-09-30	PRIJEM	\N	109	22755	UROK	\N	\N
3640766	3331	1998-10-31	PRIJEM	\N	97	20916	UROK	\N	\N
3640767	3331	1998-11-30	PRIJEM	\N	82	16302	UROK	\N	\N
3640768	3331	1998-12-31	PRIJEM	\N	82	16691	UROK	\N	\N
3640769	3335	1996-07-31	PRIJEM	\N	15	15730	UROK	\N	\N
3640770	3335	1996-08-31	PRIJEM	\N	69	16869	UROK	\N	\N
3640771	3335	1996-09-30	PRIJEM	\N	74	18013	UROK	\N	\N
3640772	3335	1996-10-31	PRIJEM	\N	78	18961	UROK	\N	\N
3640773	3335	1996-11-30	PRIJEM	\N	82	20114	UROK	\N	\N
3640774	3335	1996-12-31	PRIJEM	\N	84	20368	UROK	\N	\N
3640775	3335	1997-01-31	PRIJEM	\N	87	20986	UROK	\N	\N
3640776	3335	1997-02-28	PRIJEM	\N	86	20442	UROK	\N	\N
3640777	3335	1997-03-31	PRIJEM	\N	88	21601	UROK	\N	\N
3640778	3335	1997-04-30	PRIJEM	\N	92	22553	UROK	\N	\N
3640779	3335	1997-05-31	PRIJEM	\N	97	23721	UROK	\N	\N
3640780	3335	1997-06-30	PRIJEM	\N	94	21585	UROK	\N	\N
3640781	3335	1997-07-31	PRIJEM	\N	93	22749	UROK	\N	\N
3640782	3335	1997-08-31	PRIJEM	\N	98	23917	UROK	\N	\N
3640783	3335	1997-09-30	PRIJEM	\N	102	24549	UROK	\N	\N
3640784	3335	1997-10-31	PRIJEM	\N	106	25725	UROK	\N	\N
3640785	3335	1997-11-30	PRIJEM	\N	108	25923	UROK	\N	\N
3640786	3335	1997-12-31	PRIJEM	\N	110	26323	UROK	\N	\N
3640787	3335	1998-01-31	PRIJEM	\N	111	24085	UROK	\N	\N
3640788	3335	1998-02-28	PRIJEM	\N	103	25018	UROK	\N	\N
3640789	3335	1998-03-31	PRIJEM	\N	107	26196	UROK	\N	\N
3640790	3335	1998-04-30	PRIJEM	\N	112	27378	UROK	\N	\N
3640791	3335	1998-05-31	PRIJEM	\N	112	27481	UROK	\N	\N
3640792	3335	1998-06-30	PRIJEM	\N	114	20776	UROK	\N	\N
3640793	3335	1998-07-31	PRIJEM	\N	90	21935	UROK	\N	\N
3640794	3335	1998-08-31	PRIJEM	\N	94	23100	UROK	\N	\N
3640795	3335	1998-09-30	PRIJEM	\N	99	24269	UROK	\N	\N
3640796	3335	1998-10-31	PRIJEM	\N	104	25444	UROK	\N	\N
3640797	3335	1998-11-30	PRIJEM	\N	109	26623	UROK	\N	\N
3640798	3335	1998-12-31	PRIJEM	\N	110	26903	UROK	\N	\N
3640799	3336	1995-01-31	PRIJEM	\N	47	23115	UROK	\N	\N
3640800	3336	1995-02-28	PRIJEM	\N	99	24432	UROK	\N	\N
3640801	3336	1995-03-31	PRIJEM	\N	97	21013	UROK	\N	\N
3640802	3336	1995-04-30	PRIJEM	\N	90	21586	UROK	\N	\N
3640803	3336	1995-05-31	PRIJEM	\N	90	20979	UROK	\N	\N
3640804	3336	1995-06-30	PRIJEM	\N	91	22373	UROK	\N	\N
3640805	3336	1995-07-31	PRIJEM	\N	94	22470	UROK	\N	\N
3640806	3336	1995-08-31	PRIJEM	\N	93	22267	UROK	\N	\N
3640807	3336	1995-09-30	PRIJEM	\N	99	25069	UROK	\N	\N
3640808	3336	1995-10-31	PRIJEM	\N	102	24075	UROK	\N	\N
3640809	3336	1995-11-30	PRIJEM	\N	89	19467	UROK	\N	\N
3640810	3336	1995-12-31	PRIJEM	\N	74	16295	UROK	\N	\N
3640811	3336	1996-01-31	PRIJEM	\N	72	17470	UROK	\N	\N
3640812	3336	1996-02-29	PRIJEM	\N	70	15663	UROK	\N	\N
3640813	3336	1996-03-31	PRIJEM	\N	64	14791	UROK	\N	\N
3640814	3336	1996-04-30	PRIJEM	\N	64	15358	UROK	\N	\N
3640815	3336	1996-05-31	PRIJEM	\N	68	16329	UROK	\N	\N
3640816	3336	1996-06-30	PRIJEM	\N	70	15983	UROK	\N	\N
3640817	3336	1996-07-31	PRIJEM	\N	76	18662	UROK	\N	\N
3640818	3336	1996-08-31	PRIJEM	\N	76	17541	UROK	\N	\N
3640819	3336	1996-09-30	PRIJEM	\N	62	13406	UROK	\N	\N
3640820	3336	1996-10-31	PRIJEM	\N	56	12765	UROK	\N	\N
3640821	3336	1996-11-30	PRIJEM	\N	48	10416	UROK	\N	\N
3640822	3336	1996-12-31	PRIJEM	\N	50	11870	UROK	\N	\N
3640823	3336	1997-01-31	PRIJEM	\N	48	8821	UROK	\N	\N
3640824	3336	1997-02-28	PRIJEM	\N	42	11566	UROK	\N	\N
3640825	3336	1997-03-31	PRIJEM	\N	54	14324	UROK	\N	\N
3640826	3336	1997-04-30	PRIJEM	\N	62	14929	UROK	\N	\N
3640827	3336	1997-05-31	PRIJEM	\N	67	17060	UROK	\N	\N
3640828	3336	1997-06-30	PRIJEM	\N	58	12271	UROK	\N	\N
3640829	3336	1997-07-31	PRIJEM	\N	57	15031	UROK	\N	\N
3640830	3336	1997-08-31	PRIJEM	\N	69	17803	UROK	\N	\N
3640831	3336	1997-09-30	PRIJEM	\N	72	14818	UROK	\N	\N
3640832	3336	1997-10-31	PRIJEM	\N	68	17589	UROK	\N	\N
3640833	3336	1997-11-30	PRIJEM	\N	79	20371	UROK	\N	\N
3640834	3336	1997-12-31	PRIJEM	\N	92	21817	UROK	\N	\N
3640835	3336	1998-01-31	PRIJEM	\N	97	24617	UROK	\N	\N
3640836	3336	1998-02-28	PRIJEM	\N	107	27427	UROK	\N	\N
3640837	3336	1998-03-31	PRIJEM	\N	107	27198	UROK	\N	\N
3640838	3336	1998-04-30	PRIJEM	\N	117	28419	UROK	\N	\N
3640839	3336	1998-05-31	PRIJEM	\N	124	31246	UROK	\N	\N
3640840	3336	1998-06-30	PRIJEM	\N	122	24371	UROK	\N	\N
3640841	3336	1998-07-31	PRIJEM	\N	97	24771	UROK	\N	\N
3640842	3336	1998-08-31	PRIJEM	\N	109	27583	UROK	\N	\N
3640843	3336	1998-09-30	PRIJEM	\N	113	12800	UROK	\N	\N
3640844	3336	1998-10-31	PRIJEM	\N	51	11474	UROK	\N	\N
3640845	3336	1998-11-30	PRIJEM	\N	53	14231	UROK	\N	\N
3640846	3336	1998-12-31	PRIJEM	\N	64	15798	UROK	\N	\N
3640847	3337	1997-03-31	PRIJEM	\N	54	34689	UROK	\N	\N
3640848	3337	1997-04-30	PRIJEM	\N	144	34082	UROK	\N	\N
3640849	3337	1997-05-31	PRIJEM	\N	187	57801	UROK	\N	\N
3640850	3337	1997-06-30	PRIJEM	\N	201	65286	UROK	\N	\N
3640851	3337	1997-07-31	PRIJEM	\N	194	29271	UROK	\N	\N
3640852	3337	1997-08-31	PRIJEM	\N	133	32655	UROK	\N	\N
3640853	3337	1997-09-30	PRIJEM	\N	224	88719	UROK	\N	\N
3640854	3337	1997-10-31	PRIJEM	\N	357	95481	UROK	\N	\N
3640855	3337	1997-11-30	PRIJEM	\N	342	85344	UROK	\N	\N
3640856	3337	1997-12-31	PRIJEM	\N	283	46926	UROK	\N	\N
3640857	3337	1998-01-31	PRIJEM	\N	212	58012	UROK	\N	\N
3640858	3337	1998-02-28	PRIJEM	\N	226	53415	UROK	\N	\N
3640859	3337	1998-03-31	PRIJEM	\N	302	58862	UROK	\N	\N
3640860	3337	1998-04-30	PRIJEM	\N	206	37425	UROK	\N	\N
3640861	3337	1998-05-31	PRIJEM	\N	250	112091	UROK	\N	\N
3640862	3337	1998-06-30	PRIJEM	\N	239	47242	UROK	\N	\N
3640863	3337	1998-07-31	PRIJEM	\N	183	32391	UROK	\N	\N
3640864	3337	1998-08-31	PRIJEM	\N	220	71586	UROK	\N	\N
3640865	3337	1998-09-30	PRIJEM	\N	172	32339	UROK	\N	\N
3640866	3337	1998-10-31	PRIJEM	\N	163	47708	UROK	\N	\N
3640867	3337	1998-11-30	PRIJEM	\N	301	101318	UROK	\N	\N
3640868	3337	1998-12-31	PRIJEM	\N	344	104370	UROK	\N	\N
3640869	3338	1996-01-31	PRIJEM	\N	22	17918	UROK	\N	\N
3640870	3338	1996-02-29	PRIJEM	\N	86	28200	UROK	\N	\N
3640871	3338	1996-03-31	PRIJEM	\N	120	30416	UROK	\N	\N
3640872	3338	1996-04-30	PRIJEM	\N	128	31539	UROK	\N	\N
3640873	3338	1996-05-31	PRIJEM	\N	131	31566	UROK	\N	\N
3640874	3338	1996-06-30	PRIJEM	\N	131	27425	UROK	\N	\N
3640875	3338	1996-07-31	PRIJEM	\N	121	26496	UROK	\N	\N
3640876	3338	1996-08-31	PRIJEM	\N	113	25799	UROK	\N	\N
3640877	3338	1996-09-30	PRIJEM	\N	107	21556	UROK	\N	\N
3640878	3338	1996-10-31	PRIJEM	\N	90	18196	UROK	\N	\N
3640879	3338	1996-11-30	PRIJEM	\N	82	18829	UROK	\N	\N
3640880	3338	1996-12-31	PRIJEM	\N	96	23253	UROK	\N	\N
3640881	3338	1997-01-31	PRIJEM	\N	93	16076	UROK	\N	\N
3640882	3338	1997-02-28	PRIJEM	\N	78	20004	UROK	\N	\N
3640883	3338	1997-03-31	PRIJEM	\N	91	21646	UROK	\N	\N
3640884	3338	1997-04-30	PRIJEM	\N	79	17936	UROK	\N	\N
3640885	3338	1997-05-31	PRIJEM	\N	81	18867	UROK	\N	\N
3640886	3338	1997-06-30	PRIJEM	\N	82	16897	UROK	\N	\N
3640887	3338	1997-07-31	PRIJEM	\N	68	14415	UROK	\N	\N
3640888	3338	1997-08-31	PRIJEM	\N	56	11721	UROK	\N	\N
3640889	3338	1997-09-30	PRIJEM	\N	57	14029	UROK	\N	\N
3640890	3338	1997-10-31	PRIJEM	\N	64	15643	UROK	\N	\N
3640891	3338	1997-11-30	PRIJEM	\N	61	13855	UROK	\N	\N
3640892	3338	1997-12-31	PRIJEM	\N	62	14965	UROK	\N	\N
3640893	3338	1998-01-31	PRIJEM	\N	79	21494	UROK	\N	\N
3640894	3338	1998-02-28	PRIJEM	\N	105	28050	UROK	\N	\N
3640895	3338	1998-03-31	PRIJEM	\N	95	19596	UROK	\N	\N
3640896	3338	1998-04-30	PRIJEM	\N	96	14243	UROK	\N	\N
3640897	3338	1998-05-31	PRIJEM	\N	76	20769	UROK	\N	\N
3640898	3338	1998-06-30	PRIJEM	\N	121	34339	UROK	\N	\N
3640899	3338	1998-07-31	PRIJEM	\N	160	40949	UROK	\N	\N
3640900	3338	1998-08-31	PRIJEM	\N	128	28227	UROK	\N	\N
3640901	3338	1998-09-30	PRIJEM	\N	126	33603	UROK	\N	\N
3640902	3338	1998-10-31	PRIJEM	\N	156	40210	UROK	\N	\N
3640903	3338	1998-11-30	PRIJEM	\N	171	43471	UROK	\N	\N
3640904	3338	1998-12-31	PRIJEM	\N	204	49284	UROK	\N	\N
3640905	3339	1996-10-31	PRIJEM	\N	13	18677	UROK	\N	\N
3640906	3339	1996-11-30	PRIJEM	\N	83	26123	UROK	\N	\N
3640907	3339	1996-12-31	PRIJEM	\N	115	33734	UROK	\N	\N
3640908	3339	1997-01-31	PRIJEM	\N	142	36240	UROK	\N	\N
3640909	3339	1997-02-28	PRIJEM	\N	157	34907	UROK	\N	\N
3640910	3339	1997-03-31	PRIJEM	\N	151	32954	UROK	\N	\N
3640911	3339	1997-04-30	PRIJEM	\N	143	30992	UROK	\N	\N
3640912	3339	1997-05-31	PRIJEM	\N	134	29422	UROK	\N	\N
3640913	3339	1997-06-30	PRIJEM	\N	140	34389	UROK	\N	\N
3640914	3339	1997-07-31	PRIJEM	\N	143	30527	UROK	\N	\N
3640915	3339	1997-08-31	PRIJEM	\N	129	27351	UROK	\N	\N
3640916	3339	1997-09-30	PRIJEM	\N	113	25059	UROK	\N	\N
3640917	3339	1997-10-31	PRIJEM	\N	108	25363	UROK	\N	\N
3640918	3339	1997-11-30	PRIJEM	\N	110	25568	UROK	\N	\N
3640919	3339	1997-12-31	PRIJEM	\N	113	23509	UROK	\N	\N
3640920	3339	1998-01-31	PRIJEM	\N	88	14692	UROK	\N	\N
3640921	3339	1998-02-28	PRIJEM	\N	78	23365	UROK	\N	\N
3640922	3339	1998-03-31	PRIJEM	\N	105	25364	UROK	\N	\N
3640923	3339	1998-04-30	PRIJEM	\N	111	26671	UROK	\N	\N
3640924	3339	1998-05-31	PRIJEM	\N	119	29386	UROK	\N	\N
3640925	3339	1998-06-30	PRIJEM	\N	127	29640	UROK	\N	\N
3640926	3339	1998-07-31	PRIJEM	\N	127	30063	UROK	\N	\N
3640927	3339	1998-08-31	PRIJEM	\N	127	29685	UROK	\N	\N
3640928	3339	1998-09-30	PRIJEM	\N	118	24798	UROK	\N	\N
3640929	3339	1998-10-31	PRIJEM	\N	113	28606	UROK	\N	\N
3640930	3339	1998-11-30	PRIJEM	\N	131	34032	UROK	\N	\N
3640931	3339	1998-12-31	PRIJEM	\N	142	32102	UROK	\N	\N
3640992	3342	1997-10-31	PRIJEM	\N	49	15155	UROK	\N	\N
3640993	3342	1997-11-30	PRIJEM	\N	131	36592	UROK	\N	\N
3640994	3342	1997-12-31	PRIJEM	\N	205	53156	UROK	\N	\N
3640995	3342	1998-01-31	PRIJEM	\N	239	59001	UROK	\N	\N
3640996	3342	1998-02-28	PRIJEM	\N	249	60356	UROK	\N	\N
3640997	3342	1998-03-31	PRIJEM	\N	219	52432	UROK	\N	\N
3640998	3342	1998-04-30	PRIJEM	\N	189	45377	UROK	\N	\N
3640999	3342	1998-05-31	PRIJEM	\N	179	43813	UROK	\N	\N
3641000	3342	1998-06-30	PRIJEM	\N	202	51324	UROK	\N	\N
3641001	3342	1998-07-31	PRIJEM	\N	181	43161	UROK	\N	\N
3641002	3342	1998-08-31	PRIJEM	\N	169	41286	UROK	\N	\N
3641003	3342	1998-09-30	PRIJEM	\N	168	36450	UROK	\N	\N
3641004	3342	1998-10-31	PRIJEM	\N	145	36051	UROK	\N	\N
3641005	3342	1998-11-30	PRIJEM	\N	138	35045	UROK	\N	\N
3641006	3342	1998-12-31	PRIJEM	\N	155	38229	UROK	\N	\N
3641007	3343	1997-08-31	PRIJEM	\N	57	23649	UROK	\N	\N
3641008	3343	1997-09-30	PRIJEM	\N	159	49300	UROK	\N	\N
3641009	3343	1997-10-31	PRIJEM	\N	230	59621	UROK	\N	\N
3641010	3343	1997-11-30	PRIJEM	\N	260	64973	UROK	\N	\N
3641011	3343	1997-12-31	PRIJEM	\N	302	79763	UROK	\N	\N
3641012	3343	1998-01-31	PRIJEM	\N	189	32476	UROK	\N	\N
3641013	3343	1998-02-28	PRIJEM	\N	162	45343	UROK	\N	\N
3641014	3343	1998-03-31	PRIJEM	\N	189	49836	UROK	\N	\N
3641015	3343	1998-04-30	PRIJEM	\N	188	51228	UROK	\N	\N
3641016	3343	1998-05-31	PRIJEM	\N	219	49151	UROK	\N	\N
3641017	3343	1998-06-30	PRIJEM	\N	184	39395	UROK	\N	\N
3641018	3343	1998-07-31	PRIJEM	\N	192	49892	UROK	\N	\N
3641019	3343	1998-08-31	PRIJEM	\N	231	51828	UROK	\N	\N
3641020	3343	1998-09-30	PRIJEM	\N	238	53170	UROK	\N	\N
3641021	3343	1998-10-31	PRIJEM	\N	240	48394	UROK	\N	\N
3641022	3343	1998-11-30	PRIJEM	\N	203	41321	UROK	\N	\N
3641023	3343	1998-12-31	PRIJEM	\N	225	62186	UROK	\N	\N
3641024	3344	1997-06-30	PRIJEM	\N	97	64032	UROK	\N	\N
3641025	3344	1997-07-31	PRIJEM	\N	258	83749	UROK	\N	\N
3641026	3344	1997-08-31	PRIJEM	\N	293	68100	UROK	\N	\N
3641027	3344	1997-09-30	PRIJEM	\N	266	85758	UROK	\N	\N
3641028	3344	1997-10-31	PRIJEM	\N	257	48663	UROK	\N	\N
3641029	3344	1997-11-30	PRIJEM	\N	247	104530	UROK	\N	\N
3641030	3344	1997-12-31	PRIJEM	\N	361	102856	UROK	\N	\N
3641031	3344	1998-01-31	PRIJEM	\N	246	34075	UROK	\N	\N
3641032	3344	1998-02-28	PRIJEM	\N	102	18225	UROK	\N	\N
3641033	3344	1998-03-31	PRIJEM	\N	234	65510	UROK	\N	\N
3641034	3344	1998-04-30	PRIJEM	\N	295	95797	UROK	\N	\N
3641035	3344	1998-05-31	PRIJEM	\N	274	90745	UROK	\N	\N
3641036	3344	1998-06-30	PRIJEM	\N	255	67911	UROK	\N	\N
3641037	3344	1998-07-31	PRIJEM	\N	227	50268	UROK	\N	\N
3641038	3344	1998-08-31	PRIJEM	\N	166	34482	UROK	\N	\N
3641039	3344	1998-09-30	PRIJEM	\N	221	57227	UROK	\N	\N
3641040	3344	1998-10-31	PRIJEM	\N	248	72205	UROK	\N	\N
3641041	3344	1998-11-30	PRIJEM	\N	272	97701	UROK	\N	\N
3641042	3344	1998-12-31	PRIJEM	\N	304	86312	UROK	\N	\N
3641043	3346	1997-08-31	PRIJEM	\N	27	24709	UROK	\N	\N
3641044	3346	1997-09-30	PRIJEM	\N	114	34905	UROK	\N	\N
3641045	3346	1997-10-31	PRIJEM	\N	154	42341	UROK	\N	\N
3641046	3346	1997-11-30	PRIJEM	\N	177	43600	UROK	\N	\N
3641047	3346	1997-12-31	PRIJEM	\N	239	41506	UROK	\N	\N
3641048	3346	1998-01-31	PRIJEM	\N	151	22318	UROK	\N	\N
3641049	3346	1998-02-28	PRIJEM	\N	126	22946	UROK	\N	\N
3641050	3346	1998-03-31	PRIJEM	\N	131	25198	UROK	\N	\N
3641051	3346	1998-04-30	PRIJEM	\N	145	23625	UROK	\N	\N
3641052	3346	1998-05-31	PRIJEM	\N	135	26521	UROK	\N	\N
3641053	3346	1998-06-30	PRIJEM	\N	168	18521	UROK	\N	\N
3641054	3346	1998-07-31	PRIJEM	\N	120	24983	UROK	\N	\N
3641055	3346	1998-08-31	PRIJEM	\N	137	28381	UROK	\N	\N
3641056	3346	1998-09-30	PRIJEM	\N	154	32496	UROK	\N	\N
3641057	3346	1998-10-31	PRIJEM	\N	158	31676	UROK	\N	\N
3641058	3346	1998-11-30	PRIJEM	\N	155	31592	UROK	\N	\N
3641059	3346	1998-12-31	PRIJEM	\N	181	34946	UROK	\N	\N
3641060	3347	1997-01-31	PRIJEM	\N	56	19781	UROK	\N	\N
3641061	3347	1997-02-28	PRIJEM	\N	90	22590	UROK	\N	\N
3641062	3347	1997-03-31	PRIJEM	\N	99	23606	UROK	\N	\N
3641063	3347	1997-04-30	PRIJEM	\N	106	26431	UROK	\N	\N
3641064	3347	1997-05-31	PRIJEM	\N	118	29268	UROK	\N	\N
3641065	3347	1997-06-30	PRIJEM	\N	106	24892	UROK	\N	\N
3641066	3347	1997-07-31	PRIJEM	\N	112	27722	UROK	\N	\N
3641067	3347	1997-08-31	PRIJEM	\N	109	24550	UROK	\N	\N
3641068	3347	1997-09-30	PRIJEM	\N	101	23669	UROK	\N	\N
3641069	3347	1997-10-31	PRIJEM	\N	83	17650	UROK	\N	\N
3641070	3347	1997-11-30	PRIJEM	\N	70	17338	UROK	\N	\N
3641071	3347	1997-12-31	PRIJEM	\N	70	16727	UROK	\N	\N
3641072	3347	1998-01-31	PRIJEM	\N	52	11417	UROK	\N	\N
3641073	3347	1998-02-28	PRIJEM	\N	55	14190	UROK	\N	\N
3641074	3347	1998-03-31	PRIJEM	\N	58	13466	UROK	\N	\N
3641075	3347	1998-04-30	PRIJEM	\N	64	16249	UROK	\N	\N
3641076	3347	1998-05-31	PRIJEM	\N	76	19043	UROK	\N	\N
3641077	3347	1998-06-30	PRIJEM	\N	87	21848	UROK	\N	\N
3641078	3347	1998-07-31	PRIJEM	\N	78	17444	UROK	\N	\N
3641079	3347	1998-08-31	PRIJEM	\N	81	20243	UROK	\N	\N
3641080	3347	1998-09-30	PRIJEM	\N	92	23053	UROK	\N	\N
3641081	3347	1998-10-31	PRIJEM	\N	78	17850	UROK	\N	\N
3641082	3347	1998-11-30	PRIJEM	\N	62	14630	UROK	\N	\N
3641083	3347	1998-12-31	PRIJEM	\N	68	17067	UROK	\N	\N
3641084	3348	1994-12-31	PRIJEM	\N	80	28266	UROK	\N	\N
3641085	3348	1995-01-31	PRIJEM	\N	160	43382	UROK	\N	\N
3641086	3348	1995-02-28	PRIJEM	\N	199	50639	UROK	\N	\N
3641087	3348	1995-03-31	PRIJEM	\N	229	57425	UROK	\N	\N
3641088	3348	1995-04-30	PRIJEM	\N	249	61131	UROK	\N	\N
3641089	3348	1995-05-31	PRIJEM	\N	235	58321	UROK	\N	\N
3641090	3348	1995-06-30	PRIJEM	\N	191	39536	UROK	\N	\N
3641091	3348	1995-07-31	PRIJEM	\N	185	48876	UROK	\N	\N
3641092	3348	1995-08-31	PRIJEM	\N	214	54245	UROK	\N	\N
3641093	3348	1995-09-30	PRIJEM	\N	195	49995	UROK	\N	\N
3641094	3348	1995-10-31	PRIJEM	\N	199	51749	UROK	\N	\N
3641095	3348	1995-11-30	PRIJEM	\N	194	50098	UROK	\N	\N
3641096	3348	1995-12-31	PRIJEM	\N	202	51965	UROK	\N	\N
3641097	3348	1996-01-31	PRIJEM	\N	162	36182	UROK	\N	\N
3641098	3348	1996-02-29	PRIJEM	\N	176	47914	UROK	\N	\N
3641099	3348	1996-03-31	PRIJEM	\N	189	47998	UROK	\N	\N
3641100	3348	1996-04-30	PRIJEM	\N	209	54862	UROK	\N	\N
3641101	3348	1996-05-31	PRIJEM	\N	216	56033	UROK	\N	\N
3641102	3348	1996-06-30	PRIJEM	\N	197	42214	UROK	\N	\N
3641103	3348	1996-07-31	PRIJEM	\N	205	44274	UROK	\N	\N
3641104	3348	1996-08-31	PRIJEM	\N	213	44343	UROK	\N	\N
3641105	3348	1996-09-30	PRIJEM	\N	213	47631	UROK	\N	\N
3641106	3348	1996-10-31	PRIJEM	\N	227	50414	UROK	\N	\N
3641107	3348	1996-11-30	PRIJEM	\N	221	48450	UROK	\N	\N
3641108	3348	1996-12-31	PRIJEM	\N	247	49801	UROK	\N	\N
3641109	3348	1997-01-31	PRIJEM	\N	196	33493	UROK	\N	\N
3641110	3348	1997-02-28	PRIJEM	\N	171	45019	UROK	\N	\N
3641111	3348	1997-03-31	PRIJEM	\N	214	46788	UROK	\N	\N
3641112	3348	1997-04-30	PRIJEM	\N	202	46386	UROK	\N	\N
3641113	3348	1997-05-31	PRIJEM	\N	218	47759	UROK	\N	\N
3641114	3348	1997-06-30	PRIJEM	\N	233	44616	UROK	\N	\N
3641115	3348	1997-07-31	PRIJEM	\N	212	49383	UROK	\N	\N
3641116	3348	1997-08-31	PRIJEM	\N	229	53168	UROK	\N	\N
3641117	3348	1997-09-30	PRIJEM	\N	241	53664	UROK	\N	\N
3641118	3348	1997-10-31	PRIJEM	\N	248	59267	UROK	\N	\N
3641119	3348	1997-11-30	PRIJEM	\N	267	62289	UROK	\N	\N
3641120	3348	1997-12-31	PRIJEM	\N	268	63162	UROK	\N	\N
3641121	3348	1998-01-31	PRIJEM	\N	209	45806	UROK	\N	\N
3641122	3348	1998-02-28	PRIJEM	\N	225	61087	UROK	\N	\N
3641123	3348	1998-03-31	PRIJEM	\N	270	65512	UROK	\N	\N
3641124	3348	1998-04-30	PRIJEM	\N	293	69961	UROK	\N	\N
3641125	3348	1998-05-31	PRIJEM	\N	303	68719	UROK	\N	\N
3641126	3348	1998-06-30	PRIJEM	\N	299	69702	UROK	\N	\N
3641127	3348	1998-07-31	PRIJEM	\N	308	73666	UROK	\N	\N
3641128	3348	1998-08-31	PRIJEM	\N	318	74739	UROK	\N	\N
3641129	3348	1998-09-30	PRIJEM	\N	314	68089	UROK	\N	\N
3641130	3348	1998-10-31	PRIJEM	\N	295	70340	UROK	\N	\N
3641131	3348	1998-11-30	PRIJEM	\N	294	67590	UROK	\N	\N
3641132	3348	1998-12-31	PRIJEM	\N	305	70459	UROK	\N	\N
3641133	3349	1996-04-30	PRIJEM	\N	14	24773	UROK	\N	\N
3641134	3349	1996-05-31	PRIJEM	\N	111	36042	UROK	\N	\N
3641135	3349	1996-06-30	PRIJEM	\N	156	44836	UROK	\N	\N
3641136	3349	1996-07-31	PRIJEM	\N	188	46783	UROK	\N	\N
3641137	3349	1996-08-31	PRIJEM	\N	206	42247	UROK	\N	\N
3641138	3349	1996-09-30	PRIJEM	\N	201	37791	UROK	\N	\N
3641139	3349	1996-10-31	PRIJEM	\N	174	40508	UROK	\N	\N
3641140	3349	1996-11-30	PRIJEM	\N	180	38732	UROK	\N	\N
3641141	3349	1996-12-31	PRIJEM	\N	191	44245	UROK	\N	\N
3641142	3349	1997-01-31	PRIJEM	\N	181	32969	UROK	\N	\N
3641143	3349	1997-02-28	PRIJEM	\N	169	35981	UROK	\N	\N
3641144	3349	1997-03-31	PRIJEM	\N	161	34886	UROK	\N	\N
3641145	3349	1997-04-30	PRIJEM	\N	159	31088	UROK	\N	\N
3641146	3349	1997-05-31	PRIJEM	\N	133	26964	UROK	\N	\N
3641147	3349	1997-06-30	PRIJEM	\N	130	26116	UROK	\N	\N
3641148	3349	1997-07-31	PRIJEM	\N	117	25277	UROK	\N	\N
3641149	3349	1997-08-31	PRIJEM	\N	114	24034	UROK	\N	\N
3641150	3349	1997-09-30	PRIJEM	\N	109	25086	UROK	\N	\N
3641151	3349	1997-10-31	PRIJEM	\N	116	28146	UROK	\N	\N
3641152	3349	1997-11-30	PRIJEM	\N	122	27711	UROK	\N	\N
3641153	3349	1997-12-31	PRIJEM	\N	161	30095	UROK	\N	\N
3641154	3349	1998-01-31	PRIJEM	\N	112	17551	UROK	\N	\N
3641155	3349	1998-02-28	PRIJEM	\N	83	21377	UROK	\N	\N
3641156	3349	1998-03-31	PRIJEM	\N	86	17606	UROK	\N	\N
3641157	3349	1998-04-30	PRIJEM	\N	72	14921	UROK	\N	\N
3641158	3349	1998-05-31	PRIJEM	\N	66	15030	UROK	\N	\N
3641159	3349	1998-06-30	PRIJEM	\N	89	25441	UROK	\N	\N
3641160	3349	1998-07-31	PRIJEM	\N	108	25392	UROK	\N	\N
3641161	3349	1998-08-31	PRIJEM	\N	118	30754	UROK	\N	\N
3641162	3349	1998-09-30	PRIJEM	\N	154	35251	UROK	\N	\N
3641163	3349	1998-10-31	PRIJEM	\N	174	37869	UROK	\N	\N
3641164	3349	1998-11-30	PRIJEM	\N	161	39373	UROK	\N	\N
3641165	3349	1998-12-31	PRIJEM	\N	188	37683	UROK	\N	\N
3641166	3350	1996-08-31	PRIJEM	\N	43	15972	UROK	\N	\N
3641167	3350	1996-09-30	PRIJEM	\N	77	19677	UROK	\N	\N
3641168	3350	1996-10-31	PRIJEM	\N	87	21593	UROK	\N	\N
3641169	3350	1996-11-30	PRIJEM	\N	84	19606	UROK	\N	\N
3641170	3350	1996-12-31	PRIJEM	\N	85	20325	UROK	\N	\N
3641171	3350	1997-01-31	PRIJEM	\N	63	12721	UROK	\N	\N
3641172	3350	1997-02-28	PRIJEM	\N	76	20250	UROK	\N	\N
3641173	3350	1997-03-31	PRIJEM	\N	74	16577	UROK	\N	\N
3641174	3350	1997-04-30	PRIJEM	\N	61	13992	UROK	\N	\N
3641175	3350	1997-05-31	PRIJEM	\N	72	18517	UROK	\N	\N
3641176	3350	1997-06-30	PRIJEM	\N	89	22725	UROK	\N	\N
3641177	3350	1997-07-31	PRIJEM	\N	81	19060	UROK	\N	\N
3641178	3350	1997-08-31	PRIJEM	\N	66	15379	UROK	\N	\N
3641179	3350	1997-09-30	PRIJEM	\N	60	14012	UROK	\N	\N
3641180	3350	1997-10-31	PRIJEM	\N	72	18538	UROK	\N	\N
3641181	3350	1997-11-30	PRIJEM	\N	91	23082	UROK	\N	\N
3641182	3350	1997-12-31	PRIJEM	\N	92	21832	UROK	\N	\N
3641183	3350	1998-01-31	PRIJEM	\N	71	12916	UROK	\N	\N
3641184	3350	1998-02-28	PRIJEM	\N	65	14074	UROK	\N	\N
3641185	3350	1998-03-31	PRIJEM	\N	72	18600	UROK	\N	\N
3641186	3350	1998-04-30	PRIJEM	\N	73	17626	UROK	\N	\N
3641187	3350	1998-05-31	PRIJEM	\N	87	22167	UROK	\N	\N
3641188	3350	1998-06-30	PRIJEM	\N	113	24238	UROK	\N	\N
3641189	3350	1998-07-31	PRIJEM	\N	115	28806	UROK	\N	\N
3641190	3350	1998-08-31	PRIJEM	\N	76	15735	UROK	\N	\N
3641191	3350	1998-09-30	PRIJEM	\N	79	20268	UROK	\N	\N
3641192	3350	1998-10-31	PRIJEM	\N	98	24819	UROK	\N	\N
3641193	3350	1998-11-30	PRIJEM	\N	117	29389	UROK	\N	\N
3641194	3350	1998-12-31	PRIJEM	\N	137	33404	UROK	\N	\N
3641195	3351	1996-03-31	PRIJEM	\N	17	5860	UROK	\N	\N
3641196	3351	1996-04-30	PRIJEM	\N	24	11428	UROK	\N	\N
3641197	3351	1996-05-31	PRIJEM	\N	24	16995	UROK	\N	\N
3641198	3351	1996-06-30	PRIJEM	\N	24	22562	UROK	\N	\N
3641199	3351	1996-07-31	PRIJEM	\N	50	25276	UROK	\N	\N
3641200	3351	1996-08-31	PRIJEM	\N	114	28218	UROK	\N	\N
3641201	3351	1996-09-30	PRIJEM	\N	126	31172	UROK	\N	\N
3641202	3351	1996-10-31	PRIJEM	\N	131	29152	UROK	\N	\N
3641203	3351	1996-11-30	PRIJEM	\N	130	32110	UROK	\N	\N
3641204	3351	1996-12-31	PRIJEM	\N	136	33324	UROK	\N	\N
3641205	3351	1997-01-31	PRIJEM	\N	129	27241	UROK	\N	\N
3641206	3351	1997-02-28	PRIJEM	\N	121	30191	UROK	\N	\N
3641207	3351	1997-03-31	PRIJEM	\N	134	33154	UROK	\N	\N
3641208	3351	1997-04-30	PRIJEM	\N	146	36128	UROK	\N	\N
3641209	3351	1997-05-31	PRIJEM	\N	147	35263	UROK	\N	\N
3641210	3351	1997-06-30	PRIJEM	\N	155	38247	UROK	\N	\N
3641211	3351	1997-07-31	PRIJEM	\N	168	41243	UROK	\N	\N
3641212	3351	1997-08-31	PRIJEM	\N	173	38944	UROK	\N	\N
3641213	3351	1997-09-30	PRIJEM	\N	166	40018	UROK	\N	\N
3641214	3351	1997-10-31	PRIJEM	\N	167	35413	UROK	\N	\N
3641215	3351	1997-11-30	PRIJEM	\N	156	38397	UROK	\N	\N
3641216	3351	1997-12-31	PRIJEM	\N	163	36419	UROK	\N	\N
3641217	3351	1998-01-31	PRIJEM	\N	139	30346	UROK	\N	\N
3641218	3351	1998-02-28	PRIJEM	\N	134	33309	UROK	\N	\N
3641219	3351	1998-03-31	PRIJEM	\N	147	36284	UROK	\N	\N
3641220	3351	1998-04-30	PRIJEM	\N	154	36066	UROK	\N	\N
3641221	3351	1998-05-31	PRIJEM	\N	155	34249	UROK	\N	\N
3641222	3351	1998-06-30	PRIJEM	\N	149	35127	UROK	\N	\N
3641223	3351	1998-07-31	PRIJEM	\N	144	33419	UROK	\N	\N
3641224	3351	1998-08-31	PRIJEM	\N	145	34592	UROK	\N	\N
3641225	3351	1998-09-30	PRIJEM	\N	142	33203	UROK	\N	\N
3641226	3351	1998-10-31	PRIJEM	\N	140	30571	UROK	\N	\N
3641227	3351	1998-11-30	PRIJEM	\N	128	27227	UROK	\N	\N
3641228	3351	1998-12-31	PRIJEM	\N	114	25460	UROK	\N	\N
3641229	3352	1993-11-30	PRIJEM	\N	15	5323	UROK	\N	\N
3641230	3352	1993-12-31	PRIJEM	\N	67	21302	UROK	\N	\N
3641231	3352	1994-01-31	PRIJEM	\N	108	28117	UROK	\N	\N
3641232	3352	1994-02-28	PRIJEM	\N	122	30148	UROK	\N	\N
3641233	3352	1994-03-31	PRIJEM	\N	131	32186	UROK	\N	\N
3641234	3352	1994-04-30	PRIJEM	\N	126	30168	UROK	\N	\N
3641235	3352	1994-05-31	PRIJEM	\N	116	23680	UROK	\N	\N
3641236	3352	1994-06-30	PRIJEM	\N	113	28952	UROK	\N	\N
3641237	3352	1994-07-31	PRIJEM	\N	103	24430	UROK	\N	\N
3641238	3352	1994-08-31	PRIJEM	\N	102	25088	UROK	\N	\N
3641239	3352	1994-09-30	PRIJEM	\N	101	24444	UROK	\N	\N
3641240	3352	1994-10-31	PRIJEM	\N	98	23798	UROK	\N	\N
3641241	3352	1994-11-30	PRIJEM	\N	109	27462	UROK	\N	\N
3641242	3352	1994-12-31	PRIJEM	\N	101	24523	UROK	\N	\N
3641243	3352	1995-01-31	PRIJEM	\N	84	14543	UROK	\N	\N
3641244	3352	1995-02-28	PRIJEM	\N	70	18369	UROK	\N	\N
3641245	3352	1995-03-31	PRIJEM	\N	82	20506	UROK	\N	\N
3641246	3352	1995-04-30	PRIJEM	\N	96	24357	UROK	\N	\N
3641247	3352	1995-05-31	PRIJEM	\N	110	24422	UROK	\N	\N
3641248	3352	1995-06-30	PRIJEM	\N	117	30198	UROK	\N	\N
3641249	3352	1995-07-31	PRIJEM	\N	119	28713	UROK	\N	\N
3641250	3352	1995-08-31	PRIJEM	\N	113	27081	UROK	\N	\N
3641251	3352	1995-09-30	PRIJEM	\N	116	28653	UROK	\N	\N
3641252	3352	1995-10-31	PRIJEM	\N	118	26006	UROK	\N	\N
3641253	3352	1995-11-30	PRIJEM	\N	108	23089	UROK	\N	\N
3641254	3352	1995-12-31	PRIJEM	\N	97	22365	UROK	\N	\N
3641255	3352	1996-01-31	PRIJEM	\N	70	16431	UROK	\N	\N
3641256	3352	1996-02-29	PRIJEM	\N	72	19558	UROK	\N	\N
3641257	3352	1996-03-31	PRIJEM	\N	85	20998	UROK	\N	\N
3641258	3352	1996-04-30	PRIJEM	\N	90	23144	UROK	\N	\N
3641259	3352	1996-05-31	PRIJEM	\N	81	22900	UROK	\N	\N
3641260	3352	1996-06-30	PRIJEM	\N	103	24862	UROK	\N	\N
3641261	3352	1996-07-31	PRIJEM	\N	106	25623	UROK	\N	\N
3641262	3352	1996-08-31	PRIJEM	\N	108	25587	UROK	\N	\N
3641263	3352	1996-09-30	PRIJEM	\N	110	27352	UROK	\N	\N
3641264	3352	1996-10-31	PRIJEM	\N	113	26120	UROK	\N	\N
3641265	3352	1996-11-30	PRIJEM	\N	114	30090	UROK	\N	\N
3641266	3352	1996-12-31	PRIJEM	\N	118	27988	UROK	\N	\N
3641267	3352	1997-01-31	PRIJEM	\N	75	17978	UROK	\N	\N
3641268	3352	1997-02-28	PRIJEM	\N	79	21113	UROK	\N	\N
3641269	3352	1997-03-31	PRIJEM	\N	90	22359	UROK	\N	\N
3641270	3352	1997-04-30	PRIJEM	\N	100	27114	UROK	\N	\N
3641271	3352	1997-05-31	PRIJEM	\N	109	24578	UROK	\N	\N
3641272	3352	1997-06-30	PRIJEM	\N	97	22475	UROK	\N	\N
3641273	3352	1997-07-31	PRIJEM	\N	92	21822	UROK	\N	\N
3641274	3352	1997-08-31	PRIJEM	\N	87	19764	UROK	\N	\N
3641275	3352	1997-09-30	PRIJEM	\N	81	19701	UROK	\N	\N
3641276	3352	1997-10-31	PRIJEM	\N	71	14328	UROK	\N	\N
3641277	3352	1997-11-30	PRIJEM	\N	62	15845	UROK	\N	\N
3641278	3352	1997-12-31	PRIJEM	\N	66	16030	UROK	\N	\N
3641279	3352	1998-01-31	PRIJEM	\N	56	12801	UROK	\N	\N
3641280	3352	1998-02-28	PRIJEM	\N	55	14312	UROK	\N	\N
3641281	3352	1998-03-31	PRIJEM	\N	61	15828	UROK	\N	\N
3641282	3352	1998-04-30	PRIJEM	\N	58	13042	UROK	\N	\N
3641283	3352	1998-05-31	PRIJEM	\N	56	14553	UROK	\N	\N
3641284	3352	1998-06-30	PRIJEM	\N	64	15996	UROK	\N	\N
3641285	3352	1998-07-31	PRIJEM	\N	68	17519	UROK	\N	\N
3641286	3352	1998-08-31	PRIJEM	\N	68	16043	UROK	\N	\N
3641287	3352	1998-09-30	PRIJEM	\N	68	17566	UROK	\N	\N
3641288	3352	1998-10-31	PRIJEM	\N	74	19095	UROK	\N	\N
3641289	3352	1998-11-30	PRIJEM	\N	80	20631	UROK	\N	\N
3641290	3352	1998-12-31	PRIJEM	\N	73	17643	UROK	\N	\N
3641291	3353	1996-09-30	PRIJEM	\N	22	31480	UROK	\N	\N
3641292	3353	1996-10-31	PRIJEM	\N	136	37169	UROK	\N	\N
3641293	3353	1996-11-30	PRIJEM	\N	199	55487	UROK	\N	\N
3641294	3353	1996-12-31	PRIJEM	\N	230	39617	UROK	\N	\N
3641295	3353	1997-01-31	PRIJEM	\N	216	45449	UROK	\N	\N
3641296	3353	1997-02-28	PRIJEM	\N	260	74664	UROK	\N	\N
3641297	3353	1997-03-31	PRIJEM	\N	358	57829	UROK	\N	\N
3641298	3353	1997-04-30	PRIJEM	\N	158	31399	UROK	\N	\N
3641299	3353	1997-05-31	PRIJEM	\N	116	24769	UROK	\N	\N
3641300	3353	1997-06-30	PRIJEM	\N	189	49449	UROK	\N	\N
3641301	3353	1997-07-31	PRIJEM	\N	168	39089	UROK	\N	\N
3641302	3353	1997-08-31	PRIJEM	\N	147	89462	UROK	\N	\N
3641303	3353	1997-09-30	PRIJEM	\N	274	80240	UROK	\N	\N
3641304	3353	1997-10-31	PRIJEM	\N	348	69571	UROK	\N	\N
3641305	3353	1997-11-30	PRIJEM	\N	235	61898	UROK	\N	\N
3641306	3353	1997-12-31	PRIJEM	\N	287	59794	UROK	\N	\N
3641307	3353	1998-01-31	PRIJEM	\N	117	20989	UROK	\N	\N
3641308	3353	1998-02-28	PRIJEM	\N	66	19466	UROK	\N	\N
3641309	3353	1998-03-31	PRIJEM	\N	69	21832	UROK	\N	\N
3641310	3353	1998-04-30	PRIJEM	\N	67	20011	UROK	\N	\N
3641311	3353	1998-05-31	PRIJEM	\N	64	20186	UROK	\N	\N
3641312	3353	1998-06-30	PRIJEM	\N	70	22668	UROK	\N	\N
3641313	3353	1998-07-31	PRIJEM	\N	81	23060	UROK	\N	\N
3641314	3353	1998-08-31	PRIJEM	\N	78	21548	UROK	\N	\N
3641315	3353	1998-09-30	PRIJEM	\N	178	45154	UROK	\N	\N
3641316	3353	1998-10-31	PRIJEM	\N	130	32595	UROK	\N	\N
3641317	3353	1998-11-30	PRIJEM	\N	122	31528	UROK	\N	\N
3641318	3353	1998-12-31	PRIJEM	\N	111	40639	UROK	\N	\N
3641319	3354	1993-11-30	PRIJEM	\N	36	11188	UROK	\N	\N
3641320	3354	1993-12-31	PRIJEM	\N	116	32731	UROK	\N	\N
3641321	3354	1994-01-31	PRIJEM	\N	154	38337	UROK	\N	\N
3641322	3354	1994-02-28	PRIJEM	\N	165	40254	UROK	\N	\N
3641323	3354	1994-03-31	PRIJEM	\N	162	37628	UROK	\N	\N
3641324	3354	1994-04-30	PRIJEM	\N	144	35077	UROK	\N	\N
3641325	3354	1994-05-31	PRIJEM	\N	141	31522	UROK	\N	\N
3641326	3354	1994-06-30	PRIJEM	\N	113	21715	UROK	\N	\N
3641327	3354	1994-07-31	PRIJEM	\N	110	27814	UROK	\N	\N
3641328	3354	1994-08-31	PRIJEM	\N	119	28722	UROK	\N	\N
3641329	3354	1994-09-30	PRIJEM	\N	135	33846	UROK	\N	\N
3641330	3354	1994-10-31	PRIJEM	\N	154	38489	UROK	\N	\N
3641331	3354	1994-11-30	PRIJEM	\N	156	39035	UROK	\N	\N
3641332	3354	1994-12-31	PRIJEM	\N	159	33559	UROK	\N	\N
3641333	3354	1995-01-31	PRIJEM	\N	128	20677	UROK	\N	\N
3641334	3354	1995-02-28	PRIJEM	\N	102	25968	UROK	\N	\N
3641335	3354	1995-03-31	PRIJEM	\N	117	26275	UROK	\N	\N
3641336	3354	1995-04-30	PRIJEM	\N	125	29089	UROK	\N	\N
3641337	3354	1995-05-31	PRIJEM	\N	136	30915	UROK	\N	\N
3641338	3354	1995-06-30	PRIJEM	\N	137	21517	UROK	\N	\N
3641339	3354	1995-07-31	PRIJEM	\N	95	22917	UROK	\N	\N
3641340	3354	1995-08-31	PRIJEM	\N	110	25332	UROK	\N	\N
3641341	3354	1995-09-30	PRIJEM	\N	120	27756	UROK	\N	\N
3641342	3354	1995-10-31	PRIJEM	\N	123	25683	UROK	\N	\N
3641343	3354	1995-11-30	PRIJEM	\N	119	25507	UROK	\N	\N
3641344	3354	1995-12-31	PRIJEM	\N	130	27816	UROK	\N	\N
3641345	3354	1996-01-31	PRIJEM	\N	107	19028	UROK	\N	\N
3641346	3354	1996-02-29	PRIJEM	\N	95	24028	UROK	\N	\N
3641347	3354	1996-03-31	PRIJEM	\N	110	23042	UROK	\N	\N
3641348	3354	1996-04-30	PRIJEM	\N	105	21451	UROK	\N	\N
3641349	3354	1996-05-31	PRIJEM	\N	96	19451	UROK	\N	\N
3641350	3354	1996-06-30	PRIJEM	\N	98	15430	UROK	\N	\N
3641351	3354	1996-07-31	PRIJEM	\N	72	16506	UROK	\N	\N
3641352	3354	1996-08-31	PRIJEM	\N	79	17790	UROK	\N	\N
3641353	3354	1996-09-30	PRIJEM	\N	84	20278	UROK	\N	\N
3641354	3354	1996-10-31	PRIJEM	\N	84	15266	UROK	\N	\N
3641355	3354	1996-11-30	PRIJEM	\N	73	17244	UROK	\N	\N
3641356	3354	1996-12-31	PRIJEM	\N	83	18407	UROK	\N	\N
3641357	3354	1997-01-31	PRIJEM	\N	55	5467	UROK	\N	\N
3641358	3354	1997-02-28	PRIJEM	\N	38	11709	UROK	\N	\N
3641359	3354	1997-03-31	PRIJEM	\N	61	15574	UROK	\N	\N
3641360	3354	1997-04-30	PRIJEM	\N	71	15849	UROK	\N	\N
3641361	3354	1997-05-31	PRIJEM	\N	70	15824	UROK	\N	\N
3641362	3354	1997-06-30	PRIJEM	\N	87	21691	UROK	\N	\N
3641363	3354	1997-07-31	PRIJEM	\N	97	23493	UROK	\N	\N
3641364	3354	1997-08-31	PRIJEM	\N	94	20291	UROK	\N	\N
3641365	3354	1997-09-30	PRIJEM	\N	86	20681	UROK	\N	\N
3641366	3354	1997-10-31	PRIJEM	\N	79	17565	UROK	\N	\N
3641367	3354	1997-11-30	PRIJEM	\N	78	19047	UROK	\N	\N
3641368	3354	1997-12-31	PRIJEM	\N	87	22114	UROK	\N	\N
3641369	3354	1998-01-31	PRIJEM	\N	64	4883	UROK	\N	\N
3641370	3354	1998-02-28	PRIJEM	\N	64	21555	UROK	\N	\N
3641371	3354	1998-03-31	PRIJEM	\N	107	28166	UROK	\N	\N
3641372	3354	1998-04-30	PRIJEM	\N	138	36908	UROK	\N	\N
3641373	3354	1998-05-31	PRIJEM	\N	158	38670	UROK	\N	\N
3641374	3354	1998-06-30	PRIJEM	\N	152	34503	UROK	\N	\N
3641375	3354	1998-07-31	PRIJEM	\N	132	29639	UROK	\N	\N
3641376	3354	1998-08-31	PRIJEM	\N	132	33575	UROK	\N	\N
3641377	3354	1998-09-30	PRIJEM	\N	132	31211	UROK	\N	\N
3641378	3354	1998-10-31	PRIJEM	\N	128	30643	UROK	\N	\N
3641379	3354	1998-11-30	PRIJEM	\N	122	30470	UROK	\N	\N
3641380	3354	1998-12-31	PRIJEM	\N	126	30676	UROK	\N	\N
3641381	3355	1994-07-31	PRIJEM	\N	74	27439	UROK	\N	\N
3641382	3355	1994-08-31	PRIJEM	\N	119	26536	UROK	\N	\N
3641383	3355	1994-09-30	PRIJEM	\N	117	27431	UROK	\N	\N
3641384	3355	1994-10-31	PRIJEM	\N	120	27829	UROK	\N	\N
3641385	3355	1994-11-30	PRIJEM	\N	120	28767	UROK	\N	\N
3641386	3355	1994-12-31	PRIJEM	\N	123	28268	UROK	\N	\N
3641387	3355	1995-01-31	PRIJEM	\N	115	23642	UROK	\N	\N
3641388	3355	1995-02-28	PRIJEM	\N	103	24144	UROK	\N	\N
3641389	3355	1995-03-31	PRIJEM	\N	107	26030	UROK	\N	\N
3641390	3355	1995-04-30	PRIJEM	\N	115	27523	UROK	\N	\N
3641391	3355	1995-05-31	PRIJEM	\N	115	27376	UROK	\N	\N
3641392	3355	1995-06-30	PRIJEM	\N	118	22373	UROK	\N	\N
3641393	3355	1995-07-31	PRIJEM	\N	100	24370	UROK	\N	\N
3641394	3355	1995-08-31	PRIJEM	\N	110	27659	UROK	\N	\N
3641395	3355	1995-09-30	PRIJEM	\N	123	30360	UROK	\N	\N
3641396	3355	1995-10-31	PRIJEM	\N	133	32871	UROK	\N	\N
3641397	3355	1995-11-30	PRIJEM	\N	145	36195	UROK	\N	\N
3641398	3355	1995-12-31	PRIJEM	\N	154	37498	UROK	\N	\N
3641399	3355	1996-01-31	PRIJEM	\N	140	30656	UROK	\N	\N
3641400	3355	1996-02-29	PRIJEM	\N	132	31886	UROK	\N	\N
3641401	3355	1996-03-31	PRIJEM	\N	141	35206	UROK	\N	\N
3641402	3355	1996-04-30	PRIJEM	\N	151	36095	UROK	\N	\N
3641403	3355	1996-05-31	PRIJEM	\N	153	36626	UROK	\N	\N
3641404	3355	1996-06-30	PRIJEM	\N	151	33716	UROK	\N	\N
3641405	3355	1996-07-31	PRIJEM	\N	149	37043	UROK	\N	\N
3641406	3355	1996-08-31	PRIJEM	\N	159	38701	UROK	\N	\N
3641407	3355	1996-09-30	PRIJEM	\N	169	41848	UROK	\N	\N
3641408	3355	1996-10-31	PRIJEM	\N	175	41241	UROK	\N	\N
3641409	3355	1996-11-30	PRIJEM	\N	180	44599	UROK	\N	\N
3641410	3355	1996-12-31	PRIJEM	\N	185	44763	UROK	\N	\N
3641411	3355	1997-01-31	PRIJEM	\N	166	35387	UROK	\N	\N
3641412	3355	1997-02-28	PRIJEM	\N	155	38720	UROK	\N	\N
3641413	3355	1997-03-31	PRIJEM	\N	169	42067	UROK	\N	\N
3641414	3355	1997-04-30	PRIJEM	\N	183	45428	UROK	\N	\N
3641415	3355	1997-05-31	PRIJEM	\N	197	48503	UROK	\N	\N
3641416	3355	1997-06-30	PRIJEM	\N	175	39856	UROK	\N	\N
3641417	3355	1997-07-31	PRIJEM	\N	173	43208	UROK	\N	\N
3641418	3355	1997-08-31	PRIJEM	\N	187	46574	UROK	\N	\N
3641419	3355	1997-09-30	PRIJEM	\N	201	49953	UROK	\N	\N
3641420	3355	1997-10-31	PRIJEM	\N	209	50781	UROK	\N	\N
3641421	3355	1997-11-30	PRIJEM	\N	217	51376	UROK	\N	\N
3641422	3355	1997-12-31	PRIJEM	\N	220	53525	UROK	\N	\N
3641423	3355	1998-01-31	PRIJEM	\N	213	50276	UROK	\N	\N
3641424	3355	1998-02-28	PRIJEM	\N	216	53670	UROK	\N	\N
3641425	3355	1998-03-31	PRIJEM	\N	228	54917	UROK	\N	\N
3641426	3355	1998-04-30	PRIJEM	\N	235	58330	UROK	\N	\N
3641427	3355	1998-05-31	PRIJEM	\N	239	57907	UROK	\N	\N
3641428	3355	1998-06-30	PRIJEM	\N	233	55819	UROK	\N	\N
3641429	3355	1998-07-31	PRIJEM	\N	239	59235	UROK	\N	\N
3641430	3355	1998-08-31	PRIJEM	\N	250	61144	UROK	\N	\N
3641431	3355	1998-09-30	PRIJEM	\N	260	64583	UROK	\N	\N
3641432	3355	1998-10-31	PRIJEM	\N	275	68036	UROK	\N	\N
3641433	3355	1998-11-30	PRIJEM	\N	289	71503	UROK	\N	\N
3641434	3355	1998-12-31	PRIJEM	\N	294	70325	UROK	\N	\N
3641435	3357	1995-11-30	PRIJEM	\N	26	23490	UROK	\N	\N
3641436	3357	1995-12-31	PRIJEM	\N	101	25732	UROK	\N	\N
3641437	3357	1996-01-31	PRIJEM	\N	115	26933	UROK	\N	\N
3641438	3357	1996-02-29	PRIJEM	\N	121	28799	UROK	\N	\N
3641439	3357	1996-03-31	PRIJEM	\N	118	26062	UROK	\N	\N
3641440	3357	1996-04-30	PRIJEM	\N	112	23959	UROK	\N	\N
3641441	3357	1996-05-31	PRIJEM	\N	93	19018	UROK	\N	\N
3641442	3357	1996-06-30	PRIJEM	\N	91	23394	UROK	\N	\N
3641443	3357	1996-07-31	PRIJEM	\N	104	24384	UROK	\N	\N
3641444	3357	1996-08-31	PRIJEM	\N	111	27080	UROK	\N	\N
3641445	3357	1996-09-30	PRIJEM	\N	115	26381	UROK	\N	\N
3641446	3357	1996-10-31	PRIJEM	\N	117	28283	UROK	\N	\N
3641447	3357	1996-11-30	PRIJEM	\N	125	30193	UROK	\N	\N
3641448	3357	1996-12-31	PRIJEM	\N	120	25849	UROK	\N	\N
3641449	3357	1997-01-31	PRIJEM	\N	113	27347	UROK	\N	\N
3641450	3357	1997-02-28	PRIJEM	\N	113	25845	UROK	\N	\N
3641451	3357	1997-03-31	PRIJEM	\N	107	25537	UROK	\N	\N
3641452	3357	1997-04-30	PRIJEM	\N	112	27035	UROK	\N	\N
3641453	3357	1997-05-31	PRIJEM	\N	106	25145	UROK	\N	\N
3641454	3357	1997-06-30	PRIJEM	\N	103	23534	UROK	\N	\N
3641455	3357	1997-07-31	PRIJEM	\N	104	25323	UROK	\N	\N
3641456	3357	1997-08-31	PRIJEM	\N	103	23911	UROK	\N	\N
3641457	3357	1997-09-30	PRIJEM	\N	100	23996	UROK	\N	\N
3641458	3357	1997-10-31	PRIJEM	\N	107	26688	UROK	\N	\N
3641459	3357	1997-11-30	PRIJEM	\N	100	23014	UROK	\N	\N
3641460	3357	1997-12-31	PRIJEM	\N	106	26255	UROK	\N	\N
3641461	3357	1998-01-31	PRIJEM	\N	122	31263	UROK	\N	\N
3641462	3357	1998-02-28	PRIJEM	\N	137	33585	UROK	\N	\N
3641463	3357	1998-03-31	PRIJEM	\N	142	29332	UROK	\N	\N
3641464	3357	1998-04-30	PRIJEM	\N	133	33871	UROK	\N	\N
3641465	3357	1998-05-31	PRIJEM	\N	148	37204	UROK	\N	\N
3641466	3357	1998-06-30	PRIJEM	\N	152	37042	UROK	\N	\N
3641467	3357	1998-07-31	PRIJEM	\N	167	42094	UROK	\N	\N
3641468	3357	1998-08-31	PRIJEM	\N	164	38743	UROK	\N	\N
3641469	3357	1998-09-30	PRIJEM	\N	166	41194	UROK	\N	\N
3641470	3357	1998-10-31	PRIJEM	\N	170	42669	UROK	\N	\N
3641471	3357	1998-11-30	PRIJEM	\N	175	42530	UROK	\N	\N
3641472	3357	1998-12-31	PRIJEM	\N	156	37321	UROK	\N	\N
3641473	3358	1996-07-31	PRIJEM	\N	41	16890	UROK	\N	\N
3641474	3358	1996-08-31	PRIJEM	\N	74	18042	UROK	\N	\N
3641475	3358	1996-09-30	PRIJEM	\N	79	19199	UROK	\N	\N
3641476	3358	1996-10-31	PRIJEM	\N	82	20060	UROK	\N	\N
3641477	3358	1996-11-30	PRIJEM	\N	79	17967	UROK	\N	\N
3641478	3358	1996-12-31	PRIJEM	\N	76	18041	UROK	\N	\N
3641479	3358	1997-01-31	PRIJEM	\N	67	14627	UROK	\N	\N
3641480	3358	1997-02-28	PRIJEM	\N	63	15769	UROK	\N	\N
3641481	3358	1997-03-31	PRIJEM	\N	68	16555	UROK	\N	\N
3641482	3358	1997-04-30	PRIJEM	\N	72	17706	UROK	\N	\N
3641483	3358	1997-05-31	PRIJEM	\N	77	18861	UROK	\N	\N
3641484	3358	1997-06-30	PRIJEM	\N	81	20021	UROK	\N	\N
3641485	3358	1997-07-31	PRIJEM	\N	86	21035	UROK	\N	\N
3641486	3358	1997-08-31	PRIJEM	\N	90	22204	UROK	\N	\N
3641487	3358	1997-09-30	PRIJEM	\N	96	23378	UROK	\N	\N
3641488	3358	1997-10-31	PRIJEM	\N	97	22003	UROK	\N	\N
3641489	3358	1997-11-30	PRIJEM	\N	95	23177	UROK	\N	\N
3641490	3358	1997-12-31	PRIJEM	\N	99	24144	UROK	\N	\N
3641491	3358	1998-01-31	PRIJEM	\N	90	20142	UROK	\N	\N
3641492	3358	1998-02-28	PRIJEM	\N	86	21306	UROK	\N	\N
3641493	3358	1998-03-31	PRIJEM	\N	91	22476	UROK	\N	\N
3641494	3358	1998-04-30	PRIJEM	\N	88	20542	UROK	\N	\N
3641495	3358	1998-05-31	PRIJEM	\N	78	18199	UROK	\N	\N
3641496	3358	1998-06-30	PRIJEM	\N	79	19356	UROK	\N	\N
3641497	3358	1998-07-31	PRIJEM	\N	84	20519	UROK	\N	\N
3641498	3358	1998-08-31	PRIJEM	\N	89	21686	UROK	\N	\N
3641499	3358	1998-09-30	PRIJEM	\N	91	22455	UROK	\N	\N
3641500	3358	1998-10-31	PRIJEM	\N	93	22817	UROK	\N	\N
3641501	3358	1998-11-30	PRIJEM	\N	93	22548	UROK	\N	\N
3641502	3358	1998-12-31	PRIJEM	\N	92	22218	UROK	\N	\N
3641503	3359	1996-08-31	PRIJEM	\N	5	13214	UROK	\N	\N
3641504	3359	1996-09-30	PRIJEM	\N	57	18381	UROK	\N	\N
3641505	3359	1996-10-31	PRIJEM	\N	78	21768	UROK	\N	\N
3641506	3359	1996-11-30	PRIJEM	\N	93	26069	UROK	\N	\N
3641507	3359	1996-12-31	PRIJEM	\N	113	27962	UROK	\N	\N
3641508	3359	1997-01-31	PRIJEM	\N	117	30905	UROK	\N	\N
3641509	3359	1997-02-28	PRIJEM	\N	135	35186	UROK	\N	\N
3641510	3359	1997-03-31	PRIJEM	\N	150	34393	UROK	\N	\N
3641511	3359	1997-04-30	PRIJEM	\N	147	33696	UROK	\N	\N
3641512	3359	1997-05-31	PRIJEM	\N	145	35197	UROK	\N	\N
3641513	3359	1997-06-30	PRIJEM	\N	149	33993	UROK	\N	\N
3641514	3359	1997-07-31	PRIJEM	\N	147	36296	UROK	\N	\N
3641515	3359	1997-08-31	PRIJEM	\N	158	39511	UROK	\N	\N
3641516	3359	1997-09-30	PRIJEM	\N	168	39535	UROK	\N	\N
3641517	3359	1997-10-31	PRIJEM	\N	162	36723	UROK	\N	\N
3641518	3359	1997-11-30	PRIJEM	\N	152	33631	UROK	\N	\N
3641519	3359	1997-12-31	PRIJEM	\N	141	33409	UROK	\N	\N
3641520	3359	1998-01-31	PRIJEM	\N	137	33402	UROK	\N	\N
3641521	3359	1998-02-28	PRIJEM	\N	141	33300	UROK	\N	\N
3641522	3359	1998-03-31	PRIJEM	\N	142	34099	UROK	\N	\N
3641523	3359	1998-04-30	PRIJEM	\N	140	30895	UROK	\N	\N
3641524	3359	1998-05-31	PRIJEM	\N	128	29079	UROK	\N	\N
3641525	3359	1998-06-30	PRIJEM	\N	113	26179	UROK	\N	\N
3641526	3359	1998-07-31	PRIJEM	\N	116	29452	UROK	\N	\N
3641527	3359	1998-08-31	PRIJEM	\N	117	25025	UROK	\N	\N
3641528	3359	1998-09-30	PRIJEM	\N	106	25987	UROK	\N	\N
3641529	3359	1998-10-31	PRIJEM	\N	113	27857	UROK	\N	\N
3641530	3359	1998-11-30	PRIJEM	\N	122	30335	UROK	\N	\N
3641531	3359	1998-12-31	PRIJEM	\N	130	31521	UROK	\N	\N
3641532	3360	1997-12-31	PRIJEM	\N	67	22561	UROK	\N	\N
3641533	3360	1998-01-31	PRIJEM	\N	116	29940	UROK	\N	\N
3641534	3360	1998-02-28	PRIJEM	\N	155	40158	UROK	\N	\N
3641535	3360	1998-03-31	PRIJEM	\N	164	39084	UROK	\N	\N
3641536	3360	1998-04-30	PRIJEM	\N	149	31463	UROK	\N	\N
3641537	3360	1998-05-31	PRIJEM	\N	130	29307	UROK	\N	\N
3641538	3360	1998-06-30	PRIJEM	\N	114	20488	UROK	\N	\N
3641539	3360	1998-07-31	PRIJEM	\N	136	33818	UROK	\N	\N
3641540	3360	1998-08-31	PRIJEM	\N	164	38756	UROK	\N	\N
3641541	3360	1998-09-30	PRIJEM	\N	184	44295	UROK	\N	\N
3641542	3360	1998-10-31	PRIJEM	\N	204	48652	UROK	\N	\N
3641543	3360	1998-11-30	PRIJEM	\N	217	51323	UROK	\N	\N
3641544	3360	1998-12-31	PRIJEM	\N	240	58009	UROK	\N	\N
3641545	3361	1993-09-30	PRIJEM	\N	13	15344	UROK	\N	\N
3641546	3361	1993-10-31	PRIJEM	\N	73	24848	UROK	\N	\N
3641547	3361	1993-11-30	PRIJEM	\N	106	27584	UROK	\N	\N
3641548	3361	1993-12-31	PRIJEM	\N	123	35354	UROK	\N	\N
3641549	3361	1994-01-31	PRIJEM	\N	137	25688	UROK	\N	\N
3641550	3361	1994-02-28	PRIJEM	\N	112	24662	UROK	\N	\N
3641551	3361	1994-03-31	PRIJEM	\N	110	25934	UROK	\N	\N
3641552	3361	1994-04-30	PRIJEM	\N	113	25410	UROK	\N	\N
3641553	3361	1994-05-31	PRIJEM	\N	102	25855	UROK	\N	\N
3641554	3361	1994-06-30	PRIJEM	\N	124	20337	UROK	\N	\N
3641555	3361	1994-07-31	PRIJEM	\N	98	26197	UROK	\N	\N
3641556	3361	1994-08-31	PRIJEM	\N	108	27987	UROK	\N	\N
3641557	3361	1994-09-30	PRIJEM	\N	123	29172	UROK	\N	\N
3641558	3361	1994-10-31	PRIJEM	\N	128	30262	UROK	\N	\N
3641559	3361	1994-11-30	PRIJEM	\N	130	30455	UROK	\N	\N
3641560	3361	1994-12-31	PRIJEM	\N	128	25720	UROK	\N	\N
3641561	3361	1995-01-31	PRIJEM	\N	107	23309	UROK	\N	\N
3641562	3361	1995-02-28	PRIJEM	\N	100	24472	UROK	\N	\N
3641563	3361	1995-03-31	PRIJEM	\N	110	25324	UROK	\N	\N
3641564	3361	1995-04-30	PRIJEM	\N	122	32809	UROK	\N	\N
3641565	3361	1995-05-31	PRIJEM	\N	141	33512	UROK	\N	\N
3641566	3361	1995-06-30	PRIJEM	\N	152	35942	UROK	\N	\N
3641567	3361	1995-07-31	PRIJEM	\N	154	36558	UROK	\N	\N
3641568	3361	1995-08-31	PRIJEM	\N	150	34671	UROK	\N	\N
3641569	3361	1995-09-30	PRIJEM	\N	148	32882	UROK	\N	\N
3641570	3361	1995-10-31	PRIJEM	\N	141	33885	UROK	\N	\N
3641571	3361	1995-11-30	PRIJEM	\N	151	37599	UROK	\N	\N
3641572	3361	1995-12-31	PRIJEM	\N	156	34932	UROK	\N	\N
3641573	3361	1996-01-31	PRIJEM	\N	133	24868	UROK	\N	\N
3641574	3361	1996-02-29	PRIJEM	\N	118	30148	UROK	\N	\N
3641575	3361	1996-03-31	PRIJEM	\N	135	33745	UROK	\N	\N
3641576	3361	1996-04-30	PRIJEM	\N	160	41068	UROK	\N	\N
3641577	3361	1996-05-31	PRIJEM	\N	181	44911	UROK	\N	\N
3641578	3361	1996-06-30	PRIJEM	\N	195	47384	UROK	\N	\N
3641579	3361	1996-07-31	PRIJEM	\N	190	42556	UROK	\N	\N
3641580	3361	1996-08-31	PRIJEM	\N	177	42896	UROK	\N	\N
3641581	3361	1996-09-30	PRIJEM	\N	191	41789	UROK	\N	\N
3641582	3361	1996-10-31	PRIJEM	\N	172	41623	UROK	\N	\N
3641583	3361	1996-11-30	PRIJEM	\N	175	42101	UROK	\N	\N
3641584	3361	1996-12-31	PRIJEM	\N	166	37665	UROK	\N	\N
3641585	3361	1997-01-31	PRIJEM	\N	138	29485	UROK	\N	\N
3641586	3361	1997-02-28	PRIJEM	\N	156	37763	UROK	\N	\N
3641587	3361	1997-03-31	PRIJEM	\N	162	31387	UROK	\N	\N
3641588	3361	1997-04-30	PRIJEM	\N	148	36797	UROK	\N	\N
3641589	3361	1997-05-31	PRIJEM	\N	171	42930	UROK	\N	\N
3641590	3361	1997-06-30	PRIJEM	\N	209	42857	UROK	\N	\N
3641591	3361	1997-07-31	PRIJEM	\N	211	52931	UROK	\N	\N
3641592	3361	1997-08-31	PRIJEM	\N	228	56221	UROK	\N	\N
3641593	3361	1997-09-30	PRIJEM	\N	238	53541	UROK	\N	\N
3641594	3361	1997-10-31	PRIJEM	\N	236	57739	UROK	\N	\N
3641595	3361	1997-11-30	PRIJEM	\N	241	58241	UROK	\N	\N
3641596	3361	1997-12-31	PRIJEM	\N	262	63281	UROK	\N	\N
3641597	3361	1998-01-31	PRIJEM	\N	269	62452	UROK	\N	\N
3641598	3361	1998-02-28	PRIJEM	\N	278	68492	UROK	\N	\N
3641599	3361	1998-03-31	PRIJEM	\N	295	72050	UROK	\N	\N
3641600	3361	1998-04-30	PRIJEM	\N	299	72310	UROK	\N	\N
3641601	3361	1998-05-31	PRIJEM	\N	298	72671	UROK	\N	\N
3641602	3361	1998-06-30	PRIJEM	\N	252	33460	UROK	\N	\N
3641603	3361	1998-07-31	PRIJEM	\N	201	62144	UROK	\N	\N
3641604	3361	1998-08-31	PRIJEM	\N	266	71273	UROK	\N	\N
3641605	3361	1998-09-30	PRIJEM	\N	291	70946	UROK	\N	\N
3641606	3361	1998-10-31	PRIJEM	\N	301	74409	UROK	\N	\N
3641607	3361	1998-11-30	PRIJEM	\N	313	73385	UROK	\N	\N
3641608	3361	1998-12-31	PRIJEM	\N	303	73605	UROK	\N	\N
3641609	3362	1995-02-28	PRIJEM	\N	15	20457	UROK	\N	\N
3641610	3362	1995-03-31	PRIJEM	\N	92	29392	UROK	\N	\N
3641611	3362	1995-04-30	PRIJEM	\N	125	33359	UROK	\N	\N
3641612	3362	1995-05-31	PRIJEM	\N	142	37343	UROK	\N	\N
3641613	3362	1995-06-30	PRIJEM	\N	157	32920	UROK	\N	\N
3641614	3362	1995-07-31	PRIJEM	\N	148	34601	UROK	\N	\N
3641615	3362	1995-08-31	PRIJEM	\N	151	33285	UROK	\N	\N
3641616	3362	1995-09-30	PRIJEM	\N	145	32163	UROK	\N	\N
3641617	3362	1995-10-31	PRIJEM	\N	146	35543	UROK	\N	\N
3641618	3362	1995-11-30	PRIJEM	\N	155	33432	UROK	\N	\N
3641619	3362	1995-12-31	PRIJEM	\N	160	34897	UROK	\N	\N
3641620	3362	1996-01-31	PRIJEM	\N	111	18041	UROK	\N	\N
3641621	3362	1996-02-29	PRIJEM	\N	100	29374	UROK	\N	\N
3641622	3362	1996-03-31	PRIJEM	\N	133	30240	UROK	\N	\N
3641623	3362	1996-04-30	PRIJEM	\N	143	36817	UROK	\N	\N
3641624	3362	1996-05-31	PRIJEM	\N	162	38512	UROK	\N	\N
3641625	3362	1996-06-30	PRIJEM	\N	186	41803	UROK	\N	\N
3641626	3362	1996-07-31	PRIJEM	\N	174	38310	UROK	\N	\N
3641627	3362	1996-08-31	PRIJEM	\N	165	38408	UROK	\N	\N
3641628	3362	1996-09-30	PRIJEM	\N	163	35205	UROK	\N	\N
3641629	3362	1996-10-31	PRIJEM	\N	157	38496	UROK	\N	\N
3641630	3362	1996-11-30	PRIJEM	\N	148	33576	UROK	\N	\N
3641631	3362	1996-12-31	PRIJEM	\N	168	40649	UROK	\N	\N
3641632	3362	1997-01-31	PRIJEM	\N	163	35245	UROK	\N	\N
3641633	3362	1997-02-28	PRIJEM	\N	155	37634	UROK	\N	\N
3641634	3362	1997-03-31	PRIJEM	\N	143	34511	UROK	\N	\N
3641635	3362	1997-04-30	PRIJEM	\N	150	35894	UROK	\N	\N
3641636	3362	1997-05-31	PRIJEM	\N	152	35679	UROK	\N	\N
3641637	3362	1997-06-30	PRIJEM	\N	126	29609	UROK	\N	\N
3641638	3362	1997-07-31	PRIJEM	\N	132	32275	UROK	\N	\N
3641639	3362	1997-08-31	PRIJEM	\N	139	33047	UROK	\N	\N
3641640	3362	1997-09-30	PRIJEM	\N	130	29911	UROK	\N	\N
3641641	3362	1997-10-31	PRIJEM	\N	125	29669	UROK	\N	\N
3641642	3362	1997-11-30	PRIJEM	\N	117	27320	UROK	\N	\N
3641643	3362	1997-12-31	PRIJEM	\N	134	31559	UROK	\N	\N
3641644	3362	1998-01-31	PRIJEM	\N	107	17399	UROK	\N	\N
3641645	3362	1998-02-28	PRIJEM	\N	113	30546	UROK	\N	\N
3641646	3362	1998-03-31	PRIJEM	\N	137	33816	UROK	\N	\N
3641647	3362	1998-04-30	PRIJEM	\N	146	35495	UROK	\N	\N
3641648	3362	1998-05-31	PRIJEM	\N	149	36178	UROK	\N	\N
3641649	3362	1998-06-30	PRIJEM	\N	154	33236	UROK	\N	\N
3641650	3362	1998-07-31	PRIJEM	\N	142	33912	UROK	\N	\N
3641651	3362	1998-08-31	PRIJEM	\N	130	31075	UROK	\N	\N
3641652	3362	1998-09-30	PRIJEM	\N	130	32038	UROK	\N	\N
3641653	3362	1998-10-31	PRIJEM	\N	144	34316	UROK	\N	\N
3641654	3362	1998-11-30	PRIJEM	\N	140	33089	UROK	\N	\N
3641655	3362	1998-12-31	PRIJEM	\N	124	29317	UROK	\N	\N
3641656	3363	1995-11-30	PRIJEM	\N	49	20746	UROK	\N	\N
3641657	3363	1995-12-31	PRIJEM	\N	89	20819	UROK	\N	\N
3641658	3363	1996-01-31	PRIJEM	\N	80	13473	UROK	\N	\N
3641659	3363	1996-02-29	PRIJEM	\N	59	14667	UROK	\N	\N
3641660	3363	1996-03-31	PRIJEM	\N	66	16667	UROK	\N	\N
3641661	3363	1996-04-30	PRIJEM	\N	70	16111	UROK	\N	\N
3641662	3363	1996-05-31	PRIJEM	\N	72	18117	UROK	\N	\N
3641663	3363	1996-06-30	PRIJEM	\N	80	20131	UROK	\N	\N
3641664	3363	1996-07-31	PRIJEM	\N	82	19348	UROK	\N	\N
3641665	3363	1996-08-31	PRIJEM	\N	85	21367	UROK	\N	\N
3641666	3363	1996-09-30	PRIJEM	\N	94	23395	UROK	\N	\N
3641667	3363	1996-10-31	PRIJEM	\N	102	25432	UROK	\N	\N
3641668	3363	1996-11-30	PRIJEM	\N	110	27477	UROK	\N	\N
3641669	3363	1996-12-31	PRIJEM	\N	111	25002	UROK	\N	\N
3641670	3363	1997-01-31	PRIJEM	\N	90	18546	UROK	\N	\N
3641671	3363	1997-02-28	PRIJEM	\N	81	20562	UROK	\N	\N
3641672	3363	1997-03-31	PRIJEM	\N	90	22586	UROK	\N	\N
3641673	3363	1997-04-30	PRIJEM	\N	99	24619	UROK	\N	\N
3641674	3363	1997-05-31	PRIJEM	\N	102	23296	UROK	\N	\N
3641675	3363	1997-06-30	PRIJEM	\N	101	25331	UROK	\N	\N
3641676	3363	1997-07-31	PRIJEM	\N	106	25452	UROK	\N	\N
3641677	3363	1997-08-31	PRIJEM	\N	110	27496	UROK	\N	\N
3641678	3363	1997-09-30	PRIJEM	\N	119	29550	UROK	\N	\N
3641679	3363	1997-10-31	PRIJEM	\N	127	31611	UROK	\N	\N
3641680	3363	1997-11-30	PRIJEM	\N	135	31121	UROK	\N	\N
3641681	3363	1997-12-31	PRIJEM	\N	132	32237	UROK	\N	\N
3641682	3363	1998-01-31	PRIJEM	\N	123	25894	UROK	\N	\N
3641683	3363	1998-02-28	PRIJEM	\N	112	27940	UROK	\N	\N
3641684	3363	1998-03-31	PRIJEM	\N	117	28392	UROK	\N	\N
3641685	3363	1998-04-30	PRIJEM	\N	122	30448	UROK	\N	\N
3641686	3363	1998-05-31	PRIJEM	\N	131	32513	UROK	\N	\N
3641687	3363	1998-06-30	PRIJEM	\N	104	20052	UROK	\N	\N
3641688	3363	1998-07-31	PRIJEM	\N	85	20551	UROK	\N	\N
3641689	3363	1998-08-31	PRIJEM	\N	83	19768	UROK	\N	\N
3641690	3363	1998-09-30	PRIJEM	\N	86	21789	UROK	\N	\N
3641691	3363	1998-10-31	PRIJEM	\N	95	23817	UROK	\N	\N
3641692	3363	1998-11-30	PRIJEM	\N	96	22808	UROK	\N	\N
3641693	3363	1998-12-31	PRIJEM	\N	96	23388	UROK	\N	\N
3641694	3364	1995-01-31	PRIJEM	\N	89	61164	UROK	\N	\N
3641695	3364	1995-02-28	PRIJEM	\N	255	42219	UROK	\N	\N
3641696	3364	1995-03-31	PRIJEM	\N	289	92901	UROK	\N	\N
3641697	3364	1995-04-30	PRIJEM	\N	384	77124	UROK	\N	\N
3641698	3364	1995-05-31	PRIJEM	\N	318	86375	UROK	\N	\N
3641699	3364	1995-06-30	PRIJEM	\N	262	55389	UROK	\N	\N
3641700	3364	1995-07-31	PRIJEM	\N	159	33628	UROK	\N	\N
3641701	3364	1995-08-31	PRIJEM	\N	113	56104	UROK	\N	\N
3641702	3364	1995-09-30	PRIJEM	\N	336	99830	UROK	\N	\N
3641703	3364	1995-10-31	PRIJEM	\N	244	53400	UROK	\N	\N
3641704	3364	1995-11-30	PRIJEM	\N	245	52879	UROK	\N	\N
3641705	3364	1995-12-31	PRIJEM	\N	204	44104	UROK	\N	\N
3641706	3364	1996-01-31	PRIJEM	\N	77	15661	UROK	\N	\N
3641707	3364	1996-02-29	PRIJEM	\N	97	27682	UROK	\N	\N
3641708	3364	1996-03-31	PRIJEM	\N	207	51168	UROK	\N	\N
3641709	3364	1996-04-30	PRIJEM	\N	145	26860	UROK	\N	\N
3641710	3364	1996-05-31	PRIJEM	\N	87	24426	UROK	\N	\N
3641711	3364	1996-06-30	PRIJEM	\N	83	22589	UROK	\N	\N
3641712	3364	1996-07-31	PRIJEM	\N	144	21891	UROK	\N	\N
3641713	3364	1996-08-31	PRIJEM	\N	158	29976	UROK	\N	\N
3641714	3364	1996-09-30	PRIJEM	\N	105	23561	UROK	\N	\N
3641715	3364	1996-10-31	PRIJEM	\N	80	20220	UROK	\N	\N
3641716	3364	1996-11-30	PRIJEM	\N	65	15866	UROK	\N	\N
3641717	3364	1996-12-31	PRIJEM	\N	52	18598	UROK	\N	\N
3641718	3364	1997-01-31	PRIJEM	\N	175	50435	UROK	\N	\N
3641719	3364	1997-02-28	PRIJEM	\N	138	33200	UROK	\N	\N
3641720	3364	1997-03-31	PRIJEM	\N	194	32271	UROK	\N	\N
3641721	3364	1997-04-30	PRIJEM	\N	165	37956	UROK	\N	\N
3641722	3364	1997-05-31	PRIJEM	\N	245	44708	UROK	\N	\N
3641723	3364	1997-06-30	PRIJEM	\N	146	26715	UROK	\N	\N
3641724	3364	1997-07-31	PRIJEM	\N	278	64236	UROK	\N	\N
3641725	3364	1997-08-31	PRIJEM	\N	310	66507	UROK	\N	\N
3641726	3364	1997-09-30	PRIJEM	\N	319	53487	UROK	\N	\N
3641727	3364	1997-10-31	PRIJEM	\N	223	82758	UROK	\N	\N
3641728	3364	1997-11-30	PRIJEM	\N	256	43794	UROK	\N	\N
3641729	3364	1997-12-31	PRIJEM	\N	196	72948	UROK	\N	\N
3641730	3364	1998-01-31	PRIJEM	\N	321	80875	UROK	\N	\N
3641731	3364	1998-02-28	PRIJEM	\N	238	73763	UROK	\N	\N
3641732	3364	1998-03-31	PRIJEM	\N	282	64624	UROK	\N	\N
3641733	3364	1998-04-30	PRIJEM	\N	336	62808	UROK	\N	\N
3641734	3364	1998-05-31	PRIJEM	\N	182	44790	UROK	\N	\N
3641735	3364	1998-06-30	PRIJEM	\N	285	62690	UROK	\N	\N
3641736	3364	1998-07-31	PRIJEM	\N	371	104190	UROK	\N	\N
3641737	3364	1998-08-31	PRIJEM	\N	467	83373	UROK	\N	\N
3641738	3364	1998-09-30	PRIJEM	\N	306	72637	UROK	\N	\N
3641739	3364	1998-10-31	PRIJEM	\N	291	72408	UROK	\N	\N
3641740	3364	1998-11-30	PRIJEM	\N	316	69508	UROK	\N	\N
3641741	3364	1998-12-31	PRIJEM	\N	385	88929	UROK	\N	\N
3641742	3365	1998-01-31	PRIJEM	\N	28	14116	UROK	\N	\N
3641743	3365	1998-02-28	PRIJEM	\N	72	20782	UROK	\N	\N
3641744	3365	1998-03-31	PRIJEM	\N	92	24068	UROK	\N	\N
3641745	3365	1998-04-30	PRIJEM	\N	104	23592	UROK	\N	\N
3641746	3365	1998-05-31	PRIJEM	\N	100	24096	UROK	\N	\N
3641747	3365	1998-06-30	PRIJEM	\N	106	24707	UROK	\N	\N
3641748	3365	1998-07-31	PRIJEM	\N	105	23716	UROK	\N	\N
3641749	3365	1998-08-31	PRIJEM	\N	90	19171	UROK	\N	\N
3641750	3365	1998-09-30	PRIJEM	\N	93	23168	UROK	\N	\N
3641751	3365	1998-10-31	PRIJEM	\N	103	24375	UROK	\N	\N
3641752	3365	1998-11-30	PRIJEM	\N	101	23440	UROK	\N	\N
3641753	3365	1998-12-31	PRIJEM	\N	108	26402	UROK	\N	\N
3641754	3366	1996-03-31	PRIJEM	\N	46	14155	UROK	\N	\N
3641755	3366	1996-04-30	PRIJEM	\N	128	35892	UROK	\N	\N
3641756	3366	1996-05-31	PRIJEM	\N	186	47987	UROK	\N	\N
3641757	3366	1996-06-30	PRIJEM	\N	154	57805	UROK	\N	\N
3641758	3366	1996-07-31	PRIJEM	\N	207	38033	UROK	\N	\N
3641759	3366	1996-08-31	PRIJEM	\N	181	35316	UROK	\N	\N
3641760	3366	1996-09-30	PRIJEM	\N	172	39411	UROK	\N	\N
3641761	3366	1996-10-31	PRIJEM	\N	187	38620	UROK	\N	\N
3641762	3366	1996-11-30	PRIJEM	\N	183	37625	UROK	\N	\N
3641763	3366	1996-12-31	PRIJEM	\N	185	38547	UROK	\N	\N
3641764	3366	1997-01-31	PRIJEM	\N	151	31660	UROK	\N	\N
3641765	3366	1997-02-28	PRIJEM	\N	156	36138	UROK	\N	\N
3641766	3366	1997-03-31	PRIJEM	\N	174	38834	UROK	\N	\N
3641767	3366	1997-04-30	PRIJEM	\N	182	38139	UROK	\N	\N
3641768	3366	1997-05-31	PRIJEM	\N	182	41243	UROK	\N	\N
3641769	3366	1997-06-30	PRIJEM	\N	214	48134	UROK	\N	\N
3641770	3366	1997-07-31	PRIJEM	\N	211	43967	UROK	\N	\N
3641771	3366	1997-08-31	PRIJEM	\N	183	39432	UROK	\N	\N
3641772	3366	1997-09-30	PRIJEM	\N	184	41639	UROK	\N	\N
3641773	3366	1997-10-31	PRIJEM	\N	181	39042	UROK	\N	\N
3641774	3366	1997-11-30	PRIJEM	\N	177	37441	UROK	\N	\N
3641775	3366	1997-12-31	PRIJEM	\N	192	43411	UROK	\N	\N
3641776	3366	1998-01-31	PRIJEM	\N	181	26834	UROK	\N	\N
3641777	3366	1998-02-28	PRIJEM	\N	137	33853	UROK	\N	\N
3641778	3366	1998-03-31	PRIJEM	\N	160	35996	UROK	\N	\N
3641779	3366	1998-04-30	PRIJEM	\N	174	42692	UROK	\N	\N
3641780	3366	1998-05-31	PRIJEM	\N	191	44185	UROK	\N	\N
3641781	3366	1998-06-30	PRIJEM	\N	211	46554	UROK	\N	\N
3641782	3366	1998-07-31	PRIJEM	\N	200	42476	UROK	\N	\N
3641783	3366	1998-08-31	PRIJEM	\N	181	38840	UROK	\N	\N
3641784	3366	1998-09-30	PRIJEM	\N	175	40137	UROK	\N	\N
3641785	3366	1998-10-31	PRIJEM	\N	171	35110	UROK	\N	\N
3641786	3366	1998-11-30	PRIJEM	\N	159	37092	UROK	\N	\N
3641787	3366	1998-12-31	PRIJEM	\N	194	50363	UROK	\N	\N
3641788	3367	1993-04-30	PRIJEM	\N	59	23467	UROK	\N	\N
3641789	3367	1993-05-31	PRIJEM	\N	160	48534	UROK	\N	\N
3641790	3367	1993-06-30	PRIJEM	\N	146	68792	UROK	\N	\N
3641791	3367	1993-07-31	PRIJEM	\N	185	46185	UROK	\N	\N
3641792	3367	1993-08-31	PRIJEM	\N	238	43726	UROK	\N	\N
3641793	3367	1993-09-30	PRIJEM	\N	226	45522	UROK	\N	\N
3641794	3367	1993-10-31	PRIJEM	\N	229	44821	UROK	\N	\N
3641795	3367	1993-11-30	PRIJEM	\N	225	42617	UROK	\N	\N
3641796	3367	1993-12-31	PRIJEM	\N	233	46944	UROK	\N	\N
3641797	3367	1994-01-31	PRIJEM	\N	227	46142	UROK	\N	\N
3641798	3367	1994-02-28	PRIJEM	\N	220	43712	UROK	\N	\N
3641799	3367	1994-03-31	PRIJEM	\N	222	46104	UROK	\N	\N
3641800	3367	1994-04-30	PRIJEM	\N	223	44418	UROK	\N	\N
3641801	3367	1994-05-31	PRIJEM	\N	212	44620	UROK	\N	\N
3641802	3367	1994-06-30	PRIJEM	\N	244	50938	UROK	\N	\N
3641803	3367	1994-07-31	PRIJEM	\N	244	51853	UROK	\N	\N
3641804	3367	1994-08-31	PRIJEM	\N	244	51667	UROK	\N	\N
3641805	3367	1994-09-30	PRIJEM	\N	225	46203	UROK	\N	\N
3641806	3367	1994-10-31	PRIJEM	\N	221	47594	UROK	\N	\N
3641807	3367	1994-11-30	PRIJEM	\N	221	46126	UROK	\N	\N
3641808	3367	1994-12-31	PRIJEM	\N	226	51246	UROK	\N	\N
3641809	3367	1995-01-31	PRIJEM	\N	233	50549	UROK	\N	\N
3641810	3367	1995-02-28	PRIJEM	\N	233	52453	UROK	\N	\N
3641811	3367	1995-03-31	PRIJEM	\N	244	53667	UROK	\N	\N
3641812	3367	1995-04-30	PRIJEM	\N	242	51179	UROK	\N	\N
3641813	3367	1995-05-31	PRIJEM	\N	235	52185	UROK	\N	\N
3641814	3367	1995-06-30	PRIJEM	\N	254	57114	UROK	\N	\N
3641815	3367	1995-07-31	PRIJEM	\N	241	51145	UROK	\N	\N
3641816	3367	1995-08-31	PRIJEM	\N	226	49641	UROK	\N	\N
3641817	3367	1995-09-30	PRIJEM	\N	229	55641	UROK	\N	\N
3641818	3367	1995-10-31	PRIJEM	\N	250	59261	UROK	\N	\N
3641819	3367	1995-11-30	PRIJEM	\N	269	65900	UROK	\N	\N
3641820	3367	1995-12-31	PRIJEM	\N	301	71996	UROK	\N	\N
3641821	3367	1996-01-31	PRIJEM	\N	291	63437	UROK	\N	\N
3641822	3367	1996-02-29	PRIJEM	\N	264	61932	UROK	\N	\N
3641823	3367	1996-03-31	PRIJEM	\N	267	63469	UROK	\N	\N
3641824	3367	1996-04-30	PRIJEM	\N	273	65452	UROK	\N	\N
3641825	3367	1996-05-31	PRIJEM	\N	260	61683	UROK	\N	\N
3641826	3367	1996-06-30	PRIJEM	\N	282	71839	UROK	\N	\N
3641827	3367	1996-07-31	PRIJEM	\N	296	70605	UROK	\N	\N
3641828	3367	1996-08-31	PRIJEM	\N	297	73173	UROK	\N	\N
3641829	3367	1996-09-30	PRIJEM	\N	315	80818	UROK	\N	\N
3641830	3367	1996-10-31	PRIJEM	\N	351	87739	UROK	\N	\N
3641831	3367	1996-11-30	PRIJEM	\N	366	91576	UROK	\N	\N
3641832	3367	1996-12-31	PRIJEM	\N	405	104135	UROK	\N	\N
3641833	3367	1997-01-31	PRIJEM	\N	417	102323	UROK	\N	\N
3641834	3367	1997-02-28	PRIJEM	\N	414	103507	UROK	\N	\N
3641835	3367	1997-03-31	PRIJEM	\N	417	101394	UROK	\N	\N
3641836	3367	1997-04-30	PRIJEM	\N	418	104083	UROK	\N	\N
3641837	3367	1997-05-31	PRIJEM	\N	430	106783	UROK	\N	\N
3641838	3367	1997-06-30	PRIJEM	\N	378	79955	UROK	\N	\N
3641839	3367	1997-07-31	PRIJEM	\N	357	92783	UROK	\N	\N
3641840	3367	1997-08-31	PRIJEM	\N	395	101748	UROK	\N	\N
3641841	3367	1997-09-30	PRIJEM	\N	419	106477	UROK	\N	\N
3641842	3367	1997-10-31	PRIJEM	\N	437	110584	UROK	\N	\N
3641843	3367	1997-11-30	PRIJEM	\N	441	111696	UROK	\N	\N
3641844	3367	1997-12-31	PRIJEM	\N	297	54768	UROK	\N	\N
3641845	3367	1998-01-31	PRIJEM	\N	306	85244	UROK	\N	\N
3641846	3367	1998-02-28	PRIJEM	\N	371	97245	UROK	\N	\N
3641847	3367	1998-03-31	PRIJEM	\N	420	105055	UROK	\N	\N
3641848	3367	1998-04-30	PRIJEM	\N	425	106991	UROK	\N	\N
3641849	3367	1998-05-31	PRIJEM	\N	445	114506	UROK	\N	\N
3641850	3367	1998-06-30	PRIJEM	\N	347	71548	UROK	\N	\N
3641851	3367	1998-07-31	PRIJEM	\N	369	99687	UROK	\N	\N
3641852	3367	1998-08-31	PRIJEM	\N	440	112837	UROK	\N	\N
3641853	3367	1998-09-30	PRIJEM	\N	434	100762	UROK	\N	\N
3641854	3367	1998-10-31	PRIJEM	\N	396	62007	UROK	\N	\N
3641855	3367	1998-11-30	PRIJEM	\N	345	95723	UROK	\N	\N
3641856	3367	1998-12-31	PRIJEM	\N	339	64856	UROK	\N	\N
3641857	3368	1995-10-31	PRIJEM	\N	55	22802	UROK	\N	\N
3641858	3368	1995-11-30	PRIJEM	\N	123	34172	UROK	\N	\N
3641859	3368	1995-12-31	PRIJEM	\N	163	42305	UROK	\N	\N
3641860	3368	1996-01-31	PRIJEM	\N	181	44133	UROK	\N	\N
3641861	3368	1996-02-29	PRIJEM	\N	179	41951	UROK	\N	\N
3641862	3368	1996-03-31	PRIJEM	\N	194	41369	UROK	\N	\N
3641863	3368	1996-04-30	PRIJEM	\N	166	38459	UROK	\N	\N
3641864	3368	1996-05-31	PRIJEM	\N	165	39348	UROK	\N	\N
3641865	3368	1996-06-30	PRIJEM	\N	126	21981	UROK	\N	\N
3641866	3368	1996-07-31	PRIJEM	\N	119	24985	UROK	\N	\N
3641867	3368	1996-08-31	PRIJEM	\N	130	32639	UROK	\N	\N
3641868	3368	1996-09-30	PRIJEM	\N	140	32084	UROK	\N	\N
3641869	3368	1996-10-31	PRIJEM	\N	149	36057	UROK	\N	\N
3641870	3368	1996-11-30	PRIJEM	\N	156	32558	UROK	\N	\N
3641871	3368	1996-12-31	PRIJEM	\N	154	33640	UROK	\N	\N
3641872	3368	1997-01-31	PRIJEM	\N	171	36735	UROK	\N	\N
3641873	3368	1997-02-28	PRIJEM	\N	200	49959	UROK	\N	\N
3641874	3368	1997-03-31	PRIJEM	\N	208	48792	UROK	\N	\N
3641875	3368	1997-04-30	PRIJEM	\N	217	51933	UROK	\N	\N
3641876	3368	1997-05-31	PRIJEM	\N	232	55589	UROK	\N	\N
3641877	3368	1997-06-30	PRIJEM	\N	201	36158	UROK	\N	\N
3641878	3368	1997-07-31	PRIJEM	\N	181	43964	UROK	\N	\N
3641879	3368	1997-08-31	PRIJEM	\N	199	48268	UROK	\N	\N
3641880	3368	1997-09-30	PRIJEM	\N	214	48806	UROK	\N	\N
3641881	3368	1997-10-31	PRIJEM	\N	235	57566	UROK	\N	\N
3641882	3368	1997-11-30	PRIJEM	\N	258	62248	UROK	\N	\N
3641883	3368	1997-12-31	PRIJEM	\N	278	64514	UROK	\N	\N
3641884	3368	1998-01-31	PRIJEM	\N	242	49941	UROK	\N	\N
3641885	3368	1998-02-28	PRIJEM	\N	248	61613	UROK	\N	\N
3641886	3368	1998-03-31	PRIJEM	\N	272	66010	UROK	\N	\N
3641887	3368	1998-04-30	PRIJEM	\N	309	75743	UROK	\N	\N
3641888	3368	1998-05-31	PRIJEM	\N	309	72677	UROK	\N	\N
3641889	3368	1998-06-30	PRIJEM	\N	305	48829	UROK	\N	\N
3641890	3368	1998-07-31	PRIJEM	\N	259	71273	UROK	\N	\N
3641891	3368	1998-08-31	PRIJEM	\N	314	73111	UROK	\N	\N
3641892	3368	1998-09-30	PRIJEM	\N	316	77851	UROK	\N	\N
3641893	3368	1998-10-31	PRIJEM	\N	341	82317	UROK	\N	\N
3641894	3368	1998-11-30	PRIJEM	\N	360	86701	UROK	\N	\N
3641895	3368	1998-12-31	PRIJEM	\N	397	93445	UROK	\N	\N
3641896	3369	1994-12-31	PRIJEM	\N	19	7144	UROK	\N	\N
3641897	3369	1995-01-31	PRIJEM	\N	64	23059	UROK	\N	\N
3641898	3369	1995-02-28	PRIJEM	\N	96	27705	UROK	\N	\N
3641899	3369	1995-03-31	PRIJEM	\N	110	28664	UROK	\N	\N
3641900	3369	1995-04-30	PRIJEM	\N	109	27423	UROK	\N	\N
3641901	3369	1995-05-31	PRIJEM	\N	102	23727	UROK	\N	\N
3641902	3369	1995-06-30	PRIJEM	\N	107	28112	UROK	\N	\N
3641903	3369	1995-07-31	PRIJEM	\N	120	29233	UROK	\N	\N
3641904	3369	1995-08-31	PRIJEM	\N	123	27859	UROK	\N	\N
3641905	3369	1995-09-30	PRIJEM	\N	119	29480	UROK	\N	\N
3641906	3369	1995-10-31	PRIJEM	\N	124	28405	UROK	\N	\N
3641907	3369	1995-11-30	PRIJEM	\N	119	27327	UROK	\N	\N
3641908	3369	1995-12-31	PRIJEM	\N	102	24106	UROK	\N	\N
3641909	3369	1996-01-31	PRIJEM	\N	99	21408	UROK	\N	\N
3641910	3369	1996-02-29	PRIJEM	\N	89	22099	UROK	\N	\N
3641911	3369	1996-03-31	PRIJEM	\N	92	22293	UROK	\N	\N
3641912	3369	1996-04-30	PRIJEM	\N	94	22189	UROK	\N	\N
3641913	3369	1996-05-31	PRIJEM	\N	100	28692	UROK	\N	\N
3641914	3369	1996-06-30	PRIJEM	\N	105	25274	UROK	\N	\N
3641915	3369	1996-07-31	PRIJEM	\N	106	25082	UROK	\N	\N
3641916	3369	1996-08-31	PRIJEM	\N	106	25690	UROK	\N	\N
3641917	3369	1996-09-30	PRIJEM	\N	108	26100	UROK	\N	\N
3641918	3369	1996-10-31	PRIJEM	\N	105	26507	UROK	\N	\N
3641919	3369	1996-11-30	PRIJEM	\N	109	25718	UROK	\N	\N
3641920	3369	1996-12-31	PRIJEM	\N	108	26204	UROK	\N	\N
3641921	3369	1997-01-31	PRIJEM	\N	94	22700	UROK	\N	\N
3641922	3369	1997-02-28	PRIJEM	\N	85	22688	UROK	\N	\N
3641923	3369	1997-03-31	PRIJEM	\N	101	27291	UROK	\N	\N
3641924	3369	1997-04-30	PRIJEM	\N	116	29210	UROK	\N	\N
3641925	3369	1997-05-31	PRIJEM	\N	126	32638	UROK	\N	\N
3641926	3369	1997-06-30	PRIJEM	\N	106	27821	UROK	\N	\N
3641927	3369	1997-07-31	PRIJEM	\N	120	30744	UROK	\N	\N
3641928	3369	1997-08-31	PRIJEM	\N	124	27970	UROK	\N	\N
3641929	3369	1997-09-30	PRIJEM	\N	116	29188	UROK	\N	\N
3641930	3369	1997-10-31	PRIJEM	\N	128	32919	UROK	\N	\N
3641931	3369	1997-11-30	PRIJEM	\N	140	35261	UROK	\N	\N
3641932	3369	1997-12-31	PRIJEM	\N	152	38891	UROK	\N	\N
3641933	3369	1998-01-31	PRIJEM	\N	144	33038	UROK	\N	\N
3641934	3369	1998-02-28	PRIJEM	\N	148	38588	UROK	\N	\N
3641935	3369	1998-03-31	PRIJEM	\N	148	33539	UROK	\N	\N
3641936	3369	1998-04-30	PRIJEM	\N	145	37486	UROK	\N	\N
3641937	3369	1998-05-31	PRIJEM	\N	158	39246	UROK	\N	\N
3641938	3369	1998-06-30	PRIJEM	\N	159	28182	UROK	\N	\N
3641939	3369	1998-07-31	PRIJEM	\N	130	34314	UROK	\N	\N
3641940	3369	1998-08-31	PRIJEM	\N	159	41576	UROK	\N	\N
3641941	3369	1998-09-30	PRIJEM	\N	187	47965	UROK	\N	\N
3641942	3369	1998-10-31	PRIJEM	\N	206	51574	UROK	\N	\N
3641943	3369	1998-11-30	PRIJEM	\N	214	52690	UROK	\N	\N
3641944	3369	1998-12-31	PRIJEM	\N	228	53995	UROK	\N	\N
3641945	3370	1993-12-31	PRIJEM	\N	67	29149	UROK	\N	\N
3641946	3370	1994-01-31	PRIJEM	\N	140	37044	UROK	\N	\N
3641947	3370	1994-02-28	PRIJEM	\N	162	40561	UROK	\N	\N
3641948	3370	1994-03-31	PRIJEM	\N	173	42589	UROK	\N	\N
3641949	3370	1994-04-30	PRIJEM	\N	178	31222	UROK	\N	\N
3641950	3370	1994-05-31	PRIJEM	\N	141	32503	UROK	\N	\N
3641951	3370	1994-06-30	PRIJEM	\N	151	35321	UROK	\N	\N
3641952	3370	1994-07-31	PRIJEM	\N	168	43529	UROK	\N	\N
3641953	3370	1994-08-31	PRIJEM	\N	159	31128	UROK	\N	\N
3641954	3370	1994-09-30	PRIJEM	\N	149	37518	UROK	\N	\N
3641955	3370	1994-10-31	PRIJEM	\N	174	38832	UROK	\N	\N
3641956	3370	1994-11-30	PRIJEM	\N	175	43648	UROK	\N	\N
3641957	3370	1994-12-31	PRIJEM	\N	199	46714	UROK	\N	\N
3641958	3370	1995-01-31	PRIJEM	\N	130	569	UROK	\N	\N
3641959	3370	1995-02-28	PRIJEM	\N	74	19661	UROK	\N	\N
3641960	3370	1995-03-31	PRIJEM	\N	107	27608	UROK	\N	\N
3641961	3370	1995-04-30	PRIJEM	\N	136	28484	UROK	\N	\N
3641962	3370	1995-05-31	PRIJEM	\N	152	19055	UROK	\N	\N
3641963	3370	1995-06-30	PRIJEM	\N	177	40966	UROK	\N	\N
3641964	3370	1995-07-31	PRIJEM	\N	168	28002	UROK	\N	\N
3641965	3370	1995-08-31	PRIJEM	\N	144	9484	UROK	\N	\N
3641966	3370	1995-09-30	PRIJEM	\N	132	39956	UROK	\N	\N
3641967	3370	1995-10-31	PRIJEM	\N	100	5899	UROK	\N	\N
3641968	3370	1995-11-30	PRIJEM	\N	116	36055	UROK	\N	\N
3641969	3370	1995-12-31	PRIJEM	\N	227	59049	UROK	\N	\N
3641970	3370	1996-01-31	PRIJEM	\N	151	8840	UROK	\N	\N
3641971	3370	1996-02-29	PRIJEM	\N	83	7092	UROK	\N	\N
3641972	3370	1996-03-31	PRIJEM	\N	118	36050	UROK	\N	\N
3641973	3370	1996-04-30	PRIJEM	\N	150	35816	UROK	\N	\N
3641974	3370	1996-05-31	PRIJEM	\N	174	43331	UROK	\N	\N
3641975	3370	1996-06-30	PRIJEM	\N	249	66247	UROK	\N	\N
3641976	3370	1996-07-31	PRIJEM	\N	266	54553	UROK	\N	\N
3641977	3370	1996-08-31	PRIJEM	\N	202	31961	UROK	\N	\N
3641978	3370	1996-09-30	PRIJEM	\N	132	47733	UROK	\N	\N
3641979	3370	1996-10-31	PRIJEM	\N	146	23980	UROK	\N	\N
3641980	3370	1996-11-30	PRIJEM	\N	101	34121	UROK	\N	\N
3641981	3370	1996-12-31	PRIJEM	\N	224	44813	UROK	\N	\N
3641982	3370	1997-01-31	PRIJEM	\N	182	10635	UROK	\N	\N
3641983	3370	1997-02-28	PRIJEM	\N	54	15250	UROK	\N	\N
3641984	3370	1997-03-31	PRIJEM	\N	92	22105	UROK	\N	\N
3641985	3370	1997-04-30	PRIJEM	\N	95	34141	UROK	\N	\N
3641986	3370	1997-05-31	PRIJEM	\N	142	38823	UROK	\N	\N
3641987	3370	1997-06-30	PRIJEM	\N	162	43853	UROK	\N	\N
3641988	3370	1997-07-31	PRIJEM	\N	180	44374	UROK	\N	\N
3641989	3370	1997-08-31	PRIJEM	\N	207	40421	UROK	\N	\N
3641990	3370	1997-09-30	PRIJEM	\N	166	41027	UROK	\N	\N
3641991	3370	1997-10-31	PRIJEM	\N	154	15436	UROK	\N	\N
3641992	3370	1997-11-30	PRIJEM	\N	96	22067	UROK	\N	\N
3641993	3370	1997-12-31	PRIJEM	\N	99	31434	UROK	\N	\N
3641994	3370	1998-01-31	PRIJEM	\N	106	10880	UROK	\N	\N
3641995	3370	1998-02-28	PRIJEM	\N	58	26479	UROK	\N	\N
3641996	3370	1998-03-31	PRIJEM	\N	117	36136	UROK	\N	\N
3641997	3370	1998-04-30	PRIJEM	\N	151	40228	UROK	\N	\N
3641998	3370	1998-05-31	PRIJEM	\N	164	40633	UROK	\N	\N
3641999	3370	1998-06-30	PRIJEM	\N	83	3715	UROK	\N	\N
3642000	3370	1998-07-31	PRIJEM	\N	37	22392	UROK	\N	\N
3642001	3370	1998-08-31	PRIJEM	\N	93	23243	UROK	\N	\N
3642002	3370	1998-09-30	PRIJEM	\N	95	25179	UROK	\N	\N
3642003	3370	1998-10-31	PRIJEM	\N	96	6605	UROK	\N	\N
3642004	3370	1998-11-30	PRIJEM	\N	35	13881	UROK	\N	\N
3642005	3370	1998-12-31	PRIJEM	\N	68	21316	UROK	\N	\N
3642006	3371	1993-11-30	PRIJEM	\N	134	80047	UROK	\N	\N
3642007	3371	1993-12-31	PRIJEM	\N	337	60191	UROK	\N	\N
3642008	3371	1994-01-31	PRIJEM	\N	221	65649	UROK	\N	\N
3642009	3371	1994-02-28	PRIJEM	\N	249	51400	UROK	\N	\N
3642010	3371	1994-03-31	PRIJEM	\N	148	44907	UROK	\N	\N
3642011	3371	1994-04-30	PRIJEM	\N	114	33162	UROK	\N	\N
3642012	3371	1994-05-31	PRIJEM	\N	65	13153	UROK	\N	\N
3642013	3371	1994-06-30	PRIJEM	\N	278	74107	UROK	\N	\N
3642014	3371	1994-07-31	PRIJEM	\N	295	100765	UROK	\N	\N
3642015	3371	1994-08-31	PRIJEM	\N	395	92184	UROK	\N	\N
3642016	3371	1994-09-30	PRIJEM	\N	157	33654	UROK	\N	\N
3642017	3371	1994-10-31	PRIJEM	\N	110	22287	UROK	\N	\N
3642018	3371	1994-11-30	PRIJEM	\N	138	42683	UROK	\N	\N
3642019	3371	1994-12-31	PRIJEM	\N	122	20741	UROK	\N	\N
3642020	3371	1995-01-31	PRIJEM	\N	83	14860	UROK	\N	\N
3642021	3371	1995-02-28	PRIJEM	\N	61	12057	UROK	\N	\N
3642022	3371	1995-03-31	PRIJEM	\N	169	33555	UROK	\N	\N
3642023	3371	1995-04-30	PRIJEM	\N	135	22726	UROK	\N	\N
3642024	3371	1995-05-31	PRIJEM	\N	161	28926	UROK	\N	\N
3642025	3371	1995-06-30	PRIJEM	\N	115	20177	UROK	\N	\N
3642026	3371	1995-07-31	PRIJEM	\N	192	43187	UROK	\N	\N
3642027	3371	1995-08-31	PRIJEM	\N	216	43431	UROK	\N	\N
3642028	3371	1995-09-30	PRIJEM	\N	153	25673	UROK	\N	\N
3642029	3371	1995-10-31	PRIJEM	\N	177	51102	UROK	\N	\N
3642030	3371	1995-11-30	PRIJEM	\N	132	25307	UROK	\N	\N
3642031	3371	1995-12-31	PRIJEM	\N	232	38015	UROK	\N	\N
3642032	3371	1996-01-31	PRIJEM	\N	182	79790	UROK	\N	\N
3642033	3371	1996-02-29	PRIJEM	\N	291	42500	UROK	\N	\N
3642034	3371	1996-03-31	PRIJEM	\N	182	29854	UROK	\N	\N
3642035	3371	1996-04-30	PRIJEM	\N	140	36901	UROK	\N	\N
3642036	3371	1996-05-31	PRIJEM	\N	230	48903	UROK	\N	\N
3642037	3371	1996-06-30	PRIJEM	\N	155	52617	UROK	\N	\N
3642038	3371	1996-07-31	PRIJEM	\N	242	26189	UROK	\N	\N
3642039	3371	1996-08-31	PRIJEM	\N	143	56936	UROK	\N	\N
3642040	3371	1996-09-30	PRIJEM	\N	313	78500	UROK	\N	\N
3642041	3371	1996-10-31	PRIJEM	\N	271	71510	UROK	\N	\N
3642042	3371	1996-11-30	PRIJEM	\N	288	43174	UROK	\N	\N
3642043	3371	1996-12-31	PRIJEM	\N	172	43504	UROK	\N	\N
3642044	3371	1997-01-31	PRIJEM	\N	125	23165	UROK	\N	\N
3642045	3371	1997-02-28	PRIJEM	\N	82	17184	UROK	\N	\N
3642046	3371	1997-03-31	PRIJEM	\N	68	5688	UROK	\N	\N
3642047	3371	1997-04-30	PRIJEM	\N	86	75021	UROK	\N	\N
3642048	3371	1997-05-31	PRIJEM	\N	229	30086	UROK	\N	\N
3642049	3371	1997-06-30	PRIJEM	\N	139	96325	UROK	\N	\N
3642050	3371	1997-07-31	PRIJEM	\N	383	88426	UROK	\N	\N
3642051	3371	1997-08-31	PRIJEM	\N	279	50942	UROK	\N	\N
3642052	3371	1997-09-30	PRIJEM	\N	162	31040	UROK	\N	\N
3642053	3371	1997-10-31	PRIJEM	\N	104	20580	UROK	\N	\N
3642054	3371	1997-11-30	PRIJEM	\N	148	26099	UROK	\N	\N
3642055	3371	1997-12-31	PRIJEM	\N	89	19824	UROK	\N	\N
3642056	3371	1998-01-31	PRIJEM	\N	77	8337	UROK	\N	\N
3642057	3371	1998-02-28	PRIJEM	\N	31	8353	UROK	\N	\N
3642058	3371	1998-03-31	PRIJEM	\N	75	25949	UROK	\N	\N
3642059	3371	1998-04-30	PRIJEM	\N	137	45882	UROK	\N	\N
3642060	3371	1998-05-31	PRIJEM	\N	151	33338	UROK	\N	\N
3642061	3371	1998-06-30	PRIJEM	\N	142	30925	UROK	\N	\N
3642062	3371	1998-07-31	PRIJEM	\N	123	19484	UROK	\N	\N
3642063	3371	1998-08-31	PRIJEM	\N	154	55512	UROK	\N	\N
3642064	3371	1998-09-30	PRIJEM	\N	157	33006	UROK	\N	\N
3642065	3371	1998-10-31	PRIJEM	\N	123	30034	UROK	\N	\N
3642066	3371	1998-11-30	PRIJEM	\N	118	18589	UROK	\N	\N
3642067	3371	1998-12-31	PRIJEM	\N	75	30966	UROK	\N	\N
3642068	3372	1994-06-30	PRIJEM	\N	27	31786	UROK	\N	\N
3642069	3372	1994-07-31	PRIJEM	\N	138	37997	UROK	\N	\N
3642070	3372	1994-08-31	PRIJEM	\N	164	43934	UROK	\N	\N
3642071	3372	1994-09-30	PRIJEM	\N	186	47393	UROK	\N	\N
3642072	3372	1994-10-31	PRIJEM	\N	208	42236	UROK	\N	\N
3642073	3372	1994-11-30	PRIJEM	\N	186	37662	UROK	\N	\N
3642074	3372	1994-12-31	PRIJEM	\N	211	41581	UROK	\N	\N
3642075	3372	1995-01-31	PRIJEM	\N	166	33767	UROK	\N	\N
3642076	3372	1995-02-28	PRIJEM	\N	158	37545	UROK	\N	\N
3642077	3372	1995-03-31	PRIJEM	\N	178	38464	UROK	\N	\N
3642078	3372	1995-04-30	PRIJEM	\N	174	38658	UROK	\N	\N
3642079	3372	1995-05-31	PRIJEM	\N	174	38452	UROK	\N	\N
3642080	3372	1995-06-30	PRIJEM	\N	173	38032	UROK	\N	\N
3642081	3372	1995-07-31	PRIJEM	\N	192	41484	UROK	\N	\N
3642082	3372	1995-08-31	PRIJEM	\N	178	39383	UROK	\N	\N
3642083	3372	1995-09-30	PRIJEM	\N	174	38457	UROK	\N	\N
3642084	3372	1995-10-31	PRIJEM	\N	171	40448	UROK	\N	\N
3642085	3372	1995-11-30	PRIJEM	\N	185	46254	UROK	\N	\N
3642086	3372	1995-12-31	PRIJEM	\N	239	51719	UROK	\N	\N
3642087	3372	1996-01-31	PRIJEM	\N	196	42075	UROK	\N	\N
3642088	3372	1996-02-29	PRIJEM	\N	184	45379	UROK	\N	\N
3642089	3372	1996-03-31	PRIJEM	\N	204	50903	UROK	\N	\N
3642090	3372	1996-04-30	PRIJEM	\N	218	52382	UROK	\N	\N
3642091	3372	1996-05-31	PRIJEM	\N	216	50918	UROK	\N	\N
3642092	3372	1996-06-30	PRIJEM	\N	237	41022	UROK	\N	\N
3642093	3372	1996-07-31	PRIJEM	\N	191	49933	UROK	\N	\N
3642094	3372	1996-08-31	PRIJEM	\N	196	41109	UROK	\N	\N
3642095	3372	1996-09-30	PRIJEM	\N	172	36861	UROK	\N	\N
3642096	3372	1996-10-31	PRIJEM	\N	158	36759	UROK	\N	\N
3642097	3372	1996-11-30	PRIJEM	\N	171	42351	UROK	\N	\N
3642098	3372	1996-12-31	PRIJEM	\N	198	47756	UROK	\N	\N
3642099	3372	1997-01-31	PRIJEM	\N	168	26303	UROK	\N	\N
3642100	3372	1997-02-28	PRIJEM	\N	145	36269	UROK	\N	\N
3642101	3372	1997-03-31	PRIJEM	\N	174	43823	UROK	\N	\N
3642102	3372	1997-04-30	PRIJEM	\N	207	51151	UROK	\N	\N
3642103	3372	1997-05-31	PRIJEM	\N	222	53193	UROK	\N	\N
3642104	3372	1997-06-30	PRIJEM	\N	244	59044	UROK	\N	\N
3642105	3372	1997-07-31	PRIJEM	\N	261	61505	UROK	\N	\N
3642106	3372	1997-08-31	PRIJEM	\N	267	59093	UROK	\N	\N
3642107	3372	1997-09-30	PRIJEM	\N	277	73490	UROK	\N	\N
3642108	3372	1997-10-31	PRIJEM	\N	327	78638	UROK	\N	\N
3642109	3372	1997-11-30	PRIJEM	\N	330	77989	UROK	\N	\N
3642110	3372	1997-12-31	PRIJEM	\N	363	89359	UROK	\N	\N
3642111	3372	1998-01-31	PRIJEM	\N	351	80090	UROK	\N	\N
3642112	3372	1998-02-28	PRIJEM	\N	334	78644	UROK	\N	\N
3642113	3372	1998-03-31	PRIJEM	\N	327	76591	UROK	\N	\N
3642114	3372	1998-04-30	PRIJEM	\N	323	73294	UROK	\N	\N
3642115	3372	1998-05-31	PRIJEM	\N	319	73334	UROK	\N	\N
3642116	3372	1998-06-30	PRIJEM	\N	345	50666	UROK	\N	\N
3642117	3372	1998-07-31	PRIJEM	\N	263	65649	UROK	\N	\N
3642118	3372	1998-08-31	PRIJEM	\N	265	61475	UROK	\N	\N
3642119	3372	1998-09-30	PRIJEM	\N	278	67373	UROK	\N	\N
3642120	3372	1998-10-31	PRIJEM	\N	299	72192	UROK	\N	\N
3642121	3372	1998-11-30	PRIJEM	\N	309	73921	UROK	\N	\N
3642122	3372	1998-12-31	PRIJEM	\N	363	87891	UROK	\N	\N
3642123	3373	1996-02-29	PRIJEM	\N	42	22237	UROK	\N	\N
3642124	3373	1996-03-31	PRIJEM	\N	108	30740	UROK	\N	\N
3642125	3373	1996-04-30	PRIJEM	\N	140	36975	UROK	\N	\N
3642126	3373	1996-05-31	PRIJEM	\N	154	37023	UROK	\N	\N
3642127	3373	1996-06-30	PRIJEM	\N	122	22727	UROK	\N	\N
3642128	3373	1996-07-31	PRIJEM	\N	108	23744	UROK	\N	\N
3642129	3373	1996-08-31	PRIJEM	\N	103	20616	UROK	\N	\N
3642130	3373	1996-09-30	PRIJEM	\N	104	18390	UROK	\N	\N
3642131	3373	1996-10-31	PRIJEM	\N	97	16956	UROK	\N	\N
3642132	3373	1996-11-30	PRIJEM	\N	65	11090	UROK	\N	\N
3642133	3373	1996-12-31	PRIJEM	\N	69	14726	UROK	\N	\N
3642134	3373	1997-01-31	PRIJEM	\N	58	6993	UROK	\N	\N
3642135	3373	1997-02-28	PRIJEM	\N	62	16825	UROK	\N	\N
3642136	3373	1997-03-31	PRIJEM	\N	58	8752	UROK	\N	\N
3642137	3373	1997-04-30	PRIJEM	\N	35	5257	UROK	\N	\N
3642138	3373	1997-05-31	PRIJEM	\N	56	15082	UROK	\N	\N
3642139	3373	1997-06-30	PRIJEM	\N	60	10909	UROK	\N	\N
3642140	3373	1997-07-31	PRIJEM	\N	79	20757	UROK	\N	\N
3642141	3373	1997-08-31	PRIJEM	\N	49	6476	UROK	\N	\N
3642142	3373	1997-09-30	PRIJEM	\N	60	16306	UROK	\N	\N
3642143	3373	1997-10-31	PRIJEM	\N	102	26177	UROK	\N	\N
3642144	3373	1997-11-30	PRIJEM	\N	50	6296	UROK	\N	\N
3642145	3373	1997-12-31	PRIJEM	\N	88	24851	UROK	\N	\N
3642146	3373	1998-01-31	PRIJEM	\N	110	23091	UROK	\N	\N
3642147	3373	1998-02-28	PRIJEM	\N	129	32990	UROK	\N	\N
3642148	3373	1998-03-31	PRIJEM	\N	171	42930	UROK	\N	\N
3642149	3373	1998-04-30	PRIJEM	\N	63	6462	UROK	\N	\N
3642150	3373	1998-05-31	PRIJEM	\N	60	16292	UROK	\N	\N
3642151	3373	1998-06-30	PRIJEM	\N	130	35689	UROK	\N	\N
3642152	3373	1998-07-31	PRIJEM	\N	182	45641	UROK	\N	\N
3642153	3373	1998-08-31	PRIJEM	\N	88	8398	UROK	\N	\N
3642154	3373	1998-09-30	PRIJEM	\N	68	18236	UROK	\N	\N
3642155	3373	1998-10-31	PRIJEM	\N	104	23189	UROK	\N	\N
3642156	3373	1998-11-30	PRIJEM	\N	105	22264	UROK	\N	\N
3642157	3373	1998-12-31	PRIJEM	\N	145	36595	UROK	\N	\N
3642158	3376	1996-12-31	PRIJEM	\N	54	27022	UROK	\N	\N
3642159	3376	1997-01-31	PRIJEM	\N	130	35264	UROK	\N	\N
3642160	3376	1997-02-28	PRIJEM	\N	159	41436	UROK	\N	\N
3642161	3376	1997-03-31	PRIJEM	\N	178	44626	UROK	\N	\N
3642162	3376	1997-04-30	PRIJEM	\N	187	39531	UROK	\N	\N
3642163	3376	1997-05-31	PRIJEM	\N	177	39811	UROK	\N	\N
3642164	3376	1997-06-30	PRIJEM	\N	184	39894	UROK	\N	\N
3642165	3376	1997-07-31	PRIJEM	\N	168	36266	UROK	\N	\N
3642166	3376	1997-08-31	PRIJEM	\N	148	31617	UROK	\N	\N
3642167	3376	1997-09-30	PRIJEM	\N	143	32923	UROK	\N	\N
3642168	3376	1997-10-31	PRIJEM	\N	139	30345	UROK	\N	\N
3642169	3376	1997-11-30	PRIJEM	\N	122	26871	UROK	\N	\N
3642170	3376	1997-12-31	PRIJEM	\N	108	19959	UROK	\N	\N
3642171	3376	1998-01-31	PRIJEM	\N	91	21653	UROK	\N	\N
3642172	3376	1998-02-28	PRIJEM	\N	95	18891	UROK	\N	\N
3642173	3376	1998-03-31	PRIJEM	\N	91	21585	UROK	\N	\N
3642174	3376	1998-04-30	PRIJEM	\N	103	25292	UROK	\N	\N
3642175	3376	1998-05-31	PRIJEM	\N	109	23385	UROK	\N	\N
3642176	3376	1998-06-30	PRIJEM	\N	106	21590	UROK	\N	\N
3642177	3376	1998-07-31	PRIJEM	\N	98	21171	UROK	\N	\N
3642178	3376	1998-08-31	PRIJEM	\N	106	20081	UROK	\N	\N
3642179	3376	1998-09-30	PRIJEM	\N	82	19066	UROK	\N	\N
3642180	3376	1998-10-31	PRIJEM	\N	70	14619	UROK	\N	\N
3642181	3376	1998-11-30	PRIJEM	\N	105	28428	UROK	\N	\N
3642182	3376	1998-12-31	PRIJEM	\N	170	43477	UROK	\N	\N
3642183	3377	1996-12-31	PRIJEM	\N	79	32731	UROK	\N	\N
3642184	3377	1997-01-31	PRIJEM	\N	186	54285	UROK	\N	\N
3642185	3377	1997-02-28	PRIJEM	\N	163	60416	UROK	\N	\N
3642186	3377	1997-03-31	PRIJEM	\N	222	63906	UROK	\N	\N
3642187	3377	1997-04-30	PRIJEM	\N	267	64641	UROK	\N	\N
3642188	3377	1997-05-31	PRIJEM	\N	245	62500	UROK	\N	\N
3642189	3377	1997-06-30	PRIJEM	\N	248	72045	UROK	\N	\N
3642190	3377	1997-07-31	PRIJEM	\N	284	49642	UROK	\N	\N
3642191	3377	1997-08-31	PRIJEM	\N	242	47997	UROK	\N	\N
3642192	3377	1997-09-30	PRIJEM	\N	229	43720	UROK	\N	\N
3642193	3377	1997-10-31	PRIJEM	\N	213	39547	UROK	\N	\N
3642194	3377	1997-11-30	PRIJEM	\N	197	39857	UROK	\N	\N
3642195	3377	1997-12-31	PRIJEM	\N	205	34559	UROK	\N	\N
3642196	3377	1998-01-31	PRIJEM	\N	128	20641	UROK	\N	\N
3642197	3377	1998-02-28	PRIJEM	\N	121	30775	UROK	\N	\N
3642198	3377	1998-03-31	PRIJEM	\N	160	32449	UROK	\N	\N
3642199	3377	1998-04-30	PRIJEM	\N	164	32226	UROK	\N	\N
3642200	3377	1998-05-31	PRIJEM	\N	159	28199	UROK	\N	\N
3642201	3377	1998-06-30	PRIJEM	\N	162	34558	UROK	\N	\N
3642202	3377	1998-07-31	PRIJEM	\N	170	34741	UROK	\N	\N
3642203	3377	1998-08-31	PRIJEM	\N	170	36725	UROK	\N	\N
3642204	3377	1998-09-30	PRIJEM	\N	179	40717	UROK	\N	\N
3642205	3377	1998-10-31	PRIJEM	\N	189	39419	UROK	\N	\N
3642206	3377	1998-11-30	PRIJEM	\N	184	38376	UROK	\N	\N
3642207	3377	1998-12-31	PRIJEM	\N	220	65333	UROK	\N	\N
3642208	3378	1994-04-30	PRIJEM	\N	51	20526	UROK	\N	\N
3642209	3378	1994-05-31	PRIJEM	\N	105	28407	UROK	\N	\N
3642210	3378	1994-06-30	PRIJEM	\N	137	35556	UROK	\N	\N
3642211	3378	1994-07-31	PRIJEM	\N	151	36882	UROK	\N	\N
3642212	3378	1994-08-31	PRIJEM	\N	142	31911	UROK	\N	\N
3642213	3378	1994-09-30	PRIJEM	\N	138	32663	UROK	\N	\N
3642214	3378	1994-10-31	PRIJEM	\N	136	32072	UROK	\N	\N
3642215	3378	1994-11-30	PRIJEM	\N	129	30474	UROK	\N	\N
3642216	3378	1994-12-31	PRIJEM	\N	141	31486	UROK	\N	\N
3642217	3378	1995-01-31	PRIJEM	\N	114	20413	UROK	\N	\N
3642218	3378	1995-02-28	PRIJEM	\N	104	25890	UROK	\N	\N
3642219	3378	1995-03-31	PRIJEM	\N	110	25394	UROK	\N	\N
3642220	3378	1995-04-30	PRIJEM	\N	124	28991	UROK	\N	\N
3642221	3378	1995-05-31	PRIJEM	\N	139	33704	UROK	\N	\N
3642222	3378	1995-06-30	PRIJEM	\N	137	31593	UROK	\N	\N
3642223	3378	1995-07-31	PRIJEM	\N	138	33404	UROK	\N	\N
3642224	3378	1995-08-31	PRIJEM	\N	142	33919	UROK	\N	\N
3642225	3378	1995-09-30	PRIJEM	\N	143	33035	UROK	\N	\N
3642226	3378	1995-10-31	PRIJEM	\N	146	34194	UROK	\N	\N
3642227	3378	1995-11-30	PRIJEM	\N	162	38670	UROK	\N	\N
3642228	3378	1995-12-31	PRIJEM	\N	204	48845	UROK	\N	\N
3642229	3378	1996-01-31	PRIJEM	\N	175	32492	UROK	\N	\N
3642230	3378	1996-02-29	PRIJEM	\N	168	41033	UROK	\N	\N
3642231	3378	1996-03-31	PRIJEM	\N	176	39063	UROK	\N	\N
3642232	3378	1996-04-30	PRIJEM	\N	176	42212	UROK	\N	\N
3642233	3378	1996-05-31	PRIJEM	\N	178	37804	UROK	\N	\N
3642234	3378	1996-06-30	PRIJEM	\N	131	16786	UROK	\N	\N
3642235	3378	1996-07-31	PRIJEM	\N	126	31685	UROK	\N	\N
3642236	3378	1996-08-31	PRIJEM	\N	160	36718	UROK	\N	\N
3642237	3378	1996-09-30	PRIJEM	\N	170	40161	UROK	\N	\N
3642238	3378	1996-10-31	PRIJEM	\N	183	40117	UROK	\N	\N
3642239	3378	1996-11-30	PRIJEM	\N	181	36271	UROK	\N	\N
3642240	3378	1996-12-31	PRIJEM	\N	184	42366	UROK	\N	\N
3642241	3378	1997-01-31	PRIJEM	\N	171	32091	UROK	\N	\N
3642242	3378	1997-02-28	PRIJEM	\N	145	33329	UROK	\N	\N
3642243	3378	1997-03-31	PRIJEM	\N	153	35096	UROK	\N	\N
3642244	3378	1997-04-30	PRIJEM	\N	162	39131	UROK	\N	\N
3642245	3378	1997-05-31	PRIJEM	\N	170	35675	UROK	\N	\N
3642246	3378	1997-06-30	PRIJEM	\N	179	38865	UROK	\N	\N
3642247	3378	1997-07-31	PRIJEM	\N	175	39213	UROK	\N	\N
3642248	3378	1997-08-31	PRIJEM	\N	172	36659	UROK	\N	\N
3642249	3378	1997-09-30	PRIJEM	\N	161	34294	UROK	\N	\N
3642250	3378	1997-10-31	PRIJEM	\N	140	30446	UROK	\N	\N
3642251	3378	1997-11-30	PRIJEM	\N	139	29639	UROK	\N	\N
3642252	3378	1997-12-31	PRIJEM	\N	151	32501	UROK	\N	\N
3642253	3378	1998-01-31	PRIJEM	\N	119	21233	UROK	\N	\N
3642254	3378	1998-02-28	PRIJEM	\N	103	25809	UROK	\N	\N
3642255	3378	1998-03-31	PRIJEM	\N	117	25899	UROK	\N	\N
3642256	3378	1998-04-30	PRIJEM	\N	111	27383	UROK	\N	\N
3642257	3378	1998-05-31	PRIJEM	\N	125	29582	UROK	\N	\N
3642258	3378	1998-06-30	PRIJEM	\N	151	36043	UROK	\N	\N
3642259	3378	1998-07-31	PRIJEM	\N	149	30165	UROK	\N	\N
3642260	3378	1998-08-31	PRIJEM	\N	135	32074	UROK	\N	\N
3642261	3378	1998-09-30	PRIJEM	\N	128	25575	UROK	\N	\N
3642262	3378	1998-10-31	PRIJEM	\N	108	23197	UROK	\N	\N
3642263	3378	1998-11-30	PRIJEM	\N	105	25375	UROK	\N	\N
3642264	3378	1998-12-31	PRIJEM	\N	120	22606	UROK	\N	\N
3642265	3380	1993-12-31	PRIJEM	\N	31	10377	UROK	\N	\N
3642266	3380	1994-01-31	PRIJEM	\N	83	23823	UROK	\N	\N
3642267	3380	1994-02-28	PRIJEM	\N	125	33112	UROK	\N	\N
3642268	3380	1994-03-31	PRIJEM	\N	157	32634	UROK	\N	\N
3642269	3380	1994-04-30	PRIJEM	\N	137	30159	UROK	\N	\N
3642270	3380	1994-05-31	PRIJEM	\N	124	29656	UROK	\N	\N
3642271	3380	1994-06-30	PRIJEM	\N	116	20427	UROK	\N	\N
3642272	3380	1994-07-31	PRIJEM	\N	90	21590	UROK	\N	\N
3642273	3380	1994-08-31	PRIJEM	\N	121	27884	UROK	\N	\N
3642274	3380	1994-09-30	PRIJEM	\N	117	27874	UROK	\N	\N
3642275	3380	1994-10-31	PRIJEM	\N	125	31173	UROK	\N	\N
3642276	3380	1994-11-30	PRIJEM	\N	140	31986	UROK	\N	\N
3642277	3380	1994-12-31	PRIJEM	\N	137	28778	UROK	\N	\N
3642278	3380	1995-01-31	PRIJEM	\N	120	28872	UROK	\N	\N
3642279	3380	1995-02-28	PRIJEM	\N	130	32274	UROK	\N	\N
3642280	3380	1995-03-31	PRIJEM	\N	124	29471	UROK	\N	\N
3642281	3380	1995-04-30	PRIJEM	\N	104	24649	UROK	\N	\N
3642282	3380	1995-05-31	PRIJEM	\N	114	28737	UROK	\N	\N
3642283	3380	1995-06-30	PRIJEM	\N	144	33036	UROK	\N	\N
3642284	3380	1995-07-31	PRIJEM	\N	155	34764	UROK	\N	\N
3642285	3380	1995-08-31	PRIJEM	\N	160	35997	UROK	\N	\N
3642286	3380	1995-09-30	PRIJEM	\N	144	29014	UROK	\N	\N
3642287	3380	1995-10-31	PRIJEM	\N	139	31227	UROK	\N	\N
3642288	3380	1995-11-30	PRIJEM	\N	144	32644	UROK	\N	\N
3642289	3380	1995-12-31	PRIJEM	\N	127	27426	UROK	\N	\N
3642290	3380	1996-01-31	PRIJEM	\N	131	30231	UROK	\N	\N
3642291	3380	1996-02-29	PRIJEM	\N	131	31135	UROK	\N	\N
3642292	3380	1996-03-31	PRIJEM	\N	134	30043	UROK	\N	\N
3642293	3380	1996-04-30	PRIJEM	\N	127	24344	UROK	\N	\N
3642294	3380	1996-05-31	PRIJEM	\N	117	24433	UROK	\N	\N
3642295	3380	1996-06-30	PRIJEM	\N	113	20602	UROK	\N	\N
3642296	3380	1996-07-31	PRIJEM	\N	93	17868	UROK	\N	\N
3642297	3380	1996-08-31	PRIJEM	\N	83	18523	UROK	\N	\N
3642298	3380	1996-09-30	PRIJEM	\N	91	20088	UROK	\N	\N
3642299	3380	1996-10-31	PRIJEM	\N	86	18047	UROK	\N	\N
3642300	3380	1996-11-30	PRIJEM	\N	79	18999	UROK	\N	\N
3642301	3380	1996-12-31	PRIJEM	\N	98	20053	UROK	\N	\N
3642302	3380	1997-01-31	PRIJEM	\N	86	20012	UROK	\N	\N
3642303	3380	1997-02-28	PRIJEM	\N	93	19078	UROK	\N	\N
3642304	3380	1997-03-31	PRIJEM	\N	89	17440	UROK	\N	\N
3642305	3380	1997-04-30	PRIJEM	\N	77	18890	UROK	\N	\N
3642306	3380	1997-05-31	PRIJEM	\N	84	21747	UROK	\N	\N
3642307	3380	1997-06-30	PRIJEM	\N	94	20796	UROK	\N	\N
3642308	3380	1997-07-31	PRIJEM	\N	89	21459	UROK	\N	\N
3642309	3380	1997-08-31	PRIJEM	\N	85	17817	UROK	\N	\N
3642310	3380	1997-09-30	PRIJEM	\N	72	17763	UROK	\N	\N
3642311	3380	1997-10-31	PRIJEM	\N	67	13104	UROK	\N	\N
3642312	3380	1997-11-30	PRIJEM	\N	59	15336	UROK	\N	\N
3642313	3380	1997-12-31	PRIJEM	\N	90	20882	UROK	\N	\N
3642314	3380	1998-01-31	PRIJEM	\N	91	23146	UROK	\N	\N
3642315	3380	1998-02-28	PRIJEM	\N	84	13804	UROK	\N	\N
3642316	3380	1998-03-31	PRIJEM	\N	62	16039	UROK	\N	\N
3642317	3380	1998-04-30	PRIJEM	\N	70	17483	UROK	\N	\N
3642318	3380	1998-05-31	PRIJEM	\N	89	19745	UROK	\N	\N
3642319	3380	1998-06-30	PRIJEM	\N	96	25296	UROK	\N	\N
3642320	3380	1998-07-31	PRIJEM	\N	89	18659	UROK	\N	\N
3642321	3380	1998-08-31	PRIJEM	\N	93	20925	UROK	\N	\N
3642322	3380	1998-09-30	PRIJEM	\N	77	19876	UROK	\N	\N
3642323	3380	1998-10-31	PRIJEM	\N	86	22135	UROK	\N	\N
3642324	3380	1998-11-30	PRIJEM	\N	92	23100	UROK	\N	\N
3642325	3380	1998-12-31	PRIJEM	\N	113	27568	UROK	\N	\N
3642326	3381	1997-08-31	PRIJEM	\N	60	19334	UROK	\N	\N
3642327	3381	1997-09-30	PRIJEM	\N	159	45066	UROK	\N	\N
3642328	3381	1997-10-31	PRIJEM	\N	219	56059	UROK	\N	\N
3642329	3381	1997-11-30	PRIJEM	\N	176	61510	UROK	\N	\N
3642330	3381	1997-12-31	PRIJEM	\N	231	47712	UROK	\N	\N
3642331	3381	1998-01-31	PRIJEM	\N	194	37115	UROK	\N	\N
3642332	3381	1998-02-28	PRIJEM	\N	180	46383	UROK	\N	\N
3642333	3381	1998-03-31	PRIJEM	\N	175	32946	UROK	\N	\N
3642334	3381	1998-04-30	PRIJEM	\N	158	28193	UROK	\N	\N
3642335	3381	1998-05-31	PRIJEM	\N	128	19329	UROK	\N	\N
3642336	3381	1998-06-30	PRIJEM	\N	132	25687	UROK	\N	\N
3642337	3381	1998-07-31	PRIJEM	\N	126	18802	UROK	\N	\N
3642338	3381	1998-08-31	PRIJEM	\N	94	13004	UROK	\N	\N
3642339	3381	1998-09-30	PRIJEM	\N	78	17171	UROK	\N	\N
3642340	3381	1998-10-31	PRIJEM	\N	95	21455	UROK	\N	\N
3642341	3381	1998-11-30	PRIJEM	\N	89	17972	UROK	\N	\N
3642342	3381	1998-12-31	PRIJEM	\N	120	29317	UROK	\N	\N
3642343	3382	1998-02-28	PRIJEM	\N	110	70538	UROK	\N	\N
3642344	3382	1998-03-31	PRIJEM	\N	280	57459	UROK	\N	\N
3642345	3382	1998-04-30	PRIJEM	\N	249	64027	UROK	\N	\N
3642346	3382	1998-05-31	PRIJEM	\N	266	41593	UROK	\N	\N
3642347	3382	1998-06-30	PRIJEM	\N	266	32159	UROK	\N	\N
3642348	3382	1998-07-31	PRIJEM	\N	266	27024	UROK	\N	\N
3642349	3382	1998-08-31	PRIJEM	\N	216	22740	UROK	\N	\N
3642350	3382	1998-09-30	PRIJEM	\N	133	37456	UROK	\N	\N
3642351	3382	1998-10-31	PRIJEM	\N	156	42042	UROK	\N	\N
3642352	3382	1998-11-30	PRIJEM	\N	153	31864	UROK	\N	\N
3642353	3382	1998-12-31	PRIJEM	\N	31	3601	UROK	\N	\N
3642354	3384	1995-11-30	PRIJEM	\N	20	7331	UROK	\N	\N
3642355	3384	1995-12-31	PRIJEM	\N	31	13573	UROK	\N	\N
3642356	3384	1996-01-31	PRIJEM	\N	31	19814	UROK	\N	\N
3642357	3384	1996-02-29	PRIJEM	\N	31	26056	UROK	\N	\N
3642358	3384	1996-03-31	PRIJEM	\N	84	29415	UROK	\N	\N
3642359	3384	1996-04-30	PRIJEM	\N	121	29098	UROK	\N	\N
3642360	3384	1996-05-31	PRIJEM	\N	129	32488	UROK	\N	\N
3642361	3384	1996-06-30	PRIJEM	\N	136	31936	UROK	\N	\N
3642362	3384	1996-07-31	PRIJEM	\N	138	34216	UROK	\N	\N
3642363	3384	1996-08-31	PRIJEM	\N	150	37628	UROK	\N	\N
3642364	3384	1996-09-30	PRIJEM	\N	161	37290	UROK	\N	\N
3642365	3384	1996-10-31	PRIJEM	\N	163	40714	UROK	\N	\N
3642366	3384	1996-11-30	PRIJEM	\N	172	41268	UROK	\N	\N
3642367	3384	1996-12-31	PRIJEM	\N	178	41687	UROK	\N	\N
3642368	3384	1997-01-31	PRIJEM	\N	154	35272	UROK	\N	\N
3642369	3384	1997-02-28	PRIJEM	\N	154	38688	UROK	\N	\N
3642370	3384	1997-03-31	PRIJEM	\N	169	42118	UROK	\N	\N
3642371	3384	1997-04-30	PRIJEM	\N	182	44262	UROK	\N	\N
3642372	3384	1997-05-31	PRIJEM	\N	191	45394	UROK	\N	\N
3642373	3384	1997-06-30	PRIJEM	\N	168	35593	UROK	\N	\N
3642374	3384	1997-07-31	PRIJEM	\N	155	36649	UROK	\N	\N
3642375	3384	1997-08-31	PRIJEM	\N	154	34564	UROK	\N	\N
3642376	3384	1997-09-30	PRIJEM	\N	137	31243	UROK	\N	\N
3642377	3384	1997-10-31	PRIJEM	\N	138	34642	UROK	\N	\N
3642378	3384	1997-11-30	PRIJEM	\N	152	38054	UROK	\N	\N
3642379	3384	1997-12-31	PRIJEM	\N	168	41234	UROK	\N	\N
3642380	3384	1998-01-31	PRIJEM	\N	162	28997	UROK	\N	\N
3642381	3384	1998-02-28	PRIJEM	\N	127	32386	UROK	\N	\N
3642382	3384	1998-03-31	PRIJEM	\N	142	35789	UROK	\N	\N
3642383	3384	1998-04-30	PRIJEM	\N	155	37045	UROK	\N	\N
3642384	3384	1998-05-31	PRIJEM	\N	156	36543	UROK	\N	\N
3642385	3384	1998-06-30	PRIJEM	\N	141	32646	UROK	\N	\N
3642386	3384	1998-07-31	PRIJEM	\N	141	33348	UROK	\N	\N
3642387	3384	1998-08-31	PRIJEM	\N	141	35711	UROK	\N	\N
3642388	3384	1998-09-30	PRIJEM	\N	155	39128	UROK	\N	\N
3642389	3384	1998-10-31	PRIJEM	\N	167	40956	UROK	\N	\N
3642390	3384	1998-11-30	PRIJEM	\N	177	44195	UROK	\N	\N
3642391	3384	1998-12-31	PRIJEM	\N	191	47147	UROK	\N	\N
3642392	3385	1998-01-31	PRIJEM	\N	29	17810	UROK	\N	\N
3642393	3385	1998-02-28	PRIJEM	\N	84	24274	UROK	\N	\N
3642394	3385	1998-03-31	PRIJEM	\N	106	27761	UROK	\N	\N
3642395	3385	1998-04-30	PRIJEM	\N	126	34868	UROK	\N	\N
3642396	3385	1998-05-31	PRIJEM	\N	146	36441	UROK	\N	\N
3642397	3385	1998-06-30	PRIJEM	\N	160	39504	UROK	\N	\N
3642398	3385	1998-07-31	PRIJEM	\N	160	34977	UROK	\N	\N
3642399	3385	1998-08-31	PRIJEM	\N	156	39845	UROK	\N	\N
3642400	3385	1998-09-30	PRIJEM	\N	172	42529	UROK	\N	\N
3642401	3385	1998-10-31	PRIJEM	\N	185	46226	UROK	\N	\N
3642402	3385	1998-11-30	PRIJEM	\N	191	45129	UROK	\N	\N
3642403	3385	1998-12-31	PRIJEM	\N	192	44425	UROK	\N	\N
3642404	3387	1997-01-31	PRIJEM	\N	19	28771	UROK	\N	\N
3642405	3387	1997-02-28	PRIJEM	\N	128	47251	UROK	\N	\N
3642406	3387	1997-03-31	PRIJEM	\N	203	59406	UROK	\N	\N
3642407	3387	1997-04-30	PRIJEM	\N	249	62907	UROK	\N	\N
3642408	3387	1997-05-31	PRIJEM	\N	261	62920	UROK	\N	\N
3642409	3387	1997-06-30	PRIJEM	\N	145	22763	UROK	\N	\N
3642410	3387	1997-07-31	PRIJEM	\N	172	44658	UROK	\N	\N
3642411	3387	1997-08-31	PRIJEM	\N	200	59980	UROK	\N	\N
3642412	3387	1997-09-30	PRIJEM	\N	285	56349	UROK	\N	\N
3642413	3387	1997-10-31	PRIJEM	\N	242	63814	UROK	\N	\N
3642414	3387	1997-11-30	PRIJEM	\N	259	53545	UROK	\N	\N
3642415	3387	1997-12-31	PRIJEM	\N	274	39492	UROK	\N	\N
3642416	3387	1998-01-31	PRIJEM	\N	131	18101	UROK	\N	\N
3642417	3387	1998-02-28	PRIJEM	\N	118	54641	UROK	\N	\N
3642418	3387	1998-03-31	PRIJEM	\N	241	64805	UROK	\N	\N
3642419	3387	1998-04-30	PRIJEM	\N	278	71604	UROK	\N	\N
3642420	3387	1998-05-31	PRIJEM	\N	294	67235	UROK	\N	\N
3642421	3387	1998-06-30	PRIJEM	\N	284	26816	UROK	\N	\N
3642422	3387	1998-07-31	PRIJEM	\N	148	36743	UROK	\N	\N
3642423	3387	1998-08-31	PRIJEM	\N	225	62792	UROK	\N	\N
3642424	3387	1998-09-30	PRIJEM	\N	316	79001	UROK	\N	\N
3642425	3387	1998-10-31	PRIJEM	\N	356	84279	UROK	\N	\N
3642426	3387	1998-11-30	PRIJEM	\N	346	72846	UROK	\N	\N
3642427	3387	1998-12-31	PRIJEM	\N	288	68626	UROK	\N	\N
3642428	3389	1996-02-29	PRIJEM	\N	47	56502	UROK	\N	\N
3642429	3389	1996-03-31	PRIJEM	\N	217	58428	UROK	\N	\N
3642430	3389	1996-04-30	PRIJEM	\N	243	43370	UROK	\N	\N
3642431	3389	1996-05-31	PRIJEM	\N	251	49855	UROK	\N	\N
3642432	3389	1996-06-30	PRIJEM	\N	216	83954	UROK	\N	\N
3642433	3389	1996-07-31	PRIJEM	\N	343	65990	UROK	\N	\N
3642434	3389	1996-08-31	PRIJEM	\N	307	64128	UROK	\N	\N
3642435	3389	1996-09-30	PRIJEM	\N	376	63749	UROK	\N	\N
3642436	3389	1996-10-31	PRIJEM	\N	260	56507	UROK	\N	\N
3642437	3389	1996-11-30	PRIJEM	\N	271	69016	UROK	\N	\N
3642438	3389	1996-12-31	PRIJEM	\N	339	67463	UROK	\N	\N
3642439	3389	1997-01-31	PRIJEM	\N	231	38735	UROK	\N	\N
3642440	3389	1997-02-28	PRIJEM	\N	155	38280	UROK	\N	\N
3642441	3389	1997-03-31	PRIJEM	\N	126	32794	UROK	\N	\N
3642442	3389	1997-04-30	PRIJEM	\N	189	55525	UROK	\N	\N
3642443	3389	1997-05-31	PRIJEM	\N	203	42430	UROK	\N	\N
3642444	3389	1997-06-30	PRIJEM	\N	170	29403	UROK	\N	\N
3642445	3389	1997-07-31	PRIJEM	\N	253	61494	UROK	\N	\N
3642446	3389	1997-08-31	PRIJEM	\N	244	46203	UROK	\N	\N
3642447	3389	1997-09-30	PRIJEM	\N	190	44996	UROK	\N	\N
3642448	3389	1997-10-31	PRIJEM	\N	249	61169	UROK	\N	\N
3642449	3389	1997-11-30	PRIJEM	\N	380	113083	UROK	\N	\N
3642450	3389	1997-12-31	PRIJEM	\N	303	69494	UROK	\N	\N
3642451	3389	1998-01-31	PRIJEM	\N	327	45628	UROK	\N	\N
3642452	3389	1998-02-28	PRIJEM	\N	315	57892	UROK	\N	\N
3642453	3389	1998-03-31	PRIJEM	\N	207	46468	UROK	\N	\N
3642454	3389	1998-04-30	PRIJEM	\N	95	23228	UROK	\N	\N
3642455	3389	1998-05-31	PRIJEM	\N	104	28536	UROK	\N	\N
3642456	3389	1998-06-30	PRIJEM	\N	179	92910	UROK	\N	\N
3642457	3389	1998-07-31	PRIJEM	\N	375	82138	UROK	\N	\N
3642458	3389	1998-08-31	PRIJEM	\N	257	41305	UROK	\N	\N
3642459	3389	1998-09-30	PRIJEM	\N	217	74902	UROK	\N	\N
3642460	3389	1998-10-31	PRIJEM	\N	280	63637	UROK	\N	\N
3642461	3389	1998-11-30	PRIJEM	\N	308	86833	UROK	\N	\N
3642462	3389	1998-12-31	PRIJEM	\N	280	46016	UROK	\N	\N
3642463	3390	1997-01-31	PRIJEM	\N	35	23548	UROK	\N	\N
3642464	3390	1997-02-28	PRIJEM	\N	117	37678	UROK	\N	\N
3642465	3390	1997-03-31	PRIJEM	\N	161	41052	UROK	\N	\N
3642466	3390	1997-04-30	PRIJEM	\N	176	44840	UROK	\N	\N
3642467	3390	1997-05-31	PRIJEM	\N	211	45045	UROK	\N	\N
3642468	3390	1997-06-30	PRIJEM	\N	231	45897	UROK	\N	\N
3642469	3390	1997-07-31	PRIJEM	\N	210	42170	UROK	\N	\N
3642470	3390	1997-08-31	PRIJEM	\N	186	40321	UROK	\N	\N
3642471	3390	1997-09-30	PRIJEM	\N	191	44576	UROK	\N	\N
3642472	3390	1997-10-31	PRIJEM	\N	179	35453	UROK	\N	\N
3642473	3390	1997-11-30	PRIJEM	\N	149	32566	UROK	\N	\N
3642474	3390	1997-12-31	PRIJEM	\N	185	47371	UROK	\N	\N
3642475	3390	1998-01-31	PRIJEM	\N	170	33806	UROK	\N	\N
3642476	3390	1998-02-28	PRIJEM	\N	181	38388	UROK	\N	\N
3642477	3390	1998-03-31	PRIJEM	\N	173	41704	UROK	\N	\N
3642478	3390	1998-04-30	PRIJEM	\N	198	47480	UROK	\N	\N
3642479	3390	1998-05-31	PRIJEM	\N	194	38088	UROK	\N	\N
3642480	3390	1998-06-30	PRIJEM	\N	210	53534	UROK	\N	\N
3642481	3390	1998-07-31	PRIJEM	\N	232	53345	UROK	\N	\N
3642482	3390	1998-08-31	PRIJEM	\N	228	49251	UROK	\N	\N
3642483	3390	1998-09-30	PRIJEM	\N	236	59065	UROK	\N	\N
3642484	3390	1998-10-31	PRIJEM	\N	251	50894	UROK	\N	\N
3642485	3390	1998-11-30	PRIJEM	\N	202	47203	UROK	\N	\N
3642486	3390	1998-12-31	PRIJEM	\N	208	51347	UROK	\N	\N
3642487	3391	1993-04-30	PRIJEM	\N	46	17326	UROK	\N	\N
3642488	3391	1993-05-31	PRIJEM	\N	128	38333	UROK	\N	\N
3642489	3391	1993-06-30	PRIJEM	\N	139	58542	UROK	\N	\N
3642490	3391	1993-07-31	PRIJEM	\N	179	40901	UROK	\N	\N
3642491	3391	1993-08-31	PRIJEM	\N	206	38474	UROK	\N	\N
3642492	3391	1993-09-30	PRIJEM	\N	184	37928	UROK	\N	\N
3642493	3391	1993-10-31	PRIJEM	\N	175	37554	UROK	\N	\N
3642494	3391	1993-11-30	PRIJEM	\N	177	37701	UROK	\N	\N
3642495	3391	1993-12-31	PRIJEM	\N	195	41837	UROK	\N	\N
3642496	3391	1994-01-31	PRIJEM	\N	159	32426	UROK	\N	\N
3642497	3391	1994-02-28	PRIJEM	\N	153	33309	UROK	\N	\N
3642498	3391	1994-03-31	PRIJEM	\N	162	36042	UROK	\N	\N
3642499	3391	1994-04-30	PRIJEM	\N	170	37282	UROK	\N	\N
3642500	3391	1994-05-31	PRIJEM	\N	175	36227	UROK	\N	\N
3642501	3391	1994-06-30	PRIJEM	\N	126	30154	UROK	\N	\N
3642502	3391	1994-07-31	PRIJEM	\N	134	32458	UROK	\N	\N
3642503	3391	1994-08-31	PRIJEM	\N	155	34983	UROK	\N	\N
3642504	3391	1994-09-30	PRIJEM	\N	163	35916	UROK	\N	\N
3642505	3391	1994-10-31	PRIJEM	\N	166	36953	UROK	\N	\N
3642506	3391	1994-11-30	PRIJEM	\N	167	36091	UROK	\N	\N
3642507	3391	1994-12-31	PRIJEM	\N	167	38618	UROK	\N	\N
3642508	3391	1995-01-31	PRIJEM	\N	157	33746	UROK	\N	\N
3642509	3391	1995-02-28	PRIJEM	\N	154	34971	UROK	\N	\N
3642510	3391	1995-03-31	PRIJEM	\N	165	38706	UROK	\N	\N
3642511	3391	1995-04-30	PRIJEM	\N	170	36446	UROK	\N	\N
3642512	3391	1995-05-31	PRIJEM	\N	167	39283	UROK	\N	\N
3642513	3391	1995-06-30	PRIJEM	\N	174	27598	UROK	\N	\N
3642514	3391	1995-07-31	PRIJEM	\N	126	28854	UROK	\N	\N
3642515	3391	1995-08-31	PRIJEM	\N	131	26856	UROK	\N	\N
3642516	3391	1995-09-30	PRIJEM	\N	127	30652	UROK	\N	\N
3642517	3391	1995-10-31	PRIJEM	\N	147	37370	UROK	\N	\N
3642518	3391	1995-11-30	PRIJEM	\N	163	37343	UROK	\N	\N
3642519	3391	1995-12-31	PRIJEM	\N	175	42719	UROK	\N	\N
3642520	3391	1996-01-31	PRIJEM	\N	164	30273	UROK	\N	\N
3642521	3391	1996-02-29	PRIJEM	\N	147	38390	UROK	\N	\N
3642522	3391	1996-03-31	PRIJEM	\N	161	37422	UROK	\N	\N
3642523	3391	1996-04-30	PRIJEM	\N	160	39172	UROK	\N	\N
3642524	3391	1996-05-31	PRIJEM	\N	174	42817	UROK	\N	\N
3642525	3391	1996-06-30	PRIJEM	\N	148	24265	UROK	\N	\N
3642526	3391	1996-07-31	PRIJEM	\N	124	31700	UROK	\N	\N
3642527	3391	1996-08-31	PRIJEM	\N	146	37616	UROK	\N	\N
3642528	3391	1996-09-30	PRIJEM	\N	182	39969	UROK	\N	\N
3642529	3391	1996-10-31	PRIJEM	\N	177	44217	UROK	\N	\N
3642530	3391	1996-11-30	PRIJEM	\N	202	52589	UROK	\N	\N
3642531	3391	1996-12-31	PRIJEM	\N	257	64007	UROK	\N	\N
3642532	3391	1997-01-31	PRIJEM	\N	236	48873	UROK	\N	\N
3642533	3391	1997-02-28	PRIJEM	\N	210	54554	UROK	\N	\N
3642534	3391	1997-03-31	PRIJEM	\N	238	59562	UROK	\N	\N
3642535	3391	1997-04-30	PRIJEM	\N	267	68099	UROK	\N	\N
3642536	3391	1997-05-31	PRIJEM	\N	273	66443	UROK	\N	\N
3642537	3391	1997-06-30	PRIJEM	\N	261	67224	UROK	\N	\N
3642538	3391	1997-07-31	PRIJEM	\N	278	69872	UROK	\N	\N
3642539	3391	1997-08-31	PRIJEM	\N	268	66210	UROK	\N	\N
3642540	3391	1997-09-30	PRIJEM	\N	275	70155	UROK	\N	\N
3642541	3391	1997-10-31	PRIJEM	\N	285	71210	UROK	\N	\N
3642542	3391	1997-11-30	PRIJEM	\N	273	65354	UROK	\N	\N
3642543	3391	1997-12-31	PRIJEM	\N	283	73298	UROK	\N	\N
3642544	3391	1998-01-31	PRIJEM	\N	244	57312	UROK	\N	\N
3642545	3391	1998-02-28	PRIJEM	\N	216	53798	UROK	\N	\N
3642546	3391	1998-03-31	PRIJEM	\N	200	48768	UROK	\N	\N
3642547	3391	1998-04-30	PRIJEM	\N	205	53944	UROK	\N	\N
3642548	3391	1998-05-31	PRIJEM	\N	222	57636	UROK	\N	\N
3642549	3391	1998-06-30	PRIJEM	\N	190	45227	UROK	\N	\N
3642550	3391	1998-07-31	PRIJEM	\N	200	52898	UROK	\N	\N
3642551	3391	1998-08-31	PRIJEM	\N	225	58892	UROK	\N	\N
3642552	3391	1998-09-30	PRIJEM	\N	234	60197	UROK	\N	\N
3642553	3391	1998-10-31	PRIJEM	\N	240	57907	UROK	\N	\N
3642554	3391	1998-11-30	PRIJEM	\N	254	66932	UROK	\N	\N
3642555	3391	1998-12-31	PRIJEM	\N	275	72167	UROK	\N	\N
3642556	3392	1995-06-30	PRIJEM	\N	46	15215	UROK	\N	\N
3642557	3392	1995-07-31	PRIJEM	\N	111	30672	UROK	\N	\N
3642558	3392	1995-08-31	PRIJEM	\N	151	38369	UROK	\N	\N
3642559	3392	1995-09-30	PRIJEM	\N	170	41785	UROK	\N	\N
3642560	3392	1995-10-31	PRIJEM	\N	174	41804	UROK	\N	\N
3642561	3392	1995-11-30	PRIJEM	\N	162	35698	UROK	\N	\N
3642562	3392	1995-12-31	PRIJEM	\N	161	39895	UROK	\N	\N
3642563	3392	1996-01-31	PRIJEM	\N	143	35030	UROK	\N	\N
3642564	3392	1996-02-29	PRIJEM	\N	125	30667	UROK	\N	\N
3642565	3392	1996-03-31	PRIJEM	\N	125	31385	UROK	\N	\N
3642566	3392	1996-04-30	PRIJEM	\N	124	31001	UROK	\N	\N
3642567	3392	1996-05-31	PRIJEM	\N	132	33425	UROK	\N	\N
3642568	3392	1996-06-30	PRIJEM	\N	151	35972	UROK	\N	\N
3642569	3392	1996-07-31	PRIJEM	\N	138	34403	UROK	\N	\N
3642570	3392	1996-08-31	PRIJEM	\N	127	31522	UROK	\N	\N
3642571	3392	1996-09-30	PRIJEM	\N	123	30537	UROK	\N	\N
3642572	3392	1996-10-31	PRIJEM	\N	125	23754	UROK	\N	\N
3642573	3392	1996-11-30	PRIJEM	\N	109	28255	UROK	\N	\N
3642574	3392	1996-12-31	PRIJEM	\N	136	27987	UROK	\N	\N
3642575	3392	1997-01-31	PRIJEM	\N	120	26119	UROK	\N	\N
3642576	3392	1997-02-28	PRIJEM	\N	100	20932	UROK	\N	\N
3642577	3392	1997-03-31	PRIJEM	\N	96	21020	UROK	\N	\N
3642578	3392	1997-04-30	PRIJEM	\N	97	23409	UROK	\N	\N
3642579	3392	1997-05-31	PRIJEM	\N	104	21705	UROK	\N	\N
3642580	3392	1997-06-30	PRIJEM	\N	111	24332	UROK	\N	\N
3642581	3392	1997-07-31	PRIJEM	\N	110	26634	UROK	\N	\N
3642582	3392	1997-08-31	PRIJEM	\N	104	23351	UROK	\N	\N
3642583	3392	1997-09-30	PRIJEM	\N	106	26049	UROK	\N	\N
3642584	3392	1997-10-31	PRIJEM	\N	116	27057	UROK	\N	\N
3642585	3392	1997-11-30	PRIJEM	\N	116	24866	UROK	\N	\N
3642586	3392	1997-12-31	PRIJEM	\N	96	21117	UROK	\N	\N
3642587	3392	1998-01-31	PRIJEM	\N	95	22504	UROK	\N	\N
3642588	3392	1998-02-28	PRIJEM	\N	99	22896	UROK	\N	\N
3642589	3392	1998-03-31	PRIJEM	\N	96	16944	UROK	\N	\N
3642590	3392	1998-04-30	PRIJEM	\N	81	21918	UROK	\N	\N
3642591	3392	1998-05-31	PRIJEM	\N	100	25010	UROK	\N	\N
3642592	3392	1998-06-30	PRIJEM	\N	98	16343	UROK	\N	\N
3642593	3392	1998-07-31	PRIJEM	\N	84	25120	UROK	\N	\N
3642594	3392	1998-08-31	PRIJEM	\N	106	28258	UROK	\N	\N
3642595	3392	1998-09-30	PRIJEM	\N	128	33079	UROK	\N	\N
3642596	3392	1998-10-31	PRIJEM	\N	150	38922	UROK	\N	\N
3642597	3392	1998-11-30	PRIJEM	\N	154	35768	UROK	\N	\N
3642598	3392	1998-12-31	PRIJEM	\N	151	39654	UROK	\N	\N
3642599	3393	1997-01-31	PRIJEM	\N	25	17195	UROK	\N	\N
3642600	3393	1997-02-28	PRIJEM	\N	83	25949	UROK	\N	\N
3642601	3393	1997-03-31	PRIJEM	\N	114	30933	UROK	\N	\N
3642602	3393	1997-04-30	PRIJEM	\N	129	31332	UROK	\N	\N
3642603	3393	1997-05-31	PRIJEM	\N	111	21423	UROK	\N	\N
3642604	3393	1997-06-30	PRIJEM	\N	94	22065	UROK	\N	\N
3642605	3393	1997-07-31	PRIJEM	\N	97	22224	UROK	\N	\N
3642606	3393	1997-08-31	PRIJEM	\N	104	25790	UROK	\N	\N
3642607	3393	1997-09-30	PRIJEM	\N	106	22859	UROK	\N	\N
3642608	3393	1997-10-31	PRIJEM	\N	99	22921	UROK	\N	\N
3642609	3393	1997-11-30	PRIJEM	\N	98	22081	UROK	\N	\N
3642610	3393	1997-12-31	PRIJEM	\N	98	20727	UROK	\N	\N
3642611	3393	1998-01-31	PRIJEM	\N	72	15161	UROK	\N	\N
3642612	3393	1998-02-28	PRIJEM	\N	64	14187	UROK	\N	\N
3642613	3393	1998-03-31	PRIJEM	\N	62	14011	UROK	\N	\N
3642614	3393	1998-04-30	PRIJEM	\N	61	13835	UROK	\N	\N
3642615	3393	1998-05-31	PRIJEM	\N	69	17867	UROK	\N	\N
3642616	3393	1998-06-30	PRIJEM	\N	78	16592	UROK	\N	\N
3642617	3393	1998-07-31	PRIJEM	\N	67	14822	UROK	\N	\N
3642618	3393	1998-08-31	PRIJEM	\N	56	11740	UROK	\N	\N
3642619	3393	1998-09-30	PRIJEM	\N	54	13156	UROK	\N	\N
3642620	3393	1998-10-31	PRIJEM	\N	59	14478	UROK	\N	\N
3642621	3393	1998-11-30	PRIJEM	\N	55	12095	UROK	\N	\N
3642622	3393	1998-12-31	PRIJEM	\N	59	14301	UROK	\N	\N
3642623	3394	1996-10-31	PRIJEM	\N	17	6739	UROK	\N	\N
3642624	3394	1996-11-30	PRIJEM	\N	28	13289	UROK	\N	\N
3642625	3394	1996-12-31	PRIJEM	\N	28	19839	UROK	\N	\N
3642626	3394	1997-01-31	PRIJEM	\N	28	26389	UROK	\N	\N
3642627	3394	1997-02-28	PRIJEM	\N	74	24067	UROK	\N	\N
3642628	3394	1997-03-31	PRIJEM	\N	104	25989	UROK	\N	\N
3642629	3394	1997-04-30	PRIJEM	\N	112	27819	UROK	\N	\N
3642630	3394	1997-05-31	PRIJEM	\N	105	24742	UROK	\N	\N
3642631	3394	1997-06-30	PRIJEM	\N	91	19602	UROK	\N	\N
3642632	3394	1997-07-31	PRIJEM	\N	81	20101	UROK	\N	\N
3642633	3394	1997-08-31	PRIJEM	\N	73	18113	UROK	\N	\N
3642634	3394	1997-09-30	PRIJEM	\N	71	17102	UROK	\N	\N
3642635	3394	1997-10-31	PRIJEM	\N	80	20700	UROK	\N	\N
3642636	3394	1997-11-30	PRIJEM	\N	80	19399	UROK	\N	\N
3642637	3394	1997-12-31	PRIJEM	\N	85	21602	UROK	\N	\N
3642638	3394	1998-01-31	PRIJEM	\N	66	13086	UROK	\N	\N
3642639	3394	1998-02-28	PRIJEM	\N	59	14323	UROK	\N	\N
3642640	3394	1998-03-31	PRIJEM	\N	72	19013	UROK	\N	\N
3642641	3394	1998-04-30	PRIJEM	\N	83	21015	UROK	\N	\N
3642642	3394	1998-05-31	PRIJEM	\N	94	24027	UROK	\N	\N
3642643	3394	1998-06-30	PRIJEM	\N	80	18376	UROK	\N	\N
3642644	3394	1998-07-31	PRIJEM	\N	85	22079	UROK	\N	\N
3642645	3394	1998-08-31	PRIJEM	\N	103	25101	UROK	\N	\N
3642646	3394	1998-09-30	PRIJEM	\N	108	19028	UROK	\N	\N
3642647	3394	1998-10-31	PRIJEM	\N	89	18835	UROK	\N	\N
3642648	3394	1998-11-30	PRIJEM	\N	89	20142	UROK	\N	\N
3642649	3394	1998-12-31	PRIJEM	\N	95	24355	UROK	\N	\N
3642650	3395	1997-11-30	PRIJEM	\N	85	24649	UROK	\N	\N
3642651	3395	1997-12-31	PRIJEM	\N	226	60121	UROK	\N	\N
3642652	3395	1998-01-31	PRIJEM	\N	265	64650	UROK	\N	\N
3642653	3395	1998-02-28	PRIJEM	\N	278	67492	UROK	\N	\N
3642654	3395	1998-03-31	PRIJEM	\N	271	62516	UROK	\N	\N
3642655	3395	1998-04-30	PRIJEM	\N	274	66427	UROK	\N	\N
3642656	3395	1998-05-31	PRIJEM	\N	277	66242	UROK	\N	\N
3642657	3395	1998-06-30	PRIJEM	\N	308	77869	UROK	\N	\N
3642658	3395	1998-07-31	PRIJEM	\N	322	77228	UROK	\N	\N
3642659	3395	1998-08-31	PRIJEM	\N	316	75682	UROK	\N	\N
3642660	3395	1998-09-30	PRIJEM	\N	319	72638	UROK	\N	\N
3642661	3395	1998-10-31	PRIJEM	\N	306	74281	UROK	\N	\N
3642662	3395	1998-11-30	PRIJEM	\N	288	73406	UROK	\N	\N
3642663	3395	1998-12-31	PRIJEM	\N	329	85854	UROK	\N	\N
3642664	3397	1996-08-31	PRIJEM	\N	74	20368	UROK	\N	\N
3642665	3397	1996-09-30	PRIJEM	\N	164	42526	UROK	\N	\N
3642666	3397	1996-10-31	PRIJEM	\N	207	51027	UROK	\N	\N
3642667	3397	1996-11-30	PRIJEM	\N	223	54244	UROK	\N	\N
3642668	3397	1996-12-31	PRIJEM	\N	238	51483	UROK	\N	\N
3642669	3397	1997-01-31	PRIJEM	\N	147	25469	UROK	\N	\N
3642670	3397	1997-02-28	PRIJEM	\N	122	31971	UROK	\N	\N
3642671	3397	1997-03-31	PRIJEM	\N	146	33096	UROK	\N	\N
3642672	3397	1997-04-30	PRIJEM	\N	156	35731	UROK	\N	\N
3642673	3397	1997-05-31	PRIJEM	\N	163	35874	UROK	\N	\N
3642674	3397	1997-06-30	PRIJEM	\N	173	41813	UROK	\N	\N
3642675	3397	1997-07-31	PRIJEM	\N	167	32720	UROK	\N	\N
3642676	3397	1997-08-31	PRIJEM	\N	159	32118	UROK	\N	\N
3642677	3397	1997-09-30	PRIJEM	\N	157	32254	UROK	\N	\N
3642678	3397	1997-10-31	PRIJEM	\N	157	33090	UROK	\N	\N
3642679	3397	1997-11-30	PRIJEM	\N	159	33529	UROK	\N	\N
3642680	3397	1997-12-31	PRIJEM	\N	179	31075	UROK	\N	\N
3642681	3397	1998-01-31	PRIJEM	\N	123	22297	UROK	\N	\N
3642682	3397	1998-02-28	PRIJEM	\N	116	27792	UROK	\N	\N
3642683	3397	1998-03-31	PRIJEM	\N	139	31910	UROK	\N	\N
3642684	3397	1998-04-30	PRIJEM	\N	155	35145	UROK	\N	\N
3642685	3397	1998-05-31	PRIJEM	\N	168	38792	UROK	\N	\N
3642686	3397	1998-06-30	PRIJEM	\N	184	34622	UROK	\N	\N
3642687	3397	1998-07-31	PRIJEM	\N	165	37766	UROK	\N	\N
3642688	3397	1998-08-31	PRIJEM	\N	171	35917	UROK	\N	\N
3642689	3397	1998-09-30	PRIJEM	\N	159	27375	UROK	\N	\N
3642690	3397	1998-10-31	PRIJEM	\N	136	33591	UROK	\N	\N
3642691	3397	1998-11-30	PRIJEM	\N	152	32622	UROK	\N	\N
3642692	3397	1998-12-31	PRIJEM	\N	180	34209	UROK	\N	\N
3642693	3398	1997-09-30	PRIJEM	\N	72	27037	UROK	\N	\N
3642694	3398	1997-10-31	PRIJEM	\N	120	29543	UROK	\N	\N
3642695	3398	1997-11-30	PRIJEM	\N	125	30054	UROK	\N	\N
3642696	3398	1997-12-31	PRIJEM	\N	122	28613	UROK	\N	\N
3642697	3398	1998-01-31	PRIJEM	\N	111	18650	UROK	\N	\N
3642698	3398	1998-02-28	PRIJEM	\N	86	22623	UROK	\N	\N
3642699	3398	1998-03-31	PRIJEM	\N	96	22905	UROK	\N	\N
3642700	3398	1998-04-30	PRIJEM	\N	106	26398	UROK	\N	\N
3642701	3398	1998-05-31	PRIJEM	\N	106	24790	UROK	\N	\N
3642702	3398	1998-06-30	PRIJEM	\N	100	16127	UROK	\N	\N
3642703	3398	1998-07-31	PRIJEM	\N	73	18646	UROK	\N	\N
3642704	3398	1998-08-31	PRIJEM	\N	76	17709	UROK	\N	\N
3642705	3398	1998-09-30	PRIJEM	\N	76	17871	UROK	\N	\N
3642706	3398	1998-10-31	PRIJEM	\N	75	18312	UROK	\N	\N
3642707	3398	1998-11-30	PRIJEM	\N	85	22284	UROK	\N	\N
3642708	3398	1998-12-31	PRIJEM	\N	104	25494	UROK	\N	\N
3642709	3399	1996-10-31	PRIJEM	\N	18	22708	UROK	\N	\N
3642710	3399	1996-11-30	PRIJEM	\N	102	31500	UROK	\N	\N
3642711	3399	1996-12-31	PRIJEM	\N	139	40374	UROK	\N	\N
3642712	3399	1997-01-31	PRIJEM	\N	167	39331	UROK	\N	\N
3642713	3399	1997-02-28	PRIJEM	\N	181	34793	UROK	\N	\N
3642714	3399	1997-03-31	PRIJEM	\N	160	33182	UROK	\N	\N
3642715	3399	1997-04-30	PRIJEM	\N	150	33782	UROK	\N	\N
3642716	3399	1997-05-31	PRIJEM	\N	156	34128	UROK	\N	\N
3642717	3399	1997-06-30	PRIJEM	\N	177	37279	UROK	\N	\N
3642718	3399	1997-07-31	PRIJEM	\N	170	35778	UROK	\N	\N
3642719	3399	1997-08-31	PRIJEM	\N	165	36872	UROK	\N	\N
3642720	3399	1997-09-30	PRIJEM	\N	156	33878	UROK	\N	\N
3642721	3399	1997-10-31	PRIJEM	\N	142	28889	UROK	\N	\N
3642722	3399	1997-11-30	PRIJEM	\N	133	28851	UROK	\N	\N
3642723	3399	1997-12-31	PRIJEM	\N	145	30611	UROK	\N	\N
3642724	3399	1998-01-31	PRIJEM	\N	118	18478	UROK	\N	\N
3642725	3399	1998-02-28	PRIJEM	\N	92	22199	UROK	\N	\N
3642726	3399	1998-03-31	PRIJEM	\N	102	21530	UROK	\N	\N
3642727	3399	1998-04-30	PRIJEM	\N	101	21460	UROK	\N	\N
3642728	3399	1998-05-31	PRIJEM	\N	95	22705	UROK	\N	\N
3642729	3399	1998-06-30	PRIJEM	\N	113	20212	UROK	\N	\N
3642730	3399	1998-07-31	PRIJEM	\N	98	22238	UROK	\N	\N
3642731	3399	1998-08-31	PRIJEM	\N	104	24571	UROK	\N	\N
3642732	3399	1998-09-30	PRIJEM	\N	113	27414	UROK	\N	\N
3642733	3399	1998-10-31	PRIJEM	\N	122	27966	UROK	\N	\N
3642734	3399	1998-11-30	PRIJEM	\N	115	24810	UROK	\N	\N
3642735	3399	1998-12-31	PRIJEM	\N	144	39849	UROK	\N	\N
3642769	3401	1997-10-31	PRIJEM	\N	63	27395	UROK	\N	\N
3642770	3401	1997-11-30	PRIJEM	\N	114	25608	UROK	\N	\N
3642771	3401	1997-12-31	PRIJEM	\N	122	35288	UROK	\N	\N
3642772	3401	1998-01-31	PRIJEM	\N	147	30934	UROK	\N	\N
3642773	3401	1998-02-28	PRIJEM	\N	289	73769	UROK	\N	\N
3642774	3401	1998-03-31	PRIJEM	\N	306	58575	UROK	\N	\N
3642775	3401	1998-04-30	PRIJEM	\N	299	47381	UROK	\N	\N
3642776	3401	1998-05-31	PRIJEM	\N	106	20972	UROK	\N	\N
3642777	3401	1998-06-30	PRIJEM	\N	116	59303	UROK	\N	\N
3642778	3401	1998-07-31	PRIJEM	\N	138	21964	UROK	\N	\N
3642779	3401	1998-08-31	PRIJEM	\N	124	32511	UROK	\N	\N
3642780	3401	1998-09-30	PRIJEM	\N	284	61576	UROK	\N	\N
3642781	3401	1998-10-31	PRIJEM	\N	225	38785	UROK	\N	\N
3642782	3401	1998-11-30	PRIJEM	\N	160	35668	UROK	\N	\N
3642783	3401	1998-12-31	PRIJEM	\N	126	23770	UROK	\N	\N
3642784	3402	1995-04-30	PRIJEM	\N	196	84333	UROK	\N	\N
3642785	3402	1995-05-31	PRIJEM	\N	326	68010	UROK	\N	\N
3642786	3402	1995-06-30	PRIJEM	\N	308	68282	UROK	\N	\N
3642787	3402	1995-07-31	PRIJEM	\N	297	49181	UROK	\N	\N
3642788	3402	1995-08-31	PRIJEM	\N	312	76178	UROK	\N	\N
3642789	3402	1995-09-30	PRIJEM	\N	290	58813	UROK	\N	\N
3642790	3402	1995-10-31	PRIJEM	\N	271	78437	UROK	\N	\N
3642791	3402	1995-11-30	PRIJEM	\N	285	59706	UROK	\N	\N
3642792	3402	1995-12-31	PRIJEM	\N	178	26273	UROK	\N	\N
3642793	3402	1996-01-31	PRIJEM	\N	171	40074	UROK	\N	\N
3642794	3402	1996-02-29	PRIJEM	\N	170	33440	UROK	\N	\N
3642795	3402	1996-03-31	PRIJEM	\N	303	72239	UROK	\N	\N
3642796	3402	1996-04-30	PRIJEM	\N	346	80737	UROK	\N	\N
3642797	3402	1996-05-31	PRIJEM	\N	383	107343	UROK	\N	\N
3642798	3402	1996-06-30	PRIJEM	\N	296	48132	UROK	\N	\N
3642799	3402	1996-07-31	PRIJEM	\N	326	101511	UROK	\N	\N
3642800	3402	1996-08-31	PRIJEM	\N	263	46876	UROK	\N	\N
3642801	3402	1996-09-30	PRIJEM	\N	353	110862	UROK	\N	\N
3642802	3402	1996-10-31	PRIJEM	\N	248	25087	UROK	\N	\N
3642803	3402	1996-11-30	PRIJEM	\N	186	58372	UROK	\N	\N
3642804	3402	1996-12-31	PRIJEM	\N	272	69506	UROK	\N	\N
3642805	3402	1997-01-31	PRIJEM	\N	181	40574	UROK	\N	\N
3642806	3402	1997-02-28	PRIJEM	\N	143	26481	UROK	\N	\N
3642807	3402	1997-03-31	PRIJEM	\N	141	36212	UROK	\N	\N
3642808	3402	1997-04-30	PRIJEM	\N	170	35929	UROK	\N	\N
3642809	3402	1997-05-31	PRIJEM	\N	327	90839	UROK	\N	\N
3642810	3402	1997-06-30	PRIJEM	\N	314	69842	UROK	\N	\N
3642811	3402	1997-07-31	PRIJEM	\N	199	29980	UROK	\N	\N
3642812	3402	1997-08-31	PRIJEM	\N	145	35116	UROK	\N	\N
3642813	3402	1997-09-30	PRIJEM	\N	146	25380	UROK	\N	\N
3642814	3402	1997-10-31	PRIJEM	\N	132	48424	UROK	\N	\N
3642815	3402	1997-11-30	PRIJEM	\N	237	60343	UROK	\N	\N
3642816	3402	1997-12-31	PRIJEM	\N	253	71706	UROK	\N	\N
3642817	3402	1998-01-31	PRIJEM	\N	230	43408	UROK	\N	\N
3642818	3402	1998-02-28	PRIJEM	\N	165	46083	UROK	\N	\N
3642819	3402	1998-03-31	PRIJEM	\N	170	54634	UROK	\N	\N
3642820	3402	1998-04-30	PRIJEM	\N	245	62668	UROK	\N	\N
3642821	3402	1998-05-31	PRIJEM	\N	239	59898	UROK	\N	\N
3642822	3402	1998-06-30	PRIJEM	\N	208	53080	UROK	\N	\N
3642823	3402	1998-07-31	PRIJEM	\N	421	89844	UROK	\N	\N
3642824	3402	1998-08-31	PRIJEM	\N	380	75522	UROK	\N	\N
3642825	3402	1998-09-30	PRIJEM	\N	324	82256	UROK	\N	\N
3642826	3402	1998-10-31	PRIJEM	\N	293	99153	UROK	\N	\N
3642827	3402	1998-11-30	PRIJEM	\N	352	73418	UROK	\N	\N
3642828	3402	1998-12-31	PRIJEM	\N	463	109411	UROK	\N	\N
3642829	3403	1997-06-30	PRIJEM	\N	78	72118	UROK	\N	\N
3642830	3403	1997-07-31	PRIJEM	\N	275	57797	UROK	\N	\N
3642831	3403	1997-08-31	PRIJEM	\N	290	56426	UROK	\N	\N
3642832	3403	1997-09-30	PRIJEM	\N	224	50718	UROK	\N	\N
3642833	3403	1997-10-31	PRIJEM	\N	180	36384	UROK	\N	\N
3642834	3403	1997-11-30	PRIJEM	\N	138	30108	UROK	\N	\N
3642835	3403	1997-12-31	PRIJEM	\N	266	71250	UROK	\N	\N
3642836	3403	1998-01-31	PRIJEM	\N	261	45133	UROK	\N	\N
3642837	3403	1998-02-28	PRIJEM	\N	177	51856	UROK	\N	\N
3642838	3403	1998-03-31	PRIJEM	\N	197	45047	UROK	\N	\N
3642839	3403	1998-04-30	PRIJEM	\N	152	21469	UROK	\N	\N
3642840	3403	1998-05-31	PRIJEM	\N	137	58329	UROK	\N	\N
3642841	3403	1998-06-30	PRIJEM	\N	206	42836	UROK	\N	\N
3642842	3403	1998-07-31	PRIJEM	\N	181	65678	UROK	\N	\N
3642843	3403	1998-08-31	PRIJEM	\N	190	52137	UROK	\N	\N
3642844	3403	1998-09-30	PRIJEM	\N	240	63134	UROK	\N	\N
3642845	3403	1998-10-31	PRIJEM	\N	292	80928	UROK	\N	\N
3642846	3403	1998-11-30	PRIJEM	\N	301	65761	UROK	\N	\N
3642847	3403	1998-12-31	PRIJEM	\N	330	107935	UROK	\N	\N
3642848	3405	1994-03-31	PRIJEM	\N	56	20738	UROK	\N	\N
3642849	3405	1994-04-30	PRIJEM	\N	146	43566	UROK	\N	\N
3642850	3405	1994-05-31	PRIJEM	\N	209	53956	UROK	\N	\N
3642851	3405	1994-06-30	PRIJEM	\N	271	71850	UROK	\N	\N
3642852	3405	1994-07-31	PRIJEM	\N	290	68622	UROK	\N	\N
3642853	3405	1994-08-31	PRIJEM	\N	240	57987	UROK	\N	\N
3642854	3405	1994-09-30	PRIJEM	\N	217	53628	UROK	\N	\N
3642855	3405	1994-10-31	PRIJEM	\N	213	53966	UROK	\N	\N
3642856	3405	1994-11-30	PRIJEM	\N	208	53098	UROK	\N	\N
3642857	3405	1994-12-31	PRIJEM	\N	239	62902	UROK	\N	\N
3642858	3405	1995-01-31	PRIJEM	\N	191	48317	UROK	\N	\N
3642859	3405	1995-02-28	PRIJEM	\N	197	52538	UROK	\N	\N
3642860	3405	1995-03-31	PRIJEM	\N	206	52068	UROK	\N	\N
3642861	3405	1995-04-30	PRIJEM	\N	208	53000	UROK	\N	\N
3642862	3405	1995-05-31	PRIJEM	\N	213	54737	UROK	\N	\N
3642863	3405	1995-06-30	PRIJEM	\N	218	59420	UROK	\N	\N
3642864	3405	1995-07-31	PRIJEM	\N	199	39944	UROK	\N	\N
3642865	3405	1995-08-31	PRIJEM	\N	196	41264	UROK	\N	\N
3642866	3405	1995-09-30	PRIJEM	\N	195	37784	UROK	\N	\N
3642867	3405	1995-10-31	PRIJEM	\N	186	40894	UROK	\N	\N
3642868	3405	1995-11-30	PRIJEM	\N	196	36914	UROK	\N	\N
3642869	3405	1995-12-31	PRIJEM	\N	191	39970	UROK	\N	\N
3642870	3405	1996-01-31	PRIJEM	\N	165	33560	UROK	\N	\N
3642871	3405	1996-02-29	PRIJEM	\N	163	33847	UROK	\N	\N
3642872	3405	1996-03-31	PRIJEM	\N	167	37539	UROK	\N	\N
3642873	3405	1996-04-30	PRIJEM	\N	178	37342	UROK	\N	\N
3642874	3405	1996-05-31	PRIJEM	\N	178	38244	UROK	\N	\N
3642875	3405	1996-06-30	PRIJEM	\N	196	39705	UROK	\N	\N
3642876	3405	1996-07-31	PRIJEM	\N	181	36511	UROK	\N	\N
3642877	3405	1996-08-31	PRIJEM	\N	169	35004	UROK	\N	\N
3642878	3405	1996-09-30	PRIJEM	\N	157	33085	UROK	\N	\N
3642879	3405	1996-10-31	PRIJEM	\N	151	35561	UROK	\N	\N
3642880	3405	1996-11-30	PRIJEM	\N	162	35548	UROK	\N	\N
3642881	3405	1996-12-31	PRIJEM	\N	179	37392	UROK	\N	\N
3642882	3405	1997-01-31	PRIJEM	\N	141	30257	UROK	\N	\N
3642883	3405	1997-02-28	PRIJEM	\N	149	37830	UROK	\N	\N
3642884	3405	1997-03-31	PRIJEM	\N	177	41731	UROK	\N	\N
3642885	3405	1997-04-30	PRIJEM	\N	183	39739	UROK	\N	\N
3642886	3405	1997-05-31	PRIJEM	\N	184	44347	UROK	\N	\N
3642887	3405	1997-06-30	PRIJEM	\N	206	44619	UROK	\N	\N
3642888	3405	1997-07-31	PRIJEM	\N	192	42936	UROK	\N	\N
3642889	3405	1997-08-31	PRIJEM	\N	169	38629	UROK	\N	\N
3642890	3405	1997-09-30	PRIJEM	\N	174	42528	UROK	\N	\N
3642891	3405	1997-10-31	PRIJEM	\N	182	42435	UROK	\N	\N
3642892	3405	1997-11-30	PRIJEM	\N	175	37034	UROK	\N	\N
3642893	3405	1997-12-31	PRIJEM	\N	184	46383	UROK	\N	\N
3642894	3405	1998-01-31	PRIJEM	\N	169	33076	UROK	\N	\N
3642895	3405	1998-02-28	PRIJEM	\N	152	39453	UROK	\N	\N
3642896	3405	1998-03-31	PRIJEM	\N	177	44054	UROK	\N	\N
3642897	3405	1998-04-30	PRIJEM	\N	184	43863	UROK	\N	\N
3642898	3405	1998-05-31	PRIJEM	\N	171	39358	UROK	\N	\N
3642899	3405	1998-06-30	PRIJEM	\N	189	49113	UROK	\N	\N
3642900	3405	1998-07-31	PRIJEM	\N	181	39318	UROK	\N	\N
3642901	3405	1998-08-31	PRIJEM	\N	164	40707	UROK	\N	\N
3642902	3405	1998-09-30	PRIJEM	\N	170	33601	UROK	\N	\N
3642903	3405	1998-10-31	PRIJEM	\N	136	34162	UROK	\N	\N
3642904	3405	1998-11-30	PRIJEM	\N	168	46455	UROK	\N	\N
3642905	3405	1998-12-31	PRIJEM	\N	233	63353	UROK	\N	\N
3642906	3406	1997-12-31	PRIJEM	\N	20	7214	UROK	\N	\N
3642907	3406	1998-01-31	PRIJEM	\N	25	13333	UROK	\N	\N
3642908	3406	1998-02-28	PRIJEM	\N	25	19452	UROK	\N	\N
3642909	3406	1998-03-31	PRIJEM	\N	25	25572	UROK	\N	\N
3642910	3406	1998-04-30	PRIJEM	\N	94	27640	UROK	\N	\N
3642911	3406	1998-05-31	PRIJEM	\N	115	25494	UROK	\N	\N
3642912	3406	1998-06-30	PRIJEM	\N	105	18358	UROK	\N	\N
3642913	3406	1998-07-31	PRIJEM	\N	87	21704	UROK	\N	\N
3642914	3406	1998-08-31	PRIJEM	\N	87	21111	UROK	\N	\N
3642915	3406	1998-09-30	PRIJEM	\N	92	22162	UROK	\N	\N
3642916	3406	1998-10-31	PRIJEM	\N	89	21010	UROK	\N	\N
3642917	3406	1998-11-30	PRIJEM	\N	86	20455	UROK	\N	\N
3642918	3406	1998-12-31	PRIJEM	\N	91	21965	UROK	\N	\N
3642919	3408	1993-10-31	PRIJEM	\N	41	23362	UROK	\N	\N
3642920	3408	1993-11-30	PRIJEM	\N	120	36003	UROK	\N	\N
3642921	3408	1993-12-31	PRIJEM	\N	164	43548	UROK	\N	\N
3642922	3408	1994-01-31	PRIJEM	\N	180	43350	UROK	\N	\N
3642923	3408	1994-02-28	PRIJEM	\N	178	42449	UROK	\N	\N
3642924	3408	1994-03-31	PRIJEM	\N	176	40872	UROK	\N	\N
3642925	3408	1994-04-30	PRIJEM	\N	177	44455	UROK	\N	\N
3642926	3408	1994-05-31	PRIJEM	\N	183	39765	UROK	\N	\N
3642927	3408	1994-06-30	PRIJEM	\N	166	37457	UROK	\N	\N
3642928	3408	1994-07-31	PRIJEM	\N	170	44334	UROK	\N	\N
3642929	3408	1994-08-31	PRIJEM	\N	186	45026	UROK	\N	\N
3642930	3408	1994-09-30	PRIJEM	\N	191	46624	UROK	\N	\N
3642931	3408	1994-10-31	PRIJEM	\N	197	48027	UROK	\N	\N
3642932	3408	1994-11-30	PRIJEM	\N	198	43651	UROK	\N	\N
3642933	3408	1994-12-31	PRIJEM	\N	193	45292	UROK	\N	\N
3642934	3408	1995-01-31	PRIJEM	\N	154	24132	UROK	\N	\N
3642935	3408	1995-02-28	PRIJEM	\N	125	33563	UROK	\N	\N
3642936	3408	1995-03-31	PRIJEM	\N	161	41831	UROK	\N	\N
3642937	3408	1995-04-30	PRIJEM	\N	186	46523	UROK	\N	\N
3642938	3408	1995-05-31	PRIJEM	\N	192	46021	UROK	\N	\N
3642939	3408	1995-06-30	PRIJEM	\N	181	36349	UROK	\N	\N
3642940	3408	1995-07-31	PRIJEM	\N	168	42523	UROK	\N	\N
3642941	3408	1995-08-31	PRIJEM	\N	171	40901	UROK	\N	\N
3642942	3408	1995-09-30	PRIJEM	\N	176	42983	UROK	\N	\N
3642943	3408	1995-10-31	PRIJEM	\N	215	39024	UROK	\N	\N
3642944	3408	1995-11-30	PRIJEM	\N	199	51330	UROK	\N	\N
3642945	3408	1995-12-31	PRIJEM	\N	251	63187	UROK	\N	\N
3642946	3408	1996-01-31	PRIJEM	\N	201	35415	UROK	\N	\N
3642947	3408	1996-02-29	PRIJEM	\N	192	50513	UROK	\N	\N
3642948	3408	1996-03-31	PRIJEM	\N	222	54942	UROK	\N	\N
3642949	3408	1996-04-30	PRIJEM	\N	231	54059	UROK	\N	\N
3642950	3408	1996-05-31	PRIJEM	\N	237	58603	UROK	\N	\N
3642951	3408	1996-06-30	PRIJEM	\N	224	31394	UROK	\N	\N
3642952	3408	1996-07-31	PRIJEM	\N	175	46175	UROK	\N	\N
3642953	3408	1996-08-31	PRIJEM	\N	211	52792	UROK	\N	\N
3642954	3408	1996-09-30	PRIJEM	\N	203	50202	UROK	\N	\N
3642955	3408	1996-10-31	PRIJEM	\N	227	56635	UROK	\N	\N
3642956	3408	1996-11-30	PRIJEM	\N	243	59885	UROK	\N	\N
3642957	3408	1996-12-31	PRIJEM	\N	268	64441	UROK	\N	\N
3642958	3408	1997-01-31	PRIJEM	\N	126	22933	UROK	\N	\N
3642959	3408	1997-02-28	PRIJEM	\N	69	36909	UROK	\N	\N
3642960	3408	1997-03-31	PRIJEM	\N	170	43025	UROK	\N	\N
3642961	3408	1997-04-30	PRIJEM	\N	176	43008	UROK	\N	\N
3642962	3408	1997-05-31	PRIJEM	\N	180	44994	UROK	\N	\N
3642963	3408	1997-06-30	PRIJEM	\N	109	22370	UROK	\N	\N
3642964	3408	1997-07-31	PRIJEM	\N	90	22467	UROK	\N	\N
3642965	3408	1997-08-31	PRIJEM	\N	90	21563	UROK	\N	\N
3642966	3408	1997-09-30	PRIJEM	\N	96	19206	UROK	\N	\N
3642967	3408	1997-10-31	PRIJEM	\N	78	20770	UROK	\N	\N
3642968	3408	1997-11-30	PRIJEM	\N	81	17758	UROK	\N	\N
3642969	3408	1997-12-31	PRIJEM	\N	118	18523	UROK	\N	\N
3642970	3408	1998-01-31	PRIJEM	\N	105	22215	UROK	\N	\N
3642971	3408	1998-02-28	PRIJEM	\N	87	19408	UROK	\N	\N
3642972	3408	1998-03-31	PRIJEM	\N	80	39994	UROK	\N	\N
3642973	3408	1998-04-30	PRIJEM	\N	151	23852	UROK	\N	\N
3642974	3408	1998-05-31	PRIJEM	\N	98	44456	UROK	\N	\N
3642975	3408	1998-06-30	PRIJEM	\N	194	52378	UROK	\N	\N
3642976	3408	1998-07-31	PRIJEM	\N	191	28575	UROK	\N	\N
3642977	3408	1998-08-31	PRIJEM	\N	165	48406	UROK	\N	\N
3642978	3408	1998-09-30	PRIJEM	\N	184	19857	UROK	\N	\N
3642979	3408	1998-10-31	PRIJEM	\N	112	36035	UROK	\N	\N
3642980	3408	1998-11-30	PRIJEM	\N	126	20567	UROK	\N	\N
3642981	3408	1998-12-31	PRIJEM	\N	87	46502	UROK	\N	\N
3642982	3409	1996-03-31	PRIJEM	\N	15	5811	UROK	\N	\N
3642983	3409	1996-04-30	PRIJEM	\N	24	10731	UROK	\N	\N
3642984	3409	1996-05-31	PRIJEM	\N	24	15651	UROK	\N	\N
3642985	3409	1996-06-30	PRIJEM	\N	27	16574	UROK	\N	\N
3642986	3409	1996-07-31	PRIJEM	\N	73	18376	UROK	\N	\N
3642987	3409	1996-08-31	PRIJEM	\N	76	16887	UROK	\N	\N
3642988	3409	1996-09-30	PRIJEM	\N	73	16375	UROK	\N	\N
3642989	3409	1996-10-31	PRIJEM	\N	71	15760	UROK	\N	\N
3642990	3409	1996-11-30	PRIJEM	\N	65	13419	UROK	\N	\N
3642991	3409	1996-12-31	PRIJEM	\N	59	14643	UROK	\N	\N
3642992	3409	1997-01-31	PRIJEM	\N	56	12493	UROK	\N	\N
3642993	3409	1997-02-28	PRIJEM	\N	55	12462	UROK	\N	\N
3642994	3409	1997-03-31	PRIJEM	\N	53	10730	UROK	\N	\N
3642995	3409	1997-04-30	PRIJEM	\N	49	12493	UROK	\N	\N
3642996	3409	1997-05-31	PRIJEM	\N	55	12762	UROK	\N	\N
3642997	3409	1997-06-30	PRIJEM	\N	57	14533	UROK	\N	\N
3642998	3409	1997-07-31	PRIJEM	\N	60	12108	UROK	\N	\N
3642999	3409	1997-08-31	PRIJEM	\N	55	13877	UROK	\N	\N
3643000	3409	1997-09-30	PRIJEM	\N	62	15653	UROK	\N	\N
3643001	3409	1997-10-31	PRIJEM	\N	60	10827	UROK	\N	\N
3643002	3409	1997-11-30	PRIJEM	\N	49	12591	UROK	\N	\N
3643003	3409	1997-12-31	PRIJEM	\N	56	14362	UROK	\N	\N
3643004	3409	1998-01-31	PRIJEM	\N	60	13976	UROK	\N	\N
3643005	3409	1998-02-28	PRIJEM	\N	62	15752	UROK	\N	\N
3643006	3409	1998-03-31	PRIJEM	\N	70	17536	UROK	\N	\N
3643007	3409	1998-04-30	PRIJEM	\N	77	19327	UROK	\N	\N
3643008	3409	1998-05-31	PRIJEM	\N	69	11711	UROK	\N	\N
3643009	3409	1998-06-30	PRIJEM	\N	53	13478	UROK	\N	\N
3643010	3409	1998-07-31	PRIJEM	\N	60	15252	UROK	\N	\N
3643011	3409	1998-08-31	PRIJEM	\N	67	17034	UROK	\N	\N
3643012	3409	1998-09-30	PRIJEM	\N	75	18823	UROK	\N	\N
3643013	3409	1998-10-31	PRIJEM	\N	65	12202	UROK	\N	\N
3643014	3409	1998-11-30	PRIJEM	\N	54	13971	UROK	\N	\N
3643015	3409	1998-12-31	PRIJEM	\N	62	15748	UROK	\N	\N
3643016	3410	1995-07-31	PRIJEM	\N	47	15990	UROK	\N	\N
3643017	3410	1995-08-31	PRIJEM	\N	119	33752	UROK	\N	\N
3643018	3410	1995-09-30	PRIJEM	\N	175	45770	UROK	\N	\N
3643019	3410	1995-10-31	PRIJEM	\N	203	50816	UROK	\N	\N
3643020	3410	1995-11-30	PRIJEM	\N	162	53821	UROK	\N	\N
3643021	3410	1995-12-31	PRIJEM	\N	194	40851	UROK	\N	\N
3643022	3410	1996-01-31	PRIJEM	\N	138	25703	UROK	\N	\N
3643023	3410	1996-02-29	PRIJEM	\N	136	30073	UROK	\N	\N
3643024	3410	1996-03-31	PRIJEM	\N	139	30747	UROK	\N	\N
3643025	3410	1996-04-30	PRIJEM	\N	155	38076	UROK	\N	\N
3643026	3410	1996-05-31	PRIJEM	\N	184	37294	UROK	\N	\N
3643027	3410	1996-06-30	PRIJEM	\N	176	40086	UROK	\N	\N
3643028	3410	1996-07-31	PRIJEM	\N	192	41913	UROK	\N	\N
3643029	3410	1996-08-31	PRIJEM	\N	195	39842	UROK	\N	\N
3643030	3410	1996-09-30	PRIJEM	\N	187	39064	UROK	\N	\N
3643031	3410	1996-10-31	PRIJEM	\N	183	38881	UROK	\N	\N
3643032	3410	1996-11-30	PRIJEM	\N	180	36996	UROK	\N	\N
3643033	3410	1996-12-31	PRIJEM	\N	183	37455	UROK	\N	\N
3643034	3410	1997-01-31	PRIJEM	\N	139	24668	UROK	\N	\N
3643035	3410	1997-02-28	PRIJEM	\N	126	29528	UROK	\N	\N
3643036	3410	1997-03-31	PRIJEM	\N	148	34610	UROK	\N	\N
3643037	3410	1997-04-30	PRIJEM	\N	168	39412	UROK	\N	\N
3643038	3410	1997-05-31	PRIJEM	\N	181	38827	UROK	\N	\N
3643039	3410	1997-06-30	PRIJEM	\N	194	44977	UROK	\N	\N
3643040	3410	1997-07-31	PRIJEM	\N	204	47256	UROK	\N	\N
3643041	3410	1997-08-31	PRIJEM	\N	208	47978	UROK	\N	\N
3643042	3410	1997-09-30	PRIJEM	\N	205	42337	UROK	\N	\N
3643043	3410	1997-10-31	PRIJEM	\N	179	36751	UROK	\N	\N
3643044	3410	1997-11-30	PRIJEM	\N	164	35290	UROK	\N	\N
3643045	3410	1997-12-31	PRIJEM	\N	157	27082	UROK	\N	\N
3643046	3410	1998-01-31	PRIJEM	\N	108	19805	UROK	\N	\N
3643047	3410	1998-02-28	PRIJEM	\N	104	29884	UROK	\N	\N
3643048	3410	1998-03-31	PRIJEM	\N	144	34662	UROK	\N	\N
3643049	3410	1998-04-30	PRIJEM	\N	156	37932	UROK	\N	\N
3643050	3410	1998-05-31	PRIJEM	\N	176	42542	UROK	\N	\N
3643051	3410	1998-06-30	PRIJEM	\N	199	45896	UROK	\N	\N
3643052	3410	1998-07-31	PRIJEM	\N	192	42422	UROK	\N	\N
3643053	3410	1998-08-31	PRIJEM	\N	174	38330	UROK	\N	\N
3643054	3410	1998-09-30	PRIJEM	\N	159	36224	UROK	\N	\N
3643055	3410	1998-10-31	PRIJEM	\N	162	39320	UROK	\N	\N
3643056	3410	1998-11-30	PRIJEM	\N	161	35236	UROK	\N	\N
3643057	3410	1998-12-31	PRIJEM	\N	193	50725	UROK	\N	\N
3643058	3411	1997-01-31	PRIJEM	\N	38	17511	UROK	\N	\N
3643059	3411	1997-02-28	PRIJEM	\N	95	28078	UROK	\N	\N
3643060	3411	1997-03-31	PRIJEM	\N	134	36485	UROK	\N	\N
3643061	3411	1997-04-30	PRIJEM	\N	162	41720	UROK	\N	\N
3643062	3411	1997-05-31	PRIJEM	\N	178	43771	UROK	\N	\N
3643063	3411	1997-06-30	PRIJEM	\N	171	25843	UROK	\N	\N
3643064	3411	1997-07-31	PRIJEM	\N	118	33077	UROK	\N	\N
3643065	3411	1997-08-31	PRIJEM	\N	157	40850	UROK	\N	\N
3643066	3411	1997-09-30	PRIJEM	\N	186	42731	UROK	\N	\N
3643067	3411	1997-10-31	PRIJEM	\N	196	51042	UROK	\N	\N
3643068	3411	1997-11-30	PRIJEM	\N	231	58889	UROK	\N	\N
3643069	3411	1997-12-31	PRIJEM	\N	257	63608	UROK	\N	\N
3643070	3411	1998-01-31	PRIJEM	\N	226	48549	UROK	\N	\N
3643071	3411	1998-02-28	PRIJEM	\N	228	60293	UROK	\N	\N
3643072	3411	1998-03-31	PRIJEM	\N	257	61705	UROK	\N	\N
3643073	3411	1998-04-30	PRIJEM	\N	257	63378	UROK	\N	\N
3643074	3411	1998-05-31	PRIJEM	\N	253	61146	UROK	\N	\N
3643075	3411	1998-06-30	PRIJEM	\N	245	38432	UROK	\N	\N
3643076	3411	1998-07-31	PRIJEM	\N	192	51340	UROK	\N	\N
3643077	3411	1998-08-31	PRIJEM	\N	218	55014	UROK	\N	\N
3643078	3411	1998-09-30	PRIJEM	\N	227	57156	UROK	\N	\N
3643079	3411	1998-10-31	PRIJEM	\N	227	56198	UROK	\N	\N
3643080	3411	1998-11-30	PRIJEM	\N	230	57643	UROK	\N	\N
3643081	3411	1998-12-31	PRIJEM	\N	244	62970	UROK	\N	\N
3643082	3412	1997-04-30	PRIJEM	\N	36	21548	UROK	\N	\N
3643083	3412	1997-05-31	PRIJEM	\N	92	22642	UROK	\N	\N
3643084	3412	1997-06-30	PRIJEM	\N	82	13760	UROK	\N	\N
3643085	3412	1997-07-31	PRIJEM	\N	61	15106	UROK	\N	\N
3643086	3412	1997-08-31	PRIJEM	\N	65	15656	UROK	\N	\N
3643087	3412	1997-09-30	PRIJEM	\N	68	16410	UROK	\N	\N
3643088	3412	1997-10-31	PRIJEM	\N	68	16063	UROK	\N	\N
3643089	3412	1997-11-30	PRIJEM	\N	67	17315	UROK	\N	\N
3643090	3412	1997-12-31	PRIJEM	\N	64	14315	UROK	\N	\N
3643091	3412	1998-01-31	PRIJEM	\N	53	12354	UROK	\N	\N
3643092	3412	1998-02-28	PRIJEM	\N	60	16399	UROK	\N	\N
3643093	3412	1998-03-31	PRIJEM	\N	65	14949	UROK	\N	\N
3643094	3412	1998-04-30	PRIJEM	\N	69	18103	UROK	\N	\N
3643095	3412	1998-05-31	PRIJEM	\N	84	17372	UROK	\N	\N
3643096	3412	1998-06-30	PRIJEM	\N	72	13329	UROK	\N	\N
3643097	3412	1998-07-31	PRIJEM	\N	64	17379	UROK	\N	\N
3643098	3412	1998-08-31	PRIJEM	\N	78	17682	UROK	\N	\N
3643099	3412	1998-09-30	PRIJEM	\N	73	18700	UROK	\N	\N
3643100	3412	1998-10-31	PRIJEM	\N	78	19563	UROK	\N	\N
3643101	3412	1998-11-30	PRIJEM	\N	80	20128	UROK	\N	\N
3643102	3412	1998-12-31	PRIJEM	\N	74	17087	UROK	\N	\N
3643103	3413	1993-08-31	PRIJEM	\N	46	17227	UROK	\N	\N
3643104	3413	1993-09-30	PRIJEM	\N	90	23798	UROK	\N	\N
3643105	3413	1993-10-31	PRIJEM	\N	110	27689	UROK	\N	\N
3643106	3413	1993-11-30	PRIJEM	\N	125	31395	UROK	\N	\N
3643107	3413	1993-12-31	PRIJEM	\N	133	31211	UROK	\N	\N
3643108	3413	1994-01-31	PRIJEM	\N	131	31621	UROK	\N	\N
3643109	3413	1994-02-28	PRIJEM	\N	137	33437	UROK	\N	\N
3643110	3413	1994-03-31	PRIJEM	\N	135	31951	UROK	\N	\N
3643111	3413	1994-04-30	PRIJEM	\N	124	29234	UROK	\N	\N
3643112	3413	1994-05-31	PRIJEM	\N	124	30178	UROK	\N	\N
3643113	3413	1994-06-30	PRIJEM	\N	138	34736	UROK	\N	\N
3643114	3413	1994-07-31	PRIJEM	\N	148	36263	UROK	\N	\N
3643115	3413	1994-08-31	PRIJEM	\N	147	32610	UROK	\N	\N
3643116	3413	1994-09-30	PRIJEM	\N	136	33326	UROK	\N	\N
3643117	3413	1994-10-31	PRIJEM	\N	136	33141	UROK	\N	\N
3643118	3413	1994-11-30	PRIJEM	\N	147	36267	UROK	\N	\N
3643119	3413	1994-12-31	PRIJEM	\N	141	34489	UROK	\N	\N
3643120	3413	1995-01-31	PRIJEM	\N	144	35112	UROK	\N	\N
3643121	3413	1995-02-28	PRIJEM	\N	155	38346	UROK	\N	\N
3643122	3413	1995-03-31	PRIJEM	\N	164	40290	UROK	\N	\N
3643123	3413	1995-04-30	PRIJEM	\N	162	39231	UROK	\N	\N
3643124	3413	1995-05-31	PRIJEM	\N	169	41379	UROK	\N	\N
3643125	3413	1995-06-30	PRIJEM	\N	179	27919	UROK	\N	\N
3643126	3413	1995-07-31	PRIJEM	\N	139	35138	UROK	\N	\N
3643127	3413	1995-08-31	PRIJEM	\N	159	39576	UROK	\N	\N
3643128	3413	1995-09-30	PRIJEM	\N	164	40020	UROK	\N	\N
3643129	3413	1995-10-31	PRIJEM	\N	173	41612	UROK	\N	\N
3643130	3413	1995-11-30	PRIJEM	\N	169	39620	UROK	\N	\N
3643131	3413	1995-12-31	PRIJEM	\N	176	46897	UROK	\N	\N
3643132	3413	1996-01-31	PRIJEM	\N	204	53780	UROK	\N	\N
3643133	3413	1996-02-29	PRIJEM	\N	230	54489	UROK	\N	\N
3643134	3413	1996-03-31	PRIJEM	\N	227	52635	UROK	\N	\N
3643135	3413	1996-04-30	PRIJEM	\N	220	52314	UROK	\N	\N
3643136	3413	1996-05-31	PRIJEM	\N	202	52456	UROK	\N	\N
3643137	3413	1996-06-30	PRIJEM	\N	181	42017	UROK	\N	\N
3643138	3413	1996-07-31	PRIJEM	\N	178	51214	UROK	\N	\N
3643139	3413	1996-08-31	PRIJEM	\N	214	58288	UROK	\N	\N
3643140	3413	1996-09-30	PRIJEM	\N	251	64018	UROK	\N	\N
3643141	3413	1996-10-31	PRIJEM	\N	274	68772	UROK	\N	\N
3643142	3413	1996-11-30	PRIJEM	\N	287	68799	UROK	\N	\N
3643143	3413	1996-12-31	PRIJEM	\N	304	76723	UROK	\N	\N
3643144	3413	1997-01-31	PRIJEM	\N	317	74920	UROK	\N	\N
3643145	3413	1997-02-28	PRIJEM	\N	318	78718	UROK	\N	\N
3643146	3413	1997-03-31	PRIJEM	\N	332	80029	UROK	\N	\N
3643147	3413	1997-04-30	PRIJEM	\N	339	83547	UROK	\N	\N
3643148	3413	1997-05-31	PRIJEM	\N	350	83777	UROK	\N	\N
3643149	3413	1997-06-30	PRIJEM	\N	260	65697	UROK	\N	\N
3643150	3413	1997-07-31	PRIJEM	\N	290	76666	UROK	\N	\N
3643151	3413	1997-08-31	PRIJEM	\N	321	81886	UROK	\N	\N
3643152	3413	1997-09-30	PRIJEM	\N	341	84626	UROK	\N	\N
3643153	3413	1997-10-31	PRIJEM	\N	359	88464	UROK	\N	\N
3643154	3413	1997-11-30	PRIJEM	\N	378	94321	UROK	\N	\N
3643155	3413	1997-12-31	PRIJEM	\N	407	100648	UROK	\N	\N
3643156	3413	1998-01-31	PRIJEM	\N	428	106156	UROK	\N	\N
3643157	3413	1998-02-28	PRIJEM	\N	442	106777	UROK	\N	\N
3643158	3413	1998-03-31	PRIJEM	\N	371	90007	UROK	\N	\N
3643159	3413	1998-04-30	PRIJEM	\N	395	101981	UROK	\N	\N
3643160	3413	1998-05-31	PRIJEM	\N	433	107694	UROK	\N	\N
3643161	3413	1998-06-30	PRIJEM	\N	410	101504	UROK	\N	\N
3643162	3413	1998-07-31	PRIJEM	\N	427	105311	UROK	\N	\N
3643163	3413	1998-08-31	PRIJEM	\N	432	103662	UROK	\N	\N
3643164	3413	1998-09-30	PRIJEM	\N	424	104626	UROK	\N	\N
3643165	3413	1998-10-31	PRIJEM	\N	443	109229	UROK	\N	\N
3643166	3413	1998-11-30	PRIJEM	\N	405	95013	UROK	\N	\N
3643167	3413	1998-12-31	PRIJEM	\N	408	101641	UROK	\N	\N
3643168	3415	1998-01-31	PRIJEM	\N	25	17493	UROK	\N	\N
3643169	3415	1998-02-28	PRIJEM	\N	115	31177	UROK	\N	\N
3643170	3415	1998-03-31	PRIJEM	\N	143	34887	UROK	\N	\N
3643171	3415	1998-04-30	PRIJEM	\N	150	36405	UROK	\N	\N
3643172	3415	1998-05-31	PRIJEM	\N	155	34451	UROK	\N	\N
3643173	3415	1998-06-30	PRIJEM	\N	140	29800	UROK	\N	\N
3643174	3415	1998-07-31	PRIJEM	\N	151	33326	UROK	\N	\N
3643175	3415	1998-08-31	PRIJEM	\N	143	31545	UROK	\N	\N
3643176	3415	1998-09-30	PRIJEM	\N	129	25649	UROK	\N	\N
3643177	3415	1998-10-31	PRIJEM	\N	113	27537	UROK	\N	\N
3643178	3415	1998-11-30	PRIJEM	\N	137	29950	UROK	\N	\N
3643179	3415	1998-12-31	PRIJEM	\N	126	28585	UROK	\N	\N
3643180	3418	1996-11-30	PRIJEM	\N	123	64293	UROK	\N	\N
3643181	3418	1996-12-31	PRIJEM	\N	338	99980	UROK	\N	\N
3643182	3418	1997-01-31	PRIJEM	\N	203	23568	UROK	\N	\N
3643183	3418	1997-02-28	PRIJEM	\N	111	44893	UROK	\N	\N
3643184	3418	1997-03-31	PRIJEM	\N	280	67525	UROK	\N	\N
3643185	3418	1997-04-30	PRIJEM	\N	242	94169	UROK	\N	\N
3643186	3418	1997-05-31	PRIJEM	\N	309	46282	UROK	\N	\N
3643187	3418	1997-06-30	PRIJEM	\N	194	36858	UROK	\N	\N
3643188	3418	1997-07-31	PRIJEM	\N	268	56521	UROK	\N	\N
3643189	3418	1997-08-31	PRIJEM	\N	296	64844	UROK	\N	\N
3643190	3418	1997-09-30	PRIJEM	\N	269	49945	UROK	\N	\N
3643191	3418	1997-10-31	PRIJEM	\N	198	39660	UROK	\N	\N
3643192	3418	1997-11-30	PRIJEM	\N	161	40130	UROK	\N	\N
3643193	3418	1997-12-31	PRIJEM	\N	153	30164	UROK	\N	\N
3643194	3418	1998-01-31	PRIJEM	\N	62	6076	UROK	\N	\N
3643195	3418	1998-02-28	PRIJEM	\N	98	31015	UROK	\N	\N
3643196	3418	1998-03-31	PRIJEM	\N	107	13050	UROK	\N	\N
3643197	3418	1998-04-30	PRIJEM	\N	71	33368	UROK	\N	\N
3643198	3418	1998-05-31	PRIJEM	\N	124	19073	UROK	\N	\N
3643199	3418	1998-06-30	PRIJEM	\N	155	50310	UROK	\N	\N
3643200	3418	1998-07-31	PRIJEM	\N	320	49938	UROK	\N	\N
3643201	3418	1998-08-31	PRIJEM	\N	164	24106	UROK	\N	\N
3643202	3418	1998-09-30	PRIJEM	\N	100	53349	UROK	\N	\N
3643203	3418	1998-10-31	PRIJEM	\N	362	91724	UROK	\N	\N
3643204	3418	1998-11-30	PRIJEM	\N	279	30134	UROK	\N	\N
3643205	3418	1998-12-31	PRIJEM	\N	119	27524	UROK	\N	\N
3643206	3419	1994-11-30	PRIJEM	\N	8	19356	UROK	\N	\N
3643207	3419	1994-12-31	PRIJEM	\N	87	30315	UROK	\N	\N
3643208	3419	1995-01-31	PRIJEM	\N	128	33190	UROK	\N	\N
3643209	3419	1995-02-28	PRIJEM	\N	138	32876	UROK	\N	\N
3643210	3419	1995-03-31	PRIJEM	\N	153	29835	UROK	\N	\N
3643211	3419	1995-04-30	PRIJEM	\N	136	28605	UROK	\N	\N
3643212	3419	1995-05-31	PRIJEM	\N	122	23923	UROK	\N	\N
3643213	3419	1995-06-30	PRIJEM	\N	88	17311	UROK	\N	\N
3643214	3419	1995-07-31	PRIJEM	\N	84	18530	UROK	\N	\N
3643215	3419	1995-08-31	PRIJEM	\N	84	19330	UROK	\N	\N
3643216	3419	1995-09-30	PRIJEM	\N	95	23460	UROK	\N	\N
3643217	3419	1995-10-31	PRIJEM	\N	108	23703	UROK	\N	\N
3643218	3419	1995-11-30	PRIJEM	\N	109	24648	UROK	\N	\N
3643219	3419	1995-12-31	PRIJEM	\N	116	22123	UROK	\N	\N
3643220	3419	1996-01-31	PRIJEM	\N	68	16006	UROK	\N	\N
3643221	3419	1996-02-29	PRIJEM	\N	75	17557	UROK	\N	\N
3643222	3419	1996-03-31	PRIJEM	\N	81	18593	UROK	\N	\N
3643223	3419	1996-04-30	PRIJEM	\N	87	19616	UROK	\N	\N
3643224	3419	1996-05-31	PRIJEM	\N	91	21002	UROK	\N	\N
3643225	3419	1996-06-30	PRIJEM	\N	101	18863	UROK	\N	\N
3643226	3419	1996-07-31	PRIJEM	\N	82	18740	UROK	\N	\N
3643227	3419	1996-08-31	PRIJEM	\N	85	19061	UROK	\N	\N
3643228	3419	1996-09-30	PRIJEM	\N	81	16477	UROK	\N	\N
3643229	3419	1996-10-31	PRIJEM	\N	84	21497	UROK	\N	\N
3643230	3419	1996-11-30	PRIJEM	\N	97	22329	UROK	\N	\N
3643231	3419	1996-12-31	PRIJEM	\N	106	25254	UROK	\N	\N
3643232	3419	1997-01-31	PRIJEM	\N	80	18349	UROK	\N	\N
3643233	3419	1997-02-28	PRIJEM	\N	85	21390	UROK	\N	\N
3643234	3419	1997-03-31	PRIJEM	\N	101	23967	UROK	\N	\N
3643235	3419	1997-04-30	PRIJEM	\N	114	28517	UROK	\N	\N
3643236	3419	1997-05-31	PRIJEM	\N	122	26393	UROK	\N	\N
3643237	3419	1997-06-30	PRIJEM	\N	131	31084	UROK	\N	\N
3643238	3419	1997-07-31	PRIJEM	\N	136	31955	UROK	\N	\N
3643239	3419	1997-08-31	PRIJEM	\N	131	29621	UROK	\N	\N
3643240	3419	1997-09-30	PRIJEM	\N	128	30084	UROK	\N	\N
3643241	3419	1997-10-31	PRIJEM	\N	110	25450	UROK	\N	\N
3643242	3419	1997-11-30	PRIJEM	\N	108	22794	UROK	\N	\N
3643243	3419	1997-12-31	PRIJEM	\N	108	27281	UROK	\N	\N
3643244	3419	1998-01-31	PRIJEM	\N	103	19160	UROK	\N	\N
3643245	3419	1998-02-28	PRIJEM	\N	95	20590	UROK	\N	\N
3643246	3419	1998-03-31	PRIJEM	\N	95	23120	UROK	\N	\N
3643247	3419	1998-04-30	PRIJEM	\N	106	25861	UROK	\N	\N
3643248	3419	1998-05-31	PRIJEM	\N	90	20867	UROK	\N	\N
3643249	3419	1998-06-30	PRIJEM	\N	93	21959	UROK	\N	\N
3643250	3419	1998-07-31	PRIJEM	\N	86	19820	UROK	\N	\N
3643251	3419	1998-08-31	PRIJEM	\N	92	22747	UROK	\N	\N
3643252	3419	1998-09-30	PRIJEM	\N	90	21392	UROK	\N	\N
3643253	3419	1998-10-31	PRIJEM	\N	78	15806	UROK	\N	\N
3643254	3419	1998-11-30	PRIJEM	\N	63	15204	UROK	\N	\N
3643255	3419	1998-12-31	PRIJEM	\N	72	16375	UROK	\N	\N
3643256	3421	1995-02-28	PRIJEM	\N	53	18756	UROK	\N	\N
3643257	3421	1995-03-31	PRIJEM	\N	141	40300	UROK	\N	\N
3643258	3421	1995-04-30	PRIJEM	\N	201	51804	UROK	\N	\N
3643259	3421	1995-05-31	PRIJEM	\N	226	55433	UROK	\N	\N
3643260	3421	1995-06-30	PRIJEM	\N	232	33069	UROK	\N	\N
3643261	3421	1995-07-31	PRIJEM	\N	149	36066	UROK	\N	\N
3643262	3421	1995-08-31	PRIJEM	\N	153	26047	UROK	\N	\N
3643263	3421	1995-09-30	PRIJEM	\N	132	28727	UROK	\N	\N
3643264	3421	1995-10-31	PRIJEM	\N	141	28016	UROK	\N	\N
3643265	3421	1995-11-30	PRIJEM	\N	138	29503	UROK	\N	\N
3643266	3421	1995-12-31	PRIJEM	\N	166	35579	UROK	\N	\N
3643267	3421	1996-01-31	PRIJEM	\N	131	24498	UROK	\N	\N
3643268	3421	1996-02-29	PRIJEM	\N	125	31672	UROK	\N	\N
3643269	3421	1996-03-31	PRIJEM	\N	151	31070	UROK	\N	\N
3643270	3421	1996-04-30	PRIJEM	\N	149	32768	UROK	\N	\N
3643271	3421	1996-05-31	PRIJEM	\N	155	33871	UROK	\N	\N
3643272	3421	1996-06-30	PRIJEM	\N	180	40401	UROK	\N	\N
3643273	3421	1996-07-31	PRIJEM	\N	182	37251	UROK	\N	\N
3643274	3421	1996-08-31	PRIJEM	\N	173	39872	UROK	\N	\N
3643275	3421	1996-09-30	PRIJEM	\N	169	36730	UROK	\N	\N
3643276	3421	1996-10-31	PRIJEM	\N	165	36444	UROK	\N	\N
3643277	3421	1996-11-30	PRIJEM	\N	163	32015	UROK	\N	\N
3643278	3421	1996-12-31	PRIJEM	\N	162	34947	UROK	\N	\N
3643279	3421	1997-01-31	PRIJEM	\N	153	34829	UROK	\N	\N
3643280	3421	1997-02-28	PRIJEM	\N	159	39356	UROK	\N	\N
3643281	3421	1997-03-31	PRIJEM	\N	181	43286	UROK	\N	\N
3643282	3421	1997-04-30	PRIJEM	\N	197	47531	UROK	\N	\N
3643283	3421	1997-05-31	PRIJEM	\N	215	52094	UROK	\N	\N
3643284	3421	1997-06-30	PRIJEM	\N	214	37519	UROK	\N	\N
3643285	3421	1997-07-31	PRIJEM	\N	172	43498	UROK	\N	\N
3643286	3421	1997-08-31	PRIJEM	\N	201	50648	UROK	\N	\N
3643287	3421	1997-09-30	PRIJEM	\N	209	46846	UROK	\N	\N
3643288	3421	1997-10-31	PRIJEM	\N	216	54510	UROK	\N	\N
3643289	3421	1997-11-30	PRIJEM	\N	249	63207	UROK	\N	\N
3643290	3421	1997-12-31	PRIJEM	\N	291	70628	UROK	\N	\N
3643291	3421	1998-01-31	PRIJEM	\N	293	59029	UROK	\N	\N
3643292	3421	1998-02-28	PRIJEM	\N	259	64437	UROK	\N	\N
3643293	3421	1998-03-31	PRIJEM	\N	274	65160	UROK	\N	\N
3643294	3421	1998-04-30	PRIJEM	\N	279	67187	UROK	\N	\N
3643295	3421	1998-05-31	PRIJEM	\N	283	65278	UROK	\N	\N
3643296	3421	1998-06-30	PRIJEM	\N	287	50175	UROK	\N	\N
3643297	3421	1998-07-31	PRIJEM	\N	230	58653	UROK	\N	\N
3643298	3421	1998-08-31	PRIJEM	\N	248	60049	UROK	\N	\N
3643299	3421	1998-09-30	PRIJEM	\N	237	55234	UROK	\N	\N
3643300	3421	1998-10-31	PRIJEM	\N	233	57015	UROK	\N	\N
3643301	3421	1998-11-30	PRIJEM	\N	230	55494	UROK	\N	\N
3643302	3421	1998-12-31	PRIJEM	\N	264	67367	UROK	\N	\N
3643303	3422	1996-04-30	PRIJEM	\N	14	24937	UROK	\N	\N
3643304	3422	1996-05-31	PRIJEM	\N	112	37372	UROK	\N	\N
3643305	3422	1996-06-30	PRIJEM	\N	162	46768	UROK	\N	\N
3643306	3422	1996-07-31	PRIJEM	\N	193	44784	UROK	\N	\N
3643307	3422	1996-08-31	PRIJEM	\N	218	46685	UROK	\N	\N
3643308	3422	1996-09-30	PRIJEM	\N	219	44900	UROK	\N	\N
3643309	3422	1996-10-31	PRIJEM	\N	209	41604	UROK	\N	\N
3643310	3422	1996-11-30	PRIJEM	\N	191	37952	UROK	\N	\N
3643311	3422	1996-12-31	PRIJEM	\N	204	41044	UROK	\N	\N
3643312	3422	1997-01-31	PRIJEM	\N	164	33444	UROK	\N	\N
3643313	3422	1997-02-28	PRIJEM	\N	157	30697	UROK	\N	\N
3643314	3422	1997-03-31	PRIJEM	\N	148	28042	UROK	\N	\N
3643315	3422	1997-04-30	PRIJEM	\N	124	24102	UROK	\N	\N
3643316	3422	1997-05-31	PRIJEM	\N	127	28526	UROK	\N	\N
3643317	3422	1997-06-30	PRIJEM	\N	109	15883	UROK	\N	\N
3643318	3422	1997-07-31	PRIJEM	\N	105	29284	UROK	\N	\N
3643319	3422	1997-08-31	PRIJEM	\N	147	31208	UROK	\N	\N
3643320	3422	1997-09-30	PRIJEM	\N	155	37060	UROK	\N	\N
3643321	3422	1997-10-31	PRIJEM	\N	167	35343	UROK	\N	\N
3643322	3422	1997-11-30	PRIJEM	\N	167	38606	UROK	\N	\N
3643323	3422	1997-12-31	PRIJEM	\N	185	44099	UROK	\N	\N
3643324	3422	1998-01-31	PRIJEM	\N	178	38574	UROK	\N	\N
3643325	3422	1998-02-28	PRIJEM	\N	178	42649	UROK	\N	\N
3643326	3422	1998-03-31	PRIJEM	\N	175	38820	UROK	\N	\N
3643327	3422	1998-04-30	PRIJEM	\N	169	38086	UROK	\N	\N
3643328	3422	1998-05-31	PRIJEM	\N	164	36346	UROK	\N	\N
3643329	3422	1998-06-30	PRIJEM	\N	168	43942	UROK	\N	\N
3643330	3422	1998-07-31	PRIJEM	\N	181	38119	UROK	\N	\N
3643331	3422	1998-08-31	PRIJEM	\N	173	41588	UROK	\N	\N
3643332	3422	1998-09-30	PRIJEM	\N	178	41662	UROK	\N	\N
3643333	3422	1998-10-31	PRIJEM	\N	178	41737	UROK	\N	\N
3643334	3422	1998-11-30	PRIJEM	\N	160	35193	UROK	\N	\N
3643335	3422	1998-12-31	PRIJEM	\N	155	36016	UROK	\N	\N
3643336	3423	1997-11-30	PRIJEM	\N	14	6007	UROK	\N	\N
3643337	3423	1997-12-31	PRIJEM	\N	70	24516	UROK	\N	\N
3643338	3423	1998-01-31	PRIJEM	\N	119	31528	UROK	\N	\N
3643339	3423	1998-02-28	PRIJEM	\N	139	35060	UROK	\N	\N
3643340	3423	1998-03-31	PRIJEM	\N	135	30487	UROK	\N	\N
3643341	3423	1998-04-30	PRIJEM	\N	113	27483	UROK	\N	\N
3643342	3423	1998-05-31	PRIJEM	\N	101	24667	UROK	\N	\N
3643343	3423	1998-06-30	PRIJEM	\N	104	27561	UROK	\N	\N
3643344	3423	1998-07-31	PRIJEM	\N	97	23641	UROK	\N	\N
3643345	3423	1998-08-31	PRIJEM	\N	72	17396	UROK	\N	\N
3643346	3423	1998-09-30	PRIJEM	\N	73	19353	UROK	\N	\N
3643347	3423	1998-10-31	PRIJEM	\N	82	21318	UROK	\N	\N
3643348	3423	1998-11-30	PRIJEM	\N	90	23291	UROK	\N	\N
3643349	3423	1998-12-31	PRIJEM	\N	67	13247	UROK	\N	\N
3643350	3424	1993-02-28	PRIJEM	\N	74	45136	UROK	\N	\N
3643351	3424	1993-03-31	PRIJEM	\N	188	34924	UROK	\N	\N
3643352	3424	1993-04-30	PRIJEM	\N	188	32111	UROK	\N	\N
3643353	3424	1993-05-31	PRIJEM	\N	188	29399	UROK	\N	\N
3643354	3424	1993-06-30	PRIJEM	\N	188	27787	UROK	\N	\N
3643355	3424	1993-07-31	PRIJEM	\N	187	44577	UROK	\N	\N
3643356	3424	1993-08-31	PRIJEM	\N	267	105148	UROK	\N	\N
3643357	3424	1993-09-30	PRIJEM	\N	205	40758	UROK	\N	\N
3643358	3424	1993-10-31	PRIJEM	\N	268	89341	UROK	\N	\N
3643359	3424	1993-11-30	PRIJEM	\N	254	65507	UROK	\N	\N
3643360	3424	1993-12-31	PRIJEM	\N	230	76567	UROK	\N	\N
3643361	3424	1994-01-31	PRIJEM	\N	243	48989	UROK	\N	\N
3643362	3424	1994-02-28	PRIJEM	\N	155	25421	UROK	\N	\N
3643363	3424	1994-03-31	PRIJEM	\N	219	67520	UROK	\N	\N
3643364	3424	1994-04-30	PRIJEM	\N	225	42024	UROK	\N	\N
3643365	3424	1994-05-31	PRIJEM	\N	220	79609	UROK	\N	\N
3643366	3424	1994-06-30	PRIJEM	\N	333	95181	UROK	\N	\N
3643367	3424	1994-07-31	PRIJEM	\N	245	32487	UROK	\N	\N
3643368	3424	1994-08-31	PRIJEM	\N	105	21972	UROK	\N	\N
3643369	3424	1994-09-30	PRIJEM	\N	87	19738	UROK	\N	\N
3643370	3424	1994-10-31	PRIJEM	\N	83	23329	UROK	\N	\N
3643371	3424	1994-11-30	PRIJEM	\N	159	42036	UROK	\N	\N
3643372	3424	1994-12-31	PRIJEM	\N	114	53525	UROK	\N	\N
3643373	3424	1995-01-31	PRIJEM	\N	263	72467	UROK	\N	\N
3643374	3424	1995-02-28	PRIJEM	\N	322	102879	UROK	\N	\N
3643375	3424	1995-03-31	PRIJEM	\N	292	57820	UROK	\N	\N
3643376	3424	1995-04-30	PRIJEM	\N	332	66056	UROK	\N	\N
3643377	3424	1995-05-31	PRIJEM	\N	273	56111	UROK	\N	\N
3643378	3424	1995-06-30	PRIJEM	\N	184	34874	UROK	\N	\N
3643379	3424	1995-07-31	PRIJEM	\N	138	66831	UROK	\N	\N
3643380	3424	1995-08-31	PRIJEM	\N	213	45523	UROK	\N	\N
3643381	3424	1995-09-30	PRIJEM	\N	162	36064	UROK	\N	\N
3643382	3424	1995-10-31	PRIJEM	\N	132	30076	UROK	\N	\N
3643383	3424	1995-11-30	PRIJEM	\N	112	25567	UROK	\N	\N
3643384	3424	1995-12-31	PRIJEM	\N	123	25508	UROK	\N	\N
3643385	3424	1996-01-31	PRIJEM	\N	105	24892	UROK	\N	\N
3643386	3424	1996-02-29	PRIJEM	\N	116	28888	UROK	\N	\N
3643387	3424	1996-03-31	PRIJEM	\N	343	106374	UROK	\N	\N
3643388	3424	1996-04-30	PRIJEM	\N	404	44341	UROK	\N	\N
3643389	3424	1996-05-31	PRIJEM	\N	175	45777	UROK	\N	\N
3643390	3424	1996-06-30	PRIJEM	\N	233	60094	UROK	\N	\N
3643391	3424	1996-07-31	PRIJEM	\N	242	64343	UROK	\N	\N
3643392	3424	1996-08-31	PRIJEM	\N	181	86479	UROK	\N	\N
3643393	3424	1996-09-30	PRIJEM	\N	275	58507	UROK	\N	\N
3643394	3424	1996-10-31	PRIJEM	\N	255	53983	UROK	\N	\N
3643395	3424	1996-11-30	PRIJEM	\N	254	61945	UROK	\N	\N
3643396	3424	1996-12-31	PRIJEM	\N	350	74979	UROK	\N	\N
3643397	3424	1997-01-31	PRIJEM	\N	263	81405	UROK	\N	\N
3643398	3424	1997-02-28	PRIJEM	\N	311	70495	UROK	\N	\N
3643399	3424	1997-03-31	PRIJEM	\N	328	78150	UROK	\N	\N
3643400	3424	1997-04-30	PRIJEM	\N	320	70802	UROK	\N	\N
3643401	3424	1997-05-31	PRIJEM	\N	213	45794	UROK	\N	\N
3643402	3424	1997-06-30	PRIJEM	\N	120	41779	UROK	\N	\N
3643403	3424	1997-07-31	PRIJEM	\N	158	47516	UROK	\N	\N
3643404	3424	1997-08-31	PRIJEM	\N	193	49346	UROK	\N	\N
3643405	3424	1997-09-30	PRIJEM	\N	277	74771	UROK	\N	\N
3643406	3424	1997-10-31	PRIJEM	\N	270	85668	UROK	\N	\N
3643407	3424	1997-11-30	PRIJEM	\N	294	67041	UROK	\N	\N
3643408	3424	1997-12-31	PRIJEM	\N	224	87038	UROK	\N	\N
3643409	3424	1998-01-31	PRIJEM	\N	338	77614	UROK	\N	\N
3643410	3424	1998-02-28	PRIJEM	\N	294	68887	UROK	\N	\N
3643411	3424	1998-03-31	PRIJEM	\N	309	86733	UROK	\N	\N
3643412	3424	1998-04-30	PRIJEM	\N	343	74194	UROK	\N	\N
3643413	3424	1998-05-31	PRIJEM	\N	289	71235	UROK	\N	\N
3643414	3424	1998-06-30	PRIJEM	\N	387	115006	UROK	\N	\N
3643415	3424	1998-07-31	PRIJEM	\N	378	76901	UROK	\N	\N
3643416	3424	1998-08-31	PRIJEM	\N	310	66082	UROK	\N	\N
3643417	3424	1998-09-30	PRIJEM	\N	283	71797	UROK	\N	\N
3643418	3424	1998-10-31	PRIJEM	\N	330	77233	UROK	\N	\N
3643419	3424	1998-11-30	PRIJEM	\N	274	99869	UROK	\N	\N
3643420	3424	1998-12-31	PRIJEM	\N	384	95297	UROK	\N	\N
3643421	3425	1994-09-30	PRIJEM	\N	14	12784	UROK	\N	\N
3643422	3425	1994-10-31	PRIJEM	\N	61	19015	UROK	\N	\N
3643423	3425	1994-11-30	PRIJEM	\N	86	24270	UROK	\N	\N
3643424	3425	1994-12-31	PRIJEM	\N	102	25242	UROK	\N	\N
3643425	3425	1995-01-31	PRIJEM	\N	104	24351	UROK	\N	\N
3643426	3425	1995-02-28	PRIJEM	\N	103	25373	UROK	\N	\N
3643427	3425	1995-03-31	PRIJEM	\N	108	25891	UROK	\N	\N
3643428	3425	1995-04-30	PRIJEM	\N	111	27111	UROK	\N	\N
3643429	3425	1995-05-31	PRIJEM	\N	112	25232	UROK	\N	\N
3643430	3425	1995-06-30	PRIJEM	\N	97	22648	UROK	\N	\N
3643431	3425	1995-07-31	PRIJEM	\N	95	22253	UROK	\N	\N
3643432	3425	1995-08-31	PRIJEM	\N	100	25762	UROK	\N	\N
3643433	3425	1995-09-30	PRIJEM	\N	103	23464	UROK	\N	\N
3643434	3425	1995-10-31	PRIJEM	\N	105	27079	UROK	\N	\N
3643435	3425	1995-11-30	PRIJEM	\N	117	29006	UROK	\N	\N
3643436	3425	1995-12-31	PRIJEM	\N	120	28455	UROK	\N	\N
3643437	3425	1996-01-31	PRIJEM	\N	112	23267	UROK	\N	\N
3643438	3425	1996-02-29	PRIJEM	\N	99	23975	UROK	\N	\N
3643439	3425	1996-03-31	PRIJEM	\N	103	25187	UROK	\N	\N
3643440	3425	1996-04-30	PRIJEM	\N	106	25602	UROK	\N	\N
3643441	3425	1996-05-31	PRIJEM	\N	113	27674	UROK	\N	\N
3643442	3425	1996-06-30	PRIJEM	\N	112	24766	UROK	\N	\N
3643443	3425	1996-07-31	PRIJEM	\N	119	31394	UROK	\N	\N
3643444	3425	1996-08-31	PRIJEM	\N	139	34943	UROK	\N	\N
3643445	3425	1996-09-30	PRIJEM	\N	146	35018	UROK	\N	\N
3643446	3425	1996-10-31	PRIJEM	\N	151	34468	UROK	\N	\N
3643447	3425	1996-11-30	PRIJEM	\N	143	34420	UROK	\N	\N
3643448	3425	1996-12-31	PRIJEM	\N	144	34483	UROK	\N	\N
3643449	3425	1997-01-31	PRIJEM	\N	149	35952	UROK	\N	\N
3643450	3425	1997-02-28	PRIJEM	\N	155	38216	UROK	\N	\N
3643451	3425	1997-03-31	PRIJEM	\N	157	37482	UROK	\N	\N
3643452	3425	1997-04-30	PRIJEM	\N	163	40255	UROK	\N	\N
3643453	3425	1997-05-31	PRIJEM	\N	164	39128	UROK	\N	\N
3643454	3425	1997-06-30	PRIJEM	\N	162	39009	UROK	\N	\N
3643455	3425	1997-07-31	PRIJEM	\N	168	41186	UROK	\N	\N
3643456	3425	1997-08-31	PRIJEM	\N	163	38358	UROK	\N	\N
3643457	3425	1997-09-30	PRIJEM	\N	165	40532	UROK	\N	\N
3643458	3425	1997-10-31	PRIJEM	\N	172	42163	UROK	\N	\N
3643459	3425	1997-11-30	PRIJEM	\N	180	44152	UROK	\N	\N
3643460	3425	1997-12-31	PRIJEM	\N	191	46032	UROK	\N	\N
3643461	3425	1998-01-31	PRIJEM	\N	204	48426	UROK	\N	\N
3643462	3425	1998-02-28	PRIJEM	\N	199	48034	UROK	\N	\N
3643463	3425	1998-03-31	PRIJEM	\N	204	49837	UROK	\N	\N
3643464	3425	1998-04-30	PRIJEM	\N	207	50354	UROK	\N	\N
3643465	3425	1998-05-31	PRIJEM	\N	215	52778	UROK	\N	\N
3643466	3425	1998-06-30	PRIJEM	\N	198	45405	UROK	\N	\N
3643467	3425	1998-07-31	PRIJEM	\N	196	48711	UROK	\N	\N
3643468	3425	1998-08-31	PRIJEM	\N	212	52532	UROK	\N	\N
3643469	3425	1998-09-30	PRIJEM	\N	232	58173	UROK	\N	\N
3643470	3425	1998-10-31	PRIJEM	\N	251	62134	UROK	\N	\N
3643471	3425	1998-11-30	PRIJEM	\N	256	61999	UROK	\N	\N
3643472	3425	1998-12-31	PRIJEM	\N	259	63247	UROK	\N	\N
3643473	3426	1996-08-31	PRIJEM	\N	61	22726	UROK	\N	\N
3643474	3426	1996-09-30	PRIJEM	\N	165	38856	UROK	\N	\N
3643475	3426	1996-10-31	PRIJEM	\N	202	48924	UROK	\N	\N
3643476	3426	1996-11-30	PRIJEM	\N	254	67242	UROK	\N	\N
3643477	3426	1996-12-31	PRIJEM	\N	243	43544	UROK	\N	\N
3643478	3426	1997-01-31	PRIJEM	\N	118	22371	UROK	\N	\N
3643479	3426	1997-02-28	PRIJEM	\N	122	24466	UROK	\N	\N
3643480	3426	1997-03-31	PRIJEM	\N	166	47491	UROK	\N	\N
3643481	3426	1997-04-30	PRIJEM	\N	207	51857	UROK	\N	\N
3643482	3426	1997-05-31	PRIJEM	\N	219	54135	UROK	\N	\N
3643483	3426	1997-06-30	PRIJEM	\N	233	47760	UROK	\N	\N
3643484	3426	1997-07-31	PRIJEM	\N	222	56740	UROK	\N	\N
3643485	3426	1997-08-31	PRIJEM	\N	202	48532	UROK	\N	\N
3643486	3426	1997-09-30	PRIJEM	\N	195	32823	UROK	\N	\N
3643487	3426	1997-10-31	PRIJEM	\N	161	32543	UROK	\N	\N
3643488	3426	1997-11-30	PRIJEM	\N	157	42452	UROK	\N	\N
3643489	3426	1997-12-31	PRIJEM	\N	205	48300	UROK	\N	\N
3643490	3426	1998-01-31	PRIJEM	\N	155	29214	UROK	\N	\N
3643491	3426	1998-02-28	PRIJEM	\N	154	41927	UROK	\N	\N
3643492	3426	1998-03-31	PRIJEM	\N	203	52788	UROK	\N	\N
3643493	3426	1998-04-30	PRIJEM	\N	213	50360	UROK	\N	\N
3643494	3426	1998-05-31	PRIJEM	\N	223	56443	UROK	\N	\N
3643495	3426	1998-06-30	PRIJEM	\N	277	72811	UROK	\N	\N
3643496	3426	1998-07-31	PRIJEM	\N	288	69058	UROK	\N	\N
3643497	3426	1998-08-31	PRIJEM	\N	267	63784	UROK	\N	\N
3643498	3426	1998-09-30	PRIJEM	\N	248	59191	UROK	\N	\N
3643499	3426	1998-10-31	PRIJEM	\N	213	43963	UROK	\N	\N
3643500	3426	1998-11-30	PRIJEM	\N	189	44511	UROK	\N	\N
3643501	3426	1998-12-31	PRIJEM	\N	241	63544	UROK	\N	\N
3643502	3427	1996-09-30	PRIJEM	\N	31	24504	UROK	\N	\N
3643503	3427	1996-10-31	PRIJEM	\N	119	37396	UROK	\N	\N
3643504	3427	1996-11-30	PRIJEM	\N	159	40328	UROK	\N	\N
3643505	3427	1996-12-31	PRIJEM	\N	182	50420	UROK	\N	\N
3643506	3427	1997-01-31	PRIJEM	\N	202	45296	UROK	\N	\N
3643507	3427	1997-02-28	PRIJEM	\N	192	40603	UROK	\N	\N
3643508	3427	1997-03-31	PRIJEM	\N	185	42403	UROK	\N	\N
3643509	3427	1997-04-30	PRIJEM	\N	178	39796	UROK	\N	\N
3643510	3427	1997-05-31	PRIJEM	\N	180	41791	UROK	\N	\N
3643511	3427	1997-06-30	PRIJEM	\N	135	34679	UROK	\N	\N
3643512	3427	1997-07-31	PRIJEM	\N	164	39758	UROK	\N	\N
3643513	3427	1997-08-31	PRIJEM	\N	178	47051	UROK	\N	\N
3643514	3427	1997-09-30	PRIJEM	\N	207	47474	UROK	\N	\N
3643515	3427	1997-10-31	PRIJEM	\N	208	50097	UROK	\N	\N
3643516	3427	1997-11-30	PRIJEM	\N	215	51427	UROK	\N	\N
3643517	3427	1997-12-31	PRIJEM	\N	237	58417	UROK	\N	\N
3643518	3427	1998-01-31	PRIJEM	\N	234	51666	UROK	\N	\N
3643519	3427	1998-02-28	PRIJEM	\N	244	50325	UROK	\N	\N
3643520	3427	1998-03-31	PRIJEM	\N	219	53560	UROK	\N	\N
3643521	3427	1998-04-30	PRIJEM	\N	232	56807	UROK	\N	\N
3643522	3427	1998-05-31	PRIJEM	\N	256	65078	UROK	\N	\N
3643523	3427	1998-06-30	PRIJEM	\N	314	49445	UROK	\N	\N
3643524	3427	1998-07-31	PRIJEM	\N	206	49466	UROK	\N	\N
3643525	3427	1998-08-31	PRIJEM	\N	254	69935	UROK	\N	\N
3643526	3427	1998-09-30	PRIJEM	\N	307	79157	UROK	\N	\N
3643527	3427	1998-10-31	PRIJEM	\N	337	84910	UROK	\N	\N
3643528	3427	1998-11-30	PRIJEM	\N	350	89275	UROK	\N	\N
3643529	3427	1998-12-31	PRIJEM	\N	383	100311	UROK	\N	\N
3643530	3428	1997-08-31	PRIJEM	\N	71	26519	UROK	\N	\N
3643531	3428	1997-09-30	PRIJEM	\N	146	40013	UROK	\N	\N
3643532	3428	1997-10-31	PRIJEM	\N	177	43937	UROK	\N	\N
3643533	3428	1997-11-30	PRIJEM	\N	184	44369	UROK	\N	\N
3643534	3428	1997-12-31	PRIJEM	\N	197	47698	UROK	\N	\N
3643535	3428	1998-01-31	PRIJEM	\N	167	32639	UROK	\N	\N
3643536	3428	1998-02-28	PRIJEM	\N	134	34426	UROK	\N	\N
3643537	3428	1998-03-31	PRIJEM	\N	135	26875	UROK	\N	\N
3643538	3428	1998-04-30	PRIJEM	\N	144	39252	UROK	\N	\N
3643539	3428	1998-05-31	PRIJEM	\N	170	41655	UROK	\N	\N
3643540	3428	1998-06-30	PRIJEM	\N	151	5304	UROK	\N	\N
3643541	3428	1998-07-31	PRIJEM	\N	64	20161	UROK	\N	\N
3643542	3428	1998-08-31	PRIJEM	\N	114	31307	UROK	\N	\N
3643543	3428	1998-09-30	PRIJEM	\N	133	32374	UROK	\N	\N
3643544	3428	1998-10-31	PRIJEM	\N	134	28921	UROK	\N	\N
3643545	3428	1998-11-30	PRIJEM	\N	139	36294	UROK	\N	\N
3643546	3428	1998-12-31	PRIJEM	\N	169	41020	UROK	\N	\N
3643547	3429	1994-04-30	PRIJEM	\N	55	26211	UROK	\N	\N
3643548	3429	1994-05-31	PRIJEM	\N	114	25369	UROK	\N	\N
3643549	3429	1994-06-30	PRIJEM	\N	105	24599	UROK	\N	\N
3643550	3429	1994-07-31	PRIJEM	\N	111	28395	UROK	\N	\N
3643551	3429	1994-08-31	PRIJEM	\N	122	27923	UROK	\N	\N
3643552	3429	1994-09-30	PRIJEM	\N	119	29327	UROK	\N	\N
3643553	3429	1994-10-31	PRIJEM	\N	128	32040	UROK	\N	\N
3643554	3429	1994-11-30	PRIJEM	\N	138	34464	UROK	\N	\N
3643555	3429	1994-12-31	PRIJEM	\N	140	32639	UROK	\N	\N
3643556	3429	1995-01-31	PRIJEM	\N	110	23264	UROK	\N	\N
3643557	3429	1995-02-28	PRIJEM	\N	107	28157	UROK	\N	\N
3643558	3429	1995-03-31	PRIJEM	\N	127	32570	UROK	\N	\N
3643559	3429	1995-04-30	PRIJEM	\N	145	36799	UROK	\N	\N
3643560	3429	1995-05-31	PRIJEM	\N	147	35092	UROK	\N	\N
3643561	3429	1995-06-30	PRIJEM	\N	145	30922	UROK	\N	\N
3643562	3429	1995-07-31	PRIJEM	\N	140	35847	UROK	\N	\N
3643563	3429	1995-08-31	PRIJEM	\N	156	39589	UROK	\N	\N
3643564	3429	1995-09-30	PRIJEM	\N	157	38591	UROK	\N	\N
3643565	3429	1995-10-31	PRIJEM	\N	161	40338	UROK	\N	\N
3643566	3429	1995-11-30	PRIJEM	\N	145	35408	UROK	\N	\N
3643567	3429	1995-12-31	PRIJEM	\N	150	37743	UROK	\N	\N
3643568	3429	1996-01-31	PRIJEM	\N	133	30042	UROK	\N	\N
3643569	3429	1996-02-29	PRIJEM	\N	130	33657	UROK	\N	\N
3643570	3429	1996-03-31	PRIJEM	\N	145	36388	UROK	\N	\N
3643571	3429	1996-04-30	PRIJEM	\N	146	37019	UROK	\N	\N
3643572	3429	1996-05-31	PRIJEM	\N	150	38194	UROK	\N	\N
3643573	3429	1996-06-30	PRIJEM	\N	125	28605	UROK	\N	\N
3643574	3429	1996-07-31	PRIJEM	\N	123	31354	UROK	\N	\N
3643575	3429	1996-08-31	PRIJEM	\N	135	34574	UROK	\N	\N
3643576	3429	1996-09-30	PRIJEM	\N	148	37707	UROK	\N	\N
3643577	3429	1996-10-31	PRIJEM	\N	152	38444	UROK	\N	\N
3643578	3429	1996-11-30	PRIJEM	\N	165	41894	UROK	\N	\N
3643579	3429	1996-12-31	PRIJEM	\N	176	43305	UROK	\N	\N
3643580	3429	1997-01-31	PRIJEM	\N	137	31147	UROK	\N	\N
3643581	3429	1997-02-28	PRIJEM	\N	139	36071	UROK	\N	\N
3643582	3429	1997-03-31	PRIJEM	\N	136	34933	UROK	\N	\N
3643583	3429	1997-04-30	PRIJEM	\N	149	37127	UROK	\N	\N
3643584	3429	1997-05-31	PRIJEM	\N	151	38563	UROK	\N	\N
3643585	3429	1997-06-30	PRIJEM	\N	121	27830	UROK	\N	\N
3643586	3429	1997-07-31	PRIJEM	\N	126	32741	UROK	\N	\N
3643587	3429	1997-08-31	PRIJEM	\N	145	35071	UROK	\N	\N
3643588	3429	1997-09-30	PRIJEM	\N	143	34840	UROK	\N	\N
3643589	3429	1997-10-31	PRIJEM	\N	152	35177	UROK	\N	\N
3643590	3429	1997-11-30	PRIJEM	\N	148	33590	UROK	\N	\N
3643591	3429	1997-12-31	PRIJEM	\N	145	37220	UROK	\N	\N
3643592	3429	1998-01-31	PRIJEM	\N	127	29282	UROK	\N	\N
3643593	3429	1998-02-28	PRIJEM	\N	130	34198	UROK	\N	\N
3643594	3429	1998-03-31	PRIJEM	\N	135	32639	UROK	\N	\N
3643595	3429	1998-04-30	PRIJEM	\N	134	34118	UROK	\N	\N
3643596	3429	1998-05-31	PRIJEM	\N	147	36170	UROK	\N	\N
3643597	3429	1998-06-30	PRIJEM	\N	122	26178	UROK	\N	\N
3643598	3429	1998-07-31	PRIJEM	\N	118	31081	UROK	\N	\N
3643599	3429	1998-08-31	PRIJEM	\N	138	36004	UROK	\N	\N
3643600	3429	1998-09-30	PRIJEM	\N	158	40947	UROK	\N	\N
3643601	3429	1998-10-31	PRIJEM	\N	168	39100	UROK	\N	\N
3643602	3429	1998-11-30	PRIJEM	\N	171	44057	UROK	\N	\N
3643603	3429	1998-12-31	PRIJEM	\N	183	46505	UROK	\N	\N
3643604	3430	1996-12-31	PRIJEM	\N	12	4356	UROK	\N	\N
3643605	3430	1997-01-31	PRIJEM	\N	55	17556	UROK	\N	\N
3643606	3430	1997-02-28	PRIJEM	\N	89	23689	UROK	\N	\N
3643607	3430	1997-03-31	PRIJEM	\N	110	27743	UROK	\N	\N
3643608	3430	1997-04-30	PRIJEM	\N	117	28303	UROK	\N	\N
3643609	3430	1997-05-31	PRIJEM	\N	116	28223	UROK	\N	\N
3643610	3430	1997-06-30	PRIJEM	\N	100	22146	UROK	\N	\N
3643611	3430	1997-07-31	PRIJEM	\N	87	21137	UROK	\N	\N
3643612	3430	1997-08-31	PRIJEM	\N	88	21308	UROK	\N	\N
3643613	3430	1997-09-30	PRIJEM	\N	80	19291	UROK	\N	\N
3643614	3430	1997-10-31	PRIJEM	\N	83	19907	UROK	\N	\N
3643615	3430	1997-11-30	PRIJEM	\N	92	23242	UROK	\N	\N
3643616	3430	1997-12-31	PRIJEM	\N	100	24516	UROK	\N	\N
3643617	3430	1998-01-31	PRIJEM	\N	90	20129	UROK	\N	\N
3643618	3430	1998-02-28	PRIJEM	\N	99	25431	UROK	\N	\N
3643619	3430	1998-03-31	PRIJEM	\N	110	27294	UROK	\N	\N
3643620	3430	1998-04-30	PRIJEM	\N	123	30310	UROK	\N	\N
3643621	3430	1998-05-31	PRIJEM	\N	117	27661	UROK	\N	\N
3643622	3430	1998-06-30	PRIJEM	\N	108	22662	UROK	\N	\N
3643623	3430	1998-07-31	PRIJEM	\N	105	26291	UROK	\N	\N
3643624	3430	1998-08-31	PRIJEM	\N	123	31117	UROK	\N	\N
3643625	3430	1998-09-30	PRIJEM	\N	137	34168	UROK	\N	\N
3643626	3430	1998-10-31	PRIJEM	\N	155	38627	UROK	\N	\N
3643627	3430	1998-11-30	PRIJEM	\N	189	48739	UROK	\N	\N
3643628	3430	1998-12-31	PRIJEM	\N	206	49898	UROK	\N	\N
3643629	3431	1996-10-31	PRIJEM	\N	34	23307	UROK	\N	\N
3643630	3431	1996-11-30	PRIJEM	\N	116	35696	UROK	\N	\N
3643631	3431	1996-12-31	PRIJEM	\N	166	46872	UROK	\N	\N
3643632	3431	1997-01-31	PRIJEM	\N	200	49945	UROK	\N	\N
3643633	3431	1997-02-28	PRIJEM	\N	216	47585	UROK	\N	\N
3643634	3431	1997-03-31	PRIJEM	\N	217	50412	UROK	\N	\N
3643635	3431	1997-04-30	PRIJEM	\N	224	50745	UROK	\N	\N
3643636	3431	1997-05-31	PRIJEM	\N	222	49476	UROK	\N	\N
3643637	3431	1997-06-30	PRIJEM	\N	218	44040	UROK	\N	\N
3643638	3431	1997-07-31	PRIJEM	\N	196	42985	UROK	\N	\N
3643639	3431	1997-08-31	PRIJEM	\N	179	38474	UROK	\N	\N
3643640	3431	1997-09-30	PRIJEM	\N	164	36548	UROK	\N	\N
3643641	3431	1997-10-31	PRIJEM	\N	160	36417	UROK	\N	\N
3643642	3431	1997-11-30	PRIJEM	\N	151	33677	UROK	\N	\N
3643643	3431	1997-12-31	PRIJEM	\N	152	32975	UROK	\N	\N
3643644	3431	1998-01-31	PRIJEM	\N	95	15880	UROK	\N	\N
3643645	3431	1998-02-28	PRIJEM	\N	88	23877	UROK	\N	\N
3643646	3431	1998-03-31	PRIJEM	\N	118	29305	UROK	\N	\N
3643647	3431	1998-04-30	PRIJEM	\N	143	36457	UROK	\N	\N
3643648	3431	1998-05-31	PRIJEM	\N	158	34385	UROK	\N	\N
3643649	3431	1998-06-30	PRIJEM	\N	162	17352	UROK	\N	\N
3643650	3431	1998-07-31	PRIJEM	\N	109	30771	UROK	\N	\N
3643651	3431	1998-08-31	PRIJEM	\N	131	31511	UROK	\N	\N
3643652	3431	1998-09-30	PRIJEM	\N	138	34158	UROK	\N	\N
3643653	3431	1998-10-31	PRIJEM	\N	161	33129	UROK	\N	\N
3643654	3431	1998-11-30	PRIJEM	\N	135	27933	UROK	\N	\N
3643655	3431	1998-12-31	PRIJEM	\N	134	30233	UROK	\N	\N
3643656	3432	1996-07-31	PRIJEM	\N	17	18119	UROK	\N	\N
3643657	3432	1996-08-31	PRIJEM	\N	81	23502	UROK	\N	\N
3643658	3432	1996-09-30	PRIJEM	\N	102	27406	UROK	\N	\N
3643659	3432	1996-10-31	PRIJEM	\N	117	29825	UROK	\N	\N
3643660	3432	1996-11-30	PRIJEM	\N	120	26446	UROK	\N	\N
3643661	3432	1996-12-31	PRIJEM	\N	103	16393	UROK	\N	\N
3643662	3432	1997-01-31	PRIJEM	\N	55	12641	UROK	\N	\N
3643663	3432	1997-02-28	PRIJEM	\N	59	15653	UROK	\N	\N
3643664	3432	1997-03-31	PRIJEM	\N	71	19438	UROK	\N	\N
3643665	3432	1997-04-30	PRIJEM	\N	87	22278	UROK	\N	\N
3643666	3432	1997-05-31	PRIJEM	\N	91	19823	UROK	\N	\N
3643667	3432	1997-06-30	PRIJEM	\N	87	19614	UROK	\N	\N
3643668	3432	1997-07-31	PRIJEM	\N	78	13605	UROK	\N	\N
3643669	3432	1997-08-31	PRIJEM	\N	64	14382	UROK	\N	\N
3643670	3432	1997-09-30	PRIJEM	\N	69	18465	UROK	\N	\N
3643671	3432	1997-10-31	PRIJEM	\N	88	23807	UROK	\N	\N
3643672	3432	1997-11-30	PRIJEM	\N	97	19477	UROK	\N	\N
3643673	3432	1997-12-31	PRIJEM	\N	83	17124	UROK	\N	\N
3643674	3432	1998-01-31	PRIJEM	\N	63	14940	UROK	\N	\N
3643675	3432	1998-02-28	PRIJEM	\N	62	14656	UROK	\N	\N
3643676	3432	1998-03-31	PRIJEM	\N	58	12767	UROK	\N	\N
3643677	3432	1998-04-30	PRIJEM	\N	53	12733	UROK	\N	\N
3643678	3432	1998-05-31	PRIJEM	\N	55	13241	UROK	\N	\N
3643679	3432	1998-06-30	PRIJEM	\N	54	11599	UROK	\N	\N
3643680	3432	1998-07-31	PRIJEM	\N	52	13005	UROK	\N	\N
3643681	3432	1998-08-31	PRIJEM	\N	50	11308	UROK	\N	\N
3643682	3432	1998-09-30	PRIJEM	\N	51	12712	UROK	\N	\N
3643683	3432	1998-10-31	PRIJEM	\N	50	11516	UROK	\N	\N
3643684	3432	1998-11-30	PRIJEM	\N	55	14124	UROK	\N	\N
3643685	3432	1998-12-31	PRIJEM	\N	62	15290	UROK	\N	\N
3643686	3433	1997-07-31	PRIJEM	\N	13	4655	UROK	\N	\N
3643687	3433	1997-08-31	PRIJEM	\N	19	8816	UROK	\N	\N
3643688	3433	1997-09-30	PRIJEM	\N	19	12978	UROK	\N	\N
3643689	3433	1997-10-31	PRIJEM	\N	19	17139	UROK	\N	\N
3643690	3433	1997-11-30	PRIJEM	\N	55	19033	UROK	\N	\N
3643691	3433	1997-12-31	PRIJEM	\N	79	18616	UROK	\N	\N
3643692	3433	1998-01-31	PRIJEM	\N	66	12927	UROK	\N	\N
3643693	3433	1998-02-28	PRIJEM	\N	58	14810	UROK	\N	\N
3643694	3433	1998-03-31	PRIJEM	\N	66	16700	UROK	\N	\N
3643695	3433	1998-04-30	PRIJEM	\N	74	18599	UROK	\N	\N
3643696	3433	1998-05-31	PRIJEM	\N	78	18701	UROK	\N	\N
3643697	3433	1998-06-30	PRIJEM	\N	82	20608	UROK	\N	\N
3643698	3433	1998-07-31	PRIJEM	\N	89	21622	UROK	\N	\N
3643699	3433	1998-08-31	PRIJEM	\N	78	16444	UROK	\N	\N
3643700	3433	1998-09-30	PRIJEM	\N	73	18341	UROK	\N	\N
3643701	3433	1998-10-31	PRIJEM	\N	81	20247	UROK	\N	\N
3643702	3433	1998-11-30	PRIJEM	\N	86	20797	UROK	\N	\N
3643703	3433	1998-12-31	PRIJEM	\N	91	22713	UROK	\N	\N
3643704	3434	1996-10-31	PRIJEM	\N	44	12168	UROK	\N	\N
3643705	3434	1996-11-30	PRIJEM	\N	55	13194	UROK	\N	\N
3643706	3434	1996-12-31	PRIJEM	\N	59	13834	UROK	\N	\N
3643707	3434	1997-01-31	PRIJEM	\N	56	12551	UROK	\N	\N
3643708	3434	1997-02-28	PRIJEM	\N	56	13578	UROK	\N	\N
3643709	3434	1997-03-31	PRIJEM	\N	60	14339	UROK	\N	\N
3643710	3434	1997-04-30	PRIJEM	\N	64	15374	UROK	\N	\N
3643711	3434	1997-05-31	PRIJEM	\N	68	16413	UROK	\N	\N
3643712	3434	1997-06-30	PRIJEM	\N	68	15093	UROK	\N	\N
3643713	3434	1997-07-31	PRIJEM	\N	67	16131	UROK	\N	\N
3643714	3434	1997-08-31	PRIJEM	\N	71	17174	UROK	\N	\N
3643715	3434	1997-09-30	PRIJEM	\N	75	18220	UROK	\N	\N
3643716	3434	1997-10-31	PRIJEM	\N	80	19271	UROK	\N	\N
3643717	3434	1997-11-30	PRIJEM	\N	79	18521	UROK	\N	\N
3643718	3434	1997-12-31	PRIJEM	\N	79	18162	UROK	\N	\N
3643719	3434	1998-01-31	PRIJEM	\N	60	12963	UROK	\N	\N
3643720	3434	1998-02-28	PRIJEM	\N	58	13992	UROK	\N	\N
3643721	3434	1998-03-31	PRIJEM	\N	62	15025	UROK	\N	\N
3643722	3434	1998-04-30	PRIJEM	\N	61	14358	UROK	\N	\N
3643723	3434	1998-05-31	PRIJEM	\N	63	15393	UROK	\N	\N
3643724	3434	1998-06-30	PRIJEM	\N	55	12620	UROK	\N	\N
3643725	3434	1998-07-31	PRIJEM	\N	52	12143	UROK	\N	\N
3643726	3434	1998-08-31	PRIJEM	\N	54	13168	UROK	\N	\N
3643727	3434	1998-09-30	PRIJEM	\N	57	13717	UROK	\N	\N
3643728	3434	1998-10-31	PRIJEM	\N	60	14179	UROK	\N	\N
3643729	3434	1998-11-30	PRIJEM	\N	62	14882	UROK	\N	\N
3643730	3434	1998-12-31	PRIJEM	\N	59	13573	UROK	\N	\N
3643731	3435	1993-07-31	PRIJEM	\N	16	4851	UROK	\N	\N
3643732	3435	1993-08-31	PRIJEM	\N	20	9506	UROK	\N	\N
3643733	3435	1993-09-30	PRIJEM	\N	20	14161	UROK	\N	\N
3643734	3435	1993-10-31	PRIJEM	\N	20	18816	UROK	\N	\N
3643735	3435	1993-11-30	PRIJEM	\N	61	20422	UROK	\N	\N
3643736	3435	1993-12-31	PRIJEM	\N	89	21441	UROK	\N	\N
3643737	3435	1994-01-31	PRIJEM	\N	78	12969	UROK	\N	\N
3643738	3435	1994-02-28	PRIJEM	\N	58	14558	UROK	\N	\N
3643739	3435	1994-03-31	PRIJEM	\N	62	14470	UROK	\N	\N
3643740	3435	1994-04-30	PRIJEM	\N	64	16064	UROK	\N	\N
3643741	3435	1994-05-31	PRIJEM	\N	71	17666	UROK	\N	\N
3643742	3435	1994-06-30	PRIJEM	\N	78	18474	UROK	\N	\N
3643743	3435	1994-07-31	PRIJEM	\N	81	20085	UROK	\N	\N
3643744	3435	1994-08-31	PRIJEM	\N	88	21703	UROK	\N	\N
3643745	3435	1994-09-30	PRIJEM	\N	94	23328	UROK	\N	\N
3643746	3435	1994-10-31	PRIJEM	\N	101	24960	UROK	\N	\N
3643747	3435	1994-11-30	PRIJEM	\N	108	26598	UROK	\N	\N
3643748	3435	1994-12-31	PRIJEM	\N	114	27242	UROK	\N	\N
3643749	3435	1995-01-31	PRIJEM	\N	110	20483	UROK	\N	\N
3643750	3435	1995-02-28	PRIJEM	\N	85	18338	UROK	\N	\N
3643751	3435	1995-03-31	PRIJEM	\N	80	19949	UROK	\N	\N
3643752	3435	1995-04-30	PRIJEM	\N	87	21566	UROK	\N	\N
3643753	3435	1995-05-31	PRIJEM	\N	94	22551	UROK	\N	\N
3643754	3435	1995-06-30	PRIJEM	\N	98	24179	UROK	\N	\N
3643755	3435	1995-07-31	PRIJEM	\N	105	25814	UROK	\N	\N
3643756	3435	1995-08-31	PRIJEM	\N	110	26174	UROK	\N	\N
3643757	3435	1995-09-30	PRIJEM	\N	112	27216	UROK	\N	\N
3643758	3435	1995-10-31	PRIJEM	\N	115	27862	UROK	\N	\N
3643759	3435	1995-11-30	PRIJEM	\N	113	26465	UROK	\N	\N
3643760	3435	1995-12-31	PRIJEM	\N	113	27608	UROK	\N	\N
3643761	3435	1996-01-31	PRIJEM	\N	99	18517	UROK	\N	\N
3643762	3435	1996-02-29	PRIJEM	\N	72	16599	UROK	\N	\N
3643763	3435	1996-03-31	PRIJEM	\N	73	18202	UROK	\N	\N
3643764	3435	1996-04-30	PRIJEM	\N	79	19812	UROK	\N	\N
3643765	3435	1996-05-31	PRIJEM	\N	86	19189	UROK	\N	\N
3643766	3435	1996-06-30	PRIJEM	\N	77	17596	UROK	\N	\N
3643767	3435	1996-07-31	PRIJEM	\N	77	19203	UROK	\N	\N
3643768	3435	1996-08-31	PRIJEM	\N	83	20817	UROK	\N	\N
3643769	3435	1996-09-30	PRIJEM	\N	90	22437	UROK	\N	\N
3643770	3435	1996-10-31	PRIJEM	\N	97	24064	UROK	\N	\N
3643771	3435	1996-11-30	PRIJEM	\N	100	24335	UROK	\N	\N
3643772	3435	1996-12-31	PRIJEM	\N	106	25721	UROK	\N	\N
3643773	3435	1997-01-31	PRIJEM	\N	90	18541	UROK	\N	\N
3643774	3435	1997-02-28	PRIJEM	\N	75	17826	UROK	\N	\N
3643775	3435	1997-03-31	PRIJEM	\N	77	19434	UROK	\N	\N
3643776	3435	1997-04-30	PRIJEM	\N	84	21048	UROK	\N	\N
3643777	3435	1997-05-31	PRIJEM	\N	89	19627	UROK	\N	\N
3643778	3435	1997-06-30	PRIJEM	\N	85	21242	UROK	\N	\N
3643779	3435	1997-07-31	PRIJEM	\N	91	22864	UROK	\N	\N
3643780	3435	1997-08-31	PRIJEM	\N	98	24492	UROK	\N	\N
3643781	3435	1997-09-30	PRIJEM	\N	105	26127	UROK	\N	\N
3643782	3435	1997-10-31	PRIJEM	\N	111	27769	UROK	\N	\N
3643783	3435	1997-11-30	PRIJEM	\N	114	27253	UROK	\N	\N
3643784	3435	1997-12-31	PRIJEM	\N	114	26027	UROK	\N	\N
3643785	3435	1998-01-31	PRIJEM	\N	90	16927	UROK	\N	\N
3643786	3435	1998-02-28	PRIJEM	\N	73	18530	UROK	\N	\N
3643787	3435	1998-03-31	PRIJEM	\N	79	18299	UROK	\N	\N
3643788	3435	1998-04-30	PRIJEM	\N	78	19908	UROK	\N	\N
3643789	3435	1998-05-31	PRIJEM	\N	77	17035	UROK	\N	\N
3643790	3435	1998-06-30	PRIJEM	\N	73	18638	UROK	\N	\N
3643791	3435	1998-07-31	PRIJEM	\N	80	20248	UROK	\N	\N
3643792	3435	1998-08-31	PRIJEM	\N	86	21865	UROK	\N	\N
3643793	3435	1998-09-30	PRIJEM	\N	93	23488	UROK	\N	\N
3643794	3435	1998-10-31	PRIJEM	\N	100	25118	UROK	\N	\N
3643795	3435	1998-11-30	PRIJEM	\N	106	26754	UROK	\N	\N
3643796	3435	1998-12-31	PRIJEM	\N	112	27896	UROK	\N	\N
3643797	3436	1995-11-30	PRIJEM	\N	33	13825	UROK	\N	\N
3643798	3436	1995-12-31	PRIJEM	\N	58	13311	UROK	\N	\N
3643799	3436	1996-01-31	PRIJEM	\N	58	14476	UROK	\N	\N
3643800	3436	1996-02-29	PRIJEM	\N	63	15646	UROK	\N	\N
3643801	3436	1996-03-31	PRIJEM	\N	68	16822	UROK	\N	\N
3643802	3436	1996-04-30	PRIJEM	\N	73	18002	UROK	\N	\N
3643803	3436	1996-05-31	PRIJEM	\N	78	19187	UROK	\N	\N
3643804	3436	1996-06-30	PRIJEM	\N	78	18392	UROK	\N	\N
3643805	3436	1996-07-31	PRIJEM	\N	79	19579	UROK	\N	\N
3643806	3436	1996-08-31	PRIJEM	\N	81	19388	UROK	\N	\N
3643807	3436	1996-09-30	PRIJEM	\N	83	20578	UROK	\N	\N
3643808	3436	1996-10-31	PRIJEM	\N	88	21774	UROK	\N	\N
3643809	3436	1996-11-30	PRIJEM	\N	93	22975	UROK	\N	\N
3643810	3436	1996-12-31	PRIJEM	\N	100	24032	UROK	\N	\N
3643811	3436	1997-01-31	PRIJEM	\N	103	25242	UROK	\N	\N
3643812	3436	1997-02-28	PRIJEM	\N	108	26457	UROK	\N	\N
3643813	3436	1997-03-31	PRIJEM	\N	110	26384	UROK	\N	\N
3643814	3436	1997-04-30	PRIJEM	\N	112	27183	UROK	\N	\N
3643815	3436	1997-05-31	PRIJEM	\N	115	27476	UROK	\N	\N
3643816	3436	1997-06-30	PRIJEM	\N	113	23836	UROK	\N	\N
3643817	3436	1997-07-31	PRIJEM	\N	101	24624	UROK	\N	\N
3643818	3436	1997-08-31	PRIJEM	\N	105	25836	UROK	\N	\N
3643819	3436	1997-09-30	PRIJEM	\N	110	27054	UROK	\N	\N
3643820	3436	1997-10-31	PRIJEM	\N	115	28276	UROK	\N	\N
3643821	3436	1997-11-30	PRIJEM	\N	120	29504	UROK	\N	\N
3643822	3436	1997-12-31	PRIJEM	\N	121	28452	UROK	\N	\N
3643823	3436	1998-01-31	PRIJEM	\N	119	28088	UROK	\N	\N
3643824	3436	1998-02-28	PRIJEM	\N	119	29315	UROK	\N	\N
3643825	3436	1998-03-31	PRIJEM	\N	123	29465	UROK	\N	\N
3643826	3436	1998-04-30	PRIJEM	\N	125	29947	UROK	\N	\N
3643827	3436	1998-05-31	PRIJEM	\N	127	31181	UROK	\N	\N
3643828	3436	1998-06-30	PRIJEM	\N	127	23625	UROK	\N	\N
3643829	3436	1998-07-31	PRIJEM	\N	100	24833	UROK	\N	\N
3643830	3436	1998-08-31	PRIJEM	\N	105	26046	UROK	\N	\N
3643831	3436	1998-09-30	PRIJEM	\N	110	27264	UROK	\N	\N
3643832	3436	1998-10-31	PRIJEM	\N	115	27796	UROK	\N	\N
3643833	3436	1998-11-30	PRIJEM	\N	118	27731	UROK	\N	\N
3643834	3436	1998-12-31	PRIJEM	\N	117	28176	UROK	\N	\N
3643835	3437	1997-02-28	PRIJEM	\N	137	51348	UROK	\N	\N
3643836	3437	1997-03-31	PRIJEM	\N	236	60053	UROK	\N	\N
3643837	3437	1997-04-30	PRIJEM	\N	249	59921	UROK	\N	\N
3643838	3437	1997-05-31	PRIJEM	\N	260	81424	UROK	\N	\N
3643839	3437	1997-06-30	PRIJEM	\N	251	66835	UROK	\N	\N
3643840	3437	1997-07-31	PRIJEM	\N	329	84157	UROK	\N	\N
3643841	3437	1997-08-31	PRIJEM	\N	231	33353	UROK	\N	\N
3643842	3437	1997-09-30	PRIJEM	\N	239	89702	UROK	\N	\N
3643843	3437	1997-10-31	PRIJEM	\N	339	59900	UROK	\N	\N
3643844	3437	1997-11-30	PRIJEM	\N	200	57386	UROK	\N	\N
3643845	3437	1997-12-31	PRIJEM	\N	275	87432	UROK	\N	\N
3643846	3437	1998-01-31	PRIJEM	\N	341	101468	UROK	\N	\N
3643847	3437	1998-02-28	PRIJEM	\N	320	80601	UROK	\N	\N
3643848	3437	1998-03-31	PRIJEM	\N	337	97595	UROK	\N	\N
3643849	3437	1998-04-30	PRIJEM	\N	372	45460	UROK	\N	\N
3643850	3437	1998-05-31	PRIJEM	\N	247	64723	UROK	\N	\N
3643851	3437	1998-06-30	PRIJEM	\N	299	77872	UROK	\N	\N
3643852	3437	1998-07-31	PRIJEM	\N	316	97936	UROK	\N	\N
3643853	3437	1998-08-31	PRIJEM	\N	156	33787	UROK	\N	\N
3643854	3437	1998-09-30	PRIJEM	\N	108	23741	UROK	\N	\N
3643855	3437	1998-10-31	PRIJEM	\N	102	23121	UROK	\N	\N
3643856	3437	1998-11-30	PRIJEM	\N	266	125348	UROK	\N	\N
3643857	3437	1998-12-31	PRIJEM	\N	227	51435	UROK	\N	\N
3643858	3438	1997-05-31	PRIJEM	\N	40	24570	UROK	\N	\N
3643859	3438	1997-06-30	PRIJEM	\N	99	20453	UROK	\N	\N
3643860	3438	1997-07-31	PRIJEM	\N	92	23179	UROK	\N	\N
3643861	3438	1997-08-31	PRIJEM	\N	103	25917	UROK	\N	\N
3643862	3438	1997-09-30	PRIJEM	\N	103	22014	UROK	\N	\N
3643863	3438	1997-10-31	PRIJEM	\N	98	24747	UROK	\N	\N
3643864	3438	1997-11-30	PRIJEM	\N	102	23983	UROK	\N	\N
3643865	3438	1997-12-31	PRIJEM	\N	94	21962	UROK	\N	\N
3643866	3438	1998-01-31	PRIJEM	\N	72	13948	UROK	\N	\N
3643867	3438	1998-02-28	PRIJEM	\N	57	12739	UROK	\N	\N
3643868	3438	1998-03-31	PRIJEM	\N	60	15433	UROK	\N	\N
3643869	3438	1998-04-30	PRIJEM	\N	59	14427	UROK	\N	\N
3643870	3438	1998-05-31	PRIJEM	\N	67	17128	UROK	\N	\N
3643871	3438	1998-06-30	PRIJEM	\N	66	14628	UROK	\N	\N
3643872	3438	1998-07-31	PRIJEM	\N	68	17330	UROK	\N	\N
3643873	3438	1998-08-31	PRIJEM	\N	74	16438	UROK	\N	\N
3643874	3438	1998-09-30	PRIJEM	\N	71	17944	UROK	\N	\N
3643875	3438	1998-10-31	PRIJEM	\N	81	20660	UROK	\N	\N
3643876	3438	1998-11-30	PRIJEM	\N	78	18472	UROK	\N	\N
3643877	3438	1998-12-31	PRIJEM	\N	81	19097	UROK	\N	\N
3643878	3439	1996-03-31	PRIJEM	\N	46	22760	UROK	\N	\N
3643879	3439	1996-04-30	PRIJEM	\N	112	31186	UROK	\N	\N
3643880	3439	1996-05-31	PRIJEM	\N	135	33534	UROK	\N	\N
3643881	3439	1996-06-30	PRIJEM	\N	158	41963	UROK	\N	\N
3643882	3439	1996-07-31	PRIJEM	\N	166	34844	UROK	\N	\N
3643883	3439	1996-08-31	PRIJEM	\N	154	34556	UROK	\N	\N
3643884	3439	1996-09-30	PRIJEM	\N	157	36571	UROK	\N	\N
3643885	3439	1996-10-31	PRIJEM	\N	154	34184	UROK	\N	\N
3643886	3439	1996-11-30	PRIJEM	\N	133	31375	UROK	\N	\N
3643887	3439	1996-12-31	PRIJEM	\N	155	34245	UROK	\N	\N
3643888	3439	1997-01-31	PRIJEM	\N	144	32448	UROK	\N	\N
3643889	3439	1997-02-28	PRIJEM	\N	142	33348	UROK	\N	\N
3643890	3439	1997-03-31	PRIJEM	\N	128	28134	UROK	\N	\N
3643891	3439	1997-04-30	PRIJEM	\N	115	25307	UROK	\N	\N
3643892	3439	1997-05-31	PRIJEM	\N	107	21272	UROK	\N	\N
3643893	3439	1997-06-30	PRIJEM	\N	119	29207	UROK	\N	\N
3643894	3439	1997-07-31	PRIJEM	\N	122	28288	UROK	\N	\N
3643895	3439	1997-08-31	PRIJEM	\N	124	29570	UROK	\N	\N
3643896	3439	1997-09-30	PRIJEM	\N	99	17528	UROK	\N	\N
3643897	3439	1997-10-31	PRIJEM	\N	86	21372	UROK	\N	\N
3643898	3439	1997-11-30	PRIJEM	\N	105	26436	UROK	\N	\N
3643899	3439	1997-12-31	PRIJEM	\N	122	28773	UROK	\N	\N
3643900	3439	1998-01-31	PRIJEM	\N	131	30162	UROK	\N	\N
3643901	3439	1998-02-28	PRIJEM	\N	160	41580	UROK	\N	\N
3643902	3439	1998-03-31	PRIJEM	\N	205	39244	UROK	\N	\N
3643903	3439	1998-04-30	PRIJEM	\N	174	43676	UROK	\N	\N
3643904	3439	1998-05-31	PRIJEM	\N	201	50136	UROK	\N	\N
3643905	3439	1998-06-30	PRIJEM	\N	235	49685	UROK	\N	\N
3643906	3439	1998-07-31	PRIJEM	\N	225	56369	UROK	\N	\N
3643907	3439	1998-08-31	PRIJEM	\N	220	53947	UROK	\N	\N
3643908	3439	1998-09-30	PRIJEM	\N	213	51418	UROK	\N	\N
3643909	3439	1998-10-31	PRIJEM	\N	223	55599	UROK	\N	\N
3643910	3439	1998-11-30	PRIJEM	\N	248	62106	UROK	\N	\N
3643911	3439	1998-12-31	PRIJEM	\N	282	70904	UROK	\N	\N
3643912	3440	1995-10-31	PRIJEM	\N	32	23828	UROK	\N	\N
3643913	3440	1995-11-30	PRIJEM	\N	116	36340	UROK	\N	\N
3643914	3440	1995-12-31	PRIJEM	\N	166	46450	UROK	\N	\N
3643915	3440	1996-01-31	PRIJEM	\N	197	48743	UROK	\N	\N
3643916	3440	1996-02-29	PRIJEM	\N	206	45822	UROK	\N	\N
3643917	3440	1996-03-31	PRIJEM	\N	201	41590	UROK	\N	\N
3643918	3440	1996-04-30	PRIJEM	\N	182	36839	UROK	\N	\N
3643919	3440	1996-05-31	PRIJEM	\N	164	35171	UROK	\N	\N
3643920	3440	1996-06-30	PRIJEM	\N	186	42072	UROK	\N	\N
3643921	3440	1996-07-31	PRIJEM	\N	179	36019	UROK	\N	\N
3643922	3440	1996-08-31	PRIJEM	\N	160	35047	UROK	\N	\N
3643923	3440	1996-09-30	PRIJEM	\N	152	31566	UROK	\N	\N
3643924	3440	1996-10-31	PRIJEM	\N	126	26659	UROK	\N	\N
3643925	3440	1996-11-30	PRIJEM	\N	110	23037	UROK	\N	\N
3643926	3440	1996-12-31	PRIJEM	\N	129	29381	UROK	\N	\N
3643927	3440	1997-01-31	PRIJEM	\N	132	28880	UROK	\N	\N
3643928	3440	1997-02-28	PRIJEM	\N	135	30783	UROK	\N	\N
3643929	3440	1997-03-31	PRIJEM	\N	145	33195	UROK	\N	\N
3643930	3440	1997-04-30	PRIJEM	\N	152	34615	UROK	\N	\N
3643931	3440	1997-05-31	PRIJEM	\N	153	34235	UROK	\N	\N
3643932	3440	1997-06-30	PRIJEM	\N	134	21985	UROK	\N	\N
3643933	3440	1997-07-31	PRIJEM	\N	140	30192	UROK	\N	\N
3643934	3440	1997-08-31	PRIJEM	\N	130	28689	UROK	\N	\N
3643935	3440	1997-09-30	PRIJEM	\N	130	30187	UROK	\N	\N
3643936	3440	1997-10-31	PRIJEM	\N	132	29986	UROK	\N	\N
3643937	3440	1997-11-30	PRIJEM	\N	147	35500	UROK	\N	\N
3643938	3440	1997-12-31	PRIJEM	\N	176	40392	UROK	\N	\N
3643939	3440	1998-01-31	PRIJEM	\N	166	38525	UROK	\N	\N
3643940	3440	1998-02-28	PRIJEM	\N	174	40267	UROK	\N	\N
3643941	3440	1998-03-31	PRIJEM	\N	173	40307	UROK	\N	\N
3643942	3440	1998-04-30	PRIJEM	\N	161	35736	UROK	\N	\N
3643943	3440	1998-05-31	PRIJEM	\N	151	35355	UROK	\N	\N
3643944	3440	1998-06-30	PRIJEM	\N	167	39737	UROK	\N	\N
3643945	3440	1998-07-31	PRIJEM	\N	190	46094	UROK	\N	\N
3643946	3440	1998-08-31	PRIJEM	\N	230	56791	UROK	\N	\N
3643947	3440	1998-09-30	PRIJEM	\N	259	58818	UROK	\N	\N
3643948	3440	1998-10-31	PRIJEM	\N	261	63246	UROK	\N	\N
3643949	3440	1998-11-30	PRIJEM	\N	284	69097	UROK	\N	\N
3643950	3440	1998-12-31	PRIJEM	\N	336	81448	UROK	\N	\N
3644022	3442	1996-06-30	PRIJEM	\N	2	17627	UROK	\N	\N
3644023	3442	1996-07-31	PRIJEM	\N	73	17300	UROK	\N	\N
3644024	3442	1996-08-31	PRIJEM	\N	75	18476	UROK	\N	\N
3644025	3442	1996-09-30	PRIJEM	\N	78	19234	UROK	\N	\N
3644026	3442	1996-10-31	PRIJEM	\N	75	17850	UROK	\N	\N
3644027	3442	1996-11-30	PRIJEM	\N	68	15518	UROK	\N	\N
3644028	3442	1996-12-31	PRIJEM	\N	66	16505	UROK	\N	\N
3644029	3442	1997-01-31	PRIJEM	\N	51	11556	UROK	\N	\N
3644030	3442	1997-02-28	PRIJEM	\N	51	12707	UROK	\N	\N
3644031	3442	1997-03-31	PRIJEM	\N	56	13863	UROK	\N	\N
3644032	3442	1997-04-30	PRIJEM	\N	60	15024	UROK	\N	\N
3644033	3442	1997-05-31	PRIJEM	\N	65	15079	UROK	\N	\N
3644034	3442	1997-06-30	PRIJEM	\N	61	14741	UROK	\N	\N
3644035	3442	1997-07-31	PRIJEM	\N	64	15905	UROK	\N	\N
3644036	3442	1997-08-31	PRIJEM	\N	68	15964	UROK	\N	\N
3644037	3442	1997-09-30	PRIJEM	\N	69	17133	UROK	\N	\N
3644038	3442	1997-10-31	PRIJEM	\N	74	18308	UROK	\N	\N
3644039	3442	1997-11-30	PRIJEM	\N	77	19036	UROK	\N	\N
3644040	3442	1997-12-31	PRIJEM	\N	81	19527	UROK	\N	\N
3644041	3442	1998-01-31	PRIJEM	\N	76	16983	UROK	\N	\N
3644042	3442	1998-02-28	PRIJEM	\N	73	18156	UROK	\N	\N
3644043	3442	1998-03-31	PRIJEM	\N	78	19335	UROK	\N	\N
3644044	3442	1998-04-30	PRIJEM	\N	83	20368	UROK	\N	\N
3644045	3442	1998-05-31	PRIJEM	\N	83	20352	UROK	\N	\N
3644046	3442	1998-06-30	PRIJEM	\N	82	18924	UROK	\N	\N
3644047	3442	1998-07-31	PRIJEM	\N	81	20106	UROK	\N	\N
3644048	3442	1998-08-31	PRIJEM	\N	84	20240	UROK	\N	\N
3644049	3442	1998-09-30	PRIJEM	\N	87	21427	UROK	\N	\N
3644050	3442	1998-10-31	PRIJEM	\N	92	22619	UROK	\N	\N
3644051	3442	1998-11-30	PRIJEM	\N	97	23816	UROK	\N	\N
3644052	3442	1998-12-31	PRIJEM	\N	95	22462	UROK	\N	\N
3644053	3443	1996-12-31	PRIJEM	\N	44	18354	UROK	\N	\N
3644054	3443	1997-01-31	PRIJEM	\N	67	14835	UROK	\N	\N
3644055	3443	1997-02-28	PRIJEM	\N	61	13620	UROK	\N	\N
3644056	3443	1997-03-31	PRIJEM	\N	60	15043	UROK	\N	\N
3644057	3443	1997-04-30	PRIJEM	\N	63	15350	UROK	\N	\N
3644058	3443	1997-05-31	PRIJEM	\N	63	14696	UROK	\N	\N
3644059	3443	1997-06-30	PRIJEM	\N	64	16124	UROK	\N	\N
3644060	3443	1997-07-31	PRIJEM	\N	70	17558	UROK	\N	\N
3644061	3443	1997-08-31	PRIJEM	\N	68	15068	UROK	\N	\N
3644062	3443	1997-09-30	PRIJEM	\N	65	15777	UROK	\N	\N
3644063	3443	1997-10-31	PRIJEM	\N	69	17210	UROK	\N	\N
3644064	3443	1997-11-30	PRIJEM	\N	75	18648	UROK	\N	\N
3644065	3443	1997-12-31	PRIJEM	\N	81	19493	UROK	\N	\N
3644066	3443	1998-01-31	PRIJEM	\N	80	18786	UROK	\N	\N
3644067	3443	1998-02-28	PRIJEM	\N	77	17186	UROK	\N	\N
3644068	3443	1998-03-31	PRIJEM	\N	75	18625	UROK	\N	\N
3644069	3443	1998-04-30	PRIJEM	\N	81	20069	UROK	\N	\N
3644070	3443	1998-05-31	PRIJEM	\N	77	14869	UROK	\N	\N
3644071	3443	1998-06-30	PRIJEM	\N	65	16297	UROK	\N	\N
3644072	3443	1998-07-31	PRIJEM	\N	62	15642	UROK	\N	\N
3644073	3443	1998-08-31	PRIJEM	\N	68	17074	UROK	\N	\N
3644074	3443	1998-09-30	PRIJEM	\N	74	18512	UROK	\N	\N
3644075	3443	1998-10-31	PRIJEM	\N	80	19955	UROK	\N	\N
3644076	3443	1998-11-30	PRIJEM	\N	85	20203	UROK	\N	\N
3644077	3443	1998-12-31	PRIJEM	\N	86	19692	UROK	\N	\N
3644078	3446	1996-12-31	PRIJEM	\N	13	31956	UROK	\N	\N
3644079	3446	1997-01-31	PRIJEM	\N	147	47090	UROK	\N	\N
3644080	3446	1997-02-28	PRIJEM	\N	220	81956	UROK	\N	\N
3644081	3446	1997-03-31	PRIJEM	\N	303	67108	UROK	\N	\N
3644082	3446	1997-04-30	PRIJEM	\N	332	70029	UROK	\N	\N
3644083	3446	1997-05-31	PRIJEM	\N	297	67084	UROK	\N	\N
3644084	3446	1997-06-30	PRIJEM	\N	282	101854	UROK	\N	\N
3644085	3446	1997-07-31	PRIJEM	\N	361	65090	UROK	\N	\N
3644086	3446	1997-08-31	PRIJEM	\N	280	56079	UROK	\N	\N
3644087	3446	1997-09-30	PRIJEM	\N	302	68772	UROK	\N	\N
3644088	3446	1997-10-31	PRIJEM	\N	178	41333	UROK	\N	\N
3644089	3446	1997-11-30	PRIJEM	\N	181	37162	UROK	\N	\N
3644090	3446	1997-12-31	PRIJEM	\N	169	36985	UROK	\N	\N
3644091	3446	1998-01-31	PRIJEM	\N	149	27867	UROK	\N	\N
3644092	3446	1998-02-28	PRIJEM	\N	120	30828	UROK	\N	\N
3644093	3446	1998-03-31	PRIJEM	\N	236	70023	UROK	\N	\N
3644094	3446	1998-04-30	PRIJEM	\N	313	68936	UROK	\N	\N
3644095	3446	1998-05-31	PRIJEM	\N	269	67278	UROK	\N	\N
3644096	3446	1998-06-30	PRIJEM	\N	409	141080	UROK	\N	\N
3644097	3446	1998-07-31	PRIJEM	\N	322	47373	UROK	\N	\N
3644098	3446	1998-08-31	PRIJEM	\N	138	26337	UROK	\N	\N
3644099	3446	1998-09-30	PRIJEM	\N	136	67975	UROK	\N	\N
3644100	3446	1998-10-31	PRIJEM	\N	227	40442	UROK	\N	\N
3644101	3446	1998-11-30	PRIJEM	\N	235	78724	UROK	\N	\N
3644102	3446	1998-12-31	PRIJEM	\N	317	95674	UROK	\N	\N
3644103	3448	1996-06-30	PRIJEM	\N	10	12256	UROK	\N	\N
3644104	3448	1996-07-31	PRIJEM	\N	255	72649	UROK	\N	\N
3644105	3448	1996-08-31	PRIJEM	\N	302	46551	UROK	\N	\N
3644106	3448	1996-09-30	PRIJEM	\N	263	61531	UROK	\N	\N
3644107	3448	1996-10-31	PRIJEM	\N	249	38080	UROK	\N	\N
3644108	3448	1996-11-30	PRIJEM	\N	229	43998	UROK	\N	\N
3644109	3448	1996-12-31	PRIJEM	\N	135	30303	UROK	\N	\N
3644110	3448	1997-01-31	PRIJEM	\N	119	29805	UROK	\N	\N
3644111	3448	1997-02-28	PRIJEM	\N	107	23882	UROK	\N	\N
3644112	3448	1997-03-31	PRIJEM	\N	91	20542	UROK	\N	\N
3644113	3448	1997-04-30	PRIJEM	\N	198	51259	UROK	\N	\N
3644114	3448	1997-05-31	PRIJEM	\N	172	33502	UROK	\N	\N
3644115	3448	1997-06-30	PRIJEM	\N	112	68589	UROK	\N	\N
3644116	3448	1997-07-31	PRIJEM	\N	280	42239	UROK	\N	\N
3644117	3448	1997-08-31	PRIJEM	\N	151	42475	UROK	\N	\N
3644118	3448	1997-09-30	PRIJEM	\N	151	21663	UROK	\N	\N
3644119	3448	1997-10-31	PRIJEM	\N	103	21346	UROK	\N	\N
3644120	3448	1997-11-30	PRIJEM	\N	88	22243	UROK	\N	\N
3644121	3448	1997-12-31	PRIJEM	\N	89	18742	UROK	\N	\N
3644122	3448	1998-01-31	PRIJEM	\N	76	15927	UROK	\N	\N
3644123	3448	1998-02-28	PRIJEM	\N	65	17202	UROK	\N	\N
3644124	3448	1998-03-31	PRIJEM	\N	223	84200	UROK	\N	\N
3644125	3448	1998-04-30	PRIJEM	\N	363	48192	UROK	\N	\N
3644126	3448	1998-05-31	PRIJEM	\N	207	39171	UROK	\N	\N
3644127	3448	1998-06-30	PRIJEM	\N	189	44932	UROK	\N	\N
3644128	3448	1998-07-31	PRIJEM	\N	231	37729	UROK	\N	\N
3644129	3448	1998-08-31	PRIJEM	\N	134	15772	UROK	\N	\N
3644130	3448	1998-09-30	PRIJEM	\N	66	34768	UROK	\N	\N
3644131	3448	1998-10-31	PRIJEM	\N	175	27389	UROK	\N	\N
3644132	3448	1998-11-30	PRIJEM	\N	111	24610	UROK	\N	\N
3644133	3448	1998-12-31	PRIJEM	\N	134	23917	UROK	\N	\N
3644134	3451	1996-05-31	PRIJEM	\N	12	18081	UROK	\N	\N
3644135	3451	1996-06-30	PRIJEM	\N	86	33721	UROK	\N	\N
3644136	3451	1996-07-31	PRIJEM	\N	143	37733	UROK	\N	\N
3644137	3451	1996-08-31	PRIJEM	\N	158	39260	UROK	\N	\N
3644138	3451	1996-09-30	PRIJEM	\N	184	40216	UROK	\N	\N
3644139	3451	1996-10-31	PRIJEM	\N	185	38658	UROK	\N	\N
3644140	3451	1996-11-30	PRIJEM	\N	179	38493	UROK	\N	\N
3644141	3451	1996-12-31	PRIJEM	\N	199	40855	UROK	\N	\N
3644142	3451	1997-01-31	PRIJEM	\N	170	31083	UROK	\N	\N
3644143	3451	1997-02-28	PRIJEM	\N	150	35090	UROK	\N	\N
3644144	3451	1997-03-31	PRIJEM	\N	164	33711	UROK	\N	\N
3644145	3451	1997-04-30	PRIJEM	\N	154	31922	UROK	\N	\N
3644146	3451	1997-05-31	PRIJEM	\N	140	20639	UROK	\N	\N
3644147	3451	1997-06-30	PRIJEM	\N	118	16020	UROK	\N	\N
3644148	3451	1997-07-31	PRIJEM	\N	87	20264	UROK	\N	\N
3644149	3451	1997-08-31	PRIJEM	\N	100	22421	UROK	\N	\N
3644150	3451	1997-09-30	PRIJEM	\N	96	14755	UROK	\N	\N
3644151	3451	1997-10-31	PRIJEM	\N	88	16120	UROK	\N	\N
3644152	3451	1997-11-30	PRIJEM	\N	74	15051	UROK	\N	\N
3644153	3451	1997-12-31	PRIJEM	\N	86	17299	UROK	\N	\N
3644154	3451	1998-01-31	PRIJEM	\N	72	16229	UROK	\N	\N
3644155	3451	1998-02-28	PRIJEM	\N	68	13254	UROK	\N	\N
3644156	3451	1998-03-31	PRIJEM	\N	86	24998	UROK	\N	\N
3644157	3451	1998-04-30	PRIJEM	\N	126	33061	UROK	\N	\N
3644158	3451	1998-05-31	PRIJEM	\N	126	18984	UROK	\N	\N
3644159	3451	1998-06-30	PRIJEM	\N	80	14406	UROK	\N	\N
3644160	3451	1998-07-31	PRIJEM	\N	91	26154	UROK	\N	\N
3644161	3451	1998-08-31	PRIJEM	\N	102	16994	UROK	\N	\N
3644162	3451	1998-09-30	PRIJEM	\N	101	28752	UROK	\N	\N
3644163	3451	1998-10-31	PRIJEM	\N	86	13996	UROK	\N	\N
3644164	3451	1998-11-30	PRIJEM	\N	88	25741	UROK	\N	\N
3644165	3451	1998-12-31	PRIJEM	\N	159	39743	UROK	\N	\N
3644166	3452	1996-12-31	PRIJEM	\N	13	5507	UROK	\N	\N
3644167	3452	1997-01-31	PRIJEM	\N	23	10224	UROK	\N	\N
3644168	3452	1997-02-28	PRIJEM	\N	23	14941	UROK	\N	\N
3644169	3452	1997-03-31	PRIJEM	\N	23	19658	UROK	\N	\N
3644170	3452	1997-04-30	PRIJEM	\N	60	21283	UROK	\N	\N
3644171	3452	1997-05-31	PRIJEM	\N	92	22926	UROK	\N	\N
3644172	3452	1997-06-30	PRIJEM	\N	93	20869	UROK	\N	\N
3644173	3452	1997-07-31	PRIJEM	\N	91	22510	UROK	\N	\N
3644174	3452	1997-08-31	PRIJEM	\N	98	24158	UROK	\N	\N
3644175	3452	1997-09-30	PRIJEM	\N	104	25812	UROK	\N	\N
3644176	3452	1997-10-31	PRIJEM	\N	111	27474	UROK	\N	\N
3644177	3452	1997-11-30	PRIJEM	\N	114	26579	UROK	\N	\N
3644178	3452	1997-12-31	PRIJEM	\N	105	25424	UROK	\N	\N
3644179	3452	1998-01-31	PRIJEM	\N	99	20753	UROK	\N	\N
3644180	3452	1998-02-28	PRIJEM	\N	90	22393	UROK	\N	\N
3644181	3452	1998-03-31	PRIJEM	\N	104	24048	UROK	\N	\N
3644182	3452	1998-04-30	PRIJEM	\N	111	25709	UROK	\N	\N
3644183	3452	1998-05-31	PRIJEM	\N	101	22961	UROK	\N	\N
3644184	3452	1998-06-30	PRIJEM	\N	106	24617	UROK	\N	\N
3644185	3452	1998-07-31	PRIJEM	\N	106	26274	UROK	\N	\N
3644186	3452	1998-08-31	PRIJEM	\N	111	24416	UROK	\N	\N
3644187	3452	1998-09-30	PRIJEM	\N	103	24069	UROK	\N	\N
3644188	3452	1998-10-31	PRIJEM	\N	110	22289	UROK	\N	\N
3644189	3452	1998-11-30	PRIJEM	\N	96	23936	UROK	\N	\N
3644190	3452	1998-12-31	PRIJEM	\N	94	21350	UROK	\N	\N
3644191	3453	1995-06-30	PRIJEM	\N	103	33795	UROK	\N	\N
3644192	3453	1995-07-31	PRIJEM	\N	192	50582	UROK	\N	\N
3644193	3453	1995-08-31	PRIJEM	\N	227	56104	UROK	\N	\N
3644194	3453	1995-09-30	PRIJEM	\N	251	62150	UROK	\N	\N
3644195	3453	1995-10-31	PRIJEM	\N	267	58350	UROK	\N	\N
3644196	3453	1995-11-30	PRIJEM	\N	234	55602	UROK	\N	\N
3644197	3453	1995-12-31	PRIJEM	\N	259	63977	UROK	\N	\N
3644198	3453	1996-01-31	PRIJEM	\N	265	54061	UROK	\N	\N
3644199	3453	1996-02-29	PRIJEM	\N	236	51316	UROK	\N	\N
3644200	3453	1996-03-31	PRIJEM	\N	244	54477	UROK	\N	\N
3644201	3453	1996-04-30	PRIJEM	\N	255	57151	UROK	\N	\N
3644202	3453	1996-05-31	PRIJEM	\N	221	51190	UROK	\N	\N
3644203	3453	1996-06-30	PRIJEM	\N	217	57023	UROK	\N	\N
3644204	3453	1996-07-31	PRIJEM	\N	233	49074	UROK	\N	\N
3644205	3453	1996-08-31	PRIJEM	\N	217	47410	UROK	\N	\N
3644206	3453	1996-09-30	PRIJEM	\N	188	45016	UROK	\N	\N
3644207	3453	1996-10-31	PRIJEM	\N	172	26807	UROK	\N	\N
3644208	3453	1996-11-30	PRIJEM	\N	153	30179	UROK	\N	\N
3644209	3453	1996-12-31	PRIJEM	\N	194	34588	UROK	\N	\N
3644210	3453	1997-01-31	PRIJEM	\N	195	26101	UROK	\N	\N
3644211	3453	1997-02-28	PRIJEM	\N	147	24667	UROK	\N	\N
3644212	3453	1997-03-31	PRIJEM	\N	160	21845	UROK	\N	\N
3644213	3453	1997-04-30	PRIJEM	\N	129	21292	UROK	\N	\N
3644214	3453	1997-05-31	PRIJEM	\N	129	20740	UROK	\N	\N
3644215	3453	1997-06-30	PRIJEM	\N	123	15878	UROK	\N	\N
3644216	3453	1997-07-31	PRIJEM	\N	118	16315	UROK	\N	\N
3644217	3453	1997-08-31	PRIJEM	\N	103	18836	UROK	\N	\N
3644218	3453	1997-09-30	PRIJEM	\N	126	18981	UROK	\N	\N
3644219	3453	1997-10-31	PRIJEM	\N	114	23513	UROK	\N	\N
3644220	3453	1997-11-30	PRIJEM	\N	136	18567	UROK	\N	\N
3644221	3453	1997-12-31	PRIJEM	\N	132	21614	UROK	\N	\N
3644222	3453	1998-01-31	PRIJEM	\N	108	17740	UROK	\N	\N
3644223	3453	1998-02-28	PRIJEM	\N	108	24567	UROK	\N	\N
3644224	3453	1998-03-31	PRIJEM	\N	132	25817	UROK	\N	\N
3644225	3453	1998-04-30	PRIJEM	\N	138	29274	UROK	\N	\N
3644226	3453	1998-05-31	PRIJEM	\N	167	33859	UROK	\N	\N
3644227	3453	1998-06-30	PRIJEM	\N	172	33046	UROK	\N	\N
3644228	3453	1998-07-31	PRIJEM	\N	180	37645	UROK	\N	\N
3644229	3453	1998-08-31	PRIJEM	\N	185	33048	UROK	\N	\N
3644230	3453	1998-09-30	PRIJEM	\N	162	35628	UROK	\N	\N
3644231	3453	1998-10-31	PRIJEM	\N	171	24917	UROK	\N	\N
3644232	3453	1998-11-30	PRIJEM	\N	137	34373	UROK	\N	\N
3644233	3453	1998-12-31	PRIJEM	\N	218	58506	UROK	\N	\N
3644234	3454	1997-03-31	PRIJEM	\N	72	33352	UROK	\N	\N
3644235	3454	1997-04-30	PRIJEM	\N	130	28555	UROK	\N	\N
3644236	3454	1997-05-31	PRIJEM	\N	128	32056	UROK	\N	\N
3644237	3454	1997-06-30	PRIJEM	\N	113	23393	UROK	\N	\N
3644238	3454	1997-07-31	PRIJEM	\N	92	20798	UROK	\N	\N
3644239	3454	1997-08-31	PRIJEM	\N	95	20666	UROK	\N	\N
3644240	3454	1997-09-30	PRIJEM	\N	95	24134	UROK	\N	\N
3644241	3454	1997-10-31	PRIJEM	\N	88	19055	UROK	\N	\N
3644242	3454	1997-11-30	PRIJEM	\N	86	22314	UROK	\N	\N
3644243	3454	1997-12-31	PRIJEM	\N	92	23130	UROK	\N	\N
3644244	3454	1998-01-31	PRIJEM	\N	77	12790	UROK	\N	\N
3644245	3454	1998-02-28	PRIJEM	\N	58	14541	UROK	\N	\N
3644246	3454	1998-03-31	PRIJEM	\N	62	16296	UROK	\N	\N
3644247	3454	1998-04-30	PRIJEM	\N	73	19043	UROK	\N	\N
3644248	3454	1998-05-31	PRIJEM	\N	88	22504	UROK	\N	\N
3644249	3454	1998-06-30	PRIJEM	\N	79	14556	UROK	\N	\N
3644250	3454	1998-07-31	PRIJEM	\N	66	17696	UROK	\N	\N
3644251	3454	1998-08-31	PRIJEM	\N	67	16937	UROK	\N	\N
3644252	3454	1998-09-30	PRIJEM	\N	75	19584	UROK	\N	\N
3644253	3454	1998-10-31	PRIJEM	\N	68	15386	UROK	\N	\N
3644254	3454	1998-11-30	PRIJEM	\N	72	18832	UROK	\N	\N
3644255	3454	1998-12-31	PRIJEM	\N	72	18507	UROK	\N	\N
3644256	3455	1996-04-30	PRIJEM	\N	79	30114	UROK	\N	\N
3644257	3455	1996-05-31	PRIJEM	\N	156	41806	UROK	\N	\N
3644258	3455	1996-06-30	PRIJEM	\N	219	58227	UROK	\N	\N
3644259	3455	1996-07-31	PRIJEM	\N	234	55395	UROK	\N	\N
3644260	3455	1996-08-31	PRIJEM	\N	225	51155	UROK	\N	\N
3644261	3455	1996-09-30	PRIJEM	\N	168	30665	UROK	\N	\N
3644262	3455	1996-10-31	PRIJEM	\N	151	37236	UROK	\N	\N
3644263	3455	1996-11-30	PRIJEM	\N	172	39129	UROK	\N	\N
3644264	3455	1996-12-31	PRIJEM	\N	201	42217	UROK	\N	\N
3644265	3455	1997-01-31	PRIJEM	\N	125	20163	UROK	\N	\N
3644266	3455	1997-02-28	PRIJEM	\N	107	25590	UROK	\N	\N
3644267	3455	1997-03-31	PRIJEM	\N	120	27251	UROK	\N	\N
3644268	3455	1997-04-30	PRIJEM	\N	140	34189	UROK	\N	\N
3644269	3455	1997-05-31	PRIJEM	\N	91	14690	UROK	\N	\N
3644270	3455	1997-06-30	PRIJEM	\N	135	21949	UROK	\N	\N
3644271	3455	1997-07-31	PRIJEM	\N	97	19844	UROK	\N	\N
3644272	3455	1997-08-31	PRIJEM	\N	87	14829	UROK	\N	\N
3644273	3455	1997-09-30	PRIJEM	\N	135	26601	UROK	\N	\N
3644274	3455	1997-10-31	PRIJEM	\N	194	45194	UROK	\N	\N
3644275	3455	1997-11-30	PRIJEM	\N	232	57523	UROK	\N	\N
3644276	3455	1997-12-31	PRIJEM	\N	312	74669	UROK	\N	\N
3644277	3455	1998-01-31	PRIJEM	\N	250	53417	UROK	\N	\N
3644278	3455	1998-02-28	PRIJEM	\N	254	59369	UROK	\N	\N
3644279	3455	1998-03-31	PRIJEM	\N	278	65567	UROK	\N	\N
3644280	3455	1998-04-30	PRIJEM	\N	291	68578	UROK	\N	\N
3644281	3455	1998-05-31	PRIJEM	\N	313	68911	UROK	\N	\N
3644282	3455	1998-06-30	PRIJEM	\N	359	65058	UROK	\N	\N
3644283	3455	1998-07-31	PRIJEM	\N	320	79898	UROK	\N	\N
3644284	3455	1998-08-31	PRIJEM	\N	303	56121	UROK	\N	\N
3644285	3455	1998-09-30	PRIJEM	\N	272	65313	UROK	\N	\N
3644286	3455	1998-10-31	PRIJEM	\N	314	66048	UROK	\N	\N
3644287	3455	1998-11-30	PRIJEM	\N	305	60773	UROK	\N	\N
3644288	3455	1998-12-31	PRIJEM	\N	358	100118	UROK	\N	\N
3644289	3456	1993-09-30	PRIJEM	\N	19	6762	UROK	\N	\N
3644290	3456	1993-10-31	PRIJEM	\N	28	13233	UROK	\N	\N
3644291	3456	1993-11-30	PRIJEM	\N	28	19704	UROK	\N	\N
3644292	3456	1993-12-31	PRIJEM	\N	28	26175	UROK	\N	\N
3644293	3456	1994-01-31	PRIJEM	\N	92	28350	UROK	\N	\N
3644294	3456	1994-02-28	PRIJEM	\N	128	32706	UROK	\N	\N
3644295	3456	1994-03-31	PRIJEM	\N	126	27881	UROK	\N	\N
3644296	3456	1994-04-30	PRIJEM	\N	122	30931	UROK	\N	\N
3644297	3456	1994-05-31	PRIJEM	\N	126	31385	UROK	\N	\N
3644298	3456	1994-06-30	PRIJEM	\N	106	26169	UROK	\N	\N
3644299	3456	1994-07-31	PRIJEM	\N	118	30015	UROK	\N	\N
3644300	3456	1994-08-31	PRIJEM	\N	116	27559	UROK	\N	\N
3644301	3456	1994-09-30	PRIJEM	\N	118	30006	UROK	\N	\N
3644302	3456	1994-10-31	PRIJEM	\N	129	32563	UROK	\N	\N
3644303	3456	1994-11-30	PRIJEM	\N	135	32726	UROK	\N	\N
3644304	3456	1994-12-31	PRIJEM	\N	113	24397	UROK	\N	\N
3644305	3456	1995-01-31	PRIJEM	\N	101	22277	UROK	\N	\N
3644306	3456	1995-02-28	PRIJEM	\N	106	27311	UROK	\N	\N
3644307	3456	1995-03-31	PRIJEM	\N	117	25337	UROK	\N	\N
3644308	3456	1995-04-30	PRIJEM	\N	118	26483	UROK	\N	\N
3644309	3456	1995-05-31	PRIJEM	\N	123	27934	UROK	\N	\N
3644310	3456	1995-06-30	PRIJEM	\N	116	20599	UROK	\N	\N
3644311	3456	1995-07-31	PRIJEM	\N	97	21424	UROK	\N	\N
3644312	3456	1995-08-31	PRIJEM	\N	91	21163	UROK	\N	\N
3644313	3456	1995-09-30	PRIJEM	\N	95	20766	UROK	\N	\N
3644314	3456	1995-10-31	PRIJEM	\N	93	16587	UROK	\N	\N
3644315	3456	1995-11-30	PRIJEM	\N	73	13928	UROK	\N	\N
3644316	3456	1995-12-31	PRIJEM	\N	65	13672	UROK	\N	\N
3644317	3456	1996-01-31	PRIJEM	\N	66	15866	UROK	\N	\N
3644318	3456	1996-02-29	PRIJEM	\N	74	14468	UROK	\N	\N
3644319	3456	1996-03-31	PRIJEM	\N	65	13582	UROK	\N	\N
3644320	3456	1996-04-30	PRIJEM	\N	67	16737	UROK	\N	\N
3644321	3456	1996-05-31	PRIJEM	\N	71	12137	UROK	\N	\N
3644322	3456	1996-06-30	PRIJEM	\N	63	17129	UROK	\N	\N
3644323	3456	1996-07-31	PRIJEM	\N	84	22141	UROK	\N	\N
3644324	3456	1996-08-31	PRIJEM	\N	83	11852	UROK	\N	\N
3644325	3456	1996-09-30	PRIJEM	\N	62	16843	UROK	\N	\N
3644326	3456	1996-10-31	PRIJEM	\N	83	21854	UROK	\N	\N
3644327	3456	1996-11-30	PRIJEM	\N	104	26886	UROK	\N	\N
3644328	3456	1996-12-31	PRIJEM	\N	123	31338	UROK	\N	\N
3644329	3456	1997-01-31	PRIJEM	\N	133	32240	UROK	\N	\N
3644330	3456	1997-02-28	PRIJEM	\N	146	37314	UROK	\N	\N
3644331	3456	1997-03-31	PRIJEM	\N	117	12960	UROK	\N	\N
3644332	3456	1997-04-30	PRIJEM	\N	65	15392	UROK	\N	\N
3644333	3456	1997-05-31	PRIJEM	\N	76	18877	UROK	\N	\N
3644334	3456	1997-06-30	PRIJEM	\N	88	20793	UROK	\N	\N
3644335	3456	1997-07-31	PRIJEM	\N	99	25820	UROK	\N	\N
3644336	3456	1997-08-31	PRIJEM	\N	117	29425	UROK	\N	\N
3644337	3456	1997-09-30	PRIJEM	\N	135	34488	UROK	\N	\N
3644338	3456	1997-10-31	PRIJEM	\N	156	39093	UROK	\N	\N
3644339	3456	1997-11-30	PRIJEM	\N	175	44196	UROK	\N	\N
3644340	3456	1997-12-31	PRIJEM	\N	195	48669	UROK	\N	\N
3644341	3456	1998-01-31	PRIJEM	\N	205	51203	UROK	\N	\N
3644342	3456	1998-02-28	PRIJEM	\N	124	16555	UROK	\N	\N
3644343	3456	1998-03-31	PRIJEM	\N	81	21564	UROK	\N	\N
3644344	3456	1998-04-30	PRIJEM	\N	101	26594	UROK	\N	\N
3644345	3456	1998-05-31	PRIJEM	\N	122	31644	UROK	\N	\N
3644346	3456	1998-06-30	PRIJEM	\N	128	28451	UROK	\N	\N
3644347	3456	1998-07-31	PRIJEM	\N	127	28466	UROK	\N	\N
3644348	3456	1998-08-31	PRIJEM	\N	130	33524	UROK	\N	\N
3644349	3456	1998-09-30	PRIJEM	\N	151	38603	UROK	\N	\N
3644350	3456	1998-10-31	PRIJEM	\N	167	42578	UROK	\N	\N
3644351	3456	1998-11-30	PRIJEM	\N	188	47695	UROK	\N	\N
3644352	3456	1998-12-31	PRIJEM	\N	208	51411	UROK	\N	\N
3644353	3457	1994-10-31	PRIJEM	\N	15	4409	UROK	\N	\N
3644354	3457	1994-11-30	PRIJEM	\N	18	8621	UROK	\N	\N
3644355	3457	1994-12-31	PRIJEM	\N	18	12833	UROK	\N	\N
3644356	3457	1995-01-31	PRIJEM	\N	18	17046	UROK	\N	\N
3644357	3457	1995-02-28	PRIJEM	\N	62	18506	UROK	\N	\N
3644358	3457	1995-03-31	PRIJEM	\N	82	19971	UROK	\N	\N
3644359	3457	1995-04-30	PRIJEM	\N	87	20642	UROK	\N	\N
3644360	3457	1995-05-31	PRIJEM	\N	86	20031	UROK	\N	\N
3644361	3457	1995-06-30	PRIJEM	\N	86	17660	UROK	\N	\N
3644362	3457	1995-07-31	PRIJEM	\N	78	19122	UROK	\N	\N
3644363	3457	1995-08-31	PRIJEM	\N	84	20489	UROK	\N	\N
3644364	3457	1995-09-30	PRIJEM	\N	81	18914	UROK	\N	\N
3644365	3457	1995-10-31	PRIJEM	\N	83	20380	UROK	\N	\N
3644366	3457	1995-11-30	PRIJEM	\N	89	21853	UROK	\N	\N
3644367	3457	1995-12-31	PRIJEM	\N	93	22530	UROK	\N	\N
3644368	3457	1996-01-31	PRIJEM	\N	76	14789	UROK	\N	\N
3644369	3457	1996-02-29	PRIJEM	\N	65	15758	UROK	\N	\N
3644370	3457	1996-03-31	PRIJEM	\N	62	14483	UROK	\N	\N
3644371	3457	1996-04-30	PRIJEM	\N	65	15931	UROK	\N	\N
3644372	3457	1996-05-31	PRIJEM	\N	67	13621	UROK	\N	\N
3644373	3457	1996-06-30	PRIJEM	\N	50	11554	UROK	\N	\N
3644374	3457	1996-07-31	PRIJEM	\N	52	12990	UROK	\N	\N
3644375	3457	1996-08-31	PRIJEM	\N	58	14432	UROK	\N	\N
3644376	3457	1996-09-30	PRIJEM	\N	64	15880	UROK	\N	\N
3644377	3457	1996-10-31	PRIJEM	\N	70	17333	UROK	\N	\N
3644378	3457	1996-11-30	PRIJEM	\N	76	18793	UROK	\N	\N
3644379	3457	1996-12-31	PRIJEM	\N	80	19157	UROK	\N	\N
3644380	3457	1997-01-31	PRIJEM	\N	69	14129	UROK	\N	\N
3644381	3457	1997-02-28	PRIJEM	\N	63	15575	UROK	\N	\N
3644382	3457	1997-03-31	PRIJEM	\N	62	14941	UROK	\N	\N
3644383	3457	1997-04-30	PRIJEM	\N	66	16391	UROK	\N	\N
3644384	3457	1997-05-31	PRIJEM	\N	68	16242	UROK	\N	\N
3644385	3457	1997-06-30	PRIJEM	\N	72	17697	UROK	\N	\N
3644386	3457	1997-07-31	PRIJEM	\N	75	15715	UROK	\N	\N
3644387	3457	1997-08-31	PRIJEM	\N	69	17168	UROK	\N	\N
3644388	3457	1997-09-30	PRIJEM	\N	75	18627	UROK	\N	\N
3644389	3457	1997-10-31	PRIJEM	\N	80	19370	UROK	\N	\N
3644390	3457	1997-11-30	PRIJEM	\N	84	20838	UROK	\N	\N
3644391	3457	1997-12-31	PRIJEM	\N	86	20857	UROK	\N	\N
3644392	3457	1998-01-31	PRIJEM	\N	75	14875	UROK	\N	\N
3644393	3457	1998-02-28	PRIJEM	\N	66	16324	UROK	\N	\N
3644394	3457	1998-03-31	PRIJEM	\N	72	17779	UROK	\N	\N
3644395	3457	1998-04-30	PRIJEM	\N	78	19240	UROK	\N	\N
3644396	3457	1998-05-31	PRIJEM	\N	84	20707	UROK	\N	\N
3644397	3457	1998-06-30	PRIJEM	\N	90	22180	UROK	\N	\N
3644398	3457	1998-07-31	PRIJEM	\N	96	23660	UROK	\N	\N
3644399	3457	1998-08-31	PRIJEM	\N	98	22981	UROK	\N	\N
3644400	3457	1998-09-30	PRIJEM	\N	99	24463	UROK	\N	\N
3644401	3457	1998-10-31	PRIJEM	\N	104	25390	UROK	\N	\N
3644402	3457	1998-11-30	PRIJEM	\N	109	26883	UROK	\N	\N
3644403	3457	1998-12-31	PRIJEM	\N	111	26377	UROK	\N	\N
3644404	3458	1995-07-31	PRIJEM	\N	16	4896	UROK	\N	\N
3644405	3458	1995-08-31	PRIJEM	\N	20	9196	UROK	\N	\N
3644406	3458	1995-09-30	PRIJEM	\N	20	13496	UROK	\N	\N
3644407	3458	1995-10-31	PRIJEM	\N	20	17797	UROK	\N	\N
3644408	3458	1995-11-30	PRIJEM	\N	59	19458	UROK	\N	\N
3644409	3458	1995-12-31	PRIJEM	\N	77	17242	UROK	\N	\N
3644410	3458	1996-01-31	PRIJEM	\N	63	12603	UROK	\N	\N
3644411	3458	1996-02-29	PRIJEM	\N	57	14247	UROK	\N	\N
3644412	3458	1996-03-31	PRIJEM	\N	62	14936	UROK	\N	\N
3644413	3458	1996-04-30	PRIJEM	\N	67	16590	UROK	\N	\N
3644414	3458	1996-05-31	PRIJEM	\N	63	13840	UROK	\N	\N
3644415	3458	1996-06-30	PRIJEM	\N	62	15489	UROK	\N	\N
3644416	3458	1996-07-31	PRIJEM	\N	64	12661	UROK	\N	\N
3644417	3458	1996-08-31	PRIJEM	\N	57	14305	UROK	\N	\N
3644418	3458	1996-09-30	PRIJEM	\N	64	15957	UROK	\N	\N
3644419	3458	1996-10-31	PRIJEM	\N	71	17615	UROK	\N	\N
3644420	3458	1996-11-30	PRIJEM	\N	71	16313	UROK	\N	\N
3644421	3458	1996-12-31	PRIJEM	\N	69	16720	UROK	\N	\N
3644422	3458	1997-01-31	PRIJEM	\N	66	14133	UROK	\N	\N
3644423	3458	1997-02-28	PRIJEM	\N	63	15783	UROK	\N	\N
3644424	3458	1997-03-31	PRIJEM	\N	70	16560	UROK	\N	\N
3644425	3458	1997-04-30	PRIJEM	\N	73	18220	UROK	\N	\N
3644426	3458	1997-05-31	PRIJEM	\N	77	17724	UROK	\N	\N
3644427	3458	1997-06-30	PRIJEM	\N	68	15700	UROK	\N	\N
3644428	3458	1997-07-31	PRIJEM	\N	70	17357	UROK	\N	\N
3644429	3458	1997-08-31	PRIJEM	\N	75	18379	UROK	\N	\N
3644430	3458	1997-09-30	PRIJEM	\N	81	20047	UROK	\N	\N
3644431	3458	1997-10-31	PRIJEM	\N	88	21722	UROK	\N	\N
3644432	3458	1997-11-30	PRIJEM	\N	93	22103	UROK	\N	\N
3644433	3458	1997-12-31	PRIJEM	\N	94	20773	UROK	\N	\N
3644434	3458	1998-01-31	PRIJEM	\N	76	15717	UROK	\N	\N
3644435	3458	1998-02-28	PRIJEM	\N	69	17374	UROK	\N	\N
3644436	3458	1998-03-31	PRIJEM	\N	74	17995	UROK	\N	\N
3644437	3458	1998-04-30	PRIJEM	\N	79	19661	UROK	\N	\N
3644438	3458	1998-05-31	PRIJEM	\N	86	21334	UROK	\N	\N
3644439	3458	1998-06-30	PRIJEM	\N	89	20610	UROK	\N	\N
3644440	3458	1998-07-31	PRIJEM	\N	90	22288	UROK	\N	\N
3644441	3458	1998-08-31	PRIJEM	\N	96	22531	UROK	\N	\N
3644442	3458	1998-09-30	PRIJEM	\N	96	23334	UROK	\N	\N
3644443	3458	1998-10-31	PRIJEM	\N	101	25023	UROK	\N	\N
3644444	3458	1998-11-30	PRIJEM	\N	102	24312	UROK	\N	\N
3644445	3458	1998-12-31	PRIJEM	\N	103	25062	UROK	\N	\N
3644446	3460	1997-05-31	PRIJEM	\N	135	42382	UROK	\N	\N
3644447	3460	1997-06-30	PRIJEM	\N	173	31220	UROK	\N	\N
3644448	3460	1997-07-31	PRIJEM	\N	199	101392	UROK	\N	\N
3644449	3460	1997-08-31	PRIJEM	\N	352	95818	UROK	\N	\N
3644450	3460	1997-09-30	PRIJEM	\N	373	90269	UROK	\N	\N
3644451	3460	1997-10-31	PRIJEM	\N	214	30767	UROK	\N	\N
3644452	3460	1997-11-30	PRIJEM	\N	163	46807	UROK	\N	\N
3644453	3460	1997-12-31	PRIJEM	\N	269	66096	UROK	\N	\N
3644454	3460	1998-01-31	PRIJEM	\N	106	21762	UROK	\N	\N
3644455	3460	1998-02-28	PRIJEM	\N	257	107837	UROK	\N	\N
3644456	3460	1998-03-31	PRIJEM	\N	174	30491	UROK	\N	\N
3644457	3460	1998-04-30	PRIJEM	\N	170	43278	UROK	\N	\N
3644458	3460	1998-05-31	PRIJEM	\N	116	26979	UROK	\N	\N
3644459	3460	1998-06-30	PRIJEM	\N	123	41630	UROK	\N	\N
3644460	3460	1998-07-31	PRIJEM	\N	131	26215	UROK	\N	\N
3644461	3460	1998-08-31	PRIJEM	\N	89	19259	UROK	\N	\N
3644462	3460	1998-09-30	PRIJEM	\N	63	12476	UROK	\N	\N
3644463	3460	1998-10-31	PRIJEM	\N	59	15663	UROK	\N	\N
3644464	3460	1998-11-30	PRIJEM	\N	64	12782	UROK	\N	\N
3644465	3462	1996-03-31	PRIJEM	\N	30	10082	UROK	\N	\N
3644466	3462	1996-04-30	PRIJEM	\N	86	25220	UROK	\N	\N
3644467	3462	1996-05-31	PRIJEM	\N	125	32097	UROK	\N	\N
3644468	3462	1996-06-30	PRIJEM	\N	166	43190	UROK	\N	\N
3644469	3462	1996-07-31	PRIJEM	\N	169	39277	UROK	\N	\N
3644470	3462	1996-08-31	PRIJEM	\N	142	29422	UROK	\N	\N
3644471	3462	1996-09-30	PRIJEM	\N	111	22437	UROK	\N	\N
3644472	3462	1996-10-31	PRIJEM	\N	110	24151	UROK	\N	\N
3644473	3462	1996-11-30	PRIJEM	\N	109	24563	UROK	\N	\N
3644474	3462	1996-12-31	PRIJEM	\N	118	25560	UROK	\N	\N
3644475	3462	1997-01-31	PRIJEM	\N	91	20454	UROK	\N	\N
3644476	3462	1997-02-28	PRIJEM	\N	94	22451	UROK	\N	\N
3644477	3462	1997-03-31	PRIJEM	\N	98	19153	UROK	\N	\N
3644478	3462	1997-04-30	PRIJEM	\N	80	18136	UROK	\N	\N
3644479	3462	1997-05-31	PRIJEM	\N	83	18422	UROK	\N	\N
3644480	3462	1997-06-30	PRIJEM	\N	89	15790	UROK	\N	\N
3644481	3462	1997-07-31	PRIJEM	\N	72	15366	UROK	\N	\N
3644482	3462	1997-08-31	PRIJEM	\N	71	16241	UROK	\N	\N
3644483	3462	1997-09-30	PRIJEM	\N	73	20017	UROK	\N	\N
3644484	3462	1997-10-31	PRIJEM	\N	93	24214	UROK	\N	\N
3644485	3462	1997-11-30	PRIJEM	\N	108	25325	UROK	\N	\N
3644486	3462	1997-12-31	PRIJEM	\N	113	23418	UROK	\N	\N
3644487	3462	1998-01-31	PRIJEM	\N	80	14201	UROK	\N	\N
3644488	3462	1998-02-28	PRIJEM	\N	74	23879	UROK	\N	\N
3644489	3462	1998-03-31	PRIJEM	\N	108	27490	UROK	\N	\N
3644490	3462	1998-04-30	PRIJEM	\N	124	31317	UROK	\N	\N
3644491	3462	1998-05-31	PRIJEM	\N	138	33859	UROK	\N	\N
3644492	3462	1998-06-30	PRIJEM	\N	139	30177	UROK	\N	\N
3644493	3462	1998-07-31	PRIJEM	\N	140	37620	UROK	\N	\N
3644494	3462	1998-08-31	PRIJEM	\N	163	39086	UROK	\N	\N
3644495	3462	1998-09-30	PRIJEM	\N	170	41860	UROK	\N	\N
3644496	3462	1998-10-31	PRIJEM	\N	181	43944	UROK	\N	\N
3644497	3462	1998-11-30	PRIJEM	\N	179	41927	UROK	\N	\N
3644498	3462	1998-12-31	PRIJEM	\N	179	39785	UROK	\N	\N
3644499	3463	1997-10-31	PRIJEM	\N	24	16200	UROK	\N	\N
3644500	3463	1997-11-30	PRIJEM	\N	78	22853	UROK	\N	\N
3644501	3463	1997-12-31	PRIJEM	\N	111	33129	UROK	\N	\N
3644502	3463	1998-01-31	PRIJEM	\N	141	35146	UROK	\N	\N
3644503	3463	1998-02-28	PRIJEM	\N	167	39937	UROK	\N	\N
3644504	3463	1998-03-31	PRIJEM	\N	159	33573	UROK	\N	\N
3644505	3463	1998-04-30	PRIJEM	\N	135	28086	UROK	\N	\N
3644506	3463	1998-05-31	PRIJEM	\N	124	29787	UROK	\N	\N
3644507	3463	1998-06-30	PRIJEM	\N	136	29489	UROK	\N	\N
3644508	3463	1998-07-31	PRIJEM	\N	124	26991	UROK	\N	\N
3644509	3463	1998-08-31	PRIJEM	\N	114	24282	UROK	\N	\N
3644510	3463	1998-09-30	PRIJEM	\N	99	19858	UROK	\N	\N
3644511	3463	1998-10-31	PRIJEM	\N	89	22125	UROK	\N	\N
3644512	3463	1998-11-30	PRIJEM	\N	113	30615	UROK	\N	\N
3644513	3463	1998-12-31	PRIJEM	\N	138	30718	UROK	\N	\N
3644514	3464	1995-05-31	PRIJEM	\N	29	8351	UROK	\N	\N
3644515	3464	1995-06-30	PRIJEM	\N	103	28137	UROK	\N	\N
3644516	3464	1995-07-31	PRIJEM	\N	127	30986	UROK	\N	\N
3644517	3464	1995-08-31	PRIJEM	\N	145	35653	UROK	\N	\N
3644518	3464	1995-09-30	PRIJEM	\N	131	30752	UROK	\N	\N
3644519	3464	1995-10-31	PRIJEM	\N	125	27530	UROK	\N	\N
3644520	3464	1995-11-30	PRIJEM	\N	117	25700	UROK	\N	\N
3644521	3464	1995-12-31	PRIJEM	\N	130	29584	UROK	\N	\N
3644522	3464	1996-01-31	PRIJEM	\N	114	25011	UROK	\N	\N
3644523	3464	1996-02-29	PRIJEM	\N	119	23903	UROK	\N	\N
3644524	3464	1996-03-31	PRIJEM	\N	109	26065	UROK	\N	\N
3644525	3464	1996-04-30	PRIJEM	\N	133	27652	UROK	\N	\N
3644526	3464	1996-05-31	PRIJEM	\N	123	25928	UROK	\N	\N
3644527	3464	1996-06-30	PRIJEM	\N	143	26985	UROK	\N	\N
3644528	3464	1996-07-31	PRIJEM	\N	122	27341	UROK	\N	\N
3644529	3464	1996-08-31	PRIJEM	\N	112	24466	UROK	\N	\N
3644530	3464	1996-09-30	PRIJEM	\N	100	24719	UROK	\N	\N
3644531	3464	1996-10-31	PRIJEM	\N	110	21622	UROK	\N	\N
3644532	3464	1996-11-30	PRIJEM	\N	109	24585	UROK	\N	\N
3644533	3464	1996-12-31	PRIJEM	\N	118	25157	UROK	\N	\N
3644534	3464	1997-01-31	PRIJEM	\N	96	16547	UROK	\N	\N
3644535	3464	1997-02-28	PRIJEM	\N	81	21981	UROK	\N	\N
3644536	3464	1997-03-31	PRIJEM	\N	100	23834	UROK	\N	\N
3644537	3464	1997-04-30	PRIJEM	\N	106	26154	UROK	\N	\N
3644538	3464	1997-05-31	PRIJEM	\N	121	31028	UROK	\N	\N
3644539	3464	1997-06-30	PRIJEM	\N	159	34801	UROK	\N	\N
3644540	3464	1997-07-31	PRIJEM	\N	158	31913	UROK	\N	\N
3644541	3464	1997-08-31	PRIJEM	\N	124	26170	UROK	\N	\N
3644542	3464	1997-09-30	PRIJEM	\N	120	27843	UROK	\N	\N
3644543	3464	1997-10-31	PRIJEM	\N	137	32534	UROK	\N	\N
3644544	3464	1997-11-30	PRIJEM	\N	142	34030	UROK	\N	\N
3644545	3464	1997-12-31	PRIJEM	\N	147	30551	UROK	\N	\N
3644546	3464	1998-01-31	PRIJEM	\N	122	31346	UROK	\N	\N
3644547	3464	1998-02-28	PRIJEM	\N	145	38045	UROK	\N	\N
3644548	3464	1998-03-31	PRIJEM	\N	170	42368	UROK	\N	\N
3644549	3464	1998-04-30	PRIJEM	\N	187	46108	UROK	\N	\N
3644550	3464	1998-05-31	PRIJEM	\N	195	45856	UROK	\N	\N
3644551	3464	1998-06-30	PRIJEM	\N	204	47175	UROK	\N	\N
3644552	3464	1998-07-31	PRIJEM	\N	204	48033	UROK	\N	\N
3644553	3464	1998-08-31	PRIJEM	\N	199	42045	UROK	\N	\N
3644554	3464	1998-09-30	PRIJEM	\N	189	46367	UROK	\N	\N
3644555	3464	1998-10-31	PRIJEM	\N	209	52930	UROK	\N	\N
3644556	3464	1998-11-30	PRIJEM	\N	234	57317	UROK	\N	\N
3644557	3464	1998-12-31	PRIJEM	\N	256	56328	UROK	\N	\N
3644558	3465	1993-08-31	PRIJEM	\N	36	15660	UROK	\N	\N
3644559	3465	1993-09-30	PRIJEM	\N	87	25071	UROK	\N	\N
3644560	3465	1993-10-31	PRIJEM	\N	110	27705	UROK	\N	\N
3644561	3465	1993-11-30	PRIJEM	\N	126	32155	UROK	\N	\N
3644562	3465	1993-12-31	PRIJEM	\N	147	33046	UROK	\N	\N
3644563	3465	1994-01-31	PRIJEM	\N	111	12523	UROK	\N	\N
3644564	3465	1994-02-28	PRIJEM	\N	74	19264	UROK	\N	\N
3644565	3465	1994-03-31	PRIJEM	\N	97	23727	UROK	\N	\N
3644566	3465	1994-04-30	PRIJEM	\N	110	27204	UROK	\N	\N
3644567	3465	1994-05-31	PRIJEM	\N	124	29394	UROK	\N	\N
3644568	3465	1994-06-30	PRIJEM	\N	140	33162	UROK	\N	\N
3644569	3465	1994-07-31	PRIJEM	\N	146	34674	UROK	\N	\N
3644570	3465	1994-08-31	PRIJEM	\N	141	31282	UROK	\N	\N
3644571	3465	1994-09-30	PRIJEM	\N	140	33788	UROK	\N	\N
3644572	3465	1994-10-31	PRIJEM	\N	141	33195	UROK	\N	\N
3644573	3465	1994-11-30	PRIJEM	\N	147	35609	UROK	\N	\N
3644574	3465	1994-12-31	PRIJEM	\N	157	36594	UROK	\N	\N
3644575	3465	1995-01-31	PRIJEM	\N	133	27993	UROK	\N	\N
3644576	3465	1995-02-28	PRIJEM	\N	138	34497	UROK	\N	\N
3644577	3465	1995-03-31	PRIJEM	\N	143	32207	UROK	\N	\N
3644578	3465	1995-04-30	PRIJEM	\N	153	37826	UROK	\N	\N
3644579	3465	1995-05-31	PRIJEM	\N	157	37750	UROK	\N	\N
3644580	3465	1995-06-30	PRIJEM	\N	137	26115	UROK	\N	\N
3644581	3465	1995-07-31	PRIJEM	\N	138	34419	UROK	\N	\N
3644582	3465	1995-08-31	PRIJEM	\N	148	35534	UROK	\N	\N
3644583	3465	1995-09-30	PRIJEM	\N	170	41870	UROK	\N	\N
3644584	3465	1995-10-31	PRIJEM	\N	193	46230	UROK	\N	\N
3644585	3465	1995-11-30	PRIJEM	\N	211	51407	UROK	\N	\N
3644586	3465	1995-12-31	PRIJEM	\N	228	52163	UROK	\N	\N
3644587	3465	1996-01-31	PRIJEM	\N	191	39720	UROK	\N	\N
3644588	3465	1996-02-29	PRIJEM	\N	200	48686	UROK	\N	\N
3644589	3465	1996-03-31	PRIJEM	\N	208	50261	UROK	\N	\N
3644590	3465	1996-04-30	PRIJEM	\N	230	52857	UROK	\N	\N
3644591	3465	1996-05-31	PRIJEM	\N	243	59567	UROK	\N	\N
3644592	3465	1996-06-30	PRIJEM	\N	225	52820	UROK	\N	\N
3644593	3465	1996-07-31	PRIJEM	\N	234	54021	UROK	\N	\N
3644594	3465	1996-08-31	PRIJEM	\N	231	52518	UROK	\N	\N
3644595	3465	1996-09-30	PRIJEM	\N	237	58022	UROK	\N	\N
3644596	3465	1996-10-31	PRIJEM	\N	258	60247	UROK	\N	\N
3644597	3465	1996-11-30	PRIJEM	\N	266	60279	UROK	\N	\N
3644598	3465	1996-12-31	PRIJEM	\N	282	62590	UROK	\N	\N
3644599	3465	1997-01-31	PRIJEM	\N	254	54910	UROK	\N	\N
3644600	3465	1997-02-28	PRIJEM	\N	247	61323	UROK	\N	\N
3644601	3465	1997-03-31	PRIJEM	\N	272	64361	UROK	\N	\N
3644602	3465	1997-04-30	PRIJEM	\N	282	64209	UROK	\N	\N
3644603	3465	1997-05-31	PRIJEM	\N	280	63956	UROK	\N	\N
3644604	3465	1997-06-30	PRIJEM	\N	235	52919	UROK	\N	\N
3644605	3465	1997-07-31	PRIJEM	\N	234	54920	UROK	\N	\N
3644606	3465	1997-08-31	PRIJEM	\N	245	59631	UROK	\N	\N
3644607	3465	1997-09-30	PRIJEM	\N	246	56744	UROK	\N	\N
3644608	3465	1997-10-31	PRIJEM	\N	245	57755	UROK	\N	\N
3644609	3465	1997-11-30	PRIJEM	\N	257	61678	UROK	\N	\N
3644610	3465	1997-12-31	PRIJEM	\N	277	64383	UROK	\N	\N
3644611	3465	1998-01-31	PRIJEM	\N	263	51012	UROK	\N	\N
3644612	3465	1998-02-28	PRIJEM	\N	229	56807	UROK	\N	\N
3644613	3465	1998-03-31	PRIJEM	\N	253	62427	UROK	\N	\N
3644614	3465	1998-04-30	PRIJEM	\N	272	67765	UROK	\N	\N
3644615	3465	1998-05-31	PRIJEM	\N	294	70425	UROK	\N	\N
3644616	3465	1998-06-30	PRIJEM	\N	284	51538	UROK	\N	\N
3644617	3465	1998-07-31	PRIJEM	\N	226	56330	UROK	\N	\N
3644618	3465	1998-08-31	PRIJEM	\N	254	64250	UROK	\N	\N
3644619	3465	1998-09-30	PRIJEM	\N	289	73706	UROK	\N	\N
3644620	3465	1998-10-31	PRIJEM	\N	321	78893	UROK	\N	\N
3644621	3465	1998-11-30	PRIJEM	\N	326	76785	UROK	\N	\N
3644622	3465	1998-12-31	PRIJEM	\N	346	85559	UROK	\N	\N
3644623	3466	1995-03-31	PRIJEM	\N	49	25900	UROK	\N	\N
3644624	3466	1995-04-30	PRIJEM	\N	128	36379	UROK	\N	\N
3644625	3466	1995-05-31	PRIJEM	\N	160	40890	UROK	\N	\N
3644626	3466	1995-06-30	PRIJEM	\N	190	50455	UROK	\N	\N
3644627	3466	1995-07-31	PRIJEM	\N	217	45319	UROK	\N	\N
3644628	3466	1995-08-31	PRIJEM	\N	207	45516	UROK	\N	\N
3644629	3466	1995-09-30	PRIJEM	\N	205	42212	UROK	\N	\N
3644630	3466	1995-10-31	PRIJEM	\N	191	42193	UROK	\N	\N
3644631	3466	1995-11-30	PRIJEM	\N	188	41772	UROK	\N	\N
3644632	3466	1995-12-31	PRIJEM	\N	201	43288	UROK	\N	\N
3644633	3466	1996-01-31	PRIJEM	\N	167	21445	UROK	\N	\N
3644634	3466	1996-02-29	PRIJEM	\N	121	30156	UROK	\N	\N
3644635	3466	1996-03-31	PRIJEM	\N	155	37301	UROK	\N	\N
3644636	3466	1996-04-30	PRIJEM	\N	169	39560	UROK	\N	\N
3644637	3466	1996-05-31	PRIJEM	\N	188	45439	UROK	\N	\N
3644638	3466	1996-06-30	PRIJEM	\N	170	40524	UROK	\N	\N
3644639	3466	1996-07-31	PRIJEM	\N	189	45904	UROK	\N	\N
3644640	3466	1996-08-31	PRIJEM	\N	190	45184	UROK	\N	\N
3644641	3466	1996-09-30	PRIJEM	\N	191	43165	UROK	\N	\N
3644642	3466	1996-10-31	PRIJEM	\N	190	46745	UROK	\N	\N
3644643	3466	1996-11-30	PRIJEM	\N	250	64585	UROK	\N	\N
3644644	3466	1996-12-31	PRIJEM	\N	322	81523	UROK	\N	\N
3644645	3466	1997-01-31	PRIJEM	\N	300	68913	UROK	\N	\N
3644646	3466	1997-02-28	PRIJEM	\N	295	73698	UROK	\N	\N
3644647	3466	1997-03-31	PRIJEM	\N	300	73188	UROK	\N	\N
3644648	3466	1997-04-30	PRIJEM	\N	297	73376	UROK	\N	\N
3644649	3466	1997-05-31	PRIJEM	\N	303	71769	UROK	\N	\N
3644650	3466	1997-06-30	PRIJEM	\N	253	61837	UROK	\N	\N
3644651	3466	1997-07-31	PRIJEM	\N	286	72514	UROK	\N	\N
3644652	3466	1997-08-31	PRIJEM	\N	317	79121	UROK	\N	\N
3644653	3466	1997-09-30	PRIJEM	\N	326	79837	UROK	\N	\N
3644654	3466	1997-10-31	PRIJEM	\N	317	73145	UROK	\N	\N
3644655	3466	1997-11-30	PRIJEM	\N	302	75037	UROK	\N	\N
3644656	3466	1997-12-31	PRIJEM	\N	343	87196	UROK	\N	\N
3644657	3466	1998-01-31	PRIJEM	\N	293	69279	UROK	\N	\N
3644658	3466	1998-02-28	PRIJEM	\N	296	77065	UROK	\N	\N
3644659	3466	1998-03-31	PRIJEM	\N	348	87404	UROK	\N	\N
3644660	3466	1998-04-30	PRIJEM	\N	365	87259	UROK	\N	\N
3644661	3466	1998-05-31	PRIJEM	\N	360	87210	UROK	\N	\N
3644662	3466	1998-06-30	PRIJEM	\N	314	81540	UROK	\N	\N
3644663	3466	1998-07-31	PRIJEM	\N	306	61836	UROK	\N	\N
3644664	3466	1998-08-31	PRIJEM	\N	309	57735	UROK	\N	\N
3644665	3466	1998-09-30	PRIJEM	\N	296	62021	UROK	\N	\N
3644666	3466	1998-10-31	PRIJEM	\N	315	70226	UROK	\N	\N
3644667	3466	1998-11-30	PRIJEM	\N	345	74662	UROK	\N	\N
3644668	3466	1998-12-31	PRIJEM	\N	410	105687	UROK	\N	\N
3644669	3467	1996-08-31	PRIJEM	\N	19	35187	UROK	\N	\N
3644670	3467	1996-09-30	PRIJEM	\N	245	53451	UROK	\N	\N
3644671	3467	1996-10-31	PRIJEM	\N	127	25801	UROK	\N	\N
3644672	3467	1996-11-30	PRIJEM	\N	126	50362	UROK	\N	\N
3644673	3467	1996-12-31	PRIJEM	\N	154	29043	UROK	\N	\N
3644674	3467	1997-01-31	PRIJEM	\N	101	24667	UROK	\N	\N
3644675	3467	1997-02-28	PRIJEM	\N	106	31297	UROK	\N	\N
3644676	3467	1997-03-31	PRIJEM	\N	195	50292	UROK	\N	\N
3644677	3467	1997-04-30	PRIJEM	\N	222	70680	UROK	\N	\N
3644678	3467	1997-05-31	PRIJEM	\N	291	51427	UROK	\N	\N
3644679	3467	1997-06-30	PRIJEM	\N	269	78745	UROK	\N	\N
3644680	3467	1997-07-31	PRIJEM	\N	343	74433	UROK	\N	\N
3644681	3467	1997-08-31	PRIJEM	\N	263	71689	UROK	\N	\N
3644682	3467	1997-09-30	PRIJEM	\N	235	50216	UROK	\N	\N
3644683	3467	1997-10-31	PRIJEM	\N	276	77656	UROK	\N	\N
3644684	3467	1997-11-30	PRIJEM	\N	324	71736	UROK	\N	\N
3644685	3467	1997-12-31	PRIJEM	\N	322	69311	UROK	\N	\N
3644686	3467	1998-01-31	PRIJEM	\N	215	53283	UROK	\N	\N
3644687	3467	1998-02-28	PRIJEM	\N	219	51026	UROK	\N	\N
3644688	3467	1998-03-31	PRIJEM	\N	207	53156	UROK	\N	\N
3644689	3467	1998-04-30	PRIJEM	\N	215	83847	UROK	\N	\N
3644690	3467	1998-05-31	PRIJEM	\N	306	60126	UROK	\N	\N
3644691	3467	1998-06-30	PRIJEM	\N	254	56704	UROK	\N	\N
3644692	3467	1998-07-31	PRIJEM	\N	210	58538	UROK	\N	\N
3644693	3467	1998-08-31	PRIJEM	\N	269	70530	UROK	\N	\N
3644694	3467	1998-09-30	PRIJEM	\N	330	83468	UROK	\N	\N
3644695	3467	1998-10-31	PRIJEM	\N	344	80235	UROK	\N	\N
3644696	3467	1998-11-30	PRIJEM	\N	323	74282	UROK	\N	\N
3644697	3467	1998-12-31	PRIJEM	\N	300	66705	UROK	\N	\N
3644698	3468	1996-03-31	PRIJEM	\N	49	21430	UROK	\N	\N
3644699	3468	1996-04-30	PRIJEM	\N	111	30622	UROK	\N	\N
3644700	3468	1996-05-31	PRIJEM	\N	134	33637	UROK	\N	\N
3644701	3468	1996-06-30	PRIJEM	\N	180	36389	UROK	\N	\N
3644702	3468	1996-07-31	PRIJEM	\N	199	35169	UROK	\N	\N
3644703	3468	1996-08-31	PRIJEM	\N	157	40237	UROK	\N	\N
3644704	3468	1996-09-30	PRIJEM	\N	159	38606	UROK	\N	\N
3644705	3468	1996-10-31	PRIJEM	\N	161	38017	UROK	\N	\N
3644706	3468	1996-11-30	PRIJEM	\N	156	38683	UROK	\N	\N
3644707	3468	1996-12-31	PRIJEM	\N	166	42970	UROK	\N	\N
3644708	3468	1997-01-31	PRIJEM	\N	137	24558	UROK	\N	\N
3644709	3468	1997-02-28	PRIJEM	\N	111	29979	UROK	\N	\N
3644710	3468	1997-03-31	PRIJEM	\N	142	37431	UROK	\N	\N
3644711	3468	1997-04-30	PRIJEM	\N	160	41002	UROK	\N	\N
3644712	3468	1997-05-31	PRIJEM	\N	169	42581	UROK	\N	\N
3644713	3468	1997-06-30	PRIJEM	\N	175	45598	UROK	\N	\N
3644714	3468	1997-07-31	PRIJEM	\N	183	45491	UROK	\N	\N
3644715	3468	1997-08-31	PRIJEM	\N	186	46487	UROK	\N	\N
3644716	3468	1997-09-30	PRIJEM	\N	190	47487	UROK	\N	\N
3644717	3468	1997-10-31	PRIJEM	\N	190	47187	UROK	\N	\N
3644718	3468	1997-11-30	PRIJEM	\N	194	48591	UROK	\N	\N
3644719	3468	1997-12-31	PRIJEM	\N	222	57235	UROK	\N	\N
3644720	3468	1998-01-31	PRIJEM	\N	181	39626	UROK	\N	\N
3644721	3468	1998-02-28	PRIJEM	\N	184	48520	UROK	\N	\N
3644722	3468	1998-03-31	PRIJEM	\N	212	54142	UROK	\N	\N
3644723	3468	1998-04-30	PRIJEM	\N	242	61894	UROK	\N	\N
3644724	3468	1998-05-31	PRIJEM	\N	262	65767	UROK	\N	\N
3644725	3468	1998-06-30	PRIJEM	\N	239	50367	UROK	\N	\N
3644726	3468	1998-07-31	PRIJEM	\N	243	62921	UROK	\N	\N
3644727	3468	1998-08-31	PRIJEM	\N	274	66106	UROK	\N	\N
3644728	3468	1998-09-30	PRIJEM	\N	261	63917	UROK	\N	\N
3644729	3468	1998-10-31	PRIJEM	\N	293	70619	UROK	\N	\N
3644730	3468	1998-11-30	PRIJEM	\N	310	78340	UROK	\N	\N
3644731	3468	1998-12-31	PRIJEM	\N	331	84173	UROK	\N	\N
3644732	3469	1993-09-30	PRIJEM	\N	38	22526	UROK	\N	\N
3644733	3469	1993-10-31	PRIJEM	\N	102	27049	UROK	\N	\N
3644734	3469	1993-11-30	PRIJEM	\N	114	27616	UROK	\N	\N
3644735	3469	1993-12-31	PRIJEM	\N	112	25282	UROK	\N	\N
3644736	3469	1994-01-31	PRIJEM	\N	85	16530	UROK	\N	\N
3644737	3469	1994-02-28	PRIJEM	\N	77	19860	UROK	\N	\N
3644738	3469	1994-03-31	PRIJEM	\N	88	21702	UROK	\N	\N
3644739	3469	1994-04-30	PRIJEM	\N	99	25054	UROK	\N	\N
3644740	3469	1994-05-31	PRIJEM	\N	105	24712	UROK	\N	\N
3644741	3469	1994-06-30	PRIJEM	\N	89	19934	UROK	\N	\N
3644742	3469	1994-07-31	PRIJEM	\N	75	19423	UROK	\N	\N
3644743	3469	1994-08-31	PRIJEM	\N	89	22765	UROK	\N	\N
3644744	3469	1994-09-30	PRIJEM	\N	99	22017	UROK	\N	\N
3644745	3469	1994-10-31	PRIJEM	\N	99	25070	UROK	\N	\N
3644746	3469	1994-11-30	PRIJEM	\N	112	24835	UROK	\N	\N
3644747	3469	1994-12-31	PRIJEM	\N	109	27247	UROK	\N	\N
3644748	3469	1995-01-31	PRIJEM	\N	100	16390	UROK	\N	\N
3644749	3469	1995-02-28	PRIJEM	\N	74	17158	UROK	\N	\N
3644750	3469	1995-03-31	PRIJEM	\N	70	14962	UROK	\N	\N
3644751	3469	1995-04-30	PRIJEM	\N	70	18285	UROK	\N	\N
3644752	3469	1995-05-31	PRIJEM	\N	83	20022	UROK	\N	\N
3644753	3469	1995-06-30	PRIJEM	\N	80	16555	UROK	\N	\N
3644754	3469	1995-07-31	PRIJEM	\N	74	18923	UROK	\N	\N
3644755	3469	1995-08-31	PRIJEM	\N	87	22263	UROK	\N	\N
3644756	3469	1995-09-30	PRIJEM	\N	101	25617	UROK	\N	\N
3644757	3469	1995-10-31	PRIJEM	\N	115	28985	UROK	\N	\N
3644758	3469	1995-11-30	PRIJEM	\N	128	32366	UROK	\N	\N
3644759	3469	1995-12-31	PRIJEM	\N	142	35362	UROK	\N	\N
3644760	3469	1996-01-31	PRIJEM	\N	131	27616	UROK	\N	\N
3644761	3469	1996-02-29	PRIJEM	\N	120	30290	UROK	\N	\N
3644762	3469	1996-03-31	PRIJEM	\N	125	30669	UROK	\N	\N
3644763	3469	1996-04-30	PRIJEM	\N	129	31651	UROK	\N	\N
3644764	3469	1996-05-31	PRIJEM	\N	130	31634	UROK	\N	\N
3644765	3469	1996-06-30	PRIJEM	\N	133	30180	UROK	\N	\N
3644766	3469	1996-07-31	PRIJEM	\N	126	30859	UROK	\N	\N
3644767	3469	1996-08-31	PRIJEM	\N	132	32844	UROK	\N	\N
3644768	3469	1996-09-30	PRIJEM	\N	138	33116	UROK	\N	\N
3644769	3469	1996-10-31	PRIJEM	\N	132	30622	UROK	\N	\N
3644770	3469	1996-11-30	PRIJEM	\N	135	34010	UROK	\N	\N
3644771	3469	1996-12-31	PRIJEM	\N	144	35657	UROK	\N	\N
3644772	3469	1997-01-31	PRIJEM	\N	127	26847	UROK	\N	\N
3644773	3469	1997-02-28	PRIJEM	\N	118	30219	UROK	\N	\N
3644774	3469	1997-03-31	PRIJEM	\N	133	33605	UROK	\N	\N
3644775	3469	1997-04-30	PRIJEM	\N	147	37005	UROK	\N	\N
3644776	3469	1997-05-31	PRIJEM	\N	160	40319	UROK	\N	\N
3644777	3469	1997-06-30	PRIJEM	\N	155	32727	UROK	\N	\N
3644778	3469	1997-07-31	PRIJEM	\N	134	32434	UROK	\N	\N
3644779	3469	1997-08-31	PRIJEM	\N	127	32294	UROK	\N	\N
3644780	3469	1997-09-30	PRIJEM	\N	133	30720	UROK	\N	\N
3644781	3469	1997-10-31	PRIJEM	\N	125	29579	UROK	\N	\N
3644782	3469	1997-11-30	PRIJEM	\N	128	31160	UROK	\N	\N
3644783	3469	1997-12-31	PRIJEM	\N	135	32548	UROK	\N	\N
3644784	3469	1998-01-31	PRIJEM	\N	114	23386	UROK	\N	\N
3644785	3469	1998-02-28	PRIJEM	\N	99	25298	UROK	\N	\N
3644786	3469	1998-03-31	PRIJEM	\N	111	28663	UROK	\N	\N
3644787	3469	1998-04-30	PRIJEM	\N	118	28834	UROK	\N	\N
3644788	3469	1998-05-31	PRIJEM	\N	126	32213	UROK	\N	\N
3644789	3469	1998-06-30	PRIJEM	\N	91	22567	UROK	\N	\N
3644790	3469	1998-07-31	PRIJEM	\N	88	20709	UROK	\N	\N
3644791	3469	1998-08-31	PRIJEM	\N	92	24054	UROK	\N	\N
3644792	3469	1998-09-30	PRIJEM	\N	105	27413	UROK	\N	\N
3644793	3469	1998-10-31	PRIJEM	\N	117	28883	UROK	\N	\N
3644794	3469	1998-11-30	PRIJEM	\N	117	25654	UROK	\N	\N
3644795	3469	1998-12-31	PRIJEM	\N	109	28217	UROK	\N	\N
3644796	3470	1997-06-30	PRIJEM	\N	4	27839	UROK	\N	\N
3644797	3470	1997-07-31	PRIJEM	\N	122	28321	UROK	\N	\N
3644798	3470	1997-08-31	PRIJEM	\N	126	29047	UROK	\N	\N
3644799	3470	1997-09-30	PRIJEM	\N	130	32097	UROK	\N	\N
3644800	3470	1997-10-31	PRIJEM	\N	143	33060	UROK	\N	\N
3644801	3470	1997-11-30	PRIJEM	\N	147	36127	UROK	\N	\N
3644802	3470	1997-12-31	PRIJEM	\N	153	35980	UROK	\N	\N
3644803	3470	1998-01-31	PRIJEM	\N	147	29688	UROK	\N	\N
3644804	3470	1998-02-28	PRIJEM	\N	131	30819	UROK	\N	\N
3644805	3470	1998-03-31	PRIJEM	\N	137	33877	UROK	\N	\N
3644806	3470	1998-04-30	PRIJEM	\N	144	33021	UROK	\N	\N
3644807	3470	1998-05-31	PRIJEM	\N	147	36088	UROK	\N	\N
3644808	3470	1998-06-30	PRIJEM	\N	148	35956	UROK	\N	\N
3644809	3470	1998-07-31	PRIJEM	\N	151	36948	UROK	\N	\N
3644810	3470	1998-08-31	PRIJEM	\N	163	40031	UROK	\N	\N
3644811	3470	1998-09-30	PRIJEM	\N	172	41044	UROK	\N	\N
3644812	3470	1998-10-31	PRIJEM	\N	180	44144	UROK	\N	\N
3644813	3470	1998-11-30	PRIJEM	\N	193	47257	UROK	\N	\N
3644814	3470	1998-12-31	PRIJEM	\N	203	49530	UROK	\N	\N
3644815	3471	1997-02-28	PRIJEM	\N	28	23696	UROK	\N	\N
3644816	3471	1997-03-31	PRIJEM	\N	114	36378	UROK	\N	\N
3644817	3471	1997-04-30	PRIJEM	\N	160	43706	UROK	\N	\N
3644818	3471	1997-05-31	PRIJEM	\N	187	48162	UROK	\N	\N
3644819	3471	1997-06-30	PRIJEM	\N	243	36604	UROK	\N	\N
3644820	3471	1997-07-31	PRIJEM	\N	180	42386	UROK	\N	\N
3644821	3471	1997-08-31	PRIJEM	\N	201	44348	UROK	\N	\N
3644822	3471	1997-09-30	PRIJEM	\N	205	46154	UROK	\N	\N
3644823	3471	1997-10-31	PRIJEM	\N	212	46628	UROK	\N	\N
3644824	3471	1997-11-30	PRIJEM	\N	204	43733	UROK	\N	\N
3644825	3471	1997-12-31	PRIJEM	\N	232	54611	UROK	\N	\N
3644826	3471	1998-01-31	PRIJEM	\N	224	41796	UROK	\N	\N
3644827	3471	1998-02-28	PRIJEM	\N	203	49860	UROK	\N	\N
3644828	3471	1998-03-31	PRIJEM	\N	232	55934	UROK	\N	\N
3644829	3471	1998-04-30	PRIJEM	\N	246	54661	UROK	\N	\N
3644830	3471	1998-05-31	PRIJEM	\N	258	62981	UROK	\N	\N
3644831	3471	1998-06-30	PRIJEM	\N	283	52089	UROK	\N	\N
3644832	3471	1998-07-31	PRIJEM	\N	241	57311	UROK	\N	\N
3644833	3471	1998-08-31	PRIJEM	\N	260	62532	UROK	\N	\N
3644834	3471	1998-09-30	PRIJEM	\N	286	69380	UROK	\N	\N
3644835	3471	1998-10-31	PRIJEM	\N	308	74249	UROK	\N	\N
3644836	3471	1998-11-30	PRIJEM	\N	317	75327	UROK	\N	\N
3644837	3471	1998-12-31	PRIJEM	\N	347	83719	UROK	\N	\N
3644838	3472	1996-08-31	PRIJEM	\N	32	19888	UROK	\N	\N
3644839	3472	1996-09-30	PRIJEM	\N	101	30845	UROK	\N	\N
3644840	3472	1996-10-31	PRIJEM	\N	135	34936	UROK	\N	\N
3644841	3472	1996-11-30	PRIJEM	\N	157	41649	UROK	\N	\N
3644842	3472	1996-12-31	PRIJEM	\N	201	44223	UROK	\N	\N
3644843	3472	1997-01-31	PRIJEM	\N	162	31038	UROK	\N	\N
3644844	3472	1997-02-28	PRIJEM	\N	151	34743	UROK	\N	\N
3644845	3472	1997-03-31	PRIJEM	\N	167	39463	UROK	\N	\N
3644846	3472	1997-04-30	PRIJEM	\N	192	47108	UROK	\N	\N
3644847	3472	1997-05-31	PRIJEM	\N	209	47671	UROK	\N	\N
3644848	3472	1997-06-30	PRIJEM	\N	158	39161	UROK	\N	\N
3644849	3472	1997-07-31	PRIJEM	\N	189	46103	UROK	\N	\N
3644850	3472	1997-08-31	PRIJEM	\N	212	49168	UROK	\N	\N
3644851	3472	1997-09-30	PRIJEM	\N	217	50839	UROK	\N	\N
3644852	3472	1997-10-31	PRIJEM	\N	221	52813	UROK	\N	\N
3644853	3472	1997-11-30	PRIJEM	\N	228	53195	UROK	\N	\N
3644854	3472	1997-12-31	PRIJEM	\N	241	53867	UROK	\N	\N
3644855	3472	1998-01-31	PRIJEM	\N	207	44528	UROK	\N	\N
3644856	3472	1998-02-28	PRIJEM	\N	212	52593	UROK	\N	\N
3644857	3472	1998-03-31	PRIJEM	\N	241	58688	UROK	\N	\N
3644858	3472	1998-04-30	PRIJEM	\N	261	62902	UROK	\N	\N
3644859	3472	1998-05-31	PRIJEM	\N	275	65931	UROK	\N	\N
3644860	3472	1998-06-30	PRIJEM	\N	284	66246	UROK	\N	\N
3644861	3472	1998-07-31	PRIJEM	\N	291	70391	UROK	\N	\N
3644862	3472	1998-08-31	PRIJEM	\N	305	73750	UROK	\N	\N
3644863	3472	1998-09-30	PRIJEM	\N	319	77422	UROK	\N	\N
3644864	3472	1998-10-31	PRIJEM	\N	338	82314	UROK	\N	\N
3644865	3472	1998-11-30	PRIJEM	\N	334	79701	UROK	\N	\N
3644866	3472	1998-12-31	PRIJEM	\N	268	55101	UROK	\N	\N
3644867	3474	1995-07-31	PRIJEM	\N	9	3713	UROK	\N	\N
3644868	3474	1995-08-31	PRIJEM	\N	14	7031	UROK	\N	\N
3644869	3474	1995-09-30	PRIJEM	\N	14	10348	UROK	\N	\N
3644870	3474	1995-10-31	PRIJEM	\N	14	13666	UROK	\N	\N
3644871	3474	1995-11-30	PRIJEM	\N	47	16778	UROK	\N	\N
3644872	3474	1995-12-31	PRIJEM	\N	71	17096	UROK	\N	\N
3644873	3474	1996-01-31	PRIJEM	\N	68	14741	UROK	\N	\N
3644874	3474	1996-02-29	PRIJEM	\N	64	15893	UROK	\N	\N
3644875	3474	1996-03-31	PRIJEM	\N	69	17049	UROK	\N	\N
3644876	3474	1996-04-30	PRIJEM	\N	74	18210	UROK	\N	\N
3644877	3474	1996-05-31	PRIJEM	\N	79	19376	UROK	\N	\N
3644878	3474	1996-06-30	PRIJEM	\N	83	19136	UROK	\N	\N
3644879	3474	1996-07-31	PRIJEM	\N	80	18773	UROK	\N	\N
3644880	3474	1996-08-31	PRIJEM	\N	79	19370	UROK	\N	\N
3644881	3474	1996-09-30	PRIJEM	\N	83	20540	UROK	\N	\N
3644882	3474	1996-10-31	PRIJEM	\N	88	21716	UROK	\N	\N
3644883	3474	1996-11-30	PRIJEM	\N	93	22746	UROK	\N	\N
3644884	3474	1996-12-31	PRIJEM	\N	97	23301	UROK	\N	\N
3644885	3474	1997-01-31	PRIJEM	\N	91	19259	UROK	\N	\N
3644886	3474	1997-02-28	PRIJEM	\N	83	20429	UROK	\N	\N
3644887	3474	1997-03-31	PRIJEM	\N	85	20010	UROK	\N	\N
3644888	3474	1997-04-30	PRIJEM	\N	86	21184	UROK	\N	\N
3644889	3474	1997-05-31	PRIJEM	\N	91	22362	UROK	\N	\N
3644890	3474	1997-06-30	PRIJEM	\N	81	19120	UROK	\N	\N
3644891	3474	1997-07-31	PRIJEM	\N	82	20290	UROK	\N	\N
3644892	3474	1997-08-31	PRIJEM	\N	85	20832	UROK	\N	\N
3644893	3474	1997-09-30	PRIJEM	\N	89	22009	UROK	\N	\N
3644894	3474	1997-10-31	PRIJEM	\N	94	23190	UROK	\N	\N
3644895	3474	1997-11-30	PRIJEM	\N	99	24376	UROK	\N	\N
3644896	3474	1997-12-31	PRIJEM	\N	101	24275	UROK	\N	\N
3644897	3474	1998-01-31	PRIJEM	\N	96	21168	UROK	\N	\N
3644898	3474	1998-02-28	PRIJEM	\N	90	22345	UROK	\N	\N
3644899	3474	1998-03-31	PRIJEM	\N	95	23528	UROK	\N	\N
3644900	3474	1998-04-30	PRIJEM	\N	100	24716	UROK	\N	\N
3644901	3474	1998-05-31	PRIJEM	\N	104	25307	UROK	\N	\N
3644902	3474	1998-06-30	PRIJEM	\N	88	16492	UROK	\N	\N
3644903	3474	1998-07-31	PRIJEM	\N	68	16808	UROK	\N	\N
3644904	3474	1998-08-31	PRIJEM	\N	72	17968	UROK	\N	\N
3644905	3474	1998-09-30	PRIJEM	\N	77	19132	UROK	\N	\N
3644906	3474	1998-10-31	PRIJEM	\N	82	20301	UROK	\N	\N
3644907	3474	1998-11-30	PRIJEM	\N	86	21114	UROK	\N	\N
3644908	3474	1998-12-31	PRIJEM	\N	87	20398	UROK	\N	\N
3644909	3476	1996-01-31	PRIJEM	\N	44	19353	UROK	\N	\N
3644910	3476	1996-02-29	PRIJEM	\N	99	27662	UROK	\N	\N
3644911	3476	1996-03-31	PRIJEM	\N	122	30692	UROK	\N	\N
3644912	3476	1996-04-30	PRIJEM	\N	139	35440	UROK	\N	\N
3644913	3476	1996-05-31	PRIJEM	\N	151	35553	UROK	\N	\N
3644914	3476	1996-06-30	PRIJEM	\N	154	35479	UROK	\N	\N
3644915	3476	1996-07-31	PRIJEM	\N	147	34414	UROK	\N	\N
3644916	3476	1996-08-31	PRIJEM	\N	145	33947	UROK	\N	\N
3644917	3476	1996-09-30	PRIJEM	\N	153	37587	UROK	\N	\N
3644918	3476	1996-10-31	PRIJEM	\N	163	39637	UROK	\N	\N
3644919	3476	1996-11-30	PRIJEM	\N	183	41707	UROK	\N	\N
3644920	3476	1996-12-31	PRIJEM	\N	172	41571	UROK	\N	\N
3644921	3476	1997-01-31	PRIJEM	\N	161	30459	UROK	\N	\N
3644922	3476	1997-02-28	PRIJEM	\N	144	36890	UROK	\N	\N
3644923	3476	1997-03-31	PRIJEM	\N	144	33922	UROK	\N	\N
3644924	3476	1997-04-30	PRIJEM	\N	145	35554	UROK	\N	\N
3644925	3476	1997-05-31	PRIJEM	\N	164	36505	UROK	\N	\N
3644926	3476	1997-06-30	PRIJEM	\N	188	44586	UROK	\N	\N
3644927	3476	1997-07-31	PRIJEM	\N	192	42165	UROK	\N	\N
3644928	3476	1997-08-31	PRIJEM	\N	156	37108	UROK	\N	\N
3644929	3476	1997-09-30	PRIJEM	\N	170	38366	UROK	\N	\N
3644930	3476	1997-10-31	PRIJEM	\N	155	37109	UROK	\N	\N
3644931	3476	1997-11-30	PRIJEM	\N	150	36946	UROK	\N	\N
3644932	3476	1997-12-31	PRIJEM	\N	161	39500	UROK	\N	\N
3644933	3476	1998-01-31	PRIJEM	\N	136	23723	UROK	\N	\N
3644934	3476	1998-02-28	PRIJEM	\N	135	31745	UROK	\N	\N
3644935	3476	1998-03-31	PRIJEM	\N	138	32850	UROK	\N	\N
3644936	3476	1998-04-30	PRIJEM	\N	145	36582	UROK	\N	\N
3644937	3476	1998-05-31	PRIJEM	\N	154	35724	UROK	\N	\N
3644938	3476	1998-06-30	PRIJEM	\N	197	47913	UROK	\N	\N
3644939	3476	1998-07-31	PRIJEM	\N	175	41575	UROK	\N	\N
3644940	3476	1998-08-31	PRIJEM	\N	185	41747	UROK	\N	\N
3644941	3476	1998-09-30	PRIJEM	\N	155	36290	UROK	\N	\N
3644942	3476	1998-10-31	PRIJEM	\N	183	43060	UROK	\N	\N
3644943	3476	1998-11-30	PRIJEM	\N	186	43734	UROK	\N	\N
3644944	3476	1998-12-31	PRIJEM	\N	199	51825	UROK	\N	\N
3644945	3477	1994-01-31	PRIJEM	\N	39	12262	UROK	\N	\N
3644946	3477	1994-02-28	PRIJEM	\N	54	13368	UROK	\N	\N
3644947	3477	1994-03-31	PRIJEM	\N	58	14479	UROK	\N	\N
3644948	3477	1994-04-30	PRIJEM	\N	63	15595	UROK	\N	\N
3644949	3477	1994-05-31	PRIJEM	\N	67	15964	UROK	\N	\N
3644950	3477	1994-06-30	PRIJEM	\N	69	16035	UROK	\N	\N
3644951	3477	1994-07-31	PRIJEM	\N	67	16075	UROK	\N	\N
3644952	3477	1994-08-31	PRIJEM	\N	70	17197	UROK	\N	\N
3644953	3477	1994-09-30	PRIJEM	\N	68	16008	UROK	\N	\N
3644954	3477	1994-10-31	PRIJEM	\N	68	16138	UROK	\N	\N
3644955	3477	1994-11-30	PRIJEM	\N	70	17261	UROK	\N	\N
3644956	3477	1994-12-31	PRIJEM	\N	74	17877	UROK	\N	\N
3644957	3477	1995-01-31	PRIJEM	\N	68	14768	UROK	\N	\N
3644958	3477	1995-02-28	PRIJEM	\N	64	15884	UROK	\N	\N
3644959	3477	1995-03-31	PRIJEM	\N	69	16855	UROK	\N	\N
3644960	3477	1995-04-30	PRIJEM	\N	73	17980	UROK	\N	\N
3644961	3477	1995-05-31	PRIJEM	\N	76	18538	UROK	\N	\N
3644962	3477	1995-06-30	PRIJEM	\N	70	14051	UROK	\N	\N
3644963	3477	1995-07-31	PRIJEM	\N	61	15164	UROK	\N	\N
3644964	3477	1995-08-31	PRIJEM	\N	66	15772	UROK	\N	\N
3644965	3477	1995-09-30	PRIJEM	\N	68	16893	UROK	\N	\N
3644966	3477	1995-10-31	PRIJEM	\N	66	15110	UROK	\N	\N
3644967	3477	1995-11-30	PRIJEM	\N	65	16228	UROK	\N	\N
3644968	3477	1995-12-31	PRIJEM	\N	56	12036	UROK	\N	\N
3644969	3477	1996-01-31	PRIJEM	\N	48	11036	UROK	\N	\N
3644970	3477	1996-02-29	PRIJEM	\N	46	10835	UROK	\N	\N
3644971	3477	1996-03-31	PRIJEM	\N	48	11935	UROK	\N	\N
3644972	3477	1996-04-30	PRIJEM	\N	52	13039	UROK	\N	\N
3644973	3477	1996-05-31	PRIJEM	\N	50	11442	UROK	\N	\N
3644974	3477	1996-06-30	PRIJEM	\N	50	12544	UROK	\N	\N
3644975	3477	1996-07-31	PRIJEM	\N	55	13651	UROK	\N	\N
3644976	3477	1996-08-31	PRIJEM	\N	58	13831	UROK	\N	\N
3644977	3477	1996-09-30	PRIJEM	\N	60	14943	UROK	\N	\N
3644978	3477	1996-10-31	PRIJEM	\N	64	16060	UROK	\N	\N
3644979	3477	1996-11-30	PRIJEM	\N	67	15979	UROK	\N	\N
3644980	3477	1996-12-31	PRIJEM	\N	69	16591	UROK	\N	\N
3644981	3477	1997-01-31	PRIJEM	\N	64	14287	UROK	\N	\N
3644982	3477	1997-02-28	PRIJEM	\N	61	15401	UROK	\N	\N
3644983	3477	1997-03-31	PRIJEM	\N	66	16519	UROK	\N	\N
3644984	3477	1997-04-30	PRIJEM	\N	68	16140	UROK	\N	\N
3644985	3477	1997-05-31	PRIJEM	\N	69	17261	UROK	\N	\N
3644986	3477	1997-06-30	PRIJEM	\N	67	14931	UROK	\N	\N
3644987	3477	1997-07-31	PRIJEM	\N	64	15537	UROK	\N	\N
3644988	3477	1997-08-31	PRIJEM	\N	62	14551	UROK	\N	\N
3644989	3477	1997-09-30	PRIJEM	\N	62	15486	UROK	\N	\N
3644990	3477	1997-10-31	PRIJEM	\N	66	16604	UROK	\N	\N
3644991	3477	1997-11-30	PRIJEM	\N	70	17307	UROK	\N	\N
3644992	3477	1997-12-31	PRIJEM	\N	73	17922	UROK	\N	\N
3644993	3477	1998-01-31	PRIJEM	\N	67	14522	UROK	\N	\N
3644994	3477	1998-02-28	PRIJEM	\N	62	15636	UROK	\N	\N
3644995	3477	1998-03-31	PRIJEM	\N	66	14954	UROK	\N	\N
3644996	3477	1998-04-30	PRIJEM	\N	63	15470	UROK	\N	\N
3644997	3477	1998-05-31	PRIJEM	\N	66	16588	UROK	\N	\N
3644998	3477	1998-06-30	PRIJEM	\N	70	17711	UROK	\N	\N
3644999	3477	1998-07-31	PRIJEM	\N	72	13935	UROK	\N	\N
3645000	3477	1998-08-31	PRIJEM	\N	59	14946	UROK	\N	\N
3645001	3477	1998-09-30	PRIJEM	\N	63	16062	UROK	\N	\N
3645002	3477	1998-10-31	PRIJEM	\N	65	15799	UROK	\N	\N
3645003	3477	1998-11-30	PRIJEM	\N	64	13615	UROK	\N	\N
3645004	3477	1998-12-31	PRIJEM	\N	58	14725	UROK	\N	\N
3645005	3478	1994-09-30	PRIJEM	\N	22	7782	UROK	\N	\N
3645006	3478	1994-10-31	PRIJEM	\N	71	21513	UROK	\N	\N
3645007	3478	1994-11-30	PRIJEM	\N	116	31289	UROK	\N	\N
3645008	3478	1994-12-31	PRIJEM	\N	156	40485	UROK	\N	\N
3645009	3478	1995-01-31	PRIJEM	\N	148	30533	UROK	\N	\N
3645010	3478	1995-02-28	PRIJEM	\N	124	31396	UROK	\N	\N
3645011	3478	1995-03-31	PRIJEM	\N	102	24338	UROK	\N	\N
3645012	3478	1995-04-30	PRIJEM	\N	100	24918	UROK	\N	\N
3645013	3478	1995-05-31	PRIJEM	\N	108	27565	UROK	\N	\N
3645014	3478	1995-06-30	PRIJEM	\N	116	30100	UROK	\N	\N
3645015	3478	1995-07-31	PRIJEM	\N	120	30159	UROK	\N	\N
3645016	3478	1995-08-31	PRIJEM	\N	109	19808	UROK	\N	\N
3645017	3478	1995-09-30	PRIJEM	\N	87	21095	UROK	\N	\N
3645018	3478	1995-10-31	PRIJEM	\N	93	19427	UROK	\N	\N
3645019	3478	1995-11-30	PRIJEM	\N	87	20753	UROK	\N	\N
3645020	3478	1995-12-31	PRIJEM	\N	96	22129	UROK	\N	\N
3645021	3478	1996-01-31	PRIJEM	\N	77	16905	UROK	\N	\N
3645022	3478	1996-02-29	PRIJEM	\N	73	19497	UROK	\N	\N
3645023	3478	1996-03-31	PRIJEM	\N	89	23825	UROK	\N	\N
3645024	3478	1996-04-30	PRIJEM	\N	106	26371	UROK	\N	\N
3645025	3478	1996-05-31	PRIJEM	\N	114	25924	UROK	\N	\N
3645026	3478	1996-06-30	PRIJEM	\N	121	27564	UROK	\N	\N
3645027	3478	1996-07-31	PRIJEM	\N	110	22634	UROK	\N	\N
3645028	3478	1996-08-31	PRIJEM	\N	92	25265	UROK	\N	\N
3645029	3478	1996-09-30	PRIJEM	\N	111	27315	UROK	\N	\N
3645030	3478	1996-10-31	PRIJEM	\N	110	20484	UROK	\N	\N
3645031	3478	1996-11-30	PRIJEM	\N	81	17845	UROK	\N	\N
3645032	3478	1996-12-31	PRIJEM	\N	82	25326	UROK	\N	\N
3645033	3478	1997-01-31	PRIJEM	\N	88	22113	UROK	\N	\N
3645034	3478	1997-02-28	PRIJEM	\N	91	25324	UROK	\N	\N
3645035	3478	1997-03-31	PRIJEM	\N	111	27274	UROK	\N	\N
3645036	3478	1997-04-30	PRIJEM	\N	118	25672	UROK	\N	\N
3645037	3478	1997-05-31	PRIJEM	\N	98	27749	UROK	\N	\N
3645038	3478	1997-06-30	PRIJEM	\N	100	25408	UROK	\N	\N
3645039	3478	1997-07-31	PRIJEM	\N	114	29262	UROK	\N	\N
3645040	3478	1997-08-31	PRIJEM	\N	128	32029	UROK	\N	\N
3645041	3478	1997-09-30	PRIJEM	\N	148	39517	UROK	\N	\N
3645042	3478	1997-10-31	PRIJEM	\N	160	37976	UROK	\N	\N
3645043	3478	1997-11-30	PRIJEM	\N	156	36471	UROK	\N	\N
3645044	3478	1997-12-31	PRIJEM	\N	157	36708	UROK	\N	\N
3645045	3478	1998-01-31	PRIJEM	\N	100	21687	UROK	\N	\N
3645046	3478	1998-02-28	PRIJEM	\N	113	32739	UROK	\N	\N
3645047	3478	1998-03-31	PRIJEM	\N	143	36022	UROK	\N	\N
3645048	3478	1998-04-30	PRIJEM	\N	145	33606	UROK	\N	\N
3645049	3478	1998-05-31	PRIJEM	\N	133	30278	UROK	\N	\N
3645050	3478	1998-06-30	PRIJEM	\N	131	32029	UROK	\N	\N
3645051	3478	1998-07-31	PRIJEM	\N	147	38115	UROK	\N	\N
3645052	3478	1998-08-31	PRIJEM	\N	140	33514	UROK	\N	\N
3645053	3478	1998-09-30	PRIJEM	\N	126	31359	UROK	\N	\N
3645054	3478	1998-10-31	PRIJEM	\N	131	32129	UROK	\N	\N
3645055	3478	1998-11-30	PRIJEM	\N	135	33504	UROK	\N	\N
3645056	3478	1998-12-31	PRIJEM	\N	150	38813	UROK	\N	\N
3645057	3479	1994-07-31	PRIJEM	\N	44	18178	UROK	\N	\N
3645058	3479	1994-08-31	PRIJEM	\N	103	28915	UROK	\N	\N
3645059	3479	1994-09-30	PRIJEM	\N	132	33280	UROK	\N	\N
3645060	3479	1994-10-31	PRIJEM	\N	150	37564	UROK	\N	\N
3645061	3479	1994-11-30	PRIJEM	\N	150	30912	UROK	\N	\N
3645062	3479	1994-12-31	PRIJEM	\N	138	29920	UROK	\N	\N
3645063	3479	1995-01-31	PRIJEM	\N	92	14836	UROK	\N	\N
3645064	3479	1995-02-28	PRIJEM	\N	89	14149	UROK	\N	\N
3645065	3479	1995-03-31	PRIJEM	\N	109	23321	UROK	\N	\N
3645066	3479	1995-04-30	PRIJEM	\N	99	23683	UROK	\N	\N
3645067	3479	1995-05-31	PRIJEM	\N	96	22442	UROK	\N	\N
3645068	3479	1995-06-30	PRIJEM	\N	91	16924	UROK	\N	\N
3645069	3479	1995-07-31	PRIJEM	\N	91	16178	UROK	\N	\N
3645070	3479	1995-08-31	PRIJEM	\N	75	17616	UROK	\N	\N
3645071	3479	1995-09-30	PRIJEM	\N	87	20466	UROK	\N	\N
3645072	3479	1995-10-31	PRIJEM	\N	94	21723	UROK	\N	\N
3645073	3479	1995-11-30	PRIJEM	\N	89	18296	UROK	\N	\N
3645074	3479	1995-12-31	PRIJEM	\N	96	20822	UROK	\N	\N
3645075	3479	1996-01-31	PRIJEM	\N	70	13895	UROK	\N	\N
3645076	3479	1996-02-29	PRIJEM	\N	113	26171	UROK	\N	\N
3645077	3479	1996-03-31	PRIJEM	\N	112	22147	UROK	\N	\N
3645078	3479	1996-04-30	PRIJEM	\N	118	27048	UROK	\N	\N
3645079	3479	1996-05-31	PRIJEM	\N	129	29840	UROK	\N	\N
3645080	3479	1996-06-30	PRIJEM	\N	121	21511	UROK	\N	\N
3645081	3479	1996-07-31	PRIJEM	\N	136	26911	UROK	\N	\N
3645082	3479	1996-08-31	PRIJEM	\N	141	33315	UROK	\N	\N
3645083	3479	1996-09-30	PRIJEM	\N	158	36937	UROK	\N	\N
3645084	3479	1996-10-31	PRIJEM	\N	162	35942	UROK	\N	\N
3645085	3479	1996-11-30	PRIJEM	\N	148	34753	UROK	\N	\N
3645086	3479	1996-12-31	PRIJEM	\N	173	40956	UROK	\N	\N
3645087	3479	1997-01-31	PRIJEM	\N	164	26783	UROK	\N	\N
3645088	3479	1997-02-28	PRIJEM	\N	123	36869	UROK	\N	\N
3645089	3479	1997-03-31	PRIJEM	\N	169	43002	UROK	\N	\N
3645090	3479	1997-04-30	PRIJEM	\N	202	42307	UROK	\N	\N
3645091	3479	1997-05-31	PRIJEM	\N	206	47177	UROK	\N	\N
3645092	3479	1997-06-30	PRIJEM	\N	237	40624	UROK	\N	\N
3645093	3479	1997-07-31	PRIJEM	\N	183	44830	UROK	\N	\N
3645094	3479	1997-08-31	PRIJEM	\N	192	45486	UROK	\N	\N
3645095	3479	1997-09-30	PRIJEM	\N	199	48949	UROK	\N	\N
3645096	3479	1997-10-31	PRIJEM	\N	212	50324	UROK	\N	\N
3645097	3479	1997-11-30	PRIJEM	\N	215	48902	UROK	\N	\N
3645098	3479	1997-12-31	PRIJEM	\N	227	49720	UROK	\N	\N
3645099	3479	1998-01-31	PRIJEM	\N	180	34024	UROK	\N	\N
3645100	3479	1998-02-28	PRIJEM	\N	156	40643	UROK	\N	\N
3645101	3479	1998-03-31	PRIJEM	\N	181	46287	UROK	\N	\N
3645102	3479	1998-04-30	PRIJEM	\N	196	43946	UROK	\N	\N
3645103	3479	1998-05-31	PRIJEM	\N	206	48516	UROK	\N	\N
3645104	3479	1998-06-30	PRIJEM	\N	219	46845	UROK	\N	\N
3645105	3479	1998-07-31	PRIJEM	\N	202	49111	UROK	\N	\N
3645106	3479	1998-08-31	PRIJEM	\N	215	54389	UROK	\N	\N
3645107	3479	1998-09-30	PRIJEM	\N	232	51405	UROK	\N	\N
3645108	3479	1998-10-31	PRIJEM	\N	220	53688	UROK	\N	\N
3645109	3479	1998-11-30	PRIJEM	\N	236	53448	UROK	\N	\N
3645110	3479	1998-12-31	PRIJEM	\N	281	61399	UROK	\N	\N
3645111	3482	1995-01-31	PRIJEM	\N	15	5289	UROK	\N	\N
3645112	3482	1995-02-28	PRIJEM	\N	22	9985	UROK	\N	\N
3645113	3482	1995-03-31	PRIJEM	\N	22	14681	UROK	\N	\N
3645114	3482	1995-04-30	PRIJEM	\N	22	19377	UROK	\N	\N
3645115	3482	1995-05-31	PRIJEM	\N	25	24075	UROK	\N	\N
3645116	3482	1995-06-30	PRIJEM	\N	79	13188	UROK	\N	\N
3645117	3482	1995-07-31	PRIJEM	\N	60	14881	UROK	\N	\N
3645118	3482	1995-08-31	PRIJEM	\N	64	16018	UROK	\N	\N
3645119	3482	1995-09-30	PRIJEM	\N	71	17723	UROK	\N	\N
3645120	3482	1995-10-31	PRIJEM	\N	74	17350	UROK	\N	\N
3645121	3482	1995-11-30	PRIJEM	\N	71	16895	UROK	\N	\N
3645122	3482	1995-12-31	PRIJEM	\N	75	17602	UROK	\N	\N
3645123	3482	1996-01-31	PRIJEM	\N	60	12736	UROK	\N	\N
3645124	3482	1996-02-29	PRIJEM	\N	58	14427	UROK	\N	\N
3645125	3482	1996-03-31	PRIJEM	\N	56	12756	UROK	\N	\N
3645126	3482	1996-04-30	PRIJEM	\N	58	14447	UROK	\N	\N
3645127	3482	1996-05-31	PRIJEM	\N	63	15424	UROK	\N	\N
3645128	3482	1996-06-30	PRIJEM	\N	69	17126	UROK	\N	\N
3645129	3482	1996-07-31	PRIJEM	\N	76	18835	UROK	\N	\N
3645130	3482	1996-08-31	PRIJEM	\N	78	16786	UROK	\N	\N
3645131	3482	1996-09-30	PRIJEM	\N	74	18494	UROK	\N	\N
3645132	3482	1996-10-31	PRIJEM	\N	69	16277	UROK	\N	\N
3645133	3482	1996-11-30	PRIJEM	\N	72	17982	UROK	\N	\N
3645134	3482	1996-12-31	PRIJEM	\N	74	18240	UROK	\N	\N
3645135	3482	1997-01-31	PRIJEM	\N	66	14259	UROK	\N	\N
3645136	3482	1997-02-28	PRIJEM	\N	64	15956	UROK	\N	\N
3645137	3482	1997-03-31	PRIJEM	\N	71	17660	UROK	\N	\N
3645138	3482	1997-04-30	PRIJEM	\N	70	16403	UROK	\N	\N
3645139	3482	1997-05-31	PRIJEM	\N	73	18109	UROK	\N	\N
3645140	3482	1997-06-30	PRIJEM	\N	79	15821	UROK	\N	\N
3645141	3482	1997-07-31	PRIJEM	\N	70	17525	UROK	\N	\N
3645142	3482	1997-08-31	PRIJEM	\N	77	19235	UROK	\N	\N
3645143	3482	1997-09-30	PRIJEM	\N	80	18148	UROK	\N	\N
3645144	3482	1997-10-31	PRIJEM	\N	71	15253	UROK	\N	\N
3645145	3482	1997-11-30	PRIJEM	\N	65	15251	UROK	\N	\N
3645146	3482	1997-12-31	PRIJEM	\N	64	15248	UROK	\N	\N
3645147	3482	1998-01-31	PRIJEM	\N	57	12729	UROK	\N	\N
3645148	3482	1998-02-28	PRIJEM	\N	57	14419	UROK	\N	\N
3645149	3482	1998-03-31	PRIJEM	\N	64	16116	UROK	\N	\N
3645150	3482	1998-04-30	PRIJEM	\N	66	16456	UROK	\N	\N
3645151	3482	1998-05-31	PRIJEM	\N	72	18161	UROK	\N	\N
3645152	3482	1998-06-30	PRIJEM	\N	66	14360	UROK	\N	\N
3645153	3482	1998-07-31	PRIJEM	\N	64	16057	UROK	\N	\N
3645154	3482	1998-08-31	PRIJEM	\N	71	17762	UROK	\N	\N
3645155	3482	1998-09-30	PRIJEM	\N	78	19473	UROK	\N	\N
3645156	3482	1998-10-31	PRIJEM	\N	83	18069	UROK	\N	\N
3645157	3482	1998-11-30	PRIJEM	\N	79	19781	UROK	\N	\N
3645158	3482	1998-12-31	PRIJEM	\N	73	15617	UROK	\N	\N
3645159	3483	1994-03-31	PRIJEM	\N	45	14472	UROK	\N	\N
3645160	3483	1994-04-30	PRIJEM	\N	66	14290	UROK	\N	\N
3645161	3483	1994-05-31	PRIJEM	\N	62	14704	UROK	\N	\N
3645162	3483	1994-06-30	PRIJEM	\N	65	15841	UROK	\N	\N
3645163	3483	1994-07-31	PRIJEM	\N	68	15812	UROK	\N	\N
3645164	3483	1994-08-31	PRIJEM	\N	68	16382	UROK	\N	\N
3645165	3483	1994-09-30	PRIJEM	\N	72	17526	UROK	\N	\N
3645166	3483	1994-10-31	PRIJEM	\N	75	17563	UROK	\N	\N
3645167	3483	1994-11-30	PRIJEM	\N	76	18711	UROK	\N	\N
3645168	3483	1994-12-31	PRIJEM	\N	81	19264	UROK	\N	\N
3645169	3483	1995-01-31	PRIJEM	\N	80	15616	UROK	\N	\N
3645170	3483	1995-02-28	PRIJEM	\N	68	16757	UROK	\N	\N
3645171	3483	1995-03-31	PRIJEM	\N	73	17662	UROK	\N	\N
3645172	3483	1995-04-30	PRIJEM	\N	77	18811	UROK	\N	\N
3645173	3483	1995-05-31	PRIJEM	\N	82	19965	UROK	\N	\N
3645174	3483	1995-06-30	PRIJEM	\N	79	17157	UROK	\N	\N
3645175	3483	1995-07-31	PRIJEM	\N	74	18094	UROK	\N	\N
3645176	3483	1995-08-31	PRIJEM	\N	79	19245	UROK	\N	\N
3645177	3483	1995-09-30	PRIJEM	\N	81	19048	UROK	\N	\N
3645178	3483	1995-10-31	PRIJEM	\N	83	20203	UROK	\N	\N
3645179	3483	1995-11-30	PRIJEM	\N	87	21363	UROK	\N	\N
3645180	3483	1995-12-31	PRIJEM	\N	87	20332	UROK	\N	\N
3645181	3483	1996-01-31	PRIJEM	\N	75	16110	UROK	\N	\N
3645182	3483	1996-02-29	PRIJEM	\N	70	17252	UROK	\N	\N
3645183	3483	1996-03-31	PRIJEM	\N	71	17195	UROK	\N	\N
3645184	3483	1996-04-30	PRIJEM	\N	74	15541	UROK	\N	\N
3645185	3483	1996-05-31	PRIJEM	\N	67	15581	UROK	\N	\N
3645186	3483	1996-06-30	PRIJEM	\N	68	15430	UROK	\N	\N
3645187	3483	1996-07-31	PRIJEM	\N	67	15770	UROK	\N	\N
3645188	3483	1996-08-31	PRIJEM	\N	66	13708	UROK	\N	\N
3645189	3483	1996-09-30	PRIJEM	\N	59	13740	UROK	\N	\N
3645190	3483	1996-10-31	PRIJEM	\N	60	14872	UROK	\N	\N
3645191	3483	1996-11-30	PRIJEM	\N	63	14208	UROK	\N	\N
3645192	3483	1996-12-31	PRIJEM	\N	61	15101	UROK	\N	\N
3645193	3483	1997-01-31	PRIJEM	\N	61	13995	UROK	\N	\N
3645194	3483	1997-02-28	PRIJEM	\N	61	15128	UROK	\N	\N
3645195	3483	1997-03-31	PRIJEM	\N	62	12662	UROK	\N	\N
3645196	3483	1997-04-30	PRIJEM	\N	55	13790	UROK	\N	\N
3645197	3483	1997-05-31	PRIJEM	\N	60	14922	UROK	\N	\N
3645198	3483	1997-06-30	PRIJEM	\N	64	15729	UROK	\N	\N
3645199	3483	1997-07-31	PRIJEM	\N	68	16869	UROK	\N	\N
3645200	3483	1997-08-31	PRIJEM	\N	73	18014	UROK	\N	\N
3645201	3483	1997-09-30	PRIJEM	\N	77	18444	UROK	\N	\N
3645202	3483	1997-10-31	PRIJEM	\N	79	19595	UROK	\N	\N
3645203	3483	1997-11-30	PRIJEM	\N	84	20751	UROK	\N	\N
3645204	3483	1997-12-31	PRIJEM	\N	88	20232	UROK	\N	\N
3645205	3483	1998-01-31	PRIJEM	\N	80	17424	UROK	\N	\N
3645206	3483	1998-02-28	PRIJEM	\N	75	18571	UROK	\N	\N
3645207	3483	1998-03-31	PRIJEM	\N	79	19723	UROK	\N	\N
3645208	3483	1998-04-30	PRIJEM	\N	82	19677	UROK	\N	\N
3645209	3483	1998-05-31	PRIJEM	\N	84	20834	UROK	\N	\N
3645210	3483	1998-06-30	PRIJEM	\N	75	17751	UROK	\N	\N
3645211	3483	1998-07-31	PRIJEM	\N	70	17483	UROK	\N	\N
3645212	3483	1998-08-31	PRIJEM	\N	74	18330	UROK	\N	\N
3645213	3483	1998-09-30	PRIJEM	\N	74	18006	UROK	\N	\N
3645214	3483	1998-10-31	PRIJEM	\N	77	19155	UROK	\N	\N
3645215	3483	1998-11-30	PRIJEM	\N	81	20309	UROK	\N	\N
3645216	3483	1998-12-31	PRIJEM	\N	81	19452	UROK	\N	\N
3645217	3484	1994-06-30	PRIJEM	\N	92	36905	UROK	\N	\N
3645218	3484	1994-07-31	PRIJEM	\N	201	56548	UROK	\N	\N
3645219	3484	1994-08-31	PRIJEM	\N	173	45563	UROK	\N	\N
3645220	3484	1994-09-30	PRIJEM	\N	190	47194	UROK	\N	\N
3645221	3484	1994-10-31	PRIJEM	\N	196	46332	UROK	\N	\N
3645222	3484	1994-11-30	PRIJEM	\N	213	42438	UROK	\N	\N
3645223	3484	1994-12-31	PRIJEM	\N	233	49436	UROK	\N	\N
3645224	3484	1995-01-31	PRIJEM	\N	195	32124	UROK	\N	\N
3645225	3484	1995-02-28	PRIJEM	\N	171	37888	UROK	\N	\N
3645226	3484	1995-03-31	PRIJEM	\N	194	39775	UROK	\N	\N
3645227	3484	1995-04-30	PRIJEM	\N	191	40360	UROK	\N	\N
3645228	3484	1995-05-31	PRIJEM	\N	201	40255	UROK	\N	\N
3645229	3484	1995-06-30	PRIJEM	\N	220	23239	UROK	\N	\N
3645230	3484	1995-07-31	PRIJEM	\N	136	31268	UROK	\N	\N
3645231	3484	1995-08-31	PRIJEM	\N	162	36924	UROK	\N	\N
3645232	3484	1995-09-30	PRIJEM	\N	181	37198	UROK	\N	\N
3645233	3484	1995-10-31	PRIJEM	\N	178	34969	UROK	\N	\N
3645234	3484	1995-11-30	PRIJEM	\N	169	34232	UROK	\N	\N
3645235	3484	1995-12-31	PRIJEM	\N	183	39578	UROK	\N	\N
3645236	3484	1996-01-31	PRIJEM	\N	156	24728	UROK	\N	\N
3645237	3484	1996-02-29	PRIJEM	\N	123	25345	UROK	\N	\N
3645238	3484	1996-03-31	PRIJEM	\N	129	27167	UROK	\N	\N
3645239	3484	1996-04-30	PRIJEM	\N	131	26091	UROK	\N	\N
3645240	3484	1996-05-31	PRIJEM	\N	125	24809	UROK	\N	\N
3645241	3484	1996-06-30	PRIJEM	\N	140	30614	UROK	\N	\N
3645242	3484	1996-07-31	PRIJEM	\N	140	28647	UROK	\N	\N
3645243	3484	1996-08-31	PRIJEM	\N	127	25467	UROK	\N	\N
3645244	3484	1996-09-30	PRIJEM	\N	102	20962	UROK	\N	\N
3645245	3484	1996-10-31	PRIJEM	\N	84	17940	UROK	\N	\N
3645246	3484	1996-11-30	PRIJEM	\N	87	20020	UROK	\N	\N
3645247	3484	1996-12-31	PRIJEM	\N	108	24793	UROK	\N	\N
3645248	3484	1997-01-31	PRIJEM	\N	91	16876	UROK	\N	\N
3645249	3484	1997-02-28	PRIJEM	\N	72	15842	UROK	\N	\N
3645250	3484	1997-03-31	PRIJEM	\N	74	15709	UROK	\N	\N
3645251	3484	1997-04-30	PRIJEM	\N	70	15172	UROK	\N	\N
3645252	3484	1997-05-31	PRIJEM	\N	65	13631	UROK	\N	\N
3645253	3484	1997-06-30	PRIJEM	\N	78	20473	UROK	\N	\N
3645254	3484	1997-07-31	PRIJEM	\N	72	15839	UROK	\N	\N
3645255	3484	1997-08-31	PRIJEM	\N	101	30434	UROK	\N	\N
3645256	3484	1997-09-30	PRIJEM	\N	97	19224	UROK	\N	\N
3645257	3484	1997-10-31	PRIJEM	\N	72	16689	UROK	\N	\N
3645258	3484	1997-11-30	PRIJEM	\N	112	34494	UROK	\N	\N
3645259	3484	1997-12-31	PRIJEM	\N	210	62868	UROK	\N	\N
3645260	3484	1998-01-31	PRIJEM	\N	193	36355	UROK	\N	\N
3645261	3484	1998-02-28	PRIJEM	\N	192	54240	UROK	\N	\N
3645262	3484	1998-03-31	PRIJEM	\N	197	45530	UROK	\N	\N
3645263	3484	1998-04-30	PRIJEM	\N	228	59951	UROK	\N	\N
3645264	3484	1998-05-31	PRIJEM	\N	188	34432	UROK	\N	\N
3645265	3484	1998-06-30	PRIJEM	\N	159	35155	UROK	\N	\N
3645266	3484	1998-07-31	PRIJEM	\N	180	46729	UROK	\N	\N
3645267	3484	1998-08-31	PRIJEM	\N	237	64659	UROK	\N	\N
3645268	3484	1998-09-30	PRIJEM	\N	177	39829	UROK	\N	\N
3645269	3484	1998-10-31	PRIJEM	\N	208	57731	UROK	\N	\N
3645270	3484	1998-11-30	PRIJEM	\N	165	38389	UROK	\N	\N
3645271	3484	1998-12-31	PRIJEM	\N	221	63774	UROK	\N	\N
3645272	3485	1996-07-31	PRIJEM	\N	38	21771	UROK	\N	\N
3645273	3485	1996-08-31	PRIJEM	\N	103	28407	UROK	\N	\N
3645274	3485	1996-09-30	PRIJEM	\N	130	34570	UROK	\N	\N
3645275	3485	1996-10-31	PRIJEM	\N	149	37051	UROK	\N	\N
3645276	3485	1996-11-30	PRIJEM	\N	155	32712	UROK	\N	\N
3645277	3485	1996-12-31	PRIJEM	\N	167	39338	UROK	\N	\N
3645278	3485	1997-01-31	PRIJEM	\N	162	33991	UROK	\N	\N
3645279	3485	1997-02-28	PRIJEM	\N	158	36640	UROK	\N	\N
3645280	3485	1997-03-31	PRIJEM	\N	173	40404	UROK	\N	\N
3645281	3485	1997-04-30	PRIJEM	\N	175	36771	UROK	\N	\N
3645282	3485	1997-05-31	PRIJEM	\N	163	37225	UROK	\N	\N
3645283	3485	1997-06-30	PRIJEM	\N	157	19340	UROK	\N	\N
3645284	3485	1997-07-31	PRIJEM	\N	111	28942	UROK	\N	\N
3645285	3485	1997-08-31	PRIJEM	\N	138	33372	UROK	\N	\N
3645286	3485	1997-09-30	PRIJEM	\N	147	33410	UROK	\N	\N
3645287	3485	1997-10-31	PRIJEM	\N	148	34749	UROK	\N	\N
3645288	3485	1997-11-30	PRIJEM	\N	152	35193	UROK	\N	\N
3645289	3485	1997-12-31	PRIJEM	\N	164	37615	UROK	\N	\N
3645290	3485	1998-01-31	PRIJEM	\N	160	37366	UROK	\N	\N
3645291	3485	1998-02-28	PRIJEM	\N	157	37515	UROK	\N	\N
3645292	3485	1998-03-31	PRIJEM	\N	165	38371	UROK	\N	\N
3645293	3485	1998-04-30	PRIJEM	\N	176	42638	UROK	\N	\N
3645294	3485	1998-05-31	PRIJEM	\N	185	43814	UROK	\N	\N
3645295	3485	1998-06-30	PRIJEM	\N	179	40652	UROK	\N	\N
3645296	3485	1998-07-31	PRIJEM	\N	192	46135	UROK	\N	\N
3645297	3485	1998-08-31	PRIJEM	\N	189	44015	UROK	\N	\N
3645298	3485	1998-09-30	PRIJEM	\N	177	42483	UROK	\N	\N
3645299	3485	1998-10-31	PRIJEM	\N	169	38444	UROK	\N	\N
3645300	3485	1998-11-30	PRIJEM	\N	159	38595	UROK	\N	\N
3645301	3485	1998-12-31	PRIJEM	\N	182	44035	UROK	\N	\N
3645302	3486	1995-10-31	PRIJEM	\N	13	5277	UROK	\N	\N
3645303	3486	1995-11-30	PRIJEM	\N	22	9563	UROK	\N	\N
3645304	3486	1995-12-31	PRIJEM	\N	22	13849	UROK	\N	\N
3645305	3486	1996-01-31	PRIJEM	\N	22	18135	UROK	\N	\N
3645306	3486	1996-02-29	PRIJEM	\N	49	16764	UROK	\N	\N
3645307	3486	1996-03-31	PRIJEM	\N	75	19005	UROK	\N	\N
3645308	3486	1996-04-30	PRIJEM	\N	84	21254	UROK	\N	\N
3645309	3486	1996-05-31	PRIJEM	\N	94	23513	UROK	\N	\N
3645310	3486	1996-06-30	PRIJEM	\N	99	23858	UROK	\N	\N
3645311	3486	1996-07-31	PRIJEM	\N	102	25005	UROK	\N	\N
3645312	3486	1996-08-31	PRIJEM	\N	109	27280	UROK	\N	\N
3645313	3486	1996-09-30	PRIJEM	\N	119	29564	UROK	\N	\N
3645314	3486	1996-10-31	PRIJEM	\N	128	31858	UROK	\N	\N
3645315	3486	1996-11-30	PRIJEM	\N	137	34161	UROK	\N	\N
3645316	3486	1996-12-31	PRIJEM	\N	123	30100	UROK	\N	\N
3645317	3486	1997-01-31	PRIJEM	\N	103	22188	UROK	\N	\N
3645318	3486	1997-02-28	PRIJEM	\N	97	22370	UROK	\N	\N
3645319	3486	1997-03-31	PRIJEM	\N	98	24634	UROK	\N	\N
3645320	3486	1997-04-30	PRIJEM	\N	108	26907	UROK	\N	\N
3645321	3486	1997-05-31	PRIJEM	\N	117	29189	UROK	\N	\N
3645322	3486	1997-06-30	PRIJEM	\N	126	31481	UROK	\N	\N
3645323	3486	1997-07-31	PRIJEM	\N	123	29330	UROK	\N	\N
3645324	3486	1997-08-31	PRIJEM	\N	126	31061	UROK	\N	\N
3645325	3486	1997-09-30	PRIJEM	\N	134	33361	UROK	\N	\N
3645326	3486	1997-10-31	PRIJEM	\N	144	35670	UROK	\N	\N
3645327	3486	1997-11-30	PRIJEM	\N	153	36888	UROK	\N	\N
3645328	3486	1997-12-31	PRIJEM	\N	156	35710	UROK	\N	\N
3645329	3486	1998-01-31	PRIJEM	\N	138	31853	UROK	\N	\N
3645330	3486	1998-02-28	PRIJEM	\N	137	34156	UROK	\N	\N
3645331	3486	1998-03-31	PRIJEM	\N	147	36468	UROK	\N	\N
3645332	3486	1998-04-30	PRIJEM	\N	156	36709	UROK	\N	\N
3645333	3486	1998-05-31	PRIJEM	\N	158	39032	UROK	\N	\N
3645334	3486	1998-06-30	PRIJEM	\N	167	41364	UROK	\N	\N
3645335	3486	1998-07-31	PRIJEM	\N	173	39783	UROK	\N	\N
3645336	3486	1998-08-31	PRIJEM	\N	170	42118	UROK	\N	\N
3645337	3486	1998-09-30	PRIJEM	\N	180	44463	UROK	\N	\N
3645338	3486	1998-10-31	PRIJEM	\N	190	46818	UROK	\N	\N
3645339	3486	1998-11-30	PRIJEM	\N	196	47659	UROK	\N	\N
3645340	3486	1998-12-31	PRIJEM	\N	194	45879	UROK	\N	\N
3645341	3487	1993-01-31	PRIJEM	\N	43	16757	UROK	\N	\N
3645342	3487	1993-02-28	PRIJEM	\N	112	34583	UROK	\N	\N
3645343	3487	1993-03-31	PRIJEM	\N	175	46871	UROK	\N	\N
3645344	3487	1993-04-30	PRIJEM	\N	211	53396	UROK	\N	\N
3645345	3487	1993-05-31	PRIJEM	\N	227	55337	UROK	\N	\N
3645346	3487	1993-06-30	PRIJEM	\N	179	37457	UROK	\N	\N
3645347	3487	1993-07-31	PRIJEM	\N	154	38615	UROK	\N	\N
3645348	3487	1993-08-31	PRIJEM	\N	148	33787	UROK	\N	\N
3645349	3487	1993-09-30	PRIJEM	\N	139	31031	UROK	\N	\N
3645350	3487	1993-10-31	PRIJEM	\N	135	35090	UROK	\N	\N
3645351	3487	1993-11-30	PRIJEM	\N	151	34485	UROK	\N	\N
3645352	3487	1993-12-31	PRIJEM	\N	164	44811	UROK	\N	\N
3645353	3487	1994-01-31	PRIJEM	\N	158	33953	UROK	\N	\N
3645354	3487	1994-02-28	PRIJEM	\N	152	39430	UROK	\N	\N
3645355	3487	1994-03-31	PRIJEM	\N	164	40318	UROK	\N	\N
3645356	3487	1994-04-30	PRIJEM	\N	147	36290	UROK	\N	\N
3645357	3487	1994-05-31	PRIJEM	\N	142	36376	UROK	\N	\N
3645358	3487	1994-06-30	PRIJEM	\N	158	36336	UROK	\N	\N
3645359	3487	1994-07-31	PRIJEM	\N	155	37575	UROK	\N	\N
3645360	3487	1994-08-31	PRIJEM	\N	159	39659	UROK	\N	\N
3645361	3487	1994-09-30	PRIJEM	\N	160	35463	UROK	\N	\N
3645362	3487	1994-10-31	PRIJEM	\N	130	27778	UROK	\N	\N
3645363	3487	1994-11-30	PRIJEM	\N	133	34035	UROK	\N	\N
3645364	3487	1994-12-31	PRIJEM	\N	169	39145	UROK	\N	\N
3645365	3487	1995-01-31	PRIJEM	\N	156	30925	UROK	\N	\N
3645366	3487	1995-02-28	PRIJEM	\N	139	33488	UROK	\N	\N
3645367	3487	1995-03-31	PRIJEM	\N	150	37802	UROK	\N	\N
3645368	3487	1995-04-30	PRIJEM	\N	173	39100	UROK	\N	\N
3645369	3487	1995-05-31	PRIJEM	\N	178	43102	UROK	\N	\N
3645370	3487	1995-06-30	PRIJEM	\N	199	35503	UROK	\N	\N
3645371	3487	1995-07-31	PRIJEM	\N	161	38829	UROK	\N	\N
3645372	3487	1995-08-31	PRIJEM	\N	177	44230	UROK	\N	\N
3645373	3487	1995-09-30	PRIJEM	\N	197	47151	UROK	\N	\N
3645374	3487	1995-10-31	PRIJEM	\N	207	48283	UROK	\N	\N
3645375	3487	1995-11-30	PRIJEM	\N	211	49258	UROK	\N	\N
3645376	3487	1995-12-31	PRIJEM	\N	230	51869	UROK	\N	\N
3645377	3487	1996-01-31	PRIJEM	\N	215	52088	UROK	\N	\N
3645378	3487	1996-02-29	PRIJEM	\N	225	52357	UROK	\N	\N
3645379	3487	1996-03-31	PRIJEM	\N	218	46000	UROK	\N	\N
3645380	3487	1996-04-30	PRIJEM	\N	201	48525	UROK	\N	\N
3645381	3487	1996-05-31	PRIJEM	\N	212	51062	UROK	\N	\N
3645382	3487	1996-06-30	PRIJEM	\N	209	48353	UROK	\N	\N
3645383	3487	1996-07-31	PRIJEM	\N	214	54092	UROK	\N	\N
3645384	3487	1996-08-31	PRIJEM	\N	236	58152	UROK	\N	\N
3645385	3487	1996-09-30	PRIJEM	\N	243	57020	UROK	\N	\N
3645386	3487	1996-10-31	PRIJEM	\N	241	58265	UROK	\N	\N
3645387	3487	1996-11-30	PRIJEM	\N	240	54389	UROK	\N	\N
3645388	3487	1996-12-31	PRIJEM	\N	238	56609	UROK	\N	\N
3645389	3487	1997-01-31	PRIJEM	\N	216	52769	UROK	\N	\N
3645390	3487	1997-02-28	PRIJEM	\N	224	55118	UROK	\N	\N
3645391	3487	1997-03-31	PRIJEM	\N	240	60683	UROK	\N	\N
3645392	3487	1997-04-30	PRIJEM	\N	260	64767	UROK	\N	\N
3645393	3487	1997-05-31	PRIJEM	\N	270	65461	UROK	\N	\N
3645394	3487	1997-06-30	PRIJEM	\N	280	69463	UROK	\N	\N
3645395	3487	1997-07-31	PRIJEM	\N	286	69074	UROK	\N	\N
3645396	3487	1997-08-31	PRIJEM	\N	285	69483	UROK	\N	\N
3645397	3487	1997-09-30	PRIJEM	\N	276	62384	UROK	\N	\N
3645398	3487	1997-10-31	PRIJEM	\N	262	65470	UROK	\N	\N
3645399	3487	1997-11-30	PRIJEM	\N	285	65680	UROK	\N	\N
3645400	3487	1997-12-31	PRIJEM	\N	274	68315	UROK	\N	\N
3645401	3487	1998-01-31	PRIJEM	\N	289	71728	UROK	\N	\N
3645402	3487	1998-02-28	PRIJEM	\N	299	74671	UROK	\N	\N
3645403	3487	1998-03-31	PRIJEM	\N	322	69817	UROK	\N	\N
3645404	3487	1998-04-30	PRIJEM	\N	281	68163	UROK	\N	\N
3645405	3487	1998-05-31	PRIJEM	\N	294	74481	UROK	\N	\N
3645406	3487	1998-06-30	PRIJEM	\N	285	58487	UROK	\N	\N
3645407	3487	1998-07-31	PRIJEM	\N	263	68474	UROK	\N	\N
3645408	3487	1998-08-31	PRIJEM	\N	279	68358	UROK	\N	\N
3645409	3487	1998-09-30	PRIJEM	\N	281	69123	UROK	\N	\N
3645410	3487	1998-10-31	PRIJEM	\N	287	72474	UROK	\N	\N
3645411	3487	1998-11-30	PRIJEM	\N	309	78407	UROK	\N	\N
3645412	3487	1998-12-31	PRIJEM	\N	316	80705	UROK	\N	\N
3645474	3489	1995-01-31	PRIJEM	\N	62	18465	UROK	\N	\N
3645475	3489	1995-02-28	PRIJEM	\N	141	38109	UROK	\N	\N
3645476	3489	1995-03-31	PRIJEM	\N	162	39374	UROK	\N	\N
3645477	3489	1995-04-30	PRIJEM	\N	200	37177	UROK	\N	\N
3645478	3489	1995-05-31	PRIJEM	\N	139	32146	UROK	\N	\N
3645479	3489	1995-06-30	PRIJEM	\N	165	36688	UROK	\N	\N
3645480	3489	1995-07-31	PRIJEM	\N	180	44383	UROK	\N	\N
3645481	3489	1995-08-31	PRIJEM	\N	202	48563	UROK	\N	\N
3645482	3489	1995-09-30	PRIJEM	\N	213	50954	UROK	\N	\N
3645483	3489	1995-10-31	PRIJEM	\N	208	49041	UROK	\N	\N
3645484	3489	1995-11-30	PRIJEM	\N	208	49088	UROK	\N	\N
3645485	3489	1995-12-31	PRIJEM	\N	211	52819	UROK	\N	\N
3645486	3489	1996-01-31	PRIJEM	\N	204	45961	UROK	\N	\N
3645487	3489	1996-02-29	PRIJEM	\N	201	48040	UROK	\N	\N
3645488	3489	1996-03-31	PRIJEM	\N	191	44749	UROK	\N	\N
3645489	3489	1996-04-30	PRIJEM	\N	186	43814	UROK	\N	\N
3645490	3489	1996-05-31	PRIJEM	\N	184	43676	UROK	\N	\N
3645491	3489	1996-06-30	PRIJEM	\N	142	26718	UROK	\N	\N
3645492	3489	1996-07-31	PRIJEM	\N	129	30626	UROK	\N	\N
3645493	3489	1996-08-31	PRIJEM	\N	154	33858	UROK	\N	\N
3645494	3489	1996-09-30	PRIJEM	\N	167	33703	UROK	\N	\N
3645495	3489	1996-10-31	PRIJEM	\N	158	32280	UROK	\N	\N
3645496	3489	1996-11-30	PRIJEM	\N	159	33117	UROK	\N	\N
3645497	3489	1996-12-31	PRIJEM	\N	172	35289	UROK	\N	\N
3645498	3489	1997-01-31	PRIJEM	\N	135	27743	UROK	\N	\N
3645499	3489	1997-02-28	PRIJEM	\N	143	36264	UROK	\N	\N
3645500	3489	1997-03-31	PRIJEM	\N	174	36536	UROK	\N	\N
3645501	3489	1997-04-30	PRIJEM	\N	176	38390	UROK	\N	\N
3645502	3489	1997-05-31	PRIJEM	\N	181	38810	UROK	\N	\N
3645503	3489	1997-06-30	PRIJEM	\N	199	40289	UROK	\N	\N
3645504	3489	1997-07-31	PRIJEM	\N	174	36782	UROK	\N	\N
3645505	3489	1997-08-31	PRIJEM	\N	170	35568	UROK	\N	\N
3645506	3489	1997-09-30	PRIJEM	\N	164	35387	UROK	\N	\N
3645507	3489	1997-10-31	PRIJEM	\N	170	37732	UROK	\N	\N
3645508	3489	1997-11-30	PRIJEM	\N	169	35977	UROK	\N	\N
3645509	3489	1997-12-31	PRIJEM	\N	189	38842	UROK	\N	\N
3645510	3489	1998-01-31	PRIJEM	\N	179	38036	UROK	\N	\N
3645511	3489	1998-02-28	PRIJEM	\N	178	40730	UROK	\N	\N
3645512	3489	1998-03-31	PRIJEM	\N	190	43935	UROK	\N	\N
3645513	3489	1998-04-30	PRIJEM	\N	201	43751	UROK	\N	\N
3645514	3489	1998-05-31	PRIJEM	\N	205	43231	UROK	\N	\N
3645515	3489	1998-06-30	PRIJEM	\N	164	37632	UROK	\N	\N
3645516	3489	1998-07-31	PRIJEM	\N	179	42827	UROK	\N	\N
3645517	3489	1998-08-31	PRIJEM	\N	190	43112	UROK	\N	\N
3645518	3489	1998-09-30	PRIJEM	\N	186	40513	UROK	\N	\N
3645519	3489	1998-10-31	PRIJEM	\N	171	37100	UROK	\N	\N
3645520	3489	1998-11-30	PRIJEM	\N	151	28966	UROK	\N	\N
3645521	3489	1998-12-31	PRIJEM	\N	179	46381	UROK	\N	\N
3645522	3491	1996-08-31	PRIJEM	\N	19	23203	UROK	\N	\N
3645523	3491	1996-09-30	PRIJEM	\N	104	32591	UROK	\N	\N
3645524	3491	1996-10-31	PRIJEM	\N	139	36014	UROK	\N	\N
3645525	3491	1996-11-30	PRIJEM	\N	150	36247	UROK	\N	\N
3645526	3491	1996-12-31	PRIJEM	\N	189	36291	UROK	\N	\N
3645527	3491	1997-01-31	PRIJEM	\N	146	18536	UROK	\N	\N
3645528	3491	1997-02-28	PRIJEM	\N	105	24339	UROK	\N	\N
3645529	3491	1997-03-31	PRIJEM	\N	126	26063	UROK	\N	\N
3645530	3491	1997-04-30	PRIJEM	\N	129	23190	UROK	\N	\N
3645531	3491	1997-05-31	PRIJEM	\N	117	21306	UROK	\N	\N
3645532	3491	1997-06-30	PRIJEM	\N	124	24370	UROK	\N	\N
3645533	3491	1997-07-31	PRIJEM	\N	129	29498	UROK	\N	\N
3645534	3491	1997-08-31	PRIJEM	\N	146	32342	UROK	\N	\N
3645535	3491	1997-09-30	PRIJEM	\N	146	27687	UROK	\N	\N
3645536	3491	1997-10-31	PRIJEM	\N	127	22212	UROK	\N	\N
3645537	3491	1997-11-30	PRIJEM	\N	113	24223	UROK	\N	\N
3645538	3491	1997-12-31	PRIJEM	\N	139	30202	UROK	\N	\N
3645539	3491	1998-01-31	PRIJEM	\N	116	19616	UROK	\N	\N
3645540	3491	1998-02-28	PRIJEM	\N	84	17199	UROK	\N	\N
3645541	3491	1998-03-31	PRIJEM	\N	85	16482	UROK	\N	\N
3645542	3491	1998-04-30	PRIJEM	\N	97	24078	UROK	\N	\N
3645543	3491	1998-05-31	PRIJEM	\N	111	20887	UROK	\N	\N
3645544	3491	1998-06-30	PRIJEM	\N	106	15833	UROK	\N	\N
3645545	3491	1998-07-31	PRIJEM	\N	97	24928	UROK	\N	\N
3645546	3491	1998-08-31	PRIJEM	\N	114	24741	UROK	\N	\N
3645547	3491	1998-09-30	PRIJEM	\N	101	18741	UROK	\N	\N
3645548	3491	1998-10-31	PRIJEM	\N	95	22034	UROK	\N	\N
3645549	3491	1998-11-30	PRIJEM	\N	106	20738	UROK	\N	\N
3645550	3491	1998-12-31	PRIJEM	\N	115	24094	UROK	\N	\N
3645551	3492	1995-10-31	PRIJEM	\N	58	19793	UROK	\N	\N
3645552	3492	1995-11-30	PRIJEM	\N	124	33653	UROK	\N	\N
3645553	3492	1995-12-31	PRIJEM	\N	179	46535	UROK	\N	\N
3645554	3492	1996-01-31	PRIJEM	\N	185	44055	UROK	\N	\N
3645555	3492	1996-02-29	PRIJEM	\N	170	38955	UROK	\N	\N
3645556	3492	1996-03-31	PRIJEM	\N	151	33679	UROK	\N	\N
3645557	3492	1996-04-30	PRIJEM	\N	143	33296	UROK	\N	\N
3645558	3492	1996-05-31	PRIJEM	\N	146	34215	UROK	\N	\N
3645559	3492	1996-06-30	PRIJEM	\N	155	30811	UROK	\N	\N
3645560	3492	1996-07-31	PRIJEM	\N	126	27551	UROK	\N	\N
3645561	3492	1996-08-31	PRIJEM	\N	155	33700	UROK	\N	\N
3645562	3492	1996-09-30	PRIJEM	\N	167	41040	UROK	\N	\N
3645563	3492	1996-10-31	PRIJEM	\N	189	46103	UROK	\N	\N
3645564	3492	1996-11-30	PRIJEM	\N	185	44161	UROK	\N	\N
3645565	3492	1996-12-31	PRIJEM	\N	214	51916	UROK	\N	\N
3645566	3492	1997-01-31	PRIJEM	\N	178	31608	UROK	\N	\N
3645567	3492	1997-02-28	PRIJEM	\N	161	39842	UROK	\N	\N
3645568	3492	1997-03-31	PRIJEM	\N	181	43896	UROK	\N	\N
3645569	3492	1997-04-30	PRIJEM	\N	205	50175	UROK	\N	\N
3645570	3492	1997-05-31	PRIJEM	\N	228	55577	UROK	\N	\N
3645571	3492	1997-06-30	PRIJEM	\N	262	58179	UROK	\N	\N
3645572	3492	1997-07-31	PRIJEM	\N	243	58395	UROK	\N	\N
3645573	3492	1997-08-31	PRIJEM	\N	249	47018	UROK	\N	\N
3645574	3492	1997-09-30	PRIJEM	\N	237	46128	UROK	\N	\N
3645575	3492	1997-10-31	PRIJEM	\N	232	46233	UROK	\N	\N
3645576	3492	1997-11-30	PRIJEM	\N	221	43167	UROK	\N	\N
3645577	3492	1997-12-31	PRIJEM	\N	240	44469	UROK	\N	\N
3645578	3492	1998-01-31	PRIJEM	\N	207	41309	UROK	\N	\N
3645579	3492	1998-02-28	PRIJEM	\N	213	46495	UROK	\N	\N
3645580	3492	1998-03-31	PRIJEM	\N	225	43934	UROK	\N	\N
3645581	3492	1998-04-30	PRIJEM	\N	212	42138	UROK	\N	\N
3645582	3492	1998-05-31	PRIJEM	\N	195	39126	UROK	\N	\N
3645583	3492	1998-06-30	PRIJEM	\N	231	43498	UROK	\N	\N
3645584	3492	1998-07-31	PRIJEM	\N	212	39283	UROK	\N	\N
3645585	3492	1998-08-31	PRIJEM	\N	188	34065	UROK	\N	\N
3645586	3492	1998-09-30	PRIJEM	\N	154	21892	UROK	\N	\N
3645587	3492	1998-10-31	PRIJEM	\N	120	20085	UROK	\N	\N
3645588	3492	1998-11-30	PRIJEM	\N	112	18670	UROK	\N	\N
3645589	3492	1998-12-31	PRIJEM	\N	156	40547	UROK	\N	\N
3645590	3493	1993-12-31	PRIJEM	\N	37	15040	UROK	\N	\N
3645591	3493	1994-01-31	PRIJEM	\N	65	15720	UROK	\N	\N
3645592	3493	1994-02-28	PRIJEM	\N	68	16912	UROK	\N	\N
3645593	3493	1994-03-31	PRIJEM	\N	72	17479	UROK	\N	\N
3645594	3493	1994-04-30	PRIJEM	\N	79	18052	UROK	\N	\N
3645595	3493	1994-05-31	PRIJEM	\N	75	17961	UROK	\N	\N
3645596	3493	1994-06-30	PRIJEM	\N	73	12799	UROK	\N	\N
3645597	3493	1994-07-31	PRIJEM	\N	61	13985	UROK	\N	\N
3645598	3493	1994-08-31	PRIJEM	\N	66	15175	UROK	\N	\N
3645599	3493	1994-09-30	PRIJEM	\N	64	14383	UROK	\N	\N
3645600	3493	1994-10-31	PRIJEM	\N	63	15570	UROK	\N	\N
3645601	3493	1994-11-30	PRIJEM	\N	67	16762	UROK	\N	\N
3645602	3493	1994-12-31	PRIJEM	\N	77	17603	UROK	\N	\N
3645603	3493	1995-01-31	PRIJEM	\N	78	17365	UROK	\N	\N
3645604	3493	1995-02-28	PRIJEM	\N	76	17695	UROK	\N	\N
3645605	3493	1995-03-31	PRIJEM	\N	71	16611	UROK	\N	\N
3645606	3493	1995-04-30	PRIJEM	\N	70	16875	UROK	\N	\N
3645607	3493	1995-05-31	PRIJEM	\N	73	18073	UROK	\N	\N
3645608	3493	1995-06-30	PRIJEM	\N	78	17115	UROK	\N	\N
3645609	3493	1995-07-31	PRIJEM	\N	77	17446	UROK	\N	\N
3645610	3493	1995-08-31	PRIJEM	\N	80	18651	UROK	\N	\N
3645611	3493	1995-09-30	PRIJEM	\N	80	19855	UROK	\N	\N
3645612	3493	1995-10-31	PRIJEM	\N	90	21070	UROK	\N	\N
3645613	3493	1995-11-30	PRIJEM	\N	95	22290	UROK	\N	\N
3645614	3493	1995-12-31	PRIJEM	\N	94	22938	UROK	\N	\N
3645615	3493	1996-01-31	PRIJEM	\N	92	21364	UROK	\N	\N
3645616	3493	1996-02-29	PRIJEM	\N	91	22579	UROK	\N	\N
3645617	3493	1996-03-31	PRIJEM	\N	96	23800	UROK	\N	\N
3645618	3493	1996-04-30	PRIJEM	\N	101	25026	UROK	\N	\N
3645619	3493	1996-05-31	PRIJEM	\N	112	26262	UROK	\N	\N
3645620	3493	1996-06-30	PRIJEM	\N	108	25274	UROK	\N	\N
3645621	3493	1996-07-31	PRIJEM	\N	108	26506	UROK	\N	\N
3645622	3493	1996-08-31	PRIJEM	\N	118	27748	UROK	\N	\N
3645623	3493	1996-09-30	PRIJEM	\N	116	28118	UROK	\N	\N
3645624	3493	1996-10-31	PRIJEM	\N	120	27472	UROK	\N	\N
3645625	3493	1996-11-30	PRIJEM	\N	116	28713	UROK	\N	\N
3645626	3493	1996-12-31	PRIJEM	\N	125	29422	UROK	\N	\N
3645627	3493	1997-01-31	PRIJEM	\N	124	30071	UROK	\N	\N
3645628	3493	1997-02-28	PRIJEM	\N	132	31327	UROK	\N	\N
3645629	3493	1997-03-31	PRIJEM	\N	132	32584	UROK	\N	\N
3645630	3493	1997-04-30	PRIJEM	\N	138	33846	UROK	\N	\N
3645631	3493	1997-05-31	PRIJEM	\N	140	33850	UROK	\N	\N
3645632	3493	1997-06-30	PRIJEM	\N	132	29646	UROK	\N	\N
3645633	3493	1997-07-31	PRIJEM	\N	125	30325	UROK	\N	\N
3645634	3493	1997-08-31	PRIJEM	\N	128	31578	UROK	\N	\N
3645635	3493	1997-09-30	PRIJEM	\N	133	32835	UROK	\N	\N
3645636	3493	1997-10-31	PRIJEM	\N	138	33677	UROK	\N	\N
3645637	3493	1997-11-30	PRIJEM	\N	147	34948	UROK	\N	\N
3645638	3493	1997-12-31	PRIJEM	\N	148	34600	UROK	\N	\N
3645639	3493	1998-01-31	PRIJEM	\N	138	32953	UROK	\N	\N
3645640	3493	1998-02-28	PRIJEM	\N	138	34216	UROK	\N	\N
3645641	3493	1998-03-31	PRIJEM	\N	144	35484	UROK	\N	\N
3645642	3493	1998-04-30	PRIJEM	\N	154	36762	UROK	\N	\N
3645643	3493	1998-05-31	PRIJEM	\N	154	38040	UROK	\N	\N
3645644	3493	1998-06-30	PRIJEM	\N	137	32102	UROK	\N	\N
3645645	3493	1998-07-31	PRIJEM	\N	139	33095	UROK	\N	\N
3645646	3493	1998-08-31	PRIJEM	\N	144	34364	UROK	\N	\N
3645647	3493	1998-09-30	PRIJEM	\N	144	35632	UROK	\N	\N
3645648	3493	1998-10-31	PRIJEM	\N	151	36407	UROK	\N	\N
3645649	3493	1998-11-30	PRIJEM	\N	152	37684	UROK	\N	\N
3645650	3493	1998-12-31	PRIJEM	\N	157	38395	UROK	\N	\N
3645651	3494	1996-11-30	PRIJEM	\N	38	22946	UROK	\N	\N
3645652	3494	1996-12-31	PRIJEM	\N	92	19916	UROK	\N	\N
3645653	3494	1997-01-31	PRIJEM	\N	88	19578	UROK	\N	\N
3645654	3494	1997-02-28	PRIJEM	\N	90	22081	UROK	\N	\N
3645655	3494	1997-03-31	PRIJEM	\N	100	24595	UROK	\N	\N
3645656	3494	1997-04-30	PRIJEM	\N	111	27119	UROK	\N	\N
3645657	3494	1997-05-31	PRIJEM	\N	121	29654	UROK	\N	\N
3645658	3494	1997-06-30	PRIJEM	\N	91	15988	UROK	\N	\N
3645659	3494	1997-07-31	PRIJEM	\N	67	16068	UROK	\N	\N
3645660	3494	1997-08-31	PRIJEM	\N	75	18557	UROK	\N	\N
3645661	3494	1997-09-30	PRIJEM	\N	86	21056	UROK	\N	\N
3645662	3494	1997-10-31	PRIJEM	\N	95	23005	UROK	\N	\N
3645663	3494	1997-11-30	PRIJEM	\N	104	25522	UROK	\N	\N
3645664	3494	1997-12-31	PRIJEM	\N	114	27450	UROK	\N	\N
3645665	3494	1998-01-31	PRIJEM	\N	115	26908	UROK	\N	\N
3645666	3494	1998-02-28	PRIJEM	\N	118	28559	UROK	\N	\N
3645667	3494	1998-03-31	PRIJEM	\N	122	27175	UROK	\N	\N
3645668	3494	1998-04-30	PRIJEM	\N	121	29710	UROK	\N	\N
3645669	3494	1998-05-31	PRIJEM	\N	132	32255	UROK	\N	\N
3645670	3494	1998-06-30	PRIJEM	\N	126	29895	UROK	\N	\N
3645671	3494	1998-07-31	PRIJEM	\N	133	32441	UROK	\N	\N
3645672	3494	1998-08-31	PRIJEM	\N	143	34517	UROK	\N	\N
3645673	3494	1998-09-30	PRIJEM	\N	152	37082	UROK	\N	\N
3645674	3494	1998-10-31	PRIJEM	\N	163	39658	UROK	\N	\N
3645675	3494	1998-11-30	PRIJEM	\N	166	39838	UROK	\N	\N
3645676	3494	1998-12-31	PRIJEM	\N	162	37563	UROK	\N	\N
3645677	3495	1996-09-30	PRIJEM	\N	16	56581	UROK	\N	\N
3645678	3495	1996-10-31	PRIJEM	\N	236	42516	UROK	\N	\N
3645679	3495	1996-11-30	PRIJEM	\N	236	39852	UROK	\N	\N
3645680	3495	1996-12-31	PRIJEM	\N	236	36288	UROK	\N	\N
3645681	3495	1997-01-31	PRIJEM	\N	213	45142	UROK	\N	\N
3645682	3495	1997-02-28	PRIJEM	\N	259	49352	UROK	\N	\N
3645683	3495	1997-03-31	PRIJEM	\N	206	51739	UROK	\N	\N
3645684	3495	1997-04-30	PRIJEM	\N	183	21102	UROK	\N	\N
3645685	3495	1997-05-31	PRIJEM	\N	253	63063	UROK	\N	\N
3645686	3495	1997-06-30	PRIJEM	\N	253	90663	UROK	\N	\N
3645687	3495	1997-07-31	PRIJEM	\N	328	65886	UROK	\N	\N
3645688	3495	1997-08-31	PRIJEM	\N	237	53429	UROK	\N	\N
3645689	3495	1997-09-30	PRIJEM	\N	203	43053	UROK	\N	\N
3645690	3495	1997-10-31	PRIJEM	\N	162	37822	UROK	\N	\N
3645691	3495	1997-11-30	PRIJEM	\N	198	69211	UROK	\N	\N
3645692	3495	1997-12-31	PRIJEM	\N	361	102512	UROK	\N	\N
3645693	3495	1998-01-31	PRIJEM	\N	221	24140	UROK	\N	\N
3645694	3495	1998-02-28	PRIJEM	\N	141	31487	UROK	\N	\N
3645695	3495	1998-03-31	PRIJEM	\N	159	41263	UROK	\N	\N
3645696	3495	1998-04-30	PRIJEM	\N	226	71837	UROK	\N	\N
3645697	3495	1998-05-31	PRIJEM	\N	274	60414	UROK	\N	\N
3645698	3495	1998-06-30	PRIJEM	\N	213	24788	UROK	\N	\N
3645699	3495	1998-07-31	PRIJEM	\N	234	71248	UROK	\N	\N
3645700	3495	1998-08-31	PRIJEM	\N	231	50113	UROK	\N	\N
3645701	3495	1998-09-30	PRIJEM	\N	195	53055	UROK	\N	\N
3645702	3495	1998-10-31	PRIJEM	\N	174	45813	UROK	\N	\N
3645703	3495	1998-11-30	PRIJEM	\N	232	57612	UROK	\N	\N
3645704	3495	1998-12-31	PRIJEM	\N	269	85118	UROK	\N	\N
3645705	3497	1994-08-31	PRIJEM	\N	58	20426	UROK	\N	\N
3645706	3497	1994-09-30	PRIJEM	\N	142	40935	UROK	\N	\N
3645707	3497	1994-10-31	PRIJEM	\N	205	54108	UROK	\N	\N
3645708	3497	1994-11-30	PRIJEM	\N	171	60447	UROK	\N	\N
3645709	3497	1994-12-31	PRIJEM	\N	239	45219	UROK	\N	\N
3645710	3497	1995-01-31	PRIJEM	\N	178	28532	UROK	\N	\N
3645711	3497	1995-02-28	PRIJEM	\N	153	40759	UROK	\N	\N
3645712	3497	1995-03-31	PRIJEM	\N	179	36013	UROK	\N	\N
3645713	3497	1995-04-30	PRIJEM	\N	183	39470	UROK	\N	\N
3645714	3497	1995-05-31	PRIJEM	\N	195	39339	UROK	\N	\N
3645715	3497	1995-06-30	PRIJEM	\N	126	22234	UROK	\N	\N
3645716	3497	1995-07-31	PRIJEM	\N	119	29427	UROK	\N	\N
3645717	3497	1995-08-31	PRIJEM	\N	153	33674	UROK	\N	\N
3645718	3497	1995-09-30	PRIJEM	\N	158	32587	UROK	\N	\N
3645719	3497	1995-10-31	PRIJEM	\N	165	37226	UROK	\N	\N
3645720	3497	1995-11-30	PRIJEM	\N	181	38381	UROK	\N	\N
3645721	3497	1995-12-31	PRIJEM	\N	210	42960	UROK	\N	\N
3645722	3497	1996-01-31	PRIJEM	\N	171	29005	UROK	\N	\N
3645723	3497	1996-02-29	PRIJEM	\N	143	31622	UROK	\N	\N
3645724	3497	1996-03-31	PRIJEM	\N	141	30397	UROK	\N	\N
3645725	3497	1996-04-30	PRIJEM	\N	149	31341	UROK	\N	\N
3645726	3497	1996-05-31	PRIJEM	\N	157	36572	UROK	\N	\N
3645727	3497	1996-06-30	PRIJEM	\N	195	43676	UROK	\N	\N
3645728	3497	1996-07-31	PRIJEM	\N	204	46254	UROK	\N	\N
3645729	3497	1996-08-31	PRIJEM	\N	206	44135	UROK	\N	\N
3645730	3497	1996-09-30	PRIJEM	\N	195	41304	UROK	\N	\N
3645731	3497	1996-10-31	PRIJEM	\N	189	43967	UROK	\N	\N
3645732	3497	1996-11-30	PRIJEM	\N	198	44439	UROK	\N	\N
3645733	3497	1996-12-31	PRIJEM	\N	201	42848	UROK	\N	\N
3645734	3497	1997-01-31	PRIJEM	\N	146	27709	UROK	\N	\N
3645735	3497	1997-02-28	PRIJEM	\N	138	34221	UROK	\N	\N
3645736	3497	1997-03-31	PRIJEM	\N	167	40963	UROK	\N	\N
3645737	3497	1997-04-30	PRIJEM	\N	185	42322	UROK	\N	\N
3645738	3497	1997-05-31	PRIJEM	\N	182	38938	UROK	\N	\N
3645739	3497	1997-06-30	PRIJEM	\N	197	47744	UROK	\N	\N
3645740	3497	1997-07-31	PRIJEM	\N	208	47626	UROK	\N	\N
3645741	3497	1997-08-31	PRIJEM	\N	199	44199	UROK	\N	\N
3645742	3497	1997-09-30	PRIJEM	\N	183	40756	UROK	\N	\N
3645743	3497	1997-10-31	PRIJEM	\N	169	40099	UROK	\N	\N
3645744	3497	1997-11-30	PRIJEM	\N	177	42450	UROK	\N	\N
3645745	3497	1997-12-31	PRIJEM	\N	194	47293	UROK	\N	\N
3645746	3497	1998-01-31	PRIJEM	\N	148	28555	UROK	\N	\N
3645747	3497	1998-02-28	PRIJEM	\N	138	35668	UROK	\N	\N
3645748	3497	1998-03-31	PRIJEM	\N	174	44716	UROK	\N	\N
3645749	3497	1998-04-30	PRIJEM	\N	198	48388	UROK	\N	\N
3645750	3497	1998-05-31	PRIJEM	\N	207	50070	UROK	\N	\N
3645751	3497	1998-06-30	PRIJEM	\N	215	51993	UROK	\N	\N
3645752	3497	1998-07-31	PRIJEM	\N	222	54090	UROK	\N	\N
3645753	3497	1998-08-31	PRIJEM	\N	222	52286	UROK	\N	\N
3645754	3497	1998-09-30	PRIJEM	\N	251	65111	UROK	\N	\N
3645755	3497	1998-10-31	PRIJEM	\N	262	62987	UROK	\N	\N
3645756	3497	1998-11-30	PRIJEM	\N	277	69839	UROK	\N	\N
3645757	3497	1998-12-31	PRIJEM	\N	327	83053	UROK	\N	\N
3645758	3498	1996-11-30	PRIJEM	\N	21	9069	UROK	\N	\N
3645759	3498	1996-12-31	PRIJEM	\N	82	27473	UROK	\N	\N
3645760	3498	1997-01-31	PRIJEM	\N	132	34954	UROK	\N	\N
3645761	3498	1997-02-28	PRIJEM	\N	152	38054	UROK	\N	\N
3645762	3498	1997-03-31	PRIJEM	\N	155	36656	UROK	\N	\N
3645763	3498	1997-04-30	PRIJEM	\N	144	34602	UROK	\N	\N
3645764	3498	1997-05-31	PRIJEM	\N	129	30334	UROK	\N	\N
3645765	3498	1997-06-30	PRIJEM	\N	99	19889	UROK	\N	\N
3645766	3498	1997-07-31	PRIJEM	\N	93	24384	UROK	\N	\N
3645767	3498	1997-08-31	PRIJEM	\N	111	28898	UROK	\N	\N
3645768	3498	1997-09-30	PRIJEM	\N	115	26035	UROK	\N	\N
3645769	3498	1997-10-31	PRIJEM	\N	108	27706	UROK	\N	\N
3645770	3498	1997-11-30	PRIJEM	\N	105	26313	UROK	\N	\N
3645771	3498	1997-12-31	PRIJEM	\N	108	27137	UROK	\N	\N
3645772	3498	1998-01-31	PRIJEM	\N	88	13847	UROK	\N	\N
3645773	3498	1998-02-28	PRIJEM	\N	78	21827	UROK	\N	\N
3645774	3498	1998-03-31	PRIJEM	\N	98	25728	UROK	\N	\N
3645775	3498	1998-04-30	PRIJEM	\N	109	28239	UROK	\N	\N
3645776	3498	1998-05-31	PRIJEM	\N	109	27330	UROK	\N	\N
3645777	3498	1998-06-30	PRIJEM	\N	106	27093	UROK	\N	\N
3645778	3498	1998-07-31	PRIJEM	\N	105	27000	UROK	\N	\N
3645779	3498	1998-08-31	PRIJEM	\N	108	27810	UROK	\N	\N
3645780	3498	1998-09-30	PRIJEM	\N	112	26924	UROK	\N	\N
3645781	3498	1998-10-31	PRIJEM	\N	110	28436	UROK	\N	\N
3645782	3498	1998-11-30	PRIJEM	\N	119	30958	UROK	\N	\N
3645783	3498	1998-12-31	PRIJEM	\N	118	26452	UROK	\N	\N
3645844	3501	1998-01-31	PRIJEM	\N	60	22342	UROK	\N	\N
3645845	3501	1998-02-28	PRIJEM	\N	149	44773	UROK	\N	\N
3645846	3501	1998-03-31	PRIJEM	\N	194	47949	UROK	\N	\N
3645847	3501	1998-04-30	PRIJEM	\N	193	45624	UROK	\N	\N
3645848	3501	1998-05-31	PRIJEM	\N	216	37822	UROK	\N	\N
3645849	3501	1998-06-30	PRIJEM	\N	180	44645	UROK	\N	\N
3645850	3501	1998-07-31	PRIJEM	\N	174	43191	UROK	\N	\N
3645851	3501	1998-08-31	PRIJEM	\N	158	34821	UROK	\N	\N
3645852	3501	1998-09-30	PRIJEM	\N	147	35520	UROK	\N	\N
3645853	3501	1998-10-31	PRIJEM	\N	128	28501	UROK	\N	\N
3645854	3501	1998-11-30	PRIJEM	\N	118	26071	UROK	\N	\N
3645855	3501	1998-12-31	PRIJEM	\N	109	28763	UROK	\N	\N
3645856	3502	1996-03-31	PRIJEM	\N	66	23278	UROK	\N	\N
3645857	3502	1996-04-30	PRIJEM	\N	164	47654	UROK	\N	\N
3645858	3502	1996-05-31	PRIJEM	\N	230	59096	UROK	\N	\N
3645859	3502	1996-06-30	PRIJEM	\N	298	77961	UROK	\N	\N
3645860	3502	1996-07-31	PRIJEM	\N	314	73787	UROK	\N	\N
3645861	3502	1996-08-31	PRIJEM	\N	255	61621	UROK	\N	\N
3645862	3502	1996-09-30	PRIJEM	\N	239	59520	UROK	\N	\N
3645863	3502	1996-10-31	PRIJEM	\N	237	60197	UROK	\N	\N
3645864	3502	1996-11-30	PRIJEM	\N	242	61038	UROK	\N	\N
3645865	3502	1996-12-31	PRIJEM	\N	276	72249	UROK	\N	\N
3645866	3502	1997-01-31	PRIJEM	\N	249	51958	UROK	\N	\N
3645867	3502	1997-02-28	PRIJEM	\N	219	57016	UROK	\N	\N
3645868	3502	1997-03-31	PRIJEM	\N	238	60934	UROK	\N	\N
3645869	3502	1997-04-30	PRIJEM	\N	224	57837	UROK	\N	\N
3645870	3502	1997-05-31	PRIJEM	\N	229	58306	UROK	\N	\N
3645871	3502	1997-06-30	PRIJEM	\N	258	68860	UROK	\N	\N
3645872	3502	1997-07-31	PRIJEM	\N	252	61191	UROK	\N	\N
3645873	3502	1997-08-31	PRIJEM	\N	216	41847	UROK	\N	\N
3645874	3502	1997-09-30	PRIJEM	\N	218	44204	UROK	\N	\N
3645875	3502	1997-10-31	PRIJEM	\N	227	48570	UROK	\N	\N
3645876	3502	1997-11-30	PRIJEM	\N	243	49252	UROK	\N	\N
3645877	3502	1997-12-31	PRIJEM	\N	271	52618	UROK	\N	\N
3645878	3502	1998-01-31	PRIJEM	\N	234	41032	UROK	\N	\N
3645879	3502	1998-02-28	PRIJEM	\N	199	43510	UROK	\N	\N
3645880	3502	1998-03-31	PRIJEM	\N	222	47271	UROK	\N	\N
3645881	3502	1998-04-30	PRIJEM	\N	235	49145	UROK	\N	\N
3645882	3502	1998-05-31	PRIJEM	\N	242	50826	UROK	\N	\N
3645883	3502	1998-06-30	PRIJEM	\N	229	38370	UROK	\N	\N
3645884	3502	1998-07-31	PRIJEM	\N	198	44187	UROK	\N	\N
3645885	3502	1998-08-31	PRIJEM	\N	224	53450	UROK	\N	\N
3645886	3502	1998-09-30	PRIJEM	\N	247	52257	UROK	\N	\N
3645887	3502	1998-10-31	PRIJEM	\N	253	59249	UROK	\N	\N
3645888	3502	1998-11-30	PRIJEM	\N	273	58461	UROK	\N	\N
3645889	3502	1998-12-31	PRIJEM	\N	293	77690	UROK	\N	\N
3645890	3504	1996-09-30	PRIJEM	\N	4	14544	UROK	\N	\N
3645891	3504	1996-10-31	PRIJEM	\N	63	20647	UROK	\N	\N
3645892	3504	1996-11-30	PRIJEM	\N	86	22274	UROK	\N	\N
3645893	3504	1996-12-31	PRIJEM	\N	95	27229	UROK	\N	\N
3645894	3504	1997-01-31	PRIJEM	\N	105	23074	UROK	\N	\N
3645895	3504	1997-02-28	PRIJEM	\N	100	22339	UROK	\N	\N
3645896	3504	1997-03-31	PRIJEM	\N	89	15093	UROK	\N	\N
3645897	3504	1997-04-30	PRIJEM	\N	59	13517	UROK	\N	\N
3645898	3504	1997-05-31	PRIJEM	\N	58	12940	UROK	\N	\N
3645899	3504	1997-06-30	PRIJEM	\N	66	17192	UROK	\N	\N
3645900	3504	1997-07-31	PRIJEM	\N	68	13425	UROK	\N	\N
3645901	3504	1997-08-31	PRIJEM	\N	61	15151	UROK	\N	\N
3645902	3504	1997-09-30	PRIJEM	\N	68	16884	UROK	\N	\N
3645903	3504	1997-10-31	PRIJEM	\N	75	18625	UROK	\N	\N
3645904	3504	1997-11-30	PRIJEM	\N	77	17767	UROK	\N	\N
3645905	3504	1997-12-31	PRIJEM	\N	86	22039	UROK	\N	\N
3645906	3504	1998-01-31	PRIJEM	\N	82	19486	UROK	\N	\N
3645907	3504	1998-02-28	PRIJEM	\N	86	21237	UROK	\N	\N
3645908	3504	1998-03-31	PRIJEM	\N	93	22995	UROK	\N	\N
3645909	3504	1998-04-30	PRIJEM	\N	86	21146	UROK	\N	\N
3645910	3504	1998-05-31	PRIJEM	\N	93	22904	UROK	\N	\N
3645911	3504	1998-06-30	PRIJEM	\N	92	18381	UROK	\N	\N
3645912	3504	1998-07-31	PRIJEM	\N	66	13812	UROK	\N	\N
3645913	3504	1998-08-31	PRIJEM	\N	62	15540	UROK	\N	\N
3645914	3504	1998-09-30	PRIJEM	\N	67	16772	UROK	\N	\N
3645915	3504	1998-10-31	PRIJEM	\N	74	18512	UROK	\N	\N
3645916	3504	1998-11-30	PRIJEM	\N	78	16756	UROK	\N	\N
3645917	3504	1998-12-31	PRIJEM	\N	78	15719	UROK	\N	\N
3645918	3505	1993-10-31	PRIJEM	\N	31	25952	UROK	\N	\N
3645919	3505	1993-11-30	PRIJEM	\N	123	37896	UROK	\N	\N
3645920	3505	1993-12-31	PRIJEM	\N	170	47298	UROK	\N	\N
3645921	3505	1994-01-31	PRIJEM	\N	200	49618	UROK	\N	\N
3645922	3505	1994-02-28	PRIJEM	\N	224	42480	UROK	\N	\N
3645923	3505	1994-03-31	PRIJEM	\N	203	41026	UROK	\N	\N
3645924	3505	1994-04-30	PRIJEM	\N	198	40707	UROK	\N	\N
3645925	3505	1994-05-31	PRIJEM	\N	202	41172	UROK	\N	\N
3645926	3505	1994-06-30	PRIJEM	\N	210	41936	UROK	\N	\N
3645927	3505	1994-07-31	PRIJEM	\N	199	42319	UROK	\N	\N
3645928	3505	1994-08-31	PRIJEM	\N	199	42521	UROK	\N	\N
3645929	3505	1994-09-30	PRIJEM	\N	192	36896	UROK	\N	\N
3645930	3505	1994-10-31	PRIJEM	\N	176	38855	UROK	\N	\N
3645931	3505	1994-11-30	PRIJEM	\N	180	40119	UROK	\N	\N
3645932	3505	1994-12-31	PRIJEM	\N	216	43308	UROK	\N	\N
3645933	3505	1995-01-31	PRIJEM	\N	167	23839	UROK	\N	\N
3645934	3505	1995-02-28	PRIJEM	\N	129	32651	UROK	\N	\N
3645935	3505	1995-03-31	PRIJEM	\N	154	31528	UROK	\N	\N
3645936	3505	1995-04-30	PRIJEM	\N	148	33159	UROK	\N	\N
3645937	3505	1995-05-31	PRIJEM	\N	148	32091	UROK	\N	\N
3645938	3505	1995-06-30	PRIJEM	\N	134	22299	UROK	\N	\N
3645939	3505	1995-07-31	PRIJEM	\N	129	27731	UROK	\N	\N
3645940	3505	1995-08-31	PRIJEM	\N	146	33320	UROK	\N	\N
3645941	3505	1995-09-30	PRIJEM	\N	147	34750	UROK	\N	\N
3645942	3505	1995-10-31	PRIJEM	\N	155	36788	UROK	\N	\N
3645943	3505	1995-11-30	PRIJEM	\N	149	34721	UROK	\N	\N
3645944	3505	1995-12-31	PRIJEM	\N	168	39303	UROK	\N	\N
3645945	3505	1996-01-31	PRIJEM	\N	122	15648	UROK	\N	\N
3645946	3505	1996-02-29	PRIJEM	\N	82	16553	UROK	\N	\N
3645947	3505	1996-03-31	PRIJEM	\N	107	27044	UROK	\N	\N
3645948	3505	1996-04-30	PRIJEM	\N	129	32956	UROK	\N	\N
3645949	3505	1996-05-31	PRIJEM	\N	138	32878	UROK	\N	\N
3645950	3505	1996-06-30	PRIJEM	\N	161	34133	UROK	\N	\N
3645951	3505	1996-07-31	PRIJEM	\N	158	39675	UROK	\N	\N
3645952	3505	1996-08-31	PRIJEM	\N	172	38210	UROK	\N	\N
3645953	3505	1996-09-30	PRIJEM	\N	167	40560	UROK	\N	\N
3645954	3505	1996-10-31	PRIJEM	\N	181	44225	UROK	\N	\N
3645955	3505	1996-11-30	PRIJEM	\N	200	48708	UROK	\N	\N
3645956	3505	1996-12-31	PRIJEM	\N	223	47764	UROK	\N	\N
3645957	3505	1997-01-31	PRIJEM	\N	197	41465	UROK	\N	\N
3645958	3505	1997-02-28	PRIJEM	\N	234	59482	UROK	\N	\N
3645959	3505	1997-03-31	PRIJEM	\N	243	53208	UROK	\N	\N
3645960	3505	1997-04-30	PRIJEM	\N	234	56586	UROK	\N	\N
3645961	3505	1997-05-31	PRIJEM	\N	257	63027	UROK	\N	\N
3645962	3505	1997-06-30	PRIJEM	\N	242	40863	UROK	\N	\N
3645963	3505	1997-07-31	PRIJEM	\N	223	56169	UROK	\N	\N
3645964	3505	1997-08-31	PRIJEM	\N	255	62507	UROK	\N	\N
3645965	3505	1997-09-30	PRIJEM	\N	274	65725	UROK	\N	\N
3645966	3505	1997-10-31	PRIJEM	\N	286	65534	UROK	\N	\N
3645967	3505	1997-11-30	PRIJEM	\N	294	72011	UROK	\N	\N
3645968	3505	1997-12-31	PRIJEM	\N	350	88875	UROK	\N	\N
3645969	3505	1998-01-31	PRIJEM	\N	271	56829	UROK	\N	\N
3645970	3505	1998-02-28	PRIJEM	\N	282	72815	UROK	\N	\N
3645971	3505	1998-03-31	PRIJEM	\N	328	81127	UROK	\N	\N
3645972	3505	1998-04-30	PRIJEM	\N	335	88945	UROK	\N	\N
3645973	3505	1998-05-31	PRIJEM	\N	351	77479	UROK	\N	\N
3645974	3505	1998-06-30	PRIJEM	\N	356	72389	UROK	\N	\N
3645975	3505	1998-07-31	PRIJEM	\N	347	79220	UROK	\N	\N
3645976	3505	1998-08-31	PRIJEM	\N	369	76972	UROK	\N	\N
3645977	3505	1998-09-30	PRIJEM	\N	349	72204	UROK	\N	\N
3645978	3505	1998-10-31	PRIJEM	\N	333	71540	UROK	\N	\N
3645979	3505	1998-11-30	PRIJEM	\N	330	66854	UROK	\N	\N
3645980	3505	1998-12-31	PRIJEM	\N	345	91313	UROK	\N	\N
3645981	3506	1997-05-31	PRIJEM	\N	32	12002	UROK	\N	\N
3645982	3506	1997-06-30	PRIJEM	\N	108	34015	UROK	\N	\N
3645983	3506	1997-07-31	PRIJEM	\N	165	42750	UROK	\N	\N
3645984	3506	1997-08-31	PRIJEM	\N	189	47109	UROK	\N	\N
3645985	3506	1997-09-30	PRIJEM	\N	198	47976	UROK	\N	\N
3645986	3506	1997-10-31	PRIJEM	\N	175	41261	UROK	\N	\N
3645987	3506	1997-11-30	PRIJEM	\N	160	37730	UROK	\N	\N
3645988	3506	1997-12-31	PRIJEM	\N	154	35928	UROK	\N	\N
3645989	3506	1998-01-31	PRIJEM	\N	124	26862	UROK	\N	\N
3645990	3506	1998-02-28	PRIJEM	\N	127	33498	UROK	\N	\N
3645991	3506	1998-03-31	PRIJEM	\N	135	33242	UROK	\N	\N
3645992	3506	1998-04-30	PRIJEM	\N	144	36496	UROK	\N	\N
3645993	3506	1998-05-31	PRIJEM	\N	158	39663	UROK	\N	\N
3645994	3506	1998-06-30	PRIJEM	\N	181	47088	UROK	\N	\N
3645995	3506	1998-07-31	PRIJEM	\N	193	47390	UROK	\N	\N
3645996	3506	1998-08-31	PRIJEM	\N	188	46787	UROK	\N	\N
3645997	3506	1998-09-30	PRIJEM	\N	204	50800	UROK	\N	\N
3645998	3506	1998-10-31	PRIJEM	\N	204	46914	UROK	\N	\N
3645999	3506	1998-11-30	PRIJEM	\N	203	45926	UROK	\N	\N
3646000	3506	1998-12-31	PRIJEM	\N	213	54383	UROK	\N	\N
3646001	3507	1996-12-31	PRIJEM	\N	321	120503	UROK	\N	\N
3646002	3507	1997-01-31	PRIJEM	\N	318	49979	UROK	\N	\N
3646003	3507	1997-02-28	PRIJEM	\N	222	57309	UROK	\N	\N
3646004	3507	1997-03-31	PRIJEM	\N	249	59715	UROK	\N	\N
3646005	3507	1997-04-30	PRIJEM	\N	312	88373	UROK	\N	\N
3646006	3507	1997-05-31	PRIJEM	\N	282	63540	UROK	\N	\N
3646007	3507	1997-06-30	PRIJEM	\N	303	67466	UROK	\N	\N
3646008	3507	1997-07-31	PRIJEM	\N	265	47059	UROK	\N	\N
3646009	3507	1997-08-31	PRIJEM	\N	311	68381	UROK	\N	\N
3646010	3507	1997-09-30	PRIJEM	\N	235	44822	UROK	\N	\N
3646011	3507	1997-10-31	PRIJEM	\N	174	29033	UROK	\N	\N
3646012	3507	1997-11-30	PRIJEM	\N	183	59932	UROK	\N	\N
3646013	3507	1997-12-31	PRIJEM	\N	288	56313	UROK	\N	\N
3646014	3507	1998-01-31	PRIJEM	\N	321	44059	UROK	\N	\N
3646015	3507	1998-02-28	PRIJEM	\N	292	81564	UROK	\N	\N
3646016	3507	1998-03-31	PRIJEM	\N	291	52252	UROK	\N	\N
3646017	3507	1998-04-30	PRIJEM	\N	206	65067	UROK	\N	\N
3646018	3507	1998-05-31	PRIJEM	\N	273	74976	UROK	\N	\N
3646019	3507	1998-06-30	PRIJEM	\N	295	64100	UROK	\N	\N
3646020	3507	1998-07-31	PRIJEM	\N	258	57055	UROK	\N	\N
3646021	3507	1998-08-31	PRIJEM	\N	281	66811	UROK	\N	\N
3646022	3507	1998-09-30	PRIJEM	\N	330	67507	UROK	\N	\N
3646023	3507	1998-10-31	PRIJEM	\N	361	80382	UROK	\N	\N
3646024	3507	1998-11-30	PRIJEM	\N	296	70651	UROK	\N	\N
3646025	3507	1998-12-31	PRIJEM	\N	273	58952	UROK	\N	\N
3646026	3509	1994-02-28	PRIJEM	\N	93	25026	UROK	\N	\N
3646027	3509	1994-03-31	PRIJEM	\N	111	27907	UROK	\N	\N
3646028	3509	1994-04-30	PRIJEM	\N	121	27778	UROK	\N	\N
3646029	3509	1994-05-31	PRIJEM	\N	120	28269	UROK	\N	\N
3646030	3509	1994-06-30	PRIJEM	\N	112	15992	UROK	\N	\N
3646031	3509	1994-07-31	PRIJEM	\N	72	15554	UROK	\N	\N
3646032	3509	1994-08-31	PRIJEM	\N	72	18396	UROK	\N	\N
3646033	3509	1994-09-30	PRIJEM	\N	76	17403	UROK	\N	\N
3646034	3509	1994-10-31	PRIJEM	\N	80	20252	UROK	\N	\N
3646035	3509	1994-11-30	PRIJEM	\N	91	22814	UROK	\N	\N
3646036	3509	1994-12-31	PRIJEM	\N	105	25240	UROK	\N	\N
3646037	3509	1995-01-31	PRIJEM	\N	104	21994	UROK	\N	\N
3646038	3509	1995-02-28	PRIJEM	\N	95	22059	UROK	\N	\N
3646039	3509	1995-03-31	PRIJEM	\N	99	24928	UROK	\N	\N
3646040	3509	1995-04-30	PRIJEM	\N	111	27809	UROK	\N	\N
3646041	3509	1995-05-31	PRIJEM	\N	121	28001	UROK	\N	\N
3646042	3509	1995-06-30	PRIJEM	\N	122	29293	UROK	\N	\N
3646043	3509	1995-07-31	PRIJEM	\N	127	29090	UROK	\N	\N
3646044	3509	1995-08-31	PRIJEM	\N	126	28867	UROK	\N	\N
3646045	3509	1995-09-30	PRIJEM	\N	127	31124	UROK	\N	\N
3646046	3509	1995-10-31	PRIJEM	\N	134	31328	UROK	\N	\N
3646047	3509	1995-11-30	PRIJEM	\N	131	29750	UROK	\N	\N
3646048	3509	1995-12-31	PRIJEM	\N	126	29296	UROK	\N	\N
3646049	3509	1996-01-31	PRIJEM	\N	118	26134	UROK	\N	\N
3646050	3509	1996-02-29	PRIJEM	\N	114	28299	UROK	\N	\N
3646051	3509	1996-03-31	PRIJEM	\N	125	31194	UROK	\N	\N
3646052	3509	1996-04-30	PRIJEM	\N	133	30237	UROK	\N	\N
3646053	3509	1996-05-31	PRIJEM	\N	132	33140	UROK	\N	\N
3646054	3509	1996-06-30	PRIJEM	\N	127	24888	UROK	\N	\N
3646055	3509	1996-07-31	PRIJEM	\N	107	24165	UROK	\N	\N
3646056	3509	1996-08-31	PRIJEM	\N	107	27042	UROK	\N	\N
3646057	3509	1996-09-30	PRIJEM	\N	119	29931	UROK	\N	\N
3646058	3509	1996-10-31	PRIJEM	\N	131	32833	UROK	\N	\N
3646059	3509	1996-11-30	PRIJEM	\N	142	35245	UROK	\N	\N
3646060	3509	1996-12-31	PRIJEM	\N	146	34772	UROK	\N	\N
3646061	3509	1997-01-31	PRIJEM	\N	150	33041	UROK	\N	\N
3646062	3509	1997-02-28	PRIJEM	\N	143	35955	UROK	\N	\N
3646063	3509	1997-03-31	PRIJEM	\N	151	36477	UROK	\N	\N
3646064	3509	1997-04-30	PRIJEM	\N	154	37601	UROK	\N	\N
3646065	3509	1997-05-31	PRIJEM	\N	154	36945	UROK	\N	\N
3646066	3509	1997-06-30	PRIJEM	\N	158	38223	UROK	\N	\N
3646067	3509	1997-07-31	PRIJEM	\N	165	41159	UROK	\N	\N
3646068	3509	1997-08-31	PRIJEM	\N	166	39114	UROK	\N	\N
3646069	3509	1997-09-30	PRIJEM	\N	159	38084	UROK	\N	\N
3646070	3509	1997-10-31	PRIJEM	\N	160	39214	UROK	\N	\N
3646071	3509	1997-11-30	PRIJEM	\N	169	42153	UROK	\N	\N
3646072	3509	1997-12-31	PRIJEM	\N	178	43551	UROK	\N	\N
3646073	3509	1998-01-31	PRIJEM	\N	177	41629	UROK	\N	\N
3646074	3509	1998-02-28	PRIJEM	\N	178	44577	UROK	\N	\N
3646075	3509	1998-03-31	PRIJEM	\N	191	47538	UROK	\N	\N
3646076	3509	1998-04-30	PRIJEM	\N	189	45098	UROK	\N	\N
3646077	3509	1998-05-31	PRIJEM	\N	192	47180	UROK	\N	\N
3646078	3509	1998-06-30	PRIJEM	\N	191	34851	UROK	\N	\N
3646079	3509	1998-07-31	PRIJEM	\N	145	35206	UROK	\N	\N
3646080	3509	1998-08-31	PRIJEM	\N	151	38127	UROK	\N	\N
3646081	3509	1998-09-30	PRIJEM	\N	163	41060	UROK	\N	\N
3646082	3509	1998-10-31	PRIJEM	\N	175	44006	UROK	\N	\N
3646083	3509	1998-11-30	PRIJEM	\N	191	46248	UROK	\N	\N
3646084	3509	1998-12-31	PRIJEM	\N	198	48316	UROK	\N	\N
3646085	3511	1996-12-31	PRIJEM	\N	4	28429	UROK	\N	\N
3646086	3511	1997-01-31	PRIJEM	\N	91	19598	UROK	\N	\N
3646087	3511	1997-02-28	PRIJEM	\N	88	22043	UROK	\N	\N
3646088	3511	1997-03-31	PRIJEM	\N	89	21769	UROK	\N	\N
3646089	3511	1997-04-30	PRIJEM	\N	100	25026	UROK	\N	\N
3646090	3511	1997-05-31	PRIJEM	\N	106	25570	UROK	\N	\N
3646091	3511	1997-06-30	PRIJEM	\N	99	16576	UROK	\N	\N
3646092	3511	1997-07-31	PRIJEM	\N	79	19813	UROK	\N	\N
3646093	3511	1997-08-31	PRIJEM	\N	78	19368	UROK	\N	\N
3646094	3511	1997-09-30	PRIJEM	\N	90	22135	UROK	\N	\N
3646095	3511	1997-10-31	PRIJEM	\N	99	23891	UROK	\N	\N
3646096	3511	1997-11-30	PRIJEM	\N	102	23250	UROK	\N	\N
3646097	3511	1997-12-31	PRIJEM	\N	103	24661	UROK	\N	\N
3646098	3511	1998-01-31	PRIJEM	\N	88	16706	UROK	\N	\N
3646099	3511	1998-02-28	PRIJEM	\N	78	19541	UROK	\N	\N
3646100	3511	1998-03-31	PRIJEM	\N	85	19744	UROK	\N	\N
3646101	3511	1998-04-30	PRIJEM	\N	92	22993	UROK	\N	\N
3646102	3511	1998-05-31	PRIJEM	\N	102	23872	UROK	\N	\N
3646103	3511	1998-06-30	PRIJEM	\N	93	15322	UROK	\N	\N
3646104	3511	1998-07-31	PRIJEM	\N	73	18553	UROK	\N	\N
3646105	3511	1998-08-31	PRIJEM	\N	87	21797	UROK	\N	\N
3646106	3511	1998-09-30	PRIJEM	\N	100	25054	UROK	\N	\N
3646107	3511	1998-10-31	PRIJEM	\N	100	21912	UROK	\N	\N
3646108	3511	1998-11-30	PRIJEM	\N	98	23647	UROK	\N	\N
3646109	3511	1998-12-31	PRIJEM	\N	107	26662	UROK	\N	\N
3646110	3512	1998-01-31	PRIJEM	\N	2	18102	UROK	\N	\N
3646111	3512	1998-03-31	PRIJEM	\N	70	17772	UROK	\N	\N
3646112	3512	1998-04-30	PRIJEM	\N	70	16942	UROK	\N	\N
3646113	3512	1998-05-31	PRIJEM	\N	70	17612	UROK	\N	\N
3646114	3512	1998-06-30	PRIJEM	\N	68	16280	UROK	\N	\N
3646115	3512	1998-07-31	PRIJEM	\N	68	15947	UROK	\N	\N
3646116	3512	1998-08-31	PRIJEM	\N	68	15415	UROK	\N	\N
3646117	3512	1998-09-30	PRIJEM	\N	68	18282	UROK	\N	\N
3646118	3512	1998-10-31	PRIJEM	\N	68	17750	UROK	\N	\N
3646119	3513	1993-03-31	PRIJEM	\N	47	19625	UROK	\N	\N
3646120	3513	1993-04-30	PRIJEM	\N	130	40233	UROK	\N	\N
3646121	3513	1993-05-31	PRIJEM	\N	188	49100	UROK	\N	\N
3646122	3513	1993-06-30	PRIJEM	\N	243	65860	UROK	\N	\N
3646123	3513	1993-07-31	PRIJEM	\N	269	63887	UROK	\N	\N
3646124	3513	1993-08-31	PRIJEM	\N	205	42264	UROK	\N	\N
3646125	3513	1993-09-30	PRIJEM	\N	199	37934	UROK	\N	\N
3646126	3513	1993-10-31	PRIJEM	\N	180	35485	UROK	\N	\N
3646127	3513	1993-11-30	PRIJEM	\N	171	37928	UROK	\N	\N
3646128	3513	1993-12-31	PRIJEM	\N	194	43472	UROK	\N	\N
3646129	3513	1994-01-31	PRIJEM	\N	188	29711	UROK	\N	\N
3646130	3513	1994-02-28	PRIJEM	\N	146	35129	UROK	\N	\N
3646131	3513	1994-03-31	PRIJEM	\N	169	37569	UROK	\N	\N
3646132	3513	1994-04-30	PRIJEM	\N	179	41119	UROK	\N	\N
3646133	3513	1994-05-31	PRIJEM	\N	190	40581	UROK	\N	\N
3646134	3513	1994-06-30	PRIJEM	\N	190	35142	UROK	\N	\N
3646135	3513	1994-07-31	PRIJEM	\N	166	37379	UROK	\N	\N
3646136	3513	1994-08-31	PRIJEM	\N	174	39524	UROK	\N	\N
3646137	3513	1994-09-30	PRIJEM	\N	177	41532	UROK	\N	\N
3646138	3513	1994-10-31	PRIJEM	\N	177	38281	UROK	\N	\N
3646139	3513	1994-11-30	PRIJEM	\N	176	41929	UROK	\N	\N
3646140	3513	1994-12-31	PRIJEM	\N	199	44618	UROK	\N	\N
3646141	3513	1995-01-31	PRIJEM	\N	173	36643	UROK	\N	\N
3646142	3513	1995-02-28	PRIJEM	\N	169	42283	UROK	\N	\N
3646143	3513	1995-03-31	PRIJEM	\N	187	41041	UROK	\N	\N
3646144	3513	1995-04-30	PRIJEM	\N	179	35752	UROK	\N	\N
3646145	3513	1995-05-31	PRIJEM	\N	168	42091	UROK	\N	\N
3646146	3513	1995-06-30	PRIJEM	\N	189	43530	UROK	\N	\N
3646147	3513	1995-07-31	PRIJEM	\N	188	43169	UROK	\N	\N
3646148	3513	1995-08-31	PRIJEM	\N	190	45130	UROK	\N	\N
3646149	3513	1995-09-30	PRIJEM	\N	201	49802	UROK	\N	\N
3646150	3513	1995-10-31	PRIJEM	\N	210	50244	UROK	\N	\N
3646151	3513	1995-11-30	PRIJEM	\N	206	49481	UROK	\N	\N
3646152	3513	1995-12-31	PRIJEM	\N	220	55012	UROK	\N	\N
3646153	3513	1996-01-31	PRIJEM	\N	205	48869	UROK	\N	\N
3646154	3513	1996-02-29	PRIJEM	\N	209	51749	UROK	\N	\N
3646155	3513	1996-03-31	PRIJEM	\N	228	58109	UROK	\N	\N
3646156	3513	1996-04-30	PRIJEM	\N	237	56077	UROK	\N	\N
3646157	3513	1996-05-31	PRIJEM	\N	239	59187	UROK	\N	\N
3646158	3513	1996-06-30	PRIJEM	\N	223	42021	UROK	\N	\N
3646159	3513	1996-07-31	PRIJEM	\N	198	53390	UROK	\N	\N
3646160	3513	1996-08-31	PRIJEM	\N	233	51974	UROK	\N	\N
3646161	3513	1996-09-30	PRIJEM	\N	251	68296	UROK	\N	\N
3646162	3513	1996-10-31	PRIJEM	\N	295	75163	UROK	\N	\N
3646163	3513	1996-11-30	PRIJEM	\N	312	77946	UROK	\N	\N
3646164	3513	1996-12-31	PRIJEM	\N	331	80467	UROK	\N	\N
3646165	3513	1997-01-31	PRIJEM	\N	300	71738	UROK	\N	\N
3646166	3513	1997-02-28	PRIJEM	\N	283	70091	UROK	\N	\N
3646167	3513	1997-03-31	PRIJEM	\N	274	63537	UROK	\N	\N
3646168	3513	1997-04-30	PRIJEM	\N	260	65968	UROK	\N	\N
3646169	3513	1997-05-31	PRIJEM	\N	267	67106	UROK	\N	\N
3646170	3513	1997-06-30	PRIJEM	\N	275	53232	UROK	\N	\N
3646171	3513	1997-07-31	PRIJEM	\N	225	58528	UROK	\N	\N
3646172	3513	1997-08-31	PRIJEM	\N	249	64648	UROK	\N	\N
3646173	3513	1997-09-30	PRIJEM	\N	249	60709	UROK	\N	\N
3646174	3513	1997-10-31	PRIJEM	\N	235	60655	UROK	\N	\N
3646175	3513	1997-11-30	PRIJEM	\N	235	58962	UROK	\N	\N
3646176	3513	1997-12-31	PRIJEM	\N	256	65408	UROK	\N	\N
3646177	3513	1998-01-31	PRIJEM	\N	218	54397	UROK	\N	\N
3646178	3513	1998-02-28	PRIJEM	\N	219	56587	UROK	\N	\N
3646179	3513	1998-03-31	PRIJEM	\N	224	52202	UROK	\N	\N
3646180	3513	1998-04-30	PRIJEM	\N	219	57693	UROK	\N	\N
3646181	3513	1998-05-31	PRIJEM	\N	242	63206	UROK	\N	\N
3646182	3513	1998-06-30	PRIJEM	\N	240	66696	UROK	\N	\N
3646183	3513	1998-07-31	PRIJEM	\N	265	65593	UROK	\N	\N
3646184	3513	1998-08-31	PRIJEM	\N	265	67930	UROK	\N	\N
3646185	3513	1998-09-30	PRIJEM	\N	271	68872	UROK	\N	\N
3646186	3513	1998-10-31	PRIJEM	\N	264	64827	UROK	\N	\N
3646187	3513	1998-11-30	PRIJEM	\N	262	67561	UROK	\N	\N
3646188	3513	1998-12-31	PRIJEM	\N	300	79231	UROK	\N	\N
3646189	3514	1993-02-28	PRIJEM	\N	13	4012	UROK	\N	\N
3646190	3514	1993-03-31	PRIJEM	\N	17	7428	UROK	\N	\N
3646191	3514	1993-04-30	PRIJEM	\N	17	10843	UROK	\N	\N
3646192	3514	1993-05-31	PRIJEM	\N	17	14259	UROK	\N	\N
3646193	3514	1993-06-30	PRIJEM	\N	53	15445	UROK	\N	\N
3646194	3514	1993-07-31	PRIJEM	\N	68	16632	UROK	\N	\N
3646195	3514	1993-08-31	PRIJEM	\N	73	17373	UROK	\N	\N
3646196	3514	1993-09-30	PRIJEM	\N	73	17454	UROK	\N	\N
3646197	3514	1993-10-31	PRIJEM	\N	72	17114	UROK	\N	\N
3646198	3514	1993-11-30	PRIJEM	\N	75	18308	UROK	\N	\N
3646199	3514	1993-12-31	PRIJEM	\N	76	18332	UROK	\N	\N
3646200	3514	1994-01-31	PRIJEM	\N	69	14359	UROK	\N	\N
3646201	3514	1994-02-28	PRIJEM	\N	63	15541	UROK	\N	\N
3646202	3514	1994-03-31	PRIJEM	\N	65	15464	UROK	\N	\N
3646203	3514	1994-04-30	PRIJEM	\N	60	14212	UROK	\N	\N
3646204	3514	1994-05-31	PRIJEM	\N	63	15393	UROK	\N	\N
3646205	3514	1994-06-30	PRIJEM	\N	65	13546	UROK	\N	\N
3646206	3514	1994-07-31	PRIJEM	\N	59	13644	UROK	\N	\N
3646207	3514	1994-08-31	PRIJEM	\N	60	14823	UROK	\N	\N
3646208	3514	1994-09-30	PRIJEM	\N	65	16006	UROK	\N	\N
3646209	3514	1994-10-31	PRIJEM	\N	70	17195	UROK	\N	\N
3646210	3514	1994-11-30	PRIJEM	\N	75	18388	UROK	\N	\N
3646211	3514	1994-12-31	PRIJEM	\N	78	18715	UROK	\N	\N
3646212	3514	1995-01-31	PRIJEM	\N	71	15914	UROK	\N	\N
3646213	3514	1995-02-28	PRIJEM	\N	66	15627	UROK	\N	\N
3646214	3514	1995-03-31	PRIJEM	\N	68	16064	UROK	\N	\N
3646215	3514	1995-04-30	PRIJEM	\N	70	17252	UROK	\N	\N
3646216	3514	1995-05-31	PRIJEM	\N	75	18446	UROK	\N	\N
3646217	3514	1995-06-30	PRIJEM	\N	68	15912	UROK	\N	\N
3646218	3514	1995-07-31	PRIJEM	\N	70	17100	UROK	\N	\N
3646219	3514	1995-08-31	PRIJEM	\N	75	18293	UROK	\N	\N
3646220	3514	1995-09-30	PRIJEM	\N	79	19491	UROK	\N	\N
3646221	3514	1995-10-31	PRIJEM	\N	84	20153	UROK	\N	\N
3646222	3514	1995-11-30	PRIJEM	\N	84	20275	UROK	\N	\N
3646223	3514	1995-12-31	PRIJEM	\N	87	21180	UROK	\N	\N
3646224	3514	1996-01-31	PRIJEM	\N	74	15682	UROK	\N	\N
3646225	3514	1996-02-29	PRIJEM	\N	68	15879	UROK	\N	\N
3646226	3514	1996-03-31	PRIJEM	\N	69	17066	UROK	\N	\N
3646227	3514	1996-04-30	PRIJEM	\N	71	16935	UROK	\N	\N
3646228	3514	1996-05-31	PRIJEM	\N	73	18127	UROK	\N	\N
3646229	3514	1996-06-30	PRIJEM	\N	77	18362	UROK	\N	\N
3646230	3514	1996-07-31	PRIJEM	\N	79	19560	UROK	\N	\N
3646231	3514	1996-08-31	PRIJEM	\N	84	20763	UROK	\N	\N
3646232	3514	1996-09-30	PRIJEM	\N	89	21970	UROK	\N	\N
3646233	3514	1996-10-31	PRIJEM	\N	94	23183	UROK	\N	\N
3646234	3514	1996-11-30	PRIJEM	\N	99	24401	UROK	\N	\N
3646235	3514	1996-12-31	PRIJEM	\N	103	24752	UROK	\N	\N
3646236	3514	1997-01-31	PRIJEM	\N	96	22036	UROK	\N	\N
3646237	3514	1997-02-28	PRIJEM	\N	94	23249	UROK	\N	\N
3646238	3514	1997-03-31	PRIJEM	\N	97	23564	UROK	\N	\N
3646239	3514	1997-04-30	PRIJEM	\N	101	24783	UROK	\N	\N
3646240	3514	1997-05-31	PRIJEM	\N	106	26007	UROK	\N	\N
3646241	3514	1997-06-30	PRIJEM	\N	106	23571	UROK	\N	\N
3646242	3514	1997-07-31	PRIJEM	\N	100	23799	UROK	\N	\N
3646243	3514	1997-08-31	PRIJEM	\N	101	25018	UROK	\N	\N
3646244	3514	1997-09-30	PRIJEM	\N	106	26243	UROK	\N	\N
3646245	3514	1997-10-31	PRIJEM	\N	109	26511	UROK	\N	\N
3646246	3514	1997-11-30	PRIJEM	\N	111	26990	UROK	\N	\N
3646247	3514	1997-12-31	PRIJEM	\N	113	27711	UROK	\N	\N
3646248	3514	1998-01-31	PRIJEM	\N	107	24017	UROK	\N	\N
3646249	3514	1998-02-28	PRIJEM	\N	100	24726	UROK	\N	\N
3646250	3514	1998-03-31	PRIJEM	\N	105	25949	UROK	\N	\N
3646251	3514	1998-04-30	PRIJEM	\N	110	27177	UROK	\N	\N
3646252	3514	1998-05-31	PRIJEM	\N	115	28410	UROK	\N	\N
3646253	3514	1998-06-30	PRIJEM	\N	117	20826	UROK	\N	\N
3646254	3514	1998-07-31	PRIJEM	\N	88	22032	UROK	\N	\N
3646255	3514	1998-08-31	PRIJEM	\N	88	22069	UROK	\N	\N
3646256	3514	1998-09-30	PRIJEM	\N	91	22347	UROK	\N	\N
3646257	3514	1998-10-31	PRIJEM	\N	93	22958	UROK	\N	\N
3646258	3514	1998-11-30	PRIJEM	\N	97	24174	UROK	\N	\N
3646259	3514	1998-12-31	PRIJEM	\N	100	24672	UROK	\N	\N
3646260	3515	1996-11-30	PRIJEM	\N	52	18454	UROK	\N	\N
3646261	3515	1996-12-31	PRIJEM	\N	81	19980	UROK	\N	\N
3646262	3515	1997-01-31	PRIJEM	\N	88	19864	UROK	\N	\N
3646263	3515	1997-02-28	PRIJEM	\N	87	20246	UROK	\N	\N
3646264	3515	1997-03-31	PRIJEM	\N	80	18522	UROK	\N	\N
3646265	3515	1997-04-30	PRIJEM	\N	65	13802	UROK	\N	\N
3646266	3515	1997-05-31	PRIJEM	\N	63	15660	UROK	\N	\N
3646267	3515	1997-06-30	PRIJEM	\N	70	13425	UROK	\N	\N
3646268	3515	1997-07-31	PRIJEM	\N	55	13075	UROK	\N	\N
3646269	3515	1997-08-31	PRIJEM	\N	45	9415	UROK	\N	\N
3646270	3515	1997-09-30	PRIJEM	\N	44	11255	UROK	\N	\N
3646271	3515	1997-10-31	PRIJEM	\N	52	13102	UROK	\N	\N
3646272	3515	1997-11-30	PRIJEM	\N	59	14957	UROK	\N	\N
3646273	3515	1997-12-31	PRIJEM	\N	65	15917	UROK	\N	\N
3646274	3515	1998-01-31	PRIJEM	\N	61	14224	UROK	\N	\N
3646275	3515	1998-02-28	PRIJEM	\N	64	16083	UROK	\N	\N
3646276	3515	1998-03-31	PRIJEM	\N	65	15544	UROK	\N	\N
3646277	3515	1998-04-30	PRIJEM	\N	68	16767	UROK	\N	\N
3646278	3515	1998-05-31	PRIJEM	\N	75	18638	UROK	\N	\N
3646279	3515	1998-06-30	PRIJEM	\N	82	20515	UROK	\N	\N
3646280	3515	1998-07-31	PRIJEM	\N	90	22401	UROK	\N	\N
3646281	3515	1998-08-31	PRIJEM	\N	98	24294	UROK	\N	\N
3646282	3515	1998-09-30	PRIJEM	\N	106	26196	UROK	\N	\N
3646283	3515	1998-10-31	PRIJEM	\N	75	14727	UROK	\N	\N
3646284	3515	1998-11-30	PRIJEM	\N	62	13704	UROK	\N	\N
3646285	3515	1998-12-31	PRIJEM	\N	62	15561	UROK	\N	\N
3646286	3518	1996-08-31	PRIJEM	\N	36	24189	UROK	\N	\N
3646287	3518	1996-09-30	PRIJEM	\N	116	34157	UROK	\N	\N
3646288	3518	1996-10-31	PRIJEM	\N	152	40663	UROK	\N	\N
3646289	3518	1996-11-30	PRIJEM	\N	174	43990	UROK	\N	\N
3646290	3518	1996-12-31	PRIJEM	\N	188	45207	UROK	\N	\N
3646291	3518	1997-01-31	PRIJEM	\N	169	23877	UROK	\N	\N
3646292	3518	1997-02-28	PRIJEM	\N	120	30497	UROK	\N	\N
3646293	3518	1997-03-31	PRIJEM	\N	141	29918	UROK	\N	\N
3646294	3518	1997-04-30	PRIJEM	\N	145	35463	UROK	\N	\N
3646295	3518	1997-05-31	PRIJEM	\N	162	33426	UROK	\N	\N
3646296	3518	1997-06-30	PRIJEM	\N	172	43774	UROK	\N	\N
3646297	3518	1997-07-31	PRIJEM	\N	163	31437	UROK	\N	\N
3646298	3518	1997-08-31	PRIJEM	\N	132	29770	UROK	\N	\N
3646299	3518	1997-09-30	PRIJEM	\N	125	29396	UROK	\N	\N
3646300	3518	1997-10-31	PRIJEM	\N	118	26414	UROK	\N	\N
3646301	3518	1997-11-30	PRIJEM	\N	107	25121	UROK	\N	\N
3646302	3518	1997-12-31	PRIJEM	\N	169	26607	UROK	\N	\N
3646303	3518	1998-01-31	PRIJEM	\N	105	26013	UROK	\N	\N
3646304	3518	1998-02-28	PRIJEM	\N	120	32733	UROK	\N	\N
3646305	3518	1998-03-31	PRIJEM	\N	124	27678	UROK	\N	\N
3646306	3518	1998-04-30	PRIJEM	\N	149	40807	UROK	\N	\N
3646307	3518	1998-05-31	PRIJEM	\N	168	41375	UROK	\N	\N
3646308	3518	1998-06-30	PRIJEM	\N	167	43099	UROK	\N	\N
3646309	3518	1998-07-31	PRIJEM	\N	170	40769	UROK	\N	\N
3646310	3518	1998-08-31	PRIJEM	\N	163	39832	UROK	\N	\N
3646311	3518	1998-09-30	PRIJEM	\N	164	40697	UROK	\N	\N
3646312	3518	1998-10-31	PRIJEM	\N	153	35050	UROK	\N	\N
3646313	3518	1998-11-30	PRIJEM	\N	144	36094	UROK	\N	\N
3646314	3518	1998-12-31	PRIJEM	\N	169	46420	UROK	\N	\N
3646315	3521	1993-07-31	PRIJEM	\N	32	47399	UROK	\N	\N
3646316	3521	1993-08-31	PRIJEM	\N	215	59645	UROK	\N	\N
3646317	3521	1993-09-30	PRIJEM	\N	264	59711	UROK	\N	\N
3646318	3521	1993-10-31	PRIJEM	\N	356	48669	UROK	\N	\N
3646319	3521	1993-11-30	PRIJEM	\N	188	31132	UROK	\N	\N
3646320	3521	1993-12-31	PRIJEM	\N	241	47894	UROK	\N	\N
3646321	3521	1994-01-31	PRIJEM	\N	157	23019	UROK	\N	\N
3646322	3521	1994-02-28	PRIJEM	\N	158	61936	UROK	\N	\N
3646323	3521	1994-03-31	PRIJEM	\N	255	41276	UROK	\N	\N
3646324	3521	1994-04-30	PRIJEM	\N	210	63303	UROK	\N	\N
3646325	3521	1994-05-31	PRIJEM	\N	319	57771	UROK	\N	\N
3646326	3521	1994-06-30	PRIJEM	\N	210	51678	UROK	\N	\N
3646327	3521	1994-07-31	PRIJEM	\N	221	38947	UROK	\N	\N
3646328	3521	1994-08-31	PRIJEM	\N	314	59541	UROK	\N	\N
3646329	3521	1994-09-30	PRIJEM	\N	267	65501	UROK	\N	\N
3646330	3521	1994-10-31	PRIJEM	\N	276	50003	UROK	\N	\N
3646331	3521	1994-11-30	PRIJEM	\N	235	61285	UROK	\N	\N
3646332	3521	1994-12-31	PRIJEM	\N	288	51088	UROK	\N	\N
3646333	3521	1995-01-31	PRIJEM	\N	150	46269	UROK	\N	\N
3646334	3521	1995-02-28	PRIJEM	\N	212	62472	UROK	\N	\N
3646335	3521	1995-03-31	PRIJEM	\N	250	99078	UROK	\N	\N
3646336	3521	1995-04-30	PRIJEM	\N	335	93998	UROK	\N	\N
3646337	3521	1995-05-31	PRIJEM	\N	385	104675	UROK	\N	\N
3646338	3521	1995-06-30	PRIJEM	\N	347	29713	UROK	\N	\N
3646339	3521	1995-07-31	PRIJEM	\N	408	51248	UROK	\N	\N
3646340	3521	1995-08-31	PRIJEM	\N	224	70819	UROK	\N	\N
3646341	3521	1995-09-30	PRIJEM	\N	326	84224	UROK	\N	\N
3646342	3521	1995-10-31	PRIJEM	\N	354	103528	UROK	\N	\N
3646343	3521	1995-11-30	PRIJEM	\N	303	62516	UROK	\N	\N
3646344	3521	1995-12-31	PRIJEM	\N	222	56460	UROK	\N	\N
3646345	3521	1996-01-31	PRIJEM	\N	290	53523	UROK	\N	\N
3646346	3521	1996-02-29	PRIJEM	\N	160	54388	UROK	\N	\N
3646347	3521	1996-03-31	PRIJEM	\N	388	85969	UROK	\N	\N
3646348	3521	1996-04-30	PRIJEM	\N	392	103698	UROK	\N	\N
3646349	3521	1996-05-31	PRIJEM	\N	408	101320	UROK	\N	\N
3646350	3521	1996-06-30	PRIJEM	\N	424	33966	UROK	\N	\N
3646351	3521	1996-07-31	PRIJEM	\N	251	33599	UROK	\N	\N
3646352	3521	1996-08-31	PRIJEM	\N	159	49036	UROK	\N	\N
3646353	3521	1996-09-30	PRIJEM	\N	301	90314	UROK	\N	\N
3646354	3521	1996-10-31	PRIJEM	\N	358	68106	UROK	\N	\N
3646355	3521	1996-11-30	PRIJEM	\N	277	45368	UROK	\N	\N
3646356	3521	1996-12-31	PRIJEM	\N	253	85866	UROK	\N	\N
3646357	3521	1997-01-31	PRIJEM	\N	236	78566	UROK	\N	\N
3646358	3521	1997-02-28	PRIJEM	\N	338	72823	UROK	\N	\N
3646359	3521	1997-03-31	PRIJEM	\N	256	45105	UROK	\N	\N
3646360	3521	1997-04-30	PRIJEM	\N	324	83800	UROK	\N	\N
3646361	3521	1997-05-31	PRIJEM	\N	413	139645	UROK	\N	\N
3646362	3521	1997-06-30	PRIJEM	\N	274	67422	UROK	\N	\N
3646363	3521	1997-07-31	PRIJEM	\N	185	48843	UROK	\N	\N
3646364	3521	1997-08-31	PRIJEM	\N	150	34230	UROK	\N	\N
3646365	3521	1997-09-30	PRIJEM	\N	216	37739	UROK	\N	\N
3646366	3521	1997-10-31	PRIJEM	\N	149	33144	UROK	\N	\N
3646367	3521	1997-11-30	PRIJEM	\N	211	41748	UROK	\N	\N
3646368	3521	1997-12-31	PRIJEM	\N	198	76902	UROK	\N	\N
3646369	3521	1998-01-31	PRIJEM	\N	183	27732	UROK	\N	\N
3646370	3521	1998-02-28	PRIJEM	\N	115	41860	UROK	\N	\N
3646371	3521	1998-03-31	PRIJEM	\N	211	47653	UROK	\N	\N
3646372	3521	1998-04-30	PRIJEM	\N	186	38688	UROK	\N	\N
3646373	3521	1998-05-31	PRIJEM	\N	162	33325	UROK	\N	\N
3646374	3521	1998-06-30	PRIJEM	\N	130	22840	UROK	\N	\N
3646375	3521	1998-07-31	PRIJEM	\N	92	29088	UROK	\N	\N
3646376	3521	1998-09-30	PRIJEM	\N	117	29176	UROK	\N	\N
3646377	3521	1998-09-30	PRIJEM	\N	113	29289	UROK	\N	\N
3646378	3521	1998-10-31	PRIJEM	\N	116	32046	UROK	\N	\N
3646379	3521	1998-11-30	PRIJEM	\N	125	32156	UROK	\N	\N
3646380	3521	1998-12-31	PRIJEM	\N	150	44771	UROK	\N	\N
3646381	3522	1996-06-30	PRIJEM	\N	19	7938	UROK	\N	\N
3646382	3522	1996-07-31	PRIJEM	\N	33	14890	UROK	\N	\N
3646383	3522	1996-08-31	PRIJEM	\N	33	21842	UROK	\N	\N
3646384	3522	1996-09-30	PRIJEM	\N	76	26137	UROK	\N	\N
3646385	3522	1996-10-31	PRIJEM	\N	102	23435	UROK	\N	\N
3646386	3522	1996-11-30	PRIJEM	\N	109	26225	UROK	\N	\N
3646387	3522	1996-12-31	PRIJEM	\N	115	28421	UROK	\N	\N
3646388	3522	1997-01-31	PRIJEM	\N	103	24666	UROK	\N	\N
3646389	3522	1997-02-28	PRIJEM	\N	110	25757	UROK	\N	\N
3646390	3522	1997-03-31	PRIJEM	\N	110	25389	UROK	\N	\N
3646391	3522	1997-04-30	PRIJEM	\N	110	27481	UROK	\N	\N
3646392	3522	1997-05-31	PRIJEM	\N	108	24490	UROK	\N	\N
3646393	3522	1997-06-30	PRIJEM	\N	99	15320	UROK	\N	\N
3646394	3522	1997-07-31	PRIJEM	\N	68	15789	UROK	\N	\N
3646395	3522	1997-08-31	PRIJEM	\N	76	20347	UROK	\N	\N
3646396	3522	1997-09-30	PRIJEM	\N	79	17867	UROK	\N	\N
3646397	3522	1997-10-31	PRIJEM	\N	69	12618	UROK	\N	\N
3646398	3522	1997-11-30	PRIJEM	\N	63	15862	UROK	\N	\N
3646399	3522	1997-12-31	PRIJEM	\N	69	12762	UROK	\N	\N
3646400	3522	1998-01-31	PRIJEM	\N	68	16611	UROK	\N	\N
3646401	3522	1998-02-28	PRIJEM	\N	81	13174	UROK	\N	\N
3646402	3522	1998-03-31	PRIJEM	\N	71	17726	UROK	\N	\N
3646403	3522	1998-04-30	PRIJEM	\N	84	10992	UROK	\N	\N
3646404	3522	1998-05-31	PRIJEM	\N	53	11386	UROK	\N	\N
3646405	3522	1998-06-30	PRIJEM	\N	58	15925	UROK	\N	\N
3646406	3522	1998-07-31	PRIJEM	\N	75	11581	UROK	\N	\N
3646407	3522	1998-08-31	PRIJEM	\N	61	14523	UROK	\N	\N
3646408	3522	1998-09-30	PRIJEM	\N	69	14433	UROK	\N	\N
3646409	3522	1998-10-31	PRIJEM	\N	70	15224	UROK	\N	\N
3646410	3522	1998-11-30	PRIJEM	\N	79	19784	UROK	\N	\N
3646411	3522	1998-12-31	PRIJEM	\N	89	22855	UROK	\N	\N
3646412	3524	1997-11-30	PRIJEM	\N	65	21335	UROK	\N	\N
3646413	3524	1997-12-31	PRIJEM	\N	83	16099	UROK	\N	\N
3646414	3524	1998-01-31	PRIJEM	\N	59	12550	UROK	\N	\N
3646415	3524	1998-02-28	PRIJEM	\N	54	12995	UROK	\N	\N
3646416	3524	1998-03-31	PRIJEM	\N	60	14806	UROK	\N	\N
3646417	3524	1998-04-30	PRIJEM	\N	67	16324	UROK	\N	\N
3646418	3524	1998-05-31	PRIJEM	\N	70	15146	UROK	\N	\N
3646419	3524	1998-06-30	PRIJEM	\N	60	11357	UROK	\N	\N
3646420	3524	1998-07-31	PRIJEM	\N	52	12660	UROK	\N	\N
3646421	3524	1998-08-31	PRIJEM	\N	57	13969	UROK	\N	\N
3646422	3524	1998-09-30	PRIJEM	\N	56	10677	UROK	\N	\N
3646423	3524	1998-10-31	PRIJEM	\N	48	10976	UROK	\N	\N
3646424	3524	1998-11-30	PRIJEM	\N	41	9489	UROK	\N	\N
3646425	3524	1998-12-31	PRIJEM	\N	45	11285	UROK	\N	\N
3646426	3525	1995-12-31	PRIJEM	\N	24	16264	UROK	\N	\N
3646427	3525	1996-01-31	PRIJEM	\N	70	25761	UROK	\N	\N
3646428	3525	1996-02-29	PRIJEM	\N	107	30495	UROK	\N	\N
3646429	3525	1996-03-31	PRIJEM	\N	118	29040	UROK	\N	\N
3646430	3525	1996-04-30	PRIJEM	\N	123	24406	UROK	\N	\N
3646431	3525	1996-05-31	PRIJEM	\N	103	20637	UROK	\N	\N
3646432	3525	1996-06-30	PRIJEM	\N	93	19372	UROK	\N	\N
3646433	3525	1996-07-31	PRIJEM	\N	82	18442	UROK	\N	\N
3646434	3525	1996-08-31	PRIJEM	\N	75	15345	UROK	\N	\N
3646435	3525	1996-09-30	PRIJEM	\N	68	17642	UROK	\N	\N
3646436	3525	1996-10-31	PRIJEM	\N	77	18847	UROK	\N	\N
3646437	3525	1996-11-30	PRIJEM	\N	67	14283	UROK	\N	\N
3646438	3525	1996-12-31	PRIJEM	\N	66	14150	UROK	\N	\N
3646439	3525	1997-01-31	PRIJEM	\N	57	13416	UROK	\N	\N
3646440	3525	1997-02-28	PRIJEM	\N	60	15905	UROK	\N	\N
3646441	3525	1997-03-31	PRIJEM	\N	66	13399	UROK	\N	\N
3646442	3525	1997-04-30	PRIJEM	\N	58	13786	UROK	\N	\N
3646443	3525	1997-05-31	PRIJEM	\N	61	15375	UROK	\N	\N
3646444	3525	1997-06-30	PRIJEM	\N	65	11281	UROK	\N	\N
3646445	3525	1997-07-31	PRIJEM	\N	51	12860	UROK	\N	\N
3646446	3525	1997-08-31	PRIJEM	\N	57	14446	UROK	\N	\N
3646447	3525	1997-09-30	PRIJEM	\N	64	16038	UROK	\N	\N
3646448	3525	1997-10-31	PRIJEM	\N	70	17637	UROK	\N	\N
3646449	3525	1997-11-30	PRIJEM	\N	77	18522	UROK	\N	\N
3646450	3525	1997-12-31	PRIJEM	\N	84	19407	UROK	\N	\N
3646451	3525	1998-01-31	PRIJEM	\N	71	14647	UROK	\N	\N
3646452	3525	1998-02-28	PRIJEM	\N	64	16240	UROK	\N	\N
3646453	3525	1998-03-31	PRIJEM	\N	71	17839	UROK	\N	\N
3646454	3525	1998-04-30	PRIJEM	\N	63	13550	UROK	\N	\N
3646455	3525	1998-05-31	PRIJEM	\N	60	15138	UROK	\N	\N
3646456	3525	1998-06-30	PRIJEM	\N	63	14243	UROK	\N	\N
3646457	3525	1998-07-31	PRIJEM	\N	61	14753	UROK	\N	\N
3646458	3525	1998-08-31	PRIJEM	\N	65	16346	UROK	\N	\N
3646459	3525	1998-09-30	PRIJEM	\N	71	17946	UROK	\N	\N
3646460	3525	1998-10-31	PRIJEM	\N	78	19552	UROK	\N	\N
3646461	3525	1998-11-30	PRIJEM	\N	85	21165	UROK	\N	\N
3646462	3525	1998-12-31	PRIJEM	\N	96	23182	UROK	\N	\N
3646463	3526	1996-07-31	PRIJEM	\N	3	203	UROK	\N	\N
3646464	3526	1996-08-31	PRIJEM	\N	102	24229	UROK	\N	\N
3646465	3526	1996-09-30	PRIJEM	\N	117	34268	UROK	\N	\N
3646466	3526	1996-10-31	PRIJEM	\N	194	101713	UROK	\N	\N
3646467	3526	1996-11-30	PRIJEM	\N	401	81745	UROK	\N	\N
3646468	3526	1996-12-31	PRIJEM	\N	282	52253	UROK	\N	\N
3646469	3526	1997-01-31	PRIJEM	\N	267	60281	UROK	\N	\N
3646470	3526	1997-02-28	PRIJEM	\N	328	43994	UROK	\N	\N
3646471	3526	1997-03-31	PRIJEM	\N	196	50222	UROK	\N	\N
3646472	3526	1997-04-30	PRIJEM	\N	155	30403	UROK	\N	\N
3646473	3526	1997-05-31	PRIJEM	\N	158	60796	UROK	\N	\N
3646474	3526	1997-06-30	PRIJEM	\N	251	68316	UROK	\N	\N
3646475	3526	1997-07-31	PRIJEM	\N	326	95126	UROK	\N	\N
3646476	3526	1997-08-31	PRIJEM	\N	336	102332	UROK	\N	\N
3646477	3526	1997-09-30	PRIJEM	\N	367	84990	UROK	\N	\N
3646478	3526	1997-10-31	PRIJEM	\N	317	66343	UROK	\N	\N
3646479	3526	1997-11-30	PRIJEM	\N	289	63310	UROK	\N	\N
3646480	3526	1997-12-31	PRIJEM	\N	258	47767	UROK	\N	\N
3646481	3526	1998-01-31	PRIJEM	\N	236	78279	UROK	\N	\N
3646482	3526	1998-02-28	PRIJEM	\N	247	71510	UROK	\N	\N
3646483	3526	1998-03-31	PRIJEM	\N	213	61183	UROK	\N	\N
3646484	3526	1998-04-30	PRIJEM	\N	304	65835	UROK	\N	\N
3646485	3526	1998-05-31	PRIJEM	\N	269	76507	UROK	\N	\N
3646486	3526	1998-06-30	PRIJEM	\N	419	107755	UROK	\N	\N
3646487	3526	1998-07-31	PRIJEM	\N	316	60043	UROK	\N	\N
3646488	3526	1998-08-31	PRIJEM	\N	239	76537	UROK	\N	\N
3646489	3526	1998-09-30	PRIJEM	\N	286	53871	UROK	\N	\N
3646490	3526	1998-10-31	PRIJEM	\N	255	79570	UROK	\N	\N
3646491	3526	1998-11-30	PRIJEM	\N	270	59831	UROK	\N	\N
3646492	3526	1998-12-31	PRIJEM	\N	294	94224	UROK	\N	\N
3646493	3527	1997-01-31	PRIJEM	\N	60	24883	UROK	\N	\N
3646494	3527	1997-02-28	PRIJEM	\N	150	45956	UROK	\N	\N
3646495	3527	1997-03-31	PRIJEM	\N	212	54892	UROK	\N	\N
3646496	3527	1997-04-30	PRIJEM	\N	246	62661	UROK	\N	\N
3646497	3527	1997-05-31	PRIJEM	\N	261	62945	UROK	\N	\N
3646498	3527	1997-06-30	PRIJEM	\N	235	54885	UROK	\N	\N
3646499	3527	1997-07-31	PRIJEM	\N	233	61012	UROK	\N	\N
3646500	3527	1997-08-31	PRIJEM	\N	257	67564	UROK	\N	\N
3646501	3527	1997-09-30	PRIJEM	\N	261	67639	UROK	\N	\N
3646502	3527	1997-10-31	PRIJEM	\N	263	67297	UROK	\N	\N
3646503	3527	1997-11-30	PRIJEM	\N	261	66792	UROK	\N	\N
3646504	3527	1997-12-31	PRIJEM	\N	293	81571	UROK	\N	\N
3646505	3527	1998-01-31	PRIJEM	\N	290	63655	UROK	\N	\N
3646506	3527	1998-02-28	PRIJEM	\N	230	58459	UROK	\N	\N
3646507	3527	1998-03-31	PRIJEM	\N	221	54115	UROK	\N	\N
3646508	3527	1998-04-30	PRIJEM	\N	204	53213	UROK	\N	\N
3646509	3527	1998-05-31	PRIJEM	\N	203	52911	UROK	\N	\N
3646510	3527	1998-06-30	PRIJEM	\N	114	17450	UROK	\N	\N
3646511	3527	1998-07-31	PRIJEM	\N	123	38767	UROK	\N	\N
3646512	3527	1998-08-31	PRIJEM	\N	141	38003	UROK	\N	\N
3646513	3527	1998-09-30	PRIJEM	\N	139	40236	UROK	\N	\N
3646514	3527	1998-10-31	PRIJEM	\N	168	46298	UROK	\N	\N
3646515	3527	1998-11-30	PRIJEM	\N	166	43059	UROK	\N	\N
3646516	3527	1998-12-31	PRIJEM	\N	190	53354	UROK	\N	\N
3646517	3528	1994-03-31	PRIJEM	\N	67	22853	UROK	\N	\N
3646518	3528	1994-04-30	PRIJEM	\N	168	47907	UROK	\N	\N
3646519	3528	1994-05-31	PRIJEM	\N	233	59627	UROK	\N	\N
3646520	3528	1994-06-30	PRIJEM	\N	291	74647	UROK	\N	\N
3646521	3528	1994-07-31	PRIJEM	\N	284	64361	UROK	\N	\N
3646522	3528	1994-08-31	PRIJEM	\N	236	57913	UROK	\N	\N
3646523	3528	1994-09-30	PRIJEM	\N	246	58376	UROK	\N	\N
3646524	3528	1994-10-31	PRIJEM	\N	213	54165	UROK	\N	\N
3646525	3528	1994-11-30	PRIJEM	\N	204	55785	UROK	\N	\N
3646526	3528	1994-12-31	PRIJEM	\N	220	44744	UROK	\N	\N
3646527	3528	1995-01-31	PRIJEM	\N	162	27263	UROK	\N	\N
3646528	3528	1995-02-28	PRIJEM	\N	143	41622	UROK	\N	\N
3646529	3528	1995-03-31	PRIJEM	\N	154	33293	UROK	\N	\N
3646530	3528	1995-04-30	PRIJEM	\N	169	36478	UROK	\N	\N
3646531	3528	1995-05-31	PRIJEM	\N	180	36074	UROK	\N	\N
3646532	3528	1995-06-30	PRIJEM	\N	201	41835	UROK	\N	\N
3646533	3528	1995-07-31	PRIJEM	\N	193	35924	UROK	\N	\N
3646534	3528	1995-08-31	PRIJEM	\N	174	35714	UROK	\N	\N
3646535	3528	1995-09-30	PRIJEM	\N	173	37504	UROK	\N	\N
3646536	3528	1995-10-31	PRIJEM	\N	177	36198	UROK	\N	\N
3646537	3528	1995-11-30	PRIJEM	\N	174	36208	UROK	\N	\N
3646538	3528	1995-12-31	PRIJEM	\N	192	41160	UROK	\N	\N
3646539	3528	1996-01-31	PRIJEM	\N	186	25342	UROK	\N	\N
3646540	3528	1996-02-29	PRIJEM	\N	138	30976	UROK	\N	\N
3646541	3528	1996-03-31	PRIJEM	\N	151	34944	UROK	\N	\N
3646542	3528	1996-04-30	PRIJEM	\N	164	36825	UROK	\N	\N
3646543	3528	1996-05-31	PRIJEM	\N	167	33907	UROK	\N	\N
3646544	3528	1996-06-30	PRIJEM	\N	186	35053	UROK	\N	\N
3646545	3528	1996-07-31	PRIJEM	\N	157	32626	UROK	\N	\N
3646546	3528	1996-08-31	PRIJEM	\N	145	30687	UROK	\N	\N
3646547	3528	1996-09-30	PRIJEM	\N	138	30642	UROK	\N	\N
3646548	3528	1996-10-31	PRIJEM	\N	147	30245	UROK	\N	\N
3646549	3528	1996-11-30	PRIJEM	\N	138	32700	UROK	\N	\N
3646550	3528	1996-12-31	PRIJEM	\N	170	36789	UROK	\N	\N
3646551	3528	1997-01-31	PRIJEM	\N	152	21397	UROK	\N	\N
3646552	3528	1997-02-28	PRIJEM	\N	108	27201	UROK	\N	\N
3646553	3528	1997-03-31	PRIJEM	\N	120	27038	UROK	\N	\N
3646554	3528	1997-04-30	PRIJEM	\N	124	29978	UROK	\N	\N
3646555	3528	1997-05-31	PRIJEM	\N	125	26979	UROK	\N	\N
3646556	3528	1997-06-30	PRIJEM	\N	117	22816	UROK	\N	\N
3646557	3528	1997-07-31	PRIJEM	\N	108	27941	UROK	\N	\N
3646558	3528	1997-08-31	PRIJEM	\N	116	27373	UROK	\N	\N
3646559	3528	1997-09-30	PRIJEM	\N	119	30109	UROK	\N	\N
3646560	3528	1997-10-31	PRIJEM	\N	118	26224	UROK	\N	\N
3646561	3528	1997-11-30	PRIJEM	\N	111	28351	UROK	\N	\N
3646562	3528	1997-12-31	PRIJEM	\N	134	29284	UROK	\N	\N
3646563	3528	1998-01-31	PRIJEM	\N	96	17717	UROK	\N	\N
3646564	3528	1998-02-28	PRIJEM	\N	78	18171	UROK	\N	\N
3646565	3528	1998-03-31	PRIJEM	\N	95	27682	UROK	\N	\N
3646566	3528	1998-04-30	PRIJEM	\N	117	27735	UROK	\N	\N
3646567	3528	1998-05-31	PRIJEM	\N	119	30371	UROK	\N	\N
3646568	3528	1998-06-30	PRIJEM	\N	139	35669	UROK	\N	\N
3646569	3528	1998-07-31	PRIJEM	\N	136	31621	UROK	\N	\N
3646570	3528	1998-08-31	PRIJEM	\N	135	33373	UROK	\N	\N
3646571	3528	1998-09-30	PRIJEM	\N	129	30018	UROK	\N	\N
3646572	3528	1998-10-31	PRIJEM	\N	128	28162	UROK	\N	\N
3646573	3528	1998-11-30	PRIJEM	\N	131	32150	UROK	\N	\N
3646574	3528	1998-12-31	PRIJEM	\N	174	43283	UROK	\N	\N
3646575	3530	1996-01-31	PRIJEM	\N	22	7277	UROK	\N	\N
3646576	3530	1996-02-29	PRIJEM	\N	30	13464	UROK	\N	\N
3646577	3530	1996-03-31	PRIJEM	\N	30	19650	UROK	\N	\N
3646578	3530	1996-04-30	PRIJEM	\N	30	25836	UROK	\N	\N
3646579	3530	1996-05-31	PRIJEM	\N	34	32026	UROK	\N	\N
3646580	3530	1996-06-30	PRIJEM	\N	131	26171	UROK	\N	\N
3646581	3530	1996-07-31	PRIJEM	\N	101	24577	UROK	\N	\N
3646582	3530	1996-08-31	PRIJEM	\N	101	18262	UROK	\N	\N
3646583	3530	1996-09-30	PRIJEM	\N	87	16913	UROK	\N	\N
3646584	3530	1996-10-31	PRIJEM	\N	79	18496	UROK	\N	\N
3646585	3530	1996-11-30	PRIJEM	\N	87	18547	UROK	\N	\N
3646586	3530	1996-12-31	PRIJEM	\N	85	16647	UROK	\N	\N
3646587	3530	1997-01-31	PRIJEM	\N	72	13393	UROK	\N	\N
3646588	3530	1997-02-28	PRIJEM	\N	67	17325	UROK	\N	\N
3646589	3530	1997-03-31	PRIJEM	\N	79	16488	UROK	\N	\N
3646590	3530	1997-04-30	PRIJEM	\N	78	16031	UROK	\N	\N
3646591	3530	1997-05-31	PRIJEM	\N	68	14944	UROK	\N	\N
3646592	3530	1997-06-30	PRIJEM	\N	71	14079	UROK	\N	\N
3646593	3530	1997-07-31	PRIJEM	\N	66	11909	UROK	\N	\N
3646594	3530	1997-08-31	PRIJEM	\N	62	16135	UROK	\N	\N
3646595	3530	1997-09-30	PRIJEM	\N	71	12271	UROK	\N	\N
3646596	3530	1997-10-31	PRIJEM	\N	58	14413	UROK	\N	\N
3646597	3530	1997-11-30	PRIJEM	\N	64	11141	UROK	\N	\N
3646598	3530	1997-12-31	PRIJEM	\N	55	12361	UROK	\N	\N
3646599	3530	1998-01-31	PRIJEM	\N	52	11197	UROK	\N	\N
3646600	3530	1998-02-28	PRIJEM	\N	56	14457	UROK	\N	\N
3646601	3530	1998-03-31	PRIJEM	\N	68	15390	UROK	\N	\N
3646602	3530	1998-04-30	PRIJEM	\N	68	14723	UROK	\N	\N
3646603	3530	1998-05-31	PRIJEM	\N	66	13553	UROK	\N	\N
3646604	3530	1998-06-30	PRIJEM	\N	63	13680	UROK	\N	\N
3646605	3530	1998-07-31	PRIJEM	\N	63	13607	UROK	\N	\N
3646606	3530	1998-08-31	PRIJEM	\N	58	11229	UROK	\N	\N
3646607	3530	1998-09-30	PRIJEM	\N	58	15452	UROK	\N	\N
3646608	3530	1998-10-31	PRIJEM	\N	65	13081	UROK	\N	\N
3646609	3530	1998-11-30	PRIJEM	\N	55	11400	UROK	\N	\N
3646610	3530	1998-12-31	PRIJEM	\N	56	14471	UROK	\N	\N
3646611	3531	1996-05-31	PRIJEM	\N	23	7885	UROK	\N	\N
3646612	3531	1996-06-30	PRIJEM	\N	33	14880	UROK	\N	\N
3646613	3531	1996-07-31	PRIJEM	\N	33	21875	UROK	\N	\N
3646614	3531	1996-08-31	PRIJEM	\N	92	28229	UROK	\N	\N
3646615	3531	1996-09-30	PRIJEM	\N	99	30790	UROK	\N	\N
3646616	3531	1996-10-31	PRIJEM	\N	124	28893	UROK	\N	\N
3646617	3531	1996-11-30	PRIJEM	\N	127	25439	UROK	\N	\N
3646618	3531	1996-12-31	PRIJEM	\N	108	26506	UROK	\N	\N
3646619	3531	1997-01-31	PRIJEM	\N	98	19524	UROK	\N	\N
3646620	3531	1997-02-28	PRIJEM	\N	90	21373	UROK	\N	\N
3646621	3531	1997-03-31	PRIJEM	\N	101	24853	UROK	\N	\N
3646622	3531	1997-04-30	PRIJEM	\N	114	25046	UROK	\N	\N
3646623	3531	1997-05-31	PRIJEM	\N	115	25840	UROK	\N	\N
3646624	3531	1997-06-30	PRIJEM	\N	86	16856	UROK	\N	\N
3646625	3531	1997-07-31	PRIJEM	\N	75	15890	UROK	\N	\N
3646626	3531	1997-08-31	PRIJEM	\N	75	16245	UROK	\N	\N
3646627	3531	1997-09-30	PRIJEM	\N	78	18402	UROK	\N	\N
3646628	3531	1997-10-31	PRIJEM	\N	89	22570	UROK	\N	\N
3646629	3531	1997-11-30	PRIJEM	\N	103	24253	UROK	\N	\N
3646630	3531	1997-12-31	PRIJEM	\N	110	25291	UROK	\N	\N
3646631	3531	1998-01-31	PRIJEM	\N	93	14254	UROK	\N	\N
3646632	3531	1998-02-28	PRIJEM	\N	70	17283	UROK	\N	\N
3646633	3531	1998-03-31	PRIJEM	\N	84	21447	UROK	\N	\N
3646634	3531	1998-04-30	PRIJEM	\N	101	25627	UROK	\N	\N
3646635	3531	1998-05-31	PRIJEM	\N	114	26540	UROK	\N	\N
3646636	3531	1998-06-30	PRIJEM	\N	110	23929	UROK	\N	\N
3646637	3531	1998-07-31	PRIJEM	\N	110	26818	UROK	\N	\N
3646638	3531	1998-08-31	PRIJEM	\N	119	28056	UROK	\N	\N
3646639	3531	1998-09-30	PRIJEM	\N	124	31300	UROK	\N	\N
3646640	3531	1998-10-31	PRIJEM	\N	142	35522	UROK	\N	\N
3646641	3531	1998-11-30	PRIJEM	\N	156	37557	UROK	\N	\N
3646642	3531	1998-12-31	PRIJEM	\N	165	40651	UROK	\N	\N
3646643	3533	1994-09-30	PRIJEM	\N	6	13997	UROK	\N	\N
3646644	3533	1994-10-31	PRIJEM	\N	62	20149	UROK	\N	\N
3646645	3533	1994-11-30	PRIJEM	\N	85	21725	UROK	\N	\N
3646646	3533	1994-12-31	PRIJEM	\N	91	22307	UROK	\N	\N
3646647	3533	1995-01-31	PRIJEM	\N	95	21265	UROK	\N	\N
3646648	3533	1995-02-28	PRIJEM	\N	93	24607	UROK	\N	\N
3646649	3533	1995-03-31	PRIJEM	\N	107	28064	UROK	\N	\N
3646650	3533	1995-04-30	PRIJEM	\N	120	29933	UROK	\N	\N
3646651	3533	1995-05-31	PRIJEM	\N	126	29749	UROK	\N	\N
3646652	3533	1995-06-30	PRIJEM	\N	124	25362	UROK	\N	\N
3646653	3533	1995-07-31	PRIJEM	\N	110	27922	UROK	\N	\N
3646654	3533	1995-08-31	PRIJEM	\N	121	30992	UROK	\N	\N
3646655	3533	1995-09-30	PRIJEM	\N	133	32774	UROK	\N	\N
3646656	3533	1995-10-31	PRIJEM	\N	136	30379	UROK	\N	\N
3646657	3533	1995-11-30	PRIJEM	\N	129	29968	UROK	\N	\N
3646658	3533	1995-12-31	PRIJEM	\N	127	29874	UROK	\N	\N
3646659	3533	1996-01-31	PRIJEM	\N	121	27095	UROK	\N	\N
3646660	3533	1996-02-29	PRIJEM	\N	111	26095	UROK	\N	\N
3646661	3533	1996-03-31	PRIJEM	\N	114	28958	UROK	\N	\N
3646662	3533	1996-04-30	PRIJEM	\N	122	29129	UROK	\N	\N
3646663	3533	1996-05-31	PRIJEM	\N	125	31004	UROK	\N	\N
3646664	3533	1996-06-30	PRIJEM	\N	130	29223	UROK	\N	\N
3646665	3533	1996-07-31	PRIJEM	\N	125	30897	UROK	\N	\N
3646666	3533	1996-08-31	PRIJEM	\N	129	30945	UROK	\N	\N
3646667	3533	1996-09-30	PRIJEM	\N	139	36234	UROK	\N	\N
3646668	3533	1996-10-31	PRIJEM	\N	144	33027	UROK	\N	\N
3646669	3533	1996-11-30	PRIJEM	\N	146	36922	UROK	\N	\N
3646670	3533	1996-12-31	PRIJEM	\N	154	37066	UROK	\N	\N
3646671	3533	1997-01-31	PRIJEM	\N	146	32402	UROK	\N	\N
3646672	3533	1997-02-28	PRIJEM	\N	136	33287	UROK	\N	\N
3646673	3533	1997-03-31	PRIJEM	\N	136	32172	UROK	\N	\N
3646674	3533	1997-04-30	PRIJEM	\N	133	32055	UROK	\N	\N
3646675	3533	1997-05-31	PRIJEM	\N	127	29441	UROK	\N	\N
3646676	3533	1997-06-30	PRIJEM	\N	116	27866	UROK	\N	\N
3646677	3533	1997-07-31	PRIJEM	\N	116	28312	UROK	\N	\N
3646678	3533	1997-08-31	PRIJEM	\N	115	27516	UROK	\N	\N
3646679	3533	1997-09-30	PRIJEM	\N	116	27282	UROK	\N	\N
3646680	3533	1997-10-31	PRIJEM	\N	123	31154	UROK	\N	\N
3646681	3533	1997-11-30	PRIJEM	\N	130	31834	UROK	\N	\N
3646682	3533	1997-12-31	PRIJEM	\N	129	30412	UROK	\N	\N
3646683	3533	1998-01-31	PRIJEM	\N	133	32725	UROK	\N	\N
3646684	3533	1998-02-28	PRIJEM	\N	133	31807	UROK	\N	\N
3646685	3533	1998-03-31	PRIJEM	\N	126	30082	UROK	\N	\N
3646686	3533	1998-04-30	PRIJEM	\N	130	32262	UROK	\N	\N
3646687	3533	1998-05-31	PRIJEM	\N	123	28504	UROK	\N	\N
3646688	3533	1998-06-30	PRIJEM	\N	102	21996	UROK	\N	\N
3646689	3533	1998-07-31	PRIJEM	\N	99	24845	UROK	\N	\N
3646690	3533	1998-08-31	PRIJEM	\N	101	24495	UROK	\N	\N
3646691	3533	1998-09-30	PRIJEM	\N	110	27255	UROK	\N	\N
3646692	3533	1998-10-31	PRIJEM	\N	109	26213	UROK	\N	\N
3646693	3533	1998-11-30	PRIJEM	\N	104	24987	UROK	\N	\N
3646694	3533	1998-12-31	PRIJEM	\N	121	29297	UROK	\N	\N
3646695	3534	1996-05-31	PRIJEM	\N	59	18285	UROK	\N	\N
3646696	3534	1996-06-30	PRIJEM	\N	120	31694	UROK	\N	\N
3646697	3534	1996-07-31	PRIJEM	\N	150	37070	UROK	\N	\N
3646698	3534	1996-08-31	PRIJEM	\N	157	38053	UROK	\N	\N
3646699	3534	1996-09-30	PRIJEM	\N	161	33376	UROK	\N	\N
3646700	3534	1996-10-31	PRIJEM	\N	135	31158	UROK	\N	\N
3646701	3534	1996-11-30	PRIJEM	\N	156	36561	UROK	\N	\N
3646702	3534	1996-12-31	PRIJEM	\N	193	43665	UROK	\N	\N
3646703	3534	1997-01-31	PRIJEM	\N	163	24355	UROK	\N	\N
3646704	3534	1997-02-28	PRIJEM	\N	153	36755	UROK	\N	\N
3646705	3534	1997-03-31	PRIJEM	\N	181	42883	UROK	\N	\N
3646706	3534	1997-04-30	PRIJEM	\N	175	39386	UROK	\N	\N
3646707	3534	1997-05-31	PRIJEM	\N	149	33002	UROK	\N	\N
3646708	3534	1997-06-30	PRIJEM	\N	152	36624	UROK	\N	\N
3646709	3534	1997-07-31	PRIJEM	\N	169	40141	UROK	\N	\N
3646710	3534	1997-08-31	PRIJEM	\N	178	42366	UROK	\N	\N
3646711	3534	1997-09-30	PRIJEM	\N	172	40765	UROK	\N	\N
3646712	3534	1997-10-31	PRIJEM	\N	192	44505	UROK	\N	\N
3646713	3534	1997-11-30	PRIJEM	\N	214	48965	UROK	\N	\N
3646714	3534	1997-12-31	PRIJEM	\N	248	52384	UROK	\N	\N
3646715	3534	1998-01-31	PRIJEM	\N	215	40486	UROK	\N	\N
3646716	3534	1998-02-28	PRIJEM	\N	199	42732	UROK	\N	\N
3646717	3534	1998-03-31	PRIJEM	\N	203	38982	UROK	\N	\N
3646718	3534	1998-04-30	PRIJEM	\N	189	39518	UROK	\N	\N
3646719	3534	1998-05-31	PRIJEM	\N	180	32546	UROK	\N	\N
3646720	3534	1998-06-30	PRIJEM	\N	186	37041	UROK	\N	\N
3646721	3534	1998-07-31	PRIJEM	\N	183	40172	UROK	\N	\N
3646722	3534	1998-08-31	PRIJEM	\N	191	37610	UROK	\N	\N
3646723	3534	1998-09-30	PRIJEM	\N	160	34037	UROK	\N	\N
3646724	3534	1998-10-31	PRIJEM	\N	158	29343	UROK	\N	\N
3646725	3534	1998-11-30	PRIJEM	\N	140	31330	UROK	\N	\N
3646726	3534	1998-12-31	PRIJEM	\N	170	41511	UROK	\N	\N
3646727	3535	1993-10-31	PRIJEM	\N	13	4310	UROK	\N	\N
3646728	3535	1993-11-30	PRIJEM	\N	18	7525	UROK	\N	\N
3646729	3535	1993-12-31	PRIJEM	\N	18	10740	UROK	\N	\N
3646730	3535	1994-01-31	PRIJEM	\N	18	13954	UROK	\N	\N
3646731	3535	1994-02-28	PRIJEM	\N	20	17171	UROK	\N	\N
3646732	3535	1994-03-31	PRIJEM	\N	71	17604	UROK	\N	\N
3646733	3535	1994-04-30	PRIJEM	\N	76	18732	UROK	\N	\N
3646734	3535	1994-05-31	PRIJEM	\N	81	19864	UROK	\N	\N
3646735	3535	1994-06-30	PRIJEM	\N	70	15885	UROK	\N	\N
3646736	3535	1994-07-31	PRIJEM	\N	69	17006	UROK	\N	\N
3646737	3535	1994-08-31	PRIJEM	\N	74	18131	UROK	\N	\N
3646738	3535	1994-09-30	PRIJEM	\N	79	19261	UROK	\N	\N
3646739	3535	1994-10-31	PRIJEM	\N	83	19825	UROK	\N	\N
3646740	3535	1994-11-30	PRIJEM	\N	86	20962	UROK	\N	\N
3646741	3535	1994-12-31	PRIJEM	\N	89	21443	UROK	\N	\N
3646742	3535	1995-01-31	PRIJEM	\N	84	17538	UROK	\N	\N
3646743	3535	1995-02-28	PRIJEM	\N	76	18665	UROK	\N	\N
3646744	3535	1995-03-31	PRIJEM	\N	81	19798	UROK	\N	\N
3646745	3535	1995-04-30	PRIJEM	\N	85	20934	UROK	\N	\N
3646746	3535	1995-05-31	PRIJEM	\N	87	20063	UROK	\N	\N
3646747	3535	1995-06-30	PRIJEM	\N	82	17086	UROK	\N	\N
3646748	3535	1995-07-31	PRIJEM	\N	74	18211	UROK	\N	\N
3646749	3535	1995-08-31	PRIJEM	\N	79	19341	UROK	\N	\N
3646750	3535	1995-09-30	PRIJEM	\N	80	18463	UROK	\N	\N
3646751	3535	1995-10-31	PRIJEM	\N	79	18663	UROK	\N	\N
3646752	3535	1995-11-30	PRIJEM	\N	81	19795	UROK	\N	\N
3646753	3535	1995-12-31	PRIJEM	\N	83	20090	UROK	\N	\N
3646754	3535	1996-01-31	PRIJEM	\N	77	16178	UROK	\N	\N
3646755	3535	1996-02-29	PRIJEM	\N	66	16425	UROK	\N	\N
3646756	3535	1996-03-31	PRIJEM	\N	71	17548	UROK	\N	\N
3646757	3535	1996-04-30	PRIJEM	\N	76	18675	UROK	\N	\N
3646758	3535	1996-05-31	PRIJEM	\N	75	18482	UROK	\N	\N
3646759	3535	1996-06-30	PRIJEM	\N	77	14360	UROK	\N	\N
3646760	3535	1996-07-31	PRIJEM	\N	62	15474	UROK	\N	\N
3646761	3535	1996-08-31	PRIJEM	\N	67	16593	UROK	\N	\N
3646762	3535	1996-09-30	PRIJEM	\N	72	17716	UROK	\N	\N
3646763	3535	1996-10-31	PRIJEM	\N	76	18603	UROK	\N	\N
3646764	3535	1996-11-30	PRIJEM	\N	80	19734	UROK	\N	\N
3646765	3535	1996-12-31	PRIJEM	\N	84	20690	UROK	\N	\N
3646766	3535	1997-01-31	PRIJEM	\N	77	18008	UROK	\N	\N
3646767	3535	1997-02-28	PRIJEM	\N	77	19137	UROK	\N	\N
3646768	3535	1997-03-31	PRIJEM	\N	82	20270	UROK	\N	\N
3646769	3535	1997-04-30	PRIJEM	\N	87	21408	UROK	\N	\N
3646770	3535	1997-05-31	PRIJEM	\N	91	22551	UROK	\N	\N
3646771	3535	1997-06-30	PRIJEM	\N	87	18080	UROK	\N	\N
3646772	3535	1997-07-31	PRIJEM	\N	77	19209	UROK	\N	\N
3646773	3535	1997-08-31	PRIJEM	\N	81	19501	UROK	\N	\N
3646774	3535	1997-09-30	PRIJEM	\N	83	20635	UROK	\N	\N
3646775	3535	1997-10-31	PRIJEM	\N	88	21775	UROK	\N	\N
3646776	3535	1997-11-30	PRIJEM	\N	90	22285	UROK	\N	\N
3646777	3535	1997-12-31	PRIJEM	\N	88	19314	UROK	\N	\N
3646778	3535	1998-01-31	PRIJEM	\N	78	17653	UROK	\N	\N
3646779	3535	1998-02-28	PRIJEM	\N	75	18780	UROK	\N	\N
3646780	3535	1998-03-31	PRIJEM	\N	80	19911	UROK	\N	\N
3646781	3535	1998-04-30	PRIJEM	\N	85	21047	UROK	\N	\N
3646782	3535	1998-05-31	PRIJEM	\N	89	22187	UROK	\N	\N
3646783	3535	1998-06-30	PRIJEM	\N	90	21138	UROK	\N	\N
3646784	3535	1998-07-31	PRIJEM	\N	89	22279	UROK	\N	\N
3646785	3535	1998-08-31	PRIJEM	\N	94	23425	UROK	\N	\N
3646786	3535	1998-09-30	PRIJEM	\N	99	23735	UROK	\N	\N
3646787	3535	1998-10-31	PRIJEM	\N	100	24886	UROK	\N	\N
3646788	3535	1998-11-30	PRIJEM	\N	105	26042	UROK	\N	\N
3646789	3535	1998-12-31	PRIJEM	\N	109	26782	UROK	\N	\N
3646790	3536	1994-08-31	PRIJEM	\N	18	6881	UROK	\N	\N
3646791	3536	1994-09-30	PRIJEM	\N	29	13172	UROK	\N	\N
3646792	3536	1994-10-31	PRIJEM	\N	29	19464	UROK	\N	\N
3646793	3536	1994-11-30	PRIJEM	\N	29	25755	UROK	\N	\N
3646794	3536	1994-12-31	PRIJEM	\N	74	24183	UROK	\N	\N
3646795	3536	1995-01-31	PRIJEM	\N	88	17770	UROK	\N	\N
3646796	3536	1995-02-28	PRIJEM	\N	83	21512	UROK	\N	\N
3646797	3536	1995-03-31	PRIJEM	\N	99	25271	UROK	\N	\N
3646798	3536	1995-04-30	PRIJEM	\N	116	27246	UROK	\N	\N
3646799	3536	1995-05-31	PRIJEM	\N	123	28428	UROK	\N	\N
3646800	3536	1995-06-30	PRIJEM	\N	125	31012	UROK	\N	\N
3646801	3536	1995-07-31	PRIJEM	\N	124	26996	UROK	\N	\N
3646802	3536	1995-08-31	PRIJEM	\N	121	27896	UROK	\N	\N
3646803	3536	1995-09-30	PRIJEM	\N	123	28378	UROK	\N	\N
3646804	3536	1995-10-31	PRIJEM	\N	123	27760	UROK	\N	\N
3646805	3536	1995-11-30	PRIJEM	\N	99	24439	UROK	\N	\N
3646806	3536	1995-12-31	PRIJEM	\N	106	22934	UROK	\N	\N
3646807	3536	1996-01-31	PRIJEM	\N	82	16915	UROK	\N	\N
3646808	3536	1996-02-29	PRIJEM	\N	85	20660	UROK	\N	\N
3646809	3536	1996-03-31	PRIJEM	\N	102	24421	UROK	\N	\N
3646810	3536	1996-04-30	PRIJEM	\N	110	27151	UROK	\N	\N
3646811	3536	1996-05-31	PRIJEM	\N	122	28213	UROK	\N	\N
3646812	3536	1996-06-30	PRIJEM	\N	126	29398	UROK	\N	\N
3646813	3536	1996-07-31	PRIJEM	\N	121	29379	UROK	\N	\N
3646814	3536	1996-08-31	PRIJEM	\N	108	22326	UROK	\N	\N
3646815	3536	1996-09-30	PRIJEM	\N	96	23001	UROK	\N	\N
3646816	3536	1996-10-31	PRIJEM	\N	104	25064	UROK	\N	\N
3646817	3536	1996-11-30	PRIJEM	\N	117	25441	UROK	\N	\N
3646818	3536	1996-12-31	PRIJEM	\N	114	26914	UROK	\N	\N
3646819	3536	1997-01-31	PRIJEM	\N	96	20749	UROK	\N	\N
3646820	3536	1997-02-28	PRIJEM	\N	94	24103	UROK	\N	\N
3646821	3536	1997-03-31	PRIJEM	\N	108	25170	UROK	\N	\N
3646822	3536	1997-04-30	PRIJEM	\N	111	24040	UROK	\N	\N
3646823	3536	1997-05-31	PRIJEM	\N	112	25211	UROK	\N	\N
3646824	3536	1997-06-30	PRIJEM	\N	114	22985	UROK	\N	\N
3646825	3536	1997-07-31	PRIJEM	\N	93	20797	UROK	\N	\N
3646826	3536	1997-08-31	PRIJEM	\N	93	21849	UROK	\N	\N
3646827	3536	1997-09-30	PRIJEM	\N	99	21207	UROK	\N	\N
3646828	3536	1997-10-31	PRIJEM	\N	88	16655	UROK	\N	\N
3646829	3536	1997-11-30	PRIJEM	\N	71	14585	UROK	\N	\N
3646830	3536	1997-12-31	PRIJEM	\N	67	16552	UROK	\N	\N
3646831	3536	1998-01-31	PRIJEM	\N	65	14617	UROK	\N	\N
3646832	3536	1998-02-28	PRIJEM	\N	63	13379	UROK	\N	\N
3646833	3536	1998-03-31	PRIJEM	\N	60	13998	UROK	\N	\N
3646834	3536	1998-04-30	PRIJEM	\N	66	17724	UROK	\N	\N
3646835	3536	1998-05-31	PRIJEM	\N	80	17863	UROK	\N	\N
3646836	3536	1998-06-30	PRIJEM	\N	77	17260	UROK	\N	\N
3646837	3536	1998-07-31	PRIJEM	\N	72	17711	UROK	\N	\N
3646838	3536	1998-08-31	PRIJEM	\N	79	18149	UROK	\N	\N
3646839	3536	1998-09-30	PRIJEM	\N	78	17486	UROK	\N	\N
3646840	3536	1998-10-31	PRIJEM	\N	68	14094	UROK	\N	\N
3646841	3536	1998-11-30	PRIJEM	\N	59	13912	UROK	\N	\N
3646842	3536	1998-12-31	PRIJEM	\N	65	16596	UROK	\N	\N
3646843	3537	1997-09-30	PRIJEM	\N	24	16967	UROK	\N	\N
3646844	3537	1997-10-31	PRIJEM	\N	83	25092	UROK	\N	\N
3646845	3537	1997-11-30	PRIJEM	\N	110	28645	UROK	\N	\N
3646846	3537	1997-12-31	PRIJEM	\N	127	33886	UROK	\N	\N
3646847	3537	1998-01-31	PRIJEM	\N	125	23308	UROK	\N	\N
3646848	3537	1998-02-28	PRIJEM	\N	79	17521	UROK	\N	\N
3646849	3537	1998-03-31	PRIJEM	\N	72	15826	UROK	\N	\N
3646850	3537	1998-04-30	PRIJEM	\N	67	15727	UROK	\N	\N
3646851	3537	1998-05-31	PRIJEM	\N	68	16328	UROK	\N	\N
3646852	3537	1998-06-30	PRIJEM	\N	76	17709	UROK	\N	\N
3646853	3537	1998-07-31	PRIJEM	\N	58	13101	UROK	\N	\N
3646854	3537	1998-08-31	PRIJEM	\N	62	16096	UROK	\N	\N
3646855	3537	1998-09-30	PRIJEM	\N	74	19702	UROK	\N	\N
3646856	3537	1998-10-31	PRIJEM	\N	84	20320	UROK	\N	\N
3646857	3537	1998-11-30	PRIJEM	\N	80	18133	UROK	\N	\N
3646858	3537	1998-12-31	PRIJEM	\N	72	14310	UROK	\N	\N
3646859	3538	1993-09-30	PRIJEM	\N	81	24409	UROK	\N	\N
3646860	3538	1993-10-31	PRIJEM	\N	147	38185	UROK	\N	\N
3646861	3538	1993-11-30	PRIJEM	\N	172	42085	UROK	\N	\N
3646862	3538	1993-12-31	PRIJEM	\N	207	51484	UROK	\N	\N
3646863	3538	1994-01-31	PRIJEM	\N	171	30383	UROK	\N	\N
3646864	3538	1994-02-28	PRIJEM	\N	205	52601	UROK	\N	\N
3646865	3538	1994-03-31	PRIJEM	\N	205	48499	UROK	\N	\N
3646866	3538	1994-04-30	PRIJEM	\N	191	45263	UROK	\N	\N
3646867	3538	1994-05-31	PRIJEM	\N	271	47248	UROK	\N	\N
3646868	3538	1994-06-30	PRIJEM	\N	201	35586	UROK	\N	\N
3646869	3538	1994-07-31	PRIJEM	\N	209	50108	UROK	\N	\N
3646870	3538	1994-08-31	PRIJEM	\N	241	58882	UROK	\N	\N
3646871	3538	1994-09-30	PRIJEM	\N	271	66366	UROK	\N	\N
3646872	3538	1994-10-31	PRIJEM	\N	289	70269	UROK	\N	\N
3646873	3538	1994-11-30	PRIJEM	\N	298	72181	UROK	\N	\N
3646874	3538	1994-12-31	PRIJEM	\N	344	84942	UROK	\N	\N
3646875	3538	1995-01-31	PRIJEM	\N	244	36680	UROK	\N	\N
3646876	3538	1995-02-28	PRIJEM	\N	156	60349	UROK	\N	\N
3646877	3538	1995-03-31	PRIJEM	\N	276	68338	UROK	\N	\N
3646878	3538	1995-04-30	PRIJEM	\N	227	64918	UROK	\N	\N
3646879	3538	1995-05-31	PRIJEM	\N	265	48397	UROK	\N	\N
3646880	3538	1995-06-30	PRIJEM	\N	201	50076	UROK	\N	\N
3646881	3538	1995-07-31	PRIJEM	\N	207	49496	UROK	\N	\N
3646882	3538	1995-08-31	PRIJEM	\N	204	48114	UROK	\N	\N
3646883	3538	1995-09-30	PRIJEM	\N	199	48626	UROK	\N	\N
3646884	3538	1995-10-31	PRIJEM	\N	256	50375	UROK	\N	\N
3646885	3538	1995-11-30	PRIJEM	\N	238	51326	UROK	\N	\N
3646886	3538	1995-12-31	PRIJEM	\N	280	55904	UROK	\N	\N
3646887	3538	1996-01-31	PRIJEM	\N	260	41197	UROK	\N	\N
3646888	3538	1996-02-29	PRIJEM	\N	204	46254	UROK	\N	\N
3646889	3538	1996-03-31	PRIJEM	\N	194	49661	UROK	\N	\N
3646890	3538	1996-04-30	PRIJEM	\N	208	47783	UROK	\N	\N
3646891	3538	1996-05-31	PRIJEM	\N	200	50696	UROK	\N	\N
3646892	3538	1996-06-30	PRIJEM	\N	253	54827	UROK	\N	\N
3646893	3538	1996-07-31	PRIJEM	\N	229	57269	UROK	\N	\N
3646894	3538	1996-08-31	PRIJEM	\N	252	54334	UROK	\N	\N
3646895	3538	1996-09-30	PRIJEM	\N	244	52692	UROK	\N	\N
3646896	3538	1996-10-31	PRIJEM	\N	214	51119	UROK	\N	\N
3646897	3538	1996-11-30	PRIJEM	\N	206	48438	UROK	\N	\N
3646898	3538	1996-12-31	PRIJEM	\N	259	46475	UROK	\N	\N
3646899	3538	1997-01-31	PRIJEM	\N	187	23956	UROK	\N	\N
3646900	3538	1997-02-28	PRIJEM	\N	110	32579	UROK	\N	\N
3646901	3538	1997-03-31	PRIJEM	\N	136	34728	UROK	\N	\N
3646902	3538	1997-04-30	PRIJEM	\N	145	37487	UROK	\N	\N
3646903	3538	1997-05-31	PRIJEM	\N	158	41058	UROK	\N	\N
3646904	3538	1997-06-30	PRIJEM	\N	140	27796	UROK	\N	\N
3646905	3538	1997-07-31	PRIJEM	\N	129	37439	UROK	\N	\N
3646906	3538	1997-08-31	PRIJEM	\N	174	41226	UROK	\N	\N
3646907	3538	1997-09-30	PRIJEM	\N	165	40505	UROK	\N	\N
3646908	3538	1997-10-31	PRIJEM	\N	160	38978	UROK	\N	\N
3646909	3538	1997-11-30	PRIJEM	\N	173	37064	UROK	\N	\N
3646910	3538	1997-12-31	PRIJEM	\N	168	43510	UROK	\N	\N
3646911	3538	1998-01-31	PRIJEM	\N	155	26878	UROK	\N	\N
3646912	3538	1998-02-28	PRIJEM	\N	118	31809	UROK	\N	\N
3646913	3538	1998-03-31	PRIJEM	\N	153	34495	UROK	\N	\N
3646914	3538	1998-04-30	PRIJEM	\N	153	40761	UROK	\N	\N
3646915	3538	1998-05-31	PRIJEM	\N	174	44949	UROK	\N	\N
3646916	3538	1998-06-30	PRIJEM	\N	190	48716	UROK	\N	\N
3646917	3538	1998-07-31	PRIJEM	\N	206	44856	UROK	\N	\N
3646918	3538	1998-08-31	PRIJEM	\N	179	44248	UROK	\N	\N
3646919	3538	1998-09-30	PRIJEM	\N	173	42634	UROK	\N	\N
3646920	3538	1998-10-31	PRIJEM	\N	165	40612	UROK	\N	\N
3646921	3538	1998-11-30	PRIJEM	\N	177	40003	UROK	\N	\N
3646922	3538	1998-12-31	PRIJEM	\N	191	49272	UROK	\N	\N
3646923	3540	1997-01-31	PRIJEM	\N	12	4460	UROK	\N	\N
3646924	3540	1997-02-28	PRIJEM	\N	49	16457	UROK	\N	\N
3646925	3540	1997-03-31	PRIJEM	\N	94	26199	UROK	\N	\N
3646926	3540	1997-04-30	PRIJEM	\N	125	32372	UROK	\N	\N
3646927	3540	1997-05-31	PRIJEM	\N	140	34560	UROK	\N	\N
3646928	3540	1997-06-30	PRIJEM	\N	119	29228	UROK	\N	\N
3646929	3540	1997-07-31	PRIJEM	\N	115	27512	UROK	\N	\N
3646930	3540	1997-08-31	PRIJEM	\N	119	29700	UROK	\N	\N
3646931	3540	1997-09-30	PRIJEM	\N	122	29189	UROK	\N	\N
3646932	3540	1997-10-31	PRIJEM	\N	111	27569	UROK	\N	\N
3646933	3540	1997-11-30	PRIJEM	\N	119	32256	UROK	\N	\N
3646934	3540	1997-12-31	PRIJEM	\N	137	33132	UROK	\N	\N
3646935	3540	1998-01-31	PRIJEM	\N	136	36146	UROK	\N	\N
3646936	3540	1998-02-28	PRIJEM	\N	153	34667	UROK	\N	\N
3646937	3540	1998-03-31	PRIJEM	\N	146	36631	UROK	\N	\N
3646938	3540	1998-04-30	PRIJEM	\N	157	41657	UROK	\N	\N
3646939	3540	1998-05-31	PRIJEM	\N	174	40890	UROK	\N	\N
3646940	3540	1998-06-30	PRIJEM	\N	171	38769	UROK	\N	\N
3646941	3540	1998-07-31	PRIJEM	\N	166	42804	UROK	\N	\N
3646942	3540	1998-08-31	PRIJEM	\N	177	38650	UROK	\N	\N
3646943	3540	1998-09-30	PRIJEM	\N	156	38034	UROK	\N	\N
3646944	3540	1998-10-31	PRIJEM	\N	162	40365	UROK	\N	\N
3646945	3540	1998-11-30	PRIJEM	\N	171	41704	UROK	\N	\N
3646946	3540	1998-12-31	PRIJEM	\N	176	42578	UROK	\N	\N
3646947	3541	1997-03-31	PRIJEM	\N	15	5900	UROK	\N	\N
3646948	3541	1997-04-30	PRIJEM	\N	25	11410	UROK	\N	\N
3646949	3541	1997-05-31	PRIJEM	\N	25	16919	UROK	\N	\N
3646950	3541	1997-06-30	PRIJEM	\N	27	22431	UROK	\N	\N
3646951	3541	1997-07-31	PRIJEM	\N	97	24473	UROK	\N	\N
3646952	3541	1997-08-31	PRIJEM	\N	108	20261	UROK	\N	\N
3646953	3541	1997-09-30	PRIJEM	\N	88	18848	UROK	\N	\N
3646954	3541	1997-10-31	PRIJEM	\N	88	22716	UROK	\N	\N
3646955	3541	1997-11-30	PRIJEM	\N	101	21396	UROK	\N	\N
3646956	3541	1997-12-31	PRIJEM	\N	89	21305	UROK	\N	\N
3646957	3541	1998-01-31	PRIJEM	\N	84	16608	UROK	\N	\N
3646958	3541	1998-02-28	PRIJEM	\N	68	16695	UROK	\N	\N
3646959	3541	1998-03-31	PRIJEM	\N	79	20554	UROK	\N	\N
3646960	3541	1998-04-30	PRIJEM	\N	86	20659	UROK	\N	\N
3646961	3541	1998-05-31	PRIJEM	\N	93	22611	UROK	\N	\N
3646962	3541	1998-06-30	PRIJEM	\N	104	26494	UROK	\N	\N
3646963	3541	1998-07-31	PRIJEM	\N	120	30393	UROK	\N	\N
3646964	3541	1998-08-31	PRIJEM	\N	136	34109	UROK	\N	\N
3646965	3541	1998-09-30	PRIJEM	\N	146	33034	UROK	\N	\N
3646966	3541	1998-10-31	PRIJEM	\N	142	32355	UROK	\N	\N
3646967	3541	1998-11-30	PRIJEM	\N	135	29269	UROK	\N	\N
3646968	3541	1998-12-31	PRIJEM	\N	129	32228	UROK	\N	\N
3646969	3542	1993-06-30	PRIJEM	\N	10	4011	UROK	\N	\N
3646970	3542	1993-07-31	PRIJEM	\N	17	7429	UROK	\N	\N
3646971	3542	1993-08-31	PRIJEM	\N	17	10846	UROK	\N	\N
3646972	3542	1993-09-30	PRIJEM	\N	17	14264	UROK	\N	\N
3646973	3542	1993-10-31	PRIJEM	\N	19	17684	UROK	\N	\N
3646974	3542	1993-11-30	PRIJEM	\N	76	18039	UROK	\N	\N
3646975	3542	1993-12-31	PRIJEM	\N	77	18756	UROK	\N	\N
3646976	3542	1994-01-31	PRIJEM	\N	74	17729	UROK	\N	\N
3646977	3542	1994-02-28	PRIJEM	\N	72	18051	UROK	\N	\N
3646978	3542	1994-03-31	PRIJEM	\N	78	19248	UROK	\N	\N
3646979	3542	1994-04-30	PRIJEM	\N	83	20450	UROK	\N	\N
3646980	3542	1994-05-31	PRIJEM	\N	88	21658	UROK	\N	\N
3646981	3542	1994-06-30	PRIJEM	\N	89	16866	UROK	\N	\N
3646982	3542	1994-07-31	PRIJEM	\N	73	18058	UROK	\N	\N
3646983	3542	1994-08-31	PRIJEM	\N	78	19256	UROK	\N	\N
3646984	3542	1994-09-30	PRIJEM	\N	82	19527	UROK	\N	\N
3646985	3542	1994-10-31	PRIJEM	\N	80	19977	UROK	\N	\N
3646986	3542	1994-11-30	PRIJEM	\N	84	20281	UROK	\N	\N
3646987	3542	1994-12-31	PRIJEM	\N	84	20793	UROK	\N	\N
3646988	3542	1995-01-31	PRIJEM	\N	77	18360	UROK	\N	\N
3646989	3542	1995-02-28	PRIJEM	\N	79	19559	UROK	\N	\N
3646990	3542	1995-03-31	PRIJEM	\N	84	20762	UROK	\N	\N
3646991	3542	1995-04-30	PRIJEM	\N	88	21580	UROK	\N	\N
3646992	3542	1995-05-31	PRIJEM	\N	91	21500	UROK	\N	\N
3646993	3542	1995-06-30	PRIJEM	\N	73	17323	UROK	\N	\N
3646994	3542	1995-07-31	PRIJEM	\N	75	18517	UROK	\N	\N
3646995	3542	1995-08-31	PRIJEM	\N	80	19716	UROK	\N	\N
3646996	3542	1995-09-30	PRIJEM	\N	81	20226	UROK	\N	\N
3646997	3542	1995-10-31	PRIJEM	\N	87	21432	UROK	\N	\N
3646998	3542	1995-11-30	PRIJEM	\N	91	21323	UROK	\N	\N
3646999	3542	1995-12-31	PRIJEM	\N	86	21088	UROK	\N	\N
3647000	3542	1996-01-31	PRIJEM	\N	82	18299	UROK	\N	\N
3647001	3542	1996-02-29	PRIJEM	\N	76	18325	UROK	\N	\N
3647002	3542	1996-03-31	PRIJEM	\N	79	19523	UROK	\N	\N
3647003	3542	1996-04-30	PRIJEM	\N	84	20726	UROK	\N	\N
3647004	3542	1996-05-31	PRIJEM	\N	89	21934	UROK	\N	\N
3647005	3542	1996-06-30	PRIJEM	\N	83	19236	UROK	\N	\N
3647006	3542	1996-07-31	PRIJEM	\N	82	19417	UROK	\N	\N
3647007	3542	1996-08-31	PRIJEM	\N	83	20620	UROK	\N	\N
3647008	3542	1996-09-30	PRIJEM	\N	88	21827	UROK	\N	\N
3647009	3542	1996-10-31	PRIJEM	\N	93	23039	UROK	\N	\N
3647010	3542	1996-11-30	PRIJEM	\N	98	24257	UROK	\N	\N
3647011	3542	1996-12-31	PRIJEM	\N	102	24788	UROK	\N	\N
3647012	3542	1997-01-31	PRIJEM	\N	99	23817	UROK	\N	\N
3647013	3542	1997-02-28	PRIJEM	\N	101	25037	UROK	\N	\N
3647014	3542	1997-03-31	PRIJEM	\N	106	26263	UROK	\N	\N
3647015	3542	1997-04-30	PRIJEM	\N	107	26769	UROK	\N	\N
3647016	3542	1997-05-31	PRIJEM	\N	105	25744	UROK	\N	\N
3647017	3542	1997-06-30	PRIJEM	\N	105	23488	UROK	\N	\N
3647018	3542	1997-07-31	PRIJEM	\N	99	24707	UROK	\N	\N
3647019	3542	1997-08-31	PRIJEM	\N	104	25931	UROK	\N	\N
3647020	3542	1997-09-30	PRIJEM	\N	109	26709	UROK	\N	\N
3647021	3542	1997-10-31	PRIJEM	\N	113	27941	UROK	\N	\N
3647022	3542	1997-11-30	PRIJEM	\N	118	29178	UROK	\N	\N
3647023	3542	1997-12-31	PRIJEM	\N	122	29640	UROK	\N	\N
3647024	3542	1998-01-31	PRIJEM	\N	116	27935	UROK	\N	\N
3647025	3542	1998-02-28	PRIJEM	\N	117	29172	UROK	\N	\N
3647026	3542	1998-03-31	PRIJEM	\N	123	30414	UROK	\N	\N
3647027	3542	1998-04-30	PRIJEM	\N	128	31661	UROK	\N	\N
3647028	3542	1998-05-31	PRIJEM	\N	133	32913	UROK	\N	\N
3647029	3542	1998-06-30	PRIJEM	\N	116	27758	UROK	\N	\N
3647030	3542	1998-07-31	PRIJEM	\N	115	28063	UROK	\N	\N
3647031	3542	1998-08-31	PRIJEM	\N	118	29300	UROK	\N	\N
3647032	3542	1998-09-30	PRIJEM	\N	123	30542	UROK	\N	\N
3647033	3542	1998-10-31	PRIJEM	\N	128	31789	UROK	\N	\N
3647034	3542	1998-11-30	PRIJEM	\N	133	33041	UROK	\N	\N
3647035	3542	1998-12-31	PRIJEM	\N	138	34148	UROK	\N	\N
3647036	3543	1996-12-31	PRIJEM	\N	2	16607	UROK	\N	\N
3647037	3543	1997-01-31	PRIJEM	\N	65	14855	UROK	\N	\N
3647038	3543	1997-02-28	PRIJEM	\N	65	15952	UROK	\N	\N
3647039	3543	1997-03-31	PRIJEM	\N	70	17055	UROK	\N	\N
3647040	3543	1997-04-30	PRIJEM	\N	75	18162	UROK	\N	\N
3647041	3543	1997-05-31	PRIJEM	\N	79	19273	UROK	\N	\N
3647042	3543	1997-06-30	PRIJEM	\N	84	20389	UROK	\N	\N
3647043	3543	1997-07-31	PRIJEM	\N	86	19327	UROK	\N	\N
3647044	3543	1997-08-31	PRIJEM	\N	84	20444	UROK	\N	\N
3647045	3543	1997-09-30	PRIJEM	\N	89	21565	UROK	\N	\N
3647046	3543	1997-10-31	PRIJEM	\N	89	21276	UROK	\N	\N
3647047	3543	1997-11-30	PRIJEM	\N	90	20928	UROK	\N	\N
3647048	3543	1997-12-31	PRIJEM	\N	91	22051	UROK	\N	\N
3647049	3543	1998-01-31	PRIJEM	\N	76	14860	UROK	\N	\N
3647050	3543	1998-02-28	PRIJEM	\N	57	12749	UROK	\N	\N
3647051	3543	1998-03-31	PRIJEM	\N	51	11632	UROK	\N	\N
3647052	3543	1998-04-30	PRIJEM	\N	49	11614	UROK	\N	\N
3647053	3543	1998-05-31	PRIJEM	\N	52	12698	UROK	\N	\N
3647054	3543	1998-06-30	PRIJEM	\N	56	13786	UROK	\N	\N
3647055	3543	1998-07-31	PRIJEM	\N	57	13766	UROK	\N	\N
3647056	3543	1998-08-31	PRIJEM	\N	57	13655	UROK	\N	\N
3647057	3543	1998-09-30	PRIJEM	\N	60	14748	UROK	\N	\N
3647058	3543	1998-10-31	PRIJEM	\N	57	13337	UROK	\N	\N
3647059	3543	1998-11-30	PRIJEM	\N	58	14038	UROK	\N	\N
3647060	3543	1998-12-31	PRIJEM	\N	62	15132	UROK	\N	\N
3647061	3544	1997-05-31	PRIJEM	\N	75	22351	UROK	\N	\N
3647062	3544	1997-06-30	PRIJEM	\N	133	34048	UROK	\N	\N
3647063	3544	1997-07-31	PRIJEM	\N	204	36328	UROK	\N	\N
3647064	3544	1997-08-31	PRIJEM	\N	201	47806	UROK	\N	\N
3647065	3544	1997-09-30	PRIJEM	\N	153	28859	UROK	\N	\N
3647066	3544	1997-10-31	PRIJEM	\N	82	11052	UROK	\N	\N
3647067	3544	1997-11-30	PRIJEM	\N	82	17820	UROK	\N	\N
3647068	3544	1997-12-31	PRIJEM	\N	155	29449	UROK	\N	\N
3647069	3544	1998-01-31	PRIJEM	\N	110	19245	UROK	\N	\N
3647070	3544	1998-02-28	PRIJEM	\N	90	18422	UROK	\N	\N
3647071	3544	1998-03-31	PRIJEM	\N	105	23313	UROK	\N	\N
3647072	3544	1998-04-30	PRIJEM	\N	115	25115	UROK	\N	\N
3647073	3544	1998-05-31	PRIJEM	\N	106	22308	UROK	\N	\N
3647074	3544	1998-06-30	PRIJEM	\N	130	38112	UROK	\N	\N
3647075	3544	1998-07-31	PRIJEM	\N	131	26929	UROK	\N	\N
3647076	3544	1998-08-31	PRIJEM	\N	124	17140	UROK	\N	\N
3647077	3544	1998-09-30	PRIJEM	\N	85	14811	UROK	\N	\N
3647078	3544	1998-10-31	PRIJEM	\N	74	12872	UROK	\N	\N
3647079	3544	1998-11-30	PRIJEM	\N	69	19727	UROK	\N	\N
3647080	3544	1998-12-31	PRIJEM	\N	113	26815	UROK	\N	\N
3647081	3545	1993-03-31	PRIJEM	\N	39	22542	UROK	\N	\N
3647082	3545	1993-04-30	PRIJEM	\N	111	32257	UROK	\N	\N
3647083	3545	1993-05-31	PRIJEM	\N	148	39908	UROK	\N	\N
3647084	3545	1993-06-30	PRIJEM	\N	184	49596	UROK	\N	\N
3647085	3545	1993-07-31	PRIJEM	\N	208	47487	UROK	\N	\N
3647086	3545	1993-08-31	PRIJEM	\N	182	36240	UROK	\N	\N
3647087	3545	1993-09-30	PRIJEM	\N	159	38229	UROK	\N	\N
3647088	3545	1993-10-31	PRIJEM	\N	167	40126	UROK	\N	\N
3647089	3545	1993-11-30	PRIJEM	\N	169	40125	UROK	\N	\N
3647090	3545	1993-12-31	PRIJEM	\N	184	43120	UROK	\N	\N
3647091	3545	1994-01-31	PRIJEM	\N	156	36787	UROK	\N	\N
3647092	3545	1994-02-28	PRIJEM	\N	175	42152	UROK	\N	\N
3647093	3545	1994-03-31	PRIJEM	\N	171	39753	UROK	\N	\N
3647094	3545	1994-04-30	PRIJEM	\N	196	40780	UROK	\N	\N
3647095	3545	1994-05-31	PRIJEM	\N	157	35768	UROK	\N	\N
3647096	3545	1994-06-30	PRIJEM	\N	143	34462	UROK	\N	\N
3647097	3545	1994-07-31	PRIJEM	\N	171	45964	UROK	\N	\N
3647098	3545	1994-08-31	PRIJEM	\N	200	51194	UROK	\N	\N
3647099	3545	1994-09-30	PRIJEM	\N	198	52142	UROK	\N	\N
3647100	3545	1994-10-31	PRIJEM	\N	206	51579	UROK	\N	\N
3647101	3545	1994-11-30	PRIJEM	\N	204	52113	UROK	\N	\N
3647102	3545	1994-12-31	PRIJEM	\N	234	61599	UROK	\N	\N
3647103	3545	1995-01-31	PRIJEM	\N	203	47912	UROK	\N	\N
3647104	3545	1995-02-28	PRIJEM	\N	187	49329	UROK	\N	\N
3647105	3545	1995-03-31	PRIJEM	\N	202	52262	UROK	\N	\N
3647106	3545	1995-04-30	PRIJEM	\N	202	52295	UROK	\N	\N
3647107	3545	1995-05-31	PRIJEM	\N	212	55237	UROK	\N	\N
3647108	3545	1995-06-30	PRIJEM	\N	205	55873	UROK	\N	\N
3647109	3545	1995-07-31	PRIJEM	\N	207	54811	UROK	\N	\N
3647110	3545	1995-08-31	PRIJEM	\N	211	55752	UROK	\N	\N
3647111	3545	1995-09-30	PRIJEM	\N	207	52290	UROK	\N	\N
3647112	3545	1995-10-31	PRIJEM	\N	195	52515	UROK	\N	\N
3647113	3545	1995-11-30	PRIJEM	\N	190	51235	UROK	\N	\N
3647114	3545	1995-12-31	PRIJEM	\N	200	55686	UROK	\N	\N
3647115	3545	1996-01-31	PRIJEM	\N	167	44004	UROK	\N	\N
3647116	3545	1996-02-29	PRIJEM	\N	163	45497	UROK	\N	\N
3647117	3545	1996-03-31	PRIJEM	\N	163	44690	UROK	\N	\N
3647118	3545	1996-04-30	PRIJEM	\N	162	44782	UROK	\N	\N
3647119	3545	1996-05-31	PRIJEM	\N	157	43269	UROK	\N	\N
3647120	3545	1996-06-30	PRIJEM	\N	153	27753	UROK	\N	\N
3647121	3545	1996-07-31	PRIJEM	\N	106	31689	UROK	\N	\N
3647122	3545	1996-08-31	PRIJEM	\N	139	23658	UROK	\N	\N
3647123	3545	1996-09-30	PRIJEM	\N	126	27314	UROK	\N	\N
3647124	3545	1996-10-31	PRIJEM	\N	139	27183	UROK	\N	\N
3647125	3545	1996-11-30	PRIJEM	\N	139	30452	UROK	\N	\N
3647126	3545	1996-12-31	PRIJEM	\N	172	33515	UROK	\N	\N
3647127	3545	1997-01-31	PRIJEM	\N	150	27396	UROK	\N	\N
3647128	3545	1997-02-28	PRIJEM	\N	137	30363	UROK	\N	\N
3647129	3545	1997-03-31	PRIJEM	\N	133	31646	UROK	\N	\N
3647130	3545	1997-04-30	PRIJEM	\N	126	29543	UROK	\N	\N
3647131	3545	1997-05-31	PRIJEM	\N	145	31418	UROK	\N	\N
3647132	3545	1997-06-30	PRIJEM	\N	148	34758	UROK	\N	\N
3647133	3545	1997-07-31	PRIJEM	\N	165	36653	UROK	\N	\N
3647134	3545	1997-08-31	PRIJEM	\N	162	36365	UROK	\N	\N
3647135	3545	1997-09-30	PRIJEM	\N	164	33260	UROK	\N	\N
3647136	3545	1997-10-31	PRIJEM	\N	151	31441	UROK	\N	\N
3647137	3545	1997-11-30	PRIJEM	\N	149	35721	UROK	\N	\N
3647138	3545	1997-12-31	PRIJEM	\N	177	35749	UROK	\N	\N
3647139	3545	1998-01-31	PRIJEM	\N	151	29391	UROK	\N	\N
3647140	3545	1998-02-28	PRIJEM	\N	133	29254	UROK	\N	\N
3647141	3545	1998-03-31	PRIJEM	\N	138	32522	UROK	\N	\N
3647142	3545	1998-04-30	PRIJEM	\N	132	31804	UROK	\N	\N
3647143	3545	1998-05-31	PRIJEM	\N	144	32698	UROK	\N	\N
3647144	3545	1998-06-30	PRIJEM	\N	161	36090	UROK	\N	\N
3647145	3545	1998-07-31	PRIJEM	\N	156	34176	UROK	\N	\N
3647146	3545	1998-08-31	PRIJEM	\N	134	25300	UROK	\N	\N
3647147	3545	1998-09-30	PRIJEM	\N	112	26643	UROK	\N	\N
3647148	3545	1998-10-31	PRIJEM	\N	108	22381	UROK	\N	\N
3647149	3545	1998-11-30	PRIJEM	\N	119	35330	UROK	\N	\N
3647150	3545	1998-12-31	PRIJEM	\N	178	54599	UROK	\N	\N
3647151	3546	1997-02-28	PRIJEM	\N	58	23132	UROK	\N	\N
3647152	3546	1997-03-31	PRIJEM	\N	169	50175	UROK	\N	\N
3647153	3546	1997-04-30	PRIJEM	\N	242	63091	UROK	\N	\N
3647154	3546	1997-05-31	PRIJEM	\N	284	71349	UROK	\N	\N
3647155	3546	1997-06-30	PRIJEM	\N	339	87800	UROK	\N	\N
3647156	3546	1997-07-31	PRIJEM	\N	307	77713	UROK	\N	\N
3647157	3546	1997-08-31	PRIJEM	\N	293	75112	UROK	\N	\N
3647158	3546	1997-09-30	PRIJEM	\N	286	73804	UROK	\N	\N
3647159	3546	1997-10-31	PRIJEM	\N	281	72992	UROK	\N	\N
3647160	3546	1997-11-30	PRIJEM	\N	281	74579	UROK	\N	\N
3647161	3546	1997-12-31	PRIJEM	\N	334	71756	UROK	\N	\N
3647162	3546	1998-01-31	PRIJEM	\N	302	60365	UROK	\N	\N
3647163	3546	1998-02-28	PRIJEM	\N	282	74653	UROK	\N	\N
3647164	3546	1998-03-31	PRIJEM	\N	305	67865	UROK	\N	\N
3647165	3546	1998-04-30	PRIJEM	\N	306	69177	UROK	\N	\N
3647166	3546	1998-05-31	PRIJEM	\N	316	69300	UROK	\N	\N
3647167	3546	1998-06-30	PRIJEM	\N	300	65843	UROK	\N	\N
3647168	3546	1998-07-31	PRIJEM	\N	301	63651	UROK	\N	\N
3647169	3546	1998-08-31	PRIJEM	\N	292	65049	UROK	\N	\N
3647170	3546	1998-09-30	PRIJEM	\N	294	66150	UROK	\N	\N
3647171	3546	1998-10-31	PRIJEM	\N	297	63253	UROK	\N	\N
3647172	3546	1998-11-30	PRIJEM	\N	288	65747	UROK	\N	\N
3647173	3546	1998-12-31	PRIJEM	\N	323	86013	UROK	\N	\N
3647174	3547	1993-08-31	PRIJEM	\N	13	4339	UROK	\N	\N
3647175	3547	1993-09-30	PRIJEM	\N	18	8383	UROK	\N	\N
3647176	3547	1993-10-31	PRIJEM	\N	18	12427	UROK	\N	\N
3647177	3547	1993-11-30	PRIJEM	\N	18	16471	UROK	\N	\N
3647178	3547	1993-12-31	PRIJEM	\N	52	17215	UROK	\N	\N
3647179	3547	1994-01-31	PRIJEM	\N	66	14288	UROK	\N	\N
3647180	3547	1994-02-28	PRIJEM	\N	63	15678	UROK	\N	\N
3647181	3547	1994-03-31	PRIJEM	\N	66	15711	UROK	\N	\N
3647182	3547	1994-04-30	PRIJEM	\N	67	15986	UROK	\N	\N
3647183	3547	1994-05-31	PRIJEM	\N	70	17383	UROK	\N	\N
3647184	3547	1994-06-30	PRIJEM	\N	76	18786	UROK	\N	\N
3647185	3547	1994-07-31	PRIJEM	\N	82	20195	UROK	\N	\N
3647186	3547	1994-08-31	PRIJEM	\N	88	21610	UROK	\N	\N
3647187	3547	1994-09-30	PRIJEM	\N	83	17660	UROK	\N	\N
3647188	3547	1994-10-31	PRIJEM	\N	74	16822	UROK	\N	\N
3647189	3547	1994-11-30	PRIJEM	\N	73	18223	UROK	\N	\N
3647190	3547	1994-12-31	PRIJEM	\N	76	17966	UROK	\N	\N
3647191	3547	1995-01-31	PRIJEM	\N	62	13275	UROK	\N	\N
3647192	3547	1995-02-28	PRIJEM	\N	58	14661	UROK	\N	\N
3647193	3547	1995-03-31	PRIJEM	\N	64	16053	UROK	\N	\N
3647194	3547	1995-04-30	PRIJEM	\N	68	15128	UROK	\N	\N
3647195	3547	1995-05-31	PRIJEM	\N	64	14679	UROK	\N	\N
3647196	3547	1995-06-30	PRIJEM	\N	64	16071	UROK	\N	\N
3647197	3547	1995-07-31	PRIJEM	\N	70	17468	UROK	\N	\N
3647198	3547	1995-08-31	PRIJEM	\N	76	17992	UROK	\N	\N
3647199	3547	1995-09-30	PRIJEM	\N	78	19397	UROK	\N	\N
3647200	3547	1995-10-31	PRIJEM	\N	79	17283	UROK	\N	\N
3647201	3547	1995-11-30	PRIJEM	\N	73	16683	UROK	\N	\N
3647202	3547	1995-12-31	PRIJEM	\N	71	17032	UROK	\N	\N
3647203	3547	1996-01-31	PRIJEM	\N	62	14341	UROK	\N	\N
3647204	3547	1996-02-29	PRIJEM	\N	63	15731	UROK	\N	\N
3647205	3547	1996-03-31	PRIJEM	\N	69	17127	UROK	\N	\N
3647206	3547	1996-04-30	PRIJEM	\N	74	18529	UROK	\N	\N
3647207	3547	1996-05-31	PRIJEM	\N	78	18654	UROK	\N	\N
3647208	3547	1996-06-30	PRIJEM	\N	77	18379	UROK	\N	\N
3647209	3547	1996-07-31	PRIJEM	\N	78	18263	UROK	\N	\N
3647210	3547	1996-08-31	PRIJEM	\N	77	17108	UROK	\N	\N
3647211	3547	1996-09-30	PRIJEM	\N	74	18509	UROK	\N	\N
3647212	3547	1996-10-31	PRIJEM	\N	73	16150	UROK	\N	\N
3647213	3547	1996-11-30	PRIJEM	\N	70	17547	UROK	\N	\N
3647214	3547	1996-12-31	PRIJEM	\N	74	18249	UROK	\N	\N
3647215	3547	1997-01-31	PRIJEM	\N	71	15087	UROK	\N	\N
3647216	3547	1997-02-28	PRIJEM	\N	64	14878	UROK	\N	\N
3647217	3547	1997-03-31	PRIJEM	\N	65	16270	UROK	\N	\N
3647218	3547	1997-04-30	PRIJEM	\N	70	17667	UROK	\N	\N
3647219	3547	1997-05-31	PRIJEM	\N	72	17227	UROK	\N	\N
3647220	3547	1997-06-30	PRIJEM	\N	74	18628	UROK	\N	\N
3647221	3547	1997-07-31	PRIJEM	\N	79	18755	UROK	\N	\N
3647222	3547	1997-08-31	PRIJEM	\N	80	20163	UROK	\N	\N
3647223	3547	1997-09-30	PRIJEM	\N	80	19011	UROK	\N	\N
3647224	3547	1997-10-31	PRIJEM	\N	81	20419	UROK	\N	\N
3647225	3547	1997-11-30	PRIJEM	\N	87	21834	UROK	\N	\N
3647226	3547	1997-12-31	PRIJEM	\N	93	22854	UROK	\N	\N
3647227	3547	1998-01-31	PRIJEM	\N	78	16179	UROK	\N	\N
3647228	3547	1998-02-28	PRIJEM	\N	69	17575	UROK	\N	\N
3647229	3547	1998-03-31	PRIJEM	\N	75	18978	UROK	\N	\N
3647230	3547	1998-04-30	PRIJEM	\N	81	20386	UROK	\N	\N
3647231	3547	1998-05-31	PRIJEM	\N	87	21800	UROK	\N	\N
3647232	3547	1998-06-30	PRIJEM	\N	92	21669	UROK	\N	\N
3647233	3547	1998-07-31	PRIJEM	\N	92	23088	UROK	\N	\N
3647234	3547	1998-08-31	PRIJEM	\N	98	24513	UROK	\N	\N
3647235	3547	1998-09-30	PRIJEM	\N	104	25944	UROK	\N	\N
3647236	3547	1998-10-31	PRIJEM	\N	106	24658	UROK	\N	\N
3647237	3547	1998-11-30	PRIJEM	\N	104	26089	UROK	\N	\N
3647238	3547	1998-12-31	PRIJEM	\N	108	26425	UROK	\N	\N
3647239	3548	1994-04-30	PRIJEM	\N	88	27612	UROK	\N	\N
3647240	3548	1994-05-31	PRIJEM	\N	116	27249	UROK	\N	\N
3647241	3548	1994-06-30	PRIJEM	\N	99	22259	UROK	\N	\N
3647242	3548	1994-07-31	PRIJEM	\N	99	24280	UROK	\N	\N
3647243	3548	1994-08-31	PRIJEM	\N	102	24503	UROK	\N	\N
3647244	3548	1994-09-30	PRIJEM	\N	104	25028	UROK	\N	\N
3647245	3548	1994-10-31	PRIJEM	\N	109	26458	UROK	\N	\N
3647246	3548	1994-11-30	PRIJEM	\N	110	26090	UROK	\N	\N
3647247	3548	1994-12-31	PRIJEM	\N	101	22513	UROK	\N	\N
3647248	3548	1995-01-31	PRIJEM	\N	71	12855	UROK	\N	\N
3647249	3548	1995-02-28	PRIJEM	\N	61	15338	UROK	\N	\N
3647250	3548	1995-03-31	PRIJEM	\N	72	17831	UROK	\N	\N
3647251	3548	1995-04-30	PRIJEM	\N	82	20334	UROK	\N	\N
3647252	3548	1995-05-31	PRIJEM	\N	92	22848	UROK	\N	\N
3647253	3548	1995-06-30	PRIJEM	\N	84	17553	UROK	\N	\N
3647254	3548	1995-07-31	PRIJEM	\N	73	17328	UROK	\N	\N
3647255	3548	1995-08-31	PRIJEM	\N	80	19829	UROK	\N	\N
3647256	3548	1995-09-30	PRIJEM	\N	80	18970	UROK	\N	\N
3647257	3548	1995-10-31	PRIJEM	\N	87	21478	UROK	\N	\N
3647258	3548	1995-11-30	PRIJEM	\N	97	23997	UROK	\N	\N
3647259	3548	1995-12-31	PRIJEM	\N	105	25673	UROK	\N	\N
3647260	3548	1996-01-31	PRIJEM	\N	104	21928	UROK	\N	\N
3647261	3548	1996-02-29	PRIJEM	\N	95	22525	UROK	\N	\N
3647262	3548	1996-03-31	PRIJEM	\N	97	21283	UROK	\N	\N
3647263	3548	1996-04-30	PRIJEM	\N	96	23800	UROK	\N	\N
3647264	3548	1996-05-31	PRIJEM	\N	104	25206	UROK	\N	\N
3647265	3548	1996-06-30	PRIJEM	\N	78	15445	UROK	\N	\N
3647266	3548	1996-07-31	PRIJEM	\N	62	14648	UROK	\N	\N
3647267	3548	1996-08-31	PRIJEM	\N	70	14260	UROK	\N	\N
3647268	3548	1996-09-30	PRIJEM	\N	64	14665	UROK	\N	\N
3647269	3548	1996-10-31	PRIJEM	\N	68	17155	UROK	\N	\N
3647270	3548	1996-11-30	PRIJEM	\N	73	17890	UROK	\N	\N
3647271	3548	1996-12-31	PRIJEM	\N	79	19240	UROK	\N	\N
3647272	3548	1997-01-31	PRIJEM	\N	75	15337	UROK	\N	\N
3647273	3548	1997-02-28	PRIJEM	\N	71	17828	UROK	\N	\N
3647274	3548	1997-03-31	PRIJEM	\N	81	19051	UROK	\N	\N
3647275	3548	1997-04-30	PRIJEM	\N	86	21558	UROK	\N	\N
3647276	3548	1997-05-31	PRIJEM	\N	97	24076	UROK	\N	\N
3647277	3548	1997-06-30	PRIJEM	\N	95	17742	UROK	\N	\N
3647278	3548	1997-07-31	PRIJEM	\N	81	20244	UROK	\N	\N
3647279	3548	1997-08-31	PRIJEM	\N	91	22757	UROK	\N	\N
3647280	3548	1997-09-30	PRIJEM	\N	92	20390	UROK	\N	\N
3647281	3548	1997-10-31	PRIJEM	\N	91	22903	UROK	\N	\N
3647282	3548	1997-11-30	PRIJEM	\N	102	25426	UROK	\N	\N
3647283	3548	1997-12-31	PRIJEM	\N	111	27309	UROK	\N	\N
3647284	3548	1998-01-31	PRIJEM	\N	97	16667	UROK	\N	\N
3647285	3548	1998-02-28	PRIJEM	\N	73	16441	UROK	\N	\N
3647286	3548	1998-03-31	PRIJEM	\N	75	18937	UROK	\N	\N
3647287	3548	1998-04-30	PRIJEM	\N	85	21444	UROK	\N	\N
3647288	3548	1998-05-31	PRIJEM	\N	95	23961	UROK	\N	\N
3647289	3548	1998-06-30	PRIJEM	\N	98	22880	UROK	\N	\N
3647290	3548	1998-07-31	PRIJEM	\N	101	25403	UROK	\N	\N
3647291	3548	1998-08-31	PRIJEM	\N	112	27936	UROK	\N	\N
3647292	3548	1998-09-30	PRIJEM	\N	122	30479	UROK	\N	\N
3647293	3548	1998-10-31	PRIJEM	\N	133	33034	UROK	\N	\N
3647294	3548	1998-11-30	PRIJEM	\N	143	35598	UROK	\N	\N
3647295	3548	1998-12-31	PRIJEM	\N	151	36971	UROK	\N	\N
3647296	3549	1997-01-31	PRIJEM	\N	59	12399	UROK	\N	\N
3647297	3549	1997-02-28	PRIJEM	\N	57	14074	UROK	\N	\N
3647298	3549	1997-03-31	PRIJEM	\N	64	15757	UROK	\N	\N
3647299	3549	1997-04-30	PRIJEM	\N	69	15604	UROK	\N	\N
3647300	3549	1997-05-31	PRIJEM	\N	70	17293	UROK	\N	\N
3647301	3549	1997-06-30	PRIJEM	\N	71	17222	UROK	\N	\N
3647302	3549	1997-07-31	PRIJEM	\N	77	18918	UROK	\N	\N
3647303	3549	1997-08-31	PRIJEM	\N	84	20621	UROK	\N	\N
3647304	3549	1997-09-30	PRIJEM	\N	82	19321	UROK	\N	\N
3647305	3549	1997-10-31	PRIJEM	\N	86	21025	UROK	\N	\N
3647306	3549	1997-11-30	PRIJEM	\N	81	17605	UROK	\N	\N
3647307	3549	1997-12-31	PRIJEM	\N	76	18549	UROK	\N	\N
3647308	3549	1998-01-31	PRIJEM	\N	65	14222	UROK	\N	\N
3647309	3549	1998-02-28	PRIJEM	\N	65	15904	UROK	\N	\N
3647310	3549	1998-03-31	PRIJEM	\N	72	17594	UROK	\N	\N
3647311	3549	1998-04-30	PRIJEM	\N	79	19291	UROK	\N	\N
3647312	3549	1998-05-31	PRIJEM	\N	85	20514	UROK	\N	\N
3647313	3549	1998-06-30	PRIJEM	\N	72	15955	UROK	\N	\N
3647314	3549	1998-07-31	PRIJEM	\N	72	17645	UROK	\N	\N
3647315	3549	1998-08-31	PRIJEM	\N	79	19342	UROK	\N	\N
3647316	3549	1998-09-30	PRIJEM	\N	84	18644	UROK	\N	\N
3647317	3549	1998-10-31	PRIJEM	\N	82	17624	UROK	\N	\N
3647318	3549	1998-11-30	PRIJEM	\N	79	19321	UROK	\N	\N
3647319	3549	1998-12-31	PRIJEM	\N	77	18067	UROK	\N	\N
3647320	3550	1996-07-31	PRIJEM	\N	36	14180	UROK	\N	\N
3647321	3550	1996-08-31	PRIJEM	\N	110	34134	UROK	\N	\N
3647322	3550	1996-09-30	PRIJEM	\N	164	42942	UROK	\N	\N
3647323	3550	1996-10-31	PRIJEM	\N	191	48077	UROK	\N	\N
3647324	3550	1996-11-30	PRIJEM	\N	207	51028	UROK	\N	\N
3647325	3550	1996-12-31	PRIJEM	\N	162	40009	UROK	\N	\N
3647326	3550	1997-01-31	PRIJEM	\N	142	31319	UROK	\N	\N
3647327	3550	1997-02-28	PRIJEM	\N	136	35822	UROK	\N	\N
3647328	3550	1997-03-31	PRIJEM	\N	126	31775	UROK	\N	\N
3647329	3550	1997-04-30	PRIJEM	\N	138	36281	UROK	\N	\N
3647330	3550	1997-05-31	PRIJEM	\N	145	33133	UROK	\N	\N
3647331	3550	1997-06-30	PRIJEM	\N	138	24391	UROK	\N	\N
3647332	3550	1997-07-31	PRIJEM	\N	109	30267	UROK	\N	\N
3647333	3550	1997-08-31	PRIJEM	\N	132	34467	UROK	\N	\N
3647334	3550	1997-09-30	PRIJEM	\N	148	36583	UROK	\N	\N
3647335	3550	1997-10-31	PRIJEM	\N	160	42410	UROK	\N	\N
3647336	3550	1997-11-30	PRIJEM	\N	155	35631	UROK	\N	\N
3647337	3550	1997-12-31	PRIJEM	\N	153	32263	UROK	\N	\N
3647338	3550	1998-01-31	PRIJEM	\N	137	32467	UROK	\N	\N
3647339	3550	1998-02-28	PRIJEM	\N	127	31682	UROK	\N	\N
3647340	3550	1998-03-31	PRIJEM	\N	134	31183	UROK	\N	\N
3647341	3550	1998-04-30	PRIJEM	\N	125	32555	UROK	\N	\N
3647342	3550	1998-05-31	PRIJEM	\N	139	33761	UROK	\N	\N
3647343	3550	1998-06-30	PRIJEM	\N	122	30063	UROK	\N	\N
3647344	3550	1998-07-31	PRIJEM	\N	120	32370	UROK	\N	\N
3647345	3550	1998-08-31	PRIJEM	\N	135	31872	UROK	\N	\N
3647346	3550	1998-09-30	PRIJEM	\N	136	34776	UROK	\N	\N
3647347	3550	1998-10-31	PRIJEM	\N	140	30983	UROK	\N	\N
3647348	3550	1998-11-30	PRIJEM	\N	130	32180	UROK	\N	\N
3647349	3550	1998-12-31	PRIJEM	\N	146	39586	UROK	\N	\N
3647350	3551	1993-11-30	PRIJEM	\N	30	14418	UROK	\N	\N
3647351	3551	1993-12-31	PRIJEM	\N	79	23285	UROK	\N	\N
3647352	3551	1994-01-31	PRIJEM	\N	104	26377	UROK	\N	\N
3647353	3551	1994-02-28	PRIJEM	\N	112	27477	UROK	\N	\N
3647354	3551	1994-03-31	PRIJEM	\N	118	28724	UROK	\N	\N
3647355	3551	1994-04-30	PRIJEM	\N	118	27143	UROK	\N	\N
3647356	3551	1994-05-31	PRIJEM	\N	113	26237	UROK	\N	\N
3647357	3551	1994-06-30	PRIJEM	\N	113	26301	UROK	\N	\N
3647358	3551	1994-07-31	PRIJEM	\N	115	27898	UROK	\N	\N
3647359	3551	1994-08-31	PRIJEM	\N	113	25642	UROK	\N	\N
3647360	3551	1994-09-30	PRIJEM	\N	111	26835	UROK	\N	\N
3647361	3551	1994-10-31	PRIJEM	\N	108	25125	UROK	\N	\N
3647362	3551	1994-11-30	PRIJEM	\N	107	25613	UROK	\N	\N
3647363	3551	1994-12-31	PRIJEM	\N	109	26053	UROK	\N	\N
3647364	3551	1995-01-31	PRIJEM	\N	95	19519	UROK	\N	\N
3647365	3551	1995-02-28	PRIJEM	\N	103	26403	UROK	\N	\N
3647366	3551	1995-03-31	PRIJEM	\N	117	28401	UROK	\N	\N
3647367	3551	1995-04-30	PRIJEM	\N	115	27098	UROK	\N	\N
3647368	3551	1995-05-31	PRIJEM	\N	110	25989	UROK	\N	\N
3647369	3551	1995-06-30	PRIJEM	\N	99	19449	UROK	\N	\N
3647370	3551	1995-07-31	PRIJEM	\N	88	21259	UROK	\N	\N
3647371	3551	1995-08-31	PRIJEM	\N	94	22735	UROK	\N	\N
3647372	3551	1995-09-30	PRIJEM	\N	103	25119	UROK	\N	\N
3647373	3551	1995-10-31	PRIJEM	\N	107	25908	UROK	\N	\N
3647374	3551	1995-11-30	PRIJEM	\N	112	27101	UROK	\N	\N
3647375	3551	1995-12-31	PRIJEM	\N	117	28340	UROK	\N	\N
3647376	3551	1996-01-31	PRIJEM	\N	108	24789	UROK	\N	\N
3647377	3551	1996-02-29	PRIJEM	\N	118	28739	UROK	\N	\N
3647378	3551	1996-03-31	PRIJEM	\N	117	28037	UROK	\N	\N
3647379	3551	1996-04-30	PRIJEM	\N	121	29440	UROK	\N	\N
3647380	3551	1996-05-31	PRIJEM	\N	130	31551	UROK	\N	\N
3647381	3551	1996-06-30	PRIJEM	\N	111	21953	UROK	\N	\N
3647382	3551	1996-07-31	PRIJEM	\N	116	28951	UROK	\N	\N
3647383	3551	1996-08-31	PRIJEM	\N	121	29253	UROK	\N	\N
3647384	3551	1996-09-30	PRIJEM	\N	120	28954	UROK	\N	\N
3647385	3551	1996-10-31	PRIJEM	\N	123	29859	UROK	\N	\N
3647386	3551	1996-11-30	PRIJEM	\N	124	32764	UROK	\N	\N
3647387	3551	1996-12-31	PRIJEM	\N	138	30164	UROK	\N	\N
3647388	3551	1997-01-31	PRIJEM	\N	125	28760	UROK	\N	\N
3647389	3551	1997-02-28	PRIJEM	\N	123	30865	UROK	\N	\N
3647390	3551	1997-03-31	PRIJEM	\N	132	32678	UROK	\N	\N
3647391	3551	1997-04-30	PRIJEM	\N	139	34028	UROK	\N	\N
3647392	3551	1997-05-31	PRIJEM	\N	140	34459	UROK	\N	\N
3647393	3551	1997-06-30	PRIJEM	\N	127	31858	UROK	\N	\N
3647394	3551	1997-07-31	PRIJEM	\N	138	37277	UROK	\N	\N
3647395	3551	1997-08-31	PRIJEM	\N	155	38353	UROK	\N	\N
3647396	3551	1997-09-30	PRIJEM	\N	159	34394	UROK	\N	\N
3647397	3551	1997-10-31	PRIJEM	\N	145	34120	UROK	\N	\N
3647398	3551	1997-11-30	PRIJEM	\N	139	31010	UROK	\N	\N
3647399	3551	1997-12-31	PRIJEM	\N	130	30852	UROK	\N	\N
3647400	3551	1998-01-31	PRIJEM	\N	126	30439	UROK	\N	\N
3647401	3551	1998-02-28	PRIJEM	\N	125	29025	UROK	\N	\N
3647402	3551	1998-03-31	PRIJEM	\N	118	24524	UROK	\N	\N
3647403	3551	1998-04-30	PRIJEM	\N	98	19704	UROK	\N	\N
3647404	3551	1998-05-31	PRIJEM	\N	77	15002	UROK	\N	\N
3647405	3551	1998-06-30	PRIJEM	\N	63	14546	UROK	\N	\N
3647406	3551	1998-07-31	PRIJEM	\N	62	15689	UROK	\N	\N
3647407	3551	1998-08-31	PRIJEM	\N	67	16838	UROK	\N	\N
3647408	3551	1998-09-30	PRIJEM	\N	69	16878	UROK	\N	\N
3647409	3551	1998-10-31	PRIJEM	\N	69	17309	UROK	\N	\N
3647410	3551	1998-11-30	PRIJEM	\N	72	17323	UROK	\N	\N
3647411	3551	1998-12-31	PRIJEM	\N	73	18297	UROK	\N	\N
3647412	3552	1995-09-30	PRIJEM	\N	36	11809	UROK	\N	\N
3647413	3552	1995-10-31	PRIJEM	\N	113	32695	UROK	\N	\N
3647414	3552	1995-11-30	PRIJEM	\N	155	38923	UROK	\N	\N
3647415	3552	1995-12-31	PRIJEM	\N	193	49025	UROK	\N	\N
3647416	3552	1996-01-31	PRIJEM	\N	182	36773	UROK	\N	\N
3647417	3552	1996-02-29	PRIJEM	\N	149	34132	UROK	\N	\N
3647418	3552	1996-03-31	PRIJEM	\N	154	36796	UROK	\N	\N
3647419	3552	1996-04-30	PRIJEM	\N	151	34757	UROK	\N	\N
3647420	3552	1996-05-31	PRIJEM	\N	146	34114	UROK	\N	\N
3647421	3552	1996-06-30	PRIJEM	\N	114	25495	UROK	\N	\N
3647422	3552	1996-07-31	PRIJEM	\N	133	33038	UROK	\N	\N
3647423	3552	1996-08-31	PRIJEM	\N	168	40636	UROK	\N	\N
3647424	3552	1996-09-30	PRIJEM	\N	180	41506	UROK	\N	\N
3647425	3552	1996-10-31	PRIJEM	\N	181	42697	UROK	\N	\N
3647426	3552	1996-11-30	PRIJEM	\N	183	42130	UROK	\N	\N
3647427	3552	1996-12-31	PRIJEM	\N	201	46158	UROK	\N	\N
3647428	3552	1997-01-31	PRIJEM	\N	146	34955	UROK	\N	\N
3647429	3552	1997-02-28	PRIJEM	\N	161	43125	UROK	\N	\N
3647430	3552	1997-03-31	PRIJEM	\N	177	45952	UROK	\N	\N
3647431	3552	1997-04-30	PRIJEM	\N	207	53369	UROK	\N	\N
3647432	3552	1997-05-31	PRIJEM	\N	235	57815	UROK	\N	\N
3647433	3552	1997-06-30	PRIJEM	\N	238	59380	UROK	\N	\N
3647434	3552	1997-07-31	PRIJEM	\N	258	59749	UROK	\N	\N
3647435	3552	1997-08-31	PRIJEM	\N	261	62120	UROK	\N	\N
3647436	3552	1997-09-30	PRIJEM	\N	269	62099	UROK	\N	\N
3647437	3552	1997-10-31	PRIJEM	\N	261	59050	UROK	\N	\N
3647438	3552	1997-11-30	PRIJEM	\N	258	61518	UROK	\N	\N
3647439	3552	1997-12-31	PRIJEM	\N	277	68062	UROK	\N	\N
3647440	3552	1998-01-31	PRIJEM	\N	274	61447	UROK	\N	\N
3647441	3552	1998-02-28	PRIJEM	\N	262	63659	UROK	\N	\N
3647442	3552	1998-03-31	PRIJEM	\N	278	68048	UROK	\N	\N
3647443	3552	1998-04-30	PRIJEM	\N	296	71674	UROK	\N	\N
3647444	3552	1998-05-31	PRIJEM	\N	308	73473	UROK	\N	\N
3647445	3552	1998-06-30	PRIJEM	\N	294	72374	UROK	\N	\N
3647446	3552	1998-07-31	PRIJEM	\N	310	73394	UROK	\N	\N
3647447	3552	1998-08-31	PRIJEM	\N	318	77222	UROK	\N	\N
3647448	3552	1998-09-30	PRIJEM	\N	327	76459	UROK	\N	\N
3647449	3552	1998-10-31	PRIJEM	\N	319	73188	UROK	\N	\N
3647450	3552	1998-11-30	PRIJEM	\N	308	72207	UROK	\N	\N
3647451	3552	1998-12-31	PRIJEM	\N	312	73386	UROK	\N	\N
3647452	3555	1994-10-31	PRIJEM	\N	17	21465	UROK	\N	\N
3647453	3555	1994-11-30	PRIJEM	\N	99	33613	UROK	\N	\N
3647454	3555	1994-12-31	PRIJEM	\N	150	44485	UROK	\N	\N
3647455	3555	1995-01-31	PRIJEM	\N	185	44517	UROK	\N	\N
3647456	3555	1995-02-28	PRIJEM	\N	187	47252	UROK	\N	\N
3647457	3555	1995-03-31	PRIJEM	\N	204	41712	UROK	\N	\N
3647458	3555	1995-04-30	PRIJEM	\N	184	39451	UROK	\N	\N
3647459	3555	1995-05-31	PRIJEM	\N	172	35378	UROK	\N	\N
3647460	3555	1995-06-30	PRIJEM	\N	177	38984	UROK	\N	\N
3647461	3555	1995-07-31	PRIJEM	\N	146	28485	UROK	\N	\N
3647462	3555	1995-08-31	PRIJEM	\N	132	31272	UROK	\N	\N
3647463	3555	1995-09-30	PRIJEM	\N	114	22142	UROK	\N	\N
3647464	3555	1995-10-31	PRIJEM	\N	103	23500	UROK	\N	\N
3647465	3555	1995-11-30	PRIJEM	\N	107	24863	UROK	\N	\N
3647466	3555	1995-12-31	PRIJEM	\N	109	26701	UROK	\N	\N
3647467	3555	1996-01-31	PRIJEM	\N	105	22447	UROK	\N	\N
3647468	3555	1996-02-29	PRIJEM	\N	101	20703	UROK	\N	\N
3647469	3555	1996-03-31	PRIJEM	\N	101	25960	UROK	\N	\N
3647470	3555	1996-04-30	PRIJEM	\N	116	27632	UROK	\N	\N
3647471	3555	1996-05-31	PRIJEM	\N	120	27807	UROK	\N	\N
3647472	3555	1996-06-30	PRIJEM	\N	129	24365	UROK	\N	\N
3647473	3555	1996-07-31	PRIJEM	\N	103	22926	UROK	\N	\N
3647474	3555	1996-08-31	PRIJEM	\N	112	29593	UROK	\N	\N
3647475	3555	1996-09-30	PRIJEM	\N	126	30074	UROK	\N	\N
3647476	3555	1996-10-31	PRIJEM	\N	116	25467	UROK	\N	\N
3647477	3555	1996-11-30	PRIJEM	\N	114	28937	UROK	\N	\N
3647478	3555	1996-12-31	PRIJEM	\N	124	22129	UROK	\N	\N
3647479	3555	1997-01-31	PRIJEM	\N	111	27295	UROK	\N	\N
3647480	3555	1997-02-28	PRIJEM	\N	143	40694	UROK	\N	\N
3647481	3555	1997-03-31	PRIJEM	\N	162	37712	UROK	\N	\N
3647482	3555	1997-04-30	PRIJEM	\N	145	35498	UROK	\N	\N
3647483	3555	1997-05-31	PRIJEM	\N	165	28976	UROK	\N	\N
3647484	3555	1997-06-30	PRIJEM	\N	171	42577	UROK	\N	\N
3647485	3555	1997-07-31	PRIJEM	\N	195	50828	UROK	\N	\N
3647486	3555	1997-08-31	PRIJEM	\N	210	52893	UROK	\N	\N
3647487	3555	1997-09-30	PRIJEM	\N	203	41251	UROK	\N	\N
3647488	3555	1997-10-31	PRIJEM	\N	179	46486	UROK	\N	\N
3647489	3555	1997-11-30	PRIJEM	\N	190	48347	UROK	\N	\N
3647490	3555	1997-12-31	PRIJEM	\N	153	25235	UROK	\N	\N
3647491	3555	1998-01-31	PRIJEM	\N	109	24399	UROK	\N	\N
3647492	3555	1998-02-28	PRIJEM	\N	123	35277	UROK	\N	\N
3647493	3555	1998-03-31	PRIJEM	\N	141	37095	UROK	\N	\N
3647494	3555	1998-04-30	PRIJEM	\N	128	36781	UROK	\N	\N
3647495	3555	1998-05-31	PRIJEM	\N	156	40693	UROK	\N	\N
3647496	3555	1998-06-30	PRIJEM	\N	153	40238	UROK	\N	\N
3647497	3555	1998-07-31	PRIJEM	\N	167	31640	UROK	\N	\N
3647498	3555	1998-08-31	PRIJEM	\N	141	37836	UROK	\N	\N
3647499	3555	1998-09-30	PRIJEM	\N	148	38240	UROK	\N	\N
3647500	3555	1998-10-31	PRIJEM	\N	119	33314	UROK	\N	\N
3647501	3555	1998-11-30	PRIJEM	\N	148	39617	UROK	\N	\N
3647502	3555	1998-12-31	PRIJEM	\N	168	47620	UROK	\N	\N
3647503	3556	1997-09-30	PRIJEM	\N	10	24393	UROK	\N	\N
3647504	3556	1997-10-31	PRIJEM	\N	106	32582	UROK	\N	\N
3647505	3556	1997-11-30	PRIJEM	\N	138	36803	UROK	\N	\N
3647506	3556	1997-12-31	PRIJEM	\N	160	47187	UROK	\N	\N
3647507	3556	1998-01-31	PRIJEM	\N	179	21313	UROK	\N	\N
3647508	3556	1998-02-28	PRIJEM	\N	120	30416	UROK	\N	\N
3647509	3556	1998-03-31	PRIJEM	\N	154	30133	UROK	\N	\N
3647510	3556	1998-04-30	PRIJEM	\N	102	23480	UROK	\N	\N
3647511	3556	1998-05-31	PRIJEM	\N	140	29564	UROK	\N	\N
3647512	3556	1998-06-30	PRIJEM	\N	178	28487	UROK	\N	\N
3647513	3556	1998-07-31	PRIJEM	\N	140	29757	UROK	\N	\N
3647514	3556	1998-08-31	PRIJEM	\N	137	22938	UROK	\N	\N
3647515	3556	1998-09-30	PRIJEM	\N	128	24334	UROK	\N	\N
3647516	3556	1998-10-31	PRIJEM	\N	127	24692	UROK	\N	\N
3647517	3556	1998-11-30	PRIJEM	\N	133	29355	UROK	\N	\N
3647518	3556	1998-12-31	PRIJEM	\N	127	22496	UROK	\N	\N
3647519	3557	1996-11-30	PRIJEM	\N	10	3803	UROK	\N	\N
3647520	3557	1996-12-31	PRIJEM	\N	16	7211	UROK	\N	\N
3647521	3557	1997-01-31	PRIJEM	\N	16	10620	UROK	\N	\N
3647522	3557	1997-02-28	PRIJEM	\N	16	14029	UROK	\N	\N
3647523	3557	1997-03-31	PRIJEM	\N	18	17440	UROK	\N	\N
3647524	3557	1997-04-30	PRIJEM	\N	75	18390	UROK	\N	\N
3647525	3557	1997-05-31	PRIJEM	\N	79	19106	UROK	\N	\N
3647526	3557	1997-06-30	PRIJEM	\N	72	16574	UROK	\N	\N
3647527	3557	1997-07-31	PRIJEM	\N	70	17430	UROK	\N	\N
3647528	3557	1997-08-31	PRIJEM	\N	75	18622	UROK	\N	\N
3647529	3557	1997-09-30	PRIJEM	\N	80	19819	UROK	\N	\N
3647530	3557	1997-10-31	PRIJEM	\N	85	21021	UROK	\N	\N
3647531	3557	1997-11-30	PRIJEM	\N	90	21867	UROK	\N	\N
3647532	3557	1997-12-31	PRIJEM	\N	93	22416	UROK	\N	\N
3647533	3557	1998-01-31	PRIJEM	\N	85	16957	UROK	\N	\N
3647534	3557	1998-02-28	PRIJEM	\N	73	18147	UROK	\N	\N
3647535	3557	1998-03-31	PRIJEM	\N	78	19342	UROK	\N	\N
3647536	3557	1998-04-30	PRIJEM	\N	81	20149	UROK	\N	\N
3647537	3557	1998-05-31	PRIJEM	\N	84	20869	UROK	\N	\N
3647538	3557	1998-06-30	PRIJEM	\N	88	20334	UROK	\N	\N
3647539	3557	1998-07-31	PRIJEM	\N	82	20062	UROK	\N	\N
3647540	3557	1998-08-31	PRIJEM	\N	86	21265	UROK	\N	\N
3647541	3557	1998-09-30	PRIJEM	\N	91	22472	UROK	\N	\N
3647542	3557	1998-10-31	PRIJEM	\N	96	23685	UROK	\N	\N
3647543	3557	1998-11-30	PRIJEM	\N	101	24903	UROK	\N	\N
3647544	3557	1998-12-31	PRIJEM	\N	106	25795	UROK	\N	\N
3647545	3558	1993-06-30	PRIJEM	\N	54	43368	UROK	\N	\N
3647546	3558	1993-07-31	PRIJEM	\N	198	56409	UROK	\N	\N
3647547	3558	1993-08-31	PRIJEM	\N	243	62195	UROK	\N	\N
3647548	3558	1993-09-30	PRIJEM	\N	294	53632	UROK	\N	\N
3647549	3558	1993-10-31	PRIJEM	\N	215	40368	UROK	\N	\N
3647550	3558	1993-11-30	PRIJEM	\N	168	32170	UROK	\N	\N
3647551	3558	1993-12-31	PRIJEM	\N	233	55539	UROK	\N	\N
3647552	3558	1994-01-31	PRIJEM	\N	179	40232	UROK	\N	\N
3647553	3558	1994-02-28	PRIJEM	\N	188	45933	UROK	\N	\N
3647554	3558	1994-03-31	PRIJEM	\N	220	50418	UROK	\N	\N
3647555	3558	1994-04-30	PRIJEM	\N	185	41941	UROK	\N	\N
3647556	3558	1994-05-31	PRIJEM	\N	158	38924	UROK	\N	\N
3647557	3558	1994-06-30	PRIJEM	\N	245	61005	UROK	\N	\N
3647558	3558	1994-07-31	PRIJEM	\N	287	65658	UROK	\N	\N
3647559	3558	1994-08-31	PRIJEM	\N	272	61495	UROK	\N	\N
3647560	3558	1994-09-30	PRIJEM	\N	198	29580	UROK	\N	\N
3647561	3558	1994-10-31	PRIJEM	\N	173	45619	UROK	\N	\N
3647562	3558	1994-11-30	PRIJEM	\N	192	48821	UROK	\N	\N
3647563	3558	1994-12-31	PRIJEM	\N	246	57163	UROK	\N	\N
3647564	3558	1995-01-31	PRIJEM	\N	197	29525	UROK	\N	\N
3647565	3558	1995-02-28	PRIJEM	\N	215	47106	UROK	\N	\N
3647566	3558	1995-03-31	PRIJEM	\N	205	46076	UROK	\N	\N
3647567	3558	1995-04-30	PRIJEM	\N	216	54657	UROK	\N	\N
3647568	3558	1995-05-31	PRIJEM	\N	233	50456	UROK	\N	\N
3647569	3558	1995-06-30	PRIJEM	\N	210	43258	UROK	\N	\N
3647570	3558	1995-07-31	PRIJEM	\N	196	50119	UROK	\N	\N
3647571	3558	1995-08-31	PRIJEM	\N	287	80571	UROK	\N	\N
3647572	3558	1995-09-30	PRIJEM	\N	352	89029	UROK	\N	\N
3647573	3558	1995-10-31	PRIJEM	\N	342	89329	UROK	\N	\N
3647574	3558	1995-11-30	PRIJEM	\N	345	88940	UROK	\N	\N
3647575	3558	1995-12-31	PRIJEM	\N	419	115195	UROK	\N	\N
3647576	3558	1996-01-31	PRIJEM	\N	336	62296	UROK	\N	\N
3647577	3558	1996-02-29	PRIJEM	\N	246	63563	UROK	\N	\N
3647578	3558	1996-03-31	PRIJEM	\N	254	61090	UROK	\N	\N
3647579	3558	1996-04-30	PRIJEM	\N	251	73228	UROK	\N	\N
3647580	3558	1996-05-31	PRIJEM	\N	330	88423	UROK	\N	\N
3647581	3558	1996-06-30	PRIJEM	\N	261	41021	UROK	\N	\N
3647582	3558	1996-07-31	PRIJEM	\N	249	59271	UROK	\N	\N
3647583	3558	1996-08-31	PRIJEM	\N	312	84873	UROK	\N	\N
3647584	3558	1996-09-30	PRIJEM	\N	361	97799	UROK	\N	\N
3647585	3558	1996-10-31	PRIJEM	\N	407	108071	UROK	\N	\N
3647586	3558	1996-11-30	PRIJEM	\N	322	86068	UROK	\N	\N
3647587	3558	1996-12-31	PRIJEM	\N	372	110497	UROK	\N	\N
3647588	3558	1997-01-31	PRIJEM	\N	367	86329	UROK	\N	\N
3647589	3558	1997-02-28	PRIJEM	\N	311	59509	UROK	\N	\N
3647590	3558	1997-03-31	PRIJEM	\N	280	80103	UROK	\N	\N
3647591	3558	1997-04-30	PRIJEM	\N	341	92520	UROK	\N	\N
3647592	3558	1997-05-31	PRIJEM	\N	371	87217	UROK	\N	\N
3647593	3558	1997-06-30	PRIJEM	\N	298	61240	UROK	\N	\N
3647594	3558	1997-07-31	PRIJEM	\N	292	82297	UROK	\N	\N
3647595	3558	1997-08-31	PRIJEM	\N	353	74616	UROK	\N	\N
3647596	3558	1997-09-30	PRIJEM	\N	271	53438	UROK	\N	\N
3647597	3558	1997-10-31	PRIJEM	\N	311	68614	UROK	\N	\N
3647598	3558	1997-11-30	PRIJEM	\N	368	76648	UROK	\N	\N
3647599	3558	1997-12-31	PRIJEM	\N	314	60620	UROK	\N	\N
3647600	3558	1998-01-31	PRIJEM	\N	257	58341	UROK	\N	\N
3647601	3558	1998-02-28	PRIJEM	\N	307	64907	UROK	\N	\N
3647602	3558	1998-03-31	PRIJEM	\N	353	75925	UROK	\N	\N
3647603	3558	1998-04-30	PRIJEM	\N	328	75689	UROK	\N	\N
3647604	3558	1998-05-31	PRIJEM	\N	322	65711	UROK	\N	\N
3647605	3558	1998-06-30	PRIJEM	\N	388	72236	UROK	\N	\N
3647606	3558	1998-07-31	PRIJEM	\N	334	68883	UROK	\N	\N
3647607	3558	1998-08-31	PRIJEM	\N	335	69499	UROK	\N	\N
3647608	3558	1998-09-30	PRIJEM	\N	361	86026	UROK	\N	\N
3647609	3558	1998-10-31	PRIJEM	\N	302	67673	UROK	\N	\N
3647610	3558	1998-11-30	PRIJEM	\N	350	83989	UROK	\N	\N
3647611	3558	1998-12-31	PRIJEM	\N	371	66658	UROK	\N	\N
3647612	3559	1996-01-31	PRIJEM	\N	8	19244	UROK	\N	\N
3647613	3559	1996-02-29	PRIJEM	\N	82	27162	UROK	\N	\N
3647614	3559	1996-03-31	PRIJEM	\N	115	31913	UROK	\N	\N
3647615	3559	1996-04-30	PRIJEM	\N	134	34883	UROK	\N	\N
3647616	3559	1996-05-31	PRIJEM	\N	146	36764	UROK	\N	\N
3647617	3559	1996-06-30	PRIJEM	\N	139	28925	UROK	\N	\N
3647618	3559	1996-07-31	PRIJEM	\N	144	33873	UROK	\N	\N
3647619	3559	1996-08-31	PRIJEM	\N	155	32231	UROK	\N	\N
3647620	3559	1996-09-30	PRIJEM	\N	155	34789	UROK	\N	\N
3647621	3559	1996-10-31	PRIJEM	\N	159	32851	UROK	\N	\N
3647622	3559	1996-11-30	PRIJEM	\N	158	37013	UROK	\N	\N
3647623	3559	1996-12-31	PRIJEM	\N	183	38817	UROK	\N	\N
3647624	3559	1997-01-31	PRIJEM	\N	162	36282	UROK	\N	\N
3647625	3559	1997-02-28	PRIJEM	\N	172	41257	UROK	\N	\N
3647626	3559	1997-03-31	PRIJEM	\N	188	40848	UROK	\N	\N
3647627	3559	1997-04-30	PRIJEM	\N	182	39434	UROK	\N	\N
3647628	3559	1997-05-31	PRIJEM	\N	173	39610	UROK	\N	\N
3647629	3559	1997-06-30	PRIJEM	\N	175	38807	UROK	\N	\N
3647630	3559	1997-07-31	PRIJEM	\N	180	44290	UROK	\N	\N
3647631	3559	1997-08-31	PRIJEM	\N	209	52402	UROK	\N	\N
3647632	3559	1997-09-30	PRIJEM	\N	230	52435	UROK	\N	\N
3647633	3559	1997-10-31	PRIJEM	\N	233	54672	UROK	\N	\N
3647634	3559	1997-11-30	PRIJEM	\N	232	51307	UROK	\N	\N
3647635	3559	1997-12-31	PRIJEM	\N	234	53962	UROK	\N	\N
3647636	3559	1998-01-31	PRIJEM	\N	212	41778	UROK	\N	\N
3647637	3559	1998-02-28	PRIJEM	\N	179	40461	UROK	\N	\N
3647638	3559	1998-03-31	PRIJEM	\N	180	41444	UROK	\N	\N
3647639	3559	1998-04-30	PRIJEM	\N	186	44533	UROK	\N	\N
3647640	3559	1998-05-31	PRIJEM	\N	195	45432	UROK	\N	\N
3647641	3559	1998-06-30	PRIJEM	\N	158	35311	UROK	\N	\N
3647642	3559	1998-07-31	PRIJEM	\N	164	40578	UROK	\N	\N
3647643	3559	1998-08-31	PRIJEM	\N	176	41357	UROK	\N	\N
3647644	3559	1998-09-30	PRIJEM	\N	184	45145	UROK	\N	\N
3647645	3559	1998-10-31	PRIJEM	\N	188	44436	UROK	\N	\N
3647646	3559	1998-11-30	PRIJEM	\N	188	44527	UROK	\N	\N
3647647	3559	1998-12-31	PRIJEM	\N	229	60777	UROK	\N	\N
3647648	3560	1997-04-30	PRIJEM	\N	69	22499	UROK	\N	\N
3647649	3560	1997-05-31	PRIJEM	\N	97	23557	UROK	\N	\N
3647650	3560	1997-06-30	PRIJEM	\N	104	25323	UROK	\N	\N
3647651	3560	1997-07-31	PRIJEM	\N	105	25189	UROK	\N	\N
3647652	3560	1997-08-31	PRIJEM	\N	83	18473	UROK	\N	\N
3647653	3560	1997-09-30	PRIJEM	\N	83	20217	UROK	\N	\N
3647654	3560	1997-10-31	PRIJEM	\N	84	20263	UROK	\N	\N
3647655	3560	1997-11-30	PRIJEM	\N	82	16966	UROK	\N	\N
3647656	3560	1997-12-31	PRIJEM	\N	56	12844	UROK	\N	\N
3647657	3560	1998-01-31	PRIJEM	\N	55	12560	UROK	\N	\N
3647658	3560	1998-02-28	PRIJEM	\N	58	14280	UROK	\N	\N
3647659	3560	1998-03-31	PRIJEM	\N	65	16006	UROK	\N	\N
3647660	3560	1998-04-30	PRIJEM	\N	72	17740	UROK	\N	\N
3647661	3560	1998-05-31	PRIJEM	\N	80	19481	UROK	\N	\N
3647662	3560	1998-06-30	PRIJEM	\N	81	18503	UROK	\N	\N
3647663	3560	1998-07-31	PRIJEM	\N	58	13422	UROK	\N	\N
3647664	3560	1998-08-31	PRIJEM	\N	62	15145	UROK	\N	\N
3647665	3560	1998-09-30	PRIJEM	\N	69	16876	UROK	\N	\N
3647666	3560	1998-10-31	PRIJEM	\N	57	13494	UROK	\N	\N
3647667	3560	1998-11-30	PRIJEM	\N	62	15217	UROK	\N	\N
3647668	3560	1998-12-31	PRIJEM	\N	67	15296	UROK	\N	\N
3647669	3561	1998-01-31	PRIJEM	\N	32	12704	UROK	\N	\N
3647670	3561	1998-02-28	PRIJEM	\N	53	17081	UROK	\N	\N
3647671	3561	1998-03-31	PRIJEM	\N	69	19575	UROK	\N	\N
3647672	3561	1998-04-30	PRIJEM	\N	90	22185	UROK	\N	\N
3647673	3561	1998-05-31	PRIJEM	\N	98	23803	UROK	\N	\N
3647674	3561	1998-06-30	PRIJEM	\N	84	17607	UROK	\N	\N
3647675	3561	1998-07-31	PRIJEM	\N	79	19127	UROK	\N	\N
3647676	3561	1998-08-31	PRIJEM	\N	83	20131	UROK	\N	\N
3647677	3561	1998-09-30	PRIJEM	\N	92	22743	UROK	\N	\N
3647678	3561	1998-10-31	PRIJEM	\N	82	18146	UROK	\N	\N
3647679	3561	1998-11-30	PRIJEM	\N	84	20750	UROK	\N	\N
3647680	3561	1998-12-31	PRIJEM	\N	95	23365	UROK	\N	\N
3647681	3562	1996-08-31	PRIJEM	\N	57	27039	UROK	\N	\N
3647682	3562	1996-09-30	PRIJEM	\N	345	65879	UROK	\N	\N
3647683	3562	1996-10-31	PRIJEM	\N	372	120135	UROK	\N	\N
3647684	3562	1996-11-30	PRIJEM	\N	356	69580	UROK	\N	\N
3647685	3562	1996-12-31	PRIJEM	\N	270	90990	UROK	\N	\N
3647686	3562	1997-01-31	PRIJEM	\N	226	21522	UROK	\N	\N
3647687	3562	1997-02-28	PRIJEM	\N	96	25303	UROK	\N	\N
3647688	3562	1997-03-31	PRIJEM	\N	125	71586	UROK	\N	\N
3647689	3562	1997-04-30	PRIJEM	\N	250	49821	UROK	\N	\N
3647690	3562	1997-05-31	PRIJEM	\N	191	27692	UROK	\N	\N
3647691	3562	1997-06-30	PRIJEM	\N	132	30593	UROK	\N	\N
3647692	3562	1997-07-31	PRIJEM	\N	173	48985	UROK	\N	\N
3647693	3562	1997-08-31	PRIJEM	\N	160	67498	UROK	\N	\N
3647694	3562	1997-09-30	PRIJEM	\N	211	40379	UROK	\N	\N
3647695	3562	1997-10-31	PRIJEM	\N	229	83004	UROK	\N	\N
3647696	3562	1997-11-30	PRIJEM	\N	264	54054	UROK	\N	\N
3647697	3562	1997-12-31	PRIJEM	\N	166	62676	UROK	\N	\N
3647698	3562	1998-01-31	PRIJEM	\N	167	43906	UROK	\N	\N
3647699	3562	1998-02-28	PRIJEM	\N	150	53897	UROK	\N	\N
3647700	3562	1998-03-31	PRIJEM	\N	251	62368	UROK	\N	\N
3647701	3562	1998-04-30	PRIJEM	\N	311	81648	UROK	\N	\N
3647702	3562	1998-05-31	PRIJEM	\N	265	71508	UROK	\N	\N
3647703	3562	1998-06-30	PRIJEM	\N	369	104841	UROK	\N	\N
3647704	3562	1998-07-31	PRIJEM	\N	355	105091	UROK	\N	\N
3647705	3562	1998-08-31	PRIJEM	\N	243	45176	UROK	\N	\N
3647706	3562	1998-09-30	PRIJEM	\N	167	37938	UROK	\N	\N
3647707	3562	1998-10-31	PRIJEM	\N	314	103709	UROK	\N	\N
3647708	3562	1998-11-30	PRIJEM	\N	434	103091	UROK	\N	\N
3647709	3562	1998-12-31	PRIJEM	\N	264	53322	UROK	\N	\N
3647710	3565	1997-03-31	PRIJEM	\N	39	15933	UROK	\N	\N
3647711	3565	1997-04-30	PRIJEM	\N	95	27421	UROK	\N	\N
3647712	3565	1997-05-31	PRIJEM	\N	119	29635	UROK	\N	\N
3647713	3565	1997-06-30	PRIJEM	\N	120	28549	UROK	\N	\N
3647714	3565	1997-07-31	PRIJEM	\N	119	28356	UROK	\N	\N
3647715	3565	1997-08-31	PRIJEM	\N	131	31671	UROK	\N	\N
3647716	3565	1997-09-30	PRIJEM	\N	130	29584	UROK	\N	\N
3647717	3565	1997-10-31	PRIJEM	\N	128	30216	UROK	\N	\N
3647718	3565	1997-11-30	PRIJEM	\N	126	28724	UROK	\N	\N
3647719	3565	1997-12-31	PRIJEM	\N	118	27206	UROK	\N	\N
3647720	3565	1998-01-31	PRIJEM	\N	113	23722	UROK	\N	\N
3647721	3565	1998-02-28	PRIJEM	\N	101	22997	UROK	\N	\N
3647722	3565	1998-03-31	PRIJEM	\N	87	20087	UROK	\N	\N
3647723	3565	1998-04-30	PRIJEM	\N	95	22466	UROK	\N	\N
3647724	3565	1998-05-31	PRIJEM	\N	98	22247	UROK	\N	\N
3647725	3565	1998-06-30	PRIJEM	\N	84	19235	UROK	\N	\N
3647726	3565	1998-07-31	PRIJEM	\N	97	23945	UROK	\N	\N
3647727	3565	1998-08-31	PRIJEM	\N	111	26039	UROK	\N	\N
3647728	3565	1998-09-30	PRIJEM	\N	114	27536	UROK	\N	\N
3647729	3565	1998-10-31	PRIJEM	\N	120	28939	UROK	\N	\N
3647730	3565	1998-11-30	PRIJEM	\N	115	26838	UROK	\N	\N
3647731	3565	1998-12-31	PRIJEM	\N	109	25651	UROK	\N	\N
3647732	3566	1993-06-30	PRIJEM	\N	20	8352	UROK	\N	\N
3647733	3566	1993-07-31	PRIJEM	\N	66	21373	UROK	\N	\N
3647734	3566	1993-08-31	PRIJEM	\N	103	27231	UROK	\N	\N
3647735	3566	1993-09-30	PRIJEM	\N	121	30406	UROK	\N	\N
3647736	3566	1993-10-31	PRIJEM	\N	129	31090	UROK	\N	\N
3647737	3566	1993-11-30	PRIJEM	\N	123	31083	UROK	\N	\N
3647738	3566	1993-12-31	PRIJEM	\N	121	30352	UROK	\N	\N
3647739	3566	1994-01-31	PRIJEM	\N	93	13115	UROK	\N	\N
3647740	3566	1994-02-28	PRIJEM	\N	71	18257	UROK	\N	\N
3647741	3566	1994-03-31	PRIJEM	\N	101	27028	UROK	\N	\N
3647742	3566	1994-04-30	PRIJEM	\N	122	31720	UROK	\N	\N
3647743	3566	1994-05-31	PRIJEM	\N	125	30516	UROK	\N	\N
3647744	3566	1994-06-30	PRIJEM	\N	127	32390	UROK	\N	\N
3647745	3566	1994-07-31	PRIJEM	\N	120	25480	UROK	\N	\N
3647746	3566	1994-08-31	PRIJEM	\N	106	26257	UROK	\N	\N
3647747	3566	1994-09-30	PRIJEM	\N	102	23429	UROK	\N	\N
3647748	3566	1994-10-31	PRIJEM	\N	112	28211	UROK	\N	\N
3647749	3566	1994-11-30	PRIJEM	\N	112	28693	UROK	\N	\N
3647750	3566	1994-12-31	PRIJEM	\N	114	29855	UROK	\N	\N
3647751	3566	1995-01-31	PRIJEM	\N	82	19407	UROK	\N	\N
3647752	3566	1995-02-28	PRIJEM	\N	78	17055	UROK	\N	\N
3647753	3566	1995-03-31	PRIJEM	\N	81	21706	UROK	\N	\N
3647754	3566	1995-04-30	PRIJEM	\N	90	23466	UROK	\N	\N
3647755	3566	1995-05-31	PRIJEM	\N	113	27250	UROK	\N	\N
3647756	3566	1995-06-30	PRIJEM	\N	119	31616	UROK	\N	\N
3647757	3566	1995-07-31	PRIJEM	\N	132	28719	UROK	\N	\N
3647758	3566	1995-08-31	PRIJEM	\N	113	27302	UROK	\N	\N
3647759	3566	1995-09-30	PRIJEM	\N	116	27788	UROK	\N	\N
3647760	3566	1995-10-31	PRIJEM	\N	114	28373	UROK	\N	\N
3647761	3566	1995-11-30	PRIJEM	\N	117	29560	UROK	\N	\N
3647762	3566	1995-12-31	PRIJEM	\N	127	26934	UROK	\N	\N
3647763	3566	1996-01-31	PRIJEM	\N	88	20693	UROK	\N	\N
3647764	3566	1996-02-29	PRIJEM	\N	82	20145	UROK	\N	\N
3647765	3566	1996-03-31	PRIJEM	\N	85	19600	UROK	\N	\N
3647766	3566	1996-04-30	PRIJEM	\N	82	18652	UROK	\N	\N
3647767	3566	1996-05-31	PRIJEM	\N	73	16794	UROK	\N	\N
3647768	3566	1996-06-30	PRIJEM	\N	69	16411	UROK	\N	\N
3647769	3566	1996-07-31	PRIJEM	\N	62	13844	UROK	\N	\N
3647770	3566	1996-08-31	PRIJEM	\N	52	12566	UROK	\N	\N
3647771	3566	1996-09-30	PRIJEM	\N	51	14387	UROK	\N	\N
3647772	3566	1996-10-31	PRIJEM	\N	56	12214	UROK	\N	\N
3647773	3566	1996-11-30	PRIJEM	\N	49	14034	UROK	\N	\N
3647774	3566	1996-12-31	PRIJEM	\N	63	15744	UROK	\N	\N
3647775	3566	1997-01-31	PRIJEM	\N	64	15579	UROK	\N	\N
3647776	3566	1997-02-28	PRIJEM	\N	57	13706	UROK	\N	\N
3647777	3566	1997-03-31	PRIJEM	\N	56	15531	UROK	\N	\N
3647778	3566	1997-04-30	PRIJEM	\N	63	17365	UROK	\N	\N
3647779	3566	1997-05-31	PRIJEM	\N	70	19205	UROK	\N	\N
3647780	3566	1997-06-30	PRIJEM	\N	84	23737	UROK	\N	\N
3647781	3566	1997-07-31	PRIJEM	\N	86	20893	UROK	\N	\N
3647782	3566	1997-08-31	PRIJEM	\N	65	12528	UROK	\N	\N
3647783	3566	1997-09-30	PRIJEM	\N	50	14349	UROK	\N	\N
3647784	3566	1997-10-31	PRIJEM	\N	57	16176	UROK	\N	\N
3647785	3566	1997-11-30	PRIJEM	\N	65	18011	UROK	\N	\N
3647786	3566	1997-12-31	PRIJEM	\N	75	21233	UROK	\N	\N
3647787	3566	1998-01-31	PRIJEM	\N	67	14871	UROK	\N	\N
3647788	3566	1998-02-28	PRIJEM	\N	63	16704	UROK	\N	\N
3647789	3566	1998-03-31	PRIJEM	\N	67	18542	UROK	\N	\N
3647790	3566	1998-04-30	PRIJEM	\N	69	16881	UROK	\N	\N
3647791	3566	1998-05-31	PRIJEM	\N	68	18719	UROK	\N	\N
3647792	3566	1998-06-30	PRIJEM	\N	81	23248	UROK	\N	\N
3647793	3566	1998-07-31	PRIJEM	\N	98	25116	UROK	\N	\N
3647794	3566	1998-08-31	PRIJEM	\N	91	23477	UROK	\N	\N
3647795	3566	1998-09-30	PRIJEM	\N	94	25341	UROK	\N	\N
3647796	3566	1998-10-31	PRIJEM	\N	102	26113	UROK	\N	\N
3647797	3566	1998-11-30	PRIJEM	\N	105	27989	UROK	\N	\N
3647798	3566	1998-12-31	PRIJEM	\N	122	31858	UROK	\N	\N
3647799	3567	1994-12-31	PRIJEM	\N	17	11583	UROK	\N	\N
3647800	3567	1995-01-31	PRIJEM	\N	48	16531	UROK	\N	\N
3647801	3567	1995-02-28	PRIJEM	\N	125	92954	UROK	\N	\N
3647802	3567	1995-03-31	PRIJEM	\N	387	60241	UROK	\N	\N
3647803	3567	1995-04-30	PRIJEM	\N	355	47655	UROK	\N	\N
3647804	3567	1995-05-31	PRIJEM	\N	208	86141	UROK	\N	\N
3647805	3567	1995-06-30	PRIJEM	\N	240	58470	UROK	\N	\N
3647806	3567	1995-07-31	PRIJEM	\N	161	29397	UROK	\N	\N
3647807	3567	1995-08-31	PRIJEM	\N	100	22998	UROK	\N	\N
3647808	3567	1995-09-30	PRIJEM	\N	96	37033	UROK	\N	\N
3647809	3567	1995-10-31	PRIJEM	\N	190	64252	UROK	\N	\N
3647810	3567	1995-11-30	PRIJEM	\N	219	45657	UROK	\N	\N
3647811	3567	1995-12-31	PRIJEM	\N	184	41921	UROK	\N	\N
3647812	3567	1996-01-31	PRIJEM	\N	176	56921	UROK	\N	\N
3647813	3567	1996-02-29	PRIJEM	\N	302	85552	UROK	\N	\N
3647814	3567	1996-03-31	PRIJEM	\N	282	61742	UROK	\N	\N
3647815	3567	1996-04-30	PRIJEM	\N	266	76222	UROK	\N	\N
3647816	3567	1996-05-31	PRIJEM	\N	228	61977	UROK	\N	\N
3647817	3567	1996-06-30	PRIJEM	\N	242	75359	UROK	\N	\N
3647818	3567	1996-07-31	PRIJEM	\N	282	56937	UROK	\N	\N
3647819	3567	1996-08-31	PRIJEM	\N	336	61557	UROK	\N	\N
3647820	3567	1996-09-30	PRIJEM	\N	211	76004	UROK	\N	\N
3647821	3567	1996-10-31	PRIJEM	\N	238	49464	UROK	\N	\N
3647822	3567	1996-11-30	PRIJEM	\N	179	61483	UROK	\N	\N
3647823	3567	1996-12-31	PRIJEM	\N	271	43164	UROK	\N	\N
3647824	3567	1997-01-31	PRIJEM	\N	181	31705	UROK	\N	\N
3647825	3567	1997-02-28	PRIJEM	\N	221	113651	UROK	\N	\N
3647826	3567	1997-03-31	PRIJEM	\N	256	44880	UROK	\N	\N
3647827	3567	1997-04-30	PRIJEM	\N	146	32712	UROK	\N	\N
3647828	3567	1997-05-31	PRIJEM	\N	99	23998	UROK	\N	\N
3647829	3567	1997-06-30	PRIJEM	\N	111	27595	UROK	\N	\N
3647830	3567	1997-07-31	PRIJEM	\N	164	45360	UROK	\N	\N
3647831	3567	1997-08-31	PRIJEM	\N	149	33995	UROK	\N	\N
3647832	3567	1997-09-30	PRIJEM	\N	203	86924	UROK	\N	\N
3647833	3567	1997-10-31	PRIJEM	\N	206	31661	UROK	\N	\N
3647834	3567	1997-11-30	PRIJEM	\N	217	94970	UROK	\N	\N
3647835	3567	1997-12-31	PRIJEM	\N	281	56950	UROK	\N	\N
3647836	3567	1998-01-31	PRIJEM	\N	147	29298	UROK	\N	\N
3647837	3567	1998-02-28	PRIJEM	\N	87	19271	UROK	\N	\N
3647838	3567	1998-03-31	PRIJEM	\N	64	15022	UROK	\N	\N
3647839	3567	1998-04-30	PRIJEM	\N	67	21308	UROK	\N	\N
3647840	3567	1998-05-31	PRIJEM	\N	74	17668	UROK	\N	\N
3647841	3567	1998-06-30	PRIJEM	\N	57	13512	UROK	\N	\N
3647842	3567	1998-07-31	PRIJEM	\N	221	61546	UROK	\N	\N
3647843	3567	1998-08-31	PRIJEM	\N	158	33690	UROK	\N	\N
3647844	3567	1998-09-30	PRIJEM	\N	110	25713	UROK	\N	\N
3647845	3567	1998-10-31	PRIJEM	\N	112	26724	UROK	\N	\N
3647846	3567	1998-11-30	PRIJEM	\N	83	18693	UROK	\N	\N
3647847	3567	1998-12-31	PRIJEM	\N	118	35669	UROK	\N	\N
3647848	3568	1996-04-30	PRIJEM	\N	14	5757	UROK	\N	\N
3647849	3568	1996-05-31	PRIJEM	\N	24	11024	UROK	\N	\N
3647850	3568	1996-06-30	PRIJEM	\N	24	16290	UROK	\N	\N
3647851	3568	1996-07-31	PRIJEM	\N	24	21557	UROK	\N	\N
3647852	3568	1996-08-31	PRIJEM	\N	72	25773	UROK	\N	\N
3647853	3568	1996-09-30	PRIJEM	\N	109	27284	UROK	\N	\N
3647854	3568	1996-10-31	PRIJEM	\N	117	26843	UROK	\N	\N
3647855	3568	1996-11-30	PRIJEM	\N	104	22770	UROK	\N	\N
3647856	3568	1996-12-31	PRIJEM	\N	93	21035	UROK	\N	\N
3647857	3568	1997-01-31	PRIJEM	\N	72	14109	UROK	\N	\N
3647858	3568	1997-02-28	PRIJEM	\N	65	16776	UROK	\N	\N
3647859	3568	1997-03-31	PRIJEM	\N	65	16083	UROK	\N	\N
3647860	3568	1997-04-30	PRIJEM	\N	73	18759	UROK	\N	\N
3647861	3568	1997-05-31	PRIJEM	\N	84	21445	UROK	\N	\N
3647862	3568	1997-06-30	PRIJEM	\N	80	16228	UROK	\N	\N
3647863	3568	1997-07-31	PRIJEM	\N	69	17900	UROK	\N	\N
3647864	3568	1997-08-31	PRIJEM	\N	72	18174	UROK	\N	\N
3647865	3568	1997-09-30	PRIJEM	\N	72	18149	UROK	\N	\N
3647866	3568	1997-10-31	PRIJEM	\N	74	18525	UROK	\N	\N
3647867	3568	1997-11-30	PRIJEM	\N	83	21211	UROK	\N	\N
3647868	3568	1997-12-31	PRIJEM	\N	78	14561	UROK	\N	\N
3647869	3568	1998-01-31	PRIJEM	\N	60	13704	UROK	\N	\N
3647870	3568	1998-02-28	PRIJEM	\N	63	16369	UROK	\N	\N
3647871	3568	1998-03-31	PRIJEM	\N	64	16135	UROK	\N	\N
3647872	3568	1998-04-30	PRIJEM	\N	69	18007	UROK	\N	\N
3647873	3568	1998-05-31	PRIJEM	\N	81	20690	UROK	\N	\N
3647874	3568	1998-06-30	PRIJEM	\N	76	19568	UROK	\N	\N
3647875	3568	1998-07-31	PRIJEM	\N	68	11538	UROK	\N	\N
3647876	3568	1998-08-31	PRIJEM	\N	54	14195	UROK	\N	\N
3647877	3568	1998-09-30	PRIJEM	\N	65	16862	UROK	\N	\N
3647878	3568	1998-10-31	PRIJEM	\N	72	11436	UROK	\N	\N
3647879	3568	1998-11-30	PRIJEM	\N	53	14091	UROK	\N	\N
3647880	3568	1998-12-31	PRIJEM	\N	63	16057	UROK	\N	\N
3647881	3570	1993-12-31	PRIJEM	\N	8	18740	UROK	\N	\N
3647882	3570	1994-01-31	PRIJEM	\N	82	25676	UROK	\N	\N
3647883	3570	1994-02-28	PRIJEM	\N	107	26838	UROK	\N	\N
3647884	3570	1994-03-31	PRIJEM	\N	113	30006	UROK	\N	\N
3647885	3570	1994-04-30	PRIJEM	\N	124	28985	UROK	\N	\N
3647886	3570	1994-05-31	PRIJEM	\N	126	28515	UROK	\N	\N
3647887	3570	1994-06-30	PRIJEM	\N	91	21087	UROK	\N	\N
3647888	3570	1994-07-31	PRIJEM	\N	96	24687	UROK	\N	\N
3647889	3570	1994-08-31	PRIJEM	\N	110	28102	UROK	\N	\N
3647890	3570	1994-09-30	PRIJEM	\N	120	26826	UROK	\N	\N
3647891	3570	1994-10-31	PRIJEM	\N	119	30850	UROK	\N	\N
3647892	3570	1994-11-30	PRIJEM	\N	116	27370	UROK	\N	\N
3647893	3570	1994-12-31	PRIJEM	\N	124	26876	UROK	\N	\N
3647894	3570	1995-01-31	PRIJEM	\N	96	19576	UROK	\N	\N
3647895	3570	1995-02-28	PRIJEM	\N	92	27272	UROK	\N	\N
3647896	3570	1995-03-31	PRIJEM	\N	122	31399	UROK	\N	\N
3647897	3570	1995-04-30	PRIJEM	\N	133	31036	UROK	\N	\N
3647898	3570	1995-05-31	PRIJEM	\N	137	34878	UROK	\N	\N
3647899	3570	1995-06-30	PRIJEM	\N	150	22609	UROK	\N	\N
3647900	3570	1995-07-31	PRIJEM	\N	109	31223	UROK	\N	\N
3647901	3570	1995-08-31	PRIJEM	\N	140	36067	UROK	\N	\N
3647902	3570	1995-09-30	PRIJEM	\N	157	36529	UROK	\N	\N
3647903	3570	1995-10-31	PRIJEM	\N	157	38489	UROK	\N	\N
3647904	3570	1995-11-30	PRIJEM	\N	169	42263	UROK	\N	\N
3647905	3570	1995-12-31	PRIJEM	\N	171	38315	UROK	\N	\N
3647906	3570	1996-01-31	PRIJEM	\N	146	28465	UROK	\N	\N
3647907	3570	1996-02-29	PRIJEM	\N	137	37007	UROK	\N	\N
3647908	3570	1996-03-31	PRIJEM	\N	156	36967	UROK	\N	\N
3647909	3570	1996-04-30	PRIJEM	\N	163	41035	UROK	\N	\N
3647910	3570	1996-05-31	PRIJEM	\N	174	41913	UROK	\N	\N
3647911	3570	1996-06-30	PRIJEM	\N	176	43770	UROK	\N	\N
3647912	3570	1996-07-31	PRIJEM	\N	174	41748	UROK	\N	\N
3647913	3570	1996-08-31	PRIJEM	\N	172	40524	UROK	\N	\N
3647914	3570	1996-09-30	PRIJEM	\N	170	40999	UROK	\N	\N
3647915	3570	1996-10-31	PRIJEM	\N	157	33660	UROK	\N	\N
3647916	3570	1996-11-30	PRIJEM	\N	147	36411	UROK	\N	\N
3647917	3570	1996-12-31	PRIJEM	\N	168	42561	UROK	\N	\N
3647918	3570	1997-01-31	PRIJEM	\N	163	34728	UROK	\N	\N
3647919	3570	1997-02-28	PRIJEM	\N	150	38082	UROK	\N	\N
3647920	3570	1997-03-31	PRIJEM	\N	162	39749	UROK	\N	\N
3647921	3570	1997-04-30	PRIJEM	\N	174	43427	UROK	\N	\N
3647922	3570	1997-05-31	PRIJEM	\N	181	41312	UROK	\N	\N
3647923	3570	1997-06-30	PRIJEM	\N	165	41359	UROK	\N	\N
3647924	3570	1997-07-31	PRIJEM	\N	186	46949	UROK	\N	\N
3647925	3570	1997-08-31	PRIJEM	\N	193	46847	UROK	\N	\N
3647926	3570	1997-09-30	PRIJEM	\N	196	47847	UROK	\N	\N
3647927	3570	1997-10-31	PRIJEM	\N	188	44839	UROK	\N	\N
3647928	3570	1997-11-30	PRIJEM	\N	190	45034	UROK	\N	\N
3647929	3570	1997-12-31	PRIJEM	\N	183	44499	UROK	\N	\N
3647930	3570	1998-01-31	PRIJEM	\N	170	39074	UROK	\N	\N
3647931	3570	1998-02-28	PRIJEM	\N	182	45860	UROK	\N	\N
3647932	3570	1998-03-31	PRIJEM	\N	196	48160	UROK	\N	\N
3647933	3570	1998-04-30	PRIJEM	\N	210	53174	UROK	\N	\N
3647934	3570	1998-05-31	PRIJEM	\N	230	57009	UROK	\N	\N
3647935	3570	1998-06-30	PRIJEM	\N	211	37301	UROK	\N	\N
3647936	3570	1998-07-31	PRIJEM	\N	200	51305	UROK	\N	\N
3647937	3570	1998-08-31	PRIJEM	\N	236	59446	UROK	\N	\N
3647938	3570	1998-09-30	PRIJEM	\N	270	67620	UROK	\N	\N
3647939	3570	1998-10-31	PRIJEM	\N	293	72517	UROK	\N	\N
3647940	3570	1998-11-30	PRIJEM	\N	304	74826	UROK	\N	\N
3647941	3570	1998-12-31	PRIJEM	\N	308	75416	UROK	\N	\N
3647942	3571	1993-12-31	PRIJEM	\N	24	16278	UROK	\N	\N
3647943	3571	1994-01-31	PRIJEM	\N	78	22725	UROK	\N	\N
3647944	3571	1994-02-28	PRIJEM	\N	98	25492	UROK	\N	\N
3647945	3571	1994-03-31	PRIJEM	\N	108	26969	UROK	\N	\N
3647946	3571	1994-04-30	PRIJEM	\N	120	28636	UROK	\N	\N
3647947	3571	1994-05-31	PRIJEM	\N	115	25599	UROK	\N	\N
3647948	3571	1994-06-30	PRIJEM	\N	110	18442	UROK	\N	\N
3647949	3571	1994-07-31	PRIJEM	\N	89	24340	UROK	\N	\N
3647950	3571	1994-08-31	PRIJEM	\N	100	23668	UROK	\N	\N
3647951	3571	1994-09-30	PRIJEM	\N	107	27084	UROK	\N	\N
3647952	3571	1994-10-31	PRIJEM	\N	114	27006	UROK	\N	\N
3647953	3571	1994-11-30	PRIJEM	\N	114	26929	UROK	\N	\N
3647954	3571	1994-12-31	PRIJEM	\N	114	24995	UROK	\N	\N
3647955	3571	1995-01-31	PRIJEM	\N	91	17114	UROK	\N	\N
3647956	3571	1995-02-28	PRIJEM	\N	91	25413	UROK	\N	\N
3647957	3571	1995-03-31	PRIJEM	\N	89	18910	UROK	\N	\N
3647958	3571	1995-04-30	PRIJEM	\N	93	24711	UROK	\N	\N
3647959	3571	1995-05-31	PRIJEM	\N	117	30437	UROK	\N	\N
3647960	3571	1995-06-30	PRIJEM	\N	119	19388	UROK	\N	\N
3647961	3571	1995-07-31	PRIJEM	\N	95	24791	UROK	\N	\N
3647962	3571	1995-08-31	PRIJEM	\N	112	28772	UROK	\N	\N
3647963	3571	1995-09-30	PRIJEM	\N	127	31407	UROK	\N	\N
3647964	3571	1995-10-31	PRIJEM	\N	131	31146	UROK	\N	\N
3647965	3571	1995-11-30	PRIJEM	\N	129	31084	UROK	\N	\N
3647966	3571	1995-12-31	PRIJEM	\N	125	28601	UROK	\N	\N
3647967	3571	1996-01-31	PRIJEM	\N	97	18347	UROK	\N	\N
3647968	3571	1996-02-29	PRIJEM	\N	101	27856	UROK	\N	\N
3647969	3571	1996-03-31	PRIJEM	\N	120	29485	UROK	\N	\N
3647970	3571	1996-04-30	PRIJEM	\N	119	28612	UROK	\N	\N
3647971	3571	1996-05-31	PRIJEM	\N	119	28739	UROK	\N	\N
3647972	3571	1996-06-30	PRIJEM	\N	130	32303	UROK	\N	\N
3647973	3571	1996-07-31	PRIJEM	\N	125	26816	UROK	\N	\N
3647974	3571	1996-08-31	PRIJEM	\N	108	24893	UROK	\N	\N
3647975	3571	1996-09-30	PRIJEM	\N	130	33631	UROK	\N	\N
3647976	3571	1996-10-31	PRIJEM	\N	138	33597	UROK	\N	\N
3647977	3571	1996-11-30	PRIJEM	\N	136	32841	UROK	\N	\N
3647978	3571	1996-12-31	PRIJEM	\N	126	30859	UROK	\N	\N
3647979	3571	1997-01-31	PRIJEM	\N	92	18740	UROK	\N	\N
3647980	3571	1997-02-28	PRIJEM	\N	102	27050	UROK	\N	\N
3647981	3571	1997-03-31	PRIJEM	\N	120	30079	UROK	\N	\N
3647982	3571	1997-04-30	PRIJEM	\N	125	26052	UROK	\N	\N
3647983	3571	1997-05-31	PRIJEM	\N	119	29980	UROK	\N	\N
3647984	3571	1997-06-30	PRIJEM	\N	139	35211	UROK	\N	\N
3647985	3571	1997-07-31	PRIJEM	\N	128	29467	UROK	\N	\N
3647986	3571	1997-08-31	PRIJEM	\N	109	26085	UROK	\N	\N
3647987	3571	1997-09-30	PRIJEM	\N	111	27604	UROK	\N	\N
3647988	3571	1997-10-31	PRIJEM	\N	114	28127	UROK	\N	\N
3647989	3571	1997-11-30	PRIJEM	\N	115	28550	UROK	\N	\N
3647990	3571	1997-12-31	PRIJEM	\N	123	26207	UROK	\N	\N
3647991	3571	1998-01-31	PRIJEM	\N	79	22734	UROK	\N	\N
3647992	3571	1998-02-28	PRIJEM	\N	99	24541	UROK	\N	\N
3647993	3571	1998-03-31	PRIJEM	\N	121	30691	UROK	\N	\N
3647994	3571	1998-04-30	PRIJEM	\N	131	34131	UROK	\N	\N
3647995	3571	1998-05-31	PRIJEM	\N	135	37234	UROK	\N	\N
3647996	3571	1998-06-30	PRIJEM	\N	166	40993	UROK	\N	\N
3647997	3571	1998-07-31	PRIJEM	\N	171	37032	UROK	\N	\N
3647998	3571	1998-08-31	PRIJEM	\N	152	36052	UROK	\N	\N
3647999	3571	1998-09-30	PRIJEM	\N	149	33010	UROK	\N	\N
3648000	3571	1998-10-31	PRIJEM	\N	140	35398	UROK	\N	\N
3648001	3571	1998-11-30	PRIJEM	\N	149	36356	UROK	\N	\N
3648002	3571	1998-12-31	PRIJEM	\N	158	39367	UROK	\N	\N
3648003	3572	1995-11-30	PRIJEM	\N	17	7130	UROK	\N	\N
3648004	3572	1995-12-31	PRIJEM	\N	30	13372	UROK	\N	\N
3648005	3572	1996-01-31	PRIJEM	\N	30	19615	UROK	\N	\N
3648006	3572	1996-02-29	PRIJEM	\N	30	25858	UROK	\N	\N
3648007	3572	1996-03-31	PRIJEM	\N	33	32104	UROK	\N	\N
3648008	3572	1996-04-30	PRIJEM	\N	130	31468	UROK	\N	\N
3648009	3572	1996-05-31	PRIJEM	\N	132	32434	UROK	\N	\N
3648010	3572	1996-06-30	PRIJEM	\N	105	19164	UROK	\N	\N
3648011	3572	1996-07-31	PRIJEM	\N	88	22486	UROK	\N	\N
3648012	3572	1996-08-31	PRIJEM	\N	93	20933	UROK	\N	\N
3648013	3572	1996-09-30	PRIJEM	\N	91	23159	UROK	\N	\N
3648014	3572	1996-10-31	PRIJEM	\N	95	23188	UROK	\N	\N
3648015	3572	1996-11-30	PRIJEM	\N	98	24620	UROK	\N	\N
3648016	3572	1996-12-31	PRIJEM	\N	99	24254	UROK	\N	\N
3648017	3572	1997-01-31	PRIJEM	\N	78	15366	UROK	\N	\N
3648018	3572	1997-02-28	PRIJEM	\N	71	18672	UROK	\N	\N
3648019	3572	1997-03-31	PRIJEM	\N	86	21992	UROK	\N	\N
3648020	3572	1997-04-30	PRIJEM	\N	98	23544	UROK	\N	\N
3648021	3572	1997-05-31	PRIJEM	\N	106	26884	UROK	\N	\N
3648022	3572	1997-06-30	PRIJEM	\N	99	18667	UROK	\N	\N
3648023	3572	1997-07-31	PRIJEM	\N	85	21986	UROK	\N	\N
3648024	3572	1997-08-31	PRIJEM	\N	99	25320	UROK	\N	\N
3648025	3572	1997-09-30	PRIJEM	\N	108	27223	UROK	\N	\N
3648026	3572	1997-10-31	PRIJEM	\N	121	30578	UROK	\N	\N
3648027	3572	1997-11-30	PRIJEM	\N	130	32543	UROK	\N	\N
3648028	3572	1997-12-31	PRIJEM	\N	130	29647	UROK	\N	\N
3648029	3572	1998-01-31	PRIJEM	\N	105	21576	UROK	\N	\N
3648030	3572	1998-02-28	PRIJEM	\N	93	22984	UROK	\N	\N
3648031	3572	1998-03-31	PRIJEM	\N	103	26321	UROK	\N	\N
3648032	3572	1998-04-30	PRIJEM	\N	117	29672	UROK	\N	\N
3648033	3572	1998-05-31	PRIJEM	\N	130	32237	UROK	\N	\N
3648034	3572	1998-06-30	PRIJEM	\N	133	31554	UROK	\N	\N
3648035	3572	1998-07-31	PRIJEM	\N	139	34927	UROK	\N	\N
3648036	3572	1998-08-31	PRIJEM	\N	151	34311	UROK	\N	\N
3648037	3572	1998-09-30	PRIJEM	\N	148	34694	UROK	\N	\N
3648038	3572	1998-10-31	PRIJEM	\N	152	38080	UROK	\N	\N
3648039	3572	1998-11-30	PRIJEM	\N	162	36576	UROK	\N	\N
3648040	3572	1998-12-31	PRIJEM	\N	147	36257	UROK	\N	\N
3648041	3574	1997-04-30	PRIJEM	\N	43	13035	UROK	\N	\N
3648042	3574	1997-05-31	PRIJEM	\N	87	22714	UROK	\N	\N
3648043	3574	1997-06-30	PRIJEM	\N	98	27404	UROK	\N	\N
3648044	3574	1997-07-31	PRIJEM	\N	121	30117	UROK	\N	\N
3648045	3574	1997-08-31	PRIJEM	\N	121	29030	UROK	\N	\N
3648046	3574	1997-09-30	PRIJEM	\N	125	30405	UROK	\N	\N
3648047	3574	1997-10-31	PRIJEM	\N	120	28774	UROK	\N	\N
3648048	3574	1997-11-30	PRIJEM	\N	111	26455	UROK	\N	\N
3648049	3574	1997-12-31	PRIJEM	\N	108	26092	UROK	\N	\N
3648050	3574	1998-01-31	PRIJEM	\N	96	21957	UROK	\N	\N
3648051	3574	1998-02-28	PRIJEM	\N	81	19187	UROK	\N	\N
3648052	3574	1998-03-31	PRIJEM	\N	91	21507	UROK	\N	\N
3648053	3574	1998-04-30	PRIJEM	\N	93	22549	UROK	\N	\N
3648054	3574	1998-05-31	PRIJEM	\N	89	21488	UROK	\N	\N
3648055	3574	1998-06-30	PRIJEM	\N	76	16553	UROK	\N	\N
3648056	3574	1998-07-31	PRIJEM	\N	72	17474	UROK	\N	\N
3648057	3574	1998-08-31	PRIJEM	\N	59	13832	UROK	\N	\N
3648058	3574	1998-09-30	PRIJEM	\N	61	13443	UROK	\N	\N
3648059	3574	1998-10-31	PRIJEM	\N	59	13351	UROK	\N	\N
3648060	3574	1998-11-30	PRIJEM	\N	56	15037	UROK	\N	\N
3648061	3574	1998-12-31	PRIJEM	\N	61	14867	UROK	\N	\N
3648062	3575	1993-09-30	PRIJEM	\N	23	8328	UROK	\N	\N
3648063	3575	1993-10-31	PRIJEM	\N	73	21806	UROK	\N	\N
3648064	3575	1993-11-30	PRIJEM	\N	118	31729	UROK	\N	\N
3648065	3575	1993-12-31	PRIJEM	\N	156	40493	UROK	\N	\N
3648066	3575	1994-01-31	PRIJEM	\N	151	31078	UROK	\N	\N
3648067	3575	1994-02-28	PRIJEM	\N	131	31529	UROK	\N	\N
3648068	3575	1994-03-31	PRIJEM	\N	126	28176	UROK	\N	\N
3648069	3575	1994-04-30	PRIJEM	\N	125	27721	UROK	\N	\N
3648070	3575	1994-05-31	PRIJEM	\N	116	27458	UROK	\N	\N
3648071	3575	1994-06-30	PRIJEM	\N	126	30107	UROK	\N	\N
3648072	3575	1994-07-31	PRIJEM	\N	135	32963	UROK	\N	\N
3648073	3575	1994-08-31	PRIJEM	\N	131	30215	UROK	\N	\N
3648074	3575	1994-09-30	PRIJEM	\N	115	23150	UROK	\N	\N
3648075	3575	1994-10-31	PRIJEM	\N	114	28784	UROK	\N	\N
3648076	3575	1994-11-30	PRIJEM	\N	129	31533	UROK	\N	\N
3648077	3575	1994-12-31	PRIJEM	\N	138	32795	UROK	\N	\N
3648078	3575	1995-01-31	PRIJEM	\N	103	25018	UROK	\N	\N
3648079	3575	1995-02-28	PRIJEM	\N	109	27648	UROK	\N	\N
3648080	3575	1995-03-31	PRIJEM	\N	131	32799	UROK	\N	\N
3648081	3575	1995-04-30	PRIJEM	\N	138	33357	UROK	\N	\N
3648082	3575	1995-05-31	PRIJEM	\N	143	34421	UROK	\N	\N
3648083	3575	1995-06-30	PRIJEM	\N	143	37387	UROK	\N	\N
3648084	3575	1995-07-31	PRIJEM	\N	156	33964	UROK	\N	\N
3648085	3575	1995-08-31	PRIJEM	\N	147	31931	UROK	\N	\N
3648086	3575	1995-09-30	PRIJEM	\N	138	31889	UROK	\N	\N
3648087	3575	1995-10-31	PRIJEM	\N	139	35649	UROK	\N	\N
3648088	3575	1995-11-30	PRIJEM	\N	154	38123	UROK	\N	\N
3648089	3575	1995-12-31	PRIJEM	\N	169	39315	UROK	\N	\N
3648090	3575	1996-01-31	PRIJEM	\N	150	32285	UROK	\N	\N
3648091	3575	1996-02-29	PRIJEM	\N	133	33539	UROK	\N	\N
3648092	3575	1996-03-31	PRIJEM	\N	145	36505	UROK	\N	\N
3648093	3575	1996-04-30	PRIJEM	\N	156	37681	UROK	\N	\N
3648094	3575	1996-05-31	PRIJEM	\N	159	37160	UROK	\N	\N
3648095	3575	1996-06-30	PRIJEM	\N	166	40549	UROK	\N	\N
3648096	3575	1996-07-31	PRIJEM	\N	173	42142	UROK	\N	\N
3648097	3575	1996-08-31	PRIJEM	\N	171	35834	UROK	\N	\N
3648098	3575	1996-09-30	PRIJEM	\N	145	33900	UROK	\N	\N
3648099	3575	1996-10-31	PRIJEM	\N	141	32861	UROK	\N	\N
3648100	3575	1996-11-30	PRIJEM	\N	141	35122	UROK	\N	\N
3648101	3575	1996-12-31	PRIJEM	\N	147	32692	UROK	\N	\N
3648102	3575	1997-01-31	PRIJEM	\N	127	24340	UROK	\N	\N
3648103	3575	1997-02-28	PRIJEM	\N	111	30571	UROK	\N	\N
3648104	3575	1997-03-31	PRIJEM	\N	134	33726	UROK	\N	\N
3648105	3575	1997-04-30	PRIJEM	\N	139	32685	UROK	\N	\N
3648106	3575	1997-05-31	PRIJEM	\N	143	37149	UROK	\N	\N
3648107	3575	1997-06-30	PRIJEM	\N	162	40435	UROK	\N	\N
3648108	3575	1997-07-31	PRIJEM	\N	163	37718	UROK	\N	\N
3648109	3575	1997-08-31	PRIJEM	\N	154	37093	UROK	\N	\N
3648110	3575	1997-09-30	PRIJEM	\N	148	33261	UROK	\N	\N
3648111	3575	1997-10-31	PRIJEM	\N	138	33619	UROK	\N	\N
3648112	3575	1997-11-30	PRIJEM	\N	147	37886	UROK	\N	\N
3648113	3575	1997-12-31	PRIJEM	\N	151	34061	UROK	\N	\N
3648114	3575	1998-01-31	PRIJEM	\N	119	17801	UROK	\N	\N
3648115	3575	1998-02-28	PRIJEM	\N	81	19802	UROK	\N	\N
3648116	3575	1998-03-31	PRIJEM	\N	99	28421	UROK	\N	\N
3648117	3575	1998-04-30	PRIJEM	\N	121	30762	UROK	\N	\N
3648118	3575	1998-05-31	PRIJEM	\N	134	34717	UROK	\N	\N
3648119	3575	1998-06-30	PRIJEM	\N	152	39392	UROK	\N	\N
3648120	3575	1998-07-31	PRIJEM	\N	155	37368	UROK	\N	\N
3648121	3575	1998-08-31	PRIJEM	\N	149	35937	UROK	\N	\N
3648122	3575	1998-09-30	PRIJEM	\N	146	35603	UROK	\N	\N
3648123	3575	1998-10-31	PRIJEM	\N	142	34066	UROK	\N	\N
3648124	3575	1998-11-30	PRIJEM	\N	132	29018	UROK	\N	\N
3648125	3575	1998-12-31	PRIJEM	\N	118	28259	UROK	\N	\N
3648126	3576	1995-04-30	PRIJEM	\N	64	18421	UROK	\N	\N
3648127	3576	1995-05-31	PRIJEM	\N	76	18079	UROK	\N	\N
3648128	3576	1995-06-30	PRIJEM	\N	79	16851	UROK	\N	\N
3648129	3576	1995-07-31	PRIJEM	\N	78	19312	UROK	\N	\N
3648130	3576	1995-08-31	PRIJEM	\N	79	18253	UROK	\N	\N
3648131	3576	1995-09-30	PRIJEM	\N	84	20719	UROK	\N	\N
3648132	3576	1995-10-31	PRIJEM	\N	94	23196	UROK	\N	\N
3648133	3576	1995-11-30	PRIJEM	\N	96	22554	UROK	\N	\N
3648134	3576	1995-12-31	PRIJEM	\N	102	24288	UROK	\N	\N
3648135	3576	1996-01-31	PRIJEM	\N	91	18482	UROK	\N	\N
3648136	3576	1996-02-29	PRIJEM	\N	85	20949	UROK	\N	\N
3648137	3576	1996-03-31	PRIJEM	\N	95	23427	UROK	\N	\N
3648138	3576	1996-04-30	PRIJEM	\N	97	20546	UROK	\N	\N
3648139	3576	1996-05-31	PRIJEM	\N	94	23022	UROK	\N	\N
3648140	3576	1996-06-30	PRIJEM	\N	104	25508	UROK	\N	\N
3648141	3576	1996-07-31	PRIJEM	\N	114	28005	UROK	\N	\N
3648142	3576	1996-08-31	PRIJEM	\N	116	26103	UROK	\N	\N
3648143	3576	1996-09-30	PRIJEM	\N	117	28302	UROK	\N	\N
3648144	3576	1996-10-31	PRIJEM	\N	119	28483	UROK	\N	\N
3648145	3576	1996-11-30	PRIJEM	\N	117	28022	UROK	\N	\N
3648146	3576	1996-12-31	PRIJEM	\N	119	27474	UROK	\N	\N
3648147	3576	1997-01-31	PRIJEM	\N	101	18777	UROK	\N	\N
3648148	3576	1997-02-28	PRIJEM	\N	81	19560	UROK	\N	\N
3648149	3576	1997-03-31	PRIJEM	\N	89	22031	UROK	\N	\N
3648150	3576	1997-04-30	PRIJEM	\N	93	18507	UROK	\N	\N
3648151	3576	1997-05-31	PRIJEM	\N	85	20974	UROK	\N	\N
3648152	3576	1997-06-30	PRIJEM	\N	76	18062	UROK	\N	\N
3648153	3576	1997-07-31	PRIJEM	\N	76	16681	UROK	\N	\N
3648154	3576	1997-08-31	PRIJEM	\N	77	19140	UROK	\N	\N
3648155	3576	1997-09-30	PRIJEM	\N	87	21610	UROK	\N	\N
3648156	3576	1997-10-31	PRIJEM	\N	98	24090	UROK	\N	\N
3648157	3576	1997-11-30	PRIJEM	\N	107	26180	UROK	\N	\N
3648158	3576	1997-12-31	PRIJEM	\N	112	27274	UROK	\N	\N
3648159	3576	1998-01-31	PRIJEM	\N	81	15328	UROK	\N	\N
3648160	3576	1998-02-28	PRIJEM	\N	71	17781	UROK	\N	\N
3648161	3576	1998-03-31	PRIJEM	\N	81	20245	UROK	\N	\N
3648162	3576	1998-04-30	PRIJEM	\N	92	22719	UROK	\N	\N
3648163	3576	1998-05-31	PRIJEM	\N	95	23036	UROK	\N	\N
3648164	3576	1998-06-30	PRIJEM	\N	98	22197	UROK	\N	\N
3648165	3576	1998-07-31	PRIJEM	\N	100	24679	UROK	\N	\N
3648166	3576	1998-08-31	PRIJEM	\N	110	27171	UROK	\N	\N
3648167	3576	1998-09-30	PRIJEM	\N	104	25177	UROK	\N	\N
3648168	3576	1998-10-31	PRIJEM	\N	112	27671	UROK	\N	\N
3648169	3576	1998-11-30	PRIJEM	\N	122	30176	UROK	\N	\N
3648170	3576	1998-12-31	PRIJEM	\N	131	30729	UROK	\N	\N
3648171	3577	1997-05-31	PRIJEM	\N	34	12680	UROK	\N	\N
3648172	3577	1997-06-30	PRIJEM	\N	106	33005	UROK	\N	\N
3648173	3577	1997-07-31	PRIJEM	\N	152	38703	UROK	\N	\N
3648174	3577	1997-08-31	PRIJEM	\N	166	40615	UROK	\N	\N
3648175	3577	1997-09-30	PRIJEM	\N	174	42836	UROK	\N	\N
3648176	3577	1997-10-31	PRIJEM	\N	166	41269	UROK	\N	\N
3648177	3577	1997-11-30	PRIJEM	\N	145	35982	UROK	\N	\N
3648178	3577	1997-12-31	PRIJEM	\N	144	36466	UROK	\N	\N
3648179	3577	1998-01-31	PRIJEM	\N	145	28978	UROK	\N	\N
3648180	3577	1998-02-28	PRIJEM	\N	129	29775	UROK	\N	\N
3648181	3577	1998-03-31	PRIJEM	\N	133	34975	UROK	\N	\N
3648182	3577	1998-04-30	PRIJEM	\N	154	40396	UROK	\N	\N
3648183	3577	1998-05-31	PRIJEM	\N	173	44636	UROK	\N	\N
3648184	3577	1998-06-30	PRIJEM	\N	149	26626	UROK	\N	\N
3648185	3577	1998-07-31	PRIJEM	\N	174	45267	UROK	\N	\N
3648186	3577	1998-08-31	PRIJEM	\N	197	50831	UROK	\N	\N
3648187	3577	1998-09-30	PRIJEM	\N	198	50597	UROK	\N	\N
3648188	3577	1998-10-31	PRIJEM	\N	196	49760	UROK	\N	\N
3648189	3577	1998-11-30	PRIJEM	\N	194	48921	UROK	\N	\N
3648190	3577	1998-12-31	PRIJEM	\N	217	57078	UROK	\N	\N
3648191	3578	1996-03-31	PRIJEM	\N	41	21550	UROK	\N	\N
3648192	3578	1996-04-30	PRIJEM	\N	105	29664	UROK	\N	\N
3648193	3578	1996-05-31	PRIJEM	\N	143	39315	UROK	\N	\N
3648194	3578	1996-06-30	PRIJEM	\N	175	45154	UROK	\N	\N
3648195	3578	1996-07-31	PRIJEM	\N	191	42183	UROK	\N	\N
3648196	3578	1996-08-31	PRIJEM	\N	186	43112	UROK	\N	\N
3648197	3578	1996-09-30	PRIJEM	\N	185	42440	UROK	\N	\N
3648198	3578	1996-10-31	PRIJEM	\N	191	45474	UROK	\N	\N
3648199	3578	1996-11-30	PRIJEM	\N	202	48119	UROK	\N	\N
3648200	3578	1996-12-31	PRIJEM	\N	212	46389	UROK	\N	\N
3648201	3578	1997-01-31	PRIJEM	\N	185	39398	UROK	\N	\N
3648202	3578	1997-02-28	PRIJEM	\N	188	46329	UROK	\N	\N
3648203	3578	1997-03-31	PRIJEM	\N	200	45513	UROK	\N	\N
3648204	3578	1997-04-30	PRIJEM	\N	200	47756	UROK	\N	\N
3648205	3578	1997-05-31	PRIJEM	\N	219	53618	UROK	\N	\N
3648206	3578	1997-06-30	PRIJEM	\N	214	44250	UROK	\N	\N
3648207	3578	1997-07-31	PRIJEM	\N	207	51400	UROK	\N	\N
3648208	3578	1997-08-31	PRIJEM	\N	226	52769	UROK	\N	\N
3648209	3578	1997-09-30	PRIJEM	\N	222	53435	UROK	\N	\N
3648210	3578	1997-10-31	PRIJEM	\N	244	60022	UROK	\N	\N
3648211	3578	1997-11-30	PRIJEM	\N	288	59154	UROK	\N	\N
3648212	3578	1997-12-31	PRIJEM	\N	270	60162	UROK	\N	\N
3648213	3578	1998-01-31	PRIJEM	\N	255	59560	UROK	\N	\N
3648214	3578	1998-02-28	PRIJEM	\N	271	67174	UROK	\N	\N
3648215	3578	1998-03-31	PRIJEM	\N	276	66193	UROK	\N	\N
3648216	3578	1998-04-30	PRIJEM	\N	289	70625	UROK	\N	\N
3648217	3578	1998-05-31	PRIJEM	\N	294	68143	UROK	\N	\N
3648218	3578	1998-06-30	PRIJEM	\N	177	32697	UROK	\N	\N
3648219	3578	1998-07-31	PRIJEM	\N	222	55762	UROK	\N	\N
3648220	3578	1998-08-31	PRIJEM	\N	275	69480	UROK	\N	\N
3648221	3578	1998-09-30	PRIJEM	\N	310	73134	UROK	\N	\N
3648222	3578	1998-10-31	PRIJEM	\N	325	77022	UROK	\N	\N
3648223	3578	1998-11-30	PRIJEM	\N	329	80195	UROK	\N	\N
3648224	3578	1998-12-31	PRIJEM	\N	363	84695	UROK	\N	\N
3648225	3579	1994-09-30	PRIJEM	\N	66	25151	UROK	\N	\N
3648226	3579	1994-10-31	PRIJEM	\N	173	50809	UROK	\N	\N
3648227	3579	1994-11-30	PRIJEM	\N	243	62837	UROK	\N	\N
3648228	3579	1994-12-31	PRIJEM	\N	305	80770	UROK	\N	\N
3648229	3579	1995-01-31	PRIJEM	\N	249	47204	UROK	\N	\N
3648230	3579	1995-02-28	PRIJEM	\N	243	68057	UROK	\N	\N
3648231	3579	1995-03-31	PRIJEM	\N	283	68650	UROK	\N	\N
3648232	3579	1995-04-30	PRIJEM	\N	249	66349	UROK	\N	\N
3648233	3579	1995-05-31	PRIJEM	\N	277	47336	UROK	\N	\N
3648234	3579	1995-06-30	PRIJEM	\N	200	37669	UROK	\N	\N
3648235	3579	1995-07-31	PRIJEM	\N	197	44137	UROK	\N	\N
3648236	3579	1995-08-31	PRIJEM	\N	218	47966	UROK	\N	\N
3648237	3579	1995-09-30	PRIJEM	\N	237	49513	UROK	\N	\N
3648238	3579	1995-10-31	PRIJEM	\N	243	51367	UROK	\N	\N
3648239	3579	1995-11-30	PRIJEM	\N	248	51825	UROK	\N	\N
3648240	3579	1995-12-31	PRIJEM	\N	267	54986	UROK	\N	\N
3648241	3579	1996-01-31	PRIJEM	\N	235	38371	UROK	\N	\N
3648242	3579	1996-02-29	PRIJEM	\N	195	45877	UROK	\N	\N
3648243	3579	1996-03-31	PRIJEM	\N	225	50913	UROK	\N	\N
3648244	3579	1996-04-30	PRIJEM	\N	241	52164	UROK	\N	\N
3648245	3579	1996-05-31	PRIJEM	\N	247	55021	UROK	\N	\N
3648246	3579	1996-06-30	PRIJEM	\N	258	54253	UROK	\N	\N
3648247	3579	1996-07-31	PRIJEM	\N	249	51392	UROK	\N	\N
3648248	3579	1996-08-31	PRIJEM	\N	248	58370	UROK	\N	\N
3648249	3579	1996-09-30	PRIJEM	\N	263	58324	UROK	\N	\N
3648250	3579	1996-10-31	PRIJEM	\N	266	61600	UROK	\N	\N
3648251	3579	1996-11-30	PRIJEM	\N	269	60379	UROK	\N	\N
3648252	3579	1996-12-31	PRIJEM	\N	263	59575	UROK	\N	\N
3648253	3579	1997-01-31	PRIJEM	\N	240	44045	UROK	\N	\N
3648254	3579	1997-02-28	PRIJEM	\N	214	53990	UROK	\N	\N
3648255	3579	1997-03-31	PRIJEM	\N	250	60350	UROK	\N	\N
3648256	3579	1997-04-30	PRIJEM	\N	264	60524	UROK	\N	\N
3648257	3579	1997-05-31	PRIJEM	\N	266	62100	UROK	\N	\N
3648258	3579	1997-06-30	PRIJEM	\N	281	29735	UROK	\N	\N
3648259	3579	1997-07-31	PRIJEM	\N	157	42902	UROK	\N	\N
3648260	3579	1997-08-31	PRIJEM	\N	198	47350	UROK	\N	\N
3648261	3579	1997-09-30	PRIJEM	\N	218	51899	UROK	\N	\N
3648262	3579	1997-10-31	PRIJEM	\N	231	57440	UROK	\N	\N
3648263	3579	1997-11-30	PRIJEM	\N	247	61198	UROK	\N	\N
3648264	3579	1997-12-31	PRIJEM	\N	271	66662	UROK	\N	\N
3648265	3579	1998-01-31	PRIJEM	\N	223	47755	UROK	\N	\N
3648266	3579	1998-02-28	PRIJEM	\N	217	56582	UROK	\N	\N
3648267	3579	1998-03-31	PRIJEM	\N	258	66851	UROK	\N	\N
3648268	3579	1998-04-30	PRIJEM	\N	277	68138	UROK	\N	\N
3648269	3579	1998-05-31	PRIJEM	\N	327	68676	UROK	\N	\N
3648270	3579	1998-06-30	PRIJEM	\N	286	68575	UROK	\N	\N
3648271	3579	1998-07-31	PRIJEM	\N	296	74181	UROK	\N	\N
3648272	3579	1998-08-31	PRIJEM	\N	317	78889	UROK	\N	\N
3648273	3579	1998-09-30	PRIJEM	\N	350	87409	UROK	\N	\N
3648274	3579	1998-10-31	PRIJEM	\N	370	91490	UROK	\N	\N
3648275	3579	1998-11-30	PRIJEM	\N	382	94602	UROK	\N	\N
3648276	3579	1998-12-31	PRIJEM	\N	352	76908	UROK	\N	\N
3648277	3580	1993-08-31	PRIJEM	\N	42	18273	UROK	\N	\N
3648278	3580	1993-09-30	PRIJEM	\N	77	32982	UROK	\N	\N
3648279	3580	1993-10-31	PRIJEM	\N	114	31326	UROK	\N	\N
3648280	3580	1993-11-30	PRIJEM	\N	131	34088	UROK	\N	\N
3648281	3580	1993-12-31	PRIJEM	\N	180	39734	UROK	\N	\N
3648282	3580	1994-01-31	PRIJEM	\N	168	28613	UROK	\N	\N
3648283	3580	1994-02-28	PRIJEM	\N	144	32508	UROK	\N	\N
3648284	3580	1994-03-31	PRIJEM	\N	155	32914	UROK	\N	\N
3648285	3580	1994-04-30	PRIJEM	\N	160	34266	UROK	\N	\N
3648286	3580	1994-05-31	PRIJEM	\N	167	37084	UROK	\N	\N
3648287	3580	1994-06-30	PRIJEM	\N	165	22696	UROK	\N	\N
3648288	3580	1994-07-31	PRIJEM	\N	121	30368	UROK	\N	\N
3648289	3580	1994-08-31	PRIJEM	\N	149	33568	UROK	\N	\N
3648290	3580	1994-09-30	PRIJEM	\N	163	38682	UROK	\N	\N
3648291	3580	1994-10-31	PRIJEM	\N	182	41015	UROK	\N	\N
3648292	3580	1994-11-30	PRIJEM	\N	188	40454	UROK	\N	\N
3648293	3580	1994-12-31	PRIJEM	\N	191	41571	UROK	\N	\N
3648294	3580	1995-01-31	PRIJEM	\N	162	29604	UROK	\N	\N
3648295	3580	1995-02-28	PRIJEM	\N	143	33698	UROK	\N	\N
3648296	3580	1995-03-31	PRIJEM	\N	162	38612	UROK	\N	\N
3648297	3580	1995-04-30	PRIJEM	\N	179	41242	UROK	\N	\N
3648298	3580	1995-05-31	PRIJEM	\N	187	39361	UROK	\N	\N
3648299	3580	1995-06-30	PRIJEM	\N	176	29963	UROK	\N	\N
3648300	3580	1995-07-31	PRIJEM	\N	151	39766	UROK	\N	\N
3648301	3580	1995-08-31	PRIJEM	\N	184	44302	UROK	\N	\N
3648302	3580	1995-09-30	PRIJEM	\N	201	48354	UROK	\N	\N
3648303	3580	1995-10-31	PRIJEM	\N	208	46013	UROK	\N	\N
3648304	3580	1995-11-30	PRIJEM	\N	200	45865	UROK	\N	\N
3648305	3580	1995-12-31	PRIJEM	\N	193	43805	UROK	\N	\N
3648306	3580	1996-01-31	PRIJEM	\N	172	31048	UROK	\N	\N
3648307	3580	1996-02-29	PRIJEM	\N	146	36746	UROK	\N	\N
3648308	3580	1996-03-31	PRIJEM	\N	167	40564	UROK	\N	\N
3648309	3580	1996-04-30	PRIJEM	\N	176	41392	UROK	\N	\N
3648310	3580	1996-05-31	PRIJEM	\N	188	46631	UROK	\N	\N
3648311	3580	1996-06-30	PRIJEM	\N	201	31458	UROK	\N	\N
3648312	3580	1996-07-31	PRIJEM	\N	155	40764	UROK	\N	\N
3648313	3580	1996-08-31	PRIJEM	\N	178	43393	UROK	\N	\N
3648314	3580	1996-09-30	PRIJEM	\N	189	46633	UROK	\N	\N
3648315	3580	1996-10-31	PRIJEM	\N	202	48267	UROK	\N	\N
3648316	3580	1996-11-30	PRIJEM	\N	211	52629	UROK	\N	\N
3648317	3580	1996-12-31	PRIJEM	\N	225	56540	UROK	\N	\N
3648318	3580	1997-01-31	PRIJEM	\N	201	45672	UROK	\N	\N
3648319	3580	1997-02-28	PRIJEM	\N	216	58100	UROK	\N	\N
3648320	3580	1997-03-31	PRIJEM	\N	244	60635	UROK	\N	\N
3648321	3580	1997-04-30	PRIJEM	\N	277	60263	UROK	\N	\N
3648322	3580	1997-05-31	PRIJEM	\N	239	57254	UROK	\N	\N
3648323	3580	1997-06-30	PRIJEM	\N	242	34642	UROK	\N	\N
3648324	3580	1997-07-31	PRIJEM	\N	195	54489	UROK	\N	\N
3648325	3580	1997-08-31	PRIJEM	\N	236	59976	UROK	\N	\N
3648326	3580	1997-09-30	PRIJEM	\N	262	65489	UROK	\N	\N
3648327	3580	1997-10-31	PRIJEM	\N	248	57908	UROK	\N	\N
3648328	3580	1997-11-30	PRIJEM	\N	248	63707	UROK	\N	\N
3648329	3580	1997-12-31	PRIJEM	\N	264	65798	UROK	\N	\N
3648330	3580	1998-01-31	PRIJEM	\N	197	41686	UROK	\N	\N
3648331	3580	1998-02-28	PRIJEM	\N	195	52532	UROK	\N	\N
3648332	3580	1998-03-31	PRIJEM	\N	237	61820	UROK	\N	\N
3648333	3580	1998-04-30	PRIJEM	\N	259	66130	UROK	\N	\N
3648334	3580	1998-05-31	PRIJEM	\N	271	68753	UROK	\N	\N
3648335	3580	1998-06-30	PRIJEM	\N	246	59025	UROK	\N	\N
3648336	3580	1998-07-31	PRIJEM	\N	253	65730	UROK	\N	\N
3648337	3580	1998-08-31	PRIJEM	\N	278	71159	UROK	\N	\N
3648338	3580	1998-09-30	PRIJEM	\N	290	73400	UROK	\N	\N
3648339	3580	1998-10-31	PRIJEM	\N	302	76554	UROK	\N	\N
3648340	3580	1998-11-30	PRIJEM	\N	322	82028	UROK	\N	\N
3648341	3580	1998-12-31	PRIJEM	\N	364	93157	UROK	\N	\N
3648342	3581	1997-04-30	PRIJEM	\N	18	21307	UROK	\N	\N
3648343	3581	1997-05-31	PRIJEM	\N	96	28591	UROK	\N	\N
3648344	3581	1997-06-30	PRIJEM	\N	124	33599	UROK	\N	\N
3648345	3581	1997-07-31	PRIJEM	\N	137	31625	UROK	\N	\N
3648346	3581	1997-08-31	PRIJEM	\N	126	26740	UROK	\N	\N
3648347	3581	1997-09-30	PRIJEM	\N	114	24919	UROK	\N	\N
3648348	3581	1997-10-31	PRIJEM	\N	107	23892	UROK	\N	\N
3648349	3581	1997-11-30	PRIJEM	\N	105	22263	UROK	\N	\N
3648350	3581	1997-12-31	PRIJEM	\N	104	20127	UROK	\N	\N
3648351	3581	1998-01-31	PRIJEM	\N	71	14463	UROK	\N	\N
3648352	3581	1998-02-28	PRIJEM	\N	70	18198	UROK	\N	\N
3648353	3581	1998-03-31	PRIJEM	\N	61	11325	UROK	\N	\N
3648354	3581	1998-04-30	PRIJEM	\N	53	12343	UROK	\N	\N
3648355	3581	1998-05-31	PRIJEM	\N	55	12464	UROK	\N	\N
3648356	3581	1998-06-30	PRIJEM	\N	61	11685	UROK	\N	\N
3648357	3581	1998-07-31	PRIJEM	\N	52	11903	UROK	\N	\N
3648358	3581	1998-08-31	PRIJEM	\N	59	15227	UROK	\N	\N
3648359	3581	1998-09-30	PRIJEM	\N	57	12149	UROK	\N	\N
3648360	3581	1998-10-31	PRIJEM	\N	54	12668	UROK	\N	\N
3648361	3581	1998-11-30	PRIJEM	\N	62	15995	UROK	\N	\N
3648362	3581	1998-12-31	PRIJEM	\N	91	23446	UROK	\N	\N
3648363	3582	1996-01-31	PRIJEM	\N	29	13609	UROK	\N	\N
3648364	3582	1996-02-29	PRIJEM	\N	59	14634	UROK	\N	\N
3648365	3582	1996-03-31	PRIJEM	\N	63	15664	UROK	\N	\N
3648366	3582	1996-04-30	PRIJEM	\N	66	16426	UROK	\N	\N
3648367	3582	1996-05-31	PRIJEM	\N	71	17463	UROK	\N	\N
3648368	3582	1996-06-30	PRIJEM	\N	75	18504	UROK	\N	\N
3648369	3582	1996-07-31	PRIJEM	\N	77	18168	UROK	\N	\N
3648370	3582	1996-08-31	PRIJEM	\N	78	19212	UROK	\N	\N
3648371	3582	1996-09-30	PRIJEM	\N	78	19357	UROK	\N	\N
3648372	3582	1996-10-31	PRIJEM	\N	83	20406	UROK	\N	\N
3648373	3582	1996-11-30	PRIJEM	\N	87	20379	UROK	\N	\N
3648374	3582	1996-12-31	PRIJEM	\N	82	19837	UROK	\N	\N
3648375	3582	1997-01-31	PRIJEM	\N	79	17672	UROK	\N	\N
3648376	3582	1997-02-28	PRIJEM	\N	75	17573	UROK	\N	\N
3648377	3582	1997-03-31	PRIJEM	\N	75	18615	UROK	\N	\N
3648378	3582	1997-04-30	PRIJEM	\N	75	18606	UROK	\N	\N
3648379	3582	1997-05-31	PRIJEM	\N	80	19652	UROK	\N	\N
3648380	3582	1997-06-30	PRIJEM	\N	84	20702	UROK	\N	\N
3648381	3582	1997-07-31	PRIJEM	\N	88	21397	UROK	\N	\N
3648382	3582	1997-08-31	PRIJEM	\N	91	22454	UROK	\N	\N
3648383	3582	1997-09-30	PRIJEM	\N	96	23516	UROK	\N	\N
3648384	3582	1997-10-31	PRIJEM	\N	97	22960	UROK	\N	\N
3648385	3582	1997-11-30	PRIJEM	\N	98	24024	UROK	\N	\N
3648386	3582	1997-12-31	PRIJEM	\N	100	24700	UROK	\N	\N
3648387	3582	1998-01-31	PRIJEM	\N	96	23003	UROK	\N	\N
3648388	3582	1998-02-28	PRIJEM	\N	95	23344	UROK	\N	\N
3648389	3582	1998-03-31	PRIJEM	\N	98	24109	UROK	\N	\N
3648390	3582	1998-04-30	PRIJEM	\N	102	25177	UROK	\N	\N
3648391	3582	1998-05-31	PRIJEM	\N	105	25179	UROK	\N	\N
3648392	3582	1998-06-30	PRIJEM	\N	103	24958	UROK	\N	\N
3648393	3582	1998-07-31	PRIJEM	\N	96	23010	UROK	\N	\N
3648394	3582	1998-08-31	PRIJEM	\N	93	22559	UROK	\N	\N
3648395	3582	1998-09-30	PRIJEM	\N	69	15615	UROK	\N	\N
3648396	3582	1998-10-31	PRIJEM	\N	65	16546	UROK	\N	\N
3648397	3582	1998-11-30	PRIJEM	\N	71	17583	UROK	\N	\N
3648398	3582	1998-12-31	PRIJEM	\N	71	17550	UROK	\N	\N
3648399	3583	1995-02-28	PRIJEM	\N	16	5852	UROK	\N	\N
3648400	3583	1995-03-31	PRIJEM	\N	24	11212	UROK	\N	\N
3648401	3583	1995-04-30	PRIJEM	\N	24	16572	UROK	\N	\N
3648402	3583	1995-05-31	PRIJEM	\N	24	21933	UROK	\N	\N
3648403	3583	1995-06-30	PRIJEM	\N	73	24257	UROK	\N	\N
3648404	3583	1995-07-31	PRIJEM	\N	100	21635	UROK	\N	\N
3648405	3583	1995-08-31	PRIJEM	\N	96	23969	UROK	\N	\N
3648406	3583	1995-09-30	PRIJEM	\N	105	25511	UROK	\N	\N
3648407	3583	1995-10-31	PRIJEM	\N	112	27860	UROK	\N	\N
3648408	3583	1995-11-30	PRIJEM	\N	122	30220	UROK	\N	\N
3648409	3583	1995-12-31	PRIJEM	\N	125	27992	UROK	\N	\N
3648410	3583	1996-01-31	PRIJEM	\N	101	21761	UROK	\N	\N
3648411	3583	1996-02-29	PRIJEM	\N	96	24095	UROK	\N	\N
3648412	3583	1996-03-31	PRIJEM	\N	99	23231	UROK	\N	\N
3648413	3583	1996-04-30	PRIJEM	\N	103	25570	UROK	\N	\N
3648414	3583	1996-05-31	PRIJEM	\N	110	26398	UROK	\N	\N
3648415	3583	1996-06-30	PRIJEM	\N	103	23939	UROK	\N	\N
3648416	3583	1996-07-31	PRIJEM	\N	106	26282	UROK	\N	\N
3648417	3583	1996-08-31	PRIJEM	\N	115	28635	UROK	\N	\N
3648418	3583	1996-09-30	PRIJEM	\N	125	30997	UROK	\N	\N
3648419	3583	1996-10-31	PRIJEM	\N	134	32968	UROK	\N	\N
3648420	3583	1996-11-30	PRIJEM	\N	143	35349	UROK	\N	\N
3648421	3583	1996-12-31	PRIJEM	\N	152	36938	UROK	\N	\N
3648422	3583	1997-01-31	PRIJEM	\N	135	29740	UROK	\N	\N
3648423	3583	1997-02-28	PRIJEM	\N	120	28177	UROK	\N	\N
3648424	3583	1997-03-31	PRIJEM	\N	123	30537	UROK	\N	\N
3648425	3583	1997-04-30	PRIJEM	\N	133	32507	UROK	\N	\N
3648426	3583	1997-05-31	PRIJEM	\N	141	34885	UROK	\N	\N
3648427	3583	1997-06-30	PRIJEM	\N	105	20438	UROK	\N	\N
3648428	3583	1997-07-31	PRIJEM	\N	80	18836	UROK	\N	\N
3648429	3583	1997-08-31	PRIJEM	\N	84	21157	UROK	\N	\N
3648430	3583	1997-09-30	PRIJEM	\N	89	21404	UROK	\N	\N
3648431	3583	1997-10-31	PRIJEM	\N	91	22212	UROK	\N	\N
3648432	3583	1997-11-30	PRIJEM	\N	93	22622	UROK	\N	\N
3648433	3583	1997-12-31	PRIJEM	\N	94	22054	UROK	\N	\N
3648434	3583	1998-01-31	PRIJEM	\N	84	16495	UROK	\N	\N
3648435	3583	1998-02-28	PRIJEM	\N	73	18806	UROK	\N	\N
3648436	3583	1998-03-31	PRIJEM	\N	83	21127	UROK	\N	\N
3648437	3583	1998-04-30	PRIJEM	\N	89	22094	UROK	\N	\N
3648438	3583	1998-05-31	PRIJEM	\N	97	24428	UROK	\N	\N
3648439	3583	1998-06-30	PRIJEM	\N	93	16708	UROK	\N	\N
3648440	3583	1998-07-31	PRIJEM	\N	74	16939	UROK	\N	\N
3648441	3583	1998-08-31	PRIJEM	\N	74	18451	UROK	\N	\N
3648442	3583	1998-09-30	PRIJEM	\N	81	20770	UROK	\N	\N
3648443	3583	1998-10-31	PRIJEM	\N	91	23098	UROK	\N	\N
3648444	3583	1998-11-30	PRIJEM	\N	101	25436	UROK	\N	\N
3648445	3583	1998-12-31	PRIJEM	\N	107	26330	UROK	\N	\N
3648446	3584	1996-07-31	PRIJEM	\N	78	28905	UROK	\N	\N
3648447	3584	1996-08-31	PRIJEM	\N	158	42490	UROK	\N	\N
3648448	3584	1996-09-30	PRIJEM	\N	192	47809	UROK	\N	\N
3648449	3584	1996-10-31	PRIJEM	\N	206	50442	UROK	\N	\N
3648450	3584	1996-11-30	PRIJEM	\N	160	28626	UROK	\N	\N
3648451	3584	1996-12-31	PRIJEM	\N	155	36931	UROK	\N	\N
3648452	3584	1997-01-31	PRIJEM	\N	126	23293	UROK	\N	\N
3648453	3584	1997-02-28	PRIJEM	\N	160	36590	UROK	\N	\N
3648454	3584	1997-03-31	PRIJEM	\N	127	25553	UROK	\N	\N
3648455	3584	1997-04-30	PRIJEM	\N	116	26605	UROK	\N	\N
3648456	3584	1997-05-31	PRIJEM	\N	125	28966	UROK	\N	\N
3648457	3584	1997-06-30	PRIJEM	\N	229	60944	UROK	\N	\N
3648458	3584	1997-07-31	PRIJEM	\N	257	60038	UROK	\N	\N
3648459	3584	1997-08-31	PRIJEM	\N	245	45919	UROK	\N	\N
3648460	3584	1997-09-30	PRIJEM	\N	134	24101	UROK	\N	\N
3648461	3584	1997-10-31	PRIJEM	\N	162	41500	UROK	\N	\N
3648462	3584	1997-11-30	PRIJEM	\N	202	48738	UROK	\N	\N
3648463	3584	1997-12-31	PRIJEM	\N	272	64559	UROK	\N	\N
3648464	3584	1998-01-31	PRIJEM	\N	177	22172	UROK	\N	\N
3648465	3584	1998-02-28	PRIJEM	\N	151	37659	UROK	\N	\N
3648466	3584	1998-03-31	PRIJEM	\N	174	35170	UROK	\N	\N
3648467	3584	1998-04-30	PRIJEM	\N	201	50307	UROK	\N	\N
3648468	3584	1998-05-31	PRIJEM	\N	227	54170	UROK	\N	\N
3648469	3584	1998-06-30	PRIJEM	\N	245	55425	UROK	\N	\N
3648470	3584	1998-07-31	PRIJEM	\N	229	53090	UROK	\N	\N
3648471	3584	1998-08-31	PRIJEM	\N	227	53153	UROK	\N	\N
3648472	3584	1998-09-30	PRIJEM	\N	201	37376	UROK	\N	\N
3648473	3584	1998-10-31	PRIJEM	\N	143	24355	UROK	\N	\N
3648474	3584	1998-11-30	PRIJEM	\N	152	27444	UROK	\N	\N
3648475	3584	1998-12-31	PRIJEM	\N	210	61403	UROK	\N	\N
3648476	3585	1996-11-30	PRIJEM	\N	43	28153	UROK	\N	\N
3648477	3585	1996-12-31	PRIJEM	\N	125	30143	UROK	\N	\N
3648478	3585	1997-01-31	PRIJEM	\N	94	16203	UROK	\N	\N
3648479	3585	1997-02-28	PRIJEM	\N	73	18521	UROK	\N	\N
3648480	3585	1997-03-31	PRIJEM	\N	82	19268	UROK	\N	\N
3648481	3585	1997-04-30	PRIJEM	\N	89	22723	UROK	\N	\N
3648482	3585	1997-05-31	PRIJEM	\N	99	24747	UROK	\N	\N
3648483	3585	1997-06-30	PRIJEM	\N	112	28224	UROK	\N	\N
3648484	3585	1997-07-31	PRIJEM	\N	122	29312	UROK	\N	\N
3648485	3585	1997-08-31	PRIJEM	\N	126	30203	UROK	\N	\N
3648486	3585	1997-09-30	PRIJEM	\N	132	32601	UROK	\N	\N
3648487	3585	1997-10-31	PRIJEM	\N	140	34626	UROK	\N	\N
3648488	3585	1997-11-30	PRIJEM	\N	146	31778	UROK	\N	\N
3648489	3585	1997-12-31	PRIJEM	\N	134	30307	UROK	\N	\N
3648490	3585	1998-01-31	PRIJEM	\N	118	23111	UROK	\N	\N
3648491	3585	1998-02-28	PRIJEM	\N	105	26581	UROK	\N	\N
3648492	3585	1998-03-31	PRIJEM	\N	120	30066	UROK	\N	\N
3648493	3585	1998-04-30	PRIJEM	\N	134	33565	UROK	\N	\N
3648494	3585	1998-05-31	PRIJEM	\N	149	37079	UROK	\N	\N
3648495	3585	1998-06-30	PRIJEM	\N	143	32087	UROK	\N	\N
3648496	3585	1998-07-31	PRIJEM	\N	139	32071	UROK	\N	\N
3648497	3585	1998-08-31	PRIJEM	\N	142	35579	UROK	\N	\N
3648498	3585	1998-09-30	PRIJEM	\N	156	38800	UROK	\N	\N
3648499	3585	1998-10-31	PRIJEM	\N	152	33517	UROK	\N	\N
3648500	3585	1998-11-30	PRIJEM	\N	138	33461	UROK	\N	\N
3648501	3585	1998-12-31	PRIJEM	\N	132	31508	UROK	\N	\N
3648502	3587	1996-01-31	PRIJEM	\N	19	15370	UROK	\N	\N
3648503	3587	1996-02-29	PRIJEM	\N	69	20090	UROK	\N	\N
3648504	3587	1996-03-31	PRIJEM	\N	86	21927	UROK	\N	\N
3648505	3587	1996-04-30	PRIJEM	\N	94	24372	UROK	\N	\N
3648506	3587	1996-05-31	PRIJEM	\N	104	23887	UROK	\N	\N
3648507	3587	1996-06-30	PRIJEM	\N	84	15970	UROK	\N	\N
3648508	3587	1996-07-31	PRIJEM	\N	68	15908	UROK	\N	\N
3648509	3587	1996-08-31	PRIJEM	\N	69	16546	UROK	\N	\N
3648510	3587	1996-09-30	PRIJEM	\N	76	19691	UROK	\N	\N
3648511	3587	1996-10-31	PRIJEM	\N	78	17268	UROK	\N	\N
3648512	3587	1996-11-30	PRIJEM	\N	68	15296	UROK	\N	\N
3648513	3587	1996-12-31	PRIJEM	\N	65	15130	UROK	\N	\N
3648514	3587	1997-01-31	PRIJEM	\N	60	14889	UROK	\N	\N
3648515	3587	1997-02-28	PRIJEM	\N	59	12617	UROK	\N	\N
3648516	3587	1997-03-31	PRIJEM	\N	57	14644	UROK	\N	\N
3648517	3587	1997-04-30	PRIJEM	\N	62	14776	UROK	\N	\N
3648518	3587	1997-05-31	PRIJEM	\N	61	14206	UROK	\N	\N
3648519	3587	1997-06-30	PRIJEM	\N	61	14477	UROK	\N	\N
3648520	3587	1997-07-31	PRIJEM	\N	66	17013	UROK	\N	\N
3648521	3587	1997-08-31	PRIJEM	\N	74	18056	UROK	\N	\N
3648522	3587	1997-09-30	PRIJEM	\N	82	20907	UROK	\N	\N
3648523	3587	1997-10-31	PRIJEM	\N	86	20263	UROK	\N	\N
3648524	3587	1997-11-30	PRIJEM	\N	90	22322	UROK	\N	\N
3648525	3587	1997-12-31	PRIJEM	\N	89	20550	UROK	\N	\N
3648526	3587	1998-01-31	PRIJEM	\N	68	12777	UROK	\N	\N
3648527	3587	1998-02-28	PRIJEM	\N	53	12620	UROK	\N	\N
3648528	3587	1998-03-31	PRIJEM	\N	55	13344	UROK	\N	\N
3648529	3587	1998-04-30	PRIJEM	\N	58	14472	UROK	\N	\N
3648530	3587	1998-05-31	PRIJEM	\N	58	12829	UROK	\N	\N
3648531	3587	1998-06-30	PRIJEM	\N	45	10044	UROK	\N	\N
3648532	3587	1998-07-31	PRIJEM	\N	45	11158	UROK	\N	\N
3648533	3587	1998-08-31	PRIJEM	\N	49	12277	UROK	\N	\N
3648534	3587	1998-09-30	PRIJEM	\N	59	14925	UROK	\N	\N
3648535	3587	1998-10-31	PRIJEM	\N	59	14153	UROK	\N	\N
3648536	3587	1998-11-30	PRIJEM	\N	57	13979	UROK	\N	\N
3648537	3587	1998-12-31	PRIJEM	\N	70	17818	UROK	\N	\N
3648538	3588	1996-11-30	PRIJEM	\N	92	29324	UROK	\N	\N
3648539	3588	1996-12-31	PRIJEM	\N	131	27927	UROK	\N	\N
3648540	3588	1997-01-31	PRIJEM	\N	126	29314	UROK	\N	\N
3648541	3588	1997-02-28	PRIJEM	\N	133	30148	UROK	\N	\N
3648542	3588	1997-03-31	PRIJEM	\N	141	35390	UROK	\N	\N
3648543	3588	1997-04-30	PRIJEM	\N	157	34848	UROK	\N	\N
3648544	3588	1997-05-31	PRIJEM	\N	158	38408	UROK	\N	\N
3648545	3588	1997-06-30	PRIJEM	\N	163	31023	UROK	\N	\N
3648546	3588	1997-07-31	PRIJEM	\N	132	29097	UROK	\N	\N
3648547	3588	1997-08-31	PRIJEM	\N	133	31731	UROK	\N	\N
3648548	3588	1997-09-30	PRIJEM	\N	140	31772	UROK	\N	\N
3648549	3588	1997-10-31	PRIJEM	\N	136	29509	UROK	\N	\N
3648550	3588	1997-11-30	PRIJEM	\N	126	27237	UROK	\N	\N
3648551	3588	1997-12-31	PRIJEM	\N	106	17814	UROK	\N	\N
3648552	3588	1998-01-31	PRIJEM	\N	73	15529	UROK	\N	\N
3648553	3588	1998-02-28	PRIJEM	\N	68	13998	UROK	\N	\N
3648554	3588	1998-03-31	PRIJEM	\N	73	18692	UROK	\N	\N
3648555	3588	1998-04-30	PRIJEM	\N	80	16173	UROK	\N	\N
3648556	3588	1998-05-31	PRIJEM	\N	66	12240	UROK	\N	\N
3648557	3588	1998-06-30	PRIJEM	\N	66	17407	UROK	\N	\N
3648558	3588	1998-07-31	PRIJEM	\N	71	14080	UROK	\N	\N
3648559	3588	1998-08-31	PRIJEM	\N	72	17893	UROK	\N	\N
3648560	3588	1998-09-30	PRIJEM	\N	89	23083	UROK	\N	\N
3648561	3588	1998-10-31	PRIJEM	\N	111	28295	UROK	\N	\N
3648562	3588	1998-11-30	PRIJEM	\N	132	33529	UROK	\N	\N
3648563	3588	1998-12-31	PRIJEM	\N	151	37732	UROK	\N	\N
3648564	3589	1996-12-31	PRIJEM	\N	30	44861	UROK	\N	\N
3648565	3589	1997-01-31	PRIJEM	\N	187	38048	UROK	\N	\N
3648566	3589	1997-02-28	PRIJEM	\N	163	36019	UROK	\N	\N
3648567	3589	1997-03-31	PRIJEM	\N	175	63270	UROK	\N	\N
3648568	3589	1997-04-30	PRIJEM	\N	277	67168	UROK	\N	\N
3648569	3589	1997-05-31	PRIJEM	\N	236	52945	UROK	\N	\N
3648570	3589	1997-06-30	PRIJEM	\N	281	89411	UROK	\N	\N
3648571	3589	1997-07-31	PRIJEM	\N	380	85160	UROK	\N	\N
3648572	3589	1997-08-31	PRIJEM	\N	253	47555	UROK	\N	\N
3648573	3589	1997-09-30	PRIJEM	\N	152	51928	UROK	\N	\N
3648574	3589	1997-10-31	PRIJEM	\N	199	45415	UROK	\N	\N
3648575	3589	1997-11-30	PRIJEM	\N	190	56098	UROK	\N	\N
3648576	3589	1997-12-31	PRIJEM	\N	195	56788	UROK	\N	\N
3648577	3589	1998-01-31	PRIJEM	\N	186	39356	UROK	\N	\N
3648578	3589	1998-02-28	PRIJEM	\N	213	62263	UROK	\N	\N
3648579	3589	1998-03-31	PRIJEM	\N	163	22867	UROK	\N	\N
3648580	3589	1998-04-30	PRIJEM	\N	170	52574	UROK	\N	\N
3648581	3589	1998-05-31	PRIJEM	\N	229	57476	UROK	\N	\N
3648582	3589	1998-06-30	PRIJEM	\N	314	67656	UROK	\N	\N
3648583	3589	1998-07-31	PRIJEM	\N	226	49035	UROK	\N	\N
3648584	3589	1998-08-31	PRIJEM	\N	354	97074	UROK	\N	\N
3648585	3589	1998-09-30	PRIJEM	\N	327	93308	UROK	\N	\N
3648586	3589	1998-10-31	PRIJEM	\N	342	69813	UROK	\N	\N
3648587	3589	1998-11-30	PRIJEM	\N	185	31668	UROK	\N	\N
3648588	3589	1998-12-31	PRIJEM	\N	194	63565	UROK	\N	\N
3648589	3590	1996-06-30	PRIJEM	\N	117	33739	UROK	\N	\N
3648590	3590	1996-07-31	PRIJEM	\N	188	47608	UROK	\N	\N
3648591	3590	1996-08-31	PRIJEM	\N	231	57920	UROK	\N	\N
3648592	3590	1996-09-30	PRIJEM	\N	164	61365	UROK	\N	\N
3648593	3590	1996-10-31	PRIJEM	\N	213	38720	UROK	\N	\N
3648594	3590	1996-11-30	PRIJEM	\N	193	35941	UROK	\N	\N
3648595	3590	1996-12-31	PRIJEM	\N	203	39312	UROK	\N	\N
3648596	3590	1997-01-31	PRIJEM	\N	186	35225	UROK	\N	\N
3648597	3590	1997-02-28	PRIJEM	\N	178	37831	UROK	\N	\N
3648598	3590	1997-03-31	PRIJEM	\N	188	35046	UROK	\N	\N
3648599	3590	1997-04-30	PRIJEM	\N	175	31848	UROK	\N	\N
3648600	3590	1997-05-31	PRIJEM	\N	164	35039	UROK	\N	\N
3648601	3590	1997-06-30	PRIJEM	\N	177	29885	UROK	\N	\N
3648602	3590	1997-07-31	PRIJEM	\N	146	26158	UROK	\N	\N
3648603	3590	1997-08-31	PRIJEM	\N	137	28422	UROK	\N	\N
3648604	3590	1997-09-30	PRIJEM	\N	141	25990	UROK	\N	\N
3648605	3590	1997-10-31	PRIJEM	\N	135	28552	UROK	\N	\N
3648606	3590	1997-11-30	PRIJEM	\N	140	28919	UROK	\N	\N
3648607	3590	1997-12-31	PRIJEM	\N	178	29366	UROK	\N	\N
3648608	3590	1998-01-31	PRIJEM	\N	129	21323	UROK	\N	\N
3648609	3590	1998-02-28	PRIJEM	\N	109	20959	UROK	\N	\N
3648610	3590	1998-03-31	PRIJEM	\N	112	23899	UROK	\N	\N
3648611	3590	1998-04-30	PRIJEM	\N	122	25348	UROK	\N	\N
3648612	3590	1998-05-31	PRIJEM	\N	130	29306	UROK	\N	\N
3648613	3590	1998-06-30	PRIJEM	\N	153	33027	UROK	\N	\N
3648614	3590	1998-07-31	PRIJEM	\N	153	31008	UROK	\N	\N
3648615	3590	1998-08-31	PRIJEM	\N	144	30279	UROK	\N	\N
3648616	3590	1998-09-30	PRIJEM	\N	131	23838	UROK	\N	\N
3648617	3590	1998-10-31	PRIJEM	\N	113	23479	UROK	\N	\N
3648618	3590	1998-11-30	PRIJEM	\N	111	23517	UROK	\N	\N
3648619	3590	1998-12-31	PRIJEM	\N	125	24110	UROK	\N	\N
3648620	3591	1996-06-30	PRIJEM	\N	170	51104	UROK	\N	\N
3648621	3591	1996-07-31	PRIJEM	\N	337	76166	UROK	\N	\N
3648622	3591	1996-08-31	PRIJEM	\N	177	44777	UROK	\N	\N
3648623	3591	1996-09-30	PRIJEM	\N	220	82000	UROK	\N	\N
3648624	3591	1996-10-31	PRIJEM	\N	265	74571	UROK	\N	\N
3648625	3591	1996-11-30	PRIJEM	\N	317	89430	UROK	\N	\N
3648626	3591	1996-12-31	PRIJEM	\N	289	59611	UROK	\N	\N
3648627	3591	1997-01-31	PRIJEM	\N	143	19493	UROK	\N	\N
3648628	3591	1997-02-28	PRIJEM	\N	177	50056	UROK	\N	\N
3648629	3591	1997-03-31	PRIJEM	\N	148	31343	UROK	\N	\N
3648630	3591	1997-04-30	PRIJEM	\N	160	67244	UROK	\N	\N
3648631	3591	1997-05-31	PRIJEM	\N	153	22224	UROK	\N	\N
3648632	3591	1997-06-30	PRIJEM	\N	79	17842	UROK	\N	\N
3648633	3591	1997-07-31	PRIJEM	\N	66	15447	UROK	\N	\N
3648634	3591	1997-08-31	PRIJEM	\N	185	55145	UROK	\N	\N
3648635	3591	1997-09-30	PRIJEM	\N	161	30245	UROK	\N	\N
3648636	3591	1997-10-31	PRIJEM	\N	141	21226	UROK	\N	\N
3648637	3591	1997-11-30	PRIJEM	\N	77	17842	UROK	\N	\N
3648638	3591	1997-12-31	PRIJEM	\N	69	36739	UROK	\N	\N
3648639	3591	1998-01-31	PRIJEM	\N	94	28409	UROK	\N	\N
3648640	3591	1998-02-28	PRIJEM	\N	108	21249	UROK	\N	\N
3648641	3591	1998-03-31	PRIJEM	\N	85	25173	UROK	\N	\N
3648642	3591	1998-04-30	PRIJEM	\N	103	25315	UROK	\N	\N
3648643	3591	1998-05-31	PRIJEM	\N	110	27464	UROK	\N	\N
3648644	3591	1998-06-30	PRIJEM	\N	227	39694	UROK	\N	\N
3648645	3591	1998-07-31	PRIJEM	\N	220	52404	UROK	\N	\N
3648646	3591	1998-08-31	PRIJEM	\N	145	35722	UROK	\N	\N
3648647	3591	1998-09-30	PRIJEM	\N	201	53130	UROK	\N	\N
3648648	3591	1998-10-31	PRIJEM	\N	204	44314	UROK	\N	\N
3648649	3591	1998-11-30	PRIJEM	\N	195	56855	UROK	\N	\N
3648650	3591	1998-12-31	PRIJEM	\N	215	55876	UROK	\N	\N
3648651	3592	1993-01-31	PRIJEM	\N	20	6627	UROK	\N	\N
3648652	3592	1993-02-28	PRIJEM	\N	28	12661	UROK	\N	\N
3648653	3592	1993-03-31	PRIJEM	\N	28	18696	UROK	\N	\N
3648654	3592	1993-04-30	PRIJEM	\N	28	24730	UROK	\N	\N
3648655	3592	1993-05-31	PRIJEM	\N	83	27461	UROK	\N	\N
3648656	3592	1993-06-30	PRIJEM	\N	80	15423	UROK	\N	\N
3648657	3592	1993-07-31	PRIJEM	\N	71	18127	UROK	\N	\N
3648658	3592	1993-08-31	PRIJEM	\N	73	16432	UROK	\N	\N
3648659	3592	1993-09-30	PRIJEM	\N	75	19140	UROK	\N	\N
3648660	3592	1993-10-31	PRIJEM	\N	83	20015	UROK	\N	\N
3648661	3592	1993-11-30	PRIJEM	\N	89	19457	UROK	\N	\N
3648662	3592	1993-12-31	PRIJEM	\N	87	20337	UROK	\N	\N
3648663	3592	1994-01-31	PRIJEM	\N	91	22210	UROK	\N	\N
3648664	3592	1994-02-28	PRIJEM	\N	99	24141	UROK	\N	\N
3648665	3592	1994-03-31	PRIJEM	\N	106	25280	UROK	\N	\N
3648666	3592	1994-04-30	PRIJEM	\N	112	27324	UROK	\N	\N
3648667	3592	1994-05-31	PRIJEM	\N	113	26970	UROK	\N	\N
3648668	3592	1994-06-30	PRIJEM	\N	114	27516	UROK	\N	\N
3648669	3592	1994-07-31	PRIJEM	\N	122	30270	UROK	\N	\N
3648670	3592	1994-08-31	PRIJEM	\N	119	27602	UROK	\N	\N
3648671	3592	1994-09-30	PRIJEM	\N	111	27845	UROK	\N	\N
3648672	3592	1994-10-31	PRIJEM	\N	122	27459	UROK	\N	\N
3648673	3592	1994-11-30	PRIJEM	\N	121	28713	UROK	\N	\N
3648674	3592	1994-12-31	PRIJEM	\N	122	26067	UROK	\N	\N
3648675	3592	1995-01-31	PRIJEM	\N	109	26108	UROK	\N	\N
3648676	3592	1995-02-28	PRIJEM	\N	115	27255	UROK	\N	\N
3648677	3592	1995-03-31	PRIJEM	\N	119	26106	UROK	\N	\N
3648678	3592	1995-04-30	PRIJEM	\N	115	28854	UROK	\N	\N
3648679	3592	1995-05-31	PRIJEM	\N	124	26410	UROK	\N	\N
3648680	3592	1995-06-30	PRIJEM	\N	98	16381	UROK	\N	\N
3648681	3592	1995-07-31	PRIJEM	\N	75	19088	UROK	\N	\N
3648682	3592	1995-08-31	PRIJEM	\N	86	21806	UROK	\N	\N
3648683	3592	1995-09-30	PRIJEM	\N	97	24536	UROK	\N	\N
3648684	3592	1995-10-31	PRIJEM	\N	109	27277	UROK	\N	\N
3648685	3592	1995-11-30	PRIJEM	\N	116	26125	UROK	\N	\N
3648686	3592	1995-12-31	PRIJEM	\N	114	27471	UROK	\N	\N
3648687	3592	1996-01-31	PRIJEM	\N	112	23416	UROK	\N	\N
3648688	3592	1996-02-29	PRIJEM	\N	103	26152	UROK	\N	\N
3648689	3592	1996-03-31	PRIJEM	\N	108	21952	UROK	\N	\N
3648690	3592	1996-04-30	PRIJEM	\N	95	22579	UROK	\N	\N
3648691	3592	1996-05-31	PRIJEM	\N	100	25311	UROK	\N	\N
3648692	3592	1996-06-30	PRIJEM	\N	95	16088	UROK	\N	\N
3648693	3592	1996-07-31	PRIJEM	\N	72	18233	UROK	\N	\N
3648694	3592	1996-08-31	PRIJEM	\N	79	19344	UROK	\N	\N
3648695	3592	1996-09-30	PRIJEM	\N	83	20360	UROK	\N	\N
3648696	3592	1996-10-31	PRIJEM	\N	87	20859	UROK	\N	\N
3648697	3592	1996-11-30	PRIJEM	\N	83	18835	UROK	\N	\N
3648698	3592	1996-12-31	PRIJEM	\N	79	18396	UROK	\N	\N
3648699	3592	1997-01-31	PRIJEM	\N	72	16770	UROK	\N	\N
3648700	3592	1997-02-28	PRIJEM	\N	68	15971	UROK	\N	\N
3648701	3592	1997-03-31	PRIJEM	\N	72	18675	UROK	\N	\N
3648702	3592	1997-04-30	PRIJEM	\N	83	21390	UROK	\N	\N
3648703	3592	1997-05-31	PRIJEM	\N	90	22213	UROK	\N	\N
3648704	3592	1997-06-30	PRIJEM	\N	92	19317	UROK	\N	\N
3648705	3592	1997-07-31	PRIJEM	\N	71	16421	UROK	\N	\N
3648706	3592	1997-08-31	PRIJEM	\N	73	19126	UROK	\N	\N
3648707	3592	1997-09-30	PRIJEM	\N	82	20941	UROK	\N	\N
3648708	3592	1997-10-31	PRIJEM	\N	91	23365	UROK	\N	\N
3648709	3592	1997-11-30	PRIJEM	\N	88	20685	UROK	\N	\N
3648710	3592	1997-12-31	PRIJEM	\N	90	22457	UROK	\N	\N
3648711	3592	1998-01-31	PRIJEM	\N	97	24187	UROK	\N	\N
3648712	3592	1998-02-28	PRIJEM	\N	96	23114	UROK	\N	\N
3648713	3592	1998-03-31	PRIJEM	\N	89	21135	UROK	\N	\N
3648714	3592	1998-04-30	PRIJEM	\N	75	17243	UROK	\N	\N
3648715	3592	1998-05-31	PRIJEM	\N	61	14336	UROK	\N	\N
3648716	3592	1998-06-30	PRIJEM	\N	48	11016	UROK	\N	\N
3648717	3592	1998-07-31	PRIJEM	\N	50	13698	UROK	\N	\N
3648718	3592	1998-08-31	PRIJEM	\N	49	11179	UROK	\N	\N
3648719	3592	1998-09-30	PRIJEM	\N	50	13862	UROK	\N	\N
3648720	3592	1998-10-31	PRIJEM	\N	62	16556	UROK	\N	\N
3648721	3592	1998-11-30	PRIJEM	\N	73	19261	UROK	\N	\N
3648722	3592	1998-12-31	PRIJEM	\N	83	21076	UROK	\N	\N
3648723	3593	1993-03-31	PRIJEM	\N	32	19919	UROK	\N	\N
3648724	3593	1993-04-30	PRIJEM	\N	97	28303	UROK	\N	\N
3648725	3593	1993-05-31	PRIJEM	\N	124	32114	UROK	\N	\N
3648726	3593	1993-06-30	PRIJEM	\N	152	42346	UROK	\N	\N
3648727	3593	1993-07-31	PRIJEM	\N	191	43338	UROK	\N	\N
3648728	3593	1993-08-31	PRIJEM	\N	179	39479	UROK	\N	\N
3648729	3593	1993-09-30	PRIJEM	\N	164	36506	UROK	\N	\N
3648730	3593	1993-10-31	PRIJEM	\N	155	35224	UROK	\N	\N
3648731	3593	1993-11-30	PRIJEM	\N	148	35154	UROK	\N	\N
3648732	3593	1993-12-31	PRIJEM	\N	160	38750	UROK	\N	\N
3648733	3593	1994-01-31	PRIJEM	\N	134	25286	UROK	\N	\N
3648734	3593	1994-02-28	PRIJEM	\N	125	32873	UROK	\N	\N
3648735	3593	1994-03-31	PRIJEM	\N	135	28051	UROK	\N	\N
3648736	3593	1994-04-30	PRIJEM	\N	128	31841	UROK	\N	\N
3648737	3593	1994-05-31	PRIJEM	\N	141	34245	UROK	\N	\N
3648738	3593	1994-06-30	PRIJEM	\N	152	37253	UROK	\N	\N
3648739	3593	1994-07-31	PRIJEM	\N	157	37672	UROK	\N	\N
3648740	3593	1994-08-31	PRIJEM	\N	163	39298	UROK	\N	\N
3648741	3593	1994-09-30	PRIJEM	\N	178	42298	UROK	\N	\N
3648742	3593	1994-10-31	PRIJEM	\N	182	45043	UROK	\N	\N
3648743	3593	1994-11-30	PRIJEM	\N	187	45792	UROK	\N	\N
3648744	3593	1994-12-31	PRIJEM	\N	211	49659	UROK	\N	\N
3648745	3593	1995-01-31	PRIJEM	\N	184	40504	UROK	\N	\N
3648746	3593	1995-02-28	PRIJEM	\N	165	41212	UROK	\N	\N
3648747	3593	1995-03-31	PRIJEM	\N	178	43552	UROK	\N	\N
3648748	3593	1995-04-30	PRIJEM	\N	178	42492	UROK	\N	\N
3648749	3593	1995-05-31	PRIJEM	\N	183	44838	UROK	\N	\N
3648750	3593	1995-06-30	PRIJEM	\N	192	48025	UROK	\N	\N
3648751	3593	1995-07-31	PRIJEM	\N	185	43772	UROK	\N	\N
3648752	3593	1995-08-31	PRIJEM	\N	171	41106	UROK	\N	\N
3648753	3593	1995-09-30	PRIJEM	\N	164	36133	UROK	\N	\N
3648754	3593	1995-10-31	PRIJEM	\N	159	39354	UROK	\N	\N
3648755	3593	1995-11-30	PRIJEM	\N	168	41284	UROK	\N	\N
3648756	3593	1995-12-31	PRIJEM	\N	143	33283	UROK	\N	\N
3648757	3593	1996-01-31	PRIJEM	\N	133	28099	UROK	\N	\N
3648758	3593	1996-02-29	PRIJEM	\N	121	32962	UROK	\N	\N
3648759	3593	1996-03-31	PRIJEM	\N	154	38198	UROK	\N	\N
3648760	3593	1996-04-30	PRIJEM	\N	173	43834	UROK	\N	\N
3648761	3593	1996-05-31	PRIJEM	\N	178	42874	UROK	\N	\N
3648762	3593	1996-06-30	PRIJEM	\N	199	52028	UROK	\N	\N
3648763	3593	1996-07-31	PRIJEM	\N	201	47992	UROK	\N	\N
3648764	3593	1996-08-31	PRIJEM	\N	175	40369	UROK	\N	\N
3648765	3593	1996-09-30	PRIJEM	\N	133	35165	UROK	\N	\N
3648766	3593	1996-10-31	PRIJEM	\N	146	30074	UROK	\N	\N
3648767	3593	1996-11-30	PRIJEM	\N	138	23874	UROK	\N	\N
3648768	3593	1996-12-31	PRIJEM	\N	134	24444	UROK	\N	\N
3648769	3593	1997-01-31	PRIJEM	\N	104	19150	UROK	\N	\N
3648770	3593	1997-02-28	PRIJEM	\N	101	22913	UROK	\N	\N
3648771	3593	1997-03-31	PRIJEM	\N	115	20491	UROK	\N	\N
3648772	3593	1997-04-30	PRIJEM	\N	106	16659	UROK	\N	\N
3648773	3593	1997-05-31	PRIJEM	\N	88	15409	UROK	\N	\N
3648774	3593	1997-06-30	PRIJEM	\N	99	19624	UROK	\N	\N
3648775	3593	1997-07-31	PRIJEM	\N	104	23790	UROK	\N	\N
3648776	3593	1997-08-31	PRIJEM	\N	115	24168	UROK	\N	\N
3648777	3593	1997-09-30	PRIJEM	\N	116	24246	UROK	\N	\N
3648778	3593	1997-10-31	PRIJEM	\N	104	21052	UROK	\N	\N
3648779	3593	1997-11-30	PRIJEM	\N	105	23619	UROK	\N	\N
3648780	3593	1997-12-31	PRIJEM	\N	119	26254	UROK	\N	\N
3648781	3593	1998-01-31	PRIJEM	\N	94	18670	UROK	\N	\N
3648782	3593	1998-02-28	PRIJEM	\N	95	22827	UROK	\N	\N
3648783	3593	1998-03-31	PRIJEM	\N	107	23096	UROK	\N	\N
3648784	3593	1998-04-30	PRIJEM	\N	109	25068	UROK	\N	\N
3648785	3593	1998-05-31	PRIJEM	\N	117	26647	UROK	\N	\N
3648786	3593	1998-06-30	PRIJEM	\N	140	32203	UROK	\N	\N
3648787	3593	1998-07-31	PRIJEM	\N	131	30276	UROK	\N	\N
3648788	3593	1998-08-31	PRIJEM	\N	127	32506	UROK	\N	\N
3648789	3593	1998-09-30	PRIJEM	\N	145	34813	UROK	\N	\N
3648790	3593	1998-10-31	PRIJEM	\N	160	40236	UROK	\N	\N
3648791	3593	1998-11-30	PRIJEM	\N	170	39668	UROK	\N	\N
3648792	3593	1998-12-31	PRIJEM	\N	187	50411	UROK	\N	\N
3648793	3594	1994-01-31	PRIJEM	\N	11	26599	UROK	\N	\N
3648794	3594	1994-02-28	PRIJEM	\N	137	66342	UROK	\N	\N
3648795	3594	1994-03-31	PRIJEM	\N	241	40618	UROK	\N	\N
3648796	3594	1994-04-30	PRIJEM	\N	155	49729	UROK	\N	\N
3648797	3594	1994-05-31	PRIJEM	\N	202	35833	UROK	\N	\N
3648798	3594	1994-06-30	PRIJEM	\N	159	36588	UROK	\N	\N
3648799	3594	1994-07-31	PRIJEM	\N	338	57356	UROK	\N	\N
3648800	3594	1994-08-31	PRIJEM	\N	270	49025	UROK	\N	\N
3648801	3594	1994-09-30	PRIJEM	\N	225	55581	UROK	\N	\N
3648802	3594	1994-10-31	PRIJEM	\N	202	34386	UROK	\N	\N
3648803	3594	1994-11-30	PRIJEM	\N	135	25023	UROK	\N	\N
3648804	3594	1994-12-31	PRIJEM	\N	240	41972	UROK	\N	\N
3648805	3594	1995-01-31	PRIJEM	\N	101	21194	UROK	\N	\N
3648806	3594	1995-02-28	PRIJEM	\N	109	21923	UROK	\N	\N
3648807	3594	1995-03-31	PRIJEM	\N	87	17211	UROK	\N	\N
3648808	3594	1995-04-30	PRIJEM	\N	165	42202	UROK	\N	\N
3648809	3594	1995-05-31	PRIJEM	\N	256	40199	UROK	\N	\N
3648810	3594	1995-06-30	PRIJEM	\N	200	85391	UROK	\N	\N
3648811	3594	1995-07-31	PRIJEM	\N	356	59589	UROK	\N	\N
3648812	3594	1995-08-31	PRIJEM	\N	298	51157	UROK	\N	\N
3648813	3594	1995-09-30	PRIJEM	\N	317	50501	UROK	\N	\N
3648814	3594	1995-10-31	PRIJEM	\N	213	34026	UROK	\N	\N
3648815	3594	1995-11-30	PRIJEM	\N	153	73597	UROK	\N	\N
3648816	3594	1995-12-31	PRIJEM	\N	241	23023	UROK	\N	\N
3648817	3594	1996-01-31	PRIJEM	\N	81	14906	UROK	\N	\N
3648818	3594	1996-02-29	PRIJEM	\N	107	60736	UROK	\N	\N
3648819	3594	1996-03-31	PRIJEM	\N	197	29435	UROK	\N	\N
3648820	3594	1996-04-30	PRIJEM	\N	321	99798	UROK	\N	\N
3648821	3594	1996-05-31	PRIJEM	\N	285	34952	UROK	\N	\N
3648822	3594	1996-06-30	PRIJEM	\N	205	41044	UROK	\N	\N
3648823	3594	1996-07-31	PRIJEM	\N	167	31551	UROK	\N	\N
3648824	3594	1996-08-31	PRIJEM	\N	103	19056	UROK	\N	\N
3648825	3594	1996-09-30	PRIJEM	\N	171	63149	UROK	\N	\N
3648826	3594	1996-10-31	PRIJEM	\N	190	32141	UROK	\N	\N
3648827	3594	1996-11-30	PRIJEM	\N	94	16037	UROK	\N	\N
3648828	3594	1996-12-31	PRIJEM	\N	84	23499	UROK	\N	\N
3648829	3594	1997-01-31	PRIJEM	\N	95	20096	UROK	\N	\N
3648830	3594	1997-02-28	PRIJEM	\N	81	16680	UROK	\N	\N
3648831	3594	1997-03-31	PRIJEM	\N	67	13249	UROK	\N	\N
3648832	3594	1997-04-30	PRIJEM	\N	52	9803	UROK	\N	\N
3648833	3594	1997-05-31	PRIJEM	\N	38	6343	UROK	\N	\N
3648834	3594	1997-06-30	PRIJEM	\N	23	2869	UROK	\N	\N
3648835	3594	1997-07-31	PRIJEM	\N	11	16509	UROK	\N	\N
3648836	3594	1997-08-31	PRIJEM	\N	65	13076	UROK	\N	\N
3648837	3594	1997-09-30	PRIJEM	\N	51	9630	UROK	\N	\N
3648838	3594	1997-10-31	PRIJEM	\N	36	6168	UROK	\N	\N
3648839	3594	1997-11-30	PRIJEM	\N	50	18037	UROK	\N	\N
3648840	3594	1997-12-31	PRIJEM	\N	71	14610	UROK	\N	\N
3648841	3594	1998-01-31	PRIJEM	\N	102	25535	UROK	\N	\N
3648842	3594	1998-02-28	PRIJEM	\N	102	22139	UROK	\N	\N
3648843	3594	1998-03-31	PRIJEM	\N	88	18729	UROK	\N	\N
3648844	3594	1998-04-30	PRIJEM	\N	74	15305	UROK	\N	\N
3648845	3594	1998-05-31	PRIJEM	\N	59	11867	UROK	\N	\N
3648846	3594	1998-06-30	PRIJEM	\N	45	8414	UROK	\N	\N
3648847	3594	1998-07-31	PRIJEM	\N	30	4946	UROK	\N	\N
3648848	3594	1998-08-31	PRIJEM	\N	19	24777	UROK	\N	\N
3648849	3594	1998-09-30	PRIJEM	\N	98	21378	UROK	\N	\N
3648850	3594	1998-10-31	PRIJEM	\N	84	17964	UROK	\N	\N
3648851	3594	1998-11-30	PRIJEM	\N	69	14536	UROK	\N	\N
3648852	3595	1994-05-31	PRIJEM	\N	43	19046	UROK	\N	\N
3648853	3595	1994-06-30	PRIJEM	\N	81	36832	UROK	\N	\N
3648854	3595	1994-07-31	PRIJEM	\N	136	31970	UROK	\N	\N
3648855	3595	1994-08-31	PRIJEM	\N	132	31406	UROK	\N	\N
3648856	3595	1994-09-30	PRIJEM	\N	131	33340	UROK	\N	\N
3648857	3595	1994-10-31	PRIJEM	\N	148	29408	UROK	\N	\N
3648858	3595	1994-11-30	PRIJEM	\N	133	29462	UROK	\N	\N
3648859	3595	1994-12-31	PRIJEM	\N	120	22024	UROK	\N	\N
3648860	3595	1995-01-31	PRIJEM	\N	88	19692	UROK	\N	\N
3648861	3595	1995-02-28	PRIJEM	\N	96	24908	UROK	\N	\N
3648862	3595	1995-03-31	PRIJEM	\N	111	21839	UROK	\N	\N
3648863	3595	1995-04-30	PRIJEM	\N	103	23962	UROK	\N	\N
3648864	3595	1995-05-31	PRIJEM	\N	111	24993	UROK	\N	\N
3648865	3595	1995-06-30	PRIJEM	\N	124	22539	UROK	\N	\N
3648866	3595	1995-07-31	PRIJEM	\N	104	22962	UROK	\N	\N
3648867	3595	1995-08-31	PRIJEM	\N	104	24887	UROK	\N	\N
3648868	3595	1995-09-30	PRIJEM	\N	110	23418	UROK	\N	\N
3648869	3595	1995-10-31	PRIJEM	\N	109	26247	UROK	\N	\N
3648870	3595	1995-11-30	PRIJEM	\N	120	28187	UROK	\N	\N
3648871	3595	1995-12-31	PRIJEM	\N	132	24141	UROK	\N	\N
3648872	3595	1996-01-31	PRIJEM	\N	75	15256	UROK	\N	\N
3648873	3595	1996-02-29	PRIJEM	\N	82	23158	UROK	\N	\N
3648874	3595	1996-03-31	PRIJEM	\N	109	26687	UROK	\N	\N
3648875	3595	1996-04-30	PRIJEM	\N	121	24788	UROK	\N	\N
3648876	3595	1996-05-31	PRIJEM	\N	113	27022	UROK	\N	\N
3648877	3595	1996-06-30	PRIJEM	\N	125	18988	UROK	\N	\N
3648878	3595	1996-07-31	PRIJEM	\N	93	23602	UROK	\N	\N
3648879	3595	1996-08-31	PRIJEM	\N	107	25429	UROK	\N	\N
3648880	3595	1996-09-30	PRIJEM	\N	101	23650	UROK	\N	\N
3648881	3595	1996-10-31	PRIJEM	\N	103	23774	UROK	\N	\N
3648882	3595	1996-11-30	PRIJEM	\N	101	22995	UROK	\N	\N
3648883	3595	1996-12-31	PRIJEM	\N	100	22677	UROK	\N	\N
3648884	3595	1997-01-31	PRIJEM	\N	87	16104	UROK	\N	\N
3648885	3595	1997-02-28	PRIJEM	\N	83	21907	UROK	\N	\N
3648886	3595	1997-03-31	PRIJEM	\N	95	22123	UROK	\N	\N
3648887	3595	1997-04-30	PRIJEM	\N	91	20274	UROK	\N	\N
3648888	3595	1997-05-31	PRIJEM	\N	90	21485	UROK	\N	\N
3648889	3595	1997-06-30	PRIJEM	\N	108	26015	UROK	\N	\N
3648890	3595	1997-07-31	PRIJEM	\N	108	25144	UROK	\N	\N
3648891	3595	1997-08-31	PRIJEM	\N	102	23466	UROK	\N	\N
3648892	3595	1997-09-30	PRIJEM	\N	94	21581	UROK	\N	\N
3648893	3595	1997-10-31	PRIJEM	\N	82	17583	UROK	\N	\N
3648894	3595	1997-11-30	PRIJEM	\N	81	20084	UROK	\N	\N
3648895	3595	1997-12-31	PRIJEM	\N	90	17795	UROK	\N	\N
3648896	3595	1998-01-31	PRIJEM	\N	64	15440	UROK	\N	\N
3648897	3595	1998-02-28	PRIJEM	\N	64	15624	UROK	\N	\N
3648898	3595	1998-03-31	PRIJEM	\N	72	18017	UROK	\N	\N
3648899	3595	1998-04-30	PRIJEM	\N	80	19917	UROK	\N	\N
3648900	3595	1998-05-31	PRIJEM	\N	71	14628	UROK	\N	\N
3648901	3595	1998-06-30	PRIJEM	\N	86	22636	UROK	\N	\N
3648902	3595	1998-07-31	PRIJEM	\N	104	26361	UROK	\N	\N
3648903	3595	1998-08-31	PRIJEM	\N	88	17129	UROK	\N	\N
3648904	3595	1998-09-30	PRIJEM	\N	86	22235	UROK	\N	\N
3648905	3595	1998-10-31	PRIJEM	\N	95	23750	UROK	\N	\N
3648906	3595	1998-11-30	PRIJEM	\N	110	27821	UROK	\N	\N
3648907	3595	1998-12-31	PRIJEM	\N	126	29929	UROK	\N	\N
3648908	3597	1996-04-30	PRIJEM	\N	98	70859	UROK	\N	\N
3648909	3597	1996-05-31	PRIJEM	\N	297	72127	UROK	\N	\N
3648910	3597	1996-06-30	PRIJEM	\N	299	46127	UROK	\N	\N
3648911	3597	1996-07-31	PRIJEM	\N	289	65993	UROK	\N	\N
3648912	3597	1996-08-31	PRIJEM	\N	208	73701	UROK	\N	\N
3648913	3597	1996-09-30	PRIJEM	\N	262	62006	UROK	\N	\N
3648914	3597	1996-10-31	PRIJEM	\N	333	100875	UROK	\N	\N
3648915	3597	1996-11-30	PRIJEM	\N	333	97512	UROK	\N	\N
3648916	3597	1996-12-31	PRIJEM	\N	251	36129	UROK	\N	\N
3648917	3597	1997-01-31	PRIJEM	\N	134	41690	UROK	\N	\N
3648918	3597	1997-02-28	PRIJEM	\N	259	71584	UROK	\N	\N
3648919	3597	1997-03-31	PRIJEM	\N	311	93352	UROK	\N	\N
3648920	3597	1997-04-30	PRIJEM	\N	342	73730	UROK	\N	\N
3648921	3597	1997-05-31	PRIJEM	\N	233	42830	UROK	\N	\N
3648922	3597	1997-06-30	PRIJEM	\N	276	64617	UROK	\N	\N
3648923	3597	1997-07-31	PRIJEM	\N	245	103694	UROK	\N	\N
3648924	3597	1997-08-31	PRIJEM	\N	419	95619	UROK	\N	\N
3648925	3597	1997-09-30	PRIJEM	\N	281	59983	UROK	\N	\N
3648926	3597	1997-10-31	PRIJEM	\N	292	92786	UROK	\N	\N
3648927	3597	1997-11-30	PRIJEM	\N	265	76194	UROK	\N	\N
3648928	3597	1997-12-31	PRIJEM	\N	267	60187	UROK	\N	\N
3648929	3597	1998-01-31	PRIJEM	\N	264	60713	UROK	\N	\N
3648930	3597	1998-02-28	PRIJEM	\N	214	32893	UROK	\N	\N
3648931	3597	1998-03-31	PRIJEM	\N	156	44196	UROK	\N	\N
3648932	3597	1998-04-30	PRIJEM	\N	185	52882	UROK	\N	\N
3648933	3597	1998-05-31	PRIJEM	\N	150	32898	UROK	\N	\N
3648934	3597	1998-06-30	PRIJEM	\N	102	26866	UROK	\N	\N
3648935	3597	1998-07-31	PRIJEM	\N	403	67248	UROK	\N	\N
3648936	3597	1998-08-31	PRIJEM	\N	328	56993	UROK	\N	\N
3648937	3597	1998-09-30	PRIJEM	\N	287	50455	UROK	\N	\N
3648938	3597	1998-10-31	PRIJEM	\N	192	21313	UROK	\N	\N
3648939	3597	1998-11-30	PRIJEM	\N	132	35165	UROK	\N	\N
3648940	3597	1998-12-31	PRIJEM	\N	140	25471	UROK	\N	\N
3648941	3598	1997-11-30	PRIJEM	\N	38	15070	UROK	\N	\N
3648942	3598	1997-12-31	PRIJEM	\N	134	43001	UROK	\N	\N
3648943	3598	1998-01-31	PRIJEM	\N	187	46920	UROK	\N	\N
3648944	3598	1998-02-28	PRIJEM	\N	139	48191	UROK	\N	\N
3648945	3598	1998-03-31	PRIJEM	\N	188	46576	UROK	\N	\N
3648946	3598	1998-04-30	PRIJEM	\N	194	46852	UROK	\N	\N
3648947	3598	1998-05-31	PRIJEM	\N	220	51155	UROK	\N	\N
3648948	3598	1998-06-30	PRIJEM	\N	169	34172	UROK	\N	\N
3648949	3598	1998-07-31	PRIJEM	\N	137	28291	UROK	\N	\N
3648950	3598	1998-08-31	PRIJEM	\N	151	31825	UROK	\N	\N
3648951	3598	1998-09-30	PRIJEM	\N	148	27755	UROK	\N	\N
3648952	3598	1998-10-31	PRIJEM	\N	126	19263	UROK	\N	\N
3648953	3598	1998-11-30	PRIJEM	\N	97	20442	UROK	\N	\N
3648954	3598	1998-12-31	PRIJEM	\N	123	35014	UROK	\N	\N
3648955	3599	1994-08-31	PRIJEM	\N	70	24713	UROK	\N	\N
3648956	3599	1994-09-30	PRIJEM	\N	105	24986	UROK	\N	\N
3648957	3599	1994-10-31	PRIJEM	\N	110	27264	UROK	\N	\N
3648958	3599	1994-11-30	PRIJEM	\N	114	27047	UROK	\N	\N
3648959	3599	1994-12-31	PRIJEM	\N	115	26530	UROK	\N	\N
3648960	3599	1995-01-31	PRIJEM	\N	75	13373	UROK	\N	\N
3648961	3599	1995-02-28	PRIJEM	\N	62	15603	UROK	\N	\N
3648962	3599	1995-03-31	PRIJEM	\N	70	16162	UROK	\N	\N
3648963	3599	1995-04-30	PRIJEM	\N	73	18404	UROK	\N	\N
3648964	3599	1995-05-31	PRIJEM	\N	75	16967	UROK	\N	\N
3648965	3599	1995-06-30	PRIJEM	\N	77	19212	UROK	\N	\N
3648966	3599	1995-07-31	PRIJEM	\N	86	21466	UROK	\N	\N
3648967	3599	1995-08-31	PRIJEM	\N	95	23730	UROK	\N	\N
3648968	3599	1995-09-30	PRIJEM	\N	96	22875	UROK	\N	\N
3648969	3599	1995-10-31	PRIJEM	\N	101	25144	UROK	\N	\N
3648970	3599	1995-11-30	PRIJEM	\N	103	24516	UROK	\N	\N
3648971	3599	1995-12-31	PRIJEM	\N	105	24579	UROK	\N	\N
3648972	3599	1996-01-31	PRIJEM	\N	91	16889	UROK	\N	\N
3648973	3599	1996-02-29	PRIJEM	\N	76	19133	UROK	\N	\N
3648974	3599	1996-03-31	PRIJEM	\N	86	21387	UROK	\N	\N
3648975	3599	1996-04-30	PRIJEM	\N	95	22850	UROK	\N	\N
3648976	3599	1996-05-31	PRIJEM	\N	101	25120	UROK	\N	\N
3648977	3599	1996-06-30	PRIJEM	\N	78	14466	UROK	\N	\N
3648978	3599	1996-07-31	PRIJEM	\N	66	16701	UROK	\N	\N
3648979	3599	1996-08-31	PRIJEM	\N	75	18944	UROK	\N	\N
3648980	3599	1996-09-30	PRIJEM	\N	85	21197	UROK	\N	\N
3648981	3599	1996-10-31	PRIJEM	\N	94	23459	UROK	\N	\N
3648982	3599	1996-11-30	PRIJEM	\N	103	25731	UROK	\N	\N
3648983	3599	1996-12-31	PRIJEM	\N	112	27211	UROK	\N	\N
3648984	3599	1997-01-31	PRIJEM	\N	96	17696	UROK	\N	\N
3648985	3599	1997-02-28	PRIJEM	\N	75	16979	UROK	\N	\N
3648986	3599	1997-03-31	PRIJEM	\N	76	19223	UROK	\N	\N
3648987	3599	1997-04-30	PRIJEM	\N	85	21477	UROK	\N	\N
3648988	3599	1997-05-31	PRIJEM	\N	95	23740	UROK	\N	\N
3648989	3599	1997-06-30	PRIJEM	\N	93	21522	UROK	\N	\N
3648990	3599	1997-07-31	PRIJEM	\N	85	19855	UROK	\N	\N
3648991	3599	1997-08-31	PRIJEM	\N	88	22111	UROK	\N	\N
3648992	3599	1997-09-30	PRIJEM	\N	97	24377	UROK	\N	\N
3648993	3599	1997-10-31	PRIJEM	\N	107	26652	UROK	\N	\N
3648994	3599	1997-11-30	PRIJEM	\N	116	28936	UROK	\N	\N
3648995	3599	1997-12-31	PRIJEM	\N	125	30679	UROK	\N	\N
3648996	3599	1998-01-31	PRIJEM	\N	113	19920	UROK	\N	\N
3648997	3599	1998-02-28	PRIJEM	\N	88	22176	UROK	\N	\N
3648998	3599	1998-03-31	PRIJEM	\N	97	24442	UROK	\N	\N
3648999	3599	1998-04-30	PRIJEM	\N	105	25035	UROK	\N	\N
3649000	3599	1998-05-31	PRIJEM	\N	109	27313	UROK	\N	\N
3649001	3599	1998-06-30	PRIJEM	\N	108	21589	UROK	\N	\N
3649002	3599	1998-07-31	PRIJEM	\N	95	23852	UROK	\N	\N
3649003	3599	1998-08-31	PRIJEM	\N	105	25645	UROK	\N	\N
3649004	3599	1998-09-30	PRIJEM	\N	111	27524	UROK	\N	\N
3649005	3599	1998-10-31	PRIJEM	\N	118	28450	UROK	\N	\N
3649006	3599	1998-11-30	PRIJEM	\N	123	30741	UROK	\N	\N
3649007	3599	1998-12-31	PRIJEM	\N	132	32142	UROK	\N	\N
3649008	3600	1993-11-30	PRIJEM	\N	65	20434	UROK	\N	\N
3649009	3600	1993-12-31	PRIJEM	\N	98	24555	UROK	\N	\N
3649010	3600	1994-01-31	PRIJEM	\N	108	20669	UROK	\N	\N
3649011	3600	1994-02-28	PRIJEM	\N	105	25745	UROK	\N	\N
3649012	3600	1994-03-31	PRIJEM	\N	106	24743	UROK	\N	\N
3649013	3600	1994-04-30	PRIJEM	\N	108	24102	UROK	\N	\N
3649014	3600	1994-05-31	PRIJEM	\N	105	25279	UROK	\N	\N
3649015	3600	1994-06-30	PRIJEM	\N	77	16827	UROK	\N	\N
3649016	3600	1994-07-31	PRIJEM	\N	81	18140	UROK	\N	\N
3649017	3600	1994-08-31	PRIJEM	\N	89	23300	UROK	\N	\N
3649018	3600	1994-09-30	PRIJEM	\N	110	28481	UROK	\N	\N
3649019	3600	1994-10-31	PRIJEM	\N	130	31382	UROK	\N	\N
3649020	3600	1994-11-30	PRIJEM	\N	148	35262	UROK	\N	\N
3649021	3600	1994-12-31	PRIJEM	\N	160	38593	UROK	\N	\N
3649022	3600	1995-01-31	PRIJEM	\N	140	31285	UROK	\N	\N
3649023	3600	1995-02-28	PRIJEM	\N	139	34095	UROK	\N	\N
3649024	3600	1995-03-31	PRIJEM	\N	151	36218	UROK	\N	\N
3649025	3600	1995-04-30	PRIJEM	\N	155	37144	UROK	\N	\N
3649026	3600	1995-05-31	PRIJEM	\N	166	40462	UROK	\N	\N
3649027	3600	1995-06-30	PRIJEM	\N	158	28112	UROK	\N	\N
3649028	3600	1995-07-31	PRIJEM	\N	129	33312	UROK	\N	\N
3649029	3600	1995-08-31	PRIJEM	\N	142	36326	UROK	\N	\N
3649030	3600	1995-09-30	PRIJEM	\N	162	35959	UROK	\N	\N
3649031	3600	1995-10-31	PRIJEM	\N	162	39792	UROK	\N	\N
3649032	3600	1995-11-30	PRIJEM	\N	175	37439	UROK	\N	\N
3649033	3600	1995-12-31	PRIJEM	\N	168	41278	UROK	\N	\N
3649034	3600	1996-01-31	PRIJEM	\N	160	31309	UROK	\N	\N
3649035	3600	1996-02-29	PRIJEM	\N	142	36522	UROK	\N	\N
3649036	3600	1996-03-31	PRIJEM	\N	164	41758	UROK	\N	\N
3649037	3600	1996-04-30	PRIJEM	\N	182	41912	UROK	\N	\N
3649038	3600	1996-05-31	PRIJEM	\N	184	44268	UROK	\N	\N
3649039	3600	1996-06-30	PRIJEM	\N	189	39258	UROK	\N	\N
3649040	3600	1996-07-31	PRIJEM	\N	167	39396	UROK	\N	\N
3649041	3600	1996-08-31	PRIJEM	\N	170	39838	UROK	\N	\N
3649042	3600	1996-09-30	PRIJEM	\N	169	37378	UROK	\N	\N
3649043	3600	1996-10-31	PRIJEM	\N	160	36910	UROK	\N	\N
3649044	3600	1996-11-30	PRIJEM	\N	163	40344	UROK	\N	\N
3649045	3600	1996-12-31	PRIJEM	\N	171	39587	UROK	\N	\N
3649046	3600	1997-01-31	PRIJEM	\N	173	38730	UROK	\N	\N
3649047	3600	1997-02-28	PRIJEM	\N	165	39367	UROK	\N	\N
3649048	3600	1997-03-31	PRIJEM	\N	173	43312	UROK	\N	\N
3649049	3600	1997-04-30	PRIJEM	\N	183	40965	UROK	\N	\N
3649050	3600	1997-05-31	PRIJEM	\N	176	42513	UROK	\N	\N
3649051	3600	1997-06-30	PRIJEM	\N	174	38858	UROK	\N	\N
3649052	3600	1997-07-31	PRIJEM	\N	168	41598	UROK	\N	\N
3649053	3600	1997-08-31	PRIJEM	\N	181	45150	UROK	\N	\N
3649054	3600	1997-09-30	PRIJEM	\N	191	46312	UROK	\N	\N
3649055	3600	1997-10-31	PRIJEM	\N	189	43872	UROK	\N	\N
3649056	3600	1997-11-30	PRIJEM	\N	176	39819	UROK	\N	\N
3649057	3600	1997-12-31	PRIJEM	\N	164	39255	UROK	\N	\N
3649058	3600	1998-01-31	PRIJEM	\N	154	32580	UROK	\N	\N
3649059	3600	1998-02-28	PRIJEM	\N	144	37796	UROK	\N	\N
3649060	3600	1998-03-31	PRIJEM	\N	167	43035	UROK	\N	\N
3649061	3600	1998-04-30	PRIJEM	\N	188	48294	UROK	\N	\N
3649062	3600	1998-05-31	PRIJEM	\N	207	50173	UROK	\N	\N
3649063	3600	1998-06-30	PRIJEM	\N	193	46487	UROK	\N	\N
3649064	3600	1998-07-31	PRIJEM	\N	191	45349	UROK	\N	\N
3649065	3600	1998-08-31	PRIJEM	\N	198	50618	UROK	\N	\N
3649066	3600	1998-09-30	PRIJEM	\N	213	53502	UROK	\N	\N
3649067	3600	1998-10-31	PRIJEM	\N	220	53394	UROK	\N	\N
3649068	3600	1998-11-30	PRIJEM	\N	221	53087	UROK	\N	\N
3649069	3600	1998-12-31	PRIJEM	\N	207	50865	UROK	\N	\N
3649070	3601	1995-11-30	PRIJEM	\N	4	29839	UROK	\N	\N
3649071	3601	1995-12-31	PRIJEM	\N	126	31384	UROK	\N	\N
3649072	3601	1996-01-31	PRIJEM	\N	119	23441	UROK	\N	\N
3649073	3601	1996-02-29	PRIJEM	\N	103	25163	UROK	\N	\N
3649074	3601	1996-03-31	PRIJEM	\N	115	29297	UROK	\N	\N
3649075	3601	1996-04-30	PRIJEM	\N	121	29675	UROK	\N	\N
3649076	3601	1996-05-31	PRIJEM	\N	134	33828	UROK	\N	\N
3649077	3601	1996-06-30	PRIJEM	\N	130	31577	UROK	\N	\N
3649078	3601	1996-07-31	PRIJEM	\N	142	34536	UROK	\N	\N
3649079	3601	1996-08-31	PRIJEM	\N	154	38709	UROK	\N	\N
3649080	3601	1996-09-30	PRIJEM	\N	171	42899	UROK	\N	\N
3649081	3601	1996-10-31	PRIJEM	\N	181	44697	UROK	\N	\N
3649082	3601	1996-11-30	PRIJEM	\N	196	48912	UROK	\N	\N
3649083	3601	1996-12-31	PRIJEM	\N	203	49383	UROK	\N	\N
3649084	3601	1997-01-31	PRIJEM	\N	201	45912	UROK	\N	\N
3649085	3601	1997-02-28	PRIJEM	\N	198	49629	UROK	\N	\N
3649086	3601	1997-03-31	PRIJEM	\N	195	47243	UROK	\N	\N
3649087	3601	1997-04-30	PRIJEM	\N	189	45850	UROK	\N	\N
3649088	3601	1997-05-31	PRIJEM	\N	181	41749	UROK	\N	\N
3649089	3601	1997-06-30	PRIJEM	\N	152	27869	UROK	\N	\N
3649090	3601	1997-07-31	PRIJEM	\N	126	32014	UROK	\N	\N
3649091	3601	1997-08-31	PRIJEM	\N	143	36175	UROK	\N	\N
3649092	3601	1997-09-30	PRIJEM	\N	160	40354	UROK	\N	\N
3649093	3601	1997-10-31	PRIJEM	\N	167	35959	UROK	\N	\N
3649094	3601	1997-11-30	PRIJEM	\N	159	37836	UROK	\N	\N
3649095	3601	1997-12-31	PRIJEM	\N	155	33019	UROK	\N	\N
3649096	3601	1998-01-31	PRIJEM	\N	125	26323	UROK	\N	\N
3649097	3601	1998-02-28	PRIJEM	\N	111	28372	UROK	\N	\N
3649098	3601	1998-03-31	PRIJEM	\N	128	32518	UROK	\N	\N
3649099	3601	1998-04-30	PRIJEM	\N	144	34881	UROK	\N	\N
3649100	3601	1998-05-31	PRIJEM	\N	153	35652	UROK	\N	\N
3649101	3601	1998-06-30	PRIJEM	\N	146	32476	UROK	\N	\N
3649102	3601	1998-07-31	PRIJEM	\N	144	36639	UROK	\N	\N
3649103	3601	1998-08-31	PRIJEM	\N	158	38495	UROK	\N	\N
3649104	3601	1998-09-30	PRIJEM	\N	169	42682	UROK	\N	\N
3649105	3601	1998-10-31	PRIJEM	\N	183	43184	UROK	\N	\N
3649106	3601	1998-11-30	PRIJEM	\N	183	40725	UROK	\N	\N
3649107	3601	1998-12-31	PRIJEM	\N	176	40749	UROK	\N	\N
3649108	3603	1997-10-31	PRIJEM	\N	48	23800	UROK	\N	\N
3649109	3603	1997-11-30	PRIJEM	\N	124	35876	UROK	\N	\N
3649110	3603	1997-12-31	PRIJEM	\N	180	50434	UROK	\N	\N
3649111	3603	1998-01-31	PRIJEM	\N	212	51798	UROK	\N	\N
3649112	3603	1998-02-28	PRIJEM	\N	206	47957	UROK	\N	\N
3649113	3603	1998-03-31	PRIJEM	\N	198	45809	UROK	\N	\N
3649114	3603	1998-04-30	PRIJEM	\N	187	46551	UROK	\N	\N
3649115	3603	1998-05-31	PRIJEM	\N	196	47001	UROK	\N	\N
3649116	3603	1998-06-30	PRIJEM	\N	152	38233	UROK	\N	\N
3649117	3603	1998-07-31	PRIJEM	\N	168	41855	UROK	\N	\N
3649118	3603	1998-08-31	PRIJEM	\N	199	52709	UROK	\N	\N
3649119	3603	1998-09-30	PRIJEM	\N	231	58594	UROK	\N	\N
3649120	3603	1998-10-31	PRIJEM	\N	241	58490	UROK	\N	\N
3649121	3603	1998-11-30	PRIJEM	\N	254	65298	UROK	\N	\N
3649122	3603	1998-12-31	PRIJEM	\N	283	73161	UROK	\N	\N
3649123	3604	1994-04-30	PRIJEM	\N	37	26817	UROK	\N	\N
3649124	3604	1994-05-31	PRIJEM	\N	117	26986	UROK	\N	\N
3649125	3604	1994-06-30	PRIJEM	\N	105	16278	UROK	\N	\N
3649126	3604	1994-07-31	PRIJEM	\N	77	19393	UROK	\N	\N
3649127	3604	1994-08-31	PRIJEM	\N	90	22520	UROK	\N	\N
3649128	3604	1994-09-30	PRIJEM	\N	101	24559	UROK	\N	\N
3649129	3604	1994-10-31	PRIJEM	\N	108	25824	UROK	\N	\N
3649130	3604	1994-11-30	PRIJEM	\N	117	28978	UROK	\N	\N
3649131	3604	1994-12-31	PRIJEM	\N	130	31395	UROK	\N	\N
3649132	3604	1995-01-31	PRIJEM	\N	117	23010	UROK	\N	\N
3649133	3604	1995-02-28	PRIJEM	\N	101	24308	UROK	\N	\N
3649134	3604	1995-03-31	PRIJEM	\N	111	27456	UROK	\N	\N
3649135	3604	1995-04-30	PRIJEM	\N	117	26931	UROK	\N	\N
3649136	3604	1995-05-31	PRIJEM	\N	119	28987	UROK	\N	\N
3649137	3604	1995-06-30	PRIJEM	\N	107	24782	UROK	\N	\N
3649138	3604	1995-07-31	PRIJEM	\N	113	27932	UROK	\N	\N
3649139	3604	1995-08-31	PRIJEM	\N	126	31095	UROK	\N	\N
3649140	3604	1995-09-30	PRIJEM	\N	132	31664	UROK	\N	\N
3649141	3604	1995-10-31	PRIJEM	\N	131	30833	UROK	\N	\N
3649142	3604	1995-11-30	PRIJEM	\N	123	28593	UROK	\N	\N
3649143	3604	1995-12-31	PRIJEM	\N	121	26391	UROK	\N	\N
3649144	3604	1996-01-31	PRIJEM	\N	93	17662	UROK	\N	\N
3649145	3604	1996-02-29	PRIJEM	\N	82	20781	UROK	\N	\N
3649146	3604	1996-03-31	PRIJEM	\N	95	23714	UROK	\N	\N
3649147	3604	1996-04-30	PRIJEM	\N	103	25354	UROK	\N	\N
3649148	3604	1996-05-31	PRIJEM	\N	115	28506	UROK	\N	\N
3649149	3604	1996-06-30	PRIJEM	\N	105	24399	UROK	\N	\N
3649150	3604	1996-07-31	PRIJEM	\N	121	27257	UROK	\N	\N
3649151	3604	1996-08-31	PRIJEM	\N	102	20397	UROK	\N	\N
3649152	3604	1996-09-30	PRIJEM	\N	95	23429	UROK	\N	\N
3649153	3604	1996-10-31	PRIJEM	\N	91	21357	UROK	\N	\N
3649154	3604	1996-11-30	PRIJEM	\N	97	24492	UROK	\N	\N
3649155	3604	1996-12-31	PRIJEM	\N	102	21271	UROK	\N	\N
3649156	3604	1997-01-31	PRIJEM	\N	81	17330	UROK	\N	\N
3649157	3604	1997-02-28	PRIJEM	\N	80	17887	UROK	\N	\N
3649158	3604	1997-03-31	PRIJEM	\N	83	21007	UROK	\N	\N
3649159	3604	1997-04-30	PRIJEM	\N	96	24140	UROK	\N	\N
3649160	3604	1997-05-31	PRIJEM	\N	105	26082	UROK	\N	\N
3649161	3604	1997-06-30	PRIJEM	\N	85	17755	UROK	\N	\N
3649162	3604	1997-07-31	PRIJEM	\N	80	19431	UROK	\N	\N
3649163	3604	1997-08-31	PRIJEM	\N	89	22558	UROK	\N	\N
3649164	3604	1997-09-30	PRIJEM	\N	93	22388	UROK	\N	\N
3649165	3604	1997-10-31	PRIJEM	\N	101	25526	UROK	\N	\N
3649166	3604	1997-11-30	PRIJEM	\N	114	28678	UROK	\N	\N
3649167	3604	1997-12-31	PRIJEM	\N	125	30841	UROK	\N	\N
3649168	3604	1998-01-31	PRIJEM	\N	127	26405	UROK	\N	\N
3649169	3604	1998-02-28	PRIJEM	\N	116	28918	UROK	\N	\N
3649170	3604	1998-03-31	PRIJEM	\N	121	29356	UROK	\N	\N
3649171	3604	1998-04-30	PRIJEM	\N	123	30816	UROK	\N	\N
3649172	3604	1998-05-31	PRIJEM	\N	136	33990	UROK	\N	\N
3649173	3604	1998-06-30	PRIJEM	\N	131	31258	UROK	\N	\N
3649174	3604	1998-07-31	PRIJEM	\N	137	34433	UROK	\N	\N
3649175	3604	1998-08-31	PRIJEM	\N	151	37621	UROK	\N	\N
3649176	3604	1998-09-30	PRIJEM	\N	158	37536	UROK	\N	\N
3649177	3604	1998-10-31	PRIJEM	\N	162	38816	UROK	\N	\N
3649178	3604	1998-11-30	PRIJEM	\N	169	42021	UROK	\N	\N
3649179	3604	1998-12-31	PRIJEM	\N	181	44739	UROK	\N	\N
3649180	3605	1996-04-30	PRIJEM	\N	26	23423	UROK	\N	\N
3649181	3605	1996-05-31	PRIJEM	\N	107	31627	UROK	\N	\N
3649182	3605	1996-06-30	PRIJEM	\N	144	41617	UROK	\N	\N
3649183	3605	1996-07-31	PRIJEM	\N	171	40184	UROK	\N	\N
3649184	3605	1996-08-31	PRIJEM	\N	163	37745	UROK	\N	\N
3649185	3605	1996-09-30	PRIJEM	\N	167	28132	UROK	\N	\N
3649186	3605	1996-10-31	PRIJEM	\N	143	29675	UROK	\N	\N
3649187	3605	1996-11-30	PRIJEM	\N	140	26415	UROK	\N	\N
3649188	3605	1996-12-31	PRIJEM	\N	155	33160	UROK	\N	\N
3649189	3605	1997-01-31	PRIJEM	\N	130	23370	UROK	\N	\N
3649190	3605	1997-02-28	PRIJEM	\N	113	21702	UROK	\N	\N
3649191	3605	1997-03-31	PRIJEM	\N	114	23116	UROK	\N	\N
3649192	3605	1997-04-30	PRIJEM	\N	115	23332	UROK	\N	\N
3649193	3605	1997-05-31	PRIJEM	\N	116	23548	UROK	\N	\N
3649194	3605	1997-06-30	PRIJEM	\N	134	29132	UROK	\N	\N
3649195	3605	1997-07-31	PRIJEM	\N	125	23056	UROK	\N	\N
3649196	3605	1997-08-31	PRIJEM	\N	106	19943	UROK	\N	\N
3649197	3605	1997-09-30	PRIJEM	\N	86	16630	UROK	\N	\N
3649198	3605	1997-10-31	PRIJEM	\N	75	15145	UROK	\N	\N
3649199	3605	1997-11-30	PRIJEM	\N	70	14916	UROK	\N	\N
3649200	3605	1997-12-31	PRIJEM	\N	82	16406	UROK	\N	\N
3649201	3605	1998-01-31	PRIJEM	\N	89	22376	UROK	\N	\N
3649202	3605	1998-02-28	PRIJEM	\N	80	16517	UROK	\N	\N
3649203	3605	1998-03-31	PRIJEM	\N	81	18498	UROK	\N	\N
3649204	3605	1998-04-30	PRIJEM	\N	77	16375	UROK	\N	\N
3649205	3605	1998-05-31	PRIJEM	\N	69	14124	UROK	\N	\N
3649206	3605	1998-06-30	PRIJEM	\N	77	18750	UROK	\N	\N
3649207	3605	1998-07-31	PRIJEM	\N	132	38082	UROK	\N	\N
3649208	3605	1998-08-31	PRIJEM	\N	114	21737	UROK	\N	\N
3649209	3605	1998-09-30	PRIJEM	\N	94	17412	UROK	\N	\N
3649210	3605	1998-10-31	PRIJEM	\N	126	36739	UROK	\N	\N
3649211	3605	1998-11-30	PRIJEM	\N	206	56145	UROK	\N	\N
3649212	3605	1998-12-31	PRIJEM	\N	209	51403	UROK	\N	\N
3649213	3606	1996-05-31	PRIJEM	\N	33	17317	UROK	\N	\N
3649214	3606	1996-06-30	PRIJEM	\N	94	28687	UROK	\N	\N
3649215	3606	1996-07-31	PRIJEM	\N	121	29491	UROK	\N	\N
3649216	3606	1996-08-31	PRIJEM	\N	129	32705	UROK	\N	\N
3649217	3606	1996-09-30	PRIJEM	\N	126	28135	UROK	\N	\N
3649218	3606	1996-10-31	PRIJEM	\N	122	30125	UROK	\N	\N
3649219	3606	1996-11-30	PRIJEM	\N	119	27514	UROK	\N	\N
3649220	3606	1996-12-31	PRIJEM	\N	112	23687	UROK	\N	\N
3649221	3606	1997-01-31	PRIJEM	\N	107	17423	UROK	\N	\N
3649222	3606	1997-02-28	PRIJEM	\N	90	24383	UROK	\N	\N
3649223	3606	1997-03-31	PRIJEM	\N	103	23995	UROK	\N	\N
3649224	3606	1997-04-30	PRIJEM	\N	119	31583	UROK	\N	\N
3649225	3606	1997-05-31	PRIJEM	\N	133	32285	UROK	\N	\N
3649226	3606	1997-06-30	PRIJEM	\N	132	29298	UROK	\N	\N
3649227	3606	1997-07-31	PRIJEM	\N	139	33726	UROK	\N	\N
3649228	3606	1997-08-31	PRIJEM	\N	148	36744	UROK	\N	\N
3649229	3606	1997-09-30	PRIJEM	\N	156	38070	UROK	\N	\N
3649230	3606	1997-10-31	PRIJEM	\N	165	40704	UROK	\N	\N
3649231	3606	1997-11-30	PRIJEM	\N	181	45155	UROK	\N	\N
3649232	3606	1997-12-31	PRIJEM	\N	205	49102	UROK	\N	\N
3649233	3606	1998-01-31	PRIJEM	\N	211	39222	UROK	\N	\N
3649234	3606	1998-02-28	PRIJEM	\N	186	47596	UROK	\N	\N
3649235	3606	1998-03-31	PRIJEM	\N	226	57792	UROK	\N	\N
3649236	3606	1998-04-30	PRIJEM	\N	256	63617	UROK	\N	\N
3649237	3606	1998-05-31	PRIJEM	\N	277	68463	UROK	\N	\N
3649238	3606	1998-06-30	PRIJEM	\N	272	64537	UROK	\N	\N
3649239	3606	1998-07-31	PRIJEM	\N	280	68886	UROK	\N	\N
3649240	3606	1998-08-31	PRIJEM	\N	298	69953	UROK	\N	\N
3649241	3606	1998-09-30	PRIJEM	\N	290	70813	UROK	\N	\N
3649242	3606	1998-10-31	PRIJEM	\N	297	70380	UROK	\N	\N
3649243	3606	1998-11-30	PRIJEM	\N	287	68837	UROK	\N	\N
3649244	3606	1998-12-31	PRIJEM	\N	294	69792	UROK	\N	\N
3649245	3608	1994-09-30	PRIJEM	\N	8	28812	UROK	\N	\N
3649246	3608	1994-10-31	PRIJEM	\N	328	60005	UROK	\N	\N
3649247	3608	1994-11-30	PRIJEM	\N	294	49442	UROK	\N	\N
3649248	3608	1994-12-31	PRIJEM	\N	170	28558	UROK	\N	\N
3649249	3608	1995-01-31	PRIJEM	\N	79	19882	UROK	\N	\N
3649250	3608	1995-02-28	PRIJEM	\N	67	19096	UROK	\N	\N
3649251	3608	1995-03-31	PRIJEM	\N	64	18906	UROK	\N	\N
3649252	3608	1995-04-30	PRIJEM	\N	76	25048	UROK	\N	\N
3649253	3608	1995-05-31	PRIJEM	\N	92	22886	UROK	\N	\N
3649254	3608	1995-06-30	PRIJEM	\N	96	24328	UROK	\N	\N
3649255	3608	1995-07-31	PRIJEM	\N	91	21665	UROK	\N	\N
3649256	3608	1995-08-31	PRIJEM	\N	115	32329	UROK	\N	\N
3649257	3608	1995-09-30	PRIJEM	\N	164	36741	UROK	\N	\N
3649258	3608	1995-10-31	PRIJEM	\N	124	28511	UROK	\N	\N
3649259	3608	1995-11-30	PRIJEM	\N	139	28550	UROK	\N	\N
3649260	3608	1995-12-31	PRIJEM	\N	116	28012	UROK	\N	\N
3649261	3608	1996-01-31	PRIJEM	\N	100	20895	UROK	\N	\N
3649262	3608	1996-02-29	PRIJEM	\N	94	26935	UROK	\N	\N
3649263	3608	1996-03-31	PRIJEM	\N	107	29488	UROK	\N	\N
3649264	3608	1996-04-30	PRIJEM	\N	132	36326	UROK	\N	\N
3649265	3608	1996-05-31	PRIJEM	\N	149	44703	UROK	\N	\N
3649266	3608	1996-06-30	PRIJEM	\N	156	34419	UROK	\N	\N
3649267	3608	1996-07-31	PRIJEM	\N	156	43519	UROK	\N	\N
3649268	3608	1996-08-31	PRIJEM	\N	229	56370	UROK	\N	\N
3649269	3608	1996-09-30	PRIJEM	\N	219	59391	UROK	\N	\N
3649270	3608	1996-10-31	PRIJEM	\N	229	38599	UROK	\N	\N
3649271	3608	1996-11-30	PRIJEM	\N	185	73984	UROK	\N	\N
3649272	3608	1996-12-31	PRIJEM	\N	242	42087	UROK	\N	\N
3649273	3608	1997-01-31	PRIJEM	\N	132	27778	UROK	\N	\N
3649274	3608	1997-02-28	PRIJEM	\N	111	27849	UROK	\N	\N
3649275	3608	1997-03-31	PRIJEM	\N	130	34454	UROK	\N	\N
3649276	3608	1997-04-30	PRIJEM	\N	150	35974	UROK	\N	\N
3649277	3608	1997-05-31	PRIJEM	\N	159	38430	UROK	\N	\N
3649278	3608	1997-06-30	PRIJEM	\N	160	37731	UROK	\N	\N
3649279	3608	1997-07-31	PRIJEM	\N	138	31429	UROK	\N	\N
3649280	3608	1997-08-31	PRIJEM	\N	132	30621	UROK	\N	\N
3649281	3608	1997-09-30	PRIJEM	\N	151	66324	UROK	\N	\N
3649282	3608	1997-10-31	PRIJEM	\N	196	37680	UROK	\N	\N
3649283	3608	1997-11-30	PRIJEM	\N	129	28869	UROK	\N	\N
3649284	3608	1997-12-31	PRIJEM	\N	256	102747	UROK	\N	\N
3649285	3608	1998-01-31	PRIJEM	\N	319	96011	UROK	\N	\N
3649286	3608	1998-02-28	PRIJEM	\N	314	57632	UROK	\N	\N
3649287	3608	1998-03-31	PRIJEM	\N	271	90287	UROK	\N	\N
3649288	3608	1998-04-30	PRIJEM	\N	338	72311	UROK	\N	\N
3649289	3608	1998-05-31	PRIJEM	\N	292	62211	UROK	\N	\N
3649290	3608	1998-06-30	PRIJEM	\N	187	46662	UROK	\N	\N
3649291	3608	1998-07-31	PRIJEM	\N	213	62246	UROK	\N	\N
3649292	3608	1998-08-31	PRIJEM	\N	256	52087	UROK	\N	\N
3649293	3608	1998-09-30	PRIJEM	\N	196	50815	UROK	\N	\N
3649294	3608	1998-10-31	PRIJEM	\N	160	32535	UROK	\N	\N
3649295	3608	1998-11-30	PRIJEM	\N	260	74018	UROK	\N	\N
3649296	3608	1998-12-31	PRIJEM	\N	167	39045	UROK	\N	\N
3649297	3609	1993-08-31	PRIJEM	\N	52	21639	UROK	\N	\N
3649298	3609	1993-09-30	PRIJEM	\N	148	46274	UROK	\N	\N
3649299	3609	1993-10-31	PRIJEM	\N	217	56678	UROK	\N	\N
3649300	3609	1993-11-30	PRIJEM	\N	252	63617	UROK	\N	\N
3649301	3609	1993-12-31	PRIJEM	\N	279	69538	UROK	\N	\N
3649302	3609	1994-01-31	PRIJEM	\N	232	36077	UROK	\N	\N
3649303	3609	1994-02-28	PRIJEM	\N	188	50031	UROK	\N	\N
3649304	3609	1994-03-31	PRIJEM	\N	215	53753	UROK	\N	\N
3649305	3609	1994-04-30	PRIJEM	\N	222	53081	UROK	\N	\N
3649306	3609	1994-05-31	PRIJEM	\N	224	40211	UROK	\N	\N
3649307	3609	1994-06-30	PRIJEM	\N	196	21827	UROK	\N	\N
3649308	3609	1994-07-31	PRIJEM	\N	133	31666	UROK	\N	\N
3649309	3609	1994-08-31	PRIJEM	\N	169	35842	UROK	\N	\N
3649310	3609	1994-09-30	PRIJEM	\N	176	36924	UROK	\N	\N
3649311	3609	1994-10-31	PRIJEM	\N	181	40312	UROK	\N	\N
3649312	3609	1994-11-30	PRIJEM	\N	200	41618	UROK	\N	\N
3649313	3609	1994-12-31	PRIJEM	\N	221	46119	UROK	\N	\N
3649314	3609	1995-01-31	PRIJEM	\N	191	24536	UROK	\N	\N
3649315	3609	1995-02-28	PRIJEM	\N	136	33379	UROK	\N	\N
3649316	3609	1995-03-31	PRIJEM	\N	166	38652	UROK	\N	\N
3649317	3609	1995-04-30	PRIJEM	\N	192	42350	UROK	\N	\N
3649318	3609	1995-05-31	PRIJEM	\N	197	42554	UROK	\N	\N
3649319	3609	1995-06-30	PRIJEM	\N	210	44564	UROK	\N	\N
3649320	3609	1995-07-31	PRIJEM	\N	210	44680	UROK	\N	\N
3649321	3609	1995-08-31	PRIJEM	\N	208	44795	UROK	\N	\N
3649322	3609	1995-09-30	PRIJEM	\N	204	46304	UROK	\N	\N
3649323	3609	1995-10-31	PRIJEM	\N	210	47920	UROK	\N	\N
3649324	3609	1995-11-30	PRIJEM	\N	210	46437	UROK	\N	\N
3649325	3609	1995-12-31	PRIJEM	\N	215	48952	UROK	\N	\N
3649326	3609	1996-01-31	PRIJEM	\N	186	38525	UROK	\N	\N
3649327	3609	1996-02-29	PRIJEM	\N	171	39083	UROK	\N	\N
3649328	3609	1996-03-31	PRIJEM	\N	177	39766	UROK	\N	\N
3649329	3609	1996-04-30	PRIJEM	\N	174	41087	UROK	\N	\N
3649330	3609	1996-05-31	PRIJEM	\N	177	40070	UROK	\N	\N
3649331	3609	1996-06-30	PRIJEM	\N	158	36028	UROK	\N	\N
3649332	3609	1996-07-31	PRIJEM	\N	169	41804	UROK	\N	\N
3649333	3609	1996-08-31	PRIJEM	\N	183	44493	UROK	\N	\N
3649334	3609	1996-09-30	PRIJEM	\N	172	36592	UROK	\N	\N
3649335	3609	1996-10-31	PRIJEM	\N	157	38355	UROK	\N	\N
3649336	3609	1996-11-30	PRIJEM	\N	171	43633	UROK	\N	\N
3649337	3609	1996-12-31	PRIJEM	\N	199	50492	UROK	\N	\N
3649338	3609	1997-01-31	PRIJEM	\N	194	33472	UROK	\N	\N
3649339	3609	1997-02-28	PRIJEM	\N	186	51463	UROK	\N	\N
3649340	3609	1997-03-31	PRIJEM	\N	214	51984	UROK	\N	\N
3649341	3609	1997-04-30	PRIJEM	\N	217	49807	UROK	\N	\N
3649342	3609	1997-05-31	PRIJEM	\N	212	53225	UROK	\N	\N
3649343	3609	1997-06-30	PRIJEM	\N	227	54731	UROK	\N	\N
3649344	3609	1997-07-31	PRIJEM	\N	249	61587	UROK	\N	\N
3649345	3609	1997-08-31	PRIJEM	\N	253	60846	UROK	\N	\N
3649346	3609	1997-09-30	PRIJEM	\N	264	64117	UROK	\N	\N
3649347	3609	1997-10-31	PRIJEM	\N	264	60887	UROK	\N	\N
3649348	3609	1997-11-30	PRIJEM	\N	266	68760	UROK	\N	\N
3649349	3609	1997-12-31	PRIJEM	\N	309	77408	UROK	\N	\N
3649350	3609	1998-01-31	PRIJEM	\N	281	67016	UROK	\N	\N
3649351	3609	1998-02-28	PRIJEM	\N	279	73302	UROK	\N	\N
3649352	3609	1998-03-31	PRIJEM	\N	301	75010	UROK	\N	\N
3649353	3609	1998-04-30	PRIJEM	\N	325	79641	UROK	\N	\N
3649354	3609	1998-05-31	PRIJEM	\N	345	84492	UROK	\N	\N
3649355	3609	1998-06-30	PRIJEM	\N	305	77097	UROK	\N	\N
3649356	3609	1998-07-31	PRIJEM	\N	346	86650	UROK	\N	\N
3649357	3609	1998-08-31	PRIJEM	\N	368	94324	UROK	\N	\N
3649358	3609	1998-09-30	PRIJEM	\N	401	101532	UROK	\N	\N
3649359	3609	1998-10-31	PRIJEM	\N	406	98944	UROK	\N	\N
3649360	3609	1998-11-30	PRIJEM	\N	400	94911	UROK	\N	\N
3649361	3609	1998-12-31	PRIJEM	\N	405	106816	UROK	\N	\N
3649362	3610	1998-02-28	PRIJEM	\N	58	19518	UROK	\N	\N
3649363	3610	1998-03-31	PRIJEM	\N	85	20113	UROK	\N	\N
3649364	3610	1998-04-30	PRIJEM	\N	89	21831	UROK	\N	\N
3649365	3610	1998-05-31	PRIJEM	\N	92	21153	UROK	\N	\N
3649366	3610	1998-06-30	PRIJEM	\N	75	16377	UROK	\N	\N
3649367	3610	1998-07-31	PRIJEM	\N	74	18080	UROK	\N	\N
3649368	3610	1998-08-31	PRIJEM	\N	81	19790	UROK	\N	\N
3649369	3610	1998-09-30	PRIJEM	\N	86	20605	UROK	\N	\N
3649370	3610	1998-10-31	PRIJEM	\N	91	22325	UROK	\N	\N
3649371	3610	1998-11-30	PRIJEM	\N	94	20769	UROK	\N	\N
3649372	3610	1998-12-31	PRIJEM	\N	90	21488	UROK	\N	\N
3649390	3612	1994-09-30	PRIJEM	\N	15	20974	UROK	\N	\N
3649391	3612	1994-10-31	PRIJEM	\N	96	31528	UROK	\N	\N
3649392	3612	1994-11-30	PRIJEM	\N	133	33520	UROK	\N	\N
3649393	3612	1994-12-31	PRIJEM	\N	145	39453	UROK	\N	\N
3649394	3612	1995-01-31	PRIJEM	\N	170	32320	UROK	\N	\N
3649395	3612	1995-02-28	PRIJEM	\N	149	30465	UROK	\N	\N
3649396	3612	1995-03-31	PRIJEM	\N	144	28565	UROK	\N	\N
3649397	3612	1995-04-30	PRIJEM	\N	124	25545	UROK	\N	\N
3649398	3612	1995-05-31	PRIJEM	\N	127	29589	UROK	\N	\N
3649399	3612	1995-06-30	PRIJEM	\N	113	19607	UROK	\N	\N
3649400	3612	1995-07-31	PRIJEM	\N	98	22601	UROK	\N	\N
3649401	3612	1995-08-31	PRIJEM	\N	108	24206	UROK	\N	\N
3649402	3612	1995-09-30	PRIJEM	\N	119	28821	UROK	\N	\N
3649403	3612	1995-10-31	PRIJEM	\N	129	26746	UROK	\N	\N
3649404	3612	1995-11-30	PRIJEM	\N	120	25182	UROK	\N	\N
3649405	3612	1995-12-31	PRIJEM	\N	134	30222	UROK	\N	\N
3649406	3612	1996-01-31	PRIJEM	\N	115	23133	UROK	\N	\N
3649407	3612	1996-02-29	PRIJEM	\N	108	26438	UROK	\N	\N
3649408	3612	1996-03-31	PRIJEM	\N	129	31863	UROK	\N	\N
3649409	3612	1996-04-30	PRIJEM	\N	135	31514	UROK	\N	\N
3649410	3612	1996-05-31	PRIJEM	\N	149	34180	UROK	\N	\N
3649411	3612	1996-06-30	PRIJEM	\N	168	39573	UROK	\N	\N
3649412	3612	1996-07-31	PRIJEM	\N	180	43049	UROK	\N	\N
3649413	3612	1996-08-31	PRIJEM	\N	187	43832	UROK	\N	\N
3649414	3612	1996-09-30	PRIJEM	\N	191	45219	UROK	\N	\N
3649415	3612	1996-10-31	PRIJEM	\N	195	45711	UROK	\N	\N
3649416	3612	1996-11-30	PRIJEM	\N	190	46677	UROK	\N	\N
3649417	3612	1996-12-31	PRIJEM	\N	206	43288	UROK	\N	\N
3649418	3612	1997-01-31	PRIJEM	\N	172	39216	UROK	\N	\N
3649419	3612	1997-02-28	PRIJEM	\N	188	47600	UROK	\N	\N
3649420	3612	1997-03-31	PRIJEM	\N	203	47999	UROK	\N	\N
3649421	3612	1997-04-30	PRIJEM	\N	210	51005	UROK	\N	\N
3649422	3612	1997-05-31	PRIJEM	\N	204	46266	UROK	\N	\N
3649423	3612	1997-06-30	PRIJEM	\N	213	48304	UROK	\N	\N
3649424	3612	1997-07-31	PRIJEM	\N	202	45582	UROK	\N	\N
3649425	3612	1997-08-31	PRIJEM	\N	189	43808	UROK	\N	\N
3649426	3612	1997-09-30	PRIJEM	\N	197	48460	UROK	\N	\N
3649427	3612	1997-10-31	PRIJEM	\N	220	54977	UROK	\N	\N
3649428	3612	1997-11-30	PRIJEM	\N	245	60218	UROK	\N	\N
3649429	3612	1997-12-31	PRIJEM	\N	256	60439	UROK	\N	\N
3649430	3612	1998-01-31	PRIJEM	\N	261	56736	UROK	\N	\N
3649431	3612	1998-02-28	PRIJEM	\N	275	70008	UROK	\N	\N
3649432	3612	1998-03-31	PRIJEM	\N	283	67987	UROK	\N	\N
3649433	3612	1998-04-30	PRIJEM	\N	294	71997	UROK	\N	\N
3649434	3612	1998-05-31	PRIJEM	\N	306	74999	UROK	\N	\N
3649435	3612	1998-06-30	PRIJEM	\N	288	55873	UROK	\N	\N
3649436	3612	1998-07-31	PRIJEM	\N	263	62232	UROK	\N	\N
3649437	3612	1998-08-31	PRIJEM	\N	270	66398	UROK	\N	\N
3649438	3612	1998-09-30	PRIJEM	\N	263	64597	UROK	\N	\N
3649439	3612	1998-10-31	PRIJEM	\N	287	71480	UROK	\N	\N
3649440	3612	1998-11-30	PRIJEM	\N	294	72470	UROK	\N	\N
3649441	3612	1998-12-31	PRIJEM	\N	317	75732	UROK	\N	\N
3649442	3613	1993-09-30	PRIJEM	\N	57	18618	UROK	\N	\N
3649443	3613	1993-10-31	PRIJEM	\N	95	24273	UROK	\N	\N
3649444	3613	1993-11-30	PRIJEM	\N	118	29652	UROK	\N	\N
3649445	3613	1993-12-31	PRIJEM	\N	135	33379	UROK	\N	\N
3649446	3613	1994-01-31	PRIJEM	\N	102	16568	UROK	\N	\N
3649447	3613	1994-02-28	PRIJEM	\N	77	18017	UROK	\N	\N
3649448	3613	1994-03-31	PRIJEM	\N	84	20273	UROK	\N	\N
3649449	3613	1994-04-30	PRIJEM	\N	82	18527	UROK	\N	\N
3649450	3613	1994-05-31	PRIJEM	\N	88	21087	UROK	\N	\N
3649451	3613	1994-06-30	PRIJEM	\N	99	23389	UROK	\N	\N
3649452	3613	1994-07-31	PRIJEM	\N	107	25469	UROK	\N	\N
3649453	3613	1994-08-31	PRIJEM	\N	113	25954	UROK	\N	\N
3649454	3613	1994-09-30	PRIJEM	\N	120	28146	UROK	\N	\N
3649455	3613	1994-10-31	PRIJEM	\N	125	27243	UROK	\N	\N
3649456	3613	1994-11-30	PRIJEM	\N	117	27533	UROK	\N	\N
3649457	3613	1994-12-31	PRIJEM	\N	133	28469	UROK	\N	\N
3649458	3613	1995-01-31	PRIJEM	\N	111	22352	UROK	\N	\N
3649459	3613	1995-02-28	PRIJEM	\N	105	24630	UROK	\N	\N
3649460	3613	1995-03-31	PRIJEM	\N	108	25311	UROK	\N	\N
3649461	3613	1995-04-30	PRIJEM	\N	112	26195	UROK	\N	\N
3649462	3613	1995-05-31	PRIJEM	\N	114	25881	UROK	\N	\N
3649463	3613	1995-06-30	PRIJEM	\N	118	26103	UROK	\N	\N
3649464	3613	1995-07-31	PRIJEM	\N	115	27090	UROK	\N	\N
3649465	3613	1995-08-31	PRIJEM	\N	114	25576	UROK	\N	\N
3649466	3613	1995-09-30	PRIJEM	\N	116	26864	UROK	\N	\N
3649467	3613	1995-10-31	PRIJEM	\N	120	26557	UROK	\N	\N
3649468	3613	1995-11-30	PRIJEM	\N	117	23146	UROK	\N	\N
3649469	3613	1995-12-31	PRIJEM	\N	115	24764	UROK	\N	\N
3649470	3613	1996-01-31	PRIJEM	\N	93	17530	UROK	\N	\N
3649471	3613	1996-02-29	PRIJEM	\N	75	16477	UROK	\N	\N
3649472	3613	1996-03-31	PRIJEM	\N	80	22029	UROK	\N	\N
3649473	3613	1996-04-30	PRIJEM	\N	99	22100	UROK	\N	\N
3649474	3613	1996-05-31	PRIJEM	\N	96	18669	UROK	\N	\N
3649475	3613	1996-06-30	PRIJEM	\N	94	20566	UROK	\N	\N
3649476	3613	1996-07-31	PRIJEM	\N	91	19329	UROK	\N	\N
3649477	3613	1996-08-31	PRIJEM	\N	85	17886	UROK	\N	\N
3649478	3613	1996-09-30	PRIJEM	\N	79	16637	UROK	\N	\N
3649479	3613	1996-10-31	PRIJEM	\N	73	15583	UROK	\N	\N
3649480	3613	1996-11-30	PRIJEM	\N	68	14023	UROK	\N	\N
3649481	3613	1996-12-31	PRIJEM	\N	73	17700	UROK	\N	\N
3649482	3613	1997-01-31	PRIJEM	\N	67	15839	UROK	\N	\N
3649483	3613	1997-02-28	PRIJEM	\N	71	16582	UROK	\N	\N
3649484	3613	1997-03-31	PRIJEM	\N	79	20834	UROK	\N	\N
3649485	3613	1997-04-30	PRIJEM	\N	84	18991	UROK	\N	\N
3649486	3613	1997-05-31	PRIJEM	\N	81	19644	UROK	\N	\N
3649487	3613	1997-06-30	PRIJEM	\N	92	14539	UROK	\N	\N
3649488	3613	1997-07-31	PRIJEM	\N	69	17981	UROK	\N	\N
3649489	3613	1997-08-31	PRIJEM	\N	84	19738	UROK	\N	\N
3649490	3613	1997-09-30	PRIJEM	\N	90	22600	UROK	\N	\N
3649491	3613	1997-10-31	PRIJEM	\N	98	23670	UROK	\N	\N
3649492	3613	1997-11-30	PRIJEM	\N	99	22642	UROK	\N	\N
3649493	3613	1997-12-31	PRIJEM	\N	101	22546	UROK	\N	\N
3649494	3613	1998-01-31	PRIJEM	\N	76	14494	UROK	\N	\N
3649495	3613	1998-02-28	PRIJEM	\N	68	17635	UROK	\N	\N
3649496	3613	1998-03-31	PRIJEM	\N	75	17682	UROK	\N	\N
3649497	3613	1998-04-30	PRIJEM	\N	76	16730	UROK	\N	\N
3649498	3613	1998-05-31	PRIJEM	\N	79	20481	UROK	\N	\N
3649499	3613	1998-06-30	PRIJEM	\N	81	18966	UROK	\N	\N
3649500	3613	1998-07-31	PRIJEM	\N	74	16512	UROK	\N	\N
3649501	3613	1998-08-31	PRIJEM	\N	76	19660	UROK	\N	\N
3649502	3613	1998-09-30	PRIJEM	\N	76	17408	UROK	\N	\N
3649503	3613	1998-10-31	PRIJEM	\N	80	20560	UROK	\N	\N
3649504	3613	1998-11-30	PRIJEM	\N	93	23725	UROK	\N	\N
3649505	3613	1998-12-31	PRIJEM	\N	76	15004	UROK	\N	\N
3649506	3614	1996-08-31	PRIJEM	\N	134	58565	UROK	\N	\N
3649507	3614	1996-09-30	PRIJEM	\N	257	64557	UROK	\N	\N
3649508	3614	1996-10-31	PRIJEM	\N	268	47225	UROK	\N	\N
3649509	3614	1996-11-30	PRIJEM	\N	268	37493	UROK	\N	\N
3649510	3614	1996-12-31	PRIJEM	\N	337	101601	UROK	\N	\N
3649511	3614	1997-01-31	PRIJEM	\N	320	78350	UROK	\N	\N
3649512	3614	1997-02-28	PRIJEM	\N	273	59754	UROK	\N	\N
3649513	3614	1997-03-31	PRIJEM	\N	271	97787	UROK	\N	\N
3649514	3614	1997-04-30	PRIJEM	\N	340	76096	UROK	\N	\N
3649515	3614	1997-05-31	PRIJEM	\N	333	68413	UROK	\N	\N
3649516	3614	1997-06-30	PRIJEM	\N	211	46929	UROK	\N	\N
3649517	3614	1997-07-31	PRIJEM	\N	282	70469	UROK	\N	\N
3649518	3614	1997-08-31	PRIJEM	\N	258	86649	UROK	\N	\N
3649519	3614	1997-09-30	PRIJEM	\N	252	55005	UROK	\N	\N
3649520	3614	1997-10-31	PRIJEM	\N	122	25031	UROK	\N	\N
3649521	3614	1997-11-30	PRIJEM	\N	175	62303	UROK	\N	\N
3649522	3614	1997-12-31	PRIJEM	\N	165	30772	UROK	\N	\N
3649523	3614	1998-01-31	PRIJEM	\N	129	36185	UROK	\N	\N
3649524	3614	1998-02-28	PRIJEM	\N	137	31126	UROK	\N	\N
3649525	3614	1998-03-31	PRIJEM	\N	129	32260	UROK	\N	\N
3649526	3614	1998-04-30	PRIJEM	\N	146	49467	UROK	\N	\N
3649527	3614	1998-05-31	PRIJEM	\N	190	43162	UROK	\N	\N
3649528	3614	1998-06-30	PRIJEM	\N	166	41132	UROK	\N	\N
3649529	3614	1998-07-31	PRIJEM	\N	325	76458	UROK	\N	\N
3649530	3614	1998-08-31	PRIJEM	\N	306	65161	UROK	\N	\N
3649531	3614	1998-09-30	PRIJEM	\N	369	77651	UROK	\N	\N
3649532	3614	1998-10-31	PRIJEM	\N	234	78119	UROK	\N	\N
3649533	3614	1998-11-30	PRIJEM	\N	258	52697	UROK	\N	\N
3649534	3614	1998-12-31	PRIJEM	\N	331	83983	UROK	\N	\N
3649535	3615	1996-11-30	PRIJEM	\N	35	10243	UROK	\N	\N
3649536	3615	1996-12-31	PRIJEM	\N	121	32726	UROK	\N	\N
3649537	3615	1997-01-31	PRIJEM	\N	149	36483	UROK	\N	\N
3649538	3615	1997-02-28	PRIJEM	\N	161	39152	UROK	\N	\N
3649539	3615	1997-03-31	PRIJEM	\N	145	32723	UROK	\N	\N
3649540	3615	1997-04-30	PRIJEM	\N	125	28461	UROK	\N	\N
3649541	3615	1997-05-31	PRIJEM	\N	105	22978	UROK	\N	\N
3649542	3615	1997-06-30	PRIJEM	\N	120	29165	UROK	\N	\N
3649543	3615	1997-07-31	PRIJEM	\N	116	26593	UROK	\N	\N
3649544	3615	1997-08-31	PRIJEM	\N	103	23408	UROK	\N	\N
3649545	3615	1997-09-30	PRIJEM	\N	102	23622	UROK	\N	\N
3649546	3615	1997-10-31	PRIJEM	\N	111	25845	UROK	\N	\N
3649547	3615	1997-11-30	PRIJEM	\N	101	27059	UROK	\N	\N
3649548	3615	1997-12-31	PRIJEM	\N	117	23543	UROK	\N	\N
3649549	3615	1998-01-31	PRIJEM	\N	96	15951	UROK	\N	\N
3649550	3615	1998-02-28	PRIJEM	\N	81	22144	UROK	\N	\N
3649551	3615	1998-03-31	PRIJEM	\N	103	22059	UROK	\N	\N
3649552	3615	1998-04-30	PRIJEM	\N	106	26078	UROK	\N	\N
3649553	3615	1998-05-31	PRIJEM	\N	123	28713	UROK	\N	\N
3649554	3615	1998-06-30	PRIJEM	\N	142	27921	UROK	\N	\N
3649555	3615	1998-07-31	PRIJEM	\N	126	24159	UROK	\N	\N
3649556	3615	1998-08-31	PRIJEM	\N	112	24383	UROK	\N	\N
3649557	3615	1998-09-30	PRIJEM	\N	112	24008	UROK	\N	\N
3649558	3615	1998-10-31	PRIJEM	\N	114	28634	UROK	\N	\N
3649559	3615	1998-11-30	PRIJEM	\N	127	26373	UROK	\N	\N
3649560	3615	1998-12-31	PRIJEM	\N	130	30669	UROK	\N	\N
3649561	3617	1993-12-31	PRIJEM	\N	54	23760	UROK	\N	\N
3649562	3617	1994-01-31	PRIJEM	\N	124	34120	UROK	\N	\N
3649563	3617	1994-02-28	PRIJEM	\N	148	36906	UROK	\N	\N
3649564	3617	1994-03-31	PRIJEM	\N	159	39401	UROK	\N	\N
3649565	3617	1994-04-30	PRIJEM	\N	164	35119	UROK	\N	\N
3649566	3617	1994-05-31	PRIJEM	\N	159	36757	UROK	\N	\N
3649567	3617	1994-06-30	PRIJEM	\N	142	29507	UROK	\N	\N
3649568	3617	1994-07-31	PRIJEM	\N	137	32204	UROK	\N	\N
3649569	3617	1994-08-31	PRIJEM	\N	148	35632	UROK	\N	\N
3649570	3617	1994-09-30	PRIJEM	\N	154	36565	UROK	\N	\N
3649571	3617	1994-10-31	PRIJEM	\N	167	40712	UROK	\N	\N
3649572	3617	1994-11-30	PRIJEM	\N	163	36395	UROK	\N	\N
3649573	3617	1994-12-31	PRIJEM	\N	191	43673	UROK	\N	\N
3649574	3617	1995-01-31	PRIJEM	\N	157	30930	UROK	\N	\N
3649575	3617	1995-02-28	PRIJEM	\N	144	35753	UROK	\N	\N
3649576	3617	1995-03-31	PRIJEM	\N	179	37291	UROK	\N	\N
3649577	3617	1995-04-30	PRIJEM	\N	161	38832	UROK	\N	\N
3649578	3617	1995-05-31	PRIJEM	\N	170	40141	UROK	\N	\N
3649579	3617	1995-06-30	PRIJEM	\N	179	35128	UROK	\N	\N
3649580	3617	1995-07-31	PRIJEM	\N	146	32633	UROK	\N	\N
3649581	3617	1995-08-31	PRIJEM	\N	165	40777	UROK	\N	\N
3649582	3617	1995-09-30	PRIJEM	\N	207	52064	UROK	\N	\N
3649583	3617	1995-10-31	PRIJEM	\N	243	59786	UROK	\N	\N
3649584	3617	1995-11-30	PRIJEM	\N	255	62040	UROK	\N	\N
3649585	3617	1995-12-31	PRIJEM	\N	277	62485	UROK	\N	\N
3649586	3617	1996-01-31	PRIJEM	\N	244	55428	UROK	\N	\N
3649587	3617	1996-02-29	PRIJEM	\N	229	53916	UROK	\N	\N
3649588	3617	1996-03-31	PRIJEM	\N	260	64656	UROK	\N	\N
3649589	3617	1996-04-30	PRIJEM	\N	292	71727	UROK	\N	\N
3649590	3617	1996-05-31	PRIJEM	\N	294	70041	UROK	\N	\N
3649591	3617	1996-06-30	PRIJEM	\N	238	59527	UROK	\N	\N
3649592	3617	1996-07-31	PRIJEM	\N	269	65975	UROK	\N	\N
3649593	3617	1996-08-31	PRIJEM	\N	283	64937	UROK	\N	\N
3649594	3617	1996-09-30	PRIJEM	\N	290	73706	UROK	\N	\N
3649595	3617	1996-10-31	PRIJEM	\N	301	66886	UROK	\N	\N
3649596	3617	1996-11-30	PRIJEM	\N	314	69880	UROK	\N	\N
3649597	3617	1996-12-31	PRIJEM	\N	343	76490	UROK	\N	\N
3649598	3617	1997-01-31	PRIJEM	\N	326	72695	UROK	\N	\N
3649599	3617	1997-02-28	PRIJEM	\N	336	74730	UROK	\N	\N
3649600	3617	1997-03-31	PRIJEM	\N	345	76854	UROK	\N	\N
3649601	3617	1997-04-30	PRIJEM	\N	330	72644	UROK	\N	\N
3649602	3617	1997-05-31	PRIJEM	\N	335	74058	UROK	\N	\N
3649603	3617	1997-06-30	PRIJEM	\N	347	59812	UROK	\N	\N
3649604	3617	1997-07-31	PRIJEM	\N	284	69415	UROK	\N	\N
3649605	3617	1997-08-31	PRIJEM	\N	318	72113	UROK	\N	\N
3649606	3617	1997-09-30	PRIJEM	\N	322	73714	UROK	\N	\N
3649607	3617	1997-10-31	PRIJEM	\N	338	79731	UROK	\N	\N
3649608	3617	1997-11-30	PRIJEM	\N	362	86373	UROK	\N	\N
3649609	3617	1997-12-31	PRIJEM	\N	308	71649	UROK	\N	\N
3649610	3617	1998-01-31	PRIJEM	\N	315	75303	UROK	\N	\N
3649611	3617	1998-02-28	PRIJEM	\N	348	86650	UROK	\N	\N
3649612	3617	1998-03-31	PRIJEM	\N	391	93920	UROK	\N	\N
3649613	3617	1998-04-30	PRIJEM	\N	422	102922	UROK	\N	\N
3649614	3617	1998-05-31	PRIJEM	\N	358	84159	UROK	\N	\N
3649615	3617	1998-06-30	PRIJEM	\N	378	86525	UROK	\N	\N
3649616	3617	1998-07-31	PRIJEM	\N	386	97051	UROK	\N	\N
3649617	3617	1998-08-31	PRIJEM	\N	430	103660	UROK	\N	\N
3649618	3617	1998-09-30	PRIJEM	\N	342	79481	UROK	\N	\N
3649619	3617	1998-10-31	PRIJEM	\N	367	88308	UROK	\N	\N
3649620	3617	1998-11-30	PRIJEM	\N	384	90831	UROK	\N	\N
3649621	3617	1998-12-31	PRIJEM	\N	407	92027	UROK	\N	\N
3649622	3618	1993-10-31	PRIJEM	\N	9	22846	UROK	\N	\N
3649623	3618	1993-11-30	PRIJEM	\N	98	29881	UROK	\N	\N
3649624	3618	1993-12-31	PRIJEM	\N	128	37716	UROK	\N	\N
3649625	3618	1994-01-31	PRIJEM	\N	158	39510	UROK	\N	\N
3649626	3618	1994-02-28	PRIJEM	\N	164	38511	UROK	\N	\N
3649627	3618	1994-03-31	PRIJEM	\N	169	37365	UROK	\N	\N
3649628	3618	1994-04-30	PRIJEM	\N	162	34951	UROK	\N	\N
3649629	3618	1994-05-31	PRIJEM	\N	150	31185	UROK	\N	\N
3649630	3618	1994-06-30	PRIJEM	\N	158	38496	UROK	\N	\N
3649631	3618	1994-07-31	PRIJEM	\N	149	32650	UROK	\N	\N
3649632	3618	1994-08-31	PRIJEM	\N	145	35579	UROK	\N	\N
3649633	3618	1994-09-30	PRIJEM	\N	153	34617	UROK	\N	\N
3649634	3618	1994-10-31	PRIJEM	\N	150	35151	UROK	\N	\N
3649635	3618	1994-11-30	PRIJEM	\N	150	36026	UROK	\N	\N
3649636	3618	1994-12-31	PRIJEM	\N	172	40671	UROK	\N	\N
3649637	3618	1995-01-31	PRIJEM	\N	152	36127	UROK	\N	\N
3649638	3618	1995-02-28	PRIJEM	\N	152	35144	UROK	\N	\N
3649639	3618	1995-03-31	PRIJEM	\N	154	37883	UROK	\N	\N
3649640	3618	1995-04-30	PRIJEM	\N	157	35204	UROK	\N	\N
3649641	3618	1995-05-31	PRIJEM	\N	143	33911	UROK	\N	\N
3649642	3618	1995-06-30	PRIJEM	\N	159	38023	UROK	\N	\N
3649643	3618	1995-07-31	PRIJEM	\N	161	38569	UROK	\N	\N
3649644	3618	1995-08-31	PRIJEM	\N	159	36812	UROK	\N	\N
3649645	3618	1995-09-30	PRIJEM	\N	153	36850	UROK	\N	\N
3649646	3618	1995-10-31	PRIJEM	\N	151	35585	UROK	\N	\N
3649647	3618	1995-11-30	PRIJEM	\N	144	33913	UROK	\N	\N
3649648	3618	1995-12-31	PRIJEM	\N	145	36031	UROK	\N	\N
3649649	3618	1996-01-31	PRIJEM	\N	121	30257	UROK	\N	\N
3649650	3618	1996-02-29	PRIJEM	\N	129	33370	UROK	\N	\N
3649651	3618	1996-03-31	PRIJEM	\N	140	35194	UROK	\N	\N
3649652	3618	1996-04-30	PRIJEM	\N	147	37226	UROK	\N	\N
3649653	3618	1996-05-31	PRIJEM	\N	164	42874	UROK	\N	\N
3649654	3618	1996-06-30	PRIJEM	\N	186	47113	UROK	\N	\N
3649655	3618	1996-07-31	PRIJEM	\N	181	42838	UROK	\N	\N
3649656	3618	1996-08-31	PRIJEM	\N	170	42353	UROK	\N	\N
3649657	3618	1996-09-30	PRIJEM	\N	177	45514	UROK	\N	\N
3649658	3618	1996-10-31	PRIJEM	\N	188	41446	UROK	\N	\N
3649659	3618	1996-11-30	PRIJEM	\N	197	53727	UROK	\N	\N
3649660	3618	1996-12-31	PRIJEM	\N	248	67909	UROK	\N	\N
3649661	3618	1997-01-31	PRIJEM	\N	243	56496	UROK	\N	\N
3649662	3618	1997-02-28	PRIJEM	\N	248	65028	UROK	\N	\N
3649663	3618	1997-03-31	PRIJEM	\N	271	68283	UROK	\N	\N
3649664	3618	1997-04-30	PRIJEM	\N	296	76264	UROK	\N	\N
3649665	3618	1997-05-31	PRIJEM	\N	318	79967	UROK	\N	\N
3649666	3618	1997-06-30	PRIJEM	\N	290	65130	UROK	\N	\N
3649667	3618	1997-07-31	PRIJEM	\N	289	74384	UROK	\N	\N
3649668	3618	1997-08-31	PRIJEM	\N	307	77375	UROK	\N	\N
3649669	3618	1997-09-30	PRIJEM	\N	313	79172	UROK	\N	\N
3649670	3618	1997-10-31	PRIJEM	\N	301	75717	UROK	\N	\N
3649671	3618	1997-11-30	PRIJEM	\N	298	75900	UROK	\N	\N
3649672	3618	1997-12-31	PRIJEM	\N	312	81846	UROK	\N	\N
3649673	3618	1998-01-31	PRIJEM	\N	297	68067	UROK	\N	\N
3649674	3618	1998-02-28	PRIJEM	\N	260	66591	UROK	\N	\N
3649675	3618	1998-03-31	PRIJEM	\N	281	72956	UROK	\N	\N
3649676	3618	1998-04-30	PRIJEM	\N	312	80013	UROK	\N	\N
3649677	3618	1998-05-31	PRIJEM	\N	335	86433	UROK	\N	\N
3649678	3618	1998-06-30	PRIJEM	\N	316	52682	UROK	\N	\N
3649679	3618	1998-07-31	PRIJEM	\N	277	75144	UROK	\N	\N
3649680	3618	1998-08-31	PRIJEM	\N	327	85055	UROK	\N	\N
3649681	3618	1998-09-30	PRIJEM	\N	345	86985	UROK	\N	\N
3649682	3618	1998-10-31	PRIJEM	\N	350	89519	UROK	\N	\N
3649683	3618	1998-11-30	PRIJEM	\N	341	86644	UROK	\N	\N
3649684	3618	1998-12-31	PRIJEM	\N	361	95279	UROK	\N	\N
3649685	3621	1995-01-31	PRIJEM	\N	20	18799	UROK	\N	\N
3649686	3621	1995-02-28	PRIJEM	\N	86	27064	UROK	\N	\N
3649687	3621	1995-03-31	PRIJEM	\N	117	32160	UROK	\N	\N
3649688	3621	1995-04-30	PRIJEM	\N	134	32773	UROK	\N	\N
3649689	3621	1995-05-31	PRIJEM	\N	134	31186	UROK	\N	\N
3649690	3621	1995-06-30	PRIJEM	\N	127	25568	UROK	\N	\N
3649691	3621	1995-07-31	PRIJEM	\N	115	29528	UROK	\N	\N
3649692	3621	1995-08-31	PRIJEM	\N	126	29600	UROK	\N	\N
3649693	3621	1995-09-30	PRIJEM	\N	125	28970	UROK	\N	\N
3649694	3621	1995-10-31	PRIJEM	\N	123	28939	UROK	\N	\N
3649695	3621	1995-11-30	PRIJEM	\N	129	32713	UROK	\N	\N
3649696	3621	1995-12-31	PRIJEM	\N	125	30332	UROK	\N	\N
3649697	3621	1996-01-31	PRIJEM	\N	108	19546	UROK	\N	\N
3649698	3621	1996-02-29	PRIJEM	\N	98	27989	UROK	\N	\N
3649699	3621	1996-03-31	PRIJEM	\N	113	29607	UROK	\N	\N
3649700	3621	1996-04-30	PRIJEM	\N	130	32483	UROK	\N	\N
3649701	3621	1996-05-31	PRIJEM	\N	142	35270	UROK	\N	\N
3649702	3621	1996-06-30	PRIJEM	\N	137	26221	UROK	\N	\N
3649703	3621	1996-07-31	PRIJEM	\N	124	33190	UROK	\N	\N
3649704	3621	1996-08-31	PRIJEM	\N	138	32874	UROK	\N	\N
3649705	3621	1996-09-30	PRIJEM	\N	140	34059	UROK	\N	\N
3649706	3621	1996-10-31	PRIJEM	\N	140	31584	UROK	\N	\N
3649707	3621	1996-11-30	PRIJEM	\N	129	30558	UROK	\N	\N
3649708	3621	1996-12-31	PRIJEM	\N	123	30115	UROK	\N	\N
3649709	3621	1997-01-31	PRIJEM	\N	80	14681	UROK	\N	\N
3649710	3621	1997-02-28	PRIJEM	\N	90	26716	UROK	\N	\N
3649711	3621	1997-03-31	PRIJEM	\N	101	24602	UROK	\N	\N
3649712	3621	1997-04-30	PRIJEM	\N	91	24038	UROK	\N	\N
3649713	3621	1997-05-31	PRIJEM	\N	100	17704	UROK	\N	\N
3649714	3621	1997-06-30	PRIJEM	\N	98	27936	UROK	\N	\N
3649715	3621	1997-07-31	PRIJEM	\N	120	30001	UROK	\N	\N
3649716	3621	1997-08-31	PRIJEM	\N	117	26883	UROK	\N	\N
3649717	3621	1997-09-30	PRIJEM	\N	115	29444	UROK	\N	\N
3649718	3621	1997-10-31	PRIJEM	\N	110	26699	UROK	\N	\N
3649719	3621	1997-11-30	PRIJEM	\N	104	25948	UROK	\N	\N
3649720	3621	1997-12-31	PRIJEM	\N	109	25211	UROK	\N	\N
3649721	3621	1998-01-31	PRIJEM	\N	79	14675	UROK	\N	\N
3649722	3621	1998-02-28	PRIJEM	\N	62	16883	UROK	\N	\N
3649723	3621	1998-03-31	PRIJEM	\N	72	18900	UROK	\N	\N
3649724	3621	1998-04-30	PRIJEM	\N	64	15409	UROK	\N	\N
3649725	3621	1998-05-31	PRIJEM	\N	70	18124	UROK	\N	\N
3649726	3621	1998-06-30	PRIJEM	\N	82	22640	UROK	\N	\N
3649727	3621	1998-07-31	PRIJEM	\N	71	16356	UROK	\N	\N
3649728	3621	1998-08-31	PRIJEM	\N	73	19075	UROK	\N	\N
3649729	3621	1998-09-30	PRIJEM	\N	67	16687	UROK	\N	\N
3649730	3621	1998-10-31	PRIJEM	\N	72	19204	UROK	\N	\N
3649731	3621	1998-11-30	PRIJEM	\N	70	17620	UROK	\N	\N
3649732	3621	1998-12-31	PRIJEM	\N	79	21133	UROK	\N	\N
3649733	3622	1994-11-30	PRIJEM	\N	128	78347	UROK	\N	\N
3649734	3622	1994-12-31	PRIJEM	\N	326	52273	UROK	\N	\N
3649735	3622	1995-01-31	PRIJEM	\N	261	53028	UROK	\N	\N
3649736	3622	1995-02-28	PRIJEM	\N	222	55256	UROK	\N	\N
3649737	3622	1995-03-31	PRIJEM	\N	163	22175	UROK	\N	\N
3649738	3622	1995-04-30	PRIJEM	\N	75	16152	UROK	\N	\N
3649739	3622	1995-05-31	PRIJEM	\N	118	63120	UROK	\N	\N
3649740	3622	1995-06-30	PRIJEM	\N	275	92520	UROK	\N	\N
3649741	3622	1995-07-31	PRIJEM	\N	360	107951	UROK	\N	\N
3649742	3622	1995-08-31	PRIJEM	\N	371	95345	UROK	\N	\N
3649743	3622	1995-09-30	PRIJEM	\N	266	23481	UROK	\N	\N
3649744	3622	1995-10-31	PRIJEM	\N	244	81981	UROK	\N	\N
3649745	3622	1995-11-30	PRIJEM	\N	301	90602	UROK	\N	\N
3649746	3622	1995-12-31	PRIJEM	\N	250	63950	UROK	\N	\N
3649747	3622	1996-01-31	PRIJEM	\N	160	28612	UROK	\N	\N
3649748	3622	1996-02-29	PRIJEM	\N	92	18705	UROK	\N	\N
3649749	3622	1996-03-31	PRIJEM	\N	59	12166	UROK	\N	\N
3649750	3622	1996-04-30	PRIJEM	\N	46	10413	UROK	\N	\N
3649751	3622	1996-05-31	PRIJEM	\N	48	12062	UROK	\N	\N
3649752	3622	1996-06-30	PRIJEM	\N	46	10809	UROK	\N	\N
3649753	3622	1996-07-31	PRIJEM	\N	38	8549	UROK	\N	\N
3649754	3622	1996-08-31	PRIJEM	\N	43	11293	UROK	\N	\N
3649755	3622	1996-09-30	PRIJEM	\N	49	12244	UROK	\N	\N
3649756	3622	1996-10-31	PRIJEM	\N	45	10290	UROK	\N	\N
3649757	3622	1996-11-30	PRIJEM	\N	50	13041	UROK	\N	\N
3649758	3622	1996-12-31	PRIJEM	\N	44	9486	UROK	\N	\N
3649759	3622	1997-01-31	PRIJEM	\N	40	10028	UROK	\N	\N
3649760	3622	1997-02-28	PRIJEM	\N	41	9870	UROK	\N	\N
3649761	3622	1997-03-31	PRIJEM	\N	41	10212	UROK	\N	\N
3649762	3622	1997-04-30	PRIJEM	\N	41	10155	UROK	\N	\N
3649763	3622	1997-05-31	PRIJEM	\N	50	13206	UROK	\N	\N
3649764	3622	1997-06-30	PRIJEM	\N	53	12860	UROK	\N	\N
3649765	3622	1997-07-31	PRIJEM	\N	124	42919	UROK	\N	\N
3649766	3622	1997-08-31	PRIJEM	\N	117	27937	UROK	\N	\N
3649767	3622	1997-09-30	PRIJEM	\N	86	26924	UROK	\N	\N
3649768	3622	1997-10-31	PRIJEM	\N	83	26209	UROK	\N	\N
3649769	3622	1997-11-30	PRIJEM	\N	82	28792	UROK	\N	\N
3649770	3622	1997-12-31	PRIJEM	\N	79	27372	UROK	\N	\N
3649771	3622	1998-01-31	PRIJEM	\N	89	28562	UROK	\N	\N
3649772	3622	1998-02-28	PRIJEM	\N	92	29556	UROK	\N	\N
3649773	3622	1998-03-31	PRIJEM	\N	96	30753	UROK	\N	\N
3649774	3622	1998-04-30	PRIJEM	\N	114	37179	UROK	\N	\N
3649775	3622	1998-05-31	PRIJEM	\N	130	40011	UROK	\N	\N
3649776	3622	1998-06-30	PRIJEM	\N	144	43856	UROK	\N	\N
3649777	3622	1998-07-31	PRIJEM	\N	157	37014	UROK	\N	\N
3649778	3622	1998-08-31	PRIJEM	\N	137	43853	UROK	\N	\N
3649779	3622	1998-09-30	PRIJEM	\N	136	25060	UROK	\N	\N
3649780	3622	1998-10-31	PRIJEM	\N	95	36456	UROK	\N	\N
3649781	3622	1998-11-30	PRIJEM	\N	148	43531	UROK	\N	\N
3649782	3622	1998-12-31	PRIJEM	\N	152	35265	UROK	\N	\N
3649783	3623	1995-03-31	PRIJEM	\N	37	15130	UROK	\N	\N
3649784	3623	1995-04-30	PRIJEM	\N	80	21802	UROK	\N	\N
3649785	3623	1995-05-31	PRIJEM	\N	96	23891	UROK	\N	\N
3649786	3623	1995-06-30	PRIJEM	\N	107	26991	UROK	\N	\N
3649787	3623	1995-07-31	PRIJEM	\N	112	26901	UROK	\N	\N
3649788	3623	1995-08-31	PRIJEM	\N	118	29003	UROK	\N	\N
3649789	3623	1995-09-30	PRIJEM	\N	112	25598	UROK	\N	\N
3649790	3623	1995-10-31	PRIJEM	\N	102	23093	UROK	\N	\N
3649791	3623	1995-11-30	PRIJEM	\N	103	24499	UROK	\N	\N
3649792	3623	1995-12-31	PRIJEM	\N	98	22570	UROK	\N	\N
3649793	3623	1996-01-31	PRIJEM	\N	102	24256	UROK	\N	\N
3649794	3623	1996-02-29	PRIJEM	\N	100	22690	UROK	\N	\N
3649795	3623	1996-03-31	PRIJEM	\N	109	26782	UROK	\N	\N
3649796	3623	1996-04-30	PRIJEM	\N	109	25474	UROK	\N	\N
3649797	3623	1996-05-31	PRIJEM	\N	108	24375	UROK	\N	\N
3649798	3623	1996-06-30	PRIJEM	\N	73	13811	UROK	\N	\N
3649799	3623	1996-07-31	PRIJEM	\N	80	19675	UROK	\N	\N
3649800	3623	1996-08-31	PRIJEM	\N	100	24958	UROK	\N	\N
3649801	3623	1996-09-30	PRIJEM	\N	120	28661	UROK	\N	\N
3649802	3623	1996-10-31	PRIJEM	\N	123	30067	UROK	\N	\N
3649803	3623	1996-11-30	PRIJEM	\N	126	29576	UROK	\N	\N
3649804	3623	1996-12-31	PRIJEM	\N	121	28131	UROK	\N	\N
3649805	3623	1997-01-31	PRIJEM	\N	105	24119	UROK	\N	\N
3649806	3623	1997-02-28	PRIJEM	\N	102	23904	UROK	\N	\N
3649807	3623	1997-03-31	PRIJEM	\N	92	21179	UROK	\N	\N
3649808	3623	1997-04-30	PRIJEM	\N	97	22849	UROK	\N	\N
3649809	3623	1997-05-31	PRIJEM	\N	116	28049	UROK	\N	\N
3649810	3623	1997-06-30	PRIJEM	\N	119	27621	UROK	\N	\N
3649811	3623	1997-07-31	PRIJEM	\N	108	25312	UROK	\N	\N
3649812	3623	1997-08-31	PRIJEM	\N	101	24797	UROK	\N	\N
3649813	3623	1997-09-30	PRIJEM	\N	101	23111	UROK	\N	\N
3649814	3623	1997-10-31	PRIJEM	\N	99	22393	UROK	\N	\N
3649815	3623	1997-11-30	PRIJEM	\N	95	20171	UROK	\N	\N
3649816	3623	1997-12-31	PRIJEM	\N	85	17879	UROK	\N	\N
3649817	3623	1998-01-31	PRIJEM	\N	75	16167	UROK	\N	\N
3649818	3623	1998-02-28	PRIJEM	\N	70	16320	UROK	\N	\N
3649819	3623	1998-03-31	PRIJEM	\N	67	17100	UROK	\N	\N
3649820	3623	1998-04-30	PRIJEM	\N	75	19758	UROK	\N	\N
3649821	3623	1998-05-31	PRIJEM	\N	82	16123	UROK	\N	\N
3649822	3623	1998-06-30	PRIJEM	\N	70	16577	UROK	\N	\N
3649823	3623	1998-07-31	PRIJEM	\N	70	15300	UROK	\N	\N
3649824	3623	1998-08-31	PRIJEM	\N	68	18401	UROK	\N	\N
3649825	3623	1998-09-30	PRIJEM	\N	74	14558	UROK	\N	\N
3649826	3623	1998-10-31	PRIJEM	\N	65	18207	UROK	\N	\N
3649827	3623	1998-11-30	PRIJEM	\N	73	15063	UROK	\N	\N
3649828	3623	1998-12-31	PRIJEM	\N	63	14560	UROK	\N	\N
3649829	3624	1995-06-30	PRIJEM	\N	196	46361	UROK	\N	\N
3649830	3624	1995-07-31	PRIJEM	\N	194	49940	UROK	\N	\N
3649831	3624	1995-08-31	PRIJEM	\N	198	70769	UROK	\N	\N
3649832	3624	1995-09-30	PRIJEM	\N	344	56875	UROK	\N	\N
3649833	3624	1995-10-31	PRIJEM	\N	178	20848	UROK	\N	\N
3649834	3624	1995-11-30	PRIJEM	\N	192	45152	UROK	\N	\N
3649835	3624	1995-12-31	PRIJEM	\N	81	15609	UROK	\N	\N
3649836	3624	1996-01-31	PRIJEM	\N	94	18634	UROK	\N	\N
3649837	3624	1996-02-29	PRIJEM	\N	354	75371	UROK	\N	\N
3649838	3624	1996-03-31	PRIJEM	\N	247	35174	UROK	\N	\N
3649839	3624	1996-04-30	PRIJEM	\N	131	19722	UROK	\N	\N
3649840	3624	1996-05-31	PRIJEM	\N	80	7819	UROK	\N	\N
3649841	3624	1996-06-30	PRIJEM	\N	32	7821	UROK	\N	\N
3649842	3624	1996-07-31	PRIJEM	\N	52	24111	UROK	\N	\N
3649843	3624	1996-08-31	PRIJEM	\N	126	26002	UROK	\N	\N
3649844	3624	1996-09-30	PRIJEM	\N	226	50871	UROK	\N	\N
3649845	3624	1996-10-31	PRIJEM	\N	220	44101	UROK	\N	\N
3649846	3624	1996-11-30	PRIJEM	\N	301	56324	UROK	\N	\N
3649847	3624	1996-12-31	PRIJEM	\N	162	23702	UROK	\N	\N
3649848	3624	1997-01-31	PRIJEM	\N	51	9070	UROK	\N	\N
3649849	3624	1997-02-28	PRIJEM	\N	37	9077	UROK	\N	\N
3649850	3624	1997-04-30	PRIJEM	\N	38	9055	UROK	\N	\N
3649851	3624	1997-04-30	PRIJEM	\N	37	9093	UROK	\N	\N
3649852	3624	1997-06-30	PRIJEM	\N	38	9071	UROK	\N	\N
3649853	3624	1997-06-30	PRIJEM	\N	37	9108	UROK	\N	\N
3649854	3624	1997-07-31	PRIJEM	\N	37	9115	UROK	\N	\N
3649855	3624	1997-09-30	PRIJEM	\N	38	9130	UROK	\N	\N
3649856	3624	1997-09-30	PRIJEM	\N	37	9092	UROK	\N	\N
3649857	3624	1997-11-30	PRIJEM	\N	38	9109	UROK	\N	\N
3649858	3624	1997-11-30	PRIJEM	\N	37	9146	UROK	\N	\N
3649859	3624	1997-12-31	PRIJEM	\N	37	9153	UROK	\N	\N
3649860	3624	1998-01-31	PRIJEM	\N	74	26482	UROK	\N	\N
3649861	3624	1998-02-28	PRIJEM	\N	107	14606	UROK	\N	\N
3649862	3624	1998-03-31	PRIJEM	\N	58	2681	UROK	\N	\N
3649863	3624	1998-04-30	PRIJEM	\N	71	25873	UROK	\N	\N
3649864	3624	1998-05-31	PRIJEM	\N	105	13994	UROK	\N	\N
3649865	3624	1998-06-30	PRIJEM	\N	66	22307	UROK	\N	\N
3649866	3624	1998-07-31	PRIJEM	\N	144	36646	UROK	\N	\N
3649867	3624	1998-08-31	PRIJEM	\N	149	24812	UROK	\N	\N
3649868	3624	1998-09-30	PRIJEM	\N	112	21276	UROK	\N	\N
3649869	3624	1998-10-31	PRIJEM	\N	78	15202	UROK	\N	\N
3649870	3624	1998-11-30	PRIJEM	\N	160	60480	UROK	\N	\N
3649871	3624	1998-12-31	PRIJEM	\N	120	16617	UROK	\N	\N
3649872	3625	1994-12-31	PRIJEM	\N	44	27340	UROK	\N	\N
3649873	3625	1995-01-31	PRIJEM	\N	118	26685	UROK	\N	\N
3649874	3625	1995-02-28	PRIJEM	\N	110	23463	UROK	\N	\N
3649875	3625	1995-03-31	PRIJEM	\N	104	24115	UROK	\N	\N
3649876	3625	1995-04-30	PRIJEM	\N	109	26773	UROK	\N	\N
3649877	3625	1995-05-31	PRIJEM	\N	119	28640	UROK	\N	\N
3649878	3625	1995-06-30	PRIJEM	\N	106	17584	UROK	\N	\N
3649879	3625	1995-07-31	PRIJEM	\N	77	16250	UROK	\N	\N
3649880	3625	1995-08-31	PRIJEM	\N	76	19074	UROK	\N	\N
3649881	3625	1995-09-30	PRIJEM	\N	92	23914	UROK	\N	\N
3649882	3625	1995-10-31	PRIJEM	\N	106	25868	UROK	\N	\N
3649883	3625	1995-11-30	PRIJEM	\N	108	24684	UROK	\N	\N
3649884	3625	1995-12-31	PRIJEM	\N	87	18320	UROK	\N	\N
3649885	3625	1996-01-31	PRIJEM	\N	79	19847	UROK	\N	\N
3649886	3625	1996-02-29	PRIJEM	\N	95	24690	UROK	\N	\N
3649887	3625	1996-03-31	PRIJEM	\N	97	20715	UROK	\N	\N
3649888	3625	1996-04-30	PRIJEM	\N	93	22917	UROK	\N	\N
3649889	3625	1996-05-31	PRIJEM	\N	91	21256	UROK	\N	\N
3649890	3625	1996-06-30	PRIJEM	\N	83	19338	UROK	\N	\N
3649891	3625	1996-07-31	PRIJEM	\N	93	24379	UROK	\N	\N
3649892	3625	1996-08-31	PRIJEM	\N	96	22924	UROK	\N	\N
3649893	3625	1996-09-30	PRIJEM	\N	97	25029	UROK	\N	\N
3649894	3625	1996-10-31	PRIJEM	\N	100	24778	UROK	\N	\N
3649895	3625	1996-11-30	PRIJEM	\N	97	23644	UROK	\N	\N
3649896	3625	1996-12-31	PRIJEM	\N	78	17350	UROK	\N	\N
3649897	3625	1997-01-31	PRIJEM	\N	70	15749	UROK	\N	\N
3649898	3625	1997-02-28	PRIJEM	\N	73	16851	UROK	\N	\N
3649899	3625	1997-03-31	PRIJEM	\N	79	20578	UROK	\N	\N
3649900	3625	1997-04-30	PRIJEM	\N	86	21572	UROK	\N	\N
3649901	3625	1997-05-31	PRIJEM	\N	85	21406	UROK	\N	\N
3649902	3625	1997-06-30	PRIJEM	\N	83	19257	UROK	\N	\N
3649903	3625	1997-07-31	PRIJEM	\N	73	18478	UROK	\N	\N
3649904	3625	1997-08-31	PRIJEM	\N	89	23515	UROK	\N	\N
3649905	3625	1997-09-30	PRIJEM	\N	85	19448	UROK	\N	\N
3649906	3625	1997-10-31	PRIJEM	\N	80	20177	UROK	\N	\N
3649907	3625	1997-11-30	PRIJEM	\N	86	23112	UROK	\N	\N
3649908	3625	1997-12-31	PRIJEM	\N	80	20340	UROK	\N	\N
3649909	3625	1998-01-31	PRIJEM	\N	63	14382	UROK	\N	\N
3649910	3625	1998-02-28	PRIJEM	\N	68	17958	UROK	\N	\N
3649911	3625	1998-03-31	PRIJEM	\N	72	19478	UROK	\N	\N
3649912	3625	1998-04-30	PRIJEM	\N	76	20102	UROK	\N	\N
3649913	3625	1998-05-31	PRIJEM	\N	74	19425	UROK	\N	\N
3649914	3625	1998-06-30	PRIJEM	\N	68	17201	UROK	\N	\N
3649915	3625	1998-07-31	PRIJEM	\N	66	17716	UROK	\N	\N
3649916	3625	1998-08-31	PRIJEM	\N	86	22750	UROK	\N	\N
3649917	3625	1998-09-30	PRIJEM	\N	106	27804	UROK	\N	\N
3649918	3625	1998-10-31	PRIJEM	\N	128	32881	UROK	\N	\N
3649919	3625	1998-11-30	PRIJEM	\N	133	12842	UROK	\N	\N
3649920	3625	1998-12-31	PRIJEM	\N	64	17855	UROK	\N	\N
3649921	3626	1996-11-30	PRIJEM	\N	42	13308	UROK	\N	\N
3649922	3626	1996-12-31	PRIJEM	\N	142	40400	UROK	\N	\N
3649923	3626	1997-01-31	PRIJEM	\N	180	44145	UROK	\N	\N
3649924	3626	1997-02-28	PRIJEM	\N	199	49210	UROK	\N	\N
3649925	3626	1997-03-31	PRIJEM	\N	188	44108	UROK	\N	\N
3649926	3626	1997-04-30	PRIJEM	\N	181	39517	UROK	\N	\N
3649927	3626	1997-05-31	PRIJEM	\N	169	36913	UROK	\N	\N
3649928	3626	1997-06-30	PRIJEM	\N	125	28688	UROK	\N	\N
3649929	3626	1997-07-31	PRIJEM	\N	151	33966	UROK	\N	\N
3649930	3626	1997-08-31	PRIJEM	\N	172	35085	UROK	\N	\N
3649931	3626	1997-09-30	PRIJEM	\N	153	37866	UROK	\N	\N
3649932	3626	1997-10-31	PRIJEM	\N	125	30898	UROK	\N	\N
3649933	3626	1997-11-30	PRIJEM	\N	140	31245	UROK	\N	\N
3649934	3626	1997-12-31	PRIJEM	\N	169	40764	UROK	\N	\N
3649935	3626	1998-01-31	PRIJEM	\N	145	26996	UROK	\N	\N
3649936	3626	1998-02-28	PRIJEM	\N	140	31264	UROK	\N	\N
3649937	3626	1998-03-31	PRIJEM	\N	114	29566	UROK	\N	\N
3649938	3626	1998-04-30	PRIJEM	\N	150	29943	UROK	\N	\N
3649939	3626	1998-05-31	PRIJEM	\N	136	30706	UROK	\N	\N
3649940	3626	1998-06-30	PRIJEM	\N	158	37754	UROK	\N	\N
3649941	3626	1998-07-31	PRIJEM	\N	164	32326	UROK	\N	\N
3649942	3626	1998-08-31	PRIJEM	\N	160	36214	UROK	\N	\N
3649943	3626	1998-09-30	PRIJEM	\N	158	33299	UROK	\N	\N
3649944	3626	1998-10-31	PRIJEM	\N	136	29183	UROK	\N	\N
3649945	3626	1998-11-30	PRIJEM	\N	128	26878	UROK	\N	\N
3649946	3626	1998-12-31	PRIJEM	\N	142	35890	UROK	\N	\N
3650017	3628	1995-10-31	PRIJEM	\N	50	18447	UROK	\N	\N
3650018	3628	1995-11-30	PRIJEM	\N	105	28548	UROK	\N	\N
3650019	3628	1995-12-31	PRIJEM	\N	155	41549	UROK	\N	\N
3650020	3628	1996-01-31	PRIJEM	\N	179	43925	UROK	\N	\N
3650021	3628	1996-02-29	PRIJEM	\N	182	41481	UROK	\N	\N
3650022	3628	1996-03-31	PRIJEM	\N	182	41922	UROK	\N	\N
3650023	3628	1996-04-30	PRIJEM	\N	184	42865	UROK	\N	\N
3650024	3628	1996-05-31	PRIJEM	\N	183	42408	UROK	\N	\N
3650025	3628	1996-06-30	PRIJEM	\N	187	42242	UROK	\N	\N
3650026	3628	1996-07-31	PRIJEM	\N	184	43386	UROK	\N	\N
3650027	3628	1996-08-31	PRIJEM	\N	197	44142	UROK	\N	\N
3650028	3628	1996-09-30	PRIJEM	\N	165	32206	UROK	\N	\N
3650029	3628	1996-10-31	PRIJEM	\N	153	37119	UROK	\N	\N
3650030	3628	1996-11-30	PRIJEM	\N	204	51082	UROK	\N	\N
3650031	3628	1996-12-31	PRIJEM	\N	247	61017	UROK	\N	\N
3650032	3628	1997-01-31	PRIJEM	\N	221	45737	UROK	\N	\N
3650033	3628	1997-02-28	PRIJEM	\N	226	55722	UROK	\N	\N
3650034	3628	1997-03-31	PRIJEM	\N	243	58624	UROK	\N	\N
3650035	3628	1997-04-30	PRIJEM	\N	264	64047	UROK	\N	\N
3650036	3628	1997-05-31	PRIJEM	\N	254	57461	UROK	\N	\N
3650037	3628	1997-06-30	PRIJEM	\N	268	65637	UROK	\N	\N
3650038	3628	1997-07-31	PRIJEM	\N	277	66573	UROK	\N	\N
3650039	3628	1997-08-31	PRIJEM	\N	283	68216	UROK	\N	\N
3650040	3628	1997-09-30	PRIJEM	\N	282	67557	UROK	\N	\N
3650041	3628	1997-10-31	PRIJEM	\N	284	68900	UROK	\N	\N
3650042	3628	1997-11-30	PRIJEM	\N	270	66930	UROK	\N	\N
3650043	3628	1997-12-31	PRIJEM	\N	302	56940	UROK	\N	\N
3650044	3628	1998-01-31	PRIJEM	\N	235	48134	UROK	\N	\N
3650045	3628	1998-02-28	PRIJEM	\N	241	60334	UROK	\N	\N
3650046	3628	1998-03-31	PRIJEM	\N	247	51340	UROK	\N	\N
3650047	3628	1998-04-30	PRIJEM	\N	254	49253	UROK	\N	\N
3650048	3628	1998-05-31	PRIJEM	\N	205	41498	UROK	\N	\N
3650049	3628	1998-06-30	PRIJEM	\N	237	50743	UROK	\N	\N
3650050	3628	1998-07-31	PRIJEM	\N	247	52150	UROK	\N	\N
3650051	3628	1998-08-31	PRIJEM	\N	247	46656	UROK	\N	\N
3650052	3628	1998-09-30	PRIJEM	\N	211	42846	UROK	\N	\N
3650053	3628	1998-10-31	PRIJEM	\N	209	40714	UROK	\N	\N
3650054	3628	1998-11-30	PRIJEM	\N	204	45278	UROK	\N	\N
3650055	3628	1998-12-31	PRIJEM	\N	257	60822	UROK	\N	\N
3650056	3629	1993-08-31	PRIJEM	\N	17	21090	UROK	\N	\N
3650057	3629	1993-09-30	PRIJEM	\N	97	32060	UROK	\N	\N
3650058	3629	1993-10-31	PRIJEM	\N	136	35069	UROK	\N	\N
3650059	3629	1993-11-30	PRIJEM	\N	147	36088	UROK	\N	\N
3650060	3629	1993-12-31	PRIJEM	\N	188	38486	UROK	\N	\N
3650061	3629	1994-01-31	PRIJEM	\N	113	20224	UROK	\N	\N
3650062	3629	1994-02-28	PRIJEM	\N	92	23470	UROK	\N	\N
3650063	3629	1994-03-31	PRIJEM	\N	97	22821	UROK	\N	\N
3650064	3629	1994-04-30	PRIJEM	\N	100	24075	UROK	\N	\N
3650065	3629	1994-05-31	PRIJEM	\N	107	28337	UROK	\N	\N
3650066	3629	1994-06-30	PRIJEM	\N	142	33070	UROK	\N	\N
3650067	3629	1994-07-31	PRIJEM	\N	139	31264	UROK	\N	\N
3650068	3629	1994-08-31	PRIJEM	\N	103	26063	UROK	\N	\N
3650069	3629	1994-09-30	PRIJEM	\N	119	30836	UROK	\N	\N
3650070	3629	1994-10-31	PRIJEM	\N	134	29125	UROK	\N	\N
3650071	3629	1994-11-30	PRIJEM	\N	123	29002	UROK	\N	\N
3650072	3629	1994-12-31	PRIJEM	\N	109	27194	UROK	\N	\N
3650073	3629	1995-01-31	PRIJEM	\N	96	21461	UROK	\N	\N
3650074	3629	1995-02-28	PRIJEM	\N	95	25910	UROK	\N	\N
3650075	3629	1995-03-31	PRIJEM	\N	110	26675	UROK	\N	\N
3650076	3629	1995-04-30	PRIJEM	\N	100	24628	UROK	\N	\N
3650077	3629	1995-05-31	PRIJEM	\N	107	19289	UROK	\N	\N
3650078	3629	1995-06-30	PRIJEM	\N	105	28740	UROK	\N	\N
3650079	3629	1995-07-31	PRIJEM	\N	102	24552	UROK	\N	\N
3650080	3629	1995-08-31	PRIJEM	\N	103	24563	UROK	\N	\N
3650081	3629	1995-09-30	PRIJEM	\N	103	25075	UROK	\N	\N
3650082	3629	1995-10-31	PRIJEM	\N	99	21683	UROK	\N	\N
3650083	3629	1995-11-30	PRIJEM	\N	96	24488	UROK	\N	\N
3650084	3629	1995-12-31	PRIJEM	\N	121	24685	UROK	\N	\N
3650085	3629	1996-01-31	PRIJEM	\N	92	20585	UROK	\N	\N
3650086	3629	1996-02-29	PRIJEM	\N	88	22283	UROK	\N	\N
3650087	3629	1996-03-31	PRIJEM	\N	98	24889	UROK	\N	\N
3650088	3629	1996-04-30	PRIJEM	\N	109	25107	UROK	\N	\N
3650089	3629	1996-05-31	PRIJEM	\N	110	27426	UROK	\N	\N
3650090	3629	1996-06-30	PRIJEM	\N	117	28788	UROK	\N	\N
3650091	3629	1996-07-31	PRIJEM	\N	105	25657	UROK	\N	\N
3650092	3629	1996-08-31	PRIJEM	\N	122	27388	UROK	\N	\N
3650093	3629	1996-09-30	PRIJEM	\N	116	29212	UROK	\N	\N
3650094	3629	1996-10-31	PRIJEM	\N	97	19864	UROK	\N	\N
3650095	3629	1996-11-30	PRIJEM	\N	95	24768	UROK	\N	\N
3650096	3629	1996-12-31	PRIJEM	\N	118	29832	UROK	\N	\N
3650097	3629	1997-01-31	PRIJEM	\N	94	21535	UROK	\N	\N
3650098	3629	1997-02-28	PRIJEM	\N	81	20425	UROK	\N	\N
3650099	3629	1997-03-31	PRIJEM	\N	100	26333	UROK	\N	\N
3650100	3629	1997-04-30	PRIJEM	\N	93	21813	UROK	\N	\N
3650101	3629	1997-05-31	PRIJEM	\N	93	23915	UROK	\N	\N
3650102	3629	1997-06-30	PRIJEM	\N	103	21349	UROK	\N	\N
3650103	3629	1997-07-31	PRIJEM	\N	84	21543	UROK	\N	\N
3650104	3629	1997-08-31	PRIJEM	\N	88	22539	UROK	\N	\N
3650105	3629	1997-09-30	PRIJEM	\N	97	25245	UROK	\N	\N
3650106	3629	1997-10-31	PRIJEM	\N	110	28065	UROK	\N	\N
3650107	3629	1997-11-30	PRIJEM	\N	116	29189	UROK	\N	\N
3650108	3629	1997-12-31	PRIJEM	\N	125	31661	UROK	\N	\N
3650109	3629	1998-01-31	PRIJEM	\N	94	21963	UROK	\N	\N
3650110	3629	1998-02-28	PRIJEM	\N	92	23564	UROK	\N	\N
3650111	3629	1998-03-31	PRIJEM	\N	108	28381	UROK	\N	\N
3650112	3629	1998-04-30	PRIJEM	\N	106	26296	UROK	\N	\N
3650113	3629	1998-05-31	PRIJEM	\N	100	25305	UROK	\N	\N
3650114	3629	1998-06-30	PRIJEM	\N	111	30162	UROK	\N	\N
3650115	3629	1998-07-31	PRIJEM	\N	72	19138	UROK	\N	\N
3650116	3629	1998-08-31	PRIJEM	\N	76	18422	UROK	\N	\N
3650117	3629	1998-09-30	PRIJEM	\N	78	18209	UROK	\N	\N
3650118	3629	1998-10-31	PRIJEM	\N	77	14594	UROK	\N	\N
3650119	3629	1998-11-30	PRIJEM	\N	62	16866	UROK	\N	\N
3650120	3629	1998-12-31	PRIJEM	\N	96	27107	UROK	\N	\N
3650121	3631	1996-01-31	PRIJEM	\N	86	23599	UROK	\N	\N
3650122	3631	1996-02-29	PRIJEM	\N	114	25516	UROK	\N	\N
3650123	3631	1996-03-31	PRIJEM	\N	112	27431	UROK	\N	\N
3650124	3631	1996-04-30	PRIJEM	\N	117	28250	UROK	\N	\N
3650125	3631	1996-05-31	PRIJEM	\N	106	25118	UROK	\N	\N
3650126	3631	1996-06-30	PRIJEM	\N	121	27041	UROK	\N	\N
3650127	3631	1996-07-31	PRIJEM	\N	119	28962	UROK	\N	\N
3650128	3631	1996-08-31	PRIJEM	\N	133	29537	UROK	\N	\N
3650129	3631	1996-09-30	PRIJEM	\N	129	31469	UROK	\N	\N
3650130	3631	1996-10-31	PRIJEM	\N	145	32516	UROK	\N	\N
3650131	3631	1996-11-30	PRIJEM	\N	141	34459	UROK	\N	\N
3650132	3631	1996-12-31	PRIJEM	\N	131	29283	UROK	\N	\N
3650133	3631	1997-01-31	PRIJEM	\N	128	31213	UROK	\N	\N
3650134	3631	1997-02-28	PRIJEM	\N	132	31628	UROK	\N	\N
3650135	3631	1997-03-31	PRIJEM	\N	135	32685	UROK	\N	\N
3650136	3631	1997-04-30	PRIJEM	\N	139	32626	UROK	\N	\N
3650137	3631	1997-05-31	PRIJEM	\N	142	34571	UROK	\N	\N
3650138	3631	1997-06-30	PRIJEM	\N	150	36523	UROK	\N	\N
3650139	3631	1997-07-31	PRIJEM	\N	168	38493	UROK	\N	\N
3650140	3631	1997-08-31	PRIJEM	\N	166	40462	UROK	\N	\N
3650141	3631	1997-09-30	PRIJEM	\N	185	42449	UROK	\N	\N
3650142	3631	1997-10-31	PRIJEM	\N	193	44444	UROK	\N	\N
3650143	3631	1997-11-30	PRIJEM	\N	191	46437	UROK	\N	\N
3650144	3631	1997-12-31	PRIJEM	\N	198	48087	UROK	\N	\N
3650145	3631	1998-01-31	PRIJEM	\N	206	50096	UROK	\N	\N
3650146	3631	1998-02-28	PRIJEM	\N	210	48588	UROK	\N	\N
3650147	3631	1998-03-31	PRIJEM	\N	214	47324	UROK	\N	\N
3650148	3631	1998-04-30	PRIJEM	\N	213	49339	UROK	\N	\N
3650149	3631	1998-05-31	PRIJEM	\N	205	49346	UROK	\N	\N
3650150	3631	1998-06-30	PRIJEM	\N	221	51370	UROK	\N	\N
3650151	3631	1998-07-31	PRIJEM	\N	227	50199	UROK	\N	\N
3650152	3631	1998-08-31	PRIJEM	\N	212	47313	UROK	\N	\N
3650153	3631	1998-09-30	PRIJEM	\N	212	49327	UROK	\N	\N
3650154	3631	1998-10-31	PRIJEM	\N	210	50539	UROK	\N	\N
3650155	3631	1998-11-30	PRIJEM	\N	226	52567	UROK	\N	\N
3650156	3631	1998-12-31	PRIJEM	\N	220	53389	UROK	\N	\N
3650157	3632	1996-04-30	PRIJEM	\N	47	14865	UROK	\N	\N
3650158	3632	1996-05-31	PRIJEM	\N	62	17927	UROK	\N	\N
3650159	3632	1996-06-30	PRIJEM	\N	62	17189	UROK	\N	\N
3650160	3632	1996-07-31	PRIJEM	\N	109	49771	UROK	\N	\N
3650161	3632	1996-08-31	PRIJEM	\N	207	29978	UROK	\N	\N
3650162	3632	1996-09-30	PRIJEM	\N	197	43935	UROK	\N	\N
3650163	3632	1996-10-31	PRIJEM	\N	182	26018	UROK	\N	\N
3650164	3632	1996-11-30	PRIJEM	\N	182	17100	UROK	\N	\N
3650165	3632	1996-12-31	PRIJEM	\N	182	12982	UROK	\N	\N
3650166	3632	1997-01-31	PRIJEM	\N	185	48182	UROK	\N	\N
3650167	3632	1997-02-28	PRIJEM	\N	135	51114	UROK	\N	\N
3650168	3632	1997-03-31	PRIJEM	\N	211	35594	UROK	\N	\N
3650169	3632	1997-04-30	PRIJEM	\N	127	31167	UROK	\N	\N
3650170	3632	1997-05-31	PRIJEM	\N	117	52044	UROK	\N	\N
3650171	3632	1997-06-30	PRIJEM	\N	119	22944	UROK	\N	\N
3650172	3632	1997-07-31	PRIJEM	\N	57	22786	UROK	\N	\N
3650173	3632	1997-08-31	PRIJEM	\N	101	38238	UROK	\N	\N
3650174	3632	1997-09-30	PRIJEM	\N	151	19272	UROK	\N	\N
3650175	3632	1997-10-31	PRIJEM	\N	84	26942	UROK	\N	\N
3650176	3632	1997-11-30	PRIJEM	\N	110	12221	UROK	\N	\N
3650177	3632	1997-12-31	PRIJEM	\N	52	13814	UROK	\N	\N
3650178	3632	1998-02-28	PRIJEM	\N	63	13817	UROK	\N	\N
3650179	3632	1998-02-28	PRIJEM	\N	57	13874	UROK	\N	\N
3650180	3632	1998-04-30	PRIJEM	\N	59	13930	UROK	\N	\N
3650181	3632	1998-04-30	PRIJEM	\N	57	13871	UROK	\N	\N
3650182	3632	1998-06-30	PRIJEM	\N	59	19198	UROK	\N	\N
3650183	3632	1998-06-30	PRIJEM	\N	61	19139	UROK	\N	\N
3650184	3632	1998-07-31	PRIJEM	\N	79	19247	UROK	\N	\N
3650185	3632	1998-09-30	PRIJEM	\N	82	12354	UROK	\N	\N
3650186	3632	1998-09-30	PRIJEM	\N	71	12273	UROK	\N	\N
3650187	3632	1998-10-31	PRIJEM	\N	51	19426	UROK	\N	\N
3650188	3632	1998-11-30	PRIJEM	\N	124	65799	UROK	\N	\N
3650189	3632	1998-12-31	PRIJEM	\N	312	89712	UROK	\N	\N
3650190	3633	1997-02-28	PRIJEM	\N	39	11993	UROK	\N	\N
3650191	3633	1997-03-31	PRIJEM	\N	98	26845	UROK	\N	\N
3650192	3633	1997-04-30	PRIJEM	\N	151	30450	UROK	\N	\N
3650193	3633	1997-05-31	PRIJEM	\N	173	35176	UROK	\N	\N
3650194	3633	1997-06-30	PRIJEM	\N	128	18998	UROK	\N	\N
3650195	3633	1997-07-31	PRIJEM	\N	94	22095	UROK	\N	\N
3650196	3633	1997-08-31	PRIJEM	\N	104	24402	UROK	\N	\N
3650197	3633	1997-09-30	PRIJEM	\N	112	26417	UROK	\N	\N
3650198	3633	1997-10-31	PRIJEM	\N	132	31853	UROK	\N	\N
3650199	3633	1997-11-30	PRIJEM	\N	138	32394	UROK	\N	\N
3650200	3633	1997-12-31	PRIJEM	\N	158	37233	UROK	\N	\N
3650201	3633	1998-01-31	PRIJEM	\N	100	15636	UROK	\N	\N
3650202	3633	1998-02-28	PRIJEM	\N	103	25542	UROK	\N	\N
3650203	3633	1998-03-31	PRIJEM	\N	120	28465	UROK	\N	\N
3650204	3633	1998-04-30	PRIJEM	\N	145	35114	UROK	\N	\N
3650205	3633	1998-05-31	PRIJEM	\N	158	37575	UROK	\N	\N
3650206	3633	1998-06-30	PRIJEM	\N	198	44653	UROK	\N	\N
3650207	3633	1998-07-31	PRIJEM	\N	214	52071	UROK	\N	\N
3650208	3633	1998-08-31	PRIJEM	\N	206	46280	UROK	\N	\N
3650209	3633	1998-09-30	PRIJEM	\N	198	44082	UROK	\N	\N
3650210	3633	1998-10-31	PRIJEM	\N	195	42880	UROK	\N	\N
3650211	3633	1998-11-30	PRIJEM	\N	187	43170	UROK	\N	\N
3650212	3633	1998-12-31	PRIJEM	\N	213	50663	UROK	\N	\N
3650213	3634	1997-05-31	PRIJEM	\N	79	36990	UROK	\N	\N
3650214	3634	1997-06-30	PRIJEM	\N	157	35113	UROK	\N	\N
3650215	3634	1997-07-31	PRIJEM	\N	191	54715	UROK	\N	\N
3650216	3634	1997-08-31	PRIJEM	\N	260	68186	UROK	\N	\N
3650217	3634	1997-09-30	PRIJEM	\N	239	49535	UROK	\N	\N
3650218	3634	1997-10-31	PRIJEM	\N	240	61772	UROK	\N	\N
3650219	3634	1997-11-30	PRIJEM	\N	288	67556	UROK	\N	\N
3650220	3634	1997-12-31	PRIJEM	\N	294	59702	UROK	\N	\N
3650221	3634	1998-01-31	PRIJEM	\N	247	44345	UROK	\N	\N
3650222	3634	1998-02-28	PRIJEM	\N	237	62878	UROK	\N	\N
3650223	3634	1998-03-31	PRIJEM	\N	270	58844	UROK	\N	\N
3650224	3634	1998-04-30	PRIJEM	\N	218	34665	UROK	\N	\N
3650225	3634	1998-05-31	PRIJEM	\N	201	54862	UROK	\N	\N
3650226	3634	1998-06-30	PRIJEM	\N	230	53943	UROK	\N	\N
3650227	3634	1998-07-31	PRIJEM	\N	259	65798	UROK	\N	\N
3650228	3634	1998-08-31	PRIJEM	\N	413	56308	UROK	\N	\N
3650229	3634	1998-09-30	PRIJEM	\N	262	71585	UROK	\N	\N
3650230	3634	1998-10-31	PRIJEM	\N	374	96755	UROK	\N	\N
3650231	3634	1998-11-30	PRIJEM	\N	416	82467	UROK	\N	\N
3650232	3634	1998-12-31	PRIJEM	\N	391	98009	UROK	\N	\N
3650233	3635	1997-05-31	PRIJEM	\N	13	4421	UROK	\N	\N
3650234	3635	1997-06-30	PRIJEM	\N	69	21898	UROK	\N	\N
3650235	3635	1997-07-31	PRIJEM	\N	100	25107	UROK	\N	\N
3650236	3635	1997-08-31	PRIJEM	\N	123	31337	UROK	\N	\N
3650237	3635	1997-09-30	PRIJEM	\N	126	29833	UROK	\N	\N
3650238	3635	1997-10-31	PRIJEM	\N	111	25399	UROK	\N	\N
3650239	3635	1997-11-30	PRIJEM	\N	92	21947	UROK	\N	\N
3650240	3635	1997-12-31	PRIJEM	\N	90	20962	UROK	\N	\N
3650241	3635	1998-01-31	PRIJEM	\N	88	17805	UROK	\N	\N
3650242	3635	1998-02-28	PRIJEM	\N	78	19138	UROK	\N	\N
3650243	3635	1998-03-31	PRIJEM	\N	78	14721	UROK	\N	\N
3650244	3635	1998-04-30	PRIJEM	\N	65	13351	UROK	\N	\N
3650245	3635	1998-05-31	PRIJEM	\N	59	14666	UROK	\N	\N
3650246	3635	1998-06-30	PRIJEM	\N	66	19187	UROK	\N	\N
3650247	3635	1998-07-31	PRIJEM	\N	82	17125	UROK	\N	\N
3650248	3635	1998-08-31	PRIJEM	\N	68	11508	UROK	\N	\N
3650249	3635	1998-09-30	PRIJEM	\N	52	13815	UROK	\N	\N
3650250	3635	1998-10-31	PRIJEM	\N	62	16233	UROK	\N	\N
3650251	3635	1998-11-30	PRIJEM	\N	69	15358	UROK	\N	\N
3650252	3635	1998-12-31	PRIJEM	\N	65	15838	UROK	\N	\N
3650253	3636	1994-06-30	PRIJEM	\N	30	21360	UROK	\N	\N
3650254	3636	1994-07-31	PRIJEM	\N	99	28078	UROK	\N	\N
3650255	3636	1994-08-31	PRIJEM	\N	124	32522	UROK	\N	\N
3650256	3636	1994-09-30	PRIJEM	\N	137	33679	UROK	\N	\N
3650257	3636	1994-10-31	PRIJEM	\N	137	30221	UROK	\N	\N
3650258	3636	1994-11-30	PRIJEM	\N	120	26712	UROK	\N	\N
3650259	3636	1994-12-31	PRIJEM	\N	120	28412	UROK	\N	\N
3650260	3636	1995-01-31	PRIJEM	\N	114	16516	UROK	\N	\N
3650261	3636	1995-02-28	PRIJEM	\N	89	25996	UROK	\N	\N
3650262	3636	1995-03-31	PRIJEM	\N	119	26706	UROK	\N	\N
3650263	3636	1995-04-30	PRIJEM	\N	114	25430	UROK	\N	\N
3650264	3636	1995-05-31	PRIJEM	\N	117	29937	UROK	\N	\N
3650265	3636	1995-06-30	PRIJEM	\N	139	34476	UROK	\N	\N
3650266	3636	1995-07-31	PRIJEM	\N	143	33510	UROK	\N	\N
3650267	3636	1995-08-31	PRIJEM	\N	144	34444	UROK	\N	\N
3650268	3636	1995-09-30	PRIJEM	\N	152	36487	UROK	\N	\N
3650269	3636	1995-10-31	PRIJEM	\N	161	37858	UROK	\N	\N
3650270	3636	1995-11-30	PRIJEM	\N	158	37706	UROK	\N	\N
3650271	3636	1995-12-31	PRIJEM	\N	166	38773	UROK	\N	\N
3650272	3636	1996-01-31	PRIJEM	\N	122	21526	UROK	\N	\N
3650273	3636	1996-02-29	PRIJEM	\N	100	21836	UROK	\N	\N
3650274	3636	1996-03-31	PRIJEM	\N	105	24312	UROK	\N	\N
3650275	3636	1996-04-30	PRIJEM	\N	117	28920	UROK	\N	\N
3650276	3636	1996-05-31	PRIJEM	\N	146	37956	UROK	\N	\N
3650277	3636	1996-06-30	PRIJEM	\N	159	27516	UROK	\N	\N
3650278	3636	1996-07-31	PRIJEM	\N	138	34944	UROK	\N	\N
3650279	3636	1996-08-31	PRIJEM	\N	167	41301	UROK	\N	\N
3650280	3636	1996-09-30	PRIJEM	\N	195	43126	UROK	\N	\N
3650281	3636	1996-10-31	PRIJEM	\N	199	48915	UROK	\N	\N
3650282	3636	1996-11-30	PRIJEM	\N	209	50014	UROK	\N	\N
3650283	3636	1996-12-31	PRIJEM	\N	229	56444	UROK	\N	\N
3650284	3636	1997-01-31	PRIJEM	\N	179	34353	UROK	\N	\N
3650285	3636	1997-02-28	PRIJEM	\N	179	45822	UROK	\N	\N
3650286	3636	1997-03-31	PRIJEM	\N	203	48736	UROK	\N	\N
3650287	3636	1997-04-30	PRIJEM	\N	229	56755	UROK	\N	\N
3650288	3636	1997-05-31	PRIJEM	\N	246	59391	UROK	\N	\N
3650289	3636	1997-06-30	PRIJEM	\N	205	24356	UROK	\N	\N
3650290	3636	1997-07-31	PRIJEM	\N	165	44712	UROK	\N	\N
3650291	3636	1997-08-31	PRIJEM	\N	226	57228	UROK	\N	\N
3650292	3636	1997-09-30	PRIJEM	\N	248	60286	UROK	\N	\N
3650293	3636	1997-10-31	PRIJEM	\N	255	61432	UROK	\N	\N
3650294	3636	1997-11-30	PRIJEM	\N	247	55909	UROK	\N	\N
3650295	3636	1997-12-31	PRIJEM	\N	257	63666	UROK	\N	\N
3650296	3636	1998-01-31	PRIJEM	\N	229	43326	UROK	\N	\N
3650297	3636	1998-02-28	PRIJEM	\N	187	46803	UROK	\N	\N
3650298	3636	1998-03-31	PRIJEM	\N	215	51248	UROK	\N	\N
3650299	3636	1998-04-30	PRIJEM	\N	236	58474	UROK	\N	\N
3650300	3636	1998-05-31	PRIJEM	\N	248	59752	UROK	\N	\N
3650301	3636	1998-06-30	PRIJEM	\N	249	19281	UROK	\N	\N
3650302	3636	1998-07-31	PRIJEM	\N	162	48414	UROK	\N	\N
3650303	3636	1998-08-31	PRIJEM	\N	209	53713	UROK	\N	\N
3650304	3636	1998-09-30	PRIJEM	\N	232	61935	UROK	\N	\N
3650305	3636	1998-10-31	PRIJEM	\N	263	63988	UROK	\N	\N
3650306	3636	1998-11-30	PRIJEM	\N	272	67851	UROK	\N	\N
3650307	3636	1998-12-31	PRIJEM	\N	291	63863	UROK	\N	\N
3650308	3637	1995-11-30	PRIJEM	\N	13	23589	UROK	\N	\N
3650309	3637	1995-12-31	PRIJEM	\N	107	35960	UROK	\N	\N
3650310	3637	1996-01-31	PRIJEM	\N	153	40989	UROK	\N	\N
3650311	3637	1996-02-29	PRIJEM	\N	171	42636	UROK	\N	\N
3650312	3637	1996-03-31	PRIJEM	\N	201	41617	UROK	\N	\N
3650313	3637	1996-04-30	PRIJEM	\N	199	42582	UROK	\N	\N
3650314	3637	1996-05-31	PRIJEM	\N	200	44447	UROK	\N	\N
3650315	3637	1996-06-30	PRIJEM	\N	183	43244	UROK	\N	\N
3650316	3637	1996-07-31	PRIJEM	\N	203	45433	UROK	\N	\N
3650317	3637	1996-08-31	PRIJEM	\N	201	43639	UROK	\N	\N
3650318	3637	1996-09-30	PRIJEM	\N	201	45305	UROK	\N	\N
3650319	3637	1996-10-31	PRIJEM	\N	209	47479	UROK	\N	\N
3650320	3637	1996-11-30	PRIJEM	\N	218	51262	UROK	\N	\N
3650321	3637	1996-12-31	PRIJEM	\N	242	53597	UROK	\N	\N
3650322	3637	1997-01-31	PRIJEM	\N	221	41283	UROK	\N	\N
3650323	3637	1997-02-28	PRIJEM	\N	195	49143	UROK	\N	\N
3650324	3637	1997-03-31	PRIJEM	\N	226	52934	UROK	\N	\N
3650325	3637	1997-04-30	PRIJEM	\N	236	53536	UROK	\N	\N
3650326	3637	1997-05-31	PRIJEM	\N	233	51434	UROK	\N	\N
3650327	3637	1997-06-30	PRIJEM	\N	233	41940	UROK	\N	\N
3650328	3637	1997-07-31	PRIJEM	\N	204	51309	UROK	\N	\N
3650329	3637	1997-08-31	PRIJEM	\N	225	51800	UROK	\N	\N
3650330	3637	1997-09-30	PRIJEM	\N	226	52622	UROK	\N	\N
3650331	3637	1997-10-31	PRIJEM	\N	236	56855	UROK	\N	\N
3650332	3637	1997-11-30	PRIJEM	\N	251	60203	UROK	\N	\N
3650333	3637	1997-12-31	PRIJEM	\N	262	57669	UROK	\N	\N
3650334	3637	1998-01-31	PRIJEM	\N	228	47733	UROK	\N	\N
3650335	3637	1998-02-28	PRIJEM	\N	217	53546	UROK	\N	\N
3650336	3637	1998-03-31	PRIJEM	\N	235	55597	UROK	\N	\N
3650337	3637	1998-04-30	PRIJEM	\N	249	61043	UROK	\N	\N
3650338	3637	1998-05-31	PRIJEM	\N	267	64306	UROK	\N	\N
3650339	3637	1998-06-30	PRIJEM	\N	245	55755	UROK	\N	\N
3650340	3637	1998-07-31	PRIJEM	\N	241	57992	UROK	\N	\N
3650341	3637	1998-08-31	PRIJEM	\N	247	59235	UROK	\N	\N
3650342	3637	1998-09-30	PRIJEM	\N	251	61071	UROK	\N	\N
3650343	3637	1998-10-31	PRIJEM	\N	266	64803	UROK	\N	\N
3650344	3637	1998-11-30	PRIJEM	\N	286	69454	UROK	\N	\N
3650345	3637	1998-12-31	PRIJEM	\N	308	74336	UROK	\N	\N
3650346	3638	1996-02-29	PRIJEM	\N	87	28835	UROK	\N	\N
3650347	3638	1996-03-31	PRIJEM	\N	173	47056	UROK	\N	\N
3650348	3638	1996-04-30	PRIJEM	\N	223	56227	UROK	\N	\N
3650349	3638	1996-05-31	PRIJEM	\N	241	58616	UROK	\N	\N
3650350	3638	1996-06-30	PRIJEM	\N	174	25995	UROK	\N	\N
3650351	3638	1996-07-31	PRIJEM	\N	134	32460	UROK	\N	\N
3650352	3638	1996-08-31	PRIJEM	\N	188	27099	UROK	\N	\N
3650353	3638	1996-09-30	PRIJEM	\N	118	19779	UROK	\N	\N
3650354	3638	1996-10-31	PRIJEM	\N	127	23378	UROK	\N	\N
3650355	3638	1996-11-30	PRIJEM	\N	167	22256	UROK	\N	\N
3650356	3638	1996-12-31	PRIJEM	\N	232	63793	UROK	\N	\N
3650357	3638	1997-01-31	PRIJEM	\N	140	20864	UROK	\N	\N
3650358	3638	1997-02-28	PRIJEM	\N	150	30240	UROK	\N	\N
3650359	3638	1997-03-31	PRIJEM	\N	192	49063	UROK	\N	\N
3650360	3638	1997-04-30	PRIJEM	\N	228	54821	UROK	\N	\N
3650361	3638	1997-05-31	PRIJEM	\N	225	54777	UROK	\N	\N
3650362	3638	1997-06-30	PRIJEM	\N	302	76484	UROK	\N	\N
3650363	3638	1997-07-31	PRIJEM	\N	310	72324	UROK	\N	\N
3650364	3638	1997-08-31	PRIJEM	\N	187	27516	UROK	\N	\N
3650365	3638	1997-09-30	PRIJEM	\N	188	46435	UROK	\N	\N
3650366	3638	1997-10-31	PRIJEM	\N	207	42073	UROK	\N	\N
3650367	3638	1997-11-30	PRIJEM	\N	191	52995	UROK	\N	\N
3650368	3638	1997-12-31	PRIJEM	\N	270	44270	UROK	\N	\N
3650369	3638	1998-01-31	PRIJEM	\N	181	23982	UROK	\N	\N
3650370	3638	1998-02-28	PRIJEM	\N	150	43563	UROK	\N	\N
3650371	3638	1998-03-31	PRIJEM	\N	217	50211	UROK	\N	\N
3650372	3638	1998-04-30	PRIJEM	\N	258	54800	UROK	\N	\N
3650373	3638	1998-05-31	PRIJEM	\N	275	56806	UROK	\N	\N
3650374	3638	1998-06-30	PRIJEM	\N	244	45555	UROK	\N	\N
3650375	3638	1998-07-31	PRIJEM	\N	236	52422	UROK	\N	\N
3650376	3638	1998-08-31	PRIJEM	\N	263	58615	UROK	\N	\N
3650377	3638	1998-09-30	PRIJEM	\N	285	61531	UROK	\N	\N
3650378	3638	1998-10-31	PRIJEM	\N	293	61155	UROK	\N	\N
3650379	3638	1998-11-30	PRIJEM	\N	288	59275	UROK	\N	\N
3650380	3638	1998-12-31	PRIJEM	\N	355	91834	UROK	\N	\N
3650381	3639	1997-05-31	PRIJEM	\N	55	17207	UROK	\N	\N
3650382	3639	1997-06-30	PRIJEM	\N	89	18976	UROK	\N	\N
3650383	3639	1997-07-31	PRIJEM	\N	85	20626	UROK	\N	\N
3650384	3639	1997-08-31	PRIJEM	\N	103	21095	UROK	\N	\N
3650385	3639	1997-09-30	PRIJEM	\N	105	22865	UROK	\N	\N
3650386	3639	1997-10-31	PRIJEM	\N	79	17889	UROK	\N	\N
3650387	3639	1997-11-30	PRIJEM	\N	74	15988	UROK	\N	\N
3650388	3639	1997-12-31	PRIJEM	\N	64	15267	UROK	\N	\N
3650389	3639	1998-01-31	PRIJEM	\N	56	12829	UROK	\N	\N
3650390	3639	1998-02-28	PRIJEM	\N	56	13651	UROK	\N	\N
3650391	3639	1998-03-31	PRIJEM	\N	74	15390	UROK	\N	\N
3650392	3639	1998-04-30	PRIJEM	\N	60	12796	UROK	\N	\N
3650393	3639	1998-05-31	PRIJEM	\N	59	14520	UROK	\N	\N
3650394	3639	1998-06-30	PRIJEM	\N	75	15540	UROK	\N	\N
3650395	3639	1998-07-31	PRIJEM	\N	71	17276	UROK	\N	\N
3650396	3639	1998-08-31	PRIJEM	\N	78	19019	UROK	\N	\N
3650397	3639	1998-09-30	PRIJEM	\N	72	16196	UROK	\N	\N
3650398	3639	1998-10-31	PRIJEM	\N	73	17935	UROK	\N	\N
3650399	3639	1998-11-30	PRIJEM	\N	80	19681	UROK	\N	\N
3650400	3639	1998-12-31	PRIJEM	\N	93	17819	UROK	\N	\N
3650401	3640	1993-11-30	PRIJEM	\N	18	6772	UROK	\N	\N
3650402	3640	1993-12-31	PRIJEM	\N	28	13254	UROK	\N	\N
3650403	3640	1994-01-31	PRIJEM	\N	28	19736	UROK	\N	\N
3650404	3640	1994-02-28	PRIJEM	\N	28	26218	UROK	\N	\N
3650405	3640	1994-03-31	PRIJEM	\N	96	31968	UROK	\N	\N
3650406	3640	1994-04-30	PRIJEM	\N	129	32596	UROK	\N	\N
3650407	3640	1994-05-31	PRIJEM	\N	123	30718	UROK	\N	\N
3650408	3640	1994-06-30	PRIJEM	\N	110	27477	UROK	\N	\N
3650409	3640	1994-07-31	PRIJEM	\N	120	30696	UROK	\N	\N
3650410	3640	1994-08-31	PRIJEM	\N	122	30337	UROK	\N	\N
3650411	3640	1994-09-30	PRIJEM	\N	112	26149	UROK	\N	\N
3650412	3640	1994-10-31	PRIJEM	\N	109	28157	UROK	\N	\N
3650413	3640	1994-11-30	PRIJEM	\N	112	28769	UROK	\N	\N
3650414	3640	1994-12-31	PRIJEM	\N	123	25041	UROK	\N	\N
3650415	3640	1995-01-31	PRIJEM	\N	92	19882	UROK	\N	\N
3650416	3640	1995-02-28	PRIJEM	\N	80	20522	UROK	\N	\N
3650417	3640	1995-03-31	PRIJEM	\N	94	21735	UROK	\N	\N
3650418	3640	1995-04-30	PRIJEM	\N	102	25356	UROK	\N	\N
3650419	3640	1995-05-31	PRIJEM	\N	115	24610	UROK	\N	\N
3650420	3640	1995-06-30	PRIJEM	\N	101	19111	UROK	\N	\N
3650421	3640	1995-07-31	PRIJEM	\N	77	17667	UROK	\N	\N
3650422	3640	1995-08-31	PRIJEM	\N	85	21752	UROK	\N	\N
3650423	3640	1995-09-30	PRIJEM	\N	98	20049	UROK	\N	\N
3650424	3640	1995-10-31	PRIJEM	\N	93	21741	UROK	\N	\N
3650425	3640	1995-11-30	PRIJEM	\N	98	21938	UROK	\N	\N
3650426	3640	1995-12-31	PRIJEM	\N	94	18081	UROK	\N	\N
3650427	3640	1996-01-31	PRIJEM	\N	71	13672	UROK	\N	\N
3650428	3640	1996-02-29	PRIJEM	\N	62	12133	UROK	\N	\N
3650429	3640	1996-03-31	PRIJEM	\N	58	12990	UROK	\N	\N
3650430	3640	1996-04-30	PRIJEM	\N	65	17455	UROK	\N	\N
3650431	3640	1996-05-31	PRIJEM	\N	76	15430	UROK	\N	\N
3650432	3640	1996-06-30	PRIJEM	\N	68	15147	UROK	\N	\N
3650433	3640	1996-07-31	PRIJEM	\N	67	14013	UROK	\N	\N
3650434	3640	1996-08-31	PRIJEM	\N	60	11973	UROK	\N	\N
3650435	3640	1996-09-30	PRIJEM	\N	55	12527	UROK	\N	\N
3650436	3640	1996-10-31	PRIJEM	\N	63	16989	UROK	\N	\N
3650437	3640	1996-11-30	PRIJEM	\N	67	12656	UROK	\N	\N
3650438	3640	1996-12-31	PRIJEM	\N	64	17119	UROK	\N	\N
3650439	3640	1997-01-31	PRIJEM	\N	66	13864	UROK	\N	\N
3650440	3640	1997-02-28	PRIJEM	\N	67	15450	UROK	\N	\N
3650441	3640	1997-03-31	PRIJEM	\N	75	19924	UROK	\N	\N
3650442	3640	1997-04-30	PRIJEM	\N	93	24417	UROK	\N	\N
3650443	3640	1997-05-31	PRIJEM	\N	87	15203	UROK	\N	\N
3650444	3640	1997-06-30	PRIJEM	\N	65	14317	UROK	\N	\N
3650445	3640	1997-07-31	PRIJEM	\N	70	18787	UROK	\N	\N
3650446	3640	1997-08-31	PRIJEM	\N	89	23275	UROK	\N	\N
3650447	3640	1997-09-30	PRIJEM	\N	107	27781	UROK	\N	\N
3650448	3640	1997-10-31	PRIJEM	\N	82	13163	UROK	\N	\N
3650449	3640	1997-11-30	PRIJEM	\N	65	17627	UROK	\N	\N
3650450	3640	1997-12-31	PRIJEM	\N	81	20858	UROK	\N	\N
3650451	3640	1998-01-31	PRIJEM	\N	78	15355	UROK	\N	\N
3650452	3640	1998-02-28	PRIJEM	\N	73	19828	UROK	\N	\N
3650453	3640	1998-03-31	PRIJEM	\N	93	24320	UROK	\N	\N
3650454	3640	1998-04-30	PRIJEM	\N	111	28830	UROK	\N	\N
3650455	3640	1998-05-31	PRIJEM	\N	130	33360	UROK	\N	\N
3650456	3640	1998-06-30	PRIJEM	\N	140	34599	UROK	\N	\N
3650457	3640	1998-07-31	PRIJEM	\N	154	39152	UROK	\N	\N
3650458	3640	1998-08-31	PRIJEM	\N	171	42202	UROK	\N	\N
3650459	3640	1998-09-30	PRIJEM	\N	182	45664	UROK	\N	\N
3650460	3640	1998-10-31	PRIJEM	\N	200	50263	UROK	\N	\N
3650461	3640	1998-11-30	PRIJEM	\N	114	20137	UROK	\N	\N
3650462	3640	1998-12-31	PRIJEM	\N	90	24327	UROK	\N	\N
3650463	3641	1995-06-30	PRIJEM	\N	7	16412	UROK	\N	\N
3650464	3641	1995-07-31	PRIJEM	\N	72	17677	UROK	\N	\N
3650465	3641	1995-08-31	PRIJEM	\N	74	17655	UROK	\N	\N
3650466	3641	1995-09-30	PRIJEM	\N	76	18385	UROK	\N	\N
3650467	3641	1995-10-31	PRIJEM	\N	80	19658	UROK	\N	\N
3650468	3641	1995-11-30	PRIJEM	\N	86	20938	UROK	\N	\N
3650469	3641	1995-12-31	PRIJEM	\N	91	21712	UROK	\N	\N
3650470	3641	1996-01-31	PRIJEM	\N	84	17979	UROK	\N	\N
3650471	3641	1996-02-29	PRIJEM	\N	79	19251	UROK	\N	\N
3650472	3641	1996-03-31	PRIJEM	\N	84	20528	UROK	\N	\N
3650473	3641	1996-04-30	PRIJEM	\N	87	21329	UROK	\N	\N
3650474	3641	1996-05-31	PRIJEM	\N	92	21174	UROK	\N	\N
3650475	3641	1996-06-30	PRIJEM	\N	78	17946	UROK	\N	\N
3650476	3641	1996-07-31	PRIJEM	\N	79	19218	UROK	\N	\N
3650477	3641	1996-08-31	PRIJEM	\N	83	20225	UROK	\N	\N
3650478	3641	1996-09-30	PRIJEM	\N	88	21506	UROK	\N	\N
3650479	3641	1996-10-31	PRIJEM	\N	93	22793	UROK	\N	\N
3650480	3641	1996-11-30	PRIJEM	\N	95	22221	UROK	\N	\N
3650481	3641	1996-12-31	PRIJEM	\N	95	22609	UROK	\N	\N
3650482	3641	1997-01-31	PRIJEM	\N	86	20168	UROK	\N	\N
3650483	3641	1997-02-28	PRIJEM	\N	87	20369	UROK	\N	\N
3650484	3641	1997-03-31	PRIJEM	\N	88	21410	UROK	\N	\N
3650485	3641	1997-04-30	PRIJEM	\N	93	22696	UROK	\N	\N
3650486	3641	1997-05-31	PRIJEM	\N	98	23987	UROK	\N	\N
3650487	3641	1997-06-30	PRIJEM	\N	93	17564	UROK	\N	\N
3650488	3641	1997-07-31	PRIJEM	\N	77	18834	UROK	\N	\N
3650489	3641	1997-08-31	PRIJEM	\N	82	20109	UROK	\N	\N
3650490	3641	1997-09-30	PRIJEM	\N	82	19374	UROK	\N	\N
3650491	3641	1997-10-31	PRIJEM	\N	84	20652	UROK	\N	\N
3650492	3641	1997-11-30	PRIJEM	\N	88	21393	UROK	\N	\N
3650493	3641	1997-12-31	PRIJEM	\N	90	22137	UROK	\N	\N
3650494	3641	1998-01-31	PRIJEM	\N	87	19517	UROK	\N	\N
3650495	3641	1998-02-28	PRIJEM	\N	81	18961	UROK	\N	\N
3650496	3641	1998-03-31	PRIJEM	\N	81	19306	UROK	\N	\N
3650497	3641	1998-04-30	PRIJEM	\N	84	20583	UROK	\N	\N
3650498	3641	1998-05-31	PRIJEM	\N	86	20602	UROK	\N	\N
3650499	3641	1998-06-30	PRIJEM	\N	89	21885	UROK	\N	\N
3650500	3641	1998-07-31	PRIJEM	\N	94	23172	UROK	\N	\N
3650501	3641	1998-08-31	PRIJEM	\N	100	24465	UROK	\N	\N
3650502	3641	1998-09-30	PRIJEM	\N	104	25312	UROK	\N	\N
3650503	3641	1998-10-31	PRIJEM	\N	108	26614	UROK	\N	\N
3650504	3641	1998-11-30	PRIJEM	\N	114	27921	UROK	\N	\N
3650505	3641	1998-12-31	PRIJEM	\N	114	27608	UROK	\N	\N
3650540	3644	1993-04-30	PRIJEM	\N	3	4459	UROK	\N	\N
3650541	3644	1993-05-31	PRIJEM	\N	4	7919	UROK	\N	\N
3650542	3644	1993-06-30	PRIJEM	\N	4	11379	UROK	\N	\N
3650543	3644	1993-07-31	PRIJEM	\N	4	14839	UROK	\N	\N
3650544	3644	1993-08-31	PRIJEM	\N	7	18302	UROK	\N	\N
3650545	3644	1993-09-30	PRIJEM	\N	79	19128	UROK	\N	\N
3650546	3644	1993-10-31	PRIJEM	\N	83	20348	UROK	\N	\N
3650547	3644	1993-11-30	PRIJEM	\N	88	21573	UROK	\N	\N
3650548	3644	1993-12-31	PRIJEM	\N	87	21058	UROK	\N	\N
3650549	3644	1994-01-31	PRIJEM	\N	87	19672	UROK	\N	\N
3650550	3644	1994-02-28	PRIJEM	\N	83	20592	UROK	\N	\N
3650551	3644	1994-03-31	PRIJEM	\N	87	21547	UROK	\N	\N
3650552	3644	1994-04-30	PRIJEM	\N	93	22777	UROK	\N	\N
3650553	3644	1994-05-31	PRIJEM	\N	98	24012	UROK	\N	\N
3650554	3644	1994-06-30	PRIJEM	\N	87	17646	UROK	\N	\N
3650555	3644	1994-07-31	PRIJEM	\N	77	18860	UROK	\N	\N
3650556	3644	1994-08-31	PRIJEM	\N	78	19386	UROK	\N	\N
3650557	3644	1994-09-30	PRIJEM	\N	84	20607	UROK	\N	\N
3650558	3644	1994-10-31	PRIJEM	\N	89	20813	UROK	\N	\N
3650559	3644	1994-11-30	PRIJEM	\N	90	22040	UROK	\N	\N
3650560	3644	1994-12-31	PRIJEM	\N	94	22672	UROK	\N	\N
3650561	3644	1995-01-31	PRIJEM	\N	96	23505	UROK	\N	\N
3650562	3644	1995-02-28	PRIJEM	\N	101	24743	UROK	\N	\N
3650563	3644	1995-03-31	PRIJEM	\N	104	25584	UROK	\N	\N
3650564	3644	1995-04-30	PRIJEM	\N	109	26831	UROK	\N	\N
3650565	3644	1995-05-31	PRIJEM	\N	100	24518	UROK	\N	\N
3650566	3644	1995-06-30	PRIJEM	\N	86	20281	UROK	\N	\N
3650567	3644	1995-07-31	PRIJEM	\N	87	21506	UROK	\N	\N
3650568	3644	1995-08-31	PRIJEM	\N	92	22736	UROK	\N	\N
3650569	3644	1995-09-30	PRIJEM	\N	97	23971	UROK	\N	\N
3650570	3644	1995-10-31	PRIJEM	\N	100	20478	UROK	\N	\N
3650571	3644	1995-11-30	PRIJEM	\N	82	20137	UROK	\N	\N
3650572	3644	1995-12-31	PRIJEM	\N	86	21031	UROK	\N	\N
3650573	3644	1996-01-31	PRIJEM	\N	86	19824	UROK	\N	\N
3650574	3644	1996-02-29	PRIJEM	\N	81	20233	UROK	\N	\N
3650575	3644	1996-03-31	PRIJEM	\N	87	21457	UROK	\N	\N
3650576	3644	1996-04-30	PRIJEM	\N	90	20685	UROK	\N	\N
3650577	3644	1996-05-31	PRIJEM	\N	87	19909	UROK	\N	\N
3650578	3644	1996-06-30	PRIJEM	\N	82	17289	UROK	\N	\N
3650579	3644	1996-07-31	PRIJEM	\N	74	18500	UROK	\N	\N
3650580	3644	1996-08-31	PRIJEM	\N	71	15238	UROK	\N	\N
3650581	3644	1996-09-30	PRIJEM	\N	63	13839	UROK	\N	\N
3650582	3644	1996-10-31	PRIJEM	\N	60	15036	UROK	\N	\N
3650583	3644	1996-11-30	PRIJEM	\N	63	15137	UROK	\N	\N
3650584	3644	1996-12-31	PRIJEM	\N	61	13705	UROK	\N	\N
3650585	3644	1997-01-31	PRIJEM	\N	59	14902	UROK	\N	\N
3650586	3644	1997-02-28	PRIJEM	\N	61	13500	UROK	\N	\N
3650587	3644	1997-03-31	PRIJEM	\N	58	14695	UROK	\N	\N
3650588	3644	1997-04-30	PRIJEM	\N	63	15896	UROK	\N	\N
3650589	3644	1997-05-31	PRIJEM	\N	64	14397	UROK	\N	\N
3650590	3644	1997-06-30	PRIJEM	\N	62	15596	UROK	\N	\N
3650591	3644	1997-07-31	PRIJEM	\N	67	16800	UROK	\N	\N
3650592	3644	1997-08-31	PRIJEM	\N	71	17229	UROK	\N	\N
3650593	3644	1997-09-30	PRIJEM	\N	70	17116	UROK	\N	\N
3650594	3644	1997-10-31	PRIJEM	\N	73	18326	UROK	\N	\N
3650595	3644	1997-11-30	PRIJEM	\N	77	18160	UROK	\N	\N
3650596	3644	1997-12-31	PRIJEM	\N	76	19224	UROK	\N	\N
3650597	3644	1998-01-31	PRIJEM	\N	74	18485	UROK	\N	\N
3650598	3644	1998-02-28	PRIJEM	\N	78	19460	UROK	\N	\N
3650599	3644	1998-03-31	PRIJEM	\N	75	16773	UROK	\N	\N
3650600	3644	1998-04-30	PRIJEM	\N	71	17981	UROK	\N	\N
3650601	3644	1998-05-31	PRIJEM	\N	74	18292	UROK	\N	\N
3650602	3644	1998-06-30	PRIJEM	\N	73	18222	UROK	\N	\N
3650603	3644	1998-07-31	PRIJEM	\N	75	18805	UROK	\N	\N
3650604	3644	1998-08-31	PRIJEM	\N	74	18767	UROK	\N	\N
3650605	3644	1998-09-30	PRIJEM	\N	73	18207	UROK	\N	\N
3650606	3644	1998-10-31	PRIJEM	\N	77	19421	UROK	\N	\N
3650607	3644	1998-11-30	PRIJEM	\N	81	20640	UROK	\N	\N
3650608	3644	1998-12-31	PRIJEM	\N	84	21321	UROK	\N	\N
3650609	3645	1996-07-31	PRIJEM	\N	37	19598	UROK	\N	\N
3650610	3645	1996-08-31	PRIJEM	\N	105	31164	UROK	\N	\N
3650611	3645	1996-09-30	PRIJEM	\N	142	37367	UROK	\N	\N
3650612	3645	1996-10-31	PRIJEM	\N	156	37984	UROK	\N	\N
3650613	3645	1996-11-30	PRIJEM	\N	147	30220	UROK	\N	\N
3650614	3645	1996-12-31	PRIJEM	\N	146	35121	UROK	\N	\N
3650615	3645	1997-01-31	PRIJEM	\N	124	22320	UROK	\N	\N
3650616	3645	1997-02-28	PRIJEM	\N	112	29006	UROK	\N	\N
3650617	3645	1997-03-31	PRIJEM	\N	134	32914	UROK	\N	\N
3650618	3645	1997-04-30	PRIJEM	\N	138	31927	UROK	\N	\N
3650619	3645	1997-05-31	PRIJEM	\N	123	23724	UROK	\N	\N
3650620	3645	1997-06-30	PRIJEM	\N	116	28495	UROK	\N	\N
3650621	3645	1997-07-31	PRIJEM	\N	116	26086	UROK	\N	\N
3650622	3645	1997-08-31	PRIJEM	\N	111	26571	UROK	\N	\N
3650623	3645	1997-09-30	PRIJEM	\N	107	24452	UROK	\N	\N
3650624	3645	1997-10-31	PRIJEM	\N	95	21821	UROK	\N	\N
3650625	3645	1997-11-30	PRIJEM	\N	103	23699	UROK	\N	\N
3650626	3645	1997-12-31	PRIJEM	\N	127	34582	UROK	\N	\N
3650627	3645	1998-01-31	PRIJEM	\N	116	21173	UROK	\N	\N
3650628	3645	1998-02-28	PRIJEM	\N	96	23843	UROK	\N	\N
3650629	3645	1998-03-31	PRIJEM	\N	104	23422	UROK	\N	\N
3650630	3645	1998-04-30	PRIJEM	\N	106	25701	UROK	\N	\N
3650631	3645	1998-05-31	PRIJEM	\N	112	27488	UROK	\N	\N
3650632	3645	1998-06-30	PRIJEM	\N	143	37486	UROK	\N	\N
3650633	3645	1998-07-31	PRIJEM	\N	147	31608	UROK	\N	\N
3650634	3645	1998-08-31	PRIJEM	\N	122	28104	UROK	\N	\N
3650635	3645	1998-09-30	PRIJEM	\N	102	22480	UROK	\N	\N
3650636	3645	1998-10-31	PRIJEM	\N	91	21345	UROK	\N	\N
3650637	3645	1998-11-30	PRIJEM	\N	86	20205	UROK	\N	\N
3650638	3645	1998-12-31	PRIJEM	\N	101	23762	UROK	\N	\N
3650639	3646	1995-11-30	PRIJEM	\N	57	26591	UROK	\N	\N
3650640	3646	1995-12-31	PRIJEM	\N	155	54318	UROK	\N	\N
3650641	3646	1996-01-31	PRIJEM	\N	221	51233	UROK	\N	\N
3650642	3646	1996-02-29	PRIJEM	\N	240	84406	UROK	\N	\N
3650643	3646	1996-03-31	PRIJEM	\N	329	67042	UROK	\N	\N
3650644	3646	1996-04-30	PRIJEM	\N	254	48967	UROK	\N	\N
3650645	3646	1996-05-31	PRIJEM	\N	175	36574	UROK	\N	\N
3650646	3646	1996-06-30	PRIJEM	\N	192	60538	UROK	\N	\N
3650647	3646	1996-07-31	PRIJEM	\N	210	42481	UROK	\N	\N
3650648	3646	1996-08-31	PRIJEM	\N	126	50134	UROK	\N	\N
3650649	3646	1996-09-30	PRIJEM	\N	188	37814	UROK	\N	\N
3650650	3646	1996-10-31	PRIJEM	\N	243	66353	UROK	\N	\N
3650651	3646	1996-11-30	PRIJEM	\N	288	100004	UROK	\N	\N
3650652	3646	1996-12-31	PRIJEM	\N	345	71145	UROK	\N	\N
3650653	3646	1997-01-31	PRIJEM	\N	256	95103	UROK	\N	\N
3650654	3646	1997-02-28	PRIJEM	\N	290	89244	UROK	\N	\N
3650655	3646	1997-03-31	PRIJEM	\N	369	83805	UROK	\N	\N
3650656	3646	1997-04-30	PRIJEM	\N	320	69255	UROK	\N	\N
3650657	3646	1997-05-31	PRIJEM	\N	393	81005	UROK	\N	\N
3650658	3646	1997-06-30	PRIJEM	\N	233	55888	UROK	\N	\N
3650659	3646	1997-07-31	PRIJEM	\N	306	79873	UROK	\N	\N
3650660	3646	1997-08-31	PRIJEM	\N	285	55068	UROK	\N	\N
3650661	3646	1997-09-30	PRIJEM	\N	292	97534	UROK	\N	\N
3650662	3646	1997-10-31	PRIJEM	\N	371	88563	UROK	\N	\N
3650663	3646	1997-11-30	PRIJEM	\N	346	83201	UROK	\N	\N
3650664	3646	1997-12-31	PRIJEM	\N	346	85470	UROK	\N	\N
3650665	3646	1998-01-31	PRIJEM	\N	331	27456	UROK	\N	\N
3650666	3646	1998-02-28	PRIJEM	\N	174	43864	UROK	\N	\N
3650667	3646	1998-03-31	PRIJEM	\N	228	78222	UROK	\N	\N
3650668	3646	1998-04-30	PRIJEM	\N	339	73561	UROK	\N	\N
3650669	3646	1998-05-31	PRIJEM	\N	273	60094	UROK	\N	\N
3650670	3646	1998-06-30	PRIJEM	\N	233	55182	UROK	\N	\N
3650671	3646	1998-07-31	PRIJEM	\N	246	59861	UROK	\N	\N
3650672	3646	1998-08-31	PRIJEM	\N	269	82223	UROK	\N	\N
3650673	3646	1998-09-30	PRIJEM	\N	245	66285	UROK	\N	\N
3650674	3646	1998-10-31	PRIJEM	\N	344	106163	UROK	\N	\N
3650675	3646	1998-11-30	PRIJEM	\N	318	66437	UROK	\N	\N
3650676	3646	1998-12-31	PRIJEM	\N	321	76995	UROK	\N	\N
3650677	3647	1996-07-31	PRIJEM	\N	36	17700	UROK	\N	\N
3650678	3647	1996-08-31	PRIJEM	\N	88	24452	UROK	\N	\N
3650679	3647	1996-09-30	PRIJEM	\N	113	29729	UROK	\N	\N
3650680	3647	1996-10-31	PRIJEM	\N	129	32122	UROK	\N	\N
3650681	3647	1996-11-30	PRIJEM	\N	148	38334	UROK	\N	\N
3650682	3647	1996-12-31	PRIJEM	\N	165	39828	UROK	\N	\N
3650683	3647	1997-01-31	PRIJEM	\N	166	40202	UROK	\N	\N
3650684	3647	1997-02-28	PRIJEM	\N	164	40013	UROK	\N	\N
3650685	3647	1997-03-31	PRIJEM	\N	171	41691	UROK	\N	\N
3650686	3647	1997-04-30	PRIJEM	\N	165	38063	UROK	\N	\N
3650687	3647	1997-05-31	PRIJEM	\N	165	37076	UROK	\N	\N
3650688	3647	1997-06-30	PRIJEM	\N	164	39049	UROK	\N	\N
3650689	3647	1997-07-31	PRIJEM	\N	168	38104	UROK	\N	\N
3650690	3647	1997-08-31	PRIJEM	\N	173	39604	UROK	\N	\N
3650691	3647	1997-09-30	PRIJEM	\N	175	43986	UROK	\N	\N
3650692	3647	1997-10-31	PRIJEM	\N	195	49089	UROK	\N	\N
3650693	3647	1997-11-30	PRIJEM	\N	209	49445	UROK	\N	\N
3650694	3647	1997-12-31	PRIJEM	\N	222	55317	UROK	\N	\N
3650695	3647	1998-01-31	PRIJEM	\N	213	51637	UROK	\N	\N
3650696	3647	1998-02-28	PRIJEM	\N	198	48542	UROK	\N	\N
3650697	3647	1998-03-31	PRIJEM	\N	188	42897	UROK	\N	\N
3650698	3647	1998-04-30	PRIJEM	\N	172	37776	UROK	\N	\N
3650699	3647	1998-05-31	PRIJEM	\N	166	42250	UROK	\N	\N
3650700	3647	1998-06-30	PRIJEM	\N	194	50733	UROK	\N	\N
3650701	3647	1998-07-31	PRIJEM	\N	184	44624	UROK	\N	\N
3650702	3647	1998-08-31	PRIJEM	\N	176	39608	UROK	\N	\N
3650703	3647	1998-09-30	PRIJEM	\N	155	38870	UROK	\N	\N
3650704	3647	1998-10-31	PRIJEM	\N	153	38331	UROK	\N	\N
3650705	3647	1998-11-30	PRIJEM	\N	127	31065	UROK	\N	\N
3650706	3647	1998-12-31	PRIJEM	\N	113	22147	UROK	\N	\N
3650707	3648	1996-05-31	PRIJEM	\N	12	4616	UROK	\N	\N
3650708	3648	1996-06-30	PRIJEM	\N	46	15165	UROK	\N	\N
3650709	3648	1996-07-31	PRIJEM	\N	87	24456	UROK	\N	\N
3650710	3648	1996-08-31	PRIJEM	\N	114	29474	UROK	\N	\N
3650711	3648	1996-09-30	PRIJEM	\N	127	31305	UROK	\N	\N
3650712	3648	1996-10-31	PRIJEM	\N	115	27541	UROK	\N	\N
3650713	3648	1996-11-30	PRIJEM	\N	104	24765	UROK	\N	\N
3650714	3648	1996-12-31	PRIJEM	\N	105	25861	UROK	\N	\N
3650715	3648	1997-01-31	PRIJEM	\N	106	23677	UROK	\N	\N
3650716	3648	1997-02-28	PRIJEM	\N	96	23294	UROK	\N	\N
3650717	3648	1997-03-31	PRIJEM	\N	112	28026	UROK	\N	\N
3650718	3648	1997-04-30	PRIJEM	\N	123	30120	UROK	\N	\N
3650719	3648	1997-05-31	PRIJEM	\N	128	31588	UROK	\N	\N
3650720	3648	1997-06-30	PRIJEM	\N	106	22985	UROK	\N	\N
3650721	3648	1997-07-31	PRIJEM	\N	114	30519	UROK	\N	\N
3650722	3648	1997-08-31	PRIJEM	\N	130	32970	UROK	\N	\N
3650723	3648	1997-09-30	PRIJEM	\N	141	35630	UROK	\N	\N
3650724	3648	1997-10-31	PRIJEM	\N	150	34501	UROK	\N	\N
3650725	3648	1997-11-30	PRIJEM	\N	146	35367	UROK	\N	\N
3650726	3648	1997-12-31	PRIJEM	\N	145	32302	UROK	\N	\N
3650727	3648	1998-01-31	PRIJEM	\N	130	29433	UROK	\N	\N
3650728	3648	1998-02-28	PRIJEM	\N	123	27676	UROK	\N	\N
3650729	3648	1998-03-31	PRIJEM	\N	116	26113	UROK	\N	\N
3650730	3648	1998-04-30	PRIJEM	\N	111	27044	UROK	\N	\N
3650731	3648	1998-05-31	PRIJEM	\N	113	25577	UROK	\N	\N
3650732	3648	1998-06-30	PRIJEM	\N	91	26199	UROK	\N	\N
3650733	3648	1998-07-31	PRIJEM	\N	109	25228	UROK	\N	\N
3650734	3648	1998-08-31	PRIJEM	\N	105	25384	UROK	\N	\N
3650735	3648	1998-09-30	PRIJEM	\N	107	27601	UROK	\N	\N
3650736	3648	1998-10-31	PRIJEM	\N	119	30741	UROK	\N	\N
3650737	3648	1998-11-30	PRIJEM	\N	132	33383	UROK	\N	\N
3650738	3648	1998-12-31	PRIJEM	\N	146	38519	UROK	\N	\N
3650739	3649	1993-06-30	PRIJEM	\N	61	24353	UROK	\N	\N
3650740	3649	1993-07-31	PRIJEM	\N	125	33773	UROK	\N	\N
3650741	3649	1993-08-31	PRIJEM	\N	158	40326	UROK	\N	\N
3650742	3649	1993-09-30	PRIJEM	\N	219	43639	UROK	\N	\N
3650743	3649	1993-10-31	PRIJEM	\N	180	34843	UROK	\N	\N
3650744	3649	1993-11-30	PRIJEM	\N	160	40211	UROK	\N	\N
3650745	3649	1993-12-31	PRIJEM	\N	196	45713	UROK	\N	\N
3650746	3649	1994-01-31	PRIJEM	\N	155	36956	UROK	\N	\N
3650747	3649	1994-02-28	PRIJEM	\N	165	40829	UROK	\N	\N
3650748	3649	1994-03-31	PRIJEM	\N	176	42713	UROK	\N	\N
3650749	3649	1994-04-30	PRIJEM	\N	193	48114	UROK	\N	\N
3650750	3649	1994-05-31	PRIJEM	\N	204	49427	UROK	\N	\N
3650751	3649	1994-06-30	PRIJEM	\N	171	30043	UROK	\N	\N
3650752	3649	1994-07-31	PRIJEM	\N	154	40406	UROK	\N	\N
3650753	3649	1994-08-31	PRIJEM	\N	180	44393	UROK	\N	\N
3650754	3649	1994-09-30	PRIJEM	\N	192	47094	UROK	\N	\N
3650755	3649	1994-10-31	PRIJEM	\N	201	48803	UROK	\N	\N
3650756	3649	1994-11-30	PRIJEM	\N	202	44114	UROK	\N	\N
3650757	3649	1994-12-31	PRIJEM	\N	209	51588	UROK	\N	\N
3650758	3649	1995-01-31	PRIJEM	\N	165	31422	UROK	\N	\N
3650759	3649	1995-02-28	PRIJEM	\N	151	39081	UROK	\N	\N
3650760	3649	1995-03-31	PRIJEM	\N	179	44868	UROK	\N	\N
3650761	3649	1995-04-30	PRIJEM	\N	197	48573	UROK	\N	\N
3650762	3649	1995-05-31	PRIJEM	\N	210	51392	UROK	\N	\N
3650763	3649	1995-06-30	PRIJEM	\N	157	23334	UROK	\N	\N
3650764	3649	1995-07-31	PRIJEM	\N	126	29208	UROK	\N	\N
3650765	3649	1995-08-31	PRIJEM	\N	154	40970	UROK	\N	\N
3650766	3649	1995-09-30	PRIJEM	\N	186	46965	UROK	\N	\N
3650767	3649	1995-10-31	PRIJEM	\N	177	45611	UROK	\N	\N
3650768	3649	1995-11-30	PRIJEM	\N	177	42897	UROK	\N	\N
3650769	3649	1995-12-31	PRIJEM	\N	186	34828	UROK	\N	\N
3650770	3649	1996-01-31	PRIJEM	\N	109	19485	UROK	\N	\N
3650771	3649	1996-02-29	PRIJEM	\N	111	25404	UROK	\N	\N
3650772	3649	1996-03-31	PRIJEM	\N	126	28339	UROK	\N	\N
3650773	3649	1996-04-30	PRIJEM	\N	147	32994	UROK	\N	\N
3650774	3649	1996-05-31	PRIJEM	\N	165	36068	UROK	\N	\N
3650775	3649	1996-06-30	PRIJEM	\N	185	40299	UROK	\N	\N
3650776	3649	1996-07-31	PRIJEM	\N	192	40600	UROK	\N	\N
3650777	3649	1996-08-31	PRIJEM	\N	182	36770	UROK	\N	\N
3650778	3649	1996-09-30	PRIJEM	\N	177	39856	UROK	\N	\N
3650779	3649	1996-10-31	PRIJEM	\N	185	40789	UROK	\N	\N
3650780	3649	1996-11-30	PRIJEM	\N	194	45091	UROK	\N	\N
3650781	3649	1996-12-31	PRIJEM	\N	214	46231	UROK	\N	\N
3650782	3649	1997-01-31	PRIJEM	\N	152	26210	UROK	\N	\N
3650783	3649	1997-02-28	PRIJEM	\N	136	35555	UROK	\N	\N
3650784	3649	1997-03-31	PRIJEM	\N	169	37532	UROK	\N	\N
3650785	3649	1997-04-30	PRIJEM	\N	175	38616	UROK	\N	\N
3650786	3649	1997-05-31	PRIJEM	\N	180	41564	UROK	\N	\N
3650787	3649	1997-06-30	PRIJEM	\N	195	29465	UROK	\N	\N
3650788	3649	1997-07-31	PRIJEM	\N	147	36720	UROK	\N	\N
3650789	3649	1997-08-31	PRIJEM	\N	172	41301	UROK	\N	\N
3650790	3649	1997-09-30	PRIJEM	\N	184	41393	UROK	\N	\N
3650791	3649	1997-10-31	PRIJEM	\N	185	42387	UROK	\N	\N
3650792	3649	1997-11-30	PRIJEM	\N	186	39261	UROK	\N	\N
3650793	3649	1997-12-31	PRIJEM	\N	177	39783	UROK	\N	\N
3650794	3649	1998-01-31	PRIJEM	\N	147	27078	UROK	\N	\N
3650795	3649	1998-02-28	PRIJEM	\N	130	33016	UROK	\N	\N
3650796	3649	1998-03-31	PRIJEM	\N	140	31805	UROK	\N	\N
3650797	3649	1998-04-30	PRIJEM	\N	145	34458	UROK	\N	\N
3650798	3649	1998-05-31	PRIJEM	\N	147	32613	UROK	\N	\N
3650799	3649	1998-06-30	PRIJEM	\N	158	37477	UROK	\N	\N
3650800	3649	1998-07-31	PRIJEM	\N	146	29332	UROK	\N	\N
3650801	3649	1998-08-31	PRIJEM	\N	118	27078	UROK	\N	\N
3650802	3649	1998-09-30	PRIJEM	\N	117	28203	UROK	\N	\N
3650803	3649	1998-10-31	PRIJEM	\N	100	21332	UROK	\N	\N
3650804	3649	1998-11-30	PRIJEM	\N	96	24235	UROK	\N	\N
3650805	3649	1998-12-31	PRIJEM	\N	153	44694	UROK	\N	\N
3650806	3650	1994-06-30	PRIJEM	\N	57	18839	UROK	\N	\N
3650807	3650	1994-07-31	PRIJEM	\N	131	35958	UROK	\N	\N
3650808	3650	1994-08-31	PRIJEM	\N	173	43619	UROK	\N	\N
3650809	3650	1994-09-30	PRIJEM	\N	196	48603	UROK	\N	\N
3650810	3650	1994-10-31	PRIJEM	\N	186	42119	UROK	\N	\N
3650811	3650	1994-11-30	PRIJEM	\N	176	41011	UROK	\N	\N
3650812	3650	1994-12-31	PRIJEM	\N	176	39996	UROK	\N	\N
3650813	3650	1995-01-31	PRIJEM	\N	148	31760	UROK	\N	\N
3650814	3650	1995-02-28	PRIJEM	\N	127	32403	UROK	\N	\N
3650815	3650	1995-03-31	PRIJEM	\N	144	34162	UROK	\N	\N
3650816	3650	1995-04-30	PRIJEM	\N	149	34926	UROK	\N	\N
3650817	3650	1995-05-31	PRIJEM	\N	153	35095	UROK	\N	\N
3650818	3650	1995-06-30	PRIJEM	\N	143	22647	UROK	\N	\N
3650819	3650	1995-07-31	PRIJEM	\N	105	30667	UROK	\N	\N
3650820	3650	1995-08-31	PRIJEM	\N	137	32519	UROK	\N	\N
3650821	3650	1995-09-30	PRIJEM	\N	144	34879	UROK	\N	\N
3650822	3650	1995-10-31	PRIJEM	\N	153	35448	UROK	\N	\N
3650823	3650	1995-11-30	PRIJEM	\N	154	33716	UROK	\N	\N
3650824	3650	1995-12-31	PRIJEM	\N	160	36786	UROK	\N	\N
3650825	3650	1996-01-31	PRIJEM	\N	156	35157	UROK	\N	\N
3650826	3650	1996-02-29	PRIJEM	\N	155	38328	UROK	\N	\N
3650827	3650	1996-03-31	PRIJEM	\N	169	42112	UROK	\N	\N
3650828	3650	1996-04-30	PRIJEM	\N	179	41606	UROK	\N	\N
3650829	3650	1996-05-31	PRIJEM	\N	181	44103	UROK	\N	\N
3650830	3650	1996-06-30	PRIJEM	\N	198	23710	UROK	\N	\N
3650831	3650	1996-07-31	PRIJEM	\N	122	40247	UROK	\N	\N
3650832	3650	1996-08-31	PRIJEM	\N	178	44840	UROK	\N	\N
3650833	3650	1996-09-30	PRIJEM	\N	196	49452	UROK	\N	\N
3650834	3650	1996-10-31	PRIJEM	\N	212	51079	UROK	\N	\N
3650835	3650	1996-11-30	PRIJEM	\N	211	49805	UROK	\N	\N
3650836	3650	1996-12-31	PRIJEM	\N	219	51934	UROK	\N	\N
3650837	3650	1997-01-31	PRIJEM	\N	208	44357	UROK	\N	\N
3650838	3650	1997-02-28	PRIJEM	\N	192	47865	UROK	\N	\N
3650839	3650	1997-03-31	PRIJEM	\N	203	48583	UROK	\N	\N
3650840	3650	1997-04-30	PRIJEM	\N	208	49007	UROK	\N	\N
3650841	3650	1997-05-31	PRIJEM	\N	208	50230	UROK	\N	\N
3650842	3650	1997-06-30	PRIJEM	\N	198	46037	UROK	\N	\N
3650843	3650	1997-07-31	PRIJEM	\N	197	46949	UROK	\N	\N
3650844	3650	1997-08-31	PRIJEM	\N	188	44352	UROK	\N	\N
3650845	3650	1997-09-30	PRIJEM	\N	187	44754	UROK	\N	\N
3650846	3650	1997-10-31	PRIJEM	\N	191	47261	UROK	\N	\N
3650847	3650	1997-11-30	PRIJEM	\N	193	45970	UROK	\N	\N
3650848	3650	1997-12-31	PRIJEM	\N	204	46283	UROK	\N	\N
3650849	3650	1998-01-31	PRIJEM	\N	188	39886	UROK	\N	\N
3650850	3650	1998-02-28	PRIJEM	\N	180	47082	UROK	\N	\N
3650851	3650	1998-03-31	PRIJEM	\N	194	43991	UROK	\N	\N
3650852	3650	1998-04-30	PRIJEM	\N	187	44693	UROK	\N	\N
3650853	3650	1998-05-31	PRIJEM	\N	184	44192	UROK	\N	\N
3650854	3650	1998-06-30	PRIJEM	\N	159	36661	UROK	\N	\N
3650855	3650	1998-07-31	PRIJEM	\N	156	39032	UROK	\N	\N
3650856	3650	1998-08-31	PRIJEM	\N	178	46526	UROK	\N	\N
3650857	3650	1998-09-30	PRIJEM	\N	176	40617	UROK	\N	\N
3650858	3650	1998-10-31	PRIJEM	\N	162	38994	UROK	\N	\N
3650859	3650	1998-11-30	PRIJEM	\N	152	35861	UROK	\N	\N
3650860	3650	1998-12-31	PRIJEM	\N	159	39630	UROK	\N	\N
3650861	3651	1993-06-30	PRIJEM	\N	12	20936	UROK	\N	\N
3650862	3651	1993-07-31	PRIJEM	\N	95	23383	UROK	\N	\N
3650863	3651	1993-08-31	PRIJEM	\N	105	25826	UROK	\N	\N
3650864	3651	1993-09-30	PRIJEM	\N	111	24915	UROK	\N	\N
3650865	3651	1993-10-31	PRIJEM	\N	111	27365	UROK	\N	\N
3650866	3651	1993-11-30	PRIJEM	\N	118	26621	UROK	\N	\N
3650867	3651	1993-12-31	PRIJEM	\N	117	28026	UROK	\N	\N
3650868	3651	1994-01-31	PRIJEM	\N	97	20621	UROK	\N	\N
3650869	3651	1994-02-28	PRIJEM	\N	84	19763	UROK	\N	\N
3650870	3651	1994-03-31	PRIJEM	\N	89	21591	UROK	\N	\N
3650871	3651	1994-04-30	PRIJEM	\N	94	22423	UROK	\N	\N
3650872	3651	1994-05-31	PRIJEM	\N	101	24862	UROK	\N	\N
3650873	3651	1994-06-30	PRIJEM	\N	106	23586	UROK	\N	\N
3650874	3651	1994-07-31	PRIJEM	\N	103	24128	UROK	\N	\N
3650875	3651	1994-08-31	PRIJEM	\N	106	25572	UROK	\N	\N
3650876	3651	1994-09-30	PRIJEM	\N	105	24415	UROK	\N	\N
3650877	3651	1994-10-31	PRIJEM	\N	102	23336	UROK	\N	\N
3650878	3651	1994-11-30	PRIJEM	\N	104	25778	UROK	\N	\N
3650879	3651	1994-12-31	PRIJEM	\N	114	27930	UROK	\N	\N
3650880	3651	1995-01-31	PRIJEM	\N	109	22698	UROK	\N	\N
3650881	3651	1995-02-28	PRIJEM	\N	101	25137	UROK	\N	\N
3650882	3651	1995-03-31	PRIJEM	\N	112	27587	UROK	\N	\N
3650883	3651	1995-04-30	PRIJEM	\N	122	30047	UROK	\N	\N
3650884	3651	1995-05-31	PRIJEM	\N	128	30154	UROK	\N	\N
3650885	3651	1995-06-30	PRIJEM	\N	89	17931	UROK	\N	\N
3650886	3651	1995-07-31	PRIJEM	\N	72	17061	UROK	\N	\N
3650887	3651	1995-08-31	PRIJEM	\N	73	15872	UROK	\N	\N
3650888	3651	1995-09-30	PRIJEM	\N	73	18283	UROK	\N	\N
3650889	3651	1995-10-31	PRIJEM	\N	78	18939	UROK	\N	\N
3650890	3651	1995-11-30	PRIJEM	\N	85	21363	UROK	\N	\N
3650891	3651	1995-12-31	PRIJEM	\N	94	23146	UROK	\N	\N
3650892	3651	1996-01-31	PRIJEM	\N	89	16613	UROK	\N	\N
3650893	3651	1996-02-29	PRIJEM	\N	73	17824	UROK	\N	\N
3650894	3651	1996-03-31	PRIJEM	\N	76	17998	UROK	\N	\N
3650895	3651	1996-04-30	PRIJEM	\N	81	20418	UROK	\N	\N
3650896	3651	1996-05-31	PRIJEM	\N	91	22847	UROK	\N	\N
3650897	3651	1996-06-30	PRIJEM	\N	86	19632	UROK	\N	\N
3650898	3651	1996-07-31	PRIJEM	\N	88	22058	UROK	\N	\N
3650899	3651	1996-08-31	PRIJEM	\N	98	24495	UROK	\N	\N
3650900	3651	1996-09-30	PRIJEM	\N	108	26941	UROK	\N	\N
3650901	3651	1996-10-31	PRIJEM	\N	118	29398	UROK	\N	\N
3650902	3651	1996-11-30	PRIJEM	\N	128	31864	UROK	\N	\N
3650903	3651	1996-12-31	PRIJEM	\N	138	33340	UROK	\N	\N
3650904	3651	1997-01-31	PRIJEM	\N	117	23956	UROK	\N	\N
3650905	3651	1997-02-28	PRIJEM	\N	105	26399	UROK	\N	\N
3650906	3651	1997-03-31	PRIJEM	\N	116	28853	UROK	\N	\N
3650907	3651	1997-04-30	PRIJEM	\N	126	31318	UROK	\N	\N
3650908	3651	1997-05-31	PRIJEM	\N	135	33231	UROK	\N	\N
3650909	3651	1997-06-30	PRIJEM	\N	137	26856	UROK	\N	\N
3650910	3651	1997-07-31	PRIJEM	\N	117	29312	UROK	\N	\N
3650911	3651	1997-08-31	PRIJEM	\N	127	31777	UROK	\N	\N
3650912	3651	1997-09-30	PRIJEM	\N	138	34253	UROK	\N	\N
3650913	3651	1997-10-31	PRIJEM	\N	148	36740	UROK	\N	\N
3650914	3651	1997-11-30	PRIJEM	\N	158	39236	UROK	\N	\N
3650915	3651	1997-12-31	PRIJEM	\N	167	41342	UROK	\N	\N
3650916	3651	1998-01-31	PRIJEM	\N	162	35763	UROK	\N	\N
3650917	3651	1998-02-28	PRIJEM	\N	154	38254	UROK	\N	\N
3650918	3651	1998-03-31	PRIJEM	\N	164	40757	UROK	\N	\N
3650919	3651	1998-04-30	PRIJEM	\N	174	43270	UROK	\N	\N
3650920	3651	1998-05-31	PRIJEM	\N	185	45793	UROK	\N	\N
3650921	3651	1998-06-30	PRIJEM	\N	160	37291	UROK	\N	\N
3650922	3651	1998-07-31	PRIJEM	\N	160	39789	UROK	\N	\N
3650923	3651	1998-08-31	PRIJEM	\N	156	37483	UROK	\N	\N
3650924	3651	1998-09-30	PRIJEM	\N	154	37496	UROK	\N	\N
3650925	3651	1998-10-31	PRIJEM	\N	158	38952	UROK	\N	\N
3650926	3651	1998-11-30	PRIJEM	\N	166	41457	UROK	\N	\N
3650927	3651	1998-12-31	PRIJEM	\N	170	40105	UROK	\N	\N
3650928	3652	1997-03-31	PRIJEM	\N	25	7021	UROK	\N	\N
3650929	3652	1997-04-30	PRIJEM	\N	29	13148	UROK	\N	\N
3650930	3652	1997-05-31	PRIJEM	\N	29	19274	UROK	\N	\N
3650931	3652	1997-06-30	PRIJEM	\N	31	25402	UROK	\N	\N
3650932	3652	1997-07-31	PRIJEM	\N	112	23106	UROK	\N	\N
3650933	3652	1997-08-31	PRIJEM	\N	100	19224	UROK	\N	\N
3650934	3652	1997-09-30	PRIJEM	\N	89	18290	UROK	\N	\N
3650935	3652	1997-10-31	PRIJEM	\N	86	20154	UROK	\N	\N
3650936	3652	1997-11-30	PRIJEM	\N	93	19924	UROK	\N	\N
3650937	3652	1997-12-31	PRIJEM	\N	93	22164	UROK	\N	\N
3650938	3652	1998-01-31	PRIJEM	\N	69	12760	UROK	\N	\N
3650939	3652	1998-02-28	PRIJEM	\N	74	15911	UROK	\N	\N
3650940	3652	1998-03-31	PRIJEM	\N	81	17229	UROK	\N	\N
3650941	3652	1998-04-30	PRIJEM	\N	88	16895	UROK	\N	\N
3650942	3652	1998-05-31	PRIJEM	\N	91	20063	UROK	\N	\N
3650943	3652	1998-06-30	PRIJEM	\N	83	17524	UROK	\N	\N
3650944	3652	1998-07-31	PRIJEM	\N	81	17982	UROK	\N	\N
3650945	3652	1998-08-31	PRIJEM	\N	91	19751	UROK	\N	\N
3650946	3652	1998-09-30	PRIJEM	\N	89	21717	UROK	\N	\N
3650947	3652	1998-10-31	PRIJEM	\N	96	18250	UROK	\N	\N
3650948	3652	1998-11-30	PRIJEM	\N	90	18818	UROK	\N	\N
3650949	3652	1998-12-31	PRIJEM	\N	87	21232	UROK	\N	\N
3650950	3653	1994-05-31	PRIJEM	\N	65	23025	UROK	\N	\N
3650951	3653	1994-06-30	PRIJEM	\N	186	55801	UROK	\N	\N
3650952	3653	1994-07-31	PRIJEM	\N	253	63414	UROK	\N	\N
3650953	3653	1994-08-31	PRIJEM	\N	271	67145	UROK	\N	\N
3650954	3653	1994-09-30	PRIJEM	\N	234	66131	UROK	\N	\N
3650955	3653	1994-10-31	PRIJEM	\N	227	43967	UROK	\N	\N
3650956	3653	1994-11-30	PRIJEM	\N	225	42301	UROK	\N	\N
3650957	3653	1994-12-31	PRIJEM	\N	244	49624	UROK	\N	\N
3650958	3653	1995-01-31	PRIJEM	\N	195	39469	UROK	\N	\N
3650959	3653	1995-02-28	PRIJEM	\N	205	41184	UROK	\N	\N
3650960	3653	1995-03-31	PRIJEM	\N	212	41105	UROK	\N	\N
3650961	3653	1995-04-30	PRIJEM	\N	211	42026	UROK	\N	\N
3650962	3653	1995-05-31	PRIJEM	\N	214	43150	UROK	\N	\N
3650963	3653	1995-06-30	PRIJEM	\N	191	41040	UROK	\N	\N
3650964	3653	1995-07-31	PRIJEM	\N	208	43158	UROK	\N	\N
3650965	3653	1995-08-31	PRIJEM	\N	215	45082	UROK	\N	\N
3650966	3653	1995-09-30	PRIJEM	\N	222	47514	UROK	\N	\N
3650967	3653	1995-10-31	PRIJEM	\N	227	45450	UROK	\N	\N
3650968	3653	1995-11-30	PRIJEM	\N	221	46880	UROK	\N	\N
3650969	3653	1995-12-31	PRIJEM	\N	224	45204	UROK	\N	\N
3650970	3653	1996-01-31	PRIJEM	\N	179	29333	UROK	\N	\N
3650971	3653	1996-02-29	PRIJEM	\N	156	36498	UROK	\N	\N
3650972	3653	1996-03-31	PRIJEM	\N	175	38002	UROK	\N	\N
3650973	3653	1996-04-30	PRIJEM	\N	184	38496	UROK	\N	\N
3650974	3653	1996-05-31	PRIJEM	\N	187	40392	UROK	\N	\N
3650975	3653	1996-06-30	PRIJEM	\N	232	29623	UROK	\N	\N
3650976	3653	1996-07-31	PRIJEM	\N	153	35186	UROK	\N	\N
3650977	3653	1996-08-31	PRIJEM	\N	170	37865	UROK	\N	\N
3650978	3653	1996-09-30	PRIJEM	\N	180	41055	UROK	\N	\N
3650979	3653	1996-10-31	PRIJEM	\N	177	40661	UROK	\N	\N
3650980	3653	1996-11-30	PRIJEM	\N	191	44261	UROK	\N	\N
3650981	3653	1996-12-31	PRIJEM	\N	220	50520	UROK	\N	\N
3650982	3653	1997-01-31	PRIJEM	\N	172	29382	UROK	\N	\N
3650983	3653	1997-02-28	PRIJEM	\N	147	36338	UROK	\N	\N
3650984	3653	1997-03-31	PRIJEM	\N	169	38316	UROK	\N	\N
3650985	3653	1997-04-30	PRIJEM	\N	173	39098	UROK	\N	\N
3650986	3653	1997-05-31	PRIJEM	\N	185	44292	UROK	\N	\N
3650987	3653	1997-06-30	PRIJEM	\N	199	37010	UROK	\N	\N
3650988	3653	1997-07-31	PRIJEM	\N	178	44098	UROK	\N	\N
3650989	3653	1997-08-31	PRIJEM	\N	200	47607	UROK	\N	\N
3650990	3653	1997-09-30	PRIJEM	\N	199	45296	UROK	\N	\N
3650991	3653	1997-10-31	PRIJEM	\N	195	46300	UROK	\N	\N
3650992	3653	1997-11-30	PRIJEM	\N	206	51016	UROK	\N	\N
3650993	3653	1997-12-31	PRIJEM	\N	207	46942	UROK	\N	\N
3650994	3653	1998-01-31	PRIJEM	\N	158	27750	UROK	\N	\N
3650995	3653	1998-02-28	PRIJEM	\N	128	33487	UROK	\N	\N
3650996	3653	1998-03-31	PRIJEM	\N	139	32695	UROK	\N	\N
3650997	3653	1998-04-30	PRIJEM	\N	154	39758	UROK	\N	\N
3650998	3653	1998-05-31	PRIJEM	\N	166	40713	UROK	\N	\N
3650999	3653	1998-06-30	PRIJEM	\N	173	34906	UROK	\N	\N
3651000	3653	1998-07-31	PRIJEM	\N	160	39976	UROK	\N	\N
3651001	3653	1998-08-31	PRIJEM	\N	200	53585	UROK	\N	\N
3651002	3653	1998-09-30	PRIJEM	\N	240	55494	UROK	\N	\N
3651003	3653	1998-10-31	PRIJEM	\N	250	65054	UROK	\N	\N
3651004	3653	1998-11-30	PRIJEM	\N	261	66124	UROK	\N	\N
3651005	3653	1998-12-31	PRIJEM	\N	309	81572	UROK	\N	\N
3651006	3654	1993-08-31	PRIJEM	\N	54	20284	UROK	\N	\N
3651007	3654	1993-09-30	PRIJEM	\N	122	34037	UROK	\N	\N
3651008	3654	1993-10-31	PRIJEM	\N	151	37518	UROK	\N	\N
3651009	3654	1993-11-30	PRIJEM	\N	171	42819	UROK	\N	\N
3651010	3654	1993-12-31	PRIJEM	\N	189	42022	UROK	\N	\N
3651011	3654	1994-01-31	PRIJEM	\N	175	39606	UROK	\N	\N
3651012	3654	1994-02-28	PRIJEM	\N	179	45455	UROK	\N	\N
3651013	3654	1994-03-31	PRIJEM	\N	179	41803	UROK	\N	\N
3651014	3654	1994-04-30	PRIJEM	\N	189	46522	UROK	\N	\N
3651015	3654	1994-05-31	PRIJEM	\N	206	47377	UROK	\N	\N
3651016	3654	1994-06-30	PRIJEM	\N	232	57043	UROK	\N	\N
3651017	3654	1994-07-31	PRIJEM	\N	226	54919	UROK	\N	\N
3651018	3654	1994-08-31	PRIJEM	\N	232	56820	UROK	\N	\N
3651019	3654	1994-09-30	PRIJEM	\N	234	56923	UROK	\N	\N
3651020	3654	1994-10-31	PRIJEM	\N	233	56525	UROK	\N	\N
3651021	3654	1994-11-30	PRIJEM	\N	229	55524	UROK	\N	\N
3651022	3654	1994-12-31	PRIJEM	\N	257	64816	UROK	\N	\N
3651023	3654	1995-01-31	PRIJEM	\N	191	34716	UROK	\N	\N
3651024	3654	1995-02-28	PRIJEM	\N	178	47063	UROK	\N	\N
3651025	3654	1995-03-31	PRIJEM	\N	214	51607	UROK	\N	\N
3651026	3654	1995-04-30	PRIJEM	\N	226	56302	UROK	\N	\N
3651027	3654	1995-05-31	PRIJEM	\N	249	62221	UROK	\N	\N
3651028	3654	1995-06-30	PRIJEM	\N	212	33788	UROK	\N	\N
3651029	3654	1995-07-31	PRIJEM	\N	195	48692	UROK	\N	\N
3651030	3654	1995-08-31	PRIJEM	\N	235	60397	UROK	\N	\N
3651031	3654	1995-09-30	PRIJEM	\N	245	60252	UROK	\N	\N
3651032	3654	1995-10-31	PRIJEM	\N	262	65083	UROK	\N	\N
3651033	3654	1995-11-30	PRIJEM	\N	277	68230	UROK	\N	\N
3651034	3654	1995-12-31	PRIJEM	\N	297	65501	UROK	\N	\N
3651035	3654	1996-01-31	PRIJEM	\N	264	56194	UROK	\N	\N
3651036	3654	1996-02-29	PRIJEM	\N	255	58999	UROK	\N	\N
3651037	3654	1996-03-31	PRIJEM	\N	271	60999	UROK	\N	\N
3651038	3654	1996-04-30	PRIJEM	\N	287	64855	UROK	\N	\N
3651039	3654	1996-05-31	PRIJEM	\N	300	65125	UROK	\N	\N
3651040	3654	1996-06-30	PRIJEM	\N	322	61361	UROK	\N	\N
3651041	3654	1996-07-31	PRIJEM	\N	290	70820	UROK	\N	\N
3651042	3654	1996-08-31	PRIJEM	\N	324	75414	UROK	\N	\N
3651043	3654	1996-09-30	PRIJEM	\N	340	76823	UROK	\N	\N
3651044	3654	1996-10-31	PRIJEM	\N	342	74634	UROK	\N	\N
3651045	3654	1996-11-30	PRIJEM	\N	334	75438	UROK	\N	\N
3651046	3654	1996-12-31	PRIJEM	\N	354	78206	UROK	\N	\N
3651047	3654	1997-01-31	PRIJEM	\N	327	63282	UROK	\N	\N
3651048	3654	1997-02-28	PRIJEM	\N	289	68541	UROK	\N	\N
3651049	3654	1997-03-31	PRIJEM	\N	313	74523	UROK	\N	\N
3651050	3654	1997-04-30	PRIJEM	\N	333	77326	UROK	\N	\N
3651051	3654	1997-05-31	PRIJEM	\N	347	82643	UROK	\N	\N
3651052	3654	1997-06-30	PRIJEM	\N	367	79684	UROK	\N	\N
3651053	3654	1997-07-31	PRIJEM	\N	342	80396	UROK	\N	\N
3651054	3654	1997-08-31	PRIJEM	\N	331	78596	UROK	\N	\N
3651055	3654	1997-09-30	PRIJEM	\N	344	80509	UROK	\N	\N
3651056	3654	1997-10-31	PRIJEM	\N	349	86028	UROK	\N	\N
3651057	3654	1997-11-30	PRIJEM	\N	373	89170	UROK	\N	\N
3651058	3654	1997-12-31	PRIJEM	\N	405	93410	UROK	\N	\N
3651059	3654	1998-01-31	PRIJEM	\N	382	88161	UROK	\N	\N
3651060	3654	1998-02-28	PRIJEM	\N	384	95714	UROK	\N	\N
3651061	3654	1998-03-31	PRIJEM	\N	423	106206	UROK	\N	\N
3651062	3654	1998-04-30	PRIJEM	\N	362	87238	UROK	\N	\N
3651063	3654	1998-05-31	PRIJEM	\N	395	99202	UROK	\N	\N
3651064	3654	1998-06-30	PRIJEM	\N	449	115285	UROK	\N	\N
3651065	3654	1998-07-31	PRIJEM	\N	420	110175	UROK	\N	\N
3651066	3654	1998-08-31	PRIJEM	\N	428	91672	UROK	\N	\N
3651067	3654	1998-09-30	PRIJEM	\N	418	107959	UROK	\N	\N
3651068	3654	1998-10-31	PRIJEM	\N	428	105756	UROK	\N	\N
3651069	3654	1998-11-30	PRIJEM	\N	464	115290	UROK	\N	\N
3651070	3654	1998-12-31	PRIJEM	\N	436	102960	UROK	\N	\N
3651071	3655	1996-01-31	PRIJEM	\N	24	20036	UROK	\N	\N
3651072	3655	1996-02-29	PRIJEM	\N	96	31345	UROK	\N	\N
3651073	3655	1996-03-31	PRIJEM	\N	140	39196	UROK	\N	\N
3651074	3655	1996-04-30	PRIJEM	\N	164	40472	UROK	\N	\N
3651075	3655	1996-05-31	PRIJEM	\N	185	42724	UROK	\N	\N
3651076	3655	1996-06-30	PRIJEM	\N	178	37770	UROK	\N	\N
3651077	3655	1996-07-31	PRIJEM	\N	169	38041	UROK	\N	\N
3651078	3655	1996-08-31	PRIJEM	\N	150	34352	UROK	\N	\N
3651079	3655	1996-09-30	PRIJEM	\N	155	35608	UROK	\N	\N
3651080	3655	1996-10-31	PRIJEM	\N	154	33464	UROK	\N	\N
3651081	3655	1996-11-30	PRIJEM	\N	135	30160	UROK	\N	\N
3651082	3655	1996-12-31	PRIJEM	\N	138	27545	UROK	\N	\N
3651083	3655	1997-01-31	PRIJEM	\N	112	22698	UROK	\N	\N
3651084	3655	1997-02-28	PRIJEM	\N	102	23202	UROK	\N	\N
3651085	3655	1997-03-31	PRIJEM	\N	106	24010	UROK	\N	\N
3651086	3655	1997-04-30	PRIJEM	\N	109	24920	UROK	\N	\N
3651087	3655	1997-05-31	PRIJEM	\N	118	28339	UROK	\N	\N
3651088	3655	1997-06-30	PRIJEM	\N	127	32194	UROK	\N	\N
3651089	3655	1997-07-31	PRIJEM	\N	150	37045	UROK	\N	\N
3651090	3655	1997-08-31	PRIJEM	\N	159	37425	UROK	\N	\N
3651091	3655	1997-09-30	PRIJEM	\N	171	39598	UROK	\N	\N
3651092	3655	1997-10-31	PRIJEM	\N	158	33617	UROK	\N	\N
3651093	3655	1997-11-30	PRIJEM	\N	129	28587	UROK	\N	\N
3651094	3655	1997-12-31	PRIJEM	\N	119	28434	UROK	\N	\N
3651095	3655	1998-01-31	PRIJEM	\N	96	18732	UROK	\N	\N
3651096	3655	1998-02-28	PRIJEM	\N	85	20318	UROK	\N	\N
3651097	3655	1998-03-31	PRIJEM	\N	86	20105	UROK	\N	\N
3651098	3655	1998-04-30	PRIJEM	\N	87	21194	UROK	\N	\N
3651099	3655	1998-05-31	PRIJEM	\N	86	20182	UROK	\N	\N
3651100	3655	1998-06-30	PRIJEM	\N	87	18576	UROK	\N	\N
3651101	3655	1998-07-31	PRIJEM	\N	74	16152	UROK	\N	\N
3651102	3655	1998-08-31	PRIJEM	\N	88	23561	UROK	\N	\N
3651103	3655	1998-09-30	PRIJEM	\N	87	20269	UROK	\N	\N
3651104	3655	1998-10-31	PRIJEM	\N	104	27935	UROK	\N	\N
3651105	3655	1998-11-30	PRIJEM	\N	100	24136	UROK	\N	\N
3651106	3655	1998-12-31	PRIJEM	\N	141	38264	UROK	\N	\N
3651107	3657	1998-01-31	PRIJEM	\N	41	20517	UROK	\N	\N
3651108	3657	1998-02-28	PRIJEM	\N	94	25080	UROK	\N	\N
3651109	3657	1998-03-31	PRIJEM	\N	113	28515	UROK	\N	\N
3651110	3657	1998-04-30	PRIJEM	\N	117	26753	UROK	\N	\N
3651111	3657	1998-05-31	PRIJEM	\N	118	28652	UROK	\N	\N
3651112	3657	1998-06-30	PRIJEM	\N	109	23473	UROK	\N	\N
3651113	3657	1998-07-31	PRIJEM	\N	108	27601	UROK	\N	\N
3651114	3657	1998-08-31	PRIJEM	\N	125	31747	UROK	\N	\N
3651115	3657	1998-09-30	PRIJEM	\N	131	32700	UROK	\N	\N
3651116	3657	1998-10-31	PRIJEM	\N	137	34618	UROK	\N	\N
3651117	3657	1998-11-30	PRIJEM	\N	153	35432	UROK	\N	\N
3651118	3657	1998-12-31	PRIJEM	\N	147	35451	UROK	\N	\N
3651119	3659	1997-02-28	PRIJEM	\N	28	12469	UROK	\N	\N
3651120	3659	1997-03-31	PRIJEM	\N	91	28801	UROK	\N	\N
3651121	3659	1997-04-30	PRIJEM	\N	142	38384	UROK	\N	\N
3651122	3659	1997-05-31	PRIJEM	\N	174	44399	UROK	\N	\N
3651123	3659	1997-06-30	PRIJEM	\N	201	51311	UROK	\N	\N
3651124	3659	1997-07-31	PRIJEM	\N	180	45523	UROK	\N	\N
3651125	3659	1997-08-31	PRIJEM	\N	162	39818	UROK	\N	\N
3651126	3659	1997-09-30	PRIJEM	\N	167	39817	UROK	\N	\N
3651127	3659	1997-10-31	PRIJEM	\N	165	38874	UROK	\N	\N
3651128	3659	1997-11-30	PRIJEM	\N	164	41870	UROK	\N	\N
3651129	3659	1997-12-31	PRIJEM	\N	184	41478	UROK	\N	\N
3651130	3659	1998-01-31	PRIJEM	\N	151	36221	UROK	\N	\N
3651131	3659	1998-02-28	PRIJEM	\N	150	36704	UROK	\N	\N
3651132	3659	1998-03-31	PRIJEM	\N	146	38741	UROK	\N	\N
3651133	3659	1998-04-30	PRIJEM	\N	165	46539	UROK	\N	\N
3651134	3659	1998-05-31	PRIJEM	\N	197	51669	UROK	\N	\N
3651135	3659	1998-06-30	PRIJEM	\N	201	37692	UROK	\N	\N
3651136	3659	1998-07-31	PRIJEM	\N	166	49791	UROK	\N	\N
3651137	3659	1998-08-31	PRIJEM	\N	219	63642	UROK	\N	\N
3651138	3659	1998-09-30	PRIJEM	\N	255	67070	UROK	\N	\N
3651139	3659	1998-10-31	PRIJEM	\N	273	73834	UROK	\N	\N
3651140	3659	1998-11-30	PRIJEM	\N	306	79352	UROK	\N	\N
3651141	3659	1998-12-31	PRIJEM	\N	346	88501	UROK	\N	\N
3651142	3661	1996-06-30	PRIJEM	\N	65	22385	UROK	\N	\N
3651143	3661	1996-07-31	PRIJEM	\N	95	21721	UROK	\N	\N
3651144	3661	1996-08-31	PRIJEM	\N	94	19856	UROK	\N	\N
3651145	3661	1996-09-30	PRIJEM	\N	88	21585	UROK	\N	\N
3651146	3661	1996-10-31	PRIJEM	\N	89	21075	UROK	\N	\N
3651147	3661	1996-11-30	PRIJEM	\N	93	22809	UROK	\N	\N
3651148	3661	1996-12-31	PRIJEM	\N	98	20988	UROK	\N	\N
3651149	3661	1997-01-31	PRIJEM	\N	78	13488	UROK	\N	\N
3651150	3661	1997-02-28	PRIJEM	\N	61	15190	UROK	\N	\N
3651151	3661	1997-03-31	PRIJEM	\N	63	14814	UROK	\N	\N
3651152	3661	1997-04-30	PRIJEM	\N	64	14519	UROK	\N	\N
3651153	3661	1997-05-31	PRIJEM	\N	65	16225	UROK	\N	\N
3651154	3661	1997-06-30	PRIJEM	\N	69	16386	UROK	\N	\N
3651155	3661	1997-07-31	PRIJEM	\N	68	14976	UROK	\N	\N
3651156	3661	1997-08-31	PRIJEM	\N	67	16684	UROK	\N	\N
3651157	3661	1997-09-30	PRIJEM	\N	74	18400	UROK	\N	\N
3651158	3661	1997-10-31	PRIJEM	\N	81	20123	UROK	\N	\N
3651159	3661	1997-11-30	PRIJEM	\N	86	17930	UROK	\N	\N
3651160	3661	1997-12-31	PRIJEM	\N	78	18900	UROK	\N	\N
3651161	3661	1998-01-31	PRIJEM	\N	68	13569	UROK	\N	\N
3651162	3661	1998-02-28	PRIJEM	\N	61	15271	UROK	\N	\N
3651163	3661	1998-03-31	PRIJEM	\N	65	13938	UROK	\N	\N
3651164	3661	1998-04-30	PRIJEM	\N	63	15642	UROK	\N	\N
3651165	3661	1998-05-31	PRIJEM	\N	70	17353	UROK	\N	\N
3651166	3661	1998-06-30	PRIJEM	\N	77	19071	UROK	\N	\N
3651167	3661	1998-07-31	PRIJEM	\N	84	20796	UROK	\N	\N
3651168	3661	1998-08-31	PRIJEM	\N	91	22529	UROK	\N	\N
3651169	3661	1998-09-30	PRIJEM	\N	98	24268	UROK	\N	\N
3651170	3661	1998-10-31	PRIJEM	\N	106	26015	UROK	\N	\N
3651171	3661	1998-11-30	PRIJEM	\N	113	27769	UROK	\N	\N
3651172	3661	1998-12-31	PRIJEM	\N	119	28680	UROK	\N	\N
3651173	3663	1994-11-30	PRIJEM	\N	66	25128	UROK	\N	\N
3651174	3663	1994-12-31	PRIJEM	\N	208	63829	UROK	\N	\N
3651175	3663	1995-01-31	PRIJEM	\N	278	68569	UROK	\N	\N
3651176	3663	1995-02-28	PRIJEM	\N	295	72726	UROK	\N	\N
3651177	3663	1995-03-31	PRIJEM	\N	288	65313	UROK	\N	\N
3651178	3663	1995-04-30	PRIJEM	\N	264	62663	UROK	\N	\N
3651179	3663	1995-05-31	PRIJEM	\N	263	63411	UROK	\N	\N
3651180	3663	1995-06-30	PRIJEM	\N	273	70201	UROK	\N	\N
3651181	3663	1995-07-31	PRIJEM	\N	282	67368	UROK	\N	\N
3651182	3663	1995-08-31	PRIJEM	\N	302	68155	UROK	\N	\N
3651183	3663	1995-09-30	PRIJEM	\N	277	65717	UROK	\N	\N
3651184	3663	1995-10-31	PRIJEM	\N	262	63565	UROK	\N	\N
3651185	3663	1995-11-30	PRIJEM	\N	262	64412	UROK	\N	\N
3651186	3663	1995-12-31	PRIJEM	\N	322	80351	UROK	\N	\N
3651187	3663	1996-01-31	PRIJEM	\N	261	49397	UROK	\N	\N
3651188	3663	1996-02-29	PRIJEM	\N	238	61920	UROK	\N	\N
3651189	3663	1996-03-31	PRIJEM	\N	250	55456	UROK	\N	\N
3651190	3663	1996-04-30	PRIJEM	\N	290	58031	UROK	\N	\N
3651191	3663	1996-05-31	PRIJEM	\N	297	57514	UROK	\N	\N
3651192	3663	1996-06-30	PRIJEM	\N	268	56698	UROK	\N	\N
3651193	3663	1996-07-31	PRIJEM	\N	259	55443	UROK	\N	\N
3651194	3663	1996-08-31	PRIJEM	\N	282	58910	UROK	\N	\N
3651195	3663	1996-09-30	PRIJEM	\N	277	58873	UROK	\N	\N
3651196	3663	1996-10-31	PRIJEM	\N	276	59334	UROK	\N	\N
3651197	3663	1996-11-30	PRIJEM	\N	292	61512	UROK	\N	\N
3651198	3663	1996-12-31	PRIJEM	\N	305	63333	UROK	\N	\N
3651199	3663	1997-01-31	PRIJEM	\N	252	50471	UROK	\N	\N
3651200	3663	1997-02-28	PRIJEM	\N	238	52194	UROK	\N	\N
3651201	3663	1997-03-31	PRIJEM	\N	257	50637	UROK	\N	\N
3651202	3663	1997-04-30	PRIJEM	\N	248	48470	UROK	\N	\N
3651203	3663	1997-05-31	PRIJEM	\N	227	48183	UROK	\N	\N
3651204	3663	1997-06-30	PRIJEM	\N	255	49554	UROK	\N	\N
3651205	3663	1997-07-31	PRIJEM	\N	225	48664	UROK	\N	\N
3651206	3663	1997-08-31	PRIJEM	\N	228	45477	UROK	\N	\N
3651207	3663	1997-09-30	PRIJEM	\N	203	42766	UROK	\N	\N
3651208	3663	1997-10-31	PRIJEM	\N	197	43648	UROK	\N	\N
3651209	3663	1997-11-30	PRIJEM	\N	213	47946	UROK	\N	\N
3651210	3663	1997-12-31	PRIJEM	\N	239	56702	UROK	\N	\N
3651211	3663	1998-01-31	PRIJEM	\N	220	35207	UROK	\N	\N
3651212	3663	1998-02-28	PRIJEM	\N	182	45074	UROK	\N	\N
3651213	3663	1998-03-31	PRIJEM	\N	208	48467	UROK	\N	\N
3651214	3663	1998-04-30	PRIJEM	\N	210	44863	UROK	\N	\N
3651215	3663	1998-05-31	PRIJEM	\N	197	40745	UROK	\N	\N
3651216	3663	1998-06-30	PRIJEM	\N	186	22447	UROK	\N	\N
3651217	3663	1998-07-31	PRIJEM	\N	130	32363	UROK	\N	\N
3651218	3663	1998-08-31	PRIJEM	\N	150	36599	UROK	\N	\N
3651219	3663	1998-09-30	PRIJEM	\N	166	40650	UROK	\N	\N
3651220	3663	1998-10-31	PRIJEM	\N	176	41511	UROK	\N	\N
3651221	3663	1998-11-30	PRIJEM	\N	163	38259	UROK	\N	\N
3651222	3663	1998-12-31	PRIJEM	\N	188	46064	UROK	\N	\N
3651223	3664	1996-05-31	PRIJEM	\N	131	65716	UROK	\N	\N
3651224	3664	1996-06-30	PRIJEM	\N	273	44989	UROK	\N	\N
3651225	3664	1996-07-31	PRIJEM	\N	273	34163	UROK	\N	\N
3651226	3664	1996-08-31	PRIJEM	\N	273	29436	UROK	\N	\N
3651227	3664	1996-09-30	PRIJEM	\N	273	27009	UROK	\N	\N
3651228	3664	1996-10-31	PRIJEM	\N	253	44671	UROK	\N	\N
3651229	3664	1996-11-30	PRIJEM	\N	181	29851	UROK	\N	\N
3651230	3664	1996-12-31	PRIJEM	\N	139	29310	UROK	\N	\N
3651231	3664	1997-01-31	PRIJEM	\N	147	53577	UROK	\N	\N
3651232	3664	1997-02-28	PRIJEM	\N	317	102055	UROK	\N	\N
3651233	3664	1997-03-31	PRIJEM	\N	332	55574	UROK	\N	\N
3651234	3664	1997-04-30	PRIJEM	\N	252	70171	UROK	\N	\N
3651235	3664	1997-05-31	PRIJEM	\N	309	69349	UROK	\N	\N
3651236	3664	1997-06-30	PRIJEM	\N	294	41608	UROK	\N	\N
3651237	3664	1997-07-31	PRIJEM	\N	157	41395	UROK	\N	\N
3651238	3664	1997-08-31	PRIJEM	\N	301	97516	UROK	\N	\N
3651239	3664	1997-09-30	PRIJEM	\N	357	66059	UROK	\N	\N
3651240	3664	1997-10-31	PRIJEM	\N	273	72822	UROK	\N	\N
3651241	3664	1997-11-30	PRIJEM	\N	320	91293	UROK	\N	\N
3651242	3664	1997-12-31	PRIJEM	\N	396	96322	UROK	\N	\N
3651243	3664	1998-01-31	PRIJEM	\N	369	80630	UROK	\N	\N
3651244	3664	1998-02-28	PRIJEM	\N	302	54274	UROK	\N	\N
3651245	3664	1998-03-31	PRIJEM	\N	231	89474	UROK	\N	\N
3651246	3664	1998-04-30	PRIJEM	\N	331	68400	UROK	\N	\N
3651247	3664	1998-05-31	PRIJEM	\N	271	63229	UROK	\N	\N
3651248	3664	1998-06-30	PRIJEM	\N	233	38172	UROK	\N	\N
3651249	3664	1998-07-31	PRIJEM	\N	147	39813	UROK	\N	\N
3651250	3664	1998-08-31	PRIJEM	\N	255	83346	UROK	\N	\N
3651251	3664	1998-09-30	PRIJEM	\N	355	89894	UROK	\N	\N
3651252	3664	1998-10-31	PRIJEM	\N	329	60503	UROK	\N	\N
3651253	3664	1998-11-30	PRIJEM	\N	217	42643	UROK	\N	\N
3651254	3664	1998-12-31	PRIJEM	\N	318	73355	UROK	\N	\N
3651255	3665	1997-11-30	PRIJEM	\N	30	35677	UROK	\N	\N
3651256	3665	1997-12-31	PRIJEM	\N	149	30625	UROK	\N	\N
3651257	3665	1998-01-31	PRIJEM	\N	149	32074	UROK	\N	\N
3651258	3665	1998-02-28	PRIJEM	\N	149	28122	UROK	\N	\N
3651259	3665	1998-03-31	PRIJEM	\N	149	29271	UROK	\N	\N
3651260	3665	1998-04-30	PRIJEM	\N	163	50254	UROK	\N	\N
3651261	3665	1998-05-31	PRIJEM	\N	221	62145	UROK	\N	\N
3651262	3665	1998-06-30	PRIJEM	\N	261	64979	UROK	\N	\N
3651263	3665	1998-07-31	PRIJEM	\N	278	36376	UROK	\N	\N
3651264	3665	1998-08-31	PRIJEM	\N	139	35984	UROK	\N	\N
3651265	3665	1998-09-30	PRIJEM	\N	181	40047	UROK	\N	\N
3651266	3665	1998-10-31	PRIJEM	\N	205	55494	UROK	\N	\N
3651267	3665	1998-11-30	PRIJEM	\N	191	43393	UROK	\N	\N
3651268	3665	1998-12-31	PRIJEM	\N	148	32297	UROK	\N	\N
3651269	3667	1994-02-28	PRIJEM	\N	8	12971	UROK	\N	\N
3651270	3667	1994-03-31	PRIJEM	\N	59	20993	UROK	\N	\N
3651271	3667	1994-04-30	PRIJEM	\N	91	26347	UROK	\N	\N
3651272	3667	1994-05-31	PRIJEM	\N	109	26119	UROK	\N	\N
3651273	3667	1994-06-30	PRIJEM	\N	116	25154	UROK	\N	\N
3651274	3667	1994-07-31	PRIJEM	\N	108	25736	UROK	\N	\N
3651275	3667	1994-08-31	PRIJEM	\N	113	28422	UROK	\N	\N
3651276	3667	1994-09-30	PRIJEM	\N	113	26688	UROK	\N	\N
3651277	3667	1994-10-31	PRIJEM	\N	116	28578	UROK	\N	\N
3651278	3667	1994-11-30	PRIJEM	\N	119	26870	UROK	\N	\N
3651279	3667	1994-12-31	PRIJEM	\N	111	24626	UROK	\N	\N
3651280	3667	1995-01-31	PRIJEM	\N	88	13227	UROK	\N	\N
3651281	3667	1995-02-28	PRIJEM	\N	69	22069	UROK	\N	\N
3651282	3667	1995-03-31	PRIJEM	\N	85	22047	UROK	\N	\N
3651283	3667	1995-04-30	PRIJEM	\N	95	23116	UROK	\N	\N
3651284	3667	1995-05-31	PRIJEM	\N	103	26292	UROK	\N	\N
3651285	3667	1995-06-30	PRIJEM	\N	119	29416	UROK	\N	\N
3651286	3667	1995-07-31	PRIJEM	\N	119	25908	UROK	\N	\N
3651287	3667	1995-08-31	PRIJEM	\N	99	20480	UROK	\N	\N
3651288	3667	1995-09-30	PRIJEM	\N	82	18835	UROK	\N	\N
3651289	3667	1995-10-31	PRIJEM	\N	80	18989	UROK	\N	\N
3651290	3667	1995-11-30	PRIJEM	\N	88	23050	UROK	\N	\N
3651291	3667	1995-12-31	PRIJEM	\N	98	20093	UROK	\N	\N
3651292	3667	1996-01-31	PRIJEM	\N	65	16031	UROK	\N	\N
3651293	3667	1996-02-29	PRIJEM	\N	75	19480	UROK	\N	\N
3651294	3667	1996-03-31	PRIJEM	\N	74	14727	UROK	\N	\N
3651295	3667	1996-04-30	PRIJEM	\N	73	19572	UROK	\N	\N
3651296	3667	1996-05-31	PRIJEM	\N	85	21131	UROK	\N	\N
3651297	3667	1996-06-30	PRIJEM	\N	91	19207	UROK	\N	\N
3651298	3667	1996-07-31	PRIJEM	\N	79	20840	UROK	\N	\N
3651299	3667	1996-08-31	PRIJEM	\N	84	19957	UROK	\N	\N
3651300	3667	1996-09-30	PRIJEM	\N	86	21116	UROK	\N	\N
3651301	3667	1996-10-31	PRIJEM	\N	85	20074	UROK	\N	\N
3651302	3667	1996-11-30	PRIJEM	\N	76	17423	UROK	\N	\N
3651303	3667	1996-12-31	PRIJEM	\N	70	14458	UROK	\N	\N
3651304	3667	1997-01-31	PRIJEM	\N	59	13870	UROK	\N	\N
3651305	3667	1997-02-28	PRIJEM	\N	56	13600	UROK	\N	\N
3651306	3667	1997-03-31	PRIJEM	\N	55	13408	UROK	\N	\N
3651307	3667	1997-04-30	PRIJEM	\N	64	16545	UROK	\N	\N
3651308	3667	1997-05-31	PRIJEM	\N	77	19796	UROK	\N	\N
3651309	3667	1997-06-30	PRIJEM	\N	79	16460	UROK	\N	\N
3651310	3667	1997-07-31	PRIJEM	\N	65	15598	UROK	\N	\N
3651311	3667	1997-08-31	PRIJEM	\N	59	13530	UROK	\N	\N
3651312	3667	1997-09-30	PRIJEM	\N	62	15565	UROK	\N	\N
3651313	3667	1997-10-31	PRIJEM	\N	65	15904	UROK	\N	\N
3651314	3667	1997-11-30	PRIJEM	\N	74	15812	UROK	\N	\N
3651315	3667	1997-12-31	PRIJEM	\N	77	18374	UROK	\N	\N
3651316	3667	1998-01-31	PRIJEM	\N	60	13567	UROK	\N	\N
3651317	3667	1998-02-28	PRIJEM	\N	57	13998	UROK	\N	\N
3651318	3667	1998-03-31	PRIJEM	\N	61	15532	UROK	\N	\N
3651319	3667	1998-04-30	PRIJEM	\N	67	17073	UROK	\N	\N
3651320	3667	1998-05-31	PRIJEM	\N	61	14807	UROK	\N	\N
3651321	3667	1998-06-30	PRIJEM	\N	72	18484	UROK	\N	\N
3651322	3667	1998-07-31	PRIJEM	\N	65	15223	UROK	\N	\N
3651323	3667	1998-08-31	PRIJEM	\N	60	14456	UROK	\N	\N
3651324	3667	1998-09-30	PRIJEM	\N	62	15992	UROK	\N	\N
3651325	3667	1998-10-31	PRIJEM	\N	69	17534	UROK	\N	\N
3651326	3667	1998-11-30	PRIJEM	\N	75	19083	UROK	\N	\N
3651327	3667	1998-12-31	PRIJEM	\N	77	16544	UROK	\N	\N
3651328	3669	1994-01-31	PRIJEM	\N	28	18692	UROK	\N	\N
3651329	3669	1994-02-28	PRIJEM	\N	89	27045	UROK	\N	\N
3651330	3669	1994-03-31	PRIJEM	\N	114	28222	UROK	\N	\N
3651331	3669	1994-04-30	PRIJEM	\N	123	32409	UROK	\N	\N
3651332	3669	1994-05-31	PRIJEM	\N	128	27159	UROK	\N	\N
3651333	3669	1994-06-30	PRIJEM	\N	127	28075	UROK	\N	\N
3651334	3669	1994-07-31	PRIJEM	\N	113	25295	UROK	\N	\N
3651335	3669	1994-08-31	PRIJEM	\N	101	21404	UROK	\N	\N
3651336	3669	1994-09-30	PRIJEM	\N	94	21605	UROK	\N	\N
3651337	3669	1994-10-31	PRIJEM	\N	101	22214	UROK	\N	\N
3651338	3669	1994-11-30	PRIJEM	\N	100	24021	UROK	\N	\N
3651339	3669	1994-12-31	PRIJEM	\N	109	25919	UROK	\N	\N
3651340	3669	1995-01-31	PRIJEM	\N	93	18720	UROK	\N	\N
3651341	3669	1995-02-28	PRIJEM	\N	76	17103	UROK	\N	\N
3651342	3669	1995-03-31	PRIJEM	\N	77	18288	UROK	\N	\N
3651343	3669	1995-04-30	PRIJEM	\N	87	21883	UROK	\N	\N
3651344	3669	1995-05-31	PRIJEM	\N	90	20779	UROK	\N	\N
3651345	3669	1995-06-30	PRIJEM	\N	98	22566	UROK	\N	\N
3651346	3669	1995-07-31	PRIJEM	\N	93	20767	UROK	\N	\N
3651347	3669	1995-08-31	PRIJEM	\N	88	20362	UROK	\N	\N
3651348	3669	1995-09-30	PRIJEM	\N	84	18353	UROK	\N	\N
3651349	3669	1995-10-31	PRIJEM	\N	68	14829	UROK	\N	\N
3651350	3669	1995-11-30	PRIJEM	\N	59	13195	UROK	\N	\N
3651351	3669	1995-12-31	PRIJEM	\N	69	16853	UROK	\N	\N
3651352	3669	1996-01-31	PRIJEM	\N	53	10814	UROK	\N	\N
3651353	3669	1996-02-29	PRIJEM	\N	54	10975	UROK	\N	\N
3651354	3669	1996-03-31	PRIJEM	\N	55	13737	UROK	\N	\N
3651355	3669	1996-04-30	PRIJEM	\N	66	16511	UROK	\N	\N
3651356	3669	1996-05-31	PRIJEM	\N	57	12275	UROK	\N	\N
3651357	3669	1996-06-30	PRIJEM	\N	62	15527	UROK	\N	\N
3651358	3669	1996-07-31	PRIJEM	\N	63	13197	UROK	\N	\N
3651359	3669	1996-08-31	PRIJEM	\N	53	12657	UROK	\N	\N
3651360	3669	1996-09-30	PRIJEM	\N	54	12719	UROK	\N	\N
3651361	3669	1996-10-31	PRIJEM	\N	49	11476	UROK	\N	\N
3651362	3669	1996-11-30	PRIJEM	\N	68	17351	UROK	\N	\N
3651363	3669	1996-12-31	PRIJEM	\N	94	21334	UROK	\N	\N
3651364	3669	1997-01-31	PRIJEM	\N	66	13707	UROK	\N	\N
3651365	3669	1997-02-28	PRIJEM	\N	70	17384	UROK	\N	\N
3651366	3669	1997-03-31	PRIJEM	\N	73	16965	UROK	\N	\N
3651367	3669	1997-04-30	PRIJEM	\N	78	19050	UROK	\N	\N
3651368	3669	1997-05-31	PRIJEM	\N	82	19639	UROK	\N	\N
3651369	3669	1997-06-30	PRIJEM	\N	70	13099	UROK	\N	\N
3651370	3669	1997-07-31	PRIJEM	\N	59	14365	UROK	\N	\N
3651371	3669	1997-08-31	PRIJEM	\N	68	17141	UROK	\N	\N
3651372	3669	1997-09-30	PRIJEM	\N	60	13808	UROK	\N	\N
3651373	3669	1997-10-31	PRIJEM	\N	64	15980	UROK	\N	\N
3651374	3669	1997-11-30	PRIJEM	\N	72	17760	UROK	\N	\N
3651375	3669	1997-12-31	PRIJEM	\N	93	23342	UROK	\N	\N
3651376	3669	1998-01-31	PRIJEM	\N	64	11513	UROK	\N	\N
3651377	3669	1998-02-28	PRIJEM	\N	56	14276	UROK	\N	\N
3651378	3669	1998-03-31	PRIJEM	\N	63	13746	UROK	\N	\N
3651379	3669	1998-04-30	PRIJEM	\N	56	14310	UROK	\N	\N
3651380	3669	1998-05-31	PRIJEM	\N	67	17084	UROK	\N	\N
3651381	3669	1998-06-30	PRIJEM	\N	88	20862	UROK	\N	\N
3651382	3669	1998-07-31	PRIJEM	\N	90	13560	UROK	\N	\N
3651383	3669	1998-08-31	PRIJEM	\N	64	16331	UROK	\N	\N
3651384	3669	1998-09-30	PRIJEM	\N	73	15312	UROK	\N	\N
3651385	3669	1998-10-31	PRIJEM	\N	62	13582	UROK	\N	\N
3651386	3669	1998-11-30	PRIJEM	\N	61	11750	UROK	\N	\N
3651387	3669	1998-12-31	PRIJEM	\N	69	18608	UROK	\N	\N
3651388	3670	1993-06-30	PRIJEM	\N	16	4858	UROK	\N	\N
3651389	3670	1993-07-31	PRIJEM	\N	20	9320	UROK	\N	\N
3651390	3670	1993-08-31	PRIJEM	\N	20	13783	UROK	\N	\N
3651391	3670	1993-09-30	PRIJEM	\N	20	18245	UROK	\N	\N
3651392	3670	1993-10-31	PRIJEM	\N	58	19784	UROK	\N	\N
3651393	3670	1993-11-30	PRIJEM	\N	81	18611	UROK	\N	\N
3651394	3670	1993-12-31	PRIJEM	\N	81	19158	UROK	\N	\N
3651395	3670	1994-01-31	PRIJEM	\N	82	17706	UROK	\N	\N
3651396	3670	1994-02-28	PRIJEM	\N	77	19250	UROK	\N	\N
3651397	3670	1994-03-31	PRIJEM	\N	75	17111	UROK	\N	\N
3651398	3670	1994-04-30	PRIJEM	\N	73	16250	UROK	\N	\N
3651399	3670	1994-05-31	PRIJEM	\N	68	16424	UROK	\N	\N
3651400	3670	1994-06-30	PRIJEM	\N	72	17963	UROK	\N	\N
3651401	3670	1994-07-31	PRIJEM	\N	79	19508	UROK	\N	\N
3651402	3670	1994-08-31	PRIJEM	\N	80	17214	UROK	\N	\N
3651403	3670	1994-09-30	PRIJEM	\N	75	18756	UROK	\N	\N
3651404	3670	1994-10-31	PRIJEM	\N	82	20304	UROK	\N	\N
3651405	3670	1994-11-30	PRIJEM	\N	87	20298	UROK	\N	\N
3651406	3670	1994-12-31	PRIJEM	\N	89	21103	UROK	\N	\N
3651407	3670	1995-01-31	PRIJEM	\N	80	18049	UROK	\N	\N
3651408	3670	1995-02-28	PRIJEM	\N	75	17910	UROK	\N	\N
3651409	3670	1995-03-31	PRIJEM	\N	78	19455	UROK	\N	\N
3651410	3670	1995-04-30	PRIJEM	\N	85	21006	UROK	\N	\N
3651411	3670	1995-05-31	PRIJEM	\N	91	22563	UROK	\N	\N
3651412	3670	1995-06-30	PRIJEM	\N	84	18913	UROK	\N	\N
3651413	3670	1995-07-31	PRIJEM	\N	82	20462	UROK	\N	\N
3651414	3670	1995-08-31	PRIJEM	\N	89	22017	UROK	\N	\N
3651415	3670	1995-09-30	PRIJEM	\N	95	23578	UROK	\N	\N
3651416	3670	1995-10-31	PRIJEM	\N	102	25146	UROK	\N	\N
3651417	3670	1995-11-30	PRIJEM	\N	108	26721	UROK	\N	\N
3651418	3670	1995-12-31	PRIJEM	\N	112	27149	UROK	\N	\N
3651419	3670	1996-01-31	PRIJEM	\N	106	23601	UROK	\N	\N
3651420	3670	1996-02-29	PRIJEM	\N	101	25169	UROK	\N	\N
3651421	3670	1996-03-31	PRIJEM	\N	108	26743	UROK	\N	\N
3651422	3670	1996-04-30	PRIJEM	\N	113	27122	UROK	\N	\N
3651423	3670	1996-05-31	PRIJEM	\N	116	28705	UROK	\N	\N
3651424	3670	1996-06-30	PRIJEM	\N	120	25741	UROK	\N	\N
3651425	3670	1996-07-31	PRIJEM	\N	110	27317	UROK	\N	\N
3651426	3670	1996-08-31	PRIJEM	\N	117	28900	UROK	\N	\N
3651427	3670	1996-09-30	PRIJEM	\N	122	28969	UROK	\N	\N
3651428	3670	1996-10-31	PRIJEM	\N	124	30558	UROK	\N	\N
3651429	3670	1996-11-30	PRIJEM	\N	128	31153	UROK	\N	\N
3651430	3670	1996-12-31	PRIJEM	\N	123	27522	UROK	\N	\N
3651431	3670	1997-01-31	PRIJEM	\N	116	25054	UROK	\N	\N
3651432	3670	1997-02-28	PRIJEM	\N	104	22944	UROK	\N	\N
3651433	3670	1997-03-31	PRIJEM	\N	98	24509	UROK	\N	\N
3651434	3670	1997-04-30	PRIJEM	\N	100	24235	UROK	\N	\N
3651435	3670	1997-05-31	PRIJEM	\N	103	22524	UROK	\N	\N
3651436	3670	1997-06-30	PRIJEM	\N	96	24087	UROK	\N	\N
3651437	3670	1997-07-31	PRIJEM	\N	97	23090	UROK	\N	\N
3651438	3670	1997-08-31	PRIJEM	\N	98	24254	UROK	\N	\N
3651439	3670	1997-09-30	PRIJEM	\N	103	25824	UROK	\N	\N
3651440	3670	1997-10-31	PRIJEM	\N	102	24413	UROK	\N	\N
3651441	3670	1997-11-30	PRIJEM	\N	101	24380	UROK	\N	\N
3651442	3670	1997-12-31	PRIJEM	\N	98	20434	UROK	\N	\N
3651443	3670	1998-01-31	PRIJEM	\N	86	20086	UROK	\N	\N
3651444	3670	1998-02-28	PRIJEM	\N	88	21340	UROK	\N	\N
3651445	3670	1998-03-31	PRIJEM	\N	86	20792	UROK	\N	\N
3651446	3670	1998-04-30	PRIJEM	\N	81	19340	UROK	\N	\N
3651447	3670	1998-05-31	PRIJEM	\N	77	18584	UROK	\N	\N
3651448	3670	1998-06-30	PRIJEM	\N	81	19932	UROK	\N	\N
3651449	3670	1998-07-31	PRIJEM	\N	84	20582	UROK	\N	\N
3651450	3670	1998-08-31	PRIJEM	\N	84	19733	UROK	\N	\N
3651451	3670	1998-09-30	PRIJEM	\N	83	21283	UROK	\N	\N
3651452	3670	1998-10-31	PRIJEM	\N	90	21239	UROK	\N	\N
3651453	3670	1998-11-30	PRIJEM	\N	89	22795	UROK	\N	\N
3651454	3670	1998-12-31	PRIJEM	\N	94	23405	UROK	\N	\N
3651455	3671	1998-01-31	PRIJEM	\N	36	15628	UROK	\N	\N
3651456	3671	1998-02-28	PRIJEM	\N	67	16116	UROK	\N	\N
3651457	3671	1998-03-31	PRIJEM	\N	61	13724	UROK	\N	\N
3651458	3671	1998-04-30	PRIJEM	\N	62	15493	UROK	\N	\N
3651459	3671	1998-05-31	PRIJEM	\N	58	11957	UROK	\N	\N
3651460	3671	1998-06-30	PRIJEM	\N	54	13317	UROK	\N	\N
3651461	3671	1998-07-31	PRIJEM	\N	60	14583	UROK	\N	\N
3651462	3671	1998-08-31	PRIJEM	\N	66	16355	UROK	\N	\N
3651463	3671	1998-09-30	PRIJEM	\N	70	15492	UROK	\N	\N
3651464	3671	1998-10-31	PRIJEM	\N	60	13759	UROK	\N	\N
3651465	3671	1998-11-30	PRIJEM	\N	59	13764	UROK	\N	\N
3651466	3671	1998-12-31	PRIJEM	\N	59	12759	UROK	\N	\N
3651467	3672	1996-04-30	PRIJEM	\N	38	20984	UROK	\N	\N
3651468	3672	1996-05-31	PRIJEM	\N	117	36747	UROK	\N	\N
3651469	3672	1996-06-30	PRIJEM	\N	180	51046	UROK	\N	\N
3651470	3672	1996-07-31	PRIJEM	\N	213	51505	UROK	\N	\N
3651471	3672	1996-08-31	PRIJEM	\N	219	53769	UROK	\N	\N
3651472	3672	1996-09-30	PRIJEM	\N	227	53383	UROK	\N	\N
3651473	3672	1996-10-31	PRIJEM	\N	221	51090	UROK	\N	\N
3651474	3672	1996-11-30	PRIJEM	\N	220	53096	UROK	\N	\N
3651475	3672	1996-12-31	PRIJEM	\N	226	50782	UROK	\N	\N
3651476	3672	1997-01-31	PRIJEM	\N	203	43671	UROK	\N	\N
3651477	3672	1997-02-28	PRIJEM	\N	189	46047	UROK	\N	\N
3651478	3672	1997-03-31	PRIJEM	\N	200	45633	UROK	\N	\N
3651479	3672	1997-04-30	PRIJEM	\N	191	43810	UROK	\N	\N
3651480	3672	1997-05-31	PRIJEM	\N	185	46181	UROK	\N	\N
3651481	3672	1997-06-30	PRIJEM	\N	192	45732	UROK	\N	\N
3651482	3672	1997-07-31	PRIJEM	\N	226	52045	UROK	\N	\N
3651483	3672	1997-08-31	PRIJEM	\N	248	64679	UROK	\N	\N
3651484	3672	1997-09-30	PRIJEM	\N	283	72149	UROK	\N	\N
3651485	3672	1997-10-31	PRIJEM	\N	308	76643	UROK	\N	\N
3651486	3672	1997-11-30	PRIJEM	\N	316	78545	UROK	\N	\N
3651487	3672	1997-12-31	PRIJEM	\N	337	86641	UROK	\N	\N
3651488	3672	1998-01-31	PRIJEM	\N	342	81969	UROK	\N	\N
3651489	3672	1998-02-28	PRIJEM	\N	336	85092	UROK	\N	\N
3651490	3672	1998-03-31	PRIJEM	\N	354	87932	UROK	\N	\N
3651491	3672	1998-04-30	PRIJEM	\N	365	90283	UROK	\N	\N
3651492	3672	1998-05-31	PRIJEM	\N	356	87225	UROK	\N	\N
3651493	3672	1998-06-30	PRIJEM	\N	361	66645	UROK	\N	\N
3651494	3672	1998-07-31	PRIJEM	\N	295	76126	UROK	\N	\N
3651495	3672	1998-08-31	PRIJEM	\N	330	84342	UROK	\N	\N
3651496	3672	1998-09-30	PRIJEM	\N	342	85571	UROK	\N	\N
3651497	3672	1998-10-31	PRIJEM	\N	342	86399	UROK	\N	\N
3651498	3672	1998-11-30	PRIJEM	\N	325	82110	UROK	\N	\N
3651499	3672	1998-12-31	PRIJEM	\N	377	97347	UROK	\N	\N
3651500	3673	1996-01-31	PRIJEM	\N	10	4019	UROK	\N	\N
3651501	3673	1996-02-29	PRIJEM	\N	43	15671	UROK	\N	\N
3651502	3673	1996-03-31	PRIJEM	\N	79	21559	UROK	\N	\N
3651503	3673	1996-04-30	PRIJEM	\N	96	24365	UROK	\N	\N
3651504	3673	1996-05-31	PRIJEM	\N	110	28094	UROK	\N	\N
3651505	3673	1996-06-30	PRIJEM	\N	111	21800	UROK	\N	\N
3651506	3673	1996-07-31	PRIJEM	\N	96	23912	UROK	\N	\N
3651507	3673	1996-08-31	PRIJEM	\N	111	28579	UROK	\N	\N
3651508	3673	1996-09-30	PRIJEM	\N	125	31259	UROK	\N	\N
3651509	3673	1996-10-31	PRIJEM	\N	124	28988	UROK	\N	\N
3651510	3673	1996-11-30	PRIJEM	\N	122	30036	UROK	\N	\N
3651511	3673	1996-12-31	PRIJEM	\N	125	29646	UROK	\N	\N
3651512	3673	1997-01-31	PRIJEM	\N	118	28670	UROK	\N	\N
3651513	3673	1997-02-28	PRIJEM	\N	125	31070	UROK	\N	\N
3651514	3673	1997-03-31	PRIJEM	\N	130	30975	UROK	\N	\N
3651515	3673	1997-04-30	PRIJEM	\N	128	30958	UROK	\N	\N
3651516	3673	1997-05-31	PRIJEM	\N	129	31593	UROK	\N	\N
3651517	3673	1997-06-30	PRIJEM	\N	124	28882	UROK	\N	\N
3651518	3673	1997-07-31	PRIJEM	\N	120	29358	UROK	\N	\N
3651519	3673	1997-08-31	PRIJEM	\N	125	30188	UROK	\N	\N
3651520	3673	1997-09-30	PRIJEM	\N	118	27842	UROK	\N	\N
3651521	3673	1997-10-31	PRIJEM	\N	115	27972	UROK	\N	\N
3651522	3673	1997-11-30	PRIJEM	\N	120	29848	UROK	\N	\N
3651523	3673	1997-12-31	PRIJEM	\N	119	29322	UROK	\N	\N
3651524	3673	1998-01-31	PRIJEM	\N	103	23700	UROK	\N	\N
3651525	3673	1998-02-28	PRIJEM	\N	105	25951	UROK	\N	\N
3651526	3673	1998-03-31	PRIJEM	\N	116	29322	UROK	\N	\N
3651527	3673	1998-04-30	PRIJEM	\N	120	28087	UROK	\N	\N
3651528	3673	1998-05-31	PRIJEM	\N	117	28559	UROK	\N	\N
3651529	3673	1998-06-30	PRIJEM	\N	119	28683	UROK	\N	\N
3651530	3673	1998-07-31	PRIJEM	\N	122	27770	UROK	\N	\N
3651531	3673	1998-08-31	PRIJEM	\N	117	27743	UROK	\N	\N
3651532	3673	1998-09-30	PRIJEM	\N	116	25513	UROK	\N	\N
3651533	3673	1998-10-31	PRIJEM	\N	104	19473	UROK	\N	\N
3651534	3673	1998-11-30	PRIJEM	\N	80	15408	UROK	\N	\N
3651535	3673	1998-12-31	PRIJEM	\N	64	15797	UROK	\N	\N
3651536	3674	1993-03-31	PRIJEM	\N	2	12728	UROK	\N	\N
3651537	3674	1993-04-30	PRIJEM	\N	53	19281	UROK	\N	\N
3651538	3674	1993-05-31	PRIJEM	\N	194	73669	UROK	\N	\N
3651539	3674	1993-06-30	PRIJEM	\N	306	51575	UROK	\N	\N
3651540	3674	1993-07-31	PRIJEM	\N	310	78063	UROK	\N	\N
3651541	3674	1993-08-31	PRIJEM	\N	323	73850	UROK	\N	\N
3651542	3674	1993-09-30	PRIJEM	\N	173	63442	UROK	\N	\N
3651543	3674	1993-10-31	PRIJEM	\N	159	23683	UROK	\N	\N
3651544	3674	1993-11-30	PRIJEM	\N	72	13538	UROK	\N	\N
3651545	3674	1993-12-31	PRIJEM	\N	54	10874	UROK	\N	\N
3651546	3674	1994-01-31	PRIJEM	\N	77	21828	UROK	\N	\N
3651547	3674	1994-02-28	PRIJEM	\N	86	43580	UROK	\N	\N
3651548	3674	1994-03-31	PRIJEM	\N	170	77380	UROK	\N	\N
3651549	3674	1994-04-30	PRIJEM	\N	289	89217	UROK	\N	\N
3651550	3674	1994-05-31	PRIJEM	\N	212	33151	UROK	\N	\N
3651551	3674	1994-06-30	PRIJEM	\N	129	37182	UROK	\N	\N
3651552	3674	1994-07-31	PRIJEM	\N	129	58601	UROK	\N	\N
3651553	3674	1994-08-31	PRIJEM	\N	319	99311	UROK	\N	\N
3651554	3674	1994-09-30	PRIJEM	\N	361	88802	UROK	\N	\N
3651555	3674	1994-10-31	PRIJEM	\N	355	105416	UROK	\N	\N
3651556	3674	1994-11-30	PRIJEM	\N	413	101688	UROK	\N	\N
3651557	3674	1994-12-31	PRIJEM	\N	366	89348	UROK	\N	\N
3651558	3674	1995-01-31	PRIJEM	\N	324	95796	UROK	\N	\N
3651559	3674	1995-02-28	PRIJEM	\N	447	60382	UROK	\N	\N
3651560	3674	1995-03-31	PRIJEM	\N	316	88181	UROK	\N	\N
3651561	3674	1995-04-30	PRIJEM	\N	313	67044	UROK	\N	\N
3651562	3674	1995-05-31	PRIJEM	\N	229	35787	UROK	\N	\N
3651563	3674	1995-06-30	PRIJEM	\N	123	24423	UROK	\N	\N
3651564	3674	1995-07-31	PRIJEM	\N	144	39358	UROK	\N	\N
3651565	3674	1995-08-31	PRIJEM	\N	316	77477	UROK	\N	\N
3651566	3674	1995-09-30	PRIJEM	\N	348	66477	UROK	\N	\N
3651567	3674	1995-10-31	PRIJEM	\N	293	61541	UROK	\N	\N
3651568	3674	1995-11-30	PRIJEM	\N	261	47445	UROK	\N	\N
3651569	3674	1995-12-31	PRIJEM	\N	258	62772	UROK	\N	\N
3651570	3674	1996-01-31	PRIJEM	\N	256	56118	UROK	\N	\N
3651571	3674	1996-02-29	PRIJEM	\N	190	38529	UROK	\N	\N
3651572	3674	1996-03-31	PRIJEM	\N	199	77043	UROK	\N	\N
3651573	3674	1996-04-30	PRIJEM	\N	311	59743	UROK	\N	\N
3651574	3674	1996-05-31	PRIJEM	\N	255	64468	UROK	\N	\N
3651575	3674	1996-06-30	PRIJEM	\N	374	95146	UROK	\N	\N
3651576	3674	1996-07-31	PRIJEM	\N	357	66429	UROK	\N	\N
3651577	3674	1996-08-31	PRIJEM	\N	220	57825	UROK	\N	\N
3651578	3674	1996-09-30	PRIJEM	\N	213	61770	UROK	\N	\N
3651579	3674	1996-10-31	PRIJEM	\N	188	40874	UROK	\N	\N
3651580	3674	1996-11-30	PRIJEM	\N	168	78676	UROK	\N	\N
3651581	3674	1996-12-31	PRIJEM	\N	279	52573	UROK	\N	\N
3651582	3674	1997-01-31	PRIJEM	\N	257	68700	UROK	\N	\N
3651583	3674	1997-02-28	PRIJEM	\N	234	49143	UROK	\N	\N
3651584	3674	1997-03-31	PRIJEM	\N	236	65716	UROK	\N	\N
3651585	3674	1997-04-30	PRIJEM	\N	218	35758	UROK	\N	\N
3651586	3674	1997-05-31	PRIJEM	\N	303	86134	UROK	\N	\N
3651587	3674	1997-06-30	PRIJEM	\N	390	85475	UROK	\N	\N
3651588	3674	1997-07-31	PRIJEM	\N	351	117609	UROK	\N	\N
3651589	3674	1997-08-31	PRIJEM	\N	428	78037	UROK	\N	\N
3651590	3674	1997-09-30	PRIJEM	\N	321	66726	UROK	\N	\N
3651591	3674	1997-10-31	PRIJEM	\N	246	45520	UROK	\N	\N
3651592	3674	1997-11-30	PRIJEM	\N	361	71952	UROK	\N	\N
3651593	3674	1997-12-31	PRIJEM	\N	285	42501	UROK	\N	\N
3651594	3674	1998-01-31	PRIJEM	\N	174	38934	UROK	\N	\N
3651595	3674	1998-02-28	PRIJEM	\N	149	36842	UROK	\N	\N
3651596	3674	1998-03-31	PRIJEM	\N	213	69599	UROK	\N	\N
3651597	3674	1998-04-30	PRIJEM	\N	303	51877	UROK	\N	\N
3651598	3674	1998-05-31	PRIJEM	\N	337	141819	UROK	\N	\N
3651599	3674	1998-06-30	PRIJEM	\N	305	69377	UROK	\N	\N
3651600	3674	1998-07-31	PRIJEM	\N	338	86156	UROK	\N	\N
3651601	3674	1998-08-31	PRIJEM	\N	328	58449	UROK	\N	\N
3651602	3674	1998-09-30	PRIJEM	\N	305	76176	UROK	\N	\N
3651603	3674	1998-10-31	PRIJEM	\N	380	100322	UROK	\N	\N
3651604	3674	1998-11-30	PRIJEM	\N	268	95824	UROK	\N	\N
3651605	3674	1998-12-31	PRIJEM	\N	393	88581	UROK	\N	\N
3651606	3675	1993-04-30	PRIJEM	\N	64	38363	UROK	\N	\N
3651607	3675	1993-05-31	PRIJEM	\N	193	57655	UROK	\N	\N
3651608	3675	1993-06-30	PRIJEM	\N	341	66244	UROK	\N	\N
3651609	3675	1993-07-31	PRIJEM	\N	200	36343	UROK	\N	\N
3651610	3675	1993-08-31	PRIJEM	\N	183	52425	UROK	\N	\N
3651611	3675	1993-09-30	PRIJEM	\N	242	43268	UROK	\N	\N
3651612	3675	1993-10-31	PRIJEM	\N	226	28003	UROK	\N	\N
3651613	3675	1993-11-30	PRIJEM	\N	164	32766	UROK	\N	\N
3651614	3675	1993-12-31	PRIJEM	\N	234	55209	UROK	\N	\N
3651615	3675	1994-01-31	PRIJEM	\N	193	20162	UROK	\N	\N
3651616	3675	1994-02-28	PRIJEM	\N	154	40076	UROK	\N	\N
3651617	3675	1994-03-31	PRIJEM	\N	195	34180	UROK	\N	\N
3651618	3675	1994-04-30	PRIJEM	\N	203	48743	UROK	\N	\N
3651619	3675	1994-05-31	PRIJEM	\N	245	54948	UROK	\N	\N
3651620	3675	1994-06-30	PRIJEM	\N	191	26449	UROK	\N	\N
3651621	3675	1994-07-31	PRIJEM	\N	180	46089	UROK	\N	\N
3651622	3675	1994-08-31	PRIJEM	\N	237	57487	UROK	\N	\N
3651623	3675	1994-09-30	PRIJEM	\N	259	61006	UROK	\N	\N
3651624	3675	1994-10-31	PRIJEM	\N	265	55362	UROK	\N	\N
3651625	3675	1994-11-30	PRIJEM	\N	252	61375	UROK	\N	\N
3651626	3675	1994-12-31	PRIJEM	\N	209	47493	UROK	\N	\N
3651627	3675	1995-01-31	PRIJEM	\N	134	26288	UROK	\N	\N
3651628	3675	1995-02-28	PRIJEM	\N	227	62076	UROK	\N	\N
3651629	3675	1995-03-31	PRIJEM	\N	274	65910	UROK	\N	\N
3651630	3675	1995-04-30	PRIJEM	\N	254	55134	UROK	\N	\N
3651631	3675	1995-05-31	PRIJEM	\N	249	46528	UROK	\N	\N
3651632	3675	1995-06-30	PRIJEM	\N	266	33204	UROK	\N	\N
3651633	3675	1995-07-31	PRIJEM	\N	250	70314	UROK	\N	\N
3651634	3675	1995-08-31	PRIJEM	\N	304	67508	UROK	\N	\N
3651635	3675	1995-09-30	PRIJEM	\N	338	90006	UROK	\N	\N
3651636	3675	1995-10-31	PRIJEM	\N	394	101561	UROK	\N	\N
3651637	3675	1995-11-30	PRIJEM	\N	440	109261	UROK	\N	\N
3651638	3675	1995-12-31	PRIJEM	\N	350	81520	UROK	\N	\N
3651639	3675	1996-01-31	PRIJEM	\N	240	47620	UROK	\N	\N
3651640	3675	1996-02-29	PRIJEM	\N	212	39827	UROK	\N	\N
3651641	3675	1996-03-31	PRIJEM	\N	221	57608	UROK	\N	\N
3651642	3675	1996-04-30	PRIJEM	\N	242	59784	UROK	\N	\N
3651643	3675	1996-05-31	PRIJEM	\N	272	68917	UROK	\N	\N
3651644	3675	1996-06-30	PRIJEM	\N	275	70516	UROK	\N	\N
3651645	3675	1996-07-31	PRIJEM	\N	305	75282	UROK	\N	\N
3651646	3675	1996-08-31	PRIJEM	\N	305	70824	UROK	\N	\N
3651647	3675	1996-09-30	PRIJEM	\N	283	62955	UROK	\N	\N
3651648	3675	1996-10-31	PRIJEM	\N	280	50688	UROK	\N	\N
3651649	3675	1996-11-30	PRIJEM	\N	316	59165	UROK	\N	\N
3651650	3675	1996-12-31	PRIJEM	\N	327	49501	UROK	\N	\N
3651651	3675	1997-01-31	PRIJEM	\N	230	34791	UROK	\N	\N
3651652	3675	1997-02-28	PRIJEM	\N	235	47487	UROK	\N	\N
3651653	3675	1997-03-31	PRIJEM	\N	300	55647	UROK	\N	\N
3651654	3675	1997-04-30	PRIJEM	\N	328	55836	UROK	\N	\N
3651655	3675	1997-05-31	PRIJEM	\N	286	48482	UROK	\N	\N
3651656	3675	1997-06-30	PRIJEM	\N	316	25708	UROK	\N	\N
3651657	3675	1997-07-31	PRIJEM	\N	200	36768	UROK	\N	\N
3651658	3675	1997-08-31	PRIJEM	\N	243	46572	UROK	\N	\N
3651659	3675	1997-09-30	PRIJEM	\N	280	54813	UROK	\N	\N
3651660	3675	1997-10-31	PRIJEM	\N	305	55178	UROK	\N	\N
3651661	3675	1997-11-30	PRIJEM	\N	296	46435	UROK	\N	\N
3651662	3675	1997-12-31	PRIJEM	\N	300	60944	UROK	\N	\N
3651663	3675	1998-01-31	PRIJEM	\N	182	30139	UROK	\N	\N
3651664	3675	1998-02-28	PRIJEM	\N	193	36560	UROK	\N	\N
3651665	3675	1998-03-31	PRIJEM	\N	178	35225	UROK	\N	\N
3651666	3675	1998-04-30	PRIJEM	\N	178	34895	UROK	\N	\N
3651667	3675	1998-05-31	PRIJEM	\N	230	51185	UROK	\N	\N
3651668	3675	1998-06-30	PRIJEM	\N	288	50711	UROK	\N	\N
3651669	3675	1998-07-31	PRIJEM	\N	265	54436	UROK	\N	\N
3651670	3675	1998-08-31	PRIJEM	\N	270	38225	UROK	\N	\N
3651671	3675	1998-09-30	PRIJEM	\N	206	46391	UROK	\N	\N
3651672	3675	1998-10-31	PRIJEM	\N	251	52803	UROK	\N	\N
3651673	3675	1998-11-30	PRIJEM	\N	240	39257	UROK	\N	\N
3651674	3675	1998-12-31	PRIJEM	\N	251	32682	UROK	\N	\N
3651675	3676	1996-10-31	PRIJEM	\N	71	20287	UROK	\N	\N
3651676	3676	1996-11-30	PRIJEM	\N	71	12738	UROK	\N	\N
3651677	3676	1996-12-31	PRIJEM	\N	54	12637	UROK	\N	\N
3651678	3676	1997-01-31	PRIJEM	\N	55	12338	UROK	\N	\N
3651679	3676	1997-02-28	PRIJEM	\N	54	13157	UROK	\N	\N
3651680	3676	1997-03-31	PRIJEM	\N	58	13460	UROK	\N	\N
3651681	3676	1997-04-30	PRIJEM	\N	61	15167	UROK	\N	\N
3651682	3676	1997-05-31	PRIJEM	\N	56	12948	UROK	\N	\N
3651683	3676	1997-06-30	PRIJEM	\N	59	14653	UROK	\N	\N
3651684	3676	1997-07-31	PRIJEM	\N	66	16364	UROK	\N	\N
3651685	3676	1997-08-31	PRIJEM	\N	72	15282	UROK	\N	\N
3651686	3676	1997-09-30	PRIJEM	\N	69	16996	UROK	\N	\N
3651687	3676	1997-10-31	PRIJEM	\N	76	18717	UROK	\N	\N
3651688	3676	1997-11-30	PRIJEM	\N	83	20445	UROK	\N	\N
3651689	3676	1997-12-31	PRIJEM	\N	74	15264	UROK	\N	\N
3651690	3676	1998-01-31	PRIJEM	\N	62	13932	UROK	\N	\N
3651691	3676	1998-02-28	PRIJEM	\N	60	13477	UROK	\N	\N
3651692	3676	1998-03-31	PRIJEM	\N	61	15184	UROK	\N	\N
3651693	3676	1998-04-30	PRIJEM	\N	68	16898	UROK	\N	\N
3651694	3676	1998-05-31	PRIJEM	\N	73	12416	UROK	\N	\N
3651695	3676	1998-06-30	PRIJEM	\N	57	14118	UROK	\N	\N
3651696	3676	1998-07-31	PRIJEM	\N	64	15827	UROK	\N	\N
3651697	3676	1998-08-31	PRIJEM	\N	64	15057	UROK	\N	\N
3651698	3676	1998-09-30	PRIJEM	\N	62	13744	UROK	\N	\N
3651699	3676	1998-10-31	PRIJEM	\N	62	15452	UROK	\N	\N
3651700	3676	1998-11-30	PRIJEM	\N	65	14283	UROK	\N	\N
3651701	3676	1998-12-31	PRIJEM	\N	63	15391	UROK	\N	\N
3651702	3677	1995-10-31	PRIJEM	\N	11	3836	UROK	\N	\N
3651703	3677	1995-11-30	PRIJEM	\N	16	7277	UROK	\N	\N
3651704	3677	1995-12-31	PRIJEM	\N	16	10718	UROK	\N	\N
3651705	3677	1996-01-31	PRIJEM	\N	16	14159	UROK	\N	\N
3651706	3677	1996-02-29	PRIJEM	\N	18	17602	UROK	\N	\N
3651707	3677	1996-03-31	PRIJEM	\N	73	17722	UROK	\N	\N
3651708	3677	1996-04-30	PRIJEM	\N	77	18926	UROK	\N	\N
3651709	3677	1996-05-31	PRIJEM	\N	82	19925	UROK	\N	\N
3651710	3677	1996-06-30	PRIJEM	\N	81	19313	UROK	\N	\N
3651711	3677	1996-07-31	PRIJEM	\N	79	19350	UROK	\N	\N
3651712	3677	1996-08-31	PRIJEM	\N	83	18060	UROK	\N	\N
3651713	3677	1996-09-30	PRIJEM	\N	77	14864	UROK	\N	\N
3651714	3677	1996-10-31	PRIJEM	\N	65	15256	UROK	\N	\N
3651715	3677	1996-11-30	PRIJEM	\N	65	13148	UROK	\N	\N
3651716	3677	1996-12-31	PRIJEM	\N	53	11948	UROK	\N	\N
3651717	3677	1997-01-31	PRIJEM	\N	51	10816	UROK	\N	\N
3651718	3677	1997-02-28	PRIJEM	\N	48	11992	UROK	\N	\N
3651719	3677	1997-03-31	PRIJEM	\N	53	12672	UROK	\N	\N
3651720	3677	1997-04-30	PRIJEM	\N	56	13855	UROK	\N	\N
3651721	3677	1997-05-31	PRIJEM	\N	53	11086	UROK	\N	\N
3651722	3677	1997-06-30	PRIJEM	\N	49	12262	UROK	\N	\N
3651723	3677	1997-07-31	PRIJEM	\N	54	13444	UROK	\N	\N
3651724	3677	1997-08-31	PRIJEM	\N	58	13229	UROK	\N	\N
3651725	3677	1997-09-30	PRIJEM	\N	58	14414	UROK	\N	\N
3651726	3677	1997-10-31	PRIJEM	\N	57	13678	UROK	\N	\N
3651727	3677	1997-11-30	PRIJEM	\N	60	14865	UROK	\N	\N
3651728	3677	1997-12-31	PRIJEM	\N	63	14646	UROK	\N	\N
3651729	3677	1998-01-31	PRIJEM	\N	63	15236	UROK	\N	\N
3651730	3677	1998-02-28	PRIJEM	\N	64	14728	UROK	\N	\N
3651731	3677	1998-03-31	PRIJEM	\N	64	15919	UROK	\N	\N
3651732	3677	1998-04-30	PRIJEM	\N	60	12087	UROK	\N	\N
3651733	3677	1998-05-31	PRIJEM	\N	53	13267	UROK	\N	\N
3651734	3677	1998-06-30	PRIJEM	\N	57	13752	UROK	\N	\N
3651735	3677	1998-07-31	PRIJEM	\N	58	13737	UROK	\N	\N
3651736	3677	1998-08-31	PRIJEM	\N	58	14023	UROK	\N	\N
3651737	3677	1998-09-30	PRIJEM	\N	61	15211	UROK	\N	\N
3651738	3677	1998-10-31	PRIJEM	\N	64	14032	UROK	\N	\N
3651739	3677	1998-11-30	PRIJEM	\N	61	14921	UROK	\N	\N
3651740	3677	1998-12-31	PRIJEM	\N	61	14909	UROK	\N	\N
3651741	3679	1995-09-30	PRIJEM	\N	50	21391	UROK	\N	\N
3651742	3679	1995-10-31	PRIJEM	\N	119	34052	UROK	\N	\N
3651743	3679	1995-11-30	PRIJEM	\N	149	37042	UROK	\N	\N
3651744	3679	1995-12-31	PRIJEM	\N	179	46782	UROK	\N	\N
3651745	3679	1996-01-31	PRIJEM	\N	178	38461	UROK	\N	\N
3651746	3679	1996-02-29	PRIJEM	\N	133	33863	UROK	\N	\N
3651747	3679	1996-03-31	PRIJEM	\N	126	26579	UROK	\N	\N
3651748	3679	1996-04-30	PRIJEM	\N	113	21101	UROK	\N	\N
3651749	3679	1996-05-31	PRIJEM	\N	117	33428	UROK	\N	\N
3651750	3679	1996-06-30	PRIJEM	\N	177	45135	UROK	\N	\N
3651751	3679	1996-07-31	PRIJEM	\N	184	41928	UROK	\N	\N
3651752	3679	1996-08-31	PRIJEM	\N	170	41739	UROK	\N	\N
3651753	3679	1996-09-30	PRIJEM	\N	197	43278	UROK	\N	\N
3651754	3679	1996-10-31	PRIJEM	\N	172	41291	UROK	\N	\N
3651755	3679	1996-11-30	PRIJEM	\N	162	39534	UROK	\N	\N
3651756	3679	1996-12-31	PRIJEM	\N	178	44554	UROK	\N	\N
3651757	3679	1997-01-31	PRIJEM	\N	119	23754	UROK	\N	\N
3651758	3679	1997-02-28	PRIJEM	\N	127	27223	UROK	\N	\N
3651759	3679	1997-03-31	PRIJEM	\N	132	26996	UROK	\N	\N
3651760	3679	1997-04-30	PRIJEM	\N	94	23032	UROK	\N	\N
3651761	3679	1997-05-31	PRIJEM	\N	83	18536	UROK	\N	\N
3651762	3679	1997-06-30	PRIJEM	\N	122	28321	UROK	\N	\N
3651763	3679	1997-07-31	PRIJEM	\N	107	25469	UROK	\N	\N
3651764	3679	1997-08-31	PRIJEM	\N	100	20430	UROK	\N	\N
3651765	3679	1997-09-30	PRIJEM	\N	88	22659	UROK	\N	\N
3651766	3679	1997-10-31	PRIJEM	\N	119	24319	UROK	\N	\N
3651767	3679	1997-11-30	PRIJEM	\N	116	23776	UROK	\N	\N
3651768	3679	1997-12-31	PRIJEM	\N	133	36131	UROK	\N	\N
3651769	3679	1998-01-31	PRIJEM	\N	117	28070	UROK	\N	\N
3651770	3679	1998-02-28	PRIJEM	\N	109	27120	UROK	\N	\N
3651771	3679	1998-03-31	PRIJEM	\N	126	32387	UROK	\N	\N
3651772	3679	1998-04-30	PRIJEM	\N	148	37876	UROK	\N	\N
3651773	3679	1998-05-31	PRIJEM	\N	158	43576	UROK	\N	\N
3651774	3679	1998-06-30	PRIJEM	\N	197	51335	UROK	\N	\N
3651775	3679	1998-07-31	PRIJEM	\N	184	37741	UROK	\N	\N
3651776	3679	1998-08-31	PRIJEM	\N	150	37032	UROK	\N	\N
3651777	3679	1998-09-30	PRIJEM	\N	148	36721	UROK	\N	\N
3651778	3679	1998-10-31	PRIJEM	\N	150	41812	UROK	\N	\N
3651779	3679	1998-11-30	PRIJEM	\N	188	46342	UROK	\N	\N
3651780	3679	1998-12-31	PRIJEM	\N	189	43773	UROK	\N	\N
3651781	3680	1996-07-31	PRIJEM	\N	68	29768	UROK	\N	\N
3651782	3680	1996-08-31	PRIJEM	\N	130	31683	UROK	\N	\N
3651783	3680	1996-09-30	PRIJEM	\N	124	27692	UROK	\N	\N
3651784	3680	1996-10-31	PRIJEM	\N	120	29298	UROK	\N	\N
3651785	3680	1996-11-30	PRIJEM	\N	112	24855	UROK	\N	\N
3651786	3680	1996-12-31	PRIJEM	\N	106	26096	UROK	\N	\N
3651787	3680	1997-01-31	PRIJEM	\N	91	14973	UROK	\N	\N
3651788	3680	1997-02-28	PRIJEM	\N	65	15323	UROK	\N	\N
3651789	3680	1997-03-31	PRIJEM	\N	71	17679	UROK	\N	\N
3651790	3680	1997-04-30	PRIJEM	\N	79	20044	UROK	\N	\N
3651791	3680	1997-05-31	PRIJEM	\N	85	19134	UROK	\N	\N
3651792	3680	1997-06-30	PRIJEM	\N	76	18615	UROK	\N	\N
3651793	3680	1997-07-31	PRIJEM	\N	83	20984	UROK	\N	\N
3651794	3680	1997-08-31	PRIJEM	\N	93	23363	UROK	\N	\N
3651795	3680	1997-09-30	PRIJEM	\N	103	25751	UROK	\N	\N
3651796	3680	1997-10-31	PRIJEM	\N	113	28149	UROK	\N	\N
3651797	3680	1997-11-30	PRIJEM	\N	123	30558	UROK	\N	\N
3651798	3680	1997-12-31	PRIJEM	\N	128	31621	UROK	\N	\N
3651799	3680	1998-01-31	PRIJEM	\N	102	21159	UROK	\N	\N
3651800	3680	1998-02-28	PRIJEM	\N	89	20174	UROK	\N	\N
3651801	3680	1998-03-31	PRIJEM	\N	83	18622	UROK	\N	\N
3651802	3680	1998-04-30	PRIJEM	\N	82	19150	UROK	\N	\N
3651803	3680	1998-05-31	PRIJEM	\N	85	20960	UROK	\N	\N
3651804	3680	1998-06-30	PRIJEM	\N	79	19124	UROK	\N	\N
3651805	3680	1998-07-31	PRIJEM	\N	85	21495	UROK	\N	\N
3651806	3680	1998-08-31	PRIJEM	\N	95	23875	UROK	\N	\N
3651807	3680	1998-09-30	PRIJEM	\N	96	23297	UROK	\N	\N
3651808	3680	1998-10-31	PRIJEM	\N	102	25684	UROK	\N	\N
3651809	3680	1998-11-30	PRIJEM	\N	112	28082	UROK	\N	\N
3651810	3680	1998-12-31	PRIJEM	\N	122	30140	UROK	\N	\N
3651811	3681	1997-02-28	PRIJEM	\N	17	23191	UROK	\N	\N
3651812	3681	1997-03-31	PRIJEM	\N	110	39875	UROK	\N	\N
3651813	3681	1997-04-30	PRIJEM	\N	169	43918	UROK	\N	\N
3651814	3681	1997-05-31	PRIJEM	\N	186	48078	UROK	\N	\N
3651815	3681	1997-06-30	PRIJEM	\N	223	28212	UROK	\N	\N
3651816	3681	1997-07-31	PRIJEM	\N	147	38222	UROK	\N	\N
3651817	3681	1997-08-31	PRIJEM	\N	167	43551	UROK	\N	\N
3651818	3681	1997-09-30	PRIJEM	\N	189	43103	UROK	\N	\N
3651819	3681	1997-10-31	PRIJEM	\N	194	41959	UROK	\N	\N
3651820	3681	1997-11-30	PRIJEM	\N	194	45215	UROK	\N	\N
3651821	3681	1997-12-31	PRIJEM	\N	215	49609	UROK	\N	\N
3651822	3681	1998-01-31	PRIJEM	\N	148	25860	UROK	\N	\N
3651823	3681	1998-02-28	PRIJEM	\N	137	33179	UROK	\N	\N
3651824	3681	1998-03-31	PRIJEM	\N	165	41706	UROK	\N	\N
3651825	3681	1998-04-30	PRIJEM	\N	189	43157	UROK	\N	\N
3651826	3681	1998-05-31	PRIJEM	\N	205	51224	UROK	\N	\N
3651827	3681	1998-06-30	PRIJEM	\N	185	47429	UROK	\N	\N
3651828	3681	1998-07-31	PRIJEM	\N	219	53911	UROK	\N	\N
3651829	3681	1998-08-31	PRIJEM	\N	241	57714	UROK	\N	\N
3651830	3681	1998-09-30	PRIJEM	\N	244	55620	UROK	\N	\N
3651831	3681	1998-10-31	PRIJEM	\N	233	50536	UROK	\N	\N
3651832	3681	1998-11-30	PRIJEM	\N	224	54222	UROK	\N	\N
3651833	3681	1998-12-31	PRIJEM	\N	270	72791	UROK	\N	\N
3651834	3682	1993-06-30	PRIJEM	\N	16	6429	UROK	\N	\N
3651835	3682	1993-07-31	PRIJEM	\N	59	19030	UROK	\N	\N
3651836	3682	1993-08-31	PRIJEM	\N	91	23663	UROK	\N	\N
3651837	3682	1993-09-30	PRIJEM	\N	110	28214	UROK	\N	\N
3651838	3682	1993-10-31	PRIJEM	\N	123	30579	UROK	\N	\N
3651839	3682	1993-11-30	PRIJEM	\N	123	30268	UROK	\N	\N
3651840	3682	1993-12-31	PRIJEM	\N	118	30004	UROK	\N	\N
3651841	3682	1994-01-31	PRIJEM	\N	93	16983	UROK	\N	\N
3651842	3682	1994-02-28	PRIJEM	\N	82	21631	UROK	\N	\N
3651843	3682	1994-03-31	PRIJEM	\N	79	18977	UROK	\N	\N
3651844	3682	1994-04-30	PRIJEM	\N	84	21728	UROK	\N	\N
3651845	3682	1994-05-31	PRIJEM	\N	97	24891	UROK	\N	\N
3651846	3682	1994-06-30	PRIJEM	\N	98	23387	UROK	\N	\N
3651847	3682	1994-07-31	PRIJEM	\N	98	23131	UROK	\N	\N
3651848	3682	1994-08-31	PRIJEM	\N	104	25562	UROK	\N	\N
3651849	3682	1994-09-30	PRIJEM	\N	110	27838	UROK	\N	\N
3651850	3682	1994-10-31	PRIJEM	\N	120	30024	UROK	\N	\N
3651851	3682	1994-11-30	PRIJEM	\N	123	31153	UROK	\N	\N
3651852	3682	1994-12-31	PRIJEM	\N	137	29327	UROK	\N	\N
3651853	3682	1995-01-31	PRIJEM	\N	97	24631	UROK	\N	\N
3651854	3682	1995-02-28	PRIJEM	\N	107	30704	UROK	\N	\N
3651855	3682	1995-03-31	PRIJEM	\N	132	35103	UROK	\N	\N
3651856	3682	1995-04-30	PRIJEM	\N	149	35318	UROK	\N	\N
3651857	3682	1995-05-31	PRIJEM	\N	137	31821	UROK	\N	\N
3651858	3682	1995-06-30	PRIJEM	\N	140	33899	UROK	\N	\N
3651859	3682	1995-07-31	PRIJEM	\N	145	35710	UROK	\N	\N
3651860	3682	1995-08-31	PRIJEM	\N	152	37528	UROK	\N	\N
3651861	3682	1995-09-30	PRIJEM	\N	159	38753	UROK	\N	\N
3651862	3682	1995-10-31	PRIJEM	\N	161	36881	UROK	\N	\N
3651863	3682	1995-11-30	PRIJEM	\N	154	36302	UROK	\N	\N
3651864	3682	1995-12-31	PRIJEM	\N	132	33411	UROK	\N	\N
3651865	3682	1996-01-31	PRIJEM	\N	143	33481	UROK	\N	\N
3651866	3682	1996-02-29	PRIJEM	\N	135	37222	UROK	\N	\N
3651867	3682	1996-03-31	PRIJEM	\N	158	38646	UROK	\N	\N
3651868	3682	1996-04-30	PRIJEM	\N	157	41530	UROK	\N	\N
3651869	3682	1996-05-31	PRIJEM	\N	172	40569	UROK	\N	\N
3651870	3682	1996-06-30	PRIJEM	\N	172	40678	UROK	\N	\N
3651871	3682	1996-07-31	PRIJEM	\N	172	42116	UROK	\N	\N
3651872	3682	1996-08-31	PRIJEM	\N	168	37850	UROK	\N	\N
3651873	3682	1996-09-30	PRIJEM	\N	154	36351	UROK	\N	\N
3651874	3682	1996-10-31	PRIJEM	\N	144	32061	UROK	\N	\N
3651875	3682	1996-11-30	PRIJEM	\N	143	37470	UROK	\N	\N
3651876	3682	1996-12-31	PRIJEM	\N	155	35343	UROK	\N	\N
3651877	3682	1997-01-31	PRIJEM	\N	150	34679	UROK	\N	\N
3651878	3682	1997-02-28	PRIJEM	\N	158	42504	UROK	\N	\N
3651879	3682	1997-03-31	PRIJEM	\N	182	45852	UROK	\N	\N
3651880	3682	1997-04-30	PRIJEM	\N	194	47552	UROK	\N	\N
3651881	3682	1997-05-31	PRIJEM	\N	201	46800	UROK	\N	\N
3651882	3682	1997-06-30	PRIJEM	\N	177	25113	UROK	\N	\N
3651883	3682	1997-07-31	PRIJEM	\N	114	32194	UROK	\N	\N
3651884	3682	1997-08-31	PRIJEM	\N	151	40411	UROK	\N	\N
3651885	3682	1997-09-30	PRIJEM	\N	179	44456	UROK	\N	\N
3651886	3682	1997-10-31	PRIJEM	\N	191	48114	UROK	\N	\N
3651887	3682	1997-11-30	PRIJEM	\N	203	50183	UROK	\N	\N
3651888	3682	1997-12-31	PRIJEM	\N	204	50525	UROK	\N	\N
3651889	3682	1998-01-31	PRIJEM	\N	200	47271	UROK	\N	\N
3651890	3682	1998-02-28	PRIJEM	\N	196	47833	UROK	\N	\N
3651891	3682	1998-03-31	PRIJEM	\N	208	52808	UROK	\N	\N
3651892	3682	1998-04-30	PRIJEM	\N	221	54695	UROK	\N	\N
3651893	3682	1998-05-31	PRIJEM	\N	235	58996	UROK	\N	\N
3651894	3682	1998-06-30	PRIJEM	\N	216	54709	UROK	\N	\N
3651895	3682	1998-07-31	PRIJEM	\N	247	54623	UROK	\N	\N
3651896	3682	1998-08-31	PRIJEM	\N	263	68552	UROK	\N	\N
3651897	3682	1998-09-30	PRIJEM	\N	311	78209	UROK	\N	\N
3651898	3682	1998-10-31	PRIJEM	\N	335	83510	UROK	\N	\N
3651899	3682	1998-11-30	PRIJEM	\N	346	85783	UROK	\N	\N
3651900	3682	1998-12-31	PRIJEM	\N	360	86400	UROK	\N	\N
3651901	3683	1993-09-30	PRIJEM	\N	64	24290	UROK	\N	\N
3651902	3683	1993-10-31	PRIJEM	\N	131	35447	UROK	\N	\N
3651903	3683	1993-11-30	PRIJEM	\N	170	43643	UROK	\N	\N
3651904	3683	1993-12-31	PRIJEM	\N	204	51585	UROK	\N	\N
3651905	3683	1994-01-31	PRIJEM	\N	200	36097	UROK	\N	\N
3651906	3683	1994-02-28	PRIJEM	\N	180	43174	UROK	\N	\N
3651907	3683	1994-03-31	PRIJEM	\N	202	46373	UROK	\N	\N
3651908	3683	1994-04-30	PRIJEM	\N	204	46274	UROK	\N	\N
3651909	3683	1994-05-31	PRIJEM	\N	205	46776	UROK	\N	\N
3651910	3683	1994-06-30	PRIJEM	\N	209	28055	UROK	\N	\N
3651911	3683	1994-07-31	PRIJEM	\N	145	32857	UROK	\N	\N
3651912	3683	1994-08-31	PRIJEM	\N	157	37612	UROK	\N	\N
3651913	3683	1994-09-30	PRIJEM	\N	169	40779	UROK	\N	\N
3651914	3683	1994-10-31	PRIJEM	\N	181	41697	UROK	\N	\N
3651915	3683	1994-11-30	PRIJEM	\N	172	41366	UROK	\N	\N
3651916	3683	1994-12-31	PRIJEM	\N	205	48781	UROK	\N	\N
3651917	3683	1995-01-31	PRIJEM	\N	163	28262	UROK	\N	\N
3651918	3683	1995-02-28	PRIJEM	\N	181	42640	UROK	\N	\N
3651919	3683	1995-03-31	PRIJEM	\N	182	44019	UROK	\N	\N
3651920	3683	1995-04-30	PRIJEM	\N	184	44400	UROK	\N	\N
3651921	3683	1995-05-31	PRIJEM	\N	181	43378	UROK	\N	\N
3651922	3683	1995-06-30	PRIJEM	\N	208	30117	UROK	\N	\N
3651923	3683	1995-07-31	PRIJEM	\N	187	44282	UROK	\N	\N
3651924	3683	1995-08-31	PRIJEM	\N	226	55905	UROK	\N	\N
3651925	3683	1995-09-30	PRIJEM	\N	259	63461	UROK	\N	\N
3651926	3683	1995-10-31	PRIJEM	\N	282	68741	UROK	\N	\N
3651927	3683	1995-11-30	PRIJEM	\N	298	72336	UROK	\N	\N
3651928	3683	1995-12-31	PRIJEM	\N	342	81308	UROK	\N	\N
3651929	3683	1996-01-31	PRIJEM	\N	284	51370	UROK	\N	\N
3651930	3683	1996-02-29	PRIJEM	\N	281	71948	UROK	\N	\N
3651931	3683	1996-03-31	PRIJEM	\N	293	55938	UROK	\N	\N
3651932	3683	1996-04-30	PRIJEM	\N	294	57069	UROK	\N	\N
3651933	3683	1996-05-31	PRIJEM	\N	299	57166	UROK	\N	\N
3651934	3683	1996-06-30	PRIJEM	\N	215	45751	UROK	\N	\N
3651935	3683	1996-07-31	PRIJEM	\N	243	52471	UROK	\N	\N
3651936	3683	1996-08-31	PRIJEM	\N	276	55244	UROK	\N	\N
3651937	3683	1996-09-30	PRIJEM	\N	287	59609	UROK	\N	\N
3651938	3683	1996-10-31	PRIJEM	\N	298	61264	UROK	\N	\N
3651939	3683	1996-11-30	PRIJEM	\N	309	64471	UROK	\N	\N
3651940	3683	1996-12-31	PRIJEM	\N	350	70911	UROK	\N	\N
3651941	3683	1997-01-31	PRIJEM	\N	282	50470	UROK	\N	\N
3651942	3683	1997-02-28	PRIJEM	\N	265	57233	UROK	\N	\N
3651943	3683	1997-03-31	PRIJEM	\N	288	57818	UROK	\N	\N
3651944	3683	1997-04-30	PRIJEM	\N	291	59806	UROK	\N	\N
3651945	3683	1997-05-31	PRIJEM	\N	295	59698	UROK	\N	\N
3651946	3683	1997-06-30	PRIJEM	\N	267	53476	UROK	\N	\N
3651947	3683	1997-07-31	PRIJEM	\N	270	56823	UROK	\N	\N
3651948	3683	1997-08-31	PRIJEM	\N	282	60802	UROK	\N	\N
3651949	3683	1997-09-30	PRIJEM	\N	287	59327	UROK	\N	\N
3651950	3683	1997-10-31	PRIJEM	\N	287	61211	UROK	\N	\N
3651951	3683	1997-11-30	PRIJEM	\N	276	58524	UROK	\N	\N
3651952	3683	1997-12-31	PRIJEM	\N	306	62840	UROK	\N	\N
3651953	3683	1998-01-31	PRIJEM	\N	267	47724	UROK	\N	\N
3651954	3683	1998-02-28	PRIJEM	\N	237	51758	UROK	\N	\N
3651955	3683	1998-03-31	PRIJEM	\N	244	48599	UROK	\N	\N
3651956	3683	1998-04-30	PRIJEM	\N	232	48449	UROK	\N	\N
3651957	3683	1998-05-31	PRIJEM	\N	240	53086	UROK	\N	\N
3651958	3683	1998-06-30	PRIJEM	\N	289	59966	UROK	\N	\N
3651959	3683	1998-07-31	PRIJEM	\N	277	60441	UROK	\N	\N
3651960	3683	1998-08-31	PRIJEM	\N	271	55509	UROK	\N	\N
3651961	3683	1998-09-30	PRIJEM	\N	253	55660	UROK	\N	\N
3651962	3683	1998-10-31	PRIJEM	\N	252	55309	UROK	\N	\N
3651963	3683	1998-11-30	PRIJEM	\N	256	58562	UROK	\N	\N
3651964	3683	1998-12-31	PRIJEM	\N	289	60382	UROK	\N	\N
3651965	3684	1994-03-31	PRIJEM	\N	24	7834	UROK	\N	\N
3651966	3684	1994-04-30	PRIJEM	\N	33	14577	UROK	\N	\N
3651967	3684	1994-05-31	PRIJEM	\N	33	21319	UROK	\N	\N
3651968	3684	1994-06-30	PRIJEM	\N	93	27722	UROK	\N	\N
3651969	3684	1994-07-31	PRIJEM	\N	121	28888	UROK	\N	\N
3651970	3684	1994-08-31	PRIJEM	\N	129	32347	UROK	\N	\N
3651971	3684	1994-09-30	PRIJEM	\N	133	32111	UROK	\N	\N
3651972	3684	1994-10-31	PRIJEM	\N	121	25822	UROK	\N	\N
3651973	3684	1994-11-30	PRIJEM	\N	115	27668	UROK	\N	\N
3651974	3684	1994-12-31	PRIJEM	\N	121	27019	UROK	\N	\N
3651975	3684	1995-01-31	PRIJEM	\N	101	17880	UROK	\N	\N
3651976	3684	1995-02-28	PRIJEM	\N	82	21293	UROK	\N	\N
3651977	3684	1995-03-31	PRIJEM	\N	87	22191	UROK	\N	\N
3651978	3684	1995-04-30	PRIJEM	\N	101	22881	UROK	\N	\N
3651979	3684	1995-05-31	PRIJEM	\N	102	24714	UROK	\N	\N
3651980	3684	1995-06-30	PRIJEM	\N	109	24153	UROK	\N	\N
3651981	3684	1995-07-31	PRIJEM	\N	108	26692	UROK	\N	\N
3651982	3684	1995-08-31	PRIJEM	\N	118	28740	UROK	\N	\N
3651983	3684	1995-09-30	PRIJEM	\N	123	24633	UROK	\N	\N
3651984	3684	1995-10-31	PRIJEM	\N	107	24071	UROK	\N	\N
3651985	3684	1995-11-30	PRIJEM	\N	105	24306	UROK	\N	\N
3651986	3684	1995-12-31	PRIJEM	\N	106	25193	UROK	\N	\N
3651987	3684	1996-01-31	PRIJEM	\N	83	14697	UROK	\N	\N
3651988	3684	1996-02-29	PRIJEM	\N	69	17796	UROK	\N	\N
3651989	3684	1996-03-31	PRIJEM	\N	75	15502	UROK	\N	\N
3651990	3684	1996-04-30	PRIJEM	\N	69	16001	UROK	\N	\N
3651991	3684	1996-05-31	PRIJEM	\N	66	12697	UROK	\N	\N
3651992	3684	1996-06-30	PRIJEM	\N	57	14484	UROK	\N	\N
3651993	3684	1996-07-31	PRIJEM	\N	60	14514	UROK	\N	\N
3651994	3684	1996-08-31	PRIJEM	\N	59	11803	UROK	\N	\N
3651995	3684	1996-09-30	PRIJEM	\N	55	14228	UROK	\N	\N
3651996	3684	1996-10-31	PRIJEM	\N	67	17626	UROK	\N	\N
3651997	3684	1996-11-30	PRIJEM	\N	81	21037	UROK	\N	\N
3651998	3684	1996-12-31	PRIJEM	\N	92	22280	UROK	\N	\N
3651999	3684	1997-01-31	PRIJEM	\N	75	15086	UROK	\N	\N
3652000	3684	1997-02-28	PRIJEM	\N	65	15841	UROK	\N	\N
3652001	3684	1997-03-31	PRIJEM	\N	74	19245	UROK	\N	\N
3652002	3684	1997-04-30	PRIJEM	\N	88	22663	UROK	\N	\N
3652003	3684	1997-05-31	PRIJEM	\N	102	26095	UROK	\N	\N
3652004	3684	1997-06-30	PRIJEM	\N	102	23227	UROK	\N	\N
3652005	3684	1997-07-31	PRIJEM	\N	79	15036	UROK	\N	\N
3652006	3684	1997-08-31	PRIJEM	\N	70	18437	UROK	\N	\N
3652007	3684	1997-09-30	PRIJEM	\N	67	14534	UROK	\N	\N
3652008	3684	1997-10-31	PRIJEM	\N	68	17932	UROK	\N	\N
3652009	3684	1997-11-30	PRIJEM	\N	82	21344	UROK	\N	\N
3652010	3684	1997-12-31	PRIJEM	\N	95	24369	UROK	\N	\N
3652011	3684	1998-01-31	PRIJEM	\N	96	18916	UROK	\N	\N
3652012	3684	1998-02-28	PRIJEM	\N	85	22331	UROK	\N	\N
3652013	3684	1998-03-31	PRIJEM	\N	97	23599	UROK	\N	\N
3652014	3684	1998-04-30	PRIJEM	\N	105	27034	UROK	\N	\N
3652015	3684	1998-05-31	PRIJEM	\N	119	30484	UROK	\N	\N
3652016	3684	1998-06-30	PRIJEM	\N	69	9983	UROK	\N	\N
3652017	3684	1998-07-31	PRIJEM	\N	48	13361	UROK	\N	\N
3652018	3684	1998-08-31	PRIJEM	\N	62	16754	UROK	\N	\N
3652019	3684	1998-09-30	PRIJEM	\N	76	20160	UROK	\N	\N
3652020	3684	1998-10-31	PRIJEM	\N	84	20775	UROK	\N	\N
3652021	3684	1998-11-30	PRIJEM	\N	93	24198	UROK	\N	\N
3652022	3684	1998-12-31	PRIJEM	\N	107	26685	UROK	\N	\N
3652093	3686	1997-08-31	PRIJEM	\N	15	4197	UROK	\N	\N
3652094	3686	1997-09-30	PRIJEM	\N	17	7296	UROK	\N	\N
3652095	3686	1997-10-31	PRIJEM	\N	17	10395	UROK	\N	\N
3652096	3686	1997-11-30	PRIJEM	\N	17	13495	UROK	\N	\N
3652097	3686	1997-12-31	PRIJEM	\N	52	14575	UROK	\N	\N
3652098	3686	1998-01-31	PRIJEM	\N	55	12374	UROK	\N	\N
3652099	3686	1998-02-28	PRIJEM	\N	55	13442	UROK	\N	\N
3652100	3686	1998-03-31	PRIJEM	\N	59	14515	UROK	\N	\N
3652101	3686	1998-04-30	PRIJEM	\N	59	13667	UROK	\N	\N
3652102	3686	1998-05-31	PRIJEM	\N	60	14741	UROK	\N	\N
3652103	3686	1998-06-30	PRIJEM	\N	60	14314	UROK	\N	\N
3652104	3686	1998-07-31	PRIJEM	\N	63	15391	UROK	\N	\N
3652105	3686	1998-08-31	PRIJEM	\N	68	16472	UROK	\N	\N
3652106	3686	1998-09-30	PRIJEM	\N	69	16654	UROK	\N	\N
3652107	3686	1998-10-31	PRIJEM	\N	70	16147	UROK	\N	\N
3652108	3686	1998-11-30	PRIJEM	\N	71	17231	UROK	\N	\N
3652109	3686	1998-12-31	PRIJEM	\N	75	18079	UROK	\N	\N
3652110	3687	1993-11-30	PRIJEM	\N	36	12880	UROK	\N	\N
3652111	3687	1993-12-31	PRIJEM	\N	123	37418	UROK	\N	\N
3652112	3687	1994-01-31	PRIJEM	\N	173	43836	UROK	\N	\N
3652113	3687	1994-02-28	PRIJEM	\N	187	45566	UROK	\N	\N
3652114	3687	1994-03-31	PRIJEM	\N	185	42489	UROK	\N	\N
3652115	3687	1994-04-30	PRIJEM	\N	164	37956	UROK	\N	\N
3652116	3687	1994-05-31	PRIJEM	\N	154	36914	UROK	\N	\N
3652117	3687	1994-06-30	PRIJEM	\N	171	43180	UROK	\N	\N
3652118	3687	1994-07-31	PRIJEM	\N	176	41840	UROK	\N	\N
3652119	3687	1994-08-31	PRIJEM	\N	174	41738	UROK	\N	\N
3652120	3687	1994-09-30	PRIJEM	\N	160	36421	UROK	\N	\N
3652121	3687	1994-10-31	PRIJEM	\N	152	36396	UROK	\N	\N
3652122	3687	1994-11-30	PRIJEM	\N	156	38076	UROK	\N	\N
3652123	3687	1994-12-31	PRIJEM	\N	170	40701	UROK	\N	\N
3652124	3687	1995-01-31	PRIJEM	\N	124	25588	UROK	\N	\N
3652125	3687	1995-02-28	PRIJEM	\N	124	32535	UROK	\N	\N
3652126	3687	1995-03-31	PRIJEM	\N	146	36104	UROK	\N	\N
3652127	3687	1995-04-30	PRIJEM	\N	135	30663	UROK	\N	\N
3652128	3687	1995-05-31	PRIJEM	\N	129	31015	UROK	\N	\N
3652129	3687	1995-06-30	PRIJEM	\N	160	36271	UROK	\N	\N
3652130	3687	1995-07-31	PRIJEM	\N	166	36160	UROK	\N	\N
3652131	3687	1995-08-31	PRIJEM	\N	160	34484	UROK	\N	\N
3652132	3687	1995-09-30	PRIJEM	\N	139	30127	UROK	\N	\N
3652133	3687	1995-10-31	PRIJEM	\N	142	35693	UROK	\N	\N
3652134	3687	1995-11-30	PRIJEM	\N	163	38979	UROK	\N	\N
3652135	3687	1995-12-31	PRIJEM	\N	184	39279	UROK	\N	\N
3652136	3687	1996-01-31	PRIJEM	\N	168	37291	UROK	\N	\N
3652137	3687	1996-02-29	PRIJEM	\N	163	32697	UROK	\N	\N
3652138	3687	1996-03-31	PRIJEM	\N	144	32424	UROK	\N	\N
3652139	3687	1996-04-30	PRIJEM	\N	148	34695	UROK	\N	\N
3652140	3687	1996-05-31	PRIJEM	\N	160	40078	UROK	\N	\N
3652141	3687	1996-06-30	PRIJEM	\N	173	36746	UROK	\N	\N
3652142	3687	1996-07-31	PRIJEM	\N	166	41995	UROK	\N	\N
3652143	3687	1996-08-31	PRIJEM	\N	187	45105	UROK	\N	\N
3652144	3687	1996-09-30	PRIJEM	\N	198	47527	UROK	\N	\N
3652145	3687	1996-10-31	PRIJEM	\N	210	50960	UROK	\N	\N
3652146	3687	1996-11-30	PRIJEM	\N	214	48157	UROK	\N	\N
3652147	3687	1996-12-31	PRIJEM	\N	217	50329	UROK	\N	\N
3652148	3687	1997-01-31	PRIJEM	\N	206	46959	UROK	\N	\N
3652149	3687	1997-02-28	PRIJEM	\N	201	47983	UROK	\N	\N
3652150	3687	1997-03-31	PRIJEM	\N	208	49715	UROK	\N	\N
3652151	3687	1997-04-30	PRIJEM	\N	208	47846	UROK	\N	\N
3652152	3687	1997-05-31	PRIJEM	\N	202	46971	UROK	\N	\N
3652153	3687	1997-06-30	PRIJEM	\N	211	51178	UROK	\N	\N
3652154	3687	1997-07-31	PRIJEM	\N	215	50716	UROK	\N	\N
3652155	3687	1997-08-31	PRIJEM	\N	207	47546	UROK	\N	\N
3652156	3687	1997-09-30	PRIJEM	\N	194	45063	UROK	\N	\N
3652157	3687	1997-10-31	PRIJEM	\N	192	46578	UROK	\N	\N
3652158	3687	1997-11-30	PRIJEM	\N	191	44812	UROK	\N	\N
3652159	3687	1997-12-31	PRIJEM	\N	198	49085	UROK	\N	\N
3652160	3687	1998-01-31	PRIJEM	\N	215	52004	UROK	\N	\N
3652161	3687	1998-02-28	PRIJEM	\N	224	56151	UROK	\N	\N
3652162	3687	1998-03-31	PRIJEM	\N	232	55606	UROK	\N	\N
3652163	3687	1998-04-30	PRIJEM	\N	223	52752	UROK	\N	\N
3652164	3687	1998-05-31	PRIJEM	\N	215	51690	UROK	\N	\N
3652165	3687	1998-06-30	PRIJEM	\N	206	48791	UROK	\N	\N
3652166	3687	1998-07-31	PRIJEM	\N	209	50584	UROK	\N	\N
3652167	3687	1998-08-31	PRIJEM	\N	232	55439	UROK	\N	\N
3652168	3687	1998-09-30	PRIJEM	\N	226	54248	UROK	\N	\N
3652169	3687	1998-10-31	PRIJEM	\N	244	62816	UROK	\N	\N
3652170	3687	1998-11-30	PRIJEM	\N	279	69498	UROK	\N	\N
3652171	3687	1998-12-31	PRIJEM	\N	318	80412	UROK	\N	\N
3652172	3690	1996-11-30	PRIJEM	\N	34	35005	UROK	\N	\N
3652173	3690	1996-12-31	PRIJEM	\N	146	28451	UROK	\N	\N
3652174	3690	1997-01-31	PRIJEM	\N	146	27696	UROK	\N	\N
3652175	3690	1997-02-28	PRIJEM	\N	141	32783	UROK	\N	\N
3652176	3690	1997-03-31	PRIJEM	\N	136	29419	UROK	\N	\N
3652177	3690	1997-04-30	PRIJEM	\N	136	27355	UROK	\N	\N
3652178	3690	1997-05-31	PRIJEM	\N	136	27291	UROK	\N	\N
3652179	3690	1997-06-30	PRIJEM	\N	136	28527	UROK	\N	\N
3652180	3690	1997-07-31	PRIJEM	\N	136	30263	UROK	\N	\N
3652181	3690	1997-08-31	PRIJEM	\N	204	64335	UROK	\N	\N
3652182	3690	1997-09-30	PRIJEM	\N	267	49102	UROK	\N	\N
3652183	3690	1997-10-31	PRIJEM	\N	267	44269	UROK	\N	\N
3652184	3690	1997-11-30	PRIJEM	\N	267	39436	UROK	\N	\N
3652185	3690	1997-12-31	PRIJEM	\N	258	53109	UROK	\N	\N
3652186	3690	1998-01-31	PRIJEM	\N	267	62159	UROK	\N	\N
3652187	3690	1998-02-28	PRIJEM	\N	254	89293	UROK	\N	\N
3652188	3690	1998-03-31	PRIJEM	\N	350	91264	UROK	\N	\N
3652189	3690	1998-04-30	PRIJEM	\N	296	61346	UROK	\N	\N
3652190	3690	1998-05-31	PRIJEM	\N	220	60429	UROK	\N	\N
3652191	3690	1998-06-30	PRIJEM	\N	207	70153	UROK	\N	\N
3652192	3690	1998-07-31	PRIJEM	\N	302	77888	UROK	\N	\N
3652193	3690	1998-08-31	PRIJEM	\N	370	101232	UROK	\N	\N
3652194	3690	1998-09-30	PRIJEM	\N	323	72243	UROK	\N	\N
3652195	3690	1998-10-31	PRIJEM	\N	260	65662	UROK	\N	\N
3652196	3690	1998-11-30	PRIJEM	\N	312	116334	UROK	\N	\N
3652197	3690	1998-12-31	PRIJEM	\N	227	58258	UROK	\N	\N
3652198	3691	1993-06-30	PRIJEM	\N	39	23499	UROK	\N	\N
3652199	3691	1993-07-31	PRIJEM	\N	102	23774	UROK	\N	\N
3652200	3691	1993-08-31	PRIJEM	\N	105	24937	UROK	\N	\N
3652201	3691	1993-09-30	PRIJEM	\N	104	23400	UROK	\N	\N
3652202	3691	1993-10-31	PRIJEM	\N	104	25062	UROK	\N	\N
3652203	3691	1993-11-30	PRIJEM	\N	107	24228	UROK	\N	\N
3652204	3691	1993-12-31	PRIJEM	\N	110	26396	UROK	\N	\N
3652205	3691	1994-01-31	PRIJEM	\N	116	28020	UROK	\N	\N
3652206	3691	1994-02-28	PRIJEM	\N	118	27897	UROK	\N	\N
3652207	3691	1994-03-31	PRIJEM	\N	119	28274	UROK	\N	\N
3652208	3691	1994-04-30	PRIJEM	\N	122	29355	UROK	\N	\N
3652209	3691	1994-05-31	PRIJEM	\N	127	30640	UROK	\N	\N
3652210	3691	1994-06-30	PRIJEM	\N	108	23957	UROK	\N	\N
3652211	3691	1994-07-31	PRIJEM	\N	99	22914	UROK	\N	\N
3652212	3691	1994-08-31	PRIJEM	\N	105	26177	UROK	\N	\N
3652213	3691	1994-09-30	PRIJEM	\N	101	23136	UROK	\N	\N
3652214	3691	1994-10-31	PRIJEM	\N	87	20241	UROK	\N	\N
3652215	3691	1994-11-30	PRIJEM	\N	86	20886	UROK	\N	\N
3652216	3691	1994-12-31	PRIJEM	\N	96	23740	UROK	\N	\N
3652217	3691	1995-01-31	PRIJEM	\N	93	21541	UROK	\N	\N
3652218	3691	1995-02-28	PRIJEM	\N	82	18481	UROK	\N	\N
3652219	3691	1995-03-31	PRIJEM	\N	86	21826	UROK	\N	\N
3652220	3691	1995-04-30	PRIJEM	\N	95	20480	UROK	\N	\N
3652221	3691	1995-05-31	PRIJEM	\N	85	20723	UROK	\N	\N
3652222	3691	1995-06-30	PRIJEM	\N	83	19364	UROK	\N	\N
3652223	3691	1995-07-31	PRIJEM	\N	80	19102	UROK	\N	\N
3652224	3691	1995-08-31	PRIJEM	\N	84	20745	UROK	\N	\N
3652225	3691	1995-09-30	PRIJEM	\N	95	24099	UROK	\N	\N
3652226	3691	1995-10-31	PRIJEM	\N	95	22652	UROK	\N	\N
3652227	3691	1995-11-30	PRIJEM	\N	93	22684	UROK	\N	\N
3652228	3691	1995-12-31	PRIJEM	\N	89	20552	UROK	\N	\N
3652229	3691	1996-01-31	PRIJEM	\N	93	22153	UROK	\N	\N
3652230	3691	1996-02-29	PRIJEM	\N	98	22789	UROK	\N	\N
3652231	3691	1996-03-31	PRIJEM	\N	102	25250	UROK	\N	\N
3652232	3691	1996-04-30	PRIJEM	\N	103	24911	UROK	\N	\N
3652233	3691	1996-05-31	PRIJEM	\N	108	26898	UROK	\N	\N
3652234	3691	1996-06-30	PRIJEM	\N	80	15937	UROK	\N	\N
3652235	3691	1996-07-31	PRIJEM	\N	75	19270	UROK	\N	\N
3652236	3691	1996-08-31	PRIJEM	\N	89	22617	UROK	\N	\N
3652237	3691	1996-09-30	PRIJEM	\N	103	25978	UROK	\N	\N
3652238	3691	1996-10-31	PRIJEM	\N	114	28251	UROK	\N	\N
3652239	3691	1996-11-30	PRIJEM	\N	109	24158	UROK	\N	\N
3652240	3691	1996-12-31	PRIJEM	\N	98	21854	UROK	\N	\N
3652241	3691	1997-01-31	PRIJEM	\N	96	22508	UROK	\N	\N
3652242	3691	1997-02-28	PRIJEM	\N	94	22820	UROK	\N	\N
3652243	3691	1997-03-31	PRIJEM	\N	94	21673	UROK	\N	\N
3652244	3691	1997-04-30	PRIJEM	\N	87	15998	UROK	\N	\N
3652245	3691	1997-05-31	PRIJEM	\N	73	15930	UROK	\N	\N
3652246	3691	1997-06-30	PRIJEM	\N	74	19262	UROK	\N	\N
3652247	3691	1997-07-31	PRIJEM	\N	84	16005	UROK	\N	\N
3652248	3691	1997-08-31	PRIJEM	\N	72	15235	UROK	\N	\N
3652249	3691	1997-09-30	PRIJEM	\N	66	15360	UROK	\N	\N
3652250	3691	1997-10-31	PRIJEM	\N	72	18690	UROK	\N	\N
3652251	3691	1997-11-30	PRIJEM	\N	80	15328	UROK	\N	\N
3652252	3691	1997-12-31	PRIJEM	\N	70	17706	UROK	\N	\N
3652253	3691	1998-01-31	PRIJEM	\N	80	19944	UROK	\N	\N
3652254	3691	1998-02-28	PRIJEM	\N	83	15686	UROK	\N	\N
3652255	3691	1998-03-31	PRIJEM	\N	70	15914	UROK	\N	\N
3652256	3691	1998-04-30	PRIJEM	\N	73	19245	UROK	\N	\N
3652257	3691	1998-05-31	PRIJEM	\N	78	14482	UROK	\N	\N
3652258	3691	1998-06-30	PRIJEM	\N	67	17807	UROK	\N	\N
3652259	3691	1998-07-31	PRIJEM	\N	81	21147	UROK	\N	\N
3652260	3691	1998-08-31	PRIJEM	\N	92	22177	UROK	\N	\N
3652261	3691	1998-09-30	PRIJEM	\N	82	19358	UROK	\N	\N
3652262	3691	1998-10-31	PRIJEM	\N	84	20060	UROK	\N	\N
3652263	3691	1998-11-30	PRIJEM	\N	90	23409	UROK	\N	\N
3652264	3691	1998-12-31	PRIJEM	\N	103	26220	UROK	\N	\N
3652265	3692	1997-09-30	PRIJEM	\N	51	21763	UROK	\N	\N
3652266	3692	1997-10-31	PRIJEM	\N	91	20751	UROK	\N	\N
3652267	3692	1997-11-30	PRIJEM	\N	90	22459	UROK	\N	\N
3652268	3692	1997-12-31	PRIJEM	\N	97	23823	UROK	\N	\N
3652269	3692	1998-01-31	PRIJEM	\N	85	17406	UROK	\N	\N
3652270	3692	1998-02-28	PRIJEM	\N	76	19100	UROK	\N	\N
3652271	3692	1998-03-31	PRIJEM	\N	81	19678	UROK	\N	\N
3652272	3692	1998-04-30	PRIJEM	\N	84	17619	UROK	\N	\N
3652273	3692	1998-05-31	PRIJEM	\N	77	19314	UROK	\N	\N
3652274	3692	1998-06-30	PRIJEM	\N	84	21016	UROK	\N	\N
3652275	3692	1998-07-31	PRIJEM	\N	91	22724	UROK	\N	\N
3652276	3692	1998-08-31	PRIJEM	\N	99	24440	UROK	\N	\N
3652277	3692	1998-09-30	PRIJEM	\N	106	26163	UROK	\N	\N
3652278	3692	1998-10-31	PRIJEM	\N	113	27893	UROK	\N	\N
3652279	3692	1998-11-30	PRIJEM	\N	115	27145	UROK	\N	\N
3652280	3692	1998-12-31	PRIJEM	\N	115	27928	UROK	\N	\N
3652281	3693	1993-02-28	PRIJEM	\N	3	19650	UROK	\N	\N
3652282	3693	1993-03-31	PRIJEM	\N	85	29681	UROK	\N	\N
3652283	3693	1993-04-30	PRIJEM	\N	124	32052	UROK	\N	\N
3652284	3693	1993-05-31	PRIJEM	\N	134	35434	UROK	\N	\N
3652285	3693	1993-06-30	PRIJEM	\N	150	42855	UROK	\N	\N
3652286	3693	1993-07-31	PRIJEM	\N	187	36382	UROK	\N	\N
3652287	3693	1993-08-31	PRIJEM	\N	165	33707	UROK	\N	\N
3652288	3693	1993-09-30	PRIJEM	\N	143	29351	UROK	\N	\N
3652289	3693	1993-10-31	PRIJEM	\N	132	28523	UROK	\N	\N
3652290	3693	1993-11-30	PRIJEM	\N	131	31795	UROK	\N	\N
3652291	3693	1993-12-31	PRIJEM	\N	152	32870	UROK	\N	\N
3652292	3693	1994-01-31	PRIJEM	\N	125	26675	UROK	\N	\N
3652293	3693	1994-02-28	PRIJEM	\N	121	28037	UROK	\N	\N
3652294	3693	1994-03-31	PRIJEM	\N	114	28030	UROK	\N	\N
3652295	3693	1994-04-30	PRIJEM	\N	128	30899	UROK	\N	\N
3652296	3693	1994-05-31	PRIJEM	\N	139	32578	UROK	\N	\N
3652297	3693	1994-06-30	PRIJEM	\N	121	34623	UROK	\N	\N
3652298	3693	1994-07-31	PRIJEM	\N	151	33714	UROK	\N	\N
3652299	3693	1994-08-31	PRIJEM	\N	145	32499	UROK	\N	\N
3652300	3693	1994-09-30	PRIJEM	\N	134	32973	UROK	\N	\N
3652301	3693	1994-10-31	PRIJEM	\N	144	33657	UROK	\N	\N
3652302	3693	1994-11-30	PRIJEM	\N	143	32140	UROK	\N	\N
3652303	3693	1994-12-31	PRIJEM	\N	146	28731	UROK	\N	\N
3652304	3693	1995-01-31	PRIJEM	\N	98	17149	UROK	\N	\N
3652305	3693	1995-02-28	PRIJEM	\N	82	20431	UROK	\N	\N
3652306	3693	1995-03-31	PRIJEM	\N	106	30377	UROK	\N	\N
3652307	3693	1995-04-30	PRIJEM	\N	126	34883	UROK	\N	\N
3652308	3693	1995-05-31	PRIJEM	\N	126	31830	UROK	\N	\N
3652309	3693	1995-06-30	PRIJEM	\N	128	30781	UROK	\N	\N
3652310	3693	1995-07-31	PRIJEM	\N	138	34700	UROK	\N	\N
3652311	3693	1995-08-31	PRIJEM	\N	152	37492	UROK	\N	\N
3652312	3693	1995-09-30	PRIJEM	\N	160	39192	UROK	\N	\N
3652313	3693	1995-10-31	PRIJEM	\N	168	39680	UROK	\N	\N
3652314	3693	1995-11-30	PRIJEM	\N	165	39886	UROK	\N	\N
3652315	3693	1995-12-31	PRIJEM	\N	179	42468	UROK	\N	\N
3652316	3693	1996-01-31	PRIJEM	\N	130	26238	UROK	\N	\N
3652317	3693	1996-02-29	PRIJEM	\N	154	45932	UROK	\N	\N
3652318	3693	1996-03-31	PRIJEM	\N	205	44477	UROK	\N	\N
3652319	3693	1996-04-30	PRIJEM	\N	200	51817	UROK	\N	\N
3652320	3693	1996-05-31	PRIJEM	\N	217	53874	UROK	\N	\N
3652321	3693	1996-06-30	PRIJEM	\N	239	35017	UROK	\N	\N
3652322	3693	1996-07-31	PRIJEM	\N	184	51542	UROK	\N	\N
3652323	3693	1996-08-31	PRIJEM	\N	231	60213	UROK	\N	\N
3652324	3693	1996-09-30	PRIJEM	\N	248	65361	UROK	\N	\N
3652325	3693	1996-10-31	PRIJEM	\N	272	69073	UROK	\N	\N
3652326	3693	1996-11-30	PRIJEM	\N	274	70947	UROK	\N	\N
3652327	3693	1996-12-31	PRIJEM	\N	315	80686	UROK	\N	\N
3652328	3693	1997-01-31	PRIJEM	\N	257	52504	UROK	\N	\N
3652329	3693	1997-02-28	PRIJEM	\N	251	68195	UROK	\N	\N
3652330	3693	1997-03-31	PRIJEM	\N	306	79842	UROK	\N	\N
3652331	3693	1997-04-30	PRIJEM	\N	339	86921	UROK	\N	\N
3652332	3693	1997-05-31	PRIJEM	\N	347	87208	UROK	\N	\N
3652333	3693	1997-06-30	PRIJEM	\N	354	91626	UROK	\N	\N
3652334	3693	1997-07-31	PRIJEM	\N	353	89079	UROK	\N	\N
3652335	3693	1997-08-31	PRIJEM	\N	369	94388	UROK	\N	\N
3652336	3693	1997-09-30	PRIJEM	\N	379	97107	UROK	\N	\N
3652337	3693	1997-10-31	PRIJEM	\N	362	91310	UROK	\N	\N
3652338	3693	1997-11-30	PRIJEM	\N	371	95421	UROK	\N	\N
3652339	3693	1997-12-31	PRIJEM	\N	400	102105	UROK	\N	\N
3652340	3693	1998-01-31	PRIJEM	\N	354	84539	UROK	\N	\N
3652341	3693	1998-02-28	PRIJEM	\N	376	98656	UROK	\N	\N
3652342	3693	1998-03-31	PRIJEM	\N	397	101733	UROK	\N	\N
3652343	3693	1998-04-30	PRIJEM	\N	418	107192	UROK	\N	\N
3652344	3693	1998-05-31	PRIJEM	\N	325	50597	UROK	\N	\N
3652345	3693	1998-06-30	PRIJEM	\N	329	93090	UROK	\N	\N
3652346	3693	1998-07-31	PRIJEM	\N	420	108951	UROK	\N	\N
3652347	3693	1998-08-31	PRIJEM	\N	447	113678	UROK	\N	\N
3652348	3693	1998-09-30	PRIJEM	\N	472	115010	UROK	\N	\N
3652349	3693	1998-10-31	PRIJEM	\N	474	108524	UROK	\N	\N
3652350	3693	1998-11-30	PRIJEM	\N	454	88419	UROK	\N	\N
3652351	3693	1998-12-31	PRIJEM	\N	391	99454	UROK	\N	\N
3652352	3694	1996-07-31	PRIJEM	\N	45	13436	UROK	\N	\N
3652353	3694	1996-08-31	PRIJEM	\N	124	33751	UROK	\N	\N
3652354	3694	1996-09-30	PRIJEM	\N	175	44217	UROK	\N	\N
3652355	3694	1996-10-31	PRIJEM	\N	210	52218	UROK	\N	\N
3652356	3694	1996-11-30	PRIJEM	\N	206	47323	UROK	\N	\N
3652357	3694	1996-12-31	PRIJEM	\N	194	47946	UROK	\N	\N
3652358	3694	1997-01-31	PRIJEM	\N	159	34789	UROK	\N	\N
3652359	3694	1997-02-28	PRIJEM	\N	167	40741	UROK	\N	\N
3652360	3694	1997-03-31	PRIJEM	\N	179	41803	UROK	\N	\N
3652361	3694	1997-04-30	PRIJEM	\N	199	48487	UROK	\N	\N
3652362	3694	1997-05-31	PRIJEM	\N	215	51686	UROK	\N	\N
3652363	3694	1997-06-30	PRIJEM	\N	222	40538	UROK	\N	\N
3652364	3694	1997-07-31	PRIJEM	\N	171	40493	UROK	\N	\N
3652365	3694	1997-08-31	PRIJEM	\N	175	40552	UROK	\N	\N
3652366	3694	1997-09-30	PRIJEM	\N	187	40224	UROK	\N	\N
3652367	3694	1997-10-31	PRIJEM	\N	187	40695	UROK	\N	\N
3652368	3694	1997-11-30	PRIJEM	\N	192	44571	UROK	\N	\N
3652369	3694	1997-12-31	PRIJEM	\N	216	49216	UROK	\N	\N
3652370	3694	1998-01-31	PRIJEM	\N	193	37594	UROK	\N	\N
3652371	3694	1998-02-28	PRIJEM	\N	164	38342	UROK	\N	\N
3652372	3694	1998-03-31	PRIJEM	\N	179	43505	UROK	\N	\N
3652373	3694	1998-04-30	PRIJEM	\N	198	44787	UROK	\N	\N
3652374	3694	1998-05-31	PRIJEM	\N	206	50877	UROK	\N	\N
3652375	3694	1998-06-30	PRIJEM	\N	190	37497	UROK	\N	\N
3652376	3694	1998-07-31	PRIJEM	\N	174	42755	UROK	\N	\N
3652377	3694	1998-08-31	PRIJEM	\N	192	44432	UROK	\N	\N
3652378	3694	1998-09-30	PRIJEM	\N	203	44719	UROK	\N	\N
3652379	3694	1998-10-31	PRIJEM	\N	206	52610	UROK	\N	\N
3652380	3694	1998-11-30	PRIJEM	\N	232	54326	UROK	\N	\N
3652381	3694	1998-12-31	PRIJEM	\N	248	56203	UROK	\N	\N
3652382	3695	1997-04-30	PRIJEM	\N	49	13567	UROK	\N	\N
3652383	3695	1997-05-31	PRIJEM	\N	119	30904	UROK	\N	\N
3652384	3695	1997-06-30	PRIJEM	\N	184	46515	UROK	\N	\N
3652385	3695	1997-07-31	PRIJEM	\N	193	46826	UROK	\N	\N
3652386	3695	1997-08-31	PRIJEM	\N	157	30899	UROK	\N	\N
3652387	3695	1997-09-30	PRIJEM	\N	137	27239	UROK	\N	\N
3652388	3695	1997-10-31	PRIJEM	\N	113	23555	UROK	\N	\N
3652389	3695	1997-11-30	PRIJEM	\N	110	24667	UROK	\N	\N
3652390	3695	1997-12-31	PRIJEM	\N	137	28916	UROK	\N	\N
3652391	3695	1998-01-31	PRIJEM	\N	115	20833	UROK	\N	\N
3652392	3695	1998-02-28	PRIJEM	\N	92	20427	UROK	\N	\N
3652393	3695	1998-03-31	PRIJEM	\N	96	23526	UROK	\N	\N
3652394	3695	1998-04-30	PRIJEM	\N	113	31541	UROK	\N	\N
3652395	3695	1998-05-31	PRIJEM	\N	141	29985	UROK	\N	\N
3652396	3695	1998-06-30	PRIJEM	\N	143	27940	UROK	\N	\N
3652397	3695	1998-07-31	PRIJEM	\N	121	21363	UROK	\N	\N
3652398	3695	1998-08-31	PRIJEM	\N	99	22364	UROK	\N	\N
3652399	3695	1998-09-30	PRIJEM	\N	103	23069	UROK	\N	\N
3652400	3695	1998-10-31	PRIJEM	\N	97	20369	UROK	\N	\N
3652401	3695	1998-11-30	PRIJEM	\N	95	21766	UROK	\N	\N
3652402	3695	1998-12-31	PRIJEM	\N	112	22089	UROK	\N	\N
3652403	3696	1996-07-31	PRIJEM	\N	31	23309	UROK	\N	\N
3652404	3696	1996-08-31	PRIJEM	\N	115	35302	UROK	\N	\N
3652405	3696	1996-09-30	PRIJEM	\N	158	42838	UROK	\N	\N
3652406	3696	1996-10-31	PRIJEM	\N	183	45999	UROK	\N	\N
3652407	3696	1996-11-30	PRIJEM	\N	213	44108	UROK	\N	\N
3652408	3696	1996-12-31	PRIJEM	\N	248	52528	UROK	\N	\N
3652409	3696	1997-01-31	PRIJEM	\N	207	38718	UROK	\N	\N
3652410	3696	1997-02-28	PRIJEM	\N	184	43584	UROK	\N	\N
3652411	3696	1997-03-31	PRIJEM	\N	201	42267	UROK	\N	\N
3652412	3696	1997-04-30	PRIJEM	\N	184	36433	UROK	\N	\N
3652413	3696	1997-05-31	PRIJEM	\N	165	33680	UROK	\N	\N
3652414	3696	1997-06-30	PRIJEM	\N	139	30691	UROK	\N	\N
3652415	3696	1997-07-31	PRIJEM	\N	155	38128	UROK	\N	\N
3652416	3696	1997-08-31	PRIJEM	\N	174	40785	UROK	\N	\N
3652417	3696	1997-09-30	PRIJEM	\N	181	42348	UROK	\N	\N
3652418	3696	1997-10-31	PRIJEM	\N	188	44418	UROK	\N	\N
3652419	3696	1997-11-30	PRIJEM	\N	196	46996	UROK	\N	\N
3652420	3696	1997-12-31	PRIJEM	\N	236	51504	UROK	\N	\N
3652421	3696	1998-01-31	PRIJEM	\N	200	37686	UROK	\N	\N
3652422	3696	1998-02-28	PRIJEM	\N	190	50958	UROK	\N	\N
3652423	3696	1998-03-31	PRIJEM	\N	218	51458	UROK	\N	\N
3652424	3696	1998-04-30	PRIJEM	\N	231	52672	UROK	\N	\N
3652425	3696	1998-05-31	PRIJEM	\N	231	50085	UROK	\N	\N
3652426	3696	1998-06-30	PRIJEM	\N	231	49487	UROK	\N	\N
3652427	3696	1998-07-31	PRIJEM	\N	220	51589	UROK	\N	\N
3652428	3696	1998-08-31	PRIJEM	\N	212	50883	UROK	\N	\N
3652429	3696	1998-09-30	PRIJEM	\N	199	46065	UROK	\N	\N
3652430	3696	1998-10-31	PRIJEM	\N	188	44935	UROK	\N	\N
3652431	3696	1998-11-30	PRIJEM	\N	195	47512	UROK	\N	\N
3652432	3696	1998-12-31	PRIJEM	\N	221	52405	UROK	\N	\N
3652433	3697	1993-05-31	PRIJEM	\N	7	17174	UROK	\N	\N
3652434	3697	1993-06-30	PRIJEM	\N	77	29551	UROK	\N	\N
3652435	3697	1993-07-31	PRIJEM	\N	126	35544	UROK	\N	\N
3652436	3697	1993-08-31	PRIJEM	\N	149	38160	UROK	\N	\N
3652437	3697	1993-09-30	PRIJEM	\N	173	33828	UROK	\N	\N
3652438	3697	1993-10-31	PRIJEM	\N	159	33388	UROK	\N	\N
3652439	3697	1993-11-30	PRIJEM	\N	155	31563	UROK	\N	\N
3652440	3697	1993-12-31	PRIJEM	\N	168	36985	UROK	\N	\N
3652441	3697	1994-01-31	PRIJEM	\N	144	26009	UROK	\N	\N
3652442	3697	1994-02-28	PRIJEM	\N	128	29957	UROK	\N	\N
3652443	3697	1994-03-31	PRIJEM	\N	139	29557	UROK	\N	\N
3652444	3697	1994-04-30	PRIJEM	\N	131	28608	UROK	\N	\N
3652445	3697	1994-05-31	PRIJEM	\N	131	31659	UROK	\N	\N
3652446	3697	1994-06-30	PRIJEM	\N	142	25695	UROK	\N	\N
3652447	3697	1994-07-31	PRIJEM	\N	127	29743	UROK	\N	\N
3652448	3697	1994-08-31	PRIJEM	\N	142	33205	UROK	\N	\N
3652449	3697	1994-09-30	PRIJEM	\N	150	31675	UROK	\N	\N
3652450	3697	1994-10-31	PRIJEM	\N	143	31118	UROK	\N	\N
3652451	3697	1994-11-30	PRIJEM	\N	147	34885	UROK	\N	\N
3652452	3697	1994-12-31	PRIJEM	\N	170	37110	UROK	\N	\N
3652453	3697	1995-01-31	PRIJEM	\N	136	21986	UROK	\N	\N
3652454	3697	1995-02-28	PRIJEM	\N	115	30322	UROK	\N	\N
3652455	3697	1995-03-31	PRIJEM	\N	140	31783	UROK	\N	\N
3652456	3697	1995-04-30	PRIJEM	\N	148	34351	UROK	\N	\N
3652457	3697	1995-05-31	PRIJEM	\N	141	31352	UROK	\N	\N
3652458	3697	1995-06-30	PRIJEM	\N	157	35862	UROK	\N	\N
3652459	3697	1995-07-31	PRIJEM	\N	147	32630	UROK	\N	\N
3652460	3697	1995-08-31	PRIJEM	\N	135	26765	UROK	\N	\N
3652461	3697	1995-09-30	PRIJEM	\N	123	28408	UROK	\N	\N
3652462	3697	1995-10-31	PRIJEM	\N	123	27352	UROK	\N	\N
3652463	3697	1995-11-30	PRIJEM	\N	116	25188	UROK	\N	\N
3652464	3697	1995-12-31	PRIJEM	\N	105	21786	UROK	\N	\N
3652465	3697	1996-01-31	PRIJEM	\N	72	14418	UROK	\N	\N
3652466	3697	1996-02-29	PRIJEM	\N	70	16388	UROK	\N	\N
3652467	3697	1996-03-31	PRIJEM	\N	75	17084	UROK	\N	\N
3652468	3697	1996-04-30	PRIJEM	\N	70	15274	UROK	\N	\N
3652469	3697	1996-05-31	PRIJEM	\N	80	20555	UROK	\N	\N
3652470	3697	1996-06-30	PRIJEM	\N	76	15645	UROK	\N	\N
3652471	3697	1996-07-31	PRIJEM	\N	63	14028	UROK	\N	\N
3652472	3697	1996-08-31	PRIJEM	\N	81	21229	UROK	\N	\N
3652473	3697	1996-09-30	PRIJEM	\N	70	14519	UROK	\N	\N
3652474	3697	1996-10-31	PRIJEM	\N	83	21722	UROK	\N	\N
3652475	3697	1996-11-30	PRIJEM	\N	74	16317	UROK	\N	\N
3652476	3697	1996-12-31	PRIJEM	\N	71	17141	UROK	\N	\N
3652477	3697	1997-01-31	PRIJEM	\N	81	16542	UROK	\N	\N
3652478	3697	1997-02-28	PRIJEM	\N	89	23752	UROK	\N	\N
3652479	3697	1997-03-31	PRIJEM	\N	118	26791	UROK	\N	\N
3652480	3697	1997-04-30	PRIJEM	\N	77	15988	UROK	\N	\N
3652481	3697	1997-05-31	PRIJEM	\N	87	21996	UROK	\N	\N
3652482	3697	1997-06-30	PRIJEM	\N	134	35783	UROK	\N	\N
3652483	3697	1997-07-31	PRIJEM	\N	95	17998	UROK	\N	\N
3652484	3697	1997-08-31	PRIJEM	\N	95	25214	UROK	\N	\N
3652485	3697	1997-09-30	PRIJEM	\N	121	27655	UROK	\N	\N
3652486	3697	1997-10-31	PRIJEM	\N	136	34912	UROK	\N	\N
3652487	3697	1997-11-30	PRIJEM	\N	104	21076	UROK	\N	\N
3652488	3697	1997-12-31	PRIJEM	\N	129	34139	UROK	\N	\N
3652489	3697	1998-01-31	PRIJEM	\N	125	22824	UROK	\N	\N
3652490	3697	1998-02-28	PRIJEM	\N	111	27295	UROK	\N	\N
3652491	3697	1998-03-31	PRIJEM	\N	134	34550	UROK	\N	\N
3652492	3697	1998-04-30	PRIJEM	\N	164	41834	UROK	\N	\N
3652493	3697	1998-05-31	PRIJEM	\N	194	49149	UROK	\N	\N
3652494	3697	1998-06-30	PRIJEM	\N	145	33867	UROK	\N	\N
3652495	3697	1998-07-31	PRIJEM	\N	141	34888	UROK	\N	\N
3652496	3697	1998-08-31	PRIJEM	\N	134	32902	UROK	\N	\N
3652497	3697	1998-09-30	PRIJEM	\N	157	40180	UROK	\N	\N
3652498	3697	1998-10-31	PRIJEM	\N	185	46525	UROK	\N	\N
3652499	3697	1998-11-30	PRIJEM	\N	213	53858	UROK	\N	\N
3652500	3697	1998-12-31	PRIJEM	\N	265	67777	UROK	\N	\N
3652501	3698	1996-07-31	PRIJEM	\N	3	23803	UROK	\N	\N
3652502	3698	1996-08-31	PRIJEM	\N	98	23401	UROK	\N	\N
3652503	3698	1996-09-30	PRIJEM	\N	98	24399	UROK	\N	\N
3652504	3698	1996-10-31	PRIJEM	\N	98	23197	UROK	\N	\N
3652505	3698	1996-11-30	PRIJEM	\N	98	22395	UROK	\N	\N
3652506	3698	1996-12-31	PRIJEM	\N	98	21493	UROK	\N	\N
3652507	3698	1997-01-31	PRIJEM	\N	98	20291	UROK	\N	\N
3652508	3698	1997-02-28	PRIJEM	\N	98	16589	UROK	\N	\N
3652509	3698	1997-03-31	PRIJEM	\N	98	18387	UROK	\N	\N
3652510	3698	1997-04-30	PRIJEM	\N	98	15384	UROK	\N	\N
3652511	3698	1997-05-31	PRIJEM	\N	98	14882	UROK	\N	\N
3652512	3698	1997-06-30	PRIJEM	\N	98	13180	UROK	\N	\N
3652513	3698	1997-07-31	PRIJEM	\N	98	15178	UROK	\N	\N
3652514	3698	1997-08-31	PRIJEM	\N	98	15776	UROK	\N	\N
3652515	3698	1997-09-30	PRIJEM	\N	98	15274	UROK	\N	\N
3652516	3698	1997-10-31	PRIJEM	\N	98	17172	UROK	\N	\N
3652517	3698	1997-11-30	PRIJEM	\N	98	17470	UROK	\N	\N
3652518	3698	1997-12-31	PRIJEM	\N	98	19268	UROK	\N	\N
3652519	3698	1998-01-31	PRIJEM	\N	98	17966	UROK	\N	\N
3652520	3698	1998-02-28	PRIJEM	\N	98	18564	UROK	\N	\N
3652521	3698	1998-03-31	PRIJEM	\N	98	21062	UROK	\N	\N
3652522	3698	1998-04-30	PRIJEM	\N	98	22560	UROK	\N	\N
3652523	3698	1998-05-31	PRIJEM	\N	98	17157	UROK	\N	\N
3652524	3698	1998-06-30	PRIJEM	\N	98	19055	UROK	\N	\N
3652525	3698	1998-07-31	PRIJEM	\N	98	15153	UROK	\N	\N
3652526	3698	1998-08-31	PRIJEM	\N	98	12551	UROK	\N	\N
3652527	3698	1998-09-30	PRIJEM	\N	98	15449	UROK	\N	\N
3652528	3698	1998-10-31	PRIJEM	\N	98	18047	UROK	\N	\N
3652529	3698	1998-11-30	PRIJEM	\N	98	20045	UROK	\N	\N
3652530	3699	1993-08-31	PRIJEM	\N	67	19960	UROK	\N	\N
3652531	3699	1993-09-30	PRIJEM	\N	153	41106	UROK	\N	\N
3652532	3699	1993-10-31	PRIJEM	\N	201	50300	UROK	\N	\N
3652533	3699	1993-11-30	PRIJEM	\N	229	56322	UROK	\N	\N
3652534	3699	1993-12-31	PRIJEM	\N	249	56766	UROK	\N	\N
3652535	3699	1994-01-31	PRIJEM	\N	188	27407	UROK	\N	\N
3652536	3699	1994-02-28	PRIJEM	\N	146	31507	UROK	\N	\N
3652537	3699	1994-03-31	PRIJEM	\N	148	35348	UROK	\N	\N
3652538	3699	1994-04-30	PRIJEM	\N	171	41712	UROK	\N	\N
3652539	3699	1994-05-31	PRIJEM	\N	189	45595	UROK	\N	\N
3652540	3699	1994-06-30	PRIJEM	\N	181	41656	UROK	\N	\N
3652541	3699	1994-07-31	PRIJEM	\N	193	44962	UROK	\N	\N
3652542	3699	1994-08-31	PRIJEM	\N	198	39154	UROK	\N	\N
3652543	3699	1994-09-30	PRIJEM	\N	196	41643	UROK	\N	\N
3652544	3699	1994-10-31	PRIJEM	\N	203	41140	UROK	\N	\N
3652545	3699	1994-11-30	PRIJEM	\N	201	40034	UROK	\N	\N
3652546	3699	1994-12-31	PRIJEM	\N	210	38304	UROK	\N	\N
3652547	3699	1995-01-31	PRIJEM	\N	126	26003	UROK	\N	\N
3652548	3699	1995-02-28	PRIJEM	\N	139	30536	UROK	\N	\N
3652549	3699	1995-03-31	PRIJEM	\N	158	33987	UROK	\N	\N
3652550	3699	1995-04-30	PRIJEM	\N	167	37207	UROK	\N	\N
3652551	3699	1995-05-31	PRIJEM	\N	183	38784	UROK	\N	\N
3652552	3699	1995-06-30	PRIJEM	\N	213	43836	UROK	\N	\N
3652553	3699	1995-07-31	PRIJEM	\N	207	41456	UROK	\N	\N
3652554	3699	1995-08-31	PRIJEM	\N	196	40945	UROK	\N	\N
3652555	3699	1995-09-30	PRIJEM	\N	191	38830	UROK	\N	\N
3652556	3699	1995-10-31	PRIJEM	\N	176	35939	UROK	\N	\N
3652557	3699	1995-11-30	PRIJEM	\N	168	32621	UROK	\N	\N
3652558	3699	1995-12-31	PRIJEM	\N	181	37762	UROK	\N	\N
3652559	3699	1996-01-31	PRIJEM	\N	155	26270	UROK	\N	\N
3652560	3699	1996-02-29	PRIJEM	\N	129	27592	UROK	\N	\N
3652561	3699	1996-03-31	PRIJEM	\N	136	29822	UROK	\N	\N
3652562	3699	1996-04-30	PRIJEM	\N	143	31358	UROK	\N	\N
3652563	3699	1996-05-31	PRIJEM	\N	151	34503	UROK	\N	\N
3652564	3699	1996-06-30	PRIJEM	\N	162	36325	UROK	\N	\N
3652565	3699	1996-07-31	PRIJEM	\N	166	36685	UROK	\N	\N
3652566	3699	1996-08-31	PRIJEM	\N	159	33238	UROK	\N	\N
3652567	3699	1996-09-30	PRIJEM	\N	144	29775	UROK	\N	\N
3652568	3699	1996-10-31	PRIJEM	\N	134	29502	UROK	\N	\N
3652569	3699	1996-11-30	PRIJEM	\N	132	29328	UROK	\N	\N
3652570	3699	1996-12-31	PRIJEM	\N	140	28848	UROK	\N	\N
3652571	3699	1997-01-31	PRIJEM	\N	99	17380	UROK	\N	\N
3652572	3699	1997-02-28	PRIJEM	\N	82	19156	UROK	\N	\N
3652573	3699	1997-03-31	PRIJEM	\N	87	18336	UROK	\N	\N
3652574	3699	1997-04-30	PRIJEM	\N	80	16590	UROK	\N	\N
3652575	3699	1997-05-31	PRIJEM	\N	77	17260	UROK	\N	\N
3652576	3699	1997-06-30	PRIJEM	\N	90	20450	UROK	\N	\N
3652577	3699	1997-07-31	PRIJEM	\N	89	19933	UROK	\N	\N
3652578	3699	1997-08-31	PRIJEM	\N	91	22117	UROK	\N	\N
3652579	3699	1997-09-30	PRIJEM	\N	96	18587	UROK	\N	\N
3652580	3699	1997-10-31	PRIJEM	\N	82	19762	UROK	\N	\N
3652581	3699	1997-11-30	PRIJEM	\N	81	19437	UROK	\N	\N
3652582	3699	1997-12-31	PRIJEM	\N	80	18297	UROK	\N	\N
3652583	3699	1998-01-31	PRIJEM	\N	78	18528	UROK	\N	\N
3652584	3699	1998-02-28	PRIJEM	\N	67	16489	UROK	\N	\N
3652585	3699	1998-03-31	PRIJEM	\N	101	28783	UROK	\N	\N
3652586	3699	1998-04-30	PRIJEM	\N	151	41127	UROK	\N	\N
3652587	3699	1998-05-31	PRIJEM	\N	102	17522	UROK	\N	\N
3652588	3699	1998-06-30	PRIJEM	\N	113	30035	UROK	\N	\N
3652589	3699	1998-07-31	PRIJEM	\N	155	40223	UROK	\N	\N
3652590	3699	1998-08-31	PRIJEM	\N	198	50095	UROK	\N	\N
3652591	3699	1998-09-30	PRIJEM	\N	80	10408	UROK	\N	\N
3652592	3699	1998-10-31	PRIJEM	\N	74	22676	UROK	\N	\N
3652593	3699	1998-11-30	PRIJEM	\N	125	34994	UROK	\N	\N
3652594	3699	1998-12-31	PRIJEM	\N	77	9611	UROK	\N	\N
3652595	3700	1997-06-30	PRIJEM	\N	100	30117	UROK	\N	\N
3652596	3700	1997-07-31	PRIJEM	\N	176	45472	UROK	\N	\N
3652597	3700	1997-08-31	PRIJEM	\N	222	55371	UROK	\N	\N
3652598	3700	1997-09-30	PRIJEM	\N	245	59794	UROK	\N	\N
3652599	3700	1997-10-31	PRIJEM	\N	242	57684	UROK	\N	\N
3652600	3700	1997-11-30	PRIJEM	\N	202	49099	UROK	\N	\N
3652601	3700	1997-12-31	PRIJEM	\N	206	41238	UROK	\N	\N
3652602	3700	1998-01-31	PRIJEM	\N	134	26045	UROK	\N	\N
3652603	3700	1998-02-28	PRIJEM	\N	144	40422	UROK	\N	\N
3652604	3700	1998-03-31	PRIJEM	\N	184	39340	UROK	\N	\N
3652605	3700	1998-04-30	PRIJEM	\N	199	46072	UROK	\N	\N
3652606	3700	1998-05-31	PRIJEM	\N	221	46247	UROK	\N	\N
3652607	3700	1998-06-30	PRIJEM	\N	172	27951	UROK	\N	\N
3652608	3700	1998-07-31	PRIJEM	\N	151	39995	UROK	\N	\N
3652609	3700	1998-08-31	PRIJEM	\N	176	35705	UROK	\N	\N
3652610	3700	1998-09-30	PRIJEM	\N	180	41518	UROK	\N	\N
3652611	3700	1998-10-31	PRIJEM	\N	206	50058	UROK	\N	\N
3652612	3700	1998-11-30	PRIJEM	\N	228	49519	UROK	\N	\N
3652613	3700	1998-12-31	PRIJEM	\N	278	70249	UROK	\N	\N
3652614	3701	1994-03-31	PRIJEM	\N	97	27013	UROK	\N	\N
3652615	3701	1994-04-30	PRIJEM	\N	114	26240	UROK	\N	\N
3652616	3701	1994-05-31	PRIJEM	\N	107	24481	UROK	\N	\N
3652617	3701	1994-06-30	PRIJEM	\N	87	16031	UROK	\N	\N
3652618	3701	1994-07-31	PRIJEM	\N	75	19439	UROK	\N	\N
3652619	3701	1994-08-31	PRIJEM	\N	90	22862	UROK	\N	\N
3652620	3701	1994-09-30	PRIJEM	\N	104	26299	UROK	\N	\N
3652621	3701	1994-10-31	PRIJEM	\N	107	25159	UROK	\N	\N
3652622	3701	1994-11-30	PRIJEM	\N	111	28304	UROK	\N	\N
3652623	3701	1994-12-31	PRIJEM	\N	112	25919	UROK	\N	\N
3652624	3701	1995-01-31	PRIJEM	\N	110	26012	UROK	\N	\N
3652625	3701	1995-02-28	PRIJEM	\N	116	29461	UROK	\N	\N
3652626	3701	1995-03-31	PRIJEM	\N	117	28792	UROK	\N	\N
3652627	3701	1995-04-30	PRIJEM	\N	130	29255	UROK	\N	\N
3652628	3701	1995-05-31	PRIJEM	\N	130	30818	UROK	\N	\N
3652629	3701	1995-06-30	PRIJEM	\N	132	22683	UROK	\N	\N
3652630	3701	1995-07-31	PRIJEM	\N	103	26119	UROK	\N	\N
3652631	3701	1995-08-31	PRIJEM	\N	117	29570	UROK	\N	\N
3652632	3701	1995-09-30	PRIJEM	\N	130	30533	UROK	\N	\N
3652633	3701	1995-10-31	PRIJEM	\N	130	30716	UROK	\N	\N
3652634	3701	1995-11-30	PRIJEM	\N	135	32984	UROK	\N	\N
3652635	3701	1995-12-31	PRIJEM	\N	144	34412	UROK	\N	\N
3652636	3701	1996-01-31	PRIJEM	\N	143	31589	UROK	\N	\N
3652637	3701	1996-02-29	PRIJEM	\N	136	32158	UROK	\N	\N
3652638	3701	1996-03-31	PRIJEM	\N	137	32629	UROK	\N	\N
3652639	3701	1996-04-30	PRIJEM	\N	143	33065	UROK	\N	\N
3652640	3701	1996-05-31	PRIJEM	\N	146	36544	UROK	\N	\N
3652641	3701	1996-06-30	PRIJEM	\N	147	24625	UROK	\N	\N
3652642	3701	1996-07-31	PRIJEM	\N	110	28068	UROK	\N	\N
3652643	3701	1996-08-31	PRIJEM	\N	124	30325	UROK	\N	\N
3652644	3701	1996-09-30	PRIJEM	\N	130	31189	UROK	\N	\N
3652645	3701	1996-10-31	PRIJEM	\N	134	33216	UROK	\N	\N
3652646	3701	1996-11-30	PRIJEM	\N	131	28821	UROK	\N	\N
3652647	3701	1996-12-31	PRIJEM	\N	125	30929	UROK	\N	\N
3652648	3701	1997-01-31	PRIJEM	\N	123	27225	UROK	\N	\N
3652649	3701	1997-02-28	PRIJEM	\N	120	30679	UROK	\N	\N
3652650	3701	1997-03-31	PRIJEM	\N	135	33667	UROK	\N	\N
3652651	3701	1997-04-30	PRIJEM	\N	146	35786	UROK	\N	\N
3652652	3701	1997-05-31	PRIJEM	\N	156	39276	UROK	\N	\N
3652653	3701	1997-06-30	PRIJEM	\N	106	22365	UROK	\N	\N
3652654	3701	1997-07-31	PRIJEM	\N	100	25799	UROK	\N	\N
3652655	3701	1997-08-31	PRIJEM	\N	114	29247	UROK	\N	\N
3652656	3701	1997-09-30	PRIJEM	\N	129	32709	UROK	\N	\N
3652657	3701	1997-10-31	PRIJEM	\N	143	36185	UROK	\N	\N
3652658	3701	1997-11-30	PRIJEM	\N	157	39676	UROK	\N	\N
3652659	3701	1997-12-31	PRIJEM	\N	170	42029	UROK	\N	\N
3652660	3701	1998-01-31	PRIJEM	\N	173	38485	UROK	\N	\N
3652661	3701	1998-02-28	PRIJEM	\N	166	41985	UROK	\N	\N
3652662	3701	1998-03-31	PRIJEM	\N	180	42378	UROK	\N	\N
3652663	3701	1998-04-30	PRIJEM	\N	183	45894	UROK	\N	\N
3652664	3701	1998-05-31	PRIJEM	\N	197	49425	UROK	\N	\N
3652665	3701	1998-06-30	PRIJEM	\N	202	47261	UROK	\N	\N
3652666	3701	1998-07-31	PRIJEM	\N	203	50397	UROK	\N	\N
3652667	3701	1998-08-31	PRIJEM	\N	215	53385	UROK	\N	\N
3652668	3701	1998-09-30	PRIJEM	\N	216	51935	UROK	\N	\N
3652669	3701	1998-10-31	PRIJEM	\N	217	51864	UROK	\N	\N
3652670	3701	1998-11-30	PRIJEM	\N	202	47460	UROK	\N	\N
3652671	3701	1998-12-31	PRIJEM	\N	200	48693	UROK	\N	\N
3652672	3702	1995-05-31	PRIJEM	\N	50	19489	UROK	\N	\N
3652673	3702	1995-06-30	PRIJEM	\N	121	34818	UROK	\N	\N
3652674	3702	1995-07-31	PRIJEM	\N	160	40417	UROK	\N	\N
3652675	3702	1995-08-31	PRIJEM	\N	175	43031	UROK	\N	\N
3652676	3702	1995-09-30	PRIJEM	\N	165	38185	UROK	\N	\N
3652677	3702	1995-10-31	PRIJEM	\N	127	22747	UROK	\N	\N
3652678	3702	1995-11-30	PRIJEM	\N	106	26628	UROK	\N	\N
3652679	3702	1995-12-31	PRIJEM	\N	142	36914	UROK	\N	\N
3652680	3702	1996-01-31	PRIJEM	\N	100	15649	UROK	\N	\N
3652681	3702	1996-02-29	PRIJEM	\N	85	20708	UROK	\N	\N
3652682	3702	1996-03-31	PRIJEM	\N	112	28294	UROK	\N	\N
3652683	3702	1996-04-30	PRIJEM	\N	137	33305	UROK	\N	\N
3652684	3702	1996-05-31	PRIJEM	\N	144	34223	UROK	\N	\N
3652685	3702	1996-06-30	PRIJEM	\N	192	30719	UROK	\N	\N
3652686	3702	1996-07-31	PRIJEM	\N	174	43968	UROK	\N	\N
3652687	3702	1996-08-31	PRIJEM	\N	210	51352	UROK	\N	\N
3652688	3702	1996-09-30	PRIJEM	\N	223	53449	UROK	\N	\N
3652689	3702	1996-10-31	PRIJEM	\N	229	55492	UROK	\N	\N
3652690	3702	1996-11-30	PRIJEM	\N	237	56704	UROK	\N	\N
3652691	3702	1996-12-31	PRIJEM	\N	272	66919	UROK	\N	\N
3652692	3702	1997-01-31	PRIJEM	\N	180	24134	UROK	\N	\N
3652693	3702	1997-02-28	PRIJEM	\N	145	37053	UROK	\N	\N
3652694	3702	1997-03-31	PRIJEM	\N	170	35038	UROK	\N	\N
3652695	3702	1997-04-30	PRIJEM	\N	187	47000	UROK	\N	\N
3652696	3702	1997-05-31	PRIJEM	\N	223	54797	UROK	\N	\N
3652697	3702	1997-06-30	PRIJEM	\N	132	30373	UROK	\N	\N
3652698	3702	1997-07-31	PRIJEM	\N	165	41632	UROK	\N	\N
3652699	3702	1997-08-31	PRIJEM	\N	193	48299	UROK	\N	\N
3652700	3702	1997-09-30	PRIJEM	\N	220	51894	UROK	\N	\N
3652701	3702	1997-10-31	PRIJEM	\N	228	50036	UROK	\N	\N
3652702	3702	1997-11-30	PRIJEM	\N	226	52636	UROK	\N	\N
3652703	3702	1997-12-31	PRIJEM	\N	259	58639	UROK	\N	\N
3652704	3702	1998-01-31	PRIJEM	\N	231	48964	UROK	\N	\N
3652705	3702	1998-02-28	PRIJEM	\N	222	54160	UROK	\N	\N
3652706	3702	1998-03-31	PRIJEM	\N	241	54676	UROK	\N	\N
3652707	3702	1998-04-30	PRIJEM	\N	244	56294	UROK	\N	\N
3652708	3702	1998-05-31	PRIJEM	\N	247	53916	UROK	\N	\N
3652709	3702	1998-06-30	PRIJEM	\N	253	34892	UROK	\N	\N
3652710	3702	1998-07-31	PRIJEM	\N	163	37350	UROK	\N	\N
3652711	3702	1998-08-31	PRIJEM	\N	181	51706	UROK	\N	\N
3652712	3702	1998-09-30	PRIJEM	\N	235	59815	UROK	\N	\N
3652713	3702	1998-10-31	PRIJEM	\N	261	60850	UROK	\N	\N
3652714	3702	1998-11-30	PRIJEM	\N	268	64693	UROK	\N	\N
3652715	3702	1998-12-31	PRIJEM	\N	313	79850	UROK	\N	\N
3652716	3703	1997-11-30	PRIJEM	\N	40	12383	UROK	\N	\N
3652717	3703	1997-12-31	PRIJEM	\N	55	12650	UROK	\N	\N
3652718	3703	1998-01-31	PRIJEM	\N	50	11442	UROK	\N	\N
3652719	3703	1998-02-28	PRIJEM	\N	51	12486	UROK	\N	\N
3652720	3703	1998-03-31	PRIJEM	\N	53	12481	UROK	\N	\N
3652721	3703	1998-04-30	PRIJEM	\N	55	12778	UROK	\N	\N
3652722	3703	1998-05-31	PRIJEM	\N	57	13827	UROK	\N	\N
3652723	3703	1998-06-30	PRIJEM	\N	60	13649	UROK	\N	\N
3652724	3703	1998-07-31	PRIJEM	\N	55	12777	UROK	\N	\N
3652725	3703	1998-08-31	PRIJEM	\N	56	13435	UROK	\N	\N
3652726	3703	1998-09-30	PRIJEM	\N	57	13484	UROK	\N	\N
3652727	3703	1998-10-31	PRIJEM	\N	56	13333	UROK	\N	\N
3652728	3703	1998-11-30	PRIJEM	\N	58	14083	UROK	\N	\N
3652729	3703	1998-12-31	PRIJEM	\N	55	12630	UROK	\N	\N
3652730	3704	1993-05-31	PRIJEM	\N	27	24795	UROK	\N	\N
3652731	3704	1993-06-30	PRIJEM	\N	99	15239	UROK	\N	\N
3652732	3704	1993-07-31	PRIJEM	\N	72	18492	UROK	\N	\N
3652733	3704	1993-08-31	PRIJEM	\N	84	20158	UROK	\N	\N
3652734	3704	1993-09-30	PRIJEM	\N	93	22712	UROK	\N	\N
3652735	3704	1993-10-31	PRIJEM	\N	100	23994	UROK	\N	\N
3652736	3704	1993-11-30	PRIJEM	\N	108	27283	UROK	\N	\N
3652737	3704	1993-12-31	PRIJEM	\N	123	29787	UROK	\N	\N
3652738	3704	1994-01-31	PRIJEM	\N	112	22191	UROK	\N	\N
3652739	3704	1994-02-28	PRIJEM	\N	97	24189	UROK	\N	\N
3652740	3704	1994-03-31	PRIJEM	\N	89	18339	UROK	\N	\N
3652741	3704	1994-04-30	PRIJEM	\N	84	21605	UROK	\N	\N
3652742	3704	1994-05-31	PRIJEM	\N	96	23682	UROK	\N	\N
3652743	3704	1994-06-30	PRIJEM	\N	105	25968	UROK	\N	\N
3652744	3704	1994-07-31	PRIJEM	\N	111	26661	UROK	\N	\N
3652745	3704	1994-08-31	PRIJEM	\N	115	27498	UROK	\N	\N
3652746	3704	1994-09-30	PRIJEM	\N	118	28557	UROK	\N	\N
3652747	3704	1994-10-31	PRIJEM	\N	125	30763	UROK	\N	\N
3652748	3704	1994-11-30	PRIJEM	\N	128	30472	UROK	\N	\N
3652749	3704	1994-12-31	PRIJEM	\N	99	21932	UROK	\N	\N
3652750	3704	1995-01-31	PRIJEM	\N	75	13848	UROK	\N	\N
3652751	3704	1995-02-28	PRIJEM	\N	65	17094	UROK	\N	\N
3652752	3704	1995-03-31	PRIJEM	\N	81	19877	UROK	\N	\N
3652753	3704	1995-04-30	PRIJEM	\N	90	23048	UROK	\N	\N
3652754	3704	1995-05-31	PRIJEM	\N	103	25133	UROK	\N	\N
3652755	3704	1995-06-30	PRIJEM	\N	105	24819	UROK	\N	\N
3652756	3704	1995-07-31	PRIJEM	\N	118	28018	UROK	\N	\N
3652757	3704	1995-08-31	PRIJEM	\N	110	25509	UROK	\N	\N
3652758	3704	1995-09-30	PRIJEM	\N	103	24494	UROK	\N	\N
3652759	3704	1995-10-31	PRIJEM	\N	99	23574	UROK	\N	\N
3652760	3704	1995-11-30	PRIJEM	\N	101	21777	UROK	\N	\N
3652761	3704	1995-12-31	PRIJEM	\N	95	22753	UROK	\N	\N
3652762	3704	1996-01-31	PRIJEM	\N	73	14487	UROK	\N	\N
3652763	3704	1996-02-29	PRIJEM	\N	67	17736	UROK	\N	\N
3652764	3704	1996-03-31	PRIJEM	\N	80	18797	UROK	\N	\N
3652765	3704	1996-04-30	PRIJEM	\N	82	19740	UROK	\N	\N
3652766	3704	1996-05-31	PRIJEM	\N	89	23011	UROK	\N	\N
3652767	3704	1996-06-30	PRIJEM	\N	98	24291	UROK	\N	\N
3652768	3704	1996-07-31	PRIJEM	\N	106	25738	UROK	\N	\N
3652769	3704	1996-08-31	PRIJEM	\N	114	29033	UROK	\N	\N
3652770	3704	1996-09-30	PRIJEM	\N	127	30542	UROK	\N	\N
3652771	3704	1996-10-31	PRIJEM	\N	119	27722	UROK	\N	\N
3652772	3704	1996-11-30	PRIJEM	\N	113	23896	UROK	\N	\N
3652773	3704	1996-12-31	PRIJEM	\N	106	26084	UROK	\N	\N
3652774	3704	1997-01-31	PRIJEM	\N	98	17243	UROK	\N	\N
3652775	3704	1997-02-28	PRIJEM	\N	78	20502	UROK	\N	\N
3652776	3704	1997-03-31	PRIJEM	\N	92	23775	UROK	\N	\N
3652777	3704	1997-04-30	PRIJEM	\N	105	27062	UROK	\N	\N
3652778	3704	1997-05-31	PRIJEM	\N	122	30065	UROK	\N	\N
3652779	3704	1997-06-30	PRIJEM	\N	110	25256	UROK	\N	\N
3652780	3704	1997-07-31	PRIJEM	\N	108	26306	UROK	\N	\N
3652781	3704	1997-08-31	PRIJEM	\N	116	29603	UROK	\N	\N
3652782	3704	1997-09-30	PRIJEM	\N	129	32913	UROK	\N	\N
3652783	3704	1997-10-31	PRIJEM	\N	143	36238	UROK	\N	\N
3652784	3704	1997-11-30	PRIJEM	\N	156	37975	UROK	\N	\N
3652785	3704	1997-12-31	PRIJEM	\N	161	38588	UROK	\N	\N
3652786	3704	1998-01-31	PRIJEM	\N	156	28995	UROK	\N	\N
3652787	3704	1998-02-28	PRIJEM	\N	126	32302	UROK	\N	\N
3652788	3704	1998-03-31	PRIJEM	\N	140	35624	UROK	\N	\N
3652789	3704	1998-04-30	PRIJEM	\N	149	36234	UROK	\N	\N
3652790	3704	1998-05-31	PRIJEM	\N	156	39571	UROK	\N	\N
3652791	3704	1998-06-30	PRIJEM	\N	142	30105	UROK	\N	\N
3652792	3704	1998-07-31	PRIJEM	\N	131	33417	UROK	\N	\N
3652793	3704	1998-08-31	PRIJEM	\N	144	36182	UROK	\N	\N
3652794	3704	1998-09-30	PRIJEM	\N	156	39519	UROK	\N	\N
3652795	3704	1998-10-31	PRIJEM	\N	169	42870	UROK	\N	\N
3652796	3704	1998-11-30	PRIJEM	\N	178	43509	UROK	\N	\N
3652797	3704	1998-12-31	PRIJEM	\N	182	42722	UROK	\N	\N
3652798	3705	1997-11-30	PRIJEM	\N	33	58606	UROK	\N	\N
3652799	3705	1997-12-31	PRIJEM	\N	281	57533	UROK	\N	\N
3652800	3705	1998-01-31	PRIJEM	\N	239	38372	UROK	\N	\N
3652801	3705	1998-02-28	PRIJEM	\N	227	53086	UROK	\N	\N
3652802	3705	1998-03-31	PRIJEM	\N	459	55754	UROK	\N	\N
3652803	3705	1998-04-30	PRIJEM	\N	172	9996	UROK	\N	\N
3652804	3705	1998-05-31	PRIJEM	\N	69	61691	UROK	\N	\N
3652805	3705	1998-06-30	PRIJEM	\N	224	30948	UROK	\N	\N
3652806	3705	1998-07-31	PRIJEM	\N	218	71318	UROK	\N	\N
3652807	3705	1998-08-31	PRIJEM	\N	293	77351	UROK	\N	\N
3652808	3705	1998-09-30	PRIJEM	\N	319	53055	UROK	\N	\N
3652809	3705	1998-10-31	PRIJEM	\N	327	80092	UROK	\N	\N
3652810	3705	1998-11-30	PRIJEM	\N	288	39513	UROK	\N	\N
3652811	3705	1998-12-31	PRIJEM	\N	190	38981	UROK	\N	\N
3652812	3706	1996-04-30	PRIJEM	\N	27	7474	UROK	\N	\N
3652813	3706	1996-05-31	PRIJEM	\N	83	21804	UROK	\N	\N
3652814	3706	1996-06-30	PRIJEM	\N	120	29994	UROK	\N	\N
3652815	3706	1996-07-31	PRIJEM	\N	139	33980	UROK	\N	\N
3652816	3706	1996-08-31	PRIJEM	\N	136	24245	UROK	\N	\N
3652817	3706	1996-09-30	PRIJEM	\N	122	30201	UROK	\N	\N
3652818	3706	1996-10-31	PRIJEM	\N	117	27852	UROK	\N	\N
3652819	3706	1996-11-30	PRIJEM	\N	130	31717	UROK	\N	\N
3652820	3706	1996-12-31	PRIJEM	\N	128	29542	UROK	\N	\N
3652821	3706	1997-01-31	PRIJEM	\N	86	17762	UROK	\N	\N
3652822	3706	1997-02-28	PRIJEM	\N	96	19993	UROK	\N	\N
3652823	3706	1997-03-31	PRIJEM	\N	89	20616	UROK	\N	\N
3652824	3706	1997-04-30	PRIJEM	\N	108	21658	UROK	\N	\N
3652825	3706	1997-05-31	PRIJEM	\N	112	24704	UROK	\N	\N
3652826	3706	1997-06-30	PRIJEM	\N	103	23645	UROK	\N	\N
3652827	3706	1997-07-31	PRIJEM	\N	106	22565	UROK	\N	\N
3652828	3706	1997-08-31	PRIJEM	\N	115	26115	UROK	\N	\N
3652829	3706	1997-09-30	PRIJEM	\N	116	27865	UROK	\N	\N
3652830	3706	1997-10-31	PRIJEM	\N	132	25732	UROK	\N	\N
3652831	3706	1997-11-30	PRIJEM	\N	116	27182	UROK	\N	\N
3652832	3706	1997-12-31	PRIJEM	\N	116	24215	UROK	\N	\N
3652833	3706	1998-01-31	PRIJEM	\N	83	19192	UROK	\N	\N
3652834	3706	1998-02-28	PRIJEM	\N	73	22560	UROK	\N	\N
3652835	3706	1998-03-31	PRIJEM	\N	102	24996	UROK	\N	\N
3652836	3706	1998-04-30	PRIJEM	\N	113	29244	UROK	\N	\N
3652837	3706	1998-05-31	PRIJEM	\N	118	24456	UROK	\N	\N
3652838	3706	1998-06-30	PRIJEM	\N	103	24816	UROK	\N	\N
3652839	3706	1998-07-31	PRIJEM	\N	124	29174	UROK	\N	\N
3652840	3706	1998-08-31	PRIJEM	\N	136	29244	UROK	\N	\N
3652841	3706	1998-09-30	PRIJEM	\N	142	33720	UROK	\N	\N
3652842	3706	1998-10-31	PRIJEM	\N	134	32549	UROK	\N	\N
3652843	3706	1998-11-30	PRIJEM	\N	141	33924	UROK	\N	\N
3652844	3706	1998-12-31	PRIJEM	\N	162	34304	UROK	\N	\N
3652845	3709	1996-03-31	PRIJEM	\N	39	11977	UROK	\N	\N
3652846	3709	1996-04-30	PRIJEM	\N	111	31326	UROK	\N	\N
3652847	3709	1996-05-31	PRIJEM	\N	148	36912	UROK	\N	\N
3652848	3709	1996-06-30	PRIJEM	\N	194	49663	UROK	\N	\N
3652849	3709	1996-07-31	PRIJEM	\N	180	41029	UROK	\N	\N
3652850	3709	1996-08-31	PRIJEM	\N	155	36983	UROK	\N	\N
3652851	3709	1996-09-30	PRIJEM	\N	151	36532	UROK	\N	\N
3652852	3709	1996-10-31	PRIJEM	\N	150	34780	UROK	\N	\N
3652853	3709	1996-11-30	PRIJEM	\N	132	31710	UROK	\N	\N
3652854	3709	1996-12-31	PRIJEM	\N	171	40199	UROK	\N	\N
3652855	3709	1997-01-31	PRIJEM	\N	157	34854	UROK	\N	\N
3652856	3709	1997-02-28	PRIJEM	\N	158	38811	UROK	\N	\N
3652857	3709	1997-03-31	PRIJEM	\N	169	40279	UROK	\N	\N
3652858	3709	1997-04-30	PRIJEM	\N	181	43958	UROK	\N	\N
3652859	3709	1997-05-31	PRIJEM	\N	196	46952	UROK	\N	\N
3652860	3709	1997-06-30	PRIJEM	\N	211	45181	UROK	\N	\N
3652861	3709	1997-07-31	PRIJEM	\N	200	44579	UROK	\N	\N
3652862	3709	1997-08-31	PRIJEM	\N	192	43270	UROK	\N	\N
3652863	3709	1997-09-30	PRIJEM	\N	191	43759	UROK	\N	\N
3652864	3709	1997-10-31	PRIJEM	\N	191	42048	UROK	\N	\N
3652865	3709	1997-11-30	PRIJEM	\N	178	40124	UROK	\N	\N
3652866	3709	1997-12-31	PRIJEM	\N	193	42835	UROK	\N	\N
3652867	3709	1998-01-31	PRIJEM	\N	175	39509	UROK	\N	\N
3652868	3709	1998-02-28	PRIJEM	\N	173	42380	UROK	\N	\N
3652869	3709	1998-03-31	PRIJEM	\N	189	45667	UROK	\N	\N
3652870	3709	1998-04-30	PRIJEM	\N	199	45264	UROK	\N	\N
3652871	3709	1998-05-31	PRIJEM	\N	195	43257	UROK	\N	\N
3652872	3709	1998-06-30	PRIJEM	\N	164	38439	UROK	\N	\N
3652873	3709	1998-07-31	PRIJEM	\N	174	43311	UROK	\N	\N
3652874	3709	1998-08-31	PRIJEM	\N	190	44899	UROK	\N	\N
3652875	3709	1998-09-30	PRIJEM	\N	197	47194	UROK	\N	\N
3652876	3709	1998-10-31	PRIJEM	\N	194	45487	UROK	\N	\N
3652877	3709	1998-11-30	PRIJEM	\N	206	52291	UROK	\N	\N
3652878	3709	1998-12-31	PRIJEM	\N	236	52145	UROK	\N	\N
3652879	3710	1995-03-31	PRIJEM	\N	13	18661	UROK	\N	\N
3652880	3710	1995-04-30	PRIJEM	\N	82	24490	UROK	\N	\N
3652881	3710	1995-05-31	PRIJEM	\N	104	26842	UROK	\N	\N
3652882	3710	1995-06-30	PRIJEM	\N	114	29578	UROK	\N	\N
3652883	3710	1995-07-31	PRIJEM	\N	138	29330	UROK	\N	\N
3652884	3710	1995-08-31	PRIJEM	\N	133	27304	UROK	\N	\N
3652885	3710	1995-09-30	PRIJEM	\N	125	25329	UROK	\N	\N
3652886	3710	1995-10-31	PRIJEM	\N	108	23118	UROK	\N	\N
3652887	3710	1995-11-30	PRIJEM	\N	109	22987	UROK	\N	\N
3652888	3710	1995-12-31	PRIJEM	\N	127	29588	UROK	\N	\N
3652889	3710	1996-01-31	PRIJEM	\N	115	17704	UROK	\N	\N
3652890	3710	1996-02-29	PRIJEM	\N	96	21520	UROK	\N	\N
3652891	3710	1996-03-31	PRIJEM	\N	106	25007	UROK	\N	\N
3652892	3710	1996-04-30	PRIJEM	\N	118	27325	UROK	\N	\N
3652893	3710	1996-05-31	PRIJEM	\N	115	26680	UROK	\N	\N
3652894	3710	1996-06-30	PRIJEM	\N	133	30108	UROK	\N	\N
3652895	3710	1996-07-31	PRIJEM	\N	130	27738	UROK	\N	\N
3652896	3710	1996-08-31	PRIJEM	\N	121	26259	UROK	\N	\N
3652897	3710	1996-09-30	PRIJEM	\N	124	30184	UROK	\N	\N
3652898	3710	1996-10-31	PRIJEM	\N	118	25602	UROK	\N	\N
3652899	3710	1996-11-30	PRIJEM	\N	124	31127	UROK	\N	\N
3652900	3710	1996-12-31	PRIJEM	\N	143	30885	UROK	\N	\N
3652901	3710	1997-01-31	PRIJEM	\N	79	13364	UROK	\N	\N
3652902	3710	1997-02-28	PRIJEM	\N	82	23347	UROK	\N	\N
3652903	3710	1997-03-31	PRIJEM	\N	120	31268	UROK	\N	\N
3652904	3710	1997-04-30	PRIJEM	\N	142	34510	UROK	\N	\N
3652905	3710	1997-05-31	PRIJEM	\N	135	30366	UROK	\N	\N
3652906	3710	1997-06-30	PRIJEM	\N	153	38193	UROK	\N	\N
3652907	3710	1997-07-31	PRIJEM	\N	154	32767	UROK	\N	\N
3652908	3710	1997-08-31	PRIJEM	\N	152	37820	UROK	\N	\N
3652909	3710	1997-09-30	PRIJEM	\N	173	42993	UROK	\N	\N
3652910	3710	1997-10-31	PRIJEM	\N	177	41570	UROK	\N	\N
3652911	3710	1997-11-30	PRIJEM	\N	173	41444	UROK	\N	\N
3652912	3710	1997-12-31	PRIJEM	\N	182	44120	UROK	\N	\N
3652913	3710	1998-01-31	PRIJEM	\N	137	28198	UROK	\N	\N
3652914	3710	1998-02-28	PRIJEM	\N	124	29422	UROK	\N	\N
3652915	3710	1998-03-31	PRIJEM	\N	132	32755	UROK	\N	\N
3652916	3710	1998-04-30	PRIJEM	\N	127	29882	UROK	\N	\N
3652917	3710	1998-05-31	PRIJEM	\N	111	25513	UROK	\N	\N
3652918	3710	1998-06-30	PRIJEM	\N	142	26230	UROK	\N	\N
3652919	3710	1998-07-31	PRIJEM	\N	108	21238	UROK	\N	\N
3652920	3710	1998-08-31	PRIJEM	\N	81	19420	UROK	\N	\N
3652921	3710	1998-09-30	PRIJEM	\N	72	16992	UROK	\N	\N
3652922	3710	1998-10-31	PRIJEM	\N	68	16360	UROK	\N	\N
3652923	3710	1998-11-30	PRIJEM	\N	71	17231	UROK	\N	\N
3652924	3710	1998-12-31	PRIJEM	\N	73	17678	UROK	\N	\N
3652925	3712	1995-02-28	PRIJEM	\N	74	25145	UROK	\N	\N
3652926	3712	1995-03-31	PRIJEM	\N	103	24608	UROK	\N	\N
3652927	3712	1995-04-30	PRIJEM	\N	98	21966	UROK	\N	\N
3652928	3712	1995-05-31	PRIJEM	\N	86	20152	UROK	\N	\N
3652929	3712	1995-06-30	PRIJEM	\N	70	13793	UROK	\N	\N
3652930	3712	1995-07-31	PRIJEM	\N	67	17420	UROK	\N	\N
3652931	3712	1995-08-31	PRIJEM	\N	82	21062	UROK	\N	\N
3652932	3712	1995-09-30	PRIJEM	\N	97	24719	UROK	\N	\N
3652933	3712	1995-10-31	PRIJEM	\N	112	28392	UROK	\N	\N
3652934	3712	1995-11-30	PRIJEM	\N	122	29174	UROK	\N	\N
3652935	3712	1995-12-31	PRIJEM	\N	123	29807	UROK	\N	\N
3652936	3712	1996-01-31	PRIJEM	\N	122	26639	UROK	\N	\N
3652937	3712	1996-02-29	PRIJEM	\N	114	27313	UROK	\N	\N
3652938	3712	1996-03-31	PRIJEM	\N	108	22661	UROK	\N	\N
3652939	3712	1996-04-30	PRIJEM	\N	87	19689	UROK	\N	\N
3652940	3712	1996-05-31	PRIJEM	\N	90	22439	UROK	\N	\N
3652941	3712	1996-06-30	PRIJEM	\N	86	19585	UROK	\N	\N
3652942	3712	1996-07-31	PRIJEM	\N	78	18123	UROK	\N	\N
3652943	3712	1996-08-31	PRIJEM	\N	78	18182	UROK	\N	\N
3652944	3712	1996-09-30	PRIJEM	\N	82	20224	UROK	\N	\N
3652945	3712	1996-10-31	PRIJEM	\N	88	21172	UROK	\N	\N
3652946	3712	1996-11-30	PRIJEM	\N	85	20018	UROK	\N	\N
3652947	3712	1996-12-31	PRIJEM	\N	79	19117	UROK	\N	\N
3652948	3712	1997-01-31	PRIJEM	\N	64	13701	UROK	\N	\N
3652949	3712	1997-02-28	PRIJEM	\N	65	17327	UROK	\N	\N
3652950	3712	1997-03-31	PRIJEM	\N	74	18722	UROK	\N	\N
3652951	3712	1997-04-30	PRIJEM	\N	62	16644	UROK	\N	\N
3652952	3712	1997-05-31	PRIJEM	\N	56	14380	UROK	\N	\N
3652953	3712	1997-06-30	PRIJEM	\N	67	13308	UROK	\N	\N
3652954	3712	1997-07-31	PRIJEM	\N	64	16932	UROK	\N	\N
3652955	3712	1997-08-31	PRIJEM	\N	67	12060	UROK	\N	\N
3652956	3712	1997-09-30	PRIJEM	\N	58	15678	UROK	\N	\N
3652957	3712	1997-10-31	PRIJEM	\N	74	19312	UROK	\N	\N
3652958	3712	1997-11-30	PRIJEM	\N	82	13155	UROK	\N	\N
3652959	3712	1997-12-31	PRIJEM	\N	63	16778	UROK	\N	\N
3652960	3712	1998-01-31	PRIJEM	\N	76	15815	UROK	\N	\N
3652961	3712	1998-02-28	PRIJEM	\N	73	19448	UROK	\N	\N
3652962	3712	1998-03-31	PRIJEM	\N	89	23098	UROK	\N	\N
3652963	3712	1998-04-30	PRIJEM	\N	93	24031	UROK	\N	\N
3652964	3712	1998-05-31	PRIJEM	\N	100	23691	UROK	\N	\N
3652965	3712	1998-06-30	PRIJEM	\N	97	22548	UROK	\N	\N
3652966	3712	1998-07-31	PRIJEM	\N	102	26210	UROK	\N	\N
3652967	3712	1998-08-31	PRIJEM	\N	109	26120	UROK	\N	\N
3652968	3712	1998-09-30	PRIJEM	\N	109	26430	UROK	\N	\N
3652969	3712	1998-10-31	PRIJEM	\N	94	12685	UROK	\N	\N
3652970	3712	1998-11-30	PRIJEM	\N	60	16305	UROK	\N	\N
3652971	3712	1998-12-31	PRIJEM	\N	74	18740	UROK	\N	\N
3652972	3713	1993-06-30	PRIJEM	\N	68	59149	UROK	\N	\N
3652973	3713	1993-07-31	PRIJEM	\N	246	42995	UROK	\N	\N
3652974	3713	1993-08-31	PRIJEM	\N	338	93392	UROK	\N	\N
3652975	3713	1993-09-30	PRIJEM	\N	388	58880	UROK	\N	\N
3652976	3713	1993-10-31	PRIJEM	\N	228	63671	UROK	\N	\N
3652977	3713	1993-11-30	PRIJEM	\N	164	32205	UROK	\N	\N
3652978	3713	1993-12-31	PRIJEM	\N	189	51162	UROK	\N	\N
3652979	3713	1994-01-31	PRIJEM	\N	219	35706	UROK	\N	\N
3652980	3713	1994-02-28	PRIJEM	\N	178	31521	UROK	\N	\N
3652981	3713	1994-03-31	PRIJEM	\N	136	45878	UROK	\N	\N
3652982	3713	1994-04-30	PRIJEM	\N	189	60062	UROK	\N	\N
3652983	3713	1994-05-31	PRIJEM	\N	150	24390	UROK	\N	\N
3652984	3713	1994-06-30	PRIJEM	\N	211	53780	UROK	\N	\N
3652985	3713	1994-07-31	PRIJEM	\N	172	28021	UROK	\N	\N
3652986	3713	1994-08-31	PRIJEM	\N	122	45749	UROK	\N	\N
3652987	3713	1994-09-30	PRIJEM	\N	212	56698	UROK	\N	\N
3652988	3713	1994-10-31	PRIJEM	\N	439	106059	UROK	\N	\N
3652989	3713	1994-11-30	PRIJEM	\N	263	64091	UROK	\N	\N
3652990	3713	1994-12-31	PRIJEM	\N	237	67903	UROK	\N	\N
3652991	3713	1995-01-31	PRIJEM	\N	289	51856	UROK	\N	\N
3652992	3713	1995-02-28	PRIJEM	\N	213	42502	UROK	\N	\N
3652993	3713	1995-03-31	PRIJEM	\N	172	44404	UROK	\N	\N
3652994	3713	1995-04-30	PRIJEM	\N	234	55484	UROK	\N	\N
3652995	3713	1995-05-31	PRIJEM	\N	140	16953	UROK	\N	\N
3652996	3713	1995-06-30	PRIJEM	\N	70	24493	UROK	\N	\N
3652997	3713	1995-07-31	PRIJEM	\N	100	23494	UROK	\N	\N
3652998	3713	1995-08-31	PRIJEM	\N	219	102390	UROK	\N	\N
3652999	3713	1995-09-30	PRIJEM	\N	405	104233	UROK	\N	\N
3653000	3713	1995-10-31	PRIJEM	\N	401	65204	UROK	\N	\N
3653001	3713	1995-11-30	PRIJEM	\N	221	43301	UROK	\N	\N
3653002	3713	1995-12-31	PRIJEM	\N	142	10392	UROK	\N	\N
3653003	3713	1996-01-31	PRIJEM	\N	35	1996	UROK	\N	\N
3653004	3713	1996-02-29	PRIJEM	\N	82	64924	UROK	\N	\N
3653005	3713	1996-03-31	PRIJEM	\N	238	49694	UROK	\N	\N
3653006	3713	1996-04-30	PRIJEM	\N	154	41198	UROK	\N	\N
3653007	3713	1996-05-31	PRIJEM	\N	154	18898	UROK	\N	\N
3653008	3713	1996-06-30	PRIJEM	\N	207	44292	UROK	\N	\N
3653009	3713	1996-07-31	PRIJEM	\N	171	43087	UROK	\N	\N
3653010	3713	1996-08-31	PRIJEM	\N	188	45644	UROK	\N	\N
3653011	3713	1996-09-30	PRIJEM	\N	122	38906	UROK	\N	\N
3653012	3713	1996-10-31	PRIJEM	\N	279	127713	UROK	\N	\N
3653013	3713	1996-11-30	PRIJEM	\N	434	71913	UROK	\N	\N
3653014	3713	1996-12-31	PRIJEM	\N	399	80059	UROK	\N	\N
3653015	3713	1997-01-31	PRIJEM	\N	237	42790	UROK	\N	\N
3653016	3713	1997-02-28	PRIJEM	\N	221	66901	UROK	\N	\N
3653017	3713	1997-03-31	PRIJEM	\N	271	60845	UROK	\N	\N
3653018	3713	1997-04-30	PRIJEM	\N	246	66203	UROK	\N	\N
3653019	3713	1997-05-31	PRIJEM	\N	301	60778	UROK	\N	\N
3653020	3713	1997-06-30	PRIJEM	\N	251	73698	UROK	\N	\N
3653021	3713	1997-07-31	PRIJEM	\N	439	101085	UROK	\N	\N
3653022	3713	1997-08-31	PRIJEM	\N	406	94708	UROK	\N	\N
3653023	3713	1997-09-30	PRIJEM	\N	393	100629	UROK	\N	\N
3653024	3713	1997-10-31	PRIJEM	\N	467	93081	UROK	\N	\N
3653025	3713	1997-11-30	PRIJEM	\N	360	124020	UROK	\N	\N
3653026	3713	1997-12-31	PRIJEM	\N	387	81548	UROK	\N	\N
3653027	3713	1998-01-31	PRIJEM	\N	313	67047	UROK	\N	\N
3653028	3713	1998-02-28	PRIJEM	\N	298	75423	UROK	\N	\N
3653029	3713	1998-03-31	PRIJEM	\N	393	73595	UROK	\N	\N
3653030	3713	1998-04-30	PRIJEM	\N	353	111427	UROK	\N	\N
3653031	3713	1998-05-31	PRIJEM	\N	459	118456	UROK	\N	\N
3653032	3713	1998-06-30	PRIJEM	\N	409	52815	UROK	\N	\N
3653033	3713	1998-07-31	PRIJEM	\N	342	109774	UROK	\N	\N
3653034	3713	1998-08-31	PRIJEM	\N	424	96173	UROK	\N	\N
3653035	3713	1998-09-30	PRIJEM	\N	468	117628	UROK	\N	\N
3653036	3713	1998-10-31	PRIJEM	\N	322	107444	UROK	\N	\N
3653037	3713	1998-11-30	PRIJEM	\N	440	123156	UROK	\N	\N
3653038	3713	1998-12-31	PRIJEM	\N	424	109751	UROK	\N	\N
3653039	3714	1994-05-31	PRIJEM	\N	97	56250	UROK	\N	\N
3653040	3714	1994-06-30	PRIJEM	\N	245	69435	UROK	\N	\N
3653041	3714	1994-07-31	PRIJEM	\N	288	49223	UROK	\N	\N
3653042	3714	1994-08-31	PRIJEM	\N	288	38612	UROK	\N	\N
3653043	3714	1994-09-30	PRIJEM	\N	288	34700	UROK	\N	\N
3653044	3714	1994-10-31	PRIJEM	\N	288	27888	UROK	\N	\N
3653045	3714	1994-11-30	PRIJEM	\N	288	27977	UROK	\N	\N
3653046	3714	1994-12-31	PRIJEM	\N	288	25265	UROK	\N	\N
3653047	3714	1995-01-31	PRIJEM	\N	216	39801	UROK	\N	\N
3653048	3714	1995-02-28	PRIJEM	\N	187	35486	UROK	\N	\N
3653049	3714	1995-03-31	PRIJEM	\N	132	30555	UROK	\N	\N
3653050	3714	1995-04-30	PRIJEM	\N	99	28002	UROK	\N	\N
3653051	3714	1995-05-31	PRIJEM	\N	246	58455	UROK	\N	\N
3653052	3714	1995-06-30	PRIJEM	\N	177	21469	UROK	\N	\N
3653053	3714	1995-07-31	PRIJEM	\N	89	28843	UROK	\N	\N
3653054	3714	1995-08-31	PRIJEM	\N	137	46150	UROK	\N	\N
3653055	3714	1995-09-30	PRIJEM	\N	197	47081	UROK	\N	\N
3653056	3714	1995-10-31	PRIJEM	\N	142	49845	UROK	\N	\N
3653057	3714	1995-11-30	PRIJEM	\N	174	38656	UROK	\N	\N
3653058	3714	1995-12-31	PRIJEM	\N	137	28030	UROK	\N	\N
3653059	3714	1996-01-31	PRIJEM	\N	132	24422	UROK	\N	\N
3653060	3714	1996-02-29	PRIJEM	\N	177	54602	UROK	\N	\N
3653061	3714	1996-03-31	PRIJEM	\N	326	98249	UROK	\N	\N
3653062	3714	1996-04-30	PRIJEM	\N	288	67405	UROK	\N	\N
3653063	3714	1996-05-31	PRIJEM	\N	284	85843	UROK	\N	\N
3653064	3714	1996-06-30	PRIJEM	\N	251	43031	UROK	\N	\N
3653065	3714	1996-07-31	PRIJEM	\N	224	51612	UROK	\N	\N
3653066	3714	1996-08-31	PRIJEM	\N	278	98943	UROK	\N	\N
3653067	3714	1996-09-30	PRIJEM	\N	291	63271	UROK	\N	\N
3653068	3714	1996-10-31	PRIJEM	\N	210	79443	UROK	\N	\N
3653069	3714	1996-11-30	PRIJEM	\N	248	55927	UROK	\N	\N
3653070	3714	1996-12-31	PRIJEM	\N	157	30821	UROK	\N	\N
3653071	3714	1997-01-31	PRIJEM	\N	184	46040	UROK	\N	\N
3653072	3714	1997-02-28	PRIJEM	\N	253	94785	UROK	\N	\N
3653073	3714	1997-03-31	PRIJEM	\N	258	54480	UROK	\N	\N
3653074	3714	1997-04-30	PRIJEM	\N	311	92667	UROK	\N	\N
3653075	3714	1997-05-31	PRIJEM	\N	354	90890	UROK	\N	\N
3653076	3714	1997-06-30	PRIJEM	\N	167	46412	UROK	\N	\N
3653077	3714	1997-07-31	PRIJEM	\N	216	73718	UROK	\N	\N
3653078	3714	1997-08-31	PRIJEM	\N	241	56197	UROK	\N	\N
3653079	3714	1997-09-30	PRIJEM	\N	361	60617	UROK	\N	\N
3653080	3714	1997-10-31	PRIJEM	\N	174	44856	UROK	\N	\N
3653081	3714	1997-11-30	PRIJEM	\N	339	122528	UROK	\N	\N
3653082	3714	1997-12-31	PRIJEM	\N	384	92840	UROK	\N	\N
3653083	3714	1998-01-31	PRIJEM	\N	202	36479	UROK	\N	\N
3653084	3714	1998-02-28	PRIJEM	\N	293	83658	UROK	\N	\N
3653085	3714	1998-03-31	PRIJEM	\N	335	85952	UROK	\N	\N
3653086	3714	1998-04-30	PRIJEM	\N	218	37907	UROK	\N	\N
3653087	3714	1998-05-31	PRIJEM	\N	176	54416	UROK	\N	\N
3653088	3714	1998-06-30	PRIJEM	\N	220	35020	UROK	\N	\N
3653089	3714	1998-07-31	PRIJEM	\N	142	46677	UROK	\N	\N
3653090	3714	1998-08-31	PRIJEM	\N	177	45591	UROK	\N	\N
3653091	3714	1998-09-30	PRIJEM	\N	278	70066	UROK	\N	\N
3653092	3714	1998-10-31	PRIJEM	\N	255	44264	UROK	\N	\N
3653093	3714	1998-11-30	PRIJEM	\N	216	39890	UROK	\N	\N
3653094	3714	1998-12-31	PRIJEM	\N	254	80452	UROK	\N	\N
3653095	3717	1994-06-30	PRIJEM	\N	41	24514	UROK	\N	\N
3653096	3717	1994-07-31	PRIJEM	\N	118	33513	UROK	\N	\N
3653097	3717	1994-08-31	PRIJEM	\N	146	37141	UROK	\N	\N
3653098	3717	1994-09-30	PRIJEM	\N	158	39081	UROK	\N	\N
3653099	3717	1994-10-31	PRIJEM	\N	155	29518	UROK	\N	\N
3653100	3717	1994-11-30	PRIJEM	\N	126	29685	UROK	\N	\N
3653101	3717	1994-12-31	PRIJEM	\N	135	34050	UROK	\N	\N
3653102	3717	1995-01-31	PRIJEM	\N	104	19666	UROK	\N	\N
3653103	3717	1995-02-28	PRIJEM	\N	99	26705	UROK	\N	\N
3653104	3717	1995-03-31	PRIJEM	\N	113	26359	UROK	\N	\N
3653105	3717	1995-04-30	PRIJEM	\N	117	28916	UROK	\N	\N
3653106	3717	1995-05-31	PRIJEM	\N	123	29380	UROK	\N	\N
3653107	3717	1995-06-30	PRIJEM	\N	129	31040	UROK	\N	\N
3653108	3717	1995-07-31	PRIJEM	\N	127	29708	UROK	\N	\N
3653109	3717	1995-08-31	PRIJEM	\N	120	28268	UROK	\N	\N
3653110	3717	1995-09-30	PRIJEM	\N	101	21424	UROK	\N	\N
3653111	3717	1995-10-31	PRIJEM	\N	102	25266	UROK	\N	\N
3653112	3717	1995-11-30	PRIJEM	\N	116	19201	UROK	\N	\N
3653113	3717	1995-12-31	PRIJEM	\N	86	21314	UROK	\N	\N
3653114	3717	1996-01-31	PRIJEM	\N	94	19547	UROK	\N	\N
3653115	3717	1996-02-29	PRIJEM	\N	92	24980	UROK	\N	\N
3653116	3717	1996-03-31	PRIJEM	\N	118	30238	UROK	\N	\N
3653117	3717	1996-04-30	PRIJEM	\N	117	28695	UROK	\N	\N
3653118	3717	1996-05-31	PRIJEM	\N	111	27446	UROK	\N	\N
3653119	3717	1996-06-30	PRIJEM	\N	107	25084	UROK	\N	\N
3653120	3717	1996-07-31	PRIJEM	\N	95	23620	UROK	\N	\N
3653121	3717	1996-08-31	PRIJEM	\N	95	24055	UROK	\N	\N
3653122	3717	1996-09-30	PRIJEM	\N	96	24291	UROK	\N	\N
3653123	3717	1996-10-31	PRIJEM	\N	91	22623	UROK	\N	\N
3653124	3717	1996-11-30	PRIJEM	\N	89	22752	UROK	\N	\N
3653125	3717	1996-12-31	PRIJEM	\N	97	25981	UROK	\N	\N
3653126	3717	1997-01-31	PRIJEM	\N	100	23621	UROK	\N	\N
3653127	3717	1997-02-28	PRIJEM	\N	94	24055	UROK	\N	\N
3653128	3717	1997-03-31	PRIJEM	\N	93	23589	UROK	\N	\N
3653129	3717	1997-04-30	PRIJEM	\N	98	25527	UROK	\N	\N
3653130	3717	1997-05-31	PRIJEM	\N	104	26471	UROK	\N	\N
3653131	3717	1997-06-30	PRIJEM	\N	120	31222	UROK	\N	\N
3653132	3717	1997-07-31	PRIJEM	\N	120	29883	UROK	\N	\N
3653133	3717	1997-08-31	PRIJEM	\N	108	26231	UROK	\N	\N
3653134	3717	1997-09-30	PRIJEM	\N	94	21866	UROK	\N	\N
3653135	3717	1997-10-31	PRIJEM	\N	89	23296	UROK	\N	\N
3653136	3717	1997-11-30	PRIJEM	\N	96	23932	UROK	\N	\N
3653137	3717	1997-12-31	PRIJEM	\N	93	20056	UROK	\N	\N
3653138	3717	1998-01-31	PRIJEM	\N	91	20447	UROK	\N	\N
3653139	3717	1998-02-28	PRIJEM	\N	96	25384	UROK	\N	\N
3653140	3717	1998-03-31	PRIJEM	\N	97	14721	UROK	\N	\N
3653141	3717	1998-04-30	PRIJEM	\N	71	16233	UROK	\N	\N
3653142	3717	1998-05-31	PRIJEM	\N	76	13448	UROK	\N	\N
3653143	3717	1998-06-30	PRIJEM	\N	83	15863	UROK	\N	\N
3653144	3717	1998-07-31	PRIJEM	\N	77	20780	UROK	\N	\N
3653145	3717	1998-08-31	PRIJEM	\N	90	14110	UROK	\N	\N
3653146	3717	1998-09-30	PRIJEM	\N	69	19020	UROK	\N	\N
3653147	3717	1998-10-31	PRIJEM	\N	83	15843	UROK	\N	\N
3653148	3717	1998-11-30	PRIJEM	\N	71	14955	UROK	\N	\N
3653149	3717	1998-12-31	PRIJEM	\N	94	27680	UROK	\N	\N
3653150	3718	1994-05-31	PRIJEM	\N	36	16597	UROK	\N	\N
3653151	3718	1994-06-30	PRIJEM	\N	79	21337	UROK	\N	\N
3653152	3718	1994-07-31	PRIJEM	\N	92	22890	UROK	\N	\N
3653153	3718	1994-08-31	PRIJEM	\N	97	23548	UROK	\N	\N
3653154	3718	1994-09-30	PRIJEM	\N	98	23399	UROK	\N	\N
3653155	3718	1994-10-31	PRIJEM	\N	97	23035	UROK	\N	\N
3653156	3718	1994-11-30	PRIJEM	\N	94	22169	UROK	\N	\N
3653157	3718	1994-12-31	PRIJEM	\N	86	18814	UROK	\N	\N
3653158	3718	1995-01-31	PRIJEM	\N	78	17672	UROK	\N	\N
3653159	3718	1995-02-28	PRIJEM	\N	85	21195	UROK	\N	\N
3653160	3718	1995-03-31	PRIJEM	\N	86	19771	UROK	\N	\N
3653161	3718	1995-04-30	PRIJEM	\N	81	18991	UROK	\N	\N
3653162	3718	1995-05-31	PRIJEM	\N	83	20213	UROK	\N	\N
3653163	3718	1995-06-30	PRIJEM	\N	83	19635	UROK	\N	\N
3653164	3718	1995-07-31	PRIJEM	\N	92	22437	UROK	\N	\N
3653165	3718	1995-08-31	PRIJEM	\N	87	19963	UROK	\N	\N
3653166	3718	1995-09-30	PRIJEM	\N	83	19586	UROK	\N	\N
3653167	3718	1995-10-31	PRIJEM	\N	83	18338	UROK	\N	\N
3653168	3718	1995-11-30	PRIJEM	\N	85	19563	UROK	\N	\N
3653169	3718	1995-12-31	PRIJEM	\N	84	19566	UROK	\N	\N
3653170	3718	1996-01-31	PRIJEM	\N	89	20394	UROK	\N	\N
3653171	3718	1996-02-29	PRIJEM	\N	98	23122	UROK	\N	\N
3653172	3718	1996-03-31	PRIJEM	\N	98	23260	UROK	\N	\N
3653173	3718	1996-04-30	PRIJEM	\N	106	25305	UROK	\N	\N
3653174	3718	1996-05-31	PRIJEM	\N	101	23445	UROK	\N	\N
3653175	3718	1996-06-30	PRIJEM	\N	109	24053	UROK	\N	\N
3653176	3718	1996-07-31	PRIJEM	\N	100	23493	UROK	\N	\N
3653177	3718	1996-08-31	PRIJEM	\N	107	25639	UROK	\N	\N
3653178	3718	1996-09-30	PRIJEM	\N	108	25486	UROK	\N	\N
3653179	3718	1996-10-31	PRIJEM	\N	112	26737	UROK	\N	\N
3653180	3718	1996-11-30	PRIJEM	\N	114	26990	UROK	\N	\N
3653181	3718	1996-12-31	PRIJEM	\N	112	26272	UROK	\N	\N
3653182	3718	1997-01-31	PRIJEM	\N	102	28083	UROK	\N	\N
3653183	3718	1997-02-28	PRIJEM	\N	119	29241	UROK	\N	\N
3653184	3718	1997-03-31	PRIJEM	\N	134	31574	UROK	\N	\N
3653185	3718	1997-04-30	PRIJEM	\N	131	31644	UROK	\N	\N
3653186	3718	1997-05-31	PRIJEM	\N	135	34608	UROK	\N	\N
3653187	3718	1997-06-30	PRIJEM	\N	137	30014	UROK	\N	\N
3653188	3718	1997-07-31	PRIJEM	\N	130	32953	UROK	\N	\N
3653189	3718	1997-08-31	PRIJEM	\N	141	38233	UROK	\N	\N
3653190	3718	1997-09-30	PRIJEM	\N	160	38733	UROK	\N	\N
3653191	3718	1997-10-31	PRIJEM	\N	161	36843	UROK	\N	\N
3653192	3718	1997-11-30	PRIJEM	\N	148	33930	UROK	\N	\N
3653193	3718	1997-12-31	PRIJEM	\N	140	34079	UROK	\N	\N
3653194	3718	1998-01-31	PRIJEM	\N	133	29662	UROK	\N	\N
3653195	3718	1998-02-28	PRIJEM	\N	119	26200	UROK	\N	\N
3653196	3718	1998-03-31	PRIJEM	\N	110	27350	UROK	\N	\N
3653197	3718	1998-04-30	PRIJEM	\N	117	31406	UROK	\N	\N
3653198	3718	1998-05-31	PRIJEM	\N	134	34779	UROK	\N	\N
3653199	3718	1998-06-30	PRIJEM	\N	125	31944	UROK	\N	\N
3653200	3718	1998-07-31	PRIJEM	\N	136	34919	UROK	\N	\N
3653201	3718	1998-08-31	PRIJEM	\N	152	41310	UROK	\N	\N
3653202	3718	1998-09-30	PRIJEM	\N	170	40319	UROK	\N	\N
3653203	3718	1998-10-31	PRIJEM	\N	166	40025	UROK	\N	\N
3653204	3718	1998-11-30	PRIJEM	\N	166	40230	UROK	\N	\N
3653205	3718	1998-12-31	PRIJEM	\N	169	41169	UROK	\N	\N
3653206	3719	1997-07-31	PRIJEM	\N	33	18878	UROK	\N	\N
3653207	3719	1997-08-31	PRIJEM	\N	97	28820	UROK	\N	\N
3653208	3719	1997-09-30	PRIJEM	\N	123	30388	UROK	\N	\N
3653209	3719	1997-10-31	PRIJEM	\N	131	32964	UROK	\N	\N
3653210	3719	1997-11-30	PRIJEM	\N	154	34566	UROK	\N	\N
3653211	3719	1997-12-31	PRIJEM	\N	167	34739	UROK	\N	\N
3653212	3719	1998-01-31	PRIJEM	\N	121	20493	UROK	\N	\N
3653213	3719	1998-02-28	PRIJEM	\N	105	22330	UROK	\N	\N
3653214	3719	1998-03-31	PRIJEM	\N	119	26382	UROK	\N	\N
3653215	3719	1998-04-30	PRIJEM	\N	133	29849	UROK	\N	\N
3653216	3719	1998-05-31	PRIJEM	\N	135	27917	UROK	\N	\N
3653217	3719	1998-06-30	PRIJEM	\N	135	16059	UROK	\N	\N
3653218	3719	1998-07-31	PRIJEM	\N	98	24690	UROK	\N	\N
3653219	3719	1998-08-31	PRIJEM	\N	119	23542	UROK	\N	\N
3653220	3719	1998-09-30	PRIJEM	\N	110	24386	UROK	\N	\N
3653221	3719	1998-10-31	PRIJEM	\N	102	20821	UROK	\N	\N
3653222	3719	1998-11-30	PRIJEM	\N	93	20048	UROK	\N	\N
3653223	3719	1998-12-31	PRIJEM	\N	108	25162	UROK	\N	\N
3653224	3720	1993-11-30	PRIJEM	\N	13	23041	UROK	\N	\N
3653225	3720	1993-12-31	PRIJEM	\N	97	24895	UROK	\N	\N
3653226	3720	1994-01-31	PRIJEM	\N	87	16787	UROK	\N	\N
3653227	3720	1994-02-28	PRIJEM	\N	70	17783	UROK	\N	\N
3653228	3720	1994-03-31	PRIJEM	\N	73	18221	UROK	\N	\N
3653229	3720	1994-04-30	PRIJEM	\N	82	20988	UROK	\N	\N
3653230	3720	1994-05-31	PRIJEM	\N	94	23768	UROK	\N	\N
3653231	3720	1994-06-30	PRIJEM	\N	104	25057	UROK	\N	\N
3653232	3720	1994-07-31	PRIJEM	\N	108	24550	UROK	\N	\N
3653233	3720	1994-08-31	PRIJEM	\N	109	27344	UROK	\N	\N
3653234	3720	1994-09-30	PRIJEM	\N	119	29029	UROK	\N	\N
3653235	3720	1994-10-31	PRIJEM	\N	126	30841	UROK	\N	\N
3653236	3720	1994-11-30	PRIJEM	\N	134	33360	UROK	\N	\N
3653237	3720	1994-12-31	PRIJEM	\N	140	32086	UROK	\N	\N
3653238	3720	1995-01-31	PRIJEM	\N	116	27127	UROK	\N	\N
3653239	3720	1995-02-28	PRIJEM	\N	109	26882	UROK	\N	\N
3653240	3720	1995-03-31	PRIJEM	\N	111	25998	UROK	\N	\N
3653241	3720	1995-04-30	PRIJEM	\N	115	28797	UROK	\N	\N
3653242	3720	1995-05-31	PRIJEM	\N	123	27846	UROK	\N	\N
3653243	3720	1995-06-30	PRIJEM	\N	100	23132	UROK	\N	\N
3653244	3720	1995-07-31	PRIJEM	\N	103	25919	UROK	\N	\N
3653245	3720	1995-08-31	PRIJEM	\N	111	26636	UROK	\N	\N
3653246	3720	1995-09-30	PRIJEM	\N	117	29439	UROK	\N	\N
3653247	3720	1995-10-31	PRIJEM	\N	119	29363	UROK	\N	\N
3653248	3720	1995-11-30	PRIJEM	\N	128	31777	UROK	\N	\N
3653249	3720	1995-12-31	PRIJEM	\N	138	34350	UROK	\N	\N
3653250	3720	1996-01-31	PRIJEM	\N	129	29485	UROK	\N	\N
3653251	3720	1996-02-29	PRIJEM	\N	128	32299	UROK	\N	\N
3653252	3720	1996-03-31	PRIJEM	\N	140	35125	UROK	\N	\N
3653253	3720	1996-04-30	PRIJEM	\N	138	33548	UROK	\N	\N
3653254	3720	1996-05-31	PRIJEM	\N	146	36379	UROK	\N	\N
3653255	3720	1996-06-30	PRIJEM	\N	136	30700	UROK	\N	\N
3653256	3720	1996-07-31	PRIJEM	\N	134	33519	UROK	\N	\N
3653257	3720	1996-08-31	PRIJEM	\N	143	35468	UROK	\N	\N
3653258	3720	1996-09-30	PRIJEM	\N	153	38306	UROK	\N	\N
3653259	3720	1996-10-31	PRIJEM	\N	165	41157	UROK	\N	\N
3653260	3720	1996-11-30	PRIJEM	\N	165	38327	UROK	\N	\N
3653261	3720	1996-12-31	PRIJEM	\N	163	40276	UROK	\N	\N
3653262	3720	1997-01-31	PRIJEM	\N	160	34561	UROK	\N	\N
3653263	3720	1997-02-28	PRIJEM	\N	149	37395	UROK	\N	\N
3653264	3720	1997-03-31	PRIJEM	\N	161	40241	UROK	\N	\N
3653265	3720	1997-04-30	PRIJEM	\N	173	43099	UROK	\N	\N
3653266	3720	1997-05-31	PRIJEM	\N	185	45969	UROK	\N	\N
3653267	3720	1997-06-30	PRIJEM	\N	182	44137	UROK	\N	\N
3653268	3720	1997-07-31	PRIJEM	\N	182	44763	UROK	\N	\N
3653269	3720	1997-08-31	PRIJEM	\N	191	47640	UROK	\N	\N
3653270	3720	1997-09-30	PRIJEM	\N	203	50528	UROK	\N	\N
3653271	3720	1997-10-31	PRIJEM	\N	210	51984	UROK	\N	\N
3653272	3720	1997-11-30	PRIJEM	\N	216	53685	UROK	\N	\N
3653273	3720	1997-12-31	PRIJEM	\N	221	53071	UROK	\N	\N
3653274	3720	1998-01-31	PRIJEM	\N	210	48127	UROK	\N	\N
3653275	3720	1998-02-28	PRIJEM	\N	204	51016	UROK	\N	\N
3653276	3720	1998-03-31	PRIJEM	\N	217	53918	UROK	\N	\N
3653277	3720	1998-04-30	PRIJEM	\N	228	56832	UROK	\N	\N
3653278	3720	1998-05-31	PRIJEM	\N	235	58072	UROK	\N	\N
3653279	3720	1998-06-30	PRIJEM	\N	243	50850	UROK	\N	\N
3653280	3720	1998-07-31	PRIJEM	\N	215	53751	UROK	\N	\N
3653281	3720	1998-08-31	PRIJEM	\N	227	56664	UROK	\N	\N
3653282	3720	1998-09-30	PRIJEM	\N	236	58705	UROK	\N	\N
3653283	3720	1998-10-31	PRIJEM	\N	248	61638	UROK	\N	\N
3653284	3720	1998-11-30	PRIJEM	\N	260	64583	UROK	\N	\N
3653285	3720	1998-12-31	PRIJEM	\N	264	65002	UROK	\N	\N
3653286	3721	1996-07-31	PRIJEM	\N	47	17370	UROK	\N	\N
3653287	3721	1996-08-31	PRIJEM	\N	76	18562	UROK	\N	\N
3653288	3721	1996-09-30	PRIJEM	\N	78	18386	UROK	\N	\N
3653289	3721	1996-10-31	PRIJEM	\N	80	19583	UROK	\N	\N
3653290	3721	1996-11-30	PRIJEM	\N	85	20785	UROK	\N	\N
3653291	3721	1996-12-31	PRIJEM	\N	85	20486	UROK	\N	\N
3653292	3721	1997-01-31	PRIJEM	\N	81	17873	UROK	\N	\N
3653293	3721	1997-02-28	PRIJEM	\N	75	17955	UROK	\N	\N
3653294	3721	1997-03-31	PRIJEM	\N	79	19150	UROK	\N	\N
3653295	3721	1997-04-30	PRIJEM	\N	84	20350	UROK	\N	\N
3653296	3721	1997-05-31	PRIJEM	\N	89	21555	UROK	\N	\N
3653297	3721	1997-06-30	PRIJEM	\N	90	20481	UROK	\N	\N
3653298	3721	1997-07-31	PRIJEM	\N	84	20362	UROK	\N	\N
3653299	3721	1997-08-31	PRIJEM	\N	89	21566	UROK	\N	\N
3653300	3721	1997-09-30	PRIJEM	\N	94	22776	UROK	\N	\N
3653301	3721	1997-10-31	PRIJEM	\N	99	23991	UROK	\N	\N
3653302	3721	1997-11-30	PRIJEM	\N	104	25211	UROK	\N	\N
3653303	3721	1997-12-31	PRIJEM	\N	107	26045	UROK	\N	\N
3653304	3721	1998-01-31	PRIJEM	\N	93	20744	UROK	\N	\N
3653305	3721	1998-02-28	PRIJEM	\N	87	20807	UROK	\N	\N
3653306	3721	1998-03-31	PRIJEM	\N	88	20902	UROK	\N	\N
3653307	3721	1998-04-30	PRIJEM	\N	91	22109	UROK	\N	\N
3653308	3721	1998-05-31	PRIJEM	\N	96	23321	UROK	\N	\N
3653309	3721	1998-06-30	PRIJEM	\N	94	15861	UROK	\N	\N
3653310	3721	1998-07-31	PRIJEM	\N	64	15151	UROK	\N	\N
3653311	3721	1998-08-31	PRIJEM	\N	66	16064	UROK	\N	\N
3653312	3721	1998-09-30	PRIJEM	\N	70	17251	UROK	\N	\N
3653313	3721	1998-10-31	PRIJEM	\N	75	17692	UROK	\N	\N
3653314	3721	1998-11-30	PRIJEM	\N	77	18885	UROK	\N	\N
3653315	3721	1998-12-31	PRIJEM	\N	82	19814	UROK	\N	\N
3653316	3722	1997-12-31	PRIJEM	\N	47	19424	UROK	\N	\N
3653317	3722	1998-01-31	PRIJEM	\N	114	33324	UROK	\N	\N
3653318	3722	1998-02-28	PRIJEM	\N	162	43770	UROK	\N	\N
3653319	3722	1998-03-31	PRIJEM	\N	197	50052	UROK	\N	\N
3653320	3722	1998-04-30	PRIJEM	\N	216	53553	UROK	\N	\N
3653321	3722	1998-05-31	PRIJEM	\N	185	40685	UROK	\N	\N
3653322	3722	1998-06-30	PRIJEM	\N	154	25859	UROK	\N	\N
3653323	3722	1998-07-31	PRIJEM	\N	109	27056	UROK	\N	\N
3653324	3722	1998-08-31	PRIJEM	\N	114	29018	UROK	\N	\N
3653325	3722	1998-09-30	PRIJEM	\N	117	28602	UROK	\N	\N
3653326	3722	1998-10-31	PRIJEM	\N	122	30871	UROK	\N	\N
3653327	3722	1998-11-30	PRIJEM	\N	97	22956	UROK	\N	\N
3653328	3722	1998-12-31	PRIJEM	\N	101	27157	UROK	\N	\N
3653329	3724	1997-11-30	PRIJEM	\N	130	47051	UROK	\N	\N
3653330	3724	1997-12-31	PRIJEM	\N	289	72939	UROK	\N	\N
3653331	3724	1998-01-31	PRIJEM	\N	303	56742	UROK	\N	\N
3653332	3724	1998-02-28	PRIJEM	\N	303	53745	UROK	\N	\N
3653333	3724	1998-03-31	PRIJEM	\N	303	55447	UROK	\N	\N
3653334	3724	1998-04-30	PRIJEM	\N	281	63536	UROK	\N	\N
3653335	3724	1998-05-31	PRIJEM	\N	273	99789	UROK	\N	\N
3653336	3724	1998-06-30	PRIJEM	\N	376	78116	UROK	\N	\N
3653337	3724	1998-07-31	PRIJEM	\N	284	63786	UROK	\N	\N
3653338	3724	1998-08-31	PRIJEM	\N	225	52596	UROK	\N	\N
3653339	3724	1998-09-30	PRIJEM	\N	208	48189	UROK	\N	\N
3653340	3724	1998-10-31	PRIJEM	\N	233	64560	UROK	\N	\N
3653341	3724	1998-11-30	PRIJEM	\N	267	59213	UROK	\N	\N
3653342	3724	1998-12-31	PRIJEM	\N	223	32622	UROK	\N	\N
3653343	3725	1995-07-31	PRIJEM	\N	58	20551	UROK	\N	\N
3653344	3725	1995-08-31	PRIJEM	\N	116	30960	UROK	\N	\N
3653345	3725	1995-09-30	PRIJEM	\N	131	31684	UROK	\N	\N
3653346	3725	1995-10-31	PRIJEM	\N	136	33213	UROK	\N	\N
3653347	3725	1995-11-30	PRIJEM	\N	132	29496	UROK	\N	\N
3653348	3725	1995-12-31	PRIJEM	\N	122	26551	UROK	\N	\N
3653349	3725	1996-01-31	PRIJEM	\N	95	17442	UROK	\N	\N
3653350	3725	1996-02-29	PRIJEM	\N	100	22878	UROK	\N	\N
3653351	3725	1996-03-31	PRIJEM	\N	110	24285	UROK	\N	\N
3653352	3725	1996-04-30	PRIJEM	\N	119	23840	UROK	\N	\N
3653353	3725	1996-05-31	PRIJEM	\N	115	22891	UROK	\N	\N
3653354	3725	1996-06-30	PRIJEM	\N	158	38783	UROK	\N	\N
3653355	3725	1996-07-31	PRIJEM	\N	166	37445	UROK	\N	\N
3653356	3725	1996-08-31	PRIJEM	\N	161	37423	UROK	\N	\N
3653357	3725	1996-09-30	PRIJEM	\N	155	34514	UROK	\N	\N
3653358	3725	1996-10-31	PRIJEM	\N	169	39519	UROK	\N	\N
3653359	3725	1996-11-30	PRIJEM	\N	159	34754	UROK	\N	\N
3653360	3725	1996-12-31	PRIJEM	\N	189	44455	UROK	\N	\N
3653361	3725	1997-01-31	PRIJEM	\N	178	36590	UROK	\N	\N
3653362	3725	1997-02-28	PRIJEM	\N	173	46099	UROK	\N	\N
3653363	3725	1997-03-31	PRIJEM	\N	224	53019	UROK	\N	\N
3653364	3725	1997-04-30	PRIJEM	\N	233	54489	UROK	\N	\N
3653365	3725	1997-05-31	PRIJEM	\N	238	56063	UROK	\N	\N
3653366	3725	1997-06-30	PRIJEM	\N	244	67040	UROK	\N	\N
3653367	3725	1997-07-31	PRIJEM	\N	245	50941	UROK	\N	\N
3653368	3725	1997-08-31	PRIJEM	\N	230	50108	UROK	\N	\N
3653369	3725	1997-09-30	PRIJEM	\N	226	48669	UROK	\N	\N
3653370	3725	1997-10-31	PRIJEM	\N	222	52727	UROK	\N	\N
3653371	3725	1997-11-30	PRIJEM	\N	236	54200	UROK	\N	\N
3653372	3725	1997-12-31	PRIJEM	\N	254	58727	UROK	\N	\N
3653373	3725	1998-01-31	PRIJEM	\N	239	51383	UROK	\N	\N
3653374	3725	1998-02-28	PRIJEM	\N	232	57651	UROK	\N	\N
3653375	3725	1998-03-31	PRIJEM	\N	254	55181	UROK	\N	\N
3653376	3725	1998-04-30	PRIJEM	\N	249	55106	UROK	\N	\N
3653377	3725	1998-05-31	PRIJEM	\N	245	57687	UROK	\N	\N
3653378	3725	1998-06-30	PRIJEM	\N	268	54008	UROK	\N	\N
3653379	3725	1998-07-31	PRIJEM	\N	244	61288	UROK	\N	\N
3653380	3725	1998-08-31	PRIJEM	\N	269	64094	UROK	\N	\N
3653381	3725	1998-09-30	PRIJEM	\N	277	64707	UROK	\N	\N
3653382	3725	1998-10-31	PRIJEM	\N	283	68127	UROK	\N	\N
3653383	3725	1998-11-30	PRIJEM	\N	292	64715	UROK	\N	\N
3653384	3725	1998-12-31	PRIJEM	\N	331	80799	UROK	\N	\N
3653385	3726	1996-09-30	PRIJEM	\N	109	81732	UROK	\N	\N
3653386	3726	1996-10-31	PRIJEM	\N	394	76853	UROK	\N	\N
3653387	3726	1996-11-30	PRIJEM	\N	226	42091	UROK	\N	\N
3653388	3726	1996-12-31	PRIJEM	\N	223	63119	UROK	\N	\N
3653389	3726	1997-01-31	PRIJEM	\N	145	19577	UROK	\N	\N
3653390	3726	1997-02-28	PRIJEM	\N	79	19973	UROK	\N	\N
3653391	3726	1997-03-31	PRIJEM	\N	75	16160	UROK	\N	\N
3653392	3726	1997-04-30	PRIJEM	\N	63	14035	UROK	\N	\N
3653393	3726	1997-05-31	PRIJEM	\N	57	12804	UROK	\N	\N
3653394	3726	1997-06-30	PRIJEM	\N	117	34544	UROK	\N	\N
3653395	3726	1997-07-31	PRIJEM	\N	125	27382	UROK	\N	\N
3653396	3726	1997-08-31	PRIJEM	\N	117	27811	UROK	\N	\N
3653397	3726	1997-09-30	PRIJEM	\N	117	27740	UROK	\N	\N
3653398	3726	1997-10-31	PRIJEM	\N	226	63007	UROK	\N	\N
3653399	3726	1997-11-30	PRIJEM	\N	172	24108	UROK	\N	\N
3653400	3726	1997-12-31	PRIJEM	\N	100	22220	UROK	\N	\N
3653401	3726	1998-01-31	PRIJEM	\N	135	25428	UROK	\N	\N
3653402	3726	1998-02-28	PRIJEM	\N	167	67661	UROK	\N	\N
3653403	3726	1998-03-31	PRIJEM	\N	252	56953	UROK	\N	\N
3653404	3726	1998-04-30	PRIJEM	\N	281	85548	UROK	\N	\N
3653405	3726	1998-05-31	PRIJEM	\N	242	37694	UROK	\N	\N
3653406	3726	1998-06-30	PRIJEM	\N	233	110600	UROK	\N	\N
3653407	3726	1998-07-31	PRIJEM	\N	150	25115	UROK	\N	\N
3653408	3726	1998-08-31	PRIJEM	\N	118	24881	UROK	\N	\N
3653409	3726	1998-09-30	PRIJEM	\N	130	53717	UROK	\N	\N
3653410	3726	1998-10-31	PRIJEM	\N	231	53883	UROK	\N	\N
3653411	3726	1998-11-30	PRIJEM	\N	128	18023	UROK	\N	\N
3653412	3726	1998-12-31	PRIJEM	\N	122	66633	UROK	\N	\N
3653413	3727	1996-02-29	PRIJEM	\N	32	18728	UROK	\N	\N
3653414	3727	1996-03-31	PRIJEM	\N	97	29721	UROK	\N	\N
3653415	3727	1996-04-30	PRIJEM	\N	129	32746	UROK	\N	\N
3653416	3727	1996-05-31	PRIJEM	\N	143	36585	UROK	\N	\N
3653417	3727	1996-06-30	PRIJEM	\N	161	41491	UROK	\N	\N
3653418	3727	1996-07-31	PRIJEM	\N	159	36367	UROK	\N	\N
3653419	3727	1996-08-31	PRIJEM	\N	134	27318	UROK	\N	\N
3653420	3727	1996-09-30	PRIJEM	\N	117	30853	UROK	\N	\N
3653421	3727	1996-10-31	PRIJEM	\N	130	33300	UROK	\N	\N
3653422	3727	1996-11-30	PRIJEM	\N	135	34052	UROK	\N	\N
3653423	3727	1996-12-31	PRIJEM	\N	155	38352	UROK	\N	\N
3653424	3727	1997-01-31	PRIJEM	\N	143	28293	UROK	\N	\N
3653425	3727	1997-02-28	PRIJEM	\N	111	29041	UROK	\N	\N
3653426	3727	1997-03-31	PRIJEM	\N	131	35289	UROK	\N	\N
3653427	3727	1997-04-30	PRIJEM	\N	148	38054	UROK	\N	\N
3653428	3727	1997-05-31	PRIJEM	\N	163	42235	UROK	\N	\N
3653429	3727	1997-06-30	PRIJEM	\N	182	46482	UROK	\N	\N
3653430	3727	1997-07-31	PRIJEM	\N	199	50298	UROK	\N	\N
3653431	3727	1997-08-31	PRIJEM	\N	220	56536	UROK	\N	\N
3653432	3727	1997-09-30	PRIJEM	\N	242	61695	UROK	\N	\N
3653433	3727	1997-10-31	PRIJEM	\N	253	63065	UROK	\N	\N
3653434	3727	1997-11-30	PRIJEM	\N	273	69556	UROK	\N	\N
3653435	3727	1997-12-31	PRIJEM	\N	297	75999	UROK	\N	\N
3653436	3727	1998-01-31	PRIJEM	\N	285	65221	UROK	\N	\N
3653437	3727	1998-02-28	PRIJEM	\N	266	65104	UROK	\N	\N
3653438	3727	1998-03-31	PRIJEM	\N	280	71002	UROK	\N	\N
3653439	3727	1998-04-30	PRIJEM	\N	311	78930	UROK	\N	\N
3653440	3727	1998-05-31	PRIJEM	\N	323	80271	UROK	\N	\N
3653441	3727	1998-06-30	PRIJEM	\N	306	75762	UROK	\N	\N
3653442	3727	1998-07-31	PRIJEM	\N	308	76087	UROK	\N	\N
3653443	3727	1998-08-31	PRIJEM	\N	284	70989	UROK	\N	\N
3653444	3727	1998-09-30	PRIJEM	\N	269	66975	UROK	\N	\N
3653445	3727	1998-10-31	PRIJEM	\N	284	71777	UROK	\N	\N
3653446	3727	1998-11-30	PRIJEM	\N	297	74791	UROK	\N	\N
3653447	3727	1998-12-31	PRIJEM	\N	315	78672	UROK	\N	\N
3653448	3728	1994-09-30	PRIJEM	\N	36	18749	UROK	\N	\N
3653449	3728	1994-10-31	PRIJEM	\N	94	26756	UROK	\N	\N
3653450	3728	1994-11-30	PRIJEM	\N	118	30288	UROK	\N	\N
3653451	3728	1994-12-31	PRIJEM	\N	131	32739	UROK	\N	\N
3653452	3728	1995-01-31	PRIJEM	\N	120	21272	UROK	\N	\N
3653453	3728	1995-02-28	PRIJEM	\N	105	28675	UROK	\N	\N
3653454	3728	1995-03-31	PRIJEM	\N	106	25080	UROK	\N	\N
3653455	3728	1995-04-30	PRIJEM	\N	110	27588	UROK	\N	\N
3653456	3728	1995-05-31	PRIJEM	\N	116	28302	UROK	\N	\N
3653457	3728	1995-06-30	PRIJEM	\N	130	24081	UROK	\N	\N
3653458	3728	1995-07-31	PRIJEM	\N	97	22720	UROK	\N	\N
3653459	3728	1995-08-31	PRIJEM	\N	108	28026	UROK	\N	\N
3653460	3728	1995-09-30	PRIJEM	\N	109	22277	UROK	\N	\N
3653461	3728	1995-10-31	PRIJEM	\N	103	20199	UROK	\N	\N
3653462	3728	1995-11-30	PRIJEM	\N	101	26298	UROK	\N	\N
3653463	3728	1995-12-31	PRIJEM	\N	119	21122	UROK	\N	\N
3653464	3728	1996-01-31	PRIJEM	\N	96	21416	UROK	\N	\N
3653465	3728	1996-02-29	PRIJEM	\N	110	28424	UROK	\N	\N
3653466	3728	1996-03-31	PRIJEM	\N	122	29945	UROK	\N	\N
3653467	3728	1996-04-30	PRIJEM	\N	137	34080	UROK	\N	\N
3653468	3728	1996-05-31	PRIJEM	\N	125	25803	UROK	\N	\N
3653469	3728	1996-06-30	PRIJEM	\N	122	30530	UROK	\N	\N
3653470	3728	1996-07-31	PRIJEM	\N	111	20864	UROK	\N	\N
3653471	3728	1996-08-31	PRIJEM	\N	115	29377	UROK	\N	\N
3653472	3728	1996-09-30	PRIJEM	\N	131	32006	UROK	\N	\N
3653473	3728	1996-10-31	PRIJEM	\N	135	32739	UROK	\N	\N
3653474	3728	1996-11-30	PRIJEM	\N	123	23360	UROK	\N	\N
3653475	3728	1996-12-31	PRIJEM	\N	116	25082	UROK	\N	\N
3653476	3728	1997-01-31	PRIJEM	\N	108	21188	UROK	\N	\N
3653477	3728	1997-02-28	PRIJEM	\N	135	34421	UROK	\N	\N
3653478	3728	1997-03-31	PRIJEM	\N	141	33960	UROK	\N	\N
3653479	3728	1997-04-30	PRIJEM	\N	152	34011	UROK	\N	\N
3653480	3728	1997-05-31	PRIJEM	\N	151	33561	UROK	\N	\N
3653481	3728	1997-06-30	PRIJEM	\N	192	48358	UROK	\N	\N
3653482	3728	1997-07-31	PRIJEM	\N	200	48356	UROK	\N	\N
3653483	3728	1997-08-31	PRIJEM	\N	189	45444	UROK	\N	\N
3653484	3728	1997-09-30	PRIJEM	\N	183	44025	UROK	\N	\N
3653485	3728	1997-10-31	PRIJEM	\N	163	39287	UROK	\N	\N
3653486	3728	1997-11-30	PRIJEM	\N	107	37091	UROK	\N	\N
3653487	3728	1997-12-31	PRIJEM	\N	123	22570	UROK	\N	\N
3653488	3728	1998-01-31	PRIJEM	\N	95	24464	UROK	\N	\N
3653489	3728	1998-02-28	PRIJEM	\N	110	29172	UROK	\N	\N
3653490	3728	1998-03-31	PRIJEM	\N	111	26081	UROK	\N	\N
3653491	3728	1998-04-30	PRIJEM	\N	100	23680	UROK	\N	\N
3653492	3728	1998-05-31	PRIJEM	\N	98	26176	UROK	\N	\N
3653493	3728	1998-06-30	PRIJEM	\N	138	29920	UROK	\N	\N
3653494	3728	1998-07-31	PRIJEM	\N	124	32342	UROK	\N	\N
3653495	3728	1998-08-31	PRIJEM	\N	132	31673	UROK	\N	\N
3653496	3728	1998-09-30	PRIJEM	\N	149	25220	UROK	\N	\N
3653497	3728	1998-10-31	PRIJEM	\N	101	21973	UROK	\N	\N
3653498	3728	1998-11-30	PRIJEM	\N	90	22034	UROK	\N	\N
3653499	3728	1998-12-31	PRIJEM	\N	98	30238	UROK	\N	\N
3653500	3729	1995-09-30	PRIJEM	\N	59	19478	UROK	\N	\N
3653501	3729	1995-10-31	PRIJEM	\N	86	21020	UROK	\N	\N
3653502	3729	1995-11-30	PRIJEM	\N	78	15475	UROK	\N	\N
3653503	3729	1995-12-31	PRIJEM	\N	68	15999	UROK	\N	\N
3653504	3729	1996-01-31	PRIJEM	\N	68	16273	UROK	\N	\N
3653505	3729	1996-02-29	PRIJEM	\N	72	17802	UROK	\N	\N
3653506	3729	1996-03-31	PRIJEM	\N	81	17239	UROK	\N	\N
3653507	3729	1996-04-30	PRIJEM	\N	75	18170	UROK	\N	\N
3653508	3729	1996-05-31	PRIJEM	\N	72	16498	UROK	\N	\N
3653509	3729	1996-06-30	PRIJEM	\N	73	18028	UROK	\N	\N
3653510	3729	1996-07-31	PRIJEM	\N	76	16380	UROK	\N	\N
3653511	3729	1996-08-31	PRIJEM	\N	69	15426	UROK	\N	\N
3653512	3729	1996-09-30	PRIJEM	\N	64	14386	UROK	\N	\N
3653513	3729	1996-10-31	PRIJEM	\N	64	15906	UROK	\N	\N
3653514	3729	1996-11-30	PRIJEM	\N	71	17433	UROK	\N	\N
3653515	3729	1996-12-31	PRIJEM	\N	68	15207	UROK	\N	\N
3653516	3729	1997-01-31	PRIJEM	\N	67	16131	UROK	\N	\N
3653517	3729	1997-02-28	PRIJEM	\N	70	16857	UROK	\N	\N
3653518	3729	1997-03-31	PRIJEM	\N	69	16383	UROK	\N	\N
3653519	3729	1997-04-30	PRIJEM	\N	72	17411	UROK	\N	\N
3653520	3729	1997-05-31	PRIJEM	\N	65	15032	UROK	\N	\N
3653521	3729	1997-06-30	PRIJEM	\N	60	14029	UROK	\N	\N
3653522	3729	1997-07-31	PRIJEM	\N	62	14847	UROK	\N	\N
3653523	3729	1997-08-31	PRIJEM	\N	61	14564	UROK	\N	\N
3653524	3729	1997-09-30	PRIJEM	\N	62	15382	UROK	\N	\N
3653525	3729	1997-10-31	PRIJEM	\N	65	15463	UROK	\N	\N
3653526	3729	1997-11-30	PRIJEM	\N	68	14107	UROK	\N	\N
3653527	3729	1997-12-31	PRIJEM	\N	62	14875	UROK	\N	\N
3653528	3729	1998-01-31	PRIJEM	\N	61	13993	UROK	\N	\N
3653529	3729	1998-02-28	PRIJEM	\N	62	15511	UROK	\N	\N
3653530	3729	1998-03-31	PRIJEM	\N	69	17036	UROK	\N	\N
3653531	3729	1998-04-30	PRIJEM	\N	75	18568	UROK	\N	\N
3653532	3729	1998-05-31	PRIJEM	\N	81	20105	UROK	\N	\N
3653533	3729	1998-06-30	PRIJEM	\N	84	19645	UROK	\N	\N
3653534	3729	1998-07-31	PRIJEM	\N	78	12919	UROK	\N	\N
3653535	3729	1998-08-31	PRIJEM	\N	57	14033	UROK	\N	\N
3653536	3729	1998-09-30	PRIJEM	\N	62	15551	UROK	\N	\N
3653537	3729	1998-10-31	PRIJEM	\N	60	14028	UROK	\N	\N
3653538	3729	1998-11-30	PRIJEM	\N	62	15546	UROK	\N	\N
3653539	3729	1998-12-31	PRIJEM	\N	67	16070	UROK	\N	\N
3653540	3730	1994-09-30	PRIJEM	\N	14	5966	UROK	\N	\N
3653541	3730	1994-10-31	PRIJEM	\N	25	11143	UROK	\N	\N
3653542	3730	1994-11-30	PRIJEM	\N	25	16320	UROK	\N	\N
3653543	3730	1994-12-31	PRIJEM	\N	25	21496	UROK	\N	\N
3653544	3730	1995-01-31	PRIJEM	\N	68	23757	UROK	\N	\N
3653545	3730	1995-02-28	PRIJEM	\N	106	27056	UROK	\N	\N
3653546	3730	1995-03-31	PRIJEM	\N	118	27247	UROK	\N	\N
3653547	3730	1995-04-30	PRIJEM	\N	121	30561	UROK	\N	\N
3653548	3730	1995-05-31	PRIJEM	\N	127	30881	UROK	\N	\N
3653549	3730	1995-06-30	PRIJEM	\N	94	21889	UROK	\N	\N
3653550	3730	1995-07-31	PRIJEM	\N	91	20813	UROK	\N	\N
3653551	3730	1995-08-31	PRIJEM	\N	94	24101	UROK	\N	\N
3653552	3730	1995-09-30	PRIJEM	\N	107	23722	UROK	\N	\N
3653553	3730	1995-10-31	PRIJEM	\N	106	27022	UROK	\N	\N
3653554	3730	1995-11-30	PRIJEM	\N	110	27365	UROK	\N	\N
3653555	3730	1995-12-31	PRIJEM	\N	120	30229	UROK	\N	\N
3653556	3730	1996-01-31	PRIJEM	\N	131	30954	UROK	\N	\N
3653557	3730	1996-02-29	PRIJEM	\N	126	30754	UROK	\N	\N
3653558	3730	1996-03-31	PRIJEM	\N	128	31595	UROK	\N	\N
3653559	3730	1996-04-30	PRIJEM	\N	138	34927	UROK	\N	\N
3653560	3730	1996-05-31	PRIJEM	\N	133	33353	UROK	\N	\N
3653561	3730	1996-06-30	PRIJEM	\N	135	22731	UROK	\N	\N
3653562	3730	1996-07-31	PRIJEM	\N	102	25466	UROK	\N	\N
3653563	3730	1996-08-31	PRIJEM	\N	108	25167	UROK	\N	\N
3653564	3730	1996-09-30	PRIJEM	\N	112	28473	UROK	\N	\N
3653565	3730	1996-10-31	PRIJEM	\N	126	31792	UROK	\N	\N
3653566	3730	1996-11-30	PRIJEM	\N	134	33199	UROK	\N	\N
3653567	3730	1996-12-31	PRIJEM	\N	139	31792	UROK	\N	\N
3653568	3730	1997-01-31	PRIJEM	\N	120	29505	UROK	\N	\N
3653569	3730	1997-02-28	PRIJEM	\N	129	32828	UROK	\N	\N
3653570	3730	1997-03-31	PRIJEM	\N	144	36165	UROK	\N	\N
3653571	3730	1997-04-30	PRIJEM	\N	158	39516	UROK	\N	\N
3653572	3730	1997-05-31	PRIJEM	\N	161	37770	UROK	\N	\N
3653573	3730	1997-06-30	PRIJEM	\N	160	38573	UROK	\N	\N
3653574	3730	1997-07-31	PRIJEM	\N	165	40171	UROK	\N	\N
3653575	3730	1997-08-31	PRIJEM	\N	174	43138	UROK	\N	\N
3653576	3730	1997-09-30	PRIJEM	\N	182	43213	UROK	\N	\N
3653577	3730	1997-10-31	PRIJEM	\N	186	45792	UROK	\N	\N
3653578	3730	1997-11-30	PRIJEM	\N	191	44697	UROK	\N	\N
3653579	3730	1997-12-31	PRIJEM	\N	191	47381	UROK	\N	\N
3653580	3730	1998-01-31	PRIJEM	\N	197	48522	UROK	\N	\N
3653581	3730	1998-02-28	PRIJEM	\N	208	51923	UROK	\N	\N
3653582	3730	1998-03-31	PRIJEM	\N	216	52932	UROK	\N	\N
3653583	3730	1998-04-30	PRIJEM	\N	227	56352	UROK	\N	\N
3653584	3730	1998-05-31	PRIJEM	\N	241	59786	UROK	\N	\N
3653585	3730	1998-06-30	PRIJEM	\N	247	51727	UROK	\N	\N
3653586	3730	1998-07-31	PRIJEM	\N	221	55141	UROK	\N	\N
3653587	3730	1998-08-31	PRIJEM	\N	234	56409	UROK	\N	\N
3653588	3730	1998-09-30	PRIJEM	\N	239	57121	UROK	\N	\N
3653589	3730	1998-10-31	PRIJEM	\N	242	59036	UROK	\N	\N
3653590	3730	1998-11-30	PRIJEM	\N	243	59352	UROK	\N	\N
3653591	3730	1998-12-31	PRIJEM	\N	248	60884	UROK	\N	\N
3653592	3731	1996-10-31	PRIJEM	\N	2	15912	UROK	\N	\N
3653593	3731	1996-11-30	PRIJEM	\N	69	16415	UROK	\N	\N
3653594	3731	1996-12-31	PRIJEM	\N	71	16979	UROK	\N	\N
3653595	3731	1997-01-31	PRIJEM	\N	67	13520	UROK	\N	\N
3653596	3731	1997-02-28	PRIJEM	\N	57	13650	UROK	\N	\N
3653597	3731	1997-03-31	PRIJEM	\N	60	14683	UROK	\N	\N
3653598	3731	1997-04-30	PRIJEM	\N	63	15119	UROK	\N	\N
3653599	3731	1997-05-31	PRIJEM	\N	66	16159	UROK	\N	\N
3653600	3731	1997-06-30	PRIJEM	\N	71	17203	UROK	\N	\N
3653601	3731	1997-07-31	PRIJEM	\N	75	18251	UROK	\N	\N
3653602	3731	1997-08-31	PRIJEM	\N	79	19304	UROK	\N	\N
3653603	3731	1997-09-30	PRIJEM	\N	84	20361	UROK	\N	\N
3653604	3731	1997-10-31	PRIJEM	\N	88	21422	UROK	\N	\N
3653605	3731	1997-11-30	PRIJEM	\N	92	22488	UROK	\N	\N
3653606	3731	1997-12-31	PRIJEM	\N	95	22536	UROK	\N	\N
3653607	3731	1998-01-31	PRIJEM	\N	87	18676	UROK	\N	\N
3653608	3731	1998-02-28	PRIJEM	\N	80	19310	UROK	\N	\N
3653609	3731	1998-03-31	PRIJEM	\N	84	20367	UROK	\N	\N
3653610	3731	1998-04-30	PRIJEM	\N	88	21428	UROK	\N	\N
3653611	3731	1998-05-31	PRIJEM	\N	92	22283	UROK	\N	\N
3653612	3731	1998-06-30	PRIJEM	\N	95	22332	UROK	\N	\N
3653613	3731	1998-07-31	PRIJEM	\N	96	23401	UROK	\N	\N
3653614	3731	1998-08-31	PRIJEM	\N	99	23154	UROK	\N	\N
3653615	3731	1998-09-30	PRIJEM	\N	99	24226	UROK	\N	\N
3653616	3731	1998-10-31	PRIJEM	\N	103	24013	UROK	\N	\N
3653617	3731	1998-11-30	PRIJEM	\N	103	25090	UROK	\N	\N
3653618	3731	1998-12-31	PRIJEM	\N	106	25359	UROK	\N	\N
3653619	3732	1997-10-31	PRIJEM	\N	55	19132	UROK	\N	\N
3653620	3732	1997-11-30	PRIJEM	\N	87	22209	UROK	\N	\N
3653621	3732	1997-12-31	PRIJEM	\N	101	24050	UROK	\N	\N
3653622	3732	1998-01-31	PRIJEM	\N	98	19508	UROK	\N	\N
3653623	3732	1998-02-28	PRIJEM	\N	88	22586	UROK	\N	\N
3653624	3732	1998-03-31	PRIJEM	\N	101	25678	UROK	\N	\N
3653625	3732	1998-04-30	PRIJEM	\N	114	27742	UROK	\N	\N
3653626	3732	1998-05-31	PRIJEM	\N	123	30755	UROK	\N	\N
3653627	3732	1998-06-30	PRIJEM	\N	133	27728	UROK	\N	\N
3653628	3732	1998-07-31	PRIJEM	\N	123	30841	UROK	\N	\N
3653629	3732	1998-08-31	PRIJEM	\N	134	33265	UROK	\N	\N
3653630	3732	1998-09-30	PRIJEM	\N	139	33195	UROK	\N	\N
3653631	3732	1998-10-31	PRIJEM	\N	130	28836	UROK	\N	\N
3653632	3732	1998-11-30	PRIJEM	\N	114	25920	UROK	\N	\N
3653633	3732	1998-12-31	PRIJEM	\N	112	26452	UROK	\N	\N
3653634	3733	1996-10-31	PRIJEM	\N	67	41746	UROK	\N	\N
3653635	3733	1996-11-30	PRIJEM	\N	185	48475	UROK	\N	\N
3653636	3733	1996-12-31	PRIJEM	\N	201	38776	UROK	\N	\N
3653637	3733	1997-01-31	PRIJEM	\N	230	54613	UROK	\N	\N
3653638	3733	1997-02-28	PRIJEM	\N	178	25491	UROK	\N	\N
3653639	3733	1997-03-31	PRIJEM	\N	178	81838	UROK	\N	\N
3653640	3733	1997-04-30	PRIJEM	\N	264	53692	UROK	\N	\N
3653641	3733	1997-05-31	PRIJEM	\N	177	29231	UROK	\N	\N
3653642	3733	1997-06-30	PRIJEM	\N	183	63459	UROK	\N	\N
3653643	3733	1997-07-31	PRIJEM	\N	294	90240	UROK	\N	\N
3653644	3733	1997-08-31	PRIJEM	\N	299	58142	UROK	\N	\N
3653645	3733	1997-09-30	PRIJEM	\N	253	91165	UROK	\N	\N
3653646	3733	1997-10-31	PRIJEM	\N	366	70077	UROK	\N	\N
3653647	3733	1997-11-30	PRIJEM	\N	171	34798	UROK	\N	\N
3653648	3733	1997-12-31	PRIJEM	\N	225	99644	UROK	\N	\N
3653649	3733	1998-01-31	PRIJEM	\N	223	22879	UROK	\N	\N
3653650	3733	1998-02-28	PRIJEM	\N	222	63430	UROK	\N	\N
3653651	3733	1998-03-31	PRIJEM	\N	236	62720	UROK	\N	\N
3653652	3733	1998-04-30	PRIJEM	\N	217	45099	UROK	\N	\N
3653653	3733	1998-05-31	PRIJEM	\N	146	23133	UROK	\N	\N
3653654	3733	1998-06-30	PRIJEM	\N	226	72151	UROK	\N	\N
3653655	3733	1998-07-31	PRIJEM	\N	245	51858	UROK	\N	\N
3653656	3733	1998-08-31	PRIJEM	\N	244	91122	UROK	\N	\N
3653657	3733	1998-09-30	PRIJEM	\N	311	68096	UROK	\N	\N
3653658	3733	1998-10-31	PRIJEM	\N	205	27086	UROK	\N	\N
3653659	3733	1998-11-30	PRIJEM	\N	134	34182	UROK	\N	\N
3653660	3733	1998-12-31	PRIJEM	\N	134	24953	UROK	\N	\N
3653661	3735	1995-05-31	PRIJEM	\N	7	49282	UROK	\N	\N
3653662	3735	1995-06-30	PRIJEM	\N	215	73374	UROK	\N	\N
3653663	3735	1995-07-31	PRIJEM	\N	305	50079	UROK	\N	\N
3653664	3735	1995-08-31	PRIJEM	\N	285	52052	UROK	\N	\N
3653665	3735	1995-09-30	PRIJEM	\N	216	37768	UROK	\N	\N
3653666	3735	1995-10-31	PRIJEM	\N	247	75916	UROK	\N	\N
3653667	3735	1995-11-30	PRIJEM	\N	300	64421	UROK	\N	\N
3653668	3735	1995-12-31	PRIJEM	\N	162	19945	UROK	\N	\N
3653669	3735	1996-01-31	PRIJEM	\N	154	23581	UROK	\N	\N
3653670	3735	1996-02-29	PRIJEM	\N	269	61742	UROK	\N	\N
3653671	3735	1996-03-31	PRIJEM	\N	370	84582	UROK	\N	\N
3653672	3735	1996-04-30	PRIJEM	\N	203	21573	UROK	\N	\N
3653673	3735	1996-05-31	PRIJEM	\N	105	26598	UROK	\N	\N
3653674	3735	1996-06-30	PRIJEM	\N	141	34492	UROK	\N	\N
3653675	3735	1996-07-31	PRIJEM	\N	255	74292	UROK	\N	\N
3653676	3735	1996-08-31	PRIJEM	\N	229	30938	UROK	\N	\N
3653677	3735	1996-09-30	PRIJEM	\N	161	91000	UROK	\N	\N
3653678	3735	1996-10-31	PRIJEM	\N	310	78318	UROK	\N	\N
3653679	3735	1996-11-30	PRIJEM	\N	309	56240	UROK	\N	\N
3653680	3735	1996-12-31	PRIJEM	\N	314	71048	UROK	\N	\N
3653681	3735	1997-01-31	PRIJEM	\N	213	45381	UROK	\N	\N
3653682	3735	1997-02-28	PRIJEM	\N	183	58720	UROK	\N	\N
3653683	3735	1997-03-31	PRIJEM	\N	297	104486	UROK	\N	\N
3653684	3735	1997-04-30	PRIJEM	\N	382	63060	UROK	\N	\N
3653685	3735	1997-05-31	PRIJEM	\N	313	99466	UROK	\N	\N
3653686	3735	1997-06-30	PRIJEM	\N	327	51461	UROK	\N	\N
3653687	3735	1997-07-31	PRIJEM	\N	270	50742	UROK	\N	\N
3653688	3735	1997-08-31	PRIJEM	\N	157	29409	UROK	\N	\N
3653689	3735	1997-09-30	PRIJEM	\N	206	59070	UROK	\N	\N
3653690	3735	1997-10-31	PRIJEM	\N	354	78486	UROK	\N	\N
3653691	3735	1997-11-30	PRIJEM	\N	239	53469	UROK	\N	\N
3653692	3735	1997-12-31	PRIJEM	\N	251	87798	UROK	\N	\N
3653693	3735	1998-01-31	PRIJEM	\N	211	28820	UROK	\N	\N
3653694	3735	1998-02-28	PRIJEM	\N	81	20229	UROK	\N	\N
3653695	3735	1998-03-31	PRIJEM	\N	63	12802	UROK	\N	\N
3653696	3735	1998-04-30	PRIJEM	\N	32	5344	UROK	\N	\N
3653697	3735	1998-05-31	PRIJEM	\N	19	5216	UROK	\N	\N
3653698	3735	1998-06-30	PRIJEM	\N	18	4046	UROK	\N	\N
3653699	3735	1998-07-31	PRIJEM	\N	13	2872	UROK	\N	\N
3653700	3735	1998-09-30	PRIJEM	\N	9	2860	UROK	\N	\N
3653701	3735	1998-09-30	PRIJEM	\N	9	2851	UROK	\N	\N
3653702	3735	1998-10-31	PRIJEM	\N	85	30193	UROK	\N	\N
3653703	3735	1998-11-30	PRIJEM	\N	103	22806	UROK	\N	\N
3653704	3735	1998-12-31	PRIJEM	\N	72	15388	UROK	\N	\N
3653705	3736	1996-05-31	PRIJEM	\N	25	7988	UROK	\N	\N
3653706	3736	1996-06-30	PRIJEM	\N	33	14984	UROK	\N	\N
3653707	3736	1996-07-31	PRIJEM	\N	33	21980	UROK	\N	\N
3653708	3736	1996-08-31	PRIJEM	\N	33	28976	UROK	\N	\N
3653709	3736	1996-09-30	PRIJEM	\N	91	32530	UROK	\N	\N
3653710	3736	1996-10-31	PRIJEM	\N	144	36122	UROK	\N	\N
3653711	3736	1996-11-30	PRIJEM	\N	156	36446	UROK	\N	\N
3653712	3736	1996-12-31	PRIJEM	\N	159	39153	UROK	\N	\N
3653713	3736	1997-01-31	PRIJEM	\N	147	27819	UROK	\N	\N
3653714	3736	1997-02-28	PRIJEM	\N	124	31391	UROK	\N	\N
3653715	3736	1997-03-31	PRIJEM	\N	139	34978	UROK	\N	\N
3653716	3736	1997-04-30	PRIJEM	\N	154	38581	UROK	\N	\N
3653717	3736	1997-05-31	PRIJEM	\N	152	33281	UROK	\N	\N
3653718	3736	1997-06-30	PRIJEM	\N	116	23295	UROK	\N	\N
3653719	3736	1997-07-31	PRIJEM	\N	105	26849	UROK	\N	\N
3653720	3736	1997-08-31	PRIJEM	\N	120	30417	UROK	\N	\N
3653721	3736	1997-09-30	PRIJEM	\N	128	32494	UROK	\N	\N
3653722	3736	1997-10-31	PRIJEM	\N	136	32878	UROK	\N	\N
3653723	3736	1997-11-30	PRIJEM	\N	145	35572	UROK	\N	\N
3653724	3736	1997-12-31	PRIJEM	\N	158	36628	UROK	\N	\N
3653725	3736	1998-01-31	PRIJEM	\N	126	24903	UROK	\N	\N
3653726	3736	1998-02-28	PRIJEM	\N	111	28462	UROK	\N	\N
3653727	3736	1998-03-31	PRIJEM	\N	127	32037	UROK	\N	\N
3653728	3736	1998-04-30	PRIJEM	\N	127	29212	UROK	\N	\N
3653729	3736	1998-05-31	PRIJEM	\N	123	29023	UROK	\N	\N
3653730	3736	1998-06-30	PRIJEM	\N	120	18042	UROK	\N	\N
3653731	3736	1998-07-31	PRIJEM	\N	83	21574	UROK	\N	\N
3653732	3736	1998-08-31	PRIJEM	\N	92	22554	UROK	\N	\N
3653733	3736	1998-09-30	PRIJEM	\N	101	26104	UROK	\N	\N
3653734	3736	1998-10-31	PRIJEM	\N	111	26303	UROK	\N	\N
3653735	3736	1998-11-30	PRIJEM	\N	117	29868	UROK	\N	\N
3653736	3736	1998-12-31	PRIJEM	\N	131	31467	UROK	\N	\N
3653737	3737	1995-03-31	PRIJEM	\N	29	7981	UROK	\N	\N
3653738	3737	1995-04-30	PRIJEM	\N	33	14866	UROK	\N	\N
3653739	3737	1995-05-31	PRIJEM	\N	33	21751	UROK	\N	\N
3653740	3737	1995-06-30	PRIJEM	\N	38	24341	UROK	\N	\N
3653741	3737	1995-07-31	PRIJEM	\N	107	23806	UROK	\N	\N
3653742	3737	1995-08-31	PRIJEM	\N	110	23919	UROK	\N	\N
3653743	3737	1995-09-30	PRIJEM	\N	112	27034	UROK	\N	\N
3653744	3737	1995-10-31	PRIJEM	\N	125	30163	UROK	\N	\N
3653745	3737	1995-11-30	PRIJEM	\N	137	32103	UROK	\N	\N
3653746	3737	1995-12-31	PRIJEM	\N	135	28692	UROK	\N	\N
3653747	3737	1996-01-31	PRIJEM	\N	103	15848	UROK	\N	\N
3653748	3737	1996-02-29	PRIJEM	\N	78	18929	UROK	\N	\N
3653749	3737	1996-03-31	PRIJEM	\N	82	18974	UROK	\N	\N
3653750	3737	1996-04-30	PRIJEM	\N	91	22069	UROK	\N	\N
3653751	3737	1996-05-31	PRIJEM	\N	104	25177	UROK	\N	\N
3653752	3737	1996-06-30	PRIJEM	\N	95	18175	UROK	\N	\N
3653753	3737	1996-07-31	PRIJEM	\N	88	21266	UROK	\N	\N
3653754	3737	1996-08-31	PRIJEM	\N	100	23889	UROK	\N	\N
3653755	3737	1996-09-30	PRIJEM	\N	111	26523	UROK	\N	\N
3653756	3737	1996-10-31	PRIJEM	\N	118	27724	UROK	\N	\N
3653757	3737	1996-11-30	PRIJEM	\N	124	28752	UROK	\N	\N
3653758	3737	1996-12-31	PRIJEM	\N	125	27681	UROK	\N	\N
3653759	3737	1997-01-31	PRIJEM	\N	106	15410	UROK	\N	\N
3653760	3737	1997-02-28	PRIJEM	\N	76	18489	UROK	\N	\N
3653761	3737	1997-03-31	PRIJEM	\N	89	21582	UROK	\N	\N
3653762	3737	1997-04-30	PRIJEM	\N	101	23006	UROK	\N	\N
3653763	3737	1997-05-31	PRIJEM	\N	108	26117	UROK	\N	\N
3653764	3737	1997-06-30	PRIJEM	\N	108	22879	UROK	\N	\N
3653765	3737	1997-07-31	PRIJEM	\N	107	25989	UROK	\N	\N
3653766	3737	1997-08-31	PRIJEM	\N	120	29113	UROK	\N	\N
3653767	3737	1997-09-30	PRIJEM	\N	133	32249	UROK	\N	\N
3653768	3737	1997-10-31	PRIJEM	\N	146	35398	UROK	\N	\N
3653769	3737	1997-11-30	PRIJEM	\N	148	33650	UROK	\N	\N
3653770	3737	1997-12-31	PRIJEM	\N	148	33901	UROK	\N	\N
3653771	3737	1998-01-31	PRIJEM	\N	139	26412	UROK	\N	\N
3653772	3737	1998-02-28	PRIJEM	\N	121	29537	UROK	\N	\N
3653773	3737	1998-03-31	PRIJEM	\N	134	32675	UROK	\N	\N
3653774	3737	1998-04-30	PRIJEM	\N	147	35826	UROK	\N	\N
3653775	3737	1998-05-31	PRIJEM	\N	155	36664	UROK	\N	\N
3653776	3737	1998-06-30	PRIJEM	\N	155	34822	UROK	\N	\N
3653777	3737	1998-07-31	PRIJEM	\N	152	36478	UROK	\N	\N
3653778	3737	1998-08-31	PRIJEM	\N	154	34276	UROK	\N	\N
3653779	3737	1998-09-30	PRIJEM	\N	154	37433	UROK	\N	\N
3653780	3737	1998-10-31	PRIJEM	\N	161	37357	UROK	\N	\N
3653781	3737	1998-11-30	PRIJEM	\N	160	37960	UROK	\N	\N
3653782	3737	1998-12-31	PRIJEM	\N	169	40682	UROK	\N	\N
3653783	3738	1993-08-31	PRIJEM	\N	62	21096	UROK	\N	\N
3653784	3738	1993-09-30	PRIJEM	\N	91	41921	UROK	\N	\N
3653785	3738	1993-10-31	PRIJEM	\N	137	39892	UROK	\N	\N
3653786	3738	1993-11-30	PRIJEM	\N	166	42693	UROK	\N	\N
3653787	3738	1993-12-31	PRIJEM	\N	200	49434	UROK	\N	\N
3653788	3738	1994-01-31	PRIJEM	\N	224	42967	UROK	\N	\N
3653789	3738	1994-02-28	PRIJEM	\N	188	39864	UROK	\N	\N
3653790	3738	1994-03-31	PRIJEM	\N	204	41938	UROK	\N	\N
3653791	3738	1994-04-30	PRIJEM	\N	210	40317	UROK	\N	\N
3653792	3738	1994-05-31	PRIJEM	\N	203	40590	UROK	\N	\N
3653793	3738	1994-06-30	PRIJEM	\N	184	36590	UROK	\N	\N
3653794	3738	1994-07-31	PRIJEM	\N	187	39347	UROK	\N	\N
3653795	3738	1994-08-31	PRIJEM	\N	195	40211	UROK	\N	\N
3653796	3738	1994-09-30	PRIJEM	\N	198	40979	UROK	\N	\N
3653797	3738	1994-10-31	PRIJEM	\N	200	41048	UROK	\N	\N
3653798	3738	1994-11-30	PRIJEM	\N	201	43319	UROK	\N	\N
3653799	3738	1994-12-31	PRIJEM	\N	228	43343	UROK	\N	\N
3653800	3738	1995-01-31	PRIJEM	\N	196	39988	UROK	\N	\N
3653801	3738	1995-02-28	PRIJEM	\N	196	43854	UROK	\N	\N
3653802	3738	1995-03-31	PRIJEM	\N	210	44333	UROK	\N	\N
3653803	3738	1995-04-30	PRIJEM	\N	211	44813	UROK	\N	\N
3653804	3738	1995-05-31	PRIJEM	\N	211	44193	UROK	\N	\N
3653805	3738	1995-06-30	PRIJEM	\N	207	44717	UROK	\N	\N
3653806	3738	1995-07-31	PRIJEM	\N	199	46565	UROK	\N	\N
3653807	3738	1995-08-31	PRIJEM	\N	213	45748	UROK	\N	\N
3653808	3738	1995-09-30	PRIJEM	\N	210	46027	UROK	\N	\N
3653809	3738	1995-10-31	PRIJEM	\N	208	43564	UROK	\N	\N
3653810	3738	1995-11-30	PRIJEM	\N	199	44012	UROK	\N	\N
3653811	3738	1995-12-31	PRIJEM	\N	203	43451	UROK	\N	\N
3653812	3738	1996-01-31	PRIJEM	\N	162	35543	UROK	\N	\N
3653813	3738	1996-02-29	PRIJEM	\N	169	39982	UROK	\N	\N
3653814	3738	1996-03-31	PRIJEM	\N	183	41534	UROK	\N	\N
3653815	3738	1996-04-30	PRIJEM	\N	187	42291	UROK	\N	\N
3653816	3738	1996-05-31	PRIJEM	\N	195	45855	UROK	\N	\N
3653817	3738	1996-06-30	PRIJEM	\N	190	35242	UROK	\N	\N
3653818	3738	1996-07-31	PRIJEM	\N	169	40980	UROK	\N	\N
3653819	3738	1996-08-31	PRIJEM	\N	171	34840	UROK	\N	\N
3653820	3738	1996-09-30	PRIJEM	\N	153	36242	UROK	\N	\N
3653821	3738	1996-10-31	PRIJEM	\N	157	36568	UROK	\N	\N
3653822	3738	1996-11-30	PRIJEM	\N	153	35290	UROK	\N	\N
3653823	3738	1996-12-31	PRIJEM	\N	176	42463	UROK	\N	\N
3653824	3738	1997-01-31	PRIJEM	\N	148	32560	UROK	\N	\N
3653825	3738	1997-02-28	PRIJEM	\N	143	35553	UROK	\N	\N
3653826	3738	1997-03-31	PRIJEM	\N	158	38481	UROK	\N	\N
3653827	3738	1997-04-30	PRIJEM	\N	165	40115	UROK	\N	\N
3653828	3738	1997-05-31	PRIJEM	\N	177	43461	UROK	\N	\N
3653829	3738	1997-06-30	PRIJEM	\N	190	39248	UROK	\N	\N
3653830	3738	1997-07-31	PRIJEM	\N	168	41825	UROK	\N	\N
3653831	3738	1997-08-31	PRIJEM	\N	171	42166	UROK	\N	\N
3653832	3738	1997-09-30	PRIJEM	\N	195	48050	UROK	\N	\N
3653833	3738	1997-10-31	PRIJEM	\N	199	50019	UROK	\N	\N
3653834	3738	1997-11-30	PRIJEM	\N	201	49109	UROK	\N	\N
3653835	3738	1997-12-31	PRIJEM	\N	227	58812	UROK	\N	\N
3653836	3738	1998-01-31	PRIJEM	\N	201	40542	UROK	\N	\N
3653837	3738	1998-02-28	PRIJEM	\N	154	40266	UROK	\N	\N
3653838	3738	1998-03-31	PRIJEM	\N	177	46312	UROK	\N	\N
3653839	3738	1998-04-30	PRIJEM	\N	181	44863	UROK	\N	\N
3653840	3738	1998-05-31	PRIJEM	\N	165	38657	UROK	\N	\N
3653841	3738	1998-06-30	PRIJEM	\N	143	29016	UROK	\N	\N
3653842	3738	1998-07-31	PRIJEM	\N	133	36819	UROK	\N	\N
3653843	3738	1998-08-31	PRIJEM	\N	160	41228	UROK	\N	\N
3653844	3738	1998-09-30	PRIJEM	\N	175	46473	UROK	\N	\N
3653845	3738	1998-10-31	PRIJEM	\N	177	45819	UROK	\N	\N
3653846	3738	1998-11-30	PRIJEM	\N	165	42353	UROK	\N	\N
3653847	3738	1998-12-31	PRIJEM	\N	199	51969	UROK	\N	\N
3653848	3741	1996-09-30	PRIJEM	\N	31	16173	UROK	\N	\N
3653849	3741	1996-10-31	PRIJEM	\N	78	21594	UROK	\N	\N
3653850	3741	1996-11-30	PRIJEM	\N	104	28640	UROK	\N	\N
3653851	3741	1996-12-31	PRIJEM	\N	132	34584	UROK	\N	\N
3653852	3741	1997-01-31	PRIJEM	\N	137	25635	UROK	\N	\N
3653853	3741	1997-02-28	PRIJEM	\N	111	27046	UROK	\N	\N
3653854	3741	1997-03-31	PRIJEM	\N	113	26358	UROK	\N	\N
3653855	3741	1997-04-30	PRIJEM	\N	110	25768	UROK	\N	\N
3653856	3741	1997-05-31	PRIJEM	\N	118	29985	UROK	\N	\N
3653857	3741	1997-06-30	PRIJEM	\N	139	34595	UROK	\N	\N
3653858	3741	1997-07-31	PRIJEM	\N	139	32134	UROK	\N	\N
3653859	3741	1997-08-31	PRIJEM	\N	132	30965	UROK	\N	\N
3653860	3741	1997-09-30	PRIJEM	\N	133	32096	UROK	\N	\N
3653861	3741	1997-10-31	PRIJEM	\N	123	27919	UROK	\N	\N
3653862	3741	1997-11-30	PRIJEM	\N	122	30040	UROK	\N	\N
3653863	3741	1997-12-31	PRIJEM	\N	132	31043	UROK	\N	\N
3653864	3741	1998-01-31	PRIJEM	\N	106	22548	UROK	\N	\N
3653865	3741	1998-02-28	PRIJEM	\N	116	26264	UROK	\N	\N
3653866	3741	1998-03-31	PRIJEM	\N	111	26774	UROK	\N	\N
3653867	3741	1998-04-30	PRIJEM	\N	100	21574	UROK	\N	\N
3653868	3741	1998-05-31	PRIJEM	\N	83	19256	UROK	\N	\N
3653869	3741	1998-06-30	PRIJEM	\N	95	20622	UROK	\N	\N
3653870	3741	1998-07-31	PRIJEM	\N	92	18813	UROK	\N	\N
3653871	3741	1998-08-31	PRIJEM	\N	88	21901	UROK	\N	\N
3653872	3741	1998-09-30	PRIJEM	\N	77	17577	UROK	\N	\N
3653873	3741	1998-10-31	PRIJEM	\N	80	19356	UROK	\N	\N
3653874	3741	1998-11-30	PRIJEM	\N	79	18534	UROK	\N	\N
3653875	3741	1998-12-31	PRIJEM	\N	90	21594	UROK	\N	\N
3653876	3742	1997-05-31	PRIJEM	\N	14	5468	UROK	\N	\N
3653877	3742	1997-06-30	PRIJEM	\N	23	9945	UROK	\N	\N
3653878	3742	1997-07-31	PRIJEM	\N	23	14421	UROK	\N	\N
3653879	3742	1997-08-31	PRIJEM	\N	23	18898	UROK	\N	\N
3653880	3742	1997-09-30	PRIJEM	\N	67	20450	UROK	\N	\N
3653881	3742	1997-10-31	PRIJEM	\N	89	22010	UROK	\N	\N
3653882	3742	1997-11-30	PRIJEM	\N	89	21249	UROK	\N	\N
3653883	3742	1997-12-31	PRIJEM	\N	91	22010	UROK	\N	\N
3653884	3742	1998-01-31	PRIJEM	\N	95	23576	UROK	\N	\N
3653885	3742	1998-02-28	PRIJEM	\N	102	25148	UROK	\N	\N
3653886	3742	1998-03-31	PRIJEM	\N	111	26329	UROK	\N	\N
3653887	3742	1998-04-30	PRIJEM	\N	113	27912	UROK	\N	\N
3653888	3742	1998-05-31	PRIJEM	\N	114	27177	UROK	\N	\N
3653889	3742	1998-06-30	PRIJEM	\N	89	17486	UROK	\N	\N
3653890	3742	1998-07-31	PRIJEM	\N	77	19033	UROK	\N	\N
3653891	3742	1998-08-31	PRIJEM	\N	80	18504	UROK	\N	\N
3653892	3742	1998-09-30	PRIJEM	\N	81	20055	UROK	\N	\N
3653893	3742	1998-10-31	PRIJEM	\N	94	21620	UROK	\N	\N
3653894	3742	1998-11-30	PRIJEM	\N	99	20229	UROK	\N	\N
3653895	3742	1998-12-31	PRIJEM	\N	84	17953	UROK	\N	\N
3653896	3743	1996-04-30	PRIJEM	\N	32	22822	UROK	\N	\N
3653897	3743	1996-05-31	PRIJEM	\N	112	34624	UROK	\N	\N
3653898	3743	1996-06-30	PRIJEM	\N	156	42915	UROK	\N	\N
3653899	3743	1996-07-31	PRIJEM	\N	176	41681	UROK	\N	\N
3653900	3743	1996-08-31	PRIJEM	\N	183	37664	UROK	\N	\N
3653901	3743	1996-09-30	PRIJEM	\N	158	34073	UROK	\N	\N
3653902	3743	1996-10-31	PRIJEM	\N	130	28153	UROK	\N	\N
3653903	3743	1996-11-30	PRIJEM	\N	119	27923	UROK	\N	\N
3653904	3743	1996-12-31	PRIJEM	\N	127	27445	UROK	\N	\N
3653905	3743	1997-01-31	PRIJEM	\N	101	16396	UROK	\N	\N
3653906	3743	1997-02-28	PRIJEM	\N	72	16118	UROK	\N	\N
3653907	3743	1997-03-31	PRIJEM	\N	69	14137	UROK	\N	\N
3653908	3743	1997-04-30	PRIJEM	\N	72	18660	UROK	\N	\N
3653909	3743	1997-05-31	PRIJEM	\N	80	17990	UROK	\N	\N
3653910	3743	1997-06-30	PRIJEM	\N	90	22375	UROK	\N	\N
3653911	3743	1997-07-31	PRIJEM	\N	76	14002	UROK	\N	\N
3653912	3743	1997-08-31	PRIJEM	\N	82	24234	UROK	\N	\N
3653913	3743	1997-09-30	PRIJEM	\N	70	13754	UROK	\N	\N
3653914	3743	1997-10-31	PRIJEM	\N	93	28097	UROK	\N	\N
3653915	3743	1997-11-30	PRIJEM	\N	152	42499	UROK	\N	\N
3653916	3743	1997-12-31	PRIJEM	\N	232	66126	UROK	\N	\N
3653917	3743	1998-01-31	PRIJEM	\N	191	32968	UROK	\N	\N
3653918	3743	1998-02-28	PRIJEM	\N	168	45287	UROK	\N	\N
3653919	3743	1998-03-31	PRIJEM	\N	224	59761	UROK	\N	\N
3653920	3743	1998-04-30	PRIJEM	\N	271	69482	UROK	\N	\N
3653921	3743	1998-05-31	PRIJEM	\N	198	39431	UROK	\N	\N
3653922	3743	1998-06-30	PRIJEM	\N	199	57925	UROK	\N	\N
3653923	3743	1998-07-31	PRIJEM	\N	166	35242	UROK	\N	\N
3653924	3743	1998-08-31	PRIJEM	\N	181	49673	UROK	\N	\N
3653925	3743	1998-09-30	PRIJEM	\N	238	63461	UROK	\N	\N
3653926	3743	1998-10-31	PRIJEM	\N	159	34971	UROK	\N	\N
3653927	3743	1998-11-30	PRIJEM	\N	175	47096	UROK	\N	\N
3653928	3743	1998-12-31	PRIJEM	\N	228	63219	UROK	\N	\N
3653996	3745	1993-08-31	PRIJEM	\N	95	27253	UROK	\N	\N
3653997	3745	1993-09-30	PRIJEM	\N	194	50505	UROK	\N	\N
3653998	3745	1993-10-31	PRIJEM	\N	254	63216	UROK	\N	\N
3653999	3745	1993-11-30	PRIJEM	\N	281	68655	UROK	\N	\N
3654000	3745	1993-12-31	PRIJEM	\N	295	68828	UROK	\N	\N
3654001	3745	1994-01-31	PRIJEM	\N	168	30428	UROK	\N	\N
3654002	3745	1994-02-28	PRIJEM	\N	131	26193	UROK	\N	\N
3654003	3745	1994-03-31	PRIJEM	\N	144	31430	UROK	\N	\N
3654004	3745	1994-04-30	PRIJEM	\N	171	40490	UROK	\N	\N
3654005	3745	1994-05-31	PRIJEM	\N	184	35607	UROK	\N	\N
3654006	3745	1994-06-30	PRIJEM	\N	199	45345	UROK	\N	\N
3654007	3745	1994-07-31	PRIJEM	\N	199	42377	UROK	\N	\N
3654008	3745	1994-08-31	PRIJEM	\N	202	37180	UROK	\N	\N
3654009	3745	1994-09-30	PRIJEM	\N	174	30363	UROK	\N	\N
3654010	3745	1994-10-31	PRIJEM	\N	151	26741	UROK	\N	\N
3654011	3745	1994-11-30	PRIJEM	\N	128	34802	UROK	\N	\N
3654012	3745	1994-12-31	PRIJEM	\N	212	44176	UROK	\N	\N
3654013	3745	1995-01-31	PRIJEM	\N	133	27642	UROK	\N	\N
3654014	3745	1995-02-28	PRIJEM	\N	159	41934	UROK	\N	\N
3654015	3745	1995-03-31	PRIJEM	\N	216	50783	UROK	\N	\N
3654016	3745	1995-04-30	PRIJEM	\N	248	54465	UROK	\N	\N
3654017	3745	1995-05-31	PRIJEM	\N	262	57060	UROK	\N	\N
3654018	3745	1995-06-30	PRIJEM	\N	308	65530	UROK	\N	\N
3654019	3745	1995-07-31	PRIJEM	\N	290	55854	UROK	\N	\N
3654020	3745	1995-08-31	PRIJEM	\N	265	58852	UROK	\N	\N
3654021	3745	1995-09-30	PRIJEM	\N	274	59860	UROK	\N	\N
3654022	3745	1995-10-31	PRIJEM	\N	273	57266	UROK	\N	\N
3654023	3745	1995-11-30	PRIJEM	\N	234	47420	UROK	\N	\N
3654024	3745	1995-12-31	PRIJEM	\N	255	50637	UROK	\N	\N
3654025	3745	1996-01-31	PRIJEM	\N	181	34851	UROK	\N	\N
3654026	3745	1996-02-29	PRIJEM	\N	185	46870	UROK	\N	\N
3654027	3745	1996-03-31	PRIJEM	\N	225	51628	UROK	\N	\N
3654028	3745	1996-04-30	PRIJEM	\N	223	50016	UROK	\N	\N
3654029	3745	1996-05-31	PRIJEM	\N	216	38941	UROK	\N	\N
3654030	3745	1996-06-30	PRIJEM	\N	224	51427	UROK	\N	\N
3654031	3745	1996-07-31	PRIJEM	\N	243	59315	UROK	\N	\N
3654032	3745	1996-08-31	PRIJEM	\N	265	62740	UROK	\N	\N
3654033	3745	1996-09-30	PRIJEM	\N	259	46527	UROK	\N	\N
3654034	3745	1996-10-31	PRIJEM	\N	197	39573	UROK	\N	\N
3654035	3745	1996-11-30	PRIJEM	\N	213	56318	UROK	\N	\N
3654036	3745	1996-12-31	PRIJEM	\N	300	71081	UROK	\N	\N
3654037	3745	1997-01-31	PRIJEM	\N	228	31389	UROK	\N	\N
3654038	3745	1997-02-28	PRIJEM	\N	194	55416	UROK	\N	\N
3654039	3745	1997-03-31	PRIJEM	\N	270	68319	UROK	\N	\N
3654040	3745	1997-04-30	PRIJEM	\N	316	77869	UROK	\N	\N
3654041	3745	1997-05-31	PRIJEM	\N	249	39512	UROK	\N	\N
3654042	3745	1997-06-30	PRIJEM	\N	257	58332	UROK	\N	\N
3654043	3745	1997-07-31	PRIJEM	\N	267	67132	UROK	\N	\N
3654044	3745	1997-08-31	PRIJEM	\N	277	59663	UROK	\N	\N
3654045	3745	1997-09-30	PRIJEM	\N	255	57475	UROK	\N	\N
3654046	3745	1997-10-31	PRIJEM	\N	285	50371	UROK	\N	\N
3654047	3745	1997-11-30	PRIJEM	\N	288	78293	UROK	\N	\N
3654048	3745	1997-12-31	PRIJEM	\N	370	91425	UROK	\N	\N
3654049	3745	1998-01-31	PRIJEM	\N	315	48448	UROK	\N	\N
3654050	3745	1998-02-28	PRIJEM	\N	263	59645	UROK	\N	\N
3654051	3745	1998-03-31	PRIJEM	\N	252	56816	UROK	\N	\N
3654052	3745	1998-04-30	PRIJEM	\N	330	87480	UROK	\N	\N
3654053	3745	1998-05-31	PRIJEM	\N	413	104826	UROK	\N	\N
3654054	3745	1998-06-30	PRIJEM	\N	418	97700	UROK	\N	\N
3654055	3745	1998-07-31	PRIJEM	\N	324	53064	UROK	\N	\N
3654056	3745	1998-08-31	PRIJEM	\N	328	82326	UROK	\N	\N
3654057	3745	1998-09-30	PRIJEM	\N	334	72233	UROK	\N	\N
3654058	3745	1998-10-31	PRIJEM	\N	366	83504	UROK	\N	\N
3654059	3745	1998-11-30	PRIJEM	\N	382	88517	UROK	\N	\N
3654060	3745	1998-12-31	PRIJEM	\N	330	55575	UROK	\N	\N
3654061	3746	1996-06-30	PRIJEM	\N	103	29641	UROK	\N	\N
3654062	3746	1996-07-31	PRIJEM	\N	184	47150	UROK	\N	\N
3654063	3746	1996-08-31	PRIJEM	\N	222	54696	UROK	\N	\N
3654064	3746	1996-09-30	PRIJEM	\N	248	60769	UROK	\N	\N
3654065	3746	1996-10-31	PRIJEM	\N	240	55305	UROK	\N	\N
3654066	3746	1996-11-30	PRIJEM	\N	241	55748	UROK	\N	\N
3654067	3746	1996-12-31	PRIJEM	\N	287	69370	UROK	\N	\N
3654068	3746	1997-01-31	PRIJEM	\N	262	53893	UROK	\N	\N
3654069	3746	1997-02-28	PRIJEM	\N	263	68257	UROK	\N	\N
3654070	3746	1997-03-31	PRIJEM	\N	290	69369	UROK	\N	\N
3654071	3746	1997-04-30	PRIJEM	\N	272	66382	UROK	\N	\N
3654072	3746	1997-05-31	PRIJEM	\N	266	56830	UROK	\N	\N
3654073	3746	1997-06-30	PRIJEM	\N	287	60651	UROK	\N	\N
3654074	3746	1997-07-31	PRIJEM	\N	289	64841	UROK	\N	\N
3654075	3746	1997-08-31	PRIJEM	\N	303	65145	UROK	\N	\N
3654076	3746	1997-09-30	PRIJEM	\N	303	64849	UROK	\N	\N
3654077	3746	1997-10-31	PRIJEM	\N	303	69254	UROK	\N	\N
3654078	3746	1997-11-30	PRIJEM	\N	316	70992	UROK	\N	\N
3654079	3746	1997-12-31	PRIJEM	\N	346	71672	UROK	\N	\N
3654080	3746	1998-01-31	PRIJEM	\N	306	67440	UROK	\N	\N
3654081	3746	1998-02-28	PRIJEM	\N	313	74655	UROK	\N	\N
3654082	3746	1998-03-31	PRIJEM	\N	332	77648	UROK	\N	\N
3654083	3746	1998-04-30	PRIJEM	\N	350	77399	UROK	\N	\N
3654084	3746	1998-05-31	PRIJEM	\N	354	78355	UROK	\N	\N
3654085	3746	1998-06-30	PRIJEM	\N	293	65422	UROK	\N	\N
3654086	3746	1998-07-31	PRIJEM	\N	304	72827	UROK	\N	\N
3654087	3746	1998-08-31	PRIJEM	\N	324	72012	UROK	\N	\N
3654088	3746	1998-09-30	PRIJEM	\N	326	76740	UROK	\N	\N
3654089	3746	1998-10-31	PRIJEM	\N	351	77832	UROK	\N	\N
3654090	3746	1998-11-30	PRIJEM	\N	351	84084	UROK	\N	\N
3654091	3746	1998-12-31	PRIJEM	\N	421	104120	UROK	\N	\N
3654092	3747	1994-05-31	PRIJEM	\N	36	9710	UROK	\N	\N
3654093	3747	1994-06-30	PRIJEM	\N	72	29943	UROK	\N	\N
3654094	3747	1994-07-31	PRIJEM	\N	114	29531	UROK	\N	\N
3654095	3747	1994-08-31	PRIJEM	\N	124	33129	UROK	\N	\N
3654096	3747	1994-09-30	PRIJEM	\N	125	27412	UROK	\N	\N
3654097	3747	1994-10-31	PRIJEM	\N	111	15867	UROK	\N	\N
3654098	3747	1994-11-30	PRIJEM	\N	80	22690	UROK	\N	\N
3654099	3747	1994-12-31	PRIJEM	\N	111	23171	UROK	\N	\N
3654100	3747	1995-01-31	PRIJEM	\N	71	15761	UROK	\N	\N
3654101	3747	1995-02-28	PRIJEM	\N	65	17104	UROK	\N	\N
3654102	3747	1995-03-31	PRIJEM	\N	69	17151	UROK	\N	\N
3654103	3747	1995-04-30	PRIJEM	\N	68	15497	UROK	\N	\N
3654104	3747	1995-05-31	PRIJEM	\N	62	14738	UROK	\N	\N
3654105	3747	1995-06-30	PRIJEM	\N	74	18977	UROK	\N	\N
3654106	3747	1995-07-31	PRIJEM	\N	69	17244	UROK	\N	\N
3654107	3747	1995-08-31	PRIJEM	\N	72	18094	UROK	\N	\N
3654108	3747	1995-09-30	PRIJEM	\N	78	20650	UROK	\N	\N
3654109	3747	1995-10-31	PRIJEM	\N	83	19051	UROK	\N	\N
3654110	3747	1995-11-30	PRIJEM	\N	76	16606	UROK	\N	\N
3654111	3747	1995-12-31	PRIJEM	\N	81	16173	UROK	\N	\N
3654112	3747	1996-01-31	PRIJEM	\N	48	10503	UROK	\N	\N
3654113	3747	1996-02-29	PRIJEM	\N	47	5894	UROK	\N	\N
3654114	3747	1996-03-31	PRIJEM	\N	37	10235	UROK	\N	\N
3654115	3747	1996-04-30	PRIJEM	\N	54	17632	UROK	\N	\N
3654116	3747	1996-05-31	PRIJEM	\N	84	19659	UROK	\N	\N
3654117	3747	1996-06-30	PRIJEM	\N	88	18078	UROK	\N	\N
3654118	3747	1996-07-31	PRIJEM	\N	78	7799	UROK	\N	\N
3654119	3747	1996-08-31	PRIJEM	\N	51	13893	UROK	\N	\N
3654120	3747	1996-09-30	PRIJEM	\N	61	14697	UROK	\N	\N
3654121	3747	1996-10-31	PRIJEM	\N	55	13296	UROK	\N	\N
3654122	3747	1996-11-30	PRIJEM	\N	54	8294	UROK	\N	\N
3654123	3747	1996-12-31	PRIJEM	\N	52	13476	UROK	\N	\N
3654124	3747	1997-01-31	PRIJEM	\N	52	13052	UROK	\N	\N
3654125	3747	1997-02-28	PRIJEM	\N	58	11953	UROK	\N	\N
3654126	3747	1997-03-31	PRIJEM	\N	43	8439	UROK	\N	\N
3654127	3747	1997-04-30	PRIJEM	\N	27	5109	UROK	\N	\N
3654128	3747	1997-05-31	PRIJEM	\N	31	3784	UROK	\N	\N
3654129	3747	1997-06-30	PRIJEM	\N	41	10956	UROK	\N	\N
3654130	3747	1997-07-31	PRIJEM	\N	48	8846	UROK	\N	\N
3654131	3747	1997-08-31	PRIJEM	\N	48	11738	UROK	\N	\N
3654132	3747	1997-09-30	PRIJEM	\N	50	9331	UROK	\N	\N
3654133	3747	1997-10-31	PRIJEM	\N	67	18641	UROK	\N	\N
3654134	3747	1997-11-30	PRIJEM	\N	98	21783	UROK	\N	\N
3654135	3747	1997-12-31	PRIJEM	\N	96	20009	UROK	\N	\N
3654136	3747	1998-01-31	PRIJEM	\N	77	12950	UROK	\N	\N
3654137	3747	1998-02-28	PRIJEM	\N	59	8252	UROK	\N	\N
3654138	3747	1998-03-31	PRIJEM	\N	44	11140	UROK	\N	\N
3654139	3747	1998-04-30	PRIJEM	\N	56	14039	UROK	\N	\N
3654140	3747	1998-05-31	PRIJEM	\N	66	10148	UROK	\N	\N
3654141	3747	1998-06-30	PRIJEM	\N	66	17344	UROK	\N	\N
3654142	3747	1998-07-31	PRIJEM	\N	59	13546	UROK	\N	\N
3654143	3747	1998-08-31	PRIJEM	\N	65	16454	UROK	\N	\N
3654144	3747	1998-09-30	PRIJEM	\N	63	14560	UROK	\N	\N
3654145	3747	1998-10-31	PRIJEM	\N	68	17472	UROK	\N	\N
3654146	3747	1998-11-30	PRIJEM	\N	59	15174	UROK	\N	\N
3654147	3747	1998-12-31	PRIJEM	\N	73	17078	UROK	\N	\N
3654148	3748	1993-12-31	PRIJEM	\N	40	16692	UROK	\N	\N
3654149	3748	1994-01-31	PRIJEM	\N	62	13514	UROK	\N	\N
3654150	3748	1994-02-28	PRIJEM	\N	57	13450	UROK	\N	\N
3654151	3748	1994-03-31	PRIJEM	\N	59	14349	UROK	\N	\N
3654152	3748	1994-04-30	PRIJEM	\N	62	14200	UROK	\N	\N
3654153	3748	1994-05-31	PRIJEM	\N	62	15041	UROK	\N	\N
3654154	3748	1994-06-30	PRIJEM	\N	66	16156	UROK	\N	\N
3654155	3748	1994-07-31	PRIJEM	\N	71	17276	UROK	\N	\N
3654156	3748	1994-08-31	PRIJEM	\N	69	16984	UROK	\N	\N
3654157	3748	1994-09-30	PRIJEM	\N	72	17146	UROK	\N	\N
3654158	3748	1994-10-31	PRIJEM	\N	75	18270	UROK	\N	\N
3654159	3748	1994-11-30	PRIJEM	\N	79	19399	UROK	\N	\N
3654160	3748	1994-12-31	PRIJEM	\N	82	20350	UROK	\N	\N
3654161	3748	1995-01-31	PRIJEM	\N	75	16585	UROK	\N	\N
3654162	3748	1995-02-28	PRIJEM	\N	72	17706	UROK	\N	\N
3654163	3748	1995-03-31	PRIJEM	\N	77	18832	UROK	\N	\N
3654164	3748	1995-04-30	PRIJEM	\N	81	19392	UROK	\N	\N
3654165	3748	1995-05-31	PRIJEM	\N	83	20075	UROK	\N	\N
3654166	3748	1995-06-30	PRIJEM	\N	78	13402	UROK	\N	\N
3654167	3748	1995-07-31	PRIJEM	\N	58	13759	UROK	\N	\N
3654168	3748	1995-08-31	PRIJEM	\N	60	14869	UROK	\N	\N
3654169	3748	1995-09-30	PRIJEM	\N	64	14513	UROK	\N	\N
3654170	3748	1995-10-31	PRIJEM	\N	64	15625	UROK	\N	\N
3654171	3748	1995-11-30	PRIJEM	\N	68	16743	UROK	\N	\N
3654172	3748	1995-12-31	PRIJEM	\N	72	17324	UROK	\N	\N
3654173	3748	1996-01-31	PRIJEM	\N	64	14028	UROK	\N	\N
3654174	3748	1996-02-29	PRIJEM	\N	61	15138	UROK	\N	\N
3654175	3748	1996-03-31	PRIJEM	\N	66	16254	UROK	\N	\N
3654176	3748	1996-04-30	PRIJEM	\N	71	17374	UROK	\N	\N
3654177	3748	1996-05-31	PRIJEM	\N	74	18137	UROK	\N	\N
3654178	3748	1996-06-30	PRIJEM	\N	73	16500	UROK	\N	\N
3654179	3748	1996-07-31	PRIJEM	\N	72	17621	UROK	\N	\N
3654180	3748	1996-08-31	PRIJEM	\N	76	18596	UROK	\N	\N
3654181	3748	1996-09-30	PRIJEM	\N	78	19004	UROK	\N	\N
3654182	3748	1996-10-31	PRIJEM	\N	82	20135	UROK	\N	\N
3654183	3748	1996-11-30	PRIJEM	\N	82	19586	UROK	\N	\N
3654184	3748	1996-12-31	PRIJEM	\N	80	19875	UROK	\N	\N
3654185	3748	1997-01-31	PRIJEM	\N	76	17011	UROK	\N	\N
3654186	3748	1997-02-28	PRIJEM	\N	73	18134	UROK	\N	\N
3654187	3748	1997-03-31	PRIJEM	\N	74	16357	UROK	\N	\N
3654188	3748	1997-04-30	PRIJEM	\N	67	16003	UROK	\N	\N
3654189	3748	1997-05-31	PRIJEM	\N	67	16040	UROK	\N	\N
3654190	3748	1997-06-30	PRIJEM	\N	69	17158	UROK	\N	\N
3654191	3748	1997-07-31	PRIJEM	\N	71	16519	UROK	\N	\N
3654192	3748	1997-08-31	PRIJEM	\N	69	16707	UROK	\N	\N
3654193	3748	1997-09-30	PRIJEM	\N	70	16807	UROK	\N	\N
3654194	3748	1997-10-31	PRIJEM	\N	72	17928	UROK	\N	\N
3654195	3748	1997-11-30	PRIJEM	\N	77	19054	UROK	\N	\N
3654196	3748	1997-12-31	PRIJEM	\N	80	19764	UROK	\N	\N
3654197	3748	1998-01-31	PRIJEM	\N	73	17616	UROK	\N	\N
3654198	3748	1998-02-28	PRIJEM	\N	75	18740	UROK	\N	\N
3654199	3748	1998-03-31	PRIJEM	\N	80	19870	UROK	\N	\N
3654200	3748	1998-04-30	PRIJEM	\N	85	21004	UROK	\N	\N
3654201	3748	1998-05-31	PRIJEM	\N	84	19737	UROK	\N	\N
3654202	3748	1998-06-30	PRIJEM	\N	80	19066	UROK	\N	\N
3654203	3748	1998-07-31	PRIJEM	\N	81	20196	UROK	\N	\N
3654204	3748	1998-08-31	PRIJEM	\N	86	21331	UROK	\N	\N
3654205	3748	1998-09-30	PRIJEM	\N	84	19864	UROK	\N	\N
3654206	3748	1998-10-31	PRIJEM	\N	80	19293	UROK	\N	\N
3654207	3748	1998-11-30	PRIJEM	\N	72	16914	UROK	\N	\N
3654208	3748	1998-12-31	PRIJEM	\N	68	16592	UROK	\N	\N
3654209	3749	1996-09-30	PRIJEM	\N	81	26727	UROK	\N	\N
3654210	3749	1996-10-31	PRIJEM	\N	143	37016	UROK	\N	\N
3654211	3749	1996-11-30	PRIJEM	\N	172	42834	UROK	\N	\N
3654212	3749	1996-12-31	PRIJEM	\N	217	55120	UROK	\N	\N
3654213	3749	1997-01-31	PRIJEM	\N	262	64625	UROK	\N	\N
3654214	3749	1997-02-28	PRIJEM	\N	285	68537	UROK	\N	\N
3654215	3749	1997-03-31	PRIJEM	\N	271	56735	UROK	\N	\N
3654216	3749	1997-04-30	PRIJEM	\N	261	63723	UROK	\N	\N
3654217	3749	1997-05-31	PRIJEM	\N	278	67029	UROK	\N	\N
3654218	3749	1997-06-30	PRIJEM	\N	322	79801	UROK	\N	\N
3654219	3749	1997-07-31	PRIJEM	\N	319	74188	UROK	\N	\N
3654220	3749	1997-08-31	PRIJEM	\N	281	63936	UROK	\N	\N
3654221	3749	1997-09-30	PRIJEM	\N	282	68146	UROK	\N	\N
3654222	3749	1997-10-31	PRIJEM	\N	279	66132	UROK	\N	\N
3654223	3749	1997-11-30	PRIJEM	\N	284	68043	UROK	\N	\N
3654224	3749	1997-12-31	PRIJEM	\N	304	71697	UROK	\N	\N
3654225	3749	1998-01-31	PRIJEM	\N	299	71024	UROK	\N	\N
3654226	3749	1998-02-28	PRIJEM	\N	284	66635	UROK	\N	\N
3654227	3749	1998-03-31	PRIJEM	\N	257	61819	UROK	\N	\N
3654228	3749	1998-04-30	PRIJEM	\N	261	62407	UROK	\N	\N
3654229	3749	1998-05-31	PRIJEM	\N	245	57480	UROK	\N	\N
3654230	3749	1998-06-30	PRIJEM	\N	286	70417	UROK	\N	\N
3654231	3749	1998-07-31	PRIJEM	\N	271	64015	UROK	\N	\N
3654232	3749	1998-08-31	PRIJEM	\N	224	39767	UROK	\N	\N
3654233	3749	1998-09-30	PRIJEM	\N	207	36301	UROK	\N	\N
3654234	3749	1998-10-31	PRIJEM	\N	191	33120	UROK	\N	\N
3654235	3749	1998-11-30	PRIJEM	\N	177	31524	UROK	\N	\N
3654236	3749	1998-12-31	PRIJEM	\N	208	60582	UROK	\N	\N
3654237	3750	1995-04-30	PRIJEM	\N	47	24180	UROK	\N	\N
3654238	3750	1995-05-31	PRIJEM	\N	117	32330	UROK	\N	\N
3654239	3750	1995-06-30	PRIJEM	\N	152	40731	UROK	\N	\N
3654240	3750	1995-07-31	PRIJEM	\N	168	40332	UROK	\N	\N
3654241	3750	1995-08-31	PRIJEM	\N	157	28928	UROK	\N	\N
3654242	3750	1995-09-30	PRIJEM	\N	145	31977	UROK	\N	\N
3654243	3750	1995-10-31	PRIJEM	\N	136	32557	UROK	\N	\N
3654244	3750	1995-11-30	PRIJEM	\N	132	31033	UROK	\N	\N
3654245	3750	1995-12-31	PRIJEM	\N	141	31995	UROK	\N	\N
3654246	3750	1996-01-31	PRIJEM	\N	111	17510	UROK	\N	\N
3654247	3750	1996-02-29	PRIJEM	\N	86	17361	UROK	\N	\N
3654248	3750	1996-03-31	PRIJEM	\N	69	15234	UROK	\N	\N
3654249	3750	1996-04-30	PRIJEM	\N	78	19296	UROK	\N	\N
3654250	3750	1996-05-31	PRIJEM	\N	65	15465	UROK	\N	\N
3654251	3750	1996-06-30	PRIJEM	\N	106	28732	UROK	\N	\N
3654252	3750	1996-07-31	PRIJEM	\N	114	26091	UROK	\N	\N
3654253	3750	1996-08-31	PRIJEM	\N	102	20678	UROK	\N	\N
3654254	3750	1996-09-30	PRIJEM	\N	91	20633	UROK	\N	\N
3654255	3750	1996-10-31	PRIJEM	\N	87	19584	UROK	\N	\N
3654256	3750	1996-11-30	PRIJEM	\N	115	27944	UROK	\N	\N
3654257	3750	1996-12-31	PRIJEM	\N	151	35756	UROK	\N	\N
3654258	3750	1997-01-31	PRIJEM	\N	107	14067	UROK	\N	\N
3654259	3750	1997-02-28	PRIJEM	\N	141	36153	UROK	\N	\N
3654260	3750	1997-03-31	PRIJEM	\N	161	37558	UROK	\N	\N
3654261	3750	1997-04-30	PRIJEM	\N	163	37425	UROK	\N	\N
3654262	3750	1997-05-31	PRIJEM	\N	178	41847	UROK	\N	\N
3654263	3750	1997-06-30	PRIJEM	\N	254	41822	UROK	\N	\N
3654264	3750	1997-07-31	PRIJEM	\N	218	50765	UROK	\N	\N
3654265	3750	1997-08-31	PRIJEM	\N	250	60059	UROK	\N	\N
3654266	3750	1997-09-30	PRIJEM	\N	270	64173	UROK	\N	\N
3654267	3750	1997-10-31	PRIJEM	\N	278	65696	UROK	\N	\N
3654268	3750	1997-11-30	PRIJEM	\N	258	61658	UROK	\N	\N
3654269	3750	1997-12-31	PRIJEM	\N	308	72827	UROK	\N	\N
3654270	3750	1998-01-31	PRIJEM	\N	228	48000	UROK	\N	\N
3654271	3750	1998-02-28	PRIJEM	\N	209	52114	UROK	\N	\N
3654272	3750	1998-03-31	PRIJEM	\N	252	60710	UROK	\N	\N
3654273	3750	1998-04-30	PRIJEM	\N	266	63021	UROK	\N	\N
3654274	3750	1998-05-31	PRIJEM	\N	275	65740	UROK	\N	\N
3654275	3750	1998-06-30	PRIJEM	\N	283	67944	UROK	\N	\N
3654276	3750	1998-07-31	PRIJEM	\N	256	51225	UROK	\N	\N
3654277	3750	1998-08-31	PRIJEM	\N	238	49607	UROK	\N	\N
3654278	3750	1998-09-30	PRIJEM	\N	226	42498	UROK	\N	\N
3654279	3750	1998-10-31	PRIJEM	\N	198	39641	UROK	\N	\N
3654280	3750	1998-11-30	PRIJEM	\N	199	39764	UROK	\N	\N
3654281	3750	1998-12-31	PRIJEM	\N	241	60006	UROK	\N	\N
3654282	3751	1993-10-31	PRIJEM	\N	50	22119	UROK	\N	\N
3654283	3751	1993-11-30	PRIJEM	\N	122	34710	UROK	\N	\N
3654284	3751	1993-12-31	PRIJEM	\N	171	46035	UROK	\N	\N
3654285	3751	1994-01-31	PRIJEM	\N	186	44191	UROK	\N	\N
3654286	3751	1994-02-28	PRIJEM	\N	178	42138	UROK	\N	\N
3654287	3751	1994-03-31	PRIJEM	\N	189	39126	UROK	\N	\N
3654288	3751	1994-04-30	PRIJEM	\N	175	39899	UROK	\N	\N
3654289	3751	1994-05-31	PRIJEM	\N	167	36165	UROK	\N	\N
3654290	3751	1994-06-30	PRIJEM	\N	179	29928	UROK	\N	\N
3654291	3751	1994-07-31	PRIJEM	\N	148	35574	UROK	\N	\N
3654292	3751	1994-08-31	PRIJEM	\N	154	36426	UROK	\N	\N
3654293	3751	1994-09-30	PRIJEM	\N	153	35778	UROK	\N	\N
3654294	3751	1994-10-31	PRIJEM	\N	156	37132	UROK	\N	\N
3654295	3751	1994-11-30	PRIJEM	\N	158	34288	UROK	\N	\N
3654296	3751	1994-12-31	PRIJEM	\N	166	40338	UROK	\N	\N
3654297	3751	1995-01-31	PRIJEM	\N	170	31106	UROK	\N	\N
3654298	3751	1995-02-28	PRIJEM	\N	172	45376	UROK	\N	\N
3654299	3751	1995-03-31	PRIJEM	\N	180	42154	UROK	\N	\N
3654300	3751	1995-04-30	PRIJEM	\N	153	35205	UROK	\N	\N
3654301	3751	1995-05-31	PRIJEM	\N	197	32300	UROK	\N	\N
3654302	3751	1995-06-30	PRIJEM	\N	171	24555	UROK	\N	\N
3654303	3751	1995-07-31	PRIJEM	\N	157	42210	UROK	\N	\N
3654304	3751	1995-08-31	PRIJEM	\N	189	47797	UROK	\N	\N
3654305	3751	1995-09-30	PRIJEM	\N	190	47586	UROK	\N	\N
3654306	3751	1995-10-31	PRIJEM	\N	184	43869	UROK	\N	\N
3654307	3751	1995-11-30	PRIJEM	\N	183	43850	UROK	\N	\N
3654308	3751	1995-12-31	PRIJEM	\N	207	55040	UROK	\N	\N
3654309	3751	1996-01-31	PRIJEM	\N	189	39927	UROK	\N	\N
3654310	3751	1996-02-29	PRIJEM	\N	174	44900	UROK	\N	\N
3654311	3751	1996-03-31	PRIJEM	\N	176	44574	UROK	\N	\N
3654312	3751	1996-04-30	PRIJEM	\N	186	47358	UROK	\N	\N
3654313	3751	1996-05-31	PRIJEM	\N	197	50054	UROK	\N	\N
3654314	3751	1996-06-30	PRIJEM	\N	204	36741	UROK	\N	\N
3654315	3751	1996-07-31	PRIJEM	\N	168	43007	UROK	\N	\N
3654316	3751	1996-08-31	PRIJEM	\N	158	25163	UROK	\N	\N
3654317	3751	1996-09-30	PRIJEM	\N	151	23212	UROK	\N	\N
3654318	3751	1996-10-31	PRIJEM	\N	140	22050	UROK	\N	\N
3654319	3751	1996-11-30	PRIJEM	\N	136	22284	UROK	\N	\N
3654320	3751	1996-12-31	PRIJEM	\N	154	23822	UROK	\N	\N
3654321	3751	1997-01-31	PRIJEM	\N	119	18339	UROK	\N	\N
3654322	3751	1997-02-28	PRIJEM	\N	119	20256	UROK	\N	\N
3654323	3751	1997-03-31	PRIJEM	\N	128	23283	UROK	\N	\N
3654324	3751	1997-04-30	PRIJEM	\N	137	21218	UROK	\N	\N
3654325	3751	1997-05-31	PRIJEM	\N	128	20744	UROK	\N	\N
3654326	3751	1997-06-30	PRIJEM	\N	106	22433	UROK	\N	\N
3654327	3751	1997-07-31	PRIJEM	\N	127	18759	UROK	\N	\N
3654328	3751	1997-08-31	PRIJEM	\N	111	16768	UROK	\N	\N
3654329	3751	1997-09-30	PRIJEM	\N	120	33686	UROK	\N	\N
3654330	3751	1997-10-31	PRIJEM	\N	156	18941	UROK	\N	\N
3654331	3751	1997-11-30	PRIJEM	\N	121	32660	UROK	\N	\N
3654332	3751	1997-12-31	PRIJEM	\N	178	27021	UROK	\N	\N
3654333	3751	1998-01-31	PRIJEM	\N	128	32047	UROK	\N	\N
3654334	3751	1998-02-28	PRIJEM	\N	145	18190	UROK	\N	\N
3654335	3751	1998-03-31	PRIJEM	\N	125	35114	UROK	\N	\N
3654336	3751	1998-04-30	PRIJEM	\N	157	21169	UROK	\N	\N
3654337	3751	1998-05-31	PRIJEM	\N	129	35796	UROK	\N	\N
3654338	3751	1998-06-30	PRIJEM	\N	180	26960	UROK	\N	\N
3654339	3751	1998-07-31	PRIJEM	\N	148	37306	UROK	\N	\N
3654340	3751	1998-08-31	PRIJEM	\N	150	20754	UROK	\N	\N
3654341	3751	1998-09-30	PRIJEM	\N	133	35886	UROK	\N	\N
3654342	3751	1998-10-31	PRIJEM	\N	198	52882	UROK	\N	\N
3654343	3751	1998-11-30	PRIJEM	\N	178	24259	UROK	\N	\N
3654344	3751	1998-12-31	PRIJEM	\N	182	51224	UROK	\N	\N
3654345	3752	1994-12-31	PRIJEM	\N	24	25528	UROK	\N	\N
3654346	3752	1995-01-31	PRIJEM	\N	116	34612	UROK	\N	\N
3654347	3752	1995-02-28	PRIJEM	\N	148	39429	UROK	\N	\N
3654348	3752	1995-03-31	PRIJEM	\N	167	43266	UROK	\N	\N
3654349	3752	1995-04-30	PRIJEM	\N	203	44973	UROK	\N	\N
3654350	3752	1995-05-31	PRIJEM	\N	205	42567	UROK	\N	\N
3654351	3752	1995-06-30	PRIJEM	\N	213	45504	UROK	\N	\N
3654352	3752	1995-07-31	PRIJEM	\N	208	44901	UROK	\N	\N
3654353	3752	1995-08-31	PRIJEM	\N	203	43793	UROK	\N	\N
3654354	3752	1995-09-30	PRIJEM	\N	202	45005	UROK	\N	\N
3654355	3752	1995-10-31	PRIJEM	\N	205	46299	UROK	\N	\N
3654356	3752	1995-11-30	PRIJEM	\N	208	48337	UROK	\N	\N
3654357	3752	1995-12-31	PRIJEM	\N	241	51842	UROK	\N	\N
3654358	3752	1996-01-31	PRIJEM	\N	198	31489	UROK	\N	\N
3654359	3752	1996-02-29	PRIJEM	\N	161	42139	UROK	\N	\N
3654360	3752	1996-03-31	PRIJEM	\N	191	44019	UROK	\N	\N
3654361	3752	1996-04-30	PRIJEM	\N	205	44140	UROK	\N	\N
3654362	3752	1996-05-31	PRIJEM	\N	204	48680	UROK	\N	\N
3654363	3752	1996-06-30	PRIJEM	\N	229	57980	UROK	\N	\N
3654364	3752	1996-07-31	PRIJEM	\N	257	58574	UROK	\N	\N
3654365	3752	1996-08-31	PRIJEM	\N	263	59273	UROK	\N	\N
3654366	3752	1996-09-30	PRIJEM	\N	253	60162	UROK	\N	\N
3654367	3752	1996-10-31	PRIJEM	\N	244	54483	UROK	\N	\N
3654368	3752	1996-11-30	PRIJEM	\N	232	50672	UROK	\N	\N
3654369	3752	1996-12-31	PRIJEM	\N	259	58961	UROK	\N	\N
3654370	3752	1997-01-31	PRIJEM	\N	239	48056	UROK	\N	\N
3654371	3752	1997-02-28	PRIJEM	\N	209	50801	UROK	\N	\N
3654372	3752	1997-03-31	PRIJEM	\N	216	50253	UROK	\N	\N
3654373	3752	1997-04-30	PRIJEM	\N	204	47494	UROK	\N	\N
3654374	3752	1997-05-31	PRIJEM	\N	192	45222	UROK	\N	\N
3654375	3752	1997-06-30	PRIJEM	\N	201	50494	UROK	\N	\N
3654376	3752	1997-07-31	PRIJEM	\N	215	52645	UROK	\N	\N
3654377	3752	1997-08-31	PRIJEM	\N	185	36986	UROK	\N	\N
3654378	3752	1997-09-30	PRIJEM	\N	176	42398	UROK	\N	\N
3654379	3752	1997-10-31	PRIJEM	\N	200	50034	UROK	\N	\N
3654380	3752	1997-11-30	PRIJEM	\N	214	51685	UROK	\N	\N
3654381	3752	1997-12-31	PRIJEM	\N	231	55567	UROK	\N	\N
3654382	3752	1998-01-31	PRIJEM	\N	208	41732	UROK	\N	\N
3654383	3752	1998-02-28	PRIJEM	\N	188	45356	UROK	\N	\N
3654384	3752	1998-03-31	PRIJEM	\N	194	46586	UROK	\N	\N
3654385	3752	1998-04-30	PRIJEM	\N	186	42228	UROK	\N	\N
3654386	3752	1998-05-31	PRIJEM	\N	177	42241	UROK	\N	\N
3654387	3752	1998-06-30	PRIJEM	\N	184	38956	UROK	\N	\N
3654388	3752	1998-07-31	PRIJEM	\N	180	43732	UROK	\N	\N
3654389	3752	1998-08-31	PRIJEM	\N	227	57296	UROK	\N	\N
3654390	3752	1998-09-30	PRIJEM	\N	269	66001	UROK	\N	\N
3654391	3752	1998-10-31	PRIJEM	\N	310	76947	UROK	\N	\N
3654392	3752	1998-11-30	PRIJEM	\N	333	79517	UROK	\N	\N
3654393	3752	1998-12-31	PRIJEM	\N	364	89292	UROK	\N	\N
3654394	3753	1995-06-30	PRIJEM	\N	23	24071	UROK	\N	\N
3654395	3753	1995-07-31	PRIJEM	\N	106	29314	UROK	\N	\N
3654396	3753	1995-08-31	PRIJEM	\N	131	30528	UROK	\N	\N
3654397	3753	1995-09-30	PRIJEM	\N	137	32247	UROK	\N	\N
3654398	3753	1995-10-31	PRIJEM	\N	140	31169	UROK	\N	\N
3654399	3753	1995-11-30	PRIJEM	\N	135	29986	UROK	\N	\N
3654400	3753	1995-12-31	PRIJEM	\N	122	27990	UROK	\N	\N
3654401	3753	1996-01-31	PRIJEM	\N	114	23326	UROK	\N	\N
3654402	3753	1996-02-29	PRIJEM	\N	108	26616	UROK	\N	\N
3654403	3753	1996-03-31	PRIJEM	\N	118	27216	UROK	\N	\N
3654404	3753	1996-04-30	PRIJEM	\N	110	21388	UROK	\N	\N
3654405	3753	1996-05-31	PRIJEM	\N	100	22191	UROK	\N	\N
3654406	3753	1996-06-30	PRIJEM	\N	98	23631	UROK	\N	\N
3654407	3753	1996-07-31	PRIJEM	\N	111	27824	UROK	\N	\N
3654408	3753	1996-08-31	PRIJEM	\N	124	29931	UROK	\N	\N
3654409	3753	1996-09-30	PRIJEM	\N	124	28237	UROK	\N	\N
3654410	3753	1996-10-31	PRIJEM	\N	117	26537	UROK	\N	\N
3654411	3753	1996-11-30	PRIJEM	\N	110	25330	UROK	\N	\N
3654412	3753	1996-12-31	PRIJEM	\N	116	28828	UROK	\N	\N
3654413	3753	1997-01-31	PRIJEM	\N	106	22477	UROK	\N	\N
3654414	3753	1997-02-28	PRIJEM	\N	99	23998	UROK	\N	\N
3654415	3753	1997-03-31	PRIJEM	\N	106	26407	UROK	\N	\N
3654416	3753	1997-04-30	PRIJEM	\N	118	29347	UROK	\N	\N
3654417	3753	1997-05-31	PRIJEM	\N	129	31559	UROK	\N	\N
3654418	3753	1997-06-30	PRIJEM	\N	134	31974	UROK	\N	\N
3654419	3753	1997-07-31	PRIJEM	\N	145	36302	UROK	\N	\N
3654420	3753	1997-08-31	PRIJEM	\N	152	36637	UROK	\N	\N
3654421	3753	1997-09-30	PRIJEM	\N	158	38977	UROK	\N	\N
3654422	3753	1997-10-31	PRIJEM	\N	175	43534	UROK	\N	\N
3654423	3753	1997-11-30	PRIJEM	\N	187	45524	UROK	\N	\N
3654424	3753	1997-12-31	PRIJEM	\N	197	48523	UROK	\N	\N
3654425	3753	1998-01-31	PRIJEM	\N	186	40111	UROK	\N	\N
3654426	3753	1998-02-28	PRIJEM	\N	177	43871	UROK	\N	\N
3654427	3753	1998-03-31	PRIJEM	\N	186	38679	UROK	\N	\N
3654428	3753	1998-04-30	PRIJEM	\N	168	41730	UROK	\N	\N
3654429	3753	1998-05-31	PRIJEM	\N	180	44492	UROK	\N	\N
3654430	3753	1998-06-30	PRIJEM	\N	193	46708	UROK	\N	\N
3654431	3753	1998-07-31	PRIJEM	\N	195	47585	UROK	\N	\N
3654432	3753	1998-08-31	PRIJEM	\N	198	48665	UROK	\N	\N
3654433	3753	1998-09-30	PRIJEM	\N	207	51054	UROK	\N	\N
3654434	3753	1998-10-31	PRIJEM	\N	206	50143	UROK	\N	\N
3654435	3753	1998-11-30	PRIJEM	\N	196	47221	UROK	\N	\N
3654436	3753	1998-12-31	PRIJEM	\N	197	48399	UROK	\N	\N
3654437	3754	1996-03-31	PRIJEM	\N	48	29909	UROK	\N	\N
3654438	3754	1996-04-30	PRIJEM	\N	145	42515	UROK	\N	\N
3654439	3754	1996-05-31	PRIJEM	\N	189	49866	UROK	\N	\N
3654440	3754	1996-06-30	PRIJEM	\N	225	59632	UROK	\N	\N
3654441	3754	1996-07-31	PRIJEM	\N	257	38992	UROK	\N	\N
3654442	3754	1996-08-31	PRIJEM	\N	169	36716	UROK	\N	\N
3654443	3754	1996-09-30	PRIJEM	\N	124	26331	UROK	\N	\N
3654444	3754	1996-10-31	PRIJEM	\N	139	23760	UROK	\N	\N
3654445	3754	1996-11-30	PRIJEM	\N	143	34205	UROK	\N	\N
3654446	3754	1996-12-31	PRIJEM	\N	183	24738	UROK	\N	\N
3654447	3754	1997-01-31	PRIJEM	\N	121	27461	UROK	\N	\N
3654448	3754	1997-02-28	PRIJEM	\N	132	29976	UROK	\N	\N
3654449	3754	1997-03-31	PRIJEM	\N	164	39732	UROK	\N	\N
3654450	3754	1997-04-30	PRIJEM	\N	195	44629	UROK	\N	\N
3654451	3754	1997-05-31	PRIJEM	\N	191	33222	UROK	\N	\N
3654452	3754	1997-06-30	PRIJEM	\N	212	52417	UROK	\N	\N
3654453	3754	1997-07-31	PRIJEM	\N	245	57364	UROK	\N	\N
3654454	3754	1997-08-31	PRIJEM	\N	178	28477	UROK	\N	\N
3654455	3754	1997-09-30	PRIJEM	\N	167	42647	UROK	\N	\N
3654456	3754	1997-10-31	PRIJEM	\N	176	28245	UROK	\N	\N
3654457	3754	1997-11-30	PRIJEM	\N	147	36912	UROK	\N	\N
3654458	3754	1997-12-31	PRIJEM	\N	213	53408	UROK	\N	\N
3654459	3754	1998-01-31	PRIJEM	\N	154	24222	UROK	\N	\N
3654460	3754	1998-02-28	PRIJEM	\N	139	35963	UROK	\N	\N
3654461	3754	1998-03-31	PRIJEM	\N	154	31218	UROK	\N	\N
3654462	3754	1998-04-30	PRIJEM	\N	143	30463	UROK	\N	\N
3654463	3754	1998-05-31	PRIJEM	\N	139	33704	UROK	\N	\N
3654464	3754	1998-06-30	PRIJEM	\N	178	45565	UROK	\N	\N
3654465	3754	1998-07-31	PRIJEM	\N	172	40736	UROK	\N	\N
3654466	3754	1998-08-31	PRIJEM	\N	233	60771	UROK	\N	\N
3654467	3754	1998-09-30	PRIJEM	\N	282	71355	UROK	\N	\N
3654468	3754	1998-10-31	PRIJEM	\N	301	67958	UROK	\N	\N
3654469	3754	1998-11-30	PRIJEM	\N	306	76323	UROK	\N	\N
3654470	3754	1998-12-31	PRIJEM	\N	322	77384	UROK	\N	\N
3654471	3755	1996-02-29	PRIJEM	\N	35	48767	UROK	\N	\N
3654472	3755	1996-03-31	PRIJEM	\N	254	55963	UROK	\N	\N
3654473	3755	1996-04-30	PRIJEM	\N	219	47728	UROK	\N	\N
3654474	3755	1996-05-31	PRIJEM	\N	209	68099	UROK	\N	\N
3654475	3755	1996-06-30	PRIJEM	\N	214	41781	UROK	\N	\N
3654476	3755	1996-07-31	PRIJEM	\N	210	23848	UROK	\N	\N
3654477	3755	1996-08-31	PRIJEM	\N	167	35266	UROK	\N	\N
3654478	3755	1996-09-30	PRIJEM	\N	177	46827	UROK	\N	\N
3654479	3755	1996-10-31	PRIJEM	\N	369	53913	UROK	\N	\N
3654480	3755	1996-11-30	PRIJEM	\N	143	31927	UROK	\N	\N
3654481	3755	1996-12-31	PRIJEM	\N	299	82044	UROK	\N	\N
3654482	3755	1997-01-31	PRIJEM	\N	205	39658	UROK	\N	\N
3654483	3755	1997-02-28	PRIJEM	\N	129	24472	UROK	\N	\N
3654484	3755	1997-03-31	PRIJEM	\N	87	19791	UROK	\N	\N
3654485	3755	1997-04-30	PRIJEM	\N	81	6357	UROK	\N	\N
3654486	3755	1997-05-31	PRIJEM	\N	272	63896	UROK	\N	\N
3654487	3755	1997-06-30	PRIJEM	\N	240	50376	UROK	\N	\N
3654488	3755	1997-07-31	PRIJEM	\N	77	14089	UROK	\N	\N
3654489	3755	1997-08-31	PRIJEM	\N	81	26613	UROK	\N	\N
3654490	3755	1997-09-30	PRIJEM	\N	151	20950	UROK	\N	\N
3654491	3755	1997-10-31	PRIJEM	\N	98	25396	UROK	\N	\N
3654492	3755	1997-11-30	PRIJEM	\N	183	56453	UROK	\N	\N
3654493	3755	1997-12-31	PRIJEM	\N	221	82870	UROK	\N	\N
3654494	3755	1998-01-31	PRIJEM	\N	157	44675	UROK	\N	\N
3654495	3755	1998-02-28	PRIJEM	\N	207	102709	UROK	\N	\N
3654496	3755	1998-03-31	PRIJEM	\N	272	50881	UROK	\N	\N
3654497	3755	1998-04-30	PRIJEM	\N	149	54272	UROK	\N	\N
3654498	3755	1998-05-31	PRIJEM	\N	235	73613	UROK	\N	\N
3654499	3755	1998-06-30	PRIJEM	\N	209	42312	UROK	\N	\N
3654500	3755	1998-07-31	PRIJEM	\N	126	26923	UROK	\N	\N
3654501	3755	1998-08-31	PRIJEM	\N	155	57761	UROK	\N	\N
3654502	3755	1998-09-30	PRIJEM	\N	168	61108	UROK	\N	\N
3654503	3755	1998-10-31	PRIJEM	\N	265	62496	UROK	\N	\N
3654504	3755	1998-11-30	PRIJEM	\N	232	42125	UROK	\N	\N
3654505	3755	1998-12-31	PRIJEM	\N	156	30273	UROK	\N	\N
3654506	3756	1994-12-31	PRIJEM	\N	70	43740	UROK	\N	\N
3654507	3756	1995-01-31	PRIJEM	\N	200	70630	UROK	\N	\N
3654508	3756	1995-02-28	PRIJEM	\N	294	49723	UROK	\N	\N
3654509	3756	1995-03-31	PRIJEM	\N	292	84447	UROK	\N	\N
3654510	3756	1995-04-30	PRIJEM	\N	283	69325	UROK	\N	\N
3654511	3756	1995-05-31	PRIJEM	\N	285	66082	UROK	\N	\N
3654512	3756	1995-06-30	PRIJEM	\N	250	90943	UROK	\N	\N
3654513	3756	1995-07-31	PRIJEM	\N	333	55302	UROK	\N	\N
3654514	3756	1995-08-31	PRIJEM	\N	209	38662	UROK	\N	\N
3654515	3756	1995-09-30	PRIJEM	\N	125	24334	UROK	\N	\N
3654516	3756	1995-10-31	PRIJEM	\N	126	33414	UROK	\N	\N
3654517	3756	1995-11-30	PRIJEM	\N	185	52646	UROK	\N	\N
3654518	3756	1995-12-31	PRIJEM	\N	179	32756	UROK	\N	\N
3654519	3756	1996-01-31	PRIJEM	\N	90	18092	UROK	\N	\N
3654520	3756	1996-02-29	PRIJEM	\N	66	14305	UROK	\N	\N
3654521	3756	1996-03-31	PRIJEM	\N	77	27373	UROK	\N	\N
3654522	3756	1996-04-30	PRIJEM	\N	103	23424	UROK	\N	\N
3654523	3756	1996-05-31	PRIJEM	\N	97	41269	UROK	\N	\N
3654524	3756	1996-06-30	PRIJEM	\N	140	29057	UROK	\N	\N
3654525	3756	1996-07-31	PRIJEM	\N	149	33787	UROK	\N	\N
3654526	3756	1996-08-31	PRIJEM	\N	116	24350	UROK	\N	\N
3654527	3756	1996-09-30	PRIJEM	\N	170	63837	UROK	\N	\N
3654528	3756	1996-10-31	PRIJEM	\N	221	58729	UROK	\N	\N
3654529	3756	1996-11-30	PRIJEM	\N	183	34459	UROK	\N	\N
3654530	3756	1996-12-31	PRIJEM	\N	118	30105	UROK	\N	\N
3654531	3756	1997-01-31	PRIJEM	\N	101	29037	UROK	\N	\N
3654532	3756	1997-02-28	PRIJEM	\N	86	16870	UROK	\N	\N
3654533	3756	1997-03-31	PRIJEM	\N	138	40888	UROK	\N	\N
3654534	3756	1997-04-30	PRIJEM	\N	161	59250	UROK	\N	\N
3654535	3756	1997-05-31	PRIJEM	\N	250	71433	UROK	\N	\N
3654536	3756	1997-06-30	PRIJEM	\N	255	56493	UROK	\N	\N
3654537	3756	1997-07-31	PRIJEM	\N	168	35232	UROK	\N	\N
3654538	3756	1997-08-31	PRIJEM	\N	197	52849	UROK	\N	\N
3654539	3756	1997-09-30	PRIJEM	\N	313	60133	UROK	\N	\N
3654540	3756	1997-10-31	PRIJEM	\N	260	73952	UROK	\N	\N
3654541	3756	1997-11-30	PRIJEM	\N	135	23833	UROK	\N	\N
3654542	3756	1997-12-31	PRIJEM	\N	181	49703	UROK	\N	\N
3654543	3756	1998-01-31	PRIJEM	\N	192	58662	UROK	\N	\N
3654544	3756	1998-02-28	PRIJEM	\N	274	67704	UROK	\N	\N
3654545	3756	1998-03-31	PRIJEM	\N	321	69354	UROK	\N	\N
3654546	3756	1998-04-30	PRIJEM	\N	346	64285	UROK	\N	\N
3654547	3756	1998-05-31	PRIJEM	\N	327	65134	UROK	\N	\N
3654548	3756	1998-06-30	PRIJEM	\N	273	59200	UROK	\N	\N
3654549	3756	1998-07-31	PRIJEM	\N	312	65978	UROK	\N	\N
3654550	3756	1998-08-31	PRIJEM	\N	343	59349	UROK	\N	\N
3654551	3756	1998-09-30	PRIJEM	\N	300	66576	UROK	\N	\N
3654552	3756	1998-10-31	PRIJEM	\N	322	63024	UROK	\N	\N
3654553	3756	1998-11-30	PRIJEM	\N	268	43695	UROK	\N	\N
3654554	3756	1998-12-31	PRIJEM	\N	233	69958	UROK	\N	\N
3654555	3757	1997-10-31	PRIJEM	\N	29	26807	UROK	\N	\N
3654556	3757	1997-11-30	PRIJEM	\N	120	34805	UROK	\N	\N
3654557	3757	1997-12-31	PRIJEM	\N	163	49785	UROK	\N	\N
3654558	3757	1998-01-31	PRIJEM	\N	207	49769	UROK	\N	\N
3654559	3757	1998-02-28	PRIJEM	\N	244	46740	UROK	\N	\N
3654560	3757	1998-03-31	PRIJEM	\N	237	46488	UROK	\N	\N
3654561	3757	1998-04-30	PRIJEM	\N	238	47460	UROK	\N	\N
3654562	3757	1998-05-31	PRIJEM	\N	237	47309	UROK	\N	\N
3654563	3757	1998-06-30	PRIJEM	\N	244	32803	UROK	\N	\N
3654564	3757	1998-07-31	PRIJEM	\N	185	36283	UROK	\N	\N
3654565	3757	1998-08-31	PRIJEM	\N	168	33962	UROK	\N	\N
3654566	3757	1998-09-30	PRIJEM	\N	133	26067	UROK	\N	\N
3654567	3757	1998-10-31	PRIJEM	\N	150	32028	UROK	\N	\N
3654568	3757	1998-11-30	PRIJEM	\N	152	28244	UROK	\N	\N
3654569	3757	1998-12-31	PRIJEM	\N	175	33269	UROK	\N	\N
3654570	3758	1995-10-31	PRIJEM	\N	25	14339	UROK	\N	\N
3654571	3758	1995-11-30	PRIJEM	\N	73	21626	UROK	\N	\N
3654572	3758	1995-12-31	PRIJEM	\N	96	24943	UROK	\N	\N
3654573	3758	1996-01-31	PRIJEM	\N	111	28868	UROK	\N	\N
3654574	3758	1996-02-29	PRIJEM	\N	125	29698	UROK	\N	\N
3654575	3758	1996-03-31	PRIJEM	\N	118	24107	UROK	\N	\N
3654576	3758	1996-04-30	PRIJEM	\N	114	26111	UROK	\N	\N
3654577	3758	1996-05-31	PRIJEM	\N	120	27522	UROK	\N	\N
3654578	3758	1996-06-30	PRIJEM	\N	125	19344	UROK	\N	\N
3654579	3758	1996-07-31	PRIJEM	\N	106	23840	UROK	\N	\N
3654580	3758	1996-08-31	PRIJEM	\N	125	31656	UROK	\N	\N
3654581	3758	1996-09-30	PRIJEM	\N	150	36296	UROK	\N	\N
3654582	3758	1996-10-31	PRIJEM	\N	163	40149	UROK	\N	\N
3654583	3758	1996-11-30	PRIJEM	\N	170	39310	UROK	\N	\N
3654584	3758	1996-12-31	PRIJEM	\N	167	38274	UROK	\N	\N
3654585	3758	1997-01-31	PRIJEM	\N	148	29812	UROK	\N	\N
3654586	3758	1997-02-28	PRIJEM	\N	135	33238	UROK	\N	\N
3654587	3758	1997-03-31	PRIJEM	\N	162	41690	UROK	\N	\N
3654588	3758	1997-04-30	PRIJEM	\N	191	46372	UROK	\N	\N
3654589	3758	1997-05-31	PRIJEM	\N	191	43852	UROK	\N	\N
3654590	3758	1997-06-30	PRIJEM	\N	183	20632	UROK	\N	\N
3654591	3758	1997-07-31	PRIJEM	\N	113	27336	UROK	\N	\N
3654592	3758	1997-08-31	PRIJEM	\N	139	34565	UROK	\N	\N
3654593	3758	1997-09-30	PRIJEM	\N	172	42727	UROK	\N	\N
3654594	3758	1997-10-31	PRIJEM	\N	200	49617	UROK	\N	\N
3654595	3758	1997-11-30	PRIJEM	\N	214	49822	UROK	\N	\N
3654596	3758	1997-12-31	PRIJEM	\N	217	52837	UROK	\N	\N
3654597	3758	1998-01-31	PRIJEM	\N	205	45732	UROK	\N	\N
3654598	3758	1998-02-28	PRIJEM	\N	214	52836	UROK	\N	\N
3654599	3758	1998-03-31	PRIJEM	\N	223	54150	UROK	\N	\N
3654600	3758	1998-04-30	PRIJEM	\N	218	52358	UROK	\N	\N
3654601	3758	1998-05-31	PRIJEM	\N	228	55577	UROK	\N	\N
3654602	3758	1998-06-30	PRIJEM	\N	191	40865	UROK	\N	\N
3654603	3758	1998-07-31	PRIJEM	\N	177	39532	UROK	\N	\N
3654604	3758	1998-08-31	PRIJEM	\N	179	43901	UROK	\N	\N
3654605	3758	1998-09-30	PRIJEM	\N	171	41362	UROK	\N	\N
3654606	3758	1998-10-31	PRIJEM	\N	165	39717	UROK	\N	\N
3654607	3758	1998-11-30	PRIJEM	\N	167	40675	UROK	\N	\N
3654608	3758	1998-12-31	PRIJEM	\N	172	41744	UROK	\N	\N
3654609	3759	1994-04-30	PRIJEM	\N	8	20128	UROK	\N	\N
3654610	3759	1994-05-31	PRIJEM	\N	85	25143	UROK	\N	\N
3654611	3759	1994-06-30	PRIJEM	\N	105	25472	UROK	\N	\N
3654612	3759	1994-07-31	PRIJEM	\N	113	27958	UROK	\N	\N
3654613	3759	1994-08-31	PRIJEM	\N	122	27753	UROK	\N	\N
3654614	3759	1994-09-30	PRIJEM	\N	120	27147	UROK	\N	\N
3654615	3759	1994-10-31	PRIJEM	\N	119	28539	UROK	\N	\N
3654616	3759	1994-11-30	PRIJEM	\N	117	23290	UROK	\N	\N
3654617	3759	1994-12-31	PRIJEM	\N	103	25166	UROK	\N	\N
3654618	3759	1995-01-31	PRIJEM	\N	76	14646	UROK	\N	\N
3654619	3759	1995-02-28	PRIJEM	\N	68	17987	UROK	\N	\N
3654620	3759	1995-03-31	PRIJEM	\N	83	21344	UROK	\N	\N
3654621	3759	1995-04-30	PRIJEM	\N	93	21810	UROK	\N	\N
3654622	3759	1995-05-31	PRIJEM	\N	94	21478	UROK	\N	\N
3654623	3759	1995-06-30	PRIJEM	\N	93	21845	UROK	\N	\N
3654624	3759	1995-07-31	PRIJEM	\N	93	20611	UROK	\N	\N
3654625	3759	1995-08-31	PRIJEM	\N	87	19371	UROK	\N	\N
3654626	3759	1995-09-30	PRIJEM	\N	84	19628	UROK	\N	\N
3654627	3759	1995-10-31	PRIJEM	\N	72	14453	UROK	\N	\N
3654628	3759	1995-11-30	PRIJEM	\N	59	13386	UROK	\N	\N
3654629	3759	1995-12-31	PRIJEM	\N	52	11311	UROK	\N	\N
3654630	3759	1996-01-31	PRIJEM	\N	53	13658	UROK	\N	\N
3654631	3759	1996-02-29	PRIJEM	\N	63	16194	UROK	\N	\N
3654632	3759	1996-03-31	PRIJEM	\N	63	13130	UROK	\N	\N
3654633	3759	1996-04-30	PRIJEM	\N	53	12057	UROK	\N	\N
3654634	3759	1996-05-31	PRIJEM	\N	54	13585	UROK	\N	\N
3654635	3759	1996-06-30	PRIJEM	\N	57	13815	UROK	\N	\N
3654636	3759	1996-07-31	PRIJEM	\N	60	14949	UROK	\N	\N
3654637	3759	1996-08-31	PRIJEM	\N	60	13982	UROK	\N	\N
3654638	3759	1996-09-30	PRIJEM	\N	55	12911	UROK	\N	\N
3654639	3759	1996-10-31	PRIJEM	\N	56	14240	UROK	\N	\N
3654640	3759	1996-11-30	PRIJEM	\N	66	17580	UROK	\N	\N
3654641	3759	1996-12-31	PRIJEM	\N	67	17061	UROK	\N	\N
3654642	3759	1997-01-31	PRIJEM	\N	64	13418	UROK	\N	\N
3654643	3759	1997-02-28	PRIJEM	\N	62	16754	UROK	\N	\N
3654644	3759	1997-03-31	PRIJEM	\N	77	20104	UROK	\N	\N
3654645	3759	1997-04-30	PRIJEM	\N	81	19859	UROK	\N	\N
3654646	3759	1997-05-31	PRIJEM	\N	71	14343	UROK	\N	\N
3654647	3759	1997-06-30	PRIJEM	\N	67	17683	UROK	\N	\N
3654648	3759	1997-07-31	PRIJEM	\N	68	16724	UROK	\N	\N
3654649	3759	1997-08-31	PRIJEM	\N	77	20074	UROK	\N	\N
3654650	3759	1997-09-30	PRIJEM	\N	76	19264	UROK	\N	\N
3654651	3759	1997-10-31	PRIJEM	\N	87	22624	UROK	\N	\N
3654652	3759	1997-11-30	PRIJEM	\N	101	25999	UROK	\N	\N
3654653	3759	1997-12-31	PRIJEM	\N	112	28734	UROK	\N	\N
3654654	3759	1998-01-31	PRIJEM	\N	82	18279	UROK	\N	\N
3654655	3759	1998-02-28	PRIJEM	\N	82	21635	UROK	\N	\N
3654656	3759	1998-03-31	PRIJEM	\N	97	25005	UROK	\N	\N
3654657	3759	1998-04-30	PRIJEM	\N	110	28389	UROK	\N	\N
3654658	3759	1998-05-31	PRIJEM	\N	122	29144	UROK	\N	\N
3654659	3759	1998-06-30	PRIJEM	\N	113	28131	UROK	\N	\N
3654660	3759	1998-07-31	PRIJEM	\N	124	31527	UROK	\N	\N
3654661	3759	1998-08-31	PRIJEM	\N	138	34938	UROK	\N	\N
3654662	3759	1998-09-30	PRIJEM	\N	152	38363	UROK	\N	\N
3654663	3759	1998-10-31	PRIJEM	\N	166	41803	UROK	\N	\N
3654664	3759	1998-11-30	PRIJEM	\N	168	41724	UROK	\N	\N
3654665	3759	1998-12-31	PRIJEM	\N	179	44726	UROK	\N	\N
3654666	3760	1993-01-31	PRIJEM	\N	22	11814	UROK	\N	\N
3654667	3760	1993-02-28	PRIJEM	\N	111	36170	UROK	\N	\N
3654668	3760	1993-03-31	PRIJEM	\N	186	65920	UROK	\N	\N
3654669	3760	1993-04-30	PRIJEM	\N	274	46394	UROK	\N	\N
3654670	3760	1993-05-31	PRIJEM	\N	302	58294	UROK	\N	\N
3654671	3760	1993-06-30	PRIJEM	\N	313	82400	UROK	\N	\N
3654672	3760	1993-07-31	PRIJEM	\N	268	93018	UROK	\N	\N
3654673	3760	1993-08-31	PRIJEM	\N	391	95167	UROK	\N	\N
3654674	3760	1993-09-30	PRIJEM	\N	310	78669	UROK	\N	\N
3654675	3760	1993-10-31	PRIJEM	\N	382	99016	UROK	\N	\N
3654676	3760	1993-11-30	PRIJEM	\N	268	47329	UROK	\N	\N
3654677	3760	1993-12-31	PRIJEM	\N	167	24033	UROK	\N	\N
3654678	3760	1994-01-31	PRIJEM	\N	92	20811	UROK	\N	\N
3654679	3760	1994-02-28	PRIJEM	\N	118	34903	UROK	\N	\N
3654680	3760	1994-03-31	PRIJEM	\N	121	24706	UROK	\N	\N
3654681	3760	1994-04-30	PRIJEM	\N	125	27397	UROK	\N	\N
3654682	3760	1994-05-31	PRIJEM	\N	215	109852	UROK	\N	\N
3654683	3760	1994-06-30	PRIJEM	\N	324	57446	UROK	\N	\N
3654684	3760	1994-07-31	PRIJEM	\N	236	38968	UROK	\N	\N
3654685	3760	1994-08-31	PRIJEM	\N	160	30113	UROK	\N	\N
3654686	3760	1994-09-30	PRIJEM	\N	175	47094	UROK	\N	\N
3654687	3760	1994-10-31	PRIJEM	\N	289	74176	UROK	\N	\N
3654688	3760	1994-11-30	PRIJEM	\N	213	68750	UROK	\N	\N
3654689	3760	1994-12-31	PRIJEM	\N	236	49443	UROK	\N	\N
3654690	3760	1995-01-31	PRIJEM	\N	135	24063	UROK	\N	\N
3654691	3760	1995-02-28	PRIJEM	\N	98	19847	UROK	\N	\N
3654692	3760	1995-03-31	PRIJEM	\N	128	32240	UROK	\N	\N
3654693	3760	1995-04-30	PRIJEM	\N	141	32915	UROK	\N	\N
3654694	3760	1995-05-31	PRIJEM	\N	203	73124	UROK	\N	\N
3654695	3760	1995-06-30	PRIJEM	\N	299	46309	UROK	\N	\N
3654696	3760	1995-07-31	PRIJEM	\N	228	56397	UROK	\N	\N
3654697	3760	1995-08-31	PRIJEM	\N	301	71315	UROK	\N	\N
3654698	3760	1995-09-30	PRIJEM	\N	174	52101	UROK	\N	\N
3654699	3760	1995-10-31	PRIJEM	\N	141	25127	UROK	\N	\N
3654700	3760	1995-11-30	PRIJEM	\N	126	41753	UROK	\N	\N
3654701	3760	1995-12-31	PRIJEM	\N	160	21783	UROK	\N	\N
3654702	3760	1996-01-31	PRIJEM	\N	114	34430	UROK	\N	\N
3654703	3760	1996-02-29	PRIJEM	\N	138	18559	UROK	\N	\N
3654704	3760	1996-03-31	PRIJEM	\N	79	25687	UROK	\N	\N
3654705	3760	1996-04-30	PRIJEM	\N	117	34121	UROK	\N	\N
3654706	3760	1996-05-31	PRIJEM	\N	145	42019	UROK	\N	\N
3654707	3760	1996-06-30	PRIJEM	\N	157	19985	UROK	\N	\N
3654708	3760	1996-07-31	PRIJEM	\N	80	20050	UROK	\N	\N
3654709	3760	1996-08-31	PRIJEM	\N	155	40626	UROK	\N	\N
3654710	3760	1996-09-30	PRIJEM	\N	232	54414	UROK	\N	\N
3654711	3760	1996-10-31	PRIJEM	\N	258	36864	UROK	\N	\N
3654712	3760	1996-11-30	PRIJEM	\N	194	77258	UROK	\N	\N
3654713	3760	1996-12-31	PRIJEM	\N	279	39673	UROK	\N	\N
3654714	3760	1997-01-31	PRIJEM	\N	180	36885	UROK	\N	\N
3654715	3760	1997-02-28	PRIJEM	\N	205	43828	UROK	\N	\N
3654716	3760	1997-03-31	PRIJEM	\N	225	33955	UROK	\N	\N
3654717	3760	1997-04-30	PRIJEM	\N	188	35257	UROK	\N	\N
3654718	3760	1997-05-31	PRIJEM	\N	153	43042	UROK	\N	\N
3654719	3760	1997-06-30	PRIJEM	\N	171	20399	UROK	\N	\N
3654720	3760	1997-07-31	PRIJEM	\N	80	20465	UROK	\N	\N
3654721	3760	1997-08-31	PRIJEM	\N	87	24802	UROK	\N	\N
3654722	3760	1997-09-30	PRIJEM	\N	260	88352	UROK	\N	\N
3654723	3760	1997-10-31	PRIJEM	\N	303	78538	UROK	\N	\N
3654724	3760	1997-11-30	PRIJEM	\N	249	39095	UROK	\N	\N
3654725	3760	1997-12-31	PRIJEM	\N	251	80757	UROK	\N	\N
3654726	3760	1998-01-31	PRIJEM	\N	245	55726	UROK	\N	\N
3654727	3760	1998-02-28	PRIJEM	\N	236	76845	UROK	\N	\N
3654728	3760	1998-03-31	PRIJEM	\N	278	57846	UROK	\N	\N
3654729	3760	1998-04-30	PRIJEM	\N	231	31463	UROK	\N	\N
3654730	3760	1998-05-31	PRIJEM	\N	123	21171	UROK	\N	\N
3654731	3760	1998-06-30	PRIJEM	\N	83	30844	UROK	\N	\N
3654732	3760	1998-07-31	PRIJEM	\N	127	31964	UROK	\N	\N
3654733	3760	1998-08-31	PRIJEM	\N	152	37096	UROK	\N	\N
3654734	3760	1998-09-30	PRIJEM	\N	248	80374	UROK	\N	\N
3654735	3760	1998-10-31	PRIJEM	\N	322	40781	UROK	\N	\N
3654736	3760	1998-11-30	PRIJEM	\N	224	74506	UROK	\N	\N
3654737	3760	1998-12-31	PRIJEM	\N	391	111134	UROK	\N	\N
3654738	3763	1995-09-30	PRIJEM	\N	25	19608	UROK	\N	\N
3654739	3763	1995-10-31	PRIJEM	\N	91	26581	UROK	\N	\N
3654740	3763	1995-11-30	PRIJEM	\N	116	30680	UROK	\N	\N
3654741	3763	1995-12-31	PRIJEM	\N	138	37942	UROK	\N	\N
3654742	3763	1996-01-31	PRIJEM	\N	148	26950	UROK	\N	\N
3654743	3763	1996-02-29	PRIJEM	\N	117	27381	UROK	\N	\N
3654744	3763	1996-03-31	PRIJEM	\N	121	29215	UROK	\N	\N
3654745	3763	1996-04-30	PRIJEM	\N	127	30156	UROK	\N	\N
3654746	3763	1996-05-31	PRIJEM	\N	123	27392	UROK	\N	\N
3654747	3763	1996-06-30	PRIJEM	\N	114	14861	UROK	\N	\N
3654748	3763	1996-07-31	PRIJEM	\N	73	18647	UROK	\N	\N
3654749	3763	1996-08-31	PRIJEM	\N	92	24052	UROK	\N	\N
3654750	3763	1996-09-30	PRIJEM	\N	105	25070	UROK	\N	\N
3654751	3763	1996-10-31	PRIJEM	\N	108	25491	UROK	\N	\N
3654752	3763	1996-11-30	PRIJEM	\N	110	24715	UROK	\N	\N
3654753	3763	1996-12-31	PRIJEM	\N	119	29588	UROK	\N	\N
3654754	3763	1997-01-31	PRIJEM	\N	102	16703	UROK	\N	\N
3654755	3763	1997-02-28	PRIJEM	\N	79	20496	UROK	\N	\N
3654756	3763	1997-03-31	PRIJEM	\N	85	17394	UROK	\N	\N
3654757	3763	1997-04-30	PRIJEM	\N	85	20292	UROK	\N	\N
3654758	3763	1997-05-31	PRIJEM	\N	100	26106	UROK	\N	\N
3654759	3763	1997-06-30	PRIJEM	\N	114	25074	UROK	\N	\N
3654760	3763	1997-07-31	PRIJEM	\N	120	30808	UROK	\N	\N
3654761	3763	1997-08-31	PRIJEM	\N	118	24839	UROK	\N	\N
3654762	3763	1997-09-30	PRIJEM	\N	112	28065	UROK	\N	\N
3654763	3763	1997-10-31	PRIJEM	\N	108	25286	UROK	\N	\N
3654764	3763	1997-11-30	PRIJEM	\N	122	31422	UROK	\N	\N
3654765	3763	1997-12-31	PRIJEM	\N	144	36520	UROK	\N	\N
3654766	3763	1998-01-31	PRIJEM	\N	111	18645	UROK	\N	\N
3654767	3763	1998-02-28	PRIJEM	\N	79	19938	UROK	\N	\N
3654768	3763	1998-03-31	PRIJEM	\N	107	28458	UROK	\N	\N
3654769	3763	1998-04-30	PRIJEM	\N	112	26683	UROK	\N	\N
3654770	3763	1998-05-31	PRIJEM	\N	102	23998	UROK	\N	\N
3654771	3763	1998-06-30	PRIJEM	\N	109	21762	UROK	\N	\N
3654772	3763	1998-07-31	PRIJEM	\N	95	23870	UROK	\N	\N
3654773	3763	1998-08-31	PRIJEM	\N	103	25687	UROK	\N	\N
3654774	3763	1998-09-30	PRIJEM	\N	120	30620	UROK	\N	\N
3654775	3763	1998-10-31	PRIJEM	\N	103	23536	UROK	\N	\N
3654776	3763	1998-11-30	PRIJEM	\N	101	25150	UROK	\N	\N
3654777	3763	1998-12-31	PRIJEM	\N	114	29118	UROK	\N	\N
3654778	3764	1995-11-30	PRIJEM	\N	14	4825	UROK	\N	\N
3654779	3764	1995-12-31	PRIJEM	\N	68	21104	UROK	\N	\N
3654780	3764	1996-01-31	PRIJEM	\N	108	28023	UROK	\N	\N
3654781	3764	1996-02-29	PRIJEM	\N	122	29856	UROK	\N	\N
3654782	3764	1996-03-31	PRIJEM	\N	122	29183	UROK	\N	\N
3654783	3764	1996-04-30	PRIJEM	\N	125	30499	UROK	\N	\N
3654784	3764	1996-05-31	PRIJEM	\N	139	34628	UROK	\N	\N
3654785	3764	1996-06-30	PRIJEM	\N	133	27462	UROK	\N	\N
3654786	3764	1996-07-31	PRIJEM	\N	122	29874	UROK	\N	\N
3654787	3764	1996-08-31	PRIJEM	\N	137	34001	UROK	\N	\N
3654788	3764	1996-09-30	PRIJEM	\N	161	39152	UROK	\N	\N
3654789	3764	1996-10-31	PRIJEM	\N	161	34903	UROK	\N	\N
3654790	3764	1996-11-30	PRIJEM	\N	148	35522	UROK	\N	\N
3654791	3764	1996-12-31	PRIJEM	\N	149	33111	UROK	\N	\N
3654792	3764	1997-01-31	PRIJEM	\N	134	32165	UROK	\N	\N
3654793	3764	1997-02-28	PRIJEM	\N	137	31462	UROK	\N	\N
3654794	3764	1997-03-31	PRIJEM	\N	132	32165	UROK	\N	\N
3654795	3764	1997-04-30	PRIJEM	\N	139	37794	UROK	\N	\N
3654796	3764	1997-05-31	PRIJEM	\N	159	38244	UROK	\N	\N
3654797	3764	1997-06-30	PRIJEM	\N	149	36473	UROK	\N	\N
3654798	3764	1997-07-31	PRIJEM	\N	155	37719	UROK	\N	\N
3654799	3764	1997-08-31	PRIJEM	\N	163	42673	UROK	\N	\N
3654800	3764	1997-09-30	PRIJEM	\N	179	42143	UROK	\N	\N
3654801	3764	1997-10-31	PRIJEM	\N	178	42110	UROK	\N	\N
3654802	3764	1997-11-30	PRIJEM	\N	178	42679	UROK	\N	\N
3654803	3764	1997-12-31	PRIJEM	\N	175	38714	UROK	\N	\N
3654804	3764	1998-01-31	PRIJEM	\N	157	37392	UROK	\N	\N
3654805	3764	1998-02-28	PRIJEM	\N	159	37871	UROK	\N	\N
3654806	3764	1998-03-31	PRIJEM	\N	157	35919	UROK	\N	\N
3654807	3764	1998-04-30	PRIJEM	\N	148	33557	UROK	\N	\N
3654808	3764	1998-05-31	PRIJEM	\N	141	33288	UROK	\N	\N
3654809	3764	1998-06-30	PRIJEM	\N	128	27977	UROK	\N	\N
3654810	3764	1998-07-31	PRIJEM	\N	113	24380	UROK	\N	\N
3654811	3764	1998-08-31	PRIJEM	\N	103	25473	UROK	\N	\N
3654812	3764	1998-09-30	PRIJEM	\N	111	27364	UROK	\N	\N
3654813	3764	1998-10-31	PRIJEM	\N	121	31576	UROK	\N	\N
3654814	3764	1998-11-30	PRIJEM	\N	132	32098	UROK	\N	\N
3654815	3764	1998-12-31	PRIJEM	\N	135	33174	UROK	\N	\N
3654816	3765	1997-04-30	PRIJEM	\N	37	14859	UROK	\N	\N
3654817	3765	1997-05-31	PRIJEM	\N	65	15945	UROK	\N	\N
3654818	3765	1997-06-30	PRIJEM	\N	68	15805	UROK	\N	\N
3654819	3765	1997-07-31	PRIJEM	\N	67	16024	UROK	\N	\N
3654820	3765	1997-08-31	PRIJEM	\N	70	17115	UROK	\N	\N
3654821	3765	1997-09-30	PRIJEM	\N	72	17609	UROK	\N	\N
3654822	3765	1997-10-31	PRIJEM	\N	76	18706	UROK	\N	\N
3654823	3765	1997-11-30	PRIJEM	\N	70	16197	UROK	\N	\N
3654824	3765	1997-12-31	PRIJEM	\N	58	13267	UROK	\N	\N
3654825	3765	1998-01-31	PRIJEM	\N	54	12572	UROK	\N	\N
3654826	3765	1998-02-28	PRIJEM	\N	52	12645	UROK	\N	\N
3654827	3765	1998-03-31	PRIJEM	\N	56	13722	UROK	\N	\N
3654828	3765	1998-04-30	PRIJEM	\N	60	14804	UROK	\N	\N
3654829	3765	1998-05-31	PRIJEM	\N	63	14838	UROK	\N	\N
3654830	3765	1998-06-30	PRIJEM	\N	59	13548	UROK	\N	\N
3654831	3765	1998-07-31	PRIJEM	\N	59	14629	UROK	\N	\N
3654832	3765	1998-08-31	PRIJEM	\N	64	15714	UROK	\N	\N
3654833	3765	1998-09-30	PRIJEM	\N	66	16352	UROK	\N	\N
3654834	3765	1998-10-31	PRIJEM	\N	70	16483	UROK	\N	\N
3654835	3765	1998-11-30	PRIJEM	\N	71	17576	UROK	\N	\N
3654836	3765	1998-12-31	PRIJEM	\N	73	16901	UROK	\N	\N
3654837	3766	1996-11-30	PRIJEM	\N	61	31492	UROK	\N	\N
3654838	3766	1996-12-31	PRIJEM	\N	131	31723	UROK	\N	\N
3654839	3766	1997-01-31	PRIJEM	\N	131	36054	UROK	\N	\N
3654840	3766	1997-02-28	PRIJEM	\N	131	35485	UROK	\N	\N
3654841	3766	1997-03-31	PRIJEM	\N	131	39016	UROK	\N	\N
3654842	3766	1997-04-30	PRIJEM	\N	190	59984	UROK	\N	\N
3654843	3766	1997-05-31	PRIJEM	\N	249	49433	UROK	\N	\N
3654844	3766	1997-06-30	PRIJEM	\N	266	89526	UROK	\N	\N
3654845	3766	1997-07-31	PRIJEM	\N	372	64098	UROK	\N	\N
3654846	3766	1997-08-31	PRIJEM	\N	372	52769	UROK	\N	\N
3654847	3766	1997-09-30	PRIJEM	\N	372	46941	UROK	\N	\N
3654848	3766	1997-10-31	PRIJEM	\N	369	87852	UROK	\N	\N
3654849	3766	1997-11-30	PRIJEM	\N	364	61216	UROK	\N	\N
3654850	3766	1997-12-31	PRIJEM	\N	261	44292	UROK	\N	\N
3654851	3766	1998-01-31	PRIJEM	\N	120	23666	UROK	\N	\N
3654852	3766	1998-02-28	PRIJEM	\N	99	23918	UROK	\N	\N
3654853	3766	1998-03-31	PRIJEM	\N	105	26278	UROK	\N	\N
3654854	3766	1998-04-30	PRIJEM	\N	181	50610	UROK	\N	\N
3654855	3766	1998-05-31	PRIJEM	\N	176	46075	UROK	\N	\N
3654856	3766	1998-06-30	PRIJEM	\N	262	69169	UROK	\N	\N
3654857	3766	1998-07-31	PRIJEM	\N	265	58325	UROK	\N	\N
3654858	3766	1998-08-31	PRIJEM	\N	338	61507	UROK	\N	\N
3654859	3766	1998-09-30	PRIJEM	\N	305	84587	UROK	\N	\N
3654860	3766	1998-10-31	PRIJEM	\N	282	59845	UROK	\N	\N
3654861	3766	1998-11-30	PRIJEM	\N	266	95156	UROK	\N	\N
3654862	3766	1998-12-31	PRIJEM	\N	372	107952	UROK	\N	\N
3654863	3767	1995-12-31	PRIJEM	\N	48	21202	UROK	\N	\N
3654864	3767	1996-01-31	PRIJEM	\N	103	27575	UROK	\N	\N
3654865	3767	1996-02-29	PRIJEM	\N	122	30465	UROK	\N	\N
3654866	3767	1996-03-31	PRIJEM	\N	136	34370	UROK	\N	\N
3654867	3767	1996-04-30	PRIJEM	\N	139	30403	UROK	\N	\N
3654868	3767	1996-05-31	PRIJEM	\N	131	31653	UROK	\N	\N
3654869	3767	1996-06-30	PRIJEM	\N	141	34397	UROK	\N	\N
3654870	3767	1996-07-31	PRIJEM	\N	139	32454	UROK	\N	\N
3654871	3767	1996-08-31	PRIJEM	\N	143	35215	UROK	\N	\N
3654872	3767	1996-09-30	PRIJEM	\N	167	42701	UROK	\N	\N
3654873	3767	1996-10-31	PRIJEM	\N	174	41793	UROK	\N	\N
3654874	3767	1996-11-30	PRIJEM	\N	164	38655	UROK	\N	\N
3654875	3767	1996-12-31	PRIJEM	\N	191	45469	UROK	\N	\N
3654876	3767	1997-01-31	PRIJEM	\N	188	38295	UROK	\N	\N
3654877	3767	1997-02-28	PRIJEM	\N	177	45290	UROK	\N	\N
3654878	3767	1997-03-31	PRIJEM	\N	198	46427	UROK	\N	\N
3654879	3767	1997-04-30	PRIJEM	\N	172	39437	UROK	\N	\N
3654880	3767	1997-05-31	PRIJEM	\N	185	44040	UROK	\N	\N
3654881	3767	1997-06-30	PRIJEM	\N	147	25171	UROK	\N	\N
3654882	3767	1997-07-31	PRIJEM	\N	127	31636	UROK	\N	\N
3654883	3767	1997-08-31	PRIJEM	\N	150	36545	UROK	\N	\N
3654884	3767	1997-09-30	PRIJEM	\N	156	39320	UROK	\N	\N
3654885	3767	1997-10-31	PRIJEM	\N	174	43812	UROK	\N	\N
3654886	3767	1997-11-30	PRIJEM	\N	182	42232	UROK	\N	\N
3654887	3767	1997-12-31	PRIJEM	\N	188	47303	UROK	\N	\N
3654888	3767	1998-01-31	PRIJEM	\N	173	34614	UROK	\N	\N
3654889	3767	1998-02-28	PRIJEM	\N	147	35219	UROK	\N	\N
3654890	3767	1998-03-31	PRIJEM	\N	156	36593	UROK	\N	\N
3654891	3767	1998-04-30	PRIJEM	\N	157	39769	UROK	\N	\N
3654892	3767	1998-05-31	PRIJEM	\N	192	46380	UROK	\N	\N
3654893	3767	1998-06-30	PRIJEM	\N	172	29595	UROK	\N	\N
3654894	3767	1998-07-31	PRIJEM	\N	170	45284	UROK	\N	\N
3654895	3767	1998-08-31	PRIJEM	\N	202	48405	UROK	\N	\N
3654896	3767	1998-09-30	PRIJEM	\N	187	46810	UROK	\N	\N
3654897	3767	1998-10-31	PRIJEM	\N	205	48733	UROK	\N	\N
3654898	3767	1998-11-30	PRIJEM	\N	229	49980	UROK	\N	\N
3654899	3767	1998-12-31	PRIJEM	\N	241	62224	UROK	\N	\N
3654900	3769	1996-07-31	PRIJEM	\N	36	14238	UROK	\N	\N
3654901	3769	1996-08-31	PRIJEM	\N	59	21148	UROK	\N	\N
3654902	3769	1996-09-30	PRIJEM	\N	88	24688	UROK	\N	\N
3654903	3769	1996-10-31	PRIJEM	\N	105	23794	UROK	\N	\N
3654904	3769	1996-11-30	PRIJEM	\N	103	25184	UROK	\N	\N
3654905	3769	1996-12-31	PRIJEM	\N	103	22683	UROK	\N	\N
3654906	3769	1997-01-31	PRIJEM	\N	85	12524	UROK	\N	\N
3654907	3769	1997-02-28	PRIJEM	\N	65	17375	UROK	\N	\N
3654908	3769	1997-03-31	PRIJEM	\N	76	17997	UROK	\N	\N
3654909	3769	1997-04-30	PRIJEM	\N	88	22872	UROK	\N	\N
3654910	3769	1997-05-31	PRIJEM	\N	109	27767	UROK	\N	\N
3654911	3769	1997-06-30	PRIJEM	\N	92	18146	UROK	\N	\N
3654912	3769	1997-07-31	PRIJEM	\N	84	20716	UROK	\N	\N
3654913	3769	1997-08-31	PRIJEM	\N	99	24201	UROK	\N	\N
3654914	3769	1997-09-30	PRIJEM	\N	104	24612	UROK	\N	\N
3654915	3769	1997-10-31	PRIJEM	\N	116	29514	UROK	\N	\N
3654916	3769	1997-11-30	PRIJEM	\N	123	29643	UROK	\N	\N
3654917	3769	1997-12-31	PRIJEM	\N	122	28422	UROK	\N	\N
3654918	3769	1998-01-31	PRIJEM	\N	103	21592	UROK	\N	\N
3654919	3769	1998-02-28	PRIJEM	\N	97	23195	UROK	\N	\N
3654920	3769	1998-03-31	PRIJEM	\N	107	26189	UROK	\N	\N
3654921	3769	1998-04-30	PRIJEM	\N	110	26185	UROK	\N	\N
3654922	3769	1998-05-31	PRIJEM	\N	94	21665	UROK	\N	\N
3654923	3769	1998-06-30	PRIJEM	\N	74	16626	UROK	\N	\N
3654924	3769	1998-07-31	PRIJEM	\N	72	17384	UROK	\N	\N
3654925	3769	1998-08-31	PRIJEM	\N	77	18548	UROK	\N	\N
3654926	3769	1998-09-30	PRIJEM	\N	70	16304	UROK	\N	\N
3654927	3769	1998-10-31	PRIJEM	\N	81	21171	UROK	\N	\N
3654928	3769	1998-11-30	PRIJEM	\N	95	23012	UROK	\N	\N
3654929	3769	1998-12-31	PRIJEM	\N	105	22924	UROK	\N	\N
3654930	3770	1995-10-31	PRIJEM	\N	38	23827	UROK	\N	\N
3654931	3770	1995-11-30	PRIJEM	\N	119	35835	UROK	\N	\N
3654932	3770	1995-12-31	PRIJEM	\N	165	44934	UROK	\N	\N
3654933	3770	1996-01-31	PRIJEM	\N	194	48717	UROK	\N	\N
3654934	3770	1996-02-29	PRIJEM	\N	201	45146	UROK	\N	\N
3654935	3770	1996-03-31	PRIJEM	\N	190	35251	UROK	\N	\N
3654936	3770	1996-04-30	PRIJEM	\N	154	33579	UROK	\N	\N
3654937	3770	1996-05-31	PRIJEM	\N	146	34540	UROK	\N	\N
3654938	3770	1996-06-30	PRIJEM	\N	97	17536	UROK	\N	\N
3654939	3770	1996-07-31	PRIJEM	\N	95	26226	UROK	\N	\N
3654940	3770	1996-08-31	PRIJEM	\N	128	32048	UROK	\N	\N
3654941	3770	1996-09-30	PRIJEM	\N	149	38111	UROK	\N	\N
3654942	3770	1996-10-31	PRIJEM	\N	166	40891	UROK	\N	\N
3654943	3770	1996-11-30	PRIJEM	\N	192	45998	UROK	\N	\N
3654944	3770	1996-12-31	PRIJEM	\N	203	49280	UROK	\N	\N
3654945	3770	1997-01-31	PRIJEM	\N	186	30540	UROK	\N	\N
3654946	3770	1997-02-28	PRIJEM	\N	146	34620	UROK	\N	\N
3654947	3770	1997-03-31	PRIJEM	\N	189	43924	UROK	\N	\N
3654948	3770	1997-04-30	PRIJEM	\N	188	45626	UROK	\N	\N
3654949	3770	1997-05-31	PRIJEM	\N	200	49341	UROK	\N	\N
3654950	3770	1997-06-30	PRIJEM	\N	220	48100	UROK	\N	\N
3654951	3770	1997-07-31	PRIJEM	\N	220	54534	UROK	\N	\N
3654952	3770	1997-08-31	PRIJEM	\N	239	57788	UROK	\N	\N
3654953	3770	1997-09-30	PRIJEM	\N	247	58549	UROK	\N	\N
3654954	3770	1997-10-31	PRIJEM	\N	244	57407	UROK	\N	\N
3654955	3770	1997-11-30	PRIJEM	\N	245	57666	UROK	\N	\N
3654956	3770	1997-12-31	PRIJEM	\N	253	59778	UROK	\N	\N
3654957	3770	1998-01-31	PRIJEM	\N	249	54041	UROK	\N	\N
3654958	3770	1998-02-28	PRIJEM	\N	247	58303	UROK	\N	\N
3654959	3770	1998-03-31	PRIJEM	\N	256	61174	UROK	\N	\N
3654960	3770	1998-04-30	PRIJEM	\N	269	63657	UROK	\N	\N
3654961	3770	1998-05-31	PRIJEM	\N	297	71467	UROK	\N	\N
3654962	3770	1998-06-30	PRIJEM	\N	290	66797	UROK	\N	\N
3654963	3770	1998-07-31	PRIJEM	\N	301	71713	UROK	\N	\N
3654964	3770	1998-08-31	PRIJEM	\N	332	78059	UROK	\N	\N
3654965	3770	1998-09-30	PRIJEM	\N	383	92257	UROK	\N	\N
3654966	3770	1998-10-31	PRIJEM	\N	428	102399	UROK	\N	\N
3654967	3770	1998-11-30	PRIJEM	\N	322	67335	UROK	\N	\N
3654968	3770	1998-12-31	PRIJEM	\N	346	75540	UROK	\N	\N
3654969	3771	1993-07-31	PRIJEM	\N	135	50315	UROK	\N	\N
3654970	3771	1993-08-31	PRIJEM	\N	191	44312	UROK	\N	\N
3654971	3771	1993-09-30	PRIJEM	\N	347	81708	UROK	\N	\N
3654972	3771	1993-10-31	PRIJEM	\N	326	94079	UROK	\N	\N
3654973	3771	1993-11-30	PRIJEM	\N	387	59351	UROK	\N	\N
3654974	3771	1993-12-31	PRIJEM	\N	228	33364	UROK	\N	\N
3654975	3771	1994-01-31	PRIJEM	\N	144	73889	UROK	\N	\N
3654976	3771	1994-02-28	PRIJEM	\N	304	52279	UROK	\N	\N
3654977	3771	1994-03-31	PRIJEM	\N	230	65783	UROK	\N	\N
3654978	3771	1994-04-30	PRIJEM	\N	271	45740	UROK	\N	\N
3654979	3771	1994-05-31	PRIJEM	\N	151	40199	UROK	\N	\N
3654980	3771	1994-06-30	PRIJEM	\N	166	31451	UROK	\N	\N
3654981	3771	1994-07-31	PRIJEM	\N	130	27266	UROK	\N	\N
3654982	3771	1994-08-31	PRIJEM	\N	158	39655	UROK	\N	\N
3654983	3771	1994-09-30	PRIJEM	\N	164	34005	UROK	\N	\N
3654984	3771	1994-10-31	PRIJEM	\N	168	38510	UROK	\N	\N
3654985	3771	1994-11-30	PRIJEM	\N	100	23595	UROK	\N	\N
3654986	3771	1994-12-31	PRIJEM	\N	124	46041	UROK	\N	\N
3654987	3771	1995-01-31	PRIJEM	\N	153	21238	UROK	\N	\N
3654988	3771	1995-02-28	PRIJEM	\N	88	20311	UROK	\N	\N
3654989	3771	1995-03-31	PRIJEM	\N	84	19580	UROK	\N	\N
3654990	3771	1995-04-30	PRIJEM	\N	81	22647	UROK	\N	\N
3654991	3771	1995-05-31	PRIJEM	\N	92	21762	UROK	\N	\N
3654992	3771	1995-06-30	PRIJEM	\N	90	22538	UROK	\N	\N
3654993	3771	1995-07-31	PRIJEM	\N	93	25816	UROK	\N	\N
3654994	3771	1995-08-31	PRIJEM	\N	98	23700	UROK	\N	\N
3654995	3771	1995-09-30	PRIJEM	\N	98	23283	UROK	\N	\N
3654996	3771	1995-10-31	PRIJEM	\N	99	30166	UROK	\N	\N
3654997	3771	1995-11-30	PRIJEM	\N	124	27875	UROK	\N	\N
3654998	3771	1995-12-31	PRIJEM	\N	136	37947	UROK	\N	\N
3654999	3771	1996-01-31	PRIJEM	\N	147	23379	UROK	\N	\N
3655000	3771	1996-02-29	PRIJEM	\N	96	22460	UROK	\N	\N
3655001	3771	1996-03-31	PRIJEM	\N	92	23037	UROK	\N	\N
3655002	3771	1996-04-30	PRIJEM	\N	94	22717	UROK	\N	\N
3655003	3771	1996-05-31	PRIJEM	\N	93	20695	UROK	\N	\N
3655004	3771	1996-06-30	PRIJEM	\N	85	22865	UROK	\N	\N
3655005	3771	1996-07-31	PRIJEM	\N	93	23044	UROK	\N	\N
3655006	3771	1996-08-31	PRIJEM	\N	95	27024	UROK	\N	\N
3655007	3771	1996-09-30	PRIJEM	\N	110	24819	UROK	\N	\N
3655008	3771	1996-10-31	PRIJEM	\N	102	27606	UROK	\N	\N
3655009	3771	1996-11-30	PRIJEM	\N	112	24404	UROK	\N	\N
3655010	3771	1996-12-31	PRIJEM	\N	97	22887	UROK	\N	\N
3655011	3771	1997-01-31	PRIJEM	\N	145	75845	UROK	\N	\N
3655012	3771	1997-02-28	PRIJEM	\N	284	48927	UROK	\N	\N
3655013	3771	1997-03-31	PRIJEM	\N	224	58339	UROK	\N	\N
3655014	3771	1997-04-30	PRIJEM	\N	224	58747	UROK	\N	\N
3655015	3771	1997-05-31	PRIJEM	\N	275	46160	UROK	\N	\N
3655016	3771	1997-06-30	PRIJEM	\N	245	50854	UROK	\N	\N
3655017	3771	1997-07-31	PRIJEM	\N	207	35146	UROK	\N	\N
3655018	3771	1997-08-31	PRIJEM	\N	187	83669	UROK	\N	\N
3655019	3771	1997-09-30	PRIJEM	\N	281	48430	UROK	\N	\N
3655020	3771	1997-10-31	PRIJEM	\N	221	76445	UROK	\N	\N
3655021	3771	1997-11-30	PRIJEM	\N	251	100632	UROK	\N	\N
3655022	3771	1997-12-31	PRIJEM	\N	266	60752	UROK	\N	\N
3655023	3771	1998-01-31	PRIJEM	\N	233	47245	UROK	\N	\N
3655024	3771	1998-02-28	PRIJEM	\N	226	67120	UROK	\N	\N
3655025	3771	1998-03-31	PRIJEM	\N	288	73245	UROK	\N	\N
3655026	3771	1998-04-30	PRIJEM	\N	299	78415	UROK	\N	\N
3655027	3771	1998-05-31	PRIJEM	\N	331	109087	UROK	\N	\N
3655028	3771	1998-06-30	PRIJEM	\N	355	65423	UROK	\N	\N
3655029	3771	1998-07-31	PRIJEM	\N	342	69929	UROK	\N	\N
3655030	3771	1998-08-31	PRIJEM	\N	336	141717	UROK	\N	\N
3655031	3771	1998-09-30	PRIJEM	\N	348	108079	UROK	\N	\N
3655032	3771	1998-10-31	PRIJEM	\N	427	98879	UROK	\N	\N
3655033	3771	1998-11-30	PRIJEM	\N	403	73267	UROK	\N	\N
3655034	3771	1998-12-31	PRIJEM	\N	336	94046	UROK	\N	\N
3655035	3772	1995-12-31	PRIJEM	\N	52	32313	UROK	\N	\N
3655036	3772	1996-01-31	PRIJEM	\N	147	39734	UROK	\N	\N
3655037	3772	1996-02-29	PRIJEM	\N	173	44281	UROK	\N	\N
3655038	3772	1996-03-31	PRIJEM	\N	178	40933	UROK	\N	\N
3655039	3772	1996-04-30	PRIJEM	\N	196	40928	UROK	\N	\N
3655040	3772	1996-05-31	PRIJEM	\N	192	40005	UROK	\N	\N
3655041	3772	1996-06-30	PRIJEM	\N	205	23181	UROK	\N	\N
3655042	3772	1996-07-31	PRIJEM	\N	136	31901	UROK	\N	\N
3655043	3772	1996-08-31	PRIJEM	\N	154	35639	UROK	\N	\N
3655044	3772	1996-09-30	PRIJEM	\N	169	38793	UROK	\N	\N
3655045	3772	1996-10-31	PRIJEM	\N	179	42156	UROK	\N	\N
3655046	3772	1996-11-30	PRIJEM	\N	191	45031	UROK	\N	\N
3655047	3772	1996-12-31	PRIJEM	\N	206	45709	UROK	\N	\N
3655048	3772	1997-01-31	PRIJEM	\N	166	25059	UROK	\N	\N
3655049	3772	1997-02-28	PRIJEM	\N	132	33775	UROK	\N	\N
3655050	3772	1997-03-31	PRIJEM	\N	163	37822	UROK	\N	\N
3655051	3772	1997-04-30	PRIJEM	\N	176	41482	UROK	\N	\N
3655052	3772	1997-05-31	PRIJEM	\N	176	40442	UROK	\N	\N
3655053	3772	1997-06-30	PRIJEM	\N	162	28076	UROK	\N	\N
3655054	3772	1997-07-31	PRIJEM	\N	133	32093	UROK	\N	\N
3655055	3772	1997-08-31	PRIJEM	\N	136	32213	UROK	\N	\N
3655056	3772	1997-09-30	PRIJEM	\N	178	36176	UROK	\N	\N
3655057	3772	1997-10-31	PRIJEM	\N	191	42651	UROK	\N	\N
3655058	3772	1997-11-30	PRIJEM	\N	195	49030	UROK	\N	\N
3655059	3772	1997-12-31	PRIJEM	\N	269	64671	UROK	\N	\N
3655060	3772	1998-01-31	PRIJEM	\N	237	47092	UROK	\N	\N
3655061	3772	1998-02-28	PRIJEM	\N	201	51278	UROK	\N	\N
3655062	3772	1998-03-31	PRIJEM	\N	215	44677	UROK	\N	\N
3655063	3772	1998-04-30	PRIJEM	\N	203	43664	UROK	\N	\N
3655064	3772	1998-05-31	PRIJEM	\N	191	43239	UROK	\N	\N
3655065	3772	1998-06-30	PRIJEM	\N	154	32465	UROK	\N	\N
3655066	3772	1998-07-31	PRIJEM	\N	160	33909	UROK	\N	\N
3655067	3772	1998-08-31	PRIJEM	\N	159	33052	UROK	\N	\N
3655068	3772	1998-09-30	PRIJEM	\N	143	34179	UROK	\N	\N
3655069	3772	1998-10-31	PRIJEM	\N	169	36633	UROK	\N	\N
3655070	3772	1998-11-30	PRIJEM	\N	178	38695	UROK	\N	\N
3655071	3772	1998-12-31	PRIJEM	\N	176	43443	UROK	\N	\N
3655072	3773	1997-05-31	PRIJEM	\N	22	6513	UROK	\N	\N
3655073	3773	1997-06-30	PRIJEM	\N	27	12331	UROK	\N	\N
3655074	3773	1997-07-31	PRIJEM	\N	27	18149	UROK	\N	\N
3655075	3773	1997-08-31	PRIJEM	\N	27	23967	UROK	\N	\N
3655076	3773	1997-09-30	PRIJEM	\N	77	25329	UROK	\N	\N
3655077	3773	1997-10-31	PRIJEM	\N	113	28072	UROK	\N	\N
3655078	3773	1997-11-30	PRIJEM	\N	124	30826	UROK	\N	\N
3655079	3773	1997-12-31	PRIJEM	\N	120	26867	UROK	\N	\N
3655080	3773	1998-01-31	PRIJEM	\N	102	21240	UROK	\N	\N
3655081	3773	1998-02-28	PRIJEM	\N	88	20518	UROK	\N	\N
3655082	3773	1998-03-31	PRIJEM	\N	86	20195	UROK	\N	\N
3655083	3773	1998-04-30	PRIJEM	\N	79	17944	UROK	\N	\N
3655084	3773	1998-05-31	PRIJEM	\N	82	20656	UROK	\N	\N
3655085	3773	1998-06-30	PRIJEM	\N	57	11394	UROK	\N	\N
3655086	3773	1998-07-31	PRIJEM	\N	55	14079	UROK	\N	\N
3655087	3773	1998-08-31	PRIJEM	\N	66	16775	UROK	\N	\N
3655088	3773	1998-09-30	PRIJEM	\N	75	16520	UROK	\N	\N
3655089	3773	1998-10-31	PRIJEM	\N	76	19226	UROK	\N	\N
3655090	3773	1998-11-30	PRIJEM	\N	87	21943	UROK	\N	\N
3655091	3773	1998-12-31	PRIJEM	\N	97	23320	UROK	\N	\N
3655092	3774	1996-09-30	PRIJEM	\N	6	21146	UROK	\N	\N
3655093	3774	1996-10-31	PRIJEM	\N	93	32979	UROK	\N	\N
3655094	3774	1996-11-30	PRIJEM	\N	139	38158	UROK	\N	\N
3655095	3774	1996-12-31	PRIJEM	\N	160	40127	UROK	\N	\N
3655096	3774	1997-01-31	PRIJEM	\N	166	29974	UROK	\N	\N
3655097	3774	1997-02-28	PRIJEM	\N	126	24719	UROK	\N	\N
3655098	3774	1997-03-31	PRIJEM	\N	114	25132	UROK	\N	\N
3655099	3774	1997-04-30	PRIJEM	\N	116	27348	UROK	\N	\N
3655100	3774	1997-05-31	PRIJEM	\N	118	26965	UROK	\N	\N
3655101	3774	1997-06-30	PRIJEM	\N	141	30775	UROK	\N	\N
3655102	3774	1997-07-31	PRIJEM	\N	138	31813	UROK	\N	\N
3655103	3774	1997-08-31	PRIJEM	\N	138	29050	UROK	\N	\N
3655104	3774	1997-09-30	PRIJEM	\N	120	27970	UROK	\N	\N
3655105	3774	1997-10-31	PRIJEM	\N	127	30596	UROK	\N	\N
3655106	3774	1997-11-30	PRIJEM	\N	137	32332	UROK	\N	\N
3655107	3774	1997-12-31	PRIJEM	\N	151	33533	UROK	\N	\N
3655108	3774	1998-01-31	PRIJEM	\N	111	21483	UROK	\N	\N
3655109	3774	1998-02-28	PRIJEM	\N	105	28587	UROK	\N	\N
3655110	3774	1998-03-31	PRIJEM	\N	125	27812	UROK	\N	\N
3655111	3774	1998-04-30	PRIJEM	\N	121	26833	UROK	\N	\N
3655112	3774	1998-05-31	PRIJEM	\N	109	26501	UROK	\N	\N
3655113	3774	1998-06-30	PRIJEM	\N	137	32807	UROK	\N	\N
3655114	3774	1998-07-31	PRIJEM	\N	134	32720	UROK	\N	\N
3655115	3774	1998-08-31	PRIJEM	\N	121	28741	UROK	\N	\N
3655116	3774	1998-09-30	PRIJEM	\N	120	26361	UROK	\N	\N
3655117	3774	1998-10-31	PRIJEM	\N	112	24772	UROK	\N	\N
3655118	3774	1998-11-30	PRIJEM	\N	105	23776	UROK	\N	\N
3655119	3774	1998-12-31	PRIJEM	\N	123	32429	UROK	\N	\N
3655120	3775	1993-11-30	PRIJEM	\N	28	28708	UROK	\N	\N
3655121	3775	1993-12-31	PRIJEM	\N	118	28050	UROK	\N	\N
3655122	3775	1994-01-31	PRIJEM	\N	101	22034	UROK	\N	\N
3655123	3775	1994-02-28	PRIJEM	\N	95	22822	UROK	\N	\N
3655124	3775	1994-03-31	PRIJEM	\N	104	25700	UROK	\N	\N
3655125	3775	1994-04-30	PRIJEM	\N	113	26306	UROK	\N	\N
3655126	3775	1994-05-31	PRIJEM	\N	116	26795	UROK	\N	\N
3655127	3775	1994-06-30	PRIJEM	\N	99	17507	UROK	\N	\N
3655128	3775	1994-07-31	PRIJEM	\N	81	19861	UROK	\N	\N
3655129	3775	1994-08-31	PRIJEM	\N	87	21062	UROK	\N	\N
3655130	3775	1994-09-30	PRIJEM	\N	86	21221	UROK	\N	\N
3655131	3775	1994-10-31	PRIJEM	\N	92	21287	UROK	\N	\N
3655132	3775	1994-11-30	PRIJEM	\N	93	22154	UROK	\N	\N
3655133	3775	1994-12-31	PRIJEM	\N	89	20215	UROK	\N	\N
3655134	3775	1995-01-31	PRIJEM	\N	75	14203	UROK	\N	\N
3655135	3775	1995-02-28	PRIJEM	\N	65	16042	UROK	\N	\N
3655136	3775	1995-03-31	PRIJEM	\N	73	17888	UROK	\N	\N
3655137	3775	1995-04-30	PRIJEM	\N	80	17722	UROK	\N	\N
3655138	3775	1995-05-31	PRIJEM	\N	79	18634	UROK	\N	\N
3655139	3775	1995-06-30	PRIJEM	\N	72	13510	UROK	\N	\N
3655140	3775	1995-07-31	PRIJEM	\N	66	17249	UROK	\N	\N
3655141	3775	1995-08-31	PRIJEM	\N	74	17596	UROK	\N	\N
3655142	3775	1995-09-30	PRIJEM	\N	79	19849	UROK	\N	\N
3655143	3775	1995-10-31	PRIJEM	\N	82	20625	UROK	\N	\N
3655144	3775	1995-11-30	PRIJEM	\N	80	17978	UROK	\N	\N
3655145	3775	1995-12-31	PRIJEM	\N	80	19581	UROK	\N	\N
3655146	3775	1996-01-31	PRIJEM	\N	72	15067	UROK	\N	\N
3655147	3775	1996-02-29	PRIJEM	\N	68	17208	UROK	\N	\N
3655148	3775	1996-03-31	PRIJEM	\N	81	20962	UROK	\N	\N
3655149	3775	1996-04-30	PRIJEM	\N	74	14629	UROK	\N	\N
3655150	3775	1996-05-31	PRIJEM	\N	70	16373	UROK	\N	\N
3655151	3775	1996-06-30	PRIJEM	\N	66	14462	UROK	\N	\N
3655152	3775	1996-07-31	PRIJEM	\N	69	17405	UROK	\N	\N
3655153	3775	1996-08-31	PRIJEM	\N	80	20338	UROK	\N	\N
3655154	3775	1996-09-30	PRIJEM	\N	78	17369	UROK	\N	\N
3655155	3775	1996-10-31	PRIJEM	\N	81	21124	UROK	\N	\N
3655156	3775	1996-11-30	PRIJEM	\N	97	24894	UROK	\N	\N
3655157	3775	1996-12-31	PRIJEM	\N	110	27827	UROK	\N	\N
3655158	3775	1997-01-31	PRIJEM	\N	90	18909	UROK	\N	\N
3655159	3775	1997-02-28	PRIJEM	\N	87	22670	UROK	\N	\N
3655160	3775	1997-03-31	PRIJEM	\N	103	26446	UROK	\N	\N
3655161	3775	1997-04-30	PRIJEM	\N	104	24824	UROK	\N	\N
3655162	3775	1997-05-31	PRIJEM	\N	112	28610	UROK	\N	\N
3655163	3775	1997-06-30	PRIJEM	\N	102	22735	UROK	\N	\N
3655164	3775	1997-07-31	PRIJEM	\N	91	23199	UROK	\N	\N
3655165	3775	1997-08-31	PRIJEM	\N	81	20853	UROK	\N	\N
3655166	3775	1997-09-30	PRIJEM	\N	95	24622	UROK	\N	\N
3655167	3775	1997-10-31	PRIJEM	\N	88	21983	UROK	\N	\N
3655168	3775	1997-11-30	PRIJEM	\N	89	19625	UROK	\N	\N
3655169	3775	1997-12-31	PRIJEM	\N	77	19556	UROK	\N	\N
3655170	3775	1998-01-31	PRIJEM	\N	71	15440	UROK	\N	\N
3655171	3775	1998-02-28	PRIJEM	\N	65	17499	UROK	\N	\N
3655172	3775	1998-03-31	PRIJEM	\N	76	18928	UROK	\N	\N
3655173	3775	1998-04-30	PRIJEM	\N	87	22688	UROK	\N	\N
3655174	3775	1998-05-31	PRIJEM	\N	93	23734	UROK	\N	\N
3655175	3775	1998-06-30	PRIJEM	\N	91	23299	UROK	\N	\N
3655176	3775	1998-07-31	PRIJEM	\N	83	21055	UROK	\N	\N
3655177	3775	1998-08-31	PRIJEM	\N	90	18418	UROK	\N	\N
3655178	3775	1998-09-30	PRIJEM	\N	83	19495	UROK	\N	\N
3655179	3775	1998-10-31	PRIJEM	\N	81	15750	UROK	\N	\N
3655180	3775	1998-11-30	PRIJEM	\N	71	15995	UROK	\N	\N
3655181	3775	1998-12-31	PRIJEM	\N	74	19742	UROK	\N	\N
3655182	3776	1996-11-30	PRIJEM	\N	62	27770	UROK	\N	\N
3655183	3776	1996-12-31	PRIJEM	\N	155	45086	UROK	\N	\N
3655184	3776	1997-01-31	PRIJEM	\N	192	47287	UROK	\N	\N
3655185	3776	1997-02-28	PRIJEM	\N	204	50599	UROK	\N	\N
3655186	3776	1997-03-31	PRIJEM	\N	211	47057	UROK	\N	\N
3655187	3776	1997-04-30	PRIJEM	\N	191	43141	UROK	\N	\N
3655188	3776	1997-05-31	PRIJEM	\N	176	39511	UROK	\N	\N
3655189	3776	1997-06-30	PRIJEM	\N	178	43436	UROK	\N	\N
3655190	3776	1997-07-31	PRIJEM	\N	191	46520	UROK	\N	\N
3655191	3776	1997-08-31	PRIJEM	\N	199	47012	UROK	\N	\N
3655192	3776	1997-09-30	PRIJEM	\N	230	58536	UROK	\N	\N
3655193	3776	1997-10-31	PRIJEM	\N	252	62681	UROK	\N	\N
3655194	3776	1997-11-30	PRIJEM	\N	269	64643	UROK	\N	\N
3655195	3776	1997-12-31	PRIJEM	\N	292	75183	UROK	\N	\N
3655196	3776	1998-01-31	PRIJEM	\N	297	65373	UROK	\N	\N
3655197	3776	1998-02-28	PRIJEM	\N	274	70240	UROK	\N	\N
3655198	3776	1998-03-31	PRIJEM	\N	288	70821	UROK	\N	\N
3655199	3776	1998-04-30	PRIJEM	\N	280	67894	UROK	\N	\N
3655200	3776	1998-05-31	PRIJEM	\N	282	70770	UROK	\N	\N
3655201	3776	1998-06-30	PRIJEM	\N	321	63438	UROK	\N	\N
3655202	3776	1998-07-31	PRIJEM	\N	264	67396	UROK	\N	\N
3655203	3776	1998-08-31	PRIJEM	\N	280	69169	UROK	\N	\N
3655204	3776	1998-09-30	PRIJEM	\N	284	70546	UROK	\N	\N
3655205	3776	1998-10-31	PRIJEM	\N	292	72031	UROK	\N	\N
3655206	3776	1998-11-30	PRIJEM	\N	270	66595	UROK	\N	\N
3655207	3776	1998-12-31	PRIJEM	\N	281	72623	UROK	\N	\N
3655208	3777	1995-06-30	PRIJEM	\N	53	14220	UROK	\N	\N
3655209	3777	1995-07-31	PRIJEM	\N	65	15346	UROK	\N	\N
3655210	3777	1995-08-31	PRIJEM	\N	67	15243	UROK	\N	\N
3655211	3777	1995-09-30	PRIJEM	\N	69	16372	UROK	\N	\N
3655212	3777	1995-10-31	PRIJEM	\N	68	16091	UROK	\N	\N
3655213	3777	1995-11-30	PRIJEM	\N	73	17224	UROK	\N	\N
3655214	3777	1995-12-31	PRIJEM	\N	76	17971	UROK	\N	\N
3655215	3777	1996-01-31	PRIJEM	\N	79	18270	UROK	\N	\N
3655216	3777	1996-02-29	PRIJEM	\N	82	18903	UROK	\N	\N
3655217	3777	1996-03-31	PRIJEM	\N	85	20048	UROK	\N	\N
3655218	3777	1996-04-30	PRIJEM	\N	89	21197	UROK	\N	\N
3655219	3777	1996-05-31	PRIJEM	\N	94	22352	UROK	\N	\N
3655220	3777	1996-06-30	PRIJEM	\N	83	17586	UROK	\N	\N
3655221	3777	1996-07-31	PRIJEM	\N	79	18725	UROK	\N	\N
3655222	3777	1996-08-31	PRIJEM	\N	82	18967	UROK	\N	\N
3655223	3777	1996-09-30	PRIJEM	\N	82	19269	UROK	\N	\N
3655224	3777	1996-10-31	PRIJEM	\N	86	20416	UROK	\N	\N
3655225	3777	1996-11-30	PRIJEM	\N	91	21567	UROK	\N	\N
3655226	3777	1996-12-31	PRIJEM	\N	88	20346	UROK	\N	\N
3655227	3777	1997-01-31	PRIJEM	\N	83	19209	UROK	\N	\N
3655228	3777	1997-02-28	PRIJEM	\N	86	20355	UROK	\N	\N
3655229	3777	1997-03-31	PRIJEM	\N	84	18859	UROK	\N	\N
3655230	3777	1997-04-30	PRIJEM	\N	84	20004	UROK	\N	\N
3655231	3777	1997-05-31	PRIJEM	\N	87	20042	UROK	\N	\N
3655232	3777	1997-06-30	PRIJEM	\N	85	20017	UROK	\N	\N
3655233	3777	1997-07-31	PRIJEM	\N	89	21166	UROK	\N	\N
3655234	3777	1997-08-31	PRIJEM	\N	94	22320	UROK	\N	\N
3655235	3777	1997-09-30	PRIJEM	\N	98	23479	UROK	\N	\N
3655236	3777	1997-10-31	PRIJEM	\N	103	24642	UROK	\N	\N
3655237	3777	1997-11-30	PRIJEM	\N	108	25811	UROK	\N	\N
3655238	3777	1997-12-31	PRIJEM	\N	111	26472	UROK	\N	\N
3655239	3777	1998-01-31	PRIJEM	\N	110	25212	UROK	\N	\N
3655240	3777	1998-02-28	PRIJEM	\N	110	26383	UROK	\N	\N
3655241	3777	1998-03-31	PRIJEM	\N	114	26207	UROK	\N	\N
3655242	3777	1998-04-30	PRIJEM	\N	114	27382	UROK	\N	\N
3655243	3777	1998-05-31	PRIJEM	\N	118	27480	UROK	\N	\N
3655244	3777	1998-06-30	PRIJEM	\N	100	21501	UROK	\N	\N
3655245	3777	1998-07-31	PRIJEM	\N	95	22655	UROK	\N	\N
3655246	3777	1998-08-31	PRIJEM	\N	96	22942	UROK	\N	\N
3655247	3777	1998-09-30	PRIJEM	\N	101	24103	UROK	\N	\N
3655248	3777	1998-10-31	PRIJEM	\N	105	25268	UROK	\N	\N
3655249	3777	1998-11-30	PRIJEM	\N	109	26108	UROK	\N	\N
3655250	3777	1998-12-31	PRIJEM	\N	113	27071	UROK	\N	\N
3655251	3778	1993-07-31	PRIJEM	\N	87	23985	UROK	\N	\N
3655252	3778	1993-08-31	PRIJEM	\N	188	48370	UROK	\N	\N
3655253	3778	1993-09-30	PRIJEM	\N	247	61215	UROK	\N	\N
3655254	3778	1993-10-31	PRIJEM	\N	277	67691	UROK	\N	\N
3655255	3778	1993-11-30	PRIJEM	\N	285	68639	UROK	\N	\N
3655256	3778	1993-12-31	PRIJEM	\N	308	71555	UROK	\N	\N
3655257	3778	1994-01-31	PRIJEM	\N	228	35452	UROK	\N	\N
3655258	3778	1994-02-28	PRIJEM	\N	212	55412	UROK	\N	\N
3655259	3778	1994-03-31	PRIJEM	\N	255	62116	UROK	\N	\N
3655260	3778	1994-04-30	PRIJEM	\N	264	63828	UROK	\N	\N
3655261	3778	1994-05-31	PRIJEM	\N	273	48149	UROK	\N	\N
3655262	3778	1994-06-30	PRIJEM	\N	235	43392	UROK	\N	\N
3655263	3778	1994-07-31	PRIJEM	\N	239	44279	UROK	\N	\N
3655264	3778	1994-08-31	PRIJEM	\N	241	46268	UROK	\N	\N
3655265	3778	1994-09-30	PRIJEM	\N	248	48265	UROK	\N	\N
3655266	3778	1994-10-31	PRIJEM	\N	248	46921	UROK	\N	\N
3655267	3778	1994-11-30	PRIJEM	\N	241	46731	UROK	\N	\N
3655268	3778	1994-12-31	PRIJEM	\N	276	53074	UROK	\N	\N
3655269	3778	1995-01-31	PRIJEM	\N	240	35582	UROK	\N	\N
3655270	3778	1995-02-28	PRIJEM	\N	190	39541	UROK	\N	\N
3655271	3778	1995-03-31	PRIJEM	\N	220	46909	UROK	\N	\N
3655272	3778	1995-04-30	PRIJEM	\N	240	51038	UROK	\N	\N
3655273	3778	1995-05-31	PRIJEM	\N	262	54148	UROK	\N	\N
3655274	3778	1995-06-30	PRIJEM	\N	260	46615	UROK	\N	\N
3655275	3778	1995-07-31	PRIJEM	\N	239	48423	UROK	\N	\N
3655276	3778	1995-08-31	PRIJEM	\N	251	54922	UROK	\N	\N
3655277	3778	1995-09-30	PRIJEM	\N	267	54137	UROK	\N	\N
3655278	3778	1995-10-31	PRIJEM	\N	264	54550	UROK	\N	\N
3655279	3778	1995-11-30	PRIJEM	\N	268	57866	UROK	\N	\N
3655280	3778	1995-12-31	PRIJEM	\N	310	64264	UROK	\N	\N
3655281	3778	1996-01-31	PRIJEM	\N	260	47492	UROK	\N	\N
3655282	3778	1996-02-29	PRIJEM	\N	239	52980	UROK	\N	\N
3655283	3778	1996-03-31	PRIJEM	\N	257	56185	UROK	\N	\N
3655284	3778	1996-04-30	PRIJEM	\N	272	61306	UROK	\N	\N
3655285	3778	1996-05-31	PRIJEM	\N	289	64143	UROK	\N	\N
3655286	3778	1996-06-30	PRIJEM	\N	308	26558	UROK	\N	\N
3655287	3778	1996-07-31	PRIJEM	\N	174	46480	UROK	\N	\N
3655288	3778	1996-08-31	PRIJEM	\N	236	56064	UROK	\N	\N
3655289	3778	1996-09-30	PRIJEM	\N	263	60275	UROK	\N	\N
3655290	3778	1996-10-31	PRIJEM	\N	278	63702	UROK	\N	\N
3655291	3778	1996-11-30	PRIJEM	\N	285	64535	UROK	\N	\N
3655292	3778	1996-12-31	PRIJEM	\N	315	71498	UROK	\N	\N
3655293	3778	1997-01-31	PRIJEM	\N	279	57505	UROK	\N	\N
3655294	3778	1997-02-28	PRIJEM	\N	247	58319	UROK	\N	\N
3655295	3778	1997-03-31	PRIJEM	\N	273	64741	UROK	\N	\N
3655296	3778	1997-04-30	PRIJEM	\N	291	67880	UROK	\N	\N
3655297	3778	1997-05-31	PRIJEM	\N	304	71633	UROK	\N	\N
3655298	3778	1997-06-30	PRIJEM	\N	336	77057	UROK	\N	\N
3655299	3778	1997-07-31	PRIJEM	\N	343	82148	UROK	\N	\N
3655300	3778	1997-08-31	PRIJEM	\N	354	82651	UROK	\N	\N
3655301	3778	1997-09-30	PRIJEM	\N	363	87962	UROK	\N	\N
3655302	3778	1997-10-31	PRIJEM	\N	363	82874	UROK	\N	\N
3655303	3778	1997-11-30	PRIJEM	\N	356	84178	UROK	\N	\N
3655304	3778	1997-12-31	PRIJEM	\N	389	94615	UROK	\N	\N
3655305	3778	1998-01-31	PRIJEM	\N	292	60035	UROK	\N	\N
3655306	3778	1998-02-28	PRIJEM	\N	303	76646	UROK	\N	\N
3655307	3778	1998-03-31	PRIJEM	\N	354	88548	UROK	\N	\N
3655308	3778	1998-04-30	PRIJEM	\N	394	97990	UROK	\N	\N
3655309	3778	1998-05-31	PRIJEM	\N	328	79867	UROK	\N	\N
3655310	3778	1998-06-30	PRIJEM	\N	347	80361	UROK	\N	\N
3655311	3778	1998-07-31	PRIJEM	\N	385	93915	UROK	\N	\N
3655312	3778	1998-08-31	PRIJEM	\N	411	102474	UROK	\N	\N
3655313	3778	1998-09-30	PRIJEM	\N	331	76753	UROK	\N	\N
3655314	3778	1998-10-31	PRIJEM	\N	370	92972	UROK	\N	\N
3655315	3778	1998-11-30	PRIJEM	\N	395	96115	UROK	\N	\N
3655316	3778	1998-12-31	PRIJEM	\N	416	96579	UROK	\N	\N
3655317	3779	1995-08-31	PRIJEM	\N	57	16961	UROK	\N	\N
3655318	3779	1995-09-30	PRIJEM	\N	108	27773	UROK	\N	\N
3655319	3779	1995-10-31	PRIJEM	\N	136	33813	UROK	\N	\N
3655320	3779	1995-11-30	PRIJEM	\N	180	45197	UROK	\N	\N
3655321	3779	1995-12-31	PRIJEM	\N	192	44714	UROK	\N	\N
3655322	3779	1996-01-31	PRIJEM	\N	163	28985	UROK	\N	\N
3655323	3779	1996-02-29	PRIJEM	\N	164	40657	UROK	\N	\N
3655324	3779	1996-03-31	PRIJEM	\N	171	35737	UROK	\N	\N
3655325	3779	1996-04-30	PRIJEM	\N	167	40112	UROK	\N	\N
3655326	3779	1996-05-31	PRIJEM	\N	175	37895	UROK	\N	\N
3655327	3779	1996-06-30	PRIJEM	\N	177	39182	UROK	\N	\N
3655328	3779	1996-07-31	PRIJEM	\N	194	47385	UROK	\N	\N
3655329	3779	1996-08-31	PRIJEM	\N	203	48396	UROK	\N	\N
3655330	3779	1996-09-30	PRIJEM	\N	207	50511	UROK	\N	\N
3655331	3779	1996-10-31	PRIJEM	\N	216	42935	UROK	\N	\N
3655332	3779	1996-11-30	PRIJEM	\N	202	43446	UROK	\N	\N
3655333	3779	1996-12-31	PRIJEM	\N	226	47282	UROK	\N	\N
3655334	3779	1997-01-31	PRIJEM	\N	177	32068	UROK	\N	\N
3655335	3779	1997-02-28	PRIJEM	\N	162	39738	UROK	\N	\N
3655336	3779	1997-03-31	PRIJEM	\N	188	40635	UROK	\N	\N
3655337	3779	1997-04-30	PRIJEM	\N	195	41738	UROK	\N	\N
3655338	3779	1997-05-31	PRIJEM	\N	197	41044	UROK	\N	\N
3655339	3779	1997-06-30	PRIJEM	\N	190	30144	UROK	\N	\N
3655340	3779	1997-07-31	PRIJEM	\N	149	27801	UROK	\N	\N
3655341	3779	1997-08-31	PRIJEM	\N	142	32452	UROK	\N	\N
3655342	3779	1997-09-30	PRIJEM	\N	161	36921	UROK	\N	\N
3655343	3779	1997-10-31	PRIJEM	\N	177	39606	UROK	\N	\N
3655344	3779	1997-11-30	PRIJEM	\N	186	40201	UROK	\N	\N
3655345	3779	1997-12-31	PRIJEM	\N	204	42715	UROK	\N	\N
3655346	3779	1998-01-31	PRIJEM	\N	173	29597	UROK	\N	\N
3655347	3779	1998-02-28	PRIJEM	\N	150	35854	UROK	\N	\N
3655348	3779	1998-03-31	PRIJEM	\N	170	38133	UROK	\N	\N
3655349	3779	1998-04-30	PRIJEM	\N	180	39821	UROK	\N	\N
3655350	3779	1998-05-31	PRIJEM	\N	189	43418	UROK	\N	\N
3655351	3779	1998-06-30	PRIJEM	\N	209	28437	UROK	\N	\N
3655352	3779	1998-07-31	PRIJEM	\N	156	43502	UROK	\N	\N
3655353	3779	1998-08-31	PRIJEM	\N	211	52921	UROK	\N	\N
3655354	3779	1998-09-30	PRIJEM	\N	239	54568	UROK	\N	\N
3655355	3779	1998-10-31	PRIJEM	\N	241	54118	UROK	\N	\N
3655356	3779	1998-11-30	PRIJEM	\N	248	58873	UROK	\N	\N
3655357	3779	1998-12-31	PRIJEM	\N	270	59153	UROK	\N	\N
3655358	3780	1996-02-29	PRIJEM	\N	18	18334	UROK	\N	\N
3655359	3780	1996-03-31	PRIJEM	\N	82	23688	UROK	\N	\N
3655360	3780	1996-04-30	PRIJEM	\N	102	19951	UROK	\N	\N
3655361	3780	1996-05-31	PRIJEM	\N	92	21289	UROK	\N	\N
3655362	3780	1996-06-30	PRIJEM	\N	90	19225	UROK	\N	\N
3655363	3780	1996-07-31	PRIJEM	\N	83	16454	UROK	\N	\N
3655364	3780	1996-08-31	PRIJEM	\N	68	11968	UROK	\N	\N
3655365	3780	1996-09-30	PRIJEM	\N	55	11970	UROK	\N	\N
3655366	3780	1996-10-31	PRIJEM	\N	53	10569	UROK	\N	\N
3655367	3780	1996-11-30	PRIJEM	\N	56	15171	UROK	\N	\N
3655368	3780	1996-12-31	PRIJEM	\N	67	13234	UROK	\N	\N
3655369	3780	1997-01-31	PRIJEM	\N	58	12658	UROK	\N	\N
3655370	3780	1997-02-28	PRIJEM	\N	64	17369	UROK	\N	\N
3655371	3780	1997-03-31	PRIJEM	\N	74	15990	UROK	\N	\N
3655372	3780	1997-04-30	PRIJEM	\N	66	12282	UROK	\N	\N
3655373	3780	1997-05-31	PRIJEM	\N	58	14186	UROK	\N	\N
3655374	3780	1997-06-30	PRIJEM	\N	66	13298	UROK	\N	\N
3655375	3780	1997-07-31	PRIJEM	\N	57	12501	UROK	\N	\N
3655376	3780	1997-08-31	PRIJEM	\N	64	17212	UROK	\N	\N
3655377	3780	1997-09-30	PRIJEM	\N	65	12463	UROK	\N	\N
3655378	3780	1997-10-31	PRIJEM	\N	57	14167	UROK	\N	\N
3655379	3780	1997-11-30	PRIJEM	\N	60	13673	UROK	\N	\N
3655380	3780	1997-12-31	PRIJEM	\N	53	11673	UROK	\N	\N
3655381	3780	1998-01-31	PRIJEM	\N	54	12773	UROK	\N	\N
3655382	3780	1998-02-28	PRIJEM	\N	56	13636	UROK	\N	\N
3655383	3780	1998-03-31	PRIJEM	\N	58	13440	UROK	\N	\N
3655384	3780	1998-04-30	PRIJEM	\N	54	12741	UROK	\N	\N
3655385	3780	1998-05-31	PRIJEM	\N	59	13886	UROK	\N	\N
3655386	3780	1998-06-30	PRIJEM	\N	54	12586	UROK	\N	\N
3655387	3780	1998-07-31	PRIJEM	\N	59	14992	UROK	\N	\N
3655388	3780	1998-08-31	PRIJEM	\N	49	10387	UROK	\N	\N
3655389	3780	1998-09-30	PRIJEM	\N	56	14790	UROK	\N	\N
3655390	3780	1998-10-31	PRIJEM	\N	69	17506	UROK	\N	\N
3655391	3780	1998-11-30	PRIJEM	\N	73	17525	UROK	\N	\N
3655392	3780	1998-12-31	PRIJEM	\N	80	18951	UROK	\N	\N
3655393	3781	1993-04-30	PRIJEM	\N	21	25654	UROK	\N	\N
3655394	3781	1993-05-31	PRIJEM	\N	117	36705	UROK	\N	\N
3655395	3781	1993-06-30	PRIJEM	\N	162	46216	UROK	\N	\N
3655396	3781	1993-07-31	PRIJEM	\N	192	46140	UROK	\N	\N
3655397	3781	1993-08-31	PRIJEM	\N	193	47366	UROK	\N	\N
3655398	3781	1993-09-30	PRIJEM	\N	218	46102	UROK	\N	\N
3655399	3781	1993-10-31	PRIJEM	\N	210	43429	UROK	\N	\N
3655400	3781	1993-11-30	PRIJEM	\N	186	41833	UROK	\N	\N
3655401	3781	1993-12-31	PRIJEM	\N	208	46134	UROK	\N	\N
3655402	3781	1994-01-31	PRIJEM	\N	201	44472	UROK	\N	\N
3655403	3781	1994-02-28	PRIJEM	\N	192	39282	UROK	\N	\N
3655404	3781	1994-03-31	PRIJEM	\N	181	38081	UROK	\N	\N
3655405	3781	1994-04-30	PRIJEM	\N	184	43082	UROK	\N	\N
3655406	3781	1994-05-31	PRIJEM	\N	196	42896	UROK	\N	\N
3655407	3781	1994-06-30	PRIJEM	\N	147	26936	UROK	\N	\N
3655408	3781	1994-07-31	PRIJEM	\N	140	34093	UROK	\N	\N
3655409	3781	1994-08-31	PRIJEM	\N	157	38387	UROK	\N	\N
3655410	3781	1994-09-30	PRIJEM	\N	171	38875	UROK	\N	\N
3655411	3781	1994-10-31	PRIJEM	\N	181	43174	UROK	\N	\N
3655412	3781	1994-11-30	PRIJEM	\N	192	45083	UROK	\N	\N
3655413	3781	1994-12-31	PRIJEM	\N	207	47204	UROK	\N	\N
3655414	3781	1995-01-31	PRIJEM	\N	210	50531	UROK	\N	\N
3655415	3781	1995-02-28	PRIJEM	\N	214	50262	UROK	\N	\N
3655416	3781	1995-03-31	PRIJEM	\N	213	48493	UROK	\N	\N
3655417	3781	1995-04-30	PRIJEM	\N	211	50222	UROK	\N	\N
3655418	3781	1995-05-31	PRIJEM	\N	222	53561	UROK	\N	\N
3655419	3781	1995-06-30	PRIJEM	\N	227	44562	UROK	\N	\N
3655420	3781	1995-07-31	PRIJEM	\N	201	49781	UROK	\N	\N
3655421	3781	1995-08-31	PRIJEM	\N	225	56423	UROK	\N	\N
3655422	3781	1995-09-30	PRIJEM	\N	223	54903	UROK	\N	\N
3655423	3781	1995-10-31	PRIJEM	\N	228	52608	UROK	\N	\N
3655424	3781	1995-11-30	PRIJEM	\N	258	68584	UROK	\N	\N
3655425	3781	1995-12-31	PRIJEM	\N	323	83461	UROK	\N	\N
3655426	3781	1996-01-31	PRIJEM	\N	351	84129	UROK	\N	\N
3655427	3781	1996-02-29	PRIJEM	\N	358	91005	UROK	\N	\N
3655428	3781	1996-03-31	PRIJEM	\N	370	89513	UROK	\N	\N
3655429	3781	1996-04-30	PRIJEM	\N	379	95509	UROK	\N	\N
3655430	3781	1996-05-31	PRIJEM	\N	378	93464	UROK	\N	\N
3655431	3781	1996-06-30	PRIJEM	\N	361	84998	UROK	\N	\N
3655432	3781	1996-07-31	PRIJEM	\N	344	86900	UROK	\N	\N
3655433	3781	1996-08-31	PRIJEM	\N	343	85860	UROK	\N	\N
3655434	3781	1996-09-30	PRIJEM	\N	352	89229	UROK	\N	\N
3655435	3781	1996-10-31	PRIJEM	\N	359	90506	UROK	\N	\N
3655436	3781	1996-11-30	PRIJEM	\N	357	85921	UROK	\N	\N
3655437	3781	1996-12-31	PRIJEM	\N	377	100231	UROK	\N	\N
3655438	3781	1997-01-31	PRIJEM	\N	387	95935	UROK	\N	\N
3655439	3781	1997-02-28	PRIJEM	\N	368	91620	UROK	\N	\N
3655440	3781	1997-03-31	PRIJEM	\N	362	92800	UROK	\N	\N
3655441	3781	1997-04-30	PRIJEM	\N	376	94993	UROK	\N	\N
3655442	3781	1997-05-31	PRIJEM	\N	356	86566	UROK	\N	\N
3655443	3781	1997-06-30	PRIJEM	\N	322	88162	UROK	\N	\N
3655444	3781	1997-07-31	PRIJEM	\N	351	91331	UROK	\N	\N
3655445	3781	1997-08-31	PRIJEM	\N	381	97029	UROK	\N	\N
3655446	3781	1997-09-30	PRIJEM	\N	381	97428	UROK	\N	\N
3655447	3781	1997-10-31	PRIJEM	\N	384	96929	UROK	\N	\N
3655448	3781	1997-11-30	PRIJEM	\N	376	98022	UROK	\N	\N
3655449	3781	1997-12-31	PRIJEM	\N	334	66690	UROK	\N	\N
3655450	3781	1998-01-31	PRIJEM	\N	313	73420	UROK	\N	\N
3655451	3781	1998-02-28	PRIJEM	\N	342	90080	UROK	\N	\N
3655452	3781	1998-03-31	PRIJEM	\N	367	77964	UROK	\N	\N
3655453	3781	1998-04-30	PRIJEM	\N	358	77740	UROK	\N	\N
3655454	3781	1998-05-31	PRIJEM	\N	356	79713	UROK	\N	\N
3655455	3781	1998-06-30	PRIJEM	\N	343	69970	UROK	\N	\N
3655456	3781	1998-07-31	PRIJEM	\N	322	73109	UROK	\N	\N
3655457	3781	1998-08-31	PRIJEM	\N	331	73058	UROK	\N	\N
3655458	3781	1998-09-30	PRIJEM	\N	335	70110	UROK	\N	\N
3655459	3781	1998-10-31	PRIJEM	\N	307	70535	UROK	\N	\N
3655460	3781	1998-11-30	PRIJEM	\N	320	75272	UROK	\N	\N
3655461	3781	1998-12-31	PRIJEM	\N	368	100774	UROK	\N	\N
3655462	3782	1997-04-30	PRIJEM	\N	60	28882	UROK	\N	\N
3655463	3782	1997-05-31	PRIJEM	\N	155	45359	UROK	\N	\N
3655464	3782	1997-06-30	PRIJEM	\N	218	58861	UROK	\N	\N
3655465	3782	1997-07-31	PRIJEM	\N	252	62335	UROK	\N	\N
3655466	3782	1997-08-31	PRIJEM	\N	260	62464	UROK	\N	\N
3655467	3782	1997-09-30	PRIJEM	\N	271	67676	UROK	\N	\N
3655468	3782	1997-10-31	PRIJEM	\N	274	42082	UROK	\N	\N
3655469	3782	1997-11-30	PRIJEM	\N	152	26514	UROK	\N	\N
3655470	3782	1997-12-31	PRIJEM	\N	156	33571	UROK	\N	\N
3655471	3782	1998-01-31	PRIJEM	\N	116	19828	UROK	\N	\N
3655472	3782	1998-02-28	PRIJEM	\N	130	41599	UROK	\N	\N
3655473	3782	1998-03-31	PRIJEM	\N	201	53941	UROK	\N	\N
3655474	3782	1998-04-30	PRIJEM	\N	205	43487	UROK	\N	\N
3655475	3782	1998-05-31	PRIJEM	\N	208	55536	UROK	\N	\N
3655476	3782	1998-06-30	PRIJEM	\N	241	43497	UROK	\N	\N
3655477	3782	1998-07-31	PRIJEM	\N	180	46319	UROK	\N	\N
3655478	3782	1998-08-31	PRIJEM	\N	190	43950	UROK	\N	\N
3655479	3782	1998-09-30	PRIJEM	\N	213	58104	UROK	\N	\N
3655480	3782	1998-10-31	PRIJEM	\N	254	65199	UROK	\N	\N
3655481	3782	1998-11-30	PRIJEM	\N	256	65796	UROK	\N	\N
3655482	3782	1998-12-31	PRIJEM	\N	300	75698	UROK	\N	\N
3655483	3783	1995-12-31	PRIJEM	\N	9	22522	UROK	\N	\N
3655484	3783	1996-01-31	PRIJEM	\N	97	29194	UROK	\N	\N
3655485	3783	1996-02-29	PRIJEM	\N	122	30691	UROK	\N	\N
3655486	3783	1996-03-31	PRIJEM	\N	128	32594	UROK	\N	\N
3655487	3783	1996-04-30	PRIJEM	\N	137	31666	UROK	\N	\N
3655488	3783	1996-05-31	PRIJEM	\N	147	35932	UROK	\N	\N
3655489	3783	1996-06-30	PRIJEM	\N	137	22026	UROK	\N	\N
3655490	3783	1996-07-31	PRIJEM	\N	103	28408	UROK	\N	\N
3655491	3783	1996-08-31	PRIJEM	\N	131	30959	UROK	\N	\N
3655492	3783	1996-09-30	PRIJEM	\N	141	32719	UROK	\N	\N
3655493	3783	1996-10-31	PRIJEM	\N	131	31269	UROK	\N	\N
3655494	3783	1996-11-30	PRIJEM	\N	139	30628	UROK	\N	\N
3655495	3783	1996-12-31	PRIJEM	\N	142	28807	UROK	\N	\N
3655496	3783	1997-01-31	PRIJEM	\N	118	25924	UROK	\N	\N
3655497	3783	1997-02-28	PRIJEM	\N	122	30265	UROK	\N	\N
3655498	3783	1997-03-31	PRIJEM	\N	132	27717	UROK	\N	\N
3655499	3783	1997-04-30	PRIJEM	\N	127	30464	UROK	\N	\N
3655500	3783	1997-05-31	PRIJEM	\N	134	30537	UROK	\N	\N
3655501	3783	1997-06-30	PRIJEM	\N	143	31937	UROK	\N	\N
3655502	3783	1997-07-31	PRIJEM	\N	146	35702	UROK	\N	\N
3655503	3783	1997-08-31	PRIJEM	\N	142	24624	UROK	\N	\N
3655504	3783	1997-09-30	PRIJEM	\N	111	26054	UROK	\N	\N
3655505	3783	1997-10-31	PRIJEM	\N	117	27791	UROK	\N	\N
3655506	3783	1997-11-30	PRIJEM	\N	118	26228	UROK	\N	\N
3655507	3783	1997-12-31	PRIJEM	\N	118	28383	UROK	\N	\N
3655508	3783	1998-01-31	PRIJEM	\N	102	21985	UROK	\N	\N
3655509	3783	1998-02-28	PRIJEM	\N	93	20998	UROK	\N	\N
3655510	3783	1998-03-31	PRIJEM	\N	87	18304	UROK	\N	\N
3655511	3783	1998-04-30	PRIJEM	\N	78	17842	UROK	\N	\N
3655512	3783	1998-05-31	PRIJEM	\N	86	21647	UROK	\N	\N
3655513	3783	1998-06-30	PRIJEM	\N	88	19832	UROK	\N	\N
3655514	3783	1998-07-31	PRIJEM	\N	85	20097	UROK	\N	\N
3655515	3783	1998-08-31	PRIJEM	\N	88	21004	UROK	\N	\N
3655516	3783	1998-09-30	PRIJEM	\N	95	23618	UROK	\N	\N
3655517	3783	1998-10-31	PRIJEM	\N	98	22935	UROK	\N	\N
3655518	3783	1998-11-30	PRIJEM	\N	106	27061	UROK	\N	\N
3655519	3783	1998-12-31	PRIJEM	\N	106	23123	UROK	\N	\N
3655520	3784	1996-02-29	PRIJEM	\N	21	16136	UROK	\N	\N
3655521	3784	1996-03-31	PRIJEM	\N	74	21025	UROK	\N	\N
3655522	3784	1996-04-30	PRIJEM	\N	97	28337	UROK	\N	\N
3655523	3784	1996-05-31	PRIJEM	\N	118	28770	UROK	\N	\N
3655524	3784	1996-06-30	PRIJEM	\N	119	22851	UROK	\N	\N
3655525	3784	1996-07-31	PRIJEM	\N	89	16798	UROK	\N	\N
3655526	3784	1996-08-31	PRIJEM	\N	67	15622	UROK	\N	\N
3655527	3784	1996-09-30	PRIJEM	\N	72	17452	UROK	\N	\N
3655528	3784	1996-10-31	PRIJEM	\N	87	22996	UROK	\N	\N
3655529	3784	1996-11-30	PRIJEM	\N	107	26761	UROK	\N	\N
3655530	3784	1996-12-31	PRIJEM	\N	129	31054	UROK	\N	\N
3655531	3784	1997-01-31	PRIJEM	\N	99	21210	UROK	\N	\N
3655532	3784	1997-02-28	PRIJEM	\N	99	24466	UROK	\N	\N
3655533	3784	1997-03-31	PRIJEM	\N	110	26433	UROK	\N	\N
3655534	3784	1997-04-30	PRIJEM	\N	123	30813	UROK	\N	\N
3655535	3784	1997-05-31	PRIJEM	\N	135	32406	UROK	\N	\N
3655536	3784	1997-06-30	PRIJEM	\N	143	33213	UROK	\N	\N
3655537	3784	1997-07-31	PRIJEM	\N	126	25696	UROK	\N	\N
3655538	3784	1997-08-31	PRIJEM	\N	100	18753	UROK	\N	\N
3655539	3784	1997-09-30	PRIJEM	\N	89	21999	UROK	\N	\N
3655540	3784	1997-10-31	PRIJEM	\N	99	20155	UROK	\N	\N
3655541	3784	1997-11-30	PRIJEM	\N	84	19296	UROK	\N	\N
3655542	3784	1997-12-31	PRIJEM	\N	88	20349	UROK	\N	\N
3655543	3784	1998-01-31	PRIJEM	\N	73	13579	UROK	\N	\N
3655544	3784	1998-02-28	PRIJEM	\N	76	20812	UROK	\N	\N
3655545	3784	1998-03-31	PRIJEM	\N	93	22463	UROK	\N	\N
3655546	3784	1998-04-30	PRIJEM	\N	96	22716	UROK	\N	\N
3655547	3784	1998-05-31	PRIJEM	\N	99	23672	UROK	\N	\N
3655548	3784	1998-06-30	PRIJEM	\N	113	18550	UROK	\N	\N
3655549	3784	1998-07-31	PRIJEM	\N	95	24102	UROK	\N	\N
3655550	3784	1998-08-31	PRIJEM	\N	137	35396	UROK	\N	\N
3655551	3784	1998-09-30	PRIJEM	\N	169	42222	UROK	\N	\N
3655552	3784	1998-10-31	PRIJEM	\N	177	42857	UROK	\N	\N
3655553	3784	1998-11-30	PRIJEM	\N	169	40083	UROK	\N	\N
3655554	3784	1998-12-31	PRIJEM	\N	165	39012	UROK	\N	\N
3655555	3785	1993-04-30	PRIJEM	\N	28	25570	UROK	\N	\N
3655556	3785	1993-05-31	PRIJEM	\N	120	37033	UROK	\N	\N
3655557	3785	1993-06-30	PRIJEM	\N	168	48464	UROK	\N	\N
3655558	3785	1993-07-31	PRIJEM	\N	200	47506	UROK	\N	\N
3655559	3785	1993-08-31	PRIJEM	\N	209	43374	UROK	\N	\N
3655560	3785	1993-09-30	PRIJEM	\N	199	41118	UROK	\N	\N
3655561	3785	1993-10-31	PRIJEM	\N	189	42333	UROK	\N	\N
3655562	3785	1993-11-30	PRIJEM	\N	193	43651	UROK	\N	\N
3655563	3785	1993-12-31	PRIJEM	\N	214	48231	UROK	\N	\N
3655564	3785	1994-01-31	PRIJEM	\N	196	34533	UROK	\N	\N
3655565	3785	1994-02-28	PRIJEM	\N	160	37818	UROK	\N	\N
3655566	3785	1994-03-31	PRIJEM	\N	180	42623	UROK	\N	\N
3655567	3785	1994-04-30	PRIJEM	\N	190	43138	UROK	\N	\N
3655568	3785	1994-05-31	PRIJEM	\N	195	45158	UROK	\N	\N
3655569	3785	1994-06-30	PRIJEM	\N	241	34645	UROK	\N	\N
3655570	3785	1994-07-31	PRIJEM	\N	155	39646	UROK	\N	\N
3655571	3785	1994-08-31	PRIJEM	\N	187	43219	UROK	\N	\N
3655572	3785	1994-09-30	PRIJEM	\N	200	46404	UROK	\N	\N
3655573	3785	1994-10-31	PRIJEM	\N	206	50235	UROK	\N	\N
3655574	3785	1994-11-30	PRIJEM	\N	207	48768	UROK	\N	\N
3655575	3785	1994-12-31	PRIJEM	\N	227	56941	UROK	\N	\N
3655576	3785	1995-01-31	PRIJEM	\N	214	30041	UROK	\N	\N
3655577	3785	1995-02-28	PRIJEM	\N	151	38237	UROK	\N	\N
3655578	3785	1995-03-31	PRIJEM	\N	181	46643	UROK	\N	\N
3655579	3785	1995-04-30	PRIJEM	\N	204	51273	UROK	\N	\N
3655580	3785	1995-05-31	PRIJEM	\N	255	56053	UROK	\N	\N
3655581	3785	1995-06-30	PRIJEM	\N	239	35538	UROK	\N	\N
3655582	3785	1995-07-31	PRIJEM	\N	177	46540	UROK	\N	\N
3655583	3785	1995-08-31	PRIJEM	\N	214	52480	UROK	\N	\N
3655584	3785	1995-09-30	PRIJEM	\N	235	58040	UROK	\N	\N
3655585	3785	1995-10-31	PRIJEM	\N	245	60311	UROK	\N	\N
3655586	3785	1995-11-30	PRIJEM	\N	285	73861	UROK	\N	\N
3655587	3785	1995-12-31	PRIJEM	\N	363	93071	UROK	\N	\N
3655588	3785	1996-01-31	PRIJEM	\N	346	73702	UROK	\N	\N
3655589	3785	1996-02-29	PRIJEM	\N	334	84181	UROK	\N	\N
3655590	3785	1996-03-31	PRIJEM	\N	374	92080	UROK	\N	\N
3655591	3785	1996-04-30	PRIJEM	\N	402	98608	UROK	\N	\N
3655592	3785	1996-05-31	PRIJEM	\N	411	99044	UROK	\N	\N
3655593	3785	1996-06-30	PRIJEM	\N	252	39322	UROK	\N	\N
3655594	3785	1996-07-31	PRIJEM	\N	252	69500	UROK	\N	\N
3655595	3785	1996-08-31	PRIJEM	\N	328	82753	UROK	\N	\N
3655596	3785	1996-09-30	PRIJEM	\N	374	93152	UROK	\N	\N
3655597	3785	1996-10-31	PRIJEM	\N	393	98731	UROK	\N	\N
3655598	3785	1996-11-30	PRIJEM	\N	419	97475	UROK	\N	\N
3655599	3785	1996-12-31	PRIJEM	\N	369	80731	UROK	\N	\N
3655600	3785	1997-01-31	PRIJEM	\N	287	59823	UROK	\N	\N
3655601	3785	1997-02-28	PRIJEM	\N	321	85870	UROK	\N	\N
3655602	3785	1997-03-31	PRIJEM	\N	386	96181	UROK	\N	\N
3655603	3785	1997-04-30	PRIJEM	\N	427	106234	UROK	\N	\N
3655604	3785	1997-05-31	PRIJEM	\N	361	75740	UROK	\N	\N
3655605	3785	1997-06-30	PRIJEM	\N	363	91510	UROK	\N	\N
3655606	3785	1997-07-31	PRIJEM	\N	416	105052	UROK	\N	\N
3655607	3785	1997-08-31	PRIJEM	\N	331	74908	UROK	\N	\N
3655608	3785	1997-09-30	PRIJEM	\N	349	89783	UROK	\N	\N
3655609	3785	1997-10-31	PRIJEM	\N	413	95921	UROK	\N	\N
3655610	3785	1997-11-30	PRIJEM	\N	439	102466	UROK	\N	\N
3655611	3785	1997-12-31	PRIJEM	\N	424	96696	UROK	\N	\N
3655612	3785	1998-01-31	PRIJEM	\N	409	94091	UROK	\N	\N
3655613	3785	1998-02-28	PRIJEM	\N	426	108842	UROK	\N	\N
3655614	3785	1998-03-31	PRIJEM	\N	458	106025	UROK	\N	\N
3655615	3785	1998-04-30	PRIJEM	\N	410	103261	UROK	\N	\N
3655616	3785	1998-05-31	PRIJEM	\N	434	110420	UROK	\N	\N
3655617	3785	1998-06-30	PRIJEM	\N	366	89473	UROK	\N	\N
3655618	3785	1998-07-31	PRIJEM	\N	416	111914	UROK	\N	\N
3655619	3785	1998-08-31	PRIJEM	\N	419	104919	UROK	\N	\N
3655620	3785	1998-09-30	PRIJEM	\N	352	88996	UROK	\N	\N
3655621	3785	1998-10-31	PRIJEM	\N	408	110149	UROK	\N	\N
3655622	3785	1998-11-30	PRIJEM	\N	355	97730	UROK	\N	\N
3655623	3785	1998-12-31	PRIJEM	\N	306	64642	UROK	\N	\N
3655624	3787	1993-03-31	PRIJEM	\N	35	23585	UROK	\N	\N
3655625	3787	1993-04-30	PRIJEM	\N	112	32446	UROK	\N	\N
3655626	3787	1993-05-31	PRIJEM	\N	144	38240	UROK	\N	\N
3655627	3787	1993-06-30	PRIJEM	\N	175	47740	UROK	\N	\N
3655628	3787	1993-07-31	PRIJEM	\N	203	42886	UROK	\N	\N
3655629	3787	1993-08-31	PRIJEM	\N	187	40302	UROK	\N	\N
3655630	3787	1993-09-30	PRIJEM	\N	188	38818	UROK	\N	\N
3655631	3787	1993-10-31	PRIJEM	\N	178	42524	UROK	\N	\N
3655632	3787	1993-11-30	PRIJEM	\N	187	44039	UROK	\N	\N
3655633	3787	1993-12-31	PRIJEM	\N	220	45762	UROK	\N	\N
3655634	3787	1994-01-31	PRIJEM	\N	191	40182	UROK	\N	\N
3655635	3787	1994-02-28	PRIJEM	\N	174	42184	UROK	\N	\N
3655636	3787	1994-03-31	PRIJEM	\N	178	40190	UROK	\N	\N
3655637	3787	1994-04-30	PRIJEM	\N	180	43898	UROK	\N	\N
3655638	3787	1994-05-31	PRIJEM	\N	184	42210	UROK	\N	\N
3655639	3787	1994-06-30	PRIJEM	\N	176	40090	UROK	\N	\N
3655640	3787	1994-07-31	PRIJEM	\N	178	43896	UROK	\N	\N
3655641	3787	1994-08-31	PRIJEM	\N	159	32283	UROK	\N	\N
3655642	3787	1994-09-30	PRIJEM	\N	144	34356	UROK	\N	\N
3655643	3787	1994-10-31	PRIJEM	\N	162	36546	UROK	\N	\N
3655644	3787	1994-11-30	PRIJEM	\N	144	31818	UROK	\N	\N
3655645	3787	1994-12-31	PRIJEM	\N	155	39676	UROK	\N	\N
3655646	3787	1995-01-31	PRIJEM	\N	156	29161	UROK	\N	\N
3655647	3787	1995-02-28	PRIJEM	\N	134	32823	UROK	\N	\N
3655648	3787	1995-03-31	PRIJEM	\N	140	33991	UROK	\N	\N
3655649	3787	1995-04-30	PRIJEM	\N	141	33561	UROK	\N	\N
3655650	3787	1995-05-31	PRIJEM	\N	144	34733	UROK	\N	\N
3655651	3787	1995-06-30	PRIJEM	\N	110	21247	UROK	\N	\N
3655652	3787	1995-07-31	PRIJEM	\N	122	31797	UROK	\N	\N
3655653	3787	1995-08-31	PRIJEM	\N	149	36575	UROK	\N	\N
3655654	3787	1995-09-30	PRIJEM	\N	172	37875	UROK	\N	\N
3655655	3787	1995-10-31	PRIJEM	\N	165	38168	UROK	\N	\N
3655656	3787	1995-11-30	PRIJEM	\N	188	44384	UROK	\N	\N
3655657	3787	1995-12-31	PRIJEM	\N	240	58527	UROK	\N	\N
3655658	3787	1996-01-31	PRIJEM	\N	232	53988	UROK	\N	\N
3655659	3787	1996-02-29	PRIJEM	\N	232	55048	UROK	\N	\N
3655660	3787	1996-03-31	PRIJEM	\N	249	60425	UROK	\N	\N
3655661	3787	1996-04-30	PRIJEM	\N	245	57898	UROK	\N	\N
3655662	3787	1996-05-31	PRIJEM	\N	250	60277	UROK	\N	\N
3655663	3787	1996-06-30	PRIJEM	\N	226	48706	UROK	\N	\N
3655664	3787	1996-07-31	PRIJEM	\N	231	56566	UROK	\N	\N
3655665	3787	1996-08-31	PRIJEM	\N	247	59841	UROK	\N	\N
3655666	3787	1996-09-30	PRIJEM	\N	262	63632	UROK	\N	\N
3655667	3787	1996-10-31	PRIJEM	\N	261	61221	UROK	\N	\N
3655668	3787	1996-11-30	PRIJEM	\N	259	64008	UROK	\N	\N
3655669	3787	1996-12-31	PRIJEM	\N	296	51207	UROK	\N	\N
3655670	3787	1997-01-31	PRIJEM	\N	235	45571	UROK	\N	\N
3655671	3787	1997-02-28	PRIJEM	\N	224	62323	UROK	\N	\N
3655672	3787	1997-03-31	PRIJEM	\N	232	45783	UROK	\N	\N
3655673	3787	1997-04-30	PRIJEM	\N	239	43351	UROK	\N	\N
3655674	3787	1997-05-31	PRIJEM	\N	210	43889	UROK	\N	\N
3655675	3787	1997-06-30	PRIJEM	\N	231	44924	UROK	\N	\N
3655676	3787	1997-07-31	PRIJEM	\N	215	42467	UROK	\N	\N
3655677	3787	1997-08-31	PRIJEM	\N	198	37094	UROK	\N	\N
3655678	3787	1997-09-30	PRIJEM	\N	182	39804	UROK	\N	\N
3655679	3787	1997-10-31	PRIJEM	\N	192	41824	UROK	\N	\N
3655680	3787	1997-11-30	PRIJEM	\N	202	47054	UROK	\N	\N
3655681	3787	1997-12-31	PRIJEM	\N	243	55700	UROK	\N	\N
3655682	3787	1998-01-31	PRIJEM	\N	242	38071	UROK	\N	\N
3655683	3787	1998-02-28	PRIJEM	\N	184	44984	UROK	\N	\N
3655684	3787	1998-03-31	PRIJEM	\N	214	45126	UROK	\N	\N
3655685	3787	1998-04-30	PRIJEM	\N	209	46463	UROK	\N	\N
3655686	3787	1998-05-31	PRIJEM	\N	210	44702	UROK	\N	\N
3655687	3787	1998-06-30	PRIJEM	\N	193	43699	UROK	\N	\N
3655688	3787	1998-07-31	PRIJEM	\N	202	46929	UROK	\N	\N
3655689	3787	1998-08-31	PRIJEM	\N	225	51383	UROK	\N	\N
3655690	3787	1998-09-30	PRIJEM	\N	230	54141	UROK	\N	\N
3655691	3787	1998-10-31	PRIJEM	\N	239	55808	UROK	\N	\N
3655692	3787	1998-11-30	PRIJEM	\N	258	57094	UROK	\N	\N
3655693	3787	1998-12-31	PRIJEM	\N	295	81793	UROK	\N	\N
3655694	3789	1996-09-30	PRIJEM	\N	44	22652	UROK	\N	\N
3655695	3789	1996-10-31	PRIJEM	\N	147	58398	UROK	\N	\N
3655696	3789	1996-11-30	PRIJEM	\N	256	77790	UROK	\N	\N
3655697	3789	1996-12-31	PRIJEM	\N	323	52913	UROK	\N	\N
3655698	3789	1997-01-31	PRIJEM	\N	323	38436	UROK	\N	\N
3655699	3789	1997-02-28	PRIJEM	\N	323	31759	UROK	\N	\N
3655700	3789	1997-03-31	PRIJEM	\N	323	32182	UROK	\N	\N
3655701	3789	1997-04-30	PRIJEM	\N	294	53511	UROK	\N	\N
3655702	3789	1997-05-31	PRIJEM	\N	177	33730	UROK	\N	\N
3655703	3789	1997-06-30	PRIJEM	\N	116	21034	UROK	\N	\N
3655704	3789	1997-07-31	PRIJEM	\N	81	18256	UROK	\N	\N
3655705	3789	1997-08-31	PRIJEM	\N	83	21081	UROK	\N	\N
3655706	3789	1997-09-30	PRIJEM	\N	124	26392	UROK	\N	\N
3655707	3789	1997-10-31	PRIJEM	\N	103	24037	UROK	\N	\N
3655708	3789	1997-11-30	PRIJEM	\N	96	21747	UROK	\N	\N
3655709	3789	1997-12-31	PRIJEM	\N	96	23784	UROK	\N	\N
3655710	3789	1998-01-31	PRIJEM	\N	147	31051	UROK	\N	\N
3655711	3789	1998-02-28	PRIJEM	\N	165	46372	UROK	\N	\N
3655712	3789	1998-03-31	PRIJEM	\N	303	103441	UROK	\N	\N
3655713	3789	1998-04-30	PRIJEM	\N	307	61489	UROK	\N	\N
3655714	3789	1998-05-31	PRIJEM	\N	341	65208	UROK	\N	\N
3655715	3789	1998-06-30	PRIJEM	\N	191	25898	UROK	\N	\N
3655716	3789	1998-07-31	PRIJEM	\N	225	67770	UROK	\N	\N
3655717	3789	1998-08-31	PRIJEM	\N	198	42099	UROK	\N	\N
3655718	3789	1998-09-30	PRIJEM	\N	221	78838	UROK	\N	\N
3655719	3789	1998-10-31	PRIJEM	\N	226	88377	UROK	\N	\N
3655720	3789	1998-11-30	PRIJEM	\N	355	100498	UROK	\N	\N
3655721	3789	1998-12-31	PRIJEM	\N	268	46696	UROK	\N	\N
3655722	3791	1996-05-31	PRIJEM	\N	98	28178	UROK	\N	\N
3655723	3791	1996-06-30	PRIJEM	\N	249	66347	UROK	\N	\N
3655724	3791	1996-07-31	PRIJEM	\N	295	71922	UROK	\N	\N
3655725	3791	1996-08-31	PRIJEM	\N	294	71596	UROK	\N	\N
3655726	3791	1996-09-30	PRIJEM	\N	223	19992	UROK	\N	\N
3655727	3791	1996-10-31	PRIJEM	\N	128	28740	UROK	\N	\N
3655728	3791	1996-11-30	PRIJEM	\N	185	37213	UROK	\N	\N
3655729	3791	1996-12-31	PRIJEM	\N	169	31032	UROK	\N	\N
3655730	3791	1997-01-31	PRIJEM	\N	126	19746	UROK	\N	\N
3655731	3791	1997-02-28	PRIJEM	\N	109	22525	UROK	\N	\N
3655732	3791	1997-03-31	PRIJEM	\N	154	35636	UROK	\N	\N
3655733	3791	1997-04-30	PRIJEM	\N	206	38130	UROK	\N	\N
3655734	3791	1997-05-31	PRIJEM	\N	158	29211	UROK	\N	\N
3655735	3791	1997-06-30	PRIJEM	\N	209	39560	UROK	\N	\N
3655736	3791	1997-07-31	PRIJEM	\N	222	42670	UROK	\N	\N
3655737	3791	1997-08-31	PRIJEM	\N	226	40185	UROK	\N	\N
3655738	3791	1997-09-30	PRIJEM	\N	224	45996	UROK	\N	\N
3655739	3791	1997-10-31	PRIJEM	\N	241	46025	UROK	\N	\N
3655740	3791	1997-11-30	PRIJEM	\N	213	32670	UROK	\N	\N
3655741	3791	1997-12-31	PRIJEM	\N	222	42520	UROK	\N	\N
3655742	3791	1998-01-31	PRIJEM	\N	193	28002	UROK	\N	\N
3655743	3791	1998-02-28	PRIJEM	\N	164	35617	UROK	\N	\N
3655744	3791	1998-03-31	PRIJEM	\N	188	36546	UROK	\N	\N
3655745	3791	1998-04-30	PRIJEM	\N	197	24444	UROK	\N	\N
3655746	3791	1998-05-31	PRIJEM	\N	146	26978	UROK	\N	\N
3655747	3791	1998-06-30	PRIJEM	\N	142	28554	UROK	\N	\N
3655748	3791	1998-07-31	PRIJEM	\N	178	42320	UROK	\N	\N
3655749	3791	1998-08-31	PRIJEM	\N	218	40473	UROK	\N	\N
3655750	3791	1998-09-30	PRIJEM	\N	194	23749	UROK	\N	\N
3655751	3791	1998-10-31	PRIJEM	\N	164	42301	UROK	\N	\N
3655752	3791	1998-11-30	PRIJEM	\N	229	54018	UROK	\N	\N
3655753	3791	1998-12-31	PRIJEM	\N	289	58935	UROK	\N	\N
3655754	3792	1993-08-31	PRIJEM	\N	15	5592	UROK	\N	\N
3655755	3792	1993-09-30	PRIJEM	\N	23	10892	UROK	\N	\N
3655756	3792	1993-10-31	PRIJEM	\N	23	16192	UROK	\N	\N
3655757	3792	1993-11-30	PRIJEM	\N	23	21493	UROK	\N	\N
3655758	3792	1993-12-31	PRIJEM	\N	78	25748	UROK	\N	\N
3655759	3792	1994-01-31	PRIJEM	\N	91	19924	UROK	\N	\N
3655760	3792	1994-02-28	PRIJEM	\N	87	21756	UROK	\N	\N
3655761	3792	1994-03-31	PRIJEM	\N	95	23595	UROK	\N	\N
3655762	3792	1994-04-30	PRIJEM	\N	103	25443	UROK	\N	\N
3655763	3792	1994-05-31	PRIJEM	\N	105	25932	UROK	\N	\N
3655764	3792	1994-06-30	PRIJEM	\N	105	25882	UROK	\N	\N
3655765	3792	1994-07-31	PRIJEM	\N	103	25249	UROK	\N	\N
3655766	3792	1994-08-31	PRIJEM	\N	104	25598	UROK	\N	\N
3655767	3792	1994-09-30	PRIJEM	\N	107	25989	UROK	\N	\N
3655768	3792	1994-10-31	PRIJEM	\N	106	26039	UROK	\N	\N
3655769	3792	1994-11-30	PRIJEM	\N	112	26776	UROK	\N	\N
3655770	3792	1994-12-31	PRIJEM	\N	106	25976	UROK	\N	\N
3655771	3792	1995-01-31	PRIJEM	\N	88	19189	UROK	\N	\N
3655772	3792	1995-02-28	PRIJEM	\N	84	21017	UROK	\N	\N
3655773	3792	1995-03-31	PRIJEM	\N	92	22854	UROK	\N	\N
3655774	3792	1995-04-30	PRIJEM	\N	90	22129	UROK	\N	\N
3655775	3792	1995-05-31	PRIJEM	\N	97	23970	UROK	\N	\N
3655776	3792	1995-06-30	PRIJEM	\N	102	25616	UROK	\N	\N
3655777	3792	1995-07-31	PRIJEM	\N	96	23236	UROK	\N	\N
3655778	3792	1995-08-31	PRIJEM	\N	101	25081	UROK	\N	\N
3655779	3792	1995-09-30	PRIJEM	\N	101	23887	UROK	\N	\N
3655780	3792	1995-10-31	PRIJEM	\N	100	21731	UROK	\N	\N
3655781	3792	1995-11-30	PRIJEM	\N	93	19009	UROK	\N	\N
3655782	3792	1995-12-31	PRIJEM	\N	81	17085	UROK	\N	\N
3655783	3792	1996-01-31	PRIJEM	\N	68	14737	UROK	\N	\N
3655784	3792	1996-02-29	PRIJEM	\N	64	13745	UROK	\N	\N
3655785	3792	1996-03-31	PRIJEM	\N	61	14451	UROK	\N	\N
3655786	3792	1996-04-30	PRIJEM	\N	61	14016	UROK	\N	\N
3655787	3792	1996-05-31	PRIJEM	\N	60	11820	UROK	\N	\N
3655788	3792	1996-06-30	PRIJEM	\N	53	13617	UROK	\N	\N
3655789	3792	1996-07-31	PRIJEM	\N	60	14922	UROK	\N	\N
3655790	3792	1996-08-31	PRIJEM	\N	66	16732	UROK	\N	\N
3655791	3792	1996-09-30	PRIJEM	\N	69	12426	UROK	\N	\N
3655792	3792	1996-10-31	PRIJEM	\N	56	14226	UROK	\N	\N
3655793	3792	1996-11-30	PRIJEM	\N	62	15232	UROK	\N	\N
3655794	3792	1996-12-31	PRIJEM	\N	66	15242	UROK	\N	\N
3655795	3792	1997-01-31	PRIJEM	\N	62	14329	UROK	\N	\N
3655796	3792	1997-02-28	PRIJEM	\N	63	16136	UROK	\N	\N
3655797	3792	1997-03-31	PRIJEM	\N	67	14848	UROK	\N	\N
3655798	3792	1997-04-30	PRIJEM	\N	64	16056	UROK	\N	\N
3655799	3792	1997-05-31	PRIJEM	\N	66	14567	UROK	\N	\N
3655800	3792	1997-06-30	PRIJEM	\N	60	13471	UROK	\N	\N
3655801	3792	1997-07-31	PRIJEM	\N	59	15275	UROK	\N	\N
3655802	3792	1997-08-31	PRIJEM	\N	67	17086	UROK	\N	\N
3655803	3792	1997-09-30	PRIJEM	\N	72	17302	UROK	\N	\N
3655804	3792	1997-10-31	PRIJEM	\N	71	16617	UROK	\N	\N
3655805	3792	1997-11-30	PRIJEM	\N	70	15471	UROK	\N	\N
3655806	3792	1997-12-31	PRIJEM	\N	62	14478	UROK	\N	\N
3655807	3792	1998-01-31	PRIJEM	\N	63	15246	UROK	\N	\N
3655808	3792	1998-02-28	PRIJEM	\N	64	15454	UROK	\N	\N
3655809	3792	1998-03-31	PRIJEM	\N	62	14260	UROK	\N	\N
3655810	3792	1998-04-30	PRIJEM	\N	58	14162	UROK	\N	\N
3655811	3792	1998-05-31	PRIJEM	\N	62	15968	UROK	\N	\N
3655812	3792	1998-06-30	PRIJEM	\N	68	17381	UROK	\N	\N
3655813	3792	1998-07-31	PRIJEM	\N	73	18298	UROK	\N	\N
3655814	3792	1998-08-31	PRIJEM	\N	69	15812	UROK	\N	\N
3655815	3792	1998-09-30	PRIJEM	\N	68	17624	UROK	\N	\N
3655816	3792	1998-10-31	PRIJEM	\N	76	19444	UROK	\N	\N
3655817	3792	1998-11-30	PRIJEM	\N	76	15585	UROK	\N	\N
3655818	3792	1998-12-31	PRIJEM	\N	66	16996	UROK	\N	\N
3655819	3793	1996-07-31	PRIJEM	\N	9	17381	UROK	\N	\N
3655820	3793	1996-08-31	PRIJEM	\N	78	26132	UROK	\N	\N
3655821	3793	1996-09-30	PRIJEM	\N	113	32116	UROK	\N	\N
3655822	3793	1996-10-31	PRIJEM	\N	135	33923	UROK	\N	\N
3655823	3793	1996-11-30	PRIJEM	\N	148	30037	UROK	\N	\N
3655824	3793	1996-12-31	PRIJEM	\N	148	32322	UROK	\N	\N
3655825	3793	1997-01-31	PRIJEM	\N	115	25788	UROK	\N	\N
3655826	3793	1997-02-28	PRIJEM	\N	123	33863	UROK	\N	\N
3655827	3793	1997-03-31	PRIJEM	\N	144	34058	UROK	\N	\N
3655828	3793	1997-04-30	PRIJEM	\N	150	31360	UROK	\N	\N
3655829	3793	1997-05-31	PRIJEM	\N	131	29543	UROK	\N	\N
3655830	3793	1997-06-30	PRIJEM	\N	134	18214	UROK	\N	\N
3655831	3793	1997-07-31	PRIJEM	\N	90	23656	UROK	\N	\N
3655832	3793	1997-08-31	PRIJEM	\N	106	26414	UROK	\N	\N
3655833	3793	1997-09-30	PRIJEM	\N	115	24180	UROK	\N	\N
3655834	3793	1997-10-31	PRIJEM	\N	113	27943	UROK	\N	\N
3655835	3793	1997-11-30	PRIJEM	\N	124	28918	UROK	\N	\N
3655836	3793	1997-12-31	PRIJEM	\N	134	32389	UROK	\N	\N
3655837	3793	1998-01-31	PRIJEM	\N	111	16552	UROK	\N	\N
3655838	3793	1998-02-28	PRIJEM	\N	80	20483	UROK	\N	\N
3655839	3793	1998-03-31	PRIJEM	\N	94	22228	UROK	\N	\N
3655840	3793	1998-04-30	PRIJEM	\N	101	24080	UROK	\N	\N
3655841	3793	1998-05-31	PRIJEM	\N	101	21632	UROK	\N	\N
3655842	3793	1998-06-30	PRIJEM	\N	106	25776	UROK	\N	\N
3655843	3793	1998-07-31	PRIJEM	\N	102	21929	UROK	\N	\N
3655844	3793	1998-08-31	PRIJEM	\N	83	15363	UROK	\N	\N
3655845	3793	1998-09-30	PRIJEM	\N	78	20892	UROK	\N	\N
3655846	3793	1998-10-31	PRIJEM	\N	81	16524	UROK	\N	\N
3655847	3793	1998-11-30	PRIJEM	\N	67	14842	UROK	\N	\N
3655848	3793	1998-12-31	PRIJEM	\N	91	25970	UROK	\N	\N
3655849	3794	1997-02-28	PRIJEM	\N	60	19198	UROK	\N	\N
3655850	3794	1997-03-31	PRIJEM	\N	160	44296	UROK	\N	\N
3655851	3794	1997-04-30	PRIJEM	\N	221	55955	UROK	\N	\N
3655852	3794	1997-05-31	PRIJEM	\N	245	59838	UROK	\N	\N
3655853	3794	1997-06-30	PRIJEM	\N	222	48431	UROK	\N	\N
3655854	3794	1997-07-31	PRIJEM	\N	209	50727	UROK	\N	\N
3655855	3794	1997-08-31	PRIJEM	\N	221	53735	UROK	\N	\N
3655856	3794	1997-09-30	PRIJEM	\N	206	45828	UROK	\N	\N
3655857	3794	1997-10-31	PRIJEM	\N	177	40993	UROK	\N	\N
3655858	3794	1997-11-30	PRIJEM	\N	154	40035	UROK	\N	\N
3655859	3794	1997-12-31	PRIJEM	\N	190	35181	UROK	\N	\N
3655860	3794	1998-01-31	PRIJEM	\N	158	33326	UROK	\N	\N
3655861	3794	1998-02-28	PRIJEM	\N	179	47693	UROK	\N	\N
3655862	3794	1998-03-31	PRIJEM	\N	196	36076	UROK	\N	\N
3655863	3794	1998-04-30	PRIJEM	\N	190	36853	UROK	\N	\N
3655864	3794	1998-05-31	PRIJEM	\N	187	36828	UROK	\N	\N
3655865	3794	1998-06-30	PRIJEM	\N	194	32178	UROK	\N	\N
3655866	3794	1998-07-31	PRIJEM	\N	173	37338	UROK	\N	\N
3655867	3794	1998-08-31	PRIJEM	\N	192	40417	UROK	\N	\N
3655868	3794	1998-09-30	PRIJEM	\N	206	48411	UROK	\N	\N
3655869	3794	1998-10-31	PRIJEM	\N	221	50919	UROK	\N	\N
3655870	3794	1998-11-30	PRIJEM	\N	244	52651	UROK	\N	\N
3655871	3794	1998-12-31	PRIJEM	\N	292	75399	UROK	\N	\N
3655872	3795	1996-04-30	PRIJEM	\N	46	23556	UROK	\N	\N
3655873	3795	1996-05-31	PRIJEM	\N	118	33784	UROK	\N	\N
3655874	3795	1996-06-30	PRIJEM	\N	159	42708	UROK	\N	\N
3655875	3795	1996-07-31	PRIJEM	\N	171	39789	UROK	\N	\N
3655876	3795	1996-08-31	PRIJEM	\N	159	35939	UROK	\N	\N
3655877	3795	1996-09-30	PRIJEM	\N	152	33948	UROK	\N	\N
3655878	3795	1996-10-31	PRIJEM	\N	173	37219	UROK	\N	\N
3655879	3795	1996-11-30	PRIJEM	\N	156	34572	UROK	\N	\N
3655880	3795	1996-12-31	PRIJEM	\N	138	30802	UROK	\N	\N
3655881	3795	1997-01-31	PRIJEM	\N	95	17535	UROK	\N	\N
3655882	3795	1997-02-28	PRIJEM	\N	86	21998	UROK	\N	\N
3655883	3795	1997-03-31	PRIJEM	\N	106	25462	UROK	\N	\N
3655884	3795	1997-04-30	PRIJEM	\N	123	29983	UROK	\N	\N
3655885	3795	1997-05-31	PRIJEM	\N	145	35725	UROK	\N	\N
3655886	3795	1997-06-30	PRIJEM	\N	164	38942	UROK	\N	\N
3655887	3795	1997-07-31	PRIJEM	\N	163	38002	UROK	\N	\N
3655888	3795	1997-08-31	PRIJEM	\N	168	40668	UROK	\N	\N
3655889	3795	1997-09-30	PRIJEM	\N	169	40234	UROK	\N	\N
3655890	3795	1997-10-31	PRIJEM	\N	170	40921	UROK	\N	\N
3655891	3795	1997-11-30	PRIJEM	\N	201	50319	UROK	\N	\N
3655892	3795	1997-12-31	PRIJEM	\N	248	63200	UROK	\N	\N
3655893	3795	1998-01-31	PRIJEM	\N	233	53991	UROK	\N	\N
3655894	3795	1998-02-28	PRIJEM	\N	227	55515	UROK	\N	\N
3655895	3795	1998-03-31	PRIJEM	\N	226	54539	UROK	\N	\N
3655896	3795	1998-04-30	PRIJEM	\N	219	53355	UROK	\N	\N
3655897	3795	1998-05-31	PRIJEM	\N	187	43100	UROK	\N	\N
3655898	3795	1998-06-30	PRIJEM	\N	218	52730	UROK	\N	\N
3655899	3795	1998-07-31	PRIJEM	\N	223	55550	UROK	\N	\N
3655900	3795	1998-08-31	PRIJEM	\N	237	59084	UROK	\N	\N
3655901	3795	1998-09-30	PRIJEM	\N	242	59924	UROK	\N	\N
3655902	3795	1998-10-31	PRIJEM	\N	237	58458	UROK	\N	\N
3655903	3795	1998-11-30	PRIJEM	\N	237	58592	UROK	\N	\N
3655904	3795	1998-12-31	PRIJEM	\N	246	61030	UROK	\N	\N
3655905	3796	1993-06-30	PRIJEM	\N	21	21783	UROK	\N	\N
3655906	3796	1993-07-31	PRIJEM	\N	100	30258	UROK	\N	\N
3655907	3796	1993-08-31	PRIJEM	\N	134	37367	UROK	\N	\N
3655908	3796	1993-09-30	PRIJEM	\N	159	40501	UROK	\N	\N
3655909	3796	1993-10-31	PRIJEM	\N	177	37652	UROK	\N	\N
3655910	3796	1993-11-30	PRIJEM	\N	179	34790	UROK	\N	\N
3655911	3796	1993-12-31	PRIJEM	\N	182	35918	UROK	\N	\N
3655912	3796	1994-01-31	PRIJEM	\N	119	22297	UROK	\N	\N
3655913	3796	1994-02-28	PRIJEM	\N	106	26163	UROK	\N	\N
3655914	3796	1994-03-31	PRIJEM	\N	123	21945	UROK	\N	\N
3655915	3796	1994-04-30	PRIJEM	\N	116	26921	UROK	\N	\N
3655916	3796	1994-05-31	PRIJEM	\N	141	31021	UROK	\N	\N
3655917	3796	1994-06-30	PRIJEM	\N	154	21722	UROK	\N	\N
3655918	3796	1994-07-31	PRIJEM	\N	107	25989	UROK	\N	\N
3655919	3796	1994-08-31	PRIJEM	\N	130	27578	UROK	\N	\N
3655920	3796	1994-09-30	PRIJEM	\N	132	32669	UROK	\N	\N
3655921	3796	1994-10-31	PRIJEM	\N	141	31569	UROK	\N	\N
3655922	3796	1994-11-30	PRIJEM	\N	128	30257	UROK	\N	\N
3655923	3796	1994-12-31	PRIJEM	\N	150	34353	UROK	\N	\N
3655924	3796	1995-01-31	PRIJEM	\N	141	26454	UROK	\N	\N
3655925	3796	1995-02-28	PRIJEM	\N	134	32347	UROK	\N	\N
3655926	3796	1995-03-31	PRIJEM	\N	158	36564	UROK	\N	\N
3655927	3796	1995-04-30	PRIJEM	\N	163	36087	UROK	\N	\N
3655928	3796	1995-05-31	PRIJEM	\N	158	37405	UROK	\N	\N
3655929	3796	1995-06-30	PRIJEM	\N	150	16902	UROK	\N	\N
3655930	3796	1995-07-31	PRIJEM	\N	103	26364	UROK	\N	\N
3655931	3796	1995-08-31	PRIJEM	\N	124	30847	UROK	\N	\N
3655932	3796	1995-09-30	PRIJEM	\N	145	36452	UROK	\N	\N
3655933	3796	1995-10-31	PRIJEM	\N	167	40379	UROK	\N	\N
3655934	3796	1995-11-30	PRIJEM	\N	168	35506	UROK	\N	\N
3655935	3796	1995-12-31	PRIJEM	\N	177	44029	UROK	\N	\N
3655936	3796	1996-01-31	PRIJEM	\N	165	30754	UROK	\N	\N
3655937	3796	1996-02-29	PRIJEM	\N	147	35360	UROK	\N	\N
3655938	3796	1996-03-31	PRIJEM	\N	154	37473	UROK	\N	\N
3655939	3796	1996-04-30	PRIJEM	\N	167	34600	UROK	\N	\N
3655940	3796	1996-05-31	PRIJEM	\N	158	39617	UROK	\N	\N
3655941	3796	1996-06-30	PRIJEM	\N	200	44364	UROK	\N	\N
3655942	3796	1996-07-31	PRIJEM	\N	219	48142	UROK	\N	\N
3655943	3796	1996-08-31	PRIJEM	\N	231	50732	UROK	\N	\N
3655944	3796	1996-09-30	PRIJEM	\N	232	50524	UROK	\N	\N
3655945	3796	1996-10-31	PRIJEM	\N	208	50391	UROK	\N	\N
3655946	3796	1996-11-30	PRIJEM	\N	208	50759	UROK	\N	\N
3655947	3796	1996-12-31	PRIJEM	\N	234	58439	UROK	\N	\N
3655948	3796	1997-01-31	PRIJEM	\N	189	37287	UROK	\N	\N
3655949	3796	1997-02-28	PRIJEM	\N	172	43718	UROK	\N	\N
3655950	3796	1997-03-31	PRIJEM	\N	196	49074	UROK	\N	\N
3655951	3796	1997-04-30	PRIJEM	\N	224	44157	UROK	\N	\N
3655952	3796	1997-05-31	PRIJEM	\N	213	54429	UROK	\N	\N
3655953	3796	1997-06-30	PRIJEM	\N	244	56618	UROK	\N	\N
3655954	3796	1997-07-31	PRIJEM	\N	239	58617	UROK	\N	\N
3655955	3796	1997-08-31	PRIJEM	\N	277	62353	UROK	\N	\N
3655956	3796	1997-09-30	PRIJEM	\N	269	66381	UROK	\N	\N
3655957	3796	1997-10-31	PRIJEM	\N	303	68543	UROK	\N	\N
3655958	3796	1997-11-30	PRIJEM	\N	270	67973	UROK	\N	\N
3655959	3796	1997-12-31	PRIJEM	\N	327	65346	UROK	\N	\N
3655960	3796	1998-01-31	PRIJEM	\N	252	53957	UROK	\N	\N
3655961	3796	1998-02-28	PRIJEM	\N	267	61483	UROK	\N	\N
3655962	3796	1998-03-31	PRIJEM	\N	266	60609	UROK	\N	\N
3655963	3796	1998-04-30	PRIJEM	\N	292	60460	UROK	\N	\N
3655964	3796	1998-05-31	PRIJEM	\N	266	56585	UROK	\N	\N
3655965	3796	1998-06-30	PRIJEM	\N	220	51852	UROK	\N	\N
3655966	3796	1998-07-31	PRIJEM	\N	245	53856	UROK	\N	\N
3655967	3796	1998-08-31	PRIJEM	\N	238	55454	UROK	\N	\N
3655968	3796	1998-09-30	PRIJEM	\N	245	57058	UROK	\N	\N
3655969	3796	1998-10-31	PRIJEM	\N	255	63572	UROK	\N	\N
3655970	3796	1998-11-30	PRIJEM	\N	283	67515	UROK	\N	\N
3655971	3796	1998-12-31	PRIJEM	\N	327	74488	UROK	\N	\N
3655972	3798	1997-09-30	PRIJEM	\N	11	16154	UROK	\N	\N
3655973	3798	1997-10-31	PRIJEM	\N	73	22970	UROK	\N	\N
3655974	3798	1997-11-30	PRIJEM	\N	101	29814	UROK	\N	\N
3655975	3798	1997-12-31	PRIJEM	\N	133	39211	UROK	\N	\N
3655976	3798	1998-01-31	PRIJEM	\N	159	27336	UROK	\N	\N
3655977	3798	1998-02-28	PRIJEM	\N	125	24234	UROK	\N	\N
3655978	3798	1998-03-31	PRIJEM	\N	131	23698	UROK	\N	\N
3655979	3798	1998-04-30	PRIJEM	\N	132	27864	UROK	\N	\N
3655980	3798	1998-05-31	PRIJEM	\N	132	24409	UROK	\N	\N
3655981	3798	1998-06-30	PRIJEM	\N	104	16608	UROK	\N	\N
3655982	3798	1998-07-31	PRIJEM	\N	70	14731	UROK	\N	\N
3655983	3798	1998-08-31	PRIJEM	\N	78	19842	UROK	\N	\N
3655984	3798	1998-09-30	PRIJEM	\N	83	13118	UROK	\N	\N
3655985	3798	1998-10-31	PRIJEM	\N	81	15332	UROK	\N	\N
3655986	3798	1998-11-30	PRIJEM	\N	76	17842	UROK	\N	\N
3655987	3798	1998-12-31	PRIJEM	\N	111	28968	UROK	\N	\N
3655988	3799	1996-12-31	PRIJEM	\N	10	24706	UROK	\N	\N
3655989	3799	1997-01-31	PRIJEM	\N	109	36379	UROK	\N	\N
3655990	3799	1997-02-28	PRIJEM	\N	153	40896	UROK	\N	\N
3655991	3799	1997-03-31	PRIJEM	\N	170	42130	UROK	\N	\N
3655992	3799	1997-04-30	PRIJEM	\N	209	41490	UROK	\N	\N
3655993	3799	1997-05-31	PRIJEM	\N	177	36004	UROK	\N	\N
3655994	3799	1997-06-30	PRIJEM	\N	204	19178	UROK	\N	\N
3655995	3799	1997-07-31	PRIJEM	\N	118	30033	UROK	\N	\N
3655996	3799	1997-08-31	PRIJEM	\N	162	39733	UROK	\N	\N
3655997	3799	1997-09-30	PRIJEM	\N	198	43868	UROK	\N	\N
3655998	3799	1997-10-31	PRIJEM	\N	210	47315	UROK	\N	\N
3655999	3799	1997-11-30	PRIJEM	\N	224	46377	UROK	\N	\N
3656000	3799	1997-12-31	PRIJEM	\N	237	50883	UROK	\N	\N
3656001	3799	1998-01-31	PRIJEM	\N	235	48855	UROK	\N	\N
3656002	3799	1998-02-28	PRIJEM	\N	231	49323	UROK	\N	\N
3656003	3799	1998-03-31	PRIJEM	\N	222	42082	UROK	\N	\N
3656004	3799	1998-04-30	PRIJEM	\N	203	44023	UROK	\N	\N
3656005	3799	1998-05-31	PRIJEM	\N	190	36351	UROK	\N	\N
3656006	3799	1998-06-30	PRIJEM	\N	137	23257	UROK	\N	\N
3656007	3799	1998-07-31	PRIJEM	\N	120	22514	UROK	\N	\N
3656008	3799	1998-08-31	PRIJEM	\N	121	26173	UROK	\N	\N
3656009	3799	1998-09-30	PRIJEM	\N	125	26235	UROK	\N	\N
3656010	3799	1998-10-31	PRIJEM	\N	133	28005	UROK	\N	\N
3656011	3799	1998-11-30	PRIJEM	\N	134	27776	UROK	\N	\N
3656012	3799	1998-12-31	PRIJEM	\N	148	28394	UROK	\N	\N
3656013	3800	1996-10-31	PRIJEM	\N	31	14624	UROK	\N	\N
3656014	3800	1996-11-30	PRIJEM	\N	74	20491	UROK	\N	\N
3656015	3800	1996-12-31	PRIJEM	\N	96	25478	UROK	\N	\N
3656016	3800	1997-01-31	PRIJEM	\N	109	26880	UROK	\N	\N
3656017	3800	1997-02-28	PRIJEM	\N	117	28462	UROK	\N	\N
3656018	3800	1997-03-31	PRIJEM	\N	111	22523	UROK	\N	\N
3656019	3800	1997-04-30	PRIJEM	\N	96	22770	UROK	\N	\N
3656020	3800	1997-05-31	PRIJEM	\N	86	17566	UROK	\N	\N
3656021	3800	1997-06-30	PRIJEM	\N	85	20698	UROK	\N	\N
3656022	3800	1997-07-31	PRIJEM	\N	82	18330	UROK	\N	\N
3656023	3800	1997-08-31	PRIJEM	\N	83	20463	UROK	\N	\N
3656024	3800	1997-09-30	PRIJEM	\N	93	20206	UROK	\N	\N
3656025	3800	1997-10-31	PRIJEM	\N	87	16883	UROK	\N	\N
3656026	3800	1997-11-30	PRIJEM	\N	62	13835	UROK	\N	\N
3656027	3800	1997-12-31	PRIJEM	\N	68	16951	UROK	\N	\N
3656028	3800	1998-01-31	PRIJEM	\N	52	10173	UROK	\N	\N
3656029	3800	1998-02-28	PRIJEM	\N	52	12875	UROK	\N	\N
3656030	3800	1998-03-31	PRIJEM	\N	50	11555	UROK	\N	\N
3656031	3800	1998-04-30	PRIJEM	\N	56	14062	UROK	\N	\N
3656032	3800	1998-05-31	PRIJEM	\N	48	9959	UROK	\N	\N
3656033	3800	1998-06-30	PRIJEM	\N	41	9548	UROK	\N	\N
3656034	3800	1998-07-31	PRIJEM	\N	35	7933	UROK	\N	\N
3656035	3800	1998-08-31	PRIJEM	\N	33	7617	UROK	\N	\N
3656036	3800	1998-09-30	PRIJEM	\N	33	7300	UROK	\N	\N
3656037	3800	1998-10-31	PRIJEM	\N	38	9088	UROK	\N	\N
3656038	3800	1998-11-30	PRIJEM	\N	37	8276	UROK	\N	\N
3656039	3800	1998-12-31	PRIJEM	\N	46	10870	UROK	\N	\N
3656040	3802	1996-09-30	PRIJEM	\N	3	24773	UROK	\N	\N
3656041	3802	1996-10-31	PRIJEM	\N	101	24918	UROK	\N	\N
3656042	3802	1996-11-30	PRIJEM	\N	94	20835	UROK	\N	\N
3656043	3802	1996-12-31	PRIJEM	\N	84	19743	UROK	\N	\N
3656044	3802	1997-01-31	PRIJEM	\N	67	12364	UROK	\N	\N
3656045	3802	1997-02-28	PRIJEM	\N	55	14043	UROK	\N	\N
3656046	3802	1997-03-31	PRIJEM	\N	63	15729	UROK	\N	\N
3656047	3802	1997-04-30	PRIJEM	\N	61	15173	UROK	\N	\N
3656048	3802	1997-05-31	PRIJEM	\N	63	16140	UROK	\N	\N
3656049	3802	1997-06-30	PRIJEM	\N	71	17834	UROK	\N	\N
3656050	3802	1997-07-31	PRIJEM	\N	78	19536	UROK	\N	\N
3656051	3802	1997-08-31	PRIJEM	\N	86	21245	UROK	\N	\N
3656052	3802	1997-09-30	PRIJEM	\N	93	22961	UROK	\N	\N
3656053	3802	1997-10-31	PRIJEM	\N	97	23401	UROK	\N	\N
3656054	3802	1997-11-30	PRIJEM	\N	101	25126	UROK	\N	\N
3656055	3802	1997-12-31	PRIJEM	\N	108	26208	UROK	\N	\N
3656056	3802	1998-01-31	PRIJEM	\N	97	19988	UROK	\N	\N
3656057	3802	1998-02-28	PRIJEM	\N	87	21698	UROK	\N	\N
3656058	3802	1998-03-31	PRIJEM	\N	94	23416	UROK	\N	\N
3656059	3802	1998-04-30	PRIJEM	\N	100	24579	UROK	\N	\N
3656060	3802	1998-05-31	PRIJEM	\N	91	21454	UROK	\N	\N
3656061	3802	1998-06-30	PRIJEM	\N	89	19066	UROK	\N	\N
3656062	3802	1998-07-31	PRIJEM	\N	79	20068	UROK	\N	\N
3656063	3802	1998-08-31	PRIJEM	\N	75	18267	UROK	\N	\N
3656064	3802	1998-09-30	PRIJEM	\N	70	16279	UROK	\N	\N
3656065	3802	1998-10-31	PRIJEM	\N	69	17772	UROK	\N	\N
3656066	3802	1998-11-30	PRIJEM	\N	77	17872	UROK	\N	\N
3656067	3802	1998-12-31	PRIJEM	\N	66	16711	UROK	\N	\N
3656068	3803	1996-02-29	PRIJEM	\N	11	14594	UROK	\N	\N
3656069	3803	1996-03-31	PRIJEM	\N	66	21543	UROK	\N	\N
3656070	3803	1996-04-30	PRIJEM	\N	94	27420	UROK	\N	\N
3656071	3803	1996-05-31	PRIJEM	\N	115	28618	UROK	\N	\N
3656072	3803	1996-06-30	PRIJEM	\N	111	20403	UROK	\N	\N
3656073	3803	1996-07-31	PRIJEM	\N	89	20973	UROK	\N	\N
3656074	3803	1996-08-31	PRIJEM	\N	72	17526	UROK	\N	\N
3656075	3803	1996-09-30	PRIJEM	\N	82	21787	UROK	\N	\N
3656076	3803	1996-10-31	PRIJEM	\N	97	23365	UROK	\N	\N
3656077	3803	1996-11-30	PRIJEM	\N	97	25542	UROK	\N	\N
3656078	3803	1996-12-31	PRIJEM	\N	117	26931	UROK	\N	\N
3656079	3803	1997-01-31	PRIJEM	\N	114	26525	UROK	\N	\N
3656080	3803	1997-02-28	PRIJEM	\N	111	25216	UROK	\N	\N
3656081	3803	1997-03-31	PRIJEM	\N	108	25204	UROK	\N	\N
3656082	3803	1997-04-30	PRIJEM	\N	99	21783	UROK	\N	\N
3656083	3803	1997-05-31	PRIJEM	\N	97	24361	UROK	\N	\N
3656084	3803	1997-06-30	PRIJEM	\N	120	32252	UROK	\N	\N
3656085	3803	1997-07-31	PRIJEM	\N	137	32669	UROK	\N	\N
3656086	3803	1997-08-31	PRIJEM	\N	133	30483	UROK	\N	\N
3656087	3803	1997-09-30	PRIJEM	\N	129	31093	UROK	\N	\N
3656088	3803	1997-10-31	PRIJEM	\N	128	29901	UROK	\N	\N
3656089	3803	1997-11-30	PRIJEM	\N	116	25297	UROK	\N	\N
3656090	3803	1997-12-31	PRIJEM	\N	115	28583	UROK	\N	\N
3656091	3803	1998-01-31	PRIJEM	\N	114	26478	UROK	\N	\N
3656092	3803	1998-02-28	PRIJEM	\N	116	29074	UROK	\N	\N
3656093	3803	1998-03-31	PRIJEM	\N	114	25569	UROK	\N	\N
3656094	3803	1998-04-30	PRIJEM	\N	103	23952	UROK	\N	\N
3656095	3803	1998-05-31	PRIJEM	\N	86	16019	UROK	\N	\N
3656096	3803	1998-06-30	PRIJEM	\N	70	16160	UROK	\N	\N
3656097	3803	1998-07-31	PRIJEM	\N	75	19416	UROK	\N	\N
3656098	3803	1998-08-31	PRIJEM	\N	87	19182	UROK	\N	\N
3656099	3803	1998-09-30	PRIJEM	\N	95	25457	UROK	\N	\N
3656100	3803	1998-10-31	PRIJEM	\N	99	23136	UROK	\N	\N
3656101	3803	1998-11-30	PRIJEM	\N	87	20204	UROK	\N	\N
3656102	3803	1998-12-31	PRIJEM	\N	93	24568	UROK	\N	\N
3656103	3804	1994-04-30	PRIJEM	\N	106	32030	UROK	\N	\N
3656104	3804	1994-05-31	PRIJEM	\N	172	43827	UROK	\N	\N
3656105	3804	1994-06-30	PRIJEM	\N	303	80266	UROK	\N	\N
3656106	3804	1994-07-31	PRIJEM	\N	353	86343	UROK	\N	\N
3656107	3804	1994-08-31	PRIJEM	\N	328	70494	UROK	\N	\N
3656108	3804	1994-09-30	PRIJEM	\N	298	69811	UROK	\N	\N
3656109	3804	1994-10-31	PRIJEM	\N	243	43200	UROK	\N	\N
3656110	3804	1994-11-30	PRIJEM	\N	152	20911	UROK	\N	\N
3656111	3804	1994-12-31	PRIJEM	\N	195	36348	UROK	\N	\N
3656112	3804	1995-01-31	PRIJEM	\N	152	20108	UROK	\N	\N
3656113	3804	1995-02-28	PRIJEM	\N	153	36369	UROK	\N	\N
3656114	3804	1995-03-31	PRIJEM	\N	204	46081	UROK	\N	\N
3656115	3804	1995-04-30	PRIJEM	\N	229	56718	UROK	\N	\N
3656116	3804	1995-05-31	PRIJEM	\N	234	39071	UROK	\N	\N
3656117	3804	1995-06-30	PRIJEM	\N	268	69259	UROK	\N	\N
3656118	3804	1995-07-31	PRIJEM	\N	290	68858	UROK	\N	\N
3656119	3804	1995-08-31	PRIJEM	\N	249	40215	UROK	\N	\N
3656120	3804	1995-09-30	PRIJEM	\N	235	39559	UROK	\N	\N
3656121	3804	1995-10-31	PRIJEM	\N	217	39785	UROK	\N	\N
3656122	3804	1995-11-30	PRIJEM	\N	230	40423	UROK	\N	\N
3656123	3804	1995-12-31	PRIJEM	\N	171	30883	UROK	\N	\N
3656124	3804	1996-01-31	PRIJEM	\N	109	18100	UROK	\N	\N
3656125	3804	1996-02-29	PRIJEM	\N	106	19843	UROK	\N	\N
3656126	3804	1996-03-31	PRIJEM	\N	143	28424	UROK	\N	\N
3656127	3804	1996-04-30	PRIJEM	\N	152	25513	UROK	\N	\N
3656128	3804	1996-05-31	PRIJEM	\N	165	34516	UROK	\N	\N
3656129	3804	1996-06-30	PRIJEM	\N	201	31507	UROK	\N	\N
3656130	3804	1996-07-31	PRIJEM	\N	186	37331	UROK	\N	\N
3656131	3804	1996-08-31	PRIJEM	\N	204	39572	UROK	\N	\N
3656132	3804	1996-09-30	PRIJEM	\N	189	36400	UROK	\N	\N
3656133	3804	1996-10-31	PRIJEM	\N	202	42039	UROK	\N	\N
3656134	3804	1996-11-30	PRIJEM	\N	122	20308	UROK	\N	\N
3656135	3804	1996-12-31	PRIJEM	\N	177	40248	UROK	\N	\N
3656136	3804	1997-01-31	PRIJEM	\N	136	19005	UROK	\N	\N
3656137	3804	1997-02-28	PRIJEM	\N	141	30055	UROK	\N	\N
3656138	3804	1997-03-31	PRIJEM	\N	117	22680	UROK	\N	\N
3656139	3804	1997-04-30	PRIJEM	\N	153	35141	UROK	\N	\N
3656140	3804	1997-05-31	PRIJEM	\N	164	30596	UROK	\N	\N
3656141	3804	1997-06-30	PRIJEM	\N	193	24210	UROK	\N	\N
3656142	3804	1997-07-31	PRIJEM	\N	109	20657	UROK	\N	\N
3656143	3804	1997-08-31	PRIJEM	\N	136	28702	UROK	\N	\N
3656144	3804	1997-09-30	PRIJEM	\N	149	21992	UROK	\N	\N
3656145	3804	1997-10-31	PRIJEM	\N	133	29533	UROK	\N	\N
3656146	3804	1997-11-30	PRIJEM	\N	159	30500	UROK	\N	\N
3656147	3804	1997-12-31	PRIJEM	\N	187	37108	UROK	\N	\N
3656148	3804	1998-01-31	PRIJEM	\N	124	15579	UROK	\N	\N
3656149	3804	1998-02-28	PRIJEM	\N	121	32107	UROK	\N	\N
3656150	3804	1998-03-31	PRIJEM	\N	178	37594	UROK	\N	\N
3656151	3804	1998-04-30	PRIJEM	\N	180	22851	UROK	\N	\N
3656152	3804	1998-05-31	PRIJEM	\N	145	33005	UROK	\N	\N
3656153	3804	1998-06-30	PRIJEM	\N	180	27705	UROK	\N	\N
3656154	3804	1998-07-31	PRIJEM	\N	147	24060	UROK	\N	\N
3656155	3804	1998-08-31	PRIJEM	\N	159	38128	UROK	\N	\N
3656156	3804	1998-09-30	PRIJEM	\N	171	31708	UROK	\N	\N
3656157	3804	1998-10-31	PRIJEM	\N	178	43821	UROK	\N	\N
3656158	3804	1998-11-30	PRIJEM	\N	198	43426	UROK	\N	\N
3656159	3804	1998-12-31	PRIJEM	\N	182	39898	UROK	\N	\N
3656160	3805	1994-07-31	PRIJEM	\N	41	12871	UROK	\N	\N
3656161	3805	1994-08-31	PRIJEM	\N	114	31815	UROK	\N	\N
3656162	3805	1994-09-30	PRIJEM	\N	123	41168	UROK	\N	\N
3656163	3805	1994-10-31	PRIJEM	\N	147	34945	UROK	\N	\N
3656164	3805	1994-11-30	PRIJEM	\N	163	35330	UROK	\N	\N
3656165	3805	1994-12-31	PRIJEM	\N	197	35449	UROK	\N	\N
3656166	3805	1995-01-31	PRIJEM	\N	82	18918	UROK	\N	\N
3656167	3805	1995-02-28	PRIJEM	\N	114	24640	UROK	\N	\N
3656168	3805	1995-03-31	PRIJEM	\N	118	26105	UROK	\N	\N
3656169	3805	1995-04-30	PRIJEM	\N	115	24668	UROK	\N	\N
3656170	3805	1995-05-31	PRIJEM	\N	138	31613	UROK	\N	\N
3656171	3805	1995-06-30	PRIJEM	\N	158	31774	UROK	\N	\N
3656172	3805	1995-07-31	PRIJEM	\N	148	33129	UROK	\N	\N
3656173	3805	1995-08-31	PRIJEM	\N	151	31888	UROK	\N	\N
3656174	3805	1995-09-30	PRIJEM	\N	148	33943	UROK	\N	\N
3656175	3805	1995-10-31	PRIJEM	\N	166	31617	UROK	\N	\N
3656176	3805	1995-11-30	PRIJEM	\N	158	31582	UROK	\N	\N
3656177	3805	1995-12-31	PRIJEM	\N	163	36987	UROK	\N	\N
3656178	3805	1996-01-31	PRIJEM	\N	133	27027	UROK	\N	\N
3656179	3805	1996-02-29	PRIJEM	\N	133	34768	UROK	\N	\N
3656180	3805	1996-03-31	PRIJEM	\N	172	37847	UROK	\N	\N
3656181	3805	1996-04-30	PRIJEM	\N	171	38505	UROK	\N	\N
3656182	3805	1996-05-31	PRIJEM	\N	169	36981	UROK	\N	\N
3656183	3805	1996-06-30	PRIJEM	\N	176	37140	UROK	\N	\N
3656184	3805	1996-07-31	PRIJEM	\N	179	39826	UROK	\N	\N
3656185	3805	1996-08-31	PRIJEM	\N	168	36721	UROK	\N	\N
3656186	3805	1996-09-30	PRIJEM	\N	159	35387	UROK	\N	\N
3656187	3805	1996-10-31	PRIJEM	\N	149	30663	UROK	\N	\N
3656188	3805	1996-11-30	PRIJEM	\N	148	33419	UROK	\N	\N
3656189	3805	1996-12-31	PRIJEM	\N	157	36958	UROK	\N	\N
3656190	3805	1997-01-31	PRIJEM	\N	123	27608	UROK	\N	\N
3656191	3805	1997-02-28	PRIJEM	\N	135	31250	UROK	\N	\N
3656192	3805	1997-03-31	PRIJEM	\N	149	33406	UROK	\N	\N
3656193	3805	1997-04-30	PRIJEM	\N	152	37166	UROK	\N	\N
3656194	3805	1997-05-31	PRIJEM	\N	161	37234	UROK	\N	\N
3656195	3805	1997-06-30	PRIJEM	\N	167	33043	UROK	\N	\N
3656196	3805	1997-07-31	PRIJEM	\N	146	35696	UROK	\N	\N
3656197	3805	1997-08-31	PRIJEM	\N	165	38669	UROK	\N	\N
3656198	3805	1997-09-30	PRIJEM	\N	172	39948	UROK	\N	\N
3656199	3805	1997-10-31	PRIJEM	\N	175	42531	UROK	\N	\N
3656200	3805	1997-11-30	PRIJEM	\N	177	41715	UROK	\N	\N
3656201	3805	1997-12-31	PRIJEM	\N	184	40661	UROK	\N	\N
3656202	3805	1998-01-31	PRIJEM	\N	134	25063	UROK	\N	\N
3656203	3805	1998-02-28	PRIJEM	\N	124	31894	UROK	\N	\N
3656204	3805	1998-03-31	PRIJEM	\N	132	30993	UROK	\N	\N
3656205	3805	1998-04-30	PRIJEM	\N	137	33537	UROK	\N	\N
3656206	3805	1998-05-31	PRIJEM	\N	129	28794	UROK	\N	\N
3656207	3805	1998-06-30	PRIJEM	\N	138	26474	UROK	\N	\N
3656208	3805	1998-07-31	PRIJEM	\N	119	29901	UROK	\N	\N
3656209	3805	1998-08-31	PRIJEM	\N	110	27118	UROK	\N	\N
3656210	3805	1998-09-30	PRIJEM	\N	127	32453	UROK	\N	\N
3656211	3805	1998-10-31	PRIJEM	\N	145	32945	UROK	\N	\N
3656212	3805	1998-11-30	PRIJEM	\N	126	29878	UROK	\N	\N
3656213	3805	1998-12-31	PRIJEM	\N	179	41879	UROK	\N	\N
3656214	3806	1996-05-31	PRIJEM	\N	48	25516	UROK	\N	\N
3656215	3806	1996-06-30	PRIJEM	\N	140	42808	UROK	\N	\N
3656216	3806	1996-07-31	PRIJEM	\N	183	45358	UROK	\N	\N
3656217	3806	1996-08-31	PRIJEM	\N	191	46417	UROK	\N	\N
3656218	3806	1996-09-30	PRIJEM	\N	211	49718	UROK	\N	\N
3656219	3806	1996-10-31	PRIJEM	\N	205	44564	UROK	\N	\N
3656220	3806	1996-11-30	PRIJEM	\N	192	42698	UROK	\N	\N
3656221	3806	1996-12-31	PRIJEM	\N	202	46426	UROK	\N	\N
3656222	3806	1997-01-31	PRIJEM	\N	195	43662	UROK	\N	\N
3656223	3806	1997-02-28	PRIJEM	\N	185	42188	UROK	\N	\N
3656224	3806	1997-03-31	PRIJEM	\N	184	41214	UROK	\N	\N
3656225	3806	1997-04-30	PRIJEM	\N	179	40734	UROK	\N	\N
3656226	3806	1997-05-31	PRIJEM	\N	176	37951	UROK	\N	\N
3656227	3806	1997-06-30	PRIJEM	\N	130	16246	UROK	\N	\N
3656228	3806	1997-07-31	PRIJEM	\N	94	23882	UROK	\N	\N
3656229	3806	1997-08-31	PRIJEM	\N	111	26034	UROK	\N	\N
3656230	3806	1997-09-30	PRIJEM	\N	118	28793	UROK	\N	\N
3656231	3806	1997-10-31	PRIJEM	\N	122	25856	UROK	\N	\N
3656232	3806	1997-11-30	PRIJEM	\N	125	30723	UROK	\N	\N
3656233	3806	1997-12-31	PRIJEM	\N	135	32483	UROK	\N	\N
3656234	3806	1998-01-31	PRIJEM	\N	159	40984	UROK	\N	\N
3656235	3806	1998-02-28	PRIJEM	\N	174	43899	UROK	\N	\N
3656236	3806	1998-03-31	PRIJEM	\N	150	32890	UROK	\N	\N
3656237	3806	1998-04-30	PRIJEM	\N	130	30782	UROK	\N	\N
3656238	3806	1998-05-31	PRIJEM	\N	166	43349	UROK	\N	\N
3656239	3806	1998-06-30	PRIJEM	\N	200	51874	UROK	\N	\N
3656240	3806	1998-07-31	PRIJEM	\N	188	45404	UROK	\N	\N
3656241	3806	1998-08-31	PRIJEM	\N	177	44522	UROK	\N	\N
3656242	3806	1998-09-30	PRIJEM	\N	172	43235	UROK	\N	\N
3656243	3806	1998-10-31	PRIJEM	\N	164	41241	UROK	\N	\N
3656244	3806	1998-11-30	PRIJEM	\N	179	46062	UROK	\N	\N
3656245	3806	1998-12-31	PRIJEM	\N	211	54478	UROK	\N	\N
3656246	3807	1995-09-30	PRIJEM	\N	66	20598	UROK	\N	\N
3656247	3807	1995-10-31	PRIJEM	\N	150	40780	UROK	\N	\N
3656248	3807	1995-11-30	PRIJEM	\N	208	52820	UROK	\N	\N
3656249	3807	1995-12-31	PRIJEM	\N	281	71998	UROK	\N	\N
3656250	3807	1996-01-31	PRIJEM	\N	283	63173	UROK	\N	\N
3656251	3807	1996-02-29	PRIJEM	\N	249	60351	UROK	\N	\N
3656252	3807	1996-03-31	PRIJEM	\N	259	64300	UROK	\N	\N
3656253	3807	1996-04-30	PRIJEM	\N	258	63247	UROK	\N	\N
3656254	3807	1996-05-31	PRIJEM	\N	263	64799	UROK	\N	\N
3656255	3807	1996-06-30	PRIJEM	\N	243	54437	UROK	\N	\N
3656256	3807	1996-07-31	PRIJEM	\N	250	62977	UROK	\N	\N
3656257	3807	1996-08-31	PRIJEM	\N	248	49014	UROK	\N	\N
3656258	3807	1996-09-30	PRIJEM	\N	247	48250	UROK	\N	\N
3656259	3807	1996-10-31	PRIJEM	\N	234	45753	UROK	\N	\N
3656260	3807	1996-11-30	PRIJEM	\N	233	49475	UROK	\N	\N
3656261	3807	1996-12-31	PRIJEM	\N	273	53124	UROK	\N	\N
3656262	3807	1997-01-31	PRIJEM	\N	226	44499	UROK	\N	\N
3656263	3807	1997-02-28	PRIJEM	\N	227	50516	UROK	\N	\N
3656264	3807	1997-03-31	PRIJEM	\N	246	54251	UROK	\N	\N
3656265	3807	1997-04-30	PRIJEM	\N	263	51904	UROK	\N	\N
3656266	3807	1997-05-31	PRIJEM	\N	241	50634	UROK	\N	\N
3656267	3807	1997-06-30	PRIJEM	\N	178	40327	UROK	\N	\N
3656268	3807	1997-07-31	PRIJEM	\N	209	47426	UROK	\N	\N
3656269	3807	1997-08-31	PRIJEM	\N	233	50248	UROK	\N	\N
3656270	3807	1997-09-30	PRIJEM	\N	244	53582	UROK	\N	\N
3656271	3807	1997-10-31	PRIJEM	\N	255	54927	UROK	\N	\N
3656272	3807	1997-11-30	PRIJEM	\N	266	61682	UROK	\N	\N
3656273	3807	1997-12-31	PRIJEM	\N	310	66247	UROK	\N	\N
3656274	3807	1998-01-31	PRIJEM	\N	281	57018	UROK	\N	\N
3656275	3807	1998-02-28	PRIJEM	\N	262	62570	UROK	\N	\N
3656276	3807	1998-03-31	PRIJEM	\N	288	61547	UROK	\N	\N
3656277	3807	1998-04-30	PRIJEM	\N	284	61620	UROK	\N	\N
3656278	3807	1998-05-31	PRIJEM	\N	267	56437	UROK	\N	\N
3656279	3807	1998-06-30	PRIJEM	\N	270	46782	UROK	\N	\N
3656280	3807	1998-07-31	PRIJEM	\N	231	55003	UROK	\N	\N
3656281	3807	1998-08-31	PRIJEM	\N	239	52031	UROK	\N	\N
3656282	3807	1998-09-30	PRIJEM	\N	237	51758	UROK	\N	\N
3656283	3807	1998-10-31	PRIJEM	\N	242	55389	UROK	\N	\N
3656284	3807	1998-11-30	PRIJEM	\N	242	51520	UROK	\N	\N
3656285	3807	1998-12-31	PRIJEM	\N	254	56130	UROK	\N	\N
3656286	3808	1993-08-31	PRIJEM	\N	39	16331	UROK	\N	\N
3656287	3808	1993-09-30	PRIJEM	\N	111	34434	UROK	\N	\N
3656288	3808	1993-10-31	PRIJEM	\N	175	47601	UROK	\N	\N
3656289	3808	1993-11-30	PRIJEM	\N	208	52201	UROK	\N	\N
3656290	3808	1993-12-31	PRIJEM	\N	241	61510	UROK	\N	\N
3656291	3808	1994-01-31	PRIJEM	\N	205	41999	UROK	\N	\N
3656292	3808	1994-02-28	PRIJEM	\N	175	46219	UROK	\N	\N
3656293	3808	1994-03-31	PRIJEM	\N	183	46146	UROK	\N	\N
3656294	3808	1994-04-30	PRIJEM	\N	173	41543	UROK	\N	\N
3656295	3808	1994-05-31	PRIJEM	\N	167	42854	UROK	\N	\N
3656296	3808	1994-06-30	PRIJEM	\N	127	16142	UROK	\N	\N
3656297	3808	1994-07-31	PRIJEM	\N	97	26864	UROK	\N	\N
3656298	3808	1994-08-31	PRIJEM	\N	119	32727	UROK	\N	\N
3656299	3808	1994-09-30	PRIJEM	\N	147	40018	UROK	\N	\N
3656300	3808	1994-10-31	PRIJEM	\N	165	43628	UROK	\N	\N
3656301	3808	1994-11-30	PRIJEM	\N	175	45747	UROK	\N	\N
3656302	3808	1994-12-31	PRIJEM	\N	188	51095	UROK	\N	\N
3656303	3808	1995-01-31	PRIJEM	\N	158	36438	UROK	\N	\N
3656304	3808	1995-02-28	PRIJEM	\N	140	35483	UROK	\N	\N
3656305	3808	1995-03-31	PRIJEM	\N	148	39575	UROK	\N	\N
3656306	3808	1995-04-30	PRIJEM	\N	154	39594	UROK	\N	\N
3656307	3808	1995-05-31	PRIJEM	\N	161	42499	UROK	\N	\N
3656308	3808	1995-06-30	PRIJEM	\N	155	33594	UROK	\N	\N
3656309	3808	1995-07-31	PRIJEM	\N	151	40789	UROK	\N	\N
3656310	3808	1995-08-31	PRIJEM	\N	148	38002	UROK	\N	\N
3656311	3808	1995-09-30	PRIJEM	\N	152	39359	UROK	\N	\N
3656312	3808	1995-10-31	PRIJEM	\N	151	28254	UROK	\N	\N
3656313	3808	1995-11-30	PRIJEM	\N	135	31333	UROK	\N	\N
3656314	3808	1995-12-31	PRIJEM	\N	162	34455	UROK	\N	\N
3656315	3808	1996-01-31	PRIJEM	\N	106	24466	UROK	\N	\N
3656316	3808	1996-02-29	PRIJEM	\N	118	28728	UROK	\N	\N
3656317	3808	1996-03-31	PRIJEM	\N	129	23741	UROK	\N	\N
3656318	3808	1996-04-30	PRIJEM	\N	113	24079	UROK	\N	\N
3656319	3808	1996-05-31	PRIJEM	\N	114	26437	UROK	\N	\N
3656320	3808	1996-06-30	PRIJEM	\N	127	30865	UROK	\N	\N
3656321	3808	1996-07-31	PRIJEM	\N	120	23829	UROK	\N	\N
3656322	3808	1996-08-31	PRIJEM	\N	106	22699	UROK	\N	\N
3656323	3808	1996-09-30	PRIJEM	\N	106	25750	UROK	\N	\N
3656324	3808	1996-10-31	PRIJEM	\N	117	27011	UROK	\N	\N
3656325	3808	1996-11-30	PRIJEM	\N	122	29178	UROK	\N	\N
3656326	3808	1996-12-31	PRIJEM	\N	144	35242	UROK	\N	\N
3656327	3808	1997-01-31	PRIJEM	\N	134	25721	UROK	\N	\N
3656328	3808	1997-02-28	PRIJEM	\N	100	25765	UROK	\N	\N
3656329	3808	1997-03-31	PRIJEM	\N	118	29027	UROK	\N	\N
3656330	3808	1997-04-30	PRIJEM	\N	128	29799	UROK	\N	\N
3656331	3808	1997-05-31	PRIJEM	\N	128	28872	UROK	\N	\N
3656332	3808	1997-06-30	PRIJEM	\N	133	34325	UROK	\N	\N
3656333	3808	1997-07-31	PRIJEM	\N	152	37921	UROK	\N	\N
3656334	3808	1997-08-31	PRIJEM	\N	165	41151	UROK	\N	\N
3656335	3808	1997-09-30	PRIJEM	\N	158	35873	UROK	\N	\N
3656336	3808	1997-10-31	PRIJEM	\N	156	38773	UROK	\N	\N
3656337	3808	1997-11-30	PRIJEM	\N	157	36174	UROK	\N	\N
3656338	3808	1997-12-31	PRIJEM	\N	158	40592	UROK	\N	\N
3656339	3808	1998-01-31	PRIJEM	\N	143	18659	UROK	\N	\N
3656340	3808	1998-02-28	PRIJEM	\N	100	31503	UROK	\N	\N
3656341	3808	1998-03-31	PRIJEM	\N	126	33714	UROK	\N	\N
3656342	3808	1998-04-30	PRIJEM	\N	154	41612	UROK	\N	\N
3656343	3808	1998-05-31	PRIJEM	\N	170	41666	UROK	\N	\N
3656344	3808	1998-06-30	PRIJEM	\N	147	44974	UROK	\N	\N
3656345	3808	1998-07-31	PRIJEM	\N	179	47237	UROK	\N	\N
3656346	3808	1998-08-31	PRIJEM	\N	200	50881	UROK	\N	\N
3656347	3808	1998-09-30	PRIJEM	\N	211	53337	UROK	\N	\N
3656348	3808	1998-10-31	PRIJEM	\N	213	52534	UROK	\N	\N
3656349	3808	1998-11-30	PRIJEM	\N	231	62550	UROK	\N	\N
3656350	3808	1998-12-31	PRIJEM	\N	293	77323	UROK	\N	\N
3656351	3809	1996-12-31	PRIJEM	\N	33	22003	UROK	\N	\N
3656352	3809	1997-01-31	PRIJEM	\N	110	33392	UROK	\N	\N
3656353	3809	1997-02-28	PRIJEM	\N	145	37417	UROK	\N	\N
3656354	3809	1997-03-31	PRIJEM	\N	160	40857	UROK	\N	\N
3656355	3809	1997-04-30	PRIJEM	\N	172	42209	UROK	\N	\N
3656356	3809	1997-05-31	PRIJEM	\N	180	41468	UROK	\N	\N
3656357	3809	1997-06-30	PRIJEM	\N	184	39402	UROK	\N	\N
3656358	3809	1997-07-31	PRIJEM	\N	156	36257	UROK	\N	\N
3656359	3809	1997-08-31	PRIJEM	\N	162	40299	UROK	\N	\N
3656360	3809	1997-09-30	PRIJEM	\N	167	40345	UROK	\N	\N
3656361	3809	1997-10-31	PRIJEM	\N	162	38207	UROK	\N	\N
3656362	3809	1997-11-30	PRIJEM	\N	162	39328	UROK	\N	\N
3656363	3809	1997-12-31	PRIJEM	\N	164	39321	UROK	\N	\N
3656364	3809	1998-01-31	PRIJEM	\N	113	21413	UROK	\N	\N
3656365	3809	1998-02-28	PRIJEM	\N	105	25358	UROK	\N	\N
3656366	3809	1998-03-31	PRIJEM	\N	121	27878	UROK	\N	\N
3656367	3809	1998-04-30	PRIJEM	\N	139	37696	UROK	\N	\N
3656368	3809	1998-05-31	PRIJEM	\N	177	43132	UROK	\N	\N
3656369	3809	1998-06-30	PRIJEM	\N	190	46971	UROK	\N	\N
3656370	3809	1998-07-31	PRIJEM	\N	197	47848	UROK	\N	\N
3656371	3809	1998-08-31	PRIJEM	\N	207	51434	UROK	\N	\N
3656372	3809	1998-09-30	PRIJEM	\N	221	55135	UROK	\N	\N
3656373	3809	1998-10-31	PRIJEM	\N	234	57748	UROK	\N	\N
3656374	3809	1998-11-30	PRIJEM	\N	234	56661	UROK	\N	\N
3656375	3809	1998-12-31	PRIJEM	\N	244	60415	UROK	\N	\N
3656376	3810	1995-09-30	PRIJEM	\N	29	19252	UROK	\N	\N
3656377	3810	1995-10-31	PRIJEM	\N	86	22779	UROK	\N	\N
3656378	3810	1995-11-30	PRIJEM	\N	102	22360	UROK	\N	\N
3656379	3810	1995-12-31	PRIJEM	\N	97	21871	UROK	\N	\N
3656380	3810	1996-01-31	PRIJEM	\N	94	20900	UROK	\N	\N
3656381	3810	1996-02-29	PRIJEM	\N	103	23867	UROK	\N	\N
3656382	3810	1996-03-31	PRIJEM	\N	107	24038	UROK	\N	\N
3656383	3810	1996-04-30	PRIJEM	\N	111	27814	UROK	\N	\N
3656384	3810	1996-05-31	PRIJEM	\N	118	25896	UROK	\N	\N
3656385	3810	1996-06-30	PRIJEM	\N	111	15871	UROK	\N	\N
3656386	3810	1996-07-31	PRIJEM	\N	85	19621	UROK	\N	\N
3656387	3810	1996-08-31	PRIJEM	\N	92	22677	UROK	\N	\N
3656388	3810	1996-09-30	PRIJEM	\N	98	22579	UROK	\N	\N
3656389	3810	1996-10-31	PRIJEM	\N	94	22258	UROK	\N	\N
3656390	3810	1996-11-30	PRIJEM	\N	103	26025	UROK	\N	\N
3656391	3810	1996-12-31	PRIJEM	\N	102	22972	UROK	\N	\N
3656392	3810	1997-01-31	PRIJEM	\N	93	19868	UROK	\N	\N
3656393	3810	1997-02-28	PRIJEM	\N	91	20664	UROK	\N	\N
3656394	3810	1997-03-31	PRIJEM	\N	94	23382	UROK	\N	\N
3656395	3810	1997-04-30	PRIJEM	\N	102	24548	UROK	\N	\N
3656396	3810	1997-05-31	PRIJEM	\N	105	24217	UROK	\N	\N
3656397	3810	1997-06-30	PRIJEM	\N	106	24147	UROK	\N	\N
3656398	3810	1997-07-31	PRIJEM	\N	111	27923	UROK	\N	\N
3656399	3810	1997-08-31	PRIJEM	\N	127	31714	UROK	\N	\N
3656400	3810	1997-09-30	PRIJEM	\N	142	35521	UROK	\N	\N
3656401	3810	1997-10-31	PRIJEM	\N	166	39351	UROK	\N	\N
3656402	3810	1997-11-30	PRIJEM	\N	182	43198	UROK	\N	\N
3656403	3810	1997-12-31	PRIJEM	\N	194	44337	UROK	\N	\N
3656404	3810	1998-01-31	PRIJEM	\N	193	46394	UROK	\N	\N
3656405	3810	1998-02-28	PRIJEM	\N	203	49781	UROK	\N	\N
3656406	3810	1998-03-31	PRIJEM	\N	210	51055	UROK	\N	\N
3656407	3810	1998-04-30	PRIJEM	\N	222	52142	UROK	\N	\N
3656408	3810	1998-05-31	PRIJEM	\N	225	55091	UROK	\N	\N
3656409	3810	1998-06-30	PRIJEM	\N	183	39639	UROK	\N	\N
3656410	3810	1998-07-31	PRIJEM	\N	183	43486	UROK	\N	\N
3656411	3810	1998-08-31	PRIJEM	\N	198	46868	UROK	\N	\N
3656412	3810	1998-09-30	PRIJEM	\N	208	47781	UROK	\N	\N
3656413	3810	1998-10-31	PRIJEM	\N	217	51662	UROK	\N	\N
3656414	3810	1998-11-30	PRIJEM	\N	230	54437	UROK	\N	\N
3656415	3810	1998-12-31	PRIJEM	\N	218	52809	UROK	\N	\N
3656416	3811	1996-11-30	PRIJEM	\N	11	12984	UROK	\N	\N
3656417	3811	1996-12-31	PRIJEM	\N	61	20418	UROK	\N	\N
3656418	3811	1997-01-31	PRIJEM	\N	89	24680	UROK	\N	\N
3656419	3811	1997-02-28	PRIJEM	\N	103	25356	UROK	\N	\N
3656420	3811	1997-03-31	PRIJEM	\N	109	25633	UROK	\N	\N
3656421	3811	1997-04-30	PRIJEM	\N	107	22884	UROK	\N	\N
3656422	3811	1997-05-31	PRIJEM	\N	100	24327	UROK	\N	\N
3656423	3811	1997-06-30	PRIJEM	\N	94	18784	UROK	\N	\N
3656424	3811	1997-07-31	PRIJEM	\N	90	26218	UROK	\N	\N
3656425	3811	1997-08-31	PRIJEM	\N	112	26573	UROK	\N	\N
3656426	3811	1997-09-30	PRIJEM	\N	116	28502	UROK	\N	\N
3656427	3811	1997-10-31	PRIJEM	\N	125	31271	UROK	\N	\N
3656428	3811	1997-11-30	PRIJEM	\N	136	33350	UROK	\N	\N
3656429	3811	1997-12-31	PRIJEM	\N	139	32023	UROK	\N	\N
3656430	3811	1998-01-31	PRIJEM	\N	134	32030	UROK	\N	\N
3656431	3811	1998-02-28	PRIJEM	\N	146	38719	UROK	\N	\N
3656432	3811	1998-03-31	PRIJEM	\N	161	37593	UROK	\N	\N
3656433	3811	1998-04-30	PRIJEM	\N	160	39276	UROK	\N	\N
3656434	3811	1998-05-31	PRIJEM	\N	170	41789	UROK	\N	\N
3656435	3811	1998-06-30	PRIJEM	\N	171	41064	UROK	\N	\N
3656436	3811	1998-07-31	PRIJEM	\N	178	43785	UROK	\N	\N
3656437	3811	1998-08-31	PRIJEM	\N	182	43011	UROK	\N	\N
3656438	3811	1998-09-30	PRIJEM	\N	180	43333	UROK	\N	\N
3656439	3811	1998-10-31	PRIJEM	\N	177	41454	UROK	\N	\N
3656440	3811	1998-11-30	PRIJEM	\N	177	42774	UROK	\N	\N
3656441	3811	1998-12-31	PRIJEM	\N	182	44000	UROK	\N	\N
3656442	3812	1995-06-30	PRIJEM	\N	49	20724	UROK	\N	\N
3656443	3812	1995-07-31	PRIJEM	\N	93	23657	UROK	\N	\N
3656444	3812	1995-08-31	PRIJEM	\N	101	22899	UROK	\N	\N
3656445	3812	1995-09-30	PRIJEM	\N	93	21353	UROK	\N	\N
3656446	3812	1995-10-31	PRIJEM	\N	87	20480	UROK	\N	\N
3656447	3812	1995-11-30	PRIJEM	\N	89	21810	UROK	\N	\N
3656448	3812	1995-12-31	PRIJEM	\N	90	20520	UROK	\N	\N
3656449	3812	1996-01-31	PRIJEM	\N	72	15432	UROK	\N	\N
3656450	3812	1996-02-29	PRIJEM	\N	71	18343	UROK	\N	\N
3656451	3812	1996-03-31	PRIJEM	\N	83	21267	UROK	\N	\N
3656452	3812	1996-04-30	PRIJEM	\N	95	24202	UROK	\N	\N
3656453	3812	1996-05-31	PRIJEM	\N	108	27150	UROK	\N	\N
3656454	3812	1996-06-30	PRIJEM	\N	95	19786	UROK	\N	\N
3656455	3812	1996-07-31	PRIJEM	\N	89	22715	UROK	\N	\N
3656456	3812	1996-08-31	PRIJEM	\N	101	25657	UROK	\N	\N
3656457	3812	1996-09-30	PRIJEM	\N	113	28611	UROK	\N	\N
3656458	3812	1996-10-31	PRIJEM	\N	125	30857	UROK	\N	\N
3656459	3812	1996-11-30	PRIJEM	\N	135	31832	UROK	\N	\N
3656460	3812	1996-12-31	PRIJEM	\N	139	34361	UROK	\N	\N
3656461	3812	1997-01-31	PRIJEM	\N	142	29423	UROK	\N	\N
3656462	3812	1997-02-28	PRIJEM	\N	123	29107	UROK	\N	\N
3656463	3812	1997-03-31	PRIJEM	\N	127	30635	UROK	\N	\N
3656464	3812	1997-04-30	PRIJEM	\N	129	31204	UROK	\N	\N
3656465	3812	1997-05-31	PRIJEM	\N	133	31938	UROK	\N	\N
3656466	3812	1997-06-30	PRIJEM	\N	135	23813	UROK	\N	\N
3656467	3812	1997-07-31	PRIJEM	\N	106	26759	UROK	\N	\N
3656468	3812	1997-08-31	PRIJEM	\N	118	29717	UROK	\N	\N
3656469	3812	1997-09-30	PRIJEM	\N	130	32687	UROK	\N	\N
3656470	3812	1997-10-31	PRIJEM	\N	142	35670	UROK	\N	\N
3656471	3812	1997-11-30	PRIJEM	\N	155	38665	UROK	\N	\N
3656472	3812	1997-12-31	PRIJEM	\N	160	35495	UROK	\N	\N
3656473	3812	1998-01-31	PRIJEM	\N	139	29595	UROK	\N	\N
3656474	3812	1998-02-28	PRIJEM	\N	129	32564	UROK	\N	\N
3656475	3812	1998-03-31	PRIJEM	\N	142	35546	UROK	\N	\N
3656476	3812	1998-04-30	PRIJEM	\N	149	35095	UROK	\N	\N
3656477	3812	1998-05-31	PRIJEM	\N	152	38088	UROK	\N	\N
3656478	3812	1998-06-30	PRIJEM	\N	149	34197	UROK	\N	\N
3656479	3812	1998-07-31	PRIJEM	\N	148	37186	UROK	\N	\N
3656480	3812	1998-08-31	PRIJEM	\N	161	39067	UROK	\N	\N
3656481	3812	1998-09-30	PRIJEM	\N	162	38470	UROK	\N	\N
3656482	3812	1998-10-31	PRIJEM	\N	166	41476	UROK	\N	\N
3656483	3812	1998-11-30	PRIJEM	\N	178	44494	UROK	\N	\N
3656484	3812	1998-12-31	PRIJEM	\N	192	46327	UROK	\N	\N
3656485	3813	1997-10-31	PRIJEM	\N	34	11444	UROK	\N	\N
3656486	3813	1997-11-30	PRIJEM	\N	87	25141	UROK	\N	\N
3656487	3813	1997-12-31	PRIJEM	\N	148	40054	UROK	\N	\N
3656488	3813	1998-01-31	PRIJEM	\N	159	37523	UROK	\N	\N
3656489	3813	1998-02-28	PRIJEM	\N	137	31026	UROK	\N	\N
3656490	3813	1998-03-31	PRIJEM	\N	118	27966	UROK	\N	\N
3656491	3813	1998-04-30	PRIJEM	\N	107	25895	UROK	\N	\N
3656492	3813	1998-05-31	PRIJEM	\N	89	20067	UROK	\N	\N
3656493	3813	1998-06-30	PRIJEM	\N	108	24152	UROK	\N	\N
3656494	3813	1998-07-31	PRIJEM	\N	117	25192	UROK	\N	\N
3656495	3813	1998-08-31	PRIJEM	\N	111	27725	UROK	\N	\N
3656496	3813	1998-09-30	PRIJEM	\N	145	32492	UROK	\N	\N
3656497	3813	1998-10-31	PRIJEM	\N	153	38167	UROK	\N	\N
3656498	3813	1998-11-30	PRIJEM	\N	139	28928	UROK	\N	\N
3656499	3813	1998-12-31	PRIJEM	\N	137	26842	UROK	\N	\N
3656500	3815	1996-04-30	PRIJEM	\N	204	44922	UROK	\N	\N
3656501	3815	1996-05-31	PRIJEM	\N	189	55232	UROK	\N	\N
3656502	3815	1996-06-30	PRIJEM	\N	214	32620	UROK	\N	\N
3656503	3815	1996-07-31	PRIJEM	\N	155	57496	UROK	\N	\N
3656504	3815	1996-08-31	PRIJEM	\N	224	26941	UROK	\N	\N
3656505	3815	1996-09-30	PRIJEM	\N	219	30844	UROK	\N	\N
3656506	3815	1996-10-31	PRIJEM	\N	156	48256	UROK	\N	\N
3656507	3815	1996-11-30	PRIJEM	\N	201	85610	UROK	\N	\N
3656508	3815	1996-12-31	PRIJEM	\N	285	48419	UROK	\N	\N
3656509	3815	1997-01-31	PRIJEM	\N	123	19225	UROK	\N	\N
3656510	3815	1997-02-28	PRIJEM	\N	80	20991	UROK	\N	\N
3656511	3815	1997-03-31	PRIJEM	\N	111	46516	UROK	\N	\N
3656512	3815	1997-04-30	PRIJEM	\N	269	25215	UROK	\N	\N
3656513	3815	1997-05-31	PRIJEM	\N	105	24905	UROK	\N	\N
3656514	3815	1997-06-30	PRIJEM	\N	142	30324	UROK	\N	\N
3656515	3815	1997-07-31	PRIJEM	\N	157	62861	UROK	\N	\N
3656516	3815	1997-08-31	PRIJEM	\N	259	45206	UROK	\N	\N
3656517	3815	1997-09-30	PRIJEM	\N	207	72371	UROK	\N	\N
3656518	3815	1997-10-31	PRIJEM	\N	275	49302	UROK	\N	\N
3656519	3815	1997-11-30	PRIJEM	\N	241	88495	UROK	\N	\N
3656520	3815	1997-12-31	PRIJEM	\N	377	92516	UROK	\N	\N
3656521	3815	1998-01-31	PRIJEM	\N	235	22636	UROK	\N	\N
3656522	3815	1998-02-28	PRIJEM	\N	94	20415	UROK	\N	\N
3656523	3815	1998-03-31	PRIJEM	\N	101	27175	UROK	\N	\N
3656524	3815	1998-04-30	PRIJEM	\N	112	21772	UROK	\N	\N
3656525	3815	1998-05-31	PRIJEM	\N	113	64683	UROK	\N	\N
3656526	3815	1998-06-30	PRIJEM	\N	154	27223	UROK	\N	\N
3656527	3815	1998-07-31	PRIJEM	\N	106	24257	UROK	\N	\N
3656528	3815	1998-08-31	PRIJEM	\N	144	60280	UROK	\N	\N
3656529	3815	1998-09-30	PRIJEM	\N	247	34612	UROK	\N	\N
3656530	3815	1998-10-31	PRIJEM	\N	136	32348	UROK	\N	\N
3656531	3815	1998-11-30	PRIJEM	\N	102	22006	UROK	\N	\N
3656532	3817	1995-02-28	PRIJEM	\N	28	10522	UROK	\N	\N
3656533	3817	1995-03-31	PRIJEM	\N	76	22392	UROK	\N	\N
3656534	3817	1995-04-30	PRIJEM	\N	115	30300	UROK	\N	\N
3656535	3817	1995-05-31	PRIJEM	\N	128	31022	UROK	\N	\N
3656536	3817	1995-06-30	PRIJEM	\N	134	32418	UROK	\N	\N
3656537	3817	1995-07-31	PRIJEM	\N	128	29596	UROK	\N	\N
3656538	3817	1995-08-31	PRIJEM	\N	113	25659	UROK	\N	\N
3656539	3817	1995-09-30	PRIJEM	\N	94	20443	UROK	\N	\N
3656540	3817	1995-10-31	PRIJEM	\N	91	22284	UROK	\N	\N
3656541	3817	1995-11-30	PRIJEM	\N	98	24072	UROK	\N	\N
3656542	3817	1995-12-31	PRIJEM	\N	100	18479	UROK	\N	\N
3656543	3817	1996-01-31	PRIJEM	\N	60	12850	UROK	\N	\N
3656544	3817	1996-02-29	PRIJEM	\N	73	19773	UROK	\N	\N
3656545	3817	1996-03-31	PRIJEM	\N	87	21671	UROK	\N	\N
3656546	3817	1996-04-30	PRIJEM	\N	96	23517	UROK	\N	\N
3656547	3817	1996-05-31	PRIJEM	\N	103	21431	UROK	\N	\N
3656548	3817	1996-06-30	PRIJEM	\N	99	25037	UROK	\N	\N
3656549	3817	1996-07-31	PRIJEM	\N	111	27298	UROK	\N	\N
3656550	3817	1996-08-31	PRIJEM	\N	120	29369	UROK	\N	\N
3656551	3817	1996-09-30	PRIJEM	\N	131	32350	UROK	\N	\N
3656552	3817	1996-10-31	PRIJEM	\N	140	34140	UROK	\N	\N
3656553	3817	1996-11-30	PRIJEM	\N	131	29142	UROK	\N	\N
3656554	3817	1996-12-31	PRIJEM	\N	130	31619	UROK	\N	\N
3656555	3817	1997-01-31	PRIJEM	\N	115	20624	UROK	\N	\N
3656556	3817	1997-02-28	PRIJEM	\N	80	16275	UROK	\N	\N
3656557	3817	1997-03-31	PRIJEM	\N	80	20605	UROK	\N	\N
3656558	3817	1997-04-30	PRIJEM	\N	90	23146	UROK	\N	\N
3656559	3817	1997-05-31	PRIJEM	\N	91	17987	UROK	\N	\N
3656560	3817	1997-06-30	PRIJEM	\N	95	24029	UROK	\N	\N
3656561	3817	1997-07-31	PRIJEM	\N	105	20485	UROK	\N	\N
3656562	3817	1997-08-31	PRIJEM	\N	93	22428	UROK	\N	\N
3656563	3817	1997-09-30	PRIJEM	\N	100	24279	UROK	\N	\N
3656564	3817	1997-10-31	PRIJEM	\N	105	22235	UROK	\N	\N
3656565	3817	1997-11-30	PRIJEM	\N	95	23940	UROK	\N	\N
3656566	3817	1997-12-31	PRIJEM	\N	118	26045	UROK	\N	\N
3656567	3817	1998-01-31	PRIJEM	\N	73	15868	UROK	\N	\N
3656568	3817	1998-02-28	PRIJEM	\N	76	22294	UROK	\N	\N
3656569	3817	1998-03-31	PRIJEM	\N	98	22342	UROK	\N	\N
3656570	3817	1998-04-30	PRIJEM	\N	93	15126	UROK	\N	\N
3656571	3817	1998-05-31	PRIJEM	\N	71	18447	UROK	\N	\N
3656572	3817	1998-06-30	PRIJEM	\N	92	21586	UROK	\N	\N
3656573	3817	1998-07-31	PRIJEM	\N	94	21430	UROK	\N	\N
3656574	3817	1998-08-31	PRIJEM	\N	97	24777	UROK	\N	\N
3656575	3817	1998-09-30	PRIJEM	\N	105	26932	UROK	\N	\N
3656576	3817	1998-10-31	PRIJEM	\N	120	29863	UROK	\N	\N
3656577	3817	1998-11-30	PRIJEM	\N	116	28009	UROK	\N	\N
3656578	3817	1998-12-31	PRIJEM	\N	122	28078	UROK	\N	\N
3656579	3818	1993-01-31	PRIJEM	\N	56	18022	UROK	\N	\N
3656580	3818	1993-02-28	PRIJEM	\N	83	37471	UROK	\N	\N
3656581	3818	1993-03-31	PRIJEM	\N	178	50815	UROK	\N	\N
3656582	3818	1993-04-30	PRIJEM	\N	220	53701	UROK	\N	\N
3656583	3818	1993-05-31	PRIJEM	\N	206	48638	UROK	\N	\N
3656584	3818	1993-06-30	PRIJEM	\N	187	37105	UROK	\N	\N
3656585	3818	1993-07-31	PRIJEM	\N	150	33471	UROK	\N	\N
3656586	3818	1993-08-31	PRIJEM	\N	164	34152	UROK	\N	\N
3656587	3818	1993-09-30	PRIJEM	\N	168	33736	UROK	\N	\N
3656588	3818	1993-10-31	PRIJEM	\N	159	34651	UROK	\N	\N
3656589	3818	1993-11-30	PRIJEM	\N	165	35252	UROK	\N	\N
3656590	3818	1993-12-31	PRIJEM	\N	187	37758	UROK	\N	\N
3656591	3818	1994-01-31	PRIJEM	\N	120	26334	UROK	\N	\N
3656592	3818	1994-02-28	PRIJEM	\N	126	30177	UROK	\N	\N
3656593	3818	1994-03-31	PRIJEM	\N	149	31842	UROK	\N	\N
3656594	3818	1994-04-30	PRIJEM	\N	146	31185	UROK	\N	\N
3656595	3818	1994-05-31	PRIJEM	\N	154	33755	UROK	\N	\N
3656596	3818	1994-06-30	PRIJEM	\N	183	39337	UROK	\N	\N
3656597	3818	1994-07-31	PRIJEM	\N	180	37233	UROK	\N	\N
3656598	3818	1994-08-31	PRIJEM	\N	174	36724	UROK	\N	\N
3656599	3818	1994-09-30	PRIJEM	\N	175	39616	UROK	\N	\N
3656600	3818	1994-10-31	PRIJEM	\N	178	36210	UROK	\N	\N
3656601	3818	1994-11-30	PRIJEM	\N	170	38296	UROK	\N	\N
3656602	3818	1994-12-31	PRIJEM	\N	191	42646	UROK	\N	\N
3656603	3818	1995-01-31	PRIJEM	\N	145	29427	UROK	\N	\N
3656604	3818	1995-02-28	PRIJEM	\N	144	35287	UROK	\N	\N
3656605	3818	1995-03-31	PRIJEM	\N	162	38446	UROK	\N	\N
3656606	3818	1995-04-30	PRIJEM	\N	174	39837	UROK	\N	\N
3656607	3818	1995-05-31	PRIJEM	\N	170	36763	UROK	\N	\N
3656608	3818	1995-06-30	PRIJEM	\N	168	31051	UROK	\N	\N
3656609	3818	1995-07-31	PRIJEM	\N	149	35116	UROK	\N	\N
3656610	3818	1995-08-31	PRIJEM	\N	161	36994	UROK	\N	\N
3656611	3818	1995-09-30	PRIJEM	\N	165	37875	UROK	\N	\N
3656612	3818	1995-10-31	PRIJEM	\N	172	40064	UROK	\N	\N
3656613	3818	1995-11-30	PRIJEM	\N	170	35890	UROK	\N	\N
3656614	3818	1995-12-31	PRIJEM	\N	178	37767	UROK	\N	\N
3656615	3818	1996-01-31	PRIJEM	\N	150	19293	UROK	\N	\N
3656616	3818	1996-02-29	PRIJEM	\N	121	34530	UROK	\N	\N
3656617	3818	1996-03-31	PRIJEM	\N	165	41012	UROK	\N	\N
3656618	3818	1996-04-30	PRIJEM	\N	189	47018	UROK	\N	\N
3656619	3818	1996-05-31	PRIJEM	\N	207	49801	UROK	\N	\N
3656620	3818	1996-06-30	PRIJEM	\N	200	46220	UROK	\N	\N
3656621	3818	1996-07-31	PRIJEM	\N	192	42549	UROK	\N	\N
3656622	3818	1996-08-31	PRIJEM	\N	188	45153	UROK	\N	\N
3656623	3818	1996-09-30	PRIJEM	\N	178	36408	UROK	\N	\N
3656624	3818	1996-10-31	PRIJEM	\N	170	41595	UROK	\N	\N
3656625	3818	1996-11-30	PRIJEM	\N	183	44894	UROK	\N	\N
3656626	3818	1996-12-31	PRIJEM	\N	205	49038	UROK	\N	\N
3656627	3818	1997-01-31	PRIJEM	\N	164	30879	UROK	\N	\N
3656628	3818	1997-02-28	PRIJEM	\N	158	41553	UROK	\N	\N
3656629	3818	1997-03-31	PRIJEM	\N	168	38817	UROK	\N	\N
3656630	3818	1997-04-30	PRIJEM	\N	180	45913	UROK	\N	\N
3656631	3818	1997-05-31	PRIJEM	\N	198	48827	UROK	\N	\N
3656632	3818	1997-06-30	PRIJEM	\N	176	20943	UROK	\N	\N
3656633	3818	1997-07-31	PRIJEM	\N	124	32463	UROK	\N	\N
3656634	3818	1997-08-31	PRIJEM	\N	184	49564	UROK	\N	\N
3656635	3818	1997-09-30	PRIJEM	\N	217	53658	UROK	\N	\N
3656636	3818	1997-10-31	PRIJEM	\N	245	61819	UROK	\N	\N
3656637	3818	1997-11-30	PRIJEM	\N	251	61366	UROK	\N	\N
3656638	3818	1997-12-31	PRIJEM	\N	277	68663	UROK	\N	\N
3656639	3818	1998-01-31	PRIJEM	\N	224	50563	UROK	\N	\N
3656640	3818	1998-02-28	PRIJEM	\N	223	55803	UROK	\N	\N
3656641	3818	1998-03-31	PRIJEM	\N	234	57954	UROK	\N	\N
3656642	3818	1998-04-30	PRIJEM	\N	248	60818	UROK	\N	\N
3656643	3818	1998-05-31	PRIJEM	\N	246	60181	UROK	\N	\N
3656644	3818	1998-06-30	PRIJEM	\N	266	25386	UROK	\N	\N
3656645	3818	1998-07-31	PRIJEM	\N	156	42559	UROK	\N	\N
3656646	3818	1998-08-31	PRIJEM	\N	196	50171	UROK	\N	\N
3656647	3818	1998-09-30	PRIJEM	\N	220	55708	UROK	\N	\N
3656648	3818	1998-10-31	PRIJEM	\N	239	59363	UROK	\N	\N
3656649	3818	1998-11-30	PRIJEM	\N	237	58216	UROK	\N	\N
3656650	3818	1998-12-31	PRIJEM	\N	245	62200	UROK	\N	\N
3656651	3819	1996-12-31	PRIJEM	\N	56	19736	UROK	\N	\N
3656652	3819	1997-01-31	PRIJEM	\N	92	23080	UROK	\N	\N
3656653	3819	1997-02-28	PRIJEM	\N	99	24132	UROK	\N	\N
3656654	3819	1997-03-31	PRIJEM	\N	104	25590	UROK	\N	\N
3656655	3819	1997-04-30	PRIJEM	\N	112	27655	UROK	\N	\N
3656656	3819	1997-05-31	PRIJEM	\N	108	25200	UROK	\N	\N
3656657	3819	1997-06-30	PRIJEM	\N	95	23858	UROK	\N	\N
3656658	3819	1997-07-31	PRIJEM	\N	100	22155	UROK	\N	\N
3656659	3819	1997-08-31	PRIJEM	\N	97	24968	UROK	\N	\N
3656660	3819	1997-09-30	PRIJEM	\N	102	24286	UROK	\N	\N
3656661	3819	1997-10-31	PRIJEM	\N	102	25525	UROK	\N	\N
3656662	3819	1997-11-30	PRIJEM	\N	106	26767	UROK	\N	\N
3656663	3819	1997-12-31	PRIJEM	\N	115	27386	UROK	\N	\N
3656664	3819	1998-01-31	PRIJEM	\N	89	18291	UROK	\N	\N
3656665	3819	1998-02-28	PRIJEM	\N	67	16894	UROK	\N	\N
3656666	3819	1998-03-31	PRIJEM	\N	82	21612	UROK	\N	\N
3656667	3819	1998-04-30	PRIJEM	\N	101	25249	UROK	\N	\N
3656668	3819	1998-05-31	PRIJEM	\N	91	22477	UROK	\N	\N
3656669	3819	1998-06-30	PRIJEM	\N	105	27745	UROK	\N	\N
3656670	3819	1998-07-31	PRIJEM	\N	98	23679	UROK	\N	\N
3656671	3819	1998-08-31	PRIJEM	\N	73	17689	UROK	\N	\N
3656672	3819	1998-09-30	PRIJEM	\N	59	14683	UROK	\N	\N
3656673	3819	1998-10-31	PRIJEM	\N	72	18292	UROK	\N	\N
3656674	3819	1998-11-30	PRIJEM	\N	69	16897	UROK	\N	\N
3656675	3819	1998-12-31	PRIJEM	\N	98	25018	UROK	\N	\N
3656676	3820	1993-12-31	PRIJEM	\N	52	21374	UROK	\N	\N
3656677	3820	1994-01-31	PRIJEM	\N	108	28762	UROK	\N	\N
3656678	3820	1994-02-28	PRIJEM	\N	124	30667	UROK	\N	\N
3656679	3820	1994-03-31	PRIJEM	\N	140	35788	UROK	\N	\N
3656680	3820	1994-04-30	PRIJEM	\N	127	24962	UROK	\N	\N
3656681	3820	1994-05-31	PRIJEM	\N	104	24779	UROK	\N	\N
3656682	3820	1994-06-30	PRIJEM	\N	110	26542	UROK	\N	\N
3656683	3820	1994-07-31	PRIJEM	\N	111	25965	UROK	\N	\N
3656684	3820	1994-08-31	PRIJEM	\N	106	24184	UROK	\N	\N
3656685	3820	1994-09-30	PRIJEM	\N	95	14171	UROK	\N	\N
3656686	3820	1994-10-31	PRIJEM	\N	82	20166	UROK	\N	\N
3656687	3820	1994-11-30	PRIJEM	\N	102	24180	UROK	\N	\N
3656688	3820	1994-12-31	PRIJEM	\N	121	27714	UROK	\N	\N
3656689	3820	1995-01-31	PRIJEM	\N	104	16291	UROK	\N	\N
3656690	3820	1995-02-28	PRIJEM	\N	85	22888	UROK	\N	\N
3656691	3820	1995-03-31	PRIJEM	\N	109	25710	UROK	\N	\N
3656692	3820	1995-04-30	PRIJEM	\N	118	27040	UROK	\N	\N
3656693	3820	1995-05-31	PRIJEM	\N	126	28538	UROK	\N	\N
3656694	3820	1995-06-30	PRIJEM	\N	148	35039	UROK	\N	\N
3656695	3820	1995-07-31	PRIJEM	\N	133	28884	UROK	\N	\N
3656696	3820	1995-08-31	PRIJEM	\N	149	35345	UROK	\N	\N
3656697	3820	1995-09-30	PRIJEM	\N	166	38723	UROK	\N	\N
3656698	3820	1995-10-31	PRIJEM	\N	179	41914	UROK	\N	\N
3656699	3820	1995-11-30	PRIJEM	\N	190	44316	UROK	\N	\N
3656700	3820	1995-12-31	PRIJEM	\N	222	53191	UROK	\N	\N
3656701	3820	1996-01-31	PRIJEM	\N	182	29965	UROK	\N	\N
3656702	3820	1996-02-29	PRIJEM	\N	154	34951	UROK	\N	\N
3656703	3820	1996-03-31	PRIJEM	\N	184	44347	UROK	\N	\N
3656704	3820	1996-04-30	PRIJEM	\N	192	43951	UROK	\N	\N
3656705	3820	1996-05-31	PRIJEM	\N	200	47063	UROK	\N	\N
3656706	3820	1996-06-30	PRIJEM	\N	205	36561	UROK	\N	\N
3656707	3820	1996-07-31	PRIJEM	\N	165	38258	UROK	\N	\N
3656708	3820	1996-08-31	PRIJEM	\N	166	39956	UROK	\N	\N
3656709	3820	1996-09-30	PRIJEM	\N	174	43722	UROK	\N	\N
3656710	3820	1996-10-31	PRIJEM	\N	190	45725	UROK	\N	\N
3656711	3820	1996-11-30	PRIJEM	\N	198	47735	UROK	\N	\N
3656712	3820	1996-12-31	PRIJEM	\N	217	46725	UROK	\N	\N
3656713	3820	1997-01-31	PRIJEM	\N	161	35758	UROK	\N	\N
3656714	3820	1997-02-28	PRIJEM	\N	158	39469	UROK	\N	\N
3656715	3820	1997-03-31	PRIJEM	\N	174	46755	UROK	\N	\N
3656716	3820	1997-04-30	PRIJEM	\N	205	54572	UROK	\N	\N
3656717	3820	1997-05-31	PRIJEM	\N	236	56761	UROK	\N	\N
3656718	3820	1997-06-30	PRIJEM	\N	179	44873	UROK	\N	\N
3656719	3820	1997-07-31	PRIJEM	\N	201	56387	UROK	\N	\N
3656720	3820	1997-08-31	PRIJEM	\N	242	59841	UROK	\N	\N
3656721	3820	1997-09-30	PRIJEM	\N	253	60906	UROK	\N	\N
3656722	3820	1997-10-31	PRIJEM	\N	259	62577	UROK	\N	\N
3656723	3820	1997-11-30	PRIJEM	\N	265	64154	UROK	\N	\N
3656724	3820	1997-12-31	PRIJEM	\N	281	61609	UROK	\N	\N
3656725	3820	1998-01-31	PRIJEM	\N	211	49392	UROK	\N	\N
3656726	3820	1998-02-28	PRIJEM	\N	218	58923	UROK	\N	\N
3656727	3820	1998-03-31	PRIJEM	\N	254	64189	UROK	\N	\N
3656728	3820	1998-04-30	PRIJEM	\N	267	65888	UROK	\N	\N
3656729	3820	1998-05-31	PRIJEM	\N	280	69280	UROK	\N	\N
3656730	3820	1998-06-30	PRIJEM	\N	279	37452	UROK	\N	\N
3656731	3820	1998-07-31	PRIJEM	\N	188	58953	UROK	\N	\N
3656732	3820	1998-08-31	PRIJEM	\N	255	64920	UROK	\N	\N
3656733	3820	1998-09-30	PRIJEM	\N	279	70811	UROK	\N	\N
3656734	3820	1998-10-31	PRIJEM	\N	303	72746	UROK	\N	\N
3656735	3820	1998-11-30	PRIJEM	\N	305	74964	UROK	\N	\N
3656736	3820	1998-12-31	PRIJEM	\N	318	77255	UROK	\N	\N
3656737	3822	1993-10-31	PRIJEM	\N	29	21276	UROK	\N	\N
3656738	3822	1993-11-30	PRIJEM	\N	104	32727	UROK	\N	\N
3656739	3822	1993-12-31	PRIJEM	\N	152	43399	UROK	\N	\N
3656740	3822	1994-01-31	PRIJEM	\N	178	42124	UROK	\N	\N
3656741	3822	1994-02-28	PRIJEM	\N	176	38390	UROK	\N	\N
3656742	3822	1994-03-31	PRIJEM	\N	165	36730	UROK	\N	\N
3656743	3822	1994-04-30	PRIJEM	\N	140	22065	UROK	\N	\N
3656744	3822	1994-05-31	PRIJEM	\N	111	29451	UROK	\N	\N
3656745	3822	1994-06-30	PRIJEM	\N	147	34646	UROK	\N	\N
3656746	3822	1994-07-31	PRIJEM	\N	147	32869	UROK	\N	\N
3656747	3822	1994-08-31	PRIJEM	\N	138	25855	UROK	\N	\N
3656748	3822	1994-09-30	PRIJEM	\N	118	27156	UROK	\N	\N
3656749	3822	1994-10-31	PRIJEM	\N	129	33161	UROK	\N	\N
3656750	3822	1994-11-30	PRIJEM	\N	135	30492	UROK	\N	\N
3656751	3822	1994-12-31	PRIJEM	\N	143	22283	UROK	\N	\N
3656752	3822	1995-01-31	PRIJEM	\N	104	21225	UROK	\N	\N
3656753	3822	1995-02-28	PRIJEM	\N	109	29409	UROK	\N	\N
3656754	3822	1995-03-31	PRIJEM	\N	131	31123	UROK	\N	\N
3656755	3822	1995-04-30	PRIJEM	\N	138	33937	UROK	\N	\N
3656756	3822	1995-05-31	PRIJEM	\N	155	37685	UROK	\N	\N
3656757	3822	1995-06-30	PRIJEM	\N	174	33384	UROK	\N	\N
3656758	3822	1995-07-31	PRIJEM	\N	123	24282	UROK	\N	\N
3656759	3822	1995-08-31	PRIJEM	\N	123	32581	UROK	\N	\N
3656760	3822	1995-09-30	PRIJEM	\N	137	30616	UROK	\N	\N
3656761	3822	1995-10-31	PRIJEM	\N	143	36435	UROK	\N	\N
3656762	3822	1995-11-30	PRIJEM	\N	160	32156	UROK	\N	\N
3656763	3822	1995-12-31	PRIJEM	\N	165	22595	UROK	\N	\N
3656764	3822	1996-01-31	PRIJEM	\N	130	23801	UROK	\N	\N
3656765	3822	1996-02-29	PRIJEM	\N	118	29494	UROK	\N	\N
3656766	3822	1996-03-31	PRIJEM	\N	127	30696	UROK	\N	\N
3656767	3822	1996-04-30	PRIJEM	\N	95	18166	UROK	\N	\N
3656768	3822	1996-05-31	PRIJEM	\N	102	26144	UROK	\N	\N
3656769	3822	1996-06-30	PRIJEM	\N	160	41452	UROK	\N	\N
3656770	3822	1996-07-31	PRIJEM	\N	156	36084	UROK	\N	\N
3656771	3822	1996-08-31	PRIJEM	\N	165	36767	UROK	\N	\N
3656772	3822	1996-09-30	PRIJEM	\N	171	42113	UROK	\N	\N
3656773	3822	1996-10-31	PRIJEM	\N	167	37056	UROK	\N	\N
3656774	3822	1996-11-30	PRIJEM	\N	175	40507	UROK	\N	\N
3656775	3822	1996-12-31	PRIJEM	\N	192	47846	UROK	\N	\N
3656776	3822	1997-01-31	PRIJEM	\N	154	22077	UROK	\N	\N
3656777	3822	1997-02-28	PRIJEM	\N	143	38695	UROK	\N	\N
3656778	3822	1997-03-31	PRIJEM	\N	157	35948	UROK	\N	\N
3656779	3822	1997-04-30	PRIJEM	\N	180	45603	UROK	\N	\N
3656780	3822	1997-05-31	PRIJEM	\N	155	27317	UROK	\N	\N
3656781	3822	1997-06-30	PRIJEM	\N	190	52155	UROK	\N	\N
3656782	3822	1997-07-31	PRIJEM	\N	215	51346	UROK	\N	\N
3656783	3822	1997-08-31	PRIJEM	\N	173	27476	UROK	\N	\N
3656784	3822	1997-09-30	PRIJEM	\N	167	45519	UROK	\N	\N
3656785	3822	1997-10-31	PRIJEM	\N	161	42708	UROK	\N	\N
3656786	3822	1997-11-30	PRIJEM	\N	97	26856	UROK	\N	\N
3656787	3822	1997-12-31	PRIJEM	\N	125	30910	UROK	\N	\N
3656788	3822	1998-01-31	PRIJEM	\N	116	26501	UROK	\N	\N
3656789	3822	1998-02-28	PRIJEM	\N	96	21936	UROK	\N	\N
3656790	3822	1998-03-31	PRIJEM	\N	101	22412	UROK	\N	\N
3656791	3822	1998-04-30	PRIJEM	\N	105	24192	UROK	\N	\N
3656792	3822	1998-05-31	PRIJEM	\N	112	26479	UROK	\N	\N
3656793	3822	1998-06-30	PRIJEM	\N	89	20616	UROK	\N	\N
3656794	3822	1998-07-31	PRIJEM	\N	97	24689	UROK	\N	\N
3656795	3822	1998-08-31	PRIJEM	\N	65	12664	UROK	\N	\N
3656796	3822	1998-09-30	PRIJEM	\N	65	18404	UROK	\N	\N
3656797	3822	1998-10-31	PRIJEM	\N	82	15661	UROK	\N	\N
3656798	3822	1998-11-30	PRIJEM	\N	73	16509	UROK	\N	\N
3656799	3822	1998-12-31	PRIJEM	\N	92	17649	UROK	\N	\N
3656800	3824	1994-04-30	PRIJEM	\N	28	16926	UROK	\N	\N
3656801	3824	1994-05-31	PRIJEM	\N	82	23807	UROK	\N	\N
3656802	3824	1994-06-30	PRIJEM	\N	116	33069	UROK	\N	\N
3656803	3824	1994-07-31	PRIJEM	\N	135	31602	UROK	\N	\N
3656804	3824	1994-08-31	PRIJEM	\N	135	33735	UROK	\N	\N
3656805	3824	1994-09-30	PRIJEM	\N	138	32058	UROK	\N	\N
3656806	3824	1994-10-31	PRIJEM	\N	136	32779	UROK	\N	\N
3656807	3824	1994-11-30	PRIJEM	\N	115	27279	UROK	\N	\N
3656808	3824	1994-12-31	PRIJEM	\N	123	31237	UROK	\N	\N
3656809	3824	1995-01-31	PRIJEM	\N	111	26433	UROK	\N	\N
3656810	3824	1995-02-28	PRIJEM	\N	118	30537	UROK	\N	\N
3656811	3824	1995-03-31	PRIJEM	\N	113	26435	UROK	\N	\N
3656812	3824	1995-04-30	PRIJEM	\N	107	25428	UROK	\N	\N
3656813	3824	1995-05-31	PRIJEM	\N	105	20518	UROK	\N	\N
3656814	3824	1995-06-30	PRIJEM	\N	106	28558	UROK	\N	\N
3656815	3824	1995-07-31	PRIJEM	\N	110	29153	UROK	\N	\N
3656816	3824	1995-08-31	PRIJEM	\N	128	32867	UROK	\N	\N
3656817	3824	1995-09-30	PRIJEM	\N	130	31782	UROK	\N	\N
3656818	3824	1995-10-31	PRIJEM	\N	133	33400	UROK	\N	\N
3656819	3824	1995-11-30	PRIJEM	\N	129	32014	UROK	\N	\N
3656820	3824	1995-12-31	PRIJEM	\N	146	39195	UROK	\N	\N
3656821	3824	1996-01-31	PRIJEM	\N	146	33827	UROK	\N	\N
3656822	3824	1996-02-29	PRIJEM	\N	127	32039	UROK	\N	\N
3656823	3824	1996-03-31	PRIJEM	\N	130	33154	UROK	\N	\N
3656824	3824	1996-04-30	PRIJEM	\N	129	32868	UROK	\N	\N
3656825	3824	1996-05-31	PRIJEM	\N	125	31678	UROK	\N	\N
3656826	3824	1996-06-30	PRIJEM	\N	135	35248	UROK	\N	\N
3656827	3824	1996-07-31	PRIJEM	\N	134	32667	UROK	\N	\N
3656828	3824	1996-08-31	PRIJEM	\N	117	28170	UROK	\N	\N
3656829	3824	1996-09-30	PRIJEM	\N	93	22849	UROK	\N	\N
3656830	3824	1996-10-31	PRIJEM	\N	83	22217	UROK	\N	\N
3656831	3824	1996-11-30	PRIJEM	\N	82	22084	UROK	\N	\N
3656832	3824	1996-12-31	PRIJEM	\N	91	25909	UROK	\N	\N
3656833	3824	1997-01-31	PRIJEM	\N	80	20474	UROK	\N	\N
3656834	3824	1997-02-28	PRIJEM	\N	73	20133	UROK	\N	\N
3656835	3824	1997-03-31	PRIJEM	\N	74	20092	UROK	\N	\N
3656836	3824	1997-04-30	PRIJEM	\N	77	21154	UROK	\N	\N
3656837	3824	1997-05-31	PRIJEM	\N	68	18107	UROK	\N	\N
3656838	3824	1997-06-30	PRIJEM	\N	92	25934	UROK	\N	\N
3656839	3824	1997-07-31	PRIJEM	\N	75	16194	UROK	\N	\N
3656840	3824	1997-08-31	PRIJEM	\N	73	19352	UROK	\N	\N
3656841	3824	1997-09-30	PRIJEM	\N	86	22524	UROK	\N	\N
3656842	3824	1997-10-31	PRIJEM	\N	79	17088	UROK	\N	\N
3656843	3824	1997-11-30	PRIJEM	\N	77	20250	UROK	\N	\N
3656844	3824	1997-12-31	PRIJEM	\N	101	28086	UROK	\N	\N
3656845	3824	1998-01-31	PRIJEM	\N	110	23381	UROK	\N	\N
3656846	3824	1998-02-28	PRIJEM	\N	102	26569	UROK	\N	\N
3656847	3824	1998-03-31	PRIJEM	\N	111	15865	UROK	\N	\N
3656848	3824	1998-04-30	PRIJEM	\N	71	19021	UROK	\N	\N
3656849	3824	1998-05-31	PRIJEM	\N	85	22191	UROK	\N	\N
3656850	3824	1998-06-30	PRIJEM	\N	108	30034	UROK	\N	\N
3656851	3824	1998-07-31	PRIJEM	\N	118	14337	UROK	\N	\N
3656852	3824	1998-08-31	PRIJEM	\N	65	17487	UROK	\N	\N
3656853	3824	1998-09-30	PRIJEM	\N	78	20650	UROK	\N	\N
3656854	3824	1998-10-31	PRIJEM	\N	91	23826	UROK	\N	\N
3656855	3824	1998-11-30	PRIJEM	\N	104	27016	UROK	\N	\N
3656856	3824	1998-12-31	PRIJEM	\N	127	33577	UROK	\N	\N
3656857	3826	1995-03-31	PRIJEM	\N	20	7698	UROK	\N	\N
3656858	3826	1995-04-30	PRIJEM	\N	76	25352	UROK	\N	\N
3656859	3826	1995-05-31	PRIJEM	\N	120	30949	UROK	\N	\N
3656860	3826	1995-06-30	PRIJEM	\N	142	36258	UROK	\N	\N
3656861	3826	1995-07-31	PRIJEM	\N	149	35484	UROK	\N	\N
3656862	3826	1995-08-31	PRIJEM	\N	142	35671	UROK	\N	\N
3656863	3826	1995-09-30	PRIJEM	\N	134	33350	UROK	\N	\N
3656864	3826	1995-10-31	PRIJEM	\N	135	34331	UROK	\N	\N
3656865	3826	1995-11-30	PRIJEM	\N	130	29806	UROK	\N	\N
3656866	3826	1995-12-31	PRIJEM	\N	120	24180	UROK	\N	\N
3656867	3826	1996-01-31	PRIJEM	\N	74	23119	UROK	\N	\N
3656868	3826	1996-02-29	PRIJEM	\N	102	25766	UROK	\N	\N
3656869	3826	1996-03-31	PRIJEM	\N	107	25438	UROK	\N	\N
3656870	3826	1996-04-30	PRIJEM	\N	110	24694	UROK	\N	\N
3656871	3826	1996-05-31	PRIJEM	\N	85	23064	UROK	\N	\N
3656872	3826	1996-06-30	PRIJEM	\N	109	26707	UROK	\N	\N
3656873	3826	1996-07-31	PRIJEM	\N	116	27769	UROK	\N	\N
3656874	3826	1996-08-31	PRIJEM	\N	120	28033	UROK	\N	\N
3656875	3826	1996-09-30	PRIJEM	\N	116	31055	UROK	\N	\N
3656876	3826	1996-10-31	PRIJEM	\N	134	32935	UROK	\N	\N
3656877	3826	1996-11-30	PRIJEM	\N	137	28898	UROK	\N	\N
3656878	3826	1996-12-31	PRIJEM	\N	128	26960	UROK	\N	\N
3656879	3826	1997-01-31	PRIJEM	\N	97	22823	UROK	\N	\N
3656880	3826	1997-02-28	PRIJEM	\N	102	26970	UROK	\N	\N
3656881	3826	1997-03-31	PRIJEM	\N	123	34038	UROK	\N	\N
3656882	3826	1997-04-30	PRIJEM	\N	151	39734	UROK	\N	\N
3656883	3826	1997-05-31	PRIJEM	\N	173	43852	UROK	\N	\N
3656884	3826	1997-06-30	PRIJEM	\N	165	36952	UROK	\N	\N
3656885	3826	1997-07-31	PRIJEM	\N	162	41259	UROK	\N	\N
3656886	3826	1997-08-31	PRIJEM	\N	178	44282	UROK	\N	\N
3656887	3826	1997-09-30	PRIJEM	\N	178	38106	UROK	\N	\N
3656888	3826	1997-10-31	PRIJEM	\N	161	38712	UROK	\N	\N
3656889	3826	1997-11-30	PRIJEM	\N	168	42125	UROK	\N	\N
3656890	3826	1997-12-31	PRIJEM	\N	177	41396	UROK	\N	\N
3656891	3826	1998-01-31	PRIJEM	\N	160	37201	UROK	\N	\N
3656892	3826	1998-02-28	PRIJEM	\N	160	37487	UROK	\N	\N
3656893	3826	1998-03-31	PRIJEM	\N	167	43399	UROK	\N	\N
3656894	3826	1998-04-30	PRIJEM	\N	185	48889	UROK	\N	\N
3656895	3826	1998-05-31	PRIJEM	\N	200	44094	UROK	\N	\N
3656896	3826	1998-06-30	PRIJEM	\N	184	40432	UROK	\N	\N
3656897	3826	1998-07-31	PRIJEM	\N	170	45608	UROK	\N	\N
3656898	3826	1998-08-31	PRIJEM	\N	187	48340	UROK	\N	\N
3656899	3826	1998-09-30	PRIJEM	\N	205	49790	UROK	\N	\N
3656900	3826	1998-10-31	PRIJEM	\N	209	51345	UROK	\N	\N
3656901	3826	1998-11-30	PRIJEM	\N	228	58218	UROK	\N	\N
3656902	3826	1998-12-31	PRIJEM	\N	232	57025	UROK	\N	\N
3656903	3828	1998-01-31	PRIJEM	\N	41	12261	UROK	\N	\N
3656904	3828	1998-02-28	PRIJEM	\N	60	13313	UROK	\N	\N
3656905	3828	1998-03-31	PRIJEM	\N	56	13280	UROK	\N	\N
3656906	3828	1998-04-30	PRIJEM	\N	55	13277	UROK	\N	\N
3656907	3828	1998-05-31	PRIJEM	\N	59	14327	UROK	\N	\N
3656908	3828	1998-06-30	PRIJEM	\N	63	15381	UROK	\N	\N
3656909	3828	1998-07-31	PRIJEM	\N	67	16440	UROK	\N	\N
3656910	3828	1998-08-31	PRIJEM	\N	72	17503	UROK	\N	\N
3656911	3828	1998-09-30	PRIJEM	\N	75	17279	UROK	\N	\N
3656912	3828	1998-10-31	PRIJEM	\N	80	17900	UROK	\N	\N
3656913	3828	1998-11-30	PRIJEM	\N	84	18976	UROK	\N	\N
3656914	3828	1998-12-31	PRIJEM	\N	81	19569	UROK	\N	\N
3656964	3830	1997-05-31	PRIJEM	\N	30	18843	UROK	\N	\N
3656965	3830	1997-06-30	PRIJEM	\N	100	31713	UROK	\N	\N
3656966	3830	1997-07-31	PRIJEM	\N	135	33561	UROK	\N	\N
3656967	3830	1997-08-31	PRIJEM	\N	138	32611	UROK	\N	\N
3656968	3830	1997-09-30	PRIJEM	\N	137	33261	UROK	\N	\N
3656969	3830	1997-10-31	PRIJEM	\N	125	31686	UROK	\N	\N
3656970	3830	1997-11-30	PRIJEM	\N	147	36633	UROK	\N	\N
3656971	3830	1997-12-31	PRIJEM	\N	166	36457	UROK	\N	\N
3656972	3830	1998-01-31	PRIJEM	\N	111	20068	UROK	\N	\N
3656973	3830	1998-02-28	PRIJEM	\N	89	20203	UROK	\N	\N
3656974	3830	1998-03-31	PRIJEM	\N	113	31466	UROK	\N	\N
3656975	3830	1998-04-30	PRIJEM	\N	143	35164	UROK	\N	\N
3656976	3830	1998-05-31	PRIJEM	\N	167	34619	UROK	\N	\N
3656977	3830	1998-06-30	PRIJEM	\N	183	49560	UROK	\N	\N
3656978	3830	1998-07-31	PRIJEM	\N	213	51574	UROK	\N	\N
3656979	3830	1998-08-31	PRIJEM	\N	219	52893	UROK	\N	\N
3656980	3830	1998-09-30	PRIJEM	\N	219	52212	UROK	\N	\N
3656981	3830	1998-10-31	PRIJEM	\N	166	39279	UROK	\N	\N
3656982	3830	1998-11-30	PRIJEM	\N	182	49063	UROK	\N	\N
3656983	3830	1998-12-31	PRIJEM	\N	150	23153	UROK	\N	\N
3657013	3832	1996-02-29	PRIJEM	\N	19	14899	UROK	\N	\N
3657014	3832	1996-03-31	PRIJEM	\N	71	21650	UROK	\N	\N
3657015	3832	1996-04-30	PRIJEM	\N	93	23623	UROK	\N	\N
3657016	3832	1996-05-31	PRIJEM	\N	97	22900	UROK	\N	\N
3657017	3832	1996-06-30	PRIJEM	\N	103	24197	UROK	\N	\N
3657018	3832	1996-07-31	PRIJEM	\N	101	21827	UROK	\N	\N
3657019	3832	1996-08-31	PRIJEM	\N	97	22073	UROK	\N	\N
3657020	3832	1996-09-30	PRIJEM	\N	96	22498	UROK	\N	\N
3657021	3832	1996-10-31	PRIJEM	\N	100	24327	UROK	\N	\N
3657022	3832	1996-11-30	PRIJEM	\N	111	28368	UROK	\N	\N
3657023	3832	1996-12-31	PRIJEM	\N	116	19504	UROK	\N	\N
3657024	3832	1997-01-31	PRIJEM	\N	73	15786	UROK	\N	\N
3657025	3832	1997-02-28	PRIJEM	\N	79	21695	UROK	\N	\N
3657026	3832	1997-03-31	PRIJEM	\N	91	21115	UROK	\N	\N
3657027	3832	1997-04-30	PRIJEM	\N	96	24141	UROK	\N	\N
3657028	3832	1997-05-31	PRIJEM	\N	93	19723	UROK	\N	\N
3657029	3832	1997-06-30	PRIJEM	\N	82	16625	UROK	\N	\N
3657030	3832	1997-07-31	PRIJEM	\N	69	14364	UROK	\N	\N
3657031	3832	1997-08-31	PRIJEM	\N	81	18874	UROK	\N	\N
3657032	3832	1997-09-30	PRIJEM	\N	81	19785	UROK	\N	\N
3657033	3832	1997-10-31	PRIJEM	\N	85	20599	UROK	\N	\N
3657034	3832	1997-11-30	PRIJEM	\N	88	21316	UROK	\N	\N
3657035	3832	1997-12-31	PRIJEM	\N	104	27520	UROK	\N	\N
3657036	3832	1998-01-31	PRIJEM	\N	91	17381	UROK	\N	\N
3657037	3832	1998-02-28	PRIJEM	\N	84	20874	UROK	\N	\N
3657038	3832	1998-03-31	PRIJEM	\N	99	25402	UROK	\N	\N
3657039	3832	1998-04-30	PRIJEM	\N	105	25437	UROK	\N	\N
3657040	3832	1998-05-31	PRIJEM	\N	101	23667	UROK	\N	\N
3657041	3832	1998-06-30	PRIJEM	\N	103	25789	UROK	\N	\N
3657042	3832	1998-07-31	PRIJEM	\N	104	24622	UROK	\N	\N
3657043	3832	1998-08-31	PRIJEM	\N	93	21344	UROK	\N	\N
3657044	3832	1998-09-30	PRIJEM	\N	81	18555	UROK	\N	\N
3657045	3832	1998-10-31	PRIJEM	\N	74	17758	UROK	\N	\N
3657046	3832	1998-11-30	PRIJEM	\N	82	21270	UROK	\N	\N
3657047	3832	1998-12-31	PRIJEM	\N	72	16282	UROK	\N	\N
3657048	3833	1997-07-31	PRIJEM	\N	115	54332	UROK	\N	\N
3657049	3833	1997-08-31	PRIJEM	\N	223	51433	UROK	\N	\N
3657050	3833	1997-09-30	PRIJEM	\N	226	56060	UROK	\N	\N
3657051	3833	1997-10-31	PRIJEM	\N	233	42792	UROK	\N	\N
3657052	3833	1997-11-30	PRIJEM	\N	233	40025	UROK	\N	\N
3657053	3833	1997-12-31	PRIJEM	\N	233	34758	UROK	\N	\N
3657054	3833	1998-01-31	PRIJEM	\N	149	20757	UROK	\N	\N
3657055	3833	1998-02-28	PRIJEM	\N	77	17259	UROK	\N	\N
3657056	3833	1998-03-31	PRIJEM	\N	65	15050	UROK	\N	\N
3657057	3833	1998-04-30	PRIJEM	\N	128	57507	UROK	\N	\N
3657058	3833	1998-05-31	PRIJEM	\N	375	60755	UROK	\N	\N
3657059	3833	1998-06-30	PRIJEM	\N	178	33858	UROK	\N	\N
3657060	3833	1998-07-31	PRIJEM	\N	104	20887	UROK	\N	\N
3657061	3833	1998-08-31	PRIJEM	\N	68	32295	UROK	\N	\N
3657062	3833	1998-09-30	PRIJEM	\N	109	34940	UROK	\N	\N
3657063	3833	1998-10-31	PRIJEM	\N	218	64482	UROK	\N	\N
3657064	3833	1998-11-30	PRIJEM	\N	190	51978	UROK	\N	\N
3657065	3833	1998-12-31	PRIJEM	\N	213	85759	UROK	\N	\N
3657066	3834	1993-02-28	PRIJEM	\N	35	21210	UROK	\N	\N
3657067	3834	1993-03-31	PRIJEM	\N	100	28485	UROK	\N	\N
3657068	3834	1993-04-30	PRIJEM	\N	129	34888	UROK	\N	\N
3657069	3834	1993-05-31	PRIJEM	\N	146	35810	UROK	\N	\N
3657070	3834	1993-06-30	PRIJEM	\N	143	13483	UROK	\N	\N
3657071	3834	1993-07-31	PRIJEM	\N	74	22077	UROK	\N	\N
3657072	3834	1993-08-31	PRIJEM	\N	96	25334	UROK	\N	\N
3657073	3834	1993-09-30	PRIJEM	\N	89	25283	UROK	\N	\N
3657074	3834	1993-10-31	PRIJEM	\N	110	27713	UROK	\N	\N
3657075	3834	1993-11-30	PRIJEM	\N	124	31658	UROK	\N	\N
3657076	3834	1993-12-31	PRIJEM	\N	136	27771	UROK	\N	\N
3657077	3834	1994-01-31	PRIJEM	\N	103	14054	UROK	\N	\N
3657078	3834	1994-02-28	PRIJEM	\N	72	21547	UROK	\N	\N
3657079	3834	1994-03-31	PRIJEM	\N	94	16981	UROK	\N	\N
3657080	3834	1994-04-30	PRIJEM	\N	84	24186	UROK	\N	\N
3657081	3834	1994-05-31	PRIJEM	\N	91	20257	UROK	\N	\N
3657082	3834	1994-06-30	PRIJEM	\N	107	18401	UROK	\N	\N
3657083	3834	1994-07-31	PRIJEM	\N	89	23310	UROK	\N	\N
3657084	3834	1994-08-31	PRIJEM	\N	101	27031	UROK	\N	\N
3657085	3834	1994-09-30	PRIJEM	\N	112	28644	UROK	\N	\N
3657086	3834	1994-10-31	PRIJEM	\N	137	36880	UROK	\N	\N
3657087	3834	1994-11-30	PRIJEM	\N	143	37223	UROK	\N	\N
3657088	3834	1994-12-31	PRIJEM	\N	175	43715	UROK	\N	\N
3657089	3834	1995-01-31	PRIJEM	\N	119	13993	UROK	\N	\N
3657090	3834	1995-02-28	PRIJEM	\N	94	27986	UROK	\N	\N
3657091	3834	1995-03-31	PRIJEM	\N	117	29782	UROK	\N	\N
3657092	3834	1995-04-30	PRIJEM	\N	129	33810	UROK	\N	\N
3657093	3834	1995-05-31	PRIJEM	\N	145	37654	UROK	\N	\N
3657094	3834	1995-06-30	PRIJEM	\N	123	22913	UROK	\N	\N
3657095	3834	1995-07-31	PRIJEM	\N	110	29923	UROK	\N	\N
3657096	3834	1995-08-31	PRIJEM	\N	126	32448	UROK	\N	\N
3657097	3834	1995-09-30	PRIJEM	\N	130	33877	UROK	\N	\N
3657098	3834	1995-10-31	PRIJEM	\N	136	35413	UROK	\N	\N
3657099	3834	1995-11-30	PRIJEM	\N	132	33065	UROK	\N	\N
3657100	3834	1995-12-31	PRIJEM	\N	132	34295	UROK	\N	\N
3657101	3834	1996-01-31	PRIJEM	\N	113	18268	UROK	\N	\N
3657102	3834	1996-02-29	PRIJEM	\N	100	27389	UROK	\N	\N
3657103	3834	1996-03-31	PRIJEM	\N	101	26510	UROK	\N	\N
3657104	3834	1996-04-30	PRIJEM	\N	101	27032	UROK	\N	\N
3657105	3834	1996-05-31	PRIJEM	\N	105	26557	UROK	\N	\N
3657106	3834	1996-06-30	PRIJEM	\N	115	32429	UROK	\N	\N
3657107	3834	1996-07-31	PRIJEM	\N	122	30771	UROK	\N	\N
3657108	3834	1996-08-31	PRIJEM	\N	104	26395	UROK	\N	\N
3657109	3834	1996-09-30	PRIJEM	\N	102	23298	UROK	\N	\N
3657110	3834	1996-10-31	PRIJEM	\N	92	21610	UROK	\N	\N
3657111	3834	1996-11-30	PRIJEM	\N	100	22430	UROK	\N	\N
3657112	3834	1996-12-31	PRIJEM	\N	112	25979	UROK	\N	\N
3657113	3834	1997-01-31	PRIJEM	\N	87	14787	UROK	\N	\N
3657114	3834	1997-02-28	PRIJEM	\N	70	17077	UROK	\N	\N
3657115	3834	1997-03-31	PRIJEM	\N	80	18778	UROK	\N	\N
3657116	3834	1997-04-30	PRIJEM	\N	83	18262	UROK	\N	\N
3657117	3834	1997-05-31	PRIJEM	\N	78	19660	UROK	\N	\N
3657118	3834	1997-06-30	PRIJEM	\N	102	23519	UROK	\N	\N
3657119	3834	1997-07-31	PRIJEM	\N	83	19043	UROK	\N	\N
3657120	3834	1997-08-31	PRIJEM	\N	81	18964	UROK	\N	\N
3657121	3834	1997-09-30	PRIJEM	\N	88	25672	UROK	\N	\N
3657122	3834	1997-10-31	PRIJEM	\N	107	22539	UROK	\N	\N
3657123	3834	1997-11-30	PRIJEM	\N	92	21951	UROK	\N	\N
3657124	3834	1997-12-31	PRIJEM	\N	104	24813	UROK	\N	\N
3657125	3834	1998-01-31	PRIJEM	\N	79	16192	UROK	\N	\N
3657126	3834	1998-02-28	PRIJEM	\N	73	21385	UROK	\N	\N
3657127	3834	1998-03-31	PRIJEM	\N	77	15983	UROK	\N	\N
3657128	3834	1998-04-30	PRIJEM	\N	73	21476	UROK	\N	\N
3657129	3834	1998-05-31	PRIJEM	\N	93	26890	UROK	\N	\N
3657130	3834	1998-06-30	PRIJEM	\N	114	20661	UROK	\N	\N
3657131	3834	1998-07-31	PRIJEM	\N	82	21084	UROK	\N	\N
3657132	3834	1998-08-31	PRIJEM	\N	86	25289	UROK	\N	\N
3657133	3834	1998-09-30	PRIJEM	\N	105	29815	UROK	\N	\N
3657134	3834	1998-10-31	PRIJEM	\N	100	16935	UROK	\N	\N
3657135	3834	1998-11-30	PRIJEM	\N	75	22031	UROK	\N	\N
3657136	3834	1998-12-31	PRIJEM	\N	110	30658	UROK	\N	\N
3657137	3835	1993-04-30	PRIJEM	\N	46	20879	UROK	\N	\N
3657138	3835	1993-05-31	PRIJEM	\N	103	27915	UROK	\N	\N
3657139	3835	1993-06-30	PRIJEM	\N	138	37303	UROK	\N	\N
3657140	3835	1993-07-31	PRIJEM	\N	160	39496	UROK	\N	\N
3657141	3835	1993-08-31	PRIJEM	\N	158	37287	UROK	\N	\N
3657142	3835	1993-09-30	PRIJEM	\N	136	30457	UROK	\N	\N
3657143	3835	1993-10-31	PRIJEM	\N	117	27809	UROK	\N	\N
3657144	3835	1993-11-30	PRIJEM	\N	141	37785	UROK	\N	\N
3657145	3835	1993-12-31	PRIJEM	\N	173	42508	UROK	\N	\N
3657146	3835	1994-01-31	PRIJEM	\N	172	42415	UROK	\N	\N
3657147	3835	1994-02-28	PRIJEM	\N	177	44826	UROK	\N	\N
3657148	3835	1994-03-31	PRIJEM	\N	174	42435	UROK	\N	\N
3657149	3835	1994-04-30	PRIJEM	\N	187	47456	UROK	\N	\N
3657150	3835	1994-05-31	PRIJEM	\N	195	48486	UROK	\N	\N
3657151	3835	1994-06-30	PRIJEM	\N	204	43841	UROK	\N	\N
3657152	3835	1994-07-31	PRIJEM	\N	177	44253	UROK	\N	\N
3657153	3835	1994-08-31	PRIJEM	\N	176	43064	UROK	\N	\N
3657154	3835	1994-09-30	PRIJEM	\N	166	40964	UROK	\N	\N
3657155	3835	1994-10-31	PRIJEM	\N	162	37261	UROK	\N	\N
3657156	3835	1994-11-30	PRIJEM	\N	165	42561	UROK	\N	\N
3657157	3835	1994-12-31	PRIJEM	\N	189	48101	UROK	\N	\N
3657158	3835	1995-01-31	PRIJEM	\N	177	40013	UROK	\N	\N
3657159	3835	1995-02-28	PRIJEM	\N	164	39610	UROK	\N	\N
3657160	3835	1995-03-31	PRIJEM	\N	157	38402	UROK	\N	\N
3657161	3835	1995-04-30	PRIJEM	\N	170	43206	UROK	\N	\N
3657162	3835	1995-05-31	PRIJEM	\N	180	44621	UROK	\N	\N
3657163	3835	1995-06-30	PRIJEM	\N	184	49356	UROK	\N	\N
3657164	3835	1995-07-31	PRIJEM	\N	191	46981	UROK	\N	\N
3657165	3835	1995-08-31	PRIJEM	\N	185	45600	UROK	\N	\N
3657166	3835	1995-09-30	PRIJEM	\N	186	46321	UROK	\N	\N
3657167	3835	1995-10-31	PRIJEM	\N	186	45641	UROK	\N	\N
3657168	3835	1995-11-30	PRIJEM	\N	189	43865	UROK	\N	\N
3657169	3835	1995-12-31	PRIJEM	\N	205	53921	UROK	\N	\N
3657170	3835	1996-01-31	PRIJEM	\N	202	41958	UROK	\N	\N
3657171	3835	1996-02-29	PRIJEM	\N	188	48780	UROK	\N	\N
3657172	3835	1996-03-31	PRIJEM	\N	193	39508	UROK	\N	\N
3657173	3835	1996-04-30	PRIJEM	\N	171	39913	UROK	\N	\N
3657174	3835	1996-05-31	PRIJEM	\N	172	39219	UROK	\N	\N
3657175	3835	1996-06-30	PRIJEM	\N	154	36125	UROK	\N	\N
3657176	3835	1996-07-31	PRIJEM	\N	164	39423	UROK	\N	\N
3657177	3835	1996-08-31	PRIJEM	\N	173	39330	UROK	\N	\N
3657178	3835	1996-09-30	PRIJEM	\N	158	38323	UROK	\N	\N
3657179	3835	1996-10-31	PRIJEM	\N	169	41326	UROK	\N	\N
3657180	3835	1996-11-30	PRIJEM	\N	172	38632	UROK	\N	\N
3657181	3835	1996-12-31	PRIJEM	\N	178	37462	UROK	\N	\N
3657182	3835	1997-01-31	PRIJEM	\N	164	39860	UROK	\N	\N
3657183	3835	1997-02-28	PRIJEM	\N	168	36862	UROK	\N	\N
3657184	3835	1997-03-31	PRIJEM	\N	163	40859	UROK	\N	\N
3657185	3835	1997-04-30	PRIJEM	\N	177	39771	UROK	\N	\N
3657186	3835	1997-05-31	PRIJEM	\N	157	36062	UROK	\N	\N
3657187	3835	1997-06-30	PRIJEM	\N	140	33354	UROK	\N	\N
3657188	3835	1997-07-31	PRIJEM	\N	147	34735	UROK	\N	\N
3657189	3835	1997-08-31	PRIJEM	\N	151	36021	UROK	\N	\N
3657190	3835	1997-09-30	PRIJEM	\N	156	39111	UROK	\N	\N
3657191	3835	1997-10-31	PRIJEM	\N	168	40414	UROK	\N	\N
3657192	3835	1997-11-30	PRIJEM	\N	166	39214	UROK	\N	\N
3657193	3835	1997-12-31	PRIJEM	\N	176	37341	UROK	\N	\N
3657194	3835	1998-01-31	PRIJEM	\N	164	42739	UROK	\N	\N
3657195	3835	1998-02-28	PRIJEM	\N	166	37139	UROK	\N	\N
3657196	3835	1998-03-31	PRIJEM	\N	153	40527	UROK	\N	\N
3657197	3835	1998-04-30	PRIJEM	\N	165	39326	UROK	\N	\N
3657198	3835	1998-05-31	PRIJEM	\N	160	38020	UROK	\N	\N
3657199	3835	1998-06-30	PRIJEM	\N	153	36724	UROK	\N	\N
3657200	3835	1998-07-31	PRIJEM	\N	137	26995	UROK	\N	\N
3657201	3835	1998-08-31	PRIJEM	\N	108	26437	UROK	\N	\N
3657202	3835	1998-09-30	PRIJEM	\N	111	29383	UROK	\N	\N
3657203	3835	1998-10-31	PRIJEM	\N	118	29635	UROK	\N	\N
3657204	3835	1998-11-30	PRIJEM	\N	123	32192	UROK	\N	\N
3657205	3835	1998-12-31	PRIJEM	\N	148	38091	UROK	\N	\N
3657206	3836	1997-12-31	PRIJEM	\N	94	35184	UROK	\N	\N
3657207	3836	1998-01-31	PRIJEM	\N	188	50965	UROK	\N	\N
3657208	3836	1998-02-28	PRIJEM	\N	247	65105	UROK	\N	\N
3657209	3836	1998-03-31	PRIJEM	\N	276	67174	UROK	\N	\N
3657210	3836	1998-04-30	PRIJEM	\N	276	66032	UROK	\N	\N
3657211	3836	1998-05-31	PRIJEM	\N	242	60358	UROK	\N	\N
3657212	3836	1998-06-30	PRIJEM	\N	261	71099	UROK	\N	\N
3657213	3836	1998-07-31	PRIJEM	\N	260	66443	UROK	\N	\N
3657214	3836	1998-08-31	PRIJEM	\N	260	62586	UROK	\N	\N
3657215	3836	1998-09-30	PRIJEM	\N	230	57619	UROK	\N	\N
3657216	3836	1998-10-31	PRIJEM	\N	242	63845	UROK	\N	\N
3657217	3836	1998-11-30	PRIJEM	\N	239	61807	UROK	\N	\N
3657218	3836	1998-12-31	PRIJEM	\N	260	67686	UROK	\N	\N
3657219	3837	1993-09-30	PRIJEM	\N	17	19793	UROK	\N	\N
3657220	3837	1993-10-31	PRIJEM	\N	92	30361	UROK	\N	\N
3657221	3837	1993-11-30	PRIJEM	\N	132	36169	UROK	\N	\N
3657222	3837	1993-12-31	PRIJEM	\N	154	39586	UROK	\N	\N
3657223	3837	1994-01-31	PRIJEM	\N	135	23800	UROK	\N	\N
3657224	3837	1994-02-28	PRIJEM	\N	106	31183	UROK	\N	\N
3657225	3837	1994-03-31	PRIJEM	\N	118	27204	UROK	\N	\N
3657226	3837	1994-04-30	PRIJEM	\N	121	34501	UROK	\N	\N
3657227	3837	1994-05-31	PRIJEM	\N	122	26082	UROK	\N	\N
3657228	3837	1994-06-30	PRIJEM	\N	134	36080	UROK	\N	\N
3657229	3837	1994-07-31	PRIJEM	\N	148	34403	UROK	\N	\N
3657230	3837	1994-08-31	PRIJEM	\N	142	29721	UROK	\N	\N
3657231	3837	1994-09-30	PRIJEM	\N	132	35729	UROK	\N	\N
3657232	3837	1994-10-31	PRIJEM	\N	151	37657	UROK	\N	\N
3657233	3837	1994-11-30	PRIJEM	\N	145	31078	UROK	\N	\N
3657234	3837	1994-12-31	PRIJEM	\N	141	32083	UROK	\N	\N
3657235	3837	1995-01-31	PRIJEM	\N	102	22161	UROK	\N	\N
3657236	3837	1995-02-28	PRIJEM	\N	107	30944	UROK	\N	\N
3657237	3837	1995-03-31	PRIJEM	\N	135	31755	UROK	\N	\N
3657238	3837	1995-04-30	PRIJEM	\N	133	30764	UROK	\N	\N
3657239	3837	1995-05-31	PRIJEM	\N	137	35677	UROK	\N	\N
3657240	3837	1995-06-30	PRIJEM	\N	143	24888	UROK	\N	\N
3657241	3837	1995-07-31	PRIJEM	\N	122	34186	UROK	\N	\N
3657242	3837	1995-08-31	PRIJEM	\N	125	22486	UROK	\N	\N
3657243	3837	1995-09-30	PRIJEM	\N	122	35484	UROK	\N	\N
3657244	3837	1995-10-31	PRIJEM	\N	163	39222	UROK	\N	\N
3657245	3837	1995-11-30	PRIJEM	\N	174	44373	UROK	\N	\N
3657246	3837	1995-12-31	PRIJEM	\N	184	40521	UROK	\N	\N
3657247	3837	1996-01-31	PRIJEM	\N	129	20726	UROK	\N	\N
3657248	3837	1996-02-29	PRIJEM	\N	131	38633	UROK	\N	\N
3657249	3837	1996-03-31	PRIJEM	\N	174	44283	UROK	\N	\N
3657250	3837	1996-04-30	PRIJEM	\N	179	42536	UROK	\N	\N
3657251	3837	1996-05-31	PRIJEM	\N	178	32913	UROK	\N	\N
3657252	3837	1996-06-30	PRIJEM	\N	134	31812	UROK	\N	\N
3657253	3837	1996-07-31	PRIJEM	\N	166	44254	UROK	\N	\N
3657254	3837	1996-08-31	PRIJEM	\N	185	45014	UROK	\N	\N
3657255	3837	1996-09-30	PRIJEM	\N	145	29371	UROK	\N	\N
3657256	3837	1996-10-31	PRIJEM	\N	155	40603	UROK	\N	\N
3657257	3837	1996-11-30	PRIJEM	\N	200	43556	UROK	\N	\N
3657258	3837	1996-12-31	PRIJEM	\N	191	35264	UROK	\N	\N
3657259	3837	1997-01-31	PRIJEM	\N	133	21873	UROK	\N	\N
3657260	3837	1997-02-28	PRIJEM	\N	164	47013	UROK	\N	\N
3657261	3837	1997-03-31	PRIJEM	\N	166	30944	UROK	\N	\N
3657262	3837	1997-04-30	PRIJEM	\N	170	44090	UROK	\N	\N
3657263	3837	1997-05-31	PRIJEM	\N	184	41450	UROK	\N	\N
3657264	3837	1997-06-30	PRIJEM	\N	214	56627	UROK	\N	\N
3657265	3837	1997-07-31	PRIJEM	\N	259	65062	UROK	\N	\N
3657266	3837	1997-08-31	PRIJEM	\N	223	48198	UROK	\N	\N
3657267	3837	1997-09-30	PRIJEM	\N	229	55935	UROK	\N	\N
3657268	3837	1997-10-31	PRIJEM	\N	250	61618	UROK	\N	\N
3657269	3837	1997-11-30	PRIJEM	\N	267	63546	UROK	\N	\N
3657270	3837	1997-12-31	PRIJEM	\N	279	68959	UROK	\N	\N
3657271	3837	1998-01-31	PRIJEM	\N	190	23929	UROK	\N	\N
3657272	3837	1998-02-28	PRIJEM	\N	167	42562	UROK	\N	\N
3657273	3837	1998-03-31	PRIJEM	\N	212	55350	UROK	\N	\N
3657274	3837	1998-04-30	PRIJEM	\N	261	66687	UROK	\N	\N
3657275	3837	1998-05-31	PRIJEM	\N	250	55276	UROK	\N	\N
3657276	3837	1998-06-30	PRIJEM	\N	222	55762	UROK	\N	\N
3657277	3837	1998-07-31	PRIJEM	\N	247	62585	UROK	\N	\N
3657278	3837	1998-08-31	PRIJEM	\N	206	48881	UROK	\N	\N
3657279	3837	1998-09-30	PRIJEM	\N	213	40413	UROK	\N	\N
3657280	3837	1998-10-31	PRIJEM	\N	168	51858	UROK	\N	\N
3657281	3837	1998-11-30	PRIJEM	\N	207	45153	UROK	\N	\N
3657282	3837	1998-12-31	PRIJEM	\N	173	36089	UROK	\N	\N
3657283	3839	1995-03-31	PRIJEM	\N	35	29256	UROK	\N	\N
3657284	3839	1995-04-30	PRIJEM	\N	138	42415	UROK	\N	\N
3657285	3839	1995-05-31	PRIJEM	\N	185	49122	UROK	\N	\N
3657286	3839	1995-06-30	PRIJEM	\N	222	61925	UROK	\N	\N
3657287	3839	1995-07-31	PRIJEM	\N	250	56796	UROK	\N	\N
3657288	3839	1995-08-31	PRIJEM	\N	236	51738	UROK	\N	\N
3657289	3839	1995-09-30	PRIJEM	\N	221	55165	UROK	\N	\N
3657290	3839	1995-10-31	PRIJEM	\N	228	50199	UROK	\N	\N
3657291	3839	1995-11-30	PRIJEM	\N	212	43618	UROK	\N	\N
3657292	3839	1995-12-31	PRIJEM	\N	180	37165	UROK	\N	\N
3657293	3839	1996-01-31	PRIJEM	\N	148	19875	UROK	\N	\N
3657294	3839	1996-02-29	PRIJEM	\N	119	37800	UROK	\N	\N
3657295	3839	1996-03-31	PRIJEM	\N	176	46982	UROK	\N	\N
3657296	3839	1996-04-30	PRIJEM	\N	166	24182	UROK	\N	\N
3657297	3839	1996-05-31	PRIJEM	\N	113	29101	UROK	\N	\N
3657298	3839	1996-06-30	PRIJEM	\N	160	47029	UROK	\N	\N
3657299	3839	1996-07-31	PRIJEM	\N	195	48130	UROK	\N	\N
3657300	3839	1996-08-31	PRIJEM	\N	132	29717	UROK	\N	\N
3657301	3839	1996-09-30	PRIJEM	\N	138	25233	UROK	\N	\N
3657302	3839	1996-10-31	PRIJEM	\N	125	33364	UROK	\N	\N
3657303	3839	1996-11-30	PRIJEM	\N	138	29954	UROK	\N	\N
3657304	3839	1996-12-31	PRIJEM	\N	151	33402	UROK	\N	\N
3657305	3839	1997-01-31	PRIJEM	\N	116	21824	UROK	\N	\N
3657306	3839	1997-02-28	PRIJEM	\N	129	35760	UROK	\N	\N
3657307	3839	1997-03-31	PRIJEM	\N	162	41129	UROK	\N	\N
3657308	3839	1997-04-30	PRIJEM	\N	177	43612	UROK	\N	\N
3657309	3839	1997-05-31	PRIJEM	\N	186	45404	UROK	\N	\N
3657310	3839	1997-06-30	PRIJEM	\N	304	49075	UROK	\N	\N
3657311	3839	1997-07-31	PRIJEM	\N	289	43071	UROK	\N	\N
3657312	3839	1997-08-31	PRIJEM	\N	211	54388	UROK	\N	\N
3657313	3839	1997-09-30	PRIJEM	\N	247	62141	UROK	\N	\N
3657314	3839	1997-10-31	PRIJEM	\N	250	62798	UROK	\N	\N
3657315	3839	1997-11-30	PRIJEM	\N	277	68882	UROK	\N	\N
3657316	3839	1997-12-31	PRIJEM	\N	325	86474	UROK	\N	\N
3657317	3839	1998-01-31	PRIJEM	\N	266	46846	UROK	\N	\N
3657318	3839	1998-02-28	PRIJEM	\N	241	63893	UROK	\N	\N
3657319	3839	1998-03-31	PRIJEM	\N	243	60741	UROK	\N	\N
3657320	3839	1998-04-30	PRIJEM	\N	284	72232	UROK	\N	\N
3657321	3839	1998-05-31	PRIJEM	\N	288	68326	UROK	\N	\N
3657322	3839	1998-06-30	PRIJEM	\N	340	90827	UROK	\N	\N
3657323	3839	1998-07-31	PRIJEM	\N	357	80090	UROK	\N	\N
3657324	3839	1998-08-31	PRIJEM	\N	350	86846	UROK	\N	\N
3657325	3839	1998-09-30	PRIJEM	\N	318	55252	UROK	\N	\N
3657326	3839	1998-10-31	PRIJEM	\N	240	42770	UROK	\N	\N
3657327	3839	1998-11-30	PRIJEM	\N	234	63311	UROK	\N	\N
3657328	3839	1998-12-31	PRIJEM	\N	315	77093	UROK	\N	\N
3657329	3840	1994-07-31	PRIJEM	\N	43	23513	UROK	\N	\N
3657330	3840	1994-08-31	PRIJEM	\N	101	23310	UROK	\N	\N
3657331	3840	1994-09-30	PRIJEM	\N	103	24910	UROK	\N	\N
3657332	3840	1994-10-31	PRIJEM	\N	107	25213	UROK	\N	\N
3657333	3840	1994-11-30	PRIJEM	\N	112	27321	UROK	\N	\N
3657334	3840	1994-12-31	PRIJEM	\N	102	22249	UROK	\N	\N
3657335	3840	1995-01-31	PRIJEM	\N	81	13417	UROK	\N	\N
3657336	3840	1995-02-28	PRIJEM	\N	65	16878	UROK	\N	\N
3657337	3840	1995-03-31	PRIJEM	\N	80	20355	UROK	\N	\N
3657338	3840	1995-04-30	PRIJEM	\N	93	23144	UROK	\N	\N
3657339	3840	1995-05-31	PRIJEM	\N	100	24040	UROK	\N	\N
3657340	3840	1995-06-30	PRIJEM	\N	92	23288	UROK	\N	\N
3657341	3840	1995-07-31	PRIJEM	\N	102	25507	UROK	\N	\N
3657342	3840	1995-08-31	PRIJEM	\N	110	26914	UROK	\N	\N
3657343	3840	1995-09-30	PRIJEM	\N	112	26722	UROK	\N	\N
3657344	3840	1995-10-31	PRIJEM	\N	110	26328	UROK	\N	\N
3657345	3840	1995-11-30	PRIJEM	\N	119	28043	UROK	\N	\N
3657346	3840	1995-12-31	PRIJEM	\N	123	29763	UROK	\N	\N
3657347	3840	1996-01-31	PRIJEM	\N	109	22378	UROK	\N	\N
3657348	3840	1996-02-29	PRIJEM	\N	102	25876	UROK	\N	\N
3657349	3840	1996-03-31	PRIJEM	\N	117	29390	UROK	\N	\N
3657350	3840	1996-04-30	PRIJEM	\N	129	31715	UROK	\N	\N
3657351	3840	1996-05-31	PRIJEM	\N	139	34851	UROK	\N	\N
3657352	3840	1996-06-30	PRIJEM	\N	109	24456	UROK	\N	\N
3657353	3840	1996-07-31	PRIJEM	\N	111	27964	UROK	\N	\N
3657354	3840	1996-08-31	PRIJEM	\N	126	31486	UROK	\N	\N
3657355	3840	1996-09-30	PRIJEM	\N	140	35022	UROK	\N	\N
3657356	3840	1996-10-31	PRIJEM	\N	155	38574	UROK	\N	\N
3657357	3840	1996-11-30	PRIJEM	\N	164	40694	UROK	\N	\N
3657358	3840	1996-12-31	PRIJEM	\N	162	39423	UROK	\N	\N
3657359	3840	1997-01-31	PRIJEM	\N	157	31136	UROK	\N	\N
3657360	3840	1997-02-28	PRIJEM	\N	138	34670	UROK	\N	\N
3657361	3840	1997-03-31	PRIJEM	\N	153	38220	UROK	\N	\N
3657362	3840	1997-04-30	PRIJEM	\N	156	38772	UROK	\N	\N
3657363	3840	1997-05-31	PRIJEM	\N	170	40659	UROK	\N	\N
3657364	3840	1997-06-30	PRIJEM	\N	146	30751	UROK	\N	\N
3657365	3840	1997-07-31	PRIJEM	\N	137	34284	UROK	\N	\N
3657366	3840	1997-08-31	PRIJEM	\N	145	36326	UROK	\N	\N
3657367	3840	1997-09-30	PRIJEM	\N	155	38677	UROK	\N	\N
3657368	3840	1997-10-31	PRIJEM	\N	156	38329	UROK	\N	\N
3657369	3840	1997-11-30	PRIJEM	\N	141	33867	UROK	\N	\N
3657370	3840	1997-12-31	PRIJEM	\N	148	37011	UROK	\N	\N
3657371	3840	1998-01-31	PRIJEM	\N	138	28346	UROK	\N	\N
3657372	3840	1998-02-28	PRIJEM	\N	125	31867	UROK	\N	\N
3657373	3840	1998-03-31	PRIJEM	\N	132	30636	UROK	\N	\N
3657374	3840	1998-04-30	PRIJEM	\N	133	31526	UROK	\N	\N
3657375	3840	1998-05-31	PRIJEM	\N	135	32016	UROK	\N	\N
3657376	3840	1998-06-30	PRIJEM	\N	101	21314	UROK	\N	\N
3657377	3840	1998-07-31	PRIJEM	\N	96	23046	UROK	\N	\N
3657378	3840	1998-08-31	PRIJEM	\N	104	26546	UROK	\N	\N
3657379	3840	1998-09-30	PRIJEM	\N	118	30060	UROK	\N	\N
3657380	3840	1998-10-31	PRIJEM	\N	133	33589	UROK	\N	\N
3657381	3840	1998-11-30	PRIJEM	\N	143	36169	UROK	\N	\N
3657382	3840	1998-12-31	PRIJEM	\N	150	35815	UROK	\N	\N
3657383	3841	1995-06-30	PRIJEM	\N	46	5111	UROK	\N	\N
3657384	3841	1995-07-31	PRIJEM	\N	31	8011	UROK	\N	\N
3657385	3841	1995-08-31	PRIJEM	\N	43	10923	UROK	\N	\N
3657386	3841	1995-09-30	PRIJEM	\N	52	12885	UROK	\N	\N
3657387	3841	1995-10-31	PRIJEM	\N	63	15817	UROK	\N	\N
3657388	3841	1995-11-30	PRIJEM	\N	61	15387	UROK	\N	\N
3657389	3841	1995-12-31	PRIJEM	\N	74	18330	UROK	\N	\N
3657390	3841	1996-01-31	PRIJEM	\N	57	7896	UROK	\N	\N
3657391	3841	1996-02-29	PRIJEM	\N	41	9047	UROK	\N	\N
3657392	3841	1996-03-31	PRIJEM	\N	47	11963	UROK	\N	\N
3657393	3841	1996-04-30	PRIJEM	\N	59	14892	UROK	\N	\N
3657394	3841	1996-05-31	PRIJEM	\N	70	16711	UROK	\N	\N
3657395	3841	1996-06-30	PRIJEM	\N	48	10728	UROK	\N	\N
3657396	3841	1996-07-31	PRIJEM	\N	54	13651	UROK	\N	\N
3657397	3841	1996-08-31	PRIJEM	\N	58	12658	UROK	\N	\N
3657398	3841	1996-09-30	PRIJEM	\N	62	15590	UROK	\N	\N
3657399	3841	1996-10-31	PRIJEM	\N	74	18533	UROK	\N	\N
3657400	3841	1996-11-30	PRIJEM	\N	86	21489	UROK	\N	\N
3657401	3841	1996-12-31	PRIJEM	\N	99	24457	UROK	\N	\N
3657402	3841	1997-01-31	PRIJEM	\N	83	16370	UROK	\N	\N
3657403	3841	1997-02-28	PRIJEM	\N	77	19316	UROK	\N	\N
3657404	3841	1997-03-31	PRIJEM	\N	90	22275	UROK	\N	\N
3657405	3841	1997-04-30	PRIJEM	\N	102	25247	UROK	\N	\N
3657406	3841	1997-05-31	PRIJEM	\N	114	28230	UROK	\N	\N
3657407	3841	1997-06-30	PRIJEM	\N	103	21753	UROK	\N	\N
3657408	3841	1997-07-31	PRIJEM	\N	98	23760	UROK	\N	\N
3657409	3841	1997-08-31	PRIJEM	\N	108	26738	UROK	\N	\N
3657410	3841	1997-09-30	PRIJEM	\N	120	29728	UROK	\N	\N
3657411	3841	1997-10-31	PRIJEM	\N	127	30244	UROK	\N	\N
3657412	3841	1997-11-30	PRIJEM	\N	135	33248	UROK	\N	\N
3657413	3841	1997-12-31	PRIJEM	\N	148	36265	UROK	\N	\N
3657414	3841	1998-01-31	PRIJEM	\N	139	31034	UROK	\N	\N
3657415	3841	1998-02-28	PRIJEM	\N	133	31636	UROK	\N	\N
3657416	3841	1998-03-31	PRIJEM	\N	141	34646	UROK	\N	\N
3657417	3841	1998-04-30	PRIJEM	\N	153	37668	UROK	\N	\N
3657418	3841	1998-05-31	PRIJEM	\N	166	40703	UROK	\N	\N
3657419	3841	1998-06-30	PRIJEM	\N	140	29622	UROK	\N	\N
3657420	3841	1998-07-31	PRIJEM	\N	125	30376	UROK	\N	\N
3657421	3841	1998-08-31	PRIJEM	\N	125	30651	UROK	\N	\N
3657422	3841	1998-09-30	PRIJEM	\N	129	30930	UROK	\N	\N
3657423	3841	1998-10-31	PRIJEM	\N	137	33936	UROK	\N	\N
3657424	3841	1998-11-30	PRIJEM	\N	141	33907	UROK	\N	\N
3657425	3841	1998-12-31	PRIJEM	\N	150	36926	UROK	\N	\N
3657426	3842	1997-08-31	PRIJEM	\N	62	23241	UROK	\N	\N
3657427	3842	1997-09-30	PRIJEM	\N	103	25584	UROK	\N	\N
3657428	3842	1997-10-31	PRIJEM	\N	113	27938	UROK	\N	\N
3657429	3842	1997-11-30	PRIJEM	\N	122	30300	UROK	\N	\N
3657430	3842	1997-12-31	PRIJEM	\N	133	32174	UROK	\N	\N
3657431	3842	1998-01-31	PRIJEM	\N	126	28541	UROK	\N	\N
3657432	3842	1998-02-28	PRIJEM	\N	125	30906	UROK	\N	\N
3657433	3842	1998-03-31	PRIJEM	\N	135	33281	UROK	\N	\N
3657434	3842	1998-04-30	PRIJEM	\N	140	33741	UROK	\N	\N
3657435	3842	1998-05-31	PRIJEM	\N	147	36127	UROK	\N	\N
3657436	3842	1998-06-30	PRIJEM	\N	156	38524	UROK	\N	\N
3657437	3842	1998-07-31	PRIJEM	\N	163	39407	UROK	\N	\N
3657438	3842	1998-08-31	PRIJEM	\N	170	41818	UROK	\N	\N
3657439	3842	1998-09-30	PRIJEM	\N	180	44238	UROK	\N	\N
3657440	3842	1998-10-31	PRIJEM	\N	190	46668	UROK	\N	\N
3657441	3842	1998-11-30	PRIJEM	\N	200	49109	UROK	\N	\N
3657442	3842	1998-12-31	PRIJEM	\N	209	50409	UROK	\N	\N
3657443	3844	1993-10-31	PRIJEM	\N	25	16755	UROK	\N	\N
3657444	3844	1993-11-30	PRIJEM	\N	73	17944	UROK	\N	\N
3657445	3844	1993-12-31	PRIJEM	\N	76	18355	UROK	\N	\N
3657446	3844	1994-01-31	PRIJEM	\N	72	15702	UROK	\N	\N
3657447	3844	1994-02-28	PRIJEM	\N	69	16736	UROK	\N	\N
3657448	3844	1994-03-31	PRIJEM	\N	73	17925	UROK	\N	\N
3657449	3844	1994-04-30	PRIJEM	\N	76	18396	UROK	\N	\N
3657450	3844	1994-05-31	PRIJEM	\N	80	19592	UROK	\N	\N
3657451	3844	1994-06-30	PRIJEM	\N	85	20793	UROK	\N	\N
3657452	3844	1994-07-31	PRIJEM	\N	90	21998	UROK	\N	\N
3657453	3844	1994-08-31	PRIJEM	\N	95	23209	UROK	\N	\N
3657454	3844	1994-09-30	PRIJEM	\N	100	24424	UROK	\N	\N
3657455	3844	1994-10-31	PRIJEM	\N	99	23839	UROK	\N	\N
3657456	3844	1994-11-30	PRIJEM	\N	103	25057	UROK	\N	\N
3657457	3844	1994-12-31	PRIJEM	\N	106	25709	UROK	\N	\N
3657458	3844	1995-01-31	PRIJEM	\N	99	22603	UROK	\N	\N
3657459	3844	1995-02-28	PRIJEM	\N	94	22403	UROK	\N	\N
3657460	3844	1995-03-31	PRIJEM	\N	97	23615	UROK	\N	\N
3657461	3844	1995-04-30	PRIJEM	\N	102	24832	UROK	\N	\N
3657462	3844	1995-05-31	PRIJEM	\N	103	24350	UROK	\N	\N
3657463	3844	1995-06-30	PRIJEM	\N	103	17318	UROK	\N	\N
3657464	3844	1995-07-31	PRIJEM	\N	76	18509	UROK	\N	\N
3657465	3844	1995-08-31	PRIJEM	\N	80	19705	UROK	\N	\N
3657466	3844	1995-09-30	PRIJEM	\N	80	19521	UROK	\N	\N
3657467	3844	1995-10-31	PRIJEM	\N	83	20029	UROK	\N	\N
3657468	3844	1995-11-30	PRIJEM	\N	87	21231	UROK	\N	\N
3657469	3844	1995-12-31	PRIJEM	\N	86	20243	UROK	\N	\N
3657470	3844	1996-01-31	PRIJEM	\N	76	16124	UROK	\N	\N
3657471	3844	1996-02-29	PRIJEM	\N	70	17310	UROK	\N	\N
3657472	3844	1996-03-31	PRIJEM	\N	75	18500	UROK	\N	\N
3657473	3844	1996-04-30	PRIJEM	\N	76	18461	UROK	\N	\N
3657474	3844	1996-05-31	PRIJEM	\N	80	19657	UROK	\N	\N
3657475	3844	1996-06-30	PRIJEM	\N	77	17909	UROK	\N	\N
3657476	3844	1996-07-31	PRIJEM	\N	75	18409	UROK	\N	\N
3657477	3844	1996-08-31	PRIJEM	\N	80	19604	UROK	\N	\N
3657478	3844	1996-09-30	PRIJEM	\N	84	20804	UROK	\N	\N
3657479	3844	1996-10-31	PRIJEM	\N	86	21075	UROK	\N	\N
3657480	3844	1996-11-30	PRIJEM	\N	91	22281	UROK	\N	\N
3657481	3844	1996-12-31	PRIJEM	\N	93	22439	UROK	\N	\N
3657482	3844	1997-01-31	PRIJEM	\N	90	17225	UROK	\N	\N
3657483	3844	1997-02-28	PRIJEM	\N	74	18415	UROK	\N	\N
3657484	3844	1997-03-31	PRIJEM	\N	79	19609	UROK	\N	\N
3657485	3844	1997-04-30	PRIJEM	\N	84	20809	UROK	\N	\N
3657486	3844	1997-05-31	PRIJEM	\N	84	20658	UROK	\N	\N
3657487	3844	1997-06-30	PRIJEM	\N	88	21862	UROK	\N	\N
3657488	3844	1997-07-31	PRIJEM	\N	93	23070	UROK	\N	\N
3657489	3844	1997-08-31	PRIJEM	\N	98	24284	UROK	\N	\N
3657490	3844	1997-09-30	PRIJEM	\N	102	25141	UROK	\N	\N
3657491	3844	1997-10-31	PRIJEM	\N	107	25463	UROK	\N	\N
3657492	3844	1997-11-30	PRIJEM	\N	107	22885	UROK	\N	\N
3657493	3844	1997-12-31	PRIJEM	\N	92	20693	UROK	\N	\N
3657494	3844	1998-01-31	PRIJEM	\N	78	17626	UROK	\N	\N
3657495	3844	1998-02-28	PRIJEM	\N	73	17855	UROK	\N	\N
3657496	3844	1998-03-31	PRIJEM	\N	76	19047	UROK	\N	\N
3657497	3844	1998-04-30	PRIJEM	\N	81	20243	UROK	\N	\N
3657498	3844	1998-05-31	PRIJEM	\N	86	21444	UROK	\N	\N
3657499	3844	1998-06-30	PRIJEM	\N	76	17146	UROK	\N	\N
3657500	3844	1998-07-31	PRIJEM	\N	73	18334	UROK	\N	\N
3657501	3844	1998-08-31	PRIJEM	\N	78	19527	UROK	\N	\N
3657502	3844	1998-09-30	PRIJEM	\N	77	18680	UROK	\N	\N
3657503	3844	1998-10-31	PRIJEM	\N	78	18493	UROK	\N	\N
3657504	3844	1998-11-30	PRIJEM	\N	78	19686	UROK	\N	\N
3657505	3844	1998-12-31	PRIJEM	\N	82	20134	UROK	\N	\N
3657506	3845	1995-06-30	PRIJEM	\N	72	28785	UROK	\N	\N
3657507	3845	1995-07-31	PRIJEM	\N	139	36466	UROK	\N	\N
3657508	3845	1995-08-31	PRIJEM	\N	160	39768	UROK	\N	\N
3657509	3845	1995-09-30	PRIJEM	\N	171	41781	UROK	\N	\N
3657510	3845	1995-10-31	PRIJEM	\N	166	39123	UROK	\N	\N
3657511	3845	1995-11-30	PRIJEM	\N	152	34936	UROK	\N	\N
3657512	3845	1995-12-31	PRIJEM	\N	141	30409	UROK	\N	\N
3657513	3845	1996-01-31	PRIJEM	\N	98	13068	UROK	\N	\N
3657514	3845	1996-02-29	PRIJEM	\N	107	29636	UROK	\N	\N
3657515	3845	1996-03-31	PRIJEM	\N	114	25011	UROK	\N	\N
3657516	3845	1996-04-30	PRIJEM	\N	143	37216	UROK	\N	\N
3657517	3845	1996-05-31	PRIJEM	\N	183	45760	UROK	\N	\N
3657518	3845	1996-06-30	PRIJEM	\N	197	23789	UROK	\N	\N
3657519	3845	1996-07-31	PRIJEM	\N	126	31977	UROK	\N	\N
3657520	3845	1996-08-31	PRIJEM	\N	150	36989	UROK	\N	\N
3657521	3845	1996-09-30	PRIJEM	\N	170	41520	UROK	\N	\N
3657522	3845	1996-10-31	PRIJEM	\N	174	42555	UROK	\N	\N
3657523	3845	1996-11-30	PRIJEM	\N	160	40476	UROK	\N	\N
3657524	3845	1996-12-31	PRIJEM	\N	191	49599	UROK	\N	\N
3657525	3845	1997-01-31	PRIJEM	\N	135	24796	UROK	\N	\N
3657526	3845	1997-02-28	PRIJEM	\N	120	29677	UROK	\N	\N
3657527	3845	1997-03-31	PRIJEM	\N	135	32773	UROK	\N	\N
3657528	3845	1997-04-30	PRIJEM	\N	144	34577	UROK	\N	\N
3657529	3845	1997-05-31	PRIJEM	\N	144	34183	UROK	\N	\N
3657530	3845	1997-06-30	PRIJEM	\N	148	39763	UROK	\N	\N
3657531	3845	1997-07-31	PRIJEM	\N	154	35079	UROK	\N	\N
3657532	3845	1997-08-31	PRIJEM	\N	148	35188	UROK	\N	\N
3657533	3845	1997-09-30	PRIJEM	\N	132	26281	UROK	\N	\N
3657534	3845	1997-10-31	PRIJEM	\N	147	21589	UROK	\N	\N
3657535	3845	1997-11-30	PRIJEM	\N	126	14877	UROK	\N	\N
3657536	3845	1997-12-31	PRIJEM	\N	127	18837	UROK	\N	\N
3657537	3845	1998-01-31	PRIJEM	\N	105	21303	UROK	\N	\N
3657538	3845	1998-02-28	PRIJEM	\N	125	23390	UROK	\N	\N
3657539	3845	1998-03-31	PRIJEM	\N	135	25386	UROK	\N	\N
3657540	3845	1998-04-30	PRIJEM	\N	141	25288	UROK	\N	\N
3657541	3845	1998-05-31	PRIJEM	\N	137	20987	UROK	\N	\N
3657542	3845	1998-06-30	PRIJEM	\N	135	17154	UROK	\N	\N
3657543	3845	1998-07-31	PRIJEM	\N	112	28328	UROK	\N	\N
3657544	3845	1998-08-31	PRIJEM	\N	140	19029	UROK	\N	\N
3657545	3845	1998-09-30	PRIJEM	\N	121	34812	UROK	\N	\N
3657546	3845	1998-10-31	PRIJEM	\N	187	50660	UROK	\N	\N
3657547	3845	1998-11-30	PRIJEM	\N	203	17725	UROK	\N	\N
3657548	3845	1998-12-31	PRIJEM	\N	148	44705	UROK	\N	\N
3657549	3846	1997-09-30	PRIJEM	\N	38	10942	UROK	\N	\N
3657550	3846	1997-10-31	PRIJEM	\N	49	11984	UROK	\N	\N
3657551	3846	1997-11-30	PRIJEM	\N	53	13031	UROK	\N	\N
3657552	3846	1997-12-31	PRIJEM	\N	53	11627	UROK	\N	\N
3657553	3846	1998-01-31	PRIJEM	\N	49	11830	UROK	\N	\N
3657554	3846	1998-02-28	PRIJEM	\N	52	12875	UROK	\N	\N
3657555	3846	1998-03-31	PRIJEM	\N	57	13925	UROK	\N	\N
3657556	3846	1998-04-30	PRIJEM	\N	57	13656	UROK	\N	\N
3657557	3846	1998-05-31	PRIJEM	\N	60	14709	UROK	\N	\N
3657558	3846	1998-06-30	PRIJEM	\N	64	15767	UROK	\N	\N
3657559	3846	1998-07-31	PRIJEM	\N	62	12522	UROK	\N	\N
3657560	3846	1998-08-31	PRIJEM	\N	55	13571	UROK	\N	\N
3657561	3846	1998-09-30	PRIJEM	\N	59	14624	UROK	\N	\N
3657562	3846	1998-10-31	PRIJEM	\N	60	13447	UROK	\N	\N
3657563	3846	1998-11-30	PRIJEM	\N	59	14499	UROK	\N	\N
3657564	3846	1998-12-31	PRIJEM	\N	60	14082	UROK	\N	\N
3657565	3847	1995-07-31	PRIJEM	\N	59	23006	UROK	\N	\N
3657566	3847	1995-08-31	PRIJEM	\N	131	36083	UROK	\N	\N
3657567	3847	1995-09-30	PRIJEM	\N	166	41796	UROK	\N	\N
3657568	3847	1995-10-31	PRIJEM	\N	174	41917	UROK	\N	\N
3657569	3847	1995-11-30	PRIJEM	\N	170	34050	UROK	\N	\N
3657570	3847	1995-12-31	PRIJEM	\N	164	38080	UROK	\N	\N
3657571	3847	1996-01-31	PRIJEM	\N	112	15894	UROK	\N	\N
3657572	3847	1996-02-29	PRIJEM	\N	106	25942	UROK	\N	\N
3657573	3847	1996-03-31	PRIJEM	\N	137	32321	UROK	\N	\N
3657574	3847	1996-04-30	PRIJEM	\N	156	36820	UROK	\N	\N
3657575	3847	1996-05-31	PRIJEM	\N	172	40334	UROK	\N	\N
3657576	3847	1996-06-30	PRIJEM	\N	195	46955	UROK	\N	\N
3657577	3847	1996-07-31	PRIJEM	\N	205	44303	UROK	\N	\N
3657578	3847	1996-08-31	PRIJEM	\N	224	54569	UROK	\N	\N
3657579	3847	1996-09-30	PRIJEM	\N	258	62169	UROK	\N	\N
3657580	3847	1996-10-31	PRIJEM	\N	270	64381	UROK	\N	\N
3657581	3847	1996-11-30	PRIJEM	\N	286	68710	UROK	\N	\N
3657582	3847	1996-12-31	PRIJEM	\N	316	77951	UROK	\N	\N
3657583	3847	1997-01-31	PRIJEM	\N	211	42424	UROK	\N	\N
3657584	3847	1997-02-28	PRIJEM	\N	232	57499	UROK	\N	\N
3657585	3847	1997-03-31	PRIJEM	\N	256	61297	UROK	\N	\N
3657586	3847	1997-04-30	PRIJEM	\N	275	66114	UROK	\N	\N
3657587	3847	1997-05-31	PRIJEM	\N	264	60620	UROK	\N	\N
3657588	3847	1997-06-30	PRIJEM	\N	258	54404	UROK	\N	\N
3657589	3847	1997-07-31	PRIJEM	\N	238	56885	UROK	\N	\N
3657590	3847	1997-08-31	PRIJEM	\N	245	58972	UROK	\N	\N
3657591	3847	1997-09-30	PRIJEM	\N	234	57448	UROK	\N	\N
3657592	3847	1997-10-31	PRIJEM	\N	238	40829	UROK	\N	\N
3657593	3847	1997-11-30	PRIJEM	\N	218	42689	UROK	\N	\N
3657594	3847	1997-12-31	PRIJEM	\N	218	41973	UROK	\N	\N
3657595	3847	1998-01-31	PRIJEM	\N	192	35227	UROK	\N	\N
3657596	3847	1998-02-28	PRIJEM	\N	194	36963	UROK	\N	\N
3657597	3847	1998-03-31	PRIJEM	\N	201	40506	UROK	\N	\N
3657598	3847	1998-04-30	PRIJEM	\N	187	41475	UROK	\N	\N
3657599	3847	1998-05-31	PRIJEM	\N	218	44335	UROK	\N	\N
3657600	3847	1998-06-30	PRIJEM	\N	255	51056	UROK	\N	\N
3657601	3847	1998-07-31	PRIJEM	\N	252	48951	UROK	\N	\N
3657602	3847	1998-08-31	PRIJEM	\N	237	43330	UROK	\N	\N
3657603	3847	1998-09-30	PRIJEM	\N	217	41290	UROK	\N	\N
3657604	3847	1998-10-31	PRIJEM	\N	211	43443	UROK	\N	\N
3657605	3847	1998-11-30	PRIJEM	\N	218	44504	UROK	\N	\N
3657606	3847	1998-12-31	PRIJEM	\N	266	67736	UROK	\N	\N
3657607	3848	1996-07-31	PRIJEM	\N	27	11089	UROK	\N	\N
3657608	3848	1996-08-31	PRIJEM	\N	92	30043	UROK	\N	\N
3657609	3848	1996-09-30	PRIJEM	\N	144	38249	UROK	\N	\N
3657610	3848	1996-10-31	PRIJEM	\N	162	39472	UROK	\N	\N
3657611	3848	1996-11-30	PRIJEM	\N	172	42906	UROK	\N	\N
3657612	3848	1996-12-31	PRIJEM	\N	161	40704	UROK	\N	\N
3657613	3848	1997-01-31	PRIJEM	\N	130	28461	UROK	\N	\N
3657614	3848	1997-02-28	PRIJEM	\N	107	29074	UROK	\N	\N
3657615	3848	1997-03-31	PRIJEM	\N	116	31177	UROK	\N	\N
3657616	3848	1997-04-30	PRIJEM	\N	136	34219	UROK	\N	\N
3657617	3848	1997-05-31	PRIJEM	\N	154	40879	UROK	\N	\N
3657618	3848	1997-06-30	PRIJEM	\N	159	42715	UROK	\N	\N
3657619	3848	1997-07-31	PRIJEM	\N	172	44494	UROK	\N	\N
3657620	3848	1997-08-31	PRIJEM	\N	161	40501	UROK	\N	\N
3657621	3848	1997-09-30	PRIJEM	\N	159	41367	UROK	\N	\N
3657622	3848	1997-10-31	PRIJEM	\N	151	38404	UROK	\N	\N
3657623	3848	1997-11-30	PRIJEM	\N	158	41368	UROK	\N	\N
3657624	3848	1997-12-31	PRIJEM	\N	181	47806	UROK	\N	\N
3657625	3848	1998-01-31	PRIJEM	\N	157	24030	UROK	\N	\N
3657626	3848	1998-02-28	PRIJEM	\N	152	38489	UROK	\N	\N
3657627	3848	1998-03-31	PRIJEM	\N	164	42300	UROK	\N	\N
3657628	3848	1998-04-30	PRIJEM	\N	180	47286	UROK	\N	\N
3657629	3848	1998-05-31	PRIJEM	\N	191	48524	UROK	\N	\N
3657630	3848	1998-06-30	PRIJEM	\N	215	51056	UROK	\N	\N
3657631	3848	1998-07-31	PRIJEM	\N	214	53856	UROK	\N	\N
3657632	3848	1998-08-31	PRIJEM	\N	233	59695	UROK	\N	\N
3657633	3848	1998-09-30	PRIJEM	\N	256	62258	UROK	\N	\N
3657634	3848	1998-10-31	PRIJEM	\N	266	64230	UROK	\N	\N
3657635	3848	1998-11-30	PRIJEM	\N	277	71514	UROK	\N	\N
3657636	3848	1998-12-31	PRIJEM	\N	319	80870	UROK	\N	\N
3657637	3849	1994-11-30	PRIJEM	\N	34	22084	UROK	\N	\N
3657638	3849	1994-12-31	PRIJEM	\N	115	36674	UROK	\N	\N
3657639	3849	1995-01-31	PRIJEM	\N	153	37077	UROK	\N	\N
3657640	3849	1995-02-28	PRIJEM	\N	153	36279	UROK	\N	\N
3657641	3849	1995-03-31	PRIJEM	\N	154	38684	UROK	\N	\N
3657642	3849	1995-04-30	PRIJEM	\N	166	34739	UROK	\N	\N
3657643	3849	1995-05-31	PRIJEM	\N	159	36386	UROK	\N	\N
3657644	3849	1995-06-30	PRIJEM	\N	147	30586	UROK	\N	\N
3657645	3849	1995-07-31	PRIJEM	\N	137	30311	UROK	\N	\N
3657646	3849	1995-08-31	PRIJEM	\N	142	33941	UROK	\N	\N
3657647	3849	1995-09-30	PRIJEM	\N	137	29126	UROK	\N	\N
3657648	3849	1995-10-31	PRIJEM	\N	121	29995	UROK	\N	\N
3657649	3849	1995-11-30	PRIJEM	\N	131	30615	UROK	\N	\N
3657650	3849	1995-12-31	PRIJEM	\N	137	33645	UROK	\N	\N
3657651	3849	1996-01-31	PRIJEM	\N	100	20393	UROK	\N	\N
3657652	3849	1996-02-29	PRIJEM	\N	102	26783	UROK	\N	\N
3657653	3849	1996-03-31	PRIJEM	\N	128	32299	UROK	\N	\N
3657654	3849	1996-04-30	PRIJEM	\N	130	30218	UROK	\N	\N
3657655	3849	1996-05-31	PRIJEM	\N	138	34644	UROK	\N	\N
3657656	3849	1996-06-30	PRIJEM	\N	132	21789	UROK	\N	\N
3657657	3849	1996-07-31	PRIJEM	\N	110	29288	UROK	\N	\N
3657658	3849	1996-08-31	PRIJEM	\N	151	41207	UROK	\N	\N
3657659	3849	1996-09-30	PRIJEM	\N	176	44772	UROK	\N	\N
3657660	3849	1996-10-31	PRIJEM	\N	195	49556	UROK	\N	\N
3657661	3849	1996-11-30	PRIJEM	\N	215	54959	UROK	\N	\N
3657662	3849	1996-12-31	PRIJEM	\N	242	60115	UROK	\N	\N
3657663	3849	1997-01-31	PRIJEM	\N	192	42215	UROK	\N	\N
3657664	3849	1997-02-28	PRIJEM	\N	179	47382	UROK	\N	\N
3657665	3849	1997-03-31	PRIJEM	\N	201	51071	UROK	\N	\N
3657666	3849	1997-04-30	PRIJEM	\N	209	53268	UROK	\N	\N
3657667	3849	1997-05-31	PRIJEM	\N	219	55675	UROK	\N	\N
3657668	3849	1997-06-30	PRIJEM	\N	231	58580	UROK	\N	\N
3657669	3849	1997-07-31	PRIJEM	\N	241	61609	UROK	\N	\N
3657670	3849	1997-08-31	PRIJEM	\N	235	59732	UROK	\N	\N
3657671	3849	1997-09-30	PRIJEM	\N	241	62062	UROK	\N	\N
3657672	3849	1997-10-31	PRIJEM	\N	242	61691	UROK	\N	\N
3657673	3849	1997-11-30	PRIJEM	\N	252	64831	UROK	\N	\N
3657674	3849	1997-12-31	PRIJEM	\N	278	70303	UROK	\N	\N
3657675	3849	1998-01-31	PRIJEM	\N	254	51565	UROK	\N	\N
3657676	3849	1998-02-28	PRIJEM	\N	198	52271	UROK	\N	\N
3657677	3849	1998-03-31	PRIJEM	\N	242	64002	UROK	\N	\N
3657678	3849	1998-04-30	PRIJEM	\N	260	64431	UROK	\N	\N
3657679	3849	1998-05-31	PRIJEM	\N	281	72800	UROK	\N	\N
3657680	3849	1998-06-30	PRIJEM	\N	268	57281	UROK	\N	\N
3657681	3849	1998-07-31	PRIJEM	\N	260	66489	UROK	\N	\N
3657682	3849	1998-08-31	PRIJEM	\N	271	69949	UROK	\N	\N
3657683	3849	1998-09-30	PRIJEM	\N	281	69498	UROK	\N	\N
3657684	3849	1998-10-31	PRIJEM	\N	286	59772	UROK	\N	\N
3657685	3849	1998-11-30	PRIJEM	\N	255	57235	UROK	\N	\N
3657686	3849	1998-12-31	PRIJEM	\N	290	74658	UROK	\N	\N
3657687	3850	1993-08-31	PRIJEM	\N	51	21161	UROK	\N	\N
3657688	3850	1993-09-30	PRIJEM	\N	143	44614	UROK	\N	\N
3657689	3850	1993-10-31	PRIJEM	\N	216	57240	UROK	\N	\N
3657690	3850	1993-11-30	PRIJEM	\N	242	59092	UROK	\N	\N
3657691	3850	1993-12-31	PRIJEM	\N	275	68261	UROK	\N	\N
3657692	3850	1994-01-31	PRIJEM	\N	197	32857	UROK	\N	\N
3657693	3850	1994-02-28	PRIJEM	\N	156	44450	UROK	\N	\N
3657694	3850	1994-03-31	PRIJEM	\N	182	48751	UROK	\N	\N
3657695	3850	1994-04-30	PRIJEM	\N	196	51985	UROK	\N	\N
3657696	3850	1994-05-31	PRIJEM	\N	197	51320	UROK	\N	\N
3657697	3850	1994-06-30	PRIJEM	\N	174	49777	UROK	\N	\N
3657698	3850	1994-07-31	PRIJEM	\N	188	49404	UROK	\N	\N
3657699	3850	1994-08-31	PRIJEM	\N	184	47306	UROK	\N	\N
3657700	3850	1994-09-30	PRIJEM	\N	181	48026	UROK	\N	\N
3657701	3850	1994-10-31	PRIJEM	\N	197	52261	UROK	\N	\N
3657702	3850	1994-11-30	PRIJEM	\N	204	53603	UROK	\N	\N
3657703	3850	1994-12-31	PRIJEM	\N	204	59390	UROK	\N	\N
3657704	3850	1995-01-31	PRIJEM	\N	179	31447	UROK	\N	\N
3657705	3850	1995-02-28	PRIJEM	\N	140	40825	UROK	\N	\N
3657706	3850	1995-03-31	PRIJEM	\N	167	45230	UROK	\N	\N
3657707	3850	1995-04-30	PRIJEM	\N	188	50556	UROK	\N	\N
3657708	3850	1995-05-31	PRIJEM	\N	194	51589	UROK	\N	\N
3657709	3850	1995-06-30	PRIJEM	\N	211	62543	UROK	\N	\N
3657710	3850	1995-07-31	PRIJEM	\N	209	43231	UROK	\N	\N
3657711	3850	1995-08-31	PRIJEM	\N	200	43949	UROK	\N	\N
3657712	3850	1995-09-30	PRIJEM	\N	204	44491	UROK	\N	\N
3657713	3850	1995-10-31	PRIJEM	\N	205	44835	UROK	\N	\N
3657714	3850	1995-11-30	PRIJEM	\N	204	43538	UROK	\N	\N
3657715	3850	1995-12-31	PRIJEM	\N	209	45230	UROK	\N	\N
3657716	3850	1996-01-31	PRIJEM	\N	164	35392	UROK	\N	\N
3657717	3850	1996-02-29	PRIJEM	\N	164	39515	UROK	\N	\N
3657718	3850	1996-03-31	PRIJEM	\N	183	42836	UROK	\N	\N
3657719	3850	1996-04-30	PRIJEM	\N	196	46670	UROK	\N	\N
3657720	3850	1996-05-31	PRIJEM	\N	206	45015	UROK	\N	\N
3657721	3850	1996-06-30	PRIJEM	\N	208	47326	UROK	\N	\N
3657722	3850	1996-07-31	PRIJEM	\N	212	50176	UROK	\N	\N
3657723	3850	1996-08-31	PRIJEM	\N	219	50534	UROK	\N	\N
3657724	3850	1996-09-30	PRIJEM	\N	222	52794	UROK	\N	\N
3657725	3850	1996-10-31	PRIJEM	\N	230	54362	UROK	\N	\N
3657726	3850	1996-11-30	PRIJEM	\N	226	48247	UROK	\N	\N
3657727	3850	1996-12-31	PRIJEM	\N	220	56930	UROK	\N	\N
3657728	3850	1997-01-31	PRIJEM	\N	198	42987	UROK	\N	\N
3657729	3850	1997-02-28	PRIJEM	\N	192	49717	UROK	\N	\N
3657730	3850	1997-03-31	PRIJEM	\N	204	48680	UROK	\N	\N
3657731	3850	1997-04-30	PRIJEM	\N	210	50448	UROK	\N	\N
3657732	3850	1997-05-31	PRIJEM	\N	217	52804	UROK	\N	\N
3657733	3850	1997-06-30	PRIJEM	\N	193	50200	UROK	\N	\N
3657734	3850	1997-07-31	PRIJEM	\N	211	50749	UROK	\N	\N
3657735	3850	1997-08-31	PRIJEM	\N	207	48895	UROK	\N	\N
3657736	3850	1997-09-30	PRIJEM	\N	202	49335	UROK	\N	\N
3657737	3850	1997-10-31	PRIJEM	\N	207	51281	UROK	\N	\N
3657738	3850	1997-11-30	PRIJEM	\N	202	46041	UROK	\N	\N
3657739	3850	1997-12-31	PRIJEM	\N	192	47796	UROK	\N	\N
3657740	3850	1998-01-31	PRIJEM	\N	163	33477	UROK	\N	\N
3657741	3850	1998-02-28	PRIJEM	\N	153	40769	UROK	\N	\N
3657742	3850	1998-03-31	PRIJEM	\N	173	46160	UROK	\N	\N
3657743	3850	1998-04-30	PRIJEM	\N	195	50694	UROK	\N	\N
3657744	3850	1998-05-31	PRIJEM	\N	212	54144	UROK	\N	\N
3657745	3850	1998-06-30	PRIJEM	\N	178	49405	UROK	\N	\N
3657746	3850	1998-07-31	PRIJEM	\N	200	48884	UROK	\N	\N
3657747	3850	1998-08-31	PRIJEM	\N	224	60586	UROK	\N	\N
3657748	3850	1998-09-30	PRIJEM	\N	278	75402	UROK	\N	\N
3657749	3850	1998-10-31	PRIJEM	\N	319	82359	UROK	\N	\N
3657750	3850	1998-11-30	PRIJEM	\N	325	81623	UROK	\N	\N
3657751	3850	1998-12-31	PRIJEM	\N	348	91314	UROK	\N	\N
3657752	3851	1997-04-30	PRIJEM	\N	10	23650	UROK	\N	\N
3657753	3851	1997-05-31	PRIJEM	\N	147	35617	UROK	\N	\N
3657754	3851	1997-06-30	PRIJEM	\N	149	38019	UROK	\N	\N
3657755	3851	1997-07-31	PRIJEM	\N	167	72478	UROK	\N	\N
3657756	3851	1997-08-31	PRIJEM	\N	297	47756	UROK	\N	\N
3657757	3851	1997-09-30	PRIJEM	\N	259	47737	UROK	\N	\N
3657758	3851	1997-10-31	PRIJEM	\N	152	30342	UROK	\N	\N
3657759	3851	1997-11-30	PRIJEM	\N	97	15525	UROK	\N	\N
3657760	3851	1997-12-31	PRIJEM	\N	81	33099	UROK	\N	\N
3657761	3851	1998-01-31	PRIJEM	\N	110	20395	UROK	\N	\N
3657762	3851	1998-02-28	PRIJEM	\N	69	16950	UROK	\N	\N
3657763	3851	1998-03-31	PRIJEM	\N	51	12487	UROK	\N	\N
3657764	3851	1998-04-30	PRIJEM	\N	48	25619	UROK	\N	\N
3657765	3851	1998-05-31	PRIJEM	\N	114	26098	UROK	\N	\N
3657766	3851	1998-06-30	PRIJEM	\N	86	17771	UROK	\N	\N
3657767	3851	1998-07-31	PRIJEM	\N	136	34982	UROK	\N	\N
3657768	3851	1998-08-31	PRIJEM	\N	97	18536	UROK	\N	\N
3657769	3851	1998-09-30	PRIJEM	\N	58	11880	UROK	\N	\N
3657770	3851	1998-10-31	PRIJEM	\N	41	12007	UROK	\N	\N
3657771	3851	1998-11-30	PRIJEM	\N	214	52812	UROK	\N	\N
3657772	3851	1998-12-31	PRIJEM	\N	154	25852	UROK	\N	\N
3657773	3852	1998-02-28	PRIJEM	\N	73	21239	UROK	\N	\N
3657774	3852	1998-03-31	PRIJEM	\N	91	21497	UROK	\N	\N
3657775	3852	1998-04-30	PRIJEM	\N	86	19751	UROK	\N	\N
3657776	3852	1998-05-31	PRIJEM	\N	81	18799	UROK	\N	\N
3657777	3852	1998-06-30	PRIJEM	\N	68	15155	UROK	\N	\N
3657778	3852	1998-07-31	PRIJEM	\N	56	12278	UROK	\N	\N
3657779	3852	1998-08-31	PRIJEM	\N	57	14002	UROK	\N	\N
3657780	3852	1998-09-30	PRIJEM	\N	56	12925	UROK	\N	\N
3657781	3852	1998-10-31	PRIJEM	\N	54	12847	UROK	\N	\N
3657782	3852	1998-11-30	PRIJEM	\N	59	14574	UROK	\N	\N
3657783	3852	1998-12-31	PRIJEM	\N	65	15356	UROK	\N	\N
3657810	3854	1996-05-31	PRIJEM	\N	28	15058	UROK	\N	\N
3657811	3854	1996-06-30	PRIJEM	\N	79	23267	UROK	\N	\N
3657812	3854	1996-07-31	PRIJEM	\N	110	29807	UROK	\N	\N
3657813	3854	1996-08-31	PRIJEM	\N	123	29359	UROK	\N	\N
3657814	3854	1996-09-30	PRIJEM	\N	127	31496	UROK	\N	\N
3657815	3854	1996-10-31	PRIJEM	\N	135	32857	UROK	\N	\N
3657816	3854	1996-11-30	PRIJEM	\N	139	29491	UROK	\N	\N
3657817	3854	1996-12-31	PRIJEM	\N	119	27665	UROK	\N	\N
3657818	3854	1997-01-31	PRIJEM	\N	107	22897	UROK	\N	\N
3657819	3854	1997-02-28	PRIJEM	\N	98	24091	UROK	\N	\N
3657820	3854	1997-03-31	PRIJEM	\N	103	25289	UROK	\N	\N
3657821	3854	1997-04-30	PRIJEM	\N	108	25953	UROK	\N	\N
3657822	3854	1997-05-31	PRIJEM	\N	105	24373	UROK	\N	\N
3657823	3854	1997-06-30	PRIJEM	\N	88	18596	UROK	\N	\N
3657824	3854	1997-07-31	PRIJEM	\N	84	20886	UROK	\N	\N
3657825	3854	1997-08-31	PRIJEM	\N	91	22172	UROK	\N	\N
3657826	3854	1997-09-30	PRIJEM	\N	96	23273	UROK	\N	\N
3657827	3854	1997-10-31	PRIJEM	\N	100	24268	UROK	\N	\N
3657828	3854	1997-11-30	PRIJEM	\N	88	19862	UROK	\N	\N
3657829	3854	1997-12-31	PRIJEM	\N	87	21034	UROK	\N	\N
3657830	3854	1998-01-31	PRIJEM	\N	86	19796	UROK	\N	\N
3657831	3854	1998-02-28	PRIJEM	\N	88	21679	UROK	\N	\N
3657832	3854	1998-03-31	PRIJEM	\N	99	24573	UROK	\N	\N
3657833	3854	1998-04-30	PRIJEM	\N	105	25373	UROK	\N	\N
3657834	3854	1998-05-31	PRIJEM	\N	93	20961	UROK	\N	\N
3657835	3854	1998-06-30	PRIJEM	\N	87	20743	UROK	\N	\N
3657836	3854	1998-07-31	PRIJEM	\N	84	19923	UROK	\N	\N
3657837	3854	1998-08-31	PRIJEM	\N	90	21038	UROK	\N	\N
3657838	3854	1998-09-30	PRIJEM	\N	92	22525	UROK	\N	\N
3657839	3854	1998-10-31	PRIJEM	\N	97	23617	UROK	\N	\N
3657840	3854	1998-11-30	PRIJEM	\N	108	27020	UROK	\N	\N
3657841	3854	1998-12-31	PRIJEM	\N	114	27500	UROK	\N	\N
3657842	3855	1995-09-30	PRIJEM	\N	77	22304	UROK	\N	\N
3657843	3855	1995-10-31	PRIJEM	\N	179	47010	UROK	\N	\N
3657844	3855	1995-11-30	PRIJEM	\N	229	56665	UROK	\N	\N
3657845	3855	1995-12-31	PRIJEM	\N	303	76259	UROK	\N	\N
3657846	3855	1996-01-31	PRIJEM	\N	252	46014	UROK	\N	\N
3657847	3855	1996-02-29	PRIJEM	\N	197	45200	UROK	\N	\N
3657848	3855	1996-03-31	PRIJEM	\N	192	44582	UROK	\N	\N
3657849	3855	1996-04-30	PRIJEM	\N	208	49179	UROK	\N	\N
3657850	3855	1996-05-31	PRIJEM	\N	198	46867	UROK	\N	\N
3657851	3855	1996-06-30	PRIJEM	\N	210	50529	UROK	\N	\N
3657852	3855	1996-07-31	PRIJEM	\N	181	32200	UROK	\N	\N
3657853	3855	1996-08-31	PRIJEM	\N	184	35273	UROK	\N	\N
3657854	3855	1996-09-30	PRIJEM	\N	195	34257	UROK	\N	\N
3657855	3855	1996-10-31	PRIJEM	\N	189	33435	UROK	\N	\N
3657856	3855	1996-11-30	PRIJEM	\N	185	33710	UROK	\N	\N
3657857	3855	1996-12-31	PRIJEM	\N	214	41177	UROK	\N	\N
3657858	3855	1997-01-31	PRIJEM	\N	180	29546	UROK	\N	\N
3657859	3855	1997-02-28	PRIJEM	\N	170	32205	UROK	\N	\N
3657860	3855	1997-03-31	PRIJEM	\N	180	33874	UROK	\N	\N
3657861	3855	1997-04-30	PRIJEM	\N	186	35650	UROK	\N	\N
3657862	3855	1997-05-31	PRIJEM	\N	190	34629	UROK	\N	\N
3657863	3855	1997-06-30	PRIJEM	\N	193	34774	UROK	\N	\N
3657864	3855	1997-07-31	PRIJEM	\N	180	33744	UROK	\N	\N
3657865	3855	1997-08-31	PRIJEM	\N	180	32614	UROK	\N	\N
3657866	3855	1997-09-30	PRIJEM	\N	176	35079	UROK	\N	\N
3657867	3855	1997-10-31	PRIJEM	\N	182	35250	UROK	\N	\N
3657868	3855	1997-11-30	PRIJEM	\N	164	29503	UROK	\N	\N
3657869	3855	1997-12-31	PRIJEM	\N	192	40048	UROK	\N	\N
3657870	3855	1998-01-31	PRIJEM	\N	173	23610	UROK	\N	\N
3657871	3855	1998-02-28	PRIJEM	\N	141	30540	UROK	\N	\N
3657872	3855	1998-03-31	PRIJEM	\N	157	29686	UROK	\N	\N
3657873	3855	1998-04-30	PRIJEM	\N	156	29632	UROK	\N	\N
3657874	3855	1998-05-31	PRIJEM	\N	155	29776	UROK	\N	\N
3657875	3855	1998-06-30	PRIJEM	\N	166	16394	UROK	\N	\N
3657876	3855	1998-07-31	PRIJEM	\N	103	20087	UROK	\N	\N
3657877	3855	1998-08-31	PRIJEM	\N	117	23393	UROK	\N	\N
3657878	3855	1998-09-30	PRIJEM	\N	120	21302	UROK	\N	\N
3657879	3855	1998-10-31	PRIJEM	\N	124	26715	UROK	\N	\N
3657880	3855	1998-11-30	PRIJEM	\N	122	17827	UROK	\N	\N
3657881	3855	1998-12-31	PRIJEM	\N	124	22703	UROK	\N	\N
3657882	3856	1996-12-31	PRIJEM	\N	13	5451	UROK	\N	\N
3657883	3856	1997-01-31	PRIJEM	\N	23	10412	UROK	\N	\N
3657884	3856	1997-02-28	PRIJEM	\N	23	15372	UROK	\N	\N
3657885	3856	1997-03-31	PRIJEM	\N	23	20333	UROK	\N	\N
3657886	3856	1997-04-30	PRIJEM	\N	63	22734	UROK	\N	\N
3657887	3856	1997-05-31	PRIJEM	\N	87	19864	UROK	\N	\N
3657888	3856	1997-06-30	PRIJEM	\N	70	15178	UROK	\N	\N
3657889	3856	1997-07-31	PRIJEM	\N	69	17890	UROK	\N	\N
3657890	3856	1997-08-31	PRIJEM	\N	59	13533	UROK	\N	\N
3657891	3856	1997-09-30	PRIJEM	\N	62	15339	UROK	\N	\N
3657892	3856	1997-10-31	PRIJEM	\N	68	12650	UROK	\N	\N
3657893	3856	1997-11-30	PRIJEM	\N	59	15353	UROK	\N	\N
3657894	3856	1997-12-31	PRIJEM	\N	69	17215	UROK	\N	\N
3657895	3856	1998-01-31	PRIJEM	\N	62	13171	UROK	\N	\N
3657896	3856	1998-02-28	PRIJEM	\N	55	10509	UROK	\N	\N
3657897	3856	1998-03-31	PRIJEM	\N	50	13203	UROK	\N	\N
3657898	3856	1998-04-30	PRIJEM	\N	60	14006	UROK	\N	\N
3657899	3856	1998-05-31	PRIJEM	\N	64	15713	UROK	\N	\N
3657900	3856	1998-06-30	PRIJEM	\N	69	15026	UROK	\N	\N
3657901	3856	1998-07-31	PRIJEM	\N	62	12611	UROK	\N	\N
3657902	3856	1998-08-31	PRIJEM	\N	55	11410	UROK	\N	\N
3657903	3856	1998-09-30	PRIJEM	\N	53	13306	UROK	\N	\N
3657904	3856	1998-10-31	PRIJEM	\N	59	13909	UROK	\N	\N
3657905	3856	1998-11-30	PRIJEM	\N	64	16616	UROK	\N	\N
3657906	3856	1998-12-31	PRIJEM	\N	67	13936	UROK	\N	\N
3657907	3857	1998-03-31	PRIJEM	\N	43	14435	UROK	\N	\N
3657908	3857	1998-04-30	PRIJEM	\N	60	14102	UROK	\N	\N
3657909	3857	1998-05-31	PRIJEM	\N	62	14941	UROK	\N	\N
3657910	3857	1998-06-30	PRIJEM	\N	63	15272	UROK	\N	\N
3657911	3857	1998-07-31	PRIJEM	\N	67	16416	UROK	\N	\N
3657912	3857	1998-08-31	PRIJEM	\N	72	17565	UROK	\N	\N
3657913	3857	1998-09-30	PRIJEM	\N	76	18719	UROK	\N	\N
3657914	3857	1998-10-31	PRIJEM	\N	81	19877	UROK	\N	\N
3657915	3857	1998-11-30	PRIJEM	\N	86	21041	UROK	\N	\N
3657916	3857	1998-12-31	PRIJEM	\N	85	19623	UROK	\N	\N
3657917	3860	1994-11-30	PRIJEM	\N	57	19442	UROK	\N	\N
3657918	3860	1994-12-31	PRIJEM	\N	117	31686	UROK	\N	\N
3657919	3860	1995-01-31	PRIJEM	\N	143	35314	UROK	\N	\N
3657920	3860	1995-02-28	PRIJEM	\N	155	38054	UROK	\N	\N
3657921	3860	1995-03-31	PRIJEM	\N	145	33161	UROK	\N	\N
3657922	3860	1995-04-30	PRIJEM	\N	134	31742	UROK	\N	\N
3657923	3860	1995-05-31	PRIJEM	\N	126	29615	UROK	\N	\N
3657924	3860	1995-06-30	PRIJEM	\N	148	29454	UROK	\N	\N
3657925	3860	1995-07-31	PRIJEM	\N	145	28446	UROK	\N	\N
3657926	3860	1995-08-31	PRIJEM	\N	98	21891	UROK	\N	\N
3657927	3860	1995-09-30	PRIJEM	\N	88	20326	UROK	\N	\N
3657928	3860	1995-10-31	PRIJEM	\N	87	20060	UROK	\N	\N
3657929	3860	1995-11-30	PRIJEM	\N	106	25913	UROK	\N	\N
3657930	3860	1995-12-31	PRIJEM	\N	119	29022	UROK	\N	\N
3657931	3860	1996-01-31	PRIJEM	\N	92	19061	UROK	\N	\N
3657932	3860	1996-02-29	PRIJEM	\N	88	19797	UROK	\N	\N
3657933	3860	1996-03-31	PRIJEM	\N	100	24344	UROK	\N	\N
3657934	3860	1996-04-30	PRIJEM	\N	95	22087	UROK	\N	\N
3657935	3860	1996-05-31	PRIJEM	\N	85	19619	UROK	\N	\N
3657936	3860	1996-06-30	PRIJEM	\N	103	19198	UROK	\N	\N
3657937	3860	1996-07-31	PRIJEM	\N	93	22539	UROK	\N	\N
3657938	3860	1996-08-31	PRIJEM	\N	93	22179	UROK	\N	\N
3657939	3860	1996-09-30	PRIJEM	\N	99	18388	UROK	\N	\N
3657940	3860	1996-10-31	PRIJEM	\N	74	15309	UROK	\N	\N
3657941	3860	1996-11-30	PRIJEM	\N	75	15032	UROK	\N	\N
3657942	3860	1996-12-31	PRIJEM	\N	93	18615	UROK	\N	\N
3657943	3860	1997-01-31	PRIJEM	\N	82	13944	UROK	\N	\N
3657944	3860	1997-02-28	PRIJEM	\N	69	14861	UROK	\N	\N
3657945	3860	1997-03-31	PRIJEM	\N	74	17882	UROK	\N	\N
3657946	3860	1997-04-30	PRIJEM	\N	85	18914	UROK	\N	\N
3657947	3860	1997-05-31	PRIJEM	\N	90	21552	UROK	\N	\N
3657948	3860	1997-06-30	PRIJEM	\N	117	24160	UROK	\N	\N
3657949	3860	1997-07-31	PRIJEM	\N	107	18914	UROK	\N	\N
3657950	3860	1997-08-31	PRIJEM	\N	80	13841	UROK	\N	\N
3657951	3860	1997-09-30	PRIJEM	\N	66	14155	UROK	\N	\N
3657952	3860	1997-10-31	PRIJEM	\N	65	11667	UROK	\N	\N
3657953	3860	1997-11-30	PRIJEM	\N	60	15875	UROK	\N	\N
3657954	3860	1997-12-31	PRIJEM	\N	88	22153	UROK	\N	\N
3657955	3860	1998-01-31	PRIJEM	\N	96	22797	UROK	\N	\N
3657956	3860	1998-02-28	PRIJEM	\N	106	27050	UROK	\N	\N
3657957	3860	1998-03-31	PRIJEM	\N	104	12502	UROK	\N	\N
3657958	3860	1998-04-30	PRIJEM	\N	64	16713	UROK	\N	\N
3657959	3860	1998-05-31	PRIJEM	\N	81	20942	UROK	\N	\N
3657960	3860	1998-06-30	PRIJEM	\N	97	22104	UROK	\N	\N
3657961	3860	1998-07-31	PRIJEM	\N	104	26355	UROK	\N	\N
3657962	3860	1998-08-31	PRIJEM	\N	121	30623	UROK	\N	\N
3657963	3860	1998-09-30	PRIJEM	\N	139	34909	UROK	\N	\N
3657964	3860	1998-10-31	PRIJEM	\N	138	29879	UROK	\N	\N
3657965	3860	1998-11-30	PRIJEM	\N	113	26578	UROK	\N	\N
3657966	3860	1998-12-31	PRIJEM	\N	134	33203	UROK	\N	\N
3657967	3861	1997-03-31	PRIJEM	\N	161	48625	UROK	\N	\N
3657968	3861	1997-04-30	PRIJEM	\N	148	60005	UROK	\N	\N
3657969	3861	1997-05-31	PRIJEM	\N	184	44821	UROK	\N	\N
3657970	3861	1997-06-30	PRIJEM	\N	254	45966	UROK	\N	\N
3657971	3861	1997-07-31	PRIJEM	\N	227	46044	UROK	\N	\N
3657972	3861	1997-08-31	PRIJEM	\N	240	48174	UROK	\N	\N
3657973	3861	1997-09-30	PRIJEM	\N	239	45243	UROK	\N	\N
3657974	3861	1997-10-31	PRIJEM	\N	242	48536	UROK	\N	\N
3657975	3861	1997-11-30	PRIJEM	\N	247	50773	UROK	\N	\N
3657976	3861	1997-12-31	PRIJEM	\N	277	59387	UROK	\N	\N
3657977	3861	1998-01-31	PRIJEM	\N	259	43796	UROK	\N	\N
3657978	3861	1998-02-28	PRIJEM	\N	228	52894	UROK	\N	\N
3657979	3861	1998-03-31	PRIJEM	\N	265	57350	UROK	\N	\N
3657980	3861	1998-04-30	PRIJEM	\N	279	58419	UROK	\N	\N
3657981	3861	1998-05-31	PRIJEM	\N	283	60193	UROK	\N	\N
3657982	3861	1998-06-30	PRIJEM	\N	297	60426	UROK	\N	\N
3657983	3861	1998-07-31	PRIJEM	\N	289	62306	UROK	\N	\N
3657984	3861	1998-08-31	PRIJEM	\N	298	66994	UROK	\N	\N
3657985	3861	1998-09-30	PRIJEM	\N	309	66493	UROK	\N	\N
3657986	3861	1998-10-31	PRIJEM	\N	305	65088	UROK	\N	\N
3657987	3861	1998-11-30	PRIJEM	\N	292	60070	UROK	\N	\N
3657988	3861	1998-12-31	PRIJEM	\N	340	91366	UROK	\N	\N
3657989	3862	1997-01-31	PRIJEM	\N	47	34629	UROK	\N	\N
3657990	3862	1997-02-28	PRIJEM	\N	144	28473	UROK	\N	\N
3657991	3862	1997-03-31	PRIJEM	\N	203	58476	UROK	\N	\N
3657992	3862	1997-04-30	PRIJEM	\N	225	44198	UROK	\N	\N
3657993	3862	1997-05-31	PRIJEM	\N	284	96275	UROK	\N	\N
3657994	3862	1997-06-30	PRIJEM	\N	340	59702	UROK	\N	\N
3657995	3862	1997-07-31	PRIJEM	\N	196	39452	UROK	\N	\N
3657996	3862	1997-08-31	PRIJEM	\N	119	26124	UROK	\N	\N
3657997	3862	1997-09-30	PRIJEM	\N	208	45105	UROK	\N	\N
3657998	3862	1997-10-31	PRIJEM	\N	227	82123	UROK	\N	\N
3657999	3862	1997-11-30	PRIJEM	\N	284	61248	UROK	\N	\N
3658000	3862	1997-12-31	PRIJEM	\N	276	74737	UROK	\N	\N
3658001	3862	1998-01-31	PRIJEM	\N	293	68265	UROK	\N	\N
3658002	3862	1998-02-28	PRIJEM	\N	219	42048	UROK	\N	\N
3658003	3862	1998-03-31	PRIJEM	\N	125	22751	UROK	\N	\N
3658004	3862	1998-04-30	PRIJEM	\N	264	33890	UROK	\N	\N
3658005	3862	1998-05-31	PRIJEM	\N	111	26454	UROK	\N	\N
3658006	3862	1998-06-30	PRIJEM	\N	90	23497	UROK	\N	\N
3658007	3862	1998-07-31	PRIJEM	\N	148	64848	UROK	\N	\N
3658008	3862	1998-08-31	PRIJEM	\N	188	36666	UROK	\N	\N
3658009	3862	1998-09-30	PRIJEM	\N	160	43615	UROK	\N	\N
3658010	3862	1998-10-31	PRIJEM	\N	302	76989	UROK	\N	\N
3658011	3862	1998-11-30	PRIJEM	\N	261	47532	UROK	\N	\N
3658012	3862	1998-12-31	PRIJEM	\N	318	56200	UROK	\N	\N
3658013	3863	1993-10-31	PRIJEM	\N	46	19102	UROK	\N	\N
3658014	3863	1993-11-30	PRIJEM	\N	98	26556	UROK	\N	\N
3658015	3863	1993-12-31	PRIJEM	\N	137	36927	UROK	\N	\N
3658016	3863	1994-01-31	PRIJEM	\N	160	39543	UROK	\N	\N
3658017	3863	1994-02-28	PRIJEM	\N	162	38861	UROK	\N	\N
3658018	3863	1994-03-31	PRIJEM	\N	157	35256	UROK	\N	\N
3658019	3863	1994-04-30	PRIJEM	\N	137	30431	UROK	\N	\N
3658020	3863	1994-05-31	PRIJEM	\N	133	31701	UROK	\N	\N
3658021	3863	1994-06-30	PRIJEM	\N	126	27022	UROK	\N	\N
3658022	3863	1994-07-31	PRIJEM	\N	120	28860	UROK	\N	\N
3658023	3863	1994-08-31	PRIJEM	\N	118	25316	UROK	\N	\N
3658024	3863	1994-09-30	PRIJEM	\N	119	29372	UROK	\N	\N
3658025	3863	1994-10-31	PRIJEM	\N	119	28029	UROK	\N	\N
3658026	3863	1994-11-30	PRIJEM	\N	123	29689	UROK	\N	\N
3658027	3863	1994-12-31	PRIJEM	\N	142	34346	UROK	\N	\N
3658028	3863	1995-01-31	PRIJEM	\N	109	17093	UROK	\N	\N
3658029	3863	1995-02-28	PRIJEM	\N	86	23216	UROK	\N	\N
3658030	3863	1995-03-31	PRIJEM	\N	117	29471	UROK	\N	\N
3658031	3863	1995-04-30	PRIJEM	\N	115	27223	UROK	\N	\N
3658032	3863	1995-05-31	PRIJEM	\N	119	28879	UROK	\N	\N
3658033	3863	1995-06-30	PRIJEM	\N	156	30350	UROK	\N	\N
3658034	3863	1995-07-31	PRIJEM	\N	124	26312	UROK	\N	\N
3658035	3863	1995-08-31	PRIJEM	\N	138	34988	UROK	\N	\N
3658036	3863	1995-09-30	PRIJEM	\N	123	29108	UROK	\N	\N
3658037	3863	1995-10-31	PRIJEM	\N	138	34383	UROK	\N	\N
3658038	3863	1995-11-30	PRIJEM	\N	154	38275	UROK	\N	\N
3658039	3863	1995-12-31	PRIJEM	\N	160	35270	UROK	\N	\N
3658040	3863	1996-01-31	PRIJEM	\N	104	15671	UROK	\N	\N
3658041	3863	1996-02-29	PRIJEM	\N	95	24224	UROK	\N	\N
3658042	3863	1996-03-31	PRIJEM	\N	112	28073	UROK	\N	\N
3658043	3863	1996-04-30	PRIJEM	\N	125	31135	UROK	\N	\N
3658044	3863	1996-05-31	PRIJEM	\N	117	29049	UROK	\N	\N
3658045	3863	1996-06-30	PRIJEM	\N	137	21961	UROK	\N	\N
3658046	3863	1996-07-31	PRIJEM	\N	97	24796	UROK	\N	\N
3658047	3863	1996-08-31	PRIJEM	\N	116	26069	UROK	\N	\N
3658048	3863	1996-09-30	PRIJEM	\N	121	28928	UROK	\N	\N
3658049	3863	1996-10-31	PRIJEM	\N	129	27414	UROK	\N	\N
3658050	3863	1996-11-30	PRIJEM	\N	127	31479	UROK	\N	\N
3658051	3863	1996-12-31	PRIJEM	\N	155	31909	UROK	\N	\N
3658052	3863	1997-01-31	PRIJEM	\N	74	15580	UROK	\N	\N
3658053	3863	1997-02-28	PRIJEM	\N	81	25999	UROK	\N	\N
3658054	3863	1997-03-31	PRIJEM	\N	117	25253	UROK	\N	\N
3658055	3863	1997-04-30	PRIJEM	\N	114	24005	UROK	\N	\N
3658056	3863	1997-05-31	PRIJEM	\N	114	29356	UROK	\N	\N
3658057	3863	1997-06-30	PRIJEM	\N	152	33723	UROK	\N	\N
3658058	3863	1997-07-31	PRIJEM	\N	148	32208	UROK	\N	\N
3658059	3863	1997-08-31	PRIJEM	\N	139	29385	UROK	\N	\N
3658060	3863	1997-09-30	PRIJEM	\N	132	31454	UROK	\N	\N
3658061	3863	1997-10-31	PRIJEM	\N	139	31470	UROK	\N	\N
3658062	3863	1997-11-30	PRIJEM	\N	128	30436	UROK	\N	\N
3658063	3863	1997-12-31	PRIJEM	\N	146	26877	UROK	\N	\N
3658064	3863	1998-01-31	PRIJEM	\N	94	16009	UROK	\N	\N
3658065	3863	1998-02-28	PRIJEM	\N	80	21526	UROK	\N	\N
3658066	3863	1998-03-31	PRIJEM	\N	91	23395	UROK	\N	\N
3658067	3863	1998-04-30	PRIJEM	\N	99	20431	UROK	\N	\N
3658068	3863	1998-05-31	PRIJEM	\N	98	25266	UROK	\N	\N
3658069	3863	1998-06-30	PRIJEM	\N	88	22750	UROK	\N	\N
3658070	3863	1998-07-31	PRIJEM	\N	103	25090	UROK	\N	\N
3658071	3863	1998-08-31	PRIJEM	\N	108	21595	UROK	\N	\N
3658072	3863	1998-09-30	PRIJEM	\N	86	17319	UROK	\N	\N
3658073	3863	1998-10-31	PRIJEM	\N	72	15528	UROK	\N	\N
3658074	3863	1998-11-30	PRIJEM	\N	74	17680	UROK	\N	\N
3658075	3863	1998-12-31	PRIJEM	\N	107	28402	UROK	\N	\N
3658076	3864	1996-07-31	PRIJEM	\N	25	15256	UROK	\N	\N
3658077	3864	1996-08-31	PRIJEM	\N	64	21619	UROK	\N	\N
3658078	3864	1996-09-30	PRIJEM	\N	64	23783	UROK	\N	\N
3658079	3864	1996-10-31	PRIJEM	\N	64	19546	UROK	\N	\N
3658080	3864	1996-11-30	PRIJEM	\N	68	30202	UROK	\N	\N
3658081	3864	1996-12-31	PRIJEM	\N	126	24827	UROK	\N	\N
3658082	3864	1997-01-31	PRIJEM	\N	127	32623	UROK	\N	\N
3658083	3864	1997-02-28	PRIJEM	\N	289	44038	UROK	\N	\N
3658084	3864	1997-03-31	PRIJEM	\N	181	27090	UROK	\N	\N
3658085	3864	1997-04-30	PRIJEM	\N	173	39049	UROK	\N	\N
3658086	3864	1997-05-31	PRIJEM	\N	244	43633	UROK	\N	\N
3658087	3864	1997-06-30	PRIJEM	\N	212	41421	UROK	\N	\N
3658088	3864	1997-07-31	PRIJEM	\N	156	34010	UROK	\N	\N
3658089	3864	1997-08-31	PRIJEM	\N	231	37309	UROK	\N	\N
3658090	3864	1997-09-30	PRIJEM	\N	157	24196	UROK	\N	\N
3658091	3864	1997-10-31	PRIJEM	\N	82	19026	UROK	\N	\N
3658092	3864	1997-11-30	PRIJEM	\N	158	27142	UROK	\N	\N
3658093	3864	1997-12-31	PRIJEM	\N	136	28655	UROK	\N	\N
3658094	3864	1998-01-31	PRIJEM	\N	194	23133	UROK	\N	\N
3658095	3864	1998-02-28	PRIJEM	\N	103	24517	UROK	\N	\N
3658096	3864	1998-03-31	PRIJEM	\N	129	35162	UROK	\N	\N
3658097	3864	1998-04-30	PRIJEM	\N	101	21011	UROK	\N	\N
3658098	3864	1998-05-31	PRIJEM	\N	102	27989	UROK	\N	\N
3658099	3864	1998-06-30	PRIJEM	\N	170	46794	UROK	\N	\N
3658100	3864	1998-07-31	PRIJEM	\N	241	63982	UROK	\N	\N
3658101	3864	1998-08-31	PRIJEM	\N	302	97560	UROK	\N	\N
3658102	3864	1998-09-30	PRIJEM	\N	368	72288	UROK	\N	\N
3658103	3864	1998-10-31	PRIJEM	\N	289	78455	UROK	\N	\N
3658104	3864	1998-11-30	PRIJEM	\N	309	77911	UROK	\N	\N
3658105	3864	1998-12-31	PRIJEM	\N	276	46491	UROK	\N	\N
3658106	3865	1995-02-28	PRIJEM	\N	56	19964	UROK	\N	\N
3658107	3865	1995-03-31	PRIJEM	\N	113	30485	UROK	\N	\N
3658108	3865	1995-04-30	PRIJEM	\N	184	34876	UROK	\N	\N
3658109	3865	1995-05-31	PRIJEM	\N	221	40105	UROK	\N	\N
3658110	3865	1995-06-30	PRIJEM	\N	238	49855	UROK	\N	\N
3658111	3865	1995-07-31	PRIJEM	\N	220	55021	UROK	\N	\N
3658112	3865	1995-08-31	PRIJEM	\N	221	53688	UROK	\N	\N
3658113	3865	1995-09-30	PRIJEM	\N	200	48435	UROK	\N	\N
3658114	3865	1995-10-31	PRIJEM	\N	216	54397	UROK	\N	\N
3658115	3865	1995-11-30	PRIJEM	\N	210	52253	UROK	\N	\N
3658116	3865	1995-12-31	PRIJEM	\N	246	63950	UROK	\N	\N
3658117	3865	1996-01-31	PRIJEM	\N	222	51818	UROK	\N	\N
3658118	3865	1996-02-29	PRIJEM	\N	206	51770	UROK	\N	\N
3658119	3865	1996-03-31	PRIJEM	\N	210	52427	UROK	\N	\N
3658120	3865	1996-04-30	PRIJEM	\N	219	56592	UROK	\N	\N
3658121	3865	1996-05-31	PRIJEM	\N	229	57267	UROK	\N	\N
3658122	3865	1996-06-30	PRIJEM	\N	188	40206	UROK	\N	\N
3658123	3865	1996-07-31	PRIJEM	\N	189	47241	UROK	\N	\N
3658124	3865	1996-08-31	PRIJEM	\N	213	54900	UROK	\N	\N
3658125	3865	1996-09-30	PRIJEM	\N	232	58778	UROK	\N	\N
3658126	3865	1996-10-31	PRIJEM	\N	250	63775	UROK	\N	\N
3658127	3865	1996-11-30	PRIJEM	\N	239	61660	UROK	\N	\N
3658128	3865	1996-12-31	PRIJEM	\N	274	56784	UROK	\N	\N
3658129	3865	1997-01-31	PRIJEM	\N	270	58901	UROK	\N	\N
3658130	3865	1997-02-28	PRIJEM	\N	260	61407	UROK	\N	\N
3658131	3865	1997-03-31	PRIJEM	\N	262	56216	UROK	\N	\N
3658132	3865	1997-04-30	PRIJEM	\N	268	54730	UROK	\N	\N
3658133	3865	1997-05-31	PRIJEM	\N	260	53136	UROK	\N	\N
3658134	3865	1997-06-30	PRIJEM	\N	234	52220	UROK	\N	\N
3658135	3865	1997-07-31	PRIJEM	\N	249	54116	UROK	\N	\N
3658136	3865	1997-08-31	PRIJEM	\N	255	55017	UROK	\N	\N
3658137	3865	1997-09-30	PRIJEM	\N	259	58423	UROK	\N	\N
3658138	3865	1997-10-31	PRIJEM	\N	266	57935	UROK	\N	\N
3658139	3865	1997-11-30	PRIJEM	\N	268	58850	UROK	\N	\N
3658140	3865	1997-12-31	PRIJEM	\N	288	61989	UROK	\N	\N
3658141	3865	1998-01-31	PRIJEM	\N	283	64118	UROK	\N	\N
3658142	3865	1998-02-28	PRIJEM	\N	289	63153	UROK	\N	\N
3658143	3865	1998-03-31	PRIJEM	\N	287	62787	UROK	\N	\N
3658144	3865	1998-04-30	PRIJEM	\N	284	62317	UROK	\N	\N
3658145	3865	1998-05-31	PRIJEM	\N	276	57440	UROK	\N	\N
3658146	3865	1998-06-30	PRIJEM	\N	269	51659	UROK	\N	\N
3658147	3865	1998-07-31	PRIJEM	\N	231	48136	UROK	\N	\N
3658148	3865	1998-08-31	PRIJEM	\N	200	42683	UROK	\N	\N
3658149	3865	1998-09-30	PRIJEM	\N	195	42924	UROK	\N	\N
3658150	3865	1998-10-31	PRIJEM	\N	187	37858	UROK	\N	\N
3658151	3865	1998-11-30	PRIJEM	\N	164	32167	UROK	\N	\N
3658152	3865	1998-12-31	PRIJEM	\N	164	33182	UROK	\N	\N
3658153	3867	1997-08-31	PRIJEM	\N	37	19918	UROK	\N	\N
3658154	3867	1997-09-30	PRIJEM	\N	101	29100	UROK	\N	\N
3658155	3867	1997-10-31	PRIJEM	\N	128	32509	UROK	\N	\N
3658156	3867	1997-11-30	PRIJEM	\N	136	32925	UROK	\N	\N
3658157	3867	1997-12-31	PRIJEM	\N	147	35818	UROK	\N	\N
3658158	3867	1998-01-31	PRIJEM	\N	117	20126	UROK	\N	\N
3658159	3867	1998-02-28	PRIJEM	\N	117	29833	UROK	\N	\N
3658160	3867	1998-03-31	PRIJEM	\N	143	33266	UROK	\N	\N
3658161	3867	1998-04-30	PRIJEM	\N	144	35300	UROK	\N	\N
3658162	3867	1998-05-31	PRIJEM	\N	149	35840	UROK	\N	\N
3658163	3867	1998-06-30	PRIJEM	\N	156	32728	UROK	\N	\N
3658164	3867	1998-07-31	PRIJEM	\N	132	31250	UROK	\N	\N
3658165	3867	1998-08-31	PRIJEM	\N	136	33477	UROK	\N	\N
3658166	3867	1998-09-30	PRIJEM	\N	157	34924	UROK	\N	\N
3658167	3867	1998-10-31	PRIJEM	\N	145	34259	UROK	\N	\N
3658168	3867	1998-11-30	PRIJEM	\N	141	29890	UROK	\N	\N
3658169	3867	1998-12-31	PRIJEM	\N	132	31254	UROK	\N	\N
3658170	3868	1994-01-31	PRIJEM	\N	57	15198	UROK	\N	\N
3658171	3868	1994-02-28	PRIJEM	\N	62	13508	UROK	\N	\N
3658172	3868	1994-03-31	PRIJEM	\N	62	15659	UROK	\N	\N
3658173	3868	1994-04-30	PRIJEM	\N	71	17818	UROK	\N	\N
3658174	3868	1994-05-31	PRIJEM	\N	80	19987	UROK	\N	\N
3658175	3868	1994-06-30	PRIJEM	\N	57	11933	UROK	\N	\N
3658176	3868	1994-07-31	PRIJEM	\N	56	14077	UROK	\N	\N
3658177	3868	1994-08-31	PRIJEM	\N	63	15268	UROK	\N	\N
3658178	3868	1994-09-30	PRIJEM	\N	69	17426	UROK	\N	\N
3658179	3868	1994-10-31	PRIJEM	\N	79	19593	UROK	\N	\N
3658180	3868	1994-11-30	PRIJEM	\N	87	21769	UROK	\N	\N
3658181	3868	1994-12-31	PRIJEM	\N	92	20279	UROK	\N	\N
3658182	3868	1995-01-31	PRIJEM	\N	75	13583	UROK	\N	\N
3658183	3868	1995-02-28	PRIJEM	\N	62	15733	UROK	\N	\N
3658184	3868	1995-03-31	PRIJEM	\N	71	17893	UROK	\N	\N
3658185	3868	1995-04-30	PRIJEM	\N	80	20061	UROK	\N	\N
3658186	3868	1995-05-31	PRIJEM	\N	89	22239	UROK	\N	\N
3658187	3868	1995-06-30	PRIJEM	\N	78	14455	UROK	\N	\N
3658188	3868	1995-07-31	PRIJEM	\N	66	16609	UROK	\N	\N
3658189	3868	1995-08-31	PRIJEM	\N	75	17733	UROK	\N	\N
3658190	3868	1995-09-30	PRIJEM	\N	77	19258	UROK	\N	\N
3658191	3868	1995-10-31	PRIJEM	\N	86	21432	UROK	\N	\N
3658192	3868	1995-11-30	PRIJEM	\N	95	23615	UROK	\N	\N
3658193	3868	1995-12-31	PRIJEM	\N	103	25206	UROK	\N	\N
3658194	3868	1996-01-31	PRIJEM	\N	86	14670	UROK	\N	\N
3658195	3868	1996-02-29	PRIJEM	\N	66	15945	UROK	\N	\N
3658196	3868	1996-03-31	PRIJEM	\N	72	18105	UROK	\N	\N
3658197	3868	1996-04-30	PRIJEM	\N	79	19713	UROK	\N	\N
3658198	3868	1996-05-31	PRIJEM	\N	88	21889	UROK	\N	\N
3658199	3868	1996-06-30	PRIJEM	\N	90	20867	UROK	\N	\N
3658200	3868	1996-07-31	PRIJEM	\N	92	23048	UROK	\N	\N
3658201	3868	1996-08-31	PRIJEM	\N	101	25238	UROK	\N	\N
3658202	3868	1996-09-30	PRIJEM	\N	110	27437	UROK	\N	\N
3658203	3868	1996-10-31	PRIJEM	\N	120	29645	UROK	\N	\N
3658204	3868	1996-11-30	PRIJEM	\N	127	29220	UROK	\N	\N
3658205	3868	1996-12-31	PRIJEM	\N	123	29431	UROK	\N	\N
3658206	3868	1997-01-31	PRIJEM	\N	107	19487	UROK	\N	\N
3658207	3868	1997-02-28	PRIJEM	\N	86	21661	UROK	\N	\N
3658208	3868	1997-03-31	PRIJEM	\N	95	23845	UROK	\N	\N
3658209	3868	1997-04-30	PRIJEM	\N	102	24835	UROK	\N	\N
3658210	3868	1997-05-31	PRIJEM	\N	108	27032	UROK	\N	\N
3658211	3868	1997-06-30	PRIJEM	\N	67	14548	UROK	\N	\N
3658212	3868	1997-07-31	PRIJEM	\N	57	13733	UROK	\N	\N
3658213	3868	1997-08-31	PRIJEM	\N	62	15884	UROK	\N	\N
3658214	3868	1997-09-30	PRIJEM	\N	71	18043	UROK	\N	\N
3658215	3868	1997-10-31	PRIJEM	\N	78	18289	UROK	\N	\N
3658216	3868	1997-11-30	PRIJEM	\N	81	20458	UROK	\N	\N
3658217	3868	1997-12-31	PRIJEM	\N	89	21935	UROK	\N	\N
3658218	3868	1998-01-31	PRIJEM	\N	61	13465	UROK	\N	\N
3658219	3868	1998-02-28	PRIJEM	\N	60	15613	UROK	\N	\N
3658220	3868	1998-03-31	PRIJEM	\N	69	17771	UROK	\N	\N
3658221	3868	1998-04-30	PRIJEM	\N	78	19938	UROK	\N	\N
3658222	3868	1998-05-31	PRIJEM	\N	71	16177	UROK	\N	\N
3658223	3868	1998-06-30	PRIJEM	\N	72	18337	UROK	\N	\N
3658224	3868	1998-07-31	PRIJEM	\N	81	20506	UROK	\N	\N
3658225	3868	1998-08-31	PRIJEM	\N	90	22684	UROK	\N	\N
3658226	3868	1998-09-30	PRIJEM	\N	98	24871	UROK	\N	\N
3658227	3868	1998-10-31	PRIJEM	\N	108	27067	UROK	\N	\N
3658228	3868	1998-11-30	PRIJEM	\N	116	25731	UROK	\N	\N
3658229	3868	1998-12-31	PRIJEM	\N	110	26829	UROK	\N	\N
3658230	3869	1994-09-30	PRIJEM	\N	45	27214	UROK	\N	\N
3658231	3869	1994-10-31	PRIJEM	\N	113	25628	UROK	\N	\N
3658232	3869	1994-11-30	PRIJEM	\N	272	94833	UROK	\N	\N
3658233	3869	1994-12-31	PRIJEM	\N	275	63164	UROK	\N	\N
3658234	3869	1995-01-31	PRIJEM	\N	166	46809	UROK	\N	\N
3658235	3869	1995-02-28	PRIJEM	\N	237	55793	UROK	\N	\N
3658236	3869	1995-03-31	PRIJEM	\N	186	37180	UROK	\N	\N
3658237	3869	1995-04-30	PRIJEM	\N	309	88273	UROK	\N	\N
3658238	3869	1995-05-31	PRIJEM	\N	303	62252	UROK	\N	\N
3658239	3869	1995-06-30	PRIJEM	\N	230	50285	UROK	\N	\N
3658240	3869	1995-07-31	PRIJEM	\N	246	65127	UROK	\N	\N
3658241	3869	1995-08-31	PRIJEM	\N	298	77677	UROK	\N	\N
3658242	3869	1995-09-30	PRIJEM	\N	242	64657	UROK	\N	\N
3658243	3869	1995-10-31	PRIJEM	\N	276	71999	UROK	\N	\N
3658244	3869	1995-11-30	PRIJEM	\N	235	63340	UROK	\N	\N
3658245	3869	1995-12-31	PRIJEM	\N	241	89506	UROK	\N	\N
3658246	3869	1996-01-31	PRIJEM	\N	296	89730	UROK	\N	\N
3658247	3869	1996-02-29	PRIJEM	\N	401	85453	UROK	\N	\N
3658248	3869	1996-03-31	PRIJEM	\N	354	48549	UROK	\N	\N
3658249	3869	1996-04-30	PRIJEM	\N	196	75204	UROK	\N	\N
3658250	3869	1996-05-31	PRIJEM	\N	255	68405	UROK	\N	\N
3658251	3869	1996-06-30	PRIJEM	\N	209	73965	UROK	\N	\N
3658252	3869	1996-07-31	PRIJEM	\N	175	27329	UROK	\N	\N
3658253	3869	1996-08-31	PRIJEM	\N	117	23208	UROK	\N	\N
3658254	3869	1996-09-30	PRIJEM	\N	169	62271	UROK	\N	\N
3658255	3869	1996-10-31	PRIJEM	\N	281	109305	UROK	\N	\N
3658256	3869	1996-11-30	PRIJEM	\N	362	95413	UROK	\N	\N
3658257	3869	1996-12-31	PRIJEM	\N	316	96547	UROK	\N	\N
3658258	3869	1997-01-31	PRIJEM	\N	351	65671	UROK	\N	\N
3658259	3869	1997-02-28	PRIJEM	\N	284	72848	UROK	\N	\N
3658260	3869	1997-03-31	PRIJEM	\N	342	102667	UROK	\N	\N
3658261	3869	1997-04-30	PRIJEM	\N	332	67744	UROK	\N	\N
3658262	3869	1997-05-31	PRIJEM	\N	280	69941	UROK	\N	\N
3658263	3869	1997-06-30	PRIJEM	\N	381	74306	UROK	\N	\N
3658264	3869	1997-07-31	PRIJEM	\N	415	64028	UROK	\N	\N
3658265	3869	1997-08-31	PRIJEM	\N	180	56814	UROK	\N	\N
3658266	3869	1997-09-30	PRIJEM	\N	376	123300	UROK	\N	\N
3658267	3869	1997-10-31	PRIJEM	\N	389	68671	UROK	\N	\N
3658268	3869	1997-11-30	PRIJEM	\N	411	91229	UROK	\N	\N
3658269	3869	1997-12-31	PRIJEM	\N	424	82957	UROK	\N	\N
3658270	3869	1998-01-31	PRIJEM	\N	252	52934	UROK	\N	\N
3658271	3869	1998-02-28	PRIJEM	\N	237	95769	UROK	\N	\N
3658272	3869	1998-03-31	PRIJEM	\N	401	77176	UROK	\N	\N
3658273	3869	1998-04-30	PRIJEM	\N	405	75808	UROK	\N	\N
3658274	3869	1998-05-31	PRIJEM	\N	332	84322	UROK	\N	\N
3658275	3869	1998-06-30	PRIJEM	\N	432	59665	UROK	\N	\N
3658276	3869	1998-07-31	PRIJEM	\N	199	58273	UROK	\N	\N
3658277	3869	1998-08-31	PRIJEM	\N	246	65344	UROK	\N	\N
3658278	3869	1998-09-30	PRIJEM	\N	348	92957	UROK	\N	\N
3658279	3869	1998-10-31	PRIJEM	\N	370	82952	UROK	\N	\N
3658280	3869	1998-11-30	PRIJEM	\N	416	83630	UROK	\N	\N
3658281	3869	1998-12-31	PRIJEM	\N	379	115663	UROK	\N	\N
3658282	3870	1997-01-31	PRIJEM	\N	18	6328	UROK	\N	\N
3658283	3870	1997-02-28	PRIJEM	\N	26	11864	UROK	\N	\N
3658284	3870	1997-03-31	PRIJEM	\N	26	17400	UROK	\N	\N
3658285	3870	1997-04-30	PRIJEM	\N	26	22937	UROK	\N	\N
3658286	3870	1997-05-31	PRIJEM	\N	67	20541	UROK	\N	\N
3658287	3870	1997-06-30	PRIJEM	\N	87	19450	UROK	\N	\N
3658288	3870	1997-07-31	PRIJEM	\N	82	19655	UROK	\N	\N
3658289	3870	1997-08-31	PRIJEM	\N	84	20162	UROK	\N	\N
3658290	3870	1997-09-30	PRIJEM	\N	77	17281	UROK	\N	\N
3658291	3870	1997-10-31	PRIJEM	\N	77	19180	UROK	\N	\N
3658292	3870	1997-11-30	PRIJEM	\N	81	19384	UROK	\N	\N
3658293	3870	1997-12-31	PRIJEM	\N	82	19888	UROK	\N	\N
3658294	3870	1998-01-31	PRIJEM	\N	68	13298	UROK	\N	\N
3658295	3870	1998-02-28	PRIJEM	\N	60	15180	UROK	\N	\N
3658296	3870	1998-03-31	PRIJEM	\N	68	16591	UROK	\N	\N
3658297	3870	1998-04-30	PRIJEM	\N	74	18487	UROK	\N	\N
3658298	3870	1998-05-31	PRIJEM	\N	82	20391	UROK	\N	\N
3658299	3870	1998-06-30	PRIJEM	\N	83	19496	UROK	\N	\N
3658300	3870	1998-07-31	PRIJEM	\N	80	18798	UROK	\N	\N
3658301	3870	1998-08-31	PRIJEM	\N	79	18800	UROK	\N	\N
3658302	3870	1998-09-30	PRIJEM	\N	75	18997	UROK	\N	\N
3658303	3870	1998-10-31	PRIJEM	\N	75	17295	UROK	\N	\N
3658304	3870	1998-11-30	PRIJEM	\N	76	15992	UROK	\N	\N
3658305	3870	1998-12-31	PRIJEM	\N	63	13507	UROK	\N	\N
3658306	3871	1993-06-30	PRIJEM	\N	62	20484	UROK	\N	\N
3658307	3871	1993-07-31	PRIJEM	\N	85	20453	UROK	\N	\N
3658308	3871	1993-08-31	PRIJEM	\N	86	21302	UROK	\N	\N
3658309	3871	1993-09-30	PRIJEM	\N	97	24082	UROK	\N	\N
3658310	3871	1993-10-31	PRIJEM	\N	109	26874	UROK	\N	\N
3658311	3871	1993-11-30	PRIJEM	\N	117	27995	UROK	\N	\N
3658312	3871	1993-12-31	PRIJEM	\N	125	30253	UROK	\N	\N
3658313	3871	1994-01-31	PRIJEM	\N	122	23858	UROK	\N	\N
3658314	3871	1994-02-28	PRIJEM	\N	104	25145	UROK	\N	\N
3658315	3871	1994-03-31	PRIJEM	\N	113	27942	UROK	\N	\N
3658316	3871	1994-04-30	PRIJEM	\N	122	29468	UROK	\N	\N
3658317	3871	1994-05-31	PRIJEM	\N	120	28671	UROK	\N	\N
3658318	3871	1994-06-30	PRIJEM	\N	123	29577	UROK	\N	\N
3658319	3871	1994-07-31	PRIJEM	\N	122	29283	UROK	\N	\N
3658320	3871	1994-08-31	PRIJEM	\N	132	31998	UROK	\N	\N
3658321	3871	1994-09-30	PRIJEM	\N	139	34101	UROK	\N	\N
3658322	3871	1994-10-31	PRIJEM	\N	140	32104	UROK	\N	\N
3658323	3871	1994-11-30	PRIJEM	\N	141	32429	UROK	\N	\N
3658324	3871	1994-12-31	PRIJEM	\N	142	32204	UROK	\N	\N
3658325	3871	1995-01-31	PRIJEM	\N	116	20763	UROK	\N	\N
3658326	3871	1995-02-28	PRIJEM	\N	94	23541	UROK	\N	\N
3658327	3871	1995-03-31	PRIJEM	\N	106	26330	UROK	\N	\N
3658328	3871	1995-04-30	PRIJEM	\N	110	26484	UROK	\N	\N
3658329	3871	1995-05-31	PRIJEM	\N	118	29285	UROK	\N	\N
3658330	3871	1995-06-30	PRIJEM	\N	130	32098	UROK	\N	\N
3658331	3871	1995-07-31	PRIJEM	\N	142	34923	UROK	\N	\N
3658332	3871	1995-08-31	PRIJEM	\N	153	37760	UROK	\N	\N
3658333	3871	1995-09-30	PRIJEM	\N	163	38306	UROK	\N	\N
3658334	3871	1995-10-31	PRIJEM	\N	167	40197	UROK	\N	\N
3658335	3871	1995-11-30	PRIJEM	\N	174	40754	UROK	\N	\N
3658336	3871	1995-12-31	PRIJEM	\N	171	38908	UROK	\N	\N
3658337	3871	1996-01-31	PRIJEM	\N	154	33105	UROK	\N	\N
3658338	3871	1996-02-29	PRIJEM	\N	135	32484	UROK	\N	\N
3658339	3871	1996-03-31	PRIJEM	\N	143	35310	UROK	\N	\N
3658340	3871	1996-04-30	PRIJEM	\N	153	36746	UROK	\N	\N
3658341	3871	1996-05-31	PRIJEM	\N	154	34583	UROK	\N	\N
3658342	3871	1996-06-30	PRIJEM	\N	149	35815	UROK	\N	\N
3658343	3871	1996-07-31	PRIJEM	\N	150	34148	UROK	\N	\N
3658344	3871	1996-08-31	PRIJEM	\N	146	34677	UROK	\N	\N
3658345	3871	1996-09-30	PRIJEM	\N	145	33945	UROK	\N	\N
3658346	3871	1996-10-31	PRIJEM	\N	146	35274	UROK	\N	\N
3658347	3871	1996-11-30	PRIJEM	\N	151	36408	UROK	\N	\N
3658348	3871	1996-12-31	PRIJEM	\N	147	33538	UROK	\N	\N
3658349	3871	1997-01-31	PRIJEM	\N	133	27713	UROK	\N	\N
3658350	3871	1997-02-28	PRIJEM	\N	118	26835	UROK	\N	\N
3658351	3871	1997-03-31	PRIJEM	\N	118	29636	UROK	\N	\N
3658352	3871	1997-04-30	PRIJEM	\N	130	32449	UROK	\N	\N
3658353	3871	1997-05-31	PRIJEM	\N	141	35274	UROK	\N	\N
3658354	3871	1997-06-30	PRIJEM	\N	151	37388	UROK	\N	\N
3658355	3871	1997-07-31	PRIJEM	\N	149	34220	UROK	\N	\N
3658356	3871	1997-08-31	PRIJEM	\N	148	37052	UROK	\N	\N
3658357	3871	1997-09-30	PRIJEM	\N	144	34199	UROK	\N	\N
3658358	3871	1997-10-31	PRIJEM	\N	148	37031	UROK	\N	\N
3658359	3871	1997-11-30	PRIJEM	\N	159	38273	UROK	\N	\N
3658360	3871	1997-12-31	PRIJEM	\N	164	40220	UROK	\N	\N
3658361	3871	1998-01-31	PRIJEM	\N	157	32021	UROK	\N	\N
3658362	3871	1998-02-28	PRIJEM	\N	138	34842	UROK	\N	\N
3658363	3871	1998-03-31	PRIJEM	\N	150	37676	UROK	\N	\N
3658364	3871	1998-04-30	PRIJEM	\N	155	38914	UROK	\N	\N
3658365	3871	1998-05-31	PRIJEM	\N	167	41765	UROK	\N	\N
3658366	3871	1998-06-30	PRIJEM	\N	174	42862	UROK	\N	\N
3658367	3871	1998-07-31	PRIJEM	\N	183	45729	UROK	\N	\N
3658368	3871	1998-08-31	PRIJEM	\N	195	48607	UROK	\N	\N
3658369	3871	1998-09-30	PRIJEM	\N	207	51498	UROK	\N	\N
3658370	3871	1998-10-31	PRIJEM	\N	219	54400	UROK	\N	\N
3658371	3871	1998-11-30	PRIJEM	\N	231	57314	UROK	\N	\N
3658372	3871	1998-12-31	PRIJEM	\N	243	59740	UROK	\N	\N
3658373	3872	1997-06-30	PRIJEM	\N	37	24257	UROK	\N	\N
3658374	3872	1997-07-31	PRIJEM	\N	113	31683	UROK	\N	\N
3658375	3872	1997-08-31	PRIJEM	\N	140	36536	UROK	\N	\N
3658376	3872	1997-09-30	PRIJEM	\N	155	38203	UROK	\N	\N
3658377	3872	1997-10-31	PRIJEM	\N	161	36845	UROK	\N	\N
3658378	3872	1997-11-30	PRIJEM	\N	138	27674	UROK	\N	\N
3658379	3872	1997-12-31	PRIJEM	\N	101	24558	UROK	\N	\N
3658380	3872	1998-01-31	PRIJEM	\N	102	20435	UROK	\N	\N
3658381	3872	1998-02-28	PRIJEM	\N	107	25317	UROK	\N	\N
3658382	3872	1998-03-31	PRIJEM	\N	112	28005	UROK	\N	\N
3658383	3872	1998-04-30	PRIJEM	\N	124	28804	UROK	\N	\N
3658384	3872	1998-05-31	PRIJEM	\N	132	31112	UROK	\N	\N
3658385	3872	1998-06-30	PRIJEM	\N	137	33088	UROK	\N	\N
3658386	3872	1998-07-31	PRIJEM	\N	133	21447	UROK	\N	\N
3658387	3872	1998-08-31	PRIJEM	\N	104	23027	UROK	\N	\N
3658388	3872	1998-09-30	PRIJEM	\N	111	27714	UROK	\N	\N
3658389	3872	1998-10-31	PRIJEM	\N	138	34227	UROK	\N	\N
3658390	3872	1998-11-30	PRIJEM	\N	160	40263	UROK	\N	\N
3658391	3872	1998-12-31	PRIJEM	\N	184	44729	UROK	\N	\N
3658392	3874	1995-06-30	PRIJEM	\N	45	13433	UROK	\N	\N
3658393	3874	1995-07-31	PRIJEM	\N	107	28732	UROK	\N	\N
3658394	3874	1995-08-31	PRIJEM	\N	133	32756	UROK	\N	\N
3658395	3874	1995-09-30	PRIJEM	\N	130	39978	UROK	\N	\N
3658396	3874	1995-10-31	PRIJEM	\N	148	31256	UROK	\N	\N
3658397	3874	1995-11-30	PRIJEM	\N	122	25015	UROK	\N	\N
3658398	3874	1995-12-31	PRIJEM	\N	118	27205	UROK	\N	\N
3658399	3874	1996-01-31	PRIJEM	\N	101	17042	UROK	\N	\N
3658400	3874	1996-02-29	PRIJEM	\N	73	20592	UROK	\N	\N
3658401	3874	1996-03-31	PRIJEM	\N	95	27203	UROK	\N	\N
3658402	3874	1996-04-30	PRIJEM	\N	119	27038	UROK	\N	\N
3658403	3874	1996-05-31	PRIJEM	\N	121	31476	UROK	\N	\N
3658404	3874	1996-06-30	PRIJEM	\N	114	25662	UROK	\N	\N
3658405	3874	1996-07-31	PRIJEM	\N	115	29893	UROK	\N	\N
3658406	3874	1996-08-31	PRIJEM	\N	130	30539	UROK	\N	\N
3658407	3874	1996-09-30	PRIJEM	\N	134	33090	UROK	\N	\N
3658408	3874	1996-10-31	PRIJEM	\N	144	35250	UROK	\N	\N
3658409	3874	1996-11-30	PRIJEM	\N	147	32314	UROK	\N	\N
3658410	3874	1996-12-31	PRIJEM	\N	161	38707	UROK	\N	\N
3658411	3874	1997-01-31	PRIJEM	\N	138	23001	UROK	\N	\N
3658412	3874	1997-02-28	PRIJEM	\N	106	28723	UROK	\N	\N
3658413	3874	1997-03-31	PRIJEM	\N	134	37673	UROK	\N	\N
3658414	3874	1997-04-30	PRIJEM	\N	160	38050	UROK	\N	\N
3658415	3874	1997-05-31	PRIJEM	\N	161	37627	UROK	\N	\N
3658416	3874	1997-06-30	PRIJEM	\N	162	33822	UROK	\N	\N
3658417	3874	1997-07-31	PRIJEM	\N	147	35985	UROK	\N	\N
3658418	3874	1997-08-31	PRIJEM	\N	144	31685	UROK	\N	\N
3658419	3874	1997-09-30	PRIJEM	\N	141	35942	UROK	\N	\N
3658420	3874	1997-10-31	PRIJEM	\N	156	38814	UROK	\N	\N
3658421	3874	1997-11-30	PRIJEM	\N	151	32722	UROK	\N	\N
3658422	3874	1997-12-31	PRIJEM	\N	142	31856	UROK	\N	\N
3658423	3874	1998-01-31	PRIJEM	\N	120	25392	UROK	\N	\N
3658424	3874	1998-02-28	PRIJEM	\N	126	35735	UROK	\N	\N
3658425	3874	1998-03-31	PRIJEM	\N	164	42335	UROK	\N	\N
3658426	3874	1998-04-30	PRIJEM	\N	192	50143	UROK	\N	\N
3658427	3874	1998-05-31	PRIJEM	\N	220	55880	UROK	\N	\N
3658428	3874	1998-06-30	PRIJEM	\N	228	46960	UROK	\N	\N
3658429	3874	1998-07-31	PRIJEM	\N	212	54789	UROK	\N	\N
3658430	3874	1998-08-31	PRIJEM	\N	235	58020	UROK	\N	\N
3658431	3874	1998-09-30	PRIJEM	\N	235	51872	UROK	\N	\N
3658432	3874	1998-10-31	PRIJEM	\N	224	55912	UROK	\N	\N
3658433	3874	1998-11-30	PRIJEM	\N	232	54920	UROK	\N	\N
3658434	3874	1998-12-31	PRIJEM	\N	236	53949	UROK	\N	\N
3658435	3875	1997-11-30	PRIJEM	\N	62	32144	UROK	\N	\N
3658436	3875	1997-12-31	PRIJEM	\N	190	60157	UROK	\N	\N
3658437	3875	1998-01-31	PRIJEM	\N	254	62193	UROK	\N	\N
3658438	3875	1998-02-28	PRIJEM	\N	262	64037	UROK	\N	\N
3658439	3875	1998-03-31	PRIJEM	\N	269	57191	UROK	\N	\N
3658440	3875	1998-04-30	PRIJEM	\N	258	58403	UROK	\N	\N
3658441	3875	1998-05-31	PRIJEM	\N	264	60221	UROK	\N	\N
3658442	3875	1998-06-30	PRIJEM	\N	214	33630	UROK	\N	\N
3658443	3875	1998-07-31	PRIJEM	\N	148	31195	UROK	\N	\N
3658444	3875	1998-08-31	PRIJEM	\N	178	47827	UROK	\N	\N
3658445	3875	1998-09-30	PRIJEM	\N	166	22559	UROK	\N	\N
3658446	3875	1998-10-31	PRIJEM	\N	150	42000	UROK	\N	\N
3658447	3875	1998-11-30	PRIJEM	\N	213	56767	UROK	\N	\N
3658448	3875	1998-12-31	PRIJEM	\N	248	57910	UROK	\N	\N
3658449	3876	1994-02-28	PRIJEM	\N	7	8863	UROK	\N	\N
3658450	3876	1994-03-31	PRIJEM	\N	175	55920	UROK	\N	\N
3658451	3876	1994-04-30	PRIJEM	\N	284	79279	UROK	\N	\N
3658452	3876	1994-05-31	PRIJEM	\N	119	24894	UROK	\N	\N
3658453	3876	1994-06-30	PRIJEM	\N	233	60689	UROK	\N	\N
3658454	3876	1994-07-31	PRIJEM	\N	308	92580	UROK	\N	\N
3658455	3876	1994-08-31	PRIJEM	\N	287	45649	UROK	\N	\N
3658456	3876	1994-09-30	PRIJEM	\N	211	95314	UROK	\N	\N
3658457	3876	1994-10-31	PRIJEM	\N	315	75498	UROK	\N	\N
3658458	3876	1994-11-30	PRIJEM	\N	194	38570	UROK	\N	\N
3658459	3876	1994-12-31	PRIJEM	\N	144	29395	UROK	\N	\N
3658460	3876	1995-01-31	PRIJEM	\N	72	15696	UROK	\N	\N
3658461	3876	1995-02-28	PRIJEM	\N	57	12982	UROK	\N	\N
3658462	3876	1995-03-31	PRIJEM	\N	92	23493	UROK	\N	\N
3658463	3876	1995-04-30	PRIJEM	\N	66	13188	UROK	\N	\N
3658464	3876	1995-05-31	PRIJEM	\N	53	1171	UROK	\N	\N
3658465	3876	1995-06-30	PRIJEM	\N	5	1161	UROK	\N	\N
3658466	3876	1995-07-31	PRIJEM	\N	5	1151	UROK	\N	\N
3658467	3876	1995-08-31	PRIJEM	\N	6	8157	UROK	\N	\N
3658468	3876	1995-09-30	PRIJEM	\N	41	57813	UROK	\N	\N
3658469	3876	1995-10-31	PRIJEM	\N	137	28179	UROK	\N	\N
3658470	3876	1995-11-30	PRIJEM	\N	119	17328	UROK	\N	\N
3658471	3876	1995-12-31	PRIJEM	\N	93	20856	UROK	\N	\N
3658472	3876	1996-01-31	PRIJEM	\N	32	5817	UROK	\N	\N
3658473	3876	1996-02-29	PRIJEM	\N	24	5826	UROK	\N	\N
3658474	3876	1996-04-30	PRIJEM	\N	25	5821	UROK	\N	\N
3658475	3876	1996-04-30	PRIJEM	\N	24	5845	UROK	\N	\N
3658476	3876	1996-06-30	PRIJEM	\N	25	5840	UROK	\N	\N
3658477	3876	1996-06-30	PRIJEM	\N	24	5864	UROK	\N	\N
3658478	3876	1996-07-31	PRIJEM	\N	24	5873	UROK	\N	\N
3658479	3876	1996-09-30	PRIJEM	\N	25	5868	UROK	\N	\N
3658480	3876	1996-09-30	PRIJEM	\N	24	5892	UROK	\N	\N
3658481	3876	1996-11-30	PRIJEM	\N	25	5911	UROK	\N	\N
3658482	3876	1996-11-30	PRIJEM	\N	24	5886	UROK	\N	\N
3658483	3876	1996-12-31	PRIJEM	\N	24	5920	UROK	\N	\N
3658484	3876	1997-01-31	PRIJEM	\N	54	22558	UROK	\N	\N
3658485	3876	1997-02-28	PRIJEM	\N	91	10578	UROK	\N	\N
3658486	3876	1997-03-31	PRIJEM	\N	125	58806	UROK	\N	\N
3658487	3876	1997-04-30	PRIJEM	\N	161	21744	UROK	\N	\N
3658488	3876	1997-05-31	PRIJEM	\N	226	72408	UROK	\N	\N
3658489	3876	1997-06-30	PRIJEM	\N	389	58559	UROK	\N	\N
3658490	3876	1997-07-31	PRIJEM	\N	292	32306	UROK	\N	\N
3658491	3876	1997-08-31	PRIJEM	\N	139	67572	UROK	\N	\N
3658492	3876	1997-09-30	PRIJEM	\N	222	26623	UROK	\N	\N
3658493	3876	1997-10-31	PRIJEM	\N	160	30150	UROK	\N	\N
3658494	3876	1997-11-30	PRIJEM	\N	163	36468	UROK	\N	\N
3658495	3876	1997-12-31	PRIJEM	\N	92	30250	UROK	\N	\N
3658496	3876	1998-01-31	PRIJEM	\N	67	14646	UROK	\N	\N
3658497	3876	1998-02-28	PRIJEM	\N	68	35005	UROK	\N	\N
3658498	3876	1998-03-31	PRIJEM	\N	131	31932	UROK	\N	\N
3658499	3876	1998-04-30	PRIJEM	\N	154	26322	UROK	\N	\N
3658500	3876	1998-05-31	PRIJEM	\N	183	69948	UROK	\N	\N
3658501	3876	1998-06-30	PRIJEM	\N	334	55700	UROK	\N	\N
3658502	3876	1998-07-31	PRIJEM	\N	238	35604	UROK	\N	\N
3658503	3876	1998-08-31	PRIJEM	\N	128	55244	UROK	\N	\N
3658504	3876	1998-09-30	PRIJEM	\N	182	25755	UROK	\N	\N
3658505	3876	1998-10-31	PRIJEM	\N	103	24068	UROK	\N	\N
3658506	3876	1998-11-30	PRIJEM	\N	126	43279	UROK	\N	\N
3658507	3876	1998-12-31	PRIJEM	\N	149	65885	UROK	\N	\N
3658508	3877	1996-12-31	PRIJEM	\N	57	38857	UROK	\N	\N
3658509	3877	1997-01-31	PRIJEM	\N	172	45109	UROK	\N	\N
3658510	3877	1997-02-28	PRIJEM	\N	192	48181	UROK	\N	\N
3658511	3877	1997-03-31	PRIJEM	\N	206	51966	UROK	\N	\N
3658512	3877	1997-04-30	PRIJEM	\N	229	47750	UROK	\N	\N
3658513	3877	1997-05-31	PRIJEM	\N	209	46713	UROK	\N	\N
3658514	3877	1997-06-30	PRIJEM	\N	179	34006	UROK	\N	\N
3658515	3877	1997-07-31	PRIJEM	\N	170	44291	UROK	\N	\N
3658516	3877	1997-08-31	PRIJEM	\N	203	46848	UROK	\N	\N
3658517	3877	1997-09-30	PRIJEM	\N	211	48913	UROK	\N	\N
3658518	3877	1997-10-31	PRIJEM	\N	223	52891	UROK	\N	\N
3658519	3877	1997-11-30	PRIJEM	\N	229	52474	UROK	\N	\N
3658520	3877	1997-12-31	PRIJEM	\N	251	60920	UROK	\N	\N
3658521	3877	1998-01-31	PRIJEM	\N	243	49557	UROK	\N	\N
3658522	3877	1998-02-28	PRIJEM	\N	223	54934	UROK	\N	\N
3658523	3877	1998-03-31	PRIJEM	\N	238	57626	UROK	\N	\N
3658524	3877	1998-04-30	PRIJEM	\N	260	63640	UROK	\N	\N
3658525	3877	1998-05-31	PRIJEM	\N	277	66272	UROK	\N	\N
3658526	3877	1998-06-30	PRIJEM	\N	269	53815	UROK	\N	\N
3658527	3877	1998-07-31	PRIJEM	\N	246	61416	UROK	\N	\N
3658528	3877	1998-08-31	PRIJEM	\N	248	59018	UROK	\N	\N
3658529	3877	1998-09-30	PRIJEM	\N	253	63665	UROK	\N	\N
3658530	3877	1998-10-31	PRIJEM	\N	310	69730	UROK	\N	\N
3658531	3877	1998-11-30	PRIJEM	\N	312	78896	UROK	\N	\N
3658532	3877	1998-12-31	PRIJEM	\N	359	91950	UROK	\N	\N
3658533	3878	1994-11-30	PRIJEM	\N	41	11843	UROK	\N	\N
3658534	3878	1994-12-31	PRIJEM	\N	73	21518	UROK	\N	\N
3658535	3878	1995-01-31	PRIJEM	\N	104	26324	UROK	\N	\N
3658536	3878	1995-02-28	PRIJEM	\N	116	28141	UROK	\N	\N
3658537	3878	1995-03-31	PRIJEM	\N	102	22802	UROK	\N	\N
3658538	3878	1995-04-30	PRIJEM	\N	92	21647	UROK	\N	\N
3658539	3878	1995-05-31	PRIJEM	\N	99	23609	UROK	\N	\N
3658540	3878	1995-06-30	PRIJEM	\N	104	19526	UROK	\N	\N
3658541	3878	1995-07-31	PRIJEM	\N	96	22536	UROK	\N	\N
3658542	3878	1995-08-31	PRIJEM	\N	99	23788	UROK	\N	\N
3658543	3878	1995-09-30	PRIJEM	\N	100	22932	UROK	\N	\N
3658544	3878	1995-10-31	PRIJEM	\N	109	26594	UROK	\N	\N
3658545	3878	1995-11-30	PRIJEM	\N	98	22325	UROK	\N	\N
3658546	3878	1995-12-31	PRIJEM	\N	97	23406	UROK	\N	\N
3658547	3878	1996-01-31	PRIJEM	\N	82	19391	UROK	\N	\N
3658548	3878	1996-02-29	PRIJEM	\N	81	19226	UROK	\N	\N
3658549	3878	1996-03-31	PRIJEM	\N	77	20056	UROK	\N	\N
3658550	3878	1996-04-30	PRIJEM	\N	86	18896	UROK	\N	\N
3658551	3878	1996-05-31	PRIJEM	\N	82	18831	UROK	\N	\N
3658552	3878	1996-06-30	PRIJEM	\N	69	15653	UROK	\N	\N
3658553	3878	1996-07-31	PRIJEM	\N	65	15182	UROK	\N	\N
3658554	3878	1996-08-31	PRIJEM	\N	65	14000	UROK	\N	\N
3658555	3878	1996-09-30	PRIJEM	\N	61	13534	UROK	\N	\N
3658556	3878	1996-10-31	PRIJEM	\N	59	14807	UROK	\N	\N
3658557	3878	1996-11-30	PRIJEM	\N	66	17327	UROK	\N	\N
3658558	3878	1996-12-31	PRIJEM	\N	73	15673	UROK	\N	\N
3658559	3878	1997-01-31	PRIJEM	\N	64	12660	UROK	\N	\N
3658560	3878	1997-02-28	PRIJEM	\N	55	12068	UROK	\N	\N
3658561	3878	1997-03-31	PRIJEM	\N	56	15577	UROK	\N	\N
3658562	3878	1997-04-30	PRIJEM	\N	68	16298	UROK	\N	\N
3658563	3878	1997-05-31	PRIJEM	\N	69	15621	UROK	\N	\N
3658564	3878	1997-06-30	PRIJEM	\N	66	15260	UROK	\N	\N
3658565	3878	1997-07-31	PRIJEM	\N	64	13877	UROK	\N	\N
3658566	3878	1997-08-31	PRIJEM	\N	64	17194	UROK	\N	\N
3658567	3878	1997-09-30	PRIJEM	\N	71	15919	UROK	\N	\N
3658568	3878	1997-10-31	PRIJEM	\N	66	15858	UROK	\N	\N
3658569	3878	1997-11-30	PRIJEM	\N	71	17692	UROK	\N	\N
3658570	3878	1997-12-31	PRIJEM	\N	82	21377	UROK	\N	\N
3658571	3878	1998-01-31	PRIJEM	\N	97	24648	UROK	\N	\N
3658572	3878	1998-02-28	PRIJEM	\N	107	26648	UROK	\N	\N
3658573	3878	1998-03-31	PRIJEM	\N	113	27214	UROK	\N	\N
3658574	3878	1998-04-30	PRIJEM	\N	121	31289	UROK	\N	\N
3658575	3878	1998-05-31	PRIJEM	\N	130	30772	UROK	\N	\N
3658576	3878	1998-06-30	PRIJEM	\N	125	25690	UROK	\N	\N
3658577	3878	1998-07-31	PRIJEM	\N	109	26932	UROK	\N	\N
3658578	3878	1998-08-31	PRIJEM	\N	118	29503	UROK	\N	\N
3658579	3878	1998-09-30	PRIJEM	\N	114	25321	UROK	\N	\N
3658580	3878	1998-10-31	PRIJEM	\N	114	29088	UROK	\N	\N
3658581	3878	1998-11-30	PRIJEM	\N	112	25034	UROK	\N	\N
3658582	3878	1998-12-31	PRIJEM	\N	99	22636	UROK	\N	\N
3658583	3880	1996-11-30	PRIJEM	\N	22	25806	UROK	\N	\N
3658584	3880	1996-12-31	PRIJEM	\N	120	30157	UROK	\N	\N
3658585	3880	1997-01-31	PRIJEM	\N	105	22776	UROK	\N	\N
3658586	3880	1997-02-28	PRIJEM	\N	107	27797	UROK	\N	\N
3658587	3880	1997-03-31	PRIJEM	\N	127	29838	UROK	\N	\N
3658588	3880	1997-04-30	PRIJEM	\N	137	34889	UROK	\N	\N
3658589	3880	1997-05-31	PRIJEM	\N	152	34695	UROK	\N	\N
3658590	3880	1997-06-30	PRIJEM	\N	133	28843	UROK	\N	\N
3658591	3880	1997-07-31	PRIJEM	\N	130	31487	UROK	\N	\N
3658592	3880	1997-08-31	PRIJEM	\N	132	30813	UROK	\N	\N
3658593	3880	1997-09-30	PRIJEM	\N	138	33765	UROK	\N	\N
3658594	3880	1997-10-31	PRIJEM	\N	134	29393	UROK	\N	\N
3658595	3880	1997-11-30	PRIJEM	\N	133	33340	UROK	\N	\N
3658596	3880	1997-12-31	PRIJEM	\N	142	32647	UROK	\N	\N
3658597	3880	1998-01-31	PRIJEM	\N	131	27082	UROK	\N	\N
3658598	3880	1998-02-28	PRIJEM	\N	109	26585	UROK	\N	\N
3658599	3880	1998-03-31	PRIJEM	\N	114	28733	UROK	\N	\N
3658600	3880	1998-04-30	PRIJEM	\N	132	33779	UROK	\N	\N
3658601	3880	1998-05-31	PRIJEM	\N	146	34739	UROK	\N	\N
3658602	3880	1998-06-30	PRIJEM	\N	117	23671	UROK	\N	\N
3658603	3880	1998-07-31	PRIJEM	\N	111	28696	UROK	\N	\N
3658604	3880	1998-08-31	PRIJEM	\N	132	33742	UROK	\N	\N
3658605	3880	1998-09-30	PRIJEM	\N	143	36239	UROK	\N	\N
3658606	3880	1998-10-31	PRIJEM	\N	158	38912	UROK	\N	\N
3658607	3880	1998-11-30	PRIJEM	\N	164	39490	UROK	\N	\N
3658608	3880	1998-12-31	PRIJEM	\N	154	34408	UROK	\N	\N
3658609	3881	1996-03-31	PRIJEM	\N	18	7579	UROK	\N	\N
3658610	3881	1996-04-30	PRIJEM	\N	69	23409	UROK	\N	\N
3658611	3881	1996-05-31	PRIJEM	\N	116	30986	UROK	\N	\N
3658612	3881	1996-06-30	PRIJEM	\N	148	39276	UROK	\N	\N
3658613	3881	1996-07-31	PRIJEM	\N	161	33558	UROK	\N	\N
3658614	3881	1996-08-31	PRIJEM	\N	132	32909	UROK	\N	\N
3658615	3881	1996-09-30	PRIJEM	\N	118	27127	UROK	\N	\N
3658616	3881	1996-10-31	PRIJEM	\N	100	26386	UROK	\N	\N
3658617	3881	1996-11-30	PRIJEM	\N	113	28938	UROK	\N	\N
3658618	3881	1996-12-31	PRIJEM	\N	131	33130	UROK	\N	\N
3658619	3881	1997-01-31	PRIJEM	\N	133	25183	UROK	\N	\N
3658620	3881	1997-02-28	PRIJEM	\N	103	28406	UROK	\N	\N
3658621	3881	1997-03-31	PRIJEM	\N	121	30066	UROK	\N	\N
3658622	3881	1997-04-30	PRIJEM	\N	128	32733	UROK	\N	\N
3658623	3881	1997-05-31	PRIJEM	\N	138	32410	UROK	\N	\N
3658624	3881	1997-06-30	PRIJEM	\N	98	21589	UROK	\N	\N
3658625	3881	1997-07-31	PRIJEM	\N	92	22220	UROK	\N	\N
3658626	3881	1997-08-31	PRIJEM	\N	96	25555	UROK	\N	\N
3658627	3881	1997-09-30	PRIJEM	\N	106	28120	UROK	\N	\N
3658628	3881	1997-10-31	PRIJEM	\N	121	31581	UROK	\N	\N
3658629	3881	1997-11-30	PRIJEM	\N	124	28883	UROK	\N	\N
3658630	3881	1997-12-31	PRIJEM	\N	118	26302	UROK	\N	\N
3658631	3881	1998-01-31	PRIJEM	\N	105	15746	UROK	\N	\N
3658632	3881	1998-02-28	PRIJEM	\N	64	14750	UROK	\N	\N
3658633	3881	1998-03-31	PRIJEM	\N	63	18632	UROK	\N	\N
3658634	3881	1998-04-30	PRIJEM	\N	80	21552	UROK	\N	\N
3658635	3881	1998-05-31	PRIJEM	\N	85	22977	UROK	\N	\N
3658636	3881	1998-06-30	PRIJEM	\N	94	23931	UROK	\N	\N
3658637	3881	1998-07-31	PRIJEM	\N	102	26072	UROK	\N	\N
3658638	3881	1998-08-31	PRIJEM	\N	109	26920	UROK	\N	\N
3658639	3881	1998-09-30	PRIJEM	\N	112	28072	UROK	\N	\N
3658640	3881	1998-10-31	PRIJEM	\N	114	26924	UROK	\N	\N
3658641	3881	1998-11-30	PRIJEM	\N	115	28898	UROK	\N	\N
3658642	3881	1998-12-31	PRIJEM	\N	128	33206	UROK	\N	\N
3658643	3882	1993-07-31	PRIJEM	\N	11	3757	UROK	\N	\N
3658644	3882	1993-08-31	PRIJEM	\N	50	15852	UROK	\N	\N
3658645	3882	1993-09-30	PRIJEM	\N	81	21179	UROK	\N	\N
3658646	3882	1993-10-31	PRIJEM	\N	100	25425	UROK	\N	\N
3658647	3882	1993-11-30	PRIJEM	\N	107	25877	UROK	\N	\N
3658648	3882	1993-12-31	PRIJEM	\N	107	25901	UROK	\N	\N
3658649	3882	1994-01-31	PRIJEM	\N	95	22194	UROK	\N	\N
3658650	3882	1994-02-28	PRIJEM	\N	99	24590	UROK	\N	\N
3658651	3882	1994-03-31	PRIJEM	\N	106	26063	UROK	\N	\N
3658652	3882	1994-04-30	PRIJEM	\N	113	27843	UROK	\N	\N
3658653	3882	1994-05-31	PRIJEM	\N	104	24305	UROK	\N	\N
3658654	3882	1994-06-30	PRIJEM	\N	92	21104	UROK	\N	\N
3658655	3882	1994-07-31	PRIJEM	\N	97	24168	UROK	\N	\N
3658656	3882	1994-08-31	PRIJEM	\N	106	26342	UROK	\N	\N
3658657	3882	1994-09-30	PRIJEM	\N	101	24210	UROK	\N	\N
3658658	3882	1994-10-31	PRIJEM	\N	92	21780	UROK	\N	\N
3658659	3882	1994-11-30	PRIJEM	\N	102	25649	UROK	\N	\N
3658660	3882	1994-12-31	PRIJEM	\N	100	22967	UROK	\N	\N
3658661	3882	1995-01-31	PRIJEM	\N	90	22444	UROK	\N	\N
3658662	3882	1995-02-28	PRIJEM	\N	96	23607	UROK	\N	\N
3658663	3882	1995-03-31	PRIJEM	\N	93	22568	UROK	\N	\N
3658664	3882	1995-04-30	PRIJEM	\N	104	25539	UROK	\N	\N
3658665	3882	1995-05-31	PRIJEM	\N	96	24102	UROK	\N	\N
3658666	3882	1995-06-30	PRIJEM	\N	80	19329	UROK	\N	\N
3658667	3882	1995-07-31	PRIJEM	\N	80	20817	UROK	\N	\N
3658668	3882	1995-08-31	PRIJEM	\N	90	23974	UROK	\N	\N
3658669	3882	1995-09-30	PRIJEM	\N	96	22568	UROK	\N	\N
3658670	3882	1995-10-31	PRIJEM	\N	94	21429	UROK	\N	\N
3658671	3882	1995-11-30	PRIJEM	\N	88	18385	UROK	\N	\N
3658672	3882	1995-12-31	PRIJEM	\N	73	17256	UROK	\N	\N
3658673	3882	1996-01-31	PRIJEM	\N	63	12666	UROK	\N	\N
3658674	3882	1996-02-29	PRIJEM	\N	54	13288	UROK	\N	\N
3658675	3882	1996-03-31	PRIJEM	\N	59	16014	UROK	\N	\N
3658676	3882	1996-04-30	PRIJEM	\N	68	18249	UROK	\N	\N
3658677	3882	1996-05-31	PRIJEM	\N	78	20095	UROK	\N	\N
3658678	3882	1996-06-30	PRIJEM	\N	84	19946	UROK	\N	\N
3658679	3882	1996-07-31	PRIJEM	\N	83	19396	UROK	\N	\N
3658680	3882	1996-08-31	PRIJEM	\N	83	21046	UROK	\N	\N
3658681	3882	1996-09-30	PRIJEM	\N	86	19390	UROK	\N	\N
3658682	3882	1996-10-31	PRIJEM	\N	80	19377	UROK	\N	\N
3658683	3882	1996-11-30	PRIJEM	\N	83	21327	UROK	\N	\N
3658684	3882	1996-12-31	PRIJEM	\N	83	19608	UROK	\N	\N
3658685	3882	1997-01-31	PRIJEM	\N	75	16560	UROK	\N	\N
3658686	3882	1997-02-28	PRIJEM	\N	65	14893	UROK	\N	\N
3658687	3882	1997-03-31	PRIJEM	\N	69	19529	UROK	\N	\N
3658688	3882	1997-04-30	PRIJEM	\N	82	20909	UROK	\N	\N
3658689	3882	1997-05-31	PRIJEM	\N	91	23667	UROK	\N	\N
3658690	3882	1997-06-30	PRIJEM	\N	75	18250	UROK	\N	\N
3658691	3882	1997-07-31	PRIJEM	\N	81	21498	UROK	\N	\N
3658692	3882	1997-08-31	PRIJEM	\N	91	23006	UROK	\N	\N
3658693	3882	1997-09-30	PRIJEM	\N	103	27687	UROK	\N	\N
3658694	3882	1997-10-31	PRIJEM	\N	112	26966	UROK	\N	\N
3658695	3882	1997-11-30	PRIJEM	\N	112	27746	UROK	\N	\N
3658696	3882	1997-12-31	PRIJEM	\N	107	24870	UROK	\N	\N
3658697	3882	1998-01-31	PRIJEM	\N	93	20510	UROK	\N	\N
3658698	3882	1998-02-28	PRIJEM	\N	86	21864	UROK	\N	\N
3658699	3882	1998-03-31	PRIJEM	\N	85	20317	UROK	\N	\N
3658700	3882	1998-04-30	PRIJEM	\N	75	17359	UROK	\N	\N
3658701	3882	1998-05-31	PRIJEM	\N	72	18098	UROK	\N	\N
3658702	3882	1998-06-30	PRIJEM	\N	64	14529	UROK	\N	\N
3658703	3882	1998-07-31	PRIJEM	\N	61	15858	UROK	\N	\N
3658704	3882	1998-08-31	PRIJEM	\N	69	18194	UROK	\N	\N
3658705	3882	1998-09-30	PRIJEM	\N	89	24251	UROK	\N	\N
3658706	3882	1998-10-31	PRIJEM	\N	103	26171	UROK	\N	\N
3658707	3882	1998-11-30	PRIJEM	\N	122	31760	UROK	\N	\N
3658708	3882	1998-12-31	PRIJEM	\N	136	33813	UROK	\N	\N
3658709	3884	1996-12-31	PRIJEM	\N	44	18324	UROK	\N	\N
3658710	3884	1997-01-31	PRIJEM	\N	96	25972	UROK	\N	\N
3658711	3884	1997-02-28	PRIJEM	\N	108	25933	UROK	\N	\N
3658712	3884	1997-03-31	PRIJEM	\N	105	24891	UROK	\N	\N
3658713	3884	1997-04-30	PRIJEM	\N	101	23334	UROK	\N	\N
3658714	3884	1997-05-31	PRIJEM	\N	90	19951	UROK	\N	\N
3658715	3884	1997-06-30	PRIJEM	\N	95	23900	UROK	\N	\N
3658716	3884	1997-07-31	PRIJEM	\N	89	15956	UROK	\N	\N
3658717	3884	1997-08-31	PRIJEM	\N	78	19962	UROK	\N	\N
3658718	3884	1997-09-30	PRIJEM	\N	82	15091	UROK	\N	\N
3658719	3884	1997-10-31	PRIJEM	\N	92	20110	UROK	\N	\N
3658720	3884	1997-11-30	PRIJEM	\N	71	15908	UROK	\N	\N
3658721	3884	1997-12-31	PRIJEM	\N	59	10881	UROK	\N	\N
3658722	3884	1998-01-31	PRIJEM	\N	46	10254	UROK	\N	\N
3658723	3884	1998-02-28	PRIJEM	\N	57	13938	UROK	\N	\N
3658724	3884	1998-03-31	PRIJEM	\N	72	18237	UROK	\N	\N
3658725	3884	1998-04-30	PRIJEM	\N	62	13426	UROK	\N	\N
3658726	3884	1998-05-31	PRIJEM	\N	56	13210	UROK	\N	\N
3658727	3884	1998-06-30	PRIJEM	\N	61	14424	UROK	\N	\N
3658728	3884	1998-07-31	PRIJEM	\N	56	12708	UROK	\N	\N
3658729	3884	1998-08-31	PRIJEM	\N	61	14496	UROK	\N	\N
3658730	3884	1998-09-30	PRIJEM	\N	63	14487	UROK	\N	\N
3658731	3884	1998-10-31	PRIJEM	\N	62	13276	UROK	\N	\N
3658732	3884	1998-11-30	PRIJEM	\N	65	16769	UROK	\N	\N
3658733	3884	1998-12-31	PRIJEM	\N	88	18271	UROK	\N	\N
3658734	3885	1997-04-30	PRIJEM	\N	19	5403	UROK	\N	\N
3658735	3885	1997-05-31	PRIJEM	\N	74	20261	UROK	\N	\N
3658736	3885	1997-06-30	PRIJEM	\N	88	28925	UROK	\N	\N
3658737	3885	1997-07-31	PRIJEM	\N	101	24710	UROK	\N	\N
3658738	3885	1997-08-31	PRIJEM	\N	101	20975	UROK	\N	\N
3658739	3885	1997-09-30	PRIJEM	\N	89	24533	UROK	\N	\N
3658740	3885	1997-10-31	PRIJEM	\N	103	25505	UROK	\N	\N
3658741	3885	1997-11-30	PRIJEM	\N	107	27782	UROK	\N	\N
3658742	3885	1997-12-31	PRIJEM	\N	114	23357	UROK	\N	\N
3658743	3885	1998-01-31	PRIJEM	\N	91	16198	UROK	\N	\N
3658744	3885	1998-02-28	PRIJEM	\N	68	17835	UROK	\N	\N
3658745	3885	1998-03-31	PRIJEM	\N	76	20581	UROK	\N	\N
3658746	3885	1998-04-30	PRIJEM	\N	87	22637	UROK	\N	\N
3658747	3885	1998-05-31	PRIJEM	\N	95	24002	UROK	\N	\N
3658748	3885	1998-06-30	PRIJEM	\N	104	29568	UROK	\N	\N
3658749	3885	1998-07-31	PRIJEM	\N	122	28659	UROK	\N	\N
3658750	3885	1998-08-31	PRIJEM	\N	122	26870	UROK	\N	\N
3658751	3885	1998-09-30	PRIJEM	\N	109	24689	UROK	\N	\N
3658752	3885	1998-10-31	PRIJEM	\N	101	23359	UROK	\N	\N
3658753	3885	1998-11-30	PRIJEM	\N	95	21623	UROK	\N	\N
3658754	3885	1998-12-31	PRIJEM	\N	98	25643	UROK	\N	\N
3658755	3887	1996-06-30	PRIJEM	\N	53	16773	UROK	\N	\N
3658756	3887	1996-07-31	PRIJEM	\N	98	25591	UROK	\N	\N
3658757	3887	1996-08-31	PRIJEM	\N	117	28828	UROK	\N	\N
3658758	3887	1996-09-30	PRIJEM	\N	127	31175	UROK	\N	\N
3658759	3887	1996-10-31	PRIJEM	\N	128	30410	UROK	\N	\N
3658760	3887	1996-11-30	PRIJEM	\N	144	35547	UROK	\N	\N
3658761	3887	1996-12-31	PRIJEM	\N	148	35068	UROK	\N	\N
3658762	3887	1997-01-31	PRIJEM	\N	124	27553	UROK	\N	\N
3658763	3887	1997-02-28	PRIJEM	\N	121	29267	UROK	\N	\N
3658764	3887	1997-03-31	PRIJEM	\N	124	29684	UROK	\N	\N
3658765	3887	1997-04-30	PRIJEM	\N	131	31807	UROK	\N	\N
3658766	3887	1997-05-31	PRIJEM	\N	126	29425	UROK	\N	\N
3658767	3887	1997-06-30	PRIJEM	\N	122	25310	UROK	\N	\N
3658768	3887	1997-07-31	PRIJEM	\N	137	33119	UROK	\N	\N
3658769	3887	1997-08-31	PRIJEM	\N	160	39672	UROK	\N	\N
3658770	3887	1997-09-30	PRIJEM	\N	173	41197	UROK	\N	\N
3658771	3887	1997-10-31	PRIJEM	\N	183	46572	UROK	\N	\N
3658772	3887	1997-11-30	PRIJEM	\N	196	46761	UROK	\N	\N
3658773	3887	1997-12-31	PRIJEM	\N	196	47239	UROK	\N	\N
3658774	3887	1998-01-31	PRIJEM	\N	192	49353	UROK	\N	\N
3658775	3887	1998-02-28	PRIJEM	\N	207	47652	UROK	\N	\N
3658776	3887	1998-03-31	PRIJEM	\N	198	44353	UROK	\N	\N
3658777	3887	1998-04-30	PRIJEM	\N	185	45901	UROK	\N	\N
3658778	3887	1998-05-31	PRIJEM	\N	192	43885	UROK	\N	\N
3658779	3887	1998-06-30	PRIJEM	\N	178	40885	UROK	\N	\N
3658780	3887	1998-07-31	PRIJEM	\N	174	44351	UROK	\N	\N
3658781	3887	1998-08-31	PRIJEM	\N	188	47231	UROK	\N	\N
3658782	3887	1998-09-30	PRIJEM	\N	198	48022	UROK	\N	\N
3658783	3887	1998-10-31	PRIJEM	\N	200	47614	UROK	\N	\N
3658784	3887	1998-11-30	PRIJEM	\N	197	45603	UROK	\N	\N
3658785	3887	1998-12-31	PRIJEM	\N	188	44834	UROK	\N	\N
3658786	3889	1997-07-31	PRIJEM	\N	11	4021	UROK	\N	\N
3658787	3889	1997-08-31	PRIJEM	\N	17	6948	UROK	\N	\N
3658788	3889	1997-09-30	PRIJEM	\N	17	9875	UROK	\N	\N
3658789	3889	1997-10-31	PRIJEM	\N	17	12801	UROK	\N	\N
3658790	3889	1997-11-30	PRIJEM	\N	46	15584	UROK	\N	\N
3658791	3889	1997-12-31	PRIJEM	\N	67	15877	UROK	\N	\N
3658792	3889	1998-01-31	PRIJEM	\N	59	13561	UROK	\N	\N
3658793	3889	1998-02-28	PRIJEM	\N	59	14575	UROK	\N	\N
3658794	3889	1998-03-31	PRIJEM	\N	60	14550	UROK	\N	\N
3658795	3889	1998-04-30	PRIJEM	\N	63	14069	UROK	\N	\N
3658796	3889	1998-05-31	PRIJEM	\N	61	13985	UROK	\N	\N
3658797	3889	1998-06-30	PRIJEM	\N	59	10299	UROK	\N	\N
3658798	3889	1998-07-31	PRIJEM	\N	46	11300	UROK	\N	\N
3658799	3889	1998-08-31	PRIJEM	\N	50	12305	UROK	\N	\N
3658800	3889	1998-09-30	PRIJEM	\N	54	13315	UROK	\N	\N
3658801	3889	1998-10-31	PRIJEM	\N	58	14328	UROK	\N	\N
3658802	3889	1998-11-30	PRIJEM	\N	62	15346	UROK	\N	\N
3658803	3889	1998-12-31	PRIJEM	\N	65	15557	UROK	\N	\N
3658804	3890	1996-03-31	PRIJEM	\N	40	14341	UROK	\N	\N
3658805	3890	1996-04-30	PRIJEM	\N	79	20921	UROK	\N	\N
3658806	3890	1996-05-31	PRIJEM	\N	100	25322	UROK	\N	\N
3658807	3890	1996-06-30	PRIJEM	\N	131	33855	UROK	\N	\N
3658808	3890	1996-07-31	PRIJEM	\N	121	23410	UROK	\N	\N
3658809	3890	1996-08-31	PRIJEM	\N	99	21648	UROK	\N	\N
3658810	3890	1996-09-30	PRIJEM	\N	99	22666	UROK	\N	\N
3658811	3890	1996-10-31	PRIJEM	\N	95	19201	UROK	\N	\N
3658812	3890	1996-11-30	PRIJEM	\N	102	23822	UROK	\N	\N
3658813	3890	1996-12-31	PRIJEM	\N	90	17692	UROK	\N	\N
3658814	3890	1997-01-31	PRIJEM	\N	75	13287	UROK	\N	\N
3658815	3890	1997-02-28	PRIJEM	\N	92	21498	UROK	\N	\N
3658816	3890	1997-03-31	PRIJEM	\N	93	20010	UROK	\N	\N
3658817	3890	1997-04-30	PRIJEM	\N	94	20123	UROK	\N	\N
3658818	3890	1997-05-31	PRIJEM	\N	89	15551	UROK	\N	\N
3658819	3890	1997-06-30	PRIJEM	\N	106	25177	UROK	\N	\N
3658820	3890	1997-07-31	PRIJEM	\N	117	25373	UROK	\N	\N
3658821	3890	1997-08-31	PRIJEM	\N	136	32028	UROK	\N	\N
3658822	3890	1997-09-30	PRIJEM	\N	142	32589	UROK	\N	\N
3658823	3890	1997-10-31	PRIJEM	\N	160	37669	UROK	\N	\N
3658824	3890	1997-11-30	PRIJEM	\N	170	37598	UROK	\N	\N
3658825	3890	1997-12-31	PRIJEM	\N	177	38995	UROK	\N	\N
3658826	3890	1998-01-31	PRIJEM	\N	154	37668	UROK	\N	\N
3658827	3890	1998-02-28	PRIJEM	\N	172	39720	UROK	\N	\N
3658828	3890	1998-03-31	PRIJEM	\N	194	46133	UROK	\N	\N
3658829	3890	1998-04-30	PRIJEM	\N	205	49458	UROK	\N	\N
3658830	3890	1998-05-31	PRIJEM	\N	209	51786	UROK	\N	\N
3658831	3890	1998-06-30	PRIJEM	\N	119	32745	UROK	\N	\N
3658832	3890	1998-07-31	PRIJEM	\N	139	41304	UROK	\N	\N
3658833	3890	1998-08-31	PRIJEM	\N	180	48303	UROK	\N	\N
3658834	3890	1998-09-30	PRIJEM	\N	206	49228	UROK	\N	\N
3658835	3890	1998-10-31	PRIJEM	\N	211	52759	UROK	\N	\N
3658836	3890	1998-11-30	PRIJEM	\N	213	52552	UROK	\N	\N
3658837	3890	1998-12-31	PRIJEM	\N	219	50591	UROK	\N	\N
3658838	3891	1993-09-30	PRIJEM	\N	41	21259	UROK	\N	\N
3658839	3891	1993-10-31	PRIJEM	\N	111	32689	UROK	\N	\N
3658840	3891	1993-11-30	PRIJEM	\N	143	36049	UROK	\N	\N
3658841	3891	1993-12-31	PRIJEM	\N	164	42891	UROK	\N	\N
3658842	3891	1994-01-31	PRIJEM	\N	163	15780	UROK	\N	\N
3658843	3891	1994-02-28	PRIJEM	\N	100	25111	UROK	\N	\N
3658844	3891	1994-03-31	PRIJEM	\N	137	32980	UROK	\N	\N
3658845	3891	1994-04-30	PRIJEM	\N	153	33464	UROK	\N	\N
3658846	3891	1994-05-31	PRIJEM	\N	160	36355	UROK	\N	\N
3658847	3891	1994-06-30	PRIJEM	\N	162	24188	UROK	\N	\N
3658848	3891	1994-07-31	PRIJEM	\N	124	23923	UROK	\N	\N
3658849	3891	1994-08-31	PRIJEM	\N	124	29278	UROK	\N	\N
3658850	3891	1994-09-30	PRIJEM	\N	127	27117	UROK	\N	\N
3658851	3891	1994-10-31	PRIJEM	\N	141	34289	UROK	\N	\N
3658852	3891	1994-11-30	PRIJEM	\N	158	37278	UROK	\N	\N
3658853	3891	1994-12-31	PRIJEM	\N	174	38862	UROK	\N	\N
3658854	3891	1995-01-31	PRIJEM	\N	125	14018	UROK	\N	\N
3658855	3891	1995-02-28	PRIJEM	\N	105	23734	UROK	\N	\N
3658856	3891	1995-03-31	PRIJEM	\N	121	25987	UROK	\N	\N
3658857	3891	1995-04-30	PRIJEM	\N	142	36060	UROK	\N	\N
3658858	3891	1995-05-31	PRIJEM	\N	171	41663	UROK	\N	\N
3658859	3891	1995-06-30	PRIJEM	\N	189	36142	UROK	\N	\N
3658860	3891	1995-07-31	PRIJEM	\N	164	39557	UROK	\N	\N
3658861	3891	1995-08-31	PRIJEM	\N	186	46075	UROK	\N	\N
3658862	3891	1995-09-30	PRIJEM	\N	213	49619	UROK	\N	\N
3658863	3891	1995-10-31	PRIJEM	\N	222	51472	UROK	\N	\N
3658864	3891	1995-11-30	PRIJEM	\N	197	45980	UROK	\N	\N
3658865	3891	1995-12-31	PRIJEM	\N	186	41877	UROK	\N	\N
3658866	3891	1996-01-31	PRIJEM	\N	179	26947	UROK	\N	\N
3658867	3891	1996-02-29	PRIJEM	\N	155	37553	UROK	\N	\N
3658868	3891	1996-03-31	PRIJEM	\N	179	44404	UROK	\N	\N
3658869	3891	1996-04-30	PRIJEM	\N	203	49938	UROK	\N	\N
3658870	3891	1996-05-31	PRIJEM	\N	223	54592	UROK	\N	\N
3658871	3891	1996-06-30	PRIJEM	\N	186	20448	UROK	\N	\N
3658872	3891	1996-07-31	PRIJEM	\N	143	37322	UROK	\N	\N
3658873	3891	1996-08-31	PRIJEM	\N	186	46640	UROK	\N	\N
3658874	3891	1996-09-30	PRIJEM	\N	204	48896	UROK	\N	\N
3658875	3891	1996-10-31	PRIJEM	\N	229	53976	UROK	\N	\N
3658876	3891	1996-11-30	PRIJEM	\N	231	58638	UROK	\N	\N
3658877	3891	1996-12-31	PRIJEM	\N	263	48611	UROK	\N	\N
3658878	3891	1997-01-31	PRIJEM	\N	147	32669	UROK	\N	\N
3658879	3891	1997-02-28	PRIJEM	\N	166	40806	UROK	\N	\N
3658880	3891	1997-03-31	PRIJEM	\N	196	43634	UROK	\N	\N
3658881	3891	1997-04-30	PRIJEM	\N	211	46757	UROK	\N	\N
3658882	3891	1997-05-31	PRIJEM	\N	232	48720	UROK	\N	\N
3658883	3891	1997-06-30	PRIJEM	\N	165	35875	UROK	\N	\N
3658884	3891	1997-07-31	PRIJEM	\N	188	44294	UROK	\N	\N
3658885	3891	1997-08-31	PRIJEM	\N	220	48445	UROK	\N	\N
3658886	3891	1997-09-30	PRIJEM	\N	237	54114	UROK	\N	\N
3658887	3891	1997-10-31	PRIJEM	\N	254	52200	UROK	\N	\N
3658888	3891	1997-11-30	PRIJEM	\N	248	52979	UROK	\N	\N
3658889	3891	1997-12-31	PRIJEM	\N	271	54760	UROK	\N	\N
3658890	3891	1998-01-31	PRIJEM	\N	231	42302	UROK	\N	\N
3658891	3891	1998-02-28	PRIJEM	\N	212	51546	UROK	\N	\N
3658892	3891	1998-03-31	PRIJEM	\N	243	57500	UROK	\N	\N
3658893	3891	1998-04-30	PRIJEM	\N	267	60679	UROK	\N	\N
3658894	3891	1998-05-31	PRIJEM	\N	289	70199	UROK	\N	\N
3658895	3891	1998-06-30	PRIJEM	\N	321	64350	UROK	\N	\N
3658896	3891	1998-07-31	PRIJEM	\N	300	71382	UROK	\N	\N
3658897	3891	1998-08-31	PRIJEM	\N	321	74394	UROK	\N	\N
3658898	3891	1998-09-30	PRIJEM	\N	332	76277	UROK	\N	\N
3658899	3891	1998-10-31	PRIJEM	\N	330	78218	UROK	\N	\N
3658900	3891	1998-11-30	PRIJEM	\N	352	83082	UROK	\N	\N
3658901	3891	1998-12-31	PRIJEM	\N	376	86489	UROK	\N	\N
3658902	3892	1994-03-31	PRIJEM	\N	47	15394	UROK	\N	\N
3658903	3892	1994-04-30	PRIJEM	\N	65	15243	UROK	\N	\N
3658904	3892	1994-05-31	PRIJEM	\N	67	16415	UROK	\N	\N
3658905	3892	1994-06-30	PRIJEM	\N	48	9497	UROK	\N	\N
3658906	3892	1994-07-31	PRIJEM	\N	43	10645	UROK	\N	\N
3658907	3892	1994-08-31	PRIJEM	\N	53	11322	UROK	\N	\N
3658908	3892	1994-09-30	PRIJEM	\N	51	12477	UROK	\N	\N
3658909	3892	1994-10-31	PRIJEM	\N	52	12344	UROK	\N	\N
3658910	3892	1994-11-30	PRIJEM	\N	54	12392	UROK	\N	\N
3658911	3892	1994-12-31	PRIJEM	\N	55	12771	UROK	\N	\N
3658912	3892	1995-01-31	PRIJEM	\N	54	11079	UROK	\N	\N
3658913	3892	1995-02-28	PRIJEM	\N	49	12233	UROK	\N	\N
3658914	3892	1995-03-31	PRIJEM	\N	54	13391	UROK	\N	\N
3658915	3892	1995-04-30	PRIJEM	\N	57	12492	UROK	\N	\N
3658916	3892	1995-05-31	PRIJEM	\N	53	12120	UROK	\N	\N
3658917	3892	1995-06-30	PRIJEM	\N	48	9372	UROK	\N	\N
3658918	3892	1995-07-31	PRIJEM	\N	42	10519	UROK	\N	\N
3658919	3892	1995-08-31	PRIJEM	\N	43	9766	UROK	\N	\N
3658920	3892	1995-09-30	PRIJEM	\N	42	9653	UROK	\N	\N
3658921	3892	1995-10-31	PRIJEM	\N	43	10800	UROK	\N	\N
3658922	3892	1995-11-30	PRIJEM	\N	48	11953	UROK	\N	\N
3658923	3892	1995-12-31	PRIJEM	\N	51	11398	UROK	\N	\N
3658924	3892	1996-01-31	PRIJEM	\N	43	9216	UROK	\N	\N
3658925	3892	1996-02-29	PRIJEM	\N	39	8790	UROK	\N	\N
3658926	3892	1996-03-31	PRIJEM	\N	40	9934	UROK	\N	\N
3658927	3892	1996-04-30	PRIJEM	\N	44	10722	UROK	\N	\N
3658928	3892	1996-05-31	PRIJEM	\N	48	11875	UROK	\N	\N
3658929	3892	1996-06-30	PRIJEM	\N	34	4343	UROK	\N	\N
3658930	3892	1996-07-31	PRIJEM	\N	21	5469	UROK	\N	\N
3658931	3892	1996-08-31	PRIJEM	\N	23	5636	UROK	\N	\N
3658932	3892	1996-09-30	PRIJEM	\N	26	6767	UROK	\N	\N
3658933	3892	1996-10-31	PRIJEM	\N	31	7903	UROK	\N	\N
3658934	3892	1996-11-30	PRIJEM	\N	36	9043	UROK	\N	\N
3658935	3892	1996-12-31	PRIJEM	\N	35	8172	UROK	\N	\N
3658936	3892	1997-01-31	PRIJEM	\N	32	5589	UROK	\N	\N
3658937	3892	1997-02-28	PRIJEM	\N	23	5576	UROK	\N	\N
3658938	3892	1997-03-31	PRIJEM	\N	26	6706	UROK	\N	\N
3658939	3892	1997-04-30	PRIJEM	\N	31	7842	UROK	\N	\N
3658940	3892	1997-05-31	PRIJEM	\N	36	8981	UROK	\N	\N
3658941	3892	1997-06-30	PRIJEM	\N	18	3113	UROK	\N	\N
3658942	3892	1997-07-31	PRIJEM	\N	16	4233	UROK	\N	\N
3658943	3892	1997-08-31	PRIJEM	\N	20	5358	UROK	\N	\N
3658944	3892	1997-09-30	PRIJEM	\N	19	5102	UROK	\N	\N
3658945	3892	1997-10-31	PRIJEM	\N	21	4667	UROK	\N	\N
3658946	3892	1997-11-30	PRIJEM	\N	22	5793	UROK	\N	\N
3658947	3892	1997-12-31	PRIJEM	\N	28	6746	UROK	\N	\N
3658948	3892	1998-01-31	PRIJEM	\N	22	3853	UROK	\N	\N
3658949	3892	1998-02-28	PRIJEM	\N	19	4975	UROK	\N	\N
3658950	3892	1998-03-31	PRIJEM	\N	23	6103	UROK	\N	\N
3658951	3892	1998-04-30	PRIJEM	\N	28	7235	UROK	\N	\N
3658952	3892	1998-05-31	PRIJEM	\N	33	8372	UROK	\N	\N
3658953	3892	1998-06-30	PRIJEM	\N	32	6569	UROK	\N	\N
3658954	3892	1998-07-31	PRIJEM	\N	30	7703	UROK	\N	\N
3658955	3892	1998-08-31	PRIJEM	\N	35	8842	UROK	\N	\N
3658956	3892	1998-09-30	PRIJEM	\N	37	8753	UROK	\N	\N
3658957	3892	1998-10-31	PRIJEM	\N	38	9716	UROK	\N	\N
3658958	3892	1998-11-30	PRIJEM	\N	43	10863	UROK	\N	\N
3658959	3892	1998-12-31	PRIJEM	\N	46	11383	UROK	\N	\N
3658960	3893	1997-01-31	PRIJEM	\N	14	12567	UROK	\N	\N
3658961	3893	1997-02-28	PRIJEM	\N	64	22084	UROK	\N	\N
3658962	3893	1997-03-31	PRIJEM	\N	84	18821	UROK	\N	\N
3658963	3893	1997-04-30	PRIJEM	\N	88	22361	UROK	\N	\N
3658964	3893	1997-05-31	PRIJEM	\N	97	22476	UROK	\N	\N
3658965	3893	1997-06-30	PRIJEM	\N	93	21589	UROK	\N	\N
3658966	3893	1997-07-31	PRIJEM	\N	93	22685	UROK	\N	\N
3658967	3893	1997-08-31	PRIJEM	\N	103	22992	UROK	\N	\N
3658968	3893	1997-09-30	PRIJEM	\N	96	23292	UROK	\N	\N
3658969	3893	1997-10-31	PRIJEM	\N	100	24595	UROK	\N	\N
3658970	3893	1997-11-30	PRIJEM	\N	86	14504	UROK	\N	\N
3658971	3893	1997-12-31	PRIJEM	\N	75	19859	UROK	\N	\N
3658972	3893	1998-01-31	PRIJEM	\N	64	13066	UROK	\N	\N
3658973	3893	1998-02-28	PRIJEM	\N	68	18638	UROK	\N	\N
3658974	3893	1998-03-31	PRIJEM	\N	82	20323	UROK	\N	\N
3658975	3893	1998-04-30	PRIJEM	\N	78	16444	UROK	\N	\N
3658976	3893	1998-05-31	PRIJEM	\N	90	24437	UROK	\N	\N
3658977	3893	1998-06-30	PRIJEM	\N	99	22476	UROK	\N	\N
3658978	3893	1998-07-31	PRIJEM	\N	102	20662	UROK	\N	\N
3658979	3893	1998-08-31	PRIJEM	\N	93	23458	UROK	\N	\N
3658980	3893	1998-09-30	PRIJEM	\N	117	29479	UROK	\N	\N
3658981	3893	1998-10-31	PRIJEM	\N	125	27607	UROK	\N	\N
3658982	3893	1998-11-30	PRIJEM	\N	129	30340	UROK	\N	\N
3658983	3893	1998-12-31	PRIJEM	\N	125	28325	UROK	\N	\N
3658984	3894	1996-12-31	PRIJEM	\N	21	19625	UROK	\N	\N
3658985	3894	1997-01-31	PRIJEM	\N	86	22879	UROK	\N	\N
3658986	3894	1997-02-28	PRIJEM	\N	96	22797	UROK	\N	\N
3658987	3894	1997-03-31	PRIJEM	\N	104	25288	UROK	\N	\N
3658988	3894	1997-04-30	PRIJEM	\N	106	25121	UROK	\N	\N
3658989	3894	1997-05-31	PRIJEM	\N	111	25820	UROK	\N	\N
3658990	3894	1997-06-30	PRIJEM	\N	95	21153	UROK	\N	\N
3658991	3894	1997-07-31	PRIJEM	\N	98	24738	UROK	\N	\N
3658992	3894	1997-08-31	PRIJEM	\N	113	28339	UROK	\N	\N
3658993	3894	1997-09-30	PRIJEM	\N	128	31954	UROK	\N	\N
3658994	3894	1997-10-31	PRIJEM	\N	141	34383	UROK	\N	\N
3658995	3894	1997-11-30	PRIJEM	\N	151	36521	UROK	\N	\N
3658996	3894	1997-12-31	PRIJEM	\N	155	35763	UROK	\N	\N
3658997	3894	1998-01-31	PRIJEM	\N	143	32243	UROK	\N	\N
3658998	3894	1998-02-28	PRIJEM	\N	144	35874	UROK	\N	\N
3658999	3894	1998-03-31	PRIJEM	\N	159	39521	UROK	\N	\N
3659000	3894	1998-04-30	PRIJEM	\N	174	42782	UROK	\N	\N
3659001	3894	1998-05-31	PRIJEM	\N	186	45256	UROK	\N	\N
3659002	3894	1998-06-30	PRIJEM	\N	186	37129	UROK	\N	\N
3659003	3894	1998-07-31	PRIJEM	\N	165	40781	UROK	\N	\N
3659004	3894	1998-08-31	PRIJEM	\N	180	44448	UROK	\N	\N
3659005	3894	1998-09-30	PRIJEM	\N	195	48130	UROK	\N	\N
3659006	3894	1998-10-31	PRIJEM	\N	208	50785	UROK	\N	\N
3659007	3894	1998-11-30	PRIJEM	\N	218	49930	UROK	\N	\N
3659008	3894	1998-12-31	PRIJEM	\N	215	52633	UROK	\N	\N
3659009	3895	1995-08-31	PRIJEM	\N	54	22171	UROK	\N	\N
3659010	3895	1995-09-30	PRIJEM	\N	117	32905	UROK	\N	\N
3659011	3895	1995-10-31	PRIJEM	\N	148	37770	UROK	\N	\N
3659012	3895	1995-11-30	PRIJEM	\N	172	44059	UROK	\N	\N
3659013	3895	1995-12-31	PRIJEM	\N	200	51184	UROK	\N	\N
3659014	3895	1996-01-31	PRIJEM	\N	153	24305	UROK	\N	\N
3659015	3895	1996-02-29	PRIJEM	\N	109	28802	UROK	\N	\N
3659016	3895	1996-03-31	PRIJEM	\N	129	33280	UROK	\N	\N
3659017	3895	1996-04-30	PRIJEM	\N	135	34023	UROK	\N	\N
3659018	3895	1996-05-31	PRIJEM	\N	130	29101	UROK	\N	\N
3659019	3895	1996-06-30	PRIJEM	\N	129	33927	UROK	\N	\N
3659020	3895	1996-07-31	PRIJEM	\N	114	24289	UROK	\N	\N
3659021	3895	1996-08-31	PRIJEM	\N	105	27182	UROK	\N	\N
3659022	3895	1996-09-30	PRIJEM	\N	120	31291	UROK	\N	\N
3659023	3895	1996-10-31	PRIJEM	\N	128	32207	UROK	\N	\N
3659024	3895	1996-11-30	PRIJEM	\N	134	33829	UROK	\N	\N
3659025	3895	1996-12-31	PRIJEM	\N	126	34132	UROK	\N	\N
3659026	3895	1997-01-31	PRIJEM	\N	98	20559	UROK	\N	\N
3659027	3895	1997-02-28	PRIJEM	\N	93	25240	UROK	\N	\N
3659028	3895	1997-03-31	PRIJEM	\N	111	29039	UROK	\N	\N
3659029	3895	1997-04-30	PRIJEM	\N	117	29345	UROK	\N	\N
3659030	3895	1997-05-31	PRIJEM	\N	127	32760	UROK	\N	\N
3659031	3895	1997-06-30	PRIJEM	\N	137	33314	UROK	\N	\N
3659032	3895	1997-07-31	PRIJEM	\N	133	33035	UROK	\N	\N
3659033	3895	1997-08-31	PRIJEM	\N	125	26608	UROK	\N	\N
3659034	3895	1997-09-30	PRIJEM	\N	117	30613	UROK	\N	\N
3659035	3895	1997-10-31	PRIJEM	\N	115	28317	UROK	\N	\N
3659036	3895	1997-11-30	PRIJEM	\N	98	25983	UROK	\N	\N
3659037	3895	1997-12-31	PRIJEM	\N	89	19568	UROK	\N	\N
3659038	3895	1998-01-31	PRIJEM	\N	78	16495	UROK	\N	\N
3659039	3895	1998-02-28	PRIJEM	\N	80	22563	UROK	\N	\N
3659040	3895	1998-03-31	PRIJEM	\N	73	15124	UROK	\N	\N
3659041	3895	1998-04-30	PRIJEM	\N	75	17688	UROK	\N	\N
3659042	3895	1998-05-31	PRIJEM	\N	83	14560	UROK	\N	\N
3659043	3895	1998-06-30	PRIJEM	\N	82	16739	UROK	\N	\N
3659044	3895	1998-07-31	PRIJEM	\N	83	22810	UROK	\N	\N
3659045	3895	1998-08-31	PRIJEM	\N	108	28907	UROK	\N	\N
3659046	3895	1998-09-30	PRIJEM	\N	133	35028	UROK	\N	\N
3659047	3895	1998-10-31	PRIJEM	\N	138	15155	UROK	\N	\N
3659048	3895	1998-11-30	PRIJEM	\N	76	21219	UROK	\N	\N
3659049	3895	1998-12-31	PRIJEM	\N	103	29319	UROK	\N	\N
3659050	3896	1995-09-30	PRIJEM	\N	55	26602	UROK	\N	\N
3659051	3896	1995-10-31	PRIJEM	\N	142	41392	UROK	\N	\N
3659052	3896	1995-11-30	PRIJEM	\N	190	49729	UROK	\N	\N
3659053	3896	1995-12-31	PRIJEM	\N	233	61582	UROK	\N	\N
3659054	3896	1996-01-31	PRIJEM	\N	228	32812	UROK	\N	\N
3659055	3896	1996-02-29	PRIJEM	\N	161	38862	UROK	\N	\N
3659056	3896	1996-03-31	PRIJEM	\N	190	44840	UROK	\N	\N
3659057	3896	1996-04-30	PRIJEM	\N	178	29168	UROK	\N	\N
3659058	3896	1996-05-31	PRIJEM	\N	161	40917	UROK	\N	\N
3659059	3896	1996-06-30	PRIJEM	\N	136	27115	UROK	\N	\N
3659060	3896	1996-07-31	PRIJEM	\N	157	41672	UROK	\N	\N
3659061	3896	1996-08-31	PRIJEM	\N	192	47852	UROK	\N	\N
3659062	3896	1996-09-30	PRIJEM	\N	154	27383	UROK	\N	\N
3659063	3896	1996-10-31	PRIJEM	\N	135	24451	UROK	\N	\N
3659064	3896	1996-11-30	PRIJEM	\N	199	58639	UROK	\N	\N
3659065	3896	1996-12-31	PRIJEM	\N	297	69616	UROK	\N	\N
3659066	3896	1997-01-31	PRIJEM	\N	313	63097	UROK	\N	\N
3659067	3896	1997-02-28	PRIJEM	\N	289	59154	UROK	\N	\N
3659068	3896	1997-03-31	PRIJEM	\N	302	79444	UROK	\N	\N
3659069	3896	1997-04-30	PRIJEM	\N	338	82738	UROK	\N	\N
3659070	3896	1997-05-31	PRIJEM	\N	352	89607	UROK	\N	\N
3659071	3896	1997-06-30	PRIJEM	\N	362	90735	UROK	\N	\N
3659072	3896	1997-07-31	PRIJEM	\N	352	73407	UROK	\N	\N
3659073	3896	1997-08-31	PRIJEM	\N	361	93357	UROK	\N	\N
3659074	3896	1997-09-30	PRIJEM	\N	373	95818	UROK	\N	\N
3659075	3896	1997-10-31	PRIJEM	\N	387	99193	UROK	\N	\N
3659076	3896	1997-11-30	PRIJEM	\N	401	102782	UROK	\N	\N
3659077	3896	1997-12-31	PRIJEM	\N	362	72431	UROK	\N	\N
3659078	3896	1998-01-31	PRIJEM	\N	296	62916	UROK	\N	\N
3659079	3896	1998-02-28	PRIJEM	\N	301	75498	UROK	\N	\N
3659080	3896	1998-03-31	PRIJEM	\N	338	88825	UROK	\N	\N
3659081	3896	1998-04-30	PRIJEM	\N	373	96686	UROK	\N	\N
3659082	3896	1998-05-31	PRIJEM	\N	380	97254	UROK	\N	\N
3659083	3896	1998-06-30	PRIJEM	\N	191	30406	UROK	\N	\N
3659084	3896	1998-07-31	PRIJEM	\N	208	53032	UROK	\N	\N
3659085	3896	1998-08-31	PRIJEM	\N	262	72183	UROK	\N	\N
3659086	3896	1998-09-30	PRIJEM	\N	282	73853	UROK	\N	\N
3659087	3896	1998-10-31	PRIJEM	\N	294	52736	UROK	\N	\N
3659088	3896	1998-11-30	PRIJEM	\N	289	50314	UROK	\N	\N
3659089	3896	1998-12-31	PRIJEM	\N	246	68701	UROK	\N	\N
3659090	3897	1997-05-31	PRIJEM	\N	60	28014	UROK	\N	\N
3659091	3897	1997-06-30	PRIJEM	\N	159	47254	UROK	\N	\N
3659092	3897	1997-07-31	PRIJEM	\N	213	54621	UROK	\N	\N
3659093	3897	1997-08-31	PRIJEM	\N	227	54902	UROK	\N	\N
3659094	3897	1997-09-30	PRIJEM	\N	231	56288	UROK	\N	\N
3659095	3897	1997-10-31	PRIJEM	\N	222	50799	UROK	\N	\N
3659096	3897	1997-11-30	PRIJEM	\N	253	50741	UROK	\N	\N
3659097	3897	1997-12-31	PRIJEM	\N	213	51491	UROK	\N	\N
3659098	3897	1998-01-31	PRIJEM	\N	200	47381	UROK	\N	\N
3659099	3897	1998-02-28	PRIJEM	\N	219	57789	UROK	\N	\N
3659100	3897	1998-03-31	PRIJEM	\N	222	51000	UROK	\N	\N
3659101	3897	1998-04-30	PRIJEM	\N	233	59023	UROK	\N	\N
3659102	3897	1998-05-31	PRIJEM	\N	274	70386	UROK	\N	\N
3659103	3897	1998-06-30	PRIJEM	\N	304	78667	UROK	\N	\N
3659104	3897	1998-07-31	PRIJEM	\N	303	74759	UROK	\N	\N
3659105	3897	1998-08-31	PRIJEM	\N	297	74846	UROK	\N	\N
3659106	3897	1998-09-30	PRIJEM	\N	288	71124	UROK	\N	\N
3659107	3897	1998-10-31	PRIJEM	\N	287	72300	UROK	\N	\N
3659108	3897	1998-11-30	PRIJEM	\N	297	76087	UROK	\N	\N
3659109	3897	1998-12-31	PRIJEM	\N	327	87150	UROK	\N	\N
3659110	3898	1994-06-30	PRIJEM	\N	95	25555	UROK	\N	\N
3659111	3898	1994-07-31	PRIJEM	\N	114	26954	UROK	\N	\N
3659112	3898	1994-08-31	PRIJEM	\N	113	27097	UROK	\N	\N
3659113	3898	1994-09-30	PRIJEM	\N	119	26347	UROK	\N	\N
3659114	3898	1994-10-31	PRIJEM	\N	121	29818	UROK	\N	\N
3659115	3898	1994-11-30	PRIJEM	\N	121	28890	UROK	\N	\N
3659116	3898	1994-12-31	PRIJEM	\N	125	29715	UROK	\N	\N
3659117	3898	1995-01-31	PRIJEM	\N	126	25931	UROK	\N	\N
3659118	3898	1995-02-28	PRIJEM	\N	108	25150	UROK	\N	\N
3659119	3898	1995-03-31	PRIJEM	\N	110	26710	UROK	\N	\N
3659120	3898	1995-04-30	PRIJEM	\N	125	30986	UROK	\N	\N
3659121	3898	1995-05-31	PRIJEM	\N	121	28557	UROK	\N	\N
3659122	3898	1995-06-30	PRIJEM	\N	109	23556	UROK	\N	\N
3659123	3898	1995-07-31	PRIJEM	\N	112	27718	UROK	\N	\N
3659124	3898	1995-08-31	PRIJEM	\N	112	27161	UROK	\N	\N
3659125	3898	1995-09-30	PRIJEM	\N	110	27821	UROK	\N	\N
3659126	3898	1995-10-31	PRIJEM	\N	99	22351	UROK	\N	\N
3659127	3898	1995-11-30	PRIJEM	\N	106	24007	UROK	\N	\N
3659128	3898	1995-12-31	PRIJEM	\N	109	24866	UROK	\N	\N
3659129	3898	1996-01-31	PRIJEM	\N	99	20495	UROK	\N	\N
3659130	3898	1996-02-29	PRIJEM	\N	96	20042	UROK	\N	\N
3659131	3898	1996-03-31	PRIJEM	\N	95	20287	UROK	\N	\N
3659132	3898	1996-04-30	PRIJEM	\N	96	21833	UROK	\N	\N
3659133	3898	1996-05-31	PRIJEM	\N	97	18361	UROK	\N	\N
3659134	3898	1996-06-30	PRIJEM	\N	80	19491	UROK	\N	\N
3659135	3898	1996-07-31	PRIJEM	\N	94	22835	UROK	\N	\N
3659136	3898	1996-08-31	PRIJEM	\N	102	20387	UROK	\N	\N
3659137	3898	1996-09-30	PRIJEM	\N	94	19911	UROK	\N	\N
3659138	3898	1996-10-31	PRIJEM	\N	95	23156	UROK	\N	\N
3659139	3898	1996-11-30	PRIJEM	\N	100	21247	UROK	\N	\N
3659140	3898	1996-12-31	PRIJEM	\N	101	25148	UROK	\N	\N
3659141	3898	1997-01-31	PRIJEM	\N	95	18854	UROK	\N	\N
3659142	3898	1997-02-28	PRIJEM	\N	76	14300	UROK	\N	\N
3659143	3898	1997-03-31	PRIJEM	\N	72	18623	UROK	\N	\N
3659144	3898	1997-04-30	PRIJEM	\N	90	22963	UROK	\N	\N
3659145	3898	1997-05-31	PRIJEM	\N	108	27322	UROK	\N	\N
3659146	3898	1997-06-30	PRIJEM	\N	126	31698	UROK	\N	\N
3659147	3898	1997-07-31	PRIJEM	\N	145	36093	UROK	\N	\N
3659148	3898	1997-08-31	PRIJEM	\N	162	40506	UROK	\N	\N
3659149	3898	1997-09-30	PRIJEM	\N	168	41724	UROK	\N	\N
3659150	3898	1997-10-31	PRIJEM	\N	186	46161	UROK	\N	\N
3659151	3898	1997-11-30	PRIJEM	\N	201	48112	UROK	\N	\N
3659152	3898	1997-12-31	PRIJEM	\N	201	46563	UROK	\N	\N
3659153	3898	1998-01-31	PRIJEM	\N	193	43247	UROK	\N	\N
3659154	3898	1998-02-28	PRIJEM	\N	192	47689	UROK	\N	\N
3659155	3898	1998-03-31	PRIJEM	\N	211	52150	UROK	\N	\N
3659156	3898	1998-04-30	PRIJEM	\N	229	56629	UROK	\N	\N
3659157	3898	1998-05-31	PRIJEM	\N	242	58422	UROK	\N	\N
3659158	3898	1998-06-30	PRIJEM	\N	252	61625	UROK	\N	\N
3659159	3898	1998-07-31	PRIJEM	\N	268	66143	UROK	\N	\N
3659160	3898	1998-08-31	PRIJEM	\N	270	65704	UROK	\N	\N
3659161	3898	1998-09-30	PRIJEM	\N	285	70239	UROK	\N	\N
3659162	3898	1998-10-31	PRIJEM	\N	304	74793	UROK	\N	\N
3659163	3898	1998-11-30	PRIJEM	\N	321	78005	UROK	\N	\N
3659164	3898	1998-12-31	PRIJEM	\N	335	81940	UROK	\N	\N
3659165	3899	1996-07-31	PRIJEM	\N	22	23110	UROK	\N	\N
3659166	3899	1996-08-31	PRIJEM	\N	109	34907	UROK	\N	\N
3659167	3899	1996-09-30	PRIJEM	\N	153	42047	UROK	\N	\N
3659168	3899	1996-10-31	PRIJEM	\N	181	47116	UROK	\N	\N
3659169	3899	1996-11-30	PRIJEM	\N	231	47866	UROK	\N	\N
3659170	3899	1996-12-31	PRIJEM	\N	259	53673	UROK	\N	\N
3659171	3899	1997-01-31	PRIJEM	\N	232	43209	UROK	\N	\N
3659172	3899	1997-02-28	PRIJEM	\N	207	45320	UROK	\N	\N
3659173	3899	1997-03-31	PRIJEM	\N	225	50749	UROK	\N	\N
3659174	3899	1997-04-30	PRIJEM	\N	245	52699	UROK	\N	\N
3659175	3899	1997-05-31	PRIJEM	\N	254	55357	UROK	\N	\N
3659176	3899	1997-06-30	PRIJEM	\N	238	50744	UROK	\N	\N
3659177	3899	1997-07-31	PRIJEM	\N	252	58500	UROK	\N	\N
3659178	3899	1997-08-31	PRIJEM	\N	274	61278	UROK	\N	\N
3659179	3899	1997-09-30	PRIJEM	\N	280	61362	UROK	\N	\N
3659180	3899	1997-10-31	PRIJEM	\N	285	64451	UROK	\N	\N
3659181	3899	1997-11-30	PRIJEM	\N	299	68854	UROK	\N	\N
3659182	3899	1997-12-31	PRIJEM	\N	329	72232	UROK	\N	\N
3659183	3899	1998-01-31	PRIJEM	\N	289	61825	UROK	\N	\N
3659184	3899	1998-02-28	PRIJEM	\N	281	64510	UROK	\N	\N
3659185	3899	1998-03-31	PRIJEM	\N	293	66408	UROK	\N	\N
3659186	3899	1998-04-30	PRIJEM	\N	298	67611	UROK	\N	\N
3659187	3899	1998-05-31	PRIJEM	\N	291	63606	UROK	\N	\N
3659188	3899	1998-06-30	PRIJEM	\N	270	49424	UROK	\N	\N
3659189	3899	1998-07-31	PRIJEM	\N	218	46747	UROK	\N	\N
3659190	3899	1998-08-31	PRIJEM	\N	208	46359	UROK	\N	\N
3659191	3899	1998-09-30	PRIJEM	\N	204	45766	UROK	\N	\N
3659192	3899	1998-10-31	PRIJEM	\N	192	42263	UROK	\N	\N
3659193	3899	1998-11-30	PRIJEM	\N	184	41651	UROK	\N	\N
3659194	3899	1998-12-31	PRIJEM	\N	197	44297	UROK	\N	\N
3659195	3901	1997-09-30	PRIJEM	\N	5	19116	UROK	\N	\N
3659196	3901	1997-10-31	PRIJEM	\N	84	29711	UROK	\N	\N
3659197	3901	1997-11-30	PRIJEM	\N	127	38749	UROK	\N	\N
3659198	3901	1997-12-31	PRIJEM	\N	168	50933	UROK	\N	\N
3659199	3901	1998-01-31	PRIJEM	\N	220	42964	UROK	\N	\N
3659200	3901	1998-02-28	PRIJEM	\N	180	46340	UROK	\N	\N
3659201	3901	1998-03-31	PRIJEM	\N	221	47557	UROK	\N	\N
3659202	3901	1998-04-30	PRIJEM	\N	242	46995	UROK	\N	\N
3659203	3901	1998-05-31	PRIJEM	\N	196	47888	UROK	\N	\N
3659204	3901	1998-06-30	PRIJEM	\N	247	53537	UROK	\N	\N
3659205	3901	1998-07-31	PRIJEM	\N	225	56358	UROK	\N	\N
3659206	3901	1998-08-31	PRIJEM	\N	235	57290	UROK	\N	\N
3659207	3901	1998-09-30	PRIJEM	\N	241	60227	UROK	\N	\N
3659208	3901	1998-10-31	PRIJEM	\N	252	61576	UROK	\N	\N
3659209	3901	1998-11-30	PRIJEM	\N	255	60427	UROK	\N	\N
3659210	3901	1998-12-31	PRIJEM	\N	285	59313	UROK	\N	\N
3659211	3902	1995-09-30	PRIJEM	\N	62	18515	UROK	\N	\N
3659212	3902	1995-10-31	PRIJEM	\N	101	25769	UROK	\N	\N
3659213	3902	1995-11-30	PRIJEM	\N	144	36865	UROK	\N	\N
3659214	3902	1995-12-31	PRIJEM	\N	176	43621	UROK	\N	\N
3659215	3902	1996-01-31	PRIJEM	\N	151	29550	UROK	\N	\N
3659216	3902	1996-02-29	PRIJEM	\N	124	27678	UROK	\N	\N
3659217	3902	1996-03-31	PRIJEM	\N	113	24994	UROK	\N	\N
3659218	3902	1996-04-30	PRIJEM	\N	118	25716	UROK	\N	\N
3659219	3902	1996-05-31	PRIJEM	\N	127	29406	UROK	\N	\N
3659220	3902	1996-06-30	PRIJEM	\N	153	20609	UROK	\N	\N
3659221	3902	1996-07-31	PRIJEM	\N	101	23813	UROK	\N	\N
3659222	3902	1996-08-31	PRIJEM	\N	138	30155	UROK	\N	\N
3659223	3902	1996-09-30	PRIJEM	\N	136	31895	UROK	\N	\N
3659224	3902	1996-10-31	PRIJEM	\N	148	31347	UROK	\N	\N
3659225	3902	1996-11-30	PRIJEM	\N	123	29073	UROK	\N	\N
3659226	3902	1996-12-31	PRIJEM	\N	141	30325	UROK	\N	\N
3659227	3902	1997-01-31	PRIJEM	\N	94	21922	UROK	\N	\N
3659228	3902	1997-02-28	PRIJEM	\N	108	27414	UROK	\N	\N
3659229	3902	1997-03-31	PRIJEM	\N	109	22926	UROK	\N	\N
3659230	3902	1997-04-30	PRIJEM	\N	102	22331	UROK	\N	\N
3659231	3902	1997-05-31	PRIJEM	\N	111	22746	UROK	\N	\N
3659232	3902	1997-06-30	PRIJEM	\N	113	27689	UROK	\N	\N
3659233	3902	1997-07-31	PRIJEM	\N	124	29617	UROK	\N	\N
3659234	3902	1997-08-31	PRIJEM	\N	129	29249	UROK	\N	\N
3659235	3902	1997-09-30	PRIJEM	\N	125	23978	UROK	\N	\N
3659236	3902	1997-10-31	PRIJEM	\N	115	25496	UROK	\N	\N
3659237	3902	1997-11-30	PRIJEM	\N	108	22808	UROK	\N	\N
3659238	3902	1997-12-31	PRIJEM	\N	98	15356	UROK	\N	\N
3659239	3902	1998-01-31	PRIJEM	\N	67	16726	UROK	\N	\N
3659240	3902	1998-02-28	PRIJEM	\N	82	17111	UROK	\N	\N
3659241	3902	1998-03-31	PRIJEM	\N	77	18391	UROK	\N	\N
3659242	3902	1998-04-30	PRIJEM	\N	85	23280	UROK	\N	\N
3659243	3902	1998-05-31	PRIJEM	\N	101	25844	UROK	\N	\N
3659244	3902	1998-06-30	PRIJEM	\N	121	27895	UROK	\N	\N
3659245	3902	1998-07-31	PRIJEM	\N	118	26037	UROK	\N	\N
3659246	3902	1998-08-31	PRIJEM	\N	98	18719	UROK	\N	\N
3659247	3902	1998-09-30	PRIJEM	\N	78	16300	UROK	\N	\N
3659248	3902	1998-10-31	PRIJEM	\N	68	14271	UROK	\N	\N
3659249	3902	1998-11-30	PRIJEM	\N	65	16740	UROK	\N	\N
3659250	3902	1998-12-31	PRIJEM	\N	84	18894	UROK	\N	\N
3659251	3903	1995-01-31	PRIJEM	\N	37	19483	UROK	\N	\N
3659252	3903	1995-02-28	PRIJEM	\N	103	31832	UROK	\N	\N
3659253	3903	1995-03-31	PRIJEM	\N	144	38722	UROK	\N	\N
3659254	3903	1995-04-30	PRIJEM	\N	167	42135	UROK	\N	\N
3659255	3903	1995-05-31	PRIJEM	\N	172	40653	UROK	\N	\N
3659256	3903	1995-06-30	PRIJEM	\N	182	43256	UROK	\N	\N
3659257	3903	1995-07-31	PRIJEM	\N	172	38016	UROK	\N	\N
3659258	3903	1995-08-31	PRIJEM	\N	159	37124	UROK	\N	\N
3659259	3903	1995-09-30	PRIJEM	\N	151	35123	UROK	\N	\N
3659260	3903	1995-10-31	PRIJEM	\N	135	30467	UROK	\N	\N
3659261	3903	1995-11-30	PRIJEM	\N	122	29277	UROK	\N	\N
3659262	3903	1995-12-31	PRIJEM	\N	137	32796	UROK	\N	\N
3659263	3903	1996-01-31	PRIJEM	\N	146	36150	UROK	\N	\N
3659264	3903	1996-02-29	PRIJEM	\N	165	43263	UROK	\N	\N
3659265	3903	1996-03-31	PRIJEM	\N	193	49104	UROK	\N	\N
3659266	3903	1996-04-30	PRIJEM	\N	202	49154	UROK	\N	\N
3659267	3903	1996-05-31	PRIJEM	\N	194	45576	UROK	\N	\N
3659268	3903	1996-06-30	PRIJEM	\N	193	45611	UROK	\N	\N
3659269	3903	1996-07-31	PRIJEM	\N	174	38013	UROK	\N	\N
3659270	3903	1996-08-31	PRIJEM	\N	162	40824	UROK	\N	\N
3659271	3903	1996-09-30	PRIJEM	\N	169	40901	UROK	\N	\N
3659272	3903	1996-10-31	PRIJEM	\N	167	40816	UROK	\N	\N
3659273	3903	1996-11-30	PRIJEM	\N	169	41834	UROK	\N	\N
3659274	3903	1996-12-31	PRIJEM	\N	183	46239	UROK	\N	\N
3659275	3903	1997-01-31	PRIJEM	\N	145	31492	UROK	\N	\N
3659276	3903	1997-02-28	PRIJEM	\N	122	27242	UROK	\N	\N
3659277	3903	1997-03-31	PRIJEM	\N	117	30008	UROK	\N	\N
3659278	3903	1997-04-30	PRIJEM	\N	120	29276	UROK	\N	\N
3659279	3903	1997-05-31	PRIJEM	\N	126	32050	UROK	\N	\N
3659280	3903	1997-06-30	PRIJEM	\N	154	42225	UROK	\N	\N
3659281	3903	1997-07-31	PRIJEM	\N	168	38942	UROK	\N	\N
3659282	3903	1997-08-31	PRIJEM	\N	150	35360	UROK	\N	\N
3659283	3903	1997-09-30	PRIJEM	\N	145	35293	UROK	\N	\N
3659284	3903	1997-10-31	PRIJEM	\N	146	36388	UROK	\N	\N
3659285	3903	1997-11-30	PRIJEM	\N	132	36368	UROK	\N	\N
3659286	3903	1997-12-31	PRIJEM	\N	156	45666	UROK	\N	\N
3659287	3903	1998-01-31	PRIJEM	\N	162	29256	UROK	\N	\N
3659288	3903	1998-02-28	PRIJEM	\N	129	34133	UROK	\N	\N
3659289	3903	1998-03-31	PRIJEM	\N	123	31765	UROK	\N	\N
3659290	3903	1998-04-30	PRIJEM	\N	141	37054	UROK	\N	\N
3659291	3903	1998-05-31	PRIJEM	\N	153	38456	UROK	\N	\N
3659292	3903	1998-06-30	PRIJEM	\N	176	47354	UROK	\N	\N
3659293	3903	1998-07-31	PRIJEM	\N	188	46190	UROK	\N	\N
3659294	3903	1998-08-31	PRIJEM	\N	161	29400	UROK	\N	\N
3659295	3903	1998-09-30	PRIJEM	\N	133	26981	UROK	\N	\N
3659296	3903	1998-10-31	PRIJEM	\N	134	31963	UROK	\N	\N
3659297	3903	1998-11-30	PRIJEM	\N	153	34463	UROK	\N	\N
3659298	3903	1998-12-31	PRIJEM	\N	184	50749	UROK	\N	\N
3659299	3904	1996-10-31	PRIJEM	\N	10	3723	UROK	\N	\N
3659300	3904	1996-11-30	PRIJEM	\N	16	6851	UROK	\N	\N
3659301	3904	1996-12-31	PRIJEM	\N	16	9979	UROK	\N	\N
3659302	3904	1997-01-31	PRIJEM	\N	16	13108	UROK	\N	\N
3659303	3904	1997-02-28	PRIJEM	\N	17	16238	UROK	\N	\N
3659304	3904	1997-03-31	PRIJEM	\N	64	16005	UROK	\N	\N
3659305	3904	1997-04-30	PRIJEM	\N	69	17098	UROK	\N	\N
3659306	3904	1997-05-31	PRIJEM	\N	74	18195	UROK	\N	\N
3659307	3904	1997-06-30	PRIJEM	\N	78	19297	UROK	\N	\N
3659308	3904	1997-07-31	PRIJEM	\N	80	20161	UROK	\N	\N
3659309	3904	1997-08-31	PRIJEM	\N	87	21270	UROK	\N	\N
3659310	3904	1997-09-30	PRIJEM	\N	89	21362	UROK	\N	\N
3659311	3904	1997-10-31	PRIJEM	\N	85	21091	UROK	\N	\N
3659312	3904	1997-11-30	PRIJEM	\N	90	22204	UROK	\N	\N
3659313	3904	1997-12-31	PRIJEM	\N	92	22960	UROK	\N	\N
3659314	3904	1998-01-31	PRIJEM	\N	87	19690	UROK	\N	\N
3659315	3904	1998-02-28	PRIJEM	\N	84	20798	UROK	\N	\N
3659316	3904	1998-03-31	PRIJEM	\N	84	20496	UROK	\N	\N
3659317	3904	1998-04-30	PRIJEM	\N	86	20555	UROK	\N	\N
3659318	3904	1998-05-31	PRIJEM	\N	86	20315	UROK	\N	\N
3659319	3904	1998-06-30	PRIJEM	\N	83	19411	UROK	\N	\N
3659320	3904	1998-07-31	PRIJEM	\N	81	20036	UROK	\N	\N
3659321	3904	1998-08-31	PRIJEM	\N	86	21145	UROK	\N	\N
3659322	3904	1998-09-30	PRIJEM	\N	90	22259	UROK	\N	\N
3659323	3904	1998-10-31	PRIJEM	\N	95	23377	UROK	\N	\N
3659324	3904	1998-11-30	PRIJEM	\N	94	23354	UROK	\N	\N
3659325	3904	1998-12-31	PRIJEM	\N	93	22911	UROK	\N	\N
3659326	3905	1997-05-31	PRIJEM	\N	6	46573	UROK	\N	\N
3659327	3905	1997-06-30	PRIJEM	\N	218	42164	UROK	\N	\N
3659328	3905	1997-07-31	PRIJEM	\N	171	36044	UROK	\N	\N
3659329	3905	1997-08-31	PRIJEM	\N	142	26497	UROK	\N	\N
3659330	3905	1997-09-30	PRIJEM	\N	305	76717	UROK	\N	\N
3659331	3905	1997-10-31	PRIJEM	\N	169	24647	UROK	\N	\N
3659332	3905	1997-11-30	PRIJEM	\N	364	48618	UROK	\N	\N
3659333	3905	1997-12-31	PRIJEM	\N	178	71858	UROK	\N	\N
3659334	3905	1998-01-31	PRIJEM	\N	244	39105	UROK	\N	\N
3659335	3905	1998-02-28	PRIJEM	\N	122	26472	UROK	\N	\N
3659336	3905	1998-03-31	PRIJEM	\N	109	25792	UROK	\N	\N
3659337	3905	1998-04-30	PRIJEM	\N	108	26410	UROK	\N	\N
3659338	3905	1998-05-31	PRIJEM	\N	113	29534	UROK	\N	\N
3659339	3905	1998-06-30	PRIJEM	\N	120	27966	UROK	\N	\N
3659340	3905	1998-07-31	PRIJEM	\N	115	27692	UROK	\N	\N
3659341	3905	1998-08-31	PRIJEM	\N	111	25514	UROK	\N	\N
3659342	3905	1998-09-30	PRIJEM	\N	175	55286	UROK	\N	\N
3659343	3905	1998-10-31	PRIJEM	\N	234	60730	UROK	\N	\N
3659344	3905	1998-11-30	PRIJEM	\N	215	29530	UROK	\N	\N
3659345	3905	1998-12-31	PRIJEM	\N	109	28650	UROK	\N	\N
3659346	3906	1997-07-31	PRIJEM	\N	84	34648	UROK	\N	\N
3659347	3906	1997-08-31	PRIJEM	\N	202	58714	UROK	\N	\N
3659348	3906	1997-09-30	PRIJEM	\N	275	71953	UROK	\N	\N
3659349	3906	1997-10-31	PRIJEM	\N	320	80736	UROK	\N	\N
3659350	3906	1997-11-30	PRIJEM	\N	340	79847	UROK	\N	\N
3659351	3906	1997-12-31	PRIJEM	\N	329	88458	UROK	\N	\N
3659352	3906	1998-01-31	PRIJEM	\N	364	82570	UROK	\N	\N
3659353	3906	1998-02-28	PRIJEM	\N	317	82137	UROK	\N	\N
3659354	3906	1998-03-31	PRIJEM	\N	260	58537	UROK	\N	\N
3659355	3906	1998-04-30	PRIJEM	\N	261	68970	UROK	\N	\N
3659356	3906	1998-05-31	PRIJEM	\N	300	77442	UROK	\N	\N
3659357	3906	1998-06-30	PRIJEM	\N	357	88903	UROK	\N	\N
3659358	3906	1998-07-31	PRIJEM	\N	364	90239	UROK	\N	\N
3659359	3906	1998-08-31	PRIJEM	\N	373	92883	UROK	\N	\N
3659360	3906	1998-09-30	PRIJEM	\N	262	40840	UROK	\N	\N
3659361	3906	1998-10-31	PRIJEM	\N	250	68024	UROK	\N	\N
3659362	3906	1998-11-30	PRIJEM	\N	326	88022	UROK	\N	\N
3659363	3906	1998-12-31	PRIJEM	\N	344	93126	UROK	\N	\N
3659364	3907	1996-05-31	PRIJEM	\N	94	28793	UROK	\N	\N
3659365	3907	1996-06-30	PRIJEM	\N	207	76945	UROK	\N	\N
3659366	3907	1996-07-31	PRIJEM	\N	329	91959	UROK	\N	\N
3659367	3907	1996-08-31	PRIJEM	\N	329	102423	UROK	\N	\N
3659368	3907	1996-09-30	PRIJEM	\N	213	33350	UROK	\N	\N
3659369	3907	1996-10-31	PRIJEM	\N	115	22850	UROK	\N	\N
3659370	3907	1996-11-30	PRIJEM	\N	467	67518	UROK	\N	\N
3659371	3907	1996-12-31	PRIJEM	\N	271	87551	UROK	\N	\N
3659372	3907	1997-01-31	PRIJEM	\N	187	20152	UROK	\N	\N
3659373	3907	1997-02-28	PRIJEM	\N	62	11900	UROK	\N	\N
3659374	3907	1997-03-31	PRIJEM	\N	48	8234	UROK	\N	\N
3659375	3907	1997-04-30	PRIJEM	\N	101	61558	UROK	\N	\N
3659376	3907	1997-05-31	PRIJEM	\N	213	24556	UROK	\N	\N
3659377	3907	1997-06-30	PRIJEM	\N	100	16342	UROK	\N	\N
3659378	3907	1997-07-31	PRIJEM	\N	66	11493	UROK	\N	\N
3659379	3907	1997-08-31	PRIJEM	\N	46	6025	UROK	\N	\N
3659380	3907	1997-09-30	PRIJEM	\N	23	833	UROK	\N	\N
3659381	3907	1997-10-31	PRIJEM	\N	22	22859	UROK	\N	\N
3659382	3907	1997-11-30	PRIJEM	\N	69	7913	UROK	\N	\N
3659383	3907	1997-12-31	PRIJEM	\N	31	2829	UROK	\N	\N
3659384	3907	1998-01-31	PRIJEM	\N	12	15466	UROK	\N	\N
3659385	3907	1998-02-28	PRIJEM	\N	107	25701	UROK	\N	\N
3659386	3907	1998-03-31	PRIJEM	\N	106	64211	UROK	\N	\N
3659387	3907	1998-04-30	PRIJEM	\N	231	82869	UROK	\N	\N
3659388	3907	1998-05-31	PRIJEM	\N	373	103805	UROK	\N	\N
3659389	3907	1998-06-30	PRIJEM	\N	196	34758	UROK	\N	\N
3659390	3907	1998-07-31	PRIJEM	\N	134	30504	UROK	\N	\N
3659391	3907	1998-08-31	PRIJEM	\N	185	59775	UROK	\N	\N
3659392	3907	1998-09-30	PRIJEM	\N	166	35751	UROK	\N	\N
3659393	3907	1998-10-31	PRIJEM	\N	202	44862	UROK	\N	\N
3659394	3907	1998-11-30	PRIJEM	\N	140	42923	UROK	\N	\N
3659395	3907	1998-12-31	PRIJEM	\N	199	45527	UROK	\N	\N
3659396	3908	1997-06-30	PRIJEM	\N	3	24753	UROK	\N	\N
3659397	3908	1997-07-31	PRIJEM	\N	108	27019	UROK	\N	\N
3659398	3908	1997-08-31	PRIJEM	\N	98	23994	UROK	\N	\N
3659399	3908	1997-09-30	PRIJEM	\N	103	25755	UROK	\N	\N
3659400	3908	1997-10-31	PRIJEM	\N	112	25824	UROK	\N	\N
3659401	3908	1997-11-30	PRIJEM	\N	111	27693	UROK	\N	\N
3659402	3908	1997-12-31	PRIJEM	\N	117	25798	UROK	\N	\N
3659403	3908	1998-01-31	PRIJEM	\N	92	17878	UROK	\N	\N
3659404	3908	1998-02-28	PRIJEM	\N	79	20114	UROK	\N	\N
3659405	3908	1998-03-31	PRIJEM	\N	79	19070	UROK	\N	\N
3659406	3908	1998-04-30	PRIJEM	\N	79	15507	UROK	\N	\N
3659407	3908	1998-05-31	PRIJEM	\N	69	17734	UROK	\N	\N
3659408	3908	1998-06-30	PRIJEM	\N	60	15331	UROK	\N	\N
3659409	3908	1998-07-31	PRIJEM	\N	69	17557	UROK	\N	\N
3659410	3908	1998-08-31	PRIJEM	\N	78	19792	UROK	\N	\N
3659411	3908	1998-09-30	PRIJEM	\N	66	15315	UROK	\N	\N
3659412	3908	1998-10-31	PRIJEM	\N	68	17541	UROK	\N	\N
3659413	3908	1998-11-30	PRIJEM	\N	75	15853	UROK	\N	\N
3659414	3908	1998-12-31	PRIJEM	\N	71	18081	UROK	\N	\N
3659415	3909	1993-02-28	PRIJEM	\N	59	24659	UROK	\N	\N
3659416	3909	1993-03-31	PRIJEM	\N	127	35285	UROK	\N	\N
3659417	3909	1993-04-30	PRIJEM	\N	166	43451	UROK	\N	\N
3659418	3909	1993-05-31	PRIJEM	\N	190	47641	UROK	\N	\N
3659419	3909	1993-06-30	PRIJEM	\N	200	40641	UROK	\N	\N
3659420	3909	1993-07-31	PRIJEM	\N	200	42718	UROK	\N	\N
3659421	3909	1993-08-31	PRIJEM	\N	190	46784	UROK	\N	\N
3659422	3909	1993-09-30	PRIJEM	\N	206	54266	UROK	\N	\N
3659423	3909	1993-10-31	PRIJEM	\N	238	62081	UROK	\N	\N
3659424	3909	1993-11-30	PRIJEM	\N	245	60502	UROK	\N	\N
3659425	3909	1993-12-31	PRIJEM	\N	256	67735	UROK	\N	\N
3659426	3909	1994-01-31	PRIJEM	\N	231	50842	UROK	\N	\N
3659427	3909	1994-02-28	PRIJEM	\N	210	55728	UROK	\N	\N
3659428	3909	1994-03-31	PRIJEM	\N	233	60037	UROK	\N	\N
3659429	3909	1994-04-30	PRIJEM	\N	245	58658	UROK	\N	\N
3659430	3909	1994-05-31	PRIJEM	\N	248	62682	UROK	\N	\N
3659431	3909	1994-06-30	PRIJEM	\N	247	61406	UROK	\N	\N
3659432	3909	1994-07-31	PRIJEM	\N	236	58818	UROK	\N	\N
3659433	3909	1994-08-31	PRIJEM	\N	219	54113	UROK	\N	\N
3659434	3909	1994-09-30	PRIJEM	\N	212	56301	UROK	\N	\N
3659435	3909	1994-10-31	PRIJEM	\N	212	55489	UROK	\N	\N
3659436	3909	1994-11-30	PRIJEM	\N	213	56479	UROK	\N	\N
3659437	3909	1994-12-31	PRIJEM	\N	234	63090	UROK	\N	\N
3659438	3909	1995-01-31	PRIJEM	\N	201	45767	UROK	\N	\N
3659439	3909	1995-02-28	PRIJEM	\N	180	47923	UROK	\N	\N
3659440	3909	1995-03-31	PRIJEM	\N	180	48380	UROK	\N	\N
3659441	3909	1995-04-30	PRIJEM	\N	181	47837	UROK	\N	\N
3659442	3909	1995-05-31	PRIJEM	\N	185	49498	UROK	\N	\N
3659443	3909	1995-06-30	PRIJEM	\N	167	47041	UROK	\N	\N
3659444	3909	1995-07-31	PRIJEM	\N	194	52512	UROK	\N	\N
3659445	3909	1995-08-31	PRIJEM	\N	208	55396	UROK	\N	\N
3659446	3909	1995-09-30	PRIJEM	\N	215	57388	UROK	\N	\N
3659447	3909	1995-10-31	PRIJEM	\N	208	55272	UROK	\N	\N
3659448	3909	1995-11-30	PRIJEM	\N	190	52639	UROK	\N	\N
3659449	3909	1995-12-31	PRIJEM	\N	202	45017	UROK	\N	\N
3659450	3909	1996-01-31	PRIJEM	\N	184	36277	UROK	\N	\N
3659451	3909	1996-02-29	PRIJEM	\N	177	42031	UROK	\N	\N
3659452	3909	1996-03-31	PRIJEM	\N	203	39810	UROK	\N	\N
3659453	3909	1996-04-30	PRIJEM	\N	188	38475	UROK	\N	\N
3659454	3909	1996-05-31	PRIJEM	\N	188	39938	UROK	\N	\N
3659455	3909	1996-06-30	PRIJEM	\N	180	42295	UROK	\N	\N
3659456	3909	1996-07-31	PRIJEM	\N	198	38569	UROK	\N	\N
3659457	3909	1996-08-31	PRIJEM	\N	177	37223	UROK	\N	\N
3659458	3909	1996-09-30	PRIJEM	\N	171	37270	UROK	\N	\N
3659459	3909	1996-10-31	PRIJEM	\N	173	40220	UROK	\N	\N
3659460	3909	1996-11-30	PRIJEM	\N	178	37074	UROK	\N	\N
3659461	3909	1996-12-31	PRIJEM	\N	195	40346	UROK	\N	\N
3659462	3909	1997-01-31	PRIJEM	\N	159	30781	UROK	\N	\N
3659463	3909	1997-02-28	PRIJEM	\N	146	38504	UROK	\N	\N
3659464	3909	1997-03-31	PRIJEM	\N	183	43263	UROK	\N	\N
3659465	3909	1997-04-30	PRIJEM	\N	196	47935	UROK	\N	\N
3659466	3909	1997-05-31	PRIJEM	\N	208	49420	UROK	\N	\N
3659467	3909	1997-06-30	PRIJEM	\N	211	49708	UROK	\N	\N
3659468	3909	1997-07-31	PRIJEM	\N	216	50400	UROK	\N	\N
3659469	3909	1997-08-31	PRIJEM	\N	219	49996	UROK	\N	\N
3659470	3909	1997-09-30	PRIJEM	\N	220	49992	UROK	\N	\N
3659471	3909	1997-10-31	PRIJEM	\N	212	50281	UROK	\N	\N
3659472	3909	1997-11-30	PRIJEM	\N	211	47068	UROK	\N	\N
3659473	3909	1997-12-31	PRIJEM	\N	218	54363	UROK	\N	\N
3659474	3909	1998-01-31	PRIJEM	\N	203	34442	UROK	\N	\N
3659475	3909	1998-02-28	PRIJEM	\N	169	50487	UROK	\N	\N
3659476	3909	1998-03-31	PRIJEM	\N	215	52679	UROK	\N	\N
3659477	3909	1998-04-30	PRIJEM	\N	222	54877	UROK	\N	\N
3659478	3909	1998-05-31	PRIJEM	\N	226	54979	UROK	\N	\N
3659479	3909	1998-06-30	PRIJEM	\N	173	47428	UROK	\N	\N
3659480	3909	1998-07-31	PRIJEM	\N	201	52205	UROK	\N	\N
3659481	3909	1998-08-31	PRIJEM	\N	210	51791	UROK	\N	\N
3659482	3909	1998-09-30	PRIJEM	\N	211	53479	UROK	\N	\N
3659483	3909	1998-10-31	PRIJEM	\N	218	55373	UROK	\N	\N
3659484	3909	1998-11-30	PRIJEM	\N	222	54572	UROK	\N	\N
3659485	3909	1998-12-31	PRIJEM	\N	221	55669	UROK	\N	\N
3659486	3910	1997-06-30	PRIJEM	\N	42	12699	UROK	\N	\N
3659487	3910	1997-07-31	PRIJEM	\N	58	14575	UROK	\N	\N
3659488	3910	1997-08-31	PRIJEM	\N	66	16459	UROK	\N	\N
3659489	3910	1997-09-30	PRIJEM	\N	64	14822	UROK	\N	\N
3659490	3910	1997-10-31	PRIJEM	\N	67	16707	UROK	\N	\N
3659491	3910	1997-11-30	PRIJEM	\N	75	18600	UROK	\N	\N
3659492	3910	1997-12-31	PRIJEM	\N	69	12578	UROK	\N	\N
3659493	3910	1998-01-31	PRIJEM	\N	54	12850	UROK	\N	\N
3659494	3910	1998-02-28	PRIJEM	\N	58	14727	UROK	\N	\N
3659495	3910	1998-03-31	PRIJEM	\N	66	16612	UROK	\N	\N
3659496	3910	1998-04-30	PRIJEM	\N	74	18504	UROK	\N	\N
3659497	3910	1998-05-31	PRIJEM	\N	81	17604	UROK	\N	\N
3659498	3910	1998-06-30	PRIJEM	\N	74	17597	UROK	\N	\N
3659499	3910	1998-07-31	PRIJEM	\N	78	16293	UROK	\N	\N
3659500	3910	1998-08-31	PRIJEM	\N	73	18184	UROK	\N	\N
3659501	3910	1998-09-30	PRIJEM	\N	75	17998	UROK	\N	\N
3659502	3910	1998-10-31	PRIJEM	\N	80	19896	UROK	\N	\N
3659503	3910	1998-11-30	PRIJEM	\N	87	21802	UROK	\N	\N
3659504	3910	1998-12-31	PRIJEM	\N	73	15843	UROK	\N	\N
3659505	3911	1998-05-31	PRIJEM	\N	38	12892	UROK	\N	\N
3659506	3911	1998-06-30	PRIJEM	\N	53	12494	UROK	\N	\N
3659507	3911	1998-07-31	PRIJEM	\N	55	13509	UROK	\N	\N
3659508	3911	1998-08-31	PRIJEM	\N	59	14527	UROK	\N	\N
3659509	3911	1998-09-30	PRIJEM	\N	63	14919	UROK	\N	\N
3659510	3911	1998-10-31	PRIJEM	\N	64	15613	UROK	\N	\N
3659511	3911	1998-11-30	PRIJEM	\N	68	16640	UROK	\N	\N
3659512	3911	1998-12-31	PRIJEM	\N	72	17492	UROK	\N	\N
3659513	3912	1994-05-31	PRIJEM	\N	18	6959	UROK	\N	\N
3659514	3912	1994-06-30	PRIJEM	\N	29	13229	UROK	\N	\N
3659515	3912	1994-07-31	PRIJEM	\N	29	19499	UROK	\N	\N
3659516	3912	1994-08-31	PRIJEM	\N	29	25769	UROK	\N	\N
3659517	3912	1994-09-30	PRIJEM	\N	32	32042	UROK	\N	\N
3659518	3912	1994-10-31	PRIJEM	\N	125	30765	UROK	\N	\N
3659519	3912	1994-11-30	PRIJEM	\N	124	31787	UROK	\N	\N
3659520	3912	1994-12-31	PRIJEM	\N	115	29251	UROK	\N	\N
3659521	3912	1995-01-31	PRIJEM	\N	121	22060	UROK	\N	\N
3659522	3912	1995-02-28	PRIJEM	\N	99	25657	UROK	\N	\N
3659523	3912	1995-03-31	PRIJEM	\N	110	26025	UROK	\N	\N
3659524	3912	1995-04-30	PRIJEM	\N	115	28439	UROK	\N	\N
3659525	3912	1995-05-31	PRIJEM	\N	125	28962	UROK	\N	\N
3659526	3912	1995-06-30	PRIJEM	\N	111	27421	UROK	\N	\N
3659527	3912	1995-07-31	PRIJEM	\N	122	31041	UROK	\N	\N
3659528	3912	1995-08-31	PRIJEM	\N	137	34576	UROK	\N	\N
3659529	3912	1995-09-30	PRIJEM	\N	146	34520	UROK	\N	\N
3659530	3912	1995-10-31	PRIJEM	\N	147	34306	UROK	\N	\N
3659531	3912	1995-11-30	PRIJEM	\N	149	36252	UROK	\N	\N
3659532	3912	1995-12-31	PRIJEM	\N	153	36464	UROK	\N	\N
3659533	3912	1996-01-31	PRIJEM	\N	123	26275	UROK	\N	\N
3659534	3912	1996-02-29	PRIJEM	\N	93	24267	UROK	\N	\N
3659535	3912	1996-03-31	PRIJEM	\N	108	27873	UROK	\N	\N
3659536	3912	1996-04-30	PRIJEM	\N	123	31495	UROK	\N	\N
3659537	3912	1996-05-31	PRIJEM	\N	130	31923	UROK	\N	\N
3659538	3912	1996-06-30	PRIJEM	\N	122	29293	UROK	\N	\N
3659539	3912	1996-07-31	PRIJEM	\N	129	32921	UROK	\N	\N
3659540	3912	1996-08-31	PRIJEM	\N	139	32858	UROK	\N	\N
3659541	3912	1996-09-30	PRIJEM	\N	140	33996	UROK	\N	\N
3659542	3912	1996-10-31	PRIJEM	\N	144	34638	UROK	\N	\N
3659543	3912	1996-11-30	PRIJEM	\N	147	35883	UROK	\N	\N
3659544	3912	1996-12-31	PRIJEM	\N	150	36532	UROK	\N	\N
3659545	3912	1997-01-31	PRIJEM	\N	133	28244	UROK	\N	\N
3659546	3912	1997-02-28	PRIJEM	\N	124	31866	UROK	\N	\N
3659547	3912	1997-03-31	PRIJEM	\N	135	33739	UROK	\N	\N
3659548	3912	1997-04-30	PRIJEM	\N	146	35543	UROK	\N	\N
3659549	3912	1997-05-31	PRIJEM	\N	155	39196	UROK	\N	\N
3659550	3912	1997-06-30	PRIJEM	\N	147	34941	UROK	\N	\N
3659551	3912	1997-07-31	PRIJEM	\N	150	37489	UROK	\N	\N
3659552	3912	1997-08-31	PRIJEM	\N	150	35237	UROK	\N	\N
3659553	3912	1997-09-30	PRIJEM	\N	142	34178	UROK	\N	\N
3659554	3912	1997-10-31	PRIJEM	\N	140	34016	UROK	\N	\N
3659555	3912	1997-11-30	PRIJEM	\N	132	30946	UROK	\N	\N
3659556	3912	1997-12-31	PRIJEM	\N	126	27801	UROK	\N	\N
3659557	3912	1998-01-31	PRIJEM	\N	92	20382	UROK	\N	\N
3659558	3912	1998-02-28	PRIJEM	\N	90	23970	UROK	\N	\N
3659559	3912	1998-03-31	PRIJEM	\N	94	21723	UROK	\N	\N
3659560	3912	1998-04-30	PRIJEM	\N	96	25317	UROK	\N	\N
3659561	3912	1998-05-31	PRIJEM	\N	111	28926	UROK	\N	\N
3659562	3912	1998-06-30	PRIJEM	\N	117	25291	UROK	\N	\N
3659563	3912	1998-07-31	PRIJEM	\N	111	28900	UROK	\N	\N
3659564	3912	1998-08-31	PRIJEM	\N	126	32524	UROK	\N	\N
3659565	3912	1998-09-30	PRIJEM	\N	140	36163	UROK	\N	\N
3659566	3912	1998-10-31	PRIJEM	\N	153	38814	UROK	\N	\N
3659567	3912	1998-11-30	PRIJEM	\N	156	39069	UROK	\N	\N
3659568	3912	1998-12-31	PRIJEM	\N	167	42383	UROK	\N	\N
3659569	3913	1996-10-31	PRIJEM	\N	41	15288	UROK	\N	\N
3659570	3913	1996-11-30	PRIJEM	\N	114	34549	UROK	\N	\N
3659571	3913	1996-12-31	PRIJEM	\N	193	53062	UROK	\N	\N
3659572	3913	1997-01-31	PRIJEM	\N	225	54834	UROK	\N	\N
3659573	3913	1997-02-28	PRIJEM	\N	230	55131	UROK	\N	\N
3659574	3913	1997-03-31	PRIJEM	\N	200	48531	UROK	\N	\N
3659575	3913	1997-04-30	PRIJEM	\N	182	44912	UROK	\N	\N
3659576	3913	1997-05-31	PRIJEM	\N	179	44891	UROK	\N	\N
3659577	3913	1997-06-30	PRIJEM	\N	165	37088	UROK	\N	\N
3659578	3913	1997-07-31	PRIJEM	\N	153	39340	UROK	\N	\N
3659579	3913	1997-08-31	PRIJEM	\N	153	34992	UROK	\N	\N
3659580	3913	1997-09-30	PRIJEM	\N	162	35453	UROK	\N	\N
3659581	3913	1997-10-31	PRIJEM	\N	162	31615	UROK	\N	\N
3659582	3913	1997-11-30	PRIJEM	\N	148	34462	UROK	\N	\N
3659583	3913	1997-12-31	PRIJEM	\N	169	36363	UROK	\N	\N
3659584	3913	1998-01-31	PRIJEM	\N	111	28814	UROK	\N	\N
3659585	3913	1998-02-28	PRIJEM	\N	137	34050	UROK	\N	\N
3659586	3913	1998-03-31	PRIJEM	\N	159	39109	UROK	\N	\N
3659587	3913	1998-04-30	PRIJEM	\N	171	40699	UROK	\N	\N
3659588	3913	1998-05-31	PRIJEM	\N	172	39730	UROK	\N	\N
3659589	3913	1998-06-30	PRIJEM	\N	168	37450	UROK	\N	\N
3659590	3913	1998-07-31	PRIJEM	\N	171	40421	UROK	\N	\N
3659591	3913	1998-08-31	PRIJEM	\N	183	43703	UROK	\N	\N
3659592	3913	1998-09-30	PRIJEM	\N	194	44296	UROK	\N	\N
3659593	3913	1998-10-31	PRIJEM	\N	191	40386	UROK	\N	\N
3659594	3913	1998-11-30	PRIJEM	\N	176	38761	UROK	\N	\N
3659595	3913	1998-12-31	PRIJEM	\N	199	53133	UROK	\N	\N
3659596	3914	1995-09-30	PRIJEM	\N	73	21968	UROK	\N	\N
3659597	3914	1995-10-31	PRIJEM	\N	169	45332	UROK	\N	\N
3659598	3914	1995-11-30	PRIJEM	\N	221	55349	UROK	\N	\N
3659599	3914	1995-12-31	PRIJEM	\N	285	71977	UROK	\N	\N
3659600	3914	1996-01-31	PRIJEM	\N	252	42945	UROK	\N	\N
3659601	3914	1996-02-29	PRIJEM	\N	206	50413	UROK	\N	\N
3659602	3914	1996-03-31	PRIJEM	\N	217	52093	UROK	\N	\N
3659603	3914	1996-04-30	PRIJEM	\N	230	55385	UROK	\N	\N
3659604	3914	1996-05-31	PRIJEM	\N	232	55179	UROK	\N	\N
3659605	3914	1996-06-30	PRIJEM	\N	251	60320	UROK	\N	\N
3659606	3914	1996-07-31	PRIJEM	\N	254	61236	UROK	\N	\N
3659607	3914	1996-08-31	PRIJEM	\N	223	44821	UROK	\N	\N
3659608	3914	1996-09-30	PRIJEM	\N	227	40910	UROK	\N	\N
3659609	3914	1996-10-31	PRIJEM	\N	211	43983	UROK	\N	\N
3659610	3914	1996-11-30	PRIJEM	\N	213	40739	UROK	\N	\N
3659611	3914	1996-12-31	PRIJEM	\N	246	49935	UROK	\N	\N
3659612	3914	1997-01-31	PRIJEM	\N	198	37076	UROK	\N	\N
3659613	3914	1997-02-28	PRIJEM	\N	193	40631	UROK	\N	\N
3659614	3914	1997-03-31	PRIJEM	\N	208	43801	UROK	\N	\N
3659615	3914	1997-04-30	PRIJEM	\N	217	45421	UROK	\N	\N
3659616	3914	1997-05-31	PRIJEM	\N	227	50010	UROK	\N	\N
3659617	3914	1997-06-30	PRIJEM	\N	184	33144	UROK	\N	\N
3659618	3914	1997-07-31	PRIJEM	\N	179	43886	UROK	\N	\N
3659619	3914	1997-08-31	PRIJEM	\N	218	49146	UROK	\N	\N
3659620	3914	1997-09-30	PRIJEM	\N	240	55649	UROK	\N	\N
3659621	3914	1997-10-31	PRIJEM	\N	275	59286	UROK	\N	\N
3659622	3914	1997-11-30	PRIJEM	\N	276	61224	UROK	\N	\N
3659623	3914	1997-12-31	PRIJEM	\N	301	63814	UROK	\N	\N
3659624	3914	1998-01-31	PRIJEM	\N	256	54333	UROK	\N	\N
3659625	3914	1998-02-28	PRIJEM	\N	252	55547	UROK	\N	\N
3659626	3914	1998-03-31	PRIJEM	\N	262	59771	UROK	\N	\N
3659627	3914	1998-04-30	PRIJEM	\N	278	63711	UROK	\N	\N
3659628	3914	1998-05-31	PRIJEM	\N	298	71172	UROK	\N	\N
3659629	3914	1998-06-30	PRIJEM	\N	338	72579	UROK	\N	\N
3659630	3914	1998-07-31	PRIJEM	\N	309	65551	UROK	\N	\N
3659631	3914	1998-08-31	PRIJEM	\N	297	68910	UROK	\N	\N
3659632	3914	1998-09-30	PRIJEM	\N	302	67574	UROK	\N	\N
3659633	3914	1998-10-31	PRIJEM	\N	301	69337	UROK	\N	\N
3659634	3914	1998-11-30	PRIJEM	\N	315	76014	UROK	\N	\N
3659635	3914	1998-12-31	PRIJEM	\N	383	98488	UROK	\N	\N
3659636	3915	1993-04-30	PRIJEM	\N	85	23516	UROK	\N	\N
3659637	3915	1993-05-31	PRIJEM	\N	181	46628	UROK	\N	\N
3659638	3915	1993-06-30	PRIJEM	\N	283	71607	UROK	\N	\N
3659639	3915	1993-07-31	PRIJEM	\N	299	72937	UROK	\N	\N
3659640	3915	1993-08-31	PRIJEM	\N	227	42785	UROK	\N	\N
3659641	3915	1993-09-30	PRIJEM	\N	208	40399	UROK	\N	\N
3659642	3915	1993-10-31	PRIJEM	\N	197	36503	UROK	\N	\N
3659643	3915	1993-11-30	PRIJEM	\N	184	40093	UROK	\N	\N
3659644	3915	1993-12-31	PRIJEM	\N	222	42885	UROK	\N	\N
3659645	3915	1994-01-31	PRIJEM	\N	208	35099	UROK	\N	\N
3659646	3915	1994-02-28	PRIJEM	\N	176	37981	UROK	\N	\N
3659647	3915	1994-03-31	PRIJEM	\N	176	35764	UROK	\N	\N
3659648	3915	1994-04-30	PRIJEM	\N	173	36443	UROK	\N	\N
3659649	3915	1994-05-31	PRIJEM	\N	180	37329	UROK	\N	\N
3659650	3915	1994-06-30	PRIJEM	\N	172	30872	UROK	\N	\N
3659651	3915	1994-07-31	PRIJEM	\N	157	35336	UROK	\N	\N
3659652	3915	1994-08-31	PRIJEM	\N	170	34812	UROK	\N	\N
3659653	3915	1994-09-30	PRIJEM	\N	169	34787	UROK	\N	\N
3659654	3915	1994-10-31	PRIJEM	\N	166	35159	UROK	\N	\N
3659655	3915	1994-11-30	PRIJEM	\N	168	36534	UROK	\N	\N
3659656	3915	1994-12-31	PRIJEM	\N	199	45904	UROK	\N	\N
3659657	3915	1995-01-31	PRIJEM	\N	209	35519	UROK	\N	\N
3659658	3915	1995-02-28	PRIJEM	\N	170	39596	UROK	\N	\N
3659659	3915	1995-03-31	PRIJEM	\N	188	43090	UROK	\N	\N
3659660	3915	1995-04-30	PRIJEM	\N	208	42005	UROK	\N	\N
3659661	3915	1995-05-31	PRIJEM	\N	191	39802	UROK	\N	\N
3659662	3915	1995-06-30	PRIJEM	\N	157	36330	UROK	\N	\N
3659663	3915	1995-07-31	PRIJEM	\N	175	41911	UROK	\N	\N
3659664	3915	1995-08-31	PRIJEM	\N	187	42104	UROK	\N	\N
3659665	3915	1995-09-30	PRIJEM	\N	187	41198	UROK	\N	\N
3659666	3915	1995-10-31	PRIJEM	\N	180	39885	UROK	\N	\N
3659667	3915	1995-11-30	PRIJEM	\N	180	42271	UROK	\N	\N
3659668	3915	1995-12-31	PRIJEM	\N	235	47577	UROK	\N	\N
3659669	3915	1996-01-31	PRIJEM	\N	189	36173	UROK	\N	\N
3659670	3915	1996-02-29	PRIJEM	\N	161	34640	UROK	\N	\N
3659671	3915	1996-03-31	PRIJEM	\N	152	35098	UROK	\N	\N
3659672	3915	1996-04-30	PRIJEM	\N	161	39866	UROK	\N	\N
3659673	3915	1996-05-31	PRIJEM	\N	169	39141	UROK	\N	\N
3659674	3915	1996-06-30	PRIJEM	\N	180	29293	UROK	\N	\N
3659675	3915	1996-07-31	PRIJEM	\N	134	33433	UROK	\N	\N
3659676	3915	1996-08-31	PRIJEM	\N	155	37195	UROK	\N	\N
3659677	3915	1996-09-30	PRIJEM	\N	163	40964	UROK	\N	\N
3659678	3915	1996-10-31	PRIJEM	\N	181	45451	UROK	\N	\N
3659679	3915	1996-11-30	PRIJEM	\N	209	45267	UROK	\N	\N
3659680	3915	1996-12-31	PRIJEM	\N	217	50356	UROK	\N	\N
3659681	3915	1997-01-31	PRIJEM	\N	201	41463	UROK	\N	\N
3659682	3915	1997-02-28	PRIJEM	\N	186	40556	UROK	\N	\N
3659683	3915	1997-03-31	PRIJEM	\N	205	46567	UROK	\N	\N
3659684	3915	1997-04-30	PRIJEM	\N	180	42554	UROK	\N	\N
3659685	3915	1997-05-31	PRIJEM	\N	172	41932	UROK	\N	\N
3659686	3915	1997-06-30	PRIJEM	\N	176	38379	UROK	\N	\N
3659687	3915	1997-07-31	PRIJEM	\N	167	41352	UROK	\N	\N
3659688	3915	1997-08-31	PRIJEM	\N	182	44941	UROK	\N	\N
3659689	3915	1997-09-30	PRIJEM	\N	176	40424	UROK	\N	\N
3659690	3915	1997-10-31	PRIJEM	\N	189	44919	UROK	\N	\N
3659691	3915	1997-11-30	PRIJEM	\N	197	47422	UROK	\N	\N
3659692	3915	1997-12-31	PRIJEM	\N	215	52308	UROK	\N	\N
3659693	3915	1998-01-31	PRIJEM	\N	185	37700	UROK	\N	\N
3659694	3915	1998-02-28	PRIJEM	\N	183	40890	UROK	\N	\N
3659695	3915	1998-03-31	PRIJEM	\N	172	41369	UROK	\N	\N
3659696	3915	1998-04-30	PRIJEM	\N	172	40747	UROK	\N	\N
3659697	3915	1998-05-31	PRIJEM	\N	178	41131	UROK	\N	\N
3659698	3915	1998-06-30	PRIJEM	\N	172	35274	UROK	\N	\N
3659699	3915	1998-07-31	PRIJEM	\N	164	34845	UROK	\N	\N
3659700	3915	1998-08-31	PRIJEM	\N	197	46348	UROK	\N	\N
3659701	3915	1998-09-30	PRIJEM	\N	231	56385	UROK	\N	\N
3659702	3915	1998-10-31	PRIJEM	\N	238	55629	UROK	\N	\N
3659703	3915	1998-11-30	PRIJEM	\N	239	57174	UROK	\N	\N
3659704	3915	1998-12-31	PRIJEM	\N	262	55907	UROK	\N	\N
3659705	3916	1997-10-31	PRIJEM	\N	11	19773	UROK	\N	\N
3659706	3916	1997-11-30	PRIJEM	\N	86	25820	UROK	\N	\N
3659707	3916	1997-12-31	PRIJEM	\N	112	32475	UROK	\N	\N
3659708	3916	1998-01-31	PRIJEM	\N	131	27768	UROK	\N	\N
3659709	3916	1998-02-28	PRIJEM	\N	103	12985	UROK	\N	\N
3659710	3916	1998-03-31	PRIJEM	\N	58	11042	UROK	\N	\N
3659711	3916	1998-04-30	PRIJEM	\N	48	8989	UROK	\N	\N
3659712	3916	1998-05-31	PRIJEM	\N	42	8230	UROK	\N	\N
3659713	3916	1998-06-30	PRIJEM	\N	67	15577	UROK	\N	\N
3659714	3916	1998-07-31	PRIJEM	\N	54	12037	UROK	\N	\N
3659715	3916	1998-08-31	PRIJEM	\N	55	10998	UROK	\N	\N
3659716	3916	1998-09-30	PRIJEM	\N	51	9955	UROK	\N	\N
3659717	3916	1998-10-31	PRIJEM	\N	46	8907	UROK	\N	\N
3659718	3916	1998-11-30	PRIJEM	\N	42	7855	UROK	\N	\N
3659719	3916	1998-12-31	PRIJEM	\N	65	14906	UROK	\N	\N
3659720	3917	1996-04-30	PRIJEM	\N	6	19670	UROK	\N	\N
3659721	3917	1996-05-31	PRIJEM	\N	86	30220	UROK	\N	\N
3659722	3917	1996-06-30	PRIJEM	\N	130	40145	UROK	\N	\N
3659723	3917	1996-07-31	PRIJEM	\N	167	40376	UROK	\N	\N
3659724	3917	1996-08-31	PRIJEM	\N	198	36411	UROK	\N	\N
3659725	3917	1996-09-30	PRIJEM	\N	175	29719	UROK	\N	\N
3659726	3917	1996-10-31	PRIJEM	\N	157	29170	UROK	\N	\N
3659727	3917	1996-11-30	PRIJEM	\N	156	30919	UROK	\N	\N
3659728	3917	1996-12-31	PRIJEM	\N	186	36230	UROK	\N	\N
3659729	3917	1997-01-31	PRIJEM	\N	136	22920	UROK	\N	\N
3659730	3917	1997-02-28	PRIJEM	\N	128	26141	UROK	\N	\N
3659731	3917	1997-03-31	PRIJEM	\N	143	29878	UROK	\N	\N
3659732	3917	1997-04-30	PRIJEM	\N	150	30441	UROK	\N	\N
3659733	3917	1997-05-31	PRIJEM	\N	158	32692	UROK	\N	\N
3659734	3917	1997-06-30	PRIJEM	\N	154	22251	UROK	\N	\N
3659735	3917	1997-07-31	PRIJEM	\N	134	33178	UROK	\N	\N
3659736	3917	1997-08-31	PRIJEM	\N	169	36840	UROK	\N	\N
3659737	3917	1997-09-30	PRIJEM	\N	179	36612	UROK	\N	\N
3659738	3917	1997-10-31	PRIJEM	\N	175	36480	UROK	\N	\N
3659739	3917	1997-11-30	PRIJEM	\N	176	38450	UROK	\N	\N
3659740	3917	1997-12-31	PRIJEM	\N	206	45141	UROK	\N	\N
3659741	3917	1998-01-31	PRIJEM	\N	188	34422	UROK	\N	\N
3659742	3917	1998-02-28	PRIJEM	\N	165	36081	UROK	\N	\N
3659743	3917	1998-03-31	PRIJEM	\N	171	36525	UROK	\N	\N
3659744	3917	1998-04-30	PRIJEM	\N	169	34587	UROK	\N	\N
3659745	3917	1998-05-31	PRIJEM	\N	169	37849	UROK	\N	\N
3659746	3917	1998-06-30	PRIJEM	\N	194	22548	UROK	\N	\N
3659747	3917	1998-07-31	PRIJEM	\N	128	32470	UROK	\N	\N
3659748	3917	1998-08-31	PRIJEM	\N	159	37222	UROK	\N	\N
3659749	3917	1998-09-30	PRIJEM	\N	175	40290	UROK	\N	\N
3659750	3917	1998-10-31	PRIJEM	\N	180	39863	UROK	\N	\N
3659751	3917	1998-11-30	PRIJEM	\N	174	38930	UROK	\N	\N
3659752	3917	1998-12-31	PRIJEM	\N	237	64492	UROK	\N	\N
3659753	3918	1993-12-31	PRIJEM	\N	39	14662	UROK	\N	\N
3659754	3918	1994-01-31	PRIJEM	\N	100	29144	UROK	\N	\N
3659755	3918	1994-02-28	PRIJEM	\N	137	35463	UROK	\N	\N
3659756	3918	1994-03-31	PRIJEM	\N	153	37698	UROK	\N	\N
3659757	3918	1994-04-30	PRIJEM	\N	145	33460	UROK	\N	\N
3659758	3918	1994-05-31	PRIJEM	\N	134	31096	UROK	\N	\N
3659759	3918	1994-06-30	PRIJEM	\N	128	28347	UROK	\N	\N
3659760	3918	1994-07-31	PRIJEM	\N	139	31789	UROK	\N	\N
3659761	3918	1994-08-31	PRIJEM	\N	136	33127	UROK	\N	\N
3659762	3918	1994-09-30	PRIJEM	\N	136	32666	UROK	\N	\N
3659763	3918	1994-10-31	PRIJEM	\N	147	32115	UROK	\N	\N
3659764	3918	1994-11-30	PRIJEM	\N	123	25421	UROK	\N	\N
3659765	3918	1994-12-31	PRIJEM	\N	116	25040	UROK	\N	\N
3659766	3918	1995-01-31	PRIJEM	\N	78	13620	UROK	\N	\N
3659767	3918	1995-02-28	PRIJEM	\N	72	18015	UROK	\N	\N
3659768	3918	1995-03-31	PRIJEM	\N	102	23619	UROK	\N	\N
3659769	3918	1995-04-30	PRIJEM	\N	112	29033	UROK	\N	\N
3659770	3918	1995-05-31	PRIJEM	\N	118	25234	UROK	\N	\N
3659771	3918	1995-06-30	PRIJEM	\N	116	30033	UROK	\N	\N
3659772	3918	1995-07-31	PRIJEM	\N	125	30361	UROK	\N	\N
3659773	3918	1995-08-31	PRIJEM	\N	131	32494	UROK	\N	\N
3659774	3918	1995-09-30	PRIJEM	\N	138	32234	UROK	\N	\N
3659775	3918	1995-10-31	PRIJEM	\N	102	18379	UROK	\N	\N
3659776	3918	1995-11-30	PRIJEM	\N	99	20380	UROK	\N	\N
3659777	3918	1995-12-31	PRIJEM	\N	100	21103	UROK	\N	\N
3659778	3918	1996-01-31	PRIJEM	\N	80	12205	UROK	\N	\N
3659779	3918	1996-02-29	PRIJEM	\N	60	13468	UROK	\N	\N
3659780	3918	1996-03-31	PRIJEM	\N	76	14046	UROK	\N	\N
3659781	3918	1996-04-30	PRIJEM	\N	76	11924	UROK	\N	\N
3659782	3918	1996-05-31	PRIJEM	\N	73	16400	UROK	\N	\N
3659783	3918	1996-06-30	PRIJEM	\N	75	14898	UROK	\N	\N
3659784	3918	1996-07-31	PRIJEM	\N	63	14123	UROK	\N	\N
3659785	3918	1996-08-31	PRIJEM	\N	74	13999	UROK	\N	\N
3659786	3918	1996-09-30	PRIJEM	\N	57	12018	UROK	\N	\N
3659787	3918	1996-10-31	PRIJEM	\N	62	12503	UROK	\N	\N
3659788	3918	1996-11-30	PRIJEM	\N	58	12863	UROK	\N	\N
3659789	3918	1996-12-31	PRIJEM	\N	71	14557	UROK	\N	\N
3659790	3918	1997-01-31	PRIJEM	\N	61	14341	UROK	\N	\N
3659791	3918	1997-02-28	PRIJEM	\N	70	13413	UROK	\N	\N
3659792	3918	1997-03-31	PRIJEM	\N	79	17894	UROK	\N	\N
3659793	3918	1997-04-30	PRIJEM	\N	82	14478	UROK	\N	\N
3659794	3918	1997-05-31	PRIJEM	\N	71	18951	UROK	\N	\N
3659795	3918	1997-06-30	PRIJEM	\N	83	15077	UROK	\N	\N
3659796	3918	1997-07-31	PRIJEM	\N	73	19552	UROK	\N	\N
3659797	3918	1997-08-31	PRIJEM	\N	89	18523	UROK	\N	\N
3659798	3918	1997-09-30	PRIJEM	\N	99	23025	UROK	\N	\N
3659799	3918	1997-10-31	PRIJEM	\N	118	27545	UROK	\N	\N
3659800	3918	1997-11-30	PRIJEM	\N	129	30637	UROK	\N	\N
3659801	3918	1997-12-31	PRIJEM	\N	136	34056	UROK	\N	\N
3659802	3918	1998-01-31	PRIJEM	\N	124	25103	UROK	\N	\N
3659803	3918	1998-02-28	PRIJEM	\N	125	29630	UROK	\N	\N
3659804	3918	1998-03-31	PRIJEM	\N	133	34165	UROK	\N	\N
3659805	3918	1998-04-30	PRIJEM	\N	150	37158	UROK	\N	\N
3659806	3918	1998-05-31	PRIJEM	\N	177	41737	UROK	\N	\N
3659807	3918	1998-06-30	PRIJEM	\N	124	15404	UROK	\N	\N
3659808	3918	1998-07-31	PRIJEM	\N	73	19880	UROK	\N	\N
3659809	3918	1998-08-31	PRIJEM	\N	104	24386	UROK	\N	\N
3659810	3918	1998-09-30	PRIJEM	\N	109	23017	UROK	\N	\N
3659811	3918	1998-10-31	PRIJEM	\N	117	27537	UROK	\N	\N
3659812	3918	1998-11-30	PRIJEM	\N	136	32075	UROK	\N	\N
3659813	3918	1998-12-31	PRIJEM	\N	147	37586	UROK	\N	\N
3659814	3919	1997-11-30	PRIJEM	\N	48	24478	UROK	\N	\N
3659815	3919	1997-12-31	PRIJEM	\N	132	39755	UROK	\N	\N
3659816	3919	1998-01-31	PRIJEM	\N	178	45963	UROK	\N	\N
3659817	3919	1998-02-28	PRIJEM	\N	195	47788	UROK	\N	\N
3659818	3919	1998-03-31	PRIJEM	\N	209	43926	UROK	\N	\N
3659819	3919	1998-04-30	PRIJEM	\N	204	48524	UROK	\N	\N
3659820	3919	1998-05-31	PRIJEM	\N	209	46727	UROK	\N	\N
3659821	3919	1998-06-30	PRIJEM	\N	163	35899	UROK	\N	\N
3659822	3919	1998-07-31	PRIJEM	\N	179	44973	UROK	\N	\N
3659823	3919	1998-08-31	PRIJEM	\N	212	52379	UROK	\N	\N
3659824	3919	1998-09-30	PRIJEM	\N	226	53600	UROK	\N	\N
3659825	3919	1998-10-31	PRIJEM	\N	227	53021	UROK	\N	\N
3659826	3919	1998-11-30	PRIJEM	\N	231	55646	UROK	\N	\N
3659827	3919	1998-12-31	PRIJEM	\N	246	57881	UROK	\N	\N
3659828	3920	1993-10-31	PRIJEM	\N	187	70362	UROK	\N	\N
3659829	3920	1993-11-30	PRIJEM	\N	189	45551	UROK	\N	\N
3659830	3920	1993-12-31	PRIJEM	\N	189	31740	UROK	\N	\N
3659831	3920	1994-01-31	PRIJEM	\N	353	50098	UROK	\N	\N
3659832	3920	1994-02-28	PRIJEM	\N	388	94668	UROK	\N	\N
3659833	3920	1994-03-31	PRIJEM	\N	291	49590	UROK	\N	\N
3659834	3920	1994-04-30	PRIJEM	\N	371	56520	UROK	\N	\N
3659835	3920	1994-05-31	PRIJEM	\N	312	57841	UROK	\N	\N
3659836	3920	1994-06-30	PRIJEM	\N	324	64153	UROK	\N	\N
3659837	3920	1994-07-31	PRIJEM	\N	261	51177	UROK	\N	\N
3659838	3920	1994-08-31	PRIJEM	\N	223	72532	UROK	\N	\N
3659839	3920	1994-09-30	PRIJEM	\N	298	47716	UROK	\N	\N
3659840	3920	1994-10-31	PRIJEM	\N	270	59591	UROK	\N	\N
3659841	3920	1994-11-30	PRIJEM	\N	278	95374	UROK	\N	\N
3659842	3920	1994-12-31	PRIJEM	\N	344	34392	UROK	\N	\N
3659843	3920	1995-01-31	PRIJEM	\N	141	30519	UROK	\N	\N
3659844	3920	1995-02-28	PRIJEM	\N	125	26629	UROK	\N	\N
3659845	3920	1995-03-31	PRIJEM	\N	255	58021	UROK	\N	\N
3659846	3920	1995-04-30	PRIJEM	\N	238	42544	UROK	\N	\N
3659847	3920	1995-05-31	PRIJEM	\N	208	60455	UROK	\N	\N
3659848	3920	1995-06-30	PRIJEM	\N	244	55333	UROK	\N	\N
3659849	3920	1995-07-31	PRIJEM	\N	218	45212	UROK	\N	\N
3659850	3920	1995-08-31	PRIJEM	\N	207	78519	UROK	\N	\N
3659851	3920	1995-09-30	PRIJEM	\N	277	46111	UROK	\N	\N
3659852	3920	1995-10-31	PRIJEM	\N	179	29875	UROK	\N	\N
3659853	3920	1995-11-30	PRIJEM	\N	144	82993	UROK	\N	\N
3659854	3920	1995-12-31	PRIJEM	\N	367	57648	UROK	\N	\N
3659855	3920	1996-01-31	PRIJEM	\N	216	45141	UROK	\N	\N
3659856	3920	1996-02-29	PRIJEM	\N	160	30564	UROK	\N	\N
3659857	3920	1996-03-31	PRIJEM	\N	125	33875	UROK	\N	\N
3659858	3920	1996-04-30	PRIJEM	\N	132	30682	UROK	\N	\N
3659859	3920	1996-05-31	PRIJEM	\N	125	33393	UROK	\N	\N
3659860	3920	1996-06-30	PRIJEM	\N	127	29070	UROK	\N	\N
3659861	3920	1996-07-31	PRIJEM	\N	118	28973	UROK	\N	\N
3659862	3920	1996-08-31	PRIJEM	\N	117	27776	UROK	\N	\N
3659863	3920	1996-09-30	PRIJEM	\N	112	28573	UROK	\N	\N
3659864	3920	1996-10-31	PRIJEM	\N	104	23692	UROK	\N	\N
3659865	3920	1996-11-30	PRIJEM	\N	95	25272	UROK	\N	\N
3659866	3920	1996-12-31	PRIJEM	\N	102	25659	UROK	\N	\N
3659867	3920	1997-01-31	PRIJEM	\N	103	27648	UROK	\N	\N
3659868	3920	1997-02-28	PRIJEM	\N	111	23844	UROK	\N	\N
3659869	3920	1997-03-31	PRIJEM	\N	95	19124	UROK	\N	\N
3659870	3920	1997-04-30	PRIJEM	\N	100	28942	UROK	\N	\N
3659871	3920	1997-05-31	PRIJEM	\N	115	23742	UROK	\N	\N
3659872	3920	1997-06-30	PRIJEM	\N	94	22722	UROK	\N	\N
3659873	3920	1997-07-31	PRIJEM	\N	90	20497	UROK	\N	\N
3659874	3920	1997-08-31	PRIJEM	\N	80	19563	UROK	\N	\N
3659875	3920	1997-09-30	PRIJEM	\N	77	20725	UROK	\N	\N
3659876	3920	1997-10-31	PRIJEM	\N	81	20391	UROK	\N	\N
3659877	3920	1997-11-30	PRIJEM	\N	166	66343	UROK	\N	\N
3659878	3920	1997-12-31	PRIJEM	\N	224	37352	UROK	\N	\N
3659879	3920	1998-01-31	PRIJEM	\N	148	25086	UROK	\N	\N
3659880	3920	1998-02-28	PRIJEM	\N	107	53874	UROK	\N	\N
3659881	3920	1998-03-31	PRIJEM	\N	229	77347	UROK	\N	\N
3659882	3920	1998-04-30	PRIJEM	\N	234	49215	UROK	\N	\N
3659883	3920	1998-05-31	PRIJEM	\N	196	29896	UROK	\N	\N
3659884	3920	1998-06-30	PRIJEM	\N	118	26579	UROK	\N	\N
3659885	3920	1998-07-31	PRIJEM	\N	101	25708	UROK	\N	\N
3659886	3920	1998-08-31	PRIJEM	\N	129	40607	UROK	\N	\N
3659887	3920	1998-09-30	PRIJEM	\N	208	107426	UROK	\N	\N
3659888	3920	1998-10-31	PRIJEM	\N	275	34172	UROK	\N	\N
3659889	3920	1998-11-30	PRIJEM	\N	134	33601	UROK	\N	\N
3659890	3920	1998-12-31	PRIJEM	\N	167	69420	UROK	\N	\N
3659891	3922	1998-03-31	PRIJEM	\N	4	29269	UROK	\N	\N
3659892	3922	1998-04-30	PRIJEM	\N	128	31382	UROK	\N	\N
3659893	3922	1998-05-31	PRIJEM	\N	132	30919	UROK	\N	\N
3659894	3922	1998-06-30	PRIJEM	\N	102	21527	UROK	\N	\N
3659895	3922	1998-07-31	PRIJEM	\N	93	22625	UROK	\N	\N
3659896	3922	1998-08-31	PRIJEM	\N	86	17717	UROK	\N	\N
3659897	3922	1998-09-30	PRIJEM	\N	64	15027	UROK	\N	\N
3659898	3922	1998-10-31	PRIJEM	\N	60	13192	UROK	\N	\N
3659899	3922	1998-11-30	PRIJEM	\N	56	13153	UROK	\N	\N
3659900	3922	1998-12-31	PRIJEM	\N	52	11710	UROK	\N	\N
3659901	3923	1993-04-30	PRIJEM	\N	7	24178	UROK	\N	\N
3659902	3923	1993-05-31	PRIJEM	\N	105	34954	UROK	\N	\N
3659903	3923	1993-06-30	PRIJEM	\N	150	45859	UROK	\N	\N
3659904	3923	1993-07-31	PRIJEM	\N	191	47522	UROK	\N	\N
3659905	3923	1993-08-31	PRIJEM	\N	224	45180	UROK	\N	\N
3659906	3923	1993-09-30	PRIJEM	\N	209	39608	UROK	\N	\N
3659907	3923	1993-10-31	PRIJEM	\N	196	41824	UROK	\N	\N
3659908	3923	1993-11-30	PRIJEM	\N	202	41445	UROK	\N	\N
3659909	3923	1993-12-31	PRIJEM	\N	218	38368	UROK	\N	\N
3659910	3923	1994-01-31	PRIJEM	\N	170	35157	UROK	\N	\N
3659911	3923	1994-02-28	PRIJEM	\N	174	38550	UROK	\N	\N
3659912	3923	1994-03-31	PRIJEM	\N	187	40457	UROK	\N	\N
3659913	3923	1994-04-30	PRIJEM	\N	197	43073	UROK	\N	\N
3659914	3923	1994-05-31	PRIJEM	\N	194	39386	UROK	\N	\N
3659915	3923	1994-06-30	PRIJEM	\N	201	41292	UROK	\N	\N
3659916	3923	1994-07-31	PRIJEM	\N	189	38400	UROK	\N	\N
3659917	3923	1994-08-31	PRIJEM	\N	181	39200	UROK	\N	\N
3659918	3923	1994-09-30	PRIJEM	\N	180	38100	UROK	\N	\N
3659919	3923	1994-10-31	PRIJEM	\N	177	35796	UROK	\N	\N
3659920	3923	1994-11-30	PRIJEM	\N	166	36281	UROK	\N	\N
3659921	3923	1994-12-31	PRIJEM	\N	186	41771	UROK	\N	\N
3659922	3923	1995-01-31	PRIJEM	\N	183	40773	UROK	\N	\N
3659923	3923	1995-02-28	PRIJEM	\N	181	39074	UROK	\N	\N
3659924	3923	1995-03-31	PRIJEM	\N	185	43278	UROK	\N	\N
3659925	3923	1995-04-30	PRIJEM	\N	195	43992	UROK	\N	\N
3659926	3923	1995-05-31	PRIJEM	\N	196	44207	UROK	\N	\N
3659927	3923	1995-06-30	PRIJEM	\N	214	50026	UROK	\N	\N
3659928	3923	1995-07-31	PRIJEM	\N	216	48561	UROK	\N	\N
3659929	3923	1995-08-31	PRIJEM	\N	206	46686	UROK	\N	\N
3659930	3923	1995-09-30	PRIJEM	\N	194	40800	UROK	\N	\N
3659931	3923	1995-10-31	PRIJEM	\N	179	42398	UROK	\N	\N
3659932	3923	1995-11-30	PRIJEM	\N	184	44501	UROK	\N	\N
3659933	3923	1995-12-31	PRIJEM	\N	207	46412	UROK	\N	\N
3659934	3923	1996-01-31	PRIJEM	\N	178	37909	UROK	\N	\N
3659935	3923	1996-02-29	PRIJEM	\N	172	39801	UROK	\N	\N
3659936	3923	1996-03-31	PRIJEM	\N	176	44097	UROK	\N	\N
3659937	3923	1996-04-30	PRIJEM	\N	195	44911	UROK	\N	\N
3659938	3923	1996-05-31	PRIJEM	\N	183	44414	UROK	\N	\N
3659939	3923	1996-06-30	PRIJEM	\N	155	33673	UROK	\N	\N
3659940	3923	1996-07-31	PRIJEM	\N	148	35640	UROK	\N	\N
3659941	3923	1996-08-31	PRIJEM	\N	184	49643	UROK	\N	\N
3659942	3923	1996-09-30	PRIJEM	\N	229	59591	UROK	\N	\N
3659943	3923	1996-10-31	PRIJEM	\N	257	63667	UROK	\N	\N
3659944	3923	1996-11-30	PRIJEM	\N	264	66551	UROK	\N	\N
3659945	3923	1996-12-31	PRIJEM	\N	299	77654	UROK	\N	\N
3659946	3923	1997-01-31	PRIJEM	\N	321	75594	UROK	\N	\N
3659947	3923	1997-02-28	PRIJEM	\N	320	78934	UROK	\N	\N
3659948	3923	1997-03-31	PRIJEM	\N	331	77785	UROK	\N	\N
3659949	3923	1997-04-30	PRIJEM	\N	326	79730	UROK	\N	\N
3659950	3923	1997-05-31	PRIJEM	\N	325	78274	UROK	\N	\N
3659951	3923	1997-06-30	PRIJEM	\N	346	81224	UROK	\N	\N
3659952	3923	1997-07-31	PRIJEM	\N	337	79980	UROK	\N	\N
3659953	3923	1997-08-31	PRIJEM	\N	332	77732	UROK	\N	\N
3659954	3923	1997-09-30	PRIJEM	\N	341	85892	UROK	\N	\N
3659955	3923	1997-10-31	PRIJEM	\N	362	89174	UROK	\N	\N
3659956	3923	1997-11-30	PRIJEM	\N	376	90069	UROK	\N	\N
3659957	3923	1997-12-31	PRIJEM	\N	418	106292	UROK	\N	\N
3659958	3923	1998-01-31	PRIJEM	\N	405	100616	UROK	\N	\N
3659959	3923	1998-02-28	PRIJEM	\N	429	106464	UROK	\N	\N
3659960	3923	1998-03-31	PRIJEM	\N	342	69325	UROK	\N	\N
3659961	3923	1998-04-30	PRIJEM	\N	339	90383	UROK	\N	\N
3659962	3923	1998-05-31	PRIJEM	\N	396	99798	UROK	\N	\N
3659963	3923	1998-06-30	PRIJEM	\N	336	65839	UROK	\N	\N
3659964	3923	1998-07-31	PRIJEM	\N	321	85079	UROK	\N	\N
3659965	3923	1998-08-31	PRIJEM	\N	382	98380	UROK	\N	\N
3659966	3923	1998-09-30	PRIJEM	\N	396	104195	UROK	\N	\N
3659967	3923	1998-10-31	PRIJEM	\N	400	87614	UROK	\N	\N
3659968	3923	1998-11-30	PRIJEM	\N	395	87629	UROK	\N	\N
3659969	3923	1998-12-31	PRIJEM	\N	426	114260	UROK	\N	\N
3659970	3924	1996-07-31	PRIJEM	\N	57	21084	UROK	\N	\N
3659971	3924	1996-08-31	PRIJEM	\N	92	22832	UROK	\N	\N
3659972	3924	1996-09-30	PRIJEM	\N	100	24588	UROK	\N	\N
3659973	3924	1996-10-31	PRIJEM	\N	107	26351	UROK	\N	\N
3659974	3924	1996-11-30	PRIJEM	\N	110	25618	UROK	\N	\N
3659975	3924	1996-12-31	PRIJEM	\N	110	26485	UROK	\N	\N
3659976	3924	1997-01-31	PRIJEM	\N	89	17591	UROK	\N	\N
3659977	3924	1997-02-28	PRIJEM	\N	77	19324	UROK	\N	\N
3659978	3924	1997-03-31	PRIJEM	\N	85	21066	UROK	\N	\N
3659979	3924	1997-04-30	PRIJEM	\N	84	19046	UROK	\N	\N
3659980	3924	1997-05-31	PRIJEM	\N	84	20786	UROK	\N	\N
3659981	3924	1997-06-30	PRIJEM	\N	72	15714	UROK	\N	\N
3659982	3924	1997-07-31	PRIJEM	\N	70	17440	UROK	\N	\N
3659983	3924	1997-08-31	PRIJEM	\N	73	16849	UROK	\N	\N
3659984	3924	1997-09-30	PRIJEM	\N	74	18580	UROK	\N	\N
3659985	3924	1997-10-31	PRIJEM	\N	81	19597	UROK	\N	\N
3659986	3924	1997-11-30	PRIJEM	\N	84	19257	UROK	\N	\N
3659987	3924	1997-12-31	PRIJEM	\N	83	20246	UROK	\N	\N
3659988	3924	1998-01-31	PRIJEM	\N	73	13735	UROK	\N	\N
3659989	3924	1998-02-28	PRIJEM	\N	61	15453	UROK	\N	\N
3659990	3924	1998-03-31	PRIJEM	\N	66	13736	UROK	\N	\N
3659991	3924	1998-04-30	PRIJEM	\N	61	15453	UROK	\N	\N
3659992	3924	1998-05-31	PRIJEM	\N	69	17178	UROK	\N	\N
3659993	3924	1998-06-30	PRIJEM	\N	72	15336	UROK	\N	\N
3659994	3924	1998-07-31	PRIJEM	\N	68	17061	UROK	\N	\N
3659995	3924	1998-08-31	PRIJEM	\N	75	18792	UROK	\N	\N
3659996	3924	1998-09-30	PRIJEM	\N	82	20531	UROK	\N	\N
3659997	3924	1998-10-31	PRIJEM	\N	90	22277	UROK	\N	\N
3659998	3924	1998-11-30	PRIJEM	\N	97	24030	UROK	\N	\N
3659999	3924	1998-12-31	PRIJEM	\N	103	24388	UROK	\N	\N
3660000	3925	1995-10-31	PRIJEM	\N	133	89322	UROK	\N	\N
3660001	3925	1995-11-30	PRIJEM	\N	382	95495	UROK	\N	\N
3660002	3925	1995-12-31	PRIJEM	\N	454	115852	UROK	\N	\N
3660003	3925	1996-01-31	PRIJEM	\N	159	18900	UROK	\N	\N
3660004	3925	1996-02-29	PRIJEM	\N	184	55941	UROK	\N	\N
3660005	3925	1996-03-31	PRIJEM	\N	207	26687	UROK	\N	\N
3660006	3925	1996-04-30	PRIJEM	\N	297	73684	UROK	\N	\N
3660007	3925	1996-05-31	PRIJEM	\N	146	32132	UROK	\N	\N
3660008	3925	1996-06-30	PRIJEM	\N	270	95285	UROK	\N	\N
3660009	3925	1996-07-31	PRIJEM	\N	334	63878	UROK	\N	\N
3660010	3925	1996-08-31	PRIJEM	\N	256	55395	UROK	\N	\N
3660011	3925	1996-09-30	PRIJEM	\N	265	40251	UROK	\N	\N
3660012	3925	1996-10-31	PRIJEM	\N	247	49455	UROK	\N	\N
3660013	3925	1996-11-30	PRIJEM	\N	330	58322	UROK	\N	\N
3660014	3925	1996-12-31	PRIJEM	\N	201	24842	UROK	\N	\N
3660015	3925	1997-01-31	PRIJEM	\N	133	30405	UROK	\N	\N
3660016	3925	1997-02-28	PRIJEM	\N	202	68467	UROK	\N	\N
3660017	3925	1997-03-31	PRIJEM	\N	292	47641	UROK	\N	\N
3660018	3925	1997-04-30	PRIJEM	\N	278	84948	UROK	\N	\N
3660019	3925	1997-05-31	PRIJEM	\N	294	87125	UROK	\N	\N
3660020	3925	1997-06-30	PRIJEM	\N	275	42782	UROK	\N	\N
3660021	3925	1997-07-31	PRIJEM	\N	396	68324	UROK	\N	\N
3660022	3925	1997-08-31	PRIJEM	\N	344	67231	UROK	\N	\N
3660023	3925	1997-09-30	PRIJEM	\N	254	49408	UROK	\N	\N
3660024	3925	1997-10-31	PRIJEM	\N	273	54667	UROK	\N	\N
3660025	3925	1997-11-30	PRIJEM	\N	175	34024	UROK	\N	\N
3660026	3925	1997-12-31	PRIJEM	\N	192	36554	UROK	\N	\N
3660027	3925	1998-01-31	PRIJEM	\N	98	19634	UROK	\N	\N
3660028	3925	1998-02-28	PRIJEM	\N	71	19587	UROK	\N	\N
3660029	3925	1998-03-31	PRIJEM	\N	69	18739	UROK	\N	\N
3660030	3925	1998-04-30	PRIJEM	\N	70	21091	UROK	\N	\N
3660031	3925	1998-05-31	PRIJEM	\N	169	33415	UROK	\N	\N
3660032	3925	1998-06-30	PRIJEM	\N	122	28920	UROK	\N	\N
3660033	3925	1998-07-31	PRIJEM	\N	107	26709	UROK	\N	\N
3660034	3925	1998-08-31	PRIJEM	\N	101	26393	UROK	\N	\N
3660035	3925	1998-09-30	PRIJEM	\N	99	25274	UROK	\N	\N
3660036	3925	1998-10-31	PRIJEM	\N	104	29560	UROK	\N	\N
3660037	3925	1998-11-30	PRIJEM	\N	118	31560	UROK	\N	\N
3660038	3925	1998-12-31	PRIJEM	\N	120	28263	UROK	\N	\N
3660039	3926	1995-02-28	PRIJEM	\N	68	25371	UROK	\N	\N
3660040	3926	1995-03-31	PRIJEM	\N	113	27965	UROK	\N	\N
3660041	3926	1995-04-30	PRIJEM	\N	124	30669	UROK	\N	\N
3660042	3926	1995-05-31	PRIJEM	\N	132	30701	UROK	\N	\N
3660043	3926	1995-06-30	PRIJEM	\N	134	31866	UROK	\N	\N
3660044	3926	1995-07-31	PRIJEM	\N	136	32402	UROK	\N	\N
3660045	3926	1995-08-31	PRIJEM	\N	141	34423	UROK	\N	\N
3660046	3926	1995-09-30	PRIJEM	\N	152	37756	UROK	\N	\N
3660047	3926	1995-10-31	PRIJEM	\N	164	40201	UROK	\N	\N
3660048	3926	1995-11-30	PRIJEM	\N	175	42416	UROK	\N	\N
3660049	3926	1995-12-31	PRIJEM	\N	174	41820	UROK	\N	\N
3660050	3926	1996-01-31	PRIJEM	\N	157	33158	UROK	\N	\N
3660051	3926	1996-02-29	PRIJEM	\N	143	34981	UROK	\N	\N
3660052	3926	1996-03-31	PRIJEM	\N	147	35609	UROK	\N	\N
3660053	3926	1996-04-30	PRIJEM	\N	149	36039	UROK	\N	\N
3660054	3926	1996-05-31	PRIJEM	\N	157	38376	UROK	\N	\N
3660055	3926	1996-06-30	PRIJEM	\N	128	29884	UROK	\N	\N
3660056	3926	1996-07-31	PRIJEM	\N	133	33198	UROK	\N	\N
3660057	3926	1996-08-31	PRIJEM	\N	142	34120	UROK	\N	\N
3660058	3926	1996-09-30	PRIJEM	\N	151	37451	UROK	\N	\N
3660059	3926	1996-10-31	PRIJEM	\N	158	35990	UROK	\N	\N
3660060	3926	1996-11-30	PRIJEM	\N	158	37428	UROK	\N	\N
3660061	3926	1996-12-31	PRIJEM	\N	163	38792	UROK	\N	\N
3660062	3926	1997-01-31	PRIJEM	\N	154	27446	UROK	\N	\N
3660063	3926	1997-02-28	PRIJEM	\N	120	29306	UROK	\N	\N
3660064	3926	1997-03-31	PRIJEM	\N	119	28526	UROK	\N	\N
3660065	3926	1997-04-30	PRIJEM	\N	127	31833	UROK	\N	\N
3660066	3926	1997-05-31	PRIJEM	\N	141	35154	UROK	\N	\N
3660067	3926	1997-06-30	PRIJEM	\N	148	26663	UROK	\N	\N
3660068	3926	1997-07-31	PRIJEM	\N	116	28599	UROK	\N	\N
3660069	3926	1997-08-31	PRIJEM	\N	127	31907	UROK	\N	\N
3660070	3926	1997-09-30	PRIJEM	\N	141	35228	UROK	\N	\N
3660071	3926	1997-10-31	PRIJEM	\N	155	38563	UROK	\N	\N
3660072	3926	1997-11-30	PRIJEM	\N	168	41911	UROK	\N	\N
3660073	3926	1997-12-31	PRIJEM	\N	180	44172	UROK	\N	\N
3660074	3926	1998-01-31	PRIJEM	\N	165	37727	UROK	\N	\N
3660075	3926	1998-02-28	PRIJEM	\N	161	39789	UROK	\N	\N
3660076	3926	1998-03-31	PRIJEM	\N	173	43142	UROK	\N	\N
3660077	3926	1998-04-30	PRIJEM	\N	187	46510	UROK	\N	\N
3660078	3926	1998-05-31	PRIJEM	\N	197	47086	UROK	\N	\N
3660079	3926	1998-06-30	PRIJEM	\N	157	32194	UROK	\N	\N
3660080	3926	1998-07-31	PRIJEM	\N	141	35516	UROK	\N	\N
3660081	3926	1998-08-31	PRIJEM	\N	147	35723	UROK	\N	\N
3660082	3926	1998-09-30	PRIJEM	\N	156	39059	UROK	\N	\N
3660083	3926	1998-10-31	PRIJEM	\N	168	41308	UROK	\N	\N
3660084	3926	1998-11-30	PRIJEM	\N	179	44667	UROK	\N	\N
3660085	3926	1998-12-31	PRIJEM	\N	191	47488	UROK	\N	\N
3660086	3927	1993-11-30	PRIJEM	\N	18	12907	UROK	\N	\N
3660087	3927	1993-12-31	PRIJEM	\N	69	23159	UROK	\N	\N
3660088	3927	1994-01-31	PRIJEM	\N	101	26149	UROK	\N	\N
3660089	3927	1994-02-28	PRIJEM	\N	113	29251	UROK	\N	\N
3660090	3927	1994-03-31	PRIJEM	\N	122	29763	UROK	\N	\N
3660091	3927	1994-04-30	PRIJEM	\N	123	28334	UROK	\N	\N
3660092	3927	1994-05-31	PRIJEM	\N	113	26736	UROK	\N	\N
3660093	3927	1994-06-30	PRIJEM	\N	115	26794	UROK	\N	\N
3660094	3927	1994-07-31	PRIJEM	\N	105	24868	UROK	\N	\N
3660095	3927	1994-08-31	PRIJEM	\N	111	28127	UROK	\N	\N
3660096	3927	1994-09-30	PRIJEM	\N	119	28894	UROK	\N	\N
3660097	3927	1994-10-31	PRIJEM	\N	113	25156	UROK	\N	\N
3660098	3927	1994-11-30	PRIJEM	\N	109	26813	UROK	\N	\N
3660099	3927	1994-12-31	PRIJEM	\N	112	26728	UROK	\N	\N
3660100	3927	1995-01-31	PRIJEM	\N	77	17033	UROK	\N	\N
3660101	3927	1995-02-28	PRIJEM	\N	85	23166	UROK	\N	\N
3660102	3927	1995-03-31	PRIJEM	\N	98	23512	UROK	\N	\N
3660103	3927	1995-04-30	PRIJEM	\N	93	21554	UROK	\N	\N
3660104	3927	1995-05-31	PRIJEM	\N	78	19740	UROK	\N	\N
3660105	3927	1995-06-30	PRIJEM	\N	84	19967	UROK	\N	\N
3660106	3927	1995-07-31	PRIJEM	\N	80	18335	UROK	\N	\N
3660107	3927	1995-08-31	PRIJEM	\N	75	18159	UROK	\N	\N
3660108	3927	1995-09-30	PRIJEM	\N	84	21530	UROK	\N	\N
3660109	3927	1995-10-31	PRIJEM	\N	94	23473	UROK	\N	\N
3660110	3927	1995-11-30	PRIJEM	\N	101	24923	UROK	\N	\N
3660111	3927	1995-12-31	PRIJEM	\N	105	23950	UROK	\N	\N
3660112	3927	1996-01-31	PRIJEM	\N	74	14353	UROK	\N	\N
3660113	3927	1996-02-29	PRIJEM	\N	80	21581	UROK	\N	\N
3660114	3927	1996-03-31	PRIJEM	\N	99	21428	UROK	\N	\N
3660115	3927	1996-04-30	PRIJEM	\N	91	22768	UROK	\N	\N
3660116	3927	1996-05-31	PRIJEM	\N	106	26882	UROK	\N	\N
3660117	3927	1996-06-30	PRIJEM	\N	114	28839	UROK	\N	\N
3660118	3927	1996-07-31	PRIJEM	\N	106	24613	UROK	\N	\N
3660119	3927	1996-08-31	PRIJEM	\N	101	24963	UROK	\N	\N
3660120	3927	1996-09-30	PRIJEM	\N	107	26718	UROK	\N	\N
3660121	3927	1996-10-31	PRIJEM	\N	101	24567	UROK	\N	\N
3660122	3927	1996-11-30	PRIJEM	\N	97	22193	UROK	\N	\N
3660123	3927	1996-12-31	PRIJEM	\N	103	26499	UROK	\N	\N
3660124	3927	1997-01-31	PRIJEM	\N	81	16928	UROK	\N	\N
3660125	3927	1997-02-28	PRIJEM	\N	90	23966	UROK	\N	\N
3660126	3927	1997-03-31	PRIJEM	\N	101	23235	UROK	\N	\N
3660127	3927	1997-04-30	PRIJEM	\N	102	25785	UROK	\N	\N
3660128	3927	1997-05-31	PRIJEM	\N	108	26941	UROK	\N	\N
3660129	3927	1997-06-30	PRIJEM	\N	102	24286	UROK	\N	\N
3660130	3927	1997-07-31	PRIJEM	\N	108	27442	UROK	\N	\N
3660131	3927	1997-08-31	PRIJEM	\N	121	30372	UROK	\N	\N
3660132	3927	1997-09-30	PRIJEM	\N	147	37867	UROK	\N	\N
3660133	3927	1997-10-31	PRIJEM	\N	168	42183	UROK	\N	\N
3660134	3927	1997-11-30	PRIJEM	\N	174	43005	UROK	\N	\N
3660135	3927	1997-12-31	PRIJEM	\N	159	41887	UROK	\N	\N
3660136	3927	1998-01-31	PRIJEM	\N	103	29098	UROK	\N	\N
3660137	3927	1998-02-28	PRIJEM	\N	124	37971	UROK	\N	\N
3660138	3927	1998-03-31	PRIJEM	\N	161	41580	UROK	\N	\N
3660139	3927	1998-04-30	PRIJEM	\N	174	38702	UROK	\N	\N
3660140	3927	1998-05-31	PRIJEM	\N	162	36912	UROK	\N	\N
3660141	3927	1998-06-30	PRIJEM	\N	162	39817	UROK	\N	\N
3660142	3927	1998-07-31	PRIJEM	\N	163	37869	UROK	\N	\N
3660143	3927	1998-08-31	PRIJEM	\N	160	40577	UROK	\N	\N
3660144	3927	1998-09-30	PRIJEM	\N	163	36109	UROK	\N	\N
3660145	3927	1998-10-31	PRIJEM	\N	152	38409	UROK	\N	\N
3660146	3927	1998-11-30	PRIJEM	\N	145	41922	UROK	\N	\N
3660147	3927	1998-12-31	PRIJEM	\N	171	43037	UROK	\N	\N
3660148	3930	1995-05-31	PRIJEM	\N	21	21943	UROK	\N	\N
3660149	3930	1995-06-30	PRIJEM	\N	106	36781	UROK	\N	\N
3660150	3930	1995-07-31	PRIJEM	\N	156	39759	UROK	\N	\N
3660151	3930	1995-08-31	PRIJEM	\N	167	41649	UROK	\N	\N
3660152	3930	1995-09-30	PRIJEM	\N	170	39040	UROK	\N	\N
3660153	3930	1995-10-31	PRIJEM	\N	173	33820	UROK	\N	\N
3660154	3930	1995-11-30	PRIJEM	\N	156	32682	UROK	\N	\N
3660155	3930	1995-12-31	PRIJEM	\N	173	33792	UROK	\N	\N
3660156	3930	1996-01-31	PRIJEM	\N	113	13211	UROK	\N	\N
3660157	3930	1996-02-29	PRIJEM	\N	77	17794	UROK	\N	\N
3660158	3930	1996-03-31	PRIJEM	\N	99	24200	UROK	\N	\N
3660159	3930	1996-04-30	PRIJEM	\N	116	24922	UROK	\N	\N
3660160	3930	1996-05-31	PRIJEM	\N	120	26648	UROK	\N	\N
3660161	3930	1996-06-30	PRIJEM	\N	116	24482	UROK	\N	\N
3660162	3930	1996-07-31	PRIJEM	\N	109	22098	UROK	\N	\N
3660163	3930	1996-08-31	PRIJEM	\N	103	22307	UROK	\N	\N
3660164	3930	1996-09-30	PRIJEM	\N	107	24120	UROK	\N	\N
3660165	3930	1996-10-31	PRIJEM	\N	106	20852	UROK	\N	\N
3660166	3930	1996-11-30	PRIJEM	\N	91	17390	UROK	\N	\N
3660167	3930	1996-12-31	PRIJEM	\N	100	20507	UROK	\N	\N
3660168	3930	1997-01-31	PRIJEM	\N	81	14375	UROK	\N	\N
3660169	3930	1997-02-28	PRIJEM	\N	79	19959	UROK	\N	\N
3660170	3930	1997-03-31	PRIJEM	\N	77	17703	UROK	\N	\N
3660171	3930	1997-04-30	PRIJEM	\N	84	18973	UROK	\N	\N
3660172	3930	1997-05-31	PRIJEM	\N	92	21871	UROK	\N	\N
3660173	3930	1997-06-30	PRIJEM	\N	106	17454	UROK	\N	\N
3660174	3930	1997-07-31	PRIJEM	\N	93	23754	UROK	\N	\N
3660175	3930	1997-08-31	PRIJEM	\N	103	24264	UROK	\N	\N
3660176	3930	1997-09-30	PRIJEM	\N	106	25476	UROK	\N	\N
3660177	3930	1997-10-31	PRIJEM	\N	114	27797	UROK	\N	\N
3660178	3930	1997-11-30	PRIJEM	\N	125	31029	UROK	\N	\N
3660179	3930	1997-12-31	PRIJEM	\N	153	32119	UROK	\N	\N
3660180	3930	1998-01-31	PRIJEM	\N	101	14026	UROK	\N	\N
3660181	3930	1998-02-28	PRIJEM	\N	85	23498	UROK	\N	\N
3660182	3930	1998-03-31	PRIJEM	\N	91	21296	UROK	\N	\N
3660183	3930	1998-04-30	PRIJEM	\N	117	20419	UROK	\N	\N
3660184	3930	1998-05-31	PRIJEM	\N	114	20939	UROK	\N	\N
3660185	3930	1998-06-30	PRIJEM	\N	146	40802	UROK	\N	\N
3660186	3930	1998-07-31	PRIJEM	\N	153	36862	UROK	\N	\N
3660187	3930	1998-08-31	PRIJEM	\N	131	30558	UROK	\N	\N
3660188	3930	1998-09-30	PRIJEM	\N	157	40821	UROK	\N	\N
3660189	3930	1998-10-31	PRIJEM	\N	146	36314	UROK	\N	\N
3660190	3930	1998-11-30	PRIJEM	\N	153	40474	UROK	\N	\N
3660191	3930	1998-12-31	PRIJEM	\N	189	50460	UROK	\N	\N
3660192	3932	1996-12-31	PRIJEM	\N	72	26644	UROK	\N	\N
3660193	3932	1997-01-31	PRIJEM	\N	109	18953	UROK	\N	\N
3660194	3932	1997-02-28	PRIJEM	\N	87	21289	UROK	\N	\N
3660195	3932	1997-03-31	PRIJEM	\N	98	23836	UROK	\N	\N
3660196	3932	1997-04-30	PRIJEM	\N	100	20786	UROK	\N	\N
3660197	3932	1997-05-31	PRIJEM	\N	87	17822	UROK	\N	\N
3660198	3932	1997-06-30	PRIJEM	\N	78	17870	UROK	\N	\N
3660199	3932	1997-07-31	PRIJEM	\N	76	15255	UROK	\N	\N
3660200	3932	1997-08-31	PRIJEM	\N	68	16073	UROK	\N	\N
3660201	3932	1997-09-30	PRIJEM	\N	64	12886	UROK	\N	\N
3660202	3932	1997-10-31	PRIJEM	\N	53	10888	UROK	\N	\N
3660203	3932	1997-11-30	PRIJEM	\N	47	11025	UROK	\N	\N
3660204	3932	1997-12-31	PRIJEM	\N	58	16082	UROK	\N	\N
3660205	3932	1998-01-31	PRIJEM	\N	69	13530	UROK	\N	\N
3660206	3932	1998-02-28	PRIJEM	\N	58	13177	UROK	\N	\N
3660207	3932	1998-03-31	PRIJEM	\N	52	10779	UROK	\N	\N
3660208	3932	1998-04-30	PRIJEM	\N	51	12979	UROK	\N	\N
3660209	3932	1998-05-31	PRIJEM	\N	60	14988	UROK	\N	\N
3660210	3932	1998-06-30	PRIJEM	\N	70	18006	UROK	\N	\N
3660211	3932	1998-07-31	PRIJEM	\N	72	15268	UROK	\N	\N
3660212	3932	1998-08-31	PRIJEM	\N	76	20493	UROK	\N	\N
3660213	3932	1998-09-30	PRIJEM	\N	86	18588	UROK	\N	\N
3660214	3932	1998-10-31	PRIJEM	\N	78	16416	UROK	\N	\N
3660215	3932	1998-11-30	PRIJEM	\N	57	12122	UROK	\N	\N
3660216	3932	1998-12-31	PRIJEM	\N	63	17084	UROK	\N	\N
3660217	3933	1996-03-31	PRIJEM	\N	93	34774	UROK	\N	\N
3660218	3933	1996-04-30	PRIJEM	\N	145	33719	UROK	\N	\N
3660219	3933	1996-05-31	PRIJEM	\N	145	35863	UROK	\N	\N
3660220	3933	1996-06-30	PRIJEM	\N	195	52213	UROK	\N	\N
3660221	3933	1996-07-31	PRIJEM	\N	217	43730	UROK	\N	\N
3660222	3933	1996-08-31	PRIJEM	\N	265	69384	UROK	\N	\N
3660223	3933	1996-09-30	PRIJEM	\N	288	48572	UROK	\N	\N
3660224	3933	1996-10-31	PRIJEM	\N	288	37360	UROK	\N	\N
3660225	3933	1996-11-30	PRIJEM	\N	228	43835	UROK	\N	\N
3660226	3933	1996-12-31	PRIJEM	\N	222	57965	UROK	\N	\N
3660227	3933	1997-01-31	PRIJEM	\N	210	43179	UROK	\N	\N
3660228	3933	1997-02-28	PRIJEM	\N	152	26387	UROK	\N	\N
3660229	3933	1997-03-31	PRIJEM	\N	144	32576	UROK	\N	\N
3660230	3933	1997-04-30	PRIJEM	\N	246	79789	UROK	\N	\N
3660231	3933	1997-05-31	PRIJEM	\N	251	57326	UROK	\N	\N
3660232	3933	1997-06-30	PRIJEM	\N	188	38799	UROK	\N	\N
3660233	3933	1997-07-31	PRIJEM	\N	75	19039	UROK	\N	\N
3660234	3933	1997-08-31	PRIJEM	\N	80	28004	UROK	\N	\N
3660235	3933	1997-09-30	PRIJEM	\N	103	22693	UROK	\N	\N
3660236	3933	1997-10-31	PRIJEM	\N	74	2478	UROK	\N	\N
3660237	3933	1997-11-30	PRIJEM	\N	23	18486	UROK	\N	\N
3660238	3933	1997-12-31	PRIJEM	\N	134	70960	UROK	\N	\N
3660239	3933	1998-01-31	PRIJEM	\N	175	38220	UROK	\N	\N
3660240	3933	1998-02-28	PRIJEM	\N	153	26126	UROK	\N	\N
3660241	3933	1998-03-31	PRIJEM	\N	100	24012	UROK	\N	\N
3660242	3933	1998-04-30	PRIJEM	\N	96	18439	UROK	\N	\N
3660243	3933	1998-05-31	PRIJEM	\N	66	29080	UROK	\N	\N
3660244	3933	1998-06-30	PRIJEM	\N	122	39487	UROK	\N	\N
3660245	3933	1998-07-31	PRIJEM	\N	165	50537	UROK	\N	\N
3660246	3933	1998-08-31	PRIJEM	\N	130	39852	UROK	\N	\N
3660247	3933	1998-09-30	PRIJEM	\N	168	43915	UROK	\N	\N
3660248	3933	1998-10-31	PRIJEM	\N	182	46482	UROK	\N	\N
3660249	3933	1998-11-30	PRIJEM	\N	118	31982	UROK	\N	\N
3660250	3933	1998-12-31	PRIJEM	\N	81	14028	UROK	\N	\N
3660251	3934	1998-05-31	PRIJEM	\N	92	26206	UROK	\N	\N
3660252	3934	1998-06-30	PRIJEM	\N	97	21854	UROK	\N	\N
3660253	3934	1998-07-31	PRIJEM	\N	100	23506	UROK	\N	\N
3660254	3934	1998-08-31	PRIJEM	\N	104	23461	UROK	\N	\N
3660255	3934	1998-09-30	PRIJEM	\N	102	22314	UROK	\N	\N
3660256	3934	1998-10-31	PRIJEM	\N	95	20361	UROK	\N	\N
3660257	3934	1998-11-30	PRIJEM	\N	86	17998	UROK	\N	\N
3660258	3934	1998-12-31	PRIJEM	\N	84	20834	UROK	\N	\N
3660259	3935	1993-04-30	PRIJEM	\N	78	23514	UROK	\N	\N
3660260	3935	1993-05-31	PRIJEM	\N	142	36692	UROK	\N	\N
3660261	3935	1993-06-30	PRIJEM	\N	188	47084	UROK	\N	\N
3660262	3935	1993-07-31	PRIJEM	\N	272	48192	UROK	\N	\N
3660263	3935	1993-08-31	PRIJEM	\N	217	48615	UROK	\N	\N
3660264	3935	1993-09-30	PRIJEM	\N	202	48761	UROK	\N	\N
3660265	3935	1993-10-31	PRIJEM	\N	124	23573	UROK	\N	\N
3660266	3935	1993-11-30	PRIJEM	\N	134	33650	UROK	\N	\N
3660267	3935	1993-12-31	PRIJEM	\N	136	25197	UROK	\N	\N
3660268	3935	1994-01-31	PRIJEM	\N	90	19530	UROK	\N	\N
3660269	3935	1994-02-28	PRIJEM	\N	139	35813	UROK	\N	\N
3660270	3935	1994-03-31	PRIJEM	\N	164	36620	UROK	\N	\N
3660271	3935	1994-04-30	PRIJEM	\N	179	44342	UROK	\N	\N
3660272	3935	1994-05-31	PRIJEM	\N	172	25417	UROK	\N	\N
3660273	3935	1994-06-30	PRIJEM	\N	155	26980	UROK	\N	\N
3660274	3935	1994-07-31	PRIJEM	\N	131	24854	UROK	\N	\N
3660275	3935	1994-08-31	PRIJEM	\N	146	27144	UROK	\N	\N
3660276	3935	1994-09-30	PRIJEM	\N	118	28251	UROK	\N	\N
3660277	3935	1994-10-31	PRIJEM	\N	156	33151	UROK	\N	\N
3660278	3935	1994-11-30	PRIJEM	\N	165	34059	UROK	\N	\N
3660279	3935	1994-12-31	PRIJEM	\N	163	27130	UROK	\N	\N
3660280	3935	1995-01-31	PRIJEM	\N	127	23401	UROK	\N	\N
3660281	3935	1995-02-28	PRIJEM	\N	137	32681	UROK	\N	\N
3660282	3935	1995-03-31	PRIJEM	\N	155	27022	UROK	\N	\N
3660283	3935	1995-04-30	PRIJEM	\N	149	30314	UROK	\N	\N
3660284	3935	1995-05-31	PRIJEM	\N	163	34920	UROK	\N	\N
3660285	3935	1995-06-30	PRIJEM	\N	210	38641	UROK	\N	\N
3660286	3935	1995-07-31	PRIJEM	\N	191	37175	UROK	\N	\N
3660287	3935	1995-08-31	PRIJEM	\N	141	29220	UROK	\N	\N
3660288	3935	1995-09-30	PRIJEM	\N	156	34119	UROK	\N	\N
3660289	3935	1995-10-31	PRIJEM	\N	154	35819	UROK	\N	\N
3660290	3935	1995-11-30	PRIJEM	\N	181	39844	UROK	\N	\N
3660291	3935	1995-12-31	PRIJEM	\N	147	31677	UROK	\N	\N
3660292	3935	1996-01-31	PRIJEM	\N	111	22074	UROK	\N	\N
3660293	3935	1996-02-29	PRIJEM	\N	129	31346	UROK	\N	\N
3660294	3935	1996-03-31	PRIJEM	\N	126	30416	UROK	\N	\N
3660295	3935	1996-04-30	PRIJEM	\N	156	34515	UROK	\N	\N
3660296	3935	1996-05-31	PRIJEM	\N	173	38832	UROK	\N	\N
3660297	3935	1996-06-30	PRIJEM	\N	156	30699	UROK	\N	\N
3660298	3935	1996-07-31	PRIJEM	\N	162	38604	UROK	\N	\N
3660299	3935	1996-08-31	PRIJEM	\N	164	33311	UROK	\N	\N
3660300	3935	1996-09-30	PRIJEM	\N	163	36317	UROK	\N	\N
3660301	3935	1996-10-31	PRIJEM	\N	167	35327	UROK	\N	\N
3660302	3935	1996-11-30	PRIJEM	\N	169	34840	UROK	\N	\N
3660303	3935	1996-12-31	PRIJEM	\N	196	37147	UROK	\N	\N
3660304	3935	1997-01-31	PRIJEM	\N	147	26895	UROK	\N	\N
3660305	3935	1997-02-28	PRIJEM	\N	129	32967	UROK	\N	\N
3660306	3935	1997-03-31	PRIJEM	\N	166	39477	UROK	\N	\N
3660307	3935	1997-04-30	PRIJEM	\N	177	36897	UROK	\N	\N
3660308	3935	1997-05-31	PRIJEM	\N	164	25024	UROK	\N	\N
3660309	3935	1997-06-30	PRIJEM	\N	131	30475	UROK	\N	\N
3660310	3935	1997-07-31	PRIJEM	\N	155	37473	UROK	\N	\N
3660311	3935	1997-08-31	PRIJEM	\N	153	36990	UROK	\N	\N
3660312	3935	1997-09-30	PRIJEM	\N	182	44516	UROK	\N	\N
3660313	3935	1997-10-31	PRIJEM	\N	170	39392	UROK	\N	\N
3660314	3935	1997-11-30	PRIJEM	\N	174	37509	UROK	\N	\N
3660315	3935	1997-12-31	PRIJEM	\N	149	30489	UROK	\N	\N
3660316	3935	1998-01-31	PRIJEM	\N	112	23544	UROK	\N	\N
3660317	3935	1998-02-28	PRIJEM	\N	147	39334	UROK	\N	\N
3660318	3935	1998-03-31	PRIJEM	\N	187	45564	UROK	\N	\N
3660319	3935	1998-04-30	PRIJEM	\N	199	47006	UROK	\N	\N
3660320	3935	1998-05-31	PRIJEM	\N	189	25392	UROK	\N	\N
3660321	3935	1998-06-30	PRIJEM	\N	125	25428	UROK	\N	\N
3660322	3935	1998-07-31	PRIJEM	\N	153	41025	UROK	\N	\N
3660323	3935	1998-08-31	PRIJEM	\N	180	46970	UROK	\N	\N
3660324	3935	1998-09-30	PRIJEM	\N	197	47610	UROK	\N	\N
3660325	3935	1998-10-31	PRIJEM	\N	198	41483	UROK	\N	\N
3660326	3935	1998-11-30	PRIJEM	\N	169	36668	UROK	\N	\N
3660327	3935	1998-12-31	PRIJEM	\N	194	43784	UROK	\N	\N
3660328	3936	1995-05-31	PRIJEM	\N	11	4439	UROK	\N	\N
3660329	3936	1995-06-30	PRIJEM	\N	54	19420	UROK	\N	\N
3660330	3936	1995-07-31	PRIJEM	\N	105	29353	UROK	\N	\N
3660331	3936	1995-08-31	PRIJEM	\N	128	31909	UROK	\N	\N
3660332	3936	1995-09-30	PRIJEM	\N	139	34476	UROK	\N	\N
3660333	3936	1995-10-31	PRIJEM	\N	142	35113	UROK	\N	\N
3660334	3936	1995-11-30	PRIJEM	\N	146	35814	UROK	\N	\N
3660335	3936	1995-12-31	PRIJEM	\N	147	36336	UROK	\N	\N
3660336	3936	1996-01-31	PRIJEM	\N	144	32635	UROK	\N	\N
3660337	3936	1996-02-29	PRIJEM	\N	136	29267	UROK	\N	\N
3660338	3936	1996-03-31	PRIJEM	\N	124	32786	UROK	\N	\N
3660339	3936	1996-04-30	PRIJEM	\N	138	34620	UROK	\N	\N
3660340	3936	1996-05-31	PRIJEM	\N	145	35261	UROK	\N	\N
3660341	3936	1996-06-30	PRIJEM	\N	146	36782	UROK	\N	\N
3660342	3936	1996-07-31	PRIJEM	\N	154	37532	UROK	\N	\N
3660343	3936	1996-08-31	PRIJEM	\N	154	34401	UROK	\N	\N
3660344	3936	1996-09-30	PRIJEM	\N	144	34540	UROK	\N	\N
3660345	3936	1996-10-31	PRIJEM	\N	138	32544	UROK	\N	\N
3660346	3936	1996-11-30	PRIJEM	\N	132	29272	UROK	\N	\N
3660347	3936	1996-12-31	PRIJEM	\N	120	27197	UROK	\N	\N
3660348	3936	1997-01-31	PRIJEM	\N	107	27380	UROK	\N	\N
3660349	3936	1997-02-28	PRIJEM	\N	110	23585	UROK	\N	\N
3660350	3936	1997-03-31	PRIJEM	\N	97	22877	UROK	\N	\N
3660351	3936	1997-04-30	PRIJEM	\N	98	26071	UROK	\N	\N
3660352	3936	1997-05-31	PRIJEM	\N	107	25024	UROK	\N	\N
3660353	3936	1997-06-30	PRIJEM	\N	95	23824	UROK	\N	\N
3660354	3936	1997-07-31	PRIJEM	\N	101	25921	UROK	\N	\N
3660355	3936	1997-08-31	PRIJEM	\N	103	23899	UROK	\N	\N
3660356	3936	1997-09-30	PRIJEM	\N	106	29101	UROK	\N	\N
3660357	3936	1997-10-31	PRIJEM	\N	125	32221	UROK	\N	\N
3660358	3936	1997-11-30	PRIJEM	\N	134	32850	UROK	\N	\N
3660359	3936	1997-12-31	PRIJEM	\N	137	33742	UROK	\N	\N
3660360	3936	1998-01-31	PRIJEM	\N	126	27733	UROK	\N	\N
3660361	3936	1998-02-28	PRIJEM	\N	113	27542	UROK	\N	\N
3660362	3936	1998-03-31	PRIJEM	\N	116	29633	UROK	\N	\N
3660363	3936	1998-04-30	PRIJEM	\N	126	32255	UROK	\N	\N
3660364	3936	1998-05-31	PRIJEM	\N	136	34086	UROK	\N	\N
3660365	3936	1998-06-30	PRIJEM	\N	121	27072	UROK	\N	\N
3660366	3936	1998-07-31	PRIJEM	\N	108	25876	UROK	\N	\N
3660367	3936	1998-08-31	PRIJEM	\N	112	29083	UROK	\N	\N
3660368	3936	1998-09-30	PRIJEM	\N	113	26692	UROK	\N	\N
3660369	3936	1998-10-31	PRIJEM	\N	96	21082	UROK	\N	\N
3660370	3936	1998-11-30	PRIJEM	\N	85	18933	UROK	\N	\N
3660371	3936	1998-12-31	PRIJEM	\N	72	17391	UROK	\N	\N
3660372	3937	1996-01-31	PRIJEM	\N	15	6073	UROK	\N	\N
3660373	3937	1996-02-29	PRIJEM	\N	25	11356	UROK	\N	\N
3660374	3937	1996-03-31	PRIJEM	\N	25	16639	UROK	\N	\N
3660375	3937	1996-04-30	PRIJEM	\N	25	21922	UROK	\N	\N
3660376	3937	1996-05-31	PRIJEM	\N	28	27209	UROK	\N	\N
3660377	3937	1996-06-30	PRIJEM	\N	103	14370	UROK	\N	\N
3660378	3937	1996-07-31	PRIJEM	\N	64	16293	UROK	\N	\N
3660379	3937	1996-08-31	PRIJEM	\N	72	15743	UROK	\N	\N
3660380	3937	1996-09-30	PRIJEM	\N	70	17671	UROK	\N	\N
3660381	3937	1996-10-31	PRIJEM	\N	77	17047	UROK	\N	\N
3660382	3937	1996-11-30	PRIJEM	\N	75	18981	UROK	\N	\N
3660383	3937	1996-12-31	PRIJEM	\N	83	20522	UROK	\N	\N
3660384	3937	1997-01-31	PRIJEM	\N	72	14612	UROK	\N	\N
3660385	3937	1997-02-28	PRIJEM	\N	63	15253	UROK	\N	\N
3660386	3937	1997-03-31	PRIJEM	\N	58	13410	UROK	\N	\N
3660387	3937	1997-04-30	PRIJEM	\N	60	15328	UROK	\N	\N
3660388	3937	1997-05-31	PRIJEM	\N	65	13891	UROK	\N	\N
3660389	3937	1997-06-30	PRIJEM	\N	62	15812	UROK	\N	\N
3660390	3937	1997-07-31	PRIJEM	\N	70	17741	UROK	\N	\N
3660391	3937	1997-08-31	PRIJEM	\N	78	19677	UROK	\N	\N
3660392	3937	1997-09-30	PRIJEM	\N	86	21622	UROK	\N	\N
3660393	3937	1997-10-31	PRIJEM	\N	94	23575	UROK	\N	\N
3660394	3937	1997-11-30	PRIJEM	\N	102	25535	UROK	\N	\N
3660395	3937	1997-12-31	PRIJEM	\N	106	26599	UROK	\N	\N
3660396	3937	1998-01-31	PRIJEM	\N	77	14595	UROK	\N	\N
3660397	3937	1998-02-28	PRIJEM	\N	65	16518	UROK	\N	\N
3660398	3937	1998-03-31	PRIJEM	\N	73	18449	UROK	\N	\N
3660399	3937	1998-04-30	PRIJEM	\N	81	20389	UROK	\N	\N
3660400	3937	1998-05-31	PRIJEM	\N	89	22336	UROK	\N	\N
3660401	3937	1998-06-30	PRIJEM	\N	92	21967	UROK	\N	\N
3660402	3937	1998-07-31	PRIJEM	\N	90	21516	UROK	\N	\N
3660403	3937	1998-08-31	PRIJEM	\N	91	20585	UROK	\N	\N
3660404	3937	1998-09-30	PRIJEM	\N	90	22533	UROK	\N	\N
3660405	3937	1998-10-31	PRIJEM	\N	98	24490	UROK	\N	\N
3660406	3937	1998-11-30	PRIJEM	\N	106	26454	UROK	\N	\N
3660407	3937	1998-12-31	PRIJEM	\N	111	28023	UROK	\N	\N
3660408	3938	1993-12-31	PRIJEM	\N	60	29811	UROK	\N	\N
3660409	3938	1994-01-31	PRIJEM	\N	141	37986	UROK	\N	\N
3660410	3938	1994-02-28	PRIJEM	\N	166	42087	UROK	\N	\N
3660411	3938	1994-03-31	PRIJEM	\N	184	46604	UROK	\N	\N
3660412	3938	1994-04-30	PRIJEM	\N	202	45640	UROK	\N	\N
3660413	3938	1994-05-31	PRIJEM	\N	209	44899	UROK	\N	\N
3660414	3938	1994-06-30	PRIJEM	\N	216	49382	UROK	\N	\N
3660415	3938	1994-07-31	PRIJEM	\N	213	45046	UROK	\N	\N
3660416	3938	1994-08-31	PRIJEM	\N	192	39588	UROK	\N	\N
3660417	3938	1994-09-30	PRIJEM	\N	178	40516	UROK	\N	\N
3660418	3938	1994-10-31	PRIJEM	\N	193	45160	UROK	\N	\N
3660419	3938	1994-11-30	PRIJEM	\N	207	48417	UROK	\N	\N
3660420	3938	1994-12-31	PRIJEM	\N	234	54019	UROK	\N	\N
3660421	3938	1995-01-31	PRIJEM	\N	224	51293	UROK	\N	\N
3660422	3938	1995-02-28	PRIJEM	\N	222	51965	UROK	\N	\N
3660423	3938	1995-03-31	PRIJEM	\N	224	51440	UROK	\N	\N
3660424	3938	1995-04-30	PRIJEM	\N	213	48903	UROK	\N	\N
3660425	3938	1995-05-31	PRIJEM	\N	214	49967	UROK	\N	\N
3660426	3938	1995-06-30	PRIJEM	\N	192	25127	UROK	\N	\N
3660427	3938	1995-07-31	PRIJEM	\N	141	35918	UROK	\N	\N
3660428	3938	1995-08-31	PRIJEM	\N	169	42137	UROK	\N	\N
3660429	3938	1995-09-30	PRIJEM	\N	191	47278	UROK	\N	\N
3660430	3938	1995-10-31	PRIJEM	\N	256	47584	UROK	\N	\N
3660431	3938	1995-11-30	PRIJEM	\N	235	60070	UROK	\N	\N
3660432	3938	1995-12-31	PRIJEM	\N	305	77442	UROK	\N	\N
3660433	3938	1996-01-31	PRIJEM	\N	307	75300	UROK	\N	\N
3660434	3938	1996-02-29	PRIJEM	\N	304	75754	UROK	\N	\N
3660435	3938	1996-03-31	PRIJEM	\N	308	76012	UROK	\N	\N
3660436	3938	1996-04-30	PRIJEM	\N	299	74462	UROK	\N	\N
3660437	3938	1996-05-31	PRIJEM	\N	280	64693	UROK	\N	\N
3660438	3938	1996-06-30	PRIJEM	\N	306	65966	UROK	\N	\N
3660439	3938	1996-07-31	PRIJEM	\N	262	61878	UROK	\N	\N
3660440	3938	1996-08-31	PRIJEM	\N	243	60972	UROK	\N	\N
3660441	3938	1996-09-30	PRIJEM	\N	254	64276	UROK	\N	\N
3660442	3938	1996-10-31	PRIJEM	\N	258	64985	UROK	\N	\N
3660443	3938	1996-11-30	PRIJEM	\N	256	64291	UROK	\N	\N
3660444	3938	1996-12-31	PRIJEM	\N	284	73342	UROK	\N	\N
3660445	3938	1997-01-31	PRIJEM	\N	251	44844	UROK	\N	\N
3660446	3938	1997-02-28	PRIJEM	\N	244	64238	UROK	\N	\N
3660447	3938	1997-03-31	PRIJEM	\N	241	61130	UROK	\N	\N
3660448	3938	1997-04-30	PRIJEM	\N	236	62717	UROK	\N	\N
3660449	3938	1997-05-31	PRIJEM	\N	226	41193	UROK	\N	\N
3660450	3938	1997-06-30	PRIJEM	\N	203	37763	UROK	\N	\N
3660451	3938	1997-07-31	PRIJEM	\N	211	45525	UROK	\N	\N
3660452	3938	1997-08-31	PRIJEM	\N	239	47514	UROK	\N	\N
3660453	3938	1997-09-30	PRIJEM	\N	245	47409	UROK	\N	\N
3660454	3938	1997-10-31	PRIJEM	\N	236	45496	UROK	\N	\N
3660455	3938	1997-11-30	PRIJEM	\N	223	44869	UROK	\N	\N
3660456	3938	1997-12-31	PRIJEM	\N	260	53596	UROK	\N	\N
3660457	3938	1998-01-31	PRIJEM	\N	239	44986	UROK	\N	\N
3660458	3938	1998-02-28	PRIJEM	\N	231	48267	UROK	\N	\N
3660459	3938	1998-03-31	PRIJEM	\N	240	48558	UROK	\N	\N
3660460	3938	1998-04-30	PRIJEM	\N	241	46449	UROK	\N	\N
3660461	3938	1998-05-31	PRIJEM	\N	229	40528	UROK	\N	\N
3660462	3938	1998-06-30	PRIJEM	\N	239	45935	UROK	\N	\N
3660463	3938	1998-07-31	PRIJEM	\N	229	48015	UROK	\N	\N
3660464	3938	1998-08-31	PRIJEM	\N	232	47097	UROK	\N	\N
3660465	3938	1998-09-30	PRIJEM	\N	229	50277	UROK	\N	\N
3660466	3938	1998-10-31	PRIJEM	\N	239	50267	UROK	\N	\N
3660467	3938	1998-11-30	PRIJEM	\N	232	45849	UROK	\N	\N
3660468	3938	1998-12-31	PRIJEM	\N	258	69574	UROK	\N	\N
3660469	3939	1993-08-31	PRIJEM	\N	26	15492	UROK	\N	\N
3660470	3939	1993-09-30	PRIJEM	\N	92	25850	UROK	\N	\N
3660471	3939	1993-10-31	PRIJEM	\N	123	30439	UROK	\N	\N
3660472	3939	1993-11-30	PRIJEM	\N	148	36953	UROK	\N	\N
3660473	3939	1993-12-31	PRIJEM	\N	155	31980	UROK	\N	\N
3660474	3939	1994-01-31	PRIJEM	\N	109	18764	UROK	\N	\N
3660475	3939	1994-02-28	PRIJEM	\N	107	26345	UROK	\N	\N
3660476	3939	1994-03-31	PRIJEM	\N	123	29242	UROK	\N	\N
3660477	3939	1994-04-30	PRIJEM	\N	121	27937	UROK	\N	\N
3660478	3939	1994-05-31	PRIJEM	\N	133	32045	UROK	\N	\N
3660479	3939	1994-06-30	PRIJEM	\N	155	37657	UROK	\N	\N
3660480	3939	1994-07-31	PRIJEM	\N	127	29058	UROK	\N	\N
3660481	3939	1994-08-31	PRIJEM	\N	129	26962	UROK	\N	\N
3660482	3939	1994-09-30	PRIJEM	\N	112	24848	UROK	\N	\N
3660483	3939	1994-10-31	PRIJEM	\N	125	30247	UROK	\N	\N
3660484	3939	1994-11-30	PRIJEM	\N	132	32753	UROK	\N	\N
3660485	3939	1994-12-31	PRIJEM	\N	148	31358	UROK	\N	\N
3660486	3939	1995-01-31	PRIJEM	\N	113	24346	UROK	\N	\N
3660487	3939	1995-02-28	PRIJEM	\N	109	25729	UROK	\N	\N
3660488	3939	1995-03-31	PRIJEM	\N	101	26104	UROK	\N	\N
3660489	3939	1995-04-30	PRIJEM	\N	115	27994	UROK	\N	\N
3660490	3939	1995-05-31	PRIJEM	\N	121	27990	UROK	\N	\N
3660491	3939	1995-06-30	PRIJEM	\N	133	32780	UROK	\N	\N
3660492	3939	1995-07-31	PRIJEM	\N	142	33296	UROK	\N	\N
3660493	3939	1995-08-31	PRIJEM	\N	141	33411	UROK	\N	\N
3660494	3939	1995-09-30	PRIJEM	\N	145	34730	UROK	\N	\N
3660495	3939	1995-10-31	PRIJEM	\N	148	33753	UROK	\N	\N
3660496	3939	1995-11-30	PRIJEM	\N	145	33972	UROK	\N	\N
3660497	3939	1995-12-31	PRIJEM	\N	147	28676	UROK	\N	\N
3660498	3939	1996-01-31	PRIJEM	\N	110	18761	UROK	\N	\N
3660499	3939	1996-02-29	PRIJEM	\N	80	20615	UROK	\N	\N
3660500	3939	1996-03-31	PRIJEM	\N	88	19177	UROK	\N	\N
3660501	3939	1996-04-30	PRIJEM	\N	85	20836	UROK	\N	\N
3660502	3939	1996-05-31	PRIJEM	\N	90	21300	UROK	\N	\N
3660503	3939	1996-06-30	PRIJEM	\N	99	22856	UROK	\N	\N
3660504	3939	1996-07-31	PRIJEM	\N	97	22328	UROK	\N	\N
3660505	3939	1996-08-31	PRIJEM	\N	96	24298	UROK	\N	\N
3660506	3939	1996-09-30	PRIJEM	\N	106	25178	UROK	\N	\N
3660507	3939	1996-10-31	PRIJEM	\N	100	23752	UROK	\N	\N
3660508	3939	1996-11-30	PRIJEM	\N	107	27933	UROK	\N	\N
3660509	3939	1996-12-31	PRIJEM	\N	124	27914	UROK	\N	\N
3660510	3939	1997-01-31	PRIJEM	\N	109	25697	UROK	\N	\N
3660511	3939	1997-02-28	PRIJEM	\N	116	30988	UROK	\N	\N
3660512	3939	1997-03-31	PRIJEM	\N	124	27387	UROK	\N	\N
3660513	3939	1997-04-30	PRIJEM	\N	118	28979	UROK	\N	\N
3660514	3939	1997-05-31	PRIJEM	\N	120	26473	UROK	\N	\N
3660515	3939	1997-06-30	PRIJEM	\N	115	27745	UROK	\N	\N
3660516	3939	1997-07-31	PRIJEM	\N	112	26031	UROK	\N	\N
3660517	3939	1997-08-31	PRIJEM	\N	114	27320	UROK	\N	\N
3660518	3939	1997-09-30	PRIJEM	\N	123	31917	UROK	\N	\N
3660519	3939	1997-10-31	PRIJEM	\N	136	33927	UROK	\N	\N
3660520	3939	1997-11-30	PRIJEM	\N	140	34242	UROK	\N	\N
3660521	3939	1997-12-31	PRIJEM	\N	134	30333	UROK	\N	\N
3660522	3939	1998-01-31	PRIJEM	\N	112	23720	UROK	\N	\N
3660523	3939	1998-02-28	PRIJEM	\N	114	25908	UROK	\N	\N
3660524	3939	1998-03-31	PRIJEM	\N	97	22480	UROK	\N	\N
3660525	3939	1998-04-30	PRIJEM	\N	99	25153	UROK	\N	\N
3660526	3939	1998-05-31	PRIJEM	\N	114	30042	UROK	\N	\N
3660527	3939	1998-06-30	PRIJEM	\N	131	30631	UROK	\N	\N
3660528	3939	1998-07-31	PRIJEM	\N	117	26922	UROK	\N	\N
3660529	3939	1998-08-31	PRIJEM	\N	101	23897	UROK	\N	\N
3660530	3939	1998-09-30	PRIJEM	\N	99	23770	UROK	\N	\N
3660531	3939	1998-10-31	PRIJEM	\N	102	25446	UROK	\N	\N
3660532	3939	1998-11-30	PRIJEM	\N	105	25626	UROK	\N	\N
3660533	3939	1998-12-31	PRIJEM	\N	113	27896	UROK	\N	\N
3660534	3941	1997-05-31	PRIJEM	\N	36	14747	UROK	\N	\N
3660535	3941	1997-06-30	PRIJEM	\N	64	15851	UROK	\N	\N
3660536	3941	1997-07-31	PRIJEM	\N	65	15637	UROK	\N	\N
3660537	3941	1997-08-31	PRIJEM	\N	68	16745	UROK	\N	\N
3660538	3941	1997-09-30	PRIJEM	\N	72	16417	UROK	\N	\N
3660539	3941	1997-10-31	PRIJEM	\N	71	17528	UROK	\N	\N
3660540	3941	1997-11-30	PRIJEM	\N	76	18644	UROK	\N	\N
3660541	3941	1997-12-31	PRIJEM	\N	80	19104	UROK	\N	\N
3660542	3941	1998-01-31	PRIJEM	\N	66	14151	UROK	\N	\N
3660543	3941	1998-02-28	PRIJEM	\N	63	15254	UROK	\N	\N
3660544	3941	1998-03-31	PRIJEM	\N	67	16361	UROK	\N	\N
3660545	3941	1998-04-30	PRIJEM	\N	66	13857	UROK	\N	\N
3660546	3941	1998-05-31	PRIJEM	\N	62	14959	UROK	\N	\N
3660547	3941	1998-06-30	PRIJEM	\N	66	15885	UROK	\N	\N
3660548	3941	1998-07-31	PRIJEM	\N	70	15915	UROK	\N	\N
3660549	3941	1998-08-31	PRIJEM	\N	68	16454	UROK	\N	\N
3660550	3941	1998-09-30	PRIJEM	\N	72	17566	UROK	\N	\N
3660551	3941	1998-10-31	PRIJEM	\N	76	18682	UROK	\N	\N
3660552	3941	1998-11-30	PRIJEM	\N	82	19804	UROK	\N	\N
3660553	3941	1998-12-31	PRIJEM	\N	84	20268	UROK	\N	\N
3660554	3942	1996-05-31	PRIJEM	\N	22	16568	UROK	\N	\N
3660555	3942	1996-06-30	PRIJEM	\N	69	19737	UROK	\N	\N
3660556	3942	1996-07-31	PRIJEM	\N	69	24206	UROK	\N	\N
3660557	3942	1996-08-31	PRIJEM	\N	69	29375	UROK	\N	\N
3660558	3942	1996-09-30	PRIJEM	\N	69	26944	UROK	\N	\N
3660559	3942	1996-10-31	PRIJEM	\N	69	30213	UROK	\N	\N
3660560	3942	1996-11-30	PRIJEM	\N	69	29082	UROK	\N	\N
3660561	3942	1996-12-31	PRIJEM	\N	69	30051	UROK	\N	\N
3660562	3942	1997-01-31	PRIJEM	\N	194	58872	UROK	\N	\N
3660563	3942	1997-02-28	PRIJEM	\N	245	45717	UROK	\N	\N
3660564	3942	1997-03-31	PRIJEM	\N	273	84085	UROK	\N	\N
3660565	3942	1997-04-30	PRIJEM	\N	282	78857	UROK	\N	\N
3660566	3942	1997-05-31	PRIJEM	\N	238	58357	UROK	\N	\N
3660567	3942	1997-06-30	PRIJEM	\N	136	27190	UROK	\N	\N
3660568	3942	1997-07-31	PRIJEM	\N	127	28396	UROK	\N	\N
3660569	3942	1997-08-31	PRIJEM	\N	281	77925	UROK	\N	\N
3660570	3942	1997-09-30	PRIJEM	\N	295	98427	UROK	\N	\N
3660571	3942	1997-10-31	PRIJEM	\N	273	61399	UROK	\N	\N
3660572	3942	1997-11-30	PRIJEM	\N	176	58453	UROK	\N	\N
3660573	3942	1997-12-31	PRIJEM	\N	141	35254	UROK	\N	\N
3660574	3942	1998-01-31	PRIJEM	\N	213	59506	UROK	\N	\N
3660575	3942	1998-02-28	PRIJEM	\N	306	80094	UROK	\N	\N
3660576	3942	1998-03-31	PRIJEM	\N	144	40861	UROK	\N	\N
3660577	3942	1998-04-30	PRIJEM	\N	178	40558	UROK	\N	\N
3660578	3942	1998-05-31	PRIJEM	\N	228	66619	UROK	\N	\N
3660579	3942	1998-06-30	PRIJEM	\N	431	67437	UROK	\N	\N
3660580	3942	1998-07-31	PRIJEM	\N	183	36245	UROK	\N	\N
3660581	3942	1998-08-31	PRIJEM	\N	167	37058	UROK	\N	\N
3660582	3942	1998-09-30	PRIJEM	\N	239	67152	UROK	\N	\N
3660583	3942	1998-10-31	PRIJEM	\N	268	62368	UROK	\N	\N
3660584	3942	1998-11-30	PRIJEM	\N	228	44377	UROK	\N	\N
3660585	3942	1998-12-31	PRIJEM	\N	289	54475	UROK	\N	\N
3660586	3943	1996-03-31	PRIJEM	\N	8	3221	UROK	\N	\N
3660587	3943	1996-04-30	PRIJEM	\N	13	6147	UROK	\N	\N
3660588	3943	1996-05-31	PRIJEM	\N	13	9074	UROK	\N	\N
3660589	3943	1996-06-30	PRIJEM	\N	13	12000	UROK	\N	\N
3660590	3943	1996-07-31	PRIJEM	\N	15	14928	UROK	\N	\N
3660591	3943	1996-08-31	PRIJEM	\N	64	15168	UROK	\N	\N
3660592	3943	1996-09-30	PRIJEM	\N	65	16190	UROK	\N	\N
3660593	3943	1996-10-31	PRIJEM	\N	70	17216	UROK	\N	\N
3660594	3943	1996-11-30	PRIJEM	\N	74	18246	UROK	\N	\N
3660595	3943	1996-12-31	PRIJEM	\N	78	18440	UROK	\N	\N
3660596	3943	1997-01-31	PRIJEM	\N	76	17673	UROK	\N	\N
3660597	3943	1997-02-28	PRIJEM	\N	76	18705	UROK	\N	\N
3660598	3943	1997-03-31	PRIJEM	\N	80	19741	UROK	\N	\N
3660599	3943	1997-04-30	PRIJEM	\N	85	20782	UROK	\N	\N
3660600	3943	1997-05-31	PRIJEM	\N	84	19962	UROK	\N	\N
3660601	3943	1997-06-30	PRIJEM	\N	75	17153	UROK	\N	\N
3660602	3943	1997-07-31	PRIJEM	\N	72	17792	UROK	\N	\N
3660603	3943	1997-08-31	PRIJEM	\N	76	18824	UROK	\N	\N
3660604	3943	1997-09-30	PRIJEM	\N	81	19861	UROK	\N	\N
3660605	3943	1997-10-31	PRIJEM	\N	85	20903	UROK	\N	\N
3660606	3943	1997-11-30	PRIJEM	\N	89	21948	UROK	\N	\N
3660607	3943	1997-12-31	PRIJEM	\N	92	22157	UROK	\N	\N
3660608	3943	1998-01-31	PRIJEM	\N	87	19510	UROK	\N	\N
3660609	3943	1998-02-28	PRIJEM	\N	83	20550	UROK	\N	\N
3660610	3943	1998-03-31	PRIJEM	\N	88	21594	UROK	\N	\N
3660611	3943	1998-04-30	PRIJEM	\N	92	22642	UROK	\N	\N
3660612	3943	1998-05-31	PRIJEM	\N	96	23695	UROK	\N	\N
3660613	3943	1998-06-30	PRIJEM	\N	80	17172	UROK	\N	\N
3660614	3943	1998-07-31	PRIJEM	\N	61	14979	UROK	\N	\N
3660615	3943	1998-08-31	PRIJEM	\N	62	15428	UROK	\N	\N
3660616	3943	1998-09-30	PRIJEM	\N	66	16450	UROK	\N	\N
3660617	3943	1998-10-31	PRIJEM	\N	70	17477	UROK	\N	\N
3660618	3943	1998-11-30	PRIJEM	\N	75	18508	UROK	\N	\N
3660619	3943	1998-12-31	PRIJEM	\N	78	18432	UROK	\N	\N
3660620	3944	1995-10-31	PRIJEM	\N	56	18187	UROK	\N	\N
3660621	3944	1995-11-30	PRIJEM	\N	140	39358	UROK	\N	\N
3660622	3944	1995-12-31	PRIJEM	\N	220	57574	UROK	\N	\N
3660623	3944	1996-01-31	PRIJEM	\N	235	56340	UROK	\N	\N
3660624	3944	1996-02-29	PRIJEM	\N	233	54900	UROK	\N	\N
3660625	3944	1996-03-31	PRIJEM	\N	207	49440	UROK	\N	\N
3660626	3944	1996-04-30	PRIJEM	\N	215	51769	UROK	\N	\N
3660627	3944	1996-05-31	PRIJEM	\N	225	53487	UROK	\N	\N
3660628	3944	1996-06-30	PRIJEM	\N	240	48465	UROK	\N	\N
3660629	3944	1996-07-31	PRIJEM	\N	204	48203	UROK	\N	\N
3660630	3944	1996-08-31	PRIJEM	\N	214	49271	UROK	\N	\N
3660631	3944	1996-09-30	PRIJEM	\N	199	44243	UROK	\N	\N
3660632	3944	1996-10-31	PRIJEM	\N	192	45948	UROK	\N	\N
3660633	3944	1996-11-30	PRIJEM	\N	195	46557	UROK	\N	\N
3660634	3944	1996-12-31	PRIJEM	\N	220	53476	UROK	\N	\N
3660635	3944	1997-01-31	PRIJEM	\N	171	24999	UROK	\N	\N
3660636	3944	1997-02-28	PRIJEM	\N	135	37948	UROK	\N	\N
3660637	3944	1997-03-31	PRIJEM	\N	164	39125	UROK	\N	\N
3660638	3944	1997-04-30	PRIJEM	\N	164	40302	UROK	\N	\N
3660639	3944	1997-05-31	PRIJEM	\N	143	30258	UROK	\N	\N
3660640	3944	1997-06-30	PRIJEM	\N	186	33642	UROK	\N	\N
3660641	3944	1997-07-31	PRIJEM	\N	167	30743	UROK	\N	\N
3660642	3944	1997-08-31	PRIJEM	\N	156	36112	UROK	\N	\N
3660643	3944	1997-09-30	PRIJEM	\N	175	35700	UROK	\N	\N
3660644	3944	1997-10-31	PRIJEM	\N	173	37287	UROK	\N	\N
3660645	3944	1997-11-30	PRIJEM	\N	179	39580	UROK	\N	\N
3660646	3944	1997-12-31	PRIJEM	\N	200	42738	UROK	\N	\N
3660647	3944	1998-01-31	PRIJEM	\N	189	32001	UROK	\N	\N
3660648	3944	1998-02-28	PRIJEM	\N	150	33604	UROK	\N	\N
3660649	3944	1998-03-31	PRIJEM	\N	164	36782	UROK	\N	\N
3660650	3944	1998-04-30	PRIJEM	\N	162	30697	UROK	\N	\N
3660651	3944	1998-05-31	PRIJEM	\N	147	30337	UROK	\N	\N
3660652	3944	1998-06-30	PRIJEM	\N	150	27005	UROK	\N	\N
3660653	3944	1998-07-31	PRIJEM	\N	131	28350	UROK	\N	\N
3660654	3944	1998-08-31	PRIJEM	\N	140	33063	UROK	\N	\N
3660655	3944	1998-09-30	PRIJEM	\N	158	37875	UROK	\N	\N
3660656	3944	1998-10-31	PRIJEM	\N	175	40663	UROK	\N	\N
3660657	3944	1998-11-30	PRIJEM	\N	178	37954	UROK	\N	\N
3660658	3944	1998-12-31	PRIJEM	\N	222	58535	UROK	\N	\N
3660659	3945	1996-12-31	PRIJEM	\N	4	27804	UROK	\N	\N
3660660	3945	1997-02-28	PRIJEM	\N	133	29337	UROK	\N	\N
3660661	3945	1997-03-31	PRIJEM	\N	120	26858	UROK	\N	\N
3660662	3945	1997-04-30	PRIJEM	\N	120	29378	UROK	\N	\N
3660663	3945	1997-05-31	PRIJEM	\N	120	30799	UROK	\N	\N
3660664	3945	1997-06-30	PRIJEM	\N	120	32619	UROK	\N	\N
3660665	3945	1997-07-31	PRIJEM	\N	120	36039	UROK	\N	\N
3660666	3945	1997-08-31	PRIJEM	\N	120	32560	UROK	\N	\N
3660667	3945	1997-09-30	PRIJEM	\N	120	34480	UROK	\N	\N
3660668	3945	1997-10-31	PRIJEM	\N	120	32701	UROK	\N	\N
3660669	3945	1997-11-30	PRIJEM	\N	120	33121	UROK	\N	\N
3660670	3945	1997-12-31	PRIJEM	\N	120	35842	UROK	\N	\N
3660671	3945	1998-01-31	PRIJEM	\N	120	37562	UROK	\N	\N
3660672	3945	1998-02-28	PRIJEM	\N	120	39282	UROK	\N	\N
3660673	3945	1998-03-31	PRIJEM	\N	120	42503	UROK	\N	\N
3660674	3945	1998-04-30	PRIJEM	\N	120	43723	UROK	\N	\N
3660675	3945	1998-05-31	PRIJEM	\N	120	44844	UROK	\N	\N
3660676	3945	1998-06-30	PRIJEM	\N	120	45064	UROK	\N	\N
3660677	3945	1998-07-31	PRIJEM	\N	120	42985	UROK	\N	\N
3660678	3945	1998-08-31	PRIJEM	\N	120	42205	UROK	\N	\N
3660679	3945	1998-09-30	PRIJEM	\N	120	38725	UROK	\N	\N
3660680	3945	1998-10-31	PRIJEM	\N	120	33546	UROK	\N	\N
3660681	3946	1996-08-31	PRIJEM	\N	41	18103	UROK	\N	\N
3660682	3946	1996-09-30	PRIJEM	\N	97	27463	UROK	\N	\N
3660683	3946	1996-10-31	PRIJEM	\N	126	32250	UROK	\N	\N
3660684	3946	1996-11-30	PRIJEM	\N	142	35654	UROK	\N	\N
3660685	3946	1996-12-31	PRIJEM	\N	152	29040	UROK	\N	\N
3660686	3946	1997-01-31	PRIJEM	\N	124	26472	UROK	\N	\N
3660687	3946	1997-02-28	PRIJEM	\N	113	23174	UROK	\N	\N
3660688	3946	1997-03-31	PRIJEM	\N	99	19881	UROK	\N	\N
3660689	3946	1997-04-30	PRIJEM	\N	85	15775	UROK	\N	\N
3660690	3946	1997-05-31	PRIJEM	\N	87	20170	UROK	\N	\N
3660691	3946	1997-06-30	PRIJEM	\N	117	24287	UROK	\N	\N
3660692	3946	1997-07-31	PRIJEM	\N	123	29018	UROK	\N	\N
3660693	3946	1997-08-31	PRIJEM	\N	128	29054	UROK	\N	\N
3660694	3946	1997-09-30	PRIJEM	\N	125	27848	UROK	\N	\N
3660695	3946	1997-10-31	PRIJEM	\N	131	30788	UROK	\N	\N
3660696	3946	1997-11-30	PRIJEM	\N	132	30227	UROK	\N	\N
3660697	3946	1997-12-31	PRIJEM	\N	124	23631	UROK	\N	\N
3660698	3946	1998-01-31	PRIJEM	\N	126	29465	UROK	\N	\N
3660699	3946	1998-02-28	PRIJEM	\N	126	28900	UROK	\N	\N
3660700	3946	1998-03-31	PRIJEM	\N	131	30840	UROK	\N	\N
3660701	3946	1998-04-30	PRIJEM	\N	134	28082	UROK	\N	\N
3660702	3946	1998-05-31	PRIJEM	\N	127	28717	UROK	\N	\N
3660703	3946	1998-06-30	PRIJEM	\N	108	19405	UROK	\N	\N
3660704	3946	1998-07-31	PRIJEM	\N	76	14149	UROK	\N	\N
3660705	3946	1998-08-31	PRIJEM	\N	92	22250	UROK	\N	\N
3660706	3946	1998-09-30	PRIJEM	\N	104	24062	UROK	\N	\N
3660707	3946	1998-10-31	PRIJEM	\N	110	25681	UROK	\N	\N
3660708	3946	1998-11-30	PRIJEM	\N	127	27816	UROK	\N	\N
3660709	3946	1998-12-31	PRIJEM	\N	156	36691	UROK	\N	\N
3660710	3947	1996-02-29	PRIJEM	\N	25	21768	UROK	\N	\N
3660711	3947	1996-03-31	PRIJEM	\N	108	36319	UROK	\N	\N
3660712	3947	1996-04-30	PRIJEM	\N	157	41319	UROK	\N	\N
3660713	3947	1996-05-31	PRIJEM	\N	177	45139	UROK	\N	\N
3660714	3947	1996-06-30	PRIJEM	\N	243	48758	UROK	\N	\N
3660715	3947	1996-07-31	PRIJEM	\N	223	45462	UROK	\N	\N
3660716	3947	1996-08-31	PRIJEM	\N	221	46523	UROK	\N	\N
3660717	3947	1996-09-30	PRIJEM	\N	218	45621	UROK	\N	\N
3660718	3947	1996-10-31	PRIJEM	\N	223	49885	UROK	\N	\N
3660719	3947	1996-11-30	PRIJEM	\N	232	49657	UROK	\N	\N
3660720	3947	1996-12-31	PRIJEM	\N	251	53870	UROK	\N	\N
3660721	3947	1997-01-31	PRIJEM	\N	208	33878	UROK	\N	\N
3660722	3947	1997-02-28	PRIJEM	\N	174	38792	UROK	\N	\N
3660723	3947	1997-03-31	PRIJEM	\N	199	44891	UROK	\N	\N
3660724	3947	1997-04-30	PRIJEM	\N	199	41810	UROK	\N	\N
3660725	3947	1997-05-31	PRIJEM	\N	196	41246	UROK	\N	\N
3660726	3947	1997-06-30	PRIJEM	\N	204	39412	UROK	\N	\N
3660727	3947	1997-07-31	PRIJEM	\N	180	38233	UROK	\N	\N
3660728	3947	1997-08-31	PRIJEM	\N	173	36546	UROK	\N	\N
3660729	3947	1997-09-30	PRIJEM	\N	208	37894	UROK	\N	\N
3660730	3947	1997-10-31	PRIJEM	\N	175	38409	UROK	\N	\N
3660731	3947	1997-11-30	PRIJEM	\N	174	38824	UROK	\N	\N
3660732	3947	1997-12-31	PRIJEM	\N	189	40655	UROK	\N	\N
3660733	3947	1998-01-31	PRIJEM	\N	145	27160	UROK	\N	\N
3660734	3947	1998-02-28	PRIJEM	\N	137	33538	UROK	\N	\N
3660735	3947	1998-03-31	PRIJEM	\N	157	35935	UROK	\N	\N
3660736	3947	1998-04-30	PRIJEM	\N	168	39644	UROK	\N	\N
3660737	3947	1998-05-31	PRIJEM	\N	163	35947	UROK	\N	\N
3660738	3947	1998-06-30	PRIJEM	\N	124	23253	UROK	\N	\N
3660739	3947	1998-07-31	PRIJEM	\N	120	29014	UROK	\N	\N
3660740	3947	1998-08-31	PRIJEM	\N	112	22426	UROK	\N	\N
3660741	3947	1998-09-30	PRIJEM	\N	114	28880	UROK	\N	\N
3660742	3947	1998-10-31	PRIJEM	\N	130	31450	UROK	\N	\N
3660743	3947	1998-11-30	PRIJEM	\N	139	28169	UROK	\N	\N
3660744	3947	1998-12-31	PRIJEM	\N	137	28188	UROK	\N	\N
3660745	3948	1993-12-31	PRIJEM	\N	73	25408	UROK	\N	\N
3660746	3948	1994-01-31	PRIJEM	\N	152	40950	UROK	\N	\N
3660747	3948	1994-02-28	PRIJEM	\N	184	45824	UROK	\N	\N
3660748	3948	1994-03-31	PRIJEM	\N	237	43752	UROK	\N	\N
3660749	3948	1994-04-30	PRIJEM	\N	195	41228	UROK	\N	\N
3660750	3948	1994-05-31	PRIJEM	\N	174	42505	UROK	\N	\N
3660751	3948	1994-06-30	PRIJEM	\N	175	44507	UROK	\N	\N
3660752	3948	1994-07-31	PRIJEM	\N	180	40989	UROK	\N	\N
3660753	3948	1994-08-31	PRIJEM	\N	184	45576	UROK	\N	\N
3660754	3948	1994-09-30	PRIJEM	\N	184	45562	UROK	\N	\N
3660755	3948	1994-10-31	PRIJEM	\N	182	44846	UROK	\N	\N
3660756	3948	1994-11-30	PRIJEM	\N	178	43826	UROK	\N	\N
3660757	3948	1994-12-31	PRIJEM	\N	188	47661	UROK	\N	\N
3660758	3948	1995-01-31	PRIJEM	\N	146	26650	UROK	\N	\N
3660759	3948	1995-02-28	PRIJEM	\N	123	31375	UROK	\N	\N
3660760	3948	1995-03-31	PRIJEM	\N	151	38528	UROK	\N	\N
3660761	3948	1995-04-30	PRIJEM	\N	162	40493	UROK	\N	\N
3660762	3948	1995-05-31	PRIJEM	\N	177	44472	UROK	\N	\N
3660763	3948	1995-06-30	PRIJEM	\N	189	48729	UROK	\N	\N
3660764	3948	1995-07-31	PRIJEM	\N	184	45115	UROK	\N	\N
3660765	3948	1995-08-31	PRIJEM	\N	181	45098	UROK	\N	\N
3660766	3948	1995-09-30	PRIJEM	\N	176	45377	UROK	\N	\N
3660767	3948	1995-10-31	PRIJEM	\N	177	33856	UROK	\N	\N
3660768	3948	1995-11-30	PRIJEM	\N	167	34926	UROK	\N	\N
3660769	3948	1995-12-31	PRIJEM	\N	185	35858	UROK	\N	\N
3660770	3948	1996-01-31	PRIJEM	\N	144	16364	UROK	\N	\N
3660771	3948	1996-02-29	PRIJEM	\N	88	24354	UROK	\N	\N
3660772	3948	1996-03-31	PRIJEM	\N	129	29286	UROK	\N	\N
3660773	3948	1996-04-30	PRIJEM	\N	148	32136	UROK	\N	\N
3660774	3948	1996-05-31	PRIJEM	\N	143	33121	UROK	\N	\N
3660775	3948	1996-06-30	PRIJEM	\N	138	30506	UROK	\N	\N
3660776	3948	1996-07-31	PRIJEM	\N	152	34960	UROK	\N	\N
3660777	3948	1996-08-31	PRIJEM	\N	157	30380	UROK	\N	\N
3660778	3948	1996-09-30	PRIJEM	\N	152	36835	UROK	\N	\N
3660779	3948	1996-10-31	PRIJEM	\N	171	35808	UROK	\N	\N
3660780	3948	1996-11-30	PRIJEM	\N	170	37980	UROK	\N	\N
3660781	3948	1996-12-31	PRIJEM	\N	186	41514	UROK	\N	\N
3660782	3948	1997-01-31	PRIJEM	\N	166	33062	UROK	\N	\N
3660783	3948	1997-02-28	PRIJEM	\N	141	32425	UROK	\N	\N
3660784	3948	1997-03-31	PRIJEM	\N	142	34369	UROK	\N	\N
3660785	3948	1997-04-30	PRIJEM	\N	168	40839	UROK	\N	\N
3660786	3948	1997-05-31	PRIJEM	\N	189	43330	UROK	\N	\N
3660787	3948	1997-06-30	PRIJEM	\N	212	45070	UROK	\N	\N
3660788	3948	1997-07-31	PRIJEM	\N	199	43071	UROK	\N	\N
3660789	3948	1997-08-31	PRIJEM	\N	190	42163	UROK	\N	\N
3660790	3948	1997-09-30	PRIJEM	\N	184	40049	UROK	\N	\N
3660791	3948	1997-10-31	PRIJEM	\N	179	40831	UROK	\N	\N
3660792	3948	1997-11-30	PRIJEM	\N	172	41345	UROK	\N	\N
3660793	3948	1997-12-31	PRIJEM	\N	195	45888	UROK	\N	\N
3660794	3948	1998-01-31	PRIJEM	\N	179	34869	UROK	\N	\N
3660795	3948	1998-02-28	PRIJEM	\N	169	43440	UROK	\N	\N
3660796	3948	1998-03-31	PRIJEM	\N	205	51647	UROK	\N	\N
3660797	3948	1998-04-30	PRIJEM	\N	226	54775	UROK	\N	\N
3660798	3948	1998-05-31	PRIJEM	\N	247	60725	UROK	\N	\N
3660799	3948	1998-06-30	PRIJEM	\N	264	52197	UROK	\N	\N
3660800	3948	1998-07-31	PRIJEM	\N	241	59640	UROK	\N	\N
3660801	3948	1998-08-31	PRIJEM	\N	268	66711	UROK	\N	\N
3660802	3948	1998-09-30	PRIJEM	\N	287	69701	UROK	\N	\N
3660803	3948	1998-10-31	PRIJEM	\N	307	75910	UROK	\N	\N
3660804	3948	1998-11-30	PRIJEM	\N	311	72744	UROK	\N	\N
3660805	3948	1998-12-31	PRIJEM	\N	315	75406	UROK	\N	\N
3660806	3950	1997-09-30	PRIJEM	\N	75	24579	UROK	\N	\N
3660807	3950	1997-10-31	PRIJEM	\N	171	47253	UROK	\N	\N
3660808	3950	1997-11-30	PRIJEM	\N	152	60710	UROK	\N	\N
3660809	3950	1997-12-31	PRIJEM	\N	167	47033	UROK	\N	\N
3660810	3950	1998-01-31	PRIJEM	\N	237	35473	UROK	\N	\N
3660811	3950	1998-02-28	PRIJEM	\N	196	52804	UROK	\N	\N
3660812	3950	1998-03-31	PRIJEM	\N	194	37032	UROK	\N	\N
3660813	3950	1998-04-30	PRIJEM	\N	190	37756	UROK	\N	\N
3660814	3950	1998-05-31	PRIJEM	\N	185	41976	UROK	\N	\N
3660815	3950	1998-06-30	PRIJEM	\N	199	39662	UROK	\N	\N
3660816	3950	1998-07-31	PRIJEM	\N	213	47209	UROK	\N	\N
3660817	3950	1998-08-31	PRIJEM	\N	241	51884	UROK	\N	\N
3660818	3950	1998-09-30	PRIJEM	\N	256	50974	UROK	\N	\N
3660819	3950	1998-10-31	PRIJEM	\N	247	45555	UROK	\N	\N
3660820	3950	1998-11-30	PRIJEM	\N	227	45417	UROK	\N	\N
3660821	3950	1998-12-31	PRIJEM	\N	276	72779	UROK	\N	\N
3660822	3951	1997-06-30	PRIJEM	\N	25	8927	UROK	\N	\N
3660823	3951	1997-07-31	PRIJEM	\N	71	20832	UROK	\N	\N
3660824	3951	1997-08-31	PRIJEM	\N	99	25466	UROK	\N	\N
3660825	3951	1997-09-30	PRIJEM	\N	92	27693	UROK	\N	\N
3660826	3951	1997-10-31	PRIJEM	\N	93	23821	UROK	\N	\N
3660827	3951	1997-11-30	PRIJEM	\N	87	18228	UROK	\N	\N
3660828	3951	1997-12-31	PRIJEM	\N	73	15068	UROK	\N	\N
3660829	3951	1998-01-31	PRIJEM	\N	60	8189	UROK	\N	\N
3660830	3951	1998-02-28	PRIJEM	\N	36	14345	UROK	\N	\N
3660831	3951	1998-03-31	PRIJEM	\N	55	12620	UROK	\N	\N
3660832	3951	1998-04-30	PRIJEM	\N	51	11492	UROK	\N	\N
3660833	3951	1998-05-31	PRIJEM	\N	40	3952	UROK	\N	\N
3660834	3951	1998-06-30	PRIJEM	\N	17	12257	UROK	\N	\N
3660835	3951	1998-07-31	PRIJEM	\N	44	4822	UROK	\N	\N
3660836	3951	1998-08-31	PRIJEM	\N	21	10362	UROK	\N	\N
3660837	3951	1998-09-30	PRIJEM	\N	43	10626	UROK	\N	\N
3660838	3951	1998-10-31	PRIJEM	\N	45	16191	UROK	\N	\N
3660839	3951	1998-11-30	PRIJEM	\N	67	16879	UROK	\N	\N
3660840	3951	1998-12-31	PRIJEM	\N	71	17437	UROK	\N	\N
3660841	3952	1996-06-30	PRIJEM	\N	63	18093	UROK	\N	\N
3660842	3952	1996-07-31	PRIJEM	\N	81	19683	UROK	\N	\N
3660843	3952	1996-08-31	PRIJEM	\N	88	21277	UROK	\N	\N
3660844	3952	1996-09-30	PRIJEM	\N	90	18397	UROK	\N	\N
3660845	3952	1996-10-31	PRIJEM	\N	66	12333	UROK	\N	\N
3660846	3952	1996-11-30	PRIJEM	\N	67	15650	UROK	\N	\N
3660847	3952	1996-12-31	PRIJEM	\N	64	12755	UROK	\N	\N
3660848	3952	1997-01-31	PRIJEM	\N	55	11560	UROK	\N	\N
3660849	3952	1997-02-28	PRIJEM	\N	65	12955	UROK	\N	\N
3660850	3952	1997-03-31	PRIJEM	\N	72	18117	UROK	\N	\N
3660851	3952	1997-04-30	PRIJEM	\N	91	22499	UROK	\N	\N
3660852	3952	1997-05-31	PRIJEM	\N	112	27701	UROK	\N	\N
3660853	3952	1997-06-30	PRIJEM	\N	121	25612	UROK	\N	\N
3660854	3952	1997-07-31	PRIJEM	\N	125	30827	UROK	\N	\N
3660855	3952	1997-08-31	PRIJEM	\N	146	36064	UROK	\N	\N
3660856	3952	1997-09-30	PRIJEM	\N	160	11314	UROK	\N	\N
3660857	3952	1997-10-31	PRIJEM	\N	65	16470	UROK	\N	\N
3660858	3952	1997-11-30	PRIJEM	\N	86	21646	UROK	\N	\N
3660859	3952	1997-12-31	PRIJEM	\N	95	23142	UROK	\N	\N
3660860	3952	1998-01-31	PRIJEM	\N	85	16087	UROK	\N	\N
3660861	3952	1998-02-28	PRIJEM	\N	83	19260	UROK	\N	\N
3660862	3952	1998-03-31	PRIJEM	\N	98	24449	UROK	\N	\N
3660863	3952	1998-04-30	PRIJEM	\N	117	25656	UROK	\N	\N
3660864	3952	1998-05-31	PRIJEM	\N	125	30871	UROK	\N	\N
3660865	3952	1998-06-30	PRIJEM	\N	129	29271	UROK	\N	\N
3660866	3952	1998-07-31	PRIJEM	\N	140	34501	UROK	\N	\N
3660867	3952	1998-08-31	PRIJEM	\N	161	39753	UROK	\N	\N
3660868	3952	1998-09-30	PRIJEM	\N	183	45026	UROK	\N	\N
3660869	3952	1998-10-31	PRIJEM	\N	197	47193	UROK	\N	\N
3660870	3952	1998-11-30	PRIJEM	\N	173	15256	UROK	\N	\N
3660871	3952	1998-12-31	PRIJEM	\N	80	20127	UROK	\N	\N
3660872	3954	1993-10-31	PRIJEM	\N	30	24766	UROK	\N	\N
3660873	3954	1993-11-30	PRIJEM	\N	104	25479	UROK	\N	\N
3660874	3954	1993-12-31	PRIJEM	\N	110	24149	UROK	\N	\N
3660875	3954	1994-01-31	PRIJEM	\N	91	16631	UROK	\N	\N
3660876	3954	1994-02-28	PRIJEM	\N	80	20791	UROK	\N	\N
3660877	3954	1994-03-31	PRIJEM	\N	86	21197	UROK	\N	\N
3660878	3954	1994-04-30	PRIJEM	\N	87	21445	UROK	\N	\N
3660879	3954	1994-05-31	PRIJEM	\N	101	25626	UROK	\N	\N
3660880	3954	1994-06-30	PRIJEM	\N	103	22710	UROK	\N	\N
3660881	3954	1994-07-31	PRIJEM	\N	105	26295	UROK	\N	\N
3660882	3954	1994-08-31	PRIJEM	\N	110	27845	UROK	\N	\N
3660883	3954	1994-09-30	PRIJEM	\N	124	30250	UROK	\N	\N
3660884	3954	1994-10-31	PRIJEM	\N	130	29100	UROK	\N	\N
3660885	3954	1994-11-30	PRIJEM	\N	121	27602	UROK	\N	\N
3660886	3954	1994-12-31	PRIJEM	\N	118	28200	UROK	\N	\N
3660887	3954	1995-01-31	PRIJEM	\N	107	21837	UROK	\N	\N
3660888	3954	1995-02-28	PRIJEM	\N	93	22970	UROK	\N	\N
3660889	3954	1995-03-31	PRIJEM	\N	107	27158	UROK	\N	\N
3660890	3954	1995-04-30	PRIJEM	\N	113	22971	UROK	\N	\N
3660891	3954	1995-05-31	PRIJEM	\N	101	23313	UROK	\N	\N
3660892	3954	1995-06-30	PRIJEM	\N	98	19041	UROK	\N	\N
3660893	3954	1995-07-31	PRIJEM	\N	83	20084	UROK	\N	\N
3660894	3954	1995-08-31	PRIJEM	\N	95	24259	UROK	\N	\N
3660895	3954	1995-09-30	PRIJEM	\N	112	28251	UROK	\N	\N
3660896	3954	1995-10-31	PRIJEM	\N	129	32460	UROK	\N	\N
3660897	3954	1995-11-30	PRIJEM	\N	130	30671	UROK	\N	\N
3660898	3954	1995-12-31	PRIJEM	\N	135	33836	UROK	\N	\N
3660899	3954	1996-01-31	PRIJEM	\N	119	19995	UROK	\N	\N
3660900	3954	1996-02-29	PRIJEM	\N	94	24169	UROK	\N	\N
3660901	3954	1996-03-31	PRIJEM	\N	111	27480	UROK	\N	\N
3660902	3954	1996-04-30	PRIJEM	\N	125	31686	UROK	\N	\N
3660903	3954	1996-05-31	PRIJEM	\N	143	35909	UROK	\N	\N
3660904	3954	1996-06-30	PRIJEM	\N	134	24833	UROK	\N	\N
3660905	3954	1996-07-31	PRIJEM	\N	114	29028	UROK	\N	\N
3660906	3954	1996-08-31	PRIJEM	\N	119	29387	UROK	\N	\N
3660907	3954	1996-09-30	PRIJEM	\N	130	31678	UROK	\N	\N
3660908	3954	1996-10-31	PRIJEM	\N	142	33740	UROK	\N	\N
3660909	3954	1996-11-30	PRIJEM	\N	144	35864	UROK	\N	\N
3660910	3954	1996-12-31	PRIJEM	\N	154	37999	UROK	\N	\N
3660911	3954	1997-01-31	PRIJEM	\N	133	29252	UROK	\N	\N
3660912	3954	1997-02-28	PRIJEM	\N	124	31156	UROK	\N	\N
3660913	3954	1997-03-31	PRIJEM	\N	129	31865	UROK	\N	\N
3660914	3954	1997-04-30	PRIJEM	\N	122	29568	UROK	\N	\N
3660915	3954	1997-05-31	PRIJEM	\N	113	27461	UROK	\N	\N
3660916	3954	1997-06-30	PRIJEM	\N	110	26912	UROK	\N	\N
3660917	3954	1997-07-31	PRIJEM	\N	122	31114	UROK	\N	\N
3660918	3954	1997-08-31	PRIJEM	\N	126	31741	UROK	\N	\N
3660919	3954	1997-09-30	PRIJEM	\N	132	32433	UROK	\N	\N
3660920	3954	1997-10-31	PRIJEM	\N	132	31066	UROK	\N	\N
3660921	3954	1997-11-30	PRIJEM	\N	122	29968	UROK	\N	\N
3660922	3954	1997-12-31	PRIJEM	\N	118	28717	UROK	\N	\N
3660923	3954	1998-01-31	PRIJEM	\N	90	15287	UROK	\N	\N
3660924	3954	1998-02-28	PRIJEM	\N	72	19440	UROK	\N	\N
3660925	3954	1998-03-31	PRIJEM	\N	86	21526	UROK	\N	\N
3660926	3954	1998-04-30	PRIJEM	\N	74	19881	UROK	\N	\N
3660927	3954	1998-05-31	PRIJEM	\N	80	19862	UROK	\N	\N
3660928	3954	1998-06-30	PRIJEM	\N	81	19973	UROK	\N	\N
3660929	3954	1998-07-31	PRIJEM	\N	81	15235	UROK	\N	\N
3660930	3954	1998-08-31	PRIJEM	\N	72	19387	UROK	\N	\N
3660931	3954	1998-09-30	PRIJEM	\N	85	16353	UROK	\N	\N
3660932	3954	1998-10-31	PRIJEM	\N	73	15106	UROK	\N	\N
3660933	3954	1998-11-30	PRIJEM	\N	69	15655	UROK	\N	\N
3660934	3954	1998-12-31	PRIJEM	\N	73	19809	UROK	\N	\N
3660935	3955	1993-08-31	PRIJEM	\N	43	16832	UROK	\N	\N
3660936	3955	1993-09-30	PRIJEM	\N	86	22807	UROK	\N	\N
3660937	3955	1993-10-31	PRIJEM	\N	111	28806	UROK	\N	\N
3660938	3955	1993-11-30	PRIJEM	\N	127	31322	UROK	\N	\N
3660939	3955	1993-12-31	PRIJEM	\N	124	28171	UROK	\N	\N
3660940	3955	1994-01-31	PRIJEM	\N	98	19617	UROK	\N	\N
3660941	3955	1994-02-28	PRIJEM	\N	80	17365	UROK	\N	\N
3660942	3955	1994-03-31	PRIJEM	\N	84	19998	UROK	\N	\N
3660943	3955	1994-04-30	PRIJEM	\N	89	20535	UROK	\N	\N
3660944	3955	1994-05-31	PRIJEM	\N	98	20101	UROK	\N	\N
3660945	3955	1994-06-30	PRIJEM	\N	95	21390	UROK	\N	\N
3660946	3955	1994-07-31	PRIJEM	\N	98	23036	UROK	\N	\N
3660947	3955	1994-08-31	PRIJEM	\N	105	24689	UROK	\N	\N
3660948	3955	1994-09-30	PRIJEM	\N	105	21662	UROK	\N	\N
3660949	3955	1994-10-31	PRIJEM	\N	91	19901	UROK	\N	\N
3660950	3955	1994-11-30	PRIJEM	\N	107	26257	UROK	\N	\N
3660951	3955	1994-12-31	PRIJEM	\N	137	32808	UROK	\N	\N
3660952	3955	1995-01-31	PRIJEM	\N	106	18202	UROK	\N	\N
3660953	3955	1995-02-28	PRIJEM	\N	95	22845	UROK	\N	\N
3660954	3955	1995-03-31	PRIJEM	\N	109	26202	UROK	\N	\N
3660955	3955	1995-04-30	PRIJEM	\N	123	29674	UROK	\N	\N
3660956	3955	1995-05-31	PRIJEM	\N	138	33261	UROK	\N	\N
3660957	3955	1995-06-30	PRIJEM	\N	144	34358	UROK	\N	\N
3660958	3955	1995-07-31	PRIJEM	\N	136	29782	UROK	\N	\N
3660959	3955	1995-08-31	PRIJEM	\N	140	33670	UROK	\N	\N
3660960	3955	1995-09-30	PRIJEM	\N	146	34764	UROK	\N	\N
3660961	3955	1995-10-31	PRIJEM	\N	132	28565	UROK	\N	\N
3660962	3955	1995-11-30	PRIJEM	\N	131	31343	UROK	\N	\N
3660963	3955	1995-12-31	PRIJEM	\N	158	37395	UROK	\N	\N
3660964	3955	1996-01-31	PRIJEM	\N	133	30516	UROK	\N	\N
3660965	3955	1996-02-29	PRIJEM	\N	138	33202	UROK	\N	\N
3660966	3955	1996-03-31	PRIJEM	\N	147	33797	UROK	\N	\N
3660967	3955	1996-04-30	PRIJEM	\N	152	36698	UROK	\N	\N
3660968	3955	1996-05-31	PRIJEM	\N	163	38109	UROK	\N	\N
3660969	3955	1996-06-30	PRIJEM	\N	153	31715	UROK	\N	\N
3660970	3955	1996-07-31	PRIJEM	\N	142	33206	UROK	\N	\N
3660971	3955	1996-08-31	PRIJEM	\N	150	36504	UROK	\N	\N
3660972	3955	1996-09-30	PRIJEM	\N	162	38315	UROK	\N	\N
3660973	3955	1996-10-31	PRIJEM	\N	158	38161	UROK	\N	\N
3660974	3955	1996-11-30	PRIJEM	\N	171	42281	UROK	\N	\N
3660975	3955	1996-12-31	PRIJEM	\N	179	42173	UROK	\N	\N
3660976	3955	1997-01-31	PRIJEM	\N	165	33206	UROK	\N	\N
3660977	3955	1997-02-28	PRIJEM	\N	149	36404	UROK	\N	\N
3660978	3955	1997-03-31	PRIJEM	\N	154	41547	UROK	\N	\N
3660979	3955	1997-04-30	PRIJEM	\N	178	41352	UROK	\N	\N
3660980	3955	1997-05-31	PRIJEM	\N	182	43382	UROK	\N	\N
3660981	3955	1997-06-30	PRIJEM	\N	182	35118	UROK	\N	\N
3660982	3955	1997-07-31	PRIJEM	\N	147	39353	UROK	\N	\N
3660983	3955	1997-08-31	PRIJEM	\N	179	45680	UROK	\N	\N
3660984	3955	1997-09-30	PRIJEM	\N	189	48237	UROK	\N	\N
3660985	3955	1997-10-31	PRIJEM	\N	206	47992	UROK	\N	\N
3660986	3955	1997-11-30	PRIJEM	\N	198	48318	UROK	\N	\N
3660987	3955	1997-12-31	PRIJEM	\N	216	49927	UROK	\N	\N
3660988	3955	1998-01-31	PRIJEM	\N	208	42404	UROK	\N	\N
3660989	3955	1998-02-28	PRIJEM	\N	190	47442	UROK	\N	\N
3660990	3955	1998-03-31	PRIJEM	\N	204	48294	UROK	\N	\N
3660991	3955	1998-04-30	PRIJEM	\N	209	50351	UROK	\N	\N
3660992	3955	1998-05-31	PRIJEM	\N	210	51849	UROK	\N	\N
3660993	3955	1998-06-30	PRIJEM	\N	234	46637	UROK	\N	\N
3660994	3955	1998-07-31	PRIJEM	\N	209	52694	UROK	\N	\N
3660995	3955	1998-08-31	PRIJEM	\N	232	57475	UROK	\N	\N
3660996	3955	1998-09-30	PRIJEM	\N	249	60973	UROK	\N	\N
3660997	3955	1998-10-31	PRIJEM	\N	264	64384	UROK	\N	\N
3660998	3955	1998-11-30	PRIJEM	\N	260	59993	UROK	\N	\N
3660999	3955	1998-12-31	PRIJEM	\N	264	64730	UROK	\N	\N
3661000	3956	1996-11-30	PRIJEM	\N	11	19302	UROK	\N	\N
3661001	3956	1996-12-31	PRIJEM	\N	89	32877	UROK	\N	\N
3661002	3956	1997-01-31	PRIJEM	\N	141	38810	UROK	\N	\N
3661003	3956	1997-02-28	PRIJEM	\N	163	42464	UROK	\N	\N
3661004	3956	1997-03-31	PRIJEM	\N	182	40910	UROK	\N	\N
3661005	3956	1997-04-30	PRIJEM	\N	177	41336	UROK	\N	\N
3661006	3956	1997-05-31	PRIJEM	\N	174	38000	UROK	\N	\N
3661007	3956	1997-06-30	PRIJEM	\N	132	31616	UROK	\N	\N
3661008	3956	1997-07-31	PRIJEM	\N	144	38610	UROK	\N	\N
3661009	3956	1997-08-31	PRIJEM	\N	175	47534	UROK	\N	\N
3661010	3956	1997-09-30	PRIJEM	\N	201	46285	UROK	\N	\N
3661011	3956	1997-10-31	PRIJEM	\N	199	47694	UROK	\N	\N
3661012	3956	1997-11-30	PRIJEM	\N	205	49648	UROK	\N	\N
3661013	3956	1997-12-31	PRIJEM	\N	222	50895	UROK	\N	\N
3661014	3956	1998-01-31	PRIJEM	\N	196	40600	UROK	\N	\N
3661015	3956	1998-02-28	PRIJEM	\N	176	43526	UROK	\N	\N
3661016	3956	1998-03-31	PRIJEM	\N	189	46164	UROK	\N	\N
3661017	3956	1998-04-30	PRIJEM	\N	202	50415	UROK	\N	\N
3661018	3956	1998-05-31	PRIJEM	\N	215	49818	UROK	\N	\N
3661019	3956	1998-06-30	PRIJEM	\N	211	50294	UROK	\N	\N
3661020	3956	1998-07-31	PRIJEM	\N	218	51761	UROK	\N	\N
3661021	3956	1998-08-31	PRIJEM	\N	228	57538	UROK	\N	\N
3661022	3956	1998-09-30	PRIJEM	\N	252	63740	UROK	\N	\N
3661023	3956	1998-10-31	PRIJEM	\N	259	60868	UROK	\N	\N
3661024	3956	1998-11-30	PRIJEM	\N	262	64979	UROK	\N	\N
3661025	3956	1998-12-31	PRIJEM	\N	287	68871	UROK	\N	\N
3661026	3958	1998-01-31	PRIJEM	\N	18	26935	UROK	\N	\N
3661027	3958	1998-02-28	PRIJEM	\N	116	35068	UROK	\N	\N
3661028	3958	1998-03-31	PRIJEM	\N	148	39533	UROK	\N	\N
3661029	3958	1998-04-30	PRIJEM	\N	165	40414	UROK	\N	\N
3661030	3958	1998-05-31	PRIJEM	\N	170	43001	UROK	\N	\N
3661031	3958	1998-06-30	PRIJEM	\N	219	42731	UROK	\N	\N
3661032	3958	1998-07-31	PRIJEM	\N	227	40461	UROK	\N	\N
3661033	3958	1998-08-31	PRIJEM	\N	165	37229	UROK	\N	\N
3661034	3958	1998-09-30	PRIJEM	\N	151	32781	UROK	\N	\N
3661035	3958	1998-10-31	PRIJEM	\N	128	25012	UROK	\N	\N
3661036	3958	1998-11-30	PRIJEM	\N	99	20313	UROK	\N	\N
3661037	3958	1998-12-31	PRIJEM	\N	127	52391	UROK	\N	\N
3661038	3960	1993-07-31	PRIJEM	\N	72	21403	UROK	\N	\N
3661039	3960	1993-08-31	PRIJEM	\N	85	19976	UROK	\N	\N
3661040	3960	1993-09-30	PRIJEM	\N	89	21653	UROK	\N	\N
3661041	3960	1993-10-31	PRIJEM	\N	96	23337	UROK	\N	\N
3661042	3960	1993-11-30	PRIJEM	\N	99	23744	UROK	\N	\N
3661043	3960	1993-12-31	PRIJEM	\N	100	24133	UROK	\N	\N
3661044	3960	1994-01-31	PRIJEM	\N	72	14213	UROK	\N	\N
3661045	3960	1994-02-28	PRIJEM	\N	64	15866	UROK	\N	\N
3661046	3960	1994-03-31	PRIJEM	\N	71	17526	UROK	\N	\N
3661047	3960	1994-04-30	PRIJEM	\N	69	15983	UROK	\N	\N
3661048	3960	1994-05-31	PRIJEM	\N	72	17643	UROK	\N	\N
3661049	3960	1994-06-30	PRIJEM	\N	79	19310	UROK	\N	\N
3661050	3960	1994-07-31	PRIJEM	\N	86	20984	UROK	\N	\N
3661051	3960	1994-08-31	PRIJEM	\N	92	21565	UROK	\N	\N
3661052	3960	1994-09-30	PRIJEM	\N	95	23249	UROK	\N	\N
3661053	3960	1994-10-31	PRIJEM	\N	102	24939	UROK	\N	\N
3661054	3960	1994-11-30	PRIJEM	\N	103	22550	UROK	\N	\N
3661055	3960	1994-12-31	PRIJEM	\N	90	20259	UROK	\N	\N
3661056	3960	1995-01-31	PRIJEM	\N	71	14398	UROK	\N	\N
3661057	3960	1995-02-28	PRIJEM	\N	65	16052	UROK	\N	\N
3661058	3960	1995-03-31	PRIJEM	\N	72	17712	UROK	\N	\N
3661059	3960	1995-04-30	PRIJEM	\N	79	19379	UROK	\N	\N
3661060	3960	1995-05-31	PRIJEM	\N	85	20332	UROK	\N	\N
3661061	3960	1995-06-30	PRIJEM	\N	90	22010	UROK	\N	\N
3661062	3960	1995-07-31	PRIJEM	\N	97	23695	UROK	\N	\N
3661063	3960	1995-08-31	PRIJEM	\N	104	25387	UROK	\N	\N
3661064	3960	1995-09-30	PRIJEM	\N	111	27086	UROK	\N	\N
3661065	3960	1995-10-31	PRIJEM	\N	113	25468	UROK	\N	\N
3661066	3960	1995-11-30	PRIJEM	\N	111	27167	UROK	\N	\N
3661067	3960	1995-12-31	PRIJEM	\N	116	26872	UROK	\N	\N
3661068	3960	1996-01-31	PRIJEM	\N	101	20560	UROK	\N	\N
3661069	3960	1996-02-29	PRIJEM	\N	90	22239	UROK	\N	\N
3661070	3960	1996-03-31	PRIJEM	\N	97	23925	UROK	\N	\N
3661071	3960	1996-04-30	PRIJEM	\N	100	24093	UROK	\N	\N
3661072	3960	1996-05-31	PRIJEM	\N	104	25386	UROK	\N	\N
3661073	3960	1996-06-30	PRIJEM	\N	109	25823	UROK	\N	\N
3661074	3960	1996-07-31	PRIJEM	\N	112	27523	UROK	\N	\N
3661075	3960	1996-08-31	PRIJEM	\N	119	29231	UROK	\N	\N
3661076	3960	1996-09-30	PRIJEM	\N	124	30044	UROK	\N	\N
3661077	3960	1996-10-31	PRIJEM	\N	124	28856	UROK	\N	\N
3661078	3960	1996-11-30	PRIJEM	\N	122	29066	UROK	\N	\N
3661079	3960	1996-12-31	PRIJEM	\N	117	24771	UROK	\N	\N
3661080	3960	1997-01-31	PRIJEM	\N	90	20129	UROK	\N	\N
3661081	3960	1997-02-28	PRIJEM	\N	87	20924	UROK	\N	\N
3661082	3960	1997-03-31	PRIJEM	\N	84	15877	UROK	\N	\N
3661083	3960	1997-04-30	PRIJEM	\N	70	17536	UROK	\N	\N
3661084	3960	1997-05-31	PRIJEM	\N	77	19201	UROK	\N	\N
3661085	3960	1997-06-30	PRIJEM	\N	71	17100	UROK	\N	\N
3661086	3960	1997-07-31	PRIJEM	\N	75	18764	UROK	\N	\N
3661087	3960	1997-08-31	PRIJEM	\N	75	17788	UROK	\N	\N
3661088	3960	1997-09-30	PRIJEM	\N	74	18010	UROK	\N	\N
3661089	3960	1997-10-31	PRIJEM	\N	79	19677	UROK	\N	\N
3661090	3960	1997-11-30	PRIJEM	\N	85	21350	UROK	\N	\N
3661091	3960	1997-12-31	PRIJEM	\N	88	21377	UROK	\N	\N
3661092	3960	1998-01-31	PRIJEM	\N	72	17197	UROK	\N	\N
3661093	3960	1998-02-28	PRIJEM	\N	72	17658	UROK	\N	\N
3661094	3960	1998-03-31	PRIJEM	\N	71	17477	UROK	\N	\N
3661095	3960	1998-04-30	PRIJEM	\N	76	19141	UROK	\N	\N
3661096	3960	1998-05-31	PRIJEM	\N	78	18488	UROK	\N	\N
3661097	3960	1998-06-30	PRIJEM	\N	80	20156	UROK	\N	\N
3661098	3960	1998-07-31	PRIJEM	\N	87	21832	UROK	\N	\N
3661099	3960	1998-08-31	PRIJEM	\N	94	23514	UROK	\N	\N
3661100	3960	1998-09-30	PRIJEM	\N	101	25203	UROK	\N	\N
3661101	3960	1998-10-31	PRIJEM	\N	96	23447	UROK	\N	\N
3661102	3960	1998-11-30	PRIJEM	\N	100	25136	UROK	\N	\N
3661103	3960	1998-12-31	PRIJEM	\N	103	25427	UROK	\N	\N
3661104	3961	1997-06-30	PRIJEM	\N	43	12184	UROK	\N	\N
3661105	3961	1997-07-31	PRIJEM	\N	54	13379	UROK	\N	\N
3661106	3961	1997-08-31	PRIJEM	\N	59	14578	UROK	\N	\N
3661107	3961	1997-09-30	PRIJEM	\N	62	14941	UROK	\N	\N
3661108	3961	1997-10-31	PRIJEM	\N	65	14885	UROK	\N	\N
3661109	3961	1997-11-30	PRIJEM	\N	66	16091	UROK	\N	\N
3661110	3961	1997-12-31	PRIJEM	\N	70	16552	UROK	\N	\N
3661111	3961	1998-01-31	PRIJEM	\N	64	12916	UROK	\N	\N
3661112	3961	1998-02-28	PRIJEM	\N	57	14113	UROK	\N	\N
3661113	3961	1998-03-31	PRIJEM	\N	63	14776	UROK	\N	\N
3661114	3961	1998-04-30	PRIJEM	\N	65	15982	UROK	\N	\N
3661115	3961	1998-05-31	PRIJEM	\N	67	15189	UROK	\N	\N
3661116	3961	1998-06-30	PRIJEM	\N	60	12789	UROK	\N	\N
3661117	3961	1998-07-31	PRIJEM	\N	57	13987	UROK	\N	\N
3661118	3961	1998-08-31	PRIJEM	\N	58	13195	UROK	\N	\N
3661119	3961	1998-09-30	PRIJEM	\N	58	14394	UROK	\N	\N
3661120	3961	1998-10-31	PRIJEM	\N	56	11990	UROK	\N	\N
3661121	3961	1998-11-30	PRIJEM	\N	50	11680	UROK	\N	\N
3661122	3961	1998-12-31	PRIJEM	\N	49	11570	UROK	\N	\N
3661123	3963	1997-11-30	PRIJEM	\N	16	22580	UROK	\N	\N
3661124	3963	1997-12-31	PRIJEM	\N	101	31577	UROK	\N	\N
3661125	3963	1998-01-31	PRIJEM	\N	136	36477	UROK	\N	\N
3661126	3963	1998-02-28	PRIJEM	\N	151	36392	UROK	\N	\N
3661127	3963	1998-03-31	PRIJEM	\N	163	28877	UROK	\N	\N
3661128	3963	1998-04-30	PRIJEM	\N	147	29632	UROK	\N	\N
3661129	3963	1998-05-31	PRIJEM	\N	154	34593	UROK	\N	\N
3661130	3963	1998-06-30	PRIJEM	\N	136	30368	UROK	\N	\N
3661131	3963	1998-07-31	PRIJEM	\N	149	35225	UROK	\N	\N
3661132	3963	1998-08-31	PRIJEM	\N	170	37602	UROK	\N	\N
3661133	3963	1998-09-30	PRIJEM	\N	171	34581	UROK	\N	\N
3661134	3963	1998-10-31	PRIJEM	\N	161	36549	UROK	\N	\N
3661135	3963	1998-11-30	PRIJEM	\N	161	33318	UROK	\N	\N
3661136	3963	1998-12-31	PRIJEM	\N	183	48240	UROK	\N	\N
3661137	3964	1997-06-30	PRIJEM	\N	25	12240	UROK	\N	\N
3661138	3964	1997-07-31	PRIJEM	\N	54	13353	UROK	\N	\N
3661139	3964	1997-08-31	PRIJEM	\N	59	14470	UROK	\N	\N
3661140	3964	1997-09-30	PRIJEM	\N	62	14290	UROK	\N	\N
3661141	3964	1997-10-31	PRIJEM	\N	61	14009	UROK	\N	\N
3661142	3964	1997-11-30	PRIJEM	\N	60	14407	UROK	\N	\N
3661143	3964	1997-12-31	PRIJEM	\N	58	13784	UROK	\N	\N
3661144	3964	1998-01-31	PRIJEM	\N	60	14903	UROK	\N	\N
3661145	3964	1998-02-28	PRIJEM	\N	65	16026	UROK	\N	\N
3661146	3964	1998-03-31	PRIJEM	\N	65	14930	UROK	\N	\N
3661147	3964	1998-04-30	PRIJEM	\N	64	15902	UROK	\N	\N
3661148	3964	1998-05-31	PRIJEM	\N	62	12622	UROK	\N	\N
3661149	3964	1998-06-30	PRIJEM	\N	56	13736	UROK	\N	\N
3661150	3964	1998-07-31	PRIJEM	\N	60	14855	UROK	\N	\N
3661151	3964	1998-08-31	PRIJEM	\N	65	15978	UROK	\N	\N
3661152	3964	1998-09-30	PRIJEM	\N	69	17106	UROK	\N	\N
3661153	3964	1998-10-31	PRIJEM	\N	74	18238	UROK	\N	\N
3661154	3964	1998-11-30	PRIJEM	\N	79	19376	UROK	\N	\N
3661155	3964	1998-12-31	PRIJEM	\N	67	13190	UROK	\N	\N
3661156	3966	1996-01-31	PRIJEM	\N	12	5146	UROK	\N	\N
3661157	3966	1996-02-29	PRIJEM	\N	21	9502	UROK	\N	\N
3661158	3966	1996-03-31	PRIJEM	\N	21	13857	UROK	\N	\N
3661159	3966	1996-04-30	PRIJEM	\N	21	18213	UROK	\N	\N
3661160	3966	1996-05-31	PRIJEM	\N	24	22570	UROK	\N	\N
3661161	3966	1996-06-30	PRIJEM	\N	100	25236	UROK	\N	\N
3661162	3966	1996-07-31	PRIJEM	\N	111	27913	UROK	\N	\N
3661163	3966	1996-08-31	PRIJEM	\N	108	26866	UROK	\N	\N
3661164	3966	1996-09-30	PRIJEM	\N	116	29247	UROK	\N	\N
3661165	3966	1996-10-31	PRIJEM	\N	98	21871	UROK	\N	\N
3661166	3966	1996-11-30	PRIJEM	\N	67	16583	UROK	\N	\N
3661167	3966	1996-12-31	PRIJEM	\N	73	18971	UROK	\N	\N
3661168	3966	1997-01-31	PRIJEM	\N	68	13145	UROK	\N	\N
3661169	3966	1997-02-28	PRIJEM	\N	60	15771	UROK	\N	\N
3661170	3966	1997-03-31	PRIJEM	\N	64	16400	UROK	\N	\N
3661171	3966	1997-04-30	PRIJEM	\N	70	18135	UROK	\N	\N
3661172	3966	1997-05-31	PRIJEM	\N	71	17811	UROK	\N	\N
3661173	3966	1997-06-30	PRIJEM	\N	80	20457	UROK	\N	\N
3661174	3966	1997-07-31	PRIJEM	\N	87	21489	UROK	\N	\N
3661175	3966	1997-08-31	PRIJEM	\N	93	22307	UROK	\N	\N
3661176	3966	1997-09-30	PRIJEM	\N	85	20218	UROK	\N	\N
3661177	3966	1997-10-31	PRIJEM	\N	90	22874	UROK	\N	\N
3661178	3966	1997-11-30	PRIJEM	\N	99	18838	UROK	\N	\N
3661179	3966	1997-12-31	PRIJEM	\N	83	19287	UROK	\N	\N
3661180	3966	1998-01-31	PRIJEM	\N	72	14964	UROK	\N	\N
3661181	3966	1998-02-28	PRIJEM	\N	68	17597	UROK	\N	\N
3661182	3966	1998-03-31	PRIJEM	\N	69	17592	UROK	\N	\N
3661183	3966	1998-04-30	PRIJEM	\N	79	20236	UROK	\N	\N
3661184	3966	1998-05-31	PRIJEM	\N	90	22891	UROK	\N	\N
3661185	3966	1998-06-30	PRIJEM	\N	87	18424	UROK	\N	\N
3661186	3966	1998-07-31	PRIJEM	\N	81	20590	UROK	\N	\N
3661187	3966	1998-08-31	PRIJEM	\N	92	23247	UROK	\N	\N
3661188	3966	1998-09-30	PRIJEM	\N	102	25915	UROK	\N	\N
3661189	3966	1998-10-31	PRIJEM	\N	113	27492	UROK	\N	\N
3661190	3966	1998-11-30	PRIJEM	\N	111	25068	UROK	\N	\N
3661191	3966	1998-12-31	PRIJEM	\N	109	26192	UROK	\N	\N
3661192	3969	1993-07-31	PRIJEM	\N	38	23354	UROK	\N	\N
3661193	3969	1993-08-31	PRIJEM	\N	111	31581	UROK	\N	\N
3661194	3969	1993-09-30	PRIJEM	\N	137	35034	UROK	\N	\N
3661195	3969	1993-10-31	PRIJEM	\N	150	37500	UROK	\N	\N
3661196	3969	1993-11-30	PRIJEM	\N	162	40678	UROK	\N	\N
3661197	3969	1993-12-31	PRIJEM	\N	181	40199	UROK	\N	\N
3661198	3969	1994-01-31	PRIJEM	\N	166	34328	UROK	\N	\N
3661199	3969	1994-02-28	PRIJEM	\N	155	37285	UROK	\N	\N
3661200	3969	1994-03-31	PRIJEM	\N	163	35530	UROK	\N	\N
3661201	3969	1994-04-30	PRIJEM	\N	154	33966	UROK	\N	\N
3661202	3969	1994-05-31	PRIJEM	\N	154	36422	UROK	\N	\N
3661203	3969	1994-06-30	PRIJEM	\N	168	41510	UROK	\N	\N
3661204	3969	1994-07-31	PRIJEM	\N	170	38183	UROK	\N	\N
3661205	3969	1994-08-31	PRIJEM	\N	168	40653	UROK	\N	\N
3661206	3969	1994-09-30	PRIJEM	\N	168	36504	UROK	\N	\N
3661207	3969	1994-10-31	PRIJEM	\N	155	37481	UROK	\N	\N
3661208	3969	1994-11-30	PRIJEM	\N	157	37940	UROK	\N	\N
3661209	3969	1994-12-31	PRIJEM	\N	198	39698	UROK	\N	\N
3661210	3969	1995-01-31	PRIJEM	\N	187	40887	UROK	\N	\N
3661211	3969	1995-02-28	PRIJEM	\N	184	47273	UROK	\N	\N
3661212	3969	1995-03-31	PRIJEM	\N	190	45065	UROK	\N	\N
3661213	3969	1995-04-30	PRIJEM	\N	199	49766	UROK	\N	\N
3661214	3969	1995-05-31	PRIJEM	\N	212	48600	UROK	\N	\N
3661215	3969	1995-06-30	PRIJEM	\N	182	44162	UROK	\N	\N
3661216	3969	1995-07-31	PRIJEM	\N	196	49761	UROK	\N	\N
3661217	3969	1995-08-31	PRIJEM	\N	201	49924	UROK	\N	\N
3661218	3969	1995-09-30	PRIJEM	\N	200	45106	UROK	\N	\N
3661219	3969	1995-10-31	PRIJEM	\N	184	44992	UROK	\N	\N
3661220	3969	1995-11-30	PRIJEM	\N	183	44677	UROK	\N	\N
3661221	3969	1995-12-31	PRIJEM	\N	202	47579	UROK	\N	\N
3661222	3969	1996-01-31	PRIJEM	\N	137	30759	UROK	\N	\N
3661223	3969	1996-02-29	PRIJEM	\N	144	38105	UROK	\N	\N
3661224	3969	1996-03-31	PRIJEM	\N	159	39767	UROK	\N	\N
3661225	3969	1996-04-30	PRIJEM	\N	160	37909	UROK	\N	\N
3661226	3969	1996-05-31	PRIJEM	\N	164	41675	UROK	\N	\N
3661227	3969	1996-06-30	PRIJEM	\N	192	44068	UROK	\N	\N
3661228	3969	1996-07-31	PRIJEM	\N	191	48161	UROK	\N	\N
3661229	3969	1996-08-31	PRIJEM	\N	196	48260	UROK	\N	\N
3661230	3969	1996-09-30	PRIJEM	\N	170	43012	UROK	\N	\N
3661231	3969	1996-10-31	PRIJEM	\N	183	45997	UROK	\N	\N
3661232	3969	1996-11-30	PRIJEM	\N	187	46287	UROK	\N	\N
3661233	3969	1996-12-31	PRIJEM	\N	204	53011	UROK	\N	\N
3661234	3969	1997-01-31	PRIJEM	\N	182	26335	UROK	\N	\N
3661235	3969	1997-02-28	PRIJEM	\N	141	39678	UROK	\N	\N
3661236	3969	1997-03-31	PRIJEM	\N	167	42047	UROK	\N	\N
3661237	3969	1997-04-30	PRIJEM	\N	175	43225	UROK	\N	\N
3661238	3969	1997-05-31	PRIJEM	\N	151	24739	UROK	\N	\N
3661239	3969	1997-06-30	PRIJEM	\N	140	25859	UROK	\N	\N
3661240	3969	1997-07-31	PRIJEM	\N	133	21394	UROK	\N	\N
3661241	3969	1997-08-31	PRIJEM	\N	114	20610	UROK	\N	\N
3661242	3969	1997-09-30	PRIJEM	\N	111	22724	UROK	\N	\N
3661243	3969	1997-10-31	PRIJEM	\N	120	25546	UROK	\N	\N
3661244	3969	1997-11-30	PRIJEM	\N	131	29979	UROK	\N	\N
3661245	3969	1997-12-31	PRIJEM	\N	163	29383	UROK	\N	\N
3661246	3969	1998-01-31	PRIJEM	\N	114	18259	UROK	\N	\N
3661247	3969	1998-02-28	PRIJEM	\N	105	31567	UROK	\N	\N
3661248	3969	1998-03-31	PRIJEM	\N	148	26217	UROK	\N	\N
3661249	3969	1998-04-30	PRIJEM	\N	122	18642	UROK	\N	\N
3661250	3969	1998-05-31	PRIJEM	\N	109	31953	UROK	\N	\N
3661251	3969	1998-06-30	PRIJEM	\N	156	22869	UROK	\N	\N
3661252	3969	1998-07-31	PRIJEM	\N	107	18178	UROK	\N	\N
3661253	3969	1998-08-31	PRIJEM	\N	106	31487	UROK	\N	\N
3661254	3969	1998-09-30	PRIJEM	\N	127	17716	UROK	\N	\N
3661255	3969	1998-10-31	PRIJEM	\N	104	31023	UROK	\N	\N
3661256	3969	1998-11-30	PRIJEM	\N	158	42343	UROK	\N	\N
3661257	3969	1998-12-31	PRIJEM	\N	169	22872	UROK	\N	\N
3661258	3970	1995-12-31	PRIJEM	\N	24	44556	UROK	\N	\N
3661259	3970	1996-01-31	PRIJEM	\N	193	56404	UROK	\N	\N
3661260	3970	1996-02-29	PRIJEM	\N	235	58595	UROK	\N	\N
3661261	3970	1996-03-31	PRIJEM	\N	245	61995	UROK	\N	\N
3661262	3970	1996-04-30	PRIJEM	\N	260	65910	UROK	\N	\N
3661263	3970	1996-05-31	PRIJEM	\N	318	31554	UROK	\N	\N
3661264	3970	1996-06-30	PRIJEM	\N	196	46952	UROK	\N	\N
3661265	3970	1996-07-31	PRIJEM	\N	249	28315	UROK	\N	\N
3661266	3970	1996-08-31	PRIJEM	\N	171	20873	UROK	\N	\N
3661267	3970	1996-09-30	PRIJEM	\N	143	23179	UROK	\N	\N
3661268	3970	1996-10-31	PRIJEM	\N	155	34600	UROK	\N	\N
3661269	3970	1996-11-30	PRIJEM	\N	202	38885	UROK	\N	\N
3661270	3970	1996-12-31	PRIJEM	\N	257	58702	UROK	\N	\N
3661271	3970	1997-01-31	PRIJEM	\N	201	28866	UROK	\N	\N
3661272	3970	1997-02-28	PRIJEM	\N	181	45230	UROK	\N	\N
3661273	3970	1997-03-31	PRIJEM	\N	223	45836	UROK	\N	\N
3661274	3970	1997-04-30	PRIJEM	\N	215	48834	UROK	\N	\N
3661275	3970	1997-05-31	PRIJEM	\N	248	53266	UROK	\N	\N
3661276	3970	1997-06-30	PRIJEM	\N	244	54121	UROK	\N	\N
3661277	3970	1997-07-31	PRIJEM	\N	250	59355	UROK	\N	\N
3661278	3970	1997-08-31	PRIJEM	\N	282	61820	UROK	\N	\N
3661279	3970	1997-09-30	PRIJEM	\N	286	62590	UROK	\N	\N
3661280	3970	1997-10-31	PRIJEM	\N	280	61953	UROK	\N	\N
3661281	3970	1997-11-30	PRIJEM	\N	257	50929	UROK	\N	\N
3661282	3970	1997-12-31	PRIJEM	\N	259	61748	UROK	\N	\N
3661283	3970	1998-01-31	PRIJEM	\N	205	24714	UROK	\N	\N
3661284	3970	1998-02-28	PRIJEM	\N	159	44157	UROK	\N	\N
3661285	3970	1998-03-31	PRIJEM	\N	215	49218	UROK	\N	\N
3661286	3970	1998-04-30	PRIJEM	\N	238	56739	UROK	\N	\N
3661287	3970	1998-05-31	PRIJEM	\N	217	38991	UROK	\N	\N
3661288	3970	1998-06-30	PRIJEM	\N	229	57632	UROK	\N	\N
3661289	3970	1998-07-31	PRIJEM	\N	255	49942	UROK	\N	\N
3661290	3970	1998-08-31	PRIJEM	\N	219	40378	UROK	\N	\N
3661291	3970	1998-09-30	PRIJEM	\N	153	24181	UROK	\N	\N
3661292	3970	1998-10-31	PRIJEM	\N	156	37989	UROK	\N	\N
3661293	3970	1998-11-30	PRIJEM	\N	203	54476	UROK	\N	\N
3661294	3970	1998-12-31	PRIJEM	\N	258	55647	UROK	\N	\N
3661295	3971	1997-03-31	PRIJEM	\N	97	40009	UROK	\N	\N
3661296	3971	1997-04-30	PRIJEM	\N	219	60991	UROK	\N	\N
3661297	3971	1997-05-31	PRIJEM	\N	300	87864	UROK	\N	\N
3661298	3971	1997-06-30	PRIJEM	\N	345	59281	UROK	\N	\N
3661299	3971	1997-07-31	PRIJEM	\N	206	69894	UROK	\N	\N
3661300	3971	1997-08-31	PRIJEM	\N	202	38087	UROK	\N	\N
3661301	3971	1997-09-30	PRIJEM	\N	146	28973	UROK	\N	\N
3661302	3971	1997-10-31	PRIJEM	\N	79	13242	UROK	\N	\N
3661303	3971	1997-11-30	PRIJEM	\N	134	58628	UROK	\N	\N
3661304	3971	1997-12-31	PRIJEM	\N	214	77625	UROK	\N	\N
3661305	3971	1998-01-31	PRIJEM	\N	148	21064	UROK	\N	\N
3661306	3971	1998-02-28	PRIJEM	\N	82	44311	UROK	\N	\N
3661307	3971	1998-03-31	PRIJEM	\N	116	20117	UROK	\N	\N
3661308	3971	1998-04-30	PRIJEM	\N	47	6055	UROK	\N	\N
3661309	3971	1998-05-31	PRIJEM	\N	33	25451	UROK	\N	\N
3661310	3971	1998-06-30	PRIJEM	\N	56	6796	UROK	\N	\N
3661311	3971	1998-07-31	PRIJEM	\N	79	18228	UROK	\N	\N
3661312	3971	1998-08-31	PRIJEM	\N	43	5662	UROK	\N	\N
3661313	3971	1998-09-30	PRIJEM	\N	84	18026	UROK	\N	\N
3661314	3971	1998-10-31	PRIJEM	\N	180	63509	UROK	\N	\N
3661315	3971	1998-11-30	PRIJEM	\N	157	21457	UROK	\N	\N
3661316	3971	1998-12-31	PRIJEM	\N	92	52423	UROK	\N	\N
3661317	3972	1993-11-30	PRIJEM	\N	60	20528	UROK	\N	\N
3661318	3972	1993-12-31	PRIJEM	\N	135	37264	UROK	\N	\N
3661319	3972	1994-01-31	PRIJEM	\N	161	39393	UROK	\N	\N
3661320	3972	1994-02-28	PRIJEM	\N	161	38522	UROK	\N	\N
3661321	3972	1994-03-31	PRIJEM	\N	167	36945	UROK	\N	\N
3661322	3972	1994-04-30	PRIJEM	\N	140	30715	UROK	\N	\N
3661323	3972	1994-05-31	PRIJEM	\N	143	31687	UROK	\N	\N
3661324	3972	1994-06-30	PRIJEM	\N	130	31580	UROK	\N	\N
3661325	3972	1994-07-31	PRIJEM	\N	131	31041	UROK	\N	\N
3661326	3972	1994-08-31	PRIJEM	\N	138	33008	UROK	\N	\N
3661327	3972	1994-09-30	PRIJEM	\N	170	42807	UROK	\N	\N
3661328	3972	1994-10-31	PRIJEM	\N	185	45221	UROK	\N	\N
3661329	3972	1994-11-30	PRIJEM	\N	179	40330	UROK	\N	\N
3661330	3972	1994-12-31	PRIJEM	\N	197	49591	UROK	\N	\N
3661331	3972	1995-01-31	PRIJEM	\N	169	34289	UROK	\N	\N
3661332	3972	1995-02-28	PRIJEM	\N	168	42386	UROK	\N	\N
3661333	3972	1995-03-31	PRIJEM	\N	182	42098	UROK	\N	\N
3661334	3972	1995-04-30	PRIJEM	\N	182	43809	UROK	\N	\N
3661335	3972	1995-05-31	PRIJEM	\N	196	48434	UROK	\N	\N
3661336	3972	1995-06-30	PRIJEM	\N	217	52514	UROK	\N	\N
3661337	3972	1995-07-31	PRIJEM	\N	225	54968	UROK	\N	\N
3661338	3972	1995-08-31	PRIJEM	\N	222	53820	UROK	\N	\N
3661339	3972	1995-09-30	PRIJEM	\N	228	55677	UROK	\N	\N
3661340	3972	1995-10-31	PRIJEM	\N	216	51123	UROK	\N	\N
3661341	3972	1995-11-30	PRIJEM	\N	206	48358	UROK	\N	\N
3661342	3972	1995-12-31	PRIJEM	\N	228	44649	UROK	\N	\N
3661343	3972	1996-01-31	PRIJEM	\N	158	31237	UROK	\N	\N
3661344	3972	1996-02-29	PRIJEM	\N	156	37022	UROK	\N	\N
3661345	3972	1996-03-31	PRIJEM	\N	179	38430	UROK	\N	\N
3661346	3972	1996-04-30	PRIJEM	\N	182	40441	UROK	\N	\N
3661347	3972	1996-05-31	PRIJEM	\N	191	42261	UROK	\N	\N
3661348	3972	1996-06-30	PRIJEM	\N	204	33128	UROK	\N	\N
3661349	3972	1996-07-31	PRIJEM	\N	162	37720	UROK	\N	\N
3661350	3972	1996-08-31	PRIJEM	\N	181	42330	UROK	\N	\N
3661351	3972	1996-09-30	PRIJEM	\N	202	49361	UROK	\N	\N
3661352	3972	1996-10-31	PRIJEM	\N	223	51013	UROK	\N	\N
3661353	3972	1996-11-30	PRIJEM	\N	225	49167	UROK	\N	\N
3661354	3972	1996-12-31	PRIJEM	\N	239	52270	UROK	\N	\N
3661355	3972	1997-01-31	PRIJEM	\N	213	41813	UROK	\N	\N
3661356	3972	1997-02-28	PRIJEM	\N	195	45737	UROK	\N	\N
3661357	3972	1997-03-31	PRIJEM	\N	207	47574	UROK	\N	\N
3661358	3972	1997-04-30	PRIJEM	\N	215	48318	UROK	\N	\N
3661359	3972	1997-05-31	PRIJEM	\N	221	52069	UROK	\N	\N
3661360	3972	1997-06-30	PRIJEM	\N	195	42128	UROK	\N	\N
3661361	3972	1997-07-31	PRIJEM	\N	197	48754	UROK	\N	\N
3661362	3972	1997-08-31	PRIJEM	\N	220	51103	UROK	\N	\N
3661363	3972	1997-09-30	PRIJEM	\N	230	54263	UROK	\N	\N
3661364	3972	1997-10-31	PRIJEM	\N	240	54432	UROK	\N	\N
3661365	3972	1997-11-30	PRIJEM	\N	231	54292	UROK	\N	\N
3661366	3972	1997-12-31	PRIJEM	\N	256	58512	UROK	\N	\N
3661367	3972	1998-01-31	PRIJEM	\N	231	50872	UROK	\N	\N
3661368	3972	1998-02-28	PRIJEM	\N	231	56432	UROK	\N	\N
3661369	3972	1998-03-31	PRIJEM	\N	244	55805	UROK	\N	\N
3661370	3972	1998-04-30	PRIJEM	\N	243	56677	UROK	\N	\N
3661371	3972	1998-05-31	PRIJEM	\N	244	54850	UROK	\N	\N
3661372	3972	1998-06-30	PRIJEM	\N	234	36948	UROK	\N	\N
3661373	3972	1998-07-31	PRIJEM	\N	180	47957	UROK	\N	\N
3661374	3972	1998-08-31	PRIJEM	\N	218	55405	UROK	\N	\N
3661375	3972	1998-09-30	PRIJEM	\N	246	60180	UROK	\N	\N
3661376	3972	1998-10-31	PRIJEM	\N	262	63471	UROK	\N	\N
3661377	3972	1998-11-30	PRIJEM	\N	276	67377	UROK	\N	\N
3661378	3972	1998-12-31	PRIJEM	\N	306	72747	UROK	\N	\N
3661379	3973	1995-12-31	PRIJEM	\N	12	18330	UROK	\N	\N
3661380	3973	1996-01-31	PRIJEM	\N	83	27026	UROK	\N	\N
3661381	3973	1996-02-29	PRIJEM	\N	115	30853	UROK	\N	\N
3661382	3973	1996-03-31	PRIJEM	\N	127	29291	UROK	\N	\N
3661383	3973	1996-04-30	PRIJEM	\N	123	30526	UROK	\N	\N
3661384	3973	1996-05-31	PRIJEM	\N	124	26766	UROK	\N	\N
3661385	3973	1996-06-30	PRIJEM	\N	126	26654	UROK	\N	\N
3661386	3973	1996-07-31	PRIJEM	\N	118	27928	UROK	\N	\N
3661387	3973	1996-08-31	PRIJEM	\N	119	25803	UROK	\N	\N
3661388	3973	1996-09-30	PRIJEM	\N	107	21767	UROK	\N	\N
3661389	3973	1996-10-31	PRIJEM	\N	92	19115	UROK	\N	\N
3661390	3973	1996-11-30	PRIJEM	\N	64	12895	UROK	\N	\N
3661391	3973	1996-12-31	PRIJEM	\N	65	16143	UROK	\N	\N
3661392	3973	1997-01-31	PRIJEM	\N	70	15669	UROK	\N	\N
3661393	3973	1997-02-28	PRIJEM	\N	69	15794	UROK	\N	\N
3661394	3973	1997-03-31	PRIJEM	\N	75	19125	UROK	\N	\N
3661395	3973	1997-04-30	PRIJEM	\N	85	20167	UROK	\N	\N
3661396	3973	1997-05-31	PRIJEM	\N	87	18350	UROK	\N	\N
3661397	3973	1997-06-30	PRIJEM	\N	91	22403	UROK	\N	\N
3661398	3973	1997-07-31	PRIJEM	\N	101	24960	UROK	\N	\N
3661399	3973	1997-08-31	PRIJEM	\N	116	30133	UROK	\N	\N
3661400	3973	1997-09-30	PRIJEM	\N	126	27435	UROK	\N	\N
3661401	3973	1997-10-31	PRIJEM	\N	128	33119	UROK	\N	\N
3661402	3973	1997-11-30	PRIJEM	\N	129	30624	UROK	\N	\N
3661403	3973	1997-12-31	PRIJEM	\N	135	28802	UROK	\N	\N
3661404	3973	1998-01-31	PRIJEM	\N	117	30495	UROK	\N	\N
3661405	3973	1998-02-28	PRIJEM	\N	137	34989	UROK	\N	\N
3661406	3973	1998-03-31	PRIJEM	\N	149	35894	UROK	\N	\N
3661407	3973	1998-04-30	PRIJEM	\N	143	32493	UROK	\N	\N
3661408	3973	1998-05-31	PRIJEM	\N	106	22015	UROK	\N	\N
3661409	3973	1998-06-30	PRIJEM	\N	97	22254	UROK	\N	\N
3661410	3973	1998-07-31	PRIJEM	\N	90	21100	UROK	\N	\N
3661411	3973	1998-08-31	PRIJEM	\N	91	22448	UROK	\N	\N
3661412	3973	1998-09-30	PRIJEM	\N	88	20892	UROK	\N	\N
3661413	3973	1998-10-31	PRIJEM	\N	94	17143	UROK	\N	\N
3661414	3973	1998-11-30	PRIJEM	\N	94	26394	UROK	\N	\N
3661415	3973	1998-12-31	PRIJEM	\N	124	32200	UROK	\N	\N
3661416	3974	1996-03-31	PRIJEM	\N	41	16152	UROK	\N	\N
3661417	3974	1996-04-30	PRIJEM	\N	112	34075	UROK	\N	\N
3661418	3974	1996-05-31	PRIJEM	\N	166	43752	UROK	\N	\N
3661419	3974	1996-06-30	PRIJEM	\N	212	56080	UROK	\N	\N
3661420	3974	1996-07-31	PRIJEM	\N	222	51813	UROK	\N	\N
3661421	3974	1996-08-31	PRIJEM	\N	178	45218	UROK	\N	\N
3661422	3974	1996-09-30	PRIJEM	\N	147	37591	UROK	\N	\N
3661423	3974	1996-10-31	PRIJEM	\N	144	38261	UROK	\N	\N
3661424	3974	1996-11-30	PRIJEM	\N	150	38938	UROK	\N	\N
3661425	3974	1996-12-31	PRIJEM	\N	174	46943	UROK	\N	\N
3661426	3974	1997-01-31	PRIJEM	\N	165	37934	UROK	\N	\N
3661427	3974	1997-02-28	PRIJEM	\N	149	40110	UROK	\N	\N
3661428	3974	1997-03-31	PRIJEM	\N	158	41794	UROK	\N	\N
3661429	3974	1997-04-30	PRIJEM	\N	171	45291	UROK	\N	\N
3661430	3974	1997-05-31	PRIJEM	\N	166	43184	UROK	\N	\N
3661431	3974	1997-06-30	PRIJEM	\N	189	52304	UROK	\N	\N
3661432	3974	1997-07-31	PRIJEM	\N	189	48019	UROK	\N	\N
3661433	3974	1997-08-31	PRIJEM	\N	170	33616	UROK	\N	\N
3661434	3974	1997-09-30	PRIJEM	\N	154	35096	UROK	\N	\N
3661435	3974	1997-10-31	PRIJEM	\N	169	35991	UROK	\N	\N
3661436	3974	1997-11-30	PRIJEM	\N	171	35088	UROK	\N	\N
3661437	3974	1997-12-31	PRIJEM	\N	183	39403	UROK	\N	\N
3661438	3974	1998-01-31	PRIJEM	\N	157	30486	UROK	\N	\N
3661439	3974	1998-02-28	PRIJEM	\N	147	32060	UROK	\N	\N
3661440	3974	1998-03-31	PRIJEM	\N	155	33341	UROK	\N	\N
3661441	3974	1998-04-30	PRIJEM	\N	158	32325	UROK	\N	\N
3661442	3974	1998-05-31	PRIJEM	\N	153	32005	UROK	\N	\N
3661443	3974	1998-06-30	PRIJEM	\N	169	37305	UROK	\N	\N
3661444	3974	1998-07-31	PRIJEM	\N	172	35803	UROK	\N	\N
3661445	3974	1998-08-31	PRIJEM	\N	156	25385	UROK	\N	\N
3661446	3974	1998-09-30	PRIJEM	\N	122	26833	UROK	\N	\N
3661447	3974	1998-10-31	PRIJEM	\N	124	25184	UROK	\N	\N
3661448	3974	1998-11-30	PRIJEM	\N	112	18222	UROK	\N	\N
3661449	3974	1998-12-31	PRIJEM	\N	108	34061	UROK	\N	\N
3661450	3975	1994-10-31	PRIJEM	\N	14	3818	UROK	\N	\N
3661451	3975	1994-11-30	PRIJEM	\N	16	7238	UROK	\N	\N
3661452	3975	1994-12-31	PRIJEM	\N	16	10658	UROK	\N	\N
3661453	3975	1995-01-31	PRIJEM	\N	16	14077	UROK	\N	\N
3661454	3975	1995-02-28	PRIJEM	\N	52	15264	UROK	\N	\N
3661455	3975	1995-03-31	PRIJEM	\N	63	15127	UROK	\N	\N
3661456	3975	1995-04-30	PRIJEM	\N	64	15141	UROK	\N	\N
3661457	3975	1995-05-31	PRIJEM	\N	67	16328	UROK	\N	\N
3661458	3975	1995-06-30	PRIJEM	\N	62	14330	UROK	\N	\N
3661459	3975	1995-07-31	PRIJEM	\N	63	15514	UROK	\N	\N
3661460	3975	1995-08-31	PRIJEM	\N	68	16703	UROK	\N	\N
3661461	3975	1995-09-30	PRIJEM	\N	73	17896	UROK	\N	\N
3661462	3975	1995-10-31	PRIJEM	\N	78	19095	UROK	\N	\N
3661463	3975	1995-11-30	PRIJEM	\N	83	20028	UROK	\N	\N
3661464	3975	1995-12-31	PRIJEM	\N	84	20393	UROK	\N	\N
3661465	3975	1996-01-31	PRIJEM	\N	82	16945	UROK	\N	\N
3661466	3975	1996-02-29	PRIJEM	\N	73	16579	UROK	\N	\N
3661467	3975	1996-03-31	PRIJEM	\N	73	17772	UROK	\N	\N
3661468	3975	1996-04-30	PRIJEM	\N	78	18970	UROK	\N	\N
3661469	3975	1996-05-31	PRIJEM	\N	83	20172	UROK	\N	\N
3661470	3975	1996-06-30	PRIJEM	\N	80	14623	UROK	\N	\N
3661471	3975	1996-07-31	PRIJEM	\N	62	15086	UROK	\N	\N
3661472	3975	1996-08-31	PRIJEM	\N	66	15492	UROK	\N	\N
3661473	3975	1996-09-30	PRIJEM	\N	68	16680	UROK	\N	\N
3661474	3975	1996-10-31	PRIJEM	\N	68	16399	UROK	\N	\N
3661475	3975	1996-11-30	PRIJEM	\N	72	17591	UROK	\N	\N
3661476	3975	1996-12-31	PRIJEM	\N	77	18398	UROK	\N	\N
3661477	3975	1997-01-31	PRIJEM	\N	71	14639	UROK	\N	\N
3661478	3975	1997-02-28	PRIJEM	\N	64	14563	UROK	\N	\N
3661479	3975	1997-03-31	PRIJEM	\N	64	15748	UROK	\N	\N
3661480	3975	1997-04-30	PRIJEM	\N	68	14836	UROK	\N	\N
3661481	3975	1997-05-31	PRIJEM	\N	65	16022	UROK	\N	\N
3661482	3975	1997-06-30	PRIJEM	\N	69	17001	UROK	\N	\N
3661483	3975	1997-07-31	PRIJEM	\N	74	18196	UROK	\N	\N
3661484	3975	1997-08-31	PRIJEM	\N	79	19395	UROK	\N	\N
3661485	3975	1997-09-30	PRIJEM	\N	84	20599	UROK	\N	\N
3661486	3975	1997-10-31	PRIJEM	\N	89	21808	UROK	\N	\N
3661487	3975	1997-11-30	PRIJEM	\N	94	23022	UROK	\N	\N
3661488	3975	1997-12-31	PRIJEM	\N	97	23160	UROK	\N	\N
3661489	3975	1998-01-31	PRIJEM	\N	91	18551	UROK	\N	\N
3661490	3975	1998-02-28	PRIJEM	\N	80	19120	UROK	\N	\N
3661491	3975	1998-03-31	PRIJEM	\N	79	18730	UROK	\N	\N
3661492	3975	1998-04-30	PRIJEM	\N	79	19149	UROK	\N	\N
3661493	3975	1998-05-31	PRIJEM	\N	83	20352	UROK	\N	\N
3661494	3975	1998-06-30	PRIJEM	\N	84	20026	UROK	\N	\N
3661495	3975	1998-07-31	PRIJEM	\N	85	19942	UROK	\N	\N
3661496	3975	1998-08-31	PRIJEM	\N	86	21148	UROK	\N	\N
3661497	3975	1998-09-30	PRIJEM	\N	89	21607	UROK	\N	\N
3661498	3975	1998-10-31	PRIJEM	\N	92	21349	UROK	\N	\N
3661499	3975	1998-11-30	PRIJEM	\N	91	22561	UROK	\N	\N
3661500	3975	1998-12-31	PRIJEM	\N	95	22847	UROK	\N	\N
3661501	3976	1996-08-31	PRIJEM	\N	58	22670	UROK	\N	\N
3661502	3976	1996-09-30	PRIJEM	\N	103	24712	UROK	\N	\N
3661503	3976	1996-10-31	PRIJEM	\N	101	22837	UROK	\N	\N
3661504	3976	1996-11-30	PRIJEM	\N	98	22759	UROK	\N	\N
3661505	3976	1996-12-31	PRIJEM	\N	92	20126	UROK	\N	\N
3661506	3976	1997-01-31	PRIJEM	\N	66	14326	UROK	\N	\N
3661507	3976	1997-02-28	PRIJEM	\N	71	17622	UROK	\N	\N
3661508	3976	1997-03-31	PRIJEM	\N	77	18783	UROK	\N	\N
3661509	3976	1997-04-30	PRIJEM	\N	90	22197	UROK	\N	\N
3661510	3976	1997-05-31	PRIJEM	\N	94	22216	UROK	\N	\N
3661511	3976	1997-06-30	PRIJEM	\N	85	19426	UROK	\N	\N
3661512	3976	1997-07-31	PRIJEM	\N	87	19057	UROK	\N	\N
3661513	3976	1997-08-31	PRIJEM	\N	88	21570	UROK	\N	\N
3661514	3976	1997-09-30	PRIJEM	\N	85	20079	UROK	\N	\N
3661515	3976	1997-10-31	PRIJEM	\N	69	13452	UROK	\N	\N
3661516	3976	1997-11-30	PRIJEM	\N	46	10222	UROK	\N	\N
3661517	3976	1997-12-31	PRIJEM	\N	39	8985	UROK	\N	\N
3661518	3976	1998-01-31	PRIJEM	\N	48	11857	UROK	\N	\N
3661519	3976	1998-02-28	PRIJEM	\N	53	12415	UROK	\N	\N
3661520	3976	1998-03-31	PRIJEM	\N	43	9382	UROK	\N	\N
3661521	3976	1998-04-30	PRIJEM	\N	53	13459	UROK	\N	\N
3661522	3976	1998-05-31	PRIJEM	\N	70	17553	UROK	\N	\N
3661523	3976	1998-06-30	PRIJEM	\N	83	19760	UROK	\N	\N
3661524	3976	1998-07-31	PRIJEM	\N	92	22156	UROK	\N	\N
3661525	3976	1998-08-31	PRIJEM	\N	106	26287	UROK	\N	\N
3661526	3976	1998-09-30	PRIJEM	\N	117	28328	UROK	\N	\N
3661527	3976	1998-10-31	PRIJEM	\N	128	31080	UROK	\N	\N
3661528	3976	1998-11-30	PRIJEM	\N	133	32117	UROK	\N	\N
3661529	3976	1998-12-31	PRIJEM	\N	142	31674	UROK	\N	\N
3661530	3977	1994-02-28	PRIJEM	\N	83	20989	UROK	\N	\N
3661531	3977	1994-03-31	PRIJEM	\N	93	22729	UROK	\N	\N
3661532	3977	1994-04-30	PRIJEM	\N	84	18300	UROK	\N	\N
3661533	3977	1994-05-31	PRIJEM	\N	93	20040	UROK	\N	\N
3661534	3977	1994-06-30	PRIJEM	\N	62	12800	UROK	\N	\N
3661535	3977	1994-07-31	PRIJEM	\N	70	14517	UROK	\N	\N
3661536	3977	1994-08-31	PRIJEM	\N	67	16231	UROK	\N	\N
3661537	3977	1994-09-30	PRIJEM	\N	81	17159	UROK	\N	\N
3661538	3977	1994-10-31	PRIJEM	\N	82	16008	UROK	\N	\N
3661539	3977	1994-11-30	PRIJEM	\N	62	14437	UROK	\N	\N
3661540	3977	1994-12-31	PRIJEM	\N	70	15904	UROK	\N	\N
3661541	3977	1995-01-31	PRIJEM	\N	64	15215	UROK	\N	\N
3661542	3977	1995-02-28	PRIJEM	\N	69	16932	UROK	\N	\N
3661543	3977	1995-03-31	PRIJEM	\N	67	15127	UROK	\N	\N
3661544	3977	1995-04-30	PRIJEM	\N	79	16853	UROK	\N	\N
3661545	3977	1995-05-31	PRIJEM	\N	69	15849	UROK	\N	\N
3661546	3977	1995-06-30	PRIJEM	\N	82	17579	UROK	\N	\N
3661547	3977	1995-07-31	PRIJEM	\N	90	19316	UROK	\N	\N
3661548	3977	1995-08-31	PRIJEM	\N	79	17122	UROK	\N	\N
3661549	3977	1995-09-30	PRIJEM	\N	69	13558	UROK	\N	\N
3661550	3977	1995-10-31	PRIJEM	\N	62	15268	UROK	\N	\N
3661551	3977	1995-11-30	PRIJEM	\N	69	16985	UROK	\N	\N
3661552	3977	1995-12-31	PRIJEM	\N	84	17866	UROK	\N	\N
3661553	3977	1996-01-31	PRIJEM	\N	77	18240	UROK	\N	\N
3661554	3977	1996-02-29	PRIJEM	\N	92	19980	UROK	\N	\N
3661555	3977	1996-03-31	PRIJEM	\N	99	21726	UROK	\N	\N
3661556	3977	1996-04-30	PRIJEM	\N	96	23470	UROK	\N	\N
3661557	3977	1996-05-31	PRIJEM	\N	102	23039	UROK	\N	\N
3661558	3977	1996-06-30	PRIJEM	\N	91	20068	UROK	\N	\N
3661559	3977	1996-07-31	PRIJEM	\N	99	19495	UROK	\N	\N
3661560	3977	1996-08-31	PRIJEM	\N	81	19543	UROK	\N	\N
3661561	3977	1996-09-30	PRIJEM	\N	87	21277	UROK	\N	\N
3661562	3977	1996-10-31	PRIJEM	\N	92	21917	UROK	\N	\N
3661563	3977	1996-11-30	PRIJEM	\N	107	23671	UROK	\N	\N
3661564	3977	1996-12-31	PRIJEM	\N	113	24581	UROK	\N	\N
3661565	3977	1997-01-31	PRIJEM	\N	106	24084	UROK	\N	\N
3661566	3977	1997-02-28	PRIJEM	\N	116	25847	UROK	\N	\N
3661567	3977	1997-03-31	PRIJEM	\N	110	26204	UROK	\N	\N
3661568	3977	1997-04-30	PRIJEM	\N	94	21746	UROK	\N	\N
3661569	3977	1997-05-31	PRIJEM	\N	70	15484	UROK	\N	\N
3661570	3977	1997-06-30	PRIJEM	\N	66	15497	UROK	\N	\N
3661571	3977	1997-07-31	PRIJEM	\N	66	15910	UROK	\N	\N
3661572	3977	1997-08-31	PRIJEM	\N	82	17039	UROK	\N	\N
3661573	3977	1997-09-30	PRIJEM	\N	76	18762	UROK	\N	\N
3661574	3977	1997-10-31	PRIJEM	\N	76	15965	UROK	\N	\N
3661575	3977	1997-11-30	PRIJEM	\N	79	15851	UROK	\N	\N
3661576	3977	1997-12-31	PRIJEM	\N	70	17219	UROK	\N	\N
3661577	3977	1998-01-31	PRIJEM	\N	76	17692	UROK	\N	\N
3661578	3977	1998-02-28	PRIJEM	\N	88	19428	UROK	\N	\N
3661579	3977	1998-03-31	PRIJEM	\N	85	21160	UROK	\N	\N
3661580	3977	1998-04-30	PRIJEM	\N	93	22900	UROK	\N	\N
3661581	3977	1998-05-31	PRIJEM	\N	110	24658	UROK	\N	\N
3661582	3977	1998-06-30	PRIJEM	\N	113	24978	UROK	\N	\N
3661583	3977	1998-07-31	PRIJEM	\N	118	26743	UROK	\N	\N
3661584	3977	1998-08-31	PRIJEM	\N	77	18468	UROK	\N	\N
3661585	3977	1998-09-30	PRIJEM	\N	78	16273	UROK	\N	\N
3661586	3977	1998-10-31	PRIJEM	\N	82	18003	UROK	\N	\N
3661587	3977	1998-11-30	PRIJEM	\N	79	19729	UROK	\N	\N
3661588	3977	1998-12-31	PRIJEM	\N	86	17363	UROK	\N	\N
3661589	3978	1995-03-31	PRIJEM	\N	40	24958	UROK	\N	\N
3661590	3978	1995-04-30	PRIJEM	\N	123	36299	UROK	\N	\N
3661591	3978	1995-05-31	PRIJEM	\N	158	40575	UROK	\N	\N
3661592	3978	1995-06-30	PRIJEM	\N	185	49587	UROK	\N	\N
3661593	3978	1995-07-31	PRIJEM	\N	202	46507	UROK	\N	\N
3661594	3978	1995-08-31	PRIJEM	\N	189	43994	UROK	\N	\N
3661595	3978	1995-09-30	PRIJEM	\N	171	39163	UROK	\N	\N
3661596	3978	1995-10-31	PRIJEM	\N	142	29104	UROK	\N	\N
3661597	3978	1995-11-30	PRIJEM	\N	121	30723	UROK	\N	\N
3661598	3978	1995-12-31	PRIJEM	\N	141	35171	UROK	\N	\N
3661599	3978	1996-01-31	PRIJEM	\N	115	18584	UROK	\N	\N
3661600	3978	1996-02-29	PRIJEM	\N	121	40004	UROK	\N	\N
3661601	3978	1996-03-31	PRIJEM	\N	156	38358	UROK	\N	\N
3661602	3978	1996-04-30	PRIJEM	\N	185	51342	UROK	\N	\N
3661603	3978	1996-05-31	PRIJEM	\N	216	55556	UROK	\N	\N
3661604	3978	1996-06-30	PRIJEM	\N	247	67011	UROK	\N	\N
3661605	3978	1996-07-31	PRIJEM	\N	258	63168	UROK	\N	\N
3661606	3978	1996-08-31	PRIJEM	\N	234	54600	UROK	\N	\N
3661607	3978	1996-09-30	PRIJEM	\N	215	55614	UROK	\N	\N
3661608	3978	1996-10-31	PRIJEM	\N	222	57334	UROK	\N	\N
3661609	3978	1996-11-30	PRIJEM	\N	227	59359	UROK	\N	\N
3661610	3978	1996-12-31	PRIJEM	\N	256	66823	UROK	\N	\N
3661611	3978	1997-01-31	PRIJEM	\N	233	48554	UROK	\N	\N
3661612	3978	1997-02-28	PRIJEM	\N	194	50946	UROK	\N	\N
3661613	3978	1997-03-31	PRIJEM	\N	216	53961	UROK	\N	\N
3661614	3978	1997-04-30	PRIJEM	\N	215	57274	UROK	\N	\N
3661615	3978	1997-05-31	PRIJEM	\N	216	55888	UROK	\N	\N
3661616	3978	1997-06-30	PRIJEM	\N	184	53880	UROK	\N	\N
3661617	3978	1997-07-31	PRIJEM	\N	224	55802	UROK	\N	\N
3661618	3978	1997-08-31	PRIJEM	\N	194	48694	UROK	\N	\N
3661619	3978	1997-09-30	PRIJEM	\N	184	50277	UROK	\N	\N
3661620	3978	1997-10-31	PRIJEM	\N	188	52063	UROK	\N	\N
3661621	3978	1997-11-30	PRIJEM	\N	181	49642	UROK	\N	\N
3661622	3978	1997-12-31	PRIJEM	\N	194	55744	UROK	\N	\N
3661623	3978	1998-01-31	PRIJEM	\N	142	33684	UROK	\N	\N
3661624	3978	1998-02-28	PRIJEM	\N	117	35900	UROK	\N	\N
3661625	3978	1998-03-31	PRIJEM	\N	122	35920	UROK	\N	\N
3661626	3978	1998-04-30	PRIJEM	\N	111	33230	UROK	\N	\N
3661627	3978	1998-05-31	PRIJEM	\N	164	47392	UROK	\N	\N
3661628	3978	1998-06-30	PRIJEM	\N	157	45257	UROK	\N	\N
3661629	3978	1998-07-31	PRIJEM	\N	144	40699	UROK	\N	\N
3661630	3978	1998-08-31	PRIJEM	\N	119	35316	UROK	\N	\N
3661631	3978	1998-09-30	PRIJEM	\N	102	33516	UROK	\N	\N
3661632	3978	1998-10-31	PRIJEM	\N	147	17562	UROK	\N	\N
3661633	3978	1998-11-30	PRIJEM	\N	98	15858	UROK	\N	\N
3661634	3978	1998-12-31	PRIJEM	\N	124	42489	UROK	\N	\N
3661635	3979	1996-03-31	PRIJEM	\N	36	15767	UROK	\N	\N
3661636	3979	1996-04-30	PRIJEM	\N	85	23983	UROK	\N	\N
3661637	3979	1996-05-31	PRIJEM	\N	110	28424	UROK	\N	\N
3661638	3979	1996-06-30	PRIJEM	\N	131	33551	UROK	\N	\N
3661639	3979	1996-07-31	PRIJEM	\N	138	30544	UROK	\N	\N
3661640	3979	1996-08-31	PRIJEM	\N	134	33038	UROK	\N	\N
3661641	3979	1996-09-30	PRIJEM	\N	127	28526	UROK	\N	\N
3661642	3979	1996-10-31	PRIJEM	\N	126	30611	UROK	\N	\N
3661643	3979	1996-11-30	PRIJEM	\N	136	33608	UROK	\N	\N
3661644	3979	1996-12-31	PRIJEM	\N	168	42842	UROK	\N	\N
3661645	3979	1997-01-31	PRIJEM	\N	157	29219	UROK	\N	\N
3661646	3979	1997-02-28	PRIJEM	\N	150	39529	UROK	\N	\N
3661647	3979	1997-03-31	PRIJEM	\N	159	37829	UROK	\N	\N
3661648	3979	1997-04-30	PRIJEM	\N	167	41056	UROK	\N	\N
3661649	3979	1997-05-31	PRIJEM	\N	174	42191	UROK	\N	\N
3661650	3979	1997-06-30	PRIJEM	\N	183	44700	UROK	\N	\N
3661651	3979	1997-07-31	PRIJEM	\N	172	39672	UROK	\N	\N
3661652	3979	1997-08-31	PRIJEM	\N	143	31575	UROK	\N	\N
3661653	3979	1997-09-30	PRIJEM	\N	123	26918	UROK	\N	\N
3661654	3979	1997-10-31	PRIJEM	\N	124	31003	UROK	\N	\N
3661655	3979	1997-11-30	PRIJEM	\N	124	29087	UROK	\N	\N
3661656	3979	1997-12-31	PRIJEM	\N	118	30351	UROK	\N	\N
3661657	3979	1998-01-31	PRIJEM	\N	103	17554	UROK	\N	\N
3661658	3979	1998-02-28	PRIJEM	\N	80	20195	UROK	\N	\N
3661659	3979	1998-03-31	PRIJEM	\N	86	20941	UROK	\N	\N
3661660	3979	1998-04-30	PRIJEM	\N	87	15109	UROK	\N	\N
3661661	3979	1998-05-31	PRIJEM	\N	73	18542	UROK	\N	\N
3661662	3979	1998-06-30	PRIJEM	\N	90	22537	UROK	\N	\N
3661663	3979	1998-07-31	PRIJEM	\N	90	21288	UROK	\N	\N
3661664	3979	1998-08-31	PRIJEM	\N	99	25647	UROK	\N	\N
3661665	3979	1998-09-30	PRIJEM	\N	117	30025	UROK	\N	\N
3661666	3979	1998-10-31	PRIJEM	\N	92	18377	UROK	\N	\N
3661667	3979	1998-11-30	PRIJEM	\N	87	22724	UROK	\N	\N
3661668	3979	1998-12-31	PRIJEM	\N	114	29284	UROK	\N	\N
3661669	3980	1993-04-30	PRIJEM	\N	29	9384	UROK	\N	\N
3661670	3980	1993-05-31	PRIJEM	\N	86	24725	UROK	\N	\N
3661671	3980	1993-06-30	PRIJEM	\N	140	36897	UROK	\N	\N
3661672	3980	1993-07-31	PRIJEM	\N	166	41118	UROK	\N	\N
3661673	3980	1993-08-31	PRIJEM	\N	165	39238	UROK	\N	\N
3661674	3980	1993-09-30	PRIJEM	\N	132	28900	UROK	\N	\N
3661675	3980	1993-10-31	PRIJEM	\N	116	28825	UROK	\N	\N
3661676	3980	1993-11-30	PRIJEM	\N	131	26146	UROK	\N	\N
3661677	3980	1993-12-31	PRIJEM	\N	125	30578	UROK	\N	\N
3661678	3980	1994-01-31	PRIJEM	\N	123	21349	UROK	\N	\N
3661679	3980	1994-02-28	PRIJEM	\N	103	27462	UROK	\N	\N
3661680	3980	1994-03-31	PRIJEM	\N	126	27097	UROK	\N	\N
3661681	3980	1994-04-30	PRIJEM	\N	126	30133	UROK	\N	\N
3661682	3980	1994-05-31	PRIJEM	\N	133	28775	UROK	\N	\N
3661683	3980	1994-06-30	PRIJEM	\N	117	21119	UROK	\N	\N
3661684	3980	1994-07-31	PRIJEM	\N	103	28332	UROK	\N	\N
3661685	3980	1994-08-31	PRIJEM	\N	128	27969	UROK	\N	\N
3661686	3980	1994-09-30	PRIJEM	\N	127	28505	UROK	\N	\N
3661687	3980	1994-10-31	PRIJEM	\N	131	31445	UROK	\N	\N
3661688	3980	1994-11-30	PRIJEM	\N	140	31294	UROK	\N	\N
3661689	3980	1994-12-31	PRIJEM	\N	140	35181	UROK	\N	\N
3661690	3980	1995-01-31	PRIJEM	\N	104	21234	UROK	\N	\N
3661691	3980	1995-02-28	PRIJEM	\N	106	30149	UROK	\N	\N
3661692	3980	1995-03-31	PRIJEM	\N	135	33493	UROK	\N	\N
3661693	3980	1995-04-30	PRIJEM	\N	148	33671	UROK	\N	\N
3661694	3980	1995-05-31	PRIJEM	\N	144	32325	UROK	\N	\N
3661695	3980	1995-06-30	PRIJEM	\N	137	25749	UROK	\N	\N
3661696	3980	1995-07-31	PRIJEM	\N	126	34985	UROK	\N	\N
3661697	3980	1995-08-31	PRIJEM	\N	158	39452	UROK	\N	\N
3661698	3980	1995-09-30	PRIJEM	\N	169	37871	UROK	\N	\N
3661699	3980	1995-10-31	PRIJEM	\N	169	41849	UROK	\N	\N
3661700	3980	1995-11-30	PRIJEM	\N	179	41838	UROK	\N	\N
3661701	3980	1995-12-31	PRIJEM	\N	188	44193	UROK	\N	\N
3661702	3980	1996-01-31	PRIJEM	\N	145	25747	UROK	\N	\N
3661703	3980	1996-02-29	PRIJEM	\N	123	31820	UROK	\N	\N
3661704	3980	1996-03-31	PRIJEM	\N	152	40181	UROK	\N	\N
3661705	3980	1996-04-30	PRIJEM	\N	173	41463	UROK	\N	\N
3661706	3980	1996-05-31	PRIJEM	\N	176	41948	UROK	\N	\N
3661707	3980	1996-06-30	PRIJEM	\N	124	29780	UROK	\N	\N
3661708	3980	1996-07-31	PRIJEM	\N	138	35226	UROK	\N	\N
3661709	3980	1996-08-31	PRIJEM	\N	145	36081	UROK	\N	\N
3661710	3980	1996-09-30	PRIJEM	\N	157	38747	UROK	\N	\N
3661711	3980	1996-10-31	PRIJEM	\N	165	40222	UROK	\N	\N
3661712	3980	1996-11-30	PRIJEM	\N	177	44208	UROK	\N	\N
3661713	3980	1996-12-31	PRIJEM	\N	185	42520	UROK	\N	\N
3661714	3980	1997-01-31	PRIJEM	\N	158	29028	UROK	\N	\N
3661715	3980	1997-02-28	PRIJEM	\N	148	40085	UROK	\N	\N
3661716	3980	1997-03-31	PRIJEM	\N	176	43591	UROK	\N	\N
3661717	3980	1997-04-30	PRIJEM	\N	207	51867	UROK	\N	\N
3661718	3980	1997-05-31	PRIJEM	\N	227	56603	UROK	\N	\N
3661719	3980	1997-06-30	PRIJEM	\N	243	60073	UROK	\N	\N
3661720	3980	1997-07-31	PRIJEM	\N	254	62537	UROK	\N	\N
3661721	3980	1997-08-31	PRIJEM	\N	264	65010	UROK	\N	\N
3661722	3980	1997-09-30	PRIJEM	\N	263	63122	UROK	\N	\N
3661723	3980	1997-10-31	PRIJEM	\N	274	64205	UROK	\N	\N
3661724	3980	1997-11-30	PRIJEM	\N	272	64687	UROK	\N	\N
3661725	3980	1997-12-31	PRIJEM	\N	277	67111	UROK	\N	\N
3661726	3980	1998-01-31	PRIJEM	\N	233	53913	UROK	\N	\N
3661727	3980	1998-02-28	PRIJEM	\N	253	64475	UROK	\N	\N
3661728	3980	1998-03-31	PRIJEM	\N	276	65661	UROK	\N	\N
3661729	3980	1998-04-30	PRIJEM	\N	301	75771	UROK	\N	\N
3661730	3980	1998-05-31	PRIJEM	\N	323	80304	UROK	\N	\N
3661731	3980	1998-06-30	PRIJEM	\N	295	71745	UROK	\N	\N
3661732	3980	1998-07-31	PRIJEM	\N	299	74153	UROK	\N	\N
3661733	3980	1998-08-31	PRIJEM	\N	293	72156	UROK	\N	\N
3661734	3980	1998-09-30	PRIJEM	\N	294	72859	UROK	\N	\N
3661735	3980	1998-10-31	PRIJEM	\N	290	68879	UROK	\N	\N
3661736	3980	1998-11-30	PRIJEM	\N	267	65755	UROK	\N	\N
3661737	3980	1998-12-31	PRIJEM	\N	273	67535	UROK	\N	\N
3661738	3981	1995-06-30	PRIJEM	\N	16	16601	UROK	\N	\N
3661739	3981	1995-07-31	PRIJEM	\N	71	17791	UROK	\N	\N
3661740	3981	1995-08-31	PRIJEM	\N	69	17029	UROK	\N	\N
3661741	3981	1995-09-30	PRIJEM	\N	73	18220	UROK	\N	\N
3661742	3981	1995-10-31	PRIJEM	\N	78	19416	UROK	\N	\N
3661743	3981	1995-11-30	PRIJEM	\N	83	20617	UROK	\N	\N
3661744	3981	1995-12-31	PRIJEM	\N	88	21253	UROK	\N	\N
3661745	3981	1996-01-31	PRIJEM	\N	78	18190	UROK	\N	\N
3661746	3981	1996-02-29	PRIJEM	\N	77	19185	UROK	\N	\N
3661747	3981	1996-03-31	PRIJEM	\N	82	20385	UROK	\N	\N
3661748	3981	1996-04-30	PRIJEM	\N	87	21591	UROK	\N	\N
3661749	3981	1996-05-31	PRIJEM	\N	88	21597	UROK	\N	\N
3661750	3981	1996-06-30	PRIJEM	\N	75	14181	UROK	\N	\N
3661751	3981	1996-07-31	PRIJEM	\N	61	15360	UROK	\N	\N
3661752	3981	1996-08-31	PRIJEM	\N	63	15222	UROK	\N	\N
3661753	3981	1996-09-30	PRIJEM	\N	62	15442	UROK	\N	\N
3661754	3981	1996-10-31	PRIJEM	\N	66	16627	UROK	\N	\N
3661755	3981	1996-11-30	PRIJEM	\N	65	15810	UROK	\N	\N
3661756	3981	1996-12-31	PRIJEM	\N	67	16725	UROK	\N	\N
3661757	3981	1997-01-31	PRIJEM	\N	58	13492	UROK	\N	\N
3661758	3981	1997-02-28	PRIJEM	\N	58	14668	UROK	\N	\N
3661759	3981	1997-03-31	PRIJEM	\N	62	15218	UROK	\N	\N
3661760	3981	1997-04-30	PRIJEM	\N	65	16402	UROK	\N	\N
3661761	3981	1997-05-31	PRIJEM	\N	70	17590	UROK	\N	\N
3661762	3981	1997-06-30	PRIJEM	\N	75	17703	UROK	\N	\N
3661763	3981	1997-07-31	PRIJEM	\N	72	17753	UROK	\N	\N
3661764	3981	1997-08-31	PRIJEM	\N	76	18947	UROK	\N	\N
3661765	3981	1997-09-30	PRIJEM	\N	81	20146	UROK	\N	\N
3661766	3981	1997-10-31	PRIJEM	\N	86	21350	UROK	\N	\N
3661767	3981	1997-11-30	PRIJEM	\N	88	20936	UROK	\N	\N
3661768	3981	1997-12-31	PRIJEM	\N	88	21542	UROK	\N	\N
3661769	3981	1998-01-31	PRIJEM	\N	80	18331	UROK	\N	\N
3661770	3981	1998-02-28	PRIJEM	\N	78	19527	UROK	\N	\N
3661771	3981	1998-03-31	PRIJEM	\N	83	20728	UROK	\N	\N
3661772	3981	1998-04-30	PRIJEM	\N	87	19433	UROK	\N	\N
3661773	3981	1998-05-31	PRIJEM	\N	81	17132	UROK	\N	\N
3661774	3981	1998-06-30	PRIJEM	\N	72	15712	UROK	\N	\N
3661775	3981	1998-07-31	PRIJEM	\N	65	13696	UROK	\N	\N
3661776	3981	1998-08-31	PRIJEM	\N	58	14872	UROK	\N	\N
3661777	3981	1998-09-30	PRIJEM	\N	61	13252	UROK	\N	\N
3661778	3981	1998-10-31	PRIJEM	\N	56	14427	UROK	\N	\N
3661779	3981	1998-11-30	PRIJEM	\N	59	12604	UROK	\N	\N
3661780	3981	1998-12-31	PRIJEM	\N	54	13776	UROK	\N	\N
3661781	3982	1993-12-31	PRIJEM	\N	50	13637	UROK	\N	\N
3661782	3982	1994-01-31	PRIJEM	\N	55	12354	UROK	\N	\N
3661783	3982	1994-02-28	PRIJEM	\N	61	13477	UROK	\N	\N
3661784	3982	1994-03-31	PRIJEM	\N	63	14122	UROK	\N	\N
3661785	3982	1994-04-30	PRIJEM	\N	69	15253	UROK	\N	\N
3661786	3982	1994-05-31	PRIJEM	\N	63	14969	UROK	\N	\N
3661787	3982	1994-06-30	PRIJEM	\N	66	16097	UROK	\N	\N
3661788	3982	1994-07-31	PRIJEM	\N	77	17236	UROK	\N	\N
3661789	3982	1994-08-31	PRIJEM	\N	75	18374	UROK	\N	\N
3661790	3982	1994-09-30	PRIJEM	\N	77	17953	UROK	\N	\N
3661791	3982	1994-10-31	PRIJEM	\N	77	18252	UROK	\N	\N
3661792	3982	1994-11-30	PRIJEM	\N	76	18311	UROK	\N	\N
3661793	3982	1994-12-31	PRIJEM	\N	79	18133	UROK	\N	\N
3661794	3982	1995-01-31	PRIJEM	\N	71	15516	UROK	\N	\N
3661795	3982	1995-02-28	PRIJEM	\N	68	16647	UROK	\N	\N
3661796	3982	1995-03-31	PRIJEM	\N	79	17788	UROK	\N	\N
3661797	3982	1995-04-30	PRIJEM	\N	77	18928	UROK	\N	\N
3661798	3982	1995-05-31	PRIJEM	\N	89	18759	UROK	\N	\N
3661799	3982	1995-06-30	PRIJEM	\N	81	19602	UROK	\N	\N
3661800	3982	1995-07-31	PRIJEM	\N	91	20485	UROK	\N	\N
3661801	3982	1995-08-31	PRIJEM	\N	95	21643	UROK	\N	\N
3661802	3982	1995-09-30	PRIJEM	\N	93	22799	UROK	\N	\N
3661803	3982	1995-10-31	PRIJEM	\N	97	23568	UROK	\N	\N
3661804	3982	1995-11-30	PRIJEM	\N	101	24732	UROK	\N	\N
3661805	3982	1995-12-31	PRIJEM	\N	109	25033	UROK	\N	\N
3661806	3982	1996-01-31	PRIJEM	\N	102	22837	UROK	\N	\N
3661807	3982	1996-02-29	PRIJEM	\N	105	24004	UROK	\N	\N
3661808	3982	1996-03-31	PRIJEM	\N	110	25176	UROK	\N	\N
3661809	3982	1996-04-30	PRIJEM	\N	114	26353	UROK	\N	\N
3661810	3982	1996-05-31	PRIJEM	\N	119	27535	UROK	\N	\N
3661811	3982	1996-06-30	PRIJEM	\N	117	28114	UROK	\N	\N
3661812	3982	1996-07-31	PRIJEM	\N	127	29303	UROK	\N	\N
3661813	3982	1996-08-31	PRIJEM	\N	124	30159	UROK	\N	\N
3661814	3982	1996-09-30	PRIJEM	\N	135	31356	UROK	\N	\N
3661815	3982	1996-10-31	PRIJEM	\N	125	29454	UROK	\N	\N
3661816	3982	1996-11-30	PRIJEM	\N	124	30310	UROK	\N	\N
3661817	3982	1996-12-31	PRIJEM	\N	128	30331	UROK	\N	\N
3661818	3982	1997-01-31	PRIJEM	\N	125	28818	UROK	\N	\N
3661819	3982	1997-02-28	PRIJEM	\N	122	30003	UROK	\N	\N
3661820	3982	1997-03-31	PRIJEM	\N	127	31193	UROK	\N	\N
3661821	3982	1997-04-30	PRIJEM	\N	132	32387	UROK	\N	\N
3661822	3982	1997-05-31	PRIJEM	\N	137	33587	UROK	\N	\N
3661823	3982	1997-06-30	PRIJEM	\N	146	34255	UROK	\N	\N
3661824	3982	1997-07-31	PRIJEM	\N	145	35462	UROK	\N	\N
3661825	3982	1997-08-31	PRIJEM	\N	150	36254	UROK	\N	\N
3661826	3982	1997-09-30	PRIJEM	\N	160	37476	UROK	\N	\N
3661827	3982	1997-10-31	PRIJEM	\N	164	38552	UROK	\N	\N
3661828	3982	1997-11-30	PRIJEM	\N	162	39777	UROK	\N	\N
3661829	3982	1997-12-31	PRIJEM	\N	163	39082	UROK	\N	\N
3661830	3982	1998-01-31	PRIJEM	\N	160	38054	UROK	\N	\N
3661831	3982	1998-02-28	PRIJEM	\N	167	39283	UROK	\N	\N
3661832	3982	1998-03-31	PRIJEM	\N	165	40410	UROK	\N	\N
3661833	3982	1998-04-30	PRIJEM	\N	176	41649	UROK	\N	\N
3661834	3982	1998-05-31	PRIJEM	\N	182	42893	UROK	\N	\N
3661835	3982	1998-06-30	PRIJEM	\N	186	43841	UROK	\N	\N
3661836	3982	1998-07-31	PRIJEM	\N	188	44552	UROK	\N	\N
3661837	3982	1998-08-31	PRIJEM	\N	190	44875	UROK	\N	\N
3661838	3982	1998-09-30	PRIJEM	\N	188	45765	UROK	\N	\N
3661839	3982	1998-10-31	PRIJEM	\N	193	45760	UROK	\N	\N
3661840	3982	1998-11-30	PRIJEM	\N	191	47013	UROK	\N	\N
3661841	3982	1998-12-31	PRIJEM	\N	196	47822	UROK	\N	\N
3661842	3984	1997-05-31	PRIJEM	\N	3	20708	UROK	\N	\N
3661843	3984	1997-06-30	PRIJEM	\N	90	12621	UROK	\N	\N
3661844	3984	1997-07-31	PRIJEM	\N	58	14903	UROK	\N	\N
3661845	3984	1997-08-31	PRIJEM	\N	67	17193	UROK	\N	\N
3661846	3984	1997-09-30	PRIJEM	\N	77	19493	UROK	\N	\N
3661847	3984	1997-10-31	PRIJEM	\N	84	17961	UROK	\N	\N
3661848	3984	1997-11-30	PRIJEM	\N	80	20265	UROK	\N	\N
3661849	3984	1997-12-31	PRIJEM	\N	79	19227	UROK	\N	\N
3661850	3984	1998-01-31	PRIJEM	\N	69	13520	UROK	\N	\N
3661851	3984	1998-02-28	PRIJEM	\N	61	15805	UROK	\N	\N
3661852	3984	1998-03-31	PRIJEM	\N	71	18099	UROK	\N	\N
3661853	3984	1998-04-30	PRIJEM	\N	81	20403	UROK	\N	\N
3661854	3984	1998-05-31	PRIJEM	\N	90	22717	UROK	\N	\N
3661855	3984	1998-06-30	PRIJEM	\N	83	19623	UROK	\N	\N
3661856	3984	1998-07-31	PRIJEM	\N	66	15852	UROK	\N	\N
3661857	3984	1998-08-31	PRIJEM	\N	61	15577	UROK	\N	\N
3661858	3984	1998-09-30	PRIJEM	\N	65	14906	UROK	\N	\N
3661859	3984	1998-10-31	PRIJEM	\N	60	14989	UROK	\N	\N
3661860	3984	1998-11-30	PRIJEM	\N	63	16075	UROK	\N	\N
3661861	3984	1998-12-31	PRIJEM	\N	66	16365	UROK	\N	\N
3661862	3985	1997-11-30	PRIJEM	\N	43	14851	UROK	\N	\N
3661863	3985	1997-12-31	PRIJEM	\N	55	11676	UROK	\N	\N
3661864	3985	1998-01-31	PRIJEM	\N	46	10178	UROK	\N	\N
3661865	3985	1998-02-28	PRIJEM	\N	46	10679	UROK	\N	\N
3661866	3985	1998-03-31	PRIJEM	\N	39	8373	UROK	\N	\N
3661867	3985	1998-04-30	PRIJEM	\N	40	9768	UROK	\N	\N
3661868	3985	1998-05-31	PRIJEM	\N	46	11869	UROK	\N	\N
3661869	3985	1998-06-30	PRIJEM	\N	47	10772	UROK	\N	\N
3661870	3985	1998-07-31	PRIJEM	\N	45	10393	UROK	\N	\N
3661871	3985	1998-08-31	PRIJEM	\N	47	10895	UROK	\N	\N
3661872	3985	1998-09-30	PRIJEM	\N	51	11301	UROK	\N	\N
3661873	3985	1998-10-31	PRIJEM	\N	52	13408	UROK	\N	\N
3661874	3985	1998-11-30	PRIJEM	\N	61	15524	UROK	\N	\N
3661875	3985	1998-12-31	PRIJEM	\N	69	16899	UROK	\N	\N
3661876	3986	1997-07-31	PRIJEM	\N	29	17800	UROK	\N	\N
3661877	3986	1997-08-31	PRIJEM	\N	82	22152	UROK	\N	\N
3661878	3986	1997-09-30	PRIJEM	\N	102	27625	UROK	\N	\N
3661879	3986	1997-10-31	PRIJEM	\N	116	28212	UROK	\N	\N
3661880	3986	1997-11-30	PRIJEM	\N	125	30098	UROK	\N	\N
3661881	3986	1997-12-31	PRIJEM	\N	130	28561	UROK	\N	\N
3661882	3986	1998-01-31	PRIJEM	\N	106	15414	UROK	\N	\N
3661883	3986	1998-02-28	PRIJEM	\N	86	23748	UROK	\N	\N
3661884	3986	1998-03-31	PRIJEM	\N	117	31112	UROK	\N	\N
3661885	3986	1998-04-30	PRIJEM	\N	130	29890	UROK	\N	\N
3661886	3986	1998-05-31	PRIJEM	\N	139	34776	UROK	\N	\N
3661887	3986	1998-06-30	PRIJEM	\N	125	27733	UROK	\N	\N
3661888	3986	1998-07-31	PRIJEM	\N	114	23894	UROK	\N	\N
3661889	3986	1998-08-31	PRIJEM	\N	111	27852	UROK	\N	\N
3661890	3986	1998-09-30	PRIJEM	\N	120	29520	UROK	\N	\N
3661891	3986	1998-10-31	PRIJEM	\N	118	24785	UROK	\N	\N
3661892	3986	1998-11-30	PRIJEM	\N	115	28747	UROK	\N	\N
3661893	3986	1998-12-31	PRIJEM	\N	147	35726	UROK	\N	\N
3661894	3987	1997-10-31	PRIJEM	\N	48	19753	UROK	\N	\N
3661895	3987	1997-11-30	PRIJEM	\N	110	30968	UROK	\N	\N
3661896	3987	1997-12-31	PRIJEM	\N	146	37621	UROK	\N	\N
3661897	3987	1998-01-31	PRIJEM	\N	160	39186	UROK	\N	\N
3661898	3987	1998-02-28	PRIJEM	\N	170	40869	UROK	\N	\N
3661899	3987	1998-03-31	PRIJEM	\N	157	35805	UROK	\N	\N
3661900	3987	1998-04-30	PRIJEM	\N	160	38663	UROK	\N	\N
3661901	3987	1998-05-31	PRIJEM	\N	150	33611	UROK	\N	\N
3661902	3987	1998-06-30	PRIJEM	\N	118	26130	UROK	\N	\N
3661903	3987	1998-07-31	PRIJEM	\N	116	26225	UROK	\N	\N
3661904	3987	1998-08-31	PRIJEM	\N	109	24992	UROK	\N	\N
3661905	3987	1998-09-30	PRIJEM	\N	107	22197	UROK	\N	\N
3661906	3987	1998-10-31	PRIJEM	\N	91	18867	UROK	\N	\N
3661907	3987	1998-11-30	PRIJEM	\N	80	18904	UROK	\N	\N
3661908	3987	1998-12-31	PRIJEM	\N	88	17933	UROK	\N	\N
3661909	3989	1995-08-31	PRIJEM	\N	51	18934	UROK	\N	\N
3661910	3989	1995-09-30	PRIJEM	\N	84	20922	UROK	\N	\N
3661911	3989	1995-10-31	PRIJEM	\N	92	22919	UROK	\N	\N
3661912	3989	1995-11-30	PRIJEM	\N	97	23020	UROK	\N	\N
3661913	3989	1995-12-31	PRIJEM	\N	93	21328	UROK	\N	\N
3661914	3989	1996-01-31	PRIJEM	\N	93	22276	UROK	\N	\N
3661915	3989	1996-02-29	PRIJEM	\N	98	24278	UROK	\N	\N
3661916	3989	1996-03-31	PRIJEM	\N	106	26289	UROK	\N	\N
3661917	3989	1996-04-30	PRIJEM	\N	115	28307	UROK	\N	\N
3661918	3989	1996-05-31	PRIJEM	\N	123	30335	UROK	\N	\N
3661919	3989	1996-06-30	PRIJEM	\N	118	20557	UROK	\N	\N
3661920	3989	1996-07-31	PRIJEM	\N	91	22553	UROK	\N	\N
3661921	3989	1996-08-31	PRIJEM	\N	99	24556	UROK	\N	\N
3661922	3989	1996-09-30	PRIJEM	\N	100	23201	UROK	\N	\N
3661923	3989	1996-10-31	PRIJEM	\N	92	21597	UROK	\N	\N
3661924	3989	1996-11-30	PRIJEM	\N	95	23597	UROK	\N	\N
3661925	3989	1996-12-31	PRIJEM	\N	106	25056	UROK	\N	\N
3661926	3989	1997-01-31	PRIJEM	\N	98	22209	UROK	\N	\N
3661927	3989	1997-02-28	PRIJEM	\N	97	24211	UROK	\N	\N
3661928	3989	1997-03-31	PRIJEM	\N	96	21491	UROK	\N	\N
3661929	3989	1997-04-30	PRIJEM	\N	94	23490	UROK	\N	\N
3661930	3989	1997-05-31	PRIJEM	\N	93	21807	UROK	\N	\N
3661931	3989	1997-06-30	PRIJEM	\N	73	16185	UROK	\N	\N
3661932	3989	1997-07-31	PRIJEM	\N	72	18161	UROK	\N	\N
3661933	3989	1997-08-31	PRIJEM	\N	80	20146	UROK	\N	\N
3661934	3989	1997-09-30	PRIJEM	\N	89	22139	UROK	\N	\N
3661935	3989	1997-10-31	PRIJEM	\N	97	24140	UROK	\N	\N
3661936	3989	1997-11-30	PRIJEM	\N	102	24387	UROK	\N	\N
3661937	3989	1997-12-31	PRIJEM	\N	105	25246	UROK	\N	\N
3661938	3989	1998-01-31	PRIJEM	\N	108	26558	UROK	\N	\N
3661939	3989	1998-02-28	PRIJEM	\N	115	28578	UROK	\N	\N
3661940	3989	1998-03-31	PRIJEM	\N	123	30605	UROK	\N	\N
3661941	3989	1998-04-30	PRIJEM	\N	132	32642	UROK	\N	\N
3661942	3989	1998-05-31	PRIJEM	\N	140	34686	UROK	\N	\N
3661943	3989	1998-06-30	PRIJEM	\N	91	19322	UROK	\N	\N
3661944	3989	1998-07-31	PRIJEM	\N	85	21311	UROK	\N	\N
3661945	3989	1998-08-31	PRIJEM	\N	89	21064	UROK	\N	\N
3661946	3989	1998-09-30	PRIJEM	\N	92	23060	UROK	\N	\N
3661947	3989	1998-10-31	PRIJEM	\N	100	25065	UROK	\N	\N
3661948	3989	1998-11-30	PRIJEM	\N	102	24671	UROK	\N	\N
3661949	3989	1998-12-31	PRIJEM	\N	97	22693	UROK	\N	\N
3661950	3990	1997-02-28	PRIJEM	\N	246	88527	UROK	\N	\N
3661951	3990	1997-03-31	PRIJEM	\N	416	98904	UROK	\N	\N
3661952	3990	1997-04-30	PRIJEM	\N	301	107402	UROK	\N	\N
3661953	3990	1997-05-31	PRIJEM	\N	141	29616	UROK	\N	\N
3661954	3990	1997-06-30	PRIJEM	\N	201	102284	UROK	\N	\N
3661955	3990	1997-07-31	PRIJEM	\N	281	56576	UROK	\N	\N
3661956	3990	1997-08-31	PRIJEM	\N	167	35216	UROK	\N	\N
3661957	3990	1997-09-30	PRIJEM	\N	123	26231	UROK	\N	\N
3661958	3990	1997-10-31	PRIJEM	\N	144	29442	UROK	\N	\N
3661959	3990	1997-11-30	PRIJEM	\N	128	29807	UROK	\N	\N
3661960	3990	1997-12-31	PRIJEM	\N	140	69863	UROK	\N	\N
3661961	3990	1998-01-31	PRIJEM	\N	281	31917	UROK	\N	\N
3661962	3990	1998-02-28	PRIJEM	\N	131	21722	UROK	\N	\N
3661963	3990	1998-03-31	PRIJEM	\N	61	12556	UROK	\N	\N
3661964	3990	1998-04-30	PRIJEM	\N	71	6800	UROK	\N	\N
3661965	3990	1998-05-31	PRIJEM	\N	72	21745	UROK	\N	\N
3661966	3990	1998-06-30	PRIJEM	\N	91	26010	UROK	\N	\N
3661967	3990	1998-07-31	PRIJEM	\N	110	30093	UROK	\N	\N
3661968	3990	1998-08-31	PRIJEM	\N	127	34093	UROK	\N	\N
3661969	3990	1998-09-30	PRIJEM	\N	137	22204	UROK	\N	\N
3661970	3990	1998-10-31	PRIJEM	\N	99	32075	UROK	\N	\N
3661971	3990	1998-11-30	PRIJEM	\N	134	33283	UROK	\N	\N
3661972	3990	1998-12-31	PRIJEM	\N	87	17643	UROK	\N	\N
3661973	3991	1997-04-30	PRIJEM	\N	14	24586	UROK	\N	\N
3661974	3991	1997-05-31	PRIJEM	\N	105	28033	UROK	\N	\N
3661975	3991	1997-06-30	PRIJEM	\N	121	18125	UROK	\N	\N
3661976	3991	1997-07-31	PRIJEM	\N	83	16800	UROK	\N	\N
3661977	3991	1997-08-31	PRIJEM	\N	82	20774	UROK	\N	\N
3661978	3991	1997-09-30	PRIJEM	\N	95	20660	UROK	\N	\N
3661979	3991	1997-10-31	PRIJEM	\N	93	20045	UROK	\N	\N
3661980	3991	1997-11-30	PRIJEM	\N	90	19526	UROK	\N	\N
3661981	3991	1997-12-31	PRIJEM	\N	92	20529	UROK	\N	\N
3661982	3991	1998-01-31	PRIJEM	\N	74	12514	UROK	\N	\N
3661983	3991	1998-02-28	PRIJEM	\N	65	17570	UROK	\N	\N
3661984	3991	1998-03-31	PRIJEM	\N	82	19603	UROK	\N	\N
3661985	3991	1998-04-30	PRIJEM	\N	95	24690	UROK	\N	\N
3661986	3991	1998-05-31	PRIJEM	\N	109	24390	UROK	\N	\N
3661987	3991	1998-06-30	PRIJEM	\N	89	21220	UROK	\N	\N
3661988	3991	1998-07-31	PRIJEM	\N	102	26313	UROK	\N	\N
3661989	3991	1998-08-31	PRIJEM	\N	119	28604	UROK	\N	\N
3661990	3991	1998-09-30	PRIJEM	\N	125	29120	UROK	\N	\N
3661991	3991	1998-10-31	PRIJEM	\N	126	29337	UROK	\N	\N
3661992	3991	1998-11-30	PRIJEM	\N	128	30536	UROK	\N	\N
3661993	3991	1998-12-31	PRIJEM	\N	133	30041	UROK	\N	\N
3661994	3992	1998-01-31	PRIJEM	\N	50	21879	UROK	\N	\N
3661995	3992	1998-02-28	PRIJEM	\N	106	28814	UROK	\N	\N
3661996	3992	1998-03-31	PRIJEM	\N	127	32170	UROK	\N	\N
3661997	3992	1998-04-30	PRIJEM	\N	137	33836	UROK	\N	\N
3661998	3992	1998-05-31	PRIJEM	\N	139	29366	UROK	\N	\N
3661999	3992	1998-06-30	PRIJEM	\N	141	31898	UROK	\N	\N
3662000	3992	1998-07-31	PRIJEM	\N	122	24977	UROK	\N	\N
3662001	3992	1998-08-31	PRIJEM	\N	115	27268	UROK	\N	\N
3662002	3992	1998-09-30	PRIJEM	\N	107	23351	UROK	\N	\N
3662003	3992	1998-10-31	PRIJEM	\N	87	17454	UROK	\N	\N
3662004	3992	1998-11-30	PRIJEM	\N	69	15699	UROK	\N	\N
3662005	3992	1998-12-31	PRIJEM	\N	133	38824	UROK	\N	\N
3662006	3993	1996-02-29	PRIJEM	\N	22	22137	UROK	\N	\N
3662007	3993	1996-03-31	PRIJEM	\N	101	30053	UROK	\N	\N
3662008	3993	1996-04-30	PRIJEM	\N	127	32395	UROK	\N	\N
3662009	3993	1996-05-31	PRIJEM	\N	143	39053	UROK	\N	\N
3662010	3993	1996-06-30	PRIJEM	\N	192	43151	UROK	\N	\N
3662011	3993	1996-07-31	PRIJEM	\N	198	41034	UROK	\N	\N
3662012	3993	1996-08-31	PRIJEM	\N	186	39544	UROK	\N	\N
3662013	3993	1996-09-30	PRIJEM	\N	180	39108	UROK	\N	\N
3662014	3993	1996-10-31	PRIJEM	\N	181	40474	UROK	\N	\N
3662015	3993	1996-11-30	PRIJEM	\N	177	40335	UROK	\N	\N
3662016	3993	1996-12-31	PRIJEM	\N	191	46337	UROK	\N	\N
3662017	3993	1997-01-31	PRIJEM	\N	177	37258	UROK	\N	\N
3662018	3993	1997-02-28	PRIJEM	\N	170	40813	UROK	\N	\N
3662019	3993	1997-03-31	PRIJEM	\N	183	37420	UROK	\N	\N
3662020	3993	1997-04-30	PRIJEM	\N	162	38666	UROK	\N	\N
3662021	3993	1997-05-31	PRIJEM	\N	183	44834	UROK	\N	\N
3662022	3993	1997-06-30	PRIJEM	\N	207	51032	UROK	\N	\N
3662023	3993	1997-07-31	PRIJEM	\N	222	53839	UROK	\N	\N
3662024	3993	1997-08-31	PRIJEM	\N	228	53071	UROK	\N	\N
3662025	3993	1997-09-30	PRIJEM	\N	227	54782	UROK	\N	\N
3662026	3993	1997-10-31	PRIJEM	\N	242	59908	UROK	\N	\N
3662027	3993	1997-11-30	PRIJEM	\N	253	61745	UROK	\N	\N
3662028	3993	1997-12-31	PRIJEM	\N	269	63745	UROK	\N	\N
3662029	3993	1998-01-31	PRIJEM	\N	273	66002	UROK	\N	\N
3662030	3993	1998-02-28	PRIJEM	\N	305	72691	UROK	\N	\N
3662031	3993	1998-03-31	PRIJEM	\N	334	66169	UROK	\N	\N
3662032	3993	1998-04-30	PRIJEM	\N	306	72840	UROK	\N	\N
3662033	3993	1998-05-31	PRIJEM	\N	313	77537	UROK	\N	\N
3662034	3993	1998-06-30	PRIJEM	\N	365	88893	UROK	\N	\N
3662035	3993	1998-07-31	PRIJEM	\N	345	78822	UROK	\N	\N
3662036	3993	1998-08-31	PRIJEM	\N	334	76980	UROK	\N	\N
3662037	3993	1998-09-30	PRIJEM	\N	319	77183	UROK	\N	\N
3662038	3993	1998-10-31	PRIJEM	\N	325	79492	UROK	\N	\N
3662039	3993	1998-11-30	PRIJEM	\N	328	79004	UROK	\N	\N
3662040	3993	1998-12-31	PRIJEM	\N	323	82138	UROK	\N	\N
3662041	3994	1997-01-31	PRIJEM	\N	93	66288	UROK	\N	\N
3662042	3994	1997-02-28	PRIJEM	\N	264	61582	UROK	\N	\N
3662043	3994	1997-03-31	PRIJEM	\N	237	67790	UROK	\N	\N
3662044	3994	1997-04-30	PRIJEM	\N	292	74026	UROK	\N	\N
3662045	3994	1997-05-31	PRIJEM	\N	332	74869	UROK	\N	\N
3662046	3994	1997-06-30	PRIJEM	\N	304	9391	UROK	\N	\N
3662047	3994	1997-07-31	PRIJEM	\N	268	72077	UROK	\N	\N
3662048	3994	1997-08-31	PRIJEM	\N	255	88792	UROK	\N	\N
3662049	3994	1997-09-30	PRIJEM	\N	219	65851	UROK	\N	\N
3662050	3994	1997-10-31	PRIJEM	\N	211	89824	UROK	\N	\N
3662051	3994	1997-11-30	PRIJEM	\N	299	55332	UROK	\N	\N
3662052	3994	1997-12-31	PRIJEM	\N	203	56593	UROK	\N	\N
3662053	3994	1998-01-31	PRIJEM	\N	249	56377	UROK	\N	\N
3662054	3994	1998-02-28	PRIJEM	\N	266	66197	UROK	\N	\N
3662055	3994	1998-03-31	PRIJEM	\N	285	70722	UROK	\N	\N
3662056	3994	1998-04-30	PRIJEM	\N	306	90744	UROK	\N	\N
3662057	3994	1998-05-31	PRIJEM	\N	225	66668	UROK	\N	\N
3662058	3994	1998-06-30	PRIJEM	\N	123	27874	UROK	\N	\N
3662059	3994	1998-07-31	PRIJEM	\N	114	13473	UROK	\N	\N
3662060	3994	1998-08-31	PRIJEM	\N	53	2611	UROK	\N	\N
3662061	3994	1998-09-30	PRIJEM	\N	17	36836	UROK	\N	\N
3662062	3994	1998-10-31	PRIJEM	\N	75	2496	UROK	\N	\N
3662063	3994	1998-11-30	PRIJEM	\N	11	8895	UROK	\N	\N
3662064	3994	1998-12-31	PRIJEM	\N	87	47267	UROK	\N	\N
3662065	3995	1995-09-30	PRIJEM	\N	12	17719	UROK	\N	\N
3662066	3995	1995-10-31	PRIJEM	\N	77	21803	UROK	\N	\N
3662067	3995	1995-11-30	PRIJEM	\N	93	25004	UROK	\N	\N
3662068	3995	1995-12-31	PRIJEM	\N	108	29522	UROK	\N	\N
3662069	3995	1996-01-31	PRIJEM	\N	125	23851	UROK	\N	\N
3662070	3995	1996-02-29	PRIJEM	\N	105	25849	UROK	\N	\N
3662071	3995	1996-03-31	PRIJEM	\N	103	26186	UROK	\N	\N
3662072	3995	1996-04-30	PRIJEM	\N	110	26609	UROK	\N	\N
3662073	3995	1996-05-31	PRIJEM	\N	111	25514	UROK	\N	\N
3662074	3995	1996-06-30	PRIJEM	\N	85	16655	UROK	\N	\N
3662075	3995	1996-07-31	PRIJEM	\N	78	21326	UROK	\N	\N
3662076	3995	1996-08-31	PRIJEM	\N	92	22411	UROK	\N	\N
3662077	3995	1996-09-30	PRIJEM	\N	98	24482	UROK	\N	\N
3662078	3995	1996-10-31	PRIJEM	\N	99	25055	UROK	\N	\N
3662079	3995	1996-11-30	PRIJEM	\N	109	27657	UROK	\N	\N
3662080	3995	1996-12-31	PRIJEM	\N	120	27993	UROK	\N	\N
3662081	3995	1997-01-31	PRIJEM	\N	95	19781	UROK	\N	\N
3662082	3995	1997-02-28	PRIJEM	\N	80	19855	UROK	\N	\N
3662083	3995	1997-03-31	PRIJEM	\N	87	20655	UROK	\N	\N
3662084	3995	1997-04-30	PRIJEM	\N	90	23338	UROK	\N	\N
3662085	3995	1997-05-31	PRIJEM	\N	99	25131	UROK	\N	\N
3662086	3995	1997-06-30	PRIJEM	\N	108	29095	UROK	\N	\N
3662087	3995	1997-07-31	PRIJEM	\N	111	28459	UROK	\N	\N
3662088	3995	1997-08-31	PRIJEM	\N	120	30472	UROK	\N	\N
3662089	3995	1997-09-30	PRIJEM	\N	126	31891	UROK	\N	\N
3662090	3995	1997-10-31	PRIJEM	\N	140	36524	UROK	\N	\N
3662091	3995	1997-11-30	PRIJEM	\N	160	34478	UROK	\N	\N
3662092	3995	1997-12-31	PRIJEM	\N	159	40194	UROK	\N	\N
3662093	3995	1998-01-31	PRIJEM	\N	154	38681	UROK	\N	\N
3662094	3995	1998-02-28	PRIJEM	\N	161	41436	UROK	\N	\N
3662095	3995	1998-03-31	PRIJEM	\N	161	32151	UROK	\N	\N
3662096	3995	1998-04-30	PRIJEM	\N	151	40496	UROK	\N	\N
3662097	3995	1998-05-31	PRIJEM	\N	158	38107	UROK	\N	\N
3662098	3995	1998-06-30	PRIJEM	\N	183	49286	UROK	\N	\N
3662099	3995	1998-07-31	PRIJEM	\N	195	47975	UROK	\N	\N
3662100	3995	1998-08-31	PRIJEM	\N	190	47058	UROK	\N	\N
3662101	3995	1998-09-30	PRIJEM	\N	199	49911	UROK	\N	\N
3662102	3995	1998-10-31	PRIJEM	\N	207	51611	UROK	\N	\N
3662103	3995	1998-11-30	PRIJEM	\N	230	58835	UROK	\N	\N
3662104	3995	1998-12-31	PRIJEM	\N	243	60774	UROK	\N	\N
3662105	3996	1997-09-30	PRIJEM	\N	31	20069	UROK	\N	\N
3662106	3996	1997-10-31	PRIJEM	\N	88	22903	UROK	\N	\N
3662107	3996	1997-11-30	PRIJEM	\N	108	27745	UROK	\N	\N
3662108	3996	1997-12-31	PRIJEM	\N	114	24130	UROK	\N	\N
3662109	3996	1998-01-31	PRIJEM	\N	95	16625	UROK	\N	\N
3662110	3996	1998-02-28	PRIJEM	\N	77	18902	UROK	\N	\N
3662111	3996	1998-03-31	PRIJEM	\N	84	19506	UROK	\N	\N
3662112	3996	1998-04-30	PRIJEM	\N	78	15704	UROK	\N	\N
3662113	3996	1998-05-31	PRIJEM	\N	69	15994	UROK	\N	\N
3662114	3996	1998-06-30	PRIJEM	\N	79	21194	UROK	\N	\N
3662115	3996	1998-07-31	PRIJEM	\N	90	19564	UROK	\N	\N
3662116	3996	1998-08-31	PRIJEM	\N	95	24779	UROK	\N	\N
3662117	3996	1998-09-30	PRIJEM	\N	111	27710	UROK	\N	\N
3662118	3996	1998-10-31	PRIJEM	\N	128	32398	UROK	\N	\N
3662119	3996	1998-11-30	PRIJEM	\N	147	37165	UROK	\N	\N
3662120	3996	1998-12-31	PRIJEM	\N	154	35940	UROK	\N	\N
3662121	3998	1996-05-31	PRIJEM	\N	37	22643	UROK	\N	\N
3662122	3998	1996-06-30	PRIJEM	\N	119	37320	UROK	\N	\N
3662123	3998	1996-07-31	PRIJEM	\N	159	39885	UROK	\N	\N
3662124	3998	1996-08-31	PRIJEM	\N	172	43363	UROK	\N	\N
3662125	3998	1996-09-30	PRIJEM	\N	184	38290	UROK	\N	\N
3662126	3998	1996-10-31	PRIJEM	\N	178	41477	UROK	\N	\N
3662127	3998	1996-11-30	PRIJEM	\N	185	43170	UROK	\N	\N
3662128	3998	1996-12-31	PRIJEM	\N	204	46615	UROK	\N	\N
3662129	3998	1997-01-31	PRIJEM	\N	179	34523	UROK	\N	\N
3662130	3998	1997-02-28	PRIJEM	\N	157	38088	UROK	\N	\N
3662131	3998	1997-03-31	PRIJEM	\N	161	34757	UROK	\N	\N
3662132	3998	1997-04-30	PRIJEM	\N	153	35419	UROK	\N	\N
3662133	3998	1997-05-31	PRIJEM	\N	159	37286	UROK	\N	\N
3662134	3998	1997-06-30	PRIJEM	\N	113	22340	UROK	\N	\N
3662135	3998	1997-07-31	PRIJEM	\N	107	25955	UROK	\N	\N
3662136	3998	1997-08-31	PRIJEM	\N	118	28481	UROK	\N	\N
3662137	3998	1997-09-30	PRIJEM	\N	131	32721	UROK	\N	\N
3662138	3998	1997-10-31	PRIJEM	\N	124	26313	UROK	\N	\N
3662139	3998	1997-11-30	PRIJEM	\N	119	25300	UROK	\N	\N
3662140	3998	1997-12-31	PRIJEM	\N	146	26447	UROK	\N	\N
3662141	3998	1998-01-31	PRIJEM	\N	91	16386	UROK	\N	\N
3662142	3998	1998-02-28	PRIJEM	\N	90	22485	UROK	\N	\N
3662143	3998	1998-03-31	PRIJEM	\N	111	25405	UROK	\N	\N
3662144	3998	1998-04-30	PRIJEM	\N	110	24404	UROK	\N	\N
3662145	3998	1998-05-31	PRIJEM	\N	99	23711	UROK	\N	\N
3662146	3998	1998-06-30	PRIJEM	\N	102	24774	UROK	\N	\N
3662147	3998	1998-07-31	PRIJEM	\N	106	23688	UROK	\N	\N
3662148	3998	1998-08-31	PRIJEM	\N	119	26816	UROK	\N	\N
3662149	3998	1998-09-30	PRIJEM	\N	133	31877	UROK	\N	\N
3662150	3998	1998-10-31	PRIJEM	\N	135	29240	UROK	\N	\N
3662151	3998	1998-11-30	PRIJEM	\N	158	40506	UROK	\N	\N
3662152	3998	1998-12-31	PRIJEM	\N	220	53748	UROK	\N	\N
3662153	3999	1993-05-31	PRIJEM	\N	31	12676	UROK	\N	\N
3662154	3999	1993-06-30	PRIJEM	\N	108	36251	UROK	\N	\N
3662155	3999	1993-07-31	PRIJEM	\N	166	42462	UROK	\N	\N
3662156	3999	1993-08-31	PRIJEM	\N	182	44889	UROK	\N	\N
3662157	3999	1993-09-30	PRIJEM	\N	189	46123	UROK	\N	\N
3662158	3999	1993-10-31	PRIJEM	\N	165	42117	UROK	\N	\N
3662159	3999	1993-11-30	PRIJEM	\N	146	37793	UROK	\N	\N
3662160	3999	1993-12-31	PRIJEM	\N	133	37777	UROK	\N	\N
3662161	3999	1994-01-31	PRIJEM	\N	121	29688	UROK	\N	\N
3662162	3999	1994-02-28	PRIJEM	\N	121	32539	UROK	\N	\N
3662163	3999	1994-03-31	PRIJEM	\N	137	36405	UROK	\N	\N
3662164	3999	1994-04-30	PRIJEM	\N	140	36974	UROK	\N	\N
3662165	3999	1994-05-31	PRIJEM	\N	138	36342	UROK	\N	\N
3662166	3999	1994-06-30	PRIJEM	\N	146	41439	UROK	\N	\N
3662167	3999	1994-07-31	PRIJEM	\N	149	34618	UROK	\N	\N
3662168	3999	1994-08-31	PRIJEM	\N	129	30656	UROK	\N	\N
3662169	3999	1994-09-30	PRIJEM	\N	131	33916	UROK	\N	\N
3662170	3999	1994-10-31	PRIJEM	\N	144	34289	UROK	\N	\N
3662171	3999	1994-11-30	PRIJEM	\N	145	34763	UROK	\N	\N
3662172	3999	1994-12-31	PRIJEM	\N	157	34452	UROK	\N	\N
3662173	3999	1995-01-31	PRIJEM	\N	116	16557	UROK	\N	\N
3662174	3999	1995-02-28	PRIJEM	\N	77	29664	UROK	\N	\N
3662175	3999	1995-03-31	PRIJEM	\N	128	34721	UROK	\N	\N
3662176	3999	1995-04-30	PRIJEM	\N	145	34096	UROK	\N	\N
3662177	3999	1995-05-31	PRIJEM	\N	144	35268	UROK	\N	\N
3662178	3999	1995-06-30	PRIJEM	\N	157	42157	UROK	\N	\N
3662179	3999	1995-07-31	PRIJEM	\N	178	44764	UROK	\N	\N
3662180	3999	1995-08-31	PRIJEM	\N	187	45780	UROK	\N	\N
3662181	3999	1995-09-30	PRIJEM	\N	188	44798	UROK	\N	\N
3662182	3999	1995-10-31	PRIJEM	\N	186	47793	UROK	\N	\N
3662183	3999	1995-11-30	PRIJEM	\N	200	50122	UROK	\N	\N
3662184	3999	1995-12-31	PRIJEM	\N	216	51810	UROK	\N	\N
3662185	3999	1996-01-31	PRIJEM	\N	207	38686	UROK	\N	\N
3662186	3999	1996-02-29	PRIJEM	\N	177	52292	UROK	\N	\N
3662187	3999	1996-03-31	PRIJEM	\N	221	56742	UROK	\N	\N
3662188	3999	1996-04-30	PRIJEM	\N	237	60109	UROK	\N	\N
3662189	3999	1996-05-31	PRIJEM	\N	248	59366	UROK	\N	\N
3662190	3999	1996-06-30	PRIJEM	\N	200	41818	UROK	\N	\N
3662191	3999	1996-07-31	PRIJEM	\N	198	58345	UROK	\N	\N
3662192	3999	1996-08-31	PRIJEM	\N	236	59991	UROK	\N	\N
3662193	3999	1996-09-30	PRIJEM	\N	262	69582	UROK	\N	\N
3662194	3999	1996-10-31	PRIJEM	\N	292	73703	UROK	\N	\N
3662195	3999	1996-11-30	PRIJEM	\N	305	76437	UROK	\N	\N
3662196	3999	1996-12-31	PRIJEM	\N	320	80670	UROK	\N	\N
3662197	3999	1997-01-31	PRIJEM	\N	321	76460	UROK	\N	\N
3662198	3999	1997-02-28	PRIJEM	\N	301	69450	UROK	\N	\N
3662199	3999	1997-03-31	PRIJEM	\N	301	78481	UROK	\N	\N
3662200	3999	1997-04-30	PRIJEM	\N	321	79931	UROK	\N	\N
3662201	3999	1997-05-31	PRIJEM	\N	321	78481	UROK	\N	\N
3662202	3999	1997-06-30	PRIJEM	\N	241	62994	UROK	\N	\N
3662203	3999	1997-07-31	PRIJEM	\N	265	69888	UROK	\N	\N
3662204	3999	1997-08-31	PRIJEM	\N	293	74251	UROK	\N	\N
3662205	3999	1997-09-30	PRIJEM	\N	313	79993	UROK	\N	\N
3662206	3999	1997-10-31	PRIJEM	\N	317	79680	UROK	\N	\N
3662207	3999	1997-11-30	PRIJEM	\N	326	82236	UROK	\N	\N
3662208	3999	1997-12-31	PRIJEM	\N	350	88937	UROK	\N	\N
3662209	3999	1998-01-31	PRIJEM	\N	340	81487	UROK	\N	\N
3662210	3999	1998-02-28	PRIJEM	\N	343	87759	UROK	\N	\N
3662211	3999	1998-03-31	PRIJEM	\N	368	94456	UROK	\N	\N
3662212	3999	1998-04-30	PRIJEM	\N	386	96271	UROK	\N	\N
3662213	3999	1998-05-31	PRIJEM	\N	409	103910	UROK	\N	\N
3662214	3999	1998-06-30	PRIJEM	\N	360	95002	UROK	\N	\N
3662215	3999	1998-07-31	PRIJEM	\N	425	109757	UROK	\N	\N
3662216	3999	1998-08-31	PRIJEM	\N	469	62355	UROK	\N	\N
3662217	3999	1998-09-30	PRIJEM	\N	346	93630	UROK	\N	\N
3662218	3999	1998-10-31	PRIJEM	\N	411	103710	UROK	\N	\N
3662219	3999	1998-11-30	PRIJEM	\N	364	77404	UROK	\N	\N
3662220	3999	1998-12-31	PRIJEM	\N	399	105155	UROK	\N	\N
3662221	4003	1997-09-30	PRIJEM	\N	141	58423	UROK	\N	\N
3662222	4003	1997-10-31	PRIJEM	\N	267	87335	UROK	\N	\N
3662223	4003	1997-11-30	PRIJEM	\N	316	55750	UROK	\N	\N
3662224	4003	1997-12-31	PRIJEM	\N	346	99214	UROK	\N	\N
3662225	4003	1998-01-31	PRIJEM	\N	196	20804	UROK	\N	\N
3662226	4003	1998-02-28	PRIJEM	\N	87	20490	UROK	\N	\N
3662227	4003	1998-03-31	PRIJEM	\N	190	87263	UROK	\N	\N
3662228	4003	1998-04-30	PRIJEM	\N	281	51791	UROK	\N	\N
3662229	4003	1998-05-31	PRIJEM	\N	326	60705	UROK	\N	\N
3662230	4003	1998-06-30	PRIJEM	\N	285	74942	UROK	\N	\N
3662231	4003	1998-07-31	PRIJEM	\N	250	24318	UROK	\N	\N
3662232	4003	1998-08-31	PRIJEM	\N	133	25354	UROK	\N	\N
3662233	4003	1998-09-30	PRIJEM	\N	333	69197	UROK	\N	\N
3662234	4003	1998-10-31	PRIJEM	\N	305	78980	UROK	\N	\N
3662235	4003	1998-11-30	PRIJEM	\N	299	89298	UROK	\N	\N
3662236	4003	1998-12-31	PRIJEM	\N	307	59604	UROK	\N	\N
3662237	4010	1996-09-30	PRIJEM	\N	30	16698	UROK	\N	\N
3662238	4010	1996-10-31	PRIJEM	\N	88	26554	UROK	\N	\N
3662239	4010	1996-11-30	PRIJEM	\N	122	32844	UROK	\N	\N
3662240	4010	1996-12-31	PRIJEM	\N	147	38344	UROK	\N	\N
3662241	4010	1997-01-31	PRIJEM	\N	165	31477	UROK	\N	\N
3662242	4010	1997-02-28	PRIJEM	\N	134	32316	UROK	\N	\N
3662243	4010	1997-03-31	PRIJEM	\N	134	30555	UROK	\N	\N
3662244	4010	1997-04-30	PRIJEM	\N	126	28786	UROK	\N	\N
3662245	4010	1997-05-31	PRIJEM	\N	126	30517	UROK	\N	\N
3662246	4010	1997-06-30	PRIJEM	\N	135	31141	UROK	\N	\N
3662247	4010	1997-07-31	PRIJEM	\N	132	29778	UROK	\N	\N
3662248	4010	1997-08-31	PRIJEM	\N	119	27903	UROK	\N	\N
3662249	4010	1997-09-30	PRIJEM	\N	134	36042	UROK	\N	\N
3662250	4010	1997-10-31	PRIJEM	\N	165	42812	UROK	\N	\N
3662251	4010	1997-11-30	PRIJEM	\N	173	42591	UROK	\N	\N
3662252	4010	1997-12-31	PRIJEM	\N	184	47165	UROK	\N	\N
3662253	4010	1998-01-31	PRIJEM	\N	166	34436	UROK	\N	\N
3662254	4010	1998-02-28	PRIJEM	\N	125	27166	UROK	\N	\N
3662255	4010	1998-03-31	PRIJEM	\N	126	33497	UROK	\N	\N
3662256	4010	1998-04-30	PRIJEM	\N	156	41759	UROK	\N	\N
3662257	4010	1998-05-31	PRIJEM	\N	182	46946	UROK	\N	\N
3662258	4010	1998-06-30	PRIJEM	\N	206	54742	UROK	\N	\N
3662259	4010	1998-07-31	PRIJEM	\N	231	58878	UROK	\N	\N
3662260	4010	1998-08-31	PRIJEM	\N	235	60019	UROK	\N	\N
3662261	4010	1998-09-30	PRIJEM	\N	236	58160	UROK	\N	\N
3662262	4010	1998-10-31	PRIJEM	\N	227	56992	UROK	\N	\N
3662263	4010	1998-11-30	PRIJEM	\N	231	59628	UROK	\N	\N
3662264	4010	1998-12-31	PRIJEM	\N	260	68977	UROK	\N	\N
3662265	4013	1993-11-30	PRIJEM	\N	26	17856	UROK	\N	\N
3662266	4013	1993-12-31	PRIJEM	\N	97	26998	UROK	\N	\N
3662267	4013	1994-01-31	PRIJEM	\N	145	36672	UROK	\N	\N
3662268	4013	1994-02-28	PRIJEM	\N	169	41671	UROK	\N	\N
3662269	4013	1994-03-31	PRIJEM	\N	109	18524	UROK	\N	\N
3662270	4013	1994-04-30	PRIJEM	\N	92	22659	UROK	\N	\N
3662271	4013	1994-05-31	PRIJEM	\N	105	23108	UROK	\N	\N
3662272	4013	1994-06-30	PRIJEM	\N	134	34301	UROK	\N	\N
3662273	4013	1994-07-31	PRIJEM	\N	135	31780	UROK	\N	\N
3662274	4013	1994-08-31	PRIJEM	\N	130	30955	UROK	\N	\N
3662275	4013	1994-09-30	PRIJEM	\N	131	30329	UROK	\N	\N
3662276	4013	1994-10-31	PRIJEM	\N	118	25891	UROK	\N	\N
3662277	4013	1994-11-30	PRIJEM	\N	110	26345	UROK	\N	\N
3662278	4013	1994-12-31	PRIJEM	\N	123	30727	UROK	\N	\N
3662279	4013	1995-01-31	PRIJEM	\N	94	20266	UROK	\N	\N
3662280	4013	1995-02-28	PRIJEM	\N	94	21693	UROK	\N	\N
3662281	4013	1995-03-31	PRIJEM	\N	101	24637	UROK	\N	\N
3662282	4013	1995-04-30	PRIJEM	\N	117	28698	UROK	\N	\N
3662283	4013	1995-05-31	PRIJEM	\N	122	29364	UROK	\N	\N
3662284	4013	1995-06-30	PRIJEM	\N	129	30352	UROK	\N	\N
3662285	4013	1995-07-31	PRIJEM	\N	132	28927	UROK	\N	\N
3662286	4013	1995-08-31	PRIJEM	\N	130	30101	UROK	\N	\N
3662287	4013	1995-09-30	PRIJEM	\N	127	29672	UROK	\N	\N
3662288	4013	1995-10-31	PRIJEM	\N	122	25222	UROK	\N	\N
3662289	4013	1995-11-30	PRIJEM	\N	115	24881	UROK	\N	\N
3662290	4013	1995-12-31	PRIJEM	\N	123	30362	UROK	\N	\N
3662291	4013	1996-01-31	PRIJEM	\N	106	25812	UROK	\N	\N
3662292	4013	1996-02-29	PRIJEM	\N	118	31087	UROK	\N	\N
3662293	4013	1996-03-31	PRIJEM	\N	115	30346	UROK	\N	\N
3662294	4013	1996-04-30	PRIJEM	\N	109	28971	UROK	\N	\N
3662295	4013	1996-05-31	PRIJEM	\N	130	34432	UROK	\N	\N
3662296	4013	1996-06-30	PRIJEM	\N	158	28349	UROK	\N	\N
3662297	4013	1996-07-31	PRIJEM	\N	135	38528	UROK	\N	\N
3662298	4013	1996-08-31	PRIJEM	\N	131	29770	UROK	\N	\N
3662299	4013	1996-09-30	PRIJEM	\N	137	32218	UROK	\N	\N
3662300	4013	1996-10-31	PRIJEM	\N	149	39611	UROK	\N	\N
3662301	4013	1996-11-30	PRIJEM	\N	140	32695	UROK	\N	\N
3662302	4013	1996-12-31	PRIJEM	\N	132	35038	UROK	\N	\N
3662303	4013	1997-01-31	PRIJEM	\N	126	21508	UROK	\N	\N
3662304	4013	1997-02-28	PRIJEM	\N	112	34064	UROK	\N	\N
3662305	4013	1997-03-31	PRIJEM	\N	150	39938	UROK	\N	\N
3662306	4013	1997-04-30	PRIJEM	\N	129	32496	UROK	\N	\N
3662307	4013	1997-05-31	PRIJEM	\N	132	21101	UROK	\N	\N
3662308	4013	1997-06-30	PRIJEM	\N	111	25571	UROK	\N	\N
3662309	4013	1997-07-31	PRIJEM	\N	137	41652	UROK	\N	\N
3662310	4013	1997-08-31	PRIJEM	\N	187	47683	UROK	\N	\N
3662311	4013	1997-09-30	PRIJEM	\N	157	41410	UROK	\N	\N
3662312	4013	1997-10-31	PRIJEM	\N	186	47340	UROK	\N	\N
3662313	4013	1997-11-30	PRIJEM	\N	201	48785	UROK	\N	\N
3662314	4013	1997-12-31	PRIJEM	\N	205	39149	UROK	\N	\N
3662315	4013	1998-01-31	PRIJEM	\N	120	22713	UROK	\N	\N
3662316	4013	1998-02-28	PRIJEM	\N	123	35280	UROK	\N	\N
3662317	4013	1998-03-31	PRIJEM	\N	156	39280	UROK	\N	\N
3662318	4013	1998-04-30	PRIJEM	\N	130	31757	UROK	\N	\N
3662319	4013	1998-05-31	PRIJEM	\N	159	43560	UROK	\N	\N
3662320	4013	1998-06-30	PRIJEM	\N	208	44427	UROK	\N	\N
3662321	4013	1998-07-31	PRIJEM	\N	173	34044	UROK	\N	\N
3662322	4013	1998-08-31	PRIJEM	\N	182	50269	UROK	\N	\N
3662323	4013	1998-09-30	PRIJEM	\N	190	49741	UROK	\N	\N
3662324	4013	1998-10-31	PRIJEM	\N	200	42850	UROK	\N	\N
3662325	4013	1998-11-30	PRIJEM	\N	220	58914	UROK	\N	\N
3662326	4013	1998-12-31	PRIJEM	\N	251	58318	UROK	\N	\N
3662327	4026	1997-02-28	PRIJEM	\N	84	26988	UROK	\N	\N
3662328	4026	1997-03-31	PRIJEM	\N	142	36334	UROK	\N	\N
3662329	4026	1997-04-30	PRIJEM	\N	215	56353	UROK	\N	\N
3662330	4026	1997-05-31	PRIJEM	\N	263	65420	UROK	\N	\N
3662331	4026	1997-06-30	PRIJEM	\N	325	76833	UROK	\N	\N
3662332	4026	1997-07-31	PRIJEM	\N	297	72290	UROK	\N	\N
3662333	4026	1997-08-31	PRIJEM	\N	250	60467	UROK	\N	\N
3662334	4026	1997-09-30	PRIJEM	\N	245	60473	UROK	\N	\N
3662335	4026	1997-10-31	PRIJEM	\N	240	59073	UROK	\N	\N
3662336	4026	1997-11-30	PRIJEM	\N	252	62785	UROK	\N	\N
3662337	4026	1997-12-31	PRIJEM	\N	236	51136	UROK	\N	\N
3662338	4026	1998-01-31	PRIJEM	\N	121	23117	UROK	\N	\N
3662339	4026	1998-02-28	PRIJEM	\N	129	29757	UROK	\N	\N
3662340	4026	1998-03-31	PRIJEM	\N	156	32810	UROK	\N	\N
3662341	4026	1998-04-30	PRIJEM	\N	180	35633	UROK	\N	\N
3662342	4026	1998-05-31	PRIJEM	\N	183	27411	UROK	\N	\N
3662343	4026	1998-06-30	PRIJEM	\N	213	59087	UROK	\N	\N
3662344	4026	1998-07-31	PRIJEM	\N	233	37371	UROK	\N	\N
3662345	4026	1998-08-31	PRIJEM	\N	198	42029	UROK	\N	\N
3662346	4026	1998-09-30	PRIJEM	\N	217	48006	UROK	\N	\N
3662347	4026	1998-10-31	PRIJEM	\N	197	44702	UROK	\N	\N
3662348	4026	1998-11-30	PRIJEM	\N	181	42344	UROK	\N	\N
3662349	4026	1998-12-31	PRIJEM	\N	239	63546	UROK	\N	\N
3662350	4033	1996-12-31	PRIJEM	\N	36	20704	UROK	\N	\N
3662351	4033	1997-01-31	PRIJEM	\N	105	30654	UROK	\N	\N
3662352	4033	1997-02-28	PRIJEM	\N	138	36537	UROK	\N	\N
3662353	4033	1997-03-31	PRIJEM	\N	153	37535	UROK	\N	\N
3662354	4033	1997-04-30	PRIJEM	\N	163	36879	UROK	\N	\N
3662355	4033	1997-05-31	PRIJEM	\N	153	32004	UROK	\N	\N
3662356	4033	1997-06-30	PRIJEM	\N	114	23793	UROK	\N	\N
3662357	4033	1997-07-31	PRIJEM	\N	105	24771	UROK	\N	\N
3662358	4033	1997-08-31	PRIJEM	\N	95	15778	UROK	\N	\N
3662359	4033	1997-09-30	PRIJEM	\N	85	22735	UROK	\N	\N
3662360	4033	1997-10-31	PRIJEM	\N	107	27114	UROK	\N	\N
3662361	4033	1997-11-30	PRIJEM	\N	128	32515	UROK	\N	\N
3662362	4033	1997-12-31	PRIJEM	\N	139	33529	UROK	\N	\N
3662363	4033	1998-01-31	PRIJEM	\N	123	24565	UROK	\N	\N
3662364	4033	1998-02-28	PRIJEM	\N	121	26958	UROK	\N	\N
3662365	4033	1998-03-31	PRIJEM	\N	125	31756	UROK	\N	\N
3662366	4033	1998-04-30	PRIJEM	\N	143	35872	UROK	\N	\N
3662367	4033	1998-05-31	PRIJEM	\N	147	34690	UROK	\N	\N
3662368	4033	1998-06-30	PRIJEM	\N	147	34133	UROK	\N	\N
3662369	4033	1998-07-31	PRIJEM	\N	148	33753	UROK	\N	\N
3662370	4033	1998-08-31	PRIJEM	\N	152	34177	UROK	\N	\N
3662371	4033	1998-09-30	PRIJEM	\N	146	33435	UROK	\N	\N
3662372	4033	1998-10-31	PRIJEM	\N	169	40276	UROK	\N	\N
3662373	4033	1998-11-30	PRIJEM	\N	173	37801	UROK	\N	\N
3662374	4033	1998-12-31	PRIJEM	\N	157	38273	UROK	\N	\N
3662481	4047	1995-11-30	PRIJEM	\N	5	21005	UROK	\N	\N
3662482	4047	1995-12-31	PRIJEM	\N	138	28298	UROK	\N	\N
3662483	4047	1996-01-31	PRIJEM	\N	345	54810	UROK	\N	\N
3662484	4047	1996-02-29	PRIJEM	\N	258	49909	UROK	\N	\N
3662485	4047	1996-03-31	PRIJEM	\N	250	28054	UROK	\N	\N
3662486	4047	1996-04-30	PRIJEM	\N	119	31842	UROK	\N	\N
3662487	4047	1996-05-31	PRIJEM	\N	123	19404	UROK	\N	\N
3662488	4047	1996-06-30	PRIJEM	\N	166	120471	UROK	\N	\N
3662489	4047	1996-07-31	PRIJEM	\N	411	48161	UROK	\N	\N
3662490	4047	1996-08-31	PRIJEM	\N	313	48528	UROK	\N	\N
3662491	4047	1996-09-30	PRIJEM	\N	304	86259	UROK	\N	\N
3662492	4047	1996-10-31	PRIJEM	\N	363	65318	UROK	\N	\N
3662493	4047	1996-11-30	PRIJEM	\N	239	38240	UROK	\N	\N
3662494	4047	1996-12-31	PRIJEM	\N	231	80636	UROK	\N	\N
3662495	4047	1997-01-31	PRIJEM	\N	238	30244	UROK	\N	\N
3662496	4047	1997-02-28	PRIJEM	\N	206	59592	UROK	\N	\N
3662497	4047	1997-03-31	PRIJEM	\N	202	38276	UROK	\N	\N
3662498	4047	1997-04-30	PRIJEM	\N	166	44813	UROK	\N	\N
3662499	4047	1997-05-31	PRIJEM	\N	124	12451	UROK	\N	\N
3662500	4047	1997-06-30	PRIJEM	\N	79	60738	UROK	\N	\N
3662501	4047	1997-07-31	PRIJEM	\N	312	48459	UROK	\N	\N
3662502	4047	1997-08-31	PRIJEM	\N	224	61873	UROK	\N	\N
3662503	4047	1997-09-30	PRIJEM	\N	204	27468	UROK	\N	\N
3662504	4047	1997-10-31	PRIJEM	\N	108	24645	UROK	\N	\N
3662505	4047	1997-11-30	PRIJEM	\N	197	82571	UROK	\N	\N
3662506	4047	1997-12-31	PRIJEM	\N	270	32506	UROK	\N	\N
3662507	4047	1998-01-31	PRIJEM	\N	248	29218	UROK	\N	\N
3662508	4047	1998-02-28	PRIJEM	\N	124	31017	UROK	\N	\N
3662509	4047	1998-03-31	PRIJEM	\N	119	25106	UROK	\N	\N
3662510	4047	1998-04-30	PRIJEM	\N	104	32580	UROK	\N	\N
3662511	4047	1998-05-31	PRIJEM	\N	134	37884	UROK	\N	\N
3662512	4047	1998-06-30	PRIJEM	\N	156	42111	UROK	\N	\N
3662513	4047	1998-07-31	PRIJEM	\N	215	37859	UROK	\N	\N
3662514	4047	1998-08-31	PRIJEM	\N	139	31925	UROK	\N	\N
3662515	4047	1998-09-30	PRIJEM	\N	132	40227	UROK	\N	\N
3662516	4047	1998-10-31	PRIJEM	\N	142	18510	UROK	\N	\N
3662517	4047	1998-11-30	PRIJEM	\N	56	5015	UROK	\N	\N
3662518	4047	1998-12-31	PRIJEM	\N	177	65657	UROK	\N	\N
3662589	4052	1997-02-28	PRIJEM	\N	16	21797	UROK	\N	\N
3662590	4052	1997-03-31	PRIJEM	\N	102	35880	UROK	\N	\N
3662591	4052	1997-04-30	PRIJEM	\N	155	42816	UROK	\N	\N
3662592	4052	1997-05-31	PRIJEM	\N	182	47779	UROK	\N	\N
3662593	4052	1997-06-30	PRIJEM	\N	72	17942	UROK	\N	\N
3662594	4052	1997-07-31	PRIJEM	\N	111	22311	UROK	\N	\N
3662595	4052	1997-08-31	PRIJEM	\N	145	30107	UROK	\N	\N
3662596	4052	1997-09-30	PRIJEM	\N	109	30399	UROK	\N	\N
3662597	4052	1997-10-31	PRIJEM	\N	142	41292	UROK	\N	\N
3662598	4052	1997-11-30	PRIJEM	\N	211	43953	UROK	\N	\N
3662599	4052	1997-12-31	PRIJEM	\N	219	51315	UROK	\N	\N
3662600	4052	1998-01-31	PRIJEM	\N	159	12976	UROK	\N	\N
3662601	4052	1998-02-28	PRIJEM	\N	80	27281	UROK	\N	\N
3662602	4052	1998-03-31	PRIJEM	\N	156	34455	UROK	\N	\N
3662603	4052	1998-04-30	PRIJEM	\N	175	44410	UROK	\N	\N
3662604	4052	1998-05-31	PRIJEM	\N	216	47929	UROK	\N	\N
3662605	4052	1998-06-30	PRIJEM	\N	265	45988	UROK	\N	\N
3662606	4052	1998-07-31	PRIJEM	\N	181	19326	UROK	\N	\N
3662607	4052	1998-08-31	PRIJEM	\N	106	20408	UROK	\N	\N
3662608	4052	1998-09-30	PRIJEM	\N	141	43951	UROK	\N	\N
3662609	4052	1998-10-31	PRIJEM	\N	217	56071	UROK	\N	\N
3662610	4052	1998-11-30	PRIJEM	\N	256	58091	UROK	\N	\N
3662611	4052	1998-12-31	PRIJEM	\N	245	36807	UROK	\N	\N
3662612	4066	1994-06-30	PRIJEM	\N	40	35708	UROK	\N	\N
3662613	4066	1994-07-31	PRIJEM	\N	164	48116	UROK	\N	\N
3662614	4066	1994-08-31	PRIJEM	\N	209	54770	UROK	\N	\N
3662615	4066	1994-09-30	PRIJEM	\N	229	56044	UROK	\N	\N
3662616	4066	1994-10-31	PRIJEM	\N	261	54704	UROK	\N	\N
3662617	4066	1994-11-30	PRIJEM	\N	252	52947	UROK	\N	\N
3662618	4066	1994-12-31	PRIJEM	\N	261	39723	UROK	\N	\N
3662619	4066	1995-01-31	PRIJEM	\N	152	20466	UROK	\N	\N
3662620	4066	1995-02-28	PRIJEM	\N	133	35090	UROK	\N	\N
3662621	4066	1995-03-31	PRIJEM	\N	176	33357	UROK	\N	\N
3662622	4066	1995-04-30	PRIJEM	\N	136	29663	UROK	\N	\N
3662623	4066	1995-05-31	PRIJEM	\N	154	35398	UROK	\N	\N
3662624	4066	1995-06-30	PRIJEM	\N	210	48323	UROK	\N	\N
3662625	4066	1995-07-31	PRIJEM	\N	213	44107	UROK	\N	\N
3662626	4066	1995-08-31	PRIJEM	\N	205	45503	UROK	\N	\N
3662627	4066	1995-09-30	PRIJEM	\N	208	46502	UROK	\N	\N
3662628	4066	1995-10-31	PRIJEM	\N	190	31084	UROK	\N	\N
3662629	4066	1995-11-30	PRIJEM	\N	164	40540	UROK	\N	\N
3662630	4066	1995-12-31	PRIJEM	\N	204	48458	UROK	\N	\N
3662631	4066	1996-01-31	PRIJEM	\N	165	26614	UROK	\N	\N
3662632	4066	1996-02-29	PRIJEM	\N	140	34645	UROK	\N	\N
3662633	4066	1996-03-31	PRIJEM	\N	155	27391	UROK	\N	\N
3662634	4066	1996-04-30	PRIJEM	\N	118	28001	UROK	\N	\N
3662635	4066	1996-05-31	PRIJEM	\N	148	28156	UROK	\N	\N
3662636	4066	1996-06-30	PRIJEM	\N	216	45687	UROK	\N	\N
3662637	4066	1996-07-31	PRIJEM	\N	200	32837	UROK	\N	\N
3662638	4066	1996-08-31	PRIJEM	\N	138	22066	UROK	\N	\N
3662639	4066	1996-09-30	PRIJEM	\N	105	26362	UROK	\N	\N
3662640	4066	1996-10-31	PRIJEM	\N	83	16642	UROK	\N	\N
3662641	4066	1996-11-30	PRIJEM	\N	137	39970	UROK	\N	\N
3662642	4066	1996-12-31	PRIJEM	\N	234	62518	UROK	\N	\N
3662643	4066	1997-01-31	PRIJEM	\N	143	22777	UROK	\N	\N
3662644	4066	1997-02-28	PRIJEM	\N	134	37002	UROK	\N	\N
3662645	4066	1997-03-31	PRIJEM	\N	176	44869	UROK	\N	\N
3662646	4066	1997-04-30	PRIJEM	\N	184	45144	UROK	\N	\N
3662647	4066	1997-05-31	PRIJEM	\N	180	41316	UROK	\N	\N
3662648	4066	1997-06-30	PRIJEM	\N	133	24463	UROK	\N	\N
3662649	4066	1997-07-31	PRIJEM	\N	136	36891	UROK	\N	\N
3662650	4066	1997-08-31	PRIJEM	\N	155	31337	UROK	\N	\N
3662651	4066	1997-09-30	PRIJEM	\N	133	35961	UROK	\N	\N
3662652	4066	1997-10-31	PRIJEM	\N	180	47333	UROK	\N	\N
3662653	4066	1997-11-30	PRIJEM	\N	187	36411	UROK	\N	\N
3662654	4066	1997-12-31	PRIJEM	\N	171	42888	UROK	\N	\N
3662655	4066	1998-01-31	PRIJEM	\N	114	23393	UROK	\N	\N
3662656	4066	1998-02-28	PRIJEM	\N	148	41632	UROK	\N	\N
3662657	4066	1998-03-31	PRIJEM	\N	167	41091	UROK	\N	\N
3662658	4066	1998-04-30	PRIJEM	\N	124	24437	UROK	\N	\N
3662659	4066	1998-05-31	PRIJEM	\N	123	29382	UROK	\N	\N
3662660	4066	1998-06-30	PRIJEM	\N	163	41578	UROK	\N	\N
3662661	4066	1998-07-31	PRIJEM	\N	172	43042	UROK	\N	\N
3662662	4066	1998-08-31	PRIJEM	\N	186	46224	UROK	\N	\N
3662663	4066	1998-09-30	PRIJEM	\N	170	47185	UROK	\N	\N
3662664	4066	1998-10-31	PRIJEM	\N	182	32658	UROK	\N	\N
3662665	4066	1998-11-30	PRIJEM	\N	182	33431	UROK	\N	\N
3662666	4066	1998-12-31	PRIJEM	\N	227	37373	UROK	\N	\N
3662735	4071	1996-08-31	PRIJEM	\N	59	21031	UROK	\N	\N
3662736	4071	1996-09-30	PRIJEM	\N	150	43753	UROK	\N	\N
3662737	4071	1996-10-31	PRIJEM	\N	220	57546	UROK	\N	\N
3662738	4071	1996-11-30	PRIJEM	\N	264	66582	UROK	\N	\N
3662739	4071	1996-12-31	PRIJEM	\N	262	35604	UROK	\N	\N
3662740	4071	1997-01-31	PRIJEM	\N	132	25921	UROK	\N	\N
3662741	4071	1997-02-28	PRIJEM	\N	132	34139	UROK	\N	\N
3662742	4071	1997-03-31	PRIJEM	\N	158	40283	UROK	\N	\N
3662743	4071	1997-04-30	PRIJEM	\N	142	34310	UROK	\N	\N
3662744	4071	1997-05-31	PRIJEM	\N	163	27259	UROK	\N	\N
3662745	4071	1997-06-30	PRIJEM	\N	147	27727	UROK	\N	\N
3662746	4071	1997-07-31	PRIJEM	\N	121	23233	UROK	\N	\N
3662747	4071	1997-08-31	PRIJEM	\N	141	22259	UROK	\N	\N
3662748	4071	1997-09-30	PRIJEM	\N	73	14991	UROK	\N	\N
3662749	4071	1997-10-31	PRIJEM	\N	59	12433	UROK	\N	\N
3662750	4071	1997-11-30	PRIJEM	\N	75	17793	UROK	\N	\N
3662751	4071	1997-12-31	PRIJEM	\N	119	20934	UROK	\N	\N
3662752	4071	1998-01-31	PRIJEM	\N	88	16779	UROK	\N	\N
3662753	4071	1998-02-28	PRIJEM	\N	92	21256	UROK	\N	\N
3662754	4071	1998-03-31	PRIJEM	\N	125	16466	UROK	\N	\N
3662755	4071	1998-04-30	PRIJEM	\N	106	15658	UROK	\N	\N
3662756	4071	1998-05-31	PRIJEM	\N	101	14244	UROK	\N	\N
3662757	4071	1998-06-30	PRIJEM	\N	120	21986	UROK	\N	\N
3662758	4071	1998-07-31	PRIJEM	\N	107	21178	UROK	\N	\N
3662759	4071	1998-08-31	PRIJEM	\N	87	15288	UROK	\N	\N
3662760	4071	1998-09-30	PRIJEM	\N	102	21875	UROK	\N	\N
3662761	4071	1998-10-31	PRIJEM	\N	105	22165	UROK	\N	\N
3662762	4071	1998-11-30	PRIJEM	\N	106	22756	UROK	\N	\N
3662763	4071	1998-12-31	PRIJEM	\N	134	34674	UROK	\N	\N
3662764	4079	1993-12-31	PRIJEM	\N	141	67928	UROK	\N	\N
3662765	4079	1994-01-31	PRIJEM	\N	272	43200	UROK	\N	\N
3662766	4079	1994-02-28	PRIJEM	\N	212	41624	UROK	\N	\N
3662767	4079	1994-03-31	PRIJEM	\N	259	90318	UROK	\N	\N
3662768	4079	1994-04-30	PRIJEM	\N	279	46688	UROK	\N	\N
3662769	4079	1994-05-31	PRIJEM	\N	247	73241	UROK	\N	\N
3662770	4079	1994-06-30	PRIJEM	\N	292	69885	UROK	\N	\N
3662771	4079	1994-07-31	PRIJEM	\N	248	71845	UROK	\N	\N
3662772	4079	1994-08-31	PRIJEM	\N	151	27348	UROK	\N	\N
3662773	4079	1994-09-30	PRIJEM	\N	240	64884	UROK	\N	\N
3662774	4079	1994-10-31	PRIJEM	\N	232	46198	UROK	\N	\N
3662775	4079	1994-11-30	PRIJEM	\N	164	31000	UROK	\N	\N
3662776	4079	1994-12-31	PRIJEM	\N	245	51068	UROK	\N	\N
3662777	4079	1995-01-31	PRIJEM	\N	121	28163	UROK	\N	\N
3662778	4079	1995-02-28	PRIJEM	\N	82	22982	UROK	\N	\N
3662779	4079	1995-03-31	PRIJEM	\N	74	18894	UROK	\N	\N
3662780	4079	1995-04-30	PRIJEM	\N	125	25761	UROK	\N	\N
3662781	4079	1995-05-31	PRIJEM	\N	293	53560	UROK	\N	\N
3662782	4079	1995-06-30	PRIJEM	\N	259	91053	UROK	\N	\N
3662783	4079	1995-07-31	PRIJEM	\N	286	44442	UROK	\N	\N
3662784	4079	1995-08-31	PRIJEM	\N	126	25693	UROK	\N	\N
3662785	4079	1995-09-30	PRIJEM	\N	205	84946	UROK	\N	\N
3662786	4079	1995-10-31	PRIJEM	\N	421	58175	UROK	\N	\N
3662787	4079	1995-11-30	PRIJEM	\N	220	62577	UROK	\N	\N
3662788	4079	1995-12-31	PRIJEM	\N	296	51903	UROK	\N	\N
3662789	4079	1996-01-31	PRIJEM	\N	261	95101	UROK	\N	\N
3662790	4079	1996-02-29	PRIJEM	\N	255	47777	UROK	\N	\N
3662791	4079	1996-03-31	PRIJEM	\N	139	46008	UROK	\N	\N
3662792	4079	1996-04-30	PRIJEM	\N	188	72392	UROK	\N	\N
3662793	4079	1996-05-31	PRIJEM	\N	288	58875	UROK	\N	\N
3662794	4079	1996-06-30	PRIJEM	\N	166	31166	UROK	\N	\N
3662795	4079	1996-07-31	PRIJEM	\N	109	25701	UROK	\N	\N
3662796	4079	1996-08-31	PRIJEM	\N	108	26776	UROK	\N	\N
3662797	4079	1996-09-30	PRIJEM	\N	87	18889	UROK	\N	\N
3662798	4079	1996-10-31	PRIJEM	\N	158	92704	UROK	\N	\N
3662799	4079	1996-11-30	PRIJEM	\N	307	54322	UROK	\N	\N
3662800	4079	1996-12-31	PRIJEM	\N	227	30435	UROK	\N	\N
3662801	4079	1997-01-31	PRIJEM	\N	106	25166	UROK	\N	\N
3662802	4079	1997-02-28	PRIJEM	\N	97	25089	UROK	\N	\N
3662803	4079	1997-03-31	PRIJEM	\N	102	28216	UROK	\N	\N
3662804	4079	1997-04-30	PRIJEM	\N	114	30555	UROK	\N	\N
3662805	4079	1997-05-31	PRIJEM	\N	116	29397	UROK	\N	\N
3662806	4079	1997-06-30	PRIJEM	\N	112	28235	UROK	\N	\N
3662807	4079	1997-07-31	PRIJEM	\N	114	30174	UROK	\N	\N
3662808	4079	1997-08-31	PRIJEM	\N	113	25132	UROK	\N	\N
3662809	4079	1997-09-30	PRIJEM	\N	102	26260	UROK	\N	\N
3662810	4079	1997-10-31	PRIJEM	\N	95	22580	UROK	\N	\N
3662811	4079	1997-11-30	PRIJEM	\N	97	25403	UROK	\N	\N
3662812	4079	1997-12-31	PRIJEM	\N	99	24527	UROK	\N	\N
3662813	4079	1998-01-31	PRIJEM	\N	96	23445	UROK	\N	\N
3662814	4079	1998-02-28	PRIJEM	\N	170	65377	UROK	\N	\N
3662815	4079	1998-03-31	PRIJEM	\N	274	81209	UROK	\N	\N
3662816	4079	1998-04-30	PRIJEM	\N	357	99183	UROK	\N	\N
3662817	4079	1998-05-31	PRIJEM	\N	381	101848	UROK	\N	\N
3662818	4079	1998-06-30	PRIJEM	\N	368	90645	UROK	\N	\N
3662819	4079	1998-07-31	PRIJEM	\N	331	130320	UROK	\N	\N
3662820	4079	1998-08-31	PRIJEM	\N	313	76480	UROK	\N	\N
3662821	4079	1998-09-30	PRIJEM	\N	183	27288	UROK	\N	\N
3662822	4079	1998-10-31	PRIJEM	\N	96	23010	UROK	\N	\N
3662823	4079	1998-11-30	PRIJEM	\N	80	19515	UROK	\N	\N
3662824	4079	1998-12-31	PRIJEM	\N	99	29352	UROK	\N	\N
3662825	4088	1996-03-31	PRIJEM	\N	44	37565	UROK	\N	\N
3662826	4088	1996-04-30	PRIJEM	\N	124	29990	UROK	\N	\N
3662827	4088	1996-05-31	PRIJEM	\N	126	36670	UROK	\N	\N
3662828	4088	1996-06-30	PRIJEM	\N	155	47956	UROK	\N	\N
3662829	4088	1996-07-31	PRIJEM	\N	199	33156	UROK	\N	\N
3662830	4088	1996-08-31	PRIJEM	\N	221	32381	UROK	\N	\N
3662831	4088	1996-09-30	PRIJEM	\N	120	22725	UROK	\N	\N
3662832	4088	1996-10-31	PRIJEM	\N	87	22342	UROK	\N	\N
3662833	4088	1996-11-30	PRIJEM	\N	96	29391	UROK	\N	\N
3662834	4088	1996-12-31	PRIJEM	\N	125	34241	UROK	\N	\N
3662835	4088	1997-01-31	PRIJEM	\N	95	31601	UROK	\N	\N
3662836	4088	1997-02-28	PRIJEM	\N	122	24818	UROK	\N	\N
3662837	4088	1997-03-31	PRIJEM	\N	108	22874	UROK	\N	\N
3662838	4088	1997-04-30	PRIJEM	\N	182	41944	UROK	\N	\N
3662839	4088	1997-05-31	PRIJEM	\N	265	83594	UROK	\N	\N
3662840	4088	1997-06-30	PRIJEM	\N	330	106221	UROK	\N	\N
3662841	4088	1997-07-31	PRIJEM	\N	316	45861	UROK	\N	\N
3662842	4088	1997-08-31	PRIJEM	\N	120	24321	UROK	\N	\N
3662843	4088	1997-09-30	PRIJEM	\N	130	28783	UROK	\N	\N
3662844	4088	1997-10-31	PRIJEM	\N	357	97154	UROK	\N	\N
3662845	4088	1997-11-30	PRIJEM	\N	306	49841	UROK	\N	\N
3662846	4088	1997-12-31	PRIJEM	\N	168	43238	UROK	\N	\N
3662847	4088	1998-01-31	PRIJEM	\N	99	19167	UROK	\N	\N
3662848	4088	1998-02-28	PRIJEM	\N	101	25775	UROK	\N	\N
3662849	4088	1998-03-31	PRIJEM	\N	102	20191	UROK	\N	\N
3662850	4088	1998-04-30	PRIJEM	\N	69	13490	UROK	\N	\N
3662851	4088	1998-05-31	PRIJEM	\N	46	9866	UROK	\N	\N
3662852	4088	1998-06-30	PRIJEM	\N	31	6227	UROK	\N	\N
3662853	4088	1998-07-31	PRIJEM	\N	41	36020	UROK	\N	\N
3662854	4088	1998-08-31	PRIJEM	\N	186	30713	UROK	\N	\N
3662855	4088	1998-09-30	PRIJEM	\N	100	18444	UROK	\N	\N
3662856	4088	1998-10-31	PRIJEM	\N	66	14840	UROK	\N	\N
3662857	4088	1998-11-30	PRIJEM	\N	51	11221	UROK	\N	\N
3662858	4088	1998-12-31	PRIJEM	\N	51	14924	UROK	\N	\N
3662859	4091	1997-08-31	PRIJEM	\N	46	14833	UROK	\N	\N
3662860	4091	1997-09-30	PRIJEM	\N	127	36247	UROK	\N	\N
3662861	4091	1997-10-31	PRIJEM	\N	173	43506	UROK	\N	\N
3662862	4091	1997-11-30	PRIJEM	\N	197	48890	UROK	\N	\N
3662863	4091	1997-12-31	PRIJEM	\N	223	52561	UROK	\N	\N
3662864	4091	1998-01-31	PRIJEM	\N	166	33468	UROK	\N	\N
3662865	4091	1998-02-28	PRIJEM	\N	166	43574	UROK	\N	\N
3662866	4091	1998-03-31	PRIJEM	\N	191	41985	UROK	\N	\N
3662867	4091	1998-04-30	PRIJEM	\N	193	47719	UROK	\N	\N
3662868	4091	1998-05-31	PRIJEM	\N	193	45852	UROK	\N	\N
3662869	4091	1998-06-30	PRIJEM	\N	148	21514	UROK	\N	\N
3662870	4091	1998-07-31	PRIJEM	\N	136	34210	UROK	\N	\N
3662871	4091	1998-08-31	PRIJEM	\N	167	36418	UROK	\N	\N
3662872	4091	1998-09-30	PRIJEM	\N	185	36843	UROK	\N	\N
3662873	4091	1998-10-31	PRIJEM	\N	173	34036	UROK	\N	\N
3662874	4091	1998-11-30	PRIJEM	\N	163	33039	UROK	\N	\N
3662875	4091	1998-12-31	PRIJEM	\N	180	46512	UROK	\N	\N
3662876	4099	1996-06-30	PRIJEM	\N	22	26438	UROK	\N	\N
3662877	4099	1996-07-31	PRIJEM	\N	116	32798	UROK	\N	\N
3662878	4099	1996-08-31	PRIJEM	\N	140	35881	UROK	\N	\N
3662879	4099	1996-09-30	PRIJEM	\N	152	38277	UROK	\N	\N
3662880	4099	1996-10-31	PRIJEM	\N	183	32097	UROK	\N	\N
3662881	4099	1996-11-30	PRIJEM	\N	151	28750	UROK	\N	\N
3662882	4099	1996-12-31	PRIJEM	\N	166	35770	UROK	\N	\N
3662883	4099	1997-01-31	PRIJEM	\N	141	25133	UROK	\N	\N
3662884	4099	1997-02-28	PRIJEM	\N	131	28367	UROK	\N	\N
3662885	4099	1997-03-31	PRIJEM	\N	142	28711	UROK	\N	\N
3662886	4099	1997-04-30	PRIJEM	\N	139	29273	UROK	\N	\N
3662887	4099	1997-05-31	PRIJEM	\N	145	30520	UROK	\N	\N
3662888	4099	1997-06-30	PRIJEM	\N	173	37867	UROK	\N	\N
3662889	4099	1997-07-31	PRIJEM	\N	176	37245	UROK	\N	\N
3662890	4099	1997-08-31	PRIJEM	\N	168	36344	UROK	\N	\N
3662891	4099	1997-09-30	PRIJEM	\N	155	32229	UROK	\N	\N
3662892	4099	1997-10-31	PRIJEM	\N	136	27716	UROK	\N	\N
3662893	4099	1997-11-30	PRIJEM	\N	124	27070	UROK	\N	\N
3662894	4099	1997-12-31	PRIJEM	\N	138	31550	UROK	\N	\N
3662895	4099	1998-01-31	PRIJEM	\N	93	16153	UROK	\N	\N
3662896	4099	1998-02-28	PRIJEM	\N	101	29284	UROK	\N	\N
3662897	4099	1998-03-31	PRIJEM	\N	145	36660	UROK	\N	\N
3662898	4099	1998-04-30	PRIJEM	\N	163	37953	UROK	\N	\N
3662899	4099	1998-05-31	PRIJEM	\N	173	41096	UROK	\N	\N
3662900	4099	1998-06-30	PRIJEM	\N	187	36765	UROK	\N	\N
3662901	4099	1998-07-31	PRIJEM	\N	169	40665	UROK	\N	\N
3662902	4099	1998-08-31	PRIJEM	\N	178	41473	UROK	\N	\N
3662903	4099	1998-09-30	PRIJEM	\N	181	42785	UROK	\N	\N
3662904	4099	1998-10-31	PRIJEM	\N	183	44498	UROK	\N	\N
3662905	4099	1998-11-30	PRIJEM	\N	189	46318	UROK	\N	\N
3662906	4099	1998-12-31	PRIJEM	\N	214	51534	UROK	\N	\N
3662907	4116	1997-10-31	PRIJEM	\N	127	41140	UROK	\N	\N
3662908	4116	1997-11-30	PRIJEM	\N	171	30411	UROK	\N	\N
3662909	4116	1997-12-31	PRIJEM	\N	171	31882	UROK	\N	\N
3662910	4116	1998-01-31	PRIJEM	\N	171	28852	UROK	\N	\N
3662911	4116	1998-02-28	PRIJEM	\N	267	101693	UROK	\N	\N
3662912	4116	1998-03-31	PRIJEM	\N	349	87883	UROK	\N	\N
3662913	4116	1998-04-30	PRIJEM	\N	325	91385	UROK	\N	\N
3662914	4116	1998-05-31	PRIJEM	\N	310	90042	UROK	\N	\N
3662915	4116	1998-06-30	PRIJEM	\N	268	36357	UROK	\N	\N
3662916	4116	1998-07-31	PRIJEM	\N	105	30808	UROK	\N	\N
3662917	4116	1998-08-31	PRIJEM	\N	89	45952	UROK	\N	\N
3662918	4116	1998-09-30	PRIJEM	\N	151	28029	UROK	\N	\N
3662919	4116	1998-10-31	PRIJEM	\N	109	19752	UROK	\N	\N
3662920	4116	1998-11-30	PRIJEM	\N	160	45290	UROK	\N	\N
3662921	4116	1998-12-31	PRIJEM	\N	286	93376	UROK	\N	\N
3662922	4127	1996-08-31	PRIJEM	\N	2	14802	UROK	\N	\N
3662923	4127	1996-09-30	PRIJEM	\N	73	53446	UROK	\N	\N
3662924	4127	1996-10-31	PRIJEM	\N	151	33036	UROK	\N	\N
3662925	4127	1996-11-30	PRIJEM	\N	139	40890	UROK	\N	\N
3662926	4127	1996-12-31	PRIJEM	\N	172	46953	UROK	\N	\N
3662927	4127	1997-01-31	PRIJEM	\N	199	54454	UROK	\N	\N
3662928	4127	1997-02-28	PRIJEM	\N	195	31439	UROK	\N	\N
3662929	4127	1997-03-31	PRIJEM	\N	126	33659	UROK	\N	\N
3662930	4127	1997-04-30	PRIJEM	\N	74	14547	UROK	\N	\N
3662931	4127	1997-05-31	PRIJEM	\N	28	-634	UROK	\N	\N
3662932	4127	1997-05-31	VYDAJ	VYBER	2	-651	SANKC. UROK	\N	\N
3662933	4127	1997-06-30	VYDAJ	VYBER	9	-950	SANKC. UROK	\N	\N
3662934	4127	1997-07-31	VYDAJ	VYBER	12	-1282	SANKC. UROK	\N	\N
3662935	4127	1997-08-31	VYDAJ	VYBER	15	-1602	SANKC. UROK	\N	\N
3662936	4127	1997-09-30	VYDAJ	VYBER	19	-1925	SANKC. UROK	\N	\N
3662937	4127	1997-10-31	VYDAJ	VYBER	22	-2252	SANKC. UROK	\N	\N
3662938	4127	1997-11-30	VYDAJ	VYBER	26	-2582	SANKC. UROK	\N	\N
3662939	4127	1997-12-31	VYDAJ	VYBER	29	-2915	SANKC. UROK	\N	\N
3662940	4127	1998-02-28	VYDAJ	VYBER	34	11928	SANKC. UROK	\N	\N
3662941	4127	1998-02-28	PRIJEM	\N	17	11973	UROK	\N	\N
3662942	4127	1998-02-28	VYDAJ	VYBER	11	11962	SANKC. UROK	\N	\N
3662943	4127	1998-03-31	PRIJEM	\N	107	25265	UROK	\N	\N
3662944	4127	1998-04-30	PRIJEM	\N	119	18057	UROK	\N	\N
3662945	4127	1998-05-31	PRIJEM	\N	35	2483	UROK	\N	\N
3662946	4127	1998-06-30	PRIJEM	\N	9	2187	UROK	\N	\N
3662947	4127	1998-07-31	PRIJEM	\N	7	1890	UROK	\N	\N
3662948	4127	1998-08-31	PRIJEM	\N	6	1591	UROK	\N	\N
3662949	4127	1998-09-30	PRIJEM	\N	5	1291	UROK	\N	\N
3662950	4127	1998-10-31	PRIJEM	\N	4	990	UROK	\N	\N
3662951	4127	1998-11-30	PRIJEM	\N	2	688	UROK	\N	\N
3662952	4127	1998-12-31	PRIJEM	\N	1	384	UROK	\N	\N
3662953	4131	1994-09-30	PRIJEM	\N	172	89632	UROK	\N	\N
3662954	4131	1994-10-31	PRIJEM	\N	341	70217	UROK	\N	\N
3662955	4131	1994-11-30	PRIJEM	\N	275	56105	UROK	\N	\N
3662956	4131	1994-12-31	PRIJEM	\N	232	42160	UROK	\N	\N
3662957	4131	1995-01-31	PRIJEM	\N	139	19833	UROK	\N	\N
3662958	4131	1995-02-28	PRIJEM	\N	115	31468	UROK	\N	\N
3662959	4131	1995-03-31	PRIJEM	\N	194	99935	UROK	\N	\N
3662960	4131	1995-04-30	PRIJEM	\N	497	106818	UROK	\N	\N
3662961	4131	1995-05-31	PRIJEM	\N	334	64461	UROK	\N	\N
3662962	4131	1995-06-30	PRIJEM	\N	193	32027	UROK	\N	\N
3662963	4131	1995-07-31	PRIJEM	\N	241	68876	UROK	\N	\N
3662964	4131	1995-08-31	PRIJEM	\N	321	102775	UROK	\N	\N
3662965	4131	1995-09-30	PRIJEM	\N	365	89345	UROK	\N	\N
3662966	4131	1995-10-31	PRIJEM	\N	309	72509	UROK	\N	\N
3662967	4131	1995-11-30	PRIJEM	\N	271	56547	UROK	\N	\N
3662968	4131	1995-12-31	PRIJEM	\N	291	64627	UROK	\N	\N
3662969	4131	1996-01-31	PRIJEM	\N	169	51965	UROK	\N	\N
3662970	4131	1996-02-29	PRIJEM	\N	243	43875	UROK	\N	\N
3662971	4131	1996-03-31	PRIJEM	\N	213	56889	UROK	\N	\N
3662972	4131	1996-04-30	PRIJEM	\N	180	37784	UROK	\N	\N
3662973	4131	1996-05-31	PRIJEM	\N	133	29832	UROK	\N	\N
3662974	4131	1996-06-30	PRIJEM	\N	151	35068	UROK	\N	\N
3662975	4131	1996-07-31	PRIJEM	\N	178	98102	UROK	\N	\N
3662976	4131	1996-08-31	PRIJEM	\N	318	100599	UROK	\N	\N
3662977	4131	1996-09-30	PRIJEM	\N	274	58128	UROK	\N	\N
3662978	4131	1996-10-31	PRIJEM	\N	306	104321	UROK	\N	\N
3662979	4131	1996-11-30	PRIJEM	\N	356	85665	UROK	\N	\N
3662980	4131	1996-12-31	PRIJEM	\N	232	41215	UROK	\N	\N
3662981	4131	1997-01-31	PRIJEM	\N	116	25781	UROK	\N	\N
3662982	4131	1997-02-28	PRIJEM	\N	73	16270	UROK	\N	\N
3662983	4131	1997-03-31	PRIJEM	\N	81	19366	UROK	\N	\N
3662984	4131	1997-04-30	PRIJEM	\N	86	21049	UROK	\N	\N
3662985	4131	1997-05-31	PRIJEM	\N	82	20046	UROK	\N	\N
3662986	4131	1997-06-30	PRIJEM	\N	146	55171	UROK	\N	\N
3662987	4131	1997-07-31	PRIJEM	\N	177	74582	UROK	\N	\N
3662988	4131	1997-08-31	PRIJEM	\N	363	98344	UROK	\N	\N
3662989	4131	1997-09-30	PRIJEM	\N	347	81997	UROK	\N	\N
3662990	4131	1997-10-31	PRIJEM	\N	287	109410	UROK	\N	\N
3662991	4131	1997-11-30	PRIJEM	\N	294	71963	UROK	\N	\N
3662992	4131	1997-12-31	PRIJEM	\N	248	109908	UROK	\N	\N
3662993	4131	1998-01-31	PRIJEM	\N	325	51354	UROK	\N	\N
3662994	4131	1998-02-28	PRIJEM	\N	236	77341	UROK	\N	\N
3662995	4131	1998-03-31	PRIJEM	\N	291	77692	UROK	\N	\N
3662996	4131	1998-04-30	PRIJEM	\N	427	111981	UROK	\N	\N
3662997	4131	1998-05-31	PRIJEM	\N	367	68528	UROK	\N	\N
3662998	4131	1998-06-30	PRIJEM	\N	322	74334	UROK	\N	\N
3662999	4131	1998-07-31	PRIJEM	\N	389	75144	UROK	\N	\N
3663000	4131	1998-08-31	PRIJEM	\N	364	115106	UROK	\N	\N
3663001	4131	1998-09-30	PRIJEM	\N	359	74985	UROK	\N	\N
3663002	4131	1998-10-31	PRIJEM	\N	235	54581	UROK	\N	\N
3663003	4131	1998-11-30	PRIJEM	\N	256	69979	UROK	\N	\N
3663004	4131	1998-12-31	PRIJEM	\N	315	81169	UROK	\N	\N
3663005	4134	1993-03-31	PRIJEM	\N	111	58295	UROK	\N	\N
3663006	4134	1993-04-30	PRIJEM	\N	262	63174	UROK	\N	\N
3663007	4134	1993-05-31	PRIJEM	\N	302	71543	UROK	\N	\N
3663008	4134	1993-06-30	PRIJEM	\N	165	36031	UROK	\N	\N
3663009	4134	1993-07-31	PRIJEM	\N	166	54118	UROK	\N	\N
3663010	4134	1993-08-31	PRIJEM	\N	154	29252	UROK	\N	\N
3663011	4134	1993-09-30	PRIJEM	\N	174	34790	UROK	\N	\N
3663012	4134	1993-10-31	PRIJEM	\N	378	77160	UROK	\N	\N
3663013	4134	1993-11-30	PRIJEM	\N	277	43675	UROK	\N	\N
3663014	4134	1993-12-31	PRIJEM	\N	118	28653	UROK	\N	\N
3663015	4134	1994-01-31	PRIJEM	\N	110	21778	UROK	\N	\N
3663016	4134	1994-02-28	PRIJEM	\N	161	38592	UROK	\N	\N
3663017	4134	1994-03-31	PRIJEM	\N	233	46007	UROK	\N	\N
3663018	4134	1994-04-30	PRIJEM	\N	281	51966	UROK	\N	\N
3663019	4134	1994-05-31	PRIJEM	\N	274	51942	UROK	\N	\N
3663020	4134	1994-06-30	PRIJEM	\N	152	42277	UROK	\N	\N
3663021	4134	1994-07-31	PRIJEM	\N	261	31949	UROK	\N	\N
3663022	4134	1994-08-31	PRIJEM	\N	233	48771	UROK	\N	\N
3663023	4134	1994-09-30	PRIJEM	\N	154	32244	UROK	\N	\N
3663024	4134	1994-10-31	PRIJEM	\N	131	27749	UROK	\N	\N
3663025	4134	1994-11-30	PRIJEM	\N	221	90017	UROK	\N	\N
3663026	4134	1994-12-31	PRIJEM	\N	217	25519	UROK	\N	\N
3663027	4134	1995-01-31	PRIJEM	\N	102	23524	UROK	\N	\N
3663028	4134	1995-02-28	PRIJEM	\N	179	41223	UROK	\N	\N
3663029	4134	1995-03-31	PRIJEM	\N	190	43599	UROK	\N	\N
3663030	4134	1995-04-30	PRIJEM	\N	195	74598	UROK	\N	\N
3663031	4134	1995-05-31	PRIJEM	\N	290	58463	UROK	\N	\N
3663032	4134	1995-06-30	PRIJEM	\N	284	60506	UROK	\N	\N
3663033	4134	1995-07-31	PRIJEM	\N	267	43612	UROK	\N	\N
3663034	4134	1995-08-31	PRIJEM	\N	279	55536	UROK	\N	\N
3663035	4134	1995-09-30	PRIJEM	\N	178	46596	UROK	\N	\N
3663036	4134	1995-10-31	PRIJEM	\N	163	29413	UROK	\N	\N
3663037	4134	1995-11-30	PRIJEM	\N	139	40947	UROK	\N	\N
3663038	4134	1995-12-31	PRIJEM	\N	135	39213	UROK	\N	\N
3663039	4134	1996-01-31	PRIJEM	\N	122	25088	UROK	\N	\N
3663040	4134	1996-02-29	PRIJEM	\N	98	22238	UROK	\N	\N
3663041	4134	1996-03-31	PRIJEM	\N	81	17173	UROK	\N	\N
3663042	4134	1996-04-30	PRIJEM	\N	72	17998	UROK	\N	\N
3663043	4134	1996-05-31	PRIJEM	\N	77	19428	UROK	\N	\N
3663044	4134	1996-06-30	PRIJEM	\N	218	81646	UROK	\N	\N
3663045	4134	1996-07-31	PRIJEM	\N	222	40336	UROK	\N	\N
3663046	4134	1996-08-31	PRIJEM	\N	132	70853	UROK	\N	\N
3663047	4134	1996-09-30	PRIJEM	\N	193	26591	UROK	\N	\N
3663048	4134	1996-10-31	PRIJEM	\N	114	28859	UROK	\N	\N
3663049	4134	1996-11-30	PRIJEM	\N	110	26122	UROK	\N	\N
3663050	4134	1996-12-31	PRIJEM	\N	102	25133	UROK	\N	\N
3663051	4134	1997-01-31	PRIJEM	\N	145	34409	UROK	\N	\N
3663052	4134	1997-02-28	PRIJEM	\N	136	32998	UROK	\N	\N
3663053	4134	1997-03-31	PRIJEM	\N	124	29176	UROK	\N	\N
3663054	4134	1997-04-30	PRIJEM	\N	154	51828	UROK	\N	\N
3663055	4134	1997-05-31	PRIJEM	\N	248	56770	UROK	\N	\N
3663056	4134	1997-06-30	PRIJEM	\N	234	70160	UROK	\N	\N
3663057	4134	1997-07-31	PRIJEM	\N	211	43924	UROK	\N	\N
3663058	4134	1997-08-31	PRIJEM	\N	237	52416	UROK	\N	\N
3663059	4134	1997-09-30	PRIJEM	\N	139	27908	UROK	\N	\N
3663060	4134	1997-10-31	PRIJEM	\N	126	38613	UROK	\N	\N
3663061	4134	1997-11-30	PRIJEM	\N	221	69628	UROK	\N	\N
3663062	4134	1997-12-31	PRIJEM	\N	162	32386	UROK	\N	\N
3663063	4134	1998-01-31	PRIJEM	\N	93	20500	UROK	\N	\N
3663064	4134	1998-02-28	PRIJEM	\N	73	17499	UROK	\N	\N
3663065	4134	1998-03-31	PRIJEM	\N	97	27210	UROK	\N	\N
3663066	4134	1998-04-30	PRIJEM	\N	157	29504	UROK	\N	\N
3663067	4134	1998-05-31	PRIJEM	\N	138	83021	UROK	\N	\N
3663068	4134	1998-06-30	PRIJEM	\N	213	69957	UROK	\N	\N
3663069	4134	1998-07-31	PRIJEM	\N	142	23552	UROK	\N	\N
3663070	4134	1998-08-31	PRIJEM	\N	92	17697	UROK	\N	\N
3663071	4134	1998-09-30	PRIJEM	\N	67	11818	UROK	\N	\N
3663072	4134	1998-10-31	PRIJEM	\N	59	31712	UROK	\N	\N
3663073	4134	1998-11-30	PRIJEM	\N	125	25891	UROK	\N	\N
3663074	4134	1998-12-31	PRIJEM	\N	198	29820	UROK	\N	\N
3663075	4143	1997-10-31	PRIJEM	\N	70	22599	UROK	\N	\N
3663076	4143	1997-11-30	PRIJEM	\N	164	45592	UROK	\N	\N
3663077	4143	1997-12-31	PRIJEM	\N	263	69649	UROK	\N	\N
3663078	4143	1998-01-31	PRIJEM	\N	288	69266	UROK	\N	\N
3663079	4143	1998-02-28	PRIJEM	\N	281	67176	UROK	\N	\N
3663080	4143	1998-03-31	PRIJEM	\N	289	70480	UROK	\N	\N
3663081	4143	1998-04-30	PRIJEM	\N	306	72000	UROK	\N	\N
3663082	4143	1998-05-31	PRIJEM	\N	301	72016	UROK	\N	\N
3663083	4143	1998-06-30	PRIJEM	\N	332	82828	UROK	\N	\N
3663084	4143	1998-07-31	PRIJEM	\N	312	72354	UROK	\N	\N
3663085	4143	1998-08-31	PRIJEM	\N	276	64444	UROK	\N	\N
3663086	4143	1998-09-30	PRIJEM	\N	261	62420	UROK	\N	\N
3663087	4143	1998-10-31	PRIJEM	\N	263	60997	UROK	\N	\N
3663088	4143	1998-11-30	PRIJEM	\N	275	68086	UROK	\N	\N
3663089	4143	1998-12-31	PRIJEM	\N	296	78362	UROK	\N	\N
3663090	4144	1996-10-31	PRIJEM	\N	146	32190	UROK	\N	\N
3663091	4144	1996-11-30	PRIJEM	\N	173	52251	UROK	\N	\N
3663092	4144	1996-12-31	PRIJEM	\N	214	47464	UROK	\N	\N
3663093	4144	1997-01-31	PRIJEM	\N	189	64897	UROK	\N	\N
3663094	4144	1997-02-28	PRIJEM	\N	199	37254	UROK	\N	\N
3663095	4144	1997-03-31	PRIJEM	\N	321	105607	UROK	\N	\N
3663096	4144	1997-04-30	PRIJEM	\N	194	45137	UROK	\N	\N
3663097	4144	1997-05-31	PRIJEM	\N	268	69787	UROK	\N	\N
3663098	4144	1997-06-30	PRIJEM	\N	207	73237	UROK	\N	\N
3663099	4144	1997-07-31	PRIJEM	\N	262	58626	UROK	\N	\N
3663100	4144	1997-08-31	PRIJEM	\N	227	26820	UROK	\N	\N
3663101	4144	1997-09-30	PRIJEM	\N	90	19942	UROK	\N	\N
3663102	4144	1997-10-31	PRIJEM	\N	137	78024	UROK	\N	\N
3663103	4144	1997-11-30	PRIJEM	\N	278	71833	UROK	\N	\N
3663104	4144	1997-12-31	PRIJEM	\N	179	27884	UROK	\N	\N
3663105	4144	1998-01-31	PRIJEM	\N	119	24135	UROK	\N	\N
3663106	4144	1998-02-28	PRIJEM	\N	128	41800	UROK	\N	\N
3663107	4144	1998-03-31	PRIJEM	\N	156	32288	UROK	\N	\N
3663108	4144	1998-04-30	PRIJEM	\N	143	27668	UROK	\N	\N
3663109	4144	1998-05-31	PRIJEM	\N	118	29574	UROK	\N	\N
3663110	4144	1998-06-30	PRIJEM	\N	182	53405	UROK	\N	\N
3663111	4144	1998-07-31	PRIJEM	\N	169	34195	UROK	\N	\N
3663112	4144	1998-08-31	PRIJEM	\N	132	44097	UROK	\N	\N
3663113	4144	1998-09-30	PRIJEM	\N	178	53505	UROK	\N	\N
3663114	4144	1998-10-31	PRIJEM	\N	162	30184	UROK	\N	\N
3663115	4144	1998-11-30	PRIJEM	\N	124	49083	UROK	\N	\N
3663116	4144	1998-12-31	PRIJEM	\N	156	33056	UROK	\N	\N
3663117	4150	1997-07-31	PRIJEM	\N	53	18004	UROK	\N	\N
3663118	4150	1997-08-31	PRIJEM	\N	140	39995	UROK	\N	\N
3663119	4150	1997-09-30	PRIJEM	\N	195	50041	UROK	\N	\N
3663120	4150	1997-10-31	PRIJEM	\N	237	59828	UROK	\N	\N
3663121	4150	1997-11-30	PRIJEM	\N	263	64842	UROK	\N	\N
3663122	4150	1997-12-31	PRIJEM	\N	265	66569	UROK	\N	\N
3663123	4150	1998-01-31	PRIJEM	\N	208	47163	UROK	\N	\N
3663124	4150	1998-02-28	PRIJEM	\N	184	49233	UROK	\N	\N
3663125	4150	1998-03-31	PRIJEM	\N	177	45096	UROK	\N	\N
3663126	4150	1998-04-30	PRIJEM	\N	178	45761	UROK	\N	\N
3663127	4150	1998-05-31	PRIJEM	\N	174	44221	UROK	\N	\N
3663128	4150	1998-06-30	PRIJEM	\N	209	42992	UROK	\N	\N
3663129	4150	1998-07-31	PRIJEM	\N	182	43660	UROK	\N	\N
3663130	4150	1998-08-31	PRIJEM	\N	211	44758	UROK	\N	\N
3663131	4150	1998-09-30	PRIJEM	\N	215	44959	UROK	\N	\N
3663132	4150	1998-10-31	PRIJEM	\N	217	48963	UROK	\N	\N
3663133	4150	1998-11-30	PRIJEM	\N	230	49279	UROK	\N	\N
3663134	4150	1998-12-31	PRIJEM	\N	252	64992	UROK	\N	\N
3663135	4171	1993-09-30	PRIJEM	\N	80	46134	UROK	\N	\N
3663136	4171	1993-10-31	PRIJEM	\N	192	35226	UROK	\N	\N
3663137	4171	1993-11-30	PRIJEM	\N	192	30817	UROK	\N	\N
3663138	4171	1993-12-31	PRIJEM	\N	192	27209	UROK	\N	\N
3663139	4171	1994-01-31	PRIJEM	\N	190	39697	UROK	\N	\N
3663140	4171	1994-02-28	PRIJEM	\N	220	56497	UROK	\N	\N
3663141	4171	1994-03-31	PRIJEM	\N	235	39131	UROK	\N	\N
3663142	4171	1994-04-30	PRIJEM	\N	280	72306	UROK	\N	\N
3663143	4171	1994-05-31	PRIJEM	\N	257	51065	UROK	\N	\N
3663144	4171	1994-06-30	PRIJEM	\N	160	39300	UROK	\N	\N
3663145	4171	1994-07-31	PRIJEM	\N	151	36695	UROK	\N	\N
3663146	4171	1994-08-31	PRIJEM	\N	207	87280	UROK	\N	\N
3663147	4171	1994-09-30	PRIJEM	\N	301	68119	UROK	\N	\N
3663148	4171	1994-10-31	PRIJEM	\N	253	56209	UROK	\N	\N
3663149	4171	1994-11-30	PRIJEM	\N	132	23690	UROK	\N	\N
3663150	4171	1994-12-31	PRIJEM	\N	63	12802	UROK	\N	\N
3663151	4171	1995-01-31	PRIJEM	\N	41	48477	UROK	\N	\N
3663152	4171	1995-02-28	PRIJEM	\N	313	84317	UROK	\N	\N
3663153	4171	1995-03-31	PRIJEM	\N	128	24040	UROK	\N	\N
3663154	4171	1995-04-30	PRIJEM	\N	128	30922	UROK	\N	\N
3663155	4171	1995-05-31	PRIJEM	\N	244	78700	UROK	\N	\N
3663156	4171	1995-06-30	PRIJEM	\N	345	38910	UROK	\N	\N
3663157	4171	1995-07-31	PRIJEM	\N	177	66257	UROK	\N	\N
3663158	4171	1995-08-31	PRIJEM	\N	309	69667	UROK	\N	\N
3663159	4171	1995-09-30	PRIJEM	\N	228	58316	UROK	\N	\N
3663160	4171	1995-10-31	PRIJEM	\N	290	62247	UROK	\N	\N
3663161	4171	1995-11-30	PRIJEM	\N	220	40113	UROK	\N	\N
3663162	4171	1995-12-31	PRIJEM	\N	235	56729	UROK	\N	\N
3663163	4171	1996-01-31	PRIJEM	\N	110	26188	UROK	\N	\N
3663164	4171	1996-02-29	PRIJEM	\N	105	18442	UROK	\N	\N
3663165	4171	1996-03-31	PRIJEM	\N	74	15465	UROK	\N	\N
3663166	4171	1996-04-30	PRIJEM	\N	61	1176	UROK	\N	\N
3663167	4171	1996-05-31	PRIJEM	\N	6	18267	UROK	\N	\N
3663168	4171	1996-06-30	PRIJEM	\N	55	22072	UROK	\N	\N
3663169	4171	1996-07-31	PRIJEM	\N	88	19409	UROK	\N	\N
3663170	4171	1996-08-31	PRIJEM	\N	80	20138	UROK	\N	\N
3663171	4171	1996-09-30	PRIJEM	\N	85	23873	UROK	\N	\N
3663172	4171	1996-10-31	PRIJEM	\N	98	24320	UROK	\N	\N
3663173	4171	1996-11-30	PRIJEM	\N	101	26471	UROK	\N	\N
3663174	4171	1996-12-31	PRIJEM	\N	113	30733	UROK	\N	\N
3663175	4171	1997-01-31	PRIJEM	\N	160	52906	UROK	\N	\N
3663176	4171	1997-02-28	PRIJEM	\N	208	44563	UROK	\N	\N
3663177	4171	1997-03-31	PRIJEM	\N	195	45842	UROK	\N	\N
3663178	4171	1997-04-30	PRIJEM	\N	233	59882	UROK	\N	\N
3663179	4171	1997-05-31	PRIJEM	\N	234	50866	UROK	\N	\N
3663180	4171	1997-06-30	PRIJEM	\N	147	39571	UROK	\N	\N
3663181	4171	1997-07-31	PRIJEM	\N	210	64373	UROK	\N	\N
3663182	4171	1997-08-31	PRIJEM	\N	250	56846	UROK	\N	\N
3663183	4171	1997-09-30	PRIJEM	\N	161	39256	UROK	\N	\N
3663184	4171	1997-10-31	PRIJEM	\N	154	35759	UROK	\N	\N
3663185	4171	1997-11-30	PRIJEM	\N	148	38443	UROK	\N	\N
3663186	4171	1997-12-31	PRIJEM	\N	133	36517	UROK	\N	\N
3663187	4171	1998-01-31	PRIJEM	\N	217	42616	UROK	\N	\N
3663188	4171	1998-02-28	PRIJEM	\N	187	69077	UROK	\N	\N
3663189	4171	1998-03-31	PRIJEM	\N	326	76248	UROK	\N	\N
3663190	4171	1998-04-30	PRIJEM	\N	282	60379	UROK	\N	\N
3663191	4171	1998-05-31	PRIJEM	\N	245	59574	UROK	\N	\N
3663192	4171	1998-06-30	PRIJEM	\N	241	58564	UROK	\N	\N
3663193	4171	1998-07-31	PRIJEM	\N	235	56748	UROK	\N	\N
3663194	4171	1998-08-31	PRIJEM	\N	200	49864	UROK	\N	\N
3663195	4171	1998-09-30	PRIJEM	\N	246	55234	UROK	\N	\N
3663196	4171	1998-10-31	PRIJEM	\N	189	28973	UROK	\N	\N
3663197	4171	1998-11-30	PRIJEM	\N	132	35754	UROK	\N	\N
3663198	4171	1998-12-31	PRIJEM	\N	143	32146	UROK	\N	\N
3663199	4186	1996-09-30	PRIJEM	\N	22	23051	UROK	\N	\N
3663200	4186	1996-10-31	PRIJEM	\N	108	33888	UROK	\N	\N
3663201	4186	1996-11-30	PRIJEM	\N	148	40365	UROK	\N	\N
3663202	4186	1996-12-31	PRIJEM	\N	177	48436	UROK	\N	\N
3663203	4186	1997-01-31	PRIJEM	\N	216	39621	UROK	\N	\N
3663204	4186	1997-02-28	PRIJEM	\N	183	41491	UROK	\N	\N
3663205	4186	1997-03-31	PRIJEM	\N	183	41240	UROK	\N	\N
3663206	4186	1997-04-30	PRIJEM	\N	185	37911	UROK	\N	\N
3663207	4186	1997-05-31	PRIJEM	\N	173	37171	UROK	\N	\N
3663208	4186	1997-06-30	PRIJEM	\N	159	36242	UROK	\N	\N
3663209	4186	1997-07-31	PRIJEM	\N	166	36574	UROK	\N	\N
3663210	4186	1997-08-31	PRIJEM	\N	154	32615	UROK	\N	\N
3663211	4186	1997-09-30	PRIJEM	\N	142	29844	UROK	\N	\N
3663212	4186	1997-10-31	PRIJEM	\N	127	29497	UROK	\N	\N
3663213	4186	1997-11-30	PRIJEM	\N	131	28914	UROK	\N	\N
3663214	4186	1997-12-31	PRIJEM	\N	141	31567	UROK	\N	\N
3663215	4186	1998-01-31	PRIJEM	\N	105	22198	UROK	\N	\N
3663216	4186	1998-02-28	PRIJEM	\N	95	20379	UROK	\N	\N
3663217	4186	1998-03-31	PRIJEM	\N	99	23365	UROK	\N	\N
3663218	4186	1998-04-30	PRIJEM	\N	96	22207	UROK	\N	\N
3663219	4186	1998-05-31	PRIJEM	\N	95	23409	UROK	\N	\N
3663220	4186	1998-06-30	PRIJEM	\N	102	16883	UROK	\N	\N
3663221	4186	1998-07-31	PRIJEM	\N	71	15040	UROK	\N	\N
3663222	4186	1998-08-31	PRIJEM	\N	66	15193	UROK	\N	\N
3663223	4186	1998-09-30	PRIJEM	\N	65	15244	UROK	\N	\N
3663224	4186	1998-10-31	PRIJEM	\N	63	14793	UROK	\N	\N
3663225	4186	1998-11-30	PRIJEM	\N	66	16745	UROK	\N	\N
3663226	4186	1998-12-31	PRIJEM	\N	123	38839	UROK	\N	\N
3663227	4190	1995-10-31	PRIJEM	\N	32	11770	UROK	\N	\N
3663228	4190	1995-11-30	PRIJEM	\N	92	28300	UROK	\N	\N
3663229	4190	1995-12-31	PRIJEM	\N	155	42111	UROK	\N	\N
3663230	4190	1996-01-31	PRIJEM	\N	178	43227	UROK	\N	\N
3663231	4190	1996-02-29	PRIJEM	\N	149	34714	UROK	\N	\N
3663232	4190	1996-03-31	PRIJEM	\N	138	30372	UROK	\N	\N
3663233	4190	1996-04-30	PRIJEM	\N	124	26576	UROK	\N	\N
3663234	4190	1996-05-31	PRIJEM	\N	125	30481	UROK	\N	\N
3663235	4190	1996-06-30	PRIJEM	\N	145	38325	UROK	\N	\N
3663236	4190	1996-07-31	PRIJEM	\N	160	36405	UROK	\N	\N
3663237	4190	1996-08-31	PRIJEM	\N	135	29841	UROK	\N	\N
3663238	4190	1996-09-30	PRIJEM	\N	134	31254	UROK	\N	\N
3663239	4190	1996-10-31	PRIJEM	\N	144	30879	UROK	\N	\N
3663240	4190	1996-11-30	PRIJEM	\N	147	37506	UROK	\N	\N
3663241	4190	1996-12-31	PRIJEM	\N	150	33555	UROK	\N	\N
3663242	4190	1997-01-31	PRIJEM	\N	137	21413	UROK	\N	\N
3663243	4190	1997-02-28	PRIJEM	\N	94	34387	UROK	\N	\N
3663244	4190	1997-03-31	PRIJEM	\N	139	34106	UROK	\N	\N
3663245	4190	1997-04-30	PRIJEM	\N	130	32336	UROK	\N	\N
3663246	4190	1997-05-31	PRIJEM	\N	131	37148	UROK	\N	\N
3663247	4190	1997-06-30	PRIJEM	\N	162	39569	UROK	\N	\N
3663248	4190	1997-07-31	PRIJEM	\N	162	39412	UROK	\N	\N
3663249	4190	1997-08-31	PRIJEM	\N	167	41699	UROK	\N	\N
3663250	4190	1997-09-30	PRIJEM	\N	173	42590	UROK	\N	\N
3663251	4190	1997-10-31	PRIJEM	\N	174	39881	UROK	\N	\N
3663252	4190	1997-11-30	PRIJEM	\N	166	41564	UROK	\N	\N
3663253	4190	1997-12-31	PRIJEM	\N	161	35642	UROK	\N	\N
3663254	4190	1998-01-31	PRIJEM	\N	98	19337	UROK	\N	\N
3663255	4190	1998-02-28	PRIJEM	\N	80	21335	UROK	\N	\N
3663256	4190	1998-03-31	PRIJEM	\N	87	21940	UROK	\N	\N
3663257	4190	1998-04-30	PRIJEM	\N	90	23247	UROK	\N	\N
3663258	4190	1998-05-31	PRIJEM	\N	88	19193	UROK	\N	\N
3663259	4190	1998-06-30	PRIJEM	\N	100	28129	UROK	\N	\N
3663260	4190	1998-07-31	PRIJEM	\N	112	26558	UROK	\N	\N
3663261	4190	1998-08-31	PRIJEM	\N	110	27485	UROK	\N	\N
3663262	4190	1998-09-30	PRIJEM	\N	105	25528	UROK	\N	\N
3663263	4190	1998-10-31	PRIJEM	\N	94	22399	UROK	\N	\N
3663264	4190	1998-11-30	PRIJEM	\N	89	21606	UROK	\N	\N
3663265	4190	1998-12-31	PRIJEM	\N	92	22074	UROK	\N	\N
3663266	4237	1993-12-31	PRIJEM	\N	12	30096	UROK	\N	\N
3663267	4237	1994-01-31	PRIJEM	\N	128	26524	UROK	\N	\N
3663268	4237	1994-02-28	PRIJEM	\N	192	34928	UROK	\N	\N
3663269	4237	1994-03-31	PRIJEM	\N	192	28820	UROK	\N	\N
3663270	4237	1994-04-30	PRIJEM	\N	192	24212	UROK	\N	\N
3663271	4237	1994-05-31	PRIJEM	\N	192	46655	UROK	\N	\N
3663272	4237	1994-06-30	PRIJEM	\N	198	54640	UROK	\N	\N
3663273	4237	1994-07-31	PRIJEM	\N	227	40867	UROK	\N	\N
3663274	4237	1994-08-31	PRIJEM	\N	227	33694	UROK	\N	\N
3663275	4237	1994-09-30	PRIJEM	\N	227	31221	UROK	\N	\N
3663276	4237	1994-10-31	PRIJEM	\N	227	24947	UROK	\N	\N
3663277	4237	1994-11-30	PRIJEM	\N	227	25074	UROK	\N	\N
3663278	4237	1994-12-31	PRIJEM	\N	227	26601	UROK	\N	\N
3663279	4237	1995-01-31	PRIJEM	\N	225	48018	UROK	\N	\N
3663280	4237	1995-02-28	PRIJEM	\N	229	74591	UROK	\N	\N
3663281	4237	1995-03-31	PRIJEM	\N	271	38107	UROK	\N	\N
3663282	4237	1995-04-30	PRIJEM	\N	282	39958	UROK	\N	\N
3663283	4237	1995-05-31	PRIJEM	\N	225	65025	UROK	\N	\N
3663284	4237	1995-06-30	PRIJEM	\N	218	49817	UROK	\N	\N
3663285	4237	1995-07-31	PRIJEM	\N	285	46446	UROK	\N	\N
3663286	4237	1995-08-31	PRIJEM	\N	205	82159	UROK	\N	\N
3663287	4237	1995-09-30	PRIJEM	\N	294	49130	UROK	\N	\N
3663288	4237	1995-10-31	PRIJEM	\N	362	56715	UROK	\N	\N
3663289	4237	1995-11-30	PRIJEM	\N	190	29198	UROK	\N	\N
3663290	4237	1995-12-31	PRIJEM	\N	113	24379	UROK	\N	\N
3663291	4237	1996-01-31	PRIJEM	\N	101	23565	UROK	\N	\N
3663292	4237	1996-02-29	PRIJEM	\N	171	43753	UROK	\N	\N
3663293	4237	1996-03-31	PRIJEM	\N	142	60108	UROK	\N	\N
3663294	4237	1996-04-30	PRIJEM	\N	334	53237	UROK	\N	\N
3663295	4237	1996-05-31	PRIJEM	\N	249	76669	UROK	\N	\N
3663296	4237	1996-06-30	PRIJEM	\N	298	28052	UROK	\N	\N
3663297	4237	1996-07-31	PRIJEM	\N	114	18151	UROK	\N	\N
3663298	4237	1996-09-30	PRIJEM	\N	76	34874	UROK	\N	\N
3663299	4237	1996-09-30	PRIJEM	\N	182	35056	UROK	\N	\N
3663300	4237	1996-10-31	PRIJEM	\N	193	70479	UROK	\N	\N
3663301	4237	1996-11-30	PRIJEM	\N	275	55639	UROK	\N	\N
3663302	4237	1996-12-31	PRIJEM	\N	220	47146	UROK	\N	\N
3663303	4237	1997-01-31	PRIJEM	\N	128	17192	UROK	\N	\N
3663304	4237	1997-02-28	PRIJEM	\N	119	36607	UROK	\N	\N
3663305	4237	1997-03-31	PRIJEM	\N	221	65934	UROK	\N	\N
3663306	4237	1997-04-30	PRIJEM	\N	252	60045	UROK	\N	\N
3663307	4237	1997-05-31	PRIJEM	\N	216	48503	UROK	\N	\N
3663308	4237	1997-06-30	PRIJEM	\N	205	98359	UROK	\N	\N
3663309	4237	1997-07-31	PRIJEM	\N	360	79026	UROK	\N	\N
3663310	4237	1997-08-31	PRIJEM	\N	300	65902	UROK	\N	\N
3663311	4237	1997-09-30	PRIJEM	\N	218	31624	UROK	\N	\N
3663312	4237	1997-10-31	PRIJEM	\N	252	75575	UROK	\N	\N
3663313	4237	1997-11-30	PRIJEM	\N	302	65611	UROK	\N	\N
3663314	4237	1997-12-31	PRIJEM	\N	122	19933	UROK	\N	\N
3663315	4237	1998-02-28	PRIJEM	\N	88	102210	UROK	\N	\N
3663316	4237	1998-02-28	PRIJEM	\N	165	102375	UROK	\N	\N
3663317	4237	1998-03-31	PRIJEM	\N	289	81598	UROK	\N	\N
3663318	4237	1998-04-30	PRIJEM	\N	205	39832	UROK	\N	\N
3663319	4237	1998-05-31	PRIJEM	\N	160	31278	UROK	\N	\N
3663320	4237	1998-06-30	PRIJEM	\N	126	31389	UROK	\N	\N
3663321	4237	1998-07-31	PRIJEM	\N	125	28880	UROK	\N	\N
3663322	4237	1998-09-30	PRIJEM	\N	119	28285	UROK	\N	\N
3663323	4237	1998-09-30	PRIJEM	\N	124	28409	UROK	\N	\N
3663324	4237	1998-10-31	PRIJEM	\N	115	29113	UROK	\N	\N
3663325	4245	1994-05-31	PRIJEM	\N	53	15790	UROK	\N	\N
3663326	4245	1994-06-30	PRIJEM	\N	153	41999	UROK	\N	\N
3663327	4245	1994-07-31	PRIJEM	\N	195	48630	UROK	\N	\N
3663328	4245	1994-08-31	PRIJEM	\N	149	39816	UROK	\N	\N
3663329	4245	1994-09-30	PRIJEM	\N	196	40815	UROK	\N	\N
3663330	4245	1994-10-31	PRIJEM	\N	198	39601	UROK	\N	\N
3663331	4245	1994-11-30	PRIJEM	\N	193	39583	UROK	\N	\N
3663332	4245	1994-12-31	PRIJEM	\N	210	39541	UROK	\N	\N
3663333	4245	1995-01-31	PRIJEM	\N	178	33187	UROK	\N	\N
3663334	4245	1995-02-28	PRIJEM	\N	167	36942	UROK	\N	\N
3663335	4245	1995-03-31	PRIJEM	\N	181	36811	UROK	\N	\N
3663336	4245	1995-04-30	PRIJEM	\N	180	36379	UROK	\N	\N
3663337	4245	1995-05-31	PRIJEM	\N	179	39547	UROK	\N	\N
3663338	4245	1995-06-30	PRIJEM	\N	120	23494	UROK	\N	\N
3663339	4245	1995-07-31	PRIJEM	\N	130	33513	UROK	\N	\N
3663340	4245	1995-08-31	PRIJEM	\N	157	34178	UROK	\N	\N
3663341	4245	1995-09-30	PRIJEM	\N	168	38135	UROK	\N	\N
3663342	4245	1995-10-31	PRIJEM	\N	178	36501	UROK	\N	\N
3663343	4245	1995-11-30	PRIJEM	\N	175	36765	UROK	\N	\N
3663344	4245	1995-12-31	PRIJEM	\N	186	40718	UROK	\N	\N
3663345	4245	1996-01-31	PRIJEM	\N	194	45600	UROK	\N	\N
3663346	4245	1996-02-29	PRIJEM	\N	209	46297	UROK	\N	\N
3663347	4245	1996-03-31	PRIJEM	\N	213	48099	UROK	\N	\N
3663348	4245	1996-04-30	PRIJEM	\N	218	49305	UROK	\N	\N
3663349	4245	1996-05-31	PRIJEM	\N	219	47713	UROK	\N	\N
3663350	4245	1996-06-30	PRIJEM	\N	209	44009	UROK	\N	\N
3663351	4245	1996-07-31	PRIJEM	\N	196	44593	UROK	\N	\N
3663352	4245	1996-08-31	PRIJEM	\N	211	51493	UROK	\N	\N
3663353	4245	1996-09-30	PRIJEM	\N	231	53812	UROK	\N	\N
3663354	4245	1996-10-31	PRIJEM	\N	239	55439	UROK	\N	\N
3663355	4245	1996-11-30	PRIJEM	\N	243	56471	UROK	\N	\N
3663356	4245	1996-12-31	PRIJEM	\N	262	60560	UROK	\N	\N
3663357	4245	1997-01-31	PRIJEM	\N	245	54494	UROK	\N	\N
3663358	4245	1997-02-28	PRIJEM	\N	231	52413	UROK	\N	\N
3663359	4245	1997-03-31	PRIJEM	\N	234	55536	UROK	\N	\N
3663360	4245	1997-04-30	PRIJEM	\N	245	57969	UROK	\N	\N
3663361	4245	1997-05-31	PRIJEM	\N	254	60212	UROK	\N	\N
3663362	4245	1997-06-30	PRIJEM	\N	178	39598	UROK	\N	\N
3663363	4245	1997-07-31	PRIJEM	\N	181	43566	UROK	\N	\N
3663364	4245	1997-08-31	PRIJEM	\N	193	46248	UROK	\N	\N
3663365	4245	1997-09-30	PRIJEM	\N	200	45936	UROK	\N	\N
3663366	4245	1997-10-31	PRIJEM	\N	208	51033	UROK	\N	\N
3663367	4245	1997-11-30	PRIJEM	\N	220	53241	UROK	\N	\N
3663368	4245	1997-12-31	PRIJEM	\N	244	55992	UROK	\N	\N
3663369	4245	1998-01-31	PRIJEM	\N	245	60226	UROK	\N	\N
3663370	4245	1998-02-28	PRIJEM	\N	250	60164	UROK	\N	\N
3663371	4245	1998-03-31	PRIJEM	\N	252	58904	UROK	\N	\N
3663372	4245	1998-04-30	PRIJEM	\N	232	54225	UROK	\N	\N
3663373	4245	1998-05-31	PRIJEM	\N	232	56545	UROK	\N	\N
3663374	4245	1998-06-30	PRIJEM	\N	225	33658	UROK	\N	\N
3663375	4245	1998-07-31	PRIJEM	\N	167	43514	UROK	\N	\N
3663376	4245	1998-08-31	PRIJEM	\N	200	50802	UROK	\N	\N
3663377	4245	1998-09-30	PRIJEM	\N	217	53508	UROK	\N	\N
3663378	4245	1998-10-31	PRIJEM	\N	226	55422	UROK	\N	\N
3663379	4245	1998-11-30	PRIJEM	\N	222	49972	UROK	\N	\N
3663380	4245	1998-12-31	PRIJEM	\N	231	55310	UROK	\N	\N
3663381	4253	1996-02-29	PRIJEM	\N	70	32322	UROK	\N	\N
3663382	4253	1996-03-31	PRIJEM	\N	176	51649	UROK	\N	\N
3663383	4253	1996-04-30	PRIJEM	\N	232	59533	UROK	\N	\N
3663384	4253	1996-05-31	PRIJEM	\N	257	63942	UROK	\N	\N
3663385	4253	1996-06-30	PRIJEM	\N	267	53643	UROK	\N	\N
3663386	4253	1996-07-31	PRIJEM	\N	256	55993	UROK	\N	\N
3663387	4253	1996-08-31	PRIJEM	\N	251	51337	UROK	\N	\N
3663388	4253	1996-09-30	PRIJEM	\N	243	55573	UROK	\N	\N
3663389	4253	1996-10-31	PRIJEM	\N	264	61030	UROK	\N	\N
3663390	4253	1996-11-30	PRIJEM	\N	265	47320	UROK	\N	\N
3663391	4253	1996-12-31	PRIJEM	\N	229	46468	UROK	\N	\N
3663392	4253	1997-01-31	PRIJEM	\N	224	25286	UROK	\N	\N
3663393	4253	1997-02-28	PRIJEM	\N	186	51066	UROK	\N	\N
3663394	4253	1997-03-31	PRIJEM	\N	258	62417	UROK	\N	\N
3663395	4253	1997-04-30	PRIJEM	\N	183	23905	UROK	\N	\N
3663396	4253	1997-05-31	PRIJEM	\N	189	51388	UROK	\N	\N
3663397	4253	1997-06-30	PRIJEM	\N	205	47912	UROK	\N	\N
3663398	4253	1997-07-31	PRIJEM	\N	196	41713	UROK	\N	\N
3663399	4253	1997-08-31	PRIJEM	\N	251	58857	UROK	\N	\N
3663400	4253	1997-09-30	PRIJEM	\N	261	60811	UROK	\N	\N
3663401	4253	1997-10-31	PRIJEM	\N	268	65373	UROK	\N	\N
3663402	4253	1997-11-30	PRIJEM	\N	172	30020	UROK	\N	\N
3663403	4253	1997-12-31	PRIJEM	\N	195	38577	UROK	\N	\N
3663404	4253	1998-01-31	PRIJEM	\N	146	23216	UROK	\N	\N
3663405	4253	1998-02-28	PRIJEM	\N	225	49335	UROK	\N	\N
3663406	4253	1998-03-31	PRIJEM	\N	209	47237	UROK	\N	\N
3663407	4253	1998-04-30	PRIJEM	\N	235	54365	UROK	\N	\N
3663408	4253	1998-05-31	PRIJEM	\N	239	53597	UROK	\N	\N
3663409	4253	1998-06-30	PRIJEM	\N	367	93384	UROK	\N	\N
3663410	4253	1998-07-31	PRIJEM	\N	377	91385	UROK	\N	\N
3663411	4253	1998-08-31	PRIJEM	\N	388	85866	UROK	\N	\N
3663412	4253	1998-09-30	PRIJEM	\N	389	94549	UROK	\N	\N
3663413	4253	1998-10-31	PRIJEM	\N	417	100959	UROK	\N	\N
3663414	4253	1998-11-30	PRIJEM	\N	408	97661	UROK	\N	\N
3663415	4253	1998-12-31	PRIJEM	\N	273	59653	UROK	\N	\N
3663416	4259	1994-04-30	PRIJEM	\N	113	45123	UROK	\N	\N
3663417	4259	1994-05-31	PRIJEM	\N	276	79909	UROK	\N	\N
3663418	4259	1994-06-30	PRIJEM	\N	270	55344	UROK	\N	\N
3663419	4259	1994-07-31	PRIJEM	\N	299	82453	UROK	\N	\N
3663420	4259	1994-08-31	PRIJEM	\N	385	90131	UROK	\N	\N
3663421	4259	1994-09-30	PRIJEM	\N	326	81669	UROK	\N	\N
3663422	4259	1994-10-31	PRIJEM	\N	309	77284	UROK	\N	\N
3663423	4259	1994-11-30	PRIJEM	\N	283	38303	UROK	\N	\N
3663424	4259	1994-12-31	PRIJEM	\N	251	71358	UROK	\N	\N
3663425	4259	1995-01-31	PRIJEM	\N	194	40158	UROK	\N	\N
3663426	4259	1995-02-28	PRIJEM	\N	210	58774	UROK	\N	\N
3663427	4259	1995-03-31	PRIJEM	\N	264	64044	UROK	\N	\N
3663428	4259	1995-04-30	PRIJEM	\N	271	74422	UROK	\N	\N
3663429	4259	1995-05-31	PRIJEM	\N	292	78020	UROK	\N	\N
3663430	4259	1995-06-30	PRIJEM	\N	201	29782	UROK	\N	\N
3663431	4259	1995-07-31	PRIJEM	\N	194	58582	UROK	\N	\N
3663432	4259	1995-08-31	PRIJEM	\N	283	72771	UROK	\N	\N
3663433	4259	1995-09-30	PRIJEM	\N	224	56301	UROK	\N	\N
3663434	4259	1995-10-31	PRIJEM	\N	275	50883	UROK	\N	\N
3663435	4259	1995-11-30	PRIJEM	\N	241	48931	UROK	\N	\N
3663436	4259	1995-12-31	PRIJEM	\N	282	40174	UROK	\N	\N
3663437	4259	1996-01-31	PRIJEM	\N	166	29947	UROK	\N	\N
3663438	4259	1996-02-29	PRIJEM	\N	205	40158	UROK	\N	\N
3663439	4259	1996-03-31	PRIJEM	\N	228	47292	UROK	\N	\N
3663440	4259	1996-04-30	PRIJEM	\N	253	49051	UROK	\N	\N
3663441	4259	1996-05-31	PRIJEM	\N	267	48127	UROK	\N	\N
3663442	4259	1996-06-30	PRIJEM	\N	198	37386	UROK	\N	\N
3663443	4259	1996-07-31	PRIJEM	\N	186	37211	UROK	\N	\N
3663444	4259	1996-08-31	PRIJEM	\N	172	37989	UROK	\N	\N
3663445	4259	1996-09-30	PRIJEM	\N	189	40953	UROK	\N	\N
3663446	4259	1996-10-31	PRIJEM	\N	213	47091	UROK	\N	\N
3663447	4259	1996-11-30	PRIJEM	\N	244	51559	UROK	\N	\N
3663448	4259	1996-12-31	PRIJEM	\N	219	32857	UROK	\N	\N
3663449	4259	1997-01-31	PRIJEM	\N	154	26835	UROK	\N	\N
3663450	4259	1997-02-28	PRIJEM	\N	174	39133	UROK	\N	\N
3663451	4259	1997-03-31	PRIJEM	\N	167	24623	UROK	\N	\N
3663452	4259	1997-04-30	PRIJEM	\N	145	28592	UROK	\N	\N
3663453	4259	1997-05-31	PRIJEM	\N	163	34479	UROK	\N	\N
3663454	4259	1997-06-30	PRIJEM	\N	230	55288	UROK	\N	\N
3663455	4259	1997-07-31	PRIJEM	\N	264	49476	UROK	\N	\N
3663456	4259	1997-08-31	PRIJEM	\N	179	34385	UROK	\N	\N
3663457	4259	1997-09-30	PRIJEM	\N	181	46490	UROK	\N	\N
3663458	4259	1997-10-31	PRIJEM	\N	220	50834	UROK	\N	\N
3663459	4259	1997-11-30	PRIJEM	\N	253	62012	UROK	\N	\N
3663460	4259	1997-12-31	PRIJEM	\N	224	39527	UROK	\N	\N
3663461	4259	1998-01-31	PRIJEM	\N	171	31923	UROK	\N	\N
3663462	4259	1998-02-28	PRIJEM	\N	185	47703	UROK	\N	\N
3663463	4259	1998-03-31	PRIJEM	\N	232	55722	UROK	\N	\N
3663464	4259	1998-04-30	PRIJEM	\N	260	63506	UROK	\N	\N
3663465	4259	1998-05-31	PRIJEM	\N	288	65193	UROK	\N	\N
3663466	4259	1998-06-30	PRIJEM	\N	255	69281	UROK	\N	\N
3663467	4259	1998-07-31	PRIJEM	\N	244	61994	UROK	\N	\N
3663468	4259	1998-08-31	PRIJEM	\N	277	67096	UROK	\N	\N
3663469	4259	1998-09-30	PRIJEM	\N	271	68409	UROK	\N	\N
3663470	4259	1998-10-31	PRIJEM	\N	299	76032	UROK	\N	\N
3663471	4259	1998-11-30	PRIJEM	\N	314	65971	UROK	\N	\N
3663472	4259	1998-12-31	PRIJEM	\N	269	59419	UROK	\N	\N
3663473	4260	1993-11-30	PRIJEM	\N	65	26218	UROK	\N	\N
3663474	4260	1993-12-31	PRIJEM	\N	159	46058	UROK	\N	\N
3663475	4260	1994-01-31	PRIJEM	\N	196	48007	UROK	\N	\N
3663476	4260	1994-02-28	PRIJEM	\N	199	48060	UROK	\N	\N
3663477	4260	1994-03-31	PRIJEM	\N	151	28844	UROK	\N	\N
3663478	4260	1994-04-30	PRIJEM	\N	124	29204	UROK	\N	\N
3663479	4260	1994-05-31	PRIJEM	\N	137	26474	UROK	\N	\N
3663480	4260	1994-06-30	PRIJEM	\N	103	21429	UROK	\N	\N
3663481	4260	1994-07-31	PRIJEM	\N	99	24285	UROK	\N	\N
3663482	4260	1994-08-31	PRIJEM	\N	115	28557	UROK	\N	\N
3663483	4260	1994-09-30	PRIJEM	\N	109	24423	UROK	\N	\N
3663484	4260	1994-10-31	PRIJEM	\N	79	15958	UROK	\N	\N
3663485	4260	1994-11-30	PRIJEM	\N	64	13579	UROK	\N	\N
3663486	4260	1994-12-31	PRIJEM	\N	77	18240	UROK	\N	\N
3663487	4260	1995-01-31	PRIJEM	\N	51	8348	UROK	\N	\N
3663488	4260	1995-02-28	PRIJEM	\N	60	12765	UROK	\N	\N
3663489	4260	1995-03-31	PRIJEM	\N	52	10673	UROK	\N	\N
3663490	4260	1995-04-30	PRIJEM	\N	59	12890	UROK	\N	\N
3663491	4260	1995-05-31	PRIJEM	\N	60	12506	UROK	\N	\N
3663492	4260	1995-06-30	PRIJEM	\N	92	18982	UROK	\N	\N
3663493	4260	1995-07-31	PRIJEM	\N	46	5235	UROK	\N	\N
3663494	4260	1995-08-31	PRIJEM	\N	47	13639	UROK	\N	\N
3663495	4260	1995-09-30	PRIJEM	\N	87	19583	UROK	\N	\N
3663496	4260	1995-10-31	PRIJEM	\N	109	24749	UROK	\N	\N
3663497	4260	1995-11-30	PRIJEM	\N	72	9701	UROK	\N	\N
3663498	4260	1995-12-31	PRIJEM	\N	102	30387	UROK	\N	\N
3663499	4260	1996-01-31	PRIJEM	\N	114	22958	UROK	\N	\N
3663500	4260	1996-02-29	PRIJEM	\N	116	26030	UROK	\N	\N
3663501	4260	1996-03-31	PRIJEM	\N	120	26907	UROK	\N	\N
3663502	4260	1996-04-30	PRIJEM	\N	120	26685	UROK	\N	\N
3663503	4260	1996-05-31	PRIJEM	\N	112	24653	UROK	\N	\N
3663504	4260	1996-06-30	PRIJEM	\N	115	26452	UROK	\N	\N
3663505	4260	1996-07-31	PRIJEM	\N	88	14997	UROK	\N	\N
3663506	4260	1996-08-31	PRIJEM	\N	88	23442	UROK	\N	\N
3663507	4260	1996-09-30	PRIJEM	\N	114	11913	UROK	\N	\N
3663508	4260	1996-10-31	PRIJEM	\N	75	20344	UROK	\N	\N
3663509	4260	1996-11-30	PRIJEM	\N	109	28811	UROK	\N	\N
3663510	4260	1996-12-31	PRIJEM	\N	169	21264	UROK	\N	\N
3663511	4260	1997-01-31	PRIJEM	\N	76	15597	UROK	\N	\N
3663512	4260	1997-02-28	PRIJEM	\N	89	24042	UROK	\N	\N
3663513	4260	1997-03-31	PRIJEM	\N	112	13411	UROK	\N	\N
3663514	4260	1997-04-30	PRIJEM	\N	80	21848	UROK	\N	\N
3663515	4260	1997-05-31	PRIJEM	\N	103	14608	UROK	\N	\N
3663516	4260	1997-06-30	PRIJEM	\N	102	13294	UROK	\N	\N
3663517	4260	1997-07-31	PRIJEM	\N	80	21731	UROK	\N	\N
3663518	4260	1997-08-31	PRIJEM	\N	115	30203	UROK	\N	\N
3663519	4260	1997-09-30	PRIJEM	\N	125	16085	UROK	\N	\N
3663520	4260	1997-10-31	PRIJEM	\N	91	24533	UROK	\N	\N
3663521	4260	1997-11-30	PRIJEM	\N	126	33016	UROK	\N	\N
3663522	4260	1997-12-31	PRIJEM	\N	169	34810	UROK	\N	\N
3663523	4260	1998-01-31	PRIJEM	\N	140	23507	UROK	\N	\N
3663524	4260	1998-02-28	PRIJEM	\N	121	31985	UROK	\N	\N
3663525	4260	1998-03-31	PRIJEM	\N	157	40499	UROK	\N	\N
3663526	4260	1998-04-30	PRIJEM	\N	150	18405	UROK	\N	\N
3663527	4260	1998-05-31	PRIJEM	\N	100	26862	UROK	\N	\N
3663528	4260	1998-06-30	PRIJEM	\N	90	18436	UROK	\N	\N
3663529	4260	1998-07-31	PRIJEM	\N	100	26894	UROK	\N	\N
3663530	4260	1998-08-31	PRIJEM	\N	136	35386	UROK	\N	\N
3663531	4260	1998-09-30	PRIJEM	\N	171	43913	UROK	\N	\N
3663532	4260	1998-10-31	PRIJEM	\N	183	42719	UROK	\N	\N
3663533	4260	1998-11-30	PRIJEM	\N	162	33899	UROK	\N	\N
3663534	4260	1998-12-31	PRIJEM	\N	194	51977	UROK	\N	\N
3663535	4266	1997-02-28	PRIJEM	\N	59	17251	UROK	\N	\N
3663536	4266	1997-03-31	PRIJEM	\N	113	29455	UROK	\N	\N
3663537	4266	1997-04-30	PRIJEM	\N	140	34688	UROK	\N	\N
3663538	4266	1997-05-31	PRIJEM	\N	149	36028	UROK	\N	\N
3663539	4266	1997-06-30	PRIJEM	\N	153	31622	UROK	\N	\N
3663540	4266	1997-07-31	PRIJEM	\N	131	30532	UROK	\N	\N
3663541	4266	1997-08-31	PRIJEM	\N	147	35658	UROK	\N	\N
3663542	4266	1997-09-30	PRIJEM	\N	161	38598	UROK	\N	\N
3663543	4266	1997-10-31	PRIJEM	\N	163	38540	UROK	\N	\N
3663544	4266	1997-11-30	PRIJEM	\N	162	38282	UROK	\N	\N
3663545	4266	1997-12-31	PRIJEM	\N	179	42185	UROK	\N	\N
3663546	4266	1998-01-31	PRIJEM	\N	146	31811	UROK	\N	\N
3663547	4266	1998-02-28	PRIJEM	\N	131	33421	UROK	\N	\N
3663548	4266	1998-03-31	PRIJEM	\N	142	33642	UROK	\N	\N
3663549	4266	1998-04-30	PRIJEM	\N	131	30453	UROK	\N	\N
3663550	4266	1998-05-31	PRIJEM	\N	122	28854	UROK	\N	\N
3663551	4266	1998-06-30	PRIJEM	\N	114	31593	UROK	\N	\N
3663552	4266	1998-07-31	PRIJEM	\N	99	14772	UROK	\N	\N
3663553	4266	1998-08-31	PRIJEM	\N	87	22637	UROK	\N	\N
3663554	4266	1998-09-30	PRIJEM	\N	113	16930	UROK	\N	\N
3663555	4266	1998-10-31	PRIJEM	\N	87	14096	UROK	\N	\N
3663556	4266	1998-11-30	PRIJEM	\N	80	14955	UROK	\N	\N
3663557	4266	1998-12-31	PRIJEM	\N	138	29518	UROK	\N	\N
3663558	4268	1997-03-31	PRIJEM	\N	26	19195	UROK	\N	\N
3663559	4268	1997-04-30	PRIJEM	\N	93	28657	UROK	\N	\N
3663560	4268	1997-05-31	PRIJEM	\N	129	35154	UROK	\N	\N
3663561	4268	1997-06-30	PRIJEM	\N	152	38960	UROK	\N	\N
3663562	4268	1997-07-31	PRIJEM	\N	167	39276	UROK	\N	\N
3663563	4268	1997-08-31	PRIJEM	\N	152	31437	UROK	\N	\N
3663564	4268	1997-09-30	PRIJEM	\N	130	28915	UROK	\N	\N
3663565	4268	1997-10-31	PRIJEM	\N	125	28388	UROK	\N	\N
3663566	4268	1997-11-30	PRIJEM	\N	123	25699	UROK	\N	\N
3663567	4268	1997-12-31	PRIJEM	\N	133	36706	UROK	\N	\N
3663568	4268	1998-01-31	PRIJEM	\N	145	26480	UROK	\N	\N
3663569	4268	1998-02-28	PRIJEM	\N	138	39026	UROK	\N	\N
3663570	4268	1998-03-31	PRIJEM	\N	178	45213	UROK	\N	\N
3663571	4268	1998-04-30	PRIJEM	\N	190	44311	UROK	\N	\N
3663572	4268	1998-05-31	PRIJEM	\N	196	50716	UROK	\N	\N
3663573	4268	1998-06-30	PRIJEM	\N	174	39603	UROK	\N	\N
3663574	4268	1998-07-31	PRIJEM	\N	189	51101	UROK	\N	\N
3663575	4268	1998-08-31	PRIJEM	\N	197	44506	UROK	\N	\N
3663576	4268	1998-09-30	PRIJEM	\N	208	54923	UROK	\N	\N
3663577	4268	1998-10-31	PRIJEM	\N	234	57966	UROK	\N	\N
3663578	4268	1998-11-30	PRIJEM	\N	247	60822	UROK	\N	\N
3663579	4268	1998-12-31	PRIJEM	\N	260	61956	UROK	\N	\N
3663580	4273	1996-06-30	PRIJEM	\N	67	69116	UROK	\N	\N
3663581	4273	1996-07-31	PRIJEM	\N	288	48604	UROK	\N	\N
3663582	4273	1996-08-31	PRIJEM	\N	272	45496	UROK	\N	\N
3663583	4273	1996-09-30	PRIJEM	\N	188	33684	UROK	\N	\N
3663584	4273	1996-10-31	PRIJEM	\N	283	80634	UROK	\N	\N
3663585	4273	1996-11-30	PRIJEM	\N	335	52469	UROK	\N	\N
3663586	4273	1996-12-31	PRIJEM	\N	335	36903	UROK	\N	\N
3663587	4273	1997-01-31	PRIJEM	\N	189	37098	UROK	\N	\N
3663588	4273	1997-02-28	PRIJEM	\N	179	43558	UROK	\N	\N
3663589	4273	1997-03-31	PRIJEM	\N	121	19855	UROK	\N	\N
3663590	4273	1997-04-30	PRIJEM	\N	153	21665	UROK	\N	\N
3663591	4273	1997-05-31	PRIJEM	\N	48	5390	UROK	\N	\N
3663592	4273	1997-06-30	PRIJEM	\N	147	87041	UROK	\N	\N
3663593	4273	1997-07-31	PRIJEM	\N	109	12027	UROK	\N	\N
3663594	4273	1997-08-31	PRIJEM	\N	85	26096	UROK	\N	\N
3663595	4273	1997-09-30	PRIJEM	\N	77	53366	UROK	\N	\N
3663596	4273	1997-10-31	PRIJEM	\N	125	16967	UROK	\N	\N
3663597	4273	1997-11-30	PRIJEM	\N	260	86424	UROK	\N	\N
3663598	4273	1997-12-31	PRIJEM	\N	202	36078	UROK	\N	\N
3663599	4273	1998-01-31	PRIJEM	\N	138	17713	UROK	\N	\N
3663600	4273	1998-02-28	PRIJEM	\N	146	69762	UROK	\N	\N
3663601	4273	1998-03-31	PRIJEM	\N	186	44402	UROK	\N	\N
3663602	4273	1998-04-30	PRIJEM	\N	92	26579	UROK	\N	\N
3663603	4273	1998-05-31	PRIJEM	\N	122	33398	UROK	\N	\N
3663604	4273	1998-06-30	PRIJEM	\N	159	42065	UROK	\N	\N
3663605	4273	1998-07-31	PRIJEM	\N	176	48132	UROK	\N	\N
3663606	4273	1998-08-31	PRIJEM	\N	181	13789	UROK	\N	\N
3663607	4273	1998-09-30	PRIJEM	\N	55	3920	UROK	\N	\N
3663608	4273	1998-10-31	PRIJEM	\N	24	20411	UROK	\N	\N
3663609	4273	1998-11-30	PRIJEM	\N	82	10570	UROK	\N	\N
3663610	4276	1994-07-31	PRIJEM	\N	56	40322	UROK	\N	\N
3663611	4276	1994-08-31	PRIJEM	\N	168	31990	UROK	\N	\N
3663612	4276	1994-09-30	PRIJEM	\N	359	98288	UROK	\N	\N
3663613	4276	1994-10-31	PRIJEM	\N	386	95706	UROK	\N	\N
3663614	4276	1994-11-30	PRIJEM	\N	228	20193	UROK	\N	\N
3663615	4276	1994-12-31	PRIJEM	\N	95	28705	UROK	\N	\N
3663616	4276	1995-01-31	PRIJEM	\N	97	19688	UROK	\N	\N
3663617	4276	1995-02-28	PRIJEM	\N	82	22755	UROK	\N	\N
3663618	4276	1995-03-31	PRIJEM	\N	94	19634	UROK	\N	\N
3663619	4276	1995-04-30	PRIJEM	\N	81	20800	UROK	\N	\N
3663620	4276	1995-05-31	PRIJEM	\N	86	19572	UROK	\N	\N
3663621	4276	1995-06-30	PRIJEM	\N	91	57136	UROK	\N	\N
3663622	4276	1995-07-31	PRIJEM	\N	205	35426	UROK	\N	\N
3663623	4276	1995-08-31	PRIJEM	\N	146	30858	UROK	\N	\N
3663624	4276	1995-09-30	PRIJEM	\N	128	30071	UROK	\N	\N
3663625	4276	1995-10-31	PRIJEM	\N	106	19875	UROK	\N	\N
3663626	4276	1995-11-30	PRIJEM	\N	83	27743	UROK	\N	\N
3663627	4276	1995-12-31	PRIJEM	\N	99	23404	UROK	\N	\N
3663628	4276	1996-01-31	PRIJEM	\N	125	37462	UROK	\N	\N
3663629	4276	1996-02-29	PRIJEM	\N	153	25664	UROK	\N	\N
3663630	4276	1996-03-31	PRIJEM	\N	181	47743	UROK	\N	\N
3663631	4276	1996-04-30	PRIJEM	\N	148	43713	UROK	\N	\N
3663632	4276	1996-05-31	PRIJEM	\N	184	39963	UROK	\N	\N
3663633	4276	1996-06-30	PRIJEM	\N	276	76900	UROK	\N	\N
3663634	4276	1996-07-31	PRIJEM	\N	343	55012	UROK	\N	\N
3663635	4276	1996-08-31	PRIJEM	\N	333	48311	UROK	\N	\N
3663636	4276	1996-09-30	PRIJEM	\N	193	56361	UROK	\N	\N
3663637	4276	1996-10-31	PRIJEM	\N	241	73143	UROK	\N	\N
3663638	4276	1996-11-30	PRIJEM	\N	291	55564	UROK	\N	\N
3663639	4276	1996-12-31	PRIJEM	\N	240	48035	UROK	\N	\N
3663640	4276	1997-01-31	PRIJEM	\N	155	33874	UROK	\N	\N
3663641	4276	1997-02-28	PRIJEM	\N	172	43533	UROK	\N	\N
3663642	4276	1997-03-31	PRIJEM	\N	191	55895	UROK	\N	\N
3663643	4276	1997-04-30	PRIJEM	\N	240	65356	UROK	\N	\N
3663644	4276	1997-05-31	PRIJEM	\N	279	70764	UROK	\N	\N
3663645	4276	1997-06-30	PRIJEM	\N	262	43311	UROK	\N	\N
3663646	4276	1997-07-31	PRIJEM	\N	221	55983	UROK	\N	\N
3663647	4276	1997-08-31	PRIJEM	\N	280	70228	UROK	\N	\N
3663648	4276	1997-09-30	PRIJEM	\N	327	70843	UROK	\N	\N
3663649	4276	1997-10-31	PRIJEM	\N	375	134931	UROK	\N	\N
3663650	4276	1997-11-30	PRIJEM	\N	366	66591	UROK	\N	\N
3663651	4276	1997-12-31	PRIJEM	\N	312	84226	UROK	\N	\N
3663652	4276	1998-01-31	PRIJEM	\N	271	43191	UROK	\N	\N
3663653	4276	1998-02-28	PRIJEM	\N	230	75401	UROK	\N	\N
3663654	4276	1998-03-31	PRIJEM	\N	356	96822	UROK	\N	\N
3663655	4276	1998-04-30	PRIJEM	\N	393	87958	UROK	\N	\N
3663656	4276	1998-05-31	PRIJEM	\N	335	102806	UROK	\N	\N
3663657	4276	1998-06-30	PRIJEM	\N	317	28058	UROK	\N	\N
3663658	4276	1998-07-31	PRIJEM	\N	261	74250	UROK	\N	\N
3663659	4276	1998-08-31	PRIJEM	\N	370	73790	UROK	\N	\N
3663660	4276	1998-09-30	PRIJEM	\N	313	112641	UROK	\N	\N
3663661	4276	1998-10-31	PRIJEM	\N	490	90200	UROK	\N	\N
3663662	4276	1998-11-30	PRIJEM	\N	328	69654	UROK	\N	\N
3663663	4276	1998-12-31	PRIJEM	\N	395	93934	UROK	\N	\N
3663664	4293	1996-10-31	PRIJEM	\N	3	25003	UROK	\N	\N
3663665	4293	1996-11-30	PRIJEM	\N	81	19584	UROK	\N	\N
3663666	4293	1996-12-31	PRIJEM	\N	81	13665	UROK	\N	\N
3663667	4293	1997-01-31	PRIJEM	\N	85	43928	UROK	\N	\N
3663668	4293	1997-02-28	PRIJEM	\N	183	44111	UROK	\N	\N
3663669	4293	1997-03-31	PRIJEM	\N	227	33737	UROK	\N	\N
3663670	4293	1997-04-30	PRIJEM	\N	264	58861	UROK	\N	\N
3663671	4293	1997-05-31	PRIJEM	\N	267	51638	UROK	\N	\N
3663672	4293	1997-06-30	PRIJEM	\N	251	44431	UROK	\N	\N
3663673	4293	1997-07-31	PRIJEM	\N	270	51938	UROK	\N	\N
3663674	4293	1997-08-31	PRIJEM	\N	253	71870	UROK	\N	\N
3663675	4293	1997-09-30	PRIJEM	\N	237	49782	UROK	\N	\N
3663676	4293	1997-10-31	PRIJEM	\N	222	47856	UROK	\N	\N
3663677	4293	1997-11-30	PRIJEM	\N	317	61074	UROK	\N	\N
3663678	4293	1997-12-31	PRIJEM	\N	289	70009	UROK	\N	\N
3663679	4293	1998-01-31	PRIJEM	\N	223	27396	UROK	\N	\N
3663680	4293	1998-02-28	PRIJEM	\N	101	18039	UROK	\N	\N
3663681	4293	1998-03-31	PRIJEM	\N	188	30352	UROK	\N	\N
3663682	4293	1998-04-30	PRIJEM	\N	206	45910	UROK	\N	\N
3663683	4293	1998-05-31	PRIJEM	\N	155	34104	UROK	\N	\N
3663684	4293	1998-06-30	PRIJEM	\N	164	33964	UROK	\N	\N
3663685	4293	1998-07-31	PRIJEM	\N	135	18408	UROK	\N	\N
3663686	4293	1998-08-31	PRIJEM	\N	76	47876	UROK	\N	\N
3663687	4293	1998-09-30	PRIJEM	\N	346	82098	UROK	\N	\N
3663688	4293	1998-10-31	PRIJEM	\N	297	52667	UROK	\N	\N
3663689	4293	1998-11-30	PRIJEM	\N	269	51536	UROK	\N	\N
3663690	4293	1998-12-31	PRIJEM	\N	225	50936	UROK	\N	\N
3663691	4309	1997-07-31	PRIJEM	\N	22	23575	UROK	\N	\N
3663692	4309	1997-08-31	PRIJEM	\N	98	25673	UROK	\N	\N
3663693	4309	1997-09-30	PRIJEM	\N	98	26971	UROK	\N	\N
3663694	4309	1997-10-31	PRIJEM	\N	98	29670	UROK	\N	\N
3663695	4309	1997-11-30	PRIJEM	\N	98	32868	UROK	\N	\N
3663696	4309	1997-12-31	PRIJEM	\N	124	42966	UROK	\N	\N
3663697	4309	1998-01-31	PRIJEM	\N	179	40444	UROK	\N	\N
3663698	4309	1998-02-28	PRIJEM	\N	179	41123	UROK	\N	\N
3663699	4309	1998-03-31	PRIJEM	\N	179	42601	UROK	\N	\N
3663700	4309	1998-04-30	PRIJEM	\N	179	44580	UROK	\N	\N
3663701	4309	1998-05-31	PRIJEM	\N	179	46558	UROK	\N	\N
3663702	4309	1998-06-30	PRIJEM	\N	179	45837	UROK	\N	\N
3663703	4309	1998-07-31	PRIJEM	\N	179	44115	UROK	\N	\N
3663704	4309	1998-08-31	PRIJEM	\N	179	44894	UROK	\N	\N
3663705	4309	1998-09-30	PRIJEM	\N	179	46072	UROK	\N	\N
3663706	4309	1998-10-31	PRIJEM	\N	179	45151	UROK	\N	\N
3663707	4309	1998-11-30	PRIJEM	\N	179	45029	UROK	\N	\N
3663708	4318	1993-05-31	PRIJEM	\N	96	37492	UROK	\N	\N
3663709	4318	1993-06-30	PRIJEM	\N	222	53357	UROK	\N	\N
3663710	4318	1993-07-31	PRIJEM	\N	241	60795	UROK	\N	\N
3663711	4318	1993-08-31	PRIJEM	\N	186	38677	UROK	\N	\N
3663712	4318	1993-09-30	PRIJEM	\N	191	44468	UROK	\N	\N
3663713	4318	1993-10-31	PRIJEM	\N	158	27144	UROK	\N	\N
3663714	4318	1993-11-30	PRIJEM	\N	158	40372	UROK	\N	\N
3663715	4318	1993-12-31	PRIJEM	\N	223	54112	UROK	\N	\N
3663716	4318	1994-01-31	PRIJEM	\N	318	41000	UROK	\N	\N
3663717	4318	1994-02-28	PRIJEM	\N	244	64021	UROK	\N	\N
3663718	4318	1994-03-31	PRIJEM	\N	271	63862	UROK	\N	\N
3663719	4318	1994-04-30	PRIJEM	\N	403	41435	UROK	\N	\N
3663720	4318	1994-05-31	PRIJEM	\N	232	40537	UROK	\N	\N
3663721	4318	1994-06-30	PRIJEM	\N	263	45879	UROK	\N	\N
3663722	4318	1994-07-31	PRIJEM	\N	247	62296	UROK	\N	\N
3663723	4318	1994-08-31	PRIJEM	\N	269	66734	UROK	\N	\N
3663724	4318	1994-09-30	PRIJEM	\N	368	82772	UROK	\N	\N
3663725	4318	1994-10-31	PRIJEM	\N	363	88905	UROK	\N	\N
3663726	4318	1994-11-30	PRIJEM	\N	420	92395	UROK	\N	\N
3663727	4318	1994-12-31	PRIJEM	\N	330	61343	UROK	\N	\N
3663728	4318	1995-01-31	PRIJEM	\N	229	53809	UROK	\N	\N
3663729	4318	1995-02-28	PRIJEM	\N	255	57658	UROK	\N	\N
3663730	4318	1995-03-31	PRIJEM	\N	237	54074	UROK	\N	\N
3663731	4318	1995-04-30	PRIJEM	\N	330	75327	UROK	\N	\N
3663732	4318	1995-05-31	PRIJEM	\N	341	75334	UROK	\N	\N
3663733	4318	1995-06-30	PRIJEM	\N	151	25013	UROK	\N	\N
3663734	4318	1995-07-31	PRIJEM	\N	219	34558	UROK	\N	\N
3663735	4318	1995-08-31	PRIJEM	\N	282	66109	UROK	\N	\N
3663736	4318	1995-09-30	PRIJEM	\N	250	64345	UROK	\N	\N
3663737	4318	1995-10-31	PRIJEM	\N	342	57957	UROK	\N	\N
3663738	4318	1995-11-30	PRIJEM	\N	335	61761	UROK	\N	\N
3663739	4318	1995-12-31	PRIJEM	\N	396	58276	UROK	\N	\N
3663740	4318	1996-01-31	PRIJEM	\N	301	50384	UROK	\N	\N
3663741	4318	1996-02-29	PRIJEM	\N	299	57853	UROK	\N	\N
3663742	4318	1996-03-31	PRIJEM	\N	333	54756	UROK	\N	\N
3663743	4318	1996-04-30	PRIJEM	\N	298	52574	UROK	\N	\N
3663744	4318	1996-05-31	PRIJEM	\N	304	60648	UROK	\N	\N
3663745	4318	1996-06-30	PRIJEM	\N	287	54553	UROK	\N	\N
3663746	4318	1996-07-31	PRIJEM	\N	308	61330	UROK	\N	\N
3663747	4318	1996-08-31	PRIJEM	\N	328	63328	UROK	\N	\N
3663748	4318	1996-09-30	PRIJEM	\N	328	66494	UROK	\N	\N
3663749	4318	1996-10-31	PRIJEM	\N	366	61830	UROK	\N	\N
3663750	4318	1996-11-30	PRIJEM	\N	357	69257	UROK	\N	\N
3663751	4318	1996-12-31	PRIJEM	\N	347	69622	UROK	\N	\N
3663752	4318	1997-01-31	PRIJEM	\N	185	37689	UROK	\N	\N
3663753	4318	1997-02-28	PRIJEM	\N	238	57197	UROK	\N	\N
3663754	4318	1997-03-31	PRIJEM	\N	333	61000	UROK	\N	\N
3663755	4318	1997-04-30	PRIJEM	\N	292	64662	UROK	\N	\N
3663756	4318	1997-05-31	PRIJEM	\N	335	60000	UROK	\N	\N
3663757	4318	1997-06-30	PRIJEM	\N	323	65109	UROK	\N	\N
3663758	4318	1997-07-31	PRIJEM	\N	331	71109	UROK	\N	\N
3663759	4318	1997-08-31	PRIJEM	\N	367	63446	UROK	\N	\N
3663760	4318	1997-09-30	PRIJEM	\N	214	49421	UROK	\N	\N
3663761	4318	1997-10-31	PRIJEM	\N	290	62982	UROK	\N	\N
3663762	4318	1997-11-30	PRIJEM	\N	323	75575	UROK	\N	\N
3663763	4318	1997-12-31	PRIJEM	\N	268	57408	UROK	\N	\N
3663764	4318	1998-01-31	PRIJEM	\N	265	62443	UROK	\N	\N
3663765	4318	1998-02-28	PRIJEM	\N	313	75426	UROK	\N	\N
3663766	4318	1998-03-31	PRIJEM	\N	240	50297	UROK	\N	\N
3663767	4318	1998-04-30	PRIJEM	\N	306	68573	UROK	\N	\N
3663768	4318	1998-05-31	PRIJEM	\N	302	73905	UROK	\N	\N
3663769	4318	1998-06-30	PRIJEM	\N	309	66732	UROK	\N	\N
3663770	4318	1998-07-31	PRIJEM	\N	362	87163	UROK	\N	\N
3663771	4318	1998-08-31	PRIJEM	\N	387	89520	UROK	\N	\N
3663772	4318	1998-09-30	PRIJEM	\N	306	58796	UROK	\N	\N
3663773	4318	1998-10-31	PRIJEM	\N	313	80279	UROK	\N	\N
3663774	4318	1998-11-30	PRIJEM	\N	314	63764	UROK	\N	\N
3663775	4318	1998-12-31	PRIJEM	\N	262	58043	UROK	\N	\N
3663790	4330	1995-08-31	PRIJEM	\N	133	47392	UROK	\N	\N
3663791	4330	1995-09-30	PRIJEM	\N	197	37689	UROK	\N	\N
3663792	4330	1995-10-31	PRIJEM	\N	197	29286	UROK	\N	\N
3663793	4330	1995-11-30	PRIJEM	\N	197	27383	UROK	\N	\N
3663794	4330	1995-12-31	PRIJEM	\N	197	21180	UROK	\N	\N
3663795	4330	1996-01-31	PRIJEM	\N	193	19573	UROK	\N	\N
3663796	4330	1996-02-29	PRIJEM	\N	167	66260	UROK	\N	\N
3663797	4330	1996-03-31	PRIJEM	\N	290	93418	UROK	\N	\N
3663798	4330	1996-04-30	PRIJEM	\N	134	20206	UROK	\N	\N
3663799	4330	1996-05-31	PRIJEM	\N	68	12733	UROK	\N	\N
3663800	4330	1996-06-30	PRIJEM	\N	156	34247	UROK	\N	\N
3663801	4330	1996-07-31	PRIJEM	\N	298	50335	UROK	\N	\N
3663802	4330	1996-08-31	PRIJEM	\N	193	29659	UROK	\N	\N
3663803	4330	1996-09-30	PRIJEM	\N	99	19844	UROK	\N	\N
3663804	4330	1996-10-31	PRIJEM	\N	271	39244	UROK	\N	\N
3663805	4330	1996-11-30	PRIJEM	\N	83	14584	UROK	\N	\N
3663806	4330	1996-12-31	PRIJEM	\N	74	21284	UROK	\N	\N
3663807	4330	1997-01-31	PRIJEM	\N	252	33632	UROK	\N	\N
3663808	4330	1997-02-28	PRIJEM	\N	276	49827	UROK	\N	\N
3663809	4330	1997-03-31	PRIJEM	\N	174	20360	UROK	\N	\N
3663810	4330	1997-04-30	PRIJEM	\N	144	25905	UROK	\N	\N
3663811	4330	1997-05-31	PRIJEM	\N	86	12839	UROK	\N	\N
3663812	4330	1997-06-30	PRIJEM	\N	78	33088	UROK	\N	\N
3663813	4330	1997-07-31	PRIJEM	\N	129	45655	UROK	\N	\N
3663814	4330	1997-08-31	PRIJEM	\N	180	68106	UROK	\N	\N
3663815	4330	1997-09-30	PRIJEM	\N	240	35940	UROK	\N	\N
3663816	4330	1997-10-31	PRIJEM	\N	131	67414	UROK	\N	\N
3663817	4330	1997-11-30	PRIJEM	\N	223	48821	UROK	\N	\N
3663818	4330	1997-12-31	PRIJEM	\N	161	24964	UROK	\N	\N
3663819	4330	1998-01-31	PRIJEM	\N	147	25634	UROK	\N	\N
3663820	4330	1998-02-28	PRIJEM	\N	193	79865	UROK	\N	\N
3663821	4330	1998-03-31	PRIJEM	\N	268	31263	UROK	\N	\N
3663822	4330	1998-04-30	PRIJEM	\N	115	25437	UROK	\N	\N
3663823	4330	1998-05-31	PRIJEM	\N	115	29580	UROK	\N	\N
3663824	4330	1998-06-30	PRIJEM	\N	98	19674	UROK	\N	\N
3663825	4330	1998-07-31	PRIJEM	\N	66	13799	UROK	\N	\N
3663826	4330	1998-08-31	PRIJEM	\N	41	7900	UROK	\N	\N
3663827	4330	1998-09-30	PRIJEM	\N	159	94615	UROK	\N	\N
3663828	4330	1998-10-31	PRIJEM	\N	313	54384	UROK	\N	\N
3663829	4330	1998-11-30	PRIJEM	\N	329	96533	UROK	\N	\N
3663830	4330	1998-12-31	PRIJEM	\N	348	77523	UROK	\N	\N
3663831	4332	1998-01-31	PRIJEM	\N	130	50199	UROK	\N	\N
3663832	4332	1998-02-28	PRIJEM	\N	212	42311	UROK	\N	\N
3663833	4332	1998-03-31	PRIJEM	\N	302	51727	UROK	\N	\N
3663834	4332	1998-04-30	PRIJEM	\N	336	59462	UROK	\N	\N
3663835	4332	1998-05-31	PRIJEM	\N	178	29503	UROK	\N	\N
3663836	4332	1998-06-30	PRIJEM	\N	124	22609	UROK	\N	\N
3663837	4332	1998-07-31	PRIJEM	\N	110	29983	UROK	\N	\N
3663838	4332	1998-08-31	PRIJEM	\N	154	46874	UROK	\N	\N
3663839	4332	1998-09-30	PRIJEM	\N	197	24928	UROK	\N	\N
3663840	4332	1998-10-31	PRIJEM	\N	161	98980	UROK	\N	\N
3663841	4332	1998-11-30	PRIJEM	\N	347	63128	UROK	\N	\N
3663842	4332	1998-12-31	PRIJEM	\N	220	37748	UROK	\N	\N
3663843	4336	1997-07-31	PRIJEM	\N	11	20436	UROK	\N	\N
3663844	4336	1997-08-31	PRIJEM	\N	133	46089	UROK	\N	\N
3663845	4336	1997-09-30	PRIJEM	\N	246	104990	UROK	\N	\N
3663846	4336	1997-10-31	PRIJEM	\N	332	76570	UROK	\N	\N
3663847	4336	1997-11-30	PRIJEM	\N	283	52793	UROK	\N	\N
3663848	4336	1997-12-31	PRIJEM	\N	313	76374	UROK	\N	\N
3663849	4336	1998-01-31	PRIJEM	\N	291	62014	UROK	\N	\N
3663850	4336	1998-02-28	PRIJEM	\N	302	89106	UROK	\N	\N
3663851	4336	1998-03-31	PRIJEM	\N	290	58830	UROK	\N	\N
3663852	4336	1998-04-30	PRIJEM	\N	172	37472	UROK	\N	\N
3663853	4336	1998-05-31	PRIJEM	\N	237	96866	UROK	\N	\N
3663854	4336	1998-06-30	PRIJEM	\N	289	56024	UROK	\N	\N
3663855	4336	1998-07-31	PRIJEM	\N	264	68881	UROK	\N	\N
3663856	4336	1998-08-31	PRIJEM	\N	163	35813	UROK	\N	\N
3663857	4336	1998-09-30	PRIJEM	\N	95	17178	UROK	\N	\N
3663858	4336	1998-10-31	PRIJEM	\N	76	18423	UROK	\N	\N
3663859	4336	1998-11-30	PRIJEM	\N	113	19005	UROK	\N	\N
3663860	4336	1998-12-31	PRIJEM	\N	177	57269	UROK	\N	\N
3663861	4337	1993-12-31	PRIJEM	\N	44	20420	UROK	\N	\N
3663862	4337	1994-01-31	PRIJEM	\N	120	35741	UROK	\N	\N
3663863	4337	1994-02-28	PRIJEM	\N	148	28589	UROK	\N	\N
3663864	4337	1994-03-31	PRIJEM	\N	158	40332	UROK	\N	\N
3663865	4337	1994-04-30	PRIJEM	\N	311	56103	UROK	\N	\N
3663866	4337	1994-05-31	PRIJEM	\N	181	31569	UROK	\N	\N
3663867	4337	1994-06-30	PRIJEM	\N	146	33112	UROK	\N	\N
3663868	4337	1994-07-31	PRIJEM	\N	203	87195	UROK	\N	\N
3663869	4337	1994-08-31	PRIJEM	\N	281	55168	UROK	\N	\N
3663870	4337	1994-09-30	PRIJEM	\N	250	56992	UROK	\N	\N
3663871	4337	1994-10-31	PRIJEM	\N	193	20179	UROK	\N	\N
3663872	4337	1994-11-30	PRIJEM	\N	162	49213	UROK	\N	\N
3663873	4337	1994-12-31	PRIJEM	\N	229	74018	UROK	\N	\N
3663874	4337	1995-01-31	PRIJEM	\N	278	69013	UROK	\N	\N
3663875	4337	1995-02-28	PRIJEM	\N	267	62424	UROK	\N	\N
3663876	4337	1995-03-31	PRIJEM	\N	204	49457	UROK	\N	\N
3663877	4337	1995-04-30	PRIJEM	\N	261	63660	UROK	\N	\N
3663878	4337	1995-05-31	PRIJEM	\N	299	53325	UROK	\N	\N
3663879	4337	1995-06-30	PRIJEM	\N	197	70585	UROK	\N	\N
3663880	4337	1995-07-31	PRIJEM	\N	253	83279	UROK	\N	\N
3663881	4337	1995-08-31	PRIJEM	\N	237	40444	UROK	\N	\N
3663882	4337	1995-09-30	PRIJEM	\N	148	61010	UROK	\N	\N
3663883	4337	1995-10-31	PRIJEM	\N	213	67963	UROK	\N	\N
3663884	4337	1995-11-30	PRIJEM	\N	228	51957	UROK	\N	\N
3663885	4337	1995-12-31	PRIJEM	\N	260	79663	UROK	\N	\N
3663886	4337	1996-01-31	PRIJEM	\N	366	83638	UROK	\N	\N
3663887	4337	1996-02-29	PRIJEM	\N	340	86158	UROK	\N	\N
3663888	4337	1996-03-31	PRIJEM	\N	372	93840	UROK	\N	\N
3663889	4337	1996-04-30	PRIJEM	\N	402	93915	UROK	\N	\N
3663890	4337	1996-05-31	PRIJEM	\N	292	61823	UROK	\N	\N
3663891	4337	1996-06-30	PRIJEM	\N	245	60023	UROK	\N	\N
3663892	4337	1996-07-31	PRIJEM	\N	199	41565	UROK	\N	\N
3663893	4337	1996-08-31	PRIJEM	\N	218	39776	UROK	\N	\N
3663894	4337	1996-09-30	PRIJEM	\N	235	101374	UROK	\N	\N
3663895	4337	1996-10-31	PRIJEM	\N	384	99826	UROK	\N	\N
3663896	4337	1996-11-30	PRIJEM	\N	335	90598	UROK	\N	\N
3663897	4337	1996-12-31	PRIJEM	\N	354	57776	UROK	\N	\N
3663898	4337	1997-01-31	PRIJEM	\N	365	67719	UROK	\N	\N
3663899	4337	1997-02-28	PRIJEM	\N	277	66382	UROK	\N	\N
3663900	4337	1997-03-31	PRIJEM	\N	213	46480	UROK	\N	\N
3663901	4337	1997-04-30	PRIJEM	\N	167	36538	UROK	\N	\N
3663902	4337	1997-05-31	PRIJEM	\N	151	41475	UROK	\N	\N
3663903	4337	1997-06-30	PRIJEM	\N	100	34560	UROK	\N	\N
3663904	4337	1997-07-31	PRIJEM	\N	165	59864	UROK	\N	\N
3663905	4337	1997-08-31	PRIJEM	\N	319	75273	UROK	\N	\N
3663906	4337	1997-09-30	PRIJEM	\N	333	80986	UROK	\N	\N
3663907	4337	1997-10-31	PRIJEM	\N	320	64492	UROK	\N	\N
3663908	4337	1997-11-30	PRIJEM	\N	295	71400	UROK	\N	\N
3663909	4337	1997-12-31	PRIJEM	\N	300	58547	UROK	\N	\N
3663910	4337	1998-01-31	PRIJEM	\N	261	62150	UROK	\N	\N
3663911	4337	1998-02-28	PRIJEM	\N	168	41564	UROK	\N	\N
3663912	4337	1998-03-31	PRIJEM	\N	225	64011	UROK	\N	\N
3663913	4337	1998-04-30	PRIJEM	\N	262	59424	UROK	\N	\N
3663914	4337	1998-05-31	PRIJEM	\N	316	40362	UROK	\N	\N
3663915	4337	1998-06-30	PRIJEM	\N	223	50285	UROK	\N	\N
3663916	4337	1998-07-31	PRIJEM	\N	271	43446	UROK	\N	\N
3663917	4337	1998-08-31	PRIJEM	\N	287	52182	UROK	\N	\N
3663918	4337	1998-09-30	PRIJEM	\N	211	52078	UROK	\N	\N
3663919	4337	1998-10-31	PRIJEM	\N	209	62019	UROK	\N	\N
3663920	4337	1998-11-30	PRIJEM	\N	228	76067	UROK	\N	\N
3663921	4337	1998-12-31	PRIJEM	\N	280	53332	UROK	\N	\N
3663922	4342	1996-05-31	PRIJEM	\N	106	48652	UROK	\N	\N
3663923	4342	1996-06-30	PRIJEM	\N	203	35656	UROK	\N	\N
3663924	4342	1996-07-31	PRIJEM	\N	271	58287	UROK	\N	\N
3663925	4342	1996-08-31	PRIJEM	\N	265	65982	UROK	\N	\N
3663926	4342	1996-09-30	PRIJEM	\N	180	19346	UROK	\N	\N
3663927	4342	1996-10-31	PRIJEM	\N	145	43334	UROK	\N	\N
3663928	4342	1996-11-30	PRIJEM	\N	196	61609	UROK	\N	\N
3663929	4342	1996-12-31	PRIJEM	\N	262	54293	UROK	\N	\N
3663930	4342	1997-01-31	PRIJEM	\N	131	32374	UROK	\N	\N
3663931	4342	1997-02-28	PRIJEM	\N	216	56792	UROK	\N	\N
3663932	4342	1997-03-31	PRIJEM	\N	261	51169	UROK	\N	\N
3663933	4342	1997-04-30	PRIJEM	\N	249	53689	UROK	\N	\N
3663934	4342	1997-05-31	PRIJEM	\N	196	40536	UROK	\N	\N
3663935	4342	1997-06-30	PRIJEM	\N	172	50028	UROK	\N	\N
3663936	4342	1997-07-31	PRIJEM	\N	300	78070	UROK	\N	\N
3663937	4342	1997-08-31	PRIJEM	\N	371	81165	UROK	\N	\N
3663938	4342	1997-09-30	PRIJEM	\N	362	69452	UROK	\N	\N
3663939	4342	1997-10-31	PRIJEM	\N	290	85104	UROK	\N	\N
3663940	4342	1997-11-30	PRIJEM	\N	319	68673	UROK	\N	\N
3663941	4342	1997-12-31	PRIJEM	\N	241	71065	UROK	\N	\N
3663942	4342	1998-01-31	PRIJEM	\N	267	53935	UROK	\N	\N
3663943	4342	1998-02-28	PRIJEM	\N	206	52919	UROK	\N	\N
3663944	4342	1998-03-31	PRIJEM	\N	372	82660	UROK	\N	\N
3663945	4342	1998-04-30	PRIJEM	\N	388	104137	UROK	\N	\N
3663946	4342	1998-05-31	PRIJEM	\N	389	85304	UROK	\N	\N
3663947	4342	1998-06-30	PRIJEM	\N	449	113238	UROK	\N	\N
3663948	4342	1998-07-31	PRIJEM	\N	436	106810	UROK	\N	\N
3663949	4342	1998-08-31	PRIJEM	\N	406	92494	UROK	\N	\N
3663950	4342	1998-09-30	PRIJEM	\N	286	92417	UROK	\N	\N
3663951	4342	1998-10-31	PRIJEM	\N	368	88963	UROK	\N	\N
3663952	4342	1998-11-30	PRIJEM	\N	358	86899	UROK	\N	\N
3663953	4342	1998-12-31	PRIJEM	\N	423	62483	UROK	\N	\N
3663954	4346	1996-03-31	PRIJEM	\N	92	48904	UROK	\N	\N
3663955	4346	1996-04-30	PRIJEM	\N	257	101814	UROK	\N	\N
3663956	4346	1996-05-31	PRIJEM	\N	386	73372	UROK	\N	\N
3663957	4346	1996-06-30	PRIJEM	\N	248	71605	UROK	\N	\N
3663958	4346	1996-07-31	PRIJEM	\N	370	98573	UROK	\N	\N
3663959	4346	1996-08-31	PRIJEM	\N	286	49489	UROK	\N	\N
3663960	4346	1996-09-30	PRIJEM	\N	279	99827	UROK	\N	\N
3663961	4346	1996-10-31	PRIJEM	\N	355	87364	UROK	\N	\N
3663962	4346	1996-11-30	PRIJEM	\N	315	115486	UROK	\N	\N
3663963	4346	1996-12-31	PRIJEM	\N	356	92500	UROK	\N	\N
3663964	4346	1997-01-31	PRIJEM	\N	305	41369	UROK	\N	\N
3663965	4346	1997-02-28	PRIJEM	\N	141	47758	UROK	\N	\N
3663966	4346	1997-03-31	PRIJEM	\N	282	79899	UROK	\N	\N
3663967	4346	1997-04-30	PRIJEM	\N	404	74882	UROK	\N	\N
3663968	4346	1997-05-31	PRIJEM	\N	274	111834	UROK	\N	\N
3663969	4346	1997-06-30	PRIJEM	\N	299	97053	UROK	\N	\N
3663970	4346	1997-07-31	PRIJEM	\N	313	64555	UROK	\N	\N
3663971	4346	1997-08-31	PRIJEM	\N	232	57841	UROK	\N	\N
3663972	4346	1997-09-30	PRIJEM	\N	161	32731	UROK	\N	\N
3663973	4346	1997-10-31	PRIJEM	\N	143	30822	UROK	\N	\N
3663974	4346	1997-11-30	PRIJEM	\N	147	28399	UROK	\N	\N
3663975	4346	1997-12-31	PRIJEM	\N	113	27441	UROK	\N	\N
3663976	4346	1998-01-31	PRIJEM	\N	102	22808	UROK	\N	\N
3663977	4346	1998-02-28	PRIJEM	\N	112	32623	UROK	\N	\N
3663978	4346	1998-03-31	PRIJEM	\N	182	47151	UROK	\N	\N
3663979	4346	1998-04-30	PRIJEM	\N	200	53454	UROK	\N	\N
3663980	4346	1998-05-31	PRIJEM	\N	156	35739	UROK	\N	\N
3663981	4346	1998-06-30	PRIJEM	\N	127	30396	UROK	\N	\N
3663982	4346	1998-07-31	PRIJEM	\N	245	62699	UROK	\N	\N
3663983	4346	1998-08-31	PRIJEM	\N	279	72523	UROK	\N	\N
3663984	4346	1998-09-30	PRIJEM	\N	190	38643	UROK	\N	\N
3663985	4346	1998-10-31	PRIJEM	\N	174	71223	UROK	\N	\N
3663986	4346	1998-11-30	PRIJEM	\N	231	52584	UROK	\N	\N
3663987	4346	1998-12-31	PRIJEM	\N	251	69509	UROK	\N	\N
3663988	4352	1993-07-31	PRIJEM	\N	70	24739	UROK	\N	\N
3663989	4352	1993-08-31	PRIJEM	\N	176	50784	UROK	\N	\N
3663990	4352	1993-09-30	PRIJEM	\N	243	62396	UROK	\N	\N
3663991	4352	1993-10-31	PRIJEM	\N	282	70546	UROK	\N	\N
3663992	4352	1993-11-30	PRIJEM	\N	288	67204	UROK	\N	\N
3663993	4352	1993-12-31	PRIJEM	\N	313	80396	UROK	\N	\N
3663994	4352	1994-01-31	PRIJEM	\N	296	69537	UROK	\N	\N
3663995	4352	1994-02-28	PRIJEM	\N	252	67334	UROK	\N	\N
3663996	4352	1994-03-31	PRIJEM	\N	279	65657	UROK	\N	\N
3663997	4352	1994-04-30	PRIJEM	\N	269	65370	UROK	\N	\N
3663998	4352	1994-05-31	PRIJEM	\N	267	65082	UROK	\N	\N
3663999	4352	1994-06-30	PRIJEM	\N	270	64131	UROK	\N	\N
3664000	4352	1994-07-31	PRIJEM	\N	233	44909	UROK	\N	\N
3664001	4352	1994-08-31	PRIJEM	\N	237	47291	UROK	\N	\N
3664002	4352	1994-09-30	PRIJEM	\N	245	46880	UROK	\N	\N
3664003	4352	1994-10-31	PRIJEM	\N	242	46866	UROK	\N	\N
3664004	4352	1994-11-30	PRIJEM	\N	240	47051	UROK	\N	\N
3664005	4352	1994-12-31	PRIJEM	\N	269	51899	UROK	\N	\N
3664006	4352	1995-01-31	PRIJEM	\N	245	47388	UROK	\N	\N
3664007	4352	1995-02-28	PRIJEM	\N	238	44270	UROK	\N	\N
3664008	4352	1995-03-31	PRIJEM	\N	229	46744	UROK	\N	\N
3664009	4352	1995-04-30	PRIJEM	\N	237	47225	UROK	\N	\N
3664010	4352	1995-05-31	PRIJEM	\N	238	49008	UROK	\N	\N
3664011	4352	1995-06-30	PRIJEM	\N	251	43338	UROK	\N	\N
3664012	4352	1995-07-31	PRIJEM	\N	219	45002	UROK	\N	\N
3664013	4352	1995-08-31	PRIJEM	\N	223	46269	UROK	\N	\N
3664014	4352	1995-09-30	PRIJEM	\N	223	44437	UROK	\N	\N
3664015	4352	1995-10-31	PRIJEM	\N	214	42596	UROK	\N	\N
3664016	4352	1995-11-30	PRIJEM	\N	212	46352	UROK	\N	\N
3664017	4352	1995-12-31	PRIJEM	\N	252	55683	UROK	\N	\N
3664018	4352	1996-01-31	PRIJEM	\N	233	47361	UROK	\N	\N
3664019	4352	1996-02-29	PRIJEM	\N	223	48428	UROK	\N	\N
3664020	4352	1996-03-31	PRIJEM	\N	224	46196	UROK	\N	\N
3664021	4352	1996-04-30	PRIJEM	\N	220	49261	UROK	\N	\N
3664022	4352	1996-05-31	PRIJEM	\N	232	52237	UROK	\N	\N
3664023	4352	1996-06-30	PRIJEM	\N	207	43223	UROK	\N	\N
3664024	4352	1996-07-31	PRIJEM	\N	208	48175	UROK	\N	\N
3664025	4352	1996-08-31	PRIJEM	\N	213	48233	UROK	\N	\N
3664026	4352	1996-09-30	PRIJEM	\N	215	48493	UROK	\N	\N
3664027	4352	1996-10-31	PRIJEM	\N	220	48157	UROK	\N	\N
3664028	4352	1996-11-30	PRIJEM	\N	214	50915	UROK	\N	\N
3664029	4352	1996-12-31	PRIJEM	\N	246	58040	UROK	\N	\N
3664030	4352	1997-01-31	PRIJEM	\N	237	54222	UROK	\N	\N
3664031	4352	1997-02-28	PRIJEM	\N	230	53696	UROK	\N	\N
3664032	4352	1997-03-31	PRIJEM	\N	228	51469	UROK	\N	\N
3664033	4352	1997-04-30	PRIJEM	\N	218	51331	UROK	\N	\N
3664034	4352	1997-05-31	PRIJEM	\N	211	47387	UROK	\N	\N
3664035	4352	1997-06-30	PRIJEM	\N	183	28649	UROK	\N	\N
3664036	4352	1997-07-31	PRIJEM	\N	139	34332	UROK	\N	\N
3664037	4352	1997-08-31	PRIJEM	\N	162	41438	UROK	\N	\N
3664038	4352	1997-09-30	PRIJEM	\N	162	38545	UROK	\N	\N
3664039	4352	1997-10-31	PRIJEM	\N	170	42959	UROK	\N	\N
3664040	4352	1997-11-30	PRIJEM	\N	185	47188	UROK	\N	\N
3664041	4352	1997-12-31	PRIJEM	\N	215	55983	UROK	\N	\N
3664042	4352	1998-01-31	PRIJEM	\N	224	59651	UROK	\N	\N
3664043	4352	1998-02-28	PRIJEM	\N	257	66052	UROK	\N	\N
3664044	4352	1998-03-31	PRIJEM	\N	242	56639	UROK	\N	\N
3664045	4352	1998-04-30	PRIJEM	\N	244	62928	UROK	\N	\N
3664046	4352	1998-05-31	PRIJEM	\N	257	63629	UROK	\N	\N
3664047	4352	1998-06-30	PRIJEM	\N	259	64168	UROK	\N	\N
3664048	4352	1998-07-31	PRIJEM	\N	246	58758	UROK	\N	\N
3664049	4352	1998-08-31	PRIJEM	\N	234	58837	UROK	\N	\N
3664050	4352	1998-09-30	PRIJEM	\N	232	58214	UROK	\N	\N
3664051	4352	1998-10-31	PRIJEM	\N	228	57187	UROK	\N	\N
3664052	4352	1998-11-30	PRIJEM	\N	210	51341	UROK	\N	\N
3664053	4352	1998-12-31	PRIJEM	\N	243	64463	UROK	\N	\N
3664054	4354	1997-02-28	PRIJEM	\N	182	61445	UROK	\N	\N
3664055	4354	1997-03-31	PRIJEM	\N	259	62553	UROK	\N	\N
3664056	4354	1997-04-30	PRIJEM	\N	315	96991	UROK	\N	\N
3664057	4354	1997-05-31	PRIJEM	\N	403	64594	UROK	\N	\N
3664058	4354	1997-06-30	PRIJEM	\N	349	48127	UROK	\N	\N
3664059	4354	1997-07-31	PRIJEM	\N	179	60024	UROK	\N	\N
3664060	4354	1997-08-31	PRIJEM	\N	183	76128	UROK	\N	\N
3664061	4354	1997-09-30	PRIJEM	\N	192	35449	UROK	\N	\N
3664062	4354	1997-10-31	PRIJEM	\N	278	97984	UROK	\N	\N
3664063	4354	1997-11-30	PRIJEM	\N	278	61569	UROK	\N	\N
3664064	4354	1997-12-31	PRIJEM	\N	130	22528	UROK	\N	\N
3664065	4354	1998-01-31	PRIJEM	\N	61	9819	UROK	\N	\N
3664066	4354	1998-02-28	PRIJEM	\N	47	7595	UROK	\N	\N
3664067	4354	1998-03-31	PRIJEM	\N	59	37413	UROK	\N	\N
3664068	4354	1998-04-30	PRIJEM	\N	127	24971	UROK	\N	\N
3664069	4354	1998-05-31	PRIJEM	\N	55	8755	UROK	\N	\N
3664070	4354	1998-06-30	PRIJEM	\N	141	28989	UROK	\N	\N
3664071	4354	1998-07-31	PRIJEM	\N	331	74528	UROK	\N	\N
3664072	4354	1998-08-31	PRIJEM	\N	247	63532	UROK	\N	\N
3664073	4354	1998-09-30	PRIJEM	\N	239	71159	UROK	\N	\N
3664074	4354	1998-10-31	PRIJEM	\N	271	49507	UROK	\N	\N
3664075	4354	1998-11-30	PRIJEM	\N	262	54988	UROK	\N	\N
3664076	4354	1998-12-31	PRIJEM	\N	288	54056	UROK	\N	\N
3664077	4358	1997-02-28	PRIJEM	\N	92	57366	UROK	\N	\N
3664078	4358	1997-03-31	PRIJEM	\N	291	55072	UROK	\N	\N
3664079	4358	1997-04-30	PRIJEM	\N	239	88745	UROK	\N	\N
3664080	4358	1997-05-31	PRIJEM	\N	366	84908	UROK	\N	\N
3664081	4358	1997-06-30	PRIJEM	\N	207	29299	UROK	\N	\N
3664082	4358	1997-07-31	PRIJEM	\N	281	82533	UROK	\N	\N
3664083	4358	1997-08-31	PRIJEM	\N	341	63760	UROK	\N	\N
3664084	4358	1997-09-30	PRIJEM	\N	323	93178	UROK	\N	\N
3664085	4358	1997-10-31	PRIJEM	\N	280	60361	UROK	\N	\N
3664086	4358	1997-11-30	PRIJEM	\N	333	98715	UROK	\N	\N
3664087	4358	1997-12-31	PRIJEM	\N	435	110010	UROK	\N	\N
3664088	4358	1998-01-31	PRIJEM	\N	245	36540	UROK	\N	\N
3664089	4358	1998-02-28	PRIJEM	\N	261	69120	UROK	\N	\N
3664090	4358	1998-03-31	PRIJEM	\N	267	51972	UROK	\N	\N
3664091	4358	1998-04-30	PRIJEM	\N	258	65523	UROK	\N	\N
3664092	4358	1998-05-31	PRIJEM	\N	333	75822	UROK	\N	\N
3664093	4358	1998-06-30	PRIJEM	\N	236	24243	UROK	\N	\N
3664094	4358	1998-07-31	PRIJEM	\N	127	32855	UROK	\N	\N
3664095	4358	1998-08-31	PRIJEM	\N	144	36181	UROK	\N	\N
3664096	4358	1998-09-30	PRIJEM	\N	152	51719	UROK	\N	\N
3664097	4358	1998-10-31	PRIJEM	\N	144	24019	UROK	\N	\N
3664098	4358	1998-11-30	PRIJEM	\N	366	110845	UROK	\N	\N
3664099	4358	1998-12-31	PRIJEM	\N	408	90488	UROK	\N	\N
3664100	4361	1996-03-31	PRIJEM	\N	111	45887	UROK	\N	\N
3664101	4361	1996-04-30	PRIJEM	\N	274	81337	UROK	\N	\N
3664102	4361	1996-05-31	PRIJEM	\N	380	98692	UROK	\N	\N
3664103	4361	1996-06-30	PRIJEM	\N	432	108339	UROK	\N	\N
3664104	4361	1996-07-31	PRIJEM	\N	365	62279	UROK	\N	\N
3664105	4361	1996-08-31	PRIJEM	\N	286	76926	UROK	\N	\N
3664106	4361	1996-09-30	PRIJEM	\N	319	84407	UROK	\N	\N
3664107	4361	1996-10-31	PRIJEM	\N	386	93654	UROK	\N	\N
3664108	4361	1996-11-30	PRIJEM	\N	367	100182	UROK	\N	\N
3664109	4361	1996-12-31	PRIJEM	\N	395	89076	UROK	\N	\N
3664110	4361	1997-01-31	PRIJEM	\N	306	74946	UROK	\N	\N
3664111	4361	1997-02-28	PRIJEM	\N	344	87951	UROK	\N	\N
3664112	4361	1997-03-31	PRIJEM	\N	355	54128	UROK	\N	\N
3664113	4361	1997-04-30	PRIJEM	\N	228	49826	UROK	\N	\N
3664114	4361	1997-05-31	PRIJEM	\N	212	52498	UROK	\N	\N
3664115	4361	1997-06-30	PRIJEM	\N	293	77177	UROK	\N	\N
3664116	4361	1997-07-31	PRIJEM	\N	328	78817	UROK	\N	\N
3664117	4361	1997-08-31	PRIJEM	\N	353	82895	UROK	\N	\N
3664118	4361	1997-09-30	PRIJEM	\N	293	75400	UROK	\N	\N
3664119	4361	1997-10-31	PRIJEM	\N	363	98611	UROK	\N	\N
3664120	4361	1997-11-30	PRIJEM	\N	359	81018	UROK	\N	\N
3664121	4361	1997-12-31	PRIJEM	\N	412	92117	UROK	\N	\N
3664122	4361	1998-01-31	PRIJEM	\N	391	61449	UROK	\N	\N
3664123	4361	1998-02-28	PRIJEM	\N	338	99336	UROK	\N	\N
3664124	4361	1998-03-31	PRIJEM	\N	351	82014	UROK	\N	\N
3664125	4361	1998-04-30	PRIJEM	\N	357	103233	UROK	\N	\N
3664126	4361	1998-05-31	PRIJEM	\N	267	54077	UROK	\N	\N
3664127	4361	1998-06-30	PRIJEM	\N	331	71508	UROK	\N	\N
3664128	4361	1998-07-31	PRIJEM	\N	352	82159	UROK	\N	\N
3664129	4361	1998-08-31	PRIJEM	\N	279	63099	UROK	\N	\N
3664130	4361	1998-09-30	PRIJEM	\N	331	83462	UROK	\N	\N
3664131	4361	1998-10-31	PRIJEM	\N	293	72392	UROK	\N	\N
3664132	4361	1998-11-30	PRIJEM	\N	357	89728	UROK	\N	\N
3664133	4361	1998-12-31	PRIJEM	\N	442	102769	UROK	\N	\N
3664156	4377	1993-07-31	PRIJEM	\N	54	44331	UROK	\N	\N
3664157	4377	1993-08-31	PRIJEM	\N	189	47498	UROK	\N	\N
3664158	4377	1993-09-30	PRIJEM	\N	197	34295	UROK	\N	\N
3664159	4377	1993-10-31	PRIJEM	\N	197	30192	UROK	\N	\N
3664160	4377	1993-11-30	PRIJEM	\N	197	27690	UROK	\N	\N
3664161	4377	1993-12-31	PRIJEM	\N	197	25187	UROK	\N	\N
3664162	4377	1994-01-31	PRIJEM	\N	197	23584	UROK	\N	\N
3664163	4377	1994-02-28	PRIJEM	\N	210	75337	UROK	\N	\N
3664164	4377	1994-03-31	PRIJEM	\N	356	39318	UROK	\N	\N
3664165	4377	1994-04-30	PRIJEM	\N	325	64384	UROK	\N	\N
3664166	4377	1994-05-31	PRIJEM	\N	273	52279	UROK	\N	\N
3664167	4377	1994-06-30	PRIJEM	\N	226	57859	UROK	\N	\N
3664168	4377	1994-07-31	PRIJEM	\N	238	45349	UROK	\N	\N
3664169	4377	1994-08-31	PRIJEM	\N	187	34221	UROK	\N	\N
3664170	4377	1994-09-30	PRIJEM	\N	158	42265	UROK	\N	\N
3664171	4377	1994-10-31	PRIJEM	\N	210	46636	UROK	\N	\N
3664172	4377	1994-11-30	PRIJEM	\N	224	64622	UROK	\N	\N
3664173	4377	1994-12-31	PRIJEM	\N	211	82911	UROK	\N	\N
3664174	4377	1995-01-31	PRIJEM	\N	224	44683	UROK	\N	\N
3664175	4377	1995-02-28	PRIJEM	\N	211	45611	UROK	\N	\N
3664176	4377	1995-03-31	PRIJEM	\N	309	115596	UROK	\N	\N
3664177	4377	1995-04-30	PRIJEM	\N	315	62608	UROK	\N	\N
3664178	4377	1995-05-31	PRIJEM	\N	320	67164	UROK	\N	\N
3664179	4377	1995-06-30	PRIJEM	\N	219	66242	UROK	\N	\N
3664180	4377	1995-07-31	PRIJEM	\N	263	72117	UROK	\N	\N
3664181	4377	1995-08-31	PRIJEM	\N	334	88917	UROK	\N	\N
3664182	4377	1995-09-30	PRIJEM	\N	264	36242	UROK	\N	\N
3664183	4377	1995-10-31	PRIJEM	\N	142	33538	UROK	\N	\N
3664184	4377	1995-11-30	PRIJEM	\N	241	72611	UROK	\N	\N
3664185	4377	1995-12-31	PRIJEM	\N	368	112050	UROK	\N	\N
3664186	4377	1996-01-31	PRIJEM	\N	177	26412	UROK	\N	\N
3664187	4377	1996-02-29	PRIJEM	\N	108	26606	UROK	\N	\N
3664188	4377	1996-03-31	PRIJEM	\N	173	54771	UROK	\N	\N
3664189	4377	1996-04-30	PRIJEM	\N	244	73973	UROK	\N	\N
3664190	4377	1996-05-31	PRIJEM	\N	303	50161	UROK	\N	\N
3664191	4377	1996-06-30	PRIJEM	\N	162	31409	UROK	\N	\N
3664192	4377	1996-07-31	PRIJEM	\N	271	77643	UROK	\N	\N
3664193	4377	1996-08-31	PRIJEM	\N	191	32827	UROK	\N	\N
3664194	4377	1996-09-30	PRIJEM	\N	134	28446	UROK	\N	\N
3664195	4377	1996-10-31	PRIJEM	\N	115	23146	UROK	\N	\N
3664196	4377	1996-11-30	PRIJEM	\N	153	43873	UROK	\N	\N
3664197	4377	1996-12-31	PRIJEM	\N	129	29488	UROK	\N	\N
3664198	4377	1997-01-31	PRIJEM	\N	150	45336	UROK	\N	\N
3664199	4377	1997-02-28	PRIJEM	\N	183	31405	UROK	\N	\N
3664200	4377	1997-03-31	PRIJEM	\N	126	21417	UROK	\N	\N
3664201	4377	1997-04-30	PRIJEM	\N	86	21487	UROK	\N	\N
3664202	4377	1997-06-30	PRIJEM	\N	88	21632	UROK	\N	\N
3664203	4377	1997-06-30	PRIJEM	\N	86	21544	UROK	\N	\N
3664204	4377	1997-07-31	PRIJEM	\N	86	21703	UROK	\N	\N
3664205	4377	1997-09-30	PRIJEM	\N	88	21762	UROK	\N	\N
3664206	4377	1997-09-30	PRIJEM	\N	86	21848	UROK	\N	\N
3664207	4377	1997-10-31	PRIJEM	\N	89	33295	UROK	\N	\N
3664208	4377	1997-11-30	PRIJEM	\N	280	34183	UROK	\N	\N
3664209	4377	1997-12-31	PRIJEM	\N	137	28905	UROK	\N	\N
3664210	4377	1998-01-31	PRIJEM	\N	203	38753	UROK	\N	\N
3664211	4377	1998-02-28	PRIJEM	\N	170	41450	UROK	\N	\N
3664212	4377	1998-03-31	PRIJEM	\N	307	38999	UROK	\N	\N
3664213	4377	1998-04-30	PRIJEM	\N	205	48792	UROK	\N	\N
3664214	4377	1998-05-31	PRIJEM	\N	167	23696	UROK	\N	\N
3664215	4377	1998-06-30	PRIJEM	\N	237	26270	UROK	\N	\N
3664216	4377	1998-07-31	PRIJEM	\N	107	56139	UROK	\N	\N
3664217	4377	1998-08-31	PRIJEM	\N	253	24015	UROK	\N	\N
3664218	4377	1998-09-30	PRIJEM	\N	96	39975	UROK	\N	\N
3664219	4377	1998-10-31	PRIJEM	\N	164	81771	UROK	\N	\N
3664220	4377	1998-11-30	PRIJEM	\N	326	21982	UROK	\N	\N
3664221	4377	1998-12-31	PRIJEM	\N	167	57008	UROK	\N	\N
3664222	4383	1996-12-31	PRIJEM	\N	45	30129	UROK	\N	\N
3664223	4383	1997-01-31	PRIJEM	\N	143	50321	UROK	\N	\N
3664224	4383	1997-02-28	PRIJEM	\N	215	52238	UROK	\N	\N
3664225	4383	1997-03-31	PRIJEM	\N	249	70502	UROK	\N	\N
3664226	4383	1997-04-30	PRIJEM	\N	192	38663	UROK	\N	\N
3664227	4383	1997-05-31	PRIJEM	\N	126	30268	UROK	\N	\N
3664228	4383	1997-06-30	PRIJEM	\N	111	51324	UROK	\N	\N
3664229	4383	1997-07-31	PRIJEM	\N	155	31865	UROK	\N	\N
3664230	4383	1997-08-31	PRIJEM	\N	123	37119	UROK	\N	\N
3664231	4383	1997-09-30	PRIJEM	\N	157	37630	UROK	\N	\N
3664232	4383	1997-10-31	PRIJEM	\N	103	21901	UROK	\N	\N
3664233	4383	1997-11-30	PRIJEM	\N	70	15539	UROK	\N	\N
3664234	4383	1997-12-31	PRIJEM	\N	89	46467	UROK	\N	\N
3664235	4383	1998-01-31	PRIJEM	\N	112	55253	UROK	\N	\N
3664236	4383	1998-02-28	PRIJEM	\N	225	67435	UROK	\N	\N
3664237	4383	1998-03-31	PRIJEM	\N	341	90867	UROK	\N	\N
3664238	4383	1998-04-30	PRIJEM	\N	185	48980	UROK	\N	\N
3664239	4383	1998-05-31	PRIJEM	\N	194	74194	UROK	\N	\N
3664240	4383	1998-06-30	PRIJEM	\N	209	65503	UROK	\N	\N
3664241	4383	1998-07-31	PRIJEM	\N	147	28859	UROK	\N	\N
3664242	4383	1998-08-31	PRIJEM	\N	235	107687	UROK	\N	\N
3664243	4383	1998-09-30	PRIJEM	\N	276	82704	UROK	\N	\N
3664244	4383	1998-10-31	PRIJEM	\N	196	74911	UROK	\N	\N
3664245	4383	1998-11-30	PRIJEM	\N	251	63418	UROK	\N	\N
3664246	4383	1998-12-31	PRIJEM	\N	194	74385	UROK	\N	\N
3664247	4386	1997-12-31	PRIJEM	\N	5	11293	UROK	\N	\N
3664248	4386	1998-01-31	PRIJEM	\N	52	21094	UROK	\N	\N
3664249	4386	1998-02-28	PRIJEM	\N	90	27477	UROK	\N	\N
3664250	4386	1998-03-31	PRIJEM	\N	119	39402	UROK	\N	\N
3664251	4386	1998-04-30	PRIJEM	\N	164	31266	UROK	\N	\N
3664252	4386	1998-05-31	PRIJEM	\N	164	25330	UROK	\N	\N
3664253	4386	1998-06-30	PRIJEM	\N	198	38586	UROK	\N	\N
3664254	4386	1998-07-31	PRIJEM	\N	141	21786	UROK	\N	\N
3664255	4386	1998-08-31	PRIJEM	\N	123	21380	UROK	\N	\N
3664256	4386	1998-09-30	PRIJEM	\N	83	13879	UROK	\N	\N
3664257	4386	1998-10-31	PRIJEM	\N	57	12952	UROK	\N	\N
3664258	4386	1998-11-30	PRIJEM	\N	52	11420	UROK	\N	\N
3664259	4386	1998-12-31	PRIJEM	\N	115	21806	UROK	\N	\N
3664260	4408	1994-05-31	PRIJEM	\N	65	48398	UROK	\N	\N
3664261	4408	1994-06-30	PRIJEM	\N	201	35799	UROK	\N	\N
3664262	4408	1994-07-31	PRIJEM	\N	211	51927	UROK	\N	\N
3664263	4408	1994-08-31	PRIJEM	\N	216	37142	UROK	\N	\N
3664264	4408	1994-09-30	PRIJEM	\N	230	77630	UROK	\N	\N
3664265	4408	1994-10-31	PRIJEM	\N	323	52152	UROK	\N	\N
3664266	4408	1994-11-30	PRIJEM	\N	323	39975	UROK	\N	\N
3664267	4408	1994-12-31	PRIJEM	\N	323	33997	UROK	\N	\N
3664268	4408	1995-01-31	PRIJEM	\N	203	43462	UROK	\N	\N
3664269	4408	1995-02-28	PRIJEM	\N	261	77381	UROK	\N	\N
3664270	4408	1995-03-31	PRIJEM	\N	247	60901	UROK	\N	\N
3664271	4408	1995-04-30	PRIJEM	\N	165	34551	UROK	\N	\N
3664272	4408	1995-05-31	PRIJEM	\N	310	77585	UROK	\N	\N
3664273	4408	1995-06-30	PRIJEM	\N	253	48396	UROK	\N	\N
3664274	4408	1995-07-31	PRIJEM	\N	138	70426	UROK	\N	\N
3664275	4408	1995-08-31	PRIJEM	\N	270	70082	UROK	\N	\N
3664276	4408	1995-09-30	PRIJEM	\N	282	88562	UROK	\N	\N
3664277	4408	1995-10-31	PRIJEM	\N	301	69658	UROK	\N	\N
3664278	4408	1995-11-30	PRIJEM	\N	238	98379	UROK	\N	\N
3664279	4408	1995-12-31	PRIJEM	\N	292	69956	UROK	\N	\N
3664280	4408	1996-01-31	PRIJEM	\N	199	32871	UROK	\N	\N
3664281	4408	1996-02-29	PRIJEM	\N	267	97705	UROK	\N	\N
3664282	4408	1996-03-31	PRIJEM	\N	263	30089	UROK	\N	\N
3664283	4408	1996-04-30	PRIJEM	\N	178	52016	UROK	\N	\N
3664284	4408	1996-05-31	PRIJEM	\N	234	43749	UROK	\N	\N
3664285	4408	1996-06-30	PRIJEM	\N	116	34421	UROK	\N	\N
3664286	4408	1996-07-31	PRIJEM	\N	243	55964	UROK	\N	\N
3664287	4408	1996-08-31	PRIJEM	\N	238	42651	UROK	\N	\N
3664288	4408	1996-09-30	PRIJEM	\N	351	50211	UROK	\N	\N
3664289	4408	1996-10-31	PRIJEM	\N	164	31889	UROK	\N	\N
3664290	4408	1996-11-30	PRIJEM	\N	130	29276	UROK	\N	\N
3664291	4408	1996-12-31	PRIJEM	\N	149	44346	UROK	\N	\N
3664292	4408	1997-01-31	PRIJEM	\N	224	48449	UROK	\N	\N
3664293	4408	1997-02-28	PRIJEM	\N	154	77690	UROK	\N	\N
3664294	4408	1997-03-31	PRIJEM	\N	339	109083	UROK	\N	\N
3664295	4408	1997-04-30	PRIJEM	\N	392	67029	UROK	\N	\N
3664296	4408	1997-05-31	PRIJEM	\N	315	72401	UROK	\N	\N
3664297	4408	1997-06-30	PRIJEM	\N	278	49392	UROK	\N	\N
3664298	4408	1997-07-31	PRIJEM	\N	243	92791	UROK	\N	\N
3664299	4408	1997-08-31	PRIJEM	\N	348	63453	UROK	\N	\N
3664300	4408	1997-09-30	PRIJEM	\N	311	70248	UROK	\N	\N
3664301	4408	1997-10-31	PRIJEM	\N	344	65893	UROK	\N	\N
3664302	4408	1997-11-30	PRIJEM	\N	256	55363	UROK	\N	\N
3664303	4408	1997-12-31	PRIJEM	\N	240	71395	UROK	\N	\N
3664304	4408	1998-01-31	PRIJEM	\N	271	57580	UROK	\N	\N
3664305	4408	1998-02-28	PRIJEM	\N	296	105937	UROK	\N	\N
3664306	4408	1998-03-31	PRIJEM	\N	354	74494	UROK	\N	\N
3664307	4408	1998-04-30	PRIJEM	\N	329	70077	UROK	\N	\N
3664308	4408	1998-05-31	PRIJEM	\N	359	84730	UROK	\N	\N
3664309	4408	1998-06-30	PRIJEM	\N	332	83490	UROK	\N	\N
3664310	4408	1998-07-31	PRIJEM	\N	328	70088	UROK	\N	\N
3664311	4408	1998-08-31	PRIJEM	\N	336	111926	UROK	\N	\N
3664312	4408	1998-09-30	PRIJEM	\N	445	82671	UROK	\N	\N
3664313	4408	1998-10-31	PRIJEM	\N	277	61136	UROK	\N	\N
3664314	4408	1998-11-30	PRIJEM	\N	267	76257	UROK	\N	\N
3664315	4408	1998-12-31	PRIJEM	\N	211	30221	UROK	\N	\N
3664316	4413	1994-02-28	PRIJEM	\N	70	31222	UROK	\N	\N
3664317	4413	1994-03-31	PRIJEM	\N	161	45935	UROK	\N	\N
3664318	4413	1994-04-30	PRIJEM	\N	204	51790	UROK	\N	\N
3664319	4413	1994-05-31	PRIJEM	\N	224	55967	UROK	\N	\N
3664320	4413	1994-06-30	PRIJEM	\N	199	22152	UROK	\N	\N
3664321	4413	1994-07-31	PRIJEM	\N	127	32800	UROK	\N	\N
3664322	4413	1994-08-31	PRIJEM	\N	120	24940	UROK	\N	\N
3664323	4413	1994-09-30	PRIJEM	\N	142	33402	UROK	\N	\N
3664324	4413	1994-10-31	PRIJEM	\N	140	28393	UROK	\N	\N
3664325	4413	1994-11-30	PRIJEM	\N	127	29540	UROK	\N	\N
3664326	4413	1994-12-31	PRIJEM	\N	159	39845	UROK	\N	\N
3664327	4413	1995-01-31	PRIJEM	\N	158	31345	UROK	\N	\N
3664328	4413	1995-02-28	PRIJEM	\N	137	26867	UROK	\N	\N
3664329	4413	1995-03-31	PRIJEM	\N	102	20888	UROK	\N	\N
3664330	4413	1995-04-30	PRIJEM	\N	110	27308	UROK	\N	\N
3664331	4413	1995-05-31	PRIJEM	\N	128	29146	UROK	\N	\N
3664332	4413	1995-06-30	PRIJEM	\N	220	63302	UROK	\N	\N
3664333	4413	1995-07-31	PRIJEM	\N	260	47668	UROK	\N	\N
3664334	4413	1995-08-31	PRIJEM	\N	193	48071	UROK	\N	\N
3664335	4413	1995-09-30	PRIJEM	\N	215	54296	UROK	\N	\N
3664336	4413	1995-10-31	PRIJEM	\N	197	44367	UROK	\N	\N
3664337	4413	1995-11-30	PRIJEM	\N	187	45435	UROK	\N	\N
3664338	4413	1995-12-31	PRIJEM	\N	232	59523	UROK	\N	\N
3664339	4413	1996-01-31	PRIJEM	\N	182	35215	UROK	\N	\N
3664340	4413	1996-02-29	PRIJEM	\N	157	37482	UROK	\N	\N
3664341	4413	1996-03-31	PRIJEM	\N	180	46471	UROK	\N	\N
3664342	4413	1996-04-30	PRIJEM	\N	203	48433	UROK	\N	\N
3664343	4413	1996-05-31	PRIJEM	\N	199	49042	UROK	\N	\N
3664344	4413	1996-06-30	PRIJEM	\N	263	70642	UROK	\N	\N
3664345	4413	1996-07-31	PRIJEM	\N	265	62617	UROK	\N	\N
3664346	4413	1996-08-31	PRIJEM	\N	240	53866	UROK	\N	\N
3664347	4413	1996-09-30	PRIJEM	\N	211	51088	UROK	\N	\N
3664348	4413	1996-10-31	PRIJEM	\N	186	44583	UROK	\N	\N
3664349	4413	1996-11-30	PRIJEM	\N	128	31295	UROK	\N	\N
3664350	4413	1996-12-31	PRIJEM	\N	190	30121	UROK	\N	\N
3664351	4413	1997-01-31	PRIJEM	\N	178	28709	UROK	\N	\N
3664352	4413	1997-02-28	PRIJEM	\N	143	35023	UROK	\N	\N
3664353	4413	1997-03-31	PRIJEM	\N	151	25284	UROK	\N	\N
3664354	4413	1997-04-30	PRIJEM	\N	161	30455	UROK	\N	\N
3664355	4413	1997-05-31	PRIJEM	\N	158	27320	UROK	\N	\N
3664356	4413	1997-06-30	PRIJEM	\N	207	36962	UROK	\N	\N
3664357	4413	1997-07-31	PRIJEM	\N	173	24495	UROK	\N	\N
3664358	4413	1997-08-31	PRIJEM	\N	152	29857	UROK	\N	\N
3664359	4413	1997-09-30	PRIJEM	\N	129	20610	UROK	\N	\N
3664360	4413	1997-10-31	PRIJEM	\N	99	20378	UROK	\N	\N
3664361	4413	1997-11-30	PRIJEM	\N	133	27221	UROK	\N	\N
3664362	4413	1997-12-31	PRIJEM	\N	196	35953	UROK	\N	\N
3664363	4413	1998-01-31	PRIJEM	\N	135	21398	UROK	\N	\N
3664364	4413	1998-02-28	PRIJEM	\N	130	23438	UROK	\N	\N
3664365	4413	1998-03-31	PRIJEM	\N	139	24487	UROK	\N	\N
3664366	4413	1998-04-30	PRIJEM	\N	142	26039	UROK	\N	\N
3664367	4413	1998-05-31	PRIJEM	\N	135	21784	UROK	\N	\N
3664368	4413	1998-06-30	PRIJEM	\N	165	29985	UROK	\N	\N
3664369	4413	1998-07-31	PRIJEM	\N	143	18014	UROK	\N	\N
3664370	4413	1998-08-31	PRIJEM	\N	121	30963	UROK	\N	\N
3664371	4413	1998-09-30	PRIJEM	\N	147	23020	UROK	\N	\N
3664372	4413	1998-10-31	PRIJEM	\N	130	33960	UROK	\N	\N
3664373	4413	1998-11-30	PRIJEM	\N	134	21804	UROK	\N	\N
3664374	4413	1998-12-31	PRIJEM	\N	139	24179	UROK	\N	\N
3664375	4414	1993-10-31	PRIJEM	\N	56	19094	UROK	\N	\N
3664376	4414	1993-11-30	PRIJEM	\N	104	27136	UROK	\N	\N
3664377	4414	1993-12-31	PRIJEM	\N	127	31820	UROK	\N	\N
3664378	4414	1994-01-31	PRIJEM	\N	133	31991	UROK	\N	\N
3664379	4414	1994-02-28	PRIJEM	\N	99	18902	UROK	\N	\N
3664380	4414	1994-03-31	PRIJEM	\N	91	20792	UROK	\N	\N
3664381	4414	1994-04-30	PRIJEM	\N	89	14339	UROK	\N	\N
3664382	4414	1994-05-31	PRIJEM	\N	71	17508	UROK	\N	\N
3664383	4414	1994-06-30	PRIJEM	\N	75	17001	UROK	\N	\N
3664384	4414	1994-07-31	PRIJEM	\N	75	17154	UROK	\N	\N
3664385	4414	1994-08-31	PRIJEM	\N	61	12213	UROK	\N	\N
3664386	4414	1994-09-30	PRIJEM	\N	52	11563	UROK	\N	\N
3664387	4414	1994-10-31	PRIJEM	\N	58	10420	UROK	\N	\N
3664388	4414	1994-11-30	PRIJEM	\N	85	21303	UROK	\N	\N
3664389	4414	1994-12-31	PRIJEM	\N	106	23647	UROK	\N	\N
3664390	4414	1995-01-31	PRIJEM	\N	96	16181	UROK	\N	\N
3664391	4414	1995-02-28	PRIJEM	\N	88	19568	UROK	\N	\N
3664392	4414	1995-03-31	PRIJEM	\N	105	24420	UROK	\N	\N
3664393	4414	1995-04-30	PRIJEM	\N	119	27586	UROK	\N	\N
3664394	4414	1995-05-31	PRIJEM	\N	124	24897	UROK	\N	\N
3664395	4414	1995-06-30	PRIJEM	\N	120	21223	UROK	\N	\N
3664396	4414	1995-07-31	PRIJEM	\N	112	22003	UROK	\N	\N
3664397	4414	1995-08-31	PRIJEM	\N	108	25438	UROK	\N	\N
3664398	4414	1995-09-30	PRIJEM	\N	120	28206	UROK	\N	\N
3664399	4414	1995-10-31	PRIJEM	\N	129	32382	UROK	\N	\N
3664400	4414	1995-11-30	PRIJEM	\N	136	34966	UROK	\N	\N
3664401	4414	1995-12-31	PRIJEM	\N	158	36490	UROK	\N	\N
3664402	4414	1996-01-31	PRIJEM	\N	103	27340	UROK	\N	\N
3664403	4414	1996-02-29	PRIJEM	\N	114	26901	UROK	\N	\N
3664404	4414	1996-03-31	PRIJEM	\N	112	26461	UROK	\N	\N
3664405	4414	1996-04-30	PRIJEM	\N	111	27319	UROK	\N	\N
3664406	4414	1996-05-31	PRIJEM	\N	118	32384	UROK	\N	\N
3664407	4414	1996-06-30	PRIJEM	\N	133	34424	UROK	\N	\N
3664408	4414	1996-07-31	PRIJEM	\N	142	30333	UROK	\N	\N
3664409	4414	1996-08-31	PRIJEM	\N	130	33910	UROK	\N	\N
3664410	4414	1996-09-30	PRIJEM	\N	143	35800	UROK	\N	\N
3664411	4414	1996-10-31	PRIJEM	\N	152	38800	UROK	\N	\N
3664412	4414	1996-11-30	PRIJEM	\N	163	39710	UROK	\N	\N
3664413	4414	1996-12-31	PRIJEM	\N	178	40694	UROK	\N	\N
3664414	4414	1997-01-31	PRIJEM	\N	159	35480	UROK	\N	\N
3664415	4414	1997-02-28	PRIJEM	\N	153	40181	UROK	\N	\N
3664416	4414	1997-03-31	PRIJEM	\N	163	39442	UROK	\N	\N
3664417	4414	1997-04-30	PRIJEM	\N	155	36956	UROK	\N	\N
3664418	4414	1997-05-31	PRIJEM	\N	154	37308	UROK	\N	\N
3664419	4414	1997-06-30	PRIJEM	\N	169	39775	UROK	\N	\N
3664420	4414	1997-07-31	PRIJEM	\N	171	40804	UROK	\N	\N
3664421	4414	1997-08-31	PRIJEM	\N	182	42084	UROK	\N	\N
3664422	4414	1997-09-30	PRIJEM	\N	196	52779	UROK	\N	\N
3664423	4414	1997-10-31	PRIJEM	\N	225	55802	UROK	\N	\N
3664424	4414	1997-11-30	PRIJEM	\N	230	52031	UROK	\N	\N
3664425	4414	1997-12-31	PRIJEM	\N	218	49966	UROK	\N	\N
3664426	4414	1998-01-31	PRIJEM	\N	173	37997	UROK	\N	\N
3664427	4414	1998-02-28	PRIJEM	\N	165	41060	UROK	\N	\N
3664428	4414	1998-03-31	PRIJEM	\N	179	42358	UROK	\N	\N
3664429	4414	1998-04-30	PRIJEM	\N	168	39624	UROK	\N	\N
3664430	4414	1998-05-31	PRIJEM	\N	158	36880	UROK	\N	\N
3664431	4414	1998-06-30	PRIJEM	\N	162	37560	UROK	\N	\N
3664432	4414	1998-07-31	PRIJEM	\N	141	31700	UROK	\N	\N
3664433	4414	1998-08-31	PRIJEM	\N	124	21882	UROK	\N	\N
3664434	4414	1998-09-30	PRIJEM	\N	109	29789	UROK	\N	\N
3664435	4414	1998-10-31	PRIJEM	\N	114	27801	UROK	\N	\N
3664436	4414	1998-11-30	PRIJEM	\N	109	24788	UROK	\N	\N
3664437	4414	1998-12-31	PRIJEM	\N	123	31528	UROK	\N	\N
3664438	4415	1995-07-31	PRIJEM	\N	80	25004	UROK	\N	\N
3664439	4415	1995-08-31	PRIJEM	\N	176	47605	UROK	\N	\N
3664440	4415	1995-09-30	PRIJEM	\N	241	61270	UROK	\N	\N
3664441	4415	1995-10-31	PRIJEM	\N	271	60165	UROK	\N	\N
3664442	4415	1995-11-30	PRIJEM	\N	232	51638	UROK	\N	\N
3664443	4415	1995-12-31	PRIJEM	\N	211	51697	UROK	\N	\N
3664444	4415	1996-01-31	PRIJEM	\N	147	15390	UROK	\N	\N
3664445	4415	1996-02-29	PRIJEM	\N	116	30372	UROK	\N	\N
3664446	4415	1996-03-31	PRIJEM	\N	160	37958	UROK	\N	\N
3664447	4415	1996-04-30	PRIJEM	\N	176	43060	UROK	\N	\N
3664448	4415	1996-05-31	PRIJEM	\N	190	38576	UROK	\N	\N
3664449	4415	1996-06-30	PRIJEM	\N	169	34774	UROK	\N	\N
3664450	4415	1996-07-31	PRIJEM	\N	172	34572	UROK	\N	\N
3664451	4415	1996-08-31	PRIJEM	\N	165	33364	UROK	\N	\N
3664452	4415	1996-09-30	PRIJEM	\N	170	32561	UROK	\N	\N
3664453	4415	1996-10-31	PRIJEM	\N	154	32841	UROK	\N	\N
3664454	4415	1996-11-30	PRIJEM	\N	170	36738	UROK	\N	\N
3664455	4415	1996-12-31	PRIJEM	\N	208	41634	UROK	\N	\N
3664456	4415	1997-01-31	PRIJEM	\N	188	28328	UROK	\N	\N
3664457	4415	1997-02-28	PRIJEM	\N	149	34503	UROK	\N	\N
3664458	4415	1997-03-31	PRIJEM	\N	176	35325	UROK	\N	\N
3664459	4415	1997-04-30	PRIJEM	\N	174	40955	UROK	\N	\N
3664460	4415	1997-05-31	PRIJEM	\N	188	39899	UROK	\N	\N
3664461	4415	1997-06-30	PRIJEM	\N	169	25267	UROK	\N	\N
3664462	4415	1997-07-31	PRIJEM	\N	136	35959	UROK	\N	\N
3664463	4415	1997-08-31	PRIJEM	\N	176	44231	UROK	\N	\N
3664464	4415	1997-09-30	PRIJEM	\N	206	47894	UROK	\N	\N
3664465	4415	1997-10-31	PRIJEM	\N	222	52972	UROK	\N	\N
3664466	4415	1997-11-30	PRIJEM	\N	222	51431	UROK	\N	\N
3664467	4415	1997-12-31	PRIJEM	\N	251	55521	UROK	\N	\N
3664468	4415	1998-01-31	PRIJEM	\N	213	36850	UROK	\N	\N
3664469	4415	1998-02-28	PRIJEM	\N	183	47689	UROK	\N	\N
3664470	4415	1998-03-31	PRIJEM	\N	214	47459	UROK	\N	\N
3664471	4415	1998-04-30	PRIJEM	\N	226	52712	UROK	\N	\N
3664472	4415	1998-05-31	PRIJEM	\N	245	51843	UROK	\N	\N
3664473	4415	1998-06-30	PRIJEM	\N	259	56991	UROK	\N	\N
3664474	4415	1998-07-31	PRIJEM	\N	252	55769	UROK	\N	\N
3664475	4415	1998-08-31	PRIJEM	\N	229	47724	UROK	\N	\N
3664476	4415	1998-09-30	PRIJEM	\N	182	30532	UROK	\N	\N
3664477	4415	1998-10-31	PRIJEM	\N	143	29482	UROK	\N	\N
3664478	4415	1998-11-30	PRIJEM	\N	151	33059	UROK	\N	\N
3664479	4415	1998-12-31	PRIJEM	\N	185	46493	UROK	\N	\N
3664480	4418	1994-03-31	PRIJEM	\N	50	17885	UROK	\N	\N
3664481	4418	1994-04-30	PRIJEM	\N	105	28425	UROK	\N	\N
3664482	4418	1994-05-31	PRIJEM	\N	140	35900	UROK	\N	\N
3664483	4418	1994-06-30	PRIJEM	\N	165	41017	UROK	\N	\N
3664484	4418	1994-07-31	PRIJEM	\N	171	41123	UROK	\N	\N
3664485	4418	1994-08-31	PRIJEM	\N	152	35617	UROK	\N	\N
3664486	4418	1994-09-30	PRIJEM	\N	146	34645	UROK	\N	\N
3664487	4418	1994-10-31	PRIJEM	\N	157	39245	UROK	\N	\N
3664488	4418	1994-11-30	PRIJEM	\N	146	34893	UROK	\N	\N
3664489	4418	1994-12-31	PRIJEM	\N	160	40273	UROK	\N	\N
3664490	4418	1995-01-31	PRIJEM	\N	151	34946	UROK	\N	\N
3664491	4418	1995-02-28	PRIJEM	\N	139	33927	UROK	\N	\N
3664492	4418	1995-03-31	PRIJEM	\N	143	35433	UROK	\N	\N
3664493	4418	1995-04-30	PRIJEM	\N	129	31404	UROK	\N	\N
3664494	4418	1995-05-31	PRIJEM	\N	140	34786	UROK	\N	\N
3664495	4418	1995-06-30	PRIJEM	\N	151	38097	UROK	\N	\N
3664496	4418	1995-07-31	PRIJEM	\N	152	37192	UROK	\N	\N
3664497	4418	1995-08-31	PRIJEM	\N	152	37186	UROK	\N	\N
3664498	4418	1995-09-30	PRIJEM	\N	142	34570	UROK	\N	\N
3664499	4418	1995-10-31	PRIJEM	\N	135	29048	UROK	\N	\N
3664500	4418	1995-11-30	PRIJEM	\N	120	26250	UROK	\N	\N
3664501	4418	1995-12-31	PRIJEM	\N	132	33322	UROK	\N	\N
3664502	4418	1996-01-31	PRIJEM	\N	86	16751	UROK	\N	\N
3664503	4418	1996-02-29	PRIJEM	\N	84	21977	UROK	\N	\N
3664504	4418	1996-03-31	PRIJEM	\N	79	15559	UROK	\N	\N
3664505	4418	1996-04-30	PRIJEM	\N	78	17379	UROK	\N	\N
3664506	4418	1996-05-31	PRIJEM	\N	80	14622	UROK	\N	\N
3664507	4418	1996-06-30	PRIJEM	\N	96	22378	UROK	\N	\N
3664508	4418	1996-07-31	PRIJEM	\N	105	21825	UROK	\N	\N
3664509	4418	1996-08-31	PRIJEM	\N	99	19206	UROK	\N	\N
3664510	4418	1996-09-30	PRIJEM	\N	88	16237	UROK	\N	\N
3664511	4418	1996-10-31	PRIJEM	\N	75	13855	UROK	\N	\N
3664512	4418	1996-11-30	PRIJEM	\N	63	12840	UROK	\N	\N
3664513	4418	1996-12-31	PRIJEM	\N	74	18354	UROK	\N	\N
3664514	4418	1997-01-31	PRIJEM	\N	84	16680	UROK	\N	\N
3664515	4418	1997-02-28	PRIJEM	\N	79	18002	UROK	\N	\N
3664516	4418	1997-03-31	PRIJEM	\N	76	14480	UROK	\N	\N
3664517	4418	1997-04-30	PRIJEM	\N	70	15492	UROK	\N	\N
3664518	4418	1997-05-31	PRIJEM	\N	69	13763	UROK	\N	\N
3664519	4418	1997-06-30	PRIJEM	\N	86	19609	UROK	\N	\N
3664520	4418	1997-07-31	PRIJEM	\N	88	17939	UROK	\N	\N
3664521	4418	1997-08-31	PRIJEM	\N	79	15160	UROK	\N	\N
3664522	4418	1997-09-30	PRIJEM	\N	76	19978	UROK	\N	\N
3664523	4418	1997-10-31	PRIJEM	\N	85	17005	UROK	\N	\N
3664524	4418	1997-11-30	PRIJEM	\N	81	20028	UROK	\N	\N
3664525	4418	1997-12-31	PRIJEM	\N	97	17925	UROK	\N	\N
3664526	4418	1998-01-31	PRIJEM	\N	80	18748	UROK	\N	\N
3664527	4418	1998-02-28	PRIJEM	\N	83	19473	UROK	\N	\N
3664528	4418	1998-03-31	PRIJEM	\N	84	18000	UROK	\N	\N
3664529	4418	1998-04-30	PRIJEM	\N	75	15417	UROK	\N	\N
3664530	4418	1998-05-31	PRIJEM	\N	77	20636	UROK	\N	\N
3664531	4418	1998-06-30	PRIJEM	\N	92	16788	UROK	\N	\N
3664532	4418	1998-07-31	PRIJEM	\N	72	16403	UROK	\N	\N
3664533	4418	1998-08-31	PRIJEM	\N	69	15714	UROK	\N	\N
3664534	4418	1998-09-30	PRIJEM	\N	67	15523	UROK	\N	\N
3664535	4418	1998-10-31	PRIJEM	\N	72	18217	UROK	\N	\N
3664536	4418	1998-11-30	PRIJEM	\N	87	22486	UROK	\N	\N
3664537	4418	1998-12-31	PRIJEM	\N	110	29116	UROK	\N	\N
3664538	4423	1995-05-31	PRIJEM	\N	19	23703	UROK	\N	\N
3664539	4423	1995-06-30	PRIJEM	\N	99	25302	UROK	\N	\N
3664540	4423	1995-07-31	PRIJEM	\N	145	102053	UROK	\N	\N
3664541	4423	1995-08-31	PRIJEM	\N	425	65478	UROK	\N	\N
3664542	4423	1995-09-30	PRIJEM	\N	425	45802	UROK	\N	\N
3664543	4423	1995-10-31	PRIJEM	\N	374	67827	UROK	\N	\N
3664544	4423	1995-11-30	PRIJEM	\N	306	90921	UROK	\N	\N
3664545	4423	1995-12-31	PRIJEM	\N	258	41527	UROK	\N	\N
3664546	4423	1996-01-31	PRIJEM	\N	122	20491	UROK	\N	\N
3664547	4423	1996-02-29	PRIJEM	\N	80	22113	UROK	\N	\N
3664548	4423	1996-03-31	PRIJEM	\N	84	22339	UROK	\N	\N
3664549	4423	1996-04-30	PRIJEM	\N	101	25727	UROK	\N	\N
3664550	4423	1996-05-31	PRIJEM	\N	100	27301	UROK	\N	\N
3664551	4423	1996-06-30	PRIJEM	\N	178	70298	UROK	\N	\N
3664552	4423	1996-07-31	PRIJEM	\N	237	42877	UROK	\N	\N
3664553	4423	1996-08-31	PRIJEM	\N	149	26868	UROK	\N	\N
3664554	4423	1996-09-30	PRIJEM	\N	112	29422	UROK	\N	\N
3664555	4423	1996-10-31	PRIJEM	\N	108	20337	UROK	\N	\N
3664556	4423	1996-11-30	PRIJEM	\N	141	36094	UROK	\N	\N
3664557	4423	1996-12-31	PRIJEM	\N	108	25358	UROK	\N	\N
3664558	4423	1997-01-31	PRIJEM	\N	99	21664	UROK	\N	\N
3664559	4423	1997-02-28	PRIJEM	\N	88	21694	UROK	\N	\N
3664560	4423	1997-03-31	PRIJEM	\N	96	25663	UROK	\N	\N
3664561	4423	1997-04-30	PRIJEM	\N	106	26811	UROK	\N	\N
3664562	4423	1997-05-31	PRIJEM	\N	98	22452	UROK	\N	\N
3664563	4423	1997-06-30	PRIJEM	\N	90	22284	UROK	\N	\N
3664564	4423	1997-07-31	PRIJEM	\N	77	16804	UROK	\N	\N
3664565	4423	1997-08-31	PRIJEM	\N	86	42947	UROK	\N	\N
3664566	4423	1997-09-30	PRIJEM	\N	138	27927	UROK	\N	\N
3664567	4423	1997-10-31	PRIJEM	\N	91	16861	UROK	\N	\N
3664568	4423	1997-11-30	PRIJEM	\N	50	9553	UROK	\N	\N
3664569	4423	1997-12-31	PRIJEM	\N	121	53944	UROK	\N	\N
3664570	4423	1998-01-31	PRIJEM	\N	228	74189	UROK	\N	\N
3664571	4423	1998-02-28	PRIJEM	\N	198	24455	UROK	\N	\N
3664572	4423	1998-03-31	PRIJEM	\N	291	78168	UROK	\N	\N
3664573	4423	1998-04-30	PRIJEM	\N	306	72203	UROK	\N	\N
3664574	4423	1998-05-31	PRIJEM	\N	292	79262	UROK	\N	\N
3664575	4423	1998-06-30	PRIJEM	\N	254	85349	UROK	\N	\N
3664576	4423	1998-07-31	PRIJEM	\N	228	45659	UROK	\N	\N
3664577	4423	1998-08-31	PRIJEM	\N	179	43521	UROK	\N	\N
3664578	4423	1998-09-30	PRIJEM	\N	207	64438	UROK	\N	\N
3664579	4423	1998-10-31	PRIJEM	\N	180	38818	UROK	\N	\N
3664580	4423	1998-11-30	PRIJEM	\N	105	58685	UROK	\N	\N
3664581	4423	1998-12-31	PRIJEM	\N	280	68846	UROK	\N	\N
3664582	4424	1996-02-29	PRIJEM	\N	5	17888	UROK	\N	\N
3664583	4424	1996-03-31	PRIJEM	\N	77	24448	UROK	\N	\N
3664584	4424	1996-04-30	PRIJEM	\N	103	28535	UROK	\N	\N
3664585	4424	1996-05-31	PRIJEM	\N	119	30037	UROK	\N	\N
3664586	4424	1996-06-30	PRIJEM	\N	125	30486	UROK	\N	\N
3664587	4424	1996-07-31	PRIJEM	\N	128	31382	UROK	\N	\N
3664588	4424	1996-08-31	PRIJEM	\N	139	30789	UROK	\N	\N
3664589	4424	1996-09-30	PRIJEM	\N	131	33888	UROK	\N	\N
3664590	4424	1996-10-31	PRIJEM	\N	154	35610	UROK	\N	\N
3664591	4424	1996-11-30	PRIJEM	\N	147	34826	UROK	\N	\N
3664592	4424	1996-12-31	PRIJEM	\N	155	35691	UROK	\N	\N
3664593	4424	1997-01-31	PRIJEM	\N	140	30999	UROK	\N	\N
3664594	4424	1997-02-28	PRIJEM	\N	132	33900	UROK	\N	\N
3664595	4424	1997-03-31	PRIJEM	\N	140	33208	UROK	\N	\N
3664596	4424	1997-04-30	PRIJEM	\N	138	32914	UROK	\N	\N
3664597	4424	1997-05-31	PRIJEM	\N	142	37425	UROK	\N	\N
3664598	4424	1997-06-30	PRIJEM	\N	167	36602	UROK	\N	\N
3664599	4424	1997-07-31	PRIJEM	\N	148	33518	UROK	\N	\N
3664600	4424	1997-08-31	PRIJEM	\N	142	31728	UROK	\N	\N
3664601	4424	1997-09-30	PRIJEM	\N	136	34533	UROK	\N	\N
3664602	4424	1997-10-31	PRIJEM	\N	146	33147	UROK	\N	\N
3664603	4424	1997-11-30	PRIJEM	\N	147	38262	UROK	\N	\N
3664604	4424	1997-12-31	PRIJEM	\N	181	43053	UROK	\N	\N
3664605	4424	1998-01-31	PRIJEM	\N	189	42310	UROK	\N	\N
3664606	4424	1998-02-28	PRIJEM	\N	190	46868	UROK	\N	\N
3664607	4424	1998-03-31	PRIJEM	\N	208	50944	UROK	\N	\N
3664608	4424	1998-04-30	PRIJEM	\N	218	54731	UROK	\N	\N
3664609	4424	1998-05-31	PRIJEM	\N	224	50623	UROK	\N	\N
3664610	4424	1998-06-30	PRIJEM	\N	184	43717	UROK	\N	\N
3664611	4424	1998-07-31	PRIJEM	\N	203	54788	UROK	\N	\N
3664612	4424	1998-08-31	PRIJEM	\N	226	58282	UROK	\N	\N
3664613	4424	1998-09-30	PRIJEM	\N	253	63303	UROK	\N	\N
3664614	4424	1998-10-31	PRIJEM	\N	267	65439	UROK	\N	\N
3664615	4424	1998-11-30	PRIJEM	\N	278	68385	UROK	\N	\N
3664616	4424	1998-12-31	PRIJEM	\N	319	80013	UROK	\N	\N
3664617	4427	1993-07-31	PRIJEM	\N	55	16279	UROK	\N	\N
3664618	4427	1993-08-31	PRIJEM	\N	107	27710	UROK	\N	\N
3664619	4427	1993-09-30	PRIJEM	\N	151	30485	UROK	\N	\N
3664620	4427	1993-10-31	PRIJEM	\N	127	24036	UROK	\N	\N
3664621	4427	1993-11-30	PRIJEM	\N	116	27971	UROK	\N	\N
3664622	4427	1993-12-31	PRIJEM	\N	143	29541	UROK	\N	\N
3664623	4427	1994-01-31	PRIJEM	\N	95	21320	UROK	\N	\N
3664624	4427	1994-02-28	PRIJEM	\N	97	21321	UROK	\N	\N
3664625	4427	1994-03-31	PRIJEM	\N	107	24633	UROK	\N	\N
3664626	4427	1994-04-30	PRIJEM	\N	100	21718	UROK	\N	\N
3664627	4427	1994-05-31	PRIJEM	\N	111	17193	UROK	\N	\N
3664628	4427	1994-06-30	PRIJEM	\N	99	23378	UROK	\N	\N
3664629	4427	1994-07-31	PRIJEM	\N	91	17973	UROK	\N	\N
3664630	4427	1994-08-31	PRIJEM	\N	83	20081	UROK	\N	\N
3664631	4427	1994-09-30	PRIJEM	\N	89	15754	UROK	\N	\N
3664632	4427	1994-10-31	PRIJEM	\N	73	22014	UROK	\N	\N
3664633	4427	1994-11-30	PRIJEM	\N	88	19688	UROK	\N	\N
3664634	4427	1994-12-31	PRIJEM	\N	92	20628	UROK	\N	\N
3664635	4427	1995-01-31	PRIJEM	\N	79	18873	UROK	\N	\N
3664636	4427	1995-02-28	PRIJEM	\N	62	15401	UROK	\N	\N
3664637	4427	1995-03-31	PRIJEM	\N	60	13848	UROK	\N	\N
3664638	4427	1995-04-30	PRIJEM	\N	55	14790	UROK	\N	\N
3664639	4427	1995-05-31	PRIJEM	\N	60	17036	UROK	\N	\N
3664640	4427	1995-06-30	PRIJEM	\N	62	13666	UROK	\N	\N
3664641	4427	1995-07-31	PRIJEM	\N	56	13068	UROK	\N	\N
3664642	4427	1995-08-31	PRIJEM	\N	52	12907	UROK	\N	\N
3664643	4427	1995-09-30	PRIJEM	\N	53	14847	UROK	\N	\N
3664644	4427	1995-10-31	PRIJEM	\N	61	16012	UROK	\N	\N
3664645	4427	1995-11-30	PRIJEM	\N	66	15683	UROK	\N	\N
3664646	4427	1995-12-31	PRIJEM	\N	70	18299	UROK	\N	\N
3664647	4427	1996-01-31	PRIJEM	\N	69	17272	UROK	\N	\N
3664648	4427	1996-02-29	PRIJEM	\N	71	17148	UROK	\N	\N
3664649	4427	1996-03-31	PRIJEM	\N	67	17079	UROK	\N	\N
3664650	4427	1996-04-30	PRIJEM	\N	68	16852	UROK	\N	\N
3664651	4427	1996-05-31	PRIJEM	\N	74	15230	UROK	\N	\N
3664652	4427	1996-06-30	PRIJEM	\N	67	15563	UROK	\N	\N
3664653	4427	1996-07-31	PRIJEM	\N	70	17738	UROK	\N	\N
3664654	4427	1996-08-31	PRIJEM	\N	63	13905	UROK	\N	\N
3664655	4427	1996-09-30	PRIJEM	\N	59	14468	UROK	\N	\N
3664656	4427	1996-10-31	PRIJEM	\N	70	15543	UROK	\N	\N
3664657	4427	1996-11-30	PRIJEM	\N	66	14514	UROK	\N	\N
3664658	4427	1996-12-31	PRIJEM	\N	83	20063	UROK	\N	\N
3664659	4427	1997-01-31	PRIJEM	\N	68	8816	UROK	\N	\N
3664660	4427	1997-02-28	PRIJEM	\N	51	13771	UROK	\N	\N
3664661	4427	1997-03-31	PRIJEM	\N	72	18747	UROK	\N	\N
3664662	4427	1997-04-30	PRIJEM	\N	68	16119	UROK	\N	\N
3664663	4427	1997-05-31	PRIJEM	\N	63	14987	UROK	\N	\N
3664664	4427	1997-06-30	PRIJEM	\N	62	14915	UROK	\N	\N
3664665	4427	1997-07-31	PRIJEM	\N	46	10666	UROK	\N	\N
3664666	4427	1997-08-31	PRIJEM	\N	32	7402	UROK	\N	\N
3664667	4427	1997-09-30	PRIJEM	\N	44	12351	UROK	\N	\N
3664668	4427	1997-10-31	PRIJEM	\N	50	12205	UROK	\N	\N
3664669	4427	1997-11-30	PRIJEM	\N	63	8972	UROK	\N	\N
3664670	4427	1997-12-31	PRIJEM	\N	53	11391	UROK	\N	\N
3664671	4427	1998-01-31	PRIJEM	\N	53	10749	UROK	\N	\N
3664672	4427	1998-02-28	PRIJEM	\N	57	15710	UROK	\N	\N
3664673	4427	1998-03-31	PRIJEM	\N	56	13770	UROK	\N	\N
3664674	4427	1998-04-30	PRIJEM	\N	48	10622	UROK	\N	\N
3664675	4427	1998-05-31	PRIJEM	\N	56	15582	UROK	\N	\N
3664676	4427	1998-06-30	PRIJEM	\N	51	11600	UROK	\N	\N
3664677	4427	1998-07-31	PRIJEM	\N	30	7234	UROK	\N	\N
3664678	4427	1998-08-31	PRIJEM	\N	35	4574	UROK	\N	\N
3664679	4427	1998-09-30	PRIJEM	\N	30	9508	UROK	\N	\N
3664680	4427	1998-10-31	PRIJEM	\N	46	7458	UROK	\N	\N
3664681	4427	1998-11-30	PRIJEM	\N	42	12404	UROK	\N	\N
3664682	4427	1998-12-31	PRIJEM	\N	55	14226	UROK	\N	\N
3664683	4434	1995-01-31	PRIJEM	\N	134	61390	UROK	\N	\N
3664684	4434	1995-02-28	PRIJEM	\N	260	78996	UROK	\N	\N
3664685	4434	1995-03-31	PRIJEM	\N	436	114729	UROK	\N	\N
3664686	4434	1995-04-30	PRIJEM	\N	316	101181	UROK	\N	\N
3664687	4434	1995-05-31	PRIJEM	\N	303	107969	UROK	\N	\N
3664688	4434	1995-06-30	PRIJEM	\N	279	36338	UROK	\N	\N
3664689	4434	1995-07-31	PRIJEM	\N	159	46673	UROK	\N	\N
3664690	4434	1995-08-31	PRIJEM	\N	305	84849	UROK	\N	\N
3664691	4434	1995-09-30	PRIJEM	\N	405	82272	UROK	\N	\N
3664692	4434	1995-10-31	PRIJEM	\N	281	56543	UROK	\N	\N
3664693	4434	1995-11-30	PRIJEM	\N	243	52986	UROK	\N	\N
3664694	4434	1995-12-31	PRIJEM	\N	210	61482	UROK	\N	\N
3664695	4434	1996-01-31	PRIJEM	\N	239	67787	UROK	\N	\N
3664696	4434	1996-02-29	PRIJEM	\N	397	97690	UROK	\N	\N
3664697	4434	1996-03-31	PRIJEM	\N	370	101424	UROK	\N	\N
3664698	4434	1996-04-30	PRIJEM	\N	376	91463	UROK	\N	\N
3664699	4434	1996-05-31	PRIJEM	\N	358	104218	UROK	\N	\N
3664700	4434	1996-06-30	PRIJEM	\N	346	41389	UROK	\N	\N
3664701	4434	1996-07-31	PRIJEM	\N	275	72221	UROK	\N	\N
3664702	4434	1996-08-31	PRIJEM	\N	203	45820	UROK	\N	\N
3664703	4434	1996-09-30	PRIJEM	\N	282	66535	UROK	\N	\N
3664704	4434	1996-10-31	PRIJEM	\N	337	48391	UROK	\N	\N
3664705	4434	1996-11-30	PRIJEM	\N	301	76050	UROK	\N	\N
3664706	4434	1996-12-31	PRIJEM	\N	207	93632	UROK	\N	\N
3664707	4434	1997-01-31	PRIJEM	\N	255	46478	UROK	\N	\N
3664708	4434	1997-02-28	PRIJEM	\N	192	48761	UROK	\N	\N
3664709	4434	1997-03-31	PRIJEM	\N	186	48668	UROK	\N	\N
3664710	4434	1997-04-30	PRIJEM	\N	191	47149	UROK	\N	\N
3664711	4434	1997-05-31	PRIJEM	\N	171	32032	UROK	\N	\N
3664712	4434	1997-06-30	PRIJEM	\N	138	42861	UROK	\N	\N
3664713	4434	1997-07-31	PRIJEM	\N	165	42117	UROK	\N	\N
3664714	4434	1997-08-31	PRIJEM	\N	182	52689	UROK	\N	\N
3664715	4434	1997-09-30	PRIJEM	\N	174	45726	UROK	\N	\N
3664716	4434	1997-10-31	PRIJEM	\N	165	45006	UROK	\N	\N
3664717	4434	1997-11-30	PRIJEM	\N	153	29784	UROK	\N	\N
3664718	4434	1997-12-31	PRIJEM	\N	131	37406	UROK	\N	\N
3664719	4434	1998-01-31	PRIJEM	\N	141	51768	UROK	\N	\N
3664720	4434	1998-02-28	PRIJEM	\N	326	88070	UROK	\N	\N
3664721	4434	1998-03-31	PRIJEM	\N	367	72226	UROK	\N	\N
3664722	4434	1998-04-30	PRIJEM	\N	306	77938	UROK	\N	\N
3664723	4434	1998-05-31	PRIJEM	\N	306	73437	UROK	\N	\N
3664724	4434	1998-06-30	PRIJEM	\N	215	47042	UROK	\N	\N
3664725	4434	1998-07-31	PRIJEM	\N	304	83298	UROK	\N	\N
3664726	4434	1998-08-31	PRIJEM	\N	299	51996	UROK	\N	\N
3664727	4434	1998-09-30	PRIJEM	\N	208	57228	UROK	\N	\N
3664728	4434	1998-10-31	PRIJEM	\N	308	105848	UROK	\N	\N
3664729	4434	1998-11-30	PRIJEM	\N	398	98598	UROK	\N	\N
3664730	4434	1998-12-31	PRIJEM	\N	308	71576	UROK	\N	\N
3664731	4438	1996-08-31	PRIJEM	\N	15	5661	UROK	\N	\N
3664732	4438	1996-09-30	PRIJEM	\N	66	21673	UROK	\N	\N
3664733	4438	1996-10-31	PRIJEM	\N	115	31134	UROK	\N	\N
3664734	4438	1996-11-30	PRIJEM	\N	133	32613	UROK	\N	\N
3664735	4438	1996-12-31	PRIJEM	\N	145	36177	UROK	\N	\N
3664736	4438	1997-01-31	PRIJEM	\N	83	17491	UROK	\N	\N
3664737	4438	1997-02-28	PRIJEM	\N	90	26713	UROK	\N	\N
3664738	4438	1997-03-31	PRIJEM	\N	119	29864	UROK	\N	\N
3664739	4438	1997-04-30	PRIJEM	\N	131	32326	UROK	\N	\N
3664740	4438	1997-05-31	PRIJEM	\N	130	30787	UROK	\N	\N
3664741	4438	1997-06-30	PRIJEM	\N	119	36310	UROK	\N	\N
3664742	4438	1997-07-31	PRIJEM	\N	129	30771	UROK	\N	\N
3664743	4438	1997-08-31	PRIJEM	\N	128	31330	UROK	\N	\N
3664744	4438	1997-09-30	PRIJEM	\N	130	28992	UROK	\N	\N
3664745	4438	1997-10-31	PRIJEM	\N	122	29685	UROK	\N	\N
3664746	4438	1997-11-30	PRIJEM	\N	128	34365	UROK	\N	\N
3664747	4438	1997-12-31	PRIJEM	\N	146	35155	UROK	\N	\N
3664748	4438	1998-01-31	PRIJEM	\N	119	22086	UROK	\N	\N
3664749	4438	1998-02-28	PRIJEM	\N	97	31214	UROK	\N	\N
3664750	4438	1998-03-31	PRIJEM	\N	132	34177	UROK	\N	\N
3664751	4438	1998-04-30	PRIJEM	\N	142	34151	UROK	\N	\N
3664752	4438	1998-05-31	PRIJEM	\N	143	35325	UROK	\N	\N
3664753	4438	1998-06-30	PRIJEM	\N	142	10451	UROK	\N	\N
3664754	4438	1998-07-31	PRIJEM	\N	61	29543	UROK	\N	\N
3664755	4438	1998-08-31	PRIJEM	\N	133	37308	UROK	\N	\N
3664756	4438	1998-09-30	PRIJEM	\N	158	39897	UROK	\N	\N
3664757	4438	1998-10-31	PRIJEM	\N	173	46501	UROK	\N	\N
3664758	4438	1998-11-30	PRIJEM	\N	196	46329	UROK	\N	\N
3664759	4438	1998-12-31	PRIJEM	\N	206	50700	UROK	\N	\N
3664760	4442	1996-09-30	PRIJEM	\N	74	22159	UROK	\N	\N
3664761	4442	1996-10-31	PRIJEM	\N	110	27453	UROK	\N	\N
3664762	4442	1996-11-30	PRIJEM	\N	125	30764	UROK	\N	\N
3664763	4442	1996-12-31	PRIJEM	\N	150	37142	UROK	\N	\N
3664764	4442	1997-01-31	PRIJEM	\N	134	26370	UROK	\N	\N
3664765	4442	1997-02-28	PRIJEM	\N	122	27072	UROK	\N	\N
3664766	4442	1997-03-31	PRIJEM	\N	95	19647	UROK	\N	\N
3664767	4442	1997-04-30	PRIJEM	\N	99	22126	UROK	\N	\N
3664768	4442	1997-05-31	PRIJEM	\N	121	28027	UROK	\N	\N
3664769	4442	1997-06-30	PRIJEM	\N	133	26684	UROK	\N	\N
3664770	4442	1997-07-31	PRIJEM	\N	138	32102	UROK	\N	\N
3664771	4442	1997-08-31	PRIJEM	\N	143	32425	UROK	\N	\N
3664772	4442	1997-09-30	PRIJEM	\N	149	34255	UROK	\N	\N
3664773	4442	1997-10-31	PRIJEM	\N	156	35791	UROK	\N	\N
3664774	4442	1997-11-30	PRIJEM	\N	153	34725	UROK	\N	\N
3664775	4442	1997-12-31	PRIJEM	\N	168	37516	UROK	\N	\N
3664776	4442	1998-01-31	PRIJEM	\N	143	25039	UROK	\N	\N
3664777	4442	1998-02-28	PRIJEM	\N	114	29434	UROK	\N	\N
3664778	4442	1998-03-31	PRIJEM	\N	141	32755	UROK	\N	\N
3664779	4442	1998-04-30	PRIJEM	\N	111	28446	UROK	\N	\N
3664780	4442	1998-05-31	PRIJEM	\N	113	20940	UROK	\N	\N
3664781	4442	1998-06-30	PRIJEM	\N	112	25875	UROK	\N	\N
3664782	4442	1998-07-31	PRIJEM	\N	114	19870	UROK	\N	\N
3664783	4442	1998-08-31	PRIJEM	\N	93	22943	UROK	\N	\N
3664784	4442	1998-09-30	PRIJEM	\N	111	18434	UROK	\N	\N
3664785	4442	1998-10-31	PRIJEM	\N	82	15097	UROK	\N	\N
3664786	4442	1998-11-30	PRIJEM	\N	73	19750	UROK	\N	\N
3664787	4442	1998-12-31	PRIJEM	\N	115	30089	UROK	\N	\N
3664788	4447	1996-06-30	PRIJEM	\N	17	30290	UROK	\N	\N
3664789	4447	1996-07-31	PRIJEM	\N	187	78908	UROK	\N	\N
3664790	4447	1996-08-31	PRIJEM	\N	368	72356	UROK	\N	\N
3664791	4447	1996-09-30	PRIJEM	\N	237	66150	UROK	\N	\N
3664792	4447	1996-10-31	PRIJEM	\N	206	28005	UROK	\N	\N
3664793	4447	1996-11-30	PRIJEM	\N	184	74813	UROK	\N	\N
3664794	4447	1996-12-31	PRIJEM	\N	230	43675	UROK	\N	\N
3664795	4447	1997-01-31	PRIJEM	\N	234	69642	UROK	\N	\N
3664796	4447	1997-02-28	PRIJEM	\N	219	35997	UROK	\N	\N
3664797	4447	1997-03-31	PRIJEM	\N	176	44946	UROK	\N	\N
3664798	4447	1997-04-30	PRIJEM	\N	291	89769	UROK	\N	\N
3664799	4447	1997-05-31	PRIJEM	\N	279	52180	UROK	\N	\N
3664800	4447	1997-06-30	PRIJEM	\N	128	19940	UROK	\N	\N
3664801	4447	1997-07-31	PRIJEM	\N	135	48114	UROK	\N	\N
3664802	4447	1997-08-31	PRIJEM	\N	150	29696	UROK	\N	\N
3664803	4447	1997-09-30	PRIJEM	\N	100	21027	UROK	\N	\N
3664804	4447	1997-10-31	PRIJEM	\N	73	16132	UROK	\N	\N
3664805	4447	1997-11-30	PRIJEM	\N	101	42638	UROK	\N	\N
3664806	4447	1997-12-31	PRIJEM	\N	160	68886	UROK	\N	\N
3664807	4447	1998-01-31	PRIJEM	\N	213	48773	UROK	\N	\N
3664808	4447	1998-02-28	PRIJEM	\N	195	58868	UROK	\N	\N
3664809	4447	1998-03-31	PRIJEM	\N	239	63668	UROK	\N	\N
3664810	4447	1998-04-30	PRIJEM	\N	187	34686	UROK	\N	\N
3664811	4447	1998-05-31	PRIJEM	\N	122	38574	UROK	\N	\N
3664812	4447	1998-06-30	PRIJEM	\N	198	57154	UROK	\N	\N
3664813	4447	1998-07-31	PRIJEM	\N	177	35162	UROK	\N	\N
3664814	4447	1998-08-31	PRIJEM	\N	109	32750	UROK	\N	\N
3664815	4447	1998-09-30	PRIJEM	\N	92	19727	UROK	\N	\N
3664816	4447	1998-10-31	PRIJEM	\N	97	22516	UROK	\N	\N
3664817	4447	1998-11-30	PRIJEM	\N	126	65262	UROK	\N	\N
3664818	4447	1998-12-31	PRIJEM	\N	301	69376	UROK	\N	\N
3664819	4448	1993-08-31	PRIJEM	\N	9	22333	UROK	\N	\N
3664820	4448	1993-09-30	PRIJEM	\N	89	60080	UROK	\N	\N
3664821	4448	1993-10-31	PRIJEM	\N	169	32149	UROK	\N	\N
3664822	4448	1993-11-30	PRIJEM	\N	169	26018	UROK	\N	\N
3664823	4448	1993-12-31	PRIJEM	\N	376	46984	UROK	\N	\N
3664824	4448	1994-01-31	PRIJEM	\N	127	24496	UROK	\N	\N
3664825	4448	1994-02-28	PRIJEM	\N	125	36678	UROK	\N	\N
3664826	4448	1994-03-31	PRIJEM	\N	175	38697	UROK	\N	\N
3664827	4448	1994-04-30	PRIJEM	\N	199	25247	UROK	\N	\N
3664828	4448	1994-05-31	PRIJEM	\N	173	42041	UROK	\N	\N
3664829	4448	1994-06-30	PRIJEM	\N	155	34582	UROK	\N	\N
3664830	4448	1994-07-31	PRIJEM	\N	141	31609	UROK	\N	\N
3664831	4448	1994-08-31	PRIJEM	\N	129	29423	UROK	\N	\N
3664832	4448	1994-09-30	PRIJEM	\N	149	29034	UROK	\N	\N
3664833	4448	1994-10-31	PRIJEM	\N	147	38100	UROK	\N	\N
3664834	4448	1994-11-30	PRIJEM	\N	222	51776	UROK	\N	\N
3664835	4448	1994-12-31	PRIJEM	\N	181	39490	UROK	\N	\N
3664836	4448	1995-01-31	PRIJEM	\N	189	72229	UROK	\N	\N
3664837	4448	1995-02-28	PRIJEM	\N	325	53615	UROK	\N	\N
3664838	4448	1995-03-31	PRIJEM	\N	216	48254	UROK	\N	\N
3664839	4448	1995-04-30	PRIJEM	\N	262	47116	UROK	\N	\N
3664840	4448	1995-05-31	PRIJEM	\N	185	79254	UROK	\N	\N
3664841	4448	1995-06-30	PRIJEM	\N	319	73606	UROK	\N	\N
3664842	4448	1995-07-31	PRIJEM	\N	259	51519	UROK	\N	\N
3664843	4448	1995-08-31	PRIJEM	\N	276	79469	UROK	\N	\N
3664844	4448	1995-09-30	PRIJEM	\N	381	92442	UROK	\N	\N
3664845	4448	1995-10-31	PRIJEM	\N	388	102672	UROK	\N	\N
3664846	4448	1995-11-30	PRIJEM	\N	402	97117	UROK	\N	\N
3664847	4448	1995-12-31	PRIJEM	\N	336	49923	UROK	\N	\N
3664848	4448	1996-01-31	PRIJEM	\N	224	42721	UROK	\N	\N
3664849	4448	1996-02-29	PRIJEM	\N	180	45532	UROK	\N	\N
3664850	4448	1996-03-31	PRIJEM	\N	227	81868	UROK	\N	\N
3664851	4448	1996-04-30	PRIJEM	\N	311	68926	UROK	\N	\N
3664852	4448	1996-05-31	PRIJEM	\N	343	69564	UROK	\N	\N
3664853	4448	1996-06-30	PRIJEM	\N	255	51951	UROK	\N	\N
3664854	4448	1996-07-31	PRIJEM	\N	271	79452	UROK	\N	\N
3664855	4448	1996-08-31	PRIJEM	\N	331	63967	UROK	\N	\N
3664856	4448	1996-09-30	PRIJEM	\N	307	89215	UROK	\N	\N
3664857	4448	1996-10-31	PRIJEM	\N	418	106613	UROK	\N	\N
3664858	4448	1996-11-30	PRIJEM	\N	357	63603	UROK	\N	\N
3664859	4448	1996-12-31	PRIJEM	\N	273	53166	UROK	\N	\N
3664860	4448	1997-01-31	PRIJEM	\N	218	53098	UROK	\N	\N
3664861	4448	1997-02-28	PRIJEM	\N	219	56698	UROK	\N	\N
3664862	4448	1997-03-31	PRIJEM	\N	328	84758	UROK	\N	\N
3664863	4448	1997-04-30	PRIJEM	\N	400	80684	UROK	\N	\N
3664864	4448	1997-05-31	PRIJEM	\N	328	68680	UROK	\N	\N
3664865	4448	1997-06-30	PRIJEM	\N	192	48046	UROK	\N	\N
3664866	4448	1997-07-31	PRIJEM	\N	316	101564	UROK	\N	\N
3664867	4448	1997-08-31	PRIJEM	\N	373	86449	UROK	\N	\N
3664868	4448	1997-09-30	PRIJEM	\N	336	121737	UROK	\N	\N
3664869	4448	1997-10-31	PRIJEM	\N	310	97592	UROK	\N	\N
3664870	4448	1997-11-30	PRIJEM	\N	382	103222	UROK	\N	\N
3664871	4448	1997-12-31	PRIJEM	\N	449	111611	UROK	\N	\N
3664872	4448	1998-01-31	PRIJEM	\N	312	57408	UROK	\N	\N
3664873	4448	1998-02-28	PRIJEM	\N	241	48696	UROK	\N	\N
3664874	4448	1998-03-31	PRIJEM	\N	216	64998	UROK	\N	\N
3664875	4448	1998-04-30	PRIJEM	\N	210	38143	UROK	\N	\N
3664876	4448	1998-05-31	PRIJEM	\N	262	71830	UROK	\N	\N
3664877	4448	1998-06-30	PRIJEM	\N	339	63624	UROK	\N	\N
3664878	4448	1998-07-31	PRIJEM	\N	260	50858	UROK	\N	\N
3664879	4448	1998-08-31	PRIJEM	\N	249	63935	UROK	\N	\N
3664880	4448	1998-09-30	PRIJEM	\N	268	66706	UROK	\N	\N
3664881	4448	1998-10-31	PRIJEM	\N	263	64454	UROK	\N	\N
3664882	4448	1998-11-30	PRIJEM	\N	312	78851	UROK	\N	\N
3664883	4448	1998-12-31	PRIJEM	\N	324	77160	UROK	\N	\N
3664884	4456	1996-09-30	PRIJEM	\N	88	30354	UROK	\N	\N
3664885	4456	1996-10-31	PRIJEM	\N	239	75159	UROK	\N	\N
3664886	4456	1996-11-30	PRIJEM	\N	324	76751	UROK	\N	\N
3664887	4456	1996-12-31	PRIJEM	\N	267	84388	UROK	\N	\N
3664888	4456	1997-01-31	PRIJEM	\N	226	30537	UROK	\N	\N
3664889	4456	1997-02-28	PRIJEM	\N	309	103924	UROK	\N	\N
3664890	4456	1997-03-31	PRIJEM	\N	393	105858	UROK	\N	\N
3664891	4456	1997-04-30	PRIJEM	\N	357	81218	UROK	\N	\N
3664892	4456	1997-05-31	PRIJEM	\N	399	95471	UROK	\N	\N
3664893	4456	1997-06-30	PRIJEM	\N	205	102550	UROK	\N	\N
3664894	4456	1997-07-31	PRIJEM	\N	415	60751	UROK	\N	\N
3664895	4456	1997-08-31	PRIJEM	\N	364	71306	UROK	\N	\N
3664896	4456	1997-09-30	PRIJEM	\N	349	79596	UROK	\N	\N
3664897	4456	1997-10-31	PRIJEM	\N	418	69908	UROK	\N	\N
3664898	4456	1997-11-30	PRIJEM	\N	357	86792	UROK	\N	\N
3664899	4456	1997-12-31	PRIJEM	\N	403	70745	UROK	\N	\N
3664900	4456	1998-01-31	PRIJEM	\N	160	37093	UROK	\N	\N
3664901	4456	1998-02-28	PRIJEM	\N	158	47783	UROK	\N	\N
3664902	4456	1998-03-31	PRIJEM	\N	198	45823	UROK	\N	\N
3664903	4456	1998-04-30	PRIJEM	\N	193	53348	UROK	\N	\N
3664904	4456	1998-05-31	PRIJEM	\N	223	59403	UROK	\N	\N
3664905	4456	1998-06-30	PRIJEM	\N	238	48462	UROK	\N	\N
3664906	4456	1998-07-31	PRIJEM	\N	200	68067	UROK	\N	\N
3664907	4456	1998-08-31	PRIJEM	\N	261	41645	UROK	\N	\N
3664908	4456	1998-09-30	PRIJEM	\N	265	71336	UROK	\N	\N
3664909	4456	1998-10-31	PRIJEM	\N	253	58221	UROK	\N	\N
3664910	4456	1998-11-30	PRIJEM	\N	202	82271	UROK	\N	\N
3664911	4456	1998-12-31	PRIJEM	\N	302	55904	UROK	\N	\N
3664912	4467	1997-04-30	PRIJEM	\N	35	14702	UROK	\N	\N
3664913	4467	1997-05-31	PRIJEM	\N	111	35179	UROK	\N	\N
3664914	4467	1997-06-30	PRIJEM	\N	177	48106	UROK	\N	\N
3664915	4467	1997-07-31	PRIJEM	\N	193	45366	UROK	\N	\N
3664916	4467	1997-08-31	PRIJEM	\N	186	44519	UROK	\N	\N
3664917	4467	1997-09-30	PRIJEM	\N	162	40362	UROK	\N	\N
3664918	4467	1997-10-31	PRIJEM	\N	115	30374	UROK	\N	\N
3664919	4467	1997-11-30	PRIJEM	\N	94	25750	UROK	\N	\N
3664920	4467	1997-12-31	PRIJEM	\N	114	26728	UROK	\N	\N
3664921	4467	1998-01-31	PRIJEM	\N	90	23799	UROK	\N	\N
3664922	4467	1998-02-28	PRIJEM	\N	101	27981	UROK	\N	\N
3664923	4467	1998-03-31	PRIJEM	\N	134	33196	UROK	\N	\N
3664924	4467	1998-04-30	PRIJEM	\N	107	25198	UROK	\N	\N
3664925	4467	1998-05-31	PRIJEM	\N	116	31695	UROK	\N	\N
3664926	4467	1998-06-30	PRIJEM	\N	172	48831	UROK	\N	\N
3664927	4467	1998-07-31	PRIJEM	\N	123	28834	UROK	\N	\N
3664928	4467	1998-08-31	PRIJEM	\N	133	29523	UROK	\N	\N
3664929	4467	1998-09-30	PRIJEM	\N	126	28553	UROK	\N	\N
3664930	4467	1998-10-31	PRIJEM	\N	134	36074	UROK	\N	\N
3664931	4467	1998-11-30	PRIJEM	\N	134	29795	UROK	\N	\N
3664932	4467	1998-12-31	PRIJEM	\N	130	31222	UROK	\N	\N
3664933	4471	1997-07-31	PRIJEM	\N	76	24568	UROK	\N	\N
3664934	4471	1997-08-31	PRIJEM	\N	138	35798	UROK	\N	\N
3664935	4471	1997-09-30	PRIJEM	\N	179	45069	UROK	\N	\N
3664936	4471	1997-10-31	PRIJEM	\N	218	54179	UROK	\N	\N
3664937	4471	1997-11-30	PRIJEM	\N	289	53341	UROK	\N	\N
3664938	4471	1997-12-31	PRIJEM	\N	322	56253	UROK	\N	\N
3664939	4471	1998-01-31	PRIJEM	\N	123	19278	UROK	\N	\N
3664940	4471	1998-02-28	PRIJEM	\N	141	35963	UROK	\N	\N
3664941	4471	1998-03-31	PRIJEM	\N	108	20227	UROK	\N	\N
3664942	4471	1998-04-30	PRIJEM	\N	96	22566	UROK	\N	\N
3664943	4471	1998-05-31	PRIJEM	\N	90	19985	UROK	\N	\N
3664944	4471	1998-06-30	PRIJEM	\N	204	53278	UROK	\N	\N
3664945	4471	1998-07-31	PRIJEM	\N	187	38780	UROK	\N	\N
3664946	4471	1998-08-31	PRIJEM	\N	145	27820	UROK	\N	\N
3664947	4471	1998-09-30	PRIJEM	\N	167	41831	UROK	\N	\N
3664948	4471	1998-10-31	PRIJEM	\N	153	32375	UROK	\N	\N
3664949	4471	1998-11-30	PRIJEM	\N	164	31083	UROK	\N	\N
3664950	4471	1998-12-31	PRIJEM	\N	223	57296	UROK	\N	\N
3664951	4473	1995-11-30	PRIJEM	\N	82	25807	UROK	\N	\N
3664952	4473	1995-12-31	PRIJEM	\N	164	43609	UROK	\N	\N
3664953	4473	1996-01-31	PRIJEM	\N	205	50639	UROK	\N	\N
3664954	4473	1996-02-29	PRIJEM	\N	258	65222	UROK	\N	\N
3664955	4473	1996-03-31	PRIJEM	\N	242	49684	UROK	\N	\N
3664956	4473	1996-04-30	PRIJEM	\N	223	50384	UROK	\N	\N
3664957	4473	1996-05-31	PRIJEM	\N	227	55368	UROK	\N	\N
3664958	4473	1996-06-30	PRIJEM	\N	284	69322	UROK	\N	\N
3664959	4473	1996-07-31	PRIJEM	\N	283	68263	UROK	\N	\N
3664960	4473	1996-08-31	PRIJEM	\N	261	62781	UROK	\N	\N
3664961	4473	1996-09-30	PRIJEM	\N	229	54748	UROK	\N	\N
3664962	4473	1996-10-31	PRIJEM	\N	228	55933	UROK	\N	\N
3664963	4473	1996-11-30	PRIJEM	\N	230	55140	UROK	\N	\N
3664964	4473	1996-12-31	PRIJEM	\N	273	69263	UROK	\N	\N
3664965	4473	1997-01-31	PRIJEM	\N	232	46307	UROK	\N	\N
3664966	4473	1997-02-28	PRIJEM	\N	203	47441	UROK	\N	\N
3664967	4473	1997-03-31	PRIJEM	\N	204	50136	UROK	\N	\N
3664968	4473	1997-04-30	PRIJEM	\N	221	54448	UROK	\N	\N
3664969	4473	1997-05-31	PRIJEM	\N	236	58035	UROK	\N	\N
3664970	4473	1997-06-30	PRIJEM	\N	261	66359	UROK	\N	\N
3664971	4473	1997-07-31	PRIJEM	\N	268	50719	UROK	\N	\N
3664972	4473	1997-08-31	PRIJEM	\N	246	51836	UROK	\N	\N
3664973	4473	1997-09-30	PRIJEM	\N	257	50485	UROK	\N	\N
3664974	4473	1997-10-31	PRIJEM	\N	253	54429	UROK	\N	\N
3664975	4473	1997-11-30	PRIJEM	\N	268	53768	UROK	\N	\N
3664976	4473	1997-12-31	PRIJEM	\N	293	55225	UROK	\N	\N
3664977	4473	1998-01-31	PRIJEM	\N	236	52752	UROK	\N	\N
3664978	4473	1998-02-28	PRIJEM	\N	253	52096	UROK	\N	\N
3664979	4473	1998-03-31	PRIJEM	\N	254	50641	UROK	\N	\N
3664980	4473	1998-04-30	PRIJEM	\N	238	50011	UROK	\N	\N
3664981	4473	1998-05-31	PRIJEM	\N	244	50146	UROK	\N	\N
3664982	4473	1998-06-30	PRIJEM	\N	267	50317	UROK	\N	\N
3664983	4473	1998-07-31	PRIJEM	\N	244	51452	UROK	\N	\N
3664984	4473	1998-08-31	PRIJEM	\N	245	50788	UROK	\N	\N
3664985	4473	1998-09-30	PRIJEM	\N	235	44715	UROK	\N	\N
3664986	4473	1998-10-31	PRIJEM	\N	203	40509	UROK	\N	\N
3664987	4473	1998-11-30	PRIJEM	\N	192	36693	UROK	\N	\N
3664988	4473	1998-12-31	PRIJEM	\N	230	60686	UROK	\N	\N
3664989	4475	1997-05-31	PRIJEM	\N	46	21265	UROK	\N	\N
3664990	4475	1997-06-30	PRIJEM	\N	124	37166	UROK	\N	\N
3664991	4475	1997-07-31	PRIJEM	\N	157	38142	UROK	\N	\N
3664992	4475	1997-08-31	PRIJEM	\N	154	36415	UROK	\N	\N
3664993	4475	1997-09-30	PRIJEM	\N	132	27494	UROK	\N	\N
3664994	4475	1997-10-31	PRIJEM	\N	121	30320	UROK	\N	\N
3664995	4475	1997-11-30	PRIJEM	\N	126	30150	UROK	\N	\N
3664996	4475	1997-12-31	PRIJEM	\N	128	29341	UROK	\N	\N
3664997	4475	1998-01-31	PRIJEM	\N	123	29769	UROK	\N	\N
3664998	4475	1998-02-28	PRIJEM	\N	127	23399	UROK	\N	\N
3664999	4475	1998-03-31	PRIJEM	\N	121	32225	UROK	\N	\N
3665000	4475	1998-04-30	PRIJEM	\N	135	32564	UROK	\N	\N
3665001	4475	1998-05-31	PRIJEM	\N	130	30998	UROK	\N	\N
3665002	4475	1998-06-30	PRIJEM	\N	127	32889	UROK	\N	\N
3665003	4475	1998-07-31	PRIJEM	\N	107	23004	UROK	\N	\N
3665004	4475	1998-08-31	PRIJEM	\N	132	35340	UROK	\N	\N
3665005	4475	1998-09-30	PRIJEM	\N	148	35293	UROK	\N	\N
3665006	4475	1998-10-31	PRIJEM	\N	151	35948	UROK	\N	\N
3665007	4475	1998-11-30	PRIJEM	\N	164	37816	UROK	\N	\N
3665008	4475	1998-12-31	PRIJEM	\N	165	32082	UROK	\N	\N
3665009	4476	1994-12-31	PRIJEM	\N	73	24686	UROK	\N	\N
3665010	4476	1995-01-31	PRIJEM	\N	126	32454	UROK	\N	\N
3665011	4476	1995-02-28	PRIJEM	\N	136	32932	UROK	\N	\N
3665012	4476	1995-03-31	PRIJEM	\N	141	34315	UROK	\N	\N
3665013	4476	1995-04-30	PRIJEM	\N	122	22829	UROK	\N	\N
3665014	4476	1995-05-31	PRIJEM	\N	97	19544	UROK	\N	\N
3665015	4476	1995-06-30	PRIJEM	\N	114	27547	UROK	\N	\N
3665016	4476	1995-07-31	PRIJEM	\N	121	27085	UROK	\N	\N
3665017	4476	1995-08-31	PRIJEM	\N	116	27218	UROK	\N	\N
3665018	4476	1995-09-30	PRIJEM	\N	118	27253	UROK	\N	\N
3665019	4476	1995-10-31	PRIJEM	\N	106	23596	UROK	\N	\N
3665020	4476	1995-11-30	PRIJEM	\N	97	22310	UROK	\N	\N
3665021	4476	1995-12-31	PRIJEM	\N	113	23632	UROK	\N	\N
3665022	4476	1996-01-31	PRIJEM	\N	89	14358	UROK	\N	\N
3665023	4476	1996-02-29	PRIJEM	\N	103	24878	UROK	\N	\N
3665024	4476	1996-03-31	PRIJEM	\N	120	28515	UROK	\N	\N
3665025	4476	1996-04-30	PRIJEM	\N	134	31766	UROK	\N	\N
3665026	4476	1996-05-31	PRIJEM	\N	136	32120	UROK	\N	\N
3665027	4476	1996-06-30	PRIJEM	\N	160	38068	UROK	\N	\N
3665028	4476	1996-07-31	PRIJEM	\N	142	32827	UROK	\N	\N
3665029	4476	1996-08-31	PRIJEM	\N	130	30875	UROK	\N	\N
3665030	4476	1996-09-30	PRIJEM	\N	88	17440	UROK	\N	\N
3665031	4476	1996-10-31	PRIJEM	\N	84	17308	UROK	\N	\N
3665032	4476	1996-11-30	PRIJEM	\N	95	19987	UROK	\N	\N
3665033	4476	1996-12-31	PRIJEM	\N	116	15798	UROK	\N	\N
3665034	4476	1997-01-31	PRIJEM	\N	78	15761	UROK	\N	\N
3665035	4476	1997-02-28	PRIJEM	\N	87	20453	UROK	\N	\N
3665036	4476	1997-03-31	PRIJEM	\N	107	21744	UROK	\N	\N
3665037	4476	1997-04-30	PRIJEM	\N	109	23277	UROK	\N	\N
3665038	4476	1997-05-31	PRIJEM	\N	121	26482	UROK	\N	\N
3665039	4476	1997-06-30	PRIJEM	\N	123	23040	UROK	\N	\N
3665040	4476	1997-07-31	PRIJEM	\N	116	24941	UROK	\N	\N
3665041	4476	1997-08-31	PRIJEM	\N	121	23546	UROK	\N	\N
3665042	4476	1997-09-30	PRIJEM	\N	106	23996	UROK	\N	\N
3665043	4476	1997-10-31	PRIJEM	\N	117	22597	UROK	\N	\N
3665044	4476	1997-11-30	PRIJEM	\N	96	18638	UROK	\N	\N
3665045	4476	1997-12-31	PRIJEM	\N	109	24222	UROK	\N	\N
3665046	4476	1998-01-31	PRIJEM	\N	81	16147	UROK	\N	\N
3665047	4476	1998-02-28	PRIJEM	\N	74	17425	UROK	\N	\N
3665048	4476	1998-03-31	PRIJEM	\N	89	18499	UROK	\N	\N
3665049	4476	1998-04-30	PRIJEM	\N	89	21353	UROK	\N	\N
3665050	4476	1998-05-31	PRIJEM	\N	99	17536	UROK	\N	\N
3665051	4476	1998-06-30	PRIJEM	\N	105	18796	UROK	\N	\N
3665052	4476	1998-07-31	PRIJEM	\N	87	15267	UROK	\N	\N
3665053	4476	1998-08-31	PRIJEM	\N	86	21837	UROK	\N	\N
3665054	4476	1998-09-30	PRIJEM	\N	97	17818	UROK	\N	\N
3665055	4476	1998-10-31	PRIJEM	\N	87	18223	UROK	\N	\N
3665056	4476	1998-11-30	PRIJEM	\N	86	17126	UROK	\N	\N
3665057	4476	1998-12-31	PRIJEM	\N	115	24909	UROK	\N	\N
3665058	4478	1993-08-31	PRIJEM	\N	33	24481	UROK	\N	\N
3665059	4478	1993-09-30	PRIJEM	\N	117	35746	UROK	\N	\N
3665060	4478	1993-10-31	PRIJEM	\N	157	41551	UROK	\N	\N
3665061	4478	1993-11-30	PRIJEM	\N	179	45678	UROK	\N	\N
3665062	4478	1993-12-31	PRIJEM	\N	206	55856	UROK	\N	\N
3665063	4478	1994-01-31	PRIJEM	\N	219	44608	UROK	\N	\N
3665064	4478	1994-02-28	PRIJEM	\N	190	47332	UROK	\N	\N
3665065	4478	1994-03-31	PRIJEM	\N	196	46661	UROK	\N	\N
3665066	4478	1994-04-30	PRIJEM	\N	195	47189	UROK	\N	\N
3665067	4478	1994-05-31	PRIJEM	\N	195	46518	UROK	\N	\N
3665068	4478	1994-06-30	PRIJEM	\N	195	34370	UROK	\N	\N
3665069	4478	1994-07-31	PRIJEM	\N	160	43263	UROK	\N	\N
3665070	4478	1994-08-31	PRIJEM	\N	178	42575	UROK	\N	\N
3665071	4478	1994-09-30	PRIJEM	\N	184	44392	UROK	\N	\N
3665072	4478	1994-10-31	PRIJEM	\N	194	45919	UROK	\N	\N
3665073	4478	1994-11-30	PRIJEM	\N	186	43139	UROK	\N	\N
3665074	4478	1994-12-31	PRIJEM	\N	201	48298	UROK	\N	\N
3665075	4478	1995-01-31	PRIJEM	\N	184	39715	UROK	\N	\N
3665076	4478	1995-02-28	PRIJEM	\N	173	43222	UROK	\N	\N
3665077	4478	1995-03-31	PRIJEM	\N	182	44337	UROK	\N	\N
3665078	4478	1995-04-30	PRIJEM	\N	187	45858	UROK	\N	\N
3665079	4478	1995-05-31	PRIJEM	\N	185	43575	UROK	\N	\N
3665080	4478	1995-06-30	PRIJEM	\N	181	20513	UROK	\N	\N
3665081	4478	1995-07-31	PRIJEM	\N	112	31459	UROK	\N	\N
3665082	4478	1995-08-31	PRIJEM	\N	173	48466	UROK	\N	\N
3665083	4478	1995-09-30	PRIJEM	\N	223	57322	UROK	\N	\N
3665084	4478	1995-10-31	PRIJEM	\N	248	61704	UROK	\N	\N
3665085	4478	1995-11-30	PRIJEM	\N	261	63998	UROK	\N	\N
3665086	4478	1995-12-31	PRIJEM	\N	283	73139	UROK	\N	\N
3665087	4478	1996-01-31	PRIJEM	\N	266	56738	UROK	\N	\N
3665088	4478	1996-02-29	PRIJEM	\N	259	66931	UROK	\N	\N
3665089	4478	1996-03-31	PRIJEM	\N	286	70350	UROK	\N	\N
3665090	4478	1996-04-30	PRIJEM	\N	296	72580	UROK	\N	\N
3665091	4478	1996-05-31	PRIJEM	\N	289	72202	UROK	\N	\N
3665092	4478	1996-06-30	PRIJEM	\N	296	76455	UROK	\N	\N
3665093	4478	1996-07-31	PRIJEM	\N	312	74800	UROK	\N	\N
3665094	4478	1996-08-31	PRIJEM	\N	313	76246	UROK	\N	\N
3665095	4478	1996-09-30	PRIJEM	\N	316	74996	UROK	\N	\N
3665096	4478	1996-10-31	PRIJEM	\N	323	80352	UROK	\N	\N
3665097	4478	1996-11-30	PRIJEM	\N	307	79992	UROK	\N	\N
3665098	4478	1996-12-31	PRIJEM	\N	367	94016	UROK	\N	\N
3665099	4478	1997-01-31	PRIJEM	\N	335	83685	UROK	\N	\N
3665100	4478	1997-02-28	PRIJEM	\N	359	89377	UROK	\N	\N
3665101	4478	1997-03-31	PRIJEM	\N	328	86539	UROK	\N	\N
3665102	4478	1997-04-30	PRIJEM	\N	349	83321	UROK	\N	\N
3665103	4478	1997-05-31	PRIJEM	\N	346	83200	UROK	\N	\N
3665104	4478	1997-06-30	PRIJEM	\N	351	81308	UROK	\N	\N
3665105	4478	1997-07-31	PRIJEM	\N	338	82880	UROK	\N	\N
3665106	4478	1997-08-31	PRIJEM	\N	321	77335	UROK	\N	\N
3665107	4478	1997-09-30	PRIJEM	\N	238	81706	UROK	\N	\N
3665108	4478	1997-10-31	PRIJEM	\N	332	67072	UROK	\N	\N
3665109	4478	1997-11-30	PRIJEM	\N	275	67880	UROK	\N	\N
3665110	4478	1997-12-31	PRIJEM	\N	352	68190	UROK	\N	\N
3665111	4478	1998-01-31	PRIJEM	\N	302	56125	UROK	\N	\N
3665112	4478	1998-02-28	PRIJEM	\N	258	56617	UROK	\N	\N
3665113	4478	1998-03-31	PRIJEM	\N	231	57781	UROK	\N	\N
3665114	4478	1998-04-30	PRIJEM	\N	237	62251	UROK	\N	\N
3665115	4478	1998-05-31	PRIJEM	\N	289	61074	UROK	\N	\N
3665116	4478	1998-06-30	PRIJEM	\N	256	56387	UROK	\N	\N
3665117	4478	1998-07-31	PRIJEM	\N	228	55848	UROK	\N	\N
3665118	4478	1998-08-31	PRIJEM	\N	228	56510	UROK	\N	\N
3665119	4478	1998-09-30	PRIJEM	\N	232	60175	UROK	\N	\N
3665120	4478	1998-10-31	PRIJEM	\N	242	57450	UROK	\N	\N
3665121	4478	1998-11-30	PRIJEM	\N	231	56615	UROK	\N	\N
3665122	4478	1998-12-31	PRIJEM	\N	316	91088	UROK	\N	\N
3665173	4503	1995-02-28	PRIJEM	\N	65	40000	UROK	\N	\N
3665174	4503	1995-03-31	PRIJEM	\N	202	81584	UROK	\N	\N
3665175	4503	1995-04-30	PRIJEM	\N	327	98306	UROK	\N	\N
3665176	4503	1995-05-31	PRIJEM	\N	434	112314	UROK	\N	\N
3665177	4503	1995-06-30	PRIJEM	\N	208	45760	UROK	\N	\N
3665178	4503	1995-07-31	PRIJEM	\N	173	60098	UROK	\N	\N
3665179	4503	1995-08-31	PRIJEM	\N	162	24567	UROK	\N	\N
3665180	4503	1995-09-30	PRIJEM	\N	138	35752	UROK	\N	\N
3665181	4503	1995-10-31	PRIJEM	\N	271	65691	UROK	\N	\N
3665182	4503	1995-11-30	PRIJEM	\N	379	69514	UROK	\N	\N
3665183	4503	1995-12-31	PRIJEM	\N	301	54884	UROK	\N	\N
3665184	4503	1996-01-31	PRIJEM	\N	223	42348	UROK	\N	\N
3665185	4503	1996-02-29	PRIJEM	\N	279	56157	UROK	\N	\N
3665186	4503	1996-03-31	PRIJEM	\N	340	55250	UROK	\N	\N
3665187	4503	1996-04-30	PRIJEM	\N	222	41237	UROK	\N	\N
3665188	4503	1996-05-31	PRIJEM	\N	159	26562	UROK	\N	\N
3665189	4503	1996-06-30	PRIJEM	\N	166	30821	UROK	\N	\N
3665190	4503	1996-07-31	PRIJEM	\N	219	97085	UROK	\N	\N
3665191	4503	1996-08-31	PRIJEM	\N	320	53100	UROK	\N	\N
3665192	4503	1996-09-30	PRIJEM	\N	360	84771	UROK	\N	\N
3665193	4503	1996-10-31	PRIJEM	\N	350	37252	UROK	\N	\N
3665194	4503	1996-11-30	PRIJEM	\N	239	55193	UROK	\N	\N
3665195	4503	1996-12-31	PRIJEM	\N	270	48154	UROK	\N	\N
3665196	4503	1997-01-31	PRIJEM	\N	207	72750	UROK	\N	\N
3665197	4503	1997-02-28	PRIJEM	\N	297	42583	UROK	\N	\N
3665198	4503	1997-03-31	PRIJEM	\N	141	24803	UROK	\N	\N
3665199	4503	1997-04-30	PRIJEM	\N	101	22070	UROK	\N	\N
3665200	4503	1997-05-31	PRIJEM	\N	94	26022	UROK	\N	\N
3665201	4503	1997-06-30	PRIJEM	\N	100	21087	UROK	\N	\N
3665202	4503	1997-07-31	PRIJEM	\N	151	71156	UROK	\N	\N
3665203	4503	1997-08-31	PRIJEM	\N	212	25654	UROK	\N	\N
3665204	4503	1997-09-30	PRIJEM	\N	111	37444	UROK	\N	\N
3665205	4503	1997-10-31	PRIJEM	\N	127	27531	UROK	\N	\N
3665206	4503	1997-11-30	PRIJEM	\N	112	24809	UROK	\N	\N
3665207	4503	1997-12-31	PRIJEM	\N	100	22075	UROK	\N	\N
3665208	4503	1998-01-31	PRIJEM	\N	105	36365	UROK	\N	\N
3665209	4503	1998-02-28	PRIJEM	\N	223	76771	UROK	\N	\N
3665210	4503	1998-03-31	PRIJEM	\N	201	25119	UROK	\N	\N
3665211	4503	1998-04-30	PRIJEM	\N	129	62731	UROK	\N	\N
3665212	4503	1998-05-31	PRIJEM	\N	198	44856	UROK	\N	\N
3665213	4503	1998-06-30	PRIJEM	\N	187	66742	UROK	\N	\N
3665214	4503	1998-07-31	PRIJEM	\N	252	46327	UROK	\N	\N
3665215	4503	1998-08-31	PRIJEM	\N	185	36447	UROK	\N	\N
3665216	4503	1998-09-30	PRIJEM	\N	163	38154	UROK	\N	\N
3665217	4503	1998-10-31	PRIJEM	\N	185	70520	UROK	\N	\N
3665218	4503	1998-11-30	PRIJEM	\N	264	64847	UROK	\N	\N
3665219	4503	1998-12-31	PRIJEM	\N	245	74434	UROK	\N	\N
3665220	4511	1993-10-31	PRIJEM	\N	12	15334	UROK	\N	\N
3665221	4511	1993-11-30	PRIJEM	\N	71	23727	UROK	\N	\N
3665222	4511	1993-12-31	PRIJEM	\N	104	29314	UROK	\N	\N
3665223	4511	1994-01-31	PRIJEM	\N	123	30659	UROK	\N	\N
3665224	4511	1994-02-28	PRIJEM	\N	127	30708	UROK	\N	\N
3665225	4511	1994-03-31	PRIJEM	\N	129	27196	UROK	\N	\N
3665226	4511	1994-04-30	PRIJEM	\N	116	26072	UROK	\N	\N
3665227	4511	1994-05-31	PRIJEM	\N	114	27845	UROK	\N	\N
3665228	4511	1994-06-30	PRIJEM	\N	128	30793	UROK	\N	\N
3665229	4511	1994-07-31	PRIJEM	\N	116	26229	UROK	\N	\N
3665230	4511	1994-08-31	PRIJEM	\N	111	25199	UROK	\N	\N
3665231	4511	1994-09-30	PRIJEM	\N	104	22462	UROK	\N	\N
3665232	4511	1994-10-31	PRIJEM	\N	84	21646	UROK	\N	\N
3665233	4511	1994-11-30	PRIJEM	\N	95	23201	UROK	\N	\N
3665234	4511	1994-12-31	PRIJEM	\N	95	18496	UROK	\N	\N
3665235	4511	1995-01-31	PRIJEM	\N	60	14675	UROK	\N	\N
3665236	4511	1995-02-28	PRIJEM	\N	72	20007	UROK	\N	\N
3665237	4511	1995-03-31	PRIJEM	\N	94	23400	UROK	\N	\N
3665238	4511	1995-04-30	PRIJEM	\N	101	24160	UROK	\N	\N
3665239	4511	1995-05-31	PRIJEM	\N	104	25024	UROK	\N	\N
3665240	4511	1995-06-30	PRIJEM	\N	104	23248	UROK	\N	\N
3665241	4511	1995-07-31	PRIJEM	\N	103	25410	UROK	\N	\N
3665242	4511	1995-08-31	PRIJEM	\N	110	26980	UROK	\N	\N
3665243	4511	1995-09-30	PRIJEM	\N	104	22363	UROK	\N	\N
3665244	4511	1995-10-31	PRIJEM	\N	94	22416	UROK	\N	\N
3665245	4511	1995-11-30	PRIJEM	\N	91	21067	UROK	\N	\N
3665246	4511	1995-12-31	PRIJEM	\N	90	19858	UROK	\N	\N
3665247	4511	1996-01-31	PRIJEM	\N	69	13666	UROK	\N	\N
3665248	4511	1996-02-29	PRIJEM	\N	65	16991	UROK	\N	\N
3665249	4511	1996-03-31	PRIJEM	\N	73	17623	UROK	\N	\N
3665250	4511	1996-04-30	PRIJEM	\N	64	15046	UROK	\N	\N
3665251	4511	1996-05-31	PRIJEM	\N	64	14829	UROK	\N	\N
3665252	4511	1996-06-30	PRIJEM	\N	61	13550	UROK	\N	\N
3665253	4511	1996-07-31	PRIJEM	\N	65	16975	UROK	\N	\N
3665254	4511	1996-08-31	PRIJEM	\N	82	21316	UROK	\N	\N
3665255	4511	1996-09-30	PRIJEM	\N	86	26362	UROK	\N	\N
3665256	4511	1996-10-31	PRIJEM	\N	101	17022	UROK	\N	\N
3665257	4511	1996-11-30	PRIJEM	\N	100	27282	UROK	\N	\N
3665258	4511	1996-12-31	PRIJEM	\N	118	24740	UROK	\N	\N
3665259	4511	1997-01-31	PRIJEM	\N	83	17902	UROK	\N	\N
3665260	4511	1997-02-28	PRIJEM	\N	86	19828	UROK	\N	\N
3665261	4511	1997-03-31	PRIJEM	\N	107	28594	UROK	\N	\N
3665262	4511	1997-04-30	PRIJEM	\N	135	34689	UROK	\N	\N
3665263	4511	1997-05-31	PRIJEM	\N	155	34043	UROK	\N	\N
3665264	4511	1997-06-30	PRIJEM	\N	129	30972	UROK	\N	\N
3665265	4511	1997-07-31	PRIJEM	\N	139	35071	UROK	\N	\N
3665266	4511	1997-08-31	PRIJEM	\N	150	37180	UROK	\N	\N
3665267	4511	1997-09-30	PRIJEM	\N	154	37154	UROK	\N	\N
3665268	4511	1997-10-31	PRIJEM	\N	165	39318	UROK	\N	\N
3665269	4511	1997-11-30	PRIJEM	\N	159	39036	UROK	\N	\N
3665270	4511	1997-12-31	PRIJEM	\N	175	40331	UROK	\N	\N
3665271	4511	1998-01-31	PRIJEM	\N	133	24423	UROK	\N	\N
3665272	4511	1998-02-28	PRIJEM	\N	129	34511	UROK	\N	\N
3665273	4511	1998-03-31	PRIJEM	\N	164	42135	UROK	\N	\N
3665274	4511	1998-04-30	PRIJEM	\N	174	42868	UROK	\N	\N
3665275	4511	1998-05-31	PRIJEM	\N	168	40795	UROK	\N	\N
3665276	4511	1998-06-30	PRIJEM	\N	172	43187	UROK	\N	\N
3665277	4511	1998-07-31	PRIJEM	\N	158	37025	UROK	\N	\N
3665278	4511	1998-08-31	PRIJEM	\N	114	23798	UROK	\N	\N
3665279	4511	1998-09-30	PRIJEM	\N	113	28470	UROK	\N	\N
3665280	4511	1998-10-31	PRIJEM	\N	122	28912	UROK	\N	\N
3665281	4511	1998-11-30	PRIJEM	\N	121	22292	UROK	\N	\N
3665282	4511	1998-12-31	PRIJEM	\N	102	25234	UROK	\N	\N
3665337	4527	1997-06-30	PRIJEM	\N	100	42582	UROK	\N	\N
3665338	4527	1997-07-31	PRIJEM	\N	175	30657	UROK	\N	\N
3665339	4527	1997-08-31	PRIJEM	\N	116	39779	UROK	\N	\N
3665340	4527	1997-09-30	PRIJEM	\N	165	28745	UROK	\N	\N
3665341	4527	1997-10-31	PRIJEM	\N	165	24310	UROK	\N	\N
3665342	4527	1997-11-30	PRIJEM	\N	193	64591	UROK	\N	\N
3665343	4527	1997-12-31	PRIJEM	\N	441	43232	UROK	\N	\N
3665344	4527	1998-01-31	PRIJEM	\N	441	33673	UROK	\N	\N
3665345	4527	1998-02-28	PRIJEM	\N	321	37828	UROK	\N	\N
3665346	4527	1998-03-31	PRIJEM	\N	135	28426	UROK	\N	\N
3665347	4527	1998-04-30	PRIJEM	\N	145	42877	UROK	\N	\N
3665348	4527	1998-05-31	PRIJEM	\N	214	46874	UROK	\N	\N
3665349	4527	1998-06-30	PRIJEM	\N	190	40876	UROK	\N	\N
3665350	4527	1998-07-31	PRIJEM	\N	197	58911	UROK	\N	\N
3665351	4527	1998-08-31	PRIJEM	\N	261	41630	UROK	\N	\N
3665352	4527	1998-09-30	PRIJEM	\N	188	58501	UROK	\N	\N
3665353	4527	1998-10-31	PRIJEM	\N	216	49459	UROK	\N	\N
3665354	4527	1998-11-30	PRIJEM	\N	191	37936	UROK	\N	\N
3665355	4527	1998-12-31	PRIJEM	\N	129	23651	UROK	\N	\N
3665356	4533	1997-10-31	PRIJEM	\N	132	57662	UROK	\N	\N
3665357	4533	1997-11-30	PRIJEM	\N	240	44702	UROK	\N	\N
3665358	4533	1997-12-31	PRIJEM	\N	265	97756	UROK	\N	\N
3665359	4533	1998-01-31	PRIJEM	\N	280	64546	UROK	\N	\N
3665360	4533	1998-02-28	PRIJEM	\N	237	87423	UROK	\N	\N
3665361	4533	1998-03-31	PRIJEM	\N	230	55280	UROK	\N	\N
3665362	4533	1998-04-30	PRIJEM	\N	290	90315	UROK	\N	\N
3665363	4533	1998-05-31	PRIJEM	\N	361	62366	UROK	\N	\N
3665364	4533	1998-06-30	PRIJEM	\N	200	38077	UROK	\N	\N
3665365	4533	1998-07-31	PRIJEM	\N	194	46445	UROK	\N	\N
3665366	4533	1998-08-31	PRIJEM	\N	164	42061	UROK	\N	\N
3665367	4533	1998-09-30	PRIJEM	\N	143	22300	UROK	\N	\N
3665368	4533	1998-10-31	PRIJEM	\N	112	52212	UROK	\N	\N
3665369	4533	1998-11-30	PRIJEM	\N	216	105056	UROK	\N	\N
3665370	4533	1998-12-31	PRIJEM	\N	367	88143	UROK	\N	\N
3665371	4537	1996-08-31	PRIJEM	\N	276	99871	UROK	\N	\N
3665372	4537	1996-09-30	PRIJEM	\N	327	76953	UROK	\N	\N
3665373	4537	1996-10-31	PRIJEM	\N	295	56463	UROK	\N	\N
3665374	4537	1996-11-30	PRIJEM	\N	261	81722	UROK	\N	\N
3665375	4537	1996-12-31	PRIJEM	\N	302	78947	UROK	\N	\N
3665376	4537	1997-01-31	PRIJEM	\N	167	22626	UROK	\N	\N
3665377	4537	1997-02-28	PRIJEM	\N	121	34194	UROK	\N	\N
3665378	4537	1997-03-31	PRIJEM	\N	165	50230	UROK	\N	\N
3665379	4537	1997-04-30	PRIJEM	\N	237	62170	UROK	\N	\N
3665380	4537	1997-05-31	PRIJEM	\N	257	48896	UROK	\N	\N
3665381	4537	1997-06-30	PRIJEM	\N	174	31040	UROK	\N	\N
3665382	4537	1997-07-31	PRIJEM	\N	153	26759	UROK	\N	\N
3665383	4537	1997-08-31	PRIJEM	\N	149	34610	UROK	\N	\N
3665384	4537	1997-09-30	PRIJEM	\N	149	52574	UROK	\N	\N
3665385	4537	1997-10-31	PRIJEM	\N	235	51183	UROK	\N	\N
3665386	4537	1997-11-30	PRIJEM	\N	213	50666	UROK	\N	\N
3665387	4537	1997-12-31	PRIJEM	\N	295	107812	UROK	\N	\N
3665388	4537	1998-01-31	PRIJEM	\N	224	22606	UROK	\N	\N
3665389	4537	1998-02-28	PRIJEM	\N	137	55332	UROK	\N	\N
3665390	4537	1998-03-31	PRIJEM	\N	230	56731	UROK	\N	\N
3665391	4537	1998-04-30	PRIJEM	\N	220	49821	UROK	\N	\N
3665392	4537	1998-05-31	PRIJEM	\N	207	56098	UROK	\N	\N
3665393	4537	1998-06-30	PRIJEM	\N	296	89753	UROK	\N	\N
3665394	4537	1998-07-31	PRIJEM	\N	371	74193	UROK	\N	\N
3665395	4537	1998-08-31	PRIJEM	\N	307	66970	UROK	\N	\N
3665396	4537	1998-09-30	PRIJEM	\N	374	98867	UROK	\N	\N
3665397	4537	1998-10-31	PRIJEM	\N	407	75145	UROK	\N	\N
3665398	4537	1998-11-30	PRIJEM	\N	310	64925	UROK	\N	\N
3665399	4537	1998-12-31	PRIJEM	\N	221	51915	UROK	\N	\N
3665424	4550	1997-02-28	PRIJEM	\N	31	9361	UROK	\N	\N
3665425	4550	1997-03-31	PRIJEM	\N	70	19061	UROK	\N	\N
3665426	4550	1997-04-30	PRIJEM	\N	95	23886	UROK	\N	\N
3665427	4550	1997-05-31	PRIJEM	\N	101	24517	UROK	\N	\N
3665428	4550	1997-06-30	PRIJEM	\N	108	25266	UROK	\N	\N
3665429	4550	1997-07-31	PRIJEM	\N	101	22918	UROK	\N	\N
3665430	4550	1997-08-31	PRIJEM	\N	95	22285	UROK	\N	\N
3665431	4550	1997-09-30	PRIJEM	\N	95	22051	UROK	\N	\N
3665432	4550	1997-10-31	PRIJEM	\N	94	21716	UROK	\N	\N
3665433	4550	1997-11-30	PRIJEM	\N	96	22583	UROK	\N	\N
3665434	4550	1997-12-31	PRIJEM	\N	104	25813	UROK	\N	\N
3665435	4550	1998-01-31	PRIJEM	\N	68	13371	UROK	\N	\N
3665436	4550	1998-02-28	PRIJEM	\N	87	22007	UROK	\N	\N
3665437	4550	1998-03-31	PRIJEM	\N	99	23455	UROK	\N	\N
3665438	4550	1998-04-30	PRIJEM	\N	106	25311	UROK	\N	\N
3665439	4550	1998-05-31	PRIJEM	\N	114	27274	UROK	\N	\N
3665440	4550	1998-06-30	PRIJEM	\N	121	28760	UROK	\N	\N
3665441	4550	1998-07-31	PRIJEM	\N	85	18494	UROK	\N	\N
3665442	4550	1998-08-31	PRIJEM	\N	90	23233	UROK	\N	\N
3665443	4550	1998-09-30	PRIJEM	\N	109	26192	UROK	\N	\N
3665444	4550	1998-10-31	PRIJEM	\N	120	26161	UROK	\N	\N
3665445	4550	1998-11-30	PRIJEM	\N	118	21028	UROK	\N	\N
3665446	4550	1998-12-31	PRIJEM	\N	107	27179	UROK	\N	\N
3665662	4576	1993-06-30	PRIJEM	\N	84	28749	UROK	\N	\N
3665663	4576	1993-07-31	PRIJEM	\N	162	43120	UROK	\N	\N
3665664	4576	1993-08-31	PRIJEM	\N	202	51033	UROK	\N	\N
3665665	4576	1993-09-30	PRIJEM	\N	231	57674	UROK	\N	\N
3665666	4576	1993-10-31	PRIJEM	\N	198	46781	UROK	\N	\N
3665667	4576	1993-11-30	PRIJEM	\N	199	39875	UROK	\N	\N
3665668	4576	1993-12-31	PRIJEM	\N	161	41907	UROK	\N	\N
3665669	4576	1994-01-31	PRIJEM	\N	114	18656	UROK	\N	\N
3665670	4576	1994-02-28	PRIJEM	\N	108	26060	UROK	\N	\N
3665671	4576	1994-03-31	PRIJEM	\N	130	33085	UROK	\N	\N
3665672	4576	1994-04-30	PRIJEM	\N	136	31616	UROK	\N	\N
3665673	4576	1994-05-31	PRIJEM	\N	136	33947	UROK	\N	\N
3665674	4576	1994-06-30	PRIJEM	\N	175	37034	UROK	\N	\N
3665675	4576	1994-07-31	PRIJEM	\N	160	35750	UROK	\N	\N
3665676	4576	1994-08-31	PRIJEM	\N	154	36200	UROK	\N	\N
3665677	4576	1994-09-30	PRIJEM	\N	163	36519	UROK	\N	\N
3665678	4576	1994-10-31	PRIJEM	\N	159	34835	UROK	\N	\N
3665679	4576	1994-11-30	PRIJEM	\N	159	36550	UROK	\N	\N
3665680	4576	1994-12-31	PRIJEM	\N	177	41259	UROK	\N	\N
3665681	4576	1995-01-31	PRIJEM	\N	137	27832	UROK	\N	\N
3665682	4576	1995-02-28	PRIJEM	\N	127	30335	UROK	\N	\N
3665683	4576	1995-03-31	PRIJEM	\N	135	34007	UROK	\N	\N
3665684	4576	1995-04-30	PRIJEM	\N	147	33010	UROK	\N	\N
3665685	4576	1995-05-31	PRIJEM	\N	150	33236	UROK	\N	\N
3665686	4576	1995-06-30	PRIJEM	\N	132	28960	UROK	\N	\N
3665687	4576	1995-07-31	PRIJEM	\N	131	29647	UROK	\N	\N
3665688	4576	1995-08-31	PRIJEM	\N	131	28734	UROK	\N	\N
3665689	4576	1995-09-30	PRIJEM	\N	120	27151	UROK	\N	\N
3665690	4576	1995-10-31	PRIJEM	\N	124	29131	UROK	\N	\N
3665691	4576	1995-11-30	PRIJEM	\N	124	22871	UROK	\N	\N
3665692	4576	1995-12-31	PRIJEM	\N	119	25381	UROK	\N	\N
3665693	4576	1996-01-31	PRIJEM	\N	101	20218	UROK	\N	\N
3665694	4576	1996-02-29	PRIJEM	\N	91	20466	UROK	\N	\N
3665695	4576	1996-03-31	PRIJEM	\N	94	21516	UROK	\N	\N
3665696	4576	1996-04-30	PRIJEM	\N	100	25572	UROK	\N	\N
3665697	4576	1996-05-31	PRIJEM	\N	111	25459	UROK	\N	\N
3665698	4576	1996-06-30	PRIJEM	\N	119	26610	UROK	\N	\N
3665699	4576	1996-07-31	PRIJEM	\N	114	27081	UROK	\N	\N
3665700	4576	1996-08-31	PRIJEM	\N	114	25851	UROK	\N	\N
3665701	4576	1996-09-30	PRIJEM	\N	121	30728	UROK	\N	\N
3665702	4576	1996-10-31	PRIJEM	\N	136	31540	UROK	\N	\N
3665703	4576	1996-11-30	PRIJEM	\N	144	37640	UROK	\N	\N
3665704	4576	1996-12-31	PRIJEM	\N	164	29635	UROK	\N	\N
3665705	4576	1997-01-31	PRIJEM	\N	135	31506	UROK	\N	\N
3665706	4576	1997-02-28	PRIJEM	\N	141	36504	UROK	\N	\N
3665707	4576	1997-03-31	PRIJEM	\N	165	42025	UROK	\N	\N
3665708	4576	1997-04-30	PRIJEM	\N	156	33937	UROK	\N	\N
3665709	4576	1997-05-31	PRIJEM	\N	153	39446	UROK	\N	\N
3665710	4576	1997-06-30	PRIJEM	\N	164	35860	UROK	\N	\N
3665711	4576	1997-07-31	PRIJEM	\N	153	42008	UROK	\N	\N
3665712	4576	1997-08-31	PRIJEM	\N	155	36639	UROK	\N	\N
3665713	4576	1997-09-30	PRIJEM	\N	161	38195	UROK	\N	\N
3665714	4576	1997-10-31	PRIJEM	\N	168	36959	UROK	\N	\N
3665715	4576	1997-11-30	PRIJEM	\N	108	17161	UROK	\N	\N
3665716	4576	1997-12-31	PRIJEM	\N	82	23393	UROK	\N	\N
3665717	4576	1998-01-31	PRIJEM	\N	101	26690	UROK	\N	\N
3665718	4576	1998-02-28	PRIJEM	\N	116	31601	UROK	\N	\N
3665719	4576	1998-03-31	PRIJEM	\N	137	33034	UROK	\N	\N
3665720	4576	1998-04-30	PRIJEM	\N	120	21849	UROK	\N	\N
3665721	4576	1998-05-31	PRIJEM	\N	95	24939	UROK	\N	\N
3665722	4576	1998-06-30	PRIJEM	\N	141	40730	UROK	\N	\N
3665723	4576	1998-07-31	PRIJEM	\N	175	46401	UROK	\N	\N
3665724	4576	1998-08-31	PRIJEM	\N	208	49704	UROK	\N	\N
3665725	4576	1998-09-30	PRIJEM	\N	153	22952	UROK	\N	\N
3665726	4576	1998-10-31	PRIJEM	\N	107	33334	UROK	\N	\N
3665727	4576	1998-11-30	PRIJEM	\N	114	40244	UROK	\N	\N
3665728	4576	1998-12-31	PRIJEM	\N	182	53576	UROK	\N	\N
3665759	4580	1994-11-30	PRIJEM	\N	148	48955	UROK	\N	\N
3665760	4580	1994-12-31	PRIJEM	\N	203	38658	UROK	\N	\N
3665761	4580	1995-01-31	PRIJEM	\N	189	35569	UROK	\N	\N
3665762	4580	1995-02-28	PRIJEM	\N	180	96612	UROK	\N	\N
3665763	4580	1995-03-31	PRIJEM	\N	374	47881	UROK	\N	\N
3665764	4580	1995-04-30	PRIJEM	\N	152	29228	UROK	\N	\N
3665765	4580	1995-05-31	PRIJEM	\N	91	20781	UROK	\N	\N
3665766	4580	1995-06-30	PRIJEM	\N	108	25894	UROK	\N	\N
3665767	4580	1995-07-31	PRIJEM	\N	110	31318	UROK	\N	\N
3665768	4580	1995-08-31	PRIJEM	\N	121	61835	UROK	\N	\N
3665769	4580	1995-09-30	PRIJEM	\N	264	82298	UROK	\N	\N
3665770	4580	1995-10-31	PRIJEM	\N	314	83295	UROK	\N	\N
3665771	4580	1995-11-30	PRIJEM	\N	324	73265	UROK	\N	\N
3665772	4580	1995-12-31	PRIJEM	\N	237	40845	UROK	\N	\N
3665773	4580	1996-01-31	PRIJEM	\N	147	24370	UROK	\N	\N
3665774	4580	1996-02-29	PRIJEM	\N	89	22837	UROK	\N	\N
3665775	4580	1996-03-31	PRIJEM	\N	133	37211	UROK	\N	\N
3665776	4580	1996-04-30	PRIJEM	\N	135	31123	UROK	\N	\N
3665777	4580	1996-05-31	PRIJEM	\N	125	21667	UROK	\N	\N
3665778	4580	1996-06-30	PRIJEM	\N	79	20023	UROK	\N	\N
3665779	4580	1996-07-31	PRIJEM	\N	81	22682	UROK	\N	\N
3665780	4580	1996-08-31	PRIJEM	\N	97	24741	UROK	\N	\N
3665781	4580	1996-09-30	PRIJEM	\N	95	23499	UROK	\N	\N
3665782	4580	1996-10-31	PRIJEM	\N	171	46293	UROK	\N	\N
3665783	4580	1996-11-30	PRIJEM	\N	154	27009	UROK	\N	\N
3665784	4580	1996-12-31	PRIJEM	\N	120	48098	UROK	\N	\N
3665785	4580	1997-01-31	PRIJEM	\N	153	41864	UROK	\N	\N
3665786	4580	1997-02-28	PRIJEM	\N	232	68467	UROK	\N	\N
3665787	4580	1997-03-31	PRIJEM	\N	266	47568	UROK	\N	\N
3665788	4580	1997-04-30	PRIJEM	\N	177	39680	UROK	\N	\N
3665789	4580	1997-05-31	PRIJEM	\N	148	32790	UROK	\N	\N
3665790	4580	1997-06-30	PRIJEM	\N	149	26357	UROK	\N	\N
3665791	4580	1997-07-31	PRIJEM	\N	150	57342	UROK	\N	\N
3665792	4580	1997-08-31	PRIJEM	\N	273	75038	UROK	\N	\N
3665793	4580	1997-09-30	PRIJEM	\N	218	29758	UROK	\N	\N
3665794	4580	1997-10-31	PRIJEM	\N	217	76241	UROK	\N	\N
3665795	4580	1997-11-30	PRIJEM	\N	305	98637	UROK	\N	\N
3665796	4580	1997-12-31	PRIJEM	\N	246	55288	UROK	\N	\N
3665797	4580	1998-01-31	PRIJEM	\N	247	80040	UROK	\N	\N
3665798	4580	1998-02-28	PRIJEM	\N	284	66611	UROK	\N	\N
3665799	4580	1998-03-31	PRIJEM	\N	267	71213	UROK	\N	\N
3665800	4580	1998-04-30	PRIJEM	\N	190	37366	UROK	\N	\N
3665801	4580	1998-05-31	PRIJEM	\N	188	43761	UROK	\N	\N
3665802	4580	1998-06-30	PRIJEM	\N	240	83022	UROK	\N	\N
3665803	4580	1998-07-31	PRIJEM	\N	274	65964	UROK	\N	\N
3665804	4580	1998-08-31	PRIJEM	\N	238	54005	UROK	\N	\N
3665805	4580	1998-09-30	PRIJEM	\N	179	28150	UROK	\N	\N
3665806	4580	1998-10-31	PRIJEM	\N	124	29569	UROK	\N	\N
3665807	4580	1998-11-30	PRIJEM	\N	98	51578	UROK	\N	\N
3665808	4580	1998-12-31	PRIJEM	\N	231	42498	UROK	\N	\N
3665809	4585	1996-07-31	PRIJEM	\N	63	19572	UROK	\N	\N
3665810	4585	1996-08-31	PRIJEM	\N	108	27689	UROK	\N	\N
3665811	4585	1996-09-30	PRIJEM	\N	142	35740	UROK	\N	\N
3665812	4585	1996-10-31	PRIJEM	\N	179	44928	UROK	\N	\N
3665813	4585	1996-11-30	PRIJEM	\N	180	42605	UROK	\N	\N
3665814	4585	1996-12-31	PRIJEM	\N	189	46201	UROK	\N	\N
3665815	4585	1997-01-31	PRIJEM	\N	143	22166	UROK	\N	\N
3665816	4585	1997-02-28	PRIJEM	\N	132	33980	UROK	\N	\N
3665817	4585	1997-03-31	PRIJEM	\N	147	35310	UROK	\N	\N
3665818	4585	1997-04-30	PRIJEM	\N	155	37347	UROK	\N	\N
3665819	4585	1997-05-31	PRIJEM	\N	156	37185	UROK	\N	\N
3665820	4585	1997-06-30	PRIJEM	\N	178	43750	UROK	\N	\N
3665821	4585	1997-07-31	PRIJEM	\N	170	39802	UROK	\N	\N
3665822	4585	1997-08-31	PRIJEM	\N	167	39851	UROK	\N	\N
3665823	4585	1997-09-30	PRIJEM	\N	173	42986	UROK	\N	\N
3665824	4585	1997-10-31	PRIJEM	\N	173	41282	UROK	\N	\N
3665825	4585	1997-11-30	PRIJEM	\N	158	40022	UROK	\N	\N
3665826	4585	1997-12-31	PRIJEM	\N	185	34575	UROK	\N	\N
3665827	4585	1998-01-31	PRIJEM	\N	140	29177	UROK	\N	\N
3665828	4585	1998-02-28	PRIJEM	\N	147	37506	UROK	\N	\N
3665829	4585	1998-03-31	PRIJEM	\N	150	31978	UROK	\N	\N
3665830	4585	1998-04-30	PRIJEM	\N	157	31918	UROK	\N	\N
3665831	4585	1998-05-31	PRIJEM	\N	158	35758	UROK	\N	\N
3665832	4585	1998-06-30	PRIJEM	\N	190	34835	UROK	\N	\N
3665833	4585	1998-07-31	PRIJEM	\N	167	35085	UROK	\N	\N
3665834	4585	1998-08-31	PRIJEM	\N	168	37135	UROK	\N	\N
3665835	4585	1998-09-30	PRIJEM	\N	178	40795	UROK	\N	\N
3665836	4585	1998-10-31	PRIJEM	\N	188	38966	UROK	\N	\N
3665837	4585	1998-11-30	PRIJEM	\N	174	38722	UROK	\N	\N
3665838	4585	1998-12-31	PRIJEM	\N	208	52117	UROK	\N	\N
3666060	4616	1997-10-31	PRIJEM	\N	24	35916	UROK	\N	\N
3666061	4616	1997-11-30	PRIJEM	\N	163	47985	UROK	\N	\N
3666062	4616	1997-12-31	PRIJEM	\N	277	89595	UROK	\N	\N
3666063	4616	1998-01-31	PRIJEM	\N	246	62931	UROK	\N	\N
3666064	4616	1998-02-28	PRIJEM	\N	221	41783	UROK	\N	\N
3666065	4616	1998-03-31	PRIJEM	\N	207	47159	UROK	\N	\N
3666066	4616	1998-04-30	PRIJEM	\N	207	87757	UROK	\N	\N
3666067	4616	1998-05-31	PRIJEM	\N	399	103555	UROK	\N	\N
3666068	4616	1998-06-30	PRIJEM	\N	343	55529	UROK	\N	\N
3666069	4616	1998-07-31	PRIJEM	\N	281	74987	UROK	\N	\N
3666070	4616	1998-08-31	PRIJEM	\N	349	98625	UROK	\N	\N
3666071	4616	1998-09-30	PRIJEM	\N	410	80645	UROK	\N	\N
3666072	4616	1998-10-31	PRIJEM	\N	270	65710	UROK	\N	\N
3666073	4616	1998-11-30	PRIJEM	\N	376	98260	UROK	\N	\N
3666074	4616	1998-12-31	PRIJEM	\N	314	63446	UROK	\N	\N
3666075	4626	1996-07-31	PRIJEM	\N	45	27442	UROK	\N	\N
3666076	4626	1996-08-31	PRIJEM	\N	187	67625	UROK	\N	\N
3666077	4626	1996-09-30	PRIJEM	\N	182	24489	UROK	\N	\N
3666078	4626	1996-10-31	PRIJEM	\N	172	99600	UROK	\N	\N
3666079	4626	1996-11-30	PRIJEM	\N	379	102500	UROK	\N	\N
3666080	4626	1996-12-31	PRIJEM	\N	236	69787	UROK	\N	\N
3666081	4626	1997-01-31	PRIJEM	\N	175	22047	UROK	\N	\N
3666082	4626	1997-02-28	PRIJEM	\N	123	32586	UROK	\N	\N
3666083	4626	1997-03-31	PRIJEM	\N	100	19371	UROK	\N	\N
3666084	4626	1997-04-30	PRIJEM	\N	63	12720	UROK	\N	\N
3666085	4626	1997-05-31	PRIJEM	\N	110	32786	UROK	\N	\N
3666086	4626	1997-06-30	PRIJEM	\N	106	17278	UROK	\N	\N
3666087	4626	1997-07-31	PRIJEM	\N	48	8432	UROK	\N	\N
3666088	4626	1997-08-31	PRIJEM	\N	35	5674	UROK	\N	\N
3666089	4626	1997-09-30	PRIJEM	\N	46	15928	UROK	\N	\N
3666090	4626	1997-10-31	PRIJEM	\N	70	15439	UROK	\N	\N
3666091	4626	1997-11-30	PRIJEM	\N	82	22289	UROK	\N	\N
3666092	4626	1997-12-31	PRIJEM	\N	171	69745	UROK	\N	\N
3666093	4626	1998-01-31	PRIJEM	\N	211	80263	UROK	\N	\N
3666094	4626	1998-02-28	PRIJEM	\N	364	93479	UROK	\N	\N
3666095	4626	1998-03-31	PRIJEM	\N	246	71449	UROK	\N	\N
3666096	4626	1998-04-30	PRIJEM	\N	210	80165	UROK	\N	\N
3666097	4626	1998-05-31	PRIJEM	\N	196	23267	UROK	\N	\N
3666098	4626	1998-06-30	PRIJEM	\N	178	41485	UROK	\N	\N
3666099	4626	1998-07-31	PRIJEM	\N	249	60334	UROK	\N	\N
3666100	4626	1998-08-31	PRIJEM	\N	240	68332	UROK	\N	\N
3666101	4626	1998-09-30	PRIJEM	\N	244	59415	UROK	\N	\N
3666102	4626	1998-10-31	PRIJEM	\N	201	71825	UROK	\N	\N
3666103	4626	1998-11-30	PRIJEM	\N	263	71404	UROK	\N	\N
3666104	4626	1998-12-31	PRIJEM	\N	246	59645	UROK	\N	\N
3666105	4631	1997-01-31	PRIJEM	\N	73	25855	UROK	\N	\N
3666106	4631	1997-02-28	PRIJEM	\N	139	36976	UROK	\N	\N
3666107	4631	1997-03-31	PRIJEM	\N	178	46136	UROK	\N	\N
3666108	4631	1997-04-30	PRIJEM	\N	194	47011	UROK	\N	\N
3666109	4631	1997-05-31	PRIJEM	\N	174	37739	UROK	\N	\N
3666110	4631	1997-06-30	PRIJEM	\N	164	32626	UROK	\N	\N
3666111	4631	1997-07-31	PRIJEM	\N	159	35067	UROK	\N	\N
3666112	4631	1997-08-31	PRIJEM	\N	146	23476	UROK	\N	\N
3666113	4631	1997-09-30	PRIJEM	\N	148	39406	UROK	\N	\N
3666114	4631	1997-10-31	PRIJEM	\N	185	45973	UROK	\N	\N
3666115	4631	1997-11-30	PRIJEM	\N	238	56693	UROK	\N	\N
3666116	4631	1997-12-31	PRIJEM	\N	276	52592	UROK	\N	\N
3666117	4631	1998-01-31	PRIJEM	\N	182	31109	UROK	\N	\N
3666118	4631	1998-02-28	PRIJEM	\N	202	53746	UROK	\N	\N
3666119	4631	1998-03-31	PRIJEM	\N	269	67450	UROK	\N	\N
3666120	4631	1998-04-30	PRIJEM	\N	316	76801	UROK	\N	\N
3666121	4631	1998-05-31	PRIJEM	\N	331	80666	UROK	\N	\N
3666122	4631	1998-06-30	PRIJEM	\N	326	72769	UROK	\N	\N
3666123	4631	1998-07-31	PRIJEM	\N	348	86251	UROK	\N	\N
3666124	4631	1998-08-31	PRIJEM	\N	379	91965	UROK	\N	\N
3666125	4631	1998-09-30	PRIJEM	\N	398	96498	UROK	\N	\N
3666126	4631	1998-10-31	PRIJEM	\N	418	101151	UROK	\N	\N
3666127	4631	1998-11-30	PRIJEM	\N	245	45430	UROK	\N	\N
3666128	4631	1998-12-31	PRIJEM	\N	294	77200	UROK	\N	\N
3666178	4650	1995-11-30	PRIJEM	\N	35	14808	UROK	\N	\N
3666179	4650	1995-12-31	PRIJEM	\N	81	22698	UROK	\N	\N
3666180	4650	1996-01-31	PRIJEM	\N	111	29383	UROK	\N	\N
3666181	4650	1996-02-29	PRIJEM	\N	122	29478	UROK	\N	\N
3666182	4650	1996-03-31	PRIJEM	\N	121	26544	UROK	\N	\N
3666183	4650	1996-04-30	PRIJEM	\N	123	24544	UROK	\N	\N
3666184	4650	1996-05-31	PRIJEM	\N	85	17205	UROK	\N	\N
3666185	4650	1996-06-30	PRIJEM	\N	76	15314	UROK	\N	\N
3666186	4650	1996-07-31	PRIJEM	\N	65	10156	UROK	\N	\N
3666187	4650	1996-08-31	PRIJEM	\N	67	17299	UROK	\N	\N
3666188	4650	1996-09-30	PRIJEM	\N	69	13924	UROK	\N	\N
3666189	4650	1996-10-31	PRIJEM	\N	70	15670	UROK	\N	\N
3666190	4650	1996-11-30	PRIJEM	\N	72	15418	UROK	\N	\N
3666191	4650	1996-12-31	PRIJEM	\N	71	13903	UROK	\N	\N
3666192	4650	1997-01-31	PRIJEM	\N	29	2488	UROK	\N	\N
3666193	4650	1997-02-28	PRIJEM	\N	29	8094	UROK	\N	\N
3666194	4650	1997-03-31	PRIJEM	\N	57	13027	UROK	\N	\N
3666195	4650	1997-04-30	PRIJEM	\N	62	13065	UROK	\N	\N
3666196	4650	1997-05-31	PRIJEM	\N	61	12602	UROK	\N	\N
3666197	4650	1997-06-30	PRIJEM	\N	76	18692	UROK	\N	\N
3666198	4650	1997-07-31	PRIJEM	\N	77	16145	UROK	\N	\N
3666199	4650	1997-08-31	PRIJEM	\N	84	18406	UROK	\N	\N
3666200	4650	1997-09-30	PRIJEM	\N	96	20579	UROK	\N	\N
3666201	4650	1997-10-31	PRIJEM	\N	82	17238	UROK	\N	\N
3666202	4650	1997-11-30	PRIJEM	\N	89	19003	UROK	\N	\N
3666203	4650	1997-12-31	PRIJEM	\N	96	20872	UROK	\N	\N
3666204	4650	1998-01-31	PRIJEM	\N	99	17627	UROK	\N	\N
3666205	4650	1998-02-28	PRIJEM	\N	106	23909	UROK	\N	\N
3666206	4650	1998-03-31	PRIJEM	\N	127	29213	UROK	\N	\N
3666207	4650	1998-04-30	PRIJEM	\N	137	31026	UROK	\N	\N
3666208	4650	1998-05-31	PRIJEM	\N	119	23882	UROK	\N	\N
3666209	4650	1998-06-30	PRIJEM	\N	120	27216	UROK	\N	\N
3666210	4650	1998-07-31	PRIJEM	\N	147	33839	UROK	\N	\N
3666211	4650	1998-08-31	PRIJEM	\N	157	37171	UROK	\N	\N
3666212	4650	1998-09-30	PRIJEM	\N	149	41696	UROK	\N	\N
3666213	4650	1998-10-31	PRIJEM	\N	169	47241	UROK	\N	\N
3666214	4650	1998-11-30	PRIJEM	\N	191	49309	UROK	\N	\N
3666215	4650	1998-12-31	PRIJEM	\N	190	42052	UROK	\N	\N
3666245	4660	1997-01-31	PRIJEM	\N	96	32376	UROK	\N	\N
3666246	4660	1997-02-28	PRIJEM	\N	220	62675	UROK	\N	\N
3666247	4660	1997-03-31	PRIJEM	\N	293	73949	UROK	\N	\N
3666248	4660	1997-04-30	PRIJEM	\N	324	79853	UROK	\N	\N
3666249	4660	1997-05-31	PRIJEM	\N	308	45953	UROK	\N	\N
3666250	4660	1997-06-30	PRIJEM	\N	122	21248	UROK	\N	\N
3666251	4660	1997-07-31	PRIJEM	\N	83	24607	UROK	\N	\N
3666252	4660	1997-08-31	PRIJEM	\N	157	39540	UROK	\N	\N
3666253	4660	1997-09-30	PRIJEM	\N	183	44454	UROK	\N	\N
3666254	4660	1997-10-31	PRIJEM	\N	198	39829	UROK	\N	\N
3666255	4660	1997-11-30	PRIJEM	\N	211	36348	UROK	\N	\N
3666256	4660	1997-12-31	PRIJEM	\N	241	43605	UROK	\N	\N
3666257	4660	1998-01-31	PRIJEM	\N	212	31493	UROK	\N	\N
3666258	4660	1998-02-28	PRIJEM	\N	152	26622	UROK	\N	\N
3666259	4660	1998-03-31	PRIJEM	\N	122	17299	UROK	\N	\N
3666260	4660	1998-04-30	PRIJEM	\N	135	23511	UROK	\N	\N
3666261	4660	1998-05-31	PRIJEM	\N	147	25134	UROK	\N	\N
3666262	4660	1998-06-30	PRIJEM	\N	202	28952	UROK	\N	\N
3666263	4660	1998-07-31	PRIJEM	\N	173	23701	UROK	\N	\N
3666264	4660	1998-08-31	PRIJEM	\N	152	23929	UROK	\N	\N
3666265	4660	1998-09-30	PRIJEM	\N	121	12426	UROK	\N	\N
3666266	4660	1998-10-31	PRIJEM	\N	102	13004	UROK	\N	\N
3666267	4660	1998-11-30	PRIJEM	\N	99	7019	UROK	\N	\N
3666268	4660	1998-12-31	PRIJEM	\N	125	35160	UROK	\N	\N
3666297	4681	1995-08-31	PRIJEM	\N	66	20594	UROK	\N	\N
3666298	4681	1995-09-30	PRIJEM	\N	157	42978	UROK	\N	\N
3666299	4681	1995-10-31	PRIJEM	\N	222	56528	UROK	\N	\N
3666300	4681	1995-11-30	PRIJEM	\N	242	58698	UROK	\N	\N
3666301	4681	1995-12-31	PRIJEM	\N	271	65744	UROK	\N	\N
3666302	4681	1996-01-31	PRIJEM	\N	172	25599	UROK	\N	\N
3666303	4681	1996-02-29	PRIJEM	\N	125	32706	UROK	\N	\N
3666304	4681	1996-03-31	PRIJEM	\N	137	33925	UROK	\N	\N
3666305	4681	1996-04-30	PRIJEM	\N	157	39165	UROK	\N	\N
3666306	4681	1996-05-31	PRIJEM	\N	154	37201	UROK	\N	\N
3666307	4681	1996-06-30	PRIJEM	\N	196	50243	UROK	\N	\N
3666308	4681	1996-07-31	PRIJEM	\N	176	41202	UROK	\N	\N
3666309	4681	1996-08-31	PRIJEM	\N	169	41753	UROK	\N	\N
3666310	4681	1996-09-30	PRIJEM	\N	159	33894	UROK	\N	\N
3666311	4681	1996-10-31	PRIJEM	\N	131	27375	UROK	\N	\N
3666312	4681	1996-11-30	PRIJEM	\N	128	33286	UROK	\N	\N
3666313	4681	1996-12-31	PRIJEM	\N	181	34413	UROK	\N	\N
3666314	4681	1997-01-31	PRIJEM	\N	134	25430	UROK	\N	\N
3666315	4681	1997-02-28	PRIJEM	\N	121	31833	UROK	\N	\N
3666316	4681	1997-03-31	PRIJEM	\N	150	32766	UROK	\N	\N
3666317	4681	1997-04-30	PRIJEM	\N	159	32019	UROK	\N	\N
3666318	4681	1997-05-31	PRIJEM	\N	142	27064	UROK	\N	\N
3666319	4681	1997-06-30	PRIJEM	\N	164	29886	UROK	\N	\N
3666320	4681	1997-07-31	PRIJEM	\N	139	26219	UROK	\N	\N
3666321	4681	1997-08-31	PRIJEM	\N	126	21839	UROK	\N	\N
3666322	4681	1997-09-30	PRIJEM	\N	108	19041	UROK	\N	\N
3666323	4681	1997-10-31	PRIJEM	\N	98	20434	UROK	\N	\N
3666324	4681	1997-11-30	PRIJEM	\N	106	24334	UROK	\N	\N
3666325	4681	1997-12-31	PRIJEM	\N	148	31641	UROK	\N	\N
3666326	4681	1998-01-31	PRIJEM	\N	140	26275	UROK	\N	\N
3666327	4681	1998-02-28	PRIJEM	\N	126	26995	UROK	\N	\N
3666328	4681	1998-03-31	PRIJEM	\N	134	32424	UROK	\N	\N
3666329	4681	1998-04-30	PRIJEM	\N	155	36973	UROK	\N	\N
3666330	4681	1998-05-31	PRIJEM	\N	168	36536	UROK	\N	\N
3666331	4681	1998-06-30	PRIJEM	\N	174	35913	UROK	\N	\N
3666332	4681	1998-07-31	PRIJEM	\N	162	35170	UROK	\N	\N
3666333	4681	1998-08-31	PRIJEM	\N	149	32614	UROK	\N	\N
3666334	4681	1998-09-30	PRIJEM	\N	157	39165	UROK	\N	\N
3666335	4681	1998-10-31	PRIJEM	\N	156	35787	UROK	\N	\N
3666336	4681	1998-11-30	PRIJEM	\N	156	38902	UROK	\N	\N
3666337	4681	1998-12-31	PRIJEM	\N	210	54270	UROK	\N	\N
3666594	4715	1996-11-30	PRIJEM	\N	20	35279	UROK	\N	\N
3666595	4715	1996-12-31	PRIJEM	\N	164	60330	UROK	\N	\N
3666596	4715	1997-01-31	PRIJEM	\N	312	54502	UROK	\N	\N
3666597	4715	1997-02-28	PRIJEM	\N	229	59389	UROK	\N	\N
3666598	4715	1997-03-31	PRIJEM	\N	285	45385	UROK	\N	\N
3666599	4715	1997-04-30	PRIJEM	\N	205	24126	UROK	\N	\N
3666600	4715	1997-05-31	PRIJEM	\N	172	36369	UROK	\N	\N
3666601	4715	1997-06-30	PRIJEM	\N	255	47508	UROK	\N	\N
3666602	4715	1997-07-31	PRIJEM	\N	275	52279	UROK	\N	\N
3666603	4715	1997-08-31	PRIJEM	\N	278	51419	UROK	\N	\N
3666604	4715	1997-09-30	PRIJEM	\N	283	55797	UROK	\N	\N
3666605	4715	1997-10-31	PRIJEM	\N	181	28025	UROK	\N	\N
3666606	4715	1997-11-30	PRIJEM	\N	201	49021	UROK	\N	\N
3666607	4715	1997-12-31	PRIJEM	\N	203	34649	UROK	\N	\N
3666608	4715	1998-01-31	PRIJEM	\N	187	22631	UROK	\N	\N
3666609	4715	1998-02-28	PRIJEM	\N	177	47503	UROK	\N	\N
3666610	4715	1998-03-31	PRIJEM	\N	257	50556	UROK	\N	\N
3666611	4715	1998-04-30	PRIJEM	\N	277	61028	UROK	\N	\N
3666612	4715	1998-05-31	PRIJEM	\N	206	33830	UROK	\N	\N
3666613	4715	1998-06-30	PRIJEM	\N	214	46368	UROK	\N	\N
3666614	4715	1998-07-31	PRIJEM	\N	252	55515	UROK	\N	\N
3666615	4715	1998-08-31	PRIJEM	\N	270	56081	UROK	\N	\N
3666616	4715	1998-09-30	PRIJEM	\N	259	34599	UROK	\N	\N
3666617	4715	1998-10-31	PRIJEM	\N	191	42185	UROK	\N	\N
3666618	4715	1998-11-30	PRIJEM	\N	219	50299	UROK	\N	\N
3666619	4715	1998-12-31	PRIJEM	\N	214	33538	UROK	\N	\N
3666620	4725	1997-05-31	PRIJEM	\N	56	23101	UROK	\N	\N
3666621	4725	1997-06-30	PRIJEM	\N	135	38904	UROK	\N	\N
3666622	4725	1997-07-31	PRIJEM	\N	170	42420	UROK	\N	\N
3666623	4725	1997-08-31	PRIJEM	\N	176	42541	UROK	\N	\N
3666624	4725	1997-09-30	PRIJEM	\N	161	30085	UROK	\N	\N
3666625	4725	1997-10-31	PRIJEM	\N	122	27575	UROK	\N	\N
3666626	4725	1997-11-30	PRIJEM	\N	106	23576	UROK	\N	\N
3666627	4725	1997-12-31	PRIJEM	\N	104	23097	UROK	\N	\N
3666628	4725	1998-01-31	PRIJEM	\N	89	15480	UROK	\N	\N
3666629	4725	1998-02-28	PRIJEM	\N	37	5211	UROK	\N	\N
3666630	4725	1998-03-31	PRIJEM	\N	39	9944	UROK	\N	\N
3666631	4725	1998-04-30	PRIJEM	\N	57	14395	UROK	\N	\N
3666632	4725	1998-05-31	PRIJEM	\N	72	17761	UROK	\N	\N
3666633	4725	1998-06-30	PRIJEM	\N	84	19763	UROK	\N	\N
3666634	4725	1998-07-31	PRIJEM	\N	46	7403	UROK	\N	\N
3666635	4725	1998-08-31	PRIJEM	\N	28	4726	UROK	\N	\N
3666636	4725	1998-09-30	PRIJEM	\N	29	4749	UROK	\N	\N
3666637	4725	1998-10-31	PRIJEM	\N	27	4270	UROK	\N	\N
3666638	4725	1998-11-30	PRIJEM	\N	50	14214	UROK	\N	\N
3666639	4725	1998-12-31	PRIJEM	\N	123	33454	UROK	\N	\N
3666640	4727	1995-03-31	PRIJEM	\N	70	30512	UROK	\N	\N
3666641	4727	1995-04-30	PRIJEM	\N	164	46318	UROK	\N	\N
3666642	4727	1995-05-31	PRIJEM	\N	211	54171	UROK	\N	\N
3666643	4727	1995-06-30	PRIJEM	\N	259	43842	UROK	\N	\N
3666644	4727	1995-07-31	PRIJEM	\N	155	29598	UROK	\N	\N
3666645	4727	1995-08-31	PRIJEM	\N	135	31335	UROK	\N	\N
3666646	4727	1995-09-30	PRIJEM	\N	143	35079	UROK	\N	\N
3666647	4727	1995-10-31	PRIJEM	\N	170	33550	UROK	\N	\N
3666648	4727	1995-11-30	PRIJEM	\N	156	37907	UROK	\N	\N
3666649	4727	1995-12-31	PRIJEM	\N	186	40466	UROK	\N	\N
3666650	4727	1996-01-31	PRIJEM	\N	161	23028	UROK	\N	\N
3666651	4727	1996-02-29	PRIJEM	\N	132	30761	UROK	\N	\N
3666652	4727	1996-03-31	PRIJEM	\N	146	35209	UROK	\N	\N
3666653	4727	1996-04-30	PRIJEM	\N	163	38373	UROK	\N	\N
3666654	4727	1996-05-31	PRIJEM	\N	175	41450	UROK	\N	\N
3666655	4727	1996-06-30	PRIJEM	\N	207	48429	UROK	\N	\N
3666656	4727	1996-07-31	PRIJEM	\N	192	41522	UROK	\N	\N
3666657	4727	1996-08-31	PRIJEM	\N	186	33909	UROK	\N	\N
3666658	4727	1996-09-30	PRIJEM	\N	176	40686	UROK	\N	\N
3666659	4727	1996-10-31	PRIJEM	\N	194	44781	UROK	\N	\N
3666660	4727	1996-11-30	PRIJEM	\N	263	63246	UROK	\N	\N
3666661	4727	1996-12-31	PRIJEM	\N	340	73758	UROK	\N	\N
3666662	4727	1997-01-31	PRIJEM	\N	295	51154	UROK	\N	\N
3666663	4727	1997-02-28	PRIJEM	\N	169	21882	UROK	\N	\N
3666664	4727	1997-03-31	PRIJEM	\N	203	50186	UROK	\N	\N
3666665	4727	1997-04-30	PRIJEM	\N	199	37048	UROK	\N	\N
3666666	4727	1997-05-31	PRIJEM	\N	239	49388	UROK	\N	\N
3666667	4727	1997-06-30	PRIJEM	\N	335	81909	UROK	\N	\N
3666668	4727	1997-07-31	PRIJEM	\N	359	84469	UROK	\N	\N
3666669	4727	1997-08-31	PRIJEM	\N	342	80298	UROK	\N	\N
3666670	4727	1997-09-30	PRIJEM	\N	255	58739	UROK	\N	\N
3666671	4727	1997-10-31	PRIJEM	\N	288	57414	UROK	\N	\N
3666672	4727	1997-11-30	PRIJEM	\N	316	62416	UROK	\N	\N
3666673	4727	1997-12-31	PRIJEM	\N	274	37798	UROK	\N	\N
3666674	4727	1998-01-31	PRIJEM	\N	201	36984	UROK	\N	\N
3666675	4727	1998-02-28	PRIJEM	\N	221	56992	UROK	\N	\N
3666676	4727	1998-03-31	PRIJEM	\N	206	38224	UROK	\N	\N
3666677	4727	1998-04-30	PRIJEM	\N	229	58539	UROK	\N	\N
3666678	4727	1998-05-31	PRIJEM	\N	317	65242	UROK	\N	\N
3666679	4727	1998-06-30	PRIJEM	\N	221	47758	UROK	\N	\N
3666680	4727	1998-07-31	PRIJEM	\N	216	45805	UROK	\N	\N
3666681	4727	1998-08-31	PRIJEM	\N	249	65140	UROK	\N	\N
3666682	4727	1998-09-30	PRIJEM	\N	256	55914	UROK	\N	\N
3666683	4727	1998-10-31	PRIJEM	\N	266	56194	UROK	\N	\N
3666684	4727	1998-11-30	PRIJEM	\N	311	70191	UROK	\N	\N
3666685	4727	1998-12-31	PRIJEM	\N	318	74066	UROK	\N	\N
3666709	4746	1997-03-31	PRIJEM	\N	174	49785	UROK	\N	\N
3666710	4746	1997-04-30	PRIJEM	\N	205	45836	UROK	\N	\N
3666711	4746	1997-05-31	PRIJEM	\N	190	37226	UROK	\N	\N
3666712	4746	1997-06-30	PRIJEM	\N	190	29917	UROK	\N	\N
3666713	4746	1997-07-31	PRIJEM	\N	190	28407	UROK	\N	\N
3666714	4746	1997-08-31	PRIJEM	\N	223	39751	UROK	\N	\N
3666715	4746	1997-09-30	PRIJEM	\N	309	78784	UROK	\N	\N
3666716	4746	1997-10-31	PRIJEM	\N	381	87980	UROK	\N	\N
3666717	4746	1997-11-30	PRIJEM	\N	371	101377	UROK	\N	\N
3666718	4746	1997-12-31	PRIJEM	\N	431	99881	UROK	\N	\N
3666719	4746	1998-01-31	PRIJEM	\N	314	39361	UROK	\N	\N
3666720	4746	1998-02-28	PRIJEM	\N	156	35568	UROK	\N	\N
3666721	4746	1998-03-31	PRIJEM	\N	152	48123	UROK	\N	\N
3666722	4746	1998-04-30	PRIJEM	\N	160	28955	UROK	\N	\N
3666723	4746	1998-05-31	PRIJEM	\N	247	31625	UROK	\N	\N
3666724	4746	1998-06-30	PRIJEM	\N	119	25616	UROK	\N	\N
3666725	4746	1998-07-31	PRIJEM	\N	161	39398	UROK	\N	\N
3666726	4746	1998-08-31	PRIJEM	\N	349	93652	UROK	\N	\N
3666727	4746	1998-09-30	PRIJEM	\N	351	91363	UROK	\N	\N
3666728	4746	1998-10-31	PRIJEM	\N	287	46223	UROK	\N	\N
3666729	4746	1998-11-30	PRIJEM	\N	153	61102	UROK	\N	\N
3666730	4746	1998-12-31	PRIJEM	\N	224	60711	UROK	\N	\N
3666842	4774	1994-02-28	PRIJEM	\N	52	21894	UROK	\N	\N
3666843	4774	1994-03-31	PRIJEM	\N	124	36360	UROK	\N	\N
3666844	4774	1994-04-30	PRIJEM	\N	168	43570	UROK	\N	\N
3666845	4774	1994-05-31	PRIJEM	\N	183	44395	UROK	\N	\N
3666846	4774	1994-06-30	PRIJEM	\N	131	18309	UROK	\N	\N
3666847	4774	1994-07-31	PRIJEM	\N	122	29158	UROK	\N	\N
3666848	4774	1994-08-31	PRIJEM	\N	143	34128	UROK	\N	\N
3666849	4774	1994-09-30	PRIJEM	\N	132	22647	UROK	\N	\N
3666850	4774	1994-10-31	PRIJEM	\N	96	16330	UROK	\N	\N
3666851	4774	1994-11-30	PRIJEM	\N	80	18738	UROK	\N	\N
3666852	4774	1994-12-31	PRIJEM	\N	98	20444	UROK	\N	\N
3666853	4774	1995-01-31	PRIJEM	\N	67	13499	UROK	\N	\N
3666854	4774	1995-02-28	PRIJEM	\N	77	16603	UROK	\N	\N
3666855	4774	1995-03-31	PRIJEM	\N	87	11578	UROK	\N	\N
3666856	4774	1995-04-30	PRIJEM	\N	66	13971	UROK	\N	\N
3666857	4774	1995-05-31	PRIJEM	\N	86	20585	UROK	\N	\N
3666858	4774	1995-06-30	PRIJEM	\N	92	23925	UROK	\N	\N
3666859	4774	1995-07-31	PRIJEM	\N	103	22566	UROK	\N	\N
3666860	4774	1995-08-31	PRIJEM	\N	111	23016	UROK	\N	\N
3666861	4774	1995-09-30	PRIJEM	\N	145	35200	UROK	\N	\N
3666862	4774	1995-10-31	PRIJEM	\N	161	38299	UROK	\N	\N
3666863	4774	1995-11-30	PRIJEM	\N	197	45334	UROK	\N	\N
3666864	4774	1995-12-31	PRIJEM	\N	257	56311	UROK	\N	\N
3666865	4774	1996-01-31	PRIJEM	\N	188	27136	UROK	\N	\N
3666866	4774	1996-02-29	PRIJEM	\N	140	34314	UROK	\N	\N
3666867	4774	1996-03-31	PRIJEM	\N	168	39421	UROK	\N	\N
3666868	4774	1996-04-30	PRIJEM	\N	178	40477	UROK	\N	\N
3666869	4774	1996-05-31	PRIJEM	\N	185	37640	UROK	\N	\N
3666870	4774	1996-06-30	PRIJEM	\N	233	49633	UROK	\N	\N
3666871	4774	1996-07-31	PRIJEM	\N	221	50293	UROK	\N	\N
3666872	4774	1996-08-31	PRIJEM	\N	199	49730	UROK	\N	\N
3666873	4774	1996-09-30	PRIJEM	\N	191	46859	UROK	\N	\N
3666874	4774	1996-10-31	PRIJEM	\N	193	41790	UROK	\N	\N
3666875	4774	1996-11-30	PRIJEM	\N	201	42729	UROK	\N	\N
3666876	4774	1996-12-31	PRIJEM	\N	218	41187	UROK	\N	\N
3666877	4774	1997-01-31	PRIJEM	\N	171	28935	UROK	\N	\N
3666878	4774	1997-02-28	PRIJEM	\N	144	38017	UROK	\N	\N
3666879	4774	1997-03-31	PRIJEM	\N	181	41137	UROK	\N	\N
3666880	4774	1997-04-30	PRIJEM	\N	201	42676	UROK	\N	\N
3666881	4774	1997-05-31	PRIJEM	\N	195	43210	UROK	\N	\N
3666882	4774	1997-06-30	PRIJEM	\N	222	42711	UROK	\N	\N
3666883	4774	1997-07-31	PRIJEM	\N	201	40050	UROK	\N	\N
3666884	4774	1997-08-31	PRIJEM	\N	185	43573	UROK	\N	\N
3666885	4774	1997-09-30	PRIJEM	\N	205	45596	UROK	\N	\N
3666886	4774	1997-10-31	PRIJEM	\N	209	47943	UROK	\N	\N
3666887	4774	1997-11-30	PRIJEM	\N	212	51094	UROK	\N	\N
3666888	4774	1997-12-31	PRIJEM	\N	255	51348	UROK	\N	\N
3666889	4774	1998-01-31	PRIJEM	\N	197	35763	UROK	\N	\N
3666890	4774	1998-02-28	PRIJEM	\N	162	36943	UROK	\N	\N
3666891	4774	1998-03-31	PRIJEM	\N	163	38184	UROK	\N	\N
3666892	4774	1998-04-30	PRIJEM	\N	178	44301	UROK	\N	\N
3666893	4774	1998-05-31	PRIJEM	\N	202	48141	UROK	\N	\N
3666894	4774	1998-06-30	PRIJEM	\N	214	39375	UROK	\N	\N
3666895	4774	1998-07-31	PRIJEM	\N	184	46017	UROK	\N	\N
3666896	4774	1998-08-31	PRIJEM	\N	209	49064	UROK	\N	\N
3666897	4774	1998-09-30	PRIJEM	\N	229	52031	UROK	\N	\N
3666898	4774	1998-10-31	PRIJEM	\N	245	56894	UROK	\N	\N
3666899	4774	1998-11-30	PRIJEM	\N	254	64087	UROK	\N	\N
3666900	4774	1998-12-31	PRIJEM	\N	320	81686	UROK	\N	\N
3666996	4784	1997-08-31	PRIJEM	\N	88	29933	UROK	\N	\N
3666997	4784	1997-09-30	PRIJEM	\N	192	53170	UROK	\N	\N
3666998	4784	1997-10-31	PRIJEM	\N	264	67779	UROK	\N	\N
3666999	4784	1997-11-30	PRIJEM	\N	309	77433	UROK	\N	\N
3667000	4784	1997-12-31	PRIJEM	\N	362	86191	UROK	\N	\N
3667001	4784	1998-01-31	PRIJEM	\N	304	75654	UROK	\N	\N
3667002	4784	1998-02-28	PRIJEM	\N	313	74625	UROK	\N	\N
3667003	4784	1998-03-31	PRIJEM	\N	310	74093	UROK	\N	\N
3667004	4784	1998-04-30	PRIJEM	\N	257	64462	UROK	\N	\N
3667005	4784	1998-05-31	PRIJEM	\N	238	60561	UROK	\N	\N
3667006	4784	1998-06-30	PRIJEM	\N	311	80653	UROK	\N	\N
3667007	4784	1998-07-31	PRIJEM	\N	323	76335	UROK	\N	\N
3667008	4784	1998-08-31	PRIJEM	\N	259	56653	UROK	\N	\N
3667009	4784	1998-09-30	PRIJEM	\N	253	62364	UROK	\N	\N
3667010	4784	1998-10-31	PRIJEM	\N	264	63887	UROK	\N	\N
3667011	4784	1998-11-30	PRIJEM	\N	281	69127	UROK	\N	\N
3667012	4784	1998-12-31	PRIJEM	\N	316	76124	UROK	\N	\N
3667108	4794	1997-01-31	PRIJEM	\N	41	20131	UROK	\N	\N
3667109	4794	1997-02-28	PRIJEM	\N	102	29623	UROK	\N	\N
3667110	4794	1997-03-31	PRIJEM	\N	124	30036	UROK	\N	\N
3667111	4794	1997-04-30	PRIJEM	\N	131	33457	UROK	\N	\N
3667112	4794	1997-05-31	PRIJEM	\N	123	22343	UROK	\N	\N
3667113	4794	1997-06-30	PRIJEM	\N	91	7288	UROK	\N	\N
3667114	4794	1997-07-31	PRIJEM	\N	72	18308	UROK	\N	\N
3667115	4794	1997-08-31	PRIJEM	\N	99	19255	UROK	\N	\N
3667116	4794	1997-09-30	PRIJEM	\N	92	18095	UROK	\N	\N
3667117	4794	1997-10-31	PRIJEM	\N	105	23249	UROK	\N	\N
3667118	4794	1997-11-30	PRIJEM	\N	104	21001	UROK	\N	\N
3667119	4794	1997-12-31	PRIJEM	\N	81	15435	UROK	\N	\N
3667120	4794	1998-01-31	PRIJEM	\N	70	13016	UROK	\N	\N
3667121	4794	1998-02-28	PRIJEM	\N	48	5114	UROK	\N	\N
3667122	4794	1998-03-31	PRIJEM	\N	24	2068	UROK	\N	\N
3667123	4794	1998-04-30	PRIJEM	\N	23	1541	UROK	\N	\N
3667124	4794	1998-05-31	PRIJEM	\N	17	1009	UROK	\N	\N
3667125	4794	1998-06-30	PRIJEM	\N	38	6342	UROK	\N	\N
3667126	4794	1998-07-31	PRIJEM	\N	29	2122	UROK	\N	\N
3667127	4794	1998-08-31	PRIJEM	\N	17	-1711	UROK	\N	\N
3667128	4794	1998-08-31	VYDAJ	VYBER	11	-1722	SANKC. UROK	\N	\N
3667129	4794	1998-09-30	PRIJEM	\N	32	7859	UROK	\N	\N
3667130	4794	1998-09-30	VYDAJ	VYBER	3	7856	SANKC. UROK	\N	\N
3667131	4794	1998-10-31	PRIJEM	\N	40	6046	UROK	\N	\N
3667132	4794	1998-11-30	PRIJEM	\N	26	1322	UROK	\N	\N
3667133	4794	1998-12-31	PRIJEM	\N	35	6053	UROK	\N	\N
3667134	4803	1996-06-30	PRIJEM	\N	23	7243	UROK	\N	\N
3667135	4803	1996-07-31	PRIJEM	\N	61	16917	UROK	\N	\N
3667136	4803	1996-08-31	PRIJEM	\N	101	26331	UROK	\N	\N
3667137	4803	1996-09-30	PRIJEM	\N	129	32573	UROK	\N	\N
3667138	4803	1996-10-31	PRIJEM	\N	133	32219	UROK	\N	\N
3667139	4803	1996-11-30	PRIJEM	\N	122	26839	UROK	\N	\N
3667140	4803	1996-12-31	PRIJEM	\N	113	24358	UROK	\N	\N
3667141	4803	1997-01-31	PRIJEM	\N	86	16242	UROK	\N	\N
3667142	4803	1997-02-28	PRIJEM	\N	89	22830	UROK	\N	\N
3667143	4803	1997-03-31	PRIJEM	\N	101	24497	UROK	\N	\N
3667144	4803	1997-04-30	PRIJEM	\N	120	29883	UROK	\N	\N
3667145	4803	1997-05-31	PRIJEM	\N	131	31880	UROK	\N	\N
3667146	4803	1997-06-30	PRIJEM	\N	114	18067	UROK	\N	\N
3667147	4803	1997-07-31	PRIJEM	\N	92	23025	UROK	\N	\N
3667148	4803	1997-08-31	PRIJEM	\N	104	26296	UROK	\N	\N
3667149	4803	1997-09-30	PRIJEM	\N	109	24571	UROK	\N	\N
3667150	4803	1997-10-31	PRIJEM	\N	120	29957	UROK	\N	\N
3667151	4803	1997-11-30	PRIJEM	\N	123	30947	UROK	\N	\N
3667152	4803	1997-12-31	PRIJEM	\N	129	27550	UROK	\N	\N
3667153	4803	1998-01-31	PRIJEM	\N	62	13279	UROK	\N	\N
3667154	4803	1998-02-28	PRIJEM	\N	62	15106	UROK	\N	\N
3667155	4803	1998-03-31	PRIJEM	\N	82	23154	UROK	\N	\N
3667156	4803	1998-04-30	PRIJEM	\N	89	22110	UROK	\N	\N
3667157	4803	1998-05-31	PRIJEM	\N	101	27977	UROK	\N	\N
3667158	4803	1998-06-30	PRIJEM	\N	97	21948	UROK	\N	\N
3667159	4803	1998-07-31	PRIJEM	\N	101	27615	UROK	\N	\N
3667160	4803	1998-08-31	PRIJEM	\N	125	33506	UROK	\N	\N
3667161	4803	1998-09-30	PRIJEM	\N	145	33717	UROK	\N	\N
3667162	4803	1998-10-31	PRIJEM	\N	144	32328	UROK	\N	\N
3667163	4803	1998-11-30	PRIJEM	\N	139	32333	UROK	\N	\N
3667164	4803	1998-12-31	PRIJEM	\N	146	35752	UROK	\N	\N
3667204	4825	1994-06-30	PRIJEM	\N	59	17107	UROK	\N	\N
3667205	4825	1994-07-31	PRIJEM	\N	117	30424	UROK	\N	\N
3667206	4825	1994-08-31	PRIJEM	\N	154	38377	UROK	\N	\N
3667207	4825	1994-09-30	PRIJEM	\N	174	42750	UROK	\N	\N
3667208	4825	1994-10-31	PRIJEM	\N	153	33640	UROK	\N	\N
3667209	4825	1994-11-30	PRIJEM	\N	112	27736	UROK	\N	\N
3667210	4825	1994-12-31	PRIJEM	\N	131	19880	UROK	\N	\N
3667211	4825	1995-01-31	PRIJEM	\N	87	23951	UROK	\N	\N
3667212	4825	1995-02-28	PRIJEM	\N	111	32747	UROK	\N	\N
3667213	4825	1995-03-31	PRIJEM	\N	167	40998	UROK	\N	\N
3667214	4825	1995-04-30	PRIJEM	\N	140	36195	UROK	\N	\N
3667215	4825	1995-05-31	PRIJEM	\N	118	23185	UROK	\N	\N
3667216	4825	1995-06-30	PRIJEM	\N	133	26552	UROK	\N	\N
3667217	4825	1995-07-31	PRIJEM	\N	137	29673	UROK	\N	\N
3667218	4825	1995-08-31	PRIJEM	\N	118	22800	UROK	\N	\N
3667219	4825	1995-09-30	PRIJEM	\N	117	29118	UROK	\N	\N
3667220	4825	1995-10-31	PRIJEM	\N	140	30660	UROK	\N	\N
3667221	4825	1995-11-30	PRIJEM	\N	149	33909	UROK	\N	\N
3667222	4825	1995-12-31	PRIJEM	\N	113	24360	UROK	\N	\N
3667223	4825	1996-01-31	PRIJEM	\N	108	27669	UROK	\N	\N
3667224	4825	1996-02-29	PRIJEM	\N	110	29780	UROK	\N	\N
3667225	4825	1996-03-31	PRIJEM	\N	141	34980	UROK	\N	\N
3667226	4825	1996-04-30	PRIJEM	\N	98	22124	UROK	\N	\N
3667227	4825	1996-05-31	PRIJEM	\N	113	29039	UROK	\N	\N
3667228	4825	1996-06-30	PRIJEM	\N	150	35639	UROK	\N	\N
3667229	4825	1996-07-31	PRIJEM	\N	165	39305	UROK	\N	\N
3667230	4825	1996-08-31	PRIJEM	\N	119	23925	UROK	\N	\N
3667231	4825	1996-09-30	PRIJEM	\N	130	32239	UROK	\N	\N
3667232	4825	1996-10-31	PRIJEM	\N	145	35768	UROK	\N	\N
3667233	4825	1996-11-30	PRIJEM	\N	146	27476	UROK	\N	\N
3667234	4825	1996-12-31	PRIJEM	\N	126	26464	UROK	\N	\N
3667235	4825	1997-01-31	PRIJEM	\N	117	21165	UROK	\N	\N
3667236	4825	1997-02-28	PRIJEM	\N	103	23652	UROK	\N	\N
3667237	4825	1997-03-31	PRIJEM	\N	109	27745	UROK	\N	\N
3667238	4825	1997-04-30	PRIJEM	\N	135	30165	UROK	\N	\N
3667239	4825	1997-05-31	PRIJEM	\N	130	28478	UROK	\N	\N
3667240	4825	1997-06-30	PRIJEM	\N	141	34253	UROK	\N	\N
3667241	4825	1997-07-31	PRIJEM	\N	142	31079	UROK	\N	\N
3667242	4825	1997-08-31	PRIJEM	\N	138	26401	UROK	\N	\N
3667243	4825	1997-09-30	PRIJEM	\N	113	22298	UROK	\N	\N
3667244	4825	1997-10-31	PRIJEM	\N	95	17678	UROK	\N	\N
3667245	4825	1997-11-30	PRIJEM	\N	75	16236	UROK	\N	\N
3667246	4825	1997-12-31	PRIJEM	\N	68	17137	UROK	\N	\N
3667247	4825	1998-01-31	PRIJEM	\N	87	23209	UROK	\N	\N
3667248	4825	1998-02-28	PRIJEM	\N	79	16172	UROK	\N	\N
3667249	4825	1998-03-31	PRIJEM	\N	92	25648	UROK	\N	\N
3667250	4825	1998-04-30	PRIJEM	\N	96	18028	UROK	\N	\N
3667251	4825	1998-05-31	PRIJEM	\N	104	27016	UROK	\N	\N
3667252	4825	1998-06-30	PRIJEM	\N	139	19489	UROK	\N	\N
3667253	4825	1998-07-31	PRIJEM	\N	73	17446	UROK	\N	\N
3667254	4825	1998-08-31	PRIJEM	\N	79	26710	UROK	\N	\N
3667255	4825	1998-09-30	PRIJEM	\N	81	16576	UROK	\N	\N
3667256	4825	1998-10-31	PRIJEM	\N	93	26253	UROK	\N	\N
3667257	4825	1998-11-30	PRIJEM	\N	121	34858	UROK	\N	\N
3667258	4825	1998-12-31	PRIJEM	\N	109	21601	UROK	\N	\N
3667327	4851	1996-03-31	PRIJEM	\N	56	25928	UROK	\N	\N
3667328	4851	1996-04-30	PRIJEM	\N	108	24235	UROK	\N	\N
3667329	4851	1996-05-31	PRIJEM	\N	108	20543	UROK	\N	\N
3667330	4851	1996-06-30	PRIJEM	\N	218	63688	UROK	\N	\N
3667331	4851	1996-07-31	PRIJEM	\N	265	44452	UROK	\N	\N
3667332	4851	1996-08-31	PRIJEM	\N	354	69819	UROK	\N	\N
3667333	4851	1996-09-30	PRIJEM	\N	228	49812	UROK	\N	\N
3667334	4851	1996-10-31	PRIJEM	\N	102	19852	UROK	\N	\N
3667335	4851	1996-11-30	PRIJEM	\N	70	24520	UROK	\N	\N
3667336	4851	1996-12-31	PRIJEM	\N	90	30341	UROK	\N	\N
3667337	4851	1997-01-31	PRIJEM	\N	89	23329	UROK	\N	\N
3667338	4851	1997-02-28	PRIJEM	\N	73	13199	UROK	\N	\N
3667339	4851	1997-03-31	PRIJEM	\N	86	42496	UROK	\N	\N
3667340	4851	1997-04-30	PRIJEM	\N	191	41492	UROK	\N	\N
3667341	4851	1997-05-31	PRIJEM	\N	136	24726	UROK	\N	\N
3667342	4851	1997-06-30	PRIJEM	\N	83	29104	UROK	\N	\N
3667343	4851	1997-07-31	PRIJEM	\N	96	23798	UROK	\N	\N
3667344	4851	1997-08-31	PRIJEM	\N	74	17671	UROK	\N	\N
3667345	4851	1997-09-30	PRIJEM	\N	51	14620	UROK	\N	\N
3667346	4851	1997-10-31	PRIJEM	\N	156	39098	UROK	\N	\N
3667347	4851	1997-11-30	PRIJEM	\N	282	87957	UROK	\N	\N
3667348	4851	1997-12-31	PRIJEM	\N	334	60657	UROK	\N	\N
3667349	4851	1998-01-31	PRIJEM	\N	275	24231	UROK	\N	\N
3667350	4851	1998-02-28	PRIJEM	\N	180	41774	UROK	\N	\N
3667351	4851	1998-03-31	PRIJEM	\N	160	35523	UROK	\N	\N
3667352	4851	1998-04-30	PRIJEM	\N	165	38227	UROK	\N	\N
3667353	4851	1998-05-31	PRIJEM	\N	122	19947	UROK	\N	\N
3667354	4851	1998-06-30	PRIJEM	\N	170	33239	UROK	\N	\N
3667355	4851	1998-07-31	PRIJEM	\N	231	29384	UROK	\N	\N
3667356	4851	1998-08-31	PRIJEM	\N	296	48779	UROK	\N	\N
3667357	4851	1998-09-30	PRIJEM	\N	191	46691	UROK	\N	\N
3667358	4851	1998-10-31	PRIJEM	\N	303	58338	UROK	\N	\N
3667359	4851	1998-11-30	PRIJEM	\N	251	83967	UROK	\N	\N
3667360	4851	1998-12-31	PRIJEM	\N	380	98264	UROK	\N	\N
3667361	4852	1995-05-31	PRIJEM	\N	43	17034	UROK	\N	\N
3667362	4852	1995-06-30	PRIJEM	\N	99	27620	UROK	\N	\N
3667363	4852	1995-07-31	PRIJEM	\N	135	32946	UROK	\N	\N
3667364	4852	1995-08-31	PRIJEM	\N	154	38190	UROK	\N	\N
3667365	4852	1995-09-30	PRIJEM	\N	156	30977	UROK	\N	\N
3667366	4852	1995-10-31	PRIJEM	\N	124	28383	UROK	\N	\N
3667367	4852	1995-11-30	PRIJEM	\N	141	32906	UROK	\N	\N
3667368	4852	1995-12-31	PRIJEM	\N	144	31948	UROK	\N	\N
3667369	4852	1996-01-31	PRIJEM	\N	103	17153	UROK	\N	\N
3667370	4852	1996-02-29	PRIJEM	\N	106	27341	UROK	\N	\N
3667371	4852	1996-03-31	PRIJEM	\N	143	32041	UROK	\N	\N
3667372	4852	1996-04-30	PRIJEM	\N	151	33350	UROK	\N	\N
3667373	4852	1996-05-31	PRIJEM	\N	138	33645	UROK	\N	\N
3667374	4852	1996-06-30	PRIJEM	\N	142	33799	UROK	\N	\N
3667375	4852	1996-07-31	PRIJEM	\N	142	29298	UROK	\N	\N
3667376	4852	1996-08-31	PRIJEM	\N	104	24659	UROK	\N	\N
3667377	4852	1996-09-30	PRIJEM	\N	85	20101	UROK	\N	\N
3667378	4852	1996-10-31	PRIJEM	\N	76	18354	UROK	\N	\N
3667379	4852	1996-11-30	PRIJEM	\N	71	13183	UROK	\N	\N
3667380	4852	1996-12-31	PRIJEM	\N	70	19005	UROK	\N	\N
3667381	4852	1997-01-31	PRIJEM	\N	81	17203	UROK	\N	\N
3667382	4852	1997-02-28	PRIJEM	\N	85	17746	UROK	\N	\N
3667383	4852	1997-03-31	PRIJEM	\N	87	17990	UROK	\N	\N
3667384	4852	1997-04-30	PRIJEM	\N	75	14623	UROK	\N	\N
3667385	4852	1997-05-31	PRIJEM	\N	69	13549	UROK	\N	\N
3667386	4852	1997-06-30	PRIJEM	\N	68	18670	UROK	\N	\N
3667387	4852	1997-07-31	PRIJEM	\N	86	17613	UROK	\N	\N
3667388	4852	1997-08-31	PRIJEM	\N	82	23253	UROK	\N	\N
3667389	4852	1997-09-30	PRIJEM	\N	87	26097	UROK	\N	\N
3667390	4852	1997-10-31	PRIJEM	\N	112	27767	UROK	\N	\N
3667391	4852	1997-11-30	PRIJEM	\N	103	30107	UROK	\N	\N
3667392	4852	1997-12-31	PRIJEM	\N	118	27798	UROK	\N	\N
3667393	4852	1998-01-31	PRIJEM	\N	85	21640	UROK	\N	\N
3667394	4852	1998-02-28	PRIJEM	\N	80	22978	UROK	\N	\N
3667395	4852	1998-03-31	PRIJEM	\N	85	23220	UROK	\N	\N
3667396	4852	1998-04-30	PRIJEM	\N	86	22063	UROK	\N	\N
3667397	4852	1998-05-31	PRIJEM	\N	95	24916	UROK	\N	\N
3667398	4852	1998-06-30	PRIJEM	\N	103	29372	UROK	\N	\N
3667399	4852	1998-07-31	PRIJEM	\N	105	21974	UROK	\N	\N
3667400	4852	1998-08-31	PRIJEM	\N	80	20512	UROK	\N	\N
3667401	4852	1998-09-30	PRIJEM	\N	87	21856	UROK	\N	\N
3667402	4852	1998-10-31	PRIJEM	\N	95	25408	UROK	\N	\N
3667403	4852	1998-11-30	PRIJEM	\N	93	22459	UROK	\N	\N
3667404	4852	1998-12-31	PRIJEM	\N	99	22870	UROK	\N	\N
3667460	4863	1996-04-30	PRIJEM	\N	89	31931	UROK	\N	\N
3667461	4863	1996-05-31	PRIJEM	\N	174	46747	UROK	\N	\N
3667462	4863	1996-06-30	PRIJEM	\N	248	65157	UROK	\N	\N
3667463	4863	1996-07-31	PRIJEM	\N	223	47322	UROK	\N	\N
3667464	4863	1996-08-31	PRIJEM	\N	175	36903	UROK	\N	\N
3667465	4863	1996-09-30	PRIJEM	\N	187	38909	UROK	\N	\N
3667466	4863	1996-10-31	PRIJEM	\N	151	21858	UROK	\N	\N
3667467	4863	1996-11-30	PRIJEM	\N	159	38054	UROK	\N	\N
3667468	4863	1996-12-31	PRIJEM	\N	266	70032	UROK	\N	\N
3667469	4863	1997-01-31	PRIJEM	\N	199	26946	UROK	\N	\N
3667470	4863	1997-02-28	PRIJEM	\N	195	52932	UROK	\N	\N
3667471	4863	1997-03-31	PRIJEM	\N	262	50485	UROK	\N	\N
3667472	4863	1997-04-30	PRIJEM	\N	210	36698	UROK	\N	\N
3667473	4863	1997-05-31	PRIJEM	\N	214	54463	UROK	\N	\N
3667474	4863	1997-06-30	PRIJEM	\N	335	87769	UROK	\N	\N
3667475	4863	1997-07-31	PRIJEM	\N	347	80068	UROK	\N	\N
3667476	4863	1997-08-31	PRIJEM	\N	322	75141	UROK	\N	\N
3667477	4863	1997-09-30	PRIJEM	\N	283	54364	UROK	\N	\N
3667478	4863	1997-10-31	PRIJEM	\N	213	53428	UROK	\N	\N
3667479	4863	1997-11-30	PRIJEM	\N	217	49252	UROK	\N	\N
3667480	4863	1997-12-31	PRIJEM	\N	314	79338	UROK	\N	\N
3667481	4863	1998-01-31	PRIJEM	\N	222	39811	UROK	\N	\N
3667482	4863	1998-02-28	PRIJEM	\N	212	57774	UROK	\N	\N
3667483	4863	1998-03-31	PRIJEM	\N	283	67408	UROK	\N	\N
3667484	4863	1998-04-30	PRIJEM	\N	198	39578	UROK	\N	\N
3667485	4863	1998-05-31	PRIJEM	\N	220	55351	UROK	\N	\N
3667486	4863	1998-06-30	PRIJEM	\N	314	85177	UROK	\N	\N
3667487	4863	1998-07-31	PRIJEM	\N	294	60610	UROK	\N	\N
3667488	4863	1998-08-31	PRIJEM	\N	325	67227	UROK	\N	\N
3667489	4863	1998-09-30	PRIJEM	\N	328	64247	UROK	\N	\N
3667490	4863	1998-10-31	PRIJEM	\N	297	56435	UROK	\N	\N
3667491	4863	1998-11-30	PRIJEM	\N	213	37081	UROK	\N	\N
3667492	4863	1998-12-31	PRIJEM	\N	276	60869	UROK	\N	\N
3667564	4894	1993-07-31	PRIJEM	\N	45	28000	UROK	\N	\N
3667565	4894	1993-08-31	PRIJEM	\N	139	40694	UROK	\N	\N
3667566	4894	1993-09-30	PRIJEM	\N	182	47730	UROK	\N	\N
3667567	4894	1993-10-31	PRIJEM	\N	208	53194	UROK	\N	\N
3667568	4894	1993-11-30	PRIJEM	\N	237	51110	UROK	\N	\N
3667569	4894	1993-12-31	PRIJEM	\N	196	45999	UROK	\N	\N
3667570	4894	1994-01-31	PRIJEM	\N	147	20511	UROK	\N	\N
3667571	4894	1994-02-28	PRIJEM	\N	131	36307	UROK	\N	\N
3667572	4894	1994-03-31	PRIJEM	\N	181	41352	UROK	\N	\N
3667573	4894	1994-04-30	PRIJEM	\N	194	44010	UROK	\N	\N
3667574	4894	1994-05-31	PRIJEM	\N	209	48883	UROK	\N	\N
3667575	4894	1994-06-30	PRIJEM	\N	199	23374	UROK	\N	\N
3667576	4894	1994-07-31	PRIJEM	\N	120	30258	UROK	\N	\N
3667577	4894	1994-08-31	PRIJEM	\N	161	41884	UROK	\N	\N
3667578	4894	1994-09-30	PRIJEM	\N	133	34882	UROK	\N	\N
3667579	4894	1994-10-31	PRIJEM	\N	179	46925	UROK	\N	\N
3667580	4894	1994-11-30	PRIJEM	\N	208	51898	UROK	\N	\N
3667581	4894	1994-12-31	PRIJEM	\N	221	51711	UROK	\N	\N
3667582	4894	1995-01-31	PRIJEM	\N	157	26032	UROK	\N	\N
3667583	4894	1995-02-28	PRIJEM	\N	175	52472	UROK	\N	\N
3667584	4894	1995-03-31	PRIJEM	\N	240	49676	UROK	\N	\N
3667585	4894	1995-04-30	PRIJEM	\N	172	31612	UROK	\N	\N
3667586	4894	1995-05-31	PRIJEM	\N	194	50922	UROK	\N	\N
3667587	4894	1995-06-30	PRIJEM	\N	247	67161	UROK	\N	\N
3667588	4894	1995-07-31	PRIJEM	\N	287	70212	UROK	\N	\N
3667589	4894	1995-08-31	PRIJEM	\N	316	74692	UROK	\N	\N
3667590	4894	1995-09-30	PRIJEM	\N	320	78576	UROK	\N	\N
3667591	4894	1995-10-31	PRIJEM	\N	315	79255	UROK	\N	\N
3667592	4894	1995-11-30	PRIJEM	\N	341	83337	UROK	\N	\N
3667593	4894	1995-12-31	PRIJEM	\N	300	64218	UROK	\N	\N
3667594	4894	1996-01-31	PRIJEM	\N	248	44706	UROK	\N	\N
3667595	4894	1996-02-29	PRIJEM	\N	208	52054	UROK	\N	\N
3667596	4894	1996-03-31	PRIJEM	\N	245	53775	UROK	\N	\N
3667597	4894	1996-04-30	PRIJEM	\N	207	53422	UROK	\N	\N
3667598	4894	1996-05-31	PRIJEM	\N	238	48900	UROK	\N	\N
3667599	4894	1996-06-30	PRIJEM	\N	269	69937	UROK	\N	\N
3667600	4894	1996-07-31	PRIJEM	\N	276	74953	UROK	\N	\N
3667601	4894	1996-08-31	PRIJEM	\N	262	50410	UROK	\N	\N
3667602	4894	1996-09-30	PRIJEM	\N	258	68808	UROK	\N	\N
3667603	4894	1996-10-31	PRIJEM	\N	317	80265	UROK	\N	\N
3667604	4894	1996-11-30	PRIJEM	\N	310	75426	UROK	\N	\N
3667605	4894	1996-12-31	PRIJEM	\N	343	90336	UROK	\N	\N
3667606	4894	1997-01-31	PRIJEM	\N	212	46288	UROK	\N	\N
3667607	4894	1997-02-28	PRIJEM	\N	193	34247	UROK	\N	\N
3667608	4894	1997-03-31	PRIJEM	\N	222	59110	UROK	\N	\N
3667609	4894	1997-04-30	PRIJEM	\N	283	74933	UROK	\N	\N
3667610	4894	1997-05-31	PRIJEM	\N	270	60837	UROK	\N	\N
3667611	4894	1997-06-30	PRIJEM	\N	316	79221	UROK	\N	\N
3667612	4894	1997-07-31	PRIJEM	\N	384	84345	UROK	\N	\N
3667613	4894	1997-08-31	PRIJEM	\N	362	73126	UROK	\N	\N
3667614	4894	1997-09-30	PRIJEM	\N	349	79883	UROK	\N	\N
3667615	4894	1997-10-31	PRIJEM	\N	358	76029	UROK	\N	\N
3667616	4894	1997-11-30	PRIJEM	\N	338	80608	UROK	\N	\N
3667617	4894	1997-12-31	PRIJEM	\N	308	64283	UROK	\N	\N
3667618	4894	1998-01-31	PRIJEM	\N	209	54832	UROK	\N	\N
3667619	4894	1998-02-28	PRIJEM	\N	280	76653	UROK	\N	\N
3667620	4894	1998-03-31	PRIJEM	\N	367	88460	UROK	\N	\N
3667621	4894	1998-04-30	PRIJEM	\N	387	89587	UROK	\N	\N
3667622	4894	1998-05-31	PRIJEM	\N	413	95641	UROK	\N	\N
3667623	4894	1998-06-30	PRIJEM	\N	354	65962	UROK	\N	\N
3667624	4894	1998-07-31	PRIJEM	\N	321	86223	UROK	\N	\N
3667625	4894	1998-08-31	PRIJEM	\N	390	94154	UROK	\N	\N
3667626	4894	1998-09-30	PRIJEM	\N	400	88094	UROK	\N	\N
3667627	4894	1998-10-31	PRIJEM	\N	372	82106	UROK	\N	\N
3667628	4894	1998-11-30	PRIJEM	\N	353	91800	UROK	\N	\N
3667629	4894	1998-12-31	PRIJEM	\N	456	81623	UROK	\N	\N
3667653	4907	1994-02-28	PRIJEM	\N	38	16059	UROK	\N	\N
3667654	4907	1994-03-31	PRIJEM	\N	113	34093	UROK	\N	\N
3667655	4907	1994-04-30	PRIJEM	\N	170	45684	UROK	\N	\N
3667656	4907	1994-05-31	PRIJEM	\N	208	53013	UROK	\N	\N
3667657	4907	1994-06-30	PRIJEM	\N	244	61115	UROK	\N	\N
3667658	4907	1994-07-31	PRIJEM	\N	220	54625	UROK	\N	\N
3667659	4907	1994-08-31	PRIJEM	\N	215	51230	UROK	\N	\N
3667660	4907	1994-09-30	PRIJEM	\N	185	45085	UROK	\N	\N
3667661	4907	1994-10-31	PRIJEM	\N	166	42441	UROK	\N	\N
3667662	4907	1994-11-30	PRIJEM	\N	159	41091	UROK	\N	\N
3667663	4907	1994-12-31	PRIJEM	\N	166	41128	UROK	\N	\N
3667664	4907	1995-01-31	PRIJEM	\N	82	15740	UROK	\N	\N
3667665	4907	1995-02-28	PRIJEM	\N	97	27828	UROK	\N	\N
3667666	4907	1995-03-31	PRIJEM	\N	112	30330	UROK	\N	\N
3667667	4907	1995-04-30	PRIJEM	\N	129	32849	UROK	\N	\N
3667668	4907	1995-05-31	PRIJEM	\N	136	35275	UROK	\N	\N
3667669	4907	1995-06-30	PRIJEM	\N	111	18398	UROK	\N	\N
3667670	4907	1995-07-31	PRIJEM	\N	89	24118	UROK	\N	\N
3667671	4907	1995-08-31	PRIJEM	\N	119	25227	UROK	\N	\N
3667672	4907	1995-09-30	PRIJEM	\N	122	27639	UROK	\N	\N
3667673	4907	1995-10-31	PRIJEM	\N	126	26655	UROK	\N	\N
3667674	4907	1995-11-30	PRIJEM	\N	128	26673	UROK	\N	\N
3667675	4907	1995-12-31	PRIJEM	\N	140	27184	UROK	\N	\N
3667676	4907	1996-01-31	PRIJEM	\N	89	17745	UROK	\N	\N
3667677	4907	1996-02-29	PRIJEM	\N	88	18764	UROK	\N	\N
3667678	4907	1996-03-31	PRIJEM	\N	93	21689	UROK	\N	\N
3667679	4907	1996-04-30	PRIJEM	\N	101	18421	UROK	\N	\N
3667680	4907	1996-05-31	PRIJEM	\N	85	13838	UROK	\N	\N
3667681	4907	1996-06-30	PRIJEM	\N	83	14513	UROK	\N	\N
3667682	4907	1996-07-31	PRIJEM	\N	79	22523	UROK	\N	\N
3667683	4907	1996-08-31	PRIJEM	\N	95	14750	UROK	\N	\N
3667684	4907	1996-09-30	PRIJEM	\N	78	20239	UROK	\N	\N
3667685	4907	1996-10-31	PRIJEM	\N	84	12554	UROK	\N	\N
3667686	4907	1996-11-30	PRIJEM	\N	59	14665	UROK	\N	\N
3667687	4907	1996-12-31	PRIJEM	\N	99	29016	UROK	\N	\N
3667688	4907	1997-01-31	PRIJEM	\N	77	16064	UROK	\N	\N
3667689	4907	1997-02-28	PRIJEM	\N	84	24079	UROK	\N	\N
3667690	4907	1997-03-31	PRIJEM	\N	106	22516	UROK	\N	\N
3667691	4907	1997-04-30	PRIJEM	\N	112	30559	UROK	\N	\N
3667692	4907	1997-05-31	PRIJEM	\N	109	14600	UROK	\N	\N
3667693	4907	1997-06-30	PRIJEM	\N	98	30390	UROK	\N	\N
3667694	4907	1997-07-31	PRIJEM	\N	144	38466	UROK	\N	\N
3667695	4907	1997-08-31	PRIJEM	\N	121	14018	UROK	\N	\N
3667696	4907	1997-09-30	PRIJEM	\N	76	22025	UROK	\N	\N
3667697	4907	1997-10-31	PRIJEM	\N	109	30066	UROK	\N	\N
3667698	4907	1997-11-30	PRIJEM	\N	142	38139	UROK	\N	\N
3667699	4907	1997-12-31	PRIJEM	\N	185	15137	UROK	\N	\N
3667700	4907	1998-01-31	PRIJEM	\N	77	20265	UROK	\N	\N
3667701	4907	1998-02-28	PRIJEM	\N	100	28296	UROK	\N	\N
3667702	4907	1998-03-31	PRIJEM	\N	135	36363	UROK	\N	\N
3667703	4907	1998-04-30	PRIJEM	\N	168	44462	UROK	\N	\N
3667704	4907	1998-05-31	PRIJEM	\N	202	52595	UROK	\N	\N
3667705	4907	1998-06-30	PRIJEM	\N	129	15776	UROK	\N	\N
3667706	4907	1998-07-31	PRIJEM	\N	82	23789	UROK	\N	\N
3667707	4907	1998-08-31	PRIJEM	\N	115	31836	UROK	\N	\N
3667708	4907	1998-09-30	PRIJEM	\N	141	37748	UROK	\N	\N
3667709	4907	1998-10-31	PRIJEM	\N	174	45853	UROK	\N	\N
3667710	4907	1998-11-30	PRIJEM	\N	207	53991	UROK	\N	\N
3667711	4907	1998-12-31	PRIJEM	\N	260	68823	UROK	\N	\N
3667903	4937	1993-02-28	PRIJEM	\N	7	707	UROK	\N	\N
3667904	4937	1993-03-31	PRIJEM	\N	204	56568	UROK	\N	\N
3667905	4937	1993-04-30	PRIJEM	\N	275	45660	UROK	\N	\N
3667906	4937	1993-05-31	PRIJEM	\N	112	19773	UROK	\N	\N
3667907	4937	1993-06-30	PRIJEM	\N	94	30357	UROK	\N	\N
3667908	4937	1993-07-31	PRIJEM	\N	134	69377	UROK	\N	\N
3667909	4937	1993-08-31	PRIJEM	\N	256	36924	UROK	\N	\N
3667910	4937	1993-09-30	PRIJEM	\N	293	96775	UROK	\N	\N
3667911	4937	1993-10-31	PRIJEM	\N	272	50601	UROK	\N	\N
3667912	4937	1993-11-30	PRIJEM	\N	296	61683	UROK	\N	\N
3667913	4937	1993-12-31	PRIJEM	\N	207	35889	UROK	\N	\N
3667914	4937	1994-01-31	PRIJEM	\N	129	62551	UROK	\N	\N
3667915	4937	1994-02-28	PRIJEM	\N	172	27963	UROK	\N	\N
3667916	4937	1994-03-31	PRIJEM	\N	182	57296	UROK	\N	\N
3667917	4937	1994-04-30	PRIJEM	\N	140	44153	UROK	\N	\N
3667918	4937	1994-05-31	PRIJEM	\N	191	80262	UROK	\N	\N
3667919	4937	1994-06-30	PRIJEM	\N	321	78520	UROK	\N	\N
3667920	4937	1994-07-31	PRIJEM	\N	213	59315	UROK	\N	\N
3667921	4937	1994-08-31	PRIJEM	\N	323	108502	UROK	\N	\N
3667922	4937	1994-09-30	PRIJEM	\N	421	66826	UROK	\N	\N
3667923	4937	1994-10-31	PRIJEM	\N	300	100786	UROK	\N	\N
3667924	4937	1994-11-30	PRIJEM	\N	341	77493	UROK	\N	\N
3667925	4937	1994-12-31	PRIJEM	\N	280	54863	UROK	\N	\N
3667926	4937	1995-01-31	PRIJEM	\N	153	32645	UROK	\N	\N
3667927	4937	1995-02-28	PRIJEM	\N	165	66819	UROK	\N	\N
3667928	4937	1995-03-31	PRIJEM	\N	243	77748	UROK	\N	\N
3667929	4937	1995-04-30	PRIJEM	\N	262	64725	UROK	\N	\N
3667930	4937	1995-05-31	PRIJEM	\N	234	70996	UROK	\N	\N
3667931	4937	1995-06-30	PRIJEM	\N	318	107349	UROK	\N	\N
3667932	4937	1995-07-31	PRIJEM	\N	375	91174	UROK	\N	\N
3667933	4937	1995-08-31	PRIJEM	\N	236	31975	UROK	\N	\N
3667934	4937	1995-09-30	PRIJEM	\N	100	21077	UROK	\N	\N
3667935	4937	1995-10-31	PRIJEM	\N	70	16049	UROK	\N	\N
3667936	4937	1995-11-30	PRIJEM	\N	99	25059	UROK	\N	\N
3667937	4937	1995-12-31	PRIJEM	\N	134	33545	UROK	\N	\N
3667938	4937	1996-01-31	PRIJEM	\N	151	74133	UROK	\N	\N
3667939	4937	1996-02-29	PRIJEM	\N	310	118938	UROK	\N	\N
3667940	4937	1996-03-31	PRIJEM	\N	358	117357	UROK	\N	\N
3667941	4937	1996-04-30	PRIJEM	\N	352	67911	UROK	\N	\N
3667942	4937	1996-05-31	PRIJEM	\N	209	53029	UROK	\N	\N
3667943	4937	1996-06-30	PRIJEM	\N	289	113354	UROK	\N	\N
3667944	4937	1996-07-31	PRIJEM	\N	340	74508	UROK	\N	\N
3667945	4937	1996-08-31	PRIJEM	\N	355	72624	UROK	\N	\N
3667946	4937	1996-09-30	PRIJEM	\N	397	92710	UROK	\N	\N
3667947	4937	1996-10-31	PRIJEM	\N	271	85280	UROK	\N	\N
3667948	4937	1996-11-30	PRIJEM	\N	396	81031	UROK	\N	\N
3667949	4937	1996-12-31	PRIJEM	\N	178	37951	UROK	\N	\N
3667950	4937	1997-01-31	PRIJEM	\N	201	41297	UROK	\N	\N
3667951	4937	1997-02-28	PRIJEM	\N	144	30039	UROK	\N	\N
3667952	4937	1997-03-31	PRIJEM	\N	157	51201	UROK	\N	\N
3667953	4937	1997-04-30	PRIJEM	\N	197	48996	UROK	\N	\N
3667954	4937	1997-05-31	PRIJEM	\N	160	41459	UROK	\N	\N
3667955	4937	1997-06-30	PRIJEM	\N	139	32596	UROK	\N	\N
3667956	4937	1997-07-31	PRIJEM	\N	109	23904	UROK	\N	\N
3667957	4937	1997-08-31	PRIJEM	\N	79	20482	UROK	\N	\N
3667958	4937	1997-09-30	PRIJEM	\N	111	50541	UROK	\N	\N
3667959	4937	1997-10-31	PRIJEM	\N	183	35822	UROK	\N	\N
3667960	4937	1997-11-30	PRIJEM	\N	113	25434	UROK	\N	\N
3667961	4937	1997-12-31	PRIJEM	\N	84	22016	UROK	\N	\N
3667962	4937	1998-01-31	PRIJEM	\N	69	18584	UROK	\N	\N
3667963	4937	1998-02-28	PRIJEM	\N	230	64523	UROK	\N	\N
3667964	4937	1998-03-31	PRIJEM	\N	263	61116	UROK	\N	\N
3667965	4937	1998-04-30	PRIJEM	\N	208	42922	UROK	\N	\N
3667966	4937	1998-05-31	PRIJEM	\N	145	33066	UROK	\N	\N
3667967	4937	1998-06-30	PRIJEM	\N	107	27871	UROK	\N	\N
3667968	4937	1998-07-31	PRIJEM	\N	271	55832	UROK	\N	\N
3667969	4937	1998-08-31	PRIJEM	\N	194	41105	UROK	\N	\N
3667970	4937	1998-09-30	PRIJEM	\N	157	70263	UROK	\N	\N
3667971	4937	1998-10-31	PRIJEM	\N	200	29289	UROK	\N	\N
3667972	4937	1998-11-30	PRIJEM	\N	169	52172	UROK	\N	\N
3667973	4937	1998-12-31	PRIJEM	\N	228	66597	UROK	\N	\N
3667990	4948	1996-03-31	PRIJEM	\N	22	23327	UROK	\N	\N
3667991	4948	1996-04-30	PRIJEM	\N	130	38836	UROK	\N	\N
3667992	4948	1996-05-31	PRIJEM	\N	161	32597	UROK	\N	\N
3667993	4948	1996-06-30	PRIJEM	\N	161	26458	UROK	\N	\N
3667994	4948	1996-07-31	PRIJEM	\N	185	56786	UROK	\N	\N
3667995	4948	1996-08-31	PRIJEM	\N	180	26380	UROK	\N	\N
3667996	4948	1996-09-30	PRIJEM	\N	70	14125	UROK	\N	\N
3667997	4948	1996-10-31	PRIJEM	\N	55	19214	UROK	\N	\N
3667998	4948	1996-11-30	PRIJEM	\N	148	31108	UROK	\N	\N
3667999	4948	1996-12-31	PRIJEM	\N	206	50985	UROK	\N	\N
3668000	4948	1997-01-31	PRIJEM	\N	195	38878	UROK	\N	\N
3668001	4948	1997-02-28	PRIJEM	\N	106	21563	UROK	\N	\N
3668002	4948	1997-03-31	PRIJEM	\N	127	68122	UROK	\N	\N
3668003	4948	1997-04-30	PRIJEM	\N	285	51274	UROK	\N	\N
3668004	4948	1997-05-31	PRIJEM	\N	148	24414	UROK	\N	\N
3668005	4948	1997-06-30	PRIJEM	\N	167	43243	UROK	\N	\N
3668006	4948	1997-07-31	PRIJEM	\N	238	43964	UROK	\N	\N
3668007	4948	1997-08-31	PRIJEM	\N	248	44539	UROK	\N	\N
3668008	4948	1997-09-30	PRIJEM	\N	218	71279	UROK	\N	\N
3668009	4948	1997-10-31	PRIJEM	\N	233	44591	UROK	\N	\N
3668010	4948	1997-11-30	PRIJEM	\N	222	66531	UROK	\N	\N
3668011	4948	1997-12-31	PRIJEM	\N	161	27870	UROK	\N	\N
3668012	4948	1998-01-31	PRIJEM	\N	92	33124	UROK	\N	\N
3668013	4948	1998-02-28	PRIJEM	\N	134	36060	UROK	\N	\N
3668014	4948	1998-03-31	PRIJEM	\N	120	22860	UROK	\N	\N
3668015	4948	1998-04-30	PRIJEM	\N	220	55423	UROK	\N	\N
3668016	4948	1998-05-31	PRIJEM	\N	208	44366	UROK	\N	\N
3668017	4948	1998-06-30	PRIJEM	\N	176	35559	UROK	\N	\N
3668018	4948	1998-07-31	PRIJEM	\N	123	26661	UROK	\N	\N
3668019	4948	1998-08-31	PRIJEM	\N	190	45974	UROK	\N	\N
3668020	4948	1998-09-30	PRIJEM	\N	201	61141	UROK	\N	\N
3668021	4948	1998-10-31	PRIJEM	\N	158	27779	UROK	\N	\N
3668022	4948	1998-11-30	PRIJEM	\N	91	49099	UROK	\N	\N
3668023	4948	1998-12-31	PRIJEM	\N	261	62313	UROK	\N	\N
3668024	4949	1996-11-30	PRIJEM	\N	77	31016	UROK	\N	\N
3668025	4949	1996-12-31	PRIJEM	\N	201	59476	UROK	\N	\N
3668026	4949	1997-01-31	PRIJEM	\N	262	65177	UROK	\N	\N
3668027	4949	1997-02-28	PRIJEM	\N	224	47040	UROK	\N	\N
3668028	4949	1997-03-31	PRIJEM	\N	235	50014	UROK	\N	\N
3668029	4949	1997-04-30	PRIJEM	\N	226	56764	UROK	\N	\N
3668030	4949	1997-05-31	PRIJEM	\N	259	64447	UROK	\N	\N
3668031	4949	1997-06-30	PRIJEM	\N	242	33833	UROK	\N	\N
3668032	4949	1997-07-31	PRIJEM	\N	180	42037	UROK	\N	\N
3668033	4949	1997-08-31	PRIJEM	\N	222	54783	UROK	\N	\N
3668034	4949	1997-09-30	PRIJEM	\N	237	57104	UROK	\N	\N
3668035	4949	1997-10-31	PRIJEM	\N	239	56028	UROK	\N	\N
3668036	4949	1997-11-30	PRIJEM	\N	237	44549	UROK	\N	\N
3668037	4949	1997-12-31	PRIJEM	\N	228	39681	UROK	\N	\N
3668038	4949	1998-01-31	PRIJEM	\N	189	13554	UROK	\N	\N
3668039	4949	1998-02-28	PRIJEM	\N	192	54831	UROK	\N	\N
3668040	4949	1998-03-31	PRIJEM	\N	260	64275	UROK	\N	\N
3668041	4949	1998-04-30	PRIJEM	\N	328	81118	UROK	\N	\N
3668042	4949	1998-05-31	PRIJEM	\N	332	67506	UROK	\N	\N
3668043	4949	1998-06-30	PRIJEM	\N	311	48676	UROK	\N	\N
3668044	4949	1998-07-31	PRIJEM	\N	287	71204	UROK	\N	\N
3668045	4949	1998-08-31	PRIJEM	\N	323	63445	UROK	\N	\N
3668046	4949	1998-09-30	PRIJEM	\N	327	83157	UROK	\N	\N
3668047	4949	1998-10-31	PRIJEM	\N	392	97434	UROK	\N	\N
3668048	4949	1998-11-30	PRIJEM	\N	416	100734	UROK	\N	\N
3668049	4949	1998-12-31	PRIJEM	\N	320	64557	UROK	\N	\N
3668109	4969	1996-12-31	PRIJEM	\N	73	36269	UROK	\N	\N
3668110	4969	1997-01-31	PRIJEM	\N	233	79211	UROK	\N	\N
3668111	4969	1997-02-28	PRIJEM	\N	284	57749	UROK	\N	\N
3668112	4969	1997-03-31	PRIJEM	\N	307	86554	UROK	\N	\N
3668113	4969	1997-04-30	PRIJEM	\N	328	59514	UROK	\N	\N
3668114	4969	1997-05-31	PRIJEM	\N	292	96093	UROK	\N	\N
3668115	4969	1997-06-30	PRIJEM	\N	108	15909	UROK	\N	\N
3668116	4969	1997-07-31	PRIJEM	\N	217	56343	UROK	\N	\N
3668117	4969	1997-08-31	PRIJEM	\N	255	57980	UROK	\N	\N
3668118	4969	1997-09-30	PRIJEM	\N	248	71420	UROK	\N	\N
3668119	4969	1997-10-31	PRIJEM	\N	290	83747	UROK	\N	\N
3668120	4969	1997-11-30	PRIJEM	\N	250	46345	UROK	\N	\N
3668121	4969	1997-12-31	PRIJEM	\N	167	29178	UROK	\N	\N
3668122	4969	1998-01-31	PRIJEM	\N	74	12401	UROK	\N	\N
3668123	4969	1998-02-28	PRIJEM	\N	80	31405	UROK	\N	\N
3668124	4969	1998-03-31	PRIJEM	\N	146	21054	UROK	\N	\N
3668125	4969	1998-04-30	PRIJEM	\N	84	23485	UROK	\N	\N
3668126	4969	1998-05-31	PRIJEM	\N	165	106704	UROK	\N	\N
3668127	4969	1998-06-30	PRIJEM	\N	228	77575	UROK	\N	\N
3668128	4969	1998-07-31	PRIJEM	\N	428	127580	UROK	\N	\N
3668129	4969	1998-08-31	PRIJEM	\N	192	33908	UROK	\N	\N
3668130	4969	1998-09-30	PRIJEM	\N	289	131761	UROK	\N	\N
3668131	4969	1998-10-31	PRIJEM	\N	266	50521	UROK	\N	\N
3668132	4969	1998-11-30	PRIJEM	\N	293	69701	UROK	\N	\N
3668133	4969	1998-12-31	PRIJEM	\N	371	101522	UROK	\N	\N
3668134	4981	1996-02-29	PRIJEM	\N	36	27543	UROK	\N	\N
3668135	4981	1996-03-31	PRIJEM	\N	131	39480	UROK	\N	\N
3668136	4981	1996-04-30	PRIJEM	\N	172	44959	UROK	\N	\N
3668137	4981	1996-05-31	PRIJEM	\N	189	46655	UROK	\N	\N
3668138	4981	1996-06-30	PRIJEM	\N	226	29671	UROK	\N	\N
3668139	4981	1996-07-31	PRIJEM	\N	172	36705	UROK	\N	\N
3668140	4981	1996-08-31	PRIJEM	\N	171	34478	UROK	\N	\N
3668141	4981	1996-09-30	PRIJEM	\N	172	37412	UROK	\N	\N
3668142	4981	1996-10-31	PRIJEM	\N	178	38212	UROK	\N	\N
3668143	4981	1996-11-30	PRIJEM	\N	178	36253	UROK	\N	\N
3668144	4981	1996-12-31	PRIJEM	\N	193	40445	UROK	\N	\N
3668145	4981	1997-01-31	PRIJEM	\N	175	27326	UROK	\N	\N
3668146	4981	1997-02-28	PRIJEM	\N	143	30096	UROK	\N	\N
3668147	4981	1997-03-31	PRIJEM	\N	157	35079	UROK	\N	\N
3668148	4981	1997-04-30	PRIJEM	\N	169	34474	UROK	\N	\N
3668149	4981	1997-05-31	PRIJEM	\N	171	36472	UROK	\N	\N
3668150	4981	1997-06-30	PRIJEM	\N	168	19799	UROK	\N	\N
3668151	4981	1997-07-31	PRIJEM	\N	115	22920	UROK	\N	\N
3668152	4981	1997-08-31	PRIJEM	\N	130	29377	UROK	\N	\N
3668153	4981	1997-09-30	PRIJEM	\N	137	28040	UROK	\N	\N
3668154	4981	1997-10-31	PRIJEM	\N	135	29701	UROK	\N	\N
3668155	4981	1997-11-30	PRIJEM	\N	133	28460	UROK	\N	\N
3668156	4981	1997-12-31	PRIJEM	\N	145	27724	UROK	\N	\N
3668157	4981	1998-01-31	PRIJEM	\N	103	16213	UROK	\N	\N
3668158	4981	1998-02-28	PRIJEM	\N	87	19927	UROK	\N	\N
3668159	4981	1998-03-31	PRIJEM	\N	100	19753	UROK	\N	\N
3668160	4981	1998-04-30	PRIJEM	\N	81	15000	UROK	\N	\N
3668161	4981	1998-05-31	PRIJEM	\N	75	16102	UROK	\N	\N
3668162	4981	1998-06-30	PRIJEM	\N	93	20474	UROK	\N	\N
3668163	4981	1998-07-31	PRIJEM	\N	91	19791	UROK	\N	\N
3668164	4981	1998-08-31	PRIJEM	\N	94	21611	UROK	\N	\N
3668165	4981	1998-09-30	PRIJEM	\N	80	17217	UROK	\N	\N
3668166	4981	1998-10-31	PRIJEM	\N	77	16220	UROK	\N	\N
3668167	4981	1998-11-30	PRIJEM	\N	59	13005	UROK	\N	\N
3668168	4981	1998-12-31	PRIJEM	\N	66	15770	UROK	\N	\N
3668169	4994	1996-03-31	PRIJEM	\N	141	61790	UROK	\N	\N
3668170	4994	1996-04-30	PRIJEM	\N	257	47447	UROK	\N	\N
3668171	4994	1996-05-31	PRIJEM	\N	257	36504	UROK	\N	\N
3668172	4994	1996-06-30	PRIJEM	\N	219	48063	UROK	\N	\N
3668173	4994	1996-07-31	PRIJEM	\N	206	53892	UROK	\N	\N
3668174	4994	1996-08-31	PRIJEM	\N	277	75928	UROK	\N	\N
3668175	4994	1996-09-30	PRIJEM	\N	235	35054	UROK	\N	\N
3668176	4994	1996-10-31	PRIJEM	\N	124	27069	UROK	\N	\N
3668177	4994	1996-11-30	PRIJEM	\N	211	71942	UROK	\N	\N
3668178	4994	1996-12-31	PRIJEM	\N	221	41653	UROK	\N	\N
3668179	4994	1997-01-31	PRIJEM	\N	156	61804	UROK	\N	\N
3668180	4994	1997-02-28	PRIJEM	\N	259	70385	UROK	\N	\N
3668181	4994	1997-03-31	PRIJEM	\N	189	39240	UROK	\N	\N
3668182	4994	1997-04-30	PRIJEM	\N	181	42496	UROK	\N	\N
3668183	4994	1997-05-31	PRIJEM	\N	170	63400	UROK	\N	\N
3668184	4994	1997-06-30	PRIJEM	\N	202	38840	UROK	\N	\N
3668185	4994	1997-07-31	PRIJEM	\N	180	73093	UROK	\N	\N
3668186	4994	1997-08-31	PRIJEM	\N	329	70286	UROK	\N	\N
3668187	4994	1997-09-30	PRIJEM	\N	313	69913	UROK	\N	\N
3668188	4994	1997-10-31	PRIJEM	\N	273	101966	UROK	\N	\N
3668189	4994	1997-11-30	PRIJEM	\N	367	84091	UROK	\N	\N
3668190	4994	1997-12-31	PRIJEM	\N	295	73786	UROK	\N	\N
3668191	4994	1998-01-31	PRIJEM	\N	146	41581	UROK	\N	\N
3668192	4994	1998-02-28	PRIJEM	\N	171	34543	UROK	\N	\N
3668193	4994	1998-03-31	PRIJEM	\N	146	24686	UROK	\N	\N
3668194	4994	1998-04-30	PRIJEM	\N	175	53317	UROK	\N	\N
3668195	4994	1998-05-31	PRIJEM	\N	230	80892	UROK	\N	\N
3668196	4994	1998-06-30	PRIJEM	\N	302	66700	UROK	\N	\N
3668197	4994	1998-07-31	PRIJEM	\N	247	58883	UROK	\N	\N
3668198	4994	1998-08-31	PRIJEM	\N	320	77243	UROK	\N	\N
3668199	4994	1998-09-30	PRIJEM	\N	267	60776	UROK	\N	\N
3668200	4994	1998-10-31	PRIJEM	\N	174	52241	UROK	\N	\N
3668201	4994	1998-11-30	PRIJEM	\N	191	57520	UROK	\N	\N
3668202	4994	1998-12-31	PRIJEM	\N	194	32734	UROK	\N	\N
3668203	4999	1996-03-31	PRIJEM	\N	68	26499	UROK	\N	\N
3668204	4999	1996-04-30	PRIJEM	\N	141	38271	UROK	\N	\N
3668205	4999	1996-05-31	PRIJEM	\N	179	45780	UROK	\N	\N
3668206	4999	1996-06-30	PRIJEM	\N	229	59705	UROK	\N	\N
3668207	4999	1996-07-31	PRIJEM	\N	228	45209	UROK	\N	\N
3668208	4999	1996-08-31	PRIJEM	\N	148	18636	UROK	\N	\N
3668209	4999	1996-09-30	PRIJEM	\N	106	20703	UROK	\N	\N
3668210	4999	1996-10-31	PRIJEM	\N	115	27779	UROK	\N	\N
3668211	4999	1996-11-30	PRIJEM	\N	126	26766	UROK	\N	\N
3668212	4999	1996-12-31	PRIJEM	\N	136	30311	UROK	\N	\N
3668213	4999	1997-01-31	PRIJEM	\N	65	7621	UROK	\N	\N
3668214	4999	1997-02-28	PRIJEM	\N	68	15451	UROK	\N	\N
3668215	4999	1997-03-31	PRIJEM	\N	112	24924	UROK	\N	\N
3668216	4999	1997-04-30	PRIJEM	\N	113	20098	UROK	\N	\N
3668217	4999	1997-05-31	PRIJEM	\N	111	25771	UROK	\N	\N
3668218	4999	1997-06-30	PRIJEM	\N	148	33857	UROK	\N	\N
3668219	4999	1997-07-31	PRIJEM	\N	127	19556	UROK	\N	\N
3668220	4999	1997-08-31	PRIJEM	\N	152	36281	UROK	\N	\N
3668221	4999	1997-09-30	PRIJEM	\N	197	45951	UROK	\N	\N
3668222	4999	1997-10-31	PRIJEM	\N	150	30513	UROK	\N	\N
3668223	4999	1997-11-30	PRIJEM	\N	201	48186	UROK	\N	\N
3668224	4999	1997-12-31	PRIJEM	\N	260	62285	UROK	\N	\N
3668225	4999	1998-01-31	PRIJEM	\N	126	18874	UROK	\N	\N
3668226	4999	1998-02-28	PRIJEM	\N	138	32685	UROK	\N	\N
3668227	4999	1998-03-31	PRIJEM	\N	172	25048	UROK	\N	\N
3668228	4999	1998-04-30	PRIJEM	\N	202	49622	UROK	\N	\N
3668229	4999	1998-05-31	PRIJEM	\N	273	65368	UROK	\N	\N
3668230	4999	1998-06-30	PRIJEM	\N	325	40031	UROK	\N	\N
3668231	4999	1998-07-31	PRIJEM	\N	224	46328	UROK	\N	\N
3668232	4999	1998-08-31	PRIJEM	\N	272	67373	UROK	\N	\N
3668233	4999	1998-09-30	PRIJEM	\N	254	55218	UROK	\N	\N
3668234	4999	1998-10-31	PRIJEM	\N	271	71862	UROK	\N	\N
3668235	4999	1998-11-30	PRIJEM	\N	338	82972	UROK	\N	\N
3668236	4999	1998-12-31	PRIJEM	\N	336	72646	UROK	\N	\N
3668237	5001	1996-01-31	PRIJEM	\N	105	47765	UROK	\N	\N
3668238	5001	1996-02-29	PRIJEM	\N	231	57303	UROK	\N	\N
3668239	5001	1996-03-31	PRIJEM	\N	238	43841	UROK	\N	\N
3668240	5001	1996-04-30	PRIJEM	\N	276	80247	UROK	\N	\N
3668241	5001	1996-05-31	PRIJEM	\N	271	83309	UROK	\N	\N
3668242	5001	1996-06-30	PRIJEM	\N	291	33166	UROK	\N	\N
3668243	5001	1996-07-31	PRIJEM	\N	294	101434	UROK	\N	\N
3668244	5001	1996-08-31	PRIJEM	\N	363	99373	UROK	\N	\N
3668245	5001	1996-09-30	PRIJEM	\N	322	76403	UROK	\N	\N
3668246	5001	1996-10-31	PRIJEM	\N	300	102248	UROK	\N	\N
3668247	5001	1996-11-30	PRIJEM	\N	335	67598	UROK	\N	\N
3668248	5001	1996-12-31	PRIJEM	\N	333	89399	UROK	\N	\N
3668249	5001	1997-01-31	PRIJEM	\N	165	18395	UROK	\N	\N
3668250	5001	1997-02-28	PRIJEM	\N	72	15672	UROK	\N	\N
3668251	5001	1997-03-31	PRIJEM	\N	74	18251	UROK	\N	\N
3668252	5001	1997-04-30	PRIJEM	\N	184	44592	UROK	\N	\N
3668253	5001	1997-05-31	PRIJEM	\N	149	28550	UROK	\N	\N
3668254	5001	1997-06-30	PRIJEM	\N	99	20254	UROK	\N	\N
3668255	5001	1997-07-31	PRIJEM	\N	115	58149	UROK	\N	\N
3668256	5001	1997-08-31	PRIJEM	\N	242	83733	UROK	\N	\N
3668257	5001	1997-09-30	PRIJEM	\N	313	83911	UROK	\N	\N
3668258	5001	1997-10-31	PRIJEM	\N	256	115209	UROK	\N	\N
3668259	5001	1997-11-30	PRIJEM	\N	165	32179	UROK	\N	\N
3668260	5001	1997-12-31	PRIJEM	\N	368	66189	UROK	\N	\N
3668261	5001	1998-01-31	PRIJEM	\N	127	21621	UROK	\N	\N
3668262	5001	1998-02-28	PRIJEM	\N	71	13797	UROK	\N	\N
3668263	5001	1998-03-31	PRIJEM	\N	45	8947	UROK	\N	\N
3668264	5001	1998-04-30	PRIJEM	\N	36	8388	UROK	\N	\N
3668265	5001	1998-05-31	PRIJEM	\N	123	31871	UROK	\N	\N
3668266	5001	1998-06-30	PRIJEM	\N	112	23572	UROK	\N	\N
3668267	5001	1998-07-31	PRIJEM	\N	67	12144	UROK	\N	\N
3668268	5001	1998-08-31	PRIJEM	\N	52	25401	UROK	\N	\N
3668269	5001	1998-09-30	PRIJEM	\N	72	27878	UROK	\N	\N
3668270	5001	1998-10-31	PRIJEM	\N	83	26365	UROK	\N	\N
3668271	5001	1998-11-30	PRIJEM	\N	80	28938	UROK	\N	\N
3668272	5001	1998-12-31	PRIJEM	\N	86	16017	UROK	\N	\N
3668362	5033	1995-08-31	PRIJEM	\N	24	7480	UROK	\N	\N
3668363	5033	1995-09-30	PRIJEM	\N	76	21512	UROK	\N	\N
3668364	5033	1995-10-31	PRIJEM	\N	120	31088	UROK	\N	\N
3668365	5033	1995-11-30	PRIJEM	\N	136	33380	UROK	\N	\N
3668366	5033	1995-12-31	PRIJEM	\N	145	34644	UROK	\N	\N
3668367	5033	1996-01-31	PRIJEM	\N	123	24438	UROK	\N	\N
3668368	5033	1996-02-29	PRIJEM	\N	111	26720	UROK	\N	\N
3668369	5033	1996-03-31	PRIJEM	\N	112	23804	UROK	\N	\N
3668370	5033	1996-04-30	PRIJEM	\N	109	28084	UROK	\N	\N
3668371	5033	1996-05-31	PRIJEM	\N	124	26780	UROK	\N	\N
3668372	5033	1996-06-30	PRIJEM	\N	119	28349	UROK	\N	\N
3668373	5033	1996-07-31	PRIJEM	\N	121	25441	UROK	\N	\N
3668374	5033	1996-08-31	PRIJEM	\N	112	24175	UROK	\N	\N
3668375	5033	1996-09-30	PRIJEM	\N	108	25205	UROK	\N	\N
3668376	5033	1996-10-31	PRIJEM	\N	103	17229	UROK	\N	\N
3668377	5033	1996-11-30	PRIJEM	\N	72	16122	UROK	\N	\N
3668378	5033	1996-12-31	PRIJEM	\N	83	17504	UROK	\N	\N
3668379	5033	1997-01-31	PRIJEM	\N	78	16604	UROK	\N	\N
3668380	5033	1997-02-28	PRIJEM	\N	74	15100	UROK	\N	\N
3668381	5033	1997-03-31	PRIJEM	\N	70	15791	UROK	\N	\N
3668382	5033	1997-04-30	PRIJEM	\N	76	19788	UROK	\N	\N
3668383	5033	1997-05-31	PRIJEM	\N	78	17888	UROK	\N	\N
3668384	5033	1997-06-30	PRIJEM	\N	94	23281	UROK	\N	\N
3668385	5033	1997-07-31	PRIJEM	\N	104	25307	UROK	\N	\N
3668386	5033	1997-08-31	PRIJEM	\N	112	25290	UROK	\N	\N
3668387	5033	1997-09-30	PRIJEM	\N	96	18558	UROK	\N	\N
3668388	5033	1997-10-31	PRIJEM	\N	83	19312	UROK	\N	\N
3668389	5033	1997-11-30	PRIJEM	\N	88	20372	UROK	\N	\N
3668390	5033	1997-12-31	PRIJEM	\N	103	24424	UROK	\N	\N
3668391	5033	1998-01-31	PRIJEM	\N	108	25904	UROK	\N	\N
3668392	5033	1998-02-28	PRIJEM	\N	115	27190	UROK	\N	\N
3668393	5033	1998-03-31	PRIJEM	\N	123	29784	UROK	\N	\N
3668394	5033	1998-04-30	PRIJEM	\N	134	32989	UROK	\N	\N
3668395	5033	1998-05-31	PRIJEM	\N	153	38613	UROK	\N	\N
3668396	5033	1998-06-30	PRIJEM	\N	171	39434	UROK	\N	\N
3668397	5033	1998-07-31	PRIJEM	\N	170	39775	UROK	\N	\N
3668398	5033	1998-08-31	PRIJEM	\N	175	42322	UROK	\N	\N
3668399	5033	1998-09-30	PRIJEM	\N	180	42273	UROK	\N	\N
3668400	5033	1998-10-31	PRIJEM	\N	182	41427	UROK	\N	\N
3668401	5033	1998-11-30	PRIJEM	\N	170	39969	UROK	\N	\N
3668402	5033	1998-12-31	PRIJEM	\N	179	41097	UROK	\N	\N
3668599	5066	1995-11-30	PRIJEM	\N	37	44374	UROK	\N	\N
3668600	5066	1995-12-31	PRIJEM	\N	198	58054	UROK	\N	\N
3668601	5066	1996-01-31	PRIJEM	\N	241	44496	UROK	\N	\N
3668602	5066	1996-02-29	PRIJEM	\N	274	56947	UROK	\N	\N
3668603	5066	1996-03-31	PRIJEM	\N	236	46683	UROK	\N	\N
3668604	5066	1996-04-30	PRIJEM	\N	331	68459	UROK	\N	\N
3668605	5066	1996-05-31	PRIJEM	\N	245	47266	UROK	\N	\N
3668606	5066	1996-06-30	PRIJEM	\N	169	36097	UROK	\N	\N
3668607	5066	1996-07-31	PRIJEM	\N	140	71255	UROK	\N	\N
3668608	5066	1996-08-31	PRIJEM	\N	223	40604	UROK	\N	\N
3668609	5066	1996-09-30	PRIJEM	\N	140	26306	UROK	\N	\N
3668610	5066	1996-10-31	PRIJEM	\N	110	36631	UROK	\N	\N
3668611	5066	1996-11-30	PRIJEM	\N	129	28422	UROK	\N	\N
3668612	5066	1996-12-31	PRIJEM	\N	129	28748	UROK	\N	\N
3668613	5066	1997-01-31	PRIJEM	\N	203	67251	UROK	\N	\N
3668614	5066	1997-02-28	PRIJEM	\N	260	53310	UROK	\N	\N
3668615	5066	1997-03-31	PRIJEM	\N	247	76993	UROK	\N	\N
3668616	5066	1997-04-30	PRIJEM	\N	252	44008	UROK	\N	\N
3668617	5066	1997-05-31	PRIJEM	\N	157	62314	UROK	\N	\N
3668618	5066	1997-06-30	PRIJEM	\N	194	25026	UROK	\N	\N
3668619	5066	1997-07-31	PRIJEM	\N	173	54791	UROK	\N	\N
3668620	5066	1997-08-31	PRIJEM	\N	216	40831	UROK	\N	\N
3668621	5066	1997-09-30	PRIJEM	\N	121	25394	UROK	\N	\N
3668622	5066	1997-10-31	PRIJEM	\N	197	41756	UROK	\N	\N
3668623	5066	1997-11-30	PRIJEM	\N	179	71320	UROK	\N	\N
3668624	5066	1997-12-31	PRIJEM	\N	234	49436	UROK	\N	\N
3668625	5066	1998-01-31	PRIJEM	\N	175	46448	UROK	\N	\N
3668626	5066	1998-02-28	PRIJEM	\N	94	13573	UROK	\N	\N
3668627	5066	1998-03-31	PRIJEM	\N	122	19838	UROK	\N	\N
3668628	5066	1998-04-30	PRIJEM	\N	184	24959	UROK	\N	\N
3668629	5066	1998-05-31	PRIJEM	\N	102	45760	UROK	\N	\N
3668630	5066	1998-06-30	PRIJEM	\N	135	33585	UROK	\N	\N
3668631	5066	1998-07-31	PRIJEM	\N	86	37700	UROK	\N	\N
3668632	5066	1998-08-31	PRIJEM	\N	95	16926	UROK	\N	\N
3668633	5066	1998-09-30	PRIJEM	\N	41	7598	UROK	\N	\N
3668634	5066	1998-10-31	PRIJEM	\N	12	941	UROK	\N	\N
3668635	5066	1998-11-30	PRIJEM	\N	1	-2139	UROK	\N	\N
3668636	5066	1998-11-30	VYDAJ	VYBER	8	-2147	SANKC. UROK	\N	\N
3668637	5066	1998-12-31	PRIJEM	\N	93	59671	UROK	\N	\N
3668638	5066	1998-12-31	VYDAJ	VYBER	4	59668	SANKC. UROK	\N	\N
3668639	5072	1996-04-30	PRIJEM	\N	59	25118	UROK	\N	\N
3668640	5072	1996-05-31	PRIJEM	\N	104	49182	UROK	\N	\N
3668641	5072	1996-06-30	PRIJEM	\N	225	76345	UROK	\N	\N
3668642	5072	1996-07-31	PRIJEM	\N	324	79127	UROK	\N	\N
3668643	5072	1996-08-31	PRIJEM	\N	338	77355	UROK	\N	\N
3668644	5072	1996-09-30	PRIJEM	\N	290	66287	UROK	\N	\N
3668645	5072	1996-10-31	PRIJEM	\N	251	59780	UROK	\N	\N
3668646	5072	1996-11-30	PRIJEM	\N	229	55751	UROK	\N	\N
3668647	5072	1996-12-31	PRIJEM	\N	252	64324	UROK	\N	\N
3668648	5072	1997-01-31	PRIJEM	\N	231	45158	UROK	\N	\N
3668649	5072	1997-02-28	PRIJEM	\N	188	48996	UROK	\N	\N
3668650	5072	1997-03-31	PRIJEM	\N	209	49956	UROK	\N	\N
3668651	5072	1997-04-30	PRIJEM	\N	200	47367	UROK	\N	\N
3668652	5072	1997-05-31	PRIJEM	\N	206	49663	UROK	\N	\N
3668653	5072	1997-06-30	PRIJEM	\N	136	16829	UROK	\N	\N
3668654	5072	1997-07-31	PRIJEM	\N	127	33806	UROK	\N	\N
3668655	5072	1997-08-31	PRIJEM	\N	143	38160	UROK	\N	\N
3668656	5072	1997-09-30	PRIJEM	\N	169	45079	UROK	\N	\N
3668657	5072	1997-10-31	PRIJEM	\N	201	48530	UROK	\N	\N
3668658	5072	1997-11-30	PRIJEM	\N	179	45459	UROK	\N	\N
3668659	5072	1997-12-31	PRIJEM	\N	201	56089	UROK	\N	\N
3668660	5072	1998-01-31	PRIJEM	\N	163	38663	UROK	\N	\N
3668661	5072	1998-02-28	PRIJEM	\N	163	43276	UROK	\N	\N
3668662	5072	1998-03-31	PRIJEM	\N	173	44600	UROK	\N	\N
3668663	5072	1998-04-30	PRIJEM	\N	195	48726	UROK	\N	\N
3668664	5072	1998-05-31	PRIJEM	\N	223	54699	UROK	\N	\N
3668665	5072	1998-06-30	PRIJEM	\N	240	47709	UROK	\N	\N
3668666	5072	1998-07-31	PRIJEM	\N	211	55370	UROK	\N	\N
3668667	5072	1998-08-31	PRIJEM	\N	227	53147	UROK	\N	\N
3668668	5072	1998-09-30	PRIJEM	\N	235	59972	UROK	\N	\N
3668669	5072	1998-10-31	PRIJEM	\N	277	63499	UROK	\N	\N
3668670	5072	1998-11-30	PRIJEM	\N	276	60126	UROK	\N	\N
3668671	5072	1998-12-31	PRIJEM	\N	273	54848	UROK	\N	\N
3668872	5118	1995-08-31	PRIJEM	\N	29	9538	UROK	\N	\N
3668873	5118	1995-09-30	PRIJEM	\N	94	27341	UROK	\N	\N
3668874	5118	1995-10-31	PRIJEM	\N	136	34787	UROK	\N	\N
3668875	5118	1995-11-30	PRIJEM	\N	148	36044	UROK	\N	\N
3668876	5118	1995-12-31	PRIJEM	\N	154	34197	UROK	\N	\N
3668877	5118	1996-01-31	PRIJEM	\N	105	17955	UROK	\N	\N
3668878	5118	1996-02-29	PRIJEM	\N	96	24404	UROK	\N	\N
3668879	5118	1996-03-31	PRIJEM	\N	106	25564	UROK	\N	\N
3668880	5118	1996-04-30	PRIJEM	\N	110	21747	UROK	\N	\N
3668881	5118	1996-05-31	PRIJEM	\N	112	28472	UROK	\N	\N
3668882	5118	1996-06-30	PRIJEM	\N	155	37685	UROK	\N	\N
3668883	5118	1996-07-31	PRIJEM	\N	150	33188	UROK	\N	\N
3668884	5118	1996-08-31	PRIJEM	\N	146	35548	UROK	\N	\N
3668885	5118	1996-09-30	PRIJEM	\N	167	36268	UROK	\N	\N
3668886	5118	1996-10-31	PRIJEM	\N	166	38987	UROK	\N	\N
3668887	5118	1996-11-30	PRIJEM	\N	171	37712	UROK	\N	\N
3668888	5118	1996-12-31	PRIJEM	\N	176	39586	UROK	\N	\N
3668889	5118	1997-01-31	PRIJEM	\N	107	23146	UROK	\N	\N
3668890	5118	1997-02-28	PRIJEM	\N	94	27053	UROK	\N	\N
3668891	5118	1997-03-31	PRIJEM	\N	127	30934	UROK	\N	\N
3668892	5118	1997-04-30	PRIJEM	\N	140	35627	UROK	\N	\N
3668893	5118	1997-05-31	PRIJEM	\N	157	34829	UROK	\N	\N
3668894	5118	1997-06-30	PRIJEM	\N	153	36870	UROK	\N	\N
3668895	5118	1997-07-31	PRIJEM	\N	162	38277	UROK	\N	\N
3668896	5118	1997-08-31	PRIJEM	\N	165	37287	UROK	\N	\N
3668897	5118	1997-09-30	PRIJEM	\N	165	38596	UROK	\N	\N
3668898	5118	1997-10-31	PRIJEM	\N	164	37044	UROK	\N	\N
3668899	5118	1997-11-30	PRIJEM	\N	162	37150	UROK	\N	\N
3668900	5118	1997-12-31	PRIJEM	\N	170	41389	UROK	\N	\N
3668901	5118	1998-01-31	PRIJEM	\N	155	28249	UROK	\N	\N
3668902	5118	1998-02-28	PRIJEM	\N	127	29680	UROK	\N	\N
3668903	5118	1998-03-31	PRIJEM	\N	134	33358	UROK	\N	\N
3668904	5118	1998-04-30	PRIJEM	\N	145	34448	UROK	\N	\N
3668905	5118	1998-05-31	PRIJEM	\N	152	37044	UROK	\N	\N
3668906	5118	1998-06-30	PRIJEM	\N	173	42566	UROK	\N	\N
3668907	5118	1998-07-31	PRIJEM	\N	185	44396	UROK	\N	\N
3668908	5118	1998-08-31	PRIJEM	\N	175	40316	UROK	\N	\N
3668909	5118	1998-09-30	PRIJEM	\N	171	40331	UROK	\N	\N
3668910	5118	1998-10-31	PRIJEM	\N	164	32699	UROK	\N	\N
3668911	5118	1998-11-30	PRIJEM	\N	131	29074	UROK	\N	\N
3668912	5118	1998-12-31	PRIJEM	\N	135	31798	UROK	\N	\N
3668913	5120	1993-11-30	PRIJEM	\N	53	29353	UROK	\N	\N
3668914	5120	1993-12-31	PRIJEM	\N	203	87483	UROK	\N	\N
3668915	5120	1994-01-31	PRIJEM	\N	310	58244	UROK	\N	\N
3668916	5120	1994-02-28	PRIJEM	\N	270	75926	UROK	\N	\N
3668917	5120	1994-03-31	PRIJEM	\N	242	42645	UROK	\N	\N
3668918	5120	1994-04-30	PRIJEM	\N	102	17720	UROK	\N	\N
3668919	5120	1994-05-31	PRIJEM	\N	162	27930	UROK	\N	\N
3668920	5120	1994-06-30	PRIJEM	\N	119	41127	UROK	\N	\N
3668921	5120	1994-07-31	PRIJEM	\N	230	72386	UROK	\N	\N
3668922	5120	1994-08-31	PRIJEM	\N	201	45139	UROK	\N	\N
3668923	5120	1994-09-30	PRIJEM	\N	80	14796	UROK	\N	\N
3668924	5120	1994-10-31	PRIJEM	\N	52	11887	UROK	\N	\N
3668925	5120	1994-11-30	PRIJEM	\N	122	47948	UROK	\N	\N
3668926	5120	1994-12-31	PRIJEM	\N	157	32231	UROK	\N	\N
3668927	5120	1995-01-31	PRIJEM	\N	143	16812	UROK	\N	\N
3668928	5120	1995-02-28	PRIJEM	\N	84	40245	UROK	\N	\N
3668929	5120	1995-03-31	PRIJEM	\N	148	47491	UROK	\N	\N
3668930	5120	1995-04-30	PRIJEM	\N	149	28878	UROK	\N	\N
3668931	5120	1995-05-31	PRIJEM	\N	95	19512	UROK	\N	\N
3668932	5120	1995-06-30	PRIJEM	\N	146	43735	UROK	\N	\N
3668933	5120	1995-07-31	PRIJEM	\N	237	45060	UROK	\N	\N
3668934	5120	1995-08-31	PRIJEM	\N	198	43339	UROK	\N	\N
3668935	5120	1995-09-30	PRIJEM	\N	123	23000	UROK	\N	\N
3668936	5120	1995-10-31	PRIJEM	\N	144	49446	UROK	\N	\N
3668937	5120	1995-11-30	PRIJEM	\N	183	31395	UROK	\N	\N
3668938	5120	1995-12-31	PRIJEM	\N	97	19230	UROK	\N	\N
3668939	5120	1996-01-31	PRIJEM	\N	197	74617	UROK	\N	\N
3668940	5120	1996-02-29	PRIJEM	\N	247	63261	UROK	\N	\N
3668941	5120	1996-03-31	PRIJEM	\N	342	50566	UROK	\N	\N
3668942	5120	1996-04-30	PRIJEM	\N	164	54106	UROK	\N	\N
3668943	5120	1996-05-31	PRIJEM	\N	147	41915	UROK	\N	\N
3668944	5120	1996-06-30	PRIJEM	\N	223	66100	UROK	\N	\N
3668945	5120	1996-07-31	PRIJEM	\N	213	47889	UROK	\N	\N
3668946	5120	1996-08-31	PRIJEM	\N	148	29975	UROK	\N	\N
3668947	5120	1996-09-30	PRIJEM	\N	104	22518	UROK	\N	\N
3668948	5120	1996-10-31	PRIJEM	\N	161	38792	UROK	\N	\N
3668949	5120	1996-11-30	PRIJEM	\N	294	105837	UROK	\N	\N
3668950	5120	1996-12-31	PRIJEM	\N	319	93539	UROK	\N	\N
3668951	5120	1997-01-31	PRIJEM	\N	246	56763	UROK	\N	\N
3668952	5120	1997-02-28	PRIJEM	\N	207	51661	UROK	\N	\N
3668953	5120	1997-03-31	PRIJEM	\N	228	43006	UROK	\N	\N
3668954	5120	1997-04-30	PRIJEM	\N	76	14439	UROK	\N	\N
3668955	5120	1997-05-31	PRIJEM	\N	100	33103	UROK	\N	\N
3668956	5120	1997-06-30	PRIJEM	\N	124	26365	UROK	\N	\N
3668957	5120	1997-07-31	PRIJEM	\N	95	32756	UROK	\N	\N
3668958	5120	1997-08-31	PRIJEM	\N	114	34208	UROK	\N	\N
3668959	5120	1997-09-30	PRIJEM	\N	71	25105	UROK	\N	\N
3668960	5120	1997-10-31	PRIJEM	\N	101	36894	UROK	\N	\N
3668961	5120	1997-11-30	PRIJEM	\N	249	58721	UROK	\N	\N
3668962	5120	1997-12-31	PRIJEM	\N	188	36986	UROK	\N	\N
3668963	5120	1998-01-31	PRIJEM	\N	100	41388	UROK	\N	\N
3668964	5120	1998-02-28	PRIJEM	\N	156	41290	UROK	\N	\N
3668965	5120	1998-03-31	PRIJEM	\N	281	112190	UROK	\N	\N
3668966	5120	1998-04-30	PRIJEM	\N	185	61523	UROK	\N	\N
3668967	5120	1998-05-31	PRIJEM	\N	310	56182	UROK	\N	\N
3668968	5120	1998-06-30	PRIJEM	\N	321	76548	UROK	\N	\N
3668969	5120	1998-07-31	PRIJEM	\N	277	50564	UROK	\N	\N
3668970	5120	1998-08-31	PRIJEM	\N	203	43244	UROK	\N	\N
3668971	5120	1998-09-30	PRIJEM	\N	177	42358	UROK	\N	\N
3668972	5120	1998-10-31	PRIJEM	\N	235	82222	UROK	\N	\N
3668973	5120	1998-11-30	PRIJEM	\N	329	98632	UROK	\N	\N
3668974	5120	1998-12-31	PRIJEM	\N	348	65188	UROK	\N	\N
3668975	5126	1995-04-30	PRIJEM	\N	24	8790	UROK	\N	\N
3668976	5126	1995-05-31	PRIJEM	\N	86	26342	UROK	\N	\N
3668977	5126	1995-06-30	PRIJEM	\N	147	39938	UROK	\N	\N
3668978	5126	1995-07-31	PRIJEM	\N	177	43981	UROK	\N	\N
3668979	5126	1995-08-31	PRIJEM	\N	181	44428	UROK	\N	\N
3668980	5126	1995-09-30	PRIJEM	\N	169	38340	UROK	\N	\N
3668981	5126	1995-10-31	PRIJEM	\N	155	31938	UROK	\N	\N
3668982	5126	1995-11-30	PRIJEM	\N	132	32654	UROK	\N	\N
3668983	5126	1995-12-31	PRIJEM	\N	144	30184	UROK	\N	\N
3668984	5126	1996-01-31	PRIJEM	\N	108	21892	UROK	\N	\N
3668985	5126	1996-02-29	PRIJEM	\N	102	28113	UROK	\N	\N
3668986	5126	1996-03-31	PRIJEM	\N	125	23757	UROK	\N	\N
3668987	5126	1996-04-30	PRIJEM	\N	108	25385	UROK	\N	\N
3668988	5126	1996-05-31	PRIJEM	\N	115	26819	UROK	\N	\N
3668989	5126	1996-06-30	PRIJEM	\N	127	27928	UROK	\N	\N
3668990	5126	1996-07-31	PRIJEM	\N	123	27471	UROK	\N	\N
3668991	5126	1996-08-31	PRIJEM	\N	116	23546	UROK	\N	\N
3668992	5126	1996-09-30	PRIJEM	\N	105	24170	UROK	\N	\N
3668993	5126	1996-10-31	PRIJEM	\N	105	22595	UROK	\N	\N
3668994	5126	1996-11-30	PRIJEM	\N	97	19911	UROK	\N	\N
3668995	5126	1996-12-31	PRIJEM	\N	99	22672	UROK	\N	\N
3668996	5126	1997-01-31	PRIJEM	\N	70	16521	UROK	\N	\N
3668997	5126	1997-02-28	PRIJEM	\N	79	19720	UROK	\N	\N
3668998	5126	1997-03-31	PRIJEM	\N	83	17742	UROK	\N	\N
3668999	5126	1997-04-30	PRIJEM	\N	85	22646	UROK	\N	\N
3669000	5126	1997-05-31	PRIJEM	\N	101	23866	UROK	\N	\N
3669001	5126	1997-06-30	PRIJEM	\N	115	27683	UROK	\N	\N
3669002	5126	1997-07-31	PRIJEM	\N	120	28323	UROK	\N	\N
3669003	5126	1997-08-31	PRIJEM	\N	124	29046	UROK	\N	\N
3669004	5126	1997-09-30	PRIJEM	\N	130	32395	UROK	\N	\N
3669005	5126	1997-10-31	PRIJEM	\N	138	32252	UROK	\N	\N
3669006	5126	1997-11-30	PRIJEM	\N	139	33210	UROK	\N	\N
3669007	5126	1997-12-31	PRIJEM	\N	135	30308	UROK	\N	\N
3669008	5126	1998-01-31	PRIJEM	\N	92	18339	UROK	\N	\N
3669009	5126	1998-02-28	PRIJEM	\N	84	21542	UROK	\N	\N
3669010	5126	1998-03-31	PRIJEM	\N	99	25561	UROK	\N	\N
3669011	5126	1998-04-30	PRIJEM	\N	108	25288	UROK	\N	\N
3669012	5126	1998-05-31	PRIJEM	\N	108	23036	UROK	\N	\N
3669013	5126	1998-06-30	PRIJEM	\N	92	20050	UROK	\N	\N
3669014	5126	1998-07-31	PRIJEM	\N	79	17348	UROK	\N	\N
3669015	5126	1998-08-31	PRIJEM	\N	65	14133	UROK	\N	\N
3669016	5126	1998-09-30	PRIJEM	\N	64	16216	UROK	\N	\N
3669017	5126	1998-10-31	PRIJEM	\N	67	16302	UROK	\N	\N
3669018	5126	1998-11-30	PRIJEM	\N	60	13381	UROK	\N	\N
3669019	5126	1998-12-31	PRIJEM	\N	76	21360	UROK	\N	\N
3669020	5133	1996-12-31	PRIJEM	\N	76	25839	UROK	\N	\N
3669021	5133	1997-01-31	PRIJEM	\N	191	52932	UROK	\N	\N
3669022	5133	1997-02-28	PRIJEM	\N	220	39652	UROK	\N	\N
3669023	5133	1997-03-31	PRIJEM	\N	220	55700	UROK	\N	\N
3669024	5133	1997-04-30	PRIJEM	\N	224	48857	UROK	\N	\N
3669025	5133	1997-05-31	PRIJEM	\N	203	30460	UROK	\N	\N
3669026	5133	1997-06-30	PRIJEM	\N	189	24024	UROK	\N	\N
3669027	5133	1997-07-31	PRIJEM	\N	120	25077	UROK	\N	\N
3669028	5133	1997-08-31	PRIJEM	\N	227	87857	UROK	\N	\N
3669029	5133	1997-09-30	PRIJEM	\N	234	53129	UROK	\N	\N
3669030	5133	1997-10-31	PRIJEM	\N	177	73455	UROK	\N	\N
3669031	5133	1997-11-30	PRIJEM	\N	215	48996	UROK	\N	\N
3669032	5133	1997-12-31	PRIJEM	\N	157	55604	UROK	\N	\N
3669033	5133	1998-01-31	PRIJEM	\N	329	39571	UROK	\N	\N
3669034	5133	1998-02-28	PRIJEM	\N	224	89050	UROK	\N	\N
3669035	5133	1998-03-31	PRIJEM	\N	307	89253	UROK	\N	\N
3669036	5133	1998-04-30	PRIJEM	\N	343	58393	UROK	\N	\N
3669037	5133	1998-05-31	PRIJEM	\N	418	72588	UROK	\N	\N
3669038	5133	1998-06-30	PRIJEM	\N	202	60956	UROK	\N	\N
3669039	5133	1998-07-31	PRIJEM	\N	151	49465	UROK	\N	\N
3669040	5133	1998-08-31	PRIJEM	\N	134	41005	UROK	\N	\N
3669041	5133	1998-09-30	PRIJEM	\N	206	31375	UROK	\N	\N
3669042	5133	1998-10-31	PRIJEM	\N	115	18439	UROK	\N	\N
3669043	5133	1998-11-30	PRIJEM	\N	149	38476	UROK	\N	\N
3669044	5133	1998-12-31	PRIJEM	\N	182	81475	UROK	\N	\N
3669229	5164	1997-05-31	PRIJEM	\N	17	6709	UROK	\N	\N
3669230	5164	1997-06-30	PRIJEM	\N	72	24269	UROK	\N	\N
3669231	5164	1997-07-31	PRIJEM	\N	124	33385	UROK	\N	\N
3669232	5164	1997-08-31	PRIJEM	\N	144	35521	UROK	\N	\N
3669233	5164	1997-09-30	PRIJEM	\N	141	33093	UROK	\N	\N
3669234	5164	1997-10-31	PRIJEM	\N	118	27527	UROK	\N	\N
3669235	5164	1997-11-30	PRIJEM	\N	118	28561	UROK	\N	\N
3669236	5164	1997-12-31	PRIJEM	\N	113	26987	UROK	\N	\N
3669237	5164	1998-01-31	PRIJEM	\N	96	21899	UROK	\N	\N
3669238	5164	1998-02-28	PRIJEM	\N	81	19397	UROK	\N	\N
3669239	5164	1998-03-31	PRIJEM	\N	76	17290	UROK	\N	\N
3669240	5164	1998-04-30	PRIJEM	\N	65	14751	UROK	\N	\N
3669241	5164	1998-05-31	PRIJEM	\N	66	16312	UROK	\N	\N
3669242	5164	1998-06-30	PRIJEM	\N	79	20382	UROK	\N	\N
3669243	5164	1998-07-31	PRIJEM	\N	89	21967	UROK	\N	\N
3669244	5164	1998-08-31	PRIJEM	\N	96	23558	UROK	\N	\N
3669245	5164	1998-09-30	PRIJEM	\N	102	25155	UROK	\N	\N
3669246	5164	1998-10-31	PRIJEM	\N	109	26760	UROK	\N	\N
3669247	5164	1998-11-30	PRIJEM	\N	76	13431	UROK	\N	\N
3669248	5164	1998-12-31	PRIJEM	\N	68	18190	UROK	\N	\N
3669308	5180	1997-04-30	PRIJEM	\N	30	36021	UROK	\N	\N
3669309	5180	1997-05-31	PRIJEM	\N	150	26771	UROK	\N	\N
3669310	5180	1997-06-30	PRIJEM	\N	150	22721	UROK	\N	\N
3669311	5180	1997-07-31	PRIJEM	\N	150	24071	UROK	\N	\N
3669312	5180	1997-08-31	PRIJEM	\N	150	25821	UROK	\N	\N
3669313	5180	1997-09-30	PRIJEM	\N	150	25571	UROK	\N	\N
3669314	5180	1997-10-31	PRIJEM	\N	150	20321	UROK	\N	\N
3669315	5180	1997-11-30	PRIJEM	\N	150	16771	UROK	\N	\N
3669316	5180	1998-02-28	PRIJEM	\N	117	14046	UROK	\N	\N
3669317	5180	1998-04-30	PRIJEM	\N	64	59883	UROK	\N	\N
3669318	5180	1998-05-31	PRIJEM	\N	249	28133	UROK	\N	\N
3669319	5180	1998-06-30	PRIJEM	\N	248	58723	UROK	\N	\N
3669320	5180	1998-07-31	PRIJEM	\N	189	51102	UROK	\N	\N
3669321	5180	1998-08-31	PRIJEM	\N	252	64919	UROK	\N	\N
3669322	5180	1998-09-30	PRIJEM	\N	357	67376	UROK	\N	\N
3669323	5180	1998-10-31	PRIJEM	\N	173	23173	UROK	\N	\N
3669324	5180	1998-11-30	PRIJEM	\N	173	31510	UROK	\N	\N
3669325	5180	1998-12-31	PRIJEM	\N	138	34120	UROK	\N	\N
3669326	5181	1996-05-31	PRIJEM	\N	97	36266	UROK	\N	\N
3669327	5181	1996-06-30	PRIJEM	\N	151	28017	UROK	\N	\N
3669328	5181	1996-07-31	PRIJEM	\N	239	63627	UROK	\N	\N
3669329	5181	1996-08-31	PRIJEM	\N	278	76846	UROK	\N	\N
3669330	5181	1996-09-30	PRIJEM	\N	206	85656	UROK	\N	\N
3669331	5181	1996-10-31	PRIJEM	\N	276	50519	UROK	\N	\N
3669332	5181	1996-11-30	PRIJEM	\N	225	35372	UROK	\N	\N
3669333	5181	1996-12-31	PRIJEM	\N	167	58965	UROK	\N	\N
3669334	5181	1997-01-31	PRIJEM	\N	123	22122	UROK	\N	\N
3669335	5181	1997-02-28	PRIJEM	\N	93	26801	UROK	\N	\N
3669336	5181	1997-03-31	PRIJEM	\N	110	23296	UROK	\N	\N
3669337	5181	1997-04-30	PRIJEM	\N	98	26079	UROK	\N	\N
3669338	5181	1997-05-31	PRIJEM	\N	109	26821	UROK	\N	\N
3669339	5181	1997-06-30	PRIJEM	\N	112	28666	UROK	\N	\N
3669340	5181	1997-07-31	PRIJEM	\N	120	30719	UROK	\N	\N
3669341	5181	1997-08-31	PRIJEM	\N	127	30078	UROK	\N	\N
3669342	5181	1997-09-30	PRIJEM	\N	124	29035	UROK	\N	\N
3669343	5181	1997-10-31	PRIJEM	\N	121	30088	UROK	\N	\N
3669344	5181	1997-11-30	PRIJEM	\N	124	29645	UROK	\N	\N
3669345	5181	1997-12-31	PRIJEM	\N	124	28902	UROK	\N	\N
3669346	5181	1998-01-31	PRIJEM	\N	107	24642	UROK	\N	\N
3669347	5181	1998-02-28	PRIJEM	\N	184	49510	UROK	\N	\N
3669348	5181	1998-03-31	PRIJEM	\N	228	51969	UROK	\N	\N
3669349	5181	1998-04-30	PRIJEM	\N	169	40344	UROK	\N	\N
3669350	5181	1998-05-31	PRIJEM	\N	167	40543	UROK	\N	\N
3669351	5181	1998-06-30	PRIJEM	\N	167	40343	UROK	\N	\N
3669352	5181	1998-07-31	PRIJEM	\N	158	29234	UROK	\N	\N
3669353	5181	1998-08-31	PRIJEM	\N	133	38400	UROK	\N	\N
3669354	5181	1998-09-30	PRIJEM	\N	206	82495	UROK	\N	\N
3669355	5181	1998-10-31	PRIJEM	\N	281	56009	UROK	\N	\N
3669356	5181	1998-11-30	PRIJEM	\N	218	48260	UROK	\N	\N
3669357	5181	1998-12-31	PRIJEM	\N	140	24099	UROK	\N	\N
3669393	5196	1997-07-31	PRIJEM	\N	14	33403	UROK	\N	\N
3669394	5196	1997-08-31	PRIJEM	\N	139	27242	UROK	\N	\N
3669395	5196	1997-09-30	PRIJEM	\N	219	42750	UROK	\N	\N
3669396	5196	1997-10-31	PRIJEM	\N	251	42291	UROK	\N	\N
3669397	5196	1997-11-30	PRIJEM	\N	173	38505	UROK	\N	\N
3669398	5196	1997-12-31	PRIJEM	\N	158	30428	UROK	\N	\N
3669399	5196	1998-01-31	PRIJEM	\N	186	74685	UROK	\N	\N
3669400	5196	1998-02-28	PRIJEM	\N	352	94651	UROK	\N	\N
3669401	5196	1998-03-31	PRIJEM	\N	366	67643	UROK	\N	\N
3669402	5196	1998-04-30	PRIJEM	\N	293	86092	UROK	\N	\N
3669403	5196	1998-05-31	PRIJEM	\N	320	74728	UROK	\N	\N
3669404	5196	1998-06-30	PRIJEM	\N	266	46176	UROK	\N	\N
3669405	5196	1998-07-31	PRIJEM	\N	273	46774	UROK	\N	\N
3669406	5196	1998-08-31	PRIJEM	\N	150	25936	UROK	\N	\N
3669407	5196	1998-09-30	PRIJEM	\N	172	77479	UROK	\N	\N
3669408	5196	1998-10-31	PRIJEM	\N	281	46079	UROK	\N	\N
3669409	5196	1998-11-30	PRIJEM	\N	182	30018	UROK	\N	\N
3669410	5196	1998-12-31	PRIJEM	\N	113	16954	UROK	\N	\N
3669476	5215	1993-07-31	PRIJEM	\N	49	15736	UROK	\N	\N
3669477	5215	1993-08-31	PRIJEM	\N	95	29218	UROK	\N	\N
3669478	5215	1993-09-30	PRIJEM	\N	123	33928	UROK	\N	\N
3669479	5215	1993-10-31	PRIJEM	\N	142	35456	UROK	\N	\N
3669480	5215	1993-11-30	PRIJEM	\N	185	37658	UROK	\N	\N
3669481	5215	1993-12-31	PRIJEM	\N	186	37001	UROK	\N	\N
3669482	5215	1994-01-31	PRIJEM	\N	133	21307	UROK	\N	\N
3669483	5215	1994-02-28	PRIJEM	\N	110	28431	UROK	\N	\N
3669484	5215	1994-03-31	PRIJEM	\N	139	29584	UROK	\N	\N
3669485	5215	1994-04-30	PRIJEM	\N	144	30841	UROK	\N	\N
3669486	5215	1994-05-31	PRIJEM	\N	147	30900	UROK	\N	\N
3669487	5215	1994-06-30	PRIJEM	\N	166	34143	UROK	\N	\N
3669488	5215	1994-07-31	PRIJEM	\N	161	34917	UROK	\N	\N
3669489	5215	1994-08-31	PRIJEM	\N	164	37175	UROK	\N	\N
3669490	5215	1994-09-30	PRIJEM	\N	171	36640	UROK	\N	\N
3669491	5215	1994-10-31	PRIJEM	\N	160	35234	UROK	\N	\N
3669492	5215	1994-11-30	PRIJEM	\N	160	33288	UROK	\N	\N
3669493	5215	1994-12-31	PRIJEM	\N	164	36310	UROK	\N	\N
3669494	5215	1995-01-31	PRIJEM	\N	135	27759	UROK	\N	\N
3669495	5215	1995-02-28	PRIJEM	\N	128	29022	UROK	\N	\N
3669496	5215	1995-03-31	PRIJEM	\N	135	28851	UROK	\N	\N
3669497	5215	1995-04-30	PRIJEM	\N	136	32541	UROK	\N	\N
3669498	5215	1995-05-31	PRIJEM	\N	147	31082	UROK	\N	\N
3669499	5215	1995-06-30	PRIJEM	\N	157	33377	UROK	\N	\N
3669500	5215	1995-07-31	PRIJEM	\N	147	31119	UROK	\N	\N
3669501	5215	1995-08-31	PRIJEM	\N	142	32674	UROK	\N	\N
3669502	5215	1995-09-30	PRIJEM	\N	136	29663	UROK	\N	\N
3669503	5215	1995-10-31	PRIJEM	\N	139	31916	UROK	\N	\N
3669504	5215	1995-11-30	PRIJEM	\N	137	31807	UROK	\N	\N
3669505	5215	1995-12-31	PRIJEM	\N	156	34260	UROK	\N	\N
3669506	5215	1996-01-31	PRIJEM	\N	123	23016	UROK	\N	\N
3669507	5215	1996-02-29	PRIJEM	\N	109	27338	UROK	\N	\N
3669508	5215	1996-03-31	PRIJEM	\N	130	29441	UROK	\N	\N
3669509	5215	1996-04-30	PRIJEM	\N	130	33805	UROK	\N	\N
3669510	5215	1996-05-31	PRIJEM	\N	152	35670	UROK	\N	\N
3669511	5215	1996-06-30	PRIJEM	\N	159	40346	UROK	\N	\N
3669512	5215	1996-07-31	PRIJEM	\N	182	45142	UROK	\N	\N
3669513	5215	1996-08-31	PRIJEM	\N	198	48454	UROK	\N	\N
3669514	5215	1996-09-30	PRIJEM	\N	207	49774	UROK	\N	\N
3669515	5215	1996-10-31	PRIJEM	\N	219	54027	UROK	\N	\N
3669516	5215	1996-11-30	PRIJEM	\N	236	58276	UROK	\N	\N
3669517	5215	1996-12-31	PRIJEM	\N	253	62627	UROK	\N	\N
3669518	5215	1997-01-31	PRIJEM	\N	214	49354	UROK	\N	\N
3669519	5215	1997-02-28	PRIJEM	\N	210	51838	UROK	\N	\N
3669520	5215	1997-03-31	PRIJEM	\N	223	52333	UROK	\N	\N
3669521	5215	1997-04-30	PRIJEM	\N	226	55973	UROK	\N	\N
3669522	5215	1997-05-31	PRIJEM	\N	238	57224	UROK	\N	\N
3669523	5215	1997-06-30	PRIJEM	\N	207	46088	UROK	\N	\N
3669524	5215	1997-07-31	PRIJEM	\N	201	48882	UROK	\N	\N
3669525	5215	1997-08-31	PRIJEM	\N	223	55819	UROK	\N	\N
3669526	5215	1997-09-30	PRIJEM	\N	263	67296	UROK	\N	\N
3669527	5215	1997-10-31	PRIJEM	\N	289	71498	UROK	\N	\N
3669528	5215	1997-11-30	PRIJEM	\N	282	67234	UROK	\N	\N
3669529	5215	1997-12-31	PRIJEM	\N	293	71683	UROK	\N	\N
3669530	5215	1998-01-31	PRIJEM	\N	276	61772	UROK	\N	\N
3669531	5215	1998-02-28	PRIJEM	\N	262	65448	UROK	\N	\N
3669532	5215	1998-03-31	PRIJEM	\N	265	60307	UROK	\N	\N
3669533	5215	1998-04-30	PRIJEM	\N	256	62175	UROK	\N	\N
3669534	5215	1998-05-31	PRIJEM	\N	244	57233	UROK	\N	\N
3669535	5215	1998-06-30	PRIJEM	\N	261	66811	UROK	\N	\N
3669536	5215	1998-07-31	PRIJEM	\N	266	65891	UROK	\N	\N
3669537	5215	1998-08-31	PRIJEM	\N	256	64700	UROK	\N	\N
3669538	5215	1998-09-30	PRIJEM	\N	264	66378	UROK	\N	\N
3669539	5215	1998-10-31	PRIJEM	\N	271	68362	UROK	\N	\N
3669540	5215	1998-11-30	PRIJEM	\N	277	69553	UROK	\N	\N
3669541	5215	1998-12-31	PRIJEM	\N	273	69283	UROK	\N	\N
3669576	5228	1993-07-31	PRIJEM	\N	43	35824	UROK	\N	\N
3669577	5228	1993-08-31	PRIJEM	\N	174	54780	UROK	\N	\N
3669578	5228	1993-09-30	PRIJEM	\N	301	56862	UROK	\N	\N
3669579	5228	1993-10-31	PRIJEM	\N	337	52579	UROK	\N	\N
3669580	5228	1993-11-30	PRIJEM	\N	234	59995	UROK	\N	\N
3669581	5228	1993-12-31	PRIJEM	\N	407	55223	UROK	\N	\N
3669582	5228	1994-01-31	PRIJEM	\N	206	30066	UROK	\N	\N
3669583	5228	1994-02-28	PRIJEM	\N	240	44587	UROK	\N	\N
3669584	5228	1994-03-31	PRIJEM	\N	295	46238	UROK	\N	\N
3669585	5228	1994-04-30	PRIJEM	\N	256	46992	UROK	\N	\N
3669586	5228	1994-05-31	PRIJEM	\N	221	55493	UROK	\N	\N
3669587	5228	1994-06-30	PRIJEM	\N	340	50661	UROK	\N	\N
3669588	5228	1994-07-31	PRIJEM	\N	282	44301	UROK	\N	\N
3669589	5228	1994-08-31	PRIJEM	\N	275	56358	UROK	\N	\N
3669590	5228	1994-09-30	PRIJEM	\N	232	38533	UROK	\N	\N
3669591	5228	1994-10-31	PRIJEM	\N	215	46109	UROK	\N	\N
3669592	5228	1994-11-30	PRIJEM	\N	222	51092	UROK	\N	\N
3669593	5228	1994-12-31	PRIJEM	\N	188	38470	UROK	\N	\N
3669594	5228	1995-01-31	PRIJEM	\N	194	29004	UROK	\N	\N
3669595	5228	1995-02-28	PRIJEM	\N	120	42316	UROK	\N	\N
3669596	5228	1995-03-31	PRIJEM	\N	218	44624	UROK	\N	\N
3669597	5228	1995-04-30	PRIJEM	\N	200	45567	UROK	\N	\N
3669598	5228	1995-05-31	PRIJEM	\N	231	49595	UROK	\N	\N
3669599	5228	1995-06-30	PRIJEM	\N	263	33795	UROK	\N	\N
3669600	5228	1995-07-31	PRIJEM	\N	193	53127	UROK	\N	\N
3669601	5228	1995-08-31	PRIJEM	\N	287	59253	UROK	\N	\N
3669602	5228	1995-09-30	PRIJEM	\N	198	36579	UROK	\N	\N
3669603	5228	1995-10-31	PRIJEM	\N	155	37111	UROK	\N	\N
3669604	5228	1995-11-30	PRIJEM	\N	166	32190	UROK	\N	\N
3669605	5228	1995-12-31	PRIJEM	\N	215	57985	UROK	\N	\N
3669606	5228	1996-01-31	PRIJEM	\N	173	18297	UROK	\N	\N
3669607	5228	1996-02-29	PRIJEM	\N	141	38577	UROK	\N	\N
3669608	5228	1996-03-31	PRIJEM	\N	153	31703	UROK	\N	\N
3669609	5228	1996-04-30	PRIJEM	\N	146	34677	UROK	\N	\N
3669610	5228	1996-05-31	PRIJEM	\N	170	40986	UROK	\N	\N
3669611	5228	1996-06-30	PRIJEM	\N	134	20999	UROK	\N	\N
3669612	5228	1996-07-31	PRIJEM	\N	100	25020	UROK	\N	\N
3669613	5228	1996-08-31	PRIJEM	\N	157	39858	UROK	\N	\N
3669614	5228	1996-09-30	PRIJEM	\N	146	25164	UROK	\N	\N
3669615	5228	1996-10-31	PRIJEM	\N	185	44530	UROK	\N	\N
3669616	5228	1996-11-30	PRIJEM	\N	249	43163	UROK	\N	\N
3669617	5228	1996-12-31	PRIJEM	\N	361	92065	UROK	\N	\N
3669618	5228	1997-01-31	PRIJEM	\N	332	62877	UROK	\N	\N
3669619	5228	1997-02-28	PRIJEM	\N	352	86010	UROK	\N	\N
3669620	5228	1997-03-31	PRIJEM	\N	367	90817	UROK	\N	\N
3669621	5228	1997-04-30	PRIJEM	\N	418	102516	UROK	\N	\N
3669622	5228	1997-05-31	PRIJEM	\N	388	75741	UROK	\N	\N
3669623	5228	1997-06-30	PRIJEM	\N	314	43577	UROK	\N	\N
3669624	5228	1997-07-31	PRIJEM	\N	293	59369	UROK	\N	\N
3669625	5228	1997-08-31	PRIJEM	\N	352	90902	UROK	\N	\N
3669626	5228	1997-09-30	PRIJEM	\N	344	108627	UROK	\N	\N
3669627	5228	1997-10-31	PRIJEM	\N	429	72337	UROK	\N	\N
3669628	5228	1997-11-30	PRIJEM	\N	320	63837	UROK	\N	\N
3669629	5228	1997-12-31	PRIJEM	\N	267	44826	UROK	\N	\N
3669630	5228	1998-01-31	PRIJEM	\N	244	35751	UROK	\N	\N
3669631	5228	1998-02-28	PRIJEM	\N	274	55006	UROK	\N	\N
3669632	5228	1998-03-31	PRIJEM	\N	310	60928	UROK	\N	\N
3669633	5228	1998-04-30	PRIJEM	\N	367	70276	UROK	\N	\N
3669634	5228	1998-05-31	PRIJEM	\N	366	62370	UROK	\N	\N
3669635	5228	1998-06-30	PRIJEM	\N	418	75711	UROK	\N	\N
3669636	5228	1998-07-31	PRIJEM	\N	394	83692	UROK	\N	\N
3669637	5228	1998-08-31	PRIJEM	\N	347	65420	UROK	\N	\N
3669638	5228	1998-09-30	PRIJEM	\N	285	45085	UROK	\N	\N
3669639	5228	1998-10-31	PRIJEM	\N	225	54158	UROK	\N	\N
3669640	5228	1998-11-30	PRIJEM	\N	231	67747	UROK	\N	\N
3669641	5228	1998-12-31	PRIJEM	\N	365	36308	UROK	\N	\N
3669703	5263	1995-08-31	PRIJEM	\N	23	15048	UROK	\N	\N
3669704	5263	1995-09-30	PRIJEM	\N	74	23647	UROK	\N	\N
3669705	5263	1995-10-31	PRIJEM	\N	123	33395	UROK	\N	\N
3669706	5263	1995-11-30	PRIJEM	\N	147	36567	UROK	\N	\N
3669707	5263	1995-12-31	PRIJEM	\N	149	34584	UROK	\N	\N
3669708	5263	1996-01-31	PRIJEM	\N	115	19659	UROK	\N	\N
3669709	5263	1996-02-29	PRIJEM	\N	89	22809	UROK	\N	\N
3669710	5263	1996-03-31	PRIJEM	\N	85	19514	UROK	\N	\N
3669711	5263	1996-04-30	PRIJEM	\N	89	22964	UROK	\N	\N
3669712	5263	1996-05-31	PRIJEM	\N	105	24329	UROK	\N	\N
3669713	5263	1996-06-30	PRIJEM	\N	115	24068	UROK	\N	\N
3669714	5263	1996-07-31	PRIJEM	\N	108	26396	UROK	\N	\N
3669715	5263	1996-08-31	PRIJEM	\N	122	30078	UROK	\N	\N
3669716	5263	1996-09-30	PRIJEM	\N	133	32672	UROK	\N	\N
3669717	5263	1996-10-31	PRIJEM	\N	131	29043	UROK	\N	\N
3669718	5263	1996-11-30	PRIJEM	\N	119	29017	UROK	\N	\N
3669719	5263	1996-12-31	PRIJEM	\N	145	36440	UROK	\N	\N
3669720	5263	1997-01-31	PRIJEM	\N	107	17962	UROK	\N	\N
3669721	5263	1997-02-28	PRIJEM	\N	104	29722	UROK	\N	\N
3669722	5263	1997-03-31	PRIJEM	\N	125	30062	UROK	\N	\N
3669723	5263	1997-04-30	PRIJEM	\N	131	32528	UROK	\N	\N
3669724	5263	1997-05-31	PRIJEM	\N	144	36408	UROK	\N	\N
3669725	5263	1997-06-30	PRIJEM	\N	163	41689	UROK	\N	\N
3669726	5263	1997-07-31	PRIJEM	\N	172	42117	UROK	\N	\N
3669727	5263	1997-08-31	PRIJEM	\N	158	37450	UROK	\N	\N
3669728	5263	1997-09-30	PRIJEM	\N	160	40066	UROK	\N	\N
3669729	5263	1997-10-31	PRIJEM	\N	156	37478	UROK	\N	\N
3669730	5263	1997-11-30	PRIJEM	\N	148	40681	UROK	\N	\N
3669731	5263	1997-12-31	PRIJEM	\N	162	43321	UROK	\N	\N
3669732	5263	1998-01-31	PRIJEM	\N	142	38019	UROK	\N	\N
3669733	5263	1998-02-28	PRIJEM	\N	146	41200	UROK	\N	\N
3669734	5263	1998-03-31	PRIJEM	\N	165	51420	UROK	\N	\N
3669735	5263	1998-04-30	PRIJEM	\N	202	57617	UROK	\N	\N
3669736	5263	1998-05-31	PRIJEM	\N	231	59604	UROK	\N	\N
3669737	5263	1998-06-30	PRIJEM	\N	236	48658	UROK	\N	\N
3669738	5263	1998-07-31	PRIJEM	\N	188	56521	UROK	\N	\N
3669739	5263	1998-08-31	PRIJEM	\N	228	58904	UROK	\N	\N
3669740	5263	1998-09-30	PRIJEM	\N	237	60096	UROK	\N	\N
3669741	5263	1998-10-31	PRIJEM	\N	248	68599	UROK	\N	\N
3669742	5263	1998-11-30	PRIJEM	\N	280	73335	UROK	\N	\N
3669743	5263	1998-12-31	PRIJEM	\N	281	66574	UROK	\N	\N
3669784	5269	1996-07-31	PRIJEM	\N	65	21094	UROK	\N	\N
3669785	5269	1996-08-31	PRIJEM	\N	157	43580	UROK	\N	\N
3669786	5269	1996-09-30	PRIJEM	\N	208	52417	UROK	\N	\N
3669787	5269	1996-10-31	PRIJEM	\N	235	57980	UROK	\N	\N
3669788	5269	1996-11-30	PRIJEM	\N	249	62258	UROK	\N	\N
3669789	5269	1996-12-31	PRIJEM	\N	260	60644	UROK	\N	\N
3669790	5269	1997-01-31	PRIJEM	\N	149	24554	UROK	\N	\N
3669791	5269	1997-02-28	PRIJEM	\N	132	35191	UROK	\N	\N
3669792	5269	1997-03-31	PRIJEM	\N	149	38345	UROK	\N	\N
3669793	5269	1997-04-30	PRIJEM	\N	149	38978	UROK	\N	\N
3669794	5269	1997-05-31	PRIJEM	\N	151	29433	UROK	\N	\N
3669795	5269	1997-06-30	PRIJEM	\N	180	35483	UROK	\N	\N
3669796	5269	1997-07-31	PRIJEM	\N	172	30559	UROK	\N	\N
3669797	5269	1997-08-31	PRIJEM	\N	152	30016	UROK	\N	\N
3669798	5269	1997-09-30	PRIJEM	\N	147	26787	UROK	\N	\N
3669799	5269	1997-10-31	PRIJEM	\N	136	28227	UROK	\N	\N
3669800	5269	1997-11-30	PRIJEM	\N	125	25037	UROK	\N	\N
3669801	5269	1997-12-31	PRIJEM	\N	150	26316	UROK	\N	\N
3669802	5269	1998-01-31	PRIJEM	\N	96	13476	UROK	\N	\N
3669803	5269	1998-02-28	PRIJEM	\N	80	16661	UROK	\N	\N
3669804	5269	1998-03-31	PRIJEM	\N	96	22821	UROK	\N	\N
3669805	5269	1998-04-30	PRIJEM	\N	108	13133	UROK	\N	\N
3669806	5269	1998-05-31	PRIJEM	\N	85	23723	UROK	\N	\N
3669807	5269	1998-06-30	PRIJEM	\N	134	17726	UROK	\N	\N
3669808	5269	1998-07-31	PRIJEM	\N	104	28334	UROK	\N	\N
3669809	5269	1998-08-31	PRIJEM	\N	110	14169	UROK	\N	\N
3669810	5269	1998-09-30	PRIJEM	\N	79	18632	UROK	\N	\N
3669811	5269	1998-10-31	PRIJEM	\N	108	29244	UROK	\N	\N
3669812	5269	1998-11-30	PRIJEM	\N	151	39899	UROK	\N	\N
3669813	5269	1998-12-31	PRIJEM	\N	226	59614	UROK	\N	\N
3669814	5270	1993-01-31	PRIJEM	\N	110	45659	UROK	\N	\N
3669815	5270	1993-02-28	PRIJEM	\N	269	81077	UROK	\N	\N
3669816	5270	1993-03-31	PRIJEM	\N	259	49085	UROK	\N	\N
3669817	5270	1993-04-30	PRIJEM	\N	282	82216	UROK	\N	\N
3669818	5270	1993-05-31	PRIJEM	\N	366	88131	UROK	\N	\N
3669819	5270	1993-06-30	PRIJEM	\N	315	55028	UROK	\N	\N
3669820	5270	1993-07-31	PRIJEM	\N	255	51896	UROK	\N	\N
3669821	5270	1993-08-31	PRIJEM	\N	278	80508	UROK	\N	\N
3669822	5270	1993-09-30	PRIJEM	\N	360	86703	UROK	\N	\N
3669823	5270	1993-10-31	PRIJEM	\N	374	96211	UROK	\N	\N
3669824	5270	1993-11-30	PRIJEM	\N	419	104165	UROK	\N	\N
3669825	5270	1993-12-31	PRIJEM	\N	410	74639	UROK	\N	\N
3669826	5270	1994-01-31	PRIJEM	\N	196	38054	UROK	\N	\N
3669827	5270	1994-02-28	PRIJEM	\N	232	72704	UROK	\N	\N
3669828	5270	1994-03-31	PRIJEM	\N	280	77011	UROK	\N	\N
3669829	5270	1994-04-30	PRIJEM	\N	293	75911	UROK	\N	\N
3669830	5270	1994-05-31	PRIJEM	\N	334	90111	UROK	\N	\N
3669831	5270	1994-06-30	PRIJEM	\N	283	72470	UROK	\N	\N
3669832	5270	1994-07-31	PRIJEM	\N	273	74227	UROK	\N	\N
3669833	5270	1994-08-31	PRIJEM	\N	349	93993	UROK	\N	\N
3669834	5270	1994-09-30	PRIJEM	\N	402	103513	UROK	\N	\N
3669835	5270	1994-10-31	PRIJEM	\N	401	82676	UROK	\N	\N
3669836	5270	1994-11-30	PRIJEM	\N	358	93157	UROK	\N	\N
3669837	5270	1994-12-31	PRIJEM	\N	293	63224	UROK	\N	\N
3669838	5270	1995-01-31	PRIJEM	\N	234	26704	UROK	\N	\N
3669839	5270	1995-02-28	PRIJEM	\N	204	69425	UROK	\N	\N
3669840	5270	1995-03-31	PRIJEM	\N	339	93381	UROK	\N	\N
3669841	5270	1995-04-30	PRIJEM	\N	411	107610	UROK	\N	\N
3669842	5270	1995-05-31	PRIJEM	\N	386	86613	UROK	\N	\N
3669843	5270	1995-06-30	PRIJEM	\N	319	38351	UROK	\N	\N
3669844	5270	1995-07-31	PRIJEM	\N	253	78621	UROK	\N	\N
3669845	5270	1995-08-31	PRIJEM	\N	342	85981	UROK	\N	\N
3669846	5270	1995-09-30	PRIJEM	\N	391	103689	UROK	\N	\N
3669847	5270	1995-10-31	PRIJEM	\N	338	68545	UROK	\N	\N
3669848	5270	1995-11-30	PRIJEM	\N	327	55610	UROK	\N	\N
3669849	5270	1995-12-31	PRIJEM	\N	221	39441	UROK	\N	\N
3669850	5270	1996-01-31	PRIJEM	\N	201	29876	UROK	\N	\N
3669851	5270	1996-02-29	PRIJEM	\N	130	51741	UROK	\N	\N
3669852	5270	1996-03-31	PRIJEM	\N	271	58546	UROK	\N	\N
3669853	5270	1996-04-30	PRIJEM	\N	309	61890	UROK	\N	\N
3669854	5270	1996-05-31	PRIJEM	\N	319	63643	UROK	\N	\N
3669855	5270	1996-06-30	PRIJEM	\N	274	49426	UROK	\N	\N
3669856	5270	1996-07-31	PRIJEM	\N	274	55335	UROK	\N	\N
3669857	5270	1996-08-31	PRIJEM	\N	227	56597	UROK	\N	\N
3669858	5270	1996-09-30	PRIJEM	\N	251	48418	UROK	\N	\N
3669859	5270	1996-10-31	PRIJEM	\N	238	53091	UROK	\N	\N
3669860	5270	1996-11-30	PRIJEM	\N	220	53595	UROK	\N	\N
3669861	5270	1996-12-31	PRIJEM	\N	311	68115	UROK	\N	\N
3669862	5270	1997-01-31	PRIJEM	\N	224	30624	UROK	\N	\N
3669863	5270	1997-02-28	PRIJEM	\N	180	40909	UROK	\N	\N
3669864	5270	1997-03-31	PRIJEM	\N	239	59483	UROK	\N	\N
3669865	5270	1997-04-30	PRIJEM	\N	295	64512	UROK	\N	\N
3669866	5270	1997-05-31	PRIJEM	\N	301	57394	UROK	\N	\N
3669867	5270	1997-06-30	PRIJEM	\N	308	69211	UROK	\N	\N
3669868	5270	1997-07-31	PRIJEM	\N	323	70968	UROK	\N	\N
3669869	5270	1997-08-31	PRIJEM	\N	294	74397	UROK	\N	\N
3669870	5270	1997-09-30	PRIJEM	\N	291	67538	UROK	\N	\N
3669871	5270	1997-10-31	PRIJEM	\N	317	75989	UROK	\N	\N
3669872	5270	1997-11-30	PRIJEM	\N	322	73246	UROK	\N	\N
3669873	5270	1997-12-31	PRIJEM	\N	235	36149	UROK	\N	\N
3669874	5270	1998-01-31	PRIJEM	\N	178	40519	UROK	\N	\N
3669875	5270	1998-02-28	PRIJEM	\N	214	62267	UROK	\N	\N
3669876	5270	1998-03-31	PRIJEM	\N	258	60738	UROK	\N	\N
3669877	5270	1998-04-30	PRIJEM	\N	240	68437	UROK	\N	\N
3669878	5270	1998-05-31	PRIJEM	\N	313	79185	UROK	\N	\N
3669879	5270	1998-06-30	PRIJEM	\N	200	38794	UROK	\N	\N
3669880	5270	1998-07-31	PRIJEM	\N	206	64234	UROK	\N	\N
3669881	5270	1998-08-31	PRIJEM	\N	261	64657	UROK	\N	\N
3669882	5270	1998-09-30	PRIJEM	\N	296	50722	UROK	\N	\N
3669883	5270	1998-10-31	PRIJEM	\N	234	63190	UROK	\N	\N
3669884	5270	1998-11-30	PRIJEM	\N	280	81673	UROK	\N	\N
3669885	5270	1998-12-31	PRIJEM	\N	381	95341	UROK	\N	\N
3669886	5283	1997-10-31	PRIJEM	\N	66	35188	UROK	\N	\N
3669887	5283	1997-11-30	PRIJEM	\N	182	53592	UROK	\N	\N
3669888	5283	1997-12-31	PRIJEM	\N	262	63987	UROK	\N	\N
3669889	5283	1998-01-31	PRIJEM	\N	228	46737	UROK	\N	\N
3669890	5283	1998-02-28	PRIJEM	\N	232	62542	UROK	\N	\N
3669891	5283	1998-03-31	PRIJEM	\N	275	60375	UROK	\N	\N
3669892	5283	1998-04-30	PRIJEM	\N	230	42714	UROK	\N	\N
3669893	5283	1998-05-31	PRIJEM	\N	191	46363	UROK	\N	\N
3669894	5283	1998-06-30	PRIJEM	\N	243	65576	UROK	\N	\N
3669895	5283	1998-07-31	PRIJEM	\N	287	67521	UROK	\N	\N
3669896	5283	1998-08-31	PRIJEM	\N	261	52140	UROK	\N	\N
3669897	5283	1998-09-30	PRIJEM	\N	295	85434	UROK	\N	\N
3669898	5283	1998-10-31	PRIJEM	\N	383	91217	UROK	\N	\N
3669899	5283	1998-11-30	PRIJEM	\N	386	97402	UROK	\N	\N
3669900	5283	1998-12-31	PRIJEM	\N	313	57825	UROK	\N	\N
3669969	5290	1997-07-31	PRIJEM	\N	45	80413	UROK	\N	\N
3669970	5290	1997-08-31	PRIJEM	\N	319	64677	UROK	\N	\N
3669971	5290	1997-09-30	PRIJEM	\N	268	46045	UROK	\N	\N
3669972	5290	1997-10-31	PRIJEM	\N	219	37902	UROK	\N	\N
3669973	5290	1997-11-30	PRIJEM	\N	210	78642	UROK	\N	\N
3669974	5290	1997-12-31	PRIJEM	\N	227	35681	UROK	\N	\N
3669975	5290	1998-01-31	PRIJEM	\N	119	24235	UROK	\N	\N
3669976	5290	1998-02-28	PRIJEM	\N	74	16028	UROK	\N	\N
3669977	5290	1998-03-31	PRIJEM	\N	47	11901	UROK	\N	\N
3669978	5290	1998-04-30	PRIJEM	\N	117	20407	UROK	\N	\N
3669979	5290	1998-05-31	PRIJEM	\N	46	7877	UROK	\N	\N
3669980	5290	1998-06-30	PRIJEM	\N	82	35750	UROK	\N	\N
3669981	5290	1998-07-31	PRIJEM	\N	129	16374	UROK	\N	\N
3669982	5290	1998-08-31	PRIJEM	\N	40	6525	UROK	\N	\N
3669983	5290	1998-09-30	PRIJEM	\N	16	2945	UROK	\N	\N
3669984	5290	1998-10-31	PRIJEM	\N	53	33920	UROK	\N	\N
3669985	5290	1998-10-31	VYDAJ	VYBER	3	33903	SANKC. UROK	\N	\N
3669986	5290	1998-11-30	PRIJEM	\N	151	44785	UROK	\N	\N
3669987	5290	1998-12-31	PRIJEM	\N	97	17793	UROK	\N	\N
3669988	5305	1996-10-31	PRIJEM	\N	58	26825	UROK	\N	\N
3669989	5305	1996-11-30	PRIJEM	\N	143	41235	UROK	\N	\N
3669990	5305	1996-12-31	PRIJEM	\N	200	53735	UROK	\N	\N
3669991	5305	1997-01-31	PRIJEM	\N	228	55930	UROK	\N	\N
3669992	5305	1997-02-28	PRIJEM	\N	217	46814	UROK	\N	\N
3669993	5305	1997-03-31	PRIJEM	\N	195	46761	UROK	\N	\N
3669994	5305	1997-04-30	PRIJEM	\N	202	41715	UROK	\N	\N
3669995	5305	1997-05-31	PRIJEM	\N	179	40546	UROK	\N	\N
3669996	5305	1997-06-30	PRIJEM	\N	189	47021	UROK	\N	\N
3669997	5305	1997-07-31	PRIJEM	\N	185	35659	UROK	\N	\N
3669998	5305	1997-08-31	PRIJEM	\N	162	38573	UROK	\N	\N
3669999	5305	1997-09-30	PRIJEM	\N	172	39997	UROK	\N	\N
3670000	5305	1997-10-31	PRIJEM	\N	170	41320	UROK	\N	\N
3670001	5305	1997-11-30	PRIJEM	\N	95	22144	UROK	\N	\N
3670002	5305	1997-12-31	PRIJEM	\N	113	10389	UROK	\N	\N
3670003	5305	1998-01-31	PRIJEM	\N	92	25242	UROK	\N	\N
3670004	5305	1998-02-28	PRIJEM	\N	126	25049	UROK	\N	\N
3670005	5305	1998-03-31	PRIJEM	\N	91	10513	UROK	\N	\N
3670006	5305	1998-04-30	PRIJEM	\N	122	33408	UROK	\N	\N
3670007	5305	1998-05-31	PRIJEM	\N	137	25635	UROK	\N	\N
3670008	5305	1998-06-30	PRIJEM	\N	151	19920	UROK	\N	\N
3670009	5305	1998-07-31	PRIJEM	\N	119	30080	UROK	\N	\N
3670010	5305	1998-08-31	PRIJEM	\N	150	29971	UROK	\N	\N
3670011	5305	1998-09-30	PRIJEM	\N	151	36482	UROK	\N	\N
3670012	5305	1998-10-31	PRIJEM	\N	182	47106	UROK	\N	\N
3670013	5305	1998-11-30	PRIJEM	\N	204	50351	UROK	\N	\N
3670014	5305	1998-12-31	PRIJEM	\N	230	55604	UROK	\N	\N
3670075	5313	1993-05-31	PRIJEM	\N	39	26042	UROK	\N	\N
3670076	5313	1993-06-30	PRIJEM	\N	110	29989	UROK	\N	\N
3670077	5313	1993-07-31	PRIJEM	\N	125	25114	UROK	\N	\N
3670078	5313	1993-08-31	PRIJEM	\N	132	41760	UROK	\N	\N
3670079	5313	1993-09-30	PRIJEM	\N	188	48453	UROK	\N	\N
3670080	5313	1993-10-31	PRIJEM	\N	291	44353	UROK	\N	\N
3670081	5313	1993-11-30	PRIJEM	\N	254	39013	UROK	\N	\N
3670082	5313	1993-12-31	PRIJEM	\N	74	16865	UROK	\N	\N
3670083	5313	1994-01-31	PRIJEM	\N	82	17655	UROK	\N	\N
3670084	5313	1994-02-28	PRIJEM	\N	148	34067	UROK	\N	\N
3670085	5313	1994-03-31	PRIJEM	\N	150	35995	UROK	\N	\N
3670086	5313	1994-04-30	PRIJEM	\N	218	52330	UROK	\N	\N
3670087	5313	1994-05-31	PRIJEM	\N	204	53517	UROK	\N	\N
3670088	5313	1994-06-30	PRIJEM	\N	166	31441	UROK	\N	\N
3670089	5313	1994-07-31	PRIJEM	\N	230	57400	UROK	\N	\N
3670090	5313	1994-08-31	PRIJEM	\N	279	83420	UROK	\N	\N
3670091	5313	1994-09-30	PRIJEM	\N	315	97839	UROK	\N	\N
3670092	5313	1994-10-31	PRIJEM	\N	402	62145	UROK	\N	\N
3670093	5313	1994-11-30	PRIJEM	\N	287	110322	UROK	\N	\N
3670094	5313	1994-12-31	PRIJEM	\N	283	55507	UROK	\N	\N
3670095	5313	1995-01-31	PRIJEM	\N	154	31415	UROK	\N	\N
3670096	5313	1995-02-28	PRIJEM	\N	157	68387	UROK	\N	\N
3670097	5313	1995-03-31	PRIJEM	\N	227	40372	UROK	\N	\N
3670098	5313	1995-04-30	PRIJEM	\N	145	25275	UROK	\N	\N
3670099	5313	1995-05-31	PRIJEM	\N	83	18917	UROK	\N	\N
3670100	5313	1995-06-30	PRIJEM	\N	88	47673	UROK	\N	\N
3670101	5313	1995-07-31	PRIJEM	\N	284	53925	UROK	\N	\N
3670102	5313	1995-08-31	PRIJEM	\N	171	25570	UROK	\N	\N
3670103	5313	1995-09-30	PRIJEM	\N	93	22221	UROK	\N	\N
3670104	5313	1995-10-31	PRIJEM	\N	86	22265	UROK	\N	\N
3670105	5313	1995-11-30	PRIJEM	\N	91	25489	UROK	\N	\N
3670106	5313	1995-12-31	PRIJEM	\N	89	20036	UROK	\N	\N
3670107	5313	1996-01-31	PRIJEM	\N	137	48231	UROK	\N	\N
3670108	5313	1996-02-29	PRIJEM	\N	216	68961	UROK	\N	\N
3670109	5313	1996-03-31	PRIJEM	\N	187	32643	UROK	\N	\N
3670110	5313	1996-04-30	PRIJEM	\N	126	28927	UROK	\N	\N
3670111	5313	1996-05-31	PRIJEM	\N	101	22187	UROK	\N	\N
3670112	5313	1996-06-30	PRIJEM	\N	94	22539	UROK	\N	\N
3670113	5313	1996-07-31	PRIJEM	\N	95	22392	UROK	\N	\N
3670114	5313	1996-08-31	PRIJEM	\N	93	21643	UROK	\N	\N
3670115	5313	1996-09-30	PRIJEM	\N	103	24904	UROK	\N	\N
3670116	5313	1996-10-31	PRIJEM	\N	129	65076	UROK	\N	\N
3670117	5313	1996-11-30	PRIJEM	\N	227	48961	UROK	\N	\N
3670118	5313	1996-12-31	PRIJEM	\N	158	25492	UROK	\N	\N
3670119	5313	1997-01-31	PRIJEM	\N	160	36734	UROK	\N	\N
3670120	5313	1997-02-28	PRIJEM	\N	270	97376	UROK	\N	\N
3670121	5313	1997-03-31	PRIJEM	\N	339	89946	UROK	\N	\N
3670122	5313	1997-04-30	PRIJEM	\N	289	27713	UROK	\N	\N
3670123	5313	1997-05-31	PRIJEM	\N	216	83773	UROK	\N	\N
3670124	5313	1997-06-30	PRIJEM	\N	245	50713	UROK	\N	\N
3670125	5313	1997-07-31	PRIJEM	\N	313	107260	UROK	\N	\N
3670126	5313	1997-08-31	PRIJEM	\N	237	44655	UROK	\N	\N
3670127	5313	1997-09-30	PRIJEM	\N	261	89633	UROK	\N	\N
3670128	5313	1997-10-31	PRIJEM	\N	366	100839	UROK	\N	\N
3670129	5313	1997-11-30	PRIJEM	\N	355	94833	UROK	\N	\N
3670130	5313	1997-12-31	PRIJEM	\N	390	86678	UROK	\N	\N
3670131	5313	1998-01-31	PRIJEM	\N	207	22543	UROK	\N	\N
3670132	5313	1998-02-28	PRIJEM	\N	108	23810	UROK	\N	\N
3670133	5313	1998-03-31	PRIJEM	\N	104	22672	UROK	\N	\N
3670134	5313	1998-04-30	PRIJEM	\N	97	20928	UROK	\N	\N
3670135	5313	1998-05-31	PRIJEM	\N	98	21584	UROK	\N	\N
3670136	5313	1998-06-30	PRIJEM	\N	110	24952	UROK	\N	\N
3670137	5313	1998-07-31	PRIJEM	\N	115	25726	UROK	\N	\N
3670138	5313	1998-08-31	PRIJEM	\N	141	41629	UROK	\N	\N
3670139	5313	1998-09-30	PRIJEM	\N	139	38827	UROK	\N	\N
3670140	5313	1998-10-31	PRIJEM	\N	129	37714	UROK	\N	\N
3670141	5313	1998-11-30	PRIJEM	\N	125	38097	UROK	\N	\N
3670142	5313	1998-12-31	PRIJEM	\N	113	22568	UROK	\N	\N
3670143	5317	1996-11-30	PRIJEM	\N	34	20663	UROK	\N	\N
3670144	5317	1996-12-31	PRIJEM	\N	106	32213	UROK	\N	\N
3670145	5317	1997-01-31	PRIJEM	\N	142	36785	UROK	\N	\N
3670146	5317	1997-02-28	PRIJEM	\N	152	36566	UROK	\N	\N
3670147	5317	1997-03-31	PRIJEM	\N	154	32213	UROK	\N	\N
3670148	5317	1997-04-30	PRIJEM	\N	145	32137	UROK	\N	\N
3670149	5317	1997-05-31	PRIJEM	\N	143	30258	UROK	\N	\N
3670150	5317	1997-06-30	PRIJEM	\N	152	33404	UROK	\N	\N
3670151	5317	1997-07-31	PRIJEM	\N	143	27726	UROK	\N	\N
3670152	5317	1997-08-31	PRIJEM	\N	126	27730	UROK	\N	\N
3670153	5317	1997-09-30	PRIJEM	\N	127	29335	UROK	\N	\N
3670154	5317	1997-10-31	PRIJEM	\N	134	30748	UROK	\N	\N
3670155	5317	1997-11-30	PRIJEM	\N	133	29959	UROK	\N	\N
3670156	5317	1997-12-31	PRIJEM	\N	143	28995	UROK	\N	\N
3670157	5317	1998-01-31	PRIJEM	\N	105	21479	UROK	\N	\N
3670158	5317	1998-02-28	PRIJEM	\N	114	19971	UROK	\N	\N
3670159	5317	1998-03-31	PRIJEM	\N	77	15027	UROK	\N	\N
3670160	5317	1998-04-30	PRIJEM	\N	77	18882	UROK	\N	\N
3670161	5317	1998-05-31	PRIJEM	\N	77	16438	UROK	\N	\N
3670162	5317	1998-06-30	PRIJEM	\N	78	17309	UROK	\N	\N
3670163	5317	1998-07-31	PRIJEM	\N	98	12986	UROK	\N	\N
3670164	5317	1998-08-31	PRIJEM	\N	46	9411	UROK	\N	\N
3670165	5317	1998-09-30	PRIJEM	\N	65	17654	UROK	\N	\N
3670166	5317	1998-10-31	PRIJEM	\N	99	25932	UROK	\N	\N
3670167	5317	1998-11-30	PRIJEM	\N	60	9570	UROK	\N	\N
3670168	5317	1998-12-31	PRIJEM	\N	74	19937	UROK	\N	\N
3670396	5358	1995-06-30	PRIJEM	\N	63	32326	UROK	\N	\N
3670397	5358	1995-07-31	PRIJEM	\N	147	38682	UROK	\N	\N
3670398	5358	1995-08-31	PRIJEM	\N	169	42460	UROK	\N	\N
3670399	5358	1995-09-30	PRIJEM	\N	187	47256	UROK	\N	\N
3670400	5358	1995-10-31	PRIJEM	\N	193	45858	UROK	\N	\N
3670401	5358	1995-11-30	PRIJEM	\N	195	41556	UROK	\N	\N
3670402	5358	1995-12-31	PRIJEM	\N	208	47162	UROK	\N	\N
3670403	5358	1996-01-31	PRIJEM	\N	195	42560	UROK	\N	\N
3670404	5358	1996-02-29	PRIJEM	\N	182	41846	UROK	\N	\N
3670405	5358	1996-03-31	PRIJEM	\N	191	44040	UROK	\N	\N
3670406	5358	1996-04-30	PRIJEM	\N	196	44140	UROK	\N	\N
3670407	5358	1996-05-31	PRIJEM	\N	191	43434	UROK	\N	\N
3670408	5358	1996-06-30	PRIJEM	\N	150	25622	UROK	\N	\N
3670409	5358	1996-07-31	PRIJEM	\N	141	34866	UROK	\N	\N
3670410	5358	1996-08-31	PRIJEM	\N	155	34784	UROK	\N	\N
3670411	5358	1996-09-30	PRIJEM	\N	161	38949	UROK	\N	\N
3670412	5358	1996-10-31	PRIJEM	\N	159	35332	UROK	\N	\N
3670413	5358	1996-11-30	PRIJEM	\N	151	33426	UROK	\N	\N
3670414	5358	1996-12-31	PRIJEM	\N	190	45653	UROK	\N	\N
3670415	5358	1997-01-31	PRIJEM	\N	191	46348	UROK	\N	\N
3670416	5358	1997-02-28	PRIJEM	\N	230	58242	UROK	\N	\N
3670417	5358	1997-03-31	PRIJEM	\N	231	54438	UROK	\N	\N
3670418	5358	1997-04-30	PRIJEM	\N	207	48549	UROK	\N	\N
3670419	5358	1997-05-31	PRIJEM	\N	189	42303	UROK	\N	\N
3670420	5358	1997-06-30	PRIJEM	\N	223	50325	UROK	\N	\N
3670421	5358	1997-07-31	PRIJEM	\N	250	63039	UROK	\N	\N
3670422	5358	1997-08-31	PRIJEM	\N	262	63405	UROK	\N	\N
3670423	5358	1997-09-30	PRIJEM	\N	263	64853	UROK	\N	\N
3670424	5358	1997-10-31	PRIJEM	\N	252	61429	UROK	\N	\N
3670425	5358	1997-11-30	PRIJEM	\N	253	62846	UROK	\N	\N
3670426	5358	1997-12-31	PRIJEM	\N	285	70410	UROK	\N	\N
3670427	5358	1998-01-31	PRIJEM	\N	284	69418	UROK	\N	\N
3670428	5358	1998-02-28	PRIJEM	\N	270	66553	UROK	\N	\N
3670429	5358	1998-03-31	PRIJEM	\N	272	67489	UROK	\N	\N
3670430	5358	1998-04-30	PRIJEM	\N	283	70436	UROK	\N	\N
3670431	5358	1998-05-31	PRIJEM	\N	253	60193	UROK	\N	\N
3670432	5358	1998-06-30	PRIJEM	\N	271	68803	UROK	\N	\N
3670433	5358	1998-07-31	PRIJEM	\N	271	67538	UROK	\N	\N
3670434	5358	1998-08-31	PRIJEM	\N	255	48458	UROK	\N	\N
3670435	5358	1998-09-30	PRIJEM	\N	234	43996	UROK	\N	\N
3670436	5358	1998-10-31	PRIJEM	\N	223	46983	UROK	\N	\N
3670437	5358	1998-11-30	PRIJEM	\N	233	45380	UROK	\N	\N
3670438	5358	1998-12-31	PRIJEM	\N	267	68246	UROK	\N	\N
3670461	5362	1996-09-30	PRIJEM	\N	80	26238	UROK	\N	\N
3670462	5362	1996-10-31	PRIJEM	\N	189	52085	UROK	\N	\N
3670463	5362	1996-11-30	PRIJEM	\N	254	64496	UROK	\N	\N
3670464	5362	1996-12-31	PRIJEM	\N	325	82958	UROK	\N	\N
3670465	5362	1997-01-31	PRIJEM	\N	279	20861	UROK	\N	\N
3670466	5362	1997-02-28	PRIJEM	\N	136	34049	UROK	\N	\N
3670467	5362	1997-03-31	PRIJEM	\N	168	40470	UROK	\N	\N
3670468	5362	1997-04-30	PRIJEM	\N	175	42898	UROK	\N	\N
3670469	5362	1997-05-31	PRIJEM	\N	172	32770	UROK	\N	\N
3670470	5362	1997-06-30	PRIJEM	\N	77	12781	UROK	\N	\N
3670471	5362	1997-07-31	PRIJEM	\N	100	27234	UROK	\N	\N
3670472	5362	1997-08-31	PRIJEM	\N	129	29931	UROK	\N	\N
3670473	5362	1997-09-30	PRIJEM	\N	155	39113	UROK	\N	\N
3670474	5362	1997-10-31	PRIJEM	\N	168	40807	UROK	\N	\N
3670475	5362	1997-11-30	PRIJEM	\N	181	42315	UROK	\N	\N
3670476	5362	1997-12-31	PRIJEM	\N	153	17406	UROK	\N	\N
3670477	5362	1998-01-31	PRIJEM	\N	81	14214	UROK	\N	\N
3670478	5362	1998-02-28	PRIJEM	\N	83	21023	UROK	\N	\N
3670479	5362	1998-03-31	PRIJEM	\N	100	11550	UROK	\N	\N
3670480	5362	1998-04-30	PRIJEM	\N	71	12047	UROK	\N	\N
3670481	5362	1998-05-31	PRIJEM	\N	87	12461	UROK	\N	\N
3670482	5362	1998-06-30	PRIJEM	\N	110	20277	UROK	\N	\N
3670483	5362	1998-07-31	PRIJEM	\N	117	16921	UROK	\N	\N
3670484	5362	1998-08-31	PRIJEM	\N	101	13749	UROK	\N	\N
3670485	5362	1998-09-30	PRIJEM	\N	75	11051	UROK	\N	\N
3670486	5362	1998-10-31	PRIJEM	\N	71	17848	UROK	\N	\N
3670487	5362	1998-11-30	PRIJEM	\N	105	23180	UROK	\N	\N
3670488	5362	1998-12-31	PRIJEM	\N	134	27713	UROK	\N	\N
3670522	5385	1993-06-30	PRIJEM	\N	32	21136	UROK	\N	\N
3670523	5385	1993-07-31	PRIJEM	\N	103	30675	UROK	\N	\N
3670524	5385	1993-08-31	PRIJEM	\N	135	34846	UROK	\N	\N
3670525	5385	1993-09-30	PRIJEM	\N	148	36730	UROK	\N	\N
3670526	5385	1993-10-31	PRIJEM	\N	143	31256	UROK	\N	\N
3670527	5385	1993-11-30	PRIJEM	\N	133	30840	UROK	\N	\N
3670528	5385	1993-12-31	PRIJEM	\N	136	23995	UROK	\N	\N
3670529	5385	1994-01-31	PRIJEM	\N	77	16391	UROK	\N	\N
3670530	5385	1994-02-28	PRIJEM	\N	81	19824	UROK	\N	\N
3670531	5385	1994-03-31	PRIJEM	\N	92	23568	UROK	\N	\N
3670532	5385	1994-04-30	PRIJEM	\N	110	27341	UROK	\N	\N
3670533	5385	1994-05-31	PRIJEM	\N	117	27021	UROK	\N	\N
3670534	5385	1994-06-30	PRIJEM	\N	124	32563	UROK	\N	\N
3670535	5385	1994-07-31	PRIJEM	\N	140	32966	UROK	\N	\N
3670536	5385	1994-08-31	PRIJEM	\N	132	29660	UROK	\N	\N
3670537	5385	1994-09-30	PRIJEM	\N	111	23534	UROK	\N	\N
3670538	5385	1994-10-31	PRIJEM	\N	98	22494	UROK	\N	\N
3670539	5385	1994-11-30	PRIJEM	\N	96	22553	UROK	\N	\N
3670540	5385	1994-12-31	PRIJEM	\N	103	23886	UROK	\N	\N
3670541	5385	1995-01-31	PRIJEM	\N	78	14226	UROK	\N	\N
3670542	5385	1995-02-28	PRIJEM	\N	93	25482	UROK	\N	\N
3670543	5385	1995-03-31	PRIJEM	\N	105	24250	UROK	\N	\N
3670544	5385	1995-04-30	PRIJEM	\N	97	21309	UROK	\N	\N
3670545	5385	1995-05-31	PRIJEM	\N	96	22768	UROK	\N	\N
3670546	5385	1995-06-30	PRIJEM	\N	118	29417	UROK	\N	\N
3670547	5385	1995-07-31	PRIJEM	\N	134	32413	UROK	\N	\N
3670548	5385	1995-08-31	PRIJEM	\N	143	34119	UROK	\N	\N
3670549	5385	1995-09-30	PRIJEM	\N	154	37135	UROK	\N	\N
3670550	5385	1995-10-31	PRIJEM	\N	166	39963	UROK	\N	\N
3670551	5385	1995-11-30	PRIJEM	\N	167	38992	UROK	\N	\N
3670552	5385	1995-12-31	PRIJEM	\N	172	32695	UROK	\N	\N
3670553	5385	1996-01-31	PRIJEM	\N	115	23673	UROK	\N	\N
3670554	5385	1996-02-29	PRIJEM	\N	131	34266	UROK	\N	\N
3670555	5385	1996-03-31	PRIJEM	\N	149	35477	UROK	\N	\N
3670556	5385	1996-04-30	PRIJEM	\N	162	39602	UROK	\N	\N
3670557	5385	1996-05-31	PRIJEM	\N	144	27909	UROK	\N	\N
3670558	5385	1996-06-30	PRIJEM	\N	147	38187	UROK	\N	\N
3670559	5385	1996-07-31	PRIJEM	\N	137	29353	UROK	\N	\N
3670560	5385	1996-08-31	PRIJEM	\N	139	34455	UROK	\N	\N
3670561	5385	1996-09-30	PRIJEM	\N	157	38475	UROK	\N	\N
3670562	5385	1996-10-31	PRIJEM	\N	167	40004	UROK	\N	\N
3670563	5385	1996-11-30	PRIJEM	\N	109	17254	UROK	\N	\N
3670564	5385	1996-12-31	PRIJEM	\N	122	26707	UROK	\N	\N
3670565	5385	1997-01-31	PRIJEM	\N	97	25867	UROK	\N	\N
3670566	5385	1997-02-28	PRIJEM	\N	118	29647	UROK	\N	\N
3670567	5385	1997-03-31	PRIJEM	\N	132	32142	UROK	\N	\N
3670568	5385	1997-04-30	PRIJEM	\N	129	32534	UROK	\N	\N
3670569	5385	1997-05-31	PRIJEM	\N	123	30519	UROK	\N	\N
3670570	5385	1997-06-30	PRIJEM	\N	148	34012	UROK	\N	\N
3670571	5385	1997-07-31	PRIJEM	\N	136	27611	UROK	\N	\N
3670572	5385	1997-08-31	PRIJEM	\N	125	31198	UROK	\N	\N
3670573	5385	1997-09-30	PRIJEM	\N	139	34100	UROK	\N	\N
3670574	5385	1997-10-31	PRIJEM	\N	146	31509	UROK	\N	\N
3670575	5385	1997-11-30	PRIJEM	\N	130	27590	UROK	\N	\N
3670576	5385	1997-12-31	PRIJEM	\N	123	27944	UROK	\N	\N
3670577	5385	1998-01-31	PRIJEM	\N	117	29823	UROK	\N	\N
3670578	5385	1998-02-28	PRIJEM	\N	136	37822	UROK	\N	\N
3670579	5385	1998-03-31	PRIJEM	\N	169	44454	UROK	\N	\N
3670580	5385	1998-04-30	PRIJEM	\N	137	35575	UROK	\N	\N
3670581	5385	1998-05-31	PRIJEM	\N	139	40777	UROK	\N	\N
3670582	5385	1998-06-30	PRIJEM	\N	187	47195	UROK	\N	\N
3670583	5385	1998-07-31	PRIJEM	\N	203	48961	UROK	\N	\N
3670584	5385	1998-08-31	PRIJEM	\N	183	41885	UROK	\N	\N
3670585	5385	1998-09-30	PRIJEM	\N	170	37718	UROK	\N	\N
3670586	5385	1998-10-31	PRIJEM	\N	162	39143	UROK	\N	\N
3670587	5385	1998-11-30	PRIJEM	\N	160	27935	UROK	\N	\N
3670588	5385	1998-12-31	PRIJEM	\N	139	36205	UROK	\N	\N
3670589	5395	1996-04-30	PRIJEM	\N	20	48857	UROK	\N	\N
3670590	5395	1996-05-31	PRIJEM	\N	236	60196	UROK	\N	\N
3670591	5395	1996-06-30	PRIJEM	\N	261	103427	UROK	\N	\N
3670592	5395	1996-07-31	PRIJEM	\N	197	40309	UROK	\N	\N
3670593	5395	1996-08-31	PRIJEM	\N	184	41295	UROK	\N	\N
3670594	5395	1996-09-30	PRIJEM	\N	280	57523	UROK	\N	\N
3670595	5395	1996-10-31	PRIJEM	\N	220	41629	UROK	\N	\N
3670596	5395	1996-11-30	PRIJEM	\N	171	55354	UROK	\N	\N
3670597	5395	1996-12-31	PRIJEM	\N	245	50820	UROK	\N	\N
3670598	5395	1997-01-31	PRIJEM	\N	210	21059	UROK	\N	\N
3670599	5395	1997-02-28	PRIJEM	\N	96	27140	UROK	\N	\N
3670600	5395	1997-03-31	PRIJEM	\N	176	36990	UROK	\N	\N
3670601	5395	1997-04-30	PRIJEM	\N	156	38731	UROK	\N	\N
3670602	5395	1997-05-31	PRIJEM	\N	145	29312	UROK	\N	\N
3670603	5395	1997-06-30	PRIJEM	\N	122	29519	UROK	\N	\N
3670604	5395	1997-07-31	PRIJEM	\N	123	29927	UROK	\N	\N
3670605	5395	1997-08-31	PRIJEM	\N	122	28834	UROK	\N	\N
3670606	5395	1997-09-30	PRIJEM	\N	125	32351	UROK	\N	\N
3670607	5395	1997-10-31	PRIJEM	\N	116	27206	UROK	\N	\N
3670608	5395	1997-11-30	PRIJEM	\N	192	51040	UROK	\N	\N
3670609	5395	1997-12-31	PRIJEM	\N	170	32501	UROK	\N	\N
3670610	5395	1998-01-31	PRIJEM	\N	132	33132	UROK	\N	\N
3670611	5395	1998-02-28	PRIJEM	\N	222	103144	UROK	\N	\N
3670612	5395	1998-03-31	PRIJEM	\N	368	69604	UROK	\N	\N
3670613	5395	1998-04-30	PRIJEM	\N	252	52348	UROK	\N	\N
3670614	5395	1998-05-31	PRIJEM	\N	218	30049	UROK	\N	\N
3670615	5395	1998-06-30	PRIJEM	\N	126	70928	UROK	\N	\N
3670616	5395	1998-07-31	PRIJEM	\N	328	75774	UROK	\N	\N
3670617	5395	1998-08-31	PRIJEM	\N	241	44307	UROK	\N	\N
3670618	5395	1998-09-30	PRIJEM	\N	293	77884	UROK	\N	\N
3670619	5395	1998-10-31	PRIJEM	\N	270	76453	UROK	\N	\N
3670620	5395	1998-11-30	PRIJEM	\N	218	38963	UROK	\N	\N
3670621	5395	1998-12-31	PRIJEM	\N	158	37970	UROK	\N	\N
3670714	5422	1994-10-31	PRIJEM	\N	10	18023	UROK	\N	\N
3670715	5422	1994-11-30	PRIJEM	\N	123	92813	UROK	\N	\N
3670716	5422	1994-12-31	PRIJEM	\N	386	58099	UROK	\N	\N
3670717	5422	1995-01-31	PRIJEM	\N	328	50866	UROK	\N	\N
3670718	5422	1995-02-28	PRIJEM	\N	227	71576	UROK	\N	\N
3670719	5422	1995-03-31	PRIJEM	\N	206	33257	UROK	\N	\N
3670720	5422	1995-04-30	PRIJEM	\N	65	16921	UROK	\N	\N
3670721	5422	1995-05-31	PRIJEM	\N	150	67011	UROK	\N	\N
3670722	5422	1995-06-30	PRIJEM	\N	315	54674	UROK	\N	\N
3670723	5422	1995-07-31	PRIJEM	\N	276	79049	UROK	\N	\N
3670724	5422	1995-08-31	PRIJEM	\N	297	101118	UROK	\N	\N
3670725	5422	1995-09-30	PRIJEM	\N	361	71062	UROK	\N	\N
3670726	5422	1995-10-31	PRIJEM	\N	285	103062	UROK	\N	\N
3670727	5422	1995-11-30	PRIJEM	\N	234	23909	UROK	\N	\N
3670728	5422	1995-12-31	PRIJEM	\N	247	43295	UROK	\N	\N
3670729	5422	1996-01-31	PRIJEM	\N	117	20349	UROK	\N	\N
3670730	5422	1996-02-29	PRIJEM	\N	142	38660	UROK	\N	\N
3670731	5422	1996-03-31	PRIJEM	\N	231	43452	UROK	\N	\N
3670732	5422	1996-04-30	PRIJEM	\N	238	90338	UROK	\N	\N
3670733	5422	1996-05-31	PRIJEM	\N	299	105727	UROK	\N	\N
3670734	5422	1996-06-30	PRIJEM	\N	351	86848	UROK	\N	\N
3670735	5422	1996-07-31	PRIJEM	\N	328	98565	UROK	\N	\N
3670736	5422	1996-08-31	PRIJEM	\N	314	57130	UROK	\N	\N
3670737	5422	1996-09-30	PRIJEM	\N	177	33463	UROK	\N	\N
3670738	5422	1996-10-31	PRIJEM	\N	151	102502	UROK	\N	\N
3670739	5422	1996-11-30	PRIJEM	\N	367	86286	UROK	\N	\N
3670740	5422	1996-12-31	PRIJEM	\N	230	32635	UROK	\N	\N
3670741	5422	1997-01-31	PRIJEM	\N	198	82524	UROK	\N	\N
3670742	5422	1997-02-28	PRIJEM	\N	342	84431	UROK	\N	\N
3670743	5422	1997-03-31	PRIJEM	\N	192	29058	UROK	\N	\N
3670744	5422	1997-04-30	PRIJEM	\N	170	40498	UROK	\N	\N
3670745	5422	1997-05-31	PRIJEM	\N	98	32332	UROK	\N	\N
3670746	5422	1997-06-30	PRIJEM	\N	117	34672	UROK	\N	\N
3670747	5422	1997-07-31	PRIJEM	\N	176	97292	UROK	\N	\N
3670748	5422	1997-08-31	PRIJEM	\N	301	67249	UROK	\N	\N
3670749	5422	1997-09-30	PRIJEM	\N	186	32686	UROK	\N	\N
3670750	5422	1997-10-31	PRIJEM	\N	174	38640	UROK	\N	\N
3670751	5422	1997-11-30	PRIJEM	\N	130	46166	UROK	\N	\N
3670752	5422	1997-12-31	PRIJEM	\N	95	15212	UROK	\N	\N
3670753	5422	1998-01-31	PRIJEM	\N	50	10312	UROK	\N	\N
3670754	5422	1998-02-28	PRIJEM	\N	56	12518	UROK	\N	\N
3670755	5422	1998-03-31	PRIJEM	\N	50	11518	UROK	\N	\N
3670756	5422	1998-04-30	PRIJEM	\N	82	21499	UROK	\N	\N
3670757	5422	1998-05-31	PRIJEM	\N	71	14621	UROK	\N	\N
3670758	5422	1998-06-30	PRIJEM	\N	171	60896	UROK	\N	\N
3670759	5422	1998-07-31	PRIJEM	\N	180	34127	UROK	\N	\N
3670760	5422	1998-08-31	PRIJEM	\N	110	22087	UROK	\N	\N
3670761	5422	1998-09-30	PRIJEM	\N	82	18419	UROK	\N	\N
3670762	5422	1998-10-31	PRIJEM	\N	79	28449	UROK	\N	\N
3670763	5422	1998-11-30	PRIJEM	\N	105	38493	UROK	\N	\N
3670764	5422	1998-12-31	PRIJEM	\N	134	36830	UROK	\N	\N
3670765	5423	1993-07-31	PRIJEM	\N	97	66502	UROK	\N	\N
3670766	5423	1993-08-31	PRIJEM	\N	186	54347	UROK	\N	\N
3670767	5423	1993-09-30	PRIJEM	\N	177	24652	UROK	\N	\N
3670768	5423	1993-10-31	PRIJEM	\N	101	26183	UROK	\N	\N
3670769	5423	1993-11-30	PRIJEM	\N	69	18206	UROK	\N	\N
3670770	5423	1993-12-31	PRIJEM	\N	73	23637	UROK	\N	\N
3670771	5423	1994-01-31	PRIJEM	\N	63	19953	UROK	\N	\N
3670772	5423	1994-02-28	PRIJEM	\N	46	16153	UROK	\N	\N
3670773	5423	1994-03-31	PRIJEM	\N	30	12737	UROK	\N	\N
3670774	5423	1994-04-30	PRIJEM	\N	83	23391	UROK	\N	\N
3670775	5423	1994-05-31	PRIJEM	\N	60	17805	UROK	\N	\N
3670776	5423	1994-06-30	PRIJEM	\N	39	14797	UROK	\N	\N
3670777	5423	1994-07-31	PRIJEM	\N	28	11778	UROK	\N	\N
3670778	5423	1994-08-31	PRIJEM	\N	11	-1357	UROK	\N	\N
3670779	5423	1994-08-31	VYDAJ	VYBER	10	-1368	SANKC. UROK	\N	\N
3670780	5423	1994-09-30	PRIJEM	\N	14	13985	UROK	\N	\N
3670781	5423	1994-09-30	VYDAJ	VYBER	11	13975	SANKC. UROK	\N	\N
3670782	5423	1994-10-31	PRIJEM	\N	29	13257	UROK	\N	\N
3670783	5423	1994-11-30	PRIJEM	\N	25	10736	UROK	\N	\N
3670784	5423	1994-12-31	PRIJEM	\N	44	17146	UROK	\N	\N
3670785	5423	1994-12-31	VYDAJ	VYBER	1	17130	SANKC. UROK	\N	\N
3670786	5423	1995-01-31	PRIJEM	\N	40	11938	UROK	\N	\N
3670787	5423	1995-02-28	PRIJEM	\N	52	23844	UROK	\N	\N
3670788	5423	1995-02-28	VYDAJ	VYBER	4	23840	SANKC. UROK	\N	\N
3670789	5423	1995-03-31	PRIJEM	\N	90	65371	UROK	\N	\N
3670790	5423	1995-04-30	PRIJEM	\N	239	44980	UROK	\N	\N
3670791	5423	1995-05-31	PRIJEM	\N	175	64399	UROK	\N	\N
3670792	5423	1995-06-30	PRIJEM	\N	248	70209	UROK	\N	\N
3670793	5423	1995-07-31	PRIJEM	\N	196	36440	UROK	\N	\N
3670794	5423	1995-08-31	PRIJEM	\N	201	96327	UROK	\N	\N
3670795	5423	1995-09-30	PRIJEM	\N	320	52730	UROK	\N	\N
3670796	5423	1995-10-31	PRIJEM	\N	226	54615	UROK	\N	\N
3670797	5423	1995-11-30	PRIJEM	\N	183	34962	UROK	\N	\N
3670798	5423	1995-12-31	PRIJEM	\N	120	70163	UROK	\N	\N
3670799	5423	1996-01-31	PRIJEM	\N	202	36688	UROK	\N	\N
3670800	5423	1996-02-29	PRIJEM	\N	131	33092	UROK	\N	\N
3670801	5423	1996-03-31	PRIJEM	\N	175	53511	UROK	\N	\N
3670802	5423	1996-04-30	PRIJEM	\N	136	26598	UROK	\N	\N
3670803	5423	1996-05-31	PRIJEM	\N	239	81128	UROK	\N	\N
3670804	5423	1996-06-30	PRIJEM	\N	241	45132	UROK	\N	\N
3670805	5423	1996-07-31	PRIJEM	\N	171	37115	UROK	\N	\N
3670806	5423	1996-08-31	PRIJEM	\N	132	29319	UROK	\N	\N
3670807	5423	1996-09-30	PRIJEM	\N	248	116056	UROK	\N	\N
3670808	5423	1996-10-31	PRIJEM	\N	301	52973	UROK	\N	\N
3670809	5423	1996-11-30	PRIJEM	\N	176	28268	UROK	\N	\N
3670810	5423	1996-12-31	PRIJEM	\N	157	45516	UROK	\N	\N
3670811	5423	1997-01-31	PRIJEM	\N	227	87754	UROK	\N	\N
3670812	5423	1997-02-28	PRIJEM	\N	346	76263	UROK	\N	\N
3670813	5423	1997-03-31	PRIJEM	\N	222	50124	UROK	\N	\N
3670814	5423	1997-04-30	PRIJEM	\N	127	26537	UROK	\N	\N
3670815	5423	1997-05-31	PRIJEM	\N	171	69395	UROK	\N	\N
3670816	5423	1997-06-30	PRIJEM	\N	262	37152	UROK	\N	\N
3670817	5423	1997-07-31	PRIJEM	\N	118	26624	UROK	\N	\N
3670818	5423	1997-08-31	PRIJEM	\N	100	39962	UROK	\N	\N
3670819	5423	1997-09-30	PRIJEM	\N	131	29646	UROK	\N	\N
3670820	5423	1997-10-31	PRIJEM	\N	170	45714	UROK	\N	\N
3670821	5423	1997-11-30	PRIJEM	\N	387	100911	UROK	\N	\N
3670822	5423	1997-12-31	PRIJEM	\N	292	81523	UROK	\N	\N
3670823	5423	1998-01-31	PRIJEM	\N	216	26693	UROK	\N	\N
3670824	5423	1998-02-28	PRIJEM	\N	80	17926	UROK	\N	\N
3670825	5423	1998-03-31	PRIJEM	\N	80	20259	UROK	\N	\N
3670826	5423	1998-04-30	PRIJEM	\N	73	16786	UROK	\N	\N
3670827	5423	1998-05-31	PRIJEM	\N	57	12895	UROK	\N	\N
3670828	5423	1998-06-30	PRIJEM	\N	54	17686	UROK	\N	\N
3670829	5423	1998-07-31	PRIJEM	\N	42	9281	UROK	\N	\N
3670830	5423	1998-08-31	PRIJEM	\N	188	50610	UROK	\N	\N
3670831	5423	1998-09-30	PRIJEM	\N	109	21972	UROK	\N	\N
3670832	5423	1998-10-31	PRIJEM	\N	63	14589	UROK	\N	\N
3670833	5423	1998-11-30	PRIJEM	\N	55	13597	UROK	\N	\N
3670834	5423	1998-12-31	PRIJEM	\N	55	14005	UROK	\N	\N
3670835	5442	1993-03-31	PRIJEM	\N	35	42667	UROK	\N	\N
3670836	5442	1993-04-30	PRIJEM	\N	227	82059	UROK	\N	\N
3670837	5442	1993-05-31	PRIJEM	\N	308	54282	UROK	\N	\N
3670838	5442	1993-06-30	PRIJEM	\N	243	43569	UROK	\N	\N
3670839	5442	1993-07-31	PRIJEM	\N	135	26092	UROK	\N	\N
3670840	5442	1993-08-31	PRIJEM	\N	87	27508	UROK	\N	\N
3670841	5442	1993-09-30	PRIJEM	\N	127	37572	UROK	\N	\N
3670842	5442	1993-10-31	PRIJEM	\N	129	18058	UROK	\N	\N
3670843	5442	1993-11-30	PRIJEM	\N	51	10397	UROK	\N	\N
3670844	5442	1993-12-31	PRIJEM	\N	62	22314	UROK	\N	\N
3670845	5442	1993-12-31	VYDAJ	VYBER	0	22314	SANKC. UROK	\N	\N
3670846	5442	1994-01-31	PRIJEM	\N	68	16029	UROK	\N	\N
3670847	5442	1994-02-28	PRIJEM	\N	54	10671	UROK	\N	\N
3670848	5442	1994-03-31	PRIJEM	\N	39	11399	UROK	\N	\N
3670849	5442	1994-03-31	VYDAJ	VYBER	1	11383	SANKC. UROK	\N	\N
3670850	5442	1994-04-30	PRIJEM	\N	35	10721	UROK	\N	\N
3670851	5442	1994-05-31	PRIJEM	\N	33	9843	UROK	\N	\N
3670852	5442	1994-05-31	VYDAJ	VYBER	0	9828	SANKC. UROK	\N	\N
3670853	5442	1994-06-30	PRIJEM	\N	25	6956	UROK	\N	\N
3670854	5442	1994-06-30	VYDAJ	VYBER	1	6940	SANKC. UROK	\N	\N
3670855	5442	1994-07-31	PRIJEM	\N	37	13674	UROK	\N	\N
3670856	5442	1994-07-31	VYDAJ	VYBER	3	13657	SANKC. UROK	\N	\N
3670857	5442	1994-08-31	PRIJEM	\N	54	23156	UROK	\N	\N
3670858	5442	1994-09-30	PRIJEM	\N	60	11523	UROK	\N	\N
3670859	5442	1994-10-31	PRIJEM	\N	41	9752	UROK	\N	\N
3670860	5442	1994-11-30	PRIJEM	\N	29	7069	UROK	\N	\N
3670861	5442	1994-11-30	VYDAJ	VYBER	0	7054	SANKC. UROK	\N	\N
3670862	5442	1994-12-31	PRIJEM	\N	25	5482	UROK	\N	\N
3670863	5442	1995-01-31	PRIJEM	\N	5	-5724	UROK	\N	\N
3670864	5442	1995-01-31	VYDAJ	VYBER	41	-5780	SANKC. UROK	\N	\N
3670865	5442	1995-02-28	PRIJEM	\N	30	7035	UROK	\N	\N
3670866	5442	1995-02-28	VYDAJ	VYBER	14	7021	SANKC. UROK	\N	\N
3670867	5442	1995-03-31	PRIJEM	\N	74	21083	UROK	\N	\N
3670868	5442	1995-03-31	VYDAJ	VYBER	1	21068	SANKC. UROK	\N	\N
3670869	5442	1995-04-30	PRIJEM	\N	50	21211	UROK	\N	\N
3670870	5442	1995-05-31	PRIJEM	\N	65	11223	UROK	\N	\N
3670871	5442	1995-06-30	PRIJEM	\N	14	26	UROK	\N	\N
3670872	5442	1995-07-31	PRIJEM	\N	0	-3075	UROK	\N	\N
3670873	5442	1995-07-31	VYDAJ	VYBER	17	-3107	SANKC. UROK	\N	\N
3670874	5442	1995-08-31	PRIJEM	\N	73	54444	UROK	\N	\N
3670875	5442	1995-08-31	VYDAJ	VYBER	21	54423	SANKC. UROK	\N	\N
3670876	5442	1995-09-30	PRIJEM	\N	129	49293	UROK	\N	\N
3670877	5442	1995-10-31	PRIJEM	\N	95	13395	UROK	\N	\N
3670878	5442	1995-11-30	PRIJEM	\N	14	-603	UROK	\N	\N
3670879	5442	1995-11-30	VYDAJ	VYBER	2	-620	SANKC. UROK	\N	\N
3670880	5442	1995-12-31	VYDAJ	VYBER	22	-3729	SANKC. UROK	\N	\N
3670881	5442	1996-01-31	PRIJEM	\N	42	74022	UROK	\N	\N
3670882	5442	1996-01-31	VYDAJ	VYBER	39	73983	SANKC. UROK	\N	\N
3670883	5442	1996-02-29	PRIJEM	\N	162	42080	UROK	\N	\N
3670884	5442	1996-03-31	PRIJEM	\N	65	19726	UROK	\N	\N
3670885	5442	1996-04-30	PRIJEM	\N	106	29560	UROK	\N	\N
3670886	5442	1996-05-31	PRIJEM	\N	173	42088	UROK	\N	\N
3670887	5442	1996-06-30	PRIJEM	\N	124	24345	UROK	\N	\N
3670888	5442	1996-07-31	PRIJEM	\N	215	67931	UROK	\N	\N
3670889	5442	1996-08-31	PRIJEM	\N	230	89980	UROK	\N	\N
3670890	5442	1996-09-30	PRIJEM	\N	177	26845	UROK	\N	\N
3670891	5442	1996-10-31	PRIJEM	\N	36	969	UROK	\N	\N
3670892	5442	1996-11-30	PRIJEM	\N	19	35146	UROK	\N	\N
3670893	5442	1996-12-31	PRIJEM	\N	191	60016	UROK	\N	\N
3670894	5442	1997-01-31	PRIJEM	\N	53	8058	UROK	\N	\N
3670895	5442	1997-02-28	PRIJEM	\N	27	4983	UROK	\N	\N
3670896	5442	1997-03-31	PRIJEM	\N	28	33464	UROK	\N	\N
3670897	5442	1997-04-30	PRIJEM	\N	50	15902	UROK	\N	\N
3670898	5442	1997-05-31	PRIJEM	\N	37	4727	UROK	\N	\N
3670899	5442	1997-06-30	PRIJEM	\N	12	1638	UROK	\N	\N
3670900	5442	1997-07-31	PRIJEM	\N	7	-440	UROK	\N	\N
3670901	5442	1997-07-31	VYDAJ	VYBER	0	-455	SANKC. UROK	\N	\N
3670902	5442	1997-08-31	PRIJEM	\N	18	33298	UROK	\N	\N
3670903	5442	1997-08-31	VYDAJ	VYBER	4	33295	SANKC. UROK	\N	\N
3670904	5442	1997-09-30	PRIJEM	\N	100	17322	UROK	\N	\N
3670905	5442	1997-10-31	PRIJEM	\N	46	7203	UROK	\N	\N
3670906	5442	1997-11-30	PRIJEM	\N	132	33859	UROK	\N	\N
3670907	5442	1997-12-31	PRIJEM	\N	142	32384	UROK	\N	\N
3670908	5442	1998-01-31	PRIJEM	\N	179	36148	UROK	\N	\N
3670909	5442	1998-02-28	PRIJEM	\N	205	46532	UROK	\N	\N
3670910	5442	1998-03-31	PRIJEM	\N	174	40650	UROK	\N	\N
3670911	5442	1998-04-30	PRIJEM	\N	167	22920	UROK	\N	\N
3670912	5442	1998-05-31	PRIJEM	\N	159	50456	UROK	\N	\N
3670913	5442	1998-06-30	PRIJEM	\N	223	41830	UROK	\N	\N
3670914	5442	1998-07-31	PRIJEM	\N	230	56118	UROK	\N	\N
3670915	5442	1998-08-31	PRIJEM	\N	300	62019	UROK	\N	\N
3670916	5442	1998-09-30	PRIJEM	\N	262	68796	UROK	\N	\N
3670917	5442	1998-10-31	PRIJEM	\N	283	123222	UROK	\N	\N
3670918	5442	1998-11-30	PRIJEM	\N	305	34523	UROK	\N	\N
3670919	5442	1998-12-31	PRIJEM	\N	250	83369	UROK	\N	\N
3670920	5445	1997-03-31	PRIJEM	\N	27	18443	UROK	\N	\N
3670921	5445	1997-04-30	PRIJEM	\N	96	30955	UROK	\N	\N
3670922	5445	1997-05-31	PRIJEM	\N	138	36609	UROK	\N	\N
3670923	5445	1997-06-30	PRIJEM	\N	167	45750	UROK	\N	\N
3670924	5445	1997-07-31	PRIJEM	\N	198	43356	UROK	\N	\N
3670925	5445	1997-08-31	PRIJEM	\N	170	29768	UROK	\N	\N
3670926	5445	1997-09-30	PRIJEM	\N	145	36308	UROK	\N	\N
3670927	5445	1997-10-31	PRIJEM	\N	151	27667	UROK	\N	\N
3670928	5445	1997-11-30	PRIJEM	\N	128	32204	UROK	\N	\N
3670929	5445	1997-12-31	PRIJEM	\N	155	36425	UROK	\N	\N
3670930	5445	1998-01-31	PRIJEM	\N	123	20057	UROK	\N	\N
3670931	5445	1998-02-28	PRIJEM	\N	113	32177	UROK	\N	\N
3670932	5445	1998-03-31	PRIJEM	\N	132	30718	UROK	\N	\N
3670933	5445	1998-04-30	PRIJEM	\N	143	36370	UROK	\N	\N
3670934	5445	1998-05-31	PRIJEM	\N	140	26518	UROK	\N	\N
3670935	5445	1998-06-30	PRIJEM	\N	126	25789	UROK	\N	\N
3670936	5445	1998-07-31	PRIJEM	\N	125	27623	UROK	\N	\N
3670937	5445	1998-08-31	PRIJEM	\N	104	23235	UROK	\N	\N
3670938	5445	1998-09-30	PRIJEM	\N	122	33066	UROK	\N	\N
3670939	5445	1998-10-31	PRIJEM	\N	154	39528	UROK	\N	\N
3670940	5445	1998-11-30	PRIJEM	\N	156	31457	UROK	\N	\N
3670941	5445	1998-12-31	PRIJEM	\N	134	22118	UROK	\N	\N
3671009	5477	1995-12-31	PRIJEM	\N	48	39997	UROK	\N	\N
3671010	5477	1996-01-31	PRIJEM	\N	175	72109	UROK	\N	\N
3671011	5477	1996-02-29	PRIJEM	\N	300	46809	UROK	\N	\N
3671012	5477	1996-03-31	PRIJEM	\N	300	38709	UROK	\N	\N
3671013	5477	1996-04-30	PRIJEM	\N	274	43616	UROK	\N	\N
3671014	5477	1996-05-31	PRIJEM	\N	248	100588	UROK	\N	\N
3671015	5477	1996-06-30	PRIJEM	\N	313	58077	UROK	\N	\N
3671016	5477	1996-07-31	PRIJEM	\N	202	57146	UROK	\N	\N
3671017	5477	1996-08-31	PRIJEM	\N	213	98290	UROK	\N	\N
3671018	5477	1996-09-30	PRIJEM	\N	307	77325	UROK	\N	\N
3671019	5477	1996-10-31	PRIJEM	\N	250	38689	UROK	\N	\N
3671020	5477	1996-11-30	PRIJEM	\N	167	35831	UROK	\N	\N
3671021	5477	1996-12-31	PRIJEM	\N	105	19079	UROK	\N	\N
3671022	5477	1997-01-31	PRIJEM	\N	117	25218	UROK	\N	\N
3671023	5477	1997-02-28	PRIJEM	\N	238	89335	UROK	\N	\N
3671024	5477	1997-03-31	PRIJEM	\N	309	82056	UROK	\N	\N
3671025	5477	1997-04-30	PRIJEM	\N	330	86816	UROK	\N	\N
3671026	5477	1997-05-31	PRIJEM	\N	359	81383	UROK	\N	\N
3671027	5477	1997-06-30	PRIJEM	\N	232	42095	UROK	\N	\N
3671028	5477	1997-07-31	PRIJEM	\N	139	30878	UROK	\N	\N
3671029	5477	1997-08-31	PRIJEM	\N	147	57953	UROK	\N	\N
3671030	5477	1997-09-30	PRIJEM	\N	321	64050	UROK	\N	\N
3671031	5477	1997-10-31	PRIJEM	\N	280	77043	UROK	\N	\N
3671032	5477	1997-11-30	PRIJEM	\N	391	104242	UROK	\N	\N
3671033	5477	1997-12-31	PRIJEM	\N	316	63661	UROK	\N	\N
3671034	5477	1998-01-31	PRIJEM	\N	169	35942	UROK	\N	\N
3671035	5477	1998-02-28	PRIJEM	\N	263	65096	UROK	\N	\N
3671036	5477	1998-03-31	PRIJEM	\N	263	63979	UROK	\N	\N
3671037	5477	1998-04-30	PRIJEM	\N	346	109023	UROK	\N	\N
3671038	5477	1998-05-31	PRIJEM	\N	428	96026	UROK	\N	\N
3671039	5477	1998-06-30	PRIJEM	\N	329	94875	UROK	\N	\N
3671040	5477	1998-07-31	PRIJEM	\N	245	51101	UROK	\N	\N
3671041	5477	1998-08-31	PRIJEM	\N	330	80716	UROK	\N	\N
3671042	5477	1998-09-30	PRIJEM	\N	268	69145	UROK	\N	\N
3671043	5477	1998-10-31	PRIJEM	\N	275	77913	UROK	\N	\N
3671044	5477	1998-11-30	PRIJEM	\N	278	106840	UROK	\N	\N
3671045	5477	1998-12-31	PRIJEM	\N	360	95113	UROK	\N	\N
3671071	5481	1993-09-30	PRIJEM	\N	70	31600	UROK	\N	\N
3671072	5481	1993-10-31	PRIJEM	\N	164	46094	UROK	\N	\N
3671073	5481	1993-11-30	PRIJEM	\N	215	55939	UROK	\N	\N
3671074	5481	1993-12-31	PRIJEM	\N	184	38668	UROK	\N	\N
3671075	5481	1994-01-31	PRIJEM	\N	138	18436	UROK	\N	\N
3671076	5481	1994-02-28	PRIJEM	\N	129	39180	UROK	\N	\N
3671077	5481	1994-03-31	PRIJEM	\N	171	42169	UROK	\N	\N
3671078	5481	1994-04-30	PRIJEM	\N	186	33769	UROK	\N	\N
3671079	5481	1994-05-31	PRIJEM	\N	179	39064	UROK	\N	\N
3671080	5481	1994-06-30	PRIJEM	\N	206	55101	UROK	\N	\N
3671081	5481	1994-07-31	PRIJEM	\N	195	49979	UROK	\N	\N
3671082	5481	1994-08-31	PRIJEM	\N	170	22339	UROK	\N	\N
3671083	5481	1994-09-30	PRIJEM	\N	146	40042	UROK	\N	\N
3671084	5481	1994-10-31	PRIJEM	\N	192	48191	UROK	\N	\N
3671085	5481	1994-11-30	PRIJEM	\N	152	29766	UROK	\N	\N
3671086	5481	1994-12-31	PRIJEM	\N	172	38128	UROK	\N	\N
3671087	5481	1995-01-31	PRIJEM	\N	134	17520	UROK	\N	\N
3671088	5481	1995-02-28	PRIJEM	\N	146	38923	UROK	\N	\N
3671089	5481	1995-03-31	PRIJEM	\N	184	44893	UROK	\N	\N
3671090	5481	1995-04-30	PRIJEM	\N	207	30794	UROK	\N	\N
3671091	5481	1995-05-31	PRIJEM	\N	164	38180	UROK	\N	\N
3671092	5481	1995-06-30	PRIJEM	\N	229	58681	UROK	\N	\N
3671093	5481	1995-07-31	PRIJEM	\N	163	34782	UROK	\N	\N
3671094	5481	1995-08-31	PRIJEM	\N	252	63882	UROK	\N	\N
3671095	5481	1995-09-30	PRIJEM	\N	200	31296	UROK	\N	\N
3671096	5481	1995-10-31	PRIJEM	\N	235	61888	UROK	\N	\N
3671097	5481	1995-11-30	PRIJEM	\N	276	65578	UROK	\N	\N
3671098	5481	1995-12-31	PRIJEM	\N	367	94716	UROK	\N	\N
3671099	5481	1996-01-31	PRIJEM	\N	262	47636	UROK	\N	\N
3671100	5481	1996-02-29	PRIJEM	\N	291	75184	UROK	\N	\N
3671101	5481	1996-03-31	PRIJEM	\N	346	80587	UROK	\N	\N
3671102	5481	1996-04-30	PRIJEM	\N	361	87906	UROK	\N	\N
3671103	5481	1996-05-31	PRIJEM	\N	389	94452	UROK	\N	\N
3671104	5481	1996-06-30	PRIJEM	\N	228	37353	UROK	\N	\N
3671105	5481	1996-07-31	PRIJEM	\N	251	65761	UROK	\N	\N
3671106	5481	1996-08-31	PRIJEM	\N	292	60610	UROK	\N	\N
3671107	5481	1996-09-30	PRIJEM	\N	319	60386	UROK	\N	\N
3671108	5481	1996-10-31	PRIJEM	\N	318	62461	UROK	\N	\N
3671109	5481	1996-11-30	PRIJEM	\N	330	62148	UROK	\N	\N
3671110	5481	1996-12-31	PRIJEM	\N	256	34276	UROK	\N	\N
3671111	5481	1997-01-31	PRIJEM	\N	178	27862	UROK	\N	\N
3671112	5481	1997-02-28	PRIJEM	\N	189	46808	UROK	\N	\N
3671113	5481	1997-03-31	PRIJEM	\N	241	48279	UROK	\N	\N
3671114	5481	1997-04-30	PRIJEM	\N	270	56406	UROK	\N	\N
3671115	5481	1997-05-31	PRIJEM	\N	257	47058	UROK	\N	\N
3671116	5481	1997-06-30	PRIJEM	\N	290	54032	UROK	\N	\N
3671117	5481	1997-07-31	PRIJEM	\N	301	54490	UROK	\N	\N
3671118	5481	1997-08-31	PRIJEM	\N	295	58178	UROK	\N	\N
3671119	5481	1997-09-30	PRIJEM	\N	271	26614	UROK	\N	\N
3671120	5481	1997-10-31	PRIJEM	\N	172	37498	UROK	\N	\N
3671121	5481	1997-11-30	PRIJEM	\N	201	34820	UROK	\N	\N
3671122	5481	1997-12-31	PRIJEM	\N	261	55954	UROK	\N	\N
3671123	5481	1998-01-31	PRIJEM	\N	210	28321	UROK	\N	\N
3671124	5481	1998-02-28	PRIJEM	\N	144	29852	UROK	\N	\N
3671125	5481	1998-03-31	PRIJEM	\N	186	40977	UROK	\N	\N
3671126	5481	1998-04-30	PRIJEM	\N	229	55964	UROK	\N	\N
3671127	5481	1998-05-31	PRIJEM	\N	269	54936	UROK	\N	\N
3671128	5481	1998-06-30	PRIJEM	\N	265	48503	UROK	\N	\N
3671129	5481	1998-07-31	PRIJEM	\N	245	54712	UROK	\N	\N
3671130	5481	1998-08-31	PRIJEM	\N	268	56193	UROK	\N	\N
3671131	5481	1998-09-30	PRIJEM	\N	259	54657	UROK	\N	\N
3671132	5481	1998-10-31	PRIJEM	\N	266	60439	UROK	\N	\N
3671133	5481	1998-11-30	PRIJEM	\N	250	51936	UROK	\N	\N
3671134	5481	1998-12-31	PRIJEM	\N	358	96225	UROK	\N	\N
3671315	5541	1995-04-30	PRIJEM	\N	21	18664	UROK	\N	\N
3671316	5541	1995-05-31	PRIJEM	\N	84	24091	UROK	\N	\N
3671317	5541	1995-06-30	PRIJEM	\N	110	31915	UROK	\N	\N
3671318	5541	1995-07-31	PRIJEM	\N	133	32291	UROK	\N	\N
3671319	5541	1995-08-31	PRIJEM	\N	137	34471	UROK	\N	\N
3671320	5541	1995-09-30	PRIJEM	\N	137	30275	UROK	\N	\N
3671321	5541	1995-10-31	PRIJEM	\N	121	29262	UROK	\N	\N
3671322	5541	1995-11-30	PRIJEM	\N	114	26542	UROK	\N	\N
3671323	5541	1995-12-31	PRIJEM	\N	112	25691	UROK	\N	\N
3671324	5541	1996-01-31	PRIJEM	\N	89	18046	UROK	\N	\N
3671325	5541	1996-02-29	PRIJEM	\N	84	23296	UROK	\N	\N
3671326	5541	1996-03-31	PRIJEM	\N	104	27366	UROK	\N	\N
3671327	5541	1996-04-30	PRIJEM	\N	124	33457	UROK	\N	\N
3671328	5541	1996-05-31	PRIJEM	\N	145	36269	UROK	\N	\N
3671329	5541	1996-06-30	PRIJEM	\N	128	14434	UROK	\N	\N
3671330	5541	1996-07-31	PRIJEM	\N	68	18868	UROK	\N	\N
3671331	5541	1996-08-31	PRIJEM	\N	87	24742	UROK	\N	\N
3671332	5541	1996-09-30	PRIJEM	\N	109	28137	UROK	\N	\N
3671333	5541	1996-10-31	PRIJEM	\N	121	30744	UROK	\N	\N
3671334	5541	1996-11-30	PRIJEM	\N	123	29254	UROK	\N	\N
3671335	5541	1996-12-31	PRIJEM	\N	137	35448	UROK	\N	\N
3671336	5541	1997-01-31	PRIJEM	\N	130	29064	UROK	\N	\N
3671337	5541	1997-02-28	PRIJEM	\N	137	37388	UROK	\N	\N
3671338	5541	1997-03-31	PRIJEM	\N	156	38830	UROK	\N	\N
3671339	5541	1997-04-30	PRIJEM	\N	164	40081	UROK	\N	\N
3671340	5541	1997-05-31	PRIJEM	\N	169	42036	UROK	\N	\N
3671341	5541	1997-06-30	PRIJEM	\N	139	24032	UROK	\N	\N
3671342	5541	1997-07-31	PRIJEM	\N	137	38455	UROK	\N	\N
3671343	5541	1997-08-31	PRIJEM	\N	178	46019	UROK	\N	\N
3671344	5541	1997-09-30	PRIJEM	\N	196	49302	UROK	\N	\N
3671345	5541	1997-10-31	PRIJEM	\N	209	50197	UROK	\N	\N
3671346	5541	1997-11-30	PRIJEM	\N	203	50287	UROK	\N	\N
3671347	5541	1997-12-31	PRIJEM	\N	196	46640	UROK	\N	\N
3671348	5541	1998-01-31	PRIJEM	\N	160	30586	UROK	\N	\N
3671349	5541	1998-02-28	PRIJEM	\N	126	31898	UROK	\N	\N
3671350	5541	1998-03-31	PRIJEM	\N	153	39838	UROK	\N	\N
3671351	5541	1998-04-30	PRIJEM	\N	173	43297	UROK	\N	\N
3671352	5541	1998-05-31	PRIJEM	\N	190	42973	UROK	\N	\N
3671353	5541	1998-06-30	PRIJEM	\N	137	23068	UROK	\N	\N
3671354	5541	1998-07-31	PRIJEM	\N	156	43111	UROK	\N	\N
3671355	5541	1998-08-31	PRIJEM	\N	195	49792	UROK	\N	\N
3671356	5541	1998-09-30	PRIJEM	\N	220	55798	UROK	\N	\N
3671357	5541	1998-10-31	PRIJEM	\N	240	60325	UROK	\N	\N
3671358	5541	1998-11-30	PRIJEM	\N	252	59163	UROK	\N	\N
3671359	5541	1998-12-31	PRIJEM	\N	256	65177	UROK	\N	\N
3671562	5572	1997-08-31	PRIJEM	\N	193	84356	UROK	\N	\N
3671563	5572	1997-09-30	PRIJEM	\N	462	53610	UROK	\N	\N
3671564	5572	1997-10-31	PRIJEM	\N	509	38419	UROK	\N	\N
3671565	5572	1997-11-30	PRIJEM	\N	258	40561	UROK	\N	\N
3671566	5572	1997-12-31	PRIJEM	\N	273	79948	UROK	\N	\N
3671567	5572	1998-01-31	PRIJEM	\N	177	44934	UROK	\N	\N
3671568	5572	1998-02-28	PRIJEM	\N	122	25427	UROK	\N	\N
3671569	5572	1998-03-31	PRIJEM	\N	90	19588	UROK	\N	\N
3671570	5572	1998-04-30	PRIJEM	\N	62	13821	UROK	\N	\N
3671571	5572	1998-05-31	PRIJEM	\N	59	14704	UROK	\N	\N
3671572	5572	1998-06-30	PRIJEM	\N	76	17203	UROK	\N	\N
3671573	5572	1998-07-31	PRIJEM	\N	115	37636	UROK	\N	\N
3671574	5572	1998-08-31	PRIJEM	\N	165	54271	UROK	\N	\N
3671575	5572	1998-09-30	PRIJEM	\N	206	60239	UROK	\N	\N
3671576	5572	1998-10-31	PRIJEM	\N	176	64936	UROK	\N	\N
3671577	5572	1998-11-30	PRIJEM	\N	157	31316	UROK	\N	\N
3671578	5572	1998-12-31	PRIJEM	\N	207	49914	UROK	\N	\N
3671579	5574	1994-08-31	PRIJEM	\N	96	37506	UROK	\N	\N
3671580	5574	1994-09-30	PRIJEM	\N	200	54316	UROK	\N	\N
3671581	5574	1994-10-31	PRIJEM	\N	254	64980	UROK	\N	\N
3671582	5574	1994-11-30	PRIJEM	\N	187	34576	UROK	\N	\N
3671583	5574	1994-12-31	PRIJEM	\N	175	42438	UROK	\N	\N
3671584	5574	1995-01-31	PRIJEM	\N	146	20586	UROK	\N	\N
3671585	5574	1995-02-28	PRIJEM	\N	136	33424	UROK	\N	\N
3671586	5574	1995-03-31	PRIJEM	\N	121	23031	UROK	\N	\N
3671587	5574	1995-04-30	PRIJEM	\N	146	30300	UROK	\N	\N
3671588	5574	1995-05-31	PRIJEM	\N	130	20932	UROK	\N	\N
3671589	5574	1995-06-30	PRIJEM	\N	130	20274	UROK	\N	\N
3671590	5574	1995-07-31	PRIJEM	\N	103	23443	UROK	\N	\N
3671591	5574	1995-08-31	PRIJEM	\N	120	19665	UROK	\N	\N
3671592	5574	1995-09-30	PRIJEM	\N	185	49878	UROK	\N	\N
3671593	5574	1995-10-31	PRIJEM	\N	254	56617	UROK	\N	\N
3671594	5574	1995-11-30	PRIJEM	\N	238	45289	UROK	\N	\N
3671595	5574	1995-12-31	PRIJEM	\N	336	87582	UROK	\N	\N
3671596	5574	1996-01-31	PRIJEM	\N	275	59359	UROK	\N	\N
3671597	5574	1996-02-29	PRIJEM	\N	254	64066	UROK	\N	\N
3671598	5574	1996-03-31	PRIJEM	\N	240	44560	UROK	\N	\N
3671599	5574	1996-04-30	PRIJEM	\N	189	26690	UROK	\N	\N
3671600	5574	1996-05-31	PRIJEM	\N	195	34049	UROK	\N	\N
3671601	5574	1996-06-30	PRIJEM	\N	339	84226	UROK	\N	\N
3671602	5574	1996-07-31	PRIJEM	\N	274	48554	UROK	\N	\N
3671603	5574	1996-08-31	PRIJEM	\N	195	36255	UROK	\N	\N
3671604	5574	1996-09-30	PRIJEM	\N	238	61176	UROK	\N	\N
3671605	5574	1996-10-31	PRIJEM	\N	338	75397	UROK	\N	\N
3671606	5574	1996-11-30	PRIJEM	\N	333	81313	UROK	\N	\N
3671607	5574	1996-12-31	PRIJEM	\N	338	56917	UROK	\N	\N
3671608	5574	1997-01-31	PRIJEM	\N	272	32872	UROK	\N	\N
3671609	5574	1997-02-28	PRIJEM	\N	241	65196	UROK	\N	\N
3671610	5574	1997-03-31	PRIJEM	\N	272	44451	UROK	\N	\N
3671611	5574	1997-04-30	PRIJEM	\N	234	43387	UROK	\N	\N
3671612	5574	1997-05-31	PRIJEM	\N	245	46234	UROK	\N	\N
3671613	5574	1997-06-30	PRIJEM	\N	239	35030	UROK	\N	\N
3671614	5574	1997-07-31	PRIJEM	\N	225	43757	UROK	\N	\N
3671615	5574	1997-08-31	PRIJEM	\N	271	47330	UROK	\N	\N
3671616	5574	1997-09-30	PRIJEM	\N	246	42978	UROK	\N	\N
3671617	5574	1997-10-31	PRIJEM	\N	253	54333	UROK	\N	\N
3671618	5574	1997-11-30	PRIJEM	\N	289	60324	UROK	\N	\N
3671619	5574	1997-12-31	PRIJEM	\N	305	49286	UROK	\N	\N
3671620	5574	1998-01-31	PRIJEM	\N	258	42947	UROK	\N	\N
3671621	5574	1998-02-28	PRIJEM	\N	266	54715	UROK	\N	\N
3671622	5574	1998-03-31	PRIJEM	\N	306	60123	UROK	\N	\N
3671623	5574	1998-04-30	PRIJEM	\N	304	59240	UROK	\N	\N
3671624	5574	1998-05-31	PRIJEM	\N	299	62340	UROK	\N	\N
3671625	5574	1998-06-30	PRIJEM	\N	284	50982	UROK	\N	\N
3671626	5574	1998-07-31	PRIJEM	\N	268	62452	UROK	\N	\N
3671627	5574	1998-08-31	PRIJEM	\N	307	66261	UROK	\N	\N
3671628	5574	1998-09-30	PRIJEM	\N	322	66984	UROK	\N	\N
3671629	5574	1998-10-31	PRIJEM	\N	322	52808	UROK	\N	\N
3671630	5574	1998-11-30	PRIJEM	\N	272	62482	UROK	\N	\N
3671631	5574	1998-12-31	PRIJEM	\N	281	57220	UROK	\N	\N
3671632	5591	1996-04-30	PRIJEM	\N	54	24441	UROK	\N	\N
3671633	5591	1996-05-31	PRIJEM	\N	131	37359	UROK	\N	\N
3671634	5591	1996-06-30	PRIJEM	\N	184	49623	UROK	\N	\N
3671635	5591	1996-07-31	PRIJEM	\N	220	55330	UROK	\N	\N
3671636	5591	1996-08-31	PRIJEM	\N	227	31898	UROK	\N	\N
3671637	5591	1996-09-30	PRIJEM	\N	166	40196	UROK	\N	\N
3671638	5591	1996-10-31	PRIJEM	\N	167	38430	UROK	\N	\N
3671639	5591	1996-11-30	PRIJEM	\N	173	27887	UROK	\N	\N
3671640	5591	1996-12-31	PRIJEM	\N	173	35483	UROK	\N	\N
3671641	5591	1997-01-31	PRIJEM	\N	158	29472	UROK	\N	\N
3671642	5591	1997-02-28	PRIJEM	\N	150	37354	UROK	\N	\N
3671643	5591	1997-03-31	PRIJEM	\N	160	38347	UROK	\N	\N
3671644	5591	1997-04-30	PRIJEM	\N	140	23632	UROK	\N	\N
3671645	5591	1997-05-31	PRIJEM	\N	119	29064	UROK	\N	\N
3671646	5591	1997-06-30	PRIJEM	\N	176	45866	UROK	\N	\N
3671647	5591	1997-07-31	PRIJEM	\N	197	46995	UROK	\N	\N
3671648	5591	1997-08-31	PRIJEM	\N	196	44623	UROK	\N	\N
3671649	5591	1997-09-30	PRIJEM	\N	224	55780	UROK	\N	\N
3671650	5591	1997-10-31	PRIJEM	\N	185	40514	UROK	\N	\N
3671651	5591	1997-11-30	PRIJEM	\N	201	49548	UROK	\N	\N
3671652	5591	1997-12-31	PRIJEM	\N	233	53196	UROK	\N	\N
3671653	5591	1998-01-31	PRIJEM	\N	226	44955	UROK	\N	\N
3671654	5591	1998-02-28	PRIJEM	\N	224	55512	UROK	\N	\N
3671655	5591	1998-03-31	PRIJEM	\N	252	61397	UROK	\N	\N
3671656	5591	1998-04-30	PRIJEM	\N	259	60302	UROK	\N	\N
3671657	5591	1998-05-31	PRIJEM	\N	264	63598	UROK	\N	\N
3671658	5591	1998-06-30	PRIJEM	\N	269	56093	UROK	\N	\N
3671659	5591	1998-07-31	PRIJEM	\N	247	59572	UROK	\N	\N
3671660	5591	1998-08-31	PRIJEM	\N	242	53286	UROK	\N	\N
3671661	5591	1998-09-30	PRIJEM	\N	246	60265	UROK	\N	\N
3671662	5591	1998-10-31	PRIJEM	\N	215	47613	UROK	\N	\N
3671663	5591	1998-11-30	PRIJEM	\N	216	49161	UROK	\N	\N
3671664	5591	1998-12-31	PRIJEM	\N	260	63947	UROK	\N	\N
3671730	5593	1996-03-31	PRIJEM	\N	128	55873	UROK	\N	\N
3671731	5593	1996-04-30	PRIJEM	\N	259	41236	UROK	\N	\N
3671732	5593	1996-05-31	PRIJEM	\N	223	21319	UROK	\N	\N
3671733	5593	1996-06-30	PRIJEM	\N	108	24030	UROK	\N	\N
3671734	5593	1996-07-31	PRIJEM	\N	253	48952	UROK	\N	\N
3671735	5593	1996-08-31	PRIJEM	\N	251	45956	UROK	\N	\N
3671736	5593	1996-09-30	PRIJEM	\N	196	36190	UROK	\N	\N
3671737	5593	1996-10-31	PRIJEM	\N	179	19048	UROK	\N	\N
3671738	5593	1996-11-30	PRIJEM	\N	64	18851	UROK	\N	\N
3671739	5593	1996-12-31	PRIJEM	\N	79	60945	UROK	\N	\N
3671740	5593	1997-01-31	PRIJEM	\N	173	87841	UROK	\N	\N
3671741	5593	1997-02-28	PRIJEM	\N	315	56495	UROK	\N	\N
3671742	5593	1997-03-31	PRIJEM	\N	262	46470	UROK	\N	\N
3671743	5593	1997-04-30	PRIJEM	\N	298	83897	UROK	\N	\N
3671744	5593	1997-05-31	PRIJEM	\N	301	57436	UROK	\N	\N
3671745	5593	1997-06-30	PRIJEM	\N	263	94887	UROK	\N	\N
3671746	5593	1997-07-31	PRIJEM	\N	273	45908	UROK	\N	\N
3671747	5593	1997-08-31	PRIJEM	\N	263	96972	UROK	\N	\N
3671748	5593	1997-09-30	PRIJEM	\N	183	24275	UROK	\N	\N
3671749	5593	1997-10-31	PRIJEM	\N	98	32362	UROK	\N	\N
3671750	5593	1997-11-30	PRIJEM	\N	142	20108	UROK	\N	\N
3671751	5593	1997-12-31	PRIJEM	\N	157	39697	UROK	\N	\N
3671752	5593	1998-01-31	PRIJEM	\N	145	65603	UROK	\N	\N
3671753	5593	1998-02-28	PRIJEM	\N	359	96807	UROK	\N	\N
3671754	5593	1998-03-31	PRIJEM	\N	381	100784	UROK	\N	\N
3671755	5593	1998-04-30	PRIJEM	\N	333	65371	UROK	\N	\N
3671756	5593	1998-05-31	PRIJEM	\N	292	66957	UROK	\N	\N
3671757	5593	1998-06-30	PRIJEM	\N	237	55230	UROK	\N	\N
3671758	5593	1998-07-31	PRIJEM	\N	324	74054	UROK	\N	\N
3671759	5593	1998-08-31	PRIJEM	\N	301	68097	UROK	\N	\N
3671760	5593	1998-09-30	PRIJEM	\N	356	110695	UROK	\N	\N
3671761	5593	1998-10-31	PRIJEM	\N	388	82776	UROK	\N	\N
3671762	5593	1998-11-30	PRIJEM	\N	311	92602	UROK	\N	\N
3671763	5593	1998-12-31	PRIJEM	\N	265	62671	UROK	\N	\N
3671808	5602	1996-07-31	PRIJEM	\N	169	74543	UROK	\N	\N
3671809	5602	1996-08-31	PRIJEM	\N	379	102552	UROK	\N	\N
3671810	5602	1996-09-30	PRIJEM	\N	419	78144	UROK	\N	\N
3671811	5602	1996-10-31	PRIJEM	\N	396	94298	UROK	\N	\N
3671812	5602	1996-11-30	PRIJEM	\N	356	50454	UROK	\N	\N
3671813	5602	1996-12-31	PRIJEM	\N	148	27702	UROK	\N	\N
3671814	5602	1997-01-31	PRIJEM	\N	77	16579	UROK	\N	\N
3671815	5602	1997-02-28	PRIJEM	\N	75	21353	UROK	\N	\N
3671816	5602	1997-03-31	PRIJEM	\N	87	20740	UROK	\N	\N
3671817	5602	1997-04-30	PRIJEM	\N	87	19228	UROK	\N	\N
3671818	5602	1997-05-31	PRIJEM	\N	87	22814	UROK	\N	\N
3671819	5602	1997-06-30	PRIJEM	\N	89	20103	UROK	\N	\N
3671820	5602	1997-07-31	PRIJEM	\N	78	18481	UROK	\N	\N
3671821	5602	1997-08-31	PRIJEM	\N	74	14955	UROK	\N	\N
3671822	5602	1997-09-30	PRIJEM	\N	65	16720	UROK	\N	\N
3671823	5602	1997-10-31	PRIJEM	\N	80	19600	UROK	\N	\N
3671824	5602	1997-11-30	PRIJEM	\N	82	17481	UROK	\N	\N
3671825	5602	1997-12-31	PRIJEM	\N	72	20053	UROK	\N	\N
3671826	5602	1998-01-31	PRIJEM	\N	212	83789	UROK	\N	\N
3671827	5602	1998-02-28	PRIJEM	\N	271	68093	UROK	\N	\N
3671828	5602	1998-03-31	PRIJEM	\N	255	59387	UROK	\N	\N
3671829	5602	1998-04-30	PRIJEM	\N	112	25001	UROK	\N	\N
3671830	5602	1998-05-31	PRIJEM	\N	104	32407	UROK	\N	\N
3671831	5602	1998-06-30	PRIJEM	\N	369	86997	UROK	\N	\N
3671832	5602	1998-07-31	PRIJEM	\N	224	56203	UROK	\N	\N
3671833	5602	1998-08-31	PRIJEM	\N	225	52810	UROK	\N	\N
3671834	5602	1998-09-30	PRIJEM	\N	263	56462	UROK	\N	\N
3671835	5602	1998-10-31	PRIJEM	\N	321	50931	UROK	\N	\N
3671836	5602	1998-11-30	PRIJEM	\N	234	49162	UROK	\N	\N
3671837	5602	1998-12-31	PRIJEM	\N	217	69552	UROK	\N	\N
3671894	5622	1993-02-28	PRIJEM	\N	90	58223	UROK	\N	\N
3671895	5622	1993-03-31	PRIJEM	\N	273	86646	UROK	\N	\N
3671896	5622	1993-04-30	PRIJEM	\N	290	61652	UROK	\N	\N
3671897	5622	1993-05-31	PRIJEM	\N	196	62851	UROK	\N	\N
3671898	5622	1993-06-30	PRIJEM	\N	270	92942	UROK	\N	\N
3671899	5622	1993-07-31	PRIJEM	\N	283	45527	UROK	\N	\N
3671900	5622	1993-08-31	PRIJEM	\N	229	46876	UROK	\N	\N
3671901	5622	1993-09-30	PRIJEM	\N	151	27509	UROK	\N	\N
3671902	5622	1993-10-31	PRIJEM	\N	208	50926	UROK	\N	\N
3671903	5622	1993-11-30	PRIJEM	\N	339	56930	UROK	\N	\N
3671904	5622	1993-12-31	PRIJEM	\N	292	77646	UROK	\N	\N
3671905	5622	1994-01-31	PRIJEM	\N	211	47247	UROK	\N	\N
3671906	5622	1994-02-28	PRIJEM	\N	162	37058	UROK	\N	\N
3671907	5622	1994-03-31	PRIJEM	\N	287	115267	UROK	\N	\N
3671908	5622	1994-04-30	PRIJEM	\N	343	84170	UROK	\N	\N
3671909	5622	1994-05-31	PRIJEM	\N	351	85298	UROK	\N	\N
3671910	5622	1994-06-30	PRIJEM	\N	323	62026	UROK	\N	\N
3671911	5622	1994-07-31	PRIJEM	\N	241	95581	UROK	\N	\N
3671912	5622	1994-08-31	PRIJEM	\N	420	105701	UROK	\N	\N
3671913	5622	1994-09-30	PRIJEM	\N	403	91261	UROK	\N	\N
3671914	5622	1994-10-31	PRIJEM	\N	303	93620	UROK	\N	\N
3671915	5622	1994-11-30	PRIJEM	\N	357	83691	UROK	\N	\N
3671916	5622	1994-12-31	PRIJEM	\N	239	55189	UROK	\N	\N
3671917	5622	1995-01-31	PRIJEM	\N	257	48690	UROK	\N	\N
3671918	5622	1995-02-28	PRIJEM	\N	194	64393	UROK	\N	\N
3671919	5622	1995-03-31	PRIJEM	\N	338	62630	UROK	\N	\N
3671920	5622	1995-04-30	PRIJEM	\N	203	41641	UROK	\N	\N
3671921	5622	1995-05-31	PRIJEM	\N	199	64608	UROK	\N	\N
3671922	5622	1995-06-30	PRIJEM	\N	233	56662	UROK	\N	\N
3671923	5622	1995-07-31	PRIJEM	\N	351	77618	UROK	\N	\N
3671924	5622	1995-08-31	PRIJEM	\N	253	51438	UROK	\N	\N
3671925	5622	1995-09-30	PRIJEM	\N	152	43990	UROK	\N	\N
3671926	5622	1995-10-31	PRIJEM	\N	151	42308	UROK	\N	\N
3671927	5622	1995-11-30	PRIJEM	\N	226	54871	UROK	\N	\N
3671928	5622	1995-12-31	PRIJEM	\N	314	67446	UROK	\N	\N
3671929	5622	1996-01-31	PRIJEM	\N	238	34326	UROK	\N	\N
3671930	5622	1996-02-29	PRIJEM	\N	132	38743	UROK	\N	\N
3671931	5622	1996-03-31	PRIJEM	\N	170	63666	UROK	\N	\N
3671932	5622	1996-04-30	PRIJEM	\N	221	55273	UROK	\N	\N
3671933	5622	1996-05-31	PRIJEM	\N	166	45209	UROK	\N	\N
3671934	5622	1996-06-30	PRIJEM	\N	240	54581	UROK	\N	\N
3671935	5622	1996-07-31	PRIJEM	\N	370	45287	UROK	\N	\N
3671936	5622	1996-08-31	PRIJEM	\N	175	45447	UROK	\N	\N
3671937	5622	1996-09-30	PRIJEM	\N	180	42613	UROK	\N	\N
3671938	5622	1996-10-31	PRIJEM	\N	162	46860	UROK	\N	\N
3671939	5622	1996-11-30	PRIJEM	\N	211	56791	UROK	\N	\N
3671940	5622	1996-12-31	PRIJEM	\N	193	45770	UROK	\N	\N
3671941	5622	1997-01-31	PRIJEM	\N	169	40624	UROK	\N	\N
3671942	5622	1997-02-28	PRIJEM	\N	153	44563	UROK	\N	\N
3671943	5622	1997-03-31	PRIJEM	\N	173	48122	UROK	\N	\N
3671944	5622	1997-04-30	PRIJEM	\N	199	50506	UROK	\N	\N
3671945	5622	1997-05-31	PRIJEM	\N	203	49295	UROK	\N	\N
3671946	5622	1997-06-30	PRIJEM	\N	195	49675	UROK	\N	\N
3671947	5622	1997-07-31	PRIJEM	\N	187	48747	UROK	\N	\N
3671948	5622	1997-08-31	PRIJEM	\N	174	48307	UROK	\N	\N
3671949	5622	1997-09-30	PRIJEM	\N	190	44082	UROK	\N	\N
3671950	5622	1997-10-31	PRIJEM	\N	161	47329	UROK	\N	\N
3671951	5622	1997-11-30	PRIJEM	\N	181	48095	UROK	\N	\N
3671952	5622	1997-12-31	PRIJEM	\N	179	44959	UROK	\N	\N
3671953	5622	1998-01-31	PRIJEM	\N	180	44124	UROK	\N	\N
3671954	5622	1998-02-28	PRIJEM	\N	180	46989	UROK	\N	\N
3671955	5622	1998-03-31	PRIJEM	\N	275	72412	UROK	\N	\N
3671956	5622	1998-04-30	PRIJEM	\N	361	115007	UROK	\N	\N
3671957	5622	1998-05-31	PRIJEM	\N	316	74741	UROK	\N	\N
3671958	5622	1998-06-30	PRIJEM	\N	281	70707	UROK	\N	\N
3671959	5622	1998-07-31	PRIJEM	\N	331	95668	UROK	\N	\N
3671960	5622	1998-08-31	PRIJEM	\N	324	79122	UROK	\N	\N
3671961	5622	1998-09-30	PRIJEM	\N	278	65384	UROK	\N	\N
3671962	5622	1998-10-31	PRIJEM	\N	252	62922	UROK	\N	\N
3671963	5622	1998-11-30	PRIJEM	\N	252	68392	UROK	\N	\N
3671964	5622	1998-12-31	PRIJEM	\N	267	68045	UROK	\N	\N
3671965	5628	1994-07-31	PRIJEM	\N	43	21561	UROK	\N	\N
3671966	5628	1994-08-31	PRIJEM	\N	106	29286	UROK	\N	\N
3671967	5628	1994-09-30	PRIJEM	\N	126	31330	UROK	\N	\N
3671968	5628	1994-10-31	PRIJEM	\N	142	36389	UROK	\N	\N
3671969	5628	1994-11-30	PRIJEM	\N	152	32559	UROK	\N	\N
3671970	5628	1994-12-31	PRIJEM	\N	151	36063	UROK	\N	\N
3671971	5628	1995-01-31	PRIJEM	\N	111	18777	UROK	\N	\N
3671972	5628	1995-02-28	PRIJEM	\N	99	26879	UROK	\N	\N
3671973	5628	1995-03-31	PRIJEM	\N	118	29500	UROK	\N	\N
3671974	5628	1995-04-30	PRIJEM	\N	132	32535	UROK	\N	\N
3671975	5628	1995-05-31	PRIJEM	\N	133	31014	UROK	\N	\N
3671976	5628	1995-06-30	PRIJEM	\N	136	33605	UROK	\N	\N
3671977	5628	1995-07-31	PRIJEM	\N	131	27882	UROK	\N	\N
3671978	5628	1995-08-31	PRIJEM	\N	117	21886	UROK	\N	\N
3671979	5628	1995-09-30	PRIJEM	\N	102	24235	UROK	\N	\N
3671980	5628	1995-10-31	PRIJEM	\N	119	30100	UROK	\N	\N
3671981	5628	1995-11-30	PRIJEM	\N	128	30574	UROK	\N	\N
3671982	5628	1995-12-31	PRIJEM	\N	132	31422	UROK	\N	\N
3671983	5628	1996-01-31	PRIJEM	\N	99	12707	UROK	\N	\N
3671984	5628	1996-02-29	PRIJEM	\N	109	29963	UROK	\N	\N
3671985	5628	1996-03-31	PRIJEM	\N	137	32047	UROK	\N	\N
3671986	5628	1996-04-30	PRIJEM	\N	151	37124	UROK	\N	\N
3671987	5628	1996-05-31	PRIJEM	\N	171	41841	UROK	\N	\N
3671988	5628	1996-06-30	PRIJEM	\N	130	19066	UROK	\N	\N
3671989	5628	1996-07-31	PRIJEM	\N	129	34142	UROK	\N	\N
3671990	5628	1996-08-31	PRIJEM	\N	169	42057	UROK	\N	\N
3671991	5628	1996-09-30	PRIJEM	\N	185	44689	UROK	\N	\N
3671992	5628	1996-10-31	PRIJEM	\N	170	31985	UROK	\N	\N
3671993	5628	1996-11-30	PRIJEM	\N	149	36581	UROK	\N	\N
3671994	5628	1996-12-31	PRIJEM	\N	159	37635	UROK	\N	\N
3671995	5628	1997-01-31	PRIJEM	\N	102	15923	UROK	\N	\N
3671996	5628	1997-02-28	PRIJEM	\N	108	28978	UROK	\N	\N
3671997	5628	1997-03-31	PRIJEM	\N	152	38617	UROK	\N	\N
3671998	5628	1997-04-30	PRIJEM	\N	182	44845	UROK	\N	\N
3671999	5628	1997-05-31	PRIJEM	\N	195	47287	UROK	\N	\N
3672000	5628	1997-06-30	PRIJEM	\N	203	43885	UROK	\N	\N
3672001	5628	1997-07-31	PRIJEM	\N	194	47225	UROK	\N	\N
3672002	5628	1997-08-31	PRIJEM	\N	197	35069	UROK	\N	\N
3672003	5628	1997-09-30	PRIJEM	\N	166	34181	UROK	\N	\N
3672004	5628	1997-10-31	PRIJEM	\N	164	36112	UROK	\N	\N
3672005	5628	1997-11-30	PRIJEM	\N	170	30648	UROK	\N	\N
3672006	5628	1997-12-31	PRIJEM	\N	167	32230	UROK	\N	\N
3672007	5628	1998-01-31	PRIJEM	\N	129	23165	UROK	\N	\N
3672008	5628	1998-02-28	PRIJEM	\N	118	27129	UROK	\N	\N
3672009	5628	1998-03-31	PRIJEM	\N	134	29710	UROK	\N	\N
3672010	5628	1998-04-30	PRIJEM	\N	144	32101	UROK	\N	\N
3672011	5628	1998-05-31	PRIJEM	\N	153	33500	UROK	\N	\N
3672012	5628	1998-06-30	PRIJEM	\N	177	41932	UROK	\N	\N
3672013	5628	1998-07-31	PRIJEM	\N	193	43571	UROK	\N	\N
3672014	5628	1998-08-31	PRIJEM	\N	192	38810	UROK	\N	\N
3672015	5628	1998-09-30	PRIJEM	\N	175	37631	UROK	\N	\N
3672016	5628	1998-10-31	PRIJEM	\N	167	34045	UROK	\N	\N
3672017	5628	1998-11-30	PRIJEM	\N	151	31042	UROK	\N	\N
3672018	5628	1998-12-31	PRIJEM	\N	160	40558	UROK	\N	\N
3672082	5632	1994-12-31	PRIJEM	\N	31	21058	UROK	\N	\N
3672083	5632	1995-01-31	PRIJEM	\N	262	80402	UROK	\N	\N
3672084	5632	1995-02-28	PRIJEM	\N	279	57703	UROK	\N	\N
3672085	5632	1995-03-31	PRIJEM	\N	92	21402	UROK	\N	\N
3672086	5632	1995-04-30	PRIJEM	\N	99	29769	UROK	\N	\N
3672087	5632	1995-05-31	PRIJEM	\N	217	81177	UROK	\N	\N
3672088	5632	1995-06-30	PRIJEM	\N	221	46262	UROK	\N	\N
3672089	5632	1995-07-31	PRIJEM	\N	135	28329	UROK	\N	\N
3672090	5632	1995-08-31	PRIJEM	\N	108	38552	UROK	\N	\N
3672091	5632	1995-09-30	PRIJEM	\N	112	20889	UROK	\N	\N
3672092	5632	1995-10-31	PRIJEM	\N	79	17978	UROK	\N	\N
3672093	5632	1995-11-30	PRIJEM	\N	73	17260	UROK	\N	\N
3672094	5632	1995-12-31	PRIJEM	\N	111	54391	UROK	\N	\N
3672095	5632	1996-01-31	PRIJEM	\N	260	73093	UROK	\N	\N
3672096	5632	1996-02-29	PRIJEM	\N	293	95966	UROK	\N	\N
3672097	5632	1996-03-31	PRIJEM	\N	359	47634	UROK	\N	\N
3672098	5632	1996-04-30	PRIJEM	\N	286	101075	UROK	\N	\N
3672099	5632	1996-05-31	PRIJEM	\N	436	100139	UROK	\N	\N
3672100	5632	1996-06-30	PRIJEM	\N	236	28785	UROK	\N	\N
3672101	5632	1996-07-31	PRIJEM	\N	121	50592	UROK	\N	\N
3672102	5632	1996-08-31	PRIJEM	\N	225	42591	UROK	\N	\N
3672103	5632	1996-09-30	PRIJEM	\N	145	30646	UROK	\N	\N
3672104	5632	1996-10-31	PRIJEM	\N	185	79057	UROK	\N	\N
3672105	5632	1996-11-30	PRIJEM	\N	200	22489	UROK	\N	\N
3672106	5632	1996-12-31	PRIJEM	\N	231	86572	UROK	\N	\N
3672107	5632	1997-01-31	PRIJEM	\N	448	67910	UROK	\N	\N
3672108	5632	1997-02-28	PRIJEM	\N	359	104704	UROK	\N	\N
3672109	5632	1997-03-31	PRIJEM	\N	306	57020	UROK	\N	\N
3672110	5632	1997-04-30	PRIJEM	\N	170	86787	UROK	\N	\N
3672111	5632	1997-05-31	PRIJEM	\N	218	51992	UROK	\N	\N
3672112	5632	1997-06-30	PRIJEM	\N	201	56549	UROK	\N	\N
3672113	5632	1997-07-31	PRIJEM	\N	340	105686	UROK	\N	\N
3672114	5632	1997-08-31	PRIJEM	\N	313	72626	UROK	\N	\N
3672115	5632	1997-09-30	PRIJEM	\N	345	73390	UROK	\N	\N
3672116	5632	1997-10-31	PRIJEM	\N	250	90014	UROK	\N	\N
3672117	5632	1997-11-30	PRIJEM	\N	392	51849	UROK	\N	\N
3672118	5632	1997-12-31	PRIJEM	\N	232	44599	UROK	\N	\N
3672119	5632	1998-01-31	PRIJEM	\N	158	26835	UROK	\N	\N
3672120	5632	1998-02-28	PRIJEM	\N	316	57555	UROK	\N	\N
3672121	5632	1998-03-31	PRIJEM	\N	289	51516	UROK	\N	\N
3672122	5632	1998-04-30	PRIJEM	\N	190	31316	UROK	\N	\N
3672123	5632	1998-05-31	PRIJEM	\N	200	47233	UROK	\N	\N
3672124	5632	1998-06-30	PRIJEM	\N	145	19104	UROK	\N	\N
3672125	5632	1998-07-31	PRIJEM	\N	76	14390	UROK	\N	\N
3672126	5632	1998-08-31	PRIJEM	\N	173	40423	UROK	\N	\N
3672127	5632	1998-09-30	PRIJEM	\N	182	30107	UROK	\N	\N
3672128	5632	1998-10-31	PRIJEM	\N	111	18227	UROK	\N	\N
3672129	5632	1998-11-30	PRIJEM	\N	144	37147	UROK	\N	\N
3672130	5632	1998-12-31	PRIJEM	\N	199	48405	UROK	\N	\N
3672160	5650	1995-01-31	PRIJEM	\N	69	25619	UROK	\N	\N
3672161	5650	1995-02-28	PRIJEM	\N	168	49836	UROK	\N	\N
3672162	5650	1995-03-31	PRIJEM	\N	236	60823	UROK	\N	\N
3672163	5650	1995-04-30	PRIJEM	\N	277	70250	UROK	\N	\N
3672164	5650	1995-05-31	PRIJEM	\N	269	67369	UROK	\N	\N
3672165	5650	1995-06-30	PRIJEM	\N	288	76002	UROK	\N	\N
3672166	5650	1995-07-31	PRIJEM	\N	263	58976	UROK	\N	\N
3672167	5650	1995-08-31	PRIJEM	\N	234	60522	UROK	\N	\N
3672168	5650	1995-09-30	PRIJEM	\N	245	57978	UROK	\N	\N
3672169	5650	1995-10-31	PRIJEM	\N	238	59927	UROK	\N	\N
3672170	5650	1995-11-30	PRIJEM	\N	182	43621	UROK	\N	\N
3672171	5650	1995-12-31	PRIJEM	\N	210	48967	UROK	\N	\N
3672172	5650	1996-01-31	PRIJEM	\N	142	26521	UROK	\N	\N
3672173	5650	1996-02-29	PRIJEM	\N	121	35553	UROK	\N	\N
3672174	5650	1996-03-31	PRIJEM	\N	142	29607	UROK	\N	\N
3672175	5650	1996-04-30	PRIJEM	\N	150	22650	UROK	\N	\N
3672176	5650	1996-05-31	PRIJEM	\N	137	35799	UROK	\N	\N
3672177	5650	1996-06-30	PRIJEM	\N	193	57429	UROK	\N	\N
3672178	5650	1996-07-31	PRIJEM	\N	195	45436	UROK	\N	\N
3672179	5650	1996-08-31	PRIJEM	\N	164	36111	UROK	\N	\N
3672180	5650	1996-09-30	PRIJEM	\N	174	42197	UROK	\N	\N
3672181	5650	1996-10-31	PRIJEM	\N	193	43502	UROK	\N	\N
3672182	5650	1996-11-30	PRIJEM	\N	198	44588	UROK	\N	\N
3672183	5650	1996-12-31	PRIJEM	\N	236	53860	UROK	\N	\N
3672184	5650	1997-01-31	PRIJEM	\N	203	40474	UROK	\N	\N
3672185	5650	1997-02-28	PRIJEM	\N	183	33336	UROK	\N	\N
3672186	5650	1997-03-31	PRIJEM	\N	130	38528	UROK	\N	\N
3672187	5650	1997-04-30	PRIJEM	\N	181	44821	UROK	\N	\N
3672188	5650	1997-05-31	PRIJEM	\N	213	45745	UROK	\N	\N
3672189	5650	1997-06-30	PRIJEM	\N	235	53717	UROK	\N	\N
3672190	5650	1997-07-31	PRIJEM	\N	147	36415	UROK	\N	\N
3672191	5650	1997-08-31	PRIJEM	\N	127	30919	UROK	\N	\N
3672192	5650	1997-09-30	PRIJEM	\N	159	41198	UROK	\N	\N
3672193	5650	1997-10-31	PRIJEM	\N	195	44913	UROK	\N	\N
3672194	5650	1997-11-30	PRIJEM	\N	181	47213	UROK	\N	\N
3672195	5650	1997-12-31	PRIJEM	\N	212	44371	UROK	\N	\N
3672196	5650	1998-01-31	PRIJEM	\N	165	40455	UROK	\N	\N
3672197	5650	1998-02-28	PRIJEM	\N	159	33233	UROK	\N	\N
3672198	5650	1998-03-31	PRIJEM	\N	144	38497	UROK	\N	\N
3672199	5650	1998-04-30	PRIJEM	\N	189	47606	UROK	\N	\N
3672200	5650	1998-05-31	PRIJEM	\N	166	43857	UROK	\N	\N
3672201	5650	1998-06-30	PRIJEM	\N	231	58533	UROK	\N	\N
3672202	5650	1998-07-31	PRIJEM	\N	220	40609	UROK	\N	\N
3672203	5650	1998-08-31	PRIJEM	\N	169	46949	UROK	\N	\N
3672204	5650	1998-09-30	PRIJEM	\N	202	52271	UROK	\N	\N
3672205	5650	1998-10-31	PRIJEM	\N	187	31685	UROK	\N	\N
3672206	5650	1998-11-30	PRIJEM	\N	172	51277	UROK	\N	\N
3672207	5650	1998-12-31	PRIJEM	\N	178	42775	UROK	\N	\N
3672477	5698	1997-09-30	PRIJEM	\N	69	45286	UROK	\N	\N
3672478	5698	1997-10-31	PRIJEM	\N	188	37375	UROK	\N	\N
3672479	5698	1997-11-30	PRIJEM	\N	188	31063	UROK	\N	\N
3672480	5698	1997-12-31	PRIJEM	\N	195	58283	UROK	\N	\N
3672481	5698	1998-01-31	PRIJEM	\N	238	56393	UROK	\N	\N
3672482	5698	1998-02-28	PRIJEM	\N	229	53653	UROK	\N	\N
3672483	5698	1998-03-31	PRIJEM	\N	308	65050	UROK	\N	\N
3672484	5698	1998-04-30	PRIJEM	\N	218	103269	UROK	\N	\N
3672485	5698	1998-05-31	PRIJEM	\N	375	97659	UROK	\N	\N
3672486	5698	1998-06-30	PRIJEM	\N	270	20528	UROK	\N	\N
3672487	5698	1998-07-31	PRIJEM	\N	130	27349	UROK	\N	\N
3672488	5698	1998-08-31	PRIJEM	\N	336	68807	UROK	\N	\N
3672489	5698	1998-09-30	PRIJEM	\N	253	43525	UROK	\N	\N
3672490	5698	1998-10-31	PRIJEM	\N	182	44046	UROK	\N	\N
3672491	5698	1998-11-30	PRIJEM	\N	239	65287	UROK	\N	\N
3672492	5698	1998-12-31	PRIJEM	\N	220	26698	UROK	\N	\N
3672594	5724	1995-05-31	PRIJEM	\N	46	26216	UROK	\N	\N
3672595	5724	1995-06-30	PRIJEM	\N	147	47167	UROK	\N	\N
3672596	5724	1995-07-31	PRIJEM	\N	201	50039	UROK	\N	\N
3672597	5724	1995-08-31	PRIJEM	\N	208	50217	UROK	\N	\N
3672598	5724	1995-09-30	PRIJEM	\N	213	52600	UROK	\N	\N
3672599	5724	1995-10-31	PRIJEM	\N	192	37308	UROK	\N	\N
3672600	5724	1995-11-30	PRIJEM	\N	157	39681	UROK	\N	\N
3672601	5724	1995-12-31	PRIJEM	\N	176	42808	UROK	\N	\N
3672602	5724	1996-01-31	PRIJEM	\N	124	17748	UROK	\N	\N
3672603	5724	1996-02-29	PRIJEM	\N	130	44856	UROK	\N	\N
3672604	5724	1996-03-31	PRIJEM	\N	142	24812	UROK	\N	\N
3672605	5724	1996-04-30	PRIJEM	\N	151	41375	UROK	\N	\N
3672606	5724	1996-05-31	PRIJEM	\N	199	55890	UROK	\N	\N
3672607	5724	1996-06-30	PRIJEM	\N	227	62268	UROK	\N	\N
3672608	5724	1996-07-31	PRIJEM	\N	227	54399	UROK	\N	\N
3672609	5724	1996-08-31	PRIJEM	\N	152	40672	UROK	\N	\N
3672610	5724	1996-09-30	PRIJEM	\N	199	53287	UROK	\N	\N
3672611	5724	1996-10-31	PRIJEM	\N	233	60236	UROK	\N	\N
3672612	5724	1996-11-30	PRIJEM	\N	222	47074	UROK	\N	\N
3672613	5724	1996-12-31	PRIJEM	\N	221	64446	UROK	\N	\N
3672614	5724	1997-01-31	PRIJEM	\N	172	22989	UROK	\N	\N
3672615	5724	1997-02-28	PRIJEM	\N	127	31187	UROK	\N	\N
3672616	5724	1997-03-31	PRIJEM	\N	154	33613	UROK	\N	\N
3672617	5724	1997-04-30	PRIJEM	\N	110	23275	UROK	\N	\N
3672618	5724	1997-05-31	PRIJEM	\N	129	39674	UROK	\N	\N
3672619	5724	1997-06-30	PRIJEM	\N	201	62382	UROK	\N	\N
3672620	5724	1997-07-31	PRIJEM	\N	226	59578	UROK	\N	\N
3672621	5724	1997-08-31	PRIJEM	\N	174	44230	UROK	\N	\N
3672622	5724	1997-09-30	PRIJEM	\N	101	25585	UROK	\N	\N
3672623	5724	1997-10-31	PRIJEM	\N	125	38381	UROK	\N	\N
3672624	5724	1997-11-30	PRIJEM	\N	175	50527	UROK	\N	\N
3672625	5724	1997-12-31	PRIJEM	\N	176	23389	UROK	\N	\N
3672626	5724	1998-01-31	PRIJEM	\N	120	30680	UROK	\N	\N
3672627	5724	1998-02-28	PRIJEM	\N	149	45499	UROK	\N	\N
3672628	5724	1998-03-31	PRIJEM	\N	189	52859	UROK	\N	\N
3672629	5724	1998-04-30	PRIJEM	\N	196	53526	UROK	\N	\N
3672630	5724	1998-05-31	PRIJEM	\N	200	54397	UROK	\N	\N
3672631	5724	1998-06-30	PRIJEM	\N	137	37945	UROK	\N	\N
3672632	5724	1998-07-31	PRIJEM	\N	104	25595	UROK	\N	\N
3672633	5724	1998-08-31	PRIJEM	\N	123	38089	UROK	\N	\N
3672634	5724	1998-09-30	PRIJEM	\N	169	47529	UROK	\N	\N
3672635	5724	1998-10-31	PRIJEM	\N	180	34511	UROK	\N	\N
3672636	5724	1998-11-30	PRIJEM	\N	153	36600	UROK	\N	\N
3672637	5724	1998-12-31	PRIJEM	\N	209	62315	UROK	\N	\N
3672756	5742	1995-07-31	PRIJEM	\N	108	30955	UROK	\N	\N
3672757	5742	1995-08-31	PRIJEM	\N	149	52667	UROK	\N	\N
3672758	5742	1995-09-30	PRIJEM	\N	387	102666	UROK	\N	\N
3672759	5742	1995-10-31	PRIJEM	\N	348	94377	UROK	\N	\N
3672760	5742	1995-11-30	PRIJEM	\N	350	56228	UROK	\N	\N
3672761	5742	1995-12-31	PRIJEM	\N	196	30039	UROK	\N	\N
3672762	5742	1996-01-31	PRIJEM	\N	182	77498	UROK	\N	\N
3672763	5742	1996-02-29	PRIJEM	\N	399	107425	UROK	\N	\N
3672764	5742	1996-03-31	PRIJEM	\N	138	44657	UROK	\N	\N
3672765	5742	1996-04-30	PRIJEM	\N	147	35936	UROK	\N	\N
3672766	5742	1996-05-31	PRIJEM	\N	127	27101	UROK	\N	\N
3672767	5742	1996-06-30	PRIJEM	\N	246	30168	UROK	\N	\N
3672768	5742	1996-07-31	PRIJEM	\N	252	41666	UROK	\N	\N
3672769	5742	1996-08-31	PRIJEM	\N	164	25885	UROK	\N	\N
3672770	5742	1996-09-30	PRIJEM	\N	114	26168	UROK	\N	\N
3672771	5742	1996-10-31	PRIJEM	\N	299	52590	UROK	\N	\N
3672772	5742	1996-11-30	PRIJEM	\N	271	43601	UROK	\N	\N
3672773	5742	1996-12-31	PRIJEM	\N	156	34781	UROK	\N	\N
3672774	5742	1997-01-31	PRIJEM	\N	135	25871	UROK	\N	\N
3672775	5742	1997-02-28	PRIJEM	\N	105	24899	UROK	\N	\N
3672776	5742	1997-03-31	PRIJEM	\N	104	26257	UROK	\N	\N
3672777	5742	1997-04-30	PRIJEM	\N	107	24719	UROK	\N	\N
3672778	5742	1997-05-31	PRIJEM	\N	101	24075	UROK	\N	\N
3672779	5742	1997-06-30	PRIJEM	\N	115	29578	UROK	\N	\N
3672780	5742	1997-07-31	PRIJEM	\N	143	52888	UROK	\N	\N
3672781	5742	1997-08-31	PRIJEM	\N	235	46943	UROK	\N	\N
3672782	5742	1997-09-30	PRIJEM	\N	237	56567	UROK	\N	\N
3672783	5742	1997-10-31	PRIJEM	\N	171	37135	UROK	\N	\N
3672784	5742	1997-11-30	PRIJEM	\N	153	37844	UROK	\N	\N
3672785	5742	1997-12-31	PRIJEM	\N	209	53749	UROK	\N	\N
3672786	5742	1998-01-31	PRIJEM	\N	248	50157	UROK	\N	\N
3672787	5742	1998-02-28	PRIJEM	\N	210	48847	UROK	\N	\N
3672788	5742	1998-03-31	PRIJEM	\N	172	47983	UROK	\N	\N
3672789	5742	1998-04-30	PRIJEM	\N	215	61159	UROK	\N	\N
3672790	5742	1998-05-31	PRIJEM	\N	210	37395	UROK	\N	\N
3672791	5742	1998-06-30	PRIJEM	\N	173	45328	UROK	\N	\N
3672792	5742	1998-07-31	PRIJEM	\N	182	41965	UROK	\N	\N
3672793	5742	1998-08-31	PRIJEM	\N	140	30371	UROK	\N	\N
3672794	5742	1998-09-30	PRIJEM	\N	138	37964	UROK	\N	\N
3672795	5742	1998-10-31	PRIJEM	\N	146	36273	UROK	\N	\N
3672796	5742	1998-11-30	PRIJEM	\N	150	37577	UROK	\N	\N
3672797	5742	1998-12-31	PRIJEM	\N	122	26154	UROK	\N	\N
3672833	5758	1997-08-31	PRIJEM	\N	21	31525	UROK	\N	\N
3672834	5758	1997-09-30	PRIJEM	\N	143	48772	UROK	\N	\N
3672835	5758	1997-10-31	PRIJEM	\N	210	57486	UROK	\N	\N
3672836	5758	1997-11-30	PRIJEM	\N	239	58329	UROK	\N	\N
3672837	5758	1997-12-31	PRIJEM	\N	288	44276	UROK	\N	\N
3672838	5758	1998-01-31	PRIJEM	\N	183	29787	UROK	\N	\N
3672839	5758	1998-02-28	PRIJEM	\N	149	29463	UROK	\N	\N
3672840	5758	1998-03-31	PRIJEM	\N	155	29210	UROK	\N	\N
3672841	5758	1998-04-30	PRIJEM	\N	140	25295	UROK	\N	\N
3672842	5758	1998-05-31	PRIJEM	\N	135	20878	UROK	\N	\N
3672843	5758	1998-06-30	PRIJEM	\N	163	16580	UROK	\N	\N
3672844	5758	1998-07-31	PRIJEM	\N	107	27714	UROK	\N	\N
3672845	5758	1998-07-31	VYDAJ	VYBER	1	27713	SANKC. UROK	\N	\N
3672846	5758	1998-08-31	PRIJEM	\N	143	29184	UROK	\N	\N
3672847	5758	1998-09-30	PRIJEM	\N	116	17369	UROK	\N	\N
3672848	5758	1998-10-31	PRIJEM	\N	109	24705	UROK	\N	\N
3672849	5758	1998-11-30	PRIJEM	\N	128	24260	UROK	\N	\N
3672850	5758	1998-12-31	PRIJEM	\N	207	54596	UROK	\N	\N
3672888	5774	1995-06-30	PRIJEM	\N	71	30189	UROK	\N	\N
3672889	5774	1995-07-31	PRIJEM	\N	167	47268	UROK	\N	\N
3672890	5774	1995-08-31	PRIJEM	\N	218	56097	UROK	\N	\N
3672891	5774	1995-09-30	PRIJEM	\N	249	62758	UROK	\N	\N
3672892	5774	1995-10-31	PRIJEM	\N	256	58106	UROK	\N	\N
3672893	5774	1995-11-30	PRIJEM	\N	210	50858	UROK	\N	\N
3672894	5774	1995-12-31	PRIJEM	\N	211	55877	UROK	\N	\N
3672895	5774	1996-01-31	PRIJEM	\N	204	49923	UROK	\N	\N
3672896	5774	1996-02-29	PRIJEM	\N	180	46105	UROK	\N	\N
3672897	5774	1996-03-31	PRIJEM	\N	168	41616	UROK	\N	\N
3672898	5774	1996-04-30	PRIJEM	\N	162	41320	UROK	\N	\N
3672899	5774	1996-05-31	PRIJEM	\N	125	33087	UROK	\N	\N
3672900	5774	1996-06-30	PRIJEM	\N	158	45393	UROK	\N	\N
3672901	5774	1996-07-31	PRIJEM	\N	157	35672	UROK	\N	\N
3672902	5774	1996-08-31	PRIJEM	\N	143	37158	UROK	\N	\N
3672903	5774	1996-09-30	PRIJEM	\N	125	34445	UROK	\N	\N
3672904	5774	1996-10-31	PRIJEM	\N	134	30422	UROK	\N	\N
3672905	5774	1996-11-30	PRIJEM	\N	143	33387	UROK	\N	\N
3672906	5774	1996-12-31	PRIJEM	\N	172	39588	UROK	\N	\N
3672907	5774	1997-01-31	PRIJEM	\N	181	37211	UROK	\N	\N
3672908	5774	1997-02-28	PRIJEM	\N	170	37324	UROK	\N	\N
3672909	5774	1997-03-31	PRIJEM	\N	174	38840	UROK	\N	\N
3672910	5774	1997-04-30	PRIJEM	\N	178	34760	UROK	\N	\N
3672911	5774	1997-05-31	PRIJEM	\N	160	33862	UROK	\N	\N
3672912	5774	1997-06-30	PRIJEM	\N	176	39487	UROK	\N	\N
3672913	5774	1997-07-31	PRIJEM	\N	176	39505	UROK	\N	\N
3672914	5774	1997-08-31	PRIJEM	\N	178	38225	UROK	\N	\N
3672915	5774	1997-09-30	PRIJEM	\N	154	33942	UROK	\N	\N
3672916	5774	1997-10-31	PRIJEM	\N	146	30270	UROK	\N	\N
3672917	5774	1997-11-30	PRIJEM	\N	134	28747	UROK	\N	\N
3672918	5774	1997-12-31	PRIJEM	\N	139	31194	UROK	\N	\N
3672919	5774	1998-01-31	PRIJEM	\N	133	26768	UROK	\N	\N
3672920	5774	1998-02-28	PRIJEM	\N	124	29433	UROK	\N	\N
3672921	5774	1998-03-31	PRIJEM	\N	131	29845	UROK	\N	\N
3672922	5774	1998-04-30	PRIJEM	\N	133	31220	UROK	\N	\N
3672923	5774	1998-05-31	PRIJEM	\N	137	31398	UROK	\N	\N
3672924	5774	1998-06-30	PRIJEM	\N	152	35797	UROK	\N	\N
3672925	5774	1998-07-31	PRIJEM	\N	137	29996	UROK	\N	\N
3672926	5774	1998-08-31	PRIJEM	\N	133	33370	UROK	\N	\N
3672927	5774	1998-09-30	PRIJEM	\N	148	36860	UROK	\N	\N
3672928	5774	1998-10-31	PRIJEM	\N	164	42165	UROK	\N	\N
3672929	5774	1998-11-30	PRIJEM	\N	182	44188	UROK	\N	\N
3672930	5774	1998-12-31	PRIJEM	\N	210	53225	UROK	\N	\N
3673069	5794	1995-07-31	PRIJEM	\N	15	36833	UROK	\N	\N
3673070	5794	1995-08-31	PRIJEM	\N	164	41087	UROK	\N	\N
3673071	5794	1995-09-30	PRIJEM	\N	196	77792	UROK	\N	\N
3673072	5794	1995-10-31	PRIJEM	\N	245	59530	UROK	\N	\N
3673073	5794	1995-11-30	PRIJEM	\N	245	39661	UROK	\N	\N
3673074	5794	1995-12-31	PRIJEM	\N	191	52185	UROK	\N	\N
3673075	5794	1996-01-31	PRIJEM	\N	113	17984	UROK	\N	\N
3673076	5794	1996-02-29	PRIJEM	\N	66	14935	UROK	\N	\N
3673077	5794	1996-03-31	PRIJEM	\N	59	13079	UROK	\N	\N
3673078	5794	1996-04-30	PRIJEM	\N	56	15520	UROK	\N	\N
3673079	5794	1996-05-31	PRIJEM	\N	57	12903	UROK	\N	\N
3673080	5794	1996-06-30	PRIJEM	\N	59	15088	UROK	\N	\N
3673081	5794	1996-07-31	PRIJEM	\N	55	12368	UROK	\N	\N
3673082	5794	1996-08-31	PRIJEM	\N	57	14651	UROK	\N	\N
3673083	5794	1996-09-30	PRIJEM	\N	54	12231	UROK	\N	\N
3673084	5794	1996-10-31	PRIJEM	\N	45	10301	UROK	\N	\N
3673085	5794	1996-11-30	PRIJEM	\N	45	11272	UROK	\N	\N
3673086	5794	1996-12-31	PRIJEM	\N	81	20254	UROK	\N	\N
3673087	5794	1997-01-31	PRIJEM	\N	80	38508	UROK	\N	\N
3673088	5794	1997-02-28	PRIJEM	\N	118	22352	UROK	\N	\N
3673089	5794	1997-03-31	PRIJEM	\N	60	11337	UROK	\N	\N
3673090	5794	1997-04-30	PRIJEM	\N	47	11509	UROK	\N	\N
3673091	5794	1997-05-31	PRIJEM	\N	56	24662	UROK	\N	\N
3673092	5794	1997-06-30	PRIJEM	\N	82	17169	UROK	\N	\N
3673093	5794	1997-07-31	PRIJEM	\N	53	10648	UROK	\N	\N
3673094	5794	1997-08-31	PRIJEM	\N	98	20390	UROK	\N	\N
3673095	5794	1997-09-30	PRIJEM	\N	74	16489	UROK	\N	\N
3673096	5794	1997-10-31	PRIJEM	\N	58	12572	UROK	\N	\N
3673097	5794	1997-11-30	PRIJEM	\N	102	29886	UROK	\N	\N
3673098	5794	1997-12-31	PRIJEM	\N	134	34181	UROK	\N	\N
3673099	5794	1998-01-31	PRIJEM	\N	113	21569	UROK	\N	\N
3673100	5794	1998-02-28	PRIJEM	\N	106	50192	UROK	\N	\N
3673101	5794	1998-03-31	PRIJEM	\N	142	29140	UROK	\N	\N
3673102	5794	1998-04-30	PRIJEM	\N	225	47301	UROK	\N	\N
3673103	5794	1998-05-31	PRIJEM	\N	306	60413	UROK	\N	\N
3673104	5794	1998-06-30	PRIJEM	\N	327	54251	UROK	\N	\N
3673105	5794	1998-07-31	PRIJEM	\N	290	63346	UROK	\N	\N
3673106	5794	1998-08-31	PRIJEM	\N	325	71153	UROK	\N	\N
3673107	5794	1998-09-30	PRIJEM	\N	306	74226	UROK	\N	\N
3673108	5794	1998-10-31	PRIJEM	\N	356	91881	UROK	\N	\N
3673109	5794	1998-11-30	PRIJEM	\N	361	76855	UROK	\N	\N
3673110	5794	1998-12-31	PRIJEM	\N	295	67018	UROK	\N	\N
3673111	5817	1996-12-31	PRIJEM	\N	12	13178	UROK	\N	\N
3673112	5817	1997-01-31	PRIJEM	\N	236	85908	UROK	\N	\N
3673113	5817	1997-02-28	PRIJEM	\N	334	68861	UROK	\N	\N
3673114	5817	1997-03-31	PRIJEM	\N	175	56381	UROK	\N	\N
3673115	5817	1997-04-30	PRIJEM	\N	187	40075	UROK	\N	\N
3673116	5817	1997-05-31	PRIJEM	\N	272	93058	UROK	\N	\N
3673117	5817	1997-06-30	PRIJEM	\N	216	37617	UROK	\N	\N
3673118	5817	1997-07-31	PRIJEM	\N	183	33452	UROK	\N	\N
3673119	5817	1997-08-31	PRIJEM	\N	103	29884	UROK	\N	\N
3673120	5817	1997-09-30	PRIJEM	\N	105	43726	UROK	\N	\N
3673121	5817	1997-10-31	PRIJEM	\N	181	66033	UROK	\N	\N
3673122	5817	1997-11-30	PRIJEM	\N	226	82887	UROK	\N	\N
3673123	5817	1997-12-31	PRIJEM	\N	251	51743	UROK	\N	\N
3673124	5817	1998-01-31	PRIJEM	\N	143	65916	UROK	\N	\N
3673125	5817	1998-02-28	PRIJEM	\N	263	88919	UROK	\N	\N
3673126	5817	1998-03-31	PRIJEM	\N	236	61498	UROK	\N	\N
3673127	5817	1998-04-30	PRIJEM	\N	169	26833	UROK	\N	\N
3673128	5817	1998-05-31	PRIJEM	\N	56	11332	UROK	\N	\N
3673129	5817	1998-06-30	PRIJEM	\N	79	37113	UROK	\N	\N
3673130	5817	1998-06-30	VYDAJ	VYBER	5	37008	SANKC. UROK	\N	\N
3673131	5817	1998-07-31	PRIJEM	\N	232	101353	UROK	\N	\N
3673132	5817	1998-08-31	PRIJEM	\N	279	68111	UROK	\N	\N
3673133	5817	1998-09-30	PRIJEM	\N	173	62324	UROK	\N	\N
3673134	5817	1998-10-31	PRIJEM	\N	361	111462	UROK	\N	\N
3673135	5817	1998-11-30	PRIJEM	\N	234	74819	UROK	\N	\N
3673136	5817	1998-12-31	PRIJEM	\N	188	64851	UROK	\N	\N
3673177	5837	1996-08-31	PRIJEM	\N	133	84516	UROK	\N	\N
3673178	5837	1996-09-30	PRIJEM	\N	352	53568	UROK	\N	\N
3673179	5837	1996-10-31	PRIJEM	\N	292	70657	UROK	\N	\N
3673180	5837	1996-11-30	PRIJEM	\N	272	40059	UROK	\N	\N
3673181	5837	1996-12-31	PRIJEM	\N	274	46577	UROK	\N	\N
3673182	5837	1997-01-31	PRIJEM	\N	134	26197	UROK	\N	\N
3673183	5837	1997-02-28	PRIJEM	\N	107	24989	UROK	\N	\N
3673184	5837	1997-03-31	PRIJEM	\N	107	26681	UROK	\N	\N
3673185	5837	1997-04-30	PRIJEM	\N	190	46889	UROK	\N	\N
3673186	5837	1997-05-31	PRIJEM	\N	186	43455	UROK	\N	\N
3673187	5837	1997-06-30	PRIJEM	\N	148	21688	UROK	\N	\N
3673188	5837	1997-07-31	PRIJEM	\N	211	47756	UROK	\N	\N
3673189	5837	1997-08-31	PRIJEM	\N	209	60011	UROK	\N	\N
3673190	5837	1997-09-30	PRIJEM	\N	321	85977	UROK	\N	\N
3673191	5837	1997-10-31	PRIJEM	\N	242	38058	UROK	\N	\N
3673192	5837	1997-11-30	PRIJEM	\N	153	24813	UROK	\N	\N
3673193	5837	1997-12-31	PRIJEM	\N	95	21255	UROK	\N	\N
3673194	5837	1998-01-31	PRIJEM	\N	101	26102	UROK	\N	\N
3673195	5837	1998-02-28	PRIJEM	\N	130	34979	UROK	\N	\N
3673196	5837	1998-03-31	PRIJEM	\N	186	46018	UROK	\N	\N
3673197	5837	1998-04-30	PRIJEM	\N	195	47759	UROK	\N	\N
3673198	5837	1998-05-31	PRIJEM	\N	204	50310	UROK	\N	\N
3673199	5837	1998-06-30	PRIJEM	\N	225	72909	UROK	\N	\N
3673200	5837	1998-07-31	PRIJEM	\N	306	85227	UROK	\N	\N
3673201	5837	1998-08-31	PRIJEM	\N	327	92622	UROK	\N	\N
3673202	5837	1998-09-30	PRIJEM	\N	324	69992	UROK	\N	\N
3673203	5837	1998-10-31	PRIJEM	\N	258	58097	UROK	\N	\N
3673204	5837	1998-11-30	PRIJEM	\N	218	49561	UROK	\N	\N
3673205	5837	1998-12-31	PRIJEM	\N	175	32882	UROK	\N	\N
3673340	5891	1993-02-28	PRIJEM	\N	22	29016	UROK	\N	\N
3673341	5891	1993-03-31	PRIJEM	\N	131	41540	UROK	\N	\N
3673342	5891	1993-04-30	PRIJEM	\N	180	50114	UROK	\N	\N
3673343	5891	1993-05-31	PRIJEM	\N	211	53519	UROK	\N	\N
3673344	5891	1993-06-30	PRIJEM	\N	234	41145	UROK	\N	\N
3673345	5891	1993-07-31	PRIJEM	\N	218	45242	UROK	\N	\N
3673346	5891	1993-08-31	PRIJEM	\N	200	30544	UROK	\N	\N
3673347	5891	1993-09-30	PRIJEM	\N	157	36681	UROK	\N	\N
3673348	5891	1993-10-31	PRIJEM	\N	203	45163	UROK	\N	\N
3673349	5891	1993-11-30	PRIJEM	\N	193	39035	UROK	\N	\N
3673350	5891	1993-12-31	PRIJEM	\N	233	52145	UROK	\N	\N
3673351	5891	1994-01-31	PRIJEM	\N	164	26791	UROK	\N	\N
3673352	5891	1994-02-28	PRIJEM	\N	152	29760	UROK	\N	\N
3673353	5891	1994-03-31	PRIJEM	\N	176	42516	UROK	\N	\N
3673354	5891	1994-04-30	PRIJEM	\N	198	47394	UROK	\N	\N
3673355	5891	1994-05-31	PRIJEM	\N	222	43477	UROK	\N	\N
3673356	5891	1994-06-30	PRIJEM	\N	232	53453	UROK	\N	\N
3673357	5891	1994-07-31	PRIJEM	\N	242	46192	UROK	\N	\N
3673358	5891	1994-08-31	PRIJEM	\N	215	49755	UROK	\N	\N
3673359	5891	1994-09-30	PRIJEM	\N	223	49024	UROK	\N	\N
3673360	5891	1994-10-31	PRIJEM	\N	224	50502	UROK	\N	\N
3673361	5891	1994-11-30	PRIJEM	\N	198	40024	UROK	\N	\N
3673362	5891	1994-12-31	PRIJEM	\N	228	56796	UROK	\N	\N
3673363	5891	1995-01-31	PRIJEM	\N	217	38570	UROK	\N	\N
3673364	5891	1995-02-28	PRIJEM	\N	197	51714	UROK	\N	\N
3673365	5891	1995-03-31	PRIJEM	\N	201	45829	UROK	\N	\N
3673366	5891	1995-04-30	PRIJEM	\N	214	48391	UROK	\N	\N
3673367	5891	1995-05-31	PRIJEM	\N	195	41204	UROK	\N	\N
3673368	5891	1995-06-30	PRIJEM	\N	211	54192	UROK	\N	\N
3673369	5891	1995-07-31	PRIJEM	\N	185	44564	UROK	\N	\N
3673370	5891	1995-08-31	PRIJEM	\N	164	43207	UROK	\N	\N
3673371	5891	1995-09-30	PRIJEM	\N	251	51737	UROK	\N	\N
3673372	5891	1995-10-31	PRIJEM	\N	191	33477	UROK	\N	\N
3673373	5891	1995-11-30	PRIJEM	\N	215	60071	UROK	\N	\N
3673374	5891	1995-12-31	PRIJEM	\N	315	88336	UROK	\N	\N
3673375	5891	1996-01-31	PRIJEM	\N	296	43912	UROK	\N	\N
3673376	5891	1996-02-29	PRIJEM	\N	246	68737	UROK	\N	\N
3673377	5891	1996-03-31	PRIJEM	\N	319	78135	UROK	\N	\N
3673378	5891	1996-04-30	PRIJEM	\N	316	62108	UROK	\N	\N
3673379	5891	1996-05-31	PRIJEM	\N	297	71984	UROK	\N	\N
3673380	5891	1996-06-30	PRIJEM	\N	292	49952	UROK	\N	\N
3673381	5891	1996-07-31	PRIJEM	\N	247	53224	UROK	\N	\N
3673382	5891	1996-08-31	PRIJEM	\N	278	64981	UROK	\N	\N
3673383	5891	1996-09-30	PRIJEM	\N	314	81100	UROK	\N	\N
3673384	5891	1996-10-31	PRIJEM	\N	368	90047	UROK	\N	\N
3673385	5891	1996-11-30	PRIJEM	\N	379	78326	UROK	\N	\N
3673386	5891	1996-12-31	PRIJEM	\N	411	102313	UROK	\N	\N
3673387	5891	1997-01-31	PRIJEM	\N	338	68030	UROK	\N	\N
3673388	5891	1997-02-28	PRIJEM	\N	274	59326	UROK	\N	\N
3673389	5891	1997-03-31	PRIJEM	\N	283	69088	UROK	\N	\N
3673390	5891	1997-04-30	PRIJEM	\N	346	86014	UROK	\N	\N
3673391	5891	1997-05-31	PRIJEM	\N	346	68201	UROK	\N	\N
3673392	5891	1997-06-30	PRIJEM	\N	331	79818	UROK	\N	\N
3673393	5891	1997-07-31	PRIJEM	\N	348	91656	UROK	\N	\N
3673394	5891	1997-08-31	PRIJEM	\N	406	107041	UROK	\N	\N
3673395	5891	1997-09-30	PRIJEM	\N	388	95350	UROK	\N	\N
3673396	5891	1997-10-31	PRIJEM	\N	434	112664	UROK	\N	\N
3673397	5891	1997-11-30	PRIJEM	\N	390	84533	UROK	\N	\N
3673398	5891	1997-12-31	PRIJEM	\N	405	77801	UROK	\N	\N
3673399	5891	1998-01-31	PRIJEM	\N	216	69363	UROK	\N	\N
3673400	5891	1998-02-28	PRIJEM	\N	324	96766	UROK	\N	\N
3673401	5891	1998-03-31	PRIJEM	\N	397	83432	UROK	\N	\N
3673402	5891	1998-04-30	PRIJEM	\N	409	106620	UROK	\N	\N
3673403	5891	1998-05-31	PRIJEM	\N	466	90213	UROK	\N	\N
3673404	5891	1998-06-30	PRIJEM	\N	429	110418	UROK	\N	\N
3673405	5891	1998-07-31	PRIJEM	\N	493	113990	UROK	\N	\N
3673406	5891	1998-08-31	PRIJEM	\N	492	120761	UROK	\N	\N
3673407	5891	1998-09-30	PRIJEM	\N	455	114496	UROK	\N	\N
3673408	5891	1998-10-31	PRIJEM	\N	491	123266	UROK	\N	\N
3673409	5891	1998-11-30	PRIJEM	\N	470	111016	UROK	\N	\N
3673410	5891	1998-12-31	PRIJEM	\N	456	106848	UROK	\N	\N
3673489	5912	1996-11-30	PRIJEM	\N	22	22183	UROK	\N	\N
3673490	5912	1996-12-31	PRIJEM	\N	110	39085	UROK	\N	\N
3673491	5912	1997-01-31	PRIJEM	\N	167	43013	UROK	\N	\N
3673492	5912	1997-02-28	PRIJEM	\N	183	47057	UROK	\N	\N
3673493	5912	1997-03-31	PRIJEM	\N	224	45442	UROK	\N	\N
3673494	5912	1997-04-30	PRIJEM	\N	190	25727	UROK	\N	\N
3673495	5912	1997-05-31	PRIJEM	\N	122	30849	UROK	\N	\N
3673496	5912	1997-06-30	PRIJEM	\N	133	28914	UROK	\N	\N
3673497	5912	1997-07-31	PRIJEM	\N	138	32652	UROK	\N	\N
3673498	5912	1997-08-31	PRIJEM	\N	150	35202	UROK	\N	\N
3673499	5912	1997-09-30	PRIJEM	\N	161	37164	UROK	\N	\N
3673500	5912	1997-10-31	PRIJEM	\N	145	33840	UROK	\N	\N
3673501	5912	1997-11-30	PRIJEM	\N	140	34480	UROK	\N	\N
3673502	5912	1997-12-31	PRIJEM	\N	170	32382	UROK	\N	\N
3673503	5912	1998-01-31	PRIJEM	\N	113	29483	UROK	\N	\N
3673504	5912	1998-02-28	PRIJEM	\N	135	33118	UROK	\N	\N
3673505	5912	1998-03-31	PRIJEM	\N	157	37975	UROK	\N	\N
3673506	5912	1998-04-30	PRIJEM	\N	161	34337	UROK	\N	\N
3673507	5912	1998-05-31	PRIJEM	\N	155	34592	UROK	\N	\N
3673508	5912	1998-06-30	PRIJEM	\N	172	39195	UROK	\N	\N
3673509	5912	1998-07-31	PRIJEM	\N	152	26471	UROK	\N	\N
3673510	5912	1998-08-31	PRIJEM	\N	127	31821	UROK	\N	\N
3673511	5912	1998-09-30	PRIJEM	\N	150	37695	UROK	\N	\N
3673512	5912	1998-10-31	PRIJEM	\N	161	37580	UROK	\N	\N
3673513	5912	1998-11-30	PRIJEM	\N	146	26050	UROK	\N	\N
3673514	5912	1998-12-31	PRIJEM	\N	139	34943	UROK	\N	\N
3673650	5944	1997-06-30	PRIJEM	\N	87	33203	UROK	\N	\N
3673651	5944	1997-07-31	PRIJEM	\N	177	47791	UROK	\N	\N
3673652	5944	1997-08-31	PRIJEM	\N	224	57226	UROK	\N	\N
3673653	5944	1997-09-30	PRIJEM	\N	239	57976	UROK	\N	\N
3673654	5944	1997-10-31	PRIJEM	\N	238	57925	UROK	\N	\N
3673655	5944	1997-11-30	PRIJEM	\N	217	51353	UROK	\N	\N
3673656	5944	1997-12-31	PRIJEM	\N	221	60490	UROK	\N	\N
3673657	5944	1998-01-31	PRIJEM	\N	190	48492	UROK	\N	\N
3673658	5944	1998-02-28	PRIJEM	\N	199	49803	UROK	\N	\N
3673659	5944	1998-03-31	PRIJEM	\N	212	52926	UROK	\N	\N
3673660	5944	1998-04-30	PRIJEM	\N	225	56663	UROK	\N	\N
3673661	5944	1998-05-31	PRIJEM	\N	230	57404	UROK	\N	\N
3673662	5944	1998-06-30	PRIJEM	\N	246	66466	UROK	\N	\N
3673663	5944	1998-07-31	PRIJEM	\N	243	57681	UROK	\N	\N
3673664	5944	1998-08-31	PRIJEM	\N	217	44169	UROK	\N	\N
3673665	5944	1998-09-30	PRIJEM	\N	223	42664	UROK	\N	\N
3673666	5944	1998-10-31	PRIJEM	\N	211	41146	UROK	\N	\N
3673667	5944	1998-11-30	PRIJEM	\N	206	44023	UROK	\N	\N
3673668	5944	1998-12-31	PRIJEM	\N	239	62438	UROK	\N	\N
3673669	5952	1993-09-30	PRIJEM	\N	106	36418	UROK	\N	\N
3673670	5952	1993-10-31	PRIJEM	\N	240	66369	UROK	\N	\N
3673671	5952	1993-11-30	PRIJEM	\N	319	81401	UROK	\N	\N
3673672	5952	1993-12-31	PRIJEM	\N	416	107784	UROK	\N	\N
3673673	5952	1994-01-31	PRIJEM	\N	348	54730	UROK	\N	\N
3673674	5952	1994-02-28	PRIJEM	\N	218	57966	UROK	\N	\N
3673675	5952	1994-03-31	PRIJEM	\N	259	59342	UROK	\N	\N
3673676	5952	1994-04-30	PRIJEM	\N	251	63310	UROK	\N	\N
3673677	5952	1994-05-31	PRIJEM	\N	231	55659	UROK	\N	\N
3673678	5952	1994-06-30	PRIJEM	\N	287	79119	UROK	\N	\N
3673679	5952	1994-07-31	PRIJEM	\N	316	75652	UROK	\N	\N
3673680	5952	1994-08-31	PRIJEM	\N	191	30554	UROK	\N	\N
3673681	5952	1994-09-30	PRIJEM	\N	189	46061	UROK	\N	\N
3673682	5952	1994-10-31	PRIJEM	\N	182	41684	UROK	\N	\N
3673683	5952	1994-11-30	PRIJEM	\N	218	56634	UROK	\N	\N
3673684	5952	1994-12-31	PRIJEM	\N	295	74589	UROK	\N	\N
3673685	5952	1995-01-31	PRIJEM	\N	237	34059	UROK	\N	\N
3673686	5952	1995-02-28	PRIJEM	\N	136	29907	UROK	\N	\N
3673687	5952	1995-03-31	PRIJEM	\N	197	53536	UROK	\N	\N
3673688	5952	1995-04-30	PRIJEM	\N	255	64623	UROK	\N	\N
3673689	5952	1995-05-31	PRIJEM	\N	259	51314	UROK	\N	\N
3673690	5952	1995-06-30	PRIJEM	\N	317	61720	UROK	\N	\N
3673691	5952	1995-07-31	PRIJEM	\N	309	59361	UROK	\N	\N
3673692	5952	1995-08-31	PRIJEM	\N	287	47380	UROK	\N	\N
3673693	5952	1995-09-30	PRIJEM	\N	228	47540	UROK	\N	\N
3673694	5952	1995-10-31	PRIJEM	\N	252	57723	UROK	\N	\N
3673695	5952	1995-11-30	PRIJEM	\N	290	62845	UROK	\N	\N
3673696	5952	1995-12-31	PRIJEM	\N	338	69971	UROK	\N	\N
3673697	5952	1996-01-31	PRIJEM	\N	284	52486	UROK	\N	\N
3673698	5952	1996-02-29	PRIJEM	\N	269	63988	UROK	\N	\N
3673699	5952	1996-03-31	PRIJEM	\N	242	55523	UROK	\N	\N
3673700	5952	1996-04-30	PRIJEM	\N	277	62331	UROK	\N	\N
3673701	5952	1996-05-31	PRIJEM	\N	302	65966	UROK	\N	\N
3673702	5952	1996-06-30	PRIJEM	\N	284	63937	UROK	\N	\N
3673703	5952	1996-07-31	PRIJEM	\N	310	70179	UROK	\N	\N
3673704	5952	1996-08-31	PRIJEM	\N	291	62202	UROK	\N	\N
3673705	5952	1996-09-30	PRIJEM	\N	275	58370	UROK	\N	\N
3673706	5952	1996-10-31	PRIJEM	\N	276	63663	UROK	\N	\N
3673707	5952	1996-11-30	PRIJEM	\N	247	34901	UROK	\N	\N
3673708	5952	1996-12-31	PRIJEM	\N	234	63508	UROK	\N	\N
3673709	5952	1997-01-31	PRIJEM	\N	239	32575	UROK	\N	\N
3673710	5952	1997-02-28	PRIJEM	\N	208	60600	UROK	\N	\N
3673711	5952	1997-03-31	PRIJEM	\N	266	63883	UROK	\N	\N
3673712	5952	1997-04-30	PRIJEM	\N	311	74112	UROK	\N	\N
3673713	5952	1997-05-31	PRIJEM	\N	294	47189	UROK	\N	\N
3673714	5952	1997-06-30	PRIJEM	\N	266	65628	UROK	\N	\N
3673715	5952	1997-07-31	PRIJEM	\N	267	64684	UROK	\N	\N
3673716	5952	1997-08-31	PRIJEM	\N	309	73210	UROK	\N	\N
3673717	5952	1997-09-30	PRIJEM	\N	322	71758	UROK	\N	\N
3673718	5952	1997-10-31	PRIJEM	\N	313	69089	UROK	\N	\N
3673719	5952	1997-11-30	PRIJEM	\N	280	54114	UROK	\N	\N
3673720	5952	1997-12-31	PRIJEM	\N	279	69367	UROK	\N	\N
3673721	5952	1998-01-31	PRIJEM	\N	222	28850	UROK	\N	\N
3673722	5952	1998-02-28	PRIJEM	\N	177	49745	UROK	\N	\N
3673723	5952	1998-03-31	PRIJEM	\N	243	59405	UROK	\N	\N
3673724	5952	1998-04-30	PRIJEM	\N	256	62878	UROK	\N	\N
3673725	5952	1998-05-31	PRIJEM	\N	254	59947	UROK	\N	\N
3673726	5952	1998-06-30	PRIJEM	\N	242	57461	UROK	\N	\N
3673727	5952	1998-07-31	PRIJEM	\N	259	57938	UROK	\N	\N
3673728	5952	1998-08-31	PRIJEM	\N	266	67721	UROK	\N	\N
3673729	5952	1998-09-30	PRIJEM	\N	248	52128	UROK	\N	\N
3673730	5952	1998-10-31	PRIJEM	\N	240	62286	UROK	\N	\N
3673731	5952	1998-11-30	PRIJEM	\N	278	67881	UROK	\N	\N
3673732	5952	1998-12-31	PRIJEM	\N	286	72327	UROK	\N	\N
3673861	5991	1993-12-31	PRIJEM	\N	37	25109	UROK	\N	\N
3673862	5991	1994-01-31	PRIJEM	\N	117	32774	UROK	\N	\N
3673863	5991	1994-02-28	PRIJEM	\N	142	36664	UROK	\N	\N
3673864	5991	1994-03-31	PRIJEM	\N	156	39568	UROK	\N	\N
3673865	5991	1994-04-30	PRIJEM	\N	177	41993	UROK	\N	\N
3673866	5991	1994-05-31	PRIJEM	\N	157	34870	UROK	\N	\N
3673867	5991	1994-06-30	PRIJEM	\N	172	40187	UROK	\N	\N
3673868	5991	1994-07-31	PRIJEM	\N	173	38280	UROK	\N	\N
3673869	5991	1994-08-31	PRIJEM	\N	162	35563	UROK	\N	\N
3673870	5991	1994-09-30	PRIJEM	\N	143	28386	UROK	\N	\N
3673871	5991	1994-10-31	PRIJEM	\N	134	33540	UROK	\N	\N
3673872	5991	1994-11-30	PRIJEM	\N	151	36939	UROK	\N	\N
3673873	5991	1994-12-31	PRIJEM	\N	174	42766	UROK	\N	\N
3673874	5991	1995-01-31	PRIJEM	\N	149	19243	UROK	\N	\N
3673875	5991	1995-02-28	PRIJEM	\N	100	27292	UROK	\N	\N
3673876	5991	1995-03-31	PRIJEM	\N	123	28603	UROK	\N	\N
3673877	5991	1995-04-30	PRIJEM	\N	121	29212	UROK	\N	\N
3673878	5991	1995-05-31	PRIJEM	\N	129	29390	UROK	\N	\N
3673879	5991	1995-06-30	PRIJEM	\N	149	38511	UROK	\N	\N
3673880	5991	1995-07-31	PRIJEM	\N	151	34110	UROK	\N	\N
3673881	5991	1995-08-31	PRIJEM	\N	138	32697	UROK	\N	\N
3673882	5991	1995-09-30	PRIJEM	\N	157	33403	UROK	\N	\N
3673883	5991	1995-10-31	PRIJEM	\N	146	35197	UROK	\N	\N
3673884	5991	1995-11-30	PRIJEM	\N	136	32661	UROK	\N	\N
3673885	5991	1995-12-31	PRIJEM	\N	148	35622	UROK	\N	\N
3673886	5991	1996-01-31	PRIJEM	\N	134	31824	UROK	\N	\N
3673887	5991	1996-02-29	PRIJEM	\N	165	44538	UROK	\N	\N
3673888	5991	1996-03-31	PRIJEM	\N	197	44803	UROK	\N	\N
3673889	5991	1996-04-30	PRIJEM	\N	191	48243	UROK	\N	\N
3673890	5991	1996-05-31	PRIJEM	\N	189	42980	UROK	\N	\N
3673891	5991	1996-06-30	PRIJEM	\N	174	37726	UROK	\N	\N
3673892	5991	1996-07-31	PRIJEM	\N	154	38949	UROK	\N	\N
3673893	5991	1996-08-31	PRIJEM	\N	169	43766	UROK	\N	\N
3673894	5991	1996-09-30	PRIJEM	\N	180	46494	UROK	\N	\N
3673895	5991	1996-10-31	PRIJEM	\N	166	41149	UROK	\N	\N
3673896	5991	1996-11-30	PRIJEM	\N	162	41259	UROK	\N	\N
3673897	5991	1996-12-31	PRIJEM	\N	172	46623	UROK	\N	\N
3673898	5991	1997-01-31	PRIJEM	\N	129	18700	UROK	\N	\N
3673899	5991	1997-02-28	PRIJEM	\N	115	33164	UROK	\N	\N
3673900	5991	1997-03-31	PRIJEM	\N	150	39642	UROK	\N	\N
3673901	5991	1997-04-30	PRIJEM	\N	161	41651	UROK	\N	\N
3673902	5991	1997-05-31	PRIJEM	\N	149	38749	UROK	\N	\N
3673903	5991	1997-06-30	PRIJEM	\N	131	26812	UROK	\N	\N
3673904	5991	1997-07-31	PRIJEM	\N	111	27031	UROK	\N	\N
3673905	5991	1997-08-31	PRIJEM	\N	117	32096	UROK	\N	\N
3673906	5991	1997-09-30	PRIJEM	\N	121	32766	UROK	\N	\N
3673907	5991	1997-10-31	PRIJEM	\N	93	26028	UROK	\N	\N
3673908	5991	1997-11-30	PRIJEM	\N	103	29179	UROK	\N	\N
3673909	5991	1997-12-31	PRIJEM	\N	122	21173	UROK	\N	\N
3673910	5991	1998-01-31	PRIJEM	\N	84	19565	UROK	\N	\N
3673911	5991	1998-02-28	PRIJEM	\N	99	28413	UROK	\N	\N
3673912	5991	1998-03-31	PRIJEM	\N	134	23696	UROK	\N	\N
3673913	5991	1998-04-30	PRIJEM	\N	115	23259	UROK	\N	\N
3673914	5991	1998-05-31	PRIJEM	\N	110	17417	UROK	\N	\N
3673915	5991	1998-06-30	PRIJEM	\N	114	34403	UROK	\N	\N
3673916	5991	1998-07-31	PRIJEM	\N	147	21058	UROK	\N	\N
3673917	5991	1998-08-31	PRIJEM	\N	106	29912	UROK	\N	\N
3673918	5991	1998-09-30	PRIJEM	\N	138	35559	UROK	\N	\N
3673919	5991	1998-10-31	PRIJEM	\N	166	44474	UROK	\N	\N
3673920	5991	1998-11-30	PRIJEM	\N	176	18470	UROK	\N	\N
3673921	5991	1998-12-31	PRIJEM	\N	110	32064	UROK	\N	\N
3673980	6030	1993-09-30	PRIJEM	\N	27	24264	UROK	\N	\N
3673981	6030	1993-10-31	PRIJEM	\N	115	36216	UROK	\N	\N
3673982	6030	1993-11-30	PRIJEM	\N	155	39708	UROK	\N	\N
3673983	6030	1993-12-31	PRIJEM	\N	174	46537	UROK	\N	\N
3673984	6030	1994-01-31	PRIJEM	\N	190	43764	UROK	\N	\N
3673985	6030	1994-02-28	PRIJEM	\N	196	43683	UROK	\N	\N
3673986	6030	1994-03-31	PRIJEM	\N	210	37715	UROK	\N	\N
3673987	6030	1994-04-30	PRIJEM	\N	173	37911	UROK	\N	\N
3673988	6030	1994-05-31	PRIJEM	\N	197	40270	UROK	\N	\N
3673989	6030	1994-06-30	PRIJEM	\N	214	43265	UROK	\N	\N
3673990	6030	1994-07-31	PRIJEM	\N	206	40893	UROK	\N	\N
3673991	6030	1994-08-31	PRIJEM	\N	202	42177	UROK	\N	\N
3673992	6030	1994-09-30	PRIJEM	\N	204	41503	UROK	\N	\N
3673993	6030	1994-10-31	PRIJEM	\N	181	39347	UROK	\N	\N
3673994	6030	1994-11-30	PRIJEM	\N	183	39852	UROK	\N	\N
3673995	6030	1994-12-31	PRIJEM	\N	206	43799	UROK	\N	\N
3673996	6030	1995-01-31	PRIJEM	\N	180	40381	UROK	\N	\N
3673997	6030	1995-02-28	PRIJEM	\N	180	33744	UROK	\N	\N
3673998	6030	1995-03-31	PRIJEM	\N	161	38050	UROK	\N	\N
3673999	6030	1995-04-30	PRIJEM	\N	174	40870	UROK	\N	\N
3674000	6030	1995-05-31	PRIJEM	\N	175	38690	UROK	\N	\N
3674001	6030	1995-06-30	PRIJEM	\N	160	28674	UROK	\N	\N
3674002	6030	1995-07-31	PRIJEM	\N	132	31351	UROK	\N	\N
3674003	6030	1995-08-31	PRIJEM	\N	143	34639	UROK	\N	\N
3674004	6030	1995-09-30	PRIJEM	\N	148	35532	UROK	\N	\N
3674005	6030	1995-10-31	PRIJEM	\N	151	35189	UROK	\N	\N
3674006	6030	1995-11-30	PRIJEM	\N	193	37027	UROK	\N	\N
3674007	6030	1995-12-31	PRIJEM	\N	159	38610	UROK	\N	\N
3674008	6030	1996-01-31	PRIJEM	\N	162	37077	UROK	\N	\N
3674009	6030	1996-02-29	PRIJEM	\N	164	39807	UROK	\N	\N
3674010	6030	1996-03-31	PRIJEM	\N	177	44429	UROK	\N	\N
3674011	6030	1996-04-30	PRIJEM	\N	180	42155	UROK	\N	\N
3674012	6030	1996-05-31	PRIJEM	\N	174	42174	UROK	\N	\N
3674013	6030	1996-06-30	PRIJEM	\N	164	35882	UROK	\N	\N
3674014	6030	1996-07-31	PRIJEM	\N	146	33212	UROK	\N	\N
3674015	6030	1996-08-31	PRIJEM	\N	168	42825	UROK	\N	\N
3674016	6030	1996-09-30	PRIJEM	\N	188	46259	UROK	\N	\N
3674017	6030	1996-10-31	PRIJEM	\N	214	50218	UROK	\N	\N
3674018	6030	1996-11-30	PRIJEM	\N	261	64084	UROK	\N	\N
3674019	6030	1996-12-31	PRIJEM	\N	314	78102	UROK	\N	\N
3674020	6030	1997-01-31	PRIJEM	\N	316	71224	UROK	\N	\N
3674021	6030	1997-02-28	PRIJEM	\N	300	72470	UROK	\N	\N
3674022	6030	1997-03-31	PRIJEM	\N	318	78210	UROK	\N	\N
3674023	6030	1997-04-30	PRIJEM	\N	337	82569	UROK	\N	\N
3674024	6030	1997-05-31	PRIJEM	\N	348	82939	UROK	\N	\N
3674025	6030	1997-06-30	PRIJEM	\N	293	70993	UROK	\N	\N
3674026	6030	1997-07-31	PRIJEM	\N	331	81947	UROK	\N	\N
3674027	6030	1997-08-31	PRIJEM	\N	355	85824	UROK	\N	\N
3674028	6030	1997-09-30	PRIJEM	\N	357	87104	UROK	\N	\N
3674029	6030	1997-10-31	PRIJEM	\N	376	92503	UROK	\N	\N
3674030	6030	1997-11-30	PRIJEM	\N	388	94113	UROK	\N	\N
3674031	6030	1997-12-31	PRIJEM	\N	337	70591	UROK	\N	\N
3674032	6030	1998-01-31	PRIJEM	\N	328	67801	UROK	\N	\N
3674033	6030	1998-02-28	PRIJEM	\N	313	85636	UROK	\N	\N
3674034	6030	1998-03-31	PRIJEM	\N	393	93952	UROK	\N	\N
3674035	6030	1998-04-30	PRIJEM	\N	390	105264	UROK	\N	\N
3674036	6030	1998-05-31	PRIJEM	\N	374	93561	UROK	\N	\N
3674037	6030	1998-06-30	PRIJEM	\N	339	64060	UROK	\N	\N
3674038	6030	1998-07-31	PRIJEM	\N	325	81207	UROK	\N	\N
3674039	6030	1998-08-31	PRIJEM	\N	331	86260	UROK	\N	\N
3674040	6030	1998-09-30	PRIJEM	\N	350	88533	UROK	\N	\N
3674041	6030	1998-10-31	PRIJEM	\N	405	91860	UROK	\N	\N
3674042	6030	1998-11-30	PRIJEM	\N	396	94778	UROK	\N	\N
3674043	6030	1998-12-31	PRIJEM	\N	327	75746	UROK	\N	\N
3674044	6040	1993-05-31	PRIJEM	\N	35	25900	UROK	\N	\N
3674045	6040	1993-06-30	PRIJEM	\N	130	41928	UROK	\N	\N
3674046	6040	1993-07-31	PRIJEM	\N	178	44771	UROK	\N	\N
3674047	6040	1993-08-31	PRIJEM	\N	185	44521	UROK	\N	\N
3674048	6040	1993-09-30	PRIJEM	\N	201	43937	UROK	\N	\N
3674049	6040	1993-10-31	PRIJEM	\N	193	41509	UROK	\N	\N
3674050	6040	1993-11-30	PRIJEM	\N	176	39664	UROK	\N	\N
3674051	6040	1993-12-31	PRIJEM	\N	192	42669	UROK	\N	\N
3674052	6040	1994-01-31	PRIJEM	\N	146	29295	UROK	\N	\N
3674053	6040	1994-02-28	PRIJEM	\N	138	32012	UROK	\N	\N
3674054	6040	1994-03-31	PRIJEM	\N	155	34446	UROK	\N	\N
3674055	6040	1994-04-30	PRIJEM	\N	162	36787	UROK	\N	\N
3674056	6040	1994-05-31	PRIJEM	\N	167	37834	UROK	\N	\N
3674057	6040	1994-06-30	PRIJEM	\N	182	34028	UROK	\N	\N
3674058	6040	1994-07-31	PRIJEM	\N	151	33559	UROK	\N	\N
3674059	6040	1994-08-31	PRIJEM	\N	145	33083	UROK	\N	\N
3674060	6040	1994-09-30	PRIJEM	\N	137	29199	UROK	\N	\N
3674061	6040	1994-10-31	PRIJEM	\N	149	30438	UROK	\N	\N
3674062	6040	1994-11-30	PRIJEM	\N	133	30762	UROK	\N	\N
3674063	6040	1994-12-31	PRIJEM	\N	140	32125	UROK	\N	\N
3674064	6040	1995-01-31	PRIJEM	\N	112	21027	UROK	\N	\N
3674065	6040	1995-02-28	PRIJEM	\N	100	25017	UROK	\N	\N
3674066	6040	1995-03-31	PRIJEM	\N	107	24415	UROK	\N	\N
3674067	6040	1995-04-30	PRIJEM	\N	110	24915	UROK	\N	\N
3674068	6040	1995-05-31	PRIJEM	\N	95	19600	UROK	\N	\N
3674069	6040	1995-06-30	PRIJEM	\N	102	25725	UROK	\N	\N
3674070	6040	1995-07-31	PRIJEM	\N	110	25825	UROK	\N	\N
3674071	6040	1995-08-31	PRIJEM	\N	118	30634	UROK	\N	\N
3674072	6040	1995-09-30	PRIJEM	\N	149	38473	UROK	\N	\N
3674073	6040	1995-10-31	PRIJEM	\N	164	40527	UROK	\N	\N
3674074	6040	1995-11-30	PRIJEM	\N	160	39477	UROK	\N	\N
3674075	6040	1995-12-31	PRIJEM	\N	176	44777	UROK	\N	\N
3674076	6040	1996-01-31	PRIJEM	\N	113	17480	UROK	\N	\N
3674077	6040	1996-02-29	PRIJEM	\N	108	30178	UROK	\N	\N
3674078	6040	1996-03-31	PRIJEM	\N	134	34802	UROK	\N	\N
3674079	6040	1996-04-30	PRIJEM	\N	136	35129	UROK	\N	\N
3674080	6040	1996-05-31	PRIJEM	\N	117	28337	UROK	\N	\N
3674081	6040	1996-06-30	PRIJEM	\N	143	40403	UROK	\N	\N
3674082	6040	1996-07-31	PRIJEM	\N	129	30922	UROK	\N	\N
3674083	6040	1996-08-31	PRIJEM	\N	113	29226	UROK	\N	\N
3674084	6040	1996-09-30	PRIJEM	\N	109	28526	UROK	\N	\N
3674085	6040	1996-10-31	PRIJEM	\N	106	28811	UROK	\N	\N
3674086	6040	1996-11-30	PRIJEM	\N	112	29103	UROK	\N	\N
3674087	6040	1996-12-31	PRIJEM	\N	148	41263	UROK	\N	\N
3674088	6040	1997-01-31	PRIJEM	\N	86	17628	UROK	\N	\N
3674089	6040	1997-02-28	PRIJEM	\N	99	28306	UROK	\N	\N
3674090	6040	1997-03-31	PRIJEM	\N	123	31509	UROK	\N	\N
3674091	6040	1997-04-30	PRIJEM	\N	123	32212	UROK	\N	\N
3674092	6040	1997-05-31	PRIJEM	\N	112	28603	UROK	\N	\N
3674093	6040	1997-06-30	PRIJEM	\N	164	34480	UROK	\N	\N
3674094	6040	1997-07-31	PRIJEM	\N	170	19529	UROK	\N	\N
3674095	6040	1997-08-31	PRIJEM	\N	116	32324	UROK	\N	\N
3674096	6040	1997-09-30	PRIJEM	\N	155	18959	UROK	\N	\N
3674097	6040	1997-10-31	PRIJEM	\N	113	31752	UROK	\N	\N
3674098	6040	1997-11-30	PRIJEM	\N	156	24787	UROK	\N	\N
3674099	6040	1997-12-31	PRIJEM	\N	151	26450	UROK	\N	\N
3674100	6040	1998-01-31	PRIJEM	\N	115	26245	UROK	\N	\N
3674101	6040	1998-02-28	PRIJEM	\N	133	21957	UROK	\N	\N
3674102	6040	1998-03-31	PRIJEM	\N	113	19849	UROK	\N	\N
3674103	6040	1998-04-30	PRIJEM	\N	107	19535	UROK	\N	\N
3674104	6040	1998-05-31	PRIJEM	\N	106	20620	UROK	\N	\N
3674105	6040	1998-06-30	PRIJEM	\N	136	27568	UROK	\N	\N
3674106	6040	1998-07-31	PRIJEM	\N	131	21778	UROK	\N	\N
3674107	6040	1998-08-31	PRIJEM	\N	110	22868	UROK	\N	\N
3674108	6040	1998-09-30	PRIJEM	\N	113	22860	UROK	\N	\N
3674109	6040	1998-10-31	PRIJEM	\N	122	31362	UROK	\N	\N
3674110	6040	1998-11-30	PRIJEM	\N	135	21876	UROK	\N	\N
3674111	6040	1998-12-31	PRIJEM	\N	123	22611	UROK	\N	\N
3674181	6061	1997-04-30	PRIJEM	\N	72	21689	UROK	\N	\N
3674182	6061	1997-05-31	PRIJEM	\N	131	33937	UROK	\N	\N
3674183	6061	1997-06-30	PRIJEM	\N	222	58385	UROK	\N	\N
3674184	6061	1997-07-31	PRIJEM	\N	259	62860	UROK	\N	\N
3674185	6061	1997-08-31	PRIJEM	\N	263	62961	UROK	\N	\N
3674186	6061	1997-09-30	PRIJEM	\N	212	50174	UROK	\N	\N
3674187	6061	1997-10-31	PRIJEM	\N	201	49556	UROK	\N	\N
3674188	6061	1997-11-30	PRIJEM	\N	222	55559	UROK	\N	\N
3674189	6061	1997-12-31	PRIJEM	\N	245	62415	UROK	\N	\N
3674190	6061	1998-01-31	PRIJEM	\N	187	26843	UROK	\N	\N
3674191	6061	1998-02-28	PRIJEM	\N	144	37568	UROK	\N	\N
3674192	6061	1998-03-31	PRIJEM	\N	184	46633	UROK	\N	\N
3674193	6061	1998-04-30	PRIJEM	\N	202	50316	UROK	\N	\N
3674194	6061	1998-05-31	PRIJEM	\N	198	49495	UROK	\N	\N
3674195	6061	1998-06-30	PRIJEM	\N	193	24809	UROK	\N	\N
3674196	6061	1998-07-31	PRIJEM	\N	144	37806	UROK	\N	\N
3674197	6061	1998-08-31	PRIJEM	\N	169	32027	UROK	\N	\N
3674198	6061	1998-09-30	PRIJEM	\N	170	28349	UROK	\N	\N
3674199	6061	1998-10-31	PRIJEM	\N	154	27656	UROK	\N	\N
3674200	6061	1998-11-30	PRIJEM	\N	153	31061	UROK	\N	\N
3674201	6061	1998-12-31	PRIJEM	\N	198	51140	UROK	\N	\N
3674202	6062	1996-09-30	PRIJEM	\N	18	32497	UROK	\N	\N
3674203	6062	1996-10-31	PRIJEM	\N	146	48522	UROK	\N	\N
3674204	6062	1996-11-30	PRIJEM	\N	208	58009	UROK	\N	\N
3674205	6062	1996-12-31	PRIJEM	\N	265	51642	UROK	\N	\N
3674206	6062	1997-01-31	PRIJEM	\N	229	36597	UROK	\N	\N
3674207	6062	1997-02-28	PRIJEM	\N	228	43782	UROK	\N	\N
3674208	6062	1997-03-31	PRIJEM	\N	227	51185	UROK	\N	\N
3674209	6062	1997-04-30	PRIJEM	\N	280	54173	UROK	\N	\N
3674210	6062	1997-05-31	PRIJEM	\N	239	51400	UROK	\N	\N
3674211	6062	1997-06-30	PRIJEM	\N	271	45423	UROK	\N	\N
3674212	6062	1997-07-31	PRIJEM	\N	233	51012	UROK	\N	\N
3674213	6062	1997-08-31	PRIJEM	\N	238	30641	UROK	\N	\N
3674214	6062	1997-09-30	PRIJEM	\N	172	41020	UROK	\N	\N
3674215	6062	1997-10-31	PRIJEM	\N	227	52024	UROK	\N	\N
3674216	6062	1997-11-30	PRIJEM	\N	261	60341	UROK	\N	\N
3674217	6062	1997-12-31	PRIJEM	\N	237	25804	UROK	\N	\N
3674218	6062	1998-01-31	PRIJEM	\N	123	21666	UROK	\N	\N
3674219	6062	1998-02-28	PRIJEM	\N	120	23014	UROK	\N	\N
3674220	6062	1998-03-31	PRIJEM	\N	172	44567	UROK	\N	\N
3674221	6062	1998-04-30	PRIJEM	\N	226	52250	UROK	\N	\N
3674222	6062	1998-05-31	PRIJEM	\N	255	60505	UROK	\N	\N
3674223	6062	1998-06-30	PRIJEM	\N	204	37852	UROK	\N	\N
3674224	6062	1998-07-31	PRIJEM	\N	184	36171	UROK	\N	\N
3674225	6062	1998-08-31	PRIJEM	\N	204	52275	UROK	\N	\N
3674226	6062	1998-09-30	PRIJEM	\N	238	43729	UROK	\N	\N
3674227	6062	1998-10-31	PRIJEM	\N	181	35192	UROK	\N	\N
3674228	6062	1998-11-30	PRIJEM	\N	186	32081	UROK	\N	\N
3674229	6062	1998-12-31	PRIJEM	\N	209	41691	UROK	\N	\N
3674319	6097	1997-07-31	PRIJEM	\N	46	20360	UROK	\N	\N
3674320	6097	1997-08-31	PRIJEM	\N	107	29581	UROK	\N	\N
3674321	6097	1997-09-30	PRIJEM	\N	139	35934	UROK	\N	\N
3674322	6097	1997-10-31	PRIJEM	\N	154	37802	UROK	\N	\N
3674323	6097	1997-11-30	PRIJEM	\N	143	32276	UROK	\N	\N
3674324	6097	1997-12-31	PRIJEM	\N	120	24679	UROK	\N	\N
3674325	6097	1998-01-31	PRIJEM	\N	109	26804	UROK	\N	\N
3674326	6097	1998-02-28	PRIJEM	\N	101	22282	UROK	\N	\N
3674327	6097	1998-03-31	PRIJEM	\N	103	26101	UROK	\N	\N
3674328	6097	1998-04-30	PRIJEM	\N	97	20435	UROK	\N	\N
3674329	6097	1998-05-31	PRIJEM	\N	86	20637	UROK	\N	\N
3674330	6097	1998-06-30	PRIJEM	\N	87	13588	UROK	\N	\N
3674331	6097	1998-07-31	PRIJEM	\N	64	15568	UROK	\N	\N
3674332	6097	1998-08-31	PRIJEM	\N	85	21969	UROK	\N	\N
3674333	6097	1998-09-30	PRIJEM	\N	109	26835	UROK	\N	\N
3674334	6097	1998-10-31	PRIJEM	\N	113	26864	UROK	\N	\N
3674335	6097	1998-11-30	PRIJEM	\N	118	28399	UROK	\N	\N
3674336	6097	1998-12-31	PRIJEM	\N	122	29604	UROK	\N	\N
3674484	6138	1997-02-28	PRIJEM	\N	26	21830	UROK	\N	\N
3674485	6138	1997-03-31	PRIJEM	\N	99	28533	UROK	\N	\N
3674486	6138	1997-04-30	PRIJEM	\N	125	33461	UROK	\N	\N
3674487	6138	1997-05-31	PRIJEM	\N	137	32102	UROK	\N	\N
3674488	6138	1997-06-30	PRIJEM	\N	127	33085	UROK	\N	\N
3674489	6138	1997-07-31	PRIJEM	\N	116	17321	UROK	\N	\N
3674490	6138	1997-08-31	PRIJEM	\N	68	12793	UROK	\N	\N
3674491	6138	1997-09-30	PRIJEM	\N	62	16058	UROK	\N	\N
3674492	6138	1997-10-31	PRIJEM	\N	83	19343	UROK	\N	\N
3674493	6138	1997-11-30	PRIJEM	\N	96	22643	UROK	\N	\N
3674494	6138	1997-12-31	PRIJEM	\N	88	14467	UROK	\N	\N
3674495	6138	1998-01-31	PRIJEM	\N	69	17739	UROK	\N	\N
3674496	6138	1998-02-28	PRIJEM	\N	82	21024	UROK	\N	\N
3674497	6138	1998-03-31	PRIJEM	\N	96	24324	UROK	\N	\N
3674498	6138	1998-04-30	PRIJEM	\N	110	27636	UROK	\N	\N
3674499	6138	1998-05-31	PRIJEM	\N	131	30970	UROK	\N	\N
3674500	6138	1998-06-30	PRIJEM	\N	105	15931	UROK	\N	\N
3674501	6138	1998-07-31	PRIJEM	\N	75	19209	UROK	\N	\N
3674502	6138	1998-08-31	PRIJEM	\N	88	22500	UROK	\N	\N
3674503	6138	1998-09-30	PRIJEM	\N	102	25805	UROK	\N	\N
3674504	6138	1998-10-31	PRIJEM	\N	123	29131	UROK	\N	\N
3674505	6138	1998-11-30	PRIJEM	\N	136	30071	UROK	\N	\N
3674506	6138	1998-12-31	PRIJEM	\N	150	38276	UROK	\N	\N
3674577	6148	1994-01-31	PRIJEM	\N	20	24158	UROK	\N	\N
3674578	6148	1994-02-28	PRIJEM	\N	108	36703	UROK	\N	\N
3674579	6148	1994-03-31	PRIJEM	\N	155	40096	UROK	\N	\N
3674580	6148	1994-04-30	PRIJEM	\N	171	46605	UROK	\N	\N
3674581	6148	1994-05-31	PRIJEM	\N	200	45523	UROK	\N	\N
3674582	6148	1994-06-30	PRIJEM	\N	173	37671	UROK	\N	\N
3674583	6148	1994-07-31	PRIJEM	\N	177	39024	UROK	\N	\N
3674584	6148	1994-08-31	PRIJEM	\N	174	39994	UROK	\N	\N
3674585	6148	1994-09-30	PRIJEM	\N	175	38585	UROK	\N	\N
3674586	6148	1994-10-31	PRIJEM	\N	186	41148	UROK	\N	\N
3674587	6148	1994-11-30	PRIJEM	\N	191	45425	UROK	\N	\N
3674588	6148	1994-12-31	PRIJEM	\N	209	47959	UROK	\N	\N
3674589	6148	1995-01-31	PRIJEM	\N	150	33276	UROK	\N	\N
3674590	6148	1995-02-28	PRIJEM	\N	158	39820	UROK	\N	\N
3674591	6148	1995-03-31	PRIJEM	\N	181	41128	UROK	\N	\N
3674592	6148	1995-04-30	PRIJEM	\N	182	42576	UROK	\N	\N
3674593	6148	1995-05-31	PRIJEM	\N	194	46357	UROK	\N	\N
3674594	6148	1995-06-30	PRIJEM	\N	188	33150	UROK	\N	\N
3674595	6148	1995-07-31	PRIJEM	\N	160	40596	UROK	\N	\N
3674596	6148	1995-08-31	PRIJEM	\N	173	40735	UROK	\N	\N
3674597	6148	1995-09-30	PRIJEM	\N	187	46908	UROK	\N	\N
3674598	6148	1995-10-31	PRIJEM	\N	208	50502	UROK	\N	\N
3674599	6148	1995-11-30	PRIJEM	\N	221	53910	UROK	\N	\N
3674600	6148	1995-12-31	PRIJEM	\N	239	57534	UROK	\N	\N
3674601	6148	1996-01-31	PRIJEM	\N	193	34694	UROK	\N	\N
3674602	6148	1996-02-29	PRIJEM	\N	158	41618	UROK	\N	\N
3674603	6148	1996-03-31	PRIJEM	\N	185	42449	UROK	\N	\N
3674604	6148	1996-04-30	PRIJEM	\N	192	49528	UROK	\N	\N
3674605	6148	1996-05-31	PRIJEM	\N	217	54131	UROK	\N	\N
3674606	6148	1996-06-30	PRIJEM	\N	182	46859	UROK	\N	\N
3674607	6148	1996-07-31	PRIJEM	\N	207	52852	UROK	\N	\N
3674608	6148	1996-08-31	PRIJEM	\N	232	52411	UROK	\N	\N
3674609	6148	1996-09-30	PRIJEM	\N	246	66763	UROK	\N	\N
3674610	6148	1996-10-31	PRIJEM	\N	305	79154	UROK	\N	\N
3674611	6148	1996-11-30	PRIJEM	\N	329	83459	UROK	\N	\N
3674612	6148	1996-12-31	PRIJEM	\N	355	90830	UROK	\N	\N
3674613	6148	1997-01-31	PRIJEM	\N	334	63980	UROK	\N	\N
3674614	6148	1997-02-28	PRIJEM	\N	274	71930	UROK	\N	\N
3674615	6148	1997-03-31	PRIJEM	\N	309	77915	UROK	\N	\N
3674616	6148	1997-04-30	PRIJEM	\N	325	84436	UROK	\N	\N
3674617	6148	1997-05-31	PRIJEM	\N	351	89364	UROK	\N	\N
3674618	6148	1997-06-30	PRIJEM	\N	338	76917	UROK	\N	\N
3674619	6148	1997-07-31	PRIJEM	\N	334	86928	UROK	\N	\N
3674620	6148	1997-08-31	PRIJEM	\N	346	86550	UROK	\N	\N
3674621	6148	1997-09-30	PRIJEM	\N	339	84226	UROK	\N	\N
3674622	6148	1997-10-31	PRIJEM	\N	353	90755	UROK	\N	\N
3674623	6148	1997-11-30	PRIJEM	\N	366	94098	UROK	\N	\N
3674624	6148	1997-12-31	PRIJEM	\N	400	104893	UROK	\N	\N
3674625	6148	1998-01-31	PRIJEM	\N	379	86168	UROK	\N	\N
3674626	6148	1998-02-28	PRIJEM	\N	363	95228	UROK	\N	\N
3674627	6148	1998-03-31	PRIJEM	\N	399	101304	UROK	\N	\N
3674628	6148	1998-04-30	PRIJEM	\N	407	102187	UROK	\N	\N
3674629	6148	1998-05-31	PRIJEM	\N	399	102662	UROK	\N	\N
3674630	6148	1998-06-30	PRIJEM	\N	397	104875	UROK	\N	\N
3674631	6148	1998-07-31	PRIJEM	\N	420	105471	UROK	\N	\N
3674632	6148	1998-08-31	PRIJEM	\N	405	101252	UROK	\N	\N
3674633	6148	1998-09-30	PRIJEM	\N	408	100536	UROK	\N	\N
3674634	6148	1998-10-31	PRIJEM	\N	414	105526	UROK	\N	\N
3674635	6148	1998-11-30	PRIJEM	\N	399	102902	UROK	\N	\N
3674636	6148	1998-12-31	PRIJEM	\N	440	117838	UROK	\N	\N
3674637	6157	1996-12-31	PRIJEM	\N	83	29440	UROK	\N	\N
3674638	6157	1997-01-31	PRIJEM	\N	253	94294	UROK	\N	\N
3674639	6157	1997-02-28	PRIJEM	\N	392	59586	UROK	\N	\N
3674640	6157	1997-03-31	PRIJEM	\N	341	99888	UROK	\N	\N
3674641	6157	1997-04-30	PRIJEM	\N	200	69720	UROK	\N	\N
3674642	6157	1997-05-31	PRIJEM	\N	181	29225	UROK	\N	\N
3674643	6157	1997-06-30	PRIJEM	\N	99	20886	UROK	\N	\N
3674644	6157	1997-07-31	PRIJEM	\N	95	55937	UROK	\N	\N
3674645	6157	1997-08-31	PRIJEM	\N	183	54544	UROK	\N	\N
3674646	6157	1997-09-30	PRIJEM	\N	260	78794	UROK	\N	\N
3674647	6157	1997-10-31	PRIJEM	\N	283	81482	UROK	\N	\N
3674648	6157	1997-11-30	PRIJEM	\N	339	81845	UROK	\N	\N
3674649	6157	1997-12-31	PRIJEM	\N	147	20206	UROK	\N	\N
3674650	6157	1998-01-31	PRIJEM	\N	160	26588	UROK	\N	\N
3674651	6157	1998-02-28	PRIJEM	\N	91	19377	UROK	\N	\N
3674652	6157	1998-03-31	PRIJEM	\N	172	99780	UROK	\N	\N
3674653	6157	1998-04-30	PRIJEM	\N	408	75720	UROK	\N	\N
3674654	6157	1998-05-31	PRIJEM	\N	314	87625	UROK	\N	\N
3674655	6157	1998-06-30	PRIJEM	\N	328	55183	UROK	\N	\N
3674656	6157	1998-07-31	PRIJEM	\N	201	60350	UROK	\N	\N
3674657	6157	1998-08-31	PRIJEM	\N	291	79127	UROK	\N	\N
3674658	6157	1998-09-30	PRIJEM	\N	161	70643	UROK	\N	\N
3674659	6157	1998-10-31	PRIJEM	\N	327	77569	UROK	\N	\N
3674660	6157	1998-11-30	PRIJEM	\N	219	40385	UROK	\N	\N
3674661	6157	1998-12-31	PRIJEM	\N	201	61231	UROK	\N	\N
3675087	6226	1993-08-31	PRIJEM	\N	32	34194	UROK	\N	\N
3675088	6226	1993-09-30	PRIJEM	\N	158	50114	UROK	\N	\N
3675089	6226	1993-10-31	PRIJEM	\N	216	57292	UROK	\N	\N
3675090	6226	1993-11-30	PRIJEM	\N	243	61897	UROK	\N	\N
3675091	6226	1993-12-31	PRIJEM	\N	259	45248	UROK	\N	\N
3675092	6226	1994-01-31	PRIJEM	\N	222	53002	UROK	\N	\N
3675093	6226	1994-02-28	PRIJEM	\N	229	57763	UROK	\N	\N
3675094	6226	1994-03-31	PRIJEM	\N	315	59710	UROK	\N	\N
3675095	6226	1994-04-30	PRIJEM	\N	252	59294	UROK	\N	\N
3675096	6226	1994-05-31	PRIJEM	\N	301	60726	UROK	\N	\N
3675097	6226	1994-06-30	PRIJEM	\N	182	31271	UROK	\N	\N
3675098	6226	1994-07-31	PRIJEM	\N	180	43884	UROK	\N	\N
3675099	6226	1994-08-31	PRIJEM	\N	250	55865	UROK	\N	\N
3675100	6226	1994-09-30	PRIJEM	\N	241	57238	UROK	\N	\N
3675101	6226	1994-10-31	PRIJEM	\N	291	51661	UROK	\N	\N
3675102	6226	1994-11-30	PRIJEM	\N	220	47254	UROK	\N	\N
3675103	6226	1994-12-31	PRIJEM	\N	271	59588	UROK	\N	\N
3675104	6226	1995-01-31	PRIJEM	\N	271	60247	UROK	\N	\N
3675105	6226	1995-02-28	PRIJEM	\N	261	44696	UROK	\N	\N
3675106	6226	1995-03-31	PRIJEM	\N	232	55317	UROK	\N	\N
3675107	6226	1995-04-30	PRIJEM	\N	227	42632	UROK	\N	\N
3675108	6226	1995-05-31	PRIJEM	\N	224	55044	UROK	\N	\N
3675109	6226	1995-06-30	PRIJEM	\N	221	10784	UROK	\N	\N
3675110	6226	1995-07-31	PRIJEM	\N	114	35186	UROK	\N	\N
3675111	6226	1995-08-31	PRIJEM	\N	188	48062	UROK	\N	\N
3675112	6226	1995-09-30	PRIJEM	\N	239	53257	UROK	\N	\N
3675113	6226	1995-10-31	PRIJEM	\N	247	56492	UROK	\N	\N
3675114	6226	1995-11-30	PRIJEM	\N	256	63937	UROK	\N	\N
3675115	6226	1995-12-31	PRIJEM	\N	276	52832	UROK	\N	\N
3675116	6226	1996-01-31	PRIJEM	\N	216	40901	UROK	\N	\N
3675117	6226	1996-02-29	PRIJEM	\N	181	30354	UROK	\N	\N
3675118	6226	1996-03-31	PRIJEM	\N	111	15873	UROK	\N	\N
3675119	6226	1996-04-30	PRIJEM	\N	72	17760	UROK	\N	\N
3675120	6226	1996-05-31	PRIJEM	\N	127	35575	UROK	\N	\N
3675121	6226	1996-06-30	PRIJEM	\N	149	16265	UROK	\N	\N
3675122	6226	1996-07-31	PRIJEM	\N	122	24457	UROK	\N	\N
3675123	6226	1996-08-31	PRIJEM	\N	140	27420	UROK	\N	\N
3675124	6226	1996-09-30	PRIJEM	\N	152	28191	UROK	\N	\N
3675125	6226	1996-10-31	PRIJEM	\N	176	45523	UROK	\N	\N
3675126	6226	1996-11-30	PRIJEM	\N	242	61253	UROK	\N	\N
3675127	6226	1996-12-31	PRIJEM	\N	259	61601	UROK	\N	\N
3675128	6226	1997-01-31	PRIJEM	\N	318	74698	UROK	\N	\N
3675129	6226	1997-02-28	PRIJEM	\N	339	89312	UROK	\N	\N
3675130	6226	1997-03-31	PRIJEM	\N	347	72247	UROK	\N	\N
3675131	6226	1997-04-30	PRIJEM	\N	368	71102	UROK	\N	\N
3675132	6226	1997-05-31	PRIJEM	\N	286	45264	UROK	\N	\N
3675133	6226	1997-06-30	PRIJEM	\N	359	62742	UROK	\N	\N
3675134	6226	1997-07-31	PRIJEM	\N	370	94801	UROK	\N	\N
3675135	6226	1997-08-31	PRIJEM	\N	217	28862	UROK	\N	\N
3675136	6226	1997-09-30	PRIJEM	\N	211	55492	UROK	\N	\N
3675137	6226	1997-10-31	PRIJEM	\N	354	92934	UROK	\N	\N
3675138	6226	1997-11-30	PRIJEM	\N	310	40046	UROK	\N	\N
3675139	6226	1997-12-31	PRIJEM	\N	396	108161	UROK	\N	\N
3675140	6226	1998-01-31	PRIJEM	\N	335	55884	UROK	\N	\N
3675141	6226	1998-02-28	PRIJEM	\N	341	84114	UROK	\N	\N
3675142	6226	1998-03-31	PRIJEM	\N	415	101617	UROK	\N	\N
3675143	6226	1998-04-30	PRIJEM	\N	380	80785	UROK	\N	\N
3675144	6226	1998-05-31	PRIJEM	\N	428	109101	UROK	\N	\N
3675145	6226	1998-06-30	PRIJEM	\N	319	51740	UROK	\N	\N
3675146	6226	1998-07-31	PRIJEM	\N	349	83820	UROK	\N	\N
3675147	6226	1998-08-31	PRIJEM	\N	376	79397	UROK	\N	\N
3675148	6226	1998-09-30	PRIJEM	\N	352	73262	UROK	\N	\N
3675149	6226	1998-10-31	PRIJEM	\N	377	93627	UROK	\N	\N
3675150	6226	1998-11-30	PRIJEM	\N	428	87537	UROK	\N	\N
3675151	6226	1998-12-31	PRIJEM	\N	416	94873	UROK	\N	\N
3675317	6265	1996-12-31	PRIJEM	\N	293	103006	UROK	\N	\N
3675318	6265	1997-01-31	PRIJEM	\N	282	46555	UROK	\N	\N
3675319	6265	1997-02-28	PRIJEM	\N	220	102192	UROK	\N	\N
3675320	6265	1997-03-31	PRIJEM	\N	312	72104	UROK	\N	\N
3675321	6265	1997-04-30	PRIJEM	\N	353	95487	UROK	\N	\N
3675322	6265	1997-05-31	PRIJEM	\N	319	56735	UROK	\N	\N
3675323	6265	1997-06-30	PRIJEM	\N	180	28885	UROK	\N	\N
3675324	6265	1997-07-31	PRIJEM	\N	319	62764	UROK	\N	\N
3675325	6265	1997-08-31	PRIJEM	\N	227	41945	UROK	\N	\N
3675326	6265	1997-09-30	PRIJEM	\N	164	67571	UROK	\N	\N
3675327	6265	1997-10-31	PRIJEM	\N	364	70585	UROK	\N	\N
3675328	6265	1997-11-30	PRIJEM	\N	227	39074	UROK	\N	\N
3675329	6265	1997-12-31	PRIJEM	\N	134	28980	UROK	\N	\N
3675330	6265	1998-01-31	PRIJEM	\N	77	21329	UROK	\N	\N
3675331	6265	1998-02-28	PRIJEM	\N	67	19168	UROK	\N	\N
3675332	6265	1998-03-31	PRIJEM	\N	138	31223	UROK	\N	\N
3675333	6265	1998-04-30	PRIJEM	\N	154	33241	UROK	\N	\N
3675334	6265	1998-05-31	PRIJEM	\N	132	31995	UROK	\N	\N
3675335	6265	1998-06-30	PRIJEM	\N	110	27877	UROK	\N	\N
3675336	6265	1998-07-31	PRIJEM	\N	96	26445	UROK	\N	\N
3675337	6265	1998-08-31	PRIJEM	\N	175	69422	UROK	\N	\N
3675338	6265	1998-09-30	PRIJEM	\N	252	52946	UROK	\N	\N
3675339	6265	1998-10-31	PRIJEM	\N	182	90782	UROK	\N	\N
3675340	6265	1998-11-30	PRIJEM	\N	307	53461	UROK	\N	\N
3675341	6265	1998-12-31	PRIJEM	\N	177	34409	UROK	\N	\N
3675342	6273	1993-08-31	PRIJEM	\N	63	39304	UROK	\N	\N
3675343	6273	1993-09-30	PRIJEM	\N	164	31068	UROK	\N	\N
3675344	6273	1993-10-31	PRIJEM	\N	164	26131	UROK	\N	\N
3675345	6273	1993-11-30	PRIJEM	\N	164	24795	UROK	\N	\N
3675346	6273	1993-12-31	PRIJEM	\N	143	28361	UROK	\N	\N
3675347	6273	1994-01-31	PRIJEM	\N	154	46529	UROK	\N	\N
3675348	6273	1994-02-28	PRIJEM	\N	193	35422	UROK	\N	\N
3675349	6273	1994-03-31	PRIJEM	\N	194	54845	UROK	\N	\N
3675350	6273	1994-04-30	PRIJEM	\N	208	45175	UROK	\N	\N
3675351	6273	1994-05-31	PRIJEM	\N	138	29073	UROK	\N	\N
3675352	6273	1994-06-30	PRIJEM	\N	111	24330	UROK	\N	\N
3675353	6273	1994-07-31	PRIJEM	\N	159	57592	UROK	\N	\N
3675354	6273	1994-08-31	PRIJEM	\N	193	36031	UROK	\N	\N
3675355	6273	1994-09-30	PRIJEM	\N	122	25566	UROK	\N	\N
3675356	6273	1994-10-31	PRIJEM	\N	118	31592	UROK	\N	\N
3675357	6273	1994-11-30	PRIJEM	\N	177	63629	UROK	\N	\N
3675358	6273	1994-12-31	PRIJEM	\N	213	41388	UROK	\N	\N
3675359	6273	1995-01-31	PRIJEM	\N	167	62859	UROK	\N	\N
3675360	6273	1995-02-28	PRIJEM	\N	198	39045	UROK	\N	\N
3675361	6273	1995-03-31	PRIJEM	\N	207	61589	UROK	\N	\N
3675362	6273	1995-04-30	PRIJEM	\N	214	45649	UROK	\N	\N
3675363	6273	1995-05-31	PRIJEM	\N	197	28064	UROK	\N	\N
3675364	6273	1995-06-30	PRIJEM	\N	144	21161	UROK	\N	\N
3675365	6273	1995-07-31	PRIJEM	\N	100	25807	UROK	\N	\N
3675366	6273	1995-08-31	PRIJEM	\N	136	39910	UROK	\N	\N
3675367	6273	1995-09-30	PRIJEM	\N	145	22023	UROK	\N	\N
3675368	6273	1995-10-31	PRIJEM	\N	94	22462	UROK	\N	\N
3675369	6273	1995-11-30	PRIJEM	\N	110	35455	UROK	\N	\N
3675370	6273	1995-12-31	PRIJEM	\N	276	66909	UROK	\N	\N
3675371	6273	1996-01-31	PRIJEM	\N	188	50168	UROK	\N	\N
3675372	6273	1996-02-29	PRIJEM	\N	170	39157	UROK	\N	\N
3675373	6273	1996-03-31	PRIJEM	\N	159	62106	UROK	\N	\N
3675374	6273	1996-04-30	PRIJEM	\N	181	17490	UROK	\N	\N
3675375	6273	1996-05-31	PRIJEM	\N	169	62589	UROK	\N	\N
3675376	6273	1996-06-30	PRIJEM	\N	133	25507	UROK	\N	\N
3675377	6273	1996-07-31	PRIJEM	\N	191	89456	UROK	\N	\N
3675378	6273	1996-08-31	PRIJEM	\N	306	70284	UROK	\N	\N
3675379	6273	1996-09-30	PRIJEM	\N	225	85263	UROK	\N	\N
3675380	6273	1996-10-31	PRIJEM	\N	367	72389	UROK	\N	\N
3675381	6273	1996-11-30	PRIJEM	\N	302	73177	UROK	\N	\N
3675382	6273	1996-12-31	PRIJEM	\N	211	64043	UROK	\N	\N
3675383	6273	1997-01-31	PRIJEM	\N	125	23853	UROK	\N	\N
3675384	6273	1997-02-28	PRIJEM	\N	59	8098	UROK	\N	\N
3675385	6273	1997-03-31	PRIJEM	\N	70	56331	UROK	\N	\N
3675386	6273	1997-04-30	PRIJEM	\N	269	66729	UROK	\N	\N
3675387	6273	1997-05-31	PRIJEM	\N	206	36490	UROK	\N	\N
3675388	6273	1997-06-30	PRIJEM	\N	188	52104	UROK	\N	\N
3675389	6273	1997-07-31	PRIJEM	\N	173	49123	UROK	\N	\N
3675390	6273	1997-08-31	PRIJEM	\N	206	50922	UROK	\N	\N
3675391	6273	1997-09-30	PRIJEM	\N	221	49082	UROK	\N	\N
3675392	6273	1997-10-31	PRIJEM	\N	223	51708	UROK	\N	\N
3675393	6273	1997-11-30	PRIJEM	\N	210	49604	UROK	\N	\N
3675394	6273	1997-12-31	PRIJEM	\N	304	67116	UROK	\N	\N
3675395	6273	1998-01-31	PRIJEM	\N	312	79588	UROK	\N	\N
3675396	6273	1998-02-28	PRIJEM	\N	421	69877	UROK	\N	\N
3675397	6273	1998-03-31	PRIJEM	\N	282	63745	UROK	\N	\N
3675398	6273	1998-04-30	PRIJEM	\N	259	60689	UROK	\N	\N
3675399	6273	1998-05-31	PRIJEM	\N	280	103051	UROK	\N	\N
3675400	6273	1998-06-30	PRIJEM	\N	396	69446	UROK	\N	\N
3675401	6273	1998-07-31	PRIJEM	\N	336	78375	UROK	\N	\N
3675402	6273	1998-08-31	PRIJEM	\N	302	61763	UROK	\N	\N
3675403	6273	1998-09-30	PRIJEM	\N	280	68849	UROK	\N	\N
3675404	6273	1998-10-31	PRIJEM	\N	343	74020	UROK	\N	\N
3675405	6273	1998-11-30	PRIJEM	\N	343	59199	UROK	\N	\N
3675406	6273	1998-12-31	PRIJEM	\N	232	65643	UROK	\N	\N
3675478	6289	1995-05-31	PRIJEM	\N	136	37591	UROK	\N	\N
3675479	6289	1995-06-30	PRIJEM	\N	234	64430	UROK	\N	\N
3675480	6289	1995-07-31	PRIJEM	\N	270	80543	UROK	\N	\N
3675481	6289	1995-08-31	PRIJEM	\N	335	55977	UROK	\N	\N
3675482	6289	1995-09-30	PRIJEM	\N	335	42712	UROK	\N	\N
3675483	6289	1995-10-31	PRIJEM	\N	286	51362	UROK	\N	\N
3675484	6289	1995-11-30	PRIJEM	\N	205	51393	UROK	\N	\N
3675485	6289	1995-12-31	PRIJEM	\N	206	56719	UROK	\N	\N
3675486	6289	1996-01-31	PRIJEM	\N	312	45906	UROK	\N	\N
3675487	6289	1996-02-29	PRIJEM	\N	190	44882	UROK	\N	\N
3675488	6289	1996-03-31	PRIJEM	\N	334	64216	UROK	\N	\N
3675489	6289	1996-04-30	PRIJEM	\N	417	59928	UROK	\N	\N
3675490	6289	1996-05-31	PRIJEM	\N	245	49758	UROK	\N	\N
3675491	6289	1996-06-30	PRIJEM	\N	261	54297	UROK	\N	\N
3675492	6289	1996-07-31	PRIJEM	\N	315	68834	UROK	\N	\N
3675493	6289	1996-08-31	PRIJEM	\N	357	73311	UROK	\N	\N
3675494	6289	1996-09-30	PRIJEM	\N	365	89294	UROK	\N	\N
3675495	6289	1996-10-31	PRIJEM	\N	355	70150	UROK	\N	\N
3675496	6289	1996-11-30	PRIJEM	\N	336	72073	UROK	\N	\N
3675497	6289	1996-12-31	PRIJEM	\N	367	65394	UROK	\N	\N
3675498	6289	1997-01-31	PRIJEM	\N	192	29649	UROK	\N	\N
3675499	6289	1997-02-28	PRIJEM	\N	213	49514	UROK	\N	\N
3675500	6289	1997-03-31	PRIJEM	\N	193	48877	UROK	\N	\N
3675501	6289	1997-04-30	PRIJEM	\N	203	50481	UROK	\N	\N
3675502	6289	1997-05-31	PRIJEM	\N	202	45284	UROK	\N	\N
3675503	6289	1997-06-30	PRIJEM	\N	166	28929	UROK	\N	\N
3675504	6289	1997-07-31	PRIJEM	\N	88	22756	UROK	\N	\N
3675505	6289	1997-08-31	PRIJEM	\N	115	28829	UROK	\N	\N
3675506	6289	1997-09-30	PRIJEM	\N	112	28442	UROK	\N	\N
3675507	6289	1997-10-31	PRIJEM	\N	104	13740	UROK	\N	\N
3675508	6289	1997-11-30	PRIJEM	\N	68	24009	UROK	\N	\N
3675509	6289	1997-12-31	PRIJEM	\N	89	29303	UROK	\N	\N
3675510	6289	1998-01-31	PRIJEM	\N	168	80494	UROK	\N	\N
3675511	6289	1998-02-28	PRIJEM	\N	263	51258	UROK	\N	\N
3675512	6289	1998-03-31	PRIJEM	\N	325	113218	UROK	\N	\N
3675513	6289	1998-04-30	PRIJEM	\N	248	55297	UROK	\N	\N
3675514	6289	1998-05-31	PRIJEM	\N	206	45551	UROK	\N	\N
3675515	6289	1998-06-30	PRIJEM	\N	212	93051	UROK	\N	\N
3675516	6289	1998-07-31	PRIJEM	\N	362	72271	UROK	\N	\N
3675517	6289	1998-08-31	PRIJEM	\N	359	114721	UROK	\N	\N
3675518	6289	1998-09-30	PRIJEM	\N	333	76996	UROK	\N	\N
3675519	6289	1998-10-31	PRIJEM	\N	403	97404	UROK	\N	\N
3675520	6289	1998-11-30	PRIJEM	\N	382	98788	UROK	\N	\N
3675521	6289	1998-12-31	PRIJEM	\N	381	73347	UROK	\N	\N
3675835	6353	1993-12-31	PRIJEM	\N	24	30159	UROK	\N	\N
3675836	6353	1994-01-31	PRIJEM	\N	132	37414	UROK	\N	\N
3675837	6353	1994-02-28	PRIJEM	\N	161	45098	UROK	\N	\N
3675838	6353	1994-03-31	PRIJEM	\N	190	48111	UROK	\N	\N
3675839	6353	1994-04-30	PRIJEM	\N	199	46733	UROK	\N	\N
3675840	6353	1994-05-31	PRIJEM	\N	222	44494	UROK	\N	\N
3675841	6353	1994-06-30	PRIJEM	\N	176	40439	UROK	\N	\N
3675842	6353	1994-07-31	PRIJEM	\N	186	40703	UROK	\N	\N
3675843	6353	1994-08-31	PRIJEM	\N	188	37930	UROK	\N	\N
3675844	6353	1994-09-30	PRIJEM	\N	181	37890	UROK	\N	\N
3675845	6353	1994-10-31	PRIJEM	\N	186	42514	UROK	\N	\N
3675846	6353	1994-11-30	PRIJEM	\N	197	44150	UROK	\N	\N
3675847	6353	1994-12-31	PRIJEM	\N	228	50708	UROK	\N	\N
3675848	6353	1995-01-31	PRIJEM	\N	210	37856	UROK	\N	\N
3675849	6353	1995-02-28	PRIJEM	\N	181	43544	UROK	\N	\N
3675850	6353	1995-03-31	PRIJEM	\N	207	47457	UROK	\N	\N
3675851	6353	1995-04-30	PRIJEM	\N	215	47978	UROK	\N	\N
3675852	6353	1995-05-31	PRIJEM	\N	220	49804	UROK	\N	\N
3675853	6353	1995-06-30	PRIJEM	\N	151	37853	UROK	\N	\N
3675854	6353	1995-07-31	PRIJEM	\N	171	37370	UROK	\N	\N
3675855	6353	1995-08-31	PRIJEM	\N	174	40650	UROK	\N	\N
3675856	6353	1995-09-30	PRIJEM	\N	180	40057	UROK	\N	\N
3675857	6353	1995-10-31	PRIJEM	\N	182	43045	UROK	\N	\N
3675858	6353	1995-11-30	PRIJEM	\N	186	42937	UROK	\N	\N
3675859	6353	1995-12-31	PRIJEM	\N	197	48193	UROK	\N	\N
3675860	6353	1996-01-31	PRIJEM	\N	184	39703	UROK	\N	\N
3675861	6353	1996-02-29	PRIJEM	\N	169	40779	UROK	\N	\N
3675862	6353	1996-03-31	PRIJEM	\N	180	43866	UROK	\N	\N
3675863	6353	1996-04-30	PRIJEM	\N	189	45041	UROK	\N	\N
3675864	6353	1996-05-31	PRIJEM	\N	193	46740	UROK	\N	\N
3675865	6353	1996-06-30	PRIJEM	\N	198	49576	UROK	\N	\N
3675866	6353	1996-07-31	PRIJEM	\N	188	42071	UROK	\N	\N
3675867	6353	1996-08-31	PRIJEM	\N	218	45395	UROK	\N	\N
3675868	6353	1996-09-30	PRIJEM	\N	215	57217	UROK	\N	\N
3675869	6353	1996-10-31	PRIJEM	\N	256	64679	UROK	\N	\N
3675870	6353	1996-11-30	PRIJEM	\N	256	62882	UROK	\N	\N
3675871	6353	1996-12-31	PRIJEM	\N	292	75092	UROK	\N	\N
3675872	6353	1997-01-31	PRIJEM	\N	237	52235	UROK	\N	\N
3675873	6353	1997-02-28	PRIJEM	\N	210	53551	UROK	\N	\N
3675874	6353	1997-03-31	PRIJEM	\N	209	49427	UROK	\N	\N
3675875	6353	1997-04-30	PRIJEM	\N	201	48194	UROK	\N	\N
3675876	6353	1997-05-31	PRIJEM	\N	191	45572	UROK	\N	\N
3675877	6353	1997-06-30	PRIJEM	\N	175	36184	UROK	\N	\N
3675878	6353	1997-07-31	PRIJEM	\N	177	47868	UROK	\N	\N
3675879	6353	1997-08-31	PRIJEM	\N	187	49361	UROK	\N	\N
3675880	6353	1997-09-30	PRIJEM	\N	188	50056	UROK	\N	\N
3675881	6353	1997-10-31	PRIJEM	\N	213	55975	UROK	\N	\N
3675882	6353	1997-11-30	PRIJEM	\N	224	51925	UROK	\N	\N
3675883	6353	1997-12-31	PRIJEM	\N	248	65871	UROK	\N	\N
3675884	6353	1998-01-31	PRIJEM	\N	192	38570	UROK	\N	\N
3675885	6353	1998-02-28	PRIJEM	\N	153	43229	UROK	\N	\N
3675886	6353	1998-03-31	PRIJEM	\N	170	45805	UROK	\N	\N
3675887	6353	1998-04-30	PRIJEM	\N	174	43486	UROK	\N	\N
3675888	6353	1998-05-31	PRIJEM	\N	170	46862	UROK	\N	\N
3675889	6353	1998-06-30	PRIJEM	\N	202	57883	UROK	\N	\N
3675890	6353	1998-07-31	PRIJEM	\N	178	45967	UROK	\N	\N
3675891	6353	1998-08-31	PRIJEM	\N	129	34203	UROK	\N	\N
3675892	6353	1998-09-30	PRIJEM	\N	171	45960	UROK	\N	\N
3675893	6353	1998-10-31	PRIJEM	\N	227	62693	UROK	\N	\N
3675894	6353	1998-11-30	PRIJEM	\N	148	42848	UROK	\N	\N
3675895	6353	1998-12-31	PRIJEM	\N	235	66201	UROK	\N	\N
3675928	6358	1995-06-30	PRIJEM	\N	26	36822	UROK	\N	\N
3675929	6358	1995-07-31	PRIJEM	\N	160	45279	UROK	\N	\N
3675930	6358	1995-08-31	PRIJEM	\N	196	54272	UROK	\N	\N
3675931	6358	1995-09-30	PRIJEM	\N	228	57497	UROK	\N	\N
3675932	6358	1995-10-31	PRIJEM	\N	261	52379	UROK	\N	\N
3675933	6358	1995-11-30	PRIJEM	\N	187	32073	UROK	\N	\N
3675934	6358	1995-12-31	PRIJEM	\N	171	35808	UROK	\N	\N
3675935	6358	1996-01-31	PRIJEM	\N	149	32163	UROK	\N	\N
3675936	6358	1996-02-29	PRIJEM	\N	187	38756	UROK	\N	\N
3675937	6358	1996-03-31	PRIJEM	\N	194	37755	UROK	\N	\N
3675938	6358	1996-04-30	PRIJEM	\N	195	43957	UROK	\N	\N
3675939	6358	1996-05-31	PRIJEM	\N	185	31924	UROK	\N	\N
3675940	6358	1996-06-30	PRIJEM	\N	165	25894	UROK	\N	\N
3675941	6358	1996-07-31	PRIJEM	\N	115	24053	UROK	\N	\N
3675942	6358	1996-08-31	PRIJEM	\N	135	35362	UROK	\N	\N
3675943	6358	1996-09-30	PRIJEM	\N	125	26132	UROK	\N	\N
3675944	6358	1996-10-31	PRIJEM	\N	132	29567	UROK	\N	\N
3675945	6358	1996-11-30	PRIJEM	\N	141	32781	UROK	\N	\N
3675946	6358	1996-12-31	PRIJEM	\N	187	28498	UROK	\N	\N
3675947	6358	1997-01-31	PRIJEM	\N	121	27292	UROK	\N	\N
3675948	6358	1997-02-28	PRIJEM	\N	133	32799	UROK	\N	\N
3675949	6358	1997-03-31	PRIJEM	\N	161	39333	UROK	\N	\N
3675950	6358	1997-04-30	PRIJEM	\N	170	36157	UROK	\N	\N
3675951	6358	1997-05-31	PRIJEM	\N	175	43505	UROK	\N	\N
3675952	6358	1997-06-30	PRIJEM	\N	218	48795	UROK	\N	\N
3675953	6358	1997-07-31	PRIJEM	\N	206	33530	UROK	\N	\N
3675954	6358	1997-08-31	PRIJEM	\N	135	31154	UROK	\N	\N
3675955	6358	1997-09-30	PRIJEM	\N	170	41997	UROK	\N	\N
3675956	6358	1997-10-31	PRIJEM	\N	218	40788	UROK	\N	\N
3675957	6358	1997-11-30	PRIJEM	\N	160	35164	UROK	\N	\N
3675958	6358	1997-12-31	PRIJEM	\N	176	46213	UROK	\N	\N
3675959	6358	1998-01-31	PRIJEM	\N	188	37375	UROK	\N	\N
3675960	6358	1998-02-28	PRIJEM	\N	172	41320	UROK	\N	\N
3675961	6358	1998-03-31	PRIJEM	\N	177	43371	UROK	\N	\N
3675962	6358	1998-04-30	PRIJEM	\N	161	34505	UROK	\N	\N
3675963	6358	1998-05-31	PRIJEM	\N	137	31616	UROK	\N	\N
3675964	6358	1998-06-30	PRIJEM	\N	152	36104	UROK	\N	\N
3675965	6358	1998-07-31	PRIJEM	\N	152	35230	UROK	\N	\N
3675966	6358	1998-08-31	PRIJEM	\N	147	33250	UROK	\N	\N
3675967	6358	1998-09-30	PRIJEM	\N	141	28664	UROK	\N	\N
3675968	6358	1998-10-31	PRIJEM	\N	152	36190	UROK	\N	\N
3675969	6358	1998-11-30	PRIJEM	\N	140	24900	UROK	\N	\N
3675970	6358	1998-12-31	PRIJEM	\N	157	36829	UROK	\N	\N
3675971	6363	1993-08-31	PRIJEM	\N	37	12657	UROK	\N	\N
3675972	6363	1993-09-30	PRIJEM	\N	86	32263	UROK	\N	\N
3675973	6363	1993-10-31	PRIJEM	\N	113	32695	UROK	\N	\N
3675974	6363	1993-11-30	PRIJEM	\N	137	36852	UROK	\N	\N
3675975	6363	1993-12-31	PRIJEM	\N	182	40114	UROK	\N	\N
3675976	6363	1994-01-31	PRIJEM	\N	181	36340	UROK	\N	\N
3675977	6363	1994-02-28	PRIJEM	\N	172	37318	UROK	\N	\N
3675978	6363	1994-03-31	PRIJEM	\N	181	37704	UROK	\N	\N
3675979	6363	1994-04-30	PRIJEM	\N	180	34990	UROK	\N	\N
3675980	6363	1994-05-31	PRIJEM	\N	169	36064	UROK	\N	\N
3675981	6363	1994-06-30	PRIJEM	\N	190	41319	UROK	\N	\N
3675982	6363	1994-07-31	PRIJEM	\N	187	35911	UROK	\N	\N
3675983	6363	1994-08-31	PRIJEM	\N	160	37477	UROK	\N	\N
3675984	6363	1994-09-30	PRIJEM	\N	160	38642	UROK	\N	\N
3675985	6363	1994-10-31	PRIJEM	\N	167	39594	UROK	\N	\N
3675986	6363	1994-11-30	PRIJEM	\N	183	40422	UROK	\N	\N
3675987	6363	1994-12-31	PRIJEM	\N	191	41600	UROK	\N	\N
3675988	6363	1995-01-31	PRIJEM	\N	187	40433	UROK	\N	\N
3675989	6363	1995-02-28	PRIJEM	\N	183	40162	UROK	\N	\N
3675990	6363	1995-03-31	PRIJEM	\N	185	41393	UROK	\N	\N
3675991	6363	1995-04-30	PRIJEM	\N	185	41664	UROK	\N	\N
3675992	6363	1995-05-31	PRIJEM	\N	186	39897	UROK	\N	\N
3675993	6363	1995-06-30	PRIJEM	\N	179	17062	UROK	\N	\N
3675994	6363	1995-07-31	PRIJEM	\N	100	27028	UROK	\N	\N
3675995	6363	1995-08-31	PRIJEM	\N	129	33084	UROK	\N	\N
3675996	6363	1995-09-30	PRIJEM	\N	157	39188	UROK	\N	\N
3675997	6363	1995-10-31	PRIJEM	\N	180	43313	UROK	\N	\N
3675998	6363	1995-11-30	PRIJEM	\N	186	45805	UROK	\N	\N
3675999	6363	1995-12-31	PRIJEM	\N	189	40379	UROK	\N	\N
3676000	6363	1996-01-31	PRIJEM	\N	175	40000	UROK	\N	\N
3676001	6363	1996-02-29	PRIJEM	\N	168	41473	UROK	\N	\N
3676002	6363	1996-03-31	PRIJEM	\N	174	38732	UROK	\N	\N
3676003	6363	1996-04-30	PRIJEM	\N	170	39007	UROK	\N	\N
3676004	6363	1996-05-31	PRIJEM	\N	169	39382	UROK	\N	\N
3676005	6363	1996-06-30	PRIJEM	\N	181	46328	UROK	\N	\N
3676006	6363	1996-07-31	PRIJEM	\N	196	47029	UROK	\N	\N
3676007	6363	1996-08-31	PRIJEM	\N	198	46733	UROK	\N	\N
3676008	6363	1996-09-30	PRIJEM	\N	195	46233	UROK	\N	\N
3676009	6363	1996-10-31	PRIJEM	\N	191	46930	UROK	\N	\N
3676010	6363	1996-11-30	PRIJEM	\N	194	46529	UROK	\N	\N
3676011	6363	1996-12-31	PRIJEM	\N	201	49276	UROK	\N	\N
3676012	6363	1997-01-31	PRIJEM	\N	216	54697	UROK	\N	\N
3676013	6363	1997-02-28	PRIJEM	\N	212	49154	UROK	\N	\N
3676014	6363	1997-03-31	PRIJEM	\N	214	53073	UROK	\N	\N
3676015	6363	1997-04-30	PRIJEM	\N	229	57307	UROK	\N	\N
3676016	6363	1997-05-31	PRIJEM	\N	240	59253	UROK	\N	\N
3676017	6363	1997-06-30	PRIJEM	\N	263	66581	UROK	\N	\N
3676018	6363	1997-07-31	PRIJEM	\N	271	66057	UROK	\N	\N
3676019	6363	1997-08-31	PRIJEM	\N	271	65774	UROK	\N	\N
3676020	6363	1997-09-30	PRIJEM	\N	278	68917	UROK	\N	\N
3676021	6363	1997-10-31	PRIJEM	\N	295	73978	UROK	\N	\N
3676022	6363	1997-11-30	PRIJEM	\N	302	74405	UROK	\N	\N
3676023	6363	1997-12-31	PRIJEM	\N	324	77555	UROK	\N	\N
3676024	6363	1998-01-31	PRIJEM	\N	319	78479	UROK	\N	\N
3676025	6363	1998-02-28	PRIJEM	\N	309	69113	UROK	\N	\N
3676026	6363	1998-03-31	PRIJEM	\N	295	73713	UROK	\N	\N
3676027	6363	1998-04-30	PRIJEM	\N	277	64276	UROK	\N	\N
3676028	6363	1998-05-31	PRIJEM	\N	277	71058	UROK	\N	\N
3676029	6363	1998-06-30	PRIJEM	\N	254	47557	UROK	\N	\N
3676030	6363	1998-07-31	PRIJEM	\N	248	68111	UROK	\N	\N
3676031	6363	1998-08-31	PRIJEM	\N	301	77617	UROK	\N	\N
3676032	6363	1998-09-30	PRIJEM	\N	324	82147	UROK	\N	\N
3676033	6363	1998-10-31	PRIJEM	\N	324	79075	UROK	\N	\N
3676034	6363	1998-11-30	PRIJEM	\N	308	73989	UROK	\N	\N
3676035	6363	1998-12-31	PRIJEM	\N	285	70539	UROK	\N	\N
3676135	6397	1995-04-30	PRIJEM	\N	53	22453	UROK	\N	\N
3676136	6397	1995-05-31	PRIJEM	\N	115	31368	UROK	\N	\N
3676137	6397	1995-06-30	PRIJEM	\N	158	42375	UROK	\N	\N
3676138	6397	1995-07-31	PRIJEM	\N	174	41750	UROK	\N	\N
3676139	6397	1995-08-31	PRIJEM	\N	160	23609	UROK	\N	\N
3676140	6397	1995-09-30	PRIJEM	\N	112	28807	UROK	\N	\N
3676141	6397	1995-10-31	PRIJEM	\N	139	32840	UROK	\N	\N
3676142	6397	1995-11-30	PRIJEM	\N	134	30960	UROK	\N	\N
3676143	6397	1995-12-31	PRIJEM	\N	144	27639	UROK	\N	\N
3676144	6397	1996-01-31	PRIJEM	\N	113	20537	UROK	\N	\N
3676145	6397	1996-02-29	PRIJEM	\N	120	31542	UROK	\N	\N
3676146	6397	1996-03-31	PRIJEM	\N	150	29078	UROK	\N	\N
3676147	6397	1996-04-30	PRIJEM	\N	144	34808	UROK	\N	\N
3676148	6397	1996-05-31	PRIJEM	\N	125	23934	UROK	\N	\N
3676149	6397	1996-06-30	PRIJEM	\N	148	36018	UROK	\N	\N
3676150	6397	1996-07-31	PRIJEM	\N	124	27030	UROK	\N	\N
3676151	6397	1996-08-31	PRIJEM	\N	129	31944	UROK	\N	\N
3676152	6397	1996-09-30	PRIJEM	\N	157	32783	UROK	\N	\N
3676153	6397	1996-10-31	PRIJEM	\N	164	40716	UROK	\N	\N
3676154	6397	1996-11-30	PRIJEM	\N	141	29836	UROK	\N	\N
3676155	6397	1996-12-31	PRIJEM	\N	149	26801	UROK	\N	\N
3676156	6397	1997-01-31	PRIJEM	\N	109	23979	UROK	\N	\N
3676157	6397	1997-02-28	PRIJEM	\N	138	34532	UROK	\N	\N
3676158	6397	1997-03-31	PRIJEM	\N	167	37367	UROK	\N	\N
3676159	6397	1997-04-30	PRIJEM	\N	181	45317	UROK	\N	\N
3676160	6397	1997-05-31	PRIJEM	\N	175	34357	UROK	\N	\N
3676161	6397	1997-06-30	PRIJEM	\N	231	59207	UROK	\N	\N
3676162	6397	1997-07-31	PRIJEM	\N	247	55922	UROK	\N	\N
3676163	6397	1997-08-31	PRIJEM	\N	178	40477	UROK	\N	\N
3676164	6397	1997-09-30	PRIJEM	\N	196	53641	UROK	\N	\N
3676165	6397	1997-10-31	PRIJEM	\N	216	42926	UROK	\N	\N
3676166	6397	1997-11-30	PRIJEM	\N	212	46307	UROK	\N	\N
3676167	6397	1997-12-31	PRIJEM	\N	142	35968	UROK	\N	\N
3676168	6397	1998-01-31	PRIJEM	\N	138	36074	UROK	\N	\N
3676169	6397	1998-02-28	PRIJEM	\N	183	43426	UROK	\N	\N
3676170	6397	1998-03-31	PRIJEM	\N	205	39551	UROK	\N	\N
3676171	6397	1998-04-30	PRIJEM	\N	197	46717	UROK	\N	\N
3676172	6397	1998-05-31	PRIJEM	\N	203	38700	UROK	\N	\N
3676173	6397	1998-06-30	PRIJEM	\N	181	43060	UROK	\N	\N
3676174	6397	1998-07-31	PRIJEM	\N	197	43926	UROK	\N	\N
3676175	6397	1998-08-31	PRIJEM	\N	211	50205	UROK	\N	\N
3676176	6397	1998-09-30	PRIJEM	\N	232	50806	UROK	\N	\N
3676177	6397	1998-10-31	PRIJEM	\N	175	37706	UROK	\N	\N
3676178	6397	1998-11-30	PRIJEM	\N	191	52366	UROK	\N	\N
3676179	6397	1998-12-31	PRIJEM	\N	263	70147	UROK	\N	\N
3676180	6400	1995-10-31	PRIJEM	\N	97	59924	UROK	\N	\N
3676181	6400	1995-11-30	PRIJEM	\N	221	51140	UROK	\N	\N
3676182	6400	1995-12-31	PRIJEM	\N	212	33953	UROK	\N	\N
3676183	6400	1996-01-31	PRIJEM	\N	210	50364	UROK	\N	\N
3676184	6400	1996-02-29	PRIJEM	\N	209	36573	UROK	\N	\N
3676185	6400	1996-03-31	PRIJEM	\N	209	29782	UROK	\N	\N
3676186	6400	1996-04-30	PRIJEM	\N	209	28691	UROK	\N	\N
3676187	6400	1996-05-31	PRIJEM	\N	209	28200	UROK	\N	\N
3676188	6400	1996-06-30	PRIJEM	\N	209	27709	UROK	\N	\N
3676189	6400	1996-07-31	PRIJEM	\N	209	28518	UROK	\N	\N
3676190	6400	1996-08-31	PRIJEM	\N	137	26242	UROK	\N	\N
3676191	6400	1996-09-30	PRIJEM	\N	95	16177	UROK	\N	\N
3676192	6400	1996-10-31	PRIJEM	\N	42	5643	UROK	\N	\N
3676193	6400	1996-11-30	PRIJEM	\N	11	-2221	UROK	\N	\N
3676194	6400	1996-11-30	VYDAJ	VYBER	13	-2334	SANKC. UROK	\N	\N
3676195	6400	1996-12-31	PRIJEM	\N	11	3721	UROK	\N	\N
3676196	6400	1996-12-31	VYDAJ	VYBER	9	3713	SANKC. UROK	\N	\N
3676197	6400	1997-01-31	PRIJEM	\N	59	26536	UROK	\N	\N
3676198	6400	1997-01-31	VYDAJ	VYBER	1	26436	SANKC. UROK	\N	\N
3676199	6400	1997-02-28	PRIJEM	\N	145	39718	UROK	\N	\N
3676200	6400	1997-03-31	PRIJEM	\N	97	13339	UROK	\N	\N
3676201	6400	1997-04-30	PRIJEM	\N	33	3997	UROK	\N	\N
3676202	6400	1997-05-31	PRIJEM	\N	41	21516	UROK	\N	\N
3676203	6400	1997-06-30	PRIJEM	\N	167	76331	UROK	\N	\N
3676204	6400	1997-07-31	PRIJEM	\N	259	51115	UROK	\N	\N
3676205	6400	1997-08-31	PRIJEM	\N	262	55300	UROK	\N	\N
3676206	6400	1997-09-30	PRIJEM	\N	206	40344	UROK	\N	\N
3676207	6400	1997-10-31	PRIJEM	\N	194	48297	UROK	\N	\N
3676208	6400	1997-11-30	PRIJEM	\N	162	41083	UROK	\N	\N
3676209	6400	1997-12-31	PRIJEM	\N	203	48759	UROK	\N	\N
3676210	6400	1998-01-31	PRIJEM	\N	155	65551	UROK	\N	\N
3676211	6400	1998-02-28	PRIJEM	\N	234	23579	UROK	\N	\N
3676212	6400	1998-03-31	PRIJEM	\N	69	25989	UROK	\N	\N
3676213	6400	1998-04-30	PRIJEM	\N	80	32310	UROK	\N	\N
3676214	6400	1998-05-31	PRIJEM	\N	162	104079	UROK	\N	\N
3676215	6400	1998-06-30	PRIJEM	\N	328	61120	UROK	\N	\N
3676216	6400	1998-07-31	PRIJEM	\N	269	60156	UROK	\N	\N
3676217	6400	1998-08-31	PRIJEM	\N	223	55120	UROK	\N	\N
3676218	6400	1998-09-30	PRIJEM	\N	301	64068	UROK	\N	\N
3676219	6400	1998-10-31	PRIJEM	\N	259	46353	UROK	\N	\N
3676220	6400	1998-11-30	PRIJEM	\N	119	37472	UROK	\N	\N
3676221	6400	1998-12-31	PRIJEM	\N	81	13393	UROK	\N	\N
3676269	6425	1993-04-30	PRIJEM	\N	8	19976	UROK	\N	\N
3676270	6425	1993-05-31	PRIJEM	\N	87	26931	UROK	\N	\N
3676271	6425	1993-06-30	PRIJEM	\N	117	36701	UROK	\N	\N
3676272	6425	1993-07-31	PRIJEM	\N	153	38022	UROK	\N	\N
3676273	6425	1993-08-31	PRIJEM	\N	171	38421	UROK	\N	\N
3676274	6425	1993-09-30	PRIJEM	\N	166	28140	UROK	\N	\N
3676275	6425	1993-10-31	PRIJEM	\N	137	29750	UROK	\N	\N
3676276	6425	1993-11-30	PRIJEM	\N	124	25128	UROK	\N	\N
3676277	6425	1993-12-31	PRIJEM	\N	120	24065	UROK	\N	\N
3676278	6425	1994-01-31	PRIJEM	\N	122	27760	UROK	\N	\N
3676279	6425	1994-02-28	PRIJEM	\N	126	23339	UROK	\N	\N
3676280	6425	1994-03-31	PRIJEM	\N	112	26644	UROK	\N	\N
3676281	6425	1994-04-30	PRIJEM	\N	119	29416	UROK	\N	\N
3676282	6425	1994-05-31	PRIJEM	\N	132	26702	UROK	\N	\N
3676283	6425	1994-06-30	PRIJEM	\N	137	16797	UROK	\N	\N
3676284	6425	1994-07-31	PRIJEM	\N	79	21969	UROK	\N	\N
3676285	6425	1994-08-31	PRIJEM	\N	116	29039	UROK	\N	\N
3676286	6425	1994-09-30	PRIJEM	\N	131	29323	UROK	\N	\N
3676287	6425	1994-10-31	PRIJEM	\N	141	34218	UROK	\N	\N
3676288	6425	1994-11-30	PRIJEM	\N	124	26896	UROK	\N	\N
3676289	6425	1994-12-31	PRIJEM	\N	144	33138	UROK	\N	\N
3676290	6425	1995-01-31	PRIJEM	\N	145	32678	UROK	\N	\N
3676291	6425	1995-02-28	PRIJEM	\N	143	34118	UROK	\N	\N
3676292	6425	1995-03-31	PRIJEM	\N	137	30691	UROK	\N	\N
3676293	6425	1995-04-30	PRIJEM	\N	137	31084	UROK	\N	\N
3676294	6425	1995-05-31	PRIJEM	\N	126	26306	UROK	\N	\N
3676295	6425	1995-06-30	PRIJEM	\N	115	21342	UROK	\N	\N
3676296	6425	1995-07-31	PRIJEM	\N	83	17381	UROK	\N	\N
3676297	6425	1995-08-31	PRIJEM	\N	84	20461	UROK	\N	\N
3676298	6425	1995-09-30	PRIJEM	\N	87	20203	UROK	\N	\N
3676299	6425	1995-10-31	PRIJEM	\N	94	23294	UROK	\N	\N
3676300	6425	1995-11-30	PRIJEM	\N	105	25695	UROK	\N	\N
3676301	6425	1995-12-31	PRIJEM	\N	123	29438	UROK	\N	\N
3676302	6425	1996-01-31	PRIJEM	\N	127	32398	UROK	\N	\N
3676303	6425	1996-02-29	PRIJEM	\N	134	32086	UROK	\N	\N
3676304	6425	1996-03-31	PRIJEM	\N	127	25826	UROK	\N	\N
3676305	6425	1996-04-30	PRIJEM	\N	101	24560	UROK	\N	\N
3676306	6425	1996-05-31	PRIJEM	\N	109	26263	UROK	\N	\N
3676307	6425	1996-06-30	PRIJEM	\N	107	26707	UROK	\N	\N
3676308	6425	1996-07-31	PRIJEM	\N	108	24668	UROK	\N	\N
3676309	6425	1996-08-31	PRIJEM	\N	97	23019	UROK	\N	\N
3676310	6425	1996-09-30	PRIJEM	\N	81	21253	UROK	\N	\N
3676311	6425	1996-10-31	PRIJEM	\N	92	21599	UROK	\N	\N
3676312	6425	1996-11-30	PRIJEM	\N	82	17534	UROK	\N	\N
3676313	6425	1996-12-31	PRIJEM	\N	70	19681	UROK	\N	\N
3676314	6425	1997-01-31	PRIJEM	\N	70	17344	UROK	\N	\N
3676315	6425	1997-02-28	PRIJEM	\N	98	26695	UROK	\N	\N
3676316	6425	1997-03-31	PRIJEM	\N	74	16342	UROK	\N	\N
3676317	6425	1997-04-30	PRIJEM	\N	70	16965	UROK	\N	\N
3676318	6425	1997-05-31	PRIJEM	\N	88	18227	UROK	\N	\N
3676319	6425	1997-06-30	PRIJEM	\N	81	24446	UROK	\N	\N
3676320	6425	1997-07-31	PRIJEM	\N	95	24194	UROK	\N	\N
3676321	6425	1997-08-31	PRIJEM	\N	81	20069	UROK	\N	\N
3676322	6425	1997-09-30	PRIJEM	\N	88	23511	UROK	\N	\N
3676323	6425	1997-10-31	PRIJEM	\N	94	23558	UROK	\N	\N
3676324	6425	1997-11-30	PRIJEM	\N	95	27046	UROK	\N	\N
3676325	6425	1997-12-31	PRIJEM	\N	96	26960	UROK	\N	\N
3676326	6425	1998-01-31	PRIJEM	\N	65	12158	UROK	\N	\N
3676327	6425	1998-02-28	PRIJEM	\N	62	18173	UROK	\N	\N
3676328	6425	1998-03-31	PRIJEM	\N	95	25821	UROK	\N	\N
3676329	6425	1998-04-30	PRIJEM	\N	90	22765	UROK	\N	\N
3676330	6425	1998-05-31	PRIJEM	\N	97	26535	UROK	\N	\N
3676331	6425	1998-06-30	PRIJEM	\N	121	28093	UROK	\N	\N
3676332	6425	1998-07-31	PRIJEM	\N	116	26763	UROK	\N	\N
3676333	6425	1998-08-31	PRIJEM	\N	101	16697	UROK	\N	\N
3676334	6425	1998-09-30	PRIJEM	\N	39	21489	UROK	\N	\N
3676335	6425	1998-10-31	PRIJEM	\N	81	16124	UROK	\N	\N
3676336	6425	1998-11-30	PRIJEM	\N	74	20711	UROK	\N	\N
3676337	6425	1998-12-31	PRIJEM	\N	105	27214	UROK	\N	\N
3676437	6434	1995-11-30	PRIJEM	\N	84	50209	UROK	\N	\N
3676438	6434	1995-12-31	PRIJEM	\N	209	39417	UROK	\N	\N
3676439	6434	1996-01-31	PRIJEM	\N	213	52117	UROK	\N	\N
3676440	6434	1996-02-29	PRIJEM	\N	216	41734	UROK	\N	\N
3676441	6434	1996-03-31	PRIJEM	\N	215	51666	UROK	\N	\N
3676442	6434	1996-04-30	PRIJEM	\N	234	79599	UROK	\N	\N
3676443	6434	1996-05-31	PRIJEM	\N	374	123617	UROK	\N	\N
3676444	6434	1996-06-30	PRIJEM	\N	144	32055	UROK	\N	\N
3676445	6434	1996-07-31	PRIJEM	\N	220	92121	UROK	\N	\N
3676446	6434	1996-08-31	PRIJEM	\N	221	36537	UROK	\N	\N
3676447	6434	1996-09-30	PRIJEM	\N	112	37032	UROK	\N	\N
3676448	6434	1996-10-31	PRIJEM	\N	156	45652	UROK	\N	\N
3676449	6434	1996-11-30	PRIJEM	\N	187	49115	UROK	\N	\N
3676450	6434	1996-12-31	PRIJEM	\N	297	48332	UROK	\N	\N
3676451	6434	1997-01-31	PRIJEM	\N	121	23259	UROK	\N	\N
3676452	6434	1997-02-28	PRIJEM	\N	172	54245	UROK	\N	\N
3676453	6434	1997-03-31	PRIJEM	\N	198	45123	UROK	\N	\N
3676454	6434	1997-04-30	PRIJEM	\N	210	52280	UROK	\N	\N
3676455	6434	1997-05-31	PRIJEM	\N	264	56116	UROK	\N	\N
3676456	6434	1997-06-30	PRIJEM	\N	181	67713	UROK	\N	\N
3676457	6434	1997-07-31	PRIJEM	\N	288	48886	UROK	\N	\N
3676458	6434	1997-08-31	PRIJEM	\N	313	60722	UROK	\N	\N
3676459	6434	1997-09-30	PRIJEM	\N	208	29735	UROK	\N	\N
3676460	6434	1997-10-31	PRIJEM	\N	163	56225	UROK	\N	\N
3676461	6434	1997-11-30	PRIJEM	\N	186	29917	UROK	\N	\N
3676462	6434	1997-12-31	PRIJEM	\N	148	24697	UROK	\N	\N
3676463	6434	1998-01-31	PRIJEM	\N	126	27342	UROK	\N	\N
3676464	6434	1998-02-28	PRIJEM	\N	171	35432	UROK	\N	\N
3676465	6434	1998-03-31	PRIJEM	\N	116	22053	UROK	\N	\N
3676466	6434	1998-04-30	PRIJEM	\N	65	12623	UROK	\N	\N
3676467	6434	1998-05-31	PRIJEM	\N	145	48728	UROK	\N	\N
3676468	6434	1998-06-30	PRIJEM	\N	207	69400	UROK	\N	\N
3676469	6434	1998-07-31	PRIJEM	\N	229	38335	UROK	\N	\N
3676470	6434	1998-08-31	PRIJEM	\N	193	34968	UROK	\N	\N
3676471	6434	1998-09-30	PRIJEM	\N	151	34864	UROK	\N	\N
3676472	6434	1998-10-31	PRIJEM	\N	142	39753	UROK	\N	\N
3676473	6434	1998-11-30	PRIJEM	\N	184	34244	UROK	\N	\N
3676474	6434	1998-12-31	PRIJEM	\N	236	38708	UROK	\N	\N
3676475	6440	1996-12-31	PRIJEM	\N	99	65902	UROK	\N	\N
3676476	6440	1997-01-31	PRIJEM	\N	194	45721	UROK	\N	\N
3676477	6440	1997-02-28	PRIJEM	\N	324	76967	UROK	\N	\N
3676478	6440	1997-03-31	PRIJEM	\N	335	64931	UROK	\N	\N
3676479	6440	1997-04-30	PRIJEM	\N	247	47475	UROK	\N	\N
3676480	6440	1997-05-31	PRIJEM	\N	115	63304	UROK	\N	\N
3676481	6440	1997-06-30	PRIJEM	\N	325	54729	UROK	\N	\N
3676482	6440	1997-07-31	PRIJEM	\N	221	38455	UROK	\N	\N
3676483	6440	1997-08-31	PRIJEM	\N	334	66964	UROK	\N	\N
3676484	6440	1997-09-30	PRIJEM	\N	161	32887	UROK	\N	\N
3676485	6440	1997-10-31	PRIJEM	\N	210	56643	UROK	\N	\N
3676486	6440	1997-11-30	PRIJEM	\N	316	59322	UROK	\N	\N
3676487	6440	1997-12-31	PRIJEM	\N	238	42064	UROK	\N	\N
3676488	6440	1998-01-31	PRIJEM	\N	124	26092	UROK	\N	\N
3676489	6440	1998-02-28	PRIJEM	\N	146	33978	UROK	\N	\N
3676490	6440	1998-03-31	PRIJEM	\N	102	24803	UROK	\N	\N
3676491	6440	1998-04-30	PRIJEM	\N	185	47198	UROK	\N	\N
3676492	6440	1998-05-31	PRIJEM	\N	175	39377	UROK	\N	\N
3676493	6440	1998-06-30	PRIJEM	\N	173	28618	UROK	\N	\N
3676494	6440	1998-07-31	PRIJEM	\N	122	29925	UROK	\N	\N
3676495	6440	1998-08-31	PRIJEM	\N	138	38487	UROK	\N	\N
3676496	6440	1998-09-30	PRIJEM	\N	157	26980	UROK	\N	\N
3676497	6440	1998-10-31	PRIJEM	\N	116	30081	UROK	\N	\N
3676498	6440	1998-11-30	PRIJEM	\N	142	37242	UROK	\N	\N
3676499	6440	1998-12-31	PRIJEM	\N	103	19887	UROK	\N	\N
3676545	6453	1996-08-31	PRIJEM	\N	11	13536	UROK	\N	\N
3676546	6453	1996-09-30	PRIJEM	\N	64	22225	UROK	\N	\N
3676547	6453	1996-10-31	PRIJEM	\N	94	23543	UROK	\N	\N
3676548	6453	1996-11-30	PRIJEM	\N	102	28370	UROK	\N	\N
3676549	6453	1996-12-31	PRIJEM	\N	114	22702	UROK	\N	\N
3676550	6453	1997-01-31	PRIJEM	\N	73	15596	UROK	\N	\N
3676551	6453	1997-02-28	PRIJEM	\N	64	19000	UROK	\N	\N
3676552	6453	1997-03-31	PRIJEM	\N	86	22946	UROK	\N	\N
3676553	6453	1997-04-30	PRIJEM	\N	102	24708	UROK	\N	\N
3676554	6453	1997-05-31	PRIJEM	\N	109	25977	UROK	\N	\N
3676555	6453	1997-06-30	PRIJEM	\N	114	26814	UROK	\N	\N
3676556	6453	1997-07-31	PRIJEM	\N	109	23883	UROK	\N	\N
3676557	6453	1997-08-31	PRIJEM	\N	96	20539	UROK	\N	\N
3676558	6453	1997-09-30	PRIJEM	\N	89	21989	UROK	\N	\N
3676559	6453	1997-10-31	PRIJEM	\N	88	19238	UROK	\N	\N
3676560	6453	1997-11-30	PRIJEM	\N	78	18616	UROK	\N	\N
3676561	6453	1997-12-31	PRIJEM	\N	90	21389	UROK	\N	\N
3676562	6453	1998-01-31	PRIJEM	\N	86	15715	UROK	\N	\N
3676563	6453	1998-02-28	PRIJEM	\N	77	21252	UROK	\N	\N
3676564	6453	1998-03-31	PRIJEM	\N	96	24708	UROK	\N	\N
3676565	6453	1998-04-30	PRIJEM	\N	106	27775	UROK	\N	\N
3676566	6453	1998-05-31	PRIJEM	\N	120	29655	UROK	\N	\N
3676567	6453	1998-06-30	PRIJEM	\N	117	25691	UROK	\N	\N
3676568	6453	1998-07-31	PRIJEM	\N	103	23450	UROK	\N	\N
3676569	6453	1998-08-31	PRIJEM	\N	86	17613	UROK	\N	\N
3676570	6453	1998-09-30	PRIJEM	\N	72	16941	UROK	\N	\N
3676571	6453	1998-10-31	PRIJEM	\N	68	16665	UROK	\N	\N
3676572	6453	1998-11-30	PRIJEM	\N	80	21201	UROK	\N	\N
3676573	6453	1998-12-31	PRIJEM	\N	94	20393	UROK	\N	\N
3676574	6461	1996-08-31	PRIJEM	\N	91	63982	UROK	\N	\N
3676575	6461	1996-09-30	PRIJEM	\N	308	65712	UROK	\N	\N
3676576	6461	1996-10-31	PRIJEM	\N	284	77315	UROK	\N	\N
3676577	6461	1996-11-30	PRIJEM	\N	278	50878	UROK	\N	\N
3676578	6461	1996-12-31	PRIJEM	\N	263	62821	UROK	\N	\N
3676579	6461	1997-01-31	PRIJEM	\N	170	23363	UROK	\N	\N
3676580	6461	1997-02-28	PRIJEM	\N	96	19750	UROK	\N	\N
3676581	6461	1997-03-31	PRIJEM	\N	88	21523	UROK	\N	\N
3676582	6461	1997-04-30	PRIJEM	\N	92	33400	UROK	\N	\N
3676583	6461	1997-05-31	PRIJEM	\N	191	44852	UROK	\N	\N
3676584	6461	1997-06-30	PRIJEM	\N	168	59836	UROK	\N	\N
3676585	6461	1997-07-31	PRIJEM	\N	382	50152	UROK	\N	\N
3676586	6461	1997-08-31	PRIJEM	\N	228	44521	UROK	\N	\N
3676587	6461	1997-09-30	PRIJEM	\N	183	43597	UROK	\N	\N
3676588	6461	1997-10-31	PRIJEM	\N	175	41165	UROK	\N	\N
3676589	6461	1997-11-30	PRIJEM	\N	178	45240	UROK	\N	\N
3676590	6461	1997-12-31	PRIJEM	\N	192	52641	UROK	\N	\N
3676591	6461	1998-01-31	PRIJEM	\N	209	67162	UROK	\N	\N
3676592	6461	1998-02-28	PRIJEM	\N	287	104486	UROK	\N	\N
3676593	6461	1998-03-31	PRIJEM	\N	255	32122	UROK	\N	\N
3676594	6461	1998-04-30	PRIJEM	\N	147	32485	UROK	\N	\N
3676595	6461	1998-05-31	PRIJEM	\N	180	56282	UROK	\N	\N
3676596	6461	1998-06-30	PRIJEM	\N	215	65831	UROK	\N	\N
3676597	6461	1998-07-31	PRIJEM	\N	215	43151	UROK	\N	\N
3676598	6461	1998-08-31	PRIJEM	\N	163	37008	UROK	\N	\N
3676599	6461	1998-09-30	PRIJEM	\N	229	92294	UROK	\N	\N
3676600	6461	1998-10-31	PRIJEM	\N	366	67955	UROK	\N	\N
3676601	6461	1998-11-30	PRIJEM	\N	267	73241	UROK	\N	\N
3676602	6461	1998-12-31	PRIJEM	\N	165	25535	UROK	\N	\N
3676603	6472	1994-02-28	PRIJEM	\N	111	39364	UROK	\N	\N
3676604	6472	1994-03-31	PRIJEM	\N	203	52620	UROK	\N	\N
3676605	6472	1994-04-30	PRIJEM	\N	286	75858	UROK	\N	\N
3676606	6472	1994-05-31	PRIJEM	\N	354	89165	UROK	\N	\N
3676607	6472	1994-06-30	PRIJEM	\N	307	64653	UROK	\N	\N
3676608	6472	1994-07-31	PRIJEM	\N	305	75197	UROK	\N	\N
3676609	6472	1994-08-31	PRIJEM	\N	340	82975	UROK	\N	\N
3676610	6472	1994-09-30	PRIJEM	\N	374	92487	UROK	\N	\N
3676611	6472	1994-10-31	PRIJEM	\N	368	72633	UROK	\N	\N
3676612	6472	1994-11-30	PRIJEM	\N	335	89306	UROK	\N	\N
3676613	6472	1994-12-31	PRIJEM	\N	368	73765	UROK	\N	\N
3676614	6472	1995-01-31	PRIJEM	\N	230	30465	UROK	\N	\N
3676615	6472	1995-02-28	PRIJEM	\N	186	45295	UROK	\N	\N
3676616	6472	1995-03-31	PRIJEM	\N	223	49492	UROK	\N	\N
3676617	6472	1995-04-30	PRIJEM	\N	269	64952	UROK	\N	\N
3676618	6472	1995-05-31	PRIJEM	\N	317	72910	UROK	\N	\N
3676619	6472	1995-06-30	PRIJEM	\N	299	67253	UROK	\N	\N
3676620	6472	1995-07-31	PRIJEM	\N	306	80400	UROK	\N	\N
3676621	6472	1995-08-31	PRIJEM	\N	354	86473	UROK	\N	\N
3676622	6472	1995-09-30	PRIJEM	\N	276	73760	UROK	\N	\N
3676623	6472	1995-10-31	PRIJEM	\N	259	67497	UROK	\N	\N
3676624	6472	1995-11-30	PRIJEM	\N	299	70027	UROK	\N	\N
3676625	6472	1995-12-31	PRIJEM	\N	334	58075	UROK	\N	\N
3676626	6472	1996-01-31	PRIJEM	\N	176	34414	UROK	\N	\N
3676627	6472	1996-02-29	PRIJEM	\N	175	32635	UROK	\N	\N
3676628	6472	1996-03-31	PRIJEM	\N	204	44283	UROK	\N	\N
3676629	6472	1996-04-30	PRIJEM	\N	262	47015	UROK	\N	\N
3676630	6472	1996-05-31	PRIJEM	\N	284	56038	UROK	\N	\N
3676631	6472	1996-06-30	PRIJEM	\N	287	50474	UROK	\N	\N
3676632	6472	1996-07-31	PRIJEM	\N	272	56230	UROK	\N	\N
3676633	6472	1996-08-31	PRIJEM	\N	283	47808	UROK	\N	\N
3676634	6472	1996-09-30	PRIJEM	\N	210	36138	UROK	\N	\N
3676635	6472	1996-10-31	PRIJEM	\N	159	47236	UROK	\N	\N
3676636	6472	1996-11-30	PRIJEM	\N	247	49929	UROK	\N	\N
3676637	6472	1996-12-31	PRIJEM	\N	217	58111	UROK	\N	\N
3676638	6472	1997-01-31	PRIJEM	\N	202	31723	UROK	\N	\N
3676639	6472	1997-02-28	PRIJEM	\N	213	48774	UROK	\N	\N
3676640	6472	1997-03-31	PRIJEM	\N	200	45813	UROK	\N	\N
3676641	6472	1997-04-30	PRIJEM	\N	254	53505	UROK	\N	\N
3676642	6472	1997-05-31	PRIJEM	\N	287	60431	UROK	\N	\N
3676643	6472	1997-06-30	PRIJEM	\N	309	53405	UROK	\N	\N
3676644	6472	1997-07-31	PRIJEM	\N	224	60168	UROK	\N	\N
3676645	6472	1997-08-31	PRIJEM	\N	239	62345	UROK	\N	\N
3676646	6472	1997-09-30	PRIJEM	\N	266	59179	UROK	\N	\N
3676647	6472	1997-10-31	PRIJEM	\N	232	51050	UROK	\N	\N
3676648	6472	1997-11-30	PRIJEM	\N	256	58445	UROK	\N	\N
3676649	6472	1997-12-31	PRIJEM	\N	311	64421	UROK	\N	\N
3676650	6472	1998-01-31	PRIJEM	\N	219	26178	UROK	\N	\N
3676651	6472	1998-02-28	PRIJEM	\N	136	33264	UROK	\N	\N
3676652	6472	1998-03-31	PRIJEM	\N	196	55099	UROK	\N	\N
3676653	6472	1998-04-30	PRIJEM	\N	274	63611	UROK	\N	\N
3676654	6472	1998-05-31	PRIJEM	\N	291	52590	UROK	\N	\N
3676655	6472	1998-06-30	PRIJEM	\N	244	46800	UROK	\N	\N
3676656	6472	1998-07-31	PRIJEM	\N	167	13886	UROK	\N	\N
3676657	6472	1998-08-31	PRIJEM	\N	69	17343	UROK	\N	\N
3676658	6472	1998-09-30	PRIJEM	\N	116	42197	UROK	\N	\N
3676659	6472	1998-10-31	PRIJEM	\N	170	35989	UROK	\N	\N
3676660	6472	1998-11-30	PRIJEM	\N	156	37384	UROK	\N	\N
3676661	6472	1998-12-31	PRIJEM	\N	228	58992	UROK	\N	\N
3676741	6495	1996-08-31	PRIJEM	\N	28	20909	UROK	\N	\N
3676742	6495	1996-09-30	PRIJEM	\N	108	36298	UROK	\N	\N
3676743	6495	1996-10-31	PRIJEM	\N	160	42339	UROK	\N	\N
3676744	6495	1996-11-30	PRIJEM	\N	186	48806	UROK	\N	\N
3676745	6495	1996-12-31	PRIJEM	\N	208	41270	UROK	\N	\N
3676746	6495	1997-01-31	PRIJEM	\N	167	27717	UROK	\N	\N
3676747	6495	1997-02-28	PRIJEM	\N	129	31107	UROK	\N	\N
3676748	6495	1997-03-31	PRIJEM	\N	161	32488	UROK	\N	\N
3676749	6495	1997-04-30	PRIJEM	\N	147	35696	UROK	\N	\N
3676750	6495	1997-05-31	PRIJEM	\N	154	39030	UROK	\N	\N
3676751	6495	1997-06-30	PRIJEM	\N	206	45738	UROK	\N	\N
3676752	6495	1997-07-31	PRIJEM	\N	216	46334	UROK	\N	\N
3676753	6495	1997-08-31	PRIJEM	\N	210	46704	UROK	\N	\N
3676754	6495	1997-09-30	PRIJEM	\N	205	46769	UROK	\N	\N
3676755	6495	1997-10-31	PRIJEM	\N	196	38825	UROK	\N	\N
3676756	6495	1997-11-30	PRIJEM	\N	163	35789	UROK	\N	\N
3676757	6495	1997-12-31	PRIJEM	\N	162	31332	UROK	\N	\N
3676758	6495	1998-01-31	PRIJEM	\N	140	31332	UROK	\N	\N
3676759	6495	1998-02-28	PRIJEM	\N	139	32332	UROK	\N	\N
3676760	6495	1998-03-31	PRIJEM	\N	161	33053	UROK	\N	\N
3676761	6495	1998-04-30	PRIJEM	\N	157	32950	UROK	\N	\N
3676762	6495	1998-05-31	PRIJEM	\N	148	30911	UROK	\N	\N
3676763	6495	1998-06-30	PRIJEM	\N	133	23318	UROK	\N	\N
3676764	6495	1998-07-31	PRIJEM	\N	114	27346	UROK	\N	\N
3676765	6495	1998-08-31	PRIJEM	\N	117	25976	UROK	\N	\N
3676766	6495	1998-09-30	PRIJEM	\N	112	23861	UROK	\N	\N
3676767	6495	1998-10-31	PRIJEM	\N	109	25284	UROK	\N	\N
3676768	6495	1998-11-30	PRIJEM	\N	109	24606	UROK	\N	\N
3676769	6495	1998-12-31	PRIJEM	\N	124	24245	UROK	\N	\N
3676770	6505	1997-09-30	PRIJEM	\N	15	36046	UROK	\N	\N
3676771	6505	1997-10-31	PRIJEM	\N	150	26296	UROK	\N	\N
3676772	6505	1997-11-30	PRIJEM	\N	150	23246	UROK	\N	\N
3676773	6505	1997-12-31	PRIJEM	\N	150	22996	UROK	\N	\N
3676774	6505	1998-01-31	PRIJEM	\N	150	21547	UROK	\N	\N
3676775	6505	1998-02-28	PRIJEM	\N	150	18697	UROK	\N	\N
3676776	6505	1998-03-31	PRIJEM	\N	150	18347	UROK	\N	\N
3676777	6505	1998-04-30	PRIJEM	\N	150	18997	UROK	\N	\N
3676778	6505	1998-05-31	PRIJEM	\N	150	16347	UROK	\N	\N
3676779	6505	1998-06-30	PRIJEM	\N	204	37774	UROK	\N	\N
3676780	6505	1998-07-31	PRIJEM	\N	243	62960	UROK	\N	\N
3676781	6505	1998-08-31	PRIJEM	\N	287	85753	UROK	\N	\N
3676782	6505	1998-09-30	PRIJEM	\N	327	92238	UROK	\N	\N
3676783	6505	1998-10-31	PRIJEM	\N	291	57807	UROK	\N	\N
3676784	6505	1998-11-30	PRIJEM	\N	248	59971	UROK	\N	\N
3676785	6505	1998-12-31	PRIJEM	\N	184	39933	UROK	\N	\N
3676786	6510	1996-12-31	PRIJEM	\N	55	40999	UROK	\N	\N
3676787	6510	1997-01-31	PRIJEM	\N	302	81604	UROK	\N	\N
3676788	6510	1997-02-28	PRIJEM	\N	299	47346	UROK	\N	\N
3676789	6510	1997-03-31	PRIJEM	\N	136	27160	UROK	\N	\N
3676790	6510	1997-04-30	PRIJEM	\N	182	65081	UROK	\N	\N
3676791	6510	1997-05-31	PRIJEM	\N	293	59885	UROK	\N	\N
3676792	6510	1997-06-30	PRIJEM	\N	194	16648	UROK	\N	\N
3676793	6510	1997-07-31	PRIJEM	\N	84	13971	UROK	\N	\N
3676794	6510	1997-08-31	PRIJEM	\N	133	39295	UROK	\N	\N
3676795	6510	1997-09-30	PRIJEM	\N	226	64608	UROK	\N	\N
3676796	6510	1997-10-31	PRIJEM	\N	232	49617	UROK	\N	\N
3676797	6510	1997-11-30	PRIJEM	\N	184	31332	UROK	\N	\N
3676798	6510	1997-12-31	PRIJEM	\N	236	56243	UROK	\N	\N
3676799	6510	1998-01-31	PRIJEM	\N	189	54400	UROK	\N	\N
3676800	6510	1998-02-28	PRIJEM	\N	131	13860	UROK	\N	\N
3676801	6510	1998-03-31	PRIJEM	\N	68	8306	UROK	\N	\N
3676802	6510	1998-04-30	PRIJEM	\N	63	19246	UROK	\N	\N
3676803	6510	1998-05-31	PRIJEM	\N	59	8780	UROK	\N	\N
3676804	6510	1998-06-30	PRIJEM	\N	71	11494	UROK	\N	\N
3676805	6510	1998-07-31	PRIJEM	\N	70	24672	UROK	\N	\N
3676806	6510	1998-08-31	PRIJEM	\N	245	102912	UROK	\N	\N
3676807	6510	1998-09-30	PRIJEM	\N	310	62199	UROK	\N	\N
3676808	6510	1998-10-31	PRIJEM	\N	254	82868	UROK	\N	\N
3676809	6510	1998-11-30	PRIJEM	\N	291	57229	UROK	\N	\N
3676810	6510	1998-12-31	PRIJEM	\N	200	43707	UROK	\N	\N
3677024	6555	1993-03-31	PRIJEM	\N	72	60583	UROK	\N	\N
3677025	6555	1993-04-30	PRIJEM	\N	228	53774	UROK	\N	\N
3677026	6555	1993-05-31	PRIJEM	\N	223	37297	UROK	\N	\N
3677027	6555	1993-06-30	PRIJEM	\N	214	32161	UROK	\N	\N
3677028	6555	1993-07-31	PRIJEM	\N	102	22119	UROK	\N	\N
3677029	6555	1993-08-31	PRIJEM	\N	99	33513	UROK	\N	\N
3677030	6555	1993-09-30	PRIJEM	\N	265	90580	UROK	\N	\N
3677031	6555	1993-10-31	PRIJEM	\N	299	81149	UROK	\N	\N
3677032	6555	1993-11-30	PRIJEM	\N	127	27676	UROK	\N	\N
3677033	6555	1993-12-31	PRIJEM	\N	196	47558	UROK	\N	\N
3677034	6555	1994-01-31	PRIJEM	\N	146	27974	UROK	\N	\N
3677035	6555	1994-02-28	PRIJEM	\N	250	91892	UROK	\N	\N
3677036	6555	1994-03-31	PRIJEM	\N	345	64567	UROK	\N	\N
3677037	6555	1994-04-30	PRIJEM	\N	223	36960	UROK	\N	\N
3677038	6555	1994-05-31	PRIJEM	\N	314	52362	UROK	\N	\N
3677039	6555	1994-06-30	PRIJEM	\N	210	53328	UROK	\N	\N
3677040	6555	1994-07-31	PRIJEM	\N	225	37829	UROK	\N	\N
3677041	6555	1994-08-31	PRIJEM	\N	161	34770	UROK	\N	\N
3677042	6555	1994-09-30	PRIJEM	\N	195	42743	UROK	\N	\N
3677043	6555	1994-10-31	PRIJEM	\N	167	31281	UROK	\N	\N
3677044	6555	1994-11-30	PRIJEM	\N	127	28977	UROK	\N	\N
3677045	6555	1994-12-31	PRIJEM	\N	142	29432	UROK	\N	\N
3677046	6555	1995-01-31	PRIJEM	\N	121	42522	UROK	\N	\N
3677047	6555	1995-02-28	PRIJEM	\N	176	34077	UROK	\N	\N
3677048	6555	1995-03-31	PRIJEM	\N	183	39360	UROK	\N	\N
3677049	6555	1995-04-30	PRIJEM	\N	213	54860	UROK	\N	\N
3677050	6555	1995-05-31	PRIJEM	\N	287	63848	UROK	\N	\N
3677051	6555	1995-06-30	PRIJEM	\N	243	45761	UROK	\N	\N
3677052	6555	1995-07-31	PRIJEM	\N	172	34110	UROK	\N	\N
3677053	6555	1995-08-31	PRIJEM	\N	152	46915	UROK	\N	\N
3677054	6555	1995-09-30	PRIJEM	\N	273	77963	UROK	\N	\N
3677055	6555	1995-10-31	PRIJEM	\N	296	58247	UROK	\N	\N
3677056	6555	1995-11-30	PRIJEM	\N	303	65896	UROK	\N	\N
3677057	6555	1995-12-31	PRIJEM	\N	273	55544	UROK	\N	\N
3677058	6555	1996-01-31	PRIJEM	\N	148	29761	UROK	\N	\N
3677059	6555	1996-02-29	PRIJEM	\N	123	31554	UROK	\N	\N
3677060	6555	1996-03-31	PRIJEM	\N	131	33956	UROK	\N	\N
3677061	6555	1996-04-30	PRIJEM	\N	143	36968	UROK	\N	\N
3677062	6555	1996-05-31	PRIJEM	\N	152	30190	UROK	\N	\N
3677063	6555	1996-06-30	PRIJEM	\N	132	35792	UROK	\N	\N
3677064	6555	1996-07-31	PRIJEM	\N	150	38612	UROK	\N	\N
3677065	6555	1996-08-31	PRIJEM	\N	145	36523	UROK	\N	\N
3677066	6555	1996-09-30	PRIJEM	\N	151	39045	UROK	\N	\N
3677067	6555	1996-10-31	PRIJEM	\N	188	54600	UROK	\N	\N
3677068	6555	1996-11-30	PRIJEM	\N	180	36542	UROK	\N	\N
3677069	6555	1996-12-31	PRIJEM	\N	148	38360	UROK	\N	\N
3677070	6555	1997-01-31	PRIJEM	\N	161	47581	UROK	\N	\N
3677071	6555	1997-02-28	PRIJEM	\N	226	55588	UROK	\N	\N
3677072	6555	1997-03-31	PRIJEM	\N	283	117357	UROK	\N	\N
3677073	6555	1997-04-30	PRIJEM	\N	431	112078	UROK	\N	\N
3677074	6555	1997-05-31	PRIJEM	\N	394	103971	UROK	\N	\N
3677075	6555	1997-06-30	PRIJEM	\N	385	87018	UROK	\N	\N
3677076	6555	1997-07-31	PRIJEM	\N	428	109337	UROK	\N	\N
3677077	6555	1997-08-31	PRIJEM	\N	369	61276	UROK	\N	\N
3677078	6555	1997-09-30	PRIJEM	\N	285	77461	UROK	\N	\N
3677079	6555	1997-10-31	PRIJEM	\N	468	103210	UROK	\N	\N
3677080	6555	1997-11-30	PRIJEM	\N	388	88768	UROK	\N	\N
3677081	6555	1997-12-31	PRIJEM	\N	391	101389	UROK	\N	\N
3677082	6555	1998-01-31	PRIJEM	\N	323	74288	UROK	\N	\N
3677083	6555	1998-02-28	PRIJEM	\N	236	47335	UROK	\N	\N
3677084	6555	1998-03-31	PRIJEM	\N	218	57223	UROK	\N	\N
3677085	6555	1998-04-30	PRIJEM	\N	239	55450	UROK	\N	\N
3677086	6555	1998-05-31	PRIJEM	\N	242	64162	UROK	\N	\N
3677087	6555	1998-06-30	PRIJEM	\N	283	68852	UROK	\N	\N
3677088	6555	1998-07-31	PRIJEM	\N	394	99475	UROK	\N	\N
3677089	6555	1998-08-31	PRIJEM	\N	409	92570	UROK	\N	\N
3677090	6555	1998-09-30	PRIJEM	\N	260	58845	UROK	\N	\N
3677091	6555	1998-10-31	PRIJEM	\N	227	50659	UROK	\N	\N
3677092	6555	1998-11-30	PRIJEM	\N	351	104307	UROK	\N	\N
3677093	6555	1998-12-31	PRIJEM	\N	423	61620	UROK	\N	\N
3677119	6592	1996-11-30	PRIJEM	\N	44	26147	UROK	\N	\N
3677120	6592	1996-12-31	PRIJEM	\N	167	102392	UROK	\N	\N
3677121	6592	1997-01-31	PRIJEM	\N	279	55848	UROK	\N	\N
3677122	6592	1997-02-28	PRIJEM	\N	206	58339	UROK	\N	\N
3677123	6592	1997-03-31	PRIJEM	\N	207	37377	UROK	\N	\N
3677124	6592	1997-04-30	PRIJEM	\N	316	99071	UROK	\N	\N
3677125	6592	1997-05-31	PRIJEM	\N	320	54886	UROK	\N	\N
3677126	6592	1997-06-30	PRIJEM	\N	217	38251	UROK	\N	\N
3677127	6592	1997-07-31	PRIJEM	\N	158	42058	UROK	\N	\N
3677128	6592	1997-08-31	PRIJEM	\N	235	54207	UROK	\N	\N
3677129	6592	1997-09-30	PRIJEM	\N	249	100823	UROK	\N	\N
3677130	6592	1997-10-31	PRIJEM	\N	354	97719	UROK	\N	\N
3677131	6592	1997-11-30	PRIJEM	\N	347	72069	UROK	\N	\N
3677132	6592	1997-12-31	PRIJEM	\N	261	70646	UROK	\N	\N
3677133	6592	1998-01-31	PRIJEM	\N	198	29217	UROK	\N	\N
3677134	6592	1998-02-28	PRIJEM	\N	145	32482	UROK	\N	\N
3677135	6592	1998-03-31	PRIJEM	\N	247	52890	UROK	\N	\N
3677136	6592	1998-04-30	PRIJEM	\N	246	63979	UROK	\N	\N
3677137	6592	1998-05-31	PRIJEM	\N	233	54232	UROK	\N	\N
3677138	6592	1998-06-30	PRIJEM	\N	234	51385	UROK	\N	\N
3677139	6592	1998-07-31	PRIJEM	\N	301	83135	UROK	\N	\N
3677140	6592	1998-08-31	PRIJEM	\N	317	68939	UROK	\N	\N
3677141	6592	1998-09-30	PRIJEM	\N	331	75780	UROK	\N	\N
3677142	6592	1998-10-31	PRIJEM	\N	431	106586	UROK	\N	\N
3677143	6592	1998-11-30	PRIJEM	\N	298	62293	UROK	\N	\N
3677144	6592	1998-12-31	PRIJEM	\N	314	87956	UROK	\N	\N
3677208	6609	1995-04-30	PRIJEM	\N	16	22963	UROK	\N	\N
3677209	6609	1995-05-31	PRIJEM	\N	106	36334	UROK	\N	\N
3677210	6609	1995-06-30	PRIJEM	\N	184	101106	UROK	\N	\N
3677211	6609	1995-07-31	PRIJEM	\N	325	50523	UROK	\N	\N
3677212	6609	1995-08-31	PRIJEM	\N	251	98661	UROK	\N	\N
3677213	6609	1995-09-30	PRIJEM	\N	337	43822	UROK	\N	\N
3677214	6609	1995-10-31	PRIJEM	\N	236	76060	UROK	\N	\N
3677215	6609	1995-11-30	PRIJEM	\N	277	71017	UROK	\N	\N
3677216	6609	1995-12-31	PRIJEM	\N	248	36374	UROK	\N	\N
3677217	6609	1996-01-31	PRIJEM	\N	135	21640	UROK	\N	\N
3677218	6609	1996-02-29	PRIJEM	\N	81	17031	UROK	\N	\N
3677219	6609	1996-03-31	PRIJEM	\N	64	15104	UROK	\N	\N
3677220	6609	1996-04-30	PRIJEM	\N	54	13267	UROK	\N	\N
3677221	6609	1996-05-31	PRIJEM	\N	36	6112	UROK	\N	\N
3677222	6609	1996-06-30	PRIJEM	\N	14	-1064	UROK	\N	\N
3677223	6609	1996-06-30	VYDAJ	VYBER	0	-1079	SANKC. UROK	\N	\N
3677224	6609	1996-07-31	VYDAJ	VYBER	12	-1106	SANKC. UROK	\N	\N
3677225	6609	1996-09-30	VYDAJ	VYBER	12	-1159	SANKC. UROK	\N	\N
3677226	6609	1996-09-30	VYDAJ	VYBER	12	-1147	SANKC. UROK	\N	\N
3677227	6609	1996-11-30	VYDAJ	VYBER	12	-1213	SANKC. UROK	\N	\N
3677228	6609	1996-11-30	VYDAJ	VYBER	12	-1201	SANKC. UROK	\N	\N
3677229	6609	1996-12-31	PRIJEM	\N	31	26222	UROK	\N	\N
3677230	6609	1996-12-31	VYDAJ	VYBER	9	26213	SANKC. UROK	\N	\N
3677231	6609	1997-01-31	PRIJEM	\N	81	16103	UROK	\N	\N
3677232	6609	1997-02-28	PRIJEM	\N	52	8964	UROK	\N	\N
3677233	6609	1997-03-31	PRIJEM	\N	21	3465	UROK	\N	\N
3677234	6609	1997-04-30	PRIJEM	\N	13	1840	UROK	\N	\N
3677235	6609	1997-05-31	PRIJEM	\N	6	207	UROK	\N	\N
3677236	6609	1997-05-31	VYDAJ	VYBER	0	207	SANKC. UROK	\N	\N
3677237	6609	1997-06-30	VYDAJ	VYBER	2	-1449	SANKC. UROK	\N	\N
3677238	6609	1997-07-31	PRIJEM	\N	39	13106	UROK	\N	\N
3677239	6609	1997-07-31	VYDAJ	VYBER	7	13100	SANKC. UROK	\N	\N
3677240	6609	1997-08-31	PRIJEM	\N	56	13297	UROK	\N	\N
3677241	6609	1997-09-30	PRIJEM	\N	84	23291	UROK	\N	\N
3677242	6609	1997-10-31	PRIJEM	\N	86	16187	UROK	\N	\N
3677243	6609	1997-11-30	PRIJEM	\N	62	19601	UROK	\N	\N
3677244	6609	1997-12-31	PRIJEM	\N	64	12475	UROK	\N	\N
3677245	6609	1998-01-31	PRIJEM	\N	31	5314	UROK	\N	\N
3677246	6609	1998-02-28	PRIJEM	\N	59	32060	UROK	\N	\N
3677247	6609	1998-03-31	PRIJEM	\N	188	108196	UROK	\N	\N
3677248	6609	1998-04-30	PRIJEM	\N	234	31417	UROK	\N	\N
3677249	6609	1998-05-31	PRIJEM	\N	116	28501	UROK	\N	\N
3677250	6609	1998-06-30	PRIJEM	\N	170	49624	UROK	\N	\N
3677251	6609	1998-07-31	PRIJEM	\N	189	42623	UROK	\N	\N
3677252	6609	1998-08-31	PRIJEM	\N	122	27508	UROK	\N	\N
3677253	6609	1998-09-30	PRIJEM	\N	238	75339	UROK	\N	\N
3677254	6609	1998-10-31	PRIJEM	\N	173	22559	UROK	\N	\N
3677255	6609	1998-11-30	PRIJEM	\N	114	65103	UROK	\N	\N
3677256	6609	1998-12-31	PRIJEM	\N	313	99984	UROK	\N	\N
3677381	6649	1995-12-31	PRIJEM	\N	197	61298	UROK	\N	\N
3677382	6649	1996-01-31	PRIJEM	\N	255	44653	UROK	\N	\N
3677383	6649	1996-02-29	PRIJEM	\N	255	33407	UROK	\N	\N
3677384	6649	1996-03-31	PRIJEM	\N	222	36860	UROK	\N	\N
3677385	6649	1996-04-30	PRIJEM	\N	153	29113	UROK	\N	\N
3677386	6649	1996-05-31	PRIJEM	\N	153	26865	UROK	\N	\N
3677387	6649	1996-06-30	PRIJEM	\N	153	26418	UROK	\N	\N
3677388	6649	1996-07-31	PRIJEM	\N	153	27971	UROK	\N	\N
3677389	6649	1996-08-31	PRIJEM	\N	151	25722	UROK	\N	\N
3677390	6649	1996-10-31	PRIJEM	\N	104	21626	UROK	\N	\N
3677391	6649	1996-11-30	PRIJEM	\N	105	29471	UROK	\N	\N
3677392	6649	1996-12-31	PRIJEM	\N	122	25594	UROK	\N	\N
3677393	6649	1997-01-31	PRIJEM	\N	167	51948	UROK	\N	\N
3677394	6649	1997-02-28	PRIJEM	\N	185	26497	UROK	\N	\N
3677395	6649	1997-03-31	PRIJEM	\N	186	40293	UROK	\N	\N
3677396	6649	1997-04-30	PRIJEM	\N	258	48501	UROK	\N	\N
3677397	6649	1997-05-31	PRIJEM	\N	294	91771	UROK	\N	\N
3677398	6649	1997-06-30	PRIJEM	\N	312	62878	UROK	\N	\N
3677399	6649	1997-07-31	PRIJEM	\N	376	54694	UROK	\N	\N
3677400	6649	1997-08-31	PRIJEM	\N	359	69818	UROK	\N	\N
3677401	6649	1997-09-30	PRIJEM	\N	308	54540	UROK	\N	\N
3677402	6649	1997-10-31	PRIJEM	\N	270	52048	UROK	\N	\N
3677403	6649	1997-11-30	PRIJEM	\N	244	47798	UROK	\N	\N
3677404	6649	1997-12-31	PRIJEM	\N	243	53661	UROK	\N	\N
3677405	6649	1998-01-31	PRIJEM	\N	213	65715	UROK	\N	\N
3677406	6649	1998-02-28	PRIJEM	\N	314	55623	UROK	\N	\N
3677407	6649	1998-03-31	PRIJEM	\N	196	54379	UROK	\N	\N
3677408	6649	1998-04-30	PRIJEM	\N	277	87529	UROK	\N	\N
3677409	6649	1998-05-31	PRIJEM	\N	323	54266	UROK	\N	\N
3677410	6649	1998-06-30	PRIJEM	\N	193	27828	UROK	\N	\N
3677411	6649	1998-07-31	PRIJEM	\N	107	44014	UROK	\N	\N
3677412	6649	1998-08-31	PRIJEM	\N	171	36799	UROK	\N	\N
3677413	6649	1998-09-30	PRIJEM	\N	89	12651	UROK	\N	\N
3677414	6649	1998-10-31	PRIJEM	\N	60	18025	UROK	\N	\N
3677415	6649	1998-11-30	PRIJEM	\N	122	64311	UROK	\N	\N
3677416	6649	1998-12-31	PRIJEM	\N	253	59579	UROK	\N	\N
3677593	6678	1996-01-31	PRIJEM	\N	142	70279	UROK	\N	\N
3677594	6678	1996-02-29	PRIJEM	\N	239	57103	UROK	\N	\N
3677595	6678	1996-03-31	PRIJEM	\N	237	39740	UROK	\N	\N
3677596	6678	1996-04-30	PRIJEM	\N	251	82506	UROK	\N	\N
3677597	6678	1996-05-31	PRIJEM	\N	302	66175	UROK	\N	\N
3677598	6678	1996-06-30	PRIJEM	\N	141	39480	UROK	\N	\N
3677599	6678	1996-07-31	PRIJEM	\N	155	31894	UROK	\N	\N
3677600	6678	1996-08-31	PRIJEM	\N	267	39796	UROK	\N	\N
3677601	6678	1996-09-30	PRIJEM	\N	131	24584	UROK	\N	\N
3677602	6678	1996-10-31	PRIJEM	\N	157	86229	UROK	\N	\N
3677603	6678	1996-11-30	PRIJEM	\N	358	61648	UROK	\N	\N
3677604	6678	1996-12-31	PRIJEM	\N	312	56226	UROK	\N	\N
3677605	6678	1997-01-31	PRIJEM	\N	209	36120	UROK	\N	\N
3677606	6678	1997-02-28	PRIJEM	\N	257	45808	UROK	\N	\N
3677607	6678	1997-03-31	PRIJEM	\N	163	45211	UROK	\N	\N
3677608	6678	1997-04-30	PRIJEM	\N	235	43719	UROK	\N	\N
3677609	6678	1997-05-31	PRIJEM	\N	248	69539	UROK	\N	\N
3677610	6678	1997-06-30	PRIJEM	\N	376	71296	UROK	\N	\N
3677611	6678	1997-07-31	PRIJEM	\N	350	73704	UROK	\N	\N
3677612	6678	1997-08-31	PRIJEM	\N	306	58327	UROK	\N	\N
3677613	6678	1997-09-30	PRIJEM	\N	222	41301	UROK	\N	\N
3677614	6678	1997-10-31	PRIJEM	\N	313	94537	UROK	\N	\N
3677615	6678	1997-11-30	PRIJEM	\N	379	52553	UROK	\N	\N
3677616	6678	1997-12-31	PRIJEM	\N	307	66262	UROK	\N	\N
3677617	6678	1998-01-31	PRIJEM	\N	321	55151	UROK	\N	\N
3677618	6678	1998-02-28	PRIJEM	\N	203	47356	UROK	\N	\N
3677619	6678	1998-03-31	PRIJEM	\N	215	73185	UROK	\N	\N
3677620	6678	1998-04-30	PRIJEM	\N	319	48303	UROK	\N	\N
3677621	6678	1998-05-31	PRIJEM	\N	207	58749	UROK	\N	\N
3677622	6678	1998-06-30	PRIJEM	\N	232	44253	UROK	\N	\N
3677623	6678	1998-07-31	PRIJEM	\N	123	35336	UROK	\N	\N
3677624	6678	1998-08-31	PRIJEM	\N	271	61102	UROK	\N	\N
3677625	6678	1998-09-30	PRIJEM	\N	325	66716	UROK	\N	\N
3677626	6678	1998-10-31	PRIJEM	\N	244	37374	UROK	\N	\N
3677627	6678	1998-11-30	PRIJEM	\N	224	70732	UROK	\N	\N
3677628	6678	1998-12-31	PRIJEM	\N	230	25588	UROK	\N	\N
3677629	6686	1996-03-31	PRIJEM	\N	72	25495	UROK	\N	\N
3677630	6686	1996-04-30	PRIJEM	\N	137	36355	UROK	\N	\N
3677631	6686	1996-05-31	PRIJEM	\N	165	41043	UROK	\N	\N
3677632	6686	1996-06-30	PRIJEM	\N	200	50727	UROK	\N	\N
3677633	6686	1996-07-31	PRIJEM	\N	194	40943	UROK	\N	\N
3677634	6686	1996-08-31	PRIJEM	\N	261	41312	UROK	\N	\N
3677635	6686	1996-09-30	PRIJEM	\N	164	30266	UROK	\N	\N
3677636	6686	1996-10-31	PRIJEM	\N	152	35636	UROK	\N	\N
3677637	6686	1996-11-30	PRIJEM	\N	135	27979	UROK	\N	\N
3677638	6686	1996-12-31	PRIJEM	\N	209	48358	UROK	\N	\N
3677639	6686	1997-01-31	PRIJEM	\N	193	30659	UROK	\N	\N
3677640	6686	1997-02-28	PRIJEM	\N	134	37730	UROK	\N	\N
3677641	6686	1997-03-31	PRIJEM	\N	168	34873	UROK	\N	\N
3677642	6686	1997-04-30	PRIJEM	\N	195	49477	UROK	\N	\N
3677643	6686	1997-05-31	PRIJEM	\N	216	49601	UROK	\N	\N
3677644	6686	1997-06-30	PRIJEM	\N	226	53497	UROK	\N	\N
3677645	6686	1997-07-31	PRIJEM	\N	204	46251	UROK	\N	\N
3677646	6686	1997-08-31	PRIJEM	\N	151	36676	UROK	\N	\N
3677647	6686	1997-09-30	PRIJEM	\N	179	41864	UROK	\N	\N
3677648	6686	1997-10-31	PRIJEM	\N	184	25549	UROK	\N	\N
3677649	6686	1997-11-30	PRIJEM	\N	165	50822	UROK	\N	\N
3677650	6686	1997-12-31	PRIJEM	\N	148	24418	UROK	\N	\N
3677651	6686	1998-01-31	PRIJEM	\N	158	20131	UROK	\N	\N
3677652	6686	1998-02-28	PRIJEM	\N	104	26609	UROK	\N	\N
3677653	6686	1998-03-31	PRIJEM	\N	166	43829	UROK	\N	\N
3677654	6686	1998-04-30	PRIJEM	\N	141	43924	UROK	\N	\N
3677655	6686	1998-05-31	PRIJEM	\N	88	21701	UROK	\N	\N
3677656	6686	1998-06-30	PRIJEM	\N	96	23226	UROK	\N	\N
3677657	6686	1998-07-31	PRIJEM	\N	111	26768	UROK	\N	\N
3677658	6686	1998-08-31	PRIJEM	\N	147	20736	UROK	\N	\N
3677659	6686	1998-09-30	PRIJEM	\N	134	20225	UROK	\N	\N
3677660	6686	1998-10-31	PRIJEM	\N	129	17408	UROK	\N	\N
3677661	6686	1998-11-30	PRIJEM	\N	121	22183	UROK	\N	\N
3677662	6686	1998-12-31	PRIJEM	\N	140	21735	UROK	\N	\N
3677663	6688	1996-07-31	PRIJEM	\N	16	17371	UROK	\N	\N
3677664	6688	1996-08-31	PRIJEM	\N	82	26008	UROK	\N	\N
3677665	6688	1996-09-30	PRIJEM	\N	113	30676	UROK	\N	\N
3677666	6688	1996-10-31	PRIJEM	\N	131	33362	UROK	\N	\N
3677667	6688	1996-11-30	PRIJEM	\N	143	31587	UROK	\N	\N
3677668	6688	1996-12-31	PRIJEM	\N	131	27992	UROK	\N	\N
3677669	6688	1997-01-31	PRIJEM	\N	85	19575	UROK	\N	\N
3677670	6688	1997-02-28	PRIJEM	\N	94	24967	UROK	\N	\N
3677671	6688	1997-03-31	PRIJEM	\N	99	24963	UROK	\N	\N
3677672	6688	1997-04-30	PRIJEM	\N	116	29576	UROK	\N	\N
3677673	6688	1997-05-31	PRIJEM	\N	135	34509	UROK	\N	\N
3677674	6688	1997-06-30	PRIJEM	\N	154	39338	UROK	\N	\N
3677675	6688	1997-07-31	PRIJEM	\N	158	37393	UROK	\N	\N
3677676	6688	1997-08-31	PRIJEM	\N	166	41257	UROK	\N	\N
3677677	6688	1997-09-30	PRIJEM	\N	184	44938	UROK	\N	\N
3677678	6688	1997-10-31	PRIJEM	\N	187	42722	UROK	\N	\N
3677679	6688	1997-11-30	PRIJEM	\N	176	42095	UROK	\N	\N
3677680	6688	1997-12-31	PRIJEM	\N	182	43151	UROK	\N	\N
3677681	6688	1998-01-31	PRIJEM	\N	174	35222	UROK	\N	\N
3677682	6688	1998-02-28	PRIJEM	\N	169	45088	UROK	\N	\N
3677683	6688	1998-03-31	PRIJEM	\N	192	45777	UROK	\N	\N
3677684	6688	1998-04-30	PRIJEM	\N	202	50177	UROK	\N	\N
3677685	6688	1998-05-31	PRIJEM	\N	205	47479	UROK	\N	\N
3677686	6688	1998-06-30	PRIJEM	\N	184	43037	UROK	\N	\N
3677687	6688	1998-07-31	PRIJEM	\N	189	47024	UROK	\N	\N
3677688	6688	1998-08-31	PRIJEM	\N	207	50429	UROK	\N	\N
3677689	6688	1998-09-30	PRIJEM	\N	202	45728	UROK	\N	\N
3677690	6688	1998-10-31	PRIJEM	\N	188	44413	UROK	\N	\N
3677691	6688	1998-11-30	PRIJEM	\N	184	44095	UROK	\N	\N
3677692	6688	1998-12-31	PRIJEM	\N	197	49966	UROK	\N	\N
3677693	6699	1996-07-31	PRIJEM	\N	68	21169	UROK	\N	\N
3677694	6699	1996-08-31	PRIJEM	\N	117	29887	UROK	\N	\N
3677695	6699	1996-09-30	PRIJEM	\N	180	36968	UROK	\N	\N
3677696	6699	1996-10-31	PRIJEM	\N	215	37184	UROK	\N	\N
3677697	6699	1996-11-30	PRIJEM	\N	166	35847	UROK	\N	\N
3677698	6699	1996-12-31	PRIJEM	\N	136	24113	UROK	\N	\N
3677699	6699	1997-01-31	PRIJEM	\N	83	17375	UROK	\N	\N
3677700	6699	1997-02-28	PRIJEM	\N	97	23551	UROK	\N	\N
3677701	6699	1997-03-31	PRIJEM	\N	124	24154	UROK	\N	\N
3677702	6699	1997-04-30	PRIJEM	\N	96	18330	UROK	\N	\N
3677703	6699	1997-05-31	PRIJEM	\N	109	26617	UROK	\N	\N
3677704	6699	1997-06-30	PRIJEM	\N	131	21879	UROK	\N	\N
3677705	6699	1997-07-31	PRIJEM	\N	120	29078	UROK	\N	\N
3677706	6699	1997-08-31	PRIJEM	\N	142	33499	UROK	\N	\N
3677707	6699	1997-09-30	PRIJEM	\N	157	32935	UROK	\N	\N
3677708	6699	1997-10-31	PRIJEM	\N	164	39329	UROK	\N	\N
3677709	6699	1997-11-30	PRIJEM	\N	188	47646	UROK	\N	\N
3677710	6699	1997-12-31	PRIJEM	\N	220	49947	UROK	\N	\N
3677711	6699	1998-01-31	PRIJEM	\N	168	42344	UROK	\N	\N
3677712	6699	1998-02-28	PRIJEM	\N	184	48357	UROK	\N	\N
3677713	6699	1998-03-31	PRIJEM	\N	200	44408	UROK	\N	\N
3677714	6699	1998-04-30	PRIJEM	\N	120	38679	UROK	\N	\N
3677715	6699	1998-05-31	PRIJEM	\N	149	43957	UROK	\N	\N
3677716	6699	1998-06-30	PRIJEM	\N	209	53052	UROK	\N	\N
3677717	6699	1998-07-31	PRIJEM	\N	145	45454	UROK	\N	\N
3677718	6699	1998-08-31	PRIJEM	\N	181	45765	UROK	\N	\N
3677719	6699	1998-09-30	PRIJEM	\N	184	45577	UROK	\N	\N
3677720	6699	1998-10-31	PRIJEM	\N	203	55810	UROK	\N	\N
3677721	6699	1998-11-30	PRIJEM	\N	242	60981	UROK	\N	\N
3677722	6699	1998-12-31	PRIJEM	\N	265	37531	UROK	\N	\N
3677723	6701	1993-03-31	PRIJEM	\N	24	29306	UROK	\N	\N
3677724	6701	1993-04-30	PRIJEM	\N	152	56595	UROK	\N	\N
3677725	6701	1993-05-31	PRIJEM	\N	249	80988	UROK	\N	\N
3677726	6701	1993-06-30	PRIJEM	\N	205	21475	UROK	\N	\N
3677727	6701	1993-07-31	PRIJEM	\N	49	16466	UROK	\N	\N
3677728	6701	1993-08-31	PRIJEM	\N	113	68858	UROK	\N	\N
3677729	6701	1993-09-30	PRIJEM	\N	265	52048	UROK	\N	\N
3677730	6701	1993-10-31	PRIJEM	\N	204	41092	UROK	\N	\N
3677731	6701	1993-11-30	PRIJEM	\N	135	27697	UROK	\N	\N
3677732	6701	1993-12-31	PRIJEM	\N	98	18215	UROK	\N	\N
3677733	6701	1994-01-31	PRIJEM	\N	126	20177	UROK	\N	\N
3677734	6701	1994-02-28	PRIJEM	\N	60	1588	UROK	\N	\N
3677735	6701	1994-03-31	PRIJEM	\N	28	9736	UROK	\N	\N
3677736	6701	1994-04-30	PRIJEM	\N	61	17716	UROK	\N	\N
3677737	6701	1994-05-31	PRIJEM	\N	103	36366	UROK	\N	\N
3677738	6701	1994-06-30	PRIJEM	\N	106	7211	UROK	\N	\N
3677739	6701	1994-07-31	PRIJEM	\N	267	100096	UROK	\N	\N
3677740	6701	1994-08-31	PRIJEM	\N	399	80016	UROK	\N	\N
3677741	6701	1994-09-30	PRIJEM	\N	230	68732	UROK	\N	\N
3677742	6701	1994-10-31	PRIJEM	\N	295	96180	UROK	\N	\N
3677743	6701	1994-11-30	PRIJEM	\N	278	39876	UROK	\N	\N
3677744	6701	1994-12-31	PRIJEM	\N	289	79886	UROK	\N	\N
3677745	6701	1995-01-31	PRIJEM	\N	242	18947	UROK	\N	\N
3677746	6701	1995-02-28	PRIJEM	\N	164	63309	UROK	\N	\N
3677747	6701	1995-03-31	PRIJEM	\N	207	56591	UROK	\N	\N
3677748	6701	1995-04-30	PRIJEM	\N	215	44389	UROK	\N	\N
3677749	6701	1995-05-31	PRIJEM	\N	65	4905	UROK	\N	\N
3677750	6701	1995-06-30	PRIJEM	\N	120	55321	UROK	\N	\N
3677751	6701	1995-07-31	PRIJEM	\N	300	79599	UROK	\N	\N
3677752	6701	1995-08-31	PRIJEM	\N	185	37858	UROK	\N	\N
3677753	6701	1995-09-30	PRIJEM	\N	140	32118	UROK	\N	\N
3677754	6701	1995-10-31	PRIJEM	\N	131	33569	UROK	\N	\N
3677755	6701	1995-11-30	PRIJEM	\N	154	46708	UROK	\N	\N
3677756	6701	1995-12-31	PRIJEM	\N	320	54299	UROK	\N	\N
3677757	6701	1996-01-31	PRIJEM	\N	383	86107	UROK	\N	\N
3677758	6701	1996-02-29	PRIJEM	\N	426	48424	UROK	\N	\N
3677759	6701	1996-03-31	PRIJEM	\N	385	56692	UROK	\N	\N
3677760	6701	1996-04-30	PRIJEM	\N	191	37122	UROK	\N	\N
3677761	6701	1996-05-31	PRIJEM	\N	268	62494	UROK	\N	\N
3677762	6701	1996-06-30	PRIJEM	\N	205	39519	UROK	\N	\N
3677763	6701	1996-07-31	PRIJEM	\N	257	64022	UROK	\N	\N
3677764	6701	1996-08-31	PRIJEM	\N	351	107598	UROK	\N	\N
3677765	6701	1996-09-30	PRIJEM	\N	437	66254	UROK	\N	\N
3677766	6701	1996-10-31	PRIJEM	\N	343	73878	UROK	\N	\N
3677767	6701	1996-11-30	PRIJEM	\N	382	107300	UROK	\N	\N
3677768	6701	1996-12-31	PRIJEM	\N	392	74114	UROK	\N	\N
3677769	6701	1997-01-31	PRIJEM	\N	405	106995	UROK	\N	\N
3677770	6701	1997-02-28	PRIJEM	\N	302	65258	UROK	\N	\N
3677771	6701	1997-03-31	PRIJEM	\N	345	81500	UROK	\N	\N
3677772	6701	1997-04-30	PRIJEM	\N	402	91579	UROK	\N	\N
3677773	6701	1997-05-31	PRIJEM	\N	371	81278	UROK	\N	\N
3677774	6701	1997-06-30	PRIJEM	\N	376	66382	UROK	\N	\N
3677775	6701	1997-07-31	PRIJEM	\N	271	69278	UROK	\N	\N
3677776	6701	1997-08-31	PRIJEM	\N	320	74347	UROK	\N	\N
3677777	6701	1997-09-30	PRIJEM	\N	357	89767	UROK	\N	\N
3677778	6701	1997-10-31	PRIJEM	\N	349	78086	UROK	\N	\N
3677779	6701	1997-11-30	PRIJEM	\N	399	77679	UROK	\N	\N
3677780	6701	1997-12-31	PRIJEM	\N	376	116992	UROK	\N	\N
3677781	6701	1998-01-31	PRIJEM	\N	389	71432	UROK	\N	\N
3677782	6701	1998-02-28	PRIJEM	\N	283	64284	UROK	\N	\N
3677783	6701	1998-03-31	PRIJEM	\N	298	82933	UROK	\N	\N
3677784	6701	1998-04-30	PRIJEM	\N	330	78133	UROK	\N	\N
3677785	6701	1998-05-31	PRIJEM	\N	390	86597	UROK	\N	\N
3677786	6701	1998-06-30	PRIJEM	\N	303	69969	UROK	\N	\N
3677787	6701	1998-07-31	PRIJEM	\N	284	72923	UROK	\N	\N
3677788	6701	1998-08-31	PRIJEM	\N	290	73169	UROK	\N	\N
3677789	6701	1998-09-30	PRIJEM	\N	264	25525	UROK	\N	\N
3677790	6701	1998-10-31	PRIJEM	\N	142	44780	UROK	\N	\N
3677791	6701	1998-11-30	PRIJEM	\N	175	49625	UROK	\N	\N
3677792	6701	1998-12-31	PRIJEM	\N	171	42266	UROK	\N	\N
3677793	6706	1997-01-31	PRIJEM	\N	14	20819	UROK	\N	\N
3677794	6706	1997-02-28	PRIJEM	\N	91	29715	UROK	\N	\N
3677795	6706	1997-03-31	PRIJEM	\N	128	38648	UROK	\N	\N
3677796	6706	1997-04-30	PRIJEM	\N	164	44517	UROK	\N	\N
3677797	6706	1997-05-31	PRIJEM	\N	214	49353	UROK	\N	\N
3677798	6706	1997-06-30	PRIJEM	\N	239	37117	UROK	\N	\N
3677799	6706	1997-07-31	PRIJEM	\N	184	46123	UROK	\N	\N
3677800	6706	1997-08-31	PRIJEM	\N	206	43852	UROK	\N	\N
3677801	6706	1997-09-30	PRIJEM	\N	194	42628	UROK	\N	\N
3677802	6706	1997-10-31	PRIJEM	\N	196	43647	UROK	\N	\N
3677803	6706	1997-11-30	PRIJEM	\N	202	45071	UROK	\N	\N
3677804	6706	1997-12-31	PRIJEM	\N	221	50137	UROK	\N	\N
3677805	6706	1998-01-31	PRIJEM	\N	191	39290	UROK	\N	\N
3677806	6706	1998-02-28	PRIJEM	\N	180	38692	UROK	\N	\N
3677807	6706	1998-03-31	PRIJEM	\N	176	37590	UROK	\N	\N
3677808	6706	1998-04-30	PRIJEM	\N	175	40087	UROK	\N	\N
3677809	6706	1998-05-31	PRIJEM	\N	184	41593	UROK	\N	\N
3677810	6706	1998-06-30	PRIJEM	\N	199	42318	UROK	\N	\N
3677811	6706	1998-07-31	PRIJEM	\N	192	43751	UROK	\N	\N
3677812	6706	1998-08-31	PRIJEM	\N	178	39070	UROK	\N	\N
3677813	6706	1998-09-30	PRIJEM	\N	176	40087	UROK	\N	\N
3677814	6706	1998-10-31	PRIJEM	\N	177	39505	UROK	\N	\N
3677815	6706	1998-11-30	PRIJEM	\N	156	36342	UROK	\N	\N
3677816	6706	1998-12-31	PRIJEM	\N	179	46145	UROK	\N	\N
3677869	6738	1994-08-31	PRIJEM	\N	14	20968	UROK	\N	\N
3677870	6738	1994-09-30	PRIJEM	\N	94	30516	UROK	\N	\N
3677871	6738	1994-10-31	PRIJEM	\N	132	36702	UROK	\N	\N
3677872	6738	1994-11-30	PRIJEM	\N	154	39010	UROK	\N	\N
3677873	6738	1994-12-31	PRIJEM	\N	212	34574	UROK	\N	\N
3677874	6738	1995-01-31	PRIJEM	\N	143	22257	UROK	\N	\N
3677875	6738	1995-02-28	PRIJEM	\N	135	32631	UROK	\N	\N
3677876	6738	1995-03-31	PRIJEM	\N	159	38062	UROK	\N	\N
3677877	6738	1995-04-30	PRIJEM	\N	177	39579	UROK	\N	\N
3677878	6738	1995-05-31	PRIJEM	\N	196	41114	UROK	\N	\N
3677879	6738	1995-06-30	PRIJEM	\N	206	46936	UROK	\N	\N
3677880	6738	1995-07-31	PRIJEM	\N	196	44871	UROK	\N	\N
3677881	6738	1995-08-31	PRIJEM	\N	206	46817	UROK	\N	\N
3677882	6738	1995-09-30	PRIJEM	\N	218	44674	UROK	\N	\N
3677883	6738	1995-10-31	PRIJEM	\N	213	46327	UROK	\N	\N
3677884	6738	1995-11-30	PRIJEM	\N	199	42706	UROK	\N	\N
3677885	6738	1995-12-31	PRIJEM	\N	208	41071	UROK	\N	\N
3677886	6738	1996-01-31	PRIJEM	\N	141	26592	UROK	\N	\N
3677887	6738	1996-02-29	PRIJEM	\N	108	23983	UROK	\N	\N
3677888	6738	1996-03-31	PRIJEM	\N	127	31791	UROK	\N	\N
3677889	6738	1996-04-30	PRIJEM	\N	153	36424	UROK	\N	\N
3677890	6738	1996-05-31	PRIJEM	\N	153	29169	UROK	\N	\N
3677891	6738	1996-06-30	PRIJEM	\N	154	37480	UROK	\N	\N
3677892	6738	1996-07-31	PRIJEM	\N	161	35322	UROK	\N	\N
3677893	6738	1996-08-31	PRIJEM	\N	150	33352	UROK	\N	\N
3677894	6738	1996-09-30	PRIJEM	\N	148	28380	UROK	\N	\N
3677895	6738	1996-10-31	PRIJEM	\N	127	30388	UROK	\N	\N
3677896	6738	1996-11-30	PRIJEM	\N	131	31258	UROK	\N	\N
3677897	6738	1996-12-31	PRIJEM	\N	148	29023	UROK	\N	\N
3677898	6738	1997-01-31	PRIJEM	\N	111	25173	UROK	\N	\N
3677899	6738	1997-02-28	PRIJEM	\N	101	21814	UROK	\N	\N
3677900	6738	1997-03-31	PRIJEM	\N	95	24749	UROK	\N	\N
3677901	6738	1997-04-30	PRIJEM	\N	125	29413	UROK	\N	\N
3677902	6738	1997-05-31	PRIJEM	\N	125	30878	UROK	\N	\N
3677903	6738	1997-06-30	PRIJEM	\N	145	34739	UROK	\N	\N
3677904	6738	1997-07-31	PRIJEM	\N	144	35823	UROK	\N	\N
3677905	6738	1997-08-31	PRIJEM	\N	136	30399	UROK	\N	\N
3677906	6738	1997-09-30	PRIJEM	\N	107	21845	UROK	\N	\N
3677907	6738	1997-10-31	PRIJEM	\N	85	21270	UROK	\N	\N
3677908	6738	1997-11-30	PRIJEM	\N	89	22299	UROK	\N	\N
3677909	6738	1997-12-31	PRIJEM	\N	111	28426	UROK	\N	\N
3677910	6738	1998-01-31	PRIJEM	\N	158	24423	UROK	\N	\N
3677911	6738	1998-02-28	PRIJEM	\N	107	28490	UROK	\N	\N
3677912	6738	1998-03-31	PRIJEM	\N	109	26238	UROK	\N	\N
3677913	6738	1998-04-30	PRIJEM	\N	101	25379	UROK	\N	\N
3677914	6738	1998-05-31	PRIJEM	\N	114	25732	UROK	\N	\N
3677915	6738	1998-06-30	PRIJEM	\N	161	44910	UROK	\N	\N
3677916	6738	1998-07-31	PRIJEM	\N	167	34616	UROK	\N	\N
3677917	6738	1998-08-31	PRIJEM	\N	136	29192	UROK	\N	\N
3677918	6738	1998-09-30	PRIJEM	\N	164	39695	UROK	\N	\N
3677919	6738	1998-10-31	PRIJEM	\N	197	40103	UROK	\N	\N
3677920	6738	1998-11-30	PRIJEM	\N	186	49228	UROK	\N	\N
3677921	6738	1998-12-31	PRIJEM	\N	180	46885	UROK	\N	\N
3678307	6792	1996-05-31	PRIJEM	\N	30	12223	UROK	\N	\N
3678308	6792	1996-06-30	PRIJEM	\N	102	33914	UROK	\N	\N
3678309	6792	1996-07-31	PRIJEM	\N	155	39662	UROK	\N	\N
3678310	6792	1996-08-31	PRIJEM	\N	174	43629	UROK	\N	\N
3678311	6792	1996-09-30	PRIJEM	\N	183	44505	UROK	\N	\N
3678312	6792	1996-10-31	PRIJEM	\N	158	37950	UROK	\N	\N
3678313	6792	1996-11-30	PRIJEM	\N	147	36283	UROK	\N	\N
3678314	6792	1996-12-31	PRIJEM	\N	146	39371	UROK	\N	\N
3678315	6792	1997-01-31	PRIJEM	\N	107	22785	UROK	\N	\N
3678316	6792	1997-02-28	PRIJEM	\N	116	32287	UROK	\N	\N
3678317	6792	1997-03-31	PRIJEM	\N	153	40926	UROK	\N	\N
3678318	6792	1997-04-30	PRIJEM	\N	177	41178	UROK	\N	\N
3678319	6792	1997-05-31	PRIJEM	\N	180	46613	UROK	\N	\N
3678320	6792	1997-06-30	PRIJEM	\N	143	30807	UROK	\N	\N
3678321	6792	1997-07-31	PRIJEM	\N	144	36025	UROK	\N	\N
3678322	6792	1997-08-31	PRIJEM	\N	161	39120	UROK	\N	\N
3678323	6792	1997-09-30	PRIJEM	\N	164	42439	UROK	\N	\N
3678324	6792	1997-10-31	PRIJEM	\N	177	45370	UROK	\N	\N
3678325	6792	1997-11-30	PRIJEM	\N	185	46909	UROK	\N	\N
3678326	6792	1997-12-31	PRIJEM	\N	180	45380	UROK	\N	\N
3678327	6792	1998-01-31	PRIJEM	\N	128	21203	UROK	\N	\N
3678328	6792	1998-02-28	PRIJEM	\N	110	30267	UROK	\N	\N
3678329	6792	1998-03-31	PRIJEM	\N	121	31643	UROK	\N	\N
3678330	6792	1998-04-30	PRIJEM	\N	109	28699	UROK	\N	\N
3678331	6792	1998-05-31	PRIJEM	\N	120	32605	UROK	\N	\N
3678332	6792	1998-06-30	PRIJEM	\N	137	35385	UROK	\N	\N
3678333	6792	1998-07-31	PRIJEM	\N	151	32222	UROK	\N	\N
3678334	6792	1998-08-31	PRIJEM	\N	147	34156	UROK	\N	\N
3678335	6792	1998-09-30	PRIJEM	\N	149	31091	UROK	\N	\N
3678336	6792	1998-10-31	PRIJEM	\N	142	34720	UROK	\N	\N
3678337	6792	1998-11-30	PRIJEM	\N	147	30353	UROK	\N	\N
3678338	6792	1998-12-31	PRIJEM	\N	151	40887	UROK	\N	\N
3678517	6856	1995-08-31	PRIJEM	\N	47	58338	UROK	\N	\N
3678518	6856	1995-09-30	PRIJEM	\N	243	41580	UROK	\N	\N
3678519	6856	1995-10-31	PRIJEM	\N	243	30723	UROK	\N	\N
3678520	6856	1995-11-30	PRIJEM	\N	203	72373	UROK	\N	\N
3678521	6856	1995-12-31	PRIJEM	\N	228	56884	UROK	\N	\N
3678522	6856	1996-01-31	PRIJEM	\N	132	21505	UROK	\N	\N
3678523	6856	1996-02-29	PRIJEM	\N	65	15339	UROK	\N	\N
3678524	6856	1996-03-31	PRIJEM	\N	43	10652	UROK	\N	\N
3678525	6856	1996-04-30	PRIJEM	\N	47	15668	UROK	\N	\N
3678526	6856	1996-05-31	PRIJEM	\N	53	15791	UROK	\N	\N
3678527	6856	1996-06-30	PRIJEM	\N	51	13511	UROK	\N	\N
3678528	6856	1996-07-31	PRIJEM	\N	59	14339	UROK	\N	\N
3678529	6856	1996-08-31	PRIJEM	\N	54	14062	UROK	\N	\N
3678530	6856	1996-09-30	PRIJEM	\N	55	14287	UROK	\N	\N
3678531	6856	1996-10-31	PRIJEM	\N	57	14914	UROK	\N	\N
3678532	6856	1996-11-30	PRIJEM	\N	57	13240	UROK	\N	\N
3678533	6856	1996-12-31	PRIJEM	\N	103	26242	UROK	\N	\N
3678534	6856	1997-01-31	PRIJEM	\N	118	23794	UROK	\N	\N
3678535	6856	1997-02-28	PRIJEM	\N	87	18050	UROK	\N	\N
3678536	6856	1997-03-31	PRIJEM	\N	178	39707	UROK	\N	\N
3678537	6856	1997-04-30	PRIJEM	\N	143	66593	UROK	\N	\N
3678538	6856	1997-05-31	PRIJEM	\N	219	44011	UROK	\N	\N
3678539	6856	1997-06-30	PRIJEM	\N	172	58689	UROK	\N	\N
3678540	6856	1997-07-31	PRIJEM	\N	185	38190	UROK	\N	\N
3678541	6856	1997-08-31	PRIJEM	\N	131	31616	UROK	\N	\N
3678542	6856	1997-09-30	PRIJEM	\N	147	34022	UROK	\N	\N
3678543	6856	1997-10-31	PRIJEM	\N	120	26157	UROK	\N	\N
3678544	6856	1997-11-30	PRIJEM	\N	150	41487	UROK	\N	\N
3678545	6856	1997-12-31	PRIJEM	\N	162	35772	UROK	\N	\N
3678546	6856	1998-01-31	PRIJEM	\N	121	21143	UROK	\N	\N
3678547	6856	1998-02-28	PRIJEM	\N	82	30631	UROK	\N	\N
3678548	6856	1998-03-31	PRIJEM	\N	115	25761	UROK	\N	\N
3678549	6856	1998-04-30	PRIJEM	\N	110	25286	UROK	\N	\N
3678550	6856	1998-05-31	PRIJEM	\N	122	29123	UROK	\N	\N
3678551	6856	1998-06-30	PRIJEM	\N	130	30668	UROK	\N	\N
3678552	6856	1998-07-31	PRIJEM	\N	135	75463	UROK	\N	\N
3678553	6856	1998-08-31	PRIJEM	\N	222	83418	UROK	\N	\N
3678554	6856	1998-09-30	PRIJEM	\N	141	23908	UROK	\N	\N
3678555	6856	1998-10-31	PRIJEM	\N	109	23612	UROK	\N	\N
3678556	6856	1998-11-30	PRIJEM	\N	96	21618	UROK	\N	\N
3678557	6856	1998-12-31	PRIJEM	\N	121	29354	UROK	\N	\N
3678765	6902	1996-11-30	PRIJEM	\N	24	17202	UROK	\N	\N
3678766	6902	1996-12-31	PRIJEM	\N	90	29358	UROK	\N	\N
3678767	6902	1997-01-31	PRIJEM	\N	129	33866	UROK	\N	\N
3678768	6902	1997-02-28	PRIJEM	\N	145	37089	UROK	\N	\N
3678769	6902	1997-03-31	PRIJEM	\N	164	39366	UROK	\N	\N
3678770	6902	1997-04-30	PRIJEM	\N	171	38435	UROK	\N	\N
3678771	6902	1997-05-31	PRIJEM	\N	161	34894	UROK	\N	\N
3678772	6902	1997-06-30	PRIJEM	\N	159	36440	UROK	\N	\N
3678773	6902	1997-07-31	PRIJEM	\N	156	34995	UROK	\N	\N
3678774	6902	1997-08-31	PRIJEM	\N	142	30435	UROK	\N	\N
3678775	6902	1997-09-30	PRIJEM	\N	127	27460	UROK	\N	\N
3678776	6902	1997-10-31	PRIJEM	\N	120	28478	UROK	\N	\N
3678777	6902	1997-11-30	PRIJEM	\N	123	28699	UROK	\N	\N
3678778	6902	1997-12-31	PRIJEM	\N	122	25529	UROK	\N	\N
3678779	6902	1998-01-31	PRIJEM	\N	95	16553	UROK	\N	\N
3678780	6902	1998-02-28	PRIJEM	\N	80	20261	UROK	\N	\N
3678781	6902	1998-03-31	PRIJEM	\N	85	19354	UROK	\N	\N
3678782	6902	1998-04-30	PRIJEM	\N	80	17462	UROK	\N	\N
3678783	6902	1998-05-31	PRIJEM	\N	72	15862	UROK	\N	\N
3678784	6902	1998-06-30	PRIJEM	\N	67	14047	UROK	\N	\N
3678785	6902	1998-07-31	PRIJEM	\N	64	15539	UROK	\N	\N
3678786	6902	1998-08-31	PRIJEM	\N	64	14732	UROK	\N	\N
3678787	6902	1998-09-30	PRIJEM	\N	66	16326	UROK	\N	\N
3678788	6902	1998-10-31	PRIJEM	\N	78	19933	UROK	\N	\N
3678789	6902	1998-11-30	PRIJEM	\N	76	17037	UROK	\N	\N
3678790	6902	1998-12-31	PRIJEM	\N	74	18028	UROK	\N	\N
3678857	6922	1997-06-30	PRIJEM	\N	108	39113	UROK	\N	\N
3678858	6922	1997-07-31	PRIJEM	\N	190	48974	UROK	\N	\N
3678859	6922	1997-08-31	PRIJEM	\N	222	55366	UROK	\N	\N
3678860	6922	1997-09-30	PRIJEM	\N	242	59378	UROK	\N	\N
3678861	6922	1997-10-31	PRIJEM	\N	219	44766	UROK	\N	\N
3678862	6922	1997-11-30	PRIJEM	\N	195	43701	UROK	\N	\N
3678863	6922	1997-12-31	PRIJEM	\N	239	58115	UROK	\N	\N
3678864	6922	1998-01-31	PRIJEM	\N	141	3196	UROK	\N	\N
3678865	6922	1998-02-28	PRIJEM	\N	154	40090	UROK	\N	\N
3678866	6922	1998-03-31	PRIJEM	\N	137	23891	UROK	\N	\N
3678867	6922	1998-04-30	PRIJEM	\N	87	10253	UROK	\N	\N
3678868	6922	1998-05-31	PRIJEM	\N	101	27694	UROK	\N	\N
3678869	6922	1998-06-30	PRIJEM	\N	197	39571	UROK	\N	\N
3678870	6922	1998-07-31	PRIJEM	\N	239	46847	UROK	\N	\N
3678871	6922	1998-08-31	PRIJEM	\N	266	65652	UROK	\N	\N
3678872	6922	1998-09-30	PRIJEM	\N	256	47848	UROK	\N	\N
3678873	6922	1998-10-31	PRIJEM	\N	259	65347	UROK	\N	\N
3678874	6922	1998-11-30	PRIJEM	\N	299	73486	UROK	\N	\N
3678875	6922	1998-12-31	PRIJEM	\N	367	79937	UROK	\N	\N
3678876	6924	1994-06-30	PRIJEM	\N	123	36959	UROK	\N	\N
3678877	6924	1994-07-31	PRIJEM	\N	214	55730	UROK	\N	\N
3678878	6924	1994-08-31	PRIJEM	\N	163	41850	UROK	\N	\N
3678879	6924	1994-09-30	PRIJEM	\N	175	46782	UROK	\N	\N
3678880	6924	1994-10-31	PRIJEM	\N	228	30178	UROK	\N	\N
3678881	6924	1994-11-30	PRIJEM	\N	149	27410	UROK	\N	\N
3678882	6924	1994-12-31	PRIJEM	\N	198	37644	UROK	\N	\N
3678883	6924	1995-01-31	PRIJEM	\N	108	19209	UROK	\N	\N
3678884	6924	1995-02-28	PRIJEM	\N	131	26198	UROK	\N	\N
3678885	6924	1995-03-31	PRIJEM	\N	163	27918	UROK	\N	\N
3678886	6924	1995-04-30	PRIJEM	\N	130	19989	UROK	\N	\N
3678887	6924	1995-05-31	PRIJEM	\N	146	26292	UROK	\N	\N
3678888	6924	1995-06-30	PRIJEM	\N	121	25518	UROK	\N	\N
3678889	6924	1995-07-31	PRIJEM	\N	145	23926	UROK	\N	\N
3678890	6924	1995-08-31	PRIJEM	\N	159	27743	UROK	\N	\N
3678891	6924	1995-09-30	PRIJEM	\N	160	30460	UROK	\N	\N
3678892	6924	1995-10-31	PRIJEM	\N	175	33893	UROK	\N	\N
3678893	6924	1995-11-30	PRIJEM	\N	172	31022	UROK	\N	\N
3678894	6924	1995-12-31	PRIJEM	\N	191	32690	UROK	\N	\N
3678895	6924	1996-01-31	PRIJEM	\N	90	12078	UROK	\N	\N
3678896	6924	1996-02-29	PRIJEM	\N	91	22097	UROK	\N	\N
3678897	6924	1996-03-31	PRIJEM	\N	128	23723	UROK	\N	\N
3678898	6924	1996-04-30	PRIJEM	\N	137	27658	UROK	\N	\N
3678899	6924	1996-05-31	PRIJEM	\N	121	16068	UROK	\N	\N
3678900	6924	1996-06-30	PRIJEM	\N	142	28787	UROK	\N	\N
3678901	6924	1996-07-31	PRIJEM	\N	160	21244	UROK	\N	\N
3678902	6924	1996-08-31	PRIJEM	\N	131	28073	UROK	\N	\N
3678903	6924	1996-09-30	PRIJEM	\N	145	29016	UROK	\N	\N
3678904	6924	1996-10-31	PRIJEM	\N	144	28058	UROK	\N	\N
3678905	6924	1996-11-30	PRIJEM	\N	122	22961	UROK	\N	\N
3678906	6924	1996-12-31	PRIJEM	\N	144	31882	UROK	\N	\N
3678907	6924	1997-01-31	PRIJEM	\N	122	18602	UROK	\N	\N
3678908	6924	1997-02-28	PRIJEM	\N	120	29120	UROK	\N	\N
3678909	6924	1997-03-31	PRIJEM	\N	144	30429	UROK	\N	\N
3678910	6924	1997-04-30	PRIJEM	\N	166	37393	UROK	\N	\N
3678911	6924	1997-05-31	PRIJEM	\N	188	42579	UROK	\N	\N
3678912	6924	1997-06-30	PRIJEM	\N	233	51589	UROK	\N	\N
3678913	6924	1997-07-31	PRIJEM	\N	123	21344	UROK	\N	\N
3678914	6924	1997-08-31	PRIJEM	\N	131	23872	UROK	\N	\N
3678915	6924	1997-09-30	PRIJEM	\N	137	32935	UROK	\N	\N
3678916	6924	1997-10-31	PRIJEM	\N	167	29200	UROK	\N	\N
3678917	6924	1997-11-30	PRIJEM	\N	170	29967	UROK	\N	\N
3678918	6924	1997-12-31	PRIJEM	\N	155	30599	UROK	\N	\N
3678919	6924	1998-01-31	PRIJEM	\N	128	22025	UROK	\N	\N
3678920	6924	1998-02-28	PRIJEM	\N	133	33456	UROK	\N	\N
3678921	6924	1998-03-31	PRIJEM	\N	141	31894	UROK	\N	\N
3678922	6924	1998-04-30	PRIJEM	\N	158	34650	UROK	\N	\N
3678923	6924	1998-05-31	PRIJEM	\N	176	41624	UROK	\N	\N
3678924	6924	1998-06-30	PRIJEM	\N	217	46447	UROK	\N	\N
3678925	6924	1998-07-31	PRIJEM	\N	210	48855	UROK	\N	\N
3678926	6924	1998-08-31	PRIJEM	\N	188	43474	UROK	\N	\N
3678927	6924	1998-09-30	PRIJEM	\N	162	32033	UROK	\N	\N
3678928	6924	1998-10-31	PRIJEM	\N	150	36509	UROK	\N	\N
3678929	6924	1998-11-30	PRIJEM	\N	192	47699	UROK	\N	\N
3678930	6924	1998-12-31	PRIJEM	\N	192	41267	UROK	\N	\N
3678931	6930	1993-09-30	PRIJEM	\N	65	24858	UROK	\N	\N
3678932	6930	1993-10-31	PRIJEM	\N	170	49621	UROK	\N	\N
3678933	6930	1993-11-30	PRIJEM	\N	243	63757	UROK	\N	\N
3678934	6930	1993-12-31	PRIJEM	\N	309	80155	UROK	\N	\N
3678935	6930	1994-01-31	PRIJEM	\N	307	64515	UROK	\N	\N
3678936	6930	1994-02-28	PRIJEM	\N	262	61215	UROK	\N	\N
3678937	6930	1994-03-31	PRIJEM	\N	266	65060	UROK	\N	\N
3678938	6930	1994-04-30	PRIJEM	\N	283	69621	UROK	\N	\N
3678939	6930	1994-05-31	PRIJEM	\N	270	69669	UROK	\N	\N
3678940	6930	1994-06-30	PRIJEM	\N	308	58531	UROK	\N	\N
3678941	6930	1994-07-31	PRIJEM	\N	259	63287	UROK	\N	\N
3678942	6930	1994-08-31	PRIJEM	\N	272	66857	UROK	\N	\N
3678943	6930	1994-09-30	PRIJEM	\N	274	64448	UROK	\N	\N
3678944	6930	1994-10-31	PRIJEM	\N	281	68326	UROK	\N	\N
3678945	6930	1994-11-30	PRIJEM	\N	284	68608	UROK	\N	\N
3678946	6930	1994-12-31	PRIJEM	\N	266	69948	UROK	\N	\N
3678947	6930	1995-01-31	PRIJEM	\N	252	63237	UROK	\N	\N
3678948	6930	1995-02-28	PRIJEM	\N	235	65269	UROK	\N	\N
3678949	6930	1995-03-31	PRIJEM	\N	252	63399	UROK	\N	\N
3678950	6930	1995-04-30	PRIJEM	\N	274	66771	UROK	\N	\N
3678951	6930	1995-05-31	PRIJEM	\N	284	68712	UROK	\N	\N
3678952	6930	1995-06-30	PRIJEM	\N	287	52334	UROK	\N	\N
3678953	6930	1995-07-31	PRIJEM	\N	241	43772	UROK	\N	\N
3678954	6930	1995-08-31	PRIJEM	\N	233	42503	UROK	\N	\N
3678955	6930	1995-09-30	PRIJEM	\N	226	39425	UROK	\N	\N
3678956	6930	1995-10-31	PRIJEM	\N	212	39635	UROK	\N	\N
3678957	6930	1995-11-30	PRIJEM	\N	206	39179	UROK	\N	\N
3678958	6930	1995-12-31	PRIJEM	\N	224	40777	UROK	\N	\N
3678959	6930	1996-01-31	PRIJEM	\N	177	32731	UROK	\N	\N
3678960	6930	1996-02-29	PRIJEM	\N	168	31056	UROK	\N	\N
3678961	6930	1996-03-31	PRIJEM	\N	175	34329	UROK	\N	\N
3678962	6930	1996-04-30	PRIJEM	\N	186	37012	UROK	\N	\N
3678963	6930	1996-05-31	PRIJEM	\N	195	38605	UROK	\N	\N
3678964	6930	1996-06-30	PRIJEM	\N	177	27977	UROK	\N	\N
3678965	6930	1996-07-31	PRIJEM	\N	148	27823	UROK	\N	\N
3678966	6930	1996-08-31	PRIJEM	\N	120	33381	UROK	\N	\N
3678967	6930	1996-09-30	PRIJEM	\N	137	31497	UROK	\N	\N
3678968	6930	1996-10-31	PRIJEM	\N	156	35131	UROK	\N	\N
3678969	6930	1996-11-30	PRIJEM	\N	181	41291	UROK	\N	\N
3678970	6930	1996-12-31	PRIJEM	\N	220	46685	UROK	\N	\N
3678971	6930	1997-01-31	PRIJEM	\N	189	37352	UROK	\N	\N
3678972	6930	1997-02-28	PRIJEM	\N	160	42490	UROK	\N	\N
3678973	6930	1997-03-31	PRIJEM	\N	172	41341	UROK	\N	\N
3678974	6930	1997-04-30	PRIJEM	\N	183	41563	UROK	\N	\N
3678975	6930	1997-05-31	PRIJEM	\N	198	45659	UROK	\N	\N
3678976	6930	1997-06-30	PRIJEM	\N	209	34463	UROK	\N	\N
3678977	6930	1997-07-31	PRIJEM	\N	176	43417	UROK	\N	\N
3678978	6930	1997-08-31	PRIJEM	\N	191	46386	UROK	\N	\N
3678979	6930	1997-09-30	PRIJEM	\N	195	48860	UROK	\N	\N
3678980	6930	1997-10-31	PRIJEM	\N	210	54348	UROK	\N	\N
3678981	6930	1997-11-30	PRIJEM	\N	228	57354	UROK	\N	\N
3678982	6930	1997-12-31	PRIJEM	\N	243	60372	UROK	\N	\N
3678983	6930	1998-01-31	PRIJEM	\N	235	47746	UROK	\N	\N
3678984	6930	1998-02-28	PRIJEM	\N	194	48318	UROK	\N	\N
3678985	6930	1998-03-31	PRIJEM	\N	216	52313	UROK	\N	\N
3678986	6930	1998-04-30	PRIJEM	\N	224	53315	UROK	\N	\N
3678987	6930	1998-05-31	PRIJEM	\N	219	50813	UROK	\N	\N
3678988	6930	1998-06-30	PRIJEM	\N	175	43323	UROK	\N	\N
3678989	6930	1998-07-31	PRIJEM	\N	167	36589	UROK	\N	\N
3678990	6930	1998-08-31	PRIJEM	\N	153	39721	UROK	\N	\N
3678991	6930	1998-09-30	PRIJEM	\N	182	35582	UROK	\N	\N
3678992	6930	1998-10-31	PRIJEM	\N	142	35302	UROK	\N	\N
3678993	6930	1998-11-30	PRIJEM	\N	179	50359	UROK	\N	\N
3678994	6930	1998-12-31	PRIJEM	\N	250	67784	UROK	\N	\N
3679125	6950	1996-11-30	PRIJEM	\N	64	23197	UROK	\N	\N
3679126	6950	1996-12-31	PRIJEM	\N	151	42448	UROK	\N	\N
3679127	6950	1997-01-31	PRIJEM	\N	192	47672	UROK	\N	\N
3679128	6950	1997-02-28	PRIJEM	\N	195	46700	UROK	\N	\N
3679129	6950	1997-03-31	PRIJEM	\N	141	25284	UROK	\N	\N
3679130	6950	1997-04-30	PRIJEM	\N	91	18422	UROK	\N	\N
3679131	6950	1997-05-31	PRIJEM	\N	73	15243	UROK	\N	\N
3679132	6950	1997-06-30	PRIJEM	\N	93	22050	UROK	\N	\N
3679133	6950	1997-07-31	PRIJEM	\N	95	20493	UROK	\N	\N
3679134	6950	1997-08-31	PRIJEM	\N	92	16492	UROK	\N	\N
3679135	6950	1997-09-30	PRIJEM	\N	96	20256	UROK	\N	\N
3679136	6950	1997-10-31	PRIJEM	\N	84	14826	UROK	\N	\N
3679137	6950	1997-11-30	PRIJEM	\N	98	20471	UROK	\N	\N
3679138	6950	1997-12-31	PRIJEM	\N	136	30261	UROK	\N	\N
3679139	6950	1998-01-31	PRIJEM	\N	145	26894	UROK	\N	\N
3679140	6950	1998-02-28	PRIJEM	\N	205	47546	UROK	\N	\N
3679141	6950	1998-03-31	PRIJEM	\N	224	50517	UROK	\N	\N
3679142	6950	1998-04-30	PRIJEM	\N	234	51999	UROK	\N	\N
3679143	6950	1998-05-31	PRIJEM	\N	237	51383	UROK	\N	\N
3679144	6950	1998-06-30	PRIJEM	\N	239	30556	UROK	\N	\N
3679145	6950	1998-07-31	PRIJEM	\N	221	51624	UROK	\N	\N
3679146	6950	1998-08-31	PRIJEM	\N	274	62125	UROK	\N	\N
3679147	6950	1998-09-30	PRIJEM	\N	304	69877	UROK	\N	\N
3679148	6950	1998-10-31	PRIJEM	\N	330	76055	UROK	\N	\N
3679149	6950	1998-11-30	PRIJEM	\N	366	84868	UROK	\N	\N
3679150	6950	1998-12-31	PRIJEM	\N	312	59095	UROK	\N	\N
3679252	6985	1995-08-31	PRIJEM	\N	13	16619	UROK	\N	\N
3679253	6985	1995-09-30	PRIJEM	\N	69	18789	UROK	\N	\N
3679254	6985	1995-10-31	PRIJEM	\N	164	102715	UROK	\N	\N
3679255	6985	1995-11-30	PRIJEM	\N	427	61842	UROK	\N	\N
3679256	6985	1995-12-31	PRIJEM	\N	294	40675	UROK	\N	\N
3679257	6985	1996-01-31	PRIJEM	\N	231	69640	UROK	\N	\N
3679258	6985	1996-02-29	PRIJEM	\N	229	35860	UROK	\N	\N
3679259	6985	1996-03-31	PRIJEM	\N	201	36911	UROK	\N	\N
3679260	6985	1996-04-30	PRIJEM	\N	218	71625	UROK	\N	\N
3679261	6985	1996-05-31	PRIJEM	\N	249	58975	UROK	\N	\N
3679262	6985	1996-06-30	PRIJEM	\N	178	28784	UROK	\N	\N
3679263	6985	1996-07-31	PRIJEM	\N	123	37520	UROK	\N	\N
3679264	6985	1996-08-31	PRIJEM	\N	299	114081	UROK	\N	\N
3679265	6985	1996-09-30	PRIJEM	\N	192	36104	UROK	\N	\N
3679266	6985	1996-10-31	PRIJEM	\N	114	24149	UROK	\N	\N
3679267	6985	1996-11-30	PRIJEM	\N	127	34187	UROK	\N	\N
3679268	6985	1996-12-31	PRIJEM	\N	180	38945	UROK	\N	\N
3679269	6985	1997-01-31	PRIJEM	\N	263	67469	UROK	\N	\N
3679270	6985	1997-02-28	PRIJEM	\N	239	89101	UROK	\N	\N
3679271	6985	1997-03-31	PRIJEM	\N	293	54624	UROK	\N	\N
3679272	6985	1997-04-30	PRIJEM	\N	309	103110	UROK	\N	\N
3679273	6985	1997-05-31	PRIJEM	\N	334	70147	UROK	\N	\N
3679274	6985	1997-06-30	PRIJEM	\N	228	43906	UROK	\N	\N
3679275	6985	1997-07-31	PRIJEM	\N	170	54550	UROK	\N	\N
3679276	6985	1997-08-31	PRIJEM	\N	314	67765	UROK	\N	\N
3679277	6985	1997-09-30	PRIJEM	\N	211	54261	UROK	\N	\N
3679278	6985	1997-10-31	PRIJEM	\N	182	55672	UROK	\N	\N
3679279	6985	1997-11-30	PRIJEM	\N	197	62566	UROK	\N	\N
3679280	6985	1997-12-31	PRIJEM	\N	284	84904	UROK	\N	\N
3679281	6985	1998-01-31	PRIJEM	\N	352	107195	UROK	\N	\N
3679282	6985	1998-02-28	PRIJEM	\N	431	109409	UROK	\N	\N
3679283	6985	1998-03-31	PRIJEM	\N	363	82398	UROK	\N	\N
3679284	6985	1998-04-30	PRIJEM	\N	289	70143	UROK	\N	\N
3679285	6985	1998-05-31	PRIJEM	\N	285	59098	UROK	\N	\N
3679286	6985	1998-06-30	PRIJEM	\N	126	23906	UROK	\N	\N
3679287	6985	1998-07-31	PRIJEM	\N	55	8092	UROK	\N	\N
3679288	6985	1998-08-31	PRIJEM	\N	111	64131	UROK	\N	\N
3679289	6985	1998-09-30	PRIJEM	\N	221	35099	UROK	\N	\N
3679290	6985	1998-10-31	PRIJEM	\N	210	62055	UROK	\N	\N
3679291	6985	1998-11-30	PRIJEM	\N	176	37562	UROK	\N	\N
3679292	6985	1998-12-31	PRIJEM	\N	201	64959	UROK	\N	\N
3679666	7045	1997-01-31	PRIJEM	\N	31	33123	UROK	\N	\N
3679667	7045	1997-02-28	PRIJEM	\N	147	45062	UROK	\N	\N
3679668	7045	1997-03-31	PRIJEM	\N	193	52247	UROK	\N	\N
3679669	7045	1997-04-30	PRIJEM	\N	217	51556	UROK	\N	\N
3679670	7045	1997-05-31	PRIJEM	\N	217	52865	UROK	\N	\N
3679671	7045	1997-06-30	PRIJEM	\N	342	51131	UROK	\N	\N
3679672	7045	1997-07-31	PRIJEM	\N	281	55807	UROK	\N	\N
3679673	7045	1997-08-31	PRIJEM	\N	279	57849	UROK	\N	\N
3679674	7045	1997-09-30	PRIJEM	\N	263	55135	UROK	\N	\N
3679675	7045	1997-10-31	PRIJEM	\N	269	52966	UROK	\N	\N
3679676	7045	1997-11-30	PRIJEM	\N	263	54154	UROK	\N	\N
3679677	7045	1997-12-31	PRIJEM	\N	332	70594	UROK	\N	\N
3679678	7045	1998-01-31	PRIJEM	\N	269	40325	UROK	\N	\N
3679679	7045	1998-02-28	PRIJEM	\N	190	49176	UROK	\N	\N
3679680	7045	1998-03-31	PRIJEM	\N	253	57291	UROK	\N	\N
3679681	7045	1998-04-30	PRIJEM	\N	253	51928	UROK	\N	\N
3679682	7045	1998-05-31	PRIJEM	\N	246	41436	UROK	\N	\N
3679683	7045	1998-06-30	PRIJEM	\N	232	55752	UROK	\N	\N
3679684	7045	1998-07-31	PRIJEM	\N	262	57276	UROK	\N	\N
3679685	7045	1998-08-31	PRIJEM	\N	242	49220	UROK	\N	\N
3679686	7045	1998-09-30	PRIJEM	\N	209	38615	UROK	\N	\N
3679687	7045	1998-10-31	PRIJEM	\N	195	46072	UROK	\N	\N
3679688	7045	1998-11-30	PRIJEM	\N	222	50703	UROK	\N	\N
3679689	7045	1998-12-31	PRIJEM	\N	246	47276	UROK	\N	\N
3679690	7049	1997-11-30	PRIJEM	\N	98	35417	UROK	\N	\N
3679691	7049	1997-12-31	PRIJEM	\N	160	35155	UROK	\N	\N
3679692	7049	1998-01-31	PRIJEM	\N	193	51167	UROK	\N	\N
3679693	7049	1998-02-28	PRIJEM	\N	245	62131	UROK	\N	\N
3679694	7049	1998-03-31	PRIJEM	\N	176	13027	UROK	\N	\N
3679695	7049	1998-04-30	PRIJEM	\N	100	17631	UROK	\N	\N
3679696	7049	1998-05-31	PRIJEM	\N	132	34368	UROK	\N	\N
3679697	7049	1998-06-30	PRIJEM	\N	201	45879	UROK	\N	\N
3679698	7049	1998-07-31	PRIJEM	\N	196	41844	UROK	\N	\N
3679699	7049	1998-08-31	PRIJEM	\N	231	58126	UROK	\N	\N
3679700	7049	1998-09-30	PRIJEM	\N	212	46689	UROK	\N	\N
3679701	7049	1998-10-31	PRIJEM	\N	237	54377	UROK	\N	\N
3679702	7049	1998-11-30	PRIJEM	\N	253	52452	UROK	\N	\N
3679703	7049	1998-12-31	PRIJEM	\N	213	38874	UROK	\N	\N
3679772	7082	1996-10-31	PRIJEM	\N	65	18626	UROK	\N	\N
3679773	7082	1996-11-30	PRIJEM	\N	77	30464	UROK	\N	\N
3679774	7082	1996-12-31	PRIJEM	\N	145	37251	UROK	\N	\N
3679775	7082	1997-01-31	PRIJEM	\N	174	42586	UROK	\N	\N
3679776	7082	1997-02-28	PRIJEM	\N	159	34866	UROK	\N	\N
3679777	7082	1997-03-31	PRIJEM	\N	126	23298	UROK	\N	\N
3679778	7082	1997-04-30	PRIJEM	\N	113	24918	UROK	\N	\N
3679779	7082	1997-05-31	PRIJEM	\N	109	24833	UROK	\N	\N
3679780	7082	1997-06-30	PRIJEM	\N	114	19594	UROK	\N	\N
3679781	7082	1997-07-31	PRIJEM	\N	92	18392	UROK	\N	\N
3679782	7082	1997-08-31	PRIJEM	\N	97	22696	UROK	\N	\N
3679783	7082	1997-09-30	PRIJEM	\N	106	23508	UROK	\N	\N
3679784	7082	1997-10-31	PRIJEM	\N	102	21716	UROK	\N	\N
3679785	7082	1997-11-30	PRIJEM	\N	78	20140	UROK	\N	\N
3679786	7082	1997-12-31	PRIJEM	\N	110	24257	UROK	\N	\N
3679787	7082	1998-01-31	PRIJEM	\N	83	19187	UROK	\N	\N
3679788	7082	1998-02-28	PRIJEM	\N	89	19137	UROK	\N	\N
3679789	7082	1998-03-31	PRIJEM	\N	99	20197	UROK	\N	\N
3679790	7082	1998-04-30	PRIJEM	\N	86	17585	UROK	\N	\N
3679791	7082	1998-05-31	PRIJEM	\N	83	23430	UROK	\N	\N
3679792	7082	1998-06-30	PRIJEM	\N	98	20970	UROK	\N	\N
3679793	7082	1998-07-31	PRIJEM	\N	93	18525	UROK	\N	\N
3679794	7082	1998-08-31	PRIJEM	\N	87	22474	UROK	\N	\N
3679795	7082	1998-09-30	PRIJEM	\N	104	27539	UROK	\N	\N
3679796	7082	1998-10-31	PRIJEM	\N	122	28223	UROK	\N	\N
3679797	7082	1998-11-30	PRIJEM	\N	125	28609	UROK	\N	\N
3679798	7082	1998-12-31	PRIJEM	\N	114	22345	UROK	\N	\N
3680119	7099	1996-09-30	PRIJEM	\N	48	28743	UROK	\N	\N
3680120	7099	1996-10-31	PRIJEM	\N	139	39777	UROK	\N	\N
3680121	7099	1996-11-30	PRIJEM	\N	177	46549	UROK	\N	\N
3680122	7099	1996-12-31	PRIJEM	\N	210	55501	UROK	\N	\N
3680123	7099	1997-01-31	PRIJEM	\N	193	24859	UROK	\N	\N
3680124	7099	1997-02-28	PRIJEM	\N	120	20538	UROK	\N	\N
3680125	7099	1997-03-31	PRIJEM	\N	119	27417	UROK	\N	\N
3680126	7099	1997-04-30	PRIJEM	\N	164	36431	UROK	\N	\N
3680127	7099	1997-05-31	PRIJEM	\N	184	39966	UROK	\N	\N
3680128	7099	1997-06-30	PRIJEM	\N	180	33617	UROK	\N	\N
3680129	7099	1997-07-31	PRIJEM	\N	178	37445	UROK	\N	\N
3680130	7099	1997-08-31	PRIJEM	\N	181	39677	UROK	\N	\N
3680131	7099	1997-09-30	PRIJEM	\N	189	40716	UROK	\N	\N
3680132	7099	1997-10-31	PRIJEM	\N	180	34946	UROK	\N	\N
3680133	7099	1997-11-30	PRIJEM	\N	143	29495	UROK	\N	\N
3680134	7099	1997-12-31	PRIJEM	\N	173	32166	UROK	\N	\N
3680135	7099	1998-01-31	PRIJEM	\N	93	12308	UROK	\N	\N
3680136	7099	1998-02-28	PRIJEM	\N	48	3899	UROK	\N	\N
3680137	7099	1998-03-31	PRIJEM	\N	109	22259	UROK	\N	\N
3680138	7099	1998-04-30	PRIJEM	\N	114	24223	UROK	\N	\N
3680139	7099	1998-05-31	PRIJEM	\N	112	22886	UROK	\N	\N
3680140	7099	1998-06-30	PRIJEM	\N	127	27127	UROK	\N	\N
3680141	7099	1998-07-31	PRIJEM	\N	107	20202	UROK	\N	\N
3680142	7099	1998-08-31	PRIJEM	\N	88	17658	UROK	\N	\N
3680143	7099	1998-09-30	PRIJEM	\N	84	17809	UROK	\N	\N
3680144	7099	1998-10-31	PRIJEM	\N	82	16457	UROK	\N	\N
3680145	7099	1998-11-30	PRIJEM	\N	76	16301	UROK	\N	\N
3680146	7099	1998-12-31	PRIJEM	\N	98	19213	UROK	\N	\N
3680255	7123	1993-04-30	PRIJEM	\N	33	26233	UROK	\N	\N
3680256	7123	1993-05-31	PRIJEM	\N	109	23942	UROK	\N	\N
3680257	7123	1993-06-30	PRIJEM	\N	109	25551	UROK	\N	\N
3680258	7123	1993-07-31	PRIJEM	\N	181	65197	UROK	\N	\N
3680259	7123	1993-08-31	PRIJEM	\N	289	80656	UROK	\N	\N
3680260	7123	1993-09-30	PRIJEM	\N	238	71105	UROK	\N	\N
3680261	7123	1993-10-31	PRIJEM	\N	243	79518	UROK	\N	\N
3680262	7123	1993-11-30	PRIJEM	\N	283	73454	UROK	\N	\N
3680263	7123	1993-12-31	PRIJEM	\N	293	71529	UROK	\N	\N
3680264	7123	1994-01-31	PRIJEM	\N	294	73885	UROK	\N	\N
3680265	7123	1994-02-28	PRIJEM	\N	293	97764	UROK	\N	\N
3680266	7123	1994-03-31	PRIJEM	\N	236	41901	UROK	\N	\N
3680267	7123	1994-04-30	PRIJEM	\N	238	76636	UROK	\N	\N
3680268	7123	1994-05-31	PRIJEM	\N	248	40056	UROK	\N	\N
3680269	7123	1994-06-30	PRIJEM	\N	217	69142	UROK	\N	\N
3680270	7123	1994-07-31	PRIJEM	\N	263	65675	UROK	\N	\N
3680271	7123	1994-08-31	PRIJEM	\N	160	31436	UROK	\N	\N
3680272	7123	1994-09-30	PRIJEM	\N	209	66686	UROK	\N	\N
3680273	7123	1994-10-31	PRIJEM	\N	176	41951	UROK	\N	\N
3680274	7123	1994-11-30	PRIJEM	\N	160	85959	UROK	\N	\N
3680275	7123	1994-12-31	PRIJEM	\N	268	78664	UROK	\N	\N
3680276	7123	1995-01-31	PRIJEM	\N	118	21901	UROK	\N	\N
3680277	7123	1995-02-28	PRIJEM	\N	30	4850	UROK	\N	\N
3680278	7123	1995-04-30	PRIJEM	\N	20	4688	UROK	\N	\N
3680279	7123	1995-04-30	PRIJEM	\N	19	4669	UROK	\N	\N
3680280	7123	1995-06-30	PRIJEM	\N	20	4527	UROK	\N	\N
3680281	7123	1995-06-30	PRIJEM	\N	19	4507	UROK	\N	\N
3680282	7123	1995-07-31	PRIJEM	\N	19	4446	UROK	\N	\N
3680283	7123	1995-09-30	PRIJEM	\N	20	4284	UROK	\N	\N
3680284	7123	1995-09-30	PRIJEM	\N	19	4265	UROK	\N	\N
3680285	7123	1995-11-30	PRIJEM	\N	20	4123	UROK	\N	\N
3680286	7123	1995-11-30	PRIJEM	\N	19	4103	UROK	\N	\N
3680287	7123	1995-12-31	PRIJEM	\N	19	4042	UROK	\N	\N
3680288	7123	1996-01-31	PRIJEM	\N	165	45028	UROK	\N	\N
3680289	7123	1996-02-29	PRIJEM	\N	91	18775	UROK	\N	\N
3680290	7123	1996-03-31	PRIJEM	\N	79	19540	UROK	\N	\N
3680291	7123	1996-04-30	PRIJEM	\N	188	40871	UROK	\N	\N
3680292	7123	1996-05-31	PRIJEM	\N	195	26028	UROK	\N	\N
3680293	7123	1996-06-30	PRIJEM	\N	190	38973	UROK	\N	\N
3680294	7123	1996-07-31	PRIJEM	\N	244	38443	UROK	\N	\N
3680295	7123	1996-08-31	PRIJEM	\N	115	37406	UROK	\N	\N
3680296	7123	1996-09-30	PRIJEM	\N	134	33193	UROK	\N	\N
3680297	7123	1996-10-31	PRIJEM	\N	183	80169	UROK	\N	\N
3680298	7123	1996-11-30	PRIJEM	\N	391	65158	UROK	\N	\N
3680299	7123	1996-12-31	PRIJEM	\N	167	22044	UROK	\N	\N
3680300	7123	1997-01-31	PRIJEM	\N	140	23310	UROK	\N	\N
3680301	7123	1997-02-28	PRIJEM	\N	75	18789	UROK	\N	\N
3680302	7123	1997-03-31	PRIJEM	\N	91	25627	UROK	\N	\N
3680303	7123	1997-04-30	PRIJEM	\N	220	28247	UROK	\N	\N
3680304	7123	1997-05-31	PRIJEM	\N	151	107670	UROK	\N	\N
3680305	7123	1997-06-30	PRIJEM	\N	218	28995	UROK	\N	\N
3680306	7123	1997-07-31	PRIJEM	\N	158	20040	UROK	\N	\N
3680307	7123	1997-08-31	PRIJEM	\N	79	16119	UROK	\N	\N
3680308	7123	1997-09-30	PRIJEM	\N	172	39220	UROK	\N	\N
3680309	7123	1997-10-31	PRIJEM	\N	192	36359	UROK	\N	\N
3680310	7123	1997-11-30	PRIJEM	\N	249	102373	UROK	\N	\N
3680311	7123	1997-12-31	PRIJEM	\N	397	122293	UROK	\N	\N
3680312	7123	1998-01-31	PRIJEM	\N	254	55782	UROK	\N	\N
3680313	7123	1998-02-28	PRIJEM	\N	282	34801	UROK	\N	\N
3680314	7123	1998-03-31	PRIJEM	\N	94	13014	UROK	\N	\N
3680315	7123	1998-04-30	PRIJEM	\N	190	74692	UROK	\N	\N
3680316	7123	1998-05-31	PRIJEM	\N	238	37802	UROK	\N	\N
3680317	7123	1998-06-30	PRIJEM	\N	164	57169	UROK	\N	\N
3680318	7123	1998-07-31	PRIJEM	\N	272	78554	UROK	\N	\N
3680319	7123	1998-08-31	PRIJEM	\N	278	75621	UROK	\N	\N
3680320	7123	1998-09-30	PRIJEM	\N	234	50567	UROK	\N	\N
3680321	7123	1998-10-31	PRIJEM	\N	148	29934	UROK	\N	\N
3680322	7123	1998-11-30	PRIJEM	\N	230	106003	UROK	\N	\N
3680323	7123	1998-12-31	PRIJEM	\N	329	75197	UROK	\N	\N
3680372	7133	1993-10-31	PRIJEM	\N	34	16781	UROK	\N	\N
3680373	7133	1993-11-30	PRIJEM	\N	82	22610	UROK	\N	\N
3680374	7133	1993-12-31	PRIJEM	\N	108	29137	UROK	\N	\N
3680375	7133	1994-01-31	PRIJEM	\N	120	28805	UROK	\N	\N
3680376	7133	1994-02-28	PRIJEM	\N	114	24668	UROK	\N	\N
3680377	7133	1994-03-31	PRIJEM	\N	96	13498	UROK	\N	\N
3680378	7133	1994-04-30	PRIJEM	\N	69	19302	UROK	\N	\N
3680379	7133	1994-05-31	PRIJEM	\N	82	19479	UROK	\N	\N
3680380	7133	1994-06-30	PRIJEM	\N	91	23477	UROK	\N	\N
3680381	7133	1994-07-31	PRIJEM	\N	105	25016	UROK	\N	\N
3680382	7133	1994-08-31	PRIJEM	\N	100	23351	UROK	\N	\N
3680383	7133	1994-09-30	PRIJEM	\N	105	25390	UROK	\N	\N
3680384	7133	1994-10-31	PRIJEM	\N	100	23125	UROK	\N	\N
3680385	7133	1994-11-30	PRIJEM	\N	102	25409	UROK	\N	\N
3680386	7133	1994-12-31	PRIJEM	\N	108	25192	UROK	\N	\N
3680387	7133	1995-01-31	PRIJEM	\N	87	13122	UROK	\N	\N
3680388	7133	1995-02-28	PRIJEM	\N	64	16868	UROK	\N	\N
3680389	7133	1995-03-31	PRIJEM	\N	80	17291	UROK	\N	\N
3680390	7133	1995-04-30	PRIJEM	\N	79	20152	UROK	\N	\N
3680391	7133	1995-05-31	PRIJEM	\N	98	25433	UROK	\N	\N
3680392	7133	1995-06-30	PRIJEM	\N	112	28000	UROK	\N	\N
3680393	7133	1995-07-31	PRIJEM	\N	100	20263	UROK	\N	\N
3680394	7133	1995-08-31	PRIJEM	\N	96	24441	UROK	\N	\N
3680395	7133	1995-09-30	PRIJEM	\N	108	26631	UROK	\N	\N
3680396	7133	1995-10-31	PRIJEM	\N	101	23555	UROK	\N	\N
3680397	7133	1995-11-30	PRIJEM	\N	98	23535	UROK	\N	\N
3680398	7133	1995-12-31	PRIJEM	\N	101	21091	UROK	\N	\N
3680399	7133	1996-01-31	PRIJEM	\N	62	12576	UROK	\N	\N
3680400	7133	1996-02-29	PRIJEM	\N	57	14114	UROK	\N	\N
3680401	7133	1996-03-31	PRIJEM	\N	67	17464	UROK	\N	\N
3680402	7133	1996-04-30	PRIJEM	\N	67	15334	UROK	\N	\N
3680403	7133	1996-05-31	PRIJEM	\N	62	14478	UROK	\N	\N
3680404	7133	1996-06-30	PRIJEM	\N	61	14794	UROK	\N	\N
3680405	7133	1996-07-31	PRIJEM	\N	63	15540	UROK	\N	\N
3680406	7133	1996-08-31	PRIJEM	\N	58	12320	UROK	\N	\N
3680407	7133	1996-09-30	PRIJEM	\N	47	10649	UROK	\N	\N
3680408	7133	1996-10-31	PRIJEM	\N	44	10575	UROK	\N	\N
3680409	7133	1996-11-30	PRIJEM	\N	44	10701	UROK	\N	\N
3680410	7133	1996-12-31	PRIJEM	\N	51	13607	UROK	\N	\N
3680411	7133	1997-01-31	PRIJEM	\N	57	13046	UROK	\N	\N
3680412	7133	1997-02-28	PRIJEM	\N	55	16584	UROK	\N	\N
3680413	7133	1997-03-31	PRIJEM	\N	59	14625	UROK	\N	\N
3680414	7133	1997-04-30	PRIJEM	\N	62	17069	UROK	\N	\N
3680415	7133	1997-05-31	PRIJEM	\N	71	18523	UROK	\N	\N
3680416	7133	1997-06-30	PRIJEM	\N	73	15650	UROK	\N	\N
3680417	7133	1997-07-31	PRIJEM	\N	64	14897	UROK	\N	\N
3680418	7133	1997-08-31	PRIJEM	\N	60	12039	UROK	\N	\N
3680419	7133	1997-09-30	PRIJEM	\N	52	14473	UROK	\N	\N
3680420	7133	1997-10-31	PRIJEM	\N	59	14415	UROK	\N	\N
3680421	7133	1997-11-30	PRIJEM	\N	60	16309	UROK	\N	\N
3680422	7133	1997-12-31	PRIJEM	\N	56	11133	UROK	\N	\N
3680423	7133	1998-01-31	PRIJEM	\N	48	12516	UROK	\N	\N
3680424	7133	1998-02-28	PRIJEM	\N	49	12699	UROK	\N	\N
3680425	7133	1998-03-31	PRIJEM	\N	56	14090	UROK	\N	\N
3680426	7133	1998-04-30	PRIJEM	\N	62	15486	UROK	\N	\N
3680427	7133	1998-05-31	PRIJEM	\N	66	16686	UROK	\N	\N
3680428	7133	1998-06-30	PRIJEM	\N	72	16165	UROK	\N	\N
3680429	7133	1998-07-31	PRIJEM	\N	62	12762	UROK	\N	\N
3680430	7133	1998-08-31	PRIJEM	\N	52	12848	UROK	\N	\N
3680431	7133	1998-09-30	PRIJEM	\N	53	12536	UROK	\N	\N
3680432	7133	1998-10-31	PRIJEM	\N	54	12924	UROK	\N	\N
3680433	7133	1998-11-30	PRIJEM	\N	56	14414	UROK	\N	\N
3680434	7133	1998-12-31	PRIJEM	\N	67	16889	UROK	\N	\N
3680435	7136	1995-06-30	PRIJEM	\N	61	48794	UROK	\N	\N
3680436	7136	1995-07-31	PRIJEM	\N	203	35697	UROK	\N	\N
3680437	7136	1995-08-31	PRIJEM	\N	203	29000	UROK	\N	\N
3680438	7136	1995-09-30	PRIJEM	\N	241	79157	UROK	\N	\N
3680439	7136	1995-10-31	PRIJEM	\N	361	97283	UROK	\N	\N
3680440	7136	1995-11-30	PRIJEM	\N	423	112505	UROK	\N	\N
3680441	7136	1995-12-31	PRIJEM	\N	265	81644	UROK	\N	\N
3680442	7136	1996-01-31	PRIJEM	\N	218	42271	UROK	\N	\N
3680443	7136	1996-02-29	PRIJEM	\N	126	36508	UROK	\N	\N
3680444	7136	1996-03-31	PRIJEM	\N	145	36324	UROK	\N	\N
3680445	7136	1996-04-30	PRIJEM	\N	233	74328	UROK	\N	\N
3680446	7136	1996-05-31	PRIJEM	\N	250	45030	UROK	\N	\N
3680447	7136	1996-06-30	PRIJEM	\N	140	29178	UROK	\N	\N
3680448	7136	1996-07-31	PRIJEM	\N	102	23387	UROK	\N	\N
3680449	7136	1996-08-31	PRIJEM	\N	174	35350	UROK	\N	\N
3680450	7136	1996-09-30	PRIJEM	\N	112	25770	UROK	\N	\N
3680451	7136	1996-10-31	PRIJEM	\N	194	39572	UROK	\N	\N
3680452	7136	1996-11-30	PRIJEM	\N	149	31950	UROK	\N	\N
3680453	7136	1996-12-31	PRIJEM	\N	185	62357	UROK	\N	\N
3680454	7136	1997-01-31	PRIJEM	\N	193	43267	UROK	\N	\N
3680455	7136	1997-02-28	PRIJEM	\N	162	33278	UROK	\N	\N
3680456	7136	1997-03-31	PRIJEM	\N	133	76028	UROK	\N	\N
3680457	7136	1997-04-30	PRIJEM	\N	335	65316	UROK	\N	\N
3680458	7136	1997-05-31	PRIJEM	\N	178	31296	UROK	\N	\N
3680459	7136	1997-06-30	PRIJEM	\N	233	48150	UROK	\N	\N
3680460	7136	1997-07-31	PRIJEM	\N	286	97715	UROK	\N	\N
3680461	7136	1997-08-31	PRIJEM	\N	371	51568	UROK	\N	\N
3680462	7136	1997-09-30	PRIJEM	\N	193	41404	UROK	\N	\N
3680463	7136	1997-10-31	PRIJEM	\N	217	38634	UROK	\N	\N
3680464	7136	1997-11-30	PRIJEM	\N	210	60609	UROK	\N	\N
3680465	7136	1997-12-31	PRIJEM	\N	271	94985	UROK	\N	\N
3680466	7136	1998-01-31	PRIJEM	\N	400	57175	UROK	\N	\N
3680467	7136	1998-02-28	PRIJEM	\N	195	86261	UROK	\N	\N
3680468	7136	1998-03-31	PRIJEM	\N	324	65734	UROK	\N	\N
3680469	7136	1998-04-30	PRIJEM	\N	202	43344	UROK	\N	\N
3680470	7136	1998-05-31	PRIJEM	\N	221	67648	UROK	\N	\N
3680471	7136	1998-06-30	PRIJEM	\N	291	95849	UROK	\N	\N
3680472	7136	1998-07-31	PRIJEM	\N	269	53736	UROK	\N	\N
3680473	7136	1998-08-31	PRIJEM	\N	194	48178	UROK	\N	\N
3680474	7136	1998-09-30	PRIJEM	\N	190	48717	UROK	\N	\N
3680475	7136	1998-10-31	PRIJEM	\N	181	32087	UROK	\N	\N
3680476	7136	1998-11-30	PRIJEM	\N	148	46983	UROK	\N	\N
3680477	7136	1998-12-31	PRIJEM	\N	145	30364	UROK	\N	\N
3680533	7156	1997-09-30	PRIJEM	\N	52	20998	UROK	\N	\N
3680534	7156	1997-10-31	PRIJEM	\N	156	48101	UROK	\N	\N
3680535	7156	1997-11-30	PRIJEM	\N	241	64487	UROK	\N	\N
3680536	7156	1997-12-31	PRIJEM	\N	307	79863	UROK	\N	\N
3680537	7156	1998-01-31	PRIJEM	\N	298	63306	UROK	\N	\N
3680538	7156	1998-02-28	PRIJEM	\N	275	67712	UROK	\N	\N
3680539	7156	1998-03-31	PRIJEM	\N	207	36725	UROK	\N	\N
3680540	7156	1998-04-30	PRIJEM	\N	184	43012	UROK	\N	\N
3680541	7156	1998-05-31	PRIJEM	\N	162	32580	UROK	\N	\N
3680542	7156	1998-06-30	PRIJEM	\N	201	50920	UROK	\N	\N
3680543	7156	1998-07-31	PRIJEM	\N	179	38372	UROK	\N	\N
3680544	7156	1998-08-31	PRIJEM	\N	152	22100	UROK	\N	\N
3680545	7156	1998-09-30	PRIJEM	\N	141	42334	UROK	\N	\N
3680546	7156	1998-10-31	PRIJEM	\N	178	48381	UROK	\N	\N
3680547	7156	1998-11-30	PRIJEM	\N	242	64992	UROK	\N	\N
3680548	7156	1998-12-31	PRIJEM	\N	253	59760	UROK	\N	\N
3680611	7176	1997-01-31	PRIJEM	\N	92	26392	UROK	\N	\N
3680612	7176	1997-02-28	PRIJEM	\N	199	36290	UROK	\N	\N
3680613	7176	1997-03-31	PRIJEM	\N	183	42474	UROK	\N	\N
3680614	7176	1997-04-30	PRIJEM	\N	188	45761	UROK	\N	\N
3680615	7176	1997-05-31	PRIJEM	\N	243	37995	UROK	\N	\N
3680616	7176	1997-06-30	PRIJEM	\N	278	39748	UROK	\N	\N
3680617	7176	1997-07-31	PRIJEM	\N	178	31941	UROK	\N	\N
3680618	7176	1997-08-31	PRIJEM	\N	174	38291	UROK	\N	\N
3680619	7176	1997-09-30	PRIJEM	\N	179	43246	UROK	\N	\N
3680620	7176	1997-10-31	PRIJEM	\N	185	45606	UROK	\N	\N
3680621	7176	1997-11-30	PRIJEM	\N	212	51293	UROK	\N	\N
3680622	7176	1997-12-31	PRIJEM	\N	252	58201	UROK	\N	\N
3680623	7176	1998-01-31	PRIJEM	\N	209	43367	UROK	\N	\N
3680624	7176	1998-02-28	PRIJEM	\N	186	44229	UROK	\N	\N
3680625	7176	1998-03-31	PRIJEM	\N	193	44658	UROK	\N	\N
3680626	7176	1998-04-30	PRIJEM	\N	194	44928	UROK	\N	\N
3680627	7176	1998-05-31	PRIJEM	\N	202	49407	UROK	\N	\N
3680628	7176	1998-06-30	PRIJEM	\N	130	26734	UROK	\N	\N
3680629	7176	1998-07-31	PRIJEM	\N	150	29460	UROK	\N	\N
3680630	7176	1998-08-31	PRIJEM	\N	170	27406	UROK	\N	\N
3680631	7176	1998-09-30	PRIJEM	\N	164	27047	UROK	\N	\N
3680632	7176	1998-10-31	PRIJEM	\N	163	30687	UROK	\N	\N
3680633	7176	1998-11-30	PRIJEM	\N	176	31239	UROK	\N	\N
3680634	7176	1998-12-31	PRIJEM	\N	226	57382	UROK	\N	\N
3680635	7180	1997-07-31	PRIJEM	\N	67	24906	UROK	\N	\N
3680636	7180	1997-08-31	PRIJEM	\N	139	37684	UROK	\N	\N
3680637	7180	1997-09-30	PRIJEM	\N	182	46505	UROK	\N	\N
3680638	7180	1997-10-31	PRIJEM	\N	187	39431	UROK	\N	\N
3680639	7180	1997-11-30	PRIJEM	\N	138	29718	UROK	\N	\N
3680640	7180	1997-12-31	PRIJEM	\N	111	19818	UROK	\N	\N
3680641	7180	1998-01-31	PRIJEM	\N	90	18565	UROK	\N	\N
3680642	7180	1998-02-28	PRIJEM	\N	101	20186	UROK	\N	\N
3680643	7180	1998-03-31	PRIJEM	\N	83	18308	UROK	\N	\N
3680644	7180	1998-04-30	PRIJEM	\N	126	21120	UROK	\N	\N
3680645	7180	1998-05-31	PRIJEM	\N	142	36983	UROK	\N	\N
3680646	7180	1998-06-30	PRIJEM	\N	196	34297	UROK	\N	\N
3680647	7180	1998-07-31	PRIJEM	\N	193	49610	UROK	\N	\N
3680648	7180	1998-08-31	PRIJEM	\N	257	51687	UROK	\N	\N
3680649	7180	1998-09-30	PRIJEM	\N	190	32720	UROK	\N	\N
3680650	7180	1998-10-31	PRIJEM	\N	219	53659	UROK	\N	\N
3680651	7180	1998-11-30	PRIJEM	\N	283	72162	UROK	\N	\N
3680652	7180	1998-12-31	PRIJEM	\N	346	82340	UROK	\N	\N
3680653	7181	1996-07-31	PRIJEM	\N	210	100693	UROK	\N	\N
3680654	7181	1996-08-31	PRIJEM	\N	366	93617	UROK	\N	\N
3680655	7181	1996-09-30	PRIJEM	\N	264	79154	UROK	\N	\N
3680656	7181	1996-10-31	PRIJEM	\N	211	36883	UROK	\N	\N
3680657	7181	1996-11-30	PRIJEM	\N	209	47229	UROK	\N	\N
3680658	7181	1996-12-31	PRIJEM	\N	249	48587	UROK	\N	\N
3680659	7181	1997-01-31	PRIJEM	\N	133	23455	UROK	\N	\N
3680660	7181	1997-02-28	PRIJEM	\N	112	48351	UROK	\N	\N
3680661	7181	1997-03-31	PRIJEM	\N	167	38936	UROK	\N	\N
3680662	7181	1997-04-30	PRIJEM	\N	77	27432	UROK	\N	\N
3680663	7181	1997-05-31	PRIJEM	\N	121	34797	UROK	\N	\N
3680664	7181	1997-06-30	PRIJEM	\N	119	35635	UROK	\N	\N
3680665	7181	1997-07-31	PRIJEM	\N	116	32570	UROK	\N	\N
3680666	7181	1997-08-31	PRIJEM	\N	162	44123	UROK	\N	\N
3680667	7181	1997-09-30	PRIJEM	\N	158	41999	UROK	\N	\N
3680668	7181	1997-10-31	PRIJEM	\N	148	38467	UROK	\N	\N
3680669	7181	1997-11-30	PRIJEM	\N	210	52990	UROK	\N	\N
3680670	7181	1997-12-31	PRIJEM	\N	193	45102	UROK	\N	\N
3680671	7181	1998-01-31	PRIJEM	\N	214	43729	UROK	\N	\N
3680672	7181	1998-02-28	PRIJEM	\N	206	58897	UROK	\N	\N
3680673	7181	1998-03-31	PRIJEM	\N	374	87728	UROK	\N	\N
3680674	7181	1998-04-30	PRIJEM	\N	343	86495	UROK	\N	\N
3680675	7181	1998-05-31	PRIJEM	\N	330	82484	UROK	\N	\N
3680676	7181	1998-06-30	PRIJEM	\N	259	52286	UROK	\N	\N
3680677	7181	1998-07-31	PRIJEM	\N	246	93265	UROK	\N	\N
3680678	7181	1998-08-31	PRIJEM	\N	371	72819	UROK	\N	\N
3680679	7181	1998-09-30	PRIJEM	\N	408	103736	UROK	\N	\N
3680680	7181	1998-10-31	PRIJEM	\N	344	57531	UROK	\N	\N
3680681	7181	1998-11-30	PRIJEM	\N	212	46973	UROK	\N	\N
3680682	7181	1998-12-31	PRIJEM	\N	218	83607	UROK	\N	\N
3680683	7184	1995-07-31	PRIJEM	\N	39	22130	UROK	\N	\N
3680684	7184	1995-08-31	PRIJEM	\N	119	36339	UROK	\N	\N
3680685	7184	1995-09-30	PRIJEM	\N	163	42493	UROK	\N	\N
3680686	7184	1995-10-31	PRIJEM	\N	179	43963	UROK	\N	\N
3680687	7184	1995-11-30	PRIJEM	\N	193	38368	UROK	\N	\N
3680688	7184	1995-12-31	PRIJEM	\N	210	43369	UROK	\N	\N
3680689	7184	1996-01-31	PRIJEM	\N	176	19741	UROK	\N	\N
3680690	7184	1996-02-29	PRIJEM	\N	124	28841	UROK	\N	\N
3680691	7184	1996-03-31	PRIJEM	\N	145	32382	UROK	\N	\N
3680692	7184	1996-04-30	PRIJEM	\N	161	35380	UROK	\N	\N
3680693	7184	1996-05-31	PRIJEM	\N	164	35840	UROK	\N	\N
3680694	7184	1996-06-30	PRIJEM	\N	193	41625	UROK	\N	\N
3680695	7184	1996-07-31	PRIJEM	\N	188	40509	UROK	\N	\N
3680696	7184	1996-08-31	PRIJEM	\N	205	40826	UROK	\N	\N
3680697	7184	1996-09-30	PRIJEM	\N	165	32742	UROK	\N	\N
3680698	7184	1996-10-31	PRIJEM	\N	144	29498	UROK	\N	\N
3680699	7184	1996-11-30	PRIJEM	\N	131	25661	UROK	\N	\N
3680700	7184	1996-12-31	PRIJEM	\N	124	24491	UROK	\N	\N
3680701	7184	1997-01-31	PRIJEM	\N	97	19780	UROK	\N	\N
3680702	7184	1997-02-28	PRIJEM	\N	75	13667	UROK	\N	\N
3680703	7184	1997-03-31	PRIJEM	\N	73	14651	UROK	\N	\N
3680704	7184	1997-04-30	PRIJEM	\N	78	16140	UROK	\N	\N
3680705	7184	1997-05-31	PRIJEM	\N	76	15328	UROK	\N	\N
3680706	7184	1997-06-30	PRIJEM	\N	89	17923	UROK	\N	\N
3680707	7184	1997-07-31	PRIJEM	\N	70	13303	UROK	\N	\N
3680708	7184	1997-08-31	PRIJEM	\N	53	10068	UROK	\N	\N
3680709	7184	1997-09-30	PRIJEM	\N	85	20364	UROK	\N	\N
3680710	7184	1997-10-31	PRIJEM	\N	70	14345	UROK	\N	\N
3680711	7184	1997-11-30	PRIJEM	\N	54	11211	UROK	\N	\N
3680712	7184	1997-12-31	PRIJEM	\N	79	18096	UROK	\N	\N
3680713	7184	1998-01-31	PRIJEM	\N	107	22174	UROK	\N	\N
3680714	7184	1998-02-28	PRIJEM	\N	137	32523	UROK	\N	\N
3680715	7184	1998-03-31	PRIJEM	\N	112	20286	UROK	\N	\N
3680716	7184	1998-04-30	PRIJEM	\N	126	30624	UROK	\N	\N
3680717	7184	1998-05-31	PRIJEM	\N	169	41004	UROK	\N	\N
3680718	7184	1998-06-30	PRIJEM	\N	98	16268	UROK	\N	\N
3680719	7184	1998-07-31	PRIJEM	\N	109	26588	UROK	\N	\N
3680720	7184	1998-08-31	PRIJEM	\N	160	39144	UROK	\N	\N
3680721	7184	1998-09-30	PRIJEM	\N	208	50049	UROK	\N	\N
3680722	7184	1998-10-31	PRIJEM	\N	238	58084	UROK	\N	\N
3680723	7184	1998-11-30	PRIJEM	\N	146	36626	UROK	\N	\N
3680724	7184	1998-12-31	PRIJEM	\N	233	52850	UROK	\N	\N
3680725	7190	1993-10-31	PRIJEM	\N	52	14844	UROK	\N	\N
3680726	7190	1993-11-30	PRIJEM	\N	113	29548	UROK	\N	\N
3680727	7190	1993-12-31	PRIJEM	\N	156	39042	UROK	\N	\N
3680728	7190	1994-01-31	PRIJEM	\N	168	39902	UROK	\N	\N
3680729	7190	1994-02-28	PRIJEM	\N	154	34494	UROK	\N	\N
3680730	7190	1994-03-31	PRIJEM	\N	142	32519	UROK	\N	\N
3680731	7190	1994-04-30	PRIJEM	\N	125	28728	UROK	\N	\N
3680732	7190	1994-05-31	PRIJEM	\N	129	30000	UROK	\N	\N
3680733	7190	1994-06-30	PRIJEM	\N	141	33070	UROK	\N	\N
3680734	7190	1994-07-31	PRIJEM	\N	128	28641	UROK	\N	\N
3680735	7190	1994-08-31	PRIJEM	\N	128	28753	UROK	\N	\N
3680736	7190	1994-09-30	PRIJEM	\N	110	22406	UROK	\N	\N
3680737	7190	1994-10-31	PRIJEM	\N	110	25700	UROK	\N	\N
3680738	7190	1994-11-30	PRIJEM	\N	111	26795	UROK	\N	\N
3680739	7190	1994-12-31	PRIJEM	\N	134	24138	UROK	\N	\N
3680740	7190	1995-01-31	PRIJEM	\N	90	23670	UROK	\N	\N
3680741	7190	1995-02-28	PRIJEM	\N	105	27659	UROK	\N	\N
3680742	7190	1995-03-31	PRIJEM	\N	126	29868	UROK	\N	\N
3680743	7190	1995-04-30	PRIJEM	\N	128	26978	UROK	\N	\N
3680744	7190	1995-05-31	PRIJEM	\N	108	25650	UROK	\N	\N
3680745	7190	1995-06-30	PRIJEM	\N	120	25843	UROK	\N	\N
3680746	7190	1995-07-31	PRIJEM	\N	95	21865	UROK	\N	\N
3680747	7190	1995-08-31	PRIJEM	\N	97	25689	UROK	\N	\N
3680748	7190	1995-09-30	PRIJEM	\N	101	23357	UROK	\N	\N
3680749	7190	1995-10-31	PRIJEM	\N	103	27188	UROK	\N	\N
3680750	7190	1995-11-30	PRIJEM	\N	117	28332	UROK	\N	\N
3680751	7190	1995-12-31	PRIJEM	\N	125	27611	UROK	\N	\N
3680752	7190	1996-01-31	PRIJEM	\N	96	23034	UROK	\N	\N
3680753	7190	1996-02-29	PRIJEM	\N	99	24361	UROK	\N	\N
3680754	7190	1996-03-31	PRIJEM	\N	108	28496	UROK	\N	\N
3680755	7190	1996-04-30	PRIJEM	\N	120	28144	UROK	\N	\N
3680756	7190	1996-05-31	PRIJEM	\N	115	24786	UROK	\N	\N
3680757	7190	1996-06-30	PRIJEM	\N	112	26072	UROK	\N	\N
3680758	7190	1996-07-31	PRIJEM	\N	106	22805	UROK	\N	\N
3680759	7190	1996-08-31	PRIJEM	\N	90	21682	UROK	\N	\N
3680760	7190	1996-09-30	PRIJEM	\N	82	18051	UROK	\N	\N
3680761	7190	1996-10-31	PRIJEM	\N	85	23663	UROK	\N	\N
3680762	7190	1996-11-30	PRIJEM	\N	102	25393	UROK	\N	\N
3680763	7190	1996-12-31	PRIJEM	\N	107	23093	UROK	\N	\N
3680764	7190	1997-01-31	PRIJEM	\N	89	20590	UROK	\N	\N
3680765	7190	1997-02-28	PRIJEM	\N	86	20503	UROK	\N	\N
3680766	7190	1997-03-31	PRIJEM	\N	79	17209	UROK	\N	\N
3680767	7190	1997-04-30	PRIJEM	\N	84	23920	UROK	\N	\N
3680768	7190	1997-05-31	PRIJEM	\N	100	25547	UROK	\N	\N
3680769	7190	1997-06-30	PRIJEM	\N	135	35135	UROK	\N	\N
3680770	7190	1997-07-31	PRIJEM	\N	149	35152	UROK	\N	\N
3680771	7190	1997-08-31	PRIJEM	\N	139	32218	UROK	\N	\N
3680772	7190	1997-09-30	PRIJEM	\N	136	33681	UROK	\N	\N
3680773	7190	1997-10-31	PRIJEM	\N	139	33848	UROK	\N	\N
3680774	7190	1997-11-30	PRIJEM	\N	145	36420	UROK	\N	\N
3680775	7190	1997-12-31	PRIJEM	\N	155	37168	UROK	\N	\N
3680776	7190	1998-01-31	PRIJEM	\N	142	26117	UROK	\N	\N
3680777	7190	1998-02-28	PRIJEM	\N	109	27354	UROK	\N	\N
3680778	7190	1998-03-31	PRIJEM	\N	112	27493	UROK	\N	\N
3680779	7190	1998-04-30	PRIJEM	\N	123	31944	UROK	\N	\N
3680780	7190	1998-05-31	PRIJEM	\N	126	30197	UROK	\N	\N
3680781	7190	1998-06-30	PRIJEM	\N	112	24742	UROK	\N	\N
3680782	7190	1998-07-31	PRIJEM	\N	98	23287	UROK	\N	\N
3680783	7190	1998-08-31	PRIJEM	\N	97	22351	UROK	\N	\N
3680784	7190	1998-09-30	PRIJEM	\N	93	22752	UROK	\N	\N
3680785	7190	1998-10-31	PRIJEM	\N	101	25580	UROK	\N	\N
3680786	7190	1998-11-30	PRIJEM	\N	104	25012	UROK	\N	\N
3680787	7190	1998-12-31	PRIJEM	\N	106	22731	UROK	\N	\N
3680913	7240	1996-05-31	PRIJEM	\N	23	18737	UROK	\N	\N
3680914	7240	1996-06-30	PRIJEM	\N	97	34255	UROK	\N	\N
3680915	7240	1996-07-31	PRIJEM	\N	152	41321	UROK	\N	\N
3680916	7240	1996-08-31	PRIJEM	\N	174	43109	UROK	\N	\N
3680917	7240	1996-09-30	PRIJEM	\N	200	43922	UROK	\N	\N
3680918	7240	1996-10-31	PRIJEM	\N	180	38566	UROK	\N	\N
3680919	7240	1996-11-30	PRIJEM	\N	159	33388	UROK	\N	\N
3680920	7240	1996-12-31	PRIJEM	\N	160	25419	UROK	\N	\N
3680921	7240	1997-01-31	PRIJEM	\N	105	23288	UROK	\N	\N
3680922	7240	1997-02-28	PRIJEM	\N	106	27857	UROK	\N	\N
3680923	7240	1997-03-31	PRIJEM	\N	126	28946	UROK	\N	\N
3680924	7240	1997-04-30	PRIJEM	\N	115	25003	UROK	\N	\N
3680925	7240	1997-05-31	PRIJEM	\N	114	26481	UROK	\N	\N
3680926	7240	1997-06-30	PRIJEM	\N	128	21987	UROK	\N	\N
3680927	7240	1997-07-31	PRIJEM	\N	104	24754	UROK	\N	\N
3680928	7240	1997-08-31	PRIJEM	\N	102	24119	UROK	\N	\N
3680929	7240	1997-09-30	PRIJEM	\N	101	25484	UROK	\N	\N
3680930	7240	1997-10-31	PRIJEM	\N	102	24149	UROK	\N	\N
3680931	7240	1997-11-30	PRIJEM	\N	110	26022	UROK	\N	\N
3680932	7240	1997-12-31	PRIJEM	\N	97	18423	UROK	\N	\N
3680933	7240	1998-01-31	PRIJEM	\N	79	20066	UROK	\N	\N
3680934	7240	1998-02-28	PRIJEM	\N	97	22190	UROK	\N	\N
3680935	7240	1998-03-31	PRIJEM	\N	82	16900	UROK	\N	\N
3680936	7240	1998-04-30	PRIJEM	\N	66	14393	UROK	\N	\N
3680937	7240	1998-05-31	PRIJEM	\N	75	19496	UROK	\N	\N
3680938	7240	1998-06-30	PRIJEM	\N	114	23045	UROK	\N	\N
3680939	7240	1998-07-31	PRIJEM	\N	90	20463	UROK	\N	\N
3680940	7240	1998-08-31	PRIJEM	\N	73	15863	UROK	\N	\N
3680941	7240	1998-09-30	PRIJEM	\N	53	11344	UROK	\N	\N
3680942	7240	1998-10-31	PRIJEM	\N	44	10115	UROK	\N	\N
3680943	7240	1998-11-30	PRIJEM	\N	53	13696	UROK	\N	\N
3680944	7240	1998-12-31	PRIJEM	\N	57	13988	UROK	\N	\N
3681081	7262	1996-09-30	PRIJEM	\N	6	21409	UROK	\N	\N
3681082	7262	1996-10-31	PRIJEM	\N	93	31705	UROK	\N	\N
3681083	7262	1996-11-30	PRIJEM	\N	132	32640	UROK	\N	\N
3681084	7262	1996-12-31	PRIJEM	\N	138	37833	UROK	\N	\N
3681085	7262	1997-01-31	PRIJEM	\N	177	29953	UROK	\N	\N
3681086	7262	1997-02-28	PRIJEM	\N	138	26683	UROK	\N	\N
3681087	7262	1997-03-31	PRIJEM	\N	125	24400	UROK	\N	\N
3681088	7262	1997-04-30	PRIJEM	\N	117	25410	UROK	\N	\N
3681089	7262	1997-05-31	PRIJEM	\N	102	20864	UROK	\N	\N
3681090	7262	1997-06-30	PRIJEM	\N	124	29432	UROK	\N	\N
3681091	7262	1997-07-31	PRIJEM	\N	137	30862	UROK	\N	\N
3681092	7262	1997-08-31	PRIJEM	\N	141	31495	UROK	\N	\N
3681093	7262	1997-09-30	PRIJEM	\N	145	35413	UROK	\N	\N
3681094	7262	1997-10-31	PRIJEM	\N	158	34363	UROK	\N	\N
3681095	7262	1997-11-30	PRIJEM	\N	154	33949	UROK	\N	\N
3681096	7262	1997-12-31	PRIJEM	\N	170	37003	UROK	\N	\N
3681097	7262	1998-01-31	PRIJEM	\N	131	29266	UROK	\N	\N
3681098	7262	1998-02-28	PRIJEM	\N	135	32794	UROK	\N	\N
3681099	7262	1998-03-31	PRIJEM	\N	150	35436	UROK	\N	\N
3681100	7262	1998-04-30	PRIJEM	\N	157	35085	UROK	\N	\N
3681101	7262	1998-05-31	PRIJEM	\N	156	35734	UROK	\N	\N
3681102	7262	1998-06-30	PRIJEM	\N	130	32607	UROK	\N	\N
3681103	7262	1998-07-31	PRIJEM	\N	149	37089	UROK	\N	\N
3681104	7262	1998-08-31	PRIJEM	\N	162	37343	UROK	\N	\N
3681105	7262	1998-09-30	PRIJEM	\N	160	35995	UROK	\N	\N
3681106	7262	1998-10-31	PRIJEM	\N	153	35620	UROK	\N	\N
3681107	7262	1998-11-30	PRIJEM	\N	151	33963	UROK	\N	\N
3681108	7262	1998-12-31	PRIJEM	\N	169	40855	UROK	\N	\N
3681153	7274	1997-10-31	PRIJEM	\N	17	32143	UROK	\N	\N
3681154	7274	1997-11-30	PRIJEM	\N	140	43258	UROK	\N	\N
3681155	7274	1997-12-31	PRIJEM	\N	232	60813	UROK	\N	\N
3681156	7274	1998-01-31	PRIJEM	\N	288	45349	UROK	\N	\N
3681157	7274	1998-02-28	PRIJEM	\N	167	29798	UROK	\N	\N
3681158	7274	1998-03-31	PRIJEM	\N	124	62171	UROK	\N	\N
3681159	7274	1998-04-30	PRIJEM	\N	263	46537	UROK	\N	\N
3681160	7274	1998-05-31	PRIJEM	\N	89	31603	UROK	\N	\N
3681161	7274	1998-06-30	PRIJEM	\N	108	21706	UROK	\N	\N
3681162	7274	1998-07-31	PRIJEM	\N	152	27220	UROK	\N	\N
3681163	7274	1998-08-31	PRIJEM	\N	96	27652	UROK	\N	\N
3681164	7274	1998-09-30	PRIJEM	\N	96	22944	UROK	\N	\N
3681165	7274	1998-10-31	PRIJEM	\N	74	19585	UROK	\N	\N
3681166	7274	1998-11-30	PRIJEM	\N	76	40091	UROK	\N	\N
3681167	7274	1998-12-31	PRIJEM	\N	168	30039	UROK	\N	\N
3681168	19	1995-04-30	PRIJEM	\N	47	16233	UROK	\N	\N
3681169	19	1995-05-31	PRIJEM	\N	125	35897	UROK	\N	\N
3681170	19	1995-06-30	PRIJEM	\N	207	56038	UROK	\N	\N
3681171	19	1995-07-31	PRIJEM	\N	237	57921	UROK	\N	\N
3681172	19	1995-08-31	PRIJEM	\N	215	43746	UROK	\N	\N
3681173	19	1995-09-30	PRIJEM	\N	98	16938	UROK	\N	\N
3681174	19	1995-10-31	PRIJEM	\N	122	20268	UROK	\N	\N
3681175	19	1995-11-30	PRIJEM	\N	76	3745	UROK	\N	\N
3681176	19	1995-12-31	PRIJEM	\N	81	26419	UROK	\N	\N
3681177	19	1996-01-31	PRIJEM	\N	87	3797	UROK	\N	\N
3681178	19	1996-02-29	PRIJEM	\N	56	19738	UROK	\N	\N
3681179	19	1996-03-31	PRIJEM	\N	84	16330	UROK	\N	\N
3681180	19	1996-04-30	PRIJEM	\N	52	15906	UROK	\N	\N
3681181	19	1996-04-30	VYDAJ	VYBER	1	15942	SANKC. UROK	\N	\N
3681182	19	1996-05-31	PRIJEM	\N	72	16853	UROK	\N	\N
3681183	19	1996-06-30	PRIJEM	\N	89	20521	UROK	\N	\N
3681184	19	1996-07-31	PRIJEM	\N	69	22370	UROK	\N	\N
3681185	19	1996-08-31	PRIJEM	\N	80	24409	UROK	\N	\N
3681186	19	1996-09-30	PRIJEM	\N	92	22195	UROK	\N	\N
3681187	19	1996-10-31	PRIJEM	\N	76	19948	UROK	\N	\N
3681188	19	1996-11-30	PRIJEM	\N	74	19824	UROK	\N	\N
3681189	19	1996-12-31	PRIJEM	\N	83	17952	UROK	\N	\N
3681190	19	1997-01-31	PRIJEM	\N	44	8680	UROK	\N	\N
3681191	19	1997-02-28	PRIJEM	\N	36	8603	UROK	\N	\N
3681192	19	1997-03-31	PRIJEM	\N	12	4629	UROK	\N	\N
3681193	19	1997-04-30	PRIJEM	\N	4	2258	UROK	\N	\N
3681194	19	1997-05-31	PRIJEM	\N	12	7910	UROK	\N	\N
3681195	19	1997-06-30	PRIJEM	\N	27	4830	UROK	\N	\N
3681196	19	1997-07-31	PRIJEM	\N	14	6097	UROK	\N	\N
3681197	19	1997-08-31	PRIJEM	\N	24	7985	UROK	\N	\N
3681198	19	1997-09-30	PRIJEM	\N	18	6128	UROK	\N	\N
3681199	19	1997-10-31	PRIJEM	\N	18	5209	UROK	\N	\N
3681200	19	1997-11-30	PRIJEM	\N	23	8956	UROK	\N	\N
3681201	19	1997-12-31	PRIJEM	\N	61	11135	UROK	\N	\N
3681202	19	1998-01-31	PRIJEM	\N	23	7169	UROK	\N	\N
3681203	19	1998-01-31	VYDAJ	VYBER	16	7153	SANKC. UROK	\N	\N
3681204	19	1998-02-28	PRIJEM	\N	23	9686	UROK	\N	\N
3681205	19	1998-03-31	PRIJEM	\N	30	9164	UROK	\N	\N
3681206	19	1998-04-30	PRIJEM	\N	47	12758	UROK	\N	\N
3681207	19	1998-05-31	PRIJEM	\N	26	6858	UROK	\N	\N
3681208	19	1998-06-30	PRIJEM	\N	37	8755	UROK	\N	\N
3681209	19	1998-07-31	PRIJEM	\N	28	8707	UROK	\N	\N
3681210	19	1998-08-31	PRIJEM	\N	38	15040	UROK	\N	\N
3681211	19	1998-09-30	PRIJEM	\N	28	7492	UROK	\N	\N
3681212	19	1998-09-30	VYDAJ	VYBER	8	7514	SANKC. UROK	\N	\N
3681213	19	1998-10-31	PRIJEM	\N	48	15229	UROK	\N	\N
3681214	19	1998-11-30	PRIJEM	\N	33	8221	UROK	\N	\N
3681215	19	1998-11-30	VYDAJ	VYBER	5	8216	SANKC. UROK	\N	\N
3681216	19	1998-12-31	PRIJEM	\N	33	10873	UROK	\N	\N
3681217	103	1997-02-28	PRIJEM	\N	196	84840	UROK	\N	\N
3681218	103	1997-03-31	PRIJEM	\N	280	66026	UROK	\N	\N
3681219	103	1997-04-30	PRIJEM	\N	253	79986	UROK	\N	\N
3681220	103	1997-05-31	PRIJEM	\N	274	63223	UROK	\N	\N
3681221	103	1997-06-30	PRIJEM	\N	171	45594	UROK	\N	\N
3681222	103	1997-07-31	PRIJEM	\N	276	97591	UROK	\N	\N
3681223	103	1997-08-31	PRIJEM	\N	253	38146	UROK	\N	\N
3681224	103	1997-09-30	PRIJEM	\N	75	530	UROK	\N	\N
3681225	103	1997-09-30	VYDAJ	VYBER	5	520	SANKC. UROK	\N	\N
3681226	103	1997-10-31	PRIJEM	\N	33	27339	UROK	\N	\N
3681227	103	1997-10-31	VYDAJ	VYBER	4	27349	SANKC. UROK	\N	\N
3681228	103	1997-11-30	PRIJEM	\N	16	19975	UROK	\N	\N
3681229	103	1997-12-31	PRIJEM	\N	20	23598	UROK	\N	\N
3681230	103	1998-01-31	PRIJEM	\N	44	17265	UROK	\N	\N
3681231	103	1998-01-31	VYDAJ	VYBER	12	17226	SANKC. UROK	\N	\N
3681232	103	1998-02-28	PRIJEM	\N	79	57987	UROK	\N	\N
3681233	103	1998-02-28	VYDAJ	VYBER	9	51434	SANKC. UROK	\N	\N
3681234	103	1998-03-31	PRIJEM	\N	298	63801	UROK	\N	\N
3681235	103	1998-04-30	PRIJEM	\N	284	52936	UROK	\N	\N
3681236	103	1998-05-31	PRIJEM	\N	236	50096	UROK	\N	\N
3681237	103	1998-06-30	PRIJEM	\N	137	35207	UROK	\N	\N
3681238	103	1998-07-31	PRIJEM	\N	246	66018	UROK	\N	\N
3681239	103	1998-08-31	PRIJEM	\N	277	61357	UROK	\N	\N
3681240	103	1998-09-30	PRIJEM	\N	247	55665	UROK	\N	\N
3681241	103	1998-10-31	PRIJEM	\N	201	41276	UROK	\N	\N
3681242	103	1998-11-30	PRIJEM	\N	185	56326	UROK	\N	\N
3681243	103	1998-12-31	PRIJEM	\N	161	38023	UROK	\N	\N
3681270	808	1995-07-31	PRIJEM	\N	44	17107	UROK	\N	\N
3681271	808	1995-08-31	PRIJEM	\N	97	26820	UROK	\N	\N
3681272	808	1995-09-30	PRIJEM	\N	132	34705	UROK	\N	\N
3681273	808	1995-10-31	PRIJEM	\N	150	37175	UROK	\N	\N
3681274	808	1995-11-30	PRIJEM	\N	135	30115	UROK	\N	\N
3681275	808	1995-12-31	PRIJEM	\N	103	20656	UROK	\N	\N
3681276	808	1996-01-31	PRIJEM	\N	74	12975	UROK	\N	\N
3681277	808	1996-02-29	PRIJEM	\N	58	12870	UROK	\N	\N
3681278	808	1996-03-31	PRIJEM	\N	31	-3394	UROK	\N	\N
3681279	808	1996-03-31	VYDAJ	VYBER	7	-3379	SANKC. UROK	\N	\N
3681280	808	1996-04-30	PRIJEM	\N	11	-4337	UROK	\N	\N
3681281	808	1996-04-30	VYDAJ	VYBER	17	-4385	SANKC. UROK	\N	\N
3681282	808	1996-05-31	PRIJEM	\N	17	5453	UROK	\N	\N
3681283	808	1996-05-31	VYDAJ	VYBER	12	5432	SANKC. UROK	\N	\N
3681284	808	1996-06-30	PRIJEM	\N	30	-2777	UROK	\N	\N
3681285	808	1996-06-30	VYDAJ	VYBER	6	-2783	SANKC. UROK	\N	\N
3681286	808	1996-07-31	PRIJEM	\N	20	8164	UROK	\N	\N
3681287	808	1996-07-31	VYDAJ	VYBER	13	8138	SANKC. UROK	\N	\N
3681288	808	1996-08-31	PRIJEM	\N	41	10493	UROK	\N	\N
3681289	808	1996-09-30	PRIJEM	\N	48	11895	UROK	\N	\N
3681290	808	1996-10-31	PRIJEM	\N	52	13609	UROK	\N	\N
3681291	808	1996-11-30	PRIJEM	\N	54	12808	UROK	\N	\N
3681292	808	1996-12-31	PRIJEM	\N	73	17571	UROK	\N	\N
3681293	808	1997-01-31	PRIJEM	\N	57	12182	UROK	\N	\N
3681294	808	1997-02-28	PRIJEM	\N	48	12201	UROK	\N	\N
3681295	808	1997-03-31	PRIJEM	\N	49	12311	UROK	\N	\N
3681296	808	1997-04-30	PRIJEM	\N	49	12923	UROK	\N	\N
3681297	808	1997-05-31	PRIJEM	\N	58	16002	UROK	\N	\N
3681298	808	1997-06-30	PRIJEM	\N	93	27218	UROK	\N	\N
3681299	808	1997-07-31	PRIJEM	\N	72	15675	UROK	\N	\N
3681300	808	1997-08-31	PRIJEM	\N	64	10291	UROK	\N	\N
3681301	808	1997-09-30	PRIJEM	\N	54	17307	UROK	\N	\N
3681302	808	1997-10-31	PRIJEM	\N	74	17594	UROK	\N	\N
3681303	808	1997-11-30	PRIJEM	\N	71	18152	UROK	\N	\N
3681304	808	1997-12-31	PRIJEM	\N	87	21653	UROK	\N	\N
3681305	808	1998-01-31	PRIJEM	\N	78	17171	UROK	\N	\N
3681306	808	1998-02-28	PRIJEM	\N	65	17626	UROK	\N	\N
3681307	808	1998-03-31	PRIJEM	\N	74	20477	UROK	\N	\N
3681308	808	1998-04-30	PRIJEM	\N	82	17746	UROK	\N	\N
3681309	808	1998-05-31	PRIJEM	\N	78	20719	UROK	\N	\N
3681310	808	1998-06-30	PRIJEM	\N	89	9949	UROK	\N	\N
3681311	808	1998-07-31	PRIJEM	\N	61	21012	UROK	\N	\N
3681312	808	1998-08-31	PRIJEM	\N	80	20966	UROK	\N	\N
3681313	808	1998-09-30	PRIJEM	\N	83	13423	UROK	\N	\N
3681314	808	1998-10-31	PRIJEM	\N	70	20395	UROK	\N	\N
3681315	808	1998-11-30	PRIJEM	\N	79	20665	UROK	\N	\N
3681316	808	1998-12-31	PRIJEM	\N	109	30105	UROK	\N	\N
3681343	1012	1994-07-31	PRIJEM	\N	74	25193	UROK	\N	\N
3681344	1012	1994-08-31	PRIJEM	\N	173	48511	UROK	\N	\N
3681345	1012	1994-09-30	PRIJEM	\N	241	62611	UROK	\N	\N
3681346	1012	1994-10-31	PRIJEM	\N	278	69511	UROK	\N	\N
3681347	1012	1994-11-30	PRIJEM	\N	243	50319	UROK	\N	\N
3681348	1012	1994-12-31	PRIJEM	\N	260	65791	UROK	\N	\N
3681349	1012	1995-01-31	PRIJEM	\N	169	26051	UROK	\N	\N
3681350	1012	1995-02-28	PRIJEM	\N	168	48727	UROK	\N	\N
3681351	1012	1995-03-31	PRIJEM	\N	226	58360	UROK	\N	\N
3681352	1012	1995-04-30	PRIJEM	\N	231	48521	UROK	\N	\N
3681353	1012	1995-05-31	PRIJEM	\N	163	33416	UROK	\N	\N
3681354	1012	1995-06-30	PRIJEM	\N	172	51854	UROK	\N	\N
3681355	1012	1995-07-31	PRIJEM	\N	195	45629	UROK	\N	\N
3681356	1012	1995-08-31	PRIJEM	\N	160	37975	UROK	\N	\N
3681357	1012	1995-09-30	PRIJEM	\N	169	18985	UROK	\N	\N
3681358	1012	1995-10-31	PRIJEM	\N	89	11013	UROK	\N	\N
3681359	1012	1995-11-30	PRIJEM	\N	57	10863	UROK	\N	\N
3681360	1012	1995-12-31	PRIJEM	\N	124	22251	UROK	\N	\N
3681361	1012	1996-01-31	PRIJEM	\N	100	24115	UROK	\N	\N
3681362	1012	1996-02-29	PRIJEM	\N	113	19828	UROK	\N	\N
3681363	1012	1996-03-31	PRIJEM	\N	130	29465	UROK	\N	\N
3681364	1012	1996-04-30	PRIJEM	\N	104	31361	UROK	\N	\N
3681365	1012	1996-05-31	PRIJEM	\N	158	40518	UROK	\N	\N
3681366	1012	1996-06-30	PRIJEM	\N	178	41266	UROK	\N	\N
3681367	1012	1996-07-31	PRIJEM	\N	172	38655	UROK	\N	\N
3681368	1012	1996-08-31	PRIJEM	\N	66	25652	UROK	\N	\N
3681369	1012	1996-08-31	VYDAJ	VYBER	1	25651	SANKC. UROK	\N	\N
3681370	1012	1996-09-30	PRIJEM	\N	79	19927	UROK	\N	\N
3681371	1012	1996-10-31	PRIJEM	\N	116	32788	UROK	\N	\N
3681372	1012	1996-11-30	PRIJEM	\N	139	40395	UROK	\N	\N
3681373	1012	1996-12-31	PRIJEM	\N	197	38795	UROK	\N	\N
3681374	1012	1997-01-31	PRIJEM	\N	83	12829	UROK	\N	\N
3681375	1012	1997-02-28	PRIJEM	\N	80	36121	UROK	\N	\N
3681376	1012	1997-03-31	PRIJEM	\N	85	34605	UROK	\N	\N
3681377	1012	1997-04-30	PRIJEM	\N	167	46769	UROK	\N	\N
3681378	1012	1997-05-31	PRIJEM	\N	199	40530	UROK	\N	\N
3681379	1012	1997-06-30	PRIJEM	\N	181	45593	UROK	\N	\N
3681380	1012	1997-07-31	PRIJEM	\N	195	48946	UROK	\N	\N
3681381	1012	1997-08-31	PRIJEM	\N	207	51539	UROK	\N	\N
3681382	1012	1997-09-30	PRIJEM	\N	196	43851	UROK	\N	\N
3681383	1012	1997-10-31	PRIJEM	\N	168	36927	UROK	\N	\N
3681384	1012	1997-11-30	PRIJEM	\N	135	19132	UROK	\N	\N
3681385	1012	1997-12-31	PRIJEM	\N	118	21460	UROK	\N	\N
3681386	1012	1998-01-31	PRIJEM	\N	89	18679	UROK	\N	\N
3681387	1012	1998-02-28	PRIJEM	\N	80	38876	UROK	\N	\N
3681388	1012	1998-03-31	PRIJEM	\N	135	35051	UROK	\N	\N
3681389	1012	1998-04-30	PRIJEM	\N	157	48038	UROK	\N	\N
3681390	1012	1998-05-31	PRIJEM	\N	163	41942	UROK	\N	\N
3681391	1012	1998-06-30	PRIJEM	\N	194	52705	UROK	\N	\N
3681392	1012	1998-07-31	PRIJEM	\N	190	48401	UROK	\N	\N
3681393	1012	1998-08-31	PRIJEM	\N	154	42385	UROK	\N	\N
3681394	1012	1998-09-30	PRIJEM	\N	124	28184	UROK	\N	\N
3681395	1012	1998-10-31	PRIJEM	\N	121	34054	UROK	\N	\N
3681396	1012	1998-11-30	PRIJEM	\N	116	37527	UROK	\N	\N
3681397	1012	1998-12-31	PRIJEM	\N	162	43192	UROK	\N	\N
3681481	1498	1997-04-30	PRIJEM	\N	25	44795	UROK	\N	\N
3681482	1498	1997-05-31	PRIJEM	\N	186	37367	UROK	\N	\N
3681483	1498	1997-06-30	PRIJEM	\N	160	77978	UROK	\N	\N
3681484	1498	1997-07-31	PRIJEM	\N	319	47121	UROK	\N	\N
3681485	1498	1997-08-31	PRIJEM	\N	193	33533	UROK	\N	\N
3681486	1498	1997-09-30	PRIJEM	\N	207	55770	UROK	\N	\N
3681487	1498	1997-10-31	PRIJEM	\N	226	41122	UROK	\N	\N
3681488	1498	1997-11-30	PRIJEM	\N	164	28587	UROK	\N	\N
3681489	1498	1997-12-31	PRIJEM	\N	113	21053	UROK	\N	\N
3681490	1498	1998-01-31	PRIJEM	\N	133	12873	UROK	\N	\N
3681491	1498	1998-02-28	PRIJEM	\N	39	3854	UROK	\N	\N
3681492	1498	1998-03-31	PRIJEM	\N	84	73574	UROK	\N	\N
3681493	1498	1998-04-30	PRIJEM	\N	293	62043	UROK	\N	\N
3681494	1498	1998-05-31	PRIJEM	\N	162	54081	UROK	\N	\N
3681495	1498	1998-06-30	PRIJEM	\N	91	2943	UROK	\N	\N
3681496	1498	1998-07-31	PRIJEM	\N	39	70414	UROK	\N	\N
3681497	1498	1998-07-31	VYDAJ	VYBER	12	70411	SANKC. UROK	\N	\N
3681498	1498	1998-08-31	PRIJEM	\N	196	99983	UROK	\N	\N
3681499	1498	1998-09-30	PRIJEM	\N	224	68800	UROK	\N	\N
3681500	1498	1998-10-31	PRIJEM	\N	296	43291	UROK	\N	\N
3681501	1498	1998-11-30	PRIJEM	\N	165	32566	UROK	\N	\N
3681502	1498	1998-12-31	PRIJEM	\N	183	68658	UROK	\N	\N
3681531	1888	1996-11-30	PRIJEM	\N	39	25718	UROK	\N	\N
3681532	1888	1996-12-31	PRIJEM	\N	137	44415	UROK	\N	\N
3681533	1888	1997-01-31	PRIJEM	\N	185	44661	UROK	\N	\N
3681534	1888	1997-02-28	PRIJEM	\N	193	49885	UROK	\N	\N
3681535	1888	1997-03-31	PRIJEM	\N	216	38989	UROK	\N	\N
3681536	1888	1997-04-30	PRIJEM	\N	201	33688	UROK	\N	\N
3681537	1888	1997-05-31	PRIJEM	\N	159	8054	UROK	\N	\N
3681538	1888	1997-06-30	PRIJEM	\N	108	13655	UROK	\N	\N
3681539	1888	1997-07-31	PRIJEM	\N	54	11391	UROK	\N	\N
3681540	1888	1997-07-31	VYDAJ	VYBER	2	11428	SANKC. UROK	\N	\N
3681541	1888	1997-08-31	PRIJEM	\N	75	15166	UROK	\N	\N
3681542	1888	1997-09-30	PRIJEM	\N	102	21944	UROK	\N	\N
3681543	1888	1997-10-31	PRIJEM	\N	121	24959	UROK	\N	\N
3681544	1888	1997-11-30	PRIJEM	\N	129	26302	UROK	\N	\N
3681545	1888	1997-12-31	PRIJEM	\N	156	28856	UROK	\N	\N
3681546	1888	1998-01-31	PRIJEM	\N	82	-2469	UROK	\N	\N
3681547	1888	1998-01-31	VYDAJ	VYBER	11	-2424	SANKC. UROK	\N	\N
3681548	1888	1998-02-28	PRIJEM	\N	43	10163	UROK	\N	\N
3681549	1888	1998-02-28	VYDAJ	VYBER	8	10141	SANKC. UROK	\N	\N
3681550	1888	1998-03-31	PRIJEM	\N	70	13911	UROK	\N	\N
3681551	1888	1998-04-30	PRIJEM	\N	84	17442	UROK	\N	\N
3681552	1888	1998-05-31	PRIJEM	\N	91	18137	UROK	\N	\N
3681553	1888	1998-06-30	PRIJEM	\N	114	4451	UROK	\N	\N
3681554	1888	1998-07-31	PRIJEM	\N	50	11768	UROK	\N	\N
3681555	1888	1998-08-31	PRIJEM	\N	69	13811	UROK	\N	\N
3681556	1888	1998-09-30	PRIJEM	\N	64	13782	UROK	\N	\N
3681557	1888	1998-10-31	PRIJEM	\N	21	5581	UROK	\N	\N
3681558	1888	1998-11-30	PRIJEM	\N	3	69	UROK	\N	\N
3681559	1888	1998-11-30	VYDAJ	VYBER	18	55	SANKC. UROK	\N	\N
3681560	1888	1998-12-31	PRIJEM	\N	27	-3315	UROK	\N	\N
3681561	1888	1998-12-31	VYDAJ	VYBER	37	-3388	SANKC. UROK	\N	\N
3681562	2335	1996-04-30	PRIJEM	\N	44	15180	UROK	\N	\N
3681563	2335	1996-05-31	PRIJEM	\N	120	34592	UROK	\N	\N
3681564	2335	1996-06-30	PRIJEM	\N	183	48384	UROK	\N	\N
3681565	2335	1996-07-31	PRIJEM	\N	205	50164	UROK	\N	\N
3681566	2335	1996-08-31	PRIJEM	\N	187	37942	UROK	\N	\N
3681567	2335	1996-09-30	PRIJEM	\N	94	18535	UROK	\N	\N
3681568	2335	1996-10-31	PRIJEM	\N	78	21424	UROK	\N	\N
3681569	2335	1996-11-30	PRIJEM	\N	75	12184	UROK	\N	\N
3681570	2335	1996-12-31	PRIJEM	\N	76	12867	UROK	\N	\N
3681571	2335	1997-01-31	PRIJEM	\N	64	8239	UROK	\N	\N
3681572	2335	1997-02-28	PRIJEM	\N	43	9294	UROK	\N	\N
3681573	2335	1997-03-31	PRIJEM	\N	33	7382	UROK	\N	\N
3681574	2335	1997-04-30	PRIJEM	\N	18	6565	UROK	\N	\N
3681575	2335	1997-05-31	PRIJEM	\N	31	2426	UROK	\N	\N
3681576	2335	1997-06-30	PRIJEM	\N	19	3702	UROK	\N	\N
3681577	2335	1997-06-30	VYDAJ	VYBER	19	3669	SANKC. UROK	\N	\N
3681578	2335	1997-07-31	PRIJEM	\N	9	220	UROK	\N	\N
3681579	2335	1997-07-31	VYDAJ	VYBER	1	219	SANKC. UROK	\N	\N
3681580	2335	1997-08-31	VYDAJ	VYBER	48	-3269	SANKC. UROK	\N	\N
3681581	2335	1997-09-30	VYDAJ	VYBER	80	-6309	SANKC. UROK	\N	\N
3681582	2335	1997-10-31	PRIJEM	\N	4	-5380	UROK	\N	\N
3681583	2335	1997-10-31	VYDAJ	VYBER	41	-5417	SANKC. UROK	\N	\N
3681584	2335	1997-11-30	PRIJEM	\N	2	-2743	UROK	\N	\N
3681585	2335	1997-11-30	VYDAJ	VYBER	46	-2850	SANKC. UROK	\N	\N
3681586	2335	1997-12-31	PRIJEM	\N	7	1223	UROK	\N	\N
3681587	2335	1997-12-31	VYDAJ	VYBER	14	1162	SANKC. UROK	\N	\N
3681588	2335	1998-01-31	PRIJEM	\N	4	872	UROK	\N	\N
3681589	2335	1998-01-31	VYDAJ	VYBER	4	844	SANKC. UROK	\N	\N
3681590	2335	1998-02-28	PRIJEM	\N	4	556	UROK	\N	\N
3681591	2335	1998-02-28	VYDAJ	VYBER	7	-665	SANKC. UROK	\N	\N
3681592	2335	1998-03-31	PRIJEM	\N	3	44	UROK	\N	\N
3681593	2335	1998-03-31	VYDAJ	VYBER	14	-23	SANKC. UROK	\N	\N
3681594	2335	1998-04-30	PRIJEM	\N	3	-1292	UROK	\N	\N
3681595	2335	1998-04-30	VYDAJ	VYBER	20	-1358	SANKC. UROK	\N	\N
3681596	2335	1998-05-31	PRIJEM	\N	3	-1627	UROK	\N	\N
3681597	2335	1998-05-31	VYDAJ	VYBER	26	-1653	SANKC. UROK	\N	\N
3681598	2335	1998-06-30	PRIJEM	\N	11	-268	UROK	\N	\N
3681599	2335	1998-06-30	VYDAJ	VYBER	14	-313	SANKC. UROK	\N	\N
3681600	2335	1998-07-31	PRIJEM	\N	3	-602	UROK	\N	\N
3681601	2335	1998-07-31	VYDAJ	VYBER	16	-661	SANKC. UROK	\N	\N
3681602	2335	1998-08-31	PRIJEM	\N	3	-949	UROK	\N	\N
3681603	2335	1998-08-31	VYDAJ	VYBER	19	-1020	SANKC. UROK	\N	\N
3681604	2335	1998-09-30	PRIJEM	\N	3	-1311	UROK	\N	\N
3681605	2335	1998-09-30	VYDAJ	VYBER	22	-1364	SANKC. UROK	\N	\N
3681606	2335	1998-10-31	PRIJEM	\N	3	-1668	UROK	\N	\N
3681607	2335	1998-10-31	VYDAJ	VYBER	26	-1694	SANKC. UROK	\N	\N
3681608	2335	1998-11-30	PRIJEM	\N	3	-2029	UROK	\N	\N
3681609	2335	1998-11-30	VYDAJ	VYBER	29	-2056	SANKC. UROK	\N	\N
3681610	2335	1998-12-31	PRIJEM	\N	9	-2777	UROK	\N	\N
3681611	2335	1998-12-31	VYDAJ	VYBER	26	-2803	SANKC. UROK	\N	\N
3681612	2572	1994-12-31	PRIJEM	\N	130	50987	UROK	\N	\N
3681613	2572	1995-01-31	PRIJEM	\N	240	61546	UROK	\N	\N
3681614	2572	1995-02-28	PRIJEM	\N	223	39215	UROK	\N	\N
3681615	2572	1995-03-31	PRIJEM	\N	201	55136	UROK	\N	\N
3681616	2572	1995-04-30	PRIJEM	\N	256	64812	UROK	\N	\N
3681617	2572	1995-05-31	PRIJEM	\N	260	55447	UROK	\N	\N
3681618	2572	1995-06-30	PRIJEM	\N	233	28574	UROK	\N	\N
3681619	2572	1995-07-31	PRIJEM	\N	178	27570	UROK	\N	\N
3681620	2572	1995-08-31	PRIJEM	\N	184	47935	UROK	\N	\N
3681621	2572	1995-09-30	PRIJEM	\N	211	52075	UROK	\N	\N
3681622	2572	1995-10-31	PRIJEM	\N	217	51556	UROK	\N	\N
3681623	2572	1995-11-30	PRIJEM	\N	235	52709	UROK	\N	\N
3681624	2572	1995-12-31	PRIJEM	\N	188	43660	UROK	\N	\N
3681625	2572	1996-01-31	PRIJEM	\N	95	2045	UROK	\N	\N
3681626	2572	1996-01-31	VYDAJ	VYBER	2	2141	SANKC. UROK	\N	\N
3681627	2572	1996-02-29	PRIJEM	\N	158	29953	UROK	\N	\N
3681628	2572	1996-02-29	VYDAJ	VYBER	2	29949	SANKC. UROK	\N	\N
3681629	2572	1996-03-31	PRIJEM	\N	173	35922	UROK	\N	\N
3681630	2572	1996-03-31	VYDAJ	VYBER	1	36048	SANKC. UROK	\N	\N
3681631	2572	1996-04-30	PRIJEM	\N	214	50214	UROK	\N	\N
3681632	2572	1996-05-31	PRIJEM	\N	286	72333	UROK	\N	\N
3681633	2572	1996-06-30	PRIJEM	\N	276	65041	UROK	\N	\N
3681634	2572	1996-07-31	PRIJEM	\N	323	81380	UROK	\N	\N
3681635	2572	1996-08-31	PRIJEM	\N	379	97779	UROK	\N	\N
3681636	2572	1996-09-30	PRIJEM	\N	407	102305	UROK	\N	\N
3681637	2572	1996-10-31	PRIJEM	\N	242	41479	UROK	\N	\N
3681638	2572	1996-11-30	PRIJEM	\N	268	75634	UROK	\N	\N
3681639	2572	1996-12-31	PRIJEM	\N	226	52312	UROK	\N	\N
3681640	2572	1997-01-31	PRIJEM	\N	133	22354	UROK	\N	\N
3681641	2572	1997-02-28	PRIJEM	\N	142	50056	UROK	\N	\N
3681642	2572	1997-03-31	PRIJEM	\N	248	71994	UROK	\N	\N
3681643	2572	1997-04-30	PRIJEM	\N	300	67019	UROK	\N	\N
3681644	2572	1997-05-31	PRIJEM	\N	233	65466	UROK	\N	\N
3681645	2572	1997-06-30	PRIJEM	\N	161	13279	UROK	\N	\N
3681646	2572	1997-07-31	PRIJEM	\N	112	25943	UROK	\N	\N
3681647	2572	1997-08-31	PRIJEM	\N	182	48067	UROK	\N	\N
3681648	2572	1997-09-30	PRIJEM	\N	195	45571	UROK	\N	\N
3681649	2572	1997-10-31	PRIJEM	\N	235	52919	UROK	\N	\N
3681650	2572	1997-11-30	PRIJEM	\N	307	64378	UROK	\N	\N
3681651	2572	1997-12-31	PRIJEM	\N	335	61137	UROK	\N	\N
3681652	2572	1998-01-31	PRIJEM	\N	225	32063	UROK	\N	\N
3681653	2572	1998-02-28	PRIJEM	\N	216	52259	UROK	\N	\N
3681654	2572	1998-03-31	PRIJEM	\N	230	46587	UROK	\N	\N
3681655	2572	1998-04-30	PRIJEM	\N	191	46527	UROK	\N	\N
3681656	2572	1998-05-31	PRIJEM	\N	218	47120	UROK	\N	\N
3681657	2572	1998-06-30	PRIJEM	\N	285	51634	UROK	\N	\N
3681658	2572	1998-07-31	PRIJEM	\N	258	63094	UROK	\N	\N
3681659	2572	1998-08-31	PRIJEM	\N	303	65572	UROK	\N	\N
3681660	2572	1998-09-30	PRIJEM	\N	291	63082	UROK	\N	\N
3681661	2572	1998-10-31	PRIJEM	\N	285	67886	UROK	\N	\N
3681662	2572	1998-11-30	PRIJEM	\N	287	61265	UROK	\N	\N
3681663	2572	1998-12-31	PRIJEM	\N	317	91847	UROK	\N	\N
3681691	3273	1996-01-31	PRIJEM	\N	21	39303	UROK	\N	\N
3681692	3273	1996-02-29	PRIJEM	\N	172	57907	UROK	\N	\N
3681693	3273	1996-03-31	PRIJEM	\N	215	38798	UROK	\N	\N
3681694	3273	1996-04-30	PRIJEM	\N	169	54627	UROK	\N	\N
3681695	3273	1996-05-31	PRIJEM	\N	312	58468	UROK	\N	\N
3681696	3273	1996-06-30	PRIJEM	\N	242	13176	UROK	\N	\N
3681697	3273	1996-07-31	PRIJEM	\N	154	34877	UROK	\N	\N
3681698	3273	1996-08-31	PRIJEM	\N	224	45726	UROK	\N	\N
3681699	3273	1996-09-30	PRIJEM	\N	275	50448	UROK	\N	\N
3681700	3273	1996-10-31	PRIJEM	\N	218	37507	UROK	\N	\N
3681701	3273	1996-11-30	PRIJEM	\N	217	38396	UROK	\N	\N
3681702	3273	1996-12-31	PRIJEM	\N	241	44964	UROK	\N	\N
3681703	3273	1997-01-31	PRIJEM	\N	181	34140	UROK	\N	\N
3681704	3273	1997-02-28	PRIJEM	\N	186	39192	UROK	\N	\N
3681705	3273	1997-03-31	PRIJEM	\N	167	5420	UROK	\N	\N
3681706	3273	1997-04-30	PRIJEM	\N	79	26613	UROK	\N	\N
3681707	3273	1997-05-31	PRIJEM	\N	159	25860	UROK	\N	\N
3681708	3273	1997-06-30	PRIJEM	\N	175	20236	UROK	\N	\N
3681709	3273	1997-07-31	PRIJEM	\N	124	16984	UROK	\N	\N
3681710	3273	1997-08-31	PRIJEM	\N	92	32518	UROK	\N	\N
3681711	3273	1997-09-30	PRIJEM	\N	204	24015	UROK	\N	\N
3681712	3273	1997-10-31	PRIJEM	\N	116	22460	UROK	\N	\N
3681713	3273	1997-11-30	PRIJEM	\N	122	26370	UROK	\N	\N
3681714	3273	1997-12-31	PRIJEM	\N	113	-3417	UROK	\N	\N
3681715	3273	1997-12-31	VYDAJ	VYBER	15	-3317	SANKC. UROK	\N	\N
3681716	3273	1998-01-31	PRIJEM	\N	33	-5403	UROK	\N	\N
3681717	3273	1998-01-31	VYDAJ	VYBER	48	-5510	SANKC. UROK	\N	\N
3681718	3273	1998-02-28	PRIJEM	\N	30	6512	UROK	\N	\N
3681719	3273	1998-02-28	VYDAJ	VYBER	38	6474	SANKC. UROK	\N	\N
3681720	3273	1998-03-31	PRIJEM	\N	54	12297	UROK	\N	\N
3681721	3273	1998-04-30	PRIJEM	\N	69	15409	UROK	\N	\N
3681722	3273	1998-05-31	PRIJEM	\N	76	16355	UROK	\N	\N
3681723	3273	1998-06-30	PRIJEM	\N	65	-1481	UROK	\N	\N
3681724	3273	1998-06-30	VYDAJ	VYBER	28	-1508	SANKC. UROK	\N	\N
3681725	3273	1998-07-31	PRIJEM	\N	22	5061	UROK	\N	\N
3681726	3273	1998-07-31	VYDAJ	VYBER	19	5066	SANKC. UROK	\N	\N
3681727	3273	1998-08-31	PRIJEM	\N	27	2847	UROK	\N	\N
3681728	3273	1998-08-31	VYDAJ	VYBER	3	2875	SANKC. UROK	\N	\N
3681729	3273	1998-09-30	PRIJEM	\N	13	1558	UROK	\N	\N
3681730	3273	1998-09-30	VYDAJ	VYBER	18	-5654	SANKC. UROK	\N	\N
3681731	3273	1998-10-31	PRIJEM	\N	4	6002	UROK	\N	\N
3681732	3273	1998-10-31	VYDAJ	VYBER	42	5960	SANKC. UROK	\N	\N
3681733	3273	1998-11-30	PRIJEM	\N	38	9408	UROK	\N	\N
3681734	3273	1998-12-31	PRIJEM	\N	35	-6126	UROK	\N	\N
3681735	3273	1998-12-31	VYDAJ	VYBER	7	-6133	SANKC. UROK	\N	\N
3681805	3953	1997-07-31	PRIJEM	\N	71	33228	UROK	\N	\N
3681806	3953	1997-08-31	PRIJEM	\N	180	51975	UROK	\N	\N
3681807	3953	1997-09-30	PRIJEM	\N	241	63242	UROK	\N	\N
3681808	3953	1997-10-31	PRIJEM	\N	269	67067	UROK	\N	\N
3681809	3953	1997-11-30	PRIJEM	\N	291	66844	UROK	\N	\N
3681810	3953	1997-12-31	PRIJEM	\N	221	47250	UROK	\N	\N
3681811	3953	1998-01-31	PRIJEM	\N	158	20961	UROK	\N	\N
3681812	3953	1998-02-28	PRIJEM	\N	150	48238	UROK	\N	\N
3681813	3953	1998-03-31	PRIJEM	\N	222	58180	UROK	\N	\N
3681814	3953	1998-04-30	PRIJEM	\N	202	52214	UROK	\N	\N
3681815	3953	1998-05-31	PRIJEM	\N	277	57535	UROK	\N	\N
3681816	3953	1998-06-30	PRIJEM	\N	167	369	UROK	\N	\N
3681817	3953	1998-06-30	VYDAJ	VYBER	6	514	SANKC. UROK	\N	\N
3681818	3953	1998-07-31	PRIJEM	\N	122	47950	UROK	\N	\N
3681819	3953	1998-07-31	VYDAJ	VYBER	7	47944	SANKC. UROK	\N	\N
3681820	3953	1998-08-31	PRIJEM	\N	245	68953	UROK	\N	\N
3681821	3953	1998-09-30	PRIJEM	\N	322	82126	UROK	\N	\N
3681822	3953	1998-10-31	PRIJEM	\N	355	87396	UROK	\N	\N
3681823	3953	1998-11-30	PRIJEM	\N	344	86071	UROK	\N	\N
3681824	3953	1998-12-31	PRIJEM	\N	368	70126	UROK	\N	\N
3682026	4858	1997-07-31	PRIJEM	\N	51	34301	UROK	\N	\N
3682027	4858	1997-08-31	PRIJEM	\N	170	51240	UROK	\N	\N
3682028	4858	1997-09-30	PRIJEM	\N	220	56180	UROK	\N	\N
3682029	4858	1997-10-31	PRIJEM	\N	246	64371	UROK	\N	\N
3682030	4858	1997-11-30	PRIJEM	\N	271	48408	UROK	\N	\N
3682031	4858	1997-12-31	PRIJEM	\N	262	51017	UROK	\N	\N
3682032	4858	1998-01-31	PRIJEM	\N	209	26311	UROK	\N	\N
3682033	4858	1998-02-28	PRIJEM	\N	144	28896	UROK	\N	\N
3682034	4858	1998-03-31	PRIJEM	\N	122	20847	UROK	\N	\N
3682035	4858	1998-04-30	PRIJEM	\N	106	25107	UROK	\N	\N
3682036	4858	1998-05-31	PRIJEM	\N	102	9096	UROK	\N	\N
3682037	4858	1998-06-30	PRIJEM	\N	62	264	UROK	\N	\N
3682038	4858	1998-06-30	VYDAJ	VYBER	6	316	SANKC. UROK	\N	\N
3682039	4858	1998-07-31	PRIJEM	\N	32	1155	UROK	\N	\N
3682040	4858	1998-07-31	VYDAJ	VYBER	8	1132	SANKC. UROK	\N	\N
3682041	4858	1998-08-31	PRIJEM	\N	6	-6473	UROK	\N	\N
3682042	4858	1998-08-31	VYDAJ	VYBER	36	-6558	SANKC. UROK	\N	\N
3682043	4858	1998-09-30	PRIJEM	\N	16	6392	UROK	\N	\N
3682044	4858	1998-09-30	VYDAJ	VYBER	28	6364	SANKC. UROK	\N	\N
3682045	4858	1998-10-31	PRIJEM	\N	61	20200	UROK	\N	\N
3682046	4858	1998-11-30	PRIJEM	\N	84	17205	UROK	\N	\N
3682047	4858	1998-12-31	PRIJEM	\N	128	33115	UROK	\N	\N
3682093	5213	1995-09-30	PRIJEM	\N	69	35383	UROK	\N	\N
3682094	5213	1995-10-31	PRIJEM	\N	180	51925	UROK	\N	\N
3682095	5213	1995-11-30	PRIJEM	\N	233	60472	UROK	\N	\N
3682096	5213	1995-12-31	PRIJEM	\N	335	51910	UROK	\N	\N
3682097	5213	1996-01-31	PRIJEM	\N	156	5401	UROK	\N	\N
3682098	5213	1996-02-29	PRIJEM	\N	146	30261	UROK	\N	\N
3682099	5213	1996-03-31	PRIJEM	\N	168	43229	UROK	\N	\N
3682100	5213	1996-04-30	PRIJEM	\N	231	46923	UROK	\N	\N
3682101	5213	1996-05-31	PRIJEM	\N	226	58062	UROK	\N	\N
3682102	5213	1996-06-30	PRIJEM	\N	335	50845	UROK	\N	\N
3682103	5213	1996-07-31	PRIJEM	\N	200	28030	UROK	\N	\N
3682104	5213	1996-08-31	PRIJEM	\N	139	38061	UROK	\N	\N
3682105	5213	1996-09-30	PRIJEM	\N	189	52563	UROK	\N	\N
3682106	5213	1996-10-31	PRIJEM	\N	197	29641	UROK	\N	\N
3682107	5213	1996-11-30	PRIJEM	\N	163	46513	UROK	\N	\N
3682108	5213	1996-12-31	PRIJEM	\N	149	29144	UROK	\N	\N
3682109	5213	1997-01-31	PRIJEM	\N	101	-1951	UROK	\N	\N
3682110	5213	1997-01-31	VYDAJ	VYBER	6	-1858	SANKC. UROK	\N	\N
3682111	5213	1997-02-28	PRIJEM	\N	86	29513	UROK	\N	\N
3682112	5213	1997-02-28	VYDAJ	VYBER	13	29473	SANKC. UROK	\N	\N
3682113	5213	1997-03-31	PRIJEM	\N	105	14760	UROK	\N	\N
3682114	5213	1997-04-30	PRIJEM	\N	103	22771	UROK	\N	\N
3682115	5213	1997-05-31	PRIJEM	\N	128	37640	UROK	\N	\N
3682116	5213	1997-06-30	PRIJEM	\N	119	20314	UROK	\N	\N
3682117	5213	1997-07-31	PRIJEM	\N	129	33658	UROK	\N	\N
3682118	5213	1997-08-31	PRIJEM	\N	165	44666	UROK	\N	\N
3682119	5213	1997-09-30	PRIJEM	\N	180	46325	UROK	\N	\N
3682120	5213	1997-10-31	PRIJEM	\N	178	45774	UROK	\N	\N
3682121	5213	1997-11-30	PRIJEM	\N	221	47308	UROK	\N	\N
3682122	5213	1997-12-31	PRIJEM	\N	123	10563	UROK	\N	\N
3682123	5213	1998-01-31	PRIJEM	\N	70	7457	UROK	\N	\N
3682124	5213	1998-02-28	PRIJEM	\N	186	54729	UROK	\N	\N
3682125	5213	1998-03-31	PRIJEM	\N	206	53042	UROK	\N	\N
3682126	5213	1998-04-30	PRIJEM	\N	281	68603	UROK	\N	\N
3682127	5213	1998-05-31	PRIJEM	\N	257	55690	UROK	\N	\N
3682128	5213	1998-06-30	PRIJEM	\N	215	45781	UROK	\N	\N
3682129	5213	1998-07-31	PRIJEM	\N	180	38116	UROK	\N	\N
3682130	5213	1998-08-31	PRIJEM	\N	151	28501	UROK	\N	\N
3682131	5213	1998-09-30	PRIJEM	\N	215	61024	UROK	\N	\N
3682132	5213	1998-10-31	PRIJEM	\N	194	50927	UROK	\N	\N
3682133	5213	1998-11-30	PRIJEM	\N	199	68699	UROK	\N	\N
3682134	5213	1998-12-31	PRIJEM	\N	312	89092	UROK	\N	\N
3682135	5256	1994-01-31	PRIJEM	\N	52	43388	UROK	\N	\N
3682136	5256	1994-02-28	PRIJEM	\N	176	39387	UROK	\N	\N
3682137	5256	1994-03-31	PRIJEM	\N	176	51096	UROK	\N	\N
3682138	5256	1994-04-30	PRIJEM	\N	366	82572	UROK	\N	\N
3682139	5256	1994-05-31	PRIJEM	\N	298	90532	UROK	\N	\N
3682140	5256	1994-06-30	PRIJEM	\N	269	40531	UROK	\N	\N
3682141	5256	1994-07-31	PRIJEM	\N	222	72228	UROK	\N	\N
3682142	5256	1994-08-31	PRIJEM	\N	285	76936	UROK	\N	\N
3682143	5256	1994-09-30	PRIJEM	\N	321	67091	UROK	\N	\N
3682144	5256	1994-10-31	PRIJEM	\N	236	45974	UROK	\N	\N
3682145	5256	1994-11-30	PRIJEM	\N	191	67802	UROK	\N	\N
3682146	5256	1994-12-31	PRIJEM	\N	297	78755	UROK	\N	\N
3682147	5256	1995-01-31	PRIJEM	\N	212	34285	UROK	\N	\N
3682148	5256	1995-02-28	PRIJEM	\N	127	32649	UROK	\N	\N
3682149	5256	1995-03-31	PRIJEM	\N	106	28971	UROK	\N	\N
3682150	5256	1995-04-30	PRIJEM	\N	109	30500	UROK	\N	\N
3682151	5256	1995-05-31	PRIJEM	\N	109	28420	UROK	\N	\N
3682152	5256	1995-06-30	PRIJEM	\N	98	25433	UROK	\N	\N
3682153	5256	1995-07-31	PRIJEM	\N	154	44496	UROK	\N	\N
3682154	5256	1995-08-31	PRIJEM	\N	121	26282	UROK	\N	\N
3682155	5256	1995-09-30	PRIJEM	\N	135	39975	UROK	\N	\N
3682156	5256	1995-10-31	PRIJEM	\N	257	102288	UROK	\N	\N
3682157	5256	1995-11-30	PRIJEM	\N	404	72949	UROK	\N	\N
3682158	5256	1995-12-31	PRIJEM	\N	220	61343	UROK	\N	\N
3682159	5256	1996-01-31	PRIJEM	\N	139	28184	UROK	\N	\N
3682160	5256	1996-02-29	PRIJEM	\N	122	33332	UROK	\N	\N
3682161	5256	1996-03-31	PRIJEM	\N	107	29471	UROK	\N	\N
3682162	5256	1996-04-30	PRIJEM	\N	128	55369	UROK	\N	\N
3682163	5256	1996-05-31	PRIJEM	\N	160	37600	UROK	\N	\N
3682164	5256	1996-06-30	PRIJEM	\N	142	40442	UROK	\N	\N
3682165	5256	1996-07-31	PRIJEM	\N	110	27950	UROK	\N	\N
3682166	5256	1996-08-31	PRIJEM	\N	87	26249	UROK	\N	\N
3682167	5256	1996-09-30	PRIJEM	\N	150	51381	UROK	\N	\N
3682168	5256	1996-10-31	PRIJEM	\N	146	35739	UROK	\N	\N
3682169	5256	1996-11-30	PRIJEM	\N	114	32508	UROK	\N	\N
3682170	5256	1996-12-31	PRIJEM	\N	102	30033	UROK	\N	\N
3682171	5256	1997-01-31	PRIJEM	\N	87	25931	UROK	\N	\N
3682172	5256	1997-02-28	PRIJEM	\N	68	21161	UROK	\N	\N
3682173	5256	1997-03-31	PRIJEM	\N	193	88767	UROK	\N	\N
3682174	5256	1997-04-30	PRIJEM	\N	246	52724	UROK	\N	\N
3682175	5256	1997-05-31	PRIJEM	\N	186	73550	UROK	\N	\N
3682176	5256	1997-06-30	PRIJEM	\N	241	54536	UROK	\N	\N
3682177	5256	1997-07-31	PRIJEM	\N	140	61590	UROK	\N	\N
3682178	5256	1997-08-31	PRIJEM	\N	261	63312	UROK	\N	\N
3682179	5256	1997-09-30	PRIJEM	\N	333	152016	UROK	\N	\N
3682180	5256	1997-10-31	PRIJEM	\N	275	87733	UROK	\N	\N
3682181	5256	1997-11-30	PRIJEM	\N	197	35517	UROK	\N	\N
3682182	5256	1997-12-31	PRIJEM	\N	251	58312	UROK	\N	\N
3682183	5256	1998-01-31	PRIJEM	\N	216	64027	UROK	\N	\N
3682184	5256	1998-02-28	PRIJEM	\N	163	34749	UROK	\N	\N
3682185	5256	1998-03-31	PRIJEM	\N	130	42701	UROK	\N	\N
3682186	5256	1998-04-30	PRIJEM	\N	110	33009	UROK	\N	\N
3682187	5256	1998-05-31	PRIJEM	\N	59	21575	UROK	\N	\N
3682188	5256	1998-06-30	PRIJEM	\N	58	31717	UROK	\N	\N
3682189	5256	1998-07-31	PRIJEM	\N	64	28099	UROK	\N	\N
3682190	5256	1998-08-31	PRIJEM	\N	58	17057	UROK	\N	\N
3682191	5256	1998-09-30	PRIJEM	\N	30	11241	UROK	\N	\N
3682192	5256	1998-10-31	PRIJEM	\N	45	68177	UROK	\N	\N
3682193	5256	1998-11-30	PRIJEM	\N	284	54871	UROK	\N	\N
3682194	5256	1998-12-31	PRIJEM	\N	165	45536	UROK	\N	\N
3682264	5927	1993-12-31	PRIJEM	\N	17	20773	UROK	\N	\N
3682265	5927	1994-01-31	PRIJEM	\N	92	26477	UROK	\N	\N
3682266	5927	1994-02-28	PRIJEM	\N	113	30394	UROK	\N	\N
3682267	5927	1994-03-31	PRIJEM	\N	129	33767	UROK	\N	\N
3682268	5927	1994-04-30	PRIJEM	\N	150	33321	UROK	\N	\N
3682269	5927	1994-05-31	PRIJEM	\N	127	21579	UROK	\N	\N
3682270	5927	1994-06-30	PRIJEM	\N	114	30344	UROK	\N	\N
3682271	5927	1994-07-31	PRIJEM	\N	105	26544	UROK	\N	\N
3682272	5927	1994-08-31	PRIJEM	\N	115	27544	UROK	\N	\N
3682273	5927	1994-09-30	PRIJEM	\N	119	28953	UROK	\N	\N
3682274	5927	1994-10-31	PRIJEM	\N	116	17641	UROK	\N	\N
3682275	5927	1994-11-30	PRIJEM	\N	85	24300	UROK	\N	\N
3682276	5927	1994-12-31	PRIJEM	\N	81	18724	UROK	\N	\N
3682277	5927	1995-01-31	PRIJEM	\N	15	3440	UROK	\N	\N
3682278	5927	1995-01-31	VYDAJ	VYBER	6	3428	SANKC. UROK	\N	\N
3682279	5927	1995-02-28	PRIJEM	\N	29	11377	UROK	\N	\N
3682280	5927	1995-03-31	PRIJEM	\N	58	17181	UROK	\N	\N
3682281	5927	1995-04-30	PRIJEM	\N	87	22043	UROK	\N	\N
3682282	5927	1995-05-31	PRIJEM	\N	89	21090	UROK	\N	\N
3682283	5927	1995-06-30	PRIJEM	\N	107	28121	UROK	\N	\N
3682284	5927	1995-07-31	PRIJEM	\N	126	26927	UROK	\N	\N
3682285	5927	1995-08-31	PRIJEM	\N	55	16774	UROK	\N	\N
3682286	5927	1995-09-30	PRIJEM	\N	79	23425	UROK	\N	\N
3682287	5927	1995-10-31	PRIJEM	\N	86	-1911	UROK	\N	\N
3682288	5927	1995-10-31	VYDAJ	VYBER	4	-1933	SANKC. UROK	\N	\N
3682289	5927	1995-11-30	PRIJEM	\N	24	12677	UROK	\N	\N
3682290	5927	1995-11-30	VYDAJ	VYBER	15	12669	SANKC. UROK	\N	\N
3682291	5927	1995-12-31	PRIJEM	\N	69	23130	UROK	\N	\N
3682292	5927	1996-01-31	PRIJEM	\N	43	8587	UROK	\N	\N
3682293	5927	1996-01-31	VYDAJ	VYBER	1	8569	SANKC. UROK	\N	\N
3682294	5927	1996-02-29	PRIJEM	\N	40	12635	UROK	\N	\N
3682295	5927	1996-03-31	PRIJEM	\N	69	21885	UROK	\N	\N
3682296	5927	1996-04-30	PRIJEM	\N	84	19610	UROK	\N	\N
3682297	5927	1996-05-31	PRIJEM	\N	63	15833	UROK	\N	\N
3682298	5927	1996-06-30	PRIJEM	\N	93	16957	UROK	\N	\N
3682299	5927	1996-07-31	PRIJEM	\N	60	14788	UROK	\N	\N
3682300	5927	1996-08-31	PRIJEM	\N	55	8059	UROK	\N	\N
3682301	5927	1996-09-30	PRIJEM	\N	18	383	UROK	\N	\N
3682302	5927	1996-09-30	VYDAJ	VYBER	12	357	SANKC. UROK	\N	\N
3682303	5927	1996-10-31	PRIJEM	\N	48	10079	UROK	\N	\N
3682304	5927	1996-10-31	VYDAJ	VYBER	8	10100	SANKC. UROK	\N	\N
3682305	5927	1996-11-30	PRIJEM	\N	75	24729	UROK	\N	\N
3682306	5927	1996-12-31	PRIJEM	\N	61	20914	UROK	\N	\N
3682307	5927	1996-12-31	VYDAJ	VYBER	11	20964	SANKC. UROK	\N	\N
3682308	5927	1997-01-31	PRIJEM	\N	33	-2607	UROK	\N	\N
3682309	5927	1997-01-31	VYDAJ	VYBER	18	-2658	SANKC. UROK	\N	\N
3682310	5927	1997-02-28	PRIJEM	\N	24	11176	UROK	\N	\N
3682311	5927	1997-02-28	VYDAJ	VYBER	22	11118	SANKC. UROK	\N	\N
3682312	5927	1997-03-31	PRIJEM	\N	66	20370	UROK	\N	\N
3682313	5927	1997-04-30	PRIJEM	\N	69	19750	UROK	\N	\N
3682314	5927	1997-05-31	PRIJEM	\N	40	6789	UROK	\N	\N
3682315	5927	1997-05-31	VYDAJ	VYBER	0	6825	SANKC. UROK	\N	\N
3682316	5927	1997-06-30	PRIJEM	\N	60	23374	UROK	\N	\N
3682317	5927	1997-07-31	PRIJEM	\N	73	18284	UROK	\N	\N
3682318	5927	1997-08-31	PRIJEM	\N	60	18546	UROK	\N	\N
3682319	5927	1997-09-30	PRIJEM	\N	71	21489	UROK	\N	\N
3682320	5927	1997-10-31	PRIJEM	\N	73	19808	UROK	\N	\N
3682321	5927	1997-11-30	PRIJEM	\N	75	23907	UROK	\N	\N
3682322	5927	1997-12-31	PRIJEM	\N	49	-2473	UROK	\N	\N
3682323	5927	1997-12-31	VYDAJ	VYBER	25	-2538	SANKC. UROK	\N	\N
3682324	5927	1998-01-31	VYDAJ	VYBER	29	-943	SANKC. UROK	\N	\N
3682325	5927	1998-02-28	PRIJEM	\N	15	7873	UROK	\N	\N
3682326	5927	1998-02-28	VYDAJ	VYBER	17	7856	SANKC. UROK	\N	\N
3682327	5927	1998-03-31	PRIJEM	\N	53	13864	UROK	\N	\N
3682328	5927	1998-04-30	PRIJEM	\N	57	18946	UROK	\N	\N
3682329	5927	1998-05-31	PRIJEM	\N	77	22349	UROK	\N	\N
3682330	5927	1998-06-30	PRIJEM	\N	55	15077	UROK	\N	\N
3682331	5927	1998-07-31	PRIJEM	\N	68	21402	UROK	\N	\N
3682332	5927	1998-08-31	PRIJEM	\N	79	3341	UROK	\N	\N
3682333	5927	1998-08-31	VYDAJ	VYBER	0	3404	SANKC. UROK	\N	\N
3682334	5927	1998-09-30	PRIJEM	\N	50	16893	UROK	\N	\N
3682335	5927	1998-09-30	VYDAJ	VYBER	2	16891	SANKC. UROK	\N	\N
3682336	5927	1998-10-31	PRIJEM	\N	71	25250	UROK	\N	\N
3682337	5927	1998-11-30	PRIJEM	\N	95	29905	UROK	\N	\N
3682338	5927	1998-12-31	PRIJEM	\N	139	29981	UROK	\N	\N
3682339	6083	1996-12-31	PRIJEM	\N	86	45860	UROK	\N	\N
3682340	6083	1997-01-31	PRIJEM	\N	257	94059	UROK	\N	\N
3682341	6083	1997-02-28	PRIJEM	\N	296	135384	UROK	\N	\N
3682342	6083	1997-03-31	PRIJEM	\N	365	54167	UROK	\N	\N
3682343	6083	1997-04-30	PRIJEM	\N	184	58262	UROK	\N	\N
3682344	6083	1997-05-31	PRIJEM	\N	154	22055	UROK	\N	\N
3682345	6083	1997-06-30	PRIJEM	\N	76	10280	UROK	\N	\N
3682346	6083	1997-07-31	PRIJEM	\N	72	48699	UROK	\N	\N
3682347	6083	1997-08-31	PRIJEM	\N	136	27344	UROK	\N	\N
3682348	6083	1997-09-30	PRIJEM	\N	199	27582	UROK	\N	\N
3682349	6083	1997-10-31	PRIJEM	\N	242	91766	UROK	\N	\N
3682350	6083	1997-11-30	PRIJEM	\N	313	71913	UROK	\N	\N
3682351	6083	1997-12-31	PRIJEM	\N	271	96988	UROK	\N	\N
3682352	6083	1998-01-31	PRIJEM	\N	206	22620	UROK	\N	\N
3682353	6083	1998-02-28	PRIJEM	\N	119	31521	UROK	\N	\N
3682354	6083	1998-03-31	PRIJEM	\N	213	107979	UROK	\N	\N
3682355	6083	1998-04-30	PRIJEM	\N	256	40145	UROK	\N	\N
3682356	6083	1998-05-31	PRIJEM	\N	93	17340	UROK	\N	\N
3682357	6083	1998-06-30	PRIJEM	\N	23	4410	UROK	\N	\N
3682358	6083	1998-07-31	PRIJEM	\N	1	-1494	UROK	\N	\N
3682359	6083	1998-07-31	VYDAJ	VYBER	33	-1587	SANKC. UROK	\N	\N
3682360	6083	1998-08-31	PRIJEM	\N	0	-5904	UROK	\N	\N
3682361	6083	1998-08-31	VYDAJ	VYBER	76	-5980	SANKC. UROK	\N	\N
3682362	6083	1998-09-30	VYDAJ	VYBER	79	-8483	SANKC. UROK	\N	\N
3682363	6083	1998-10-31	VYDAJ	VYBER	63	-1093	SANKC. UROK	\N	\N
3682364	6083	1998-11-30	PRIJEM	\N	1	-1910	UROK	\N	\N
3682365	6083	1998-11-30	VYDAJ	VYBER	48	-2107	SANKC. UROK	\N	\N
3682366	6083	1998-12-31	PRIJEM	\N	5	5199	UROK	\N	\N
3682367	6083	1998-12-31	VYDAJ	VYBER	17	5182	SANKC. UROK	\N	\N
3682368	6118	1994-03-31	PRIJEM	\N	137	42494	UROK	\N	\N
3682369	6118	1994-04-30	PRIJEM	\N	176	32782	UROK	\N	\N
3682370	6118	1994-05-31	PRIJEM	\N	274	89310	UROK	\N	\N
3682371	6118	1994-06-30	PRIJEM	\N	369	97264	UROK	\N	\N
3682372	6118	1994-07-31	PRIJEM	\N	196	40686	UROK	\N	\N
3682373	6118	1994-08-31	PRIJEM	\N	108	40988	UROK	\N	\N
3682374	6118	1994-09-30	PRIJEM	\N	164	28185	UROK	\N	\N
3682375	6118	1994-10-31	PRIJEM	\N	181	44865	UROK	\N	\N
3682376	6118	1994-11-30	PRIJEM	\N	198	88803	UROK	\N	\N
3682377	6118	1994-12-31	PRIJEM	\N	402	76827	UROK	\N	\N
3682378	6118	1995-01-31	PRIJEM	\N	188	36554	UROK	\N	\N
3682379	6118	1995-02-28	PRIJEM	\N	63	11180	UROK	\N	\N
3682380	6118	1995-03-31	PRIJEM	\N	21	-547	UROK	\N	\N
3682381	6118	1995-03-31	VYDAJ	VYBER	4	-563	SANKC. UROK	\N	\N
3682382	6118	1995-04-30	VYDAJ	VYBER	24	-5141	SANKC. UROK	\N	\N
3682383	6118	1995-05-31	PRIJEM	\N	2	1860	UROK	\N	\N
3682384	6118	1995-05-31	VYDAJ	VYBER	31	15392	SANKC. UROK	\N	\N
3682385	6118	1995-06-30	PRIJEM	\N	22	2666	UROK	\N	\N
3682386	6118	1995-07-31	PRIJEM	\N	33	18663	UROK	\N	\N
3682387	6118	1995-08-31	PRIJEM	\N	33	16002	UROK	\N	\N
3682388	6118	1995-09-30	PRIJEM	\N	54	9057	UROK	\N	\N
3682389	6118	1995-10-31	PRIJEM	\N	30	14363	UROK	\N	\N
3682390	6118	1995-11-30	PRIJEM	\N	53	20706	UROK	\N	\N
3682391	6118	1995-12-31	PRIJEM	\N	51	22310	UROK	\N	\N
3682392	6118	1996-01-31	PRIJEM	\N	221	64558	UROK	\N	\N
3682393	6118	1996-02-29	PRIJEM	\N	228	35885	UROK	\N	\N
3682394	6118	1996-03-31	PRIJEM	\N	111	33048	UROK	\N	\N
3682395	6118	1996-04-30	PRIJEM	\N	99	33437	UROK	\N	\N
3682396	6118	1996-05-31	PRIJEM	\N	193	37266	UROK	\N	\N
3682397	6118	1996-06-30	PRIJEM	\N	259	70808	UROK	\N	\N
3682398	6118	1996-07-31	PRIJEM	\N	225	45973	UROK	\N	\N
3682399	6118	1996-08-31	PRIJEM	\N	173	75900	UROK	\N	\N
3682400	6118	1996-09-30	PRIJEM	\N	291	71031	UROK	\N	\N
3682401	6118	1996-10-31	PRIJEM	\N	356	67016	UROK	\N	\N
3682402	6118	1996-11-30	PRIJEM	\N	340	79598	UROK	\N	\N
3682403	6118	1996-12-31	PRIJEM	\N	240	51689	UROK	\N	\N
3682404	6118	1997-01-31	PRIJEM	\N	238	59735	UROK	\N	\N
3682405	6118	1997-02-28	PRIJEM	\N	180	41510	UROK	\N	\N
3682406	6118	1997-03-31	PRIJEM	\N	140	46685	UROK	\N	\N
3682407	6118	1997-04-30	PRIJEM	\N	120	34277	UROK	\N	\N
3682408	6118	1997-05-31	PRIJEM	\N	106	34491	UROK	\N	\N
3682409	6118	1997-06-30	PRIJEM	\N	158	61490	UROK	\N	\N
3682410	6118	1997-07-31	PRIJEM	\N	273	62741	UROK	\N	\N
3682411	6118	1997-08-31	PRIJEM	\N	227	60456	UROK	\N	\N
3682412	6118	1997-09-30	PRIJEM	\N	202	53246	UROK	\N	\N
3682413	6118	1997-10-31	PRIJEM	\N	216	65478	UROK	\N	\N
3682414	6118	1997-11-30	PRIJEM	\N	156	41794	UROK	\N	\N
3682415	6118	1997-12-31	PRIJEM	\N	121	32267	UROK	\N	\N
3682416	6118	1998-01-31	PRIJEM	\N	89	24910	UROK	\N	\N
3682417	6118	1998-02-28	PRIJEM	\N	73	28205	UROK	\N	\N
3682418	6118	1998-03-31	PRIJEM	\N	89	30101	UROK	\N	\N
3682419	6118	1998-04-30	PRIJEM	\N	103	34626	UROK	\N	\N
3682420	6118	1998-05-31	PRIJEM	\N	119	33864	UROK	\N	\N
3682421	6118	1998-06-30	PRIJEM	\N	121	39255	UROK	\N	\N
3682422	6118	1998-07-31	PRIJEM	\N	144	41661	UROK	\N	\N
3682423	6118	1998-08-31	PRIJEM	\N	136	31665	UROK	\N	\N
3682424	6118	1998-09-30	PRIJEM	\N	98	43275	UROK	\N	\N
3682425	6118	1998-10-31	PRIJEM	\N	153	41498	UROK	\N	\N
3682426	6118	1998-11-30	PRIJEM	\N	128	38312	UROK	\N	\N
3682427	6118	1998-12-31	PRIJEM	\N	141	38014	UROK	\N	\N
3682463	7418	1995-04-30	PRIJEM	\N	47	16186	UROK	\N	\N
3682464	7418	1995-05-31	PRIJEM	\N	125	35942	UROK	\N	\N
3682465	7418	1995-06-30	PRIJEM	\N	208	56184	UROK	\N	\N
3682466	7418	1995-07-31	PRIJEM	\N	238	58385	UROK	\N	\N
3682467	7418	1995-08-31	PRIJEM	\N	207	44102	UROK	\N	\N
3682468	7418	1995-09-30	PRIJEM	\N	98	20659	UROK	\N	\N
3682469	7418	1995-10-31	PRIJEM	\N	108	26356	UROK	\N	\N
3682470	7418	1995-11-30	PRIJEM	\N	114	29809	UROK	\N	\N
3682471	7418	1995-12-31	PRIJEM	\N	130	34685	UROK	\N	\N
3682472	7418	1996-01-31	PRIJEM	\N	108	23919	UROK	\N	\N
3682473	7418	1996-02-29	PRIJEM	\N	84	24129	UROK	\N	\N
3682474	7418	1996-03-31	PRIJEM	\N	112	27499	UROK	\N	\N
3682475	7418	1996-04-30	PRIJEM	\N	103	25229	UROK	\N	\N
3682476	7418	1996-05-31	PRIJEM	\N	80	19710	UROK	\N	\N
3682477	7418	1996-06-30	PRIJEM	\N	81	19470	UROK	\N	\N
3682478	7418	1996-07-31	PRIJEM	\N	77	24248	UROK	\N	\N
3682479	7418	1996-08-31	PRIJEM	\N	89	27072	UROK	\N	\N
3682480	7418	1996-09-30	PRIJEM	\N	92	20987	UROK	\N	\N
3682481	7418	1996-10-31	PRIJEM	\N	70	16932	UROK	\N	\N
3682482	7418	1996-11-30	PRIJEM	\N	58	15841	UROK	\N	\N
3682483	7418	1996-12-31	PRIJEM	\N	62	13323	UROK	\N	\N
3682484	7418	1997-01-31	PRIJEM	\N	31	7098	UROK	\N	\N
3682485	7418	1997-01-31	VYDAJ	VYBER	2	7100	SANKC. UROK	\N	\N
3682486	7418	1997-02-28	PRIJEM	\N	25	-9818	UROK	\N	\N
3682487	7418	1997-02-28	VYDAJ	VYBER	9	-9809	SANKC. UROK	\N	\N
3682488	7418	1997-03-31	PRIJEM	\N	2	4598	UROK	\N	\N
3682489	7418	1997-03-31	VYDAJ	VYBER	43	4426	SANKC. UROK	\N	\N
3682490	7418	1997-04-30	PRIJEM	\N	8	2281	UROK	\N	\N
3682491	7418	1997-04-30	VYDAJ	VYBER	0	2246	SANKC. UROK	\N	\N
3682492	7418	1997-05-31	PRIJEM	\N	29	7360	UROK	\N	\N
3682493	7418	1997-05-31	VYDAJ	VYBER	0	7360	SANKC. UROK	\N	\N
3682494	7418	1997-06-30	PRIJEM	\N	41	9522	UROK	\N	\N
3682495	7418	1997-07-31	PRIJEM	\N	16	-8808	UROK	\N	\N
3682496	7418	1997-07-31	VYDAJ	VYBER	7	-8790	SANKC. UROK	\N	\N
3682497	7418	1997-08-31	PRIJEM	\N	9	7767	UROK	\N	\N
3682498	7418	1997-08-31	VYDAJ	VYBER	40	7681	SANKC. UROK	\N	\N
3682499	7418	1997-09-30	PRIJEM	\N	11	2525	UROK	\N	\N
3682500	7418	1997-10-31	PRIJEM	\N	30	4790	UROK	\N	\N
3682501	7418	1997-11-30	PRIJEM	\N	4	739	UROK	\N	\N
3682502	7418	1997-11-30	VYDAJ	VYBER	9	717	SANKC. UROK	\N	\N
3682503	7418	1997-12-31	PRIJEM	\N	18	-9660	UROK	\N	\N
3682504	7418	1997-12-31	VYDAJ	VYBER	15	-9705	SANKC. UROK	\N	\N
3682505	7418	1998-01-31	PRIJEM	\N	2	2936	UROK	\N	\N
3682506	7418	1998-01-31	VYDAJ	VYBER	35	2834	SANKC. UROK	\N	\N
3682507	7418	1998-02-28	PRIJEM	\N	6	2779	UROK	\N	\N
3682508	7418	1998-03-31	PRIJEM	\N	11	2818	UROK	\N	\N
3682509	7418	1998-04-30	PRIJEM	\N	8	6947	UROK	\N	\N
3682510	7418	1998-05-31	PRIJEM	\N	25	8449	UROK	\N	\N
3682511	7418	1998-06-30	PRIJEM	\N	36	11911	UROK	\N	\N
3682512	7418	1998-06-30	VYDAJ	VYBER	18	11882	SANKC. UROK	\N	\N
3682513	7418	1998-07-31	PRIJEM	\N	44	11819	UROK	\N	\N
3682514	7418	1998-08-31	PRIJEM	\N	65	18367	UROK	\N	\N
3682515	7418	1998-09-30	PRIJEM	\N	57	12909	UROK	\N	\N
3682516	7418	1998-10-31	PRIJEM	\N	63	20920	UROK	\N	\N
3682517	7418	1998-11-30	PRIJEM	\N	66	14128	UROK	\N	\N
3682518	7418	1998-12-31	PRIJEM	\N	72	16788	UROK	\N	\N
3682603	8225	1996-12-31	PRIJEM	\N	87	28429	UROK	\N	\N
3682604	8225	1997-01-31	PRIJEM	\N	158	41753	UROK	\N	\N
3682605	8225	1997-02-28	PRIJEM	\N	193	48976	UROK	\N	\N
3682606	8225	1997-03-31	PRIJEM	\N	222	55701	UROK	\N	\N
3682607	8225	1997-04-30	PRIJEM	\N	212	52807	UROK	\N	\N
3682608	8225	1997-05-31	PRIJEM	\N	213	51084	UROK	\N	\N
3682609	8225	1997-06-30	PRIJEM	\N	178	43101	UROK	\N	\N
3682610	8225	1997-07-31	PRIJEM	\N	181	46279	UROK	\N	\N
3682611	8225	1997-08-31	PRIJEM	\N	141	39465	UROK	\N	\N
3682612	8225	1997-09-30	PRIJEM	\N	165	41346	UROK	\N	\N
3682613	8225	1997-10-31	PRIJEM	\N	118	34482	UROK	\N	\N
3682614	8225	1997-11-30	PRIJEM	\N	134	31924	UROK	\N	\N
3682615	8225	1997-12-31	PRIJEM	\N	140	41275	UROK	\N	\N
3682616	8225	1998-01-31	PRIJEM	\N	33	3478	UROK	\N	\N
3682617	8225	1998-02-28	PRIJEM	\N	31	14368	UROK	\N	\N
3682618	8225	1998-03-31	PRIJEM	\N	45	2914	UROK	\N	\N
3682619	8225	1998-04-30	PRIJEM	\N	56	19988	UROK	\N	\N
3682620	8225	1998-05-31	PRIJEM	\N	99	16033	UROK	\N	\N
3682621	8225	1998-06-30	PRIJEM	\N	93	14591	UROK	\N	\N
3682622	8225	1998-07-31	PRIJEM	\N	66	12284	UROK	\N	\N
3682623	8225	1998-08-31	PRIJEM	\N	53	4356	UROK	\N	\N
3682624	8225	1998-09-30	PRIJEM	\N	45	13543	UROK	\N	\N
3682625	8225	1998-10-31	PRIJEM	\N	80	14863	UROK	\N	\N
3682626	8225	1998-11-30	PRIJEM	\N	86	21121	UROK	\N	\N
3682627	8225	1998-12-31	PRIJEM	\N	133	37569	UROK	\N	\N
3682628	9017	1995-12-31	PRIJEM	\N	29	21977	UROK	\N	\N
3682629	9017	1996-01-31	PRIJEM	\N	100	27605	UROK	\N	\N
3682630	9017	1996-02-29	PRIJEM	\N	124	33959	UROK	\N	\N
3682631	9017	1996-03-31	PRIJEM	\N	137	31701	UROK	\N	\N
3682632	9017	1996-04-30	PRIJEM	\N	138	29316	UROK	\N	\N
3682633	9017	1996-05-31	PRIJEM	\N	111	22428	UROK	\N	\N
3682634	9017	1996-06-30	PRIJEM	\N	104	25421	UROK	\N	\N
3682635	9017	1996-07-31	PRIJEM	\N	106	25568	UROK	\N	\N
3682636	9017	1996-08-31	PRIJEM	\N	96	21389	UROK	\N	\N
3682637	9017	1996-09-30	PRIJEM	\N	73	9112	UROK	\N	\N
3682638	9017	1996-10-31	PRIJEM	\N	64	20862	UROK	\N	\N
3682639	9017	1996-11-30	PRIJEM	\N	81	19016	UROK	\N	\N
3682640	9017	1996-12-31	PRIJEM	\N	79	19333	UROK	\N	\N
3682641	9017	1997-01-31	PRIJEM	\N	69	4539	UROK	\N	\N
3682642	9017	1997-02-28	PRIJEM	\N	40	15070	UROK	\N	\N
3682643	9017	1997-03-31	PRIJEM	\N	46	3384	UROK	\N	\N
3682644	9017	1997-04-30	PRIJEM	\N	41	16111	UROK	\N	\N
3682645	9017	1997-05-31	PRIJEM	\N	53	4072	UROK	\N	\N
3682646	9017	1997-06-30	PRIJEM	\N	45	16472	UROK	\N	\N
3682647	9017	1997-07-31	PRIJEM	\N	53	13326	UROK	\N	\N
3682648	9017	1997-08-31	PRIJEM	\N	54	14837	UROK	\N	\N
3682649	9017	1997-09-30	PRIJEM	\N	49	11845	UROK	\N	\N
3682650	9017	1997-10-31	PRIJEM	\N	36	9614	UROK	\N	\N
3682651	9017	1997-11-30	PRIJEM	\N	23	-3219	UROK	\N	\N
3682652	9017	1997-11-30	VYDAJ	VYBER	5	-3215	SANKC. UROK	\N	\N
3682653	9017	1997-12-31	PRIJEM	\N	19	8505	UROK	\N	\N
3682654	9017	1997-12-31	VYDAJ	VYBER	16	8484	SANKC. UROK	\N	\N
3682655	9017	1998-01-31	PRIJEM	\N	26	7636	UROK	\N	\N
3682656	9017	1998-02-28	PRIJEM	\N	26	7823	UROK	\N	\N
3682657	9017	1998-03-31	PRIJEM	\N	53	18380	UROK	\N	\N
3682658	9017	1998-04-30	PRIJEM	\N	63	15416	UROK	\N	\N
3682659	9017	1998-05-31	PRIJEM	\N	54	14365	UROK	\N	\N
3682660	9017	1998-06-30	PRIJEM	\N	53	13808	UROK	\N	\N
3682661	9017	1998-07-31	PRIJEM	\N	30	7265	UROK	\N	\N
3682662	9017	1998-08-31	PRIJEM	\N	20	6625	UROK	\N	\N
3682663	9017	1998-09-30	PRIJEM	\N	22	6727	UROK	\N	\N
3682664	9017	1998-10-31	PRIJEM	\N	47	17241	UROK	\N	\N
3682665	9017	1998-11-30	PRIJEM	\N	61	4519	UROK	\N	\N
3682666	9017	1998-12-31	PRIJEM	\N	55	21318	UROK	\N	\N
3682667	9208	1997-06-30	PRIJEM	\N	29	26052	UROK	\N	\N
3682668	9208	1997-07-31	PRIJEM	\N	121	36666	UROK	\N	\N
3682669	9208	1997-08-31	PRIJEM	\N	156	39274	UROK	\N	\N
3682670	9208	1997-09-30	PRIJEM	\N	169	44394	UROK	\N	\N
3682671	9208	1997-10-31	PRIJEM	\N	198	42119	UROK	\N	\N
3682672	9208	1997-11-30	PRIJEM	\N	197	39251	UROK	\N	\N
3682673	9208	1997-12-31	PRIJEM	\N	170	40922	UROK	\N	\N
3682674	9208	1998-01-31	PRIJEM	\N	168	38680	UROK	\N	\N
3682675	9208	1998-02-28	PRIJEM	\N	141	9124	UROK	\N	\N
3682676	9208	1998-03-31	PRIJEM	\N	77	17155	UROK	\N	\N
3682677	9208	1998-04-30	PRIJEM	\N	83	22210	UROK	\N	\N
3682678	9208	1998-05-31	PRIJEM	\N	92	24460	UROK	\N	\N
3682679	9208	1998-06-30	PRIJEM	\N	171	34322	UROK	\N	\N
3682680	9208	1998-07-31	PRIJEM	\N	120	20731	UROK	\N	\N
3682681	9208	1998-08-31	PRIJEM	\N	96	30338	UROK	\N	\N
3682682	9208	1998-09-30	PRIJEM	\N	52	16552	UROK	\N	\N
3682683	9208	1998-10-31	PRIJEM	\N	76	15433	UROK	\N	\N
3682684	9208	1998-11-30	PRIJEM	\N	66	18146	UROK	\N	\N
3682685	9208	1998-12-31	PRIJEM	\N	99	27011	UROK	\N	\N
3682686	9337	1993-09-30	PRIJEM	\N	44	39154	UROK	\N	\N
3682687	9337	1993-10-31	PRIJEM	\N	162	31378	UROK	\N	\N
3682688	9337	1993-11-30	PRIJEM	\N	196	58375	UROK	\N	\N
3682689	9337	1993-12-31	PRIJEM	\N	235	54472	UROK	\N	\N
3682690	9337	1994-01-31	PRIJEM	\N	104	248	UROK	\N	\N
3682691	9337	1994-01-31	VYDAJ	VYBER	0	392	SANKC. UROK	\N	\N
3682692	9337	1994-02-28	PRIJEM	\N	184	33376	UROK	\N	\N
3682693	9337	1994-02-28	VYDAJ	VYBER	0	33375	SANKC. UROK	\N	\N
3682694	9337	1994-03-31	PRIJEM	\N	127	58081	UROK	\N	\N
3682695	9337	1994-04-30	PRIJEM	\N	144	18959	UROK	\N	\N
3682696	9337	1994-05-31	PRIJEM	\N	118	58660	UROK	\N	\N
3682697	9337	1994-06-30	PRIJEM	\N	190	39962	UROK	\N	\N
3682698	9337	1994-07-31	PRIJEM	\N	129	27144	UROK	\N	\N
3682699	9337	1994-08-31	PRIJEM	\N	97	23598	UROK	\N	\N
3682700	9337	1994-09-30	PRIJEM	\N	89	22860	UROK	\N	\N
3682701	9337	1994-10-31	PRIJEM	\N	90	23829	UROK	\N	\N
3682702	9337	1994-11-30	PRIJEM	\N	74	13306	UROK	\N	\N
3682703	9337	1994-12-31	PRIJEM	\N	48	5847	UROK	\N	\N
3682704	9337	1995-01-31	PRIJEM	\N	17	1577	UROK	\N	\N
3682705	9337	1995-01-31	VYDAJ	VYBER	2	1583	SANKC. UROK	\N	\N
3682706	9337	1995-02-28	PRIJEM	\N	28	13250	UROK	\N	\N
3682707	9337	1995-02-28	VYDAJ	VYBER	2	13241	SANKC. UROK	\N	\N
3682708	9337	1995-03-31	PRIJEM	\N	55	15264	UROK	\N	\N
3682709	9337	1995-04-30	PRIJEM	\N	61	17696	UROK	\N	\N
3682710	9337	1995-05-31	PRIJEM	\N	146	39156	UROK	\N	\N
3682711	9337	1995-06-30	PRIJEM	\N	215	91180	UROK	\N	\N
3682712	9337	1995-07-31	PRIJEM	\N	180	37002	UROK	\N	\N
3682713	9337	1995-08-31	PRIJEM	\N	199	70859	UROK	\N	\N
3682714	9337	1995-09-30	PRIJEM	\N	206	37975	UROK	\N	\N
3682715	9337	1995-10-31	PRIJEM	\N	186	60176	UROK	\N	\N
3682716	9337	1995-11-30	PRIJEM	\N	236	52492	UROK	\N	\N
3682717	9337	1995-12-31	PRIJEM	\N	144	31064	UROK	\N	\N
3682718	9337	1996-01-31	PRIJEM	\N	70	22107	UROK	\N	\N
3682719	9337	1996-02-29	PRIJEM	\N	61	10147	UROK	\N	\N
3682720	9337	1996-03-31	PRIJEM	\N	28	24271	UROK	\N	\N
3682721	9337	1996-04-30	PRIJEM	\N	86	31644	UROK	\N	\N
3682722	9337	1996-05-31	PRIJEM	\N	116	34250	UROK	\N	\N
3682723	9337	1996-06-30	PRIJEM	\N	75	27215	UROK	\N	\N
3682724	9337	1996-07-31	PRIJEM	\N	85	30492	UROK	\N	\N
3682725	9337	1996-08-31	PRIJEM	\N	96	35518	UROK	\N	\N
3682726	9337	1996-09-30	PRIJEM	\N	131	36446	UROK	\N	\N
3682727	9337	1996-10-31	PRIJEM	\N	119	34089	UROK	\N	\N
3682728	9337	1996-11-30	PRIJEM	\N	115	28493	UROK	\N	\N
3682729	9337	1996-12-31	PRIJEM	\N	103	36370	UROK	\N	\N
3682730	9337	1997-01-31	PRIJEM	\N	37	8503	UROK	\N	\N
3682731	9337	1997-02-28	PRIJEM	\N	32	31351	UROK	\N	\N
3682732	9337	1997-03-31	PRIJEM	\N	186	54092	UROK	\N	\N
3682733	9337	1997-04-30	PRIJEM	\N	205	55185	UROK	\N	\N
3682734	9337	1997-05-31	PRIJEM	\N	268	107821	UROK	\N	\N
3682735	9337	1997-06-30	PRIJEM	\N	413	78165	UROK	\N	\N
3682736	9337	1997-07-31	PRIJEM	\N	408	66699	UROK	\N	\N
3682737	9337	1997-08-31	PRIJEM	\N	337	72780	UROK	\N	\N
3682738	9337	1997-09-30	PRIJEM	\N	394	122173	UROK	\N	\N
3682739	9337	1997-10-31	PRIJEM	\N	349	60118	UROK	\N	\N
3682740	9337	1997-11-30	PRIJEM	\N	360	114240	UROK	\N	\N
3682741	9337	1997-12-31	PRIJEM	\N	402	76614	UROK	\N	\N
3682742	9337	1998-01-31	PRIJEM	\N	205	38122	UROK	\N	\N
3682743	9337	1998-02-28	PRIJEM	\N	118	40905	UROK	\N	\N
3682744	9337	1998-03-31	PRIJEM	\N	202	66804	UROK	\N	\N
3682745	9337	1998-04-30	PRIJEM	\N	231	59842	UROK	\N	\N
3682746	9337	1998-05-31	PRIJEM	\N	210	54868	UROK	\N	\N
3682747	9337	1998-06-30	PRIJEM	\N	285	29481	UROK	\N	\N
3682748	9337	1998-07-31	PRIJEM	\N	100	39492	UROK	\N	\N
3682749	9337	1998-08-31	PRIJEM	\N	137	45896	UROK	\N	\N
3682750	9337	1998-09-30	PRIJEM	\N	174	57796	UROK	\N	\N
3682751	9337	1998-10-31	PRIJEM	\N	201	55657	UROK	\N	\N
3682752	9337	1998-11-30	PRIJEM	\N	149	37898	UROK	\N	\N
3682753	9337	1998-12-31	PRIJEM	\N	93	30208	UROK	\N	\N
3682790	9814	1995-02-28	PRIJEM	\N	31	39573	UROK	\N	\N
3682791	9814	1995-03-31	PRIJEM	\N	171	43501	UROK	\N	\N
3682792	9814	1995-04-30	PRIJEM	\N	210	62954	UROK	\N	\N
3682793	9814	1995-05-31	PRIJEM	\N	228	44052	UROK	\N	\N
3682794	9814	1995-06-30	PRIJEM	\N	163	34573	UROK	\N	\N
3682795	9814	1995-07-31	PRIJEM	\N	213	62721	UROK	\N	\N
3682796	9814	1995-08-31	PRIJEM	\N	198	34771	UROK	\N	\N
3682797	9814	1995-09-30	PRIJEM	\N	194	41932	UROK	\N	\N
3682798	9814	1995-10-31	PRIJEM	\N	274	51984	UROK	\N	\N
3682799	9814	1995-11-30	PRIJEM	\N	143	33218	UROK	\N	\N
3682800	9814	1995-12-31	PRIJEM	\N	252	93250	UROK	\N	\N
3682801	9814	1996-01-31	PRIJEM	\N	245	59290	UROK	\N	\N
3682802	9814	1996-02-29	PRIJEM	\N	277	95426	UROK	\N	\N
3682803	9814	1996-03-31	PRIJEM	\N	246	28925	UROK	\N	\N
3682804	9814	1996-04-30	PRIJEM	\N	203	57074	UROK	\N	\N
3682805	9814	1996-05-31	PRIJEM	\N	193	61560	UROK	\N	\N
3682806	9814	1996-06-30	PRIJEM	\N	213	45166	UROK	\N	\N
3682807	9814	1996-07-31	PRIJEM	\N	122	28392	UROK	\N	\N
3682808	9814	1996-08-31	PRIJEM	\N	93	23278	UROK	\N	\N
3682809	9814	1996-09-30	PRIJEM	\N	57	3666	UROK	\N	\N
3682810	9814	1996-09-30	VYDAJ	VYBER	0	3694	SANKC. UROK	\N	\N
3682811	9814	1996-10-31	PRIJEM	\N	40	21769	UROK	\N	\N
3682812	9814	1996-10-31	VYDAJ	VYBER	0	21801	SANKC. UROK	\N	\N
3682813	9814	1996-11-30	PRIJEM	\N	59	15666	UROK	\N	\N
3682814	9814	1996-12-31	PRIJEM	\N	44	12127	UROK	\N	\N
3682815	9814	1997-01-31	PRIJEM	\N	97	26278	UROK	\N	\N
3682816	9814	1997-02-28	PRIJEM	\N	95	56884	UROK	\N	\N
3682817	9814	1997-03-31	PRIJEM	\N	322	95248	UROK	\N	\N
3682818	9814	1997-04-30	PRIJEM	\N	366	92767	UROK	\N	\N
3682819	9814	1997-05-31	PRIJEM	\N	265	55641	UROK	\N	\N
3682820	9814	1997-06-30	PRIJEM	\N	111	62365	UROK	\N	\N
3682821	9814	1997-06-30	VYDAJ	VYBER	0	62358	SANKC. UROK	\N	\N
3682822	9814	1997-07-31	PRIJEM	\N	305	94486	UROK	\N	\N
3682823	9814	1997-08-31	PRIJEM	\N	321	79489	UROK	\N	\N
3682824	9814	1997-09-30	PRIJEM	\N	257	75349	UROK	\N	\N
3682825	9814	1997-10-31	PRIJEM	\N	176	27642	UROK	\N	\N
3682826	9814	1997-11-30	PRIJEM	\N	189	82119	UROK	\N	\N
3682827	9814	1997-12-31	PRIJEM	\N	235	53447	UROK	\N	\N
3682828	9814	1998-01-31	PRIJEM	\N	295	103274	UROK	\N	\N
3682829	9814	1998-02-28	PRIJEM	\N	284	36329	UROK	\N	\N
3682830	9814	1998-03-31	PRIJEM	\N	301	107835	UROK	\N	\N
3682831	9814	1998-04-30	PRIJEM	\N	287	61341	UROK	\N	\N
3682832	9814	1998-05-31	PRIJEM	\N	244	99495	UROK	\N	\N
3682833	9814	1998-06-30	PRIJEM	\N	226	62710	UROK	\N	\N
3682834	9814	1998-07-31	PRIJEM	\N	299	85637	UROK	\N	\N
3682835	9814	1998-08-31	PRIJEM	\N	295	93670	UROK	\N	\N
3682836	9814	1998-09-30	PRIJEM	\N	399	110054	UROK	\N	\N
3682837	9814	1998-10-31	PRIJEM	\N	439	99251	UROK	\N	\N
3682838	9814	1998-11-30	PRIJEM	\N	446	106822	UROK	\N	\N
3682839	9814	1998-12-31	PRIJEM	\N	349	81605	UROK	\N	\N
3682920	10451	1993-09-30	PRIJEM	\N	8	18845	UROK	\N	\N
3682921	10451	1993-10-31	PRIJEM	\N	84	29959	UROK	\N	\N
3682922	10451	1993-11-30	PRIJEM	\N	128	36524	UROK	\N	\N
3682923	10451	1993-12-31	PRIJEM	\N	155	42063	UROK	\N	\N
3682924	10451	1994-01-31	PRIJEM	\N	170	28441	UROK	\N	\N
3682925	10451	1994-02-28	PRIJEM	\N	118	25998	UROK	\N	\N
3682926	10451	1994-03-31	PRIJEM	\N	108	25975	UROK	\N	\N
3682927	10451	1994-04-30	PRIJEM	\N	97	26313	UROK	\N	\N
3682928	10451	1994-05-31	PRIJEM	\N	100	26252	UROK	\N	\N
3682929	10451	1994-06-30	PRIJEM	\N	130	27471	UROK	\N	\N
3682930	10451	1994-07-31	PRIJEM	\N	103	22818	UROK	\N	\N
3682931	10451	1994-08-31	PRIJEM	\N	97	22053	UROK	\N	\N
3682932	10451	1994-09-30	PRIJEM	\N	89	22983	UROK	\N	\N
3682933	10451	1994-10-31	PRIJEM	\N	88	22388	UROK	\N	\N
3682934	10451	1994-11-30	PRIJEM	\N	85	13079	UROK	\N	\N
3682935	10451	1994-12-31	PRIJEM	\N	67	18452	UROK	\N	\N
3682936	10451	1995-01-31	PRIJEM	\N	57	12860	UROK	\N	\N
3682937	10451	1995-02-28	PRIJEM	\N	60	18272	UROK	\N	\N
3682938	10451	1995-03-31	PRIJEM	\N	76	19916	UROK	\N	\N
3682939	10451	1995-04-30	PRIJEM	\N	81	19970	UROK	\N	\N
3682940	10451	1995-05-31	PRIJEM	\N	78	19738	UROK	\N	\N
3682941	10451	1995-06-30	PRIJEM	\N	98	22745	UROK	\N	\N
3682942	10451	1995-07-31	PRIJEM	\N	90	21616	UROK	\N	\N
3682943	10451	1995-08-31	PRIJEM	\N	91	24300	UROK	\N	\N
3682944	10451	1995-09-30	PRIJEM	\N	82	21466	UROK	\N	\N
3682945	10451	1995-10-31	PRIJEM	\N	90	23631	UROK	\N	\N
3682946	10451	1995-11-30	PRIJEM	\N	96	24306	UROK	\N	\N
3682947	10451	1995-12-31	PRIJEM	\N	113	27090	UROK	\N	\N
3682948	10451	1996-01-31	PRIJEM	\N	72	13480	UROK	\N	\N
3682949	10451	1996-02-29	PRIJEM	\N	63	18095	UROK	\N	\N
3682950	10451	1996-03-31	PRIJEM	\N	67	19406	UROK	\N	\N
3682951	10451	1996-04-30	PRIJEM	\N	80	21179	UROK	\N	\N
3682952	10451	1996-05-31	PRIJEM	\N	92	25437	UROK	\N	\N
3682953	10451	1996-06-30	PRIJEM	\N	123	31994	UROK	\N	\N
3682954	10451	1996-07-31	PRIJEM	\N	124	30734	UROK	\N	\N
3682955	10451	1996-08-31	PRIJEM	\N	112	27252	UROK	\N	\N
3682956	10451	1996-09-30	PRIJEM	\N	91	20735	UROK	\N	\N
3682957	10451	1996-10-31	PRIJEM	\N	69	16757	UROK	\N	\N
3682958	10451	1996-11-30	PRIJEM	\N	56	14162	UROK	\N	\N
3682959	10451	1996-12-31	PRIJEM	\N	47	11068	UROK	\N	\N
3682960	10451	1997-01-31	PRIJEM	\N	16	3556	UROK	\N	\N
3682961	10451	1997-01-31	VYDAJ	VYBER	1	3558	SANKC. UROK	\N	\N
3682962	10451	1997-02-28	PRIJEM	\N	9	2023	UROK	\N	\N
3682963	10451	1997-02-28	VYDAJ	VYBER	11	2021	SANKC. UROK	\N	\N
3682964	10451	1997-03-31	PRIJEM	\N	7	3160	UROK	\N	\N
3682965	10451	1997-03-31	VYDAJ	VYBER	7	3140	SANKC. UROK	\N	\N
3682966	10451	1997-04-30	PRIJEM	\N	20	7516	UROK	\N	\N
3682967	10451	1997-04-30	VYDAJ	VYBER	2	7518	SANKC. UROK	\N	\N
3682968	10451	1997-05-31	PRIJEM	\N	29	9384	UROK	\N	\N
3682969	10451	1997-06-30	PRIJEM	\N	41	11536	UROK	\N	\N
3682970	10451	1997-07-31	PRIJEM	\N	28	7377	UROK	\N	\N
3682971	10451	1997-08-31	PRIJEM	\N	27	8326	UROK	\N	\N
3682972	10451	1997-09-30	PRIJEM	\N	34	10079	UROK	\N	\N
3682973	10451	1997-10-31	PRIJEM	\N	39	11244	UROK	\N	\N
3682974	10451	1997-11-30	PRIJEM	\N	58	16593	UROK	\N	\N
3682975	10451	1997-12-31	PRIJEM	\N	66	17718	UROK	\N	\N
3682976	10451	1998-01-31	PRIJEM	\N	43	11558	UROK	\N	\N
3682977	10451	1998-02-28	PRIJEM	\N	47	13097	UROK	\N	\N
3682978	10451	1998-03-31	PRIJEM	\N	64	18267	UROK	\N	\N
3682979	10451	1998-04-30	PRIJEM	\N	71	18930	UROK	\N	\N
3682980	10451	1998-05-31	PRIJEM	\N	62	16617	UROK	\N	\N
3682981	10451	1998-06-30	PRIJEM	\N	72	20373	UROK	\N	\N
3682982	10451	1998-07-31	PRIJEM	\N	59	15784	UROK	\N	\N
3682983	10451	1998-08-31	PRIJEM	\N	62	17300	UROK	\N	\N
3682984	10451	1998-09-30	PRIJEM	\N	49	13442	UROK	\N	\N
3682985	10451	1998-10-31	PRIJEM	\N	34	10118	UROK	\N	\N
3682986	10451	1998-11-30	PRIJEM	\N	26	8398	UROK	\N	\N
3682987	10451	1998-12-31	PRIJEM	\N	42	13695	UROK	\N	\N
\.


--
-- Name: account idx_16701_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.account
    ADD CONSTRAINT idx_16701_primary PRIMARY KEY (account_id);


--
-- Name: card idx_16706_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.card
    ADD CONSTRAINT idx_16706_primary PRIMARY KEY (card_id);


--
-- Name: client idx_16710_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.client
    ADD CONSTRAINT idx_16710_primary PRIMARY KEY (client_id);


--
-- Name: disp idx_16713_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.disp
    ADD CONSTRAINT idx_16713_primary PRIMARY KEY (disp_id);


--
-- Name: district idx_16716_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.district
    ADD CONSTRAINT idx_16716_primary PRIMARY KEY (district_id);


--
-- Name: loan idx_16721_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.loan
    ADD CONSTRAINT idx_16721_primary PRIMARY KEY (loan_id);


--
-- Name: order idx_16725_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial."order"
    ADD CONSTRAINT idx_16725_primary PRIMARY KEY (order_id);


--
-- Name: trans idx_16729_primary; Type: CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.trans
    ADD CONSTRAINT idx_16729_primary PRIMARY KEY (trans_id);


--
-- Name: idx_16701_district_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16701_district_id ON financial.account USING btree (district_id);


--
-- Name: idx_16706_disp_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16706_disp_id ON financial.card USING btree (disp_id);


--
-- Name: idx_16710_district_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16710_district_id ON financial.client USING btree (district_id);


--
-- Name: idx_16713_account_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16713_account_id ON financial.disp USING btree (account_id);


--
-- Name: idx_16713_client_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16713_client_id ON financial.disp USING btree (client_id);


--
-- Name: idx_16721_account_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16721_account_id ON financial.loan USING btree (account_id);


--
-- Name: idx_16725_account_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16725_account_id ON financial."order" USING btree (account_id);


--
-- Name: idx_16729_account_id; Type: INDEX; Schema: financial; Owner: postgres
--

CREATE INDEX idx_16729_account_id ON financial.trans USING btree (account_id);


--
-- Name: account account_ibfk_1; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.account
    ADD CONSTRAINT account_ibfk_1 FOREIGN KEY (district_id) REFERENCES financial.district(district_id);


--
-- Name: card card_ibfk_1; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.card
    ADD CONSTRAINT card_ibfk_1 FOREIGN KEY (disp_id) REFERENCES financial.disp(disp_id);


--
-- Name: client client_ibfk_1; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.client
    ADD CONSTRAINT client_ibfk_1 FOREIGN KEY (district_id) REFERENCES financial.district(district_id);


--
-- Name: disp disp_ibfk_1; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.disp
    ADD CONSTRAINT disp_ibfk_1 FOREIGN KEY (account_id) REFERENCES financial.account(account_id);


--
-- Name: disp disp_ibfk_2; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.disp
    ADD CONSTRAINT disp_ibfk_2 FOREIGN KEY (client_id) REFERENCES financial.client(client_id);


--
-- Name: loan loan_ibfk_1; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.loan
    ADD CONSTRAINT loan_ibfk_1 FOREIGN KEY (account_id) REFERENCES financial.account(account_id);


--
-- Name: order order_ibfk_1; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial."order"
    ADD CONSTRAINT order_ibfk_1 FOREIGN KEY (account_id) REFERENCES financial.account(account_id);


--
-- Name: trans trans_ibfk_1; Type: FK CONSTRAINT; Schema: financial; Owner: postgres
--

ALTER TABLE ONLY financial.trans
    ADD CONSTRAINT trans_ibfk_1 FOREIGN KEY (account_id) REFERENCES financial.account(account_id);


--
-- PostgreSQL database dump complete
--

